(function (root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(function () {
      return (root.cv = factory());
    });
  } else if (typeof module === 'object' && module.exports) {
    // Node. Does not work with strict CommonJS, but
    // only CommonJS-like environments that support module.exports,
    // like Node.
    module.exports = factory();
  } else {
    // Browser globals
    root.cv = factory();
  }
}(this, function () {
  var cv = function(cv) {
  cv = cv || {};
  var Module = cv;

var Module;if(!Module)Module=(typeof cv!=="undefined"?cv:null)||{};var moduleOverrides={};for(var key in Module){if(Module.hasOwnProperty(key)){moduleOverrides[key]=Module[key]}}var ENVIRONMENT_IS_WEB=false;var ENVIRONMENT_IS_WORKER=false;var ENVIRONMENT_IS_NODE=false;var ENVIRONMENT_IS_SHELL=false;if(Module["ENVIRONMENT"]){if(Module["ENVIRONMENT"]==="WEB"){ENVIRONMENT_IS_WEB=true}else if(Module["ENVIRONMENT"]==="WORKER"){ENVIRONMENT_IS_WORKER=true}else if(Module["ENVIRONMENT"]==="NODE"){ENVIRONMENT_IS_NODE=true}else if(Module["ENVIRONMENT"]==="SHELL"){ENVIRONMENT_IS_SHELL=true}else{throw new Error("The provided Module['ENVIRONMENT'] value is not valid. It must be one of: WEB|WORKER|NODE|SHELL.")}}else{ENVIRONMENT_IS_WEB=typeof window==="object";ENVIRONMENT_IS_WORKER=typeof importScripts==="function";ENVIRONMENT_IS_NODE=typeof process==="object"&&typeof require==="function"&&!ENVIRONMENT_IS_WEB&&!ENVIRONMENT_IS_WORKER;ENVIRONMENT_IS_SHELL=!ENVIRONMENT_IS_WEB&&!ENVIRONMENT_IS_NODE&&!ENVIRONMENT_IS_WORKER}if(ENVIRONMENT_IS_NODE){if(!Module["print"])Module["print"]=console.log;if(!Module["printErr"])Module["printErr"]=console.warn;var nodeFS;var nodePath;Module["read"]=function shell_read(filename,binary){if(!nodeFS)nodeFS=require("fs");if(!nodePath)nodePath=require("path");filename=nodePath["normalize"](filename);var ret=nodeFS["readFileSync"](filename);return binary?ret:ret.toString()};Module["readBinary"]=function readBinary(filename){var ret=Module["read"](filename,true);if(!ret.buffer){ret=new Uint8Array(ret)}assert(ret.buffer);return ret};Module["load"]=function load(f){globalEval(read(f))};if(!Module["thisProgram"]){if(process["argv"].length>1){Module["thisProgram"]=process["argv"][1].replace(/\\/g,"/")}else{Module["thisProgram"]="unknown-program"}}Module["arguments"]=process["argv"].slice(2);if(typeof module!=="undefined"){module["exports"]=Module}process["on"]("uncaughtException",(function(ex){if(!(ex instanceof ExitStatus)){throw ex}}));Module["inspect"]=(function(){return"[Emscripten Module object]"})}else if(ENVIRONMENT_IS_SHELL){if(!Module["print"])Module["print"]=print;if(typeof printErr!="undefined")Module["printErr"]=printErr;if(typeof read!="undefined"){Module["read"]=read}else{Module["read"]=function shell_read(){throw"no read() available"}}Module["readBinary"]=function readBinary(f){if(typeof readbuffer==="function"){return new Uint8Array(readbuffer(f))}var data=read(f,"binary");assert(typeof data==="object");return data};if(typeof scriptArgs!="undefined"){Module["arguments"]=scriptArgs}else if(typeof arguments!="undefined"){Module["arguments"]=arguments}if(typeof quit==="function"){Module["quit"]=(function(status,toThrow){quit(status)})}}else if(ENVIRONMENT_IS_WEB||ENVIRONMENT_IS_WORKER){Module["read"]=function shell_read(url){var xhr=new XMLHttpRequest;xhr.open("GET",url,false);xhr.send(null);return xhr.responseText};if(ENVIRONMENT_IS_WORKER){Module["readBinary"]=function readBinary(url){var xhr=new XMLHttpRequest;xhr.open("GET",url,false);xhr.responseType="arraybuffer";xhr.send(null);return new Uint8Array(xhr.response)}}Module["readAsync"]=function readAsync(url,onload,onerror){var xhr=new XMLHttpRequest;xhr.open("GET",url,true);xhr.responseType="arraybuffer";xhr.onload=function xhr_onload(){if(xhr.status==200||xhr.status==0&&xhr.response){onload(xhr.response)}else{onerror()}};xhr.onerror=onerror;xhr.send(null)};if(typeof arguments!="undefined"){Module["arguments"]=arguments}if(typeof console!=="undefined"){if(!Module["print"])Module["print"]=function shell_print(x){console.log(x)};if(!Module["printErr"])Module["printErr"]=function shell_printErr(x){console.warn(x)}}else{var TRY_USE_DUMP=false;if(!Module["print"])Module["print"]=TRY_USE_DUMP&&typeof dump!=="undefined"?(function(x){dump(x)}):(function(x){})}if(ENVIRONMENT_IS_WORKER){Module["load"]=importScripts}if(typeof Module["setWindowTitle"]==="undefined"){Module["setWindowTitle"]=(function(title){document.title=title})}}else{throw"Unknown runtime environment. Where are we?"}function globalEval(x){eval.call(null,x)}if(!Module["load"]&&Module["read"]){Module["load"]=function load(f){globalEval(Module["read"](f))}}if(!Module["print"]){Module["print"]=(function(){})}if(!Module["printErr"]){Module["printErr"]=Module["print"]}if(!Module["arguments"]){Module["arguments"]=[]}if(!Module["thisProgram"]){Module["thisProgram"]="./this.program"}if(!Module["quit"]){Module["quit"]=(function(status,toThrow){throw toThrow})}Module.print=Module["print"];Module.printErr=Module["printErr"];Module["preRun"]=[];Module["postRun"]=[];for(var key in moduleOverrides){if(moduleOverrides.hasOwnProperty(key)){Module[key]=moduleOverrides[key]}}moduleOverrides=undefined;var Runtime={setTempRet0:(function(value){tempRet0=value;return value}),getTempRet0:(function(){return tempRet0}),stackSave:(function(){return STACKTOP}),stackRestore:(function(stackTop){STACKTOP=stackTop}),getNativeTypeSize:(function(type){switch(type){case"i1":case"i8":return 1;case"i16":return 2;case"i32":return 4;case"i64":return 8;case"float":return 4;case"double":return 8;default:{if(type[type.length-1]==="*"){return Runtime.QUANTUM_SIZE}else if(type[0]==="i"){var bits=parseInt(type.substr(1));assert(bits%8===0);return bits/8}else{return 0}}}}),getNativeFieldSize:(function(type){return Math.max(Runtime.getNativeTypeSize(type),Runtime.QUANTUM_SIZE)}),STACK_ALIGN:16,prepVararg:(function(ptr,type){if(type==="double"||type==="i64"){if(ptr&7){assert((ptr&7)===4);ptr+=4}}else{assert((ptr&3)===0)}return ptr}),getAlignSize:(function(type,size,vararg){if(!vararg&&(type=="i64"||type=="double"))return 8;if(!type)return Math.min(size,8);return Math.min(size||(type?Runtime.getNativeFieldSize(type):0),Runtime.QUANTUM_SIZE)}),dynCall:(function(sig,ptr,args){if(args&&args.length){return Module["dynCall_"+sig].apply(null,[ptr].concat(args))}else{return Module["dynCall_"+sig].call(null,ptr)}}),functionPointers:[],addFunction:(function(func){for(var i=0;i<Runtime.functionPointers.length;i++){if(!Runtime.functionPointers[i]){Runtime.functionPointers[i]=func;return 2*(1+i)}}throw"Finished up all reserved function pointers. Use a higher value for RESERVED_FUNCTION_POINTERS."}),removeFunction:(function(index){Runtime.functionPointers[(index-2)/2]=null}),warnOnce:(function(text){if(!Runtime.warnOnce.shown)Runtime.warnOnce.shown={};if(!Runtime.warnOnce.shown[text]){Runtime.warnOnce.shown[text]=1;Module.printErr(text)}}),funcWrappers:{},getFuncWrapper:(function(func,sig){assert(sig);if(!Runtime.funcWrappers[sig]){Runtime.funcWrappers[sig]={}}var sigCache=Runtime.funcWrappers[sig];if(!sigCache[func]){if(sig.length===1){sigCache[func]=function dynCall_wrapper(){return Runtime.dynCall(sig,func)}}else if(sig.length===2){sigCache[func]=function dynCall_wrapper(arg){return Runtime.dynCall(sig,func,[arg])}}else{sigCache[func]=function dynCall_wrapper(){return Runtime.dynCall(sig,func,Array.prototype.slice.call(arguments))}}}return sigCache[func]}),getCompilerSetting:(function(name){throw"You must build with -s RETAIN_COMPILER_SETTINGS=1 for Runtime.getCompilerSetting or emscripten_get_compiler_setting to work"}),stackAlloc:(function(size){var ret=STACKTOP;STACKTOP=STACKTOP+size|0;STACKTOP=STACKTOP+15&-16;return ret}),staticAlloc:(function(size){var ret=STATICTOP;STATICTOP=STATICTOP+size|0;STATICTOP=STATICTOP+15&-16;return ret}),dynamicAlloc:(function(size){var ret=HEAP32[DYNAMICTOP_PTR>>2];var end=(ret+size+15|0)&-16;HEAP32[DYNAMICTOP_PTR>>2]=end;if(end>=TOTAL_MEMORY){var success=enlargeMemory();if(!success){HEAP32[DYNAMICTOP_PTR>>2]=ret;return 0}}return ret}),alignMemory:(function(size,quantum){var ret=size=Math.ceil(size/(quantum?quantum:16))*(quantum?quantum:16);return ret}),makeBigInt:(function(low,high,unsigned){var ret=unsigned?+(low>>>0)+ +(high>>>0)*+4294967296:+(low>>>0)+ +(high|0)*+4294967296;return ret}),GLOBAL_BASE:8,QUANTUM_SIZE:4,__dummy__:0};Module["Runtime"]=Runtime;var ABORT=0;var EXITSTATUS=0;function assert(condition,text){if(!condition){abort("Assertion failed: "+text)}}function getCFunc(ident){var func=Module["_"+ident];if(!func){try{func=eval("_"+ident)}catch(e){}}assert(func,"Cannot call unknown function "+ident+" (perhaps LLVM optimizations or closure removed it?)");return func}var cwrap,ccall;((function(){var JSfuncs={"stackSave":(function(){Runtime.stackSave()}),"stackRestore":(function(){Runtime.stackRestore()}),"arrayToC":(function(arr){var ret=Runtime.stackAlloc(arr.length);writeArrayToMemory(arr,ret);return ret}),"stringToC":(function(str){var ret=0;if(str!==null&&str!==undefined&&str!==0){var len=(str.length<<2)+1;ret=Runtime.stackAlloc(len);stringToUTF8(str,ret,len)}return ret})};var toC={"string":JSfuncs["stringToC"],"array":JSfuncs["arrayToC"]};ccall=function ccallFunc(ident,returnType,argTypes,args,opts){var func=getCFunc(ident);var cArgs=[];var stack=0;if(args){for(var i=0;i<args.length;i++){var converter=toC[argTypes[i]];if(converter){if(stack===0)stack=Runtime.stackSave();cArgs[i]=converter(args[i])}else{cArgs[i]=args[i]}}}var ret=func.apply(null,cArgs);if(returnType==="string")ret=Pointer_stringify(ret);if(stack!==0){if(opts&&opts.async){EmterpreterAsync.asyncFinalizers.push((function(){Runtime.stackRestore(stack)}));return}Runtime.stackRestore(stack)}return ret};var sourceRegex=/^function\s*[a-zA-Z$_0-9]*\s*\(([^)]*)\)\s*{\s*([^*]*?)[\s;]*(?:return\s*(.*?)[;\s]*)?}$/;function parseJSFunc(jsfunc){var parsed=jsfunc.toString().match(sourceRegex).slice(1);return{arguments:parsed[0],body:parsed[1],returnValue:parsed[2]}}var JSsource=null;function ensureJSsource(){if(!JSsource){JSsource={};for(var fun in JSfuncs){if(JSfuncs.hasOwnProperty(fun)){JSsource[fun]=parseJSFunc(JSfuncs[fun])}}}}cwrap=function cwrap(ident,returnType,argTypes){argTypes=argTypes||[];var cfunc=getCFunc(ident);var numericArgs=argTypes.every((function(type){return type==="number"}));var numericRet=returnType!=="string";if(numericRet&&numericArgs){return cfunc}var argNames=argTypes.map((function(x,i){return"$"+i}));var funcstr="(function("+argNames.join(",")+") {";var nargs=argTypes.length;if(!numericArgs){ensureJSsource();funcstr+="var stack = "+JSsource["stackSave"].body+";";for(var i=0;i<nargs;i++){var arg=argNames[i],type=argTypes[i];if(type==="number")continue;var convertCode=JSsource[type+"ToC"];funcstr+="var "+convertCode.arguments+" = "+arg+";";funcstr+=convertCode.body+";";funcstr+=arg+"=("+convertCode.returnValue+");"}}var cfuncname=parseJSFunc((function(){return cfunc})).returnValue;funcstr+="var ret = "+cfuncname+"("+argNames.join(",")+");";if(!numericRet){var strgfy=parseJSFunc((function(){return Pointer_stringify})).returnValue;funcstr+="ret = "+strgfy+"(ret);"}if(!numericArgs){ensureJSsource();funcstr+=JSsource["stackRestore"].body.replace("()","(stack)")+";"}funcstr+="return ret})";return eval(funcstr)}}))();Module["ccall"]=ccall;Module["cwrap"]=cwrap;function setValue(ptr,value,type,noSafe){type=type||"i8";if(type.charAt(type.length-1)==="*")type="i32";switch(type){case"i1":HEAP8[ptr>>0]=value;break;case"i8":HEAP8[ptr>>0]=value;break;case"i16":HEAP16[ptr>>1]=value;break;case"i32":HEAP32[ptr>>2]=value;break;case"i64":tempI64=[value>>>0,(tempDouble=value,+Math_abs(tempDouble)>=+1?tempDouble>+0?(Math_min(+Math_floor(tempDouble/+4294967296),+4294967295)|0)>>>0:~~+Math_ceil((tempDouble- +(~~tempDouble>>>0))/+4294967296)>>>0:0)],HEAP32[ptr>>2]=tempI64[0],HEAP32[ptr+4>>2]=tempI64[1];break;case"float":HEAPF32[ptr>>2]=value;break;case"double":HEAPF64[ptr>>3]=value;break;default:abort("invalid type for setValue: "+type)}}Module["setValue"]=setValue;function getValue(ptr,type,noSafe){type=type||"i8";if(type.charAt(type.length-1)==="*")type="i32";switch(type){case"i1":return HEAP8[ptr>>0];case"i8":return HEAP8[ptr>>0];case"i16":return HEAP16[ptr>>1];case"i32":return HEAP32[ptr>>2];case"i64":return HEAP32[ptr>>2];case"float":return HEAPF32[ptr>>2];case"double":return HEAPF64[ptr>>3];default:abort("invalid type for setValue: "+type)}return null}Module["getValue"]=getValue;var ALLOC_NORMAL=0;var ALLOC_STACK=1;var ALLOC_STATIC=2;var ALLOC_DYNAMIC=3;var ALLOC_NONE=4;Module["ALLOC_NORMAL"]=ALLOC_NORMAL;Module["ALLOC_STACK"]=ALLOC_STACK;Module["ALLOC_STATIC"]=ALLOC_STATIC;Module["ALLOC_DYNAMIC"]=ALLOC_DYNAMIC;Module["ALLOC_NONE"]=ALLOC_NONE;function allocate(slab,types,allocator,ptr){var zeroinit,size;if(typeof slab==="number"){zeroinit=true;size=slab}else{zeroinit=false;size=slab.length}var singleType=typeof types==="string"?types:null;var ret;if(allocator==ALLOC_NONE){ret=ptr}else{ret=[typeof _malloc==="function"?_malloc:Runtime.staticAlloc,Runtime.stackAlloc,Runtime.staticAlloc,Runtime.dynamicAlloc][allocator===undefined?ALLOC_STATIC:allocator](Math.max(size,singleType?1:types.length))}if(zeroinit){var ptr=ret,stop;assert((ret&3)==0);stop=ret+(size&~3);for(;ptr<stop;ptr+=4){HEAP32[ptr>>2]=0}stop=ret+size;while(ptr<stop){HEAP8[ptr++>>0]=0}return ret}if(singleType==="i8"){if(slab.subarray||slab.slice){HEAPU8.set(slab,ret)}else{HEAPU8.set(new Uint8Array(slab),ret)}return ret}var i=0,type,typeSize,previousType;while(i<size){var curr=slab[i];if(typeof curr==="function"){curr=Runtime.getFunctionIndex(curr)}type=singleType||types[i];if(type===0){i++;continue}if(type=="i64")type="i32";setValue(ret+i,curr,type);if(previousType!==type){typeSize=Runtime.getNativeTypeSize(type);previousType=type}i+=typeSize}return ret}Module["allocate"]=allocate;function getMemory(size){if(!staticSealed)return Runtime.staticAlloc(size);if(!runtimeInitialized)return Runtime.dynamicAlloc(size);return _malloc(size)}Module["getMemory"]=getMemory;function Pointer_stringify(ptr,length){if(length===0||!ptr)return"";var hasUtf=0;var t;var i=0;while(1){t=HEAPU8[ptr+i>>0];hasUtf|=t;if(t==0&&!length)break;i++;if(length&&i==length)break}if(!length)length=i;var ret="";if(hasUtf<128){var MAX_CHUNK=1024;var curr;while(length>0){curr=String.fromCharCode.apply(String,HEAPU8.subarray(ptr,ptr+Math.min(length,MAX_CHUNK)));ret=ret?ret+curr:curr;ptr+=MAX_CHUNK;length-=MAX_CHUNK}return ret}return Module["UTF8ToString"](ptr)}Module["Pointer_stringify"]=Pointer_stringify;function AsciiToString(ptr){var str="";while(1){var ch=HEAP8[ptr++>>0];if(!ch)return str;str+=String.fromCharCode(ch)}}Module["AsciiToString"]=AsciiToString;function stringToAscii(str,outPtr){return writeAsciiToMemory(str,outPtr,false)}Module["stringToAscii"]=stringToAscii;var UTF8Decoder=typeof TextDecoder!=="undefined"?new TextDecoder("utf8"):undefined;function UTF8ArrayToString(u8Array,idx){var endPtr=idx;while(u8Array[endPtr])++endPtr;if(endPtr-idx>16&&u8Array.subarray&&UTF8Decoder){return UTF8Decoder.decode(u8Array.subarray(idx,endPtr))}else{var u0,u1,u2,u3,u4,u5;var str="";while(1){u0=u8Array[idx++];if(!u0)return str;if(!(u0&128)){str+=String.fromCharCode(u0);continue}u1=u8Array[idx++]&63;if((u0&224)==192){str+=String.fromCharCode((u0&31)<<6|u1);continue}u2=u8Array[idx++]&63;if((u0&240)==224){u0=(u0&15)<<12|u1<<6|u2}else{u3=u8Array[idx++]&63;if((u0&248)==240){u0=(u0&7)<<18|u1<<12|u2<<6|u3}else{u4=u8Array[idx++]&63;if((u0&252)==248){u0=(u0&3)<<24|u1<<18|u2<<12|u3<<6|u4}else{u5=u8Array[idx++]&63;u0=(u0&1)<<30|u1<<24|u2<<18|u3<<12|u4<<6|u5}}}if(u0<65536){str+=String.fromCharCode(u0)}else{var ch=u0-65536;str+=String.fromCharCode(55296|ch>>10,56320|ch&1023)}}}}Module["UTF8ArrayToString"]=UTF8ArrayToString;function UTF8ToString(ptr){return UTF8ArrayToString(HEAPU8,ptr)}Module["UTF8ToString"]=UTF8ToString;function stringToUTF8Array(str,outU8Array,outIdx,maxBytesToWrite){if(!(maxBytesToWrite>0))return 0;var startIdx=outIdx;var endIdx=outIdx+maxBytesToWrite-1;for(var i=0;i<str.length;++i){var u=str.charCodeAt(i);if(u>=55296&&u<=57343)u=65536+((u&1023)<<10)|str.charCodeAt(++i)&1023;if(u<=127){if(outIdx>=endIdx)break;outU8Array[outIdx++]=u}else if(u<=2047){if(outIdx+1>=endIdx)break;outU8Array[outIdx++]=192|u>>6;outU8Array[outIdx++]=128|u&63}else if(u<=65535){if(outIdx+2>=endIdx)break;outU8Array[outIdx++]=224|u>>12;outU8Array[outIdx++]=128|u>>6&63;outU8Array[outIdx++]=128|u&63}else if(u<=2097151){if(outIdx+3>=endIdx)break;outU8Array[outIdx++]=240|u>>18;outU8Array[outIdx++]=128|u>>12&63;outU8Array[outIdx++]=128|u>>6&63;outU8Array[outIdx++]=128|u&63}else if(u<=67108863){if(outIdx+4>=endIdx)break;outU8Array[outIdx++]=248|u>>24;outU8Array[outIdx++]=128|u>>18&63;outU8Array[outIdx++]=128|u>>12&63;outU8Array[outIdx++]=128|u>>6&63;outU8Array[outIdx++]=128|u&63}else{if(outIdx+5>=endIdx)break;outU8Array[outIdx++]=252|u>>30;outU8Array[outIdx++]=128|u>>24&63;outU8Array[outIdx++]=128|u>>18&63;outU8Array[outIdx++]=128|u>>12&63;outU8Array[outIdx++]=128|u>>6&63;outU8Array[outIdx++]=128|u&63}}outU8Array[outIdx]=0;return outIdx-startIdx}Module["stringToUTF8Array"]=stringToUTF8Array;function stringToUTF8(str,outPtr,maxBytesToWrite){return stringToUTF8Array(str,HEAPU8,outPtr,maxBytesToWrite)}Module["stringToUTF8"]=stringToUTF8;function lengthBytesUTF8(str){var len=0;for(var i=0;i<str.length;++i){var u=str.charCodeAt(i);if(u>=55296&&u<=57343)u=65536+((u&1023)<<10)|str.charCodeAt(++i)&1023;if(u<=127){++len}else if(u<=2047){len+=2}else if(u<=65535){len+=3}else if(u<=2097151){len+=4}else if(u<=67108863){len+=5}else{len+=6}}return len}Module["lengthBytesUTF8"]=lengthBytesUTF8;var UTF16Decoder=typeof TextDecoder!=="undefined"?new TextDecoder("utf-16le"):undefined;function demangle(func){var __cxa_demangle_func=Module["___cxa_demangle"]||Module["__cxa_demangle"];if(__cxa_demangle_func){try{var s=func.substr(1);var len=lengthBytesUTF8(s)+1;var buf=_malloc(len);stringToUTF8(s,buf,len);var status=_malloc(4);var ret=__cxa_demangle_func(buf,0,0,status);if(getValue(status,"i32")===0&&ret){return Pointer_stringify(ret)}}catch(e){}finally{if(buf)_free(buf);if(status)_free(status);if(ret)_free(ret)}return func}Runtime.warnOnce("warning: build with  -s DEMANGLE_SUPPORT=1  to link in libcxxabi demangling");return func}function demangleAll(text){var regex=/__Z[\w\d_]+/g;return text.replace(regex,(function(x){var y=demangle(x);return x===y?x:x+" ["+y+"]"}))}function jsStackTrace(){var err=new Error;if(!err.stack){try{throw new Error(0)}catch(e){err=e}if(!err.stack){return"(no stack trace available)"}}return err.stack.toString()}function stackTrace(){var js=jsStackTrace();if(Module["extraStackTrace"])js+="\n"+Module["extraStackTrace"]();return demangleAll(js)}Module["stackTrace"]=stackTrace;var WASM_PAGE_SIZE=65536;var ASMJS_PAGE_SIZE=16777216;var MIN_TOTAL_MEMORY=16777216;function alignUp(x,multiple){if(x%multiple>0){x+=multiple-x%multiple}return x}var HEAP,buffer,HEAP8,HEAPU8,HEAP16,HEAPU16,HEAP32,HEAPU32,HEAPF32,HEAPF64;function updateGlobalBuffer(buf){Module["buffer"]=buffer=buf}function updateGlobalBufferViews(){Module["HEAP8"]=HEAP8=new Int8Array(buffer);Module["HEAP16"]=HEAP16=new Int16Array(buffer);Module["HEAP32"]=HEAP32=new Int32Array(buffer);Module["HEAPU8"]=HEAPU8=new Uint8Array(buffer);Module["HEAPU16"]=HEAPU16=new Uint16Array(buffer);Module["HEAPU32"]=HEAPU32=new Uint32Array(buffer);Module["HEAPF32"]=HEAPF32=new Float32Array(buffer);Module["HEAPF64"]=HEAPF64=new Float64Array(buffer)}var STATIC_BASE,STATICTOP,staticSealed;var STACK_BASE,STACKTOP,STACK_MAX;var DYNAMIC_BASE,DYNAMICTOP_PTR;STATIC_BASE=STATICTOP=STACK_BASE=STACKTOP=STACK_MAX=DYNAMIC_BASE=DYNAMICTOP_PTR=0;staticSealed=false;function abortOnCannotGrowMemory(){abort("Cannot enlarge memory arrays. Either (1) compile with  -s TOTAL_MEMORY=X  with X higher than the current value "+TOTAL_MEMORY+", (2) compile with  -s ALLOW_MEMORY_GROWTH=1  which allows increasing the size at runtime but prevents some optimizations, (3) set Module.TOTAL_MEMORY to a higher value before the program runs, or (4) if you want malloc to return NULL (0) instead of this abort, compile with  -s ABORTING_MALLOC=0 ")}if(!Module["reallocBuffer"])Module["reallocBuffer"]=(function(size){var ret;try{if(ArrayBuffer.transfer){ret=ArrayBuffer.transfer(buffer,size)}else{var oldHEAP8=HEAP8;ret=new ArrayBuffer(size);var temp=new Int8Array(ret);temp.set(oldHEAP8)}}catch(e){return false}var success=_emscripten_replace_memory(ret);if(!success)return false;return ret});function enlargeMemory(){var PAGE_MULTIPLE=Module["usingWasm"]?WASM_PAGE_SIZE:ASMJS_PAGE_SIZE;var LIMIT=2147483648-PAGE_MULTIPLE;if(HEAP32[DYNAMICTOP_PTR>>2]>LIMIT){return false}var OLD_TOTAL_MEMORY=TOTAL_MEMORY;TOTAL_MEMORY=Math.max(TOTAL_MEMORY,MIN_TOTAL_MEMORY);while(TOTAL_MEMORY<HEAP32[DYNAMICTOP_PTR>>2]){if(TOTAL_MEMORY<=536870912){TOTAL_MEMORY=alignUp(2*TOTAL_MEMORY,PAGE_MULTIPLE)}else{TOTAL_MEMORY=Math.min(alignUp((3*TOTAL_MEMORY+2147483648)/4,PAGE_MULTIPLE),LIMIT)}}var replacement=Module["reallocBuffer"](TOTAL_MEMORY);if(!replacement||replacement.byteLength!=TOTAL_MEMORY){TOTAL_MEMORY=OLD_TOTAL_MEMORY;return false}updateGlobalBuffer(replacement);updateGlobalBufferViews();return true}var byteLength;try{byteLength=Function.prototype.call.bind(Object.getOwnPropertyDescriptor(ArrayBuffer.prototype,"byteLength").get);byteLength(new ArrayBuffer(4))}catch(e){byteLength=(function(buffer){return buffer.byteLength})}var TOTAL_STACK=Module["TOTAL_STACK"]||5242880;var TOTAL_MEMORY=Module["TOTAL_MEMORY"]||134217728;if(TOTAL_MEMORY<TOTAL_STACK)Module.printErr("TOTAL_MEMORY should be larger than TOTAL_STACK, was "+TOTAL_MEMORY+"! (TOTAL_STACK="+TOTAL_STACK+")");if(Module["buffer"]){buffer=Module["buffer"]}else{{buffer=new ArrayBuffer(TOTAL_MEMORY)}}updateGlobalBufferViews();function getTotalMemory(){return TOTAL_MEMORY}HEAP32[0]=1668509029;HEAP16[1]=25459;if(HEAPU8[2]!==115||HEAPU8[3]!==99)throw"Runtime error: expected the system to be little-endian!";Module["HEAP"]=HEAP;Module["buffer"]=buffer;Module["HEAP8"]=HEAP8;Module["HEAP16"]=HEAP16;Module["HEAP32"]=HEAP32;Module["HEAPU8"]=HEAPU8;Module["HEAPU16"]=HEAPU16;Module["HEAPU32"]=HEAPU32;Module["HEAPF32"]=HEAPF32;Module["HEAPF64"]=HEAPF64;function callRuntimeCallbacks(callbacks){while(callbacks.length>0){var callback=callbacks.shift();if(typeof callback=="function"){callback();continue}var func=callback.func;if(typeof func==="number"){if(callback.arg===undefined){Module["dynCall_v"](func)}else{Module["dynCall_vi"](func,callback.arg)}}else{func(callback.arg===undefined?null:callback.arg)}}}var __ATPRERUN__=[];var __ATINIT__=[];var __ATMAIN__=[];var __ATEXIT__=[];var __ATPOSTRUN__=[];var runtimeInitialized=false;var runtimeExited=false;function preRun(){if(Module["preRun"]){if(typeof Module["preRun"]=="function")Module["preRun"]=[Module["preRun"]];while(Module["preRun"].length){addOnPreRun(Module["preRun"].shift())}}callRuntimeCallbacks(__ATPRERUN__)}function ensureInitRuntime(){if(runtimeInitialized)return;runtimeInitialized=true;callRuntimeCallbacks(__ATINIT__)}function preMain(){callRuntimeCallbacks(__ATMAIN__)}function exitRuntime(){callRuntimeCallbacks(__ATEXIT__);runtimeExited=true}function postRun(){if(Module["postRun"]){if(typeof Module["postRun"]=="function")Module["postRun"]=[Module["postRun"]];while(Module["postRun"].length){addOnPostRun(Module["postRun"].shift())}}callRuntimeCallbacks(__ATPOSTRUN__)}function addOnPreRun(cb){__ATPRERUN__.unshift(cb)}Module["addOnPreRun"]=addOnPreRun;function addOnInit(cb){__ATINIT__.unshift(cb)}Module["addOnInit"]=addOnInit;function addOnPreMain(cb){__ATMAIN__.unshift(cb)}Module["addOnPreMain"]=addOnPreMain;function addOnExit(cb){__ATEXIT__.unshift(cb)}Module["addOnExit"]=addOnExit;function addOnPostRun(cb){__ATPOSTRUN__.unshift(cb)}Module["addOnPostRun"]=addOnPostRun;function intArrayFromString(stringy,dontAddNull,length){var len=length>0?length:lengthBytesUTF8(stringy)+1;var u8array=new Array(len);var numBytesWritten=stringToUTF8Array(stringy,u8array,0,u8array.length);if(dontAddNull)u8array.length=numBytesWritten;return u8array}Module["intArrayFromString"]=intArrayFromString;function intArrayToString(array){var ret=[];for(var i=0;i<array.length;i++){var chr=array[i];if(chr>255){chr&=255}ret.push(String.fromCharCode(chr))}return ret.join("")}Module["intArrayToString"]=intArrayToString;function writeStringToMemory(string,buffer,dontAddNull){Runtime.warnOnce("writeStringToMemory is deprecated and should not be called! Use stringToUTF8() instead!");var lastChar,end;if(dontAddNull){end=buffer+lengthBytesUTF8(string);lastChar=HEAP8[end]}stringToUTF8(string,buffer,Infinity);if(dontAddNull)HEAP8[end]=lastChar}Module["writeStringToMemory"]=writeStringToMemory;function writeArrayToMemory(array,buffer){HEAP8.set(array,buffer)}Module["writeArrayToMemory"]=writeArrayToMemory;function writeAsciiToMemory(str,buffer,dontAddNull){for(var i=0;i<str.length;++i){HEAP8[buffer++>>0]=str.charCodeAt(i)}if(!dontAddNull)HEAP8[buffer>>0]=0}Module["writeAsciiToMemory"]=writeAsciiToMemory;if(!Math["imul"]||Math["imul"](4294967295,5)!==-5)Math["imul"]=function imul(a,b){var ah=a>>>16;var al=a&65535;var bh=b>>>16;var bl=b&65535;return al*bl+(ah*bl+al*bh<<16)|0};Math.imul=Math["imul"];if(!Math["clz32"])Math["clz32"]=(function(x){x=x>>>0;for(var i=0;i<32;i++){if(x&1<<31-i)return i}return 32});Math.clz32=Math["clz32"];if(!Math["trunc"])Math["trunc"]=(function(x){return x<0?Math.ceil(x):Math.floor(x)});Math.trunc=Math["trunc"];var Math_abs=Math.abs;var Math_cos=Math.cos;var Math_sin=Math.sin;var Math_tan=Math.tan;var Math_acos=Math.acos;var Math_asin=Math.asin;var Math_atan=Math.atan;var Math_atan2=Math.atan2;var Math_exp=Math.exp;var Math_log=Math.log;var Math_sqrt=Math.sqrt;var Math_ceil=Math.ceil;var Math_floor=Math.floor;var Math_pow=Math.pow;var Math_imul=Math.imul;var Math_fround=Math.fround;var Math_round=Math.round;var Math_min=Math.min;var Math_clz32=Math.clz32;var Math_trunc=Math.trunc;var runDependencies=0;var runDependencyWatcher=null;var dependenciesFulfilled=null;function getUniqueRunDependency(id){return id}function addRunDependency(id){runDependencies++;if(Module["monitorRunDependencies"]){Module["monitorRunDependencies"](runDependencies)}}Module["addRunDependency"]=addRunDependency;function removeRunDependency(id){runDependencies--;if(Module["monitorRunDependencies"]){Module["monitorRunDependencies"](runDependencies)}if(runDependencies==0){if(runDependencyWatcher!==null){clearInterval(runDependencyWatcher);runDependencyWatcher=null}if(dependenciesFulfilled){var callback=dependenciesFulfilled;dependenciesFulfilled=null;callback()}}}Module["removeRunDependency"]=removeRunDependency;Module["preloadedImages"]={};Module["preloadedAudios"]={};var ASM_CONSTS=[];STATIC_BASE=Runtime.GLOBAL_BASE;STATICTOP=STATIC_BASE+1171392;__ATINIT__.push({func:(function(){__GLOBAL__I_000101()})},{func:(function(){__GLOBAL__sub_I_graph_pb_cc()})},{func:(function(){__GLOBAL__sub_I_iostream_cpp()})},{func:(function(){__GLOBAL__sub_I_bind_cpp()})},{func:(function(){__GLOBAL__sub_I_message_cc()})},{func:(function(){__GLOBAL__sub_I_descriptor_pb_cc()})},{func:(function(){__GLOBAL__sub_I_status_cc()})},{func:(function(){__GLOBAL__sub_I_opencv_onnx_pb_cc()})},{func:(function(){__GLOBAL__sub_I_versions_pb_cc()})},{func:(function(){__GLOBAL__sub_I_op_def_pb_cc()})},{func:(function(){__GLOBAL__sub_I_function_pb_cc()})},{func:(function(){__GLOBAL__sub_I_detection_output_layer_cpp()})},{func:(function(){__GLOBAL__sub_I_prior_box_layer_cpp()})},{func:(function(){__GLOBAL__sub_I_darknet_io_cpp()})},{func:(function(){__GLOBAL__sub_I_opencv_caffe_pb_cc()})},{func:(function(){__GLOBAL__sub_I_tensor_shape_pb_cc()})},{func:(function(){__GLOBAL__sub_I_bindings_cpp()})},{func:(function(){__GLOBAL__sub_I_tensor_pb_cc()})},{func:(function(){__GLOBAL__sub_I_types_pb_cc()})},{func:(function(){__GLOBAL__sub_I_attr_value_pb_cc()})},{func:(function(){__GLOBAL__sub_I_init_cpp()})},{func:(function(){__GLOBAL__sub_I_dnn_cpp()})},{func:(function(){__GLOBAL__sub_I_haar_cpp()})},{func:(function(){__GLOBAL__sub_I_hog_cpp()})},{func:(function(){__GLOBAL__sub_I_color_lab_cpp()})},{func:(function(){__GLOBAL__sub_I_histogram_cpp()})},{func:(function(){__GLOBAL__sub_I_imgwarp_cpp()})},{func:(function(){__GLOBAL__sub_I_persistence_types_cpp()})},{func:(function(){__GLOBAL__sub_I_umatrix_cpp()})},{func:(function(){__GLOBAL__sub_I_kmeans_cpp()})},{func:(function(){__GLOBAL__sub_I_system_cpp()})});allocate([0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,49,244,70,62,15,206,131,63,71,85,215,212,68,5,132,63,150,24,1,83,20,61,132,63,240,209,204,101,127,117,132,63,186,20,239,190,135,174,132,63,248,121,213,20,47,232,132,63,157,202,179,34,119,34,133,63,157,78,145,168,97,93,133,63,12,65,86,107,240,152,133,63,195,105,217,52,37,213,133,63,241,220,237,211,1,18,134,63,251,224,112,28,136,79,134,63,26,251,87,231,185,141,134,63,41,35,191,18,153,204,134,63,3,31,247,129,39,12,135,63,238,5,148,29,103,76,135,63,113,236,123,211,89,141,135,63,28,185,245,150,1,207,135,63,164,34,184,96,96,17,136,63,192,215,248,46,120,84,136,63,87,209,123,5,75,152,136,63,90,207,162,237,218,220,136,63,197,0,125,246,41,34,137,63,87,215,214,52,58,104,137,63,85,7,74,195,13,175,137,63,241,179,77,194,166,246,137,63,199,200,70,88,7,63,138,63,236,128,152,177,49,136,138,63,15,28,181,0,40,210,138,63,43,194,46,126,236,28,139,63,87,150,200,104,129,104,139,63,34,249,135,5,233,180,139,63,22,251,197,159,37,2,140,63,215,255,64,137,57,80,140,63,117,146,46,26,39,159,140,63,103,107,77,177,240,238,140,63,204,168,247,179,152,63,141,63,114,57,53,142,33,145,141,63,62,123,206,178,141,227,141,63,105,13,95,155,223,54,142,63,71,215,104,200,25,139,142,63,18,68,103,193,62,224,142,63,77,180,226,20,81,54,143,63,95,37,132,88,83,141,143,63,249,15,41,41,72,229,143,63,242,190,123,21,25,31,144,63,223,43,185,4,10,76,144,63,173,245,198,59,120,121,144,63,177,85,226,23,101,167,144,63,92,20,22,250,209,213,144,63,48,35,69,71,192,4,145,63,65,84,53,104,49,52,145,63,151,47,154,201,38,100,145,63,190,230,31,220,161,148,145,63,229,102,118,20,164,197,145,63,208,137,92,235,46,247,145,63,8,102,171,221,67,41,146,63,142,190,97,108,228,91,146,63,109,146,175,28,18,143,146,63,136,204,1,120,206,194,146,63,5,20,14,12,27,247,146,63,151,189,222,106,249,43,147,63,33,222,222,42,107,97,147,63,249,126,230,230,113,151,147,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,63,192,11,177,162,10,240,111,63,32,224,31,224,31,224,239,63,136,103,16,107,42,224,127,63,240,7,252,1,127,192,239,63,118,10,129,95,71,220,135,63,18,250,1,170,28,161,239,63,227,3,252,176,168,192,143,63,32,248,129,31,248,129,239,63,116,165,70,67,164,206,147,63,181,219,160,172,16,99,239,63,26,177,213,7,27,185,151,63,113,66,74,158,101,68,239,63,151,145,175,39,192,159,155,63,181,10,35,68,246,37,239,63,0,51,120,14,155,130,159,63,8,31,124,240,193,7,239,63,127,217,35,137,217,176,161,63,2,142,69,248,199,233,238,63,95,189,254,185,135,158,163,63,192,236,1,179,7,204,238,63,212,228,200,175,91,138,165,63,235,1,186,122,128,174,238,63,252,220,50,246,88,116,167,63,103,183,240,171,49,145,238,63,235,227,200,14,131,92,169,63,228,80,151,165,26,116,238,63,190,113,25,113,221,66,171,63,116,229,1,201,58,87,238,63,82,11,219,138,107,39,173,63,115,26,220,121,145,58,238,63,166,98,17,192,48,10,175,63,30,30,30,30,30,30,238,63,113,228,152,53,152,117,176,63,30,224,1,30,224,1,238,63,224,122,163,238,54,101,177,63,138,134,248,227,214,229,237,63,22,20,10,47,246,83,178,63,202,29,160,220,1,202,237,63,208,209,27,150,215,65,179,63,219,129,185,118,96,174,237,63,240,70,166,190,220,46,180,63,138,127,30,35,242,146,237,63,63,24,6,63,7,27,181,63,52,44,184,84,182,119,237,63,195,80,55,169,88,6,182,63,178,114,117,128,172,92,237,63,75,107,229,138,210,240,182,63,29,212,65,29,212,65,237,63,204,18,123,109,118,218,183,63,26,91,252,163,44,39,237,63,32,155,49,214,69,195,184,63,116,192,110,143,181,12,237,63,172,51,32,70,66,171,185,63,198,191,68,92,110,242,236,63,99,213,74,58,109,146,186,63,11,155,3,137,86,216,236,63,161,237,176,43,200,120,187,63,231,203,1,150,109,190,236,63,67,199,91,143,84,94,188,63,145,225,94,5,179,164,236,63,93,179,108,214,19,67,189,63,66,138,251,90,38,139,236,63,229,242,42,110,7,39,190,63,28,199,113,28,199,113,236,63,166,98,17,192,48,10,191,63,134,73,13,209,148,88,236,63,186,234,219,49,145,236,191,63,240,248,195,1,143,63,236,63,110,89,202,18,21,103,192,63,28,160,46,57,181,38,236,63,89,142,208,124,126,215,192,63,224,192,129,3,7,14,236,63,172,66,103,132,133,71,193,63,139,141,134,238,131,245,235,63,160,103,47,213,42,183,193,63,247,6,148,137,43,221,235,63,203,90,10,25,111,38,194,63,123,62,136,101,253,196,235,63,35,245,31,248,82,149,194,63,208,186,193,20,249,172,235,63,210,127,228,24,215,3,195,63,35,255,24,43,30,149,235,63,116,143,30,32,252,113,195,63,139,51,218,61,108,125,235,63,41,198,236,176,194,223,195,63,5,238,190,227,226,101,235,63,30,125,203,108,43,77,196,63,79,27,232,180,129,78,235,63,229,85,154,243,54,186,196,63,206,6,216,74,72,55,235,63,55,180,161,227,229,38,197,63,217,128,108,64,54,32,235,63,133,32,152,217,56,147,197,63,164,34,217,49,75,9,235,63,211,147,167,112,48,255,197,63,40,175,161,188,134,242,234,63,80,173,114,66,205,106,198,63,94,144,148,127,232,219,234,63,28,210,25,231,15,214,198,63,27,112,197,26,112,197,234,63,164,55,64,245,248,64,199,63,253,235,135,47,29,175,234,63,9,217,16,2,137,171,199,63,190,99,106,96,239,152,234,63,234,87,67,161,192,21,200,63,89,225,48,81,230,130,234,63,16,201,32,101,160,127,200,63,109,26,208,166,1,109,234,63,64,109,136,222,40,233,200,63,74,138,104,7,65,87,234,63,180,86,244,156,90,82,201,63,26,164,65,26,164,65,234,63,131,251,125,46,54,187,201,63,160,28,197,135,42,44,234,63,99,181,226,31,188,35,202,63,2,75,122,249,211,22,234,63,24,47,136,252,236,139,202,63,26,160,1,26,160,1,234,63,242,191,128,78,201,243,202,63,217,51,16,149,142,236,233,63,164,181,143,158,81,91,203,63,45,104,107,23,159,215,233,63,214,140,45,116,134,194,203,63,2,161,228,78,209,194,233,63,192,24,140,85,104,41,204,63,218,16,85,234,36,174,233,63,33,154,154,199,247,143,204,63,154,153,153,153,153,153,233,63,220,197,9,78,53,246,204,63,255,192,142,13,47,133,233,63,145,187,79,107,33,92,205,63,114,184,12,248,228,112,233,63,125,236,171,160,188,193,205,63,174,119,227,11,187,92,233,63,229,242,42,110,7,39,206,63,224,233,214,252,176,72,233,63,95,90,170,82,2,140,206,63,230,44,155,127,198,52,233,63,54,89,220,203,173,240,206,63,41,226,208,73,251,32,233,63,55,123,75,86,10,85,207,63,213,144,1,18,79,13,233,63,42,62,94,109,24,185,207,63,250,24,156,143,193,249,232,63,28,80,173,69,108,14,208,63,63,55,241,122,82,230,232,63,64,208,180,148,37,64,208,63,211,24,48,141,1,211,232,63,13,89,205,95,184,113,208,63,58,255,98,128,206,191,232,63,227,144,115,226,36,163,208,63,170,243,107,15,185,172,232,63,75,183,154,87,107,212,208,63,156,137,1,246,192,153,232,63,213,74,174,249,139,5,209,63,74,176,171,240,229,134,232,63,176,168,147,2,135,54,209,63,185,146,192,188,39,116,232,63,14,166,171,171,92,103,209,63,24,134,97,24,134,97,232,63,111,35,212,45,13,152,209,63,20,6,120,194,0,79,232,63,250,153,105,193,152,200,209,63,221,190,178,122,151,60,232,63,242,162,72,158,255,248,209,63,160,164,130,1,74,42,232,63,101,121,207,251,65,41,210,63,24,24,24,24,24,24,232,63,57,118,223,16,96,89,210,63,6,24,96,128,1,6,232,63,163,134,222,19,90,137,210,63,64,127,1,253,5,244,231,63,36,157,184,58,48,185,210,63,29,79,90,81,37,226,231,63,48,29,225,186,226,232,210,63,244,5,125,65,95,208,231,63,132,65,84,201,113,24,211,63,124,1,46,146,179,190,231,63,84,125,152,154,221,71,211,63,195,236,224,8,34,173,231,63,90,216,191,98,38,119,211,63,139,57,182,107,170,155,231,63,233,69,105,85,76,166,211,63,200,164,120,129,76,138,231,63,15,247,193,165,79,213,211,63,13,198,154,17,8,121,231,63,227,167,134,134,48,4,212,63,177,169,52,228,220,103,231,63,19,232,4,42,239,50,212,63,109,117,1,194,202,86,231,63,194,94,28,194,139,97,212,63,70,23,93,116,209,69,231,63,208,9,64,128,6,144,212,63,141,254,65,197,240,52,231,63,160,120,119,149,95,190,212,63,188,222,70,127,40,36,231,63,105,2,96,50,151,236,212,63,9,124,156,109,120,19,231,63,45,248,45,135,173,26,213,63,112,129,11,92,224,2,231,63,98,210,173,195,162,72,213,63,23,96,242,22,96,242,230,63,108,90,69,23,119,118,213,63,199,55,67,107,247,225,230,63,225,207,244,176,42,164,213,63,97,200,129,38,166,209,230,63,202,9,88,191,189,209,213,63,23,108,193,22,108,193,230,63,211,147,167,112,48,255,213,63,61,26,163,10,73,177,230,63,149,199,185,242,130,44,214,63,144,114,83,209,60,161,230,63,242,225,3,115,181,89,214,63,192,208,136,58,71,145,230,63,174,20,155,30,200,134,214,63,23,104,129,22,104,129,230,63,61,148,53,34,187,179,214,63,26,103,1,54,159,113,230,63,227,161,43,170,142,224,214,63,249,34,81,106,236,97,230,63,53,146,120,226,66,13,215,63,163,74,59,133,79,82,230,63,6,208,187,246,215,57,215,63,100,33,11,89,200,66,230,63,206,219,57,18,78,102,215,63,222,192,138,184,86,51,230,63,162,71,221,95,165,146,215,63,64,98,1,119,250,35,230,63,191,175,55,10,222,190,215,63,148,174,49,104,179,20,230,63,195,175,130,59,248,234,215,63,6,22,88,96,129,5,230,63,149,212,160,29,244,22,216,63,252,45,41,52,100,246,229,63,23,139,30,218,209,66,216,63,231,21,208,184,91,231,229,63,160,11,51,154,145,110,216,63,165,226,236,195,103,216,229,63,90,66,193,134,51,154,216,63,87,16,147,43,136,201,229,63,138,180,88,200,183,197,216,63,145,250,71,198,188,186,229,63,199,98,54,135,30,241,216,63,192,90,1,107,5,172,229,63,61,168,69,235,103,28,217,63,170,204,35,241,97,157,229,63,250,22,33,28,148,71,217,63,237,88,129,48,210,142,229,63,88,81,19,65,163,114,217,63,96,5,88,1,86,128,229,63,138,224,23,129,149,157,217,63,58,107,80,60,237,113,229,63,98,8,220,2,107,200,217,63,226,82,124,186,151,99,229,63,75,152,191,236,35,243,217,63,85,85,85,85,85,85,229,63,149,185,213,100,192,29,218,63,254,130,187,230,37,71,229,63,10,187,229,144,64,72,218,63,235,15,244,72,9,57,229,63,234,217,107,150,164,114,218,63,75,5,168,86,255,42,229,63,73,8,154,154,236,156,218,63,21,248,226,234,7,29,229,63,228,176,88,194,24,199,218,63,197,196,17,225,34,15,229,63,107,120,71,50,41,241,218,63,21,80,1,21,80,1,229,63,91,252,189,14,30,27,219,63,155,76,221,98,143,243,228,63,98,143,204,123,247,68,219,63,57,5,47,167,224,229,228,63,93,243,60,157,181,110,219,63,76,44,220,190,67,216,228,63,251,16,147,150,88,152,219,63,110,175,37,135,184,202,228,63,10,173,13,139,224,193,219,63,225,143,166,221,62,189,228,63,123,27,167,157,77,235,219,63,91,191,82,160,214,175,228,63,38,240,21,241,159,20,220,63,74,1,118,173,127,162,228,63,77,173,205,167,215,61,220,63,103,208,178,227,57,149,228,63,247,111,255,227,244,102,220,63,128,72,1,34,5,136,228,63,33,154,154,199,247,143,220,63,123,20,174,71,225,122,228,63,201,122,77,116,224,184,220,63,102,96,89,52,206,109,228,63,235,243,133,11,175,225,220,63,154,207,245,199,203,96,228,63,100,30,114,174,99,10,221,63,202,118,199,226,217,83,228,63,213,235,0,126,254,50,221,63,251,217,98,101,248,70,228,63,131,198,226,154,127,91,221,63,77,238,171,48,39,58,228,63,62,47,138,37,231,131,221,63,135,31,213,37,102,45,228,63,84,89,44,62,53,172,221,63,81,89,94,38,181,32,228,63,160,196,193,4,106,212,221,63,20,20,20,20,20,20,228,63,181,213,6,153,133,252,221,63,102,101,14,209,130,7,228,63,38,108,124,26,136,36,222,63,251,19,176,63,1,251,227,63,4,119,104,168,113,76,222,63,7,175,165,66,143,238,227,63,135,135,214,97,66,116,222,63,2,169,228,188,44,226,227,63,245,97,152,101,250,155,222,63,198,117,170,145,217,213,227,63,192,140,70,210,153,195,222,63,231,171,123,164,149,201,227,63,244,221,64,198,32,235,222,63,85,41,35,217,96,189,227,63,236,6,175,95,143,18,223,63,20,59,177,19,59,177,227,63,91,30,129,188,229,57,223,63,34,200,122,56,36,165,227,63,172,40,112,250,35,97,223,63,99,127,24,44,28,153,227,63,194,158,254,54,74,136,223,63,142,8,102,211,34,141,227,63,30,243,120,143,88,175,223,63,20,56,129,19,56,129,227,63,113,21,246,32,79,214,223,63,238,69,201,209,91,117,227,63,152,244,87,8,46,253,223,63,72,7,222,243,141,105,227,63,138,255,37,177,250,17,224,63,248,42,159,95,206,93,227,63,254,208,165,165,82,37,224,63,193,120,43,251,28,82,227,63,59,99,206,239,158,56,224,63,70,19,224,172,121,70,227,63,210,38,169,157,223,75,224,63,178,188,87,91,228,58,227,63,156,69,38,189,20,95,224,63,250,29,106,237,92,47,227,63,64,223,28,92,62,114,224,63,191,16,43,74,227,35,227,63,14,69,75,136,92,133,224,63,182,235,233,88,119,24,227,63,32,53,87,79,111,152,224,63,144,209,48,1,25,13,227,63,209,20,206,190,118,171,224,63,96,2,196,42,200,1,227,63,130,42,37,228,114,190,224,63,104,47,161,189,132,246,226,63,183,214,185,204,99,209,224,63,75,209,254,161,78,235,226,63,139,204,209,133,73,228,224,63,151,128,75,192,37,224,226,63,125,73,155,28,36,247,224,63,160,80,45,1,10,213,226,63,150,76,45,158,243,9,225,63,160,44,129,77,251,201,226,63,248,204,135,23,184,28,225,63,17,55,90,142,249,190,226,63,188,239,147,149,113,47,225,63,64,43,1,173,4,180,226,63,68,61,36,37,32,66,225,63,5,193,243,146,28,169,226,63,233,213,244,210,195,84,225,63,158,18,228,41,65,158,226,63,14,166,171,171,92,103,225,63,165,4,184,91,114,147,226,63,160,153,216,187,234,121,225,63,19,176,136,18,176,136,226,63,6,207,245,15,110,140,225,63,77,206,161,56,250,125,226,63,110,201,103,180,230,158,225,63,53,39,129,184,80,115,226,63,158,162,125,181,84,177,225,63,39,1,214,124,179,104,226,63,36,60,113,31,184,195,225,63,241,146,128,112,34,94,226,63,3,112,103,254,16,214,225,63,178,119,145,126,157,83,226,63,208,64,112,94,95,232,225,63,146,36,73,146,36,73,226,63,76,9,135,75,163,250,225,63,91,96,23,151,183,62,226,63,109,171,146,209,220,12,226,63,223,188,154,120,86,52,226,63,235,190,101,252,11,31,226,63,42,18,160,34,1,42,226,63,66,191,190,215,48,49,226,63,120,251,33,129,183,31,226,63,51,57,72,111,75,67,226,63,230,85,72,128,121,21,226,63,203,247,152,206,91,85,226,63,217,192,103,12,71,11,226,63,223,48,52,1,98,103,226,63,18,32,1,18,32,1,226,63,26,177,137,18,94,121,226,63,112,31,193,125,4,247,225,63,130,7,246,13,80,139,226,63,76,184,127,60,244,236,225,63,138,176,194,254,55,157,226,63,116,184,63,59,239,226,225,63,173,64,38,240,21,175,226,63,189,74,46,103,245,216,225,63,139,142,68,237,233,192,226,63,29,129,162,173,6,207,225,63,157,220,46,1,180,210,226,63,89,224,28,252,34,197,225,63,104,2,228,54,116,228,226,63,41,237,70,64,74,187,225,63,70,149,80,153,42,246,226,63,227,186,242,103,124,177,225,63,190,16,79,51,215,7,227,63,150,123,26,97,185,167,225,63,106,254,167,15,122,25,227,63,158,17,224,25,1,158,225,63,113,29,18,57,19,43,227,63,156,162,140,128,83,148,225,63,148,137,50,186,162,60,227,63,219,43,144,131,176,138,225,63,211,225,156,157,40,78,227,63,18,24,129,17,24,129,225,63,160,110,211,237,164,95,227,63,132,214,27,25,138,119,225,63,181,71,71,181,23,113,227,63,121,115,66,137,6,110,225,63,126,121,88,254,128,130,227,63,1,50,252,80,141,100,225,63,25,42,86,211,224,147,227,63,13,39,117,95,30,91,225,63,249,189,126,62,55,165,227,63,201,213,253,163,185,81,225,63,34,252,255,73,132,182,227,63,59,205,10,14,95,72,225,63,5,50,247,255,199,199,227,63,36,71,52,141,14,63,225,63,250,86,113,106,2,217,227,63,17,200,53,17,200,53,225,63,91,47,107,147,51,234,227,63,172,192,237,137,139,44,225,63,66,111,209,132,91,251,227,63,51,48,93,231,88,35,225,63,233,220,128,72,122,12,228,63,38,72,167,25,48,26,225,63,174,114,70,232,143,29,228,63,17,17,17,17,17,17,225,63,191,128,223,109,156,46,228,63,128,16,1,190,251,7,225,63,103,206,249,226,159,63,228,63,17,240,254,16,240,254,224,63,10,187,51,81,154,80,228,63,162,37,179,250,237,245,224,63,194,94,28,194,139,97,228,63,144,156,230,107,245,236,224,63,173,170,51,63,116,114,228,63,17,96,130,85,6,228,224,63,223,136,234,209,83,131,228,63,150,70,143,168,32,219,224,63,7,252,162,131,42,148,228,63,58,158,53,86,68,210,224,63,187,62,176,93,248,164,228,63,59,218,188,79,113,201,224,63,115,226,86,105,189,181,228,63,113,65,139,134,167,192,224,63,57,238,204,175,121,198,228,63,200,157,37,236,230,183,224,63,0,253,57,58,45,215,228,63,181,236,46,114,47,175,224,63,176,91,183,17,216,231,228,63,167,16,104,10,129,166,224,63,232,38,80,63,122,248,228,63,96,131,175,166,219,157,224,63,107,104,1,204,19,9,229,63,84,9,1,57,63,149,224,63,70,52,186,192,164,25,229,63,226,101,117,179,171,140,224,63,170,197,91,38,45,42,229,63,132,16,66,8,33,132,224,63,124,155,185,5,173,58,229,63,226,234,184,41,159,123,224,63,151,148,153,103,36,75,229,63,198,247,71,10,38,115,224,63,205,11,180,84,147,91,229,63,251,18,121,156,181,106,224,63,153,243,179,213,249,107,229,63,252,169,241,210,77,98,224,63,144,241,54,243,87,124,229,63,134,117,114,160,238,89,224,63,137,121,205,181,173,140,229,63,4,52,215,247,151,81,224,63,125,232,250,37,251,156,229,63,197,100,22,204,73,73,224,63,44,159,53,76,64,173,229,63,16,4,65,16,4,65,224,63,115,28,231,48,125,189,229,63,252,71,130,183,198,56,224,63,100,23,108,220,177,205,229,63,26,94,31,181,145,48,224,63,35,153,20,87,222,221,229,63,233,41,119,252,100,40,224,63,117,22,36,169,2,238,229,63,8,4,2,129,64,32,224,63,24,137,209,218,30,254,229,63,55,122,81,54,36,24,224,63,216,136,71,244,50,14,230,63,16,16,16,16,16,16,224,63,239,57,250,254,66,46,230,63,0,0,0,0,0,0,224,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,63,192,11,177,162,10,240,111,63,32,224,31,224,31,224,239,63,136,103,16,107,42,224,127,63,240,7,252,1,127,192,239,63,118,10,129,95,71,220,135,63,18,250,1,170,28,161,239,63,227,3,252,176,168,192,143,63,32,248,129,31,248,129,239,63,116,165,70,67,164,206,147,63,181,219,160,172,16,99,239,63,26,177,213,7,27,185,151,63,113,66,74,158,101,68,239,63,151,145,175,39,192,159,155,63,181,10,35,68,246,37,239,63,0,51,120,14,155,130,159,63,8,31,124,240,193,7,239,63,127,217,35,137,217,176,161,63,2,142,69,248,199,233,238,63,95,189,254,185,135,158,163,63,192,236,1,179,7,204,238,63,212,228,200,175,91,138,165,63,235,1,186,122,128,174,238,63,252,220,50,246,88,116,167,63,103,183,240,171,49,145,238,63,235,227,200,14,131,92,169,63,228,80,151,165,26,116,238,63,190,113,25,113,221,66,171,63,116,229,1,201,58,87,238,63,82,11,219,138,107,39,173,63,115,26,220,121,145,58,238,63,166,98,17,192,48,10,175,63,30,30,30,30,30,30,238,63,113,228,152,53,152,117,176,63,30,224,1,30,224,1,238,63,224,122,163,238,54,101,177,63,138,134,248,227,214,229,237,63,22,20,10,47,246,83,178,63,202,29,160,220,1,202,237,63,208,209,27,150,215,65,179,63,219,129,185,118,96,174,237,63,240,70,166,190,220,46,180,63,138,127,30,35,242,146,237,63,63,24,6,63,7,27,181,63,52,44,184,84,182,119,237,63,195,80,55,169,88,6,182,63,178,114,117,128,172,92,237,63,75,107,229,138,210,240,182,63,29,212,65,29,212,65,237,63,204,18,123,109,118,218,183,63,26,91,252,163,44,39,237,63,32,155,49,214,69,195,184,63,116,192,110,143,181,12,237,63,172,51,32,70,66,171,185,63,198,191,68,92,110,242,236,63,99,213,74,58,109,146,186,63,11,155,3,137,86,216,236,63,161,237,176,43,200,120,187,63,231,203,1,150,109,190,236,63,67,199,91,143,84,94,188,63,145,225,94,5,179,164,236,63,93,179,108,214,19,67,189,63,66,138,251,90,38,139,236,63,229,242,42,110,7,39,190,63,28,199,113,28,199,113,236,63,166,98,17,192,48,10,191,63,134,73,13,209,148,88,236,63,186,234,219,49,145,236,191,63,240,248,195,1,143,63,236,63,110,89,202,18,21,103,192,63,28,160,46,57,181,38,236,63,89,142,208,124,126,215,192,63,224,192,129,3,7,14,236,63,172,66,103,132,133,71,193,63,139,141,134,238,131,245,235,63,160,103,47,213,42,183,193,63,247,6,148,137,43,221,235,63,203,90,10,25,111,38,194,63,123,62,136,101,253,196,235,63,35,245,31,248,82,149,194,63,208,186,193,20,249,172,235,63,210,127,228,24,215,3,195,63,35,255,24,43,30,149,235,63,116,143,30,32,252,113,195,63,139,51,218,61,108,125,235,63,41,198,236,176,194,223,195,63,5,238,190,227,226,101,235,63,30,125,203,108,43,77,196,63,79,27,232,180,129,78,235,63,229,85,154,243,54,186,196,63,206,6,216,74,72,55,235,63,55,180,161,227,229,38,197,63,217,128,108,64,54,32,235,63,133,32,152,217,56,147,197,63,164,34,217,49,75,9,235,63,211,147,167,112,48,255,197,63,40,175,161,188,134,242,234,63,80,173,114,66,205,106,198,63,94,144,148,127,232,219,234,63,28,210,25,231,15,214,198,63,27,112,197,26,112,197,234,63,164,55,64,245,248,64,199,63,253,235,135,47,29,175,234,63,9,217,16,2,137,171,199,63,190,99,106,96,239,152,234,63,234,87,67,161,192,21,200,63,89,225,48,81,230,130,234,63,16,201,32,101,160,127,200,63,109,26,208,166,1,109,234,63,64,109,136,222,40,233,200,63,74,138,104,7,65,87,234,63,180,86,244,156,90,82,201,63,26,164,65,26,164,65,234,63,131,251,125,46,54,187,201,63,160,28,197,135,42,44,234,63,99,181,226,31,188,35,202,63,2,75,122,249,211,22,234,63,24,47,136,252,236,139,202,63,26,160,1,26,160,1,234,63,242,191,128,78,201,243,202,63,217,51,16,149,142,236,233,63,164,181,143,158,81,91,203,63,45,104,107,23,159,215,233,63,214,140,45,116,134,194,203,63,2,161,228,78,209,194,233,63,192,24,140,85,104,41,204,63,218,16,85,234,36,174,233,63,33,154,154,199,247,143,204,63,154,153,153,153,153,153,233,63,220,197,9,78,53,246,204,63,255,192,142,13,47,133,233,63,145,187,79,107,33,92,205,63,114,184,12,248,228,112,233,63,125,236,171,160,188,193,205,63,174,119,227,11,187,92,233,63,229,242,42,110,7,39,206,63,224,233,214,252,176,72,233,63,95,90,170,82,2,140,206,63,230,44,155,127,198,52,233,63,54,89,220,203,173,240,206,63,41,226,208,73,251,32,233,63,55,123,75,86,10,85,207,63,213,144,1,18,79,13,233,63,42,62,94,109,24,185,207,63,250,24,156,143,193,249,232,63,28,80,173,69,108,14,208,63,63,55,241,122,82,230,232,63,64,208,180,148,37,64,208,63,211,24,48,141,1,211,232,63,13,89,205,95,184,113,208,63,58,255,98,128,206,191,232,63,227,144,115,226,36,163,208,63,170,243,107,15,185,172,232,63,75,183,154,87,107,212,208,63,156,137,1,246,192,153,232,63,213,74,174,249,139,5,209,63,74,176,171,240,229,134,232,63,176,168,147,2,135,54,209,63,185,146,192,188,39,116,232,63,14,166,171,171,92,103,209,63,24,134,97,24,134,97,232,63,111,35,212,45,13,152,209,63,20,6,120,194,0,79,232,63,250,153,105,193,152,200,209,63,221,190,178,122,151,60,232,63,242,162,72,158,255,248,209,63,160,164,130,1,74,42,232,63,101,121,207,251,65,41,210,63,24,24,24,24,24,24,232,63,57,118,223,16,96,89,210,63,6,24,96,128,1,6,232,63,163,134,222,19,90,137,210,63,64,127,1,253,5,244,231,63,36,157,184,58,48,185,210,63,29,79,90,81,37,226,231,63,48,29,225,186,226,232,210,63,244,5,125,65,95,208,231,63,132,65,84,201,113,24,211,63,124,1,46,146,179,190,231,63,84,125,152,154,221,71,211,63,195,236,224,8,34,173,231,63,90,216,191,98,38,119,211,63,139,57,182,107,170,155,231,63,233,69,105,85,76,166,211,63,200,164,120,129,76,138,231,63,15,247,193,165,79,213,211,63,13,198,154,17,8,121,231,63,227,167,134,134,48,4,212,63,177,169,52,228,220,103,231,63,19,232,4,42,239,50,212,63,109,117,1,194,202,86,231,63,194,94,28,194,139,97,212,63,70,23,93,116,209,69,231,63,208,9,64,128,6,144,212,63,141,254,65,197,240,52,231,63,160,120,119,149,95,190,212,63,188,222,70,127,40,36,231,63,105,2,96,50,151,236,212,63,9,124,156,109,120,19,231,63,45,248,45,135,173,26,213,63,112,129,11,92,224,2,231,63,98,210,173,195,162,72,213,63,23,96,242,22,96,242,230,63,108,90,69,23,119,118,213,63,199,55,67,107,247,225,230,63,225,207,244,176,42,164,213,63,97,200,129,38,166,209,230,63,202,9,88,191,189,209,213,63,23,108,193,22,108,193,230,63,211,147,167,112,48,255,213,63,61,26,163,10,73,177,230,63,149,199,185,242,130,44,214,63,144,114,83,209,60,161,230,63,242,225,3,115,181,89,214,63,192,208,136,58,71,145,230,63,174,20,155,30,200,134,214,63,23,104,129,22,104,129,230,63,61,148,53,34,187,179,214,63,26,103,1,54,159,113,230,63,227,161,43,170,142,224,214,63,249,34,81,106,236,97,230,63,53,146,120,226,66,13,215,63,163,74,59,133,79,82,230,63,6,208,187,246,215,57,215,63,100,33,11,89,200,66,230,63,206,219,57,18,78,102,215,63,222,192,138,184,86,51,230,63,162,71,221,95,165,146,215,63,64,98,1,119,250,35,230,63,191,175,55,10,222,190,215,63,148,174,49,104,179,20,230,63,195,175,130,59,248,234,215,63,6,22,88,96,129,5,230,63,149,212,160,29,244,22,216,63,252,45,41,52,100,246,229,63,23,139,30,218,209,66,216,63,231,21,208,184,91,231,229,63,160,11,51,154,145,110,216,63,165,226,236,195,103,216,229,63,90,66,193,134,51,154,216,63,87,16,147,43,136,201,229,63,138,180,88,200,183,197,216,63,145,250,71,198,188,186,229,63,199,98,54,135,30,241,216,63,192,90,1,107,5,172,229,63,61,168,69,235,103,28,217,63,170,204,35,241,97,157,229,63,250,22,33,28,148,71,217,63,237,88,129,48,210,142,229,63,88,81,19,65,163,114,217,63,96,5,88,1,86,128,229,63,138,224,23,129,149,157,217,63,58,107,80,60,237,113,229,63,98,8,220,2,107,200,217,63,226,82,124,186,151,99,229,63,75,152,191,236,35,243,217,63,85,85,85,85,85,85,229,63,149,185,213,100,192,29,218,63,254,130,187,230,37,71,229,63,10,187,229,144,64,72,218,63,235,15,244,72,9,57,229,63,234,217,107,150,164,114,218,63,75,5,168,86,255,42,229,63,73,8,154,154,236,156,218,63,21,248,226,234,7,29,229,63,228,176,88,194,24,199,218,63,197,196,17,225,34,15,229,63,107,120,71,50,41,241,218,63,21,80,1,21,80,1,229,63,91,252,189,14,30,27,219,63,155,76,221,98,143,243,228,63,98,143,204,123,247,68,219,63,57,5,47,167,224,229,228,63,93,243,60,157,181,110,219,63,76,44,220,190,67,216,228,63,251,16,147,150,88,152,219,63,110,175,37,135,184,202,228,63,10,173,13,139,224,193,219,63,225,143,166,221,62,189,228,63,123,27,167,157,77,235,219,63,91,191,82,160,214,175,228,63,38,240,21,241,159,20,220,63,74,1,118,173,127,162,228,63,77,173,205,167,215,61,220,63,103,208,178,227,57,149,228,63,247,111,255,227,244,102,220,63,128,72,1,34,5,136,228,63,33,154,154,199,247,143,220,63,123,20,174,71,225,122,228,63,201,122,77,116,224,184,220,63,102,96,89,52,206,109,228,63,235,243,133,11,175,225,220,63,154,207,245,199,203,96,228,63,100,30,114,174,99,10,221,63,202,118,199,226,217,83,228,63,213,235,0,126,254,50,221,63,251,217,98,101,248,70,228,63,131,198,226,154,127,91,221,63,77,238,171,48,39,58,228,63,62,47,138,37,231,131,221,63,135,31,213,37,102,45,228,63,84,89,44,62,53,172,221,63,81,89,94,38,181,32,228,63,160,196,193,4,106,212,221,63,20,20,20,20,20,20,228,63,181,213,6,153,133,252,221,63,102,101,14,209,130,7,228,63,38,108,124,26,136,36,222,63,251,19,176,63,1,251,227,63,4,119,104,168,113,76,222,63,7,175,165,66,143,238,227,63,135,135,214,97,66,116,222,63,2,169,228,188,44,226,227,63,245,97,152,101,250,155,222,63,198,117,170,145,217,213,227,63,192,140,70,210,153,195,222,63,231,171,123,164,149,201,227,63,244,221,64,198,32,235,222,63,85,41,35,217,96,189,227,63,236,6,175,95,143,18,223,63,20,59,177,19,59,177,227,63,91,30,129,188,229,57,223,63,34,200,122,56,36,165,227,63,172,40,112,250,35,97,223,63,99,127,24,44,28,153,227,63,194,158,254,54,74,136,223,63,142,8,102,211,34,141,227,63,30,243,120,143,88,175,223,63,20,56,129,19,56,129,227,63,113,21,246,32,79,214,223,63,238,69,201,209,91,117,227,63,152,244,87,8,46,253,223,63,72,7,222,243,141,105,227,63,138,255,37,177,250,17,224,63,248,42,159,95,206,93,227,63,254,208,165,165,82,37,224,63,193,120,43,251,28,82,227,63,59,99,206,239,158,56,224,63,70,19,224,172,121,70,227,63,210,38,169,157,223,75,224,63,178,188,87,91,228,58,227,63,156,69,38,189,20,95,224,63,250,29,106,237,92,47,227,63,64,223,28,92,62,114,224,63,191,16,43,74,227,35,227,63,14,69,75,136,92,133,224,63,182,235,233,88,119,24,227,63,32,53,87,79,111,152,224,63,144,209,48,1,25,13,227,63,209,20,206,190,118,171,224,63,96,2,196,42,200,1,227,63,130,42,37,228,114,190,224,63,104,47,161,189,132,246,226,63,183,214,185,204,99,209,224,63,75,209,254,161,78,235,226,63,139,204,209,133,73,228,224,63,151,128,75,192,37,224,226,63,125,73,155,28,36,247,224,63,160,80,45,1,10,213,226,63,150,76,45,158,243,9,225,63,160,44,129,77,251,201,226,63,248,204,135,23,184,28,225,63,17,55,90,142,249,190,226,63,188,239,147,149,113,47,225,63,64,43,1,173,4,180,226,63,68,61,36,37,32,66,225,63,5,193,243,146,28,169,226,63,233,213,244,210,195,84,225,63,158,18,228,41,65,158,226,63,14,166,171,171,92,103,225,63,165,4,184,91,114,147,226,63,160,153,216,187,234,121,225,63,19,176,136,18,176,136,226,63,6,207,245,15,110,140,225,63,77,206,161,56,250,125,226,63,110,201,103,180,230,158,225,63,53,39,129,184,80,115,226,63,158,162,125,181,84,177,225,63,39,1,214,124,179,104,226,63,36,60,113,31,184,195,225,63,241,146,128,112,34,94,226,63,3,112,103,254,16,214,225,63,178,119,145,126,157,83,226,63,208,64,112,94,95,232,225,63,146,36,73,146,36,73,226,63,76,9,135,75,163,250,225,63,91,96,23,151,183,62,226,63,109,171,146,209,220,12,226,63,223,188,154,120,86,52,226,63,235,190,101,252,11,31,226,63,42,18,160,34,1,42,226,63,66,191,190,215,48,49,226,63,120,251,33,129,183,31,226,63,51,57,72,111,75,67,226,63,230,85,72,128,121,21,226,63,203,247,152,206,91,85,226,63,217,192,103,12,71,11,226,63,223,48,52,1,98,103,226,63,18,32,1,18,32,1,226,63,26,177,137,18,94,121,226,63,112,31,193,125,4,247,225,63,130,7,246,13,80,139,226,63,76,184,127,60,244,236,225,63,138,176,194,254,55,157,226,63,116,184,63,59,239,226,225,63,173,64,38,240,21,175,226,63,189,74,46,103,245,216,225,63,139,142,68,237,233,192,226,63,29,129,162,173,6,207,225,63,157,220,46,1,180,210,226,63,89,224,28,252,34,197,225,63,104,2,228,54,116,228,226,63,41,237,70,64,74,187,225,63,70,149,80,153,42,246,226,63,227,186,242,103,124,177,225,63,190,16,79,51,215,7,227,63,150,123,26,97,185,167,225,63,106,254,167,15,122,25,227,63,158,17,224,25,1,158,225,63,113,29,18,57,19,43,227,63,156,162,140,128,83,148,225,63,148,137,50,186,162,60,227,63,219,43,144,131,176,138,225,63,211,225,156,157,40,78,227,63,18,24,129,17,24,129,225,63,160,110,211,237,164,95,227,63,132,214,27,25,138,119,225,63,181,71,71,181,23,113,227,63,121,115,66,137,6,110,225,63,126,121,88,254,128,130,227,63,1,50,252,80,141,100,225,63,25,42,86,211,224,147,227,63,13,39,117,95,30,91,225,63,249,189,126,62,55,165,227,63,201,213,253,163,185,81,225,63,34,252,255,73,132,182,227,63,59,205,10,14,95,72,225,63,5,50,247,255,199,199,227,63,36,71,52,141,14,63,225,63,250,86,113,106,2,217,227,63,17,200,53,17,200,53,225,63,91,47,107,147,51,234,227,63,172,192,237,137,139,44,225,63,66,111,209,132,91,251,227,63,51,48,93,231,88,35,225,63,233,220,128,72,122,12,228,63,38,72,167,25,48,26,225,63,174,114,70,232,143,29,228,63,17,17,17,17,17,17,225,63,191,128,223,109,156,46,228,63,128,16,1,190,251,7,225,63,103,206,249,226,159,63,228,63,17,240,254,16,240,254,224,63,10,187,51,81,154,80,228,63,162,37,179,250,237,245,224,63,194,94,28,194,139,97,228,63,144,156,230,107,245,236,224,63,173,170,51,63,116,114,228,63,17,96,130,85,6,228,224,63,223,136,234,209,83,131,228,63,150,70,143,168,32,219,224,63,7,252,162,131,42,148,228,63,58,158,53,86,68,210,224,63,187,62,176,93,248,164,228,63,59,218,188,79,113,201,224,63,115,226,86,105,189,181,228,63,113,65,139,134,167,192,224,63,57,238,204,175,121,198,228,63,200,157,37,236,230,183,224,63,0,253,57,58,45,215,228,63,181,236,46,114,47,175,224,63,176,91,183,17,216,231,228,63,167,16,104,10,129,166,224,63,232,38,80,63,122,248,228,63,96,131,175,166,219,157,224,63,107,104,1,204,19,9,229,63,84,9,1,57,63,149,224,63,70,52,186,192,164,25,229,63,226,101,117,179,171,140,224,63,170,197,91,38,45,42,229,63,132,16,66,8,33,132,224,63,124,155,185,5,173,58,229,63,226,234,184,41,159,123,224,63,151,148,153,103,36,75,229,63,198,247,71,10,38,115,224,63,205,11,180,84,147,91,229,63,251,18,121,156,181,106,224,63,153,243,179,213,249,107,229,63,252,169,241,210,77,98,224,63,144,241,54,243,87,124,229,63,134,117,114,160,238,89,224,63,137,121,205,181,173,140,229,63,4,52,215,247,151,81,224,63,125,232,250,37,251,156,229,63,197,100,22,204,73,73,224,63,44,159,53,76,64,173,229,63,16,4,65,16,4,65,224,63,115,28,231,48,125,189,229,63,252,71,130,183,198,56,224,63,100,23,108,220,177,205,229,63,26,94,31,181,145,48,224,63,35,153,20,87,222,221,229,63,233,41,119,252,100,40,224,63,117,22,36,169,2,238,229,63,8,4,2,129,64,32,224,63,24,137,209,218,30,254,229,63,55,122,81,54,36,24,224,63,216,136,71,244,50,14,230,63,16,16,16,16,16,16,224,63,239,57,250,254,66,46,230,63,0,0,0,0,0,0,224,63,4,0,0,0,0,0,0,0,128,99,0,0,36,0,0,0,37,0,0,0,252,255,255,255,252,255,255,255,128,99,0,0,38,0,0,0,39,0,0,0,0,0,0,0,0,0,0,0,136,140,2,0,162,209,2,0,136,140,2,0,178,209,2,0,136,140,2,0,197,209,2,0,136,140,2,0,50,210,2,0,124,141,2,0,6,210,2,0,0,0,0,0,1,0,0,0,136,34,0,0,0,0,0,0,124,141,2,0,226,209,2,0,0,0,0,0,1,0,0,0,144,34,0,0,0,0,0,0,68,141,2,0,87,210,2,0,0,0,0,0,168,34,0,0,68,141,2,0,124,210,2,0,1,0,0,0,168,34,0,0,136,140,2,0,185,210,2,0,124,141,2,0,251,210,2,0,0,0,0,0,1,0,0,0,136,34,0,0,0,0,0,0,124,141,2,0,215,210,2,0,0,0,0,0,1,0,0,0,232,34,0,0,0,0,0,0,68,141,2,0,39,211,2,0,0,0,0,0,0,35,0,0,68,141,2,0,76,211,2,0,1,0,0,0,0,35,0,0,124,141,2,0,167,211,2,0,0,0,0,0,1,0,0,0,136,34,0,0,0,0,0,0,124,141,2,0,131,211,2,0,0,0,0,0,1,0,0,0,56,35,0,0,0,0,0,0,68,141,2,0,211,211,2,0,0,0,0,0,80,35,0,0,68,141,2,0,248,211,2,0,1,0,0,0,80,35,0,0,124,141,2,0,99,212,2,0,0,0,0,0,1,0,0,0,136,34,0,0,0,0,0,0,124,141,2,0,47,212,2,0,0,0,0,0,1,0,0,0,136,35,0,0,0,0,0,0,68,141,2,0,159,212,2,0,0,0,0,0,160,35,0,0,68,141,2,0,212,212,2,0,1,0,0,0,160,35,0,0,136,140,2,0,10,213,2,0,124,141,2,0,72,213,2,0,0,0,0,0,1,0,0,0,136,34,0,0,0,0,0,0,124,141,2,0,26,213,2,0,0,0,0,0,1,0,0,0,224,35,0,0,0,0,0,0,68,141,2,0,126,213,2,0,0,0,0,0,248,35,0,0,68,141,2,0,173,213,2,0,1,0,0,0,248,35,0,0,136,140,2,0,221,213,2,0,124,141,2,0,26,214,2,0,0,0,0,0,1,0,0,0,136,34,0,0,0,0,0,0,124,141,2,0,231,213,2,0,0,0,0,0,1,0,0,0,56,36,0,0,0,0,0,0,68,141,2,0,85,214,2,0,0,0,0,0,80,36,0,0,68,141,2,0,137,214,2,0,1,0,0,0,80,36,0,0,68,141,2,0,190,214,2,0,0,0,0,0,48,36,0,0,68,141,2,0,201,214,2,0,1,0,0,0,48,36,0,0,136,140,2,0,213,214,2,0,136,140,2,0,6,215,2,0,176,140,2,0,245,214,2,0,176,36,0,0,0,0,0,0,176,140,2,0,228,214,2,0,184,36,0,0,0,0,0,0,136,140,2,0,43,215,2,0,136,140,2,0,74,215,2,0,136,140,2,0,105,215,2,0,136,140,2,0,136,215,2,0,136,140,2,0,167,215,2,0,136,140,2,0,198,215,2,0,136,140,2,0,229,215,2,0,136,140,2,0,26,216,2,0,136,140,2,0,74,216,2,0,136,140,2,0,98,216,2,0,136,140,2,0,117,216,2,0,136,140,2,0,132,216,2,0,136,140,2,0,160,216,2,0,136,140,2,0,185,216,2,0,136,140,2,0,6,217,2,0,124,141,2,0,199,216,2,0,0,0,0,0,1,0,0,0,72,37,0,0,0,0,0,0,136,140,2,0,201,219,2,0,68,141,2,0,231,219,2,0,0,0,0,0,232,70,0,0,68,141,2,0,253,219,2,0,1,0,0,0,232,70,0,0,96,141,2,0,20,220,2,0,176,140,2,0,111,220,2,0,144,41,0,0,0,0,0,0,68,141,2,0,139,220,2,0,0,0,0,0,152,37,0,0,68,141,2,0,168,220,2,0,1,0,0,0,152,37,0,0,176,140,2,0,198,220,2,0,152,37,0,0,0,0,0,0,68,141,2,0,230,220,2,0,0,0,0,0,200,37,0,0,68,141,2,0,7,221,2,0,1,0,0,0,200,37,0,0,136,140,2,0,83,221,2,0,176,140,2,0,41,221,2,0,248,37,0,0,0,0,0,0,176,140,2,0,137,221,2,0,144,41,0,0,0,0,0,0,68,141,2,0,149,221,2,0,0,0,0,0,16,38,0,0,68,141,2,0,162,221,2,0,1,0,0,0,16,38,0,0,136,140,2,0,198,221,2,0,176,140,2,0,176,221,2,0,64,38,0,0,0,0,0,0,68,141,2,0,241,221,2,0,0,0,0,0,144,41,0,0,68,141,2,0,2,222,2,0,1,0,0,0,144,41,0,0,68,141,2,0,20,222,2,0,0,0,0,0,104,37,0,0,68,141,2,0,51,222,2,0,1,0,0,0,104,37,0,0,136,140,2,0,83,222,2,0,68,141,2,0,108,222,2,0,0,0,0,0,152,38,0,0,68,141,2,0,134,222,2,0,1,0,0,0,152,38,0,0,0,0,0,0,0,0,0,0,44,180,41,188,166,23,185,63,10,166,105,60,184,248,200,63,5,159,213,46,6,148,210,63,99,169,174,166,226,125,216,63,59,246,6,56,93,43,222,63,200,104,174,57,59,199,225,63,214,29,9,37,243,76,228,63,204,59,127,102,158,160,230,63,65,23,21,107,128,188,232,63,163,161,14,41,102,155,234,63,176,189,128,241,178,56,236,63,70,141,50,207,107,144,237,63,219,45,198,86,65,159,238,63,176,92,247,207,151,98,239,63,37,37,209,163,141,216,239,63,0,0,0,0,0,0,240,63,38,37,209,163,141,216,239,63,176,92,247,207,151,98,239,63,219,45,198,86,65,159,238,63,70,141,50,207,107,144,237,63,177,189,128,241,178,56,236,63,165,161,14,41,102,155,234,63,66,23,21,107,128,188,232,63,205,59,127,102,158,160,230,63,214,29,9,37,243,76,228,63,200,104,174,57,59,199,225,63,63,246,6,56,93,43,222,63,101,169,174,166,226,125,216,63,6,159,213,46,6,148,210,63,23,166,105,60,184,248,200,63,60,180,41,188,166,23,185,63,159,113,189,255,249,165,161,60,43,180,41,188,166,23,185,191,14,166,105,60,184,248,200,191,1,159,213,46,6,148,210,191,97,169,174,166,226,125,216,191,59,246,6,56,93,43,222,191,198,104,174,57,59,199,225,191,212,29,9,37,243,76,228,191,204,59,127,102,158,160,230,191],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE);allocate([62,23,21,107,128,188,232,191,163,161,14,41,102,155,234,191,176,189,128,241,178,56,236,191,68,141,50,207,107,144,237,191,218,45,198,86,65,159,238,191,175,92,247,207,151,98,239,191,38,37,209,163,141,216,239,191,0,0,0,0,0,0,240,191,38,37,209,163,141,216,239,191,176,92,247,207,151,98,239,191,219,45,198,86,65,159,238,191,69,141,50,207,107,144,237,191,177,189,128,241,178,56,236,191,165,161,14,41,102,155,234,191,64,23,21,107,128,188,232,191,206,59,127,102,158,160,230,191,218,29,9,37,243,76,228,191,200,104,174,57,59,199,225,191,64,246,6,56,93,43,222,191,110,169,174,166,226,125,216,191,8,159,213,46,6,148,210,191,27,166,105,60,184,248,200,191,37,180,41,188,166,23,185,191,176,140,2,0,125,235,2,0,184,104,0,0,0,0,0,0,136,140,2,0,183,240,2,0,64,0,0,0,0,0,0,0,80,99,0,0,11,0,0,0,12,0,0,0,192,255,255,255,192,255,255,255,80,99,0,0,13,0,0,0,14,0,0,0,64,0,0,0,0,0,0,0,176,99,0,0,17,0,0,0,18,0,0,0,56,0,0,0,248,255,255,255,176,99,0,0,19,0,0,0,20,0,0,0,192,255,255,255,192,255,255,255,176,99,0,0,21,0,0,0,22,0,0,0,0,0,0,0,176,140,2,0,48,240,2,0,64,99,0,0,0,0,0,0,176,140,2,0,114,240,2,0,176,99,0,0,0,0,0,0,124,141,2,0,19,6,3,0,0,0,0,0,1,0,0,0,208,40,0,0,0,0,0,0,124,141,2,0,64,6,3,0,0,0,0,0,1,0,0,0,208,40,0,0,0,0,0,0,136,140,2,0,106,14,3,0,176,140,2,0,5,27,3,0,232,46,0,0,0,0,0,0,176,140,2,0,146,27,3,0,232,46,0,0,0,0,0,0,176,140,2,0,5,28,3,0,232,46,0,0,0,0,0,0,124,141,2,0,163,29,3,0,0,0,0,0,1,0,0,0,208,40,0,0,0,0,0,0,136,140,2,0,58,31,3,0,56,0,0,0,0,0,0,0,128,99,0,0,36,0,0,0,37,0,0,0,200,255,255,255,200,255,255,255,128,99,0,0,38,0,0,0,39,0,0,0,176,140,2,0,86,31,3,0,128,99,0,0,0,0,0,0,136,140,2,0,19,57,3,0,176,140,2,0,32,56,3,0,160,104,0,0,0,0,0,0,136,140,2,0,196,80,3,0,176,140,2,0,35,72,3,0,56,42,0,0,0,0,0,0,176,140,2,0,208,71,3,0,56,42,0,0,0,0,0,0,176,140,2,0,13,72,3,0,56,42,0,0,0,0,0,0,176,140,2,0,165,73,3,0,56,42,0,0,0,0,0,0,176,140,2,0,144,76,3,0,56,42,0,0,0,0,0,0,176,140,2,0,199,74,3,0,56,42,0,0,0,0,0,0,176,140,2,0,70,77,3,0,56,42,0,0,0,0,0,0,176,140,2,0,208,80,3,0,56,42,0,0,0,0,0,0,176,140,2,0,95,81,3,0,56,42,0,0,0,0,0,0,136,140,2,0,97,85,3,0,176,140,2,0,69,83,3,0,224,41,0,0,0,0,0,0,176,140,2,0,16,84,3,0,208,42,0,0,0,0,0,0,176,140,2,0,69,89,3,0,160,104,0,0,0,0,0,0,0,0,0,0,0,0,240,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,63,205,59,127,102,158,160,230,63,204,59,127,102,158,160,230,63,70,141,50,207,107,144,237,63,99,169,174,166,226,125,216,63,176,92,247,207,151,98,239,63,10,166,105,60,184,248,200,63,38,37,209,163,141,216,239,63,44,180,41,188,166,23,185,63,126,109,121,227,33,246,239,63,21,216,13,241,101,31,169,63,13,205,132,96,136,253,239,63,127,102,163,247,85,33,153,63,219,146,155,22,98,255,239,63,135,199,222,252,209,33,137,63,146,138,142,133,216,255,239,63,118,0,103,254,240,33,121,63,2,29,98,33,246,255,239,63,195,164,204,190,248,33,105,63,230,110,88,136,253,255,239,63,66,71,230,174,250,33,89,63,52,26,22,98,255,255,239,63,55,179,236,42,251,33,73,63,117,134,133,216,255,255,239,63,248,78,238,73,251,33,57,63,156,97,33,246,255,255,239,63,2,181,174,81,251,33,41,63,103,88,136,253,255,255,239,63,245,207,158,83,251,33,25,63,26,22,98,255,255,255,239,63,106,215,26,84,251,33,9,63,134,133,216,255,255,255,239,63,72,217,57,84,251,33,249,62,98,33,246,255,255,255,239,63,78,152,65,84,251,33,233,62,88,136,253,255,255,255,239,63,136,124,67,84,251,33,217,62,22,98,255,255,255,255,239,63,196,216,67,84,251,33,201,62,134,216,255,255,255,255,239,63,0,53,68,84,251,33,185,62,33,246,255,255,255,255,239,63,136,124,67,84,251,33,169,62,136,253,255,255,255,255,239,63,136,124,67,84,251,33,153,62,98,255,255,255,255,255,239,63,103,94,70,84,251,33,137,62,217,255,255,255,255,255,239,63,169,154,64,84,251,33,121,62,246,255,255,255,255,255,239,63,36,34,76,84,251,33,105,62,254,255,255,255,255,255,239,63,36,34,76,84,251,33,89,62,255,255,255,255,255,255,239,63,58,4,30,84,251,33,73,62,0,0,0,0,0,0,240,63,15,64,122,84,251,33,57,62,0,0,0,0,0,0,240,63,15,64,122,84,251,33,41,62,176,140,2,0,16,91,3,0,24,45,0,0,0,0,0,0,136,140,2,0,39,91,3,0,176,140,2,0,55,91,3,0,24,45,0,0,0,0,0,0,176,140,2,0,58,92,3,0,160,104,0,0,0,0,0,0,176,140,2,0,153,92,3,0,80,45,0,0,0,0,0,0,136,140,2,0,171,92,3,0,176,140,2,0,187,92,3,0,80,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,224,192,0,0,0,0,0,0,224,193,0,0,0,224,255,255,239,199,255,255,255,255,255,255,239,255,0,0,0,0,0,0,0,0,0,0,0,0,0,224,111,64,0,0,0,0,0,192,95,64,0,0,0,0,224,255,239,64,0,0,0,0,192,255,223,64,0,0,192,255,255,255,223,65,0,0,0,224,255,255,239,71,255,255,255,255,255,255,239,127,0,0,0,0,0,0,0,0,136,140,2,0,19,106,3,0,136,140,2,0,35,106,3,0,176,140,2,0,26,107,3,0,40,46,0,0,0,0,0,0,176,140,2,0,189,106,3,0,232,45,0,0,0,0,0,0,176,140,2,0,210,106,3,0,160,104,0,0,0,0,0,0,176,140,2,0,49,107,3,0,240,45,0,0,0,0,0,0,176,140,2,0,70,107,3,0,40,46,0,0,0,0,0,0,176,140,2,0,95,107,3,0,40,46,0,0,0,0,0,0,176,140,2,0,189,107,3,0,40,46,0,0,0,0,0,0,176,140,2,0,218,107,3,0,40,46,0,0,0,0,0,0,176,140,2,0,236,107,3,0,40,46,0,0,0,0,0,0,176,140,2,0,4,108,3,0,160,104,0,0,0,0,0,0,176,140,2,0,78,108,3,0,160,104,0,0,0,0,0,0,176,140,2,0,149,108,3,0,160,104,0,0,0,0,0,0,176,140,2,0,223,108,3,0,160,104,0,0,0,0,0,0,176,140,2,0,40,109,3,0,160,104,0,0,0,0,0,0,176,140,2,0,109,109,3,0,160,104,0,0,0,0,0,0,136,140,2,0,78,110,3,0,60,0,0,0,0,0,0,0,80,99,0,0,11,0,0,0,12,0,0,0,196,255,255,255,196,255,255,255,80,99,0,0,13,0,0,0,14,0,0,0,176,140,2,0,34,154,3,0,80,99,0,0,0,0,0,0,176,140,2,0,171,165,3,0,232,46,0,0,0,0,0,0,176,140,2,0,56,166,3,0,232,46,0,0,0,0,0,0,176,140,2,0,121,167,3,0,232,46,0,0,0,0,0,0,136,140,2,0,106,178,3,0,136,140,2,0,127,178,3,0,136,140,2,0,151,178,3,0,136,140,2,0,146,180,3,0,176,140,2,0,55,182,3,0,88,47,0,0,0,0,0,0,176,140,2,0,88,182,3,0,160,104,0,0,0,0,0,0,176,140,2,0,173,182,3,0,88,47,0,0,0,0,0,0,176,140,2,0,206,182,3,0,160,104,0,0,0,0,0,0,176,140,2,0,35,183,3,0,88,47,0,0,0,0,0,0,176,140,2,0,68,183,3,0,160,104,0,0,0,0,0,0,176,140,2,0,153,183,3,0,88,47,0,0,0,0,0,0,176,140,2,0,186,183,3,0,160,104,0,0,0,0,0,0,176,140,2,0,15,184,3,0,88,47,0,0,0,0,0,0,176,140,2,0,48,184,3,0,160,104,0,0,0,0,0,0,176,140,2,0,133,184,3,0,88,47,0,0,0,0,0,0,176,140,2,0,166,184,3,0,160,104,0,0,0,0,0,0,176,140,2,0,251,184,3,0,88,47,0,0,0,0,0,0,176,140,2,0,28,185,3,0,160,104,0,0,0,0,0,0,176,140,2,0,113,185,3,0,88,47,0,0,0,0,0,0,176,140,2,0,146,185,3,0,160,104,0,0,0,0,0,0,176,140,2,0,231,185,3,0,88,47,0,0,0,0,0,0,176,140,2,0,8,186,3,0,160,104,0,0,0,0,0,0,176,140,2,0,93,186,3,0,88,47,0,0,0,0,0,0,176,140,2,0,126,186,3,0,160,104,0,0,0,0,0,0,176,140,2,0,59,187,3,0,88,47,0,0,0,0,0,0,176,140,2,0,102,187,3,0,184,48,0,0,0,0,0,0,176,140,2,0,155,187,3,0,160,104,0,0,0,0,0,0,176,140,2,0,4,188,3,0,88,47,0,0,0,0,0,0,176,140,2,0,47,188,3,0,232,48,0,0,0,0,0,0,176,140,2,0,100,188,3,0,160,104,0,0,0,0,0,0,176,140,2,0,220,189,3,0,96,47,0,0,0,0,0,0,176,140,2,0,16,190,3,0,24,49,0,0,0,0,0,0,176,140,2,0,72,190,3,0,160,104,0,0,0,0,0,0,176,140,2,0,181,190,3,0,96,47,0,0,0,0,0,0,176,140,2,0,233,190,3,0,72,49,0,0,0,0,0,0,176,140,2,0,33,191,3,0,160,104,0,0,0,0,0,0,176,140,2,0,142,191,3,0,96,47,0,0,0,0,0,0,176,140,2,0,194,191,3,0,120,49,0,0,0,0,0,0,176,140,2,0,250,191,3,0,160,104,0,0,0,0,0,0,176,140,2,0,103,192,3,0,96,47,0,0,0,0,0,0,176,140,2,0,155,192,3,0,168,49,0,0,0,0,0,0,176,140,2,0,211,192,3,0,160,104,0,0,0,0,0,0,176,140,2,0,64,193,3,0,96,47,0,0,0,0,0,0,176,140,2,0,116,193,3,0,216,49,0,0,0,0,0,0,176,140,2,0,7,194,3,0,160,104,0,0,0,0,0,0,176,140,2,0,116,194,3,0,96,47,0,0,0,0,0,0,176,140,2,0,168,194,3,0,8,50,0,0,0,0,0,0,176,140,2,0,224,194,3,0,160,104,0,0,0,0,0,0,176,140,2,0,77,195,3,0,96,47,0,0,0,0,0,0,176,140,2,0,129,195,3,0,56,50,0,0,0,0,0,0,176,140,2,0,185,195,3,0,160,104,0,0,0,0,0,0,176,140,2,0,38,196,3,0,96,47,0,0,0,0,0,0,176,140,2,0,90,196,3,0,104,50,0,0,0,0,0,0,176,140,2,0,146,196,3,0,160,104,0,0,0,0,0,0,176,140,2,0,255,196,3,0,96,47,0,0,0,0,0,0,176,140,2,0,51,197,3,0,152,50,0,0,0,0,0,0,176,140,2,0,107,197,3,0,160,104,0,0,0,0,0,0,176,140,2,0,216,197,3,0,96,47,0,0,0,0,0,0,176,140,2,0,22,198,3,0,200,50,0,0,0,0,0,0,176,140,2,0,88,198,3,0,160,104,0,0,0,0,0,0,176,140,2,0,246,198,3,0,96,47,0,0,0,0,0,0,176,140,2,0,51,199,3,0,24,51,0,0,0,0,0,0,176,140,2,0,121,199,3,0,248,50,0,0,0,0,0,0,176,140,2,0,186,199,3,0,160,104,0,0,0,0,0,0,176,140,2,0,53,200,3,0,96,47,0,0,0,0,0,0,176,140,2,0,114,200,3,0,88,51,0,0,0,0,0,0,176,140,2,0,184,200,3,0,56,51,0,0,0,0,0,0,176,140,2,0,249,200,3,0,160,104,0,0,0,0,0,0,176,140,2,0,116,201,3,0,216,50,0,0,0,0,0,0,176,140,2,0,187,201,3,0,160,104,0,0,0,0,0,0,176,140,2,0,55,202,3,0,160,104,0,0,0,0,0,0,176,140,2,0,160,202,3,0,160,104,0,0,0,0,0,0,176,140,2,0,9,203,3,0,160,104,0,0,0,0,0,0,176,140,2,0,114,203,3,0,160,104,0,0,0,0,0,0,176,140,2,0,219,203,3,0,160,104,0,0,0,0,0,0,176,140,2,0,68,204,3,0,160,104,0,0,0,0,0,0,176,140,2,0,173,204,3,0,160,104,0,0,0,0,0,0,176,140,2,0,22,205,3,0,160,104,0,0,0,0,0,0,176,140,2,0,127,205,3,0,160,104,0,0,0,0,0,0,176,140,2,0,86,206,3,0,160,104,0,0,0,0,0,0,176,140,2,0,202,207,3,0,104,47,0,0,0,0,0,0,176,140,2,0,250,207,3,0,160,104,0,0,0,0,0,0,176,140,2,0,95,208,3,0,104,47,0,0,0,0,0,0,176,140,2,0,143,208,3,0,160,104,0,0,0,0,0,0,176,140,2,0,244,208,3,0,104,47,0,0,0,0,0,0,176,140,2,0,36,209,3,0,160,104,0,0,0,0,0,0,176,140,2,0,137,209,3,0,104,47,0,0,0,0,0,0,176,140,2,0,185,209,3,0,160,104,0,0,0,0,0,0,176,140,2,0,30,210,3,0,104,47,0,0,0,0,0,0,176,140,2,0,78,210,3,0,160,104,0,0,0,0,0,0,176,140,2,0,179,210,3,0,104,47,0,0,0,0,0,0,176,140,2,0,227,210,3,0,160,104,0,0,0,0,0,0,176,140,2,0,72,211,3,0,104,47,0,0,0,0,0,0,176,140,2,0,120,211,3,0,160,104,0,0,0,0,0,0,176,140,2,0,221,211,3,0,104,47,0,0,0,0,0,0,176,140,2,0,13,212,3,0,160,104,0,0,0,0,0,0,176,140,2,0,114,212,3,0,104,47,0,0,0,0,0,0,176,140,2,0,162,212,3,0,160,104,0,0,0,0,0,0,176,140,2,0,7,213,3,0,104,47,0,0,0,0,0,0,176,140,2,0,55,213,3,0,160,104,0,0,0,0,0,0,176,140,2,0,156,213,3,0,104,47,0,0,0,0,0,0,176,140,2,0,204,213,3,0,160,104,0,0,0,0,0,0,176,140,2,0,49,214,3,0,104,47,0,0,0,0,0,0,176,140,2,0,97,214,3,0,160,104,0,0,0,0,0,0,176,140,2,0,198,214,3,0,104,47,0,0,0,0,0,0,176,140,2,0,246,214,3,0,160,104,0,0,0,0,0,0,176,140,2,0,110,215,3,0,160,104,0,0,0,0,0,0,176,140,2,0,139,220,3,0,232,46,0,0,0,0,0,0,176,140,2,0,32,221,3,0,232,46,0,0,0,0,0,0,176,140,2,0,140,221,3,0,232,46,0,0,0,0,0,0,176,140,2,0,248,221,3,0,232,46,0,0,0,0,0,0,176,140,2,0,100,222,3,0,232,46,0,0,0,0,0,0,176,140,2,0,221,222,3,0,232,46,0,0,0,0,0,0,176,140,2,0,97,223,3,0,232,46,0,0,0,0,0,0,176,140,2,0,229,223,3,0,232,46,0,0,0,0,0,0,176,140,2,0,105,224,3,0,232,46,0,0,0,0,0,0,176,140,2,0,237,224,3,0,232,46,0,0,0,0,0,0,176,140,2,0,129,225,3,0,232,46,0,0,0,0,0,0,176,140,2,0,243,225,3,0,232,46,0,0,0,0,0,0,176,140,2,0,101,226,3,0,232,46,0,0,0,0,0,0,176,140,2,0,215,226,3,0,232,46,0,0,0,0,0,0,176,140,2,0,73,227,3,0,232,46,0,0,0,0,0,0,176,140,2,0,200,227,3,0,232,46,0,0,0,0,0,0,176,140,2,0,230,227,3,0,232,46,0,0,0,0,0,0,176,140,2,0,4,228,3,0,232,46,0,0,0,0,0,0,176,140,2,0,34,228,3,0,232,46,0,0,0,0,0,0,176,140,2,0,64,228,3,0,232,46,0,0,0,0,0,0,176,140,2,0,94,228,3,0,232,46,0,0,0,0,0,0,176,140,2,0,157,228,3,0,232,46,0,0,0,0,0,0,176,140,2,0,228,228,3,0,232,46,0,0,0,0,0,0,176,140,2,0,61,229,3,0,232,46,0,0,0,0,0,0,176,140,2,0,150,229,3,0,232,46,0,0,0,0,0,0,176,140,2,0,239,229,3,0,232,46,0,0,0,0,0,0,176,140,2,0,6,230,3,0,232,46,0,0,0,0,0,0,176,140,2,0,72,230,3,0,232,46,0,0,0,0,0,0,176,140,2,0,138,230,3,0,232,46,0,0,0,0,0,0,176,140,2,0,205,230,3,0,232,46,0,0,0,0,0,0,176,140,2,0,15,231,3,0,232,46,0,0,0,0,0,0,176,140,2,0,223,232,3,0,232,46,0,0,0,0,0,0,176,140,2,0,49,240,3,0,232,46,0,0,0,0,0,0,176,140,2,0,191,240,3,0,232,46,0,0,0,0,0,0,176,140,2,0,214,249,3,0,232,46,0,0,0,0,0,0,176,140,2,0,240,249,3,0,232,46,0,0,0,0,0,0,176,140,2,0,221,252,3,0,232,46,0,0,0,0,0,0,176,140,2,0,154,0,4,0,232,46,0,0,0,0,0,0,176,140,2,0,229,0,4,0,232,46,0,0,0,0,0,0,176,140,2,0,48,1,4,0,232,46,0,0,0,0,0,0,176,140,2,0,111,1,4,0,232,46,0,0,0,0,0,0,176,140,2,0,174,1,4,0,232,46,0,0,0,0,0,0,176,140,2,0,238,1,4,0,232,46,0,0,0,0,0,0,176,140,2,0,42,9,4,0,16,38,0,0,0,0,0,0,176,140,2,0,115,6,4,0,232,46,0,0,0,0,0,0,176,140,2,0,165,6,4,0,160,104,0,0,0,0,0,0,176,140,2,0,10,7,4,0,232,46,0,0,0,0,0,0,176,140,2,0,60,7,4,0,160,104,0,0,0,0,0,0,176,140,2,0,161,7,4,0,232,46,0,0,0,0,0,0,176,140,2,0,213,7,4,0,160,104,0,0,0,0,0,0,176,140,2,0,60,8,4,0,232,46,0,0,0,0,0,0,176,140,2,0,110,8,4,0,160,104,0,0,0,0,0,0,176,140,2,0,71,9,4,0,160,104,0,0,0,0,0,0,176,140,2,0,95,10,4,0,88,47,0,0,0,0,0,0,176,140,2,0,112,10,4,0,88,47,0,0,0,0,0,0,176,140,2,0,129,10,4,0,88,47,0,0,0,0,0,0,176,140,2,0,146,10,4,0,88,47,0,0,0,0,0,0,176,140,2,0,163,10,4,0,88,47,0,0,0,0,0,0,176,140,2,0,180,10,4,0,88,47,0,0,0,0,0,0,176,140,2,0,197,10,4,0,88,47,0,0,0,0,0,0,176,140,2,0,214,10,4,0,88,47,0,0,0,0,0,0,176,140,2,0,231,10,4,0,88,47,0,0,0,0,0,0,176,140,2,0,248,10,4,0,88,47,0,0,0,0,0,0,176,140,2,0,9,11,4,0,160,104,0,0,0,0,0,0,176,140,2,0,77,11,4,0,160,104,0,0,0,0,0,0,176,140,2,0,145,11,4,0,160,104,0,0,0,0,0,0,176,140,2,0,213,11,4,0,160,104,0,0,0,0,0,0,176,140,2,0,25,12,4,0,160,104,0,0,0,0,0,0,176,140,2,0,93,12,4,0,160,104,0,0,0,0,0,0,176,140,2,0,161,12,4,0,160,104,0,0,0,0,0,0,176,140,2,0,229,12,4,0,160,104,0,0,0,0,0,0,176,140,2,0,41,13,4,0,160,104,0,0,0,0,0,0,176,140,2,0,109,13,4,0,160,104,0,0,0,0,0,0,176,140,2,0,75,14,4,0,96,47,0,0,0,0,0,0,176,140,2,0,95,14,4,0,160,104,0,0,0,0,0,0,176,140,2,0,166,14,4,0,96,47,0,0,0,0,0,0,176,140,2,0,186,14,4,0,160,104,0,0,0,0,0,0,176,140,2,0,1,15,4,0,96,47,0,0,0,0,0,0,176,140,2,0,21,15,4,0,160,104,0,0,0,0,0,0,176,140,2,0,92,15,4,0,96,47,0,0,0,0,0,0,176,140,2,0,112,15,4,0,160,104,0,0,0,0,0,0,176,140,2,0,183,15,4,0,96,47,0,0,0,0,0,0,176,140,2,0,203,15,4,0,160,104,0,0,0,0,0,0,176,140,2,0,18,16,4,0,96,47,0,0,0,0,0,0,176,140,2,0,38,16,4,0,160,104,0,0,0,0,0,0,176,140,2,0,109,16,4,0,96,47,0,0,0,0,0,0,176,140,2,0,129,16,4,0,160,104,0,0,0,0,0,0,176,140,2,0,200,16,4,0,96,47,0,0,0,0,0,0,176,140,2,0,220,16,4,0,160,104,0,0,0,0,0,0,176,140,2,0,35,17,4,0,96,47,0,0,0,0,0,0,176,140,2,0,55,17,4,0,160,104,0,0,0,0,0,0,176,140,2,0,126,17,4,0,96,47,0,0,0,0,0,0,176,140,2,0,146,17,4,0,160,104,0,0,0,0,0,0,176,140,2,0,217,17,4,0,96,47,0,0,0,0,0,0,176,140,2,0,237,17,4,0,160,104,0,0,0,0,0,0,176,140,2,0,52,18,4,0,96,47,0,0,0,0,0,0,176,140,2,0,72,18,4,0,160,104,0,0,0,0,0,0,176,140,2,0,36,19,4,0,88,47,0,0,0,0,0,0,176,140,2,0,56,19,4,0,88,47,0,0,0,0,0,0,176,140,2,0,76,19,4,0,88,47,0,0,0,0,0,0,176,140,2,0,96,19,4,0,88,47,0,0,0,0,0,0,176,140,2,0,116,19,4,0,88,47,0,0,0,0,0,0,176,140,2,0,136,19,4,0,160,104,0,0,0,0,0,0,176,140,2,0,207,19,4,0,160,104,0,0,0,0,0,0,176,140,2,0,22,20,4,0,160,104,0,0,0,0,0,0,176,140,2,0,93,20,4,0,160,104,0,0,0,0,0,0,176,140,2,0,164,20,4,0,160,104,0,0,0,0,0,0,176,140,2,0,215,21,4,0,232,46,0,0,0,0,0,0,176,140,2,0,78,24,4,0,232,46,0,0,0,0,0,0,176,140,2,0,113,24,4,0,232,46,0,0,0,0,0,0,176,140,2,0,104,78,5,0,232,46,0,0,0,0,0,0,176,140,2,0,180,78,5,0,232,46,0,0,0,0,0,0,176,140,2,0,254,78,5,0,232,46,0,0,0,0,0,0,176,140,2,0,71,79,5,0,232,46,0,0,0,0,0,0,176,140,2,0,156,79,5,0,232,46,0,0,0,0,0,0,176,140,2,0,68,80,5,0,232,46,0,0,0,0,0,0,176,140,2,0,149,80,5,0,232,46,0,0,0,0,0,0,176,140,2,0,228,80,5,0,232,46,0,0,0,0,0,0,176,140,2,0,50,81,5,0,232,46,0,0,0,0,0,0,176,140,2,0,140,81,5,0,232,46,0,0,0,0,0,0,176,140,2,0,127,83,5,0,232,46,0,0,0,0,0,0,176,140,2,0,57,84,5,0,232,46,0,0,0,0,0,0,176,140,2,0,241,84,5,0,232,46,0,0,0,0,0,0,176,140,2,0,59,86,5,0,232,46,0,0,0,0,0,0,176,140,2,0,58,87,5,0,232,46,0,0,0,0,0,0,176,140,2,0,68,88,5,0,232,46,0,0,0,0,0,0,176,140,2,0,241,88,5,0,232,46,0,0,0,0,0,0,176,140,2,0,156,89,5,0,232,46,0,0,0,0,0,0,176,140,2,0,164,90,5,0,232,46,0,0,0,0,0,0,176,140,2,0,97,91,5,0,232,46,0,0,0,0,0,0,176,140,2,0,28,92,5,0,232,46,0,0,0,0,0,0,176,140,2,0,21,93,5,0,232,46,0,0,0,0,0,0,176,140,2,0,13,94,5,0,232,46,0,0,0,0,0,0,176,140,2,0,34,95,5,0,232,46,0,0,0,0,0,0,176,140,2,0,60,96,5,0,232,46,0,0,0,0,0,0,176,140,2,0,6,106,5,0,88,47,0,0,0,0,0,0,176,140,2,0,62,106,5,0,88,47,0,0,0,0,0,0,176,140,2,0,118,106,5,0,88,47,0,0,0,0,0,0,176,140,2,0,174,106,5,0,88,47,0,0,0,0,0,0,176,140,2,0,230,106,5,0,88,47,0,0,0,0,0,0,176,140,2,0,30,107,5,0,88,47,0,0,0,0,0,0,176,140,2,0,86,107,5,0,88,47,0,0,0,0,0,0,176,140,2,0,142,107,5,0,88,47,0,0,0,0,0,0,176,140,2,0,198,107,5,0,88,47,0,0,0,0,0,0,176,140,2,0,254,107,5,0,88,47,0,0,0,0,0,0,176,140,2,0,54,108,5,0,160,104,0,0,0,0,0,0,176,140,2,0,163,108,5,0,160,104,0,0,0,0,0,0,176,140,2,0,16,109,5,0,160,104,0,0,0,0,0,0,176,140,2,0,125,109,5,0,160,104,0,0,0,0,0,0,176,140,2,0,234,109,5,0,160,104,0,0,0,0,0,0,176,140,2,0,87,110,5,0,160,104,0,0,0,0,0,0,176,140,2,0,196,110,5,0,160,104,0,0,0,0,0,0,176,140,2,0,49,111,5,0,160,104,0,0,0,0,0,0,176,140,2,0,158,111,5,0,160,104,0,0,0,0,0,0,176,140,2,0,11,112,5,0,160,104,0,0,0,0,0,0,176,140,2,0,146,112,5,0,96,47,0,0,0,0,0,0,176,140,2,0,208,112,5,0,96,47,0,0,0,0,0,0,176,140,2,0,14,113,5,0,96,47,0,0,0,0,0,0,176,140,2,0,76,113,5,0,96,47,0,0,0,0,0,0,176,140,2,0,138,113,5,0,96,47,0,0,0,0,0,0,176,140,2,0,200,113,5,0,96,47,0,0,0,0,0,0,176,140,2,0,6,114,5,0,96,47,0,0,0,0,0,0,176,140,2,0,68,114,5,0,96,47,0,0,0,0,0,0,176,140,2,0,130,114,5,0,96,47,0,0,0,0,0,0,176,140,2,0,192,114,5,0,96,47,0,0,0,0,0,0,176,140,2,0,254,114,5,0,160,104,0,0,0,0,0,0,176,140,2,0,113,115,5,0,160,104,0,0,0,0,0,0,176,140,2,0,228,115,5,0,160,104,0,0,0,0,0,0,176,140,2,0,87,116,5,0,160,104,0,0,0,0,0,0,176,140,2,0,202,116,5,0,160,104,0,0,0,0,0,0,176,140,2,0,61,117,5,0,160,104,0,0,0,0,0,0,176,140,2,0,176,117,5,0,160,104,0,0,0,0,0,0,176,140,2,0,35,118,5,0,160,104,0,0,0,0,0,0,176,140,2,0,150,118,5,0,160,104,0,0,0,0,0,0,176,140,2,0,9,119,5,0,160,104,0,0,0,0,0,0,176,140,2,0,70,120,5,0,104,47,0,0,0,0,0,0,176,140,2,0,120,120,5,0,160,104,0,0,0,0,0,0,176,140,2,0,223,120,5,0,104,47,0,0,0,0,0,0,176,140,2,0,17,121,5,0,160,104,0,0,0,0,0,0,176,140,2,0,120,121,5,0,104,47,0,0,0,0,0,0,176,140,2,0,170,121,5,0,160,104,0,0,0,0,0,0,176,140,2,0,17,122,5,0,104,47,0,0,0,0,0,0,176,140,2,0,67,122,5,0,160,104,0,0,0,0,0,0,176,140,2,0,170,122,5,0,104,47,0,0,0,0,0,0,176,140,2,0,220,122,5,0,160,104,0,0,0,0,0,0,176,140,2,0,67,123,5,0,104,47,0,0,0,0,0,0,176,140,2,0,117,123,5,0,160,104,0,0,0,0,0,0,176,140,2,0,220,123,5,0,104,47,0,0,0,0,0,0,176,140,2,0,14,124,5,0,160,104,0,0,0,0,0,0,176,140,2,0,117,124,5,0,104,47,0,0,0,0,0,0,176,140,2,0,167,124,5,0,160,104,0,0,0,0,0,0,176,140,2,0,14,125,5,0,104,47,0,0,0,0,0,0,176,140,2,0,64,125,5,0,160,104,0,0,0,0,0,0,176,140,2,0,167,125,5,0,104,47,0,0,0,0,0,0,176,140,2,0,217,125,5,0,160,104,0,0,0,0,0,0,176,140,2,0,54,130,5,0,232,46,0,0,0,0,0,0,176,140,2,0,246,130,5,0,232,46,0,0,0,0,0,0,176,140,2,0,180,131,5,0,232,46,0,0,0,0,0,0,176,140,2,0,8,133,5,0,232,46,0,0,0,0,0,0,176,140,2,0,200,133,5,0,232,46,0,0,0,0,0,0,176,140,2,0,134,134,5,0,232,46,0,0,0,0,0,0,176,140,2,0,129,135,5,0,232,46,0,0,0,0,0,0,176,140,2,0,29,136,5,0,232,46,0,0,0,0,0,0,176,140,2,0,133,137,5,0,232,46,0,0,0,0,0,0,176,140,2,0,137,138,5,0,232,46,0,0,0,0,0,0,176,140,2,0,24,140,5,0,232,46,0,0,0,0,0,0,176,140,2,0,180,140,5,0,232,46,0,0,0,0,0,0,176,140,2,0,93,141,5,0,232,46,0,0,0,0,0,0,176,140,2,0,249,141,5,0,232,46,0,0,0,0,0,0,176,140,2,0,218,150,5,0,232,46,0,0,0,0,0,0,176,140,2,0,20,151,5,0,232,46,0,0,0,0,0,0,176,140,2,0,79,151,5,0,232,46,0,0,0,0,0,0,176,140,2,0,117,151,5,0,232,46,0,0,0,0,0,0,176,140,2,0,27,155,5,0,160,104,0,0,0,0,0,0,176,140,2,0,138,158,5,0,232,46,0,0,0,0,0,0,176,140,2,0,158,158,5,0,232,46,0,0,0,0,0,0,176,140,2,0,94,160,5,0,232,46,0,0,0,0,0,0,176,140,2,0,37,161,5,0,232,46,0,0,0,0,0,0,176,140,2,0,234,161,5,0,232,46,0,0,0,0,0,0,176,140,2,0,75,163,5,0,232,46,0,0,0,0,0,0,176,140,2,0,18,164,5,0,232,46,0,0,0,0,0,0,176,140,2,0,215,164,5,0,232,46,0,0,0,0,0,0,176,140,2,0,169,165,5,0,232,46,0,0,0,0,0,0,176,140,2,0,211,165,5,0,232,46,0,0,0,0,0,0,176,140,2,0,253,165,5,0,232,46,0,0,0,0,0,0,176,140,2,0,39,166,5,0,232,46,0,0,0,0,0,0,176,140,2,0,81,166,5,0,232,46,0,0,0,0,0,0,176,140,2,0,121,166,5,0,232,46,0,0,0,0,0,0,176,140,2,0,161,166,5,0,232,46,0,0,0,0,0,0,176,140,2,0,201,166,5,0,232,46,0,0,0,0,0,0,176,140,2,0,222,167,5,0,232,46,0,0,0,0,0,0,176,140,2,0,3,168,5,0,232,46,0,0,0,0,0,0,176,140,2,0,40,168,5,0,232,46,0,0,0,0,0,0,176,140,2,0,75,168,5,0,232,46,0,0,0,0,0,0,176,140,2,0,212,168,5,0,232,46,0,0,0,0,0,0,176,140,2,0,108,169,5,0,232,46,0,0,0,0,0,0,176,140,2,0,153,169,5,0,232,46,0,0,0,0,0,0,176,140,2,0,198,169,5,0,232,46,0,0,0,0,0,0,176,140,2,0,243,169,5,0,232,46,0,0,0,0,0,0,176,140,2,0,32,170,5,0,232,46,0,0,0,0,0,0,176,140,2,0,77,170,5,0,232,46,0,0,0,0,0,0,176,140,2,0,122,170,5,0,232,46,0,0,0,0,0,0,176,140,2,0,165,170,5,0,232,46,0,0,0,0,0,0,176,140,2,0,208,170,5,0,232,46,0,0,0,0,0,0,176,140,2,0,251,170,5,0,232,46,0,0,0,0,0,0,176,140,2,0,38,171,5,0,232,46,0,0,0,0,0,0,176,140,2,0,81,171,5,0,232,46,0,0,0,0,0,0,176,140,2,0,140,177,5,0,232,46,0,0,0,0,0,0,176,140,2,0,40,178,5,0,232,46,0,0,0,0,0,0,176,140,2,0,196,178,5,0,232,46,0,0,0,0,0,0,176,140,2,0,96,179,5,0,232,46,0,0,0,0,0,0,176,140,2,0,100,180,5,0,232,46,0,0,0,0,0,0,176,140,2,0,0,181,5,0,232,46,0,0,0,0,0,0,176,140,2,0,156,181,5,0,232,46,0,0,0,0,0,0,176,140,2,0,56,182,5,0,232,46,0,0,0,0,0,0,136,140,2,0,220,183,5,0,176,140,2,0,204,182,5,0,160,104,0,0,0,0,0,0,176,140,2,0,104,186,5,0,216,69,0,0,0,0,0,0,176,140,2,0,72,185,5,0,160,104,0,0,0,0,0,0,176,140,2,0,150,185,5,0,160,104,0,0,0,0,0,0,176,140,2,0,1,186,5,0,160,104,0,0,0,0,0,0,176,140,2,0,163,187,5,0,216,69,0,0,0,0,0,0,176,140,2,0,135,186,5,0,160,104,0,0,0,0,0,0,176,140,2,0,241,186,5,0,160,104,0,0,0,0,0,0,176,140,2,0,87,187,5,0,160,104,0,0,0,0,0,0,176,140,2,0,72,198,5,0,192,70,0,0,0,0,0,0,176,140,2,0,81,192,5,0,232,46,0,0,0,0,0,0,176,140,2,0,232,195,5,0,160,104,0,0,0,0,0,0,176,140,2,0,135,196,5,0,160,104,0,0,0,0,0,0,176,140,2,0,23,197,5,0,160,104,0,0,0,0,0,0,176,140,2,0,101,198,5,0,144,41,0,0,0,0,0,0,176,140,2,0,246,198,5,0,160,104,0,0,0,0,0,0,136,140,2,0,249,200,5,0,136,140,2,0,85,209,5,0,176,140,2,0,147,201,5,0,232,46,0,0,0,0,0,0,176,140,2,0,243,205,5,0,232,46,0,0,0,0,0,0,176,140,2,0,203,221,5,0,232,46,0,0,0,0,0,0,176,140,2,0,84,222,5,0,232,46,0,0,0,0,0,0,176,140,2,0,158,222,5,0,160,104,0,0,0,0,0,0,176,140,2,0,83,235,5,0,200,37,0,0,0,0,0,0,176,140,2,0,129,233,5,0,232,46,0,0,0,0,0,0,176,140,2,0,145,235,5,0,160,104,0,0,0,0,0,0,176,140,2,0,142,236,5,0,232,46,0,0,0,0,0,0,176,140,2,0,14,241,5,0,144,71,0,0,0,0,0,0,176,140,2,0,62,241,5,0,160,71,0,0,0,0,0,0,176,140,2,0,92,241,5,0,144,41,0,0,0,0,0,0,176,140,2,0,117,241,5,0,160,104,0,0,0,0,0,0,176,140,2,0,45,243,5,0,208,71,0,0,0,0,0,0,176,140,2,0,91,243,5,0,224,71,0,0,0,0,0,0,176,140,2,0,119,243,5,0,144,41,0,0,0,0,0,0,176,140,2,0,143,243,5,0,160,104,0,0,0,0,0,0,176,140,2,0,190,246,5,0,144,93,0,0,0,0,0,0,108,0,0,0,0,0,0,0,80,99,0,0,11,0,0,0,12,0,0,0,148,255,255,255,148,255,255,255,80,99,0,0,13,0,0,0,14,0,0,0,176,140,2,0,32,6,6,0,64,99,0,0,0,0,0,0,176,140,2,0,79,6,6,0,80,99,0,0,0,0,0,0,124,141,2,0,244,16,6,0,0,0,0,0,1,0,0,0,112,72,0,0,0,0,0,0,136,140,2,0,117,17,6,0,176,140,2,0,92,22,6,0,160,104,0,0,0,0,0,0,176,140,2,0,68,23,6,0,152,72,0,0,0,0,0,0,136,140,2,0,118,23,6,0,176,140,2,0,230,23,6,0,160,104,0,0,0,0,0,0,176,140,2,0,193,25,6,0,152,72,0,0,0,0,0,0,176,140,2,0,64,26,6,0,160,104,0,0,0,0,0,0,176,140,2,0,206,26,6,0,152,72,0,0,0,0,0,0,176,140,2,0,84,27,6,0,160,104,0,0,0,0,0,0,176,140,2,0,31,28,6,0,152,72,0,0,0,0,0,0,176,140,2,0,174,28,6,0,160,104,0,0,0,0,0,0,176,140,2,0,105,29,6,0,152,72,0,0,0,0,0,0,176,140,2,0,237,29,6,0,160,104,0,0,0,0,0,0,176,140,2,0,135,30,6,0,152,72,0,0,0,0,0,0,176,140,2,0,0,31,6,0,160,104,0,0,0,0,0,0,176,140,2,0,125,31,6,0,152,72,0,0,0,0,0,0,176,140,2,0,245,31,6,0,160,104,0,0,0,0,0,0,176,140,2,0,126,32,6,0,152,72,0,0,0,0,0,0,176,140,2,0,246,32,6,0,160,104,0,0,0,0,0,0,176,140,2,0,135,33,6,0,152,72,0,0,0,0,0,0,176,140,2,0,1,34,6,0,160,104,0,0,0,0,0,0,176,140,2,0,126,34,6,0,152,72,0,0,0,0,0,0,176,140,2,0,243,34,6,0,160,104,0,0,0,0,0,0,176,140,2,0,107,35,6,0,152,72,0,0,0,0,0,0,176,140,2,0,228,35,6,0,160,104,0,0,0,0,0,0,176,140,2,0,62,37,6,0,152,72,0,0,0,0,0,0,176,140,2,0,185,37,6,0,160,104,0,0,0,0,0,0,176,140,2,0,202,38,6,0,152,72,0,0,0,0,0,0,176,140,2,0,246,47,6,0,160,104,0,0,0,0,0,0,176,140,2,0,248,49,6,0,160,104,0,0,0,0,0,0,176,140,2,0,130,51,6,0,160,104,0,0,0,0,0,0,176,140,2,0,65,58,6,0,64,99,0,0,0,0,0,0,176,140,2,0,82,60,6,0,144,41,0,0,0,0,0,0,136,140,2,0,114,60,6,0,176,140,2,0,116,64,6,0,160,104,0,0,0,0,0,0,176,140,2,0,59,65,6,0,160,104,0,0,0,0,0,0,176,140,2,0,238,66,6,0,96,74,0,0,0,0,0,0,176,140,2,0,95,72,6,0,112,74,0,0,0,0,0,0,176,140,2,0,35,81,6,0,96,74,0,0,0,0,0,0,176,140,2,0,251,80,6,0,96,74,0,0,0,0,0,0,176,140,2,0,159,80,6,0,24,75,0,0,0,0,0,0,176,140,2,0,63,79,6,0,96,74,0,0,0,0,0,0,176,140,2,0,24,79,6,0,96,74,0,0,0,0,0,0,176,140,2,0,221,79,6,0,160,104,0,0,0,0,0,0,176,140,2,0,203,80,6,0,96,74,0,0,0,0,0,0,176,140,2,0,203,99,6,0,152,96,0,0,0,0,0,0,176,140,2,0,231,96,6,0,184,75,0,0,0,0,0,0,176,140,2,0,174,93,6,0,152,96,0,0,0,0,0,0,136,140,2,0,210,93,6,0,176,140,2,0,106,96,6,0,176,75,0,0,0,0,0,0,176,140,2,0,79,94,6,0,152,96,0,0,0,0,0,0,176,140,2,0,111,94,6,0,144,75,0,0,0,0,0,0,176,140,2,0,166,94,6,0,160,75,0,0,0,0,0,0,176,140,2,0,127,95,6,0,152,96,0,0,0,0,0,0,136,140,2,0,158,96,6,0,176,140,2,0,192,97,6,0,80,96,0,0,0,0,0,0,176,140,2,0,207,98,6,0,128,75,0,0,0,0,0,0,176,140,2,0,70,105,6,0,152,96,0,0,0,0,0,0,176,140,2,0,65,112,6,0,152,96,0,0,0,0,0,0,176,140,2,0,179,109,6,0,184,75,0,0,0,0,0,0,176,140,2,0,129,109,6,0,40,76,0,0,0,0,0,0,176,140,2,0,199,107,6,0,152,96,0,0,0,0,0,0,176,140,2,0,173,108,6,0,24,76,0,0,0,0,0,0,176,140,2,0,35,112,6,0,152,96,0,0,0,0,0,0,176,140,2,0,44,111,6,0,8,76,0,0,0,0,0,0,176,140,2,0,6,114,6,0,152,96,0,0,0,0,0,0,176,140,2,0,178,113,6,0,152,96,0,0,0,0,0,0,176,140,2,0,167,197,6,0,152,96,0,0,0,0,0,0,176,140,2,0,41,188,6,0,152,96,0,0,0,0,0,0,176,140,2,0,81,188,6,0,152,96,0,0,0,0,0,0,176,140,2,0,117,188,6,0,152,96,0,0,0,0,0,0,176,140,2,0,155,188,6,0,152,96,0,0,0,0,0,0,176,140,2,0,222,188,6,0,152,96,0,0,0,0,0,0,176,140,2,0,188,188,6,0,152,96,0,0,0,0,0,0,176,140,2,0,64,189,6,0,152,96,0,0,0,0,0,0,176,140,2,0,255,188,6,0,152,96,0,0,0,0,0,0,176,140,2,0,37,189,6,0,152,96,0,0,0,0,0,0,176,140,2,0,136,193,6,0,152,96,0,0,0,0,0,0,176,140,2,0,99,189,6,0,152,96,0,0,0,0,0,0,176,140,2,0,131,189,6,0,152,96,0,0,0,0,0,0,176,140,2,0,162,189,6,0,152,96,0,0,0,0,0,0,176,140,2,0,205,189,6,0,152,96,0,0,0,0,0,0,176,140,2,0,240,189,6,0,152,96,0,0,0,0,0,0,176,140,2,0,19,190,6,0,152,96,0,0,0,0,0,0,176,140,2,0,51,190,6,0,152,96,0,0,0,0,0,0,176,140,2,0,93,190,6,0,152,96,0,0,0,0,0,0,176,140,2,0,124,190,6,0,152,96,0,0,0,0,0,0,176,140,2,0,157,190,6,0,152,96,0,0,0,0,0,0,176,140,2,0,189,190,6,0,152,96,0,0,0,0,0,0,176,140,2,0,226,190,6,0,152,96,0,0,0,0,0,0,176,140,2,0,6,191,6,0,152,96,0,0,0,0,0,0,176,140,2,0,43,191,6,0,152,96,0,0,0,0,0,0,176,140,2,0,80,191,6,0,152,96,0,0,0,0,0,0,176,140,2,0,115,191,6,0,152,96,0,0,0,0,0,0,176,140,2,0,149,191,6,0,152,96,0,0,0,0,0,0,176,140,2,0,187,191,6,0,152,96,0,0,0,0,0,0,176,140,2,0,220,191,6,0,152,96,0,0,0,0,0,0,176,140,2,0,2,192,6,0,152,96,0,0,0,0,0,0,176,140,2,0,37,192,6,0,152,96,0,0,0,0,0,0,176,140,2,0,68,192,6,0,152,96,0,0,0,0,0,0,176,140,2,0,108,192,6,0,152,96,0,0,0,0,0,0,176,140,2,0,148,192,6,0,152,96,0,0,0,0,0,0,176,140,2,0,185,192,6,0,152,96,0,0,0,0,0,0,176,140,2,0,221,192,6,0,152,96,0,0,0,0,0,0,176,140,2,0,0,193,6,0,152,96,0,0,0,0,0,0,176,140,2,0,32,193,6,0,152,96,0,0,0,0,0,0,176,140,2,0,71,193,6,0,152,96,0,0,0,0,0,0,176,140,2,0,105,193,6,0,152,96,0,0,0,0,0,0,176,140,2,0,171,193,6,0,152,96,0,0,0,0,0,0,176,140,2,0,202,193,6,0,152,96,0,0,0,0,0,0,176,140,2,0,234,193,6,0,152,96,0,0,0,0,0,0,176,140,2,0,11,194,6,0,152,96,0,0,0,0,0,0,176,140,2,0,46,194,6,0,152,96,0,0,0,0,0,0,176,140,2,0,83,194,6,0,152,96,0,0,0,0,0,0,176,140,2,0,120,194,6,0,152,96,0,0,0,0,0,0,176,140,2,0,154,194,6,0,152,96,0,0,0,0,0,0,176,140,2,0,191,194,6,0,152,96,0,0,0,0,0,0,176,140,2,0,222,194,6,0,152,96,0,0,0,0,0,0,176,140,2,0,255,194,6,0,152,96,0,0,0,0,0,0,176,140,2,0,34,195,6,0,152,96,0,0,0,0,0,0,176,140,2,0,67,195,6,0,152,96,0,0,0,0,0,0,176,140,2,0,98,195,6,0,152,96,0,0,0,0,0,0,176,140,2,0,136,195,6,0,152,96,0,0,0,0,0,0,176,140,2,0,185,195,6,0,152,96],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+10240);allocate([176,140,2,0,217,195,6,0,152,96,0,0,0,0,0,0,176,140,2,0,249,195,6,0,152,96,0,0,0,0,0,0,176,140,2,0,212,196,6,0,152,96,0,0,0,0,0,0,176,140,2,0,30,196,6,0,152,96,0,0,0,0,0,0,176,140,2,0,66,196,6,0,152,96,0,0,0,0,0,0,176,140,2,0,107,196,6,0,152,96,0,0,0,0,0,0,176,140,2,0,142,196,6,0,152,96,0,0,0,0,0,0,176,140,2,0,185,196,6,0,152,96,0,0,0,0,0,0,176,140,2,0,245,196,6,0,152,96,0,0,0,0,0,0,176,140,2,0,15,197,6,0,152,96,0,0,0,0,0,0,176,140,2,0,76,197,6,0,152,96,0,0,0,0,0,0,176,140,2,0,45,197,6,0,152,96,0,0,0,0,0,0,176,140,2,0,110,197,6,0,152,96,0,0,0,0,0,0,176,140,2,0,133,197,6,0,152,96,0,0,0,0,0,0,176,140,2,0,48,205,6,0,160,104,0,0,0,0,0,0,176,140,2,0,80,207,6,0,24,81,0,0,0,0,0,0,176,140,2,0,120,206,6,0,232,46,0,0,0,0,0,0,176,140,2,0,128,207,6,0,184,74,0,0,0,0,0,0,176,140,2,0,37,208,6,0,160,104,0,0,0,0,0,0,176,140,2,0,126,209,6,0,88,81,0,0,0,0,0,0,176,140,2,0,163,208,6,0,232,46,0,0,0,0,0,0,176,140,2,0,175,209,6,0,184,74,0,0,0,0,0,0,176,140,2,0,31,210,6,0,160,104,0,0,0,0,0,0,176,140,2,0,116,211,6,0,152,81,0,0,0,0,0,0,176,140,2,0,156,210,6,0,232,46,0,0,0,0,0,0,176,140,2,0,164,211,6,0,184,74,0,0,0,0,0,0,176,140,2,0,21,212,6,0,160,104,0,0,0,0,0,0,176,140,2,0,118,213,6,0,216,81,0,0,0,0,0,0,176,140,2,0,149,212,6,0,232,46,0,0,0,0,0,0,176,140,2,0,169,213,6,0,184,74,0,0,0,0,0,0,176,140,2,0,26,214,6,0,160,104,0,0,0,0,0,0,176,140,2,0,107,215,6,0,24,82,0,0,0,0,0,0,176,140,2,0,150,214,6,0,232,46,0,0,0,0,0,0,176,140,2,0,154,215,6,0,184,74,0,0,0,0,0,0,176,140,2,0,9,216,6,0,160,104,0,0,0,0,0,0,176,140,2,0,102,217,6,0,88,82,0,0,0,0,0,0,176,140,2,0,136,216,6,0,232,46,0,0,0,0,0,0,176,140,2,0,152,217,6,0,184,74,0,0,0,0,0,0,176,140,2,0,5,218,6,0,160,104,0,0,0,0,0,0,176,140,2,0,90,219,6,0,152,82,0,0,0,0,0,0,176,140,2,0,130,218,6,0,232,46,0,0,0,0,0,0,176,140,2,0,138,219,6,0,184,74,0,0,0,0,0,0,176,140,2,0,5,220,6,0,160,104,0,0,0,0,0,0,176,140,2,0,94,221,6,0,216,82,0,0,0,0,0,0,176,140,2,0,131,220,6,0,232,46,0,0,0,0,0,0,176,140,2,0,143,221,6,0,184,74,0,0,0,0,0,0,176,140,2,0,33,222,6,0,160,104,0,0,0,0,0,0,176,140,2,0,2,224,6,0,24,83,0,0,0,0,0,0,176,140,2,0,15,223,6,0,232,46,0,0,0,0,0,0,176,140,2,0,59,224,6,0,184,74,0,0,0,0,0,0,176,140,2,0,160,224,6,0,160,104,0,0,0,0,0,0,176,140,2,0,17,227,6,0,72,83,0,0,0,0,0,0,176,140,2,0,46,227,6,0,96,74,0,0,0,0,0,0,176,140,2,0,148,227,6,0,160,104,0,0,0,0,0,0,176,140,2,0,95,231,6,0,136,83,0,0,0,0,0,0,176,140,2,0,183,230,6,0,232,46,0,0,0,0,0,0,176,140,2,0,130,231,6,0,96,74,0,0,0,0,0,0,176,140,2,0,235,231,6,0,160,104,0,0,0,0,0,0,176,140,2,0,103,233,6,0,184,83,0,0,0,0,0,0,176,140,2,0,137,233,6,0,96,74,0,0,0,0,0,0,176,140,2,0,236,233,6,0,160,104,0,0,0,0,0,0,176,140,2,0,181,236,6,0,248,74,0,0,0,0,0,0,176,140,2,0,23,236,6,0,232,46,0,0,0,0,0,0,176,140,2,0,5,237,6,0,160,104,0,0,0,0,0,0,176,140,2,0,149,239,6,0,24,84,0,0,0,0,0,0,176,140,2,0,176,239,6,0,96,74,0,0,0,0,0,0,176,140,2,0,12,240,6,0,160,104,0,0,0,0,0,0,176,140,2,0,116,240,6,0,8,84,0,0,0,0,0,0,176,140,2,0,204,240,6,0,160,104,0,0,0,0,0,0,176,140,2,0,80,242,6,0,104,84,0,0,0,0,0,0,176,140,2,0,115,242,6,0,96,74,0,0,0,0,0,0,176,140,2,0,216,242,6,0,160,104,0,0,0,0,0,0,176,140,2,0,110,244,6,0,152,84,0,0,0,0,0,0,176,140,2,0,138,244,6,0,96,74,0,0,0,0,0,0,176,140,2,0,232,244,6,0,160,104,0,0,0,0,0,0,176,140,2,0,222,248,6,0,200,74,0,0,0,0,0,0,176,140,2,0,61,247,6,0,232,46,0,0,0,0,0,0,176,140,2,0,48,249,6,0,160,104,0,0,0,0,0,0,176,140,2,0,200,250,6,0,248,84,0,0,0,0,0,0,176,140,2,0,228,250,6,0,96,74,0,0,0,0,0,0,176,140,2,0,65,251,6,0,160,104,0,0,0,0,0,0,176,140,2,0,233,253,6,0,40,85,0,0,0,0,0,0,176,140,2,0,4,254,6,0,96,74,0,0,0,0,0,0,176,140,2,0,229,254,6,0,160,104,0,0,0,0,0,0,176,140,2,0,184,255,6,0,88,85,0,0,0,0,0,0,176,140,2,0,210,255,6,0,96,74,0,0,0,0,0,0,176,140,2,0,48,0,7,0,160,104,0,0,0,0,0,0,176,140,2,0,98,2,7,0,136,85,0,0,0,0,0,0,176,140,2,0,128,2,7,0,96,74,0,0,0,0,0,0,176,140,2,0,222,2,7,0,160,104,0,0,0,0,0,0,176,140,2,0,163,4,7,0,184,85,0,0,0,0,0,0,176,140,2,0,189,4,7,0,96,74,0,0,0,0,0,0,176,140,2,0,25,5,7,0,160,104,0,0,0,0,0,0,176,140,2,0,246,5,7,0,96,74,0,0,0,0,0,0,176,140,2,0,28,8,7,0,216,85,0,0,0,0,0,0,176,140,2,0,106,8,7,0,160,104,0,0,0,0,0,0,176,140,2,0,175,10,7,0,40,86,0,0,0,0,0,0,176,140,2,0,33,10,7,0,232,46,0,0,0,0,0,0,176,140,2,0,199,10,7,0,96,74,0,0,0,0,0,0,176,140,2,0,33,11,7,0,160,104,0,0,0,0,0,0,176,140,2,0,164,14,7,0,88,86,0,0,0,0,0,0,176,140,2,0,193,14,7,0,96,74,0,0,0,0,0,0,176,140,2,0,28,15,7,0,160,104,0,0,0,0,0,0,176,140,2,0,91,16,7,0,136,86,0,0,0,0,0,0,176,140,2,0,115,16,7,0,96,74,0,0,0,0,0,0,176,140,2,0,204,16,7,0,160,104,0,0,0,0,0,0,176,140,2,0,10,21,7,0,232,74,0,0,0,0,0,0,176,140,2,0,96,20,7,0,232,46,0,0,0,0,0,0,176,140,2,0,94,21,7,0,160,104,0,0,0,0,0,0,176,140,2,0,14,25,7,0,232,86,0,0,0,0,0,0,176,140,2,0,44,25,7,0,184,74,0,0,0,0,0,0,176,140,2,0,146,25,7,0,160,104,0,0,0,0,0,0,176,140,2,0,199,27,7,0,24,87,0,0,0,0,0,0,176,140,2,0,233,27,7,0,96,74,0,0,0,0,0,0,176,140,2,0,75,28,7,0,160,104,0,0,0,0,0,0,176,140,2,0,49,31,7,0,72,87,0,0,0,0,0,0,176,140,2,0,75,31,7,0,96,74,0,0,0,0,0,0,176,140,2,0,62,34,7,0,160,104,0,0,0,0,0,0,176,140,2,0,242,39,7,0,120,87,0,0,0,0,0,0,176,140,2,0,22,40,7,0,96,74,0,0,0,0,0,0,176,140,2,0,122,40,7,0,160,104,0,0,0,0,0,0,176,140,2,0,27,42,7,0,96,74,0,0,0,0,0,0,176,140,2,0,191,43,7,0,152,87,0,0,0,0,0,0,176,140,2,0,15,44,7,0,160,104,0,0,0,0,0,0,176,140,2,0,249,46,7,0,216,87,0,0,0,0,0,0,176,140,2,0,21,47,7,0,96,74,0,0,0,0,0,0,176,140,2,0,115,47,7,0,160,104,0,0,0,0,0,0,176,140,2,0,131,51,7,0,24,88,0,0,0,0,0,0,176,140,2,0,206,50,7,0,232,46,0,0,0,0,0,0,176,140,2,0,159,51,7,0,96,74,0,0,0,0,0,0,176,140,2,0,1,52,7,0,160,104,0,0,0,0,0,0,176,140,2,0,195,58,7,0,88,88,0,0,0,0,0,0,176,140,2,0,71,56,7,0,232,46,0,0,0,0,0,0,176,140,2,0,227,58,7,0,216,74,0,0,0,0,0,0,176,140,2,0,207,59,7,0,160,104,0,0,0,0,0,0,176,140,2,0,229,61,7,0,88,88,0,0,0,0,0,0,176,140,2,0,15,61,7,0,232,46,0,0,0,0,0,0,176,140,2,0,64,61,7,0,232,46,0,0,0,0,0,0,176,140,2,0,13,62,7,0,96,74,0,0,0,0,0,0,176,140,2,0,100,62,7,0,160,104,0,0,0,0,0,0,176,140,2,0,153,67,7,0,168,88,0,0,0,0,0,0,176,140,2,0,229,67,7,0,160,104,0,0,0,0,0,0,176,140,2,0,191,68,7,0,96,74,0,0,0,0,0,0,176,140,2,0,77,70,7,0,232,88,0,0,0,0,0,0,176,140,2,0,154,70,7,0,160,104,0,0,0,0,0,0,176,140,2,0,63,72,7,0,40,89,0,0,0,0,0,0,176,140,2,0,89,72,7,0,96,74,0,0,0,0,0,0,176,140,2,0,89,81,7,0,152,96,0,0,0,0,0,0,176,140,2,0,161,75,7,0,152,96,0,0,0,0,0,0,176,140,2,0,54,81,7,0,152,96,0,0,0,0,0,0,176,140,2,0,14,81,7,0,152,96,0,0,0,0,0,0,176,140,2,0,101,78,7,0,184,75,0,0,0,0,0,0,176,140,2,0,42,78,7,0,168,89,0,0,0,0,0,0,176,140,2,0,94,76,7,0,152,96,0,0,0,0,0,0,176,140,2,0,77,77,7,0,152,89,0,0,0,0,0,0,176,140,2,0,14,80,7,0,136,89,0,0,0,0,0,0,176,140,2,0,2,88,7,0,152,96,0,0,0,0,0,0,176,140,2,0,20,87,7,0,152,96,0,0,0,0,0,0,176,140,2,0,248,86,7,0,152,96,0,0,0,0,0,0,176,140,2,0,215,85,7,0,152,96,0,0,0,0,0,0,176,140,2,0,114,86,7,0,152,96,0,0,0,0,0,0,176,140,2,0,50,89,7,0,152,96,0,0,0,0,0,0,176,140,2,0,28,101,7,0,152,96,0,0,0,0,0,0,176,140,2,0,146,99,7,0,152,96,0,0,0,0,0,0,176,140,2,0,38,100,7,0,152,96,0,0,0,0,0,0,176,140,2,0,182,99,7,0,152,96,0,0,0,0,0,0,176,140,2,0,226,99,7,0,152,96,0,0,0,0,0,0,176,140,2,0,4,100,7,0,152,96,0,0,0,0,0,0,176,140,2,0,101,100,7,0,152,96,0,0,0,0,0,0,176,140,2,0,64,100,7,0,152,96,0,0,0,0,0,0,176,140,2,0,130,100,7,0,152,96,0,0,0,0,0,0,176,140,2,0,0,101,7,0,152,96,0,0,0,0,0,0,176,140,2,0,170,100,7,0,152,96,0,0,0,0,0,0,176,140,2,0,202,100,7,0,152,96,0,0,0,0,0,0,176,140,2,0,228,100,7,0,152,96,0,0,0,0,0,0,49,244,70,62,15,206,131,63,254,130,43,101,71,21,87,64,0,0,0,0,0,0,144,63,0,0,0,0,0,0,240,63,97,128,119,62,154,44,240,63,116,133,21,211,176,89,240,63,200,155,117,24,69,135,240,63,15,137,249,108,88,181,240,63,162,209,211,50,236,227,240,63,81,91,18,208,1,19,241,63,224,45,169,174,154,66,241,63,123,81,125,60,184,114,241,63,117,203,111,235,91,163,241,63,170,185,104,49,135,212,241,63,214,140,98,136,59,6,242,63,56,98,117,110,122,56,242,63,221,124,226,101,69,107,242,63,225,222,31,245,157,158,242,63,11,3,228,166,133,210,242,63,21,183,49,10,254,6,243,63,255,22,100,178,8,60,243,63,203,169,58,55,167,113,243,63,247,159,229,52,219,167,243,63,34,52,18,76,166,222,243,63,42,46,247,33,10,22,244,63,45,137,97,96,8,78,244,63,208,60,193,181,162,134,244,63,39,42,54,213,218,191,244,63,167,44,157,118,178,249,244,63,130,79,157,86,43,52,245,63,218,39,181,54,71,111,245,63,41,84,72,221,7,171,245,63,72,33,173,21,111,231,245,63,133,85,58,176,126,36,246,63,37,34,85,130,56,98,246,63,205,59,127,102,158,160,246,63,47,26,101,60,178,223,246,63,116,95,236,232,117,31,247,63,201,103,66,86,235,95,247,63,135,1,235,115,20,161,247,63,98,78,207,54,243,226,247,63,19,206,76,153,137,37,248,63,237,146,68,155,217,104,248,63,219,160,42,66,229,172,248,63,54,119,21,153,174,241,248,63,229,197,205,176,55,55,249,63,80,78,222,159,130,125,249,63,144,240,163,130,145,196,249,63,101,229,93,123,102,12,250,63,93,37,62,178,3,85,250,63,191,253,121,85,107,158,250,63,173,211,90,153,159,232,250,63,251,21,79,184,162,51,251,63,71,94,251,242,118,127,251,63,210,193,75,144,30,204,251,63,156,82,133,221,155,25,252,63,75,209,87,46,241,103,252,63,105,144,239,220,32,183,252,63,124,137,7,74,45,7,253,63,135,164,251,220,24,88,253,63,133,50,219,3,230,169,253,63,95,155,123,51,151,252,253,63,246,63,139,231,46,80,254,63,218,144,164,162,175,164,254,63,39,90,97,238,27,250,254,63,64,69,110,91,118,80,255,63,216,144,158,129,193,167,255,63,239,57,250,254,66,46,230,63,255,255,255,255,255,255,255,255,0,0,0,0,0,0,0,0,176,140,2,0,71,113,7,0,56,93,0,0,0,0,0,0,136,140,2,0,111,113,7,0,176,140,2,0,154,113,7,0,184,98,0,0,0,0,0,0,176,140,2,0,86,114,7,0,184,98,0,0,0,0,0,0,176,140,2,0,176,115,7,0,56,93,0,0,0,0,0,0,136,140,2,0,225,115,7,0,136,140,2,0,144,116,7,0,176,140,2,0,210,119,7,0,184,104,0,0,0,0,0,0,136,140,2,0,245,119,7,0,176,140,2,0,16,120,7,0,144,93,0,0,0,0,0,0,136,140,2,0,160,123,7,0,176,140,2,0,84,144,7,0,32,98,0,0,0,0,0,0,176,140,2,0,167,144,7,0,40,96,0,0,0,0,0,0,176,140,2,0,59,146,7,0,144,93,0,0,0,0,0,0,176,140,2,0,59,161,7,0,144,93,0,0,0,0,0,0,176,140,2,0,147,162,7,0,144,93,0,0,0,0,0,0,176,140,2,0,33,163,7,0,144,93,0,0,0,0,0,0,176,140,2,0,119,191,7,0,152,96,0,0,0,0,0,0,176,140,2,0,137,187,7,0,152,96,0,0,0,0,0,0,176,140,2,0,88,187,7,0,152,96,0,0,0,0,0,0,176,140,2,0,219,187,7,0,152,96,0,0,0,0,0,0,176,140,2,0,175,187,7,0,152,96,0,0,0,0,0,0,176,140,2,0,47,188,7,0,152,96,0,0,0,0,0,0,176,140,2,0,254,187,7,0,152,96,0,0,0,0,0,0,176,140,2,0,87,188,7,0,152,96,0,0,0,0,0,0,176,140,2,0,121,188,7,0,152,96,0,0,0,0,0,0,176,140,2,0,156,188,7,0,152,96,0,0,0,0,0,0,176,140,2,0,193,188,7,0,152,96,0,0,0,0,0,0,176,140,2,0,225,188,7,0,152,96,0,0,0,0,0,0,176,140,2,0,2,189,7,0,152,96,0,0,0,0,0,0,176,140,2,0,35,189,7,0,152,96,0,0,0,0,0,0,176,140,2,0,70,189,7,0,152,96,0,0,0,0,0,0,176,140,2,0,102,189,7,0,152,96,0,0,0,0,0,0,176,140,2,0,144,189,7,0,152,96,0,0,0,0,0,0,176,140,2,0,187,189,7,0,152,96,0,0,0,0,0,0,176,140,2,0,34,190,7,0,152,96,0,0,0,0,0,0,176,140,2,0,232,189,7,0,152,96,0,0,0,0,0,0,176,140,2,0,74,190,7,0,152,96,0,0,0,0,0,0,176,140,2,0,115,190,7,0,152,96,0,0,0,0,0,0,176,140,2,0,156,190,7,0,152,96,0,0,0,0,0,0,176,140,2,0,43,191,7,0,152,96,0,0,0,0,0,0,176,140,2,0,198,190,7,0,152,96,0,0,0,0,0,0,176,140,2,0,248,190,7,0,152,96,0,0,0,0,0,0,176,140,2,0,79,191,7,0,152,96,0,0,0,0,0,0,136,140,2,0,157,191,7,0,176,140,2,0,196,191,7,0,192,95,0,0,0,0,0,0,176,140,2,0,212,193,7,0,152,96,0,0,0,0,0,0,176,140,2,0,247,193,7,0,248,97,0,0,0,0,0,0,176,140,2,0,249,194,7,0,88,98,0,0,0,0,0,0,176,140,2,0,52,195,7,0,176,75,0,0,0,0,0,0,176,140,2,0,21,207,7,0,168,96,0,0,0,0,0,0,136,140,2,0,51,208,7,0,176,140,2,0,133,212,7,0,56,93,0,0,0,0,0,0,176,140,2,0,175,212,7,0,112,93,0,0,0,0,0,0,136,140,2,0,244,212,7,0,176,140,2,0,255,215,7,0,104,96,0,0,0,0,0,0,176,140,2,0,44,216,7,0,80,96,0,0,0,0,0,0,124,141,2,0,129,216,7,0,0,0,0,0,1,0,0,0,144,96,0,0,0,0,0,0,136,140,2,0,193,216,7,0,176,140,2,0,95,218,7,0,120,93,0,0,0,0,0,0,136,140,2,0,64,224,7,0,176,140,2,0,64,219,7,0,192,96,0,0,0,0,0,0,176,140,2,0,125,219,7,0,208,96,0,0,0,0,0,0,176,140,2,0,193,219,7,0,224,96,0,0,0,0,0,0,136,140,2,0,0,220,7,0,176,140,2,0,51,220,7,0,208,96,0,0,0,0,0,0,176,140,2,0,97,220,7,0,8,97,0,0,0,0,0,0,176,140,2,0,157,220,7,0,208,96,0,0,0,0,0,0,176,140,2,0,20,221,7,0,40,97,0,0,0,0,0,0,176,140,2,0,83,221,7,0,208,96,0,0,0,0,0,0,176,140,2,0,136,221,7,0,72,97,0,0,0,0,0,0,176,140,2,0,199,221,7,0,208,96,0,0,0,0,0,0,176,140,2,0,252,221,7,0,104,97,0,0,0,0,0,0,176,140,2,0,59,222,7,0,208,96,0,0,0,0,0,0,176,140,2,0,112,222,7,0,136,97,0,0,0,0,0,0,176,140,2,0,175,222,7,0,208,96,0,0,0,0,0,0,176,140,2,0,228,222,7,0,168,97,0,0,0,0,0,0,176,140,2,0,35,223,7,0,208,96,0,0,0,0,0,0,176,140,2,0,88,223,7,0,200,97,0,0,0,0,0,0,176,140,2,0,151,223,7,0,208,96,0,0,0,0,0,0,176,140,2,0,204,223,7,0,232,97,0,0,0,0,0,0,176,140,2,0,11,224,7,0,208,96,0,0,0,0,0,0,136,140,2,0,95,224,7,0,176,140,2,0,253,224,7,0,248,97,0,0,0,0,0,0,136,140,2,0,105,227,7,0,136,140,2,0,167,227,7,0,136,140,2,0,221,227,7,0,176,140,2,0,75,229,7,0,16,98,0,0,0,0,0,0,176,140,2,0,172,233,7,0,40,96,0,0,0,0,0,0,176,140,2,0,244,233,7,0,168,93,0,0,0,0,0,0,136,140,2,0,13,236,7,0,176,140,2,0,58,236,7,0,88,98,0,0,0,0,0,0,136,140,2,0,47,237,7,0,136,140,2,0,84,237,7,0,136,140,2,0,121,237,7,0,136,140,2,0,158,237,7,0,136,140,2,0,195,237,7,0,136,140,2,0,232,237,7,0,136,140,2,0,13,238,7,0,176,140,2,0,50,238,7,0,176,75,0,0,0,0,0,0,136,140,2,0,176,239,7,0,124,141,2,0,121,255,7,0,0,0,0,0,1,0,0,0,72,37,0,0,0,0,0,0,124,141,2,0,58,255,7,0,0,0,0,0,1,0,0,0,72,37,0,0,0,0,0,0,136,140,2,0,27,255,7,0,136,140,2,0,252,254,7,0,136,140,2,0,221,254,7,0,136,140,2,0,190,254,7,0,136,140,2,0,159,254,7,0,176,140,2,0,200,10,8,0,40,99,0,0,0,0,0,0,136,140,2,0,182,10,8,0,176,140,2,0,242,10,8,0,40,99,0,0,0,0,0,0,136,140,2,0,28,11,8,0,136,140,2,0,77,11,8,0,124,141,2,0,126,11,8,0,0,0,0,0,1,0,0,0,24,99,0,0,3,244,255,255,124,141,2,0,173,11,8,0,0,0,0,0,1,0,0,0,48,99,0,0,3,244,255,255,124,141,2,0,220,11,8,0,0,0,0,0,1,0,0,0,24,99,0,0,3,244,255,255,124,141,2,0,11,12,8,0,0,0,0,0,1,0,0,0,48,99,0,0,3,244,255,255,124,141,2,0,58,12,8,0,3,0,0,0,2,0,0,0,80,99,0,0,2,0,0,0,128,99,0,0,2,8,0,0,12,0,0,0,0,0,0,0,80,99,0,0,11,0,0,0,12,0,0,0,244,255,255,255,244,255,255,255,80,99,0,0,13,0,0,0,14,0,0,0,176,140,2,0,106,12,8,0,72,99,0,0,0,0,0,0,176,140,2,0,131,12,8,0,64,99,0,0,0,0,0,0,176,140,2,0,194,12,8,0,72,99,0,0,0,0,0,0,176,140,2,0,218,12,8,0,64,99,0,0,0,0,0,0,176,140,2,0,242,12,8,0,72,100,0,0,0,0,0,0,176,140,2,0,6,13,8,0,152,104,0,0,0,0,0,0,176,140,2,0,28,13,8,0,72,100,0,0,0,0,0,0,124,141,2,0,86,13,8,0,0,0,0,0,2,0,0,0,72,100,0,0,2,0,0,0,136,100,0,0,0,0,0,0,124,141,2,0,154,13,8,0,0,0,0,0,1,0,0,0,160,100,0,0,0,0,0,0,136,140,2,0,176,13,8,0,124,141,2,0,201,13,8,0,0,0,0,0,2,0,0,0,72,100,0,0,2,0,0,0,200,100,0,0,0,0,0,0,124,141,2,0,13,14,8,0,0,0,0,0,1,0,0,0,160,100,0,0,0,0,0,0,124,141,2,0,49,14,8,0,0,0,0,0,2,0,0,0,72,100,0,0,2,0,0,0,0,101,0,0,0,0,0,0,124,141,2,0,117,14,8,0,0,0,0,0,1,0,0,0,24,101,0,0,0,0,0,0,136,140,2,0,139,14,8,0,124,141,2,0,164,14,8,0,0,0,0,0,2,0,0,0,72,100,0,0,2,0,0,0,64,101,0,0,0,0,0,0,124,141,2,0,232,14,8,0,0,0,0,0,1,0,0,0,24,101,0,0,0,0,0,0,124,141,2,0,62,16,8,0,0,0,0,0,3,0,0,0,72,100,0,0,2,0,0,0,128,101,0,0,2,0,0,0,136,101,0,0,0,8,0,0,136,140,2,0,165,16,8,0,136,140,2,0,131,16,8,0,124,141,2,0,184,16,8,0,0,0,0,0,3,0,0,0,72,100,0,0,2,0,0,0,128,101,0,0,2,0,0,0,184,101,0,0,0,8,0,0,136,140,2,0,253,16,8,0,124,141,2,0,31,17,8,0,0,0,0,0,2,0,0,0,72,100,0,0,2,0,0,0,224,101,0,0,0,8,0,0,136,140,2,0,100,17,8,0,124,141,2,0,121,17,8,0,0,0,0,0,2,0,0,0,72,100,0,0,2,0,0,0,224,101,0,0,0,8,0,0,124,141,2,0,190,17,8,0,0,0,0,0,2,0,0,0,72,100,0,0,2,0,0,0,40,102,0,0,2,0,0,0,136,140,2,0,218,17,8,0,124,141,2,0,239,17,8,0,0,0,0,0,2,0,0,0,72,100,0,0,2,0,0,0,40,102,0,0,2,0,0,0,124,141,2,0,11,18,8,0,0,0,0,0,2,0,0,0,72,100,0,0,2,0,0,0,40,102,0,0,2,0,0,0,124,141,2,0,39,18,8,0,0,0,0,0,2,0,0,0,72,100,0,0,2,0,0,0,40,102,0,0,2,0,0,0,124,141,2,0,82,18,8,0,0,0,0,0,2,0,0,0,72,100,0,0,2,0,0,0,176,102,0,0,0,0,0,0,136,140,2,0,152,18,8,0,124,141,2,0,188,18,8,0,0,0,0,0,2,0,0,0,72,100,0,0,2,0,0,0,216,102,0,0,0,0,0,0,136,140,2,0,2,19,8,0,124,141,2,0,33,19,8,0,0,0,0,0,2,0,0,0,72,100,0,0,2,0,0,0,0,103,0,0,0,0,0,0,136,140,2,0,103,19,8,0,124,141,2,0,128,19,8,0,0,0,0,0,2,0,0,0,72,100,0,0,2,0,0,0,40,103,0,0,0,0,0,0,136,140,2,0,198,19,8,0,124,141,2,0,223,19,8,0,0,0,0,0,2,0,0,0,72,100,0,0,2,0,0,0,80,103,0,0,2,0,0,0,136,140,2,0,244,19,8,0,124,141,2,0,139,20,8,0,0,0,0,0,2,0,0,0,72,100,0,0,2,0,0,0,80,103,0,0,2,0,0,0,176,140,2,0,12,20,8,0,136,103,0,0,0,0,0,0,124,141,2,0,47,20,8,0,0,0,0,0,2,0,0,0,72,100,0,0,2,0,0,0,168,103,0,0,2,0,0,0,136,140,2,0,82,20,8,0,176,140,2,0,105,20,8,0,136,103,0,0,0,0,0,0,124,141,2,0,160,20,8,0,0,0,0,0,2,0,0,0,72,100,0,0,2,0,0,0,168,103,0,0,2,0,0,0,124,141,2,0,194,20,8,0,0,0,0,0,2,0,0,0,72,100,0,0,2,0,0,0,168,103,0,0,2,0,0,0,124,141,2,0,228,20,8,0,0,0,0,0,2,0,0,0,72,100,0,0,2,0,0,0,168,103,0,0,2,0,0,0,176,140,2,0,7,21,8,0,72,100,0,0,0,0,0,0,124,141,2,0,29,21,8,0,0,0,0,0,2,0,0,0,72,100,0,0,2,0,0,0,80,104,0,0,2,0,0,0,136,140,2,0,47,21,8,0,124,141,2,0,68,21,8,0,0,0,0,0,2,0,0,0,72,100,0,0,2,0,0,0,80,104,0,0,2,0,0,0,176,140,2,0,86,21,8,0,72,100,0,0,0,0,0,0,176,140,2,0,107,21,8,0,72,100,0,0,0,0,0,0,136,140,2,0,128,21,8,0,124,141,2,0,153,21,8,0,0,0,0,0,1,0,0,0,152,104,0,0,0,0,0,0,136,140,2,0,237,22,8,0,176,140,2,0,77,23,8,0,208,104,0,0,0,0,0,0,176,140,2,0,250,22,8,0,224,104,0,0,0,0,0,0,136,140,2,0,27,23,8,0,176,140,2,0,40,23,8,0,192,104,0,0,0,0,0,0,176,140,2,0,47,24,8,0,184,104,0,0,0,0,0,0,176,140,2,0,63,24,8,0,248,104,0,0,0,0,0,0,176,140,2,0,80,24,8,0,248,104,0,0,0,0,0,0,176,140,2,0,111,24,8,0,184,104,0,0,0,0,0,0,176,140,2,0,159,24,8,0,208,104,0,0,0,0,0,0,176,140,2,0,123,24,8,0,56,105,0,0,0,0,0,0,176,140,2,0,193,24,8,0,208,104,0,0,0,0,0,0,40,141,2,0,233,24,8,0,40,141,2,0,235,24,8,0,40,141,2,0,238,24,8,0,40,141,2,0,9,62,7,0,40,141,2,0,7,62,7,0,40,141,2,0,240,24,8,0,40,141,2,0,242,24,8,0,40,141,2,0,44,231,7,0,40,141,2,0,244,24,8,0,40,141,2,0,246,24,8,0,40,141,2,0,107,30,8,0,40,141,2,0,248,24,8,0,40,141,2,0,52,231,7,0,40,141,2,0,250,24,8,0,176,140,2,0,252,24,8,0,208,104,0,0,0,0,0,0,176,140,2,0,29,25,8,0,192,104,0,0,0,0,0,0,104,105,0,0,168,105,0,0,104,105,0,0,176,105,0,0,104,105,0,0,112,34,0,0,104,105,0,0,120,34,0,0,104,105,0,0,128,34,0,0,104,105,0,0,168,105,0,0,192,34,0,0,104,105,0,0,192,34,0,0,168,105,0,0,104,105,0,0,192,34,0,0,176,105,0,0,168,105,0,0,176,105,0,0,208,34,0,0,224,34,0,0,168,34,0,0,176,105,0,0,120,105,0,0,168,34,0,0,176,105,0,0,168,105,0,0,24,35,0,0,104,105,0,0,24,35,0,0,200,105,0,0,104,105,0,0,24,35,0,0,176,105,0,0,200,105,0,0,176,105,0,0,40,35,0,0,224,34,0,0,0,35,0,0,176,105,0,0,120,105,0,0,0,35,0,0,176,105,0,0,200,105,0,0,104,35,0,0,104,105,0,0,104,35,0,0,208,105,0,0,104,105,0,0,104,35,0,0,176,105,0,0,208,105,0,0,176,105,0,0,120,35,0,0,224,34,0,0,80,35,0,0,176,105,0,0,120,105,0,0,80,35,0,0,176,105,0,0,208,105,0,0,184,35,0,0,104,105,0,0,184,35,0,0,216,35,0,0,104,105,0,0,184,35,0,0,176,105,0,0,216,35,0,0,176,105,0,0,200,35,0,0,224,34,0,0,160,35,0,0,176,105,0,0,120,105,0,0,160,35,0,0,176,105,0,0,216,35,0,0,16,36,0,0,104,105,0,0,16,36,0,0,48,36,0,0,104,105,0,0,16,36,0,0,176,105,0,0,48,36,0,0,176,105,0,0,32,36,0,0,224,34,0,0,248,35,0,0,176,105,0,0,120,105,0,0,248,35,0,0,176,105,0,0,48,36,0,0,104,36,0,0,104,105,0,0,104,36,0,0,128,34,0,0,104,105,0,0,104,36,0,0,176,105,0,0,128,34,0,0,176,105,0,0,120,36,0,0,224,34,0,0,80,36,0,0,176,105,0,0,120,105,0,0,80,36,0,0,176,105,0,0,128,34,0,0,136,36,0,0,136,36,0,0,48,36,0,0,136,36,0,0,168,36,0,0,168,105,0,0,136,36,0,0,168,105,0,0,168,105,0,0,168,105,0,0,136,36,0,0,168,105,0,0,168,105,0,0,168,105,0,0,200,36,0,0,136,36,0,0,168,105,0,0,168,105,0,0,168,105,0,0,168,105,0,0,176,105,0,0,48,36,0,0,168,36,0,0,168,105,0,0,48,36,0,0,168,105,0,0,168,105,0,0,168,105,0,0,176,105,0,0,152,36,0,0,168,105,0,0,152,36,0,0,104,105,0,0,48,36,0,0,48,36,0,0,168,105,0,0,208,105,0,0,208,105,0,0,104,105,0,0,48,36,0,0,48,36,0,0,168,105,0,0,104,105,0,0,48,36,0,0,48,36,0,0,168,105,0,0,208,105,0,0,48,36,0,0,152,36,0,0,168,105,0,0,104,105,0,0,136,36,0,0,168,105,0,0,168,105,0,0,168,105,0,0,104,105,0,0,136,36,0,0,168,36,0,0,168,105,0,0,48,36,0,0,152,36,0,0,168,105,0,0,168,105,0,0,48,36,0,0,152,36,0,0,16,37,0,0,104,105,0,0,48,36,0,0,48,36,0,0,104,105,0,0,48,36,0,0,48,36,0,0,48,36,0,0,120,105,0,0,152,36,0,0,176,105,0,0,152,36,0,0,168,105,0,0,48,36,0,0,152,36,0,0,208,105,0,0,48,36,0,0,48,36,0,0,48,36,0,0,48,36,0,0,48,36,0,0,208,105,0,0,48,36,0,0,48,36,0,0,168,105,0,0,48,36,0,0,48,36,0,0,48,36,0,0,152,36,0,0,128,34,0,0,104,105,0,0,48,36,0,0,200,36,0,0,104,105,0,0,48,36,0,0,200,36,0,0,48,36,0,0,168,36,0,0,48,36,0,0,224,34,0,0,48,36,0,0,168,105,0,0,224,34,0,0,48,36,0,0,168,105,0,0,168,105,0,0,128,105,0,0,136,36,0,0,168,105,0,0,128,105,0,0,136,36,0,0,168,105,0,0,168,105,0,0,128,105,0,0,136,36,0,0,168,105,0,0,168,105,0,0,168,105,0,0,136,105,0,0,136,36,0,0,168,105,0,0,136,105,0,0,136,36,0,0,168,105,0,0,168,105,0,0,136,105,0,0,136,36,0,0,168,105,0,0,168,105,0,0,168,105,0,0,152,105,0,0,136,36,0,0,168,105,0,0,152,105,0,0,136,36,0,0,168,105,0,0,168,105,0,0,152,105,0,0,136,36,0,0,168,105,0,0,168,105,0,0,168,105,0,0,160,105,0,0,136,36,0,0,168,105,0,0,160,105,0,0,136,36,0,0,168,105,0,0,168,105,0,0,160,105,0,0,136,36,0,0,168,105,0,0,168,105,0,0,168,105,0,0,168,105,0,0,136,36,0,0,168,105,0,0,168,105,0,0,136,36,0,0,168,105,0,0,168,105,0,0,168,105,0,0,136,36,0,0,168,105,0,0,168,105,0,0,168,105,0,0,200,105,0,0,136,36,0,0,168,105,0,0,200,105,0,0,136,36,0,0,168,105,0,0,168,105,0,0,200,105,0,0,136,36,0,0,168,105,0,0,168,105,0,0,168,105,0,0,208,105,0,0,136,36,0,0,168,105,0,0,168,105,0,0,168,105,0,0,208,105,0,0,136,36,0,0,168,105,0,0,208,105,0,0,136,36,0,0,168,105,0,0,168,105,0,0,224,34,0,0,120,34,0,0,128,34,0,0,120,34,0,0,40,37,0,0,120,34,0,0,192,40,0,0,168,105,0,0,56,37,0,0,48,36,0,0,48,37,0,0,48,36,0,0,48,36,0,0,48,37,0,0,48,36,0,0,200,36,0,0,168,105,0,0,168,105,0,0,224,34,0,0,48,36,0,0,128,34,0,0,24,37,0,0,80,37,0,0,104,105,0,0,48,36,0,0,48,36,0,0,208,105,0,0,208,105,0,0,168,105,0,0,120,105,0,0,104,105,0,0,48,36,0,0,48,36,0,0,208,105,0,0,208,105,0,0,168,105,0,0,104,105,0,0,48,36,0,0,48,36,0,0,208,105,0,0,208,105,0,0,104,105,0,0,48,36,0,0,48,36,0,0,48,36,0,0,208,105,0,0,208,105,0,0,120,105,0,0,104,105,0,0,48,36,0,0,48,36,0,0,48,36,0,0,208,105,0,0,208,105,0,0,104,105,0,0,48,36,0,0,48,36,0,0,168,36,0,0,208,105,0,0,208,105,0,0,168,105,0,0,104,105,0,0,48,36,0,0,48,36,0,0,168,36,0,0,208,105,0,0,208,105,0,0,104,105,0,0,48,36,0,0,48,36,0,0,168,36,0,0,208,105,0,0,104,105,0,0,48,36,0,0,48,36,0,0,168,105,0,0,208,105,0,0,208,105,0,0,208,105,0,0,208,105,0,0,168,105,0,0,168,105,0,0,104,105,0,0,48,36,0,0,48,36,0,0,168,105,0,0,208,105,0,0,208,105,0,0,208,105,0,0,208,105,0,0,168,105,0,0,104,105,0,0,48,36,0,0,48,36,0,0,168,105,0,0,208,105,0,0,208,105,0,0,208,105,0,0,208,105,0,0,104,105,0,0,48,36,0,0,48,36,0,0,168,105,0,0,208,105,0,0,208,105,0,0,208,105,0,0,104,105,0,0,48,36,0,0,48,36,0,0,208,105,0,0,208,105,0,0,168,105,0,0,208,105,0,0,208,105,0,0,208,105,0,0,208,105,0,0,104,105,0,0,48,36,0,0,48,36,0,0,208,105,0,0,208,105,0,0,168,105,0,0,208,105,0,0,208,105,0,0,208,105,0,0,104,105,0,0,48,36,0,0,48,36,0,0,208,105,0,0,208,105,0,0,168,105,0,0,208,105,0,0,208,105,0,0,104,105,0,0,48,36,0,0,48,36,0,0,208,105,0,0,208,105,0,0,168,105,0,0,208,105,0,0,104,105,0,0,48,36,0,0,48,36,0,0,168,105,0,0,168,105,0,0,208,105,0,0,208,105,0,0,168,105,0,0,104,105,0,0,48,36,0,0,48,36,0,0,168,105,0,0,168,105,0,0,208,105,0,0,208,105,0,0,104,105,0,0,48,36,0,0,48,36,0,0,168,105,0,0,168,105,0,0,208,105,0,0,104,105,0,0,48,36,0,0,48,36,0,0,168,105,0,0,168,105,0,0,104,105,0,0,48,36,0,0,48,36,0,0,168,105,0,0,168,105,0,0,168,105,0,0,208,105,0,0,208,105,0,0,168,105,0,0,104,105,0,0,48,36,0,0,48,36,0,0,168,105,0,0,168,105,0,0,168,105,0,0,208,105,0,0,208,105,0,0,104,105,0,0,48,36,0,0,48,36,0,0,168,105,0,0,168,105,0,0,168,105,0,0,208,105,0,0,104,105,0,0,48,36,0,0,48,36,0,0,168,105,0,0,168,105,0,0,168,105,0,0,104,105,0,0,48,36,0,0,48,36,0,0,168,105,0,0,168,105,0,0,168,105,0,0,168,105,0,0,208,105,0,0,208,105,0,0,168,105,0,0,104,105,0,0,48,36,0,0,48,36,0,0,168,105,0,0,168,105,0,0,168,105,0,0,168,105,0,0,208,105,0,0,208,105,0,0,104,105,0,0,48,36,0,0,48,36,0,0,168,105,0,0,168,105,0,0,168,105,0,0,168,105,0,0,208,105,0,0,104,105,0,0,48,36,0,0,48,36,0,0,168,105,0,0,168,105,0,0,168,105,0,0,168,105,0,0,104,105,0,0,48,36,0,0,48,36,0,0,48,36,0,0,104,105,0,0,48,36,0,0,48,36,0,0,208,105,0,0,168,105,0,0,168,105,0,0,168,105,0,0,208,105,0,0,104,105,0,0,48,36,0,0,48,36,0,0,48,36,0,0,48,36,0,0,168,105,0,0,104,105,0,0,48,36,0,0,48,36,0,0,48,36,0,0,48,36,0,0,104,105,0,0,48,36,0,0,208,105,0,0,48,36,0,0,208,105,0,0,208,105,0,0,48,36,0,0,168,105,0,0,104,105,0,0,48,36,0,0,208,105,0,0,48,36,0,0,208,105,0,0,208,105,0,0,48,36,0,0,104,105,0,0,48,36,0,0,48,36,0,0,208,105,0,0,120,105,0,0,208,105,0,0,48,36,0,0,120,105,0,0,104,105,0,0,48,36,0,0,48,36,0,0,168,105,0,0,208,105,0,0,208,105,0,0,168,105,0,0,104,105,0,0,48,36,0,0,48,36,0,0,168,36,0,0,216,35,0,0,168,105,0,0,104,105,0,0,48,36,0,0,48,36,0,0,168,36,0,0,216,35,0,0,104,105,0,0,48,36,0,0,48,36,0,0,168,36,0,0,128,34,0,0,48,36,0,0,104,105,0,0,48,36,0,0,48,36,0,0,168,105,0,0,168,36,0,0,216,35,0,0,120,105,0,0,168,105,0,0,104,105,0,0,48,36,0,0,48,36,0,0,168,105,0,0,168,36,0,0,216,35,0,0,120,105,0,0,104,105,0,0,48,36,0,0,48,36,0,0,168,105,0,0,168,36,0,0,216,35,0,0,104,105,0,0,48,36,0,0,48,36,0,0,168,105,0,0,168,36,0,0,104,105,0,0,248,35,0,0,224,34,0,0,48,36,0,0,48,36,0,0,224,34,0,0,208,105,0,0,104,105,0,0,248,35,0,0,224,34,0,0,48,36,0,0,48,36,0,0,224,34,0,0,224,34,0,0,120,105,0,0,104,105,0,0,248,35,0,0,224,34,0,0,48,36,0,0,48,36,0,0,224,34,0,0,224,34,0,0,104,105,0,0,48,36,0,0,48,36,0,0,48,36,0,0,208,105,0,0,168,105,0,0,168,105,0,0,168,105,0,0,168,105,0,0,208,105,0,0,168,105,0,0,104,105,0,0,48,36,0,0,48,36,0,0,48,36,0,0,48,36,0,0,48,36,0,0,48,36,0,0,168,36,0,0,168,105,0,0,24,37,0,0,168,105,0,0,208,105,0,0,104,105,0,0,48,36,0,0,48,36,0,0,48,36,0,0,48,36,0,0,48,36,0,0,48,36,0,0,168,36,0,0,168,105,0,0,24,37,0,0,168,105,0,0,104,105,0,0,48,36,0,0,48,36,0,0,48,36,0,0,48,36,0,0,48,36,0,0,48,36,0,0,168,36,0,0,168,105,0,0,24,37,0,0,104,105,0,0,48,36,0,0,48,36,0,0,48,36,0,0,48,36,0,0,48,36,0,0,48,36,0,0,168,36,0,0,168,105,0,0,104,105,0,0,48,36,0,0,48,36,0,0,48,36,0,0,48,36,0,0,48,36,0,0,48,36,0,0,168,36,0,0,104,105,0,0,48,36,0,0,48,36,0,0,48,36,0,0,48,36,0,0,48,36,0,0,48,36,0,0,104,105,0,0,48,36,0,0,48,36,0,0,48,36,0,0,48,36,0,0,120,105,0,0,104,105,0,0,48,36,0,0,48,36,0,0,48,36,0,0,48,36,0,0,104,105,0,0,48,36,0,0,216,35,0,0,168,105,0,0,200,36,0,0,168,105,0,0,168,105,0,0,168,105,0,0,104,105,0,0,48,36,0,0,216,35,0,0,168,105,0,0,200,36,0,0,168,105,0,0,168,105,0,0,104,105,0,0,48,36,0,0,216,35,0,0,168,105,0,0,200,36,0,0,168,105,0,0,104,105,0,0,48,36,0,0,216,35,0,0,168,105,0,0,200,36,0,0,104,105,0,0,48,36,0,0,48,36,0,0,48,36,0,0,168,105,0,0,208,105,0,0,48,36,0,0,48,36,0,0,168,105,0,0,168,105,0,0,48,36,0,0,48,36,0,0,168,105,0,0,168,105,0,0,168,105,0,0,48,36,0,0,48,36,0,0,168,105,0,0,168,105,0,0,48,36,0,0,48,36,0,0,168,105,0,0,48,36,0,0,48,36,0,0,48,36,0,0,48,36,0,0,168,105,0,0,168,105,0,0,168,105,0,0,48,36,0,0,48,36,0,0,48,36,0,0,48,36,0,0,168,105,0,0,168,105,0,0,48,36,0,0,48,36,0,0,48,36,0,0,48,36,0,0,208,105,0,0,48,36,0,0,104,105,0,0,48,36,0,0,48,36,0,0,208,105,0,0,104,105,0,0,48,36,0,0,48,36,0,0,120,105,0,0,120,105,0,0,104,105,0,0,48,36,0,0,48,36,0,0,120,105,0,0,104,105,0,0,48,36,0,0,48,36,0,0,168,105,0,0,168,105,0,0,168,105,0,0,168,105,0,0,168,105,0,0,200,36,0,0,104,105,0,0,48,36,0,0,48,36,0,0,168,105,0,0,168,105,0,0,168,105,0,0,168,105,0,0,168,105,0,0,104,105,0,0,48,36,0,0,48,36,0,0,168,105,0,0,168,105,0,0,208,105,0,0,168,105,0,0,168,105,0,0,48,36,0,0,104,105,0,0,48,36,0,0,48,36,0,0,48,36,0,0,216,35,0,0,168,105,0,0,168,105,0,0,200,36,0,0,104,105,0,0,48,36,0,0,48,36,0,0,48,36,0,0,216,35,0,0,168,105,0,0,168,105,0,0,104,105,0,0,48,36,0,0,48,36,0,0,48,36,0,0,216,35,0,0,168,105,0,0,104,105,0,0,48,36,0,0,48,36,0,0,48,36,0,0,216,35,0,0,104,105,0,0,48,36,0,0,48,36,0,0,48,36,0,0,168,105,0,0,168,105,0,0,168,105,0,0,104,105,0,0,48,36,0,0,48,36,0,0,48,36,0,0,168,105,0,0,168,105,0,0,104,105,0,0,48,36,0,0,48,36,0,0,48,36,0,0,208,105,0,0,168,105,0,0,104,105,0,0,48,36,0,0,48,36,0,0,48,36,0,0,208,105,0,0,104,105,0,0,208,105,0,0,48,36,0,0,48,36,0,0,168,105,0,0,104,105,0,0,208,105,0,0,48,36],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+20480);allocate([48,36,0,0,104,105,0,0,48,36,0,0,248,35,0,0,168,105,0,0,200,36,0,0,168,105,0,0,168,105,0,0,48,36,0,0,168,105,0,0,216,35,0,0,104,105,0,0,48,36,0,0,248,35,0,0,168,105,0,0,200,36,0,0,168,105,0,0,168,105,0,0,48,36,0,0,168,105,0,0,104,105,0,0,48,36,0,0,248,35,0,0,168,105,0,0,200,36,0,0,168,105,0,0,168,105,0,0,48,36,0,0,104,105,0,0,48,36,0,0,248,35,0,0,168,105,0,0,200,36,0,0,168,105,0,0,168,105,0,0,104,105,0,0,48,36,0,0,248,35,0,0,168,105,0,0,200,36,0,0,168,105,0,0,104,105,0,0,48,36,0,0,248,35,0,0,168,105,0,0,200,36,0,0,120,105,0,0,48,36,0,0,48,36,0,0,48,36,0,0,120,105,0,0,48,36,0,0,48,36,0,0,104,105,0,0,48,36,0,0,216,35,0,0,168,36,0,0,208,105,0,0,208,105,0,0,208,105,0,0,200,36,0,0,168,105,0,0,168,105,0,0,168,105,0,0,104,105,0,0,48,36,0,0,216,35,0,0,168,36,0,0,208,105,0,0,208,105,0,0,208,105,0,0,200,36,0,0,168,105,0,0,168,105,0,0,104,105,0,0,48,36,0,0,216,35,0,0,168,36,0,0,208,105,0,0,208,105,0,0,208,105,0,0,200,36,0,0,168,105,0,0,104,105,0,0,48,36,0,0,216,35,0,0,168,36,0,0,208,105,0,0,208,105,0,0,208,105,0,0,200,36,0,0,104,105,0,0,48,36,0,0,120,34,0,0,200,36,0,0,168,105,0,0,168,105,0,0,104,105,0,0,48,36,0,0,120,34,0,0,200,36,0,0,168,105,0,0,104,105,0,0,48,36,0,0,120,34,0,0,200,36,0,0,104,105,0,0,216,35,0,0,168,36,0,0,168,105,0,0,168,105,0,0,168,105,0,0,168,105,0,0,160,35,0,0,104,105,0,0,48,36,0,0,48,36,0,0,168,105,0,0,48,36,0,0,216,35,0,0,208,105,0,0,168,105,0,0,104,105,0,0,48,36,0,0,48,36,0,0,168,105,0,0,48,36,0,0,216,35,0,0,208,105,0,0,104,105,0,0,48,36,0,0,48,36,0,0,168,105,0,0,48,36,0,0,216,35,0,0,104,105,0,0,48,36,0,0,48,36,0,0,168,105,0,0,48,36,0,0,104,105,0,0,48,36,0,0,248,35,0,0,48,36,0,0,168,105,0,0,168,105,0,0,216,35,0,0,104,105,0,0,48,36,0,0,248,35,0,0,48,36,0,0,168,105,0,0,168,105,0,0,208,105,0,0,48,36,0,0,48,36,0,0,48,36,0,0,168,105,0,0,24,37,0,0,48,36,0,0,208,105,0,0,48,36,0,0,48,36,0,0,48,36,0,0,168,105,0,0,24,37,0,0,208,105,0,0,48,36,0,0,48,36,0,0,48,36,0,0,168,105,0,0,208,105,0,0,48,36,0,0,48,36,0,0,48,36,0,0,120,34,0,0,48,36,0,0,104,105,0,0,48,36,0,0,48,36,0,0,208,105,0,0,48,36,0,0,208,105,0,0,48,36,0,0,168,105,0,0,104,105,0,0,48,36,0,0,48,36,0,0,208,105,0,0,48,36,0,0,208,105,0,0,48,36,0,0,48,36,0,0,48,36,0,0,48,36,0,0,48,36,0,0,48,36,0,0,48,36,0,0,168,105,0,0,48,36,0,0,112,34,0,0,208,105,0,0,208,105,0,0,48,36,0,0,168,105,0,0,168,36,0,0,216,35,0,0,48,36,0,0,168,105,0,0,168,36,0,0,104,105,0,0,48,36,0,0,48,36,0,0,168,105,0,0,208,105,0,0,208,105,0,0,48,36,0,0,168,105,0,0,120,105,0,0,208,105,0,0,104,105,0,0,48,36,0,0,48,36,0,0,168,105,0,0,208,105,0,0,208,105,0,0,48,36,0,0,168,105,0,0,120,105,0,0,104,105,0,0,48,36,0,0,48,36,0,0,168,105,0,0,208,105,0,0,208,105,0,0,48,36,0,0,168,105,0,0,104,105,0,0,48,36,0,0,48,36,0,0,168,105,0,0,208,105,0,0,208,105,0,0,48,36,0,0,104,105,0,0,48,36,0,0,48,36,0,0,168,105,0,0,208,105,0,0,208,105,0,0,48,36,0,0,168,105,0,0,168,105,0,0,120,105,0,0,208,105,0,0,104,105,0,0,48,36,0,0,48,36,0,0,168,105,0,0,208,105,0,0,208,105,0,0,48,36,0,0,168,105,0,0,168,105,0,0,120,105,0,0,104,105,0,0,48,36,0,0,48,36,0,0,168,105,0,0,208,105,0,0,208,105,0,0,48,36,0,0,168,105,0,0,168,105,0,0,104,105,0,0,48,36,0,0,48,36,0,0,128,34,0,0,48,36,0,0,48,36,0,0,168,105,0,0,168,105,0,0,104,105,0,0,48,36,0,0,48,36,0,0,128,34,0,0,48,36,0,0,48,36,0,0,168,105,0,0,104,105,0,0,80,36,0,0,168,34,0,0,168,105,0,0,208,105,0,0,104,105,0,0,80,36,0,0,168,34,0,0,168,105,0,0,104,105,0,0,248,35,0,0,48,36,0,0,104,105,0,0,48,36,0,0,48,36,0,0,48,36,0,0,48,36,0,0,104,105,0,0,48,36,0,0,48,36,0,0,48,36,0,0,48,36,0,0,168,36,0,0,168,105,0,0,48,36,0,0,48,36,0,0,104,105,0,0,48,36,0,0,48,36,0,0,48,36,0,0,168,105,0,0,104,105,0,0,48,36,0,0,48,36,0,0,48,36,0,0,208,105,0,0,48,36,0,0,48,36,0,0,168,105,0,0,208,105,0,0,48,36,0,0,48,36,0,0,120,105,0,0,48,36,0,0,208,105,0,0,48,36,0,0,168,105,0,0,48,36,0,0,24,37,0,0,168,105,0,0,168,105,0,0,48,36,0,0,208,105,0,0,48,36,0,0,168,105,0,0,48,36,0,0,24,37,0,0,168,105,0,0,168,105,0,0,104,105,0,0,48,36,0,0,216,35,0,0,216,35,0,0,200,36,0,0,168,105,0,0,168,105,0,0,168,105,0,0,104,105,0,0,48,36,0,0,216,35,0,0,216,35,0,0,200,36,0,0,168,105,0,0,168,105,0,0,104,105,0,0,48,36,0,0,216,35,0,0,216,35,0,0,200,36,0,0,168,105,0,0,104,105,0,0,48,36,0,0,216,35,0,0,216,35,0,0,200,36,0,0,208,105,0,0,48,36,0,0,48,36,0,0,168,105,0,0,208,105,0,0,104,105,0,0,48,36,0,0,48,36,0,0,48,36,0,0,168,105,0,0,48,36,0,0,200,36,0,0,48,36,0,0,48,36,0,0,200,36,0,0,48,36,0,0,104,105,0,0,48,36,0,0,48,36,0,0,48,36,0,0,48,36,0,0,104,105,0,0,248,35,0,0,248,35,0,0,224,34,0,0,64,37,0,0,48,36,0,0,120,105,0,0,64,37,0,0,48,36,0,0,104,105,0,0,48,36,0,0,48,36,0,0,168,105,0,0,48,36,0,0,216,35,0,0,168,105,0,0,168,105,0,0,200,36,0,0,104,105,0,0,48,36,0,0,48,36,0,0,168,105,0,0,48,36,0,0,216,35,0,0,168,105,0,0,168,105,0,0,104,105,0,0,48,36,0,0,48,36,0,0,168,105,0,0,48,36,0,0,216,35,0,0,168,105,0,0,208,105,0,0,48,36,0,0,168,105,0,0,48,36,0,0,208,105,0,0,48,36,0,0,168,105,0,0,208,105,0,0,48,36,0,0,48,36,0,0,168,105,0,0,48,36,0,0,104,105,0,0,48,36,0,0,48,36,0,0,208,105,0,0,208,105,0,0,168,105,0,0,168,105,0,0,48,36,0,0,104,105,0,0,48,36,0,0,48,36,0,0,208,105,0,0,208,105,0,0,168,105,0,0,168,105,0,0,208,105,0,0,48,36,0,0,112,34,0,0,120,105,0,0,104,105,0,0,48,36,0,0,208,105,0,0,48,36,0,0,104,105,0,0,48,36,0,0,80,37,0,0,216,35,0,0,168,105,0,0,208,105,0,0,200,36,0,0,168,105,0,0,168,105,0,0,120,105,0,0,104,105,0,0,48,36,0,0,80,37,0,0,216,35,0,0,168,105,0,0,208,105,0,0,200,36,0,0,168,105,0,0,168,105,0,0,104,105,0,0,48,36,0,0,80,37,0,0,216,35,0,0,168,105,0,0,208,105,0,0,200,36,0,0,168,105,0,0,104,105,0,0,48,36,0,0,80,37,0,0,216,35,0,0,168,105,0,0,208,105,0,0,200,36,0,0,104,105,0,0,48,36,0,0,48,36,0,0,168,36,0,0,168,105,0,0,104,105,0,0,48,36,0,0,48,36,0,0,168,36,0,0,104,105,0,0,48,36,0,0,48,36,0,0,48,36,0,0,104,105,0,0,48,36,0,0,128,34,0,0,200,36,0,0,168,105,0,0,168,105,0,0,168,105,0,0,104,105,0,0,48,36,0,0,128,34,0,0,200,36,0,0,168,105,0,0,168,105,0,0,104,105,0,0,48,36,0,0,128,34,0,0,200,36,0,0,168,105,0,0,104,105,0,0,48,36,0,0,128,34,0,0,200,36,0,0,104,105,0,0,48,36,0,0,48,36,0,0,48,36,0,0,48,36,0,0,168,105,0,0,168,105,0,0,200,36,0,0,104,105,0,0,48,36,0,0,48,36,0,0,48,36,0,0,48,36,0,0,168,105,0,0,168,105,0,0,104,105,0,0,48,36,0,0,48,36,0,0,48,36,0,0,48,36,0,0,168,105,0,0,104,105,0,0,48,36,0,0,168,105,0,0,168,105,0,0,48,36,0,0,104,105,0,0,48,36,0,0,48,36,0,0,168,105,0,0,48,36,0,0,48,36,0,0,216,35,0,0,208,105,0,0,168,105,0,0,104,105,0,0,48,36,0,0,48,36,0,0,168,105,0,0,48,36,0,0,48,36,0,0,216,35,0,0,208,105,0,0,104,105,0,0,48,36,0,0,48,36,0,0,168,105,0,0,48,36,0,0,48,36,0,0,216,35,0,0,104,105,0,0,48,36,0,0,48,36,0,0,168,105,0,0,48,36,0,0,48,36,0,0,104,105,0,0,48,36,0,0,104,105,0,0,168,105,0,0,120,105,0,0,48,36,0,0,48,36,0,0,48,36,0,0,168,105,0,0,120,105,0,0,48,36,0,0,48,36,0,0,48,36,0,0,104,105,0,0,48,36,0,0,248,35,0,0,208,105,0,0,48,36,0,0,48,36,0,0,208,105,0,0,208,105,0,0,168,105,0,0,104,105,0,0,48,36,0,0,48,36,0,0,48,36,0,0,48,36,0,0,48,36,0,0,104,105,0,0,48,36,0,0,48,36,0,0,48,36,0,0,48,36,0,0,104,105,0,0,48,36,0,0,48,36,0,0,48,36,0,0,168,36,0,0,168,105,0,0,168,105,0,0,200,36,0,0,104,105,0,0,48,36,0,0,48,36,0,0,48,36,0,0,168,36,0,0,168,105,0,0,168,105,0,0,104,105,0,0,48,36,0,0,48,36,0,0,48,36,0,0,168,36,0,0,168,105,0,0,104,105,0,0,48,36,0,0,48,36,0,0,48,36,0,0,168,36,0,0,48,36,0,0,48,36,0,0,208,105,0,0,168,36,0,0,200,36,0,0,120,105,0,0,120,105,0,0,168,105,0,0,48,36,0,0,48,36,0,0,208,105,0,0,168,36,0,0,200,36,0,0,120,105,0,0,120,105,0,0,48,36,0,0,48,36,0,0,208,105,0,0,168,36,0,0,200,36,0,0,120,105,0,0,48,36,0,0,48,36,0,0,208,105,0,0,168,36,0,0,200,36,0,0,48,36,0,0,48,36,0,0,208,105,0,0,168,36,0,0,48,36,0,0,48,36,0,0,208,105,0,0,104,37,0,0,80,37,0,0,80,37,0,0,104,37,0,0,80,37,0,0,104,37,0,0,224,34,0,0,224,34,0,0,104,37,0,0,224,34,0,0,104,37,0,0,80,37,0,0,120,105,0,0,120,105,0,0,232,70,0,0,80,37,0,0,80,37,0,0,120,105,0,0,232,70,0,0,80,37,0,0,112,37,0,0,112,37,0,0,168,36,0,0,168,36,0,0,168,36,0,0,168,36,0,0,168,105,0,0,168,105,0,0,208,105,0,0,144,37,0,0,208,105,0,0,120,105,0,0,168,105,0,0,120,105,0,0,112,37,0,0,80,37,0,0,0,35,0,0,104,105,0,0,232,70,0,0,48,36,0,0,104,105,0,0,232,70,0,0,48,36,0,0,80,36,0,0,80,35,0,0,208,105,0,0,168,36,0,0,168,36,0,0,208,105,0,0,208,105,0,0,120,105,0,0,104,105,0,0,232,70,0,0,48,36,0,0,80,36,0,0,80,35,0,0,208,105,0,0,168,36,0,0,168,36,0,0,208,105,0,0,208,105,0,0,104,105,0,0,232,70,0,0,48,36,0,0,80,36,0,0,80,35,0,0,208,105,0,0,168,36,0,0,168,36,0,0,208,105,0,0,104,105,0,0,232,70,0,0,48,36,0,0,80,36,0,0,80,35,0,0,208,105,0,0,168,36,0,0,168,36,0,0,104,105,0,0,232,70,0,0,48,36,0,0,80,36,0,0,80,35,0,0,208,105,0,0,168,36,0,0,104,105,0,0,232,70,0,0,48,36,0,0,80,36,0,0,80,35,0,0,208,105,0,0,104,105,0,0,232,70,0,0,48,36,0,0,80,36,0,0,80,35,0,0,104,105,0,0,152,37,0,0,48,36,0,0,48,36,0,0,208,105,0,0,104,105,0,0,152,37,0,0,48,36,0,0,48,36,0,0,104,105,0,0,152,37,0,0,48,36,0,0,0,38,0,0,168,105,0,0,208,105,0,0,120,105,0,0,0,38,0,0,168,105,0,0,208,105,0,0,0,38,0,0,168,105,0,0,0,38,0,0,104,105,0,0,200,37,0,0,48,36,0,0,48,36,0,0,208,105,0,0,104,105,0,0,200,37,0,0,48,36,0,0,48,36,0,0,104,105,0,0,16,38,0,0,168,36,0,0,72,38,0,0,208,105,0,0,168,36,0,0,72,38,0,0,208,105,0,0,72,38,0,0,104,105,0,0,32,38,0,0,104,105,0,0,16,38,0,0,208,105,0,0,168,36,0,0,48,38,0,0,208,105,0,0,48,38,0,0,104,105,0,0,16,38,0,0,48,36,0,0,48,36,0,0,104,105,0,0,104,37,0,0,48,36,0,0,80,37,0,0,208,105,0,0,200,36,0,0,104,105,0,0,104,37,0,0,48,36,0,0,80,37,0,0,208,105,0,0,104,105,0,0,104,37,0,0,48,36,0,0,80,37,0,0,104,105,0,0,104,37,0,0,48,36,0,0,48,36,0,0,104,37,0,0,80,37,0,0,48,36,0,0,104,37,0,0,104,105,0,0,104,37,0,0,248,35,0,0,80,37,0,0,104,105,0,0,104,37,0,0,248,35,0,0,104,105,0,0,104,37,0,0,248,35,0,0,224,34,0,0,120,105,0,0,152,38,0,0,80,37,0,0,104,105,0,0,152,38,0,0,48,36,0,0,80,36,0,0,168,34,0,0,208,105,0,0,168,105,0,0,168,105,0,0,168,36,0,0,168,36,0,0,104,105,0,0,152,38,0,0,48,36,0,0,80,36,0,0,168,34,0,0,208,105,0,0,168,105,0,0,168,105,0,0,168,36,0,0,104,105,0,0,152,38,0,0,48,36,0,0,80,36,0,0,168,34,0,0,208,105,0,0,168,105,0,0,168,105,0,0,104,105,0,0,152,38,0,0,48,36,0,0,80,36,0,0,168,34,0,0,208,105,0,0,168,105,0,0,104,105,0,0,152,38,0,0,48,36,0,0,80,36,0,0,168,34,0,0,208,105,0,0,104,105,0,0,152,38,0,0,48,36,0,0,80,36,0,0,168,34,0,0,160,38,0,0,160,38,0,0,80,37,0,0,104,105,0,0,152,38,0,0,48,36,0,0,80,36,0,0,168,34,0,0,80,35,0,0,208,105,0,0,168,105,0,0,168,105,0,0,168,36,0,0,168,36,0,0,120,105,0,0,104,105,0,0,152,38,0,0,48,36,0,0,80,36,0,0,168,34,0,0,80,35,0,0,208,105,0,0,168,105,0,0,168,105,0,0,168,36,0,0,168,36,0,0,104,105,0,0,152,38,0,0,48,36,0,0,80,36,0,0,168,34,0,0,80,35,0,0,208,105,0,0,168,105,0,0,168,105,0,0,168,36,0,0,104,105,0,0,152,38,0,0,48,36,0,0,80,36,0,0,168,34,0,0,80,35,0,0,208,105,0,0,168,105,0,0,168,105,0,0,104,105,0,0,152,38,0,0,48,36,0,0,80,36,0,0,168,34,0,0,80,35,0,0,208,105,0,0,168,105,0,0,104,105,0,0,152,38,0,0,48,36,0,0,80,36,0,0,168,34,0,0,80,35,0,0,208,105,0,0,104,105,0,0,152,38,0,0,48,36,0,0,80,36,0,0,168,34,0,0,80,35,0,0,120,105,0,0,176,38,0,0,104,105,0,0,152,38,0,0,48,36,0,0,80,36,0,0,208,105,0,0,168,105,0,0,168,105,0,0,168,36,0,0,168,36,0,0,104,105,0,0,152,38,0,0,48,36,0,0,80,36,0,0,208,105,0,0,168,105,0,0,168,105,0,0,168,36,0,0,104,105,0,0,152,38,0,0,48,36,0,0,80,36,0,0,208,105,0,0,168,105,0,0,168,105,0,0,104,105,0,0,152,38,0,0,48,36,0,0,80,36,0,0,208,105,0,0,168,105,0,0,104,105,0,0,152,38,0,0,48,36,0,0,80,36,0,0,208,105,0,0,104,105,0,0,152,38,0,0,48,36,0,0,80,36,0,0,24,82,8,0,56,223,2,0,246,222,2,0,109,0,0,0,1,0,0,0,28,82,8,0,244,223,2,0,246,222,2,0,19,3,0,0,1,0,0,0,1,0,0,0,2,0,0,0,3,0,0,0,4,0,0,0,5,0,0,0,6,0,0,0,7,0,0,0,0,0,0,0,1,0,0,0,2,0,0,0,3,0,0,0,4,0,0,0,5,0,0,0,32,82,8,0,109,225,2,0,135,225,2,0,105,0,0,0,1,0,0,0,36,82,8,0,40,226,2,0,135,225,2,0,148,0,0,0,1,0,0,0,40,82,8,0,185,226,2,0,135,225,2,0,14,1,0,0,1,0,0,0,44,82,8,0,134,227,2,0,135,225,2,0,51,2,0,0,1,0,0,0,48,82,8,0,215,227,2,0,135,225,2,0,154,2,0,0,1,0,0,0,52,82,8,0,1,228,2,0,135,225,2,0,187,2,0,0,1,0,0,0,56,82,8,0,39,228,2,0,135,225,2,0,181,4,0,0,1,0,0,0,1,0,0,0,2,0,0,0,3,0,0,0,4,0,0,0,5,0,0,0,6,0,0,0,7,0,0,0,0,0,0,0,60,82,8,0,85,228,2,0,135,225,2,0,76,5,0,0,1,0,0,0,64,82,8,0,196,228,2,0,135,225,2,0,163,5,0,0,1,0,0,0,68,82,8,0,34,229,2,0,135,225,2,0,46,6,0,0,1,0,0,0,72,82,8,0,0,230,2,0,135,225,2,0,203,6,0,0,1,0,0,0,76,82,8,0,148,230,2,0,135,225,2,0,94,7,0,0,1,0,0,0,80,82,8,0,95,231,2,0,199,230,2,0,252,2,0,0,1,0,0,0,92,82,8,0,156,233,2,0,199,230,2,0,74,3,0,0,1,0,0,0,88,82,8,0,71,233,2,0,199,230,2,0,17,6,0,0,1,0,0,0,84,82,8,0,253,231,2,0,199,230,2,0,121,5,0,0,1,0,0,0,96,82,8,0,160,234,2,0,199,230,2,0,78,4,0,0,1,0,0,0,160,234,2,0,199,230,2,0,90,4,0,0,0,0,0,0,217,234,2,0,254,234,2,0,5,235,2,0,0,0,0,0,192,40,0,0,1,0,0,0,2,0,0,0,1,0,0,0,0,0,0,0,208,40,0,0,3,0,0,0,4,0,0,0,1,0,0,0,1,0,0,0,64,0,0,0,0,0,0,0,80,41,0,0,5,0,0,0,6,0,0,0,56,0,0,0,248,255,255,255,80,41,0,0,7,0,0,0,8,0,0,0,192,255,255,255,192,255,255,255,80,41,0,0,9,0,0,0,10,0,0,0,0,0,0,0,64,41,0,0,15,0,0,0,16,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,8,0,0,0,2,0,0,0,3,0,0,0,2,0,0,0,4,0,0,0,5,0,0,0,1,0,0,0,3,0,0,0,2,0,0,0,20,138,0,0,12,41,0,0,228,40,0,0,248,40,0,0,244,41,0,0,8,42,0,0,52,41,0,0,32,41,0,0,60,138,0,0,40,138,0,0,133,203,17,0,0,0,0,0,96,41,0,0,23,0,0,0,24,0,0,0,6,0,0,0,2,0,0,0,0,0,0,0,120,41,0,0,25,0,0,0,26,0,0,0,7,0,0,0,3,0,0,0,144,90,8,0,62,7,3,0,174,6,3,0,28,1,0,0,1,0,0,0,9,0,0,0,9,0,0,0,10,0,0,0,10,0,0,0,11,0,0,0,11,0,0,0,12,0,0,0,10,0,0,0,148,90,8,0,115,7,3,0,174,6,3,0,176,1,0,0,1,0,0,0,152,90,8,0,193,11,3,0,90,11,3,0,116,2,0,0,1,0,0,0,1,0,0,0,2,0,0,0,3,0,0,0,4,0,0,0,5,0,0,0,6,0,0,0,7,0,0,0,0,0,0,0,8,0,0,0,9,0,0,0,10,0,0,0,11,0,0,0,12,0,0,0,13,0,0,0,14,0,0,0,0,0,0,0,15,0,0,0,16,0,0,0,17,0,0,0,18,0,0,0,19,0,0,0,20,0,0,0,21,0,0,0,0,0,0,0,156,90,8,0,214,12,3,0,90,11,3,0,82,4,0,0,1,0,0,0,8,0,0,0,9,0,0,0,10,0,0,0,11,0,0,0,12,0,0,0,13,0,0,0,14,0,0,0,0,0,0,0,15,0,0,0,16,0,0,0,17,0,0,0,18,0,0,0,19,0,0,0,20,0,0,0,21,0,0,0,0,0,0,0,22,0,0,0,23,0,0,0,24,0,0,0,25,0,0,0,26,0,0,0,27,0,0,0,28,0,0,0,0,0,0,0,160,90,8,0,104,13,3,0,28,13,3,0,39,1,0,0,1,0,0,0,3,0,0,0,3,0,0,0,4,0,0,0,4,0,0,0,5,0,0,0,6,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,144,41,0,0,27,0,0,0,28,0,0,0,29,0,0,0,4,0,0,0,5,0,0,0,8,0,0,0,6,0,0,0,7,0,0,0,164,90,8,0,147,13,3,0,200,13,3,0,82,0,0,0,1,0,0,0,168,90,8,0,15,14,3,0,200,13,3,0,73,0,0,0,1,0,0,0,172,90,8,0,70,14,3,0,200,13,3,0,55,0,0,0,1,0,0,0,176,90,8,0,122,14,3,0,200,13,3,0,50,0,0,0,1,0,0,0,180,90,8,0,156,14,3,0,200,13,3,0,88,0,0,0,1,0,0,0,184,90,8,0,213,14,3,0,20,15,3,0,75,0,0,0,1,0,0,0,188,90,8,0,95,15,3,0,20,15,3,0,86,0,0,0,1,0,0,0,192,90,8,0,160,15,3,0,20,15,3,0,175,0,0,0,1,0,0,0,196,90,8,0,230,15,3,0,20,15,3,0,184,0,0,0,1,0,0,0,200,90,8,0,46,16,3,0,20,15,3,0,40,1,0,0,1,0,0,0,204,90,8,0,123,16,3,0,20,15,3,0,50,1,0,0,1,0,0,0,208,90,8,0,130,17,3,0,62,17,3,0,237,2,0,0,1,0,0,0,1,0,0,0,2,0,0,0,3,0,0,0,4,0,0,0,5,0,0,0,6,0,0,0,7,0,0,0,0,0,0,0,212,90,8,0,234,17,3,0,62,17,3,0,53,3,0,0,1,0,0,0,216,90,8,0,59,18,3,0,149,18,3,0,152,0,0,0,1,0,0,0,220,90,8,0,230,18,3,0,149,18,3,0,158,0,0,0,1,0,0,0,224,90,8,0,67,19,3,0,149,18,3,0,185,0,0,0,1,0,0,0,228,90,8,0,152,19,3,0,149,18,3,0,218,0,0,0,1,0,0,0,232,90,8,0,240,19,3,0,149,18,3,0,252,0,0,0,1,0,0,0,236,90,8,0,52,20,3,0,149,18,3,0,25,1,0,0,1,0,0,0,240,90,8,0,122,20,3,0,149,18,3,0,52,1,0,0,1,0,0,0,244,90,8,0,187,20,3,0,149,18,3,0,81,1,0,0,1,0,0,0,248,90,8,0,254,20,3,0,149,18,3,0,171,1,0,0,1,0,0,0,252,90,8,0,62,21,3,0,149,18,3,0,28,2,0,0,1,0,0,0,0,91,8,0,128,21,3,0,149,18,3,0,162,2,0,0,1,0,0,0,4,91,8,0,192,21,3,0,149,18,3,0,233,2,0,0,1,0,0,0,8,91,8,0,2,22,3,0,78,22,3,0,16,0,0,0,1,0,0,0,12,91,8,0,163,22,3,0,78,22,3,0,26,0,0,0,1,0,0,0,16,91,8,0,242,22,3,0,78,22,3,0,44,0,0,0,1,0,0,0,20,91,8,0,57,23,3,0,78,22,3,0,56,0,0,0,1,0,0,0,24,91,8,0,131,23,3,0,78,22,3,0,69,0,0,0,1,0,0,0,28,91,8,0,185,23,3,0,78,22,3,0,81,0,0,0,1,0,0,0,32,91,8,0,241,23,3,0,78,22,3,0,93,0,0,0,1,0,0,0,36,91,8,0,36,24,3,0,78,22,3,0,104,0,0,0,1,0,0,0,40,91,8,0,89,24,3,0,78,22,3,0,114,0,0,0,1,0,0,0,44,91,8,0,139,24,3,0,78,22,3,0,125,0,0,0,1,0,0,0,48,91,8,0,191,24,3,0,78,22,3,0,136,0,0,0,1,0,0,0,52,91,8,0,241,24,3,0,78,22,3,0,147,0,0,0,1,0,0,0,76,91,8,0,113,28,3,0,122,25,3,0,231,0,0,0,1,0,0,0,72,91,8,0,37,28,3,0,122,25,3,0,98,0,0,0,1,0,0,0,0,0,0,0,184,41,0,0,30,0,0,0,31,0,0,0,8,0,0,0,0,0,0,0,168,41,0,0,30,0,0,0,32,0,0,0,9,0,0,0,0,0,0,0,152,41,0,0,30,0,0,0,33,0,0,0,10,0,0,0,60,91,8,0,154,26,3,0,122,25,3,0,177,0,0,0,1,0,0,0,64,91,8,0,41,27,3,0,122,25,3,0,177,0,0,0,1,0,0,0,68,91,8,0,182,27,3,0,122,25,3,0,71,0,0,0,1,0,0,0,0,0,0,0,200,41,0,0,34,0,0,0,35,0,0,0,9,0,0,0,11,0,0,0,188,94,8,0,131,30,3,0,231,28,3,0,107,3,0,0,1,0,0,0,184,94,8,0,66,30,3,0,231,28,3,0,210,3,0,0,1,0,0,0,192,94,8,0,172,30,3,0,231,28,3,0,19,4,0,0,1,0,0,0,196,94,8,0,222,30,3,0,249,30,3,0,74,3,0,0,1,0,0,0,56,0,0,0,0,0,0,0,16,42,0,0,40,0,0,0,41,0,0,0,200,255,255,255,200,255,255,255,16,42,0,0,42,0,0,0,43,0,0,0,132,144,0,0,244,41,0,0,8,42,0,0,152,144,0,0,0,0,0,0,8,0,0,0,9,0,0,0,10,0,0,0,11,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,0,0,0,200,94,8,0,41,32,3,0,187,31,3,0,239,0,0,0,1,0,0,0,208,94,8,0,217,32,3,0,187,31,3,0,108,1,0,0,1,0,0,0,204,94,8,0,173,32,3,0,187,31,3,0,164,1,0,0,1,0,0,0,212,94,8,0,162,33,3,0,187,31,3,0,10,2,0,0,1,0,0,0,216,94,8,0,215,33,3,0,187,31,3,0,234,2,0,0,1,0,0,0,220,94,8,0,58,34,3,0,187,31,3,0,98,3,0,0,1,0,0,0,224,94,8,0,38,35,3,0,187,31,3,0,161,4,0,0,1,0,0,0,2,0,0,0,3,0,0,0,4,0,0,0,5,0,0,0,6,0,0,0,7,0,0,0,8,0,0,0,9,0,0,0,10,0,0,0,11,0,0,0,12,0,0,0,13,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,2,0,0,0,3,0,0,0,4,0,0,0,5,0,0,0,6,0,0,0,7,0,0,0,0,0,0,0,228,100,8,0,178,38,3,0,63,36,3,0,155,2,0,0,1,0,0,0,232,100,8,0,235,38,3,0,63,36,3,0,162,2,0,0,1,0,0,0,0,0,0,3,0,0,0,0,0,0,0,0,0,0,0,0,18,0,0,0,19,0,0,0,20,0,0,0,21,0,0,0,22,0,0,0,23,0,0,0,24,0,0,0,25,0,0,0,26,0,0,0,27,0,0,0,28,0,0,0,29,0,0,0,30,0,0,0,31,0,0,0,32,0,0,0,33,0,0,0,34,0,0,0,35,0,0,0,36,0,0,0,37,0,0,0,38,0,0,0,39,0,0,0,40,0,0,0,41,0,0,0,42,0,0,0,43,0,0,0,44,0,0,0,45,0,0,0,46,0,0,0,47,0,0,0,48,0,0,0,49,0,0,0,50,0,0,0,51,0,0,0,52,0,0,0,53,0,0,0,54,0,0,0,55,0,0,0,56,0,0,0,57,0,0,0,58,0,0,0,59,0,0,0,60,0,0,0,61,0,0,0,62,0,0,0,63,0,0,0,64,0,0,0,65,0,0,0,66,0,0,0,67,0,0,0,68,0,0,0,69,0,0,0,70,0,0,0,71,0,0,0,72,0,0,0,73,0,0,0,74,0,0,0,75,0,0,0,76,0,0,0,77,0,0,0,78,0,0,0,79,0,0,0,80,0,0,0,81,0,0,0,236,100,8,0,56,55,3,0,237,54,3,0,158,1,0,0,1,0,0,0,82,0,0,0,83,0,0,0,84,0,0,0,85,0,0,0,86,0,0,0,87,0,0,0,88,0,0,0,0,0,0,0,240,100,8,0,162,55,3,0,237,54,3,0,30,2,0,0,1,0,0,0,0,0,0,0,32,42,0,0,44,0,0,0,45,0,0,0,6,0,0,0,10,0,0,0,46,0,0,0,12,0,0,0,244,100,8,0,126,56,3,0,198,56,3,0,59,0,0,0,1,0,0,0,0,0,0,0,40,42,0,0,47,0,0,0,48,0,0,0,49,0,0,0,8,0,0,0,50,0,0,0,22,0,0,0,23,0,0,0,24,0,0,0,25,0,0,0,26,0,0,0,27,0,0,0,28,0,0,0,0,0,0,0,248,100,8,0,72,58,3,0,7,58,3,0,88,2,0,0,1,0,0,0,119,58,3,0,125,58,3,0,131,58,3,0,138,58,3,0,145,58,3,0,152,58,3,0,159,58,3,0,166,58,3,0,208,58,3,0,225,25,8,0,3,26,8,0,234,25,8,0,156,25,8,0,228,25,8,0,158,25,8,0,243,58,3,0,2,59,3,0,11,59,3,0,24,59,3,0,46,59,3,0,56,59,3,0,81,59,3,0,8,101,8,0,14,60,3,0,191,59,3,0,50,0,0,0,1,0,0,0,12,101,8,0,69,60,3,0,191,59,3,0,86,0,0,0,1,0,0,0,16,101,8,0,200,60,3,0,191,59,3,0,95,0,0,0,5,0,0,0,20,101,8,0,255,60,3,0,191,59,3,0,131,0,0,0,1,0,0,0,24,101,8,0,68,61,3,0,191,59,3,0,182,0,0,0,1,0,0,0,28,101,8,0,129,61,3,0,191,59,3,0,229,0,0,0,1,0,0,0,32,101,8,0,7,62,3,0,191,59,3,0,239,1,0,0,1,0,0,0,0,0,0,0,1,0,0,0,2,0,0,0,3,0,0,0,4,0,0,0,0,0,0,0,5,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,0,0,0,0,0,0,0,1,0,0,0,2,0,0,0,3,0,0,0,4,0,0,0,0,0,0,0,5,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,0,0,0,36,101,8,0,96,62,3,0,191,59,3,0,31,2,0,0,1,0,0,0,40,101,8,0,57,63,3,0,191,59,3,0,199,3,0,0,1,0,0,0,44,101,8,0,155,63,3,0,191,59,3,0,127,5,0,0,1,0,0,0,11,0,0,0,12,0,0,0,13,0,0,0,14,0,0,0,15,0,0,0,16,0,0,0,17,0,0,0,0,0,0,0,89,0,0,0,90,0,0,0,91,0,0,0,92,0,0,0,93,0,0,0,94,0,0,0,95,0,0,0,96,0,0,0,97,0,0,0,89,0,0,0,98,0,0,0,99,0,0,0,100,0,0,0,101,0,0,0,102,0,0,0,103,0,0,0,104,0,0,0,105,0,0,0,106,0,0,0,107,0,0,0,108,0,0,0,109,0,0,0,110,0,0,0,111,0,0,0,112,0,0,0,113,0,0,0,114,0,0,0,106,0,0,0,115,0,0,0,116,0,0,0,117,0,0,0,118,0,0,0,119,0,0,0,120,0,0,0,121,0,0,0,122,0,0,0,123,0,0,0,124,0,0,0,125,0,0,0,126,0,0,0,127,0,0,0,128,0,0,0,129,0,0,0,130,0,0,0,131,0,0,0,123,0,0,0,132,0,0,0,133,0,0,0,134,0,0,0,135,0,0,0,136,0,0,0,137,0,0,0,138,0,0,0,139,0,0,0,140,0,0,0,141,0,0,0,142,0,0,0,143,0,0,0,144,0,0,0,145,0,0,0,146,0,0,0,147,0,0,0,148,0,0,0,106,0,0,0,48,101,8,0,150,64,3,0,81,64,3,0,160,1,0,0,1,0,0,0,52,101,8,0,66,65,3,0,81,64,3,0,216,1,0,0,1,0,0,0,56,101,8,0,112,65,3,0,155,65,3,0,36,1,0,0,1,0,0,0,13,0,0,0,13,0,0,0,14,0,0,0,14,0,0,0,15,0,0,0,15,0,0,0,16,0,0,0,14,0,0,0,60,101,8,0,25,66,3,0,155,65,3,0,136,1,0,0,1,0,0,0,80,101,8,0,167,66,3,0,99,66,3,0,131,3,0,0,1,0,0,0,84,101,8,0,225,68,3,0,99,66,3,0,36,8,0,0,1,0,0,0,15,0,0,0,16,0,0,0,17,0,0,0,18,0,0,0,19,0,0,0,20,0,0,0,21,0,0,0,0,0,0,0,22,0,0,0,23,0,0,0,24,0,0,0,25,0,0,0,26,0,0,0,27,0,0,0,28,0,0,0,0,0,0,0,88,101,8,0,99,69,3,0,99,66,3,0,216,8,0,0,1,0,0,0,92,101,8,0,219,69,3,0,99,66,3,0,107,9,0,0,1,0,0,0,96,101,8,0,170,70,3,0,99,66,3,0,65,11,0,0,1,0,0,0,100,101,8,0,35,71,3,0,99,66,3,0,217,12,0,0,1,0,0,0,1,0,0,0,2,0,0,0,3,0,0,0,4,0,0,0,5,0,0,0,6,0,0,0,7,0,0,0,0,0,0,0,104,101,8,0,73,71,3,0,128,71,3,0,64,2,0,0,1,0,0,0,212,152,0,0,0,0,0,0,64,42,0,0,51,0,0,0,52,0,0,0,9,0,0,0,17,0,0,0,11,0,0,0,18,0,0,0,18,0,0,0,19,0,0,0,20,0,0,0,21,0,0,0,22,0,0,0,23,0,0,0,24,0,0,0,19,0,0,0,20,0,0,0,21,0,0,0,22,0,0,0,1,0,0,0,1,0,0,0,2,0,0,0,1,0,0,0,25,0,0,0,26,0,0,0,23,0,0,0,24,0,0,0,27,0,0,0,10,0,0,0,196,153,0,0,80,153,0,0,0,0,0,0,80,42,0,0,51,0,0,0,53,0,0,0,11,0,0,0,25,0,0,0,11,0,0,0,18,0,0,0,18,0,0,0,19,0,0,0,20,0,0,0,21,0,0,0,22,0,0,0,23,0,0,0,24,0,0,0,19,0,0,0,20,0,0,0,21,0,0,0,22,0,0,0,1,0,0,0,1,0,0,0,2,0,0,0,1,0,0,0,25,0,0,0,26,0,0,0,26,0,0,0,24,0,0,0,27,0,0,0,10,0,0,0,0,0,0,0,96,42,0,0,51,0,0,0,54,0,0,0,12,0,0,0,27,0,0,0,11,0,0,0,18,0,0,0,18,0,0,0,19,0,0,0,20,0,0,0,21,0,0,0,22,0,0,0,23,0,0,0,24,0,0,0,19,0,0,0,20,0,0,0,21,0,0,0,22,0,0,0,1,0,0,0,1,0,0,0,2,0,0,0,1,0,0,0,25,0,0,0,26,0,0,0,26,0,0,0,24,0,0,0,27,0,0,0,10,0,0,0,148,156,0,0,8,155,0,0,68,154,0,0,0,0,0,0,112,42,0,0,51,0,0,0,55,0,0,0,13,0,0,0,28,0,0,0,11,0,0,0,18,0,0,0,18,0,0,0,19,0,0,0,20,0,0,0,21,0,0,0,22,0,0,0,23,0,0,0,24,0,0,0,29,0,0,0,20,0,0,0,30,0,0,0,22,0,0,0,1,0,0,0,2,0,0,0,2,0,0,0,1,0,0,0,25,0,0,0,28,0,0,0,26,0,0,0,24,0,0,0,27,0,0,0,10,0,0,0,108,101,8,0,55,72,3,0,128,71,3,0,250,5,0,0,1,0,0,0,112,101,8,0,136,72,3,0,128,71,3,0,241,5,0,0,1,0,0,0,116,101,8,0,224,72,3,0,128,71,3,0,222,5,0,0,1,0,0,0,120,101,8,0,69,73,3,0,128,71,3,0,203,5,0,0,1,0,0,0,0,0,0,0,128,42,0,0,51,0,0,0,56,0,0,0,14,0,0,0,31,0,0,0,11,0,0,0,18,0,0,0,18,0,0,0,19,0,0,0,20,0,0,0,21,0,0,0,22,0,0,0,23,0,0,0,24,0,0,0,19,0,0,0,32,0,0,0,21,0,0,0,33,0,0,0,1,0,0,0,3,0,0,0,2,0,0,0,2,0,0,0,29,0,0,0,30,0,0,0,26,0,0,0,24,0,0,0,27,0,0,0,10,0,0,0,124,101,8,0,183,73,3,0,128,71,3,0,27,5,0,0,1,0,0,0,136,101,8,0,215,74,3,0,128,71,3,0,37,5,0,0,1,0,0,0,168,155,0,0,0,0,0,0,144,42,0,0,51,0,0,0,57,0,0,0,15,0,0,0,34,0,0,0,11,0,0,0,18,0,0,0,18,0,0,0,19,0,0,0,20,0,0,0,21,0,0,0,22,0,0,0,23,0,0,0,24,0,0,0,19,0,0,0,20,0,0,0,21,0,0,0,22,0,0,0,1,0,0,0,4,0,0,0,2,0,0,0,3,0,0,0,25,0,0,0,26,0,0,0,26,0,0,0,24,0,0,0,27,0,0,0,10,0,0,0,128,101,8,0,9,74,3,0,128,71,3,0,112,5,0,0,1,0,0,0,132,101,8,0,94,74,3,0,128,71,3,0,99,5,0,0,1,0,0,0,140,101,8,0,35,75,3,0,128,71,3,0,16,5,0,0,1,0,0,0,144,101,8,0,122,75,3,0,128,71,3,0,6,5,0,0,1,0,0,0,148,101,8,0,211,75,3,0,128,71,3,0,252,4,0,0,1,0,0,0,152,101,8,0,52,76,3,0,128,71,3,0,243,4,0,0,1,0,0,0,0,0,0,0,160,42,0,0,51,0,0,0,58,0,0,0,16,0,0,0,35,0,0,0,11,0,0,0,18,0,0,0,18,0,0,0,19,0,0,0,20,0,0,0,21,0,0,0,22,0,0,0,23,0,0,0,24,0,0,0,19,0,0,0,20,0,0,0,21,0,0,0,22,0,0,0,1,0,0,0,5,0,0,0,2,0,0,0,1,0,0,0,25,0,0,0,31,0,0,0,26,0,0,0,24,0,0,0,27,0,0,0,10,0,0,0,156,101,8,0,163,76,3,0,128,71,3,0,177,5,0,0,1,0,0,0,160,101,8,0,241,76,3,0,128,71,3,0,169,5,0,0,1,0,0,0,164,101,8,0,84,77,3,0,128,71,3,0,254,1,0,0,1,0,0,0,168,101,8,0,160,77,3,0,128,71,3,0,244,1,0,0,1,0,0,0,172,101,8,0,230,77,3,0,128,71,3,0,234,1,0,0,1,0,0,0,176,101,8,0,55,78,3,0,128,71,3,0,192,1,0,0,1,0,0,0,180,101,8,0,157,78,3,0,128,71,3,0,182,1,0,0,1,0,0,0,184,101,8,0,240,78,3,0,128,71,3,0,129,1,0,0,1,0,0,0,188,101,8,0,88,79,3,0,128,71,3,0,119,1,0,0,1,0,0,0,192,101,8,0,179,79,3,0,128,71,3,0,86,1,0,0,1,0,0,0,196,101,8,0,19,80,3,0,128,71,3,0,76,1,0,0,1,0,0,0,200,101,8,0,105,80,3,0,128,71,3,0,43,1,0,0,1,0,0,0,0,0,0,0,176,42,0,0,51,0,0,0,59,0,0,0,17,0,0,0,36,0,0,0,11,0,0,0,18,0,0,0,18,0,0,0,19,0,0,0,20,0,0,0,21,0,0,0,22,0,0,0,23,0,0,0,24,0,0,0,19,0,0,0,20,0,0,0,21,0,0,0,22,0,0,0,1,0,0,0,1,0,0,0,2,0,0,0,1,0,0,0,25,0,0,0,26,0,0,0,26,0,0,0,24,0,0,0,27,0,0,0,10,0,0,0,0,0,0,0,192,42,0,0,51,0,0,0,60,0,0,0,18,0,0,0,37,0,0,0,11,0,0,0,18,0,0,0,18,0,0,0,19,0,0,0,20,0,0,0,21,0,0,0,22,0,0,0,23,0,0,0,24,0,0,0,19,0,0,0,20,0,0,0,21,0,0,0,22,0,0,0,1,0,0,0,6,0,0,0,2,0,0,0,1,0,0,0,25,0,0,0,26,0,0,0,26,0,0,0,24,0,0,0,27,0,0,0,10,0,0,0,204,101,8,0,224,80,3,0,128,71,3,0,75,6,0,0,1,0,0,0,248,157,0,0,208,101,8,0,120,81,3,0,128,71,3,0,126,4,0,0,1,0,0,0,216,101,8,0,157,81,3,0,128,71,3,0,159,4,0,0,1,0,0,0,220,101,8,0,187,81,3,0,128,71,3,0,95,6,0,0,1,0,0,0,224,101,8,0,218,81,3,0,128,71,3,0,104,6,0,0,1,0,0,0,228,101,8,0,254,81,3,0,128,71,3,0,114,6,0,0,1,0,0,0,232,101,8,0,49,82,3,0,128,71,3,0,129,6,0,0,1,0,0,0,236,101,8,0,98,82,3,0,128,71,3,0,138,6,0,0,1,0,0,0,240,101,8,0,143,82,3,0,128,71,3,0,156,6,0,0,1,0,0,0,244,101,8,0,191,82,3,0,128,71,3,0,165,6,0,0,1,0,0,0,248,101,8,0,235,82,3,0,128,71,3,0,183,6,0,0,1,0,0,0,252,101,8,0,26,83,3,0,128,71,3,0,192,6,0,0,1,0,0,0,0,0,0,0,216,42,0,0,11,0,0,0,12,0,0,0,13,0,0,0,61,0,0,0,62,0,0,0,63,0,0,0,12,102,8,0,172,84,3,0,132,83,3,0,88,0,0,0,1,0,0,0,0,0,0,0,232,42],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+30720);allocate([64,0,0,0,65,0,0,0,1,0,0,0,7,0,0,0,14,0,0,0,32,0,0,0,15,0,0,0,149,0,0,0,150,0,0,0,1,0,0,0,19,0,0,0,0,0,0,0,32,45,0,0,33,0,0,0,66,0,0,0,67,0,0,0,0,0,0,0,8,45,0,0,34,0,0,0,68,0,0,0,69,0,0,0,0,0,0,0,248,42,0,0,47,0,0,0,70,0,0,0,71,0,0,0,20,0,0,0,72,0,0,0,35,0,0,0,36,0,0,0,37,0,0,0,38,0,0,0,39,0,0,0,40,0,0,0,0,0,0,0,88,45,0,0,12,0,0,0,73,0,0,0,74,0,0,0,0,0,0,0,64,45,0,0,13,0,0,0,75,0,0,0,76,0,0,0,0,0,0,0,48,45,0,0,47,0,0,0,77,0,0,0,78,0,0,0,21,0,0,0,79,0,0,0,16,102,8,0,90,93,3,0,207,89,3,0,245,12,0,0,1,0,0,0,20,102,8,0,201,93,3,0,207,89,3,0,204,13,0,0,1,0,0,0,1,0,0,0,2,0,0,0,3,0,0,0,4,0,0,0,5,0,0,0,6,0,0,0,8,0,0,0,9,0,0,0,10,0,0,0,12,0,0,0,15,0,0,0,16,0,0,0,18,0,0,0,20,0,0,0,24,0,0,0,25,0,0,0,27,0,0,0,30,0,0,0,32,0,0,0,36,0,0,0,40,0,0,0,45,0,0,0,48,0,0,0,50,0,0,0,54,0,0,0,60,0,0,0,64,0,0,0,72,0,0,0,75,0,0,0,80,0,0,0,81,0,0,0,90,0,0,0,96,0,0,0,100,0,0,0,108,0,0,0,120,0,0,0,125,0,0,0,128,0,0,0,135,0,0,0,144,0,0,0,150,0,0,0,160,0,0,0,162,0,0,0,180,0,0,0,192,0,0,0,200,0,0,0,216,0,0,0,225,0,0,0,240,0,0,0,243,0,0,0,250,0,0,0,0,1,0,0,14,1,0,0,32,1,0,0,44,1,0,0,64,1,0,0,68,1,0,0,104,1,0,0,119,1,0,0,128,1,0,0,144,1,0,0,149,1,0,0,176,1,0,0,194,1,0,0,224,1,0,0,230,1,0,0,244,1,0,0,0,2,0,0,28,2,0,0,64,2,0,0,88,2,0,0,113,2,0,0,128,2,0,0,136,2,0,0,163,2,0,0,208,2,0,0,217,2,0,0,238,2,0,0,0,3,0,0,32,3,0,0,42,3,0,0,96,3,0,0,132,3,0,0,192,3,0,0,204,3,0,0,232,3,0,0,0,4,0,0,56,4,0,0,101,4,0,0,128,4,0,0,176,4,0,0,191,4,0,0,226,4,0,0,0,5,0,0,16,5,0,0,70,5,0,0,160,5,0,0,178,5,0,0,220,5,0,0,0,6,0,0,64,6,0,0,84,6,0,0,192,6,0,0,8,7,0,0,83,7,0,0,128,7,0,0,152,7,0,0,208,7,0,0,233,7,0,0,0,8,0,0,112,8,0,0,139,8,0,0,202,8,0,0,0,9,0,0,96,9,0,0,126,9,0,0,196,9,0,0,0,10,0,0,32,10,0,0,140,10,0,0,64,11,0,0,100,11,0,0,184,11,0,0,0,12,0,0,53,12,0,0,128,12,0,0,168,12,0,0,47,13,0,0,128,13,0,0,16,14,0,0,61,14,0,0,166,14,0,0,0,15,0,0,48,15,0,0,160,15,0,0,210,15,0,0,0,16,0,0,224,16,0,0,22,17,0,0,148,17,0,0,0,18,0,0,192,18,0,0,252,18,0,0,136,19,0,0,0,20,0,0,64,20,0,0,24,21,0,0,249,21,0,0,128,22,0,0,200,22,0,0,112,23,0,0,187,23,0,0,0,24,0,0,106,24,0,0,0,25,0,0,80,25,0,0,161,25,0,0,94,26,0,0,0,27,0,0,32,28,0,0,122,28,0,0,76,29,0,0,0,30,0,0,96,30,0,0,64,31,0,0,164,31,0,0,0,32,0,0,192,33,0,0,44,34,0,0,40,35,0,0,0,36,0,0,159,36,0,0,128,37,0,0,248,37,0,0,16,39,0,0,141,39,0,0,0,40,0,0,128,40,0,0,48,42,0,0,183,42,0,0,242,43,0,0,0,45,0,0,144,45,0,0,224,46,0,0,118,47,0,0,0,48,0,0,212,48,0,0,0,50,0,0,160,50,0,0,66,51,0,0,188,52,0,0,0,54,0,0,64,56,0,0,244,56,0,0,152,58,0,0,0,60,0,0,192,60,0,0,9,61,0,0,128,62,0,0,72,63,0,0,0,64,0,0,235,65,0,0,128,67,0,0,88,68,0,0,80,70,0,0,49,71,0,0,0,72,0,0,62,73,0,0,0,75,0,0,240,75,0,0,227,76,0,0,32,78,0,0,26,79,0,0,0,80,0,0,0,81,0,0,96,84,0,0,110,85,0,0,228,87,0,0,0,90,0,0,32,91,0,0,192,93,0,0,236,94,0,0,0,96,0,0,168,97,0,0,0,100,0,0,64,101,0,0,132,102,0,0,120,105,0,0,0,108,0,0,221,109,0,0,128,112,0,0,232,113,0,0,48,117,0,0,167,118,0,0,0,120,0,0,128,121,0,0,18,122,0,0,0,125,0,0,144,126,0,0,0,128,0,0,37,128,0,0,214,131,0,0,0,135,0,0,176,136,0,0,160,140,0,0,98,142,0,0,0,144,0,0,124,146,0,0,0,150,0,0,224,151,0,0,198,153,0,0,64,156,0,0,52,158,0,0,0,160,0,0,0,162,0,0,192,168,0,0,220,170,0,0,200,175,0,0,0,180,0,0,64,182,0,0,27,183,0,0,128,187,0,0,216,189,0,0,0,192,0,0,80,195,0,0,193,197,0,0,0,200,0,0,128,202,0,0,8,205,0,0,240,210,0,0,147,213,0,0,0,216,0,0,186,219,0,0,0,225,0,0,208,227,0,0,169,230,0,0,96,234,0,0,78,237,0,0,0,240,0,0,0,243,0,0,36,244,0,0,0,250,0,0,32,253,0,0,0,0,1,0,74,0,1,0,172,7,1,0,0,14,1,0,96,17,1,0,64,25,1,0,196,28,1,0,0,32,1,0,248,36,1,0,0,44,1,0,192,47,1,0,45,49,1,0,140,51,1,0,128,56,1,0,104,60,1,0,0,64,1,0,0,68,1,0,151,73,1,0,128,81,1,0,184,85,1,0,144,95,1,0,245,99,1,0,0,104,1,0,128,108,1,0,54,110,1,0,0,119,1,0,176,123,1,0,0,128,1,0,111,128,1,0,160,134,1,0,130,139,1,0,0,144,1,0,0,149,1,0,16,154,1,0,224,165,1,0,38,171,1,0,0,176,1,0,116,183,1,0,0,194,1,0,160,199,1,0,82,205,1,0,192,212,1,0,156,218,1,0,0,224,1,0,0,230,1,0,72,232,1,0,0,244,1,0,64,250,1,0,0,0,2,0,148,0,2,0,88,15,2,0,0,28,2,0,192,34,2,0,81,37,2,0,128,50,2,0,136,57,2,0,0,64,2,0,240,73,2,0,67,81,2,0,0,88,2,0,128,95,2,0,90,98,2,0,24,103,2,0,0,113,2,0,208,120,2,0,0,128,2,0,185,128,2,0,0,136,2,0,46,147,2,0,0,163,2,0,112,171,2,0,251,179,2,0,32,191,2,0,234,199,2,0,0,208,2,0,0,217,2,0,108,220,2,0,0,238,2,0,96,247,2,0,0,0,3,0,222,0,3,0,64,13,3,0,4,23,3,0,0,32,3,0,0,42,3,0,32,52,3,0,192,75,3,0,76,86,3,0,0,96,3,0,232,110,3,0,0,132,3,0,64,143,3,0,135,147,3,0,164,154,3,0,128,169,3,0,56,181,3,0,0,192,3,0,0,204,3,0,144,208,3,0,197,220,3,0,0,232,3,0,128,244,3,0,0,0,4,0,40,1,4,0,176,30,4,0,223,43,4,0,0,56,4,0,128,69,4,0,162,74,4,0,0,101,4,0,16,115,4,0,0,128,4,0,77,129,4,0,224,147,4,0,134,162,4,0,0,176,4,0,0,191,4,0,180,196,4,0,48,206,4,0,0,226,4,0,160,241,4,0,0,0,5,0,114,1,5,0,0,16,5,0,92,38,5,0,0,70,5,0,224,86,5,0,246,103,5,0,64,126,5,0,212,143,5,0,0,160,5,0,0,178,5,0,216,184,5,0,0,220,5,0,192,238,5,0,225,245,5,0,0,0,6,0,188,1,6,0,128,26,6,0,8,46,6,0,0,64,6,0,0,84,6,0,64,104,6,0,243,111,6,0,128,151,6,0,152,172,6,0,0,192,6,0,208,221,6,0,201,243,6,0,0,8,7,0,128,30,7,0,14,39,7,0,72,53,7,0,0,83,7,0,112,106,7,0,0,128,7,0,43,130,7,0,0,152,7,0,32,161,7,0,138,185,7,0,0,208,7,0,0,233,7,0,0,0,8,0,80,2,8,0,241,27,8,0,96,61,8,0,190,87,8,0,0,112,8,0,0,139,8,0,68,149,8,0,0,202,8,0,32,230,8,0,0,0,9,0,154,2,9,0,192,39,9,0,12,69,9,0,0,96,9,0,0,126,9,0,104,137,9,0,96,156,9,0,0,196,9,0,64,227,9,0,0,0,10,0,228,2,10,0,0,32,10,0,184,76,10,0,0,140,10,0,192,173,10,0,149,186,10,0,236,207,10,0,128,252,10,0,168,31,11,0,0,64,11,0,0,100,11,0,176,113,11,0,79,150,11,0,0,184,11,0,128,221,11,0,194,235,11,0,0,0,12,0,120,3,12,0,0,53,12,0,16,92,12,0,0,128,12,0,157,131,12,0,0,168,12,0,128,208,12,0,230,223,12,0,0,47,13,0,48,89,13,0,0,128,13,0,231,131,13,0,160,187,13,0,146,231,13,0,0,16,14,0,0,61,14,0,28,78,14,0,144,106,14,0,0,166,14,0,224,212,14,0,0,0,15,0,86,4,15,0,0,48,15,0,64,66,15,0,20,115,15,0,0,160,15,0,0,210,15,0,0,0,16,0,160,4,16,0,226,55,16,0,192,122,16,0,124,175,16,0,0,224,16,0,0,22,17,0,136,42,17,0,0,148,17,0,64,204,17,0,163,225,17,0,0,0,18,0,52,5,18,0,128,79,18,0,24,138,18,0,0,192,18,0,0,252,18,0,208,18,19,0,192,56,19,0,217,79,19,0,0,136,19,0,128,198,19,0,0,0,20,0,200,5,20,0,0,64,20,0,112,153,20,0,91,219,20,0,0,24,21,0,128,91,21,0,42,117,21,0,216,159,21,0,0,249,21,0,80,63,22,0,0,128,22,0,129,134,22,0,0,200,22,0,96,227,22,0,158,44,23,0,0,112,23,0,0,187,23,0,132,215,23,0,0,0,24,0,240,6,24,0,211,83,24,0,0,106,24,0,32,184,24,0,0,0,25,0,58,7,25,0,0,80,25,0,0,161,25,0,204,191,25,0,0,94,26,0,96,178,26,0,0,0,27,0,206,7,27,0,64,119,27,0,36,207,27,0,0,32,28,0,0,122,28,0,56,156,28,0,32,213,28,0,0,76,29,0,192,169,29,0,101,205,29,0,0,0,30,0,172,8,30,0,0,96,30,0,128,132,30,0,40,230,30,0,0,64,31,0,0,164,31,0,0,0,32,0,64,9,32,0,191,47,32,0,196,111,32,0,128,245,32,0,248,94,33,0,0,192,33,0,0,44,34,0,16,85,34,0,237,194,34,0,0,40,35,0,128,152,35,0,70,195,35,0,0,0,36,0,104,10,36,0,0,159,36,0,48,20,37,0,0,128,37,0,215,138,37,0,0,248,37,0,160,37,38,0,128,113,38,0,178,159,38,0,0,16,39,0,0,141,39,0,0,0,40,0,144,11,40,0,0,128,40,0,181,139,40,0,224,50,41,0,182,182,41,0,0,48,42,0,0,183,42,0,84,234,42,0,176,63,43,0,0,242,43,0,160,126,44,0,0,0,45,0,2,13,45,0,0,144,45,0,192,198,45,0,60,89,46,0,0,224,46,0,0,118,47,0,8,175,47,0,0,0,48,0,224,13,48,0,166,167,48,0,0,212,48,0,64,112,49,0,0,0,50,0,116,14,50,0,0,160,50,0,0,66,51,0,152,127,51,0,0,188,52,0,192,100,53,0,233,164,53,0,0,0,54,0,156,15,54,0,128,238,54,0,72,158,55,0,0,64,56,0,0,244,56,0,112,56,57,0,64,170,57,0,139,239,57,0,0,152,58,0,128,83,59,0,202,154,59,0,0,0,60,0,88,17,60,0,0,192,60,0,0,9,61,0,80,204,61,0,0,128,62,0,17,146,62,0,0,72,63,0,0,0,64,0,128,18,64,0,126,95,64,0,136,223,64,0,0,235,65,0,240,189,66,0,0,128,67,0,131,147,67,0,0,88,68,0,32,170,68,0,218,133,69,0,0,80,70,0,0,49,71,0,140,134,71,0,0,0,72,0,208,20,72,0,121,251,72,0,0,62,73,0,96,40,74,0,0,0,75,0,174,21,75,0,0,240,75,0,64,75,76,0,0,227,76,0,100,63,77,0,0,32,78,0,0,26,79,0,0,0,80,0,32,23,80,0,0,0,81,0,106,23,81,0,192,101,82,0,108,109,83,0,0,96,84,0,0,110,85,0,168,212,85,0,96,127,86,0,0,228,87,0,64,253,88,0,47,104,89,0,0,0,90,0,4,26,90,0,0,32,91,0,128,141,91,0,120,178,92,0,0,192,93,0,0,236,94,0,16,94,95,0,0,0,96,0,192,27,96,0,61,143,96,0,76,79,97,0,0,168,97,0,128,224,98,0,0,0,100,0,232,28,100,0,0,64,101,0,0,132,102,0,48,255,102,0,199,72,104,0,0,120,105,0,128,201,106,0,210,73,107,0,0,0,108,0,56,31,108,0,0,221,109,0,144,60,111,0,0,128,112,0,133,160,112,0,0,232,113,0,224,112,114,0,128,84,115,0,22,223,115,0,0,48,117,0,0,167,118,0,148,53,119,0,0,0,120,0,176,34,120,0,0,128,121,0,31,163,121,0,0,18,122,0,160,152,123,0,0,0,125,0,34,36,125,0,0,144,126,0,0,0,128,0,0,37,128,0,252,190,128,0,16,191,129,0,0,214,131,0,224,123,133,0,0,0,135,0,6,39,135,0,0,176,136,0,64,84,137,0,180,11,139,0,0,160,140,0,0,98,142,0,24,13,143,0,0,0,144,0,160,41,144,0,242,246,145,0,0,124,146,0,192,80,148,0,249,2,149,0,0,0,150,0,92,43,150,0,0,224,151,0,128,150,152,0,0,198,153,0,200,126,154,0,0,64,156,0,0,52,158,0,0,0,160,0,64,46,160,0,187,238,160,0,0,0,162,0,212,46,162,0,128,203,164,0,216,218,166,0,0,192,168,0,0,220,170,0,80,169,171,0,192,254,172,0,161,206,173,0,0,200,175,0,128,250,177,0,94,208,178,0,0,0,180,0,8,52,180,0,0,64,182,0,0,27,183,0,240,100,185,0,0,128,187,0,51,182,187,0,0,216,189,0,32,188,190,0,0,0,192,0,128,55,192,0,122,30,193,0,152,158,194,0,0,80,195,0,0,193,197,0,0,0,200,0,208,57,200,0,0,128,202,0,137,186,202,0,0,8,205,0,96,254,205,0,142,145,208,0,0,240,210,0,0,147,213,0,164,147,214,0,0,0,216,0,112,62,216,0,0,186,219,0,32,121,222,0,0,0,225,0,10,65,225,0,0,208,227,0,192,225,228,0,0,169,230,0,44,190,231,0,0,96,234,0,0,78,237,0,40,107,238,0,0,0,240,0,96,69,240,0,0,0,243,0,62,70,243,0,0,36,244,0,64,49,247,0,0,0,250,0,68,72,250,0,0,32,253,0,0,0,0,1,0,74,0,1,248,125,1,1,32,126,3,1,0,172,7,1,192,247,10,1,141,56,12,1,0,0,14,1,12,78,14,1,0,96,17,1,128,168,18,1,104,23,22,1,0,64,25,1,0,196,28,1,48,26,30,1,0,0,32,1,64,83,32,1,183,173,33,1,228,237,35,1,0,248,36,1,128,161,40,1,242,5,42,1,0,0,44,1,184,86,44,1,0,192,47,1,0,45,49,1,0,140,51,1,144,253,52,1,0,128,56,1,85,218,56,1,0,104,60,1,0,0,64,1,128,92,64,1,118,221,65,1,0,0,68,1,168,93,68,1,0,151,73,1,176,181,77,1,0,128,81,1,143,225,81,1,0,184,85,1,160,82,87,1,128,253,89,1,66,157,91,1,0,144,95,1,0,245,99,1,188,160,101,1,0,0,104,1,16,104,104,1,0,128,108,1,93,233,108,1,0,54,110,1,224,201,114,1,0,0,119,1,102,108,119,1,0,176,123,1,64,120,125,1,0,0,128,1,0,111,128,1,244,60,130,1,48,61,133,1,0,160,134,1,0,130,139,1,0,0,144,1,160,115,144,1,0,0,149,1,18,117,149,1,0,16,154,1,192,252,155,1,28,35,161,1,0,224,165,1,0,38,171,1,72,39,173,1,0,0,176,1,224,124,176,1,0,116,183,1,64,242,188,1,235,8,191,1,0,0,194,1,20,130,194,1,0,160,199,1,128,195,201,1,0,82,205,1,88,124,207,1,0,192,212,1,0,156,218,1,80,214,220,1,0,0,224,1,192,138,224,1,49,204,226,1,0,0,230,1,124,140,230,1,0,72,232,1,128,98,238,1,0,0,244,1,136,144,244,1,0,64,250,1,0,0,0,2,0,148,0,2,240,251,2,2,64,252,6,2,227,107,9,2,0,88,15,2,128,239,21,2,26,113,24,2,0,0,28,2,24,156,28,2,0,192,34,2,0,81,37,2,208,46,44,2,0,128,50,2,153,34,51,2,0,136,57,2,96,52,60,2,0,0,64,2,128,166,64,2,110,91,67,2,200,219,71,2,0,240,73,2,0,67,81,2,228,11,84,2,0,0,88,2,112,173,88,2,0,128,95,2,155,47,96,2,0,90,98,2,0,24,103,2,32,251,105,2,0,0,113,2,170,180,113,2,0,208,120,2,0,0,128,2,0,185,128,2,236,186,131,2,0,0,136,2,80,187,136,2,0,46,147,2,96,107,155,2,0,0,163,2,30,195,163,2,0,112,171,2,64,165,174,2,0,251,179,2,132,58,183,2,0,32,191,2,0,234,199,2,120,65,203,2,0,0,208,2,32,208,208,2,0,0,217,2,186,210,217,2,0,108,220,2,192,147,229,2,221,14,233,2,0,0,238,2,204,216,238,2,0,96,247,2,128,240,250,2,0,0,0,3,0,222,0,3,232,121,4,3,96,122,10,3,0,64,13,3,0,4,23,3,0,0,32,3,64,231,32,3,167,169,36,3,0,0,42,3,36,234,42,3,0,32,52,3,128,249,55,3,56,70,66,3,0,192,75,3,0,76,86,3,144,78,90,3,0,0,96,3,192,249,96,3,37,9,101,3,0,232,110,3,128,228,121,3,214,17,126,3,0,0,132,3,40,4,133,3,0,64,143,3,0,135,147,3,0,164,154,3,176,248,158,3,0,128,169,3,255,142,170,3,0,56,181,3,160,172,185,3,0,0,192,3,128,21,193,3,98,152,197,3,0,0,204,3,248,24,205,3,0,144,208,3,0,197,220,3,0,0,232,3,16,33,233,3,0,128,244,3,173,164,245,3,0,0,0,4,0,40,1,4,224,247,5,4,128,248,13,4,198,215,18,4,0,176,30,4,0,223,43,4,52,226,48,4,0,0,56,4,48,56,57,4,0,128,69,4,0,162,74,4,160,93,88,4,0,0,101,4,50,69,102,4,0,16,115,4,192,104,120,4,0,0,128,4,0,77,129,4,220,182,134,4,144,183,143,4,0,224,147,4,0,134,162,4,200,23,168,4,0,0,176,4,224,90,177,4,0,0,191,4,54,95,192,4,0,180,196,4,0,48,206,4,64,246,211,4,0,0,226,4,84,105,227,4,0,160,241,4,0,0,0,5,0,114,1,5,216,117,7,5,0,0,16,5,160,118,17,5,0,92,38,5,192,214,54,5,193,26,61,5,0,0,70,5,60,134,71,5,0,224,86,5,128,74,93,5,0,246,103,5,8,117,110,5,0,64,126,5,0,212,143,5,240,130,150,5,0,0,160,5,64,160,161,5,147,100,168,5,0,0,178,5,116,165,179,5,0,216,184,5,128,39,203,5,186,29,210,5,0,0,220,5,152,177,221,5,0,192,238,5,0,225,245,5,0,0,0,6,0,188,1,6,208,243,8,6,192,244,20,6,0,128,26,6,169,67,28,6,0,8,46,6,0,0,64,6,128,206,65,6,78,83,73,6,0,0,84,6,72,212,85,6,0,64,104,6,0,243,111,6,112,140,132,6,0,128,151,6,203,103,153,6,0,152,172,6,32,157,180,6,0,0,192,6,128,243,193,6,74,18,202,6,0,208,221,6,0,201,243,6,172,35,252,6,0,0,8,7,80,8,10,7,0,128,30,7,209,142,32,7,0,14,39,7,0,72,53,7,96,241,61,7,0,0,83,7,254,29,85,7,0,112,106,7,64,89,115,7,0,0,128,7,0,43,130,7,196,48,139,7,0,0,152,7,240,49,154,7,0,32,161,7,0,138,185,7,0,0,208,7,32,66,210,7,0,0,233,7,90,73,235,7,0,0,0,8,0,80,2,8,192,239,11,8,0,241,27,8,140,175,37,8,0,96,61,8,0,190,87,8,104,196,97,8,0,0,112,8,96,112,114,8,0,0,139,8,0,68,149,8,64,187,176,8,151,44,187,8,0,0,202,8,100,138,204,8,0,32,230,8,128,209,240,8,0,0,0,9,0,154,2,9,184,109,13,9,32,111,31,9,0,192,39,9,0,12,69,9,144,47,80,9,0,0,96,9,192,181,98,9,245,252,109,9,0,0,126,9,108,190,128,9,0,104,137,9,0,96,156,9,128,236,167,9,0,0,196,9,168,210,198,9,0,64,227,9,0,0,0,10,0,228,2,10,176,235,14,10,0,0,32,10,64,237,34,10,111,27,47,10,0,184,76,10,128,173,109,10,130,53,122,10,0,0,140,10,120,12,143,10,0,192,173,10,0,149,186,10,0,236,207,10,16,234,220,10,0,128,252,10,253,172,255,10,0,168,31,11,224,5,45,11,0,0,64,11,128,64,67,11,38,201,80,11,0,0,100,11,232,74,103,11,0,176,113,11,0,79,150,11,116,59,164,11,0,0,184,11,48,99,187,11,0,128,221,11,7,238,224,11,0,194,235,11,0,0,0,12,0,120,3,12,160,231,17,12,128,233,41,12,0,0,53,12,82,135,56,12,0,16,92,12,0,0,128,12,0,157,131,12,156,166,146,12,0,0,168,12,144,168,171,12,0,128,208,12,0,230,223,12,224,24,9,13,0,0,47,13,150,207,50,13,0,48,89,13,64,58,105,13,0,0,128,13,0,231,131,13,148,36,148,13,0,160,187,13,0,146,231,13,88,71,248,13,0,0,16,14,160,16,20,14,0,0,61,14,162,29,65,14,0,28,78,14,0,144,106,14,192,226,123,14,81,74,141,14,0,0,166,14,252,59,170,14,0,224,212,14,128,178,230,14,0,0,0,15,0,86,4,15,136,97,22,15,0,0,48,15,224,99,52,15,0,64,66,15,0,20,115,15,0,0,160,15,64,132,164,15,67,80,183,15,0,0,210,15,180,146,214,15,0,0,0,16,0,160,4,16,128,223,23,16,0,226,55,16,24,95,75,16,0,192,122,16,0,124,175,16,208,136,195,16,0,0,224,16,192,224,228,16,185,45,249,16,0,0,22,17,0,136,42,17,128,118,97,17,46,89,118,17,0,0,148,17,200,20,153,17,0,64,204,17,0,163,225,17,0,0,0,18,0,52,5,18,112,219,26,18,64,222,62,18,0,128,79,18,251,202,84,18,0,24,138,18,32,95,160,18,0,0,192,18,128,107,197,18,234,249,219,18,0,0,252,18,216,124,1,19,0,208,18,19,0,192,56,19,0,217,79,19,0,0,136,19,80,165,141,19,0,128,198,19,97,55,204,19,0,0,0,20,0,200,5,20,96,215,29,20,0,0,64,20,128,218,69,20,222,54,94,20,0,112,153,20,0,91,219,20,4,107,244,20,0,0,24,21,240,24,30,21,0,128,91,21,0,42,117,21,0,216,159,21,32,212,185,21,0,0,249,21,250,89,255,21,0,80,63,22,192,11,90,22,0,0,128,22,0,129,134,22,76,146,161,22,0,0,200,22,208,149,206,22,0,96,227,22,0,158,44,23,232,118,72,23,0,0,112,23,96,198,118,23,0,0,187,23,14,220,193,23,0,132,215,23,0,0,0,24,0,240,6,24,64,207,35,24,0,211,83,24,0,0,106,24,164,14,113,24,0,32,184,24,0,0,0,25,0,58,7,25,56,77,37,25,0,0,80,25,32,81,87,25,0,0,161,25,0,204,191,25,192,49,18,26,197,133,49,26,0,0,94,26,44,159,101,26,0,96,178,26,128,116,210,26,0,0,0,27,0,206,7,27,40,73,40,27,0,64,119,27,0,36,207,27,176,142,240,27,0,0,32,28,64,33,40,28,223,246,73,28,0,0,122,28,68,59,130,28,0,56,156,28,0,32,213,28,128,197,247,28,162,148,26,29,0,0,76,29,248,119,84,29,0,192,169,29,0,101,205,29,0,0,0,30,0,172,8,30,16,195,44,30,0,0,96,30,192,199,104,30,0,128,132,30,77,82,141,30,0,40,230,30,0,0,64,31,128,8,73,31,134,160,110,31,0,0,164,31,104,37,173,31,0,0,0,32,0,64,9,32,0,191,47,32,0,196,111,32,48,190,150,32,0,128,245,32,247,6,255,32,0,248,94,33,160,17,135,33,0,0,192,33,128,193,201,33,114,91,242,33,0,0,44,34,0,16,85,34,0,237,194,34,92,178,236,34,0,0,40,35,144,41,50,35,0,128,152,35,21,202,162,35,0,70,195,35,0,0,0,36,0,104,10,36,224,182,53,36,128,188,125,36,0,0,159,36,246,149,169,36,0,48,20,37,64,190,64,37,0,0,128,37,0,215,138,37,212,243,183,37,0,0,248,37,176,249,2,38,0,160,37,38,0,128,113,38,0,178,159,38,0,0,16,39,160,74,27,39,0,0,141,39,194,110,152,39,0,0,0,40,0,144,11,40,192,174,59,40,0,0,128,40,0,181,139,40,188,109,188,40,0,224,50,41,0,182,182,41,8,214,232,41,0,0,48,42,224,49,60,42,0,0,183,42,0,84,234,42,0,176,63,43,64,168,115,43,243,222,167,43,0,0,242,43,244,179,254,43,0,160,126,44,128,23,180,44,0,0,0,45,0,2,13,45,152,36,67,45,0,0,144,45,160,43,157,45,0,192,198,45,0,60,89,46,208,237,144,46,0,0,224,46,192,140,237,46,201,240,37,47,0,0,118,47,28,184,131,47,0,8,175,47,0,0,0,48,0,224,13,48,128,158,71,48,0,166,167,48,0,0,212,48,72,29,226,48,0,64,112,49,0,0,0,50,0,116,14,50,112,154,74,50,0,0,160,50,64,162,174,50,43,137,235,50,0,0,66,51,0,152,127,51,128,99,36,52,138,11,99,52,0,0,188,52,88,62,203,52,0,192,100,53,0,233,164,53,0,0,0,54,0,156,15,54,80,146,80,54,0,128,238,54,241,96,254,54,0,72,158,55,96,29,225,55,0,0,64,56,128,66,80,56,190,237,147,56,0,0,244,56,136,118,4,57,0,112,56,57,0,64,170,57,0,139,239,57,68,41,53,58,0,0,152,58,240,239,168,58,0,128,83,59,35,166,100,59,0,202,154,59,0,0,0,60,0,88,17,60,32,134,89,60,0,0,192,60,128,143,209,60,0,0,9,61,154,164,26,61,0,80,204,61,0,0,128,62,0,17,146,62,12,65,221,62,0,0,72,63,208,74,90,63,0,0,0,64,0,128,18,64,0,126,95,64,0,136,223,64,96,124,45,65,0,0,235,65,238,13,254,65,0,240,189,66,64,35,14,67,0,0,128,67,0,131,147,67,228,182,228,67,0,0,88,68,0,32,170,68,0,218,133,69,184,100,217,69,0,0,80,70,32,83,100,70,0,0,49,71,42,148,69,71,0,140,134,71,0,0,0,72,0,208,20,72,192,109,107,72,149,115,194,72,0,121,251,72,0,0,62,73,236,43,83,73,0,96,40,74,128,124,129,74,0,0,0,75,0,174,21,75,168,231,111,75,0,0,240,75,96,243,5,76,0,64,75,76,0,0,227,76,0,100,63,77,0,0,32,78,64,149,54,78,79,145,148,78,0,0,26,79,132,221,48,79,0,0,0,80,0,32,23,80,128,93,119,80,0,0,0,81,0,106,23,81,120,219,120,81,0,192,101,82,0,108,109,83,16,172,209,83,0,0,96,84,192,99,120,84,157,228,221,84,0,0,110,85,0,168,212,85,0,96,127,86,128,80,231,86,230,189,79,87,0,0,228,87,232,103,253,87,0,64,253,88,0,47,104,89,0,0,0,90,0,4,26,90,48,73,134,90,0,0,32,91,64,87,58,91,0,128,141,91,231,246,167,91,0,120,178,92,160,219,33,93,0,0,192,93,128,25,219,93,146,225,75,94,0,0,236,94,56,112,7,95,0,16,94,95,0,0,0,96,0,192,27,96,0,61,143,96,0,76,79,97,0,0,168,97,144,58,196,97,0,128,224,98,229,20,253,98,0,0,0,100,0,232,28,100,224,52,149,100,0,0,64,101,128,68,93,101,86,18,215,101,0,0,132,102,0,48,255,102,0,199,72,104,20,23,198,104,0,0,120,105,176,124,150,105,0,128,201,106,0,210,73,107,0,0,0,108,0,56,31,108,160,36,161,108,0,0,221,109,226,193,252,109,0,144,60,111,192,58,194,111,0,0,128,112,0,133,160,112,124,219,39,113,0,0,232,113,16,237,8,114,0,224,112,114,0,128,84,115,0,22,223,115,136,82,106,116,0,0,48,117,224,223,81,117,0,0,167,118,70,76,201,118,0,148,53,119,0,0,0,120,0,176,34,120,64,12,179,120,0,0,128,121,0,31,163,121,0,0,18,122,52,73,53,122,0,160,152,123,0,0,0,125,0,34,36,125,24,130,186,125,0,0,144,126,160,149,180,126,24,102,8,0,243,94,3,0,88,94,3,0,97,0,0,0,1,0,0,0,29,0,0,0,29,0,0,0,30,0,0,0,30,0,0,0,31,0,0,0,31,0,0,0,32,0,0,0,0,0,0,0,28,102,8,0,118,95,3,0,88,94,3,0,52,1,0,0,1,0,0,0,32,102,8,0,247,95,3,0,88,94,3,0,166,1,0,0,1,0,0,0,36,102,8,0,45,96,3,0,90,96,3,0,14,0,0,0,1,0,0,0,40,102,8,0,165,96,3,0,90,96,3,0,22,0,0,0,1,0,0,0,44,102,8,0,48,98,3,0,248,96,3,0,116,1,0,0,1,0,0,0,48,102,8,0,118,98,3,0,248,96,3,0,124,1,0,0,1,0,0,0,52,102,8,0,187,98,3,0,248,96,3,0,132,1,0,0,1,0,0,0,56,102,8,0,1,99,3,0,248,96,3,0,140,1,0,0,1,0,0,0,60,102,8,0,59,99,3,0,248,96,3,0,148,1,0,0,1,0,0,0,1,0,0,0,2,0,0,0,3,0,0,0,4,0,0,0,5,0,0,0,6,0,0,0,7,0,0,0,0,0,0,0,64,102,8,0,109,99,3,0,248,96,3,0,155,1,0,0,1,0,0,0,8,0,0,0,9,0,0,0,10,0,0,0,11,0,0,0,12,0,0,0,13,0,0,0,14,0,0,0,0,0,0,0,68,102,8,0,159,99,3,0,248,96,3,0,162,1,0,0,1,0,0,0,72,102,8,0,217,99,3,0,248,96,3,0,170,1,0,0,1,0,0,0,76,102,8,0,185,101,3,0,248,96,3,0,156,3,0,0,1,0,0,0,15,0,0,0,16,0,0,0,17,0,0,0,18,0,0,0,19,0,0,0,20,0,0,0,21,0,0,0,0,0,0,0,80,102,8,0,252,101,3,0,248,96,3,0,164,3,0,0,1,0,0,0,22,0,0,0,23,0,0,0,24,0,0,0,25,0,0,0,26,0,0,0,27,0,0,0,28,0,0,0,0,0,0,0,84,102,8,0,68,102,3,0,248,96,3,0,171,3,0,0,1,0,0,0,29,0,0,0,30,0,0,0,31,0,0,0,32,0,0,0,33,0,0,0,34,0,0,0,35,0,0,0,0,0,0,0,88,102,8,0,122,102,3,0,248,96,3,0,224,3,0,0,1,0,0,0,36,0,0,0,37,0,0,0,38,0,0,0,39,0,0,0,40,0,0,0,41,0,0,0,42,0,0,0,0,0,0,0,92,102,8,0,190,102,3,0,248,96,3,0,233,3,0,0,1,0,0,0,43,0,0,0,44,0,0,0,45,0,0,0,46,0,0,0,47,0,0,0,48,0,0,0,49,0,0,0,0,0,0,0,96,102,8,0,0,103,3,0,248,96,3,0,241,3,0,0,1,0,0,0,50,0,0,0,51,0,0,0,52,0,0,0,53,0,0,0,54,0,0,0,55,0,0,0,56,0,0,0,0,0,0,0,100,102,8,0,54,103,3,0,248,96,3,0,14,4,0,0,1,0,0,0,57,0,0,0,58,0,0,0,59,0,0,0,60,0,0,0,61,0,0,0,62,0,0,0,63,0,0,0,0,0,0,0,104,102,8,0,157,104,3,0,248,96,3,0,154,4,0,0,1,0,0,0,64,0,0,0,65,0,0,0,66,0,0,0,67,0,0,0,68,0,0,0,69,0,0,0,70,0,0,0,0,0,0,0,108,102,8,0,209,105,3,0,248,96,3,0,171,6,0,0,1,0,0,0,71,0,0,0,72,0,0,0,73,0,0,0,74,0,0,0,75,0,0,0,76,0,0,0,77,0,0,0,0,0,0,0,0,0,0,0,216,46,0,0,80,0,0,0,81,0,0,0,82,0,0,0,22,0,0,0,83,0,0,0,0,0,0,0,200,46,0,0,84,0,0,0,85,0,0,0,86,0,0,0,22,0,0,0,87,0,0,0,0,0,0,0,184,46,0,0,88,0,0,0,89,0,0,0,90,0,0,0,22,0,0,0,91,0,0,0,0,0,0,0,168,46,0,0,92,0,0,0,93,0,0,0,94,0,0,0,22,0,0,0,95,0,0,0,0,0,0,0,152,46,0,0,96,0,0,0,97,0,0,0,98,0,0,0,22,0,0,0,99,0,0,0,0,0,0,0,136,46,0,0,100,0,0,0,101,0,0,0,102,0,0,0,22,0,0,0,103,0,0,0,0,0,0,0,120,46,0,0,104,0,0,0,105,0,0,0,41,0,0,0,16,0,0,0,17,0,0,0,18,0,0,0,19,0,0,0,0,0,0,0,104,46,0,0,104,0,0,0,106,0,0,0,42,0,0,0,16,0,0,0,17,0,0,0,18,0,0,0,19,0,0,0,0,0,0,0,88,46,0,0,104,0,0,0,107,0,0,0,43,0,0,0,16,0,0,0,17,0,0,0,18,0,0,0,19,0,0,0,0,0,0,0,72,46,0,0,104,0,0,0,108,0,0,0,44,0,0,0,16,0,0,0,17,0,0,0,18,0,0,0,19,0,0,0,0,0,0,0,56,46,0,0,104,0,0,0,109,0,0,0,45,0,0,0,16,0,0,0,17,0,0,0,18,0,0,0,19,0,0,0,0,0,0,0,248,45,0,0,104,0,0,0,110,0,0,0,46,0,0,0,16,0,0,0,17,0,0,0,18,0,0,0,19,0,0,0,0,0,0,0,24,46,0,0,111,0,0,0,112,0,0,0,113,0,0,0,22,0,0,0,114,0,0,0,0,0,0,0,8,46,0,0,13,0,0,0,115,0,0,0,116,0,0,0,117,0,0,0,141,107,3,0,147,107,3,0,152,107,3,0,159,107,3,0,5,125,7,0,165,107,3,0,173,107,3,0,181,107,3,0,29,119,3,0,29,119,3,0,180,223,17,0,180,223,17,0,34,119,3,0,38,119,3,0,34,119,3,0,42,119,3,0,132,102,8,0,87,120,3,0,102,110,3,0,155,12,0,0,1,0,0,0,0,0,0,195,0,0,254,194,0,0,252,194,0,0,250,194,0,0,248,194,0,0,246,194,0,0,244,194,0,0,242,194,0,0,240,194,0,0,238,194,0,0,236,194,0,0,234,194,0,0,232,194,0,0,230,194,0,0,228,194,0,0,226,194,0,0,224,194,0,0,222,194,0,0,220,194,0,0,218,194,0,0,216,194,0,0,214,194,0,0,212,194,0,0,210,194,0,0,208,194,0,0,206,194,0,0,204,194,0,0,202,194,0,0,200,194,0,0,198,194,0,0,196,194,0,0,194,194,0,0,192,194,0,0,190,194,0,0,188,194,0,0,186,194,0,0,184,194,0,0,182,194,0,0,180,194,0,0,178,194,0,0,176,194,0,0,174,194,0,0,172,194,0,0,170,194,0,0,168,194,0,0,166,194,0,0,164,194,0,0,162,194,0,0,160,194,0,0,158,194,0,0,156,194,0,0,154,194,0,0,152,194,0,0,150,194,0,0,148,194,0,0,146,194,0,0,144,194,0,0,142,194,0,0,140,194,0,0,138,194,0,0,136,194,0,0,134,194,0,0,132,194,0,0,130,194,0,0,128,194,0,0,124,194,0,0,120,194,0,0,116,194,0,0,112,194,0,0,108,194,0,0,104,194,0,0,100,194,0,0,96,194,0,0,92,194,0,0,88,194,0,0,84,194,0,0,80,194,0,0,76,194,0,0,72,194,0,0,68,194,0,0,64,194,0,0,60,194,0,0,56,194,0,0,52,194,0,0,48,194,0,0,44,194,0,0,40,194,0,0,36,194,0,0,32,194,0,0,28,194,0,0,24,194,0,0,20,194,0,0,16,194,0,0,12,194,0,0,8,194,0,0,4,194,0,0,0,194,0,0,248,193,0,0,240,193,0,0,232,193,0,0,224,193,0,0,216,193,0,0,208,193,0,0,200,193,0,0,192,193,0,0,184,193,0,0,176,193,0,0,168,193,0,0,160,193,0,0,152,193,0,0,144,193,0,0,136,193,0,0,128,193,0,0,112,193,0,0,96,193,0,0,80,193,0,0,64,193,0,0,48,193,0,0,32,193,0,0,16,193,0,0,0,193,0,0,224,192,0,0,192,192,0,0,160,192,0,0,128,192,0,0,64,192,0,0,0,192,0,0,128,191,0,0,0,0,0,0,128,63,0,0,0,64,0,0,64,64,0,0,128,64,0,0,160,64,0,0,192,64,0,0,224,64,0,0,0,65,0,0,16,65,0,0,32,65,0,0,48,65,0,0,64,65,0,0,80,65,0,0,96,65,0,0,112,65,0,0,128,65,0,0,136,65,0,0,144,65,0,0,152,65,0,0,160,65,0,0,168,65,0,0,176,65,0,0,184,65,0,0,192,65,0,0,200,65,0,0,208,65,0,0,216,65,0,0,224,65,0,0,232,65,0,0,240,65,0,0,248,65,0,0,0,66,0,0,4,66,0,0,8,66,0,0,12,66,0,0,16,66,0,0,20,66,0,0,24,66,0,0,28,66,0,0,32,66,0,0,36,66,0,0,40,66,0,0,44,66,0,0,48,66,0,0,52,66,0,0,56,66,0,0,60,66,0,0,64,66,0,0,68,66,0,0,72,66,0,0,76,66,0,0,80,66,0,0,84,66,0,0,88,66,0,0,92,66,0,0,96,66,0,0,100,66,0,0,104,66,0,0,108,66,0,0,112,66,0,0,116,66,0,0,120,66,0,0,124,66,0,0,128,66,0,0,130,66,0,0,132,66,0,0,134,66,0,0,136,66,0,0,138,66,0,0,140,66,0,0,142,66,0,0,144,66,0,0,146,66,0,0,148,66,0,0,150,66,0,0,152,66,0,0,154,66,0,0,156,66,0,0,158,66,0,0,160,66,0,0,162,66,0,0,164,66,0,0,166,66,0,0,168,66,0,0,170,66,0,0,172,66,0,0,174,66,0,0,176,66,0,0,178,66,0,0,180,66,0,0,182,66,0,0,184,66,0,0,186,66,0,0,188,66,0,0,190,66,0,0,192,66,0,0,194,66,0,0,196,66,0,0,198,66,0,0,200,66,0,0,202,66,0,0,204,66,0,0,206,66,0,0,208,66,0,0,210,66,0,0,212,66,0,0,214,66,0,0,216,66,0,0,218,66,0,0,220,66,0,0,222,66,0,0,224,66,0,0,226,66,0,0,228,66,0,0,230,66,0,0,232,66,0,0,234,66,0,0,236,66,0,0,238,66,0,0,240,66,0,0,242,66,0,0,244,66,0,0,246,66,0,0,248,66,0,0,250,66,0,0,252,66,0,0,254,66,0,0,0,67,0,0,1,67,0,0,2,67,0,0,3,67,0,0,4,67,0,0,5,67,0,0,6,67,0,0,7,67,0,0,8,67,0,0,9,67,0,0,10,67,0,0,11,67,0,0,12,67,0,0,13,67,0,0,14,67,0,0,15,67,0,0,16,67,0,0,17,67,0,0,18,67,0,0,19,67,0,0,20,67,0,0,21,67,0,0,22,67,0,0,23,67,0,0,24,67,0,0,25,67,0,0,26,67,0,0,27,67,0,0,28,67,0,0,29,67,0,0,30,67,0,0,31,67,0,0,32,67,0,0,33,67,0,0,34,67,0,0,35,67,0,0,36,67,0,0,37,67,0,0,38,67,0,0,39,67,0,0,40,67,0,0,41,67,0,0,42,67,0,0,43,67,0,0,44,67,0,0,45,67,0,0,46,67,0,0,47,67,0,0,48,67,0,0,49,67,0,0,50,67,0,0,51,67,0,0,52,67,0,0,53,67,0,0,54,67,0,0,55,67,0,0,56,67,0,0,57,67,0,0,58,67,0,0,59,67,0,0,60,67,0,0,61,67,0,0,62,67,0,0,63,67,0,0,64,67,0,0,65,67,0,0,66,67,0,0,67,67,0,0,68,67,0,0,69,67,0,0,70,67,0,0,71,67,0,0,72,67,0,0,73,67,0,0,74,67,0,0,75,67,0,0,76,67,0,0,77,67,0,0,78,67,0,0,79,67,0,0,80,67,0,0,81,67,0,0,82,67,0,0,83,67,0,0,84,67,0,0,85,67,0,0,86,67,0,0,87,67,0,0,88,67,0,0,89,67,0,0,90,67,0,0,91,67,0,0,92,67,0,0,93,67,0,0,94,67,0,0,95,67,0,0,96,67,0,0,97,67,0,0,98,67,0,0,99,67,0,0,100,67,0,0,101,67,0,0,102,67,0,0,103,67,0,0,104,67,0,0,105,67,0,0,106,67,0,0,107,67,0,0,108,67,0,0,109,67,0,0,110,67,0,0,111,67,0,0,112,67,0,0,113,67,0,0,114,67,0,0,115,67,0,0,116,67,0,0,117,67,0,0,118,67,0,0,119,67,0,0,120,67,0,0,121,67,0,0,122,67,0,0,123,67,0,0,124,67,0,0,125,67,0,0,126,67,0,0,127,67,60,0,0,0,0,0,0,0,24,47,0,0,118,0,0,0,119,0,0,0,196,255,255,255,196,255,255,255,24,47,0,0,120,0,0,0,121,0,0,0,20,198,0,0,252,46,0,0,16,47,0,0,40,198,0,0,172,166,13,0,222,165,3,0,2,164,3,0,137,6,0,0,1,0,0,0,14,0,0,0,15,0,0,0,16,0,0,0,17,0,0,0,18,0,0,0,19,0,0,0,20,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,9,0,0,0,10,0,0,0,0,0,0,0,11,0,0,0,12,0,0,0,0,0,0,0,13,0,0,0,0,0,0,0,14,0,0,0,15,0,0,0,0,0,0,0,16,0,0,0,17,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,19,0,0,0,20,0,0,0,0,0,0,0,21,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,40,47,0,0,30,0,0,0,122,0,0,0,20,0,0,0,0,0,0,0,56,47,0,0,123,0,0,0,124,0,0,0,21,0,0,0,176,166,13,0,32,167,3,0,2,164,3,0,33,10,0,0,1,0,0,0,0,0,0,0,72,47,0,0,125,0,0,0,126,0,0,0,22,0,0,0,180,166,13,0,5,168,3,0,2,164,3,0,85,11,0,0,1,0,0,0,184,166,13,0,99,168,3,0,2,164,3,0,183,11,0,0,1,0,0,0,188,166,13,0,156,168,3,0,2,164,3,0,228,11,0,0,1,0,0,0,192,166,13,0,106,170,3,0,191,169,3,0,87,2,0,0,1,0,0,0,196,166,13,0,231,173,3,0,254,170,3,0,23,2,0,0,1,0,0,0,200,166,13,0,215,174,3,0,74,174,3,0,97,0,0,0,1,0,0,0,204,166,13,0,131,177,3,0,75,175,3,0,68,4,0,0,1,0,0,0,208,166,13,0,62,178,3,0,242,177,3,0,93,1,0,0,1,0,0,0,0,0,0,0,88,47,0,0,127,0,0,0,128,0,0,0,1,0,0,0,0,0,0,0,96,47,0,0,129,0,0,0,130,0,0,0,1,0,0,0,131,0,0,0,0,0,0,0,104,47,0,0,132,0,0,0,133,0,0,0,1,0,0,0,134],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+40960);allocate([112,47,0,0,135,0,0,0,136,0,0,0,8,0,0,0,9,0,0,0,29,0,0,0,21,0,0,0,212,166,13,0,31,179,3,0,216,178,3,0,130,1,0,0,1,0,0,0,0,0,0,0,8,49,0,0,137,0,0,0,138,0,0,0,139,0,0,0,22,0,0,0,140,0,0,0,0,0,0,0,216,48,0,0,141,0,0,0,142,0,0,0,143,0,0,0,22,0,0,0,144,0,0,0,0,0,0,0,168,48,0,0,145,0,0,0,146,0,0,0,147,0,0,0,22,0,0,0,148,0,0,0,0,0,0,0,136,48,0,0,149,0,0,0,150,0,0,0,151,0,0,0,22,0,0,0,152,0,0,0,0,0,0,0,104,48,0,0,153,0,0,0,154,0,0,0,155,0,0,0,22,0,0,0,156,0,0,0,0,0,0,0,72,48,0,0,157,0,0,0,158,0,0,0,159,0,0,0,22,0,0,0,160,0,0,0,0,0,0,0,40,48,0,0,161,0,0,0,162,0,0,0,163,0,0,0,22,0,0,0,164,0,0,0,0,0,0,0,8,48,0,0,165,0,0,0,166,0,0,0,167,0,0,0,22,0,0,0,168,0,0,0,0,0,0,0,232,47,0,0,169,0,0,0,170,0,0,0,171,0,0,0,22,0,0,0,172,0,0,0,0,0,0,0,200,47,0,0,173,0,0,0,174,0,0,0,175,0,0,0,22,0,0,0,176,0,0,0,0,0,0,0,168,47,0,0,177,0,0,0,178,0,0,0,179,0,0,0,22,0,0,0,180,0,0,0,0,0,0,0,136,47,0,0,181,0,0,0,182,0,0,0,183,0,0,0,22,0,0,0,184,0,0,0,0,0,0,0,120,47,0,0,185,0,0,0,186,0,0,0,22,0,0,0,0,0,0,0,152,47,0,0,187,0,0,0,188,0,0,0,23,0,0,0,0,0,0,0,184,47,0,0,189,0,0,0,190,0,0,0,24,0,0,0,0,0,0,0,216,47,0,0,191,0,0,0,192,0,0,0,25,0,0,0,0,0,0,0,248,47,0,0,193,0,0,0,194,0,0,0,26,0,0,0,0,0,0,0,24,48,0,0,195,0,0,0,196,0,0,0,27,0,0,0,0,0,0,0,56,48,0,0,197,0,0,0,198,0,0,0,28,0,0,0,0,0,0,0,88,48,0,0,199,0,0,0,200,0,0,0,29,0,0,0,0,0,0,0,120,48,0,0,201,0,0,0,202,0,0,0,30,0,0,0,0,0,0,0,152,48,0,0,203,0,0,0,204,0,0,0,31,0,0,0,0,0,0,0,200,48,0,0,205,0,0,0,206,0,0,0,32,0,0,0,0,0,0,0,184,48,0,0,205,0,0,0,207,0,0,0,33,0,0,0,0,0,0,0,248,48,0,0,208,0,0,0,209,0,0,0,34,0,0,0,0,0,0,0,232,48,0,0,208,0,0,0,210,0,0,0,35,0,0,0,0,0,0,0,24,52,0,0,211,0,0,0,212,0,0,0,213,0,0,0,22,0,0,0,214,0,0,0,0,0,0,0,8,52,0,0,215,0,0,0,216,0,0,0,217,0,0,0,22,0,0,0,218,0,0,0,0,0,0,0,248,51,0,0,219,0,0,0,220,0,0,0,221,0,0,0,22,0,0,0,222,0,0,0,0,0,0,0,232,51,0,0,223,0,0,0,224,0,0,0,225,0,0,0,22,0,0,0,226,0,0,0,0,0,0,0,216,51,0,0,227,0,0,0,228,0,0,0,229,0,0,0,22,0,0,0,230,0,0,0,0,0,0,0,200,51,0,0,231,0,0,0,232,0,0,0,233,0,0,0,22,0,0,0,234,0,0,0,0,0,0,0,184,51,0,0,235,0,0,0,236,0,0,0,237,0,0,0,22,0,0,0,238,0,0,0,0,0,0,0,168,51,0,0,239,0,0,0,240,0,0,0,241,0,0,0,22,0,0,0,242,0,0,0,0,0,0,0,152,51,0,0,243,0,0,0,244,0,0,0,245,0,0,0,22,0,0,0,246,0,0,0,0,0,0,0,136,51,0,0,247,0,0,0,248,0,0,0,249,0,0,0,22,0,0,0,250,0,0,0,0,0,0,0,104,51,0,0,251,0,0,0,252,0,0,0,253,0,0,0,22,0,0,0,254,0,0,0,0,0,0,0,40,51,0,0,255,0,0,0,0,1,0,0,1,1,0,0,22,0,0,0,2,1,0,0,0,0,0,0,232,50,0,0,3,1,0,0,4,1,0,0,5,1,0,0,22,0,0,0,6,1,0,0,0,0,0,0,184,50,0,0,7,1,0,0,8,1,0,0,9,1,0,0,22,0,0,0,10,1,0,0,0,0,0,0,136,50,0,0,11,1,0,0,12,1,0,0,13,1,0,0,22,0,0,0,14,1,0,0,0,0,0,0,88,50,0,0,15,1,0,0,16,1,0,0,17,1,0,0,22,0,0,0,18,1,0,0,0,0,0,0,40,50,0,0,19,1,0,0,20,1,0,0,21,1,0,0,22,0,0,0,22,1,0,0,0,0,0,0,248,49,0,0,23,1,0,0,24,1,0,0,25,1,0,0,22,0,0,0,26,1,0,0,0,0,0,0,200,49,0,0,27,1,0,0,28,1,0,0,29,1,0,0,22,0,0,0,30,1,0,0,0,0,0,0,152,49,0,0,31,1,0,0,32,1,0,0,33,1,0,0,22,0,0,0,34,1,0,0,0,0,0,0,104,49,0,0,35,1,0,0,36,1,0,0,37,1,0,0,22,0,0,0,38,1,0,0,0,0,0,0,56,49,0,0,39,1,0,0,40,1,0,0,41,1,0,0,22,0,0,0,42,1,0,0,0,0,0,0,40,49,0,0,43,1,0,0,44,1,0,0,33,0,0,0,131,0,0,0,0,0,0,0,24,49,0,0,43,1,0,0,45,1,0,0,34,0,0,0,131,0,0,0,0,0,0,0,88,49,0,0,46,1,0,0,47,1,0,0,35,0,0,0,131,0,0,0,0,0,0,0,72,49,0,0,46,1,0,0,48,1,0,0,36,0,0,0,131,0,0,0,0,0,0,0,136,49,0,0,49,1,0,0,50,1,0,0,37,0,0,0,131,0,0,0,0,0,0,0,120,49,0,0,49,1,0,0,51,1,0,0,38,0,0,0,131,0,0,0,0,0,0,0,184,49,0,0,52,1,0,0,53,1,0,0,39,0,0,0,131,0,0,0,0,0,0,0,168,49,0,0,52,1,0,0,54,1,0,0,40,0,0,0,131,0,0,0,0,0,0,0,232,49,0,0,55,1,0,0,56,1,0,0,41,0,0,0,131,0,0,0,0,0,0,0,216,49,0,0,55,1,0,0,57,1,0,0,42,0,0,0,131,0,0,0,0,0,0,0,24,50,0,0,58,1,0,0,59,1,0,0,43,0,0,0,131,0,0,0,0,0,0,0,8,50,0,0,58,1,0,0,60,1,0,0,44,0,0,0,131,0,0,0,0,0,0,0,72,50,0,0,61,1,0,0,62,1,0,0,45,0,0,0,131,0,0,0,0,0,0,0,56,50,0,0,61,1,0,0,63,1,0,0,46,0,0,0,131,0,0,0,0,0,0,0,120,50,0,0,64,1,0,0,65,1,0,0,47,0,0,0,131,0,0,0,0,0,0,0,104,50,0,0,64,1,0,0,66,1,0,0,48,0,0,0,131,0,0,0,0,0,0,0,168,50,0,0,67,1,0,0,68,1,0,0,49,0,0,0,131,0,0,0,0,0,0,0,152,50,0,0,67,1,0,0,69,1,0,0,50,0,0,0,131,0,0,0,0,0,0,0,216,50,0,0,70,1,0,0,71,1,0,0,51,0,0,0,131,0,0,0,0,0,0,0,200,50,0,0,70,1,0,0,72,1,0,0,52,0,0,0,131,0,0,0,0,0,0,0,8,51,0,0,73,1,0,0,74,1,0,0,53,0,0,0,131,0,0,0,0,0,0,0,248,50,0,0,73,1,0,0,75,1,0,0,54,0,0,0,131,0,0,0,0,0,0,0,24,51,0,0,73,1,0,0,76,1,0,0,55,0,0,0,131,0,0,0,0,0,0,0,72,51,0,0,77,1,0,0,78,1,0,0,56,0,0,0,131,0,0,0,0,0,0,0,56,51,0,0,77,1,0,0,79,1,0,0,57,0,0,0,131,0,0,0,0,0,0,0,88,51,0,0,77,1,0,0,80,1,0,0,58,0,0,0,131,0,0,0,0,0,0,0,120,51,0,0,70,1,0,0,81,1,0,0,59,0,0,0,131,0,0,0,0,0,0,0,40,52,0,0,47,0,0,0,82,1,0,0,83,1,0,0,23,0,0,0,84,1,0,0,0,0,0,0,200,53,0,0,85,1,0,0,86,1,0,0,87,1,0,0,22,0,0,0,88,1,0,0,0,0,0,0,168,53,0,0,89,1,0,0,90,1,0,0,91,1,0,0,22,0,0,0,92,1,0,0,0,0,0,0,136,53,0,0,93,1,0,0,94,1,0,0,95,1,0,0,22,0,0,0,96,1,0,0,0,0,0,0,104,53,0,0,97,1,0,0,98,1,0,0,99,1,0,0,22,0,0,0,100,1,0,0,0,0,0,0,72,53,0,0,101,1,0,0,102,1,0,0,103,1,0,0,22,0,0,0,104,1,0,0,0,0,0,0,40,53,0,0,105,1,0,0,106,1,0,0,107,1,0,0,22,0,0,0,108,1,0,0,0,0,0,0,8,53,0,0,109,1,0,0,110,1,0,0,111,1,0,0,22,0,0,0,112,1,0,0,0,0,0,0,232,52,0,0,113,1,0,0,114,1,0,0,115,1,0,0,22,0,0,0,116,1,0,0,0,0,0,0,200,52,0,0,117,1,0,0,118,1,0,0,119,1,0,0,22,0,0,0,120,1,0,0,0,0,0,0,168,52,0,0,121,1,0,0,122,1,0,0,123,1,0,0,22,0,0,0,124,1,0,0,0,0,0,0,136,52,0,0,125,1,0,0,126,1,0,0,127,1,0,0,22,0,0,0,128,1,0,0,0,0,0,0,104,52,0,0,129,1,0,0,130,1,0,0,131,1,0,0,22,0,0,0,132,1,0,0,0,0,0,0,72,52,0,0,133,1,0,0,134,1,0,0,135,1,0,0,22,0,0,0,136,1,0,0,0,0,0,0,56,52,0,0,137,1,0,0,138,1,0,0,23,0,0,0,134,0,0,0,0,0,0,0,88,52,0,0,139,1,0,0,140,1,0,0,24,0,0,0,134,0,0,0,0,0,0,0,120,52,0,0,141,1,0,0,142,1,0,0,25,0,0,0,134,0,0,0,0,0,0,0,152,52,0,0,143,1,0,0,144,1,0,0,26,0,0,0,134,0,0,0,0,0,0,0,184,52,0,0,145,1,0,0,146,1,0,0,27,0,0,0,134,0,0,0,0,0,0,0,216,52,0,0,147,1,0,0,148,1,0,0,28,0,0,0,134,0,0,0,0,0,0,0,248,52,0,0,149,1,0,0,150,1,0,0,29,0,0,0,134,0,0,0,0,0,0,0,24,53,0,0,151,1,0,0,152,1,0,0,30,0,0,0,134,0,0,0,0,0,0,0,56,53,0,0,153,1,0,0,154,1,0,0,31,0,0,0,134,0,0,0,0,0,0,0,88,53,0,0,155,1,0,0,156,1,0,0,32,0,0,0,134,0,0,0,0,0,0,0,120,53,0,0,157,1,0,0,158,1,0,0,33,0,0,0,134,0,0,0,0,0,0,0,152,53,0,0,159,1,0,0,160,1,0,0,34,0,0,0,134,0,0,0,0,0,0,0,184,53,0,0,161,1,0,0,162,1,0,0,35,0,0,0,134,0,0,0,0,0,0,0,216,53,0,0,163,1,0,0,164,1,0,0,165,1,0,0,22,0,0,0,166,1,0,0,216,166,13,0,181,215,3,0,216,178,3,0,34,19,0,0,1,0,0,0,220,166,13,0,138,216,3,0,216,178,3,0,65,19,0,0,1,0,0,0,224,166,13,0,60,217,3,0,242,216,3,0,241,1,0,0,1,0,0,0,228,166,13,0,139,217,3,0,242,216,3,0,23,2,0,0,1,0,0,0,232,166,13,0,187,217,3,0,242,216,3,0,30,2,0,0,1,0,0,0,236,166,13,0,57,219,3,0,166,218,3,0,106,1,0,0,1,0,0,0,240,166,13,0,82,231,3,0,249,219,3,0,13,15,0,0,1,0,0,0,1,0,0,0,2,0,0,0,3,0,0,0,4,0,0,0,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,55,0,0,167,1,0,0,168,1,0,0,23,0,0,0,60,0,0,0,0,0,0,0,61,0,0,0,62,0,0,0,0,0,0,0,63,0,0,0,64,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,37,0,0,0,38,0,0,0,0,0,0,0,39,0,0,0,40,0,0,0,0,0,0,0,78,0,0,0,0,0,0,0,79,0,0,0,80,0,0,0,0,0,0,0,81,0,0,0,82,0,0,0,0,0,0,0,83,0,0,0,0,0,0,0,84,0,0,0,85,0,0,0,0,0,0,0,86,0,0,0,87,0,0,0,0,0,0,0,88,0,0,0,0,0,0,0,89,0,0,0,90,0,0,0,0,0,0,0,91,0,0,0,92,0,0,0,0,0,0,0,0,0,0,0,232,53,0,0,169,1,0,0,170,1,0,0,24,0,0,0,0,0,0,0,248,53,0,0,171,1,0,0,172,1,0,0,25,0,0,0,0,0,0,0,8,54,0,0,173,1,0,0,174,1,0,0,26,0,0,0,0,0,0,0,24,54,0,0,175,1,0,0,176,1,0,0,27,0,0,0,0,0,0,0,40,54,0,0,177,1,0,0,178,1,0,0,28,0,0,0,0,0,0,0,56,54,0,0,179,1,0,0,180,1,0,0,29,0,0,0,0,0,0,0,72,54,0,0,181,1,0,0,182,1,0,0,30,0,0,0,0,0,0,0,88,54,0,0,183,1,0,0,184,1,0,0,31,0,0,0,0,0,0,0,104,54,0,0,185,1,0,0,186,1,0,0,32,0,0,0,0,0,0,0,120,54,0,0,187,1,0,0,188,1,0,0,33,0,0,0,0,0,0,0,136,54,0,0,189,1,0,0,190,1,0,0,34,0,0,0,0,0,0,0,152,54,0,0,191,1,0,0,192,1,0,0,35,0,0,0,0,0,0,0,168,54,0,0,193,1,0,0,194,1,0,0,36,0,0,0,0,0,0,0,184,54,0,0,195,1,0,0,196,1,0,0,37,0,0,0,0,0,0,0,200,54,0,0,197,1,0,0,198,1,0,0,38,0,0,0,0,0,0,0,216,54,0,0,30,0,0,0,199,1,0,0,39,0,0,0,0,0,0,0,232,54,0,0,30,0,0,0,200,1,0,0,40,0,0,0,0,0,0,0,248,54,0,0,30,0,0,0,201,1,0,0,41,0,0,0,0,0,0,0,8,55,0,0,30,0,0,0,202,1,0,0,42,0,0,0,0,0,0,0,24,55,0,0,30,0,0,0,203,1,0,0,43,0,0,0,0,0,0,0,40,55,0,0,204,1,0,0,205,1,0,0,44,0,0,0,0,0,0,0,56,55,0,0,206,1,0,0,207,1,0,0,45,0,0,0,0,0,0,0,72,55,0,0,208,1,0,0,209,1,0,0,46,0,0,0,0,0,0,0,88,55,0,0,210,1,0,0,211,1,0,0,47,0,0,0,0,0,0,0,104,55,0,0,212,1,0,0,213,1,0,0,48,0,0,0,0,0,0,0,136,55,0,0,30,0,0,0,214,1,0,0,49,0,0,0,0,0,0,0,152,55,0,0,30,0,0,0,215,1,0,0,50,0,0,0,0,0,0,0,168,55,0,0,30,0,0,0,216,1,0,0,51,0,0,0,0,0,0,0,184,55,0,0,30,0,0,0,217,1,0,0,52,0,0,0,0,0,0,0,200,55,0,0,30,0,0,0,218,1,0,0,53,0,0,0,244,166,13,0,3,232,3,0,249,219,3,0,124,16,0,0,1,0,0,0,248,166,13,0,246,232,3,0,138,232,3,0,97,5,0,0,1,0,0,0,0,0,0,0,216,55,0,0,219,1,0,0,220,1,0,0,54,0,0,0,252,166,13,0,192,233,3,0,138,232,3,0,224,5,0,0,1,0,0,0,0,167,13,0,33,235,3,0,214,234,3,0,153,0,0,0,1,0,0,0,4,167,13,0,103,235,3,0,214,234,3,0,232,0,0,0,1,0,0,0,8,167,13,0,207,235,3,0,214,234,3,0,11,1,0,0,1,0,0,0,12,167,13,0,103,236,3,0,214,234,3,0,44,1,0,0,1,0,0,0,16,167,13,0,228,236,3,0,214,234,3,0,186,3,0,0,1,0,0,0,20,167,13,0,85,238,3,0,124,237,3,0,161,1,0,0,1,0,0,0,24,167,13,0,166,238,3,0,124,237,3,0,213,1,0,0,1,0,0,0,28,167,13,0,243,238,3,0,124,237,3,0,18,3,0,0,1,0,0,0,0,0,0,0,0,0,128,63,0,0,0,0,0,0,128,63,0,0,128,192,0,0,128,63,0,0,0,0,0,0,128,63,0,0,0,0,0,0,0,64,0,0,0,0,0,0,0,64,0,0,0,0,0,0,0,193,0,0,0,0,0,0,0,64,0,0,0,0,0,0,0,64,56,167,13,0,212,240,3,0,90,239,3,0,177,3,0,0,1,0,0,0,0,0,0,0,248,55,0,0,221,1,0,0,222,1,0,0,55,0,0,0,36,167,13,0,75,240,3,0,90,239,3,0,3,4,0,0,0,0,0,0,32,167,13,0,65,240,3,0,90,239,3,0,22,4,0,0,0,0,0,128,0,0,0,0,232,55,0,0,30,0,0,0,223,1,0,0,56,0,0,0,52,167,13,0,123,240,3,0,90,239,3,0,105,1,0,0,1,0,0,0,48,167,13,0,114,240,3,0,90,239,3,0,116,1,0,0,0,0,0,0,44,167,13,0,104,240,3,0,90,239,3,0,132,1,0,0,0,0,0,128,40,167,13,0,93,240,3,0,90,239,3,0,248,2,0,0,0,0,0,128,68,167,13,0,131,241,3,0,90,239,3,0,30,4,0,0,1,0,0,0,64,167,13,0,75,240,3,0,90,239,3,0,75,4,0,0,0,0,0,0,60,167,13,0,65,240,3,0,90,239,3,0,94,4,0,0,0,0,0,128,76,167,13,0,200,245,3,0,83,242,3,0,97,3,0,0,1,0,0,0,80,167,13,0,172,246,3,0,83,242,3,0,165,4,0,0,1,0,0,0,84,167,13,0,121,247,3,0,83,242,3,0,242,5,0,0,1,0,0,0,88,167,13,0,132,248,3,0,83,242,3,0,79,7,0,0,1,0,0,0,92,167,13,0,126,249,3,0,83,242,3,0,134,7,0,0,1,0,0,0,96,167,13,0,15,250,3,0,83,242,3,0,4,13,0,0,1,0,0,0,0,0,0,0,24,56,0,0,30,0,0,0,224,1,0,0,57,0,0,0,0,0,0,0,8,56,0,0,30,0,0,0,225,1,0,0,58,0,0,0,0,0,0,0,40,56,0,0,30,0,0,0,226,1,0,0,59,0,0,0,100,167,13,0,83,253,3,0,149,250,3,0,20,1,0,0,1,0,0,0,104,167,13,0,46,2,4,0,29,255,3,0,128,6,0,0,1,0,0,0,0,0,0,0,0,0,0,63,0,0,128,62,171,170,42,62,0,0,0,62,205,204,204,61,171,170,170,61,40,73,146,61,0,0,128,61,0,0,0,0,56,56,0,0,227,1,0,0,228,1,0,0,60,0,0,0,0,0,0,0,72,56,0,0,229,1,0,0,230,1,0,0,61,0,0,0,0,0,0,0,88,56,0,0,231,1,0,0,232,1,0,0,62,0,0,0,0,0,0,0,104,56,0,0,233,1,0,0,234,1,0,0,63,0,0,0,0,0,0,0,120,56,0,0,235,1,0,0,236,1,0,0,64,0,0,0,0,0,0,0,136,56,0,0,237,1,0,0,238,1,0,0,65,0,0,0,108,167,13,0,96,3,4,0,140,2,4,0,60,5,0,0,1,0,0,0,112,167,13,0,63,4,4,0,140,2,4,0,167,5,0,0,1,0,0,0,116,167,13,0,201,4,4,0,122,4,4,0,179,0,0,0,1,0,0,0,120,167,13,0,174,5,4,0,96,5,4,0,46,0,0,0,1,0,0,0,0,0,0,0,40,57,0,0,239,1,0,0,240,1,0,0,241,1,0,0,22,0,0,0,242,1,0,0,0,0,0,0,152,56,0,0,243,1,0,0,244,1,0,0,29,0,0,0,4,0,0,0,5,0,0,0,8,0,0,0,6,0,0,0,7,0,0,0,47,0,0,0,1,0,0,0,1,0,0,0,66,0,0,0,67,0,0,0,245,1,0,0,124,167,13,0,211,8,4,0,28,6,4,0,93,1,0,0,1,0,0,0,0,0,0,0,24,57,0,0,246,1,0,0,247,1,0,0,248,1,0,0,22,0,0,0,249,1,0,0,0,0,0,0,8,57,0,0,250,1,0,0,251,1,0,0,68,0,0,0,0,0,0,0,248,56,0,0,252,1,0,0,253,1,0,0,254,1,0,0,22,0,0,0,255,1,0,0,0,0,0,0,232,56,0,0,0,2,0,0,1,2,0,0,69,0,0,0,0,0,0,0,216,56,0,0,2,2,0,0,3,2,0,0,4,2,0,0,22,0,0,0,5,2,0,0,0,0,0,0,200,56,0,0,6,2,0,0,7,2,0,0,70,0,0,0,0,0,0,0,184,56,0,0,8,2,0,0,9,2,0,0,10,2,0,0,22,0,0,0,11,2,0,0,0,0,0,0,168,56,0,0,12,2,0,0,13,2,0,0,71,0,0,0,0,0,0,0,104,58,0,0,14,2,0,0,15,2,0,0,16,2,0,0,22,0,0,0,17,2,0,0,0,0,0,0,88,58,0,0,18,2,0,0,19,2,0,0,20,2,0,0,22,0,0,0,21,2,0,0,0,0,0,0,72,58,0,0,22,2,0,0,23,2,0,0,24,2,0,0,22,0,0,0,25,2,0,0,0,0,0,0,56,58,0,0,26,2,0,0,27,2,0,0,28,2,0,0,22,0,0,0,29,2,0,0,0,0,0,0,40,58,0,0,30,2,0,0,31,2,0,0,32,2,0,0,22,0,0,0,33,2,0,0,0,0,0,0,24,58,0,0,34,2,0,0,35,2,0,0,36,2,0,0,22,0,0,0,37,2,0,0,0,0,0,0,8,58,0,0,38,2,0,0,39,2,0,0,40,2,0,0,22,0,0,0,41,2,0,0,0,0,0,0,248,57,0,0,42,2,0,0,43,2,0,0,44,2,0,0,22,0,0,0,45,2,0,0,0,0,0,0,232,57,0,0,46,2,0,0,47,2,0,0,48,2,0,0,22,0,0,0,49,2,0,0,0,0,0,0,216,57,0,0,50,2,0,0,51,2,0,0,52,2,0,0,22,0,0,0,53,2,0,0,0,0,0,0,200,57,0,0,127,0,0,0,54,2,0,0,36,0,0,0,0,0,0,0,184,57,0,0,127,0,0,0,55,2,0,0,37,0,0,0,0,0,0,0,168,57,0,0,127,0,0,0,56,2,0,0,38,0,0,0,0,0,0,0,152,57,0,0,127,0,0,0,57,2,0,0,39,0,0,0,0,0,0,0,136,57,0,0,127,0,0,0,58,2,0,0,40,0,0,0,0,0,0,0,120,57,0,0,127,0,0,0,59,2,0,0,41,0,0,0,0,0,0,0,104,57,0,0,127,0,0,0,60,2,0,0,42,0,0,0,0,0,0,0,88,57,0,0,127,0,0,0,61,2,0,0,43,0,0,0,0,0,0,0,72,57,0,0,127,0,0,0,62,2,0,0,44,0,0,0,0,0,0,0,56,57,0,0,127,0,0,0,63,2,0,0,45,0,0,0,0,0,0,0,232,59,0,0,64,2,0,0,65,2,0,0,66,2,0,0,22,0,0,0,67,2,0,0,0,0,0,0,216,59,0,0,68,2,0,0,69,2,0,0,65,0,0,0,70,2,0,0,0,0,0,0,168,59,0,0,71,2,0,0,72,2,0,0,73,2,0,0,22,0,0,0,74,2,0,0,0,0,0,0,152,59,0,0,75,2,0,0,76,2,0,0,66,0,0,0,77,2,0,0,0,0,0,0,136,59,0,0,78,2,0,0,79,2,0,0,80,2,0,0,22,0,0,0,81,2,0,0,0,0,0,0,120,59,0,0,82,2,0,0,83,2,0,0,67,0,0,0,84,2,0,0,0,0,0,0,104,59,0,0,85,2,0,0,86,2,0,0,87,2,0,0,22,0,0,0,88,2,0,0,0,0,0,0,88,59,0,0,89,2,0,0,90,2,0,0,68,0,0,0,91,2,0,0,0,0,0,0,72,59,0,0,92,2,0,0,93,2,0,0,94,2,0,0,22,0,0,0,95,2,0,0,0,0,0,0,56,59,0,0,96,2,0,0,97,2,0,0,69,0,0,0,98,2,0,0,0,0,0,0,40,59,0,0,99,2,0,0,100,2,0,0,101,2,0,0,22,0,0,0,102,2,0,0,0,0,0,0,24,59,0,0,103,2,0,0,104,2,0,0,70,0,0,0,105,2,0,0,0,0,0,0,8,59,0,0,106,2,0,0,107,2,0,0,108,2,0,0,22,0,0,0,109,2,0,0,0,0,0,0,248,58,0,0,110,2,0,0,111,2,0,0,71,0,0,0,112,2,0,0,0,0,0,0,232,58,0,0,113,2,0,0,114,2,0,0,115,2,0,0,22,0,0,0,116,2,0,0,0,0,0,0,216,58,0,0,117,2,0,0,118,2,0,0,72,0,0,0,119,2,0,0,0,0,0,0,200,58,0,0,120,2,0,0,121,2,0,0,122,2,0,0,22,0,0,0,123,2,0,0,0,0,0,0,184,58,0,0,124,2,0,0,125,2,0,0,73,0,0,0,126,2,0,0,0,0,0,0,168,58,0,0,127,2,0,0,128,2,0,0,129,2,0,0,22,0,0,0,130,2,0,0,0,0,0,0,152,58,0,0,131,2,0,0,132,2,0,0,74,0,0,0,133,2,0,0,0,0,0,0,136,58,0,0,134,2,0,0,135,2,0,0,136,2,0,0,22,0,0,0,137,2,0,0,0,0,0,0,120,58,0,0,138,2,0,0,139,2,0,0,75,0,0,0,140,2,0,0,0,0,0,0,200,59,0,0,141,2,0,0,142,2,0,0,143,2,0,0,22,0,0,0,144,2,0,0,0,0,0,0,184,59,0,0,145,2,0,0,146,2,0,0,76,0,0,0,147,2,0,0,128,167,13,0,143,18,4,0,208,9,4,0,252,5,0,0,1,0,0,0,132,167,13,0,216,18,4,0,208,9,4,0,45,6,0,0,1,0,0,0,136,167,13,0,235,20,4,0,208,9,4,0,127,6,0,0,1,0,0,0,0,0,0,0,136,60,0,0,148,2,0,0,149,2,0,0,150,2,0,0,22,0,0,0,151,2,0,0,0,0,0,0,120,60,0,0,152,2,0,0,153,2,0,0,154,2,0,0,22,0,0,0,155,2,0,0,0,0,0,0,104,60,0,0,156,2,0,0,157,2,0,0,158,2,0,0,22,0,0,0,159,2,0,0,0,0,0,0,88,60,0,0,160,2,0,0,161,2,0,0,162,2,0,0,22,0,0,0,163,2,0,0,0,0,0,0,72,60,0,0,164,2,0,0,165,2,0,0,166,2,0,0,22,0,0,0,167,2,0,0,0,0,0,0,56,60,0,0,127,0,0,0,168,2,0,0,46,0,0,0,0,0,0,0,40,60,0,0,127,0,0,0,169,2,0,0,47,0,0,0,0,0,0,0,24,60,0,0,127,0,0,0,170,2,0,0,48,0,0,0,0,0,0,0,8,60,0,0,127,0,0,0,171,2,0,0,49,0,0,0,0,0,0,0,248,59,0,0,127,0,0,0,172,2,0,0,50,0,0,0,0,0,128,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,62,0,0,0,63,0,0,128,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,61,0,0,128,62,0,0,192,62,0,0,128,62,0,0,128,61,0,0,0,0,0,0,0,0,0,0,0,61,0,0,224,61,0,0,96,62,0,0,144,62,0,0,96,62,0,0,224,61,0,0,0,61,140,167,13,0,19,22,4,0,208,9,4,0,240,15,0,0,1,0,0,0,0,0,0,0,152,60,0,0,30,0,0,0,173,2,0,0,72,0,0,0,144,167,13,0,11,23,4,0,208,9,4,0,16,20,0,0,1,0,0,0,148,167,13,0,147,24,4,0,208,9,4,0,52,23,0,0,1,0,0,0,0,0,0,0,184,60,0,0,30,0,0,0,174,2,0,0,73,0,0,0,0,0,0,0,168,60,0,0,30,0,0,0,175,2,0,0,74,0,0,0,152,167,13,0,223,24,4,0,15,25,4,0,94,0,0,0,1,0,0,0,156,167,13,0,100,25,4,0,15,25,4,0,194,3,0,0,1,0,0,0,0,0,0,0,86,248,142,60,199,242,14,61,70,94,86,61,127,220,142,61,176,126,178,61,10,19,214,61,157,150,249,61,101,131,14,62,94,48,32,62,213,208,49,62,111,99,67,62,206,230,84,62,149,89,102,62,96,186,119,62,237,131,132,62,88,32,141,62,190,177,149,62,122,55,158,62,224,176,166,62,66,29,175,62,255,123,183,62,112,204,191,62,232,13,200,62,200,63,208,62,109,97,216,62,45,114,224,62,113,113,232,62,149,94,240,62,247,56,248,62,0,0,0,63,137,217,3,63,203,168,7,63,118,109,11,63,68,39,15,63,231,213,18,63,25,121,22,63,140,16,26,63,254,155,29,63,36,27,33,63,186,141,36,63,124,243,39,63,37,76,43,63,114,151,46,63,34,213,49,63,244,4,53,63,167,38,56,63,255,57,59,63,189,62,62,63,166,52,65,63,124,27,68,63,10,243,70,63,19,187,73,63,96,115,76,63,189,27,79,63,242,179,81,63,207,59,84,63,30,179,86,63,174,25,89,63,81,111,91,63,215,179,93,63,20,231,95,63,219,8,98,63,1,25,100,63,93,23,102,63,202,3,104,63,30,222,105,63,54,166,107,63,237,91,109,63,32,255,110,63,178,143,112,63,130,13,114,63,112,120,115,63,100,208,116,63,63,21,118,63,234,70,119,63,77,101,120,63,82,112,121,63,226,103,122,63,236,75,123,63,93,28,124,63,36,217,124,63,54,130,125,63,130,23,126,63,253,152,126,63,158,6,127,63,92,96,127,63,47,166,127,63,19,216,127,63,5,246,127,63,0,0,128,63,5,246,127,63,19,216,127,63,47,166,127,63,92,96,127,63,158,6,127,63,253,152,126,63,130,23,126,63,54,130,125,63,36,217,124,63,93,28,124,63,236,75,123,63,226,103,122,63,82,112,121,63,77,101,120,63,234,70,119,63,63,21,118,63,100,208,116,63,112,120,115,63,130,13,114,63,178,143,112,63,32,255,110,63,237,91,109,63,54,166,107,63,30,222,105,63,202,3,104,63,93,23,102,63,1,25,100,63,219,8,98,63,20,231,95,63,215,179,93,63,81,111,91,63,174,25,89,63,30,179,86,63,207,59,84,63,242,179,81,63,189,27,79,63,96,115,76,63,19,187,73,63,10,243,70,63,124,27,68,63,166,52,65,63,189,62,62,63,255,57,59,63,167,38,56,63,244,4,53,63,34,213,49,63,114,151,46,63,37,76,43,63,124,243,39,63,186,141,36,63,36,27,33,63,254,155,29,63,140,16,26,63,25,121,22,63,231,213,18,63,68,39,15,63,118,109,11,63,203,168,7,63,137,217,3,63,0,0,0,63,247,56,248,62,149,94,240,62,113,113,232,62,45,114,224,62,109,97,216,62,200,63,208,62,232,13,200,62,112,204,191,62,255,123,183,62,66,29,175,62,224,176,166,62,122,55,158,62,190,177,149,62,88,32,141,62,237,131,132,62,96,186,119,62,149,89,102,62,206,230,84,62,111,99,67,62,213,208,49,62,94,48,32,62,101,131,14,62,157,150,249,61,10,19,214,61,176,126,178,61,127,220,142,61,70,94,86,61,199,242,14,61,86,248,142,60,0,0,0,0,86,248,142,188,199,242,14,189,70,94,86,189,127,220,142,189,176,126,178,189,10,19,214,189,157,150,249,189,101,131,14,190,94,48,32,190,213,208,49,190,111,99,67,190,206,230,84,190,149,89,102,190,96,186,119,190,237,131,132,190,88,32,141,190,190,177,149,190,122,55,158,190,224,176,166,190,66,29,175,190,255,123,183,190,112,204,191,190,232,13,200,190,200,63,208,190,109,97,216,190,45,114,224,190,113,113,232,190,149,94,240,190,247,56,248,190,0,0,0,191,137,217,3,191,203,168,7,191,118,109,11,191,68,39,15,191,231,213,18,191,25,121,22,191,140,16,26,191,254,155,29,191,36,27,33,191,186,141,36,191,124,243,39,191,37,76,43,191,114,151,46,191,34,213,49,191,244,4,53,191,167,38,56,191,255,57,59,191,189,62,62,191,166,52,65,191,124,27,68,191,10,243,70,191,19,187,73,191,96,115,76,191,189,27,79,191,242,179,81,191,207,59,84,191,30,179,86,191,174,25,89,191,81,111,91,191,215,179,93,191,20,231,95,191,219,8,98,191,1,25,100,191,93,23,102,191,202,3,104,191,30,222,105,191,54,166,107,191,237,91,109,191,32,255,110,191,178,143,112,191,130,13,114,191,112,120,115,191,100,208,116,191,63,21,118,191,234,70,119,191,77,101,120,191,82,112,121,191,226,103,122,191,236,75,123,191,93,28,124,191,36,217,124,191,54,130,125,191,130,23,126,191,253,152,126,191,158,6,127,191,92,96,127,191,47,166,127,191,19,216,127,191,5,246,127,191,0,0,128,191,5,246,127,191,19,216,127,191,47,166,127,191,92,96,127,191,158,6,127,191,253,152,126,191,130,23,126,191,54,130,125,191,36,217,124,191,93,28,124,191,236,75,123,191,226,103,122,191,82,112,121,191,77,101,120,191,234,70,119,191,63,21,118,191,100,208,116,191,112,120,115,191,130,13,114,191,178,143,112,191,32,255,110,191,237,91,109,191,54,166,107,191,30,222,105,191,202,3,104,191,93,23,102,191,1,25,100,191,219,8,98,191,20,231,95,191,215,179,93,191,81,111,91,191,174,25,89,191,30,179,86,191,207,59,84,191,242,179,81,191,189,27,79,191,96,115,76,191,19,187,73,191,10,243,70,191,124,27,68,191,166,52,65,191,189,62,62,191,255,57,59,191,167,38,56,191,244,4,53,191,34,213,49,191,114,151,46,191,37,76,43,191,124,243,39,191,186,141,36,191,36,27,33,191,254,155,29,191,140,16,26,191,25,121,22,191,231,213,18,191,68,39,15,191,118,109,11,191,203,168,7,191,137,217,3,191,0,0,0,191,247,56,248,190,149,94,240,190,113,113,232,190,45,114,224,190,109,97,216,190,200,63,208,190,232,13,200,190,112,204,191,190,255,123,183,190,66,29,175,190,224,176,166,190,122,55,158,190,190,177,149,190,88,32,141,190,237,131,132,190,96,186,119,190,149,89,102,190,206,230,84,190,111,99,67,190,213,208,49,190,94,48,32,190,101,131,14,190,157,150,249,189,10,19,214,189,176,126,178,189,127,220,142,189,70,94,86,189,199,242,14,189,86,248,142,188,0,0,0,128,86,248,142,60,199,242,14,61,70,94,86,61,127,220,142,61,176,126,178,61,10,19,214,61,157,150,249,61,101,131,14,62,94,48,32,62,213,208,49,62,111,99,67,62,206,230,84,62,149,89,102,62,96,186,119,62,237,131,132,62,88,32,141,62,190,177,149,62,122,55,158,62,224,176,166,62,66,29,175,62,255,123,183,62,112,204,191,62,232,13,200,62,200,63,208,62,109,97,216,62,45,114,224,62,113,113,232,62,149,94,240,62,247,56,248,62,0,0,0,63,137,217,3,63,203,168,7,63,118,109,11,63,68,39,15,63,231,213,18,63,25,121,22,63,140,16,26,63,254,155,29,63,36,27,33,63,186,141,36,63,124,243,39,63,37,76,43,63,114,151,46,63,34,213,49,63,244,4,53,63,167,38,56,63,255,57,59,63,189,62,62,63,166,52,65,63,124,27,68,63,10,243,70,63,19,187,73,63,96,115,76,63,189,27,79,63,242,179,81,63,207,59,84,63,30,179,86,63,174,25,89,63,81,111,91,63,215,179,93,63,20,231,95,63,219,8,98,63,1,25,100,63,93,23,102,63,202,3,104,63,30,222,105,63,54,166,107,63,237,91,109,63,32,255,110,63,178,143,112,63,130,13,114,63,112,120,115,63,100,208,116,63,63,21,118,63,234,70,119,63,77,101,120,63,82,112,121,63,226,103,122,63,236,75,123,63,93,28,124,63,36,217,124,63,54,130,125,63,130,23,126,63,253,152,126,63,158,6,127,63,92,96,127,63,47,166,127,63,19,216,127,63,5,246,127,63,0,0,128,63,160,167,13,0,99,26,4,0,15,25,4,0,12,7,0,0,1,0,0,0,168,0,0,0,177,0,0,0,185,0,0,0,194,0,0,0,202,0,0,0,210,0,0,0,218,0,0,0,224,0,0,0,231,0,0,0,236,0,0,0,241,0,0,0,246,0,0,0,249,0,0,0,252,0,0,0,254,0,0,0,254,0,0,0,254,0,0,0,254,0,0,0,252,0,0,0,249,0,0,0,246,0,0,0,241,0,0,0,236,0,0,0,231,0,0,0,224,0,0,0,218,0,0,0,210,0,0,0,202,0,0,0,194,0,0,0,185,0,0,0,177,0,0,0,168,0,0,0,158,0,0,0,149,0,0,0,140,0,0,0,131,0,0,0,122,0,0,0,114,0,0,0,105,0,0,0,97,0,0,0,89,0,0,0,82,0,0,0,75,0,0,0,68,0,0,0,62,0,0,0,56,0,0,0,50,0,0,0,45,0,0,0,40,0,0,0,36,0,0,0,32,0,0,0,28,0,0,0,25,0,0,0,22,0,0,0,19,0,0,0,16,0,0,0,14,0,0,0,12,0,0,0,11,0,0,0,9,0,0,0,8,0,0,0,7,0,0,0,5,0,0,0,5,0,0,0,164,167,13,0,213,26,4,0,15,25,4,0,51,7,0,0,1,0,0,0,168,167,13,0,39,27,4,0,15,25,4,0,84,7,0,0,1,0,0,0,172,167,13,0,197,27,4,0,15,25,4,0,95,7,0,0,1,0,0,0,176,167,13,0,127,28,4,0,15,25,4,0,127,7,0,0,1,0,0,0,180,167,13,0,48,29,4,0,15,25,4,0,157,7,0,0,1,0,0,0,184,167,13,0,164,29,4,0,15,25,4,0,219,8,0,0,1,0,0,0,69,17,0,0,199,0,0,0,214,0,0,0,217,0,0,0,233,0,0,0,219,0,0,0,197,0,0,0,234,0,0,0,216,0,0,0,221,0,0,0,222,0,0,0,228,0,0,0,225,0,0,0,211,0,0,0,224,0,0,0,210,0,0,0,220,0,0,0,200,0,0,0,201,0,0,0,202,0,0,0,203,0,0,0,204,0,0,0,205,0,0,0,206,0,0,0,207,0,0,0,208,0,0,0,209,0,0,0,212,0,0,0,213,0,0,0,191,0,0,0,226,0,0,0,192,0,0,0,215,0,0,0,190,0,0,0,51,0,0,0,52,0,0,0,53,0,0,0,54,0,0,0,55,0,0,0,56,0,0,0,57,0,0,0,58,0,0,0,59,0,0,0,60,0,0,0,61,0,0,0,62,0,0,0,63,0,0,0,64,0,0,0,65,0,0,0,66,0,0,0,67,0,0,0,68,0,0,0,69,0,0,0,70,0,0,0,71,0,0,0,72,0,0,0,73,0,0,0,74,0,0,0,75,0,0,0,76,0,0,0,193,0,0,0,84,0,0,0,194,0,0,0,85,0,0,0,86,0,0,0,87,0,0,0,151,0,0,0,152,0,0,0,153,0,0,0,154,0,0,0,155,0,0,0,156,0,0,0,157,0,0,0,158,0,0,0,159,0,0,0,160,0,0,0,161,0,0,0,162,0,0,0,163,0,0,0,164,0,0,0,165,0,0,0,166,0,0,0,167,0,0,0,168,0,0,0,169,0,0,0,170,0,0,0,171,0,0,0,172,0,0,0,173,0,0,0,174,0,0,0,175,0,0,0,176,0,0,0,195,0,0,0,223,0,0,0,196,0,0,0,88,0,0,0,69,16,0,0,199,0,0,0,214,0,0,0,217,0,0,0,233,0,0,0,219,0,0,0,197,0,0,0,234,0,0,0,216,0,0,0,221,0,0,0,222,0,0,0,228,0,0,0,225,0,0,0,211,0,0,0,224,0,0,0,210,0,0,0,220,0,0,0,200,0,0,0,201,0,0,0,202,0,0,0,203,0,0,0,204,0,0,0,205,0,0,0,206,0,0,0,207,0,0,0,208,0,0,0,209,0,0,0,212,0,0,0,213,0,0,0,191,0,0,0,226,0,0,0,192,0,0,0,215,0,0,0,190,0,0,0,1,0,0,0,2,0,0,0,3,0,0,0,4,0,0,0,5,0,0,0,6,0,0,0,7,0,0,0,8,0,0,0,9,0,0,0,10,0,0,0,11,0,0,0,12,0,0,0,13,0,0,0,14,0,0,0,15,0,0,0,16,0,0,0,17,0,0,0,18,0,0,0,19,0,0,0,20,0,0,0,21,0,0,0,22,0,0,0,23,0,0,0,24,0,0,0,25,0,0,0,26,0,0,0,193,0,0,0,84,0,0,0,194,0,0,0,85,0,0,0,86,0,0,0,87,0,0,0,101,0,0,0,102,0,0,0,103,0,0,0,104,0,0,0,105,0,0,0,106,0,0,0,107,0,0,0,108,0,0,0,109,0,0,0,110,0,0,0,111,0,0,0,112,0,0,0,113,0,0,0,114,0,0,0,115,0,0,0,116,0,0,0,117,0,0,0,118,0,0,0,119,0,0,0,120,0,0,0,121,0,0,0,122,0,0,0,123,0,0,0,124,0,0,0,125,0,0,0,126,0,0,0,195,0,0,0,223,0,0,0,196,0,0,0,88,0,0,0,201,55,0,0,151,8,0,0,204,10,0,0,218,10,0,0,222,10,0,0,209,10,0,0,223,10,0,0,208,10,0,0,217,10,0,0,211,10,0,0,212,10,0,0,171,8,0,0,184,8,0,0,163,8,0,0,183,8,0,0,162,8,0,0,172,8,0,0,190,10,0,0,191,10,0,0,192,10,0,0,193,10,0,0,194,10,0,0,195,10,0,0,196,10,0,0,197,10,0,0,198,10,0,0,199,10,0,0,164,8,0,0,165,8,0,0,193,8,0,0,190,8,0,0,194,8,0,0,205,10,0,0,225,8,0,0,3,8,0,0,4,8,0,0,5,8,0,0,6,8,0,0,7,8,0,0,8,8,0,0,9,8,0,0,10,8,0,0,11,8,0,0,12,8,0,0,13,8,0,0,14,8,0,0,15,8,0,0,16,8,0,0,17,8,0,0,18,8,0,0,19,8,0,0,20,8,0,0,21,8,0,0,22,8,0,0,23,8,0,0,24,8,0,0,25,8,0,0,26,8,0,0,27,8,0,0,28,8,0,0,175,8,0,0,36,8,0,0,176,8,0,0,199,8,0,0,75,2,0,0,201,8,0,0,103,8,0,0,104,8,0,0,105,8,0,0,106,8,0,0,107,8,0,0,108,8,0,0,109,8,0,0,110,8,0,0,111,8,0,0,112,8,0,0,113,8,0,0,114,8,0,0,115,8,0,0,116,8,0,0,117,8,0,0,118,8,0,0,119,8,0,0,120,8,0,0,121,8,0,0,122,8,0,0,123,8,0,0,124,8,0,0,125,8,0,0,126,8,0,0,127,8,0,0,128,8,0,0,177,8,0,0,181,8,0,0,178,8,0,0,198,8,0,0,201,48,0,0,151,8,0,0,166,8,0,0,169,8,0,0,227,8,0,0,226,8,0,0,223,8,0,0,224,8,0,0,168,8,0,0,173,8,0,0,174,8,0,0,171,8,0,0,184,8,0,0,163,8,0,0,183,8,0,0,162,8,0,0,172,8,0,0,152,8,0,0,153,8,0,0,154,8,0,0,155,8,0,0,156,8,0,0,157,8,0,0,158,8,0,0,159,8,0,0,160,8,0,0,161,8,0,0,164,8,0,0,165,8,0,0,193,8,0,0,190,8,0,0,194,8,0,0,167,8,0,0,225,8,0,0,209,7,0,0,210,7,0,0,211,7,0,0,212,7,0,0,213,7,0,0,214,7,0,0,215,7,0,0,216,7,0,0,217,7,0,0,218,7,0,0,219,7,0,0,220,7,0,0,221,7,0,0,222,7,0,0,223,7,0,0,224,7,0,0,225,7,0,0,226,7,0,0,227,7,0,0,228,7,0,0,229,7,0,0,230,7,0,0,231,7,0,0,232,7,0,0,233,7,0,0,234,7,0,0,175,8,0,0,36,8,0,0,176,8,0,0,199,8,0,0,75,2,0,0,201,8,0,0,53,8,0,0,54,8,0,0,55,8,0,0,56,8,0,0,57,8,0,0,58,8],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+51204);allocate([59,8,0,0,60,8,0,0,61,8,0,0,62,8,0,0,63,8,0,0,64,8,0,0,65,8,0,0,66,8,0,0,67,8,0,0,68,8,0,0,69,8,0,0,70,8,0,0,71,8,0,0,72,8,0,0,73,8,0,0,74,8,0,0,75,8,0,0,76,8,0,0,77,8,0,0,78,8,0,0,177,8,0,0,181,8,0,0,178,8,0,0,198,8,0,0,241,10,0,0,242,10,0,0,243,10,0,0,244,10,0,0,245,10,0,0,246,10,0,0,247,10,0,0,248,10,0,0,249,10,0,0,250,10,0,0,251,10,0,0,252,10,0,0,253,10,0,0,254,10,0,0,255,10,0,0,0,11,0,0,1,11,0,0,2,11,0,0,3,11,0,0,4,11,0,0,5,11,0,0,6,11,0,0,7,11,0,0,8,11,0,0,9,11,0,0,10,11,0,0,11,11,0,0,12,11,0,0,13,11,0,0,14,11,0,0,15,11,0,0,16,11,0,0,85,11,0,0,86,11,0,0,87,11,0,0,88,11,0,0,89,11,0,0,90,11,0,0,91,11,0,0,92,11,0,0,93,11,0,0,94,11,0,0,95,11,0,0,96,11,0,0,97,11,0,0,98,11,0,0,99,11,0,0,100,11,0,0,101,11,0,0,102,11,0,0,103,11,0,0,104,11,0,0,105,11,0,0,106,11,0,0,107,11,0,0,108,11,0,0,109,11,0,0,110,11,0,0,111,11,0,0,112,11,0,0,113,11,0,0,114,11,0,0,115,11,0,0,116,11,0,0,201,23,0,0,151,8,0,0,192,12,0,0,206,12,0,0,210,12,0,0,197,12,0,0,161,12,0,0,196,12,0,0,205,12,0,0,199,12,0,0,200,12,0,0,151,12,0,0,153,12,0,0,189,12,0,0,152,12,0,0,188,12,0,0,198,12,0,0,178,12,0,0,179,12,0,0,180,12,0,0,181,12,0,0,182,12,0,0,183,12,0,0,184,12,0,0,185,12,0,0,186,12,0,0,187,12,0,0,190,12,0,0,191,12,0,0,158,12,0,0,154,12,0,0,159,12,0,0,193,12,0,0,162,12,0,0,235,11,0,0,236,11,0,0,237,11,0,0,238,11,0,0,239,11,0,0,240,11,0,0,241,11,0,0,242,11,0,0,243,11,0,0,244,11,0,0,245,11,0,0,246,11,0,0,247,11,0,0,16,8,0,0,249,11,0,0,250,11,0,0,251,11,0,0,252,11,0,0,253,11,0,0,254,11,0,0,255,11,0,0,0,12,0,0,1,12,0,0,2,12,0,0,3,12,0,0,4,12,0,0,175,8,0,0,36,8,0,0,176,8,0,0,199,8,0,0,75,2,0,0,201,8,0,0,79,12,0,0,80,12,0,0,81,12,0,0,82,12,0,0,83,12,0,0,84,12,0,0,85,12,0,0,86,12,0,0,87,12,0,0,88,12,0,0,89,12,0,0,90,12,0,0,91,12,0,0,92,12,0,0,93,12,0,0,94,12,0,0,95,12,0,0,96,12,0,0,97,12,0,0,98,12,0,0,99,12,0,0,100,12,0,0,101,12,0,0,102,12,0,0,103,12,0,0,104,12,0,0,177,8,0,0,181,8,0,0,178,8,0,0,198,8,0,0,201,16,0,0,151,8,0,0,142,12,0,0,156,12,0,0,160,12,0,0,147,12,0,0,161,12,0,0,146,12,0,0,155,12,0,0,149,12,0,0,150,12,0,0,151,12,0,0,153,12,0,0,139,12,0,0,152,12,0,0,138,12,0,0,148,12,0,0,128,12,0,0,129,12,0,0,130,12,0,0,131,12,0,0,132,12,0,0,133,12,0,0,134,12,0,0,135,12,0,0,136,12,0,0,137,12,0,0,140,12,0,0,141,12,0,0,158,12,0,0,154,12,0,0,159,12,0,0,143,12,0,0,162,12,0,0,185,11,0,0,186,11,0,0,187,11,0,0,188,11,0,0,189,11,0,0,190,11,0,0,191,11,0,0,192,11,0,0,193,11,0,0,194,11,0,0,195,11,0,0,196,11,0,0,197,11,0,0,222,7,0,0,199,11,0,0,200,11,0,0,201,11,0,0,202,11,0,0,203,11,0,0,204,11,0,0,205,11,0,0,206,11,0,0,207,11,0,0,208,11,0,0,209,11,0,0,210,11,0,0,175,8,0,0,36,8,0,0,176,8,0,0,199,8,0,0,75,2,0,0,201,8,0,0,29,12,0,0,30,12,0,0,31,12,0,0,32,12,0,0,33,12,0,0,34,12,0,0,35,12,0,0,36,12,0,0,37,12,0,0,38,12,0,0,39,12,0,0,40,12,0,0,41,12,0,0,42,12,0,0,43,12,0,0,44,12,0,0,45,12,0,0,46,12,0,0,47,12,0,0,48,12,0,0,49,12,0,0,50,12,0,0,51,12,0,0,52,12,0,0,53,12,0,0,54,12,0,0,177,8,0,0,181,8,0,0,178,8,0,0,198,8,0,0,118,17,0,0,175,4,0,0,190,4,0,0,193,4,0,0,251,4,0,0,250,4,0,0,247,4,0,0,248,4,0,0,192,4,0,0,197,4,0,0,198,4,0,0,195,4,0,0,208,4,0,0,187,4,0,0,207,4,0,0,186,4,0,0,196,4,0,0,176,4,0,0,177,4,0,0,178,4,0,0,179,4,0,0,180,4,0,0,181,4,0,0,182,4,0,0,183,4,0,0,184,4,0,0,185,4,0,0,188,4,0,0,189,4,0,0,217,4,0,0,214,4,0,0,218,4,0,0,191,4,0,0,249,4,0,0,27,4,0,0,28,4,0,0,29,4,0,0,30,4,0,0,31,4,0,0,32,4,0,0,33,4,0,0,34,4,0,0,35,4,0,0,36,4,0,0,37,4,0,0,38,4,0,0,39,4,0,0,40,4,0,0,41,4,0,0,42,4,0,0,43,4,0,0,44,4,0,0,45,4,0,0,46,4,0,0,47,4,0,0,48,4,0,0,49,4,0,0,50,4,0,0,51,4,0,0,52,4,0,0,199,4,0,0,60,4,0,0,200,4,0,0,223,4,0,0,74,2,0,0,225,4,0,0,127,4,0,0,128,4,0,0,129,4,0,0,130,4,0,0,131,4,0,0,132,4,0,0,133,4,0,0,134,4,0,0,135,4,0,0,136,4,0,0,137,4,0,0,138,4,0,0,139,4,0,0,140,4,0,0,141,4,0,0,142,4,0,0,143,4,0,0,144,4,0,0,145,4,0,0,146,4,0,0,147,4,0,0,148,4,0,0,149,4,0,0,150,4,0,0,151,4,0,0,152,4,0,0,201,4,0,0,205,4,0,0,202,4,0,0,222,4,0,0,118,16,0,0,175,4,0,0,190,4,0,0,193,4,0,0,251,4,0,0,250,4,0,0,247,4,0,0,248,4,0,0,192,4,0,0,197,4,0,0,198,4,0,0,195,4,0,0,208,4,0,0,187,4,0,0,207,4,0,0,186,4,0,0,196,4,0,0,176,4,0,0,177,4,0,0,178,4,0,0,179,4,0,0,180,4,0,0,181,4,0,0,182,4,0,0,183,4,0,0,184,4,0,0,185,4,0,0,188,4,0,0,165,8,0,0,217,4,0,0,214,4,0,0,218,4,0,0,191,4,0,0,249,4,0,0,233,3,0,0,234,3,0,0,235,3,0,0,236,3,0,0,237,3,0,0,238,3,0,0,239,3,0,0,240,3,0,0,241,3,0,0,242,3,0,0,243,3,0,0,244,3,0,0,245,3,0,0,246,3,0,0,247,3,0,0,248,3,0,0,249,3,0,0,250,3,0,0,251,3,0,0,252,3,0,0,253,3,0,0,254,3,0,0,255,3,0,0,0,4,0,0,1,4,0,0,2,4,0,0,199,4,0,0,60,4,0,0,200,4,0,0,223,4,0,0,74,2,0,0,225,4,0,0,77,4,0,0,78,4,0,0,79,4,0,0,80,4,0,0,81,4,0,0,82,4,0,0,83,4,0,0,84,4,0,0,85,4,0,0,86,4,0,0,87,4,0,0,88,4,0,0,89,4,0,0,90,4,0,0,91,4,0,0,92,4,0,0,93,4,0,0,94,4,0,0,95,4,0,0,96,4,0,0,97,4,0,0,98,4,0,0,99,4,0,0,100,4,0,0,101,4,0,0,102,4,0,0,201,4,0,0,205,4,0,0,202,4,0,0,222,4,0,0,201,23,0,0,151,8,0,0,204,10,0,0,218,10,0,0,222,10,0,0,209,10,0,0,223,10,0,0,208,10,0,0,217,10,0,0,211,10,0,0,212,10,0,0,171,8,0,0,184,8,0,0,163,8,0,0,183,8,0,0,162,8,0,0,172,8,0,0,190,10,0,0,191,10,0,0,192,10,0,0,193,10,0,0,194,10,0,0,195,10,0,0,196,10,0,0,197,10,0,0,198,10,0,0,199,10,0,0,164,8,0,0,165,8,0,0,193,8,0,0,190,8,0,0,194,8,0,0,167,8,0,0,225,8,0,0,247,9,0,0,248,9,0,0,249,9,0,0,250,9,0,0,251,9,0,0,252,9,0,0,253,9,0,0,254,9,0,0,255,9,0,0,0,10,0,0,1,10,0,0,2,10,0,0,3,10,0,0,4,10,0,0,5,10,0,0,6,10,0,0,7,10,0,0,8,10,0,0,9,10,0,0,10,10,0,0,11,10,0,0,12,10,0,0,13,10,0,0,14,10,0,0,15,10,0,0,16,10,0,0,175,8,0,0,36,8,0,0,176,8,0,0,199,8,0,0,74,2,0,0,201,8,0,0,91,10,0,0,92,10,0,0,93,10,0,0,94,10,0,0,95,10,0,0,96,10,0,0,97,10,0,0,98,10,0,0,99,10,0,0,100,10,0,0,101,10,0,0,102,10,0,0,103,10,0,0,104,10,0,0,105,10,0,0,106,10,0,0,107,10,0,0,108,10,0,0,109,10,0,0,110,10,0,0,111,10,0,0,112,10,0,0,113,10,0,0,114,10,0,0,115,10,0,0,116,10,0,0,177,8,0,0,181,8,0,0,178,8,0,0,198,8,0,0,201,17,0,0,151,8,0,0,202,2,0,0,205,2,0,0,221,2,0,0,207,2,0,0,185,2,0,0,222,2,0,0,204,2,0,0,209,2,0,0,210,2,0,0,216,2,0,0,213,2,0,0,199,2,0,0,212,2,0,0,198,2,0,0,208,2,0,0,188,2,0,0,189,2,0,0,190,2,0,0,191,2,0,0,192,2,0,0,193,2,0,0,194,2,0,0,195,2,0,0,196,2,0,0,197,2,0,0,200,2,0,0,201,2,0,0,179,2,0,0,214,2,0,0,180,2,0,0,203,2,0,0,178,2,0,0,39,2,0,0,40,2,0,0,41,2,0,0,42,2,0,0,43,2,0,0,44,2,0,0,45,2,0,0,46,2,0,0,47,2,0,0,48,2,0,0,49,2,0,0,50,2,0,0,51,2,0,0,52,2,0,0,53,2,0,0,54,2,0,0,55,2,0,0,56,2,0,0,57,2,0,0,58,2,0,0,59,2,0,0,60,2,0,0,61,2,0,0,62,2,0,0,63,2,0,0,64,2,0,0,181,2,0,0,72,2,0,0,182,2,0,0,199,8,0,0,74,2,0,0,201,8,0,0,139,2,0,0,140,2,0,0,141,2,0,0,142,2,0,0,143,2,0,0,144,2,0,0,145,2,0,0,146,2,0,0,147,2,0,0,148,2,0,0,149,2,0,0,150,2,0,0,151,2,0,0,152,2,0,0,153,2,0,0,154,2,0,0,155,2,0,0,156,2,0,0,157,2,0,0,158,2,0,0,159,2,0,0,160,2,0,0,161,2,0,0,162,2,0,0,163,2,0,0,164,2,0,0,183,2,0,0,211,2,0,0,184,2,0,0,198,8,0,0,201,16,0,0,151,8,0,0,154,10,0,0,168,10,0,0,172,10,0,0,159,10,0,0,173,10,0,0,158,10,0,0,167,10,0,0,161,10,0,0,162,10,0,0,163,10,0,0,165,10,0,0,151,10,0,0,164,10,0,0,150,10,0,0,160,10,0,0,140,10,0,0,141,10,0,0,142,10,0,0,143,10,0,0,144,10,0,0,145,10,0,0,146,10,0,0,147,10,0,0,148,10,0,0,149,10,0,0,152,10,0,0,153,10,0,0,170,10,0,0,166,10,0,0,171,10,0,0,155,10,0,0,174,10,0,0,197,9,0,0,198,9,0,0,199,9,0,0,200,9,0,0,201,9,0,0,202,9,0,0,203,9,0,0,204,9,0,0,205,9,0,0,206,9,0,0,207,9,0,0,208,9,0,0,209,9,0,0,210,9,0,0,211,9,0,0,212,9,0,0,213,9,0,0,214,9,0,0,215,9,0,0,216,9,0,0,217,9,0,0,218,9,0,0,219,9,0,0,220,9,0,0,221,9,0,0,222,9,0,0,175,8,0,0,36,8,0,0,176,8,0,0,199,8,0,0,75,2,0,0,201,8,0,0,41,10,0,0,42,10,0,0,43,10,0,0,44,10,0,0,45,10,0,0,46,10,0,0,47,10,0,0,48,10,0,0,49,10,0,0,50,10,0,0,51,10,0,0,52,10,0,0,53,10,0,0,54,10,0,0,55,10,0,0,56,10,0,0,57,10,0,0,58,10,0,0,59,10,0,0,60,10,0,0,61,10,0,0,62,10,0,0,63,10,0,0,64,10,0,0,65,10,0,0,66,10,0,0,177,8,0,0,181,8,0,0,178,8,0,0,198,8,0,0,201,16,0,0,151,8,0,0,202,2,0,0,205,2,0,0,221,2,0,0,207,2,0,0,185,2,0,0,222,2,0,0,204,2,0,0,209,2,0,0,210,2,0,0,216,2,0,0,213,2,0,0,199,2,0,0,212,2,0,0,198,2,0,0,208,2,0,0,188,2,0,0,189,2,0,0,190,2,0,0,191,2,0,0,192,2,0,0,193,2,0,0,194,2,0,0,195,2,0,0,196,2,0,0,197,2,0,0,200,2,0,0,201,2,0,0,179,2,0,0,214,2,0,0,180,2,0,0,203,2,0,0,178,2,0,0,245,1,0,0,246,1,0,0,247,1,0,0,248,1,0,0,249,1,0,0,250,1,0,0,251,1,0,0,252,1,0,0,253,1,0,0,254,1,0,0,255,1,0,0,0,2,0,0,1,2,0,0,2,2,0,0,3,2,0,0,4,2,0,0,5,2,0,0,6,2,0,0,7,2,0,0,8,2,0,0,9,2,0,0,10,2,0,0,11,2,0,0,12,2,0,0,13,2,0,0,14,2,0,0,181,2,0,0,72,2,0,0,182,2,0,0,199,8,0,0,74,2,0,0,201,8,0,0,89,2,0,0,90,2,0,0,91,2,0,0,92,2,0,0,93,2,0,0,94,2,0,0,95,2,0,0,96,2,0,0,97,2,0,0,98,2,0,0,99,2,0,0,100,2,0,0,101,2,0,0,102,2,0,0,103,2,0,0,104,2,0,0,105,2,0,0,106,2,0,0,107,2,0,0,108,2,0,0,109,2,0,0,110,2,0,0,111,2,0,0,112,2,0,0,113,2,0,0,114,2,0,0,183,2,0,0,211,2,0,0,184,2,0,0,198,8,0,0,188,167,13,0,189,30,4,0,15,25,4,0,174,9,0,0,1,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,255,255,255,255,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,0,0,0,0,255,255,255,255,1,0,0,0,0,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,2,0,0,0,3,0,0,0,4,0,0,0,3,0,0,0,2,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,2,0,0,0,3,0,0,0,4,0,0,0,3,0,0,0,2,0,0,0,1,0,0,0,192,167,13,0,24,32,4,0,105,31,4,0,166,2,0,0,1,0,0,0,180,223,17,0,86,35,4,0,103,35,4,0,134,35,4,0,157,35,4,0,181,35,4,0,203,35,4,0,220,35,4,0,250,35,4,0,11,36,4,0,18,36,4,0,33,36,4,0,50,36,4,0,62,36,4,0,84,36,4,0,101,36,4,0,130,36,4,0,150,36,4,0,184,36,4,0,209,36,4,0,236,36,4,0,248,36,4,0,11,37,4,0,23,37,4,0,45,37,4,0,57,37,4,0,71,37,4,0,86,35,4,0,103,35,4,0,88,37,4,0,100,37,4,0,181,35,4,0,71,37,4,0,250,35,4,0,117,37,4,0,11,36,4,0,33,36,4,0,156,37,4,0,62,36,4,0,84,36,4,0,168,37,4,0,101,36,4,0,190,37,4,0,130,36,4,0,207,37,4,0,236,36,4,0,226,37,4,0,0,38,4,0,45,37,4,0,26,38,4,0,50,38,4,0,77,38,4,0,94,38,4,0,127,38,4,0,156,38,4,0,180,38,4,0,202,38,4,0,219,38,4,0,250,38,4,0,11,39,4,0,18,39,4,0,35,39,4,0,52,39,4,0,64,39,4,0,86,39,4,0,103,39,4,0,136,39,4,0,158,39,4,0,210,39,4,0,243,39,4,0,14,40,4,0,26,40,4,0,45,40,4,0,57,40,4,0,79,40,4,0,91,40,4,0,105,40,4,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,116,40,4,0,133,40,4,0,140,40,4,0,152,40,4,0,159,40,4,0,166,40,4,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,181,40,4,0,207,40,4,0,233,40,4,0,254,40,4,0,24,41,4,0,45,41,4,0,63,41,4,0,95,41,4,0,115,41,4,0,133,41,4,0,157,41,4,0,11,36,4,0,174,41,4,0,211,41,4,0,231,41,4,0,252,41,4,0,22,42,4,0,48,42,4,0,64,42,4,0,91,42,4,0,109,42,4,0,129,42,4,0,141,42,4,0,163,42,4,0,175,42,4,0,193,42,4,0,204,42,4,0,229,42,4,0,10,43,4,0,36,43,4,0,67,43,4,0,97,43,4,0,129,43,4,0,161,43,4,0,200,43,4,0,215,43,4,0,240,43,4,0,2,44,4,0,35,44,4,0,53,44,4,0,231,41,4,0,96,44,4,0,119,44,4,0,142,44,4,0,165,44,4,0,179,44,4,0,202,44,4,0,233,44,4,0,1,45,4,0,29,45,4,0,59,45,4,0,91,45,4,0,114,45,4,0,133,45,4,0,165,45,4,0,190,45,4,0,214,45,4,0,248,45,4,0,20,46,4,0,50,46,4,0,82,46,4,0,107,46,4,0,120,46,4,0,169,46,4,0,231,41,4,0,203,46,4,0,235,46,4,0,5,47,4,0,29,47,4,0,56,47,4,0,74,47,4,0,108,47,4,0,133,47,4,0,173,47,4,0,209,47,4,0,245,47,4,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,14,48,4,0,43,48,4,0,69,48,4,0,103,48,4,0,133,48,4,0,180,223,17,0,180,223,17,0,158,48,4,0,216,48,4,0,225,48,4,0,234,48,4,0,245,48,4,0,0,49,4,0,25,49,4,0,50,49,4,0,98,49,4,0,101,49,4,0,104,49,4,0,129,49,4,0,138,49,4,0,157,49,4,0,187,49,4,0,201,49,4,0,229,49,4,0,2,50,4,0,14,50,4,0,52,50,4,0,81,50,4,0,94,50,4,0,109,50,4,0,133,50,4,0,159,50,4,0,182,50,4,0,216,50,4,0,223,50,4,0,235,50,4,0,0,51,4,0,32,51,4,0,39,51,4,0,54,51,4,0,69,51,4,0,76,51,4,0,83,51,4,0,95,51,4,0,107,51,4,0,119,51,4,0,136,51,4,0,149,51,4,0,164,51,4,0,179,51,4,0,193,51,4,0,215,51,4,0,2,52,4,0,40,52,4,0,180,223,17,0,77,52,4,0,101,52,4,0,163,52,4,0,180,223,17,0,170,52,4,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,183,52,4,0,180,223,17,0,13,53,4,0,180,223,17,0,67,53,4,0,180,223,17,0,83,53,4,0,180,223,17,0,96,53,4,0,180,223,17,0,150,53,4,0,157,53,4,0,180,223,17,0,169,53,4,0,3,54,4,0,101,54,4,0,194,54,4,0,58,55,4,0,205,55,4,0,126,56,4,0,34,57,4,0,176,57,4,0,57,58,4,0,103,58,4,0,206,58,4,0,28,59,4,0,140,59,4,0,231,59,4,0,253,59,4,0,180,223,17,0,32,60,4,0,75,60,4,0,118,60,4,0,150,60,4,0,182,60,4,0,180,223,17,0,214,60,4,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,231,60,4,0,248,60,4,0,39,61,4,0,78,61,4,0,110,61,4,0,132,61,4,0,149,61,4,0,195,61,4,0,212,61,4,0,219,61,4,0,242,61,4,0,3,62,4,0,15,62,4,0,37,62,4,0,54,62,4,0,99,62,4,0,127,62,4,0,177,62,4,0,210,62,4,0,253,62,4,0,9,63,4,0,32,63,4,0,44,63,4,0,66,63,4,0,78,63,4,0,92,63,4,0,231,60,4,0,248,60,4,0,109,63,4,0,121,63,4,0,110,61,4,0,92,63,4,0,195,61,4,0,138,63,4,0,212,61,4,0,242,61,4,0,188,63,4,0,15,62,4,0,37,62,4,0,200,63,4,0,54,62,4,0,217,63,4,0,99,62,4,0,234,63,4,0,253,62,4,0,253,63,4,0,35,64,4,0,77,64,4,0,89,64,4,0,125,64,4,0,160,64,4,0,201,64,4,0,27,65,4,0,76,65,4,0,147,65,4,0,204,65,4,0,3,66,4,0,62,66,4,0,138,66,4,0,189,66,4,0,240,66,4,0,61,67,4,0,120,67,4,0,209,67,4,0,17,68,4,0,76,68,4,0,139,68,4,0,204,68,4,0,25,69,4,0,82,69,4,0,132,69,4,0,198,69,4,0,7,70,4,0,55,70,4,0,127,70,4,0,203,70,4,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,28,71,4,0,45,71,4,0,52,71,4,0,64,71,4,0,71,71,4,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,84,71,4,0,120,71,4,0,156,71,4,0,187,71,4,0,223,71,4,0,4,72,4,0,22,72,4,0,68,72,4,0,90,72,4,0,108,72,4,0,132,72,4,0,212,61,4,0,149,72,4,0,186,72,4,0,208,72,4,0,245,72,4,0,25,73,4,0,61,73,4,0,79,73,4,0,116,73,4,0,134,73,4,0,156,73,4,0,168,73,4,0,190,73,4,0,202,73,4,0,222,73,4,0,239,73,4,0,31,74,4,0,92,74,4,0,126,74,4,0,175,74,4,0,213,74,4,0,3,75,4,0,41,75,4,0,96,75,4,0,115,75,4,0,152,75,4,0,170,75,4,0,211,75,4,0,239,75,4,0,40,76,4,0,77,76,4,0,102,76,4,0,141,76,4,0,178,76,4,0,194,76,4,0,227,76,4,0,14,77,4,0,42,77,4,0,82,77,4,0,128,77,4,0,173,77,4,0,220,77,4,0,249,77,4,0,41,78,4,0,76,78,4,0,125,78,4,0,181,78,4,0,239,78,4,0,15,79,4,0,55,79,4,0,120,79,4,0,157,79,4,0,222,79,4,0,12,80,4,0,59,80,4,0,106,80,4,0,160,80,4,0,191,80,4,0,223,80,4,0,254,80,4,0,36,81,4,0,70,81,4,0,119,81,4,0,159,81,4,0,205,81,4,0,252,81,4,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,41,82,4,0,94,82,4,0,126,82,4,0,172,82,4,0,214,82,4,0,180,223,17,0,180,223,17,0,247,82,4,0,79,83,4,0,88,83,4,0,97,83,4,0,114,83,4,0,131,83,4,0,164,83,4,0,197,83,4,0,101,49,4,0,4,84,4,0,7,84,4,0,44,84,4,0,55,84,4,0,86,84,4,0,119,84,4,0,133,84,4,0,170,84,4,0,219,84,4,0,231,84,4,0,36,85,4,0,85,85,4,0,98,85,4,0,117,85,4,0,141,85,4,0,171,85,4,0,189,85,4,0,231,85,4,0,238,85,4,0,250,85,4,0,23,86,4,0,76,86,4,0,83,86,4,0,106,86,4,0,129,86,4,0,136,86,4,0,143,86,4,0,155,86,4,0,167,86,4,0,179,86,4,0,196,86,4,0,209,86,4,0,226,86,4,0,243,86,4,0,5,87,4,0,27,87,4,0,98,87,4,0,152,87,4,0,205,87,4,0,217,87,4,0,229,87,4,0,238,87,4,0,17,88,4,0,80,88,4,0,132,88,4,0,170,88,4,0,6,89,4,0,110,89,4,0,180,223,17,0,180,223,17,0,180,223,17,0,215,89,4,0,251,89,4,0,27,90,4,0,44,90,4,0,94,90,4,0,142,90,4,0,168,90,4,0,188,90,4,0,211,90,4,0,238,90,4,0,5,91,4,0,20,91,4,0,33,91,4,0,48,91,4,0,63,91,4,0,106,91,4,0,149,91,4,0,212,91,4,0,252,91,4,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,56,92,4,0,63,92,4,0,70,92,4,0,77,92,4,0,84,92,4,0,91,92,4,0,98,92,4,0,180,223,17,0,105,92,4,0,112,92,4,0,119,92,4,0,126,92,4,0,180,223,17,0,133,92,4,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,140,92,4,0,159,92,4,0,178,92,4,0,197,92,4,0,216,92,4,0,227,92,4,0,238,92,4,0,249,92,4,0,4,93,4,0,51,93,4,0,98,93,4,0,145,93,4,0,192,93,4,0,235,93,4,0,18,94,4,0,180,223,17,0,69,94,4,0,86,94,4,0,97,94,4,0,109,94,4,0,126,94,4,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,143,94,4,0,180,94,4,0,193,94,4,0,204,94,4,0,217,94,4,0,242,94,4,0,254,94,4,0,10,95,4,0,180,223,17,0,180,223,17,0,27,95,4,0,91,95,4,0,139,95,4,0,170,95,4,0,201,95,4,0,232,95,4,0,7,96,4,0,180,223,17,0,180,223,17,0,180,223,17,0,47,96,4,0,72,96,4,0,93,96,4,0,119,96,4,0,151,96,4,0,188,96,4,0,209,96,4,0,238,96,4,0,46,97,4,0,66,97,4,0,132,97,4,0,246,97,4,0,162,98,4,0,240,98,4,0,46,99,4,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,73,99,4,0,86,99,4,0,107,99,4,0,136,99,4,0,143,94,4,0,173,99,4,0,218,99,4,0,31,100,4,0,100,100,4,0,201,100,4,0,13,101,4,0,78,101,4,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,139,101,4,0,171,101,4,0,237,101,4,0,29,102,4,0,79,102,4,0,119,102,4,0,155,102,4,0,223,102,4,0,14,103,4,0,36,103,4,0,73,103,4,0,120,103,4,0,146,103,4,0,198,103,4,0,235,103,4,0,42,104,4,0,89,104,4,0,180,104,4,0,249,104,4,0,57,105,4,0,87,105,4,0,125,105,4,0,152,105,4,0,194,105,4,0,231,105,4,0,11,106,4,0,139,101,4,0,171,101,4,0,41,106,4,0,67,106,4,0,79,102,4,0,11,106,4,0,223,102,4,0,94,106,4,0,14,103,4,0,73,103,4,0,177,106,4,0,146,103,4,0,198,103,4,0,204,106,4,0,235,103,4,0,10,107,4,0,42,104,4,0,47,107,4,0,57,105,4,0,84,107,4,0,147,107,4,0,194,105,4,0,222,107,4,0,27,108,4,0,94,108,4,0,126,108,4,0,190,108,4,0,240,108,4,0,34,109,4,0,74,109,4,0,110,109,4,0,174,109,4,0,221,109,4,0,243,109,4,0,24,110,4,0,71,110,4,0,97,110,4,0,149,110,4,0,186,110,4,0,249,110,4,0,38,111,4,0,127,111,4,0,192,111,4,0,248,111,4,0,22,112,4,0,60,112,4,0,87,112,4,0,129,112,4,0,166,112,4,0,202,112,4,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,232,112,4,0,239,112,4,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,251,112,4,0,57,113,4,0,112,113,4,0,160,113,4,0,220,113,4,0,15,114,4,0,53,114,4,0,133,114,4,0,184,114,4,0,217,114,4,0,5,115,4,0,52,115,4,0,74,115,4,0,154,115,4,0,205,115,4,0,4,116,4,0,64,116,4,0,119,116,4,0,160,116,4,0,212,116,4,0,239,116,4,0,34,117,4,0,61,117,4,0,103,117,4,0,140,117,4,0,183,117,4,0,213,117,4,0,19,118,4,0,95,118,4,0,132,118,4,0,208,118,4,0,4,119,4,0,60,119,4,0,110,119,4,0,179,119,4,0,205,119,4,0,254,119,4,0,26,120,4,0,75,120,4,0,111,120,4,0,180,120,4,0,235,120,4,0,15,121,4,0,71,121,4,0,126,121,4,0,152,121,4,0,200,121,4,0,12,122,4,0,45,122,4,0,99,122,4,0,169,122,4,0,231,122,4,0,36,123,4,0,80,123,4,0,147,123,4,0,193,123,4,0,238,123,4,0,48,124,4,0,103,124,4,0,154,124,4,0,205,124,4,0,9,125,4,0,40,125,4,0,128,125,4,0,180,120,4,0,192,125,4,0,3,126,4,0,56,126,4,0,99,126,4,0,147,126,4,0,178,126,4,0,152,121,4,0,242,126,4,0,58,127,4,0,132,127,4,0,200,127,4,0,251,127,4,0,68,128,4,0,121,128,4,0,170,128,4,0,2,129,4,0,86,129,4,0,180,223,17,0,108,129,4,0,149,129,4,0,217,129,4,0,26,130,4,0,180,223,17,0,180,223,17,0,180,223,17,0,70,130,4,0,157,130,4,0,230,130,4,0,46,131,4,0,165,131,4,0,27,132,4,0,180,223,17,0,67,132,4,0,70,132,4,0,73,132,4,0,128,132,4,0,147,132,4,0,215,132,4,0,35,133,4,0,59,133,4,0,122,133,4,0,193,133,4,0,234,133,4,0,76,134,4,0,147,134,4,0,160,134,4,0,177,134,4,0,201,134,4,0,229,134,4,0,2,135,4,0,59,135,4,0,71,135,4,0,93,135,4,0,114,135,4,0,131,135,4,0,138,135,4,0,170,135,4,0,202,135,4,0,224,135,4,0,246,135,4,0,39,136,4,0,88,136,4,0,97,136,4,0,106,136,4,0,113,136,4,0,125,136,4,0,132,136,4,0,144,136,4,0,161,136,4,0,178,136,4,0,190,136,4,0,203,136,4,0,232,136,4,0,244,136,4,0,5,137,4,0,22,137,4,0,31,137,4,0,40,137,4,0,59,137,4,0,78,137,4,0,121,137,4,0,153,137,4,0,169,137,4,0,183,137,4,0,197,137,4,0,225,137,4,0,242,137,4,0,3,138,4,0,20,138,4,0,180,223,17,0,37,138,4,0,60,138,4,0,83,138,4,0,106,138,4,0,129,138,4,0,157,138,4,0,182,138,4,0,207,138,4,0,232,138,4,0,1,139,4,0,74,139,4,0,101,139,4,0,120,139,4,0,172,139,4,0,251,139,4,0,48,140,4,0,99,140,4,0,180,140,4,0,238,140,4,0,48,141,4,0,70,141,4,0,148,141,4,0,203,141,4,0,29,142,4,0,180,223,17,0,51,142,4,0,99,142,4,0,161,142,4,0,205,142,4,0,252,142,4,0,44,143,4,0,91,143,4,0,142,143,4,0,194,143,4,0,244,143,4,0,39,144,4,0,79,144,4,0,123,144,4,0,145,144,4,0,213,144,4,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,25,145,4,0,62,145,4,0,99,145,4,0,139,145,4,0,179,145,4,0,201,145,4,0,223,145,4,0,18,146,4,0,69,146,4,0,117,146,4,0,165,146,4,0,189,146,4,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+61444);allocate([180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,253,146,4,0,29,147,4,0,115,147,4,0,179,147,4,0,237,147,4,0,21,148,4,0,57,148,4,0,134,148,4,0,181,148,4,0,203,148,4,0,242,148,4,0,33,149,4,0,59,149,4,0,111,149,4,0,148,149,4,0,235,149,4,0,34,150,4,0,159,150,4,0,244,150,4,0,56,151,4,0,86,151,4,0,130,151,4,0,157,151,4,0,199,151,4,0,236,151,4,0,16,152,4,0,253,146,4,0,29,147,4,0,46,152,4,0,72,152,4,0,237,147,4,0,16,152,4,0,134,148,4,0,99,152,4,0,181,148,4,0,242,148,4,0,206,152,4,0,59,149,4,0,111,149,4,0,233,152,4,0,148,149,4,0,39,153,4,0,235,149,4,0,76,153,4,0,56,151,4,0,113,153,4,0,176,153,4,0,199,151,4,0,11,154,4,0,88,154,4,0,171,154,4,0,203,154,4,0,25,155,4,0,93,155,4,0,151,155,4,0,191,155,4,0,227,155,4,0,53,156,4,0,100,156,4,0,122,156,4,0,163,156,4,0,210,156,4,0,236,156,4,0,32,157,4,0,69,157,4,0,152,157,4,0,203,157,4,0,66,158,4,0,145,158,4,0,215,158,4,0,245,158,4,0,37,159,4,0,64,159,4,0,106,159,4,0,143,159,4,0,179,159,4,0,209,159,4,0,38,160,4,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,97,160,4,0,104,160,4,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,116,160,4,0,192,160,4,0,255,160,4,0,55,161,4,0,123,161,4,0,184,161,4,0,226,161,4,0,86,162,4,0,137,162,4,0,170,162,4,0,218,162,4,0,9,163,4,0,31,163,4,0,111,163,4,0,162,163,4,0,233,163,4,0,45,164,4,0,108,164,4,0,151,164,4,0,215,164,4,0,246,164,4,0,41,165,4,0,68,165,4,0,110,165,4,0,147,165,4,0,188,165,4,0,218,165,4,0,40,166,4,0,150,166,4,0,204,166,4,0,35,167,4,0,97,167,4,0,159,167,4,0,221,167,4,0,52,168,4,0,82,168,4,0,137,168,4,0,181,168,4,0,234,168,4,0,23,169,4,0,110,169,4,0,173,169,4,0,213,169,4,0,18,170,4,0,86,170,4,0,116,170,4,0,177,170,4,0,250,170,4,0,39,171,4,0,105,171,4,0,191,171,4,0,11,172,4,0,80,172,4,0,130,172,4,0,211,172,4,0,7,173,4,0,76,173,4,0,160,173,4,0,219,173,4,0,14,174,4,0,77,174,4,0,141,174,4,0,176,174,4,0,20,175,4,0,110,169,4,0,92,175,4,0,173,175,4,0,236,175,4,0,31,176,4,0,87,176,4,0,122,176,4,0,194,176,4,0,246,176,4,0,70,177,4,0,152,177,4,0,232,177,4,0,35,178,4,0,116,178,4,0,177,178,4,0,241,178,4,0,85,179,4,0,188,179,4,0,180,223,17,0,210,179,4,0,3,180,4,0,87,180,4,0,168,180,4,0,180,223,17,0,180,223,17,0,222,180,4,0,55,181,4,0,190,181,4,0,35,182,4,0,139,182,4,0,50,183,4,0,220,183,4,0,180,223,17,0,101,49,4,0,4,84,4,0,4,184,4,0,83,184,4,0,104,184,4,0,192,184,4,0,28,185,4,0,52,185,4,0,127,185,4,0,222,185,4,0,25,186,4,0,147,186,4,0,85,85,4,0,242,186,4,0,117,85,4,0,3,187,4,0,31,187,4,0,60,187,4,0,123,187,4,0,135,187,4,0,250,85,4,0,157,187,4,0,76,86,4,0,99,145,4,0,139,145,4,0,179,145,4,0,201,145,4,0,223,145,4,0,18,146,4,0,174,187,4,0,183,187,4,0,129,86,4,0,192,187,4,0,136,86,4,0,143,86,4,0,204,187,4,0,221,187,4,0,167,86,4,0,238,187,4,0,5,188,4,0,155,86,4,0,34,188,4,0,51,188,4,0,79,83,4,0,88,83,4,0,68,188,4,0,87,188,4,0,106,188,4,0,149,188,4,0,197,188,4,0,213,188,4,0,227,188,4,0,241,188,4,0,226,86,4,0,209,86,4,0,21,189,4,0,38,189,4,0,55,189,4,0,74,189,4,0,101,189,4,0,128,189,4,0,155,189,4,0,182,189,4,0,214,189,4,0,235,189,4,0,0,190,4,0,21,190,4,0,42,190,4,0,129,190,4,0,156,190,4,0,189,146,4,0,175,190,4,0,18,191,4,0,71,191,4,0,134,191,4,0,231,191,4,0,85,192,4,0,5,87,4,0,167,192,4,0,1,193,4,0,57,193,4,0,160,193,4,0,180,223,17,0,182,193,4,0,1,194,4,0,85,194,4,0,137,194,4,0,192,194,4,0,252,194,4,0,49,195,4,0,106,195,4,0,191,195,4,0,4,196,4,0,63,196,4,0,111,196,4,0,163,196,4,0,185,196,4,0,25,197,4,0,121,197,4,0,146,197,4,0,171,197,4,0,196,197,4,0,180,223,17,0,221,197,4,0,43,198,4,0,142,198,4,0,198,198,4,0,34,199,4,0,129,199,4,0,219,199,4,0,42,200,4,0,98,200,4,0,157,200,4,0,222,200,4,0,32,201,4,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,122,201,4,0,145,201,4,0,180,201,4,0,215,201,4,0,215,201,4,0,26,202,4,0,89,202,4,0,121,202,4,0,153,202,4,0,201,202,4,0,233,202,4,0,9,203,4,0,98,203,4,0,146,203,4,0,60,204,4,0,253,204,4,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,122,201,4,0,145,201,4,0,180,201,4,0,49,205,4,0,215,201,4,0,26,202,4,0,89,202,4,0,121,202,4,0,153,202,4,0,201,202,4,0,233,202,4,0,112,205,4,0,180,205,4,0,146,203,4,0,228,205,4,0,137,206,4,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,42,207,4,0,79,207,4,0,121,207,4,0,177,207,4,0,233,207,4,0,3,208,4,0,29,208,4,0,104,208,4,0,179,208,4,0,243,208,4,0,51,209,4,0,77,209,4,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,188,209,4,0,224,209,4,0,52,210,4,0,128,210,4,0,190,210,4,0,238,210,4,0,20,211,4,0,108,211,4,0,148,211,4,0,164,211,4,0,204,211,4,0,244,211,4,0,14,212,4,0,60,212,4,0,96,212,4,0,176,212,4,0,228,212,4,0,66,213,4,0,130,213,4,0,216,213,4,0,244,213,4,0,36,214,4,0,62,214,4,0,108,214,4,0,138,214,4,0,170,214,4,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,206,214,4,0,24,215,4,0,160,215,4,0,242,215,4,0,72,216,4,0,168,216,4,0,2,217,4,0,106,217,4,0,214,217,4,0,24,218,4,0,92,218,4,0,206,218,4,0,30,219,4,0,124,219,4,0,198,219,4,0,10,220,4,0,114,220,4,0,200,220,4,0,70,221,4,0,142,221,4,0,217,221,4,0,37,222,4,0,109,222,4,0,187,222,4,0,34,223,4,0,116,223,4,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,203,223,4,0,17,224,4,0,87,224,4,0,151,224,4,0,221,224,4,0,37,225,4,0,82,225,4,0,176,225,4,0,224,225,4,0,14,226,4,0,60,226,4,0,148,211,4,0,100,226,4,0,180,226,4,0,228,226,4,0,44,227,4,0,114,227,4,0,184,227,4,0,224,227,4,0,62,228,4,0,92,228,4,0,140,228,4,0,166,228,4,0,212,228,4,0,242,228,4,0,18,229,4,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,54,229,4,0,118,229,4,0,163,229,4,0,207,229,4,0,15,230,4,0,61,230,4,0,115,230,4,0,189,230,4,0,246,230,4,0,27,231,4,0,74,231,4,0,132,231,4,0,165,231,4,0,251,231,4,0,57,232,4,0,115,232,4,0,172,232,4,0,240,232,4,0,30,233,4,0,73,233,4,0,111,233,4,0,163,233,4,0,208,233,4,0,21,234,4,0,101,234,4,0,163,234,4,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,101,49,4,0,4,84,4,0,237,234,4,0,62,235,4,0,86,235,4,0,152,235,4,0,242,235,4,0,19,236,4,0,118,236,4,0,237,236,4,0,4,237,4,0,137,237,4,0,0,238,4,0,32,238,4,0,78,238,4,0,140,238,4,0,216,238,4,0,6,239,4,0,116,239,4,0,162,239,4,0,208,239,4,0,91,240,4,0,190,240,4,0,206,240,4,0,254,240,4,0,46,241,4,0,117,241,4,0,133,241,4,0,163,241,4,0,193,241,4,0,214,241,4,0,254,241,4,0,57,242,4,0,77,242,4,0,97,242,4,0,155,242,4,0,23,243,4,0,186,243,4,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,101,49,4,0,4,84,4,0,32,244,4,0,115,244,4,0,143,244,4,0,225,244,4,0,67,245,4,0,86,245,4,0,161,245,4,0,252,245,4,0,53,246,4,0,175,246,4,0,10,247,4,0,23,247,4,0,40,247,4,0,62,247,4,0,90,247,4,0,122,247,4,0,189,247,4,0,206,247,4,0,223,247,4,0,76,248,4,0,156,248,4,0,163,248,4,0,203,248,4,0,243,248,4,0,136,86,4,0,143,86,4,0,155,86,4,0,4,249,4,0,16,249,4,0,38,249,4,0,79,83,4,0,88,83,4,0,67,249,4,0,89,249,4,0,231,191,4,0,18,191,4,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,253,146,4,0,152,249,4,0,29,147,4,0,46,152,4,0,211,249,4,0,237,147,4,0,10,250,4,0,145,250,4,0,233,250,4,0,24,251,4,0,90,251,4,0,171,251,4,0,59,149,4,0,134,148,4,0,148,149,4,0,39,153,4,0,235,149,4,0,115,147,4,0,56,151,4,0,218,251,4,0,7,252,4,0,199,151,4,0,98,252,4,0,145,252,4,0,196,252,4,0,248,252,4,0,54,253,4,0,113,253,4,0,188,253,4,0,243,253,4,0,64,254,4,0,176,254,4,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,116,160,4,0,5,255,4,0,99,255,4,0,169,255,4,0,195,255,4,0,123,161,4,0,236,255,4,0,91,0,5,0,173,0,5,0,220,0,5,0,30,1,5,0,101,1,5,0,142,1,5,0,194,1,5,0,162,163,4,0,241,1,5,0,233,163,4,0,255,160,4,0,22,2,5,0,52,2,5,0,93,2,5,0,110,165,4,0,191,2,5,0,232,2,5,0,27,3,5,0,79,3,5,0,135,3,5,0,186,3,5,0,253,3,5,0,44,4,5,0,111,4,5,0,207,4,5,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,26,5,5,0,88,5,5,0,229,5,5,0,46,6,5,0,158,6,5,0,44,7,5,0,164,7,5,0,20,8,5,0,157,8,5,0,224,8,5,0,51,9,5,0,168,9,5,0,1,10,5,0,108,10,5,0,175,10,5,0,24,11,5,0,129,11,5,0,21,12,5,0,165,12,5,0,252,12,5,0,93,13,5,0,174,13,5,0,233,13,5,0,72,14,5,0,164,14,5,0,247,14,5,0,26,5,5,0,88,5,5,0,62,15,5,0,151,15,5,0,158,6,5,0,247,14,5,0,20,8,5,0,188,15,5,0,157,8,5,0,51,9,5,0,97,16,5,0,1,10,5,0,108,10,5,0,154,16,5,0,175,10,5,0,70,17,5,0,24,11,5,0,197,17,5,0,252,12,5,0,4,18,5,0,118,18,5,0,72,14,5,0,8,19,5,0,160,19,5,0,13,20,5,0,79,20,5,0,220,20,5,0,45,21,5,0,159,21,5,0,40,22,5,0,160,22,5,0,26,23,5,0,163,23,5,0,230,23,5,0,61,24,5,0,183,24,5,0,11,25,5,0,127,25,5,0,201,25,5,0,54,26,5,0,161,26,5,0,55,27,5,0,195,27,5,0,26,28,5,0,118,28,5,0,205,28,5,0,10,29,5,0,109,29,5,0,201,29,5,0,33,30,5,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,94,30,5,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,128,30,5,0,232,30,5,0,64,31,5,0,131,31,5,0,227,31,5,0,50,32,5,0,123,32,5,0,37,33,5,0,151,33,5,0,226,33,5,0,46,34,5,0,150,34,5,0,204,34,5,0,122,35,5,0,236,35,5,0,69,36,5,0,178,36,5,0,23,37,5,0,100,37,5,0,183,37,5,0,225,37,5,0,47,38,5,0,101,38,5,0,179,38,5,0,5,39,5,0,77,39,5,0,148,39,5,0,251,39,5,0,125,40,5,0,219,40,5,0,80,41,5,0,176,41,5,0,21,42,5,0,101,42,5,0,224,42,5,0,19,43,5,0,124,43,5,0,178,43,5,0,2,44,5,0,75,44,5,0,236,35,5,0,206,44,5,0,20,45,5,0,109,45,5,0,212,45,5,0,6,46,5,0,84,46,5,0,199,46,5,0,13,47,5,0,116,47,5,0,222,47,5,0,62,48,5,0,161,48,5,0,228,48,5,0,82,49,5,0,147,49,5,0,235,49,5,0,89,50,5,0,165,50,5,0,231,50,5,0,61,51,5,0,152,51,5,0,201,51,5,0,60,52,5,0,140,52,5,0,229,52,5,0,96,53,5,0,201,53,5,0,3,54,5,0,94,54,5,0,138,54,5,0,218,54,5,0,19,55,5,0,111,55,5,0,210,55,5,0,48,56,5,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,121,56,5,0,236,56,5,0,65,57,5,0,172,57,5,0,29,58,5,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,101,49,4,0,4,84,4,0,109,58,5,0,206,58,5,0,255,58,5,0,118,59,5,0,8,60,5,0,57,60,5,0,162,60,5,0,40,61,5,0,121,61,5,0,15,62,5,0,0,238,4,0,32,238,4,0,78,238,4,0,140,238,4,0,149,62,5,0,213,62,5,0,116,239,4,0,162,239,4,0,57,63,5,0,199,63,5,0,190,240,4,0,52,64,5,0,105,64,5,0,46,241,4,0,117,241,4,0,133,241,4,0,163,241,4,0,193,241,4,0,214,241,4,0,254,241,4,0,57,242,4,0,77,242,4,0,97,242,4,0,158,64,5,0,38,65,5,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,101,49,4,0,4,84,4,0,170,65,5,0,27,66,5,0,64,66,5,0,164,66,5,0,32,67,5,0,60,67,5,0,153,67,5,0,16,68,5,0,89,68,5,0,26,69,5,0,145,69,5,0,177,69,5,0,220,69,5,0,26,70,5,0,99,70,5,0,163,70,5,0,21,71,5,0,64,71,5,0,107,71,5,0,247,71,5,0,92,72,5,0,108,72,5,0,170,72,5,0,232,72,5,0,117,241,4,0,133,241,4,0,163,241,4,0,47,73,5,0,68,73,5,0,108,73,5,0,57,242,4,0,77,242,4,0,167,73,5,0,225,73,5,0,105,74,5,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,180,223,17,0,0,0,0,0,196,167,13,0,185,75,5,0,39,75,5,0,131,0,0,0,1,0,0,0,200,167,13,0,88,76,5,0,39,75,5,0,14,1,0,0,1,0,0,0,0,0,0,0,216,60,0,0,30,0,0,0,176,2,0,0,75,0,0,0,0,0,0,0,200,60,0,0,30,0,0,0,177,2,0,0,76,0,0,0,0,0,0,0,8,61,0,0,30,0,0,0,178,2,0,0,77,0,0,0,0,0,0,0,248,60,0,0,30,0,0,0,179,2,0,0,78,0,0,0,0,0,0,0,232,60,0,0,30,0,0,0,180,2,0,0,79,0,0,0,0,0,0,0,40,61,0,0,30,0,0,0,181,2,0,0,80,0,0,0,0,0,0,0,24,61,0,0,30,0,0,0,182,2,0,0,81,0,0,0,0,0,0,0,88,61,0,0,30,0,0,0,183,2,0,0,82,0,0,0,0,0,0,0,72,61,0,0,30,0,0,0,184,2,0,0,83,0,0,0,0,0,0,0,56,61,0,0,30,0,0,0,185,2,0,0,84,0,0,0,204,167,13,0,168,82,5,0,44,82,5,0,148,2,0,0,1,0,0,0,208,167,13,0,210,82,5,0,44,82,5,0,2,3,0,0,1,0,0,0,224,167,13,0,30,85,5,0,127,85,5,0,94,5,0,0,1,0,0,0,0,0,0,0,136,61,0,0,30,0,0,0,186,2,0,0,85,0,0,0,0,0,0,0,120,61,0,0,30,0,0,0,187,2,0,0,86,0,0,0,0,0,0,0,104,61,0,0,30,0,0,0,188,2,0,0,87,0,0,0,212,167,13,0,4,83,5,0,70,177,5,0,147,1,0,0,1,0,0,0,216,167,13,0,172,83,5,0,70,177,5,0,147,1,0,0,1,0,0,0,220,167,13,0,102,84,5,0,70,177,5,0,147,1,0,0,1,0,0,0,232,167,13,0,105,86,5,0,127,85,5,0,157,5,0,0,1,0,0,0,0,0,0,0,152,61,0,0,30,0,0,0,189,2,0,0,88,0,0,0,228,167,13,0,201,85,5,0,70,177,5,0,147,1,0,0,1,0,0,0,240,167,13,0,104,87,5,0,127,85,5,0,170,5,0,0,1,0,0,0,0,0,0,0,168,61,0,0,30,0,0,0,190,2,0,0,89,0,0,0,236,167,13,0,200,86,5,0,70,177,5,0,147,1,0,0,1,0,0,0,0,168,13,0,202,89,5,0,127,85,5,0,183,5,0,0,1,0,0,0,70,38,0,0,35,75,0,0,151,14,0,0,0,0,0,0,216,61,0,0,30,0,0,0,191,2,0,0,90,0,0,0,35,19,0,0,145,37,0,0,76,7,0,0,0,0,0,0,200,61,0,0,30,0,0,0,192,2,0,0,91,0,0,0,135,22,153,62,162,69,22,63,213,120,233,61,0,0,0,0,184,61,0,0,30,0,0,0,193,2,0,0,92,0,0,0,244,167,13,0,199,87,5,0,70,177,5,0,147,1,0,0,1,0,0,0,248,167,13,0,114,88,5,0,70,177,5,0,147,1,0,0,1,0,0,0,252,167,13,0,31,89,5,0,70,177,5,0,147,1,0,0,1,0,0,0,16,168,13,0,74,92,5,0,127,85,5,0,232,5,0,0,1,0,0,0,0,0,0,0,8,62,0,0,30,0,0,0,194,2,0,0,93,0,0,0,0,0,0,0,248,61,0,0,30,0,0,0,195,2,0,0,94,0,0,0,0,0,0,0,232,61,0,0,30,0,0,0,196,2,0,0,95,0,0,0,4,168,13,0,39,90,5,0,70,177,5,0,147,1,0,0,1,0,0,0,8,168,13,0,210,90,5,0,70,177,5,0,147,1,0,0,1,0,0,0,12,168,13,0,143,91,5,0,70,177,5,0,147,1,0,0,1,0,0,0,24,168,13,0,68,93,5,0,127,85,5,0,25,6,0,0,1,0,0,0,0,0,0,0,24,62,0,0,30,0,0,0,197,2,0,0,96,0,0,0,20,168,13,0,161,92,5,0,70,177,5,0,147,1,0,0,1,0,0,0,32,168,13,0,60,94,5,0,127,85,5,0,37,6,0,0,1,0,0,0,0,0,0,0,40,62,0,0,30,0,0,0,198,2,0,0,97,0,0,0,28,168,13,0,153,93,5,0,70,177,5,0,147,1,0,0,1,0,0,0,40,168,13,0,83,95,5,0,127,85,5,0,47,6,0,0,1,0,0,0,0,0,0,0,56,62,0,0,30,0,0,0,199,2,0,0,98,0,0,0,36,168,13,0,145,94,5,0,70,177,5,0,147,1,0,0,1,0,0,0,48,168,13,0,109,96,5,0,127,85,5,0,67,6,0,0,1,0,0,0,0,0,0,0,72,62,0,0,30,0,0,0,200,2,0,0,99,0,0,0,44,168,13,0,171,95,5,0,70,177,5,0,147,1,0,0,1,0,0,0,197,96,5,0,70,177,5,0,3,1,0,0,0,0,0,0,235,173,5,0,21,174,5,0,25,174,5,0,197,96,5,0,70,177,5,0,4,1,0,0,0,0,0,0,168,173,5,0,211,173,5,0,215,173,5,0,197,96,5,0,70,177,5,0,5,1,0,0,0,0,0,0,105,173,5,0,138,173,5,0,144,173,5,0,189,97,5,0,70,177,5,0,3,1,0,0,0,0,0,0,235,173,5,0,21,174,5,0,25,174,5,0,189,97,5,0,70,177,5,0,4,1,0,0,0,0,0,0,168,173,5,0,211,173,5,0,215,173,5,0,189,97,5,0,70,177,5,0,5,1,0,0,0,0,0,0,105,173,5,0,138,173,5,0,144,173,5,0,187,98,5,0,70,177,5,0,3,1,0,0,0,0,0,0,235,173,5,0,21,174,5,0,25,174,5,0,187,98,5,0,70,177,5,0,4,1,0,0,0,0,0,0,168,173,5,0,211,173,5,0,215,173,5,0,187,98,5,0,70,177,5,0,5,1,0,0,0,0,0,0,105,173,5,0,138,173,5,0,144,173,5,0,185,99,5,0,70,177,5,0,3,1,0,0,0,0,0,0,235,173,5,0,21,174,5,0,25,174,5,0,185,99,5,0,70,177,5,0,4,1,0,0,0,0,0,0,168,173,5,0,211,173,5,0,215,173,5,0,185,99,5,0,70,177,5,0,5,1,0,0,0,0,0,0,105,173,5,0,138,173,5,0,144,173,5,0,179,100,5,0,70,177,5,0,3,1,0,0,0,0,0,0,235,173,5,0,21,174,5,0,25,174,5,0,179,100,5,0,70,177,5,0,4,1,0,0,0,0,0,0,168,173,5,0,211,173,5,0,215,173,5,0,179,100,5,0,70,177,5,0,5,1,0,0,0,0,0,0,105,173,5,0,138,173,5,0,144,173,5,0,173,101,5,0,70,177,5,0,3,1,0,0,0,0,0,0,235,173,5,0,21,174,5,0,25,174,5,0,173,101,5,0,70,177,5,0,4,1,0,0,0,0,0,0,168,173,5,0,211,173,5,0,215,173,5,0,173,101,5,0,70,177,5,0,5,1,0,0,0,0,0,0,105,173,5,0,138,173,5,0,144,173,5,0,173,102,5,0,70,177,5,0,3,1,0,0,0,0,0,0,235,173,5,0,21,174,5,0,25,174,5,0,173,102,5,0,70,177,5,0,4,1,0,0,0,0,0,0,168,173,5,0,211,173,5,0,215,173,5,0,173,102,5,0,70,177,5,0,5,1,0,0,0,0,0,0,105,173,5,0,138,173,5,0,144,173,5,0,173,103,5,0,70,177,5,0,3,1,0,0,0,0,0,0,235,173,5,0,21,174,5,0,25,174,5,0,173,103,5,0,70,177,5,0,4,1,0,0,0,0,0,0,168,173,5,0,211,173,5,0,215,173,5,0,173,103,5,0,70,177,5,0,5,1,0,0,0,0,0,0,105,173,5,0,138,173,5,0,144,173,5,0,52,168,13,0,52,105,5,0,231,104,5,0,90,0,0,0,1,0,0,0,0,0,0,0,136,63,0,0,201,2,0,0,202,2,0,0,203,2,0,0,22,0,0,0,204,2,0,0,0,0,0,0,120,63,0,0,205,2,0,0,206,2,0,0,207,2,0,0,22,0,0,0,208,2,0,0,0,0,0,0,104,63,0,0,209,2,0,0,210,2,0,0,211,2,0,0,22,0,0,0,212,2,0,0,0,0,0,0,88,63,0,0,213,2,0,0,214,2,0,0,215,2,0,0,22,0,0,0,216,2,0,0,0,0,0,0,72,63,0,0,217,2,0,0,218,2,0,0,219,2,0,0,22,0,0,0,220,2,0,0,0,0,0,0,56,63,0,0,221,2,0,0,222,2,0,0,223,2,0,0,22,0,0,0,224,2,0,0,0,0,0,0,40,63,0,0,225,2,0,0,226,2,0,0,227,2,0,0,22,0,0,0,228,2,0,0,0,0,0,0,24,63,0,0,229,2,0,0,230,2,0,0,231,2,0,0,22,0,0,0,232,2,0,0,0,0,0,0,8,63,0,0,233,2,0,0,234,2,0,0,235,2,0,0,22,0,0,0,236,2,0,0,0,0,0,0,248,62,0,0,237,2,0,0,238,2,0,0,239,2,0,0,22,0,0,0,240,2,0,0,0,0,0,0,232,62,0,0,127,0,0,0,241,2,0,0,51,0,0,0,0,0,0,0,216,62,0,0,127,0,0,0,242,2,0,0,52,0,0,0,0,0,0,0,200,62,0,0,127,0,0,0,243,2,0,0,53,0,0,0,0,0,0,0,184,62,0,0,127,0,0,0,244,2,0,0,54,0,0,0,0,0,0,0,168,62,0,0,127,0,0,0,245,2,0,0,55,0,0,0,0,0,0,0,152,62,0,0,127,0,0,0,246,2,0,0,56,0,0,0,0,0,0,0,136,62,0,0,127,0,0,0,247,2,0,0,57,0,0,0,0,0,0,0,120,62,0,0,127,0,0,0,248,2,0,0,58,0,0,0,0,0,0,0,104,62,0,0,127,0,0,0,249,2,0,0,59,0,0,0,0,0,0,0,88,62,0,0,127,0,0,0,250,2,0,0,60,0,0,0,0,0,0,0,200,64,0,0,251,2,0,0,252,2,0,0,253,2,0,0,22,0,0,0,254,2,0,0,0,0,0,0,184,64,0,0,255,2,0,0,0,3,0,0,1,3,0,0,22,0,0,0,2,3,0,0,0,0,0,0,168,64,0,0,3,3,0,0,4,3,0,0,5,3,0,0,22,0,0,0,6,3,0,0,0,0,0,0,152,64,0,0,7,3,0,0,8,3,0,0,9,3,0,0,22,0,0,0,10,3,0,0,0,0,0,0,136,64,0,0,11,3,0,0,12,3,0,0,13,3,0,0,22,0,0,0,14,3,0,0,0,0,0,0,120,64,0,0,15,3,0,0,16,3,0,0,17,3,0,0,22,0,0,0,18,3,0,0,0,0,0,0,104,64,0,0,19,3,0,0,20,3,0,0,21,3,0,0,22,0,0,0,22,3,0,0,0,0,0,0,88,64,0,0,23,3,0,0,24,3,0,0,25,3,0,0,22,0,0,0,26,3,0,0,0,0,0,0,72,64,0,0,27,3,0,0,28,3,0,0,29,3,0,0,22,0,0,0,30,3,0,0,0,0,0,0,56,64,0,0,31,3,0,0,32,3,0,0,33,3,0,0,22,0,0,0,34,3,0,0,0,0,0,0,40,64,0,0,129,0,0,0,35,3,0,0,77,0,0,0,131,0,0,0,0,0,0,0,24,64,0,0,129,0,0,0,36,3,0,0,78,0,0,0,131,0,0,0,0,0,0,0,8,64,0,0,129,0,0,0,37,3,0,0,79,0,0,0,131,0,0,0,0,0,0,0,248,63,0,0,129,0,0,0,38,3,0,0,80,0,0,0,131,0,0,0,0,0,0,0,232,63,0,0,129,0,0,0,39,3,0,0,81,0,0,0,131,0,0,0,0,0,0,0,216,63,0,0,129,0,0,0,40,3,0,0,82,0,0,0,131,0,0,0,0,0,0,0,200,63,0,0,129,0,0,0,41,3,0,0,83,0,0,0,131,0,0,0,0,0,0,0,184,63,0,0,129,0,0,0,42,3,0,0,84,0,0,0,131,0,0,0,0,0,0,0,168,63,0,0,129,0,0,0,43,3,0,0,85,0,0,0,131,0,0,0,0,0,0,0,152,63,0,0,129,0,0,0,44,3,0,0,86,0,0,0,131,0,0,0,0,0,0,0,8,66,0,0,45,3,0,0,46,3,0,0,47,3,0,0,22,0,0,0,48,3,0,0,0,0,0,0,232,65,0,0,49,3,0,0,50,3,0,0,51,3,0,0,22,0,0,0,52,3,0,0,0,0,0,0,200,65,0,0,53,3,0,0,54,3,0,0,55,3,0,0,22,0,0,0,56,3,0,0,0,0,0,0,168,65,0,0,57,3,0,0,58,3,0,0,59,3,0,0,22,0,0,0,60,3,0,0,0,0,0,0,136,65,0,0,61,3,0,0,62,3,0,0,63,3,0,0,22,0,0,0,64,3,0,0,0,0,0,0,104,65,0,0,65,3,0,0,66,3,0,0,67,3,0,0,22,0,0,0,68,3,0,0,0,0,0,0,72,65,0,0,69,3,0,0,70,3,0,0,71,3,0,0,22,0,0,0,72,3,0,0,0,0,0,0,40,65,0,0,73,3,0,0,74,3,0,0,75,3,0,0,22,0,0,0,76,3,0,0,0,0,0,0,8,65,0,0,77,3,0,0,78,3,0,0,79,3,0,0,22,0,0,0,80,3,0,0,0,0,0,0,232,64,0,0,81,3,0,0,82,3,0,0,83,3,0,0,22,0,0,0,84,3,0,0,0,0,0,0,216,64,0,0,85,3,0,0,86,3,0,0,41,0,0,0,134,0,0,0,0,0,0,0,248,64,0,0,87,3,0,0,88,3,0,0,42,0,0,0,134,0,0,0,0,0,0,0,24,65,0,0,89,3,0,0,90,3,0,0,43,0,0,0,134,0,0,0,0,0,0,0,56,65,0,0,91,3,0,0,92,3,0,0,44,0,0,0,134,0,0,0,0,0,0,0,88,65,0,0,93,3,0,0,94,3,0,0,45,0,0,0,134,0,0,0,0,0,0,0,120,65,0,0,95,3,0,0,96,3,0,0,46,0,0,0,134,0,0,0,0,0,0,0,152,65,0,0,97,3,0,0,98,3,0,0,47,0,0,0,134,0,0,0,0,0,0,0,184,65,0,0,99,3,0,0,100,3,0,0,48,0,0,0,134,0,0,0,0,0,0,0,216,65,0,0,101,3,0,0,102,3,0,0,49,0,0,0,134,0,0,0,0,0,0,0,248,65,0,0,103,3,0,0,104,3,0,0,50,0,0,0,134,0,0,0,60,168,13,0,106,127,5,0,164,105,5,0,99,7,0,0,1,0,0,0,56,168,13,0,14,127,5,0,164,105,5,0,31,7,0,0,1,0,0,0,64,168,13,0,191,127,5,0,164,105,5,0,109,7,0,0,1,0,0,0,68,168,13,0,66,128,5,0,164,105,5,0,253,7,0,0,1,0,0,0,72,168,13,0,46,129,5,0,231,128,5,0,52,2,0,0,1,0,0,0,76,168,13,0,113,129,5,0,231,128,5,0,136,2,0,0,1,0,0,0,136,168,13,0,227,131,5,0,63,132,5,0,1,16,0,0,1,0,0,0,153,6,0,0,185,5,0,0,227,2,0,0,103,3,0,0,113,11,0,0,40,1,0,0,79,0,0,0,232,1,0,0,52,15,0,0,0,0,0,0,56,66,0,0,30,0,0,0,105,3,0,0,100,0,0,0,0,0,0,0,40,66,0,0,30,0,0,0,106,3,0,0,101,0,0,0,0,0,0,0,24,66,0,0,30,0,0,0,107,3,0,0,102,0,0,0,124,168,13,0,183,129,5,0,70,177,5,0,147,1,0,0,1,0,0,0,128,168,13,0,101,130,5,0,70,177,5,0,147,1,0,0,1,0,0,0,132,168,13,0,37,131,5,0,70,177,5,0,147,1,0,0,1,0,0,0,152,168,13,0,181,134,5,0,63,132,5,0,52,16,0,0,1,0,0,0,217,51,0,0,104,231,255,255,6,248,255,255,126,240,255,255,4,30,0,0,170,0,0,0,228,0,0,0,188,252,255,255,235,16,0,0,0,0,0,0,104,66,0,0,30,0,0,0,108,3,0,0,103,0,0,0,0,0,0,0,88,66],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+71684);allocate([30,0,0,0,109,3,0,0,104,0,0,0,0,0,0,0,72,66,0,0,30,0,0,0,110,3,0,0,105,0,0,0,140,168,13,0,137,132,5,0,70,177,5,0,147,1,0,0,1,0,0,0,144,168,13,0,55,133,5,0,70,177,5,0,147,1,0,0,1,0,0,0,148,168,13,0,247,133,5,0,70,177,5,0,147,1,0,0,1,0,0,0,40,169,13,0,64,139,5,0,63,132,5,0,104,16,0,0,1,0,0,0,0,0,0,0,168,66,0,0,30,0,0,0,111,3,0,0,106,0,0,0,0,0,0,0,152,66,0,0,30,0,0,0,112,3,0,0,107,0,0,0,0,0,0,0,136,66,0,0,30,0,0,0,113,3,0,0,108,0,0,0,0,0,0,0,120,66,0,0,30,0,0,0,114,3,0,0,109,0,0,0,164,168,13,0,17,135,5,0,70,177,5,0,147,1,0,0,1,0,0,0,192,168,13,0,173,135,5,0,70,177,5,0,147,1,0,0,1,0,0,0,32,169,13,0,21,137,5,0,70,177,5,0,147,1,0,0,1,0,0,0,36,169,13,0,25,138,5,0,70,177,5,0,147,1,0,0,1,0,0,0,3,0,0,0,72,169,13,0,37,142,5,0,63,132,5,0,201,16,0,0,1,0,0,0,0,0,0,0,232,66,0,0,30,0,0,0,115,3,0,0,110,0,0,0,0,0,0,0,216,66,0,0,30,0,0,0,116,3,0,0,111,0,0,0,0,0,0,0,200,66,0,0,30,0,0,0,117,3,0,0,112,0,0,0,0,0,0,0,184,66,0,0,30,0,0,0,118,3,0,0,113,0,0,0,44,169,13,0,168,139,5,0,70,177,5,0,147,1,0,0,1,0,0,0,60,169,13,0,68,140,5,0,70,177,5,0,147,1,0,0,1,0,0,0,64,169,13,0,237,140,5,0,70,177,5,0,147,1,0,0,1,0,0,0,68,169,13,0,137,141,5,0,70,177,5,0,147,1,0,0,1,0,0,0,141,142,5,0,70,177,5,0,3,1,0,0,0,0,0,0,235,173,5,0,21,174,5,0,25,174,5,0,141,142,5,0,70,177,5,0,4,1,0,0,0,0,0,0,168,173,5,0,211,173,5,0,215,173,5,0,141,142,5,0,70,177,5,0,5,1,0,0,0,0,0,0,105,173,5,0,138,173,5,0,144,173,5,0,137,143,5,0,70,177,5,0,3,1,0,0,0,0,0,0,235,173,5,0,21,174,5,0,25,174,5,0,137,143,5,0,70,177,5,0,4,1,0,0,0,0,0,0,168,173,5,0,211,173,5,0,215,173,5,0,137,143,5,0,70,177,5,0,5,1,0,0,0,0,0,0,105,173,5,0,138,173,5,0,144,173,5,0,133,144,5,0,70,177,5,0,3,1,0,0,0,0,0,0,235,173,5,0,21,174,5,0,25,174,5,0,133,144,5,0,70,177,5,0,4,1,0,0,0,0,0,0,168,173,5,0,211,173,5,0,215,173,5,0,133,144,5,0,70,177,5,0,5,1,0,0,0,0,0,0,105,173,5,0,138,173,5,0,144,173,5,0,127,145,5,0,70,177,5,0,3,1,0,0,0,0,0,0,235,173,5,0,21,174,5,0,25,174,5,0,127,145,5,0,70,177,5,0,4,1,0,0,0,0,0,0,168,173,5,0,211,173,5,0,215,173,5,0,127,145,5,0,70,177,5,0,5,1,0,0,0,0,0,0,105,173,5,0,138,173,5,0,144,173,5,0,76,169,13,0,63,148,5,0,158,146,5,0,130,3,0,0,1,0,0,0,63,148,5,0,158,146,5,0,136,3,0,0,0,0,0,0,161,148,5,0,74,69,6,0,104,147,5,0,241,146,5,0,158,146,5,0,239,0,0,0,0,0,0,0,89,147,5,0,74,69,6,0,104,147,5,0,160,147,5,0,158,146,5,0,113,0,0,0,0,0,0,0,89,147,5,0,74,69,6,0,104,147,5,0,160,147,5,0,158,146,5,0,131,0,0,0,5,0,0,0,2,148,5,0,43,148,5,0,53,148,5,0,80,169,13,0,236,148,5,0,158,146,5,0,153,3,0,0,1,0,0,0,84,169,13,0,149,151,5,0,158,146,5,0,191,6,0,0,1,0,0,0,149,151,5,0,158,146,5,0,197,6,0,0,0,0,0,0,0,152,5,0,74,69,6,0,29,152,5,0,0,0,0,0,40,67,0,0,30,0,0,0,119,3,0,0,114,0,0,0,0,0,0,0,24,67,0,0,30,0,0,0,120,3,0,0,115,0,0,0,0,0,0,0,8,67,0,0,30,0,0,0,121,3,0,0,116,0,0,0,0,0,0,0,248,66,0,0,30,0,0,0,122,3,0,0,117,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,255,255,255,255,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,0,0,0,0,255,255,255,255,1,0,0,0,0,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,0,0,0,0,56,67,0,0,47,0,0,0,123,3,0,0,124,3,0,0,24,0,0,0,125,3,0,0,88,169,13,0,131,156,5,0,89,152,5,0,88,7,0,0,1,0,0,0,92,169,13,0,181,158,5,0,6,157,5,0,207,2,0,0,1,0,0,0,0,0,0,0,88,67,0,0,30,0,0,0,126,3,0,0,118,0,0,0,0,0,0,0,72,67,0,0,30,0,0,0,127,3,0,0,119,0,0,0,100,169,13,0,152,159,5,0,6,157,5,0,93,3,0,0,1,0,0,0,96,169,13,0,94,159,5,0,6,157,5,0,176,2,0,0,1,0,0,0,116,169,13,0,28,162,5,0,126,162,5,0,223,8,0,0,1,0,0,0,35,19,0,0,145,37,0,0,76,7,0,0,162,45,0,0,25,36,0,0,35,19,0,0,145,37,0,0,76,7,0,0,33,56,0,0,125,31,0,0,0,0,0,0,136,67,0,0,30,0,0,0,128,3,0,0,120,0,0,0,35,19,0,0,145,37,0,0,76,7,0,0,162,45,0,0,25,36,0,0,35,19,0,0,145,37,0,0,76,7,0,0,33,56,0,0,125,31,0,0,0,0,0,0,120,67,0,0,30,0,0,0,129,3,0,0,121,0,0,0,135,22,153,62,162,69,22,63,213,120,233,61,43,135,54,63,78,98,16,63,135,22,153,62,162,69,22,63,213,120,233,61,18,131,96,63,109,231,251,62,0,0,0,0,104,67,0,0,30,0,0,0,130,3,0,0,122,0,0,0,104,169,13,0,219,159,5,0,70,177,5,0,147,1,0,0,1,0,0,0,108,169,13,0,144,160,5,0,70,177,5,0,147,1,0,0,1,0,0,0,112,169,13,0,87,161,5,0,70,177,5,0,147,1,0,0,1,0,0,0,132,169,13,0,9,165,5,0,126,162,5,0,20,9,0,0,1,0,0,0,203,89,0,0,78,210,255,255,252,233,255,255,121,113,0,0,246,72,0,0,209,218,255,255,184,230,255,255,12,130,0,0,0,0,0,0,184,67,0,0,30,0,0,0,131,3,0,0,123,0,0,0,203,89,0,0,78,210,255,255,252,233,255,255,121,113,0,0,246,72,0,0,209,218,255,255,184,230,255,255,12,130,0,0,0,0,0,0,168,67,0,0,30,0,0,0,132,3,0,0,124,0,0,0,129,149,179,63,180,200,54,191,197,32,176,190,170,241,226,63,133,235,145,63,106,188,20,191,113,61,202,190,74,12,2,64,0,0,0,0,152,67,0,0,30,0,0,0,133,3,0,0,125,0,0,0,120,169,13,0,200,162,5,0,70,177,5,0,147,1,0,0,1,0,0,0,124,169,13,0,125,163,5,0,70,177,5,0,147,1,0,0,1,0,0,0,128,169,13,0,68,164,5,0,70,177,5,0,147,1,0,0,1,0,0,0,140,169,13,0,100,167,5,0,126,162,5,0,74,9,0,0,1,0,0,0,136,169,13,0,241,166,5,0,126,162,5,0,86,9,0,0,1,0,0,0,0,0,0,0,56,68,0,0,30,0,0,0,134,3,0,0,126,0,0,0,0,0,0,0,40,68,0,0,30,0,0,0,135,3,0,0,127,0,0,0,0,0,0,0,24,68,0,0,30,0,0,0,136,3,0,0,128,0,0,0,0,0,0,0,8,68,0,0,30,0,0,0,137,3,0,0,129,0,0,0,0,0,0,0,248,67,0,0,30,0,0,0,138,3,0,0,130,0,0,0,0,0,0,0,232,67,0,0,30,0,0,0,139,3,0,0,131,0,0,0,0,0,0,0,216,67,0,0,30,0,0,0,140,3,0,0,132,0,0,0,0,0,0,0,200,67,0,0,30,0,0,0,141,3,0,0,133,0,0,0,144,169,13,0,110,168,5,0,126,162,5,0,109,9,0,0,1,0,0,0,0,0,0,0,120,68,0,0,30,0,0,0,142,3,0,0,134,0,0,0,0,0,0,0,104,68,0,0,30,0,0,0,143,3,0,0,135,0,0,0,0,0,0,0,88,68,0,0,30,0,0,0,144,3,0,0,136,0,0,0,0,0,0,0,72,68,0,0,30,0,0,0,145,3,0,0,137,0,0,0,148,169,13,0,242,168,5,0,126,162,5,0,136,9,0,0,1,0,0,0,0,0,0,0,136,68,0,0,30,0,0,0,146,3,0,0,138,0,0,0,152,169,13,0,124,171,5,0,126,162,5,0,159,9,0,0,1,0,0,0,0,0,0,0,72,69,0,0,30,0,0,0,147,3,0,0,139,0,0,0,0,0,0,0,56,69,0,0,30,0,0,0,148,3,0,0,140,0,0,0,0,0,0,0,40,69,0,0,30,0,0,0,149,3,0,0,141,0,0,0,0,0,0,0,24,69,0,0,30,0,0,0,150,3,0,0,142,0,0,0,0,0,0,0,8,69,0,0,30,0,0,0,151,3,0,0,143,0,0,0,0,0,0,0,248,68,0,0,30,0,0,0,152,3,0,0,144,0,0,0,0,0,0,0,232,68,0,0,30,0,0,0,153,3,0,0,145,0,0,0,0,0,0,0,216,68,0,0,30,0,0,0,154,3,0,0,146,0,0,0,0,0,0,0,200,68,0,0,30,0,0,0,155,3,0,0,147,0,0,0,0,0,0,0,184,68,0,0,30,0,0,0,156,3,0,0,148,0,0,0,0,0,0,0,168,68,0,0,30,0,0,0,157,3,0,0,149,0,0,0,0,0,0,0,152,68,0,0,30,0,0,0,158,3,0,0,150,0,0,0,103,172,5,0,70,177,5,0,3,1,0,0,0,0,0,0,235,173,5,0,21,174,5,0,25,174,5,0,103,172,5,0,70,177,5,0,4,1,0,0,0,0,0,0,168,173,5,0,211,173,5,0,215,173,5,0,103,172,5,0,70,177,5,0,5,1,0,0,0,0,0,0,105,173,5,0,138,173,5,0,144,173,5,0,85,174,5,0,70,177,5,0,3,1,0,0,0,0,0,0,235,173,5,0,21,174,5,0,25,174,5,0,85,174,5,0,70,177,5,0,4,1,0,0,0,0,0,0,168,173,5,0,211,173,5,0,215,173,5,0,85,174,5,0,70,177,5,0,5,1,0,0,0,0,0,0,105,173,5,0,138,173,5,0,144,173,5,0,93,175,5,0,70,177,5,0,3,1,0,0,0,0,0,0,235,173,5,0,21,174,5,0,25,174,5,0,93,175,5,0,70,177,5,0,4,1,0,0,0,0,0,0,168,173,5,0,211,173,5,0,215,173,5,0,93,175,5,0,70,177,5,0,5,1,0,0,0,0,0,0,105,173,5,0,138,173,5,0,144,173,5,0,172,181,13,0,140,179,5,0,140,176,5,0,218,4,0,0,1,0,0,0,0,0,0,0,136,69,0,0,30,0,0,0,159,3,0,0,151,0,0,0,0,0,0,0,120,69,0,0,30,0,0,0,160,3,0,0,152,0,0,0,0,0,0,0,104,69,0,0,30,0,0,0,161,3,0,0,153,0,0,0,0,0,0,0,88,69,0,0,30,0,0,0,162,3,0,0,154,0,0,0,156,169,13,0,214,176,5,0,70,177,5,0,147,1,0,0,1,0,0,0,160,169,13,0,184,177,5,0,70,177,5,0,147,1,0,0,1,0,0,0,164,169,13,0,84,178,5,0,70,177,5,0,147,1,0,0,1,0,0,0,168,181,13,0,240,178,5,0,70,177,5,0,147,1,0,0,1,0,0,0,192,181,13,0,100,182,5,0,140,176,5,0,49,5,0,0,1,0,0,0,0,0,0,0,200,69,0,0,30,0,0,0,163,3,0,0,155,0,0,0,0,0,0,0,184,69,0,0,30,0,0,0,164,3,0,0,156,0,0,0,0,0,0,0,168,69,0,0,30,0,0,0,165,3,0,0,157,0,0,0,0,0,0,0,152,69,0,0,30,0,0,0,166,3,0,0,158,0,0,0,176,181,13,0,244,179,5,0,70,177,5,0,147,1,0,0,1,0,0,0,1,0,0,0,3,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,2,0,0,0,3,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,2,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,3,0,0,0,2,0,0,0,1,0,0,0,0,0,0,0,180,181,13,0,144,180,5,0,70,177,5,0,147,1,0,0,1,0,0,0,184,181,13,0,44,181,5,0,70,177,5,0,147,1,0,0,1,0,0,0,1,0,0,0,3,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,2,0,0,0,3,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,2,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,3,0,0,0,2,0,0,0,1,0,0,0,0,0,0,0,188,181,13,0,200,181,5,0,70,177,5,0,147,1,0,0,1,0,0,0,0,0,0,0,216,69,0,0,167,3,0,0,168,3,0,0,4,0,0,0,159,0,0,0,14,0,0,0,5,0,0,0,6,0,0,0,160,0,0,0,169,3,0,0,1,0,0,0,25,0,0,0,48,0,0,0,170,3,0,0,196,181,13,0,56,183,5,0,140,183,5,0,230,1,0,0,1,0,0,0,0,0,0,0,224,69,0,0,171,3,0,0,172,3,0,0,173,3,0,0,22,0,0,0,174,3,0,0,0,0,0,0,240,69,0,0,175,3,0,0,176,3,0,0,7,0,0,0,161,0,0,0,15,0,0,0,5,0,0,0,8,0,0,0,160,0,0,0,169,3,0,0,2,0,0,0,25,0,0,0,49,0,0,0,177,3,0,0,200,181,13,0,244,183,5,0,140,183,5,0,167,2,0,0,1,0,0,0,204,181,13,0,119,184,5,0,140,183,5,0,123,2,0,0,1,0,0,0,0,0,0,0,0,70,0,0,178,3,0,0,179,3,0,0,180,3,0,0,22,0,0,0,181,3,0,0,0,0,0,0,32,70,0,0,182,3,0,0,183,3,0,0,184,3,0,0,22,0,0,0,185,3,0,0,0,0,0,0,16,70,0,0,186,3,0,0,187,3,0,0,188,3,0,0,22,0,0,0,189,3,0,0,0,0,0,0,48,70,0,0,190,3,0,0,191,3,0,0,9,0,0,0,162,0,0,0,16,0,0,0,5,0,0,0,10,0,0,0,160,0,0,0,169,3,0,0,1,0,0,0,26,0,0,0,50,0,0,0,192,3,0,0,0,0,0,0,96,70,0,0,193,3,0,0,194,3,0,0,195,3,0,0,22,0,0,0,196,3,0,0,0,0,0,0,80,70,0,0,197,3,0,0,198,3,0,0,199,3,0,0,22,0,0,0,200,3,0,0,0,0,0,0,64,70,0,0,201,3,0,0,202,3,0,0,203,3,0,0,22,0,0,0,204,3,0,0,0,0,0,0,112,70,0,0,205,3,0,0,206,3,0,0,29,0,0,0,4,0,0,0,163,0,0,0,17,0,0,0,6,0,0,0,7,0,0,0,27,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,18,0,0,0,164,0,0,0,19,0,0,0,20,0,0,0,165,0,0,0,166,0,0,0,248,181,13,0,145,193,5,0,140,183,5,0,90,5,0,0,1,0,0,0,216,181,13,0,15,189,5,0,140,183,5,0,123,1,0,0,1,0,0,0,208,181,13,0,243,187,5,0,140,183,5,0,108,1,0,0,1,0,0,0,212,181,13,0,169,188,5,0,140,183,5,0,63,0,0,0,1,0,0,0,244,181,13,0,113,192,5,0,140,183,5,0,219,4,0,0,1,0,0,0,0,0,0,0,128,70,0,0,207,3,0,0,208,3,0,0,167,0,0,0,240,181,13,0,2,192,5,0,140,183,5,0,230,3,0,0,1,0,0,0,236,181,13,0,170,191,5,0,140,183,5,0,164,3,0,0,1,0,0,0,220,181,13,0,117,189,5,0,248,184,5,0,17,2,0,0,1,0,0,0,224,181,13,0,239,189,5,0,248,184,5,0,231,1,0,0,1,0,0,0,228,181,13,0,155,190,5,0,248,184,5,0,100,2,0,0,1,0,0,0,232,181,13,0,46,191,5,0,248,184,5,0,61,2,0,0,1,0,0,0,0,182,13,0,179,194,5,0,140,183,5,0,137,5,0,0,1,0,0,0,252,181,13,0,100,194,5,0,140,183,5,0,115,1,0,0,1,0,0,0,4,182,13,0,63,195,5,0,140,183,5,0,124,5,0,0,1,0,0,0,0,0,0,0,144,70,0,0,47,0,0,0,209,3,0,0,210,3,0,0,28,0,0,0,211,3,0,0,0,0,0,0,176,70,0,0,47,0,0,0,212,3,0,0,213,3,0,0,29,0,0,0,214,3,0,0,0,0,0,0,160,70,0,0,47,0,0,0,215,3,0,0,216,3,0,0,30,0,0,0,217,3,0,0,8,182,13,0,130,198,5,0,140,183,5,0,131,1,0,0,1,0,0,0,0,0,0,0,208,70,0,0,218,3,0,0,219,3,0,0,220,3,0,0,22,0,0,0,221,3,0,0,12,182,13,0,112,199,5,0,140,183,5,0,155,6,0,0,1,0,0,0,16,182,13,0,220,199,5,0,140,183,5,0,169,6,0,0,1,0,0,0,20,182,13,0,92,200,5,0,140,183,5,0,186,6,0,0,1,0,0,0,0,0,0,0,224,70,0,0,222,3,0,0,223,3,0,0,51,0,0,0,168,0,0,0,0,0,0,0,232,70,0,0,224,3,0,0,225,3,0,0,169,0,0,0,31,0,0,0,51,0,0,0,11,0,0,0,52,0,0,0,170,0,0,0,87,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,88,0,0,0,1,0,0,0,1,0,0,0,32,182,13,0,169,201,5,0,77,201,5,0,77,14,0,0,1,0,0,0,0,0,0,0,240,70,0,0,226,3,0,0,227,3,0,0,171,0,0,0,28,182,13,0,8,201,5,0,77,201,5,0,177,13,0,0,1,0,0,0,36,182,13,0,95,203,5,0,77,201,5,0,221,13,0,0,1,0,0,0,40,182,13,0,107,204,5,0,77,201,5,0,238,0,0,0,1,0,0,0,44,182,13,0,212,204,5,0,77,201,5,0,59,8,0,0,1,0,0,0,52,182,13,0,5,206,5,0,77,201,5,0,4,8,0,0,1,0,0,0,0,0,0,0,0,71,0,0,228,3,0,0,229,3,0,0,172,0,0,0,48,182,13,0,136,205,5,0,77,201,5,0,197,14,0,0,1,0,0,0,56,182,13,0,158,206,5,0,77,201,5,0,232,6,0,0,1,0,0,0,60,182,13,0,107,207,5,0,77,201,5,0,119,6,0,0,1,0,0,0,64,182,13,0,6,208,5,0,77,201,5,0,52,6,0,0,1,0,0,0,80,44,8,0,60,133,91,61,105,191,22,190,2,153,98,189,108,247,79,61,246,123,236,61,167,217,46,189,62,226,61,61,57,250,95,189,212,151,168,61,35,124,213,61,136,247,187,188,168,158,53,60,147,226,97,60,59,62,229,61,79,209,79,60,24,169,174,61,149,54,129,189,240,173,5,62,38,231,165,61,19,100,85,189,154,195,48,189,193,79,191,61,81,255,225,61,15,146,155,189,76,255,97,189,6,230,54,189,19,114,241,60,66,152,58,61,65,71,105,187,217,33,160,61,168,84,158,61,18,154,161,61,195,227,126,61,40,89,184,61,26,104,18,189,208,217,11,61,93,138,104,61,160,134,67,189,86,118,25,61,50,58,16,189,138,114,142,61,23,168,29,189,94,104,44,60,232,56,142,60,25,146,222,61,48,45,179,61,33,25,88,59,61,96,223,61,226,18,162,61,158,217,212,61,161,93,171,60,17,114,237,61,236,252,6,62,68,84,202,61,23,168,91,61,71,37,138,189,4,202,229,187,53,239,171,59,152,142,4,61,71,172,102,60,194,224,180,60,128,219,207,60,177,72,58,61,179,120,147,61,81,51,0,61,72,128,128,189,73,155,172,60,190,51,119,61,192,222,176,61,41,126,148,59,40,174,179,60,10,56,189,60,116,18,100,61,159,175,216,188,243,55,54,61,22,115,232,60,125,210,183,61,99,190,54,61,182,208,183,61,13,229,153,61,235,252,188,60,210,50,213,61,174,108,130,61,189,113,115,61,27,55,150,59,51,211,85,61,176,184,136,61,249,46,171,61,189,118,137,61,18,84,134,61,23,254,32,189,43,17,22,188,31,148,113,189,77,185,230,60,254,31,78,61,63,222,138,61,58,89,10,61,73,193,31,186,241,14,147,188,138,157,252,188,195,101,85,188,236,125,243,188,194,56,1,60,97,108,16,189,197,25,36,187,177,214,86,61,86,124,241,61,186,143,177,188,134,15,89,61,120,255,135,61,224,151,84,61,44,140,7,188,73,121,248,60,160,75,111,61,138,106,131,187,176,213,204,187,146,37,112,61,119,248,201,188,55,50,99,61,112,131,168,189,36,39,148,189,151,19,62,61,38,88,86,188,162,78,205,188,91,3,254,60,230,26,63,189,56,17,60,189,116,168,241,60,104,54,119,61,163,225,183,60,11,39,139,188,123,102,42,60,181,84,57,60,104,252,93,61,38,131,174,188,138,4,49,189,99,32,22,189,106,144,56,60,4,134,213,188,109,139,182,188,10,201,184,188,45,97,12,189,146,1,254,187,175,193,125,189,2,158,6,60,249,75,195,61,243,245,23,189,179,46,142,189,24,75,21,62,111,40,95,189,111,107,168,188,104,105,107,61,83,226,227,60,227,242,144,189,143,26,84,189,14,150,213,189,104,26,230,189,217,49,154,61,131,208,154,189,209,243,179,189,185,111,244,60,80,135,218,60,161,117,98,60,57,64,147,188,220,169,0,189,94,224,171,188,8,235,184,61,33,245,74,61,218,122,12,62,186,15,233,61,101,244,235,58,184,127,59,189,210,161,145,186,226,244,193,189,219,124,237,189,42,226,55,61,158,41,146,60,0,25,73,59,8,208,220,61,17,135,92,59,89,14,222,189,116,78,152,189,28,194,215,189,189,237,152,188,204,110,36,62,200,60,166,187,61,243,47,189,202,125,193,187,233,129,16,60,28,142,116,188,208,255,77,189,89,217,3,190,106,97,102,58,215,135,84,188,1,128,155,189,113,161,218,188,73,223,53,186,30,40,197,60,193,68,145,188,107,238,29,189,202,193,112,189,97,132,5,61,31,88,3,62,75,223,128,61,220,150,134,187,126,53,225,61,178,101,90,60,243,27,171,60,76,96,37,61,199,110,85,189,253,236,158,61,2,15,131,61,92,153,107,189,249,226,205,189,239,179,153,61,123,74,175,188,138,36,147,60,241,157,25,59,108,95,44,189,172,161,150,61,165,159,80,61,8,127,245,188,80,201,181,188,47,111,9,61,222,253,52,61,239,149,100,189,200,86,78,189,29,75,58,189,3,5,98,60,215,46,176,60,241,191,179,188,98,28,12,190,99,216,95,61,236,187,131,60,30,118,89,61,202,141,64,61,14,59,175,58,76,38,155,61,83,32,197,61,91,64,18,60,75,241,230,188,124,141,222,61,240,223,12,189,115,64,145,189,175,244,117,189,3,49,222,188,170,210,231,187,204,26,134,188,9,5,91,60,0,57,211,189,62,249,72,61,11,205,106,189,225,186,223,188,129,194,42,60,31,209,170,189,196,255,22,61,150,50,122,61,19,184,88,60,108,240,159,189,218,156,26,61,128,206,11,189,179,182,121,189,82,135,44,189,151,121,163,189,154,29,165,186,201,124,249,188,70,150,74,188,33,71,129,189,72,46,68,61,41,128,60,189,237,165,175,61,225,134,206,60,245,200,244,60,31,62,211,61,235,150,144,61,87,41,57,61,213,80,53,189,215,158,6,62,92,193,171,61,190,82,177,60,183,30,11,187,54,254,22,189,187,250,169,188,8,224,28,189,217,197,122,188,68,87,220,60,92,11,243,61,96,138,119,189,42,38,228,188,72,150,67,189,89,213,71,61,77,17,130,61,130,37,15,61,56,107,112,60,98,133,154,58,149,99,51,61,37,124,5,59,6,37,34,189,204,191,47,188,243,237,210,59,41,121,245,60,165,5,12,189,158,150,160,188,6,191,71,188,65,50,143,187,232,217,208,188,80,201,216,60,71,188,133,188,198,217,211,59,117,21,158,188,68,221,156,59,59,66,75,61,108,5,28,61,82,205,148,61,81,218,107,61,10,65,25,189,209,13,135,60,217,125,10,188,194,181,35,61,121,163,167,189,56,45,216,60,30,238,36,189,252,215,224,188,243,196,38,189,122,192,137,58,108,51,66,189,54,229,137,189,176,156,14,60,246,156,179,188,44,104,177,58,100,109,250,188,51,193,243,188,35,145,236,188,252,92,70,188,196,198,69,189,68,173,185,189,146,45,204,189,8,32,22,189,47,208,104,186,104,207,139,189,1,224,152,188,144,150,20,189,225,187,102,188,164,137,153,60,106,13,170,188,14,75,187,61,11,76,17,189,87,13,93,61,130,253,43,61,177,78,85,60,134,159,10,189,127,229,249,189,178,229,139,61,117,49,24,189,46,155,28,60,251,179,165,59,0,206,103,61,179,11,128,59,78,18,230,60,113,5,98,189,43,7,24,189,28,74,232,188,237,15,53,189,255,18,41,188,37,75,154,60,174,47,11,188,255,231,192,189,243,249,79,188,8,196,174,188,56,181,208,189,104,167,160,189,188,172,31,59,151,56,134,187,165,6,69,60,150,36,132,189,30,246,216,189,120,233,201,188,8,51,180,188,110,151,151,189,7,55,149,61,11,168,104,58,251,116,35,60,132,188,10,60,96,203,24,61,232,252,237,188,39,93,18,61,43,247,51,189,111,14,246,189,149,28,2,61,197,227,52,187,231,175,221,61,50,132,80,61,228,98,88,187,43,223,81,189,107,104,165,59,165,0,104,189,167,106,196,187,228,205,90,189,239,28,72,188,205,145,83,60,117,125,34,60,184,12,248,187,157,171,125,189,24,41,19,187,50,210,162,60,37,98,165,188,235,219,142,189,254,50,135,189,252,45,9,189,174,122,182,189,15,24,10,189,115,177,151,189,246,40,184,188,197,79,124,189,250,6,54,59,138,109,106,189,171,76,68,189,216,250,153,61,188,183,53,59,95,133,44,61,61,254,253,60,138,52,88,61,209,251,33,61,34,82,246,188,111,196,29,189,239,192,228,188,27,140,235,188,138,226,122,60,187,39,179,60,189,1,163,188,9,73,36,59,72,25,210,189,39,6,68,189,79,133,236,188,238,90,124,59,143,58,54,60,246,219,7,60,159,140,69,189,163,119,56,189,173,22,24,189,74,29,143,189,182,83,225,189,208,109,48,187,112,252,242,58,179,134,114,189,31,16,122,189,139,56,173,189,89,115,57,189,253,100,105,58,21,164,112,189,22,8,48,187,199,89,130,188,205,194,20,61,5,0,97,61,193,130,149,61,246,80,181,59,145,20,131,61,235,93,151,60,233,213,188,187,124,132,3,189,14,81,139,59,101,31,63,60,93,224,189,186,112,160,184,60,101,234,9,189,14,4,143,61,17,99,138,187,47,184,17,188,66,174,162,189,26,251,84,61,62,110,120,61,206,78,41,61,103,201,188,58,61,78,196,189,56,101,34,189,239,88,45,61,233,101,143,60,16,211,55,189,19,243,248,187,80,193,164,60,123,110,63,61,128,140,184,61,53,41,161,189,98,203,63,189,30,21,80,189,188,222,130,187,88,252,90,189,134,226,49,60,190,109,19,189,123,93,145,189,177,120,17,61,202,147,219,60,159,49,14,61,67,171,146,60,117,26,96,61,59,159,29,60,249,66,2,189,4,53,112,61,133,236,190,60,131,201,133,60,43,15,102,189,142,211,209,189,97,7,170,189,135,83,149,61,54,152,161,188,176,153,214,188,22,153,203,188,210,139,61,189,234,26,195,58,108,220,97,61,187,55,80,188,101,167,159,188,242,135,130,61,213,228,76,61,10,144,246,188,45,143,15,60,136,176,202,188,247,122,97,189,76,28,228,58,8,140,8,189,151,218,121,60,180,223,238,61,156,119,173,186,83,87,135,189,66,242,104,61,66,193,52,186,2,82,52,189,81,138,193,61,13,246,44,189,251,149,91,189,120,199,145,60,51,212,209,60,12,211,226,189,57,209,15,188,138,36,52,188,125,150,212,189,54,60,254,60,151,128,172,188,7,249,150,189,42,207,82,61,46,181,216,61,249,126,176,189,225,235,236,188,37,242,50,60,255,1,21,62,205,2,19,187,127,78,110,189,198,92,151,189,14,134,105,61,159,121,4,62,211,64,76,189,46,137,208,61,56,249,77,61,246,40,0,62,164,231,187,61,143,44,131,61,199,151,121,60,151,192,193,61,171,32,122,61,20,24,18,190,105,193,239,188,237,70,226,60,137,73,177,60,15,67,123,186,12,81,45,189,236,16,202,189,3,10,49,61,189,132,112,61,253,50,70,189,22,107,129,61,41,50,200,60,214,188,19,189,126,205,25,60,209,183,47,61,190,84,40,188,146,13,167,61,92,57,179,61,88,20,7,190,209,179,5,60,12,236,109,188,32,226,241,60,238,27,20,61,2,14,9,187,145,12,184,60,189,21,197,61,162,194,192,61,159,152,239,188,21,14,160,189,234,121,180,188,26,193,4,187,110,92,51,60,202,79,108,188,240,136,232,60,216,89,243,61,9,208,238,59,167,226,211,189,142,218,154,61,130,232,167,188,78,140,145,59,116,214,131,60,123,108,72,189,107,94,179,189,234,119,251,187,98,128,181,61,111,199,121,61,40,120,134,61,250,46,240,59,154,192,17,61,134,177,30,189,61,252,203,188,239,171,138,189,39,142,203,61,131,170,46,188,4,151,98,60,198,71,149,189,93,214,244,59,227,134,217,61,219,209,235,188,36,66,195,60,39,33,6,189,78,16,175,60,231,44,29,61,7,201,200,60,103,255,47,189,141,43,237,188,134,53,90,61,117,153,117,60,129,191,76,61,234,125,4,62,115,88,192,61,249,208,47,61,180,151,9,189,89,117,139,189,79,115,56,60,228,13,49,62,216,133,12,189,112,27,128,189,194,135,148,188,129,42,240,61,136,252,122,189,60,185,177,189,209,124,12,189,35,229,63,61,88,37,167,61,188,242,16,61,86,59,150,60,33,223,231,61,236,154,5,61,106,175,69,189,163,142,143,60,136,41,147,188,96,80,214,189,215,75,88,187,13,124,112,57,66,195,110,60,224,187,174,188,64,59,213,188,132,196,33,188,204,14,47,61,188,77,172,188,236,183,163,189,165,55,214,60,217,252,172,188,52,164,142,189,132,195,9,190,1,136,140,189,64,171,199,187,87,253,168,61,59,223,31,62,27,145,33,59,59,143,17,60,90,27,42,189,100,85,168,60,89,47,88,61,156,243,252,188,234,208,230,60,116,188,14,62,22,125,156,61,109,150,20,189,48,255,246,188,158,138,37,189,122,239,94,188,250,16,127,189,179,80,224,188,228,8,11,62,166,3,28,62,227,228,92,189,48,226,228,189,70,182,176,60,230,214,59,60,222,166,87,189,181,17,135,189,97,54,225,188,59,234,241,61,239,55,50,62,122,95,123,189,234,89,225,189,24,115,93,188,131,6,143,188,126,170,175,189,101,22,55,189,66,27,122,189,139,67,216,61,208,15,85,62,39,231,187,189,236,5,58,58,117,156,18,61,251,195,147,61,79,1,182,60,135,186,149,60,238,143,1,188,108,12,116,60,52,175,20,62,220,153,131,189,54,249,244,60,210,42,236,186,88,160,101,188,131,217,42,189,163,212,114,187,77,44,186,189,245,251,194,61,251,39,181,61,75,59,217,188,106,33,247,188,110,234,209,60,82,249,17,61,98,97,28,189,134,216,106,60,93,228,184,60,185,72,235,60,40,40,36,60,72,175,129,189,124,179,49,61,162,101,143,61,18,191,64,189,39,228,149,189,174,124,215,60,141,121,254,60,118,40,136,61,126,128,223,61,171,152,133,188,149,105,238,60,214,42,237,60,22,170,164,61,66,187,142,61,180,55,139,61,108,112,199,59,1,130,136,59,193,209,182,61,166,227,255,188,42,50,221,60,66,124,63,60,2,169,133,188,207,16,151,59,155,124,11,60,226,43,17,189,18,79,18,61,100,211,140,59,130,99,161,188,52,37,16,188,135,197,196,61,93,1,125,60,13,183,32,189,10,174,149,61,240,68,120,61,106,20,10,57,220,199,2,188,38,140,196,60,113,55,121,189,224,189,224,188,5,71,96,189,240,55,41,189,191,206,17,61,42,75,250,60,47,61,244,60,243,43,24,62,53,188,144,60,132,70,241,60,192,161,72,61,59,64,40,60,190,84,230,60,94,79,169,61,108,209,223,60,155,200,74,188,22,217,240,61,133,187,27,61,73,145,7,189,163,4,172,59,162,144,201,188,210,123,220,60,250,46,93,61,194,136,207,189,20,198,130,61,84,238,148,188,54,25,185,60,9,91,18,61,55,220,42,60,148,31,42,189,59,154,37,189,68,164,134,60,197,135,170,61,200,229,241,57,105,107,89,189,101,210,174,189,139,10,211,186,127,64,177,188,154,23,146,188,58,23,30,61,162,14,174,61,103,84,141,188,135,164,176,61,236,45,225,61,73,245,187,61,208,11,174,61,161,153,156,61,206,147,100,61,32,167,220,60,157,188,204,61,163,194,185,61,84,139,136,61,244,142,112,61,170,36,184,188,89,45,159,61,241,31,254,61,212,82,1,62,134,185,92,186,182,30,114,60,48,184,187,61,128,143,67,187,206,110,132,189,150,136,144,189,199,177,91,57,113,15,181,60,130,217,176,188,232,45,176,189,124,44,187,188,213,175,131,59,62,189,28,60,121,230,169,188,242,218,61,189,11,217,248,187,13,172,97,188,88,192,58,189,38,9,8,190,36,151,177,189,28,175,21,189,102,63,59,60,9,172,6,61,196,239,51,189,152,157,123,61,9,92,53,62,168,176,212,61,12,196,89,60,100,47,206,61,52,254,254,61,178,93,55,189,147,83,185,61,109,250,59,61,255,183,228,61,110,223,175,61,187,71,67,61,8,35,219,58,163,80,193,60,181,2,28,189,86,13,0,61,244,52,157,188,125,109,105,189,254,191,193,188,129,130,133,189,134,89,101,189,86,90,145,189,2,62,7,189,95,75,65,189,38,59,210,188,176,239,88,60,78,11,189,189,219,6,98,189,246,9,65,189,86,123,10,189,108,157,137,189,179,248,65,60,248,2,191,189,96,149,134,60,163,59,27,61,85,200,216,187,132,171,159,61,235,104,148,61,160,197,64,61,79,184,206,188,27,1,139,188,25,64,165,189,114,6,119,61,29,152,215,61,165,104,135,189,121,231,243,60,195,199,214,60,115,200,156,60,76,168,173,189,174,123,129,189,142,246,10,190,37,143,156,189,187,174,24,60,229,201,165,189,98,218,208,189,40,40,85,189,217,135,103,60,158,192,159,189,224,109,154,188,201,202,153,189,138,151,207,189,129,127,85,189,138,167,203,189,240,30,175,186,148,229,129,189,70,39,43,189,242,105,253,189,200,14,232,188,128,29,120,189,183,204,110,61,87,188,155,61,145,90,132,189,22,121,3,60,53,41,237,61,79,144,252,61,91,19,162,60,121,129,50,187,149,165,111,61,124,119,63,189,88,221,82,61,97,15,44,187,253,119,230,61,145,159,202,61,18,102,200,61,218,215,62,189,57,159,52,188,67,104,143,189,51,11,253,60,118,43,210,188,125,28,157,189,62,10,80,59,171,216,220,189,194,149,189,188,53,29,227,189,227,229,39,188,178,67,255,60,247,91,75,189,87,237,186,60,210,57,180,59,61,154,172,189,37,97,22,190,192,25,158,189,1,161,8,190,108,93,57,189,3,11,203,189,79,20,212,60,7,26,14,61,203,9,63,61,199,95,239,61,129,147,197,61,57,94,222,61,249,91,109,188,59,30,48,61,100,130,138,189,212,169,174,58,94,193,18,62,91,31,155,61,80,185,187,61,233,113,104,61,132,242,231,61,185,73,53,188,167,238,168,60,163,53,235,189,96,112,153,189,148,164,234,188,35,0,81,188,54,65,142,189,192,225,206,189,39,125,40,189,94,111,181,188,0,185,80,188,206,50,153,189,14,48,216,189,210,25,156,189,242,143,204,189,190,147,234,189,6,70,247,189,40,198,192,189,180,92,146,189,231,18,38,189,31,247,122,189,172,229,44,61,219,115,157,61,209,231,39,61,56,173,1,62,181,92,22,62,47,215,94,62,101,66,0,62,214,189,60,62,95,27,218,186,103,212,27,59,158,211,108,60,229,190,15,61,8,121,217,60,160,162,140,60,151,30,92,61,206,47,241,60,254,233,231,61,138,96,115,188,10,0,132,188,166,53,243,186,223,246,139,188,0,166,94,189,143,44,89,189,16,119,87,61,231,193,18,189,243,194,179,185,194,91,178,58,153,179,53,189,83,50,45,189,212,102,6,61,187,126,96,189,178,217,208,189,168,149,147,189,21,250,219,189,117,230,193,188,208,128,210,61,2,21,52,187,214,207,4,189,76,38,189,60,124,80,232,60,131,241,211,61,188,128,72,62,38,246,209,61,98,168,164,61,162,83,98,61,89,176,7,190,141,104,19,190,38,131,77,59,3,188,10,189,40,149,18,60,170,111,93,61,155,246,162,187,14,211,66,188,205,84,148,57,202,206,31,189,165,166,72,189,70,81,177,60,72,147,98,188,9,150,151,188,12,35,153,60,123,181,200,188,249,187,187,60,18,221,167,61,252,138,7,61,174,179,217,189,242,169,202,60,8,232,90,61,203,0,197,188,16,220,4,189,75,241,181,187,115,11,164,189,63,82,230,60,249,126,45,61,36,74,152,60,124,202,72,61,169,164,107,188,219,40,122,188,224,117,167,60,155,39,77,189,192,214,45,61,214,227,155,61,113,197,74,61,8,154,118,189,167,153,139,187,183,124,6,62,12,185,107,188,41,119,160,188,2,166,37,189,5,119,254,189,146,90,58,59,87,141,78,189,217,206,186,189,99,161,240,59,153,72,192,61,161,171,241,61,252,194,154,59,39,157,145,59,246,135,163,189,199,4,20,189,168,242,55,61,42,8,184,188,150,188,63,61,132,170,86,61,228,183,176,60,121,142,60,189,201,68,68,188,19,46,225,188,195,122,11,62,18,121,180,61,52,201,159,189,26,103,159,59,5,250,130,188,140,216,39,60,156,221,13,189,101,195,188,188,153,6,178,189,10,76,136,61,139,252,108,61,254,112,1,190,50,7,189,60,30,69,150,61,243,30,154,61,29,127,74,61,228,149,183,188,180,90,204,189,104,91,20,62,116,144,134,189,89,225,160,189,15,218,231,60,23,213,10,186,102,71,63,189,112,33,242,189,174,206,250,189,40,88,29,190,27,59,243,188,10,113,165,61,119,94,10,62,237,162,235,61,143,45,66,61,140,114,97,60,236,188,111,189,98,244,123,188,216,246,98,189,107,17,204,60,191,44,235,188,232,45,226,60,27,21,116,62,114,214,100,62,145,19,211,61,219,179,141,189,17,129,207,189,190,212,78,190,26,118,78,189,48,19,139,62,156,95,189,62,225,216,176,62,108,248,148,62,118,105,103,61,125,253,40,61,114,184,153,61,149,72,224,188,19,48,10,188,144,230,150,61,75,124,135,60,145,146,192,189,55,21,196,189,45,142,113,60,49,254,145,189,117,192,13,189,255,68,234,61,158,211,12,62,41,198,130,189,88,60,129,189,89,70,6,60,55,7,238,61,163,133,165,59,84,180,155,189,139,32,137,61,222,180,131,62,160,24,185,61,42,151,147,62,65,208,6,62,204,154,89,189,74,20,175,188,107,254,12,189,198,29,128,189,249,186,31,61,250,82,60,62,139,52,133,62,204,55,10,61,199,104,152,60,191,90,67,62,198,246,57,62,73,52,97,59,239,197,248,188,231,141,73,62,231,34,181,62,97,173,127,62,237,255,3,189,174,86,148,62,17,161,220,62,207,149,157,62,20,78,191,60,5,74,202,189,137,138,224,187,210,50,183,61,18,237,166,189,211,194,228,60,166,5,126,62,205,139,49,62,43,65,127,61,187,167,213,189,175,135,42,190,128,37,7,190,7,186,174,189,39,87,69,190,197,156,10,190,89,189,99,62,230,205,200,62,41,46,136,62,26,203,73,188,163,125,38,60,138,2,9,62,175,34,246,61,231,198,70,189,208,26,162,189,247,24,144,61,37,25,126,59,53,244,122,189,94,193,25,190,253,154,233,189,222,60,175,189,26,39,152,189,203,5,37,190,223,79,7,62,49,138,131,62,61,97,105,61,46,136,140,61,59,143,197,187,94,46,2,188,38,151,68,61,242,29,137,61,206,216,157,188,219,53,126,61,242,188,9,62,106,177,130,189,53,138,67,187,153,169,14,189,104,17,247,59,113,144,31,61,191,201,234,61,213,205,136,60,59,161,7,60,29,124,245,187,143,223,239,189,238,31,218,189,38,12,212,189,255,142,76,189,207,179,72,186,253,180,247,60,144,240,66,189,27,143,149,189,174,151,110,189,148,184,6,190,235,230,217,189,97,151,70,190,211,66,204,189,226,45,162,189,166,214,242,57,153,96,45,186,247,87,34,62,87,85,175,61,243,224,156,189,19,39,164,189,253,122,124,189,128,56,154,60,83,87,63,186,250,25,140,61,201,112,29,61,129,157,79,62,55,147,97,62,146,100,172,187,138,247,109,60,241,171,129,189,191,180,234,60,122,101,104,61,13,70,249,61,235,43,29,61,198,161,17,61,91,37,218,188,116,137,210,189,135,168,133,189,141,163,226,189,58,21,184,189,95,236,206,189,243,203,4,60,62,12,195,59,151,113,214,60,1,188,139,188,173,48,223,189,53,241,163,189,181,217,230,189,54,93,125,189,15,2,122,189,97,212,130,60,131,161,114,189,79,187,192,61,93,18,106,62,5,171,5,61,249,181,138,61,91,100,184,189,144,196,38,60,111,62,158,60,113,181,176,61,237,74,106,188,118,91,224,61,140,28,42,62,23,112,199,188,148,148,7,189,65,136,45,189,104,163,70,60,213,137,201,187,1,108,142,61,17,3,247,60,45,120,146,60,201,223,227,60,234,200,99,189,53,215,18,188,215,161,75,189,133,207,153,61,93,110,145,60,12,64,113,61,170,117,163,189,79,104,21,61,211,254,116,187,48,41,182,189,194,172,131,189,1,61,165,189,23,34,18,61,226,15,146,189,52,142,236,187,228,236,195,189,80,39,55,62,49,178,24,62,184,147,169,60,81,128,77,189,112,127,76,189,73,160,128,60,180,228,202,189,12,57,132,61,98,249,28,62,131,185,64,62,138,104,239,61,107,22,65,188,13,73,182,188,106,21,156,188,203,90,210,61,158,59,238,187,45,226,238,61,49,133,23,62,26,43,159,61,236,155,196,60,132,158,91,189,118,158,161,188,12,121,97,60,57,9,138,61,221,163,133,189,84,139,106,61,27,4,197,188,213,140,15,190,162,251,169,188,222,80,61,189,209,11,64,189,199,230,150,188,85,41,158,61,43,198,70,189,19,131,122,60,194,27,73,190,158,136,221,61,122,122,27,61,167,59,193,189,35,133,163,189,241,149,10,189,25,242,226,61,247,72,183,60,211,20,2,62,134,83,93,62,118,27,239,60,136,218,152,59,190,106,210,189,65,211,70,189,117,244,98,187,206,50,177,61,88,114,184,60,170,88,197,61,81,238,47,62,5,230,189,189,85,189,240,57,137,22,240,189,38,16,250,189,240,52,31,190,21,212,147,61,241,255,88,189,139,211,26,61,215,250,82,61,28,190,27,189,168,138,30,61,203,42,28,190,179,26,178,189,48,155,165,188,18,182,40,61,38,108,27,190,168,61,129,60,219,231,209,61,19,198,245,59,228,12,141,60,138,219,139,189,60,105,196,188,165,37,135,189,62,217,48,189,185,43,165,189,49,113,218,59,29,138,8,61,0,71,145,61,123,146,168,61,40,183,134,189,60,49,137,189,96,8,143,189,201,72,133,189,129,216,16,190,220,13,196,188,170,209,132,61,193,182,16,60,77,118,189,61,123,199,154,189,173,146,79,189,169,173,200,189,97,72,137,189,187,239,15,190,183,244,4,61,239,141,0,62,223,79,144,60,38,235,4,62,89,50,39,189,127,218,243,189,110,175,23,190,227,142,171,189,181,222,249,189,104,80,76,61],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+81924);allocate([90,45,94,61,124,27,128,187,214,90,5,61,12,59,2,190,182,207,152,189,102,162,105,189,134,58,142,188,160,97,164,189,130,146,94,189,146,217,140,188,147,113,236,60,58,55,145,60,58,171,187,189,34,123,106,59,86,118,207,189,119,101,217,188,8,136,166,189,15,157,29,189,135,203,71,186,184,216,132,61,150,122,73,62,23,125,73,189,43,146,144,189,145,249,70,189,182,200,42,188,33,146,170,189,12,237,21,61,61,108,23,189,117,138,75,61,108,199,168,61,243,38,0,190,233,200,122,189,184,155,25,189,189,248,213,59,232,220,209,189,31,102,210,60,44,10,148,59,59,244,24,189,167,88,57,188,182,173,93,189,247,34,105,58,235,185,253,189,33,23,116,189,70,85,254,189,167,248,123,189,209,182,149,189,138,3,200,60,132,215,143,61,198,150,154,189,87,123,70,186,143,147,185,189,92,39,166,189,85,186,141,189,50,94,28,60,102,222,71,188,138,244,158,58,238,166,17,188,171,44,170,189,28,122,58,189,234,243,219,189,209,26,105,189,127,159,14,190,104,227,184,61,75,220,26,62,134,22,2,61,39,230,53,62,53,248,172,57,118,5,83,61,76,155,201,189,203,13,194,189,5,138,175,189,82,80,38,62,54,0,70,62,64,124,12,60,165,0,235,61,34,196,116,188,62,80,9,61,236,160,183,189,95,62,190,188,18,51,218,60,73,46,95,61,232,222,16,189,152,171,147,189,189,105,139,189,35,185,255,188,206,253,114,189,251,249,48,190,108,139,34,190,100,3,75,189,65,89,131,60,7,170,253,189,226,29,14,62,65,213,91,62,218,87,10,62,106,246,86,62,224,41,181,61,94,248,165,61,99,197,25,61,45,78,249,61,75,100,227,61,157,248,217,61,191,194,14,62,35,101,238,61,213,106,23,62,155,152,71,60,130,45,62,60,217,82,17,61,132,27,180,61,200,226,138,188,154,137,157,189,48,173,168,189,238,142,222,59,115,100,201,188,188,90,5,62,63,82,224,61,31,227,201,61,211,251,65,61,188,81,50,189,30,96,27,190,108,87,55,190,1,6,214,189,235,102,9,190,137,216,135,189,219,219,1,189,14,16,140,189,89,115,232,189,209,7,143,189,93,106,67,62,42,68,52,62,199,82,158,61,142,67,205,61,13,131,186,62,202,218,144,62,120,238,1,62,23,63,35,62,170,5,16,62,249,105,229,189,46,11,15,190,178,31,186,189,199,116,16,190,142,155,81,61,122,150,44,187,216,18,221,189,247,248,198,189,0,121,88,189,112,66,128,60,245,19,78,61,218,202,143,61,51,187,242,188,214,191,144,60,76,172,170,61,200,137,3,189,76,152,160,59,56,114,84,61,99,172,78,189,128,29,197,189,255,237,206,188,68,167,141,61,84,227,70,60,252,121,90,61,104,9,13,189,236,239,205,189,144,215,128,189,180,225,177,59,115,142,206,187,189,250,185,60,58,251,144,188,27,23,6,61,194,163,158,61,209,163,254,59,88,126,78,61,58,3,135,60,25,46,190,188,198,94,203,189,150,233,187,188,213,180,166,60,205,122,170,189,63,73,174,61,159,229,24,189,88,105,132,189,65,82,121,189,159,22,12,62,160,228,234,189,199,152,31,189,229,72,146,189,175,92,47,59,79,20,21,189,113,181,201,189,213,146,225,189,192,22,51,62,241,85,52,62,20,199,36,190,21,117,148,189,84,97,128,60,215,32,115,62,137,171,154,61,176,106,128,189,189,146,149,189,149,67,130,62,129,22,45,62,187,75,167,189,178,59,114,189,180,245,33,189,151,103,223,59,227,0,102,189,242,144,149,189,79,95,249,189,163,165,253,61,25,37,98,62,186,12,99,189,99,152,7,189,28,196,106,61,155,126,71,62,82,131,36,61,214,185,132,189,181,255,252,189,152,212,63,62,77,63,197,189,182,54,229,189,195,11,254,61,140,122,32,62,201,46,69,62,106,36,223,61,55,234,10,61,158,114,5,190,101,122,102,189,45,216,184,189,9,125,112,62,46,102,142,62,163,213,136,62,60,154,148,61,131,160,41,62,8,66,101,62,158,100,152,61,116,18,87,190,9,98,165,189,81,237,25,190,30,217,143,61,206,168,222,61,57,236,57,62,117,46,77,62,25,250,10,62,126,8,244,189,167,251,227,189,147,79,65,190,2,209,120,61,83,186,82,62,113,56,254,61,53,251,32,61,150,97,149,62,212,13,151,62,183,159,142,62,65,192,147,188,128,117,42,62,190,78,69,62,49,180,155,60,51,214,118,61,40,148,26,59,154,75,127,60,186,198,221,60,199,31,233,61,199,227,247,61,137,11,32,61,44,242,61,61,255,191,184,61,177,29,244,61,129,230,109,187,6,224,181,60,196,178,211,61,235,174,49,62,76,20,251,61,185,99,66,62,63,37,33,62,86,44,62,60,8,129,138,188,147,43,126,186,40,189,147,61,149,81,62,60,168,239,54,62,247,188,122,62,199,117,58,62,24,158,78,62,127,162,116,61,86,118,18,188,17,206,189,188,181,212,19,62,79,136,16,62,91,35,98,61,28,31,130,61,213,214,67,190,205,96,208,61,185,154,150,62,23,106,135,62,129,98,191,61,47,130,28,62,250,185,74,62,117,218,232,61,239,71,2,190,75,25,91,190,190,131,164,188,101,124,134,189,208,41,136,188,120,66,33,189,143,184,67,61,238,129,77,61,211,86,188,188,92,239,78,190,237,252,130,189,208,130,12,62,52,219,102,62,239,116,24,62,151,233,177,61,232,176,138,62,218,229,164,62,231,86,200,61,146,173,61,190,33,117,48,190,250,164,42,188,201,49,36,61,17,5,44,61,72,129,165,189,113,210,25,189,203,0,69,189,125,229,85,189,94,77,94,190,72,163,135,189,5,71,241,60,15,111,60,189,246,73,87,189,231,180,172,189,252,80,233,60,55,249,14,61,233,194,7,60,91,84,226,189,209,151,229,189,40,179,163,188,75,238,91,189,164,164,181,189,199,129,64,190,221,174,94,189,203,70,77,189,215,253,93,189,229,250,123,189,226,192,221,189,210,10,50,61,175,127,36,61,208,43,121,60,60,79,249,189,127,229,71,189,81,116,52,188,154,39,5,61,182,38,118,189,197,141,252,188,115,4,188,188,143,109,140,189,148,183,179,189,241,164,115,190,4,229,187,189,132,217,98,189,75,253,48,189,240,49,243,189,62,237,44,189,120,165,120,189,128,180,67,60,147,177,213,60,12,108,31,189,96,155,134,188,156,40,213,188,119,227,85,188,58,145,32,61,125,105,133,189,94,162,56,60,50,176,205,187,133,211,222,188,79,4,228,189,120,46,7,61,155,123,196,60,99,26,39,61,34,92,216,189,182,95,116,61,52,211,67,60,219,58,2,189,47,168,138,188,92,11,125,189,166,220,150,60,202,147,180,187,178,181,139,189,95,189,2,189,201,125,195,189,61,67,248,60,224,139,72,189,24,196,238,188,125,5,8,190,201,237,67,189,14,45,199,59,8,126,109,188,192,201,8,190,214,103,198,189,132,129,230,188,204,209,70,60,54,49,136,61,86,10,167,188,121,196,8,62,28,52,117,61,245,139,21,188,16,79,64,190,231,156,245,189,150,227,129,189,101,114,73,60,26,75,146,61,5,103,219,61,86,9,227,61,122,137,134,61,46,48,242,188,222,202,38,190,64,75,15,190,2,196,83,188,14,0,29,61,130,253,186,61,69,85,80,189,247,21,102,61,132,155,31,189,103,169,128,189,190,80,235,189,130,16,18,190,186,145,57,189,116,236,130,60,169,193,187,61,156,108,177,61,216,25,72,61,11,41,107,189,107,242,154,189,54,122,47,190,67,149,214,188,153,246,202,188,3,131,219,60,128,4,238,61,123,252,179,61,109,238,30,62,51,231,64,61,237,128,56,61,42,47,209,189,173,196,251,189,23,115,69,189,167,168,96,189,121,52,96,61,136,116,150,61,253,113,100,61,220,35,168,189,237,215,13,61,61,167,86,190,192,247,190,189,118,178,120,59,162,45,20,61,56,113,43,62,207,140,144,61,97,255,208,61,47,43,139,189,20,142,83,59,30,234,0,190,59,43,51,190,103,65,170,60,107,148,157,189,155,138,249,61,13,67,184,61,118,87,68,61,177,33,233,189,24,202,164,189,146,171,131,190,132,127,165,189,57,14,223,59,109,12,240,188,40,216,71,187,237,116,227,189,29,153,61,189,248,47,160,189,250,90,252,59,126,223,209,189,50,167,158,58,35,173,82,62,103,192,4,189,210,28,10,60,79,116,159,60,161,70,68,188,136,76,21,190,169,104,45,61,243,176,135,187,230,159,140,189,216,55,199,188,211,137,10,190,58,2,165,58,124,252,233,189,13,71,48,189,217,214,138,188,192,76,106,61,113,64,36,190,216,39,227,60,83,54,97,61,77,181,25,190,187,181,109,60,109,137,192,60,76,43,48,189,104,211,74,189,26,59,94,62,36,102,1,189,115,213,160,188,202,179,58,62,54,176,5,189,100,14,61,187,151,13,130,60,146,173,254,186,98,135,159,189,20,116,63,61,38,253,204,187,191,205,182,61,145,169,90,62,248,144,77,60,9,92,143,189,123,242,114,189,52,93,154,188,137,98,48,189,61,139,241,61,236,101,29,61,46,8,32,189,240,218,102,61,3,2,200,189,20,92,172,188,43,252,14,60,121,52,224,188,20,102,81,189,33,12,46,62,78,35,242,60,168,138,171,60,48,83,172,61,0,162,8,189,201,43,20,189,229,231,109,189,92,179,181,189,109,214,239,60,119,163,138,62,32,214,120,61,160,39,153,61,6,127,28,62,28,23,32,189,16,248,80,189,177,249,27,188,197,9,6,189,213,231,178,189,54,85,156,61,187,39,147,189,26,188,13,62,196,0,160,61,97,28,4,190,7,208,96,189,177,51,103,189,134,201,6,189,87,16,229,189,16,170,25,61,122,221,116,189,3,128,187,189,63,185,103,61,82,72,49,189,202,175,249,188,46,135,103,188,249,129,208,189,182,193,98,188,59,40,78,62,32,205,123,188,187,125,156,189,14,241,113,61,61,108,160,189,217,168,121,188,71,167,153,189,135,199,193,189,74,188,25,190,219,91,36,62,5,194,184,61,41,136,173,61,149,179,10,61,103,86,187,189,115,208,187,189,155,12,174,189,145,174,81,189,177,160,213,189,160,168,42,60,226,19,251,188,156,73,191,61,212,16,132,61,205,247,30,189,22,52,76,189,161,125,23,190,32,255,84,189,82,173,175,188,166,223,35,61,201,96,254,61,240,175,151,188,16,159,40,189,88,197,244,189,94,216,71,189,25,163,178,189,39,39,173,189,2,12,216,189,195,112,230,61,168,126,220,61,217,160,68,62,80,10,123,61,8,5,224,188,113,240,180,189,6,20,46,190,32,87,17,189,175,170,175,187,45,241,169,61,8,255,147,61,211,206,43,61,150,58,63,61,31,46,15,60,8,244,142,61,140,134,103,61,115,210,112,61,13,236,202,60,17,210,200,60,65,164,254,61,163,98,101,61,105,8,141,61,74,59,30,61,239,194,152,61,112,122,185,60,132,4,117,60,252,237,129,61,228,60,142,61,97,46,240,60,65,3,240,61,131,113,57,61,195,11,5,61,40,126,8,59,234,126,167,60,234,138,233,61,148,73,48,61,150,252,131,61,35,31,75,61,203,103,167,61,130,61,189,61,3,124,72,61,131,143,184,60,17,96,135,188,204,97,155,61,66,100,120,61,156,228,14,62,128,38,227,60,244,67,145,61,248,26,174,61,222,94,139,60,16,118,185,61,37,30,171,62,37,122,78,62,123,34,201,61,19,216,162,61,121,19,178,61,160,163,2,190,212,252,13,190,203,95,135,189,177,251,224,189,14,139,11,61,135,230,54,188,112,33,149,189,218,128,10,190,168,135,3,190,139,108,183,61,167,213,187,61,207,176,206,61,88,119,111,62,25,150,176,62,173,201,202,61,82,20,164,60,30,164,252,61,87,198,155,61,179,145,24,190,57,25,32,190,129,2,133,189,89,57,144,188,110,112,11,61,50,66,7,190,250,212,247,189,33,86,59,190,232,148,41,190,110,231,178,60,123,126,225,188,191,146,148,60,234,230,163,60,160,65,88,60,152,117,164,61,243,248,71,60,66,115,67,59,125,38,86,188,26,139,116,61,93,241,90,189,167,134,10,189,150,204,33,188,95,175,140,189,82,17,34,61,45,159,254,188,220,208,106,189,61,246,177,60,76,98,42,61,212,55,44,59,93,38,69,61,6,172,191,61,185,21,6,188,240,70,141,60,103,176,208,188,202,117,75,189,209,209,195,188,94,255,135,61,146,40,129,189,247,94,58,60,224,240,100,61,187,181,168,189,26,29,201,60,187,160,250,188,162,96,183,189,148,81,140,61,182,65,147,61,130,222,155,189,39,251,0,60,34,192,0,188,117,11,118,61,102,154,56,188,187,67,59,187,110,127,67,189,36,106,154,60,244,168,25,62,173,98,128,189,221,241,162,188,234,131,58,60,254,105,179,61,86,226,30,61,218,107,30,188,254,26,164,189,190,94,131,61,68,78,95,188,115,24,187,189,90,200,143,60,249,168,54,61,154,166,197,61,31,207,85,61,16,208,15,187,18,35,144,189,152,254,130,188,143,45,6,62,172,49,204,188,222,43,41,188,195,214,237,188,65,224,55,61,152,221,82,61,182,56,152,60,166,36,239,188,55,248,169,61,103,5,60,189,59,60,33,190,121,183,185,189,220,128,243,188,114,247,4,62,208,143,100,62,39,113,120,62,244,51,21,61,5,139,97,189,119,64,47,59,189,10,29,189,142,21,132,61,124,19,29,61,13,88,28,61,121,51,128,62,96,42,175,62,189,15,166,62,125,195,64,62,237,31,176,189,203,55,52,190,163,216,28,190,123,5,203,189,44,248,233,188,205,71,89,189,157,130,139,186,59,6,136,189,89,202,153,189,207,193,111,60,205,169,154,189,176,190,56,189,239,97,10,188,57,45,145,60,137,162,38,61,238,210,79,62,150,247,32,62,190,247,105,61,0,164,134,62,108,24,22,62,46,131,125,60,50,246,78,189,210,250,30,189,47,149,107,188,167,240,73,189,74,4,240,61,142,196,118,62,236,132,135,62,246,75,162,62,1,236,206,61,77,161,51,188,174,248,95,188,184,37,47,62,4,120,77,62,154,99,47,59,165,249,66,188,145,104,59,62,112,188,193,61,60,52,130,189,93,149,132,189,145,193,97,60,163,120,205,189,102,215,130,189,93,75,121,59,114,51,126,61,50,243,211,61,251,60,137,62,255,1,6,60,117,151,189,188,130,24,25,60,2,98,188,61,128,201,22,61,75,190,15,188,230,226,197,189,134,120,222,188,169,70,10,62,130,142,183,61,39,79,215,187,1,31,3,189,181,249,145,62,127,84,164,62,235,145,61,62,87,185,17,190,111,219,15,190,176,18,147,189,214,159,175,189,38,100,177,189,53,87,50,190,1,190,69,58,215,113,101,61,74,29,11,62,244,45,75,189,45,222,157,189,188,166,218,61,120,136,52,189,85,164,147,189,74,16,22,61,115,56,148,62,36,146,210,62,149,114,140,62,151,81,141,189,77,229,91,190,115,134,31,190,135,63,72,190,28,191,27,190,244,202,230,189,55,225,151,61,162,120,66,62,139,131,137,62,215,237,159,60,190,198,38,60,49,239,176,60,124,65,162,187,144,235,50,189,25,69,2,190,193,174,136,189,200,234,230,189,243,197,52,61,215,124,100,61,155,156,31,61,152,20,18,61,116,130,112,189,223,78,151,189,165,247,55,190,227,132,175,189,220,101,28,190,149,172,118,189,92,91,143,189,64,81,223,187,15,232,128,61,177,173,43,186,46,235,56,188,150,145,187,188,126,160,70,61,122,155,41,61,200,128,114,62,196,242,20,62,151,4,163,60,206,109,246,61,133,237,125,59,142,117,197,187,87,121,114,189,89,68,251,188,97,126,159,189,44,229,221,61,254,110,176,60,221,143,226,60,151,214,34,61,132,129,249,189,105,181,72,189,192,146,203,189,130,43,132,189,183,223,12,190,133,109,24,189,95,158,231,60,39,58,50,189,124,57,156,60,104,158,210,189,108,74,104,189,200,96,220,189,134,25,197,189,70,231,195,189,54,151,85,188,150,91,252,60,199,20,104,60,62,117,111,61,193,235,177,187,231,212,126,61,34,0,8,189,148,24,139,189,159,54,109,189,24,153,3,62,75,128,25,62,44,221,20,61,76,13,18,62,113,95,49,61,80,34,78,61,230,174,102,189,34,147,131,60,94,179,51,61,16,208,100,62,242,255,32,62,66,64,64,189,136,76,246,60,171,186,37,187,154,49,106,61,112,53,154,189,56,91,233,188,18,172,140,189,205,5,148,187,175,108,132,61,243,28,115,189,0,182,64,189,90,208,150,189,35,97,70,61,84,111,9,190,86,124,200,189,38,7,210,189,119,195,15,61,138,159,66,61,246,143,28,189,26,124,199,61,203,22,67,61,109,99,33,61,34,164,169,189,13,165,195,61,2,99,78,61,52,176,89,62,5,146,197,61,95,194,4,61,70,171,83,61,70,3,61,61,73,92,49,61,140,224,218,188,244,51,128,189,77,146,188,188,138,207,64,62,180,129,215,61,19,171,48,61,82,226,136,60,36,123,172,189,179,33,114,61,80,187,216,189,113,225,70,189,88,127,171,189,48,64,159,61,19,132,24,61,199,186,246,189,159,93,159,59,212,119,215,189,16,151,134,61,30,45,154,189,30,241,4,189,84,30,202,189,237,255,238,188,182,82,59,190,1,170,23,62,201,100,23,60,149,96,50,189,6,180,185,60,75,39,243,189,253,132,36,189,52,218,231,60,195,204,102,62,154,151,82,62,194,6,43,62,97,186,184,61,77,25,85,60,168,229,199,61,226,143,22,189,73,141,158,188,203,52,141,189,50,108,165,61,250,11,67,62,165,172,231,61,251,46,40,61,14,29,229,189,12,167,48,61,253,239,61,190,76,41,231,189,199,28,180,189,182,64,170,60,51,160,28,190,119,203,241,61,81,192,52,188,83,139,35,190,247,106,176,60,10,79,86,189,68,232,221,189,49,113,14,190,150,131,114,61,150,79,207,189,150,149,78,62,153,124,186,61,186,30,154,188,190,196,195,61,69,155,24,189,39,100,193,189,38,243,199,189,102,204,111,61,179,184,169,61,156,76,4,62,40,3,176,61,151,182,35,187,239,122,196,60,28,27,186,59,244,242,128,189,20,13,5,190,138,239,29,61,6,113,84,61,86,0,222,61,185,118,10,189,226,149,1,190,44,40,93,189,28,183,152,189,254,254,65,189,216,41,208,189,91,133,153,61,134,103,166,61,107,204,156,61,163,200,76,189,237,78,3,190,78,138,157,189,108,200,231,189,4,192,186,189,107,75,105,189,192,146,214,61,224,244,152,61,150,136,133,60,196,58,3,188,79,205,134,189,68,159,36,189,215,207,63,189,89,74,156,188,186,59,225,189,211,43,73,61,39,28,240,60,113,240,43,61,146,128,108,189,3,14,198,189,203,63,19,189,211,89,11,189,235,106,146,189,82,101,216,189,69,29,217,61,121,219,129,61,11,208,120,188,218,109,195,187,192,56,156,189,133,50,103,187,127,220,219,188,193,60,210,189,196,156,219,188,22,78,39,62,109,61,254,60,20,43,188,60,12,17,133,60,226,212,221,189,252,148,189,188,119,50,68,189,152,137,98,189,229,83,132,189,112,237,214,61,224,43,62,61,244,128,155,189,191,221,125,189,238,46,185,189,140,213,108,188,227,9,48,189,101,165,230,189,206,24,234,189,122,7,2,61,63,161,22,189,128,207,242,188,83,96,135,189,79,28,8,190,215,145,144,189,118,239,172,189,14,80,216,188,129,38,146,189,184,198,58,61,0,52,111,60,190,53,56,62,201,171,53,61,21,71,255,189,165,51,235,188,139,52,220,189,247,1,11,189,203,75,27,189,178,192,208,60,87,61,160,60,82,19,69,62,213,251,14,62,58,219,113,189,108,14,152,189,66,60,213,189,237,20,202,58,209,62,147,60,120,98,5,62,124,69,58,61,89,229,105,189,238,19,219,189,192,33,10,190,82,113,133,189,137,54,131,189,149,225,133,187,41,248,90,188,135,241,50,61,92,153,230,189,250,137,105,189,72,129,132,189,60,240,170,189,192,171,42,189,172,98,109,189,182,232,168,189,210,55,107,189,39,26,173,61,165,57,9,189,252,41,15,62,11,180,7,62,116,111,155,61,65,107,154,61,99,243,248,61,47,116,67,62,164,30,26,62,62,154,89,62,70,122,17,62,147,190,84,60,190,148,152,61,143,84,134,61,68,79,139,60,238,217,56,61,62,147,45,62,56,40,210,61,91,213,39,62,186,124,97,61,35,112,13,189,137,150,176,61,65,135,162,61,28,222,34,61,236,203,166,60,125,173,129,59,169,209,5,61,12,4,28,62,216,148,84,60,136,19,166,189,67,157,102,60,11,104,144,59,67,54,27,190,233,70,233,189,147,88,153,189,10,3,0,188,35,62,225,188,230,131,208,189,201,219,12,62,16,111,15,62,186,15,10,62,100,227,140,62,157,93,175,62,206,117,156,61,111,220,148,61,30,255,74,62,2,59,37,62,63,122,43,189,197,232,2,190,231,166,201,189,206,205,1,61,204,191,224,61,182,33,26,190,83,157,182,189,179,51,146,189,5,31,42,189,231,239,204,59,82,135,79,60,143,184,215,61,30,141,2,62,182,29,27,62,49,132,117,60,85,37,129,61,33,84,76,188,26,200,179,189,123,36,175,189,101,215,244,189,199,242,173,189,98,179,237,188,213,47,196,188,229,126,9,190,154,94,226,189,127,151,19,190,128,174,27,190,104,185,34,61,21,26,195,185,212,17,44,189,168,16,122,61,57,14,156,60,3,61,53,188,147,94,238,187,185,23,121,188,141,122,144,58,253,183,74,189,183,27,164,189,204,116,187,59,55,89,172,61,26,152,133,189,173,20,22,61,193,249,218,188,102,29,247,189,15,163,23,189,142,7,118,61,240,107,133,60,134,110,202,187,115,199,167,61,249,227,95,187,0,39,235,60,73,220,109,61,57,41,75,61,223,41,61,61,78,197,72,189,112,171,216,189,130,82,186,60,154,54,247,61,111,137,18,59,196,90,201,61,205,98,247,188,186,1,229,189,164,52,75,189,82,182,204,60,129,42,24,189,150,174,132,188,235,141,216,60,22,2,250,187,1,30,236,188,88,178,127,189,46,217,172,189,71,226,147,61,7,196,148,61,41,217,127,60,69,75,253,60,74,250,139,60,4,136,27,189,176,197,80,187,48,10,133,60,122,183,231,188,252,26,231,61,11,98,173,186,22,111,159,189,114,164,147,189,133,32,10,61,189,236,248,61,78,159,186,60,160,21,88,189,135,41,157,188,167,2,5,62,248,46,94,61,92,32,191,60,92,7,37,61,149,206,253,61,182,119,194,61,218,55,188,61,234,134,162,61,93,168,15,60,159,153,47,62,57,122,11,188,4,18,164,189,25,48,139,189,80,21,72,61,18,60,54,60,146,119,160,189,84,124,150,186,252,238,12,189,18,21,233,60,206,154,157,61,183,200,144,189,83,181,60,188,129,230,11,188,38,55,136,188,71,141,42,189,102,52,93,61,254,56,234,60,173,91,239,60,172,237,76,61,51,178,224,187,86,190,133,188,190,86,159,61,239,151,37,61,49,77,71,188,108,135,108,59,197,123,129,189,13,231,194,61,93,220,3,62,159,201,30,188,200,242,40,60,159,53,84,61,115,34,25,188,91,184,134,188,23,161,70,189,33,230,49,189,191,87,215,61,139,203,164,61,239,9,61,189,254,213,34,189,111,99,115,188,142,28,6,62,112,179,120,188,172,151,134,189,182,130,36,189,211,136,151,60,151,219,199,60,170,55,165,61,113,37,229,58,243,117,144,61,173,159,180,61,180,147,166,187,99,41,134,189,138,74,169,189,199,88,159,189,29,34,110,60,83,87,179,189,150,166,51,60,198,193,14,188,243,15,207,61,53,79,198,60,63,99,137,189,217,122,164,60,155,91,194,59,208,35,93,61,142,97,154,61,104,223,167,60,128,182,183,60,30,75,36,61,66,228,189,186,238,85,137,187,217,104,130,61,55,94,205,60,236,111,199,60,8,210,112,61,37,213,6,188,193,143,75,188,143,13,45,61,103,195,143,188,217,11,116,61,236,107,28,61,127,241,149,188,69,126,48,189,25,34,53,189,219,73,199,188,175,137,185,60,209,135,5,59,30,31,68,60,107,212,53,61,231,57,249,61,47,145,19,61,63,238,212,188,227,232,1,187,199,162,167,60,15,49,216,188,90,170,250,186,141,44,191,189,233,65,19,189,68,231,33,188,147,65,140,189,188,33,63,189,187,228,203,189,158,75,44,189,69,188,213,60,114,238,20,60,145,50,146,189,236,105,221,185,59,185,144,60,251,205,225,60,19,89,86,60,164,1,38,61,210,149,195,60,160,157,90,61,8,218,204,60,44,155,75,189,81,85,255,189,227,68,52,62,228,2,251,61,217,217,153,189,93,157,14,60,31,95,105,189,86,138,20,189,63,160,15,188,180,100,70,188,50,145,193,189,2,105,153,61,213,126,164,188,122,166,219,188,219,94,132,189,219,160,120,188,16,112,240,59,66,243,198,59,185,207,190,189,203,103,59,189,123,204,7,62,95,243,29,62,30,167,135,188,59,29,227,188,152,199,86,189,119,10,193,188,214,167,192,188,70,34,209,189,228,209,3,190,101,253,20,62,13,52,0,62,21,198,143,59,52,12,229,60,193,198,83,61,53,230,188,61,73,65,113,61,8,179,194,60,43,133,227,188,148,179,194,61,84,201,190,60,107,12,190,188,121,214,3,189,76,82,122,188,61,147,38,188,236,28,219,188,58,107,82,61,148,65,162,60,192,7,134,61,220,11,143,188,127,41,40,60,228,226,127,60,18,238,80,58,97,175,155,61,238,61,156,60,238,143,252,188,91,62,117,189,205,74,189,61,32,11,21,62,188,181,41,60,89,84,253,60,35,216,195,189,146,190,27,189,240,89,207,60,186,68,252,60,50,108,145,189,36,109,8,61,81,94,48,187,138,189,1,61,174,80,107,61,122,134,5,61,137,178,250,58,148,217,2,61,181,87,151,61,169,16,180,60,141,84,156,61,181,226,6,61,86,113,186,189,78,65,65,61,39,247,121,61,131,87,36,188,189,217,191,59,98,117,121,188,223,87,190,60,115,196,216,61,56,212,142,59,177,45,122,61,195,96,112,61,108,57,255,188,84,3,71,60,7,116,175,61,246,20,129,59,112,143,206,188,0,249,246,186,18,245,166,60,132,83,36,186,92,153,72,61,48,85,47,189,26,106,69,189,145,34,69,189,39,195,109,188,200,244,80,61,241,163,19,188,12,142,8,189,188,122,32,61,242,226,43,61,76,206,47,61,24,40,230,60,149,188,245,60,9,44,39,61,206,25,21,60,226,184,198,61,189,147,212,61,85,104,192,60,179,233,154,187,34,81,40,60,227,11,213,61,31,59,247,61,236,14,201,61,77,250,213,188,137,7,21,61,74,132,113,61,124,69,71,61,202,91,68,61,22,5,31,189,25,168,242,188,163,65,72,188,202,197,38,61,142,131,157,60,7,108,187,188,155,84,8,61,252,75,152,60,246,212,184,61,154,212,27,61,72,100,105,188,224,12,160,60,124,150,205,60,79,228,10,189,186,254,103,189,204,130,134,188,236,142,111,61,119,10,62,61,218,98,171,60,124,55,4,62,53,246,75,62,34,131,158,61,6,213,237,187,198,231,38,61,150,106,2,61,253,132,182,58,224,16,106,188,243,209,152,60,92,175,174,61,252,185,10,62,13,42,229,61,132,203,35,61,126,29,196,61,53,138,215,188,105,166,13,189,52,143,66,189,18,168,120,189,128,160,154,59,128,2,132,61,5,181,200,188,143,157,96,189,171,194,62,189,57,91,166,188,122,146,14,189,45,119,192,189,244,16,131,189,228,212,147,188,50,69,184,59,110,216,217,187,104,124,133,189,89,34,228,59,34,98,152,188,193,232,45,189,139,161,111,189,41,156,84,187,214,181,157,61,80,61,231,61,65,57,203,61,250,89,243,188,174,16,101,61,58,46,69,61,235,238,200,189,218,166,191,189,140,48,6,189,61,190,85,61,119,161,41,61,94,197,128,59,170,190,78,189,103,110,35,62,183,240,60,61,94,27,255,188,63,119,62,189,146,28,5,189,97,181,198,188,213,151,48,189,20,113,48,61,242,140,192,189,181,67,66,189,128,137,77,188,104,36,135,189,79,184,95,59,163,54,102,189,197,151,238,187,96,177,117,189,25,31,6,189,9,20,151,189,230,17,81,59,142,95,158,189,193,55,110,61,29,110,202,188,165,184,29,61,139,181,13,62,208,177,29,62,111,212,141,60,115,22,114,188,10,219,212,61,197,88,83,61,63,97,159,188,249,99,12,189,197,93,71,189,0,47,189,61,92,206,219,61,196,175,120,61,204,3,94,188,243,22,151,60,221,146,14,189,251,130,27,189,94,26,98,57,124,212,94,189,34,209,154,60,33,125,108,188,171,163,213,188,89,174,240,188,252,224,222,60,122,29,127,189,11,97,243,188,106,86,12,189,102,141,210,189,93,5,138,189,251,33,86,189,55,163,9,61,131,251,230,189,217,170,142,189,37,184,14,190,69,63,21,60,167,33,132,57,206,123,133,187,52,31,252,61,139,88,191,61,48,142,149,61,24,250,3,61,251,69,154,61,15,86,27,61,103,49,76,189,63,213,147,60,93,181,220,60,240,12,10,62,87,119,60,61,212,56,40,61,115,78,174,61,74,52,252,61,160,103,88,60,113,155,78,61,76,48,181,187,64,43,184,189,67,67,184,188,19,144,167,189,242,134,124,61,245,99,5,189,193,33,47,188,123,214,88,188,125,38,245,189,232,21,61,189,129,147,247,189,136,127,138,189,153,179,177,189,180,199,131,189,161,52,145,60,141,29,14,61,242,198,223,189,127,229,246,60,216,171,15,62,28,44,37,62,36,44,56,62,203,13,231,61,224,170,215,61,209,100,182,61,50,99,158,61,84,30,137,61,215,122,175,60,66,222,131,61,36,151,200,61,114,81,107,61,71,112,228,60,114,174,215,60,161,140,163,61,114,59,139,59,25,235,10,60,122,128,219,188,6,72,173,187,151,40,177,188,235,104,153,189,197,252,168,189,134,121,168,188,178,33,40,188,2,97,151,186,250,235,22,186,67,172,147,189,6,239,149,189,61,5,72,189,116,44,223,189,94,34,153,189,82,153,181,189,33,224,188,189,182,188,223,189,175,156,213,189,62,227,162,61,79,192,226,60,4,86,233,61,114,77,64,62,189,183,7,61,166,156,175,60,214,178,111,61,10,251,10,187,108,15,119,187,128,66,227,60,210,247,255,188,120,12,112,60,15,98,132,60,16,13,100,188,91,100,52,189,220,254,94,189,36,95,22,190,21,197,25,190,51,181,56,61,33,210,169,58,13,27,101,60,90,205,101,61,34,109,71,189,127,167,67,189,43,214,5,188,205,208,22,187,117,75,187,188,133,107,245,61,68,165,64,189,14,133,180,189,141,88,155,189,11,45,221,189,227,98,4,189,4,93,119,60,103,99,70,189,226,133,34,189,40,100,196,61,122,154,93,60,242,229,110,188,246,42,44,60,81,243,248,188,87,194,131,60,195,196,146,58,81,232,76,188,79,146,59,59,11,130,49,61,49,138,21,190,247,117,159,188,189,171,190,188,155,180,161,188,137,179,162,61,18,60,182,188,198,64,137,189,21,102,14,61,115,162,235,61,143,59,222,188,243,103,136,188,139,88,129,61,87,14,168,189,20,53,152,61,171,89,73,61,67,10,55,189,254,47,116,188,207,143,151,61,71,156,238,189,219,254,80,61,209,189,58,61,42,82,114,189,11,15,181,61,184,20,130,188,192,121,24,190,107,237,160,61,152,238,64,61,47,114,92,189,130,40,150,189,108,165,19,189,216,221,31,62,188,171,156,61,75,24,116,189,171,117,227,188,23,77,227,61,169,246,25,61,221,36,54,189,55,16,74,61,212,115,92,60,131,190,141,61,175,212,150,61,115,14,98,61,180,136,237,60,103,4,192,61,227,106,215,61,150,13,53,189,96,230,156,60,201,143,105,187,160,94,21,62,203,168,210,61,122,156,50,189,52,73,2,190,103,226,185,61,255,187,227,61,179,49,119,189,232,35,198,61,35,14,183,61,203,181,144,61,164,64,213,60,227,161,191,59,90,145,114,189,158,35,253,61,248,186,107,59,122,129,68,59,171,119,23,61,83,94,167,60,64,192,42,61,131,24,40,60,178,209,94,188,186,37,131,188,171,112,211,60,234,207,190,60,255,92,67,59,150,130,133,60,62,60,136,61,179,216,111,61,246,190,74,60,201,133,84,188,40,79,144,60,151,133,80,61,106,33,134,61,102,73,53,189,184,98,31,59,12,105,73,59,65,199,136,61,254,72,48,189,218,86,49,60,31,161,132,189,175,6,39,61,206,207,254,61,174,181,168,61,2,12,152,61,242,137,38,61,239,108,141,61,200,182,195,61,127,77,2,62,0,169,174,188,176,94,174,61,125,5,43,189,20,122,218,188,129,120,155,60,69,225,7,61,181,231,26,60,86,254,74,188,214,197,45,189,68,145,104,188,65,54,17,189,215,244,199,188,203,217,177,61,254,143,44,61,224,193,201,60,184,3,53,188,57,102,164,187,17,56,243,60,5,201,212,60,9,135,128,188,19,238,56,61,185,214,142,61,58,145,177,61,243,214,139,61,45,177,209,61,145,109,93,61,216,28,134,61,243,43,26,189,248,209,95,60,19,201,144,61,249,178,91,61,239,135,68,61,94,191,239,61,242,231,95,61,52,33,153,188,213,238,129,61,238,124,254,60,158,178,172,61,81,216,168,188,3,131,28,61,46,209,226,187,69,222,209,59,71,94,80,188,50,127,144,56,48,4,58,61,56,156,155,188,5,161,77,189,127,213,245,60,157,167,50,60,125,66,148,59,250,212,210,60,131,169,195,188,252,12,44,189,168,120,226,58,193,223,116,189,82,222,222,188,51,161,134,61,144,31,61,60,190,91,79,60,116,15,151,61,102,180,22,188,72,72,73,189,240,16,174,60,123,52,132,61,73,29,51,61,81,148,7,189,109,177,19,61,114,47,222,187,44,99,25,60,191,41,143,60,137,51,131,189,103,135,139,189,192,126,165,61,186,148,227,188,143,18,224,60,81,240,130,61,215,60,136,61,150,135,104,61,148,242,176,61,80,197,248,187,118,228,164,188,168,50,66,189,65,191,135,188,30,18,133,188,171,60,99,61,226,230,24,187,151,129,55,60,176,138,123,61,134,183,128,189,158,214,178,189,7,189,190,189,118,207,46,189,202,169,182,59,15,3,69,61,243,75,145,60,28,21,176,59,132,252,23,62,185,251,128,189,126,114,240,188,200,92,234,61,127,51,78,189,25,77,185,59,232,27,170,60,164,131,59,189,216,249,65,189,41,146,242,60,38,156,190,189,66,245,52,189,58,100,76,189,48,98,33,189,72,250,85,60,217,93,128,61,55,245,25,61,97,67,173,61,252,233,13,62,213,41,71,61,0,110,129,189,98,166,103,189,110,124,154,60,22,148,6,189,113,25,10,61,190,50,144,189,60,229,56,189,173,23,100,60,241,157,167,61,174,19,148,189,80,136,195,60,50,246,178,60,213,118,213,60,45,103,41,188,236,89,24,60,21,114,251,59,176,137,27,62,144,127,169,60,184,112,199,189,186,38,182,189,157,26,159,189,52,15,191,60,59,188,145,188,235,123,5,189,17,139,167,189,182,239,173,189,13,156,187,60,243,209,232,189,68,151,17,189,205,180,57,189,175,107,234,188,111,231,138,61,195,95,54,60,165,0,201,60,209,69,2,62,182,147,165,61,121,198,19,189,243,183,53,60,218,192,68,61,143,242,14,189,184,62,11,61,60,188,104,189,119,211,12,60,61,55,140,187,78,86,4,61,66,6,85,188,159,22,42,188,161,104,162,189,164,126,8,60,117,43,188,60,149,14,86,188,143,36,154,188,135,197,52,61,38,178,106,61,190,18,26,189,135,29,159,60,188,170,215,58,148,28,28,189,38,166,43,61,46,96,25,190,212,233,56,189,255,43,70,60,113,16,179,187,47,240,134,188,117,10,250,59,56,125,153,189,88,88,172,61,102,54,205,61,149,73,73,188,236,56,134,61,52,136,58,61,130,152,161,61,73,33,249,60,64,134,143,60,200,149,188,61,181,77,196,185,231,13,216,61,216,249,63,61,135,57,155,60,36,52,217,188,205,111,142,187,30,145,178,59,13,170,108,60,224,238,112,61,51,170,8,189,76,147,60,61,150,168,213,189,178,155,157,60,67,247,150,60,196,66,140,188,200,22,182,188,18,61,64,61,181,18,126,189,172,1,105,188,251,213,178,61,50,210,157,189,62,254,217,60,67,35,48,189,202,84,253,188,89,127,17,189,34,130,154,188,101,250,75,189,149,1,32,61,35,197,60,61,115,105,75,61,125,31,47,61,195,78,61,189,227,89,217,188,168,105,12,60,1,70,29,61,42,86,110,61,24,245,30,61,155,193,144,185,29,7,252,60,60,208,5,189,81,36,92,189,134,63,76,61,44,230,26,188,58,189,18,61,150,98,45,187,26,218,140,186,53,172,242,60,193,8,115,188,19,191,250,60,35,145,200,60,230,49,151,60,101,120,6,61,69,197,16,189,187,156,49,188,247,91,55,188,146,244,242,186,122,226,27,186,175,88,54,189,23,131,67,59,226,117,128,61,78,76,176,188,121,133,72,187,124,179,79,189,193,246,122,60,41,45,82,60,127,165,83,61,80,9,27,60,147,65,91,187,139,86,234,61,187,4,32,189,184,49,47,187,116,109,251,60,84,210,57,188,180,158,241,60,150,235,235,60,138,236,29,61,16,88,13,189,251,62,187,61,80,172,176,188,164,213,120,61,252,205,126,189,229,78,159,60,35,3,219,59,200,84,136,189,84,171,14,60,236,142,13,61,100,107,199,60,81,138,7,190,99,23,43,189,57,139,169,188,221,255,46,60,101,166,118,60,199,244,153,189,164,96,123,187,82,254,128,189,103,8,236,188,155,39,6,190,200,229,147,189,86,9,190,187,198,117,12,188,16,238,26,61,199,70,226,60,104,113,74,61,176,140,240,188,7,141,196,61,233,102,157,60,160,231,121,61,166,24,68,189,178,7,98,188,135,142,242,187,160,223,181,188,236,62,87,188,76,202,254,59,135,215,251,61,58,216,240,60,121,54,19,61,210,130,159,189,129,167,57,188,97,91,209,57,235,117,121,189,220,214,55,188,241,147,153,187,109,83,156,61,202,55,138,189,208,6,103,189,171,174,87,189,61,162,58,188,7,17,133,188,216,39,65,189,66,19,52,188,214,203,43,60,39,73,87,59,4,252,109,189,182,177,157,189,190,108,8,189,109,108,43,61,24,123,14,61,171,97,186,60,114,206,188,60,142,63,218,59,175,160,224,61,154,81,194,187,88,255,70,189,226,41,44,189,202,206,190,189,115,228,200,187,167,116,208,188,160,214,95,60,6,127,22,60,140,69,151,188,38,75,102,189,166,103,35,189,114,244,159,189,105,132,226,59,239,5,116,61,116,204,31,189,69,199,128,60,236,155,67,188,35,231,225,187,97,104,253,188,34,106,41,189,189,7,128,188,133,154,60,189,80,184,234,60,14,188,177,189,13,103,4,189,214,187,91,189,93,192,108,188,102,112,143,189,112,142,177,189,195,43,57,189,107,17,47,61,7,99,255,60,59,112,167,61,255,32,49,60,55,168,130,61,99,235,125,61,32,200,234,60,11,92,193,60,133,188,137,61,237,17,5,189,28,162,25,188,28,73,169,61,168,250,183,188,133,243,81,61,65,145,152,188,79,170,161,60,146,99,163,188,94,150,220,189,166,68,2,61,77,75,84,59,172,122,175,188,99,85,46,189,168,1,67,61,19,109,47,61,64,217,102,61,140,66,153,188,162,241,98,61,85,65,249,188,190,110,110,60,60,201,135,189,194,92,111,189,102,45,25,189,57,117,199,189,151,230,3,189,225,51,102,189,113,156,212,189,107,142,151,61,240,216,137,59,55,120,5,61,20,115,12,59,181,203,81,61,145,201,80,188,16,92,195,60,173,192,129,61,17,232,161,189,102,136,171,61,0,197,161,189,110,75,133,189,43,172,204,188,120,218,133,61,20,162,34,61,180,132,72,61,39,159,63,188,160,11,35,189,41,191,104,61,252,180,114,61,136,1,63,188,41,139,162,189,21,102,44,189,120,143,90,60,86,94,185,61,31,210,206,61,24,201,34,189,210,245,74,60,186,162,153,189,17,186,21,189,202,48,48,189,228,194,188,61,136,12,243,57,55,144,233,60,105,136,175,60,65,121,6,57,106,231,235,60,66,52,175,189,37,51,70,189,195,156,166,61,160,201,107,189,68,167,103,60,150,99,13,61,46,145,135,189,199,28,250,188,217,158,242,60,193,60,151,189,96,18,58,60,208,109,88,61,77,75,159,189,26,165,172,188,136,194,97,189,162,248,9,190,0,59,248,60,191,170,137,61,6,185,126,189,182,170,110,189,102,24,128,61,190,56,237,60,156,80,136,188,99,73,20,189,236,19,132,188,37,126,191,186,81,127,15,62,151,212,18,188,77,33,5,189,184,236,93,59,160,134,45,59,88,157,9,61,30,151,197,188,236,63,45,189,120,113,218,61,42,78,213,192,11,181,150,62,143,85,202,189,106,161,4,190,65,73,161,61,240,105,198,62,33,231,133,62,9,113,21,62,101,252,123,61,60,75,168,62,124,153,104,62,218,31,136,189,212,155,177,189,58,205,66,61,223,140,218,61,226,57,27,61,170,69,228,61,23,239,199,188,175,10,156,62,229,100,130,62,20,203,141,189,93,24,169,61,83,203,22,62,123,104,167,62,25,118,24,62,204,98,98,61,123,49,180,189,42,0,134,62,118,226,18,62,215,164,219,60,217,237,115,62,46,173,70,62,210,197,102,61,197,203,211,188,39,21,13,189,224,99,32,190,34,25,82,62,212,73,182,61,157,42,15,190,223,25,205,189,161,243,26,189,193,115,239,188,209,231,99,189,14,47,8,61,44,68,135,188,72,248,30,62,37,64,125,62,145,95,255,189,194,77,70,189,90,217,126,189,214,84,70,62,126,225,149,59,1,165,97,61,2,159,191,61,178,188,43,62,91,154,43,62,176,201,154,60,152,108,92,62,109,26,251,61,141,98,185,61,29,170,137,189,162,210,72,189,243,2,204,189,120,155,119,62,67,87,194,189,91,122,52,190,129,92,226,58,74,179,9,190,176,229,213,61,143,168,80,61,214,57,166,61,134,198,147,61,138,33,249,61,73,16,46,59,12,144,152,190,8,203,8,190,112,65,118,189,129,120,189,189,246,152,72,189,129,147,173,189,5,111,56,190,140,16,30,189,36,181,176,61,5,222,9,190,93,165,219,189,81,20,8,62,14,244,16,62,68,105,127,62,73,102,5,62,146,3,246,188,44,240,149,61,141,156,5,188,86,70,163,60,40,209,146,61,82,73,157,57,229,242,159,188,161,248,177,188,71,232,39,189,178,217,177,189,44,157,143,61,54,203,117,62,245,219,135,62,223,250,48,61,144,193,42,62,182,75,187,61,14,131,121,61,244,111,23,189,193,116,186,189,117,148,163,61,69,14,97,62,126,229,33,62,42,254,15,190,140,49,48,189,49,152,255,61,2,213,191,61,183,94,211,61,64,76,194,61,174,242,164,61,29,4,13,62,106,107,36,62,228,74,45,190,244,24,101,60,213,119,158,62,195,46,138,187,140,74,106,189,207,18,132,189,20,117,102,60,44,214,184,62,16,174,128,62,106,218,165,189,60,249,52,189,81,164,123,61,210,28,25,189,142,90,161,189,8,229,253,60,162,207,135,61,125,89,26,61,22,251,27,62,76,196,187,189,151,198,143,61,165,21,95,62,222,60,21,61,28,152,156,189,91,238,204,59,10,101,193,189,126,139,30,62,48,186,188,188,37,176,73,190,91,121,201,188,135,191,54,62,141,94,77,189,49,35,60,189,14,248,124,186,29,118,223,61,131,23,61,61,173,50,35,190,249,192,14,188,135,49,41,61,146,235,198,61,21,86,106,189,123,76,132,189,175,8,158,61,31,101,52,62,72,164,13,62,130,169,134,61,7,240,214,189,58,232,146,60,110,134,11,62,138,5,62,188,105,138,64,61,102,247,164,61,30,136,140,61,191,98,173,61,28,97,17,189,214,2,187,189,149,158,41,189,186,188,121,61,61,183,208,189,226,146,163,189,182,20,176,189,254,215,185,188,228,103,163,61,199,213,200,189,101,167,95,189,165,104,37,61,172,1,154,62,129,176,3,62,146,61,194,61,216,45,66,61,160,137,208,61,141,67,125,61,69,13,38,190,87,118,81,190,45,9,16,189,5,197,207,61,181,82,136,188,181,84,222,188,14,158,9,190,205,62,15,188,234,146,209,61,13,56,235,61,222,1,30,60,88,169,128,61,255,8,115,62,9,223,43,62,188,91,89,61,173,78,78,188,113,198,48,61,124,15,23,59,63,31,133,61,4,116,31,189,160,193,166,188,206,255,27,62,141,12,50,61,91,125,245,188,62,234,47,189,204,10,5,61,112,67,140,61,21,0,227,189],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+92164);allocate([124,127,227,189,197,85,229,61,100,202,7,187,112,65,182,187,27,213,169,61,106,106,217,59,82,127,221,189,41,151,198,60,10,20,177,189,244,112,66,190,98,75,143,188,11,13,68,62,173,193,251,187,5,220,3,190,183,183,27,189,159,142,7,190,179,67,188,61,168,55,163,61,54,148,218,189,47,223,250,187,206,227,48,62,67,169,61,60,78,236,33,60,44,131,170,61,21,56,217,188,221,6,21,62,65,158,29,62,190,106,5,190,142,30,223,189,157,244,254,61,54,204,80,187,20,203,205,189,57,39,118,60,110,219,119,189,239,89,215,60,150,150,177,189,123,17,45,190,242,180,156,61,232,244,92,62,210,255,50,61,41,205,6,190,81,49,78,188,182,15,57,189,238,9,242,189,79,87,119,190,219,78,43,190,111,183,164,188,250,40,163,188,173,138,208,189,38,85,219,189,198,20,44,188,233,16,56,61,121,59,66,62,113,84,94,62,172,196,60,189,5,78,54,61,90,130,76,62,238,120,19,189,82,128,24,190,238,206,90,60,190,80,160,189,96,116,249,60,225,155,102,61,208,152,201,188,88,113,170,61,245,215,203,61,115,131,33,189,143,54,14,190,89,162,179,59,78,151,197,188,216,214,15,190,195,242,135,189,31,187,139,188,65,183,23,60,154,149,109,189,121,91,233,188,196,90,124,189,244,51,245,59,193,27,34,190,177,77,26,190,63,169,54,189,174,73,215,189,252,113,59,189,207,219,216,187,91,10,200,188,131,19,241,189,41,118,244,189,225,41,52,190,157,132,146,189,110,196,243,61,195,17,228,61,167,116,48,61,197,231,14,61,91,120,190,61,187,123,0,60,181,250,106,61,92,228,222,189,67,198,163,189,132,128,108,62,245,132,165,60,171,236,59,60,6,128,202,61,158,123,207,61,115,133,247,188,124,154,147,188,204,236,115,189,215,104,217,189,83,32,179,60,158,98,21,189,199,241,163,61,162,156,40,61,146,36,168,189,84,26,241,61,236,161,253,60,43,79,96,189,171,61,172,189,151,60,62,190,244,26,123,189,54,3,28,189,93,197,226,189,82,44,135,190,200,7,157,61,95,236,157,189,140,242,12,190,1,104,20,61,92,85,142,62,40,153,156,60,190,165,220,61,134,117,19,62,108,118,164,61,102,50,92,62,250,99,106,62,142,234,148,61,115,71,159,61,164,26,246,61,120,67,154,61,150,120,128,61,191,213,250,61,157,188,72,189,177,222,40,62,75,89,38,62,145,241,40,61,220,13,34,60,134,89,200,189,228,131,30,189,30,163,188,188,12,205,245,189,167,62,80,62,248,111,126,62,203,103,25,62,37,150,20,189,99,154,169,189,192,5,185,189,255,90,222,188,214,2,155,189,172,255,163,190,111,18,3,186,38,198,18,190,23,71,133,189,39,108,63,190,24,122,4,62,96,115,238,61,77,15,58,62,198,134,46,62,8,116,214,62,5,139,235,62,55,221,170,62,32,12,108,62,0,225,67,61,175,33,56,189,172,112,139,189,21,139,15,62,58,150,55,189,215,52,175,61,186,103,189,61,1,190,219,189,91,206,5,190,141,150,83,190,238,179,234,61,186,191,162,190,126,1,157,189,235,110,30,61,236,219,89,62,42,142,131,188,8,144,1,190,72,135,39,190,156,50,87,62,142,145,204,61,23,102,1,190,125,151,242,61,232,45,158,60,141,9,177,188,69,161,197,189,30,252,228,189,253,76,77,190,82,72,18,62,8,85,106,62,196,233,180,190,92,115,55,190,170,70,239,61,34,57,129,62,56,245,1,189,118,166,64,190,95,208,34,190,88,230,197,62,73,128,250,61,143,251,86,62,98,189,201,62,200,210,183,62,179,124,133,62,76,108,46,62,169,46,96,60,176,4,18,190,92,31,214,188,241,155,66,188,167,33,26,190,204,41,65,61,82,67,219,189,34,226,22,190,140,49,64,190,221,125,62,190,137,10,85,190,36,124,111,61,168,142,149,189,188,59,114,190,228,103,163,189,166,185,21,190,194,223,111,189,91,150,207,189,151,2,146,189,53,153,145,189,59,115,239,61,99,237,111,62,102,18,157,62,159,203,164,62,143,194,117,62,221,9,150,61,67,113,71,188,125,234,216,60,52,130,77,61,50,29,42,62,46,115,106,62,25,144,125,61,13,55,32,62,11,239,82,62,226,34,247,61,80,252,24,61,201,233,43,62,219,135,148,62,52,128,215,62,109,116,78,188,40,101,66,62,148,221,156,62,201,114,242,61,226,200,195,189,123,49,148,189,8,173,7,190,39,164,101,190,166,11,1,190,182,18,186,60,143,109,145,62,77,104,82,61,235,1,115,186,29,148,112,189,128,181,170,189,227,164,16,190,114,20,64,190,118,136,79,190,119,77,72,61,237,131,124,62,222,59,226,62,166,94,175,62,73,44,137,61,239,115,92,62,36,181,64,62,145,242,147,189,45,35,85,190,154,93,247,188,152,106,54,62,204,69,12,62,239,168,49,189,193,113,57,190,129,9,188,61,53,238,237,61,6,187,1,190,182,243,197,190,31,128,188,62,230,205,137,62,93,79,180,189,54,30,236,188,86,98,190,61,68,107,197,60,240,223,60,61,134,255,52,62,0,28,11,62,104,232,255,61,128,40,72,62,231,113,24,189,239,58,43,62,247,120,65,62,45,64,91,61,34,81,136,189,40,238,8,62,98,132,144,189,238,91,237,61,236,23,28,62,7,154,239,189,15,126,226,189,22,77,55,190,217,118,218,60,234,236,164,61,164,197,153,61,102,46,144,189,56,192,76,60,173,252,178,60,75,30,15,190,73,99,180,188,117,57,197,189,154,6,133,189,52,129,2,190,144,50,98,188,65,212,221,189,45,9,32,62,188,118,25,62,145,123,58,188,90,41,132,61,187,241,238,60,73,103,224,60,67,199,142,61,181,108,29,62,47,135,29,61,74,64,108,62,81,247,129,62,87,205,115,61,127,137,56,189,98,188,102,60,115,158,145,61,58,203,140,61,103,96,196,61,93,26,191,59,66,93,20,62,163,234,215,60,132,243,137,189,174,215,52,189,204,123,252,189,101,28,163,188,158,66,174,59,114,168,223,61,222,199,81,187,128,11,178,188,0,111,17,62,138,6,137,189,67,231,245,189,149,42,65,190,92,87,76,60,216,125,71,189,195,154,74,188,141,67,61,190,30,163,44,62,251,201,136,62,131,107,110,61,64,163,52,189,76,55,9,61,233,215,54,62,79,30,214,61,74,182,250,61,215,51,164,61,102,103,49,62,215,217,152,62,34,109,131,61,208,182,90,61,114,134,50,62,18,135,108,62,206,170,239,61,88,59,42,62,108,63,105,62,49,9,247,61,232,50,53,62,181,169,58,188,0,30,177,189,229,126,7,188,97,195,83,61,195,12,29,190,17,255,112,189,223,22,108,189,37,59,118,189,220,217,215,60,86,154,36,190,189,54,27,189,148,246,70,189,36,38,40,61,58,36,181,188,74,65,119,61,99,155,84,61,142,143,38,62,237,215,13,62,201,142,77,189,142,147,194,187,66,6,146,61,30,192,2,62,83,90,127,61,152,221,19,62,79,175,148,61,207,50,75,62,213,32,124,62,117,31,160,189,242,37,20,189,73,131,155,61,1,219,65,61,187,214,94,188,137,152,178,61,83,5,163,60,56,48,185,60,123,189,123,188,201,115,189,189,199,41,154,61,4,86,238,189,23,217,78,61,167,205,56,61,138,144,42,62,2,155,147,61,149,71,119,61,176,232,6,62,145,240,45,190,144,47,33,189,174,128,66,189,46,2,35,189,42,55,81,190,43,217,177,60,181,140,4,62,0,115,173,188,247,147,49,62,114,252,144,189,24,11,131,189,27,185,142,61,86,70,131,189,206,80,252,189,185,79,142,188,187,213,83,190,46,227,134,61,8,227,231,61,86,102,202,60,59,27,146,189,108,36,137,189,250,69,201,189,223,223,128,189,0,82,155,61,97,27,113,60,157,190,158,60,63,226,7,62,115,241,151,189,169,105,183,189,76,168,160,189,75,58,74,190,61,213,49,190,70,97,87,61,225,179,53,61,97,140,232,61,44,182,201,61,226,120,158,61,182,157,54,188,25,55,69,190,166,97,40,190,131,165,58,61,194,162,82,62,79,120,73,61,241,130,168,189,105,28,10,62,115,243,61,62,155,58,15,61,102,220,244,189,75,35,230,189,213,180,235,189,37,91,93,189,67,58,60,190,229,242,159,189,141,69,67,62,178,161,187,61,78,126,139,59,44,125,40,189,36,182,123,189,126,253,16,190,3,124,71,190,14,17,247,189,93,55,165,60,183,155,224,61,246,7,138,61,206,168,121,188,109,226,116,190,245,130,135,190,199,158,61,190,186,187,78,61,21,86,170,60,24,35,18,61,219,24,187,60,160,55,85,189,11,10,3,190,60,134,231,189,226,229,105,190,104,61,132,190,193,224,90,189,48,132,156,61,255,178,123,61,111,45,115,62,248,27,109,59,179,210,100,189,184,92,221,189,74,13,237,188,86,183,58,61,57,99,88,61,146,206,192,186,151,253,186,60,110,250,115,61,101,223,213,189,163,61,158,189,152,247,88,190,250,42,89,190,114,251,229,60,38,85,155,61,45,62,133,60,156,195,37,62,87,180,9,62,27,100,18,60,164,198,68,189,31,248,152,61,15,123,161,59,245,19,206,188,195,128,69,62,69,100,152,61,31,18,158,62,167,232,136,62,32,240,192,61,149,16,172,187,47,51,44,61,159,173,3,189,208,100,127,60,12,120,129,62,94,130,51,62,1,136,187,60,44,68,167,61,50,115,129,61,110,135,38,62,156,23,71,62,220,128,111,62,35,75,134,62,148,106,63,62,156,49,172,61,115,161,146,190,150,37,90,190,195,40,72,189,47,167,84,190,150,33,46,190,28,64,63,60,196,96,190,189,177,105,69,190,233,12,140,190,25,114,108,62,25,145,136,62,17,27,164,62,179,36,152,62,206,84,12,63,189,30,156,62,26,223,7,62,221,68,125,62,116,150,89,62,97,254,138,190,249,131,17,190,191,41,44,187,254,38,244,189,213,118,3,62,56,246,204,61,162,122,107,189,193,167,249,189,170,98,106,190,162,37,79,62,238,177,204,190,113,30,190,190,170,69,196,189,89,78,130,189,125,63,37,190,252,82,159,190,162,239,150,190,212,238,119,62,117,34,65,60,199,187,195,61,188,33,165,62,242,7,3,63,135,80,165,62,124,99,160,62,175,125,49,62,175,151,38,59,83,35,244,188,187,71,166,62,193,255,166,190,45,92,174,190,95,155,13,190,228,46,66,187,74,152,233,189,10,47,193,190,137,152,226,190,114,139,89,62,54,63,254,187,67,169,61,188,184,200,45,62,124,12,158,62,112,123,162,62,119,21,10,63,169,106,170,62,233,211,106,61,245,161,139,189,59,226,208,61,146,179,136,62,133,153,86,62,62,34,182,62,34,171,187,61,223,82,46,62,92,56,0,62,234,93,140,62,20,209,143,61,213,4,209,60,45,148,76,61,224,45,16,186,128,14,51,61,75,63,17,190,9,193,170,60,231,252,4,62,129,95,131,62,27,18,215,61,46,230,23,62,67,199,46,62,51,221,235,60,182,160,151,61,13,226,35,62,30,110,207,62,114,24,124,62,81,78,180,62,126,1,45,62,233,152,99,62,140,100,135,62,44,14,135,61,192,235,179,60,164,197,153,189,214,173,190,61,0,202,223,60,53,121,202,61,83,202,107,61,228,106,164,189,7,121,61,62,135,251,160,62,68,222,170,62,49,209,0,62,160,255,150,62,14,162,197,62,132,215,94,62,225,235,59,190,139,167,142,190,61,124,25,187,222,232,227,188,7,125,9,190,83,231,169,190,242,235,7,188,105,27,255,61,29,1,92,61,170,239,188,190,60,162,194,189,249,103,86,62,18,247,216,62,84,87,190,62,172,230,217,61,12,35,189,62,157,161,248,62,244,191,108,62,113,3,14,190,100,203,178,190,173,135,143,189,137,126,237,60,161,45,167,189,119,191,202,190,97,80,22,190,127,21,224,188,195,213,129,61,6,131,139,190,239,202,110,61,120,41,173,62,207,217,226,61,35,159,87,189,218,117,111,190,161,218,224,188,109,114,248,60,68,78,31,62,217,39,192,189,12,92,158,60,14,17,247,61,31,45,206,59,11,66,217,189,1,246,113,190,190,80,16,190,121,92,180,189,53,238,205,188,128,101,85,190,146,233,208,188,17,167,19,62,204,13,70,189,7,98,217,189,210,56,156,190,231,197,233,189,207,74,186,61,213,203,167,62,153,215,17,61,52,15,192,189,102,188,45,59,220,47,47,190,106,165,64,190,202,196,93,190,147,30,86,190,162,212,94,189,37,235,32,62,0,254,105,189,49,93,136,61,104,66,19,60,229,183,40,61,188,33,13,61,40,68,160,189,195,101,85,61,144,46,182,188,86,45,137,61,83,174,240,189,181,194,148,189,75,6,128,61,0,227,25,61,66,179,107,189,133,237,159,190,237,185,12,61,134,57,1,189,86,42,40,59,29,90,84,190,11,179,144,189,25,229,153,188,239,143,55,189,208,241,81,188,169,77,156,189,105,30,160,61,179,153,195,60,151,198,239,61,182,157,182,60,171,90,82,190,115,133,119,189,87,176,141,188,208,43,158,187,213,94,164,190,195,187,188,189,140,19,31,61,164,228,149,61,65,68,138,189,145,66,217,60,90,18,48,62,200,211,178,61,161,74,13,61,232,160,11,189,168,29,30,62,18,159,123,189,77,161,243,59,64,133,227,189,17,143,196,189,60,132,113,60,241,127,7,190,163,205,241,188,151,197,68,190,237,17,202,61,18,21,170,60,152,76,53,62,210,29,132,189,85,249,94,189,88,88,112,189,34,136,243,186,220,159,43,62,176,230,128,60,134,145,94,61,198,250,134,60,169,218,62,62,164,196,46,188,184,4,96,61,168,200,1,62,40,73,87,60,254,10,185,61,137,208,8,190,99,152,147,188,40,72,28,190,101,25,226,60,95,7,14,190,28,236,77,189,197,229,56,61,61,41,243,189,238,36,194,61,165,160,43,190,162,153,199,61,49,154,21,188,212,183,76,62,93,253,88,189,156,253,33,62,136,218,54,62,100,93,220,189,29,115,30,60,241,45,172,189,147,229,36,189,241,155,82,190,132,184,210,61,17,224,100,62,38,229,46,61,75,201,242,61,208,70,174,188,101,82,227,61,10,216,30,190,185,226,226,60,54,145,25,190,49,40,83,61,252,81,4,190,71,176,49,62,162,126,151,61,3,149,65,190,253,103,13,189,240,109,218,189,36,9,66,188,63,30,74,190,205,173,96,62,255,151,59,62,203,243,96,189,21,111,20,62,218,146,21,61,125,236,174,189,83,145,106,190,183,40,19,190,213,177,74,189,170,100,32,62,51,25,14,188,84,170,132,189,249,163,168,61,78,43,21,62,65,215,62,59,246,41,87,190,27,185,238,189,73,157,160,61,181,53,98,62,185,110,138,189,72,27,71,61,88,230,173,61,234,148,135,189,68,110,230,189,80,254,94,190,41,63,169,189,206,167,142,188,151,202,107,62,131,221,144,189,72,81,135,61,18,108,92,62,195,186,145,61,102,160,178,189,177,22,79,190,183,67,67,188,41,231,203,61,192,232,50,62,43,193,130,189,175,235,247,189,145,99,107,60,222,228,7,62,91,206,165,187,255,121,122,190,113,1,56,190,45,236,9,190,183,95,190,60,51,192,69,190,18,165,157,189,32,96,173,188,125,4,254,186,237,186,39,190,21,57,228,189,35,105,87,190,120,94,42,190,54,90,14,61,9,110,36,60,72,139,179,188,237,74,139,61,245,244,177,189,218,228,128,190,163,202,136,190,235,30,25,61,56,245,129,59,191,129,9,61,100,36,27,190,65,97,208,60,219,247,168,188,175,237,157,190,112,176,175,190,98,244,188,189,79,33,215,188,198,51,232,188,124,154,19,61,95,13,16,61,201,147,4,62,157,70,250,61,127,75,128,60,6,157,144,189,169,49,193,189,216,71,135,189,166,70,40,189,43,247,34,62,126,225,149,61,192,94,225,61,135,168,50,62,164,226,159,61,112,207,115,188,249,248,4,60,144,106,88,60,234,90,155,61,173,76,72,62,51,112,128,61,254,43,139,61,174,154,103,61,15,154,29,190,166,38,17,190,24,149,148,189,106,79,9,61,65,14,202,188,246,182,9,62,153,242,161,61,122,196,8,62,196,148,104,62,251,229,147,60,15,123,161,59,206,56,45,62,105,110,133,61,159,200,147,61,71,202,6,62,130,58,197,61,24,93,94,61,191,156,217,61,47,196,234,61,50,202,243,61,38,228,3,63,7,94,125,62,201,233,75,62,65,11,89,62,144,158,2,62,210,224,150,190,63,145,71,190,56,192,76,189,193,225,229,189,35,18,5,188,11,96,202,187,3,178,23,61,148,21,227,189,30,253,127,190,169,23,28,62,125,64,112,62,41,5,29,62,57,213,178,62,77,220,46,63,57,242,32,62,54,174,255,61,209,7,203,61,209,231,131,61,146,92,126,190,254,12,31,190,85,18,217,188,55,26,192,188,180,233,72,61,224,218,233,189,9,196,235,59,157,17,53,190,114,252,192,190,49,121,187,62,171,65,56,190,123,18,24,190,92,4,198,59,16,33,46,62,248,109,200,61,92,62,210,189,21,87,133,190,65,215,126,62,60,161,23,61,46,228,241,189,189,26,160,61,195,212,70,62,94,102,88,62,182,186,188,62,233,240,184,62,33,34,5,62,220,215,193,61,127,218,104,62,214,84,54,190,211,18,235,189,129,152,4,188,60,160,108,62,36,9,66,188,181,136,200,189,175,205,166,190,187,72,17,62,50,57,245,61,14,245,107,190,95,121,240,189,12,201,233,189,45,64,27,61,54,90,238,61,8,6,96,62,143,168,208,189,159,146,115,61,247,59,244,61,221,40,50,60,171,208,0,189,77,102,60,61,98,158,245,61,69,42,140,62,36,151,159,62,221,9,134,62,3,124,71,62,17,254,173,62,30,50,117,62,213,91,131,61,45,235,158,61,106,190,202,61,148,250,18,62,79,8,61,62,241,160,25,61,230,231,102,62,25,230,196,61,41,232,22,190,45,210,84,190,145,239,50,190,196,237,176,189,166,129,31,189,39,104,35,62,75,59,181,189,85,161,129,186,216,127,221,61,68,23,212,188,142,234,148,189,169,247,212,60,179,235,222,187,158,237,177,189,177,249,56,188,149,212,137,190,152,221,211,189,208,208,255,189,170,67,238,189,161,218,16,62,171,207,85,62,54,33,45,61,137,178,135,62,164,55,4,63,45,208,94,62,163,92,154,188,135,108,160,190,90,103,44,190,87,10,65,61,148,77,185,61,22,250,224,189,171,176,153,188,157,185,87,62,126,2,144,62,122,140,50,189,186,221,11,189,129,122,115,190,73,20,10,190,235,112,148,189,89,165,212,189,34,26,29,61,79,3,158,62,87,147,23,62,9,223,59,189,127,217,253,189,175,235,87,190,144,16,133,189,179,183,20,189,1,105,63,189,246,8,181,188,53,38,196,61,228,159,209,62,104,92,120,61,123,133,133,189,153,73,84,61,105,56,229,60,17,111,29,188,64,252,12,190,33,149,194,189,67,4,156,188,93,136,53,62,54,228,31,60,227,168,188,189,129,235,138,188,153,18,9,190,182,134,242,189,84,59,3,189,207,158,203,187,213,35,173,189,58,3,131,61,158,209,150,189,248,166,41,62,241,47,226,61,181,194,52,61,22,190,62,61,182,72,90,61,81,48,99,189,11,38,126,60,214,111,190,62,38,172,109,62,26,162,138,188,241,242,212,61,158,235,187,189,130,143,193,59,79,30,86,62,30,54,33,62,226,0,250,60,249,47,128,62,90,69,127,61,182,103,22,61,126,229,193,61,80,197,141,60,198,54,41,188,11,209,161,189,79,120,137,60,82,68,230,189,193,28,125,61,146,65,46,61,153,215,1,190,47,110,35,188,44,125,104,189,24,39,62,61,149,98,71,190,157,190,14,190,210,139,26,189,222,199,33,62,202,53,133,188,78,156,252,61,181,24,108,62,49,153,170,61,132,72,134,188,135,252,115,61,213,91,131,188,144,164,132,189,253,130,109,62,90,99,32,62,212,186,13,61,130,31,21,62,235,57,41,61,146,116,13,61,213,145,163,60,51,168,182,189,84,25,70,188,111,159,157,62,141,122,88,62,164,139,205,188,150,206,23,190,61,125,4,190,42,31,130,61,187,127,140,189,167,36,139,189,54,201,15,189,88,228,87,62,209,174,130,61,105,138,128,61,185,23,184,189,98,76,250,188,243,85,114,60,29,146,90,189,12,231,26,189,255,91,73,190,210,109,9,60,128,70,169,189,70,125,18,62,77,134,131,61,174,240,142,61,253,159,67,62,60,80,199,61,57,240,234,188,226,57,155,61,185,85,160,62,153,158,176,61,94,160,84,62,46,228,145,60,178,161,251,61,223,249,101,62,177,107,43,62,97,168,195,188,39,74,66,61,178,44,176,62,58,64,64,62,252,113,11,62,196,35,17,62,13,169,130,61,61,70,57,61,124,101,158,189,176,3,103,187,130,0,41,190,165,216,209,188,158,7,151,189,178,98,40,62,52,128,55,60,195,101,21,190,201,255,228,188,21,230,125,189,235,82,35,189,156,51,18,190,193,170,26,62,115,159,28,189,233,181,89,61,231,0,161,61,192,64,176,61,180,3,206,61,126,30,3,62,152,107,145,189,246,181,238,189,155,114,85,62,142,63,81,61,221,95,157,61,13,251,189,60,169,161,173,189,216,42,65,188,184,90,23,62,143,224,70,189,46,85,233,189,149,15,145,62,52,132,67,62,41,8,190,61,226,61,7,61,165,216,17,190,71,230,17,190,146,204,202,189,150,4,40,189,28,37,47,189,145,44,80,62,154,8,91,189,202,196,45,61,232,47,100,62,29,4,157,188,74,95,8,190,47,108,141,190,86,16,3,189,189,53,240,61,72,24,54,62,64,166,117,189,129,152,132,189,171,178,239,189,172,54,31,190,233,214,203,189,86,15,40,62,54,148,218,188,117,31,192,189,149,186,116,62,73,48,213,187,102,73,0,60,29,204,134,61,202,135,80,190,196,177,206,189,51,194,91,189,146,232,5,190,221,66,215,60,136,245,6,62,122,28,6,61,12,61,2,62,68,253,238,61,42,253,36,190,104,62,143,190,165,73,129,190,76,226,44,187,163,91,47,61,127,50,198,61,58,122,252,189,69,212,132,61,115,75,43,188,196,8,97,190,48,19,117,190,69,188,213,189,122,168,109,189,229,122,91,189,41,206,209,60,44,17,168,59,244,167,205,189,130,60,59,189,131,21,71,190,23,102,1,190,13,26,250,188,137,149,81,61,91,36,93,62,38,138,48,62,27,13,96,189,121,117,62,190,52,133,142,190,117,87,70,190,13,27,37,189,231,198,116,59,124,155,254,187,238,10,253,61,73,190,66,62,84,87,158,189,252,112,240,61,120,13,90,62,189,58,71,60,106,250,236,56,67,229,223,60,218,170,36,61,62,94,8,61,91,180,96,62,28,152,60,62,100,201,132,62,101,86,159,62,103,14,169,61,147,24,68,189,24,153,160,189,254,15,48,60,173,52,169,61,108,181,159,62,103,126,157,62,99,42,125,59,138,89,175,60,166,43,216,188,117,85,160,188,149,155,168,60,34,28,115,189,34,110,206,60,155,203,133,62,113,198,176,61,140,15,19,62,195,187,220,61,36,151,127,59,37,235,64,190,60,244,29,189,31,46,217,189,95,40,0,190,241,45,44,188,32,69,93,61,237,240,119,62,3,237,142,62,23,184,92,62,84,169,177,62,225,183,225,62,158,38,115,62,17,198,111,62,88,113,154,62,185,251,44,62,205,91,85,190,113,228,1,190,143,25,40,60,73,216,247,61,9,249,128,189,37,119,88,189,93,50,78,61,36,71,122,189,84,112,136,190,85,132,219,61,24,150,15,62,174,100,143,62,48,102,147,62,207,19,191,62,251,59,27,62,45,181,94,60,21,200,236,61,242,119,111,60,75,60,144,190,161,76,115,190,155,61,240,189,57,155,14,184,79,5,12,190,80,252,72,190,83,5,195,189,68,81,0,190,95,67,128,190,191,124,114,62,128,14,147,189,195,70,25,189,210,140,69,61,59,168,164,62,126,81,130,61,112,237,196,60,84,168,238,188,207,134,108,62,126,114,36,62,61,15,30,190,170,102,86,188,209,177,163,189,225,237,193,61,138,61,36,62,147,144,56,62,1,193,92,61,188,90,206,61,113,199,147,62,43,110,28,61,120,13,58,62,194,49,107,62,112,93,225,62,98,216,129,61,189,141,205,59,20,237,170,60,110,105,173,62,106,50,131,62,204,236,51,189,155,200,236,61,180,1,88,59,226,35,50,62,22,163,174,60,130,172,39,189,159,146,243,189,211,193,58,62,137,149,113,62,217,10,90,189,220,160,118,188,249,246,206,189,36,66,195,61,197,89,81,61,7,183,37,62,66,150,5,61,235,82,35,62,88,57,148,61,114,135,205,60,42,139,194,60,20,206,238,60,162,39,37,62,156,21,241,189,4,61,20,189,212,16,53,190,231,228,37,190,160,250,103,62,244,106,160,189,155,115,48,61,115,16,244,189,238,178,95,61,116,152,207,189,18,46,132,189,129,36,236,189,1,106,10,62,192,5,153,62,174,211,200,61,7,38,183,61,101,169,245,187,173,20,226,61,79,32,236,188,41,174,170,60,203,191,22,189,190,107,0,62,44,183,68,62,223,107,72,189,125,62,74,59,92,255,46,188,68,251,152,61,252,57,133,188,174,188,196,61,136,218,118,61,231,115,238,187,116,122,14,62,246,35,165,189,62,7,22,61,45,63,176,61,129,37,7,62,39,135,175,61,11,68,207,60,47,133,103,62,231,110,71,62,145,210,44,61,98,162,33,190,89,22,140,189,69,216,16,190,195,185,230,189,204,69,156,189,112,124,141,189,229,38,234,189,255,231,208,189,154,93,7,62,81,77,137,189,165,103,218,61,56,189,75,62,27,188,47,62,45,64,43,62,120,40,10,189,77,45,219,188,125,65,171,61,200,11,25,62,109,111,55,187,61,185,166,185,168,143,64,60,208,240,134,61,61,10,183,189,219,51,75,189,10,248,101,62,194,190,93,62,177,251,14,189,67,60,146,188,215,132,180,189,56,190,246,59,209,8,118,62,149,14,150,61,14,77,89,60,223,135,51,62,149,243,69,60,103,127,192,61,91,97,122,60,251,201,216,61,220,41,221,61,143,84,159,61,174,242,196,189,255,8,163,189,114,22,54,62,53,207,17,62,97,140,8,61,229,242,159,189,74,38,167,189,187,123,64,189,87,206,14,62,119,17,166,60,214,59,252,189,183,121,51,62,3,124,215,61,196,208,106,61,158,179,165,61,144,162,78,188,103,210,198,189,19,15,168,61,10,19,198,189,3,233,130,189,174,186,78,62,243,61,3,62,163,145,15,189,117,0,4,189,118,140,139,189,216,100,237,189,78,185,194,61,112,36,176,189,252,83,138,189,243,29,252,60,5,253,5,61,154,36,182,61,109,143,94,61,114,23,33,189,94,132,233,189,201,202,47,62,141,8,230,189,152,222,94,190,61,128,133,61,100,172,118,61,67,201,68,62,219,167,99,61,234,64,6,190,87,205,19,190,183,93,104,61,237,40,14,189,74,38,167,189,143,139,10,190,216,244,32,186,37,144,178,61,143,111,111,60,4,171,138,61,13,140,220,61,223,50,103,62,118,197,172,61,34,252,11,188,231,141,83,61,147,30,70,189,54,148,26,189,13,171,120,189,187,238,45,59,69,187,138,60,167,59,175,61,165,192,130,188,162,209,157,188,27,241,228,61,250,125,127,61,18,222,78,62,181,110,67,61,223,25,45,61,67,199,142,61,47,190,120,62,62,117,172,60,117,30,149,189,126,169,31,190,79,144,216,188,83,231,17,61,10,104,162,189,183,210,235,188,161,244,69,189,161,128,173,61,1,19,120,189,31,133,171,189,71,3,40,190,21,225,38,189,150,147,176,189,55,51,122,60,81,134,170,187,32,98,131,188,143,169,59,61,213,146,78,189,3,8,159,189,216,214,239,61,117,119,29,60,123,49,20,188,159,117,13,188,205,206,98,189,254,15,176,189,117,177,233,60,219,50,96,189,134,31,44,190,36,15,52,62,237,211,145,61,20,91,193,188,95,68,27,61,113,116,149,187,240,106,185,188,27,155,253,61,247,120,193,61,21,87,149,189,115,217,8,190,121,230,101,188,27,46,18,190,2,45,221,188,223,49,76,190,7,98,89,60,206,111,104,62,57,69,71,61,122,23,47,190,166,96,77,189,30,27,1,60,226,117,125,61,119,73,156,60,216,126,50,189,164,55,28,189,174,12,10,62,209,148,93,61,154,66,167,189,5,21,53,62,195,71,68,61,112,94,28,189,134,118,78,61,182,129,219,189,74,153,20,189,239,172,221,60,193,26,167,61,192,207,56,187,188,91,185,61,109,141,8,189,185,0,116,189,115,156,91,60,102,131,204,189,137,67,150,61,35,132,175,62,34,84,201,61,39,136,26,190,230,146,170,188,228,78,105,189,57,125,61,61,212,209,49,189,160,253,24,190,26,52,4,190,184,145,50,188,192,32,105,188,141,68,56,190,157,131,231,189,245,158,74,189,174,43,134,189,244,222,184,61,233,71,67,188,155,232,179,61,177,48,196,61,81,162,21,62,35,19,208,61,17,225,159,61,165,190,172,189,217,205,204,189,15,240,164,188,2,126,77,189,163,115,126,61,156,220,111,60,200,209,156,60,29,174,21,61,36,68,57,62,152,251,100,188,169,189,136,189,85,222,142,186,214,55,144,189,121,144,158,187,222,33,197,186,12,62,13,61,175,33,56,189,31,45,78,189,215,135,181,189,13,250,50,190,102,188,237,189,109,112,82,190,158,96,127,60,242,119,47,189,127,104,198,189,42,142,19,190,210,229,77,189,228,132,73,190,105,138,224,61,98,246,138,62,205,230,49,62,206,83,221,61,5,49,32,62,104,121,254,61,208,38,199,61,240,107,116,62,66,233,171,61,113,114,223,61,135,80,101,62,222,204,136,62,130,86,224,60,94,130,211,60,90,18,0,62,181,249,191,61,48,73,37,61,56,74,30,61,125,145,80,188,64,133,19,62,45,206,88,61,141,183,21,188,97,109,172,61,88,30,36,62,101,111,41,189,33,206,67,60,174,184,248,189,88,140,218,189,145,212,66,189,223,138,68,61,184,172,130,190,181,226,155,189,92,27,202,61,29,119,26,190,27,161,47,190,33,89,32,190,125,236,110,61,42,254,63,62,24,119,211,62,80,228,13,63,129,150,190,62,84,167,115,62,21,31,255,61,81,250,226,61,155,29,41,60,25,170,50,190,6,128,138,189,28,178,1,187,201,87,18,62,10,73,38,61,1,20,163,60,91,176,212,60,47,134,50,189,87,66,247,189,197,171,204,61,36,125,186,61,12,62,125,62,159,32,81,62,197,29,47,189,172,115,140,189,82,183,243,189,25,232,218,60,5,194,14,61,238,149,121,189,12,62,205,188,106,132,190,189,59,226,16,189,87,206,110,190,112,67,76,189,205,92,32,189,115,130,182,188,243,229,133,189,67,5,17,193,72,182,13,0,157,220,5,0,223,209,5,0,157,3,0,0,1,0,0,0,84,182,13,0,243,222,5,0,223,209,5,0,195,4,0,0,1,0,0,0,0,0,0,0,48,71,0,0,47,0,0,0,230,3,0,0,231,3,0,0,32,0,0,0,232,3,0,0,0,0,0,0,16,71,0,0,30,0,0,0,233,3,0,0,173,0,0,0,76,182,13,0,110,221,5,0,223,209,5,0,118,4,0,0,1,0,0,0,0,0,0,0,32,71,0,0,234,3,0,0,235,3,0,0,174,0,0,0,80,182,13,0,249,221,5,0,223,209,5,0,194,3,0,0,1,0,0,0,88,182,13,0,133,230,5,0,26,230,5,0,46,0,0,0,1,0,0,0,92,182,13,0,189,230,5,0,26,230,5,0,113,0,0,0,1,0,0,0,0,0,0,0,64,71,0,0,236,3,0,0,237,3,0,0,29,0,0,0,175,0,0,0,176,0,0,0,8,0,0,0,6,0,0,0,7,0,0,0,1,0,0,0,177,0,0,0,21,0,0,0,178,0,0,0,22,0,0,0,179,0,0,0,2,0,0,0,2,0,0,0,3,0,0,0,3,0,0,0,4,0,0,0,4,0,0,0,5,0,0,0,5,0,0,0,6,0,0,0,6,0,0,0,7,0,0,0,7,0,0,0,8,0,0,0,8,0,0,0,23,0,0,0,180,0,0,0,24,0,0,0,181,0,0,0,9,0,0,0,9,0,0,0,96,182,13,0,191,231,5,0,114,231,5,0,119,3,0,0,1,0,0,0,100,182,13,0,39,232,5,0,114,231,5,0,119,3,0,0,1,0,0,0,104,182,13,0,143,232,5,0,114,231,5,0,119,3,0,0,1,0,0,0,108,182,13,0,255,232,5,0,114,231,5,0,119,3,0,0,1,0,0,0,112,182,13,0,199,233,5,0,114,231,5,0,79,3,0,0,1,0,0,0,0,0,0,0,80,71,0,0,30,0,0,0,238,3,0,0,182,0,0,0,0,0,0,0,96,71,0,0,239,3,0,0,240,3,0,0,241,3,0,0,22,0,0,0,242,3,0,0,0,0,0,0,112,71,0,0,30,0,0,0,243,3,0,0,183,0,0,0,116,182,13,0,63,236,5,0,247,235,5,0,181,0,0,0,1,0,0,0,120,182,13,0,35,237,5,0,247,235,5,0,189,2,0,0,1,0,0,0,0,0,0,0,176,71,0,0,244,3,0,0,245,3,0,0,246,3,0,0,22,0,0,0,247,3,0,0,0,0,0,0,128,71,0,0,27,0,0,0,248,3,0,0,29,0,0,0,4,0,0,0,5,0,0,0,8,0,0,0,6,0,0,0,7,0,0,0,52,0,0,0,184,0,0,0,185,0,0,0,25,0,0,0,186,0,0,0,187,0,0,0,188,0,0,0,26,0,0,0,189,0,0,0,10,0,0,0,10,0,0,0,124,182,13,0,117,240,5,0,247,235,5,0,201,4,0,0,1,0,0,0,132,182,13,0,240,243,5,0,76,242,5,0,165,4,0,0,1,0,0,0,0,0,0,0,240,71,0,0,249,3,0,0,250,3,0,0,251,3,0,0,22,0,0,0,252,3,0,0,0,0,0,0,192,71,0,0,27,0,0,0,253,3,0,0,29,0,0,0,4,0,0,0,5,0,0,0,8,0,0,0,6,0,0,0,7,0,0,0,38,0,0,0,254,3,0,0,27,0,0,0,190,0,0,0,11,0,0,0,11,0,0,0,28,0,0,0,191,0,0,0,29,0,0,0,192,0,0,0,30,0,0,0,193,0,0,0,31,0,0,0,194,0,0,0,12,0,0,0,12,0,0,0,32,0,0,0,195,0,0,0,128,182,13,0,188,242,5,0,76,242,5,0,75,4,0,0,1,0,0,0,41,92,15,62,41,92,15,62,102,247,228,62,102,247,228,62,102,247,228,62,152,182,13,0,116,247,5,0,158,244,5,0,87,0,0,0,1,0,0,0,148,182,13,0,6,247,5,0,158,244,5,0,61,1,0,0,1,0,0,0,0,0,0,0,0,72,0,0,255,3,0,0,0,4,0,0,1,4,0,0,156,182,13,0,221,247,5,0,158,244,5,0,98,0,0,0,1,0,0,0,108,0,0,0,0,0,0,0,72,72,0,0,2,4,0,0,3,4,0,0,148,255,255,255,148,255,255,255,72,72,0,0,4,4,0,0,5,4,0,0,92,175,1,0,28,72,0,0,48,72,0,0,112,175,1,0,0,0,0,0,56,72,0,0,6,4,0,0,7,4,0,0,196,0,0,0,12,0,0,0,89,0,0,0,39,0,0,0,33,0,0,0,3,0,0,0,2,0,0,0,34,0,0,0,5,0,0,0,33,0,0,0,3,0,0,0,34,0,0,0,221,13,6,0,126,7,6,0,66,5,0,0,1,0,0,0,180,223,17,0,172,15,6,0,70,25,6,0,221,13,6,0,126,7,6,0,67,5,0,0,1,0,0,0,180,223,17,0,159,15,6,0,70,25,6,0,221,13,6,0,126,7,6,0,155,6,0,0,1,0,0,0,180,223,17,0,11,15,6,0,70,25,6,0,221,13,6,0,126,7,6,0,155,6,0,0,1,0,0,0,180,223,17,0,251,14,6,0,98,25,6,0,221,13,6,0,126,7,6,0,163,6,0,0,1,0,0,0,180,223,17,0,231,14,6,0,70,25,6,0,221,13,6,0,126,7,6,0,163,6,0,0,1,0,0,0,180,223,17,0,210,14,6,0,154,14,7,0,221,13,6,0,126,7,6,0,164,6,0,0,1,0,0,0,180,223,17,0,191,14,6,0,70,25,6,0,221,13,6,0,126,7,6,0,164,6,0,0,1,0,0,0,180,223,17,0,171,14,6,0,154,14,7,0,221,13,6,0,126,7,6,0,6,7,0,0,1,0,0,0,180,223,17,0,155,14,6,0,70,25,6,0,221,13,6,0,126,7,6,0,6,7,0,0,1,0,0,0,180,223,17,0,138,14,6,0,98,25,6,0,221,13,6,0,126,7,6,0,60,7,0,0,1,0,0,0,180,223,17,0,121,14,6,0,154,14,7,0,221,13,6,0,126,7,6,0,60,7,0,0,1,0,0,0,180,223,17,0,105,14,6,0,134,30,7,0,221,13,6,0,126,7,6,0,61,7,0,0,1,0,0,0,180,223,17,0,88,14,6,0,154,14,7,0,221,13,6,0,126,7,6,0,61,7,0,0,1,0,0,0,180,223,17,0,72,14,6,0,134,30,7,0,0,0,0,0,0,74,0,0,47,0,0,0,8,4,0,0,9,4,0,0,35,0,0,0,10,4,0,0,0,0,0,0,224,73,0,0,47,0,0,0,11,4,0,0,12,4,0,0,36,0,0,0,13,4,0,0,0,0,0,0,192,73,0,0,47,0,0,0,14,4,0,0,15,4,0,0,37,0,0,0,16,4,0,0,0,0,0,0,160,73,0,0,47,0,0,0,17,4,0,0,18,4,0,0,38,0,0,0,19,4,0,0,0,0,0,0,128,73,0,0,47,0,0,0,20,4,0,0,21,4,0,0,39,0,0,0,22,4,0,0,0,0,0,0,96,73,0,0,47,0,0,0,23,4,0,0,24,4,0,0,40,0,0,0,25,4,0,0,0,0,0,0,64,73,0,0,47,0,0,0,26,4,0,0,27,4,0,0,41,0,0,0,28,4,0,0,0,0,0,0,32,73,0,0,47,0,0,0,29,4,0,0,30,4,0,0,42,0,0,0,31,4,0,0,0,0,0,0,0,73,0,0,47,0,0,0,32,4,0,0,33,4,0,0,43,0,0,0,34,4,0,0,0,0,0,0,224,72,0,0,47,0,0,0,35,4,0,0,36,4,0,0,44,0,0,0,37,4,0,0,0,0,0,0,192,72,0,0,47,0,0,0,38,4,0,0,39,4,0,0,45,0,0,0,40,4,0,0,0,0,0,0,160,72,0,0,47,0,0,0,41,4,0,0,42,4,0,0,46,0,0,0,43,4,0,0,0,0,0,0,120,72,0,0,47,0,0,0,44,4,0,0,45,4,0,0,47,0,0,0,46,4,0,0,0,0,0,0,136,72,0,0,10,0,0,0,40,0,0,0,0,0,0,0,176,72,0,0,10,0,0,0,41,0,0,0,151,24,6,0,103,21,6,0,84,2,0,0,1,0,0,0,180,223,17,0,79,25,6,0,98,25,6,0,151,24,6,0,103,21,6,0,84,2,0,0,1,0,0,0,180,223,17,0,52,25,6,0,70,25,6,0,0,0,0,0,208,72,0,0,10,0,0,0,40,0,0,0,0,0,0,0,240,72,0,0,10,0,0,0,42,0,0,0,0,0,0,0,16,73,0,0,10,0,0,0,43,0,0,0,0,0,0,0,48,73,0,0,10,0,0,0,40,0,0,0,0,0,0,0,80,73,0,0,10,0,0,0,44,0,0,0,0,0,0,0,112,73,0,0,11,0,0,0,40,0,0,0,0,0,0,0,144,73,0,0,10,0,0,0,40,0,0,0,0,0,0,0,176,73,0,0,10,0,0,0,40,0,0,0,0,0,0,0,208,73,0,0,10,0,0,0,40,0,0,0,0,0,0,0,240,73,0,0,10,0,0,0,45,0,0,0,131,36,6,0,103,21,6,0,3,1,0,0,1,0,0,0,180,223,17,0,47,37,6,0,154,14,7,0,131,36,6,0,103,21,6,0,3,1,0,0,1,0,0,0,180,223,17,0,33,37,6,0,134,30,7,0,0,0,0,0,152,72,0,0,10,0,0,0,40,0,0,0,0,0,0,0,16,74,0,0,10,0,0,0,46,0,0,0,51,38,6,0,103,21,6,0,224,0,0,0,1,0,0,0,180,223,17,0,47,37,6,0,154,14,7,0,51,38,6,0,103,21,6,0,224,0,0,0,1,0,0,0,180,223,17,0,33,37,6,0,134,30,7,0,0,0,0,0,32,74,0,0,47,0,0,0,47,4,0,0,48,4,0,0,48,0,0,0,49,4,0,0,115,48,6,0,119,48,6,0,125,48,6,0,132,48,6,0,0,0,0,0,160,182,13,0,66,50,6,0,247,38,6,0,135,0,0,0,1,0,0,0,0,0,0,0,48,74,0,0,47,0,0,0,50,4,0,0,51,4,0,0,49,0,0,0,52,4,0,0,168,182,13,0,60,52,6,0,247,38,6,0,231,4,0,0,1,0,0,0,164,182,13,0,229,51,6,0,247,38,6,0,201,4,0,0,1,0,0,0,0,0,0,0,64,74,0,0,53,4,0,0,54,4,0,0,55,4,0,0,22,0,0,0,56,4,0,0,35,0,0,0,13,0,0,0,14,0,0,0,15,0,0,0,16,0,0,0,17,0,0,0,18,0,0,0,19,0,0,0,20,0,0,0,197,0,0,0,57,4,0,0,36,0,0,0,58,4,0,0,59,4,0,0,176,182,13,0,111,57,6,0,74,56,6,0,80,0,0,0,1,0,0,0,172,182,13,0,255,56,6,0,74,56,6,0,99,0,0,0,1,0,0,0,180,182,13,0,208,57,6,0,74,56,6,0,72,0,0,0,1,0,0,0,0,0,0,0,80,74,0,0,60,4,0,0,61,4,0,0,1,0,0,0,1,0,0,0,90,0,0,0,47,0,0,0,2,0,0,0,3,0,0,0,2,0,0,0,37,0,0,0,5,0,0,0,50,0,0,0,3,0,0,0,51,0,0,0,0,0,0,0,96,74,0,0,62,4,0,0,63,4,0,0,29,0,0,0,4,0,0,0,5,0,0,0,8,0,0,0,6,0,0,0,7,0,0,0,53,0,0,0,54,0,0,0,48,0,0,0,49,0,0,0,52,0,0,0,53,0,0,0,54,0,0,0,55,0,0,0,56,0,0,0,61,0,0,0,57,0,0,0,55,0,0,0,56,0,0,0,58,0,0,0,64,4,0,0,29,0,0,0,21,0,0,0,196,182,13,0,128,59,6,0,105,58,6,0,153,12,0,0,1,0,0,0,192,182,13,0,206,71,7,0,0,0,0,0,188,182,13,0,12,59,6,0,105,58,6,0,161,12,0,0,1,0,0,0,184,182,13,0,206,71,7,0,0,0,0,0,200,182,13,0,243,59,6,0,105,58,6,0,127,12,0,0,1,0,0,0,216,182,13,0,197,63,6,0,105,58,6,0,106,0,0,0,1,0,0,0,212,182,13,0,73,63,6,0,105,58,6,0,115,0,0,0,1,0,0,0,208,182,13,0,62,62,6,0,105,58,6,0,132,0,0,0,1,0,0,0,62,62,6,0,105,58,6,0,133,0,0,0,0,0,0,0,249,62,6,0,30,63,6,0,37,63,6,0,62,62,6,0,105,58,6,0,136,0,0,0,1,0,0,0,187,62,6,0,233,62,6,0,245,62,6,0,0,0,0,0,120,74,0,0,47,0,0,0,65,4,0,0,66,4,0,0,57,0,0,0,67,4,0,0,0,0,0,0,152,74,0,0,68,4,0,0,69,4,0,0,29,0,0,0,4,0,0,0,5,0,0,0,8,0,0,0,6,0,0,0,7,0,0,0,53,0,0,0,59,0,0,0,48,0,0,0,50,0,0,0,52,0,0,0,58,0,0,0,59,0,0,0,55,0,0,0,60,0,0,0,61,0,0,0,57,0,0,0,55,0,0,0,56,0,0,0,58,0,0,0,64,4,0,0,30,0,0,0,21,0,0,0,0,0,0,0,136,74,0,0,47,0,0,0,70,4,0,0,71,4,0,0,60,0,0,0,72,4,0,0,224,182,13,0,252,65,6,0,105,58,6,0,179,1,0,0,1,0,0,0,220,182,13,0,206,71,7,0,0,0,0,0,252,65,6,0,105,58,6,0,204,1,0,0,1,0,0,0,180,223,17,0,115,66,6,0,134,30,7,0,232,182,13,0,177,67,6,0,105,58,6,0,129,9,0,0,1,0,0,0,228,182,13,0,54,67,6,0,105,58,6,0,114,1,0,0,1,0,0,0,236,182,13,0,177,68,6,0,105,58,6,0,156,9,0,0,1,0,0,0,16,183,13,0,237,69,6,0,105,58,6,0,147,1,0,0,1,0,0,0,12,183,13,0,74,69,6],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+102404);allocate([8,183,13,0,79,69,6,0,105,58,6,0,58,13,0,0,1,0,0,0,4,183,13,0,74,69,6,0,0,0,0,0,76,183,13,0,191,85,6,0,105,58,6,0,175,9,0,0,1,0,0,0,20,183,13,0,239,70,6,0,105,58,6,0,38,9,0,0,1,0,0,0,28,183,13,0,252,72,6,0,105,58,6,0,200,8,0,0,1,0,0,0,24,183,13,0,160,72,6,0,105,58,6,0,14,8,0,0,1,0,0,0,72,183,13,0,110,85,6,0,105,58,6,0,30,4,0,0,1,0,0,0,40,183,13,0,149,77,6,0,105,58,6,0,211,4,0,0,1,0,0,0,32,183,13,0,162,76,6,0,105,58,6,0,61,5,0,0,1,0,0,0,36,183,13,0,88,77,6,0,105,58,6,0,224,4,0,0,1,0,0,0,64,183,13,0,230,84,6,0,105,58,6,0,220,7,0,0,1,0,0,0,44,183,13,0,78,81,6,0,105,58,6,0,135,6,0,0,1,0,0,0,0,0,0,0,8,75,0,0,47,0,0,0,73,4,0,0,74,4,0,0,61,0,0,0,75,4,0,0,0,0,0,0,168,74,0,0,76,4,0,0,77,4,0,0,78,4,0,0,79,4,0,0,56,183,13,0,94,84,6,0,105,58,6,0,18,6,0,0,1,0,0,0,52,183,13,0,147,83,6,0,105,58,6,0,248,2,0,0,1,0,0,0,48,183,13,0,171,82,6,0,105,58,6,0,116,12,0,0,1,0,0,0,60,183,13,0,179,84,6,0,105,58,6,0,70,3,0,0,1,0,0,0,68,183,13,0,61,85,6,0,105,58,6,0,255,3,0,0,1,0,0,0,80,183,13,0,32,86,6,0,105,58,6,0,191,9,0,0,1,0,0,0,84,183,13,0,112,86,6,0,105,58,6,0,7,10,0,0,1,0,0,0,88,183,13,0,205,86,6,0,105,58,6,0,104,10,0,0,1,0,0,0,96,183,13,0,54,87,6,0,105,58,6,0,111,10,0,0,1,0,0,0,92,183,13,0,206,71,7,0,0,0,0,0,104,183,13,0,189,87,6,0,105,58,6,0,22,13,0,0,1,0,0,0,100,183,13,0,74,69,6,0,0,0,0,0,116,183,13,0,21,89,6,0,76,89,6,0,77,0,0,0,1,0,0,0,255,255,255,255,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,8,0,0,0,24,0,0,0,40,0,0,0,56,0,0,0,72,0,0,0,88,0,0,0,104,0,0,0,255,255,255,255,4,0,0,0,255,255,255,255,20,0,0,0,255,255,255,255,24,0,0,0,32,0,0,0,40,0,0,0,44,0,0,0,48,0,0,0,52,0,0,0,56,0,0,0,60,0,0,0,64,0,0,0,68,0,0,0,8,0,0,0,16,0,0,0,20,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,4,0,0,0,8,0,0,0,0,0,0,0,1,0,0,0,255,255,255,255,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,44,0,0,0,8,0,0,0,0,0,0,0,40,75,0,0,80,4,0,0,81,4,0,0,198,0,0,0,38,0,0,0,62,0,0,0,39,0,0,0,40,0,0,0,82,4,0,0,41,0,0,0,199,0,0,0,200,0,0,0,63,0,0,0,42,0,0,0,201,0,0,0,64,0,0,0,43,0,0,0,22,0,0,0,44,0,0,0,202,0,0,0,203,0,0,0,83,4,0,0,45,0,0,0,204,0,0,0,46,0,0,0,205,0,0,0,0,0,0,0,255,255,255,255,124,0,0,0,12,0,0,0,255,255,255,255,24,0,0,0,28,0,0,0,35,0,0,0,24,0,0,0,37,0,0,0,255,255,255,255,52,0,0,0,0,45,8,0,128,45,8,0,200,45,8,0,224,45,8,0,0,0,0,0,112,75,0,0,84,4,0,0,85,4,0,0,198,0,0,0,47,0,0,0,65,0,0,0,48,0,0,0,49,0,0,0,86,4,0,0,50,0,0,0,199,0,0,0,200,0,0,0,66,0,0,0,51,0,0,0,206,0,0,0,64,0,0,0,52,0,0,0,23,0,0,0,44,0,0,0,207,0,0,0,208,0,0,0,83,4,0,0,45,0,0,0,209,0,0,0,46,0,0,0,210,0,0,0,0,0,0,0,128,75,0,0,87,4,0,0,88,4,0,0,211,0,0,0,53,0,0,0,67,0,0,0,54,0,0,0,55,0,0,0,89,4,0,0,56,0,0,0,199,0,0,0,212,0,0,0,68,0,0,0,57,0,0,0,213,0,0,0,64,0,0,0,58,0,0,0,24,0,0,0,44,0,0,0,214,0,0,0,215,0,0,0,83,4,0,0,59,0,0,0,216,0,0,0,46,0,0,0,217,0,0,0,60,0,0,0,61,0,0,0,0,0,0,0,72,75,0,0,90,4,0,0,91,4,0,0,198,0,0,0,62,0,0,0,69,0,0,0,63,0,0,0,64,0,0,0,92,4,0,0,65,0,0,0,199,0,0,0,200,0,0,0,70,0,0,0,66,0,0,0,218,0,0,0,64,0,0,0,67,0,0,0,25,0,0,0,44,0,0,0,219,0,0,0,220,0,0,0,83,4,0,0,45,0,0,0,221,0,0,0,46,0,0,0,222,0,0,0,0,0,0,0,56,75,0,0,93,4,0,0,94,4,0,0,71,0,0,0,26,0,0,0,72,0,0,0,27,0,0,0,223,0,0,0,224,0,0,0,68,0,0,0,69,0,0,0,95,4,0,0,96,4,0,0,225,0,0,0,226,0,0,0,61,0,0,0,227,0,0,0,70,0,0,0,71,0,0,0,228,0,0,0,0,0,0,0,200,75,0,0,87,4,0,0,97,4,0,0,211,0,0,0,53,0,0,0,67,0,0,0,54,0,0,0,55,0,0,0,89,4,0,0,56,0,0,0,199,0,0,0,212,0,0,0,68,0,0,0,57,0,0,0,213,0,0,0,64,0,0,0,58,0,0,0,24,0,0,0,44,0,0,0,214,0,0,0,215,0,0,0,83,4,0,0,59,0,0,0,216,0,0,0,46,0,0,0,217,0,0,0,72,0,0,0,73,0,0,0,0,0,0,0,144,75,0,0,87,4,0,0,98,4,0,0,211,0,0,0,53,0,0,0,67,0,0,0,54,0,0,0,55,0,0,0,89,4,0,0,56,0,0,0,199,0,0,0,212,0,0,0,68,0,0,0,57,0,0,0,213,0,0,0,64,0,0,0,58,0,0,0,24,0,0,0,44,0,0,0,214,0,0,0,229,0,0,0,83,4,0,0,59,0,0,0,216,0,0,0,46,0,0,0,1,0,0,0,60,0,0,0,61,0,0,0,0,0,0,0,160,75,0,0,99,4,0,0,100,4,0,0,211,0,0,0,53,0,0,0,67,0,0,0,54,0,0,0,55,0,0,0,89,4,0,0,56,0,0,0,199,0,0,0,212,0,0,0,68,0,0,0,57,0,0,0,213,0,0,0,64,0,0,0,58,0,0,0,24,0,0,0,44,0,0,0,214,0,0,0,229,0,0,0,83,4,0,0,59,0,0,0,216,0,0,0,46,0,0,0,1,0,0,0,60,0,0,0,61,0,0,0,255,255,255,255,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,160,0,0,0,156,0,0,0,164,0,0,0,152,0,0,0,136,0,0,0,8,0,0,0,24,0,0,0,40,0,0,0,56,0,0,0,72,0,0,0,88,0,0,0,104,0,0,0,120,0,0,0,0,0,0,0,216,75,0,0,101,4,0,0,102,4,0,0,198,0,0,0,74,0,0,0,73,0,0,0,75,0,0,0,76,0,0,0,103,4,0,0,77,0,0,0,199,0,0,0,200,0,0,0,74,0,0,0,78,0,0,0,230,0,0,0,64,0,0,0,79,0,0,0,28,0,0,0,44,0,0,0,231,0,0,0,232,0,0,0,83,4,0,0,45,0,0,0,233,0,0,0,46,0,0,0,234,0,0,0,0,0,0,0,255,255,255,255,172,0,0,0,56,46,8,0,255,255,255,255,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,8,0,0,0,28,0,0,0,32,0,0,0,24,0,0,0,16,0,0,0,20,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,4,0,0,0,8,0,0,0,0,0,0,0,1,0,0,0,255,255,255,255,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,60,0,0,0,64,0,0,0,8,0,0,0,68,0,0,0,24,0,0,0,0,0,0,0,232,75,0,0,104,4,0,0,105,4,0,0,198,0,0,0,80,0,0,0,75,0,0,0,81,0,0,0,82,0,0,0,106,4,0,0,83,0,0,0,199,0,0,0,200,0,0,0,76,0,0,0,84,0,0,0,235,0,0,0,64,0,0,0,85,0,0,0,29,0,0,0,44,0,0,0,236,0,0,0,237,0,0,0,83,4,0,0,45,0,0,0,238,0,0,0,46,0,0,0,239,0,0,0,0,0,0,0,255,255,255,255,40,0,0,0,9,0,0,0,16,0,0,0,24,0,0,0,18,0,0,0,255,255,255,255,76,0,0,0,240,46,8,0,24,47,8,0,48,47,8,0,0,0,0,0,56,76,0,0,107,4,0,0,108,4,0,0,198,0,0,0,86,0,0,0,77,0,0,0,87,0,0,0,88,0,0,0,109,4,0,0,89,0,0,0,199,0,0,0,200,0,0,0,78,0,0,0,90,0,0,0,240,0,0,0,64,0,0,0,91,0,0,0,30,0,0,0,44,0,0,0,241,0,0,0,242,0,0,0,83,4,0,0,45,0,0,0,243,0,0,0,46,0,0,0,244,0,0,0,0,0,0,0,248,75,0,0,110,4,0,0,111,4,0,0,79,0,0,0,31,0,0,0,80,0,0,0,27,0,0,0,223,0,0,0,224,0,0,0,92,0,0,0,93,0,0,0,112,4,0,0,113,4,0,0,225,0,0,0,226,0,0,0,61,0,0,0,227,0,0,0,94,0,0,0,95,0,0,0,245,0,0,0,0,0,0,0,8,76,0,0,114,4,0,0,115,4,0,0,246,0,0,0,96,0,0,0,81,0,0,0,97,0,0,0,55,0,0,0,116,4,0,0,98,0,0,0,199,0,0,0,247,0,0,0,82,0,0,0,99,0,0,0,248,0,0,0,64,0,0,0,100,0,0,0,32,0,0,0,44,0,0,0,214,0,0,0,249,0,0,0,83,4,0,0,101,0,0,0,216,0,0,0,46,0,0,0,250,0,0,0,102,0,0,0,103,0,0,0,0,0,0,0,40,76,0,0,114,4,0,0,117,4,0,0,246,0,0,0,96,0,0,0,81,0,0,0,97,0,0,0,55,0,0,0,116,4,0,0,98,0,0,0,199,0,0,0,247,0,0,0,82,0,0,0,99,0,0,0,248,0,0,0,64,0,0,0,100,0,0,0,32,0,0,0,44,0,0,0,214,0,0,0,229,0,0,0,83,4,0,0,101,0,0,0,216,0,0,0,46,0,0,0,1,0,0,0,102,0,0,0,103,0,0,0,0,0,0,0,24,76,0,0,118,4,0,0,119,4,0,0,246,0,0,0,96,0,0,0,81,0,0,0,97,0,0,0,55,0,0,0,116,4,0,0,98,0,0,0,199,0,0,0,247,0,0,0,82,0,0,0,99,0,0,0,248,0,0,0,64,0,0,0,100,0,0,0,32,0,0,0,44,0,0,0,214,0,0,0,229,0,0,0,83,4,0,0,101,0,0,0,216,0,0,0,46,0,0,0,1,0,0,0,102,0,0,0,103,0,0,0,0,0,0,0,72,76,0,0,114,4,0,0,120,4,0,0,246,0,0,0,96,0,0,0,81,0,0,0,97,0,0,0,55,0,0,0,116,4,0,0,98,0,0,0,199,0,0,0,247,0,0,0,82,0,0,0,99,0,0,0,248,0,0,0,64,0,0,0,100,0,0,0,32,0,0,0,44,0,0,0,214,0,0,0,249,0,0,0,83,4,0,0,101,0,0,0,216,0,0,0,46,0,0,0,250,0,0,0,104,0,0,0,105,0,0,0,255,255,255,255,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,8,0,0,0,255,255,255,255,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,8,0,0,0,24,0,0,0,0,0,0,0,88,76,0,0,121,4,0,0,122,4,0,0,198,0,0,0,106,0,0,0,83,0,0,0,107,0,0,0,108,0,0,0,123,4,0,0,109,0,0,0,199,0,0,0,200,0,0,0,84,0,0,0,110,0,0,0,251,0,0,0,64,0,0,0,111,0,0,0,33,0,0,0,44,0,0,0,252,0,0,0,253,0,0,0,83,4,0,0,45,0,0,0,254,0,0,0,46,0,0,0,255,0,0,0,0,0,0,0,255,255,255,255,32,0,0,0,7,0,0,0,255,255,255,255,32,0,0,0,152,47,8,0,184,47,8,0,0,0,0,0,104,76,0,0,124,4,0,0,125,4,0,0,198,0,0,0,112,0,0,0,85,0,0,0,113,0,0,0,114,0,0,0,126,4,0,0,115,0,0,0,199,0,0,0,200,0,0,0,86,0,0,0,116,0,0,0,0,1,0,0,64,0,0,0,117,0,0,0,34,0,0,0,44,0,0,0,1,1,0,0,2,1,0,0,83,4,0,0,45,0,0,0,3,1,0,0,46,0,0,0,4,1,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,255,255,255,255,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,84,0,0,0,16,0,0,0,32,0,0,0,48,0,0,0,64,0,0,0,104,0,0,0,80,0,0,0,88,0,0,0,92,0,0,0,96,0,0,0,100,0,0,0,1,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,6,0,0,0,0,0,0,0,2,0,0,0,3,0,0,0,4,0,0,0,5,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,255,255,255,255,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,255,255,255,255,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,20,0,0,0,16,0,0,0,21,0,0,0,24,0,0,0,1,0,0,0,0,0,0,0,2,0,0,0,3,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,88,0,0,0,92,0,0,0,16,0,0,0,120,0,0,0,121,0,0,0,28,0,0,0,96,0,0,0,100,0,0,0,104,0,0,0,108,0,0,0,112,0,0,0,116,0,0,0,124,0,0,0,40,0,0,0,52,0,0,0,64,0,0,0,76,0,0,0,0,0,0,0,1,0,0,0,255,255,255,255,8,0,0,0,9,0,0,0,255,255,255,255,2,0,0,0,3,0,0,0,4,0,0,0,5,0,0,0,6,0,0,0,7,0,0,0,10,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,24,0,0,0,48,0,0,0,28,0,0,0,16,0,0,0,20,0,0,0,44,0,0,0,32,0,0,0,40,0,0,0,36,0,0,0,49,0,0,0,2,0,0,0,8,0,0,0,3,0,0,0,0,0,0,0,1,0,0,0,7,0,0,0,4,0,0,0,6,0,0,0,5,0,0,0,9,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,32,0,0,0,36,0,0,0,40,0,0,0,28,0,0,0,44,0,0,0,16,0,0,0,48,0,0,0,1,0,0,0,2,0,0,0,3,0,0,0,0,0,0,0,4,0,0,0,255,255,255,255,5,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,20,0,0,0,24,0,0,0,40,0,0,0,28,0,0,0,44,0,0,0,36,0,0,0,32,0,0,0,0,0,0,0,1,0,0,0,2,0,0,0,6,0,0,0,3,0,0,0,7,0,0,0,5,0,0,0,4,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,92,0,0,0,32,0,0,0,60,0,0,0,48,0,0,0,100,0,0,0,96,0,0,0,101,0,0,0,76,0,0,0,16,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,2,0,0,0,1,0,0,0,3,0,0,0,255,255,255,255,255,255,255,255,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,100,0,0,0,116,0,0,0,88,0,0,0,16,0,0,0,112,0,0,0,44,0,0,0,120,0,0,0,60,0,0,0,32,0,0,0,124,0,0,0,168,0,0,0,196,0,0,0,128,0,0,0,132,0,0,0,204,0,0,0,136,0,0,0,212,0,0,0,92,0,0,0,140,0,0,0,144,0,0,0,148,0,0,0,152,0,0,0,104,0,0,0,156,0,0,0,76,0,0,0,208,0,0,0,160,0,0,0,96,0,0,0,169,0,0,0,216,0,0,0,192,0,0,0,164,0,0,0,184,0,0,0,108,0,0,0,200,0,0,0,176,0,0,0,220,0,0,0,170,0,0,0,197,0,0,0,172,0,0,0,3,0,0,0,7,0,0,0,0,0,0,0,255,255,255,255,6,0,0,0,255,255,255,255,8,0,0,0,255,255,255,255,255,255,255,255,9,0,0,0,20,0,0,0,27,0,0,0,10,0,0,0,11,0,0,0,30,0,0,0,12,0,0,0,32,0,0,0,1,0,0,0,13,0,0,0,14,0,0,0,15,0,0,0,16,0,0,0,4,0,0,0,17,0,0,0,255,255,255,255,31,0,0,0,18,0,0,0,2,0,0,0,21,0,0,0,33,0,0,0,26,0,0,0,19,0,0,0,25,0,0,0,5,0,0,0,29,0,0,0,24,0,0,0,34,0,0,0,22,0,0,0,28,0,0,0,23,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,36,0,0,0,32,0,0,0,16,0,0,0,40,0,0,0,1,0,0,0,0,0,0,0,255,255,255,255,2,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,36,0,0,0,32,0,0,0,16,0,0,0,1,0,0,0,0,0,0,0,255,255,255,255,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,48,0,0,0,52,0,0,0,56,0,0,0,16,0,0,0,32,0,0,0,0,0,0,0,1,0,0,0,2,0,0,0,255,255,255,255,255,255,255,255,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,20,0,0,0,24,0,0,0,28,0,0,0,0,0,0,0,1,0,0,0,2,0,0,0,3,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,136,0,0,0,140,0,0,0,16,0,0,0,32,0,0,0,104,1,0,0,48,0,0,0,60,0,0,0,76,0,0,0,124,0,0,0,92,0,0,0,108,0,0,0,144,0,0,0,148,0,0,0,152,0,0,0,156,0,0,0,44,1,0,0,52,1,0,0,160,0,0,0,164,0,0,0,168,0,0,0,64,1,0,0,172,0,0,0,76,1,0,0,176,0,0,0,180,0,0,0,184,0,0,0,48,1,0,0,36,1,0,0,188,0,0,0,28,1,0,0,192,0,0,0,196,0,0,0,200,0,0,0,204,0,0,0,208,0,0,0,212,0,0,0,60,1,0,0,24,1,0,0,216,0,0,0,220,0,0,0,224,0,0,0,84,1,0,0,80,1,0,0,68,1,0,0,228,0,0,0,232,0,0,0,12,1,0,0,88,1,0,0,92,1,0,0,96,1,0,0,8,1,0,0,72,1,0,0,32,1,0,0,236,0,0,0,20,1,0,0,100,1,0,0,56,1,0,0,240,0,0,0,244,0,0,0,16,1,0,0,248,0,0,0,252,0,0,0,0,1,0,0,40,1,0,0,4,1,0,0,0,0,0,0,1,0,0,0,255,255,255,255,255,255,255,255,56,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,2,0,0,0,3,0,0,0,4,0,0,0,5,0,0,0,41,0,0,0,43,0,0,0,6,0,0,0,7,0,0,0,8,0,0,0,46,0,0,0,9,0,0,0,49,0,0,0,10,0,0,0,11,0,0,0,12,0,0,0,42,0,0,0,39,0,0,0,13,0,0,0,37,0,0,0,14,0,0,0,15,0,0,0,16,0,0,0,17,0,0,0,18,0,0,0,19,0,0,0,45,0,0,0,36,0,0,0,20,0,0,0,21,0,0,0,22,0,0,0,51,0,0,0,50,0,0,0,47,0,0,0,23,0,0,0,24,0,0,0,33,0,0,0,52,0,0,0,53,0,0,0,54,0,0,0,32,0,0,0,48,0,0,0,38,0,0,0,25,0,0,0,35,0,0,0,55,0,0,0,44,0,0,0,26,0,0,0,27,0,0,0,34,0,0,0,28,0,0,0,29,0,0,0,30,0,0,0,40,0,0,0,31,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,40,0,0,0,36,0,0,0,32,0,0,0,28,0,0,0,16,0,0,0,37,0,0,0,38,0,0,0,5,0,0,0,2,0,0,0,1,0,0,0,0,0,0,0,255,255,255,255,3,0,0,0,4,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,24,0,0,0,20,0,0,0,0,0,0,0,2,0,0,0,1,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,20,0,0,0,24,0,0,0,16,0,0,0,1,0,0,0,2,0,0,0,0,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,24,0,0,0,20,0,0,0,0,0,0,0,2,0,0,0,1,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,20,0,0,0,16,0,0,0,1,0,0,0,0,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,20,0,0,0,24,0,0,0,17,0,0,0,0,0,0,0,2,0,0,0,3,0,0,0,1,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,20,0,0,0,24,0,0,0,16,0,0,0,1,0,0,0,2,0,0,0,0,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,20,0,0,0,16,0,0,0,1,0,0,0,0,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,72,0,0,0,112,0,0,0,16,0,0,0,28,0,0,0,40,0,0,0,52,0,0,0,76,0,0,0,80,0,0,0,84,0,0,0,88,0,0,0,92,0,0,0,96,0,0,0,116,0,0,0,64,0,0,0,68,0,0,0,100,0,0,0,108,0,0,0,104,0,0,0,2,0,0,0,12,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,3,0,0,0,4,0,0,0,5,0,0,0,6,0,0,0,7,0,0,0,8,0,0,0,13,0,0,0,0,0,0,0,1,0,0,0,9,0,0,0,11,0,0,0,10,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,28,0,0,0,16,0,0,0,0,0,0,0,255,255,255,255,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,24,0,0,0,32,0,0,0,40,0,0,0,44,0,0,0,20,0,0,0,28,0,0,0,36,0,0,0,37,0,0,0,48,0,0,0,0,0,0,0,2,0,0,0,4,0,0,0,7,0,0,0,8,0,0,0,1,0,0,0,3,0,0,0,5,0,0,0,6,0,0,0,9,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,20,0,0,0,16,0,0,0,24,0,0,0,1,0,0,0,0,0,0,0,2,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,20,0,0,0,24,0,0,0,28,0,0,0,32,0,0,0,36,0,0,0,0,0,0,0,1,0,0,0,2,0,0,0,3,0,0,0,4,0,0,0,5,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,20,0,0,0,0,0,0,0,1,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,80,0,0,0,32,0,0,0,44,0,0,0,56,0,0,0,68,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,28,0,0,0,16,0,0,0,32,0,0,0,0,0,0,0,255,255,255,255,1,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,0,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,24,0,0,0,28,0,0,0,32,0,0,0,16,0,0,0,20,0,0,0,2,0,0,0,3,0,0,0,4,0,0,0,0,0,0,0,1,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,20,0,0,0,24,0,0,0,16,0,0,0,1,0,0,0,2,0,0,0,0,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,20,0,0,0,0,0,0,0,1,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,20,0,0,0,24,0,0,0,0,0,0,0,1,0,0,0,2,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,0,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,0,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,56,0,0,0,32,0,0,0,36,0,0,0,40,0,0,0,44,0,0,0,48,0,0,0,52,0,0,0,20,0,0,0,28,0,0,0,37,0,0,0,24,0,0,0,0,0,0,0,11,0,0,0,4,0,0,0,5,0,0,0,7,0,0,0,8,0,0,0,9,0,0,0,10,0,0,0,1,0,0,0,3,0,0,0,6,0,0,0,2,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,0,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,24,0,0,0,29,0,0,0,16,0,0,0,20,0,0,0,32,0,0,0,28,0,0,0,2,0,0,0,4,0,0,0,0,0,0,0,1,0,0,0,5,0,0,0,3,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,255,255,255,255,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,20,0,0,0,24,0,0,0,16,0,0,0,1,0,0,0,2,0,0,0,0,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,24,0,0,0,28,0,0,0,32,0,0,0,16,0,0,0,36,0,0,0,20,0,0,0,2,0,0,0,3,0,0,0,4,0,0,0,0,0,0,0,5,0,0,0,1,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,20,0,0,0,24,0,0,0,28,0,0,0,0,0,0,0,1,0,0,0,2,0,0,0,3,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,17,0,0,0,16,0,0,0,20,0,0,0,1,0,0,0,0,0,0,0,2,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,0,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,24,0,0,0,44,0,0,0,48,0,0,0,20,0,0,0,28,0,0,0,32,0,0,0,60,0,0,0,36,0,0,0,40,0,0,0,52,0,0,0,56,0,0,0,64,0,0,0,0,0,0,0,2,0,0,0,7,0,0,0,8,0,0,0,1,0,0,0,3,0,0,0,4,0,0,0,11,0,0,0,5,0,0,0,6,0,0,0,9,0,0,0,10,0,0,0,12,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,20,0,0,0,24,0,0,0,16,0,0,0,1,0,0,0,2,0,0,0,0,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,20,0,0,0,24,0,0,0,28,0,0,0,0,0,0,0,1,0,0,0,2,0,0,0,3,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,24,0,0,0,16,0,0,0,20,0,0,0,28,0,0,0,29,0,0,0,2,0,0,0,0,0,0,0,1,0,0,0,3,0,0,0,4,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,20,0,0,0,16,0,0,0,24,0,0,0,1,0,0,0,0,0,0,0,2,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,20,0,0,0,0,0,0,0,1,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,20,0,0,0,24,0,0,0,0,0,0,0,1,0,0,0,2,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,28,0,0,0,32,0,0,0,16,0,0,0,24,0,0,0,20,0,0,0,3,0,0,0,4,0,0,0,0,0,0,0,2,0,0,0,1,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,0,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,32,0,0,0,16,0,0,0,28,0,0,0,1,0,0,0,255,255,255,255,0,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,20,0,0,0,0,0,0,0,1,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,0,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,20,0,0,0,16,0,0,0,1,0,0,0,0,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,0,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,48,0,0,0,20,0,0,0,32,0,0,0,36,0,0,0,40,0,0,0,52,0,0,0,56,0,0,0,60,0,0,0,44,0,0,0,24,0,0,0,41,0,0,0,28,0,0,0,0,0,0,0,9,0,0,0,1,0,0,0,4,0,0,0,5,0,0,0,6,0,0,0,10,0,0,0,11,0,0,0,12,0,0,0,8,0,0,0,2,0,0,0,7,0,0,0,3,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,20,0,0,0,24,0,0,0,0,0,0,0,1,0,0,0,2,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,32,0,0,0,160,0,0,0,88,0,0,0,104,0,0,0,32,1,0,0,48,0,0,0,132,0,0,0,148,0,0,0,64,0,0,0,76,0,0,0,120,0,0,0,240,0,0,0,224,0,0,0,168,0,0,0,20,1,0,0,172,0,0,0,176,0,0,0,180,0,0,0,236,0,0,0,228,0,0,0,24,1,0,0,184,0,0,0,188,0,0,0,244,0,0,0,192,0,0,0,196,0,0,0,200,0,0,0,204,0,0,0,220,0,0,0,0,1,0,0,208,0,0,0,216,0,0,0,248,0,0,0,12,1,0,0,16,1,0,0,252,0,0,0,8,1,0,0,232,0,0,0,212,0,0,0,4,1,0,0,28,1,0,0,164,0,0,0,255,255,255,255,255,255,255,255,0,0,0,0,255,255,255,255,255,255,255,255,32,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,20,0,0,0,16,0,0,0,2,0,0,0,29,0,0,0,3,0,0,0,4,0,0,0,5,0,0,0,19,0,0,0,17,0,0,0,30,0,0,0,6,0,0,0,7,0,0,0,21,0,0,0,8,0,0,0,9,0,0,0,10,0,0,0,11,0,0,0,15,0,0,0,24,0,0,0,12,0,0,0,14,0,0,0,22,0,0,0,27,0,0,0,28,0,0,0,23,0,0,0,26,0,0,0,18,0,0,0,13,0,0,0,25,0,0,0,31,0,0,0,1,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,56,0,0,0,60,0,0,0,88,0,0,0,144,0,0,0,76,0,0,0,80,0,0,0,92,0,0,0,96,0,0,0,148,0,0,0,152,0,0,0,100,0,0,0,156,0,0,0,160,0,0,0,164,0,0,0,168,0,0,0,176,0,0,0,64,0,0,0,172,0,0,0,68,0,0,0,104,0,0,0,108,0,0,0,116,0,0,0,16,0,0,0,32,0,0,0,44,0,0,0,120,0,0,0,180,0,0,0,184,0,0,0,188,0,0,0,124,0,0,0,72,0,0,0,128,0,0,0,132,0,0,0,136,0,0,0,112,0,0,0,117,0,0,0,140,0,0,0,84,0,0,0,0,0,0,0,1,0,0,0,8,0,0,0,23,0,0,0,5,0,0,0,6,0,0,0,9,0,0,0,10,0,0,0,24,0,0,0,25,0,0,0,11,0,0,0,26,0,0,0,27,0,0,0,28,0,0,0,29,0,0,0,31,0,0,0,2,0,0,0,30,0,0,0,3,0,0,0,12,0,0,0,13,0,0,0,15,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,17,0,0,0,32,0,0,0,33,0,0,0,34,0,0,0,18,0,0,0,4,0,0,0,19,0,0,0,20,0,0,0,21,0,0,0,14,0,0,0,16,0,0,0,22,0,0,0,7,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,20,0,0,0,0,0,0,0,1,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,20,0,0,0,24,0,0,0,28,0,0,0,32,0,0,0,36,0,0,0,40,0,0,0,44,0,0,0,0,0,0,0,1,0,0,0,2,0,0,0,3,0,0,0,4,0,0,0,5,0,0,0,6,0,0,0,7,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,20,0,0,0,24,0,0,0,0,0,0,0,1,0,0,0,2,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,40,0,0,0,44,0,0,0,48,0,0,0,16,0,0,0,28,0,0,0,52,0,0,0,56,0,0,0,60,0,0,0,0,0,0,0,1,0,0,0,2,0,0,0,255,255,255,255,255,255,255,255,3,0,0,0,4,0,0,0,5,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,20,0,0,0,24,0,0,0,0,0,0,0,1,0,0,0,2,0,0,0,0,0,0,0,120,76,0,0,127,4,0,0,128,4,0,0,198,0,0,0,118,0,0,0,87,0,0,0,119,0,0,0,55,0,0,0,129,4,0,0,120,0,0,0,199,0,0,0,200,0,0,0,88,0,0,0,121,0,0,0,5,1,0,0,64,0,0,0,122,0,0,0,35,0,0,0,44,0,0,0,6,1,0,0,7,1,0,0,83,4,0,0,45,0,0,0,8,1,0,0,46,0,0,0,9,1,0,0,0,0,0,0,6,0,0,0,32,0,0,0,7,0,0,0,23,0,0,0,108,0,0,0,34,0,0,0,40,0,0,0,32,0,0,0,41,0,0,0,47,0,0,0,28,0,0,0,48,0,0,0,57,0,0,0,28,0,0,0,61,0,0,0,83,0,0,0,128,0,0,0,100,0,0,0,115,0,0,0,52,0,0,0,125,0,0,0,137,0,0,0,52,0,0,0,144,0,0,0,157,0,0,0,48,0,0,0,165,0,0,0,179,0,0,0,104,0,0,0,188,0,0,0,233,0,0,0,232,0,0,0,17,1,0,0,26,1,0,0,44,0,0,0,30,1,0,0,38,1,0,0,40,0,0,0,41,1,0,0,51,1,0,0,60,0,0,0,56,1,0,0,65,1,0,0,32,0,0,0,69,1,0,0,139,1,0,0,112,1,0,0,204,1,0,0,216,1,0,0,44,0,0,0,223,1,0,0,231,1,0,0,28,0,0,0,234,1,0,0,242,1,0,0,28,0,0,0,245,1,0,0,253,1,0,0,28,0,0,0,0,2,0,0,7,2,0,0,24,0,0,0,9,2,0,0,18,2,0,0,28,0,0,0,22,2,0,0,30,2,0,0,28,0,0,0,33,2,0,0,40,2,0,0,24,0,0,0,42,2,0,0,65,2,0,0,120,0,0,0,83,2,0,0,90,2,0,0,32,0,0,0,92,2,0,0,107,2,0,0,52,0,0,0,117,2,0,0,125,2,0,0,28,0,0,0,128,2,0,0,139,2,0,0,40,0,0,0,145,2,0,0,152,2,0,0,24,0,0,0,154,2,0,0,165,2,0,0,96,0,0,0,171,2,0,0,179,2,0,0,36,0,0,0,182,2,0,0,188,2,0,0,20,0,0,0,189,2,0,0,199,2,0,0,36,0,0,0,204,2,0,0,212,2,0,0,28,0,0,0,215,2,0,0,222,2,0,0,24,0,0,0,224,2,0,0,232,2,0,0,28,0,0,0,235,2,0,0,241,2,0,0,20,0,0,0,242,2,0,0,248,2,0,0,20,0,0,0,249,2,0,0,10,3,0,0,60,0,0,0,22,3,0,0,28,3,0,0,20,0,0,0,29,3,0,0,40,3,0,0,36,0,0,0,46,3,0,0,52,3,0,0,32,0,0,0,53,3,0,0,61,3,0,0,28,0,0,0,64,3,0,0,75,3,0,0,40,0,0,0,81,3,0,0,90,3,0,0,32,0,0,0,94,3,0,0,102,3,0,0,24,0,0,0,105,3,0,0,111,3,0,0,20,0,0,0,112,3,0,0,130,3,0,0,68,0,0,0,143,3,0,0,151,3,0,0,28,0,0,0,154,3,0,0,163,3,0,0,32,0,0,0,167,3,0,0,177,3,0,0,32,0,0,0,182,3,0,0,190,3,0,0,28,0,0,0,193,3,0,0,200,3,0,0,24,0,0,0,202,3,0,0,210,3,0,0,28,0,0,0,213,3,0,0,223,3,0,0,36,0,0,0,228,3,0,0,234,3,0,0,20,0,0,0,235,3,0,0,243,3,0,0,36,0,0,0,246,3,0,0,253,3,0,0,24,0,0,0,255,3,0,0,5,4,0,0,20,0,0,0,6,4,0,0,13,4,0,0,24,0,0,0,15,4,0,0,21,4,0,0,20,0,0,0,22,4,0,0,40,4,0,0,64,0,0,0,53,4,0,0,61,4,0,0,28,0,0,0,64,4,0,0,112,4,0,0,40,1,0,0,155,4,0,0,198,4,0,0,196,0,0,0,236,4,0,0,243,4,0,0,24,0,0,0,245,4,0,0,2,5,0,0,48,0,0,0,10,5,0,0,18,5,0,0,28,0,0,0,21,5,0,0,34,5,0,0,64,0,0,0,42,5,0,0,50,5,0,0,28,0,0,0,232,47,8,0,8,48,8,0,120,48,8,0,152,48,8,0,184,48,8,0,216,48,8,0,88,49,8,0,144,49,8,0,200,49,8,0,248,49,8,0,96,50,8,0,72,51,8,0,120,51,8,0,160,51,8,0,224,51,8,0,0,52,8,0,112,53,8,0,160,53,8,0,192,53,8,0,224,53,8,0,0,54,8,0,24,54,8,0,56,54,8,0,88,54,8,0,112,54,8,0,232,54,8,0,8,55,8,0,64,55,8,0,96,55,8,0,136,55,8,0,160,55,8,0,0,56,8,0,40,56,8,0,64,56,8,0,104,56,8,0,136,56,8,0,160,56,8,0,192,56,8,0,216,56,8,0,240,56,8,0,48,57,8,0,72,57,8,0,112,57,8,0,144,57,8,0,176,57,8,0,216,57,8,0,248,57,8,0,16,58,8,0,40,58,8,0,112,58,8,0,144,58,8,0,176,58,8,0,208,58,8,0,240,58,8,0,8,59,8,0,40,59,8,0,80,59,8,0,104,59,8,0,144,59,8,0,168,59,8,0,192,59,8,0,216,59,8,0,240,59,8,0,48,60,8,0,80,60,8,0,120,61,8,0,64,62,8,0,88,62,8,0,136,62,8,0,168,62,8,0,232,62,8,0,0,0,0,0,136,76,0,0,130,4,0,0,131,4,0,0,198,0,0,0,123,0,0,0,89,0,0,0,119,0,0,0,55,0,0,0,132,4,0,0,124,0,0,0,199,0,0,0,200,0,0,0,90,0,0,0,125,0,0,0,10,1,0,0,64,0,0,0,126,0,0,0,36,0,0,0,44,0,0,0,11,1,0,0,12,1,0,0,83,4,0,0,45,0,0,0,13,1,0,0,46,0,0,0,14,1,0,0,0,0,0,0,152,76,0,0,133,4,0,0,134,4,0,0,198,0,0,0,127,0,0,0,91,0,0,0,119,0,0,0,55,0,0,0,135,4,0,0,128,0,0,0,199,0,0,0,200,0,0,0,92,0,0,0,129,0,0,0,15,1,0,0,64,0,0,0,130,0,0,0,37,0,0,0,44,0,0,0,16,1,0,0,17,1,0,0,83,4,0,0,45,0,0,0,18,1,0,0,46,0,0,0,19,1,0,0,0,0,0,0,168,76,0,0,136,4,0,0,137,4,0,0,198,0,0,0,131,0,0,0,93,0,0,0,119,0,0,0,55,0,0,0,138,4,0,0,132,0,0,0,199,0,0,0,200,0,0,0,94,0,0,0,133,0,0,0,20,1,0,0,64,0,0,0,134,0,0,0,38,0,0,0,44,0,0,0,21,1,0,0,22,1,0,0,83,4,0,0,45,0,0,0,23,1,0,0,46,0,0,0,24,1,0,0,0,0,0,0,184,76,0,0,139,4,0,0,140,4,0,0,198,0,0,0,135,0,0,0,95,0,0,0,119,0,0,0,55,0,0,0,141,4,0,0,136,0,0,0,199,0,0,0,200,0,0,0,96,0,0,0,137,0,0,0,25,1,0,0,64,0,0,0,138,0,0,0,39,0,0,0,44,0,0,0,26,1,0,0,27,1,0,0,83,4,0,0,45,0,0,0,28,1,0,0,46,0,0,0,29,1,0,0,0,0,0,0,200,76,0,0,142,4,0,0,143,4,0,0,198,0,0,0,139,0,0,0,97,0,0,0,119,0,0,0,55,0,0,0,144,4,0,0,140,0,0,0,199,0,0,0,200,0,0,0,98,0,0,0,141,0,0,0,30,1,0,0,64,0,0,0,142,0,0,0,40,0,0,0,44,0,0,0,31,1,0,0,32,1,0,0,83,4,0,0,45,0,0,0,33,1,0,0,46,0,0,0,34,1,0,0,0,0,0,0,216,76,0,0,145,4,0,0,146,4,0,0,198,0,0,0,143,0,0,0,99,0,0,0,119,0,0,0,55,0,0,0,147,4,0,0,144,0,0,0,199,0,0,0,200,0,0,0,100,0,0,0,145],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+112644);allocate([35,1,0,0,64,0,0,0,146,0,0,0,41,0,0,0,44,0,0,0,36,1,0,0,37,1,0,0,83,4,0,0,45,0,0,0,38,1,0,0,46,0,0,0,39,1,0,0,0,0,0,0,232,76,0,0,148,4,0,0,149,4,0,0,198,0,0,0,147,0,0,0,101,0,0,0,119,0,0,0,55,0,0,0,150,4,0,0,148,0,0,0,199,0,0,0,200,0,0,0,102,0,0,0,149,0,0,0,40,1,0,0,64,0,0,0,150,0,0,0,42,0,0,0,44,0,0,0,41,1,0,0,42,1,0,0,83,4,0,0,45,0,0,0,43,1,0,0,46,0,0,0,44,1,0,0,0,0,0,0,248,76,0,0,151,4,0,0,152,4,0,0,198,0,0,0,151,0,0,0,103,0,0,0,119,0,0,0,55,0,0,0,153,4,0,0,152,0,0,0,199,0,0,0,200,0,0,0,104,0,0,0,153,0,0,0,45,1,0,0,64,0,0,0,154,0,0,0,43,0,0,0,44,0,0,0,46,1,0,0,47,1,0,0,83,4,0,0,45,0,0,0,48,1,0,0,46,0,0,0,49,1,0,0,0,0,0,0,8,77,0,0,154,4,0,0,155,4,0,0,198,0,0,0,155,0,0,0,105,0,0,0,119,0,0,0,55,0,0,0,156,4,0,0,156,0,0,0,199,0,0,0,200,0,0,0,106,0,0,0,157,0,0,0,50,1,0,0,64,0,0,0,158,0,0,0,44,0,0,0,44,0,0,0,51,1,0,0,52,1,0,0,83,4,0,0,45,0,0,0,53,1,0,0,46,0,0,0,54,1,0,0,0,0,0,0,24,77,0,0,157,4,0,0,158,4,0,0,198,0,0,0,159,0,0,0,107,0,0,0,119,0,0,0,55,0,0,0,159,4,0,0,160,0,0,0,199,0,0,0,200,0,0,0,108,0,0,0,161,0,0,0,55,1,0,0,64,0,0,0,162,0,0,0,45,0,0,0,44,0,0,0,56,1,0,0,57,1,0,0,83,4,0,0,45,0,0,0,58,1,0,0,46,0,0,0,59,1,0,0,0,0,0,0,40,77,0,0,160,4,0,0,161,4,0,0,198,0,0,0,163,0,0,0,109,0,0,0,119,0,0,0,55,0,0,0,162,4,0,0,164,0,0,0,199,0,0,0,200,0,0,0,110,0,0,0,165,0,0,0,60,1,0,0,64,0,0,0,166,0,0,0,46,0,0,0,44,0,0,0,61,1,0,0,62,1,0,0,83,4,0,0,45,0,0,0,63,1,0,0,46,0,0,0,64,1,0,0,0,0,0,0,56,77,0,0,163,4,0,0,164,4,0,0,198,0,0,0,167,0,0,0,111,0,0,0,119,0,0,0,55,0,0,0,165,4,0,0,168,0,0,0,199,0,0,0,200,0,0,0,112,0,0,0,169,0,0,0,65,1,0,0,64,0,0,0,170,0,0,0,47,0,0,0,44,0,0,0,66,1,0,0,67,1,0,0,83,4,0,0,45,0,0,0,68,1,0,0,46,0,0,0,69,1,0,0,0,0,0,0,72,77,0,0,166,4,0,0,167,4,0,0,198,0,0,0,171,0,0,0,113,0,0,0,119,0,0,0,55,0,0,0,168,4,0,0,172,0,0,0,199,0,0,0,200,0,0,0,114,0,0,0,173,0,0,0,70,1,0,0,64,0,0,0,174,0,0,0,48,0,0,0,44,0,0,0,71,1,0,0,72,1,0,0,83,4,0,0,45,0,0,0,73,1,0,0,46,0,0,0,74,1,0,0,0,0,0,0,88,77,0,0,169,4,0,0,170,4,0,0,198,0,0,0,175,0,0,0,115,0,0,0,119,0,0,0,55,0,0,0,171,4,0,0,176,0,0,0,199,0,0,0,200,0,0,0,116,0,0,0,177,0,0,0,75,1,0,0,64,0,0,0,178,0,0,0,49,0,0,0,44,0,0,0,76,1,0,0,77,1,0,0,83,4,0,0,45,0,0,0,78,1,0,0,46,0,0,0,79,1,0,0,0,0,0,0,104,77,0,0,172,4,0,0,173,4,0,0,198,0,0,0,179,0,0,0,117,0,0,0,119,0,0,0,55,0,0,0,174,4,0,0,180,0,0,0,199,0,0,0,200,0,0,0,118,0,0,0,181,0,0,0,80,1,0,0,64,0,0,0,182,0,0,0,50,0,0,0,44,0,0,0,81,1,0,0,82,1,0,0,83,4,0,0,45,0,0,0,83,1,0,0,46,0,0,0,84,1,0,0,0,0,0,0,120,77,0,0,175,4,0,0,176,4,0,0,198,0,0,0,183,0,0,0,119,0,0,0,119,0,0,0,55,0,0,0,177,4,0,0,184,0,0,0,199,0,0,0,200,0,0,0,120,0,0,0,185,0,0,0,85,1,0,0,64,0,0,0,186,0,0,0,51,0,0,0,44,0,0,0,86,1,0,0,87,1,0,0,83,4,0,0,45,0,0,0,88,1,0,0,46,0,0,0,89,1,0,0,0,0,0,0,136,77,0,0,178,4,0,0,179,4,0,0,198,0,0,0,187,0,0,0,121,0,0,0,119,0,0,0,55,0,0,0,180,4,0,0,188,0,0,0,199,0,0,0,200,0,0,0,122,0,0,0,189,0,0,0,90,1,0,0,64,0,0,0,190,0,0,0,52,0,0,0,44,0,0,0,91,1,0,0,92,1,0,0,83,4,0,0,45,0,0,0,93,1,0,0,46,0,0,0,94,1,0,0,0,0,0,0,152,77,0,0,181,4,0,0,182,4,0,0,198,0,0,0,191,0,0,0,123,0,0,0,119,0,0,0,55,0,0,0,183,4,0,0,192,0,0,0,199,0,0,0,200,0,0,0,124,0,0,0,193,0,0,0,95,1,0,0,64,0,0,0,194,0,0,0,53,0,0,0,44,0,0,0,96,1,0,0,97,1,0,0,83,4,0,0,45,0,0,0,98,1,0,0,46,0,0,0,99,1,0,0,0,0,0,0,168,77,0,0,184,4,0,0,185,4,0,0,198,0,0,0,195,0,0,0,125,0,0,0,119,0,0,0,55,0,0,0,186,4,0,0,196,0,0,0,199,0,0,0,200,0,0,0,126,0,0,0,197,0,0,0,100,1,0,0,64,0,0,0,198,0,0,0,54,0,0,0,44,0,0,0,101,1,0,0,102,1,0,0,83,4,0,0,45,0,0,0,103,1,0,0,46,0,0,0,104,1,0,0,0,0,0,0,184,77,0,0,187,4,0,0,188,4,0,0,198,0,0,0,199,0,0,0,127,0,0,0,119,0,0,0,55,0,0,0,189,4,0,0,200,0,0,0,199,0,0,0,200,0,0,0,128,0,0,0,201,0,0,0,105,1,0,0,64,0,0,0,202,0,0,0,55,0,0,0,44,0,0,0,106,1,0,0,107,1,0,0,83,4,0,0,45,0,0,0,108,1,0,0,46,0,0,0,109,1,0,0,0,0,0,0,200,77,0,0,190,4,0,0,191,4,0,0,198,0,0,0,203,0,0,0,129,0,0,0,119,0,0,0,55,0,0,0,192,4,0,0,204,0,0,0,199,0,0,0,200,0,0,0,130,0,0,0,205,0,0,0,110,1,0,0,64,0,0,0,206,0,0,0,56,0,0,0,44,0,0,0,111,1,0,0,112,1,0,0,83,4,0,0,45,0,0,0,113,1,0,0,46,0,0,0,114,1,0,0,0,0,0,0,216,77,0,0,193,4,0,0,194,4,0,0,198,0,0,0,207,0,0,0,131,0,0,0,119,0,0,0,55,0,0,0,195,4,0,0,208,0,0,0,199,0,0,0,200,0,0,0,132,0,0,0,209,0,0,0,115,1,0,0,64,0,0,0,210,0,0,0,57,0,0,0,44,0,0,0,116,1,0,0,117,1,0,0,83,4,0,0,45,0,0,0,118,1,0,0,46,0,0,0,119,1,0,0,0,0,0,0,232,77,0,0,196,4,0,0,197,4,0,0,198,0,0,0,211,0,0,0,133,0,0,0,119,0,0,0,55,0,0,0,198,4,0,0,212,0,0,0,199,0,0,0,200,0,0,0,134,0,0,0,213,0,0,0,120,1,0,0,64,0,0,0,214,0,0,0,58,0,0,0,44,0,0,0,121,1,0,0,122,1,0,0,83,4,0,0,45,0,0,0,123,1,0,0,46,0,0,0,124,1,0,0,0,0,0,0,248,77,0,0,199,4,0,0,200,4,0,0,198,0,0,0,215,0,0,0,135,0,0,0,119,0,0,0,55,0,0,0,201,4,0,0,216,0,0,0,199,0,0,0,200,0,0,0,136,0,0,0,217,0,0,0,125,1,0,0,64,0,0,0,218,0,0,0,59,0,0,0,44,0,0,0,126,1,0,0,127,1,0,0,83,4,0,0,45,0,0,0,128,1,0,0,46,0,0,0,129,1,0,0,0,0,0,0,8,78,0,0,202,4,0,0,203,4,0,0,198,0,0,0,219,0,0,0,137,0,0,0,119,0,0,0,55,0,0,0,204,4,0,0,220,0,0,0,199,0,0,0,200,0,0,0,138,0,0,0,221,0,0,0,130,1,0,0,64,0,0,0,222,0,0,0,60,0,0,0,44,0,0,0,131,1,0,0,132,1,0,0,83,4,0,0,45,0,0,0,133,1,0,0,46,0,0,0,134,1,0,0,0,0,0,0,24,78,0,0,205,4,0,0,206,4,0,0,198,0,0,0,223,0,0,0,139,0,0,0,119,0,0,0,55,0,0,0,207,4,0,0,224,0,0,0,199,0,0,0,200,0,0,0,140,0,0,0,225,0,0,0,135,1,0,0,64,0,0,0,226,0,0,0,61,0,0,0,44,0,0,0,136,1,0,0,137,1,0,0,83,4,0,0,45,0,0,0,138,1,0,0,46,0,0,0,139,1,0,0,0,0,0,0,40,78,0,0,208,4,0,0,209,4,0,0,198,0,0,0,227,0,0,0,141,0,0,0,119,0,0,0,55,0,0,0,210,4,0,0,228,0,0,0,199,0,0,0,200,0,0,0,142,0,0,0,229,0,0,0,140,1,0,0,64,0,0,0,230,0,0,0,62,0,0,0,44,0,0,0,141,1,0,0,142,1,0,0,83,4,0,0,45,0,0,0,143,1,0,0,46,0,0,0,144,1,0,0,0,0,0,0,56,78,0,0,211,4,0,0,212,4,0,0,198,0,0,0,231,0,0,0,143,0,0,0,119,0,0,0,55,0,0,0,213,4,0,0,232,0,0,0,199,0,0,0,200,0,0,0,144,0,0,0,233,0,0,0,145,1,0,0,64,0,0,0,234,0,0,0,63,0,0,0,44,0,0,0,146,1,0,0,147,1,0,0,83,4,0,0,45,0,0,0,148,1,0,0,46,0,0,0,149,1,0,0,0,0,0,0,72,78,0,0,214,4,0,0,215,4,0,0,198,0,0,0,235,0,0,0,145,0,0,0,119,0,0,0,55,0,0,0,216,4,0,0,236,0,0,0,199,0,0,0,200,0,0,0,146,0,0,0,237,0,0,0,150,1,0,0,64,0,0,0,238,0,0,0,64,0,0,0,44,0,0,0,151,1,0,0,152,1,0,0,83,4,0,0,45,0,0,0,153,1,0,0,46,0,0,0,154,1,0,0,0,0,0,0,88,78,0,0,217,4,0,0,218,4,0,0,198,0,0,0,239,0,0,0,147,0,0,0,119,0,0,0,55,0,0,0,219,4,0,0,240,0,0,0,199,0,0,0,200,0,0,0,148,0,0,0,241,0,0,0,155,1,0,0,64,0,0,0,242,0,0,0,65,0,0,0,44,0,0,0,156,1,0,0,157,1,0,0,83,4,0,0,45,0,0,0,158,1,0,0,46,0,0,0,159,1,0,0,0,0,0,0,104,78,0,0,220,4,0,0,221,4,0,0,198,0,0,0,243,0,0,0,149,0,0,0,119,0,0,0,55,0,0,0,222,4,0,0,244,0,0,0,199,0,0,0,200,0,0,0,150,0,0,0,245,0,0,0,160,1,0,0,64,0,0,0,246,0,0,0,66,0,0,0,44,0,0,0,161,1,0,0,162,1,0,0,83,4,0,0,45,0,0,0,163,1,0,0,46,0,0,0,164,1,0,0,0,0,0,0,120,78,0,0,223,4,0,0,224,4,0,0,198,0,0,0,247,0,0,0,151,0,0,0,119,0,0,0,55,0,0,0,225,4,0,0,248,0,0,0,199,0,0,0,200,0,0,0,152,0,0,0,249,0,0,0,165,1,0,0,64,0,0,0,250,0,0,0,67,0,0,0,44,0,0,0,166,1,0,0,167,1,0,0,83,4,0,0,45,0,0,0,168,1,0,0,46,0,0,0,169,1,0,0,0,0,0,0,136,78,0,0,226,4,0,0,227,4,0,0,198,0,0,0,251,0,0,0,153,0,0,0,119,0,0,0,55,0,0,0,228,4,0,0,252,0,0,0,199,0,0,0,200,0,0,0,154,0,0,0,253,0,0,0,170,1,0,0,64,0,0,0,254,0,0,0,68,0,0,0,44,0,0,0,171,1,0,0,172,1,0,0,83,4,0,0,45,0,0,0,173,1,0,0,46,0,0,0,174,1,0,0,0,0,0,0,152,78,0,0,229,4,0,0,230,4,0,0,198,0,0,0,255,0,0,0,155,0,0,0,119,0,0,0,55,0,0,0,231,4,0,0,0,1,0,0,199,0,0,0,200,0,0,0,156,0,0,0,1,1,0,0,175,1,0,0,64,0,0,0,2,1,0,0,69,0,0,0,44,0,0,0,176,1,0,0,177,1,0,0,83,4,0,0,45,0,0,0,178,1,0,0,46,0,0,0,179,1,0,0,0,0,0,0,168,78,0,0,232,4,0,0,233,4,0,0,198,0,0,0,3,1,0,0,157,0,0,0,119,0,0,0,55,0,0,0,234,4,0,0,4,1,0,0,199,0,0,0,200,0,0,0,158,0,0,0,5,1,0,0,180,1,0,0,64,0,0,0,6,1,0,0,70,0,0,0,44,0,0,0,181,1,0,0,182,1,0,0,83,4,0,0,45,0,0,0,183,1,0,0,46,0,0,0,184,1,0,0,0,0,0,0,184,78,0,0,235,4,0,0,236,4,0,0,198,0,0,0,7,1,0,0,159,0,0,0,119,0,0,0,55,0,0,0,237,4,0,0,8,1,0,0,199,0,0,0,200,0,0,0,160,0,0,0,9,1,0,0,185,1,0,0,64,0,0,0,10,1,0,0,71,0,0,0,44,0,0,0,186,1,0,0,187,1,0,0,83,4,0,0,45,0,0,0,188,1,0,0,46,0,0,0,189,1,0,0,0,0,0,0,200,78,0,0,238,4,0,0,239,4,0,0,198,0,0,0,11,1,0,0,161,0,0,0,119,0,0,0,55,0,0,0,240,4,0,0,12,1,0,0,199,0,0,0,200,0,0,0,162,0,0,0,13,1,0,0,190,1,0,0,64,0,0,0,14,1,0,0,72,0,0,0,44,0,0,0,191,1,0,0,192,1,0,0,83,4,0,0,45,0,0,0,193,1,0,0,46,0,0,0,194,1,0,0,0,0,0,0,216,78,0,0,241,4,0,0,242,4,0,0,198,0,0,0,15,1,0,0,163,0,0,0,119,0,0,0,55,0,0,0,243,4,0,0,16,1,0,0,199,0,0,0,200,0,0,0,164,0,0,0,17,1,0,0,195,1,0,0,64,0,0,0,18,1,0,0,73,0,0,0,44,0,0,0,196,1,0,0,197,1,0,0,83,4,0,0,45,0,0,0,198,1,0,0,46,0,0,0,199,1,0,0,0,0,0,0,232,78,0,0,244,4,0,0,245,4,0,0,198,0,0,0,19,1,0,0,165,0,0,0,119,0,0,0,55,0,0,0,246,4,0,0,20,1,0,0,199,0,0,0,200,0,0,0,166,0,0,0,21,1,0,0,200,1,0,0,64,0,0,0,22,1,0,0,74,0,0,0,44,0,0,0,201,1,0,0,202,1,0,0,83,4,0,0,45,0,0,0,203,1,0,0,46,0,0,0,204,1,0,0,0,0,0,0,248,78,0,0,247,4,0,0,248,4,0,0,198,0,0,0,23,1,0,0,167,0,0,0,119,0,0,0,55,0,0,0,249,4,0,0,24,1,0,0,199,0,0,0,200,0,0,0,168,0,0,0,25,1,0,0,205,1,0,0,64,0,0,0,26,1,0,0,75,0,0,0,44,0,0,0,206,1,0,0,207,1,0,0,83,4,0,0,45,0,0,0,208,1,0,0,46,0,0,0,209,1,0,0,0,0,0,0,8,79,0,0,250,4,0,0,251,4,0,0,198,0,0,0,27,1,0,0,169,0,0,0,119,0,0,0,55,0,0,0,252,4,0,0,28,1,0,0,199,0,0,0,200,0,0,0,170,0,0,0,29,1,0,0,210,1,0,0,64,0,0,0,30,1,0,0,76,0,0,0,44,0,0,0,211,1,0,0,212,1,0,0,83,4,0,0,45,0,0,0,213,1,0,0,46,0,0,0,214,1,0,0,0,0,0,0,24,79,0,0,253,4,0,0,254,4,0,0,198,0,0,0,31,1,0,0,171,0,0,0,119,0,0,0,55,0,0,0,255,4,0,0,32,1,0,0,199,0,0,0,200,0,0,0,172,0,0,0,33,1,0,0,215,1,0,0,64,0,0,0,34,1,0,0,77,0,0,0,44,0,0,0,216,1,0,0,217,1,0,0,83,4,0,0,45,0,0,0,218,1,0,0,46,0,0,0,219,1,0,0,0,0,0,0,40,79,0,0,0,5,0,0,1,5,0,0,198,0,0,0,35,1,0,0,173,0,0,0,119,0,0,0,55,0,0,0,2,5,0,0,36,1,0,0,199,0,0,0,200,0,0,0,174,0,0,0,37,1,0,0,220,1,0,0,64,0,0,0,38,1,0,0,78,0,0,0,44,0,0,0,221,1,0,0,222,1,0,0,83,4,0,0,45,0,0,0,223,1,0,0,46,0,0,0,224,1,0,0,0,0,0,0,56,79,0,0,3,5,0,0,4,5,0,0,198,0,0,0,39,1,0,0,175,0,0,0,119,0,0,0,55,0,0,0,5,5,0,0,40,1,0,0,199,0,0,0,200,0,0,0,176,0,0,0,41,1,0,0,225,1,0,0,64,0,0,0,42,1,0,0,79,0,0,0,44,0,0,0,226,1,0,0,227,1,0,0,83,4,0,0,45,0,0,0,228,1,0,0,46,0,0,0,229,1,0,0,0,0,0,0,72,79,0,0,6,5,0,0,7,5,0,0,198,0,0,0,43,1,0,0,177,0,0,0,119,0,0,0,55,0,0,0,8,5,0,0,44,1,0,0,199,0,0,0,200,0,0,0,178,0,0,0,45,1,0,0,230,1,0,0,64,0,0,0,46,1,0,0,80,0,0,0,44,0,0,0,231,1,0,0,232,1,0,0,83,4,0,0,45,0,0,0,233,1,0,0,46,0,0,0,234,1,0,0,0,0,0,0,88,79,0,0,9,5,0,0,10,5,0,0,198,0,0,0,47,1,0,0,179,0,0,0,119,0,0,0,55,0,0,0,11,5,0,0,48,1,0,0,199,0,0,0,200,0,0,0,180,0,0,0,49,1,0,0,235,1,0,0,64,0,0,0,50,1,0,0,81,0,0,0,44,0,0,0,236,1,0,0,237,1,0,0,83,4,0,0,45,0,0,0,238,1,0,0,46,0,0,0,239,1,0,0,0,0,0,0,104,79,0,0,12,5,0,0,13,5,0,0,198,0,0,0,51,1,0,0,181,0,0,0,119,0,0,0,55,0,0,0,14,5,0,0,52,1,0,0,199,0,0,0,200,0,0,0,182,0,0,0,53,1,0,0,240,1,0,0,64,0,0,0,54,1,0,0,82,0,0,0,44,0,0,0,241,1,0,0,242,1,0,0,83,4,0,0,45,0,0,0,243,1,0,0,46,0,0,0,244,1,0,0,0,0,0,0,120,79,0,0,15,5,0,0,16,5,0,0,198,0,0,0,55,1,0,0,183,0,0,0,119,0,0,0,55,0,0,0,17,5,0,0,56,1,0,0,199,0,0,0,200,0,0,0,184,0,0,0,57,1,0,0,245,1,0,0,64,0,0,0,58,1,0,0,83,0,0,0,44,0,0,0,246,1,0,0,247,1,0,0,83,4,0,0,45,0,0,0,248,1,0,0,46,0,0,0,249,1,0,0,0,0,0,0,136,79,0,0,18,5,0,0,19,5,0,0,198,0,0,0,59,1,0,0,185,0,0,0,119,0,0,0,55,0,0,0,20,5,0,0,60,1,0,0,199,0,0,0,200,0,0,0,186,0,0,0,61,1,0,0,250,1,0,0,64,0,0,0,62,1,0,0,84,0,0,0,44,0,0,0,251,1,0,0,252,1,0,0,83,4,0,0,45,0,0,0,253,1,0,0,46,0,0,0,254,1,0,0,0,0,0,0,152,79,0,0,21,5,0,0,22,5,0,0,198,0,0,0,63,1,0,0,187,0,0,0,119,0,0,0,55,0,0,0,23,5,0,0,64,1,0,0,199,0,0,0,200,0,0,0,188,0,0,0,65,1,0,0,255,1,0,0,64,0,0,0,66,1,0,0,85,0,0,0,44,0,0,0,0,2,0,0,1,2,0,0,83,4,0,0,45,0,0,0,2,2,0,0,46,0,0,0,3,2,0,0,0,0,0,0,168,79,0,0,24,5,0,0,25,5,0,0,198,0,0,0,67,1,0,0,189,0,0,0,119,0,0,0,55,0,0,0,26,5,0,0,68,1,0,0,199,0,0,0,200,0,0,0,190,0,0,0,69,1,0,0,4,2,0,0,64,0,0,0,70,1,0,0,86,0,0,0,44,0,0,0,5,2,0,0,6,2,0,0,83,4,0,0,45,0,0,0,7,2,0,0,46,0,0,0,8,2,0,0,0,0,0,0,184,79,0,0,27,5,0,0,28,5,0,0,198,0,0,0,71,1,0,0,191,0,0,0,119,0,0,0,55,0,0,0,29,5,0,0,72,1,0,0,199,0,0,0,200,0,0,0,192,0,0,0,73,1,0,0,9,2,0,0,64,0,0,0,74,1,0,0,87,0,0,0,44,0,0,0,10,2,0,0,11,2,0,0,83,4,0,0,45,0,0,0,12,2,0,0,46,0,0,0,13,2,0,0,0,0,0,0,200,79,0,0,30,5,0,0,31,5,0,0,198,0,0,0,75,1,0,0,193,0,0,0,119,0,0,0,55,0,0,0,32,5,0,0,76,1,0,0,199,0,0,0,200,0,0,0,194,0,0,0,77,1,0,0,14,2,0,0,64,0,0,0,78,1,0,0,88,0,0,0,44,0,0,0,15,2,0,0,16,2,0,0,83,4,0,0,45,0,0,0,17,2,0,0,46,0,0,0,18,2,0,0,0,0,0,0,216,79,0,0,33,5,0,0,34,5,0,0,198,0,0,0,79,1,0,0,195,0,0,0,119,0,0,0,55,0,0,0,35,5,0,0,80,1,0,0,199,0,0,0,200,0,0,0,196,0,0,0,81,1,0,0,19,2,0,0,64,0,0,0,82,1,0,0,89,0,0,0,44,0,0,0,20,2,0,0,21,2,0,0,83,4,0,0,45,0,0,0,22,2,0,0,46,0,0,0,23,2,0,0,0,0,0,0,232,79,0,0,36,5,0,0,37,5,0,0,198,0,0,0,83,1,0,0,197,0,0,0,119,0,0,0,55,0,0,0,38,5,0,0,84,1,0,0,199,0,0,0,200,0,0,0,198,0,0,0,85,1,0,0,24,2,0,0,64,0,0,0,86,1,0,0,90,0,0,0,44,0,0,0,25,2,0,0,26,2,0,0,83,4,0,0,45,0,0,0,27,2,0,0,46,0,0,0,28,2,0,0,0,0,0,0,248,79,0,0,39,5,0,0,40,5,0,0,198,0,0,0,87,1,0,0,199,0,0,0,119,0,0,0,55,0,0,0,41,5,0,0,88,1,0,0,199,0,0,0,200,0,0,0,200,0,0,0,89,1,0,0,29,2,0,0,64,0,0,0,90,1,0,0,91,0,0,0,44,0,0,0,30,2,0,0,31,2,0,0,83,4,0,0,45,0,0,0,32,2,0,0,46,0,0,0,33,2,0,0,0,0,0,0,8,80,0,0,42,5,0,0,43,5,0,0,198,0,0,0,91,1,0,0,201,0,0,0,119,0,0,0,55,0,0,0,44,5,0,0,92,1,0,0,199,0,0,0,200,0,0,0,202,0,0,0,93,1,0,0,34,2,0,0,64,0,0,0,94,1,0,0,92,0,0,0,44,0,0,0,35,2,0,0,36,2,0,0,83,4,0,0,45,0,0,0,37,2,0,0,46,0,0,0,38,2,0,0,0,0,0,0,24,80,0,0,45,5,0,0,46,5,0,0,198,0,0,0,95,1,0,0,203,0,0,0,119,0,0,0,55,0,0,0,47,5,0,0,96,1,0,0,199,0,0,0,200,0,0,0,204,0,0,0,97,1,0,0,39,2,0,0,64,0,0,0,98,1,0,0,93,0,0,0,44,0,0,0,40,2,0,0,41,2,0,0,83,4,0,0,45,0,0,0,42,2,0,0,46,0,0,0,43,2,0,0,0,0,0,0,40,80,0,0,48,5,0,0,49,5,0,0,198,0,0,0,99,1,0,0,205,0,0,0,119,0,0,0,55,0,0,0,50,5,0,0,100,1,0,0,199,0,0,0,200,0,0,0,206,0,0,0,101,1,0,0,44,2,0,0,64,0,0,0,102,1,0,0,94,0,0,0,44,0,0,0,45,2,0,0,46,2,0,0,83,4,0,0,45,0,0,0,47,2,0,0,46,0,0,0,48,2,0,0,0,0,0,0,56,80,0,0,51,5,0,0,52,5,0,0,198,0,0,0,103,1,0,0,207,0,0,0,119,0,0,0,55,0,0,0,53,5,0,0,104,1,0,0,199,0,0,0,200,0,0,0,208,0,0,0,105,1,0,0,49,2,0,0,64,0,0,0,106,1,0,0,95,0,0,0,44,0,0,0,50,2,0,0,51,2,0,0,83,4,0,0,45,0,0,0,52,2,0,0,46,0,0,0,53,2,0,0,0,0,0,0,72,80,0,0,54,5,0,0,55,5,0,0,198,0,0,0,107,1,0,0,209,0,0,0,119,0,0,0,55,0,0,0,56,5,0,0,108,1,0,0,199,0,0,0,200,0,0,0,210,0,0,0,109,1,0,0,54,2,0,0,64,0,0,0,110,1,0,0,96,0,0,0,44,0,0,0,55,2,0,0,56,2,0,0,83,4,0,0,45,0,0,0,57,2,0,0,46,0,0,0,58,2,0,0,0,0,0,0,88,80,0,0,57,5,0,0,58,5,0,0,198,0,0,0,111,1,0,0,211,0,0,0,119,0,0,0,55,0,0,0,59,5,0,0,112,1,0,0,199,0,0,0,200,0,0,0,212,0,0,0,113,1,0,0,59,2,0,0,64,0,0,0,114,1,0,0,97,0,0,0,44,0,0,0,60,2,0,0,61,2,0,0,83,4,0,0,45,0,0,0,62,2,0,0,46,0,0,0,63,2,0,0,0,0,0,0,104,80,0,0,60,5,0,0,61,5,0,0,198,0,0,0,115,1,0,0,213,0,0,0,119,0,0,0,55,0,0,0,62,5,0,0,116,1,0,0,199,0,0,0,200,0,0,0,214,0,0,0,117,1,0,0,64,2,0,0,64,0,0,0,118,1,0,0,98,0,0,0,44,0,0,0,65,2,0,0,66,2,0,0,83,4,0,0,45,0,0,0,67,2,0,0,46,0,0,0,68,2,0,0,0,0,0,0,120,80,0,0,63,5,0,0,64,5,0,0,198,0,0,0,119,1,0,0,215,0,0,0,119,0,0,0,55,0,0,0,65,5,0,0,120,1,0,0,199,0,0,0,200,0,0,0,216,0,0,0,121,1,0,0,69,2,0,0,64,0,0,0,122,1,0,0,99,0,0,0,44,0,0,0,70,2,0,0,71,2,0,0,83,4,0,0,45,0,0,0,72,2,0,0,46,0,0,0,73,2,0,0,0,0,0,0,136,80,0,0,66,5,0,0,67,5,0,0,198,0,0,0,123,1,0,0,217,0,0,0,119,0,0,0,55,0,0,0,68,5,0,0,124,1,0,0,199,0,0,0,200,0,0,0,218,0,0,0,125,1,0,0,74,2,0,0,64,0,0,0,126,1,0,0,100,0,0,0,44,0,0,0,75,2,0,0,76,2,0,0,83,4,0,0,45,0,0,0,77,2,0,0,46,0,0,0,78,2,0,0,0,0,0,0,152,80,0,0,69,5,0,0,70,5,0,0,198,0,0,0,127,1,0,0,219,0,0,0,119,0,0,0,55,0,0,0,71,5,0,0,128,1,0,0,199,0,0,0,200,0,0,0,220,0,0,0,129,1,0,0,79,2,0,0,64,0,0,0,130,1,0,0,101,0,0,0,44,0,0,0,80,2,0,0,81,2,0,0,83,4,0,0,45,0,0,0,82,2,0,0,46,0,0,0,83,2,0,0,0,0,0,0,168,80,0,0,72,5,0,0,73,5,0,0,198,0,0,0,131,1,0,0,221,0,0,0,119,0,0,0,55,0,0,0,74,5,0,0,132,1,0,0,199,0,0,0,200,0,0,0,222,0,0,0,133,1,0,0,84,2,0,0,64,0,0,0,134,1,0,0,102,0,0,0,44,0,0,0,85,2,0,0,86,2,0,0,83,4,0,0,45,0,0,0,87,2,0,0,46,0,0,0,88,2,0,0,0,0,0,0,184,80,0,0,75,5,0,0,76,5,0,0,198,0,0,0,135,1,0,0,223,0,0,0,119,0,0,0,55,0,0,0,77,5,0,0,136,1,0,0,199,0,0,0,200,0,0,0,224,0,0,0,137,1,0,0,89,2,0,0,64,0,0,0,138,1,0,0,103,0,0,0,44,0,0,0,90,2,0,0,91,2,0,0,83,4,0,0,45,0,0,0,92,2,0,0,46,0,0,0,93,2,0,0,0,0,0,0,200,80,0,0,78,5,0,0,79,5,0,0,198,0,0,0,139,1,0,0,225,0,0,0,119,0,0,0,55,0,0,0,80,5,0,0,140,1,0,0,199,0,0,0,200,0,0,0,226,0,0,0,141,1,0,0,94,2,0,0,64,0,0,0,142,1,0,0,104,0,0,0,44,0,0,0,95,2,0,0,96,2,0,0,83,4,0,0,45,0,0,0,97,2,0,0,46,0,0,0,98,2,0,0,0,0,0,0,216,80,0,0,81,5,0,0,82,5,0,0,198,0,0,0,143,1,0,0,227,0,0,0,119,0,0,0,55,0,0,0,83,5,0,0,144,1,0,0,199,0,0,0,200,0,0,0,228,0,0,0,145,1,0,0,99,2,0,0,64,0,0,0,146,1,0,0,105,0,0,0,44,0,0,0,100,2,0,0,101,2,0,0,83,4,0,0,45,0,0,0,102,2,0,0,46,0,0,0,103,2,0,0,0,0,0,0,248,80,0,0,62,4,0,0,84,5,0,0,29,0,0,0,4,0,0,0,5,0,0,0,8,0,0,0,6,0,0,0,7,0,0,0,53,0,0,0,54,0,0,0,48,0,0,0,51,0,0,0,52,0,0,0,53,0,0,0,229,0,0,0,62,0,0,0,63,0,0,0,61,0,0,0,64,0,0,0,55,0,0,0,230,0,0,0,65,0,0,0,64,4,0,0,31,0,0,0,106,0,0,0,53,0,0,0,0,0,0,0,232,80,0,0,47,0,0,0,85,5,0,0,86,5,0,0,231,0,0,0,87,5,0,0,100,185,13,0,174,206,6,0,34,206,6,0,185,0,0,0,1,0,0,0,0,0,0,0,8,81,0,0,30,0,0,0,88,5,0,0,104,2,0,0,0,0,0,0,56,81,0,0,62,4,0,0,89,5,0,0,29,0,0,0,4,0,0,0,5,0,0,0,8,0,0,0,6,0,0,0,7,0,0,0,53,0,0,0,54,0,0,0,48,0,0,0,52,0,0,0,52,0,0,0,53,0,0,0,232,0,0,0,66,0,0,0,67,0,0,0,61,0,0,0,68,0,0,0,55,0,0,0,233,0,0,0,69,0,0,0,64,4,0,0,32,0,0,0,107,0,0,0,54,0,0,0,0,0,0,0,40,81,0,0,47,0,0,0,90,5,0,0,91,5,0,0,234,0,0,0,92,5,0,0,104,185,13,0,218,208,6,0,34,206,6,0,185,0,0,0,1,0,0,0,0,0,0,0,72,81,0,0,30,0,0,0,93,5,0,0,105,2,0,0,0,0,0,0,120,81,0,0,62,4,0,0,94,5,0,0,29,0,0,0,4,0,0,0,5,0,0,0,8,0,0,0,6,0,0,0,7,0,0,0,53,0,0,0,54,0,0,0,48,0,0,0,53,0,0,0,52,0,0,0,53,0,0,0,235,0,0,0,70,0,0,0,71,0,0,0,61,0,0,0,72,0,0,0,55,0,0,0,236,0,0,0,73,0,0,0,64,4,0,0,33,0,0,0,108,0,0,0,55,0,0,0,0,0,0,0,104,81,0,0,47,0,0,0,95,5,0,0,96,5,0,0,237,0,0,0,97,5,0,0,108,185,13,0,210,210,6,0,34,206,6,0,185,0,0,0,1,0,0,0,0,0,0,0,136,81,0,0,30,0,0,0,98,5,0,0,106,2,0,0,0,0,0,0,184,81,0,0,62,4,0,0,99,5,0,0,29,0,0,0,4,0,0,0,5,0,0,0,8,0,0,0,6,0,0,0,7,0,0,0,53,0,0,0,54,0,0,0,48,0,0,0,54,0,0,0,52,0,0,0,53,0,0,0,238,0,0,0,74,0,0,0,75,0,0,0,61,0,0,0,76,0,0,0,55,0,0,0,239,0,0,0,77,0,0,0,64,4,0,0,34,0,0,0,109,0,0,0,56,0,0,0,0,0,0,0,168,81,0,0,47,0,0,0,100,5,0,0,101,5,0,0,240,0,0,0,102,5,0,0,112,185,13,0,206,212,6,0,34,206,6,0,185,0,0,0,1,0,0,0,0,0,0,0,200,81,0,0,30,0,0,0,103,5,0,0,107,2,0,0,0,0,0,0,248,81,0,0,62,4,0,0,104,5,0,0,29,0,0,0,4,0,0,0,5,0,0,0,8,0,0,0,6,0,0,0,7,0,0,0,53,0,0,0,54,0,0,0,48,0,0,0,55,0,0,0,52,0,0,0,53,0,0,0,241,0,0,0,78,0,0,0,79,0,0,0,61,0,0,0,80,0,0,0,55,0,0,0,242,0,0,0,81,0,0,0,64,4,0,0,35,0,0,0,110,0,0,0,57,0,0,0,0,0,0,0,232,81,0,0,47,0,0,0,105,5,0,0,106,5,0,0,243,0,0,0,107,5,0,0,116,185,13,0,203,214,6,0,34,206,6,0,185,0,0,0,1,0,0,0,0,0,0,0,8,82,0,0,30,0,0,0,108,5,0,0,108,2,0,0,0,0,0,0,56,82,0,0,62,4,0,0,109,5,0,0,29,0,0,0,4,0,0,0,5,0,0,0,8,0,0,0,6,0,0,0,7,0,0,0,53,0,0,0,54,0,0,0,48,0,0,0,56,0,0,0,52,0,0,0,53,0,0,0,244,0,0,0,82,0,0,0,83,0,0,0,61,0,0,0,84,0,0,0,55,0,0,0,245,0,0,0,85,0,0,0,64,4,0,0,36,0,0,0,111,0,0,0,58,0,0,0,0,0,0,0,40,82,0,0,47,0,0,0,110,5,0,0,111,5,0,0,246,0,0,0,112,5,0,0,120,185,13,0,192,216,6,0,34,206,6,0,185,0,0,0,1,0,0,0,0,0,0,0,72,82,0,0,30,0,0,0,113,5,0,0,109,2,0,0,0,0,0,0,120,82,0,0,62,4,0,0,114,5,0,0,29,0,0,0,4,0,0,0,5,0,0,0,8,0,0,0,6,0,0,0,7,0,0,0,53,0,0,0,54,0,0,0,48,0,0,0,57,0,0,0,52,0,0,0,53,0,0,0,247,0,0,0,86,0,0,0,87,0,0,0,61,0,0,0,88,0,0,0,55,0,0,0,248,0,0,0,89,0,0,0,64,4,0,0,37,0,0,0,112,0,0,0,59,0,0,0,0,0,0,0,104,82,0,0,47,0,0,0,115,5,0,0,116,5,0,0,249,0,0,0,117,5,0,0,124,185,13,0,184,218,6,0,34,206,6,0,185,0,0,0,1,0,0,0,0,0,0,0,136,82,0,0,30,0,0,0,118,5,0,0,110,2,0,0,0,0,0,0,184,82,0,0,62,4,0,0,119,5,0,0,29,0,0,0,4,0,0,0,5,0,0,0,8,0,0,0,6,0,0,0,7,0,0,0,53,0,0,0,54,0,0,0,48,0,0,0,58,0,0,0,52,0,0,0,53,0,0,0,250,0,0,0,90,0,0,0,91,0,0,0,61,0,0,0,92,0,0,0,55,0,0,0,251,0,0,0,93,0,0,0,64,4,0,0,38,0,0,0,113,0,0,0,60,0,0,0,0,0,0,0,168,82,0,0,47,0,0,0,120,5,0,0,121,5,0,0,252,0,0,0,122,5,0,0,128,185,13,0,186,220,6,0,34,206,6,0,185,0,0,0,1,0,0,0,0,0,0,0,200,82,0,0,30,0,0,0,123,5,0,0,111,2,0,0,0,0,0,0,232,82,0,0,47,0,0,0,124,5,0,0,125,5,0,0,253,0,0,0,126,5,0,0,0,0,0,0,248,82,0,0,127,5,0,0,128,5,0,0,29,0,0,0,4,0,0,0,5,0,0,0,8,0,0,0,6,0,0,0,7,0,0,0,53,0,0,0,54,0,0,0,48,0,0,0,59,0,0,0,52,0,0,0,53,0,0,0,254,0,0,0,94,0,0,0,95,0,0,0,61,0,0,0,96,0,0,0,55,0,0,0,255,0,0,0,97,0,0,0,64,4,0,0,39,0,0,0,114,0,0,0,61,0,0,0,132,185,13,0,78,223,6,0,34,206,6,0,185,0,0,0,1,0,0,0,0,0,0,0,8,83,0,0,30,0,0,0,129,5,0,0,112,2,0,0,0,0,0,0,40,83,0,0,47,0,0,0,130,5,0,0,131,5,0,0,0,1,0,0,132,5,0,0,0,0,0,0,56,83,0,0,133,5,0,0,134,5,0,0,29,0,0,0,4,0,0,0,5,0,0,0,8,0,0,0,6,0,0,0,7,0,0,0,53,0,0,0,98,0,0,0,48,0,0,0,60,0,0,0,52,0,0,0,53,0,0,0,1,1,0,0,55,0,0,0,99,0,0,0,61,0,0,0,57,0,0,0,55,0,0,0,56,0,0,0,58,0,0,0,64,4,0,0,40,0,0,0,21,0,0,0,140,185,13,0,141,226,6,0,95,225,6,0,250,0,0,0,1,0,0,0,136,185,13,0,206,71,7,0,0,0,0,0,0,0,0,0,88,83,0,0,47,0,0,0,135,5,0,0,136,5,0,0,2,1,0,0,137,5,0,0,0,0,0,0,104,83,0,0,138,5,0,0,139,5,0,0,29,0,0,0,4,0,0,0,5,0,0,0,8,0,0,0,6,0,0,0,7,0,0,0,53,0,0,0,54,0,0,0,48,0,0,0,61,0,0,0,52,0,0,0,53,0,0,0,3,1,0,0,100,0,0,0,101,0,0,0,61,0,0,0,57,0,0,0,4,1,0,0,56,0,0,0,58,0,0,0,64,4,0,0,41,0,0,0,115,0,0,0,148,185,13,0,234,230,6,0,67,228,6,0,133,1,0,0,1,0,0,0,144,185,13,0,206,71,7,0,0,0,0,0,0,0,0,0,120,83,0,0,30,0,0,0,140,5,0,0,113,2,0,0,0,0,0,0,152,83,0,0,47,0,0,0,141,5,0,0,142,5,0,0,5,1,0,0,143,5,0,0,0,0,0,0,168,83,0,0,62,4,0,0,144,5,0,0,29,0,0,0,4,0,0,0,5,0,0,0,8,0,0,0,6,0,0,0,7,0,0,0,53,0,0,0,54,0,0,0,48,0,0,0,62,0,0,0,52,0,0,0,53,0,0,0,54,0,0,0,55,0,0,0,56,0,0,0,61,0,0,0,57,0,0,0,55,0,0,0,56,0,0,0,58,0,0,0,64,4,0,0,42,0,0,0,21,0,0,0,156,185,13,0,243,232,6,0,133,232,6,0,40,0,0,0,1,0,0,0,152,185,13,0,206,71,7,0,0,0,0,0,0,0,0,0,200,83,0,0,47,0,0,0,145,5,0,0,146,5,0,0,6,1,0,0,147,5,0,0,0,0,0,0,216,83,0,0,62,4,0,0,148,5,0,0,29,0,0,0,4,0,0,0,5,0,0,0,8,0,0,0,6,0,0,0,7,0,0,0,53,0,0,0,54,0,0,0,48,0,0,0,63,0,0,0,52,0,0,0,53,0,0,0,7,1,0,0,102,0,0,0,103,0,0,0,61,0,0,0,57,0,0,0,55,0,0,0,56,0,0,0,58,0,0,0,64,4,0,0,43,0,0,0,21,0,0,0,164,185,13,0,72,236,6,0,92,234,6,0,237,0,0,0,1,0,0,0,160,185,13,0,206,71,7,0,0,0,0,0,0,0,0,0,232,83,0,0,149,5,0,0,150,5,0,0,114,2,0,0,0,0,0,0,248,83,0,0,47,0,0,0,151,5,0,0,152,5,0,0,8,1,0,0,153,5,0,0,0,0,0,0,8,84,0,0,154,5,0,0,155,5,0,0,29,0,0,0,4,0,0,0,5,0,0,0,8,0,0,0,6,0,0,0,7,0,0,0,53,0,0,0,104,0,0,0,48,0,0,0,64,0,0,0,52,0,0,0,53,0,0,0,9,1,0,0,55,0,0,0,105,0,0,0,61,0,0,0,57,0,0,0,55,0,0,0,56,0,0,0,58,0,0,0,64,4,0,0,44,0,0,0,21,0,0,0,172,185,13,0,40,239,6,0,226,237,6,0,84,0,0,0,1,0,0,0,168,185,13,0,206,71,7,0,0,0,0,0,0,0,0,0,56,84,0,0,154,5,0,0,156,5,0,0,29,0,0,0,4,0,0,0,5,0,0,0,8,0,0,0,6,0,0,0,7,0,0,0,53,0,0,0,106,0,0,0,48,0,0,0,64,0,0,0,52,0,0,0,53,0,0,0,10,1,0,0,55,0,0,0,107,0,0,0,61,0,0,0,57,0,0,0,55,0,0,0,56,0,0,0,58,0,0,0,64,4,0,0,45,0,0,0,21,0,0,0,0,0,0,0,40,84,0,0,47,0,0,0,157,5,0,0,158,5,0,0,11,1,0,0,159,5,0,0,0,0,0,0,72,84,0,0,47,0,0,0,160,5,0,0,161,5,0,0,12,1,0,0,162,5,0,0,0,0,0,0,88,84,0,0,163,5,0,0,164,5,0,0,29,0,0,0,4,0,0,0,5,0,0,0,8,0,0,0,6,0,0,0,7,0,0,0,53,0,0,0,108,0,0,0,48,0,0,0,65,0,0,0,52,0,0,0,53,0,0,0,54,0,0,0,55,0,0,0,56,0,0,0,61,0,0,0,57,0,0,0,55,0,0,0,56,0,0,0,58,0,0,0,64,4,0,0,46,0,0,0,21,0,0,0,180,185,13,0,219,241,6,0,104,241,6,0,92,0,0,0,1,0,0,0,176,185,13,0,206,71,7,0,0,0,0,0,0,0,0,0,120,84,0,0,47,0,0,0,165,5,0,0,166,5,0,0,13,1,0,0,167,5,0,0,0,0,0,0,136,84,0,0,62,4,0,0,168,5,0,0,29,0,0,0,4,0,0,0,5,0,0,0,8,0,0,0,6,0,0,0,7,0,0,0,53,0,0,0,54,0,0,0,48,0,0,0,66,0,0,0,52,0,0,0,53,0,0,0,14,1,0,0,109,0,0,0,110,0,0,0,61,0,0,0,57,0,0,0,55,0,0,0,56,0,0,0,58,0,0,0,64,4,0,0,47,0,0,0,116,0,0,0,188,185,13,0,0,244,6,0,134,243,6,0,187,0,0,0,1,0,0,0,184,185,13,0,206,71,7,0,0,0,0,0,0,0,0,0,168,84,0,0,47,0,0,0,169,5,0,0,170,5,0,0,15,1,0,0,171,5,0,0,0,0,0,0,184,84,0,0,172,5,0,0,173,5,0,0,29,0,0,0,4,0,0,0,5,0,0,0,8,0,0,0,6,0,0,0,7,0,0,0,53,0,0,0,54,0,0,0,48,0,0,0,67,0,0,0,52,0,0,0,53,0,0,0,16,1,0,0,111,0,0,0,112,0,0,0,61,0,0,0,57,0,0,0,17,1,0,0,56,0,0,0,58,0,0,0,64,4,0,0,48,0,0,0,117,0,0,0,196,185,13,0,112,248,6,0,142,245,6,0,98,1,0,0,1,0,0,0,192,185,13,0,206,71,7,0,0,0,0,0,105,247,6,0,142,245,6,0,142,0,0,0,0,0,0,0,180,223,17,0,73,248,6,0,82,248,6,0,105,247,6,0,142,245,6,0,142,0,0,0,1,0,0,0,180,223,17,0,62,248,6,0,134,30,7,0,0,0,0,0,200,84,0,0,30,0,0,0,174,5,0,0,115,2,0,0,0,0,0,0,216,84,0,0,47,0,0,0,175,5,0,0,176,5,0,0,18,1,0,0,177,5,0,0,0,0,0,0,232,84,0,0,62,4,0,0,178,5,0,0,29,0,0,0,4,0,0,0,5,0,0,0,8,0,0,0,6],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+122884);allocate([7,0,0,0,53,0,0,0,54,0,0,0,48,0,0,0,68,0,0,0,52,0,0,0,53,0,0,0,19,1,0,0,55,0,0,0,113,0,0,0,61,0,0,0,57,0,0,0,55,0,0,0,56,0,0,0,58,0,0,0,64,4,0,0,49,0,0,0,21,0,0,0,204,185,13,0,90,250,6,0,153,249,6,0,134,0,0,0,1,0,0,0,200,185,13,0,206,71,7,0,0,0,0,0,0,0,0,0,8,85,0,0,47,0,0,0,179,5,0,0,180,5,0,0,20,1,0,0,181,5,0,0,0,0,0,0,24,85,0,0,62,4,0,0,182,5,0,0,29,0,0,0,4,0,0,0,5,0,0,0,8,0,0,0,6,0,0,0,7,0,0,0,53,0,0,0,54,0,0,0,48,0,0,0,69,0,0,0,52,0,0,0,53,0,0,0,54,0,0,0,55,0,0,0,56,0,0,0,61,0,0,0,57,0,0,0,55,0,0,0,56,0,0,0,58,0,0,0,64,4,0,0,50,0,0,0,118,0,0,0,212,185,13,0,124,253,6,0,203,251,6,0,196,0,0,0,1,0,0,0,208,185,13,0,206,71,7,0,0,0,0,0,0,0,0,0,72,85,0,0,62,4,0,0,183,5,0,0,29,0,0,0,4,0,0,0,5,0,0,0,8,0,0,0,6,0,0,0,7,0,0,0,53,0,0,0,54,0,0,0,48,0,0,0,70,0,0,0,52,0,0,0,53,0,0,0,21,1,0,0,55,0,0,0,114,0,0,0,61,0,0,0,57,0,0,0,55,0,0,0,56,0,0,0,58,0,0,0,64,4,0,0,51,0,0,0,21,0,0,0,0,0,0,0,56,85,0,0,47,0,0,0,184,5,0,0,185,5,0,0,22,1,0,0,186,5,0,0,220,185,13,0,76,255,6,0,86,254,6,0,95,0,0,0,1,0,0,0,216,185,13,0,206,71,7,0,0,0,0,0,0,0,0,0,104,85,0,0,47,0,0,0,187,5,0,0,188,5,0,0,23,1,0,0,189,5,0,0,0,0,0,0,120,85,0,0,62,4,0,0,190,5,0,0,29,0,0,0,4,0,0,0,5,0,0,0,8,0,0,0,6,0,0,0,7,0,0,0,53,0,0,0,54,0,0,0,48,0,0,0,71,0,0,0,52,0,0,0,53,0,0,0,24,1,0,0,115,0,0,0,56,0,0,0,61,0,0,0,57,0,0,0,55,0,0,0,56,0,0,0,58,0,0,0,64,4,0,0,52,0,0,0,21,0,0,0,228,185,13,0,242,1,7,0,205,0,7,0,62,0,0,0,1,0,0,0,224,185,13,0,206,71,7,0,0,0,0,0,0,0,0,0,152,85,0,0,47,0,0,0,191,5,0,0,192,5,0,0,25,1,0,0,193,5,0,0,0,0,0,0,168,85,0,0,194,5,0,0,195,5,0,0,29,0,0,0,4,0,0,0,5,0,0,0,8,0,0,0,6,0,0,0,7,0,0,0,53,0,0,0,116,0,0,0,48,0,0,0,72,0,0,0,52,0,0,0,53,0,0,0,26,1,0,0,55,0,0,0,117,0,0,0,61,0,0,0,57,0,0,0,55,0,0,0,56,0,0,0,58,0,0,0,64,4,0,0,53,0,0,0,119,0,0,0,236,185,13,0,55,4,7,0,113,3,7,0,160,0,0,0,1,0,0,0,232,185,13,0,206,71,7,0,0,0,0,0,0,0,0,0,200,85,0,0,47,0,0,0,196,5,0,0,197,5,0,0,27,1,0,0,198,5,0,0,0,0,0,0,232,85,0,0,199,5,0,0,200,5,0,0,29,0,0,0,4,0,0,0,5,0,0,0,8,0,0,0,6,0,0,0,7,0,0,0,53,0,0,0,54,0,0,0,48,0,0,0,73,0,0,0,52,0,0,0,53,0,0,0,28,1,0,0,55,0,0,0,118,0,0,0,61,0,0,0,57,0,0,0,55,0,0,0,56,0,0,0,58,0,0,0,64,4,0,0,54,0,0,0,21,0,0,0,0,0,0,0,216,85,0,0,199,5,0,0,201,5,0,0,29,0,0,0,4,0,0,0,5,0,0,0,8,0,0,0,6,0,0,0,7,0,0,0,53,0,0,0,54,0,0,0,48,0,0,0,49,0,0,0,52,0,0,0,53,0,0,0,54,0,0,0,55,0,0,0,56,0,0,0,61,0,0,0,57,0,0,0,55,0,0,0,56,0,0,0,58,0,0,0,64,4,0,0,29,0,0,0,21,0,0,0,244,185,13,0,174,7,7,0,161,5,7,0,233,0,0,0,1,0,0,0,240,185,13,0,206,71,7,0,0,0,0,0,0,0,0,0,248,85,0,0,47,0,0,0,202,5,0,0,203,5,0,0,29,1,0,0,204,5,0,0,0,0,0,0,8,86,0,0,62,4,0,0,205,5,0,0,29,0,0,0,4,0,0,0,5,0,0,0,8,0,0,0,6,0,0,0,7,0,0,0,53,0,0,0,54,0,0,0,48,0,0,0,74,0,0,0,52,0,0,0,53,0,0,0,30,1,0,0,119,0,0,0,120,0,0,0,62,0,0,0,57,0,0,0,55,0,0,0,56,0,0,0,58,0,0,0,64,4,0,0,29,0,0,0,120,0,0,0,252,185,13,0,69,10,7,0,29,9,7,0,146,0,0,0,1,0,0,0,248,185,13,0,206,71,7,0,0,0,0,0,0,0,0,0,24,86,0,0,30,0,0,0,206,5,0,0,116,2,0,0,0,0,0,0,56,86,0,0,47,0,0,0,207,5,0,0,208,5,0,0,31,1,0,0,209,5,0,0,0,0,0,0,72,86,0,0,210,5,0,0,211,5,0,0,29,0,0,0,4,0,0,0,5,0,0,0,8,0,0,0,6,0,0,0,7,0,0,0,53,0,0,0,121,0,0,0,48,0,0,0,75,0,0,0,52,0,0,0,53,0,0,0,32,1,0,0,55,0,0,0,122,0,0,0,61,0,0,0,57,0,0,0,55,0,0,0,56,0,0,0,58,0,0,0,64,4,0,0,55,0,0,0,121,0,0,0,4,186,13,0,162,13,7,0,177,11,7,0,146,1,0,0,1,0,0,0,0,186,13,0,206,71,7,0,0,0,0,0,17,14,7,0,177,11,7,0,49,1,0,0,6,0,0,0,180,223,17,0,140,14,7,0,154,14,7,0,17,14,7,0,177,11,7,0,50,1,0,0,1,0,0,0,180,223,17,0,125,14,7,0,123,14,7,0,17,14,7,0,177,11,7,0,50,1,0,0,1,0,0,0,180,223,17,0,108,14,7,0,123,14,7,0,0,0,0,0,104,86,0,0,47,0,0,0,212,5,0,0,213,5,0,0,33,1,0,0,214,5,0,0,0,0,0,0,120,86,0,0,215,5,0,0,216,5,0,0,29,0,0,0,4,0,0,0,5,0,0,0,8,0,0,0,6,0,0,0,7,0,0,0,53,0,0,0,123,0,0,0,48,0,0,0,76,0,0,0,52,0,0,0,53,0,0,0,34,1,0,0,55,0,0,0,124,0,0,0,61,0,0,0,57,0,0,0,35,1,0,0,56,0,0,0,58,0,0,0,64,4,0,0,29,0,0,0,122,0,0,0,12,186,13,0,164,15,7,0,14,16,7,0,14,1,0,0,1,0,0,0,8,186,13,0,206,71,7,0,0,0,0,0,0,0,0,0,152,86,0,0,47,0,0,0,217,5,0,0,218,5,0,0,36,1,0,0,219,5,0,0,0,0,0,0,168,86,0,0,220,5,0,0,221,5,0,0,29,0,0,0,4,0,0,0,5,0,0,0,8,0,0,0,6,0,0,0,7,0,0,0,53,0,0,0,125,0,0,0,48,0,0,0,77,0,0,0,52,0,0,0,53,0,0,0,37,1,0,0,126,0,0,0,127,0,0,0,63,0,0,0,57,0,0,0,55,0,0,0,56,0,0,0,58,0,0,0,64,4,0,0,56,0,0,0,123,0,0,0,128,0,0,0,129,0,0,0,0,0,0,0,232,74,0,0,220,5,0,0,222,5,0,0,29,0,0,0,4,0,0,0,5,0,0,0,8,0,0,0,6,0,0,0,7,0,0,0,53,0,0,0,54,0,0,0,48,0,0,0,49,0,0,0,52,0,0,0,53,0,0,0,54,0,0,0,55,0,0,0,56,0,0,0,61,0,0,0,57,0,0,0,55,0,0,0,56,0,0,0,58,0,0,0,64,4,0,0,29,0,0,0,21,0,0,0,20,186,13,0,140,20,7,0,112,17,7,0,211,0,0,0,1,0,0,0,16,186,13,0,206,71,7,0,0,0,0,0,0,0,0,0,184,86,0,0,223,5,0,0,224,5,0,0,117,2,0,0,0,0,0,0,200,86,0,0,47,0,0,0,225,5,0,0,226,5,0,0,38,1,0,0,227,5,0,0,0,0,0,0,216,86,0,0,228,5,0,0,229,5,0,0,29,0,0,0,4,0,0,0,5,0,0,0,8,0,0,0,6,0,0,0,7,0,0,0,53,0,0,0,54,0,0,0,48,0,0,0,78,0,0,0,52,0,0,0,53,0,0,0,39,1,0,0,130,0,0,0,131,0,0,0,61,0,0,0,132,0,0,0,55,0,0,0,40,1,0,0,133,0,0,0,64,4,0,0,57,0,0,0,124,0,0,0,62,0,0,0,208,23,7,0,238,21,7,0,51,0,0,0,1,0,0,0,180,223,17,0,46,24,7,0,134,30,7,0,28,186,13,0,158,24,7,0,238,21,7,0,230,0,0,0,1,0,0,0,24,186,13,0,206,71,7,0,0,0,0,0,0,0,0,0,248,86,0,0,47,0,0,0,230,5,0,0,231,5,0,0,41,1,0,0,232,5,0,0,0,0,0,0,8,87,0,0,62,4,0,0,233,5,0,0,29,0,0,0,4,0,0,0,5,0,0,0,8,0,0,0,6,0,0,0,7,0,0,0,53,0,0,0,134,0,0,0,48,0,0,0,79,0,0,0,52,0,0,0,53,0,0,0,42,1,0,0,55,0,0,0,135,0,0,0,61,0,0,0,57,0,0,0,55,0,0,0,56,0,0,0,58,0,0,0,64,4,0,0,58,0,0,0,21,0,0,0,36,186,13,0,83,27,7,0,111,26,7,0,184,0,0,0,1,0,0,0,32,186,13,0,206,71,7,0,0,0,0,0,0,0,0,0,40,87,0,0,47,0,0,0,234,5,0,0,235,5,0,0,43,1,0,0,236,5,0,0,0,0,0,0,56,87,0,0,62,4,0,0,237,5,0,0,29,0,0,0,4,0,0,0,5,0,0,0,8,0,0,0,6,0,0,0,7,0,0,0,53,0,0,0,136,0,0,0,48,0,0,0,80,0,0,0,52,0,0,0,53,0,0,0,44,1,0,0,137,0,0,0,138,0,0,0,61,0,0,0,139,0,0,0,55,0,0,0,56,0,0,0,140,0,0,0,64,4,0,0,59,0,0,0,125,0,0,0,44,186,13,0,11,30,7,0,188,28,7,0,59,0,0,0,1,0,0,0,40,186,13,0,206,71,7,0,0,0,0,0,11,30,7,0,188,28,7,0,86,0,0,0,1,0,0,0,158,30,7,0,190,30,7,0,206,30,7,0,11,30,7,0,188,28,7,0,96,0,0,0,1,0,0,0,180,223,17,0,143,30,7,0,134,30,7,0,11,30,7,0,188,28,7,0,96,0,0,0,1,0,0,0,180,223,17,0,119,30,7,0,134,30,7,0,0,0,0,0,88,87,0,0,47,0,0,0,238,5,0,0,239,5,0,0,45,1,0,0,240,5,0,0,0,0,0,0,104,87,0,0,241,5,0,0,242,5,0,0,29,0,0,0,4,0,0,0,5,0,0,0,8,0,0,0,6,0,0,0,7,0,0,0,53,0,0,0,54,0,0,0,48,0,0,0,81,0,0,0,52,0,0,0,53,0,0,0,46,1,0,0,55,0,0,0,141,0,0,0,61,0,0,0,57,0,0,0,55,0,0,0,56,0,0,0,58,0,0,0,64,4,0,0,60,0,0,0,21,0,0,0,64,186,13,0,124,39,7,0,142,35,7,0,157,1,0,0,1,0,0,0,60,186,13,0,206,71,7,0,0,0,0,0,0,0,0,0,136,87,0,0,47,0,0,0,243,5,0,0,244,5,0,0,47,1,0,0,245,5,0,0,0,0,0,0,168,87,0,0,246,5,0,0,247,5,0,0,29,0,0,0,4,0,0,0,5,0,0,0,8,0,0,0,6,0,0,0,7,0,0,0,53,0,0,0,142,0,0,0,48,0,0,0,82,0,0,0,52,0,0,0,53,0,0,0,48,1,0,0,55,0,0,0,143,0,0,0,61,0,0,0,57,0,0,0,55,0,0,0,56,0,0,0,58,0,0,0,64,4,0,0,61,0,0,0,21,0,0,0,0,0,0,0,152,87,0,0,246,5,0,0,248,5,0,0,29,0,0,0,4,0,0,0,5,0,0,0,8,0,0,0,6,0,0,0,7,0,0,0,53,0,0,0,54,0,0,0,48,0,0,0,49,0,0,0,52,0,0,0,53,0,0,0,54,0,0,0,55,0,0,0,56,0,0,0,61,0,0,0,57,0,0,0,55,0,0,0,56,0,0,0,58,0,0,0,64,4,0,0,29,0,0,0,21,0,0,0,72,186,13,0,42,43,7,0,72,41,7,0,239,0,0,0,1,0,0,0,68,186,13,0,206,71,7,0,0,0,0,0,0,0,0,0,184,87,0,0,47,0,0,0,249,5,0,0,250,5,0,0,49,1,0,0,251,5,0,0,0,0,0,0,200,87,0,0,252,5,0,0,253,5,0,0,29,0,0,0,4,0,0,0,5,0,0,0,8,0,0,0,6,0,0,0,7,0,0,0,53,0,0,0,144,0,0,0,48,0,0,0,83,0,0,0,52,0,0,0,53,0,0,0,50,1,0,0,145,0,0,0,56,0,0,0,61,0,0,0,57,0,0,0,55,0,0,0,56,0,0,0,58,0,0,0,64,4,0,0,62,0,0,0,21,0,0,0,80,186,13,0,86,46,7,0,171,44,7,0,99,0,0,0,1,0,0,0,76,186,13,0,206,71,7,0,0,0,0,0,86,46,7,0,171,44,7,0,135,0,0,0,4,0,0,0,180,223,17,0,242,46,7,0,232,46,7,0,86,46,7,0,171,44,7,0,135,0,0,0,4,0,0,0,180,223,17,0,222,46,7,0,232,46,7,0,86,46,7,0,171,44,7,0,136,0,0,0,4,0,0,0,180,223,17,0,214,46,7,0,205,46,7,0,86,46,7,0,171,44,7,0,136,0,0,0,4,0,0,0,180,223,17,0,196,46,7,0,205,46,7,0,0,0,0,0,232,87,0,0,47,0,0,0,254,5,0,0,255,5,0,0,51,1,0,0,0,6,0,0,0,0,0,0,248,87,0,0,1,6,0,0,2,6,0,0,29,0,0,0,4,0,0,0,5,0,0,0,8,0,0,0,6,0,0,0,7,0,0,0,53,0,0,0,146,0,0,0,48,0,0,0,84,0,0,0,52,0,0,0,53,0,0,0,52,1,0,0,55,0,0,0,147,0,0,0,61,0,0,0,57,0,0,0,55,0,0,0,56,0,0,0,58,0,0,0,64,4,0,0,63,0,0,0,21,0,0,0,88,186,13,0,250,50,7,0,54,48,7,0,48,1,0,0,1,0,0,0,84,186,13,0,206,71,7,0,0,0,0,0,0,0,0,0,8,88,0,0,30,0,0,0,3,6,0,0,118,2,0,0,0,0,0,0,56,88,0,0,4,6,0,0,5,6,0,0,29,0,0,0,4,0,0,0,5,0,0,0,8,0,0,0,6,0,0,0,7,0,0,0,53,0,0,0,148,0,0,0,48,0,0,0,85,0,0,0,52,0,0,0,53,0,0,0,53,1,0,0,149,0,0,0,150,0,0,0,64,0,0,0,57,0,0,0,54,1,0,0,55,1,0,0,58,0,0,0,64,4,0,0,64,0,0,0,126,0,0,0,86,0,0,0,0,0,0,0,24,75,0,0,6,6,0,0,7,6,0,0,29,0,0,0,4,0,0,0,5,0,0,0,8,0,0,0,6,0,0,0,7,0,0,0,53,0,0,0,54,0,0,0,48,0,0,0,49,0,0,0,52,0,0,0,53,0,0,0,54,0,0,0,55,0,0,0,56,0,0,0,61,0,0,0,57,0,0,0,55,0,0,0,56,0,0,0,58,0,0,0,64,4,0,0,29,0,0,0,21,0,0,0,0,0,0,0,40,88,0,0,47,0,0,0,8,6,0,0,9,6,0,0,56,1,0,0,10,6,0,0,96,186,13,0,117,56,7,0,151,52,7,0,236,3,0,0,1,0,0,0,92,186,13,0,206,71,7,0,0,0,0,0,0,0,0,0,72,88,0,0,11,6,0,0,12,6,0,0,119,2,0,0,0,0,0,0,88,88,0,0,6,6,0,0,13,6,0,0,29,0,0,0,4,0,0,0,5,0,0,0,8,0,0,0,6,0,0,0,7,0,0,0,53,0,0,0,151,0,0,0,48,0,0,0,49,0,0,0,52,0,0,0,53,0,0,0,54,0,0,0,55,0,0,0,56,0,0,0,64,0,0,0,57,0,0,0,55,0,0,0,56,0,0,0,58,0,0,0,64,4,0,0,29,0,0,0,21,0,0,0,1,0,0,0,0,0,0,0,120,88,0,0,14,6,0,0,15,6,0,0,29,0,0,0,4,0,0,0,5,0,0,0,8,0,0,0,6,0,0,0,7,0,0,0,53,0,0,0,152,0,0,0,48,0,0,0,87,0,0,0,52,0,0,0,53,0,0,0,57,1,0,0,153,0,0,0,154,0,0,0,64,0,0,0,57,0,0,0,55,0,0,0,56,0,0,0,58,0,0,0,64,4,0,0,65,0,0,0,127,0,0,0,88,0,0,0,0,0,0,0,104,88,0,0,47,0,0,0,16,6,0,0,17,6,0,0,58,1,0,0,18,6,0,0,104,186,13,0,113,61,7,0,151,52,7,0,249,5,0,0,1,0,0,0,100,186,13,0,206,71,7,0,0,0,0,0,0,0,0,0,152,88,0,0,30,0,0,0,19,6,0,0,120,2,0,0,0,0,0,0,136,88,0,0,30,0,0,0,20,6,0,0,121,2,0,0,0,0,0,0,184,88,0,0,47,0,0,0,21,6,0,0,22,6,0,0,59,1,0,0,23,6,0,0,0,0,0,0,200,88,0,0,24,6,0,0,25,6,0,0,29,0,0,0,4,0,0,0,5,0,0,0,8,0,0,0,6,0,0,0,7,0,0,0,53,0,0,0,155,0,0,0,48,0,0,0,89,0,0,0,60,1,0,0,61,1,0,0,54,0,0,0,55,0,0,0,56,0,0,0,61,0,0,0,57,0,0,0,55,0,0,0,56,0,0,0,58,0,0,0,64,4,0,0,66,0,0,0,21,0,0,0,90,0,0,0,122,2,0,0,123,2,0,0,124,2,0,0,112,186,13,0,160,66,7,0,234,62,7,0,3,1,0,0,1,0,0,0,108,186,13,0,206,71,7,0,0,0,0,0,0,0,0,0,216,88,0,0,47,0,0,0,26,6,0,0,27,6,0,0,62,1,0,0,28,6,0,0,0,0,0,0,248,88,0,0,29,6,0,0,30,6,0,0,29,0,0,0,4,0,0,0,5,0,0,0,8,0,0,0,6,0,0,0,7,0,0,0,53,0,0,0,156,0,0,0,48,0,0,0,91,0,0,0,52,0,0,0,53,0,0,0,63,1,0,0,55,0,0,0,157,0,0,0,61,0,0,0,57,0,0,0,55,0,0,0,56,0,0,0,58,0,0,0,64,4,0,0,67,0,0,0,21,0,0,0,0,0,0,0,232,88,0,0,31,6,0,0,32,6,0,0,29,0,0,0,4,0,0,0,5,0,0,0,8,0,0,0,6,0,0,0,7,0,0,0,53,0,0,0,54,0,0,0,48,0,0,0,49,0,0,0,52,0,0,0,53,0,0,0,54,0,0,0,55,0,0,0,56,0,0,0,61,0,0,0,57,0,0,0,55,0,0,0,56,0,0,0,58,0,0,0,64,4,0,0,29,0,0,0,21,0,0,0,120,186,13,0,68,69,7,0,246,68,7,0,137,0,0,0,1,0,0,0,116,186,13,0,206,71,7,0,0,0,0,0,0,0,0,0,8,89,0,0,47,0,0,0,33,6,0,0,34,6,0,0,64,1,0,0,35,6,0,0,0,0,0,0,24,89,0,0,62,4,0,0,36,6,0,0,29,0,0,0,4,0,0,0,5,0,0,0,8,0,0,0,6,0,0,0,7,0,0,0,53,0,0,0,54,0,0,0,48,0,0,0,92,0,0,0,52,0,0,0,53,0,0,0,54,0,0,0,55,0,0,0,56,0,0,0,61,0,0,0,57,0,0,0,55,0,0,0,56,0,0,0,58,0,0,0,64,4,0,0,68,0,0,0,21,0,0,0,128,186,13,0,211,71,7,0,44,71,7,0,83,0,0,0,1,0,0,0,124,186,13,0,206,71,7,0,0,0,0,0,255,255,255,255,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,8,0,0,0,24,0,0,0,16,0,0,0,20,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,4,0,0,0,8,0,0,0,0,0,0,0,1,0,0,0,255,255,255,255,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,8,0,0,0,92,0,0,0,24,0,0,0,40,0,0,0,56,0,0,0,255,255,255,255,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,24,0,0,0,8,0,0,0,255,255,255,255,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,8,0,0,0,12,0,0,0,0,0,0,0,56,89,0,0,37,6,0,0,38,6,0,0,198,0,0,0,147,1,0,0,65,1,0,0,148,1,0,0,149,1,0,0,39,6,0,0,150,1,0,0,199,0,0,0,200,0,0,0,66,1,0,0,151,1,0,0,125,2,0,0,64,0,0,0,152,1,0,0,128,0,0,0,44,0,0,0,126,2,0,0,127,2,0,0,83,4,0,0,45,0,0,0,128,2,0,0,46,0,0,0,129,2,0,0,0,0,0,0,255,255,255,255,44,0,0,0,7,0,0,0,14,0,0,0,24,0,0,0,16,0,0,0,255,255,255,255,100,0,0,0,26,0,0,0,255,255,255,255,32,0,0,0,33,0,0,0,255,255,255,255,20,0,0,0,160,65,8,0,208,65,8,0,232,65,8,0,80,66,8,0,112,66,8,0,0,0,0,0,72,89,0,0,40,6,0,0,41,6,0,0,198,0,0,0,153,1,0,0,67,1,0,0,154,1,0,0,155,1,0,0,42,6,0,0,156,1,0,0,199,0,0,0,200,0,0,0,68,1,0,0,157,1,0,0,130,2,0,0,64,0,0,0,158,1,0,0,129,0,0,0,44,0,0,0,131,2,0,0,132,2,0,0,83,4,0,0,45,0,0,0,133,2,0,0,46,0,0,0,134,2,0,0,0,0,0,0,88,89,0,0,43,6,0,0,44,6,0,0,198,0,0,0,159,1,0,0,69,1,0,0,160,1,0,0,161,1,0,0,45,6,0,0,162,1,0,0,199,0,0,0,200,0,0,0,70,1,0,0,163,1,0,0,135,2,0,0,64,0,0,0,164,1,0,0,130,0,0,0,44,0,0,0,136,2,0,0,137,2,0,0,83,4,0,0,45,0,0,0,138,2,0,0,46,0,0,0,139,2,0,0,0,0,0,0,104,89,0,0,46,6,0,0,47,6,0,0,198,0,0,0,165,1,0,0,71,1,0,0,166,1,0,0,167,1,0,0,48,6,0,0,168,1,0,0,199,0,0,0,200,0,0,0,72,1,0,0,169,1,0,0,140,2,0,0,64,0,0,0,170,1,0,0,131,0,0,0,44,0,0,0,141,2,0,0,142,2,0,0,83,4,0,0,45,0,0,0,143,2,0,0,46,0,0,0,144,2,0,0,0,0,0,0,120,89,0,0,49,6,0,0,50,6,0,0,73,1,0,0,132,0,0,0,74,1,0,0,27,0,0,0,223,0,0,0,224,0,0,0,171,1,0,0,172,1,0,0,51,6,0,0,52,6,0,0,225,0,0,0,226,0,0,0,61,0,0,0,227,0,0,0,173,1,0,0,174,1,0,0,145,2,0,0,0,0,0,0,136,89,0,0,53,6,0,0,54,6,0,0,146,2,0,0,175,1,0,0,75,1,0,0,176,1,0,0,55,0,0,0,55,6,0,0,177,1,0,0,199,0,0,0,147,2,0,0,76,1,0,0,178,1,0,0,148,2,0,0,64,0,0,0,179,1,0,0,133,0,0,0,44,0,0,0,214,0,0,0,149,2,0,0,83,4,0,0,180,1,0,0,216,0,0,0,46,0,0,0,150,2,0,0,181,1,0,0,182,1,0,0,0,0,0,0,168,89,0,0,53,6,0,0,56,6,0,0,146,2,0,0,175,1,0,0,75,1,0,0,176,1,0,0,55,0,0,0,55,6,0,0,177,1,0,0,199,0,0,0,147,2,0,0,76,1,0,0,178,1,0,0,148,2,0,0,64,0,0,0,179,1,0,0,133,0,0,0,44,0,0,0,214,0,0,0,229,0,0,0,83,4,0,0,180,1,0,0,216,0,0,0,46,0,0,0,1,0,0,0,181,1,0,0,182,1,0,0,0,0,0,0,152,89,0,0,57,6,0,0,58,6,0,0,146,2,0,0,175,1,0,0,75,1,0,0,176,1,0,0,55,0,0,0,55,6,0,0,177,1,0,0,199,0,0,0,147,2,0,0,76,1,0,0,178,1,0,0,148,2,0,0,64,0,0,0,179,1,0,0,133,0,0,0,44,0,0,0,214,0,0,0,229,0,0,0,83,4,0,0,180,1,0,0,216,0,0,0,46,0,0,0,1,0,0,0,181,1,0,0,182,1,0,0,0,0,0,0,184,89,0,0,53,6,0,0,59,6,0,0,146,2,0,0,175,1,0,0,75,1,0,0,176,1,0,0,55,0,0,0,55,6,0,0,177,1,0,0,199,0,0,0,147,2,0,0,76,1,0,0,178,1,0,0,148,2,0,0,64,0,0,0,179,1,0,0,133,0,0,0,44,0,0,0,214,0,0,0,149,2,0,0,83,4,0,0,180,1,0,0,216,0,0,0,46,0,0,0,150,2,0,0,183,1,0,0,184,1,0,0,255,255,255,255,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,8,0,0,0,12,0,0,0,28,0,0,0,16,0,0,0,20,0,0,0,24,0,0,0,32,0,0,0,255,255,255,255,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,8,0,0,0,12,0,0,0,20,0,0,0,16,0,0,0,40,0,0,0,32,0,0,0,24,0,0,0,255,255,255,255,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,56,0,0,0,8,0,0,0,24,0,0,0,40,0,0,0,68,0,0,0,60,0,0,0,64,0,0,0,72,0,0,0,73,0,0,0,74,0,0,0,75,0,0,0,255,255,255,255,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,12,0,0,0,8,0,0,0,255,255,255,255,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,8,0,0,0,0,0,0,0,200,89,0,0,60,6,0,0,61,6,0,0,198,0,0,0,185,1,0,0,77,1,0,0,186,1,0,0,187,1,0,0,62,6,0,0,188,1,0,0,199,0,0,0,200,0,0,0,78,1,0,0,189,1,0,0,151,2,0,0,64,0,0,0,190,1,0,0,134,0,0,0,44,0,0,0,152,2,0,0,153,2,0,0,83,4,0,0,45,0,0,0,154,2,0,0,46,0,0,0,155,2,0,0,0,0,0,0,255,255,255,255,40,0,0,0,12,0,0,0,255,255,255,255,48,0,0,0,24,0,0,0,255,255,255,255,80,0,0,0,40,0,0,0,255,255,255,255,20,0,0,0,47,0,0,0,255,255,255,255,28,0,0,0,176,66,8,0,216,66,8,0,8,67,8,0,88,67,8,0,112,67,8,0,0,0,0,0,216,89,0,0,63,6,0,0,64,6,0,0,198,0,0,0,191,1,0,0,79,1,0,0,192,1,0,0,193,1,0,0,65,6,0,0,194,1,0,0,199,0,0,0,200,0,0,0,80,1,0,0,195,1,0,0,156,2,0,0,64,0,0,0,196,1,0,0,135,0,0,0,44,0,0,0,157,2,0,0,158,2,0,0,83,4,0,0,45,0,0,0,159,2,0,0,46,0,0,0,160,2,0,0,0,0,0,0,232,89,0,0,66,6,0,0,67,6,0,0,198,0,0,0,197,1,0,0,81,1,0,0,198,1,0,0,199,1,0,0,68,6,0,0,200,1,0,0,199,0,0,0,200,0,0,0,82,1,0,0,201,1,0,0,161,2,0,0,64,0,0,0,202,1,0,0,136,0,0,0,44,0,0,0,162,2,0,0,163,2,0,0,83,4,0,0,45,0,0,0,164,2,0,0,46,0,0,0,165,2,0,0,0,0,0,0,248,89,0,0,69,6,0,0,70,6,0,0,198,0,0,0,203,1,0,0,83,1,0,0,204,1,0,0,205,1,0,0,71,6,0,0,206,1,0,0,199,0,0,0,200,0,0,0,84,1,0,0,207,1,0,0,166,2,0,0,64,0,0,0,208,1,0,0,137,0,0,0,44,0,0,0,167,2,0,0,168,2,0,0,83,4,0,0,45,0,0,0,169,2,0,0,46,0,0,0,170,2,0,0,0,0,0,0,8,90,0,0,72,6,0,0,73,6,0,0,198,0,0,0,209,1,0,0,85,1,0,0,210,1,0,0,211,1,0,0,74,6,0,0,212,1,0,0,199,0,0,0,200,0,0,0,86,1,0,0,213,1,0,0,171,2,0,0,64,0,0,0,214,1,0,0,138,0,0,0,44,0,0,0,172,2,0,0,173,2,0,0,83,4,0,0,45,0,0,0,174,2,0,0,46,0,0,0,175,2,0,0,255,255,255,255,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,24,0,0,0,28,0,0,0,8,0,0,0,0,0,0,0,24,90,0,0,75,6,0,0,76,6,0,0,198,0,0,0,215,1,0,0,87,1,0,0,216,1,0,0,217,1,0,0,77,6,0,0,218,1,0,0,199,0,0,0,200,0,0,0,88,1,0,0,219,1,0,0,176,2,0,0,64,0,0,0,220,1,0,0,139,0,0,0,44,0,0,0,177,2,0,0,178,2,0,0,83,4,0,0,45,0,0,0,179,2,0,0,46,0,0,0,180,2,0,0,0,0,0,0,255,255,255,255,36,0,0,0,184,67,8,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,88,0,0,0,100,0,0,0,96,0,0,0,124,0,0,0,120,0,0,0,112,0,0,0,92,0,0,0,104,0,0,0,108,0,0,0,16,0,0,0,28,0,0,0,40,0,0,0,56,0,0,0,72,0,0,0,0,0,0,0,3,0,0,0,2,0,0,0,8,0,0,0,7,0,0,0,6,0,0,0,1,0,0,0,4,0,0,0,5,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,24,0,0,0,20,0,0,0,0,0,0,0,2,0,0,0,1,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,32,0,0,0,64,0,0,0,68,0,0,0,76,0,0,0,48,0,0,0,72,0,0,0,255,255,255,255,255,255,255,255,0,0,0,0,1,0,0,0,3,0,0,0,255,255,255,255,2,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,72,0,0,0,16,0,0,0,48,0,0,0,52,0,0,0,56,0,0,0,80,0,0,0,60,0,0,0,64,0,0,0,32,0,0,0,5,0,0,0,255,255,255,255,0,0,0,0,1,0,0,0,2,0,0,0,6,0,0,0,3,0,0,0,4,0,0,0,255,255,255,255,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,20,0,0,0,0,0,0,0,1,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,96,0,0,0,32,0,0,0,100,0,0,0,48,0,0,0,64,0,0,0,80,0,0,0,255,255,255,255,0,0,0,0,255,255,255,255,1,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,24,0,0,0,0,0,0,0,1,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,140,0,0,0,136,0,0,0,28,0,0,0,44,0,0,0,60,0,0,0,76,0,0,0,124,0,0,0,132,0,0,0,128,0,0,0,92,0,0,0,108,0,0,0,255,255,255,255,4,0,0,0,3,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,0,0,0,0,2,0,0,0,1,0,0,0,255,255,255,255,255,255,255,255,8,0,0,0,4,0,0,0,255,255,255,255,32,0,0,0,255,255,255,255,40,0,0,0,48,0,0,0,16,0,0,0,24,0,0,0,255,255,255,255,255,255,255,255,0,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,255,255,255,255,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,20,0,0,0,16,0,0,0,1,0,0,0,0,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,24,0,0,0,255,255,255,255,32,0,0,0,16,0,0,0,20,0,0,0,255,255,255,255,0,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,24,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,40,90,0,0,78,6,0,0,79,6,0,0,198,0,0,0,221,1,0,0,89,1,0,0,119,0,0,0,55,0,0,0,80,6,0,0,222,1,0,0,199,0,0,0,200,0,0,0,90,1,0,0,223,1,0,0,181,2,0,0,64,0,0,0,224,1,0,0,140,0,0,0,44,0,0,0,182,2,0,0,183,2,0,0,83,4,0,0,45,0,0,0,184,2,0,0,46,0,0,0,185,2,0,0,0,0,0,0,19,0,0,0,128,0,0,0,33,0,0,0,41,0,0,0,28,0,0,0,44,0,0,0,56,0,0,0,80,0,0,0,63,0,0,0,77,0,0,0,88,0,0,0,86,0,0,0,93,0,0,0,24,0,0,0,95,0,0,0,107,0,0,0,104,0,0,0,114,0,0,0,121,0,0,0,32,0,0,0,123,0,0,0,140,0,0,0,144,0,0,0,152,0,0,0,161,0,0,0,40,0,0,0,164,0,0,0,170,0,0,0,32,0,0,0,171,0,0,0,178,0,0,0,24,0,0,0,180,0,0,0,188,0,0,0,28,0,0,0,190,0,0,0,197,0,0,0,32,0,0,0,232,67,8,0,104,68,8,0,136,68,8,0,216,68,8,0,48,69,8,0,72,69,8,0,176,69,8,0,208,69,8,0,96,70,8,0,152,70,8,0,184,70,8,0,208,70,8,0,248,70,8,0,0,0,0,0,56,90,0,0,81,6,0,0,82,6,0,0,198,0,0,0,225,1,0,0,91,1,0,0,119,0,0,0,55,0,0,0,83,6,0,0,226,1,0,0,199,0,0,0,200,0,0,0,92,1,0,0,227,1,0,0,186,2,0,0,64,0,0,0,228,1,0,0,141,0,0,0,44,0,0,0,187,2,0,0,188,2,0,0,83,4,0,0,45,0,0,0,189,2,0,0,46,0,0,0,190,2,0,0,0,0,0,0,72,90,0,0,84,6,0,0,85,6,0,0,198,0,0,0,229,1,0,0,93,1,0,0,119,0,0,0,55,0,0,0,86,6,0,0,230,1,0,0,199,0,0,0,200,0,0,0,94,1,0,0,231,1,0,0,191,2,0,0,64,0,0,0,232,1,0,0,142,0,0,0,44,0,0,0,192,2,0,0,193,2,0,0,83,4,0,0,45,0,0,0,194,2,0,0,46,0,0,0,195,2,0,0,0,0,0,0,88,90,0,0,87,6,0,0,88,6,0,0,198,0,0,0,233,1,0,0,95,1,0,0,119,0,0,0,55,0,0,0,89,6,0,0,234,1,0,0,199,0,0,0,200,0,0,0,96,1,0,0,235,1,0,0,196,2,0,0,64,0,0,0,236,1,0,0,143,0,0,0,44,0,0,0,197,2,0,0,198,2,0,0,83,4,0,0,45,0,0,0,199,2,0,0,46,0,0,0,200,2,0,0,0,0,0,0,104,90,0,0,90,6,0,0,91,6,0,0,198,0,0,0,237,1,0,0,97,1,0,0,119,0,0,0,55,0,0,0,92,6,0,0,238,1,0,0,199,0,0,0,200,0,0,0,98,1,0,0,239,1,0,0,201,2,0,0,64,0,0,0,240,1,0,0,144,0,0,0,44,0,0,0,202,2,0,0,203,2,0,0,83,4,0,0,45,0,0,0,204,2,0,0,46,0,0,0,205,2,0,0,0,0,0,0,120,90,0,0,93,6,0,0,94,6,0,0,198,0,0,0,241,1,0,0,99,1,0,0,119,0,0,0,55,0,0,0,95,6,0,0,242,1,0,0,199,0,0,0,200,0,0,0,100,1,0,0,243,1,0,0,206,2,0,0,64,0,0,0,244,1,0,0,145,0,0,0,44,0,0,0,207,2,0,0,208,2,0,0,83,4,0,0,45,0,0,0,209,2,0,0,46,0,0,0,210,2,0,0,0,0,0,0,136,90,0,0,96,6,0,0,97,6,0,0,198,0,0,0,245,1,0,0,101,1,0,0,119,0,0,0,55,0,0,0,98,6,0,0,246,1,0,0,199,0,0,0,200,0,0,0,102,1,0,0,247,1,0,0,211,2,0,0,64,0,0,0,248,1,0,0,146,0,0,0,44,0,0,0,212,2,0,0,213,2,0,0,83,4,0,0,45,0,0,0,214,2,0,0,46,0,0,0,215,2,0,0,0,0,0,0,152,90,0,0,99,6,0,0,100,6,0,0,198,0,0,0,249,1,0,0,103,1,0,0,119,0,0,0,55,0,0,0,101,6,0,0,250,1,0,0,199,0,0,0,200,0,0,0,104,1,0,0,251,1,0,0,216,2,0,0,64,0,0,0,252,1,0,0,147,0,0,0,44,0,0,0,217,2,0,0,218,2,0,0,83,4,0,0,45,0,0,0,219,2,0,0,46,0,0,0,220,2,0,0,0,0,0,0,168,90,0,0,102,6,0,0,103,6,0,0,198,0,0,0,253,1,0,0,105,1,0,0,119,0,0,0,55,0,0,0,104,6,0,0,254,1,0,0,199,0,0,0,200,0,0,0,106,1,0,0,255,1,0,0,221,2,0,0,64,0,0,0,0,2,0,0,148,0,0,0,44,0,0,0,222,2,0,0,223,2,0,0,83,4,0,0,45,0,0,0,224,2,0,0,46,0,0,0,225,2,0,0,0,0,0,0,184,90,0,0,105,6,0,0,106,6,0,0,198,0,0,0,1,2,0,0,107,1,0,0,119,0,0,0,55,0,0,0,107,6,0,0,2,2,0,0,199,0,0,0,200,0,0,0,108,1,0,0,3,2,0,0,226,2,0,0,64,0,0,0,4,2,0,0,149,0,0,0,44,0,0,0,227,2,0,0,228,2,0,0,83,4,0,0,45,0,0,0,229,2,0,0,46,0,0,0,230,2,0,0,0,0,0,0,200,90,0,0,108,6,0,0,109,6,0,0,198,0,0,0,5,2,0,0,109,1,0,0,119,0,0,0,55,0,0,0,110,6,0,0,6,2,0,0,199,0,0,0,200,0,0,0,110,1,0,0,7,2,0,0,231,2,0,0,64,0,0,0,8,2,0,0,150,0,0,0,44,0,0,0,232,2,0,0,233,2,0,0,83,4,0,0,45,0,0,0,234,2,0,0,46,0,0,0,235,2,0,0,0,0,0,0,216,90,0,0,111,6,0,0,112,6,0,0,198,0,0,0,9,2,0,0,111,1,0,0,119,0,0,0,55,0,0,0,113,6,0,0,10,2,0,0,199,0,0,0,200,0,0,0,112,1,0,0,11,2,0,0,236,2,0,0,64,0,0,0,12,2,0,0,151,0,0,0,44,0,0,0,237,2,0,0,238,2,0,0,83,4,0,0,45,0,0,0,239,2,0,0,46,0,0,0,240,2,0,0,0,0,0,0,232,90,0,0,114,6,0,0,115,6,0,0,198,0,0,0,13,2,0,0,113,1,0,0,119,0,0,0,55,0,0,0,116,6,0,0,14,2,0,0,199,0,0,0,200,0,0,0,114,1,0,0,15,2,0,0,241,2,0,0,64,0,0,0,16,2,0,0,152,0,0,0,44,0,0,0,242,2,0,0,243,2,0,0,83,4,0,0,45,0,0,0,244,2,0,0,46,0,0,0,245,2,0,0,9,106,7,0,25,106,7,0,180,223,17,0,36,106,7,0,47,106,7,0,60,106,7,0,71,106,7,0,91,106,7,0,104,106,7,0,180,223,17,0,0,0,0,0,150,48,7,119,44,97,14,238,186,81,9,153,25,196,109,7,143,244,106,112,53,165,99,233,163,149,100,158,50,136,219,14,164,184,220,121,30,233,213,224,136,217,210,151,43,76,182,9,189,124,177,126,7,45,184,231,145,29,191,144,100,16,183,29,242,32,176,106,72,113,185,243,222,65,190,132,125,212,218,26,235,228,221,109,81,181,212,244,199,133,211,131,86,152,108,19,192,168,107,100,122,249,98,253,236,201,101,138,79,92,1,20,217,108,6,99,99,61,15,250,245,13,8,141,200,32,110,59,94,16,105,76,228,65,96,213,114,113,103,162,209,228,3,60,71,212,4,75,253,133,13,210,107,181,10,165,250,168,181,53,108,152,178,66,214,201,187,219,64,249,188,172,227,108,216,50,117,92,223,69,207,13,214,220,89,61,209,171,172,48,217,38,58,0,222,81,128,81,215,200,22,97,208,191,181,244,180,33,35,196,179,86,153,149,186,207,15,165,189,184,158,184,2,40,8,136,5,95,178,217,12,198,36,233,11,177,135,124,111,47,17,76,104,88,171,29,97,193,61,45,102,182,144,65,220,118,6,113,219,1,188,32,210,152,42,16,213,239,137,133,177,113,31,181,182,6,165,228,191,159,51,212,184,232,162,201,7,120,52,249,0,15,142,168,9,150,24,152,14,225,187,13,106,127,45,61,109,8,151,108,100,145,1,92,99,230,244,81,107,107,98,97,108,28,216,48,101,133,78,0,98,242,237,149,6,108,123,165,1,27,193,244,8,130,87,196,15,245,198,217,176,101,80,233,183,18,234,184,190,139,124,136,185,252,223,29,221,98,73,45,218,21,243,124,211,140,101,76,212,251,88,97,178,77,206,81,181,58,116,0,188,163,226,48,187,212,65,165,223,74,215,149,216,61,109,196,209,164,251,244,214,211,106,233,105,67,252,217,110,52,70,136,103,173,208,184,96,218,115,45,4,68,229,29,3,51,95,76,10,170,201,124,13,221,60,113,5,80,170,65,2,39,16,16,11,190,134,32,12,201,37,181,104,87,179,133,111,32,9,212,102,185,159,228,97,206,14,249,222,94,152,201,217,41,34,152,208,176,180,168,215,199,23,61,179,89,129,13,180,46,59,92,189,183,173,108,186,192,32,131,184,237,182,179,191,154,12,226,182,3,154,210,177,116,57,71,213,234,175,119,210,157,21,38,219,4,131,22,220,115,18,11,99,227,132,59,100,148,62,106,109,13,168,90,106,122,11,207,14,228,157,255,9,147,39,174,0,10,177,158,7,125,68,147,15,240,210,163,8,135,104,242,1,30,254,194,6,105,93,87,98,247,203,103,101,128,113,54,108,25,231,6,107,110,118,27,212,254,224,43,211,137,90,122,218,16,204,74,221,103,111,223,185,249,249,239,190,142,67,190,183,23,213,142,176,96,232,163,214,214,126,147,209,161,196,194,216,56,82,242,223,79,241,103,187,209,103,87,188,166,221,6,181,63,75,54,178,72,218,43,13,216,76,27,10,175,246,74,3,54,96,122,4,65,195,239,96,223,85,223,103,168,239,142,110,49,121,190,105,70,140,179,97,203,26,131,102,188,160,210,111,37,54,226,104,82,149,119,12,204,3,71,11,187,185,22,2,34,47,38,5,85,190,59,186,197,40,11,189,178,146,90,180,43,4,106,179,92,167,255,215,194,49,207,208,181,139,158,217,44,29,174,222,91,176,194,100,155,38,242,99,236,156,163,106,117,10,147,109,2,169,6,9,156,63,54,14,235,133,103,7,114,19,87,0,5,130,74,191,149,20,122,184,226,174,43,177,123,56,27,182,12,155,142,210,146,13,190,213,229,183,239,220,124,33,223,219,11,212,210,211,134],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+133124);allocate([66,226,212,241,248,179,221,104,110,131,218,31,205,22,190,129,91,38,185,246,225,119,176,111,119,71,183,24,230,90,8,136,112,106,15,255,202,59,6,102,92,11,1,17,255,158,101,143,105,174,98,248,211,255,107,97,69,207,108,22,120,226,10,160,238,210,13,215,84,131,4,78,194,179,3,57,97,38,103,167,247,22,96,208,77,71,105,73,219,119,110,62,74,106,209,174,220,90,214,217,102,11,223,64,240,59,216,55,83,174,188,169,197,158,187,222,127,207,178,71,233,255,181,48,28,242,189,189,138,194,186,202,48,147,179,83,166,163,180,36,5,54,208,186,147,6,215,205,41,87,222,84,191,103,217,35,46,122,102,179,184,74,97,196,2,27,104,93,148,43,111,42,55,190,11,180,161,142,12,195,27,223,5,90,141,239,2,45,0,0,0,0,65,49,27,25,130,98,54,50,195,83,45,43,4,197,108,100,69,244,119,125,134,167,90,86,199,150,65,79,8,138,217,200,73,187,194,209,138,232,239,250,203,217,244,227,12,79,181,172,77,126,174,181,142,45,131,158,207,28,152,135,81,18,194,74,16,35,217,83,211,112,244,120,146,65,239,97,85,215,174,46,20,230,181,55,215,181,152,28,150,132,131,5,89,152,27,130,24,169,0,155,219,250,45,176,154,203,54,169,93,93,119,230,28,108,108,255,223,63,65,212,158,14,90,205,162,36,132,149,227,21,159,140,32,70,178,167,97,119,169,190,166,225,232,241,231,208,243,232,36,131,222,195,101,178,197,218,170,174,93,93,235,159,70,68,40,204,107,111,105,253,112,118,174,107,49,57,239,90,42,32,44,9,7,11,109,56,28,18,243,54,70,223,178,7,93,198,113,84,112,237,48,101,107,244,247,243,42,187,182,194,49,162,117,145,28,137,52,160,7,144,251,188,159,23,186,141,132,14,121,222,169,37,56,239,178,60,255,121,243,115,190,72,232,106,125,27,197,65,60,42,222,88,5,79,121,240,68,126,98,233,135,45,79,194,198,28,84,219,1,138,21,148,64,187,14,141,131,232,35,166,194,217,56,191,13,197,160,56,76,244,187,33,143,167,150,10,206,150,141,19,9,0,204,92,72,49,215,69,139,98,250,110,202,83,225,119,84,93,187,186,21,108,160,163,214,63,141,136,151,14,150,145,80,152,215,222,17,169,204,199,210,250,225,236,147,203,250,245,92,215,98,114,29,230,121,107,222,181,84,64,159,132,79,89,88,18,14,22,25,35,21,15,218,112,56,36,155,65,35,61,167,107,253,101,230,90,230,124,37,9,203,87,100,56,208,78,163,174,145,1,226,159,138,24,33,204,167,51,96,253,188,42,175,225,36,173,238,208,63,180,45,131,18,159,108,178,9,134,171,36,72,201,234,21,83,208,41,70,126,251,104,119,101,226,246,121,63,47,183,72,36,54,116,27,9,29,53,42,18,4,242,188,83,75,179,141,72,82,112,222,101,121,49,239,126,96,254,243,230,231,191,194,253,254,124,145,208,213,61,160,203,204,250,54,138,131,187,7,145,154,120,84,188,177,57,101,167,168,75,152,131,59,10,169,152,34,201,250,181,9,136,203,174,16,79,93,239,95,14,108,244,70,205,63,217,109,140,14,194,116,67,18,90,243,2,35,65,234,193,112,108,193,128,65,119,216,71,215,54,151,6,230,45,142,197,181,0,165,132,132,27,188,26,138,65,113,91,187,90,104,152,232,119,67,217,217,108,90,30,79,45,21,95,126,54,12,156,45,27,39,221,28,0,62,18,0,152,185,83,49,131,160,144,98,174,139,209,83,181,146,22,197,244,221,87,244,239,196,148,167,194,239,213,150,217,246,233,188,7,174,168,141,28,183,107,222,49,156,42,239,42,133,237,121,107,202,172,72,112,211,111,27,93,248,46,42,70,225,225,54,222,102,160,7,197,127,99,84,232,84,34,101,243,77,229,243,178,2,164,194,169,27,103,145,132,48,38,160,159,41,184,174,197,228,249,159,222,253,58,204,243,214,123,253,232,207,188,107,169,128,253,90,178,153,62,9,159,178,127,56,132,171,176,36,28,44,241,21,7,53,50,70,42,30,115,119,49,7,180,225,112,72,245,208,107,81,54,131,70,122,119,178,93,99,78,215,250,203,15,230,225,210,204,181,204,249,141,132,215,224,74,18,150,175,11,35,141,182,200,112,160,157,137,65,187,132,70,93,35,3,7,108,56,26,196,63,21,49,133,14,14,40,66,152,79,103,3,169,84,126,192,250,121,85,129,203,98,76,31,197,56,129,94,244,35,152,157,167,14,179,220,150,21,170,27,0,84,229,90,49,79,252,153,98,98,215,216,83,121,206,23,79,225,73,86,126,250,80,149,45,215,123,212,28,204,98,19,138,141,45,82,187,150,52,145,232,187,31,208,217,160,6,236,243,126,94,173,194,101,71,110,145,72,108,47,160,83,117,232,54,18,58,169,7,9,35,106,84,36,8,43,101,63,17,228,121,167,150,165,72,188,143,102,27,145,164,39,42,138,189,224,188,203,242,161,141,208,235,98,222,253,192,35,239,230,217,189,225,188,20,252,208,167,13,63,131,138,38,126,178,145,63,185,36,208,112,248,21,203,105,59,70,230,66,122,119,253,91,181,107,101,220,244,90,126,197,55,9,83,238,118,56,72,247,177,174,9,184,240,159,18,161,51,204,63,138,114,253,36,147,0,0,0,0,55,106,194,1,110,212,132,3,89,190,70,2,220,168,9,7,235,194,203,6,178,124,141,4,133,22,79,5,184,81,19,14,143,59,209,15,214,133,151,13,225,239,85,12,100,249,26,9,83,147,216,8,10,45,158,10,61,71,92,11,112,163,38,28,71,201,228,29,30,119,162,31,41,29,96,30,172,11,47,27,155,97,237,26,194,223,171,24,245,181,105,25,200,242,53,18,255,152,247,19,166,38,177,17,145,76,115,16,20,90,60,21,35,48,254,20,122,142,184,22,77,228,122,23,224,70,77,56,215,44,143,57,142,146,201,59,185,248,11,58,60,238,68,63,11,132,134,62,82,58,192,60,101,80,2,61,88,23,94,54,111,125,156,55,54,195,218,53,1,169,24,52,132,191,87,49,179,213,149,48,234,107,211,50,221,1,17,51,144,229,107,36,167,143,169,37,254,49,239,39,201,91,45,38,76,77,98,35,123,39,160,34,34,153,230,32,21,243,36,33,40,180,120,42,31,222,186,43,70,96,252,41,113,10,62,40,244,28,113,45,195,118,179,44,154,200,245,46,173,162,55,47,192,141,154,112,247,231,88,113,174,89,30,115,153,51,220,114,28,37,147,119,43,79,81,118,114,241,23,116,69,155,213,117,120,220,137,126,79,182,75,127,22,8,13,125,33,98,207,124,164,116,128,121,147,30,66,120,202,160,4,122,253,202,198,123,176,46,188,108,135,68,126,109,222,250,56,111,233,144,250,110,108,134,181,107,91,236,119,106,2,82,49,104,53,56,243,105,8,127,175,98,63,21,109,99,102,171,43,97,81,193,233,96,212,215,166,101,227,189,100,100,186,3,34,102,141,105,224,103,32,203,215,72,23,161,21,73,78,31,83,75,121,117,145,74,252,99,222,79,203,9,28,78,146,183,90,76,165,221,152,77,152,154,196,70,175,240,6,71,246,78,64,69,193,36,130,68,68,50,205,65,115,88,15,64,42,230,73,66,29,140,139,67,80,104,241,84,103,2,51,85,62,188,117,87,9,214,183,86,140,192,248,83,187,170,58,82,226,20,124,80,213,126,190,81,232,57,226,90,223,83,32,91,134,237,102,89,177,135,164,88,52,145,235,93,3,251,41,92,90,69,111,94,109,47,173,95,128,27,53,225,183,113,247,224,238,207,177,226,217,165,115,227,92,179,60,230,107,217,254,231,50,103,184,229,5,13,122,228,56,74,38,239,15,32,228,238,86,158,162,236,97,244,96,237,228,226,47,232,211,136,237,233,138,54,171,235,189,92,105,234,240,184,19,253,199,210,209,252,158,108,151,254,169,6,85,255,44,16,26,250,27,122,216,251,66,196,158,249,117,174,92,248,72,233,0,243,127,131,194,242,38,61,132,240,17,87,70,241,148,65,9,244,163,43,203,245,250,149,141,247,205,255,79,246,96,93,120,217,87,55,186,216,14,137,252,218,57,227,62,219,188,245,113,222,139,159,179,223,210,33,245,221,229,75,55,220,216,12,107,215,239,102,169,214,182,216,239,212,129,178,45,213,4,164,98,208,51,206,160,209,106,112,230,211,93,26,36,210,16,254,94,197,39,148,156,196,126,42,218,198,73,64,24,199,204,86,87,194,251,60,149,195,162,130,211,193,149,232,17,192,168,175,77,203,159,197,143,202,198,123,201,200,241,17,11,201,116,7,68,204,67,109,134,205,26,211,192,207,45,185,2,206,64,150,175,145,119,252,109,144,46,66,43,146,25,40,233,147,156,62,166,150,171,84,100,151,242,234,34,149,197,128,224,148,248,199,188,159,207,173,126,158,150,19,56,156,161,121,250,157,36,111,181,152,19,5,119,153,74,187,49,155,125,209,243,154,48,53,137,141,7,95,75,140,94,225,13,142,105,139,207,143,236,157,128,138,219,247,66,139,130,73,4,137,181,35,198,136,136,100,154,131,191,14,88,130,230,176,30,128,209,218,220,129,84,204,147,132,99,166,81,133,58,24,23,135,13,114,213,134,160,208,226,169,151,186,32,168,206,4,102,170,249,110,164,171,124,120,235,174,75,18,41,175,18,172,111,173,37,198,173,172,24,129,241,167,47,235,51,166,118,85,117,164,65,63,183,165,196,41,248,160,243,67,58,161,170,253,124,163,157,151,190,162,208,115,196,181,231,25,6,180,190,167,64,182,137,205,130,183,12,219,205,178,59,177,15,179,98,15,73,177,85,101,139,176,104,34,215,187,95,72,21,186,6,246,83,184,49,156,145,185,180,138,222,188,131,224,28,189,218,94,90,191,237,52,152,190,0,0,0,0,101,103,188,184,139,200,9,170,238,175,181,18,87,151,98,143,50,240,222,55,220,95,107,37,185,56,215,157,239,40,180,197,138,79,8,125,100,224,189,111,1,135,1,215,184,191,214,74,221,216,106,242,51,119,223,224,86,16,99,88,159,87,25,80,250,48,165,232,20,159,16,250,113,248,172,66,200,192,123,223,173,167,199,103,67,8,114,117,38,111,206,205,112,127,173,149,21,24,17,45,251,183,164,63,158,208,24,135,39,232,207,26,66,143,115,162,172,32,198,176,201,71,122,8,62,175,50,160,91,200,142,24,181,103,59,10,208,0,135,178,105,56,80,47,12,95,236,151,226,240,89,133,135,151,229,61,209,135,134,101,180,224,58,221,90,79,143,207,63,40,51,119,134,16,228,234,227,119,88,82,13,216,237,64,104,191,81,248,161,248,43,240,196,159,151,72,42,48,34,90,79,87,158,226,246,111,73,127,147,8,245,199,125,167,64,213,24,192,252,109,78,208,159,53,43,183,35,141,197,24,150,159,160,127,42,39,25,71,253,186,124,32,65,2,146,143,244,16,247,232,72,168,61,88,20,155,88,63,168,35,182,144,29,49,211,247,161,137,106,207,118,20,15,168,202,172,225,7,127,190,132,96,195,6,210,112,160,94,183,23,28,230,89,184,169,244,60,223,21,76,133,231,194,209,224,128,126,105,14,47,203,123,107,72,119,195,162,15,13,203,199,104,177,115,41,199,4,97,76,160,184,217,245,152,111,68,144,255,211,252,126,80,102,238,27,55,218,86,77,39,185,14,40,64,5,182,198,239,176,164,163,136,12,28,26,176,219,129,127,215,103,57,145,120,210,43,244,31,110,147,3,247,38,59,102,144,154,131,136,63,47,145,237,88,147,41,84,96,68,180,49,7,248,12,223,168,77,30,186,207,241,166,236,223,146,254,137,184,46,70,103,23,155,84,2,112,39,236,187,72,240,113,222,47,76,201,48,128,249,219,85,231,69,99,156,160,63,107,249,199,131,211,23,104,54,193,114,15,138,121,203,55,93,228,174,80,225,92,64,255,84,78,37,152,232,246,115,136,139,174,22,239,55,22,248,64,130,4,157,39,62,188,36,31,233,33,65,120,85,153,175,215,224,139,202,176,92,51,59,182,89,237,94,209,229,85,176,126,80,71,213,25,236,255,108,33,59,98,9,70,135,218,231,233,50,200,130,142,142,112,212,158,237,40,177,249,81,144,95,86,228,130,58,49,88,58,131,9,143,167,230,110,51,31,8,193,134,13,109,166,58,181,164,225,64,189,193,134,252,5,47,41,73,23,74,78,245,175,243,118,34,50,150,17,158,138,120,190,43,152,29,217,151,32,75,201,244,120,46,174,72,192,192,1,253,210,165,102,65,106,28,94,150,247,121,57,42,79,151,150,159,93,242,241,35,229,5,25,107,77,96,126,215,245,142,209,98,231,235,182,222,95,82,142,9,194,55,233,181,122,217,70,0,104,188,33,188,208,234,49,223,136,143,86,99,48,97,249,214,34,4,158,106,154,189,166,189,7,216,193,1,191,54,110,180,173,83,9,8,21,154,78,114,29,255,41,206,165,17,134,123,183,116,225,199,15,205,217,16,146,168,190,172,42,70,17,25,56,35,118,165,128,117,102,198,216,16,1,122,96,254,174,207,114,155,201,115,202,34,241,164,87,71,150,24,239,169,57,173,253,204,94,17,69,6,238,77,118,99,137,241,206,141,38,68,220,232,65,248,100,81,121,47,249,52,30,147,65,218,177,38,83,191,214,154,235,233,198,249,179,140,161,69,11,98,14,240,25,7,105,76,161,190,81,155,60,219,54,39,132,53,153,146,150,80,254,46,46,153,185,84,38,252,222,232,158,18,113,93,140,119,22,225,52,206,46,54,169,171,73,138,17,69,230,63,3,32,129,131,187,118,145,224,227,19,246,92,91,253,89,233,73,152,62,85,241,33,6,130,108,68,97,62,212,170,206,139,198,207,169,55,126,56,65,127,214,93,38,195,110,179,137,118,124,214,238,202,196,111,214,29,89,10,177,161,225,228,30,20,243,129,121,168,75,215,105,203,19,178,14,119,171,92,161,194,185,57,198,126,1,128,254,169,156,229,153,21,36,11,54,160,54,110,81,28,142,167,22,102,134,194,113,218,62,44,222,111,44,73,185,211,148,240,129,4,9,149,230,184,177,123,73,13,163,30,46,177,27,72,62,210,67,45,89,110,251,195,246,219,233,166,145,103,81,31,169,176,204,122,206,12,116,148,97,185,102,241,6,5,222,0,0,0,0,119,7,48,150,238,14,97,44,153,9,81,186,7,109,196,25,112,106,244,143,233,99,165,53,158,100,149,163,14,219,136,50,121,220,184,164,224,213,233,30,151,210,217,136,9,182,76,43,126,177,124,189,231,184,45,7,144,191,29,145,29,183,16,100,106,176,32,242,243,185,113,72,132,190,65,222,26,218,212,125,109,221,228,235,244,212,181,81,131,211,133,199,19,108,152,86,100,107,168,192,253,98,249,122,138,101,201,236,20,1,92,79,99,6,108,217,250,15,61,99,141,8,13,245,59,110,32,200,76,105,16,94,213,96,65,228,162,103,113,114,60,3,228,209,75,4,212,71,210,13,133,253,165,10,181,107,53,181,168,250,66,178,152,108,219,187,201,214,172,188,249,64,50,216,108,227,69,223,92,117,220,214,13,207,171,209,61,89,38,217,48,172,81,222,0,58,200,215,81,128,191,208,97,22,33,180,244,181,86,179,196,35,207,186,149,153,184,189,165,15,40,2,184,158,95,5,136,8,198,12,217,178,177,11,233,36,47,111,124,135,88,104,76,17,193,97,29,171,182,102,45,61,118,220,65,144,1,219,113,6,152,210,32,188,239,213,16,42,113,177,133,137,6,182,181,31,159,191,228,165,232,184,212,51,120,7,201,162,15,0,249,52,150,9,168,142,225,14,152,24,127,106,13,187,8,109,61,45,145,100,108,151,230,99,92,1,107,107,81,244,28,108,97,98,133,101,48,216,242,98,0,78,108,6,149,237,27,1,165,123,130,8,244,193,245,15,196,87,101,176,217,198,18,183,233,80,139,190,184,234,252,185,136,124,98,221,29,223,21,218,45,73,140,211,124,243,251,212,76,101,77,178,97,88,58,181,81,206,163,188,0,116,212,187,48,226,74,223,165,65,61,216,149,215,164,209,196,109,211,214,244,251,67,105,233,106,52,110,217,252,173,103,136,70,218,96,184,208,68,4,45,115,51,3,29,229,170,10,76,95,221,13,124,201,80,5,113,60,39,2,65,170,190,11,16,16,201,12,32,134,87,104,181,37,32,111,133,179,185,102,212,9,206,97,228,159,94,222,249,14,41,217,201,152,176,208,152,34,199,215,168,180,89,179,61,23,46,180,13,129,183,189,92,59,192,186,108,173,237,184,131,32,154,191,179,182,3,182,226,12,116,177,210,154,234,213,71,57,157,210,119,175,4,219,38,21,115,220,22,131,227,99,11,18,148,100,59,132,13,109,106,62,122,106,90,168,228,14,207,11,147,9,255,157,10,0,174,39,125,7,158,177,240,15,147,68,135,8,163,210,30,1,242,104,105,6,194,254,247,98,87,93,128,101,103,203,25,108,54,113,110,107,6,231,254,212,27,118,137,211,43,224,16,218,122,90,103,221,74,204,249,185,223,111,142,190,239,249,23,183,190,67,96,176,142,213,214,214,163,232,161,209,147,126,56,216,194,196,79,223,242,82,209,187,103,241,166,188,87,103,63,181,6,221,72,178,54,75,216,13,43,218,175,10,27,76,54,3,74,246,65,4,122,96,223,96,239,195,168,103,223,85,49,110,142,239,70,105,190,121,203,97,179,140,188,102,131,26,37,111,210,160,82,104,226,54,204,12,119,149,187,11,71,3,34,2,22,185,85,5,38,47,197,186,59,190,178,189,11,40,43,180,90,146,92,179,106,4,194,215,255,167,181,208,207,49,44,217,158,139,91,222,174,29,155,100,194,176,236,99,242,38,117,106,163,156,2,109,147,10,156,9,6,169,235,14,54,63,114,7,103,133,5,0,87,19,149,191,74,130,226,184,122,20,123,177,43,174,12,182,27,56,146,210,142,155,229,213,190,13,124,220,239,183,11,219,223,33,134,211,210,212,241,212,226,66,104,221,179,248,31,218,131,110,129,190,22,205,246,185,38,91,111,176,119,225,24,183,71,119,136,8,90,230,255,15,106,112,102,6,59,202,17,1,11,92,143,101,158,255,248,98,174,105,97,107,255,211,22,108,207,69,160,10,226,120,215,13,210,238,78,4,131,84,57,3,179,194,167,103,38,97,208,96,22,247,73,105,71,77,62,110,119,219,174,209,106,74,217,214,90,220,64,223,11,102,55,216,59,240,169,188,174,83,222,187,158,197,71,178,207,127,48,181,255,233,189,189,242,28,202,186,194,138,83,179,147,48,36,180,163,166,186,208,54,5,205,215,6,147,84,222,87,41,35,217,103,191,179,102,122,46,196,97,74,184,93,104,27,2,42,111,43,148,180,11,190,55,195,12,142,161,90,5,223,27,45,2,239,141,0,0,0,0,25,27,49,65,50,54,98,130,43,45,83,195,100,108,197,4,125,119,244,69,86,90,167,134,79,65,150,199,200,217,138,8,209,194,187,73,250,239,232,138,227,244,217,203,172,181,79,12,181,174,126,77,158,131,45,142,135,152,28,207,74,194,18,81,83,217,35,16,120,244,112,211,97,239,65,146,46,174,215,85,55,181,230,20,28,152,181,215,5,131,132,150,130,27,152,89,155,0,169,24,176,45,250,219,169,54,203,154,230,119,93,93,255,108,108,28,212,65,63,223,205,90,14,158,149,132,36,162,140,159,21,227,167,178,70,32,190,169,119,97,241,232,225,166,232,243,208,231,195,222,131,36,218,197,178,101,93,93,174,170,68,70,159,235,111,107,204,40,118,112,253,105,57,49,107,174,32,42,90,239,11,7,9,44,18,28,56,109,223,70,54,243,198,93,7,178,237,112,84,113,244,107,101,48,187,42,243,247,162,49,194,182,137,28,145,117,144,7,160,52,23,159,188,251,14,132,141,186,37,169,222,121,60,178,239,56,115,243,121,255,106,232,72,190,65,197,27,125,88,222,42,60,240,121,79,5,233,98,126,68,194,79,45,135,219,84,28,198,148,21,138,1,141,14,187,64,166,35,232,131,191,56,217,194,56,160,197,13,33,187,244,76,10,150,167,143,19,141,150,206,92,204,0,9,69,215,49,72,110,250,98,139,119,225,83,202,186,187,93,84,163,160,108,21,136,141,63,214,145,150,14,151,222,215,152,80,199,204,169,17,236,225,250,210,245,250,203,147,114,98,215,92,107,121,230,29,64,84,181,222,89,79,132,159,22,14,18,88,15,21,35,25,36,56,112,218,61,35,65,155,101,253,107,167,124,230,90,230,87,203,9,37,78,208,56,100,1,145,174,163,24,138,159,226,51,167,204,33,42,188,253,96,173,36,225,175,180,63,208,238,159,18,131,45,134,9,178,108,201,72,36,171,208,83,21,234,251,126,70,41,226,101,119,104,47,63,121,246,54,36,72,183,29,9,27,116,4,18,42,53,75,83,188,242,82,72,141,179,121,101,222,112,96,126,239,49,231,230,243,254,254,253,194,191,213,208,145,124,204,203,160,61,131,138,54,250,154,145,7,187,177,188,84,120,168,167,101,57,59,131,152,75,34,152,169,10,9,181,250,201,16,174,203,136,95,239,93,79,70,244,108,14,109,217,63,205,116,194,14,140,243,90,18,67,234,65,35,2,193,108,112,193,216,119,65,128,151,54,215,71,142,45,230,6,165,0,181,197,188,27,132,132,113,65,138,26,104,90,187,91,67,119,232,152,90,108,217,217,21,45,79,30,12,54,126,95,39,27,45,156,62,0,28,221,185,152,0,18,160,131,49,83,139,174,98,144,146,181,83,209,221,244,197,22,196,239,244,87,239,194,167,148,246,217,150,213,174,7,188,233,183,28,141,168,156,49,222,107,133,42,239,42,202,107,121,237,211,112,72,172,248,93,27,111,225,70,42,46,102,222,54,225,127,197,7,160,84,232,84,99,77,243,101,34,2,178,243,229,27,169,194,164,48,132,145,103,41,159,160,38,228,197,174,184,253,222,159,249,214,243,204,58,207,232,253,123,128,169,107,188,153,178,90,253,178,159,9,62,171,132,56,127,44,28,36,176,53,7,21,241,30,42,70,50,7,49,119,115,72,112,225,180,81,107,208,245,122,70,131,54,99,93,178,119,203,250,215,78,210,225,230,15,249,204,181,204,224,215,132,141,175,150,18,74,182,141,35,11,157,160,112,200,132,187,65,137,3,35,93,70,26,56,108,7,49,21,63,196,40,14,14,133,103,79,152,66,126,84,169,3,85,121,250,192,76,98,203,129,129,56,197,31,152,35,244,94,179,14,167,157,170,21,150,220,229,84,0,27,252,79,49,90,215,98,98,153,206,121,83,216,73,225,79,23,80,250,126,86,123,215,45,149,98,204,28,212,45,141,138,19,52,150,187,82,31,187,232,145,6,160,217,208,94,126,243,236,71,101,194,173,108,72,145,110,117,83,160,47,58,18,54,232,35,9,7,169,8,36,84,106,17,63,101,43,150,167,121,228,143,188,72,165,164,145,27,102,189,138,42,39,242,203,188,224,235,208,141,161,192,253,222,98,217,230,239,35,20,188,225,189,13,167,208,252,38,138,131,63,63,145,178,126,112,208,36,185,105,203,21,248,66,230,70,59,91,253,119,122,220,101,107,181,197,126,90,244,238,83,9,55,247,72,56,118,184,9,174,177,161,18,159,240,138,63,204,51,147,36,253,114,0,0,0,0,1,194,106,55,3,132,212,110,2,70,190,89,7,9,168,220,6,203,194,235,4,141,124,178,5,79,22,133,14,19,81,184,15,209,59,143,13,151,133,214,12,85,239,225,9,26,249,100,8,216,147,83,10,158,45,10,11,92,71,61,28,38,163,112,29,228,201,71,31,162,119,30,30,96,29,41,27,47,11,172,26,237,97,155,24,171,223,194,25,105,181,245,18,53,242,200,19,247,152,255,17,177,38,166,16,115,76,145,21,60,90,20,20,254,48,35,22,184,142,122,23,122,228,77,56,77,70,224,57,143,44,215,59,201,146,142,58,11,248,185,63,68,238,60,62,134,132,11,60,192,58,82,61,2,80,101,54,94,23,88,55,156,125,111,53,218,195,54,52,24,169,1,49,87,191,132,48,149,213,179,50,211,107,234,51,17,1,221,36,107,229,144,37,169,143,167,39,239,49,254,38,45,91,201,35,98,77,76,34,160,39,123,32,230,153,34,33,36,243,21,42,120,180,40,43,186,222,31,41,252,96,70,40,62,10,113,45,113,28,244,44,179,118,195,46,245,200,154,47,55,162,173,112,154,141,192,113,88,231,247,115,30,89,174,114,220,51,153,119,147,37,28,118,81,79,43,116,23,241,114,117,213,155,69,126,137,220,120,127,75,182,79,125,13,8,22,124,207,98,33,121,128,116,164,120,66,30,147,122,4,160,202,123,198,202,253,108,188,46,176,109,126,68,135,111,56,250,222,110,250,144,233,107,181,134,108,106,119,236,91,104,49,82,2,105,243,56,53,98,175,127,8,99,109,21,63,97,43,171,102,96,233,193,81,101,166,215,212,100,100,189,227,102,34,3,186,103,224,105,141,72,215,203,32,73,21,161,23,75,83,31,78,74,145,117,121,79,222,99,252,78,28,9,203,76,90,183,146,77,152,221,165,70,196,154,152,71,6,240,175,69,64,78,246,68,130,36,193,65,205,50,68,64,15,88,115,66,73,230,42,67,139,140,29,84,241,104,80,85,51,2,103,87,117,188,62,86,183,214,9,83,248,192,140,82,58,170,187,80,124,20,226,81,190,126,213,90,226,57,232,91,32,83,223,89,102,237,134,88,164,135,177,93,235,145,52,92,41,251,3,94,111,69,90,95,173,47,109,225,53,27,128,224,247,113,183,226,177,207,238,227,115,165,217,230,60,179,92,231,254,217,107,229,184,103,50,228,122,13,5,239,38,74,56,238,228,32,15,236,162,158,86,237,96,244,97,232,47,226,228,233,237,136,211,235,171,54,138,234,105,92,189,253,19,184,240,252,209,210,199,254,151,108,158,255,85,6,169,250,26,16,44,251,216,122,27,249,158,196,66,248,92,174,117,243,0,233,72,242,194,131,127,240,132,61,38,241,70,87,17,244,9,65,148,245,203,43,163,247,141,149,250,246,79,255,205,217,120,93,96,216,186,55,87,218,252,137,14,219,62,227,57,222,113,245,188,223,179,159,139,221,245,33,210,220,55,75,229,215,107,12,216,214,169,102,239,212,239,216,182,213,45,178,129,208,98,164,4,209,160,206,51,211,230,112,106,210,36,26,93,197,94,254,16,196,156,148,39,198,218,42,126,199,24,64,73,194,87,86,204,195,149,60,251,193,211,130,162,192,17,232,149,203,77,175,168,202,143,197,159,200,201,123,198,201,11,17,241,204,68,7,116,205,134,109,67,207,192,211,26,206,2,185,45,145,175,150,64,144,109,252,119,146,43,66,46,147,233,40,25,150,166,62,156,151,100,84,171,149,34,234,242,148,224,128,197,159,188,199,248,158,126,173,207,156,56,19,150,157,250,121,161,152,181,111,36,153,119,5,19,155,49,187,74,154,243,209,125,141,137,53,48,140,75,95,7,142,13,225,94,143,207,139,105,138,128,157,236,139,66,247,219,137,4,73,130,136,198,35,181,131,154,100,136,130,88,14,191,128,30,176,230,129,220,218,209,132,147,204,84,133,81,166,99,135,23,24,58,134,213,114,13,169,226,208,160,168,32,186,151,170,102,4,206,171,164,110,249,174,235,120,124,175,41,18,75,173,111,172,18,172,173,198,37,167,241,129,24,166,51,235,47,164,117,85,118,165,183,63,65,160,248,41,196,161,58,67,243,163,124,253,170,162,190,151,157,181,196,115,208,180,6,25,231,182,64,167,190,183,130,205,137,178,205,219,12,179,15,177,59,177,73,15,98,176,139,101,85,187,215,34,104,186,21,72,95,184,83,246,6,185,145,156,49,188,222,138,180,189,28,224,131,191,90,94,218,190,152,52,237,0,0,0,0,184,188,103,101,170,9,200,139,18,181,175,238,143,98,151,87,55,222,240,50,37,107,95,220,157,215,56,185,197,180,40,239,125,8,79,138,111,189,224,100,215,1,135,1,74,214,191,184,242,106,216,221,224,223,119,51,88,99,16,86,80,25,87,159,232,165,48,250,250,16,159,20,66,172,248,113,223,123,192,200,103,199,167,173,117,114,8,67,205,206,111,38,149,173,127,112,45,17,24,21,63,164,183,251,135,24,208,158,26,207,232,39,162,115,143,66,176,198,32,172,8,122,71,201,160,50,175,62,24,142,200,91,10,59,103,181,178,135,0,208,47,80,56,105,151,236,95,12,133,89,240,226,61,229,151,135,101,134,135,209,221,58,224,180,207,143,79,90,119,51,40,63,234,228,16,134,82,88,119,227,64,237,216,13,248,81,191,104,240,43,248,161,72,151,159,196,90,34,48,42,226,158,87,79,127,73,111,246,199,245,8,147,213,64,167,125,109,252,192,24,53,159,208,78,141,35,183,43,159,150,24,197,39,42,127,160,186,253,71,25,2,65,32,124,16,244,143,146,168,72,232,247,155,20,88,61,35,168,63,88,49,29,144,182,137,161,247,211,20,118,207,106,172,202,168,15,190,127,7,225,6,195,96,132,94,160,112,210,230,28,23,183,244,169,184,89,76,21,223,60,209,194,231,133,105,126,128,224,123,203,47,14,195,119,72,107,203,13,15,162,115,177,104,199,97,4,199,41,217,184,160,76,68,111,152,245,252,211,255,144,238,102,80,126,86,218,55,27,14,185,39,77,182,5,64,40,164,176,239,198,28,12,136,163,129,219,176,26,57,103,215,127,43,210,120,145,147,110,31,244,59,38,247,3,131,154,144,102,145,47,63,136,41,147,88,237,180,68,96,84,12,248,7,49,30,77,168,223,166,241,207,186,254,146,223,236,70,46,184,137,84,155,23,103,236,39,112,2,113,240,72,187,201,76,47,222,219,249,128,48,99,69,231,85,107,63,160,156,211,131,199,249,193,54,104,23,121,138,15,114,228,93,55,203,92,225,80,174,78,84,255,64,246,232,152,37,174,139,136,115,22,55,239,22,4,130,64,248,188,62,39,157,33,233,31,36,153,85,120,65,139,224,215,175,51,92,176,202,237,89,182,59,85,229,209,94,71,80,126,176,255,236,25,213,98,59,33,108,218,135,70,9,200,50,233,231,112,142,142,130,40,237,158,212,144,81,249,177,130,228,86,95,58,88,49,58,167,143,9,131,31,51,110,230,13,134,193,8,181,58,166,109,189,64,225,164,5,252,134,193,23,73,41,47,175,245,78,74,50,34,118,243,138,158,17,150,152,43,190,120,32,151,217,29,120,244,201,75,192,72,174,46,210,253,1,192,106,65,102,165,247,150,94,28,79,42,57,121,93,159,150,151,229,35,241,242,77,107,25,5,245,215,126,96,231,98,209,142,95,222,182,235,194,9,142,82,122,181,233,55,104,0,70,217,208,188,33,188,136,223,49,234,48,99,86,143,34,214,249,97,154,106,158,4,7,189,166,189,191,1,193,216,173,180,110,54,21,8,9,83,29,114,78,154,165,206,41,255,183,123,134,17,15,199,225,116,146,16,217,205,42,172,190,168,56,25,17,70,128,165,118,35,216,198,102,117,96,122,1,16,114,207,174,254,202,115,201,155,87,164,241,34,239,24,150,71,253,173,57,169,69,17,94,204,118,77,238,6,206,241,137,99,220,68,38,141,100,248,65,232,249,47,121,81,65,147,30,52,83,38,177,218,235,154,214,191,179,249,198,233,11,69,161,140,25,240,14,98,161,76,105,7,60,155,81,190,132,39,54,219,150,146,153,53,46,46,254,80,38,84,185,153,158,232,222,252,140,93,113,18,52,225,22,119,169,54,46,206,17,138,73,171,3,63,230,69,187,131,129,32,227,224,145,118,91,92,246,19,73,233,89,253,241,85,62,152,108,130,6,33,212,62,97,68,198,139,206,170,126,55,169,207,214,127,65,56,110,195,38,93,124,118,137,179,196,202,238,214,89,29,214,111,225,161,177,10,243,20,30,228,75,168,121,129,19,203,105,215,171,119,14,178,185,194,161,92,1,126,198,57,156,169,254,128,36,21,153,229,54,160,54,11,142,28,81,110,134,102,22,167,62,218,113,194,44,111,222,44,148,211,185,73,9,4,129,240,177,184,230,149,163,13,73,123,27,177,46,30,67,210,62,72,251,110,89,45,233,219,246,195,81,103,145,166,204,176,169,31,116,12,206,122,102,185,97,148,222,5,6,241,0,0,0,0,0,0,0,0,115,1,0,0,4,0,4,0,8,0,4,0,116,1,0,0,4,0,5,0,16,0,8,0,116,1,0,0,4,0,6,0,32,0,32,0,116,1,0,0,4,0,4,0,16,0,16,0,117,1,0,0,8,0,16,0,32,0,32,0,117,1,0,0,8,0,16,0,128,0,128,0,117,1,0,0,8,0,32,0,128,0,0,1,117,1,0,0,32,0,128,0,2,1,0,4,117,1,0,0,32,0,2,1,2,1,0,16,117,1,0,0,182,151,2,0,64,78,2,0,1,1,0,0,30,1,0,0,15,0,0,0,62,151,2,0,200,77,2,0,0,0,0,0,30,0,0,0,15,0,0,0,0,0,0,0,124,77,2,0,0,0,0,0,19,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0,3,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,1,0,0,0,2,0,0,0,2,0,0,0,3,0,0,0,3,0,0,0,4,0,0,0,4,0,0,0,5,0,0,0,5,0,0,0,6,0,0,0,6,0,0,0,7,0,0,0,7,0,0,0,8,0,0,0,8,0,0,0,9,0,0,0,9,0,0,0,10,0,0,0,10,0,0,0,11,0,0,0,11,0,0,0,12,0,0,0,12,0,0,0,13,0,0,0,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,3,0,0,0,3,0,0,0,3,0,0,0,3,0,0,0,4,0,0,0,4,0,0,0,4,0,0,0,4,0,0,0,5,0,0,0,5,0,0,0,5,0,0,0,5,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,2,0,0,0,3,0,0,0,4,0,0,0,5,0,0,0,6,0,0,0,7,0,0,0,8,0,0,0,10,0,0,0,12,0,0,0,14,0,0,0,16,0,0,0,20,0,0,0,24,0,0,0,28,0,0,0,32,0,0,0,40,0,0,0,48,0,0,0,56,0,0,0,64,0,0,0,80,0,0,0,96,0,0,0,112,0,0,0,128,0,0,0,160,0,0,0,192,0,0,0,224,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,2,0,0,0,3,0,0,0,4,0,0,0,6,0,0,0,8,0,0,0,12,0,0,0,16,0,0,0,24,0,0,0,32,0,0,0,48,0,0,0,64,0,0,0,96,0,0,0,128,0,0,0,192,0,0,0,0,1,0,0,128,1,0,0,0,2,0,0,0,3,0,0,0,4,0,0,0,6,0,0,0,8,0,0,0,12,0,0,0,16,0,0,0,24,0,0,0,32,0,0,0,48,0,0,0,64,0,0,0,96,0,0,100,0,0,0,0,0,0,0,40,93,0,0,117,6,0,0,118,6,0,0,153,0,0,0,246,2,0,0,118,1,0,0,17,2,0,0,0,0,0,0,64,93,0,0,119,6,0,0,120,6,0,0,154,0,0,0,247,2,0,0,18,2,0,0,155,0,0,0,19,2,0,0,0,0,0,0,80,93,0,0,119,6,0,0,121,6,0,0,156,0,0,0,248,2,0,0,20,2,0,0,155,0,0,0,19,2,0,0,0,0,0,0,96,93,0,0,122,6,0,0,123,6,0,0,157,0,0,0,249,2,0,0,119,1,0,0,21,2,0,0,0,0,0,0,128,93,0,0,124,6,0,0,125,6,0,0,22,2,0,0,0,0,0,0,152,93,0,0,255,3,0,0,126,6,0,0,127,6,0,0,93,0,0,0,94,123,7,0,99,123,7,0,242,124,7,0,107,123,7,0,4,0,0,0,0,0,0,0,5,0,0,0,6,0,0,0,2,0,0,0,4,0,0,0,1,0,0,0,4,0,0,0,3,0,0,0,7,0,0,0,9,0,0,0,10,0,0,0,10,0,0,0,9,0,0,0,3,0,0,0,8,0,0,0,1,0,0,0,2,0,0,0,1,0,0,0,2,0,0,0,255,255,255,255,1,0,0,0,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,5,0,0,0,0,0,0,0,2,0,0,0,3,0,0,0,2,0,0,0,2,0,0,0,0,0,0,0,0,0,0,0,5,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,0,0,0,6,0,0,0,2,0,0,0,4,0,0,0,1,0,0,0,4,0,0,0,3,0,0,0,7,0,0,0,9,0,0,0,10,0,0,0,10,0,0,0,9,0,0,0,3,0,0,0,8,0,0,0,1,0,0,0,2,0,0,0,1,0,0,0,2,0,0,0,242,124,7,0,191,31,8,0,79,31,8,0,248,124,7,0,254,124,7,0,5,125,7,0,11,125,7,0,19,125,7,0,28,31,8,0,27,125,7,0,34,125,7,0,40,125,7,0,48,125,7,0,54,125,7,0,61,125,7,0,66,125,7,0,75,125,7,0,84,125,7,0,91,125,7,0,242,124,7,0,5,125,7,0,248,124,7,0,54,125,7,0,254,124,7,0,191,31,8,0,79,31,8,0,28,31,8,0,61,125,7,0,27,125,7,0,40,125,7,0,242,124,7,0,98,125,7,0,107,125,7,0,116,125,7,0,0,0,0,0,224,93,0,0,255,3,0,0,128,6,0,0,129,6,0,0,255,133,7,0,11,134,7,0,26,134,7,0,39,134,7,0,51,134,7,0,68,134,7,0,83,134,7,0,97,134,7,0,0,0,0,0,192,93,0,0,130,6,0,0,131,6,0,0,94,0,0,0,95,0,0,0,0,0,0,0,176,93,0,0,132,6,0,0,133,6,0,0,158,0,0,0,0,0,0,0,208,93,0,0,255,3,0,0,134,6,0,0,135,6,0,0,0,0,0,0,240,93,0,0,255,3,0,0,136,6,0,0,137,6,0,0,0,0,0,0,0,94,0,0,255,3,0,0,138,6,0,0,139,6,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,255,255,255,255,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,120,0,0,0,124,0,0,0,16,0,0,0,96,0,0,0,108,0,0,0,32,0,0,0,48,0,0,0,64,0,0,0,80,0,0,0,132,0,0,0,136,0,0,0,128,0,0,0,0,0,0,0,1,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,3,0,0,0,4,0,0,0,2,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,20,0,0,0,24,0,0,0,16,0,0,0,1,0,0,0,2,0,0,0,0,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,20,0,0,0,0,0,0,0,1,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,144,0,0,0,16,0,0,0,80,0,0,0,32,0,0,0,48,0,0,0,64,0,0,0,96,0,0,0,148,0,0,0,112,0,0,0,128,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,1,0,0,0,255,255,255,255,255,255,255,255,24,0,0,0,20,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,32,0,0,0,255,255,255,255,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,40,0,0,0,48,0,0,0,52,0,0,0,24,0,0,0,20,0,0,0,28,0,0,0,44,0,0,0,32,0,0,0,36,0,0,0,0,0,0,0,6,0,0,0,8,0,0,0,9,0,0,0,2,0,0,0,1,0,0,0,3,0,0,0,7,0,0,0,4,0,0,0,5,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,20,0,0,0,0,0,0,0,1,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,20,0,0,0,0,0,0,0,1,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,64,0,0,0,16,0,0,0,68,0,0,0,32,0,0,0,48,0,0,0,0,0,0,0,255,255,255,255,1,0,0,0,255,255,255,255,255,255,255,255,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,24,0,0,0,20,0,0,0,0,0,0,0,2,0,0,0,1,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,32,0,0,0,16,0,0,0,36,0,0,0,0,0,0,0,255,255,255,255,1,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,20,0,0,0,24,0,0,0,28,0,0,0,32,0,0,0,33,0,0,0,0,0,0,0,1,0,0,0,2,0,0,0,3,0,0,0,4,0,0,0,5,0,0,0,24,0,0,0,20,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,48,0,0,0,52,0,0,0,81,0,0,0,82,0,0,0,83,0,0,0,92,0,0,0,56,0,0,0,84,0,0,0,85,0,0,0,86,0,0,0,87,0,0,0,88,0,0,0,80,0,0,0,60,0,0,0,64,0,0,0,68,0,0,0,72,0,0,0,76,0,0,0,32,0,0,0,0,0,0,0,1,0,0,0,9,0,0,0,10,0,0,0,11,0,0,0,17,0,0,0,2,0,0,0,12,0,0,0,13,0,0,0,14,0,0,0,15,0,0,0,16,0,0,0,8,0,0,0,3,0,0,0,4,0,0,0,5,0,0,0,6,0,0,0,7,0,0,0,255,255,255,255,24,0,0,0,20,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,48,0,0,0,49,0,0,0,50,0,0,0,51,0,0,0,32,0,0,0,0,0,0,0,1,0,0,0,2,0,0,0,3,0,0,0,255,255,255,255,24,0,0,0,20,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,48,0,0,0,52,0,0,0,56,0,0,0,53,0,0,0,54,0,0,0,55,0,0,0,32,0,0,0,0,0,0,0,1,0,0,0,5,0,0,0,2,0,0,0,3,0,0,0,4,0,0,0,255,255,255,255,24,0,0,0,20,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,32,0,0,0,255,255,255,255,24,0,0,0,20,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,48,0,0,0,49,0,0,0,32,0,0,0,0,0,0,0,1,0,0,0,255,255,255,255,24,0,0,0,20,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,48,0,0,0,32,0,0,0,0,0,0,0,255,255,255,255,24,0,0,0,20,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,48,0,0,0,32,0,0,0,0,0,0,0,255,255,255,255,24,0,0,0,20,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,48,0,0,0,52,0,0,0,32,0,0,0,0,0,0,0,1,0,0,0,255,255,255,255,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,20,0,0,0,0,0,0,0,1,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,32,0,0,0,48,0,0,0,56,0,0,0,64,0,0,0,36,0,0,0,40,0,0,0,255,255,255,255,0,0,0,0,3,0,0,0,4,0,0,0,5,0,0,0,1,0,0,0,2,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,32,0,0,0,64,0,0,0,68,0,0,0,48,0,0,0,255,255,255,255,255,255,255,255,0,0,0,0,1,0,0,0,255,255,255,255,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+143364);allocate([255,255,255,255,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,32,0,0,0,36,0,0,0,40,0,0,0,255,255,255,255,0,0,0,0,1,0,0,0,2,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,255,255,255,255,0,0,0,0,16,94,0,0,140,6,0,0,141,6,0,0,198,0,0,0,23,2,0,0,120,1,0,0,24,2,0,0,25,2,0,0,142,6,0,0,26,2,0,0,199,0,0,0,200,0,0,0,121,1,0,0,27,2,0,0,250,2,0,0,64,0,0,0,28,2,0,0,159,0,0,0,44,0,0,0,251,2,0,0,252,2,0,0,83,4,0,0,45,0,0,0,253,2,0,0,46,0,0,0,254,2,0,0,0,0,0,0,6,0,0,0,32,0,0,0,7,0,0,0,24,0,0,0,140,0,0,0,36,0,0,0,44,0,0,0,28,0,0,0,47,0,0,0,54,0,0,0,24,0,0,0,56,0,0,0,71,0,0,0,152,0,0,0,81,0,0,0,87,0,0,0,48,0,0,0,88,0,0,0,103,0,0,0,56,0,0,0,113,0,0,0,120,0,0,0,24,0,0,0,122,0,0,0,129,0,0,0,24,0,0,0,131,0,0,0,141,0,0,0,72,0,0,0,146,0,0,0,154,0,0,0,28,0,0,0,157,0,0,0,165,0,0,0,40,0,0,0,168,0,0,0,179,0,0,0,36,0,0,0,185,0,0,0,209,0,0,0,96,0,0,0,228,0,0,0,238,0,0,0,52,0,0,0,243,0,0,0,255,0,0,0,60,0,0,0,6,1,0,0,12,1,0,0,48,0,0,0,13,1,0,0,21,1,0,0,52,0,0,0,24,1,0,0,31,1,0,0,52,0,0,0,33,1,0,0,40,1,0,0,52,0,0,0,42,1,0,0,50,1,0,0,56,0,0,0,53,1,0,0,60,1,0,0,24,0,0,0,62,1,0,0,74,1,0,0,72,0,0,0,81,1,0,0,91,1,0,0,72,0,0,0,96,1,0,0,102,1,0,0,32,0,0,0,103,1,0,0,112,1,0,0,44,0,0,0,116,1,0,0,122,1,0,0,32,0,0,0,192,72,8,0,224,72,8,0,112,73,8,0,144,73,8,0,168,73,8,0,64,74,8,0,112,74,8,0,168,74,8,0,192,74,8,0,216,74,8,0,32,75,8,0,64,75,8,0,104,75,8,0,144,75,8,0,240,75,8,0,40,76,8,0,104,76,8,0,152,76,8,0,208,76,8,0,8,77,8,0,64,77,8,0,120,77,8,0,144,77,8,0,216,77,8,0,32,78,8,0,64,78,8,0,112,78,8,0,0,0,0,0,32,94,0,0,143,6,0,0,144,6,0,0,198,0,0,0,29,2,0,0,122,1,0,0,30,2,0,0,31,2,0,0,145,6,0,0,32,2,0,0,199,0,0,0,200,0,0,0,123,1,0,0,33,2,0,0,255,2,0,0,64,0,0,0,34,2,0,0,160,0,0,0,44,0,0,0,0,3,0,0,1,3,0,0,83,4,0,0,45,0,0,0,2,3,0,0,46,0,0,0,3,3,0,0,0,0,0,0,48,94,0,0,146,6,0,0,147,6,0,0,198,0,0,0,35,2,0,0,124,1,0,0,36,2,0,0,37,2,0,0,148,6,0,0,38,2,0,0,199,0,0,0,200,0,0,0,125,1,0,0,39,2,0,0,4,3,0,0,64,0,0,0,40,2,0,0,161,0,0,0,44,0,0,0,5,3,0,0,6,3,0,0,83,4,0,0,45,0,0,0,7,3,0,0,46,0,0,0,8,3,0,0,0,0,0,0,64,94,0,0,149,6,0,0,150,6,0,0,198,0,0,0,41,2,0,0,126,1,0,0,42,2,0,0,43,2,0,0,151,6,0,0,44,2,0,0,199,0,0,0,200,0,0,0,127,1,0,0,45,2,0,0,9,3,0,0,64,0,0,0,46,2,0,0,162,0,0,0,44,0,0,0,10,3,0,0,11,3,0,0,83,4,0,0,45,0,0,0,12,3,0,0,46,0,0,0,13,3,0,0,0,0,0,0,80,94,0,0,152,6,0,0,153,6,0,0,198,0,0,0,47,2,0,0,128,1,0,0,48,2,0,0,49,2,0,0,154,6,0,0,50,2,0,0,199,0,0,0,200,0,0,0,129,1,0,0,51,2,0,0,14,3,0,0,64,0,0,0,52,2,0,0,163,0,0,0,44,0,0,0,15,3,0,0,16,3,0,0,83,4,0,0,45,0,0,0,17,3,0,0,46,0,0,0,18,3,0,0,0,0,0,0,96,94,0,0,155,6,0,0,156,6,0,0,198,0,0,0,53,2,0,0,130,1,0,0,54,2,0,0,55,2,0,0,157,6,0,0,56,2,0,0,199,0,0,0,200,0,0,0,131,1,0,0,57,2,0,0,19,3,0,0,64,0,0,0,58,2,0,0,164,0,0,0,44,0,0,0,20,3,0,0,21,3,0,0,83,4,0,0,45,0,0,0,22,3,0,0,46,0,0,0,23,3,0,0,0,0,0,0,112,94,0,0,158,6,0,0,159,6,0,0,198,0,0,0,59,2,0,0,132,1,0,0,60,2,0,0,61,2,0,0,160,6,0,0,62,2,0,0,199,0,0,0,200,0,0,0,133,1,0,0,63,2,0,0,24,3,0,0,64,0,0,0,64,2,0,0,165,0,0,0,44,0,0,0,25,3,0,0,26,3,0,0,83,4,0,0,45,0,0,0,27,3,0,0,46,0,0,0,28,3,0,0,0,0,0,0,128,94,0,0,161,6,0,0,162,6,0,0,198,0,0,0,65,2,0,0,134,1,0,0,66,2,0,0,67,2,0,0,163,6,0,0,68,2,0,0,199,0,0,0,200,0,0,0,135,1,0,0,69,2,0,0,29,3,0,0,64,0,0,0,70,2,0,0,166,0,0,0,44,0,0,0,30,3,0,0,31,3,0,0,83,4,0,0,45,0,0,0,32,3,0,0,46,0,0,0,33,3,0,0,0,0,0,0,144,94,0,0,164,6,0,0,165,6,0,0,198,0,0,0,71,2,0,0,136,1,0,0,72,2,0,0,73,2,0,0,166,6,0,0,74,2,0,0,199,0,0,0,200,0,0,0,137,1,0,0,75,2,0,0,34,3,0,0,64,0,0,0,76,2,0,0,167,0,0,0,44,0,0,0,35,3,0,0,36,3,0,0,83,4,0,0,45,0,0,0,37,3,0,0,46,0,0,0,38,3,0,0,0,0,0,0,160,94,0,0,167,6,0,0,168,6,0,0,198,0,0,0,77,2,0,0,138,1,0,0,78,2,0,0,79,2,0,0,169,6,0,0,80,2,0,0,199,0,0,0,200,0,0,0,139,1,0,0,81,2,0,0,39,3,0,0,64,0,0,0,82,2,0,0,168,0,0,0,44,0,0,0,40,3,0,0,41,3,0,0,83,4,0,0,45,0,0,0,42,3,0,0,46,0,0,0,43,3,0,0,0,0,0,0,176,94,0,0,170,6,0,0,171,6,0,0,198,0,0,0,83,2,0,0,140,1,0,0,84,2,0,0,85,2,0,0,172,6,0,0,86,2,0,0,199,0,0,0,200,0,0,0,141,1,0,0,87,2,0,0,44,3,0,0,64,0,0,0,88,2,0,0,169,0,0,0,44,0,0,0,45,3,0,0,46,3,0,0,83,4,0,0,45,0,0,0,47,3,0,0,46,0,0,0,48,3,0,0,0,0,0,0,192,94,0,0,173,6,0,0,174,6,0,0,198,0,0,0,89,2,0,0,142,1,0,0,90,2,0,0,91,2,0,0,175,6,0,0,92,2,0,0,199,0,0,0,200,0,0,0,143,1,0,0,93,2,0,0,49,3,0,0,64,0,0,0,94,2,0,0,170,0,0,0,44,0,0,0,50,3,0,0,51,3,0,0,83,4,0,0,45,0,0,0,52,3,0,0,46,0,0,0,53,3,0,0,0,0,0,0,208,94,0,0,176,6,0,0,177,6,0,0,198,0,0,0,95,2,0,0,144,1,0,0,96,2,0,0,97,2,0,0,178,6,0,0,98,2,0,0,199,0,0,0,200,0,0,0,145,1,0,0,99,2,0,0,54,3,0,0,64,0,0,0,100,2,0,0,171,0,0,0,44,0,0,0,55,3,0,0,56,3,0,0,83,4,0,0,45,0,0,0,57,3,0,0,46,0,0,0,58,3,0,0,0,0,0,0,224,94,0,0,179,6,0,0,180,6,0,0,198,0,0,0,101,2,0,0,146,1,0,0,102,2,0,0,103,2,0,0,181,6,0,0,104,2,0,0,199,0,0,0,200,0,0,0,147,1,0,0,105,2,0,0,59,3,0,0,64,0,0,0,106,2,0,0,172,0,0,0,44,0,0,0,60,3,0,0,61,3,0,0,83,4,0,0,45,0,0,0,62,3,0,0,46,0,0,0,63,3,0,0,0,0,0,0,240,94,0,0,182,6,0,0,183,6,0,0,198,0,0,0,107,2,0,0,148,1,0,0,108,2,0,0,109,2,0,0,184,6,0,0,110,2,0,0,199,0,0,0,200,0,0,0,149,1,0,0,111,2,0,0,64,3,0,0,64,0,0,0,112,2,0,0,173,0,0,0,44,0,0,0,65,3,0,0,66,3,0,0,83,4,0,0,45,0,0,0,67,3,0,0,46,0,0,0,68,3,0,0,0,0,0,0,0,95,0,0,185,6,0,0,186,6,0,0,198,0,0,0,113,2,0,0,150,1,0,0,114,2,0,0,115,2,0,0,187,6,0,0,116,2,0,0,199,0,0,0,200,0,0,0,151,1,0,0,117,2,0,0,69,3,0,0,64,0,0,0,118,2,0,0,174,0,0,0,44,0,0,0,70,3,0,0,71,3,0,0,83,4,0,0,45,0,0,0,72,3,0,0,46,0,0,0,73,3,0,0,0,0,0,0,16,95,0,0,188,6,0,0,189,6,0,0,198,0,0,0,119,2,0,0,152,1,0,0,120,2,0,0,121,2,0,0,190,6,0,0,122,2,0,0,199,0,0,0,200,0,0,0,153,1,0,0,123,2,0,0,74,3,0,0,64,0,0,0,124,2,0,0,175,0,0,0,44,0,0,0,75,3,0,0,76,3,0,0,83,4,0,0,45,0,0,0,77,3,0,0,46,0,0,0,78,3,0,0,0,0,0,0,32,95,0,0,191,6,0,0,192,6,0,0,198,0,0,0,125,2,0,0,154,1,0,0,126,2,0,0,127,2,0,0,193,6,0,0,128,2,0,0,199,0,0,0,200,0,0,0,155,1,0,0,129,2,0,0,79,3,0,0,64,0,0,0,130,2,0,0,176,0,0,0,44,0,0,0,80,3,0,0,81,3,0,0,83,4,0,0,45,0,0,0,82,3,0,0,46,0,0,0,83,3,0,0,0,0,0,0,48,95,0,0,194,6,0,0,195,6,0,0,198,0,0,0,131,2,0,0,156,1,0,0,132,2,0,0,133,2,0,0,196,6,0,0,134,2,0,0,199,0,0,0,200,0,0,0,157,1,0,0,135,2,0,0,84,3,0,0,64,0,0,0,136,2,0,0,177,0,0,0,44,0,0,0,85,3,0,0,86,3,0,0,83,4,0,0,45,0,0,0,87,3,0,0,46,0,0,0,88,3,0,0,0,0,0,0,64,95,0,0,197,6,0,0,198,6,0,0,198,0,0,0,137,2,0,0,158,1,0,0,138,2,0,0,139,2,0,0,199,6,0,0,140,2,0,0,199,0,0,0,200,0,0,0,159,1,0,0,141,2,0,0,89,3,0,0,64,0,0,0,142,2,0,0,178,0,0,0,44,0,0,0,90,3,0,0,91,3,0,0,83,4,0,0,45,0,0,0,92,3,0,0,46,0,0,0,93,3,0,0,0,0,0,0,80,95,0,0,200,6,0,0,201,6,0,0,198,0,0,0,143,2,0,0,160,1,0,0,144,2,0,0,145,2,0,0,202,6,0,0,146,2,0,0,199,0,0,0,200,0,0,0,161,1,0,0,147,2,0,0,94,3,0,0,64,0,0,0,148,2,0,0,179,0,0,0,44,0,0,0,95,3,0,0,96,3,0,0,83,4,0,0,45,0,0,0,97,3,0,0,46,0,0,0,98,3,0,0,0,0,0,0,96,95,0,0,203,6,0,0,204,6,0,0,198,0,0,0,149,2,0,0,162,1,0,0,150,2,0,0,151,2,0,0,205,6,0,0,152,2,0,0,199,0,0,0,200,0,0,0,163,1,0,0,153,2,0,0,99,3,0,0,64,0,0,0,154,2,0,0,180,0,0,0,44,0,0,0,100,3,0,0,101,3,0,0,83,4,0,0,45,0,0,0,102,3,0,0,46,0,0,0,103,3,0,0,0,0,0,0,112,95,0,0,206,6,0,0,207,6,0,0,198,0,0,0,155,2,0,0,164,1,0,0,156,2,0,0,157,2,0,0,208,6,0,0,158,2,0,0,199,0,0,0,200,0,0,0,165,1,0,0,159,2,0,0,104,3,0,0,64,0,0,0,160,2,0,0,181,0,0,0,44,0,0,0,105,3,0,0,106,3,0,0,83,4,0,0,45,0,0,0,107,3,0,0,46,0,0,0,108,3,0,0,0,0,0,0,128,95,0,0,209,6,0,0,210,6,0,0,198,0,0,0,161,2,0,0,166,1,0,0,162,2,0,0,163,2,0,0,211,6,0,0,164,2,0,0,199,0,0,0,200,0,0,0,167,1,0,0,165,2,0,0,109,3,0,0,64,0,0,0,166,2,0,0,182,0,0,0,44,0,0,0,110,3,0,0,111,3,0,0,83,4,0,0,45,0,0,0,112,3,0,0,46,0,0,0,113,3,0,0,0,0,0,0,144,95,0,0,212,6,0,0,213,6,0,0,198,0,0,0,167,2,0,0,168,1,0,0,168,2,0,0,169,2,0,0,214,6,0,0,170,2,0,0,199,0,0,0,200,0,0,0,169,1,0,0,171,2,0,0,114,3,0,0,64,0,0,0,172,2,0,0,183,0,0,0,44,0,0,0,115,3,0,0,116,3,0,0,83,4,0,0,45,0,0,0,117,3,0,0,46,0,0,0,118,3,0,0,0,0,0,0,160,95,0,0,215,6,0,0,216,6,0,0,198,0,0,0,173,2,0,0,170,1,0,0,174,2,0,0,175,2,0,0,217,6,0,0,176,2,0,0,199,0,0,0,200,0,0,0,171,1,0,0,177,2,0,0,119,3,0,0,64,0,0,0,178,2,0,0,184,0,0,0,44,0,0,0,120,3,0,0,121,3,0,0,83,4,0,0,45,0,0,0,122,3,0,0,46,0,0,0,123,3,0,0,0,0,0,0,176,95,0,0,218,6,0,0,219,6,0,0,198,0,0,0,179,2,0,0,172,1,0,0,180,2,0,0,181,2,0,0,220,6,0,0,182,2,0,0,199,0,0,0,200,0,0,0,173,1,0,0,183,2,0,0,124,3,0,0,64,0,0,0,184,2,0,0,185,0,0,0,44,0,0,0,125,3,0,0,126,3,0,0,83,4,0,0,45,0,0,0,127,3,0,0,46,0,0,0,128,3,0,0,4,0,0,0,5,0,0,0,7,0,0,0,2,0,0,0,6,0,0,0,3,0,0,0,4,0,0,0,8,0,0,0,2,0,0,0,0,0,0,0,200,95,0,0,221,6,0,0,222,6,0,0,186,0,0,0,187,0,0,0,12,0,0,0,188,0,0,0,174,1,0,0,0,0,0,0,216,95,0,0,223,6,0,0,224,6,0,0,198,0,0,0,185,2,0,0,175,1,0,0,186,2,0,0,55,0,0,0,225,6,0,0,187,2,0,0,199,0,0,0,200,0,0,0,176,1,0,0,188,2,0,0,129,3,0,0,64,0,0,0,189,2,0,0,189,0,0,0,44,0,0,0,214,0,0,0,229,0,0,0,83,4,0,0,45,0,0,0,130,3,0,0,46,0,0,0,131,3,0,0,0,0,0,0,232,95,0,0,226,6,0,0,227,6,0,0,177,1,0,0,0,0,0,0,248,95,0,0,228,6,0,0,229,6,0,0,190,0,0,0,0,0,0,0,24,96,0,0,230,6,0,0,231,6,0,0,178,1,0,0,179,1,0,0,180,1,0,0,191,0,0,0,192,0,0,0,158,0,0,0,193,0,0,0,159,0,0,0,194,0,0,0,160,0,0,0,195,0,0,0,161,0,0,0,96,0,0,0,65,0,0,0,162,0,0,0,196,0,0,0,197,0,0,0,198,0,0,0,199,0,0,0,8,0,0,0,9,0,0,0,200,0,0,0,97,0,0,0,201,0,0,0,202,0,0,0,13,0,0,0,14,0,0,0,98,0,0,0,66,0,0,0,99,0,0,0,67,0,0,0,2,0,0,0,3,0,0,0,100,0,0,0,101,0,0,0,102,0,0,0,103,0,0,0,15,0,0,0,104,0,0,0,16,0,0,0,17,0,0,0,18,0,0,0,19,0,0,0,20,0,0,0,1,0,0,0,2,0,0,0,21,0,0,0,68,0,0,0,22,0,0,0,23,0,0,0,24,0,0,0,69,0,0,0,69,0,0,0,91,0,0,0,70,0,0,0,92,0,0,0,3,0,0,0,4,0,0,0,71,0,0,0,72,0,0,0,73,0,0,0,74,0,0,0,25,0,0,0,105,0,0,0,75,0,0,0,106,0,0,0,76,0,0,0,4,0,0,0,5,0,0,0,107,0,0,0,108,0,0,0,109,0,0,0,110,0,0,0,26,0,0,0,111,0,0,0,181,1,0,0,182,1,0,0,190,2,0,0,191,2,0,0,30,0,0,0,31,0,0,0,70,0,0,0,183,1,0,0,27,0,0,0,71,0,0,0,28,0,0,0,112,0,0,0,113,0,0,0,203,0,0,0,204,0,0,0,188,199,7,0,204,199,7,0,218,199,7,0,232,199,7,0,247,199,7,0,6,200,7,0,21,200,7,0,35,200,7,0,48,200,7,0,61,200,7,0,76,200,7,0,0,0,0,0,48,96,0,0,232,6,0,0,233,6,0,0,205,0,0,0,132,3,0,0,184,1,0,0,192,2,0,0,0,0,0,0,64,96,0,0,234,6,0,0,235,6,0,0,206,0,0,0,185,1,0,0,0,0,0,0,80,96,0,0,236,6,0,0,237,6,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,193,2,0,0,238,6,0,0,239,6,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,0,0,0,0,88,96,0,0,240,6,0,0,241,6,0,0,186,1,0,0,207,0,0,0,187,1,0,0,208,0,0,0,133,3,0,0,134,3,0,0,194,2,0,0,195,2,0,0,242,6,0,0,243,6,0,0,135,3,0,0,136,3,0,0,163,0,0,0,137,3,0,0,196,2,0,0,197,2,0,0,138,3,0,0,0,0,0,0,176,96,0,0,244,6,0,0,245,6,0,0,188,1,0,0,189,1,0,0,29,0,0,0,139,3,0,0,114,0,0,0,164,0,0,0,140,3,0,0,115,0,0,0,116,0,0,0,190,1,0,0,191,1,0,0,209,0,0,0,210,0,0,0,30,0,0,0,165,0,0,0,31,0,0,0,192,1,0,0,166,0,0,0,211,0,0,0,0,0,0,0,232,96,0,0,244,6,0,0,246,6,0,0,193,1,0,0,194,1,0,0,32,0,0,0,141,3,0,0,117,0,0,0,167,0,0,0,142,3,0,0,118,0,0,0,119,0,0,0,190,1,0,0,191,1,0,0,209,0,0,0,210,0,0,0,30,0,0,0,165,0,0,0,31,0,0,0,195,1,0,0,168,0,0,0,212,0,0,0,0,0,0,0,248,96,0,0,244,6,0,0,247,6,0,0,196,1,0,0,197,1,0,0,33,0,0,0,143,3,0,0,120,0,0,0,169,0,0,0,144,3,0,0,121,0,0,0,122,0,0,0,190,1,0,0,191,1,0,0,209,0,0,0,210,0,0,0,30,0,0,0,165,0,0,0,31,0,0,0,198,1,0,0,170,0,0,0,213,0,0,0,0,0,0,0,24,97,0,0,244,6,0,0,248,6,0,0,199,1,0,0,200,1,0,0,34,0,0,0,145,3,0,0,123,0,0,0,171,0,0,0,146,3,0,0,124,0,0,0,125,0,0,0,190,1,0,0,191,1,0,0,209,0,0,0,210,0,0,0,30,0,0,0,165,0,0,0,31,0,0,0,201,1,0,0,214,0,0,0,0,0,0,0,56,97,0,0,244,6,0,0,249,6,0,0,202,1,0,0,203,1,0,0,35,0,0,0,147,3,0,0,126,0,0,0,172,0,0,0,148,3,0,0,127,0,0,0,128,0,0,0,190,1,0,0,191,1,0,0,209,0,0,0,210,0,0,0,30,0,0,0,165,0,0,0,31,0,0,0,3,0,0,0,215,0,0,0,0,0,0,0,88,97,0,0,244,6,0,0,250,6,0,0,204,1,0,0,205,1,0,0,36,0,0,0,149,3,0,0,129,0,0,0,173,0,0,0,150,3,0,0,130,0,0,0,131,0,0,0,190,1,0,0,191,1,0,0,209,0,0,0,210,0,0,0,30,0,0,0,165,0,0,0,31,0,0,0,4,0,0,0,216,0,0,0,0,0,0,0,120,97,0,0,244,6,0,0,251,6,0,0,206,1,0,0,207,1,0,0,37,0,0,0,151,3,0,0,132,0,0,0,174,0,0,0,152,3,0,0,133,0,0,0,134,0,0,0,190,1,0,0,191,1,0,0,209,0,0,0,210,0,0,0,30,0,0,0,165,0,0,0,31,0,0,0,208,1,0,0,217,0,0,0,0,0,0,0,152,97,0,0,244,6,0,0,252,6,0,0,209,1,0,0,210,1,0,0,38,0,0,0,153,3,0,0,135,0,0,0,175,0,0,0,154,3,0,0,136,0,0,0,137,0,0,0,190,1,0,0,191,1,0,0,209,0,0,0,210,0,0,0,30,0,0,0,165,0,0,0,31,0,0,0,211,1,0,0,218,0,0,0,0,0,0,0,184,97,0,0,244,6,0,0,253,6,0,0,212,1,0,0,213,1,0,0,39,0,0,0,155,3,0,0,138,0,0,0,176,0,0,0,156,3,0,0,139,0,0,0,140,0,0,0,190,1,0,0,191,1,0,0,209,0,0,0,210,0,0,0,30,0,0,0,165,0,0,0,31,0,0,0,214,1,0,0,219,0,0,0,0,0,0,0,216,97,0,0,244,6,0,0,254,6,0,0,215,1,0,0,216,1,0,0,40,0,0,0,157,3,0,0,141,0,0,0,177,0,0,0,158,3,0,0,142,0,0,0,143,0,0,0,190,1,0,0,191,1,0,0,209,0,0,0,210,0,0,0,30,0,0,0,165,0,0,0,31,0,0,0,217,1,0,0,220,0,0,0,0,0,0,0,0,98,0,0,255,6,0,0,0,7,0,0,218,1,0,0,0,0,0,0,24,98,0,0,1,7,0,0,2,7,0,0,178,0,0,0,179,0,0,0,180,0,0,0,144,0,0,0,145,0,0,0,1,0,0,0,2,0,0,0,181,0,0,0,182,0,0,0,146,0,0,0,77,0,0,0,93,0,0,0,94,0,0,0,0,0,0,0,40,98,0,0,3,7,0,0,4,7,0,0,183,0,0,0,0,0,0,0,56,98,0,0,5,7,0,0,6,7,0,0,147,0,0,0,148,0,0,0,0,0,0,0,72,98,0,0,7,7,0,0,8,7,0,0,221,0,0,0,219,1,0,0,184,0,0,0,0,0,0,0,96,98,0,0,228,6,0,0,9,7,0,0,222,0,0,0,0,0,0,0,0,1,0,0,0,9,0,0,0,0,0,0,8,0,0,0,1,0,0,0,32,32,32,32,0,0,0,0,220,239,7,0,124,202,17,0,180,223,17,0,220,248,7,0,68,109,2,0,20,0,0,0,67,46,85,84,70,45,56,0,0,0,0,0,0,0,0,0,0,0,0,0,222,18,4,149,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,40,109,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,192,3,0,0,192,4,0,0,192,5,0,0,192,6,0,0,192,7,0,0,192,8,0,0,192,9,0,0,192,10,0,0,192,11,0,0,192,12,0,0,192,13,0,0,192,14,0,0,192,15,0,0,192,16,0,0,192,17,0,0,192,18,0,0,192,19,0,0,192,20,0,0,192,21,0,0,192,22,0,0,192,23,0,0,192,24,0,0,192,25,0,0,192,26,0,0,192,27,0,0,192,28,0,0,192,29,0,0,192,30,0,0,192,31,0,0,192,0,0,0,179,1,0,0,195,2,0,0,195,3,0,0,195,4,0,0,195,5,0,0,195,6,0,0,195,7,0,0,195,8,0,0,195,9,0,0,195,10,0,0,195,11,0,0,195,12,0,0,195,13,0,0,211,14,0,0,195,15,0,0,195,0,0,12,187,1,0,12,195,2,0,12,195,3,0,12,195,4,0,12,211,64,110,2,0,5,0,0,0,0,0,0,0,0,0,0,0,198,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,223,0,0,0,224,0,0,0,162,215,17,0,0,4,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,255,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,164,190,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,110,2,0,184,111,2,0,9,0,0,0,0,0,0,0,0,0,0,0,198,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,225,0,0,0,0,0,0,0,224,0,0,0,170,219,17,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,112,2,0,5,0,0,0,0,0,0,0,0,0,0,0,198,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,226,0,0,0,224,0,0,0,178,223,17,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,227,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,0,0,0,100,0,0,0,232,3,0,0,16,39,0,0,160,134,1,0,64,66,15,0,128,150,152,0,0,225,245,5,95,112,137,0,255,9,47,15,54,157,2,0,96,115,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,2,0,0,0,3,0,0,0,4,0,0,0,5,0,0,0,6,0,0,0,7,0,0,0,8,0,0,0,9,0,0,0,10,0,0,0,11,0,0,0,12,0,0,0,13,0,0,0,14,0,0,0,15,0,0,0,16,0,0,0,17,0,0,0,18,0,0,0,19,0,0,0,20,0,0,0,21,0,0,0,22,0,0,0,23,0,0,0,24,0,0,0,25,0,0,0,26,0,0,0,27,0,0,0,28,0,0,0,29,0,0,0,30,0,0,0,31,0,0,0,32,0,0,0,33,0,0,0,34,0,0,0,35,0,0,0,36,0,0,0,37,0,0,0,38,0,0,0,39,0,0,0,40,0,0,0,41,0,0,0,42,0,0,0,43,0,0,0,44,0,0,0,45,0,0,0,46,0,0,0,47,0,0,0,48,0,0,0,49,0,0,0,50,0,0,0,51,0,0,0,52,0,0,0,53,0,0,0,54,0,0,0,55,0,0,0,56,0,0,0,57,0,0,0,58,0,0,0,59,0,0,0,60,0,0,0,61,0,0,0,62,0,0,0,63,0,0,0,64,0,0,0,65,0,0,0,66,0,0,0,67,0,0,0,68,0,0,0,69,0,0,0,70,0,0,0,71,0,0,0,72,0,0,0,73,0,0,0,74,0,0,0,75,0,0,0,76,0,0,0,77,0,0,0,78,0,0,0,79,0,0,0,80,0,0,0,81,0,0,0,82,0,0,0,83,0,0,0,84,0,0,0,85,0,0,0,86,0,0,0,87,0,0,0,88,0,0,0,89,0,0,0,90,0,0,0,91,0,0,0,92,0,0,0,93,0,0,0,94,0,0,0,95,0,0,0,96,0,0,0,65,0,0,0,66,0,0,0,67,0,0,0,68,0,0,0,69,0,0,0,70,0,0,0,71,0,0,0,72,0,0,0,73,0,0,0,74,0,0,0,75,0,0,0,76,0,0,0,77,0,0,0,78,0,0,0,79,0,0,0,80,0,0,0,81,0,0,0,82,0,0,0,83,0,0,0,84,0,0,0,85,0,0,0,86,0,0,0,87,0,0,0,88,0,0,0,89,0,0,0,90,0,0,0,123,0,0,0,124,0,0,0,125,0,0,0,126,0,0,0,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,100,121,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,2,0,0,0,3,0,0,0,4,0,0,0,5,0,0,0,6,0,0,0,7,0,0,0,8,0,0,0,9,0,0,0,10,0,0,0,11,0,0,0,12,0,0,0,13,0,0,0,14,0,0,0,15,0,0,0,16,0,0,0,17,0,0,0,18,0,0,0,19,0,0,0,20,0,0,0,21,0,0,0,22,0,0,0,23,0,0,0,24,0,0,0,25,0,0,0,26,0,0,0,27,0,0,0,28,0,0,0,29,0,0,0,30,0,0,0,31,0,0,0,32,0,0,0,33,0,0,0,34,0,0,0,35,0,0,0,36,0,0,0,37,0,0,0,38,0,0,0,39,0,0,0,40,0,0,0,41,0,0,0,42,0,0,0,43,0,0,0,44,0,0,0,45,0,0,0,46,0,0,0,47,0,0,0,48,0,0,0,49,0,0,0,50,0,0,0,51,0,0,0,52,0,0,0,53,0,0,0,54,0,0,0,55,0,0,0,56,0,0,0,57,0,0,0,58,0,0,0,59,0,0,0,60,0,0,0,61,0,0,0,62,0,0,0,63,0,0,0,64,0,0,0,97,0,0,0,98,0,0,0,99,0,0,0,100,0,0,0,101,0,0,0,102,0,0,0,103,0,0,0,104,0,0,0,105,0,0,0,106,0,0,0,107,0,0,0,108,0,0,0,109,0,0,0,110,0,0,0,111,0,0,0,112,0,0,0,113,0,0,0,114,0,0,0,115,0,0,0,116,0,0,0,117,0,0,0,118,0,0,0,119,0,0,0,120,0,0,0,121,0,0,0,122,0,0,0,91,0,0,0,92,0,0,0,93,0,0,0,94,0,0,0,95,0,0,0,96,0,0,0,97,0,0,0,98,0,0,0,99,0,0,0,100,0,0,0,101,0,0,0,102,0,0,0,103,0,0,0,104,0,0,0,105,0,0,0,106,0,0,0,107,0,0,0,108,0,0,0,109,0,0,0,110,0,0,0,111,0,0,0,112,0,0,0,113,0,0,0,114,0,0,0,115,0,0,0,116,0,0,0,117,0,0,0,118,0,0,0,119,0,0,0,120,0,0,0,121,0,0,0,122,0,0,0,123,0,0,0,124,0,0,0,125,0,0,0,126,0,0,0,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0,3,0,0,0,5,0,0,0,7,0,0,0,11,0,0,0,13,0,0,0,17,0,0,0,19,0,0,0,23,0,0,0,29,0,0,0,31,0,0,0,37,0,0,0,41,0,0,0,43,0,0,0,47,0,0,0,53,0,0,0,59,0,0,0,61,0,0,0,67,0,0,0,71,0,0,0,73,0,0,0,79,0,0,0,83,0,0,0,89,0,0,0,97,0,0,0,101,0,0,0,103,0,0,0,107,0,0,0,109,0,0,0,113,0,0,0,127,0,0,0,131,0,0,0,137,0,0,0,139,0,0,0,149,0,0,0,151,0,0,0,157,0,0,0,163,0,0,0,167,0,0,0,173,0,0,0,179,0,0,0,181,0,0,0,191,0,0,0,193,0,0,0,197,0,0,0,199,0,0,0,211,0,0,0,1,0,0,0,11,0,0,0,13,0,0,0,17,0,0,0,19,0,0,0,23,0,0,0,29,0,0,0,31,0,0,0,37,0,0,0,41,0,0,0,43,0,0,0,47,0,0,0,53,0,0,0,59,0,0,0,61,0,0,0,67,0,0,0,71,0,0,0,73,0,0,0,79,0,0,0,83,0,0,0,89,0,0,0,97,0,0,0,101,0,0,0,103,0,0,0,107,0,0,0,109,0,0,0,113,0,0,0,121,0,0,0,127,0,0,0,131,0,0,0,137,0,0,0,139,0,0,0,143,0,0,0,149,0,0,0,151,0,0,0,157,0,0,0,163,0,0,0,167,0,0,0,169,0,0,0,173,0,0,0,179,0,0,0,181,0,0,0,187,0,0,0,191,0,0,0,193,0,0,0,197,0,0,0,199,0,0,0,209,0,0,0,0,0,0,0,40,99,0,0,10,7,0,0,11,7,0,0,0,0,0,0,64,99,0,0,12,7,0,0,13,7,0,0,1,0,0,0,1,0,0,0,90,0,0,0,47,0,0,0,2,0,0,0,3,0,0,0,2,0,0,0,37,0,0,0,5,0,0,0,50,0,0,0,3,0,0,0,51,0,0,0,0,0,0,0,72,99,0,0,14,7,0,0,15,7,0,0,159,3,0,0,228,0,0,0,95,0,0,0,149,0,0,0,199,2,0,0,200,2,0,0,229,0,0,0,201,2,0,0,202,2,0,0,220,1,0,0,230,0,0,0,221,1,0,0,8,0,0,0,0,0,0,0,80,99,0,0,11,0,0,0,12,0,0,0,248,255,255,255,248,255,255,255,80,99,0,0,13,0,0,0,14,0,0,0,128,127,2,0,148,127,2,0,8,0,0,0,0,0,0,0,104,99,0,0,16,7,0,0,17,7,0,0,248,255,255,255,248,255,255,255,104,99,0,0,18,7,0,0,19,7,0,0,176,127,2,0,196,127,2,0,76,34,0,0,96,34,0,0,4,0,0,0,0,0,0,0,152,99,0,0,20,7,0,0,21,7,0,0,252,255,255,255,252,255,255,255,152,99,0,0,22,7,0,0,23,7,0,0,232,127,2,0,252,127,2],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+153604);allocate([12,0,0,0,0,0,0,0,176,99,0,0,17,0,0,0,18,0,0,0,4,0,0,0,248,255,255,255,176,99,0,0,19,0,0,0,20,0,0,0,244,255,255,255,244,255,255,255,176,99,0,0,21,0,0,0,22,0,0,0,24,128,2,0,220,99,0,0,240,99,0,0,76,34,0,0,96,34,0,0,64,128,2,0,44,128,2,0,0,0,0,0,248,99,0,0,24,7,0,0,25,7,0,0,160,3,0,0,228,0,0,0,95,0,0,0,149,0,0,0,203,2,0,0,200,2,0,0,229,0,0,0,201,2,0,0,202,2,0,0,220,1,0,0,231,0,0,0,222,1,0,0,0,0,0,0,8,100,0,0,26,7,0,0,27,7,0,0,161,3,0,0,1,0,0,0,90,0,0,0,47,0,0,0,204,2,0,0,3,0,0,0,2,0,0,0,37,0,0,0,5,0,0,0,50,0,0,0,232,0,0,0,223,1,0,0,0,0,0,0,24,100,0,0,28,7,0,0,29,7,0,0,162,3,0,0,228,0,0,0,95,0,0,0,149,0,0,0,199,2,0,0,200,2,0,0,229,0,0,0,205,2,0,0,206,2,0,0,224,1,0,0,230,0,0,0,221,1,0,0,0,0,0,0,40,100,0,0,30,7,0,0,31,7,0,0,163,3,0,0,1,0,0,0,90,0,0,0,47,0,0,0,2,0,0,0,3,0,0,0,2,0,0,0,207,2,0,0,208,2,0,0,225,1,0,0,3,0,0,0,51,0,0,0,0,0,0,0,56,100,0,0,32,7,0,0,33,7,0,0,34,7,0,0,72,0,0,0,150,0,0,0,233,0,0,0,0,0,0,0,88,100,0,0,35,7,0,0,36,7,0,0,34,7,0,0,73,0,0,0,151,0,0,0,234,0,0,0,0,0,0,0,104,100,0,0,37,7,0,0,38,7,0,0,34,7,0,0,32,0,0,0,33,0,0,0,34,0,0,0,35,0,0,0,36,0,0,0,37,0,0,0,38,0,0,0,39,0,0,0,40,0,0,0,41,0,0,0,42,0,0,0,0,0,0,0,168,100,0,0,39,7,0,0,40,7,0,0,34,7,0,0,43,0,0,0,44,0,0,0,45,0,0,0,46,0,0,0,47,0,0,0,48,0,0,0,49,0,0,0,50,0,0,0,51,0,0,0,52,0,0,0,53,0,0,0,0,0,0,0,224,100,0,0,41,7,0,0,42,7,0,0,34,7,0,0,74,0,0,0,75,0,0,0,54,0,0,0,76,0,0,0,55,0,0,0,1,0,0,0,2,0,0,0,77,0,0,0,0,0,0,0,32,101,0,0,43,7,0,0,44,7,0,0,34,7,0,0,78,0,0,0,79,0,0,0,56,0,0,0,80,0,0,0,57,0,0,0,3,0,0,0,4,0,0,0,81,0,0,0,0,0,0,0,88,101,0,0,45,7,0,0,46,7,0,0,34,7,0,0,209,2,0,0,58,0,0,0,59,0,0,0,60,0,0,0,61,0,0,0,62,0,0,0,2,0,0,0,248,255,255,255,88,101,0,0,210,2,0,0,211,2,0,0,212,2,0,0,213,2,0,0,214,2,0,0,215,2,0,0,216,2,0,0,0,0,0,0,144,101,0,0,47,7,0,0,48,7,0,0,34,7,0,0,217,2,0,0,63,0,0,0,64,0,0,0,65,0,0,0,66,0,0,0,67,0,0,0,3,0,0,0,248,255,255,255,144,101,0,0,218,2,0,0,219,2,0,0,220,2,0,0,221,2,0,0,222,2,0,0,223,2,0,0,224,2,0,0,37,0,0,0,72,0,0,0,58,0,0,0,37,0,0,0,77,0,0,0,58,0,0,0,37,0,0,0,83,0,0,0,0,0,0,0,37,0,0,0,109,0,0,0,47,0,0,0,37,0,0,0,100,0,0,0,47,0,0,0,37,0,0,0,121,0,0,0,0,0,0,0,37,0,0,0,73,0,0,0,58,0,0,0,37,0,0,0,77,0,0,0,58,0,0,0,37,0,0,0,83,0,0,0,32,0,0,0,37,0,0,0,112,0,0,0,0,0,0,0,37,0,0,0,97,0,0,0,32,0,0,0,37,0,0,0,98,0,0,0,32,0,0,0,37,0,0,0,100,0,0,0,32,0,0,0,37,0,0,0,72,0,0,0,58,0,0,0,37,0,0,0,77,0,0,0,58,0,0,0,37,0,0,0,83,0,0,0,32,0,0,0,37,0,0,0,89,0,0,0,0,0,0,0,65,0,0,0,77,0,0,0,0,0,0,0,80,0,0,0,77,0,0,0,0,0,0,0,74,0,0,0,97,0,0,0,110,0,0,0,117,0,0,0,97,0,0,0,114,0,0,0,121,0,0,0,0,0,0,0,70,0,0,0,101,0,0,0,98,0,0,0,114,0,0,0,117,0,0,0,97,0,0,0,114,0,0,0,121,0,0,0,0,0,0,0,77,0,0,0,97,0,0,0,114,0,0,0,99,0,0,0,104,0,0,0,0,0,0,0,65,0,0,0,112,0,0,0,114,0,0,0,105,0,0,0,108,0,0,0,0,0,0,0,77,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,74,0,0,0,117,0,0,0,110,0,0,0,101,0,0,0,0,0,0,0,74,0,0,0,117,0,0,0,108,0,0,0,121,0,0,0,0,0,0,0,65,0,0,0,117,0,0,0,103,0,0,0,117,0,0,0,115,0,0,0,116,0,0,0,0,0,0,0,83,0,0,0,101,0,0,0,112,0,0,0,116,0,0,0,101,0,0,0,109,0,0,0,98,0,0,0,101,0,0,0,114,0,0,0,0,0,0,0,79,0,0,0,99,0,0,0,116,0,0,0,111,0,0,0,98,0,0,0,101,0,0,0,114,0,0,0,0,0,0,0,78,0,0,0,111,0,0,0,118,0,0,0,101,0,0,0,109,0,0,0,98,0,0,0,101,0,0,0,114,0,0,0,0,0,0,0,68,0,0,0,101,0,0,0,99,0,0,0,101,0,0,0,109,0,0,0,98,0,0,0,101,0,0,0,114,0,0,0,0,0,0,0,74,0,0,0,97,0,0,0,110,0,0,0,0,0,0,0,70,0,0,0,101,0,0,0,98,0,0,0,0,0,0,0,77,0,0,0,97,0,0,0,114,0,0,0,0,0,0,0,65,0,0,0,112,0,0,0,114,0,0,0,0,0,0,0,74,0,0,0,117,0,0,0,110,0,0,0,0,0,0,0,74,0,0,0,117,0,0,0,108,0,0,0,0,0,0,0,65,0,0,0,117,0,0,0,103,0,0,0,0,0,0,0,83,0,0,0,101,0,0,0,112,0,0,0,0,0,0,0,79,0,0,0,99,0,0,0,116,0,0,0,0,0,0,0,78,0,0,0,111,0,0,0,118,0,0,0,0,0,0,0,68,0,0,0,101,0,0,0,99,0,0,0,0,0,0,0,83,0,0,0,117,0,0,0,110,0,0,0,100,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,77,0,0,0,111,0,0,0,110,0,0,0,100,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,84,0,0,0,117,0,0,0,101,0,0,0,115,0,0,0,100,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,87,0,0,0,101,0,0,0,100,0,0,0,110,0,0,0,101,0,0,0,115,0,0,0,100,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,84,0,0,0,104,0,0,0,117,0,0,0,114,0,0,0,115,0,0,0,100,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,70,0,0,0,114,0,0,0,105,0,0,0,100,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,83,0,0,0,97,0,0,0,116,0,0,0,117,0,0,0,114,0,0,0,100,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,83,0,0,0,117,0,0,0,110,0,0,0,0,0,0,0,77,0,0,0,111,0,0,0,110,0,0,0,0,0,0,0,84,0,0,0,117,0,0,0,101,0,0,0,0,0,0,0,87,0,0,0,101,0,0,0,100,0,0,0,0,0,0,0,84,0,0,0,104,0,0,0,117,0,0,0,0,0,0,0,70,0,0,0,114,0,0,0,105,0,0,0,0,0,0,0,83,0,0,0,97,0,0,0,116,0,0,0,0,0,0,0,37,0,0,0,109,0,0,0,47,0,0,0,37,0,0,0,100,0,0,0,47,0,0,0,37,0,0,0,121,0,0,0,37,0,0,0,89,0,0,0,45,0,0,0,37,0,0,0,109,0,0,0,45,0,0,0,37,0,0,0,100,0,0,0,37,0,0,0,73,0,0,0,58,0,0,0,37,0,0,0,77,0,0,0,58,0,0,0,37,0,0,0,83,0,0,0,32,0,0,0,37,0,0,0,112,0,0,0,37,0,0,0,72,0,0,0,58,0,0,0,37,0,0,0,77,0,0,0,37,0,0,0,72,0,0,0,58,0,0,0,37,0,0,0,77,0,0,0,58,0,0,0,37,0,0,0,83,0,0,0,37,0,0,0,72,0,0,0,58,0,0,0,37,0,0,0,77,0,0,0,58,0,0,0,37,0,0,0,83,0,0,0,0,0,0,0,192,101,0,0,49,7,0,0,50,7,0,0,34,7,0,0,1,0,0,0,0,0,0,0,232,101,0,0,51,7,0,0,52,7,0,0,34,7,0,0,2,0,0,0,0,0,0,0,8,102,0,0,53,7,0,0,54,7,0,0,34,7,0,0,225,2,0,0,226,2,0,0,164,3,0,0,165,3,0,0,166,3,0,0,167,3,0,0,227,2,0,0,168,3,0,0,169,3,0,0,0,0,0,0,48,102,0,0,55,7,0,0,56,7,0,0,34,7,0,0,228,2,0,0,229,2,0,0,170,3,0,0,171,3,0,0,172,3,0,0,173,3,0,0,230,2,0,0,174,3,0,0,175,3,0,0,0,0,0,0,80,102,0,0,57,7,0,0,58,7,0,0,34,7,0,0,231,2,0,0,232,2,0,0,176,3,0,0,177,3,0,0,178,3,0,0,179,3,0,0,233,2,0,0,180,3,0,0,181,3,0,0,0,0,0,0,112,102,0,0,59,7,0,0,60,7,0,0,34,7,0,0,234,2,0,0,235,2,0,0,182,3,0,0,183,3,0,0,184,3,0,0,185,3,0,0,236,2,0,0,186,3,0,0,187,3,0,0,0,0,0,0,144,102,0,0,61,7,0,0,62,7,0,0,34,7,0,0,3,0,0,0,4,0,0,0,0,0,0,0,184,102,0,0,63,7,0,0,64,7,0,0,34,7,0,0,5,0,0,0,6,0,0,0,0,0,0,0,224,102,0,0,65,7,0,0,66,7,0,0,34,7,0,0,1,0,0,0,68,0,0,0,0,0,0,0,8,103,0,0,67,7,0,0,68,7,0,0,34,7,0,0,2,0,0,0,69,0,0,0,0,0,0,0,48,103,0,0,69,7,0,0,70,7,0,0,34,7,0,0,235,0,0,0,96,0,0,0,188,3,0,0,0,0,0,0,88,103,0,0,71,7,0,0,72,7,0,0,34,7,0,0,236,0,0,0,97,0,0,0,189,3,0,0,0,0,0,0,176,103,0,0,73,7,0,0,74,7,0,0,34,7,0,0,4,0,0,0,5,0,0,0,82,0,0,0,237,2,0,0,238,2,0,0,83,0,0,0,239,2,0,0,0,0,0,0,120,103,0,0,73,7,0,0,75,7,0,0,34,7,0,0,4,0,0,0,5,0,0,0,82,0,0,0,237,2,0,0,238,2,0,0,83,0,0,0,239,2,0,0,0,0,0,0,224,103,0,0,76,7,0,0,77,7,0,0,34,7,0,0,6,0,0,0,7,0,0,0,84,0,0,0,240,2,0,0,241,2,0,0,85,0,0,0,242,2,0,0,0,0,0,0,32,104,0,0,78,7,0,0,79,7,0,0,34,7,0,0,0,0,0,0,48,104,0,0,80,7,0,0,81,7,0,0,34,7,0,0,226,1,0,0,237,0,0,0,227,1,0,0,238,0,0,0,228,1,0,0,41,0,0,0,239,0,0,0,86,0,0,0,0,0,0,0,120,104,0,0,82,7,0,0,83,7,0,0,34,7,0,0,243,2,0,0,244,2,0,0,190,3,0,0,191,3,0,0,192,3,0,0,0,0,0,0,136,104,0,0,84,7,0,0,85,7,0,0,34,7,0,0,245,2,0,0,246,2,0,0,193,3,0,0,194,3,0,0,195,3,0,0,102,0,0,0,97,0,0,0,108,0,0,0,115,0,0,0,101,0,0,0,0,0,0,0,116,0,0,0,114,0,0,0,117,0,0,0,101,0,0,0,0,0,0,0,0,0,0,0,72,100,0,0,73,7,0,0,86,7,0,0,34,7,0,0,0,0,0,0,88,104,0,0,73,7,0,0,87,7,0,0,34,7,0,0,240,0,0,0,42,0,0,0,43,0,0,0,44,0,0,0,229,1,0,0,241,0,0,0,230,1,0,0,242,0,0,0,231,1,0,0,45,0,0,0,243,0,0,0,87,0,0,0,0,0,0,0,192,103,0,0,73,7,0,0,88,7,0,0,34,7,0,0,8,0,0,0,9,0,0,0,88,0,0,0,247,2,0,0,248,2,0,0,89,0,0,0,249,2,0,0,0,0,0,0,0,104,0,0,73,7,0,0,89,7,0,0,34,7,0,0,10,0,0,0,11,0,0,0,90,0,0,0,250,2,0,0,251,2,0,0,91,0,0,0,252,2,0,0,0,0,0,0,136,103,0,0,73,7,0,0,90,7,0,0,34,7,0,0,4,0,0,0,5,0,0,0,82,0,0,0,237,2,0,0,238,2,0,0,83,0,0,0,239,2,0,0,0,0,0,0,136,101,0,0,210,2,0,0,211,2,0,0,212,2,0,0,213,2,0,0,214,2,0,0,215,2,0,0,216,2,0,0,0,0,0,0,184,101,0,0,218,2,0,0,219,2,0,0,220,2,0,0,221,2,0,0,222,2,0,0,223,2,0,0,224,2,0,0,2,0,0,0,228,22,8,0,0,0,0,0,192,104,0,0,91,7,0,0,92,7,0,0,93,7,0,0,94,7,0,0,244,0,0,0,98,0,0,0,78,0,0,0,152,0,0,0,0,0,0,0,232,104,0,0,91,7,0,0,95,7,0,0,93,7,0,0,94,7,0,0,244,0,0,0,99,0,0,0,79,0,0,0,153,0,0,0,0,0,0,0,248,104,0,0,96,7,0,0,97,7,0,0,253,2,0,0,0,0,0,0,8,105,0,0,96,7,0,0,98,7,0,0,253,2,0,0,0,0,0,0,24,105,0,0,96,7,0,0,99,7,0,0,253,2,0,0,0,0,0,0,40,105,0,0,100,7,0,0,101,7,0,0,254,2,0,0,0,0,0,0,88,105,0,0,91,7,0,0,102,7,0,0,93,7,0,0,94,7,0,0,245,0,0,0,0,0,0,0,72,105,0,0,91,7,0,0,103,7,0,0,93,7,0,0,94,7,0,0,246,0,0,0,0,0,0,0,216,105,0,0,91,7,0,0,104,7,0,0,93,7,0,0,94,7,0,0,247,0,0,0,0,0,0,0,232,105,0,0,91,7,0,0,105,7,0,0,93,7,0,0,94,7,0,0,244,0,0,0,100,0,0,0,80,0,0,0,154,0,0,0,96,7,0,0,0,8,80,0,0,8,16,0,20,8,115,0,18,7,31,0,0,8,112,0,0,8,48,0,0,9,192,0,16,7,10,0,0,8,96,0,0,8,32,0,0,9,160,0,0,8,0,0,0,8,128,0,0,8,64,0,0,9,224,0,16,7,6,0,0,8,88,0,0,8,24,0,0,9,144,0,19,7,59,0,0,8,120,0,0,8,56,0,0,9,208,0,17,7,17,0,0,8,104,0,0,8,40,0,0,9,176,0,0,8,8,0,0,8,136,0,0,8,72,0,0,9,240,0,16,7,4,0,0,8,84,0,0,8,20,0,21,8,227,0,19,7,43,0,0,8,116,0,0,8,52,0,0,9,200,0,17,7,13,0,0,8,100,0,0,8,36,0,0,9,168,0,0,8,4,0,0,8,132,0,0,8,68,0,0,9,232,0,16,7,8,0,0,8,92,0,0,8,28,0,0,9,152,0,20,7,83,0,0,8,124,0,0,8,60,0,0,9,216,0,18,7,23,0,0,8,108,0,0,8,44,0,0,9,184,0,0,8,12,0,0,8,140,0,0,8,76,0,0,9,248,0,16,7,3,0,0,8,82,0,0,8,18,0,21,8,163,0,19,7,35,0,0,8,114,0,0,8,50,0,0,9,196,0,17,7,11,0,0,8,98,0,0,8,34,0,0,9,164,0,0,8,2,0,0,8,130,0,0,8,66,0,0,9,228,0,16,7,7,0,0,8,90,0,0,8,26,0,0,9,148,0,20,7,67,0,0,8,122,0,0,8,58,0,0,9,212,0,18,7,19,0,0,8,106,0,0,8,42,0,0,9,180,0,0,8,10,0,0,8,138,0,0,8,74,0,0,9,244,0,16,7,5,0,0,8,86,0,0,8,22,0,64,8,0,0,19,7,51,0,0,8,118,0,0,8,54,0,0,9,204,0,17,7,15,0,0,8,102,0,0,8,38,0,0,9,172,0,0,8,6,0,0,8,134,0,0,8,70,0,0,9,236,0,16,7,9,0,0,8,94,0,0,8,30,0,0,9,156,0,20,7,99,0,0,8,126,0,0,8,62,0,0,9,220,0,18,7,27,0,0,8,110,0,0,8,46,0,0,9,188,0,0,8,14,0,0,8,142,0,0,8,78,0,0,9,252,0,96,7,0,0,0,8,81,0,0,8,17,0,21,8,131,0,18,7,31,0,0,8,113,0,0,8,49,0,0,9,194,0,16,7,10,0,0,8,97,0,0,8,33,0,0,9,162,0,0,8,1,0,0,8,129,0,0,8,65,0,0,9,226,0,16,7,6,0,0,8,89,0,0,8,25,0,0,9,146,0,19,7,59,0,0,8,121,0,0,8,57,0,0,9,210,0,17,7,17,0,0,8,105,0,0,8,41,0,0,9,178,0,0,8,9,0,0,8,137,0,0,8,73,0,0,9,242,0,16,7,4,0,0,8,85,0,0,8,21,0,16,8,2,1,19,7,43,0,0,8,117,0,0,8,53,0,0,9,202,0,17,7,13,0,0,8,101,0,0,8,37,0,0,9,170,0,0,8,5,0,0,8,133,0,0,8,69,0,0,9,234,0,16,7,8,0,0,8,93,0,0,8,29,0,0,9,154,0,20,7,83,0,0,8,125,0,0,8,61,0,0,9,218,0,18,7,23,0,0,8,109,0,0,8,45,0,0,9,186,0,0,8,13,0,0,8,141,0,0,8,77,0,0,9,250,0,16,7,3,0,0,8,83,0,0,8,19,0,21,8,195,0,19,7,35,0,0,8,115,0,0,8,51,0,0,9,198,0,17,7,11,0,0,8,99,0,0,8,35,0,0,9,166,0,0,8,3,0,0,8,131,0,0,8,67,0,0,9,230,0,16,7,7,0,0,8,91,0,0,8,27,0,0,9,150,0,20,7,67,0,0,8,123,0,0,8,59,0,0,9,214,0,18,7,19,0,0,8,107,0,0,8,43,0,0,9,182,0,0,8,11,0,0,8,139,0,0,8,75,0,0,9,246,0,16,7,5,0,0,8,87,0,0,8,23,0,64,8,0,0,19,7,51,0,0,8,119,0,0,8,55,0,0,9,206,0,17,7,15,0,0,8,103,0,0,8,39,0,0,9,174,0,0,8,7,0,0,8,135,0,0,8,71,0,0,9,238,0,16,7,9,0,0,8,95,0,0,8,31,0,0,9,158,0,20,7,99,0,0,8,127,0,0,8,63,0,0,9,222,0,18,7,27,0,0,8,111,0,0,8,47,0,0,9,190,0,0,8,15,0,0,8,143,0,0,8,79,0,0,9,254,0,96,7,0,0,0,8,80,0,0,8,16,0,20,8,115,0,18,7,31,0,0,8,112,0,0,8,48,0,0,9,193,0,16,7,10,0,0,8,96,0,0,8,32,0,0,9,161,0,0,8,0,0,0,8,128,0,0,8,64,0,0,9,225,0,16,7,6,0,0,8,88,0,0,8,24,0,0,9,145,0,19,7,59,0,0,8,120,0,0,8,56,0,0,9,209,0,17,7,17,0,0,8,104,0,0,8,40,0,0,9,177,0,0,8,8,0,0,8,136,0,0,8,72,0,0,9,241,0,16,7,4,0,0,8,84,0,0,8,20,0,21,8,227,0,19,7,43,0,0,8,116,0,0,8,52,0,0,9,201,0,17,7,13,0,0,8,100,0,0,8,36,0,0,9,169,0,0,8,4,0,0,8,132,0,0,8,68,0,0,9,233,0,16,7,8,0,0,8,92,0,0,8,28,0,0,9,153,0,20,7,83,0,0,8,124,0,0,8,60,0,0,9,217,0,18,7,23,0,0,8,108,0,0,8,44,0,0,9,185,0,0,8,12,0,0,8,140,0,0,8,76,0,0,9,249,0,16,7,3,0,0,8,82,0,0,8,18,0,21,8,163,0,19,7,35,0,0,8,114,0,0,8,50,0,0,9,197,0,17,7,11,0,0,8,98,0,0,8,34,0,0,9,165,0,0,8,2,0,0,8,130,0,0,8,66,0,0,9,229,0,16,7,7,0,0,8,90,0,0,8,26,0,0,9,149,0,20,7,67,0,0,8,122,0,0,8,58,0,0,9,213,0,18,7,19,0,0,8,106,0,0,8,42,0,0,9,181,0,0,8,10,0,0,8,138,0,0,8,74,0,0,9,245,0,16,7,5,0,0,8,86,0,0,8,22,0,64,8,0,0,19,7,51,0,0,8,118,0,0,8,54,0,0,9,205,0,17,7,15,0,0,8,102,0,0,8,38,0,0,9,173,0,0,8,6,0,0,8,134,0,0,8,70,0,0,9,237,0,16,7,9,0,0,8,94,0,0,8,30,0,0,9,157,0,20,7,99,0,0,8,126,0,0,8,62,0,0,9,221,0,18,7,27,0,0,8,110,0,0,8,46,0,0,9,189,0,0,8,14,0,0,8,142,0,0,8,78,0,0,9,253,0,96,7,0,0,0,8,81,0,0,8,17,0,21,8,131,0,18,7,31,0,0,8,113,0,0,8,49,0,0,9,195,0,16,7,10,0,0,8,97,0,0,8,33,0,0,9,163,0,0,8,1,0,0,8,129,0,0,8,65,0,0,9,227,0,16,7,6,0,0,8,89,0,0,8,25,0,0,9,147,0,19,7,59,0,0,8,121,0,0,8,57,0,0,9,211,0,17,7,17,0,0,8,105,0,0,8,41,0,0,9,179,0,0,8,9,0,0,8,137,0,0,8,73,0,0,9,243,0,16,7,4,0,0,8,85,0,0,8,21,0,16,8,2,1,19,7,43,0,0,8,117,0,0,8,53,0,0,9,203,0,17,7,13,0,0,8,101,0,0,8,37,0,0,9,171,0,0,8,5,0,0,8,133,0,0,8,69,0,0,9,235,0,16,7,8,0,0,8,93,0,0,8,29,0,0,9,155,0,20,7,83,0,0,8,125,0,0,8,61,0,0,9,219,0,18,7,23,0,0,8,109,0,0,8,45,0,0,9,187,0,0,8,13,0,0,8,141,0,0,8,77,0,0,9,251,0,16,7,3,0,0,8,83,0,0,8,19,0,21,8,195,0,19,7,35,0,0,8,115,0,0,8,51,0,0,9,199,0,17,7,11,0,0,8,99,0,0,8,35,0,0,9,167,0,0,8,3,0,0,8,131,0,0,8,67,0,0,9,231,0,16,7,7,0,0,8,91,0,0,8,27,0,0,9,151,0,20,7,67,0,0,8,123,0,0,8,59,0,0,9,215,0,18,7,19,0,0,8,107,0,0,8,43,0,0,9,183,0,0,8,11,0,0,8,139,0,0,8,75,0,0,9,247,0,16,7,5,0,0,8,87,0,0,8,23,0,64,8,0,0,19,7,51,0,0,8,119,0,0,8,55,0,0,9,207,0,17,7,15,0,0,8,103,0,0,8,39,0,0,9,175,0,0,8,7,0,0,8,135,0,0,8,71,0,0,9,239,0,16,7,9,0,0,8,95,0,0,8,31,0,0,9,159,0,20,7,99,0,0,8,127,0,0,8,63,0,0,9,223,0,18,7,27,0,0,8,111,0,0,8,47,0,0,9,191,0,0,8,15,0,0,8,143,0,0,8,79,0,0,9,255,0,16,5,1,0,23,5,1,1,19,5,17,0,27,5,1,16,17,5,5,0,25,5,1,4,21,5,65,0,29,5,1,64,16,5,3,0,24,5,1,2,20,5,33,0,28,5,1,32,18,5,9,0,26,5,1,8,22,5,129,0,64,5,0,0,16,5,2,0,23,5,129,1,19,5,25,0,27,5,1,24,17,5,7,0,25,5,1,6,21,5,97,0,29,5,1,96,16,5,4,0,24,5,1,3,20,5,49,0,28,5,1,48,18,5,13,0,26,5,1,12,22,5,193,0,64,5,0,0,16,0,17,0,18,0,0,0,8,0,7,0,9,0,6,0,10,0,5,0,11,0,4,0,12,0,3,0,13,0,2,0,14,0,1,0,15,0,1,0,2,0,3,0,4,0,5,0,7,0,9,0,13,0,17,0,25,0,33,0,49,0,65,0,97,0,129,0,193,0,1,1,129,1,1,2,1,3,1,4,1,6,1,8,1,12,1,16,1,24,1,32,1,48,1,64,1,96,0,0,0,0,3,0,4,0,5,0,6,0,7,0,8,0,9,0,10,0,11,0,13,0,15,0,17,0,19,0,23,0,27,0,31,0,35,0,43,0,51,0,59,0,67,0,83,0,99,0,115,0,131,0,163,0,195,0,227,0,2,1,0,0,0,0,16,0,16,0,16,0,16,0,17,0,17,0,18,0,18,0,19,0,19,0,20,0,20,0,21,0,21,0,22,0,22,0,23,0,23,0,24,0,24,0,25,0,25,0,26,0,26,0,27,0,27,0,28,0,28,0,29,0,29,0,64,0,64,0,16,0,16,0,16,0,16,0,16,0,16,0,16,0,16,0,17,0,17,0,17,0,17,0,18,0,18,0,18,0,18,0,19,0,19,0,19,0,19,0,20,0,20,0,20,0,20,0,21,0,21,0,21,0,21,0,16,0,77,0,202,0,0,0,5,0,16,0,5,0,8,0,5,0,24,0,5,0,4,0,5,0,20,0,5,0,12,0,5,0,28,0,5,0,2,0,5,0,18,0,5,0,10,0,5,0,26,0,5,0,6,0,5,0,22,0,5,0,14,0,5,0,30,0,5,0,1,0,5,0,17,0,5,0,9,0,5,0,25,0,5,0,5,0,5,0,21,0,5,0,13,0,5,0,29,0,5,0,3,0,5,0,19,0,5,0,11,0,5,0,27,0,5,0,7,0,5,0,23,0,5,0,12,0,8,0,140,0,8,0,76,0,8,0,204,0,8,0,44,0,8,0,172,0,8,0,108,0,8,0,236,0,8,0,28,0,8,0,156,0,8,0,92,0,8,0,220,0,8,0,60,0,8,0,188,0,8,0,124,0,8,0,252,0,8,0,2,0,8,0,130,0,8,0,66,0,8,0,194,0,8,0,34,0,8,0,162,0,8,0,98,0,8,0,226,0,8,0,18,0,8,0,146,0,8,0,82,0,8,0,210,0,8,0,50,0,8,0,178,0,8,0,114,0,8,0,242,0,8,0,10,0,8,0,138,0,8,0,74,0,8,0,202,0,8,0,42,0,8,0,170,0,8,0,106,0,8,0,234,0,8,0,26,0,8,0,154,0,8,0,90,0,8,0,218,0,8,0,58,0,8,0,186,0,8,0,122,0,8,0,250,0,8,0,6,0,8,0,134,0,8,0,70,0,8,0,198,0,8,0,38,0,8,0,166,0,8,0,102,0,8,0,230,0,8,0,22,0,8,0,150,0,8,0,86,0,8,0,214,0,8,0,54,0,8,0,182,0,8,0,118,0,8,0,246,0,8,0,14,0,8,0,142,0,8,0,78,0,8,0,206,0,8,0,46,0,8,0,174,0,8,0,110,0,8,0,238,0,8,0,30,0,8,0,158,0,8,0,94,0,8,0,222,0,8,0,62,0,8,0,190,0,8,0,126,0,8,0,254,0,8,0,1,0,8,0,129,0,8,0,65,0,8,0,193,0,8,0,33,0,8,0,161,0,8,0,97,0,8,0,225,0,8,0,17,0,8,0,145,0,8,0,81,0,8,0,209,0,8,0,49,0,8,0,177,0,8,0,113,0,8,0,241,0,8,0,9,0,8,0,137,0,8,0,73,0,8,0,201,0,8,0,41,0,8,0,169,0,8,0,105,0,8,0,233,0,8,0,25,0,8,0,153,0,8,0,89,0,8,0,217,0,8,0,57,0,8,0,185,0,8,0,121,0,8,0,249,0,8,0,5,0,8,0,133,0,8,0,69,0,8,0,197,0,8,0,37,0,8,0,165,0,8,0,101,0,8,0,229,0,8,0,21,0,8,0,149,0,8,0,85,0,8,0,213,0,8,0,53,0,8,0,181,0,8,0,117,0,8,0,245,0,8,0,13,0,8,0,141,0,8,0,77,0,8,0,205,0,8,0,45,0,8,0,173,0,8,0,109,0,8,0,237,0,8,0,29,0,8,0,157,0,8,0,93,0,8,0,221,0,8,0,61,0,8,0,189,0,8,0,125,0,8,0,253,0,8,0,19,0,9,0,19,1,9,0,147,0,9,0,147,1,9,0,83,0,9,0,83,1,9,0,211,0,9,0,211,1,9,0,51,0,9,0,51,1,9,0,179,0,9,0,179,1,9,0,115,0,9,0,115,1,9,0,243,0,9,0,243,1,9,0,11,0,9,0,11,1,9,0,139,0,9,0,139,1,9,0,75,0,9,0,75,1,9,0,203,0,9,0,203,1,9,0,43,0,9,0,43,1,9,0,171,0,9,0,171,1,9,0,107,0,9,0,107,1,9,0,235,0,9,0,235,1,9,0,27,0,9,0,27,1,9,0,155,0,9,0,155,1,9,0,91,0,9,0,91,1,9,0,219,0,9,0,219,1,9,0,59,0,9,0,59,1,9,0,187,0,9,0,187,1,9,0,123,0,9,0,123,1,9,0,251,0,9,0,251,1,9,0,7,0,9,0,7,1,9,0,135,0,9,0,135,1,9,0,71,0,9,0,71,1,9,0,199,0,9,0,199,1,9,0,39,0,9,0,39,1,9,0,167,0,9,0,167,1,9,0,103,0,9,0,103,1,9,0,231,0,9,0,231,1,9,0,23,0,9,0,23,1,9,0,151,0,9,0,151,1,9,0,87,0,9,0,87,1,9,0,215,0,9,0,215,1,9,0,55,0,9,0,55,1,9,0,183,0,9,0,183,1,9,0,119,0,9,0,119,1,9,0,247,0,9,0,247,1,9,0,15,0,9,0,15,1,9,0,143,0,9,0,143,1,9,0,79,0,9,0,79,1,9,0,207,0,9,0,207,1,9,0,47,0,9,0,47,1,9,0,175,0,9,0,175,1,9,0,111,0,9,0,111,1,9,0,239,0,9,0,239,1,9,0,31,0,9,0,31,1,9,0,159,0,9,0,159,1,9,0,95,0,9,0,95,1,9,0,223,0,9,0,223,1,9,0,63,0,9,0,63,1,9,0,191,0,9,0,191,1,9,0,127,0,9,0,127,1,9,0,255,0,9,0,255,1,9,0,0,0,7,0,64,0,7,0,32,0,7,0,96,0,7,0,16,0,7,0,80,0,7,0,48,0,7,0,112,0,7,0,8,0,7,0,72,0,7,0,40,0,7,0,104,0,7,0,24,0,7,0,88,0,7,0,56,0,7,0,120,0,7,0,4,0,7,0,68,0,7,0,36,0,7,0,100,0,7,0,20,0,7,0,84,0,7,0,52,0,7,0,116,0,7,0,3,0,8,0,131,0,8,0,67,0,8,0,195,0,8,0,35,0,8,0,163,0,8,0,99,0,8,0,227,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,2,0,2,0,2,0,2,0,2,0,2,0,2,0,2,0,3,32,2,32,2,32,2,32,2,32,2,0,2,0,2,0,2,0,2,0,2,0,2,0,2,0,2,0,2,0,2,0,2,0,2,0,2,0,2,0,2,0,2,0,2,0,1,96,4,192,4,192,4,192,4,192,4,192,4,192,4,192,4,192,4,192,4,192,4,192,4,192,4,192,4,192,4,192,8,216,8,216,8,216,8,216,8,216,8,216,8,216,8,216,8,216,8,216,4,192,4,192,4,192,4,192,4,192,4,192,4,192,8,213,8,213,8,213,8,213,8,213,8,213,8,197,8,197,8,197,8,197,8,197,8,197,8,197,8,197,8,197,8,197,8,197,8,197,8,197,8,197,8,197,8,197,8,197,8,197,8,197,8,197,4,192,4,192,4,192,4,192,4,192,4,192,8,214,8,214,8,214,8,214,8,214,8,214,8,198,8,198,8,198,8,198,8,198,8,198,8,198,8,198,8,198,8,198,8,198,8,198,8,198,8,198,8,198,8,198,8,198,8,198,8,198,8,198,4,192,4,192,4,192,4,192,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,112,117,115,104,0,73,110,116,86,101,99,116,111,114,0,70,108,111,97,116,86,101,99,116,111,114,0,68,111,117,98,108,101,86,101,99,116,111,114,0,80,111,105,110,116,86,101,99,116,111,114,0,77,97,116,86,101,99,116,111,114,0,82,101,99,116,86,101,99,116,111,114,0,101,121,101,0,111,110,101,115,0,122,101,114,111,115,0,109,97,116,83,105,122,101,0,115,116,101,112,0,100,97,116,97,56,83,0,100,97,116,97,49,54,85,0,100,97,116,97,49,54,83,0,100,97,116,97,51,50,83,0,100,97,116,97,51,50,70,0,100,97,116,97,54,52,70,0,101,108,101,109,83,105,122,101,0,101,108,101,109,83,105,122,101,49,0,99,104,97,110,110,101,108,115,0,114,111,119,0,114,111,119,82,97,110,103,101,0,99,111,108,82,97,110,103,101,0,115,116,101,112,49,0,99,108,111,110,101,0,99,111,108,0,109,117,108,0,105,110,118,0,117,99,104,97,114,80,116,114,0,99,104,97,114,80,116,114,0,115,104,111,114,116,80,116,114,0,117,115,104,111,114,116,80,116,114,0,105,110,116,80,116,114,0,102,108,111,97,116,80,116,114,0,100,111,117,98,108,101,80,116,114,0,99,104,97,114,65,116,0,117,99,104,97,114,65,116,0,115,104,111,114,116,65,116,0,117,115,104,111,114,116,65,116,0,105,110,116,65,116,0,102,108,111,97,116,65,116,0,100,111,117,98,108,101,65,116,0,82,97,110,103,101,0,84,101,114,109,67,114,105,116,101,114,105,97,0,109,97,120,67,111,117,110,116,0,35,116,121,112,101,0,82,101,99,116,0,82,101,99,116,50,102,0,82,111,116,97,116,101,100,82,101,99,116,0,99,101,110,116,101,114,0,97,110,103,108,101,0,114,111,116,97,116,101,100,82,101,99,116,80,111,105,110,116,115,0,114,111,116,97,116,101,100,82,101,99,116,66,111,117,110,100,105,110,103,82,101,99,116,0,114,111,116,97,116,101,100,82,101,99,116,66,111,117,110,100,105,110,103,82,101,99,116,50,102,0,83,99,97,108,97,114,0,77,105,110,77,97,120,76,111,99,0,109,105,110,86,97,108,0,109,97,120,86,97,108,0,109,105,110,76,111,99,0,109,97,120,76,111,99,0,67,105,114,99,108,101,0,114,97,100,105,117,115,0,77,111,109,101,110,116,115,0,109,48,48,0,109,49,48,0,109,48,49,0,109,50,48,0,109,49,49,0,109,48,50,0,109,51,48,0,109,50,49,0,109,49,50,0,109,48,51,0,109,117,50,48,0,109,117,49,49,0,109,117,48,50,0,109,117,51,48,0,109,117,50,49,0,109,117,49,50,0,109,117,48,51,0,110,117,50,48,0,110,117,49,49,0,110,117,48,50,0,110,117,51,48,0,110,117,50,49,0,110,117,49,50,0,110,117,48,51,0,69,120,99,101,112,116,105,111,110,0,99,111,100,101,0,109,115,103,0,101,120,99,101,112,116,105,111,110,70,114,111,109,80,116,114,0,109,111,114,112,104,111,108,111,103,121,68,101,102,97,117,108,116,66,111,114,100,101,114,86,97,108,117,101,0,67,86,95,77,65,84,95,68,69,80,84,72,0,67,97,109,83,104,105,102,116,0,103,101,116,66,117,105,108,100,73,110,102,111,114,109,97,116,105,111,110,0,67,86,95,56,85,67,49,0,67,86,95,56,85,67,50,0,67,86,95,56,85,67,51,0,67,86,95,56,85,67,52,0,67,86,95,56,83,67,49,0,67,86,95,56,83,67,50,0,67,86,95,56,83,67,51,0,67,86,95,56,83,67,52,0,67,86,95,49,54,85,67,49,0,67,86,95,49,54,85,67,50,0,67,86,95,49,54,85,67,51,0,67,86,95,49,54,85,67,52,0,67,86,95,49,54,83,67,49,0,67,86,95,49,54,83,67,50,0,67,86,95,49,54,83,67,51,0,67,86,95,49,54,83,67,52,0,67,86,95,51,50,83,67,50,0,67,86,95,51,50,83,67,51,0,67,86,95,51,50,83,67,52,0,67,86,95,51,50,70,67,50,0,67,86,95,51,50,70,67,51,0,67,86,95,51,50,70,67,52,0,67,86,95,54,52,70,67,49,0,67,86,95,54,52,70,67,50,0,67,86,95,54,52,70,67,51,0,67,86,95,54,52,70,67,52,0,73,78,84,95,77,73,78,0,73,78,84,95,77,65,88,0,67,97,110,110,121,49,0,71,97,117,115,115,105,97,110,66,108,117,114,0,72,111,117,103,104,76,105,110,101,115,0,72,111,117,103,104,76,105,110,101,115,80,0,76,97,112,108,97,99,105,97,110,0,83,99,104,97,114,114,0,83,111,98,101,108,0,97,98,115,100,105,102,102,0,97,100,100,0,97,100,100,87,101,105,103,104,116,101,100,0,98,105,116,119,105,115,101,95,97,110,100,0,98,105,116,119,105,115,101,95,110,111,116,0,98,105,116,119,105,115,101,95,111,114,0,98,105,116,119,105,115,101,95,120,111,114,0,98,108,117,114,0,98,111,117,110,100,105,110,103,82,101,99,116,0,98,111,120,70,105,108,116,101,114,0,99,97,108,99,79,112,116,105,99,97,108,70,108,111,119,70,97,114,110,101,98,97,99,107,0,99,97,108,99,79,112,116,105,99,97,108,70,108,111,119,80,121,114,76,75,0,99,111,114,110,101,114,72,97,114,114,105,115,0,99,111,114,110,101,114,77,105,110,69,105,103,101,110,86,97,108,0,100,105,108,97,116,101,0,100,105,115,116,97,110,99,101,84,114,97,110,115,102,111,114,109,87,105,116,104,76,97,98,101,108,115,0,100,105,118,105,100,101,0,100,105,118,105,100,101,49,0,101,108,108,105,112,115,101,49,0,101,108,108,105,112,115,101,50,80,111,108,121,0,101,114,111,100,101,0,102,105,108,116,101,114,50,68,0,103,101,116,79,112,116,105,109,97,108,68,70,84,83,105,122,101,0,103,101,116,82,111,116,97,116,105,111,110,77,97,116,114,105,120,50,68,0,103,111,111,100,70,101,97,116,117,114,101,115,84,111,84,114,97,99,107,49,0,105,110,116,101,103,114,97,108,50,0,109,105,110,0,109,105,110,65,114,101,97,82,101,99,116,0,109,117,108,116,105,112,108,121,0,110,111,114,109,49,0,112,117,116,84,101,120,116,0,114,97,110,100,110,0,114,97,110,100,117,0,114,101,99,116,97,110,103,108,101,49,0,115,101,116,82,78,71,83,101,101,100,0,115,113,114,116,0,115,117,98,116,114,97,99,116,0,98,108,111,98,70,114,111,109,73,109,97,103,101,0,114,101,97,100,78,101,116,70,114,111,109,67,97,102,102,101,0,114,101,97,100,78,101,116,70,114,111,109,67,97,102,102,101,49,0,114,101,97,100,78,101,116,70,114,111,109,68,97,114,107,110,101,116,49,0,114,101,97,100,78,101,116,70,114,111,109,84,101,110,115,111,114,102,108,111,119,0,114,101,97,100,78,101,116,70,114,111,109,84,101,110,115,111,114,102,108,111,119,49,0,114,101,97,100,78,101,116,70,114,111,109,84,111,114,99,104,0,72,79,71,68,101,115,99,114,105,112,116,111,114,0,108,111,97,100,0,103,101,116,68,101,102,97,117,108,116,80,101,111,112,108,101,68,101,116,101,99,116,111,114,0,103,101,116,68,97,105,109,108,101,114,80,101,111,112,108,101,68,101,116,101,99,116,111,114,0,115,118,109,68,101,116,101,99,116,111,114,0,66,97,99,107,103,114,111,117,110,100,83,117,98,116,114,97,99,116,111,114,0,66,97,99,107,103,114,111,117,110,100,83,117,98,116,114,97,99,116,111,114,77,79,71,50,0,80,116,114,60,66,97,99,107,103,114,111,117,110,100,83,117,98,116,114,97,99,116,111,114,77,79,71,50,62,0,67,76,65,72,69,0,115,101,116,84,105,108,101,115,71,114,105,100,83,105,122,101,0,99,111,108,108,101,99,116,71,97,114,98,97,103,101,0,115,101,116,67,108,105,112,76,105,109,105,116,0,103,101,116,84,105,108,101,115,71,114,105,100,83,105,122,101,0,103,101,116,67,108,105,112,76,105,109,105,116,0,80,116,114,60,67,76,65,72,69,62,0,65,108,103,111,114,105,116,104,109,0,100,110,110,95,78,101,116,0,102,111,114,119,97,114,100,49,0,102,111,114,119,97,114,100,50,0,67,97,115,99,97,100,101,67,108,97,115,115,105,102,105,101,114,0,100,101,116,101,99,116,77,117,108,116,105,83,99,97,108,101,50,0,100,101,116,101,99,116,77,117,108,116,105,83,99,97,108,101,51,0,65,67,67,69,83,83,95,70,65,83,84,0,65,67,67,69,83,83,95,77,65,83,75,0,65,67,67,69,83,83,95,82,69,65,68,0,65,67,67,69,83,83,95,82,87,0,65,67,67,69,83,83,95,87,82,73,84,69,0,65,68,65,80,84,73,86,69,95,84,72,82,69,83,72,95,71,65,85,83,83,73,65,78,95,67,0,65,68,65,80,84,73,86,69,95,84,72,82,69,83,72,95,77,69,65,78,95,67,0,66,79,82,68,69,82,95,67,79,78,83,84,65,78,84,0,66,79,82,68,69,82,95,68,69,70,65,85,76,84,0,66,79,82,68,69,82,95,73,83,79,76,65,84,69,68,0,66,79,82,68,69,82,95,82,69,70,76,69,67,84,0,66,79,82,68,69,82,95,82,69,70,76,69,67,84,49,48,49,0,66,79,82,68,69,82,95,82,69,70,76,69,67,84,95,49,48,49,0,66,79,82,68,69,82,95,82,69,80,76,73,67,65,84,69,0,66,79,82,68,69,82,95,84,82,65,78,83,80,65,82,69,78,84,0,66,79,82,68,69,82,95,87,82,65,80,0,67,65,83,67,65,68,69,95,68,79,95,67,65,78,78,89,95,80,82,85,78,73,78,71,0,67,65,83,67,65,68,69,95,68,79,95,82,79,85,71,72,95,83,69,65,82,67],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+163844);allocate([72,0,67,65,83,67,65,68,69,95,70,73,78,68,95,66,73,71,71,69,83,84,95,79,66,74,69,67,84,0,67,65,83,67,65,68,69,95,83,67,65,76,69,95,73,77,65,71,69,0,67,67,76,95,68,69,70,65,85,76,84,0,67,67,76,95,71,82,65,78,65,0,67,67,76,95,87,85,0,67,67,95,83,84,65,84,95,65,82,69,65,0,67,67,95,83,84,65,84,95,72,69,73,71,72,84,0,67,67,95,83,84,65,84,95,76,69,70,84,0,67,67,95,83,84,65,84,95,77,65,88,0,67,67,95,83,84,65,84,95,84,79,80,0,67,67,95,83,84,65,84,95,87,73,68,84,72,0,67,72,65,73,78,95,65,80,80,82,79,88,95,78,79,78,69,0,67,72,65,73,78,95,65,80,80,82,79,88,95,83,73,77,80,76,69,0,67,72,65,73,78,95,65,80,80,82,79,88,95,84,67,56,57,95,75,67,79,83,0,67,72,65,73,78,95,65,80,80,82,79,88,95,84,67,56,57,95,76,49,0,67,77,80,95,69,81,0,67,77,80,95,71,69,0,67,77,80,95,71,84,0,67,77,80,95,76,69,0,67,77,80,95,76,84,0,67,77,80,95,78,69,0,67,79,76,79,82,77,65,80,95,65,85,84,85,77,78,0,67,79,76,79,82,77,65,80,95,66,79,78,69,0,67,79,76,79,82,77,65,80,95,67,79,79,76,0,67,79,76,79,82,77,65,80,95,72,79,84,0,67,79,76,79,82,77,65,80,95,72,83,86,0,67,79,76,79,82,77,65,80,95,74,69,84,0,67,79,76,79,82,77,65,80,95,79,67,69,65,78,0,67,79,76,79,82,77,65,80,95,80,65,82,85,76,65,0,67,79,76,79,82,77,65,80,95,80,73,78,75,0,67,79,76,79,82,77,65,80,95,82,65,73,78,66,79,87,0,67,79,76,79,82,77,65,80,95,83,80,82,73,78,71,0,67,79,76,79,82,77,65,80,95,83,85,77,77,69,82,0,67,79,76,79,82,77,65,80,95,87,73,78,84,69,82,0,67,79,76,79,82,95,66,71,82,50,66,71,82,53,53,53,0,67,79,76,79,82,95,66,71,82,50,66,71,82,53,54,53,0,67,79,76,79,82,95,66,71,82,50,66,71,82,65,0,67,79,76,79,82,95,66,71,82,50,71,82,65,89,0,67,79,76,79,82,95,66,71,82,50,72,76,83,0,67,79,76,79,82,95,66,71,82,50,72,76,83,95,70,85,76,76,0,67,79,76,79,82,95,66,71,82,50,72,83,86,0,67,79,76,79,82,95,66,71,82,50,72,83,86,95,70,85,76,76,0,67,79,76,79,82,95,66,71,82,50,76,97,98,0,67,79,76,79,82,95,66,71,82,50,76,117,118,0,67,79,76,79,82,95,66,71,82,50,82,71,66,0,67,79,76,79,82,95,66,71,82,50,82,71,66,65,0,67,79,76,79,82,95,66,71,82,50,88,89,90,0,67,79,76,79,82,95,66,71,82,50,89,67,114,67,98,0,67,79,76,79,82,95,66,71,82,50,89,85,86,0,67,79,76,79,82,95,66,71,82,50,89,85,86,95,73,52,50,48,0,67,79,76,79,82,95,66,71,82,50,89,85,86,95,73,89,85,86,0,67,79,76,79,82,95,66,71,82,50,89,85,86,95,89,86,49,50,0,67,79,76,79,82,95,66,71,82,53,53,53,50,66,71,82,0,67,79,76,79,82,95,66,71,82,53,53,53,50,66,71,82,65,0,67,79,76,79,82,95,66,71,82,53,53,53,50,71,82,65,89,0,67,79,76,79,82,95,66,71,82,53,53,53,50,82,71,66,0,67,79,76,79,82,95,66,71,82,53,53,53,50,82,71,66,65,0,67,79,76,79,82,95,66,71,82,53,54,53,50,66,71,82,0,67,79,76,79,82,95,66,71,82,53,54,53,50,66,71,82,65,0,67,79,76,79,82,95,66,71,82,53,54,53,50,71,82,65,89,0,67,79,76,79,82,95,66,71,82,53,54,53,50,82,71,66,0,67,79,76,79,82,95,66,71,82,53,54,53,50,82,71,66,65,0,67,79,76,79,82,95,66,71,82,65,50,66,71,82,0,67,79,76,79,82,95,66,71,82,65,50,66,71,82,53,53,53,0,67,79,76,79,82,95,66,71,82,65,50,66,71,82,53,54,53,0,67,79,76,79,82,95,66,71,82,65,50,71,82,65,89,0,67,79,76,79,82,95,66,71,82,65,50,82,71,66,0,67,79,76,79,82,95,66,71,82,65,50,82,71,66,65,0,67,79,76,79,82,95,66,71,82,65,50,89,85,86,95,73,52,50,48,0,67,79,76,79,82,95,66,71,82,65,50,89,85,86,95,73,89,85,86,0,67,79,76,79,82,95,66,71,82,65,50,89,85,86,95,89,86,49,50,0,67,79,76,79,82,95,66,97,121,101,114,66,71,50,66,71,82,0,67,79,76,79,82,95,66,97,121,101,114,66,71,50,66,71,82,65,0,67,79,76,79,82,95,66,97,121,101,114,66,71,50,66,71,82,95,69,65,0,67,79,76,79,82,95,66,97,121,101,114,66,71,50,66,71,82,95,86,78,71,0,67,79,76,79,82,95,66,97,121,101,114,66,71,50,71,82,65,89,0,67,79,76,79,82,95,66,97,121,101,114,66,71,50,82,71,66,0,67,79,76,79,82,95,66,97,121,101,114,66,71,50,82,71,66,65,0,67,79,76,79,82,95,66,97,121,101,114,66,71,50,82,71,66,95,69,65,0,67,79,76,79,82,95,66,97,121,101,114,66,71,50,82,71,66,95,86,78,71,0,67,79,76,79,82,95,66,97,121,101,114,71,66,50,66,71,82,0,67,79,76,79,82,95,66,97,121,101,114,71,66,50,66,71,82,65,0,67,79,76,79,82,95,66,97,121,101,114,71,66,50,66,71,82,95,69,65,0,67,79,76,79,82,95,66,97,121,101,114,71,66,50,66,71,82,95,86,78,71,0,67,79,76,79,82,95,66,97,121,101,114,71,66,50,71,82,65,89,0,67,79,76,79,82,95,66,97,121,101,114,71,66,50,82,71,66,0,67,79,76,79,82,95,66,97,121,101,114,71,66,50,82,71,66,65,0,67,79,76,79,82,95,66,97,121,101,114,71,66,50,82,71,66,95,69,65,0,67,79,76,79,82,95,66,97,121,101,114,71,66,50,82,71,66,95,86,78,71,0,67,79,76,79,82,95,66,97,121,101,114,71,82,50,66,71,82,0,67,79,76,79,82,95,66,97,121,101,114,71,82,50,66,71,82,65,0,67,79,76,79,82,95,66,97,121,101,114,71,82,50,66,71,82,95,69,65,0,67,79,76,79,82,95,66,97,121,101,114,71,82,50,66,71,82,95,86,78,71,0,67,79,76,79,82,95,66,97,121,101,114,71,82,50,71,82,65,89,0,67,79,76,79,82,95,66,97,121,101,114,71,82,50,82,71,66,0,67,79,76,79,82,95,66,97,121,101,114,71,82,50,82,71,66,65,0,67,79,76,79,82,95,66,97,121,101,114,71,82,50,82,71,66,95,69,65,0,67,79,76,79,82,95,66,97,121,101,114,71,82,50,82,71,66,95,86,78,71,0,67,79,76,79,82,95,66,97,121,101,114,82,71,50,66,71,82,0,67,79,76,79,82,95,66,97,121,101,114,82,71,50,66,71,82,65,0,67,79,76,79,82,95,66,97,121,101,114,82,71,50,66,71,82,95,69,65,0,67,79,76,79,82,95,66,97,121,101,114,82,71,50,66,71,82,95,86,78,71,0,67,79,76,79,82,95,66,97,121,101,114,82,71,50,71,82,65,89,0,67,79,76,79,82,95,66,97,121,101,114,82,71,50,82,71,66,0,67,79,76,79,82,95,66,97,121,101,114,82,71,50,82,71,66,65,0,67,79,76,79,82,95,66,97,121,101,114,82,71,50,82,71,66,95,69,65,0,67,79,76,79,82,95,66,97,121,101,114,82,71,50,82,71,66,95,86,78,71,0,67,79,76,79,82,95,67,79,76,79,82,67,86,84,95,77,65,88,0,67,79,76,79,82,95,71,82,65,89,50,66,71,82,0,67,79,76,79,82,95,71,82,65,89,50,66,71,82,53,53,53,0,67,79,76,79,82,95,71,82,65,89,50,66,71,82,53,54,53,0,67,79,76,79,82,95,71,82,65,89,50,66,71,82,65,0,67,79,76,79,82,95,71,82,65,89,50,82,71,66,0,67,79,76,79,82,95,71,82,65,89,50,82,71,66,65,0,67,79,76,79,82,95,72,76,83,50,66,71,82,0,67,79,76,79,82,95,72,76,83,50,66,71,82,95,70,85,76,76,0,67,79,76,79,82,95,72,76,83,50,82,71,66,0,67,79,76,79,82,95,72,76,83,50,82,71,66,95,70,85,76,76,0,67,79,76,79,82,95,72,83,86,50,66,71,82,0,67,79,76,79,82,95,72,83,86,50,66,71,82,95,70,85,76,76,0,67,79,76,79,82,95,72,83,86,50,82,71,66,0,67,79,76,79,82,95,72,83,86,50,82,71,66,95,70,85,76,76,0,67,79,76,79,82,95,76,66,71,82,50,76,97,98,0,67,79,76,79,82,95,76,66,71,82,50,76,117,118,0,67,79,76,79,82,95,76,82,71,66,50,76,97,98,0,67,79,76,79,82,95,76,82,71,66,50,76,117,118,0,67,79,76,79,82,95,76,97,98,50,66,71,82,0,67,79,76,79,82,95,76,97,98,50,76,66,71,82,0,67,79,76,79,82,95,76,97,98,50,76,82,71,66,0,67,79,76,79,82,95,76,97,98,50,82,71,66,0,67,79,76,79,82,95,76,117,118,50,66,71,82,0,67,79,76,79,82,95,76,117,118,50,76,66,71,82,0,67,79,76,79,82,95,76,117,118,50,76,82,71,66,0,67,79,76,79,82,95,76,117,118,50,82,71,66,0,67,79,76,79,82,95,82,71,66,50,66,71,82,0,67,79,76,79,82,95,82,71,66,50,66,71,82,53,53,53,0,67,79,76,79,82,95,82,71,66,50,66,71,82,53,54,53,0,67,79,76,79,82,95,82,71,66,50,66,71,82,65,0,67,79,76,79,82,95,82,71,66,50,71,82,65,89,0,67,79,76,79,82,95,82,71,66,50,72,76,83,0,67,79,76,79,82,95,82,71,66,50,72,76,83,95,70,85,76,76,0,67,79,76,79,82,95,82,71,66,50,72,83,86,0,67,79,76,79,82,95,82,71,66,50,72,83,86,95,70,85,76,76,0,67,79,76,79,82,95,82,71,66,50,76,97,98,0,67,79,76,79,82,95,82,71,66,50,76,117,118,0,67,79,76,79,82,95,82,71,66,50,82,71,66,65,0,67,79,76,79,82,95,82,71,66,50,88,89,90,0,67,79,76,79,82,95,82,71,66,50,89,67,114,67,98,0,67,79,76,79,82,95,82,71,66,50,89,85,86,0,67,79,76,79,82,95,82,71,66,50,89,85,86,95,73,52,50,48,0,67,79,76,79,82,95,82,71,66,50,89,85,86,95,73,89,85,86,0,67,79,76,79,82,95,82,71,66,50,89,85,86,95,89,86,49,50,0,67,79,76,79,82,95,82,71,66,65,50,66,71,82,0,67,79,76,79,82,95,82,71,66,65,50,66,71,82,53,53,53,0,67,79,76,79,82,95,82,71,66,65,50,66,71,82,53,54,53,0,67,79,76,79,82,95,82,71,66,65,50,66,71,82,65,0,67,79,76,79,82,95,82,71,66,65,50,71,82,65,89,0,67,79,76,79,82,95,82,71,66,65,50,82,71,66,0,67,79,76,79,82,95,82,71,66,65,50,89,85,86,95,73,52,50,48,0,67,79,76,79,82,95,82,71,66,65,50,89,85,86,95,73,89,85,86,0,67,79,76,79,82,95,82,71,66,65,50,89,85,86,95,89,86,49,50,0,67,79,76,79,82,95,82,71,66,65,50,109,82,71,66,65,0,67,79,76,79,82,95,88,89,90,50,66,71,82,0,67,79,76,79,82,95,88,89,90,50,82,71,66,0,67,79,76,79,82,95,89,67,114,67,98,50,66,71,82,0,67,79,76,79,82,95,89,67,114,67,98,50,82,71,66,0,67,79,76,79,82,95,89,85,86,50,66,71,82,0,67,79,76,79,82,95,89,85,86,50,66,71,82,65,95,73,52,50,48,0,67,79,76,79,82,95,89,85,86,50,66,71,82,65,95,73,89,85,86,0,67,79,76,79,82,95,89,85,86,50,66,71,82,65,95,78,86,49,50,0,67,79,76,79,82,95,89,85,86,50,66,71,82,65,95,78,86,50,49,0,67,79,76,79,82,95,89,85,86,50,66,71,82,65,95,85,89,78,86,0,67,79,76,79,82,95,89,85,86,50,66,71,82,65,95,85,89,86,89,0,67,79,76,79,82,95,89,85,86,50,66,71,82,65,95,89,52,50,50,0,67,79,76,79,82,95,89,85,86,50,66,71,82,65,95,89,85,78,86,0,67,79,76,79,82,95,89,85,86,50,66,71,82,65,95,89,85,89,50,0,67,79,76,79,82,95,89,85,86,50,66,71,82,65,95,89,85,89,86,0,67,79,76,79,82,95,89,85,86,50,66,71,82,65,95,89,86,49,50,0,67,79,76,79,82,95,89,85,86,50,66,71,82,65,95,89,86,89,85,0,67,79,76,79,82,95,89,85,86,50,66,71,82,95,73,52,50,48,0,67,79,76,79,82,95,89,85,86,50,66,71,82,95,73,89,85,86,0,67,79,76,79,82,95,89,85,86,50,66,71,82,95,78,86,49,50,0,67,79,76,79,82,95,89,85,86,50,66,71,82,95,78,86,50,49,0,67,79,76,79,82,95,89,85,86,50,66,71,82,95,85,89,78,86,0,67,79,76,79,82,95,89,85,86,50,66,71,82,95,85,89,86,89,0,67,79,76,79,82,95,89,85,86,50,66,71,82,95,89,52,50,50,0,67,79,76,79,82,95,89,85,86,50,66,71,82,95,89,85,78,86,0,67,79,76,79,82,95,89,85,86,50,66,71,82,95,89,85,89,50,0,67,79,76,79,82,95,89,85,86,50,66,71,82,95,89,85,89,86,0,67,79,76,79,82,95,89,85,86,50,66,71,82,95,89,86,49,50,0,67,79,76,79,82,95,89,85,86,50,66,71,82,95,89,86,89,85,0,67,79,76,79,82,95,89,85,86,50,71,82,65,89,95,52,50,48,0,67,79,76,79,82,95,89,85,86,50,71,82,65,89,95,73,52,50,48,0,67,79,76,79,82,95,89,85,86,50,71,82,65,89,95,73,89,85,86,0,67,79,76,79,82,95,89,85,86,50,71,82,65,89,95,78,86,49,50,0,67,79,76,79,82,95,89,85,86,50,71,82,65,89,95,78,86,50,49,0,67,79,76,79,82,95,89,85,86,50,71,82,65,89,95,85,89,78,86,0,67,79,76,79,82,95,89,85,86,50,71,82,65,89,95,85,89,86,89,0,67,79,76,79,82,95,89,85,86,50,71,82,65,89,95,89,52,50,50,0,67,79,76,79,82,95,89,85,86,50,71,82,65,89,95,89,85,78,86,0,67,79,76,79,82,95,89,85,86,50,71,82,65,89,95,89,85,89,50,0,67,79,76,79,82,95,89,85,86,50,71,82,65,89,95,89,85,89,86,0,67,79,76,79,82,95,89,85,86,50,71,82,65,89,95,89,86,49,50,0,67,79,76,79,82,95,89,85,86,50,71,82,65,89,95,89,86,89,85,0,67,79,76,79,82,95,89,85,86,50,82,71,66,0,67,79,76,79,82,95,89,85,86,50,82,71,66,65,95,73,52,50,48,0,67,79,76,79,82,95,89,85,86,50,82,71,66,65,95,73,89,85,86,0,67,79,76,79,82,95,89,85,86,50,82,71,66,65,95,78,86,49,50,0,67,79,76,79,82,95,89,85,86,50,82,71,66,65,95,78,86,50,49,0,67,79,76,79,82,95,89,85,86,50,82,71,66,65,95,85,89,78,86,0,67,79,76,79,82,95,89,85,86,50,82,71,66,65,95,85,89,86,89,0,67,79,76,79,82,95,89,85,86,50,82,71,66,65,95,89,52,50,50,0,67,79,76,79,82,95,89,85,86,50,82,71,66,65,95,89,85,78,86,0,67,79,76,79,82,95,89,85,86,50,82,71,66,65,95,89,85,89,50,0,67,79,76,79,82,95,89,85,86,50,82,71,66,65,95,89,85,89,86,0,67,79,76,79,82,95,89,85,86,50,82,71,66,65,95,89,86,49,50,0,67,79,76,79,82,95,89,85,86,50,82,71,66,65,95,89,86,89,85,0,67,79,76,79,82,95,89,85,86,50,82,71,66,95,73,52,50,48,0,67,79,76,79,82,95,89,85,86,50,82,71,66,95,73,89,85,86,0,67,79,76,79,82,95,89,85,86,50,82,71,66,95,78,86,49,50,0,67,79,76,79,82,95,89,85,86,50,82,71,66,95,78,86,50,49,0,67,79,76,79,82,95,89,85,86,50,82,71,66,95,85,89,78,86,0,67,79,76,79,82,95,89,85,86,50,82,71,66,95,85,89,86,89,0,67,79,76,79,82,95,89,85,86,50,82,71,66,95,89,52,50,50,0,67,79,76,79,82,95,89,85,86,50,82,71,66,95,89,85,78,86,0,67,79,76,79,82,95,89,85,86,50,82,71,66,95,89,85,89,50,0,67,79,76,79,82,95,89,85,86,50,82,71,66,95,89,85,89,86,0,67,79,76,79,82,95,89,85,86,50,82,71,66,95,89,86,49,50,0,67,79,76,79,82,95,89,85,86,50,82,71,66,95,89,86,89,85,0,67,79,76,79,82,95,89,85,86,52,50,48,112,50,66,71,82,0,67,79,76,79,82,95,89,85,86,52,50,48,112,50,66,71,82,65,0,67,79,76,79,82,95,89,85,86,52,50,48,112,50,71,82,65,89,0,67,79,76,79,82,95,89,85,86,52,50,48,112,50,82,71,66,0,67,79,76,79,82,95,89,85,86,52,50,48,112,50,82,71,66,65,0,67,79,76,79,82,95,89,85,86,52,50,48,115,112,50,66,71,82,0,67,79,76,79,82,95,89,85,86,52,50,48,115,112,50,66,71,82,65,0,67,79,76,79,82,95,89,85,86,52,50,48,115,112,50,71,82,65,89,0,67,79,76,79,82,95,89,85,86,52,50,48,115,112,50,82,71,66,0,67,79,76,79,82,95,89,85,86,52,50,48,115,112,50,82,71,66,65,0,67,79,76,79,82,95,109,82,71,66,65,50,82,71,66,65,0,67,79,78,84,79,85,82,83,95,77,65,84,67,72,95,73,49,0,67,79,78,84,79,85,82,83,95,77,65,84,67,72,95,73,50,0,67,79,78,84,79,85,82,83,95,77,65,84,67,72,95,73,51,0,67,79,86,65,82,95,67,79,76,83,0,67,79,86,65,82,95,78,79,82,77,65,76,0,67,79,86,65,82,95,82,79,87,83,0,67,79,86,65,82,95,83,67,65,76,69,0,67,79,86,65,82,95,83,67,82,65,77,66,76,69,68,0,67,79,86,65,82,95,85,83,69,95,65,86,71,0,68,67,84,95,73,78,86,69,82,83,69,0,68,67,84,95,82,79,87,83,0,68,69,67,79,77,80,95,67,72,79,76,69,83,75,89,0,68,69,67,79,77,80,95,69,73,71,0,68,69,67,79,77,80,95,76,85,0,68,69,67,79,77,80,95,78,79,82,77,65,76,0,68,69,67,79,77,80,95,81,82,0,68,69,67,79,77,80,95,83,86,68,0,68,70,84,95,67,79,77,80,76,69,88,95,73,78,80,85,84,0,68,70,84,95,67,79,77,80,76,69,88,95,79,85,84,80,85,84,0,68,70,84,95,73,78,86,69,82,83,69,0,68,70,84,95,82,69,65,76,95,79,85,84,80,85,84,0,68,70,84,95,82,79,87,83,0,68,70,84,95,83,67,65,76,69,0,68,73,83,84,95,67,0,68,73,83,84,95,70,65,73,82,0,68,73,83,84,95,72,85,66,69,82,0,68,73,83,84,95,76,49,0,68,73,83,84,95,76,49,50,0,68,73,83,84,95,76,50,0,68,73,83,84,95,76,65,66,69,76,95,67,67,79,77,80,0,68,73,83,84,95,76,65,66,69,76,95,80,73,88,69,76,0,68,73,83,84,95,77,65,83,75,95,51,0,68,73,83,84,95,77,65,83,75,95,53,0,68,73,83,84,95,77,65,83,75,95,80,82,69,67,73,83,69,0,68,73,83,84,95,85,83,69,82,0,68,73,83,84,95,87,69,76,83,67,72,0,70,73,76,76,69,68,0,70,76,79,79,68,70,73,76,76,95,70,73,88,69,68,95,82,65,78,71,69,0,70,76,79,79,68,70,73,76,76,95,77,65,83,75,95,79,78,76,89,0,70,79,78,84,95,72,69,82,83,72,69,89,95,67,79,77,80,76,69,88,0,70,79,78,84,95,72,69,82,83,72,69,89,95,67,79,77,80,76,69,88,95,83,77,65,76,76,0,70,79,78,84,95,72,69,82,83,72,69,89,95,68,85,80,76,69,88,0,70,79,78,84,95,72,69,82,83,72,69,89,95,80,76,65,73,78,0,70,79,78,84,95,72,69,82,83,72,69,89,95,83,67,82,73,80,84,95,67,79,77,80,76,69,88,0,70,79,78,84,95,72,69,82,83,72,69,89,95,83,67,82,73,80,84,95,83,73,77,80,76,69,88,0,70,79,78,84,95,72,69,82,83,72,69,89,95,83,73,77,80,76,69,88,0,70,79,78,84,95,72,69,82,83,72,69,89,95,84,82,73,80,76,69,88,0,70,79,78,84,95,73,84,65,76,73,67,0,70,105,108,101,78,111,100,101,95,69,77,80,84,89,0,70,105,108,101,78,111,100,101,95,70,76,79,65,84,0,70,105,108,101,78,111,100,101,95,70,76,79,87,0,70,105,108,101,78,111,100,101,95,73,78,84,0,70,105,108,101,78,111,100,101,95,77,65,80,0,70,105,108,101,78,111,100,101,95,78,65,77,69,68,0,70,105,108,101,78,111,100,101,95,78,79,78,69,0,70,105,108,101,78,111,100,101,95,82,69,65,76,0,70,105,108,101,78,111,100,101,95,82,69,70,0,70,105,108,101,78,111,100,101,95,83,69,81,0,70,105,108,101,78,111,100,101,95,83,84,82,0,70,105,108,101,78,111,100,101,95,83,84,82,73,78,71,0,70,105,108,101,78,111,100,101,95,84,89,80,69,95,77,65,83,75,0,70,105,108,101,78,111,100,101,95,85,83,69,82,0,70,105,108,101,83,116,111,114,97,103,101,95,65,80,80,69,78,68,0,70,105,108,101,83,116,111,114,97,103,101,95,66,65,83,69,54,52,0,70,105,108,101,83,116,111,114,97,103,101,95,70,79,82,77,65,84,95,65,85,84,79,0,70,105,108,101,83,116,111,114,97,103,101,95,70,79,82,77,65,84,95,74,83,79,78,0,70,105,108,101,83,116,111,114,97,103,101,95,70,79,82,77,65,84,95,77,65,83,75,0,70,105,108,101,83,116,111,114,97,103,101,95,70,79,82,77,65,84,95,88,77,76,0,70,105,108,101,83,116,111,114,97,103,101,95,70,79,82,77,65,84,95,89,65,77,76,0,70,105,108,101,83,116,111,114,97,103,101,95,73,78,83,73,68,69,95,77,65,80,0,70,105,108,101,83,116,111,114,97,103,101,95,77,69,77,79,82,89,0,70,105,108,101,83,116,111,114,97,103,101,95,78,65,77,69,95,69,88,80,69,67,84,69,68,0,70,105,108,101,83,116,111,114,97,103,101,95,82,69,65,68,0,70,105,108,101,83,116,111,114,97,103,101,95,85,78,68,69,70,73,78,69,68,0,70,105,108,101,83,116,111,114,97,103,101,95,86,65,76,85,69,95,69,88,80,69,67,84,69,68,0,70,105,108,101,83,116,111,114,97,103,101,95,87,82,73,84,69,0,70,105,108,101,83,116,111,114,97,103,101,95,87,82,73,84,69,95,66,65,83,69,54,52,0,70,111,114,109,97,116,116,101,114,95,70,77,84,95,67,0,70,111,114,109,97,116,116,101,114,95,70,77,84,95,67,83,86,0,70,111,114,109,97,116,116,101,114,95,70,77,84,95,68,69,70,65,85,76,84,0,70,111,114,109,97,116,116,101,114,95,70,77,84,95,77,65,84,76,65,66,0,70,111,114,109,97,116,116,101,114,95,70,77,84,95,78,85,77,80,89,0,70,111,114,109,97,116,116,101,114,95,70,77,84,95,80,89,84,72,79,78,0,71,67,95,66,71,68,0,71,67,95,69,86,65,76,0,71,67,95,69,86,65,76,95,70,82,69,69,90,69,95,77,79,68,69,76,0,71,67,95,70,71,68,0,71,67,95,73,78,73,84,95,87,73,84,72,95,77,65,83,75,0,71,67,95,73,78,73,84,95,87,73,84,72,95,82,69,67,84,0,71,67,95,80,82,95,66,71,68,0,71,67,95,80,82,95,70,71,68,0,71,69,77,77,95,49,95,84,0,71,69,77,77,95,50,95,84,0,71,69,77,77,95,51,95,84,0,72,73,83,84,67,77,80,95,66,72,65,84,84,65,67,72,65,82,89,89,65,0,72,73,83,84,67,77,80,95,67,72,73,83,81,82,0,72,73,83,84,67,77,80,95,67,72,73,83,81,82,95,65,76,84,0,72,73,83,84,67,77,80,95,67,79,82,82,69,76,0,72,73,83,84,67,77,80,95,72,69,76,76,73,78,71,69,82,0,72,73,83,84,67,77,80,95,73,78,84,69,82,83,69,67,84,0,72,73,83,84,67,77,80,95,75,76,95,68,73,86,0,72,79,71,68,101,115,99,114,105,112,116,111,114,95,68,69,70,65,85,76,84,95,78,76,69,86,69,76,83,0,72,79,71,68,101,115,99,114,105,112,116,111,114,95,68,69,83,67,82,95,70,79,82,77,65,84,95,67,79,76,95,66,89,95,67,79,76,0,72,79,71,68,101,115,99,114,105,112,116,111,114,95,68,69,83,67,82,95,70,79,82,77,65,84,95,82,79,87,95,66,89,95,82,79,87,0,72,79,71,68,101,115,99,114,105,112,116,111,114,95,76,50,72,121,115,0,72,79,85,71,72,95,71,82,65,68,73,69,78,84,0,72,79,85,71,72,95,77,85,76,84,73,95,83,67,65,76,69,0,72,79,85,71,72,95,80,82,79,66,65,66,73,76,73,83,84,73,67,0,72,79,85,71,72,95,83,84,65,78,68,65,82,68,0,73,78,84,69,82,83,69,67,84,95,70,85,76,76,0,73,78,84,69,82,83,69,67,84,95,78,79,78,69,0,73,78,84,69,82,83,69,67,84,95,80,65,82,84,73,65,76,0,73,78,84,69,82,95,65,82,69,65,0,73,78,84,69,82,95,66,73,84,83,0,73,78,84,69,82,95,66,73,84,83,50,0,73,78,84,69,82,95,67,85,66,73,67,0,73,78,84,69,82,95,76,65,78,67,90,79,83,52,0,73,78,84,69,82,95,76,73,78,69,65,82,0,73,78,84,69,82,95,76,73,78,69,65,82,95,69,88,65,67,84,0,73,78,84,69,82,95,77,65,88,0,73,78,84,69,82,95,78,69,65,82,69,83,84,0,73,78,84,69,82,95,84,65,66,95,83,73,90,69,0,73,78,84,69,82,95,84,65,66,95,83,73,90,69,50,0,75,77,69,65,78,83,95,80,80,95,67,69,78,84,69,82,83,0,75,77,69,65,78,83,95,82,65,78,68,79,77,95,67,69,78,84,69,82,83,0,75,77,69,65,78,83,95,85,83,69,95,73,78,73,84,73,65,76,95,76,65,66,69,76,83,0,76,73,78,69,95,52,0,76,73,78,69,95,56,0,76,73,78,69,95,65,65,0,76,83,68,95,82,69,70,73,78,69,95,65,68,86,0,76,83,68,95,82,69,70,73,78,69,95,78,79,78,69,0,76,83,68,95,82,69,70,73,78,69,95,83,84,68,0,77,65,82,75,69,82,95,67,82,79,83,83,0,77,65,82,75,69,82,95,68,73,65,77,79,78,68,0,77,65,82,75,69,82,95,83,81,85,65,82,69,0,77,65,82,75,69,82,95,83,84,65,82,0,77,65,82,75,69,82,95,84,73,76,84,69,68,95,67,82,79,83,83,0,77,65,82,75,69,82,95,84,82,73,65,78,71,76,69,95,68,79,87,78,0,77,65,82,75,69,82,95,84,82,73,65,78,71,76,69,95,85,80,0,77,79,82,80,72,95,66,76,65,67,75,72,65,84,0,77,79,82,80,72,95,67,76,79,83,69,0,77,79,82,80,72,95,67,82,79,83,83,0,77,79,82,80,72,95,68,73,76,65,84,69,0,77,79,82,80,72,95,69,76,76,73,80,83,69,0,77,79,82,80,72,95,69,82,79,68,69,0,77,79,82,80,72,95,71,82,65,68,73,69,78,84,0,77,79,82,80,72,95,72,73,84,77,73,83,83,0,77,79,82,80,72,95,79,80,69,78,0,77,79,82,80,72,95,82,69,67,84,0,77,79,82,80,72,95,84,79,80,72,65,84,0,77,79,84,73,79,78,95,65,70,70,73,78,69,0,77,79,84,73,79,78,95,69,85,67,76,73,68,69,65,78,0,77,79,84,73,79,78,95,72,79,77,79,71,82,65,80,72,89,0,77,79,84,73,79,78,95,84,82,65,78,83,76,65,84,73,79,78,0,77,97,116,95,65,85,84,79,95,83,84,69,80,0,77,97,116,95,67,79,78,84,73,78,85,79,85,83,95,70,76,65,71,0,77,97,116,95,68,69,80,84,72,95,77,65,83,75,0,77,97,116,95,77,65,71,73,67,95,77,65,83,75,0,77,97,116,95,77,65,71,73,67,95,86,65,76,0,77,97,116,95,83,85,66,77,65,84,82,73,88,95,70,76,65,71,0,77,97,116,95,84,89,80,69,95,77,65,83,75,0,78,79,82,77,95,72,65,77,77,73,78,71,0,78,79,82,77,95,72,65,77,77,73,78,71,50,0,78,79,82,77,95,73,78,70,0,78,79,82,77,95,76,49,0,78,79,82,77,95,76,50,0,78,79,82,77,95,76,50,83,81,82,0,78,79,82,77,95,77,73,78,77,65,88,0,78,79,82,77,95,82,69,76,65,84,73,86,69,0,78,79,82,77,95,84,89,80,69,95,77,65,83,75,0,79,80,84,70,76,79,87,95,70,65,82,78,69,66,65,67,75,95,71,65,85,83,83,73,65,78,0,79,80,84,70,76,79,87,95,76,75,95,71,69,84,95,77,73,78,95,69,73,71,69,78,86,65,76,83,0,79,80,84,70,76,79,87,95,85,83,69,95,73,78,73,84,73,65,76,95,70,76,79,87,0,80,67,65,95,68,65,84,65,95,65,83,95,67,79,76,0,80,67,65,95,68,65,84,65,95,65,83,95,82,79,87,0,80,67,65,95,85,83,69,95,65,86,71,0,80,82,79,74,95,83,80,72,69,82,73,67,65,76,95,69,81,82,69,67,84,0,80,82,79,74,95,83,80,72,69,82,73,67,65,76,95,79,82,84,72,79,0,80,97,114,97,109,95,65,76,71,79,82,73,84,72,77,0,80,97,114,97,109,95,66,79,79,76,69,65,78,0,80,97,114,97,109,95,70,76,79,65,84,0,80,97,114,97,109,95,73,78,84,0,80,97,114,97,109,95,77,65,84,0,80,97,114,97,109,95,77,65,84,95,86,69,67,84,79,82,0,80,97,114,97,109,95,82,69,65,76,0,80,97,114,97,109,95,83,67,65,76,65,82,0,80,97,114,97,109,95,83,84,82,73,78,71,0,80,97,114,97,109,95,85,67,72,65,82,0,80,97,114,97,109,95,85,73,78,84,54,52,0,80,97,114,97,109,95,85,78,83,73,71,78,69,68,95,73,78,84,0,82,69,68,85,67,69,95,65,86,71,0,82,69,68,85,67,69,95,77,65,88,0,82,69,68,85,67,69,95,77,73,78,0,82,69,68,85,67,69,95,83,85,77,0,82,69,84,82,95,67,67,79,77,80,0,82,69,84,82,95,69,88,84,69,82,78,65,76,0,82,69,84,82,95,70,76,79,79,68,70,73,76,76,0,82,69,84,82,95,76,73,83,84,0,82,69,84,82,95,84,82,69,69,0,82,78,71,95,78,79,82,77,65,76,0,82,78,71,95,85,78,73,70,79,82,77,0,82,79,84,65,84,69,95,49,56,48,0,82,79,84,65,84,69,95,57,48,95,67,76,79,67,75,87,73,83,69,0,82,79,84,65,84,69,95,57,48,95,67,79,85,78,84,69,82,67,76,79,67,75,87,73,83,69,0,83,79,76,86,69,76,80,95,77,85,76,84,73,0,83,79,76,86,69,76,80,95,83,73,78,71,76,69,0,83,79,76,86,69,76,80,95,85,78,66,79,85,78,68,69,68,0,83,79,76,86,69,76,80,95,85,78,70,69,65,83,73,66,76,69,0,83,79,82,84,95,65,83,67,69,78,68,73,78,71,0,83,79,82,84,95,68,69,83,67,69,78,68,73,78,71,0,83,79,82,84,95,69,86,69,82,89,95,67,79,76,85,77,78,0,83,79,82,84,95,69,86,69,82,89,95,82,79,87,0,83,86,68,95,70,85,76,76,95,85,86,0,83,86,68,95,77,79,68,73,70,89,95,65,0,83,86,68,95,78,79,95,85,86,0,83,112,97,114,115,101,77,97,116,95,72,65,83,72,95,66,73,84,0,83,112,97,114,115,101,77,97,116,95,72,65,83,72,95,83,67,65,76,69,0,83,112,97,114,115,101,77,97,116,95,77,65,71,73,67,95,86,65,76,0,83,112,97,114,115,101,77,97,116,95,77,65,88,95,68,73,77,0,83,117,98,100,105,118,50,68,95,78,69,88,84,95,65,82,79,85,78,68,95,68,83,84,0,83,117,98,100,105,118,50,68,95,78,69,88,84,95,65,82,79,85,78,68,95,76,69,70,84,0,83,117,98,100,105,118,50,68,95,78,69,88,84,95,65,82,79,85,78,68,95,79,82,71,0,83,117,98,100,105,118,50,68,95,78,69,88,84,95,65,82,79,85,78,68,95,82,73,71,72,84,0,83,117,98,100,105,118,50,68,95,80,82,69,86,95,65,82,79,85,78,68,95,68,83,84,0,83,117,98,100,105,118,50,68,95,80,82,69,86,95,65,82,79,85,78,68,95,76,69,70,84,0,83,117,98,100,105,118,50,68,95,80,82,69,86,95,65,82,79,85,78,68,95,79,82,71,0,83,117,98,100,105,118,50,68,95,80,82,69,86,95,65,82,79,85,78,68,95,82,73,71,72,84,0,83,117,98,100,105,118,50,68,95,80,84,76,79,67,95,69,82,82,79,82,0,83,117,98,100,105,118,50,68,95,80,84,76,79,67,95,73,78,83,73,68,69,0,83,117,98,100,105,118,50,68,95,80,84,76,79,67,95,79,78,95,69,68,71,69,0,83,117,98,100,105,118,50,68,95,80,84,76,79,67,95,79,85,84,83,73,68,69,95,82,69,67,84,0,83,117,98,100,105,118,50,68,95,80,84,76,79,67,95,86,69,82,84,69,88,0,84,72,82,69,83,72,95,66,73,78,65,82,89,0,84,72,82,69,83,72,95,66,73,78,65,82,89,95,73,78,86,0,84,72,82,69,83,72,95,77,65,83,75,0,84,72,82,69,83,72,95,79,84,83,85,0,84,72,82,69,83,72,95,84,79,90,69,82,79,0,84,72,82,69,83,72,95,84,79,90,69,82,79,95,73,78,86,0,84,72,82,69,83,72,95,84,82,73,65,78,71,76,69,0,84,72,82,69,83,72,95,84,82,85,78,67,0,84,77,95,67,67,79,69,70,70,0,84,77,95,67,67,79,69,70,70,95,78,79,82,77,69,68,0,84,77,95,67,67,79,82,82,0,84,77,95,67,67,79,82,82,95,78,79,82,77,69,68,0,84,77,95,83,81,68,73,70,70,0,84,77,95,83,81,68,73,70,70,95,78,79,82,77,69,68,0,84,101,114,109,67,114,105,116,101,114,105,97,95,67,79,85,78,84,0,84,101,114,109,67,114,105,116,101,114,105,97,95,69,80,83,0,84,101,114,109,67,114,105,116,101,114,105,97,95,77,65,88,95,73,84,69,82,0,85,77,97,116,68,97,116,97,95,65,83,89,78,67,95,67,76,69,65,78,85,80,0,85,77,97,116,68,97,116,97,95,67,79,80,89,95,79,78,95,77,65,80,0,85,77,97,116,68,97,116,97,95,68,69,86,73,67,69,95,67,79,80,89,95,79,66,83,79,76,69,84,69,0,85,77,97,116,68,97,116,97,95,68,69,86,73,67,69,95,77,69,77,95,77,65,80,80,69,68,0,85,77,97,116,68,97,116,97,95,72,79,83,84,95,67,79,80,89,95,79,66,83,79,76,69,84,69,0,85,77,97,116,68,97,116,97,95,84,69,77,80,95,67,79,80,73,69,68,95,85,77,65,84,0,85,77,97,116,68,97,116,97,95,84,69,77,80,95,85,77,65,84,0,85,77,97,116,68,97,116,97,95,85,83,69,82,95,65,76,76,79,67,65,84,69,68,0,85,77,97,116,95,65,85,84,79,95,83,84,69,80,0,85,77,97,116,95,67,79,78,84,73,78,85,79,85,83,95,70,76,65,71,0,85,77,97,116,95,68,69,80,84,72,95,77,65,83,75,0,85,77,97,116,95,77,65,71,73,67,95,77,65,83,75,0,85,77,97,116,95,77,65,71,73,67,95,86,65,76,0,85,77,97,116,95,83,85,66,77,65,84,82,73,88,95,70,76,65,71,0,85,77,97,116,95,84,89,80,69,95,77,65,83,75,0,85,83,65,71,69,95,65,76,76,79,67,65,84,69,95,68,69,86,73,67,69,95,77,69,77,79,82,89,0,85,83,65,71,69,95,65,76,76,79,67,65,84,69,95,72,79,83,84,95,77,69,77,79,82,89,0,85,83,65,71,69,95,65,76,76,79,67,65,84,69,95,83,72,65,82,69,68,95,77,69,77,79,82,89,0,85,83,65,71,69,95,68,69,70,65,85,76,84,0,87,65,82,80,95,70,73,76,76,95,79,85,84,76,73,69,82,83,0,87,65,82,80,95,73,78,86,69,82,83,69,95,77,65,80,0,87,65,82,80,95,80,79,76,65,82,95,76,73,78,69,65,82,0,87,65,82,80,95,80,79,76,65,82,95,76,79,71,0,95,73,110,112,117,116,65,114,114,97,121,95,67,85,68,65,95,71,80,85,95,77,65,84,0,95,73,110,112,117,116,65,114,114,97,121,95,67,85,68,65,95,72,79,83,84,95,77,69,77,0,95,73,110,112,117,116,65,114,114,97,121,95,69,88,80,82,0,95,73,110,112,117,116,65,114,114,97,121,95,70,73,88,69,68,95,83,73,90,69,0,95,73,110,112,117,116,65,114,114,97,121,95,70,73,88,69,68,95,84,89,80,69,0,95,73,110,112,117,116,65,114,114,97,121,95,75,73,78,68,95,77,65,83,75,0,95,73,110,112,117,116,65,114,114,97,121,95,75,73,78,68,95,83,72,73,70,84,0,95,73,110,112,117,116,65,114,114,97,121,95,77,65,84,0,95,73,110,112,117,116,65,114,114,97,121,95,77,65,84,88,0,95,73,110,112,117,116,65,114,114,97,121,95,78,79,78,69,0,95,73,110,112,117,116,65,114,114,97,121,95,79,80,69,78,71,76,95,66,85,70,70,69,82,0,95,73,110,112,117,116,65,114,114,97,121,95,83,84,68,95,65,82,82,65,89,0,95,73,110,112,117,116,65,114,114,97,121,95,83,84,68,95,65,82,82,65,89,95,77,65,84,0,95,73,110,112,117,116,65,114,114,97,121,95,83,84,68,95,66,79,79,76,95,86,69,67,84,79,82,0,95,73,110,112,117,116,65,114,114,97,121,95,83,84,68,95,86,69,67,84,79,82,0,95,73,110,112,117,116,65,114,114,97,121,95,83,84,68,95,86,69,67,84,79,82,95,67,85,68,65,95,71,80,85,95,77,65,84,0,95,73,110,112,117,116,65,114,114,97,121,95,83,84,68,95,86,69,67,84,79,82,95,77,65,84,0,95,73,110,112,117,116,65,114,114,97,121,95,83,84,68,95,86,69,67,84,79,82,95,85,77,65,84,0,95,73,110,112,117,116,65,114,114,97,121,95,83,84,68,95,86,69,67,84,79,82,95,86,69,67,84,79,82,0,95,73,110,112,117,116,65,114,114,97,121,95,85,77,65,84,0,95,79,117,116,112,117,116,65,114,114,97,121,95,68,69,80,84,72,95,77,65,83,75,95,49,54,70,0,95,79,117,116,112,117,116,65,114,114,97,121,95,68,69,80,84,72,95,77,65,83,75,95,49,54,83,0,95,79,117,116,112,117,116,65,114,114,97,121,95,68,69,80,84,72,95,77,65,83,75,95,49,54,85,0,95,79,117,116,112,117,116,65,114,114,97,121,95,68,69,80,84,72,95,77,65,83,75,95,51,50,70,0,95,79,117,116,112,117,116,65,114,114,97,121,95,68,69,80,84,72,95,77,65,83,75,95,51,50,83,0,95,79,117,116,112,117,116,65,114,114,97,121,95,68,69,80,84,72,95,77,65,83,75,95,54,52,70,0,95,79,117,116,112,117,116,65,114,114,97,121,95,68,69,80,84,72,95,77,65,83,75,95,56,83,0,95,79,117,116,112,117,116,65,114,114,97,121,95,68,69,80,84,72,95,77,65,83,75,95,56,85,0,95,79,117,116,112,117,116,65,114,114,97,121,95,68,69,80,84,72,95,77,65,83,75,95,65,76,76,0,95,79,117,116,112,117,116,65,114,114,97,121,95,68,69,80,84,72,95,77,65,83,75,95,65,76,76,95,49,54,70,0,95,79,117,116,112,117,116,65,114,114,97,121,95,68,69,80,84,72,95,77,65,83,75,95,65,76,76,95,66,85,84,95,56,83,0,95,79,117,116,112,117,116,65,114,114,97,121,95,68,69,80,84,72,95,77,65,83,75,95,70,76,84,0,95,95,85,77,65,84,95,85,83,65,71,69,95,70,76,65,71,83,95,51,50,66,73,84,0,66,97,100,65,108,105,103,110,0,66,97,100,65,108,112,104,97,67,104,97,110,110,101,108,0,66,97,100,67,79,73,0,66,97,100,67,97,108,108,66,97,99,107,0,66,97,100,68,97,116,97,80,116,114,0,66,97,100,68,101,112,116,104,0,66,97,100,73,109,97,103,101,83,105,122,101,0,66,97,100,77,111,100,101,108,79,114,67,104,83,101,113,0,66,97,100,78,117,109,67,104,97,110,110,101,108,49,85,0,66,97,100,78,117,109,67,104,97,110,110,101,108,115,0,66,97,100,79,102,102,115,101,116,0,66,97,100,79,114,100,101,114,0,66,97,100,79,114,105,103,105,110,0,66,97,100,82,79,73,83,105,122,101,0,66,97,100,83,116,101,112,0,66,97,100,84,105,108,101,83,105,122,101,0,71,112,117,65,112,105,67,97,108,108,69,114,114,111,114,0,71,112,117,78,111,116,83,117,112,112,111,114,116,101,100,0,72,101,97,100,101,114,73,115,78,117,108,108,0,77,97,115,107,73,115,84,105,108,101,100,0,79,112,101,110,67,76,65,112,105,67,97,108,108,69,114,114,111,114,0,79,112,101,110,67,76,68,111,117,98,108,101,78,111,116,83,117,112,112,111,114,116,101,100,0,79,112,101,110,67,76,73,110,105,116,69,114,114,111,114,0,79,112,101,110,67,76,78,111,65,77,68,66,108,97,115,70,102,116,0,79,112,101,110,71,108,65,112,105,67,97,108,108,69,114,114,111,114,0,79,112,101,110,71,108,78,111,116,83,117,112,112,111,114,116,101,100,0,83,116,115,65,115,115,101,114,116,0,83,116,115,65,117,116,111,84,114,97,99,101,0,83,116,115,66,97,99,107,84,114,97,99,101,0,83,116,115,66,97,100,65,114,103,0,83,116,115,66,97,100,70,108,97,103,0,83,116,115,66,97,100,70,117,110,99,0,83,116,115,66,97,100,77,97,115,107,0,83,116,115,66,97,100,77,101,109,66,108,111,99,107,0,83,116,115,66,97,100,80,111,105,110,116,0,83,116,115,66,97,100,83,105,122,101,0,83,116,115,68,105,118,66,121,90,101,114,111,0,83,116,115,69,114,114,111,114,0,83,116,115,70,105,108,116,101,114,79,102,102,115,101,116,69,114,114,0,83,116,115,70,105,108,116,101,114,83,116,114,117,99,116,67,111,110,116,101,110,116,69,114,114,0,83,116,115,73,110,112,108,97,99,101,78,111,116,83,117,112,112,111,114,116,101,100,0,83,116,115,73,110,116,101,114,110,97,108,0,83,116,115,75,101,114,110,101,108,83,116,114,117,99,116,67,111,110,116,101,110,116,69,114,114,0,83,116,115,78,111,67,111,110,118,0,83,116,115,78,111,77,101,109,0,83,116,115,78,111,116,73,109,112,108,101,109,101,110,116,101,100,0,83,116,115,78,117,108,108,80,116,114,0,83,116,115,79,98,106,101,99,116,78,111,116,70,111,117,110,100,0,83,116,115,79,107,0,83,116,115,79,117,116,79,102,82,97,110,103,101,0,83,116,115,80,97,114,115,101,69,114,114,111,114,0,83,116,115,85,110,109,97,116,99,104,101,100,70,111,114,109,97,116],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+174084);allocate([115,0,83,116,115,85,110,109,97,116,99,104,101,100,83,105,122,101,115,0,83,116,115,85,110,115,117,112,112,111,114,116,101,100,70,111,114,109,97,116,0,83,116,115,86,101,99,76,101,110,103,116,104,69,114,114,0,84,69,83,84,95,67,85,83,84,79,77,0,84,69,83,84,95,69,81,0,84,69,83,84,95,71,69,0,84,69,83,84,95,71,84,0,84,69,83,84,95,76,69,0,84,69,83,84,95,76,84,0,84,69,83,84,95,78,69,0,68,78,78,95,66,65,67,75,69,78,68,95,68,69,70,65,85,76,84,0,68,78,78,95,66,65,67,75,69,78,68,95,72,65,76,73,68,69,0,68,78,78,95,66,65,67,75,69,78,68,95,73,78,70,69,82,69,78,67,69,95,69,78,71,73,78,69,0,68,78,78,95,66,65,67,75,69,78,68,95,79,80,69,78,67,86,0,68,78,78,95,84,65,82,71,69,84,95,67,80,85,0,68,78,78,95,84,65,82,71,69,84,95,77,89,82,73,65,68,0,68,78,78,95,84,65,82,71,69,84,95,79,80,69,78,67,76,0,68,78,78,95,84,65,82,71,69,84,95,79,80,69,78,67,76,95,70,80,49,54,0,70,76,65,71,83,95,69,88,80,65,78,68,95,83,65,77,69,95,78,65,77,69,83,0,70,76,65,71,83,95,77,65,80,80,73,78,71,0,70,76,65,71,83,95,78,79,78,69,0,73,77,80,76,95,73,80,80,0,73,77,80,76,95,79,80,69,78,67,76,0,73,77,80,76,95,80,76,65,73,78,0,84,89,80,69,95,70,85,78,0,84,89,80,69,95,71,69,78,69,82,65,76,0,84,89,80,69,95,77,65,82,75,69,82,0,84,89,80,69,95,87,82,65,80,80,69,82,0,78,50,99,118,54,80,111,105,110,116,95,73,102,69,69,0,78,50,99,118,49,49,82,111,116,97,116,101,100,82,101,99,116,69,0,78,50,99,118,53,82,101,99,116,95,73,105,69,69,0,112,117,115,104,95,98,97,99,107,0,115,101,116,0,78,83,116,51,95,95,50,54,118,101,99,116,111,114,73,105,78,83,95,57,97,108,108,111,99,97,116,111,114,73,105,69,69,69,69,0,78,83,116,51,95,95,50,49,51,95,95,118,101,99,116,111,114,95,98,97,115,101,73,105,78,83,95,57,97,108,108,111,99,97,116,111,114,73,105,69,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,118,101,99,116,111,114,95,98,97,115,101,95,99,111,109,109,111,110,73,76,98,49,69,69,69,0,80,78,83,116,51,95,95,50,54,118,101,99,116,111,114,73,105,78,83,95,57,97,108,108,111,99,97,116,111,114,73,105,69,69,69,69,0,80,75,78,83,116,51,95,95,50,54,118,101,99,116,111,114,73,105,78,83,95,57,97,108,108,111,99,97,116,111,114,73,105,69,69,69,69,0,105,105,0,118,0,118,105,0,118,105,105,105,0,118,105,105,105,105,0,105,105,105,0,78,49,48,101,109,115,99,114,105,112,116,101,110,51,118,97,108,69,0,105,105,105,105,0,105,105,105,105,105,0,78,83,116,51,95,95,50,54,118,101,99,116,111,114,73,102,78,83,95,57,97,108,108,111,99,97,116,111,114,73,102,69,69,69,69,0,78,83,116,51,95,95,50,49,51,95,95,118,101,99,116,111,114,95,98,97,115,101,73,102,78,83,95,57,97,108,108,111,99,97,116,111,114,73,102,69,69,69,69,0,80,78,83,116,51,95,95,50,54,118,101,99,116,111,114,73,102,78,83,95,57,97,108,108,111,99,97,116,111,114,73,102,69,69,69,69,0,80,75,78,83,116,51,95,95,50,54,118,101,99,116,111,114,73,102,78,83,95,57,97,108,108,111,99,97,116,111,114,73,102,69,69,69,69,0,118,105,105,102,0,118,105,105,105,102,0,105,105,105,105,102,0,78,83,116,51,95,95,50,54,118,101,99,116,111,114,73,100,78,83,95,57,97,108,108,111,99,97,116,111,114,73,100,69,69,69,69,0,78,83,116,51,95,95,50,49,51,95,95,118,101,99,116,111,114,95,98,97,115,101,73,100,78,83,95,57,97,108,108,111,99,97,116,111,114,73,100,69,69,69,69,0,80,78,83,116,51,95,95,50,54,118,101,99,116,111,114,73,100,78,83,95,57,97,108,108,111,99,97,116,111,114,73,100,69,69,69,69,0,80,75,78,83,116,51,95,95,50,54,118,101,99,116,111,114,73,100,78,83,95,57,97,108,108,111,99,97,116,111,114,73,100,69,69,69,69,0,118,105,105,100,0,118,105,105,105,100,0,105,105,105,105,100,0,78,83,116,51,95,95,50,54,118,101,99,116,111,114,73,78,50,99,118,54,80,111,105,110,116,95,73,105,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,51,95,69,69,69,69,0,78,83,116,51,95,95,50,49,51,95,95,118,101,99,116,111,114,95,98,97,115,101,73,78,50,99,118,54,80,111,105,110,116,95,73,105,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,51,95,69,69,69,69,0,80,78,83,116,51,95,95,50,54,118,101,99,116,111,114,73,78,50,99,118,54,80,111,105,110,116,95,73,105,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,51,95,69,69,69,69,0,80,75,78,83,116,51,95,95,50,54,118,101,99,116,111,114,73,78,50,99,118,54,80,111,105,110,116,95,73,105,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,51,95,69,69,69,69,0,78,50,99,118,54,80,111,105,110,116,95,73,105,69,69,0,78,83,116,51,95,95,50,54,118,101,99,116,111,114,73,78,50,99,118,51,77,97,116,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,50,95,69,69,69,69,0,78,83,116,51,95,95,50,49,51,95,95,118,101,99,116,111,114,95,98,97,115,101,73,78,50,99,118,51,77,97,116,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,50,95,69,69,69,69,0,80,78,83,116,51,95,95,50,54,118,101,99,116,111,114,73,78,50,99,118,51,77,97,116,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,50,95,69,69,69,69,0,80,75,78,83,116,51,95,95,50,54,118,101,99,116,111,114,73,78,50,99,118,51,77,97,116,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,50,95,69,69,69,69,0,78,50,99,118,51,77,97,116,69,0,78,83,116,51,95,95,50,54,118,101,99,116,111,114,73,78,50,99,118,53,82,101,99,116,95,73,105,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,51,95,69,69,69,69,0,78,83,116,51,95,95,50,49,51,95,95,118,101,99,116,111,114,95,98,97,115,101,73,78,50,99,118,53,82,101,99,116,95,73,105,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,51,95,69,69,69,69,0,80,78,83,116,51,95,95,50,54,118,101,99,116,111,114,73,78,50,99,118,53,82,101,99,116,95,73,105,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,51,95,69,69,69,69,0,80,75,78,83,116,51,95,95,50,54,118,101,99,116,111,114,73,78,50,99,118,53,82,101,99,116,95,73,105,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,51,95,69,69,69,69,0,80,78,50,99,118,51,77,97,116,69,0,80,75,78,50,99,118,51,77,97,116,69,0,78,50,99,118,53,83,105,122,101,95,73,105,69,69,0,78,50,99,118,55,83,99,97,108,97,114,95,73,100,69,69,0,78,50,99,118,51,86,101,99,73,100,76,105,52,69,69,69,0,78,50,99,118,52,77,97,116,120,73,100,76,105,52,69,76,105,49,69,69,69,0,105,105,105,105,105,105,0,105,105,105,105,105,105,105,0,78,49,48,101,109,115,99,114,105,112,116,101,110,49,49,109,101,109,111,114,121,95,118,105,101,119,73,104,69,69,0,78,49,48,101,109,115,99,114,105,112,116,101,110,49,49,109,101,109,111,114,121,95,118,105,101,119,73,99,69,69,0,78,49,48,101,109,115,99,114,105,112,116,101,110,49,49,109,101,109,111,114,121,95,118,105,101,119,73,116,69,69,0,78,49,48,101,109,115,99,114,105,112,116,101,110,49,49,109,101,109,111,114,121,95,118,105,101,119,73,115,69,69,0,78,49,48,101,109,115,99,114,105,112,116,101,110,49,49,109,101,109,111,114,121,95,118,105,101,119,73,105,69,69,0,78,49,48,101,109,115,99,114,105,112,116,101,110,49,49,109,101,109,111,114,121,95,118,105,101,119,73,102,69,69,0,78,49,48,101,109,115,99,114,105,112,116,101,110,49,49,109,101,109,111,114,121,95,118,105,101,119,73,100,69,69,0,118,105,105,105,105,100,100,0,118,105,105,105,105,100,0,118,105,105,105,105,105,0,78,50,99,118,53,82,97,110,103,101,69,0,100,105,105,105,0,102,105,105,105,0,102,105,105,105,105,0,102,105,105,105,105,105,0,100,105,105,105,105,105,0,100,105,105,105,105,0,78,50,99,118,49,50,84,101,114,109,67,114,105,116,101,114,105,97,69,0,100,105,105,0,78,50,99,118,53,83,105,122,101,95,73,102,69,69,0,102,105,105,0,78,50,99,118,53,82,101,99,116,95,73,102,69,69,0,78,49,51,98,105,110,100,105,110,103,95,117,116,105,108,115,57,77,105,110,77,97,120,76,111,99,69,0,78,49,51,98,105,110,100,105,110,103,95,117,116,105,108,115,54,67,105,114,99,108,101,69,0,78,50,99,118,55,77,111,109,101,110,116,115,69,0,78,83,116,51,95,95,50,49,50,98,97,115,105,99,95,115,116,114,105,110,103,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,99,69,69,69,69,0,78,83,116,51,95,95,50,50,49,95,95,98,97,115,105,99,95,115,116,114,105,110,103,95,99,111,109,109,111,110,73,76,98,49,69,69,69,0,108,101,110,103,116,104,0,118,105,105,105,100,100,105,105,0,118,105,105,105,100,100,105,0,118,105,105,105,100,100,0,118,105,105,105,105,100,100,105,0,118,105,105,105,105,100,100,100,100,105,105,0,118,105,105,105,105,100,100,100,100,105,0,118,105,105,105,105,100,100,100,100,0,118,105,105,105,105,100,100,100,0,118,105,105,105,100,100,105,100,100,100,100,0,118,105,105,105,100,100,105,100,100,100,0,118,105,105,105,100,100,105,100,100,0,118,105,105,105,100,100,105,100,0,118,105,105,105,105,105,100,100,105,0,118,105,105,105,105,105,100,100,0,118,105,105,105,105,105,100,0,118,105,105,105,105,105,105,100,100,105,0,118,105,105,105,105,105,105,100,100,0,118,105,105,105,105,105,105,100,0,118,105,105,105,105,105,105,0,118,105,105,105,105,105,105,105,100,100,105,0,118,105,105,105,105,105,105,105,100,100,0,118,105,105,105,105,105,105,105,100,0,118,105,105,105,105,105,105,105,0,118,105,105,105,100,105,105,105,100,0,118,105,105,100,105,100,100,105,105,0,118,105,105,100,105,100,100,105,0,118,105,105,105,100,105,0,118,105,105,105,105,105,105,105,105,0,118,105,105,105,105,100,105,105,105,105,100,105,0,118,105,105,105,105,105,105,105,105,105,105,105,100,0,118,105,105,105,105,105,105,105,105,105,105,105,0,118,105,105,105,105,105,105,105,105,105,105,0,118,105,105,105,105,105,105,105,105,105,0,105,105,105,105,105,105,105,105,0,118,105,105,105,105,105,100,105,0,118,105,105,105,105,100,105,0,118,105,100,105,105,105,0,118,105,100,105,105,0,118,105,105,105,105,100,100,100,105,105,105,105,0,118,105,105,105,105,100,100,100,105,105,105,0,118,105,105,105,105,100,100,100,105,105,0,118,105,105,105,105,100,100,100,105,0,118,105,105,105,105,105,105,100,105,0,100,105,105,105,105,105,105,105,0,100,105,105,105,105,105,105,0,118,105,105,105,100,105,100,105,105,0,118,105,105,105,100,105,100,105,0,105,105,105,100,100,0,118,105,105,105,105,100,100,105,105,105,100,0,118,105,105,105,105,100,100,105,105,105,0,118,105,105,105,105,100,100,105,105,0,118,105,105,105,105,100,100,105,105,105,105,100,0,118,105,105,105,105,100,100,105,105,105,105,0,100,105,105,105,105,105,105,105,105,0,100,105,105,105,105,100,0,118,105,105,105,100,100,105,105,105,0,118,105,105,100,105,0,118,105,105,105,105,105,100,105,105,105,105,0,118,105,105,105,105,105,100,105,105,105,0,118,105,105,105,105,105,100,105,105,0,118,105,105,105,105,105,105,105,100,105,0,118,105,105,0,100,105,105,105,100,100,105,0,105,105,105,100,105,105,105,105,105,0,105,105,105,100,105,105,105,105,0,105,105,105,100,105,105,105,0,105,105,105,100,105,105,0,105,105,105,100,105,0,105,105,105,100,0,78,50,99,118,51,100,110,110,49,52,100,110,110,52,95,118,50,48,49,56,48,57,49,55,51,78,101,116,69,0,80,78,50,99,118,49,51,72,79,71,68,101,115,99,114,105,112,116,111,114,69,0,80,75,78,50,99,118,49,51,72,79,71,68,101,115,99,114,105,112,116,111,114,69,0,78,50,99,118,49,51,72,79,71,68,101,115,99,114,105,112,116,111,114,49,55,72,105,115,116,111,103,114,97,109,78,111,114,109,84,121,112,101,69,0,105,105,105,105,105,105,105,105,100,105,100,105,105,105,0,118,105,105,105,105,105,100,105,105,100,100,105,0,118,105,105,105,105,105,100,105,105,100,100,0,118,105,105,105,105,105,100,105,105,100,0,78,50,99,118,50,48,66,97,99,107,103,114,111,117,110,100,83,117,98,116,114,97,99,116,111,114,69,0,80,78,50,99,118,50,48,66,97,99,107,103,114,111,117,110,100,83,117,98,116,114,97,99,116,111,114,69,0,80,75,78,50,99,118,50,48,66,97,99,107,103,114,111,117,110,100,83,117,98,116,114,97,99,116,111,114,69,0,78,50,99,118,50,52,66,97,99,107,103,114,111,117,110,100,83,117,98,116,114,97,99,116,111,114,77,79,71,50,69,0,80,78,50,99,118,50,52,66,97,99,107,103,114,111,117,110,100,83,117,98,116,114,97,99,116,111,114,77,79,71,50,69,0,80,75,78,50,99,118,50,52,66,97,99,107,103,114,111,117,110,100,83,117,98,116,114,97,99,116,111,114,77,79,71,50,69,0,78,50,99,118,51,80,116,114,73,78,83,95,50,52,66,97,99,107,103,114,111,117,110,100,83,117,98,116,114,97,99,116,111,114,77,79,71,50,69,69,69,0,78,83,116,51,95,95,50,49,48,115,104,97,114,101,100,95,112,116,114,73,78,50,99,118,50,52,66,97,99,107,103,114,111,117,110,100,83,117,98,116,114,97,99,116,111,114,77,79,71,50,69,69,69,0,78,50,99,118,53,67,76,65,72,69,69,0,80,78,50,99,118,53,67,76,65,72,69,69,0,80,75,78,50,99,118,53,67,76,65,72,69,69,0,78,50,99,118,51,80,116,114,73,78,83,95,53,67,76,65,72,69,69,69,69,0,78,83,116,51,95,95,50,49,48,115,104,97,114,101,100,95,112,116,114,73,78,50,99,118,53,67,76,65,72,69,69,69,69,0,105,105,100,105,0,105,105,100,0,80,78,50,99,118,57,65,108,103,111,114,105,116,104,109,69,0,80,75,78,50,99,118,57,65,108,103,111,114,105,116,104,109,69,0,80,78,50,99,118,51,100,110,110,49,52,100,110,110,52,95,118,50,48,49,56,48,57,49,55,51,78,101,116,69,0,80,75,78,50,99,118,51,100,110,110,49,52,100,110,110,52,95,118,50,48,49,56,48,57,49,55,51,78,101,116,69,0,78,50,99,118,49,55,67,97,115,99,97,100,101,67,108,97,115,115,105,102,105,101,114,69,0,80,78,50,99,118,49,55,67,97,115,99,97,100,101,67,108,97,115,115,105,102,105,101,114,69,0,80,75,78,50,99,118,49,55,67,97,115,99,97,100,101,67,108,97,115,115,105,102,105,101,114,69,0,118,105,105,105,105,105,105,100,105,105,105,105,105,0,118,105,105,105,105,105,105,100,105,105,105,105,0,118,105,105,105,105,105,105,100,105,105,105,0,118,105,105,105,105,105,105,100,105,105,0,118,105,105,105,105,100,105,105,105,105,0,118,105,105,105,105,100,105,105,105,0,118,105,105,105,105,100,105,105,0,109,101,97,110,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,99,111,114,101,47,115,114,99,47,109,101,97,110,46,99,112,112,0,99,118,58,58,83,99,97,108,97,114,32,99,118,58,58,109,101,97,110,40,73,110,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,41,0,109,101,97,110,83,116,100,68,101,118,0,95,109,97,115,107,46,101,109,112,116,121,40,41,32,124,124,32,95,109,97,115,107,46,116,121,112,101,40,41,32,61,61,32,67,86,95,56,85,67,49,0,100,115,116,46,116,121,112,101,40,41,32,61,61,32,67,86,95,54,52,70,32,38,38,32,100,115,116,46,105,115,67,111,110,116,105,110,117,111,117,115,40,41,32,38,38,32,40,100,115,116,46,99,111,108,115,32,61,61,32,49,32,124,124,32,100,115,116,46,114,111,119,115,32,61,61,32,49,41,32,38,38,32,100,99,110,32,62,61,32,99,110,0,118,111,105,100,32,99,118,58,58,109,101,97,110,83,116,100,68,101,118,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,41,0,70,97,105,108,101,100,32,116,111,32,97,108,108,111,99,97,116,101,32,37,108,108,117,32,98,121,116,101,115,0,79,117,116,79,102,77,101,109,111,114,121,69,114,114,111,114,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,99,111,114,101,47,115,114,99,47,97,108,108,111,99,46,99,112,112,0,95,97,114,114,97,121,115,32,38,38,32,40,95,112,116,114,115,32,124,124,32,95,112,108,97,110,101,115,41,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,99,111,114,101,47,115,114,99,47,109,97,116,114,105,120,95,105,116,101,114,97,116,111,114,46,99,112,112,0,110,97,114,114,97,121,115,32,60,61,32,49,48,48,48,0,97,114,114,97,121,115,91,105,93,32,33,61,32,48,0,65,46,115,105,122,101,32,61,61,32,97,114,114,97,121,115,91,105,48,93,45,62,115,105,122,101,0,65,46,115,116,101,112,91,100,45,49,93,32,61,61,32,65,46,101,108,101,109,83,105,122,101,40,41,0,102,108,111,97,116,32,99,118,58,58,99,117,98,101,82,111,111,116,40,102,108,111,97,116,41,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,99,111,114,101,47,115,114,99,47,109,97,116,104,102,117,110,99,115,46,99,112,112,0,115,114,99,49,46,115,105,122,101,40,41,32,61,61,32,115,114,99,50,46,115,105,122,101,40,41,32,38,38,32,116,121,112,101,32,61,61,32,115,114,99,50,46,116,121,112,101,40,41,32,38,38,32,40,100,101,112,116,104,32,61,61,32,67,86,95,51,50,70,32,124,124,32,100,101,112,116,104,32,61,61,32,67,86,95,54,52,70,41,0,118,111,105,100,32,99,118,58,58,109,97,103,110,105,116,117,100,101,40,73,110,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,41,0,88,46,115,105,122,101,32,61,61,32,89,46,115,105,122,101,32,38,38,32,116,121,112,101,32,61,61,32,89,46,116,121,112,101,40,41,32,38,38,32,40,100,101,112,116,104,32,61,61,32,67,86,95,51,50,70,32,124,124,32,100,101,112,116,104,32,61,61,32,67,86,95,54,52,70,41,0,99,97,114,116,84,111,80,111,108,97,114,0,118,111,105,100,32,99,118,58,58,99,97,114,116,84,111,80,111,108,97,114,40,73,110,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,98,111,111,108,41,0,40,100,101,112,116,104,32,61,61,32,67,86,95,51,50,70,32,124,124,32,100,101,112,116,104,32,61,61,32,67,86,95,54,52,70,41,32,38,38,32,40,115,114,99,49,46,101,109,112,116,121,40,41,32,124,124,32,115,114,99,49,46,116,121,112,101,40,41,32,61,61,32,116,121,112,101,41,0,112,111,108,97,114,84,111,67,97,114,116,0,77,97,103,46,101,109,112,116,121,40,41,32,124,124,32,65,110,103,108,101,46,115,105,122,101,32,61,61,32,77,97,103,46,115,105,122,101,0,118,111,105,100,32,99,118,58,58,112,111,108,97,114,84,111,67,97,114,116,40,73,110,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,98,111,111,108,41,0,101,120,112,0,118,111,105,100,32,99,118,58,58,101,120,112,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,41,0,108,111,103,0,118,111,105,100,32,99,118,58,58,108,111,103,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,41,0,118,111,105,100,32,99,118,58,58,112,111,119,40,73,110,112,117,116,65,114,114,97,121,44,32,100,111,117,98,108,101,44,32,79,117,116,112,117,116,65,114,114,97,121,41,0,118,111,105,100,32,99,118,58,58,115,113,114,116,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,41,0,112,116,32,61,61,32,78,85,76,76,0,99,104,101,99,107,82,97,110,103,101,0,116,104,101,32,118,97,108,117,101,32,97,116,32,40,37,100,44,32,37,100,41,61,37,115,32,105,115,32,111,117,116,32,111,102,32,114,97,110,103,101,32,91,37,102,44,32,37,102,41,0,98,111,111,108,32,99,118,58,58,99,104,101,99,107,82,97,110,103,101,40,73,110,112,117,116,65,114,114,97,121,44,32,98,111,111,108,44,32,80,111,105,110,116,32,42,44,32,100,111,117,98,108,101,44,32,100,111,117,98,108,101,41,0,95,97,46,100,101,112,116,104,40,41,32,61,61,32,67,86,95,51,50,70,0,112,97,116,99,104,78,97,78,115,0,118,111,105,100,32,99,118,58,58,112,97,116,99,104,78,97,78,115,40,73,110,112,117,116,79,117,116,112,117,116,65,114,114,97,121,44,32,100,111,117,98,108,101,41,0,99,116,121,112,101,32,61,61,32,67,86,95,51,50,70,32,124,124,32,99,116,121,112,101,32,61,61,32,67,86,95,54,52,70,0,115,111,108,118,101,67,117,98,105,99,0,40,99,111,101,102,102,115,46,115,105,122,101,40,41,32,61,61,32,83,105,122,101,40,110,48,44,32,49,41,32,124,124,32,99,111,101,102,102,115,46,115,105,122,101,40,41,32,61,61,32,83,105,122,101,40,110,48,43,49,44,32,49,41,32,124,124,32,99,111,101,102,102,115,46,115,105,122,101,40,41,32,61,61,32,83,105,122,101,40,49,44,32,110,48,41,32,124,124,32,99,111,101,102,102,115,46,115,105,122,101,40,41,32,61,61,32,83,105,122,101,40,49,44,32,110,48,43,49,41,41,0,105,110,116,32,99,118,58,58,115,111,108,118,101,67,117,98,105,99,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,41,0,67,86,95,77,65,84,95,68,69,80,84,72,40,99,116,121,112,101,41,32,62,61,32,67,86,95,51,50,70,32,38,38,32,67,86,95,77,65,84,95,67,78,40,99,116,121,112,101,41,32,60,61,32,50,0,115,111,108,118,101,80,111,108,121,0,99,111,101,102,102,115,48,46,114,111,119,115,32,61,61,32,49,32,124,124,32,99,111,101,102,102,115,48,46,99,111,108,115,32,61,61,32,49,0,100,111,117,98,108,101,32,99,118,58,58,115,111,108,118,101,80,111,108,121,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,41,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,99,111,114,101,47,115,114,99,47,108,97,112,97,99,107,46,99,112,112,0,33,109,97,116,46,101,109,112,116,121,40,41,0,100,101,116,101,114,109,105,110,97,110,116,0,109,97,116,46,114,111,119,115,32,61,61,32,109,97,116,46,99,111,108,115,32,38,38,32,40,116,121,112,101,32,61,61,32,67,86,95,51,50,70,32,124,124,32,116,121,112,101,32,61,61,32,67,86,95,54,52,70,41,0,100,111,117,98,108,101,32,99,118,58,58,100,101,116,101,114,109,105,110,97,110,116,40,73,110,112,117,116,65,114,114,97,121,41,0,116,121,112,101,32,61,61,32,67,86,95,51,50,70,32,124,124,32,116,121,112,101,32,61,61,32,67,86,95,54,52,70,0,105,110,118,101,114,116,0,109,32,61,61,32,110,0,109,101,116,104,111,100,32,61,61,32,68,69,67,79,77,80,95,76,85,32,124,124,32,109,101,116,104,111,100,32,61,61,32,68,69,67,79,77,80,95,67,72,79,76,69,83,75,89,0,115,114,99,46,114,111,119,115,32,61,61,32,115,114,99,46,99,111,108,115,0,101,105,103,101,110,0,98,111,111,108,32,99,118,58,58,101,105,103,101,110,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,41,0,119,46,116,121,112,101,40,41,32,61,61,32,117,46,116,121,112,101,40,41,32,38,38,32,117,46,116,121,112,101,40,41,32,61,61,32,118,116,46,116,121,112,101,40,41,32,38,38,32,117,46,100,97,116,97,32,38,38,32,118,116,46,100,97,116,97,32,38,38,32,119,46,100,97,116,97,0,98,97,99,107,83,117,98,115,116,0,117,46,99,111,108,115,32,62,61,32,110,109,32,38,38,32,118,116,46,114,111,119,115,32,62,61,32,110,109,32,38,38,32,40,119,46,115,105,122,101,40,41,32,61,61,32,83,105,122,101,40,110,109,44,32,49,41,32,124,124,32,119,46,115,105,122,101,40,41,32,61,61,32,83,105,122,101,40,49,44,32,110,109,41,32,124,124,32,119,46,115,105,122,101,40,41,32,61,61,32,83,105,122,101,40,118,116,46,114,111,119,115,44,32,117,46,99,111,108,115,41,41,0,114,104,115,46,100,97,116,97,32,61,61,32,48,32,124,124,32,40,114,104,115,46,116,121,112,101,40,41,32,61,61,32,116,121,112,101,32,38,38,32,114,104,115,46,114,111,119,115,32,61,61,32,109,41,0,95,83,86,68,99,111,109,112,117,116,101,0,115,116,97,116,105,99,32,118,111,105,100,32,99,118,58,58,83,86,68,58,58,99,111,109,112,117,116,101,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,41,0,100,111,117,98,108,101,32,99,118,58,58,105,110,118,101,114,116,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,41,0,116,121,112,101,32,61,61,32,95,115,114,99,50,46,116,121,112,101,40,41,32,38,38,32,40,116,121,112,101,32,61,61,32,67,86,95,51,50,70,32,124,124,32,116,121,112,101,32,61,61,32,67,86,95,54,52,70,41,0,115,111,108,118,101,0,40,109,101,116,104,111,100,32,33,61,32,68,69,67,79,77,80,95,76,85,32,38,38,32,109,101,116,104,111,100,32,33,61,32,68,69,67,79,77,80,95,67,72,79,76,69,83,75,89,41,32,124,124,32,105,115,95,110,111,114,109,97,108,32,124,124,32,115,114,99,46,114,111,119,115,32,61,61,32,115,114,99,46,99,111,108,115,0,84,104,101,32,102,117,110,99,116,105,111,110,32,99,97,110,32,110,111,116,32,115,111,108,118,101,32,117,110,100,101,114,45,100,101,116,101,114,109,105,110,101,100,32,108,105,110,101,97,114,32,115,121,115,116,101,109,115,0,98,111,111,108,32,99,118,58,58,115,111,108,118,101,40,73,110,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,41,0,85,110,115,117,112,112,111,114,116,101,100,32,109,101,116,104,111,100,44,32,115,101,101,32,35,68,101,99,111,109,112,84,121,112,101,115,0,109,101,116,104,111,100,0,109,101,116,104,111,100,32,61,61,32,68,69,67,79,77,80,95,76,85,32,124,124,32,109,101,116,104,111,100,32,61,61,32,68,69,67,79,77,80,95,83,86,68,32,124,124,32,109,101,116,104,111,100,32,61,61,32,68,69,67,79,77,80,95,69,73,71,32,124,124,32,109,101,116,104,111,100,32,61,61,32,68,69,67,79,77,80,95,67,72,79,76,69,83,75,89,32,124,124,32,109,101,116,104,111,100,32,61,61,32,68,69,67,79,77,80,95,81,82,0,78,50,99,118,57,69,120,99,101,112,116,105,111,110,69,0,107,101,121,95,32,61,61,32,45,49,0,126,84,76,83,68,97,116,97,67,111,110,116,97,105,110,101,114,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,99,111,114,101,47,115,114,99,47,115,121,115,116,101,109,46,99,112,112,0,115,116,97,116,117,115,0,85,110,107,110,111,119,110,32,37,115,32,99,111,100,101,32,37,100,0,79,112,101,110,71,76,32,65,80,73,32,99,97,108,108,0,78,111,32,79,112,101,110,71,76,32,115,117,112,112,111,114,116,0,71,112,117,32,65,80,73,32,99,97,108,108,0,78,111,32,67,85,68,65,32,115,117,112,112,111,114,116,0,65,115,115,101,114,116,105,111,110,32,102,97,105,108,101,100,0,77,101,109,111,114,121,32,98,108,111,99,107,32,104,97,115,32,98,101,101,110,32,99,111,114,114,117,112,116,101,100,0,84,104,101,32,102,117,110,99,116,105,111,110,47,102,101,97,116,117,114,101,32,105,115,32,110,111,116,32,105,109,112,108,101,109,101,110,116,101,100,0,80,97,114,115,105,110,103,32,101,114,114,111,114,0,66,97,100,32,116,121,112,101,32,111,102,32,109,97,115,107,32,97,114,103,117,109,101,110,116,0,66,97,100,32,112,97,114,97,109,101,116,101,114,32,111,102,32,116,121,112,101,32,67,118,80,111,105,110,116,0,66,97,100,32,102,108,97,103,32,40,112,97,114,97,109,101,116,101,114,32,111,114,32,115,116,114,117,99,116,117,114,101,32,102,105,101,108,100,41,0,66,97,100,32,110,117,109,98,101,114,32,111,102,32,99,104,97,110,110,101,108,115,0,73,110,112,117,116,32,67,79,73,32,105,115,32,110,111,116,32,115,117,112,112,111,114,116,101,100,0,85,110,115,117,112,112,111,114,116,101,100,32,102,111,114,109,97,116,32,111,114,32,99,111,109,98,105,110,97,116,105,111,110,32,111,102,32,102,111,114,109,97,116,115,0,79,110,101,32,111,102,32,97,114,103,117,109,101,110,116,115,39,32,118,97,108,117,101,115,32,105,115,32,111,117,116,32,111,102,32,114,97,110,103,101,0,83,105,122,101,115,32,111,102,32,105,110,112,117,116,32,97,114,103,117,109,101,110,116,115,32,100,111,32,110,111,116,32,109,97,116,99,104,0,70,111,114,109,97,116,115,32,111,102,32,105,110,112,117,116,32,97,114,103,117,109,101,110,116,115,32,100,111,32,110,111,116,32,109,97,116,99,104,0,73,110,112,117,116,32,105,109,97,103,101,32,100,101,112,116,104,32,105,115,32,110,111,116,32,115,117,112,112,111,114,116,101,100,32,98,121,32,102,117,110,99,116,105,111,110,0,82,101,113,117,101,115,116,101,100,32,111,98,106,101,99,116,32,119,97,115,32,110,111,116,32,102,111,117,110,100,0,73,110,112,108,97,99,101,32,111,112,101,114,97,116,105,111,110,32,105,115,32,110,111,116,32,115,117,112,112,111,114,116,101,100,0,73,109,97,103,101,32,115,116,101,112,32,105,115,32,119,114,111,110,103,0,68,105,118,105,115,105,111,110,32,98,121,32,122,101,114,111,32,111,99,99,117,114,114,101,100,0,78,117,108,108,32,112,111,105,110,116,101,114,0,73,110,99,111,114,114,101,99,116,32,115,105,122,101,32,111,102,32,105,110,112,117,116,32,97,114,114,97,121,0,65,117,116,111,116,114,97,99,101,32,99,97,108,108,0,73,116,101,114,97,116,105,111,110,115,32,100,111,32,110,111,116,32,99,111,110,118,101,114,103,101,0,66,97,100,32,97,114,103,117,109,101,110,116,0,73,110,115,117,102,102,105,99,105,101,110,116,32,109,101,109,111,114,121,0,85,110,115,112,101,99,105,102,105,101,100,32,101,114,114,111,114,0,66,97,99,107,116,114,97,99,101,0,78,111,32,69,114,114,111,114,0,117,110,107,110,111,119,110,32,102,117,110,99,116,105,111,110,0,79,112,101,110,67,86,40,37,115,41,32,69,114,114,111,114,58,32,37,115,32,40,37,115,41,32,105,110,32,37,115,44,32,102,105,108,101,32,37,115,44,32,108,105,110,101,32,37,100,0,52,46,48,46,48,45,112,114,101,0,37,115,10,0,62,32,0,79,112,101,110,67,86,40,37,115,41,32,37,115,58,37,100,58,32,101,114,114,111,114,58,32,40,37,100,58,37,115,41,32,105,110,32,102,117,110,99,116,105,111,110,32,39,37,115,39,10,37,115,0,79,112,101,110,67,86,40,37,115,41,32,37,115,58,37,100,58,32,101,114,114,111,114,58,32,40,37,100,58,37,115,41,32,37,115,32,105,110,32,102,117,110,99,116,105,111,110,32,39,37,115,39,10,0,79,112,101,110,67,86,40,37,115,41,32,37,115,58,37,100,58,32,101,114,114,111,114,58,32,40,37,100,58,37,115,41,32,37,115,37,115,0,108,101,110,32,62,61,32,48,32,38,38,32,34,67,104,101,99,107,32,102,111,114,109,97,116,32,115,116,114,105,110,103,32,102,111,114,32,101,114,114,111,114,115,34,0,78,83,116,51,95,95,50,49,53,98,97,115,105,99,95,115,116,114,105,110,103,98,117,102,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,99,69,69,69,69,0,78,83,116,51,95,95,50,49,56,98,97,115,105,99,95,115,116,114,105,110,103,115,116,114,101,97,109,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,99,69,69,69,69,0,78,50,99,118,49,54,84,76,83,68,97,116,97,67,111,110,116,97,105,110,101,114,69,0,79,80,69,78,67,86,95,68,85,77,80,95,69,82,82,79,82,83,0,79,80,69,78,67,86,95,68,85,77,80,95,67,79,78,70,73,71,0,10,71,101,110,101,114,97,108,32,99,111,110,102,105,103,117,114,97,116,105,111,110,32,102,111,114,32,79,112,101,110,67,86,32,52,46,48,46,48,45,112,114,101,32,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,10,32,32,86,101,114,115,105,111,110,32,99,111,110,116,114,111,108,58,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,51,46,52,46,51,45,51,55,54,45,103,101,102,99,97,55,52,54,10,10,32,32,80,108,97,116,102,111,114,109,58,10,32,32,32,32,84,105,109,101,115,116,97,109,112,58,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,50,48,49,56,45,48,57,45,50,53,84,48,50,58,53,57,58,48,48,90,10,32,32,32,32,72,111,115,116,58,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,76,105,110,117,120,32,52,46,49,53,46,48,45,51,51,45,103,101,110,101,114,105,99,32,120,56,54,95,54,52,10,32,32,32,32,84,97,114,103,101,116,58,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,69,109,115,99,114,105,112,116,101,110,32,49,32,120,56,54,10,32,32,32,32,67,77,97,107,101,58,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,51,46,53,46,49,10,32,32,32,32,67,77,97,107,101,32,103,101,110,101,114,97,116,111,114,58,32,32,32,32,32,32,32,32,32,32,32,32,32,85,110,105,120,32,77,97,107,101,102,105,108,101,115,10,32,32,32,32,67,77,97,107,101,32,98,117,105,108,100,32,116,111,111,108,58,32,32,32,32,32,32,32,32,32,32,32,32,47,117,115,114,47,98,105,110,47,109,97,107,101,10,32,32,32,32,67,111,110,102,105,103,117,114,97,116,105,111,110,58,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,82,101,108,101,97,115,101,10,10,32,32,67,80,85,47,72,87,32,102,101,97,116,117,114,101,115,58,10,32,32,32,32,66,97,115,101,108,105,110,101,58,10,10,32,32,67,47,67,43,43,58,10,32,32,32,32,66,117,105,108,116,32,97,115,32,100,121,110,97,109,105,99,32,108,105,98,115,63,58,32,32,32,32,32,32,78,79,10,32,32,32,32,67,43,43,32,67,111,109,112,105,108,101,114,58,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,47,111,112,116,47,101,109,115,100,107,45,112,111,114,116,97,98,108,101,47,101,109,115,99,114,105,112,116,101,110,47,49,46,51,55,46,50,49,47,101,109,43,43,32,32,40,118,101,114,32,52,46,48,46,48,41,10,32,32,32,32,67,43,43,32,102,108,97,103,115,32,40,82,101,108,101,97,115,101,41,58,32,32,32,32,32,32,32,32,32,45,102,115,105,103,110,101,100,45,99,104,97,114,32,45,87,32,45,87,97,108,108,32,45,87,101,114,114,111,114,61,114,101,116,117,114,110,45,116,121,112,101,32,45,87,101,114,114,111,114,61,110,111,110,45,118,105,114,116,117,97,108,45,100,116,111,114,32,45,87,101,114,114,111,114,61,97,100,100,114,101,115,115,32,45,87,101,114,114,111,114,61,115,101,113,117,101,110,99,101,45,112,111,105,110,116,32,45,87,102,111,114,109,97,116,32,45,87,101,114,114,111,114,61,102,111,114,109,97,116,45,115,101,99,117,114,105,116,121,32,45,87,109,105,115,115,105,110,103,45,100,101,99,108,97,114,97,116,105,111,110,115,32,45,87,109,105,115,115,105,110,103,45,112,114,111,116,111,116,121,112,101,115,32,45,87,115,116,114,105,99,116,45,112,114,111,116,111,116,121,112,101,115,32,45,87,117,110,100,101,102,32,45,87,105,110,105,116,45,115,101,108,102,32,45,87,112,111,105,110,116,101,114,45,97,114,105,116,104,32,45,87,115,104,97,100,111,119,32,45,87,115,105,103,110,45,112,114,111,109,111,32,45,87,117,110,105,110,105,116,105,97,108,105,122,101,100,32,45,87,105,110,105,116,45,115,101,108,102,32,45,87,105,110,99,111,110,115,105,115,116,101,110,116,45,109,105,115,115,105,110,103,45,111,118,101,114,114,105,100,101,32,45,87,110,111,45,110,97,114,114,111,119,105,110,103,32,45,87,110,111,45,100,101,108,101,116,101,45,110,111,110,45,118,105,114,116,117,97,108,45,100,116,111,114,32,45,87,110,111,45,117,110,110,97,109,101,100,45,116,121,112,101,45,116,101,109,112,108,97,116,101,45,97,114,103,115,32,45,87,110,111,45,99,111,109,109,101,110,116,32,45,102,100,105,97,103,110,111,115,116,105,99,115,45,115,104,111,119,45,111,112,116,105,111,110,32,45,112,116,104,114,101,97,100,32,45,81,117,110,117,115,101,100,45,97,114,103,117,109,101,110,116,115,32,45,102,102,117,110,99,116,105,111,110,45,115,101,99,116,105,111,110,115,32,45,102,100,97,116,97,45,115,101,99,116,105,111,110,115,32,32,45,102,118,105,115,105,98,105,108,105,116,121,61,104,105,100,100,101,110,32,45,102,118,105,115,105,98,105,108,105,116,121,45,105,110,108,105,110,101,115,45,104,105,100,100,101,110,32,45,68,78,68,69,66,85,71,32,45,79,50,32,32,45,68,78,68,69,66,85,71,10,32,32,32,32,67,43,43,32,102,108,97,103,115,32,40,68,101,98,117,103,41,58,32,32,32,32,32,32,32,32,32,32,32,45,102,115,105,103,110,101,100,45,99,104,97,114,32,45,87,32,45,87,97,108,108,32,45,87,101,114,114,111,114,61,114,101,116,117,114,110,45,116,121,112,101,32,45,87,101,114,114,111,114,61,110,111,110,45,118,105,114,116,117,97,108,45,100,116,111,114,32,45,87,101,114,114,111,114,61,97,100,100,114,101,115,115,32,45,87,101,114,114,111,114,61,115,101,113,117,101,110,99,101,45,112,111,105,110,116,32,45,87,102,111,114,109,97,116,32,45,87,101,114,114,111,114,61,102,111,114,109,97,116,45,115,101,99,117,114,105,116,121,32,45,87,109,105,115,115,105,110,103,45,100,101,99,108,97,114,97,116,105,111,110,115,32,45,87,109,105,115,115,105,110,103,45,112,114,111,116,111,116,121,112,101,115,32,45,87,115,116,114,105,99,116,45,112,114,111,116,111,116,121,112,101,115,32,45,87,117,110,100,101,102,32,45,87,105,110,105,116,45,115,101,108,102,32,45,87,112,111,105,110,116,101,114,45,97,114,105,116,104,32,45,87,115,104,97,100,111,119,32,45,87,115,105,103,110,45,112,114,111,109,111,32,45,87,117,110,105,110,105,116,105,97,108,105,122,101,100,32,45,87,105,110,105,116,45,115,101,108,102,32,45,87,105,110,99,111,110,115,105,115,116,101,110,116,45,109,105,115,115,105,110,103,45,111,118,101,114,114,105,100,101,32,45,87,110,111,45,110,97,114,114,111,119,105,110,103,32,45,87,110,111,45,100,101,108,101,116,101,45,110,111,110,45,118,105,114,116,117,97,108,45,100,116,111,114,32,45,87,110,111,45,117,110,110,97,109,101,100,45,116,121,112,101,45,116,101,109,112,108,97,116,101,45,97,114,103,115,32,45,87,110,111,45,99,111,109,109,101,110,116,32,45,102,100,105,97,103,110,111,115,116,105,99,115,45,115,104,111,119,45,111,112,116,105,111,110,32,45,112,116,104,114,101,97,100,32,45,81,117,110,117,115,101,100,45,97,114,103,117,109,101,110,116,115,32,45,102,102,117,110,99,116,105,111,110,45,115,101,99,116,105,111,110,115,32,45,102,100,97,116,97,45,115,101,99,116,105,111,110,115,32,32,45,102,118,105,115,105,98,105,108,105,116,121,61,104],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+184324);allocate([105,100,100,101,110,32,45,102,118,105,115,105,98,105,108,105,116,121,45,105,110,108,105,110,101,115,45,104,105,100,100,101,110,32,45,103,32,32,45,79,48,32,45,68,68,69,66,85,71,32,45,68,95,68,69,66,85,71,10,32,32,32,32,67,32,67,111,109,112,105,108,101,114,58,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,47,111,112,116,47,101,109,115,100,107,45,112,111,114,116,97,98,108,101,47,101,109,115,99,114,105,112,116,101,110,47,49,46,51,55,46,50,49,47,101,109,99,99,10,32,32,32,32,67,32,102,108,97,103,115,32,40,82,101,108,101,97,115,101,41,58,32,32,32,32,32,32,32,32,32,32,32,45,102,115,105,103,110,101,100,45,99,104,97,114,32,45,87,32,45,87,97,108,108,32,45,87,101,114,114,111,114,61,114,101,116,117,114,110,45,116,121,112,101,32,45,87,101,114,114,111,114,61,110,111,110,45,118,105,114,116,117,97,108,45,100,116,111,114,32,45,87,101,114,114,111,114,61,97,100,100,114,101,115,115,32,45,87,101,114,114,111,114,61,115,101,113,117,101,110,99,101,45,112,111,105,110,116,32,45,87,102,111,114,109,97,116,32,45,87,101,114,114,111,114,61,102,111,114,109,97,116,45,115,101,99,117,114,105,116,121,32,45,87,109,105,115,115,105,110,103,45,100,101,99,108,97,114,97,116,105,111,110,115,32,45,87,109,105,115,115,105,110,103,45,112,114,111,116,111,116,121,112,101,115,32,45,87,115,116,114,105,99,116,45,112,114,111,116,111,116,121,112,101,115,32,45,87,117,110,100,101,102,32,45,87,105,110,105,116,45,115,101,108,102,32,45,87,112,111,105,110,116,101,114,45,97,114,105,116,104,32,45,87,115,104,97,100,111,119,32,45,87,115,105,103,110,45,112,114,111,109,111,32,45,87,117,110,105,110,105,116,105,97,108,105,122,101,100,32,45,87,105,110,105,116,45,115,101,108,102,32,45,87,105,110,99,111,110,115,105,115,116,101,110,116,45,109,105,115,115,105,110,103,45,111,118,101,114,114,105,100,101,32,45,87,110,111,45,110,97,114,114,111,119,105,110,103,32,45,87,110,111,45,100,101,108,101,116,101,45,110,111,110,45,118,105,114,116,117,97,108,45,100,116,111,114,32,45,87,110,111,45,117,110,110,97,109,101,100,45,116,121,112,101,45,116,101,109,112,108,97,116,101,45,97,114,103,115,32,45,87,110,111,45,99,111,109,109,101,110,116,32,45,102,100,105,97,103,110,111,115,116,105,99,115,45,115,104,111,119,45,111,112,116,105,111,110,32,45,112,116,104,114,101,97,100,32,45,81,117,110,117,115,101,100,45,97,114,103,117,109,101,110,116,115,32,45,102,102,117,110,99,116,105,111,110,45,115,101,99,116,105,111,110,115,32,45,102,100,97,116,97,45,115,101,99,116,105,111,110,115,32,32,45,102,118,105,115,105,98,105,108,105,116,121,61,104,105,100,100,101,110,32,45,102,118,105,115,105,98,105,108,105,116,121,45,105,110,108,105,110,101,115,45,104,105,100,100,101,110,32,45,68,78,68,69,66,85,71,32,45,79,50,32,32,45,68,78,68,69,66,85,71,10,32,32,32,32,67,32,102,108,97,103,115,32,40,68,101,98,117,103,41,58,32,32,32,32,32,32,32,32,32,32,32,32,32,45,102,115,105,103,110,101,100,45,99,104,97,114,32,45,87,32,45,87,97,108,108,32,45,87,101,114,114,111,114,61,114,101,116,117,114,110,45,116,121,112,101,32,45,87,101,114,114,111,114,61,110,111,110,45,118,105,114,116,117,97,108,45,100,116,111,114,32,45,87,101,114,114,111,114,61,97,100,100,114,101,115,115,32,45,87,101,114,114,111,114,61,115,101,113,117,101,110,99,101,45,112,111,105,110,116,32,45,87,102,111,114,109,97,116,32,45,87,101,114,114,111,114,61,102,111,114,109,97,116,45,115,101,99,117,114,105,116,121,32,45,87,109,105,115,115,105,110,103,45,100,101,99,108,97,114,97,116,105,111,110,115,32,45,87,109,105,115,115,105,110,103,45,112,114,111,116,111,116,121,112,101,115,32,45,87,115,116,114,105,99,116,45,112,114,111,116,111,116,121,112,101,115,32,45,87,117,110,100,101,102,32,45,87,105,110,105,116,45,115,101,108,102,32,45,87,112,111,105,110,116,101,114,45,97,114,105,116,104,32,45,87,115,104,97,100,111,119,32,45,87,115,105,103,110,45,112,114,111,109,111,32,45,87,117,110,105,110,105,116,105,97,108,105,122,101,100,32,45,87,105,110,105,116,45,115,101,108,102,32,45,87,105,110,99,111,110,115,105,115,116,101,110,116,45,109,105,115,115,105,110,103,45,111,118,101,114,114,105,100,101,32,45,87,110,111,45,110,97,114,114,111,119,105,110,103,32,45,87,110,111,45,100,101,108,101,116,101,45,110,111,110,45,118,105,114,116,117,97,108,45,100,116,111,114,32,45,87,110,111,45,117,110,110,97,109,101,100,45,116,121,112,101,45,116,101,109,112,108,97,116,101,45,97,114,103,115,32,45,87,110,111,45,99,111,109,109,101,110,116,32,45,102,100,105,97,103,110,111,115,116,105,99,115,45,115,104,111,119,45,111,112,116,105,111,110,32,45,112,116,104,114,101,97,100,32,45,81,117,110,117,115,101,100,45,97,114,103,117,109,101,110,116,115,32,45,102,102,117,110,99,116,105,111,110,45,115,101,99,116,105,111,110,115,32,45,102,100,97,116,97,45,115,101,99,116,105,111,110,115,32,32,45,102,118,105,115,105,98,105,108,105,116,121,61,104,105,100,100,101,110,32,45,102,118,105,115,105,98,105,108,105,116,121,45,105,110,108,105,110,101,115,45,104,105,100,100,101,110,32,45,103,32,32,45,79,48,32,45,68,68,69,66,85,71,32,45,68,95,68,69,66,85,71,10,32,32,32,32,76,105,110,107,101,114,32,102,108,97,103,115,32,40,82,101,108,101,97,115,101,41,58,32,32,32,32,32,32,45,79,50,32,10,32,32,32,32,76,105,110,107,101,114,32,102,108,97,103,115,32,40,68,101,98,117,103,41,58,32,32,32,32,32,32,32,32,10,32,32,32,32,99,99,97,99,104,101,58,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,78,79,10,32,32,32,32,80,114,101,99,111,109,112,105,108,101,100,32,104,101,97,100,101,114,115,58,32,32,32,32,32,32,32,32,32,78,79,10,32,32,32,32,69,120,116,114,97,32,100,101,112,101,110,100,101,110,99,105,101,115,58,10,32,32,32,32,51,114,100,112,97,114,116,121,32,100,101,112,101,110,100,101,110,99,105,101,115,58,32,32,32,32,32,32,32,122,108,105,98,32,108,105,98,112,114,111,116,111,98,117,102,10,10,32,32,79,112,101,110,67,86,32,109,111,100,117,108,101,115,58,10,32,32,32,32,84,111,32,98,101,32,98,117,105,108,116,58,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,99,111,114,101,32,100,110,110,32,105,109,103,112,114,111,99,32,106,97,118,97,95,98,105,110,100,105,110,103,115,95,103,101,110,101,114,97,116,111,114,32,106,115,32,111,98,106,100,101,116,101,99,116,32,112,121,116,104,111,110,95,98,105,110,100,105,110,103,115,95,103,101,110,101,114,97,116,111,114,32,118,105,100,101,111,10,32,32,32,32,68,105,115,97,98,108,101,100,58,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,102,101,97,116,117,114,101,115,50,100,32,102,108,97,110,110,32,104,105,103,104,103,117,105,32,105,109,103,99,111,100,101,99,115,32,109,108,32,112,104,111,116,111,32,115,104,97,112,101,32,115,116,105,116,99,104,105,110,103,32,115,117,112,101,114,114,101,115,32,118,105,100,101,111,105,111,32,118,105,100,101,111,115,116,97,98,32,119,111,114,108,100,10,32,32,32,32,68,105,115,97,98,108,101,100,32,98,121,32,100,101,112,101,110,100,101,110,99,121,58,32,32,32,32,32,32,99,97,108,105,98,51,100,10,32,32,32,32,85,110,97,118,97,105,108,97,98,108,101,58,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,106,97,118,97,32,112,121,116,104,111,110,50,32,112,121,116,104,111,110,51,32,116,115,32,118,105,122,10,32,32,32,32,65,112,112,108,105,99,97,116,105,111,110,115,58,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,45,10,32,32,32,32,68,111,99,117,109,101,110,116,97,116,105,111,110,58,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,106,115,10,32,32,32,32,78,111,110,45,102,114,101,101,32,97,108,103,111,114,105,116,104,109,115,58,32,32,32,32,32,32,32,32,32,78,79,10,10,32,32,71,85,73,58,32,10,10,32,32,77,101,100,105,97,32,73,47,79,58,32,10,32,32,32,32,90,76,105,98,58,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,98,117,105,108,100,32,40,118,101,114,32,49,46,50,46,49,49,41,10,32,32,32,32,72,68,82,58,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,89,69,83,10,32,32,32,32,83,85,78,82,65,83,84,69,82,58,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,89,69,83,10,32,32,32,32,80,88,77,58,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,89,69,83,10,32,32,32,32,80,70,77,58,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,89,69,83,10,10,32,32,86,105,100,101,111,32,73,47,79,58,10,10,32,32,80,97,114,97,108,108,101,108,32,102,114,97,109,101,119,111,114,107,58,32,32,32,32,32,32,32,32,32,32,32,32,110,111,110,101,10,10,32,32,79,116,104,101,114,32,116,104,105,114,100,45,112,97,114,116,121,32,108,105,98,114,97,114,105,101,115,58,10,32,32,32,32,67,117,115,116,111,109,32,72,65,76,58,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,78,79,10,32,32,32,32,80,114,111,116,111,98,117,102,58,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,98,117,105,108,100,32,40,51,46,53,46,49,41,10,10,32,32,80,121,116,104,111,110,32,40,102,111,114,32,98,117,105,108,100,41,58,32,32,32,32,32,32,32,32,32,32,32,32,47,117,115,114,47,98,105,110,47,112,121,116,104,111,110,50,46,55,10,10,32,32,73,110,115,116,97,108,108,32,116,111,58,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,98,117,105,108,100,47,106,115,47,105,110,115,116,97,108,108,10,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,10,10,0,10,79,112,101,110,67,86,32,98,117,105,108,100,32,99,111,110,102,105,103,117,114,97,116,105,111,110,32,105,115,58,10,37,115,10,0,77,77,88,0,83,83,69,0,83,83,69,50,0,83,83,69,51,0,83,83,83,69,51,0,83,83,69,52,46,49,0,83,83,69,52,46,50,0,80,79,80,67,78,84,0,70,80,49,54,0,65,86,88,0,65,86,88,50,0,70,77,65,51,0,65,86,88,53,49,50,70,0,65,86,88,53,49,50,66,87,0,65,86,88,53,49,50,67,68,0,65,86,88,53,49,50,68,81,0,65,86,88,53,49,50,69,82,0,65,86,88,53,49,50,73,70,77,65,0,65,86,88,53,49,50,80,70,0,65,86,88,53,49,50,86,66,77,73,0,65,86,88,53,49,50,86,76,0,78,69,79,78,0,86,83,88,0,65,86,88,53,49,50,45,83,75,88,0,79,80,69,78,67,86,95,67,80,85,95,68,73,83,65,66,76,69,0,102,101,97,116,117,114,101,46,115,105,122,101,40,41,32,62,32,48,0,114,101,97,100,83,101,116,116,105,110,103,115,0,85,110,107,110,111,119,110,32,102,101,97,116,117,114,101,0,79,80,69,78,67,86,58,32,84,114,121,105,110,103,32,116,111,32,100,105,115,97,98,108,101,32,98,97,115,101,108,105,110,101,32,67,80,85,32,102,101,97,116,117,114,101,58,32,39,37,115,39,46,32,84,104,105,115,32,104,97,115,32,118,101,114,121,32,108,105,109,105,116,101,100,32,101,102,102,101,99,116,44,32,98,101,99,97,117,115,101,32,99,111,100,101,32,111,112,116,105,109,105,122,97,116,105,111,110,115,32,102,111,114,32,116,104,105,115,32,102,101,97,116,117,114,101,32,97,114,101,32,101,120,101,99,117,116,101,100,32,117,110,99,111,110,100,105,116,105,111,110,97,108,108,121,32,105,110,32,116,104,101,32,109,111,115,116,32,99,97,115,101,115,46,10,0,79,80,69,78,67,86,58,32,84,114,121,105,110,103,32,116,111,32,100,105,115,97,98,108,101,32,117,110,97,118,97,105,108,97,98,108,101,32,67,80,85,32,102,101,97,116,117,114,101,32,111,110,32,116,104,101,32,99,117,114,114,101,110,116,32,112,108,97,116,102,111,114,109,58,32,39,37,115,39,46,10,0,79,80,69,78,67,86,58,32,84,114,121,105,110,103,32,116,111,32,100,105,115,97,98,108,101,32,117,110,107,110,111,119,110,32,67,80,85,32,102,101,97,116,117,114,101,58,32,39,37,115,39,46,10,0,49,0,84,82,85,69,0,73,110,118,97,108,105,100,32,118,97,108,117,101,32,102,111,114,32,37,115,32,112,97,114,97,109,101,116,101,114,58,32,37,115,0,103,101,116,67,111,110,102,105,103,117,114,97,116,105,111,110,80,97,114,97,109,101,116,101,114,66,111,111,108,0,107,101,121,95,32,33,61,32,45,49,32,38,38,32,34,67,97,110,39,116,32,102,101,116,99,104,32,100,97,116,97,32,102,114,111,109,32,116,101,114,109,105,110,97,116,101,100,32,84,76,83,32,99,111,110,116,97,105,110,101,114,46,34,0,103,101,116,68,97,116,97,0,116,108,115,83,108,111,116,115,83,105,122,101,32,62,32,115,108,111,116,73,100,120,0,115,101,116,68,97,116,97,0,112,116,104,114,101,97,100,95,115,101,116,115,112,101,99,105,102,105,99,40,116,108,115,75,101,121,44,32,112,68,97,116,97,41,32,61,61,32,48,0,83,101,116,68,97,116,97,0,112,116,104,114,101,97,100,95,107,101,121,95,99,114,101,97,116,101,40,38,116,108,115,75,101,121,44,32,78,85,76,76,41,32,61,61,32,48,0,84,108,115,65,98,115,116,114,97,99,116,105,111,110,0,112,116,104,114,101,97,100,95,107,101,121,95,100,101,108,101,116,101,40,116,108,115,75,101,121,41,32,61,61,32,48,0,126,84,108,115,65,98,115,116,114,97,99,116,105,111,110,0,116,108,115,83,108,111,116,115,83,105,122,101,32,61,61,32,116,108,115,83,108,111,116,115,46,115,105,122,101,40,41,0,114,101,108,101,97,115,101,83,108,111,116,0,78,50,99,118,55,84,76,83,68,97,116,97,73,78,83,95,49,49,67,111,114,101,84,76,83,68,97,116,97,69,69,69,0,114,101,115,101,114,118,101,83,108,111,116,0,78,50,99,118,55,84,76,83,68,97,116,97,73,78,83,95,49,50,95,71,76,79,66,65,76,95,95,78,95,49,56,84,104,114,101,97,100,73,68,69,69,69,0,77,66,0,77,98,0,109,98,0,75,66,0,75,98,0,107,98,0,103,101,116,67,111,110,102,105,103,117,114,97,116,105,111,110,80,97,114,97,109,101,116,101,114,83,105,122,101,84,0,109,118,32,38,38,32,110,32,62,32,48,0,109,101,114,103,101,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,99,111,114,101,47,115,114,99,47,109,101,114,103,101,46,99,112,112,0,109,118,91,105,93,46,115,105,122,101,32,61,61,32,109,118,91,48,93,46,115,105,122,101,32,38,38,32,109,118,91,105,93,46,100,101,112,116,104,40,41,32,61,61,32,100,101,112,116,104,0,48,32,60,32,99,110,32,38,38,32,99,110,32,60,61,32,67,86,95,67,78,95,77,65,88,0,118,111,105,100,32,99,118,58,58,109,101,114,103,101,40,99,111,110,115,116,32,99,118,58,58,77,97,116,32,42,44,32,115,105,122,101,95,116,44,32,79,117,116,112,117,116,65,114,114,97,121,41,0,118,111,105,100,32,99,118,58,58,109,101,114,103,101,40,73,110,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,41,0,0,1,1,2,1,2,2,3,1,2,2,3,2,3,3,4,1,2,2,3,2,3,3,4,2,3,3,4,3,4,4,5,1,2,2,3,2,3,3,4,2,3,3,4,3,4,4,5,2,3,3,4,3,4,4,5,3,4,4,5,4,5,5,6,1,2,2,3,2,3,3,4,2,3,3,4,3,4,4,5,2,3,3,4,3,4,4,5,3,4,4,5,4,5,5,6,2,3,3,4,3,4,4,5,3,4,4,5,4,5,5,6,3,4,4,5,4,5,5,6,4,5,5,6,5,6,6,7,1,2,2,3,2,3,3,4,2,3,3,4,3,4,4,5,2,3,3,4,3,4,4,5,3,4,4,5,4,5,5,6,2,3,3,4,3,4,4,5,3,4,4,5,4,5,5,6,3,4,4,5,4,5,5,6,4,5,5,6,5,6,6,7,2,3,3,4,3,4,4,5,3,4,4,5,4,5,5,6,3,4,4,5,4,5,5,6,4,5,5,6,5,6,6,7,3,4,4,5,4,5,5,6,4,5,5,6,5,6,6,7,4,5,5,6,5,6,6,7,5,6,6,7,6,7,7,8,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,1,1,1,1,2,2,2,1,2,2,2,1,2,2,2,1,2,2,2,2,3,3,3,2,3,3,3,2,3,3,3,1,2,2,2,2,3,3,3,2,3,3,3,2,3,3,3,1,2,2,2,2,3,3,3,2,3,3,3,2,3,3,3,1,2,2,2,2,3,3,3,2,3,3,3,2,3,3,3,2,3,3,3,3,4,4,4,3,4,4,4,3,4,4,4,2,3,3,3,3,4,4,4,3,4,4,4,3,4,4,4,2,3,3,3,3,4,4,4,3,4,4,4,3,4,4,4,1,2,2,2,2,3,3,3,2,3,3,3,2,3,3,3,2,3,3,3,3,4,4,4,3,4,4,4,3,4,4,4,2,3,3,3,3,4,4,4,3,4,4,4,3,4,4,4,2,3,3,3,3,4,4,4,3,4,4,4,3,4,4,4,1,2,2,2,2,3,3,3,2,3,3,3,2,3,3,3,2,3,3,3,3,4,4,4,3,4,4,4,3,4,4,4,2,3,3,3,3,4,4,4,3,4,4,4,3,4,4,4,2,3,3,3,3,4,4,4,3,4,4,4,3,4,4,4,110,111,114,109,84,121,112,101,32,61,61,32,78,79,82,77,95,73,78,70,32,124,124,32,110,111,114,109,84,121,112,101,32,61,61,32,78,79,82,77,95,76,49,32,124,124,32,110,111,114,109,84,121,112,101,32,61,61,32,78,79,82,77,95,76,50,32,124,124,32,110,111,114,109,84,121,112,101,32,61,61,32,78,79,82,77,95,76,50,83,81,82,32,124,124,32,40,40,110,111,114,109,84,121,112,101,32,61,61,32,78,79,82,77,95,72,65,77,77,73,78,71,32,124,124,32,110,111,114,109,84,121,112,101,32,61,61,32,78,79,82,77,95,72,65,77,77,73,78,71,50,41,32,38,38,32,95,115,114,99,46,116,121,112,101,40,41,32,61,61,32,67,86,95,56,85,41,0,110,111,114,109,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,99,111,114,101,47,115,114,99,47,110,111,114,109,46,99,112,112,0,109,97,115,107,46,101,109,112,116,121,40,41,32,124,124,32,109,97,115,107,46,116,121,112,101,40,41,32,61,61,32,67,86,95,56,85,0,100,111,117,98,108,101,32,99,118,58,58,110,111,114,109,40,73,110,112,117,116,65,114,114,97,121,44,32,105,110,116,44,32,73,110,112,117,116,65,114,114,97,121,41,0,95,115,114,99,49,46,115,97,109,101,83,105,122,101,40,95,115,114,99,50,41,32,38,38,32,95,115,114,99,49,46,116,121,112,101,40,41,32,61,61,32,95,115,114,99,50,46,116,121,112,101,40,41,0,110,111,114,109,84,121,112,101,32,61,61,32,78,79,82,77,95,73,78,70,32,124,124,32,110,111,114,109,84,121,112,101,32,61,61,32,78,79,82,77,95,76,49,32,124,124,32,110,111,114,109,84,121,112,101,32,61,61,32,78,79,82,77,95,76,50,32,124,124,32,110,111,114,109,84,121,112,101,32,61,61,32,78,79,82,77,95,76,50,83,81,82,32,124,124,32,40,40,110,111,114,109,84,121,112,101,32,61,61,32,78,79,82,77,95,72,65,77,77,73,78,71,32,124,124,32,110,111,114,109,84,121,112,101,32,61,61,32,78,79,82,77,95,72,65,77,77,73,78,71,50,41,32,38,38,32,115,114,99,49,46,116,121,112,101,40,41,32,61,61,32,67,86,95,56,85,41,0,100,111,117,98,108,101,32,99,118,58,58,110,111,114,109,40,73,110,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,44,32,105,110,116,44,32,73,110,112,117,116,65,114,114,97,121,41,0,99,111,117,110,116,78,111,110,90,101,114,111,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,99,111,114,101,47,115,114,99,47,99,111,117,110,116,95,110,111,110,95,122,101,114,111,46,99,112,112,0,105,110,116,32,99,118,58,58,99,111,117,110,116,78,111,110,90,101,114,111,40,73,110,112,117,116,65,114,114,97,121,41,0,109,121,95,111,98,106,101,99,116,0,118,105,114,116,117,97,108,32,83,116,114,105,110,103,32,99,118,58,58,65,108,103,111,114,105,116,104,109,58,58,103,101,116,68,101,102,97,117,108,116,78,97,109,101,40,41,32,99,111,110,115,116,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,99,111,114,101,47,115,114,99,47,97,108,103,111,114,105,116,104,109,46,99,112,112,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,65,108,103,111,114,105,116,104,109,58,58,115,97,118,101,40,99,111,110,115,116,32,83,116,114,105,110,103,32,38,41,32,99,111,110,115,116,0,118,105,114,116,117,97,108,32,99,118,58,58,65,108,103,111,114,105,116,104,109,58,58,126,65,108,103,111,114,105,116,104,109,40,41,0,78,50,99,118,57,65,108,103,111,114,105,116,104,109,69,0,99,118,58,58,65,108,103,111,114,105,116,104,109,58,58,65,108,103,111,114,105,116,104,109,40,41,0,102,111,114,109,97,116,0,118,111,105,100,32,99,118,58,58,65,108,103,111,114,105,116,104,109,58,58,119,114,105,116,101,70,111,114,109,97,116,40,99,118,58,58,70,105,108,101,83,116,111,114,97,103,101,32,38,41,32,99,111,110,115,116,0,105,110,116,32,99,118,58,58,104,97,108,58,58,76,85,51,50,102,40,102,108,111,97,116,32,42,44,32,115,105,122,101,95,116,44,32,105,110,116,44,32,102,108,111,97,116,32,42,44,32,115,105,122,101,95,116,44,32,105,110,116,41,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,99,111,114,101,47,115,114,99,47,109,97,116,114,105,120,95,100,101,99,111,109,112,46,99,112,112,0,105,110,116,32,99,118,58,58,104,97,108,58,58,76,85,54,52,102,40,100,111,117,98,108,101,32,42,44,32,115,105,122,101,95,116,44,32,105,110,116,44,32,100,111,117,98,108,101,32,42,44,32,115,105,122,101,95,116,44,32,105,110,116,41,0,98,111,111,108,32,99,118,58,58,104,97,108,58,58,67,104,111,108,101,115,107,121,51,50,102,40,102,108,111,97,116,32,42,44,32,115,105,122,101,95,116,44,32,105,110,116,44,32,102,108,111,97,116,32,42,44,32,115,105,122,101,95,116,44,32,105,110,116,41,0,98,111,111,108,32,99,118,58,58,104,97,108,58,58,67,104,111,108,101,115,107,121,54,52,102,40,100,111,117,98,108,101,32,42,44,32,115,105,122,101,95,116,44,32,105,110,116,44,32,100,111,117,98,108,101,32,42,44,32,115,105,122,101,95,116,44,32,105,110,116,41,0,105,110,116,32,99,118,58,58,104,97,108,58,58,81,82,51,50,102,40,102,108,111,97,116,32,42,44,32,115,105,122,101,95,116,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,44,32,102,108,111,97,116,32,42,44,32,115,105,122,101,95,116,44,32,102,108,111,97,116,32,42,41,0,105,110,116,32,99,118,58,58,104,97,108,58,58,81,82,54,52,102,40,100,111,117,98,108,101,32,42,44,32,115,105,122,101,95,116,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,44,32,100,111,117,98,108,101,32,42,44,32,115,105,122,101,95,116,44,32,100,111,117,98,108,101,32,42,41,0,40,99,110,32,61,61,32,49,32,38,38,32,40,95,109,97,115,107,46,101,109,112,116,121,40,41,32,124,124,32,95,109,97,115,107,46,116,121,112,101,40,41,32,61,61,32,67,86,95,56,85,41,41,32,124,124,32,40,99,110,32,62,32,49,32,38,38,32,95,109,97,115,107,46,101,109,112,116,121,40,41,32,38,38,32,33,109,105,110,73,100,120,32,38,38,32,33,109,97,120,73,100,120,41,0,109,105,110,77,97,120,73,100,120,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,99,111,114,101,47,115,114,99,47,109,105,110,109,97,120,46,99,112,112,0,118,111,105,100,32,99,118,58,58,109,105,110,77,97,120,73,100,120,40,73,110,112,117,116,65,114,114,97,121,44,32,100,111,117,98,108,101,32,42,44,32,100,111,117,98,108,101,32,42,44,32,105,110,116,32,42,44,32,105,110,116,32,42,44,32,73,110,112,117,116,65,114,114,97,121,41,0,95,105,109,103,46,100,105,109,115,40,41,32,60,61,32,50,0,109,105,110,77,97,120,76,111,99,0,118,111,105,100,32,99,118,58,58,109,105,110,77,97,120,76,111,99,40,73,110,112,117,116,65,114,114,97,121,44,32,100,111,117,98,108,101,32,42,44,32,100,111,117,98,108,101,32,42,44,32,80,111,105,110,116,32,42,44,32,80,111,105,110,116,32,42,44,32,73,110,112,117,116,65,114,114,97,121,41,0,118,111,105,100,32,99,118,58,58,104,97,108,58,58,99,112,117,95,98,97,115,101,108,105,110,101,58,58,102,97,115,116,65,116,97,110,51,50,102,40,99,111,110,115,116,32,102,108,111,97,116,32,42,44,32,99,111,110,115,116,32,102,108,111,97,116,32,42,44,32,102,108,111,97,116,32,42,44,32,105,110,116,44,32,98,111,111,108,41,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,99,111,114,101,47,115,114,99,47,109,97,116,104,102,117,110,99,115,95,99,111,114,101,46,115,105,109,100,46,104,112,112,0,118,111,105,100,32,99,118,58,58,104,97,108,58,58,99,112,117,95,98,97,115,101,108,105,110,101,58,58,102,97,115,116,65,116,97,110,54,52,102,40,99,111,110,115,116,32,100,111,117,98,108,101,32,42,44,32,99,111,110,115,116,32,100,111,117,98,108,101,32,42,44,32,100,111,117,98,108,101,32,42,44,32,105,110,116,44,32,98,111,111,108,41,0,118,111,105,100,32,99,118,58,58,104,97,108,58,58,99,112,117,95,98,97,115,101,108,105,110,101,58,58,109,97,103,110,105,116,117,100,101,51,50,102,40,99,111,110,115,116,32,102,108,111,97,116,32,42,44,32,99,111,110,115,116,32,102,108,111,97,116,32,42,44,32,102,108,111,97,116,32,42,44,32,105,110,116,41,0,118,111,105,100,32,99,118,58,58,104,97,108,58,58,99,112,117,95,98,97,115,101,108,105,110,101,58,58,109,97,103,110,105,116,117,100,101,54,52,102,40,99,111,110,115,116,32,100,111,117,98,108,101,32,42,44,32,99,111,110,115,116,32,100,111,117,98,108,101,32,42,44,32,100,111,117,98,108,101,32,42,44,32,105,110,116,41,0,118,111,105,100,32,99,118,58,58,104,97,108,58,58,99,112,117,95,98,97,115,101,108,105,110,101,58,58,105,110,118,83,113,114,116,51,50,102,40,99,111,110,115,116,32,102,108,111,97,116,32,42,44,32,102,108,111,97,116,32,42,44,32,105,110,116,41,0,118,111,105,100,32,99,118,58,58,104,97,108,58,58,99,112,117,95,98,97,115,101,108,105,110,101,58,58,105,110,118,83,113,114,116,54,52,102,40,99,111,110,115,116,32,100,111,117,98,108,101,32,42,44,32,100,111,117,98,108,101,32,42,44,32,105,110,116,41,0,118,111,105,100,32,99,118,58,58,104,97,108,58,58,99,112,117,95,98,97,115,101,108,105,110,101,58,58,115,113,114,116,51,50,102,40,99,111,110,115,116,32,102,108,111,97,116,32,42,44,32,102,108,111,97,116,32,42,44,32,105,110,116,41,0,118,111,105,100,32,99,118,58,58,104,97,108,58,58,99,112,117,95,98,97,115,101,108,105,110,101,58,58,115,113,114,116,54,52,102,40,99,111,110,115,116,32,100,111,117,98,108,101,32,42,44,32,100,111,117,98,108,101,32,42,44,32,105,110,116,41,0,118,111,105,100,32,99,118,58,58,104,97,108,58,58,99,112,117,95,98,97,115,101,108,105,110,101,58,58,101,120,112,51,50,102,40,99,111,110,115,116,32,102,108,111,97,116,32,42,44,32,102,108,111,97,116,32,42,44,32,105,110,116,41,0,118,111,105,100,32,99,118,58,58,104,97,108,58,58,99,112,117,95,98,97,115,101,108,105,110,101,58,58,101,120,112,54,52,102,40,99,111,110,115,116,32,100,111,117,98,108,101,32,42,44,32,100,111,117,98,108,101,32,42,44,32,105,110,116,41,0,118,111,105,100,32,99,118,58,58,104,97,108,58,58,99,112,117,95,98,97,115,101,108,105,110,101,58,58,108,111,103,51,50,102,40,99,111,110,115,116,32,102,108,111,97,116,32,42,44,32,102,108,111,97,116,32,42,44,32,105,110,116,41,0,118,111,105,100,32,99,118,58,58,104,97,108,58,58,99,112,117,95,98,97,115,101,108,105,110,101,58,58,108,111,103,54,52,102,40,99,111,110,115,116,32,100,111,117,98,108,101,32,42,44,32,100,111,117,98,108,101,32,42,44,32,105,110,116,41,0,118,111,105,100,32,99,118,58,58,104,97,108,58,58,102,97,115,116,65,116,97,110,51,50,102,40,99,111,110,115,116,32,102,108,111,97,116,32,42,44,32,99,111,110,115,116,32,102,108,111,97,116,32,42,44,32,102,108,111,97,116,32,42,44,32,105,110,116,44,32,98,111,111,108,41,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,99,111,114,101,47,115,114,99,47,109,97,116,104,102,117,110,99,115,95,99,111,114,101,46,100,105,115,112,97,116,99,104,46,99,112,112,0,118,111,105,100,32,99,118,58,58,104,97,108,58,58,102,97,115,116,65,116,97,110,54,52,102,40,99,111,110,115,116,32,100,111,117,98,108,101,32,42,44,32,99,111,110,115,116,32,100,111,117,98,108,101,32,42,44,32,100,111,117,98,108,101,32,42,44,32,105,110,116,44,32,98,111,111,108,41,0,118,111,105,100,32,99,118,58,58,104,97,108,58,58,109,97,103,110,105,116,117,100,101,51,50,102,40,99,111,110,115,116,32,102,108,111,97,116,32,42,44,32,99,111,110,115,116,32,102,108,111,97,116,32,42,44,32,102,108,111,97,116,32,42,44,32,105,110,116,41,0,118,111,105,100,32,99,118,58,58,104,97,108,58,58,109,97,103,110,105,116,117,100,101,54,52,102,40,99,111,110,115,116,32,100,111,117,98,108,101,32,42,44,32,99,111,110,115,116,32,100,111,117,98,108,101,32,42,44,32,100,111,117,98,108,101,32,42,44,32,105,110,116,41,0,118,111,105,100,32,99,118,58,58,104,97,108,58,58,105,110,118,83,113,114,116,51,50,102,40,99,111,110,115,116,32,102,108,111,97,116,32,42,44,32,102,108,111,97,116,32,42,44,32,105,110,116,41,0,118,111,105,100,32,99,118,58,58,104,97,108,58,58,105,110,118,83,113,114,116,54,52,102,40,99,111,110,115,116,32,100,111,117,98,108,101,32,42,44,32,100,111,117,98,108,101,32,42,44,32,105,110,116,41,0,118,111,105,100,32,99,118,58,58,104,97,108,58,58,115,113,114,116,51,50,102,40,99,111,110,115,116,32,102,108,111,97,116,32,42,44,32,102,108,111,97,116,32,42,44,32,105,110,116,41,0,118,111,105,100,32,99,118,58,58,104,97,108,58,58,115,113,114,116,54,52,102,40,99,111,110,115,116,32,100,111,117,98,108,101,32,42,44,32,100,111,117,98,108,101,32,42,44,32,105,110,116,41,0,118,111,105,100,32,99,118,58,58,104,97,108,58,58,101,120,112,51,50,102,40,99,111,110,115,116,32,102,108,111,97,116,32,42,44,32,102,108,111,97,116,32,42,44,32,105,110,116,41,0,118,111,105,100,32,99,118,58,58,104,97,108,58,58,101,120,112,54,52,102,40,99,111,110,115,116,32,100,111,117,98,108,101,32,42,44,32,100,111,117,98,108,101,32,42,44,32,105,110,116,41,0,118,111,105,100,32,99,118,58,58,104,97,108,58,58,108,111,103,51,50,102,40,99,111,110,115,116,32,102,108,111,97,116,32,42,44,32,102,108,111,97,116,32,42,44,32,105,110,116,41,0,118,111,105,100,32,99,118,58,58,104,97,108,58,58,108,111,103,54,52,102,40,99,111,110,115,116,32,100,111,117,98,108,101,32,42,44,32,100,111,117,98,108,101,32,42,44,32,105,110,116,41,0,79,80,69,78,67,86,95,75,77,69,65,78,83,95,80,65,82,65,76,76,69,76,95,71,82,65,78,85,76,65,82,73,84,89,0,100,97,116,97,48,46,100,105,109,115,32,60,61,32,50,32,38,38,32,116,121,112,101,32,61,61,32,67,86,95,51,50,70,32,38,38,32,75,32,62,32,48,0,107,109,101,97,110,115,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,99,111,114,101,47,115,114,99,47,107,109,101,97,110,115,46,99,112,112,0,78,32,62,61,32,75,0,40,98,101,115,116,95,108,97,98,101,108,115,46,99,111,108,115,32,61,61,32,49,32,124,124,32,98,101,115,116,95,108,97,98,101,108,115,46,114,111,119,115,32,61,61,32,49,41,32,38,38,32,98,101,115,116,95,108,97,98,101,108,115,46,99,111,108,115,42,98,101,115,116,95,108,97,98,101,108,115,46,114,111,119,115,32,61,61,32,78,32,38,38,32,98,101,115,116,95,108,97,98,101,108,115,46,116,121,112,101,40,41,32,61,61,32,67,86,95,51,50,83,32,38,38,32,98,101,115,116,95,108,97,98,101,108,115,46,105,115,67,111,110,116,105,110,117,111,117,115,40,41,0,40,117,110,115,105,103,110,101,100,41,95,108,97,98,101,108,115,46,97,116,60,105,110,116,62,40,105,41,32,60,32,40,117,110,115,105,103,110,101,100,41,75,0,99,111,117,110,116,101,114,115,91,107,93,32,33,61,32,48,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,75,77,101,97,110,115,68,105,115,116,97,110,99,101,67,111,109,112,117,116,101,114,60,102,97,108,115,101,62,58,58,111,112,101,114,97,116,111,114,40,41,40,99,111,110,115,116,32,99,118,58,58,82,97,110,103,101,32,38,41,32,99,111,110,115,116,32,91,111,110,108,121,68,105,115,116,97,110,99,101,32,61,32,102,97,108,115,101,93,0,78,50,99,118,50,50,75,77,101,97,110,115,68,105,115,116,97,110,99,101,67,111,109,112,117,116,101,114,73,76,98,48,69,69,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,75,77,101,97,110,115,68,105,115,116,97,110,99,101,67,111,109,112,117,116,101,114,60,116,114,117,101,62,58,58,111,112,101,114,97,116,111,114,40,41,40,99,111,110,115,116,32,99,118,58,58,82,97,110,103,101,32,38,41,32,99,111,110,115,116,32,91,111,110,108,121,68,105,115,116,97,110,99,101,32,61,32,116,114,117,101,93,0,78,50,99,118,50,50,75,77,101,97,110,115,68,105,115,116,97,110,99,101,67,111,109,112,117,116,101,114,73,76,98,49,69,69,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,75,77,101,97,110,115,80,80,68,105,115,116,97,110,99,101,67,111,109,112,117,116,101,114,58,58,111,112,101,114,97,116,111,114,40,41,40,99,111,110,115,116,32,99,118,58,58,82,97,110,103,101,32,38,41,32,99,111,110,115,116,0,78,50,99,118,50,52,75,77,101,97,110,115,80,80,68,105,115,116,97,110,99,101,67,111,109,112,117,116,101,114,69,0,118,111,105,100,32,99,118,58,58,103,101,110,101,114,97,116,101,67,101,110,116,101,114,115,80,80,40,99,111,110,115,116,32,99,118,58,58,77,97,116,32,38,44,32,99,118,58,58,77,97,116,32,38,44,32,105,110,116,44,32,99,118,58,58,82,78,71,32,38,44,32,105,110,116,41,0,100,111,117,98,108,101,32,99,118,58,58,107,109,101,97,110,115,40,73,110,112,117,116,65,114,114,97,121,44,32,105,110,116,44,32,73,110,112,117,116,79,117,116,112,117,116,65,114,114,97,121,44,32,99,118,58,58,84,101,114,109,67,114,105,116,101,114,105,97,44,32,105,110,116,44,32,105,110,116,44,32,79,117,116,112,117,116,65,114,114,97,121,41,0,109,97,112,99,111,117,110,116,32,61,61,32,48,0,126,85,77,97,116,68,97,116,97,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,99,111,114,101,47,115,114,99,47,117,109,97,116,114,105,120,46,99,112,112,0,117,115,97,103,101,95,99,111,117,110,116,32,61,61,32,48,0,108,111,99,107,0,112,116,114,0,103,101,116,82,101,102,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,99,111,114,101,47,105,110,99,108,117,100,101,47,111,112,101,110,99,118,50,47,99,111,114,101,47,117,116,105,108,105,116,121,46,104,112,112,0,78,50,99,118,55,84,76,83,68,97,116,97,73,78,83,95,49,56,85,77,97,116,68,97,116,97,65,117,116,111,76,111,99,107,101,114,69,69,69,0,117,115,97,103,101,95,99,111,117,110,116,32,61,61,32,49,0,100,97,116,97,32,61,61,32,100,97,116,97,115,116,97,114,116,0,97,108,108,111,99,97,116,101,100,0,85,77,97,116,0,100,115,116,46,117,0,117,45,62,100,97,116,97,32,33,61,32,48,32,38,38,32,34,69,114,114,111,114,32,109,97,112,112,105,110,103,32,111,102,32,85,77,97,116,32,116,111,32,104,111,115,116,32,109,101,109,111,114,121,46,34,0,103,101,116,77,97,116,0,118,111,105,100,32,99,118,58,58,85,77,97,116,58,58,99,111,110,118,101,114,116,84,111,40,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,44,32,100,111,117,98,108,101,44,32,100,111,117,98,108,101,41,32,99,111,110,115,116,0,118,111,105,100,32,99,118,58,58,85,77,97,116,58,58,99,111,112,121,84,111,40,79,117,116,112,117,116,65,114,114,97,121,41,32,99,111,110,115,116,0,99,118,58,58,85,77,97,116,32,38,99,118,58,58,85,77,97,116,58,58,115,101,116,84,111,40,73,110,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,41,0,98,111,111,108,32,99,118,58,58,111,99,108,58,58,104,97,118,101,79,112,101,110,67,76,40,41,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,99,111,114,101,47,115,114,99,47,111,99,108,46,99,112,112,0,78,50,99,118,50,48,66,117,102,102,101,114,80,111,111,108,67,111,110,116,114,111,108,108,101,114,69,0,78,83,116,51,95,95,50,49,57,98,97,115,105,99,95,111,115,116,114,105,110,103,115,116,114,101,97,109,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,99,69,69,69,69,0,99,104,97,110,110,101,108,115,40,41,32,61,61,32,67,86,95,77,65,84,95,67,78,40,100,116,121,112,101,41,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,99,111,114,101,47,115,114,99,47,99,111,112,121,46,99,112,112,0,100,115,116,46,117,32,33,61,32,78,85,76,76,0,100],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+194564);allocate([105,109,115,32,62,32,48,32,38,38,32,100,105,109,115,32,60,32,67,86,95,77,65,88,95,68,73,77,0,118,111,105,100,32,99,118,58,58,77,97,116,58,58,99,111,112,121,84,111,40,79,117,116,112,117,116,65,114,114,97,121,41,32,99,111,110,115,116,0,109,97,115,107,46,100,101,112,116,104,40,41,32,61,61,32,67,86,95,56,85,32,38,38,32,40,109,99,110,32,61,61,32,49,32,124,124,32,109,99,110,32,61,61,32,99,110,41,0,115,105,122,101,40,41,32,61,61,32,109,97,115,107,46,115,105,122,101,40,41,0,115,122,32,60,61,32,115,105,122,101,111,102,40,115,99,97,108,97,114,41,0,99,118,58,58,77,97,116,32,38,99,118,58,58,77,97,116,58,58,111,112,101,114,97,116,111,114,61,40,99,111,110,115,116,32,83,99,97,108,97,114,32,38,41,0,118,111,105,100,32,99,118,58,58,77,97,116,58,58,99,111,112,121,84,111,40,79,117,116,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,41,32,99,111,110,115,116,0,99,104,101,99,107,83,99,97,108,97,114,40,118,97,108,117,101,44,32,116,121,112,101,40,41,44,32,95,118,97,108,117,101,46,107,105,110,100,40,41,44,32,95,73,110,112,117,116,65,114,114,97,121,58,58,77,65,84,32,41,0,109,97,115,107,46,101,109,112,116,121,40,41,32,124,124,32,40,109,97,115,107,46,100,101,112,116,104,40,41,32,61,61,32,67,86,95,56,85,32,38,38,32,40,109,99,110,32,61,61,32,49,32,124,124,32,109,99,110,32,61,61,32,99,110,41,32,38,38,32,115,105,122,101,32,61,61,32,109,97,115,107,46,115,105,122,101,41,0,99,118,58,58,77,97,116,32,38,99,118,58,58,77,97,116,58,58,115,101,116,84,111,40,73,110,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,41,0,102,108,105,112,0,118,111,105,100,32,99,118,58,58,102,108,105,112,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,41,0,95,115,114,99,46,103,101,116,79,98,106,40,41,32,33,61,32,95,100,115,116,46,103,101,116,79,98,106,40,41,0,114,101,112,101,97,116,0,110,121,32,62,32,48,32,38,38,32,110,120,32,62,32,48,0,118,111,105,100,32,99,118,58,58,114,101,112,101,97,116,40,73,110,112,117,116,65,114,114,97,121,44,32,105,110,116,44,32,105,110,116,44,32,79,117,116,112,117,116,65,114,114,97,121,41,0,98,111,114,100,101,114,73,110,116,101,114,112,111,108,97,116,101,0,85,110,107,110,111,119,110,47,117,110,115,117,112,112,111,114,116,101,100,32,98,111,114,100,101,114,32,116,121,112,101,0,116,111,112,32,62,61,32,48,32,38,38,32,98,111,116,116,111,109,32,62,61,32,48,32,38,38,32,108,101,102,116,32,62,61,32,48,32,38,38,32,114,105,103,104,116,32,62,61,32,48,0,99,111,112,121,77,97,107,101,66,111,114,100,101,114,0,118,97,108,117,101,91,48,93,32,61,61,32,118,97,108,117,101,91,49,93,32,38,38,32,118,97,108,117,101,91,48,93,32,61,61,32,118,97,108,117,101,91,50,93,32,38,38,32,118,97,108,117,101,91,48,93,32,61,61,32,118,97,108,117,101,91,51,93,0,118,111,105,100,32,99,118,58,58,99,111,112,121,77,97,107,101,66,111,114,100,101,114,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,44,32,99,111,110,115,116,32,83,99,97,108,97,114,32,38,41,0,109,97,115,107,97,114,114,32,61,61,32,48,0,99,118,67,111,112,121,0,115,114,99,46,100,101,112,116,104,40,41,32,61,61,32,100,115,116,46,100,101,112,116,104,40,41,32,38,38,32,115,114,99,46,115,105,122,101,32,61,61,32,100,115,116,46,115,105,122,101,0,40,99,111,105,49,32,33,61,32,48,32,124,124,32,115,114,99,46,99,104,97,110,110,101,108,115,40,41,32,61,61,32,49,41,32,38,38,32,40,99,111,105,50,32,33,61,32,48,32,124,124,32,100,115,116,46,99,104,97,110,110,101,108,115,40,41,32,61,61,32,49,41,0,115,114,99,46,99,104,97,110,110,101,108,115,40,41,32,61,61,32,100,115,116,46,99,104,97,110,110,101,108,115,40,41,0,33,95,109,97,116,46,101,109,112,116,121,40,41,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,99,111,114,101,47,115,114,99,47,114,97,110,100,46,99,112,112,0,95,112,97,114,97,109,49,46,99,104,97,110,110,101,108,115,40,41,32,61,61,32,49,32,38,38,32,40,95,112,97,114,97,109,49,46,114,111,119,115,32,61,61,32,49,32,124,124,32,95,112,97,114,97,109,49,46,99,111,108,115,32,61,61,32,49,41,32,38,38,32,40,95,112,97,114,97,109,49,46,114,111,119,115,32,43,32,95,112,97,114,97,109,49,46,99,111,108,115,32,45,32,49,32,61,61,32,99,110,32,124,124,32,95,112,97,114,97,109,49,46,114,111,119,115,32,43,32,95,112,97,114,97,109,49,46,99,111,108,115,32,45,32,49,32,61,61,32,49,32,124,124,32,40,95,112,97,114,97,109,49,46,115,105,122,101,40,41,32,61,61,32,83,105,122,101,40,49,44,32,52,41,32,38,38,32,95,112,97,114,97,109,49,46,116,121,112,101,40,41,32,61,61,32,67,86,95,54,52,70,32,38,38,32,99,110,32,60,61,32,52,41,41,0,95,112,97,114,97,109,50,46,99,104,97,110,110,101,108,115,40,41,32,61,61,32,49,32,38,38,32,40,40,40,95,112,97,114,97,109,50,46,114,111,119,115,32,61,61,32,49,32,124,124,32,95,112,97,114,97,109,50,46,99,111,108,115,32,61,61,32,49,41,32,38,38,32,40,95,112,97,114,97,109,50,46,114,111,119,115,32,43,32,95,112,97,114,97,109,50,46,99,111,108,115,32,45,32,49,32,61,61,32,99,110,32,124,124,32,95,112,97,114,97,109,50,46,114,111,119,115,32,43,32,95,112,97,114,97,109,50,46,99,111,108,115,32,45,32,49,32,61,61,32,49,32,124,124,32,40,95,112,97,114,97,109,49,46,115,105,122,101,40,41,32,61,61,32,83,105,122,101,40,49,44,32,52,41,32,38,38,32,95,112,97,114,97,109,49,46,116,121,112,101,40,41,32,61,61,32,67,86,95,54,52,70,32,38,38,32,99,110,32,60,61,32,52,41,41,41,32,124,124,32,40,95,112,97,114,97,109,50,46,114,111,119,115,32,61,61,32,99,110,32,38,38,32,95,112,97,114,97,109,50,46,99,111,108,115,32,61,61,32,99,110,32,38,38,32,100,105,115,116,116,121,112,101,32,61,61,32,78,79,82,77,65,76,41,41,0,115,99,97,108,101,70,117,110,99,32,33,61,32,48,0,85,110,107,110,111,119,110,32,100,105,115,116,114,105,98,117,116,105,111,110,32,116,121,112,101,0,118,111,105,100,32,99,118,58,58,114,97,110,100,117,40,73,110,112,117,116,79,117,116,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,41,0,118,111,105,100,32,99,118,58,58,114,97,110,100,110,40,73,110,112,117,116,79,117,116,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,41,0,105,32,60,32,48,0,103,101,116,77,97,116,95,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,99,111,114,101,47,115,114,99,47,109,97,116,114,105,120,95,119,114,97,112,46,99,112,112,0,48,32,60,61,32,105,32,38,38,32,105,32,60,32,40,105,110,116,41,118,118,46,115,105,122,101,40,41,0,48,32,60,61,32,105,32,38,38,32,105,32,60,32,40,105,110,116,41,118,46,115,105,122,101,40,41,0,48,32,60,61,32,105,32,38,38,32,105,32,60,32,115,122,46,104,101,105,103,104,116,0,89,111,117,32,115,104,111,117,108,100,32,101,120,112,108,105,99,105,116,108,121,32,99,97,108,108,32,109,97,112,72,111,115,116,47,117,110,109,97,112,72,111,115,116,32,109,101,116,104,111,100,115,32,102,111,114,32,111,103,108,58,58,66,117,102,102,101,114,32,111,98,106,101,99,116,0,89,111,117,32,115,104,111,117,108,100,32,101,120,112,108,105,99,105,116,108,121,32,99,97,108,108,32,100,111,119,110,108,111,97,100,32,109,101,116,104,111,100,32,102,111,114,32,99,117,100,97,58,58,71,112,117,77,97,116,32,111,98,106,101,99,116,0,85,110,107,110,111,119,110,47,117,110,115,117,112,112,111,114,116,101,100,32,97,114,114,97,121,32,116,121,112,101,0,40,102,108,97,103,115,32,38,32,70,73,88,69,68,95,84,89,80,69,41,32,33,61,32,48,0,105,32,60,32,40,105,110,116,41,118,118,46,115,105,122,101,40,41,0,105,32,60,32,115,122,46,104,101,105,103,104,116,0,103,101,116,85,77,97,116,0,103,101,116,77,97,116,86,101,99,116,111,114,0,100,105,109,115,0,101,109,112,116,121,0,105,32,62,61,32,48,32,38,38,32,40,115,105,122,101,95,116,41,105,32,60,32,118,118,46,115,105,122,101,40,41,0,105,115,67,111,110,116,105,110,117,111,117,115,0,105,32,62,32,48,32,38,38,32,105,32,60,32,115,122,46,104,101,105,103,104,116,0,99,111,112,121,84,111,0,33,102,105,120,101,100,83,105,122,101,40,41,0,114,101,108,101,97,115,101,0,33,102,105,120,101,100,83,105,122,101,40,41,32,124,124,32,40,40,77,97,116,42,41,111,98,106,41,45,62,115,105,122,101,46,111,112,101,114,97,116,111,114,40,41,40,41,32,61,61,32,95,115,122,0,33,102,105,120,101,100,84,121,112,101,40,41,32,124,124,32,40,40,77,97,116,42,41,111,98,106,41,45,62,116,121,112,101,40,41,32,61,61,32,109,116,121,112,101,0,33,102,105,120,101,100,83,105,122,101,40,41,32,124,124,32,40,40,85,77,97,116,42,41,111,98,106,41,45,62,115,105,122,101,46,111,112,101,114,97,116,111,114,40,41,40,41,32,61,61,32,95,115,122,0,33,102,105,120,101,100,84,121,112,101,40,41,32,124,124,32,40,40,85,77,97,116,42,41,111,98,106,41,45,62,116,121,112,101,40,41,32,61,61,32,109,116,121,112,101,0,33,102,105,120,101,100,83,105,122,101,40,41,32,124,124,32,40,40,99,117,100,97,58,58,71,112,117,77,97,116,42,41,111,98,106,41,45,62,115,105,122,101,40,41,32,61,61,32,95,115,122,0,33,102,105,120,101,100,84,121,112,101,40,41,32,124,124,32,40,40,99,117,100,97,58,58,71,112,117,77,97,116,42,41,111,98,106,41,45,62,116,121,112,101,40,41,32,61,61,32,109,116,121,112,101,0,33,102,105,120,101,100,83,105,122,101,40,41,32,124,124,32,40,40,111,103,108,58,58,66,117,102,102,101,114,42,41,111,98,106,41,45,62,115,105,122,101,40,41,32,61,61,32,95,115,122,0,33,102,105,120,101,100,84,121,112,101,40,41,32,124,124,32,40,40,111,103,108,58,58,66,117,102,102,101,114,42,41,111,98,106,41,45,62,116,121,112,101,40,41,32,61,61,32,109,116,121,112,101,0,33,102,105,120,101,100,83,105,122,101,40,41,32,124,124,32,40,40,99,117,100,97,58,58,72,111,115,116,77,101,109,42,41,111,98,106,41,45,62,115,105,122,101,40,41,32,61,61,32,95,115,122,0,33,102,105,120,101,100,84,121,112,101,40,41,32,124,124,32,40,40,99,117,100,97,58,58,72,111,115,116,77,101,109,42,41,111,98,106,41,45,62,116,121,112,101,40,41,32,61,61,32,109,116,121,112,101,0,33,102,105,120,101,100,84,121,112,101,40,41,32,38,38,32,33,102,105,120,101,100,83,105,122,101,40,41,0,67,86,95,77,65,84,95,84,89,80,69,40,109,116,121,112,101,41,32,61,61,32,109,46,116,121,112,101,40,41,0,109,46,100,105,109,115,32,61,61,32,100,0,109,46,115,105,122,101,91,106,93,32,61,61,32,115,105,122,101,115,91,106,93,0,109,116,121,112,101,32,61,61,32,116,121,112,101,48,32,124,124,32,40,67,86,95,77,65,84,95,67,78,40,109,116,121,112,101,41,32,61,61,32,49,32,38,38,32,40,40,49,32,60,60,32,116,121,112,101,48,41,32,38,32,102,105,120,101,100,68,101,112,116,104,77,97,115,107,41,32,33,61,32,48,41,0,100,32,61,61,32,50,32,38,38,32,40,40,115,105,122,101,115,91,48,93,32,61,61,32,115,122,46,104,101,105,103,104,116,32,38,38,32,115,105,122,101,115,91,49,93,32,61,61,32,115,122,46,119,105,100,116,104,41,32,124,124,32,40,97,108,108,111,119,84,114,97,110,115,112,111,115,101,100,32,38,38,32,115,105,122,101,115,91,48,93,32,61,61,32,115,122,46,119,105,100,116,104,32,38,38,32,115,105,122,101,115,91,49,93,32,61,61,32,115,122,46,104,101,105,103,104,116,41,41,0,100,32,61,61,32,50,32,38,38,32,115,122,46,97,114,101,97,40,41,32,61,61,32,115,105,122,101,115,91,48,93,42,115,105,122,101,115,91,49,93,0,100,32,61,61,32,50,32,38,38,32,40,115,105,122,101,115,91,48,93,32,61,61,32,49,32,124,124,32,115,105,122,101,115,91,49,93,32,61,61,32,49,32,124,124,32,115,105,122,101,115,91,48,93,42,115,105,122,101,115,91,49,93,32,61,61,32,48,41,0,33,102,105,120,101,100,83,105,122,101,40,41,32,124,124,32,108,101,110,32,61,61,32,118,118,46,115,105,122,101,40,41,0,109,116,121,112,101,32,61,61,32,116,121,112,101,48,32,124,124,32,40,67,86,95,77,65,84,95,67,78,40,109,116,121,112,101,41,32,61,61,32,67,86,95,77,65,84,95,67,78,40,116,121,112,101,48,41,32,38,38,32,40,40,49,32,60,60,32,116,121,112,101,48,41,32,38,32,102,105,120,101,100,68,101,112,116,104,77,97,115,107,41,32,33,61,32,48,41,0,33,102,105,120,101,100,83,105,122,101,40,41,32,124,124,32,108,101,110,32,61,61,32,40,40,115,116,100,58,58,118,101,99,116,111,114,60,117,99,104,97,114,62,42,41,118,41,45,62,115,105,122,101,40,41,32,47,32,101,115,122,0,86,101,99,116,111,114,115,32,119,105,116,104,32,101,108,101,109,101,110,116,32,115,105,122,101,32,37,100,32,97,114,101,32,110,111,116,32,115,117,112,112,111,114,116,101,100,46,32,80,108,101,97,115,101,44,32,109,111,100,105,102,121,32,79,117,116,112,117,116,65,114,114,97,121,58,58,99,114,101,97,116,101,40,41,10,0,99,114,101,97,116,101,40,41,32,99,97,108,108,101,100,32,102,111,114,32,116,104,101,32,109,105,115,115,105,110,103,32,111,117,116,112,117,116,32,97,114,114,97,121,0,33,102,105,120,101,100,83,105,122,101,40,41,32,124,124,32,108,101,110,32,61,61,32,108,101,110,48,0,118,91,106,93,46,101,109,112,116,121,40,41,0,105,32,60,32,40,105,110,116,41,118,46,115,105,122,101,40,41,0,108,101,110,32,61,61,32,108,101,110,48,0,103,101,116,77,97,116,82,101,102,0,107,32,61,61,32,83,84,68,95,86,69,67,84,79,82,95,77,65,84,32,124,124,32,107,32,61,61,32,83,84,68,95,65,82,82,65,89,95,77,65,84,0,33,102,105,120,101,100,83,105,122,101,40,41,32,124,124,32,40,40,77,97,116,42,41,111,98,106,41,45,62,115,105,122,101,46,111,112,101,114,97,116,111,114,40,41,40,41,32,61,61,32,83,105,122,101,40,95,99,111,108,115,44,32,95,114,111,119,115,41,0,33,102,105,120,101,100,83,105,122,101,40,41,32,124,124,32,40,40,85,77,97,116,42,41,111,98,106,41,45,62,115,105,122,101,46,111,112,101,114,97,116,111,114,40,41,40,41,32,61,61,32,83,105,122,101,40,95,99,111,108,115,44,32,95,114,111,119,115,41,0,33,102,105,120,101,100,83,105,122,101,40,41,32,124,124,32,40,40,99,117,100,97,58,58,71,112,117,77,97,116,42,41,111,98,106,41,45,62,115,105,122,101,40,41,32,61,61,32,83,105,122,101,40,95,99,111,108,115,44,32,95,114,111,119,115,41,0,33,102,105,120,101,100,83,105,122,101,40,41,32,124,124,32,40,40,111,103,108,58,58,66,117,102,102,101,114,42,41,111,98,106,41,45,62,115,105,122,101,40,41,32,61,61,32,83,105,122,101,40,95,99,111,108,115,44,32,95,114,111,119,115,41,0,33,102,105,120,101,100,83,105,122,101,40,41,32,124,124,32,40,40,99,117,100,97,58,58,72,111,115,116,77,101,109,42,41,111,98,106,41,45,62,115,105,122,101,40,41,32,61,61,32,83,105,122,101,40,95,99,111,108,115,44,32,95,114,111,119,115,41,0,99,108,101,97,114,0,99,104,101,99,107,83,99,97,108,97,114,40,118,97,108,117,101,44,32,116,121,112,101,40,41,44,32,97,114,114,46,107,105,110,100,40,41,44,32,95,73,110,112,117,116,65,114,114,97,121,58,58,67,85,68,65,95,71,80,85,95,77,65,84,41,0,115,101,116,84,111,0,116,104,105,115,95,118,46,115,105,122,101,40,41,32,61,61,32,118,46,115,105,122,101,40,41,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,99,111,114,101,47,115,114,99,47,109,97,116,114,105,120,95,99,46,99,112,112,0,67,79,73,32,105,115,32,110,111,116,32,115,117,112,112,111,114,116,101,100,32,98,121,32,116,104,101,32,102,117,110,99,116,105,111,110,0,99,118,97,114,114,84,111,77,97,116,0,105,109,103,45,62,100,97,116,97,79,114,100,101,114,32,61,61,32,73,80,76,95,68,65,84,65,95,79,82,68,69,82,95,80,73,88,69,76,0,105,112,108,73,109,97,103,101,84,111,77,97,116,0,105,109,103,45,62,100,97,116,97,79,114,100,101,114,32,61,61,32,73,80,76,95,68,65,84,65,95,79,82,68,69,82,95,80,73,88,69,76,32,124,124,32,105,109,103,45,62,114,111,105,45,62,99,111,105,32,33,61,32,48,0,116,111,116,97,108,32,62,32,48,32,38,38,32,67,86,95,69,76,69,77,95,83,73,90,69,40,115,101,113,45,62,102,108,97,103,115,41,32,61,61,32,101,115,122,0,85,110,107,110,111,119,110,32,97,114,114,97,121,32,116,121,112,101,0,105,99,118,73,110,105,116,77,101,109,83,116,111,114,97,103,101,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,99,111,114,101,47,115,114,99,47,100,97,116,97,115,116,114,117,99,116,115,46,99,112,112,0,99,118,67,114,101,97,116,101,67,104,105,108,100,77,101,109,83,116,111,114,97,103,101,0,99,118,82,101,108,101,97,115,101,77,101,109,83,116,111,114,97,103,101,0,99,118,67,108,101,97,114,77,101,109,83,116,111,114,97,103,101,0,99,118,83,97,118,101,77,101,109,83,116,111,114,97,103,101,80,111,115,0,99,118,82,101,115,116,111,114,101,77,101,109,83,116,111,114,97,103,101,80,111,115,0,99,118,77,101,109,83,116,111,114,97,103,101,65,108,108,111,99,0,84,111,111,32,108,97,114,103,101,32,109,101,109,111,114,121,32,98,108,111,99,107,32,105,115,32,114,101,113,117,101,115,116,101,100,0,114,101,113,117,101,115,116,101,100,32,115,105,122,101,32,105,115,32,110,101,103,97,116,105,118,101,32,111,114,32,116,111,111,32,98,105,103,0,105,99,118,71,111,78,101,120,116,77,101,109,66,108,111,99,107,0,99,118,67,114,101,97,116,101,83,101,113,0,83,112,101,99,105,102,105,101,100,32,101,108,101,109,101,110,116,32,115,105,122,101,32,100,111,101,115,110,39,116,32,109,97,116,99,104,32,116,111,32,116,104,101,32,115,105,122,101,32,111,102,32,116,104,101,32,115,112,101,99,105,102,105,101,100,32,101,108,101,109,101,110,116,32,116,121,112,101,32,40,116,114,121,32,116,111,32,117,115,101,32,48,32,102,111,114,32,101,108,101,109,101,110,116,32,116,121,112,101,41,0,99,118,83,101,116,83,101,113,66,108,111,99,107,83,105,122,101,0,83,116,111,114,97,103,101,32,98,108,111,99,107,32,115,105,122,101,32,105,115,32,116,111,111,32,115,109,97,108,108,32,116,111,32,102,105,116,32,116,104,101,32,115,101,113,117,101,110,99,101,32,101,108,101,109,101,110,116,115,0,0,1,255,2,255,255,255,3,255,255,255,255,255,255,255,4,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,5,99,118,67,118,116,83,101,113,84,111,65,114,114,97,121,0,99,118,83,101,116,83,101,113,82,101,97,100,101,114,80,111,115,0,99,118,83,116,97,114,116,82,101,97,100,83,101,113,0,99,118,77,97,107,101,83,101,113,72,101,97,100,101,114,70,111,114,65,114,114,97,121,0,69,108,101,109,101,110,116,32,115,105,122,101,32,100,111,101,115,110,39,116,32,109,97,116,99,104,32,116,111,32,116,104,101,32,115,105,122,101,32,111,102,32,112,114,101,100,101,102,105,110,101,100,32,101,108,101,109,101,110,116,32,116,121,112,101,32,40,116,114,121,32,116,111,32,117,115,101,32,48,32,102,111,114,32,115,101,113,117,101,110,99,101,32,101,108,101,109,101,110,116,32,116,121,112,101,41,0,99,118,83,116,97,114,116,65,112,112,101,110,100,84,111,83,101,113,0,99,118,83,116,97,114,116,87,114,105,116,101,83,101,113,0,99,118,70,108,117,115,104,83,101,113,87,114,105,116,101,114,0,99,118,69,110,100,87,114,105,116,101,83,101,113,0,99,118,67,114,101,97,116,101,83,101,113,66,108,111,99,107,0,105,99,118,71,114,111,119,83,101,113,0,84,104,101,32,115,101,113,117,101,110,99,101,32,104,97,115,32,78,85,76,76,32,115,116,111,114,97,103,101,32,112,111,105,110,116,101,114,0,99,118,67,104,97,110,103,101,83,101,113,66,108,111,99,107,0,99,118,71,101,116,83,101,113,82,101,97,100,101,114,80,111,115,0,99,118,83,101,113,80,117,115,104,0,99,118,83,101,113,80,111,112,0,78,85,76,76,32,115,101,113,117,101,110,99,101,32,112,111,105,110,116,101,114,0,99,118,83,101,113,80,117,115,104,77,117,108,116,105,0,110,117,109,98,101,114,32,111,102,32,114,101,109,111,118,101,100,32,101,108,101,109,101,110,116,115,32,105,115,32,110,101,103,97,116,105,118,101,0,99,118,83,101,113,80,111,112,77,117,108,116,105,0,99,118,67,108,101,97,114,83,101,113,0,73,110,118,97,108,105,100,32,115,101,113,117,101,110,99,101,32,104,101,97,100,101,114,0,99,118,83,101,113,83,108,105,99,101,0,66,97,100,32,115,101,113,117,101,110,99,101,32,115,108,105,99,101,0,66,97,100,32,105,110,112,117,116,32,115,101,113,117,101,110,99,101,0,99,118,83,101,113,83,111,114,116,0,78,117,108,108,32,99,111,109,112,97,114,101,32,102,117,110,99,116,105,111,110,0,99,118,67,114,101,97,116,101,83,101,116,0,99,118,83,101,116,65,100,100,0,99,118,67,114,101,97,116,101,71,114,97,112,104,0,99,118,71,114,97,112,104,65,100,100,86,116,120,0,99,118,70,105,110,100,71,114,97,112,104,69,100,103,101,66,121,80,116,114,0,103,114,97,112,104,32,112,111,105,110,116,101,114,32,105,115,32,78,85,76,76,0,99,118,71,114,97,112,104,65,100,100,69,100,103,101,66,121,80,116,114,0,118,101,114,116,101,120,32,112,111,105,110,116,101,114,115,32,99,111,105,110,99,105,100,101,32,40,111,114,32,115,101,116,32,116,111,32,78,85,76,76,41,0,73,110,118,97,108,105,100,32,103,114,97,112,104,32,112,111,105,110,116,101,114,0,99,118,67,108,111,110,101,71,114,97,112,104,0,99,118,84,114,101,101,84,111,78,111,100,101,83,101,113,0,99,118,73,110,105,116,84,114,101,101,78,111,100,101,73,116,101,114,97,116,111,114,0,99,118,78,101,120,116,84,114,101,101,78,111,100,101,0,99,118,73,110,115,101,114,116,78,111,100,101,73,110,116,111,84,114,101,101,0,99,111,110,118,101,114,116,83,99,97,108,101,65,98,115,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,99,111,114,101,47,115,114,99,47,99,111,110,118,101,114,116,95,115,99,97,108,101,46,99,112,112,0,118,111,105,100,32,99,118,58,58,99,111,110,118,101,114,116,83,99,97,108,101,65,98,115,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,100,111,117,98,108,101,44,32,100,111,117,98,108,101,41,0,85,110,107,110,111,119,110,47,117,110,115,117,112,112,111,114,116,101,100,32,110,111,114,109,32,116,121,112,101,0,110,111,114,109,97,108,105,122,101,0,118,111,105,100,32,99,118,58,58,110,111,114,109,97,108,105,122,101,40,73,110,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,79,117,116,112,117,116,65,114,114,97,121,44,32,100,111,117,98,108,101,44,32,100,111,117,98,108,101,44,32,105,110,116,44,32,105,110,116,44,32,73,110,112,117,116,65,114,114,97,121,41,0,78,50,99,118,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,49,51,67,118,70,105,108,101,83,116,111,114,97,103,101,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,112,111,105,110,116,101,114,73,80,49,51,67,118,70,105,108,101,83,116,111,114,97,103,101,78,50,99,118,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,49,95,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,49,95,69,69,69,69,0,118,105,114,116,117,97,108,32,98,111,111,108,32,99,118,58,58,70,105,108,101,83,116,111,114,97,103,101,58,58,111,112,101,110,40,99,111,110,115,116,32,83,116,114,105,110,103,32,38,44,32,105,110,116,44,32,99,111,110,115,116,32,83,116,114,105,110,103,32,38,41,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,99,111,114,101,47,115,114,99,47,112,101,114,115,105,115,116,101,110,99,101,95,99,112,112,46,99,112,112,0,78,50,99,118,49,49,70,105,108,101,83,116,111,114,97,103,101,69,0,69,120,116,114,97,32,99,108,111,115,105,110,103,32,39,37,99,39,0,84,104,101,32,99,108,111,115,105,110,103,32,39,37,99,39,32,100,111,101,115,32,110,111,116,32,109,97,116,99,104,32,116,104,101,32,111,112,101,110,105,110,103,32,39,37,99,39,0,73,110,99,111,114,114,101,99,116,32,101,108,101,109,101,110,116,32,110,97,109,101,32,37,115,0,73,110,118,97,108,105,100,32,102,115,46,115,116,97,116,101,0,108,101,110,32,37,32,101,108,101,109,83,105,122,101,32,61,61,32,48,0,119,114,105,116,101,82,97,119,0,46,103,122,0,73,110,118,97,108,105,100,32,102,105,108,101,110,97,109,101,0,103,101,116,68,101,102,97,117,108,116,79,98,106,101,99,116,78,97,109,101,0,101,108,101,109,95,115,105,122,101,32,62,32,48,0,114,101,97,100,82,97,119,0,99,110,32,60,61,32,52,32,38,38,32,102,117,110,99,32,33,61,32,48,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,99,111,114,101,47,115,114,99,47,115,117,109,46,99,112,112,0,99,118,58,58,83,99,97,108,97,114,32,99,118,58,58,115,117,109,40,73,110,112,117,116,65,114,114,97,121,41,0,60,105,110,118,97,108,105,100,32,100,101,112,116,104,62,0,67,86,95,56,85,0,67,86,95,56,83,0,67,86,95,49,54,85,0,67,86,95,49,54,83,0,67,86,95,51,50,83,0,67,86,95,51,50,70,0,67,86,95,54,52,70,0,67,86,95,49,54,70,0,37,115,67,37,100,0,60,105,110,118,97,108,105,100,32,116,121,112,101,62,0,32,40,101,120,112,101,99,116,101,100,58,32,39,0,63,63,63,0,39,41,44,32,119,104,101,114,101,0,32,32,32,32,39,0,39,32,105,115,32,0,109,117,115,116,32,98,101,32,0,123,99,117,115,116,111,109,32,99,104,101,99,107,125,0,101,113,117,97,108,32,116,111,0,110,111,116,32,101,113,117,97,108,32,116,111,0,108,101,115,115,32,116,104,97,110,32,111,114,32,101,113,117,97,108,32,116,111,0,108,101,115,115,32,116,104,97,110,0,103,114,101,97,116,101,114,32,116,104,97,110,32,111,114,32,101,113,117,97,108,32,116,111,0,103,114,101,97,116,101,114,32,116,104,97,110,0,39,0,119,104,101,114,101,0,115,114,99,91,105,93,46,100,105,109,115,32,60,61,32,50,32,38,38,32,115,114,99,91,105,93,46,114,111,119,115,32,61,61,32,115,114,99,91,48,93,46,114,111,119,115,32,38,38,32,115,114,99,91,105,93,46,116,121,112,101,40,41,32,61,61,32,115,114,99,91,48,93,46,116,121,112,101,40,41,0,104,99,111,110,99,97,116,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,99,111,114,101,47,115,114,99,47,109,97,116,114,105,120,95,111,112,101,114,97,116,105,111,110,115,46,99,112,112,0,118,111,105,100,32,99,118,58,58,104,99,111,110,99,97,116,40,99,111,110,115,116,32,99,118,58,58,77,97,116,32,42,44,32,115,105,122,101,95,116,44,32,79,117,116,112,117,116,65,114,114,97,121,41,0,118,111,105,100,32,99,118,58,58,104,99,111,110,99,97,116,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,41,0,115,114,99,91,105,93,46,100,105,109,115,32,60,61,32,50,32,38,38,32,115,114,99,91,105,93,46,99,111,108,115,32,61,61,32,115,114,99,91,48,93,46,99,111,108,115,32,38,38,32,115,114,99,91,105,93,46,116,121,112,101,40,41,32,61,61,32,115,114,99,91,48,93,46,116,121,112,101,40,41,0,118,99,111,110,99,97,116,0,118,111,105,100,32,99,118,58,58,118,99,111,110,99,97,116,40,99,111,110,115,116,32,99,118,58,58,77,97,116,32,42,44,32,115,105,122,101,95,116,44,32,79,117,116,112,117,116,65,114,114,97,121,41,0,118,111,105,100,32,99,118,58,58,118,99,111,110,99,97,116,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,41,0,95,109,46,100,105,109,115,40,41,32,60,61,32,50,0,115,101,116,73,100,101,110,116,105,116,121,0,118,111,105,100,32,99,118,58,58,115,101,116,73,100,101,110,116,105,116,121,40,73,110,112,117,116,79,117,116,112,117,116,65,114,114,97,121,44,32,99,111,110,115,116,32,83,99,97,108,97,114,32,38,41,0,116,114,97,99,101,0,99,118,58,58,83,99,97,108,97,114,32,99,118,58,58,116,114,97,99,101,40,73,110,112,117,116,65,114,114,97,121,41,0,95,115,114,99,46,100,105,109,115,40,41,32,60,61,32,50,32,38,38,32,101,115,122,32,60,61,32,51,50,0,116,114,97,110,115,112,111,115,101,0,115,114,99,46,115,105,122,101,40,41,32,61,61,32,100,115,116,46,115,105,122,101,40,41,32,38,38,32,40,115,114,99,46,99,111,108,115,32,61,61,32,49,32,124,124,32,115,114,99,46,114,111,119,115,32,61,61,32,49,41,0,118,111,105,100,32,99,118,58,58,116,114,97,110,115,112,111,115,101,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,41,0,109,46,100,105,109,115,32,60,61,32,50,32,38,38,32,109,46,114,111,119,115,32,61,61,32,109,46,99,111,108,115,0,99,111,109,112,108,101,116,101,83,121,109,109,0,118,111,105,100,32,99,118,58,58,99,111,109,112,108,101,116,101,83,121,109,109,40,73,110,112,117,116,79,117,116,112,117,116,65,114,114,97,121,44,32,98,111,111,108,41,0,95,115,114,99,46,100,105,109,115,40,41,32,60,61,32,50,0,114,101,100,117,99,101,0,111,112,32,61,61,32,67,86,95,82,69,68,85,67,69,95,83,85,77,32,124,124,32,111,112,32,61,61,32,67,86,95,82,69,68,85,67,69,95,77,65,88,32,124,124,32,111,112,32,61,61,32,67,86,95,82,69,68,85,67,69,95,77,73,78,32,124,124,32,111,112,32,61,61,32,67,86,95,82,69,68,85,67,69,95,65,86,71,0,85,110,115,117,112,112,111,114,116,101,100,32,99,111,109,98,105,110,97,116,105,111,110,32,111,102,32,105,110,112,117,116,32,97,110,100,32,111,117,116,112,117,116,32,97,114,114,97,121,32,102,111,114,109,97,116,115,0,118,111,105,100,32,99,118,58,58,114,101,100,117,99,101,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,41,0,115,114,99,46,100,105,109,115,32,60,61,32,50,32,38,38,32,115,114,99,46,99,104,97,110,110,101,108,115,40,41,32,61,61,32,49,0,115,111,114,116,0,118,111,105,100,32,99,118,58,58,115,111,114,116,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,41,0,84,104,101,32,108,105,98,114,97,114,121,32,105,115,32,99,111,109,112,105,108,101,100,32,119,105,116,104,111,117,116,32,79,112,101,110,71,76,32,115,117,112,112,111,114,116,0,116,104,114,111,119,95,110,111,95,111,103,108,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,99,111,114,101,47,115,114,99,47,111,112,101,110,103,108,46,99,112,112,0,99,111,110,118,101,114,116,84,111,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,99,111,114,101,47,115,114,99,47,99,111,110,118,101,114,116,46,99,112,112,0,118,111,105,100,32,99,118,58,58,77,97,116,58,58,99,111,110,118,101,114,116,84,111,40,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,44,32,100,111,117,98,108,101,44,32,100,111,117,98,108,101,41,32,99,111,110,115,116,0,100,100,101,112,116,104,32,61,61,32,67,86,95,49,54,83,32,124,124,32,100,100,101,112,116,104,32,61,61,32,67,86,95,49,54,70,0,99,111,110,118,101,114,116,70,112,49,54,0,95,100,115,116,46,99,104,97,110,110,101,108,115,40,41,32,61,61,32,95,115,114,99,46,99,104,97,110,110,101,108,115,40,41,0,85,110,115,117,112,112,111,114,116,101,100,32,105,110,112,117,116,32,100,101,112,116,104,0,118,111,105,100,32,99,118,58,58,99,111,110,118,101,114,116,70,112,49,54,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,41,0,118,111,105,100,32,99,118,58,58,115,112,108,105,116,40,99,111,110,115,116,32,99,118,58,58,77,97,116,32,38,44,32,99,118,58,58,77,97,116,32,42,41,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,99,111,114,101,47,115,114,99,47,115,112,108,105,116,46,99,112,112,0,33,95,109,118,46,102,105,120,101,100,84,121,112,101,40,41,32,124,124,32,95,109,118,46,101,109,112,116,121,40,41,32,124,124,32,95,109,118,46,116,121,112,101,40,41,32,61,61,32,109,46,100,101,112,116,104,40,41,0,118,111,105,100,32,99,118,58,58,115,112,108,105,116,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,41,0,116,121,112,101,32,61,61,32,67,86,95,54,52,70,67,50,0,103,101,109,109,73,109,112,108,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,99,111,114,101,47,115,114,99,47,109,97,116,109,117,108,46,99,112,112,0,118,111,105,100,32,99,118,58,58,103,101,109,109,73,109,112,108,40,99,118,58,58,77,97,116,44,32,99,118,58,58,77,97,116,44,32,100,111,117,98,108,101,44,32,99,118,58,58,77,97,116,44,32,100,111,117,98,108,101,44,32,99,118,58,58,77,97,116,44,32,105,110,116,41,0,116,121,112,101,32,61,61,32,66,46,116,121,112,101,40,41,0,103,101,109,109,0,40,116,121,112,101,32,61,61,32,40,40,40,53,41,32,38,32,40,40,49,32,60,60,32,51,41,32,45,32,49,41,41,32,43,32,40,40,40,49,41,45,49,41,32,60,60,32,51,41,41,32,124,124,32,116,121,112,101,32,61,61,32,40,40,40,54,41,32,38,32,40,40,49,32,60,60,32,51,41,32,45,32,49,41,41,32,43,32,40,40,40,49,41,45,49,41,32,60,60,32,51,41,41,32,124,124,32,116,121,112,101,32,61,61,32,40,40,40,53,41,32,38,32,40,40,49,32,60,60,32,51,41,32,45,32,49,41,41,32,43,32,40,40,40,50,41,45,49,41,32,60,60,32,51,41,41,32,124,124,32,116,121,112,101,32,61,61,32,40,40,40,54,41,32,38,32,40,40,49,32,60,60,32,51,41,32,45,32,49,41,41,32,43,32,40,40,40,50,41,45,49,41,32,60,60,32,51,41,41,41,0,97,95,115,105,122,101,46,119,105,100,116,104,32,61,61,32,108,101,110,0,97,95,115,105,122,101,46,104,101,105,103,104,116,32,61,61,32,108,101,110,0,67,46,116,121,112,101,40,41,32,61,61,32,116,121,112,101,0,40,40,40,102,108,97,103,115,38,71,69,77,77,95,51,95,84,41,32,61,61,32,48,32,38,38,32,67,46,114,111,119,115,32,61,61,32,100,95,115,105,122,101,46,104,101,105,103,104,116,32,38,38,32,67,46,99,111,108,115,32,61,61,32,100,95,115,105,122,101,46,119,105,100,116,104,41,32,124,124,32,40,40,102,108,97,103,115,38,71,69,77,77,95,51,95,84,41,32,33,61,32,48,32,38,38,32,67,46,114,111,119,115,32,61,61,32,100,95,115,105,122,101,46,119,105,100,116,104,32,38,38,32,67,46,99,111,108,115,32,61,61,32,100,95,115,105,122,101,46,104,101,105,103,104,116,41,41,0,115,99,110,32,61,61,32,109,46,99,111,108,115,32,124,124,32,115,99,110,32,43,32,49,32,61,61,32,109,46,99,111,108,115,0,116,114,97,110,115,102,111,114,109,0,118,111,105,100,32,99,118,58,58,116,114,97,110,115,102,111,114,109,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,41,0,115,99,110,32,43,32,49,32,61,61,32,109,46,99,111,108,115,0,112,101,114,115,112,101,99,116,105,118,101,84,114,97,110,115,102,111,114,109,0,100,101,112,116,104,32,61,61,32,67,86,95,51,50,70,32,124,124,32,100,101,112,116,104,32,61,61,32,67,86,95,54,52,70,0,118,111,105,100,32,99,118,58,58,112,101,114,115,112,101,99,116,105,118,101,84,114,97,110,115,102,111,114,109,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,41,0,116,121,112,101,32,61,61,32,95,115,114,99,50,46,116,121,112,101,40,41,0,115,99,97,108,101,65,100,100,0,115,114,99,49,46,115,105,122,101,32,61,61,32,115,114,99,50,46,115,105,122,101,0,118,111,105,100,32,99,118,58,58,115,99,97,108,101,65,100,100,40,73,110,112,117,116,65,114,114,97,121,44,32,100,111,117,98,108,101,44,32,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,41,0,115,114,99,46,99,104,97,110,110,101,108,115,40,41,32,61,61,32,49,0,109,117,108,84,114,97,110,115,112,111,115,101,100,0,100,101,108,116,97,46,99,104,97,110,110,101,108,115,40,41,32,61,61,32,49,0,40,100,101,108,116,97,46,114,111,119,115,32,61,61,32,115,114,99,46,114,111,119,115,32,124,124,32,100,101,108,116,97,46,114,111,119,115,32,61,61,32,49,41,0,40,100,101,108,116,97,46,99,111,108,115,32,61,61,32,115,114,99,46,99,111,108,115,32,124,124,32,100,101,108,116,97,46,99,111,108,115,32,61,61,32,49,41,0,118,111,105,100,32,99,118,58,58,109,117,108,84,114,97,110,115,112,111,115,101,100,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,98,111,111,108,44,32,73,110,112,117,116,65,114,114,97,121,44,32,100,111,117,98,108,101,44,32,105,110,116,41,0,109,97,116,46,116,121,112,101,40,41,32,61,61,32,116,121,112,101,40,41,0,100,111,116,0,109,97,116,46,115,105,122,101,32,61,61,32,115,105,122,101,0,100,111,117,98,108,101,32,99,118,58,58,77,97,116,58,58,100,111,116,40,73,110,112,117,116,65,114,114,97,121,41,32,99,111,110,115,116,0,118,105,114,116,117,97,108,32,105,110,116,32,99,118,58,58,77,97,116,79,112,58,58,116,121,112,101,40,99,111,110,115,116,32,99,118,58,58,77,97,116,69,120,112,114,32,38,41,32,99,111,110,115,116,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,99,111,114,101,47,115,114,99,47,109,97,116,114,105,120,95,101,120,112,114,101,115,115,105,111,110,115,46,99,112,112,0,78,50,99,118,49,49,77,97,116,79,112,95,83,111,108,118,101,69,0,67,86,95,77,65,84,95,67,78,40,95,116,121,112,101,41,32,61,61,32,101,46,97,46,99,104,97,110,110,101,108,115,40,41,0,97,115,115,105,103,110],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+204804);allocate([0,78,50,99,118,49,52,77,97,116,79,112,95,73,100,101,110,116,105,116,121,69,0,78,50,99,118,49,50,77,97,116,79,112,95,73,110,118,101,114,116,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,77,97,116,79,112,95,71,69,77,77,58,58,116,114,97,110,115,112,111,115,101,40,99,111,110,115,116,32,99,118,58,58,77,97,116,69,120,112,114,32,38,44,32,99,118,58,58,77,97,116,69,120,112,114,32,38,41,32,99,111,110,115,116,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,77,97,116,79,112,95,71,69,77,77,58,58,109,117,108,116,105,112,108,121,40,99,111,110,115,116,32,99,118,58,58,77,97,116,69,120,112,114,32,38,44,32,100,111,117,98,108,101,44,32,99,118,58,58,77,97,116,69,120,112,114,32,38,41,32,99,111,110,115,116,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,77,97,116,79,112,95,71,69,77,77,58,58,115,117,98,116,114,97,99,116,40,99,111,110,115,116,32,99,118,58,58,77,97,116,69,120,112,114,32,38,44,32,99,111,110,115,116,32,99,118,58,58,77,97,116,69,120,112,114,32,38,44,32,99,118,58,58,77,97,116,69,120,112,114,32,38,41,32,99,111,110,115,116,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,77,97,116,79,112,95,71,69,77,77,58,58,97,100,100,40,99,111,110,115,116,32,99,118,58,58,77,97,116,69,120,112,114,32,38,44,32,99,111,110,115,116,32,99,118,58,58,77,97,116,69,120,112,114,32,38,44,32,99,118,58,58,77,97,116,69,120,112,114,32,38,41,32,99,111,110,115,116,0,78,50,99,118,49,48,77,97,116,79,112,95,71,69,77,77,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,77,97,116,79,112,95,65,100,100,69,120,58,58,116,114,97,110,115,112,111,115,101,40,99,111,110,115,116,32,99,118,58,58,77,97,116,69,120,112,114,32,38,44,32,99,118,58,58,77,97,116,69,120,112,114,32,38,41,32,99,111,110,115,116,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,77,97,116,79,112,95,66,105,110,58,58,100,105,118,105,100,101,40,100,111,117,98,108,101,44,32,99,111,110,115,116,32,99,118,58,58,77,97,116,69,120,112,114,32,38,44,32,99,118,58,58,77,97,116,69,120,112,114,32,38,41,32,99,111,110,115,116,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,77,97,116,79,112,95,66,105,110,58,58,109,117,108,116,105,112,108,121,40,99,111,110,115,116,32,99,118,58,58,77,97,116,69,120,112,114,32,38,44,32,100,111,117,98,108,101,44,32,99,118,58,58,77,97,116,69,120,112,114,32,38,41,32,99,111,110,115,116,0,85,110,107,110,111,119,110,32,111,112,101,114,97,116,105,111,110,0,78,50,99,118,57,77,97,116,79,112,95,66,105,110,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,77,97,116,79,112,95,65,100,100,69,120,58,58,97,98,115,40,99,111,110,115,116,32,99,118,58,58,77,97,116,69,120,112,114,32,38,44,32,99,118,58,58,77,97,116,69,120,112,114,32,38,41,32,99,111,110,115,116,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,77,97,116,79,112,95,65,100,100,69,120,58,58,100,105,118,105,100,101,40,100,111,117,98,108,101,44,32,99,111,110,115,116,32,99,118,58,58,77,97,116,69,120,112,114,32,38,44,32,99,118,58,58,77,97,116,69,120,112,114,32,38,41,32,99,111,110,115,116,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,77,97,116,79,112,95,65,100,100,69,120,58,58,109,117,108,116,105,112,108,121,40,99,111,110,115,116,32,99,118,58,58,77,97,116,69,120,112,114,32,38,44,32,100,111,117,98,108,101,44,32,99,118,58,58,77,97,116,69,120,112,114,32,38,41,32,99,111,110,115,116,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,77,97,116,79,112,95,65,100,100,69,120,58,58,115,117,98,116,114,97,99,116,40,99,111,110,115,116,32,83,99,97,108,97,114,32,38,44,32,99,111,110,115,116,32,99,118,58,58,77,97,116,69,120,112,114,32,38,44,32,99,118,58,58,77,97,116,69,120,112,114,32,38,41,32,99,111,110,115,116,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,77,97,116,79,112,95,65,100,100,69,120,58,58,97,100,100,40,99,111,110,115,116,32,99,118,58,58,77,97,116,69,120,112,114,32,38,44,32,99,111,110,115,116,32,83,99,97,108,97,114,32,38,44,32,99,118,58,58,77,97,116,69,120,112,114,32,38,41,32,99,111,110,115,116,0,78,50,99,118,49,49,77,97,116,79,112,95,65,100,100,69,120,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,77,97,116,79,112,95,84,58,58,116,114,97,110,115,112,111,115,101,40,99,111,110,115,116,32,99,118,58,58,77,97,116,69,120,112,114,32,38,44,32,99,118,58,58,77,97,116,69,120,112,114,32,38,41,32,99,111,110,115,116,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,77,97,116,79,112,95,84,58,58,109,117,108,116,105,112,108,121,40,99,111,110,115,116,32,99,118,58,58,77,97,116,69,120,112,114,32,38,44,32,100,111,117,98,108,101,44,32,99,118,58,58,77,97,116,69,120,112,114,32,38,41,32,99,111,110,115,116,0,78,50,99,118,55,77,97,116,79,112,95,84,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,77,97,116,79,112,58,58,116,114,97,110,115,112,111,115,101,40,99,111,110,115,116,32,99,118,58,58,77,97,116,69,120,112,114,32,38,44,32,99,118,58,58,77,97,116,69,120,112,114,32,38,41,32,99,111,110,115,116,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,77,97,116,79,112,58,58,97,98,115,40,99,111,110,115,116,32,99,118,58,58,77,97,116,69,120,112,114,32,38,44,32,99,118,58,58,77,97,116,69,120,112,114,32,38,41,32,99,111,110,115,116,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,77,97,116,79,112,58,58,100,105,118,105,100,101,40,100,111,117,98,108,101,44,32,99,111,110,115,116,32,99,118,58,58,77,97,116,69,120,112,114,32,38,44,32,99,118,58,58,77,97,116,69,120,112,114,32,38,41,32,99,111,110,115,116,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,77,97,116,79,112,58,58,100,105,118,105,100,101,40,99,111,110,115,116,32,99,118,58,58,77,97,116,69,120,112,114,32,38,44,32,99,111,110,115,116,32,99,118,58,58,77,97,116,69,120,112,114,32,38,44,32,99,118,58,58,77,97,116,69,120,112,114,32,38,44,32,100,111,117,98,108,101,41,32,99,111,110,115,116,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,77,97,116,79,112,58,58,109,117,108,116,105,112,108,121,40,99,111,110,115,116,32,99,118,58,58,77,97,116,69,120,112,114,32,38,44,32,100,111,117,98,108,101,44,32,99,118,58,58,77,97,116,69,120,112,114,32,38,41,32,99,111,110,115,116,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,77,97,116,79,112,58,58,109,117,108,116,105,112,108,121,40,99,111,110,115,116,32,99,118,58,58,77,97,116,69,120,112,114,32,38,44,32,99,111,110,115,116,32,99,118,58,58,77,97,116,69,120,112,114,32,38,44,32,99,118,58,58,77,97,116,69,120,112,114,32,38,44,32,100,111,117,98,108,101,41,32,99,111,110,115,116,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,77,97,116,79,112,58,58,115,117,98,116,114,97,99,116,40,99,111,110,115,116,32,83,99,97,108,97,114,32,38,44,32,99,111,110,115,116,32,99,118,58,58,77,97,116,69,120,112,114,32,38,44,32,99,118,58,58,77,97,116,69,120,112,114,32,38,41,32,99,111,110,115,116,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,77,97,116,79,112,58,58,115,117,98,116,114,97,99,116,40,99,111,110,115,116,32,99,118,58,58,77,97,116,69,120,112,114,32,38,44,32,99,111,110,115,116,32,99,118,58,58,77,97,116,69,120,112,114,32,38,44,32,99,118,58,58,77,97,116,69,120,112,114,32,38,41,32,99,111,110,115,116,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,77,97,116,79,112,58,58,97,100,100,40,99,111,110,115,116,32,99,118,58,58,77,97,116,69,120,112,114,32,38,44,32,99,111,110,115,116,32,83,99,97,108,97,114,32,38,44,32,99,118,58,58,77,97,116,69,120,112,114,32,38,41,32,99,111,110,115,116,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,77,97,116,79,112,58,58,97,100,100,40,99,111,110,115,116,32,99,118,58,58,77,97,116,69,120,112,114,32,38,44,32,99,111,110,115,116,32,99,118,58,58,77,97,116,69,120,112,114,32,38,44,32,99,118,58,58,77,97,116,69,120,112,114,32,38,41,32,99,111,110,115,116,0,78,50,99,118,53,77,97,116,79,112,69,0,78,50,99,118,57,77,97,116,79,112,95,67,109,112,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,77,97,116,79,112,95,73,110,105,116,105,97,108,105,122,101,114,58,58,109,117,108,116,105,112,108,121,40,99,111,110,115,116,32,99,118,58,58,77,97,116,69,120,112,114,32,38,44,32,100,111,117,98,108,101,44,32,99,118,58,58,77,97,116,69,120,112,114,32,38,41,32,99,111,110,115,116,0,73,110,118,97,108,105,100,32,109,97,116,114,105,120,32,105,110,105,116,105,97,108,105,122,101,114,32,116,121,112,101,0,78,50,99,118,49,55,77,97,116,79,112,95,73,110,105,116,105,97,108,105,122,101,114,69,0,99,118,58,58,77,97,116,69,120,112,114,32,99,118,58,58,97,98,115,40,99,111,110,115,116,32,99,118,58,58,77,97,116,32,38,41,0,105,110,116,32,99,118,58,58,77,97,116,69,120,112,114,58,58,116,121,112,101,40,41,32,99,111,110,115,116,0,99,118,58,58,77,97,116,69,120,112,114,32,99,118,58,58,77,97,116,58,58,116,40,41,32,99,111,110,115,116,0,99,118,58,58,77,97,116,69,120,112,114,32,99,118,58,58,77,97,116,58,58,105,110,118,40,105,110,116,41,32,99,111,110,115,116,0,99,118,58,58,77,97,116,69,120,112,114,32,99,118,58,58,77,97,116,58,58,109,117,108,40,73,110,112,117,116,65,114,114,97,121,44,32,100,111,117,98,108,101,41,32,99,111,110,115,116,0,115,116,97,116,105,99,32,99,118,58,58,77,97,116,69,120,112,114,32,99,118,58,58,77,97,116,58,58,122,101,114,111,115,40,105,110,116,44,32,105,110,116,44,32,105,110,116,41,0,115,116,97,116,105,99,32,99,118,58,58,77,97,116,69,120,112,114,32,99,118,58,58,77,97,116,58,58,122,101,114,111,115,40,83,105,122,101,44,32,105,110,116,41,0,115,116,97,116,105,99,32,99,118,58,58,77,97,116,69,120,112,114,32,99,118,58,58,77,97,116,58,58,111,110,101,115,40,105,110,116,44,32,105,110,116,44,32,105,110,116,41,0,115,116,97,116,105,99,32,99,118,58,58,77,97,116,69,120,112,114,32,99,118,58,58,77,97,116,58,58,111,110,101,115,40,83,105,122,101,44,32,105,110,116,41,0,115,116,97,116,105,99,32,99,118,58,58,77,97,116,69,120,112,114,32,99,118,58,58,77,97,116,58,58,101,121,101,40,105,110,116,44,32,105,110,116,44,32,105,110,116,41,0,115,116,97,116,105,99,32,99,118,58,58,77,97,116,69,120,112,114,32,99,118,58,58,77,97,116,58,58,101,121,101,40,83,105,122,101,44,32,105,110,116,41,0,78,50,99,118,50,53,68,117,109,109,121,66,117,102,102,101,114,80,111,111,108,67,111,110,116,114,111,108,108,101,114,69,0,115,122,91,105,93,32,60,61,32,40,115,105,122,101,95,116,41,73,78,84,95,77,65,88,0,99,111,112,121,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,99,111,114,101,47,115,114,99,47,109,97,116,114,105,120,46,99,112,112,0,117,45,62,117,114,101,102,99,111,117,110,116,32,61,61,32,48,0,100,101,97,108,108,111,99,97,116,101,0,117,45,62,114,101,102,99,111,117,110,116,32,61,61,32,48,0,116,111,116,97,108,32,60,61,32,115,116,101,112,91,105,93,0,97,108,108,111,99,97,116,101,0,78,50,99,118,49,53,83,116,100,77,97,116,65,108,108,111,99,97,116,111,114,69,0,48,32,60,61,32,95,100,105,109,115,32,38,38,32,95,100,105,109,115,32,60,61,32,67,86,95,77,65,88,95,68,73,77,0,115,101,116,83,105,122,101,0,115,32,62,61,32,48,0,83,116,101,112,32,109,117,115,116,32,98,101,32,97,32,109,117,108,116,105,112,108,101,32,111,102,32,101,115,122,49,0,84,104,101,32,116,111,116,97,108,32,109,97,116,114,105,120,32,115,105,122,101,32,100,111,101,115,32,110,111,116,32,102,105,116,32,116,111,32,34,115,105,122,101,95,116,34,32,116,121,112,101,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,77,97,116,65,108,108,111,99,97,116,111,114,58,58,99,111,112,121,40,99,118,58,58,85,77,97,116,68,97,116,97,32,42,44,32,99,118,58,58,85,77,97,116,68,97,116,97,32,42,44,32,105,110,116,44,32,99,111,110,115,116,32,115,105,122,101,95,116,32,42,44,32,99,111,110,115,116,32,115,105,122,101,95,116,32,42,44,32,99,111,110,115,116,32,115,105,122,101,95,116,32,42,44,32,99,111,110,115,116,32,115,105,122,101,95,116,32,42,44,32,99,111,110,115,116,32,115,105,122,101,95,116,32,42,44,32,98,111,111,108,41,32,99,111,110,115,116,0,117,112,108,111,97,100,0,100,111,119,110,108,111,97,100,0,78,50,99,118,49,50,77,97,116,65,108,108,111,99,97,116,111,114,69,0,48,32,60,61,32,100,32,38,38,32,100,32,60,61,32,67,86,95,77,65,88,95,68,73,77,32,38,38,32,95,115,105,122,101,115,0,117,32,33,61,32,48,0,115,116,101,112,91,100,105,109,115,45,49,93,32,61,61,32,40,115,105,122,101,95,116,41,67,86,95,69,76,69,77,95,83,73,90,69,40,102,108,97,103,115,41,0,109,46,100,105,109,115,32,62,61,32,50,0,48,32,60,61,32,95,114,111,119,82,97,110,103,101,46,115,116,97,114,116,32,38,38,32,95,114,111,119,82,97,110,103,101,46,115,116,97,114,116,32,60,61,32,95,114,111,119,82,97,110,103,101,46,101,110,100,32,38,38,32,95,114,111,119,82,97,110,103,101,46,101,110,100,32,60,61,32,109,46,114,111,119,115,0,48,32,60,61,32,95,99,111,108,82,97,110,103,101,46,115,116,97,114,116,32,38,38,32,95,99,111,108,82,97,110,103,101,46,115,116,97,114,116,32,60,61,32,95,99,111,108,82,97,110,103,101,46,101,110,100,32,38,38,32,95,99,111,108,82,97,110,103,101,46,101,110,100,32,60,61,32,109,46,99,111,108,115,0,114,97,110,103,101,115,0,114,32,61,61,32,82,97,110,103,101,58,58,97,108,108,40,41,32,124,124,32,40,48,32,60,61,32,114,46,115,116,97,114,116,32,38,38,32,114,46,115,116,97,114,116,32,60,32,114,46,101,110,100,32,38,38,32,114,46,101,110,100,32,60,61,32,109,46,115,105,122,101,91,105,93,41,0,48,32,60,61,32,114,111,105,46,120,32,38,38,32,48,32,60,61,32,114,111,105,46,119,105,100,116,104,32,38,38,32,114,111,105,46,120,32,43,32,114,111,105,46,119,105,100,116,104,32,60,61,32,109,46,99,111,108,115,32,38,38,32,48,32,60,61,32,114,111,105,46,121,32,38,38,32,48,32,60,61,32,114,111,105,46,104,101,105,103,104,116,32,38,38,32,114,111,105,46,121,32,43,32,114,111,105,46,104,101,105,103,104,116,32,60,61,32,109,46,114,111,119,115,0,40,105,110,116,41,114,97,110,103,101,115,46,115,105,122,101,40,41,32,61,61,32,100,0,100,105,109,115,32,60,61,32,50,0,100,105,97,103,0,40,105,110,116,41,110,101,108,101,109,115,32,62,61,32,48,0,114,101,115,101,114,118,101,0,100,105,109,115,32,60,61,32,50,32,38,38,32,115,116,101,112,91,48,93,32,62,32,48,0,108,111,99,97,116,101,82,79,73,0,97,100,106,117,115,116,82,79,73,0,114,101,115,104,97,112,101,0,95,99,110,32,62,61,32,48,32,38,38,32,95,110,101,119,110,100,105,109,115,32,62,32,48,32,38,38,32,95,110,101,119,110,100,105,109,115,32,60,61,32,67,86,95,77,65,88,95,68,73,77,32,38,38,32,95,110,101,119,115,122,0,95,99,110,32,60,61,32,67,86,95,67,78,95,77,65,88,0,95,110,101,119,115,122,91,105,93,32,62,61,32,48,0,67,111,112,121,32,100,105,109,101,110,115,105,111,110,32,40,119,104,105,99,104,32,104,97,115,32,122,101,114,111,32,115,105,122,101,41,32,105,115,32,110,111,116,32,112,114,101,115,101,110,116,32,105,110,32,115,111,117,114,99,101,32,109,97,116,114,105,120,0,82,101,113,117,101,115,116,101,100,32,97,110,100,32,115,111,117,114,99,101,32,109,97,116,114,105,99,101,115,32,104,97,118,101,32,100,105,102,102,101,114,101,110,116,32,99,111,117,110,116,32,111,102,32,101,108,101,109,101,110,116,115,0,82,101,115,104,97,112,105,110,103,32,111,102,32,110,45,100,105,109,101,110,115,105,111,110,97,108,32,110,111,110,45,99,111,110,116,105,110,117,111,117,115,32,109,97,116,114,105,99,101,115,32,105,115,32,110,111,116,32,115,117,112,112,111,114,116,101,100,32,121,101,116,0,101,109,112,116,121,40,41,0,100,46,99,111,108,115,32,61,61,32,49,32,124,124,32,100,46,114,111,119,115,32,61,61,32,49,0,78,83,116,51,95,95,50,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,78,50,99,118,49,53,79,99,118,68,102,116,66,97,115,105,99,73,109,112,108,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,112,111,105,110,116,101,114,73,80,78,50,99,118,49,53,79,99,118,68,102,116,66,97,115,105,99,73,109,112,108,69,78,83,95,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,83,50,95,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,50,95,69,69,69,69,0,99,46,102,97,99,116,111,114,115,91,48,93,32,61,61,32,99,46,102,97,99,116,111,114,115,91,99,46,110,102,45,49,93,0,68,70,84,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,99,111,114,101,47,115,114,99,47,100,120,116,46,99,112,112,0,0,128,64,192,32,160,96,224,16,144,80,208,48,176,112,240,8,136,72,200,40,168,104,232,24,152,88,216,56,184,120,248,4,132,68,196,36,164,100,228,20,148,84,212,52,180,116,244,12,140,76,204,44,172,108,236,28,156,92,220,60,188,124,252,2,130,66,194,34,162,98,226,18,146,82,210,50,178,114,242,10,138,74,202,42,170,106,234,26,154,90,218,58,186,122,250,6,134,70,198,38,166,102,230,22,150,86,214,54,182,118,246,14,142,78,206,46,174,110,238,30,158,94,222,62,190,126,254,1,129,65,193,33,161,97,225,17,145,81,209,49,177,113,241,9,137,73,201,41,169,105,233,25,153,89,217,57,185,121,249,5,133,69,197,37,165,101,229,21,149,85,213,53,181,117,245,13,141,77,205,45,173,109,237,29,157,93,221,61,189,125,253,3,131,67,195,35,163,99,227,19,147,83,211,51,179,115,243,11,139,75,203,43,171,107,235,27,155,91,219,59,187,123,251,7,135,71,199,39,167,103,231,23,151,87,215,55,183,119,247,15,143,79,207,47,175,111,239,31,159,95,223,63,191,127,255,78,50,99,118,49,53,79,99,118,68,102,116,66,97,115,105,99,73,109,112,108,69,0,78,50,99,118,51,104,97,108,53,68,70,84,49,68,69,0,78,50,99,118,49,54,82,101,112,108,97,99,101,109,101,110,116,68,70,84,49,68,69,0,84,104,105,115,32,109,111,100,101,32,40,117,115,105,110,103,32,110,111,110,122,101,114,111,95,114,111,119,115,32,119,105,116,104,32,97,32,115,105,110,103,108,101,45,99,111,108,117,109,110,32,109,97,116,114,105,120,41,32,98,114,101,97,107,115,32,116,104,101,32,102,117,110,99,116,105,111,110,39,115,32,108,111,103,105,99,44,32,115,111,32,105,116,32,105,115,32,112,114,111,104,105,98,105,116,101,100,46,10,70,111,114,32,102,97,115,116,32,99,111,110,118,111,108,117,116,105,111,110,47,99,111,114,114,101,108,97,116,105,111,110,32,117,115,101,32,50,45,99,111,108,117,109,110,32,109,97,116,114,105,120,32,111,114,32,115,105,110,103,108,101,45,114,111,119,32,109,97,116,114,105,120,32,105,110,115,116,101,97,100,0,78,83,116,51,95,95,50,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,78,50,99,118,49,48,79,99,118,68,102,116,73,109,112,108,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,112,111,105,110,116,101,114,73,80,78,50,99,118,49,48,79,99,118,68,102,116,73,109,112,108,69,78,83,95,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,83,50,95,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,50,95,69,69,69,69,0,78,50,99,118,49,48,79,99,118,68,102,116,73,109,112,108,69,0,78,50,99,118,51,104,97,108,53,68,70,84,50,68,69,0,78,50,99,118,49,54,82,101,112,108,97,99,101,109,101,110,116,68,70,84,50,68,69,0,116,121,112,101,32,61,61,32,67,86,95,51,50,70,67,49,32,124,124,32,116,121,112,101,32,61,61,32,67,86,95,51,50,70,67,50,32,124,124,32,116,121,112,101,32,61,61,32,67,86,95,54,52,70,67,49,32,124,124,32,116,121,112,101,32,61,61,32,67,86,95,54,52,70,67,50,0,100,102,116,0,33,40,40,102,108,97,103,115,32,38,32,68,70,84,95,67,79,77,80,76,69,88,95,73,78,80,85,84,41,32,38,38,32,115,114,99,46,99,104,97,110,110,101,108,115,40,41,32,33,61,32,50,41,0,118,111,105,100,32,99,118,58,58,100,102,116,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,44,32,105,110,116,41,0,116,121,112,101,32,61,61,32,115,114,99,66,46,116,121,112,101,40,41,32,38,38,32,115,114,99,65,46,115,105,122,101,40,41,32,61,61,32,115,114,99,66,46,115,105,122,101,40,41,0,109,117,108,83,112,101,99,116,114,117,109,115,0,118,111,105,100,32,99,118,58,58,109,117,108,83,112,101,99,116,114,117,109,115,40,73,110,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,44,32,98,111,111,108,41,0,115,114,99,32,38,38,32,110,115,114,99,115,32,62,32,48,32,38,38,32,100,115,116,32,38,38,32,110,100,115,116,115,32,62,32,48,32,38,38,32,102,114,111,109,84,111,32,38,38,32,110,112,97,105,114,115,32,62,32,48,0,109,105,120,67,104,97,110,110,101,108,115,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,99,111,114,101,47,115,114,99,47,99,104,97,110,110,101,108,115,46,99,112,112,0,106,32,60,32,110,115,114,99,115,32,38,38,32,115,114,99,91,106,93,46,100,101,112,116,104,40,41,32,61,61,32,100,101,112,116,104,0,105,49,32,62,61,32,48,32,38,38,32,106,32,60,32,110,100,115,116,115,32,38,38,32,100,115,116,91,106,93,46,100,101,112,116,104,40,41,32,61,61,32,100,101,112,116,104,0,118,111,105,100,32,99,118,58,58,109,105,120,67,104,97,110,110,101,108,115,40,99,111,110,115,116,32,99,118,58,58,77,97,116,32,42,44,32,115,105,122,101,95,116,44,32,99,118,58,58,77,97,116,32,42,44,32,115,105,122,101,95,116,44,32,99,111,110,115,116,32,105,110,116,32,42,44,32,115,105,122,101,95,116,41,0,102,114,111,109,84,111,46,115,105,122,101,40,41,37,50,32,61,61,32,48,32,38,38,32,110,115,114,99,32,62,32,48,32,38,38,32,110,100,115,116,32,62,32,48,0,118,111,105,100,32,99,118,58,58,109,105,120,67,104,97,110,110,101,108,115,40,73,110,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,73,110,112,117,116,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,99,111,110,115,116,32,115,116,100,58,58,118,101,99,116,111,114,60,105,110,116,62,32,38,41,0,48,32,60,61,32,99,111,105,32,38,38,32,99,111,105,32,60,32,99,110,0,101,120,116,114,97,99,116,67,104,97,110,110,101,108,0,118,111,105,100,32,99,118,58,58,101,120,116,114,97,99,116,67,104,97,110,110,101,108,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,41,0,105,110,116,32,99,118,58,58,104,97,108,58,58,110,111,114,109,72,97,109,109,105,110,103,40,99,111,110,115,116,32,117,99,104,97,114,32,42,44,32,105,110,116,41,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,99,111,114,101,47,115,114,99,47,115,116,97,116,46,100,105,115,112,97,116,99,104,46,99,112,112,0,105,110,116,32,99,118,58,58,104,97,108,58,58,110,111,114,109,72,97,109,109,105,110,103,40,99,111,110,115,116,32,117,99,104,97,114,32,42,44,32,99,111,110,115,116,32,117,99,104,97,114,32,42,44,32,105,110,116,41,0,99,111,110,118,101,114,116,65,110,100,85,110,114,111,108,108,83,99,97,108,97,114,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,99,111,114,101,47,115,114,99,47,97,114,105,116,104,109,46,99,112,112,0,84,104,101,32,111,112,101,114,97,116,105,111,110,32,105,115,32,110,101,105,116,104,101,114,32,39,97,114,114,97,121,32,111,112,32,97,114,114,97,121,39,32,40,119,104,101,114,101,32,97,114,114,97,121,115,32,104,97,118,101,32,116,104,101,32,115,97,109,101,32,115,105,122,101,32,97,110,100,32,116,121,112,101,41,44,32,110,111,114,32,39,97,114,114,97,121,32,111,112,32,115,99,97,108,97,114,39,44,32,110,111,114,32,39,115,99,97,108,97,114,32,111,112,32,97,114,114,97,121,39,0,98,105,110,97,114,121,95,111,112,0,112,115,114,99,49,45,62,115,97,109,101,83,105,122,101,40,42,112,115,114,99,50,41,32,38,38,32,116,121,112,101,49,32,61,61,32,116,121,112,101,50,0,40,109,116,121,112,101,32,61,61,32,67,86,95,56,85,32,124,124,32,109,116,121,112,101,32,61,61,32,67,86,95,56,83,41,32,38,38,32,95,109,97,115,107,46,115,97,109,101,83,105,122,101,40,42,112,115,114,99,49,41,0,118,111,105,100,32,99,118,58,58,98,105,116,119,105,115,101,95,97,110,100,40,73,110,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,41,0,118,111,105,100,32,99,118,58,58,98,105,116,119,105,115,101,95,111,114,40,73,110,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,41,0,118,111,105,100,32,99,118,58,58,98,105,116,119,105,115,101,95,120,111,114,40,73,110,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,41,0,118,111,105,100,32,99,118,58,58,98,105,116,119,105,115,101,95,110,111,116,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,41,0,118,111,105,100,32,99,118,58,58,109,97,120,40,73,110,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,41,0,118,111,105,100,32,99,118,58,58,109,105,110,40,73,110,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,41,0,118,111,105,100,32,99,118,58,58,109,97,120,40,99,111,110,115,116,32,99,118,58,58,77,97,116,32,38,44,32,99,111,110,115,116,32,99,118,58,58,77,97,116,32,38,44,32,99,118,58,58,77,97,116,32,38,41,0,118,111,105,100,32,99,118,58,58,109,105,110,40,99,111,110,115,116,32,99,118,58,58,77,97,116,32,38,44,32,99,111,110,115,116,32,99,118,58,58,77,97,116,32,38,44,32,99,118,58,58,77,97,116,32,38,41,0,84,104,101,32,111,112,101,114,97,116,105,111,110,32,105,115,32,110,101,105,116,104,101,114,32,39,97,114,114,97,121,32,111,112,32,97,114,114,97,121,39,32,40,119,104,101,114,101,32,97,114,114,97,121,115,32,104,97,118,101,32,116,104,101,32,115,97,109,101,32,115,105,122,101,32,97,110,100,32,116,104,101,32,115,97,109,101,32,110,117,109,98,101,114,32,111,102,32,99,104,97,110,110,101,108,115,41,44,32,110,111,114,32,39,97,114,114,97,121,32,111,112,32,115,99,97,108,97,114,39,44,32,110,111,114,32,39,115,99,97,108,97,114,32,111,112,32,97,114,114,97,121,39,0,97,114,105,116,104,109,95,111,112,0,116,121,112,101,50,32,61,61,32,67,86,95,54,52,70,32,38,38,32,40,115,122,50,46,104,101,105,103,104,116,32,61,61,32,49,32,124,124,32,115,122,50,46,104,101,105,103,104,116,32,61,61,32,52,41,0,87,104,101,110,32,116,104,101,32,105,110,112,117,116,32,97,114,114,97,121,115,32,105,110,32,97,100,100,47,115,117,98,116,114,97,99,116,47,109,117,108,116,105,112,108,121,47,100,105,118,105,100,101,32,102,117,110,99,116,105,111,110,115,32,104,97,118,101,32,100,105,102,102,101,114,101,110,116,32,116,121,112,101,115,44,32,116,104,101,32,111,117,116,112,117,116,32,97,114,114,97,121,32,116,121,112,101,32,109,117,115,116,32,98,101,32,101,120,112,108,105,99,105,116,108,121,32,115,112,101,99,105,102,105,101,100,0,40,109,116,121,112,101,32,61,61,32,67,86,95,56,85,67,49,32,124,124,32,109,116,121,112,101,32,61,61,32,67,86,95,56,83,67,49,41,32,38,38,32,95,109,97,115,107,46,115,97,109,101,83,105,122,101,40,42,112,115,114,99,49,41,0,118,111,105,100,32,99,118,58,58,97,100,100,40,73,110,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,44,32,105,110,116,41,0,118,111,105,100,32,99,118,58,58,115,117,98,116,114,97,99,116,40,73,110,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,44,32,105,110,116,41,0,118,111,105,100,32,99,118,58,58,97,98,115,100,105,102,102,40,73,110,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,41,0,118,111,105,100,32,99,118,58,58,109,117,108,116,105,112,108,121,40,73,110,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,100,111,117,98,108,101,44,32,105,110,116,41,0,118,111,105,100,32,99,118,58,58,100,105,118,105,100,101,40,73,110,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,100,111,117,98,108,101,44,32,105,110,116,41,0,118,111,105,100,32,99,118,58,58,100,105,118,105,100,101,40,100,111,117,98,108,101,44,32,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,41,0,118,111,105,100,32,99,118,58,58,97,100,100,87,101,105,103,104,116,101,100,40,73,110,112,117,116,65,114,114,97,121,44,32,100,111,117,98,108,101,44,32,73,110,112,117,116,65,114,114,97,121,44,32,100,111,117,98,108,101,44,32,100,111,117,98,108,101,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,41,0,111,112,32,61,61,32,67,77,80,95,76,84,32,124,124,32,111,112,32,61,61,32,67,77,80,95,76,69,32,124,124,32,111,112,32,61,61,32,67,77,80,95,69,81,32,124,124,32,111,112,32,61,61,32,67,77,80,95,78,69,32,124,124,32,111,112,32,61,61,32,67,77,80,95,71,69,32,124,124,32,111,112,32,61,61,32,67,77,80,95,71,84,0,99,111,109,112,97,114,101,0,95,115,114,99,49,46,101,109,112,116,121,40,41,32,61,61,32,95,115,114,99,50,46,101,109,112,116,121,40,41,0,84,104,101,32,111,112,101,114,97,116,105,111,110,32,105,115,32,110,101,105,116,104,101,114,32,39,97,114,114,97,121,32,111,112,32,97,114,114,97,121,39,32,40,119,104,101,114,101,32,97,114,114,97,121,115,32,104,97,118,101,32,116,104,101,32,115,97,109,101,32,115,105,122,101,32,97,110,100,32,116,104,101,32,115,97,109,101,32,116,121,112,101,41,44,32,110,111,114,32,39,97,114,114,97,121,32,111,112,32,115,99,97,108,97,114,39,44,32,110,111,114,32,39,115,99,97,108,97,114,32,111,112,32,97,114,114,97,121,39,0,118,111,105,100,32,99,118,58,58,99,111,109,112,97,114,101,40,73,110,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,41,0,33,32,95,115,114,99,46,101,109,112,116,121,40,41,0,105,110,82,97,110,103,101,0,84,104,101,32,108,111,119,101,114,32,98,111,117,110,100,97,114,121,32,105,115,32,110,101,105,116,104,101,114,32,97,110,32,97,114,114,97,121,32,111,102,32,116,104,101,32,115,97,109,101,32,115,105,122,101,32,97,110,100,32,115,97,109,101,32,116,121,112,101,32,97,115,32,115,114,99,44,32,110,111,114,32,97,32,115,99,97,108,97,114,0,84,104,101,32,117,112,112,101,114,32,98,111,117,110,100,97,114,121,32,105,115,32,110,101,105,116,104,101,114,32,97,110,32,97,114,114,97,121,32,111,102,32,116,104,101,32,115,97,109,101,32,115,105,122,101,32,97,110,100,32,115,97,109,101,32,116,121,112,101,32,97,115,32,115,114,99,44,32,110,111,114,32,97,32,115,99,97,108,97,114,0,108,98,83,99,97,108,97,114,32,61,61,32,117,98,83,99,97,108,97,114,0,108,98,46,116,121,112,101,40,41,32,61,61,32,117,98,46,116,121,112,101,40,41,0,118,111,105,100,32,99,118,58,58,105,110,82,97,110,103,101,40,73,110,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,41,0,78,50,99,118,57,70,111,114,109,97,116,116,101,100,69,0,78,50,99,118,57,70,111,114,109,97,116,116,101,114,69,0,0,0,59,0,0,109,46,100,105,109,115,32,60,61,32,50,0,70,111,114,109,97,116,116,101,100,73,109,112,108,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,99,111,114,101,47,115,114,99,47,111,117,116,46,99,112,112,0,37,37,46,37,100,103,0,37,51,100,0,10,40,58,44,32,58,44,32,37,100,41,32,61,32,10,0,40,58,44,32,58,44,32,37,100,41,32,61,32,10,0,78,50,99,118,49,51,70,111,114,109,97,116,116,101,100,73,109,112,108,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,49,51,70,111,114,109,97,116,116,101,100,73,109,112,108,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,50,95,69,69,69,69,0,78,50,99,118,49,53,77,97,116,108,97,98,70,111,114,109,97,116,116,101,114,69,0,78,50,99,118,49,51,70,111,114,109,97,116,116,101,114,66,97,115,101,69,0,78,50,99,118,49,50,67,83,86,70,111,114,109,97,116,116,101,114,69,0,91,93,44,91,93,78,50,99,118,49,53,80,121,116,104,111,110,70,111,114,109,97,116,116,101,114,69,0,93,44,32,100,116,121,112,101,61,39,37,115,39,41,0,97,114,114,97,121,40,91,0,117,105,110,116,56,0,105,110,116,56,0,117,105,110,116,49,54,0,105,110,116,49,54,0,102,108,111,97,116,51,50,0,102,108,111,97,116,54,52,0,102,108,111,97,116,49,54,0,78,50,99,118,49,52,78,117,109,112,121,70,111,114,109,97,116,116,101,114,69,0,0,0,44,0,0,123,0,78,50,99,118,49,48,67,70,111,114,109,97,116,116,101,114,69,0,78,50,99,118,49,54,68,101,102,97,117,108,116,70,111,114,109,97,116,116,101,114,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,49,53,77,97,116,108,97,98,70,111,114,109,97,116,116,101,114,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,50,95,69,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,49,50,67,83,86,70,111,114,109,97,116,116,101,114,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,50,95,69,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,49,53,80,121,116,104,111,110,70,111,114,109,97,116,116,101,114,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,50,95,69,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,49,52,78,117,109,112,121,70,111,114,109,97,116,116,101,114,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,50,95,69,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,49,48,67,70,111,114,109,97,116,116,101,114,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,50,95,69,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,49,54,68,101,102,97,117,108,116,70,111,114,109,97,116,116,101,114,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,50,95,69,69,69,69,0,84,104,101,32,108,105,98,114,97,114,121,32,105,115,32,99,111,109,112,105,108,101,100,32,119,105,116,104,111,117,116,32,67,85,68,65,32,115,117,112,112,111,114,116,0,116,104,114,111,119,95,110,111,95,99,117,100,97,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,99,111,114,101,47,105,110,99,108,117,100,101,47,111,112,101,110,99,118,50,47,99,111,114,101,47,112,114,105,118,97,116,101,46,99,117,100,97,46,104,112,112,0,78,50,99,118,49,54,80,97,114,97,108,108,101,108,76,111,111,112,66,111,100,121,69,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,99,111,114,101,47,115,114,99,47,97,114,114,97,121,46,99,112,112,0,68,97,116,97,32,105,115,32,97,108,114,101,97,100,121,32,97,108,108,111,99,97,116,101,100,0,99,118,67,114,101,97,116,101,68,97,116,97,0,84,111,111,32,98,105,103,32,98,117,102,102,101,114,32,105,115,32,97,108,108,111,99,97,116,101,100,0,79,118,101,114,102,108,111,119,32,102,111,114,32,105,109,97,103,101,83,105,122,101,0,117,110,114,101,99,111,103,110,105,122,101,100,32,111,114,32,117,110,115,117,112,112,111,114,116,101,100,32,97,114,114,97,121,32,116,121,112,101,0,78,111,110,45,112,111,115,105,116,105,118,101,32,119,105,100,116,104,32,111,114,32,104,101,105,103,104,116,0,99,118,67,114,101,97,116,101,77,97,116,72,101,97,100,101,114,0,73,110,118,97,108,105,100,32,109,97,116,114,105,120,32,116,121,112,101,0,99,118,73,110,105,116,77,97,116,72,101,97,100,101,114,0,78,111,110,45,112,111,115,105,116,105,118,101,32,99,111,108,115,32,111,114,32,114,111,119,115,0,99,118,82,101,108,101,97,115,101,77,97,116,0,66,97,100,32,67,118,77,97,116,32,104,101,97,100,101,114,0,99,118,67,108,111,110,101,77,97,116,0,78,85,76,76,32,109,97,116,114,105,120,32,104,101,97,100,101,114,32,112,111,105,110,116,101,114,0,99,118,73,110,105,116,77,97,116,78,68,72,101,97,100,101,114,0,105,110,118,97,108,105,100,32,97,114,114,97,121,32,100,97,116,97,32,116,121,112,101,0,78,85,76,76,32,60,115],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+215044);allocate([105,122,101,115,62,32,112,111,105,110,116,101,114,0,110,111,110,45,112,111,115,105,116,105,118,101,32,111,114,32,116,111,111,32,108,97,114,103,101,32,110,117,109,98,101,114,32,111,102,32,100,105,109,101,110,115,105,111,110,115,0,111,110,101,32,111,102,32,100,105,109,101,115,105,111,110,32,115,105,122,101,115,32,105,115,32,110,111,110,45,112,111,115,105,116,105,118,101,0,84,104,101,32,97,114,114,97,121,32,105,115,32,116,111,111,32,98,105,103,0,99,118,67,114,101,97,116,101,77,97,116,78,68,72,101,97,100,101,114,0,66,97,100,32,67,118,77,97,116,78,68,32,104,101,97,100,101,114,0,99,118,67,108,111,110,101,77,97,116,78,68,0,115,114,99,45,62,100,105,109,115,32,60,61,32,67,86,95,77,65,88,95,68,73,77,0,95,100,115,116,46,100,97,116,97,32,61,61,32,100,97,116,97,48,0,73,110,99,111,114,114,101,99,116,32,110,117,109,98,101,114,32,111,102,32,97,114,114,97,121,115,0,99,118,73,110,105,116,78,65,114,114,97,121,73,116,101,114,97,116,111,114,0,83,111,109,101,32,111,102,32,114,101,113,117,105,114,101,100,32,97,114,114,97,121,32,112,111,105,110,116,101,114,115,32,105,115,32,78,85,76,76,0,73,116,101,114,97,116,111,114,32,112,111,105,110,116,101,114,32,105,115,32,78,85,76,76,0,73,116,101,114,97,116,111,114,32,119,105,116,104,32,109,97,115,107,32,105,115,32,110,111,116,32,115,117,112,112,111,114,116,101,100,0,67,79,73,32,115,101,116,32,105,115,32,110,111,116,32,97,108,108,111,119,101,100,32,104,101,114,101,0,78,117,109,98,101,114,32,111,102,32,100,105,109,101,110,115,105,111,110,115,32,105,115,32,116,104,101,32,115,97,109,101,32,102,111,114,32,97,108,108,32,97,114,114,97,121,115,0,68,97,116,97,32,116,121,112,101,32,105,115,32,110,111,116,32,116,104,101,32,115,97,109,101,32,102,111,114,32,97,108,108,32,97,114,114,97,121,115,0,78,117,109,98,101,114,32,111,102,32,99,104,97,110,110,101,108,115,32,105,115,32,110,111,116,32,116,104,101,32,115,97,109,101,32,102,111,114,32,97,108,108,32,97,114,114,97,121,115,0,68,101,112,116,104,32,105,115,32,110,111,116,32,116,104,101,32,115,97,109,101,32,102,111,114,32,97,108,108,32,97,114,114,97,121,115,0,68,105,109,101,110,115,105,111,110,32,115,105,122,101,115,32,97,114,101,32,116,104,101,32,115,97,109,101,32,102,111,114,32,97,108,108,32,97,114,114,97,121,115,0,78,85,76,76,32,97,114,114,97,121,32,112,111,105,110,116,101,114,32,105,115,32,112,97,115,115,101,100,0,99,118,71,101,116,77,97,116,78,68,0,84,104,101,32,109,97,116,114,105,120,32,104,97,115,32,78,85,76,76,32,100,97,116,97,32,112,111,105,110,116,101,114,0,85,110,114,101,99,111,103,110,105,122,101,100,32,111,114,32,117,110,115,117,112,112,111,114,116,101,100,32,97,114,114,97,121,32,116,121,112,101,0,73,110,112,117,116,32,97,114,114,97,121,32,104,97,115,32,78,85,76,76,32,100,97,116,97,32,112,111,105,110,116,101,114,0,99,118,71,101,116,77,97,116,0,84,104,101,32,105,109,97,103,101,32,104,97,115,32,78,85,76,76,32,100,97,116,97,32,112,111,105,110,116,101,114,0,73,109,97,103,101,115,32,119,105,116,104,32,112,108,97,110,97,114,32,100,97,116,97,32,108,97,121,111,117,116,32,115,104,111,117,108,100,32,98,101,32,117,115,101,100,32,119,105,116,104,32,67,79,73,32,115,101,108,101,99,116,101,100,0,84,104,101,32,105,109,97,103,101,32,105,115,32,105,110,116,101,114,108,101,97,118,101,100,32,97,110,100,32,104,97,115,32,111,118,101,114,32,67,86,95,67,78,95,77,65,88,32,99,104,97,110,110,101,108,115,0,80,105,120,101,108,32,111,114,100,101,114,32,115,104,111,117,108,100,32,98,101,32,117,115,101,100,32,119,105,116,104,32,99,111,105,32,61,61,32,48,0,79,110,108,121,32,99,111,110,116,105,110,117,111,117,115,32,110,68,32,97,114,114,97,121,115,32,97,114,101,32,115,117,112,112,111,114,116,101,100,32,104,101,114,101,0,99,118,67,114,101,97,116,101,83,112,97,114,115,101,77,97,116,0,98,97,100,32,110,117,109,98,101,114,32,111,102,32,100,105,109,101,110,115,105,111,110,115,0,99,118,82,101,108,101,97,115,101,83,112,97,114,115,101,77,97,116,0,73,110,118,97,108,105,100,32,115,112,97,114,115,101,32,97,114,114,97,121,32,104,101,97,100,101,114,0,99,118,67,108,111,110,101,83,112,97,114,115,101,77,97,116,0,73,110,118,97,108,105,100,32,115,112,97,114,115,101,32,109,97,116,114,105,120,32,104,101,97,100,101,114,0,99,118,73,110,105,116,83,112,97,114,115,101,77,97,116,73,116,101,114,97,116,111,114,0,78,85,76,76,32,105,116,101,114,97,116,111,114,32,112,111,105,110,116,101,114,0,99,118,82,101,108,101,97,115,101,68,97,116,97,0,105,110,100,101,120,32,105,115,32,111,117,116,32,111,102,32,114,97,110,103,101,0,99,118,80,116,114,50,68,0,67,79,73,32,109,117,115,116,32,98,101,32,110,111,110,45,110,117,108,108,32,105,110,32,99,97,115,101,32,111,102,32,112,108,97,110,97,114,32,105,109,97,103,101,115,0,40,40,67,118,83,112,97,114,115,101,77,97,116,42,41,97,114,114,41,45,62,100,105,109,115,32,61,61,32,50,0,79,110,101,32,111,102,32,105,110,100,105,99,101,115,32,105,115,32,111,117,116,32,111,102,32,114,97,110,103,101,0,105,99,118,71,101,116,78,111,100,101,80,116,114,0,99,118,71,101,116,69,108,101,109,84,121,112,101,0,99,118,71,101,116,68,105,109,115,0,65,114,114,97,121,32,115,104,111,117,108,100,32,98,101,32,67,118,77,97,116,32,111,114,32,73,112,108,73,109,97,103,101,0,99,118,71,101,116,83,105,122,101,0,78,85,76,76,32,112,111,105,110,116,101,114,32,116,111,32,105,110,100,105,99,101,115,0,99,118,80,116,114,78,68,0,84,104,101,32,116,111,116,97,108,32,110,117,109,98,101,114,32,111,102,32,109,97,116,114,105,120,32,101,108,101,109,101,110,116,115,32,105,115,32,110,111,116,32,100,105,118,105,115,105,98,108,101,32,98,121,32,116,104,101,32,110,101,119,32,110,117,109,98,101,114,32,111,102,32,114,111,119,115,0,99,118,82,101,115,104,97,112,101,0,84,104,101,32,109,97,116,114,105,120,32,105,115,32,110,111,116,32,99,111,110,116,105,110,117,111,117,115,44,32,116,104,117,115,32,105,116,115,32,110,117,109,98,101,114,32,111,102,32,114,111,119,115,32,99,97,110,32,110,111,116,32,98,101,32,99,104,97,110,103,101,100,0,66,97,100,32,110,101,119,32,110,117,109,98,101,114,32,111,102,32,114,111,119,115,0,84,104,101,32,116,111,116,97,108,32,119,105,100,116,104,32,105,115,32,110,111,116,32,100,105,118,105,115,105,98,108,101,32,98,121,32,116,104,101,32,110,101,119,32,110,117,109,98,101,114,32,111,102,32,99,104,97,110,110,101,108,115,0,110,117,108,108,32,112,111,105,110,116,101,114,32,116,111,32,104,101,97,100,101,114,0,99,118,73,110,105,116,73,109,97,103,101,72,101,97,100,101,114,0,66,97,100,32,105,110,112,117,116,32,114,111,105,0,85,110,115,117,112,112,111,114,116,101,100,32,102,111,114,109,97,116,0,66,97,100,32,105,110,112,117,116,32,111,114,105,103,105,110,0,66,97,100,32,105,110,112,117,116,32,97,108,105,103,110,0,71,82,65,89,0,82,71,66,0,66,71,82,0,66,71,82,65,0,99,118,82,101,108,101,97,115,101,73,109,97,103,101,0,99,118,83,101,116,73,109,97,103,101,82,79,73,0,114,101,99,116,46,119,105,100,116,104,32,62,61,32,48,32,38,38,32,114,101,99,116,46,104,101,105,103,104,116,32,62,61,32,48,32,38,38,32,114,101,99,116,46,120,32,60,32,105,109,97,103,101,45,62,119,105,100,116,104,32,38,38,32,114,101,99,116,46,121,32,60,32,105,109,97,103,101,45,62,104,101,105,103,104,116,32,38,38,32,114,101,99,116,46,120,32,43,32,114,101,99,116,46,119,105,100,116,104,32,62,61,32,40,105,110,116,41,40,114,101,99,116,46,119,105,100,116,104,32,62,32,48,41,32,38,38,32,114,101,99,116,46,121,32,43,32,114,101,99,116,46,104,101,105,103,104,116,32,62,61,32,40,105,110,116,41,40,114,101,99,116,46,104,101,105,103,104,116,32,62,32,48,41,0,99,118,83,101,116,73,109,97,103,101,67,79,73,0,99,118,71,101,116,73,109,97,103,101,67,79,73,0,66,97,100,32,105,109,97,103,101,32,104,101,97,100,101,114,0,99,118,67,108,111,110,101,73,109,97,103,101,0,99,110,32,60,61,32,52,0,115,99,97,108,97,114,84,111,82,97,119,68,97,116,97,0,118,111,105,100,32,99,118,58,58,115,99,97,108,97,114,84,111,82,97,119,68,97,116,97,40,99,111,110,115,116,32,83,99,97,108,97,114,32,38,44,32,118,111,105,100,32,42,44,32,105,110,116,44,32,105,110,116,41,0,84,104,101,32,115,116,111,114,97,103,101,32,105,115,32,110,111,116,32,111,112,101,110,101,100,0,105,99,118,80,117,116,115,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,99,111,114,101,47,115,114,99,47,112,101,114,115,105,115,116,101,110,99,101,46,99,112,112,0,106,32,60,32,109,97,120,67,111,117,110,116,32,45,32,49,32,38,38,32,34,79,112,101,110,67,86,32,112,101,114,115,105,115,116,101,110,99,101,32,100,111,101,115,110,39,116,32,115,117,112,112,111,114,116,32,118,101,114,121,32,108,111,110,103,32,108,105,110,101,115,34,0,105,99,118,71,101,116,115,0,115,122,32,60,32,40,115,105,122,101,95,116,41,40,109,97,120,67,111,117,110,116,32,45,32,49,41,32,38,38,32,34,79,112,101,110,67,86,32,112,101,114,115,105,115,116,101,110,99,101,32,100,111,101,115,110,39,116,32,115,117,112,112,111,114,116,32,118,101,114,121,32,108,111,110,103,32,108,105,110,101,115,34,0,84,111,111,32,115,109,97,108,108,32,109,97,112,32,104,101,97,100,101,114,95,115,105,122,101,0,99,118,67,114,101,97,116,101,77,97,112,0,37,115,40,37,100,41,58,32,37,115,0,105,99,118,70,83,67,114,101,97,116,101,67,111,108,108,101,99,116,105,111,110,0,105,99,118,67,108,111,115,101,0,60,47,111,112,101,110,99,118,95,115,116,111,114,97,103,101,62,10,0,37,100,46,0,37,46,49,54,101,0,46,78,97,110,0,45,46,73,110,102,0,46,73,110,102,0,37,46,56,101,0,105,99,118,80,114,111,99,101,115,115,83,112,101,99,105,97,108,68,111,117,98,108,101,0,66,97,100,32,102,111,114,109,97,116,32,111,102,32,102,108,111,97,116,105,110,103,45,112,111,105,110,116,32,99,111,110,115,116,97,110,116,0,85,110,101,120,112,101,99,116,101,100,32,101,114,114,111,114,44,32,117,110,97,98,108,101,32,116,111,32,100,101,116,101,114,109,105,110,101,32,116,104,101,32,66,97,115,101,54,52,32,115,116,97,116,101,46,0,115,119,105,116,99,104,95,116,111,95,66,97,115,101,54,52,95,115,116,97,116,101,0,85,110,101,120,112,101,99,116,101,100,32,101,114,114,111,114,44,32,117,110,97,98,108,101,32,116,111,32,115,119,105,116,99,104,32,116,111,32,116,104,105,115,32,115,116,97,116,101,46,0,102,115,45,62,105,115,95,119,114,105,116,101,95,115,116,114,117,99,116,95,100,101,108,97,121,101,100,32,61,61,32,102,97,108,115,101,0,109,97,107,101,95,119,114,105,116,101,95,115,116,114,117,99,116,95,100,101,108,97,121,101,100,0,100,101,112,116,104,32,62,61,48,32,38,38,32,100,101,112,116,104,32,60,61,32,67,86,95,54,52,70,0,105,99,118,84,121,112,101,83,121,109,98,111,108,0,117,99,119,115,105,102,100,114,0,37,100,37,99,0,73,110,118,97,108,105,100,32,100,97,116,97,32,116,121,112,101,32,115,112,101,99,105,102,105,99,97,116,105,111,110,0,105,99,118,68,101,99,111,100,101,70,111,114,109,97,116,0,105,99,118,83,121,109,98,111,108,84,111,84,121,112,101,0,84,111,111,32,108,111,110,103,32,100,97,116,97,32,116,121,112,101,32,115,112,101,99,105,102,105,99,97,116,105,111,110,0,84,111,111,32,99,111,109,112,108,101,120,32,102,111,114,109,97,116,32,102,111,114,32,116,104,101,32,109,97,116,114,105,120,0,105,99,118,68,101,99,111,100,101,83,105,109,112,108,101,70,111,114,109,97,116,0,98,97,115,101,54,52,0,78,85,76,76,32,111,114,32,101,109,112,116,121,32,102,105,108,101,110,97,109,101,0,78,85,76,76,32,111,114,32,101,109,112,116,121,32,98,117,102,102,101,114,0,99,118,79,112,101,110,70,105,108,101,83,116,111,114,97,103,101,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,99,111,114,101,47,115,114,99,47,112,101,114,115,105,115,116,101,110,99,101,95,99,46,99,112,112,0,67,86,95,83,84,79,82,65,71,69,95,65,80,80,69,78,68,32,97,110,100,32,67,86,95,83,84,79,82,65,71,69,95,77,69,77,79,82,89,32,97,114,101,32,110,111,116,32,99,117,114,114,101,110,116,108,121,32,99,111,109,112,97,116,105,98,108,101,0,65,112,112,101,110,100,105,110,103,32,100,97,116,97,32,116,111,32,99,111,109,112,114,101,115,115,101,100,32,102,105,108,101,32,105,115,32,110,111,116,32,105,109,112,108,101,109,101,110,116,101,100,0,97,43,116,0,119,116,0,114,116,0,85,84,70,45,49,54,0,117,116,102,45,49,54,0,85,116,102,45,49,54,0,85,84,70,45,49,54,32,88,77,76,32,101,110,99,111,100,105,110,103,32,105,115,32,110,111,116,32,115,117,112,112,111,114,116,101,100,33,32,85,115,101,32,56,45,98,105,116,32,101,110,99,111,100,105,110,103,10,0,115,116,114,108,101,110,40,101,110,99,111,100,105,110,103,41,32,60,32,49,48,48,48,0,60,63,120,109,108,32,118,101,114,115,105,111,110,61,34,49,46,48,34,32,101,110,99,111,100,105,110,103,61,34,37,115,34,63,62,10,0,60,63,120,109,108,32,118,101,114,115,105,111,110,61,34,49,46,48,34,63,62,10,0,60,111,112,101,110,99,118,95,115,116,111,114,97,103,101,62,10,0,60,47,111,112,101,110,99,118,95,115,116,111,114,97,103,101,62,0,67,111,117,108,100,32,110,111,116,32,102,105,110,100,32,60,47,111,112,101,110,99,118,95,115,116,111,114,97,103,101,62,32,105,110,32,116,104,101,32,101,110,100,32,111,102,32,102,105,108,101,46,10,0,114,43,116,0,32,60,33,45,45,32,114,101,115,117,109,101,100,32,45,45,62,0,37,89,65,77,76,58,49,46,48,10,45,45,45,10,0,46,46,46,10,45,45,45,10,0,67,111,117,108,100,32,110,111,116,32,102,105,110,100,32,39,125,39,32,105,110,32,116,104,101,32,101,110,100,32,111,102,32,102,105,108,101,46,10,0,73,110,112,117,116,32,102,105,108,101,32,105,115,32,101,109,112,116,121,0,85,110,115,117,112,112,111,114,116,101,100,32,102,105,108,101,32,115,116,111,114,97,103,101,32,102,111,114,109,97,116,0,78,85,76,76,32,100,111,117,98,108,101,32,112,111,105,110,116,101,114,32,116,111,32,102,105,108,101,32,115,116,111,114,97,103,101,0,99,118,82,101,108,101,97,115,101,70,105,108,101,83,116,111,114,97,103,101,0,110,111,100,101,32,33,61,32,78,85,76,76,0,99,118,76,111,97,100,0,67,111,117,108,100,32,110,111,116,32,102,105,110,100,32,116,104,101,47,97,110,32,111,98,106,101,99,116,32,105,110,32,102,105,108,101,32,115,116,111,114,97,103,101,0,78,85,76,76,32,109,101,109,111,114,121,32,115,116,111,114,97,103,101,32,105,115,32,112,97,115,115,101,100,32,45,32,116,104,101,32,108,111,97,100,101,100,32,100,121,110,97,109,105,99,32,115,116,114,117,99,116,117,114,101,32,99,97,110,32,110,111,116,32,98,101,32,115,116,111,114,101,100,0,99,118,82,101,108,101,97,115,101,0,85,110,107,110,111,119,110,32,111,98,106,101,99,116,32,116,121,112,101,0,114,101,108,101,97,115,101,32,102,117,110,99,116,105,111,110,32,112,111,105,110,116,101,114,32,105,115,32,78,85,76,76,0,99,118,82,101,97,100,0,84,104,101,32,110,111,100,101,32,100,111,101,115,32,110,111,116,32,114,101,112,114,101,115,101,110,116,32,97,32,117,115,101,114,32,111,98,106,101,99,116,32,40,117,110,107,110,111,119,110,32,116,121,112,101,63,41,0,99,118,71,101,116,70,105,108,101,78,111,100,101,66,121,78,97,109,101,0,78,117,108,108,32,101,108,101,109,101,110,116,32,110,97,109,101,0,84,104,101,32,110,111,100,101,32,105,115,32,110,101,105,116,104,101,114,32,97,32,109,97,112,32,110,111,114,32,97,110,32,101,109,112,116,121,32,99,111,108,108,101,99,116,105,111,110,0,99,118,71,101,116,70,105,108,101,78,111,100,101,0,78,117,108,108,32,107,101,121,32,101,108,101,109,101,110,116,0,109,97,112,95,110,111,100,101,32,33,61,32,78,85,76,76,0,68,117,112,108,105,99,97,116,101,100,32,107,101,121,0,99,118,71,101,116,82,111,111,116,70,105,108,101,78,111,100,101,0,99,118,83,116,97,114,116,87,114,105,116,101,83,116,114,117,99,116,0,109,117,115,116,32,115,101,116,32,39,115,116,114,117,99,116,95,102,108,97,103,115,32,124,61,32,67,86,95,78,79,68,69,95,83,69,81,39,32,105,102,32,117,115,105,110,103,32,66,97,115,101,54,52,46,0,102,117,110,99,116,105,111,110,32,39,99,118,83,116,97,114,116,87,114,105,116,101,83,116,114,117,99,116,39,32,99,97,108,108,115,32,99,97,110,110,111,116,32,98,101,32,110,101,115,116,101,100,32,105,102,32,117,115,105,110,103,32,66,97,115,101,54,52,46,0,65,116,32,116,104,101,32,101,110,100,32,111,102,32,116,104,101,32,111,117,116,112,117,116,32,66,97,115,101,54,52,44,32,96,99,118,69,110,100,87,114,105,116,101,83,116,114,117,99,116,96,32,105,115,32,110,101,101,100,101,100,46,0,99,118,69,110,100,87,114,105,116,101,83,116,114,117,99,116,0,99,118,87,114,105,116,101,73,110,116,0,99,118,87,114,105,116,101,82,101,97,108,0,99,118,87,114,105,116,101,83,116,114,105,110,103,0,99,118,87,114,105,116,101,67,111,109,109,101,110,116,0,99,118,87,114,105,116,101,82,97,119,68,97,116,97,0,78,101,103,97,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,101,108,101,109,101,110,116,115,0,78,117,108,108,32,100,97,116,97,32,112,111,105,110,116,101,114,0,99,118,83,116,97,114,116,82,101,97,100,82,97,119,68,97,116,97,0,78,117,108,108,32,112,111,105,110,116,101,114,32,116,111,32,115,111,117,114,99,101,32,102,105,108,101,32,110,111,100,101,32,111,114,32,114,101,97,100,101,114,0,84,104,101,32,102,105,108,101,32,110,111,100,101,32,115,104,111,117,108,100,32,98,101,32,97,32,110,117,109,101,114,105,99,97,108,32,115,99,97,108,97,114,32,111,114,32,97,32,115,101,113,117,101,110,99,101,0,99,118,82,101,97,100,82,97,119,68,97,116,97,83,108,105,99,101,0,78,117,108,108,32,112,111,105,110,116,101,114,32,116,111,32,114,101,97,100,101,114,32,111,114,32,100,101,115,116,105,110,97,116,105,111,110,32,97,114,114,97,121,0,84,104,101,32,114,101,97,100,32,115,101,113,117,101,110,99,101,32,105,115,32,97,32,115,99,97,108,97,114,44,32,116,104,117,115,32,108,101,110,32,109,117,115,116,32,98,101,32,49,0,84,104,101,32,115,101,113,117,101,110,99,101,32,101,108,101,109,101,110,116,32,105,115,32,110,111,116,32,97,32,110,117,109,101,114,105,99,97,108,32,115,99,97,108,97,114,0,84,104,101,32,115,101,113,117,101,110,99,101,32,115,108,105,99,101,32,100,111,101,115,32,110,111,116,32,102,105,116,32,97,110,32,105,110,116,101,103,101,114,32,110,117,109,98,101,114,32,111,102,32,114,101,99,111,114,100,115,0,78,117,108,108,32,112,111,105,110,116,101,114,115,32,116,111,32,115,111,117,114,99,101,32,102,105,108,101,32,110,111,100,101,32,111,114,32,100,101,115,116,105,110,97,116,105,111,110,32,97,114,114,97,121,0,99,118,82,101,97,100,82,97,119,68,97,116,97,0,73,110,118,97,108,105,100,32,116,121,112,101,32,105,110,102,111,0,99,118,82,101,103,105,115,116,101,114,84,121,112,101,0,83,111,109,101,32,111,102,32,114,101,113,117,105,114,101,100,32,102,117,110,99,116,105,111,110,32,112,111,105,110,116,101,114,115,32,40,105,115,95,105,110,115,116,97,110,99,101,44,32,114,101,108,101,97,115,101,44,32,114,101,97,100,32,111,114,32,119,114,105,116,101,41,32,97,114,101,32,78,85,76,76,0,84,121,112,101,32,110,97,109,101,32,115,104,111,117,108,100,32,115,116,97,114,116,32,119,105,116,104,32,97,32,108,101,116,116,101,114,32,111,114,32,95,0,84,121,112,101,32,110,97,109,101,32,115,104,111,117,108,100,32,99,111,110,116,97,105,110,32,111,110,108,121,32,108,101,116,116,101,114,115,44,32,100,105,103,105,116,115,44,32,45,32,97,110,100,32,95,0,99,118,87,114,105,116,101,0,78,117,108,108,32,112,111,105,110,116,101,114,32,116,111,32,116,104,101,32,119,114,105,116,116,101,110,32,111,98,106,101,99,116,0,85,110,107,110,111,119,110,32,111,98,106,101,99,116,0,84,104,101,32,111,98,106,101,99,116,32,100,111,101,115,32,110,111,116,32,104,97,118,101,32,119,114,105,116,101,32,102,117,110,99,116,105,111,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,97,98,99,100,101,102,103,104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,123,124,125,126,127,128,129,130,131,132,133,134,135,136,137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,158,159,160,161,162,163,164,165,166,167,168,169,170,171,172,173,174,175,176,177,178,179,180,181,182,183,184,185,186,187,188,189,190,191,192,193,194,195,196,197,198,199,200,201,202,203,204,205,206,207,208,209,210,211,212,213,214,215,216,217,218,219,220,221,222,223,224,225,226,227,228,229,230,231,232,233,234,235,236,237,238,239,240,241,242,243,244,245,246,247,248,249,250,251,252,253,254,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,60,63,120,109,108,0,105,99,118,88,77,76,80,97,114,115,101,0,86,97,108,105,100,32,88,77,76,32,115,104,111,117,108,100,32,115,116,97,114,116,32,119,105,116,104,32,39,60,63,120,109,108,32,46,46,46,63,62,39,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,99,111,114,101,47,115,114,99,47,112,101,114,115,105,115,116,101,110,99,101,95,120,109,108,46,99,112,112,0,111,112,101,110,99,118,95,115,116,111,114,97,103,101,0,60,111,112,101,110,99,118,95,115,116,111,114,97,103,101,62,32,116,97,103,32,105,115,32,109,105,115,115,105,110,103,0,60,47,111,112,101,110,99,118,95,115,116,111,114,97,103,101,62,32,116,97,103,32,105,115,32,109,105,115,115,105,110,103,0,102,115,45,62,100,117,109,109,121,95,101,111,102,32,33,61,32,48,0,105,99,118,88,77,76,80,97,114,115,101,86,97,108,117,101,0,68,105,114,101,99,116,105,118,101,32,116,97,103,115,32,97,114,101,32,110,111,116,32,97,108,108,111,119,101,100,32,104,101,114,101,0,69,109,112,116,121,32,116,97,103,115,32,97,114,101,32,110,111,116,32,115,117,112,112,111,114,116,101,100,0,116,97,103,95,116,121,112,101,32,61,61,32,67,86,95,88,77,76,95,79,80,69,78,73,78,71,95,84,65,71,0,77,97,112,32,101,108,101,109,101,110,116,32,115,104,111,117,108,100,32,104,97,118,101,32,97,32,110,97,109,101,0,83,101,113,117,101,110,99,101,32,101,108,101,109,101,110,116,32,115,104,111,117,108,100,32,110,111,116,32,104,97,118,101,32,110,97,109,101,32,40,117,115,101,32,60,95,62,60,47,95,62,41,0,105,99,118,88,77,76,71,101,116,77,117,108,116,105,108,105,110,101,83,116,114,105,110,103,67,111,110,116,101,110,116,0,105,99,118,88,77,76,80,97,114,115,101,66,97,115,101,54,52,0,100,97,116,97,32,115,105,122,101,32,110,111,116,32,109,97,116,99,104,101,115,32,101,108,101,109,101,109,116,32,115,105,122,101,0,77,105,115,109,97,116,99,104,101,100,32,99,108,111,115,105,110,103,32,116,97,103,0,84,104,101,114,101,32,115,104,111,117,108,100,32,98,101,32,115,112,97,99,101,32,98,101,116,119,101,101,110,32,108,105,116,101,114,97,108,115,0,76,105,116,101,114,97,108,32,34,32,105,115,32,110,111,116,32,97,108,108,111,119,101,100,32,119,105,116,104,105,110,32,97,32,115,116,114,105,110,103,46,32,85,115,101,32,38,113,117,111,116,59,0,67,108,111,115,105,110,103,32,34,32,105,115,32,101,120,112,101,99,116,101,100,0,76,105,116,101,114,97,108,32,39,32,111,114,32,62,32,97,114,101,32,110,111,116,32,97,108,108,111,119,101,100,46,32,85,115,101,32,38,97,112,111,115,59,32,111,114,32,38,103,116,59,0,73,110,118,97,108,105,100,32,110,117,109,101,114,105,99,32,118,97,108,117,101,32,105,110,32,116,104,101,32,115,116,114,105,110,103,0,73,110,118,97,108,105,100,32,99,104,97,114,97,99,116,101,114,32,105,110,32,116,104,101,32,115,121,109,98,111,108,32,101,110,116,105,116,121,32,110,97,109,101,0,108,116,0,103,116,0,97,109,112,0,97,112,111,115,0,113,117,111,116,0,84,104,101,32,97,99,116,117,97,108,32,116,121,112,101,32,105,115,32,100,105,102,102,101,114,101,110,116,32,102,114,111,109,32,116,104,101,32,115,112,101,99,105,102,105,101,100,32,116,121,112,101,0,105,99,118,88,77,76,80,97,114,115,101,84,97,103,0,80,114,101,108,105,109,105,110,97,114,121,32,101,110,100,32,111,102,32,116,104,101,32,115,116,114,101,97,109,0,84,97,103,32,115,104,111,117,108,100,32,115,116,97,114,116,32,119,105,116,104,32,39,60,39,0,85,110,107,110,111,119,110,32,116,97,103,32,116,121,112,101,0,78,97,109,101,32,115,104,111,117,108,100,32,115,116,97,114,116,32,119,105,116,104,32,97,32,108,101,116,116,101,114,32,111,114,32,117,110,100,101,114,115,99,111,114,101,0,67,108,111,115,105,110,103,32,116,97,103,32,115,104,111,117,108,100,32,110,111,116,32,99,111,110,116,97,105,110,32,97,110,121,32,97,116,116,114,105,98,117,116,101,115,0,65,116,116,114,105,98,117,116,101,32,110,97,109,101,32,115,104,111,117,108,100,32,98,101,32,102,111,108,108,111,119,101,100,32,98,121,32,39,61,39,0,65,116,116,114,105,98,117,116,101,32,118,97,108,117,101,32,115,104,111,117,108,100,32,98,101,32,112,117,116,32,105,110,116,111,32,115,105,110,103,108,101,32,111,114,32,100,111,117,98,108,101,32,113,117,111,116,101,115,0,73,110,118,97,108,105,100,32,99,108,111,115,105,110,103,32,116,97,103,32,102,111,114,32,60,63,120,109,108,32,46,46,46,0,84,104,101,114,101,32,115,104,111,117,108,100,32,98,101,32,115,112,97,99,101,32,98,101,116,119,101,101,110,32,97,116,116,114,105,98,117,116,101,115,0,105,99,118,88,77,76,83,107,105,112,83,112,97,99,101,115,0,67,111,109,109,101,110,116,115,32,97,114,101,32,110,111,116,32,97,108,108,111,119,101,100,32,104,101,114,101,0,83,111,109,101,32,99,111,108,108,101,99,116,105,111,110,32,116,121,112,101,58,32,67,86,95,78,79,68,69,95,83,69,81,32,111,114,32,67,86,95,78,79,68,69,95,77,65,80,32,109,117,115,116,32,98,101,32,115,112,101,99,105,102,105,101,100,0,105,99,118,88,77,76,83,116,97,114,116,87,114,105,116,101,83,116,114,117,99,116,0,105,99,118,88,77,76,87,114,105,116,101,84,97,103,0,65,32,115,105,110,103,108,101,32,95,32,105,115,32,97,32,114,101,115,101,114,118,101,100,32,116,97,103,32,110,97,109,101,0,67,108,111,115,105,110,103,32,116,97,103,32,115,104,111,117,108,100,32,110,111,116,32,105,110,99,108,117,100,101,32,97,110,121,32,97,116,116,114,105,98,117,116,101,115,0,75,101,121,32,115,104,111,117,108,100,32,115,116,97,114,116,32,119,105,116,104,32,97,32,108,101,116,116,101,114,32,111,114,32,95,0,75,101,121,32,110,97,109,101,32,109,97,121,32,111,110,108,121,32,99,111,110,116,97,105,110,32,97,108,112,104,97,110,117,109,101,114,105,99,32,99,104,97,114,97,99,116,101,114,115,32,91,97,45,122,65,45,90,48,45,57,93,44,32,39,45,39,32,97,110,100,32,39,95,39,0,65,110,32,101,120,116,114,97,32,99,108,111,115,105,110,103,32,116,97,103,0,105,99,118,88,77,76,69,110,100,87,114,105,116,101,83,116,114,117,99,116,0,10,60,33,45,45,32,110,101,120,116,32,115,116,114,101,97,109,32,45,45,62,10,0,67,117,114,114,101,110,116,108,121,32,111,110,108,121,32,66,97,115,101,54,52,32,100,97,116,97,32,105,115,32,97,108,108,111,119,101,100,46,0,105,99,118,88,77,76,87,114,105,116,101,83,99,97,108,97,114,0,101,108,101,109,101,110,116,115,32,119,105,116,104,32,107,101,121,115,32,99,97,110,32,110,111,116,32,98,101,32,119,114,105,116,116,101,110,32,116,111,32,115,101,113,117,101,110,99,101,0,105,99,118,88,77,76,87,114,105,116,101,83,116,114,105,110,103,0,35,120,37,48,50,120,0,105,99,118,88,77,76,87,114,105,116,101,67,111,109,109,101,110,116,0,68,111,117,98,108,101,32,104,121,112,104,101,110,32,39,45,45,39,32,105,115,32,110,111,116,32,97,108,108,111,119,101,100,32,105,110,32,116,104,101,32,99,111,109,109,101,110,116,115,0,60,33,45,45,0,60,33,45,45,32,37,115,32,45,45,62,0,45,45,45,0,37,89,65,77,76,0,37,89,65,77,76,58,49,46,0,37,89,65,77,76,32,49,46,0,105,99,118,89,77,76,80,97,114,115,101,0,85,110,115,117,112,112,111,114,116,101,100,32,89,65,77,76,32,118,101,114,115,105,111,110,32,40,105,116,32,109,117,115,116,32,98,101,32,49,46,120,41,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,99,111,114,101,47,115,114,99,47,112,101,114,115,105,115,116,101,110,99,101,95,121,109,108,46,99,112,112,0,84,104,101,32,89,65,77,76,32,115,116,114,101,97,109,115,32,109,117,115,116,32,115,116,97,114,116,32,119,105,116,104,32,39,45,45,45,39,44,32,101,120,99,101,112,116,32,116,104,101,32,102,105,114,115,116,32,111,110,101,0,73,110,118,97,108,105,100,32,111,114,32,117,110,115,117,112,112,111,114,116,101,100,32,115,121,110,116,97,120,0,79,110,108,121,32,99,111,108,108,101,99,116,105,111,110,115,32,97,115,32,89,65,77,76,32,115,116,114,101,97,109,115,32,97,114,101,32,115,117,112,112,111,114,116,101,100,32,98,121,32,116,104,105,115,32,112,97,114,115,101,114,0,60,116,97,103,58,121,97,109,108,46,111,114,103,44,50,48,48,50,58,0,105,99,118,89,77,76,80,97,114,115,101,86,97,108,117,101,0,69,109,112,116,121,32,116,121,112,101,32,110,97,109,101,0,115,116,114,0,109,97,112,0,105,99,118,89,77,76,71,101,116,77,117,108,116,105,108,105,110,101,83,116,114,105,110,103,67,111,110,116,101,110,116,0,85,110,101,120,112,101,99,116,101,100,32,101,110,100,32,111,102,32,108,105,110,101,0,105,99,118,89,77,76,80,97,114,115,101,66,97,115,101,54,52,0,73,110,118,97,108,105,100,32,99,104,97,114,97,99,116,101,114,0,84,111,111,32,108,111,110,103,32,115,116,114,105,110,103,32,108,105,116,101,114,97,108,0,84,104,101,32,119,114,111,110,103,32,99,108,111,115,105,110,103,32,98,114,97,99,107,101,116,0,77,105,115,115,105,110,103,32,44,32,98,101,116,119,101,101,110,32,116,104,101,32,101,108,101,109,101,110,116,115,0,67,111,109,112,108,101,120,32,107,101,121,115,32,97,114,101,32,110,111,116,32,115,117,112,112,111,114,116,101,100,0,77,117,108,116,105,45,108,105,110,101,32,116,101,120,116,32,108,105,116,101,114,97,108,115,32,97,114,101,32,110,111,116,32,115,117,112,112,111,114,116,101,100,0,66,108,111,99,107,32,115,101,113,117,101,110,99,101,32,101,108,101,109,101,110,116,115,32,109,117,115,116,32,98,101,32,112,114,101,99,101,100,101,100,32,119,105,116,104,32,39,45,39,0,73,110,99,111,114,114,101,99,116,32,105,110,100,101,110,116,97,116,105,111,110,0,105,99,118,89,77,76,80,97,114,115,101,75,101,121,0,75,101,121,32,109,97,121,32,110,111,116,32,115,116,97,114,116,32,119,105,116,104,32,39,45,39,0,77,105,115,115,105,110,103,32,39,58,39,0,65,110,32,101,109,112,116,121,32,107,101,121,0,105,99,118,89,77,76,83,107,105,112,83,112,97,99,101,115,0,84,111,111,32,108,111,110,103,32,115,116,114,105,110,103,32,111,114,32,97,32,108,97,115,116,32,115,116,114,105,110,103,32,119,47,111,32,110,101,119,108,105,110,101,0,84,97,98,115,32,97,114,101,32,112,114,111,104,105,98,105,116,101,100,32,105,110,32,89,65,77,76,33,0,105,99,118,89,77,76,87,114,105,116,101,0,105,99,118,89,77,76,83,116,97,114,116,87,114,105,116,101,83,116,114,117,99,116,0,33,33,98,105,110,97,114,121,32,124,0,33,33,37,115,32,37,99,0,33,33,37,115,0,105,99,118,89,77,76,69,110,100,87,114,105,116,101,83,116,114,117,99,116,0,46,46,46,10,0,45,45,45,10,0,105,99,118,89,77,76,87,114,105,116,101,83,116,114,105,110,103,0,120,37,48,50,120,0,105,99,118,89,77,76,87,114,105,116,101,67,111,109,109,101,110,116,0,105,99,118,74,83,79,78,80,97,114,115,101,0,108,101,102,116,45,98,114,97,99,101,32,111,102,32,116,111,112,32,108,101,118,101,108,32,105,115,32,109,105,115,115,105,110,103,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,99,111,114,101,47,115,114,99,47,112,101,114,115,105,115,116,101,110,99,101,95,106,115,111,110,46,99,112,112,0,85,110,101,120,112,101,99,116,101,100,32,69,110,100,45,79,102,45,70,105,108,101,0,105,99,118,74,83,79,78,80,97,114,115,101,83,101,113,0,112,116,114,32,105,115,32,78,85,76,76,0,39,91,39,32,45,32,108,101,102,116,45,98,114,97,99,101,32,111,102,32,115,101,113,32,105,115,32,109,105,115,115,105,110,103,0,85,110,101,120,112,101,99,116,101,100,32,99,104,97,114,97,99,116,101,114,0,39,93,39,32,45,32,114,105,103,104,116,45,98,114,97,99,101,32,111,102,32,115,101,113,32,105,115,32,109,105,115,115,105,110,103,0,105,99,118,74,83,79,78,80,97,114,115,101,86,97,108,117,101,0,36,98,97,115,101,54,52,36,0,39,34,39,32,45,32,114,105,103,104,116,45,113,117,111,116,101,32,111,102,32,115,116,114,105,110,103,32,105,115,32,109,105,115,115,105,110,103,0,73,110,118,97,108,105,100,32,96,100,116,96,32,105,110,32,66,97,115,101,54,52,32,104,101,97,100,101,114,0,73,110,118,97,108,105,100,32,66,97,115,101,54,52,32,100,97,116,97,46,0,66,121,116,101,32,115,105,122,101,32,110,111,116,32,109,97,116,99,104,32,101,108,101,109,101,109,116,32,115,105,122,101,0,85,110,114,101,99,111,103,110,105,122,101,100,32,66,97,115,101,54,52,32,104,101,97,100,101,114,0,39,92,117,88,88,88,88,39,32,99,117,114,114,101,110,116,108,121,32,110,111,116,32,115,117,112,112,111,114,116,101,100,0,73,110,118,97,108,105,100,32,101,115,99,97,112,101,32,99,104,97,114,97,99,116,101,114,0,40,112,116,114,91,48,93,32,33,61,32,48,32,124,124,32,112,116,114,32,33,61,32,102,115,45,62,98,117,102,102,101,114,95,101,110,100,32,45,32,49,41,32,38,38,32,34,79,112,101,110,67,86,32,112,101,114,115,105,115,116,101,110,99,101,32,100,111,101,115,110,39,116,32,115,117,112,112,111,114,116,32,118,101,114,121,32,108,111,110,103,32,108,105,110,101,115,34,0,73,110,118,97,108,105,100,32,110,117,109,101,114,105,99,32,118,97,108,117,101,32,40,105,110,99,111,110,115,105,115,116,101,110,116,32,101,120,112,108,105,99,105,116,32,116,121,112,101,32,115,112,101,99,105,102,105,99,97,116,105,111,110,63,41,0,110,117,108,108,0,86,97,108,117,101,32,39,110,117,108,108,39,32,105,115,32,110,111,116,32,115,117,112,112,111,114,116,101,100,32,98,121,32,116,104,105,115,32,112,97,114,115,101,114,0,85,110,114,101,99,111,103,110,105,122,101,100,32,118,97,108,117,101,0,105,99,118,74,83,79,78,80,97,114,115,101,77,97,112,0,39,123,39,32,45,32,108,101,102,116,45,98,114,97,99,101,32,111,102,32,109,97,112,32,105,115,32,109,105,115,115,105,110,103,0,105,99,118,74,83,79,78,80,97,114,115,101,75,101,121,0,75,101,121,32,109,117,115,116,32,101,110,100,32,119,105,116,104,32,39,34,39,0,77,105,115,115,105,110,103,32,39,58,39,32,98,101,116,119,101,101,110,32,107,101,121,32,97,110,100,32,118,97,108,117,101,0,75,101,121,32,105,115,32,101,109,112,116,121,0,116,121,112,101,95,105,100,0,34,116,121,112,101,95,105,100,34,32,115,104,111,117,108,100,32,98,101,32,111,102,32,116,121,112,101,32,115,116,114,105,110,103,0,39,125,39,32,45,32,114,105,103,104,116,45,98,114,97,99,101,32,111,102,32,109,97,112,32,105,115,32,109,105,115,115,105,110,103,0,105,99,118,74,83,79,78,83,107,105,112,83,112,97,99,101,115,0,78,111,116,32,115,117,112,112,111,114,116,101,100,32,101,115,99,97,112,101,32,99,104,97,114,97,99,116,101,114,0,73,110,118,97,108,105,100,32,99,104,97,114,97,99,116,101,114,32,105,110,32,116,104,101,32,115,116,114,101,97,109,0,65,116,32,112,114,101,115,101,110,116,44,32,111,117,116,112,117,116,32,66,97,115,101,54,52,32,100,97,116,97,32,111,110,108,121,46,0,105,99,118,74,83,79,78,87,114,105,116,101,0,84,104,101,32,107,101,121,32,105,115,32,97,110,32,101,109,112,116,121,0,84,104,101,32,107,101,121,32,105,115,32,116,111,111,32,108,111,110,103,0,65,110,32,97,116,116,101,109,112,116,32,116,111,32,97,100,100,32,101,108,101,109,101,110,116,32,119,105,116,104,111,117,116,32,97,32,107,101,121,32,116,111,32,97,32,109,97,112,44,32,111,114,32,97,100,100,32,101,108,101,109,101,110,116,32,119,105,116,104,32,107,101,121,32,116,111,32,115,101,113,117,101,110,99,101,0,75,101,121,32,109,117,115,116,32,115,116,97,114,116,32,119,105,116,104,32,97,32,108,101,116,116,101,114,32,111,114,32,95,0,75,101,121,32,110,97,109,101,115,32,109,97,121,32,111,110,108,121,32,99,111,110,116,97,105,110,32,97,108,112,104,97,110,117,109,101,114,105,99,32,99,104,97,114,97,99,116,101,114,115,32,91,97,45,122,65,45,90,48,45,57,93,44,32,39,45,39,44,32,39,95,39,32,97,110,100,32,39,32,39,0,83,111,109,101,32,99,111,108,108,101,99,116,105,111,110,32,116,121,112,101,32,45,32,67,86,95,78,79,68,69,95,83,69,81,32,111,114,32,67,86,95,78,79,68,69,95,77,65,80,44,32,109,117,115,116],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+225284);allocate([32,98,101,32,115,112,101,99,105,102,105,101,100,0,105,99,118,74,83,79,78,83,116,97,114,116,87,114,105,116,101,83,116,114,117,99,116,0,98,105,110,97,114,121,0,69,110,100,87,114,105,116,101,83,116,114,117,99,116,32,119,47,111,32,109,97,116,99,104,105,110,103,32,83,116,97,114,116,87,114,105,116,101,83,116,114,117,99,116,0,105,99,118,74,83,79,78,69,110,100,87,114,105,116,101,83,116,114,117,99,116,0,78,117,108,108,32,115,116,114,105,110,103,32,112,111,105,110,116,101,114,0,105,99,118,74,83,79,78,87,114,105,116,101,83,116,114,105,110,103,0,84,104,101,32,119,114,105,116,116,101,110,32,115,116,114,105,110,103,32,105,115,32,116,111,111,32,108,111,110,103,0,78,117,108,108,32,99,111,109,109,101,110,116,0,105,99,118,74,83,79,78,87,114,105,116,101,67,111,109,109,101,110,116,0,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,97,98,99,100,101,102,103,104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,48,49,50,51,52,53,54,55,56,57,43,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,62,0,0,0,63,52,53,54,55,56,57,58,59,60,61,0,0,0,0,0,0,0,0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,0,0,0,0,0,0,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,0,0,0,0,98,117,102,102,101,114,46,115,105,122,101,40,41,32,60,32,72,69,65,68,69,82,95,83,73,90,69,0,109,97,107,101,95,98,97,115,101,54,52,95,104,101,97,100,101,114,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,99,111,114,101,47,115,114,99,47,112,101,114,115,105,115,116,101,110,99,101,95,98,97,115,101,54,52,46,99,112,112,0,78,83,116,51,95,95,50,49,57,98,97,115,105,99,95,105,115,116,114,105,110,103,115,116,114,101,97,109,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,99,69,69,69,69,0,102,108,117,115,104,0,100,115,116,95,99,117,114,32,43,32,108,101,110,32,60,32,100,115,116,95,101,110,100,0,102,108,117,115,104,40,41,0,73,110,118,97,108,105,100,32,112,111,105,110,116,101,114,32,116,111,32,102,105,108,101,32,115,116,111,114,97,103,101,0,66,97,115,101,54,52,87,114,105,116,101,114,0,84,104,101,32,102,105,108,101,32,115,116,111,114,97,103,101,32,105,115,32,111,112,101,110,101,100,32,102,111,114,32,114,101,97,100,105,110,103,0,66,97,115,101,54,52,67,111,110,116,101,120,116,69,109,105,116,116,101,114,0,34,36,98,97,115,101,54,52,36,0,115,114,99,0,82,97,119,68,97,116,97,84,111,66,105,110,97,114,121,67,111,110,118,101,114,116,111,114,0,33,100,116,46,101,109,112,116,121,40,41,0,108,101,110,32,62,32,48,0,109,97,107,101,95,116,111,95,98,105,110,97,114,121,95,102,117,110,99,115,0,116,121,112,101,32,105,115,32,110,111,116,32,115,117,112,112,111,114,116,101,100,0,105,115,115,46,101,111,102,40,41,0,73,110,118,97,108,105,100,32,39,100,116,39,46,0,99,104,101,99,107,95,100,116,0,39,100,116,39,32,100,111,101,115,32,110,111,116,32,109,97,116,99,104,46,0,66,105,110,97,114,121,84,111,67,118,83,101,113,67,111,110,118,101,114,116,111,114,0,109,97,107,101,95,102,117,110,99,115,0,98,105,110,97,114,121,95,116,111,95,102,117,110,99,115,46,115,105,122,101,40,41,0,99,118,87,114,105,116,101,82,97,119,68,97,116,97,66,97,115,101,54,52,0,66,97,115,101,54,52,32,115,104,111,117,108,100,32,110,111,116,32,98,101,32,117,115,101,100,32,97,116,32,112,114,101,115,101,110,116,46,0,111,112,101,110,99,118,45,115,101,113,117,101,110,99,101,0,111,112,101,110,99,118,45,115,101,113,117,101,110,99,101,45,116,114,101,101,0,111,112,101,110,99,118,45,103,114,97,112,104,0,111,112,101,110,99,118,45,115,112,97,114,115,101,45,109,97,116,114,105,120,0,111,112,101,110,99,118,45,105,109,97,103,101,0,111,112,101,110,99,118,45,109,97,116,114,105,120,0,111,112,101,110,99,118,45,110,100,45,109,97,116,114,105,120,0,115,105,122,101,115,0,105,0,100,116,0,83,111,109,101,32,111,102,32,101,115,115,101,110,116,105,97,108,32,109,97,116,114,105,120,32,97,116,116,114,105,98,117,116,101,115,32,97,114,101,32,97,98,115,101,110,116,0,105,99,118,82,101,97,100,77,97,116,78,68,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,99,111,114,101,47,115,114,99,47,112,101,114,115,105,115,116,101,110,99,101,95,116,121,112,101,115,46,99,112,112,0,67,111,117,108,100,32,110,111,116,32,100,101,116,101,114,109,105,110,101,32,116,104,101,32,109,97,116,114,105,120,32,100,105,109,101,110,115,105,111,110,97,108,105,116,121,0,84,104,101,32,109,97,116,114,105,120,32,100,97,116,97,32,105,115,32,110,111,116,32,102,111,117,110,100,32,105,110,32,102,105,108,101,32,115,116,111,114,97,103,101,0,84,104,101,32,109,97,116,114,105,120,32,115,105,122,101,32,100,111,101,115,32,110,111,116,32,109,97,116,99,104,32,116,111,32,116,104,101,32,110,117,109,98,101,114,32,111,102,32,115,116,111,114,101,100,32,101,108,101,109,101,110,116,115,0,114,111,119,115,0,99,111,108,115,0,105,99,118,82,101,97,100,77,97,116,0,73,109,97,103,101,115,32,119,105,116,104,32,112,108,97,110,97,114,32,100,97,116,97,32,108,97,121,111,117,116,32,97,114,101,32,110,111,116,32,115,117,112,112,111,114,116,101,100,0,105,99,118,87,114,105,116,101,73,109,97,103,101,0,116,111,112,45,108,101,102,116,0,98,111,116,116,111,109,45,108,101,102,116,0,111,114,105,103,105,110,0,112,108,97,110,97,114,0,105,110,116,101,114,108,101,97,118,101,100,0,108,97,121,111,117,116,0,114,111,105,0,121,0,99,111,105,0,83,111,109,101,32,111,102,32,101,115,115,101,110,116,105,97,108,32,105,109,97,103,101,32,97,116,116,114,105,98,117,116,101,115,32,97,114,101,32,97,98,115,101,110,116,0,105,99,118,82,101,97,100,73,109,97,103,101,0,79,110,108,121,32,105,110,116,101,114,108,101,97,118,101,100,32,105,109,97,103,101,115,32,99,97,110,32,98,101,32,114,101,97,100,0,84,104,101,32,105,109,97,103,101,32,100,97,116,97,32,105,115,32,110,111,116,32,102,111,117,110,100,32,105,110,32,102,105,108,101,32,115,116,111,114,97,103,101,0,105,99,118,82,101,97,100,83,112,97,114,115,101,77,97,116,0,67,111,117,108,100,32,110,111,116,32,100,101,116,101,114,109,105,110,101,32,115,112,97,114,115,101,32,109,97,116,114,105,120,32,100,105,109,101,110,115,105,111,110,97,108,105,116,121,0,83,112,97,114,115,101,32,109,97,116,114,105,120,32,100,97,116,97,32,105,115,32,99,111,114,114,117,112,116,101,100,0,111,114,105,101,110,116,101,100,0,102,108,97,103,115,0,118,101,114,116,101,120,95,99,111,117,110,116,0,118,101,114,116,101,120,95,100,116,0,101,100,103,101,95,99,111,117,110,116,0,101,100,103,101,95,100,116,0,50,105,102,37,115,0,118,101,114,116,105,99,101,115,0,101,100,103,101,115,0,104,101,97,100,101,114,95,100,116,0,84,104,101,32,115,105,122,101,32,111,102,32,104,101,97,100,101,114,32,99,97,108,99,117,108,97,116,101,100,32,102,114,111,109,32,34,104,101,97,100,101,114,95,100,116,34,32,105,115,32,103,114,101,97,116,101,114,32,116,104,97,110,32,104,101,97,100,101,114,95,115,105,122,101,0,105,99,118,87,114,105,116,101,72,101,97,100,101,114,68,97,116,97,0,99,111,108,111,114,0,37,117,105,0,37,117,117,0,104,101,97,100,101,114,95,117,115,101,114,95,100,97,116,97,0,84,104,101,32,115,105,122,101,32,111,102,32,101,108,101,109,101,110,116,32,99,97,108,99,117,108,97,116,101,100,32,102,114,111,109,32,34,100,116,34,32,97,110,100,32,116,104,101,32,101,108,101,109,95,115,105,122,101,32,100,111,32,110,111,116,32,109,97,116,99,104,0,105,99,118,71,101,116,70,111,114,109,97,116,0,83,105,122,101,32,111,102,32,115,101,113,117,101,110,99,101,32,101,108,101,109,101,110,116,32,40,101,108,101,109,95,115,105,122,101,41,32,105,115,32,105,110,99,111,110,115,105,115,116,101,110,116,32,119,105,116,104,32,115,101,113,45,62,102,108,97,103,115,0,83,111,109,101,32,111,102,32,101,115,115,101,110,116,105,97,108,32,103,114,97,112,104,32,97,116,116,114,105,98,117,116,101,115,32,97,114,101,32,97,98,115,101,110,116,0,105,99,118,82,101,97,100,71,114,97,112,104,0,84,104,101,32,115,101,113,117,101,110,99,101,32,102,108,97,103,115,32,97,114,101,32,105,110,118,97,108,105,100,0,79,110,101,32,111,102,32,34,104,101,97,100,101,114,95,100,116,34,32,97,110,100,32,34,104,101,97,100,101,114,95,117,115,101,114,95,100,97,116,97,34,32,105,115,32,116,104,101,114,101,44,32,119,104,105,108,101,32,116,104,101,32,111,116,104,101,114,32,105,115,32,110,111,116,0,71,114,97,112,104,32,101,100,103,101,115,32,115,104,111,117,108,100,32,115,116,97,114,116,32,119,105,116,104,32,50,32,105,110,116,101,103,101,114,115,32,97,110,100,32,97,32,102,108,111,97,116,0,37,100,102,37,115,0,78,111,32,101,100,103,101,115,32,100,97,116,97,0,78,111,32,118,101,114,116,105,99,101,115,32,100,97,116,97,0,83,111,109,101,32,111,102,32,115,116,111,114,101,100,32,118,101,114,116,101,120,32,105,110,100,105,99,101,115,32,97,114,101,32,111,117,116,32,111,102,32,114,97,110,103,101,0,68,117,112,108,105,99,97,116,101,100,32,101,100,103,101,32,104,97,115,32,111,99,99,117,114,114,101,100,0,78,85,76,76,32,100,111,117,98,108,101,32,112,111,105,110,116,101,114,0,105,99,118,82,101,108,101,97,115,101,71,114,97,112,104,0,115,101,113,117,101,110,99,101,115,0,111,112,101,110,99,118,45,115,101,113,117,101,110,99,101,45,116,114,101,101,32,105,110,115,116,97,110,99,101,32,115,104,111,117,108,100,32,99,111,110,116,97,105,110,32,97,32,102,105,101,108,100,32,34,115,101,113,117,101,110,99,101,115,34,32,116,104,97,116,32,115,104,111,117,108,100,32,98,101,32,97,32,115,101,113,117,101,110,99,101,0,105,99,118,82,101,97,100,83,101,113,84,114,101,101,0,115,101,113,0,108,101,118,101,108,0,65,108,108,32,116,104,101,32,115,101,113,117,101,110,99,101,32,116,114,101,101,32,110,111,100,101,115,32,115,104,111,117,108,100,32,99,111,110,116,97,105,110,32,34,108,101,118,101,108,34,32,102,105,101,108,100,0,114,101,99,117,114,115,105,118,101,0,70,65,76,83,69,0,32,104,111,108,101,0,32,99,117,114,118,101,0,32,117,110,116,121,112,101,100,0,99,111,117,110,116,0,83,111,109,101,32,111,102,32,101,115,115,101,110,116,105,97,108,32,115,101,113,117,101,110,99,101,32,97,116,116,114,105,98,117,116,101,115,32,97,114,101,32,97,98,115,101,110,116,0,105,99,118,82,101,97,100,83,101,113,0,99,117,114,118,101,0,99,108,111,115,101,100,0,104,111,108,101,0,117,110,116,121,112,101,100,0,79,110,108,121,32,111,110,101,32,111,102,32,34,104,101,97,100,101,114,95,117,115,101,114,95,100,97,116,97,34,44,32,34,114,101,99,116,34,32,97,110,100,32,34,111,114,105,103,105,110,34,32,116,97,103,115,32,109,97,121,32,111,99,99,117,114,0,84,104,101,32,110,117,109,98,101,114,32,111,102,32,115,116,111,114,101,100,32,101,108,101,109,101,110,116,115,32,100,111,101,115,32,110,111,116,32,109,97,116,99,104,32,116,111,32,34,99,111,117,110,116,34,0,105,99,118,82,101,108,101,97,115,101,83,101,113,0,85,110,107,110,111,119,110,47,117,110,115,117,112,112,111,114,116,101,100,32,105,110,116,101,114,112,111,108,97,116,105,111,110,32,116,121,112,101,0,105,110,105,116,73,110,116,101,114,84,97,98,50,68,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,105,109,103,112,114,111,99,47,115,114,99,47,105,109,103,119,97,114,112,46,99,112,112,0,105,110,105,116,73,110,116,101,114,84,97,98,49,68,0,95,109,97,112,49,46,115,105,122,101,40,41,46,97,114,101,97,40,41,32,62,32,48,0,114,101,109,97,112,0,95,109,97,112,50,46,101,109,112,116,121,40,41,32,124,124,32,40,95,109,97,112,50,46,115,105,122,101,40,41,32,61,61,32,95,109,97,112,49,46,115,105,122,101,40,41,41,0,100,115,116,46,99,111,108,115,32,60,32,83,72,82,84,95,77,65,88,32,38,38,32,100,115,116,46,114,111,119,115,32,60,32,83,72,82,84,95,77,65,88,32,38,38,32,115,114,99,46,99,111,108,115,32,60,32,83,72,82,84,95,77,65,88,32,38,38,32,115,114,99,46,114,111,119,115,32,60,32,83,72,82,84,95,77,65,88,0,110,110,102,117,110,99,32,33,61,32,48,0,95,115,114,99,46,99,104,97,110,110,101,108,115,40,41,32,60,61,32,52,0,105,102,117,110,99,32,33,61,32,48,0,40,40,109,97,112,49,46,116,121,112,101,40,41,32,61,61,32,67,86,95,51,50,70,67,50,32,124,124,32,109,97,112,49,46,116,121,112,101,40,41,32,61,61,32,67,86,95,49,54,83,67,50,41,32,38,38,32,109,97,112,50,46,101,109,112,116,121,40,41,41,32,124,124,32,40,109,97,112,49,46,116,121,112,101,40,41,32,61,61,32,67,86,95,51,50,70,67,49,32,38,38,32,109,97,112,50,46,116,121,112,101,40,41,32,61,61,32,67,86,95,51,50,70,67,49,41,0,78,50,99,118,49,50,82,101,109,97,112,73,110,118,111,107,101,114,69,0,115,115,105,122,101,46,97,114,101,97,40,41,32,62,32,48,0,114,101,109,97,112,66,105,108,105,110,101,97,114,0,118,111,105,100,32,99,118,58,58,114,101,109,97,112,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,44,32,105,110,116,44,32,105,110,116,44,32,99,111,110,115,116,32,83,99,97,108,97,114,32,38,41,0,78,50,99,118,49,55,87,97,114,112,65,102,102,105,110,101,73,110,118,111,107,101,114,69,0,95,115,114,99,46,99,104,97,110,110,101,108,115,40,41,32,60,61,32,52,32,124,124,32,40,105,110,116,101,114,112,111,108,97,116,105,111,110,32,33,61,32,73,78,84,69,82,95,76,65,78,67,90,79,83,52,32,38,38,32,105,110,116,101,114,112,111,108,97,116,105,111,110,32,33,61,32,73,78,84,69,82,95,67,85,66,73,67,41,0,119,97,114,112,65,102,102,105,110,101,0,115,114,99,46,99,111,108,115,32,62,32,48,32,38,38,32,115,114,99,46,114,111,119,115,32,62,32,48,0,40,77,48,46,116,121,112,101,40,41,32,61,61,32,67,86,95,51,50,70,32,124,124,32,77,48,46,116,121,112,101,40,41,32,61,61,32,67,86,95,54,52,70,41,32,38,38,32,77,48,46,114,111,119,115,32,61,61,32,50,32,38,38,32,77,48,46,99,111,108,115,32,61,61,32,51,0,118,111,105,100,32,99,118,58,58,119,97,114,112,65,102,102,105,110,101,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,44,32,83,105,122,101,44,32,105,110,116,44,32,105,110,116,44,32,99,111,110,115,116,32,83,99,97,108,97,114,32,38,41,0,78,50,99,118,50,50,87,97,114,112,80,101,114,115,112,101,99,116,105,118,101,73,110,118,111,107,101,114,69,0,95,115,114,99,46,116,111,116,97,108,40,41,32,62,32,48,0,119,97,114,112,80,101,114,115,112,101,99,116,105,118,101,0,40,77,48,46,116,121,112,101,40,41,32,61,61,32,67,86,95,51,50,70,32,124,124,32,77,48,46,116,121,112,101,40,41,32,61,61,32,67,86,95,54,52,70,41,32,38,38,32,77,48,46,114,111,119,115,32,61,61,32,51,32,38,38,32,77,48,46,99,111,108,115,32,61,61,32,51,0,118,111,105,100,32,99,118,58,58,119,97,114,112,80,101,114,115,112,101,99,116,105,118,101,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,44,32,83,105,122,101,44,32,105,110,116,44,32,105,110,116,44,32,99,111,110,115,116,32,83,99,97,108,97,114,32,38,41,0,99,118,58,58,77,97,116,32,99,118,58,58,103,101,116,82,111,116,97,116,105,111,110,77,97,116,114,105,120,50,68,40,80,111,105,110,116,50,102,44,32,100,111,117,98,108,101,44,32,100,111,117,98,108,101,41,0,99,118,58,58,77,97,116,32,99,118,58,58,103,101,116,80,101,114,115,112,101,99,116,105,118,101,84,114,97,110,115,102,111,114,109,40,99,111,110,115,116,32,80,111,105,110,116,50,102,32,42,44,32,99,111,110,115,116,32,80,111,105,110,116,50,102,32,42,44,32,105,110,116,41,0,115,114,99,46,99,104,101,99,107,86,101,99,116,111,114,40,50,44,32,67,86,95,51,50,70,41,32,61,61,32,52,32,38,38,32,100,115,116,46,99,104,101,99,107,86,101,99,116,111,114,40,50,44,32,67,86,95,51,50,70,41,32,61,61,32,52,0,103,101,116,80,101,114,115,112,101,99,116,105,118,101,84,114,97,110,115,102,111,114,109,0,115,114,99,46,99,104,101,99,107,86,101,99,116,111,114,40,50,44,32,67,86,95,51,50,70,41,32,61,61,32,51,32,38,38,32,100,115,116,46,99,104,101,99,107,86,101,99,116,111,114,40,50,44,32,67,86,95,51,50,70,41,32,61,61,32,51,0,103,101,116,65,102,102,105,110,101,84,114,97,110,115,102,111,114,109,0,110,112,111,105,110,116,115,50,32,62,61,32,48,32,124,124,32,110,112,111,105,110,116,115,51,32,62,61,32,48,0,102,105,116,76,105,110,101,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,105,109,103,112,114,111,99,47,115,114,99,47,108,105,110,101,102,105,116,46,99,112,112,0,85,110,107,110,111,119,110,32,100,105,115,116,97,110,99,101,32,116,121,112,101,0,102,105,116,76,105,110,101,50,68,0,85,110,107,110,111,119,110,32,100,105,115,116,97,110,99,101,0,102,105,116,76,105,110,101,51,68,0,99,111,117,110,116,32,62,32,48,0,102,105,116,76,105,110,101,51,68,95,119,111,100,115,0,102,105,116,76,105,110,101,50,68,95,119,111,100,115,0,118,111,105,100,32,99,118,58,58,102,105,116,76,105,110,101,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,44,32,100,111,117,98,108,101,44,32,100,111,117,98,108,101,44,32,100,111,117,98,108,101,41,0,95,109,111,100,101,108,32,109,117,115,116,32,104,97,118,101,32,67,86,95,54,52,70,67,49,32,116,121,112,101,44,32,114,111,119,115,32,61,61,32,49,32,97,110,100,32,99,111,108,115,32,61,61,32,49,51,42,99,111,109,112,111,110,101,110,116,115,67,111,117,110,116,0,71,77,77,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,105,109,103,112,114,111,99,47,115,114,99,47,103,114,97,98,99,117,116,46,99,112,112,0,100,116,114,109,32,62,32,115,116,100,58,58,110,117,109,101,114,105,99,95,108,105,109,105,116,115,60,100,111,117,98,108,101,62,58,58,101,112,115,105,108,111,110,40,41,0,99,97,108,99,73,110,118,101,114,115,101,67,111,118,65,110,100,68,101,116,101,114,109,0,99,111,118,68,101,116,101,114,109,115,91,99,105,93,32,62,32,115,116,100,58,58,110,117,109,101,114,105,99,95,108,105,109,105,116,115,60,100,111,117,98,108,101,62,58,58,101,112,115,105,108,111,110,40,41,0,116,111,116,97,108,83,97,109,112,108,101,67,111,117,110,116,32,62,32,48,0,101,110,100,76,101,97,114,110,105,110,103,0,105,109,97,103,101,32,105,115,32,101,109,112,116,121,0,103,114,97,98,67,117,116,0,105,109,97,103,101,32,109,117,115,116,32,104,97,118,101,32,67,86,95,56,85,67,51,32,116,121,112,101,0,33,98,103,100,83,97,109,112,108,101,115,46,101,109,112,116,121,40,41,32,38,38,32,33,102,103,100,83,97,109,112,108,101,115,46,101,109,112,116,121,40,41,0,105,110,105,116,71,77,77,115,0,105,62,61,48,32,38,38,32,105,60,40,105,110,116,41,118,116,99,115,46,115,105,122,101,40,41,0,97,100,100,84,101,114,109,87,101,105,103,104,116,115,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,105,109,103,112,114,111,99,47,105,110,99,108,117,100,101,47,111,112,101,110,99,118,50,47,105,109,103,112,114,111,99,47,100,101,116,97,105,108,47,103,99,103,114,97,112,104,46,104,112,112,0,105,110,83,111,117,114,99,101,83,101,103,109,101,110,116,0,109,105,110,87,101,105,103,104,116,32,62,32,48,0,109,97,120,70,108,111,119,0,97,100,100,69,100,103,101,115,0,106,62,61,48,32,38,38,32,106,60,40,105,110,116,41,118,116,99,115,46,115,105,122,101,40,41,0,119,62,61,48,32,38,38,32,114,101,118,119,62,61,48,0,105,32,33,61,32,106,0,109,97,115,107,32,105,115,32,101,109,112,116,121,0,99,104,101,99,107,77,97,115,107,0,109,97,115,107,32,109,117,115,116,32,104,97,118,101,32,67,86,95,56,85,67,49,32,116,121,112,101,0,109,97,115,107,32,109,117,115,116,32,104,97,118,101,32,97,115,32,109,97,110,121,32,114,111,119,115,32,97,110,100,32,99,111,108,115,32,97,115,32,105,109,103,0,109,97,115,107,32,101,108,101,109,101,110,116,32,118,97,108,117,101,32,109,117,115,116,32,98,101,32,101,113,117,97,108,32,71,67,95,66,71,68,32,111,114,32,71,67,95,70,71,68,32,111,114,32,71,67,95,80,82,95,66,71,68,32,111,114,32,71,67,95,80,82,95,70,71,68,0,118,111,105,100,32,99,118,58,58,103,114,97,98,67,117,116,40,73,110,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,79,117,116,112,117,116,65,114,114,97,121,44,32,82,101,99,116,44,32,73,110,112,117,116,79,117,116,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,44,32,105,110,116,41,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,105,109,103,112,114,111,99,47,115,114,99,47,103,101,111,109,101,116,114,121,46,99,112,112,0,116,111,116,97,108,32,62,61,32,48,32,38,38,32,40,100,101,112,116,104,32,61,61,32,67,86,95,51,50,83,32,124,124,32,100,101,112,116,104,32,61,61,32,67,86,95,51,50,70,41,0,112,111,105,110,116,80,111,108,121,103,111,110,84,101,115,116,0,100,111,117,98,108,101,32,99,118,58,58,112,111,105,110,116,80,111,108,121,103,111,110,84,101,115,116,40,73,110,112,117,116,65,114,114,97,121,44,32,80,111,105,110,116,50,102,44,32,98,111,111,108,41,0,105,109,103,46,100,105,109,115,32,60,61,32,50,32,38,38,32,116,101,109,112,108,46,100,105,109,115,32,60,61,32,50,32,38,38,32,99,111,114,114,46,100,105,109,115,32,60,61,32,50,0,99,114,111,115,115,67,111,114,114,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,105,109,103,112,114,111,99,47,115,114,99,47,116,101,109,112,108,109,97,116,99,104,46,99,112,112,0,100,101,112,116,104,32,61,61,32,116,100,101,112,116,104,32,124,124,32,116,100,101,112,116,104,32,61,61,32,67,86,95,51,50,70,0,99,111,114,114,115,105,122,101,46,104,101,105,103,104,116,32,60,61,32,105,109,103,46,114,111,119,115,32,43,32,116,101,109,112,108,46,114,111,119,115,32,45,32,49,32,38,38,32,99,111,114,114,115,105,122,101,46,119,105,100,116,104,32,60,61,32,105,109,103,46,99,111,108,115,32,43,32,116,101,109,112,108,46,99,111,108,115,32,45,32,49,0,99,99,110,32,61,61,32,49,32,124,124,32,100,101,108,116,97,32,61,61,32,48,0,116,104,101,32,105,110,112,117,116,32,97,114,114,97,121,115,32,97,114,101,32,116,111,111,32,98,105,103,0,67,86,95,84,77,95,83,81,68,73,70,70,32,60,61,32,109,101,116,104,111,100,32,38,38,32,109,101,116,104,111,100,32,60,61,32,67,86,95,84,77,95,67,67,79,69,70,70,95,78,79,82,77,69,68,0,109,97,116,99,104,84,101,109,112,108,97,116,101,77,97,115,107,0,40,100,101,112,116,104,32,61,61,32,67,86,95,56,85,32,124,124,32,100,101,112,116,104,32,61,61,32,67,86,95,51,50,70,41,32,38,38,32,116,121,112,101,32,61,61,32,95,116,101,109,112,108,46,116,121,112,101,40,41,32,38,38,32,95,105,109,103,46,100,105,109,115,40,41,32,60,61,32,50,0,109,97,116,99,104,84,101,109,112,108,97,116,101,0,95,105,109,103,46,115,105,122,101,40,41,46,104,101,105,103,104,116,32,60,61,32,95,116,101,109,112,108,46,115,105,122,101,40,41,46,104,101,105,103,104,116,32,38,38,32,95,105,109,103,46,115,105,122,101,40,41,46,119,105,100,116,104,32,60,61,32,95,116,101,109,112,108,46,115,105,122,101,40,41,46,119,105,100,116,104,0,115,113,115,117,109,46,100,97,116,97,32,33,61,32,78,85,76,76,0,99,111,109,109,111,110,95,109,97,116,99,104,84,101,109,112,108,97,116,101,0,115,117,109,46,100,97,116,97,32,33,61,32,78,85,76,76,0,118,111,105,100,32,99,118,58,58,109,97,116,99,104,84,101,109,112,108,97,116,101,40,73,110,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,44,32,73,110,112,117,116,65,114,114,97,121,41,0,111,114,105,101,110,116,97,116,105,111,110,32,33,61,32,48,0,114,111,116,97,116,105,110,103,67,97,108,105,112,101,114,115,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,105,109,103,112,114,111,99,47,115,114,99,47,114,111,116,99,97,108,105,112,101,114,115,46,99,112,112,0,99,118,58,58,82,111,116,97,116,101,100,82,101,99,116,32,99,118,58,58,109,105,110,65,114,101,97,82,101,99,116,40,73,110,112,117,116,65,114,114,97,121,41,0,78,50,99,118,49,51,66,97,115,101,82,111,119,70,105,108,116,101,114,69,0,78,50,99,118,49,54,66,97,115,101,67,111,108,117,109,110,70,105,108,116,101,114,69,0,78,50,99,118,49,48,66,97,115,101,70,105,108,116,101,114,69,0,115,114,99,46,116,121,112,101,40,41,32,61,61,32,115,114,99,84,121,112,101,32,38,38,32,100,115,116,46,116,121,112,101,40,41,32,61,61,32,100,115,116,84,121,112,101,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,105,109,103,112,114,111,99,47,115,114,99,47,102,105,108,116,101,114,46,99,112,112,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,70,105,108,116,101,114,69,110,103,105,110,101,58,58,97,112,112,108,121,40,99,111,110,115,116,32,99,118,58,58,77,97,116,32,38,44,32,99,118,58,58,77,97,116,32,38,44,32,99,111,110,115,116,32,83,105,122,101,32,38,44,32,99,111,110,115,116,32,80,111,105,110,116,32,38,41,0,119,104,111,108,101,83,105,122,101,46,119,105,100,116,104,32,62,32,48,32,38,38,32,119,104,111,108,101,83,105,122,101,46,104,101,105,103,104,116,32,62,32,48,0,112,114,111,99,101,101,100,0,115,114,99,32,38,38,32,100,115,116,32,38,38,32,99,111,117,110,116,32,62,32,48,0,115,114,99,89,32,62,61,32,115,116,97,114,116,89,0,100,115,116,89,32,60,61,32,114,111,105,46,104,101,105,103,104,116,0,114,111,105,46,120,32,62,61,32,48,32,38,38,32,114,111,105,46,121,32,62,61,32,48,32,38,38,32,114,111,105,46,119,105,100,116,104,32,62,61,32,48,32,38,38,32,114,111,105,46,104,101,105,103,104,116,32,62,61,32,48,32,38,38,32,114,111,105,46,120,32,43,32,114,111,105,46,119,105,100,116,104,32,60,61,32,119,104,111,108,101,83,105,122,101,46,119,105,100,116,104,32,38,38,32,114,111,105,46,121,32,43,32,114,111,105,46,104,101,105,103,104,116,32,60,61,32,119,104,111,108,101,83,105,122,101,46,104,101,105,103,104,116,0,115,116,97,114,116,0,99,111,110,115,116,86,97,108,32,33,61,32,78,85,76,76,0,78,50,99,118,49,50,70,105,108,116,101,114,69,110,103,105,110,101,69,0,99,111,108,117,109,110,66,111,114,100,101,114,84,121,112,101,32,33,61,32,66,79,82,68,69,82,95,87,82,65,80,0,105,110,105,116,0,114,111,119,70,105,108,116,101,114,32,38,38,32,99,111,108,117,109,110,70,105,108,116,101,114,0,98,117,102,84,121,112,101,32,61,61,32,115,114,99,84,121,112,101,0,48,32,60,61,32,97,110,99,104,111,114,46,120,32,38,38,32,97,110,99,104,111,114,46,120,32,60,32,107,115,105,122,101,46,119,105,100,116,104,32,38,38,32,48,32,60,61,32,97,110,99,104,111,114,46,121,32,38,38,32,97,110,99,104,111,114,46,121,32,60,32,107,115,105,122,101,46,104,101,105,103,104,116,0,95,107,101,114,110,101,108,46,99,104,97,110,110,101,108,115,40,41,32,61,61,32,49,0,103,101,116,75,101,114,110,101,108,84,121,112,101,0,99,110,32,61,61,32,67,86,95,77,65,84,95,67,78,40,98,117,102,84,121,112,101,41,32,38,38,32,100,100,101,112,116,104,32,62,61,32,115,116,100,58,58,109,97,120,40,115,100,101,112,116,104,44,32,67,86,95,51,50,83,41,32,38,38,32,107,101,114,110,101,108,46,116,121,112,101,40,41,32,61,61,32,100,100,101,112,116,104,0,103,101,116,76,105,110,101,97,114,82,111,119,70,105,108,116,101,114,0,107,101,114,110,101,108,46,116,121,112,101,40,41,32,61,61,32,68,97,116,97,84,121,112,101,60,68,84,62,58,58,116,121,112,101,32,38,38,32,40,107,101,114,110,101,108,46,114,111,119,115,32,61,61,32,49,32,124,124,32,107,101,114,110,101,108,46,99,111,108,115,32,61,61,32,49,41,0,82,111,119,70,105,108,116,101,114,0,78,50,99,118,57,82,111,119,70,105,108,116,101,114,73,100,100,78,83,95,56,82,111,119,78,111,86,101,99,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,57,82,111,119,70,105,108,116,101,114,73,100,100,78,83,49,95,56,82,111,119,78,111,86,101,99,69,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,52,95,69,69,69,69,0,78,50,99,118,57,82,111,119,70,105,108,116,101,114,73,102,100,78,83,95,56,82,111,119,78,111,86,101,99,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,57,82,111,119,70,105,108,116,101,114,73,102,100,78,83,49,95,56,82,111,119,78,111,86,101,99,69,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,52,95,69,69,69,69,0,78,50,99,118,57,82,111,119,70,105,108,116,101,114,73,102,102,78,83,95,56,82,111,119,78,111,86,101,99,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,57,82,111,119,70,105,108,116,101,114,73,102,102,78,83,49,95,56,82,111,119,78,111,86,101,99,69,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,52,95,69,69,69,69,0,78,50,99,118,57,82,111,119,70,105,108,116,101,114,73,115,100,78,83,95,56,82,111,119,78,111,86,101,99,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,57,82,111,119,70,105,108,116,101,114,73,115,100,78,83,49,95,56,82,111,119,78,111,86,101,99,69,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,52,95,69,69,69,69,0,78,50,99,118,57,82,111,119,70,105,108,116,101,114,73,115,102,78,83,95,56,82,111,119,78,111,86,101,99,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,57,82,111,119,70,105,108,116,101,114,73,115,102,78,83,49,95,56,82,111,119,78,111,86,101,99,69,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,52,95,69,69,69,69,0,78,50,99,118,57,82,111,119,70,105,108,116,101,114,73,116,100,78,83,95,56,82,111,119,78,111,86,101,99,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,57,82,111,119,70,105,108,116,101,114,73,116,100,78,83,49,95,56,82,111,119,78,111,86,101,99,69,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,52,95,69,69,69,69,0,78,50,99,118,57,82,111,119,70,105,108,116,101,114,73,116,102,78,83,95,56,82,111,119,78,111,86,101,99,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,57,82,111,119,70,105,108,116,101,114,73,116,102,78,83,49,95,56,82,111,119,78,111,86,101,99,69,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,52,95,69,69,69,69,0,78,50,99,118,57,82,111,119,70,105,108,116,101,114,73,104,100,78,83,95,56,82,111,119,78,111,86,101,99,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,57,82,111,119,70,105,108,116,101,114,73,104,100,78,83,49,95,56,82,111,119,78,111,86,101,99,69,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,52,95,69,69,69,69,0,78,50,99,118,57,82,111,119,70,105,108,116,101,114,73,104,102,78,83,95,56,82,111,119,78,111,86,101,99,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,57,82,111,119,70,105,108,116,101,114,73,104,102,78,83,49,95,56,82,111,119,78,111,86,101,99,69,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,52,95,69,69,69,69,0,78,50,99,118,57,82,111,119,70,105,108,116,101,114,73,104,105,78,83,95,56,82,111,119,78,111,86,101,99,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,57,82,111,119,70,105,108,116,101,114,73,104,105,78,83,49,95,56,82,111,119,78,111,86,101,99,69,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,52,95,69,69,69,69,0,40,115,121,109,109,101,116,114,121,84,121,112,101,32,38,32,40,75,69,82,78,69,76,95,83,89,77,77,69,84,82,73,67,65,76,32,124,32,75,69,82,78,69,76,95,65,83,89,77,77,69,84,82,73,67,65,76,41,41,32,33,61,32,48,32,38,38,32,116,104,105,115,45,62,107,115,105,122,101,32,60,61,32,53,0,83,121,109,109,82,111,119,83,109,97,108,108,70,105,108,116,101,114,0,78,50,99,118,57,82,111,119,70,105,108,116,101,114,73,102,102,78,83,95,49,55,83,121,109,109,82,111,119,83,109,97,108,108,78,111,86,101,99,69,69,69,0,78,50,99,118,49,56,83,121,109,109,82,111,119,83,109,97,108,108,70,105,108,116,101,114,73,102,102,78,83,95,49,55,83,121,109,109,82,111,119,83,109,97,108,108,78,111,86,101,99,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,49,56,83,121,109,109,82,111,119,83,109,97,108,108,70,105,108,116,101,114,73,102,102,78,83,49,95,49,55,83,121,109,109,82,111,119,83,109,97,108,108,78,111,86,101,99,69,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,52,95,69,69,69,69,0,78,50,99,118,57,82,111,119,70,105,108,116,101,114,73,104,105,78,83,95,49,55,83,121,109,109,82,111,119,83,109,97,108,108,78,111,86,101,99,69,69,69,0,78,50,99,118,49,56,83,121,109,109,82,111,119,83,109,97,108,108,70,105,108,116,101,114,73,104,105,78,83,95,49,55,83,121,109,109,82,111,119,83,109,97,108,108,78,111,86,101,99,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,49,56,83,121,109,109,82,111,119,83,109,97,108,108,70,105,108,116,101,114,73,104,105,78,83,49,95,49,55,83,121,109,109,82,111,119,83,109,97,108,108,78,111,86,101,99,69,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,52,95,69,69,69,69,0,99,110,32,61,61,32,67,86,95,77,65,84,95,67,78,40,98,117,102,84,121,112,101,41,32,38,38,32,115,100,101,112,116,104,32,62,61,32,115,116,100,58,58,109,97,120,40,100,100,101,112,116,104,44,32,67,86,95,51,50,83,41,32,38,38,32,107,101,114,110,101,108,46,116,121,112,101,40,41,32,61,61,32,115,100,101,112,116,104,0,103,101,116,76,105,110,101,97,114,67,111,108,117,109,110,70,105,108,116,101,114,0,85,110,115,117,112,112,111,114,116,101,100,32,99,111,109,98,105,110,97,116,105,111,110,32,111,102,32,98,117,102,102,101,114,32,102,111,114,109,97,116,32,40,61,37,100,41,44,32,97,110,100,32,100,101,115,116,105,110,97,116,105,111,110,32,102,111,114,109,97,116,32,40,61,37,100,41,0,40,115,121,109,109,101,116,114,121,84,121,112,101,32,38,32,40,75,69,82,78,69,76,95,83,89,77,77,69,84,82,73,67,65,76,32,124,32,75,69,82,78,69,76,95,65,83,89,77,77,69,84,82,73,67,65,76,41,41,32,33,61,32,48,0,83,121,109,109,67,111,108,117,109,110,70,105,108,116,101,114,0,78,50,99,118,49,50,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,95,52,67,97,115,116,73,100,100,69,69,78,83,95,49,49,67,111,108,117,109,110,78,111,86,101,99,69,69,69,0,78,50,99,118,49,54,83,121,109,109,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,95,52,67,97,115,116,73,100,100,69,69,78,83,95,49,49,67,111,108,117,109,110,78,111,86,101,99,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,49,54,83,121,109,109,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,49,95,52,67,97,115,116,73,100,100,69,69,78,83,49,95,49,49,67,111,108,117,109,110,78,111,86,101,99,69,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,54,95,69,69,69,69,0,78,50,99,118,49,50,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,95,52,67,97,115,116,73,102,102,69,69,78,83,95,49,49,67,111,108,117,109,110,78,111,86,101,99,69,69,69,0,78,50,99,118,49,54,83,121,109,109,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,95,52,67,97,115,116,73,102,102,69,69,78,83,95,49,49,67,111,108,117,109,110,78,111,86,101,99,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,49,54,83,121,109,109,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,49,95,52,67,97,115,116,73,102,102,69,69,78,83,49,95,49,49,67,111,108,117,109,110,78,111,86,101,99,69,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,54,95,69,69,69,69,0,78,50,99,118,49,50,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,95,52,67,97,115,116,73,100,115,69,69,78,83,95,49,49,67,111,108,117,109,110,78,111,86,101,99,69,69,69,0,78,50,99,118,49,54,83,121,109,109,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,95,52,67,97,115,116,73,100,115,69,69,78,83,95,49,49,67,111,108,117,109,110,78,111,86,101,99,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+235524);allocate([112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,49,54,83,121,109,109,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,49,95,52,67,97,115,116,73,100,115,69,69,78,83,49,95,49,49,67,111,108,117,109,110,78,111,86,101,99,69,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,54,95,69,69,69,69,0,78,50,99,118,49,50,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,95,52,67,97,115,116,73,102,115,69,69,78,83,95,49,49,67,111,108,117,109,110,78,111,86,101,99,69,69,69,0,78,50,99,118,49,54,83,121,109,109,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,95,52,67,97,115,116,73,102,115,69,69,78,83,95,49,49,67,111,108,117,109,110,78,111,86,101,99,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,49,54,83,121,109,109,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,49,95,52,67,97,115,116,73,102,115,69,69,78,83,49,95,49,49,67,111,108,117,109,110,78,111,86,101,99,69,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,54,95,69,69,69,69,0,78,50,99,118,49,50,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,95,52,67,97,115,116,73,105,115,69,69,78,83,95,49,49,67,111,108,117,109,110,78,111,86,101,99,69,69,69,0,78,50,99,118,49,54,83,121,109,109,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,95,52,67,97,115,116,73,105,115,69,69,78,83,95,49,49,67,111,108,117,109,110,78,111,86,101,99,69,69,69,0,107,101,114,110,101,108,46,116,121,112,101,40,41,32,61,61,32,68,97,116,97,84,121,112,101,60,83,84,62,58,58,116,121,112,101,32,38,38,32,40,107,101,114,110,101,108,46,114,111,119,115,32,61,61,32,49,32,124,124,32,107,101,114,110,101,108,46,99,111,108,115,32,61,61,32,49,41,0,67,111,108,117,109,110,70,105,108,116,101,114,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,49,54,83,121,109,109,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,49,95,52,67,97,115,116,73,105,115,69,69,78,83,49,95,49,49,67,111,108,117,109,110,78,111,86,101,99,69,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,54,95,69,69,69,69,0,78,50,99,118,49,50,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,95,52,67,97,115,116,73,100,116,69,69,78,83,95,49,49,67,111,108,117,109,110,78,111,86,101,99,69,69,69,0,78,50,99,118,49,54,83,121,109,109,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,95,52,67,97,115,116,73,100,116,69,69,78,83,95,49,49,67,111,108,117,109,110,78,111,86,101,99,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,49,54,83,121,109,109,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,49,95,52,67,97,115,116,73,100,116,69,69,78,83,49,95,49,49,67,111,108,117,109,110,78,111,86,101,99,69,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,54,95,69,69,69,69,0,78,50,99,118,49,50,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,95,52,67,97,115,116,73,102,116,69,69,78,83,95,49,49,67,111,108,117,109,110,78,111,86,101,99,69,69,69,0,78,50,99,118,49,54,83,121,109,109,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,95,52,67,97,115,116,73,102,116,69,69,78,83,95,49,49,67,111,108,117,109,110,78,111,86,101,99,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,49,54,83,121,109,109,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,49,95,52,67,97,115,116,73,102,116,69,69,78,83,49,95,49,49,67,111,108,117,109,110,78,111,86,101,99,69,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,54,95,69,69,69,69,0,78,50,99,118,49,50,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,95,52,67,97,115,116,73,100,104,69,69,78,83,95,49,49,67,111,108,117,109,110,78,111,86,101,99,69,69,69,0,78,50,99,118,49,54,83,121,109,109,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,95,52,67,97,115,116,73,100,104,69,69,78,83,95,49,49,67,111,108,117,109,110,78,111,86,101,99,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,49,54,83,121,109,109,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,49,95,52,67,97,115,116,73,100,104,69,69,78,83,49,95,49,49,67,111,108,117,109,110,78,111,86,101,99,69,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,54,95,69,69,69,69,0,78,50,99,118,49,50,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,95,52,67,97,115,116,73,102,104,69,69,78,83,95,49,49,67,111,108,117,109,110,78,111,86,101,99,69,69,69,0,78,50,99,118,49,54,83,121,109,109,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,95,52,67,97,115,116,73,102,104,69,69,78,83,95,49,49,67,111,108,117,109,110,78,111,86,101,99,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,49,54,83,121,109,109,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,49,95,52,67,97,115,116,73,102,104,69,69,78,83,49,95,49,49,67,111,108,117,109,110,78,111,86,101,99,69,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,54,95,69,69,69,69,0,78,50,99,118,49,50,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,95,49,51,70,105,120,101,100,80,116,67,97,115,116,69,120,73,105,104,69,69,78,83,95,49,49,67,111,108,117,109,110,78,111,86,101,99,69,69,69,0,78,50,99,118,49,54,83,121,109,109,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,95,49,51,70,105,120,101,100,80,116,67,97,115,116,69,120,73,105,104,69,69,78,83,95,49,49,67,111,108,117,109,110,78,111,86,101,99,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,49,54,83,121,109,109,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,49,95,49,51,70,105,120,101,100,80,116,67,97,115,116,69,120,73,105,104,69,69,78,83,49,95,49,49,67,111,108,117,109,110,78,111,86,101,99,69,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,54,95,69,69,69,69,0,116,104,105,115,45,62,107,115,105,122,101,32,61,61,32,51,0,83,121,109,109,67,111,108,117,109,110,83,109,97,108,108,70,105,108,116,101,114,0,78,50,99,118,49,50,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,95,52,67,97,115,116,73,102,102,69,69,78,83,95,50,48,83,121,109,109,67,111,108,117,109,110,83,109,97,108,108,78,111,86,101,99,69,69,69,0,78,50,99,118,50,49,83,121,109,109,67,111,108,117,109,110,83,109,97,108,108,70,105,108,116,101,114,73,78,83,95,52,67,97,115,116,73,102,102,69,69,78,83,95,50,48,83,121,109,109,67,111,108,117,109,110,83,109,97,108,108,78,111,86,101,99,69,69,69,0,78,50,99,118,49,54,83,121,109,109,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,95,52,67,97,115,116,73,102,102,69,69,78,83,95,50,48,83,121,109,109,67,111,108,117,109,110,83,109,97,108,108,78,111,86,101,99,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,50,49,83,121,109,109,67,111,108,117,109,110,83,109,97,108,108,70,105,108,116,101,114,73,78,83,49,95,52,67,97,115,116,73,102,102,69,69,78,83,49,95,50,48,83,121,109,109,67,111,108,117,109,110,83,109,97,108,108,78,111,86,101,99,69,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,54,95,69,69,69,69,0,78,50,99,118,49,50,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,95,52,67,97,115,116,73,105,115,69,69,78,83,95,50,48,83,121,109,109,67,111,108,117,109,110,83,109,97,108,108,78,111,86,101,99,69,69,69,0,78,50,99,118,50,49,83,121,109,109,67,111,108,117,109,110,83,109,97,108,108,70,105,108,116,101,114,73,78,83,95,52,67,97,115,116,73,105,115,69,69,78,83,95,50,48,83,121,109,109,67,111,108,117,109,110,83,109,97,108,108,78,111,86,101,99,69,69,69,0,78,50,99,118,49,54,83,121,109,109,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,95,52,67,97,115,116,73,105,115,69,69,78,83,95,50,48,83,121,109,109,67,111,108,117,109,110,83,109,97,108,108,78,111,86,101,99,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,50,49,83,121,109,109,67,111,108,117,109,110,83,109,97,108,108,70,105,108,116,101,114,73,78,83,49,95,52,67,97,115,116,73,105,115,69,69,78,83,49,95,50,48,83,121,109,109,67,111,108,117,109,110,83,109,97,108,108,78,111,86,101,99,69,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,54,95,69,69,69,69,0,78,50,99,118,50,49,83,121,109,109,67,111,108,117,109,110,83,109,97,108,108,70,105,108,116,101,114,73,78,83,95,49,51,70,105,120,101,100,80,116,67,97,115,116,69,120,73,105,104,69,69,78,83,95,49,49,67,111,108,117,109,110,78,111,86,101,99,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,50,49,83,121,109,109,67,111,108,117,109,110,83,109,97,108,108,70,105,108,116,101,114,73,78,83,49,95,49,51,70,105,120,101,100,80,116,67,97,115,116,69,120,73,105,104,69,69,78,83,49,95,49,49,67,111,108,117,109,110,78,111,86,101,99,69,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,54,95,69,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,49,50,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,49,95,52,67,97,115,116,73,100,100,69,69,78,83,49,95,49,49,67,111,108,117,109,110,78,111,86,101,99,69,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,54,95,69,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,49,50,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,49,95,52,67,97,115,116,73,102,102,69,69,78,83,49,95,49,49,67,111,108,117,109,110,78,111,86,101,99,69,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,54,95,69,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,49,50,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,49,95,52,67,97,115,116,73,100,115,69,69,78,83,49,95,49,49,67,111,108,117,109,110,78,111,86,101,99,69,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,54,95,69,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,49,50,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,49,95,52,67,97,115,116,73,102,115,69,69,78,83,49,95,49,49,67,111,108,117,109,110,78,111,86,101,99,69,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,54,95,69,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,49,50,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,49,95,52,67,97,115,116,73,100,116,69,69,78,83,49,95,49,49,67,111,108,117,109,110,78,111,86,101,99,69,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,54,95,69,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,49,50,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,49,95,52,67,97,115,116,73,102,116,69,69,78,83,49,95,49,49,67,111,108,117,109,110,78,111,86,101,99,69,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,54,95,69,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,49,50,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,49,95,52,67,97,115,116,73,100,104,69,69,78,83,49,95,49,49,67,111,108,117,109,110,78,111,86,101,99,69,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,54,95,69,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,49,50,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,49,95,52,67,97,115,116,73,102,104,69,69,78,83,49,95,49,49,67,111,108,117,109,110,78,111,86,101,99,69,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,54,95,69,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,49,50,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,49,95,49,51,70,105,120,101,100,80,116,67,97,115,116,69,120,73,105,104,69,69,78,83,49,95,49,49,67,111,108,117,109,110,78,111,86,101,99,69,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,54,95,69,69,69,69,0,99,110,32,61,61,32,67,86,95,77,65,84,95,67,78,40,95,100,115,116,84,121,112,101,41,0,99,114,101,97,116,101,83,101,112,97,114,97,98,108,101,76,105,110,101,97,114,70,105,108,116,101,114,0,78,83,116,51,95,95,50,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,78,50,99,118,49,50,70,105,108,116,101,114,69,110,103,105,110,101,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,112,111,105,110,116,101,114,73,80,78,50,99,118,49,50,70,105,108,116,101,114,69,110,103,105,110,101,69,78,83,95,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,83,50,95,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,50,95,69,69,69,69,0,107,116,121,112,101,32,61,61,32,67,86,95,56,85,32,124,124,32,107,116,121,112,101,32,61,61,32,67,86,95,51,50,83,32,124,124,32,107,116,121,112,101,32,61,61,32,67,86,95,51,50,70,32,124,124,32,107,116,121,112,101,32,61,61,32,67,86,95,54,52,70,0,112,114,101,112,114,111,99,101,115,115,50,68,75,101,114,110,101,108,0,99,110,32,61,61,32,67,86,95,77,65,84,95,67,78,40,100,115,116,84,121,112,101,41,32,38,38,32,100,100,101,112,116,104,32,62,61,32,115,100,101,112,116,104,0,103,101,116,76,105,110,101,97,114,70,105,108,116,101,114,0,85,110,115,117,112,112,111,114,116,101,100,32,99,111,109,98,105,110,97,116,105,111,110,32,111,102,32,115,111,117,114,99,101,32,102,111,114,109,97,116,32,40,61,37,100,41,44,32,97,110,100,32,100,101,115,116,105,110,97,116,105,111,110,32,102,111,114,109,97,116,32,40,61,37,100,41,0,95,107,101,114,110,101,108,46,116,121,112,101,40,41,32,61,61,32,68,97,116,97,84,121,112,101,60,75,84,62,58,58,116,121,112,101,0,70,105,108,116,101,114,50,68,0,78,50,99,118,56,70,105,108,116,101,114,50,68,73,100,78,83,95,52,67,97,115,116,73,100,100,69,69,78,83,95,49,49,70,105,108,116,101,114,78,111,86,101,99,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,56,70,105,108,116,101,114,50,68,73,100,78,83,49,95,52,67,97,115,116,73,100,100,69,69,78,83,49,95,49,49,70,105,108,116,101,114,78,111,86,101,99,69,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,54,95,69,69,69,69,0,78,50,99,118,56,70,105,108,116,101,114,50,68,73,102,78,83,95,52,67,97,115,116,73,102,102,69,69,78,83,95,49,49,70,105,108,116,101,114,78,111,86,101,99,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,56,70,105,108,116,101,114,50,68,73,102,78,83,49,95,52,67,97,115,116,73,102,102,69,69,78,83,49,95,49,49,70,105,108,116,101,114,78,111,86,101,99,69,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,54,95,69,69,69,69,0,78,50,99,118,56,70,105,108,116,101,114,50,68,73,115,78,83,95,52,67,97,115,116,73,100,100,69,69,78,83,95,49,49,70,105,108,116,101,114,78,111,86,101,99,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,56,70,105,108,116,101,114,50,68,73,115,78,83,49,95,52,67,97,115,116,73,100,100,69,69,78,83,49,95,49,49,70,105,108,116,101,114,78,111,86,101,99,69,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,54,95,69,69,69,69,0,78,50,99,118,56,70,105,108,116,101,114,50,68,73,115,78,83,95,52,67,97,115,116,73,102,102,69,69,78,83,95,49,49,70,105,108,116,101,114,78,111,86,101,99,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,56,70,105,108,116,101,114,50,68,73,115,78,83,49,95,52,67,97,115,116,73,102,102,69,69,78,83,49,95,49,49,70,105,108,116,101,114,78,111,86,101,99,69,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,54,95,69,69,69,69,0,78,50,99,118,56,70,105,108,116,101,114,50,68,73,115,78,83,95,52,67,97,115,116,73,102,115,69,69,78,83,95,49,49,70,105,108,116,101,114,78,111,86,101,99,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,56,70,105,108,116,101,114,50,68,73,115,78,83,49,95,52,67,97,115,116,73,102,115,69,69,78,83,49,95,49,49,70,105,108,116,101,114,78,111,86,101,99,69,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,54,95,69,69,69,69,0,78,50,99,118,56,70,105,108,116,101,114,50,68,73,116,78,83,95,52,67,97,115,116,73,100,100,69,69,78,83,95,49,49,70,105,108,116,101,114,78,111,86,101,99,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,56,70,105,108,116,101,114,50,68,73,116,78,83,49,95,52,67,97,115,116,73,100,100,69,69,78,83,49,95,49,49,70,105,108,116,101,114,78,111,86,101,99,69,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,54,95,69,69,69,69,0,78,50,99,118,56,70,105,108,116,101,114,50,68,73,116,78,83,95,52,67,97,115,116,73,102,102,69,69,78,83,95,49,49,70,105,108,116,101,114,78,111,86,101,99,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,56,70,105,108,116,101,114,50,68,73,116,78,83,49,95,52,67,97,115,116,73,102,102,69,69,78,83,49,95,49,49,70,105,108,116,101,114,78,111,86,101,99,69,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,54,95,69,69,69,69,0,78,50,99,118,56,70,105,108,116,101,114,50,68,73,116,78,83,95,52,67,97,115,116,73,102,116,69,69,78,83,95,49,49,70,105,108,116,101,114,78,111,86,101,99,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,56,70,105,108,116,101,114,50,68,73,116,78,83,49,95,52,67,97,115,116,73,102,116,69,69,78,83,49,95,49,49,70,105,108,116,101,114,78,111,86,101,99,69,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,54,95,69,69,69,69,0,78,50,99,118,56,70,105,108,116,101,114,50,68,73,104,78,83,95,52,67,97,115,116,73,100,100,69,69,78,83,95,49,49,70,105,108,116,101,114,78,111,86,101,99,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,56,70,105,108,116,101,114,50,68,73,104,78,83,49,95,52,67,97,115,116,73,100,100,69,69,78,83,49,95,49,49,70,105,108,116,101,114,78,111,86,101,99,69,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,54,95,69,69,69,69,0,78,50,99,118,56,70,105,108,116,101,114,50,68,73,104,78,83,95,52,67,97,115,116,73,102,102,69,69,78,83,95,49,49,70,105,108,116,101,114,78,111,86,101,99,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,56,70,105,108,116,101,114,50,68,73,104,78,83,49,95,52,67,97,115,116,73,102,102,69,69,78,83,49,95,49,49,70,105,108,116,101,114,78,111,86,101,99,69,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,54,95,69,69,69,69,0,78,50,99,118,56,70,105,108,116,101,114,50,68,73,104,78,83,95,52,67,97,115,116,73,102,115,69,69,78,83,95,49,49,70,105,108,116,101,114,78,111,86,101,99,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,56,70,105,108,116,101,114,50,68,73,104,78,83,49,95,52,67,97,115,116,73,102,115,69,69,78,83,49,95,49,49,70,105,108,116,101,114,78,111,86,101,99,69,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,54,95,69,69,69,69,0,78,50,99,118,56,70,105,108,116,101,114,50,68,73,104,78,83,95,52,67,97,115,116,73,102,116,69,69,78,83,95,49,49,70,105,108,116,101,114,78,111,86,101,99,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,56,70,105,108,116,101,114,50,68,73,104,78,83,49,95,52,67,97,115,116,73,102,116,69,69,78,83,49,95,49,49,70,105,108,116,101,114,78,111,86,101,99,69,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,54,95,69,69,69,69,0,78,50,99,118,56,70,105,108,116,101,114,50,68,73,104,78,83,95,52,67,97,115,116,73,102,104,69,69,78,83,95,49,49,70,105,108,116,101,114,78,111,86,101,99,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,56,70,105,108,116,101,114,50,68,73,104,78,83,49,95,52,67,97,115,116,73,102,104,69,69,78,83,49,95,49,49,70,105,108,116,101,114,78,111,86,101,99,69,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,54,95,69,69,69,69,0,99,114,101,97,116,101,76,105,110,101,97,114,70,105,108,116,101,114,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,49,50,70,105,108,116,101,114,69,110,103,105,110,101,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,50,95,69,69,69,69,0,118,111,105,100,32,99,118,58,58,102,105,108,116,101,114,50,68,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,44,32,73,110,112,117,116,65,114,114,97,121,44,32,80,111,105,110,116,44,32,100,111,117,98,108,101,44,32,105,110,116,41,0,107,101,114,110,101,108,88,46,116,121,112,101,40,41,32,61,61,32,107,101,114,110,101,108,89,46,116,121,112,101,40,41,32,38,38,32,40,107,101,114,110,101,108,88,46,99,111,108,115,32,61,61,32,49,32,124,124,32,107,101,114,110,101,108,88,46,114,111,119,115,32,61,61,32,49,41,32,38,38,32,40,107,101,114,110,101,108,89,46,99,111,108,115,32,61,61,32,49,32,124,124,32,107,101,114,110,101,108,89,46,114,111,119,115,32,61,61,32,49,41,0,115,101,112,70,105,108,116,101,114,50,68,0,118,111,105,100,32,99,118,58,58,115,101,112,70,105,108,116,101,114,50,68,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,44,32,73,110,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,44,32,80,111,105,110,116,44,32,100,111,117,98,108,101,44,32,105,110,116,41,0,105,110,116,101,103,114,97,108,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,105,109,103,112,114,111,99,47,115,114,99,47,115,117,109,112,105,120,101,108,115,46,99,112,112,0,118,111,105,100,32,99,118,58,58,105,110,116,101,103,114,97,108,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,44,32,105,110,116,41,0,118,111,105,100,32,99,118,58,58,105,110,116,101,103,114,97,108,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,41,0,118,111,105,100,32,99,118,58,58,105,110,116,101,103,114,97,108,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,44,32,105,110,116,41,0,115,117,109,46,100,97,116,97,32,61,61,32,115,117,109,48,46,100,97,116,97,32,38,38,32,115,113,115,117,109,46,100,97,116,97,32,61,61,32,115,113,115,117,109,48,46,100,97,116,97,32,38,38,32,116,105,108,116,101,100,46,100,97,116,97,32,61,61,32,116,105,108,116,101,100,48,46,100,97,116,97,0,99,118,73,110,116,101,103,114,97,108,0,113,117,97,108,105,116,121,76,101,118,101,108,32,62,32,48,32,38,38,32,109,105,110,68,105,115,116,97,110,99,101,32,62,61,32,48,32,38,38,32,109,97,120,67,111,114,110,101,114,115,32,62,61,32,48,0,103,111,111,100,70,101,97,116,117,114,101,115,84,111,84,114,97,99,107,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,105,109,103,112,114,111,99,47,115,114,99,47,102,101,97,116,117,114,101,115,101,108,101,99,116,46,99,112,112,0,95,109,97,115,107,46,101,109,112,116,121,40,41,32,124,124,32,40,95,109,97,115,107,46,116,121,112,101,40,41,32,61,61,32,67,86,95,56,85,67,49,32,38,38,32,95,109,97,115,107,46,115,97,109,101,83,105,122,101,40,95,105,109,97,103,101,41,41,0,118,111,105,100,32,99,118,58,58,103,111,111,100,70,101,97,116,117,114,101,115,84,111,84,114,97,99,107,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,44,32,100,111,117,98,108,101,44,32,100,111,117,98,108,101,44,32,73,110,112,117,116,65,114,114,97,121,44,32,105,110,116,44,32,105,110,116,44,32,98,111,111,108,44,32,100,111,117,98,108,101,41,0,40,100,115,116,95,119,105,100,116,104,32,62,32,48,32,38,38,32,100,115,116,95,104,101,105,103,104,116,32,62,32,48,41,32,124,124,32,40,105,110,118,95,115,99,97,108,101,95,120,32,62,32,48,32,38,38,32,105,110,118,95,115,99,97,108,101,95,121,32,62,32,48,41,0,114,101,115,105,122,101,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,105,109,103,112,114,111,99,47,115,114,99,47,114,101,115,105,122,101,46,99,112,112,0,33,100,115,105,122,101,46,101,109,112,116,121,40,41,0,102,117,110,99,32,33,61,32,48,0,102,117,110,99,32,33,61,32,48,32,38,38,32,99,110,32,60,61,32,52,0,85,110,107,110,111,119,110,32,105,110,116,101,114,112,111,108,97,116,105,111,110,32,109,101,116,104,111,100,0,78,50,99,118,50,49,114,101,115,105,122,101,71,101,110,101,114,105,99,95,73,110,118,111,107,101,114,73,78,83,95,49,50,72,82,101,115,105,122,101,67,117,98,105,99,73,100,100,102,69,69,78,83,95,49,50,86,82,101,115,105,122,101,67,117,98,105,99,73,100,100,102,78,83,95,52,67,97,115,116,73,100,100,69,69,78,83,95,49,50,86,82,101,115,105,122,101,78,111,86,101,99,69,69,69,69,69,0,107,115,105,122,101,32,60,61,32,77,65,88,95,69,83,73,90,69,0,114,101,115,105,122,101,71,101,110,101,114,105,99,95,73,110,118,111,107,101,114,0,78,50,99,118,50,49,114,101,115,105,122,101,71,101,110,101,114,105,99,95,73,110,118,111,107,101,114,73,78,83,95,49,50,72,82,101,115,105,122,101,67,117,98,105,99,73,102,102,102,69,69,78,83,95,49,50,86,82,101,115,105,122,101,67,117,98,105,99,73,102,102,102,78,83,95,52,67,97,115,116,73,102,102,69,69,78,83,95,49,50,86,82,101,115,105,122,101,78,111,86,101,99,69,69,69,69,69,0,78,50,99,118,50,49,114,101,115,105,122,101,71,101,110,101,114,105,99,95,73,110,118,111,107,101,114,73,78,83,95,49,50,72,82,101,115,105,122,101,67,117,98,105,99,73,115,102,102,69,69,78,83,95,49,50,86,82,101,115,105,122,101,67,117,98,105,99,73,115,102,102,78,83,95,52,67,97,115,116,73,102,115,69,69,78,83,95,49,50,86,82,101,115,105,122,101,78,111,86,101,99,69,69,69,69,69,0,78,50,99,118,50,49,114,101,115,105,122,101,71,101,110,101,114,105,99,95,73,110,118,111,107,101,114,73,78,83,95,49,50,72,82,101,115,105,122,101,67,117,98,105,99,73,116,102,102,69,69,78,83,95,49,50,86,82,101,115,105,122,101,67,117,98,105,99,73,116,102,102,78,83,95,52,67,97,115,116,73,102,116,69,69,78,83,95,49,50,86,82,101,115,105,122,101,78,111,86,101,99,69,69,69,69,69,0,78,50,99,118,50,49,114,101,115,105,122,101,71,101,110,101,114,105,99,95,73,110,118,111,107,101,114,73,78,83,95,49,50,72,82,101,115,105,122,101,67,117,98,105,99,73,104,105,115,69,69,78,83,95,49,50,86,82,101,115,105,122,101,67,117,98,105,99,73,104,105,115,78,83,95,49,49,70,105,120,101,100,80,116,67,97,115,116,73,105,104,76,105,50,50,69,69,69,78,83,95,49,50,86,82,101,115,105,122,101,78,111,86,101,99,69,69,69,69,69,0,78,50,99,118,50,49,114,101,115,105,122,101,71,101,110,101,114,105,99,95,73,110,118,111,107,101,114,73,78,83,95,49,51,72,82,101,115,105,122,101,76,105,110,101,97,114,73,100,100,102,76,105,49,69,78,83,95,49,50,72,82,101,115,105,122,101,78,111,86,101,99,69,69,69,78,83,95,49,51,86,82,101,115,105,122,101,76,105,110,101,97,114,73,100,100,102,78,83,95,52,67,97,115,116,73,100,100,69,69,78,83,95,49,50,86,82,101,115,105,122,101,78,111,86,101,99,69,69,69,69,69,0,78,50,99,118,50,49,114,101,115,105,122,101,71,101,110,101,114,105,99,95,73,110,118,111,107,101,114,73,78,83,95,49,51,72,82,101,115,105,122,101,76,105,110,101,97,114,73,102,102,102,76,105,49,69,78,83,95,49,50,72,82,101,115,105,122,101,78,111,86,101,99,69,69,69,78,83,95,49,51,86,82,101,115,105,122,101,76,105,110,101,97,114,73,102,102,102,78,83,95,52,67,97,115,116,73,102,102,69,69,78,83,95,49,50,86,82,101,115,105,122,101,78,111,86,101,99,69,69,69,69,69,0,78,50,99,118,50,49,114,101,115,105,122,101,71,101,110,101,114,105,99,95,73,110,118,111,107,101,114,73,78,83,95,49,51,72,82,101,115,105,122,101,76,105,110,101,97,114,73,115,102,102,76,105,49,69,78,83,95,49,50,72,82,101,115,105,122,101,78,111,86,101,99,69,69,69,78,83,95,49,51,86,82,101,115,105,122,101,76,105,110,101,97,114,73,115,102,102,78,83,95,52,67,97,115,116,73,102,115,69,69,78,83,95,49,50,86,82,101,115,105,122,101,78,111,86,101,99,69,69,69,69,69,0,78,50,99,118,50,49,114,101,115,105,122,101,71,101,110,101,114,105,99,95,73,110,118,111,107,101,114,73,78,83,95,49,51,72,82,101,115,105,122,101,76,105,110,101,97,114,73,116,102,102,76,105,49,69,78,83,95,49,50,72,82,101,115,105,122,101,78,111,86,101,99,69,69,69,78,83,95,49,51,86,82,101,115,105,122,101,76,105,110,101,97,114,73,116,102,102,78,83,95,52,67,97,115,116,73,102,116,69,69,78,83,95,49,50,86,82,101,115,105,122,101,78,111,86,101,99,69,69,69,69,69,0,78,50,99,118,50,49,114,101,115,105,122,101,71,101,110,101,114,105,99,95,73,110,118,111,107,101,114,73,78,83,95,49,51,72,82,101,115,105,122,101,76,105,110,101,97,114,73,104,105,115,76,105,50,48,52,56,69,78,83,95,49,50,72,82,101,115,105,122,101,78,111,86,101,99,69,69,69,78,83,95,49,51,86,82,101,115,105,122,101,76,105,110,101,97,114,73,104,105,115,78,83,95,49,49,70,105,120,101,100,80,116,67,97,115,116,73,105,104,76,105,50,50,69,69,69,78,83,95,49,50,86,82,101,115,105,122,101,78,111,86,101,99,69,69,69,69,69,0,78,50,99,118,50,49,114,101,115,105,122,101,71,101,110,101,114,105,99,95,73,110,118,111,107,101,114,73,78,83,95,49,53,72,82,101,115,105,122,101,76,97,110,99,122,111,115,52,73,100,100,102,69,69,78,83,95,49,53,86,82,101,115,105,122,101,76,97,110,99,122,111,115,52,73,100,100,102,78,83,95,52,67,97,115,116,73,100,100,69,69,78,83,95,49,50,86,82,101,115,105,122,101,78,111,86,101,99,69,69,69,69,69,0,78,50,99,118,50,49,114,101,115,105,122,101,71,101,110,101,114,105,99,95,73,110,118,111,107,101,114,73,78,83,95,49,53,72,82,101,115,105,122,101,76,97,110,99,122,111,115,52,73,102,102,102,69,69,78,83,95,49,53,86,82,101,115,105,122,101,76,97,110,99,122,111,115,52,73,102,102,102,78,83,95,52,67,97,115,116,73,102,102,69,69,78,83,95,49,50,86,82,101,115,105,122,101,78,111,86,101,99,69,69,69,69,69,0,78,50,99,118,50,49,114,101,115,105,122,101,71,101,110,101,114,105,99,95,73,110,118,111,107,101,114,73,78,83,95,49,53,72,82,101,115,105,122,101,76,97,110,99,122,111,115,52,73,115,102,102,69,69,78,83,95,49,53,86,82,101,115,105,122,101,76,97,110,99,122,111,115,52,73,115,102,102,78,83,95,52,67,97,115,116,73,102,115,69,69,78,83,95,49,50,86,82,101,115,105,122,101,78,111,86,101,99,69,69,69,69,69,0,78,50,99,118,50,49,114,101,115,105,122,101,71,101,110,101,114,105,99,95,73,110,118,111,107,101,114,73,78,83,95,49,53,72,82,101,115,105,122,101,76,97,110,99,122,111,115,52,73,116,102,102,69,69,78,83,95,49,53,86,82,101,115,105,122,101,76,97,110,99,122,111,115,52,73,116,102,102,78,83,95,52,67,97,115,116,73,102,116,69,69,78,83,95,49,50,86,82,101,115,105,122,101,78,111,86,101,99,69,69,69,69,69,0,78,50,99,118,50,49,114,101,115,105,122,101,71,101,110,101,114,105,99,95,73,110,118,111,107,101,114,73,78,83,95,49,53,72,82,101,115,105,122,101,76,97,110,99,122,111,115,52,73,104,105,115,69,69,78,83,95,49,53,86,82,101,115,105,122,101,76,97,110,99,122,111,115,52,73,104,105,115,78,83,95,49,49,70,105,120,101,100,80,116,67,97,115,116,73,105,104,76,105,50,50,69,69,69,78,83,95,49,50,86,82,101,115,105,122,101,78,111,86,101,99,69,69,69,69,69,0,78,50,99,118,49,56,82,101,115,105,122,101,65,114,101,97,95,73,110,118,111,107,101,114,73,100,100,69,69,0,78,50,99,118,49,56,82,101,115,105,122,101,65,114,101,97,95,73,110,118,111,107,101,114,73,102,102,69,69,0,78,50,99,118,49,56,82,101,115,105,122,101,65,114,101,97,95,73,110,118,111,107,101,114,73,115,102,69,69,0,78,50,99,118,49,56,82,101,115,105,122,101,65,114,101,97,95,73,110,118,111,107,101,114,73,116,102,69,69,0,78,50,99,118,49,56,82,101,115,105,122,101,65,114,101,97,95,73,110,118,111,107,101,114,73,104,102,69,69,0,78,50,99,118,50,50,114,101,115,105,122,101,65,114,101,97,70,97,115,116,95,73,110,118,111,107,101,114,73,100,100,78,83,95,49,57,82,101,115,105,122,101,65,114,101,97,70,97,115,116,78,111,86,101,99,73,100,100,69,69,69,69,0,78,50,99,118,50,50,114,101,115,105,122,101,65,114,101,97,70,97,115,116,95,73,110,118,111,107,101,114,73,102,102,78,83,95,49,57,82,101,115,105,122,101,65,114,101,97,70,97,115,116,78,111,86,101,99,73,102,102,69,69,69,69,0,99,110,32,61,61,32,52,0,78,50,99,118,50,50,114,101,115,105,122,101,65,114,101,97,70,97,115,116,95,73,110,118,111,107,101,114,73,115,102,78,83,95,49,55,82,101,115,105,122,101,65,114,101,97,70,97,115,116,86,101,99,73,115,78,83,95,49,57,82,101,115,105,122,101,65,114,101,97,70,97,115,116,78,111,86,101,99,73,115,115,69,69,69,69,69,69,0,78,50,99,118,50,50,114,101,115,105,122,101,65,114,101,97,70,97,115,116,95,73,110,118,111,107,101,114,73,116,102,78,83,95,49,55,82,101,115,105,122,101,65,114,101,97,70,97,115,116,86,101,99,73,116,78,83,95,49,57,82,101,115,105,122,101,65,114,101,97,70,97,115,116,78,111,86,101,99,73,116,116,69,69,69,69,69,69,0,78,50,99,118,50,50,114,101,115,105,122,101,65,114,101,97,70,97,115,116,95,73,110,118,111,107,101,114,73,104,105,78,83,95,49,55,82,101,115,105,122,101,65,114,101,97,70,97,115,116,86,101,99,73,104,78,83,95,49,57,82,101,115,105,122,101,65,114,101,97,70,97,115,116,78,111,86,101,99,73,104,104,69,69,69,69,69,69,0,78,50,99,118,49,53,114,101,115,105,122,101,78,78,73,110,118,111,107,101,114,69,0,78,49,50,95,71,76,79,66,65,76,95,95,78,95,49,50,50,114,101,115,105,122,101,95,98,105,116,69,120,97,99,116,73,110,118,111,107,101,114,73,105,78,83,95,49,50,102,105,120,101,100,112,111,105,110,116,54,52,69,76,105,50,69,69,69,0,78,49,50,95,71,76,79,66,65,76,95,95,78,95,49,50,50,114,101,115,105,122,101,95,98,105,116,69,120,97,99,116,73,110,118,111,107,101,114,73,115,78,83,95,49,50,102,105,120,101,100,112,111,105,110,116,51,50,69,76,105,50,69,69,69,0,78,49,50,95,71,76,79,66,65,76,95,95,78,95,49,50,50,114,101,115,105,122,101,95,98,105,116,69,120,97,99,116,73,110,118,111,107,101,114,73,116,78,83,95,49,51,117,102,105,120,101,100,112,111,105,110,116,51,50,69,76,105,50,69,69,69,0,78,49,50,95,71,76,79,66,65,76,95,95,78,95,49,50,50,114,101,115,105,122,101,95,98,105,116,69,120,97,99,116,73,110,118,111,107,101,114,73,97,78,83,95,49,50,102,105,120,101,100,112,111,105,110,116,51,50,69,76,105,50,69,69,69,0,78,49,50,95,71,76,79,66,65,76,95,95,78,95,49,50,50,114,101,115,105,122,101,95,98,105,116,69,120,97,99,116,73,110,118,111,107,101,114,73,104,78,83,95,49,51,117,102,105,120,101,100,112,111,105,110,116,49,54,69,76,105,50,69,69,69,0,118,111,105,100,32,99,118,58,58,104,97,108,58,58,114,101,115,105,122,101,40,105,110,116,44,32,99,111,110,115,116,32,117,99,104,97,114,32,42,44,32,115,105,122,101,95,116,44,32,105,110,116,44,32,105,110,116,44,32,117,99,104,97,114,32,42,44,32,115,105,122,101,95,116,44,32,105,110,116,44,32,105,110,116,44,32,100,111,117,98,108,101,44,32,100,111,117,98,108,101,44,32,105,110,116,41,0,33,115,115,105,122,101,46,101,109,112,116,121,40,41,0,33,100,115,105,122,101,46,101,109,112,116,121,40,41,32,124,124,32,40,105,110,118,95,115,99,97,108,101,95,120,32,62,32,48,32,38,38,32,105,110,118,95,115,99,97,108,101,95,121,32,62,32,48,41,0,118,111,105,100,32,99,118,58,58],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+245764);allocate([114,101,115,105,122,101,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,83,105,122,101,44,32,100,111,117,98,108,101,44,32,100,111,117,98,108,101,44,32,105,110,116,41,0,99,118,82,101,115,105,122,101,0,97,117,116,111,109,97,116,105,99,95,116,104,114,101,115,104,32,33,61,32,40,67,86,95,84,72,82,69,83,72,95,79,84,83,85,32,124,32,67,86,95,84,72,82,69,83,72,95,84,82,73,65,78,71,76,69,41,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,105,109,103,112,114,111,99,47,115,114,99,47,116,104,114,101,115,104,46,99,112,112,0,116,104,114,101,115,104,71,101,110,101,114,105,99,0,78,50,99,118,49,53,84,104,114,101,115,104,111,108,100,82,117,110,110,101,114,69,0,100,111,117,98,108,101,32,99,118,58,58,116,104,114,101,115,104,111,108,100,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,100,111,117,98,108,101,44,32,100,111,117,98,108,101,44,32,105,110,116,41,0,97,100,97,112,116,105,118,101,84,104,114,101,115,104,111,108,100,0,98,108,111,99,107,83,105,122,101,32,37,32,50,32,61,61,32,49,32,38,38,32,98,108,111,99,107,83,105,122,101,32,62,32,49,0,85,110,107,110,111,119,110,47,117,110,115,117,112,112,111,114,116,101,100,32,97,100,97,112,116,105,118,101,32,116,104,114,101,115,104,111,108,100,32,109,101,116,104,111,100,0,85,110,107,110,111,119,110,47,117,110,115,117,112,112,111,114,116,101,100,32,116,104,114,101,115,104,111,108,100,32,116,121,112,101,0,118,111,105,100,32,99,118,58,58,97,100,97,112,116,105,118,101,84,104,114,101,115,104,111,108,100,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,100,111,117,98,108,101,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,44,32,100,111,117,98,108,101,41,0,115,114,99,46,115,105,122,101,32,61,61,32,100,115,116,46,115,105,122,101,32,38,38,32,115,114,99,46,99,104,97,110,110,101,108,115,40,41,32,61,61,32,100,115,116,46,99,104,97,110,110,101,108,115,40,41,32,38,38,32,40,115,114,99,46,100,101,112,116,104,40,41,32,61,61,32,100,115,116,46,100,101,112,116,104,40,41,32,124,124,32,100,115,116,46,100,101,112,116,104,40,41,32,61,61,32,67,86,95,56,85,41,0,99,118,84,104,114,101,115,104,111,108,100,0,99,111,117,110,116,32,62,61,32,48,32,38,38,32,40,100,101,112,116,104,32,61,61,32,67,86,95,51,50,70,32,124,124,32,100,101,112,116,104,32,61,61,32,67,86,95,51,50,83,41,0,109,105,110,69,110,99,108,111,115,105,110,103,67,105,114,99,108,101,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,105,109,103,112,114,111,99,47,115,114,99,47,115,104,97,112,101,100,101,115,99,114,46,99,112,112,0,118,111,105,100,32,99,118,58,58,109,105,110,69,110,99,108,111,115,105,110,103,67,105,114,99,108,101,40,73,110,112,117,116,65,114,114,97,121,44,32,80,111,105,110,116,50,102,32,38,44,32,102,108,111,97,116,32,38,41,0,97,114,99,76,101,110,103,116,104,0,100,111,117,98,108,101,32,99,118,58,58,97,114,99,76,101,110,103,116,104,40,73,110,112,117,116,65,114,114,97,121,44,32,98,111,111,108,41,0,110,112,111,105,110,116,115,32,62,61,32,48,32,38,38,32,40,100,101,112,116,104,32,61,61,32,67,86,95,51,50,70,32,124,124,32,100,101,112,116,104,32,61,61,32,67,86,95,51,50,83,41,0,99,111,110,116,111,117,114,65,114,101,97,0,100,111,117,98,108,101,32,99,118,58,58,99,111,110,116,111,117,114,65,114,101,97,40,73,110,112,117,116,65,114,114,97,121,44,32,98,111,111,108,41,0,110,32,62,61,32,48,32,38,38,32,40,100,101,112,116,104,32,61,61,32,67,86,95,51,50,70,32,124,124,32,100,101,112,116,104,32,61,61,32,67,86,95,51,50,83,41,0,102,105,116,69,108,108,105,112,115,101,0,84,104,101,114,101,32,115,104,111,117,108,100,32,98,101,32,97,116,32,108,101,97,115,116,32,53,32,112,111,105,110,116,115,32,116,111,32,102,105,116,32,116,104,101,32,101,108,108,105,112,115,101,0,99,118,58,58,82,111,116,97,116,101,100,82,101,99,116,32,99,118,58,58,102,105,116,69,108,108,105,112,115,101,40,73,110,112,117,116,65,114,114,97,121,41,0,112,111,105,110,116,83,101,116,66,111,117,110,100,105,110,103,82,101,99,116,0,105,109,103,46,100,101,112,116,104,40,41,32,60,61,32,67,86,95,56,83,32,38,38,32,105,109,103,46,99,104,97,110,110,101,108,115,40,41,32,61,61,32,49,0,109,97,115,107,66,111,117,110,100,105,110,103,82,101,99,116,0,99,118,58,58,82,101,99,116,32,99,118,58,58,98,111,117,110,100,105,110,103,82,101,99,116,40,73,110,112,117,116,65,114,114,97,121,41,0,85,110,115,117,112,112,111,114,116,101,100,32,115,101,113,117,101,110,99,101,32,116,121,112,101,0,99,118,66,111,117,110,100,105,110,103,82,101,99,116,0,84,104,101,32,105,109,97,103,101,47,109,97,116,114,105,120,32,102,111,114,109,97,116,32,105,115,32,110,111,116,32,115,117,112,112,111,114,116,101,100,32,98,121,32,116,104,101,32,102,117,110,99,116,105,111,110,0,103,101,116,83,111,98,101,108,75,101,114,110,101,108,115,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,105,109,103,112,114,111,99,47,115,114,99,47,100,101,114,105,118,46,99,112,112,0,84,104,101,32,107,101,114,110,101,108,32,115,105,122,101,32,109,117,115,116,32,98,101,32,111,100,100,32,97,110,100,32,110,111,116,32,108,97,114,103,101,114,32,116,104,97,110,32,51,49,0,100,120,32,62,61,32,48,32,38,38,32,100,121,32,62,61,32,48,32,38,38,32,100,120,43,100,121,32,62,32,48,0,107,115,105,122,101,32,62,32,111,114,100,101,114,0,103,101,116,83,99,104,97,114,114,75,101,114,110,101,108,115,0,100,120,32,62,61,32,48,32,38,38,32,100,121,32,62,61,32,48,32,38,38,32,100,120,43,100,121,32,61,61,32,49,0,118,111,105,100,32,99,118,58,58,83,111,98,101,108,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,44,32,100,111,117,98,108,101,44,32,100,111,117,98,108,101,44,32,105,110,116,41,0,118,111,105,100,32,99,118,58,58,83,99,104,97,114,114,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,44,32,100,111,117,98,108,101,44,32,100,111,117,98,108,101,44,32,105,110,116,41,0,118,111,105,100,32,99,118,58,58,76,97,112,108,97,99,105,97,110,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,44,32,105,110,116,44,32,100,111,117,98,108,101,44,32,100,111,117,98,108,101,44,32,105,110,116,41,0,95,115,114,99,46,100,101,112,116,104,40,41,32,61,61,32,67,86,95,56,85,0,67,97,110,110,121,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,105,109,103,112,114,111,99,47,115,114,99,47,99,97,110,110,121,46,99,112,112,0,40,95,100,115,116,46,103,101,116,79,98,106,40,41,32,33,61,32,95,115,114,99,46,103,101,116,79,98,106,40,41,32,124,124,32,95,115,114,99,46,116,121,112,101,40,41,32,61,61,32,67,86,95,56,85,67,49,41,32,38,38,32,34,73,110,112,108,97,99,101,32,112,97,114,97,109,101,116,101,114,115,32,97,114,101,32,110,111,116,32,115,117,112,112,111,114,116,101,100,34,0,65,112,101,114,116,117,114,101,32,115,105,122,101,32,115,104,111,117,108,100,32,98,101,32,111,100,100,32,98,101,116,119,101,101,110,32,51,32,97,110,100,32,55,0,78,50,99,118,57,102,105,110,97,108,80,97,115,115,69,0,102,105,110,97,108,80,97,115,115,0,103,108,111,98,97,108,95,104,121,115,116,101,114,101,115,105,115,0,104,121,115,116,101,114,101,115,105,115,0,109,97,103,110,105,116,117,100,101,0,103,114,97,100,105,101,110,116,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,112,97,114,97,108,108,101,108,67,97,110,110,121,58,58,111,112,101,114,97,116,111,114,40,41,40,99,111,110,115,116,32,99,118,58,58,82,97,110,103,101,32,38,41,32,99,111,110,115,116,0,78,50,99,118,49,51,112,97,114,97,108,108,101,108,67,97,110,110,121,69,0,118,111,105,100,32,99,118,58,58,67,97,110,110,121,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,100,111,117,98,108,101,44,32,100,111,117,98,108,101,44,32,105,110,116,44,32,98,111,111,108,41,0,95,100,120,46,100,105,109,115,40,41,32,61,61,32,50,0,95,100,120,46,116,121,112,101,40,41,32,61,61,32,67,86,95,49,54,83,67,49,32,124,124,32,95,100,120,46,116,121,112,101,40,41,32,61,61,32,67,86,95,49,54,83,67,51,0,95,100,121,46,116,121,112,101,40,41,32,61,61,32,95,100,120,46,116,121,112,101,40,41,0,95,100,120,46,115,97,109,101,83,105,122,101,40,95,100,121,41,0,118,111,105,100,32,99,118,58,58,67,97,110,110,121,40,73,110,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,100,111,117,98,108,101,44,32,100,111,117,98,108,101,44,32,98,111,111,108,41,0,115,114,99,46,115,105,122,101,32,61,61,32,100,115,116,46,115,105,122,101,32,38,38,32,115,114,99,46,100,101,112,116,104,40,41,32,61,61,32,67,86,95,56,85,32,38,38,32,100,115,116,46,116,121,112,101,40,41,32,61,61,32,67,86,95,56,85,0,99,118,67,97,110,110,121,0,111,112,101,110,99,118,45,104,105,115,116,0,68,101,115,116,105,110,97,116,105,111,110,32,100,111,117,98,108,101,32,112,111,105,110,116,101,114,32,105,115,32,78,85,76,76,0,99,118,67,111,112,121,72,105,115,116,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,105,109,103,112,114,111,99,47,115,114,99,47,104,105,115,116,111,103,114,97,109,46,99,112,112,0,73,110,118,97,108,105,100,32,104,105,115,116,111,103,114,97,109,32,104,101,97,100,101,114,91,115,93,0,78,85,76,76,32,114,97,110,103,101,115,32,112,111,105,110,116,101,114,0,99,118,83,101,116,72,105,115,116,66,105,110,82,97,110,103,101,115,0,73,110,118,97,108,105,100,32,104,105,115,116,111,103,114,97,109,32,104,101,97,100,101,114,0,79,110,101,32,111,102,32,60,114,97,110,103,101,115,62,32,101,108,101,109,101,110,116,115,32,105,115,32,78,85,76,76,0,66,105,110,32,114,97,110,103,101,115,32,115,104,111,117,108,100,32,103,111,32,105,110,32,97,115,99,101,110,116,105,110,103,32,111,114,100,101,114,0,78,117,109,98,101,114,32,111,102,32,100,105,109,101,110,115,105,111,110,115,32,105,115,32,111,117,116,32,111,102,32,114,97,110,103,101,0,99,118,67,114,101,97,116,101,72,105,115,116,0,78,117,108,108,32,60,115,105,122,101,115,62,32,112,111,105,110,116,101,114,0,73,110,118,97,108,105,100,32,104,105,115,116,111,103,114,97,109,32,116,121,112,101,0,105,115,95,117,110,105,102,111,114,109,0,104,97,118,101,95,114,97,110,103,101,115,0,109,97,116,0,98,105,110,115,0,69,120,112,101,99,116,101,100,32,67,118,77,97,116,78,68,0,105,99,118,82,101,97,100,72,105,115,116,0,85,110,107,110,111,119,110,32,72,105,115,116,111,103,114,97,109,32,116,121,112,101,0,39,116,104,114,101,115,104,39,32,110,111,100,101,32,105,115,32,109,105,115,115,105,110,103,0,99,118,82,101,108,101,97,115,101,72,105,115,116,0,100,105,109,115,32,62,32,48,32,38,38,32,104,105,115,116,83,105,122,101,0,99,97,108,99,72,105,115,116,0,109,97,115,107,46,101,109,112,116,121,40,41,32,124,124,32,109,97,115,107,46,116,121,112,101,40,41,32,61,61,32,67,86,95,56,85,67,49,0,69,105,116,104,101,114,32,114,97,110,103,101,115,44,32,101,105,116,104,101,114,32,117,110,105,102,111,114,109,32,114,97,110,103,101,115,32,115,104,111,117,108,100,32,98,101,32,112,114,111,118,105,100,101,100,0,99,97,108,99,72,105,115,116,95,0,99,97,108,99,72,105,115,116,76,111,111,107,117,112,84,97,98,108,101,115,95,56,117,0,99,104,97,110,110,101,108,115,32,33,61,32,48,32,124,124,32,110,105,109,97,103,101,115,32,61,61,32,100,105,109,115,0,104,105,115,116,80,114,101,112,97,114,101,73,109,97,103,101,115,0,105,109,97,103,101,115,91,106,93,46,99,104,97,110,110,101,108,115,40,41,32,61,61,32,49,0,99,32,62,61,32,48,0,106,32,60,32,110,105,109,97,103,101,115,0,105,109,97,103,101,115,91,106,93,46,115,105,122,101,40,41,32,61,61,32,105,109,115,105,122,101,32,38,38,32,105,109,97,103,101,115,91,106,93,46,100,101,112,116,104,40,41,32,61,61,32,100,101,112,116,104,0,109,97,115,107,46,115,105,122,101,40,41,32,61,61,32,105,109,115,105,122,101,32,38,38,32,109,97,115,107,46,99,104,97,110,110,101,108,115,40,41,32,61,61,32,49,0,114,97,110,103,101,115,91,105,93,32,38,38,32,114,97,110,103,101,115,91,105,93,91,48,93,32,60,32,114,97,110,103,101,115,91,105,93,91,49,93,0,114,97,110,103,101,115,91,105,93,91,107,93,32,60,32,114,97,110,103,101,115,91,105,93,91,107,43,49,93,0,118,111,105,100,32,99,118,58,58,99,97,108,99,72,105,115,116,40,99,111,110,115,116,32,99,118,58,58,77,97,116,32,42,44,32,105,110,116,44,32,99,111,110,115,116,32,105,110,116,32,42,44,32,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,44,32,99,111,110,115,116,32,105,110,116,32,42,44,32,99,111,110,115,116,32,102,108,111,97,116,32,42,42,44,32,98,111,111,108,44,32,98,111,111,108,41,0,110,105,109,97,103,101,115,32,62,32,48,32,38,38,32,100,105,109,115,32,62,32,48,0,114,115,122,32,61,61,32,100,105,109,115,42,50,32,124,124,32,40,114,115,122,32,61,61,32,48,32,38,38,32,105,109,97,103,101,115,46,100,101,112,116,104,40,48,41,32,61,61,32,67,86,95,56,85,41,0,99,115,122,32,61,61,32,48,32,124,124,32,99,115,122,32,61,61,32,100,105,109,115,0,118,111,105,100,32,99,118,58,58,99,97,108,99,72,105,115,116,40,73,110,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,99,111,110,115,116,32,115,116,100,58,58,118,101,99,116,111,114,60,105,110,116,62,32,38,44,32,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,99,111,110,115,116,32,115,116,100,58,58,118,101,99,116,111,114,60,105,110,116,62,32,38,44,32,99,111,110,115,116,32,115,116,100,58,58,118,101,99,116,111,114,60,102,108,111,97,116,62,32,38,44,32,98,111,111,108,41,0,100,105,109,115,32,62,32,48,32,38,38,32,33,104,105,115,116,46,101,109,112,116,121,40,41,0,99,97,108,99,66,97,99,107,80,114,111,106,101,99,116,0,99,97,108,99,66,97,99,107,80,114,111,106,95,0,118,111,105,100,32,99,118,58,58,99,97,108,99,66,97,99,107,80,114,111,106,101,99,116,40,99,111,110,115,116,32,99,118,58,58,77,97,116,32,42,44,32,105,110,116,44,32,99,111,110,115,116,32,105,110,116,32,42,44,32,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,99,111,110,115,116,32,102,108,111,97,116,32,42,42,44,32,100,111,117,98,108,101,44,32,98,111,111,108,41,0,72,48,46,105,115,67,111,110,116,105,110,117,111,117,115,40,41,0,110,105,109,97,103,101,115,32,62,32,48,0,114,115,122,32,61,61,32,100,105,109,115,42,50,32,124,124,32,40,114,115,122,32,61,61,32,50,32,38,38,32,95,49,100,41,32,124,124,32,40,114,115,122,32,61,61,32,48,32,38,38,32,105,109,97,103,101,115,46,100,101,112,116,104,40,48,41,32,61,61,32,67,86,95,56,85,41,0,99,115,122,32,61,61,32,48,32,124,124,32,99,115,122,32,61,61,32,100,105,109,115,32,124,124,32,40,99,115,122,32,61,61,32,49,32,38,38,32,95,49,100,41,0,118,111,105,100,32,99,118,58,58,99,97,108,99,66,97,99,107,80,114,111,106,101,99,116,40,73,110,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,99,111,110,115,116,32,115,116,100,58,58,118,101,99,116,111,114,60,105,110,116,62,32,38,44,32,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,99,111,110,115,116,32,115,116,100,58,58,118,101,99,116,111,114,60,102,108,111,97,116,62,32,38,44,32,100,111,117,98,108,101,41,0,72,49,46,116,121,112,101,40,41,32,61,61,32,72,50,46,116,121,112,101,40,41,32,38,38,32,72,49,46,100,101,112,116,104,40,41,32,61,61,32,67,86,95,51,50,70,0,99,111,109,112,97,114,101,72,105,115,116,0,105,116,46,112,108,97,110,101,115,91,48,93,46,105,115,67,111,110,116,105,110,117,111,117,115,40,41,32,38,38,32,105,116,46,112,108,97,110,101,115,91,49,93,46,105,115,67,111,110,116,105,110,117,111,117,115,40,41,0,100,111,117,98,108,101,32,99,118,58,58,99,111,109,112,97,114,101,72,105,115,116,40,73,110,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,44,32,105,110,116,41,0,95,115,114,99,46,116,121,112,101,40,41,32,61,61,32,67,86,95,56,85,67,49,0,101,113,117,97,108,105,122,101,72,105,115,116,0,50,51,69,113,117,97,108,105,122,101,72,105,115,116,76,117,116,95,73,110,118,111,107,101,114,0,50,56,69,113,117,97,108,105,122,101,72,105,115,116,67,97,108,99,72,105,115,116,95,73,110,118,111,107,101,114,0,118,111,105,100,32,99,118,58,58,101,113,117,97,108,105,122,101,72,105,115,116,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,41,0,109,49,116,121,112,101,32,61,61,32,67,86,95,49,54,83,67,50,32,124,124,32,109,49,116,121,112,101,32,61,61,32,67,86,95,51,50,70,67,49,32,124,124,32,109,49,116,121,112,101,32,61,61,32,67,86,95,51,50,70,67,50,0,105,110,105,116,85,110,100,105,115,116,111,114,116,82,101,99,116,105,102,121,77,97,112,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,105,109,103,112,114,111,99,47,115,114,99,47,117,110,100,105,115,116,111,114,116,46,99,112,112,0,65,46,115,105,122,101,40,41,32,61,61,32,83,105,122,101,40,51,44,51,41,32,38,38,32,65,46,115,105,122,101,40,41,32,61,61,32,82,46,115,105,122,101,40,41,0,65,114,46,115,105,122,101,40,41,32,61,61,32,83,105,122,101,40,51,44,51,41,32,124,124,32,65,114,46,115,105,122,101,40,41,32,61,61,32,83,105,122,101,40,52,44,32,51,41,0,100,105,115,116,67,111,101,102,102,115,46,115,105,122,101,40,41,32,61,61,32,83,105,122,101,40,49,44,32,52,41,32,124,124,32,100,105,115,116,67,111,101,102,102,115,46,115,105,122,101,40,41,32,61,61,32,83,105,122,101,40,52,44,32,49,41,32,124,124,32,100,105,115,116,67,111,101,102,102,115,46,115,105,122,101,40,41,32,61,61,32,83,105,122,101,40,49,44,32,53,41,32,124,124,32,100,105,115,116,67,111,101,102,102,115,46,115,105,122,101,40,41,32,61,61,32,83,105,122,101,40,53,44,32,49,41,32,124,124,32,100,105,115,116,67,111,101,102,102,115,46,115,105,122,101,40,41,32,61,61,32,83,105,122,101,40,49,44,32,56,41,32,124,124,32,100,105,115,116,67,111,101,102,102,115,46,115,105,122,101,40,41,32,61,61,32,83,105,122,101,40,56,44,32,49,41,32,124,124,32,100,105,115,116,67,111,101,102,102,115,46,115,105,122,101,40,41,32,61,61,32,83,105,122,101,40,49,44,32,49,50,41,32,124,124,32,100,105,115,116,67,111,101,102,102,115,46,115,105,122,101,40,41,32,61,61,32,83,105,122,101,40,49,50,44,32,49,41,32,124,124,32,100,105,115,116,67,111,101,102,102,115,46,115,105,122,101,40,41,32,61,61,32,83,105,122,101,40,49,44,32,49,52,41,32,124,124,32,100,105,115,116,67,111,101,102,102,115,46,115,105,122,101,40,41,32,61,61,32,83,105,122,101,40,49,52,44,32,49,41,0,109,49,32,33,61,32,78,85,76,76,32,38,38,32,109,50,32,33,61,32,78,85,76,76,0,109,49,102,32,33,61,32,78,85,76,76,32,38,38,32,109,50,102,32,33,61,32,78,85,76,76,0,109,49,32,33,61,32,78,85,76,76,0,51,49,105,110,105,116,85,110,100,105,115,116,111,114,116,82,101,99,116,105,102,121,77,97,112,67,111,109,112,117,116,101,114,0,68,97,116,97,84,121,112,101,60,95,84,112,62,58,58,99,104,97,110,110,101,108,115,32,61,61,32,109,46,99,104,97,110,110,101,108,115,40,41,32,124,124,32,109,46,101,109,112,116,121,40,41,0,100,115,116,46,100,97,116,97,32,33,61,32,115,114,99,46,100,97,116,97,0,117,110,100,105,115,116,111,114,116,0,118,111,105,100,32,99,118,58,58,117,110,100,105,115,116,111,114,116,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,41,0,97,114,114,32,33,61,32,48,32,38,38,32,99,111,110,116,111,117,114,95,104,101,97,100,101,114,32,33,61,32,48,32,38,38,32,98,108,111,99,107,32,33,61,32,48,0,99,118,80,111,105,110,116,83,101,113,70,114,111,109,77,97,116,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,105,109,103,112,114,111,99,47,115,114,99,47,117,116,105,108,115,46,99,112,112,0,73,110,112,117,116,32,97,114,114,97,121,32,105,115,32,110,111,116,32,97,32,118,97,108,105,100,32,109,97,116,114,105,120,0,84,104,101,32,109,97,116,114,105,120,32,99,97,110,32,110,111,116,32,98,101,32,99,111,110,118,101,114,116,101,100,32,116,111,32,112,111,105,110,116,32,115,101,113,117,101,110,99,101,32,98,101,99,97,117,115,101,32,111,102,32,105,110,97,112,112,114,111,112,114,105,97,116,101,32,101,108,101,109,101,110,116,32,116,121,112,101,0,84,104,101,32,109,97,116,114,105,120,32,99,111,110,118,101,114,116,101,100,32,116,111,32,112,111,105,110,116,32,115,101,113,117,101,110,99,101,32,109,117,115,116,32,98,101,32,49,45,100,105,109,101,110,115,105,111,110,97,108,32,97,110,100,32,99,111,110,116,105,110,117,111,117,115,0,100,101,112,116,104,32,61,61,32,67,86,95,56,85,32,124,124,32,100,101,112,116,104,32,61,61,32,67,86,95,49,54,85,0,100,101,109,111,115,97,105,99,105,110,103,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,105,109,103,112,114,111,99,47,115,114,99,47,100,101,109,111,115,97,105,99,105,110,103,46,99,112,112,0,115,99,110,32,61,61,32,49,32,38,38,32,100,99,110,32,61,61,32,49,0,66,97,121,101,114,45,62,71,114,97,121,32,100,101,109,111,115,97,105,99,105,110,103,32,111,110,108,121,32,115,117,112,112,111,114,116,115,32,56,117,32,97,110,100,32,49,54,117,32,116,121,112,101,115,0,115,99,110,32,61,61,32,49,32,38,38,32,40,100,99,110,32,61,61,32,51,32,124,124,32,100,99,110,32,61,61,32,52,41,0,66,97,121,101,114,45,62,82,71,66,32,100,101,109,111,115,97,105,99,105,110,103,32,111,110,108,121,32,115,117,112,112,111,114,116,115,32,56,117,32,97,110,100,32,49,54,117,32,116,121,112,101,115,0,115,99,110,32,61,61,32,49,32,38,38,32,100,99,110,32,61,61,32,51,0,66,97,121,101,114,45,62,82,71,66,32,69,100,103,101,45,65,119,97,114,101,32,100,101,109,111,115,97,105,99,105,110,103,32,111,110,108,121,32,99,117,114,114,101,110,116,108,121,32,115,117,112,112,111,114,116,115,32,56,117,32,97,110,100,32,49,54,117,32,116,121,112,101,115,0,85,110,107,110,111,119,110,32,47,32,117,110,115,117,112,112,111,114,116,101,100,32,99,111,108,111,114,32,99,111,110,118,101,114,115,105,111,110,32,99,111,100,101,0,78,50,99,118,50,57,66,97,121,101,114,50,82,71,66,95,69,100,103,101,65,119,97,114,101,95,84,95,73,110,118,111,107,101,114,73,116,78,83,95,50,54,83,73,77,68,66,97,121,101,114,83,116,117,98,73,110,116,101,114,112,111,108,97,116,111,114,95,73,116,69,69,69,69,0,78,50,99,118,50,57,66,97,121,101,114,50,82,71,66,95,69,100,103,101,65,119,97,114,101,95,84,95,73,110,118,111,107,101,114,73,104,78,83,95,50,54,83,73,77,68,66,97,121,101,114,83,116,117,98,73,110,116,101,114,112,111,108,97,116,111,114,95,73,104,69,69,69,69,0,78,50,99,118,49,55,66,97,121,101,114,50,82,71,66,95,73,110,118,111,107,101,114,73,116,78,83,95,50,54,83,73,77,68,66,97,121,101,114,83,116,117,98,73,110,116,101,114,112,111,108,97,116,111,114,95,73,116,69,69,69,69,0,78,50,99,118,49,55,66,97,121,101,114,50,82,71,66,95,73,110,118,111,107,101,114,73,104,78,83,95,50,54,83,73,77,68,66,97,121,101,114,83,116,117,98,73,110,116,101,114,112,111,108,97,116,111,114,95,73,104,69,69,69,69,0,78,50,99,118,49,56,66,97,121,101,114,50,71,114,97,121,95,73,110,118,111,107,101,114,73,116,78,83,95,50,54,83,73,77,68,66,97,121,101,114,83,116,117,98,73,110,116,101,114,112,111,108,97,116,111,114,95,73,116,69,69,69,69,0,78,50,99,118,49,56,66,97,121,101,114,50,71,114,97,121,95,73,110,118,111,107,101,114,73,104,78,83,95,50,54,83,73,77,68,66,97,121,101,114,83,116,117,98,73,110,116,101,114,112,111,108,97,116,111,114,95,73,104,69,69,69,69,0,118,111,105,100,32,99,118,58,58,100,101,109,111,115,97,105,99,105,110,103,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,44,32,105,110,116,41,0,98,111,114,100,101,114,84,121,112,101,32,33,61,32,66,79,82,68,69,82,95,67,79,78,83,84,65,78,84,0,112,121,114,68,111,119,110,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,105,109,103,112,114,111,99,47,115,114,99,47,112,121,114,97,109,105,100,115,46,99,112,112,0,112,121,114,68,111,119,110,95,0,115,115,105,122,101,46,119,105,100,116,104,32,62,32,48,32,38,38,32,115,115,105,122,101,46,104,101,105,103,104,116,32,62,32,48,32,38,38,32,115,116,100,58,58,97,98,115,40,100,115,105,122,101,46,119,105,100,116,104,42,50,32,45,32,115,115,105,122,101,46,119,105,100,116,104,41,32,60,61,32,50,32,38,38,32,115,116,100,58,58,97,98,115,40,100,115,105,122,101,46,104,101,105,103,104,116,42,50,32,45,32,115,115,105,122,101,46,104,101,105,103,104,116,41,32,60,61,32,50,0,118,111,105,100,32,99,118,58,58,112,121,114,68,111,119,110,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,99,111,110,115,116,32,83,105,122,101,32,38,44,32,105,110,116,41,0,98,111,114,100,101,114,84,121,112,101,32,61,61,32,66,79,82,68,69,82,95,68,69,70,65,85,76,84,0,112,121,114,85,112,0,115,116,100,58,58,97,98,115,40,100,115,105,122,101,46,119,105,100,116,104,32,45,32,115,115,105,122,101,46,119,105,100,116,104,42,50,41,32,61,61,32,100,115,105,122,101,46,119,105,100,116,104,32,37,32,50,32,38,38,32,115,116,100,58,58,97,98,115,40,100,115,105,122,101,46,104,101,105,103,104,116,32,45,32,115,115,105,122,101,46,104,101,105,103,104,116,42,50,41,32,61,61,32,100,115,105,122,101,46,104,101,105,103,104,116,32,37,32,50,0,112,121,114,85,112,95,0,118,111,105,100,32,99,118,58,58,112,121,114,85,112,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,99,111,110,115,116,32,83,105,122,101,32,38,44,32,105,110,116,41,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,105,109,103,112,114,111,99,47,115,114,99,47,99,111,108,111,114,46,99,112,112,0,99,118,116,67,111,108,111,114,0,118,111,105,100,32,99,118,58,58,99,118,116,67,111,108,111,114,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,44,32,105,110,116,41,0,115,114,99,46,100,101,112,116,104,40,41,32,61,61,32,100,115,116,46,100,101,112,116,104,40,41,0,99,118,67,118,116,67,111,108,111,114,0,100,115,116,46,100,97,116,97,32,61,61,32,100,115,116,48,46,100,97,116,97,0,85,110,107,110,111,119,110,32,99,111,109,112,97,114,105,115,111,110,32,109,101,116,104,111,100,0,109,97,116,99,104,83,104,97,112,101,115,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,105,109,103,112,114,111,99,47,115,114,99,47,109,97,116,99,104,99,111,110,116,111,117,114,115,46,99,112,112,0,100,111,117,98,108,101,32,99,118,58,58,109,97,116,99,104,83,104,97,112,101,115,40,73,110,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,44,32,105,110,116,44,32,100,111,117,98,108,101,41,0,95,115,114,99,46,116,121,112,101,40,41,32,61,61,32,67,86,95,56,85,67,49,32,124,124,32,95,115,114,99,46,116,121,112,101,40,41,32,61,61,32,67,86,95,49,54,85,67,49,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,105,109,103,112,114,111,99,47,115,114,99,47,99,108,97,104,101,46,99,112,112,0,85,110,115,117,112,112,111,114,116,101,100,32,116,121,112,101,0,78,49,50,95,71,76,79,66,65,76,95,95,78,95,49,50,52,67,76,65,72,69,95,73,110,116,101,114,112,111,108,97,116,105,111,110,95,66,111,100,121,73,116,76,105,48,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,49,50,95,71,76,79,66,65,76,95,95,78,95,49,50,52,67,76,65,72,69,95,73,110,116,101,114,112,111,108,97,116,105,111,110,95,66,111,100,121,73,116,76,105,48,69,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,51,95,69,69,69,69,0,78,49,50,95,71,76,79,66,65,76,95,95,78,95,49,50,52,67,76,65,72,69,95,73,110,116,101,114,112,111,108,97,116,105,111,110,95,66,111,100,121,73,104,76,105,48,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,49,50,95,71,76,79,66,65,76,95,95,78,95,49,50,52,67,76,65,72,69,95,73,110,116,101,114,112,111,108,97,116,105,111,110,95,66,111,100,121,73,104,76,105,48,69,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,51,95,69,69,69,69,0,78,49,50,95,71,76,79,66,65,76,95,95,78,95,49,49,56,67,76,65,72,69,95,67,97,108,99,76,117,116,95,66,111,100,121,73,116,76,105,54,53,53,51,54,69,76,105,48,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,49,50,95,71,76,79,66,65,76,95,95,78,95,49,49,56,67,76,65,72,69,95,67,97,108,99,76,117,116,95,66,111,100,121,73,116,76,105,54,53,53,51,54,69,76,105,48,69,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,51,95,69,69,69,69,0,78,49,50,95,71,76,79,66,65,76,95,95,78,95,49,49,56,67,76,65,72,69,95,67,97,108,99,76,117,116,95,66,111,100,121,73,104,76,105,50,53,54,69,76,105,48,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,49,50,95,71,76,79,66,65,76,95,95,78,95,49,49,56,67,76,65,72,69,95,67,97,108,99,76,117,116,95,66,111,100,121,73,104,76,105,50,53,54,69,76,105,48,69,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,51,95,69,69,69,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,40,97,110,111,110,121,109,111,117,115,32,110,97,109,101,115,112,97,99,101,41,58,58,67,76,65,72,69,95,73,109,112,108,58,58,97,112,112,108,121,40,99,118,58,58,73,110,112,117,116,65,114,114,97,121,44,32,99,118,58,58,79,117,116,112,117,116,65,114,114,97,121,41,0,78,49,50,95,71,76,79,66,65,76,95,95,78,95,49,49,48,67,76,65,72,69,95,73,109,112,108,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,49,50,95,71,76,79,66,65,76,95,95,78,95,49,49,48,67,76,65,72,69,95,73,109,112,108,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,50,95,69,69,69,69,0,67,86,95,77,65,84,95,67,78,40,115,117,109,84,121,112,101,41,32,61,61,32,67,86,95,77,65,84,95,67,78,40,115,114,99,84,121,112,101,41,0,103,101,116,82,111,119,83,117,109,70,105,108,116,101,114,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,105,109,103,112,114,111,99,47,115,114,99,47,115,109,111,111,116,104,46,99,112,112,0,85,110,115,117,112,112,111,114,116,101,100,32,99,111,109,98,105,110,97,116,105,111,110,32,111,102,32,115,111,117,114,99,101,32,102,111,114,109,97,116,32,40,61,37,100,41,44,32,97,110,100,32,98,117,102,102,101,114,32,102,111,114,109,97,116,32,40,61,37,100,41,0,78,50,99,118,54,82,111,119,83,117,109,73,104,105,69,69,0,78,50,99,118,54,82,111,119,83,117,109,73,100,100,69,69,0,78,50,99,118,54,82,111,119,83,117,109,73,102,100,69,69,0,78,50,99,118,54,82,111,119,83,117,109,73,115,100,69,69,0,78,50,99,118,54,82,111,119,83,117,109,73,105,105,69,69,0,78,50,99,118,54,82,111,119,83,117,109,73,115,105,69,69,0,78,50,99,118,54,82,111,119,83,117,109,73,116,100,69,69,0,78,50,99,118,54,82,111,119,83,117,109,73,116,105,69,69,0,78,50,99,118,54,82,111,119,83,117,109,73,104,100,69,69,0,78,50,99,118,54,82,111,119,83,117,109,73,104,116,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,54,82,111,119,83,117,109,73,100,100,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,51,95,69,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,54,82,111,119,83,117,109,73,102,100,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,51,95,69,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,54,82,111,119,83,117,109,73,115,100,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,51,95,69,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,54,82,111,119,83,117,109,73,105,105,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,51,95,69,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,54,82,111,119,83,117,109,73,115,105,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,51,95,69,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,54,82,111,119,83,117,109,73,116,100,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,51,95,69,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,54,82,111,119,83,117,109,73,116,105,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,51,95,69,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,54,82,111,119,83,117,109,73,104,100,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,51,95,69,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,54,82,111,119,83,117,109,73,104,116,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,51,95,69,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,54,82,111,119,83,117,109,73,104,105,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,51,95,69,69,69,69,0,67,86,95,77,65,84,95,67,78,40,115,117,109,84,121,112,101,41,32,61,61,32,67,86,95,77,65,84,95,67,78,40,100,115,116,84,121,112,101,41,0,103,101,116,67,111,108,117,109,110,83,117,109,70,105,108,116,101,114,0,85,110,115,117,112,112,111,114,116,101,100,32,99,111,109,98,105,110,97,116,105,111,110,32,111,102,32,115,117,109,32,102,111,114,109,97,116,32,40,61,37,100,41,44,32,97,110,100,32,100,101,115,116,105,110,97,116,105,111,110,32,102,111,114,109,97,116,32,40,61,37,100,41,0,115,117,109,67,111,117,110,116,32,61,61,32,107,115,105,122,101,45,49,0,78,50,99,118,57,67,111,108,117,109,110,83,117,109,73,100,100,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,57,67,111,108,117,109,110,83,117,109,73,100,100,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,51,95,69,69,69,69,0,78,50,99,118,57,67,111,108,117,109,110,83,117,109,73,105,100,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,57,67,111,108,117,109,110,83,117,109,73,105,100,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,51,95,69,69,69,69,0,78,50,99,118,57,67,111,108,117,109,110,83,117,109,73,100,102,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,57,67,111,108,117,109,110,83,117,109,73,100,102,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,51,95,69,69,69,69,0,78,50,99,118,57,67,111,108,117,109,110,83,117,109,73,105,102,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,57,67,111,108,117,109,110,83,117,109,73,105,102,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,51,95,69,69,69,69,0,78,50,99,118,57,67,111,108,117,109,110,83,117,109,73,105,105,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,57,67,111,108,117,109,110,83,117,109,73,105,105,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,51],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+256004);allocate([95,69,69,69,69,0,78,50,99,118,57,67,111,108,117,109,110,83,117,109,73,100,115,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,57,67,111,108,117,109,110,83,117,109,73,100,115,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,51,95,69,69,69,69,0,78,50,99,118,57,67,111,108,117,109,110,83,117,109,73,105,115,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,57,67,111,108,117,109,110,83,117,109,73,105,115,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,51,95,69,69,69,69,0,78,50,99,118,57,67,111,108,117,109,110,83,117,109,73,100,116,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,57,67,111,108,117,109,110,83,117,109,73,100,116,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,51,95,69,69,69,69,0,78,50,99,118,57,67,111,108,117,109,110,83,117,109,73,105,116,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,57,67,111,108,117,109,110,83,117,109,73,105,116,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,51,95,69,69,69,69,0,78,50,99,118,57,67,111,108,117,109,110,83,117,109,73,100,104,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,57,67,111,108,117,109,110,83,117,109,73,100,104,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,51,95,69,69,69,69,0,78,50,99,118,57,67,111,108,117,109,110,83,117,109,73,116,104,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,57,67,111,108,117,109,110,83,117,109,73,116,104,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,51,95,69,69,69,69,0,78,50,99,118,57,67,111,108,117,109,110,83,117,109,73,105,104,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,57,67,111,108,117,109,110,83,117,109,73,105,104,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,51,95,69,69,69,69,0,118,111,105,100,32,99,118,58,58,98,111,120,70,105,108,116,101,114,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,44,32,83,105,122,101,44,32,80,111,105,110,116,44,32,98,111,111,108,44,32,105,110,116,41,0,118,111,105,100,32,99,118,58,58,98,108,117,114,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,83,105,122,101,44,32,80,111,105,110,116,44,32,105,110,116,41,0,103,101,116,83,113,114,82,111,119,83,117,109,70,105,108,116,101,114,0,78,50,99,118,57,83,113,114,82,111,119,83,117,109,73,104,105,69,69,0,78,50,99,118,57,83,113,114,82,111,119,83,117,109,73,100,100,69,69,0,78,50,99,118,57,83,113,114,82,111,119,83,117,109,73,102,100,69,69,0,78,50,99,118,57,83,113,114,82,111,119,83,117,109,73,115,100,69,69,0,78,50,99,118,57,83,113,114,82,111,119,83,117,109,73,116,100,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,57,83,113,114,82,111,119,83,117,109,73,100,100,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,51,95,69,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,57,83,113,114,82,111,119,83,117,109,73,102,100,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,51,95,69,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,57,83,113,114,82,111,119,83,117,109,73,115,100,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,51,95,69,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,57,83,113,114,82,111,119,83,117,109,73,116,100,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,51,95,69,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,57,83,113,114,82,111,119,83,117,109,73,104,105,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,51,95,69,69,69,69,0,118,111,105,100,32,99,118,58,58,115,113,114,66,111,120,70,105,108,116,101,114,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,44,32,83,105,122,101,44,32,80,111,105,110,116,44,32,98,111,111,108,44,32,105,110,116,41,0,103,101,116,71,97,117,115,115,105,97,110,75,101,114,110,101,108,0,107,116,121,112,101,32,61,61,32,67,86,95,51,50,70,32,124,124,32,107,116,121,112,101,32,61,61,32,67,86,95,54,52,70,0,107,115,105,122,101,46,119,105,100,116,104,32,62,32,48,32,38,38,32,107,115,105,122,101,46,119,105,100,116,104,32,37,32,50,32,61,61,32,49,32,38,38,32,107,115,105,122,101,46,104,101,105,103,104,116,32,62,32,48,32,38,38,32,107,115,105,122,101,46,104,101,105,103,104,116,32,37,32,50,32,61,61,32,49,0,99,114,101,97,116,101,71,97,117,115,115,105,97,110,75,101,114,110,101,108,115,0,78,50,99,118,49,56,102,105,120,101,100,83,109,111,111,116,104,73,110,118,111,107,101,114,73,104,78,49,50,95,71,76,79,66,65,76,95,95,78,95,49,49,51,117,102,105,120,101,100,112,111,105,110,116,49,54,69,69,69,0,118,111,105,100,32,99,118,58,58,71,97,117,115,115,105,97,110,66,108,117,114,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,83,105,122,101,44,32,100,111,117,98,108,101,44,32,100,111,117,98,108,101,44,32,105,110,116,41,0,40,107,115,105,122,101,32,37,32,50,32,61,61,32,49,41,32,38,38,32,40,95,115,114,99,48,46,100,105,109,115,40,41,32,60,61,32,50,32,41,0,109,101,100,105,97,110,66,108,117,114,0,115,114,99,46,100,101,112,116,104,40,41,32,61,61,32,67,86,95,56,85,32,38,38,32,40,99,110,32,61,61,32,49,32,124,124,32,99,110,32,61,61,32,51,32,124,124,32,99,110,32,61,61,32,52,41,0,99,110,32,62,32,48,32,38,38,32,99,110,32,60,61,32,52,0,109,101,100,105,97,110,66,108,117,114,95,56,117,95,79,109,0,109,101,100,105,97,110,66,108,117,114,95,56,117,95,79,49,0,107,32,60,32,49,54,0,98,32,60,32,49,54,0,118,111,105,100,32,99,118,58,58,109,101,100,105,97,110,66,108,117,114,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,41,0,40,115,114,99,46,116,121,112,101,40,41,32,61,61,32,67,86,95,56,85,67,49,32,124,124,32,115,114,99,46,116,121,112,101,40,41,32,61,61,32,67,86,95,56,85,67,51,41,32,38,38,32,115,114,99,46,100,97,116,97,32,33,61,32,100,115,116,46,100,97,116,97,0,98,105,108,97,116,101,114,97,108,70,105,108,116,101,114,95,56,117,0,40,115,114,99,46,116,121,112,101,40,41,32,61,61,32,67,86,95,51,50,70,67,49,32,124,124,32,115,114,99,46,116,121,112,101,40,41,32,61,61,32,67,86,95,51,50,70,67,51,41,32,38,38,32,115,114,99,46,100,97,116,97,32,33,61,32,100,115,116,46,100,97,116,97,0,98,105,108,97,116,101,114,97,108,70,105,108,116,101,114,95,51,50,102,0,66,105,108,97,116,101,114,97,108,32,102,105,108,116,101,114,105,110,103,32,105,115,32,111,110,108,121,32,105,109,112,108,101,109,101,110,116,101,100,32,102,111,114,32,56,117,32,97,110,100,32,51,50,102,32,105,109,97,103,101,115,0,98,105,108,97,116,101,114,97,108,70,105,108,116,101,114,0,99,110,32,61,61,32,51,0,78,50,99,118,50,55,66,105,108,97,116,101,114,97,108,70,105,108,116,101,114,95,51,50,102,95,73,110,118,111,107,101,114,69,0,78,50,99,118,50,54,66,105,108,97,116,101,114,97,108,70,105,108,116,101,114,95,56,117,95,73,110,118,111,107,101,114,69,0,118,111,105,100,32,99,118,58,58,98,105,108,97,116,101,114,97,108,70,105,108,116,101,114,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,44,32,100,111,117,98,108,101,44,32,100,111,117,98,108,101,44,32,105,110,116,41,0,98,111,111,108,32,99,118,58,58,99,108,105,112,76,105,110,101,40,83,105,122,101,50,108,44,32,80,111,105,110,116,50,108,32,38,44,32,80,111,105,110,116,50,108,32,38,41,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,105,109,103,112,114,111,99,47,115,114,99,47,100,114,97,119,105,110,103,46,99,112,112,0,76,105,110,101,73,116,101,114,97,116,111,114,0,118,111,105,100,32,99,118,58,58,101,108,108,105,112,115,101,50,80,111,108,121,40,80,111,105,110,116,50,100,44,32,83,105,122,101,50,100,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,44,32,115,116,100,58,58,118,101,99,116,111,114,60,80,111,105,110,116,50,100,62,32,38,41,0,48,32,60,32,116,104,105,99,107,110,101,115,115,32,38,38,32,116,104,105,99,107,110,101,115,115,32,60,61,32,77,65,88,95,84,72,73,67,75,78,69,83,83,0,108,105,110,101,0,48,32,60,61,32,115,104,105,102,116,32,38,38,32,115,104,105,102,116,32,60,61,32,88,89,95,83,72,73,70,84,0,48,32,60,61,32,115,104,105,102,116,32,38,38,32,115,104,105,102,116,32,60,61,32,88,89,95,83,72,73,70,84,32,38,38,32,116,104,105,99,107,110,101,115,115,32,62,61,32,48,0,80,111,108,121,76,105,110,101,0,181,181,181,182,182,183,184,185,187,188,190,192,194,196,198,201,203,206,209,211,214,218,221,224,227,231,235,238,242,246,250,254,118,111,105,100,32,99,118,58,58,108,105,110,101,40,73,110,112,117,116,79,117,116,112,117,116,65,114,114,97,121,44,32,80,111,105,110,116,44,32,80,111,105,110,116,44,32,99,111,110,115,116,32,83,99,97,108,97,114,32,38,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,41,0,116,104,105,99,107,110,101,115,115,32,60,61,32,77,65,88,95,84,72,73,67,75,78,69,83,83,0,114,101,99,116,97,110,103,108,101,0,118,111,105,100,32,99,118,58,58,114,101,99,116,97,110,103,108,101,40,73,110,112,117,116,79,117,116,112,117,116,65,114,114,97,121,44,32,80,111,105,110,116,44,32,80,111,105,110,116,44,32,99,111,110,115,116,32,83,99,97,108,97,114,32,38,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,41,0,118,111,105,100,32,99,118,58,58,114,101,99,116,97,110,103,108,101,40,73,110,112,117,116,79,117,116,112,117,116,65,114,114,97,121,44,32,82,101,99,116,44,32,99,111,110,115,116,32,83,99,97,108,97,114,32,38,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,41,0,114,97,100,105,117,115,32,62,61,32,48,32,38,38,32,116,104,105,99,107,110,101,115,115,32,60,61,32,77,65,88,95,84,72,73,67,75,78,69,83,83,32,38,38,32,48,32,60,61,32,115,104,105,102,116,32,38,38,32,115,104,105,102,116,32,60,61,32,88,89,95,83,72,73,70,84,0,99,105,114,99,108,101,0,118,111,105,100,32,99,118,58,58,99,105,114,99,108,101,40,73,110,112,117,116,79,117,116,112,117,116,65,114,114,97,121,44,32,80,111,105,110,116,44,32,105,110,116,44,32,99,111,110,115,116,32,83,99,97,108,97,114,32,38,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,41,0,97,120,101,115,46,119,105,100,116,104,32,62,61,32,48,32,38,38,32,97,120,101,115,46,104,101,105,103,104,116,32,62,61,32,48,32,38,38,32,116,104,105,99,107,110,101,115,115,32,60,61,32,77,65,88,95,84,72,73,67,75,78,69,83,83,32,38,38,32,48,32,60,61,32,115,104,105,102,116,32,38,38,32,115,104,105,102,116,32,60,61,32,88,89,95,83,72,73,70,84,0,101,108,108,105,112,115,101,0,118,111,105,100,32,99,118,58,58,101,108,108,105,112,115,101,40,73,110,112,117,116,79,117,116,112,117,116,65,114,114,97,121,44,32,80,111,105,110,116,44,32,83,105,122,101,44,32,100,111,117,98,108,101,44,32,100,111,117,98,108,101,44,32,100,111,117,98,108,101,44,32,99,111,110,115,116,32,83,99,97,108,97,114,32,38,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,41,0,98,111,120,46,115,105,122,101,46,119,105,100,116,104,32,62,61,32,48,32,38,38,32,98,111,120,46,115,105,122,101,46,104,101,105,103,104,116,32,62,61,32,48,32,38,38,32,116,104,105,99,107,110,101,115,115,32,60,61,32,77,65,88,95,84,72,73,67,75,78,69,83,83,0,118,111,105,100,32,99,118,58,58,101,108,108,105,112,115,101,40,73,110,112,117,116,79,117,116,112,117,116,65,114,114,97,121,44,32,99,111,110,115,116,32,99,118,58,58,82,111,116,97,116,101,100,82,101,99,116,32,38,44,32,99,111,110,115,116,32,83,99,97,108,97,114,32,38,44,32,105,110,116,44,32,105,110,116,41,0,85,110,107,110,111,119,110,32,102,111,110,116,32,116,121,112,101,0,103,101,116,70,111,110,116,68,97,116,97,0,118,111,105,100,32,99,118,58,58,112,117,116,84,101,120,116,40,73,110,112,117,116,79,117,116,112,117,116,65,114,114,97,121,44,32,99,111,110,115,116,32,83,116,114,105,110,103,32,38,44,32,80,111,105,110,116,44,32,105,110,116,44,32,100,111,117,98,108,101,44,32,83,99,97,108,97,114,44,32,105,110,116,44,32,105,110,116,44,32,98,111,111,108,41,0,48,32,60,61,32,99,111,110,116,111,117,114,73,100,120,32,38,38,32,99,111,110,116,111,117,114,73,100,120,32,60,32,40,105,110,116,41,108,97,115,116,0,100,114,97,119,67,111,110,116,111,117,114,115,0,110,112,111,105,110,116,115,32,62,32,48,0,104,105,101,114,97,114,99,104,121,46,116,111,116,97,108,40,41,32,61,61,32,110,99,111,110,116,111,117,114,115,32,38,38,32,104,105,101,114,97,114,99,104,121,46,116,121,112,101,40,41,32,61,61,32,67,86,95,51,50,83,67,52,0,99,118,68,114,97,119,67,111,110,116,111,117,114,115,0,114,101,97,100,101,114,46,112,116,114,32,33,61,32,78,85,76,76,0,101,108,101,109,95,116,121,112,101,32,61,61,32,67,86,95,51,50,83,67,50,0,118,111,105,100,32,99,118,58,58,100,114,97,119,67,111,110,116,111,117,114,115,40,73,110,112,117,116,79,117,116,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,105,110,116,44,32,99,111,110,115,116,32,83,99,97,108,97,114,32,38,44,32,105,110,116,44,32,105,110,116,44,32,73,110,112,117,116,65,114,114,97,121,44,32,105,110,116,44,32,80,111,105,110,116,41,0,67,86,95,73,83,95,83,69,81,95,67,72,65,73,78,95,67,79,78,84,79,85,82,40,32,99,104,97,105,110,32,41,0,105,99,118,65,112,112,114,111,120,105,109,97,116,101,67,104,97,105,110,84,67,56,57,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,105,109,103,112,114,111,99,47,115,114,99,47,97,112,112,114,111,120,46,99,112,112,0,104,101,97,100,101,114,95,115,105,122,101,32,62,61,32,40,105,110,116,41,115,105,122,101,111,102,40,67,118,67,111,110,116,111,117,114,41,0,110,112,111,105,110,116,115,32,62,61,32,48,32,38,38,32,40,100,101,112,116,104,32,61,61,32,67,86,95,51,50,83,32,124,124,32,100,101,112,116,104,32,61,61,32,67,86,95,51,50,70,41,0,97,112,112,114,111,120,80,111,108,121,68,80,0,118,111,105,100,32,99,118,58,58,97,112,112,114,111,120,80,111,108,121,68,80,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,100,111,117,98,108,101,44,32,98,111,111,108,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,97,98,99,100,101,102,103,104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,123,124,125,126,127,128,129,130,131,132,133,134,135,136,137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,158,159,160,161,162,163,164,165,166,167,168,169,170,171,172,173,174,175,176,177,178,179,180,181,182,183,184,185,186,187,188,189,190,191,192,193,194,195,196,197,198,199,200,201,202,203,204,205,206,207,208,209,210,211,212,213,214,215,216,217,218,219,220,221,222,223,224,225,226,227,228,229,230,231,232,233,234,235,236,237,238,239,240,241,242,243,244,245,246,247,248,249,250,251,252,253,254,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,77,87,82,77,78,86,32,82,77,86,86,32,80,83,84,83,0,77,87,79,77,79,86,32,79,77,83,77,85,78,85,80,83,81,32,79,81,83,81,85,82,85,85,83,86,79,86,0,77,88,86,78,84,77,82,77,80,78,79,80,79,83,80,85,82,86,84,86,86,85,0,77,87,79,77,79,86,32,79,77,82,77,84,78,85,80,85,83,84,85,82,86,79,86,0,77,87,79,77,79,86,32,79,77,85,77,32,79,81,83,81,32,79,86,85,86,0,77,86,79,77,79,86,32,79,77,85,77,32,79,81,83,81,0,77,88,86,78,84,77,82,77,80,78,79,80,79,83,80,85,82,86,84,86,86,85,86,82,32,83,82,86,82,0,77,87,79,77,79,86,32,85,77,85,86,32,79,81,85,81,0,80,84,82,77,82,86,0,78,85,83,77,83,84,82,86,80,86,79,84,79,83,0,77,87,79,77,79,86,32,85,77,79,83,32,81,81,85,86,0,77,86,79,77,79,86,32,79,86,85,86,0,76,88,78,77,78,86,32,78,77,82,86,32,86,77,82,86,32,86,77,86,86,0,77,87,79,77,79,86,32,79,77,85,86,32,85,77,85,86,0,77,88,82,77,80,78,79,80,79,83,80,85,82,86,83,86,85,85,86,83,86,80,85,78,83,77,82,77,0,77,87,79,77,79,86,32,79,77,83,77,85,78,85,81,83,82,79,82,0,77,88,82,77,80,78,79,80,79,83,80,85,82,86,83,86,85,85,86,83,86,80,85,78,83,77,82,77,32,83,84,86,87,0,77,87,79,77,79,86,32,79,77,83,77,85,78,85,81,83,82,79,82,32,82,82,85,86,0,77,87,85,78,83,77,81,77,79,78,79,79,80,80,84,82,85,83,85,85,83,86,81,86,79,85,0,77,87,82,77,82,86,32,78,77,86,77,0,77,88,79,77,79,83,80,85,82,86,83,86,85,85,86,83,86,77,0,77,87,78,77,82,86,32,86,77,82,86,0,76,88,78,77,80,86,32,82,77,80,86,32,82,77,84,86,32,86,77,84,86,0,77,87,79,77,85,86,32,85,77,79,86,0,77,87,78,77,82,81,82,86,32,86,77,82,81,0,77,87,85,77,79,86,32,79,77,85,77,32,79,86,85,86,0,77,86,79,77,79,86,32,79,77,85,77,0,77,87,82,77,78,86,32,82,77,86,86,32,78,86,86,86,0,77,88,82,77,80,78,79,80,79,83,80,85,82,86,83,86,85,85,86,83,86,80,85,78,83,77,82,77,32,81,81,84,82,32,84,81,81,82,0,77,87,82,77,78,86,32,82,77,86,86,0,77,87,79,77,85,77,32,80,81,84,82,32,84,81,80,82,32,79,86,85,86,0,77,87,79,77,79,86,32,85,77,85,86,32,79,77,85,77,0,77,87,79,77,82,81,79,86,32,79,77,85,77,32,79,86,85,86,0,77,87,78,79,78,78,79,77,80,77,81,78,82,80,82,86,32,86,79,86,78,85,77,84,77,83,78,82,80,0,76,88,82,77,82,86,32,80,79,78,80,78,83,80,84,84,84,86,83,86,80,84,79,80,79,0,76,88,82,77,82,86,32,78,79,79,80,79,83,81,84,83,84,85,83,85,80,86,79,0,77,88,79,86,81,86,79,82,79,80,80,78,82,77,83,77,85,78,86,80,86,82,84,86,86,86,0,77,87,83,77,77,86,32,83,77,85,86,32,79,83,84,83,0,77,87,81,77,78,86,32,81,77,84,77,86,78,86,80,83,81,80,81,32,83,81,85,82,85,84,84,85,82,86,78,86,0,76,88,86,80,85,78,84,77,82,77,80,78,79,79,78,81,78,83,79,85,80,86,82,86,84,85,85,84,0,77,88,81,77,78,86,32,81,77,85,77,86,79,86,81,85,84,84,85,82,86,78,86,0,77,86,81,77,78,86,32,81,77,86,77,32,80,81,83,81,32,78,86,83,86,0,77,86,81,77,78,86,32,81,77,86,77,32,80,81,83,81,0,76,88,86,80,85,78,84,77,82,77,80,78,79,79,78,81,78,83,79,85,80,86,82,86,84,85,85,83,82,83,0,77,88,81,77,78,86,32,87,77,84,86,32,80,81,85,81,0,80,85,84,77,81,86,0,79,86,85,77,83,83,82,85,81,86,80,86,79,85,79,84,0,77,86,81,77,78,86,32,86,77,79,83,32,82,81,84,86,0,78,86,82,77,79,86,32,79,86,84,86,0,76,89,80,77,77,86,32,80,77,81,86,32,88,77,81,86,32,88,77,85,86,0,77,88,81,77,78,86,32,81,77,84,86,32,87,77,84,86,0,76,88,82,77,80,78,79,79,78,81,78,83,79,85,80,86,82,86,84,85,85,84,86,82,86,80,85,78,84,77,82,77,0,77,87,81,77,78,86,32,81,77,85,77,86,78,86,80,85,81,83,82,80,82,0,76,88,82,77,80,78,79,79,78,81,78,83,79,85,80,86,82,86,84,85,85,84,86,82,86,80,85,78,84,77,82,77,32,81,86,80,85,80,84,81,83,82,83,83,84,84,86,85,87,86,87,0,77,87,81,77,78,86,32,81,77,85,77,86,78,86,80,85,81,83,82,80,82,32,81,82,82,85,83,86,84,86,85,85,0,77,87,86,78,84,77,82,77,80,78,80,80,81,81,84,82,85,83,85,85,83,86,80,86,78,85,0,77,86,83,77,80,86,32,80,77,86,77,0,76,88,80,77,78,83,78,85,79,86,82,86,84,85,85,83,87,77,0,77,87,79,77,81,86,32,87,77,81,86,0,75,88,78,77,78,86,32,83,77,78,86,32,83,77,83,86,32,88,77,83,86,0,78,87,81,77,84,86,32,87,77,78,86,0,78,87,81,77,83,81,81,86,32,87,77,83,81,0,77,87,81,77,87,77,78,86,84,86,0,76,88,78,77,82,86,32,86,77,82,86,32,78,77,86,77,0,77,87,78,76,86,88,0,76,88,82,79,78,85,32,82,79,86,85,0,77,87,78,86,86,86,0,80,86,82,77,85,81,0,77,87,77,77,79,75,81,75,84,77,86,77,87,75,0,78,87,81,80,84,80,85,81,85,86,32,85,82,81,83,80,84,80,85,81,86,83,86,85,85,0,77,87,79,77,79,86,32,79,83,80,85,82,86,84,85,85,83,84,81,82,80,80,81,79,83,0,77,87,85,81,83,80,82,80,80,81,79,83,80,85,82,86,83,86,85,85,0,77,87,85,77,85,86,32,85,83,84,81,82,80,80,81,79,83,80,85,82,86,84,85,85,83,0,77,87,79,83,85,83,84,81,82,80,80,81,79,83,80,85,82,86,84,86,0,78,86,85,78,84,77,83,77,82,78,82,86,32,80,80,84,80,0,77,87,85,80,85,86,84,88,82,89,80,89,32,85,83,84,81,82,80,80,81,79,83,80,85,82,86,84,85,85,83,0,77,87,79,77,79,86,32,79,83,80,81,82,80,84,81,85,83,85,86,0,80,84,82,76,81,77,82,78,83,77,82,76,32,82,80,82,86,0,80,85,83,76,82,77,83,78,84,77,83,76,32,83,80,83,88,82,89,81,89,80,88,0,78,87,80,77,80,86,32,85,80,80,84,32,82,83,85,86,0,75,89,77,80,77,86,32,77,83,78,81,79,80,80,80,81,81,82,83,82,86,32,82,83,83,81,84,80,85,80,86,81,87,83,87,86,0,77,87,79,80,79,86,32,79,83,80,81,82,80,84,81,85,83,85,86,0,77,87,82,80,80,81,79,83,80,85,82,86,84,85,85,83,84,81,82,80,0,77,87,79,80,79,89,32,79,83,80,85,82,86,84,85,85,83,84,81,82,80,80,81,79,83,0,77,87,85,80,85,89,32,85,83,84,81,82,80,80,81,79,83,80,85,82,86,84,85,85,83,0,78,86,80,80,80,86,32,80,83,81,81,83,80,84,80,0,78,87,85,81,84,80,81,80,80,81,80,82,81,83,84,83,85,84,85,85,84,86,81,86,80,85,0,78,86,82,77,82,85,83,86,84,86,85,85,32,80,80,84,80,0,77,87,85,80,85,86,32,79,80,79,83,80,85,82,86,84,85,85,83,0,78,86,79,80,82,86,32,85,80,82,86,0,76,88,78,80,80,86,32,82,80,80,86,32,82,80,84,86,32,86,80,84,86,0,77,87,79,80,85,86,32,85,80,79,86,0,77,87,79,80,82,86,32,85,80,82,86,81,88,80,89,79,89,0,77,87,79,80,85,80,79,86,85,86,0,77,88,86,80,85,83,84,85,82,86,80,85,79,83,80,81,82,80,84,81,85,85,86,86,0,77,87,79,84,81,86,83,86,84,85,84,83,83,82,80,81,82,81,84,80,85,79,85,78,84,77,82,77,81,78,80,80,79,84,78,89,0,77,88,78,81,79,80,81,80,82,81,82,83,81,87,32,86,80,85,82,83,84,81,87,80,89,0,77,87,84,78,83,77,82,77,81,78,81,79,82,80,84,81,85,83,84,85,82,86,80,85,79,83,80,81,82,80,0,78,87,85,81,83,80,81,80,80,81,80,82,81,83,32,83,83,81,83,80,84,80,85,81,86,83,86,85,85,0,78,87,84,77,83,78,83,79,84,80,32,85,80,83,80,81,81,80,83,80,85,81,86,83,87,83,88,82,89,81,89,0,76,88,78,81,79,80,80,80,81,81,81,83,80,86,32,81,83,82,81,84,80,85,80,86,81,86,83,85,86,84,89,0,76,88,78,81,79,80,80,80,81,81,81,85,82,86,83,86,84,85,85,83,86,80,86,78,85,77,84,77,83,78,83,80,84,82,85,83,87,84,0,79,86,82,80,81,83,81,85,82,86,83,86,84,85,0,77,87,81,80,79,86,32,85,80,84,80,82,81,80,83,32,80,83,81,85,83,86,84,86,0,77,87,79,77,80,77,81,78,82,80,85,86,32,82,80,79,86,0,76,89,80,80,77,89,32,85,80,84,83,83,85,81,86,80,86,79,85,79,83,32,84,83,84,85,85,86,86,86,87,85,0,77,87,78,80,79,80,79,86,32,85,80,84,83,82,85,79,86,0,78,87,84,77,83,78,83,79,84,80,32,85,80,83,80,81,81,81,82,82,83,84,83,32,83,83,81,84,80,85,80,86,81,87,83,88,83,89,82,90,81,90,0,77,88,79,81,81,80,86,80,32,81,80,81,82,80,86,32,84,80,84,82,85,86,0,77,87,79,83,80,85,82,86,84,85,85,83,84,81,82,80,80,81,79,83,78,89,0,77,88,86,80,82,80,80,81,79,83,80,85,82,86,84,85,85,83,84,81,82,80,0,77,88,79,81,81,80,86,80,32,83,80,82,86,0,75,88,77,81,78,80,79,80,80,81,80,85,81,86,83,86,84,85,85,83,86,80,0,77,88,80,80,79,81,79,83,80,85,82,86,83,86,85,85,86,83,86,81,85,80,84,80,83,81,82,83,81,89,0,77,87,79,80,80,80,81,81,83,88,84,89,85,89,32,85,80,84,82,80,87,79,89,0,75,89,84,77,82,89,32,77,81,78,80,79,80,80,81,80,85,81,86,84,86,85,85,86,83,87,80,0,76,88,79,80,78,82,78,84,79,86,81,86,82,84,82,82,32,85,80,86,82,86,84,85,86,83,86,82,84,0,76,87,84,83,83,81,81,80,79,81,78,83,79,85,81,86,83,85,84,83,32,85,80,84,83,84,85,85,86,86,86,0,77,87,81,77,79,83,80,85,82,86,84,85,85,83,84,81,82,80,80,81,79,83,0,77,87,85,81,83,80,82,80,80,81,79,83,80,85,82,86,84,86,0,76,87,84,83,83,81,81,80,79,81,78,83,79,85,81,86,83,85,84,83,32,86,77,84,83,84,85,85,86,86,86,0,77,87,79,83,84,83,85,82,85,81,83,80,82,80,80,81,79,83,80,85,82,86,84,86,0,79,86,86,77,85,77,84,78,83,80,81,86,80,88,79,89,78,89,32,81,80,85,80,0,77,88,85,83,84,81,82,80,80,81,79,83,80,85,82,86,84,85,85,83,32,86,80,84,86,83,88,82,89,80,89,79,88,0,77,86,81,77,78,86,32,79,83,80,81,81,80,83,80,84,81,84,82,83,84,83,85,84,86,85,86,0,80,85,83,77,83,78,84,78,84,77,83,77,32,81,80,82,80,83,81,83,82,82,84,82,85,83,86,84,86,0,79,85,83,77,83,78,84,78,84,77,83,77,32,81,80,82,80,83,81,83,82,82,86,81,88,80,89,79,89,78,88,0,78,86,82,77,79,86,32,85,80,84,80,82,81,80,83,32,80,83,81,85,83,86,84,86,0,79,84,83,77,81,83,81,85,82,86,83,86,0,74,89,75,80,76,80,77,81,77,83,76,86,32,77,83,78,81,79,80,81,80,82,81,82,83,81,86,32,82,83,83,81,84,80,86,80,87,81,87,82,86,84,86,85,87,86,88,86,0,77,87,78,80,79,80,80,81,80,83,79,86,32,80,83,81,81,82,80,84,80,85,81,85,82,84,84,84,85,85,86,86,86,0,77,88,78,80,79,80,80,81,80,83,78,89,32,80,83,81,85,83,86,85,85,86,83,85,81,83,80,81,81,80,83,0,77,88,85,83,84,81,82,80,80,81,79,83,80,85,82,86,84,85,85,83,32,86,80,83,89,0,77,86,79,80,80,80,81,81,81,83,80,86,32,85,81,84,80,83,80,82,81,81,83,0,78,86,84,81,83,80,81,80,80,81,80,82,81,83,82,83,83,84,83,85,82,86,80,86,79,85,0,78,85,83,77,81,83,81,85,82,86,83,86,32,80,80,84,80,0,77,87,78,80,79,80,80,81,80,82,79,84,79,85,80,86,82,86,83,85,84,83,32,85,80,84,83,84,85,85,86,86,86,0,77,87,78,80,79,80,80,81,80,82,79,84,79,85,80,86,82,86,84,85,85,82,85,80,0,75,89,76,80,77,80,78,81,78,82,77,84,77,85,78,86,80,86,81,85,82,83,83,80,32,82,83,82,85,83,86,85,86,86,85,87,82,87,80,0,77,87,79,81,80,80,81,80,82,81,82,85,83,86,84,86,85,85,32,86,81,85,80,84,80,83,81,81,85,80,86,79,86,78,85,0,77,87,78,80,79,80,80,81,80,82,79,84,79,85,80,86,82,86,83,85,84,83,32,85,80,83,86,82,88,81,89,79,89,78,88,0,78,86,85,80,79,86,32,80,81,81,80,83,80,84,81,32,80,85,81,86,83,86,84,85,0,77,87,85,83,84,81,82,80,80,81,79,83,80,85,82,86,84,85,85,83,85,80,84,78,82,77,81,77,0,77,87,85,81,83,80,82,80,80,81,79,83,80,85,82,86,83,86,85,85,32,79,83,83,83,0,77,87,82,77,81,78,80,80,79,83,79,86,80,87,82,87,83,86,84,84,85,81,85,78,84,77,82,77,32,80,82,84,82,0,77,87,84,77,81,89,32,82,80,80,81,79,83,80,85,82,86,83,86,85,85,86,83,85,81,83,80,82,80,0,77,87,85,81,83,80,81,80,79,81,79,83,80,84,82,85,83,86,83,87,82,88,81,88,0,75,89,84,80,84,83,85,84,86,84,87,83,87,81,86,79,85,78,83,77,81,77,79,78,78,79,77,81,77,83,78,85,79,86,81,87,83,87,85,86,32,84,81,83,80,81,80,80,81,80,83,81,84,83,84,84,83,0,77,87,85,78,79,82,85,86,0,77,87,79,78,85,82,79,86,0,79,85,84,75,81,75,81,89,84,89,0,79,85,80,75,83,75,83,89,80,89,0,79,85,84,75,83,76,82,78,82,79,83,81,81,82,83,83,82,85,82,86,83,88,84,89,0,79,85,80,75,81,76,82,78,82,79,81,81,83,82,81,83,82,85,82,86,81,88,80,89,0,76,89,80,77,81,78,81,79,80,80,79,80,78,79,78,78,79,77,80,77,83,78,85,78,87,77,78,86,32,85,83,84,84,84,85,85,86,86,86,87,85,87,84,86,83,85,83,0,80,84,0,78,86,0,77,87,82,77,80,78,79,80,79,83,80,85,82,86,84,85,85,83,85,80,84,78,82,77,0,77,87,80,79,82,77,82,86,0,77,87,79,78,81,77,83,77,85,78,85,80,84,82,79,86,85,86,0,77,87,79,78,81,77,83,77,85,78,85,80,83,81,32,82,81,83,81,85,82,85,85,83,86,81,86,79,85,0,77,87,83,77,83,86,32,83,77,78,83,86,83,0,77,87,80,77,79,81,81,80,82,80,84,81,85,83,84,85,82,86,81,86,79,85,32,80,77,84,77,0,77,87,84,77,82,77,80,78,79,80,79,83,80,85,82,86,84,85,85,83,84,81,82,80,80,81,79,83,0,77,87,85,77,81,86,32,79,77,85,77,0,77,87,81,77,79,78,79,80,81,81,83,81,85,80,85,78,83,77,81,77,32,81,81,79,82,79,85,81,86,83,86,85,85,85,82,83,81,0,77,87,85,80,84,82,82,83,80,82,79,80,80,78,82,77,84,78,85,80,85,83,84,85,82,86,80,86,0,80,85,82,85,82,86,83,86,83,85,82,85,0,80,85,83,86,82,86,82,85,83,85,83,87,82,89,0,80,85,82,80,82,81,83,81,83,80,82,80,32,82,85,82,86,83,86,83,85,82,85,0,80,85,82,80,82,81,83,81,83,80,82,80,32,83,86,82,86,82,85,83,85,83,87,82,89,0,80,85,82,77,82,82,32,83,77,83,82,32,82,85,82,86,83,86,83,85,82,85,0,78,87,80,78,82,77,83,77,85,78,85,80,82,81,82,82,83,82,83,81,85,80,32,82,85,82,86,83,86,83,85,82,85,0,80,84,82,77,82,81,0,78,86,80,77,80,81,32,84,77,84,81,0,78,86,81,77,80,78,80,80,81,81,83,81,84,80,84,78,83,77,81,77,0,77,87,82,75,82,88,32,85,78,83,77,81,77,79,78,79,80,81,81,84,82,85,83,85,85,83,86,81,86,79,85,0,77,87,86,76,78,88,0,79,85,84,75,82,78,81,81,81,83,82,86,84,89,0,79,85,80,75,82,78,83,81,83,83,82,86,80,89,0,80,84,82,75,82,89,0,76,88,78,82,86,82,0,76,88,82,78,82,86,32,78,82,86,82,0,76,88,78,80,86,80,32,78,84,86,84,0,77,87,79,79,85,85,32,85,79,79,85,0,77,87,82,79,82,85,32,79,80,85,84,32,85,80,79,84,0,80,85,82,81,82,82,83,82,83,81,82,81,0,80,85,83,77,82,79,82,81,83,81,83,80,82,80,0,80,85,83,78,82,78,82,77,83,77,83,79,82,81,0,76,88,83,79,86,82,83,85,32,78,82,86,82,0,77,88,81,76,81,89,32,84,76,84,89,32,79,81,86,81,32,79,84,86,84,0,76,88,86,82,85,82,84,83,83,85,82,86,79,86,78,85,78,83,79,82,82,81,83,80,83,78,82,77,80,77,79,78,79,80,81,83,83,85,85,86,86,86,0,76,88,78,78,79,81,79,83,78,86,32,86,78,85,81,85,83,86,86,32,78,78,81,79,83,79,86,78,32,78,86,81,85,83,85,86,86,0,76,89,82,81,81,80,79,80,78,81,78,83,79,84,81,84,82,83,83,81,84,80,86,80,87,81,87,83,86,84,84,84,83,83,82,81,0,72,92,78,82,77,81,76,82,77,83,78,82,32,86,82,87,81,88,82,87,83,86,82,0,72,92,77,80,76,81,76,82,77,83,78,83,79,82,79,81,78,80,77,80,32,77,81,77,82,78,82,78,81,77,81,32,87,80,86,81,86,82,87,83,88,83,89,82,89,81,88,80,87,80,32,87,81,87,82,88,82,88,81,87,81,0,73,91,75,82,89,82,0,72,92,82,85,74,80,82,84,90,80,82,85,0,70,94,73,83,74,81,76,80,78,80,80,81,84,84,86,85,88,85,90,84,91,81,32,73,83,74,80,76,79,78,79,80,80,84,83,86,84,88,84,90,83,91,81,32,73,89,74,87,76,86,78,86,80,87,84,90,86,91,88,91,90,90,91,87,32,73,89,74,86,76,85,78,85,80,86,84,89,86,90,88,90,90,89,91,87,0,70,94,73,83,74,81,76,80,78,80,80,81,84,84,86,85,88,85,90,84,91,81,32,73,83,74,80,76,79,78,79,80,80,84,83,86,84,88,84,90,83,91,81,32,73,87,91,87,32,73,91,91,91,0,67,97,71,79,93,79,88,73,32,76,91,71,85,93,85,0,68,96,70,94,94,94,94,70,70,70,70,94,0,75,89,81,86,79,85,78,83,78,81,79,79,81,78,83,78,85,79,86,81,86,83,85,85,83,86,81,86,32,83,86,86,83,32,81,86,86,81,32,79,85,85,79,32,78,83,83,78,32,78,81,81,78,0,72,92,73,82,91,82,0,72,92,73,82,91,82,32,73,81,91,81,0,76,89,80,70,83,67,83,80,32,82,68,82,80,32,79,80,86,80,32,77,82,88,82,32,79,86,79,87,78,87,78,86,79,85,81,84,84,84,86,85,87,87,86,89,84,90,81,91,79,92,78,94,78,97,32,84,84,85,85,86,87,85,89,84,90,32,78,96,79,95,80,95,83,96,86,96,87,95,32,80,95,83,97,86,97,87,95,87,94,0,76,89,80,70,83,67,83,80,32,82,68,82,80,32,79,80,86,80,32,77,82,88,82,32,79,86,79,87,78,87,78,86,79,85,81,84,84,84,86,85,87,87,86,89,84,90,32,84,84,85,85,86,87,85,89,84,90,32,82,90,84,90,86,91,87,93,87,94,86,96,84,97,81,97,79,96,78,95,78,94,79,94,79,95,32,84,90,85,91,86,93,86,94,85,96,84,97,0,76,89,80,70,83,67,83,80,32,82,68,82,80,32,79,80,86,80,32,77,82,88,82,32,86,86,86,87,87,87,87,86,86,85,84,84,82,84,80,85,79,86,78,89,78,94,79,96,81,97,84,97,86,96,87,94,87,92,86,90,84,89,81,89,78,91,32,82,84,80,86,79,89,79,94,80,96,81,97,32,84,97,85,96,86,94,86,92,85,90,84,89,0,76,89,80,70,83,67,83,80,32,82,68,82,80,32,79,80,86,80,32,77,82,88,82,32,81,84,79,85,78,87,79,89,81,90,84,90,86,89,87,87,86,85,84,84,81,84,32,81,84,80,85,79,87,80,89,81,90,32,84,90,85,89,86,87,85,85,84,84,32,81,90,79,91,78,93,78,94,79,96,81,97,84,97,86,96,87,94,87,93,86,91,84,90,32,81,90,80,91,79,93,79,94,80,96,81,97,32,84,97,85,96,86,94,86,93,85,91,84,90,0,76,89,79,69,79,70,78,70,78,69,79,68,81,67,84,67,86,68,87,70,86,72,84,73,81,74,79,75,78,77,78,80,32,84,67,85,68,86,70,85,72,84,73,32,78,79,79,78,80,78,83,79,86,79,87,78,32,80,78,83,80,86,80,87,78,87,77,32,77,82,88,82,32,79,86,79,87,78,87,78,86,79,85,81,84,84,84,86,85,87,87,86,89,84,90,32,84,84,85,85,86,87,85,89,84,90,32,82,90,84,90,86,91,87,93,87,94,86,96,84,97,81,97,79,96,78,95,78,94,79,94,79,95,32,84,90,85,91,86,93,86,94,85,96,84,97,0,76,89,79,69,79,70,78,70,78,69,79,68,81,67,84,67,86,68,87,70,86,72,84,73,32,84,67,85,68,86,70,85,72,84,73,32,82,73,84,73,86,74,87,76,87,77,86,79,84,80,81,80,79,79,78,78,78,77,79,77,79,78,32],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+266244);allocate([84,73,85,74,86,76,86,77,85,79,84,80,32,77,82,88,82,32,81,84,79,85,78,87,79,89,81,90,84,90,86,89,87,87,86,85,84,84,81,84,32,81,84,80,85,79,87,80,89,81,90,32,84,90,85,89,86,87,85,85,84,84,32,81,90,79,91,78,93,78,94,79,96,81,97,84,97,86,96,87,94,87,93,86,91,84,90,32,81,90,80,91,79,93,79,94,80,96,81,97,32,84,97,85,96,86,94,86,93,85,91,84,90,0,76,89,79,67,78,73,32,79,67,86,67,32,79,68,83,68,86,67,32,78,73,79,72,81,71,84,71,86,72,87,74,87,77,86,79,84,80,81,80,79,79,78,78,78,77,79,77,79,78,32,84,71,85,72,86,74,86,77,85,79,84,80,32,77,82,88,82,32,81,84,79,85,78,87,79,89,81,90,84,90,86,89,87,87,86,85,84,84,81,84,32,81,84,80,85,79,87,80,89,81,90,32,84,90,85,89,86,87,85,85,84,84,32,81,90,79,91,78,93,78,94,79,96,81,97,84,97,86,96,87,94,87,93,86,91,84,90,32,81,90,80,91,79,93,79,94,80,96,81,97,32,84,97,85,96,86,94,86,93,85,91,84,90,0,76,89,78,67,78,71,32,86,69,82,76,80,80,32,87,67,84,73,81,80,32,78,69,80,67,82,67,85,69,32,78,69,80,68,82,68,85,69,86,69,32,77,82,88,82,32,81,84,79,85,78,87,79,89,81,90,84,90,86,89,87,87,86,85,84,84,81,84,32,81,84,80,85,79,87,80,89,81,90,32,84,90,85,89,86,87,85,85,84,84,32,81,90,79,91,78,93,78,94,79,96,81,97,84,97,86,96,87,94,87,93,86,91,84,90,32,81,90,80,91,79,93,79,94,80,96,81,97,32,84,97,85,96,86,94,86,93,85,91,84,90,0,76,89,79,67,78,73,32,79,67,86,67,32,79,68,83,68,86,67,32,78,73,79,72,81,71,84,71,86,72,87,74,87,77,86,79,84,80,81,80,79,79,78,78,78,77,79,77,79,78,32,84,71,85,72,86,74,86,77,85,79,84,80,32,77,82,88,82,32,86,86,86,87,87,87,87,86,86,85,84,84,82,84,80,85,79,86,78,89,78,94,79,96,81,97,84,97,86,96,87,94,87,92,86,90,84,89,81,89,78,91,32,82,84,80,86,79,89,79,94,80,96,81,97,32,84,97,85,96,86,94,86,92,85,90,84,89,0,76,89,80,70,83,67,83,80,32,82,68,82,80,32,79,80,86,80,32,77,82,88,82,32,83,86,83,97,32,84,84,84,97,32,84,84,77,93,88,93,32,81,97,86,97,0,76,89,79,69,79,70,78,70,78,69,79,68,81,67,84,67,86,68,87,70,86,72,84,73,32,84,67,85,68,86,70,85,72,84,73,32,82,73,84,73,86,74,87,76,87,77,86,79,84,80,81,80,79,79,78,78,78,77,79,77,79,78,32,84,73,85,74,86,76,86,77,85,79,84,80,32,77,82,88,82,32,83,86,83,97,32,84,84,84,97,32,84,84,77,93,88,93,32,81,97,86,97,0,70,94,89,88,87,90,85,91,82,91,80,90,77,88,75,87,73,87,72,88,72,90,73,91,75,91,77,90,79,87,80,85,82,81,84,75,87,71,89,70,90,70,91,71,92,72,91,73,90,72,91,71,91,70,90,70,89,70,87,71,86,72,84,76,82,80,80,86,78,90,77,90,32,79,80,85,80,0,69,94,80,91,77,90,74,88,72,85,71,82,71,79,72,76,74,73,77,71,80,70,84,70,87,71,89,73,91,76,92,79,92,82,91,85,89,88,86,90,83,91,80,91,32,78,74,78,87,32,79,74,79,87,32,76,74,83,74,86,75,87,77,87,78,86,80,83,81,79,81,32,83,74,85,75,86,77,86,78,85,80,83,81,32,76,87,81,87,32,83,81,84,82,85,86,86,87,87,87,88,86,32,83,81,85,82,86,86,87,87,0,69,94,80,91,77,90,74,88,72,85,71,82,71,79,72,76,74,73,77,71,80,70,84,70,87,71,89,73,91,76,92,79,92,82,91,85,89,88,86,90,83,91,80,91,32,85,75,86,74,86,78,85,75,83,74,80,74,78,75,77,76,76,79,76,82,77,85,78,86,80,87,83,87,85,86,86,84,32,80,74,78,76,77,79,77,82,78,85,80,87,0,69,95,73,77,91,77,32,73,82,91,82,32,73,87,91,87,32,75,91,89,73,0,67,97,72,81,71,82,72,83,73,82,72,81,32,82,81,81,82,82,83,83,82,82,81,32,92,81,91,82,92,83,93,82,92,81,0,69,95,78,87,76,84,73,82,76,80,78,77,32,76,80,74,82,76,84,32,74,82,90,82,32,86,87,88,84,91,82,88,80,86,77,32,88,80,90,82,88,84,0,74,90,87,78,84,76,82,73,80,76,77,78,32,80,76,82,74,84,76,32,82,74,82,90,32,87,86,84,88,82,91,80,88,77,86,32,80,88,82,90,84,88,0,70,94,90,74,83,74,79,75,77,76,75,78,74,81,74,83,75,86,77,88,79,89,83,90,90,90,32,83,70,83,94,0,70,94,74,74,81,74,85,75,87,76,89,78,90,81,90,83,89,86,87,88,85,89,81,90,74,90,32,81,70,81,94,0,70,94,74,74,81,74,85,75,87,76,89,78,90,81,90,83,89,86,87,88,85,89,81,90,74,90,32,79,82,90,82,0,72,92,76,66,76,91,32,82,66,82,91,32,88,66,88,91,0,73,91,82,70,74,91,32,82,70,90,91,32,77,84,87,84,0,71,92,75,70,75,91,32,75,70,84,70,87,71,88,72,89,74,89,76,88,78,87,79,84,80,32,75,80,84,80,87,81,88,82,89,84,89,87,88,89,87,90,84,91,75,91,0,72,93,90,75,89,73,87,71,85,70,81,70,79,71,77,73,76,75,75,78,75,83,76,86,77,88,79,90,81,91,85,91,87,90,89,88,90,86,0,71,92,75,70,75,91,32,75,70,82,70,85,71,87,73,88,75,89,78,89,83,88,86,87,88,85,90,82,91,75,91,0,72,91,76,70,76,91,32,76,70,89,70,32,76,80,84,80,32,76,91,89,91,0,72,90,76,70,76,91,32,76,70,89,70,32,76,80,84,80,0,72,93,90,75,89,73,87,71,85,70,81,70,79,71,77,73,76,75,75,78,75,83,76,86,77,88,79,90,81,91,85,91,87,90,89,88,90,86,90,83,32,85,83,90,83,0,71,93,75,70,75,91,32,89,70,89,91,32,75,80,89,80,0,78,86,82,70,82,91,0,74,90,86,70,86,86,85,89,84,90,82,91,80,91,78,90,77,89,76,86,76,84,0,71,92,75,70,75,91,32,89,70,75,84,32,80,79,89,91,0,72,89,76,70,76,91,32,76,91,88,91,0,70,94,74,70,74,91,32,74,70,82,91,32,90,70,82,91,32,90,70,90,91,0,71,93,75,70,75,91,32,75,70,89,91,32,89,70,89,91,0,71,93,80,70,78,71,76,73,75,75,74,78,74,83,75,86,76,88,78,90,80,91,84,91,86,90,88,88,89,86,90,83,90,78,89,75,88,73,86,71,84,70,80,70,0,71,92,75,70,75,91,32,75,70,84,70,87,71,88,72,89,74,89,77,88,79,87,80,84,81,75,81,0,71,93,80,70,78,71,76,73,75,75,74,78,74,83,75,86,76,88,78,90,80,91,84,91,86,90,88,88,89,86,90,83,90,78,89,75,88,73,86,71,84,70,80,70,32,83,87,89,93,0,71,92,75,70,75,91,32,75,70,84,70,87,71,88,72,89,74,89,76,88,78,87,79,84,80,75,80,32,82,80,89,91,0,72,92,89,73,87,71,84,70,80,70,77,71,75,73,75,75,76,77,77,78,79,79,85,81,87,82,88,83,89,85,89,88,87,90,84,91,80,91,77,90,75,88,0,74,90,82,70,82,91,32,75,70,89,70,0,71,93,75,70,75,85,76,88,78,90,81,91,83,91,86,90,88,88,89,85,89,70,0,73,91,74,70,82,91,32,90,70,82,91,0,70,94,72,70,77,91,32,82,70,77,91,32,82,70,87,91,32,92,70,87,91,0,72,92,75,70,89,91,32,89,70,75,91,0,73,91,74,70,82,80,82,91,32,90,70,82,80,0,72,92,89,70,75,91,32,75,70,89,70,32,75,91,89,91,0,72,89,76,70,76,91,32,76,70,88,70,0,73,91,82,70,74,91,32,82,70,90,91,32,74,91,90,91,0,71,93,80,70,78,71,76,73,75,75,74,78,74,83,75,86,76,88,78,90,80,91,84,91,86,90,88,88,89,86,90,83,90,78,89,75,88,73,86,71,84,70,80,70,32,79,80,85,80,0,73,91,82,70,74,91,32,82,70,90,91,0,73,91,75,70,89,70,32,79,80,85,80,32,75,91,89,91,0,71,93,75,70,75,91,32,89,70,89,91,32,75,70,89,70,0,73,91,75,70,82,80,75,91,32,75,70,89,70,32,75,91,89,91,0,73,91,75,75,75,73,76,71,77,70,79,70,80,71,81,73,82,77,82,91,32,89,75,89,73,88,71,87,70,85,70,84,71,83,73,82,77,0,72,92,82,70,82,91,32,80,75,77,76,76,77,75,79,75,82,76,84,77,85,80,86,84,86,87,85,88,84,89,82,89,79,88,77,87,76,84,75,80,75,0,72,92,75,70,89,91,32,75,91,89,70,0,71,93,82,70,82,91,32,73,76,74,76,75,77,76,81,77,83,78,84,81,85,83,85,86,84,87,83,88,81,89,77,90,76,91,76,0,72,92,75,91,79,91,76,84,75,80,75,76,76,73,78,71,81,70,83,70,86,71,88,73,89,76,89,80,88,84,85,91,89,91,0,71,91,71,91,73,90,76,87,79,83,83,76,86,70,86,91,85,88,83,85,81,83,78,81,76,81,75,82,75,84,76,86,78,88,81,90,84,91,89,91,0,70,93,83,72,84,73,84,76,83,80,82,83,81,85,79,88,77,90,75,91,74,91,73,90,73,87,74,82,75,79,76,77,78,74,80,72,82,71,85,70,88,70,90,71,91,73,91,75,90,77,89,78,87,79,84,80,32,83,80,84,80,87,81,88,82,89,84,89,87,88,89,87,90,85,91,82,91,80,90,79,88,0,72,92,84,76,84,77,85,78,87,78,89,77,90,75,90,73,89,71,87,70,84,70,81,71,79,73,77,76,76,78,75,82,75,86,76,89,77,90,79,91,81,91,84,90,86,88,87,86,0,71,94,84,70,82,71,81,73,80,77,79,83,78,86,77,88,75,90,73,91,71,91,70,90,70,88,71,87,73,87,75,88,77,90,80,91,83,91,86,90,88,88,90,84,91,79,91,75,90,72,89,71,87,70,84,70,82,72,82,74,83,77,85,80,87,82,90,84,92,85,0,72,92,86,74,86,75,87,76,89,76,90,75,90,73,89,71,86,70,82,70,79,71,78,73,78,76,79,78,80,79,83,80,80,80,77,81,76,82,75,84,75,87,76,89,77,90,80,91,83,91,86,90,88,88,89,86,0,72,92,82,76,80,76,78,75,77,73,78,71,81,70,84,70,88,71,91,71,93,70,32,88,71,86,78,84,84,82,88,80,90,78,91,76,91,74,90,73,88,73,86,74,85,76,85,78,86,32,81,80,90,80,0,71,94,71,91,73,90,77,86,80,81,81,78,82,74,82,71,81,70,80,70,79,71,78,73,78,76,79,78,81,79,85,79,88,78,89,77,90,75,90,81,89,86,88,88,86,90,83,91,79,91,76,90,74,88,73,86,73,84,0,70,94,77,77,75,76,74,74,74,73,75,71,77,70,78,70,80,71,81,73,81,75,80,79,78,85,76,89,74,91,72,91,71,90,71,88,32,77,82,86,79,88,78,91,76,93,74,94,72,94,71,93,70,92,70,90,72,88,76,86,82,85,87,85,90,86,91,87,91,89,90,90,89,92,86,0,73,90,87,86,85,84,83,81,82,79,81,76,81,73,82,71,83,70,85,70,86,71,87,73,87,76,86,81,84,86,83,88,81,90,79,91,77,91,75,90,74,88,74,86,75,85,77,85,79,86,0,74,89,84,94,82,91,80,86,79,80,79,74,80,71,82,70,84,70,85,71,86,74,86,77,85,82,82,91,80,97,79,100,78,102,76,103,75,102,75,100,76,97,78,94,80,92,83,90,87,88,0,70,94,77,77,75,76,74,74,74,73,75,71,77,70,78,70,80,71,81,73,81,75,80,79,78,85,76,89,74,91,72,91,71,90,71,88,32,94,73,94,71,93,70,92,70,90,71,88,73,86,76,84,78,82,79,80,79,32,82,79,83,81,83,88,84,90,85,91,86,91,88,90,89,89,91,86,0,73,92,77,82,79,82,83,81,86,79,88,77,89,75,89,72,88,70,86,70,85,71,84,73,83,78,82,83,81,86,80,88,78,90,76,91,74,91,73,90,73,88,74,87,76,87,78,88,81,90,84,91,86,91,89,90,91,88,0,64,97,69,77,67,76,66,74,66,73,67,71,69,70,70,70,72,71,73,73,73,75,72,80,71,84,69,91,32,71,84,74,76,76,72,77,71,79,70,80,70,82,71,83,73,83,75,82,80,81,84,79,91,32,81,84,84,76,86,72,87,71,89,70,90,70,92,71,93,73,93,75,92,80,90,87,90,90,91,91,92,91,94,90,95,89,97,86,0,69,93,74,77,72,76,71,74,71,73,72,71,74,70,75,70,77,71,78,73,78,75,77,80,76,84,74,91,32,76,84,79,76,81,72,82,71,84,70,86,70,88,71,89,73,89,75,88,80,86,87,86,90,87,91,88,91,90,90,91,89,93,86,0,72,93,84,70,81,71,79,73,77,76,76,78,75,82,75,86,76,89,77,90,79,91,81,91,84,90,86,88,88,85,89,83,90,79,90,75,89,72,88,71,86,70,84,70,82,72,82,75,83,78,85,81,87,83,90,85,92,86,0,70,95,83,72,84,73,84,76,83,80,82,83,81,85,79,88,77,90,75,91,74,91,73,90,73,87,74,82,75,79,76,77,78,74,80,72,82,71,85,70,90,70,92,71,93,72,94,74,94,77,93,79,92,80,90,81,87,81,85,80,84,79,0,72,94,85,76,84,78,83,79,81,80,79,80,78,78,78,76,79,73,81,71,84,70,87,70,89,71,90,73,90,77,89,80,87,83,83,87,80,89,78,90,75,91,73,91,72,90,72,88,73,87,75,87,77,88,80,90,83,91,86,91,89,90,91,88,0,70,95,83,72,84,73,84,76,83,80,82,83,81,85,79,88,77,90,75,91,74,91,73,90,73,87,74,82,75,79,76,77,78,74,80,72,82,71,85,70,89,70,91,71,92,72,93,74,93,77,92,79,91,80,89,81,86,81,83,80,84,81,85,83,85,88,86,90,88,91,90,90,91,89,93,86,0,72,92,72,91,74,90,76,88,79,84,81,81,83,77,84,74,84,71,83,70,82,70,81,71,80,73,80,75,81,77,83,79,86,81,88,83,89,85,89,87,88,89,87,90,84,91,80,91,77,90,75,88,74,86,74,84,0,72,91,82,76,80,76,78,75,77,73,78,71,81,70,84,70,88,71,91,71,93,70,32,88,71,86,78,84,84,82,88,80,90,78,91,76,91,74,90,73,88,73,86,74,85,76,85,78,86,0,69,93,74,77,72,76,71,74,71,73,72,71,74,70,75,70,77,71,78,73,78,75,77,79,76,82,75,86,75,88,76,90,78,91,80,91,82,90,83,89,85,85,88,77,90,70,32,88,77,87,81,86,87,86,90,87,91,88,91,90,90,91,89,93,86,0,70,93,75,77,73,76,72,74,72,73,73,71,75,70,76,70,78,71,79,73,79,75,78,79,77,82,76,86,76,89,77,91,79,91,81,90,84,87,86,84,88,80,89,77,90,73,90,71,89,70,88,70,87,71,86,73,86,75,87,78,89,80,91,81,0,67,95,72,77,70,76,69,74,69,73,70,71,72,70,73,70,75,71,76,73,76,76,75,91,32,85,70,75,91,32,85,70,83,91,32,97,70,95,71,92,74,89,78,86,84,83,91,0,70,94,78,76,76,76,75,75,75,73,76,71,78,70,80,70,82,71,83,73,83,76,81,85,81,88,82,90,84,91,86,91,88,90,89,88,89,86,88,85,86,85,32,93,73,93,71,92,70,90,70,88,71,86,73,84,76,80,85,78,88,76,90,74,91,72,91,71,90,71,88,0,70,93,75,77,73,76,72,74,72,73,73,71,75,70,76,70,78,71,79,73,79,75,78,79,77,82,76,86,76,88,77,90,78,91,80,91,82,90,84,88,86,85,87,83,89,77,32,91,70,89,77,86,87,84,93,82,98,80,102,78,103,77,102,77,100,78,97,80,94,83,91,86,89,91,86,0,72,93,85,76,84,78,83,79,81,80,79,80,78,78,78,76,79,73,81,71,84,70,87,70,89,71,90,73,90,77,89,80,87,84,84,87,80,90,78,91,75,91,74,90,74,88,75,87,78,87,80,88,81,89,82,91,82,94,81,97,80,99,78,102,76,103,75,102,75,100,76,97,78,94,81,91,84,89,90,86,0,73,91,74,70,82,91,32,90,70,82,91,32,74,70,90,70,0,71,93,73,76,91,98,0,69,95,82,74,73,90,32,82,74,91,90,0,73,91,74,91,90,91,0,73,91,74,91,90,91,90,90,74,90,74,91,0,73,92,88,77,88,91,32,88,80,86,78,84,77,81,77,79,78,77,80,76,83,76,85,77,88,79,90,81,91,84,91,86,90,88,88,0,72,91,76,70,76,91,32,76,80,78,78,80,77,83,77,85,78,87,80,88,83,88,85,87,88,85,90,83,91,80,91,78,90,76,88,0,73,91,88,80,86,78,84,77,81,77,79,78,77,80,76,83,76,85,77,88,79,90,81,91,84,91,86,90,88,88,0,73,92,88,70,88,91,32,88,80,86,78,84,77,81,77,79,78,77,80,76,83,76,85,77,88,79,90,81,91,84,91,86,90,88,88,0,73,91,76,83,88,83,88,81,87,79,86,78,84,77,81,77,79,78,77,80,76,83,76,85,77,88,79,90,81,91,84,91,86,90,88,88,0,77,89,87,70,85,70,83,71,82,74,82,91,32,79,77,86,77,0,73,92,88,77,88,93,87,96,86,97,84,98,81,98,79,97,32,88,80,86,78,84,77,81,77,79,78,77,80,76,83,76,85,77,88,79,90,81,91,84,91,86,90,88,88,0,73,92,77,70,77,91,32,77,81,80,78,82,77,85,77,87,78,88,81,88,91,0,78,86,81,70,82,71,83,70,82,69,81,70,32,82,77,82,91,0,77,87,82,70,83,71,84,70,83,69,82,70,32,83,77,83,94,82,97,80,98,78,98,0,73,90,77,70,77,91,32,87,77,77,87,32,81,83,88,91,0,67,97,71,77,71,91,32,71,81,74,78,76,77,79,77,81,78,82,81,82,91,32,82,81,85,78,87,77,90,77,92,78,93,81,93,91,0,73,92,77,77,77,91,32,77,81,80,78,82,77,85,77,87,78,88,81,88,91,0,73,92,81,77,79,78,77,80,76,83,76,85,77,88,79,90,81,91,84,91,86,90,88,88,89,85,89,83,88,80,86,78,84,77,81,77,0,72,91,76,77,76,98,32,76,80,78,78,80,77,83,77,85,78,87,80,88,83,88,85,87,88,85,90,83,91,80,91,78,90,76,88,0,73,92,88,77,88,98,32,88,80,86,78,84,77,81,77,79,78,77,80,76,83,76,85,77,88,79,90,81,91,84,91,86,90,88,88,0,75,88,79,77,79,91,32,79,83,80,80,82,78,84,77,87,77,0,74,91,88,80,87,78,84,77,81,77,78,78,77,80,78,82,80,83,85,84,87,85,88,87,88,88,87,90,84,91,81,91,78,90,77,88,0,77,89,82,70,82,87,83,90,85,91,87,91,32,79,77,86,77,0,73,92,77,77,77,87,78,90,80,91,83,91,85,90,88,87,32,88,77,88,91,0,74,90,76,77,82,91,32,88,77,82,91,0,71,93,74,77,78,91,32,82,77,78,91,32,82,77,86,91,32,90,77,86,91,0,74,91,77,77,88,91,32,88,77,77,91,0,74,90,76,77,82,91,32,88,77,82,91,80,95,78,97,76,98,75,98,0,74,91,88,77,77,91,32,77,77,88,77,32,77,91,88,91,0,72,93,81,77,79,78,77,80,76,82,75,85,75,88,76,90,78,91,80,91,82,90,85,87,87,84,89,80,90,77,32,81,77,83,77,84,78,85,80,87,88,88,90,89,91,90,91,0,73,92,85,70,83,71,81,73,79,77,78,80,77,84,76,90,75,98,32,85,70,87,70,89,72,89,75,88,77,87,78,85,79,82,79,32,82,79,84,80,86,82,87,84,87,87,86,89,85,90,83,91,81,91,79,90,78,89,77,86,0,73,92,74,80,76,78,78,77,79,77,81,78,82,79,83,82,83,86,82,91,32,90,77,89,80,88,82,82,91,80,95,79,98,0,73,91,84,77,81,77,79,78,77,80,76,83,76,86,77,89,78,90,80,91,82,91,84,90,86,88,87,85,87,82,86,79,84,77,82,75,81,73,81,71,82,70,84,70,86,71,88,73,0,74,90,87,79,86,78,84,77,81,77,79,78,79,80,80,82,83,83,32,83,83,79,84,77,86,77,88,78,90,80,91,83,91,85,90,87,88,0,74,89,84,70,82,71,81,72,81,73,82,74,85,75,88,75,32,88,75,84,77,81,79,78,82,77,85,77,87,78,89,80,91,83,93,84,95,84,97,83,98,81,98,80,96,0,72,92,73,81,74,79,76,77,78,77,79,78,79,80,78,84,76,91,32,78,84,80,80,82,78,84,77,86,77,88,79,88,82,87,87,84,98,0,71,92,72,81,73,79,75,77,77,77,78,78,78,80,77,85,77,88,78,90,79,91,81,91,83,90,85,87,86,85,87,82,88,77,88,74,87,71,85,70,83,70,82,72,82,74,83,77,85,80,87,82,90,84,0,76,87,82,77,80,84,79,88,79,90,80,91,82,91,84,89,85,87,0,73,91,79,77,75,91,32,89,78,88,77,87,77,85,78,81,82,79,83,78,83,32,78,83,80,84,81,85,83,90,84,91,85,91,86,90,0,74,90,75,70,77,70,79,71,80,72,88,91,32,82,77,76,91,0,72,93,79,77,73,98,32,78,81,77,86,77,89,79,91,81,91,83,90,85,88,87,84,32,89,77,87,84,86,88,86,90,87,91,89,91,91,89,92,87,0,73,91,76,77,79,77,78,83,77,88,76,91,32,89,77,88,80,87,82,85,85,82,88,79,90,76,91,0,74,90,84,70,82,71,81,72,81,73,82,74,85,75,88,75,32,85,75,82,76,80,77,79,79,79,81,81,83,84,84,86,84,32,84,84,80,85,78,86,77,88,77,90,79,92,83,94,84,95,84,97,82,98,80,98,0,74,91,82,77,80,78,78,80,77,83,77,86,78,89,79,90,81,91,83,91,85,90,87,88,88,85,88,82,87,79,86,78,84,77,82,77,0,71,93,80,77,76,91,32,85,77,86,83,87,88,88,91,32,73,80,75,78,78,77,91,77,0,73,91,77,83,77,86,78,89,79,90,81,91,83,91,85,90,87,88,88,85,88,82,87,79,86,78,84,77,82,77,80,78,78,80,77,83,73,98,0,73,93,91,77,81,77,79,78,77,80,76,83,76,86,77,89,78,90,80,91,82,91,84,90,86,88,87,85,87,82,86,79,85,78,83,77,0,72,92,83,77,80,91,32,74,80,76,78,79,77,90,77,0,72,92,73,81,74,79,76,77,78,77,79,78,79,80,77,86,77,89,79,91,81,91,84,90,86,88,88,84,89,80,89,77,0,71,93,79,78,77,79,75,81,74,84,74,87,75,89,76,90,78,91,81,91,84,90,87,88,89,85,90,82,90,79,88,77,86,77,84,79,82,83,80,88,77,98,0,73,91,75,77,77,77,79,79,85,96,87,98,89,98,32,90,77,89,79,87,82,77,93,75,96,74,98,0,70,93,86,70,78,98,32,71,81,72,79,74,77,76,77,77,78,77,80,76,85,76,88,77,90,79,91,81,91,84,90,86,88,88,85,90,80,91,77,0,70,93,78,77,76,78,74,81,73,84,73,87,74,90,75,91,77,91,79,90,81,87,32,82,83,81,87,82,90,83,91,85,91,87,90,89,87,90,84,90,81,89,78,88,77,0,76,92,85,85,84,83,82,82,80,82,78,83,77,84,76,86,76,88,77,90,79,91,81,91,83,90,84,88,86,82,85,87,85,90,86,91,87,91,89,90,90,89,92,86,0,77,91,77,86,79,83,82,78,83,76,84,73,84,71,83,70,81,71,80,73,79,77,78,84,78,90,79,91,80,91,82,90,84,88,85,85,85,82,86,86,87,87,89,87,91,86,0,77,88,84,84,84,83,83,82,81,82,79,83,78,84,77,86,77,88,78,90,80,91,83,91,86,89,88,86,0,76,92,85,85,84,83,82,82,80,82,78,83,77,84,76,86,76,88,77,90,79,91,81,91,83,90,84,88,90,70,32,86,82,85,87,85,90,86,91,87,91,89,90,90,89,92,86,0,78,88,79,89,81,88,82,87,83,85,83,83,82,82,81,82,79,83,78,85,78,88,79,90,81,91,83,91,85,90,86,89,88,86,0,79,87,79,86,83,81,85,78,86,76,87,73,87,71,86,70,84,71,83,73,81,81,78,90,75,97,74,100,74,102,75,103,77,102,78,99,79,90,80,91,82,91,84,90,85,89,87,86,0,76,91,85,85,84,83,82,82,80,82,78,83,77,84,76,86,76,88,77,90,79,91,81,91,83,90,84,89,32,86,82,84,89,80,100,79,102,77,103,76,102,76,100,77,97,80,94,83,92,85,91,88,89,91,86,0,77,92,77,86,79,83,82,78,83,76,84,73,84,71,83,70,81,71,80,73,79,77,78,83,77,91,32,77,91,78,88,79,86,81,83,83,82,85,82,86,83,86,85,85,88,85,90,86,91,87,91,89,90,90,89,92,86,0,80,87,83,77,83,78,84,78,84,77,83,77,32,80,86,82,82,80,88,80,90,81,91,82,91,84,90,85,89,87,86,0,80,87,83,77,83,78,84,78,84,77,83,77,32,80,86,82,82,76,100,75,102,73,103,72,102,72,100,73,97,76,94,79,92,81,91,84,89,87,86,0,77,91,77,86,79,83,82,78,83,76,84,73,84,71,83,70,81,71,80,73,79,77,78,83,77,91,32,77,91,78,88,79,86,81,83,83,82,85,82,86,83,86,85,84,86,81,86,32,81,86,83,87,84,90,85,91,86,91,88,90,89,89,91,86,0,79,87,79,86,81,83,84,78,85,76,86,73,86,71,85,70,83,71,82,73,81,77,80,84,80,90,81,91,82,91,84,90,85,89,87,86,0,69,94,69,86,71,83,73,82,74,83,74,84,73,88,72,91,32,73,88,74,86,76,83,78,82,80,82,81,83,81,84,80,88,79,91,32,80,88,81,86,83,83,85,82,87,82,88,83,88,85,87,88,87,90,88,91,89,91,91,90,92,89,94,86,0,74,92,74,86,76,83,78,82,79,83,79,84,78,88,77,91,32,78,88,79,86,81,83,83,82,85,82,86,83,86,85,85,88,85,90,86,91,87,91,89,90,90,89,92,86,0,76,90,82,82,80,82,78,83,77,84,76,86,76,88,77,90,79,91,81,91,83,90,84,89,85,87,85,85,84,83,82,82,81,83,81,85,82,87,84,88,87,88,89,87,90,86,0,75,90,75,86,77,83,78,81,77,85,71,103,32,77,85,78,83,80,82,82,82,84,83,85,85,85,87,84,89,83,90,81,91,32,77,90,79,91,82,91,85,90,87,89,90,86,0,76,91,85,85,84,83,82,82,80,82,78,83,77,84,76,86,76,88,77,90,79,91,81,91,83,90,32,86,82,85,85,83,90,80,97,79,100,79,102,80,103,82,102,83,99,83,92,85,91,88,89,91,86,0,77,90,77,86,79,83,80,81,80,83,83,83,84,84,84,86,83,89,83,90,84,91,85,91,87,90,88,89,90,86,0,78,89,78,86,80,83,81,81,81,83,83,86,84,88,84,90,82,91,32,78,90,80,91,84,91,86,90,87,89,89,86,0,79,88,79,86,81,83,83,79,32,86,70,80,88,80,90,81,91,83,91,85,90,86,89,88,86,32,80,78,87,78,0,76,91,76,86,78,82,76,88,76,90,77,91,79,91,81,90,83,88,85,85,32,86,82,84,88,84,90,85,91,86,91,88,90,89,89,91,86,0,76,91,76,86,78,82,77,87,77,90,78,91,79,91,82,90,84,88,85,85,85,82,32,85,82,86,86,87,87,89,87,91,86,0,73,94,76,82,74,84,73,87,73,89,74,91,76,91,78,90,80,88,32,82,82,80,88,80,90,81,91,83,91,85,90,87,88,88,85,88,82,32,88,82,89,86,90,87,92,87,94,86,0,74,90,74,86,76,83,78,82,80,82,81,83,81,90,82,91,85,91,88,89,90,86,32,87,83,86,82,84,82,83,83,79,90,78,91,76,91,75,90,0,76,91,76,86,78,82,76,88,76,90,77,91,79,91,81,90,83,88,85,85,32,86,82,80,100,79,102,77,103,76,102,76,100,77,97,80,94,83,92,85,91,88,89,91,86,0,76,90,76,86,78,83,80,82,82,82,84,84,84,86,83,88,81,90,78,91,80,92,81,94,81,97,80,100,79,102,77,103,76,102,76,100,77,97,80,94,83,92,87,89,90,86,0,74,92,75,91,78,90,81,88,83,86,85,83,87,79,88,75,88,73,87,71,85,70,83,71,82,72,81,74,80,79,80,84,81,88,82,90,84,91,86,91,88,90,89,89,0,73,91,87,85,87,82,86,79,85,78,83,77,81,77,79,78,77,80,76,83,76,86,77,89,78,90,80,91,82,91,84,90,86,88,87,85,88,80,88,75,87,72,86,71,84,70,82,70,80,71,78,73,0,74,90,87,78,85,77,82,77,80,78,78,80,77,83,77,86,78,89,79,90,81,91,84,91,86,90,32,77,84,85,84,0,74,91,84,70,82,71,80,74,79,76,78,79,77,84,77,88,78,90,79,91,81,91,83,90,85,87,86,85,87,82,88,77,88,73,87,71,86,70,84,70,32,78,80,87,80,0,72,92,86,70,78,98,32,81,77,78,78,76,80,75,83,75,86,76,88,78,90,81,91,83,91,86,90,88,88,89,85,89,82,88,80,86,78,83,77,81,77,0,73,91,88,79,87,78,84,77,81,77,78,78,77,79,76,81,76,83,77,85,79,87,83,90,84,92,84,94,83,95,81,95,0,68,97,87,78,86,76,84,75,81,75,79,76,78,77,77,79,77,82,78,84,79,85,81,86,84,86,86,85,87,83,32,87,75,87,83,88,85,89,86,91,86,92,85,93,83,93,79,92,76,91,74,89,72,87,71,84,70,81,70,78,71,76,72,74,74,73,76,72,79,72,82,73,85,74,87,76,89,78,90,81,91,84,91,87,90,89,89,0,70,94,90,73,74,82,90,91,0,70,94,74,73,90,82,74,91,0,75,89,79,66,79,98,32,79,66,86,66,32,79,98,86,98,0,75,89,85,66,85,98,32,78,66,85,66,32,78,98,85,98,0,75,89,84,66,81,69,80,72,80,74,81,77,83,79,83,80,79,82,83,84,83,85,81,87,80,90,80,92,81,95,84,98,0,75,89,80,66,83,69,84,72,84,74,83,77,81,79,81,80,85,82,81,84,81,85,83,87,84,90,84,92,83,95,80,98,0,70,94,91,70,89,71,86,72,83,72,80,71,78,70,76,70,74,71,73,73,73,75,75,77,77,77,79,76,80,74,80,72,78,70,32,91,70,73,91,32,89,84,87,84,85,85,84,87,84,89,86,91,88,91,90,90,91,88,91,86,89,84,0,74,90,0,72,92,81,70,78,71,76,74,75,79,75,82,76,87,78,90,81,91,83,91,86,90,88,87,89,82,89,79,88,74,86,71,83,70,81,70,0,72,92,78,74,80,73,83,70,83,91,0,72,92,76,75,76,74,77,72,78,71,80,70,84,70,86,71,87,72,88,74,88,76,87,78,85,81,75,91,89,91,0,72,92,77,70,88,70,82,78,85,78,87,79,88,80,89,83,89,85,88,88,86,90,83,91,80,91,77,90,76,89,75,87,0,72,92,85,70,75,84,90,84,32,85,70,85,91,0,72,92,87,70,77,70,76,79,77,78,80,77,83,77,86,78,88,80,89,83,89,85,88,88,86,90,83,91,80,91,77,90,76,89,75,87,0,72,92,88,73,87,71,84,70,82,70,79,71,77,74,76,79,76,84,77,88,79,90,82,91,83,91,86,90,88,88,89,85,89,84,88,81,86,79,83,78,82,78,79,79,77,81,76,84,0,72,92,89,70,79,91,32,75,70,89,70,0,72,92,80,70,77,71,76,73,76,75,77,77,79,78,83,79,86,80,88,82,89,84,89,87,88,89,87,90,84,91,80,91,77,90,76,89,75,87,75,84,76,82,78,80,81,79,85,78,87,77,88,75,88,73,87,71,84,70,80,70,0,72,92,88,77,87,80,85,82,82,83,81,83,78,82,76,80,75,77,75,76,76,73,78,71,81,70,82,70,85,71,87,73,88,77,88,82,87,87,85,90,82,91,80,91,77,90,76,88,0,77,87,82,89,81,90,82,91,83,90,82,89,0,77,87,83,90,82,91,81,90,82,89,83,90,83,92,82,94,81,95,0,77,87,82,77,81,78,82,79,83,78,82,77,32,82,89,81,90,82,91,83,90,82,89,0,77,87,82,77,81,78,82,79,83,78,82,77,32,83,90,82,91,81,90,82,89,83,90,83,92,82,94,81,95,0,77,87,82,70,82,84,32,82,89,81,90,82,91,83,90,82,89,0,73,91,76,75,76,74,77,72,78,71,80,70,84,70,86,71,87,72,88,74,88,76,87,78,86,79,82,81,82,84,32,82,89,81,90,82,91,83,90,82,89,0,78,86,82,70,82,77,0,74,90,78,70,78,77,32,86,70,86,77,0,75,89,81,70,79,71,78,73,78,75,79,77,81,78,83,78,85,77,86,75,86,73,85,71,83,70,81,70,0,72,92,80,66,80,95,32,84,66,84,95,32,89,73,87,71,84,70,80,70,77,71,75,73,75,75,76,77,77,78,79,79,85,81,87,82,88,83,89,85,89,88,87,90,84,91,80,91,77,90,75,88,0,71,93,91,66,73,98,0,75,89,86,66,84,68,82,71,80,75,79,80,79,84,80,89,82,93,84,96,86,98,0,75,89,78,66,80,68,82,71,84,75,85,80,85,84,84,89,82,93,80,96,78,98,0,78,86,82,66,82,98,0,69,95,73,82,91,82,0,69,95,82,73,82,91,32,73,82,91,82,0,69,95,73,79,91,79,32,73,85,91,85,0,71,93,75,75,89,89,32,89,75,75,89,0,74,90,82,76,82,88,32,77,79,87,85,32,87,79,77,85,0,77,87,82,81,81,82,82,83,83,82,82,81,0,77,87,83,70,82,71,81,73,81,75,82,76,83,75,82,74,0,77,87,82,72,81,71,82,70,83,71,83,73,82,75,81,76,0,69,95,85,77,88,80,91,82,88,84,85,87,32,73,82,91,82,0,71,93,79,70,79,98,32,85,70,85,98,32,74,81,90,81,32,74,87,90,87,0,69,95,92,79,92,78,91,77,90,77,89,78,88,80,86,85,84,88,82,90,80,91,76,91,74,90,73,89,72,87,72,85,73,83,74,82,81,78,82,77,83,75,83,73,82,71,80,70,78,71,77,73,77,75,78,78,80,81,85,88,87,90,89,91,91,91,92,90,92,89,0,71,93,73,73,74,75,75,79,75,85,74,89,73,91,32,91,73,90,75,89,79,89,85,90,89,91,91,32,73,73,75,74,79,75,85,75,89,74,91,73,32,73,91,75,90,79,89,85,89,89,90,91,91,0,70,95,92,81,91,79,89,78,87,78,85,79,84,80,81,84,80,85,78,86,76,86,74,85,73,83,73,81,74,79,76,78,78,78,80,79,81,80,84,84,85,85,87,86,89,86,91,85,92,83,92,81,0,75,89,79,66,79,91,32,85,66,85,91,0,70,94,82,66,82,91,32,73,91,91,91,0,70,94,91,66,73,91,91,91,0,69,95,82,73,81,74,82,75,83,74,82,73,32,73,89,72,90,73,91,74,90,73,89,32,91,89,90,90,91,91,92,90,91,89,0,70,94,82,72,78,76,75,80,74,83,74,85,75,87,77,88,79,88,81,87,82,85,32,82,72,86,76,89,80,90,83,90,85,89,87,87,88,85,88,83,87,82,85,32,82,85,81,89,80,92,32,82,85,83,89,84,92,32,80,92,84,92,0,70,94,82,78,81,75,80,73,78,72,77,72,75,73,74,75,74,79,75,82,76,84,78,87,82,92,32,82,78,83,75,84,73,86,72,87,72,89,73,90,75,90,79,89,82,88,84,86,87,82,92,0,70,94,82,71,80,74,76,79,73,82,32,82,71,84,74,88,79,91,82,32,73,82,76,85,80,90,82,93,32,91,82,88,85,84,90,82,93,0,70,94,82,84,84,87,86,88,88,88,90,87,91,85,91,83,90,81,88,80,86,80,83,81,32,83,81,85,79,86,77,86,75,85,73,83,72,81,72,79,73,78,75,78,77,79,79,81,81,32,81,81,78,80,76,80,74,81,73,83,73,85,74,87,76,88,78,88,80,87,82,84,32,82,84,81,89,80,92,32,82,84,83,89,84,92,32,80,92,84,92,0,70,94,82,82,82,91,81,92,32,82,86,81,92,32,82,73,81,72,79,72,78,73,78,75,79,78,82,82,32,82,73,83,72,85,72,86,73,86,75,85,78,82,82,32,82,82,78,79,76,78,74,78,73,79,73,81,74,82,32,82,82,86,79,88,78,90,78,91,79,91,81,90,82,32,82,82,78,85,76,86,74,86,73,85,73,83,74,82,32,82,82,86,85,88,86,90,86,91,85,91,83,90,82,0,70,94,73,83,74,83,76,84,77,86,77,88,76,90,32,73,83,73,82,74,81,76,81,77,82,78,84,78,87,77,89,76,90,32,82,71,80,73,79,76,79,79,81,85,81,88,80,90,82,92,32,82,71,84,73,85,76,85,79,83,85,83,88,84,90,82,92,32,91,83,91,82,90,81,88,81,87,82,86,84,86,87,87,89,88,90,32,91,83,90,83,88,84,87,86,87,88,88,90,32,75,86,89,86,0,80,83,83,82,82,83,81,83,80,82,80,81,81,80,82,80,83,81,83,83,82,85,81,86,32,81,81,81,82,82,82,82,81,81,81,0,80,84,81,80,80,81,80,83,81,84,83,84,84,83,84,81,83,80,81,80,32,82,81,81,82,82,83,83,82,82,81,0,78,86,80,79,84,85,32,84,79,80,85,32,78,82,86,82,0,77,87,82,75,81,77,79,80,77,82,32,82,75,83,77,85,80,87,82,32,82,77,79,81,32,82,77,85,81,32,82,79,80,81,32,82,79,84,81,32,81,81,83,81,32,77,82,87,82,0,77,87,77,82,77,81,78,79,79,78,81,77,83,77,85,78,86,79,87,81,87,82,32,80,78,84,78,32,79,79,85,79,32,78,80,86,80,32,78,81,86,81,32,77,82,87,82,0,76,82,76,70,76,82,82,82,76,70,32,76,73,80,81,32,76,76,79,82,32,76,79,77,81,0,77,87,82,75,81,77,79,80,77,82,32,82,75,83,77,85,80,87,82,0,77,87,87,82,87,81,86,79,85,78,83,77,81,77,79,78,78,79,77,81,77,82,0,71,93,93,82,93,80,92,77,90,74,87,72,84,71,80,71,77,72,74,74,72,77,71,80,71,82,0,77,87,77,82,77,83,78,85,79,86,81,87,83,87,85,86,86,85,87,83,87,82,0,76,88,76,80,78,82,81,83,83,83,86,82,88,80,0,82,85,82,85,84,84,85,82,84,80,82,79,0,82,86,82,82,85,80,86,78,86,76,85,75,84,75,0,78,82,82,82,79,80,78,78,78,76,79,75,80,75,0,77,87,87,72,86,71,84,70,81,70,79,71,78,72,77,74,77,76,78,78,79,79,85,83,86,84,87,86,87,88,86,90,85,91,83,92,80,92,78,91,77,90,0,71,93,73,87,72,86,71,84,71,81,72,79,73,78,75,77,77,77,79,78,80,79,84,85,85,86,87,87,89,87,91,86,92,85,93,83,93,80,92,78,91,77,0,71,93,82,82,84,85,85,86,87,87,89,87,91,86,92,85,93,83,93,81,92,79,91,78,89,77,87,77,85,78,84,79,80,85,79,86,77,87,75,87,73,86,72,85,71,83,71,81,72,79,73,78,75,77,77,77,79,78,80,79,82,82,0,72,92,75,70,75,91,32,72,70,91,70,81,80,91,90,32,90,86,91,89,92,91,32,90,86,90,89,32,87,89,90,89,32,87,89,90,90,92,91,0,75,89,85,65,82,66,80,67,78,69,76,72,75,76,75,82,76,85,78,87,81,88,83,88,86,87,88,85,89,82,32,75,80,76,77,78,75,81,74,83,74,86,75,88,77,89,80,89,86,88,90,86,93,84,95,82,96,79,97,0,62,102,62,82,102,82,0,68,96,68,96,96,68,0,82,82,82,62,82,102,0,68,96,68,68,96,96,0,68,96,68,82,96,82,0,70,94,70,89,94,75,0,75,89,75,94,89,70,0,75,89,75,70,89,94,0,70,94,70,75,94,89,0,75,89,75,82,89,82,0,77,87,77,87,87,77,0,77,87,77,77,87,87,0,68,96,68,79,71,81,75,83,80,84,84,84,89,83,93,81,96,79,0,80,85,85,68,83,71,81,75,80,80,80,84,81,89,83,93,85,96,0,79,84,79,68,81,71,83,75,84,80,84,84,83,89,81,93,79,96,0,68,96,68,85,71,83,75,81,80,80,84,80,89,81,93,83,96,85,0,75,89,82,74,89,78,75,86,82,90,0,74,90,74,82,78,75,86,89,90,82,0,75,89,75,86,75,78,89,86,89,78,0,74,90,76,88,74,80,90,84,88,76,0,74,90,74,93,76,93,79,92,81,91,84,88,85,86,86,83,86,79,85,76,84,74,83,73,81,73,80,74,79,76,78,79,78,83,79,86,80,88,83,91,85,92,88,93,90,93,0,73,93,93,90,93,88,92,85,91,83,88,80,86,79,83,78,79,78,76,79,74,80,73,81,73,83,74,84,76,85,79,86,83,86,86,85,88,84,91,81,92,79,93,76,93,74,0,74,90,90,71,88,71,85,72,83,73,80,76,79,78,78,81,78,85,79,88,80,90,81,91,83,91,84,90,85,88,86,85,86,81,85,78,84,76,81,73,79,72,76,71,74,71,0,71,91,71,74,71,76,72,79,73,81,76,84,78,85,81,86,85,86,88,85,90,84,91,83,91,81,90,80,88,79,85,78,81,78,78,79,76,80,73,83,72,85,71,88,71,90,0,69,91,69,80,70,82,72,84,74,85,77,86,81,86,85,85,88,83,90,80,91,78,90,76,87,76,83,77,81,78,78,80,76,83,75,86,75,89,76,92,77,94,0,69,89,69,84,72,86,75,87,80,87,83,86,86,84,88,81,89,78,89,76,88,75,86,75,83,76,80,78,78,81,77,84,77,89,78,92,80,95,0,79,85,81,79,79,81,79,83,81,85,83,85,85,83,85,81,83,79,81,79,32,81,80,80,81,80,83,81,84,83,84,84,83,84,81,83,80,81,80,32,82,81,81,82,82,83,83,82,82,81,0,68,96,68,82,74,82,32,79,82,85,82,32,90,82,96,82,0,68,96,68,85,68,79,96,79,96,85,0,74,90,82,68,74,82,32,82,68,90,82,0,68,96,68,82,96,82,32,74,89,90,89,32,80,96,84,96,0,68,96,68,82,96,82,32,68,82,82,98,32,96,82,82,98,0,75,89,81,75,78,76,76,78,75,81,75,83,76,86,78,88,81,89,83,89,86,88,88,86,89,83,89,81,88,78,86,76,83,75,81,75,0,76,88,76,76,76,88,88,88,88,76,76,76,0,75,89,82,74,75,86,89,86,82,74,0,76,88,82,72,76,82,82,92,88,82,82,72,0,74,90,82,73,80,79,74,79,79,83,77,89,82,85,87,89,85,83,90,79,84,79,82,73,0,75,89,82,75,82,89,32,75,82,89,82,0,77,87,77,77,87,87,32,87,77,77,87,0,77,87,82,76,82,88,32,77,79,87,85,32,87,79,77,85,0,78,86,81,78,79,79,78,81,78,83,79,85,81,86,83,86,85,85,86,83,86,81,85,79,83,78,81,78,32,79,81,79,83,32,80,80,80,84,32,81,79,81,85,32,82,79,82,85,32,83,79,83,85,32,84,80,84,84,32,85,81,85,83,0,78,86,78,78,78,86,86,86,86,78,78,78,32,79,79,79,85,32,80,79,80,85,32,81,79,81,85,32,82,79,82,85,32,83,79,83,85,32,84,79,84,85,32,85,79,85,85,0,77,87,82,76,77,85,87,85,82,76,32,82,79,79,84,32,82,79,85,84,32,82,82,81,84,32,82,82,83,84,0,76,85,76,82,85,87,85,77,76,82,32,79,82,84,85,32,79,82,84,79,32,82,82,84,83,32,82,82,84,81,0,77,87,82,88,87,79,77,79,82,88,32,82,85,85,80,32,82,85,79,80,32,82,82,83,80,32,82,82,81,80,0,79,88,88,82,79,77,79,87,88,82,32,85,82,80,79,32,85,82,80,85,32,82,82,80,81,32,82,82,80,83,0,76,88,82,76,78],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+276484);allocate([87,88,80,76,80,86,87,82,76,32,82,82,82,76,32,82,82,76,80,32,82,82,78,87,32,82,82,86,87,32,82,82,88,80,0,77,87,82,76,82,88,32,79,79,85,79,32,77,85,79,87,81,88,83,88,85,87,87,85,0,76,88,82,76,82,88,32,76,81,77,79,87,79,88,81,32,80,87,84,87,0,75,89,77,78,87,88,32,87,78,77,88,32,79,76,76,79,75,81,32,85,76,88,79,89,81,0,73,91,78,73,73,91,32,86,73,91,91,32,77,77,91,91,32,87,77,73,91,32,78,73,86,73,32,77,77,87,77,0,73,91,82,71,82,86,32,77,74,87,80,32,87,74,77,80,32,73,86,76,92,32,91,86,88,92,32,73,86,91,86,32,76,92,88,92,0,71,91,77,74,83,86,32,75,80,83,76,32,71,92,91,92,91,82,71,92,0,76,88,80,76,80,80,76,80,76,84,80,84,80,88,84,88,84,84,88,84,88,80,84,80,84,76,80,76,0,75,89,89,80,88,78,86,76,83,75,81,75,78,76,76,78,75,81,75,83,76,86,78,88,81,89,83,89,86,88,88,86,89,84,32,89,80,87,78,85,77,83,77,81,78,80,79,79,81,79,83,80,85,81,86,83,87,85,87,87,86,89,84,0,75,89,82,74,75,86,89,86,82,74,32,82,90,89,78,75,78,82,90,0,71,93,80,73,80,71,81,70,83,70,84,71,84,73,32,71,90,72,88,74,86,75,84,76,80,76,75,77,74,79,73,85,73,87,74,88,75,88,80,89,84,90,86,92,88,93,90,32,71,90,93,90,32,81,90,80,91,81,92,83,92,84,91,83,90,0,74,90,82,77,82,83,32,82,83,81,92,32,82,83,83,92,32,81,92,83,92,32,82,77,81,74,80,72,78,71,32,81,74,78,71,32,82,77,83,74,84,72,86,71,32,83,74,86,71,32,82,77,78,75,76,75,74,77,32,80,76,76,76,74,77,32,82,77,86,75,88,75,90,77,32,84,76,88,76,90,77,32,82,77,80,78,79,79,79,82,32,82,77,80,79,79,82,32,82,77,84,78,85,79,85,82,32,82,77,84,79,85,82,0,74,90,82,73,82,75,32,82,78,82,80,32,82,83,82,85,32,82,89,81,92,32,82,89,83,92,32,81,92,83,92,32,82,71,81,73,80,74,32,82,71,83,73,84,74,32,80,74,82,73,84,74,32,82,75,80,78,78,79,77,78,32,82,75,84,78,86,79,87,78,32,78,79,80,79,82,78,84,79,86,79,32,82,80,80,83,78,84,76,84,75,82,75,83,76,84,32,82,80,84,83,86,84,88,84,89,82,89,83,88,84,32,78,84,80,84,82,83,84,84,86,84,32,82,85,80,88,79,89,77,90,76,90,75,89,74,87,74,89,76,90,32,82,85,84,88,85,89,87,90,88,90,89,89,90,87,90,89,88,90,32,77,90,79,90,82,89,85,90,87,90,0,74,90,82,89,81,92,32,82,89,83,92,32,81,92,83,92,32,82,89,85,90,88,90,90,88,90,85,89,84,87,84,89,82,90,79,89,77,87,76,85,77,86,74,85,72,83,71,81,71,79,72,78,74,79,77,77,76,75,77,74,79,75,82,77,84,75,84,74,85,74,88,76,90,79,90,82,89,0,74,90,82,89,81,92,32,82,89,83,92,32,81,92,83,92,32,82,89,86,88,86,86,88,85,88,82,90,81,90,76,89,73,88,72,86,72,84,71,80,71,78,72,76,72,75,73,74,76,74,81,76,82,76,85,78,86,78,88,82,89,0,73,91,73,80,75,82,32,76,75,78,80,32,82,71,82,79,32,88,75,86,80,32,91,80,89,82,0,81,83,82,81,81,82,82,83,83,82,82,81,0,80,84,81,80,80,81,80,83,81,84,83,84,84,83,84,81,83,80,81,80,0,78,86,81,78,79,79,78,81,78,83,79,85,81,86,83,86,85,85,86,83,86,81,85,79,83,78,81,78,0,77,87,81,77,79,78,78,79,77,81,77,83,78,85,79,86,81,87,83,87,85,86,86,85,87,83,87,81,86,79,85,78,83,77,81,77,0,71,93,80,71,77,72,74,74,72,77,71,80,71,84,72,87,74,90,77,92,80,93,84,93,87,92,90,90,92,87,93,84,93,80,92,77,90,74,87,72,84,71,80,71,0,65,99,80,65,76,66,74,67,71,69,69,71,67,74,66,76,65,80,65,84,66,88,67,90,69,93,71,95,74,97,76,98,80,99,84,99,88,98,90,97,93,95,95,93,97,90,98,88,99,84,99,80,98,76,97,74,95,71,93,69,90,67,88,66,84,65,80,65,0,60,104,80,60,75,61,71,63,68,65,65,68,63,71,61,75,60,80,60,84,61,89,63,93,65,96,68,99,71,101,75,103,80,104,84,104,89,103,93,101,96,99,99,96,101,93,103,89,104,84,104,80,103,75,101,71,99,68,96,65,93,63,89,61,84,60,80,60,0,41,123,79,41,73,42,69,43,64,45,59,48,55,51,51,55,48,59,45,64,43,69,42,73,41,79,41,85,42,91,43,95,45,100,48,105,51,109,55,113,59,116,64,119,69,121,73,122,79,123,85,123,91,122,95,121,100,119,105,116,109,113,113,109,116,105,119,100,121,95,122,91,123,85,123,79,122,73,121,69,119,64,116,59,113,55,109,51,105,48,100,45,95,43,91,42,85,41,79,41,0,62,102,82,65,80,67,77,68,74,68,71,67,69,65,62,72,64,74,65,77,65,90,66,93,68,95,71,96,77,96,80,97,82,99,32,82,65,84,67,87,68,90,68,93,67,95,65,102,72,100,74,99,77,99,90,98,93,96,95,93,96,87,96,84,97,82,99,0,65,99,82,65,80,67,77,68,74,68,71,67,69,65,66,71,65,75,65,80,66,84,68,88,71,92,76,96,82,99,32,82,65,84,67,87,68,90,68,93,67,95,65,98,71,99,75,99,80,98,84,96,88,93,92,88,96,82,99,32,66,72,98,72,0,72,91,87,80,86,81,87,82,88,81,88,80,86,78,84,77,81,77,78,78,76,80,75,83,75,85,76,88,78,90,81,91,83,91,86,90,88,88,32,81,77,79,78,77,80,76,83,76,85,77,88,79,90,81,91,32,76,98,88,70,0,75,89,82,75,77,88,32,82,78,86,88,32,82,75,87,88,32,79,84,84,84,32,75,88,80,88,32,84,88,89,88,0,74,90,78,75,78,88,32,79,75,79,88,32,76,75,83,75,86,76,87,78,86,80,83,81,32,83,75,85,76,86,78,85,80,83,81,32,79,81,83,81,86,82,87,84,87,85,86,87,83,88,76,88,32,83,81,85,82,86,84,86,85,85,87,83,88,0,75,89,86,76,87,75,87,79,86,76,84,75,81,75,79,76,78,77,77,80,77,83,78,86,79,87,81,88,84,88,86,87,87,85,32,81,75,79,77,78,80,78,83,79,86,81,88,0,74,90,78,75,78,88,32,79,75,79,88,32,76,75,83,75,86,76,87,77,88,80,88,83,87,86,86,87,83,88,76,88,32,83,75,85,76,86,77,87,80,87,83,86,86,85,87,83,88,0,74,89,78,75,78,88,32,79,75,79,88,32,83,79,83,83,32,76,75,86,75,86,79,85,75,32,79,81,83,81,32,76,88,86,88,86,84,85,88,0,74,88,78,75,78,88,32,79,75,79,88,32,83,79,83,83,32,76,75,86,75,86,79,85,75,32,79,81,83,81,32,76,88,81,88,0,75,91,86,76,87,75,87,79,86,76,84,75,81,75,79,76,78,77,77,80,77,83,78,86,79,87,81,88,84,88,86,87,32,81,75,79,77,78,80,78,83,79,86,81,88,32,84,88,85,87,86,85,32,86,83,86,88,32,87,83,87,88,32,84,83,89,83,0,74,91,78,75,78,88,32,79,75,79,88,32,86,75,86,88,32,87,75,87,88,32,76,75,81,75,32,84,75,89,75,32,79,81,86,81,32,76,88,81,88,32,84,88,89,88,0,78,87,82,75,82,88,32,83,75,83,88,32,80,75,85,75,32,80,88,85,88,0,76,88,83,75,83,85,82,87,81,88,32,84,75,84,85,83,87,81,88,80,88,78,87,77,85,78,84,79,85,78,86,32,81,75,86,75,0,74,90,78,75,78,88,32,79,75,79,88,32,87,75,79,83,32,81,81,86,88,32,82,81,87,88,32,76,75,81,75,32,84,75,89,75,32,76,88,81,88,32,84,88,89,88,0,75,88,79,75,79,88,32,80,75,80,88,32,77,75,82,75,32,77,88,87,88,87,84,86,88,0,73,92,77,75,77,88,32,78,78,82,88,32,78,75,82,85,32,87,75,82,88,32,87,75,87,88,32,88,75,88,88,32,75,75,78,75,32,87,75,90,75,32,75,88,79,88,32,85,88,90,88,0,74,90,78,75,78,88,32,79,77,86,88,32,79,75,86,86,32,86,75,86,88,32,76,75,79,75,32,84,75,88,75,32,76,88,80,88,0,75,90,81,75,79,76,78,77,77,80,77,83,78,86,79,87,81,88,84,88,86,87,87,86,88,83,88,80,87,77,86,76,84,75,81,75,32,81,75,79,77,78,80,78,83,79,86,81,88,32,84,88,86,86,87,83,87,80,86,77,84,75,0,74,89,78,75,78,88,32,79,75,79,88,32,76,75,83,75,86,76,87,78,87,79,86,81,83,82,79,82,32,83,75,85,76,86,78,86,79,85,81,83,82,32,76,88,81,88,0,75,90,81,75,79,76,78,77,77,80,77,83,78,86,79,87,81,88,84,88,86,87,87,86,88,83,88,80,87,77,86,76,84,75,81,75,32,81,75,79,77,78,80,78,83,79,86,81,88,32,84,88,86,86,87,83,87,80,86,77,84,75,32,80,87,80,85,81,84,83,84,84,85,85,90,86,91,87,91,88,90,32,84,85,85,88,86,90,87,91,0,74,90,78,75,78,88,32,79,75,79,88,32,76,75,83,75,86,76,87,78,87,79,86,81,83,82,79,82,32,83,75,85,76,86,78,86,79,85,81,83,82,32,76,88,81,88,32,83,82,84,83,85,87,86,88,87,88,88,87,32,83,82,85,83,86,87,87,88,0,75,90,86,77,87,75,87,79,86,77,85,76,83,75,81,75,79,76,78,77,78,79,79,80,81,81,84,82,86,83,87,84,32,78,78,79,79,81,80,84,81,86,82,87,83,87,86,86,87,84,88,82,88,80,87,79,86,78,84,78,88,79,86,0,75,90,82,75,82,88,32,83,75,83,88,32,78,75,77,79,77,75,88,75,88,79,87,75,32,80,88,85,88,0,74,91,78,75,78,85,79,87,81,88,84,88,86,87,87,85,87,75,32,79,75,79,85,80,87,81,88,32,76,75,81,75,32,85,75,89,75,0,75,89,77,75,82,88,32,78,75,82,85,32,87,75,82,88,32,75,75,80,75,32,84,75,89,75,0,73,91,76,75,79,88,32,77,75,79,84,32,82,75,79,88,32,82,75,85,88,32,83,75,85,84,32,88,75,85,88,32,74,75,79,75,32,86,75,90,75,0,75,90,78,75,86,88,32,79,75,87,88,32,87,75,78,88,32,76,75,81,75,32,84,75,89,75,32,76,88,81,88,32,84,88,89,88,0,76,89,78,75,82,82,82,88,32,79,75,83,82,32,87,75,83,82,83,88,32,76,75,81,75,32,84,75,89,75,32,80,88,85,88,0,76,89,86,75,78,88,32,87,75,79,88,32,79,75,78,79,78,75,87,75,32,78,88,87,88,87,84,86,88,0,75,88,79,75,79,88,32,80,75,80,88,32,77,75,87,75,87,79,86,75,32,77,88,82,88,0,75,89,82,75,76,88,32,82,77,87,88,32,82,75,88,88,32,77,87,86,87,32,76,88,88,88,0,75,90,81,75,79,76,78,77,77,80,77,83,78,86,79,87,81,88,84,88,86,87,87,86,88,83,88,80,87,77,86,76,84,75,81,75,32,81,75,79,77,78,80,78,83,79,86,81,88,32,84,88,86,86,87,83,87,80,86,77,84,75,32,81,79,81,84,32,84,79,84,84,32,81,81,84,81,32,81,82,84,82,0,75,89,82,75,77,88,32,82,78,86,88,32,82,75,87,88,32,75,88,80,88,32,84,88,89,88,0,74,90,77,74,76,77,32,88,74,87,77,32,80,80,79,83,32,85,80,84,83,32,77,86,76,89,32,88,86,87,89,32,77,75,87,75,32,77,76,87,76,32,80,81,84,81,32,80,82,84,82,32,77,87,87,87,32,77,88,87,88,0,74,91,78,75,78,88,32,79,75,79,88,32,86,75,86,88,32,87,75,87,88,32,76,75,89,75,32,76,88,81,88,32,84,88,89,88,0,75,91,77,75,82,81,32,78,75,83,81,77,88,32,77,75,87,75,88,79,86,75,32,78,87,87,87,32,77,88,87,88,88,84,86,88,0,75,90,77,79,78,76,79,75,80,75,81,76,82,79,82,88,32,88,79,87,76,86,75,85,75,84,76,83,79,83,88,32,77,79,78,77,79,76,80,76,81,77,82,79,32,88,79,87,77,86,76,85,76,84,77,83,79,32,80,88,85,88,0,75,90,82,75,82,88,32,83,75,83,88,32,81,78,78,79,77,81,77,82,78,84,81,85,84,85,87,84,88,82,88,81,87,79,84,78,81,78,32,81,78,79,79,78,81,78,82,79,84,81,85,32,84,85,86,84,87,82,87,81,86,79,84,78,32,80,75,85,75,32,80,88,85,88,0,74,91,82,75,82,88,32,83,75,83,88,32,76,80,77,79,78,79,79,83,81,85,32,84,85,86,83,87,79,88,79,89,80,32,77,79,78,82,79,84,81,85,84,85,86,84,87,82,88,79,32,80,75,85,75,32,80,88,85,88,0,75,90,77,86,78,88,81,88,77,82,77,79,78,77,79,76,81,75,84,75,86,76,87,77,88,79,88,82,84,88,87,88,88,86,32,79,85,78,82,78,79,79,77,81,75,32,84,75,86,77,87,79,87,82,86,85,32,78,87,80,87,32,85,87,87,87,0,75,89,84,75,75,88,32,83,77,84,88,32,84,75,85,88,32,78,84,84,84,32,73,88,78,88,32,82,88,87,88,0,74,89,80,75,76,88,32,81,75,77,88,32,78,75,85,75,87,76,87,78,86,80,83,81,32,85,75,86,76,86,78,85,80,83,81,32,79,81,82,81,84,82,85,83,85,85,84,87,81,88,74,88,32,82,81,84,83,84,85,83,87,81,88,0,75,88,86,76,87,76,88,75,87,78,86,76,84,75,82,75,80,76,79,77,78,79,77,82,77,85,78,87,80,88,82,88,84,87,85,85,32,82,75,80,77,79,79,78,82,78,86,80,88,0,74,89,80,75,76,88,32,81,75,77,88,32,78,75,84,75,86,76,87,78,87,81,86,84,85,86,84,87,81,88,74,88,32,84,75,85,76,86,78,86,81,85,84,84,86,83,87,81,88,0,74,89,80,75,76,88,32,81,75,77,88,32,83,79,82,83,32,78,75,88,75,87,78,87,75,32,79,81,82,81,32,74,88,84,88,85,85,83,88,0,74,88,80,75,76,88,32,81,75,77,88,32,83,79,82,83,32,78,75,88,75,87,78,87,75,32,79,81,82,81,32,74,88,79,88,0,75,89,86,76,87,76,88,75,87,78,86,76,84,75,82,75,80,76,79,77,78,79,77,82,77,85,78,87,80,88,82,88,84,87,85,86,86,83,32,82,75,80,77,79,79,78,82,78,86,80,88,32,82,88,84,86,85,83,32,83,83,88,83,0,74,91,80,75,76,88,32,81,75,77,88,32,88,75,84,88,32,89,75,85,88,32,78,75,83,75,32,86,75,91,75,32,79,81,86,81,32,74,88,79,88,32,82,88,87,88,0,78,87,84,75,80,88,32,85,75,81,88,32,82,75,87,75,32,78,88,83,88,0,76,88,85,75,82,85,81,87,80,88,32,86,75,83,85,82,87,80,88,79,88,77,87,76,85,77,84,78,85,77,86,32,83,75,88,75,0,74,90,80,75,76,88,32,81,75,77,88,32,89,75,79,82,32,82,80,84,88,32,83,80,85,88,32,78,75,83,75,32,86,75,91,75,32,74,88,79,88,32,82,88,87,88,0,75,88,81,75,77,88,32,82,75,78,88,32,79,75,84,75,32,75,88,85,88,86,85,84,88,0,73,92,79,75,75,88,32,79,77,80,88,32,80,75,81,86,32,89,75,80,88,32,89,75,85,88,32,90,75,86,88,32,77,75,80,75,32,89,75,92,75,32,73,88,77,88,32,83,88,88,88,0,74,90,80,75,76,88,32,80,75,84,88,32,81,75,84,85,32,88,75,84,88,32,78,75,81,75,32,86,75,90,75,32,74,88,78,88,0,75,89,82,75,80,76,79,77,78,79,77,82,77,85,78,87,80,88,82,88,84,87,85,86,86,84,87,81,87,78,86,76,84,75,82,75,32,82,75,80,77,79,79,78,82,78,86,80,88,32,82,88,84,86,85,84,86,81,86,77,84,75,0,74,89,80,75,76,88,32,81,75,77,88,32,78,75,85,75,87,76,88,77,88,79,87,81,84,82,79,82,32,85,75,87,77,87,79,86,81,84,82,32,74,88,79,88,0,75,89,82,75,80,76,79,77,78,79,77,82,77,85,78,87,80,88,82,88,84,87,85,86,86,84,87,81,87,78,86,76,84,75,82,75,32,82,75,80,77,79,79,78,82,78,86,80,88,32,82,88,84,86,85,84,86,81,86,77,84,75,32,79,87,79,86,80,85,81,85,82,86,82,90,83,91,84,91,85,90,32,82,86,83,90,84,91,0,74,90,80,75,76,88,32,81,75,77,88,32,78,75,85,75,87,76,88,77,88,79,87,81,84,82,79,82,32,85,75,87,77,87,79,86,81,84,82,32,83,82,84,87,85,88,86,88,87,87,32,83,82,84,83,85,87,86,88,32,74,88,79,88,0,75,90,87,76,88,76,89,75,88,78,87,76,85,75,82,75,80,76,79,77,79,79,80,80,85,83,86,84,32,79,78,80,79,85,82,86,83,86,86,85,87,83,88,80,88,78,87,77,85,76,88,77,87,78,87,0,75,90,84,75,80,88,32,85,75,81,88,32,80,75,78,78,79,75,90,75,89,78,89,75,32,78,88,83,88,0,74,91,80,75,77,85,77,87,79,88,83,88,85,87,86,85,89,75,32,81,75,78,85,78,87,79,88,32,78,75,83,75,32,87,75,91,75,0,75,89,79,75,80,88,32,80,75,81,86,32,89,75,80,88,32,77,75,82,75,32,86,75,91,75,0,73,91,78,75,77,88,32,79,75,78,86,32,84,75,77,88,32,84,75,83,88,32,85,75,84,86,32,90,75,83,88,32,76,75,81,75,32,88,75,92,75,0,75,90,80,75,84,88,32,81,75,85,88,32,89,75,76,88,32,78,75,83,75,32,86,75,91,75,32,74,88,79,88,32,82,88,87,88,0,76,89,80,75,82,81,80,88,32,81,75,83,81,32,89,75,83,81,81,88,32,78,75,83,75,32,86,75,91,75,32,78,88,83,88,0,76,89,88,75,76,88,32,89,75,77,88,32,81,75,79,78,80,75,89,75,32,76,88,85,88,86,85,84,88,0,75,90,77,72,88,92,0,74,90,82,77,76,87,32,82,77,88,87,0,76,90,81,79,80,80,80,81,79,81,79,80,81,79,84,79,86,81,86,87,87,88,88,88,32,84,79,85,81,85,87,87,88,32,85,82,82,83,80,84,79,85,79,87,80,88,83,88,84,87,85,85,32,82,83,80,85,80,87,81,88,0,74,89,78,75,78,88,32,79,75,79,88,32,79,82,80,80,82,79,84,79,86,80,87,82,87,85,86,87,84,88,82,88,80,87,79,85,32,84,79,85,80,86,82,86,85,85,87,84,88,32,76,75,79,75,0,76,88,86,81,85,81,85,82,86,82,86,81,85,80,83,79,81,79,79,80,78,82,78,85,79,87,81,88,83,88,85,87,86,86,32,81,79,80,80,79,82,79,85,80,87,81,88,0,76,91,86,75,86,88,32,87,75,87,88,32,86,82,85,80,83,79,81,79,79,80,78,82,78,85,79,87,81,88,83,88,85,87,86,85,32,81,79,80,80,79,82,79,85,80,87,81,88,32,84,75,87,75,32,86,88,89,88,0,76,88,79,83,86,83,86,82,85,80,83,79,81,79,79,80,78,82,78,85,79,87,81,88,83,88,85,87,86,86,32,85,83,85,81,83,79,32,81,79,80,80,79,82,79,85,80,87,81,88,0,76,87,84,75,85,76,85,77,86,77,86,76,84,75,82,75,80,77,80,88,32,82,75,81,77,81,88,32,78,79,83,79,32,78,88,83,88,0,76,89,81,79,79,81,79,83,81,85,83,85,85,83,85,81,83,79,81,79,32,81,79,80,81,80,83,81,85,32,83,85,84,83,84,81,83,79,32,84,80,85,79,86,79,32,80,84,79,85,79,88,80,89,84,89,86,90,32,79,87,80,88,84,88,86,89,86,91,84,92,80,92,78,91,78,89,80,88,0,74,91,78,75,78,88,32,79,75,79,88,32,79,82,80,80,82,79,84,79,86,80,87,82,87,88,32,84,79,85,80,86,82,86,88,32,76,75,79,75,32,76,88,81,88,32,84,88,89,88,0,78,87,82,75,82,76,83,76,83,75,82,75,32,82,79,82,88,32,83,79,83,88,32,80,79,83,79,32,80,88,85,88,0,78,87,83,75,83,76,84,76,84,75,83,75,32,83,79,83,90,82,92,32,84,79,84,90,82,92,80,92,79,91,79,90,80,90,80,91,79,91,32,81,79,84,79,0,74,90,78,75,78,88,32,79,75,79,88,32,87,79,79,85,32,82,83,86,88,32,83,83,87,88,32,76,75,79,75,32,84,79,89,79,32,76,88,81,88,32,84,88,89,88,0,78,87,82,75,82,88,32,83,75,83,88,32,80,75,83,75,32,80,88,85,88,0,70,95,74,79,74,88,32,75,79,75,88,32,75,82,76,80,78,79,80,79,82,80,83,82,83,88,32,80,79,81,80,82,82,82,88,32,83,82,84,80,86,79,88,79,90,80,91,82,91,88,32,88,79,89,80,90,82,90,88,32,72,79,75,79,32,72,88,77,88,32,80,88,85,88,32,88,88,93,88,0,74,91,78,79,78,88,32,79,79,79,88,32,79,82,80,80,82,79,84,79,86,80,87,82,87,88,32,84,79,85,80,86,82,86,88,32,76,79,79,79,32,76,88,81,88,32,84,88,89,88,0,76,89,81,79,79,80,78,82,78,85,79,87,81,88,84,88,86,87,87,85,87,82,86,80,84,79,81,79,32,81,79,80,80,79,82,79,85,80,87,81,88,32,84,88,85,87,86,85,86,82,85,80,84,79,0,74,89,78,79,78,92,32,79,79,79,92,32,79,82,80,80,82,79,84,79,86,80,87,82,87,85,86,87,84,88,82,88,80,87,79,85,32,84,79,85,80,86,82,86,85,85,87,84,88,32,76,79,79,79,32,76,92,81,92,0,75,89,85,79,85,92,32,86,79,86,92,32,85,82,84,80,82,79,80,79,78,80,77,82,77,85,78,87,80,88,82,88,84,87,85,85,32,80,79,79,80,78,82,78,85,79,87,80,88,32,83,92,88,92,0,75,88,79,79,79,88,32,80,79,80,88,32,80,82,81,80,83,79,85,79,86,80,86,81,85,81,85,80,86,80,32,77,79,80,79,32,77,88,82,88,0,76,89,84,79,85,80,85,81,86,81,86,80,84,79,81,79,79,80,79,82,81,83,84,84,86,85,32,79,81,81,82,84,83,86,84,86,87,84,88,81,88,79,87,79,86,80,86,80,87,81,88,0,76,87,80,75,80,86,82,88,84,88,85,87,85,86,32,81,75,81,86,82,88,32,78,79,84,79,0,74,91,78,79,78,85,79,87,81,88,83,88,85,87,86,85,32,79,79,79,85,80,87,81,88,32,86,79,86,88,32,87,79,87,88,32,76,79,79,79,32,84,79,87,79,32,86,88,89,88,0,75,89,78,79,82,88,32,79,79,82,86,32,86,79,82,88,32,76,79,81,79,32,84,79,88,79,0,73,91,76,79,79,88,32,77,79,79,85,32,82,79,79,88,32,82,79,85,88,32,83,79,85,85,32,88,79,85,88,32,74,79,79,79,32,86,79,90,79,0,75,89,78,79,85,88,32,79,79,86,88,32,86,79,78,88,32,76,79,81,79,32,84,79,88,79,32,76,88,80,88,32,83,88,88,88,0,75,89,78,79,82,88,32,79,79,82,86,32,86,79,82,88,80,91,78,92,77,92,76,91,76,90,77,90,77,91,76,91,32,76,79,81,79,32,84,79,88,79,0,76,88,85,79,78,88,32,86,79,79,88,32,79,79,78,81,78,79,86,79,32,78,88,86,88,86,86,85,88,0,75,91,81,79,79,80,78,81,77,83,77,85,78,87,80,88,81,88,83,87,85,85,87,82,88,79,32,81,79,79,81,78,83,78,85,79,87,80,88,32,81,79,83,79,85,80,87,87,88,88,32,83,79,84,80,86,87,88,88,89,88,0,75,88,82,75,80,77,79,79,77,85,75,92,32,81,76,80,78,78,84,76,92,32,82,75,84,75,86,76,86,78,85,80,82,81,32,84,75,85,76,85,78,84,80,82,81,32,82,81,84,82,85,84,85,86,84,87,82,88,81,88,79,87,78,84,32,82,81,83,82,84,84,84,86,82,88,0,75,89,76,81,78,79,80,79,82,80,83,83,83,88,82,92,32,76,81,78,80,80,80,82,81,83,83,32,87,79,86,82,83,88,81,92,0,75,89,83,79,81,79,79,80,78,81,77,83,77,85,78,87,80,88,82,88,84,87,85,86,86,84,86,82,85,80,82,78,81,76,81,75,82,74,84,74,85,75,86,77,32,81,79,79,81,78,83,78,86,80,88,32,82,88,84,86,85,84,85,81,83,79,32,81,76,82,75,84,75,86,77,0,76,88,86,80,84,79,81,79,79,80,79,81,80,82,82,83,32,81,79,80,80,80,81,82,83,32,82,83,79,84,78,85,78,87,80,88,83,88,85,87,32,82,83,80,84,79,85,79,87,80,88,0,76,87,82,75,81,76,81,77,83,78,86,78,86,77,83,78,80,79,79,80,78,82,78,84,79,86,80,87,82,88,83,89,83,91,82,92,80,92,79,91,32,83,78,81,79,80,80,79,82,79,84,80,86,82,88,0,73,89,74,82,75,80,76,79,78,79,79,80,79,81,77,88,32,77,79,78,80,78,81,76,88,32,79,81,80,80,82,79,84,79,86,80,86,82,83,92,32,84,79,85,80,85,82,82,92,0,73,89,74,83,75,81,76,80,78,80,79,81,79,86,80,88,32,77,80,78,81,78,85,79,87,80,88,81,88,83,87,84,86,85,84,86,81,86,78,85,76,84,75,82,75,81,76,81,78,82,80,85,82,87,83,32,81,88,83,86,84,84,85,81,85,78,84,75,0,78,87,82,79,80,86,80,87,81,88,83,88,85,87,86,85,32,83,79,81,86,81,87,82,88,0,75,89,79,79,76,88,32,80,79,77,88,32,85,79,86,80,87,80,86,79,84,79,82,81,79,82,32,79,82,80,83,82,87,84,88,86,87,87,85,32,79,82,81,83,83,87,84,88,0,76,88,76,75,78,75,80,76,87,88,32,78,75,79,76,86,88,32,82,80,77,88,32,82,80,78,88,0,75,90,79,79,75,92,32,80,79,76,92,32,78,85,78,87,79,88,81,88,83,87,84,86,32,86,79,84,86,84,87,85,88,87,88,88,87,89,85,32,87,79,85,86,85,87,86,88,0,74,89,78,79,77,88,32,79,79,78,85,77,88,32,86,82,86,79,87,79,86,82,84,85,81,87,78,88,77,88,32,76,79,79,79,0,77,88,82,75,81,76,81,77,83,78,86,78,32,84,78,81,79,80,80,80,82,82,83,85,83,32,84,78,82,79,81,80,81,82,82,83,32,83,83,80,84,79,85,79,87,81,88,83,89,84,90,84,91,83,92,81,92,32,83,83,81,84,80,85,80,87,81,88,0,75,88,81,79,79,80,78,81,77,83,77,85,78,87,80,88,82,88,84,87,85,86,86,84,86,82,85,80,83,79,81,79,32,81,79,79,81,78,83,78,86,80,88,32,82,88,84,86,85,84,85,81,83,79,0,73,90,80,80,77,88,32,80,80,78,88,32,84,80,83,88,32,84,80,84,88,32,75,81,77,79,88,79,32,75,81,77,80,88,80,0,74,88,83,79,81,79,79,80,78,81,77,83,74,92,32,81,79,79,81,78,83,75,92,32,83,79,85,80,86,82,86,84,85,86,84,87,82,88,80,88,78,87,77,85,32,83,79,85,81,85,84,84,86,82,88,0,75,91,89,79,81,79,79,80,78,81,77,83,77,85,78,87,80,88,82,88,84,87,85,86,86,84,86,82,85,80,89,80,32,81,79,79,81,78,83,78,86,80,88,32,82,88,84,86,85,84,85,81,83,79,0,75,90,83,80,81,88,32,83,80,82,88,32,77,81,79,79,88,79,32,77,81,79,80,88,80,0,74,88,75,82,76,80,77,79,79,79,80,80,80,82,79,85,79,87,80,88,32,78,79,79,80,79,82,78,85,78,87,80,88,81,88,83,87,85,85,86,82,86,79,85,79,86,80,0,75,90,79,80,78,81,77,83,77,85,78,87,80,88,82,88,85,87,87,85,88,82,88,80,87,79,85,79,84,80,83,82,82,85,79,92,32,77,85,78,86,80,87,82,87,85,86,87,84,88,82,32,88,81,87,80,85,80,83,82,32,82,85,81,88,80,92,0,75,88,77,79,78,79,80,80,83,91,84,92,32,78,79,79,80,82,91,84,92,85,92,32,86,79,84,82,78,89,76,92,0,73,91,84,75,81,92,32,85,75,80,92,32,74,82,75,80,76,79,78,79,79,80,79,86,80,87,83,87,85,86,87,84,32,77,79,78,80,78,84,79,87,80,88,83,88,85,87,87,84,88,82,89,79,0,74,90,78,80,80,80,80,79,78,80,77,81,76,83,76,85,77,87,78,88,80,88,81,87,82,85,83,82,32,76,85,78,87,80,87,82,85,32,82,82,82,87,83,88,85,88,87,86,88,84,88,82,87,80,86,79,86,80,87,80,32,82,85,83,87,85,87,87,86,0,75,90,86,79,84,86,84,87,85,88,87,88,88,87,89,85,32,87,79,85,86,85,87,86,88,32,85,83,85,81,83,79,81,79,79,80,78,81,77,83,77,85,78,87,80,88,82,88,84,86,32,81,79,79,81,78,83,78,86,80,88,0,74,88,79,75,77,82,32,80,75,78,82,78,86,80,88,32,78,82,79,80,81,79,83,79,85,80,86,82,86,84,85,86,84,87,82,88,80,88,78,87,77,85,77,82,32,83,79,85,81,85,84,84,86,82,88,32,77,75,80,75,0,75,88,85,80,85,81,86,81,85,80,83,79,81,79,79,80,78,81,77,83,77,85,78,87,80,88,82,88,84,87,85,86,32,81,79,79,81,78,83,78,86,80,88,0,75,90,87,75,84,86,84,87,85,88,87,88,88,87,89,85,32,88,75,85,86,85,87,86,88,32,85,83,85,81,83,79,81,79,79,80,78,81,77,83,77,85,78,87,80,88,82,88,84,86,32,81,79,79,81,78,83,78,86,80,88,32,85,75,88,75,0,75,87,78,85,82,84,84,83,85,82,85,80,83,79,81,79,79,80,78,81,77,83,77,85,78,87,80,88,82,88,84,87,85,86,32,81,79,79,81,78,83,78,86,80,88,0,77,88,87,75,88,76,88,75,86,75,84,76,83,78,80,89,79,91,78,92,32,86,75,85,76,84,78,81,89,80,91,78,92,76,92,76,91,77,92,32,80,79,86,79,0,75,89,86,79,84,86,83,89,82,91,32,87,79,85,86,84,89,82,91,80,92,77,92,76,91,77,91,78,92,32,85,83,85,81,83,79,81,79,79,80,78,81,77,83,77,85,78,87,80,88,82,88,84,86,32,81,79,79,81,78,83,78,86,80,88,0,75,90,80,75,76,88,32,81,75,77,88,32,79,81,80,80,82,79,84,79,86,80,86,82,85,85,85,87,86,88,32,84,79,85,80,85,82,84,85,84,87,85,88,87,88,88,87,89,85,32,78,75,81,75,0,77,87,83,75,83,76,84,76,84,75,83,75,32,78,82,79,80,80,79,82,79,83,80,83,82,82,85,82,87,83,88,32,81,79,82,80,82,82,81,85,81,87,82,88,84,88,85,87,86,85,0,77,87,84,75,84,76,85,76,85,75,84,75,32,79,82,80,80,81,79,83,79,84,80,84,82,82,89,81,91,79,92,77,92,77,91,78,92,32,82,79,83,80,83,82,81,89,80,91,79,92,0,75,88,80,75,76,88,32,81,75,77,88,32,86,80,85,81,86,81,86,80,85,79,84,79,82,81,80,82,79,82,32,79,82,80,83,81,87,82,88,84,88,85,87,86,85,32,79,82,81,83,82,87,83,88,32,78,75,81,75,0,78,86,83,75,80,86,80,87,81,88,83,88,84,87,85,85,32,84,75,81,86,81,87,82,88,32,81,75,84,75,0,70,94,71,82,72,80,73,79,75,79,76,80,76,81,74,88,32,74,79,75,80,75,81,73,88,32,76,81,77,80,79,79,81,79,83,80,83,81,81,88,32,81,79,82,80,82,81,80,88,32,83,81,84,80,86,79,88,79,90,80,90,82,89,85,89,87,90,88,32,88,79,89,80,89,82,88,85,88,87,89,88,91,88,92,87,93,85,0,74,91,75,82,76,80,77,79,79,79,80,80,80,81,78,88,32,78,79,79,80,79,81,77,88,32,80,81,81,80,83,79,85,79,87,80,87,82,86,85,86,87,87,88,32,85,79,86,80,86,82,85,85,85,87,86,88,88,88,89,87,90,85,0,74,89,75,82,76,80,77,79,79,79,80,80,80,81,77,92,32,78,79,79,80,79,81,76,92,32,80,81,82,79,84,79,86,80,87,82,87,84,86,86,85,87,83,88,81,88,79,86,79,84,32,84,79,86,81,86,84,85,86,83,88,32,74,92,79,92,0,75,89,86,79,82,92,32,87,79,83,92,32,85,83,85,81,83,79,81,79,79,80,78,81,77,83,77,85,78,87,80,88,82,88,84,86,32,81,79,79,81,78,83,78,86,80,88,32,80,92,85,92,0,76,88,77,82,78,80,79,79,81,79,82,80,82,81,80,88,32,80,79,81,80,81,81,79,88,32,82,81,83,80,85,79,86,79,87,80,87,81,86,81,87,80,0,76,89,86,80,86,81,87,81,86,80,84,79,81,79,79,80,79,82,81,83,84,84,86,85,32,79,81,81,82,84,83,86,84,86,87,84,88,81,88,79,87,78,86,79,86,79,87,0,78,87,83,75,80,86,80,87,81,88,83,88,84,87,85,85,32,84,75,81,86,81,87,82,88,32,80,79,85,79,0,73,90,74,82,75,80,76,79,78,79,79,80,79,82,78,85,78,87,79,88,32,77,79,78,80,78,82,77,85,77,87,79,88,81,88,83,87,84,86,32,86,79,84,86,84,87,85,88,87,88,88,87,89,85,32,87,79,85,86,85,87,86,88,0,72,92,73,82,74,80,75,79,77,79,78,80,78,82,77,85,77,87,78,88,32,76,79,77,80,77,82,76,85,76,87,78,88,79,88,81,87,82,86,32,84,79,82,86,82,87,84,88,32,85,79,83,86,83,87,84,88,85,88,87,87,89,85,90,82,90,79,89,79,90,80,0,74,90,77,82,78,80,80,79,82,79,83,80,83,82,32,81,79,82,80,82,82,81,85,80,87,78,88,77,88,76,87,76,86,77,86,76,87,32,88,80,87,81,88,81,88,80,87,79,86,79,84,80,83,82,82,85,82,87,83,88,32,81,85,81,87,82,88,84,88,86,87,87,85,0,73,89,74,82,75,80,76,79,78,79,79,80,79,82,78,85,78,87,79,88,32,77,79,78,80,78,82,77,85,77,87,79,88,81,88,83,87,84,86,32,86,79,84,86,83,89,82,91,32,87,79,85,86,84,89,82,91,80,92,77,92,76,91,77,91,78,92,0,75,89,87,79,87,80,86,81,78,86,77,87,77,88,32,78,81,79,79,82,79,85,81,32,79,80,82,80,85,81,86,81,32,78,86,79,86,82,87,85,87,32,79,86,82,88,85,88,86,86,0,72,91,82,75,83,76,83,77,84,77,84,76,82,75,79,75,77,76,76,78,76,88,32,79,75,78,76,77,78,77,88,32,88,75,89,76,89,77,90,77,90,76,88,75,86,75,84,77,84,88,32,86,75,85,77,85,88,32,74,79,87,79,32,74,88,79,88,32,82,88,87,88,0,74,91,85,75,86,76,87,76,87,75,81,75,79,76,78,78,78,88,32,81,75,80,76,79,78,79,88,32,86,79,86,88,32,87,79,87,88,32,76,79,87,79,32,76,88,81,88,32,84,88,89,88,0,74,91,87,75,81,75,79,76,78,78,78,88,32,81,75,80,76,79,78,79,88,32,85,75,86,76,86,88,32,87,75,87,88,32,76,79,86,79,32,76,88,81,88,32,84,88,89,88,0,70,95,80,75,81,76,81,77,82,77,82,76,80,75,77,75,75,76,74,78,74,88,32,77,75,76,76,75,78,75,88,32,89,75,90,76,91,76,91,75,85,75,83,76,82,78,82,88,32,85,75,84,76,83,78,83,88,32,90,79,90,88,32,91,79,91,88,32,72,79,91,79,32,72,88,77,88,32,80,88,85,88,32,88,88,93,88,0,70,95,80,75,81,76,81,77,82,77,82,76,80,75,77,75,75,76,74,78,74,88,32,77,75,76,76,75,78,75,88,32,91,75,85,75,83,76,82,78,82,88,32,85,75,84,76,83,78,83,88,32,89,75,90,76,90,88,32,91,75,91,88,32,72,79,90,79,32,72,88,77,88,32,80,88,85,88,32,88,88,93,88,0,78,87,82,79,82,88,32,83,79,83,88,32,80,79,83,79,32,80,88,85,88,0,76,88,86,80,84,79,82,79,80,80,79,81,78,83,78,85,79,87,81,88,83,88,85,87,32,82,79,80,81,79,83,79,86,81,88,32,79,83,83,83,0,76,89,83,75,81,76,80,77,79,79,78,82,78,85,79,87,80,88,82,88,84,87,85,86,86,84,87,81,87,78,86,76,85,75,83,75,32,83,75,81,77,80,79,79,83,79,86,80,88,32,82,88,84,86,85,84,86,80,86,77,85,75,32,79,81,86,81,0,75,90,84,75,81,92,32,85,75,80,92,32,81,79,78,80,77,82,77,85,78,87,81,88,84,88,87,87,88,85,88,82,87,80,84,79,81,79,32,81,79,79,80,78,82,78,85,79,87,81,88,32,84,88,86,87,87,85,87,82,86,80,84,79,0,76,88,85,80,86,82,86,81,85,80,83,79,81,79,79,80,78,82,78,84,79,86,82,88,32,81,79,79,81,79,84,80,86,82,88,83,89,83,91,82,92,80,92,0,73,91,86,75,87,76,88,76,86,75,83,75,81,76,80,77,79,79,76,89,75,91,74,92,32,83,75,81,77,80,79,77,89,76,91,74,92,72,92,72,91,73,92,32,90,75,91,76,91,75,89,75,87,76,86,78,83,89,82,91,81,92,32,89,75,88,76,87,78,84,89,83,91,81,92,79,92,79,91,80,92,32,76,79,89,79,0,73,90,86,75,87,76,88,76,88,75,83,75,81,76,80,77,79,79,76,89,75,91,74,92,32,83,75,81,77,80,79,77,89,76,91,74,92,72,92,72,91,73,92,32,86,79,84,86,84,87,85,88,87,88,88,87,89,85,32,87,79,85,86,85,87,86,88,32,76,79,87,79,0,73,90,86,75,87,76,32,88,75,83,75,81,76,80,77,79,79,76,89,75,91,74,92,32,83,75,81,77,80,79,77,89,76,91,74,92,72,92,72,91,73,92,32,87,75,84,86,84,87,85,88,87,88,88,87,89,85,32,88,75,85,86,85,87,86,88,32,76,79,86,79,0,70,94,83,75,84,76,84,77,32,85,76,83,75,80,75,78,76,77,77,76,79,73,89,72,91,71,92,32,80,75,78,77,77,79,74,89,73,91,71,92,69,92,69,91,70,92,32,90,75,91,76,92,76,92,75,87,75,85,76,32,84,77,83,79,80,89,79,91,78,92,32,87,75,85,77,84,79,81,89,80,91,78,92,76,92,76,91,77,92,32,90,79,88,86,88,87,89,88,91,88,92,87,93,85,32,91,79,89,86,89,87,90,88,32,73,79,91,79,0,70,94,83,75,84,76,84,77,32,85,76,83,75,80,75,78,76,77,77,76,79,73,89,72,91,71,92,32,80,75,78,77,77,79,74,89,73,91,71,92,69,92,69,91,70,92,32,90,75,91,76,32,92,75,87,75,85,76,32,84,77,83,79,80,89,79,91,78,92,32,87,75,85,77,84,79,81,89,80,91,78,92,76,92,76,91,77,92,32,91,75,88,86,88,87,89,88,91,88,92,87,93,85,32,92,75,89,86,89,87,90,88,32,73,79,90,79,0,77,87,78,82,79,80,80,79,82,79,83,80,83,82,82,85,82,87,83,88,32,81,79,82,80,82,82,81,85,81,87,82,88,84,88,85,87,86,85,0,79,85,0,76,88,0,76,89,81,75,79,76,78,79,78,84,79,87,81,88,84,88,86,87,87,84,87,79,86,76,84,75,81,75,32,81,75,80,76,79,79,79,84,80,87,81,88,32,84,88,85,87,86,84,86,79,85,76,84,75,0,76,89,80,78,83,75,83,88,32,82,76,82,88,32,79,88,86,88,0,76,89,79,77,79,78,78,78,78,77,79,76,81,75,84,75,86,76,87,78,86,80,84,81,81,82,79,83,78,85,78,88,32,84,75,85,76,86,78,85,80,84,81,32,78,87,79,86,80,86,83,87,86,87,87,86,32,80,86,83,88,86,88,87,86,87,85,0,76,89,79,77,79,78,78,78,78,77,79,76,81,75,84,75,86,76,87,78,86,80,84,81,32,84,75,85,76,86,78,85,80,84,81,32,82,81,84,81,86,82,87,84,87,85,86,87,84,88,81,88,79,87,78,86,78,85,79,85,79,86,32,84,81,85,82,86,84,86,85,85,87,84,88,0,76,89,83,77,83,88,32,84,75,84,88,32,84,75,77,84,88,84,32,81,88,86,88,0,76,89,79,75,78,81,32,79,75,86,75,32,79,76,83,76,86,75,32,78,81,79,80,81,79,84,79,86,80,87,82,87,85,86,87,84,88,81,88,79,87,78,86,78,85,79,85,79,86,32,84,79,85,80,86,82,86,85,85,87,84,88,0,76,89,86,77,86,78,87,78,87,77,86,76,84,75,82,75,80,76,79,77,78,80,78,85,79,87,81,88,84,88,86,87,87,85,87,83,86,81,84,80,81,80,78,82,32,82,75,80,77,79,80,79,85,80,87,81,88,32,84,88,85,87,86,85,86,83,85,81,84,80,0,76,89,78,75,78,79,32,86,77,82,84,80,88,32,87,75,84,81,81,88,32,78,77,80,75,82,75,85,77,32,78,77,80,76,82,76,85,77,86,77,0,76,89,81,75,79,76,78,78,79,80,81,81,84,81,86,80,87,78,86,76,84,75,81,75,32,81,75,80,76,79,78,80,80,81,81,32,84,81,85,80,86,78,85,76,84,75,32,81,81,79,82,78,84,78,85,79,87,81,88,84,88,86,87,87,85,87,84,86,82,84,81,32,81,81,80,82,79,84,79,85,80,87,81,88,32,84,88,85,87,86,85,86,84,85,82,84,81,0,76,89,79,86,79,85,78,85,78,86,79,87,81,88,83,88,85,87,86,86,87,83,87,78,86,76,84,75,81,75,79,76,78,78,78,80,79,82,81,83,84,83,87,81,32,83,88,85,86,86,83,86,78,85,76,84,75,32,81,75,80,76,79,78,79,80,80,82,81,83,0,78,86,82,86,81,87,82,88,83,87,82,86,0,78,86,83,87,82,88,81,87,82,86,83,87,83,89,81,91,0,78,86,82,79,81,80,82,81,83,80,82,79,32,82,86,81,87,82,88,83,87,82,86,0,78,86,82,79,81,80,82,81,83,80,82,79,32,83,87,82,88,81,87,82,86,83,87,83,89,81,91,0,78,86,82,75,81,76,82,83,83,76,82,75,32,82,76,82,79,32,82,86,81,87,82,88,83,87,82,86,0,76,89,78,78,79,78,79,79,78,79,78,78,79,76,81,75,84,75,86,76,87,78,87,79,86,81,83,82,82,83,82,84,83,84,32,84,75,86,77,86,80,85,81,83,82,32,82,87,82,88,83,88,83,87,82,87,0,79,86,82,75,82,80,32,83,75,82,80,0,76,88,79,75,79,80,32,80,75,79,80,32,85,75,85,80,32,86,75,85,80,0,77,87,81,75,80,76,80,78,81,79,83,79,84,78,84,76,83,75,81,75,0,77,87,82,74,82,80,32,79,75,85,79,32,85,75,79,79,0,75,90,88,72,77,92,0,77,87,85,72,83,74,81,77,80,80,80,84,81,87,83,90,85,92,32,83,74,82,76,81,80,81,84,82,88,83,90,0,77,87,79,72,81,74,83,77,84,80,84,84,83,87,81,90,79,92,32,81,74,82,76,83,80,83,84,82,88,81,90,0,77,87,80,72,80,92,32,81,72,81,92,32,80,72,85,72,32,80,92,85,92,0,77,87,83,72,83,92,32,84,72,84,92,32,79,72,84,72,32,79,92,84,92,0,76,87,83,72,82,73,81,75,81,77,82,79,82,80,80,82,82,84,82,85,81,87],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+286724);allocate([81,89,82,91,83,92,32,82,73,81,77,32,81,75,82,79,32,82,85,81,89,32,81,87,82,91,0,77,88,81,72,82,73,83,75,83,77,82,79,82,80,84,82,82,84,82,85,83,87,83,89,82,91,81,92,32,82,73,83,77,32,83,75,82,79,32,82,85,83,89,32,83,87,82,91,0,77,87,84,72,80,82,84,92,0,77,87,80,72,84,82,80,92,0,79,85,82,72,82,92,0,77,87,80,72,80,92,32,84,72,84,92,0,73,91,76,82,88,82,0,73,91,82,76,82,88,32,76,82,88,82,0,74,90,82,77,82,88,32,77,82,87,82,32,77,88,87,88,0,74,90,82,77,82,88,32,77,77,87,77,32,77,82,87,82,0,74,90,77,77,87,87,32,87,77,77,87,0,78,86,82,81,81,82,82,83,83,82,82,81,0,73,91,82,76,81,77,82,78,83,77,82,76,32,76,82,88,82,32,82,86,81,87,82,88,83,87,82,86,0,73,91,76,80,88,80,32,76,84,88,84,0,73,91,87,76,77,88,32,76,80,88,80,32,76,84,88,84,0,73,91,76,78,88,78,32,76,82,88,82,32,76,86,88,86,0,74,90,87,76,77,82,87,88,0,74,90,77,76,87,82,77,88,0,74,90,87,75,77,79,87,83,32,77,84,87,84,32,77,88,87,88,0,74,90,77,75,87,79,77,83,32,77,84,87,84,32,77,88,87,88,0,72,91,89,85,87,85,85,84,84,83,82,80,81,79,79,78,78,78,76,79,75,81,75,82,76,84,78,85,79,85,81,84,82,83,84,80,85,79,87,78,89,78,0,74,90,76,84,76,82,77,80,79,80,85,83,87,83,88,82,32,76,82,77,81,79,81,85,84,87,84,88,82,88,80,0,74,90,77,83,82,80,87,83,32,77,83,82,81,87,83,0,78,86,83,75,80,79,32,83,75,84,76,80,79,0,78,86,81,75,84,79,32,81,75,80,76,84,79,0,76,88,78,75,79,77,81,78,83,78,85,77,86,75,32,78,75,79,78,81,79,83,79,85,78,86,75,0,78,86,83,76,82,77,81,76,82,75,83,76,83,78,81,80,0,78,86,83,75,81,77,81,79,82,80,83,79,82,78,81,79,0,78,86,81,76,82,77,83,76,82,75,81,76,81,78,83,80,0,78,86,81,75,83,77,83,79,82,80,81,79,82,78,83,79,0,74,90,87,77,81,77,79,78,78,79,77,81,77,83,78,85,79,86,81,87,87,87,0,74,90,77,77,77,83,78,85,79,86,81,87,83,87,85,86,86,85,87,83,87,77,0,74,90,77,77,83,77,85,78,86,79,87,81,87,83,86,85,85,86,83,87,77,87,0,74,90,77,87,77,81,78,79,79,78,81,77,83,77,85,78,86,79,87,81,87,87,0,74,90,87,77,81,77,79,78,78,79,77,81,77,83,78,85,79,86,81,87,87,87,32,77,82,85,82,0,73,91,84,79,85,80,88,82,85,84,84,85,32,85,80,87,82,85,84,32,76,82,87,82,0,77,87,82,77,82,88,32,79,80,80,79,82,76,84,79,85,80,32,80,79,82,77,84,79,0,73,91,80,79,79,80,76,82,79,84,80,85,32,79,80,77,82,79,84,32,77,82,88,82,0,77,87,82,76,82,87,32,79,84,80,85,82,88,84,85,85,84,32,80,85,82,87,84,85,0,75,89,86,83,85,80,83,79,81,79,79,80,78,81,77,83,77,85,78,87,80,88,82,88,84,87,85,86,86,84,87,81,87,78,86,76,84,75,81,75,80,76,81,76,82,75,32,81,79,79,81,78,83,78,86,80,88,32,82,88,84,86,85,84,86,81,86,78,85,76,84,75,0,74,90,76,75,82,88,32,77,75,82,86,32,88,75,82,88,32,76,75,88,75,32,78,76,87,76,0,71,91,73,79,76,79,82,87,32,75,79,82,88,32,91,70,82,88,0,73,91,88,73,88,74,89,74,89,73,88,72,86,72,84,74,83,76,82,79,81,85,80,89,79,91,32,85,73,84,75,83,79,82,85,81,88,80,90,78,92,76,92,75,91,75,90,76,90,76,91,0,73,91,88,73,88,74,89,74,89,73,88,72,86,72,84,74,83,76,82,79,81,85,80,89,79,91,32,85,73,84,75,83,79,82,85,81,88,80,90,78,92,76,92,75,91,75,90,76,90,76,91,32,81,78,79,79,78,81,78,83,79,85,81,86,83,86,85,85,86,83,86,81,85,79,83,78,81,78,0,72,92,90,82,89,84,87,85,86,85,84,84,83,83,81,80,80,79,78,78,77,78,75,79,74,81,74,82,75,84,77,85,78,85,80,84,81,83,83,80,84,79,86,78,87,78,89,79,90,81,90,82,0,74,90,88,75,76,88,32,79,75,80,76,80,78,79,79,77,79,76,78,76,76,77,75,79,75,83,76,86,76,88,75,32,85,84,84,85,84,87,85,88,87,88,88,87,88,85,87,84,85,84,0,74,91,89,80,88,80,88,81,89,81,89,80,88,79,87,79,86,80,85,84,84,86,83,87,81,88,79,88,77,87,76,86,76,84,77,83,79,82,82,80,83,78,83,76,82,75,80,75,79,76,79,78,80,81,85,87,87,88,88,88,89,87,32,79,88,77,86,77,84,79,82,32,79,78,80,80,86,87,87,88,0,74,91,85,80,83,79,81,79,80,81,80,82,81,84,83,84,85,83,32,85,79,85,83,86,84,88,84,89,82,89,81,88,78,86,76,83,75,82,75,79,76,77,78,76,81,76,82,77,85,79,87,82,88,83,88,86,87,0,75,90,81,72,81,92,32,84,72,84,92,32,87,76,86,76,86,77,87,77,87,76,85,75,80,75,78,76,78,78,79,80,86,83,87,84,32,78,78,79,79,86,82,87,84,87,86,86,87,84,88,81,88,79,87,78,86,78,85,79,85,79,86,78,86,0,75,89,80,75,80,91,32,84,75,84,91,32,77,81,87,81,32,77,85,87,85,0,76,88,84,76,83,76,83,77,84,77,84,76,83,75,81,75,80,76,80,78,81,80,84,82,85,83,32,80,78,81,79,84,81,85,83,85,85,83,87,32,81,80,79,82,79,84,80,86,83,88,84,89,32,79,84,80,85,83,87,84,89,84,91,83,92,81,92,80,91,80,90,81,90,81,91,80,91,0,76,88,82,75,81,76,82,77,83,76,82,75,32,82,77,82,81,32,82,81,81,83,82,86,83,83,82,81,32,82,86,82,92,32,80,79,79,78,78,79,79,80,80,79,84,79,85,78,86,79,85,80,84,79,0,76,88,82,77,83,76,82,75,81,76,82,77,82,81,81,82,83,85,82,86,32,82,81,83,82,81,85,82,86,82,90,81,91,82,92,83,91,82,90,32,80,79,79,78,78,79,79,80,80,79,84,79,85,78,86,79,85,80,84,79,32,80,88,79,87,78,88,79,89,80,88,84,88,85,87,86,88,85,89,84,88,0,76,89,86,75,86,88,32,78,75,86,75,32,81,81,86,81,32,78,88,86,88,0,72,92,81,75,78,76,76,78,75,81,75,83,76,86,78,88,81,89,83,89,86,88,88,86,89,83,89,81,88,78,86,76,83,75,81,75,32,82,81,81,82,82,83,83,82,82,81,0,76,89,81,75,80,76,80,77,81,78,32,84,75,85,76,85,77,84,78,32,82,78,80,79,79,81,79,82,80,84,82,85,83,85,85,84,86,82,86,81,85,79,83,78,82,78,32,82,85,82,89,32,83,85,83,89,32,79,87,86,87,0,76,89,82,75,80,76,79,78,79,79,80,81,82,82,83,82,85,81,86,79,86,78,85,76,83,75,82,75,32,82,82,82,88,32,83,82,83,88,32,79,85,86,85,0,72,92,81,75,78,76,76,78,75,81,75,83,76,86,78,88,81,89,83,89,86,88,88,86,89,83,89,81,88,78,86,76,83,75,81,75,32,82,75,82,89,32,75,82,89,82,0,74,89,82,82,80,81,79,81,77,82,76,84,76,85,77,87,79,88,80,88,82,87,83,85,83,84,82,82,32,87,77,82,82,32,82,77,87,77,87,82,32,82,77,86,78,87,82,0,74,90,76,76,77,75,79,75,81,76,82,78,82,80,81,82,80,83,78,84,32,79,75,80,76,81,78,81,81,80,83,32,86,75,85,88,32,87,75,84,88,32,78,84,88,84,0,74,89,78,75,78,85,32,79,75,78,82,32,78,82,79,80,81,79,83,79,85,80,86,81,86,84,84,86,84,88,85,89,86,89,87,88,32,83,79,85,81,85,84,84,86,32,76,75,79,75,0,76,89,79,78,82,75,82,81,32,86,78,83,75,83,81,32,82,81,80,82,79,84,79,85,80,87,82,88,83,88,85,87,86,85,86,84,85,82,83,81,32,82,84,82,85,83,85,83,84,82,84,0,74,90,82,75,82,89,32,77,75,77,80,78,82,80,83,84,83,86,82,87,80,87,75,32,76,77,77,75,78,77,32,81,77,82,75,83,77,32,86,77,87,75,88,77,32,79,86,85,86,0,74,89,78,75,78,88,32,79,75,79,88,32,76,75,83,75,86,76,87,78,87,79,86,81,83,82,79,82,32,83,75,85,76,86,78,86,79,85,81,83,82,32,76,88,86,88,86,85,85,88,0,76,89,87,75,84,75,81,76,79,78,78,81,78,83,79,86,81,88,84,89,87,89,32,87,75,84,76,82,78,81,81,81,83,82,86,84,88,87,89,0,74,90,82,82,80,81,79,81,77,82,76,84,76,85,77,87,79,88,80,88,82,87,83,85,83,84,82,82,32,83,76,81,81,32,87,77,82,82,32,88,81,83,83,0,75,89,80,77,84,87,32,84,77,80,87,32,77,80,87,84,32,87,80,77,84,0,74,91,79,85,77,85,76,86,76,88,77,89,79,89,80,88,80,86,78,84,77,82,77,79,78,77,79,76,81,75,84,75,86,76,87,77,88,79,88,82,87,84,85,86,85,88,86,89,88,89,89,88,89,86,88,85,86,85,32,78,77,80,76,85,76,87,77,0,74,91,79,79,77,79,76,78,76,76,77,75,79,75,80,76,80,78,78,80,77,82,77,85,78,87,79,88,81,89,84,89,86,88,87,87,88,85,88,82,87,80,85,78,85,76,86,75,88,75,89,76,89,78,88,79,86,79,32,78,87,80,88,85,88,87,87,0,70,94,75,72,75,92,32,76,72,76,92,32,88,72,88,92,32,89,72,89,92,32,72,72,92,72,32,72,92,79,92,32,85,92,92,92,0,72,93,75,72,82,81,74,92,32,74,72,81,81,32,74,72,89,72,90,77,88,72,32,75,91,88,91,32,74,92,89,92,90,87,88,92,0,75,89,86,66,84,68,82,71,80,75,79,80,79,84,80,89,82,93,84,96,86,98,32,84,68,82,72,81,75,80,80,80,84,81,89,82,92,84,96,0,75,89,78,66,80,68,82,71,84,75,85,80,85,84,84,89,82,93,80,96,78,98,32,80,68,82,72,83,75,84,80,84,84,83,89,82,92,80,96,0,75,89,79,66,79,98,32,80,66,80,98,32,79,66,86,66,32,79,98,86,98,0,75,89,84,66,84,98,32,85,66,85,98,32,78,66,85,66,32,78,98,85,98,0,74,89,84,66,81,69,80,72,80,74,81,77,83,79,83,80,79,82,83,84,83,85,81,87,80,90,80,92,81,95,84,98,32,82,68,81,71,81,75,82,78,32,82,86,81,89,81,93,82,96,0,75,90,80,66,83,69,84,72,84,74,83,77,81,79,81,80,85,82,81,84,81,85,83,87,84,90,84,92,83,95,80,98,32,82,68,83,71,83,75,82,78,32,82,86,83,89,83,93,82,96,0,75,89,85,64,82,67,80,70,79,73,79,76,80,79,83,86,84,89,84,92,83,95,82,97,32,82,67,81,69,80,72,80,75,81,78,84,85,85,88,85,91,84,94,82,97,79,100,0,75,89,79,64,82,67,84,70,85,73,85,76,84,79,81,86,80,89,80,92,81,95,82,97,32,82,67,83,69,84,72,84,75,83,78,80,85,79,88,79,91,80,94,82,97,85,100,0,65,88,67,82,71,82,82,96,32,71,83,82,97,32,70,83,82,98,32,88,58,82,98,0,70,94,91,67,90,68,91,69,92,68,92,67,91,66,89,66,87,67,85,69,84,71,83,74,82,78,80,90,79,94,78,96,32,86,68,85,70,84,74,82,86,81,90,80,93,79,95,77,97,75,98,73,98,72,97,72,96,73,95,74,96,73,97,0,72,92,82,70,75,91,32,82,70,89,91,32,82,73,88,91,32,77,85,86,85,32,73,91,79,91,32,85,91,91,91,0,71,93,76,70,76,91,32,77,70,77,91,32,73,70,85,70,88,71,89,72,90,74,90,76,89,78,88,79,85,80,32,85,70,87,71,88,72,89,74,89,76,88,78,87,79,85,80,32,77,80,85,80,88,81,89,82,90,84,90,87,89,89,88,90,85,91,73,91,32,85,80,87,81,88,82,89,84,89,87,88,89,87,90,85,91,0,71,92,88,73,89,76,89,70,88,73,86,71,83,70,81,70,78,71,76,73,75,75,74,78,74,83,75,86,76,88,78,90,81,91,83,91,86,90,88,88,89,86,32,81,70,79,71,77,73,76,75,75,78,75,83,76,86,77,88,79,90,81,91,0,71,93,76,70,76,91,32,77,70,77,91,32,73,70,83,70,86,71,88,73,89,75,90,78,90,83,89,86,88,88,86,90,83,91,73,91,32,83,70,85,71,87,73,88,75,89,78,89,83,88,86,87,88,85,90,83,91,0,71,92,76,70,76,91,32,77,70,77,91,32,83,76,83,84,32,73,70,89,70,89,76,88,70,32,77,80,83,80,32,73,91,89,91,89,85,88,91,0,71,91,76,70,76,91,32,77,70,77,91,32,83,76,83,84,32,73,70,89,70,89,76,88,70,32,77,80,83,80,32,73,91,80,91,0,71,94,88,73,89,76,89,70,88,73,86,71,83,70,81,70,78,71,76,73,75,75,74,78,74,83,75,86,76,88,78,90,81,91,83,91,86,90,88,88,32,81,70,79,71,77,73,76,75,75,78,75,83,76,86,77,88,79,90,81,91,32,88,83,88,91,32,89,83,89,91,32,85,83,92,83,0,70,94,75,70,75,91,32,76,70,76,91,32,88,70,88,91,32,89,70,89,91,32,72,70,79,70,32,85,70,92,70,32,76,80,88,80,32,72,91,79,91,32,85,91,92,91,0,77,88,82,70,82,91,32,83,70,83,91,32,79,70,86,70,32,79,91,86,91,0,75,90,85,70,85,87,84,90,82,91,80,91,78,90,77,88,77,86,78,85,79,86,78,87,32,84,70,84,87,83,90,82,91,32,81,70,88,70,0,70,92,75,70,75,91,32,76,70,76,91,32,89,70,76,83,32,81,79,89,91,32,80,79,88,91,32,72,70,79,70,32,85,70,91,70,32,72,91,79,91,32,85,91,91,91,0,73,91,78,70,78,91,32,79,70,79,91,32,75,70,82,70,32,75,91,90,91,90,85,89,91,0,70,95,75,70,75,91,32,76,70,82,88,32,75,70,82,91,32,89,70,82,91,32,89,70,89,91,32,90,70,90,91,32,72,70,76,70,32,89,70,93,70,32,72,91,78,91,32,86,91,93,91,0,71,94,76,70,76,91,32,77,70,89,89,32,77,72,89,91,32,89,70,89,91,32,73,70,77,70,32,86,70,92,70,32,73,91,79,91,0,71,93,81,70,78,71,76,73,75,75,74,79,74,82,75,86,76,88,78,90,81,91,83,91,86,90,88,88,89,86,90,82,90,79,89,75,88,73,86,71,83,70,81,70,32,81,70,79,71,77,73,76,75,75,79,75,82,76,86,77,88,79,90,81,91,32,83,91,85,90,87,88,88,86,89,82,89,79,88,75,87,73,85,71,83,70,0,71,93,76,70,76,91,32,77,70,77,91,32,73,70,85,70,88,71,89,72,90,74,90,77,89,79,88,80,85,81,77,81,32,85,70,87,71,88,72,89,74,89,77,88,79,87,80,85,81,32,73,91,80,91,0,71,93,81,70,78,71,76,73,75,75,74,79,74,82,75,86,76,88,78,90,81,91,83,91,86,90,88,88,89,86,90,82,90,79,89,75,88,73,86,71,83,70,81,70,32,81,70,79,71,77,73,76,75,75,79,75,82,76,86,77,88,79,90,81,91,32,83,91,85,90,87,88,88,86,89,82,89,79,88,75,87,73,85,71,83,70,32,78,89,78,88,79,86,81,85,82,85,84,86,85,88,86,95,87,96,89,96,90,94,90,93,32,85,88,86,92,87,94,88,95,89,95,90,94,0,71,93,76,70,76,91,32,77,70,77,91,32,73,70,85,70,88,71,89,72,90,74,90,76,89,78,88,79,85,80,77,80,32,85,70,87,71,88,72,89,74,89,76,88,78,87,79,85,80,32,73,91,80,91,32,82,80,84,81,85,82,88,89,89,90,90,90,91,89,32,84,81,85,83,87,90,88,91,90,91,91,89,91,88,0,72,92,88,73,89,70,89,76,88,73,86,71,83,70,80,70,77,71,75,73,75,75,76,77,77,78,79,79,85,81,87,82,89,84,32,75,75,77,77,79,78,85,80,87,81,88,82,89,84,89,88,87,90,84,91,81,91,78,90,76,88,75,85,75,91,76,88,0,73,92,82,70,82,91,32,83,70,83,91,32,76,70,75,76,75,70,90,70,90,76,89,70,32,79,91,86,91,0,70,94,75,70,75,85,76,88,78,90,81,91,83,91,86,90,88,88,89,85,89,70,32,76,70,76,85,77,88,79,90,81,91,32,72,70,79,70,32,86,70,92,70,0,72,92,75,70,82,91,32,76,70,82,88,32,89,70,82,91,32,73,70,79,70,32,85,70,91,70,0,70,94,74,70,78,91,32,75,70,78,86,32,82,70,78,91,32,82,70,86,91,32,83,70,86,86,32,90,70,86,91,32,71,70,78,70,32,87,70,93,70,0,72,92,75,70,88,91,32,76,70,89,91,32,89,70,75,91,32,73,70,79,70,32,85,70,91,70,32,73,91,79,91,32,85,91,91,91,0,72,93,75,70,82,81,82,91,32,76,70,83,81,83,91,32,90,70,83,81,32,73,70,79,70,32,86,70,92,70,32,79,91,86,91,0,72,92,88,70,75,91,32,89,70,76,91,32,76,70,75,76,75,70,89,70,32,75,91,89,91,89,85,88,91,0,73,91,78,70,78,91,32,79,70,79,91,32,75,70,90,70,90,76,89,70,32,75,91,82,91,0,72,92,82,70,74,91,32,82,70,90,91,32,82,73,89,91,32,75,90,89,90,32,74,91,90,91,0,71,93,81,70,78,71,76,73,75,75,74,79,74,82,75,86,76,88,78,90,81,91,83,91,86,90,88,88,89,86,90,82,90,79,89,75,88,73,86,71,83,70,81,70,32,81,70,79,71,77,73,76,75,75,79,75,82,76,86,77,88,79,90,81,91,32,83,91,85,90,87,88,88,86,89,82,89,79,88,75,87,73,85,71,83,70,32,79,77,79,84,32,85,77,85,84,32,79,80,85,80,32,79,81,85,81,0,72,92,82,70,75,91,32,82,70,89,91,32,82,73,88,91,32,73,91,79,91,32,85,91,91,91,0,71,93,75,69,74,74,32,90,69,89,74,32,79,78,78,83,32,86,78,85,83,32,75,87,74,92,32,90,87,89,92,32,75,71,89,71,32,75,72,89,72,32,79,80,85,80,32,79,81,85,81,32,75,89,89,89,32,75,90,89,90,0,70,94,75,70,75,91,32,76,70,76,91,32,88,70,88,91,32,89,70,89,91,32,72,70,92,70,32,72,91,79,91,32,85,91,92,91,0,72,93,75,70,82,80,74,91,32,74,70,81,80,32,74,70,89,70,90,76,88,70,32,75,90,88,90,32,74,91,89,91,90,85,88,91,0,73,92,75,75,75,73,76,71,77,70,79,70,80,71,81,73,82,77,82,91,32,75,73,77,71,79,71,81,73,32,90,75,90,73,89,71,88,70,86,70,85,71,84,73,83,77,83,91,32,90,73,88,71,86,71,84,73,32,79,91,86,91,0,72,93,82,70,82,91,32,83,70,83,91,32,80,75,77,76,76,77,75,79,75,82,76,84,77,85,80,86,85,86,88,85,89,84,90,82,90,79,89,77,88,76,85,75,80,75,32,80,75,78,76,77,77,76,79,76,82,77,84,78,85,80,86,32,85,86,87,85,88,84,89,82,89,79,88,77,87,76,85,75,32,79,70,86,70,32,79,91,86,91,0,71,94,82,70,82,91,32,83,70,83,91,32,73,77,74,76,76,77,77,81,78,83,79,84,81,85,32,74,76,75,77,76,81,77,83,78,84,81,85,84,85,87,84,88,83,89,81,90,77,91,76,32,84,85,86,84,87,83,88,81,89,77,91,76,92,77,32,79,70,86,70,32,79,91,86,91,0,71,93,74,88,75,91,79,91,77,87,75,83,74,80,74,76,75,73,77,71,80,70,84,70,87,71,89,73,90,76,90,80,89,83,87,87,85,91,89,91,90,88,32,77,87,76,84,75,80,75,76,76,73,78,71,80,70,32,84,70,86,71,88,73,89,76,89,80,88,84,87,87,32,75,90,78,90,32,86,90,89,90,0,72,92,85,70,72,91,32,85,70,86,91,32,84,72,85,91,32,76,85,85,85,32,70,91,76,91,32,82,91,88,91,0,70,94,79,70,73,91,32,80,70,74,91,32,76,70,87,70,90,71,91,73,91,75,90,78,89,79,86,80,32,87,70,89,71,90,73,90,75,89,78,88,79,86,80,32,77,80,86,80,88,81,89,83,89,85,88,88,86,90,82,91,70,91,32,86,80,87,81,88,83,88,85,87,88,85,90,82,91,0,72,93,90,72,91,72,92,70,91,76,91,74,90,72,89,71,87,70,84,70,81,71,79,73,77,76,76,79,75,83,75,86,76,89,77,90,80,91,83,91,85,90,87,88,88,86,32,84,70,82,71,80,73,78,76,77,79,76,83,76,86,77,89,78,90,80,91,0,70,93,79,70,73,91,32,80,70,74,91,32,76,70,85,70,88,71,89,72,90,75,90,79,89,83,87,87,85,89,83,90,79,91,70,91,32,85,70,87,71,88,72,89,75,89,79,88,83,86,87,84,89,82,90,79,91,0,70,93,79,70,73,91,32,80,70,74,91,32,84,76,82,84,32,76,70,91,70,90,76,90,70,32,77,80,83,80,32,70,91,85,91,87,86,84,91,0,70,92,79,70,73,91,32,80,70,74,91,32,84,76,82,84,32,76,70,91,70,90,76,90,70,32,77,80,83,80,32,70,91,77,91,0,72,94,90,72,91,72,92,70,91,76,91,74,90,72,89,71,87,70,84,70,81,71,79,73,77,76,76,79,75,83,75,86,76,89,77,90,80,91,82,91,85,90,87,88,89,84,32,84,70,82,71,80,73,78,76,77,79,76,83,76,86,77,89,78,90,80,91,32,82,91,84,90,86,88,88,84,32,85,84,92,84,0,69,95,78,70,72,91,32,79,70,73,91,32,91,70,85,91,32,92,70,86,91,32,75,70,82,70,32,88,70,95,70,32,76,80,88,80,32,69,91,76,91,32,82,91,89,91,0,76,89,85,70,79,91,32,86,70,80,91,32,82,70,89,70,32,76,91,83,91,0,73,91,88,70,83,87,82,89,81,90,79,91,77,91,75,90,74,88,74,86,75,85,76,86,75,87,32,87,70,82,87,81,89,79,91,32,84,70,91,70,0,70,93,79,70,73,91,32,80,70,74,91,32,93,70,76,83,32,83,79,87,91,32,82,79,86,91,32,76,70,83,70,32,89,70,95,70,32,70,91,77,91,32,83,91,89,91,0,72,92,81,70,75,91,32,82,70,76,91,32,78,70,85,70,32,72,91,87,91,89,85,86,91,0,69,96,78,70,72,91,32,78,70,79,91,32,79,70,80,89,32,92,70,79,91,32,92,70,86,91,32,93,70,87,91,32,75,70,79,70,32,92,70,96,70,32,69,91,75,91,32,83,91,90,91,0,70,95,79,70,73,91,32,79,70,86,88,32,79,73,86,91,32,92,70,86,91,32,76,70,79,70,32,89,70,95,70,32,70,91,76,91,0,71,93,83,70,80,71,78,73,76,76,75,79,74,83,74,86,75,89,76,90,78,91,81,91,84,90,86,88,88,85,89,82,90,78,90,75,89,72,88,71,86,70,83,70,32,83,70,81,71,79,73,77,76,76,79,75,83,75,86,76,89,78,91,32,81,91,83,90,85,88,87,85,88,82,89,78,89,75,88,72,86,70,0,70,93,79,70,73,91,32,80,70,74,91,32,76,70,88,70,91,71,92,73,92,75,91,78,89,80,85,81,77,81,32,88,70,90,71,91,73,91,75,90,78,88,80,85,81,32,70,91,77,91,0,71,93,83,70,80,71,78,73,76,76,75,79,74,83,74,86,75,89,76,90,78,91,81,91,84,90,86,88,88,85,89,82,90,78,90,75,89,72,88,71,86,70,83,70,32,83,70,81,71,79,73,77,76,76,79,75,83,75,86,76,89,78,91,32,81,91,83,90,85,88,87,85,88,82,89,78,89,75,88,72,86,70,32,76,89,76,88,77,86,79,85,80,85,82,86,83,88,83,95,84,96,86,96,87,94,87,93,32,83,88,84,94,85,95,86,95,87,94,0,70,94,79,70,73,91,32,80,70,74,91,32,76,70,87,70,90,71,91,73,91,75,90,78,89,79,86,80,77,80,32,87,70,89,71,90,73,90,75,89,78,88,79,86,80,32,82,80,84,81,85,82,86,90,87,91,89,91,90,89,90,88,32,85,82,87,89,88,90,89,90,90,89,32,70,91,77,91,0,71,94,90,72,91,72,92,70,91,76,91,74,90,72,89,71,86,70,82,70,79,71,77,73,77,75,78,77,79,78,86,82,88,84,32,77,75,79,77,86,81,87,82,88,84,88,87,87,89,86,90,83,91,79,91,76,90,75,89,74,87,74,85,73,91,74,89,75,89,0,72,93,85,70,79,91,32,86,70,80,91,32,79,70,76,76,78,70,93,70,92,76,92,70,32,76,91,83,91,0,70,95,78,70,75,81,74,85,74,88,75,90,78,91,82,91,85,90,87,88,88,85,92,70,32,79,70,76,81,75,85,75,88,76,90,78,91,32,75,70,82,70,32,89,70,95,70,0,72,92,78,70,79,91,32,79,70,80,89,32,92,70,79,91,32,76,70,82,70,32,88,70,94,70,0,69,95,77,70,75,91,32,78,70,76,89,32,85,70,75,91,32,85,70,83,91,32,86,70,84,89,32,93,70,83,91,32,74,70,81,70,32,90,70,96,70,0,71,93,78,70,85,91,32,79,70,86,91,32,92,70,72,91,32,76,70,82,70,32,88,70,94,70,32,70,91,76,91,32,82,91,88,91,0,72,93,78,70,82,80,79,91,32,79,70,83,80,80,91,32,93,70,83,80,32,76,70,82,70,32,89,70,95,70,32,76,91,83,91,0,71,93,91,70,72,91,32,92,70,73,91,32,79,70,76,76,78,70,92,70,32,72,91,86,91,88,85,85,91,0,72,92,75,73,76,75,88,87,89,89,89,91,32,76,76,88,88,32,75,73,75,75,76,77,88,89,89,91,32,80,80,76,84,75,86,75,88,76,90,75,91,32,75,86,77,90,32,76,84,76,86,77,88,77,90,75,91,32,83,83,88,78,32,86,73,86,76,87,78,89,78,89,76,87,75,86,73,32,86,73,87,76,89,78,0,72,92,81,73,75,91,32,83,73,89,91,32,82,73,88,91,32,77,85,86,85,32,73,91,79,91,32,85,91,91,91,32,81,66,79,67,78,69,78,71,79,73,81,74,83,74,85,73,86,71,86,69,85,67,83,66,81,66,0,71,93,73,66,91,98,0,70,94,82,74,73,90,32,82,74,91,90,0,73,93,78,79,78,80,77,80,77,79,78,78,80,77,84,77,86,78,87,79,88,81,88,88,89,90,90,91,32,87,79,87,88,88,90,90,91,91,91,32,87,81,86,82,80,83,77,84,76,86,76,88,77,90,80,91,83,91,85,90,87,88,32,80,83,78,84,77,86,77,88,78,90,80,91,0,71,92,76,70,76,91,32,77,70,77,91,32,77,80,79,78,81,77,83,77,86,78,88,80,89,83,89,85,88,88,86,90,83,91,81,91,79,90,77,88,32,83,77,85,78,87,80,88,83,88,85,87,88,85,90,83,91,32,73,70,77,70,0,72,91,87,80,86,81,87,82,88,81,88,80,86,78,84,77,81,77,78,78,76,80,75,83,75,85,76,88,78,90,81,91,83,91,86,90,88,88,32,81,77,79,78,77,80,76,83,76,85,77,88,79,90,81,91,0,72,93,87,70,87,91,32,88,70,88,91,32,87,80,85,78,83,77,81,77,78,78,76,80,75,83,75,85,76,88,78,90,81,91,83,91,85,90,87,88,32,81,77,79,78,77,80,76,83,76,85,77,88,79,90,81,91,32,84,70,88,70,32,87,91,91,91,0,72,91,76,83,88,83,88,81,87,79,86,78,84,77,81,77,78,78,76,80,75,83,75,85,76,88,78,90,81,91,83,91,86,90,88,88,32,87,83,87,80,86,78,32,81,77,79,78,77,80,76,83,76,85,77,88,79,90,81,91,0,75,88,85,71,84,72,85,73,86,72,86,71,85,70,83,70,81,71,80,73,80,91,32,83,70,82,71,81,73,81,91,32,77,77,85,77,32,77,91,84,91,0,73,92,81,77,79,78,78,79,77,81,77,83,78,85,79,86,81,87,83,87,85,86,86,85,87,83,87,81,86,79,85,78,83,77,81,77,32,79,78,78,80,78,84,79,86,32,85,86,86,84,86,80,85,78,32,86,79,87,78,89,77,89,78,87,78,32,78,85,77,86,76,88,76,89,77,91,80,92,85,92,88,93,89,94,32,76,89,77,90,80,91,85,91,88,92,89,94,89,95,88,97,85,98,79,98,76,97,75,95,75,94,76,92,79,91,0,71,93,76,70,76,91,32,77,70,77,91,32,77,80,79,78,82,77,84,77,87,78,88,80,88,91,32,84,77,86,78,87,80,87,91,32,73,70,77,70,32,73,91,80,91,32,84,91,91,91,0,77,88,82,70,81,71,82,72,83,71,82,70,32,82,77,82,91,32,83,77,83,91,32,79,77,83,77,32,79,91,86,91,0,77,88,83,70,82,71,83,72,84,71,83,70,32,84,77,84,95,83,97,81,98,79,98,78,97,78,96,79,95,80,96,79,97,32,83,77,83,95,82,97,81,98,32,80,77,84,77,0,71,92,76,70,76,91,32,77,70,77,91,32,87,77,77,87,32,82,83,88,91,32,81,83,87,91,32,73,70,77,70,32,84,77,90,77,32,73,91,80,91,32,84,91,90,91,0,77,88,82,70,82,91,32,83,70,83,91,32,79,70,83,70,32,79,91,86,91,0,66,99,71,77,71,91,32,72,77,72,91,32,72,80,74,78,77,77,79,77,82,78,83,80,83,91,32,79,77,81,78,82,80,82,91,32,83,80,85,78,88,77,90,77,93,78,94,80,94,91,32,90,77,92,78,93,80,93,91,32,68,77,72,77,32,68,91,75,91,32,79,91,86,91,32,90,91,97,91,0,71,93,76,77,76,91,32,77,77,77,91,32,77,80,79,78,82,77,84,77,87,78,88,80,88,91,32,84,77,86,78,87,80,87,91,32,73,77,77,77,32,73,91,80,91,32,84,91,91,91,0,72,92,81,77,78,78,76,80,75,83,75,85,76,88,78,90,81,91,83,91,86,90,88,88,89,85,89,83,88,80,86,78,83,77,81,77,32,81,77,79,78,77,80,76,83,76,85,77,88,79,90,81,91,32,83,91,85,90,87,88,88,85,88,83,87,80,85,78,83,77,0,71,92,76,77,76,98,32,77,77,77,98,32,77,80,79,78,81,77,83,77,86,78,88,80,89,83,89,85,88,88,86,90,83,91,81,91,79,90,77,88,32,83,77,85,78,87,80,88,83,88,85,87,88,85,90,83,91,32,73,77,77,77,32,73,98,80,98,0,72,92,87,77,87,98,32,88,77,88,98,32,87,80,85,78,83,77,81,77,78,78,76,80,75,83,75,85,76,88,78,90,81,91,83,91,85,90,87,88,32,81,77,79,78,77,80,76,83,76,85,77,88,79,90,81,91,32,84,98,91,98,0,73,90,78,77,78,91,32,79,77,79,91,32,79,83,80,80,82,78,84,77,87,77,88,78,88,79,87,80,86,79,87,78,32,75,77,79,77,32,75,91,82,91,0,74,91,87,79,88,77,88,81,87,79,86,78,84,77,80,77,78,78,77,79,77,81,78,82,80,83,85,85,87,86,88,87,32,77,80,78,81,80,82,85,84,87,85,88,86,88,89,87,90,85,91,81,91,79,90,78,89,77,87,77,91,78,89,0,75,90,80,70,80,87,81,90,83,91,85,91,87,90,88,88,32,81,70,81,87,82,90,83,91,32,77,77,85,77,0,71,93,76,77,76,88,77,90,80,91,82,91,85,90,87,88,32,77,77,77,88,78,90,80,91,32,87,77,87,91,32,88,77,88,91,32,73,77,77,77,32,84,77,88,77,32,87,91,91,91,0,73,91,76,77,82,91,32,77,77,82,89,32,88,77,82,91,32,74,77,80,77,32,84,77,90,77,0,70,94,74,77,78,91,32,75,77,78,88,32,82,77,78,91,32,82,77,86,91,32,83,77,86,88,32,90,77,86,91,32,71,77,78,77,32,87,77,93,77,0,72,92,76,77,87,91,32,77,77,88,91,32,88,77,76,91,32,74,77,80,77,32,84,77,90,77,32,74,91,80,91,32,84,91,90,91,0,72,91,76,77,82,91,32,77,77,82,89,32,88,77,82,91,80,95,78,97,76,98,75,98,74,97,75,96,76,97,32,74,77,80,77,32,84,77,90,77,0,73,91,87,77,76,91,32,88,77,77,91,32,77,77,76,81,76,77,88,77,32,76,91,88,91,88,87,87,91,0,71,94,81,77,78,78,76,80,75,82,74,85,74,88,75,90,78,91,80,91,82,90,85,87,87,84,89,80,90,77,32,81,77,79,78,77,80,76,82,75,85,75,88,76,90,78,91,32,81,77,83,77,85,78,86,80,88,88,89,90,90,91,32,83,77,84,78,85,80,87,88,88,90,90,91,91,91,0,71,92,84,70,81,71,79,73,77,77,76,80,75,84,74,90,73,98,32,84,70,82,71,80,73,78,77,77,80,76,84,75,90,74,98,32,84,70,86,70,88,71,89,72,89,75,88,77,87,78,84,79,80,79,32,86,70,88,72,88,75,87,77,86,78,84,79,32,80,79,84,80,86,82,87,84,87,87,86,89,85,90,82,91,80,91,78,90,77,89,76,86,32,80,79,83,80,85,82,86,84,86,87,85,89,84,90,82,91,0,72,92,73,80,75,78,77,77,79,77,81,78,82,79,83,82,83,86,82,90,79,98,32,74,79,76,78,80,78,82,79,32,90,77,89,80,88,82,83,89,80,94,78,98,32,89,77,88,80,87,82,83,89,0,73,92,86,78,84,77,82,77,79,78,77,81,76,84,76,87,77,89,78,90,80,91,82,91,85,90,87,87,88,84,88,81,87,79,83,74,82,72,82,70,83,69,85,69,87,70,89,72,32,82,77,80,78,78,81,77,84,77,88,78,90,32,82,91,84,90,86,87,87,84,87,80,86,78,84,75,83,73,83,71,84,70,86,70,89,72,0,73,91,88,80,86,78,84,77,80,77,78,78,78,80,80,82,83,83,32,80,77,79,78,79,80,81,82,83,83,32,83,83,78,84,76,86,76,88,77,90,80,91,83,91,85,90,87,88,32,83,83,79,84,77,86,77,88,78,90,80,91,0,73,91,84,70,82,71,81,72,81,73,82,74,85,75,90,75,90,74,87,75,83,77,80,79,77,82,76,85,76,87,77,89,80,91,83,93,84,95,84,97,83,98,81,98,80,97,32,85,76,81,79,78,82,77,85,77,87,78,89,80,91,0,71,93,72,81,73,79,75,77,78,77,79,78,79,80,78,84,76,91,32,77,77,78,78,78,80,77,84,75,91,32,78,84,80,80,82,78,84,77,86,77,88,78,89,79,89,82,88,87,85,98,32,86,77,88,79,88,82,87,87,84,98,0,70,93,71,81,72,79,74,77,77,77,78,78,78,80,77,85,77,88,78,90,79,91,32,76,77,77,78,77,80,76,85,76,88,77,90,79,91,81,91,83,90,85,88,87,85,88,82,89,77,89,73,88,71,86,70,84,70,82,72,82,74,83,77,85,80,87,82,90,84,32,83,90,85,87,86,85,87,82,88,77,88,73,87,71,86,70,0,76,88,82,77,80,84,79,88,79,90,80,91,83,91,85,89,86,87,32,83,77,81,84,80,88,80,90,81,91,0,72,92,78,77,74,91,32,79,77,75,91,32,88,77,89,78,90,78,89,77,87,77,85,78,81,82,79,83,77,83,32,79,83,81,84,83,90,84,91,32,79,83,80,84,82,90,83,91,85,91,87,90,89,87,0,72,92,75,70,77,70,79,71,80,72,81,74,87,88,88,90,89,91,32,77,70,79,72,80,74,86,88,87,90,89,91,90,91,32,82,77,74,91,32,82,77,75,91,0,70,93,77,77,71,98,32,78,77,72,98,32,77,80,76,86,76,89,78,91,80,91,82,90,84,88,86,85,32,88,77,85,88,85,90,86,91,89,91,91,89,92,87,32,89,77,86,88,86,90,87,91,0,72,92,78,77,76,91,32,79,77,78,83,77,88,76,91,32,89,77,88,81,86,85,32,90,77,89,80,88,82,86,85,84,87,81,89,79,90,76,91,32,75,77,79,77,0,73,90,84,70,82,71,81,72,81,73,82,74,85,75,88,75,32,85,75,81,76,79,77,78,79,78,81,80,83,83,84,86,84,32,85,75,82,76,80,77,79,79,79,81,81,83,83,84,32,83,84,79,85,77,86,76,88,76,90,78,92,83,94,84,95,84,97,82,98,80,98,32,83,84,80,85,78,86,77,88,77,90,79,92,83,94,0,73,91,82,77,79,78,77,81,76,84,76,87,77,89,78,90,80,91,82,91,85,90,87,87,88,84,88,81,87,79,86,78,84,77,82,77,32,82,77,80,78,78,81,77,84,77,88,78,90,32,82,91,84,90,86,87,87,84,87,80,86,78,0,71,93,80,78,76,91,32,80,78,77,91,32,86,78,86,91,32,86,78,87,91,32,73,80,75,78,78,77,91,77,32,73,80,75,79,78,78,91,78,0,72,91,76,86,77,89,78,90,80,91,82,91,85,90,87,87,88,84,88,81,87,79,86,78,84,77,82,77,79,78,77,81,76,84,72,98,32,82,91,84,90,86,87,87,84,87,80,86,78,32,82,77,80,78,78,81,77,84,73,98,0,72,93,91,77,81,77,78,78,76,81,75,84,75,87,76,89,77,90,79,91,81,91,84,90,86,87,87,84,87,81,86,79,85,78,83,77,32,81,77,79,78,77,81,76,84,76,88,77,90,32,81,91,83,90,85,87,86,84,86,80,85,78,32,85,78,91,78,0,72,92,83,78,80,91,32,83,78,81,91,32,74,80,76,78,79,77,90,77,32,74,80,76,79,79,78,90,78,0,72,92,73,81,74,79,76,77,79,77,80,78,80,80,78,86,78,89,80,91,32,78,77,79,78,79,80,77,86,77,89,78,90,80,91,81,91,84,90,86,88,88,85,89,82,89,79,88,77,87,78,88,79,89,82,32,88,85,89,79,0,71,93,79,78,77,79,75,81,74,84,74,87,75,89,76,90,78,91,81,91,84,90,87,88,89,85,90,82,90,79,88,77,86,77,84,79,82,83,80,88,77,98,32,74,87,76,89,78,90,81,90,84,89,87,87,89,85,32,90,79,88,78,86,78,84,80,82,83,80,89,78,98,0,73,91,75,77,77,77,79,78,80,80,85,95,86,97,87,98,32,77,77,78,78,79,80,84,95,85,97,87,98,89,98,32,90,77,89,79,87,82,77,93,75,96,74,98,0,70,93,85,70,79,98,32,86,70,78,98,32,71,81,72,79,74,77,77,77,78,78,78,80,77,85,77,88,79,90,82,90,84,89,87,86,89,83,32,76,77,77,78,77,80,76,85,76,88,77,90,79,91,82,91,84,90,86,88,88,85,89,83,91,77,0,70,93,74,81,76,79,79,78,78,77,76,78,74,81,73,84,73,87,74,90,75,91,77,91,79,90,81,87,82,84,32,73,87,74,89,75,90,77,90,79,89,81,87,32,81,84,81,87,82,90,83,91,85,91,87,90,89,87,90,84,90,81,89,78,88,77,87,78,89,79,90,81,32,81,87,82,89,83,90,85,90,87,89,89,87,0,72,93,88,77,86,84,85,88,85,90,86,91,89,91,91,89,92,87,32,89,77,87,84,86,88,86,90,87,91,32,86,84,86,81,85,78,83,77,81,77,78,78,76,81,75,84,75,87,76,89,77,90,79,91,81,91,83,90,85,87,86,84,32,81,77,79,78,77,81,76,84,76,88,77,90,0,72,91,80,70,76,83,76,86,77,89,78,90,32,81,70,77,83,32,77,83,78,80,80,78,82,77,84,77,86,78,87,79,88,81,88,84,87,87,85,90,82,91,80,91,78,90,77,87,77,83,32,86,78,87,80,87,84,86,87,84,90,82,91,32,77,70,81,70,0,73,91,87,80,87,81,88,81,88,80,87,78,85,77,82,77,79,78,77,81,76,84,76,87,77,89,78,90,80,91,82,91,85,90,87,87,32,82,77,80,78,78,81,77,84,77,88,78,90,0,72,93,90,70,86,84,85,88,85,90,86,91,89,91,91,89,92,87,32,91,70,87,84,86,88,86,90,87,91,32,86,84,86,81,85,78,83,77,81,77,78,78,76,81,75,84,75,87,76,89,77,90,79,91,81,91,83,90,85,87,86,84,32,81,77,79,78,77,81,76,84,76,88,77,90,32,87,70,91,70,0,73,91,77,86,81,85,84,84,87,82,88,80,87,78,85,77,82,77,79,78,77,81,76,84,76,87,77,89,78,90,80,91,82,91,85,90,87,88,32,82,77,80,78,78,81,77,84,77,88,78,90,0,75,90,90,71,89,72,90,73,91,72,91,71,90,70,88,70,86,71,85,72,84,74,83,77,80,91,79,95,78,97,32,88,70,86,72,85,74,84,78,82,87,81,91,80,94,79,96,78,97,76,98,74,98,73,97,73,96,74,95,75,96,74,97,32,79,77,89,77,0,72,92,89,77,85,91,84,94,82,97,79,98,76,98,74,97,73,96,73,95,74,94,75,95,74,96,32,88,77,84,91,83,94,81,97,79,98,32,86,84,86,81,85,78,83,77,81,77,78,78,76,81,75,84,75,87,76,89,77,90,79,91,81,91,83,90,85,87,86,84,32,81,77,79,78,77,81,76,84,76,88,77,90,0,72,93,80,70,74,91,32,81,70,75,91,32,77,84,79,80,81,78,83,77,85,77,87,78,88,79,88,81,86,87,86,90,87,91,32,85,77,87,79,87,81,85,87,85,90,86,91,89,91,91,89,92,87,32,77,70,81,70,0,76,89,85,70,84,71,85,72,86,71,85,70,32,77,81,78,79,80,77,83,77,84,78,84,81,82,87,82,90,83,91,32,82,77,83,78,83,81,81,87,81,90,82,91,85,91,87,89,88,87,0,76,89,86,70,85,71,86,72,87,71,86,70,32,78,81,79,79,81,77,84,77,85,78,85,81,82,91,81,94,80,96,79,97,77,98,75,98,74,97,74,96,75,95,76,96,75,97,32,83,77,84,78,84,81,81,91,80,94,79,96,77,98,0,72,92,80,70,74,91,32,81,70,75,91,32,88,78,87,79,88,80,89,79,89,78,88,77,87,77,85,78,81,82,79,83,77,83,32,79,83,81,84,83,90,84,91,32,79,83,80,84,82,90,83,91,85,91,87,90,89,87,32,77,70,81,70,0,77,89,85,70,81,84,80,88,80,90,81,91,84,91,86,89,87,87,32,86,70,82,84,81,88,81,90,82,91,32,82,70,86,70,0,65,98,66,81,67,79,69,77,72,77,73,78,73,80,72,84,70,91,32,71,77,72,78,72,80,71,84,69,91,32,72,84,74,80,76,78,78,77,80,77,82,78,83,79,83,81,80,91,32,80,77,82,79,82,81,79,91,32,82,84,84,80,86,78,88,77,90,77,92,78,93,79,93,81,91,87,91,90,92,91,32,90,77,92,79,92,81,90,87,90,90,91,91,94,91,96,89,97,87,0,70,93,71,81,72,79,74,77,77,77,78,78,78,80,77,84,75,91,32,76,77,77,78,77,80,76,84,74,91,32,77,84,79,80,81,78,83,77,85,77,87,78,88,79,88,81,86,87,86,90,87,91,32,85,77,87,79,87,81,85,87,85,90,86,91,89,91,91,89,92,87,0,71,92,72,81,73,79,75,77,78,77,79,78,79,80,78,84,74,98,32,77,77,78,78,78,80,77,84,73,98,32,78,84,79,81,81,78,83,77,85,77,87,78,88,79,89,81,89,84,88,87,86,90,83,91,81,91,79,90,78,87,78,84,32,87,78,88,80,88,84,87,87,85,90,83,91,32,70,98,77,98,0,72,92,88,77,82,98,32,89,77,83,98,32,86,84,86,81,85,78,83,77,81,77,78,78,76,81,75,84,75,87,76,89,77,90,79,91,81,91,83,90,85,87,86,84,32,81,77,79,78,77,81,76,84,76,88,77,90,32,79,98,86,98,0,73,90,74,81,75,79,77,77,80,77,81,78,81,80,80,84,78,91,32,79,77,80,78,80,80,79,84,77,91,32,80,84],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+296964);allocate([82,80,84,78,86,77,88,77,89,78,89,79,88,80,87,79,88,78,0,74,91,88,79,88,80,89,80,89,79,88,78,85,77,82,77,79,78,78,79,78,81,79,82,86,86,87,87,32,78,80,79,81,86,85,87,86,87,89,86,90,83,91,80,91,77,90,76,89,76,88,77,88,77,89,0,75,89,84,70,80,84,79,88,79,90,80,91,83,91,85,89,86,87,32,85,70,81,84,80,88,80,90,81,91,32,78,77,87,77,0,70,93,71,81,72,79,74,77,77,77,78,78,78,81,76,87,76,89,78,91,32,76,77,77,78,77,81,75,87,75,89,76,90,78,91,80,91,82,90,84,88,86,84,32,88,77,86,84,85,88,85,90,86,91,89,91,91,89,92,87,32,89,77,87,84,86,88,86,90,87,91,0,72,92,73,81,74,79,76,77,79,77,80,78,80,81,78,87,78,89,80,91,32,78,77,79,78,79,81,77,87,77,89,78,90,80,91,81,91,84,90,86,88,88,85,89,81,89,77,88,77,89,79,0,67,96,68,81,69,79,71,77,74,77,75,78,75,81,73,87,73,89,75,91,32,73,77,74,78,74,81,72,87,72,89,73,90,75,91,77,91,79,90,81,88,82,86,32,84,77,82,86,82,89,83,90,85,91,87,91,89,90,91,88,92,86,93,82,93,77,92,77,93,79,32,85,77,83,86,83,89,85,91,0,72,92,75,81,77,78,79,77,82,77,83,79,83,82,32,81,77,82,79,82,82,81,86,80,88,78,90,76,91,75,91,74,90,74,89,75,88,76,89,75,90,32,81,86,81,89,82,91,85,91,87,90,89,87,32,89,78,88,79,89,80,90,79,90,78,89,77,88,77,86,78,84,80,83,82,82,86,82,89,83,91,0,71,92,72,81,73,79,75,77,78,77,79,78,79,81,77,87,77,89,79,91,32,77,77,78,78,78,81,76,87,76,89,77,90,79,91,81,91,83,90,85,88,87,84,32,90,77,86,91,85,94,83,97,80,98,77,98,75,97,74,96,74,95,75,94,76,95,75,96,32,89,77,85,91,84,94,82,97,80,98,0,72,92,89,77,88,79,86,81,78,87,76,89,75,91,32,76,81,77,79,79,77,82,77,86,79,32,77,79,79,78,82,78,86,79,88,79,32,76,89,78,89,82,90,85,90,87,89,32,78,89,82,91,85,91,87,89,88,87,0,71,94,86,71,85,72,86,73,87,72,87,71,85,70,82,70,79,71,77,73,76,76,76,91,32,82,70,80,71,78,73,77,76,77,91,32,92,71,91,72,92,73,93,72,93,71,92,70,90,70,88,71,87,73,87,91,32,90,70,89,71,88,73,88,91,32,73,77,91,77,32,73,91,80,91,32,84,91,91,91,0,71,93,87,71,86,72,87,73,88,72,87,71,85,70,82,70,79,71,77,73,76,76,76,91,32,82,70,80,71,78,73,77,76,77,91,32,87,77,87,91,32,88,77,88,91,32,73,77,88,77,32,73,91,80,91,32,84,91,91,91,0,71,93,86,71,85,72,86,73,87,72,87,71,85,70,32,88,70,82,70,79,71,77,73,76,76,76,91,32,82,70,80,71,78,73,77,76,77,91,32,87,72,87,91,32,88,70,88,91,32,73,77,87,77,32,73,91,80,91,32,84,91,91,91,0,66,99,82,71,81,72,82,73,83,72,82,71,80,70,77,70,74,71,72,73,71,76,71,91,32,77,70,75,71,73,73,72,76,72,91,32,93,71,92,72,93,73,94,72,93,71,91,70,88,70,85,71,83,73,82,76,82,91,32,88,70,86,71,84,73,83,76,83,91,32,93,77,93,91,32,94,77,94,91,32,68,77,94,77,32,68,91,75,91,32,79,91,86,91,32,90,91,97,91,0,66,99,82,71,81,72,82,73,83,72,82,71,80,70,77,70,74,71,72,73,71,76,71,91,32,77,70,75,71,73,73,72,76,72,91,32,92,71,91,72,92,73,93,72,93,71,91,70,32,94,70,88,70,85,71,83,73,82,76,82,91,32,88,70,86,71,84,73,83,76,83,91,32,93,72,93,91,32,94,70,94,91,32,68,77,93,77,32,68,91,75,91,32,79,91,86,91,32,90,91,97,91,0,77,88,82,77,82,91,32,83,77,83,91,32,79,77,83,77,32,79,91,86,91,0,73,90,87,78,85,77,82,77,79,78,77,80,76,83,76,86,77,89,78,90,81,91,84,91,86,90,32,82,77,80,78,78,80,77,83,77,86,78,89,79,90,81,91,32,77,84,85,84,0,73,92,84,70,81,71,79,74,78,76,77,79,76,84,76,88,77,90,79,91,81,91,84,90,86,87,87,85,88,82,89,77,89,73,88,71,86,70,84,70,32,84,70,82,71,80,74,79,76,78,79,77,84,77,88,78,90,79,91,32,81,91,83,90,85,87,86,85,87,82,88,77,88,73,87,71,86,70,32,78,80,87,80,0,71,93,85,70,79,98,32,86,70,78,98,32,81,77,77,78,75,80,74,83,74,86,75,88,77,90,80,91,83,91,87,90,89,88,90,85,90,82,89,80,87,78,84,77,81,77,32,81,77,78,78,76,80,75,83,75,86,76,88,78,90,80,91,32,83,91,86,90,88,88,89,85,89,82,88,80,86,78,84,77,0,73,91,84,77,86,78,88,80,88,79,87,78,84,77,81,77,78,78,77,79,76,81,76,83,77,85,79,87,83,90,32,81,77,79,78,78,79,77,81,77,83,78,85,83,90,84,92,84,94,83,95,81,95,0,71,93,76,77,75,78,74,80,74,82,75,85,79,89,80,91,32,74,82,75,84,79,88,80,91,80,93,79,96,77,98,76,98,75,97,74,95,74,92,75,88,77,84,79,81,82,78,84,77,86,77,89,78,90,80,90,84,89,88,87,90,85,91,84,91,83,90,83,88,84,87,85,88,84,89,32,86,77,88,78,89,80,89,84,88,88,87,90,0,69,95,89,71,88,72,89,73,90,72,89,71,87,70,84,70,81,71,79,73,78,75,77,78,76,82,74,91,73,95,72,97,32,84,70,82,71,80,73,79,75,78,78,76,87,75,91,74,94,73,96,72,97,70,98,68,98,67,97,67,96,68,95,69,96,68,97,32,95,71,94,72,95,73,96,72,96,71,95,70,93,70,91,71,90,72,89,74,88,77,85,91,84,95,83,97,32,93,70,91,72,90,74,89,78,87,87,86,91,85,94,84,96,83,97,81,98,79,98,78,97,78,96,79,95,80,96,79,97,32,73,77,94,77,0,70,94,91,71,90,72,91,73,92,72,91,71,88,70,85,70,82,71,80,73,79,75,78,78,77,82,75,91,74,95,73,97,32,85,70,83,71,81,73,80,75,79,78,77,87,76,91,75,94,74,96,73,97,71,98,69,98,68,97,68,96,69,95,70,96,69,97,32,89,77,87,84,86,88,86,90,87,91,90,91,92,89,93,87,32,90,77,88,84,87,88,87,90,88,91,32,74,77,90,77,0,70,94,89,71,88,72,89,73,90,72,90,71,88,70,32,92,70,85,70,82,71,80,73,79,75,78,78,77,82,75,91,74,95,73,97,32,85,70,83,71,81,73,80,75,79,78,77,87,76,91,75,94,74,96,73,97,71,98,69,98,68,97,68,96,69,95,70,96,69,97,32,91,70,87,84,86,88,86,90,87,91,90,91,92,89,93,87,32,92,70,88,84,87,88,87,90,88,91,32,74,77,89,77,0,64,99,84,71,83,72,84,73,85,72,84,71,82,70,79,70,76,71,74,73,73,75,72,78,71,82,69,91,68,95,67,97,32,79,70,77,71,75,73,74,75,73,78,71,87,70,91,69,94,68,96,67,97,65,98,63,98,62,97,62,96,63,95,64,96,63,97,32,96,71,95,72,96,73,97,72,96,71,93,70,90,70,87,71,85,73,84,75,83,78,82,82,80,91,79,95,78,97,32,90,70,88,71,86,73,85,75,84,78,82,87,81,91,80,94,79,96,78,97,76,98,74,98,73,97,73,96,74,95,75,96,74,97,32,94,77,92,84,91,88,91,90,92,91,95,91,97,89,98,87,32,95,77,93,84,92,88,92,90,93,91,32,68,77,95,77,0,64,99,84,71,83,72,84,73,85,72,84,71,82,70,79,70,76,71,74,73,73,75,72,78,71,82,69,91,68,95,67,97,32,79,70,77,71,75,73,74,75,73,78,71,87,70,91,69,94,68,96,67,97,65,98,63,98,62,97,62,96,63,95,64,96,63,97,32,94,71,93,72,94,73,95,72,95,71,93,70,32,97,70,90,70,87,71,85,73,84,75,83,78,82,82,80,91,79,95,78,97,32,90,70,88,71,86,73,85,75,84,78,82,87,81,91,80,94,79,96,78,97,76,98,74,98,73,97,73,96,74,95,75,96,74,97,32,96,70,92,84,91,88,91,90,92,91,95,91,97,89,98,87,32,97,70,93,84,92,88,92,90,93,91,32,68,77,94,77,0,76,89,77,81,78,79,80,77,83,77,84,78,84,81,82,87,82,90,83,91,32,82,77,83,78,83,81,81,87,81,90,82,91,85,91,87,89,88,87,0,72,92,81,70,78,71,76,74,75,79,75,82,76,87,78,90,81,91,83,91,86,90,88,87,89,82,89,79,88,74,86,71,83,70,81,70,32,81,70,79,71,78,72,77,74,76,79,76,82,77,87,78,89,79,90,81,91,32,83,91,85,90,86,89,87,87,88,82,88,79,87,74,86,72,85,71,83,70,0,72,92,78,74,80,73,83,70,83,91,32,82,71,82,91,32,78,91,87,91,0,72,92,76,74,77,75,76,76,75,75,75,74,76,72,77,71,80,70,84,70,87,71,88,72,89,74,89,76,88,78,85,80,80,82,78,83,76,85,75,88,75,91,32,84,70,86,71,87,72,88,74,88,76,87,78,84,80,80,82,32,75,89,76,88,78,88,83,90,86,90,88,89,89,88,32,78,88,83,91,87,91,88,90,89,88,89,86,0,72,92,76,74,77,75,76,76,75,75,75,74,76,72,77,71,80,70,84,70,87,71,88,73,88,76,87,78,84,79,81,79,32,84,70,86,71,87,73,87,76,86,78,84,79,32,84,79,86,80,88,82,89,84,89,87,88,89,87,90,84,91,80,91,77,90,76,89,75,87,75,86,76,85,77,86,76,87,32,87,81,88,84,88,87,87,89,86,90,84,91,0,72,92,84,72,84,91,32,85,70,85,91,32,85,70,74,85,90,85,32,81,91,88,91,0,72,92,77,70,75,80,32,75,80,77,78,80,77,83,77,86,78,88,80,89,83,89,85,88,88,86,90,83,91,80,91,77,90,76,89,75,87,75,86,76,85,77,86,76,87,32,83,77,85,78,87,80,88,83,88,85,87,88,85,90,83,91,32,77,70,87,70,32,77,71,82,71,87,70,0,72,92,87,73,86,74,87,75,88,74,88,73,87,71,85,70,82,70,79,71,77,73,76,75,75,79,75,85,76,88,78,90,81,91,83,91,86,90,88,88,89,85,89,84,88,81,86,79,83,78,82,78,79,79,77,81,76,84,32,82,70,80,71,78,73,77,75,76,79,76,85,77,88,79,90,81,91,32,83,91,85,90,87,88,88,85,88,84,87,81,85,79,83,78,0,72,92,75,70,75,76,32,75,74,76,72,78,70,80,70,85,73,87,73,88,72,89,70,32,76,72,78,71,80,71,85,73,32,89,70,89,73,88,76,84,81,83,83,82,86,82,91,32,88,76,83,81,82,83,81,86,81,91,0,72,92,80,70,77,71,76,73,76,76,77,78,80,79,84,79,87,78,88,76,88,73,87,71,84,70,80,70,32,80,70,78,71,77,73,77,76,78,78,80,79,32,84,79,86,78,87,76,87,73,86,71,84,70,32,80,79,77,80,76,81,75,83,75,87,76,89,77,90,80,91,84,91,87,90,88,89,89,87,89,83,88,81,87,80,84,79,32,80,79,78,80,77,81,76,83,76,87,77,89,78,90,80,91,32,84,91,86,90,87,89,88,87,88,83,87,81,86,80,84,79,0,72,92,88,77,87,80,85,82,82,83,81,83,78,82,76,80,75,77,75,76,76,73,78,71,81,70,83,70,86,71,88,73,89,76,89,82,88,86,87,88,85,90,82,91,79,91,77,90,76,88,76,87,77,86,78,87,77,88,32,81,83,79,82,77,80,76,77,76,76,77,73,79,71,81,70,32,83,70,85,71,87,73,88,76,88,82,87,86,86,88,84,90,82,91,0,77,87,82,91,81,90,82,89,83,90,83,92,82,94,81,95,0,77,87,82,77,81,78,82,79,83,78,82,77,32,82,91,81,90,82,89,83,90,83,92,82,94,81,95,0,77,87,82,70,81,72,82,84,83,72,82,70,32,82,72,82,78,32,82,89,81,90,82,91,83,90,82,89,0,73,91,77,74,78,75,77,76,76,75,76,74,77,72,78,71,80,70,83,70,86,71,87,72,88,74,88,76,87,78,86,79,82,81,82,84,32,83,70,85,71,86,72,87,74,87,76,86,78,84,80,32,82,89,81,90,82,91,83,90,82,89,0,78,86,82,70,81,77,32,83,70,81,77,0,74,90,78,70,77,77,32,79,70,77,77,32,86,70,85,77,32,87,70,85,77,0,74,90,82,70,82,82,32,77,73,87,79,32,87,73,77,79,0,75,89,85,66,78,82,85,98,0,75,89,79,66,86,82,79,98,0,75,89,79,66,79,98,32,85,66,85,98,0,70,94,82,74,82,91,32,74,82,90,82,32,74,91,90,91,0,70,94,82,74,82,91,32,74,74,90,74,32,74,82,90,82,0,77,87,81,81,81,83,83,83,83,81,81,81,32,82,81,82,83,32,81,82,83,82,0,69,95,82,73,81,74,82,75,83,74,82,73,32,73,82,91,82,32,82,89,81,90,82,91,83,90,82,89,0,69,95,89,73,75,91,32,73,79,91,79,32,73,85,91,85,0,69,95,73,77,91,77,32,73,82,91,82,32,73,87,91,87,0,70,94,90,70,74,77,90,84,32,74,86,90,86,32,74,91,90,91,0,70,94,74,70,90,77,74,84,32,74,86,90,86,32,74,91,90,91,0,70,95,91,87,89,87,87,86,85,84,82,80,81,79,79,78,77,78,75,79,74,81,74,83,75,85,77,86,79,86,81,85,82,84,85,80,87,78,89,77,91,77,0,70,94,73,85,73,83,74,80,76,79,78,79,80,80,84,83,86,84,88,84,90,83,91,81,32,73,83,74,81,76,80,78,80,80,81,84,84,86,85,88,85,90,84,91,81,91,79,0,71,93,74,84,82,79,90,84,32,74,84,82,80,90,84,0,76,88,84,70,79,76,32,84,70,85,71,79,76,0,76,88,80,70,85,76,32,80,70,79,71,85,76,0,72,92,75,70,76,72,78,74,81,75,83,75,86,74,88,72,89,70,32,75,70,76,73,78,75,81,76,83,76,86,75,88,73,89,70,0,77,87,82,72,83,71,82,70,81,71,81,73,82,75,83,76,0,77,87,81,70,82,71,83,73,83,75,82,76,81,75,82,74,0,69,91,72,77,76,77,82,89,32,75,77,82,91,32,91,66,82,91,0,70,94,90,74,83,74,79,75,77,76,75,78,74,81,74,83,75,86,77,88,79,89,83,90,90,90,0,70,94,74,74,74,81,75,85,76,87,78,89,81,90,83,90,86,89,88,87,89,85,90,81,90,74,0,70,94,74,74,81,74,85,75,87,76,89,78,90,81,90,83,89,86,87,88,85,89,81,90,74,90,0,70,94,74,90,74,83,75,79,76,77,78,75,81,74,83,74,86,75,88,77,89,79,90,83,90,90,0,70,94,90,74,83,74,79,75,77,76,75,78,74,81,74,83,75,86,77,88,79,89,83,90,90,90,32,74,82,86,82,0,69,95,88,80,91,82,88,84,32,85,77,90,82,85,87,32,73,82,90,82,0,74,90,80,76,82,73,84,76,32,77,79,82,74,87,79,32,82,74,82,91,0,69,95,76,80,73,82,76,84,32,79,77,74,82,79,87,32,74,82,91,82,0,74,90,80,88,82,91,84,88,32,77,85,82,90,87,85,32,82,73,82,90,0,73,92,88,82,87,79,86,78,84,77,82,77,79,78,77,81,76,84,76,87,77,89,78,90,80,91,82,91,85,90,87,88,88,85,89,80,89,75,88,72,87,71,85,70,82,70,80,71,79,72,79,73,80,73,80,72,32,82,77,80,78,78,81,77,84,77,88,78,90,32,82,91,84,90,86,88,87,85,88,80,88,75,87,72,85,70,0,72,92,74,70,82,91,32,75,70,82,89,32,90,70,82,91,32,74,70,90,70,32,75,71,89,71,0,65,98,68,77,73,77,82,89,32,72,78,82,91,32,98,58,82,91,0,70,94,91,67,90,68,91,69,92,68,92,67,91,66,89,66,87,67,85,69,84,71,83,74,82,78,80,90,79,94,78,96,32,86,68,85,70,84,74,82,86,81,90,80,93,79,95,77,97,75,98,73,98,72,97,72,96,73,95,74,96,73,97,32,81,75,78,76,76,78,75,81,75,83,76,86,78,88,81,89,83,89,86,88,88,86,89,83,89,81,88,78,86,76,83,75,81,75,0,70,95,92,83,91,85,89,86,87,86,85,85,84,84,81,80,80,79,78,78,76,78,74,79,73,81,73,83,74,85,76,86,78,86,80,85,81,84,84,80,85,79,87,78,89,78,91,79,92,81,92,83,0,70,94,91,70,73,91,32,78,70,80,72,80,74,79,76,77,77,75,77,73,75,73,73,74,71,76,70,78,70,80,71,83,72,86,72,89,71,91,70,32,87,84,85,85,84,87,84,89,86,91,88,91,90,90,91,88,91,86,89,84,87,84,0,70,95,91,78,90,79,91,80,92,79,92,78,91,77,90,77,89,78,88,80,86,85,84,88,82,90,80,91,77,91,74,90,73,88,73,85,74,83,80,79,82,77,83,75,83,73,82,71,80,70,78,71,77,73,77,75,78,78,80,81,85,88,87,90,90,91,91,91,92,90,92,89,32,77,91,75,90,74,88,74,85,75,83,77,81,32,77,75,78,77,86,88,88,90,90,91,0,69,96,87,78,86,76,84,75,81,75,79,76,78,77,77,80,77,83,78,85,80,86,83,86,85,85,86,83,32,81,75,79,77,78,80,78,83,79,85,80,86,32,87,75,86,83,86,85,88,86,90,86,92,84,93,81,93,79,92,76,91,74,89,72,87,71,84,70,81,70,78,71,76,72,74,74,73,76,72,79,72,82,73,85,74,87,76,89,78,90,81,91,84,91,87,90,89,89,90,88,32,88,75,87,83,87,85,88,86,0,72,92,80,66,80,95,32,84,66,84,95,32,88,73,87,74,88,75,89,74,89,73,87,71,84,70,80,70,77,71,75,73,75,75,76,77,77,78,79,79,85,81,87,82,89,84,32,75,75,77,77,79,78,85,80,87,81,88,82,89,84,89,88,87,90,84,91,80,91,77,90,75,88,75,87,76,86,77,87,76,88,0,74,90,85,73,84,74,85,75,86,74,86,73,85,71,83,70,81,70,79,71,78,73,78,75,79,77,81,79,86,82,32,79,77,84,80,86,82,87,84,87,86,86,88,84,90,32,80,78,78,80,77,82,77,84,78,86,80,88,85,91,32,78,86,83,89,85,91,86,93,86,95,85,97,83,98,81,98,79,97,78,95,78,94,79,93,80,94,79,95,0,74,90,82,70,81,72,82,74,83,72,82,70,32,82,70,82,98,32,82,81,81,84,82,98,83,84,82,81,32,76,77,78,78,80,77,78,76,76,77,32,76,77,88,77,32,84,77,86,78,88,77,86,76,84,77,0,74,90,82,70,81,72,82,74,83,72,82,70,32,82,70,82,84,32,82,80,81,82,83,86,82,88,81,86,83,82,82,80,32,82,84,82,98,32,82,94,81,96,82,98,83,96,82,94,32,76,77,78,78,80,77,78,76,76,77,32,76,77,88,77,32,84,77,86,78,88,77,86,76,84,77,32,76,91,78,92,80,91,78,90,76,91,32,76,91,88,91,32,84,91,86,92,88,91,86,90,84,91,0,73,92,88,70,88,91,32,75,70,88,70,32,80,80,88,80,32,75,91,88,91,0,69,96,81,70,78,71,75,73,73,76,72,79,72,82,73,85,75,88,78,90,81,91,84,91,87,90,90,88,92,85,93,82,93,79,92,76,90,73,87,71,84,70,81,70,32,82,79,81,80,81,81,82,82,83,82,84,81,84,80,83,79,82,79,32,82,80,82,81,83,81,83,80,82,80,0,74,91,80,70,78,71,79,73,81,74,32,80,70,79,71,79,73,32,85,70,87,71,86,73,84,74,32,85,70,86,71,86,73,32,81,74,79,75,78,76,77,78,77,81,78,83,79,84,81,85,84,85,86,84,87,83,88,81,88,78,87,76,86,75,84,74,81,74,32,82,85,82,91,32,83,85,83,91,32,78,88,87,88,0,73,92,82,70,79,71,77,73,76,76,76,77,77,80,79,82,82,83,83,83,86,82,88,80,89,77,89,76,88,73,86,71,83,70,82,70,32,82,83,82,91,32,83,83,83,91,32,78,87,87,87,0,68,96,80,70,77,71,74,73,72,76,71,79,71,83,72,86,74,89,77,91,80,92,84,92,87,91,90,89,92,86,93,83,93,79,92,76,90,73,87,71,84,70,80,70,32,82,70,82,92,32,71,81,93,81,0,71,96,80,77,77,78,75,80,74,83,74,84,75,87,77,89,80,90,81,90,84,89,86,87,87,84,87,83,86,80,84,78,81,77,80,77,32,93,71,87,71,91,72,85,78,32,93,71,93,77,92,73,86,79,32,92,72,86,78,0,70,92,73,73,74,71,76,70,79,70,81,71,82,73,82,76,81,79,80,81,78,83,75,85,32,79,70,80,71,81,73,81,77,80,80,78,83,32,86,70,84,91,32,87,70,83,91,32,75,85,89,85,0,73,92,77,70,77,85,32,78,70,77,81,32,77,81,78,79,79,78,81,77,84,77,87,78,88,80,88,82,87,84,85,86,32,84,77,86,78,87,80,87,82,84,88,84,90,85,91,87,91,89,89,32,75,70,78,70,0,73,92,82,78,79,79,77,81,76,84,76,85,77,88,79,90,82,91,83,91,86,90,88,88,89,85,89,84,88,81,86,79,83,78,82,78,32,82,72,78,74,82,70,82,78,32,83,72,87,74,83,70,83,78,32,82,83,81,84,81,85,82,86,83,86,84,85,84,84,83,83,82,83,32,82,84,82,85,83,85,83,84,82,84,0,71,94,81,72,82,70,82,91,32,84,72,83,70,83,91,32,74,72,75,70,75,77,76,80,78,82,81,83,82,83,32,77,72,76,70,76,78,77,81,32,91,72,90,70,90,77,89,80,87,82,84,83,83,83,32,88,72,89,70,89,78,88,81,32,78,87,87,87,0,71,93,76,70,76,91,32,77,70,77,91,32,73,70,85,70,88,71,89,72,90,74,90,77,89,79,88,80,85,81,77,81,32,85,70,87,71,88,72,89,74,89,77,88,79,87,80,85,81,32,73,91,89,91,89,86,88,91,0,72,91,89,71,85,71,81,72,78,74,76,77,75,80,75,83,76,86,78,89,81,91,85,92,89,92,32,89,71,86,72,83,74,81,77,80,80,80,83,81,86,83,89,86,91,89,92,0,70,95,79,81,77,81,75,82,74,83,73,85,73,87,74,89,75,90,77,91,79,91,81,90,82,89,83,87,83,85,82,83,81,82,79,81,32,83,72,80,81,32,90,74,82,82,32,92,81,83,84,0,72,92,79,75,85,89,32,85,75,79,89,32,75,79,89,85,32,89,79,75,85,0,70,94,78,86,76,85,75,85,73,86,72,88,72,89,73,91,75,92,76,92,78,91,79,89,79,88,78,86,75,82,74,79,74,77,75,74,77,72,80,71,84,71,87,72,89,74,90,77,90,79,89,82,86,86,85,88,85,89,86,91,88,92,89,92,91,91,92,89,92,88,91,86,89,85,88,85,86,86,32,74,77,75,75,77,73,80,72,84,72,87,73,89,75,90,77,0,70,94,78,77,76,78,75,78,73,77,72,75,72,74,73,72,75,71,76,71,78,72,79,74,79,75,78,77,75,81,74,84,74,86,75,89,77,91,80,92,84,92,87,91,89,89,90,86,90,84,89,81,86,77,85,75,85,74,86,72,88,71,89,71,91,72,92,74,92,75,91,77,89,78,88,78,86,77,32,74,86,75,88,77,90,80,91,84,91,87,90,89,88,90,86,0,73,91,75,89,89,75,32,81,76,85,76,89,75,88,79,88,83,32,85,76,88,76,88,79,0,73,91,89,75,75,89,32,76,81,76,85,75,89,79,88,83,88,32,76,85,76,88,79,88,0,73,91,89,89,75,75,32,83,76,79,76,75,75,76,79,76,83,32,79,76,76,76,76,79,0,73,91,75,75,89,89,32,81,88,85,88,89,89,88,85,88,81,32,85,88,88,88,88,85,0,70,95,74,77,73,76,73,74,74,72,76,71,78,71,80,72,81,73,82,75,83,80,32,73,74,75,72,77,72,79,73,80,74,81,76,82,80,82,91,32,91,77,92,76,92,74,91,72,89,71,87,71,85,72,84,73,83,75,82,80,32,92,74,90,72,88,72,86,73,85,74,84,76,83,80,83,91,0,70,94,73,71,74,75,75,77,77,79,80,80,84,80,87,79,89,77,90,75,91,71,32,73,71,74,74,75,76,77,78,80,79,84,79,87,78,89,76,90,74,91,71,32,80,79,78,80,77,81,76,83,76,86,77,88,79,90,81,91,83,91,85,90,87,88,88,86,88,83,87,81,86,80,84,79,32,80,80,78,81,77,83,77,86,78,89,32,86,89,87,86,87,83,86,81,84,80,0,70,94,77,74,77,86,32,78,75,78,85,32,86,75,86,85,32,87,74,87,86,32,73,71,75,73,77,74,80,75,84,75,87,74,89,73,91,71,32,73,89,75,87,77,86,80,85,84,85,87,86,89,87,91,89,0,70,94,91,73,76,73,74,74,73,76,73,78,74,80,76,81,78,81,80,80,81,78,81,76,80,74,91,74,32,73,77,74,79,75,80,77,81,32,81,77,80,75,79,74,77,73,32,73,88,88,88,90,87,91,85,91,83,90,81,88,80,86,80,84,81,83,83,83,85,84,87,73,87,32,91,84,90,82,89,81,87,80,32,83,84,84,86,85,87,87,88,0,70,93,79,85,77,84,76,84,74,85,73,87,73,88,74,90,76,91,77,91,79,90,80,88,80,87,79,85,74,80,73,78,73,75,74,73,76,72,79,71,83,71,87,72,89,74,90,76,90,79,89,82,86,85,85,87,85,89,86,91,88,91,89,90,90,88,32,77,83,75,80,74,78,74,75,75,73,76,72,32,83,71,86,72,88,74,89,76,89,79,88,82,86,85,0,71,95,72,75,75,72,77,75,77,86,32,74,73,76,76,76,86,32,77,75,80,72,82,75,82,85,32,79,73,81,76,81,85,32,82,75,85,72,87,75,87,91,32,84,73,86,76,86,91,32,87,75,90,72,91,74,92,77,92,80,91,83,90,85,88,87,85,89,80,91,32,89,73,90,74,91,77,91,80,90,83,89,85,87,87,84,89,80,91,0,70,94,73,83,77,83,76,82,75,79,75,77,76,74,78,72,81,71,83,71,86,72,88,74,89,77,89,79,88,82,87,83,91,83,32,73,84,79,84,77,82,76,79,76,77,77,74,79,72,81,71,32,83,71,85,72,87,74,88,77,88,79,87,82,85,84,91,84,32,75,88,89,88,32,75,89,89,89,0,70,95,71,76,74,73,77,76,77,88,32,73,74,76,77,76,88,32,77,76,80,73,83,76,83,88,32,79,74,82,77,82,88,32,83,76,86,73,89,76,89,87,91,89,32,85,74,88,77,88,88,90,90,93,87,0,71,93,90,73,74,89,32,90,73,87,74,81,74,32,88,75,85,75,81,74,32,90,73,89,76,89,82,32,88,75,88,78,89,82,32,81,82,74,82,32,80,83,77,83,74,82,32,81,82,81,89,32,80,83,80,86,81,89,0,70,94,72,79,74,75,79,85,32,74,77,79,87,82,80,87,80,90,79,91,77,91,75,90,73,88,72,87,72,85,73,84,75,84,77,85,80,86,82,87,85,87,88,85,90,32,87,72,86,73,85,75,85,77,87,81,88,84,88,87,87,89,85,90,0,70,94,73,79,76,76,80,78,32,75,77,79,79,82,76,85,78,32,81,77,84,79,87,76,89,78,32,86,77,88,79,91,76,32,73,85,76,82,80,84,32,75,83,79,85,82,82,85,84,32,81,83,84,85,87,82,89,84,32,86,83,88,85,91,82,0,70,94,74,72,78,74,80,76,81,79,81,82,80,85,78,87,74,89,32,74,72,77,73,79,74,81,76,82,79,32,82,82,81,85,79,87,77,88,74,89,32,90,72,87,73,85,74,83,76,82,79,32,82,82,83,85,85,87,87,88,90,89,32,90,72,86,74,84,76,83,79,83,82,84,85,86,87,90,89,32,73,80,91,80,32,73,81,91,81,0,78,86,81,81,81,83,83,83,83,81,81,81,32,81,81,83,83,32,83,81,81,83,0,74,90,77,80,81,82,84,84,86,86,87,89,87,91,86,93,85,94,32,77,81,83,84,32,77,82,80,83,84,85,86,87,87,89,0,74,90,87,75,86,77,84,79,80,81,77,82,32,83,80,77,83,32,85,70,86,71,87,73,87,75,86,78,84,80,81,82,77,84,0,72,92,83,77,79,78,76,80,75,82,75,84,76,86,78,87,81,87,85,86,88,84,89,82,89,80,88,78,86,77,83,77,32,88,78,83,77,32,86,77,81,78,76,80,32,79,78,75,82,32,76,86,81,87,32,78,87,83,86,88,84,32,85,86,89,82,0,74,91,83,77,80,78,78,80,77,82,77,84,78,86,80,87,82,87,85,86,87,84,88,82,88,80,87,78,85,77,83,77,32,79,80,85,77,32,78,82,86,78,32,77,84,87,79,32,78,85,88,80,32,79,86,87,82,32,80,87,86,84,0,74,90,79,71,79,94,32,85,70,85,93,32,77,78,87,76,32,77,79,87,77,32,77,87,87,85,32,77,88,87,86,0,74,90,78,70,78,88,32,86,76,86,94,32,78,78,86,76,32,78,79,86,77,32,78,87,86,85,32,78,88,86,86,0,74,90,78,66,78,87,32,78,78,81,76,84,76,86,77,87,79,87,81,86,83,83,85,81,86,78,87,32,78,78,81,77,84,77,86,78,32,85,77,86,79,86,81,85,83,83,85,0,69,95,72,73,72,76,32,92,73,92,76,32,72,73,92,73,32,72,74,92,74,32,72,75,92,75,32,72,76,92,76,0,74,90,77,78,77,81,32,87,78,87,81,32,77,78,87,78,32,77,79,87,79,32,77,80,87,80,32,77,81,87,81,0,74,90,77,76,87,88,32,77,76,79,78,81,79,84,79,86,78,87,77,87,75,85,75,85,77,84,79,32,79,78,84,79,32,81,79,87,77,32,86,75,86,78,32,85,76,87,76,32,87,88,85,86,83,85,80,85,78,86,77,87,77,89,79,89,79,87,80,85,32,85,86,80,85,32,83,85,77,87,32,78,86,78,89,32,77,88,79,88,0,74,90,80,79,79,77,79,75,77,75,77,77,78,78,80,79,83,79,85,78,87,76,32,78,75,78,78,32,77,76,79,76,32,77,77,83,79,32,80,79,85,78,32,87,76,87,89,0,65,94,71,102,72,102,73,101,73,100,72,99,71,99,70,100,70,102,71,104,73,105,75,105,78,104,80,102,81,100,82,96,82,85,81,59,81,52,82,47,83,45,85,44,86,44,88,45,89,47,89,51,88,54,87,56,85,59,80,63,74,67,72,69,70,72,69,74,68,78,68,82,69,86,71,89,74,91,78,92,82,92,86,91,88,90,90,87,91,84,91,80,90,77,89,75,87,73,84,72,80,72,77,73,75,75,74,78,74,82,75,85,77,87,32,71,100,71,101,72,101,72,100,71,100,32,85,59,81,63,76,67,73,70,71,73,70,75,69,78,69,82,70,86,71,88,74,91,32,82,92,85,91,87,90,89,87,90,84,90,80,89,77,88,75,86,73,84,72,0,69,102,78,83,79,85,81,86,83,86,85,85,86,83,86,81,85,79,83,78,81,78,79,79,78,80,77,83,77,86,78,89,80,91,83,92,86,92,89,91,91,89,92,87,93,84,93,80,92,77,90,74,88,73,85,72,82,72,79,73,77,74,75,76,73,79,72,83,72,88,73,93,75,97,77,99,80,101,84,102,89,102,93,101,96,99,98,97,32,75,76,74,78,73,82,73,88,74,92,76,96,78,98,81,100,85,101,89,101,93,100,95,99,98,97,32,80,79,84,79,32,79,80,85,80,32,78,81,86,81,32,78,82,86,82,32,78,83,86,83,32,79,84,85,84,32,80,85,84,85,32,97,76,97,78,99,78,99,76,97,76,32,98,76,98,78,32,97,77,99,77,32,97,86,97,88,99,88,99,86,97,86,32,98,86,98,88,32,97,87,99,87,0,68,96,72,64,72,100,32,77,64,77,100,32,87,64,87,100,32,92,64,92,100,32,77,77,87,75,32,77,78,87,76,32,77,79,87,77,32,77,87,87,85,32,77,88,87,86,32,77,89,87,87,0,72,92,80,77,77,78,76,79,75,81,75,83,76,85,77,86,80,87,84,87,87,86,88,85,89,83,89,81,88,79,87,78,84,77,80,77,32,77,78,76,80,76,83,77,85,78,86,80,87,32,87,86,88,84,88,81,87,79,86,78,84,77,0,74,90,81,67,86,77,82,84,82,85,32,85,76,81,83,32,84,73,84,75,80,82,82,85,85,89,32,87,92,85,89,83,88,81,88,79,89,78,91,78,93,79,95,82,97,32,87,92,85,90,83,89,79,89,79,93,80,95,82,97,32,83,88,80,90,78,93,0,74,90,80,79,79,77,79,75,77,75,77,77,78,78,80,79,83,79,85,78,87,76,32,78,75,78,78,32,77,76,79,76,32,77,77,83,79,32,80,79,85,78,32,87,76,83,89,0,73,106,78,81,79,79,81,78,83,78,85,79,86,81,86,83,85,85,83,86,81,86,79,85,78,84,77,81,77,78,78,75,80,73,83,72,87,72,91,73,94,75,96,78,97,82,97,87,96,91,95,93,93,96,90,99,86,102,81,105,77,107,32,87,72,90,73,93,75,95,78,96,82,96,87,95,91,94,93,92,96,89,99,84,103,81,105,32,80,79,84,79,32,79,80,85,80,32,78,81,86,81,32,78,82,86,82,32,78,83,86,83,32,79,84,85,84,32,80,85,84,85,32,101,76,101,78,103,78,103,76,101,76,32,102,76,102,78,32,101,77,103,77,32,101,86,101,88,103,88,103,86,101,86,32,102,86,102,88,32,101,87,103,87,0,68,96,72,62,72,102,32,73,62,73,102,32,77,62,77,102,32,81,66,83,66,83,68,81,68,81,65,82,63,84,62,87,62,89,63,91,65,92,68,92,73,91,76,89,78,87,79,85,79,83,78,82,76,81,78,79,81,78,82,79,83,81,86,82,88,83,86,85,85,87,85,89,86,91,88,92,91,92,96,91,99,89,101,87,102,84,102,82,101,81,99,81,96,83,96,83,98,81,98,32,82,66,82,68,32,81,67,83,67,32,89,63,90,65,91,68,91,73,90,76,89,78,32,82,76,82,78,80,81,78,82,80,83,82,86,82,88,32,89,86,90,88,91,91,91,96,90,99,89,101,32,82,96,82,98,32,81,97,83,97,0,65,99,72,66,72,98,32,73,66,73,98,32,91,66,91,98,32,92,66,92,98,32,68,66,96,66,32,68,98,77,98,32,87,98,96,98,0,66,97,71,66,81,80,70,98,32,70,66,80,80,32,69,66,80,81,32,69,66,92,66,94,73,91,66,32,71,97,92,97,32,70,98,92,98,94,91,91,98,0,73,91,88,43,85,49,82,56,80,61,79,65,78,70,77,78,77,86,78,94,79,99,80,103,82,108,85,115,88,121,32,85,49,83,54,81,60,80,64,79,70,78,78,78,86,79,94,80,100,81,104,83,110,85,115,0,73,91,76,43,79,49,82,56,84,61,85,65,86,70,87,78,87,86,86,94,85,99,84,103,82,108,79,115,76,121,32,79,49,81,54,83,60,84,64,85,70,86,78,86,86,85,94,84,100,83,104,81,110,79,115,0,73,91,77,43,77,82,77,121,32,78,43,78,82,78,121,32,77,43,88,43,32,77,121,88,121,0,73,91,86,43,86,82,86,121,32,87,43,87,82,87,121,32,76,43,87,43,32,76,121,87,121,0,72,91,86,43,82,49,80,53,79,58,79,62,80,66,84,74,84,76,83,78,82,79,77,82,82,85,83,86,84,88,84,90,80,98,79,102,79,106,80,111,82,115,86,121,32,84,46,82,50,81,53,80,58,80,62,81,67,82,70,32,82,94,81,97,80,102,80,106,81,111,82,114,84,118,0,73,92,78,43,82,49,84,53,85,58,85,62,84,66,80,74,80,76,81,78,82,79,87,82,82,85,81,86,80,88,80,90,84,98,85,102,85,106,84,111,82,115,78,121,32,80,46,82,50,83,53,84,58,84,62,83,67,82,70,32,82,94,83,97,84,102,84,106,83,111,82,114,80,118,0,73,91,86,46,83,49,81,52,79,56,78,61,78,67,79,73,80,77,83,88,84,92,85,98,85,103,84,108,83,111,81,115,32,83,49,81,53,80,56,79,61,79,66,80,72,81,76,84,87,85,91,86,97,86,103,85,108,83,112,81,115,78,118,0,73,91,78,46,81,49,83,52,85,56,86,61,86,67,85,73,84,77,81,88,80,92,79,98,79,103,80,108,81,111,83,115,32,81,49,83,53,84,56,85,61,85,66,84,72,83,76,80,87,79,91,78,97,78,103,79,108,81,112,83,115,86,118,0,55,90,58,82,65,82,82,111,32,64,82,81,111,32,63,82,82,114,32,90,34,86,74,82,114,0,67,97,93,46,92,46,91,47,91,48,92,49,93,49,94,48,94,46,93,44,91,43,89,43,87,44,85,46,84,48,83,51,82,58,81,74,81,106,80,115,79,118,32,92,47,92,48,93,48,93,47,92,47,32,82,58,82,106,32,85,46,84,49,83,58,83,90,82,106,81,113,80,116,79,118,77,120,75,121,73,121,71,120,70,118,70,116,71,115,72,115,73,116,73,117,72,118,71,118,32,71,116,71,117,72,117,72,116,71,116,0,72,92,82,70,74,91,32,82,73,75,91,74,91,32,82,73,89,91,90,91,32,82,70,90,91,32,77,85,87,85,32,76,86,88,86,0,72,92,76,70,76,91,32,77,71,77,90,32,76,70,84,70,87,71,88,72,89,74,89,77,88,79,87,80,84,81,32,77,71,84,71,87,72,88,74,88,77,87,79,84,80,32,77,80,84,80,87,81,88,82,89,84,89,87,88,89,87,90,84,91,76,91,32,77,81,84,81,87,82,88,84,88,87,87,89,84,90,77,90,0,72,93,90,75,89,73,87,71,85,70,81,70,79,71,77,73,76,75,75,78,75,83,76,86,77,88,79,90,81,91,85,91,87,90,89,88,90,86,32,90,75,89,75,88,73,87,72,85,71,81,71,79,72,77,75,76,78,76,83,77,86,79,89,81,90,85,90,87,89,88,88,89,86,90,86,0,72,93,76,70,76,91,32,77,71,77,90,32,76,70,83,70,86,71,88,73,89,75,90,78,90,83,89,86,88,88,86,90,83,91,76,91,32,77,71,83,71,86,72,87,73,88,75,89,78,89,83,88,86,87,88,86,89,83,90,77,90,0,73,92,77,70,77,91,32,78,71,78,90,32,77,70,89,70,32,78,71,89,71,89,70,32,78,80,84,80,84,81,32,78,81,84,81,32,78,90,89,90,89,91,32,77,91,89,91,0,73,91,77,70,77,91,32,78,71,78,91,77,91,32,77,70,89,70,32,78,71,89,71,89,70,32,78,80,84,80,84,81,32,78,81,84,81,0,72,93,90,75,89,73,87,71,85,70,81,70,79,71,77,73,76,75,75,78,75,83,76,86,77,88,79,90,81,91,85,91,87,90,89,88,90,86,90,82,85,82,32,90,75,89,75,88,73,87,72,85,71,81,71,79,72,78,73,77,75,76,78,76,83,77,86,78,88,79,89,81,90,85,90,87,89,88,88,89,86,89,83,85,83,85,82,0,71,93,75,70,75,91,32,75,70,76,70,76,91,75,91,32,89,70,88,70,88,91,89,91,32,89,70,89,91,32,76,80,88,80,32,76,81,88,81,0,78,87,82,70,82,91,83,91,32,82,70,83,70,83,91,0,74,91,86,70,86,86,85,89,83,90,81,90,79,89,78,86,77,86,32,86,70,87,70,87,86,86,89,85,90,83,91,81,91,79,90,78,89,77,86,0,72,93,76,70,76,91,77,91,32,76,70,77,70,77,91,32,90,70,89,70,77,82,32,90,70,77,83,32,80,79,89,91,90,91,32,81,79,90,91,0,73,90,77,70,77,91,32,77,70,78,70,78,90,32,78,90,89,90,89,91,32,77,91,89,91,0,70,94,74,70,74,91,32,75,75,75,91,74,91,32,75,75,82,91,32,74,70,82,88,32,90,70,82,88,32,89,75,82,91,32,89,75,89,91,90,91,32,90,70,90,91,0,71,93,75,70,75,91,32,76,73,76,91,75,91,32,76,73,89,91,32,75,70,88,88,32,88,70,88,88,32,88,70,89,70,89,91,0,71,93,80,70,78,71,76,73,75,75,74,78,74,83,75,86,76,88,78,90,80,91,84,91,86,90,88,88,89,86,90,83,90,78,89,75,88,73,86,71,84,70,80,70,32,81,71,78,72,76,75,75,78,75,83,76,86,78,89,81,90,83,90,86,89,88,86,89,83,89,78,88,75,86,72,83,71,81,71,0,72,92,76,70,76,91,32,77,71,77,91,76,91,32,76,70,85,70,87,71,88,72,89,74,89,77,88,79,87,80,85,81,77,81,32,77,71,85,71,87,72,88,74,88,77,87,79,85,80,77,80,0,71,93,80,70,78,71,76,73,75,75,74,78,74,83,75,86,76,88,78,90,80,91,84,91,86,90,88,88,89,86,90,83,90,78,89,75,88,73,86,71,84,70,80,70,32,81,71,78,72,76,75,75,78,75,83,76,86,78,89,81,90,83,90,86,89,88,86,89,83,89,78,88,75,86,72,83,71,81,71,32,83,88,88,93,89,93,32,83,88,84,88,89,93,0,72,92,76,70,76,91,32,77,71,77,91,76,91,32,76,70,84,70,87,71,88,72,89,74,89,77,88,79,87,80,84,81,77,81,32,77,71,84,71,87,72,88,74,88,77,87,79,84,80,77,80,32,82,81,88,91,89,91,32,83,81,89,91,0,72,92,89,73,87,71,84,70,80,70,77,71,75,73,75,75,76,77,77,78,79,79,84,81,86,82,87,83,88,85,88,88,87,89,84,90,80,90,78,89,77,88,75,88,32,89,73,87,73,86,72,84,71,80,71,77,72,76,73,76,75,77,77,79,78,84,80,86,81,88,83,89,85,89,88,87,90,84,91,80,91,77,90,75,88,0,74,91,82,71,82,91,32,83,71,83,91,82,91,32,76,70,89,70,89,71,32,76,70,76,71,89,71,0,71,93,75,70,75,85,76,88,78,90,81,91,83,91,86,90,88,88,89,85,89,70,32,75,70,76,70,76,85,77,88,78,89,81,90,83,90,86,89,87,88,88,85,88,70,89,70,0,72,92,74,70,82,91,32,74,70,75,70,82,88,32,90,70,89,70,82,88,32,90,70,82,91,0,69,95,71,70,77,91,32,71,70,72,70,77,88,32,82,70,77,88,32,82,73,77,91,32,82,73,87,91,32,82,70,87,88,32,93,70,92,70,87,88,32,93,70,87,91,0,72,92,75,70,88,91,89,91,32,75,70,76,70,89,91,32,89,70,88,70,75,91,32,89,70,76,91,75,91,0,73,92,75,70,82,80,82,91,83,91,32,75,70,76,70,83,80,32,90,70,89,70,82,80,32,90,70,83,80,83,91,0,72,92,88,70,75,91,32,89,70,76,91,32,75,70,89,70,32,75,70,75,71,88,71,32,76,90,89,90,89,91,32,75,91,89,91,0,69,92,88,70,86,72,84,75,81,80,79,83,76,87,73,90,71,91,69,91,68,90,68,88,69,87,70,88,69,89,32,88,70,87,74,85,84,84,91,32,88,70,85,91,32,84,91,84,89,83,86,82,84,80,82,78,81,76,81,75,82,75,84,76,87,79,90,82,91,86,91,88,90,0,70,94,85,71,84,72,83,74,81,79,79,85,78,87,76,90,74,91,32,84,72,83,75,81,83,80,86,79,88,77,90,74,91,72,91,71,90,71,88,72,87,73,88,72,89,32,79,76,78,78,77,79,75,79,74,78,74,76,75,74,77,72,79,71,82,70,88,70,90,71,91,73,91,75,90,77,88,78,84,79,82,79,32,88,70,89,71,90,73,90,75,89,77,88,78,32,84,79,87,80,88,81,89,83,89,86,88,89,87,90,85,91,83,91,82,90,82,88,83,85,32,84,79,86,80,87,81,88,83,88,86,87,89,85,91,0,72,93,75,72,74,74,74,76,75,78,78,79,81,79,85,78,87,77,89,75,90,73,90,71,89,70,87,70,84,71,81,74,79,77,77,81,76,85,76,88,77,90,80,91,82,91,85,90,87,88,88,86,88,84,87,82,85,82,83,83,82,85,32,87,70,85,71,82,74,80,77,78,81,77,85,77,88,78,90,80,91,0,70,93,85,71,84,72,83,74,81,79,79,85,78,87,76,90,74,91,32,84,72,83,75,81,83,80],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+307204);allocate([86,79,88,77,90,74,91,72,91,71,90,71,88,72,87,74,87,76,88,78,90,80,91,83,91,85,90,87,88,89,84,90,79,90,76,89,73,87,71,85,70,80,70,77,71,75,73,74,75,74,77,75,78,77,78,78,77,79,75,0,73,92,87,73,86,74,86,76,87,77,89,77,90,75,90,73,89,71,87,70,84,70,82,71,81,72,80,74,80,76,81,78,83,79,32,84,70,82,72,81,74,81,77,83,79,32,83,79,81,79,78,80,76,82,75,84,75,87,76,89,77,90,79,91,82,91,85,90,87,88,88,86,88,84,87,82,85,82,83,83,82,85,32,81,79,79,80,77,82,76,84,76,88,77,90,0,71,92,87,72,86,74,84,79,82,85,81,87,79,90,77,91,32,81,76,80,78,78,79,76,79,75,77,75,75,76,73,78,71,81,70,91,70,88,71,87,72,86,75,84,83,83,86,82,88,80,90,77,91,75,91,73,90,72,89,72,88,73,87,74,88,73,89,32,83,70,87,71,88,71,32,79,83,80,82,82,81,86,81,88,80,90,77,88,84,0,71,93,74,73,73,75,73,77,74,79,76,80,79,80,82,79,84,78,87,75,88,72,88,71,87,70,86,70,84,71,82,73,81,75,80,78,80,81,81,83,83,84,85,84,87,83,89,81,90,79,32,87,70,85,71,83,73,82,75,81,78,81,82,83,84,32,90,79,89,83,87,87,85,89,83,90,79,91,76,91,74,90,73,88,73,87,74,86,75,87,74,88,32,89,83,87,86,85,88,82,90,79,91,0,70,94,76,76,75,75,75,73,76,71,79,70,82,70,79,81,77,87,76,89,75,90,73,91,71,91,70,90,70,88,71,87,72,88,71,89,32,82,70,79,79,78,82,76,87,75,89,73,91,32,74,84,75,83,77,82,86,79,88,78,91,76,93,74,94,72,94,71,93,70,92,70,90,71,88,74,87,76,85,82,84,86,84,89,86,91,87,91,89,90,91,88,32,92,70,90,72,88,76,86,82,85,86,85,89,86,91,0,73,89,87,72,85,75,83,80,81,85,80,87,78,90,76,91,32,89,76,87,78,84,79,81,79,79,78,78,76,78,74,79,72,81,71,85,70,89,70,87,72,86,74,84,80,82,86,81,88,79,90,76,91,74,91,73,90,73,88,74,87,75,88,74,89,0,73,90,89,70,87,72,85,75,83,80,80,89,78,93,32,89,77,87,79,84,80,81,80,79,79,78,77,78,75,79,73,81,71,85,70,89,70,87,73,86,75,83,84,81,88,80,90,78,93,77,94,75,95,74,94,74,92,75,90,77,88,79,87,82,86,86,85,0,70,94,76,76,75,75,75,73,77,71,80,70,82,70,79,81,77,87,76,89,75,90,73,91,71,91,70,90,70,88,71,87,72,88,71,89,32,82,70,79,79,78,82,76,87,75,89,73,91,32,90,71,87,75,85,77,83,78,80,79,32,93,71,92,72,93,73,94,72,94,71,93,70,92,70,90,71,87,76,86,77,84,78,80,79,32,80,79,83,80,84,82,85,89,86,91,32,80,79,82,80,83,82,84,89,86,91,87,91,89,90,91,88,0,73,91,77,73,76,75,76,77,77,79,79,80,82,80,85,79,87,78,90,75,91,72,91,71,90,70,89,70,87,71,86,72,84,75,80,85,79,87,77,90,75,91,32,86,72,84,76,82,83,81,86,80,88,78,90,75,91,73,91,72,90,72,88,73,87,75,87,77,88,80,90,82,91,85,91,87,90,89,88,0,68,96,82,70,78,79,75,85,73,88,71,90,69,91,67,91,66,90,66,88,67,87,68,88,67,89,32,82,70,80,77,79,81,78,86,78,90,80,91,32,82,70,81,74,80,79,79,86,79,90,80,91,32,91,70,87,79,82,88,80,91,32,91,70,89,77,88,81,87,86,87,90,89,91,90,91,92,90,94,88,32,91,70,90,74,89,79,88,86,88,90,89,91,0,71,94,82,70,81,74,79,80,77,85,76,87,74,90,72,91,70,91,69,90,69,88,70,87,71,88,70,89,32,82,70,82,75,83,86,84,91,32,82,70,83,75,84,86,84,91,32,96,71,95,72,96,73,97,72,97,71,96,70,94,70,92,71,90,74,89,76,87,81,85,87,84,91,0,72,93,83,70,81,71,79,73,77,76,76,78,75,82,75,86,76,89,77,90,79,91,81,91,84,90,86,88,88,85,89,83,90,79,90,75,89,72,88,71,87,71,85,72,83,74,81,78,80,83,80,86,32,81,71,79,74,77,78,76,82,76,86,77,89,79,91,0,70,93,85,71,84,72,83,74,81,79,79,85,78,87,76,90,74,91,32,84,72,83,75,81,83,80,86,79,88,77,90,74,91,72,91,71,90,71,88,72,87,73,88,72,89,32,79,76,78,78,77,79,75,79,74,78,74,76,75,74,77,72,79,71,82,70,86,70,89,71,90,72,91,74,91,77,90,79,89,80,86,81,84,81,82,80,32,86,70,88,71,89,72,90,74,90,77,89,79,88,80,86,81,0,72,93,85,74,85,76,84,78,83,79,81,80,79,80,78,78,78,76,79,73,81,71,84,70,87,70,89,71,90,73,90,77,89,80,87,83,83,87,80,89,78,90,75,91,73,91,72,90,72,88,73,87,75,87,77,88,80,90,83,91,86,91,88,90,90,88,32,87,70,88,71,89,73,89,77,88,80,86,83,83,86,79,89,75,91,0,70,94,85,71,84,72,83,74,81,79,79,85,78,87,76,90,74,91,32,84,72,83,75,81,83,80,86,79,88,77,90,74,91,72,91,71,90,71,88,72,87,73,88,72,89,32,79,76,78,78,77,79,75,79,74,78,74,76,75,74,77,72,79,71,82,70,87,70,90,71,91,73,91,75,90,77,89,78,86,79,82,79,32,87,70,89,71,90,73,90,75,89,77,88,78,86,79,32,82,79,85,80,86,82,87,89,88,91,32,82,79,84,80,85,82,86,89,88,91,89,91,91,90,93,88,0,72,92,78,73,77,75,77,77,78,79,80,80,83,80,86,79,88,78,91,75,92,72,92,71,91,70,90,70,88,71,87,72,86,74,85,77,83,84,82,87,80,90,78,91,32,86,74,85,78,84,85,83,88,81,90,78,91,75,91,73,90,72,88,72,87,73,86,74,87,73,88,0,73,91,89,72,88,74,86,79,84,85,83,87,81,90,79,91,32,83,76,82,78,80,79,78,79,77,77,77,75,78,73,80,71,83,70,92,70,90,71,89,72,88,75,86,83,85,86,84,88,82,90,79,91,77,91,75,90,74,89,74,88,75,87,76,88,75,89,32,85,70,89,71,90,71,0,71,93,72,74,74,71,76,70,77,70,79,72,79,75,78,78,75,86,75,89,76,91,32,77,70,78,72,78,75,75,83,74,86,74,89,76,91,78,91,80,90,83,87,85,84,86,82,32,90,70,86,82,85,86,85,89,87,91,88,91,90,90,92,88,32,91,70,87,82,86,86,86,89,87,91,0,71,92,72,74,74,71,76,70,77,70,79,72,79,75,78,79,76,86,76,89,77,91,32,77,70,78,72,78,75,76,82,75,86,75,89,77,91,78,91,81,90,84,87,86,84,88,80,89,77,90,73,90,71,89,70,88,70,87,71,86,73,86,76,87,78,89,80,91,81,93,81,0,70,93,73,76,72,76,71,75,71,73,72,71,74,70,78,70,77,72,76,76,75,85,74,91,32,76,76,76,85,75,91,32,86,70,84,72,82,76,79,85,77,89,75,91,32,86,70,85,72,84,76,83,85,82,91,32,84,76,84,85,83,91,32,96,70,94,71,92,73,90,76,87,85,85,89,83,91,0,72,92,80,75,79,76,77,76,76,75,76,73,77,71,79,70,81,70,83,71,84,73,84,76,83,80,81,85,79,88,77,90,74,91,72,91,71,90,71,88,72,87,73,88,72,89,32,81,70,82,71,83,73,83,76,82,80,80,85,78,88,76,90,74,91,32,93,71,92,72,93,73,94,72,94,71,93,70,91,70,89,71,87,73,85,76,83,80,82,85,82,88,83,90,84,91,85,91,87,90,89,88,0,71,93,74,74,76,71,78,70,79,70,81,71,81,73,79,79,79,82,80,84,32,79,70,80,71,80,73,78,79,78,82,80,84,82,84,85,83,87,81,89,78,90,76,32,92,70,90,76,87,84,85,88,32,93,70,91,76,89,81,87,85,85,88,83,90,80,91,76,91,74,90,73,88,73,87,74,86,75,87,74,88,0,71,92,90,72,89,74,87,79,86,82,85,84,83,87,81,89,79,90,76,91,32,83,76,82,78,80,79,78,79,77,77,77,75,78,73,80,71,83,70,93,70,91,71,90,72,89,75,88,79,86,85,84,88,81,90,76,91,72,91,71,90,71,88,72,87,74,87,76,88,79,90,81,91,84,91,87,90,89,88,32,86,70,90,71,91,71,0,72,92,87,77,87,91,88,91,32,87,77,88,77,88,91,32,87,80,85,78,83,77,80,77,78,78,76,80,75,83,75,85,76,88,78,90,80,91,83,91,85,90,87,88,32,87,80,83,78,80,78,78,79,77,80,76,83,76,85,77,88,78,89,80,90,83,90,87,88,0,72,92,76,70,76,91,77,91,32,76,70,77,70,77,91,32,77,80,79,78,81,77,84,77,86,78,88,80,89,83,89,85,88,88,86,90,84,91,81,91,79,90,77,88,32,77,80,81,78,84,78,86,79,87,80,88,83,88,85,87,88,86,89,84,90,81,90,77,88,0,73,91,88,80,86,78,84,77,81,77,79,78,77,80,76,83,76,85,77,88,79,90,81,91,84,91,86,90,88,88,32,88,80,87,81,86,79,84,78,81,78,79,79,78,80,77,83,77,85,78,88,79,89,81,90,84,90,86,89,87,87,88,88,0,72,92,87,70,87,91,88,91,32,87,70,88,70,88,91,32,87,80,85,78,83,77,80,77,78,78,76,80,75,83,75,85,76,88,78,90,80,91,83,91,85,90,87,88,32,87,80,83,78,80,78,78,79,77,80,76,83,76,85,77,88,78,89,80,90,83,90,87,88,0,73,91,77,84,88,84,88,81,87,79,86,78,84,77,81,77,79,78,77,80,76,83,76,85,77,88,79,90,81,91,84,91,86,90,88,88,32,77,83,87,83,87,81,86,79,84,78,81,78,79,79,78,80,77,83,77,85,78,88,79,89,81,90,84,90,86,89,87,87,88,88,0,76,90,87,70,85,70,83,71,82,74,82,91,83,91,32,87,70,87,71,85,71,83,72,32,84,71,83,74,83,91,32,79,77,86,77,86,78,32,79,77,79,78,86,78,0,72,92,88,77,87,77,87,92,86,95,85,96,83,97,81,97,79,96,78,95,76,95,32,88,77,88,92,87,95,85,97,83,98,80,98,78,97,76,95,32,87,80,85,78,83,77,80,77,78,78,76,80,75,83,75,85,76,88,78,90,80,91,83,91,85,90,87,88,32,87,80,83,78,80,78,78,79,77,80,76,83,76,85,77,88,78,89,80,90,83,90,87,88,0,72,92,76,70,76,91,77,91,32,76,70,77,70,77,91,32,77,81,80,78,82,77,85,77,87,78,88,81,88,91,32,77,81,80,79,82,78,84,78,86,79,87,81,87,91,88,91,0,78,87,82,70,81,71,81,72,82,73,83,73,84,72,84,71,83,70,82,70,32,82,71,82,72,83,72,83,71,82,71,32,82,77,82,91,83,91,32,82,77,83,77,83,91,0,78,87,82,70,81,71,81,72,82,73,83,73,84,72,84,71,83,70,82,70,32,82,71,82,72,83,72,83,71,82,71,32,82,77,82,98,83,98,32,82,77,83,77,83,98,0,72,91,76,70,76,91,77,91,32,76,70,77,70,77,91,32,88,77,87,77,77,87,32,88,77,77,88,32,80,84,86,91,88,91,32,81,83,88,91,0,67,98,71,77,71,91,72,91,32,71,77,72,77,72,91,32,72,81,75,78,77,77,80,77,82,78,83,81,83,91,32,72,81,75,79,77,78,79,78,81,79,82,81,82,91,83,91,32,83,81,86,78,88,77,91,77,93,78,94,81,94,91,32,83,81,86,79,88,78,90,78,92,79,93,81,93,91,94,91,0,72,92,76,77,76,91,77,91,32,76,77,77,77,77,91,32,77,81,80,78,82,77,85,77,87,78,88,81,88,91,32,77,81,80,79,82,78,84,78,86,79,87,81,87,91,88,91,0,73,92,81,77,79,78,77,80,76,83,76,85,77,88,79,90,81,91,84,91,86,90,88,88,89,85,89,83,88,80,86,78,84,77,81,77,32,81,78,79,79,78,80,77,83,77,85,78,88,79,89,81,90,84,90,86,89,87,88,88,85,88,83,87,80,86,79,84,78,81,78,0,72,92,76,77,76,98,77,98,32,76,77,77,77,77,98,32,77,80,79,78,81,77,84,77,86,78,88,80,89,83,89,85,88,88,86,90,84,91,81,91,79,90,77,88,32,77,80,81,78,84,78,86,79,87,80,88,83,88,85,87,88,86,89,84,90,81,90,77,88,0,72,92,87,77,87,98,88,98,32,87,77,88,77,88,98,32,87,80,85,78,83,77,80,77,78,78,76,80,75,83,75,85,76,88,78,90,80,91,83,91,85,90,87,88,32,87,80,83,78,80,78,78,79,77,80,76,83,76,85,77,88,78,89,80,90,83,90,87,88,0,75,89,79,77,79,91,80,91,32,79,77,80,77,80,91,32,80,83,81,80,83,78,85,77,88,77,32,80,83,81,81,83,79,85,78,88,78,88,77,0,74,91,88,80,87,78,84,77,81,77,78,78,77,80,78,82,80,83,85,85,87,86,32,86,85,87,87,87,88,86,90,32,87,89,84,90,81,90,78,89,32,79,90,78,88,77,88,32,88,80,87,80,86,78,32,87,79,84,78,81,78,78,79,32,79,78,78,80,79,82,32,78,81,80,82,85,84,87,85,88,87,88,88,87,90,84,91,81,91,78,90,77,88,0,77,88,82,70,82,91,83,91,32,82,70,83,70,83,91,32,79,77,86,77,86,78,32,79,77,79,78,86,78,0,72,92,76,77,76,87,77,90,79,91,82,91,84,90,87,87,32,76,77,77,77,77,87,78,89,80,90,82,90,84,89,87,87,32,87,77,87,91,88,91,32,87,77,88,77,88,91,0,74,90,76,77,82,91,32,76,77,77,77,82,89,32,88,77,87,77,82,89,32,88,77,82,91,0,70,94,73,77,78,91,32,73,77,74,77,78,88,32,82,77,78,88,32,82,80,78,91,32,82,80,86,91,32,82,77,86,88,32,91,77,90,77,86,88,32,91,77,86,91,0,73,91,76,77,87,91,88,91,32,76,77,77,77,88,91,32,88,77,87,77,76,91,32,88,77,77,91,76,91,0,74,90,76,77,82,91,32,76,77,77,77,82,89,32,88,77,87,77,82,89,78,98,32,88,77,82,91,79,98,78,98,0,73,91,86,78,76,91,32,88,77,78,90,32,76,77,88,77,32,76,77,76,78,86,78,32,78,90,88,90,88,91,32,76,91,88,91,0,75,91,85,85,84,83,82,82,80,82,78,83,77,84,76,86,76,88,77,90,79,91,81,91,83,90,84,88,32,80,82,78,84,77,86,77,89,79,91,32,86,82,84,88,84,90,86,91,88,90,89,89,91,86,32,87,82,85,88,85,90,86,91,0,76,90,76,86,78,83,80,79,32,83,70,77,88,77,90,79,91,80,91,82,90,84,88,85,85,85,82,86,86,87,87,88,87,90,86,32,84,70,78,88,78,90,79,91,0,76,88,84,83,83,84,84,84,84,83,83,82,81,82,79,83,78,84,77,86,77,88,78,90,80,91,83,91,86,89,88,86,32,81,82,79,84,78,86,78,89,80,91,0,75,91,85,85,84,83,82,82,80,82,78,83,77,84,76,86,76,88,77,90,79,91,81,91,83,90,84,88,32,80,82,78,84,77,86,77,89,79,91,32,90,70,84,88,84,90,86,91,88,90,89,89,91,86,32,91,70,85,88,85,90,86,91,0,76,88,79,89,81,88,82,87,83,85,83,83,82,82,81,82,79,83,78,84,77,86,77,88,78,90,80,91,83,91,86,89,88,86,32,81,82,79,84,78,86,78,89,80,91,0,79,88,82,82,85,79,87,76,88,73,88,71,87,70,85,71,84,73,75,100,75,102,76,103,78,102,79,99,80,90,81,91,83,91,85,90,86,89,88,86,32,84,73,83,78,82,82,79,91,77,96,75,100,0,75,91,85,85,84,83,82,82,80,82,78,83,77,84,76,86,76,88,77,90,79,91,81,91,83,90,84,88,32,80,82,78,84,77,86,77,89,79,91,32,86,82,80,100,32,87,82,84,91,82,96,80,100,79,102,77,103,76,102,76,100,77,97,79,95,82,93,86,91,89,89,91,86,0,76,91,76,86,78,83,80,79,32,83,70,76,91,32,84,70,77,91,32,79,85,81,83,83,82,84,82,86,83,86,85,85,88,85,90,86,91,32,84,82,85,83,85,85,84,88,84,90,86,91,88,90,89,89,91,86,0,78,86,83,76,82,77,83,78,84,77,83,76,32,81,82,79,88,79,90,81,91,83,90,84,89,86,86,32,82,82,80,88,80,90,81,91,0,78,86,83,76,82,77,83,78,84,77,83,76,32,81,82,75,100,32,82,82,79,91,77,96,75,100,74,102,72,103,71,102,71,100,72,97,74,95,77,93,81,91,84,89,86,86,0,76,90,76,86,78,83,80,79,32,83,70,76,91,32,84,70,77,91,32,85,82,85,83,86,83,85,82,84,82,82,84,79,85,32,79,85,82,86,83,90,84,91,32,79,85,81,86,82,90,84,91,85,91,88,89,90,86,0,78,86,78,86,80,83,82,79,32,85,70,79,88,79,90,81,91,83,90,84,89,86,86,32,86,70,80,88,80,90,81,91,0,69,94,69,86,71,83,73,82,75,83,75,85,73,91,32,73,82,74,83,74,85,72,91,32,75,85,77,83,79,82,80,82,82,83,82,85,80,91,32,80,82,81,83,81,85,79,91,32,82,85,84,83,86,82,87,82,89,83,89,85,88,88,88,90,89,91,32,87,82,88,83,88,85,87,88,87,90,89,91,91,90,92,89,94,86,0,73,91,73,86,75,83,77,82,79,83,79,85,77,91,32,77,82,78,83,78,85,76,91,32,79,85,81,83,83,82,84,82,86,83,86,85,85,88,85,90,86,91,32,84,82,85,83,85,85,84,88,84,90,86,91,88,90,89,89,91,86,0,75,89,82,82,80,82,78,83,77,84,76,86,76,88,77,90,79,91,81,91,83,90,84,89,85,87,85,85,84,83,82,82,81,83,81,85,82,87,84,88,86,88,88,87,89,86,32,80,82,78,84,77,86,77,89,79,91,0,76,91,76,86,78,83,80,79,32,81,76,72,103,32,82,76,73,103,32,79,85,81,83,83,82,84,82,86,83,86,85,85,88,85,90,86,91,32,84,82,85,83,85,85,84,88,84,90,86,91,88,90,89,89,91,86,0,75,91,85,85,84,83,82,82,80,82,78,83,77,84,76,86,76,88,77,90,79,91,81,91,83,90,32,80,82,78,84,77,86,77,89,79,91,32,86,82,80,100,80,102,81,103,83,102,84,99,84,91,86,91,89,89,91,86,32,87,82,84,91,82,96,80,100,0,76,90,76,86,78,83,80,82,82,83,82,85,80,91,32,80,82,81,83,81,85,79,91,32,82,85,84,83,86,82,87,82,86,85,32,86,82,86,85,87,87,88,87,90,86,0,78,90,78,86,80,83,81,81,81,83,84,85,85,87,85,89,84,90,82,91,32,81,83,83,85,84,87,84,89,82,91,32,78,90,80,91,85,91,88,89,90,86,0,78,86,78,86,80,83,82,79,32,85,70,79,88,79,90,81,91,83,90,84,89,86,86,32,86,70,80,88,80,90,81,91,32,80,78,86,78,0,75,91,78,82,76,88,76,90,78,91,79,91,81,90,83,88,85,85,32,79,82,77,88,77,90,78,91,32,86,82,84,88,84,90,86,91,88,90,89,89,91,86,32,87,82,85,88,85,90,86,91,0,75,90,78,82,77,84,76,87,76,90,78,91,79,91,82,90,84,88,85,85,85,82,32,79,82,78,84,77,87,77,90,78,91,32,85,82,86,86,87,87,88,87,90,86,0,72,93,76,82,74,84,73,87,73,90,75,91,76,91,78,90,80,88,32,77,82,75,84,74,87,74,90,75,91,32,82,82,80,88,80,90,82,91,83,91,85,90,87,88,88,85,88,82,32,83,82,81,88,81,90,82,91,32,88,82,89,86,90,87,91,87,93,86,0,74,90,74,86,76,83,78,82,80,82,81,83,81,85,80,88,79,90,77,91,76,91,75,90,75,89,76,89,75,90,32,87,83,86,84,87,84,87,83,86,82,85,82,83,83,82,85,81,88,81,90,82,91,85,91,88,89,90,86,32,81,83,82,85,32,83,83,81,85,32,80,88,81,90,32,81,88,79,90,0,75,91,78,82,76,88,76,90,78,91,79,91,81,90,83,88,85,85,32,79,82,77,88,77,90,78,91,32,86,82,80,100,32,87,82,84,91,82,96,80,100,79,102,77,103,76,102,76,100,77,97,79,95,82,93,86,91,89,89,91,86,0,76,89,76,86,78,83,80,82,82,82,84,83,84,86,83,88,80,90,78,91,32,82,82,83,83,83,86,82,88,80,90,32,78,91,80,92,81,94,81,97,80,100,78,102,76,103,75,102,75,100,76,97,79,94,82,92,86,89,89,86,32,78,91,79,92,80,94,80,97,79,100,78,102,0,72,92,81,70,78,71,76,74,75,79,75,82,76,87,78,90,81,91,83,91,86,90,88,87,89,82,89,79,88,74,86,71,83,70,81,70,32,79,71,77,74,76,79,76,82,77,87,79,90,32,78,89,81,90,83,90,86,89,32,85,90,87,87,88,82,88,79,87,74,85,71,32,86,72,83,71,81,71,78,72,0,72,92,78,74,80,73,83,70,83,91,32,78,74,78,75,80,74,82,72,82,91,83,91,0,72,92,76,75,76,74,77,72,78,71,80,70,84,70,86,71,87,72,88,74,88,76,87,78,85,81,76,91,32,76,75,77,75,77,74,78,72,80,71,84,71,86,72,87,74,87,76,86,78,84,81,75,91,32,76,90,89,90,89,91,32,75,91,89,91,0,72,92,77,70,88,70,81,79,32,77,70,77,71,87,71,32,87,70,80,79,32,81,78,83,78,86,79,88,81,89,84,89,85,88,88,86,90,83,91,80,91,77,90,76,89,75,87,76,87,32,80,79,83,79,86,80,88,83,32,84,79,87,81,88,84,88,85,87,88,84,90,32,88,86,86,89,83,90,80,90,77,89,76,87,32,79,90,76,88,0,72,92,85,73,85,91,86,91,32,86,70,86,91,32,86,70,75,86,90,86,32,85,73,76,86,32,76,85,90,85,90,86,0,72,92,77,70,76,79,32,78,71,77,78,32,77,70,87,70,87,71,32,78,71,87,71,32,77,78,80,77,83,77,86,78,88,80,89,83,89,85,88,88,86,90,83,91,80,91,77,90,76,89,75,87,76,87,32,76,79,77,79,79,78,83,78,86,79,88,82,32,84,78,87,80,88,83,88,85,87,88,84,90,32,88,86,86,89,83,90,80,90,77,89,76,87,32,79,90,76,88,0,72,92,86,71,87,73,88,73,87,71,84,70,82,70,79,71,77,74,76,79,76,84,77,88,79,90,82,91,83,91,86,90,88,88,89,85,89,84,88,81,86,79,83,78,82,78,79,79,77,81,32,87,72,84,71,82,71,79,72,32,80,71,78,74,77,79,77,84,78,88,81,90,32,77,86,79,89,82,90,83,90,86,89,88,86,32,84,90,87,88,88,85,88,84,87,81,84,79,32,88,83,86,80,83,79,82,79,79,80,77,83,32,81,79,78,81,77,84,0,72,92,75,70,89,70,79,91,32,75,70,75,71,88,71,32,88,70,78,91,79,91,0,72,92,80,70,77,71,76,73,76,75,77,77,78,78,80,79,84,80,86,81,87,82,88,84,88,87,87,89,84,90,80,90,77,89,76,87,76,84,77,82,78,81,80,80,84,79,86,78,87,77,88,75,88,73,87,71,84,70,80,70,32,78,71,77,73,77,75,78,77,80,78,84,79,86,80,88,82,89,84,89,87,88,89,87,90,84,91,80,91,77,90,76,89,75,87,75,84,76,82,78,80,80,79,84,78,86,77,87,75,87,73,86,71,32,87,72,84,71,80,71,77,72,32,76,88,79,90,32,85,90,88,88,0,72,92,87,80,85,82,82,83,81,83,78,82,76,80,75,77,75,76,76,73,78,71,81,70,82,70,85,71,87,73,88,77,88,82,87,87,85,90,82,91,80,91,77,90,76,88,77,88,78,90,32,87,77,86,80,83,82,32,87,78,85,81,82,82,81,82,78,81,76,78,32,80,82,77,80,76,77,76,76,77,73,80,71,32,76,75,78,72,81,71,82,71,85,72,87,75,32,83,71,86,73,87,77,87,82,86,87,84,90,32,85,89,82,90,80,90,77,89,0,77,88,82,88,81,89,81,90,82,91,83,91,84,90,84,89,83,88,82,88,32,82,89,82,90,83,90,83,89,82,89,0,77,88,84,90,83,91,82,91,81,90,81,89,82,88,83,88,84,89,84,92,83,94,81,95,32,82,89,82,90,83,90,83,89,82,89,32,83,91,84,92,32,84,90,83,94,0,77,88,82,77,81,78,81,79,82,80,83,80,84,79,84,78,83,77,82,77,32,82,78,82,79,83,79,83,78,82,78,32,82,88,81,89,81,90,82,91,83,91,84,90,84,89,83,88,82,88,32,82,89,82,90,83,90,83,89,82,89,0,77,88,82,77,81,78,81,79,82,80,83,80,84,79,84,78,83,77,82,77,32,82,78,82,79,83,79,83,78,82,78,32,84,90,83,91,82,91,81,90,81,89,82,88,83,88,84,89,84,92,83,94,81,95,32,82,89,82,90,83,90,83,89,82,89,32,83,91,84,92,32,84,90,83,94,0,77,88,82,70,82,84,83,84,32,82,70,83,70,83,84,32,82,88,81,89,81,90,82,91,83,91,84,90,84,89,83,88,82,88,32,82,89,82,90,83,90,83,89,82,89,0,73,92,76,75,76,74,77,72,78,71,81,70,84,70,87,71,88,72,89,74,89,76,88,78,87,79,85,80,82,81,32,76,75,77,75,77,74,78,72,81,71,84,71,87,72,88,74,88,76,87,78,85,79,82,80,32,77,73,80,71,32,85,71,88,73,32,88,77,84,80,32,82,80,82,84,83,84,83,80,32,82,88,81,89,81,90,82,91,83,91,84,90,84,89,83,88,82,88,32,82,89,82,90,83,90,83,89,82,89,0,77,88,84,70,82,71,81,73,81,76,82,77,83,77,84,76,84,75,83,74,82,74,81,75,32,82,75,82,76,83,76,83,75,82,75,32,82,71,81,75,32,81,73,82,74,0,77,88,84,72,83,73,82,73,81,72,81,71,82,70,83,70,84,71,84,74,83,76,81,77,32,82,71,82,72,83,72,83,71,82,71,32,83,73,84,74,32,84,72,83,76,0,70,95,92,77,90,77,88,78,87,80,85,86,84,88,83,89,81,90,77,90,75,89,74,87,74,85,75,83,76,82,81,79,83,77,84,75,84,73,83,71,81,70,80,70,78,71,77,73,77,75,78,78,80,81,85,87,88,90,90,91,92,91,32,92,77,92,78,90,78,87,80,32,90,77,88,80,86,86,85,88,83,90,81,91,77,91,75,90,74,89,73,87,73,85,74,83,76,81,81,78,82,77,83,75,83,73,82,71,32,83,72,81,71,80,71,78,72,32,79,71,78,73,78,75,79,78,81,81,86,87,88,89,90,90,92,90,92,91,0,73,92,82,66,82,95,83,95,32,82,66,83,66,83,95,32,87,73,89,73,87,71,84,70,81,70,78,71,76,73,76,75,77,77,78,78,86,82,87,83,88,85,88,87,87,89,84,90,81,90,79,89,78,88,32,87,73,86,72,84,71,81,71,78,72,77,73,77,75,78,77,86,81,88,83,89,85,89,87,88,89,87,90,84,91,81,91,78,90,76,88,78,88,32,88,88,85,90,0,71,94,91,66,73,98,74,98,32,91,66,92,66,74,98,0,75,89,85,66,83,68,81,71,79,75,78,80,78,84,79,89,81,93,83,96,85,98,86,98,32,85,66,86,66,84,68,82,71,80,75,79,80,79,84,80,89,82,93,84,96,86,98,0,75,89,78,66,80,68,82,71,84,75,85,80,85,84,84,89,82,93,80,96,78,98,79,98,32,78,66,79,66,81,68,83,71,85,75,86,80,86,84,85,89,83,93,81,96,79,98,0,74,90,82,70,81,71,83,81,82,82,32,82,70,82,82,32,82,70,83,71,81,81,82,82,32,77,73,78,73,86,79,87,79,32,77,73,87,79,32,77,73,77,74,87,78,87,79,32,87,73,86,73,78,79,77,79,32,87,73,77,79,32,87,73,87,74,77,78,77,79,0,70,95,74,81,91,81,91,82,32,74,81,74,82,91,82,0,70,95,82,73,82,90,83,90,32,82,73,83,73,83,90,32,74,81,91,81,91,82,32,74,81,74,82,91,82,0,70,95,74,77,91,77,91,78,32,74,77,74,78,91,78,32,74,85,91,85,91,86,32,74,85,74,86,91,86,0,78,87,83,70,82,71,82,77,32,83,71,82,77,32,83,70,84,71,82,77,0,73,91,78,70,77,71,77,77,32,78,71,77,77,32,78,70,79,71,77,77,32,87,70,86,71,86,77,32,87,71,86,77,32,87,70,88,71,86,77,0,75,89,81,70,79,71,78,73,78,75,79,77,81,78,83,78,85,77,86,75,86,73,85,71,83,70,81,70,32,81,70,78,73,79,77,83,78,86,75,85,71,81,70,32,83,70,79,71,78,75,81,78,85,77,86,73,83,70,0,70,94,90,73,74,82,90,91,32,90,73,90,74,76,82,90,90,90,91,0,70,94,74,73,90,82,74,91,32,74,73,74,74,88,82,74,90,74,91,0,71,94,79,70,79,98,80,98,32,79,70,80,70,80,98,32,85,70,85,98,86,98,32,85,70,86,70,86,98,32,74,80,91,80,91,81,32,74,80,74,81,91,81,32,74,87,91,87,91,88,32,74,87,74,88,91,88,0,70,94,91,70,89,71,86,72,83,72,80,71,78,70,76,70,74,71,73,73,73,75,75,77,77,77,79,76,80,74,80,72,78,70,32,91,70,72,91,73,91,32,91,70,92,70,73,91,32,89,84,87,84,85,85,84,87,84,89,86,91,88,91,90,90,91,88,91,86,89,84,32,78,70,74,71,73,75,77,77,80,74,78,70,32,76,70,73,73,75,77,79,76,80,72,76,70,32,89,84,85,85,84,89,88,91,91,88,89,84,32,87,84,84,87,86,91,90,90,91,86,87,84,0,69,96,87,77,84,75,81,75,79,76,78,77,77,79,77,82,78,84,79,85,81,86,84,86,87,84,32,87,77,84,76,81,76,79,77,78,79,78,82,79,84,81,85,84,85,87,84,32,86,75,86,83,87,85,89,86,90,86,92,85,93,83,93,79,92,76,91,74,89,72,87,71,84,70,81,70,78,71,76,72,74,74,73,76,72,79,72,82,73,85,74,87,76,89,78,90,81,91,85,91,89,90,32,86,75,87,75,87,83,88,85,90,86,32,89,86,91,85,92,83,92,79,91,76,90,74,89,73,87,72,84,71,81,71,78,72,76,73,75,74,74,76,73,79,73,82,74,85,75,87,76,88,78,89,81,90,85,90,89,89,89,90,0,69,95,74,80,76,79,78,79,80,80,83,84,84,85,86,86,88,86,90,85,91,83,91,81,90,79,88,78,86,78,84,79,83,80,80,84,78,85,76,85,74,84,32,90,80,88,79,86,79,84,80,81,84,80,85,78,86,76,86,74,85,73,83,73,81,74,79,76,78,78,78,80,79,81,80,84,84,86,85,88,85,90,84,32,75,79,74,81,74,83,75,85,32,89,85,90,83,90,81,89,79,0,72,93,84,70,81,71,79,73,77,76,76,79,75,83,75,86,76,89,77,90,79,91,81,91,84,90,86,88,88,85,89,82,90,78,90,75,89,72,88,71,86,70,84,70,32,84,70,82,71,80,73,78,76,77,79,76,83,76,86,77,89,79,91,32,81,91,83,90,85,88,87,85,88,82,89,78,89,75,88,72,86,70,0,72,93,84,74,79,91,32,86,70,80,91,32,86,70,83,73,80,75,78,76,32,85,73,81,75,78,76,0,72,93,79,74,80,75,79,76,78,75,78,74,79,72,80,71,83,70,86,70,89,71,90,73,90,75,89,77,87,79,84,81,80,83,77,85,75,87,73,91,32,86,70,88,71,89,73,89,75,88,77,86,79,80,83,32,74,89,75,88,77,88,82,90,85,90,87,89,88,87,32,77,88,82,91,85,91,87,90,88,87,0,72,93,79,74,80,75,79,76,78,75,78,74,79,72,80,71,83,70,86,70,89,71,90,73,90,75,89,77,86,79,83,80,32,86,70,88,71,89,73,89,75,88,77,86,79,32,81,80,83,80,86,81,87,82,88,84,88,87,87,89,86,90,83,91,79,91,76,90,75,89,74,87,74,86,75,85,76,86,75,87,32,83,80,85,81,86,82,87,84,87,87,86,89,85,90,83,91,0,72,93,88,71,82,91,32,89,70,83,91,32,89,70,74,85,90,85,0,72,93,81,70,76,80,32,81,70,91,70,32,81,71,86,71,91,70,32,76,80,77,79,80,78,83,78,86,79,87,80,88,82,88,85,87,88,85,90,82,91,79,91,76,90,75,89,74,87,74,86,75,85,76,86,75,87,32,83,78,85,79,86,80,87,82,87,85,86,88,84,90,82,91,0,72,93,89,73,88,74,89,75,90,74,90,73,89,71,87,70,84,70,81,71,79,73,77,76,76,79,75,83,75,87,76,89,77,90,79,91,82,91,85,90,87,88,88,86,88,83,87,81,86,80,84,79,81,79,79,80,77,82,76,84,32,84,70,82,71,80,73,78,76,77,79,76,83,76,88,77,90,32,82,91,84,90,86,88,87,86,87,82,86,80,0,72,93,78,70,76,76,32,91,70,90,73,88,76,83,82,81,85,80,87,79,91,32,88,76,82,82,80,85,79,87,78,91,32,77,73,80,70,82,70,87,73,32,78,72,80,71,82,71,87,73,89,73,90,72,91,70,0,72,93,83,70,80,71,79,72,78,74,78,77,79,79,81,80,84,80,88,79,89,78,90,76,90,73,89,71,86,70,83,70,32,83,70,81,71,80,72,79,74,79,77,80,79,81,80,32,84,80,87,79,88,78,89,76,89,73,88,71,86,70,32,81,80,77,81,75,83,74,85,74,88,75,90,78,91,82,91,86,90,87,89,88,87,88,84,87,82,86,81,84,80,32,81,80,78,81,76,83,75,85,75,88,76,90,78,91,32,82,91,85,90,86,89,87,87,87,83,86,81,0,72,93,89,77,88,79,86,81,84,82,81,82,79,81,78,80,77,78,77,75,78,73,80,71,83,70,86,70,88,71,89,72,90,74,90,78,89,82,88,85,86,88,84,90,81,91,78,91,76,90,75,88,75,87,76,86,77,87,76,88,32,79,81,78,79,78,75,79,73,81,71,83,70,32,88,71,89,73,89,78,88,82,87,85,85,88,83,90,81,91,0,77,88,80,89,79,90,80,91,81,90,80,89,0,77,88,80,91,79,90,80,89,81,90,81,91,80,93,78,95,0,77,88,83,77,82,78,83,79,84,78,83,77,32,80,89,79,90,80,91,81,90,0,77,88,83,77,82,78,83,79,84,78,83,77,32,80,91,79,90,80,89,81,90,81,91,80,93,78,95,0,77,88,85,70,84,71,82,83,32,85,71,82,83,32,85,70,86,71,82,83,32,80,89,79,90,80,91,81,90,80,89,0,72,93,79,74,80,75,79,76,78,75,78,74,79,72,80,71,83,70,87,70,90,71,91,73,91,75,90,77,89,78,83,80,81,81,81,83,82,84,84,84,32,87,70,89,71,90,73,90,75,89,77,88,78,86,79,32,80,89,79,90,80,91,81,90,80,89,0,77,88,86,70,84,72,83,74,83,75,84,76,85,75,84,74,0,77,88,85,72,84,71,85,70,86,71,86,72,85,74,83,76,0,69,95,92,78,91,79,92,80,93,79,93,78,92,77,91,77,89,78,87,80,82,88,80,90,78,91,75,91,72,90,71,88,71,86,72,84,73,83,75,82,80,80,82,79,84,77,85,75,85,73,84,71,82,70,80,71,79,73,79,76,80,82,81,85,83,88,85,90,87,91,89,91,90,89,90,88,32,75,91,73,90,72,88,72,86,73,84,74,83,80,80,32,79,76,80,81,81,84,83,87,85,89,87,90,89,90,90,89,0,72,93,84,66,76,95,32,89,66,81,95,32,90,74,89,75,90,76,91,75,91,74,90,72,89,71,86,70,82,70,79,71,77,73,77,75,78,77,79,78,86,82,88,84,32,77,75,79,77,86,81,87,82,88,84,88,87,87,89,86,90,83,91,79,91,76,90,75,89,74,87,74,86,75,85,76,86,75,87,0,71,93,95,66,69,98,0,75,90,90,66,86,69,83,72,81,75,79,79,78,84,78,88,79,93,80,96,81,98,32,86,69,83,73,81,77,80,80,79,85,79,90,80,95,81,98,0,74,89,83,66,84,68,85,71,86,76,86,80,85,85,83,89,81,92,78,95,74,98,32,83,66,84,69,85,74,85,79,84,84,83,87,81,91,78,95,0,74,91,84,70,84,82,32,79,73,89,79,32,89,73,79,79,0,78,87,85,70,83,77,32,86,70,83,77,0,73,91,80,70,78,77,32,81,70,78,77,32,89,70,87,77,32,90,70,87,77,0,75,90,83,70,81,71,80,73,80,75,81,77,83,78,85,78,87,77,88,75,88,73,87,71,85,70,83,70,0,72,93,83,70,76,98,32,89,70,82,98,32,76,81,90,81,32,75,87,89,87,0,69,95,94,70,92,71,88,72,85,72,81,71,79,70,77,70,75,71,74,73,74,75,76,77,78,77,80,76,81,74,81,72,79,70,32,94,70,70,91,32,88,84,86,84,84,85,83,87,83,89,85,91,87,91,89,90,90,88,90,86,88,84,0,71,93,76,70,76,91,32,77,70,77,91,32,73,70,89,70,89,76,88,70,32,77,80,85,80,88,81,89,82,90,84,90,87,89,89,88,90,85,91,73,91,32,85,80,87,81,88,82,89,84,89,87,88,89,87,90,85,91,0,70,94,78,70,78,76,77,84,76,88,75,90,74,91,32,88,70,88,91,32,89,70,89,91,32,75,70,92,70,32,71,91,92,91,32,71,91,71,98,32,72,91,71,98,32,91,91,92,98,32,92,91,92,98,0,67,98,82,70,82,91,32,83,70,83,91,32,79,70,86,70,32,71,71,72,72,71,73,70,72,70,71,71,70,72,70,73,71,74,73,75,77,76,79,78,80,87,80,89,79,90,77,91,73,92,71,93,70,94,70,95,71,95,72,94,73,93,72,94,71,32,78,80,76,81,75,83,74,88,73,90,72,91,32,78,80,77,81,76,83,75,88,74,90,73,91,71,91,70,90,69,88,32,87,80,89,81,90,83,91,88,92,90,93,91,32,87,80,88,81,89,83,90,88,91,90,92,91,94,91,95,90,96,88,32,79,91,86,91,0,72,92,76,73,75,70,75,76,76,73,78,71,80,70,84,70,87,71,88,73,88,76,87,78,84,79,81,79,32,84,70,86,71,87,73,87,76,86,78,84,79,32,84,79,86,80,88,82,89,84,89,87,88,89,87,90,84,91,79,91,77,90,76,89,75,87,75,86,76,85,77,86,76,87,32,87,81,88,84,88,87,87,89,86,90,84,91,0,70,94,75,70,75,91,32,76,70,76,91,32,88,70,88,91,32,89,70,89,91,32,72,70,79,70,32,85,70,92,70,32,88,72,76,89,32,72,91,79,91,32,85,91,92,91,0,70,94,75,70,75,91,32,76,70,76,91,32,88,70,88,91,32,89,70,89,91,32,72,70,79,70,32,85,70,92,70,32,88,72,76,89,32,72,91,79,91,32,85,91,92,91,32,78,64,78,63,77,63,77,64,78,66,80,67,84,67,86,66,87,64,0,70,94,75,70,75,91,32,76,70,76,91,32,72,70,79,70,32,76,80,83,80,85,79,86,77,87,73,88,71,89,70,90,70,91,71,91,72,90,73,89,72,90,71,32,83,80,85,81,86,83,87,88,88,90,89,91,32,83,80,84,81,85,83,86,88,87,90,88,91,90,91,91,90,92,88,32,72,91,79,91,0,69,94,77,70,77,76,76,84,75,88,74,90,73,91,72,91,71,90,71,89,72,88,73,89,72,90,32,88,70,88,91,32,89,70,89,91,32,74,70,92,70,32,85,91,92,91,0,72,93,75,70,82,86,32,76,70,83,86,32,90,70,83,86,81,89,80,90,78,91,77,91,76,90,76,89,77,88,78,89,77,90,32,73,70,79,70,32,86,70,92,70,0,70,95,82,70,82,91,32,83,70,83,91,32,79,70,86,70,32,80,73,76,74,74,76,73,79,73,82,74,85,76,87,80,88,85,88,89,87,91,85,92,82,92,79,91,76,89,74,85,73,80,73,32,80,73,77,74,75,76,74,79,74,82,75,85,77,87,80,88,32,85,88,88,87,90,85,91,82,91,79,90,76,88,74,85,73,32,79,91,86,91,0,70,94,75,70,75,91,32,76,70,76,91,32,88,70,88,91,32,89,70,89,91,32,72,70,79,70,32,85,70,92,70,32,72,91,92,91,32,91,91,92,98,32,92,91,92,98,0,70,93,75,70,75,81,76,83,79,84,82,84,85,83,87,81,32,76,70,76,81,77,83,79,84,32,87,70,87,91,32,88,70,88,91,32,72,70,79,70,32,84,70,91,70,32,84,91,91,91,0,66,99,71,70,71,91,32,72,70,72,91,32,82,70,82,91,32,83,70,83,91,32,93,70,93,91,32,94,70,94,91,32,68,70,75,70,32,79,70,86,70,32,90,70,97,70,32,68,91,97,91,0,66,99,71,70,71,91,32,72,70,72,91,32,82,70,82,91,32,83,70,83,91,32,93,70,93,91,32,94,70,94,91,32,68,70,75,70,32,79,70,86,70,32,90,70,97,70,32,68,91,97,91,32,96,91,97,98,32,97,91,97,98,0,70,96,80,70,80,91,32,81,70,81,91,32,73,70,72,76,72,70,84,70,32,81,80,88,80,91,81,92,82,93,84,93,87,92,89,91,90,88,91,77,91,32,88,80,90,81,91,82,92,84,92,87,91,89,90,90,88,91,0,67,97,72,70,72,91,32,73,70,73,91,32,69,70,76,70,32,73,80,80,80,83,81,84,82,85,84,85,87,84,89,83,90,80,91,69,91,32,80,80,82,81,83,82,84,84,84,87,83,89,82,90,80,91,32,91,70,91,91,32,92,70,92,91,32,88,70,95,70,32,88,91,95,91,0,72,93,77,70,77,91,32,78,70,78,91,32,74,70,81,70,32,78,80,85,80,88,81,89,82,90,84,90,87,89,89,88,90,85,91,74,91,32,85,80,87,81,88,82,89,84,89,87,88,89,87,90,85,91,0,72,93,76,73,75,70,75,76,76,73,78,71,81,70,83,70,86,71,88,73,89,75,90,78,90,83,89,86,88,88,86,90,83,91,80,91,77,90,76,89,75,87,75,86,76,85,77,86,76,87,32,83,70,85,71,87,73,88,75,89,78,89,83,88,86,87,88,85,90,83,91,32,80,80,89,80,0,67,98,72,70,72,91,32,73,70,73,91,32,69,70,76,70,32,69,91,76,91,32,86,70,83,71,81,73,80,75,79,79,79,82,80,86,81,88,83,90,86,91,88,91,91,90,93,88,94,86,95,82,95,79,94,75,93,73,91,71,88,70,86,70,32,86,70,84,71,82,73,81,75,80,79,80,82,81,86,82,88,84,90,86,91,32,88,91,90,90,92,88,93,86,94,82,94,79,93,75,92,73,90,71,88,70,32,73,80,79,80,0,71,93,87,70,87,91,32,88,70,88,91,32,91,70,79,70,76,71,75,72,74,74,74,76,75,78,76,79,79,80,87,80,32,79,70,77,71,76,72,75,74,75,76,76,78,77,79,79,80,32,82,80,80,81,79,82,76,89,75,90,74,90,73,89,32,80,81,79,83,77,90,76,91,74,91,73,89,73,88,32,84,91,91,91,0,72,92,88,70,87,71,81,73,78,75,76,78,75,81,75,85,76,88,78,90,81,91,83,91,86,90,88,88,89,85,89,83,88,80,86,78,83,77,81,77,78,78,76,80,75,83,32,88,70,87,72,85,73,81,74,78,76,76,78,32,81,77,79,78,77,80,76,83,76,85,77,88,79,90,81,91,32,83,91,85,90,87,88,88,85,88,83,87,80,85,78,83,77,0,72,92,77,77,77,91,32,78,77,78,91,32,74,77,85,77,88,78,89,80,89,81,88,83,85,84,32,85,77,87,78,88,80,88,81,87,83,85,84,32,78,84,85,84,88,85,89,87,89,88,88,90,85,91,74,91,32,85,84,87,85,88,87,88,88,87,90,85,91,0,72,90,77,77,77,91,32,78,77,78,91,32,74,77,88,77,88,82,87,77,32,74,91,81,91,0,70,93,78,77,78,81,77,87,76,90,75,91,32,87,77,87,91,32,88,77,88,91,32,75,77,91,77,32,73,91,72,96,72,91,91,91,91,96,90,91,0,69,96,82,77,82,91,32,83,77,83,91,32,79,77,86,77,32,74,78,73,79,72,78,73,77,74,77,75,78,77,82,78],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+317444);allocate([83,80,84,85,84,87,83,88,82,90,78,91,77,92,77,93,78,92,79,91,78,32,80,84,78,85,77,86,75,90,74,91,32,80,84,78,86,76,90,75,91,73,91,72,90,71,88,32,85,84,87,85,88,86,90,90,91,91,32,85,84,87,86,89,90,90,91,92,91,93,90,94,88,32,79,91,86,91,0,73,91,77,79,76,77,76,81,77,79,78,78,80,77,84,77,87,78,88,80,88,81,87,83,84,84,32,84,77,86,78,87,80,87,81,86,83,84,84,32,81,84,84,84,87,85,88,87,88,88,87,90,84,91,80,91,77,90,76,88,76,87,77,86,78,87,77,88,32,84,84,86,85,87,87,87,88,86,90,84,91,0,71,93,76,77,76,91,32,77,77,77,91,32,87,77,87,91,32,88,77,88,91,32,73,77,80,77,32,84,77,91,77,32,73,91,80,91,32,84,91,91,91,32,87,78,77,90,0,71,93,76,77,76,91,32,77,77,77,91,32,87,77,87,91,32,88,77,88,91,32,73,77,80,77,32,84,77,91,77,32,73,91,80,91,32,84,91,91,91,32,87,78,77,90,32,79,71,79,70,78,70,78,71,79,73,81,74,83,74,85,73,86,71,0,72,92,77,77,77,91,32,78,77,78,91,32,74,77,81,77,32,78,84,80,84,83,83,84,82,86,78,87,77,88,77,89,78,88,79,87,78,32,80,84,83,85,84,86,86,90,87,91,32,80,84,82,85,83,86,85,90,86,91,88,91,89,90,90,88,32,74,91,81,91,0,71,93,78,77,78,81,77,87,76,90,75,91,74,91,73,90,74,89,75,90,32,87,77,87,91,32,88,77,88,91,32,75,77,91,77,32,84,91,91,91,0,71,94,76,77,76,91,32,76,77,82,91,32,77,77,82,89,32,88,77,82,91,32,88,77,88,91,32,89,77,89,91,32,73,77,77,77,32,88,77,92,77,32,73,91,79,91,32,85,91,92,91,0,71,93,76,77,76,91,32,77,77,77,91,32,87,77,87,91,32,88,77,88,91,32,73,77,80,77,32,84,77,91,77,32,77,84,87,84,32,73,91,80,91,32,84,91,91,91,0,71,93,76,77,76,91,32,77,77,77,91,32,87,77,87,91,32,88,77,88,91,32,73,77,91,77,32,73,91,80,91,32,84,91,91,91,0,73,92,82,77,82,91,32,83,77,83,91,32,77,77,76,82,76,77,89,77,89,82,88,77,32,79,91,86,91,0,73,91,76,77,82,91,32,77,77,82,89,32,88,77,82,91,80,95,78,97,76,98,75,98,74,97,75,96,76,97,32,74,77,80,77,32,84,77,90,77,0,72,93,82,70,82,98,32,83,70,83,98,32,79,70,83,70,32,82,80,81,78,80,77,78,77,76,78,75,81,75,87,76,90,78,91,80,91,81,90,82,88,32,78,77,77,78,76,81,76,87,77,90,78,91,32,87,77,88,78,89,81,89,87,88,90,87,91,32,83,80,84,78,85,77,87,77,89,78,90,81,90,87,89,90,87,91,85,91,84,90,83,88,32,79,98,86,98,0,71,93,76,77,76,91,32,77,77,77,91,32,87,77,87,91,32,88,77,88,91,32,73,77,80,77,32,84,77,91,77,32,73,91,91,91,91,96,90,91,0,71,93,76,77,76,84,77,86,80,87,82,87,85,86,87,84,32,77,77,77,84,78,86,80,87,32,87,77,87,91,32,88,77,88,91,32,73,77,80,77,32,84,77,91,77,32,84,91,91,91,0,67,98,72,77,72,91,32,73,77,73,91,32,82,77,82,91,32,83,77,83,91,32,92,77,92,91,32,93,77,93,91,32,69,77,76,77,32,79,77,86,77,32,89,77,96,77,32,69,91,96,91,0,67,98,72,77,72,91,32,73,77,73,91,32,82,77,82,91,32,83,77,83,91,32,92,77,92,91,32,93,77,93,91,32,69,77,76,77,32,79,77,86,77,32,89,77,96,77,32,69,91,96,91,96,96,95,91,0,72,93,81,77,81,91,32,82,77,82,91,32,76,77,75,82,75,77,85,77,32,82,84,86,84,89,85,90,87,90,88,89,90,86,91,78,91,32,86,84,88,85,89,87,89,88,88,90,86,91,0,69,95,74,77,74,91,32,75,77,75,91,32,71,77,78,77,32,75,84,79,84,82,85,83,87,83,88,82,90,79,91,71,91,32,79,84,81,85,82,87,82,88,81,90,79,91,32,89,77,89,91,32,90,77,90,91,32,86,77,93,77,32,86,91,93,91,0,74,91,79,77,79,91,32,80,77,80,91,32,76,77,83,77,32,80,84,84,84,87,85,88,87,88,88,87,90,84,91,76,91,32,84,84,86,85,87,87,87,88,86,90,84,91,0,73,92,77,79,76,77,76,81,77,79,78,78,80,77,83,77,86,78,88,80,89,83,89,85,88,88,86,90,83,91,80,91,78,90,76,88,76,87,77,86,78,87,77,88,32,83,77,85,78,87,80,88,83,88,85,87,88,85,90,83,91,32,82,84,88,84,0,68,97,73,77,73,91,32,74,77,74,91,32,70,77,77,77,32,70,91,77,91,32,86,77,83,78,81,80,80,83,80,85,81,88,83,90,86,91,88,91,91,90,93,88,94,85,94,83,93,80,91,78,88,77,86,77,32,86,77,84,78,82,80,81,83,81,85,82,88,84,90,86,91,32,88,91,90,90,92,88,93,85,93,83,92,80,90,78,88,77,32,74,84,80,84,0,71,92,86,77,86,91,32,87,77,87,91,32,90,77,79,77,76,78,75,80,75,81,76,83,79,84,86,84,32,79,77,77,78,76,80,76,81,77,83,79,84,32,84,84,81,85,80,86,78,90,77,91,32,84,84,82,85,81,86,79,90,78,91,76,91,75,90,74,88,32,83,91,90,91,0,72,92,82,70,75,90,32,81,73,87,91,32,82,73,88,91,32,82,70,89,91,32,77,85,86,85,32,73,91,79,91,32,84,91,91,91,32,75,90,74,91,32,75,90,77,91,32,87,90,85,91,32,87,89,86,91,32,88,89,90,91,0,71,93,76,70,76,91,32,77,71,77,90,32,78,70,78,91,32,73,70,85,70,88,71,89,72,90,74,90,76,89,78,88,79,85,80,32,88,72,89,74,89,76,88,78,32,85,70,87,71,88,73,88,77,87,79,85,80,32,78,80,85,80,88,81,89,82,90,84,90,87,89,89,88,90,85,91,73,91,32,88,82,89,84,89,87,88,89,32,85,80,87,81,88,83,88,88,87,90,85,91,32,74,70,76,71,32,75,70,76,72,32,79,70,78,72,32,80,70,78,71,32,76,90,74,91,32,76,89,75,91,32,78,89,79,91,32,78,90,80,91,0,71,92,88,73,89,70,89,76,88,73,86,71,84,70,81,70,78,71,76,73,75,75,74,78,74,83,75,86,76,88,78,90,81,91,84,91,86,90,88,88,89,86,32,77,73,76,75,75,78,75,83,76,86,77,88,32,81,70,79,71,77,74,76,78,76,83,77,87,79,90,81,91,0,71,93,76,70,76,91,32,77,71,77,90,32,78,70,78,91,32,73,70,83,70,86,71,88,73,89,75,90,78,90,83,89,86,88,88,86,90,83,91,73,91,32,87,73,88,75,89,78,89,83,88,86,87,88,32,83,70,85,71,87,74,88,78,88,83,87,87,85,90,83,91,32,74,70,76,71,32,75,70,76,72,32,79,70,78,72,32,80,70,78,71,32,76,90,74,91,32,76,89,75,91,32,78,89,79,91,32,78,90,80,91,0,71,92,76,70,76,91,32,77,71,77,90,32,78,70,78,91,32,73,70,89,70,89,76,32,78,80,84,80,32,84,76,84,84,32,73,91,89,91,89,85,32,74,70,76,71,32,75,70,76,72,32,79,70,78,72,32,80,70,78,71,32,84,70,89,71,32,86,70,89,72,32,87,70,89,73,32,88,70,89,76,32,84,76,83,80,84,84,32,84,78,82,80,84,82,32,84,79,80,80,84,81,32,76,90,74,91,32,76,89,75,91,32,78,89,79,91,32,78,90,80,91,32,84,91,89,90,32,86,91,89,89,32,87,91,89,88,32,88,91,89,85,0,71,91,76,70,76,91,32,77,71,77,90,32,78,70,78,91,32,73,70,89,70,89,76,32,78,80,84,80,32,84,76,84,84,32,73,91,81,91,32,74,70,76,71,32,75,70,76,72,32,79,70,78,72,32,80,70,78,71,32,84,70,89,71,32,86,70,89,72,32,87,70,89,73,32,88,70,89,76,32,84,76,83,80,84,84,32,84,78,82,80,84,82,32,84,79,80,80,84,81,32,76,90,74,91,32,76,89,75,91,32,78,89,79,91,32,78,90,80,91,0,71,94,88,73,89,70,89,76,88,73,86,71,84,70,81,70,78,71,76,73,75,75,74,78,74,83,75,86,76,88,78,90,81,91,84,91,86,90,88,90,89,91,89,83,32,77,73,76,75,75,78,75,83,76,86,77,88,32,81,70,79,71,77,74,76,78,76,83,77,87,79,90,81,91,32,88,84,88,89,32,87,83,87,89,86,90,32,84,83,92,83,32,85,83,87,84,32,86,83,87,85,32,90,83,89,85,32,91,83,89,84,0,70,94,75,70,75,91,32,76,71,76,90,32,77,70,77,91,32,87,70,87,91,32,88,71,88,90,32,89,70,89,91,32,72,70,80,70,32,84,70,92,70,32,77,80,87,80,32,72,91,80,91,32,84,91,92,91,32,73,70,75,71,32,74,70,75,72,32,78,70,77,72,32,79,70,77,71,32,85,70,87,71,32,86,70,87,72,32,90,70,89,72,32,91,70,89,71,32,75,90,73,91,32,75,89,74,91,32,77,89,78,91,32,77,90,79,91,32,87,90,85,91,32,87,89,86,91,32,89,89,90,91,32,89,90,91,91,0,76,88,81,70,81,91,32,82,71,82,90,32,83,70,83,91,32,78,70,86,70,32,78,91,86,91,32,79,70,81,71,32,80,70,81,72,32,84,70,83,72,32,85,70,83,71,32,81,90,79,91,32,81,89,80,91,32,83,89,84,91,32,83,90,85,91,0,74,90,83,70,83,87,82,90,81,91,32,84,71,84,87,83,90,32,85,70,85,87,84,90,81,91,79,91,77,90,76,88,76,86,77,85,78,85,79,86,79,87,78,88,77,88,32,77,86,77,87,78,87,78,86,77,86,32,80,70,88,70,32,81,70,83,71,32,82,70,83,72,32,86,70,85,72,32,87,70,85,71,0,70,92,75,70,75,91,32,76,71,76,90,32,77,70,77,91,32,88,71,77,82,32,80,80,87,91,32,81,80,88,91,32,81,78,89,91,32,72,70,80,70,32,85,70,91,70,32,72,91,80,91,32,84,91,91,91,32,73,70,75,71,32,74,70,75,72,32,78,70,77,72,32,79,70,77,71,32,87,70,88,71,32,90,70,88,71,32,75,90,73,91,32,75,89,74,91,32,77,89,78,91,32,77,90,79,91,32,87,89,85,91,32,87,89,90,91,0,73,91,78,70,78,91,32,79,71,79,90,32,80,70,80,91,32,75,70,83,70,32,75,91,90,91,90,85,32,76,70,78,71,32,77,70,78,72,32,81,70,80,72,32,82,70,80,71,32,78,90,76,91,32,78,89,77,91,32,80,89,81,91,32,80,90,82,91,32,85,91,90,90,32,87,91,90,89,32,88,91,90,88,32,89,91,90,85,0,69,95,74,70,74,90,32,74,70,81,91,32,75,70,81,88,32,76,70,82,88,32,88,70,81,91,32,88,70,88,91,32,89,71,89,90,32,90,70,90,91,32,71,70,76,70,32,88,70,93,70,32,71,91,77,91,32,85,91,93,91,32,72,70,74,71,32,91,70,90,72,32,92,70,90,71,32,74,90,72,91,32,74,90,76,91,32,88,90,86,91,32,88,89,87,91,32,90,89,91,91,32,90,90,92,91,0,70,94,75,70,75,90,32,75,70,89,91,32,76,70,88,88,32,77,70,89,88,32,89,71,89,91,32,72,70,77,70,32,86,70,92,70,32,72,91,78,91,32,73,70,75,71,32,87,70,89,71,32,91,70,89,71,32,75,90,73,91,32,75,90,77,91,0,71,93,81,70,78,71,76,73,75,75,74,79,74,82,75,86,76,88,78,90,81,91,83,91,86,90,88,88,89,86,90,82,90,79,89,75,88,73,86,71,83,70,81,70,32,77,73,76,75,75,78,75,83,76,86,77,88,32,87,88,88,86,89,83,89,78,88,75,87,73,32,81,70,79,71,77,74,76,78,76,83,77,87,79,90,81,91,32,83,91,85,90,87,87,88,83,88,78,87,74,85,71,83,70,0,71,93,76,70,76,91,32,77,71,77,90,32,78,70,78,91,32,73,70,85,70,88,71,89,72,90,74,90,77,89,79,88,80,85,81,78,81,32,88,72,89,74,89,77,88,79,32,85,70,87,71,88,73,88,78,87,80,85,81,32,73,91,81,91,32,74,70,76,71,32,75,70,76,72,32,79,70,78,72,32,80,70,78,71,32,76,90,74,91,32,76,89,75,91,32,78,89,79,91,32,78,90,80,91,0,71,93,81,70,78,71,76,73,75,75,74,79,74,82,75,86,76,88,78,90,81,91,83,91,86,90,88,88,89,86,90,82,90,79,89,75,88,73,86,71,83,70,81,70,32,77,73,76,75,75,78,75,83,76,86,77,88,32,87,88,88,86,89,83,89,78,88,75,87,73,32,81,70,79,71,77,74,76,78,76,83,77,87,79,90,81,91,32,83,91,85,90,87,87,88,83,88,78,87,74,85,71,83,70,32,78,88,79,86,81,85,82,85,84,86,85,88,86,94,87,96,89,96,90,94,90,92,32,86,92,87,94,88,95,89,95,32,85,88,87,93,88,94,89,94,90,93,0,71,93,76,70,76,91,32,77,71,77,90,32,78,70,78,91,32,73,70,85,70,88,71,89,72,90,74,90,76,89,78,88,79,85,80,78,80,32,88,72,89,74,89,76,88,78,32,85,70,87,71,88,73,88,77,87,79,85,80,32,82,80,84,81,85,83,87,89,88,91,90,91,91,89,91,87,32,87,87,88,89,89,90,90,90,32,84,81,85,82,88,88,89,89,90,89,91,88,32,73,91,81,91,32,74,70,76,71,32,75,70,76,72,32,79,70,78,72,32,80,70,78,71,32,76,90,74,91,32,76,89,75,91,32,78,89,79,91,32,78,90,80,91,0,72,92,88,73,89,70,89,76,88,73,86,71,83,70,80,70,77,71,75,73,75,76,76,78,79,80,85,82,87,83,88,85,88,88,87,90,32,76,76,77,78,79,79,85,81,87,82,88,84,32,77,71,76,73,76,75,77,77,79,78,85,80,88,82,89,84,89,87,88,89,87,90,84,91,81,91,78,90,76,88,75,85,75,91,76,88,0,72,92,74,70,74,76,32,81,70,81,91,32,82,71,82,90,32,83,70,83,91,32,90,70,90,76,32,74,70,90,70,32,78,91,86,91,32,75,70,74,76,32,76,70,74,73,32,77,70,74,72,32,79,70,74,71,32,85,70,90,71,32,87,70,90,72,32,88,70,90,73,32,89,70,90,76,32,81,90,79,91,32,81,89,80,91,32,83,89,84,91,32,83,90,85,91,0,70,94,75,70,75,85,76,88,78,90,81,91,83,91,86,90,88,88,89,85,89,71,32,76,71,76,86,77,88,32,77,70,77,86,78,89,79,90,81,91,32,72,70,80,70,32,86,70,92,70,32,73,70,75,71,32,74,70,75,72,32,78,70,77,72,32,79,70,77,71,32,87,70,89,71,32,91,70,89,71,0,72,92,75,70,82,91,32,76,70,82,88,82,91,32,77,70,83,88,32,89,71,82,91,32,73,70,80,70,32,85,70,91,70,32,74,70,76,72,32,78,70,77,72,32,79,70,77,71,32,87,70,89,71,32,90,70,89,71,0,70,94,74,70,78,91,32,75,70,78,86,78,91,32,76,70,79,86,32,82,70,79,86,78,91,32,82,70,86,91,32,83,70,86,86,86,91,32,84,70,87,86,32,90,71,87,86,86,91,32,71,70,79,70,32,82,70,84,70,32,87,70,93,70,32,72,70,75,71,32,73,70,75,72,32,77,70,76,72,32,78,70,76,71,32,88,70,90,71,32,92,70,90,71,0,72,92,75,70,87,91,32,76,70,88,91,32,77,70,89,91,32,88,71,76,90,32,73,70,80,70,32,85,70,91,70,32,73,91,79,91,32,84,91,91,91,32,74,70,77,72,32,78,70,77,72,32,79,70,77,71,32,86,70,88,71,32,90,70,88,71,32,76,90,74,91,32,76,90,78,91,32,87,90,85,91,32,87,89,86,91,32,87,89,90,91,0,71,93,74,70,81,81,81,91,32,75,70,82,81,82,90,32,76,70,83,81,83,91,32,89,71,83,81,32,72,70,79,70,32,86,70,92,70,32,78,91,86,91,32,73,70,75,71,32,78,70,76,71,32,87,70,89,71,32,91,70,89,71,32,81,90,79,91,32,81,89,80,91,32,83,89,84,91,32,83,90,85,91,0,72,92,89,70,75,70,75,76,32,87,70,75,91,32,88,70,76,91,32,89,70,77,91,32,75,91,89,91,89,85,32,76,70,75,76,32,77,70,75,73,32,78,70,75,72,32,80,70,75,71,32,84,91,89,90,32,86,91,89,89,32,87,91,89,88,32,88,91,89,85,0,73,91,78,70,78,91,32,79,71,79,90,32,80,70,80,91,32,75,70,90,70,90,76,32,75,91,83,91,32,76,70,78,71,32,77,70,78,72,32,81,70,80,72,32,82,70,80,71,32,85,70,90,71,32,87,70,90,72,32,88,70,90,73,32,89,70,90,76,32,78,89,77,91,32,78,90,76,91,32,80,89,81,91,32,80,90,82,91,0,72,92,82,70,74,91,32,81,73,88,91,32,82,73,89,91,32,82,70,90,91,32,75,89,88,89,32,75,90,88,90,32,74,91,90,91,0,71,93,81,70,78,71,76,73,75,75,74,79,74,82,75,86,76,88,78,90,81,91,83,91,86,90,88,88,89,86,90,82,90,79,89,75,88,73,86,71,83,70,81,70,32,77,73,76,75,75,78,75,83,76,86,77,88,32,87,88,88,86,89,83,89,78,88,75,87,73,32,81,70,79,71,77,74,76,78,76,83,77,87,79,90,81,91,32,83,91,85,90,87,87,88,83,88,78,87,74,85,71,83,70,32,79,77,79,84,32,85,77,85,84,32,79,80,85,80,32,79,81,85,81,32,79,78,80,80,32,79,79,81,80,32,85,78,84,80,32,85,79,83,80,32,80,81,79,83,32,81,81,79,82,32,83,81,85,82,32,84,81,85,83,0,72,92,82,70,75,90,32,81,73,87,91,32,82,73,88,91,32,82,70,89,91,32,73,91,79,91,32,84,91,91,91,32,75,90,74,91,32,75,90,77,91,32,87,90,85,91,32,87,89,86,91,32,88,89,90,91,0,71,93,74,69,74,76,32,90,69,90,76,32,79,77,79,84,32,85,77,85,84,32,74,85,74,92,32,90,85,90,92,32,74,71,90,71,32,74,72,90,72,32,74,73,90,73,32,79,80,85,80,32,79,81,85,81,32,74,88,90,88,32,74,89,90,89,32,74,90,90,90,32,74,70,77,72,32,90,70,87,72,32,75,73,74,75,32,76,73,74,74,32,88,73,90,74,32,89,73,90,75,32,79,78,80,80,32,79,79,81,80,32,85,78,84,80,32,85,79,83,80,32,80,81,79,83,32,81,81,79,82,32,83,81,85,82,32,84,81,85,83,32,74,86,75,88,32,74,87,76,88,32,90,87,88,88,32,90,86,89,88,32,77,89,74,91,32,87,89,90,91,0,70,94,75,70,75,91,32,76,71,76,90,32,77,70,77,91,32,87,70,87,91,32,88,71,88,90,32,89,70,89,91,32,72,70,92,70,32,72,91,80,91,32,84,91,92,91,32,73,70,75,71,32,74,70,75,72,32,78,70,77,72,32,79,70,77,71,32,85,70,87,71,32,86,70,87,72,32,90,70,89,72,32,91,70,89,71,32,75,90,73,91,32,75,89,74,91,32,77,89,78,91,32,77,90,79,91,32,87,90,85,91,32,87,89,86,91,32,89,89,90,91,32,89,90,91,91,0,71,93,73,70,80,80,81,81,32,74,70,81,80,32,75,70,82,80,73,91,32,73,70,89,70,90,76,89,73,87,70,32,86,70,89,72,32,84,70,89,71,32,75,89,89,89,32,74,90,89,90,32,73,91,89,91,90,85,89,88,87,89,0,72,92,74,77,75,73,76,71,77,70,79,70,80,71,81,73,82,77,32,76,72,77,71,79,71,80,72,32,74,77,75,74,77,72,79,72,80,73,81,77,81,91,32,82,77,82,91,32,90,77,89,74,87,72,85,72,84,73,83,77,83,91,32,88,72,87,71,85,71,84,72,32,90,77,89,73,88,71,87,70,85,70,84,71,83,73,82,77,32,78,91,86,91,32,81,89,80,91,32,81,90,79,91,32,83,90,85,91,32,83,89,84,91,0,71,93,81,70,81,91,32,82,71,82,90,32,83,70,83,91,32,78,70,86,70,32,78,91,86,91,32,79,70,81,71,32,80,70,81,72,32,84,70,83,72,32,85,70,83,71,32,81,90,79,91,32,81,89,80,91,32,83,89,84,91,32,83,90,85,91,32,79,75,76,76,75,77,74,79,74,82,75,84,76,85,79,86,85,86,88,85,89,84,90,82,90,79,89,77,88,76,85,75,79,75,32,76,77,75,79,75,82,76,84,32,88,84,89,82,89,79,88,77,32,79,75,77,76,76,79,76,82,77,85,79,86,32,85,86,87,85,88,82,88,79,87,76,85,75,0,70,94,81,70,81,91,32,82,71,82,90,32,83,70,83,91,32,78,70,86,70,32,78,91,86,91,32,79,70,81,71,32,80,70,81,72,32,84,70,83,72,32,85,70,83,71,32,81,90,79,91,32,81,89,80,91,32,83,89,84,91,32,83,90,85,91,32,72,77,73,77,74,78,75,81,76,83,77,84,80,85,84,85,87,84,88,83,89,81,90,78,91,77,92,77,32,76,82,75,78,74,76,73,76,75,78,32,72,77,73,75,74,75,75,76,76,80,77,83,78,84,80,85,32,89,78,91,76,90,76,89,78,88,82,32,84,85,86,84,87,83,88,80,89,76,90,75,91,75,92,77,0,71,93,78,89,75,89,74,87,75,91,79,91,77,86,75,82,74,79,74,76,75,73,77,71,80,70,84,70,87,71,89,73,90,76,90,79,89,82,87,86,85,91,89,91,90,87,89,89,86,89,32,76,83,75,79,75,76,76,73,32,88,73,89,76,89,79,88,83,32,79,91,77,85,76,80,76,75,77,72,78,71,80,70,32,84,70,86,71,87,72,88,75,88,80,87,85,85,91,32,75,90,78,90,32,86,90,89,90,0,72,92,85,70,73,90,32,83,74,84,91,32,84,72,85,90,32,85,70,85,72,86,89,86,91,32,76,85,84,85,32,70,91,76,91,32,81,91,88,91,32,73,90,71,91,32,73,90,75,91,32,84,90,82,91,32,84,89,83,91,32,86,89,87,91,0,70,94,79,70,73,91,32,80,70,74,91,32,81,70,75,91,32,76,70,87,70,90,71,91,73,91,75,90,78,89,79,86,80,32,89,71,90,73,90,75,89,78,88,79,32,87,70,88,71,89,73,89,75,88,78,86,80,32,78,80,86,80,88,81,89,83,89,85,88,88,86,90,82,91,70,91,32,87,81,88,83,88,85,87,88,85,90,32,86,80,87,82,87,85,86,88,84,90,82,91,32,77,70,80,71,32,78,70,79,72,32,82,70,80,72,32,83,70,80,71,32,74,90,71,91,32,74,89,72,91,32,75,89,76,91,32,74,90,77,91,0,72,93,90,72,91,72,92,70,91,76,91,74,90,72,89,71,87,70,84,70,81,71,79,73,77,76,76,79,75,83,75,86,76,89,77,90,80,91,83,91,85,90,87,88,88,86,32,81,72,79,74,78,76,77,79,76,83,76,87,77,89,32,84,70,82,71,80,74,79,76,78,79,77,83,77,88,78,90,80,91,0,70,93,79,70,73,91,32,80,70,74,91,32,81,70,75,91,32,76,70,85,70,88,71,89,72,90,75,90,79,89,83,87,87,85,89,83,90,79,91,70,91,32,87,71,88,72,89,75,89,79,88,83,86,87,84,89,32,85,70,87,72,88,75,88,79,87,83,85,87,82,90,79,91,32,77,70,80,71,32,78,70,79,72,32,82,70,80,72,32,83,70,80,71,32,74,90,71,91,32,74,89,72,91,32,75,89,76,91,32,74,90,77,91,0,70,93,79,70,73,91,32,80,70,74,91,32,81,70,75,91,32,85,76,83,84,32,76,70,91,70,90,76,32,78,80,84,80,32,70,91,85,91,87,86,32,77,70,80,71,32,78,70,79,72,32,82,70,80,72,32,83,70,80,71,32,87,70,90,71,32,88,70,90,72,32,89,70,90,73,32,90,70,90,76,32,85,76,83,80,83,84,32,84,78,82,80,83,82,32,84,79,81,80,83,81,32,74,90,71,91,32,74,89,72,91,32,75,89,76,91,32,74,90,77,91,32,80,91,85,90,32,82,91,85,89,32,85,89,87,86,0,70,92,79,70,73,91,32,80,70,74,91,32,81,70,75,91,32,85,76,83,84,32,76,70,91,70,90,76,32,78,80,84,80,32,70,91,78,91,32,77,70,80,71,32,78,70,79,72,32,82,70,80,72,32,83,70,80,71,32,87,70,90,71,32,88,70,90,72,32,89,70,90,73,32,90,70,90,76,32,85,76,83,80,83,84,32,84,78,82,80,83,82,32,84,79,81,80,83,81,32,74,90,71,91,32,74,89,72,91,32,75,89,76,91,32,74,90,77,91,0,72,94,90,72,91,72,92,70,91,76,91,74,90,72,89,71,87,70,84,70,81,71,79,73,77,76,76,79,75,83,75,86,76,89,77,90,80,91,82,91,85,90,87,88,89,84,32,81,72,79,74,78,76,77,79,76,83,76,87,77,89,32,86,88,87,87,88,84,32,84,70,82,71,80,74,79,76,78,79,77,83,77,88,78,90,80,91,32,82,91,84,90,86,87,87,84,32,84,84,92,84,32,85,84,87,85,32,86,84,87,87,32,90,84,88,86,32,91,84,88,85,0,69,95,78,70,72,91,32,79,70,73,91,32,80,70,74,91,32,90,70,84,91,32,91,70,85,91,32,92,70,86,91,32,75,70,83,70,32,87,70,95,70,32,76,80,88,80,32,69,91,77,91,32,81,91,89,91,32,76,70,79,71,32,77,70,78,72,32,81,70,79,72,32,82,70,79,71,32,88,70,91,71,32,89,70,90,72,32,93,70,91,72,32,94,70,91,71,32,73,90,70,91,32,73,89,71,91,32,74,89,75,91,32,73,90,76,91,32,85,90,82,91,32,85,89,83,91,32,86,89,87,91,32,85,90,88,91,0,75,89,84,70,78,91,32,85,70,79,91,32,86,70,80,91,32,81,70,89,70,32,75,91,83,91,32,82,70,85,71,32,83,70,84,72,32,87,70,85,72,32,88,70,85,71,32,79,90,76,91,32,79,89,77,91,32,80,89,81,91,32,79,90,82,91,0,73,92,87,70,82,87,81,89,79,91,32,88,70,84,83,83,86,82,88,32,89,70,85,83,83,88,81,90,79,91,77,91,75,90,74,88,74,86,75,85,76,85,77,86,77,87,76,88,75,88,32,75,86,75,87,76,87,76,86,75,86,32,84,70,92,70,32,85,70,88,71,32,86,70,87,72,32,90,70,88,72,32,91,70,88,71,0,70,93,79,70,73,91,32,80,70,74,91,32,81,70,75,91,32,92,71,77,82,32,81,79,85,91,32,82,79,86,91,32,83,78,87,90,32,76,70,84,70,32,89,70,95,70,32,70,91,78,91,32,82,91,89,91,32,77,70,80,71,32,78,70,79,72,32,82,70,80,72,32,83,70,80,71,32,90,70,92,71,32,94,70,92,71,32,74,90,71,91,32,74,89,72,91,32,75,89,76,91,32,74,90,77,91,32,85,90,83,91,32,85,89,84,91,32,86,89,88,91,0,72,92,81,70,75,91,32,82,70,76,91,32,83,70,77,91,32,78,70,86,70,32,72,91,87,91,89,85,32,79,70,82,71,32,80,70,81,72,32,84,70,82,72,32,85,70,82,71,32,76,90,73,91,32,76,89,74,91,32,77,89,78,91,32,76,90,79,91,32,82,91,87,90,32,84,91,88,88,32,86,91,89,85,0,68,96,77,70,71,90,32,77,71,78,89,78,91,32,78,70,79,89,32,79,70,80,88,32,91,70,80,88,78,91,32,91,70,85,91,32,92,70,86,91,32,93,70,87,91,32,74,70,79,70,32,91,70,96,70,32,68,91,74,91,32,82,91,90,91,32,75,70,77,71,32,76,70,77,72,32,94,70,92,72,32,95,70,92,71,32,71,90,69,91,32,71,90,73,91,32,86,90,83,91,32,86,89,84,91,32,87,89,88,91,32,86,90,89,91,0,70,95,79,70,73,90,32,79,70,86,91,32,80,70,86,88,32,81,70,87,88,32,92,71,87,88,86,91,32,76,70,81,70,32,89,70,95,70,32,70,91,76,91,32,77,70,80,71,32,78,70,80,72,32,90,70,92,71,32,94,70,92,71,32,73,90,71,91,32,73,90,75,91,0,71,93,83,70,80,71,78,73,76,76,75,79,74,83,74,86,75,89,76,90,78,91,81,91,84,90,86,88,88,85,89,82,90,78,90,75,89,72,88,71,86,70,83,70,32,79,73,77,76,76,79,75,83,75,87,76,89,32,85,88,87,85,88,82,89,78,89,74,88,72,32,83,70,81,71,79,74,78,76,77,79,76,83,76,88,77,90,78,91,32,81,91,83,90,85,87,86,85,87,82,88,78,88,73,87,71,86,70,0,70,93,79,70,73,91,32,80,70,74,91,32,81,70,75,91,32,76,70,88,70,91,71,92,73,92,75,91,78,89,80,85,81,77,81,32,90,71,91,73,91,75,90,78,88,80,32,88,70,89,71,90,73,90,75,89,78,87,80,85,81,32,70,91,78,91,32,77,70,80,71,32,78,70,79,72,32,82,70,80,72,32,83,70,80,71,32,74,90,71,91,32,74,89,72,91,32,75,89,76,91,32,74,90,77,91,0,71,93,83,70,80,71,78,73,76,76,75,79,74,83,74,86,75,89,76,90,78,91,81,91,84,90,86,88,88,85,89,82,90,78,90,75,89,72,88,71,86,70,83,70,32,79,73,77,76,76,79,75,83,75,87,76,89,32,85,88,87,85,88,82,89,78,89,74,88,72,32,83,70,81,71,79,74,78,76,77,79,76,83,76,88,77,90,78,91,32,81,91,83,90,85,87,86,85,87,82,88,78,88,73,87,71,86,70,32,76,88,77,86,79,85,80,85,82,86,83,88,84,93,85,94,86,94,87,93,32,84,94,85,95,86,95,32,83,88,83,95,84,96,86,96,87,93,87,92,0,70,94,79,70,73,91,32,80,70,74,91,32,81,70,75,91,32,76,70,87,70,90,71,91,73,91,75,90,78,89,79,86,80,78,80,32,89,71,90,73,90,75,89,78,88,79,32,87,70,88,71,89,73,89,75,88,78,86,80,32,82,80,84,81,85,82,87,88,88,89,89,89,90,88,32,87,89,88,90,89,90,32,85,82,86,90,87,91,89,91,90,88,90,87,32,70,91,78,91,32,77,70,80,71,32,78,70,79,72,32,82,70,80,72,32,83,70,80,71,32,74,90,71,91,32,74,89,72,91,32,75,89,76,91,32,74,90,77,91,0,71,94,90,72,91,72,92,70,91,76,91,74,90,72,89,71,86,70,82,70,79,71,77,73,77,76,78,78,80,80,86,83,87,85,87,88,86,90,32,78,76,79,78,86,82,87,84,32,79,71,78,73,78,75,79,77,85,80,87,82,88,84,88,87,87,89,86,90,83,91,79,91,76,90,75,89,74,87,74,85,73,91,74,89,75,89,0,71,93,84,70,78,91,32,85,70,79,91,32,86,70,80,91,32,77,70,75,76,32,93,70,92,76,32,77,70,93,70,32,75,91,83,91,32,78,70,75,76,32,80,70,76,73,32,82,70,77,71,32,89,70,92,71,32,90,70,92,72,32,91,70,92,73,32,92,70,92,76,32,79,90,76,91,32,79,89,77,91,32,80,89,81,91,32,79,90,82,91,0,70,95,78,70,75,81,74,85,74,88,75,90,78,91,82,91,85,90,87,88,88,85,92,71,32,79,70,76,81,75,85,75,89,76,90,32,80,70,77,81,76,85,76,89,78,91,32,75,70,83,70,32,89,70,95,70,32,76,70,79,71,32,77,70,78,72,32,81,70,79,72,32,82,70,79,71,32,90,70,92,71,32,94,70,92,71,0,72,92,78,70,78,72,79,89,79,91,32,79,71,80,88,32,80,70,81,87,32,91,71,79,91,32,76,70,83,70,32,88,70,94,70,32,77,70,78,72,32,81,70,80,72,32,82,70,79,71,32,89,70,91,71,32,93,70,91,71,0,69,95,77,70,77,72,75,89,75,91,32,78,71,76,88,32,79,70,77,87,32,85,70,77,87,75,91,32,85,70,85,72,83,89,83,91,32,86,71,84,88,32,87,70,85,87,32,93,71,85,87,83,91,32,74,70,82,70,32,85,70,87,70,32,90,70,96,70,32,75,70,78,71,32,76,70,77,72,32,80,70,78,73,32,81,70,78,71,32,91,70,93,71,32,95,70,93,71,0,71,93,78,70,84,91,32,79,70,85,91,32,80,70,86,91,32,91,71,73,90,32,76,70,83,70,32,88,70,94,70,32,70,91,76,91,32,81,91,88,91,32,77,70,79,72,32,81,70,80,72,32,82,70,80,71,32,89,70,91,71,32,93,70,91,71,32,73,90,71,91,32,73,90,75,91,32,84,90,82,91,32,84,89,83,91,32,85,89,87,91,0,71,93,77,70,81,80,78,91,32,78,70,82,80,79,91,32,79,70,83,80,80,91,32,92,71,83,80,32,75,70,82,70,32,89,70,95,70,32,75,91,83,91,32,76,70,78,71,32,80,70,79,72,32,81,70,78,71,32,90,70,92,71,32,94,70,92,71,32,79,90,76,91,32,79,89,77,91,32,80,89,81,91,32,79,90,82,91,0,71,93,90,70,72,91,32,91,70,73,91,32,92,70,74,91,32,92,70,78,70,76,76,32,72,91,86,91,88,85,32,79,70,76,76,32,80,70,77,73,32,82,70,78,71,32,82,91,86,90,32,84,91,87,88,32,85,91,88,85,0,72,92,74,70,82,91,32,75,70,82,88,32,76,70,83,88,32,74,70,90,70,82,91,32,76,71,89,71,32,76,72,89,72,0,73,93,78,80,78,79,79,79,79,81,77,81,77,79,78,78,80,77,84,77,86,78,87,79,88,81,88,88,89,90,90,91,32,86,79,87,81,87,88,88,90,32,84,77,85,78,86,80,86,88,87,90,90,91,91,91,32,86,82,85,83,80,84,77,85,76,87,76,88,77,90,80,91,83,91,85,90,86,88,32,78,85,77,87,77,88,78,90,32,85,83,81,84,79,85,78,87,78,88,79,90,80,91,0,71,92,76,70,76,91,77,90,79,90,32,77,71,77,89,32,73,70,78,70,78,90,32,78,80,79,78,81,77,83,77,86,78,88,80,89,83,89,85,88,88,86,90,83,91,81,91,79,90,78,88,32,87,80,88,82,88,86,87,88,32,83,77,85,78,86,79,87,82,87,86,86,89,85,90,83,91,32,74,70,76,71,32,75,70,76,72,0,72,91,87,81,87,80,86,80,86,82,88,82,88,80,86,78,84,77,81,77,78,78,76,80,75,83,75,85,76,88,78,90,81,91,83,91,86,90,88,88,32,77,80,76,82,76,86,77,88,32,81,77,79,78,78,79,77,82,77,86,78,89,79,90,81,91,0,72,93,86,70,86,91,91,91,32,87,71,87,90,32,83,70,88,70,88,91,32,86,80,85,78,83,77,81,77,78,78,76,80,75,83,75,85,76,88,78,90,81,91,83,91,85,90,86,88,32,77,80,76,82,76,86,77,88,32,81,77,79,78,78,79,77,82,77,86,78,89,79,90,81,91,32,84,70,86,71,32,85,70,86,72,32,88,89,89,91,32,88,90,90,91,0,72,91,77,83,88,83,88,81,87,79,86,78,83,77,81,77,78,78,76,80,75,83,75,85,76,88,78,90,81,91,83,91,86,90,88,88,32,87,82,87,81,86,79,32,77,80,76,82,76,86,77,88,32,86,83,86,80,85,78,83,77,32,81,77,79,78,78,79,77,82,77,86,78,89,79,90,81,91,0,75,89,87,72,87,71,86,71,86,73,88,73,88,71,87,70,84,70,82,71,81,72,80,75,80,91,32,82,72,81,75,81,90,32,84,70,83,71,82,73,82,91,32,77,77,86,77,32,77,91,85,91,32,80,90,78,91,32,80,89,79,91,32,82,89,83,91,32,82,90,84,91,0,73,92,88,78,89,79,90,78,89,77,88,77,86,78,85,79,32,81,77,79,78,78,79,77,81,77,83,78,85,79,86,81,87,83,87,85,86,86,85,87,83,87,81,86,79,85,78,83,77,81,77,32,79,79,78,81,78,83,79,85,32,85,85,86,83,86,81,85,79,32,81,77,80,78,79,80,79,84,80,86,81,87,32,83,87,84,86,85,84,85,80,84,78,83,77,32,78,85,77,86,76,88,76,89,77,91,78,92,81,93,85,93,88,94,89,95,32,78,91,81,92,85,92,88,93,32,76,89,77,90,80,91,85,91,88,92,89,94,89,95,88,97,85,98,79,98,76,97,75,95,75,94,76,92,79,91,32,79,98,77,97,76,95,76,94,77,92,79,91,0,71,94,76,70,76,91,32,77,71,77,90,32,73,70,78,70,78,91,32,78,81,79,79,80,78,82,77,85,77,87,78,88,79,89,82,89,91,32,87,79,88,82,88,90,32,85,77,86,78,87,81,87,91,32,73,91,81,91,32,84,91,92,91,32,74,70,76,71,32,75,70,76,72,32,76,90,74,91,32,76,89,75,91,32,78,89,79,91,32,78,90,80,91,32,87,90,85,91,32,87,89,86,91,32,89,89,90,91,32,89,90,91,91,0,76,88,81,70,81,72,83,72,83,70,81,70,32,82,70,82,72,32,81,71,83,71,32,81,77,81,91,32,82,78,82,90,32,78,77,83,77,83,91,32,78,91,86,91,32,79,77,81,78,32,80,77,81,79,32,81,90,79,91,32,81,89,80,91,32,83,89,84,91,32,83,90,85,91,0,75,88,82,70,82,72,84,72,84,70,82,70,32,83,70,83,72,32,82,71,84,71,32,82,77,82,94,81,97,80,98,32,83,78,83,93,82,96,32,79,77,84,77,84,93,83,96,82,97,80,98,77,98,76,97,76,95,78,95,78,97,77,97,77,96,32,80,77,82,78,32,81,77,82,79,0,71,93,76,70,76,91,32,77,71,77,90,32,73,70,78,70,78,91,32,87,78,78,87,32,82,83,89,91,32,82,84,88,91,32,81,84,87,91,32,84,77,91,77,32,73,91,81,91,32,84,91,91,91,32,74,70,76,71,32,75,70,76,72,32,85,77,87,78,32,90,77,87,78,32,76,90,74,91,32,76,89,75,91,32,78,89,79,91,32,78,90,80,91,32,87,89,85,91,32,86,89,90,91,0,76,88,81,70,81,91,32,82,71,82,90,32,78,70,83,70,83,91,32,78,91,86,91,32,79,70,81,71,32,80,70,81,72,32,81,90,79,91,32,81,89,80,91,32,83,89,84,91,32,83,90,85,91,0,65,99,70,77,70,91,32,71,78,71,90,32,67,77,72,77,72,91,32,72,81,73,79,74,78,76,77,79,77,81,78,82,79,83,82,83,91,32,81,79,82,82,82,90,32,79,77,80,78,81,81,81,91,32,83,81,84,79,85,78,87,77,90,77,92,78,93,79,94,82,94,91,32,92,79,93,82,93,90,32,90,77,91,78,92,81,92,91,32,67,91,75,91,32,78,91,86,91,32,89,91,97,91,32,68,77,70,78,32,69,77,70,79,32,70,90,68,91,32,70,89,69,91,32,72,89,73,91,32,72,90,74,91,32,81,90,79,91,32,81,89,80,91,32,83,89,84,91,32,83,90,85,91,32,92,90,90,91,32,92,89,91,91,32,94,89,95,91,32,94,90,96,91,0,71,94,76,77,76,91,32,77,78,77,90,32,73,77,78,77,78,91,32,78,81,79,79,80,78,82,77,85,77,87,78,88,79,89,82,89,91,32,87,79,88,82,88,90,32,85,77,86,78,87,81,87,91,32,73,91,81,91,32,84,91,92,91,32,74,77,76,78,32,75,77,76,79,32,76,90,74,91,32,76,89,75,91,32,78,89,79,91,32,78,90,80,91,32,87,90,85,91,32,87,89,86,91,32,89,89,90,91,32,89,90,91,91,0,72,92,81,77,78,78,76,80,75,83,75,85,76,88,78,90,81,91,83,91,86,90,88,88,89,85,89,83,88,80,86,78,83,77,81,77,32,77,80,76,82,76,86,77,88,32,87,88,88,86,88,82,87,80,32,81,77,79,78,78,79,77,82,77,86,78,89,79,90,81,91,32,83,91,85,90,86,89,87,86,87,82,86,79,85,78,83,77,0,71,92,76,77,76,98,32,77,78,77,97,32,73,77,78,77,78,98,32,78,80,79,78,81,77,83,77,86,78,88,80,89,83,89,85,88,88,86,90,83,91,81,91,79,90,78,88,32,87,80,88,82,88,86,87,88,32,83,77,85,78,86,79,87,82,87,86,86,89,85,90,83,91,32,73,98,81,98,32,74,77,76,78,32,75,77,76,79,32,76,97,74,98,32,76,96,75,98,32,78,96,79,98,32,78,97,80,98,0,72,92,86,78,86,98,32,87,79,87,97,32,85,78,87,78,88,77,88,98,32,86,80,85,78,83,77,81,77,78,78,76,80,75,83,75,85,76,88,78,90,81,91,83,91,85,90,86,88,32,77,80,76,82,76,86,77,88,32,81,77,79,78,78,79,77,82,77,86,78,89,79,90,81,91,32,83,98,91,98,32,86,97,84,98,32,86,96,85,98,32,88,96,89,98,32,88,97,90,98,0,73,90,78,77,78,91,32,79,78,79,90,32,75,77,80,77,80,91,32,87,79,87,78,86,78,86,80,88,80,88,78,87,77,85,77,83,78,81,80,80,83,32,75,91,83,91,32,76,77,78,78,32,77,77,78,79,32,78,90,76,91,32,78,89,77,91,32,80,89,81,91,32,80,90,82,91,0,74,91,87,79,88,77,88,81,87,79,86,78,84,77,80,77,78,78,77,79,77,81,78,83,80,84,85,85,87,86,88,89,32,78,78,77,81,32,78,82,80,83,85,84,87,85,32,88,86,87,90,32,77,79,78,81,80,82,85,83,87,84,88,86,88,89,87,90,85,91,81,91,79,90,78,89,77,87,77,91,78,89,0,75,90,80,72,80,86,81,89,82,90,84,91,86,91,88,90,89,88,32,81,72,81,87,82,89,32,80,72,82,70,82,87,83,90,84,91,32,77,77,86,77,0,71,94,76,77,76,86,77,89,78,90,80,91,83,91,85,90,86,89,87,87,32,77,78,77,87,78,89,32,73,77,78,77,78,87,79,90,80,91,32,87,77,87,91,92,91,32,88,78,88,90,32,84,77,89,77,89,91,32,74,77,76,78,32,75,77,76,79,32,89,89,90,91,32,89,90,91,91,0,73,91,76,77,82,91,32,77,77,82,89,32,78,77,83,89,32,88,78,83,89,82,91,32,74,77,81,77,32,84,77,90,77,32,75,77,78,79,32,80,77,78,78,32,86,77,88,78,32,89,77,88,78,0,70,94,74,77,78,91,32,75,77,78,88,32,76,77,79,88,32,82,77,79,88,78,91,32,82,77,86,91,32,83,77,86,88,32,82,77,84,77,87,88,32,90,78,87,88,86,91,32,71,77,79,77,32,87,77,93,77,32,72,77,75,78,32,78,77,76,78,32,88,77,90,78,32,92,77,90,78,0,72,92,76,77,86,91,32,77,77,87,91,32,78,77,88,91,32,87,78,77,90,32,74,77,81,77,32,84,77,90,77,32,74,91,80,91,32,83,91,90,91,32,75,77,77,78,32,80,77,78,78,32,85,77,87,78,32,89,77,87,78,32,77,90,75,91,32,77,90,79,91,32,86,90,84,91,32,87,90,89,91,0,72,91,76,77,82,91,32,77,77,82,89,32,78,77,83,89,32,88,78,83,89,80,95,78,97,76,98,74,98,73,97,73,95,75,95,75,97,74,97,74,96,32,74,77,81,77,32,84,77,90,77,32,75,77,78,79,32,80,77,78,78,32,86,77,88,78,32,89,77,88,78,0,73,91,86,77,76,91,32,87,77,77,91,32,88,77,78,91,32,88,77,76,77,76,81,32,76,91,88,91,88,87,32,77,77,76,81,32,78,77,76,80,32,79,77,76,79,32,81,77,76,78,32,83,91,88,90,32,85,91,88,89,32,86,91,88,88,32,87,91,88,87,0,71,94,91,77,90,81,89,84,87,88,85,90,82,91,80,91,77,90,75,88,74,85,74,83,75,80,77,78,80,77,82,77,85,78,86,79,87,81,89,88,90,90,91,91,92,91,32,90,77,89,81,88,84,87,86,85,89,84,90,82,91,32,76,88,75,86,75,82,76,80,32,80,91,78,90,77,89,76,86,76,82,77,79,78,78,80,77,32,82,77,84,78,85,79,86,81,88,88,89,90,91,91,0,71,92,81,70,78,71,77,72,76,74,75,78,75,98,32,78,72],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+327684);allocate([77,74,76,78,76,97,32,81,70,79,71,78,73,77,78,77,98,32,81,70,83,70,86,71,87,72,88,74,88,76,87,78,86,79,83,80,32,80,80,84,80,87,81,88,82,89,84,89,87,88,89,87,90,84,91,81,91,79,90,78,89,77,87,32,86,72,87,74,87,76,86,78,32,87,82,88,84,88,87,87,89,32,83,70,85,71,86,73,86,77,85,79,83,80,32,84,80,86,81,87,83,87,88,86,90,84,91,32,75,98,77,98,0,70,92,72,82,73,78,75,77,77,77,79,78,80,79,81,82,82,89,83,98,32,73,79,75,78,77,78,79,79,80,80,32,72,82,73,80,75,79,77,79,79,80,80,81,81,84,82,89,82,97,32,88,77,87,80,86,82,84,85,83,87,82,91,81,98,32,89,77,87,81,32,90,77,89,79,87,82,84,86,83,88,82,91,32,88,77,90,77,32,81,98,83,98,0,72,92,83,77,81,77,78,78,76,80,75,83,75,85,76,88,78,90,81,91,83,91,86,90,88,88,89,85,89,83,88,80,86,78,83,77,80,76,78,75,77,74,77,72,78,71,80,70,83,70,87,72,32,77,80,76,83,76,85,77,88,32,87,88,88,85,88,83,87,80,32,81,77,79,78,78,79,77,82,77,86,78,89,79,90,81,91,32,83,91,85,90,86,89,87,86,87,82,86,79,85,78,79,75,78,74,78,73,79,72,81,71,84,71,87,72,0,73,91,83,77,85,78,86,79,87,79,86,78,83,77,81,77,77,78,76,79,76,81,77,82,81,83,32,83,83,81,83,77,84,75,86,75,88,77,90,80,91,83,91,86,90,88,88,87,88,86,90,32,78,78,77,79,77,81,78,82,32,77,85,76,86,76,88,77,89,32,81,77,79,78,78,79,78,81,79,82,81,83,32,81,83,78,84,77,86,77,88,78,90,80,91,0,73,91,81,72,82,71,82,70,81,70,80,71,80,73,81,74,84,75,88,75,89,75,89,74,88,74,85,75,83,76,80,78,78,80,77,82,76,85,76,87,77,89,78,90,80,91,83,92,85,93,86,95,86,97,85,98,83,98,82,97,82,96,83,96,83,97,32,80,79,79,80,78,82,77,85,77,87,78,89,79,90,32,85,75,82,77,81,78,79,81,78,84,78,87,79,89,81,91,83,92,0,71,93,74,77,75,78,76,80,76,91,32,75,77,76,78,77,80,77,90,32,72,80,73,78,74,77,76,77,77,78,78,80,78,91,32,85,77,86,78,87,81,87,98,32,87,79,88,82,88,97,32,78,81,79,79,80,78,82,77,85,77,87,78,88,79,89,82,89,98,32,76,91,78,91,32,87,98,89,98,0,70,93,73,77,74,78,75,80,75,84,76,87,77,89,78,90,81,91,83,91,86,90,87,89,88,87,89,82,89,79,88,74,86,71,84,70,82,70,80,71,79,73,79,75,80,77,83,79,86,80,91,81,32,74,77,75,78,76,80,76,84,77,87,78,89,32,86,89,87,87,88,82,88,79,87,74,86,72,84,71,32,71,80,72,78,73,77,75,77,76,78,77,80,77,84,78,88,79,90,81,91,32,83,91,85,90,86,88,87,83,87,78,86,74,85,72,83,71,81,71,79,73,0,75,90,78,77,79,78,80,80,80,88,81,90,83,91,85,91,87,90,88,88,32,79,77,80,78,81,80,81,88,82,90,32,76,80,77,78,78,77,80,77,81,78,82,80,82,88,83,90,84,91,0,71,93,74,77,75,78,76,80,76,91,32,75,77,76,78,77,80,77,90,32,72,80,73,78,74,77,76,77,77,78,78,80,78,91,32,83,79,85,78,87,78,88,79,88,80,90,80,90,78,88,77,86,77,84,78,81,81,79,84,78,87,32,88,78,89,79,89,80,32,80,83,81,83,87,89,89,89,90,88,32,84,87,87,90,89,90,32,82,84,85,90,86,91,88,91,89,90,90,88,32,76,91,78,91,0,72,92,74,71,75,70,77,70,79,71,81,73,88,88,89,90,90,91,32,79,72,80,73,87,88,88,89,32,77,70,78,71,79,73,86,88,88,90,90,91,91,91,32,82,77,74,90,74,91,75,91,82,77,0,71,93,75,77,75,98,32,76,78,76,97,32,77,77,77,98,32,86,77,86,88,87,90,88,91,90,91,91,90,92,88,32,87,78,87,88,88,90,89,91,32,88,77,88,88,89,90,90,91,32,77,88,78,90,80,91,82,91,84,90,85,89,86,87,32,75,77,77,77,32,86,77,88,77,32,75,98,77,98,0,71,93,74,77,75,78,76,80,77,84,78,91,32,75,77,76,78,77,80,78,84,79,90,32,72,80,73,78,74,77,76,77,77,78,78,80,79,84,80,90,32,86,86,87,84,88,81,88,77,89,77,90,78,89,81,88,83,86,86,84,88,81,90,78,91,32,88,82,89,79,89,77,0,74,90,80,71,83,70,82,70,80,71,79,72,79,73,80,74,83,75,86,76,87,75,86,74,83,75,80,76,78,77,77,79,77,81,78,82,80,83,83,84,86,85,87,84,86,83,83,84,79,85,77,86,76,88,76,90,77,91,79,92,83,93,85,94,86,95,86,97,84,98,82,98,79,97,80,97,82,98,32,79,77,78,79,78,81,79,82,32,78,86,77,88,77,90,78,91,32,86,75,83,75,81,76,80,77,79,79,79,81,81,83,83,84,32,86,84,83,84,80,85,79,86,78,88,78,90,80,92,83,93,0,71,93,73,81,74,79,75,78,77,77,91,77,32,75,79,77,78,90,78,32,73,81,74,80,76,79,91,79,32,79,79,78,90,77,91,76,90,77,87,79,79,32,85,79,86,90,87,91,88,90,87,87,85,79,32,91,77,91,79,32,79,79,77,90,32,85,79,87,90,0,71,92,81,77,78,78,76,80,75,84,75,98,32,77,80,76,84,76,97,32,81,77,79,78,78,79,77,83,77,98,32,77,87,78,89,79,90,81,91,83,91,86,90,88,88,89,85,89,83,88,80,86,78,83,77,81,77,32,87,88,88,86,88,82,87,80,32,83,91,85,90,86,89,87,86,87,82,86,79,85,78,83,77,32,75,98,77,98,0,71,93,80,77,77,78,75,80,74,83,74,85,75,88,77,90,80,91,82,91,85,90,87,88,88,85,88,83,87,80,85,78,82,77,32,76,80,75,82,75,86,76,88,32,86,88,87,86,87,82,86,80,32,80,77,78,78,77,79,76,82,76,86,77,89,78,90,80,91,32,82,91,84,90,85,89,86,86,86,82,85,79,84,78,82,77,32,82,77,90,79,91,78,91,77,80,77,32,82,77,90,78,0,72,92,74,81,75,79,76,78,78,77,90,77,32,76,79,78,78,89,78,32,74,81,75,80,77,79,90,79,32,82,79,81,90,82,91,83,90,82,79,32,90,77,90,79,32,82,79,82,90,0,71,92,74,77,75,78,76,80,76,85,77,88,79,90,81,91,83,91,85,90,87,88,88,86,89,82,89,78,88,77,87,77,88,80,88,83,87,87,85,90,32,75,77,76,78,77,80,77,85,78,88,32,87,77,88,78,88,79,32,72,80,73,78,74,77,76,77,77,78,78,80,78,86,79,89,81,91,0,71,93,82,81,81,78,80,77,78,77,76,78,75,79,74,82,74,85,75,88,77,90,80,91,84,91,87,90,89,88,90,85,90,82,89,79,88,78,86,77,84,77,83,78,82,81,32,76,79,75,82,75,85,76,88,32,88,88,89,85,89,82,88,79,32,78,77,77,78,76,81,76,86,77,89,78,90,80,91,32,84,91,86,90,87,89,88,86,88,81,87,78,86,77,32,82,81,81,98,32,82,81,82,97,32,82,81,83,98,32,81,98,83,98,0,72,92,76,77,77,78,78,80,84,95,86,97,88,98,90,98,91,97,32,78,79,79,80,85,95,86,96,32,73,78,74,77,76,77,78,78,80,80,86,95,87,97,88,98,32,86,83,88,80,89,77,90,77,89,79,86,83,78,92,75,96,74,98,75,98,76,95,78,92,0,70,93,72,78,73,78,74,80,74,85,75,88,77,90,80,91,84,91,86,90,88,88,89,86,90,82,90,78,89,77,88,77,89,80,89,83,88,87,86,90,32,74,78,75,80,75,85,76,88,32,88,77,89,78,89,79,32,71,80,72,78,73,77,74,77,75,78,76,80,76,86,77,89,78,90,80,91,32,81,70,83,98,32,82,71,82,97,32,83,70,81,98,32,81,70,83,70,32,81,98,83,98,0,70,94,78,77,76,78,74,80,73,83,73,87,74,89,75,90,77,91,79,91,81,90,82,89,83,87,83,84,82,83,81,84,81,87,82,89,83,90,85,91,87,91,89,90,90,89,91,87,91,83,90,80,88,78,86,77,32,75,80,74,83,74,87,75,89,32,82,84,82,88,32,89,89,90,87,90,83,89,80,32,78,77,76,79,75,82,75,87,76,90,77,91,32,87,91,88,90,89,87,89,82,88,79,86,77,0,71,93,87,77,85,84,85,88,86,90,87,91,89,91,91,89,92,87,32,88,77,86,84,86,90,32,87,77,89,77,87,84,86,88,32,85,84,85,81,84,78,82,77,80,77,77,78,75,81,74,84,74,86,75,89,76,90,78,91,80,91,82,90,83,89,84,87,85,84,32,78,78,76,81,75,84,75,87,76,89,32,80,77,78,79,77,81,76,84,76,87,77,90,78,91,0,73,92,80,70,78,77,77,83,77,87,78,89,79,90,81,91,83,91,86,90,88,87,89,84,89,82,88,79,87,78,85,77,83,77,81,78,80,79,79,81,78,84,32,81,70,79,77,78,81,78,87,79,90,32,86,89,87,87,88,84,88,81,87,79,32,77,70,82,70,80,77,78,84,32,83,91,85,89,86,87,87,84,87,81,86,78,85,77,32,78,70,81,71,32,79,70,80,72,0,73,91,87,81,87,80,86,80,86,82,88,82,88,80,87,78,85,77,82,77,79,78,77,81,76,84,76,86,77,89,78,90,80,91,82,91,85,90,87,87,32,79,79,78,81,77,84,77,87,78,89,32,82,77,80,79,79,81,78,84,78,87,79,90,80,91,0,71,93,89,70,86,81,85,85,85,88,86,90,87,91,89,91,91,89,92,87,32,90,70,87,81,86,85,86,90,32,86,70,91,70,87,84,86,88,32,85,84,85,81,84,78,82,77,80,77,77,78,75,81,74,84,74,86,75,89,76,90,78,91,80,91,82,90,83,89,84,87,85,84,32,77,79,76,81,75,84,75,87,76,89,32,80,77,78,79,77,81,76,84,76,87,77,90,78,91,32,87,70,90,71,32,88,70,89,72,0,73,91,77,86,81,85,84,84,87,82,88,80,87,78,85,77,82,77,79,78,77,81,76,84,76,86,77,89,78,90,80,91,82,91,85,90,87,88,32,79,79,78,81,77,84,77,87,78,89,32,82,77,80,79,79,81,78,84,78,87,79,90,80,91,0,74,90,90,72,90,71,89,71,89,73,91,73,91,71,90,70,88,70,86,71,84,73,83,75,82,78,81,82,79,91,78,94,77,96,75,98,32,84,74,83,77,82,82,80,91,79,94,32,88,70,86,72,85,74,84,77,83,82,81,90,80,93,79,95,77,97,75,98,73,98,72,97,72,95,74,95,74,97,73,97,73,96,32,78,77,89,77,0,72,93,88,77,84,91,83,94,81,97,79,98,32,89,77,85,91,83,95,32,88,77,90,77,86,91,84,95,82,97,79,98,76,98,74,97,73,96,73,94,75,94,75,96,74,96,74,95,32,86,84,86,81,85,78,83,77,81,77,78,78,76,81,75,84,75,86,76,89,77,90,79,91,81,91,83,90,84,89,85,87,86,84,32,78,79,77,81,76,84,76,87,77,89,32,81,77,79,79,78,81,77,84,77,87,78,90,79,91,0,71,93,79,70,73,91,75,91,32,80,70,74,91,32,76,70,81,70,75,91,32,77,84,79,80,81,78,83,77,85,77,87,78,88,80,88,83,86,88,32,87,78,87,82,86,86,86,90,32,87,80,85,85,85,88,86,90,87,91,89,91,91,89,92,87,32,77,70,80,71,32,78,70,79,72,0,75,88,84,70,84,72,86,72,86,70,84,70,32,85,70,85,72,32,84,71,86,71,32,76,81,77,79,79,77,81,77,82,78,83,80,83,83,81,88,32,82,78,82,82,81,86,81,90,32,82,80,80,85,80,88,81,90,82,91,84,91,86,89,87,87,0,75,88,85,70,85,72,87,72,87,70,85,70,32,86,70,86,72,32,85,71,87,71,32,77,81,78,79,80,77,82,77,83,78,84,80,84,83,82,90,81,93,80,95,78,97,76,98,74,98,73,97,73,95,75,95,75,97,74,97,74,96,32,83,78,83,83,81,90,80,93,79,95,32,83,80,82,84,80,91,79,94,78,96,76,98,0,71,93,79,70,73,91,75,91,32,80,70,74,91,32,76,70,81,70,75,91,32,89,79,89,78,88,78,88,80,90,80,90,78,89,77,87,77,85,78,81,82,79,83,32,77,83,79,83,81,84,82,85,84,89,85,90,87,90,32,81,85,83,89,84,90,32,79,83,80,84,82,90,83,91,85,91,87,90,89,87,32,77,70,80,71,32,78,70,79,72,0,76,88,84,70,81,81,80,85,80,88,81,90,82,91,84,91,86,89,87,87,32,85,70,82,81,81,85,81,90,32,81,70,86,70,82,84,81,88,32,82,70,85,71,32,83,70,84,72,0,64,99,65,81,66,79,68,77,70,77,71,78,72,80,72,83,70,91,32,71,78,71,83,69,91,32,71,80,70,84,68,91,70,91,32,72,83,74,80,76,78,78,77,80,77,82,78,83,80,83,83,81,91,32,82,78,82,83,80,91,32,82,80,81,84,79,91,81,91,32,83,83,85,80,87,78,89,77,91,77,93,78,94,80,94,83,92,88,32,93,78,93,82,92,86,92,90,32,93,80,91,85,91,88,92,90,93,91,95,91,97,89,98,87,0,70,94,71,81,72,79,74,77,76,77,77,78,78,80,78,83,76,91,32,77,78,77,83,75,91,32,77,80,76,84,74,91,76,91,32,78,83,80,80,82,78,84,77,86,77,88,78,89,80,89,83,87,88,32,88,78,88,82,87,86,87,90,32,88,80,86,85,86,88,87,90,88,91,90,91,92,89,93,87,0,72,92,81,77,78,78,76,81,75,84,75,86,76,89,77,90,80,91,83,91,86,90,88,87,89,84,89,82,88,79,87,78,84,77,81,77,32,78,79,77,81,76,84,76,87,77,89,32,86,89,87,87,88,84,88,81,87,79,32,81,77,79,79,78,81,77,84,77,87,78,90,80,91,32,83,91,85,89,86,87,87,84,87,81,86,78,84,77,0,71,93,72,81,73,79,75,77,77,77,78,78,79,80,79,83,78,87,75,98,32,78,78,78,83,77,87,74,98,32,78,80,77,84,73,98,32,79,84,80,81,81,79,82,78,84,77,86,77,88,78,89,79,90,82,90,84,89,87,87,90,84,91,82,91,80,90,79,87,79,84,32,88,79,89,81,89,84,88,87,87,89,32,86,77,87,78,88,81,88,84,87,87,86,89,84,91,32,70,98,78,98,32,74,97,71,98,32,74,96,72,98,32,75,96,76,98,32,74,97,77,98,0,71,92,87,77,81,98,32,88,77,82,98,32,87,77,89,77,83,98,32,85,84,85,81,84,78,82,77,80,77,77,78,75,81,74,84,74,86,75,89,76,90,78,91,80,91,82,90,83,89,84,87,85,84,32,77,79,76,81,75,84,75,87,76,89,32,80,77,78,79,77,81,76,84,76,87,77,90,78,91,32,78,98,86,98,32,82,97,79,98,32,82,96,80,98,32,83,96,84,98,32,82,97,85,98,0,73,91,74,81,75,79,77,77,79,77,80,78,81,80,81,84,79,91,32,80,78,80,84,78,91,32,80,80,79,84,77,91,79,91,32,89,79,89,78,88,78,88,80,90,80,90,78,89,77,87,77,85,78,83,80,81,84,0,74,91,88,80,88,79,87,79,87,81,89,81,89,79,88,78,85,77,82,77,79,78,78,79,78,81,79,83,81,84,84,85,86,86,87,88,32,79,78,78,81,32,79,82,81,83,84,84,86,85,32,87,86,86,90,32,78,79,79,81,81,82,84,83,86,84,87,86,87,88,86,90,83,91,80,91,77,90,76,89,76,87,78,87,78,89,77,89,77,88,0,75,89,84,70,81,81,80,85,80,88,81,90,82,91,84,91,86,89,87,87,32,85,70,82,81,81,85,81,90,32,84,70,86,70,82,84,81,88,32,78,77,88,77,0,70,94,71,81,72,79,74,77,76,77,77,78,78,80,78,83,76,88,32,77,78,77,82,76,86,76,90,32,77,80,75,85,75,88,76,90,78,91,80,91,82,90,84,88,86,85,32,88,77,86,85,86,88,87,90,88,91,90,91,92,89,93,87,32,89,77,87,85,87,90,32,88,77,90,77,88,84,87,88,0,72,92,73,81,74,79,76,77,78,77,79,78,80,80,80,83,78,88,32,79,78,79,82,78,86,78,90,32,79,80,77,85,77,88,78,90,80,91,82,91,84,90,86,88,88,85,89,81,89,77,88,77,88,78,89,80,0,67,97,68,81,69,79,71,77,73,77,74,78,75,80,75,83,73,88,32,74,78,74,82,73,86,73,90,32,74,80,72,85,72,88,73,90,75,91,77,91,79,90,81,88,82,85,32,84,77,82,85,82,88,83,90,85,91,87,91,89,90,91,88,93,85,94,81,94,77,93,77,93,78,94,80,32,85,77,83,85,83,90,32,84,77,86,77,84,84,83,88,0,71,93,74,81,76,78,78,77,80,77,82,78,83,80,83,82,32,80,77,81,78,81,82,80,86,79,88,77,90,75,91,73,91,72,90,72,88,74,88,74,90,73,90,73,89,32,82,79,82,82,81,86,81,89,32,90,79,90,78,89,78,89,80,91,80,91,78,90,77,88,77,86,78,84,80,83,82,82,86,82,90,83,91,32,80,86,80,88,81,90,83,91,85,91,87,90,89,87,0,71,93,72,81,73,79,75,77,77,77,78,78,79,80,79,83,77,88,32,78,78,78,82,77,86,77,90,32,78,80,76,85,76,88,77,90,79,91,81,91,83,90,85,88,87,84,32,89,77,85,91,84,94,82,97,80,98,32,90,77,86,91,84,95,32,89,77,91,77,87,91,85,95,83,97,80,98,77,98,75,97,74,96,74,94,76,94,76,96,75,96,75,95,0,72,92,89,77,88,79,86,81,78,87,76,89,75,91,32,88,79,79,79,77,80,76,82,32,86,79,82,78,79,78,78,79,32,86,79,82,77,79,77,77,79,76,82,32,76,89,85,89,87,88,88,86,32,78,89,82,90,85,90,86,89,32,78,89,82,91,85,91,87,89,88,86,0,72,92,87,81,86,79,85,78,83,77,81,77,78,78,76,80,75,83,75,85,76,88,78,90,81,91,83,91,86,90,87,89,88,87,89,83,89,78,88,74,87,72,86,71,83,70,81,70,78,71,77,72,78,72,79,71,81,70,32,77,80,76,82,76,86,77,88,32,86,89,87,87,88,83,88,78,87,74,86,72,32,81,77,79,78,78,79,77,82,77,86,78,89,79,90,81,91,32,83,91,85,90,86,88,87,84,87,77,86,73,85,71,83,70,0,73,91,85,77,87,78,88,79,89,79,88,78,85,77,82,77,79,78,77,80,76,83,76,85,77,88,79,90,82,91,85,91,88,90,89,89,88,89,87,90,85,91,32,78,80,77,83,77,85,78,88,32,82,77,80,78,79,79,78,82,78,86,79,89,80,90,82,91,32,78,84,84,85,85,84,84,83,78,84,32,78,84,84,84,0,72,92,81,70,78,71,76,74,75,79,75,82,76,87,78,90,81,91,83,91,86,90,88,87,89,82,89,79,88,74,86,71,83,70,81,70,32,78,72,77,74,76,78,76,83,77,87,78,89,32,86,89,87,87,88,83,88,78,87,74,86,72,32,81,70,79,71,78,73,77,78,77,83,78,88,79,90,81,91,32,83,91,85,90,86,88,87,83,87,78,86,73,85,71,83,70,32,76,80,88,81,32,76,81,88,80,0,71,93,80,77,77,78,75,80,74,83,74,85,75,88,77,90,80,91,84,91,87,90,89,88,90,85,90,83,89,80,87,78,84,77,80,77,32,76,80,75,83,75,85,76,88,32,88,88,89,85,89,83,88,80,32,80,77,78,78,77,79,76,82,76,86,77,89,78,90,80,91,84,91,86,90,87,89,88,86,88,82,87,79,86,78,84,77,32,81,70,83,98,32,82,71,82,97,32,83,70,81,98,32,81,70,83,70,32,81,98,83,98,0,72,92,84,77,86,78,88,80,89,80,89,79,87,78,84,77,80,77,77,78,76,79,75,81,75,83,76,85,78,87,80,88,82,89,83,90,84,92,84,94,83,95,81,95,79,94,80,94,81,95,32,77,79,76,81,76,83,77,85,79,87,32,80,77,78,78,77,80,77,83,78,85,82,89,32,89,80,88,79,0,72,92,81,70,78,71,76,74,75,79,75,82,76,87,78,90,81,91,83,91,86,90,88,87,89,82,89,79,88,74,86,71,83,70,81,70,32,78,72,77,74,76,78,76,83,77,87,78,89,32,86,89,87,87,88,83,88,78,87,74,86,72,32,81,70,79,71,78,73,77,78,77,83,78,88,79,90,81,91,32,83,91,85,90,86,88,87,83,87,78,86,73,85,71,83,70,0,72,92,81,72,81,91,32,82,72,82,90,32,83,70,83,91,32,83,70,80,73,78,74,32,77,91,87,91,32,81,90,79,91,32,81,89,80,91,32,83,89,84,91,32,83,90,85,91,0,72,92,76,74,76,75,77,75,77,74,76,74,32,76,73,77,73,78,74,78,75,77,76,76,76,75,75,75,74,76,72,77,71,80,70,84,70,87,71,88,72,89,74,89,76,88,78,85,80,80,82,78,83,76,85,75,88,75,91,32,87,72,88,74,88,76,87,78,32,84,70,86,71,87,74,87,76,86,78,84,80,80,82,32,75,89,76,88,78,88,83,89,87,89,89,88,32,78,88,83,90,87,90,88,89,32,78,88,83,91,87,91,88,90,89,88,89,86,0,72,92,76,74,76,75,77,75,77,74,76,74,32,76,73,77,73,78,74,78,75,77,76,76,76,75,75,75,74,76,72,77,71,80,70,84,70,87,71,88,73,88,76,87,78,84,79,32,86,71,87,73,87,76,86,78,32,83,70,85,71,86,73,86,76,85,78,83,79,32,81,79,84,79,86,80,88,82,89,84,89,87,88,89,87,90,84,91,80,91,77,90,76,89,75,87,75,86,76,85,77,85,78,86,78,87,77,88,76,88,32,87,82,88,84,88,87,87,89,32,83,79,85,80,86,81,87,84,87,87,86,90,84,91,32,76,86,76,87,77,87,77,86,76,86,0,72,92,83,73,83,91,32,84,72,84,90,32,85,70,85,91,32,85,70,74,85,90,85,32,80,91,88,91,32,83,90,81,91,32,83,89,82,91,32,85,89,86,91,32,85,90,87,91,0,72,92,77,70,75,80,77,78,80,77,83,77,86,78,88,80,89,83,89,85,88,88,86,90,83,91,80,91,77,90,76,89,75,87,75,86,76,85,77,85,78,86,78,87,77,88,76,88,32,87,80,88,82,88,86,87,88,32,83,77,85,78,86,79,87,82,87,86,86,89,85,90,83,91,32,76,86,76,87,77,87,77,86,76,86,32,77,70,87,70,32,77,71,85,71,32,77,72,81,72,85,71,87,70,0,72,92,86,73,86,74,87,74,87,73,86,73,32,87,72,86,72,85,73,85,74,86,75,87,75,88,74,88,73,87,71,85,70,82,70,79,71,77,73,76,75,75,79,75,85,76,88,78,90,81,91,83,91,86,90,88,88,89,85,89,84,88,81,86,79,83,78,81,78,79,79,78,80,77,82,32,78,73,77,75,76,79,76,85,77,88,78,89,32,87,88,88,86,88,83,87,81,32,82,70,80,71,79,72,78,74,77,78,77,85,78,88,79,90,81,91,32,83,91,85,90,86,89,87,86,87,83,86,80,85,79,83,78,0,72,92,75,70,75,76,32,89,70,89,73,88,76,84,81,83,83,82,87,82,91,32,83,82,82,84,81,87,81,91,32,88,76,83,81,81,84,80,87,80,91,82,91,32,75,74,76,72,78,70,80,70,85,73,87,73,88,72,89,70,32,77,72,78,71,80,71,82,72,32,75,74,76,73,78,72,80,72,85,73,0,72,92,80,70,77,71,76,73,76,76,77,78,80,79,84,79,87,78,88,76,88,73,87,71,84,70,80,70,32,78,71,77,73,77,76,78,78,32,86,78,87,76,87,73,86,71,32,80,70,79,71,78,73,78,76,79,78,80,79,32,84,79,85,78,86,76,86,73,85,71,84,70,32,80,79,77,80,76,81,75,83,75,87,76,89,77,90,80,91,84,91,87,90,88,89,89,87,89,83,88,81,87,80,84,79,32,77,81,76,83,76,87,77,89,32,87,89,88,87,88,83,87,81,32,80,79,78,80,77,83,77,87,78,90,80,91,32,84,91,86,90,87,87,87,83,86,80,84,79,0,72,92,77,87,77,88,78,88,78,87,77,87,32,87,79,86,81,85,82,83,83,81,83,78,82,76,80,75,77,75,76,76,73,78,71,81,70,83,70,86,71,88,73,89,76,89,82,88,86,87,88,85,90,82,91,79,91,77,90,76,88,76,87,77,86,78,86,79,87,79,88,78,89,77,89,32,77,80,76,78,76,75,77,73,32,86,72,87,73,88,76,88,82,87,86,86,88,32,81,83,79,82,78,81,77,78,77,75,78,72,79,71,81,70,32,83,70,85,71,86,73,87,76,87,83,86,87,85,89,84,90,82,91,0,77,88,82,70,81,71,81,73,82,81,32,82,70,82,84,83,84,32,82,70,83,70,83,84,32,83,70,84,71,84,73,83,81,32,82,88,81,89,81,90,82,91,83,91,84,90,84,89,83,88,82,88,32,82,89,82,90,83,90,83,89,82,89,0,73,92,77,75,77,74,78,74,78,76,76,76,76,74,77,72,78,71,80,70,84,70,87,71,88,72,89,74,89,76,88,78,87,79,83,81,32,87,72,88,73,88,77,87,78,32,84,70,86,71,87,73,87,77,86,79,85,80,32,82,81,82,84,83,84,83,81,82,81,32,82,88,81,89,81,90,82,91,83,91,84,90,84,89,83,88,82,88,32,82,89,82,90,83,90,83,89,82,89,0,69,95,91,79,91,78,90,78,90,80,92,80,92,78,91,77,90,77,89,78,88,80,86,85,84,88,82,90,80,91,76,91,74,90,73,88,73,85,74,83,80,79,82,77,83,75,83,73,82,71,80,70,78,71,77,73,77,76,78,79,80,82,84,87,87,90,89,91,91,91,92,89,92,88,32,75,90,74,88,74,85,75,83,76,82,32,82,77,83,73,32,83,75,82,71,32,78,71,77,75,32,78,78,80,81,84,86,87,89,89,90,32,78,91,76,90,75,88,75,85,76,83,80,79,32,77,73,78,77,81,81,85,86,88,89,90,90,91,90,92,89,0,72,92,80,66,80,95,32,84,66,84,95,32,88,75,88,74,87,74,87,76,89,76,89,74,88,72,87,71,84,70,80,70,77,71,75,73,75,76,76,78,79,80,85,82,87,83,88,85,88,88,87,90,32,76,76,77,78,79,79,85,81,87,82,88,84,32,77,71,76,73,76,75,77,77,79,78,85,80,88,82,89,84,89,87,88,89,87,90,84,91,80,91,77,90,76,89,75,87,75,85,77,85,77,87,76,87,76,86,0,75,89,85,66,83,68,81,71,79,75,78,80,78,84,79,89,81,93,83,96,85,98,32,81,72,80,75,79,79,79,85,80,89,81,92,32,83,68,82,70,81,73,80,79,80,85,81,91,82,94,83,96,0,75,89,79,66,81,68,83,71,85,75,86,80,86,84,85,89,83,93,81,96,79,98,32,83,72,84,75,85,79,85,85,84,89,83,92,32,81,68,82,70,83,73,84,79,84,85,83,91,82,94,81,96,0,70,94,91,70,89,71,86,72,83,72,80,71,78,70,76,70,74,71,73,73,73,75,75,77,77,77,79,76,80,74,80,72,78,70,32,91,70,72,91,32,91,70,73,91,32,91,70,74,91,32,89,84,87,84,85,85,84,87,84,89,86,91,88,91,90,90,91,88,91,86,89,84,32,79,71,76,70,73,73,74,76,77,77,80,74,79,71,32,78,70,74,71,73,75,32,75,77,79,76,80,72,32,90,85,87,84,84,87,85,90,88,91,91,88,90,85,32,89,84,85,85,84,89,32,86,91,90,90,91,86,32,72,91,74,91,0,69,96,86,78,85,76,83,75,81,75,79,76,78,77,77,79,77,82,78,84,79,85,81,86,83,86,85,85,86,83,32,79,77,78,79,78,82,79,84,32,81,75,80,76,79,79,79,82,80,85,81,86,32,86,75,86,83,87,85,89,86,90,86,92,85,93,82,93,79,92,76,91,74,89,72,87,71,84,70,81,70,78,71,76,72,74,74,73,76,72,79,72,82,73,85,74,87,76,89,78,90,81,91,84,91,87,90,89,89,88,89,87,90,32,87,76,87,83,88,85,32,86,75,88,75,88,83,89,85,90,86,0,72,93,84,70,81,71,79,73,77,76,76,79,75,83,75,86,76,89,77,90,79,91,81,91,84,90,86,88,88,85,89,82,90,78,90,75,89,72,88,71,86,70,84,70,32,81,72,79,74,78,76,77,79,76,83,76,87,77,89,32,84,89,86,87,87,85,88,82,89,78,89,74,88,72,32,84,70,82,71,80,74,79,76,78,79,77,83,77,88,78,90,79,91,32,81,91,83,90,85,87,86,85,87,82,88,78,88,73,87,71,86,70,0,72,93,84,74,79,91,81,91,32,87,70,85,74,80,91,32,87,70,81,91,32,87,70,84,73,81,75,79,76,32,84,74,82,75,79,76,0,72,93,79,75,79,74,80,74,80,76,78,76,78,74,79,72,80,71,83,70,86,70,89,71,90,73,90,75,89,77,87,79,77,85,75,87,73,91,32,88,71,89,73,89,75,88,77,86,79,83,81,32,86,70,87,71,88,73,88,75,87,77,85,79,77,85,32,74,89,75,88,77,88,82,89,87,89,88,88,32,77,88,82,90,87,90,32,77,88,82,91,85,91,87,90,88,88,88,87,0,72,93,79,75,79,74,80,74,80,76,78,76,78,74,79,72,80,71,83,70,86,70,89,71,90,73,90,75,89,77,88,78,86,79,83,80,32,88,71,89,73,89,75,88,77,87,78,32,86,70,87,71,88,73,88,75,87,77,85,79,83,80,32,81,80,83,80,86,81,87,82,88,84,88,87,87,89,85,90,82,91,79,91,76,90,75,89,74,87,74,85,76,85,76,87,75,87,75,86,32,86,82,87,84,87,87,86,89,32,83,80,85,81,86,83,86,87,85,89,84,90,82,91,0,72,93,87,74,82,91,84,91,32,90,70,88,74,83,91,32,90,70,84,91,32,90,70,74,85,90,85,0,72,93,81,70,76,80,32,81,70,91,70,32,81,71,89,71,32,80,72,85,72,89,71,91,70,32,76,80,77,79,80,78,83,78,86,79,87,80,88,82,88,85,87,88,85,90,81,91,78,91,76,90,75,89,74,87,74,85,76,85,76,87,75,87,75,86,32,86,80,87,82,87,85,86,88,84,90,32,83,78,85,79,86,81,86,85,85,88,83,90,81,91,0,72,93,89,74,89,73,88,73,88,75,90,75,90,73,89,71,87,70,84,70,81,71,79,73,77,76,76,79,75,83,75,86,76,89,77,90,79,91,82,91,85,90,87,88,88,86,88,83,87,81,86,80,84,79,81,79,79,80,78,81,77,83,32,80,73,78,76,77,79,76,83,76,87,77,89,32,86,88,87,86,87,83,86,81,32,84,70,82,71,80,74,79,76,78,79,77,83,77,88,78,90,79,91,32,82,91,84,90,85,89,86,86,86,82,85,80,84,79,0,72,93,78,70,76,76,32,91,70,90,73,88,76,84,81,82,84,81,87,80,91,32,82,83,80,87,79,91,32,88,76,82,82,80,85,79,87,78,91,80,91,32,77,73,80,70,82,70,87,73,32,79,71,82,71,87,73,32,77,73,79,72,82,72,87,73,89,73,90,72,91,70,0,72,93,83,70,80,71,79,72,78,74,78,77,79,79,81,80,84,80,87,79,89,78,90,76,90,73,89,71,87,70,83,70,32,85,70,80,71,32,80,72,79,74,79,78,80,79,32,79,79,82,80,32,83,80,87,79,32,88,78,89,76,89,73,88,71,32,89,71,85,70,32,83,70,81,72,80,74,80,78,81,80,32,84,80,86,79,87,78,88,76,88,72,87,70,32,81,80,77,81,75,83,74,85,74,88,75,90,78,91,82,91,86,90,87,89,88,87,88,84,87,82,86,81,84,80,32,82,80,77,81,32,78,81,76,83,75,85,75,88,76,90,32,75,90,80,91,86,90,32,86,89,87,87,87,84,86,82,32,86,81,83,80,32,81,80,79,81,77,83,76,85,76,88,77,90,78,91,32,82,91,84,90,85,89,86,87,86,83,85,81,84,80,0,72,93,88,78,87,80,86,81,84,82,81,82,79,81,78,80,77,78,77,75,78,73,80,71,83,70,86,70,88,71,89,72,90,75,90,78,89,82,88,85,86,88,84,90,81,91,78,91,76,90,75,88,75,86,77,86,77,88,76,88,76,87,32,79,80,78,78,78,75,79,73,32,88,72,89,74,89,78,88,82,87,85,85,88,32,81,82,80,81,79,79,79,75,80,72,81,71,83,70,32,86,70,87,71,88,73,88,78,87,82,86,85,85,87,83,90,81,91,0,77,88,80,88,79,89,79,90,80,91,81,91,82,90,82,89,81,88,80,88,32,80,89,80,90,81,90,81,89,80,89,0,77,88,81,91,80,91,79,90,79,89,80,88,81,88,82,89,82,91,81,93,80,94,78,95,32,80,89,80,90,81,90,81,89,80,89,32,81,91,81,92,80,94,0,77,88,83,77,82,78,82,79,83,80,84,80,85,79,85,78,84,77,83,77,32,83,78,83,79,84,79,84,78,83,78,32,80,88,79,89,79,90,80,91,81,91,82,90,82,89,81,88,80,88,32,80,89,80,90,81,90,81,89,80,89,0,77,88,83,77,82,78,82,79,83,80,84,80,85,79,85,78,84,77,83,77,32,83,78,83,79,84,79,84,78,83,78,32,81,91,80,91,79,90,79,89,80,88,81,88,82,89,82,91,81,93,80,94,78,95,32,80,89,80,90,81,90,81,89,80,89,32,81,91,81,92,80,94,0,77,88,86,70,85,70,84,71,82,84,32,86,71,85,71,82,84,32,86,71,86,72,82,84,32,86,70,87,71,87,72,82,84,32,80,88,79,89,79,90,80,91,81,91,82,90,82,89,81,88,80,88,32,80,89,80,90,81,90,81,89,80,89,0,72,93,79,75,79,74,80,74,80,76,78,76,78,74,79,72,80,71,83,70,87,70,90,71,91,73,91,75,90,77,89,78,87,79,83,80,81,81,81,83,83,84,84,84,32,85,70,90,71,32,89,71,90,73,90,75,89,77,88,78,86,79,32,87,70,88,71,89,73,89,75,88,77,87,78,83,80,82,81,82,83,83,84,32,80,88,79,89,79,90,80,91,81,91,82,90,82,89,81,88,80,88,32,80,89,80,90,81,90,81,89,80,89,0,77,88,87,70,85,71,84,72,83,74,83,76,84,77,85,77,86,76,86,75,85,74,84,74,32,85,71,84,73,84,74,32,84,75,84,76,85,76,85,75,84,75,0,77,88,86,73,85,73,84,72,84,71,85,70,86,70,87,71,87,73,86,75,85,76,83,77,32,85,71,85,72,86,72,86,71,85,71,32,86,73,86,74,85,76,0,69,95,92,79,92,78,91,78,91,80,93,80,93,78,92,77,91,77,89,78,87,80,82,88,80,90,78,91,75,91,72,90,71,88,71,86,72,84,73,83,75,82,80,80,82,79,84,77,85,75,85,73,84,71,82,70,80,71,79,73,79,76,80,82,81,85,82,87,84,90,86,91,88,91,89,89,89,88,32,76,91,72,90,32,73,90,72,88,72,86,73,84,74,83,76,82,32,80,80,81,83,84,89,86,90,32,75,91,74,90,73,88,73,86,74,84,75,83,77,82,82,79,32,79,76,80,79,81,82,83,86,85,89,87,90,88,90,89,89,0,72,93,84,66,76,95,32,89,66,81,95,32,90,75,90,74,89,74,89,76,91,76,91,74,90,72,89,71,86,70,82,70,79,71,77,73,77,76,78,78,80,80,86,83,87,85,87,88,86,90,32,78,76,79,78,86,82,87,84,32,79,71,78,73,78,75,79,77,85,80,87,82,88,84,88,87,87,89,86,90,83,91,79,91,76,90,75,89,74,87,74,85,76,85,76,87,75,87,75,86,0,71,94,95,66,69,98,70,98,32,95,66,96,66,70,98,0,74,90,90,66,88,67,85,69,82,72,80,75,78,79,77,83,77,88,78,92,79,95,81,98,32,83,72,81,75,79,79,78,84,78,92,32,90,66,87,68,84,71,82,74,81,76,80,79,79,83,78,92,32,78,84,79,93,80,96,81,98,0,74,90,83,66,85,69,86,72,87,76,87,81,86,85,84,89,82,92,79,95,76,97,74,98,32,86,72,86,80,85,85,83,89,81,92,32,83,66,84,68,85,71,86,80,32,86,72,85,81,84,85,83,88,82,90,80,93,77,96,74,98,0,74,91,84,70,83,71,85,81,84,82,32,84,70,84,82,32,84,70,85,71,83,81,84,82,32,79,73,80,73,88,79,89,79,32,79,73,89,79,32,79,73,79,74,89,78,89,79,32,89,73,88,73,80,79,79,79,32,89,73,79,79,32,89,73,89,74,79,78,79,79,0,77,87,85,70,84,71,82,77,32,85,71,82,77,32,85,70,86,71,82,77,0,72,92,80,70,79,71,77,77,32,80,71,77,77,32,80,70,81,71,77,77,32,90,70,89,71,87,77,32,90,71,87,77,32,90,70,91,71,87,77,0,75,90,83,70,81,71,80,73,80,75,81,77,83,78,85,78,87,77,88,75,88,73,87,71,85,70,83,70,32,83,70,80,73,81,77,85,78,88,75,87,71,83,70,32,85,70,81,71,80,75,83,78,87,77,88,73,85,70,0,71,94,83,70,75,98,76,98,32,83,70,84,70,76,98,32,89,70,81,98,82,98,32,89,70,90,70,82,98,32,75,80,92,80,92,81,32,75,80,75,81,92,81,32,73,87,90,87,90,88,32,73,87,73,88,90,88,0,69,94,94,70,92,71,88,72,85,72,81,71,79,70,77,70,75,71,74,73,74,75,76,77,78,77,80,76,81,74,81,72,79,70,32,94,70,69,91,32,94,70,70,91,32,94,70,71,91,32,88,84,86,84,84,85,83,87,83,89,85,91,87,91,89,90,90,88,90,86,88,84,32,80,71,77,70,74,73,75,76,78,77,81,74,80,71,32,79,70,75,71,74,75,32,76,77,80,76,81,72,32,89,85,86,84,83,87,84,90,87,91,90,88,89,85,32,88,84,84,85,83,89,32,85,91,89,90,90,86,32,69,91,71,91,0,69,96,85,81,85,78,84,76,82,75,80,75,78,76,77,77,76,80,76,83,77,85,79,86,81,86,83,85,84,84,85,81,32,79,76,78,77,77,80,77,83,78,85,32,82,75,80,76,79,77,78,80,78,83,79,85,80,86,32,86,75,85,81,85,83,86,85,88,86,90,86,92,85,93,82,93,79,92,76,91,74,89,72,87,71,84,70,81,70,78,71,76,72,74,74,73,76,72,79,72,82,73,85,74,87,76,89,78,90,81,91,84,91,87,90,89,89,88,89,87,90,32,87,75,86,81,86,83,87,85,32,86,75,88,75,87,81,87,83,88,85,90,86,0,95,112,111,105,110,116,115,46,103,101,116,79,98,106,40,41,32,33,61,32,95,104,117,108,108,46,103,101,116,79,98,106,40,41,0,99,111,110,118,101,120,72,117,108,108,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,105,109,103,112,114,111,99,47,115,114,99,47,99,111,110,118,104,117,108,108,46,99,112,112,0,116,111,116,97,108,32,62,61,32,48,32,38,38,32,40,100,101,112,116,104,32,61,61,32,67,86,95,51,50,70,32,124,124,32,100,101,112,116,104,32,61,61,32,67,86,95,51,50,83,41,0,112,111,105,110,116,115,46,105,115,67,111,110,116,105,110,117,111,117,115,40,41,0,118,111,105,100,32,99,118,58,58,99,111,110,118,101,120,72,117,108,108,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,98,111,111,108,44,32,98,111,111,108,41,0,110,112,111,105,110,116,115,32,62,61,32,48,0,99,111,110,118,101,120,105,116,121,68,101,102,101,99,116,115,0,104,112,111,105,110,116,115,32,62,32,48,0,48,32,60,61,32,104,99,117,114,114,32,38,38,32,104,99,117,114,114,32,60,32,110,112,111,105,110,116,115,0,48,32,60,61,32,104,110,101,120,116,32,38,38,32,104,110,101,120,116,32,60,32,110,112,111,105,110,116,115,0,118,111,105,100,32,99,118,58,58,99,111,110,118,101,120,105,116,121,68,101,102,101,99,116,115,40,73,110,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,41,0,105,115,67,111,110,116,111,117,114,67,111,110,118,101,120,0,116,104,101,32,116,121,112,101,32,111,102,32,108,97,98,101,108,115,32,109,117,115,116,32,98,101,32,49,54,117,32,111,114,32,51,50,115,0,99,111,110,110,101,99,116,101,100,67,111,109,112,111,110,101,110,116,115,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,105,109,103,112,114,111,99,47,115,114,99,47,99,111,110,110,101,99,116,101,100,99,111,109,112,111,110,101,110,116,115,46,99,112,112,0,76,46,99,104,97,110,110,101,108,115,40,41,32,61,61,32,49,32,38,38,32,73,46,99,104,97,110,110,101,108,115,40,41,32,61,61,32,49,0,99,111,110,110,101,99,116,101,100,67,111,109,112,111,110,101,110,116,115,95,115,117,98,49,0,99,111,110,110,101,99,116,105,118,105,116,121,32,61,61,32,56,32,124,124,32,99,111,110,110,101,99,116,105,118,105,116,121,32,61,61,32,52,0,99,99,108,116,121,112,101,32,61,61,32,67,67,76,95,71,82,65,78,65,32,124,124,32,99,99,108,116,121,112,101,32,61,61,32,67,67,76,95,87,85,32,124,124,32,99,99,108,116,121,112,101,32,61,61,32,67,67,76,95,68,69,70,65,85,76,84,0,105,68,101,112,116,104,32,61,61,32,67,86,95,56,85,32,124,124,32,105,68,101,112,116,104,32,61,61,32,67,86,95,56,83,0,117,110,115,117,112,112,111,114,116,101,100,32,108,97,98,101,108,47,105,109,97,103,101,32,116,121,112,101,0,105,109,103,46,114,111,119,115,32,61,61,32,105,109,103,76,97,98,101,108,115,46,114,111,119,115,0,105,109,103,46,99,111,108,115,32,61,61,32,105,109,103,76,97,98,101,108,115,46,99,111,108,115,0,99,111,110,110,101,99,116,105,118,105,116,121,32,61,61,32,56,0,78,50,99,118,49,57,99,111,110,110,101,99,116,101,100,99,111,109,112,111,110,101,110,116,115,50,49,76,97,98,101,108,105,110,103,71,114,97,110,97,80,97,114,97,108,108,101,108,73,105,104,78,83,48,95,52,78,111,79,112,69,69,49,48,83,101,99,111,110,100,83,99,97,110,69,0,78,50,99,118,49,57,99,111,110,110,101,99,116,101,100,99,111,109,112,111,110,101,110,116,115,50,49,76,97,98,101,108,105,110,103,71,114,97,110,97,80,97,114,97,108,108,101,108,73,105,104,78,83,48,95,52,78,111,79,112,69,69,57,70,105,114,115,116,83,99,97,110,69,0,78,50,99,118,49,57,99,111,110,110,101,99,116,101,100,99,111,109,112,111,110,101,110,116,115,49,56,76,97,98,101,108,105,110,103,87,117,80,97,114,97,108,108,101,108,73,105,104,78,83,48,95,52,78,111,79,112,69,69,49,48,83,101,99,111,110,100,83,99,97,110,69,0,78,50,99,118,49,57,99,111,110,110,101,99,116,101,100,99,111,109,112,111,110,101,110,116,115,49,56,76,97,98,101,108,105,110,103,87,117,80,97,114,97,108,108,101,108,73,105,104,78,83,48,95,52,78,111,79,112,69,69,50,50,70,105,114,115,116,83,99,97,110,52,67,111,110,110,101,99,116,105,118,105,116,121,69,0,78,50,99,118,49,57,99,111,110,110,101,99,116,101,100,99,111,109,112,111,110,101,110,116,115,49,56,76,97,98,101,108,105,110,103,87,117,80,97,114,97,108,108,101,108,73,105,104,78,83,48,95,52,78,111,79,112,69,69,50,50,70,105,114,115,116,83,99,97,110,56,67,111,110,110,101,99,116,105,118,105,116,121,69,0,105,109,103,76,97,98,101,108,115,46,114,111,119,115,32,61,61,32,105,109,103,46,114,111,119,115],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+337924);allocate([105,109,103,76,97,98,101,108,115,46,99,111,108,115,32,61,61,32,105,109,103,46,99,111,108,115,0,99,111,110,110,101,99,116,101,100,67,111,109,112,111,110,101,110,116,115,87,105,116,104,83,116,97,116,115,0,78,50,99,118,49,57,99,111,110,110,101,99,116,101,100,99,111,109,112,111,110,101,110,116,115,50,49,76,97,98,101,108,105,110,103,71,114,97,110,97,80,97,114,97,108,108,101,108,73,105,104,78,83,48,95,57,67,67,83,116,97,116,115,79,112,69,69,49,48,83,101,99,111,110,100,83,99,97,110,69,0,78,50,99,118,49,57,99,111,110,110,101,99,116,101,100,99,111,109,112,111,110,101,110,116,115,50,49,76,97,98,101,108,105,110,103,71,114,97,110,97,80,97,114,97,108,108,101,108,73,105,104,78,83,48,95,57,67,67,83,116,97,116,115,79,112,69,69,57,70,105,114,115,116,83,99,97,110,69,0,78,50,99,118,49,57,99,111,110,110,101,99,116,101,100,99,111,109,112,111,110,101,110,116,115,49,56,76,97,98,101,108,105,110,103,87,117,80,97,114,97,108,108,101,108,73,105,104,78,83,48,95,57,67,67,83,116,97,116,115,79,112,69,69,49,48,83,101,99,111,110,100,83,99,97,110,69,0,78,50,99,118,49,57,99,111,110,110,101,99,116,101,100,99,111,109,112,111,110,101,110,116,115,49,56,76,97,98,101,108,105,110,103,87,117,80,97,114,97,108,108,101,108,73,105,104,78,83,48,95,57,67,67,83,116,97,116,115,79,112,69,69,50,50,70,105,114,115,116,83,99,97,110,52,67,111,110,110,101,99,116,105,118,105,116,121,69,0,78,50,99,118,49,57,99,111,110,110,101,99,116,101,100,99,111,109,112,111,110,101,110,116,115,49,56,76,97,98,101,108,105,110,103,87,117,80,97,114,97,108,108,101,108,73,105,104,78,83,48,95,57,67,67,83,116,97,116,115,79,112,69,69,50,50,70,105,114,115,116,83,99,97,110,56,67,111,110,110,101,99,116,105,118,105,116,121,69,0,99,111,110,116,111,117,114,46,100,101,112,116,104,40,41,32,61,61,32,67,86,95,51,50,83,32,124,124,32,99,111,110,116,111,117,114,46,100,101,112,116,104,40,41,32,61,61,32,67,86,95,51,50,70,0,99,111,110,116,111,117,114,77,111,109,101,110,116,115,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,105,109,103,112,114,111,99,47,115,114,99,47,109,111,109,101,110,116,115,46,99,112,112,0,73,110,118,97,108,105,100,32,105,109,97,103,101,32,116,121,112,101,32,40,109,117,115,116,32,98,101,32,115,105,110,103,108,101,45,99,104,97,110,110,101,108,41,0,109,111,109,101,110,116,115,0,99,118,58,58,77,111,109,101,110,116,115,32,99,118,58,58,109,111,109,101,110,116,115,40,73,110,112,117,116,65,114,114,97,121,44,32,98,111,111,108,41,0,118,111,105,100,32,99,118,58,58,72,117,77,111,109,101,110,116,115,40,99,111,110,115,116,32,99,118,58,58,77,111,109,101,110,116,115,32,38,44,32,100,111,117,98,108,101,32,42,41,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,60,99,118,58,58,82,71,66,50,82,71,66,60,102,108,111,97,116,62,32,62,58,58,111,112,101,114,97,116,111,114,40,41,40,99,111,110,115,116,32,99,118,58,58,82,97,110,103,101,32,38,41,32,99,111,110,115,116,32,91,67,118,116,32,61,32,99,118,58,58,82,71,66,50,82,71,66,60,102,108,111,97,116,62,93,0,78,50,99,118,50,48,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,73,78,83,95,55,82,71,66,50,82,71,66,73,102,69,69,69,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,60,99,118,58,58,82,71,66,50,82,71,66,60,117,110,115,105,103,110,101,100,32,115,104,111,114,116,62,32,62,58,58,111,112,101,114,97,116,111,114,40,41,40,99,111,110,115,116,32,99,118,58,58,82,97,110,103,101,32,38,41,32,99,111,110,115,116,32,91,67,118,116,32,61,32,99,118,58,58,82,71,66,50,82,71,66,60,117,110,115,105,103,110,101,100,32,115,104,111,114,116,62,93,0,78,50,99,118,50,48,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,73,78,83,95,55,82,71,66,50,82,71,66,73,116,69,69,69,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,60,99,118,58,58,82,71,66,50,82,71,66,60,117,110,115,105,103,110,101,100,32,99,104,97,114,62,32,62,58,58,111,112,101,114,97,116,111,114,40,41,40,99,111,110,115,116,32,99,118,58,58,82,97,110,103,101,32,38,41,32,99,111,110,115,116,32,91,67,118,116,32,61,32,99,118,58,58,82,71,66,50,82,71,66,60,117,110,115,105,103,110,101,100,32,99,104,97,114,62,93,0,78,50,99,118,50,48,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,73,78,83,95,55,82,71,66,50,82,71,66,73,104,69,69,69,69,0,118,111,105,100,32,99,118,58,58,104,97,108,58,58,99,118,116,66,71,82,116,111,66,71,82,40,99,111,110,115,116,32,117,99,104,97,114,32,42,44,32,115,105,122,101,95,116,44,32,117,99,104,97,114,32,42,44,32,115,105,122,101,95,116,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,44,32,98,111,111,108,41,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,105,109,103,112,114,111,99,47,115,114,99,47,99,111,108,111,114,95,114,103,98,46,99,112,112,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,60,99,118,58,58,82,71,66,50,82,71,66,53,120,53,62,58,58,111,112,101,114,97,116,111,114,40,41,40,99,111,110,115,116,32,99,118,58,58,82,97,110,103,101,32,38,41,32,99,111,110,115,116,32,91,67,118,116,32,61,32,99,118,58,58,82,71,66,50,82,71,66,53,120,53,93,0,78,50,99,118,50,48,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,73,78,83,95,49,48,82,71,66,50,82,71,66,53,120,53,69,69,69,0,118,111,105,100,32,99,118,58,58,104,97,108,58,58,99,118,116,66,71,82,116,111,66,71,82,53,120,53,40,99,111,110,115,116,32,117,99,104,97,114,32,42,44,32,115,105,122,101,95,116,44,32,117,99,104,97,114,32,42,44,32,115,105,122,101,95,116,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,44,32,98,111,111,108,44,32,105,110,116,41,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,60,99,118,58,58,82,71,66,53,120,53,50,82,71,66,62,58,58,111,112,101,114,97,116,111,114,40,41,40,99,111,110,115,116,32,99,118,58,58,82,97,110,103,101,32,38,41,32,99,111,110,115,116,32,91,67,118,116,32,61,32,99,118,58,58,82,71,66,53,120,53,50,82,71,66,93,0,78,50,99,118,50,48,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,73,78,83,95,49,48,82,71,66,53,120,53,50,82,71,66,69,69,69,0,118,111,105,100,32,99,118,58,58,104,97,108,58,58,99,118,116,66,71,82,53,120,53,116,111,66,71,82,40,99,111,110,115,116,32,117,99,104,97,114,32,42,44,32,115,105,122,101,95,116,44,32,117,99,104,97,114,32,42,44,32,115,105,122,101,95,116,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,44,32,98,111,111,108,44,32,105,110,116,41,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,60,99,118,58,58,82,71,66,50,71,114,97,121,60,102,108,111,97,116,62,32,62,58,58,111,112,101,114,97,116,111,114,40,41,40,99,111,110,115,116,32,99,118,58,58,82,97,110,103,101,32,38,41,32,99,111,110,115,116,32,91,67,118,116,32,61,32,99,118,58,58,82,71,66,50,71,114,97,121,60,102,108,111,97,116,62,93,0,78,50,99,118,50,48,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,73,78,83,95,56,82,71,66,50,71,114,97,121,73,102,69,69,69,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,60,99,118,58,58,82,71,66,50,71,114,97,121,60,117,115,104,111,114,116,62,32,62,58,58,111,112,101,114,97,116,111,114,40,41,40,99,111,110,115,116,32,99,118,58,58,82,97,110,103,101,32,38,41,32,99,111,110,115,116,32,91,67,118,116,32,61,32,99,118,58,58,82,71,66,50,71,114,97,121,60,117,115,104,111,114,116,62,93,0,78,50,99,118,50,48,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,73,78,83,95,56,82,71,66,50,71,114,97,121,73,116,69,69,69,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,60,99,118,58,58,82,71,66,50,71,114,97,121,60,117,99,104,97,114,62,32,62,58,58,111,112,101,114,97,116,111,114,40,41,40,99,111,110,115,116,32,99,118,58,58,82,97,110,103,101,32,38,41,32,99,111,110,115,116,32,91,67,118,116,32,61,32,99,118,58,58,82,71,66,50,71,114,97,121,60,117,99,104,97,114,62,93,0,78,50,99,118,50,48,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,73,78,83,95,56,82,71,66,50,71,114,97,121,73,104,69,69,69,69,0,118,111,105,100,32,99,118,58,58,104,97,108,58,58,99,118,116,66,71,82,116,111,71,114,97,121,40,99,111,110,115,116,32,117,99,104,97,114,32,42,44,32,115,105,122,101,95,116,44,32,117,99,104,97,114,32,42,44,32,115,105,122,101,95,116,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,44,32,98,111,111,108,41,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,60,99,118,58,58,71,114,97,121,50,82,71,66,60,102,108,111,97,116,62,32,62,58,58,111,112,101,114,97,116,111,114,40,41,40,99,111,110,115,116,32,99,118,58,58,82,97,110,103,101,32,38,41,32,99,111,110,115,116,32,91,67,118,116,32,61,32,99,118,58,58,71,114,97,121,50,82,71,66,60,102,108,111,97,116,62,93,0,78,50,99,118,50,48,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,73,78,83,95,56,71,114,97,121,50,82,71,66,73,102,69,69,69,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,60,99,118,58,58,71,114,97,121,50,82,71,66,60,117,110,115,105,103,110,101,100,32,115,104,111,114,116,62,32,62,58,58,111,112,101,114,97,116,111,114,40,41,40,99,111,110,115,116,32,99,118,58,58,82,97,110,103,101,32,38,41,32,99,111,110,115,116,32,91,67,118,116,32,61,32,99,118,58,58,71,114,97,121,50,82,71,66,60,117,110,115,105,103,110,101,100,32,115,104,111,114,116,62,93,0,78,50,99,118,50,48,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,73,78,83,95,56,71,114,97,121,50,82,71,66,73,116,69,69,69,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,60,99,118,58,58,71,114,97,121,50,82,71,66,60,117,110,115,105,103,110,101,100,32,99,104,97,114,62,32,62,58,58,111,112,101,114,97,116,111,114,40,41,40,99,111,110,115,116,32,99,118,58,58,82,97,110,103,101,32,38,41,32,99,111,110,115,116,32,91,67,118,116,32,61,32,99,118,58,58,71,114,97,121,50,82,71,66,60,117,110,115,105,103,110,101,100,32,99,104,97,114,62,93,0,78,50,99,118,50,48,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,73,78,83,95,56,71,114,97,121,50,82,71,66,73,104,69,69,69,69,0,118,111,105,100,32,99,118,58,58,104,97,108,58,58,99,118,116,71,114,97,121,116,111,66,71,82,40,99,111,110,115,116,32,117,99,104,97,114,32,42,44,32,115,105,122,101,95,116,44,32,117,99,104,97,114,32,42,44,32,115,105,122,101,95,116,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,41,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,60,99,118,58,58,82,71,66,53,120,53,50,71,114,97,121,62,58,58,111,112,101,114,97,116,111,114,40,41,40,99,111,110,115,116,32,99,118,58,58,82,97,110,103,101,32,38,41,32,99,111,110,115,116,32,91,67,118,116,32,61,32,99,118,58,58,82,71,66,53,120,53,50,71,114,97,121,93,0,78,50,99,118,50,48,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,73,78,83,95,49,49,82,71,66,53,120,53,50,71,114,97,121,69,69,69,0,118,111,105,100,32,99,118,58,58,104,97,108,58,58,99,118,116,66,71,82,53,120,53,116,111,71,114,97,121,40,99,111,110,115,116,32,117,99,104,97,114,32,42,44,32,115,105,122,101,95,116,44,32,117,99,104,97,114,32,42,44,32,115,105,122,101,95,116,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,41,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,60,99,118,58,58,71,114,97,121,50,82,71,66,53,120,53,62,58,58,111,112,101,114,97,116,111,114,40,41,40,99,111,110,115,116,32,99,118,58,58,82,97,110,103,101,32,38,41,32,99,111,110,115,116,32,91,67,118,116,32,61,32,99,118,58,58,71,114,97,121,50,82,71,66,53,120,53,93,0,78,50,99,118,50,48,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,73,78,83,95,49,49,71,114,97,121,50,82,71,66,53,120,53,69,69,69,0,118,111,105,100,32,99,118,58,58,104,97,108,58,58,99,118,116,71,114,97,121,116,111,66,71,82,53,120,53,40,99,111,110,115,116,32,117,99,104,97,114,32,42,44,32,115,105,122,101,95,116,44,32,117,99,104,97,114,32,42,44,32,115,105,122,101,95,116,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,41,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,60,99,118,58,58,82,71,66,65,50,109,82,71,66,65,60,117,110,115,105,103,110,101,100,32,99,104,97,114,62,32,62,58,58,111,112,101,114,97,116,111,114,40,41,40,99,111,110,115,116,32,99,118,58,58,82,97,110,103,101,32,38,41,32,99,111,110,115,116,32,91,67,118,116,32,61,32,99,118,58,58,82,71,66,65,50,109,82,71,66,65,60,117,110,115,105,103,110,101,100,32,99,104,97,114,62,93,0,78,50,99,118,50,48,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,73,78,83,95,49,48,82,71,66,65,50,109,82,71,66,65,73,104,69,69,69,69,0,118,111,105,100,32,99,118,58,58,104,97,108,58,58,99,118,116,82,71,66,65,116,111,77,117,108,116,105,112,108,105,101,100,82,71,66,65,40,99,111,110,115,116,32,117,99,104,97,114,32,42,44,32,115,105,122,101,95,116,44,32,117,99,104,97,114,32,42,44,32,115,105,122,101,95,116,44,32,105,110,116,44,32,105,110,116,41,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,60,99,118,58,58,109,82,71,66,65,50,82,71,66,65,60,117,110,115,105,103,110,101,100,32,99,104,97,114,62,32,62,58,58,111,112,101,114,97,116,111,114,40,41,40,99,111,110,115,116,32,99,118,58,58,82,97,110,103,101,32,38,41,32,99,111,110,115,116,32,91,67,118,116,32,61,32,99,118,58,58,109,82,71,66,65,50,82,71,66,65,60,117,110,115,105,103,110,101,100,32,99,104,97,114,62,93,0,78,50,99,118,50,48,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,73,78,83,95,49,48,109,82,71,66,65,50,82,71,66,65,73,104,69,69,69,69,0,118,111,105,100,32,99,118,58,58,104,97,108,58,58,99,118,116,77,117,108,116,105,112,108,105,101,100,82,71,66,65,116,111,82,71,66,65,40,99,111,110,115,116,32,117,99,104,97,114,32,42,44,32,115,105,122,101,95,116,44,32,117,99,104,97,114,32,42,44,32,115,105,122,101,95,116,44,32,105,110,116,44,32,105,110,116,41,0,99,118,58,58,67,118,116,72,101,108,112,101,114,60,99,118,58,58,83,101,116,60,51,44,32,52,44,32,45,49,62,44,32,99,118,58,58,83,101,116,60,51,44,32,52,44,32,45,49,62,44,32,99,118,58,58,83,101,116,60,48,44,32,50,44,32,53,62,44,32,99,118,58,58,83,105,122,101,80,111,108,105,99,121,58,58,78,79,78,69,62,58,58,67,118,116,72,101,108,112,101,114,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,41,32,91,86,83,99,110,32,61,32,99,118,58,58,83,101,116,60,51,44,32,52,44,32,45,49,62,44,32,86,68,99,110,32,61,32,99,118,58,58,83,101,116,60,51,44,32,52,44,32,45,49,62,44,32,86,68,101,112,116,104,32,61,32,99,118,58,58,83,101,116,60,48,44,32,50,44,32,53,62,44,32,115,105,122,101,80,111,108,105,99,121,32,61,32,99,118,58,58,83,105,122,101,80,111,108,105,99,121,58,58,78,79,78,69,93,0,99,118,58,58,67,118,116,72,101,108,112,101,114,60,99,118,58,58,83,101,116,60,51,44,32,52,44,32,45,49,62,44,32,99,118,58,58,83,101,116,60,50,44,32,45,49,44,32,45,49,62,44,32,99,118,58,58,83,101,116,60,48,44,32,45,49,44,32,45,49,62,44,32,99,118,58,58,83,105,122,101,80,111,108,105,99,121,58,58,78,79,78,69,62,58,58,67,118,116,72,101,108,112,101,114,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,41,32,91,86,83,99,110,32,61,32,99,118,58,58,83,101,116,60,51,44,32,52,44,32,45,49,62,44,32,86,68,99,110,32,61,32,99,118,58,58,83,101,116,60,50,44,32,45,49,44,32,45,49,62,44,32,86,68,101,112,116,104,32,61,32,99,118,58,58,83,101,116,60,48,44,32,45,49,44,32,45,49,62,44,32,115,105,122,101,80,111,108,105,99,121,32,61,32,99,118,58,58,83,105,122,101,80,111,108,105,99,121,58,58,78,79,78,69,93,0,99,118,58,58,67,118,116,72,101,108,112,101,114,60,99,118,58,58,83,101,116,60,50,44,32,45,49,44,32,45,49,62,44,32,99,118,58,58,83,101,116,60,51,44,32,52,44,32,45,49,62,44,32,99,118,58,58,83,101,116,60,48,44,32,45,49,44,32,45,49,62,44,32,99,118,58,58,83,105,122,101,80,111,108,105,99,121,58,58,78,79,78,69,62,58,58,67,118,116,72,101,108,112,101,114,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,41,32,91,86,83,99,110,32,61,32,99,118,58,58,83,101,116,60,50,44,32,45,49,44,32,45,49,62,44,32,86,68,99,110,32,61,32,99,118,58,58,83,101,116,60,51,44,32,52,44,32,45,49,62,44,32,86,68,101,112,116,104,32,61,32,99,118,58,58,83,101,116,60,48,44,32,45,49,44,32,45,49,62,44,32,115,105,122,101,80,111,108,105,99,121,32,61,32,99,118,58,58,83,105,122,101,80,111,108,105,99,121,58,58,78,79,78,69,93,0,99,118,58,58,67,118,116,72,101,108,112,101,114,60,99,118,58,58,83,101,116,60,51,44,32,52,44,32,45,49,62,44,32,99,118,58,58,83,101,116,60,49,44,32,45,49,44,32,45,49,62,44,32,99,118,58,58,83,101,116,60,48,44,32,50,44,32,53,62,44,32,99,118,58,58,83,105,122,101,80,111,108,105,99,121,58,58,78,79,78,69,62,58,58,67,118,116,72,101,108,112,101,114,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,41,32,91,86,83,99,110,32,61,32,99,118,58,58,83,101,116,60,51,44,32,52,44,32,45,49,62,44,32,86,68,99,110,32,61,32,99,118,58,58,83,101,116,60,49,44,32,45,49,44,32,45,49,62,44,32,86,68,101,112,116,104,32,61,32,99,118,58,58,83,101,116,60,48,44,32,50,44,32,53,62,44,32,115,105,122,101,80,111,108,105,99,121,32,61,32,99,118,58,58,83,105,122,101,80,111,108,105,99,121,58,58,78,79,78,69,93,0,99,118,58,58,67,118,116,72,101,108,112,101,114,60,99,118,58,58,83,101,116,60,49,44,32,45,49,44,32,45,49,62,44,32,99,118,58,58,83,101,116,60,51,44,32,52,44,32,45,49,62,44,32,99,118,58,58,83,101,116,60,48,44,32,50,44,32,53,62,44,32,99,118,58,58,83,105,122,101,80,111,108,105,99,121,58,58,78,79,78,69,62,58,58,67,118,116,72,101,108,112,101,114,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,41,32,91,86,83,99,110,32,61,32,99,118,58,58,83,101,116,60,49,44,32,45,49,44,32,45,49,62,44,32,86,68,99,110,32,61,32,99,118,58,58,83,101,116,60,51,44,32,52,44,32,45,49,62,44,32,86,68,101,112,116,104,32,61,32,99,118,58,58,83,101,116,60,48,44,32,50,44,32,53,62,44,32,115,105,122,101,80,111,108,105,99,121,32,61,32,99,118,58,58,83,105,122,101,80,111,108,105,99,121,58,58,78,79,78,69,93,0,99,118,58,58,67,118,116,72,101,108,112,101,114,60,99,118,58,58,83,101,116,60,50,44,32,45,49,44,32,45,49,62,44,32,99,118,58,58,83,101,116,60,49,44,32,45,49,44,32,45,49,62,44,32,99,118,58,58,83,101,116,60,48,44,32,45,49,44,32,45,49,62,44,32,99,118,58,58,83,105,122,101,80,111,108,105,99,121,58,58,78,79,78,69,62,58,58,67,118,116,72,101,108,112,101,114,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,41,32,91,86,83,99,110,32,61,32,99,118,58,58,83,101,116,60,50,44,32,45,49,44,32,45,49,62,44,32,86,68,99,110,32,61,32,99,118,58,58,83,101,116,60,49,44,32,45,49,44,32,45,49,62,44,32,86,68,101,112,116,104,32,61,32,99,118,58,58,83,101,116,60,48,44,32,45,49,44,32,45,49,62,44,32,115,105,122,101,80,111,108,105,99,121,32,61,32,99,118,58,58,83,105,122,101,80,111,108,105,99,121,58,58,78,79,78,69,93,0,99,118,58,58,67,118,116,72,101,108,112,101,114,60,99,118,58,58,83,101,116,60,49,44,32,45,49,44,32,45,49,62,44,32,99,118,58,58,83,101,116,60,50,44,32,45,49,44,32,45,49,62,44,32,99,118,58,58,83,101,116,60,48,44,32,45,49,44,32,45,49,62,44,32,99,118,58,58,83,105,122,101,80,111,108,105,99,121,58,58,78,79,78,69,62,58,58,67,118,116,72,101,108,112,101,114,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,41,32,91,86,83,99,110,32,61,32,99,118,58,58,83,101,116,60,49,44,32,45,49,44,32,45,49,62,44,32,86,68,99,110,32,61,32,99,118,58,58,83,101,116,60,50,44,32,45,49,44,32,45,49,62,44,32,86,68,101,112,116,104,32,61,32,99,118,58,58,83,101,116,60,48,44,32,45,49,44,32,45,49,62,44,32,115,105,122,101,80,111,108,105,99,121,32,61,32,99,118,58,58,83,105,122,101,80,111,108,105,99,121,58,58,78,79,78,69,93,0,99,118,58,58,67,118,116,72,101,108,112,101,114,60,99,118,58,58,83,101,116,60,52,44,32,45,49,44,32,45,49,62,44,32,99,118,58,58,83,101,116,60,52,44,32,45,49,44,32,45,49,62,44,32,99,118,58,58,83,101,116,60,48,44,32,45,49,44,32,45,49,62,44,32,99,118,58,58,83,105,122,101,80,111,108,105,99,121,58,58,78,79,78,69,62,58,58,67,118,116,72,101,108,112,101,114,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,41,32,91,86,83,99,110,32,61,32,99,118,58,58,83,101,116,60,52,44,32,45,49,44,32,45,49,62,44,32,86,68,99,110,32,61,32,99,118,58,58,83,101,116,60,52,44,32,45,49,44,32,45,49,62,44,32,86,68,101,112,116,104,32,61,32,99,118,58,58,83,101,116,60,48,44,32,45,49,44,32,45,49,62,44,32,115,105,122,101,80,111,108,105,99,121,32,61,32,99,118,58,58,83,105,122,101,80,111,108,105,99,121,58,58,78,79,78,69,93,0,115,114,99,46,116,121,112,101,40,41,32,61,61,32,67,86,95,56,85,67,51,32,38,38,32,100,115,116,46,116,121,112,101,40,41,32,61,61,32,67,86,95,51,50,83,67,49,0,119,97,116,101,114,115,104,101,100,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,105,109,103,112,114,111,99,47,115,114,99,47,115,101,103,109,101,110,116,97,116,105,111,110,46,99,112,112,0,118,111,105,100,32,99,118,58,58,119,97,116,101,114,115,104,101,100,40,73,110,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,79,117,116,112,117,116,65,114,114,97,121,41,0,111,112,32,61,61,32,77,79,82,80,72,95,69,82,79,68,69,32,124,124,32,111,112,32,61,61,32,77,79,82,80,72,95,68,73,76,65,84,69,0,103,101,116,77,111,114,112,104,111,108,111,103,121,82,111,119,70,105,108,116,101,114,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,105,109,103,112,114,111,99,47,115,114,99,47,109,111,114,112,104,46,99,112,112,0,85,110,115,117,112,112,111,114,116,101,100,32,100,97,116,97,32,116,121,112,101,32,40,61,37,100,41,0,78,50,99,118,49,52,77,111,114,112,104,82,111,119,70,105,108,116,101,114,73,78,83,95,53,77,105,110,79,112,73,104,69,69,78,83,95,49,51,77,111,114,112,104,82,111,119,78,111,86,101,99,69,69,69,0,78,50,99,118,49,52,77,111,114,112,104,82,111,119,70,105,108,116,101,114,73,78,83,95,53,77,97,120,79,112,73,100,69,69,78,83,95,49,51,77,111,114,112,104,82,111,119,78,111,86,101,99,69,69,69,0,78,50,99,118,49,52,77,111,114,112,104,82,111,119,70,105,108,116,101,114,73,78,83,95,53,77,97,120,79,112,73,102,69,69,78,83,95,49,51,77,111,114,112,104,82,111,119,78,111,86,101,99,69,69,69,0,78,50,99,118,49,52,77,111,114,112,104,82,111,119,70,105,108,116,101,114,73,78,83,95,53,77,97,120,79,112,73,115,69,69,78,83,95,49,51,77,111,114,112,104,82,111,119,78,111,86,101,99,69,69,69,0,78,50,99,118,49,52,77,111,114,112,104,82,111,119,70,105,108,116,101,114,73,78,83,95,53,77,97,120,79,112,73,116,69,69,78,83,95,49,51,77,111,114,112,104,82,111,119,78,111,86,101,99,69,69,69,0,78,50,99,118,49,52,77,111,114,112,104,82,111,119,70,105,108,116,101,114,73,78,83,95,53,77,97,120,79,112,73,104,69,69,78,83,95,49,51,77,111,114,112,104,82,111,119,78,111,86,101,99,69,69,69,0,78,50,99,118,49,52,77,111,114,112,104,82,111,119,70,105,108,116,101,114,73,78,83,95,53,77,105,110,79,112,73,100,69,69,78,83,95,49,51,77,111,114,112,104,82,111,119,78,111,86,101,99,69,69,69,0,78,50,99,118,49,52,77,111,114,112,104,82,111,119,70,105,108,116,101,114,73,78,83,95,53,77,105,110,79,112,73,102,69,69,78,83,95,49,51,77,111,114,112,104,82,111,119,78,111,86,101,99,69,69,69,0,78,50,99,118,49,52,77,111,114,112,104,82,111,119,70,105,108,116,101,114,73,78,83,95,53,77,105,110,79,112,73,115,69,69,78,83,95,49,51,77,111,114,112,104,82,111,119,78,111,86,101,99,69,69,69,0,78,50,99,118,49,52,77,111,114,112,104,82,111,119,70,105,108,116,101,114,73,78,83,95,53,77,105,110,79,112,73,116,69,69,78,83,95,49,51,77,111,114,112,104,82,111,119,78,111,86,101,99,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,49,52,77,111,114,112,104,82,111,119,70,105,108,116,101,114,73,78,83,49,95,53,77,97,120,79,112,73,100,69,69,78,83,49,95,49,51,77,111,114,112,104,82,111,119,78,111,86,101,99,69,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,54,95,69,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,49,52,77,111,114,112,104,82,111,119,70,105,108,116,101,114,73,78,83,49,95,53,77,97,120,79,112,73,102,69,69,78,83,49,95,49,51,77,111,114,112,104,82,111,119,78,111,86,101,99,69,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,54,95,69,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,49,52,77,111,114,112,104,82,111,119,70,105,108,116,101,114,73,78,83,49,95,53,77,97,120,79,112,73,115,69,69,78,83,49,95,49,51,77,111,114,112,104,82,111,119,78,111,86,101,99,69,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,54,95,69,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,49,52,77,111,114,112,104,82,111,119,70,105,108,116,101,114,73,78,83,49,95,53,77,97,120,79,112,73,116,69,69,78,83,49,95,49,51,77,111,114,112,104,82,111,119,78,111,86,101,99,69,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,54,95,69,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,49,52,77,111,114,112,104,82,111,119,70,105,108,116,101,114,73,78,83,49,95,53,77,97,120,79,112,73,104,69,69,78,83,49,95,49,51,77,111,114,112,104,82,111,119,78,111,86,101,99,69,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,54,95,69,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,49,52,77,111,114,112,104,82,111,119,70,105,108,116,101,114,73,78,83,49,95,53,77,105,110,79,112,73,100,69,69,78,83,49,95,49,51,77,111,114,112,104,82,111,119,78,111,86,101,99,69,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,54,95,69,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,49,52,77,111,114,112,104,82,111,119,70,105,108,116,101,114,73,78,83,49,95,53,77,105,110,79,112,73,102,69,69,78,83,49,95,49,51,77,111,114,112,104,82,111,119,78,111,86,101,99,69,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,54,95,69,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,49,52,77,111,114,112,104,82,111,119,70,105,108,116,101,114,73,78,83,49,95,53,77,105,110,79,112,73,115,69,69,78,83,49,95,49,51,77,111,114,112,104,82,111,119,78,111,86,101,99,69,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,54,95,69,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,49,52,77,111,114,112,104,82,111,119,70,105,108,116,101,114,73,78,83,49,95,53,77,105,110,79,112,73,116,69,69,78,83,49,95,49,51,77,111,114,112,104,82,111,119,78,111,86,101,99,69,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,54,95,69,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,49,52,77,111,114,112,104,82,111,119,70,105,108,116,101,114,73,78,83,49,95,53,77,105,110,79,112,73,104,69,69,78,83,49,95,49,51,77,111,114,112,104,82,111,119,78,111,86,101,99,69,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,54,95,69,69,69,69,0,103,101,116,77,111,114,112,104,111,108,111,103,121,67,111,108,117,109,110,70,105,108,116,101,114,0,78,50,99,118,49,55,77,111,114,112,104,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,95,53,77,105,110,79,112,73,104,69,69,78,83,95,49,54,77,111,114,112,104,67,111,108,117,109,110,78,111,86,101,99,69,69,69,0,78,50,99,118,49,55,77,111,114,112,104,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,95,53,77,97,120,79,112,73,100,69,69,78,83,95,49,54,77,111,114,112,104,67,111,108,117,109,110,78,111,86,101,99,69,69,69,0,78,50,99,118,49,55,77,111,114,112,104,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,95,53,77,97,120,79,112,73,102,69,69,78,83,95,49,54,77,111,114,112,104,67,111,108,117,109,110,78,111,86,101,99,69,69,69,0,78,50,99,118,49,55,77,111,114,112,104,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,95,53,77,97,120,79,112,73,115,69,69,78,83,95,49,54,77,111,114,112,104,67,111,108,117,109,110,78,111,86,101,99,69,69,69,0,78,50,99,118,49,55,77,111,114,112,104,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,95,53,77,97,120,79,112,73,116,69,69,78,83,95,49,54,77,111,114,112,104,67,111,108,117,109,110,78,111,86,101,99,69,69,69,0,78,50,99,118,49,55,77,111,114,112,104,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,95,53,77,97,120,79,112,73,104,69,69,78,83,95,49,54,77,111,114,112,104,67,111,108,117,109,110,78,111,86,101,99,69,69,69,0,78,50,99,118,49,55,77,111,114,112,104,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,95,53,77,105,110,79,112,73,100,69,69,78,83,95,49,54,77,111,114,112,104,67,111,108,117,109,110,78,111,86,101,99,69,69,69,0,78,50,99,118,49,55,77,111,114,112,104,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,95,53,77,105,110,79,112,73,102,69,69,78,83,95,49,54,77,111,114,112,104,67,111,108,117,109,110,78,111,86,101,99,69,69,69,0,78,50,99,118,49,55,77,111,114,112,104,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,95,53,77,105,110,79,112,73,115,69,69,78,83,95,49,54,77,111,114,112,104,67,111,108,117,109,110,78,111,86,101,99,69,69,69,0,78,50,99,118,49,55,77,111,114,112,104,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,95,53,77,105,110,79,112,73,116,69,69,78,83,95,49,54,77,111,114,112,104,67,111,108,117,109,110,78,111,86,101,99,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,49,55,77,111,114,112,104,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,49,95,53,77,97,120,79,112,73,100,69,69,78,83,49,95,49,54,77,111,114,112,104,67,111,108,117,109,110,78,111,86,101,99,69,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,54,95,69,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,49,55,77,111,114,112,104,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,49,95,53,77,97,120,79,112,73,102,69,69,78,83,49,95,49,54,77,111,114,112,104,67,111,108,117,109,110,78,111,86,101,99,69,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,54,95,69,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,49,55,77,111,114,112,104,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,49,95,53,77,97,120,79,112,73,115,69,69,78,83,49,95,49,54,77,111,114,112,104,67,111,108,117,109,110,78,111,86,101,99,69,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,54,95,69,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,49,55,77,111,114,112,104,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,49,95,53,77,97,120,79,112,73,116,69,69,78,83,49,95,49,54,77,111,114,112,104,67,111,108,117,109,110,78,111,86,101,99,69,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,54,95,69,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,49,55,77,111,114,112,104,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,49,95,53,77,97,120,79,112,73,104,69,69,78,83,49,95,49,54,77,111,114,112,104,67,111,108,117,109,110,78,111,86,101,99,69,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,54,95,69,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,49,55,77,111,114,112,104,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,49,95,53,77,105,110,79,112,73,100,69,69,78,83,49,95,49,54,77,111,114,112,104,67,111,108,117,109,110,78,111,86,101,99,69,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,54,95,69,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,49,55,77,111,114,112,104,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,49,95,53,77,105,110,79,112,73,102,69,69,78,83,49,95,49,54,77,111,114,112,104,67,111,108,117,109,110,78,111,86,101,99,69,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,54,95,69,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,49,55,77,111,114,112,104,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,49,95,53,77,105,110,79,112,73,115,69,69,78,83,49,95,49,54,77,111,114,112,104,67,111,108,117,109,110,78,111,86,101,99,69,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,54,95,69,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,49,55,77,111,114,112,104,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,49,95,53,77,105,110,79,112,73,116,69,69,78,83,49,95,49,54,77,111,114,112,104,67,111,108,117,109,110,78,111,86,101,99,69,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,54,95,69,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,49,55,77,111,114,112,104,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,49,95,53,77,105,110,79,112,73,104,69,69,78,83,49,95,49,54,77,111,114,112,104,67,111,108,117,109,110,78,111,86,101,99,69,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,54,95,69,69,69,69,0,97,110,99,104,111,114,46,105,110,115,105,100,101,40,82,101,99,116,40,48,44,32,48,44,32,107,115,105,122,101,46,119,105,100,116,104,44,32,107,115,105,122,101,46,104,101,105,103,104,116,41,41,0,110,111,114,109,97,108,105,122,101,65,110,99,104,111,114,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,105,109,103,112,114,111,99,47,115,114,99,47,102,105,108,116,101,114,101,110,103,105,110,101,46,104,112],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+348164);allocate([112,0,103,101,116,77,111,114,112,104,111,108,111,103,121,70,105,108,116,101,114,0,95,107,101,114,110,101,108,46,116,121,112,101,40,41,32,61,61,32,67,86,95,56,85,0,77,111,114,112,104,70,105,108,116,101,114,0,78,50,99,118,49,49,77,111,114,112,104,70,105,108,116,101,114,73,78,83,95,53,77,97,120,79,112,73,100,69,69,78,83,95,49,48,77,111,114,112,104,78,111,86,101,99,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,49,49,77,111,114,112,104,70,105,108,116,101,114,73,78,83,49,95,53,77,97,120,79,112,73,100,69,69,78,83,49,95,49,48,77,111,114,112,104,78,111,86,101,99,69,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,54,95,69,69,69,69,0,78,50,99,118,49,49,77,111,114,112,104,70,105,108,116,101,114,73,78,83,95,53,77,97,120,79,112,73,102,69,69,78,83,95,49,48,77,111,114,112,104,78,111,86,101,99,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,49,49,77,111,114,112,104,70,105,108,116,101,114,73,78,83,49,95,53,77,97,120,79,112,73,102,69,69,78,83,49,95,49,48,77,111,114,112,104,78,111,86,101,99,69,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,54,95,69,69,69,69,0,78,50,99,118,49,49,77,111,114,112,104,70,105,108,116,101,114,73,78,83,95,53,77,97,120,79,112,73,115,69,69,78,83,95,49,48,77,111,114,112,104,78,111,86,101,99,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,49,49,77,111,114,112,104,70,105,108,116,101,114,73,78,83,49,95,53,77,97,120,79,112,73,115,69,69,78,83,49,95,49,48,77,111,114,112,104,78,111,86,101,99,69,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,54,95,69,69,69,69,0,78,50,99,118,49,49,77,111,114,112,104,70,105,108,116,101,114,73,78,83,95,53,77,97,120,79,112,73,116,69,69,78,83,95,49,48,77,111,114,112,104,78,111,86,101,99,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,49,49,77,111,114,112,104,70,105,108,116,101,114,73,78,83,49,95,53,77,97,120,79,112,73,116,69,69,78,83,49,95,49,48,77,111,114,112,104,78,111,86,101,99,69,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,54,95,69,69,69,69,0,78,50,99,118,49,49,77,111,114,112,104,70,105,108,116,101,114,73,78,83,95,53,77,97,120,79,112,73,104,69,69,78,83,95,49,48,77,111,114,112,104,78,111,86,101,99,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,49,49,77,111,114,112,104,70,105,108,116,101,114,73,78,83,49,95,53,77,97,120,79,112,73,104,69,69,78,83,49,95,49,48,77,111,114,112,104,78,111,86,101,99,69,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,54,95,69,69,69,69,0,78,50,99,118,49,49,77,111,114,112,104,70,105,108,116,101,114,73,78,83,95,53,77,105,110,79,112,73,100,69,69,78,83,95,49,48,77,111,114,112,104,78,111,86,101,99,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,49,49,77,111,114,112,104,70,105,108,116,101,114,73,78,83,49,95,53,77,105,110,79,112,73,100,69,69,78,83,49,95,49,48,77,111,114,112,104,78,111,86,101,99,69,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,54,95,69,69,69,69,0,78,50,99,118,49,49,77,111,114,112,104,70,105,108,116,101,114,73,78,83,95,53,77,105,110,79,112,73,102,69,69,78,83,95,49,48,77,111,114,112,104,78,111,86,101,99,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,49,49,77,111,114,112,104,70,105,108,116,101,114,73,78,83,49,95,53,77,105,110,79,112,73,102,69,69,78,83,49,95,49,48,77,111,114,112,104,78,111,86,101,99,69,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,54,95,69,69,69,69,0,78,50,99,118,49,49,77,111,114,112,104,70,105,108,116,101,114,73,78,83,95,53,77,105,110,79,112,73,115,69,69,78,83,95,49,48,77,111,114,112,104,78,111,86,101,99,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,49,49,77,111,114,112,104,70,105,108,116,101,114,73,78,83,49,95,53,77,105,110,79,112,73,115,69,69,78,83,49,95,49,48,77,111,114,112,104,78,111,86,101,99,69,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,54,95,69,69,69,69,0,78,50,99,118,49,49,77,111,114,112,104,70,105,108,116,101,114,73,78,83,95,53,77,105,110,79,112,73,116,69,69,78,83,95,49,48,77,111,114,112,104,78,111,86,101,99,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,49,49,77,111,114,112,104,70,105,108,116,101,114,73,78,83,49,95,53,77,105,110,79,112,73,116,69,69,78,83,49,95,49,48,77,111,114,112,104,78,111,86,101,99,69,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,54,95,69,69,69,69,0,78,50,99,118,49,49,77,111,114,112,104,70,105,108,116,101,114,73,78,83,95,53,77,105,110,79,112,73,104,69,69,78,83,95,49,48,77,111,114,112,104,78,111,86,101,99,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,49,49,77,111,114,112,104,70,105,108,116,101,114,73,78,83,49,95,53,77,105,110,79,112,73,104,69,69,78,83,49,95,49,48,77,111,114,112,104,78,111,86,101,99,69,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,54,95,69,69,69,69,0,100,101,112,116,104,32,61,61,32,67,86,95,56,85,32,124,124,32,100,101,112,116,104,32,61,61,32,67,86,95,49,54,85,32,124,124,32,100,101,112,116,104,32,61,61,32,67,86,95,49,54,83,32,124,124,32,100,101,112,116,104,32,61,61,32,67,86,95,51,50,70,32,124,124,32,100,101,112,116,104,32,61,61,32,67,86,95,54,52,70,0,99,114,101,97,116,101,77,111,114,112,104,111,108,111,103,121,70,105,108,116,101,114,0,115,104,97,112,101,32,61,61,32,77,79,82,80,72,95,82,69,67,84,32,124,124,32,115,104,97,112,101,32,61,61,32,77,79,82,80,72,95,67,82,79,83,83,32,124,124,32,115,104,97,112,101,32,61,61,32,77,79,82,80,72,95,69,76,76,73,80,83,69,0,103,101,116,83,116,114,117,99,116,117,114,105,110,103,69,108,101,109,101,110,116,0,118,111,105,100,32,99,118,58,58,109,111,114,112,104,79,112,40,105,110,116,44,32,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,44,32,80,111,105,110,116,44,32,105,110,116,44,32,105,110,116,44,32,99,111,110,115,116,32,83,99,97,108,97,114,32,38,41,0,118,111,105,100,32,99,118,58,58,101,114,111,100,101,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,44,32,80,111,105,110,116,44,32,105,110,116,44,32,105,110,116,44,32,99,111,110,115,116,32,83,99,97,108,97,114,32,38,41,0,118,111,105,100,32,99,118,58,58,100,105,108,97,116,101,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,44,32,80,111,105,110,116,44,32,105,110,116,44,32,105,110,116,44,32,99,111,110,115,116,32,83,99,97,108,97,114,32,38,41,0,109,111,114,112,104,111,108,111,103,121,69,120,0,117,110,107,110,111,119,110,32,109,111,114,112,104,111,108,111,103,105,99,97,108,32,111,112,101,114,97,116,105,111,110,0,118,111,105,100,32,99,118,58,58,109,111,114,112,104,111,108,111,103,121,69,120,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,44,32,73,110,112,117,116,65,114,114,97,121,44,32,80,111,105,110,116,44,32,105,110,116,44,32,105,110,116,44,32,99,111,110,115,116,32,83,99,97,108,97,114,32,38,41,0,115,114,99,46,116,121,112,101,40,41,32,61,61,32,67,86,95,56,85,67,49,32,124,124,32,115,114,99,46,116,121,112,101,40,41,32,61,61,32,67,86,95,51,50,70,67,49,0,99,111,114,110,101,114,69,105,103,101,110,86,97,108,115,86,101,99,115,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,105,109,103,112,114,111,99,47,115,114,99,47,99,111,114,110,101,114,46,99,112,112,0,118,111,105,100,32,99,118,58,58,99,111,114,110,101,114,77,105,110,69,105,103,101,110,86,97,108,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,41,0,118,111,105,100,32,99,118,58,58,99,111,114,110,101,114,72,97,114,114,105,115,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,44,32,105,110,116,44,32,100,111,117,98,108,101,44,32,105,110,116,41,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,60,99,118,58,58,82,71,66,50,88,89,90,95,102,60,102,108,111,97,116,62,32,62,58,58,111,112,101,114,97,116,111,114,40,41,40,99,111,110,115,116,32,99,118,58,58,82,97,110,103,101,32,38,41,32,99,111,110,115,116,32,91,67,118,116,32,61,32,99,118,58,58,82,71,66,50,88,89,90,95,102,60,102,108,111,97,116,62,93,0,78,50,99,118,50,48,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,73,78,83,95,57,82,71,66,50,88,89,90,95,102,73,102,69,69,69,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,60,99,118,58,58,82,71,66,50,88,89,90,95,105,60,117,110,115,105,103,110,101,100,32,115,104,111,114,116,62,32,62,58,58,111,112,101,114,97,116,111,114,40,41,40,99,111,110,115,116,32,99,118,58,58,82,97,110,103,101,32,38,41,32,99,111,110,115,116,32,91,67,118,116,32,61,32,99,118,58,58,82,71,66,50,88,89,90,95,105,60,117,110,115,105,103,110,101,100,32,115,104,111,114,116,62,93,0,78,50,99,118,50,48,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,73,78,83,95,57,82,71,66,50,88,89,90,95,105,73,116,69,69,69,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,60,99,118,58,58,82,71,66,50,88,89,90,95,105,60,117,110,115,105,103,110,101,100,32,99,104,97,114,62,32,62,58,58,111,112,101,114,97,116,111,114,40,41,40,99,111,110,115,116,32,99,118,58,58,82,97,110,103,101,32,38,41,32,99,111,110,115,116,32,91,67,118,116,32,61,32,99,118,58,58,82,71,66,50,88,89,90,95,105,60,117,110,115,105,103,110,101,100,32,99,104,97,114,62,93,0,78,50,99,118,50,48,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,73,78,83,95,57,82,71,66,50,88,89,90,95,105,73,104,69,69,69,69,0,118,111,105,100,32,99,118,58,58,104,97,108,58,58,99,118,116,66,71,82,116,111,88,89,90,40,99,111,110,115,116,32,117,99,104,97,114,32,42,44,32,115,105,122,101,95,116,44,32,117,99,104,97,114,32,42,44,32,115,105,122,101,95,116,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,44,32,98,111,111,108,41,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,105,109,103,112,114,111,99,47,115,114,99,47,99,111,108,111,114,95,108,97,98,46,99,112,112,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,60,99,118,58,58,88,89,90,50,82,71,66,95,102,60,102,108,111,97,116,62,32,62,58,58,111,112,101,114,97,116,111,114,40,41,40,99,111,110,115,116,32,99,118,58,58,82,97,110,103,101,32,38,41,32,99,111,110,115,116,32,91,67,118,116,32,61,32,99,118,58,58,88,89,90,50,82,71,66,95,102,60,102,108,111,97,116,62,93,0,78,50,99,118,50,48,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,73,78,83,95,57,88,89,90,50,82,71,66,95,102,73,102,69,69,69,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,60,99,118,58,58,88,89,90,50,82,71,66,95,105,60,117,110,115,105,103,110,101,100,32,115,104,111,114,116,62,32,62,58,58,111,112,101,114,97,116,111,114,40,41,40,99,111,110,115,116,32,99,118,58,58,82,97,110,103,101,32,38,41,32,99,111,110,115,116,32,91,67,118,116,32,61,32,99,118,58,58,88,89,90,50,82,71,66,95,105,60,117,110,115,105,103,110,101,100,32,115,104,111,114,116,62,93,0,78,50,99,118,50,48,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,73,78,83,95,57,88,89,90,50,82,71,66,95,105,73,116,69,69,69,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,60,99,118,58,58,88,89,90,50,82,71,66,95,105,60,117,110,115,105,103,110,101,100,32,99,104,97,114,62,32,62,58,58,111,112,101,114,97,116,111,114,40,41,40,99,111,110,115,116,32,99,118,58,58,82,97,110,103,101,32,38,41,32,99,111,110,115,116,32,91,67,118,116,32,61,32,99,118,58,58,88,89,90,50,82,71,66,95,105,60,117,110,115,105,103,110,101,100,32,99,104,97,114,62,93,0,78,50,99,118,50,48,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,73,78,83,95,57,88,89,90,50,82,71,66,95,105,73,104,69,69,69,69,0,118,111,105,100,32,99,118,58,58,104,97,108,58,58,99,118,116,88,89,90,116,111,66,71,82,40,99,111,110,115,116,32,117,99,104,97,114,32,42,44,32,115,105,122,101,95,116,44,32,117,99,104,97,114,32,42,44,32,115,105,122,101,95,116,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,44,32,98,111,111,108,41,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,60,99,118,58,58,82,71,66,50,76,117,118,95,102,62,58,58,111,112,101,114,97,116,111,114,40,41,40,99,111,110,115,116,32,99,118,58,58,82,97,110,103,101,32,38,41,32,99,111,110,115,116,32,91,67,118,116,32,61,32,99,118,58,58,82,71,66,50,76,117,118,95,102,93,0,78,50,99,118,50,48,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,73,78,83,95,57,82,71,66,50,76,117,118,95,102,69,69,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,60,99,118,58,58,82,71,66,50,76,117,118,95,98,62,58,58,111,112,101,114,97,116,111,114,40,41,40,99,111,110,115,116,32,99,118,58,58,82,97,110,103,101,32,38,41,32,99,111,110,115,116,32,91,67,118,116,32,61,32,99,118,58,58,82,71,66,50,76,117,118,95,98,93,0,78,50,99,118,50,48,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,73,78,83,95,57,82,71,66,50,76,117,118,95,98,69,69,69,0,99,111,101,102,102,115,91,105,42,51,93,32,62,61,32,48,32,38,38,32,99,111,101,102,102,115,91,105,42,51,43,49,93,32,62,61,32,48,32,38,38,32,99,111,101,102,102,115,91,105,42,51,43,50,93,32,62,61,32,48,32,38,38,32,115,111,102,116,102,108,111,97,116,40,99,111,101,102,102,115,91,105,42,51,93,41,32,43,32,115,111,102,116,102,108,111,97,116,40,99,111,101,102,102,115,91,105,42,51,43,49,93,41,32,43,32,115,111,102,116,102,108,111,97,116,40,99,111,101,102,102,115,91,105,42,51,43,50,93,41,32,60,32,115,111,102,116,102,108,111,97,116,40,49,46,53,102,41,0,82,71,66,50,76,117,118,102,108,111,97,116,0,119,104,105,116,101,80,116,91,49,93,32,61,61,32,115,111,102,116,100,111,117,98,108,101,58,58,111,110,101,40,41,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,60,99,118,58,58,82,71,66,50,76,97,98,95,102,62,58,58,111,112,101,114,97,116,111,114,40,41,40,99,111,110,115,116,32,99,118,58,58,82,97,110,103,101,32,38,41,32,99,111,110,115,116,32,91,67,118,116,32,61,32,99,118,58,58,82,71,66,50,76,97,98,95,102,93,0,78,50,99,118,50,48,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,73,78,83,95,57,82,71,66,50,76,97,98,95,102,69,69,69,0,99,91,48,93,32,62,61,32,48,32,38,38,32,99,91,49,93,32,62,61,32,48,32,38,38,32,99,91,50,93,32,62,61,32,48,32,38,38,32,99,91,48,93,32,43,32,99,91,49,93,32,43,32,99,91,50,93,32,60,32,115,111,102,116,102,108,111,97,116,40,40,105,110,116,41,76,65,66,95,67,66,82,84,95,84,65,66,95,83,73,90,69,41,0,82,71,66,50,76,97,98,95,102,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,60,99,118,58,58,82,71,66,50,76,97,98,95,98,62,58,58,111,112,101,114,97,116,111,114,40,41,40,99,111,110,115,116,32,99,118,58,58,82,97,110,103,101,32,38,41,32,99,111,110,115,116,32,91,67,118,116,32,61,32,99,118,58,58,82,71,66,50,76,97,98,95,98,93,0,78,50,99,118,50,48,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,73,78,83,95,57,82,71,66,50,76,97,98,95,98,69,69,69,0,99,111,101,102,102,115,91,105,42,51,93,32,62,61,32,48,32,38,38,32,99,111,101,102,102,115,91,105,42,51,43,49,93,32,62,61,32,48,32,38,38,32,99,111,101,102,102,115,91,105,42,51,43,50,93,32,62,61,32,48,32,38,38,32,99,111,101,102,102,115,91,105,42,51,93,32,43,32,99,111,101,102,102,115,91,105,42,51,43,49,93,32,43,32,99,111,101,102,102,115,91,105,42,51,43,50,93,32,60,32,50,42,40,49,32,60,60,32,108,97,98,95,115,104,105,102,116,41,0,82,71,66,50,76,97,98,95,98,0,118,111,105,100,32,99,118,58,58,104,97,108,58,58,99,118,116,66,71,82,116,111,76,97,98,40,99,111,110,115,116,32,117,99,104,97,114,32,42,44,32,115,105,122,101,95,116,44,32,117,99,104,97,114,32,42,44,32,115,105,122,101,95,116,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,44,32,98,111,111,108,44,32,98,111,111,108,44,32,98,111,111,108,41,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,60,99,118,58,58,76,117,118,50,82,71,66,95,102,62,58,58,111,112,101,114,97,116,111,114,40,41,40,99,111,110,115,116,32,99,118,58,58,82,97,110,103,101,32,38,41,32,99,111,110,115,116,32,91,67,118,116,32,61,32,99,118,58,58,76,117,118,50,82,71,66,95,102,93,0,78,50,99,118,50,48,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,73,78,83,95,57,76,117,118,50,82,71,66,95,102,69,69,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,60,99,118,58,58,76,117,118,50,82,71,66,95,98,62,58,58,111,112,101,114,97,116,111,114,40,41,40,99,111,110,115,116,32,99,118,58,58,82,97,110,103,101,32,38,41,32,99,111,110,115,116,32,91,67,118,116,32,61,32,99,118,58,58,76,117,118,50,82,71,66,95,98,93,0,78,50,99,118,50,48,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,73,78,83,95,57,76,117,118,50,82,71,66,95,98,69,69,69,0,76,117,118,50,82,71,66,102,108,111,97,116,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,60,99,118,58,58,76,97,98,50,82,71,66,95,102,62,58,58,111,112,101,114,97,116,111,114,40,41,40,99,111,110,115,116,32,99,118,58,58,82,97,110,103,101,32,38,41,32,99,111,110,115,116,32,91,67,118,116,32,61,32,99,118,58,58,76,97,98,50,82,71,66,95,102,93,0,78,50,99,118,50,48,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,73,78,83,95,57,76,97,98,50,82,71,66,95,102,69,69,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,60,99,118,58,58,76,97,98,50,82,71,66,95,98,62,58,58,111,112,101,114,97,116,111,114,40,41,40,99,111,110,115,116,32,99,118,58,58,82,97,110,103,101,32,38,41,32,99,111,110,115,116,32,91,67,118,116,32,61,32,99,118,58,58,76,97,98,50,82,71,66,95,98,93,0,78,50,99,118,50,48,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,73,78,83,95,57,76,97,98,50,82,71,66,95,98,69,69,69,0,118,111,105,100,32,99,118,58,58,104,97,108,58,58,99,118,116,76,97,98,116,111,66,71,82,40,99,111,110,115,116,32,117,99,104,97,114,32,42,44,32,115,105,122,101,95,116,44,32,117,99,104,97,114,32,42,44,32,115,105,122,101,95,116,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,44,32,98,111,111,108,44,32,98,111,111,108,44,32,98,111,111,108,41,0,99,118,58,58,67,118,116,72,101,108,112,101,114,60,99,118,58,58,83,101,116,60,51,44,32,52,44,32,45,49,62,44,32,99,118,58,58,83,101,116,60,51,44,32,45,49,44,32,45,49,62,44,32,99,118,58,58,83,101,116,60,48,44,32,53,44,32,45,49,62,44,32,99,118,58,58,83,105,122,101,80,111,108,105,99,121,58,58,78,79,78,69,62,58,58,67,118,116,72,101,108,112,101,114,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,41,32,91,86,83,99,110,32,61,32,99,118,58,58,83,101,116,60,51,44,32,52,44,32,45,49,62,44,32,86,68,99,110,32,61,32,99,118,58,58,83,101,116,60,51,44,32,45,49,44,32,45,49,62,44,32,86,68,101,112,116,104,32,61,32,99,118,58,58,83,101,116,60,48,44,32,53,44,32,45,49,62,44,32,115,105,122,101,80,111,108,105,99,121,32,61,32,99,118,58,58,83,105,122,101,80,111,108,105,99,121,58,58,78,79,78,69,93,0,99,118,58,58,67,118,116,72,101,108,112,101,114,60,99,118,58,58,83,101,116,60,51,44,32,45,49,44,32,45,49,62,44,32,99,118,58,58,83,101,116,60,51,44,32,52,44,32,45,49,62,44,32,99,118,58,58,83,101,116,60,48,44,32,53,44,32,45,49,62,44,32,99,118,58,58,83,105,122,101,80,111,108,105,99,121,58,58,78,79,78,69,62,58,58,67,118,116,72,101,108,112,101,114,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,41,32,91,86,83,99,110,32,61,32,99,118,58,58,83,101,116,60,51,44,32,45,49,44,32,45,49,62,44,32,86,68,99,110,32,61,32,99,118,58,58,83,101,116,60,51,44,32,52,44,32,45,49,62,44,32,86,68,101,112,116,104,32,61,32,99,118,58,58,83,101,116,60,48,44,32,53,44,32,45,49,62,44,32,115,105,122,101,80,111,108,105,99,121,32,61,32,99,118,58,58,83,105,122,101,80,111,108,105,99,121,58,58,78,79,78,69,93,0,99,118,58,58,67,118,116,72,101,108,112,101,114,60,99,118,58,58,83,101,116,60,51,44,32,52,44,32,45,49,62,44,32,99,118,58,58,83,101,116,60,51,44,32,45,49,44,32,45,49,62,44,32,99,118,58,58,83,101,116,60,48,44,32,50,44,32,53,62,44,32,99,118,58,58,83,105,122,101,80,111,108,105,99,121,58,58,78,79,78,69,62,58,58,67,118,116,72,101,108,112,101,114,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,41,32,91,86,83,99,110,32,61,32,99,118,58,58,83,101,116,60,51,44,32,52,44,32,45,49,62,44,32,86,68,99,110,32,61,32,99,118,58,58,83,101,116,60,51,44,32,45,49,44,32,45,49,62,44,32,86,68,101,112,116,104,32,61,32,99,118,58,58,83,101,116,60,48,44,32,50,44,32,53,62,44,32,115,105,122,101,80,111,108,105,99,121,32,61,32,99,118,58,58,83,105,122,101,80,111,108,105,99,121,58,58,78,79,78,69,93,0,99,118,58,58,67,118,116,72,101,108,112,101,114,60,99,118,58,58,83,101,116,60,51,44,32,45,49,44,32,45,49,62,44,32,99,118,58,58,83,101,116,60,51,44,32,52,44,32,45,49,62,44,32,99,118,58,58,83,101,116,60,48,44,32,50,44,32,53,62,44,32,99,118,58,58,83,105,122,101,80,111,108,105,99,121,58,58,78,79,78,69,62,58,58,67,118,116,72,101,108,112,101,114,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,41,32,91,86,83,99,110,32,61,32,99,118,58,58,83,101,116,60,51,44,32,45,49,44,32,45,49,62,44,32,86,68,99,110,32,61,32,99,118,58,58,83,101,116,60,51,44,32,52,44,32,45,49,62,44,32,86,68,101,112,116,104,32,61,32,99,118,58,58,83,101,116,60,48,44,32,50,44,32,53,62,44,32,115,105,122,101,80,111,108,105,99,121,32,61,32,99,118,58,58,83,105,122,101,80,111,108,105,99,121,58,58,78,79,78,69,93,0,105,109,103,46,116,121,112,101,40,41,32,61,61,32,67,86,95,56,85,67,49,0,72,111,117,103,104,76,105,110,101,115,83,68,105,118,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,105,109,103,112,114,111,99,47,115,114,99,47,104,111,117,103,104,46,99,112,112,0,108,105,110,101,115,77,97,120,32,62,32,48,0,118,111,105,100,32,99,118,58,58,72,111,117,103,104,76,105,110,101,115,83,68,105,118,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,44,32,102,108,111,97,116,44,32,102,108,111,97,116,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,44,32,100,111,117,98,108,101,44,32,100,111,117,98,108,101,41,0,73,110,116,101,114,110,97,108,32,101,114,114,111,114,0,116,121,112,101,32,61,61,32,67,86,95,51,50,70,67,50,32,124,124,32,116,121,112,101,32,61,61,32,67,86,95,51,50,70,67,51,0,72,111,117,103,104,76,105,110,101,115,83,116,97,110,100,97,114,100,0,118,111,105,100,32,99,118,58,58,72,111,117,103,104,76,105,110,101,115,83,116,97,110,100,97,114,100,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,44,32,102,108,111,97,116,44,32,102,108,111,97,116,44,32,105,110,116,44,32,105,110,116,44,32,100,111,117,98,108,101,44,32,100,111,117,98,108,101,41,0,109,97,120,95,116,104,101,116,97,32,109,117,115,116,32,98,101,32,103,114,101,97,116,101,114,32,116,104,97,110,32,109,105,110,95,116,104,101,116,97,0,109,97,120,95,116,104,101,116,97,0,109,105,110,95,116,104,101,116,97,0,118,111,105,100,32,99,118,58,58,72,111,117,103,104,76,105,110,101,115,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,100,111,117,98,108,101,44,32,100,111,117,98,108,101,44,32,105,110,116,44,32,100,111,117,98,108,101,44,32,100,111,117,98,108,101,44,32,100,111,117,98,108,101,44,32,100,111,117,98,108,101,41,0,87,114,111,110,103,32,116,121,112,101,32,111,102,32,111,117,116,112,117,116,32,108,105,110,101,115,0,105,109,97,103,101,46,116,121,112,101,40,41,32,61,61,32,67,86,95,56,85,67,49,0,72,111,117,103,104,76,105,110,101,115,80,114,111,98,97,98,105,108,105,115,116,105,99,0,118,111,105,100,32,99,118,58,58,72,111,117,103,104,76,105,110,101,115,80,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,100,111,117,98,108,101,44,32,100,111,117,98,108,101,44,32,105,110,116,44,32,100,111,117,98,108,101,44,32,100,111,117,98,108,101,41,0,33,95,105,109,97,103,101,46,101,109,112,116,121,40,41,32,38,38,32,95,105,109,97,103,101,46,116,121,112,101,40,41,32,61,61,32,67,86,95,56,85,67,49,32,38,38,32,40,95,105,109,97,103,101,46,105,115,77,97,116,40,41,32,124,124,32,95,105,109,97,103,101,46,105,115,85,77,97,116,40,41,41,0,72,111,117,103,104,67,105,114,99,108,101,115,0,95,99,105,114,99,108,101,115,46,105,115,77,97,116,40,41,32,124,124,32,95,99,105,114,99,108,101,115,46,105,115,86,101,99,116,111,114,40,41,0,100,112,44,32,109,105,110,95,100,105,115,116,44,32,99,97,110,110,121,95,116,104,114,101,115,104,111,108,100,32,97,110,100,32,97,99,99,95,116,104,114,101,115,104,111,108,100,32,109,117,115,116,32,98,101,32,97,108,108,32,112,111,115,105,116,105,118,101,32,110,117,109,98,101,114,115,0,107,101,114,110,101,108,83,105,122,101,32,61,61,32,45,49,32,124,124,32,107,101,114,110,101,108,83,105,122,101,32,61,61,32,51,32,124,124,32,107,101,114,110,101,108,83,105,122,101,32,61,61,32,53,32,124,124,32,107,101,114,110,101,108,83,105,122,101,32,61,61,32,55,0,72,111,117,103,104,67,105,114,99,108,101,115,71,114,97,100,105,101,110,116,0,72,111,117,103,104,67,105,114,99,108,101,69,115,116,105,109,97,116,101,82,97,100,105,117,115,73,110,118,111,107,101,114,0,85,110,114,101,99,111,103,110,105,122,101,100,32,109,101,116,104,111,100,32,105,100,46,32,65,99,116,117,97,108,108,121,32,111,110,108,121,32,67,86,95,72,79,85,71,72,95,71,82,65,68,73,69,78,84,32,105,115,32,115,117,112,112,111,114,116,101,100,46,0,78,50,99,118,51,50,72,111,117,103,104,67,105,114,99,108,101,69,115,116,105,109,97,116,101,82,97,100,105,117,115,73,110,118,111,107,101,114,73,78,83,95,49,48,78,90,80,111,105,110,116,83,101,116,69,69,69,0,78,50,99,118,51,50,72,111,117,103,104,67,105,114,99,108,101,69,115,116,105,109,97,116,101,82,97,100,105,117,115,73,110,118,111,107,101,114,73,78,83,95,49,49,78,90,80,111,105,110,116,76,105,115,116,69,69,69,0,78,50,99,118,51,48,72,111,117,103,104,67,105,114,99,108,101,115,70,105,110,100,67,101,110,116,101,114,115,73,110,118,111,107,101,114,69,0,78,50,99,118,50,52,72,111,117,103,104,67,105,114,99,108,101,115,65,99,99,117,109,73,110,118,111,107,101,114,69,0,118,111,105,100,32,99,118,58,58,72,111,117,103,104,67,105,114,99,108,101,115,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,44,32,100,111,117,98,108,101,44,32,100,111,117,98,108,101,44,32,100,111,117,98,108,101,44,32,100,111,117,98,108,101,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,44,32,100,111,117,98,108,101,41,0,87,114,111,110,103,32,116,121,112,101,32,111,102,32,111,117,116,112,117,116,32,99,105,114,99,108,101,115,0,116,121,112,101,32,61,61,32,67,86,95,51,50,70,67,51,32,124,124,32,116,121,112,101,32,61,61,32,67,86,95,51,50,70,67,52,0,99,118,83,116,97,114,116,82,101,97,100,67,104,97,105,110,80,111,105,110,116,115,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,105,109,103,112,114,111,99,47,115,114,99,47,99,111,110,116,111,117,114,115,46,99,112,112,0,99,118,83,116,97,114,116,70,105,110,100,67,111,110,116,111,117,114,115,95,73,109,112,108,0,91,83,116,97,114,116,93,70,105,110,100,67,111,110,116,111,117,114,115,32,115,117,112,112,111,114,116,115,32,111,110,108,121,32,67,86,95,56,85,67,49,32,105,109,97,103,101,115,32,119,104,101,110,32,109,111,100,101,32,33,61,32,67,86,95,82,69,84,82,95,70,76,79,79,68,70,73,76,76,32,111,116,104,101,114,119,105,115,101,32,115,117,112,112,111,114,116,115,32,67,86,95,51,50,83,67,49,32,105,109,97,103,101,115,32,111,110,108,121,0,115,116,101,112,32,62,61,32,48,0,115,105,122,101,46,104,101,105,103,104,116,32,62,61,32,49,0,99,118,70,105,110,100,78,101,120,116,67,111,110,116,111,117,114,0,115,99,97,110,110,101,114,45,62,105,109,103,95,115,116,101,112,32,62,61,32,48,0,112,116,114,32,33,61,32,78,85,76,76,0,105,99,118,84,114,97,99,101,67,111,110,116,111,117,114,95,51,50,115,0,105,52,32,33,61,32,78,85,76,76,0,105,99,118,84,114,97,99,101,67,111,110,116,111,117,114,0,112,97,114,95,105,110,102,111,32,33,61,32,48,0,105,99,118,70,101,116,99,104,67,111,110,116,111,117,114,0,108,95,99,105,110,102,111,0,105,99,118,70,101,116,99,104,67,111,110,116,111,117,114,69,120,95,51,50,115,0,105,99,118,70,101,116,99,104,67,111,110,116,111,117,114,69,120,0,99,118,69,110,100,70,105,110,100,67,111,110,116,111,117,114,115,0,78,85,76,76,32,100,111,117,98,108,101,32,67,118,83,101,113,32,112,111,105,110,116,101,114,0,99,118,70,105,110,100,67,111,110,116,111,117,114,115,95,73,109,112,108,0,78,111,110,122,101,114,111,32,111,102,102,115,101,116,32,105,115,32,110,111,116,32,115,117,112,112,111,114,116,101,100,32,105,110,32,67,86,95,76,73,78,75,95,82,85,78,83,32,121,101,116,0,78,85,76,76,32,115,116,111,114,97,103,101,32,112,111,105,110,116,101,114,0,105,99,118,70,105,110,100,67,111,110,116,111,117,114,115,73,110,73,110,116,101,114,118,97,108,0,67,111,110,116,111,117,114,32,104,101,97,100,101,114,32,115,105,122,101,32,109,117,115,116,32,98,101,32,62,61,32,115,105,122,101,111,102,40,67,118,67,111,110,116,111,117,114,41,0,73,110,112,117,116,32,97,114,114,97,121,32,109,117,115,116,32,98,101,32,56,117,67,49,32,111,114,32,56,115,67,49,0,78,50,99,118,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,49,50,67,118,77,101,109,83,116,111,114,97,103,101,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,112,111,105,110,116,101,114,73,80,49,50,67,118,77,101,109,83,116,111,114,97,103,101,78,50,99,118,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,49,95,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,49,95,69,69,69,69,0,40,95,99,111,110,116,111,117,114,115,46,107,105,110,100,40,41,32,61,61,32,95,73,110,112,117,116,65,114,114,97,121,58,58,83,84,68,95,86,69,67,84,79,82,95,86,69,67,84,79,82,32,124,124,32,95,99,111,110,116,111,117,114,115,46,107,105,110,100,40,41,32,61,61,32,95,73,110,112,117,116,65,114,114,97,121,58,58,83,84,68,95,86,69,67,84,79,82,95,77,65,84,32,124,124,32,95,99,111,110,116,111,117,114,115,46,107,105,110,100,40,41,32,61,61,32,95,73,110,112,117,116,65,114,114,97,121,58,58,83,84,68,95,86,69,67,84,79,82,95,85,77,65,84,41,0,102,105,110,100,67,111,110,116,111,117,114,115,0,95,99,111,110,116,111,117,114,115,46,101,109,112,116,121,40,41,32,124,124,32,40,95,99,111,110,116,111,117,114,115,46,99,104,97,110,110,101,108,115,40,41,32,61,61,32,50,32,38,38,32,95,99,111,110,116,111,117,114,115,46,100,101,112,116,104,40,41,32,61,61,32,67,86,95,51,50,83,41,0,99,105,46,105,115,67,111,110,116,105,110,117,111,117,115,40,41,0,118,111,105,100,32,99,118,58,58,102,105,110,100,67,111,110,116,111,117,114,115,40,73,110,112,117,116,79,117,116,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,44,32,105,110,116,44,32,80,111,105,110,116,41,0,115,114,99,46,116,121,112,101,40,41,32,61,61,32,67,86,95,56,85,67,49,0,100,105,115,116,97,110,99,101,84,114,97,110,115,102,111,114,109,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,105,109,103,112,114,111,99,47,115,114,99,47,100,105,115,116,114,97,110,115,102,111,114,109,46,99,112,112,0,108,97,98,101,108,84,121,112,101,32,61,61,32,68,73,83,84,95,76,65,66,69,76,95,80,73,88,69,76,32,124,124,32,108,97,98,101,108,84,121,112,101,32,61,61,32,68,73,83,84,95,76,65,66,69,76,95,67,67,79,77,80,0,77,97,115,107,32,115,105,122,101,32,115,104,111,117,108,100,32,98,101,32,51,32,111,114,32,53,32,111,114,32,48,32,40,112,114,101,99,105,115,101,41,0,115,114,99,46,115,105,122,101,40,41,32,61,61,32,100,115,116,46,115,105,122,101,40,41,0,116,114,117,101,68,105,115,116,84,114,97,110,115,0,115,114,99,46,116,121,112,101,40,41,32,61,61,32,67,86,95,56,85,67,49,32,38,38,32,100,115,116,46,116,121,112,101,40,41,32,61,61,32,67,86,95,51,50,70,67,49,0,100,105,115,116,84,121,112,101,32,61,61,32,67,86,95,68,73,83,84,95,67,32,124,124,32,100,105,115,116,84,121,112,101,32,61,61,32,67,86,95,68,73,83,84,95,76,49,32,124,124,32,100,105,115,116,84,121,112,101,32,61,61,32,67,86,95,68,73,83,84,95,76,50,0,85,110,107,110,111,119,110,32,109,101,116,114,105,99,32,116,121,112,101,0,103,101,116,68,105,115,116,97,110,99,101,84,114,97,110,115,102,111,114,109,77,97,115,107,0,78,50,99,118,49,50,68,84,82,111,119,73,110,118,111,107,101,114,69,0,78,50,99,118,49,53,68,84,67,111,108,117,109,110,73,110,118,111,107,101,114,69,0,118,111,105,100,32,99,118,58,58,100,105,115,116,97,110,99,101,84,114,97,110,115,102,111,114,109,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,41,0,100,105,115,116,97,110,99,101,84,114,97,110,115,102,111,114,109,95,76,49,95,56,85,0,115,114,99,46,116,121,112,101,40,41,32,61,61,32,67,86,95,56,85,67,49,32,38,38,32,100,115,116,46,116,121,112,101,40,41,32,61,61,32,67,86,95,56,85,67,49,0,100,105,115,116,97,110,99,101,65,84,83,95,76,49,95,56,117,0,118,111,105,100,32,99,118,58,58,100,105,115,116,97,110,99,101,84,114,97,110,115,102,111,114,109,95,76,49,95,56,85,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,41,0,118,111,105,100,32,99,118,58,58,100,105,115,116,97,110,99,101,84,114,97,110,115,102,111,114,109,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,41,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,60,99,118,58,58,82,71,66,50,89,67,114],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+358404);allocate([67,98,95,102,60,102,108,111,97,116,62,32,62,58,58,111,112,101,114,97,116,111,114,40,41,40,99,111,110,115,116,32,99,118,58,58,82,97,110,103,101,32,38,41,32,99,111,110,115,116,32,91,67,118,116,32,61,32,99,118,58,58,82,71,66,50,89,67,114,67,98,95,102,60,102,108,111,97,116,62,93,0,78,50,99,118,50,48,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,73,78,83,95,49,49,82,71,66,50,89,67,114,67,98,95,102,73,102,69,69,69,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,60,99,118,58,58,82,71,66,50,89,67,114,67,98,95,105,60,117,110,115,105,103,110,101,100,32,115,104,111,114,116,62,32,62,58,58,111,112,101,114,97,116,111,114,40,41,40,99,111,110,115,116,32,99,118,58,58,82,97,110,103,101,32,38,41,32,99,111,110,115,116,32,91,67,118,116,32,61,32,99,118,58,58,82,71,66,50,89,67,114,67,98,95,105,60,117,110,115,105,103,110,101,100,32,115,104,111,114,116,62,93,0,78,50,99,118,50,48,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,73,78,83,95,49,49,82,71,66,50,89,67,114,67,98,95,105,73,116,69,69,69,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,60,99,118,58,58,82,71,66,50,89,67,114,67,98,95,105,60,117,110,115,105,103,110,101,100,32,99,104,97,114,62,32,62,58,58,111,112,101,114,97,116,111,114,40,41,40,99,111,110,115,116,32,99,118,58,58,82,97,110,103,101,32,38,41,32,99,111,110,115,116,32,91,67,118,116,32,61,32,99,118,58,58,82,71,66,50,89,67,114,67,98,95,105,60,117,110,115,105,103,110,101,100,32,99,104,97,114,62,93,0,78,50,99,118,50,48,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,73,78,83,95,49,49,82,71,66,50,89,67,114,67,98,95,105,73,104,69,69,69,69,0,118,111,105,100,32,99,118,58,58,104,97,108,58,58,99,118,116,66,71,82,116,111,89,85,86,40,99,111,110,115,116,32,117,99,104,97,114,32,42,44,32,115,105,122,101,95,116,44,32,117,99,104,97,114,32,42,44,32,115,105,122,101,95,116,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,44,32,98,111,111,108,44,32,98,111,111,108,41,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,105,109,103,112,114,111,99,47,115,114,99,47,99,111,108,111,114,95,121,117,118,46,99,112,112,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,60,99,118,58,58,89,67,114,67,98,50,82,71,66,95,102,60,102,108,111,97,116,62,32,62,58,58,111,112,101,114,97,116,111,114,40,41,40,99,111,110,115,116,32,99,118,58,58,82,97,110,103,101,32,38,41,32,99,111,110,115,116,32,91,67,118,116,32,61,32,99,118,58,58,89,67,114,67,98,50,82,71,66,95,102,60,102,108,111,97,116,62,93,0,78,50,99,118,50,48,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,73,78,83,95,49,49,89,67,114,67,98,50,82,71,66,95,102,73,102,69,69,69,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,60,99,118,58,58,89,67,114,67,98,50,82,71,66,95,105,60,117,110,115,105,103,110,101,100,32,115,104,111,114,116,62,32,62,58,58,111,112,101,114,97,116,111,114,40,41,40,99,111,110,115,116,32,99,118,58,58,82,97,110,103,101,32,38,41,32,99,111,110,115,116,32,91,67,118,116,32,61,32,99,118,58,58,89,67,114,67,98,50,82,71,66,95,105,60,117,110,115,105,103,110,101,100,32,115,104,111,114,116,62,93,0,78,50,99,118,50,48,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,73,78,83,95,49,49,89,67,114,67,98,50,82,71,66,95,105,73,116,69,69,69,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,60,99,118,58,58,89,67,114,67,98,50,82,71,66,95,105,60,117,110,115,105,103,110,101,100,32,99,104,97,114,62,32,62,58,58,111,112,101,114,97,116,111,114,40,41,40,99,111,110,115,116,32,99,118,58,58,82,97,110,103,101,32,38,41,32,99,111,110,115,116,32,91,67,118,116,32,61,32,99,118,58,58,89,67,114,67,98,50,82,71,66,95,105,60,117,110,115,105,103,110,101,100,32,99,104,97,114,62,93,0,78,50,99,118,50,48,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,73,78,83,95,49,49,89,67,114,67,98,50,82,71,66,95,105,73,104,69,69,69,69,0,118,111,105,100,32,99,118,58,58,104,97,108,58,58,99,118,116,89,85,86,116,111,66,71,82,40,99,111,110,115,116,32,117,99,104,97,114,32,42,44,32,115,105,122,101,95,116,44,32,117,99,104,97,114,32,42,44,32,115,105,122,101,95,116,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,44,32,98,111,111,108,44,32,98,111,111,108,41,0,85,110,107,110,111,119,110,47,117,110,115,117,112,112,111,114,116,101,100,32,99,111,108,111,114,32,99,111,110,118,101,114,115,105,111,110,32,99,111,100,101,0,99,118,116,84,119,111,80,108,97,110,101,89,85,86,116,111,66,71,82,0,78,50,99,118,50,52,89,85,86,52,50,48,115,112,50,82,71,66,65,56,56,56,56,73,110,118,111,107,101,114,73,76,105,50,69,76,105,49,69,69,69,0,78,50,99,118,50,52,89,85,86,52,50,48,115,112,50,82,71,66,65,56,56,56,56,73,110,118,111,107,101,114,73,76,105,50,69,76,105,48,69,69,69,0,78,50,99,118,50,52,89,85,86,52,50,48,115,112,50,82,71,66,65,56,56,56,56,73,110,118,111,107,101,114,73,76,105,48,69,76,105,49,69,69,69,0,78,50,99,118,50,52,89,85,86,52,50,48,115,112,50,82,71,66,65,56,56,56,56,73,110,118,111,107,101,114,73,76,105,48,69,76,105,48,69,69,69,0,78,50,99,118,50,50,89,85,86,52,50,48,115,112,50,82,71,66,56,56,56,73,110,118,111,107,101,114,73,76,105,50,69,76,105,49,69,69,69,0,78,50,99,118,50,50,89,85,86,52,50,48,115,112,50,82,71,66,56,56,56,73,110,118,111,107,101,114,73,76,105,50,69,76,105,48,69,69,69,0,78,50,99,118,50,50,89,85,86,52,50,48,115,112,50,82,71,66,56,56,56,73,110,118,111,107,101,114,73,76,105,48,69,76,105,49,69,69,69,0,78,50,99,118,50,50,89,85,86,52,50,48,115,112,50,82,71,66,56,56,56,73,110,118,111,107,101,114,73,76,105,48,69,76,105,48,69,69,69,0,118,111,105,100,32,99,118,58,58,104,97,108,58,58,99,118,116,84,119,111,80,108,97,110,101,89,85,86,116,111,66,71,82,40,99,111,110,115,116,32,117,99,104,97,114,32,42,44,32,99,111,110,115,116,32,117,99,104,97,114,32,42,44,32,115,105,122,101,95,116,44,32,117,99,104,97,114,32,42,44,32,115,105,122,101,95,116,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,44,32,98,111,111,108,44,32,105,110,116,41,0,118,111,105,100,32,99,118,58,58,104,97,108,58,58,99,118,116,84,119,111,80,108,97,110,101,89,85,86,116,111,66,71,82,40,99,111,110,115,116,32,117,99,104,97,114,32,42,44,32,115,105,122,101,95,116,44,32,117,99,104,97,114,32,42,44,32,115,105,122,101,95,116,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,44,32,98,111,111,108,44,32,105,110,116,41,0,99,118,116,84,104,114,101,101,80,108,97,110,101,89,85,86,116,111,66,71,82,0,78,50,99,118,50,51,89,85,86,52,50,48,112,50,82,71,66,65,56,56,56,56,73,110,118,111,107,101,114,73,76,105,50,69,69,69,0,78,50,99,118,50,51,89,85,86,52,50,48,112,50,82,71,66,65,56,56,56,56,73,110,118,111,107,101,114,73,76,105,48,69,69,69,0,78,50,99,118,50,49,89,85,86,52,50,48,112,50,82,71,66,56,56,56,73,110,118,111,107,101,114,73,76,105,50,69,69,69,0,78,50,99,118,50,49,89,85,86,52,50,48,112,50,82,71,66,56,56,56,73,110,118,111,107,101,114,73,76,105,48,69,69,69,0,118,111,105,100,32,99,118,58,58,104,97,108,58,58,99,118,116,84,104,114,101,101,80,108,97,110,101,89,85,86,116,111,66,71,82,40,99,111,110,115,116,32,117,99,104,97,114,32,42,44,32,115,105,122,101,95,116,44,32,117,99,104,97,114,32,42,44,32,115,105,122,101,95,116,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,44,32,98,111,111,108,44,32,105,110,116,41,0,78,50,99,118,50,50,82,71,66,56,56,56,116,111,89,85,86,52,50,48,112,73,110,118,111,107,101,114,69,0,118,111,105,100,32,99,118,58,58,104,97,108,58,58,99,118,116,66,71,82,116,111,84,104,114,101,101,80,108,97,110,101,89,85,86,40,99,111,110,115,116,32,117,99,104,97,114,32,42,44,32,115,105,122,101,95,116,44,32,117,99,104,97,114,32,42,44,32,115,105,122,101,95,116,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,44,32,98,111,111,108,44,32,105,110,116,41,0,99,118,116,79,110,101,80,108,97,110,101,89,85,86,116,111,66,71,82,0,78,50,99,118,50,51,89,85,86,52,50,50,116,111,82,71,66,65,56,56,56,56,73,110,118,111,107,101,114,73,76,105,50,69,76,105,49,69,76,105,48,69,69,69,0,78,50,99,118,50,51,89,85,86,52,50,50,116,111,82,71,66,65,56,56,56,56,73,110,118,111,107,101,114,73,76,105,50,69,76,105,48,69,76,105,49,69,69,69,0,78,50,99,118,50,51,89,85,86,52,50,50,116,111,82,71,66,65,56,56,56,56,73,110,118,111,107,101,114,73,76,105,50,69,76,105,48,69,76,105,48,69,69,69,0,78,50,99,118,50,51,89,85,86,52,50,50,116,111,82,71,66,65,56,56,56,56,73,110,118,111,107,101,114,73,76,105,48,69,76,105,49,69,76,105,48,69,69,69,0,78,50,99,118,50,51,89,85,86,52,50,50,116,111,82,71,66,65,56,56,56,56,73,110,118,111,107,101,114,73,76,105,48,69,76,105,48,69,76,105,49,69,69,69,0,78,50,99,118,50,51,89,85,86,52,50,50,116,111,82,71,66,65,56,56,56,56,73,110,118,111,107,101,114,73,76,105,48,69,76,105,48,69,76,105,48,69,69,69,0,78,50,99,118,50,49,89,85,86,52,50,50,116,111,82,71,66,56,56,56,73,110,118,111,107,101,114,73,76,105,50,69,76,105,49,69,76,105,48,69,69,69,0,78,50,99,118,50,49,89,85,86,52,50,50,116,111,82,71,66,56,56,56,73,110,118,111,107,101,114,73,76,105,50,69,76,105,48,69,76,105,49,69,69,69,0,78,50,99,118,50,49,89,85,86,52,50,50,116,111,82,71,66,56,56,56,73,110,118,111,107,101,114,73,76,105,50,69,76,105,48,69,76,105,48,69,69,69,0,78,50,99,118,50,49,89,85,86,52,50,50,116,111,82,71,66,56,56,56,73,110,118,111,107,101,114,73,76,105,48,69,76,105,49,69,76,105,48,69,69,69,0,78,50,99,118,50,49,89,85,86,52,50,50,116,111,82,71,66,56,56,56,73,110,118,111,107,101,114,73,76,105,48,69,76,105,48,69,76,105,49,69,69,69,0,78,50,99,118,50,49,89,85,86,52,50,50,116,111,82,71,66,56,56,56,73,110,118,111,107,101,114,73,76,105,48,69,76,105,48,69,76,105,48,69,69,69,0,118,111,105,100,32,99,118,58,58,104,97,108,58,58,99,118,116,79,110,101,80,108,97,110,101,89,85,86,116,111,66,71,82,40,99,111,110,115,116,32,117,99,104,97,114,32,42,44,32,115,105,122,101,95,116,44,32,117,99,104,97,114,32,42,44,32,115,105,122,101,95,116,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,44,32,98,111,111,108,44,32,105,110,116,44,32,105,110,116,41,0,95,115,114,99,46,99,104,97,110,110,101,108,115,40,41,32,61,61,32,50,32,38,38,32,95,115,114,99,46,100,101,112,116,104,40,41,32,61,61,32,67,86,95,56,85,0,99,118,116,67,111,108,111,114,89,85,86,50,71,114,97,121,95,99,104,0,33,95,115,114,99,46,101,109,112,116,121,40,41,0,67,118,116,72,101,108,112,101,114,0,115,122,46,119,105,100,116,104,32,37,32,50,32,61,61,32,48,32,38,38,32,115,122,46,104,101,105,103,104,116,32,37,32,50,32,61,61,32,48,0,99,118,58,58,67,118,116,72,101,108,112,101,114,60,99,118,58,58,83,101,116,60,51,44,32,52,44,32,45,49,62,44,32,99,118,58,58,83,101,116,60,49,44,32,45,49,44,32,45,49,62,44,32,99,118,58,58,83,101,116,60,48,44,32,45,49,44,32,45,49,62,44,32,99,118,58,58,83,105,122,101,80,111,108,105,99,121,58,58,84,79,95,89,85,86,62,58,58,67,118,116,72,101,108,112,101,114,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,41,32,91,86,83,99,110,32,61,32,99,118,58,58,83,101,116,60,51,44,32,52,44,32,45,49,62,44,32,86,68,99,110,32,61,32,99,118,58,58,83,101,116,60,49,44,32,45,49,44,32,45,49,62,44,32,86,68,101,112,116,104,32,61,32,99,118,58,58,83,101,116,60,48,44,32,45,49,44,32,45,49,62,44,32,115,105,122,101,80,111,108,105,99,121,32,61,32,99,118,58,58,83,105,122,101,80,111,108,105,99,121,58,58,84,79,95,89,85,86,93,0,85,110,115,117,112,112,111,114,116,101,100,32,100,101,112,116,104,32,111,102,32,105,110,112,117,116,32,105,109,97,103,101,0,100,101,112,116,104,0,86,68,101,112,116,104,58,58,99,111,110,116,97,105,110,115,40,100,101,112,116,104,41,0,73,110,118,97,108,105,100,32,110,117,109,98,101,114,32,111,102,32,99,104,97,110,110,101,108,115,32,105,110,32,111,117,116,112,117,116,32,105,109,97,103,101,0,100,99,110,0,86,68,99,110,58,58,99,111,110,116,97,105,110,115,40,100,99,110,41,0,73,110,118,97,108,105,100,32,110,117,109,98,101,114,32,111,102,32,99,104,97,110,110,101,108,115,32,105,110,32,105,110,112,117,116,32,105,109,97,103,101,0,115,99,110,0,86,83,99,110,58,58,99,111,110,116,97,105,110,115,40,115,99,110,41,0,115,122,46,119,105,100,116,104,32,37,32,50,32,61,61,32,48,32,38,38,32,115,122,46,104,101,105,103,104,116,32,37,32,51,32,61,61,32,48,0,99,118,58,58,67,118,116,72,101,108,112,101,114,60,99,118,58,58,83,101,116,60,49,44,32,45,49,44,32,45,49,62,44,32,99,118,58,58,83,101,116,60,49,44,32,45,49,44,32,45,49,62,44,32,99,118,58,58,83,101,116,60,48,44,32,45,49,44,32,45,49,62,44,32,99,118,58,58,83,105,122,101,80,111,108,105,99,121,58,58,70,82,79,77,95,89,85,86,62,58,58,67,118,116,72,101,108,112,101,114,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,41,32,91,86,83,99,110,32,61,32,99,118,58,58,83,101,116,60,49,44,32,45,49,44,32,45,49,62,44,32,86,68,99,110,32,61,32,99,118,58,58,83,101,116,60,49,44,32,45,49,44,32,45,49,62,44,32,86,68,101,112,116,104,32,61,32,99,118,58,58,83,101,116,60,48,44,32,45,49,44,32,45,49,62,44,32,115,105,122,101,80,111,108,105,99,121,32,61,32,99,118,58,58,83,105,122,101,80,111,108,105,99,121,58,58,70,82,79,77,95,89,85,86,93,0,99,118,58,58,67,118,116,72,101,108,112,101,114,60,99,118,58,58,83,101,116,60,49,44,32,45,49,44,32,45,49,62,44,32,99,118,58,58,83,101,116,60,51,44,32,52,44,32,45,49,62,44,32,99,118,58,58,83,101,116,60,48,44,32,45,49,44,32,45,49,62,44,32,99,118,58,58,83,105,122,101,80,111,108,105,99,121,58,58,70,82,79,77,95,89,85,86,62,58,58,67,118,116,72,101,108,112,101,114,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,41,32,91,86,83,99,110,32,61,32,99,118,58,58,83,101,116,60,49,44,32,45,49,44,32,45,49,62,44,32,86,68,99,110,32,61,32,99,118,58,58,83,101,116,60,51,44,32,52,44,32,45,49,62,44,32,86,68,101,112,116,104,32,61,32,99,118,58,58,83,101,116,60,48,44,32,45,49,44,32,45,49,62,44,32,115,105,122,101,80,111,108,105,99,121,32,61,32,99,118,58,58,83,105,122,101,80,111,108,105,99,121,58,58,70,82,79,77,95,89,85,86,93,0,104,114,97,110,103,101,32,61,61,32,49,56,48,32,124,124,32,104,114,97,110,103,101,32,61,61,32,50,53,54,0,82,71,66,50,72,83,86,95,98,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,105,109,103,112,114,111,99,47,115,114,99,47,99,111,108,111,114,95,104,115,118,46,99,112,112,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,60,99,118,58,58,82,71,66,50,72,76,83,95,102,62,58,58,111,112,101,114,97,116,111,114,40,41,40,99,111,110,115,116,32,99,118,58,58,82,97,110,103,101,32,38,41,32,99,111,110,115,116,32,91,67,118,116,32,61,32,99,118,58,58,82,71,66,50,72,76,83,95,102,93,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,105,109,103,112,114,111,99,47,115,114,99,47,99,111,108,111,114,46,104,112,112,0,78,50,99,118,50,48,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,73,78,83,95,57,82,71,66,50,72,76,83,95,102,69,69,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,60,99,118,58,58,82,71,66,50,72,76,83,95,98,62,58,58,111,112,101,114,97,116,111,114,40,41,40,99,111,110,115,116,32,99,118,58,58,82,97,110,103,101,32,38,41,32,99,111,110,115,116,32,91,67,118,116,32,61,32,99,118,58,58,82,71,66,50,72,76,83,95,98,93,0,78,50,99,118,50,48,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,73,78,83,95,57,82,71,66,50,72,76,83,95,98,69,69,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,60,99,118,58,58,82,71,66,50,72,83,86,95,102,62,58,58,111,112,101,114,97,116,111,114,40,41,40,99,111,110,115,116,32,99,118,58,58,82,97,110,103,101,32,38,41,32,99,111,110,115,116,32,91,67,118,116,32,61,32,99,118,58,58,82,71,66,50,72,83,86,95,102,93,0,78,50,99,118,50,48,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,73,78,83,95,57,82,71,66,50,72,83,86,95,102,69,69,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,60,99,118,58,58,82,71,66,50,72,83,86,95,98,62,58,58,111,112,101,114,97,116,111,114,40,41,40,99,111,110,115,116,32,99,118,58,58,82,97,110,103,101,32,38,41,32,99,111,110,115,116,32,91,67,118,116,32,61,32,99,118,58,58,82,71,66,50,72,83,86,95,98,93,0,78,50,99,118,50,48,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,73,78,83,95,57,82,71,66,50,72,83,86,95,98,69,69,69,0,118,111,105,100,32,99,118,58,58,104,97,108,58,58,99,118,116,66,71,82,116,111,72,83,86,40,99,111,110,115,116,32,117,99,104,97,114,32,42,44,32,115,105,122,101,95,116,44,32,117,99,104,97,114,32,42,44,32,115,105,122,101,95,116,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,44,32,98,111,111,108,44,32,98,111,111,108,44,32,98,111,111,108,41,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,60,99,118,58,58,72,76,83,50,82,71,66,95,102,62,58,58,111,112,101,114,97,116,111,114,40,41,40,99,111,110,115,116,32,99,118,58,58,82,97,110,103,101,32,38,41,32,99,111,110,115,116,32,91,67,118,116,32,61,32,99,118,58,58,72,76,83,50,82,71,66,95,102,93,0,78,50,99,118,50,48,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,73,78,83,95,57,72,76,83,50,82,71,66,95,102,69,69,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,60,99,118,58,58,72,76,83,50,82,71,66,95,98,62,58,58,111,112,101,114,97,116,111,114,40,41,40,99,111,110,115,116,32,99,118,58,58,82,97,110,103,101,32,38,41,32,99,111,110,115,116,32,91,67,118,116,32,61,32,99,118,58,58,72,76,83,50,82,71,66,95,98,93,0,78,50,99,118,50,48,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,73,78,83,95,57,72,76,83,50,82,71,66,95,98,69,69,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,60,99,118,58,58,72,83,86,50,82,71,66,95,102,62,58,58,111,112,101,114,97,116,111,114,40,41,40,99,111,110,115,116,32,99,118,58,58,82,97,110,103,101,32,38,41,32,99,111,110,115,116,32,91,67,118,116,32,61,32,99,118,58,58,72,83,86,50,82,71,66,95,102,93,0,78,50,99,118,50,48,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,73,78,83,95,57,72,83,86,50,82,71,66,95,102,69,69,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,60,99,118,58,58,72,83,86,50,82,71,66,95,98,62,58,58,111,112,101,114,97,116,111,114,40,41,40,99,111,110,115,116,32,99,118,58,58,82,97,110,103,101,32,38,41,32,99,111,110,115,116,32,91,67,118,116,32,61,32,99,118,58,58,72,83,86,50,82,71,66,95,98,93,0,78,50,99,118,50,48,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,73,78,83,95,57,72,83,86,50,82,71,66,95,98,69,69,69,0,118,111,105,100,32,99,118,58,58,104,97,108,58,58,99,118,116,72,83,86,116,111,66,71,82,40,99,111,110,115,116,32,117,99,104,97,114,32,42,44,32,115,105,122,101,95,116,44,32,117,99,104,97,114,32,42,44,32,115,105,122,101,95,116,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,44,32,98,111,111,108,44,32,98,111,111,108,44,32,98,111,111,108,41,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,83,95,54,118,101,99,116,111,114,73,78,50,99,118,49,54,70,101,97,116,117,114,101,69,118,97,108,117,97,116,111,114,57,83,99,97,108,101,68,97,116,97,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,52,95,69,69,69,69,78,83,53,95,73,83,55,95,69,69,69,69,0,118,105,114,116,117,97,108,32,98,111,111,108,32,99,118,58,58,70,101,97,116,117,114,101,69,118,97,108,117,97,116,111,114,58,58,115,101,116,73,109,97,103,101,40,73,110,112,117,116,65,114,114,97,121,44,32,99,111,110,115,116,32,115,116,100,58,58,118,101,99,116,111,114,60,102,108,111,97,116,62,32,38,41,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,111,98,106,100,101,116,101,99,116,47,115,114,99,47,99,97,115,99,97,100,101,100,101,116,101,99,116,46,99,112,112,0,78,50,99,118,49,54,70,101,97,116,117,114,101,69,118,97,108,117,97,116,111,114,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,72,97,97,114,69,118,97,108,117,97,116,111,114,58,58,99,111,109,112,117,116,101,79,112,116,70,101,97,116,117,114,101,115,40,41,0,115,113,115,117,109,46,117,32,61,61,32,117,32,38,38,32,115,113,115,117,109,46,115,105,122,101,40,41,32,61,61,32,115,46,115,122,105,32,38,38,32,115,113,115,117,109,46,116,121,112,101,40,41,61,61,67,86,95,51,50,83,0,99,111,109,112,117,116,101,67,104,97,110,110,101,108,115,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,72,97,97,114,69,118,97,108,117,97,116,111,114,58,58,99,111,109,112,117,116,101,67,104,97,110,110,101,108,115,40,105,110,116,44,32,73,110,112,117,116,65,114,114,97,121,41,0,48,32,60,61,32,115,99,97,108,101,73,100,120,32,38,38,32,115,99,97,108,101,73,100,120,32,60,32,40,105,110,116,41,115,99,97,108,101,68,97,116,97,45,62,115,105,122,101,40,41,0,103,101,116,83,99,97,108,101,68,97,116,97,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,111,98,106,100,101,116,101,99,116,47,115,114,99,47,99,97,115,99,97,100,101,100,101,116,101,99,116,46,104,112,112,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,49,51,72,97,97,114,69,118,97,108,117,97,116,111,114,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,50,95,69,69,69,69,0,110,32,62,32,48,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,83,95,54,118,101,99,116,111,114,73,78,50,99,118,49,51,72,97,97,114,69,118,97,108,117,97,116,111,114,49,48,79,112,116,70,101,97,116,117,114,101,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,52,95,69,69,69,69,78,83,53,95,73,83,55,95,69,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,83,95,54,118,101,99,116,111,114,73,78,50,99,118,49,51,72,97,97,114,69,118,97,108,117,97,116,111,114,55,70,101,97,116,117,114,101,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,52,95,69,69,69,69,78,83,53,95,73,83,55,95,69,69,69,69,0,78,50,99,118,49,51,72,97,97,114,69,118,97,108,117,97,116,111,114,69,0,115,101,116,87,105,110,100,111,119,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,83,95,54,118,101,99,116,111,114,73,78,50,99,118,49,50,76,66,80,69,118,97,108,117,97,116,111,114,49,48,79,112,116,70,101,97,116,117,114,101,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,52,95,69,69,69,69,78,83,53,95,73,83,55,95,69,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,83,95,54,118,101,99,116,111,114,73,78,50,99,118,49,50,76,66,80,69,118,97,108,117,97,116,111,114,55,70,101,97,116,117,114,101,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,52,95,69,69,69,69,78,83,53,95,73,83,55,95,69,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,49,50,76,66,80,69,118,97,108,117,97,116,111,114,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,50,95,69,69,69,69,0,114,101,99,116,0,78,50,99,118,49,50,76,66,80,69,118,97,108,117,97,116,111,114,69,0,115,99,97,108,101,70,97,99,116,111,114,32,62,32,49,32,38,38,32,95,105,109,97,103,101,46,100,101,112,116,104,40,41,32,61,61,32,67,86,95,56,85,0,100,101,116,101,99,116,77,117,108,116,105,83,99,97,108,101,0,118,111,105,100,32,99,118,58,58,103,114,111,117,112,82,101,99,116,97,110,103,108,101,115,40,115,116,100,58,58,118,101,99,116,111,114,60,82,101,99,116,62,32,38,44,32,105,110,116,44,32,100,111,117,98,108,101,41,0,110,111,100,101,115,91,114,111,111,116,93,91,80,65,82,69,78,84,93,32,60,32,48,0,112,97,114,116,105,116,105,111,110,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,99,111,114,101,47,105,110,99,108,117,100,101,47,111,112,101,110,99,118,50,47,99,111,114,101,47,111,112,101,114,97,116,105,111,110,115,46,104,112,112,0,118,111,105,100,32,99,118,58,58,103,114,111,117,112,82,101,99,116,97,110,103,108,101,115,40,115,116,100,58,58,118,101,99,116,111,114,60,82,101,99,116,62,32,38,44,32,105,110,116,44,32,100,111,117,98,108,101,44,32,115,116,100,58,58,118,101,99,116,111,114,60,105,110,116,62,32,42,44,32,115,116,100,58,58,118,101,99,116,111,114,60,100,111,117,98,108,101,62,32,42,41,0,118,111,105,100,32,99,118,58,58,103,114,111,117,112,82,101,99,116,97,110,103,108,101,115,40,115,116,100,58,58,118,101,99,116,111,114,60,82,101,99,116,62,32,38,44,32,115,116,100,58,58,118,101,99,116,111,114,60,105,110,116,62,32,38,44,32,115,116,100,58,58,118,101,99,116,111,114,60,100,111,117,98,108,101,62,32,38,44,32,105,110,116,44,32,100,111,117,98,108,101,41,0,105,110,116,32,99,118,58,58,112,114,101,100,105,99,116,67,97,116,101,103,111,114,105,99,97,108,40,99,118,58,58,67,97,115,99,97,100,101,67,108,97,115,115,105,102,105,101,114,73,109,112,108,32,38,44,32,80,116,114,60,99,118,58,58,70,101,97,116,117,114,101,69,118,97,108,117,97,116,111,114,62,32,38,44,32,100,111,117,98,108,101,32,38,41,32,91,70,69,118,97,108,32,61,32,99,118,58,58,76,66,80,69,118,97,108,117,97,116,111,114,93,0,105,110,116,32,99,118,58,58,112,114,101,100,105,99,116,79,114,100,101,114,101,100,40,99,118,58,58,67,97,115,99,97,100,101,67,108,97,115,115,105,102,105,101,114,73,109,112,108,32,38,44,32,80,116,114,60,99,118,58,58,70,101,97,116,117,114,101,69,118,97,108,117,97,116,111,114,62,32,38,44,32,100,111,117,98,108,101,32,38,41,32,91,70,69,118,97,108,32,61,32,99,118,58,58,72,97,97,114,69,118,97,108,117,97,116,111,114,93,0,33,99,97,115,99,97,100,101,46,100,97,116,97,46,115,116,117,109,112,115,46,101,109,112,116,121,40,41,0,112,114,101,100,105,99,116,67,97,116,101,103,111,114,105,99,97,108,83,116,117,109,112,0,105,110,116,32,99,118,58,58,112,114,101,100,105,99,116,67,97,116,101,103,111,114,105,99,97,108,83,116,117,109,112,40,99,118,58,58,67,97,115,99,97,100,101,67,108,97,115,115,105,102,105,101,114,73,109,112,108,32,38,44,32,80,116,114,60,99,118,58,58,70,101,97,116,117,114,101,69,118,97,108,117,97,116,111,114,62,32,38,44,32,100,111,117,98,108,101,32,38,41,32,91,70,69,118,97,108,32,61,32,99,118,58,58,76,66,80,69,118,97,108,117,97,116,111,114,93,0,112,114,101,100,105,99,116,79,114,100,101,114,101,100,83,116,117,109,112,0,105,110,116,32,99,118,58,58,112,114,101,100,105,99,116,79,114,100,101,114,101,100,83,116,117,109,112,40,99,118,58,58,67,97,115,99,97,100,101,67,108,97,115,115,105,102,105,101,114,73,109,112,108,32,38,44,32,80,116,114,60,99,118,58,58,70,101,97,116,117,114,101,69,118,97,108,117,97,116,111,114,62,32,38,44,32,100,111,117,98,108,101,32,38,41,32,91,70,69,118,97,108,32,61,32,99,118,58,58,72,97,97,114,69,118,97,108,117,97,116,111,114,93,0,105,110,116,32,99,118,58,58,67,97,115,99,97,100,101,67,108,97,115,115,105,102,105,101,114,73,109,112,108,58,58,114,117,110,65,116,40,80,116,114,60,99,118,58,58,70,101,97,116,117,114,101,69,118,97,108,117,97,116,111,114,62,32,38,44,32,80,111,105,110,116,44,32,105,110,116,44,32,100,111,117,98,108,101,32,38,41,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,67,97,115,99,97,100,101,67,108,97,115,115,105,102,105,101,114,73,110,118,111,107,101,114,58,58,111,112,101,114,97,116,111,114,40,41,40,99,111,110,115,116,32,99,118,58,58,82,97,110,103,101,32,38,41,32,99,111,110,115,116,0,78,50,99,118,50,52,67,97,115,99,97,100,101,67,108,97,115,115,105,102,105,101,114,73,110,118,111,107,101,114,69,0,118,111,105,100,32,99,118,58,58,67,97,115,99,97,100,101,67,108,97,115,115,105,102,105,101,114,73,109,112,108,58,58,100,101,116,101,99,116,77,117,108,116,105,83,99,97,108,101,78,111,71,114,111,117,112,105,110,103,40,73,110,112,117,116,65,114,114,97,121,44,32,115,116,100,58,58,118,101,99,116,111,114,60,82,101,99,116,62,32,38,44,32,115,116,100,58,58,118,101,99,116,111,114,60,105,110,116,62,32,38,44,32,115,116,100,58,58,118,101,99,116,111,114,60,100,111,117,98,108,101,62,32,38,44,32,100,111,117,98,108,101,44,32,83,105,122,101,44,32,83,105,122,101,44,32,98,111,111,108,41,0,33,95,115,101,113,32,124,124,32,95,115,101,113,45,62,101,108,101,109,95,115,105,122,101,32,61,61,32,115,105,122,101,111,102,40,95,84,112,41,0,83,101,113,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,99,111,114,101,47,105,110,99,108,117,100,101,47,111,112,101,110,99,118,50,47,99,111,114,101,47,99,111,114,101,95,99,46,104,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,67,97,115,99,97,100,101,67,108,97,115,115,105,102,105,101,114,73,109,112,108,58,58,100,101,116,101,99,116,77,117,108,116,105,83,99,97,108,101,40,73,110,112,117,116,65,114,114,97,121,44,32,115,116,100,58,58,118,101,99,116,111,114,60,82,101,99,116,62,32,38,44,32,115,116,100,58,58,118,101,99,116,111,114,60,105,110,116,62,32,38,44,32,115,116,100,58,58,118,101,99,116,111,114,60,100,111,117,98,108,101,62,32,38,44,32,100,111,117,98,108,101,44,32,105,110,116,44,32,105,110,116,44,32,83,105,122,101,44,32,83,105,122,101,44,32,98,111,111,108,41,0,115,99,97,108,101,70,97,99,116,111,114,32,62,32,49,32,38,38,32,105,109,97,103,101,46,100,101,112,116,104,40,41,32,61,61,32,67,86,95,56,85,0,118,111,105,100,32,99,118,58,58,103,114,111,117,112,82,101,99,116,97,110,103,108,101,115,40,115,116,100,58,58,118,101,99,116,111,114,60,82,101,99,116,62,32,38,44,32,115,116,100,58,58,118,101,99,116,111,114,60,105,110,116,62,32,38,44,32,105,110,116,44,32,100,111,117,98,108,101,41,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,67,97,115,99,97,100,101,67,108,97,115,115,105,102,105,101,114,73,109,112,108,58,58,100,101,116,101,99,116,77,117,108,116,105,83,99,97,108,101,40,73,110,112,117,116,65,114,114,97,121,44,32,115,116,100,58,58,118,101,99,116,111,114,60,82,101,99,116,62,32,38,44,32,115,116,100,58,58,118,101,99,116,111,114,60,105,110,116,62,32,38,44,32,100,111,117,98,108,101,44,32,105,110,116,44,32,105,110,116,44,32,83,105,122,101,44,32,83,105,122,101,41,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,67,97,115,99,97,100,101,67,108,97,115,115,105,102,105,101,114,73,109,112,108,58,58,100,101,116,101,99,116,77,117,108,116,105,83,99,97,108,101,40,73,110,112,117,116,65,114,114,97,121,44,32,115,116,100,58,58,118,101,99,116,111,114,60,82,101,99,116,62,32,38,44,32,100,111,117,98,108,101,44,32,105,110,116,44,32,105,110,116,44,32,83,105,122,101,44,32,83,105,122,101,41,0,78,50,99,118,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,50,51,67,118,72,97,97,114,67,108,97,115,115,105,102,105,101,114,67,97,115,99,97,100,101,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,112,111,105,110,116,101,114,73,80,50,51,67,118,72,97,97,114,67,108,97,115,115,105,102,105,101,114,67,97,115,99,97,100,101,78,50,99,118,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,49,95,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,49,95,69,69,69,69,0,102,101,97,116,117,114,101,115,0,78,83,116,51,95,95,50,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,78,50,99,118,49,50,76,66,80,69,118,97,108,117,97,116,111,114,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,112,111,105,110,116,101,114,73,80,78,50,99,118,49,50,76,66,80,69,118,97,108,117,97,116,111,114,69,78,83,95,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,83,50,95,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,50,95,69,69,69,69,0,78,83,116,51,95,95,50,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,78,50,99,118,49,51,72,97,97,114,69,118,97,108,117,97,116,111,114,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,112,111,105,110,116,101,114,73,80,78,50,99,118,49,51,72,97,97,114,69,118,97,108,117,97,116,111,114,69,78,83,95,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,83,50,95,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,50,95,69,69,69,69,0,115,116,97,103,101,84,121,112,101,0,66,79,79,83,84,0,102,101,97,116,117,114,101,84,121,112,101,0,72,65,65,82,0,76,66,80,0,72,79,71,0,72,79,71,32,99,97,115,99,97,100,101,32,105,115,32,110,111,116,32,115,117,112,112,111,114,116,101,100,32,105,110,32,51,46,48,0,111,114,105,103,87,105,110,83,105,122,101,46,104,101,105,103,104,116,32,62,32,48,32,38,38,32,111,114,105,103,87,105,110,83,105,122,101,46,119,105,100,116,104,32,62,32,48,0,102,101,97,116,117,114,101,80,97,114,97,109,115,0,109,97,120,67,97,116,67,111,117,110,116,0,115,116,97,103,101,84,104,114,101,115,104,111,108,100,0,119,101,97,107,67,108,97,115,115,105,102,105,101,114,115,0,105,110,116,101,114,110,97,108,78,111,100,101,115,0,108,101,97,102,86,97,108,117,101,115,0,78,50,99,118,50,49,67,97,115,99,97,100,101,67,108,97,115,115,105,102,105,101,114,73,109,112,108,69,0,78,50,99,118,50,49,66,97,115,101,67,97,115,99,97,100,101,67,108,97,115,115,105,102,105,101,114,69,0,118,111,105,100,32,99,118,58,58,103,114,111,117,112,82,101,99,116,97,110,103,108,101,115,95,109,101,97,110,115,104,105,102,116,40,115,116,100,58,58,118,101,99,116,111,114,60,82,101,99,116,62,32,38,44,32,115,116,100,58,58,118,101,99,116,111,114,60,100,111,117,98,108,101,62,32,38,44,32,115,116,100,58,58,118,101,99,116,111,114,60,100,111,117,98,108,101,62,32,38,44,32,100,111,117,98,108,101,44,32,83,105,122,101,41,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,50,49,67,97,115,99,97,100,101,67,108,97,115,115,105,102,105,101,114,73,109,112,108,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,50,95,69,69,69,69,0,97,45,62,115,105,122,101,40,41,32,61,61,32,110,0,99,108,105,112,79,98,106,101,99,116,115,0,98,45,62,115,105,122,101,40,41,32,61,61,32,110,0,118,111,105,100,32,99,118,58,58,67,97,115,99,97,100,101,67,108,97,115,115,105,102,105,101,114,58,58,100,101,116,101,99,116,77,117,108,116,105,83,99,97,108,101,40,73,110,112,117,116,65,114,114,97,121,44,32,115,116,100,58,58,118,101,99,116,111,114,60,82,101,99,116,62,32,38,44,32,100,111,117,98,108,101,44,32,105,110,116,44,32,105,110,116,44,32,83,105,122,101,44,32,83,105,122,101,41,0,118,111,105,100,32,99,118,58,58,67,97,115,99,97,100,101,67,108,97,115,115,105,102,105,101,114,58,58,100,101,116,101,99,116,77,117,108,116,105,83,99,97,108,101,40,73,110,112],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+368644);allocate([117,116,65,114,114,97,121,44,32,115,116,100,58,58,118,101,99,116,111,114,60,82,101,99,116,62,32,38,44,32,115,116,100,58,58,118,101,99,116,111,114,60,105,110,116,62,32,38,44,32,100,111,117,98,108,101,44,32,105,110,116,44,32,105,110,116,44,32,83,105,122,101,44,32,83,105,122,101,41,0,118,111,105,100,32,99,118,58,58,67,97,115,99,97,100,101,67,108,97,115,115,105,102,105,101,114,58,58,100,101,116,101,99,116,77,117,108,116,105,83,99,97,108,101,40,73,110,112,117,116,65,114,114,97,121,44,32,115,116,100,58,58,118,101,99,116,111,114,60,82,101,99,116,62,32,38,44,32,115,116,100,58,58,118,101,99,116,111,114,60,105,110,116,62,32,38,44,32,115,116,100,58,58,118,101,99,116,111,114,60,100,111,117,98,108,101,62,32,38,44,32,100,111,117,98,108,101,44,32,105,110,116,44,32,105,110,116,44,32,83,105,122,101,44,32,83,105,122,101,44,32,98,111,111,108,41,0,78,50,99,118,56,72,79,71,67,97,99,104,101,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,72,79,71,67,111,110,102,73,110,118,111,107,101,114,58,58,111,112,101,114,97,116,111,114,40,41,40,99,111,110,115,116,32,99,118,58,58,82,97,110,103,101,32,38,41,32,99,111,110,115,116,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,111,98,106,100,101,116,101,99,116,47,115,114,99,47,104,111,103,46,99,112,112,0,78,50,99,118,49,52,72,79,71,67,111,110,102,73,110,118,111,107,101,114,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,72,79,71,68,101,115,99,114,105,112,116,111,114,58,58,100,101,116,101,99,116,77,117,108,116,105,83,99,97,108,101,82,79,73,40,99,111,110,115,116,32,99,118,58,58,77,97,116,32,38,44,32,115,116,100,58,58,118,101,99,116,111,114,60,99,118,58,58,82,101,99,116,62,32,38,44,32,115,116,100,58,58,118,101,99,116,111,114,60,68,101,116,101,99,116,105,111,110,82,79,73,62,32,38,44,32,100,111,117,98,108,101,44,32,105,110,116,41,32,99,111,110,115,116,0,112,116,46,120,32,37,32,99,97,99,104,101,83,116,114,105,100,101,46,119,105,100,116,104,32,61,61,32,48,32,38,38,32,112,116,46,121,32,37,32,99,97,99,104,101,83,116,114,105,100,101,46,104,101,105,103,104,116,32,61,61,32,48,0,103,101,116,66,108,111,99,107,0,98,108,111,99,107,83,105,122,101,46,119,105,100,116,104,32,37,32,99,101,108,108,83,105,122,101,46,119,105,100,116,104,32,61,61,32,48,32,38,38,32,98,108,111,99,107,83,105,122,101,46,104,101,105,103,104,116,32,37,32,99,101,108,108,83,105,122,101,46,104,101,105,103,104,116,32,61,61,32,48,0,103,101,116,68,101,115,99,114,105,112,116,111,114,83,105,122,101,0,40,119,105,110,83,105,122,101,46,119,105,100,116,104,32,45,32,98,108,111,99,107,83,105,122,101,46,119,105,100,116,104,41,32,37,32,98,108,111,99,107,83,116,114,105,100,101,46,119,105,100,116,104,32,61,61,32,48,32,38,38,32,40,119,105,110,83,105,122,101,46,104,101,105,103,104,116,32,45,32,98,108,111,99,107,83,105,122,101,46,104,101,105,103,104,116,41,32,37,32,98,108,111,99,107,83,116,114,105,100,101,46,104,101,105,103,104,116,32,61,61,32,48,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,72,79,71,68,101,115,99,114,105,112,116,111,114,58,58,100,101,116,101,99,116,82,79,73,40,99,111,110,115,116,32,99,118,58,58,77,97,116,32,38,44,32,99,111,110,115,116,32,115,116,100,58,58,118,101,99,116,111,114,60,99,118,58,58,80,111,105,110,116,62,32,38,44,32,115,116,100,58,58,118,101,99,116,111,114,60,99,118,58,58,80,111,105,110,116,62,32,38,44,32,115,116,100,58,58,118,101,99,116,111,114,60,100,111,117,98,108,101,62,32,38,44,32,100,111,117,98,108,101,44,32,99,118,58,58,83,105,122,101,44,32,99,118,58,58,83,105,122,101,41,32,99,111,110,115,116,0,105,109,103,46,116,121,112,101,40,41,32,61,61,32,67,86,95,56,85,32,124,124,32,105,109,103,46,116,121,112,101,40,41,32,61,61,32,67,86,95,56,85,67,51,0,99,111,109,112,117,116,101,71,114,97,100,105,101,110,116,0,40,117,110,115,105,103,110,101,100,41,104,105,100,120,32,60,32,40,117,110,115,105,103,110,101,100,41,110,98,105,110,115,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,72,79,71,68,101,115,99,114,105,112,116,111,114,58,58,99,111,109,112,117,116,101,71,114,97,100,105,101,110,116,40,99,111,110,115,116,32,99,118,58,58,77,97,116,32,38,44,32,99,118,58,58,77,97,116,32,38,44,32,99,118,58,58,77,97,116,32,38,44,32,83,105,122,101,44,32,83,105,122,101,41,32,99,111,110,115,116,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,72,79,71,68,101,115,99,114,105,112,116,111,114,58,58,100,101,116,101,99,116,77,117,108,116,105,83,99,97,108,101,40,73,110,112,117,116,65,114,114,97,121,44,32,115,116,100,58,58,118,101,99,116,111,114,60,82,101,99,116,62,32,38,44,32,100,111,117,98,108,101,44,32,83,105,122,101,44,32,83,105,122,101,44,32,100,111,117,98,108,101,44,32,100,111,117,98,108,101,44,32,98,111,111,108,41,32,99,111,110,115,116,0,114,101,99,116,76,105,115,116,46,115,105,122,101,40,41,32,61,61,32,119,101,105,103,104,116,115,46,115,105,122,101,40,41,0,103,114,111,117,112,82,101,99,116,97,110,103,108,101,115,0,118,111,105,100,32,99,118,58,58,72,79,71,68,101,115,99,114,105,112,116,111,114,58,58,103,114,111,117,112,82,101,99,116,97,110,103,108,101,115,40,115,116,100,58,58,118,101,99,116,111,114,60,99,118,58,58,82,101,99,116,62,32,38,44,32,115,116,100,58,58,118,101,99,116,111,114,60,100,111,117,98,108,101,62,32,38,44,32,105,110,116,44,32,100,111,117,98,108,101,41,32,99,111,110,115,116,0,78,50,99,118,49,48,72,79,71,73,110,118,111,107,101,114,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,72,79,71,68,101,115,99,114,105,112,116,111,114,58,58,100,101,116,101,99,116,77,117,108,116,105,83,99,97,108,101,40,73,110,112,117,116,65,114,114,97,121,44,32,115,116,100,58,58,118,101,99,116,111,114,60,82,101,99,116,62,32,38,44,32,115,116,100,58,58,118,101,99,116,111,114,60,100,111,117,98,108,101,62,32,38,44,32,100,111,117,98,108,101,44,32,83,105,122,101,44,32,83,105,122,101,44,32,100,111,117,98,108,101,44,32,100,111,117,98,108,101,44,32,98,111,111,108,41,32,99,111,110,115,116,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,72,79,71,68,101,115,99,114,105,112,116,111,114,58,58,100,101,116,101,99,116,40,99,111,110,115,116,32,99,118,58,58,77,97,116,32,38,44,32,115,116,100,58,58,118,101,99,116,111,114,60,80,111,105,110,116,62,32,38,44,32,100,111,117,98,108,101,44,32,83,105,122,101,44,32,83,105,122,101,44,32,99,111,110,115,116,32,115,116,100,58,58,118,101,99,116,111,114,60,80,111,105,110,116,62,32,38,41,32,99,111,110,115,116,0,112,116,48,46,120,32,37,32,99,97,99,104,101,83,116,114,105,100,101,46,119,105,100,116,104,32,61,61,32,48,32,38,38,32,112,116,48,46,121,32,37,32,99,97,99,104,101,83,116,114,105,100,101,46,104,101,105,103,104,116,32,61,61,32,48,0,100,101,116,101,99,116,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,72,79,71,68,101,115,99,114,105,112,116,111,114,58,58,100,101,116,101,99,116,40,99,111,110,115,116,32,99,118,58,58,77,97,116,32,38,44,32,115,116,100,58,58,118,101,99,116,111,114,60,80,111,105,110,116,62,32,38,44,32,115,116,100,58,58,118,101,99,116,111,114,60,100,111,117,98,108,101,62,32,38,44,32,100,111,117,98,108,101,44,32,83,105,122,101,44,32,83,105,122,101,44,32,99,111,110,115,116,32,115,116,100,58,58,118,101,99,116,111,114,60,80,111,105,110,116,62,32,38,41,32,99,111,110,115,116,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,72,79,71,68,101,115,99,114,105,112,116,111,114,58,58,99,111,109,112,117,116,101,40,73,110,112,117,116,65,114,114,97,121,44,32,115,116,100,58,58,118,101,99,116,111,114,60,102,108,111,97,116,62,32,38,44,32,83,105,122,101,44,32,83,105,122,101,44,32,99,111,110,115,116,32,115,116,100,58,58,118,101,99,116,111,114,60,80,111,105,110,116,62,32,38,41,32,99,111,110,115,116,0,123,111,112,101,110,99,118,45,111,98,106,101,99,116,45,100,101,116,101,99,116,111,114,45,104,111,103,0,119,105,110,83,105,122,101,0,98,108,111,99,107,83,105,122,101,0,98,108,111,99,107,83,116,114,105,100,101,0,110,98,105,110,115,0,100,101,114,105,118,65,112,101,114,116,117,114,101,0,104,105,115,116,111,103,114,97,109,78,111,114,109,84,121,112,101,0,76,50,72,121,115,84,104,114,101,115,104,111,108,100,0,103,97,109,109,97,67,111,114,114,101,99,116,105,111,110,0,110,108,101,118,101,108,115,0,115,105,103,110,101,100,71,114,97,100,105,101,110,116,0,83,86,77,68,101,116,101,99,116,111,114,0,99,101,108,108,83,105,122,101,0,119,105,110,83,105,103,109,97,0,99,104,101,99,107,68,101,116,101,99,116,111,114,83,105,122,101,40,41,0,115,101,116,83,86,77,68,101,116,101,99,116,111,114,0,78,50,99,118,49,51,72,79,71,68,101,115,99,114,105,112,116,111,114,69,0,111,112,101,110,99,118,45,111,98,106,101,99,116,45,100,101,116,101,99,116,111,114,45,104,111,103,0,111,112,101,110,99,118,45,104,97,97,114,45,99,108,97,115,115,105,102,105,101,114,0,78,117,109,98,101,114,32,111,102,32,115,116,97,103,101,115,32,115,104,111,117,108,100,32,98,101,32,112,111,115,105,116,105,118,101,0,105,99,118,67,114,101,97,116,101,72,97,97,114,67,108,97,115,115,105,102,105,101,114,67,97,115,99,97,100,101,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,111,98,106,100,101,116,101,99,116,47,115,114,99,47,104,97,97,114,46,99,112,112,0,115,116,97,103,101,115,0,115,116,97,103,101,32,37,100,0,116,114,101,101,115,0,116,114,101,101,32,37,100,0,110,111,100,101,32,37,100,0,114,111,111,116,32,110,111,100,101,0,102,101,97,116,117,114,101,0,114,101,99,116,115,0,116,105,108,116,101,100,0,116,104,114,101,115,104,111,108,100,0,108,101,102,116,95,110,111,100,101,0,108,101,102,116,95,118,97,108,0,114,105,103,104,116,95,110,111,100,101,0,114,105,103,104,116,95,118,97,108,0,115,116,97,103,101,95,116,104,114,101,115,104,111,108,100,0,112,97,114,101,110,116,0,110,101,120,116,0,73,110,118,97,108,105,100,32,115,116,97,103,101,115,32,110,111,100,101,0,105,99,118,82,101,97,100,72,97,97,114,67,108,97,115,115,105,102,105,101,114,0,115,105,122,101,32,110,111,100,101,32,105,115,32,110,111,116,32,97,32,118,97,108,105,100,32,115,101,113,117,101,110,99,101,46,0,73,110,118,97,108,105,100,32,115,105,122,101,32,110,111,100,101,58,32,119,105,100,116,104,32,109,117,115,116,32,98,101,32,112,111,115,105,116,105,118,101,32,105,110,116,101,103,101,114,0,73,110,118,97,108,105,100,32,115,105,122,101,32,110,111,100,101,58,32,104,101,105,103,104,116,32,109,117,115,116,32,98,101,32,112,111,115,105,116,105,118,101,32,105,110,116,101,103,101,114,0,73,110,118,97,108,105,100,32,115,116,97,103,101,32,37,100,0,84,114,101,101,115,32,110,111,100,101,32,105,115,32,110,111,116,32,97,32,118,97,108,105,100,32,115,101,113,117,101,110,99,101,46,32,40,115,116,97,103,101,32,37,100,41,0,84,114,101,101,32,110,111,100,101,32,105,115,32,110,111,116,32,97,32,118,97,108,105,100,32,115,101,113,117,101,110,99,101,46,32,40,115,116,97,103,101,32,37,100,44,32,116,114,101,101,32,37,100,41,0,84,114,101,101,32,110,111,100,101,32,37,100,32,105,115,32,110,111,116,32,97,32,118,97,108,105,100,32,109,97,112,46,32,40,115,116,97,103,101,32,37,100,44,32,116,114,101,101,32,37,100,41,0,70,101,97,116,117,114,101,32,110,111,100,101,32,105,115,32,110,111,116,32,97,32,118,97,108,105,100,32,109,97,112,46,32,40,115,116,97,103,101,32,37,100,44,32,116,114,101,101,32,37,100,44,32,110,111,100,101,32,37,100,41,0,82,101,99,116,115,32,110,111,100,101,32,105,115,32,110,111,116,32,97,32,118,97,108,105,100,32,115,101,113,117,101,110,99,101,46,32,40,115,116,97,103,101,32,37,100,44,32,116,114,101,101,32,37,100,44,32,110,111,100,101,32,37,100,41,0,82,101,99,116,32,37,100,32,105,115,32,110,111,116,32,97,32,118,97,108,105,100,32,115,101,113,117,101,110,99,101,46,32,40,115,116,97,103,101,32,37,100,44,32,116,114,101,101,32,37,100,44,32,110,111,100,101,32,37,100,41,0,120,32,99,111,111,114,100,105,110,97,116,101,32,109,117,115,116,32,98,101,32,110,111,110,45,110,101,103,97,116,105,118,101,32,105,110,116,101,103,101,114,46,32,40,115,116,97,103,101,32,37,100,44,32,116,114,101,101,32,37,100,44,32,110,111,100,101,32,37,100,44,32,114,101,99,116,32,37,100,41,0,121,32,99,111,111,114,100,105,110,97,116,101,32,109,117,115,116,32,98,101,32,110,111,110,45,110,101,103,97,116,105,118,101,32,105,110,116,101,103,101,114,46,32,40,115,116,97,103,101,32,37,100,44,32,116,114,101,101,32,37,100,44,32,110,111,100,101,32,37,100,44,32,114,101,99,116,32,37,100,41,0,119,105,100,116,104,32,109,117,115,116,32,98,101,32,112,111,115,105,116,105,118,101,32,105,110,116,101,103,101,114,32,97,110,100,32,40,120,32,43,32,119,105,100,116,104,41,32,109,117,115,116,32,110,111,116,32,101,120,99,101,101,100,32,119,105,110,100,111,119,32,119,105,100,116,104,46,32,40,115,116,97,103,101,32,37,100,44,32,116,114,101,101,32,37,100,44,32,110,111,100,101,32,37,100,44,32,114,101,99,116,32,37,100,41,0,104,101,105,103,104,116,32,109,117,115,116,32,98,101,32,112,111,115,105,116,105,118,101,32,105,110,116,101,103,101,114,32,97,110,100,32,40,121,32,43,32,104,101,105,103,104,116,41,32,109,117,115,116,32,110,111,116,32,101,120,99,101,101,100,32,119,105,110,100,111,119,32,104,101,105,103,104,116,46,32,40,115,116,97,103,101,32,37,100,44,32,116,114,101,101,32,37,100,44,32,110,111,100,101,32,37,100,44,32,114,101,99,116,32,37,100,41,0,119,101,105,103,104,116,32,109,117,115,116,32,98,101,32,114,101,97,108,32,110,117,109,98,101,114,46,32,40,115,116,97,103,101,32,37,100,44,32,116,114,101,101,32,37,100,44,32,110,111,100,101,32,37,100,44,32,114,101,99,116,32,37,100,41,0,116,105,108,116,101,100,32,109,117,115,116,32,98,101,32,48,32,111,114,32,49,46,32,40,115,116,97,103,101,32,37,100,44,32,116,114,101,101,32,37,100,44,32,110,111,100,101,32,37,100,41,0,116,104,114,101,115,104,111,108,100,32,109,117,115,116,32,98,101,32,114,101,97,108,32,110,117,109,98,101,114,46,32,40,115,116,97,103,101,32,37,100,44,32,116,114,101,101,32,37,100,44,32,110,111,100,101,32,37,100,41,0,108,101,102,116,32,110,111,100,101,32,109,117,115,116,32,98,101,32,118,97,108,105,100,32,110,111,100,101,32,110,117,109,98,101,114,46,32,40,115,116,97,103,101,32,37,100,44,32,116,114,101,101,32,37,100,44,32,110,111,100,101,32,37,100,41,0,108,101,102,116,32,110,111,100,101,32,111,114,32,108,101,102,116,32,118,97,108,117,101,32,109,117,115,116,32,98,101,32,115,112,101,99,105,102,105,101,100,46,32,40,115,116,97,103,101,32,37,100,44,32,116,114,101,101,32,37,100,44,32,110,111,100,101,32,37,100,41,0,108,101,102,116,32,118,97,108,117,101,32,109,117,115,116,32,98,101,32,114,101,97,108,32,110,117,109,98,101,114,46,32,40,115,116,97,103,101,32,37,100,44,32,116,114,101,101,32,37,100,44,32,110,111,100,101,32,37,100,41,0,84,114,101,101,32,115,116,114,117,99,116,117,114,101,32,105,115,32,98,114,111,107,101,110,58,32,116,111,111,32,109,97,110,121,32,118,97,108,117,101,115,46,32,40,115,116,97,103,101,32,37,100,44,32,116,114,101,101,32,37,100,44,32,110,111,100,101,32,37,100,41,0,114,105,103,104,116,32,110,111,100,101,32,109,117,115,116,32,98,101,32,118,97,108,105,100,32,110,111,100,101,32,110,117,109,98,101,114,46,32,40,115,116,97,103,101,32,37,100,44,32,116,114,101,101,32,37,100,44,32,110,111,100,101,32,37,100,41,0,114,105,103,104,116,32,110,111,100,101,32,111,114,32,114,105,103,104,116,32,118,97,108,117,101,32,109,117,115,116,32,98,101,32,115,112,101,99,105,102,105,101,100,46,32,40,115,116,97,103,101,32,37,100,44,32,116,114,101,101,32,37,100,44,32,110,111,100,101,32,37,100,41,0,114,105,103,104,116,32,118,97,108,117,101,32,109,117,115,116,32,98,101,32,114,101,97,108,32,110,117,109,98,101,114,46,32,40,115,116,97,103,101,32,37,100,44,32,116,114,101,101,32,37,100,44,32,110,111,100,101,32,37,100,41,0,84,114,101,101,32,115,116,114,117,99,116,117,114,101,32,105,115,32,98,114,111,107,101,110,58,32,116,111,111,32,102,101,119,32,118,97,108,117,101,115,46,32,40,115,116,97,103,101,32,37,100,44,32,116,114,101,101,32,37,100,41,0,115,116,97,103,101,32,116,104,114,101,115,104,111,108,100,32,109,117,115,116,32,98,101,32,114,101,97,108,32,110,117,109,98,101,114,46,32,40,115,116,97,103,101,32,37,100,41,0,112,97,114,101,110,116,32,109,117,115,116,32,98,101,32,105,110,116,101,103,101,114,32,110,117,109,98,101,114,46,32,40,115,116,97,103,101,32,37,100,41,0,110,101,120,116,32,109,117,115,116,32,98,101,32,105,110,116,101,103,101,114,32,110,117,109,98,101,114,46,32,40,115,116,97,103,101,32,37,100,41,0,73,110,118,97,108,105,100,32,99,108,97,115,115,105,102,105,101,114,32,112,111,105,110,116,101,114,0,99,118,83,101,116,73,109,97,103,101,115,70,111,114,72,97,97,114,67,108,97,115,115,105,102,105,101,114,67,97,115,99,97,100,101,0,83,99,97,108,101,32,109,117,115,116,32,98,101,32,112,111,115,105,116,105,118,101,0,67,79,73,32,105,115,32,110,111,116,32,115,117,112,112,111,114,116,101,100,0,65,108,108,32,105,110,116,101,103,114,97,108,32,105,109,97,103,101,115,32,109,117,115,116,32,104,97,118,101,32,116,104,101,32,115,97,109,101,32,115,105,122,101,0,79,110,108,121,32,40,51,50,115,44,32,54,52,102,44,32,51,50,115,41,32,99,111,109,98,105,110,97,116,105,111,110,32,111,102,32,40,115,117,109,44,115,113,115,117,109,44,116,105,108,116,101,100,95,115,117,109,41,32,102,111,114,109,97,116,115,32,105,115,32,97,108,108,111,119,101,100,0,83,117,109,32,97,110,100,32,116,105,108,116,101,100,95,115,117,109,32,109,117,115,116,32,104,97,118,101,32,116,104,101,32,115,97,109,101,32,115,116,114,105,100,101,32,40,115,116,101,112,44,32,119,105,100,116,104,83,116,101,112,41,0,97,114,101,97,48,32,62,32,48,0,105,99,118,67,114,101,97,116,101,72,105,100,72,97,97,114,67,108,97,115,115,105,102,105,101,114,67,97,115,99,97,100,101,0,104,105,100,95,99,97,115,99,97,100,101,32,104,97,115,32,98,101,101,110,32,97,108,114,101,97,100,121,32,99,114,101,97,116,101,100,0,78,101,103,97,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,99,97,115,99,97,100,101,32,115,116,97,103,101,115,0,104,101,97,100,101,114,32,111,102,32,116,104,101,32,115,116,97,103,101,32,99,108,97,115,115,105,102,105,101,114,32,35,37,100,32,105,115,32,105,110,118,97,108,105,100,32,40,104,97,115,32,110,117,108,108,32,112,111,105,110,116,101,114,115,32,111,114,32,110,111,110,45,112,111,115,105,116,105,118,101,32,99,108,97,115,115,102,105,101,114,32,99,111,117,110,116,41,0,114,101,99,116,97,110,103,108,101,32,35,37,100,32,111,102,32,116,104,101,32,99,108,97,115,115,105,102,105,101,114,32,35,37,100,32,111,102,32,116,104,101,32,115,116,97,103,101,32,99,108,97,115,115,105,102,105,101,114,32,35,37,100,32,105,115,32,110,111,116,32,105,110,115,105,100,101,32,116,104,101,32,114,101,102,101,114,101,110,99,101,32,40,111,114,105,103,105,110,97,108,41,32,99,97,115,99,97,100,101,32,119,105,110,100,111,119,0,73,110,118,97,108,105,100,32,99,97,115,99,97,100,101,32,112,111,105,110,116,101,114,0,99,118,82,117,110,72,97,97,114,67,108,97,115,115,105,102,105,101,114,67,97,115,99,97,100,101,83,117,109,0,72,105,100,100,101,110,32,99,97,115,99,97,100,101,32,104,97,115,32,110,111,116,32,98,101,101,110,32,99,114,101,97,116,101,100,46,10,85,115,101,32,99,118,83,101,116,73,109,97,103,101,115,70,111,114,72,97,97,114,67,108,97,115,115,105,102,105,101,114,67,97,115,99,97,100,101,0,105,110,116,32,99,118,82,117,110,72,97,97,114,67,108,97,115,115,105,102,105,101,114,67,97,115,99,97,100,101,40,99,111,110,115,116,32,67,118,72,97,97,114,67,108,97,115,115,105,102,105,101,114,67,97,115,99,97,100,101,32,42,44,32,67,118,80,111,105,110,116,44,32,105,110,116,41,0,73,110,118,97,108,105,100,32,99,108,97,115,115,105,102,105,101,114,32,99,97,115,99,97,100,101,0,99,118,72,97,97,114,68,101,116,101,99,116,79,98,106,101,99,116,115,70,111,114,82,79,67,0,78,117,108,108,32,115,116,111,114,97,103,101,32,112,111,105,110,116,101,114,0,79,110,108,121,32,56,45,98,105,116,32,105,109,97,103,101,115,32,97,114,101,32,115,117,112,112,111,114,116,101,100,0,115,99,97,108,101,32,102,97,99,116,111,114,32,109,117,115,116,32,98,101,32,62,32,49,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,72,97,97,114,68,101,116,101,99,116,79,98,106,101,99,116,115,95,83,99,97,108,101,67,97,115,99,97,100,101,95,73,110,118,111,107,101,114,58,58,111,112,101,114,97,116,111,114,40,41,40,99,111,110,115,116,32,99,118,58,58,82,97,110,103,101,32,38,41,32,99,111,110,115,116,0,78,50,99,118,51,56,72,97,97,114,68,101,116,101,99,116,79,98,106,101,99,116,115,95,83,99,97,108,101,67,97,115,99,97,100,101,95,73,110,118,111,107,101,114,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,72,97,97,114,68,101,116,101,99,116,79,98,106,101,99,116,115,95,83,99,97,108,101,73,109,97,103,101,95,73,110,118,111,107,101,114,58,58,111,112,101,114,97,116,111,114,40,41,40,99,111,110,115,116,32,99,118,58,58,82,97,110,103,101,32,38,41,32,99,111,110,115,116,0,78,50,99,118,51,54,72,97,97,114,68,101,116,101,99,116,79,98,106,101,99,116,115,95,83,99,97,108,101,73,109,97,103,101,95,73,110,118,111,107,101,114,69,0,78,50,99,118,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,53,67,118,77,97,116,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,112,111,105,110,116,101,114,73,80,53,67,118,77,97,116,78,50,99,118,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,49,95,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,49,95,69,69,69,69,0,67,118,83,101,113,32,42,99,118,72,97,97,114,68,101,116,101,99,116,79,98,106,101,99,116,115,70,111,114,82,79,67,40,99,111,110,115,116,32,67,118,65,114,114,32,42,44,32,67,118,72,97,97,114,67,108,97,115,115,105,102,105,101,114,67,97,115,99,97,100,101,32,42,44,32,67,118,77,101,109,83,116,111,114,97,103,101,32,42,44,32,115,116,100,58,58,118,101,99,116,111,114,60,105,110,116,62,32,38,44,32,115,116,100,58,58,118,101,99,116,111,114,60,100,111,117,98,108,101,62,32,38,44,32,100,111,117,98,108,101,44,32,105,110,116,44,32,105,110,116,44,32,67,118,83,105,122,101,44,32,67,118,83,105,122,101,44,32,98,111,111,108,41,0,33,115,114,99,46,101,109,112,116,121,40,41,0,102,105,110,100,84,114,97,110,115,102,111,114,109,69,67,67,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,118,105,100,101,111,47,115,114,99,47,101,99,99,46,99,112,112,0,33,100,115,116,46,101,109,112,116,121,40,41,0,66,111,116,104,32,105,110,112,117,116,32,105,109,97,103,101,115,32,109,117,115,116,32,104,97,118,101,32,116,104,101,32,115,97,109,101,32,100,97,116,97,32,116,121,112,101,0,73,109,97,103,101,115,32,109,117,115,116,32,104,97,118,101,32,56,117,67,49,32,111,114,32,51,50,102,67,49,32,116,121,112,101,0,119,97,114,112,77,97,116,114,105,120,32,109,117,115,116,32,98,101,32,115,105,110,103,108,101,45,99,104,97,110,110,101,108,32,102,108,111,97,116,105,110,103,45,112,111,105,110,116,32,109,97,116,114,105,120,0,109,97,112,46,99,111,108,115,32,61,61,32,51,0,109,97,112,46,114,111,119,115,32,61,61,32,50,32,124,124,32,109,97,112,46,114,111,119,115,32,61,61,51,0,109,111,116,105,111,110,84,121,112,101,32,61,61,32,77,79,84,73,79,78,95,65,70,70,73,78,69,32,124,124,32,109,111,116,105,111,110,84,121,112,101,32,61,61,32,77,79,84,73,79,78,95,72,79,77,79,71,82,65,80,72,89,32,124,124,32,109,111,116,105,111,110,84,121,112,101,32,61,61,32,77,79,84,73,79,78,95,69,85,67,76,73,68,69,65,78,32,124,124,32,109,111,116,105,111,110,84,121,112,101,32,61,61,32,77,79,84,73,79,78,95,84,82,65,78,83,76,65,84,73,79,78,0,109,97,112,46,114,111,119,115,32,61,61,51,0,99,114,105,116,101,114,105,97,46,116,121,112,101,32,38,32,84,101,114,109,67,114,105,116,101,114,105,97,58,58,67,79,85,78,84,32,124,124,32,99,114,105,116,101,114,105,97,46,116,121,112,101,32,38,32,84,101,114,109,67,114,105,116,101,114,105,97,58,58,69,80,83,0,115,114,99,49,46,115,105,122,101,40,41,32,61,61,32,115,114,99,50,46,115,105,122,101,40,41,0,105,109,97,103,101,95,106,97,99,111,98,105,97,110,95,97,102,102,105,110,101,95,69,67,67,0,115,114,99,49,46,115,105,122,101,40,41,32,61,61,32,115,114,99,51,46,115,105,122,101,40,41,0,115,114,99,49,46,115,105,122,101,40,41,32,61,61,32,115,114,99,52,46,115,105,122,101,40,41,0,115,114,99,49,46,114,111,119,115,32,61,61,32,100,115,116,46,114,111,119,115,0,100,115,116,46,99,111,108,115,32,61,61,32,40,54,42,115,114,99,49,46,99,111,108,115,41,0,100,115,116,46,116,121,112,101,40,41,32,61,61,32,67,86,95,51,50,70,67,49,0,105,109,97,103,101,95,106,97,99,111,98,105,97,110,95,104,111,109,111,95,69,67,67,0,100,115,116,46,99,111,108,115,32,61,61,32,40,115,114,99,49,46,99,111,108,115,42,56,41,0,115,114,99,53,46,105,115,67,111,110,116,105,110,117,111,117,115,40,41,0,115,114,99,49,46,115,105,122,101,40,41,61,61,115,114,99,50,46,115,105,122,101,40,41,0,105,109,97,103,101,95,106,97,99,111,98,105,97,110,95,116,114,97,110,115,108,97,116,105,111,110,95,69,67,67,0,100,115,116,46,99,111,108,115,32,61,61,32,40,115,114,99,49,46,99,111,108,115,42,50,41,0,105,109,97,103,101,95,106,97,99,111,98,105,97,110,95,101,117,99,108,105,100,101,97,110,95,69,67,67,0,115,114,99,49,46,115,105,122,101,40,41,61,61,115,114,99,51,46,115,105,122,101,40,41,0,115,114,99,49,46,115,105,122,101,40,41,61,61,115,114,99,52,46,115,105,122,101,40,41,0,100,115,116,46,99,111,108,115,32,61,61,32,40,115,114,99,49,46,99,111,108,115,42,51,41,0,78,97,78,32,101,110,99,111,117,110,116,101,114,101,100,46,0,84,104,101,32,97,108,103,111,114,105,116,104,109,32,115,116,111,112,112,101,100,32,98,101,102,111,114,101,32,105,116,115,32,99,111,110,118,101,114,103,101,110,99,101,46,32,84,104,101,32,99,111,114,114,101,108,97,116,105,111,110,32,105,115,32,103,111,105,110,103,32,116,111,32,98,101,32,109,105,110,105,109,105,122,101,100,46,32,73,109,97,103,101,115,32,109,97,121,32,98,101,32,117,110,99,111,114,114,101,108,97,116,101,100,32,111,114,32,110,111,110,45,111,118,101,114,108,97,112,112,101,100,0,109,97,112,95,109,97,116,114,105,120,46,116,121,112,101,40,41,32,61,61,32,67,86,95,51,50,70,67,49,0,117,112,100,97,116,101,95,119,97,114,112,105,110,103,95,109,97,116,114,105,120,95,69,67,67,0,117,112,100,97,116,101,46,116,121,112,101,40,41,32,61,61,32,67,86,95,51,50,70,67,49,0,109,111,116,105,111,110,84,121,112,101,32,61,61,32,77,79,84,73,79,78,95,84,82,65,78,83,76,65,84,73,79,78,32,124,124,32,109,111,116,105,111,110,84,121,112,101,32,61,61,32,77,79,84,73,79,78,95,69,85,67,76,73,68,69,65,78,32,124,124,32,109,111,116,105,111,110,84,121,112,101,32,61,61,32,77,79,84,73,79,78,95,65,70,70,73,78,69,32,124,124,32,109,111,116,105,111,110,84,121,112,101,32,61,61,32,77,79,84,73,79,78,95,72,79,77,79,71,82,65,80,72,89,0,109,97,112,95,109,97,116,114,105,120,46,114,111,119,115,32,61,61,32,51,32,38,38,32,117,112,100,97,116,101,46,114,111,119,115,32,61,61,32,56,0,109,97,112,95,109,97,116,114,105,120,46,114,111,119,115,32,61,61,32,50,32,38,38,32,117,112,100,97,116,101,46,114,111,119,115,32,61,61,32,54,0,109,97,112,95,109,97,116,114,105,120,46,114,111,119,115,32,61,61,32,50,32,38,38,32,117,112,100,97,116,101,46,114,111,119,115,32,61,61,32,51,0,109,97,112,95,109,97,116,114,105,120,46,114,111,119,115,32,61,61,32,50,32,38,38,32,117,112,100,97,116,101,46,114,111,119,115,32,61,61,32,50,0,117,112,100,97,116,101,46,99,111,108,115,32,61,61,32,49,0,109,97,112,95,109,97,116,114,105,120,46,105,115,67,111,110,116,105,110,117,111,117,115,40,41,0,117,112,100,97,116,101,46,105,115,67,111,110,116,105,110,117,111,117,115,40,41,0,115,114,99,49,46,114,111,119,115,32,61,61,32,115,114,99,50,46,114,111,119,115,0,112,114,111,106,101,99,116,95,111,110,116,111,95,106,97,99,111,98,105,97,110,95,69,67,67,0,40,115,114,99,49,46,99,111,108,115,32,37,32,115,114,99,50,46,99,111,108,115,41,32,61,61,32,48,0,100,115,116,46,99,111,108,115,32,61,61,32,100,115,116,46,114,111,119,115,0,99,110,32,61,61,32,49,0,109,101,97,110,83,104,105,102,116,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,118,105,100,101,111,47,115,114,99,47,99,97,109,115,104,105,102,116,46,99,112,112,0,73,110,112,117,116,32,119,105,110,100,111,119,32,104,97,115,32,110,111,110,45,112,111,115,105,116,105,118,101,32,115,105,122,101,115,0,105,110,116,32,99,118,58,58,109,101,97,110,83,104,105,102,116,40,73,110,112,117,116,65,114,114,97,121,44,32,82,101,99,116,32,38,44,32,99,118,58,58,84,101,114,109,67,114,105,116,101,114,105,97,41,0,99,118,58,58,82,111,116,97,116,101,100,82,101,99,116,32,99,118,58,58,67,97,109,83,104,105,102,116,40,73,110,112,117,116,65,114,114,97,121,44,32,82,101,99,116,32,38,44,32,99,118,58,58,84,101,114,109,67,114,105,116,101,114,105,97,41,0,102,114,97,109,101,84,121,112,101,32,61,61,32,67,86,95,56,85,67,49,32,124,124,32,102,114,97,109,101,84,121,112,101,32,61,61,32,67,86,95,56,85,67,51,32,124,124,32,102,114,97,109,101,84,121,112,101,32,61,61,32,67,86,95,51,50,70,67,49,32,124,124,32,102,114,97,109,101,84,121,112,101,32,61,61,32,67,86,95,51,50,70,67,51,0,103,101,116,66,97,99,107,103,114,111,117,110,100,73,109,97,103,101,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,118,105,100,101,111,47,115,114,99,47,98,103,102,103,95,103,97,117,115,115,109,105,120,50,46,99,112,112,0,118,111,105,100,32,99,118,58,58,66,97,99,107,103,114,111,117,110,100,83,117,98,116,114,97,99,116,111,114,77,79,71,50,73,109,112,108,58,58,103,101,116,66,97,99,107,103,114,111,117,110,100,73,109,97,103,101,95,105,110,116,101,114,110,40,79,117,116,112,117,116,65,114,114,97,121,41,32,99,111,110,115,116,32,91,84,32,61,32,102,108,111,97,116,44,32,67,78,32,61,32,51,93,0,118,111,105,100,32,99,118,58,58,66,97,99,107,103,114,111,117,110,100,83,117,98,116,114,97,99,116,111,114,77,79,71,50,73,109,112,108,58,58,103,101,116,66,97,99,107,103,114,111,117,110,100,73,109,97,103,101,95,105,110,116,101,114,110,40,79,117,116,112,117,116,65,114,114,97,121,41,32,99,111,110,115,116,32,91,84,32,61,32,102,108,111,97,116,44,32,67,78,32,61,32,49,93,0,118,111,105,100,32,99,118,58,58,66,97,99,107,103,114,111,117,110,100,83,117,98,116,114,97,99,116,111,114,77,79,71,50,73,109,112,108,58,58,103,101,116,66,97,99,107,103,114,111,117,110,100,73,109,97,103,101,95,105,110,116,101,114,110,40,79,117,116,112,117,116,65,114,114,97,121,41,32,99,111,110,115,116,32,91,84,32,61,32,117,110,115,105,103,110,101,100,32,99,104,97,114,44,32,67,78,32,61,32,51,93,0,118,111,105,100,32,99,118,58,58,66,97,99,107,103,114,111,117,110,100,83,117,98,116,114,97,99,116,111,114,77,79,71,50,73,109,112,108,58,58,103,101,116,66,97,99,107,103,114,111,117,110,100,73,109,97,103,101,95,105,110,116,101,114,110,40,79,117,116,112,117,116,65,114,114,97,121,41,32,99,111,110,115,116,32,91,84,32,61,32,117,110,115,105,103,110,101,100,32,99,104,97,114,44,32,67,78,32,61,32,49,93,0,108,101,97,114,110,105,110,103,82,97,116,101,32,62,61,32,48,0,78,50,99,118,49,49,77,79,71,50,73,110,118,111,107,101,114,69,0,110,99,104,97,110,110,101,108,115,32,60,61,32,67,86,95,67,78,95,77,65,88,0,105,110,105,116,105,97,108,105,122,101,0,110,109,105,120,116,117,114,101,115,32,60,61,32,50,53,53,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,66,97,99,107,103,114,111,117,110,100,83,117,98,116,114,97,99,116,111,114,77,79,71,50,73,109,112,108,58,58,97,112,112,108,121,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,100,111,117,98,108,101,41,0,40,83,116,114,105,110,103,41,102,110,91,34,110,97,109,101,34,93,32,61,61,32,110,97,109,101,95,0,114,101,97,100,0,104,105,115,116,111,114,121,0,110,109,105,120,116,117,114,101,115,0,98,97,99,107,103,114,111,117,110,100,82,97,116,105,111,0,118,97,114,84,104,114,101,115,104,111,108,100,0,118,97,114,84,104,114,101,115,104,111,108,100,71,101,110,0,118,97,114,73,110,105,116,0,118,97,114,77,105,110,0,118,97,114,77,97,120,0,99,111,109,112,108,101,120,105,116,121,82,101,100,117,99,116,105,111,110,84,104,114,101,115,104,111,108,100,0,100,101,116,101,99,116,83,104,97,100,111,119,115,0,115,104,97,100,111,119,86,97,108,117,101,0,115,104,97,100,111,119,84,104,114,101,115,104,111,108,100,0,78,111,32,101,108,101,109,101,110,116,32,110,97,109,101,32,104,97,115,32,98,101,101,110,32,103,105,118,101,110,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,99,111,114,101,47,105,110,99,108,117,100,101,47,111,112,101,110,99,118,50,47,99,111,114,101,47,112,101,114,115,105,115,116,101,110,99,101,46,104,112,112,0,78,50,99,118,50,56,66,97,99,107,103,114,111,117,110,100,83,117,98,116,114,97,99,116,111,114,77,79,71,50,73,109,112,108,69,0,66,97,99,107,103,114,111,117,110,100,83,117,98,116,114,97,99,116,111,114,46,77,79,71,50,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,50,56,66,97,99,107,103,114,111,117,110,100,83,117,98,116,114,97,99,116,111,114,77,79,71,50,73,109,112,108,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,50,95,69,69,69,69,0,115,116,97,116,117,115,32,33,61,32,78,85,76,76,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,118,105,100,101,111,47,115,114,99,47,108,107,112,121,114,97,109,105,100,46,99,112,112,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,100,101,116,97,105,108,58,58,76,75,84,114,97,99,107,101,114,73,110,118,111,107,101,114,58,58,111,112,101,114,97,116,111,114,40,41,40,99,111,110,115,116,32,99,118,58,58,82,97,110,103,101,32,38,41,32,99,111,110,115,116,0,78,50,99,118,54,100,101,116,97,105,108,49,54,76,75,84,114,97,99,107,101,114,73,110,118,111,107,101,114,69,0,105,109,103,46,100,101,112,116,104,40,41,32,61,61,32,67,86,95,56,85,32,38,38,32,119,105,110,83,105,122,101,46,119,105,100,116,104,32,62,32,50,32,38,38,32,119,105,110,83,105,122,101,46,104,101,105,103,104,116,32,62,32,50,0,98,117,105,108,100,79,112,116,105,99,97,108,70,108,111,119,80,121,114,97,109,105,100,0,100,101,112,116,104,32,61,61,32,67,86,95,56,85,0,99,97,108,99,83,104,97,114,114,68,101,114,105,118,0,105,110,116,32,99,118,58,58,98,117,105,108,100,79,112,116,105,99,97,108,70,108,111,119,80,121,114,97,109,105,100,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,83,105,122,101,44,32,105,110,116,44,32,98,111,111,108,44,32,105,110,116,44,32,105,110,116,44,32,98,111,111,108,41,0,109,97,120,76,101,118,101,108,32,62,61,32,48,32,38,38,32,119,105,110,83,105,122,101,46,119,105,100,116,104,32,62,32,50,32,38,38,32,119,105,110,83,105,122,101,46,104,101,105,103,104,116,32,62,32,50,0,40,110,112,111,105,110,116,115,32,61,32,112,114,101,118,80,116,115,77,97,116,46,99,104,101,99,107,86,101,99,116,111,114,40,50,44,32,67,86,95,51,50,70,44,32,116,114,117,101,41,41,32,62,61,32,48,0,110,101,120,116,80,116,115,77,97,116,46,99,104,101,99,107,86,101,99,116,111,114,40,50,44,32,67,86,95,51,50,70,44,32,116,114,117,101,41,32,61,61,32,110,112,111,105,110,116,115,0,115,116,97,116,117,115,77,97,116,46,105,115,67,111,110,116,105,110,117,111,117,115,40,41,0,101,114,114,77,97,116,46,105,115,67,111,110,116,105,110,117,111,117,115,40,41,0,108,101,118,101,108,115,49,32,62,61,32,48,0,111,102,115,46,120,32,62,61,32,119,105,110,83,105,122,101,46,119,105,100,116,104,32,38,38,32,111,102,115,46,121,32,62,61,32,119,105,110,83,105,122,101,46,104,101,105,103,104,116,32,38,38,32,111,102,115,46,120,32,43,32,112,114,101,118,80,121,114,91,108,118,108,83,116,101,112,49,93,46,99,111,108,115,32,43,32,119,105,110,83,105,122,101,46,119,105,100,116,104,32,60,61,32,102,117,108,108,83,105,122,101,46,119,105,100,116,104,32,38,38,32,111,102,115,46,121,32,43,32,112,114,101,118,80,121,114,91,108,118,108,83,116,101,112,49,93,46,114,111,119,115,32,43,32,119,105,110,83,105,122,101,46,104,101,105,103,104,116,32,60,61,32,102,117,108,108,83,105,122,101,46,104,101,105,103,104,116,0,108,101,118,101,108,115,50,32,62,61,32,48,0,111,102,115,46,120,32,62,61,32,119,105,110,83,105,122,101,46,119,105,100,116,104,32,38,38,32,111,102,115,46,121,32,62,61,32,119,105,110,83,105,122,101,46,104,101,105,103,104,116,32,38,38,32,111,102,115,46,120,32,43,32,110,101,120,116,80,121,114,91,108,118,108,83,116,101,112,50,93,46,99,111,108,115,32,43,32,119,105,110,83,105,122,101,46,119,105,100,116,104,32,60,61,32,102,117,108,108,83,105,122,101,46,119,105,100,116,104,32,38,38,32,111,102,115,46,121,32,43,32,110,101,120,116,80,121,114,91,108,118,108,83,116,101,112,50,93,46,114,111,119,115,32,43,32,119,105,110,83,105,122,101,46,104,101,105,103,104,116,32,60,61,32,102,117,108,108,83,105,122,101,46,104,101,105,103,104,116,0,112,114,101,118,80,121,114,91,108,101,118,101,108,32,42,32,108,118,108,83,116,101,112,49,93,46,115,105,122,101,40,41,32],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+378884);allocate([61,61,32,110,101,120,116,80,121,114,91,108,101,118,101,108,32,42,32,108,118,108,83,116,101,112,50,93,46,115,105,122,101,40,41,0,112,114,101,118,80,121,114,91,108,101,118,101,108,32,42,32,108,118,108,83,116,101,112,49,93,46,116,121,112,101,40,41,32,61,61,32,110,101,120,116,80,121,114,91,108,101,118,101,108,32,42,32,108,118,108,83,116,101,112,50,93,46,116,121,112,101,40,41,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,40,97,110,111,110,121,109,111,117,115,32,110,97,109,101,115,112,97,99,101,41,58,58,83,112,97,114,115,101,80,121,114,76,75,79,112,116,105,99,97,108,70,108,111,119,73,109,112,108,58,58,99,97,108,99,40,73,110,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,79,117,116,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,41,0,78,50,99,118,49,50,95,71,76,79,66,65,76,95,95,78,95,49,50,54,83,112,97,114,115,101,80,121,114,76,75,79,112,116,105,99,97,108,70,108,111,119,73,109,112,108,69,0,78,50,99,118,50,50,83,112,97,114,115,101,80,121,114,76,75,79,112,116,105,99,97,108,70,108,111,119,69,0,78,50,99,118,49,55,83,112,97,114,115,101,79,112,116,105,99,97,108,70,108,111,119,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,49,50,95,71,76,79,66,65,76,95,95,78,95,49,50,54,83,112,97,114,115,101,80,121,114,76,75,79,112,116,105,99,97,108,70,108,111,119,73,109,112,108,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,51,95,69,69,69,69,0,112,114,101,118,48,46,115,105,122,101,40,41,32,61,61,32,110,101,120,116,48,46,115,105,122,101,40,41,32,38,38,32,112,114,101,118,48,46,99,104,97,110,110,101,108,115,40,41,32,61,61,32,110,101,120,116,48,46,99,104,97,110,110,101,108,115,40,41,32,38,38,32,112,114,101,118,48,46,99,104,97,110,110,101,108,115,40,41,32,61,61,32,49,32,38,38,32,112,121,114,83,99,97,108,101,95,32,60,32,49,0,99,97,108,99,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,118,105,100,101,111,47,115,114,99,47,111,112,116,102,108,111,119,103,102,46,99,112,112,0,115,114,99,46,116,121,112,101,40,41,32,61,61,32,67,86,95,51,50,70,67,49,0,70,97,114,110,101,98,97,99,107,80,111,108,121,69,120,112,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,40,97,110,111,110,121,109,111,117,115,32,110,97,109,101,115,112,97,99,101,41,58,58,70,97,114,110,101,98,97,99,107,79,112,116,105,99,97,108,70,108,111,119,73,109,112,108,58,58,99,97,108,99,40,73,110,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,79,117,116,112,117,116,65,114,114,97,121,41,0,78,50,99,118,49,50,95,71,76,79,66,65,76,95,95,78,95,49,50,52,70,97,114,110,101,98,97,99,107,79,112,116,105,99,97,108,70,108,111,119,73,109,112,108,69,0,78,50,99,118,50,48,70,97,114,110,101,98,97,99,107,79,112,116,105,99,97,108,70,108,111,119,69,0,78,50,99,118,49,54,68,101,110,115,101,79,112,116,105,99,97,108,70,108,111,119,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,49,50,95,71,76,79,66,65,76,95,95,78,95,49,50,52,70,97,114,110,101,98,97,99,107,79,112,116,105,99,97,108,70,108,111,119,73,109,112,108,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,51,95,69,69,69,69,0,118,111,105,100,32,99,118,58,58,99,97,108,99,79,112,116,105,99,97,108,70,108,111,119,70,97,114,110,101,98,97,99,107,40,73,110,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,79,117,116,112,117,116,65,114,114,97,121,44,32,100,111,117,98,108,101,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,44,32,100,111,117,98,108,101,44,32,105,110,116,41,0,112,98,66,108,111,98,46,100,97,116,97,95,115,105,122,101,40,41,32,61,61,32,40,105,110,116,41,100,115,116,66,108,111,98,46,116,111,116,97,108,40,41,0,98,108,111,98,70,114,111,109,80,114,111,116,111,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,115,114,99,47,99,97,102,102,101,47,99,97,102,102,101,95,105,109,112,111,114,116,101,114,46,99,112,112,0,112,98,66,108,111,98,46,114,97,119,95,100,97,116,97,95,116,121,112,101,40,41,32,61,61,32,99,97,102,102,101,58,58,70,76,79,65,84,49,54,0,114,97,119,95,100,97,116,97,46,115,105,122,101,40,41,32,47,32,50,32,61,61,32,40,105,110,116,41,100,115,116,66,108,111,98,46,116,111,116,97,108,40,41,0,110,117,109,66,108,111,98,115,32,61,61,32,98,105,110,76,97,121,101,114,45,62,98,108,111,98,115,40,41,46,67,108,101,97,114,101,100,67,111,117,110,116,40,41,0,101,120,116,114,97,99,116,66,105,110,97,114,121,76,97,121,101,114,80,97,114,97,109,115,0,73,110,112,117,116,0,108,97,121,101,114,46,98,111,116,116,111,109,95,115,105,122,101,40,41,32,61,61,32,49,0,108,97,121,101,114,46,116,111,112,95,115,105,122,101,40,41,32,61,61,32,49,0,47,109,118,110,0,40,105,100,120,32,61,61,32,45,49,32,38,38,32,115,105,122,101,40,41,32,61,61,32,49,41,32,124,124,32,40,105,100,120,32,62,61,32,48,32,38,38,32,105,100,120,32,60,32,115,105,122,101,40,41,41,0,105,115,82,101,97,108,40,41,32,124,124,32,105,115,73,110,116,40,41,32,124,124,32,105,115,83,116,114,105,110,103,40,41,0,102,114,97,99,112,97,114,116,32,61,61,32,48,46,48,0,105,115,73,110,116,40,41,32,124,124,32,105,115,82,101,97,108,40,41,32,124,124,32,105,115,83,116,114,105,110,103,40,41,0,95,112,97,114,97,109,0,102,105,101,108,100,46,116,121,112,101,40,41,32,61,61,32,103,111,111,103,108,101,58,58,112,114,111,116,111,98,117,102,58,58,85,110,107,110,111,119,110,70,105,101,108,100,58,58,84,89,80,69,95,71,82,79,85,80,0,101,120,116,114,97,99,116,67,117,115,116,111,109,80,97,114,97,109,115,0,34,32,105,110,32,112,114,111,116,111,116,120,116,0,97,100,100,80,97,114,97,109,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,56,105,110,116,101,114,110,97,108,49,54,70,117,110,99,116,105,111,110,67,108,111,115,117,114,101,49,73,80,75,78,83,48,95,49,53,70,105,101,108,100,68,101,115,99,114,105,112,116,111,114,69,69,69,0,118,111,105,100,32,99,118,58,58,100,110,110,58,58,100,110,110,52,95,118,50,48,49,56,48,57,49,55,58,58,40,97,110,111,110,121,109,111,117,115,32,110,97,109,101,115,112,97,99,101,41,58,58,67,97,102,102,101,73,109,112,111,114,116,101,114,58,58,112,111,112,117,108,97,116,101,78,101,116,40,99,118,58,58,100,110,110,58,58,100,110,110,52,95,118,50,48,49,56,48,57,49,55,58,58,78,101,116,41,0,99,118,58,58,100,110,110,58,58,100,110,110,52,95,118,50,48,49,56,48,57,49,55,58,58,40,97,110,111,110,121,109,111,117,115,32,110,97,109,101,115,112,97,99,101,41,58,58,67,97,102,102,101,73,109,112,111,114,116,101,114,58,58,67,97,102,102,101,73,109,112,111,114,116,101,114,40,99,111,110,115,116,32,99,104,97,114,32,42,44,32,99,111,110,115,116,32,99,104,97,114,32,42,41,0,99,118,58,58,100,110,110,58,58,100,110,110,52,95,118,50,48,49,56,48,57,49,55,58,58,40,97,110,111,110,121,109,111,117,115,32,110,97,109,101,115,112,97,99,101,41,58,58,67,97,102,102,101,73,109,112,111,114,116,101,114,58,58,67,97,102,102,101,73,109,112,111,114,116,101,114,40,99,111,110,115,116,32,99,104,97,114,32,42,44,32,115,105,122,101,95,116,44,32,99,111,110,115,116,32,99,104,97,114,32,42,44,32,115,105,122,101,95,116,41,0,118,48,95,108,97,121,101,114,95,99,111,110,110,101,99,116,105,111,110,95,32,33,61,32,78,85,76,76,0,85,112,103,114,97,100,101,86,48,76,97,121,101,114,80,97,114,97,109,101,116,101,114,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,115,114,99,47,99,97,102,102,101,47,99,97,102,102,101,95,105,111,46,99,112,112,0,99,111,110,118,0,105,110,110,101,114,112,114,111,100,117,99,116,0,85,110,107,110,111,119,110,32,112,97,114,97,109,101,116,101,114,32,110,117,109,95,111,117,116,112,117,116,32,102,111,114,32,108,97,121,101,114,32,116,121,112,101,32,0,85,110,107,110,111,119,110,32,112,97,114,97,109,101,116,101,114,32,98,105,97,115,116,101,114,109,32,102,111,114,32,108,97,121,101,114,32,116,121,112,101,32,0,85,110,107,110,111,119,110,32,112,97,114,97,109,101,116,101,114,32,119,101,105,103,104,116,95,102,105,108,108,101,114,32,102,111,114,32,108,97,121,101,114,32,116,121,112,101,32,0,85,110,107,110,111,119,110,32,112,97,114,97,109,101,116,101,114,32,98,105,97,115,95,102,105,108,108,101,114,32,102,111,114,32,108,97,121,101,114,32,116,121,112,101,32,0,112,111,111,108,0,85,110,107,110,111,119,110,32,112,97,114,97,109,101,116,101,114,32,112,97,100,32,102,111,114,32,108,97,121,101,114,32,116,121,112,101,32,0,85,110,107,110,111,119,110,32,112,97,114,97,109,101,116,101,114,32,107,101,114,110,101,108,115,105,122,101,32,102,111,114,32,108,97,121,101,114,32,116,121,112,101,32,0,85,110,107,110,111,119,110,32,112,97,114,97,109,101,116,101,114,32,103,114,111,117,112,32,102,111,114,32,108,97,121,101,114,32,116,121,112,101,32,0,85,110,107,110,111,119,110,32,112,97,114,97,109,101,116,101,114,32,115,116,114,105,100,101,32,102,111,114,32,108,97,121,101,114,32,116,121,112,101,32,0,85,110,107,110,111,119,110,32,112,111,111,108,32,109,101,116,104,111,100,32,0,85,110,107,110,111,119,110,32,112,97,114,97,109,101,116,101,114,32,112,111,111,108,32,102,111,114,32,108,97,121,101,114,32,116,121,112,101,32,0,100,114,111,112,111,117,116,0,85,110,107,110,111,119,110,32,112,97,114,97,109,101,116,101,114,32,100,114,111,112,111,117,116,95,114,97,116,105,111,32,102,111,114,32,108,97,121,101,114,32,116,121,112,101,32,0,108,114,110,0,85,110,107,110,111,119,110,32,112,97,114,97,109,101,116,101,114,32,108,111,99,97,108,95,115,105,122,101,32,102,111,114,32,108,97,121,101,114,32,116,121,112,101,32,0,85,110,107,110,111,119,110,32,112,97,114,97,109,101,116,101,114,32,97,108,112,104,97,32,102,111,114,32,108,97,121,101,114,32,116,121,112,101,32,0,85,110,107,110,111,119,110,32,112,97,114,97,109,101,116,101,114,32,98,101,116,97,32,102,111,114,32,108,97,121,101,114,32,116,121,112,101,32,0,85,110,107,110,111,119,110,32,112,97,114,97,109,101,116,101,114,32,107,32,102,111,114,32,108,97,121,101,114,32,116,121,112,101,32,0,100,97,116,97,0,104,100,102,53,95,100,97,116,97,0,105,109,97,103,101,115,0,119,105,110,100,111,119,95,100,97,116,97,0,105,110,102,111,103,97,105,110,95,108,111,115,115,0,85,110,107,110,111,119,110,32,112,97,114,97,109,101,116,101,114,32,115,111,117,114,99,101,32,102,111,114,32,108,97,121,101,114,32,116,121,112,101,32,0,85,110,107,110,111,119,110,32,112,97,114,97,109,101,116,101,114,32,98,97,116,99,104,115,105,122,101,32,102,111,114,32,108,97,121,101,114,32,116,121,112,101,32,0,85,110,107,110,111,119,110,32,112,97,114,97,109,101,116,101,114,32,114,97,110,100,95,115,107,105,112,32,102,111,114,32,108,97,121,101,114,32,116,121,112,101,32,0,85,110,107,110,111,119,110,32,112,97,114,97,109,101,116,101,114,32,115,104,117,102,102,108,101,32,102,111,114,32,108,97,121,101,114,32,116,121,112,101,32,0,85,110,107,110,111,119,110,32,112,97,114,97,109,101,116,101,114,32,110,101,119,95,104,101,105,103,104,116,32,102,111,114,32,108,97,121,101,114,32,116,121,112,101,32,0,85,110,107,110,111,119,110,32,112,97,114,97,109,101,116,101,114,32,110,101,119,95,119,105,100,116,104,32,102,111,114,32,108,97,121,101,114,32,116,121,112,101,32,0,99,111,110,99,97,116,0,85,110,107,110,111,119,110,32,112,97,114,97,109,101,116,101,114,32,99,111,110,99,97,116,95,100,105,109,32,102,111,114,32,108,97,121,101,114,32,116,121,112,101,32,0,85,110,107,110,111,119,110,32,112,97,114,97,109,101,116,101,114,32,100,101,116,95,102,103,95,116,104,114,101,115,104,111,108,100,32,102,111,114,32,108,97,121,101,114,32,116,121,112,101,32,0,85,110,107,110,111,119,110,32,112,97,114,97,109,101,116,101,114,32,100,101,116,95,98,103,95,116,104,114,101,115,104,111,108,100,32,102,111,114,32,108,97,121,101,114,32,116,121,112,101,32,0,85,110,107,110,111,119,110,32,112,97,114,97,109,101,116,101,114,32,100,101,116,95,102,103,95,102,114,97,99,116,105,111,110,32,102,111,114,32,108,97,121,101,114,32,116,121,112,101,32,0,85,110,107,110,111,119,110,32,112,97,114,97,109,101,116,101,114,32,100,101,116,95,99,111,110,116,101,120,116,95,112,97,100,32,102,111,114,32,108,97,121,101,114,32,116,121,112,101,32,0,85,110,107,110,111,119,110,32,112,97,114,97,109,101,116,101,114,32,100,101,116,95,99,114,111,112,95,109,111,100,101,32,102,111,114,32,108,97,121,101,114,32,116,121,112,101,32,0,104,100,102,53,95,111,117,116,112,117,116,0,85,110,107,110,111,119,110,32,112,97,114,97,109,101,116,101,114,32,104,100,102,53,95,111,117,116,112,117,116,95,112,97,114,97,109,32,102,111,114,32,108,97,121,101,114,32,116,121,112,101,32,0,70,65,73,76,69,68,58,32,0,46,32,0,97,99,99,117,114,97,99,121,0,98,110,108,108,0,101,117,99,108,105,100,101,97,110,95,108,111,115,115,0,102,108,97,116,116,101,110,0,105,109,50,99,111,108,0,109,117,108,116,105,110,111,109,105,97,108,95,108,111,103,105,115,116,105,99,95,108,111,115,115,0,114,101,108,117,0,115,105,103,109,111,105,100,0,115,111,102,116,109,97,120,95,108,111,115,115,0,115,112,108,105,116,0,85,112,103,114,97,100,101,86,48,76,97,121,101,114,84,121,112,101,0,85,110,107,110,111,119,110,32,108,97,121,101,114,32,110,97,109,101,58,32,0,85,112,103,114,97,100,101,86,48,80,97,100,100,105,110,103,76,97,121,101,114,115,0,85,110,107,110,111,119,110,32,98,108,111,98,32,105,110,112,117,116,32,0,32,116,111,32,108,97,121,101,114,32,0,40,108,97,121,101,114,95,112,97,114,97,109,46,116,121,112,101,40,41,32,61,61,32,34,99,111,110,118,34,41,32,124,124,32,40,108,97,121,101,114,95,112,97,114,97,109,46,116,121,112,101,40,41,32,61,61,32,34,112,111,111,108,34,41,0,108,97,121,101,114,95,99,111,110,110,101,99,116,105,111,110,46,98,111,116,116,111,109,95,115,105,122,101,40,41,61,49,0,80,97,100,100,105,110,103,32,108,97,121,101,114,32,105,110,112,117,116,32,116,111,32,110,111,110,45,99,111,110,118,111,108,117,116,105,111,110,97,108,32,47,32,110,111,110,45,112,111,111,108,105,110,103,32,108,97,121,101,114,32,116,121,112,101,32,0,115,111,117,114,99,101,95,108,97,121,101,114,46,98,111,116,116,111,109,95,115,105,122,101,40,41,61,49,0,67,111,110,118,32,76,97,121,101,114,32,116,97,107,101,115,32,97,32,115,105,110,103,108,101,32,98,108,111,98,32,97,115,32,105,110,112,117,116,46,0,115,111,117,114,99,101,95,108,97,121,101,114,46,116,111,112,95,115,105,122,101,40,41,61,49,0,80,97,100,100,105,110,103,32,76,97,121,101,114,32,116,97,107,101,115,32,97,32,115,105,110,103,108,101,32,98,108,111,98,32,97,115,32,105,110,112,117,116,46,0,80,97,100,100,105,110,103,32,76,97,121,101,114,32,112,114,111,100,117,99,101,115,32,97,32,115,105,110,103,108,101,32,98,108,111,98,32,97,115,32,111,117,116,112,117,116,46,0,85,112,103,114,97,100,101,78,101,116,65,115,78,101,101,100,101,100,0,65,116,116,101,109,112,116,105,110,103,32,116,111,32,117,112,103,114,97,100,101,32,105,110,112,117,116,32,102,105,108,101,32,115,112,101,99,105,102,105,101,100,32,117,115,105,110,103,32,100,101,112,114,101,99,97,116,101,100,32,0,86,48,76,97,121,101,114,80,97,114,97,109,101,116,101,114,58,32,0,87,97,114,110,105,110,103,58,32,104,97,100,32,111,110,101,32,111,114,32,109,111,114,101,32,112,114,111,98,108,101,109,115,32,117,112,103,114,97,100,105,110,103,32,0,86,48,78,101,116,80,97,114,97,109,101,116,101,114,32,116,111,32,78,101,116,80,97,114,97,109,101,116,101,114,32,40,115,101,101,32,97,98,111,118,101,41,59,32,99,111,110,116,105,110,117,105,110,103,32,97,110,121,119,97,121,46,0,83,117,99,99,101,115,115,102,117,108,108,121,32,117,112,103,114,97,100,101,100,32,102,105,108,101,32,115,112,101,99,105,102,105,101,100,32,117,115,105,110,103,32,100,101,112,114,101,99,97,116,101,100,32,0,86,48,76,97,121,101,114,80,97,114,97,109,101,116,101,114,0,78,111,116,101,32,116,104,97,116,32,102,117,116,117,114,101,32,67,97,102,102,101,32,114,101,108,101,97,115,101,115,32,119,105,108,108,32,110,111,116,32,115,117,112,112,111,114,116,32,0,86,48,78,101,116,80,97,114,97,109,101,116,101,114,59,32,117,115,101,32,46,47,98,117,105,108,100,47,116,111,111,108,115,47,117,112,103,114,97,100,101,95,110,101,116,95,112,114,111,116,111,95,116,101,120,116,32,102,111,114,32,0,112,114,111,116,111,116,120,116,32,97,110,100,32,46,47,98,117,105,108,100,47,116,111,111,108,115,47,117,112,103,114,97,100,101,95,110,101,116,95,112,114,111,116,111,95,98,105,110,97,114,121,32,102,111,114,32,109,111,100,101,108,32,0,119,101,105,103,104,116,115,32,117,112,103,114,97,100,101,32,116,104,105,115,32,97,110,100,32,97,110,121,32,111,116,104,101,114,32,110,101,116,32,112,114,111,116,111,115,32,116,111,32,116,104,101,32,110,101,119,32,102,111,114,109,97,116,46,0,116,114,97,110,115,102,111,114,109,97,116,105,111,110,32,112,97,114,97,109,101,116,101,114,115,58,32,0,100,97,116,97,32,116,114,97,110,115,102,111,114,109,97,116,105,111,110,32,112,97,114,97,109,101,116,101,114,115,46,0,78,111,116,101,32,116,104,97,116,32,102,117,116,117,114,101,32,67,97,102,102,101,32,114,101,108,101,97,115,101,115,32,119,105,108,108,32,111,110,108,121,32,115,117,112,112,111,114,116,32,0,116,114,97,110,115,102,111,114,109,95,112,97,114,97,109,32,109,101,115,115,97,103,101,115,32,102,111,114,32,116,114,97,110,115,102,111,114,109,97,116,105,111,110,32,102,105,101,108,100,115,46,0,86,49,76,97,121,101,114,80,97,114,97,109,101,116,101,114,58,32,0,86,49,76,97,121,101,114,80,97,114,97,109,101,116,101,114,32,40,115,101,101,32,97,98,111,118,101,41,59,32,99,111,110,116,105,110,117,105,110,103,32,97,110,121,119,97,121,46,0,86,49,76,97,121,101,114,80,97,114,97,109,101,116,101,114,0,65,116,116,101,109,112,116,105,110,103,32,116,111,32,117,112,103,114,97,100,101,32,98,97,116,99,104,32,110,111,114,109,32,108,97,121,101,114,115,32,117,115,105,110,103,32,100,101,112,114,101,99,97,116,101,100,32,0,112,97,114,97,109,115,58,32,0,83,117,99,99,101,115,115,102,117,108,108,121,32,117,112,103,114,97,100,101,100,32,98,97,116,99,104,32,110,111,114,109,32,108,97,121,101,114,115,32,117,115,105,110,103,32,100,101,112,114,101,99,97,116,101,100,32,0,112,97,114,97,109,115,46,0,110,101,116,95,112,97,114,97,109,32,33,61,32,78,85,76,76,0,85,112,103,114,97,100,101,86,49,78,101,116,0,73,110,112,117,116,32,78,101,116,80,97,114,97,109,101,116,101,114,32,116,111,32,98,101,32,117,112,103,114,97,100,101,100,32,97,108,114,101,97,100,121,32,115,112,101,99,105,102,105,101,115,32,39,108,97,121,101,114,39,32,0,102,105,101,108,100,115,59,32,116,104,101,115,101,32,119,105,108,108,32,98,101,32,105,103,110,111,114,101,100,32,102,111,114,32,116,104,101,32,117,112,103,114,97,100,101,46,0,85,112,103,114,97,100,101,32,111,102,32,105,110,112,117,116,32,108,97,121,101,114,32,0,32,102,97,105,108,101,100,46,0,118,49,95,108,97,121,101,114,95,112,97,114,97,109,95,32,33,61,32,78,85,76,76,0,85,112,103,114,97,100,101,86,49,76,97,121,101,114,80,97,114,97,109,101,116,101,114,0,85,110,107,110,111,119,110,32,98,108,111,98,95,115,104,97,114,101,95,109,111,100,101,58,32,0,73,110,112,117,116,32,78,101,116,80,97,114,97,109,101,116,101,114,32,104,97,115,32,86,48,32,108,97,121,101,114,32,45,45,32,105,103,110,111,114,105,110,103,46,0,85,112,103,114,97,100,101,86,49,76,97,121,101,114,84,121,112,101,0,85,110,107,110,111,119,110,32,86,49,76,97,121,101,114,80,97,114,97,109,101,116,101,114,32,108,97,121,101,114,32,116,121,112,101,58,32,0,84,104,114,101,115,104,111,108,100,0,87,105,110,100,111,119,68,97,116,97,0,83,111,102,116,109,97,120,87,105,116,104,76,111,115,115,0,83,105,103,109,111,105,100,67,114,111,115,115,69,110,116,114,111,112,121,76,111,115,115,0,77,117,108,116,105,110,111,109,105,97,108,76,111,103,105,115,116,105,99,76,111,115,115,0,77,101,109,111,114,121,68,97,116,97,0,73,110,102,111,103,97,105,110,76,111,115,115,0,73,109,97,103,101,68,97,116,97,0,73,109,50,99,111,108,0,72,105,110,103,101,76,111,115,115,0,72,68,70,53,79,117,116,112,117,116,0,72,68,70,53,68,97,116,97,0,69,117,99,108,105,100,101,97,110,76,111,115,115,0,68,117,109,109,121,68,97,116,97,0,68,97,116,97,0,67,111,110,116,114,97,115,116,105,118,101,76,111,115,115,0,66,78,76,76,0,65,114,103,77,97,120,0,65,99,99,117,114,97,99,121,0,82,101,97,100,80,114,111,116,111,70,114,111,109,84,101,120,116,70,105,108,101,0,102,115,46,105,115,95,111,112,101,110,40,41,0,67,97,110,39,116,32,111,112,101,110,32,34,0,78,83,116,51,95,95,50,49,51,98,97,115,105,99,95,102,105,108,101,98,117,102,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,0,78,83,116,51,95,95,50,49,52,98,97,115,105,99,95,105,102,115,116,114,101,97,109,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,0,82,101,97,100,80,114,111,116,111,70,114,111,109,66,105,110,97,114,121,70,105,108,101,0,82,101,97,100,78,101,116,80,97,114,97,109,115,70,114,111,109,84,101,120,116,70,105,108,101,79,114,68,105,101,0,82,101,97,100,78,101,116,80,97,114,97,109,115,70,114,111,109,84,101,120,116,66,117,102,102,101,114,79,114,68,105,101,0,109,101,109,111,114,121,32,98,117,102,102,101,114,0,70,97,105,108,101,100,32,116,111,32,112,97,114,115,101,32,78,101,116,80,97,114,97,109,101,116,101,114,32,98,117,102,102,101,114,0,82,101,97,100,78,101,116,80,97,114,97,109,115,70,114,111,109,66,105,110,97,114,121,70,105,108,101,79,114,68,105,101,0,82,101,97,100,78,101,116,80,97,114,97,109,115,70,114,111,109,66,105,110,97,114,121,66,117,102,102,101,114,79,114,68,105,101,0,105,116,32,33,61,32,100,97,116,97,95,108,97,121,111,117,116,115,46,101,110,100,40,41,0,112,114,101,100,105,99,116,79,117,116,112,117,116,68,97,116,97,76,97,121,111,117,116,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,115,114,99,47,116,101,110,115,111,114,102,108,111,119,47,116,102,95,105,109,112,111,114,116,101,114,46,99,112,112,0,67,111,110,118,50,68,0,83,112,97,99,101,84,111,66,97,116,99,104,78,68,0,68,101,112,116,104,119,105,115,101,67,111,110,118,50,100,78,97,116,105,118,101,0,80,97,100,0,108,97,121,101,114,46,105,110,112,117,116,95,115,105,122,101,40,41,32,61,61,32,51,0,116,101,110,115,111,114,46,100,116,121,112,101,40,41,32,61,61,32,116,101,110,115,111,114,102,108,111,119,58,58,68,84,95,73,78,84,51,50,0,112,97,114,115,101,68,105,109,115,0,100,105,109,115,32,61,61,32,49,0,118,97,108,117,101,115,46,116,121,112,101,40,41,32,61,61,32,67,86,95,51,50,83,67,49,0,100,105,108,97,116,105,111,110,46,115,105,122,101,40,41,32,61,61,32,50,0,115,105,122,101,32,61,61,32,40,105,110,116,41,100,115,116,66,108,111,98,46,116,111,116,97,108,40,41,0,112,97,114,115,101,84,101,110,115,111,114,0,100,115,116,95,105,32,60,32,116,111,116,97,108,0,115,114,99,95,105,32,60,32,116,111,116,97,108,0,110,101,120,116,95,108,97,121,101,114,115,46,115,105,122,101,40,41,32,61,61,32,49,0,112,97,100,100,105,110,103,115,46,116,121,112,101,40,41,32,61,61,32,67,86,95,51,50,83,67,49,0,66,105,97,115,65,100,100,0,110,117,109,87,101,105,103,104,116,115,32,37,32,52,32,61,61,32,48,0,33,108,111,99,80,114,101,100,84,114,97,110,115,112,111,115,101,100,0,66,97,116,99,104,84,111,83,112,97,99,101,78,68,0,33,104,97,118,101,67,111,110,115,116,32,124,124,32,108,97,121,101,114,46,105,110,112,117,116,95,115,105,122,101,40,41,32,61,61,32,50,0,118,97,108,117,101,115,46,116,121,112,101,40,41,32,61,61,32,67,86,95,51,50,70,67,49,0,73,110,112,117,116,32,108,97,121,101,114,32,110,111,116,32,102,111,117,110,100,58,32,0,104,97,118,101,67,111,110,115,116,0,77,97,116,77,117,108,0,108,97,121,101,114,46,105,110,112,117,116,95,115,105,122,101,40,41,32,61,61,32,50,0,47,110,99,104,119,0,108,97,121,101,114,95,105,100,46,102,105,110,100,40,112,101,114,109,78,97,109,101,41,32,61,61,32,108,97,121,101,114,95,105,100,46,101,110,100,40,41,0,83,113,117,101,101,122,101,0,115,113,117,101,101,122,101,95,100,105,109,115,0,104,97,115,76,97,121,101,114,65,116,116,114,40,108,97,121,101,114,44,32,34,115,113,117,101,101,122,101,95,100,105,109,115,34,41,0,85,110,115,117,112,112,111,114,116,101,100,32,115,113,117,101,101,122,101,32,99,111,110,102,105,103,117,114,97,116,105,111,110,0,84,114,97,110,115,112,111,115,101,0,112,101,114,109,46,116,121,112,101,40,41,32,61,61,32,67,86,95,51,50,83,67,49,0,79,110,108,121,32,78,72,87,67,32,60,45,62,32,78,67,72,87,32,112,101,114,109,117,116,97,116,105,111,110,115,32,97,114,101,32,97,108,108,111,119,101,100,46,0,100,101,112,116,104,95,114,97,100,105,117,115,0,67,111,110,99,97,116,86,50,0,45,52,32,60,61,32,105,100,120,32,38,38,32,105,100,120,32,60,32,52,0,116,111,78,67,72,87,0,77,97,120,80,111,111,108,0,65,118,103,80,111,111,108,0,80,108,97,99,101,104,111,108,100,101,114,0,100,116,121,112,101,0,33,98,101,103,105,110,115,46,101,109,112,116,121,40,41,0,33,115,105,122,101,115,46,101,109,112,116,121,40,41,0,115,99,97,108,101,77,97,116,46,116,121,112,101,40,41,32,61,61,32,67,86,95,51,50,70,67,49,0,110,101,116,46,110,111,100,101,40,109,97,120,105,109,117,109,76,97,121,101,114,73,100,120,41,46,105,110,112,117,116,95,115,105,122,101,40,41,32,61,61,32,50,0,69,120,112,101,99,116,101,100,32,103,97,109,109,97,44,32,98,101,116,97,44,32,109,101,97,110,32,97,110,100,32,115,116,100,0,105,115,95,116,114,97,105,110,105,110,103,0,67,97,110,110,111,116,32,100,101,116,101,114,109,105,110,101,32,110,117,109,98,101,114,32,111,102,32,112,97,114,97,109,101,116,101,114,115,32,102,111,114,32,98,97,116,99,104,32,110,111,114,109,97,108,105,122,97,116,105,111,110,32,108,97,121,101,114,46,0,47,77,86,78,0,108,97,121,101,114,95,105,100,46,102,105,110,100,40,109,118,110,78,97,109,101,41,32,61,61,32,108,97,121,101,114,95,105,100,46,101,110,100,40,41,0,69,120,112,101,99,116,101,100,32,111,117,116,112,117,116,32,115,104,97,112,101,44,32,119,101,105,103,104,116,115,32,97,110,100,32,105,110,112,117,116,32,110,111,100,101,115,0,66,108,111,99,107,76,83,84,77,0,85,110,101,120,112,101,99,116,101,100,32,110,117,109,98,101,114,32,111,102,32,105,110,112,117,116,32,110,111,100,101,115,0,108,97,121,101,114,46,105,110,112,117,116,95,115,105,122,101,40,41,32,61,61,32,50,32,124,124,32,108,97,121,101,114,46,105,110,112,117,116,95,115,105,122,101,40,41,32,61,61,32,51,0,114,101,100,117,99,116,105,111,110,73,110,100,105,99,101,115,46,116,121,112,101,40,41,32,61,61,32,67,86,95,51,50,83,67,49,0,114,101,100,117,99,116,105,111,110,73,110,100,105,99,101,115,46,97,116,60,105,110,116,62,40,105,41,32,61,61,32,114,101,100,117,99,116,105,111,110,73,110,100,105,99,101,115,46,97,116,60,105,110,116,62,40,105,32,45,32,49,41,32,43,32,49,0,114,101,100,117,99,116,105,111,110,73,110,100,105,99,101,115,46,97,116,60,105,110,116,62,40,105,41,32,42,32,114,101,100,117,99,116,105,111,110,73,110,100,105,99,101,115,46,97,116,60,105,110,116,62,40,105,32,45,32,49,41,32,62,61,32,48,0,80,114,105,111,114,66,111,120,0,115,99,97,108,101,115,0,77,101,97,110,0,105,110,100,105,99,101,115,46,116,121,112,101,40,41,32,61,61,32,67,86,95,51,50,83,67,49,0,85,110,115,117,112,112,111,114,116,101,100,32,109,111,100,101,32,111,102,32,114,101,100,117,99,101,95,109,101,97,110,32,111,112,101,114,97,116,105,111,110,46,0,107,101,101,112,95,100,105,109,115,0,47,102,108,97,116,116,101,110,0,108,97,121,101,114,95,105,100,46,102,105,110,100,40,102,108,97,116,116,101,110,78,97,109,101,41,32,61,61,32,108,97,121,101,114,95,105,100,46,101,110,100,40,41,0,67,108,105,112,66,121,86,97,108,117,101,0,65,98,115,0,82,101,108,117,0,69,108,117,0,118,111,105,100,32,99,118,58,58,100,110,110,58,58,100,110,110,52,95,118,50,48,49,56,48,57,49,55,58,58,40,97,110,111,110,121,109,111,117,115,32,110,97,109,101,115,112,97,99,101,41,58,58,84,70,73,109,112,111,114,116,101,114,58,58,112,111,112,117,108,97,116,101,78,101,116,40,99,118,58,58,100,110,110,58,58,100,110,110,52,95,118,50,48,49,56,48,57,49,55,58,58,78,101,116,41,0,109,97,120,86,97,108,117,101,46,116,121,112,101,40,41,0,109,97,120,86,97,108,117,101,46,116,111,116,97,108,40,41,0,109,105,110,86,97,108,117,101,46,116,121,112,101,40,41,0,109,105,110,86,97,108,117,101,46,116,111,116,97,108,40,41,0,99,114,111,112,83,105,122,101,46,116,111,116,97,108,40,41,0,99,114,111,112,83,105,122,101,46,116,121,112,101,40,41,0,102,97,99,116,111,114,87,105,100,116,104,46,116,111,116,97,108,40,41,0,102,97,99,116,111,114,87,105,100,116,104,46,116,121,112,101,40,41,0,102,97,99,116,111,114,72,101,105,103,104,116,46,116,111,116,97,108,40,41,0,102,97,99,116,111,114,72,101,105,103,104,116,46,116,121,112,101,40,41,0,111,117,116,83,105,122,101,46,116,111,116,97,108,40,41,0,111,117,116,83,105,122,101,46,116,121,112,101,40,41,0,105,115,83,116,114,105,110,103,40,41,0,103,101,116,0,40,105,100,120,32,61,61,32,45,49,32,38,38,32,112,115,45,62,115,105,122,101,40,41,32,61,61,32,49,41,32,124,124,32,40,105,100,120,32,62,61,32,48,32,38,38,32,105,100,120,32,60,32,40,105,110,116,41,112,115,45,62,115,105,122,101,40,41,41,0,82,101,113,117,105,114,101,100,32,97,114,103,117,109,101,110,116,32,34,0,34,32,110,111,116,32,102,111,117,110,100,32,105,110,116,111,32,100,105,99,116,105,111,110,97,114,121,0,115,105,122,101,115,46,116,121,112,101,40,41,0,98,101,103,105,110,115,46,116,121,112,101,40,41,0,107,115,105,122,101,0,85,110,115,117,112,112,111,114,116,101,100,32,107,115,105,122,101,0,115,101,116,75,83,105,122,101,0,85,110,115,117,112,112,111,114,116,101,100,32,115,116,114,105,100,101,115,0,115,101,116,83,116,114,105,100,101,115,0,116,101,110,115,111,114,46,100,116,121,112,101,40,41,32,61,61,32,116,101,110,115,111,114,102,108,111,119,58,58,68,84,95,70,76,79,65,84,32,124,124,32,116,101,110,115,111,114,46,100,116,121,112,101,40,41,32,61,61,32,116,101,110,115,111,114,102,108,111,119,58,58,68,84,95,72,65,76,70,0,107,101,114,110,101,108,70,114,111,109,84,101,110,115,111,114,0,100,105,109,115,32,61,61,32,52,0,98,108,111,98,70,114,111,109,84,101,110,115,111,114,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,51,114,100,112,97,114,116,121,47,112,114,111,116,111,98,117,102,47,115,114,99,47,103,111,111,103,108,101,47,112,114,111,116,111,98,117,102,47,109,97,112,46,104,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,105,116,32,33,61,32,101,110,100,40,41,58,32,0,107,101,121,32,110,111,116,32,102,111,117,110,100,58,32,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,51,77,97,112,73,78,83,116,51,95,95,50,49,50,98,97,115,105,99,95,115,116,114,105,110,103,73,99,78,83,50,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,78,83,50,95,57,97,108,108,111,99,97,116,111,114,73,99,69,69,69,69,78,49,55,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,57,65,116,116,114,86,97,108,117,101,69,69,56,73,110,110,101,114,77,97,112,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,52,104,97,115,104,73,78,83,116,51,95,95,50,49,50,98,97,115,105,99,95,115,116,114,105,110,103,73,99,78,83,50,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,78,83,50,95,57,97,108,108,111,99,97,116,111,114,73,99,69,69,69,69,69,69,0,85,110,107,110,111,119,110,32,115,104,97,112,101,32,111,102,32,105,110,112,117,116,32,116,101,110,115,111,114,0,98,108,111,98,83,104,97,112,101,70,114,111,109,84,101,110,115,111,114,0,77,111,114,101,32,116,104,97,110,32,111,110,101,32,105,110,112,117,116,32,105,115,32,67,111,110,115,116,32,111,112,0,103,101,116,67,111,110,115,116,66,108,111,98,0,67,111,110,115,116,32,105,110,112,117,116,32,98,108,111,98,32,102,111,114,32,119,101,105,103,104,116,115,32,110,111,116,32,102,111,117,110,100,0,73,110,112,117,116,32,91,0,93,32,102,111,114,32,110,111,100,101,32,91,0,93,32,110,111,116,32,102,111,117,110,100,0,85,110,115,117,112,112,111,114,116,101,100,32,107,101,114,110,101,108,32,105,110,112,117,116,0,109,97,112,58,58,97,116,58,32,32,107,101,121,32,110,111,116,32,102,111,117,110,100,0,110,111,100,101,73,100,120,32,60,32,110,101,116,84,120,116,46,110,111,100,101,95,115,105,122,101,40,41,0,110,101,116,84,120,116,46,110,111,100,101,40,110,111,100,101,73,100,120,41,46,110,97,109,101,40,41,32,61,61,32,107,101,114,110,101,108,95,105,110,112,46,110,97,109,101,0,100,97,116,97,95,102,111,114,109,97,116,0,78,72,87,67,0,99,104,97,110,110,101,108,115,95,108,97,115,116,0,78,67,72,87,0,99,104,97,110,110,101,108,115,95,102,105,114,115,116,0,85,110,107,110,111,119,110,32,100,97,116,97,95,102,111,114,109,97,116,32,118,97,108,117,101,58,32,0,103,101,116,68,97,116,97,76,97,121,111,117,116,0,68,101,113,117,97,110,116,105,122,101,0,97,100,100,67,111,110,115,116,78,111,100,101,115,0,99,111,110,115,116,95,108,97,121,101,114,115,46,102,105,110,100,40,108,97,121,101,114,46,105,110,112,117,116,40,105,41,41,32,33,61,32,99,111,110,115,116,95,108,97,121,101,114,115,46,101,110,100,40,41,0,77,73,78,95,70,73,82,83,84,0,104,97,115,76,97,121,101,114,65,116,116,114,40,108,97,121,101,114,44,32,34,109,111,100,101,34,41,32,38,38,32,103,101,116,76,97,121,101,114,65,116,116,114,40,108,97,121,101,114,44,32,34,109,111,100,101,34,41,46,115,40,41,32,61,61,32,34,77,73,78,95,70,73,82,83,84,34,0,116,101,110,115,111,114,45,62,100,116,121,112,101,40,41,32,61,61,32,116,101,110,115,111,114,102,108,111,119,58,58,68,84,95,81,85,73,78,84,56,0,113,77,105,110,46,116,111,116,97,108,40,41,32,61,61,32,49,0,113,77,105,110,46,116,121,112,101,40,41,32,61,61,32,40,40,40,53,41,32,38,32,40,40,49,32,60,60,32,51,41,32,45,32,49,41,41,32,43,32,40,40,40,49,41,45,49,41,32,60,60,32,51,41,41,0,113,77,97,120,46,116,111,116,97,108,40,41,32,61,61,32,49,0,113,77,97,120,46,116,121,112,101,40,41,32,61,61,32,40,40,40,53,41,32,38,32,40,40,49,32,60,60,32,51,41,32,45,32,49,41,41,32,43,32,40,40,40,49,41,45,49,41,32,60,60,32,51,41,41,0,114,97,110,103,101,83,99,97,108,101,32,62,61,32,48,0,99,111,110,115,116,95,108,97,121,101,114,115,46,105,110,115,101,114,116,40,115,116,100,58,58,109,97,107,101,95,112,97,105,114,40,110,97,109,101,44,32,116,101,110,115,111,114,73,100,41,41,46,115,101,99,111,110,100,0,99,111,110,115,116,95,108,97,121,101,114,115,46,105,110,115,101,114,116,40,115,116,100,58,58,109,97,107,101,95,112,97,105,114,40,110,97,109,101,44,32,108,105,41,41,46,115,101,99,111,110,100,0,110,111,100,101,46,105,110,112,117,116,95,115,105,122,101,40,41,32,61,61,32,105,110,112,73,110,100,105,99,101,115,46,115,105,122,101,40,41,0,114,101,112,108,97,99,101,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,115,114,99,47,116,101,110,115,111,114,102,108,111,119,47,116,102,95,103,114,97,112,104,95,115,105,109,112,108,105,102,105,101,114,46,99,112,112,0,33,105,110,112,78,97,109,101,46,101,109,112,116,121,40,41,0,105,110,112,73,100,32,60,32,110,111,100,101,46,105,110,112,117,116,95,115,105,122,101,40,41,0,103,101,116,73,110,112,117,116,78,111,100,101,0,73,110,112,117,116,32,110,111,100,101,32,119,105,116,104,32,110,97,109,101,32,0,78,83,116,51,95,95,50,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,78,50,99,118,51,100,110,110,49,52,100,110,110,52,95,118,50,48,49,56,48,57,49,55,50,50,82,101,115,104,97,112,101,65,115,83,104,97,112,101,83,117,98,103,114,97,112,104,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,112,111,105,110,116,101,114,73,80,78,50,99,118,51,100,110,110,49,52,100,110,110,52,95,118,50,48,49,56,48,57,49,55,50,50,82,101,115,104,97,112,101,65,115,83,104,97,112,101,83,117,98,103,114,97,112,104,69,78,83,95,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,83,52,95,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,52,95,69,69,69,69,0,83,104,97,112,101,0,110,111,100,101,73,110,112,117,116,115,91,105,93,32,60,32,40,105,110,116,41,110,111,100,101,115,46,115,105,122,101,40,41,0,115,101,116,70,117,115,101,100,78,111,100,101,0,67,111,110,115,116,0,105,110,112,117,116,115,95,91,105,93,32,60,32,40,105,110,116,41,110,111,100,101,115,46,115,105,122,101,40,41,0,97,100,100,78,111,100,101,84,111,77,97,116,99,104,0,78,50,99,118,51,100,110,110,49,52,100,110,110,52,95,118,50,48,49,56,48,57,49,55,50,50,82,101,115,104,97,112,101,65,115,83,104,97,112,101,83,117,98,103,114,97,112,104,69,0,78,50,99,118,51,100,110,110,49,52,100,110,110,52,95,118,50,48,49,56,48,57,49,55,56,83,117,98,103,114,97,112,104,69,0,78,83,116,51,95,95,50,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,78,50,99,118,51,100,110,110,49,52,100,110,110,52,95,118,50,48,49,56,48,57,49,55,50,51,85,112,115,97,109,112,108,105,110,103,75,101,114,97,115,83,117,98,103,114,97,112,104,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,112,111,105,110,116,101,114,73,80,78,50,99,118,51,100,110],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+389124);allocate([110,49,52,100,110,110,52,95,118,50,48,49,56,48,57,49,55,50,51,85,112,115,97,109,112,108,105,110,103,75,101,114,97,115,83,117,98,103,114,97,112,104,69,78,83,95,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,83,52,95,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,52,95,69,69,69,69,0,83,116,114,105,100,101,100,83,108,105,99,101,0,77,117,108,0,82,101,115,105,122,101,78,101,97,114,101,115,116,78,101,105,103,104,98,111,114,0,47,102,97,99,116,111,114,95,121,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,100,110,110,58,58,100,110,110,52,95,118,50,48,49,56,48,57,49,55,58,58,85,112,115,97,109,112,108,105,110,103,75,101,114,97,115,83,117,98,103,114,97,112,104,58,58,102,105,110,97,108,105,122,101,40,116,101,110,115,111,114,102,108,111,119,58,58,71,114,97,112,104,68,101,102,32,38,44,32,116,101,110,115,111,114,102,108,111,119,58,58,78,111,100,101,68,101,102,32,42,44,32,115,116,100,58,58,118,101,99,116,111,114,60,116,101,110,115,111,114,102,108,111,119,58,58,78,111,100,101,68,101,102,32,42,62,32,38,41,0,102,97,99,116,111,114,115,77,97,116,46,116,121,112,101,40,41,0,67,86,95,51,50,83,67,49,0,102,97,99,116,111,114,115,77,97,116,46,116,111,116,97,108,40,41,0,40,115,105,122,101,95,116,41,50,0,33,102,105,101,108,100,46,101,109,112,116,121,40,41,0,103,101,116,84,101,110,115,111,114,67,111,110,116,101,110,116,0,33,99,111,110,116,101,110,116,46,101,109,112,116,121,40,41,0,84,101,110,115,111,114,39,115,32,100,97,116,97,32,116,121,112,101,32,105,115,32,110,111,116,32,115,117,112,112,111,114,116,101,100,0,78,50,99,118,51,100,110,110,49,52,100,110,110,52,95,118,50,48,49,56,48,57,49,55,50,51,85,112,115,97,109,112,108,105,110,103,75,101,114,97,115,83,117,98,103,114,97,112,104,69,0,78,83,116,51,95,95,50,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,78,50,99,118,51,100,110,110,49,52,100,110,110,52,95,118,50,48,49,56,48,57,49,55,50,50,82,101,115,105,122,101,66,105,108,105,110,101,97,114,83,117,98,103,114,97,112,104,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,112,111,105,110,116,101,114,73,80,78,50,99,118,51,100,110,110,49,52,100,110,110,52,95,118,50,48,49,56,48,57,49,55,50,50,82,101,115,105,122,101,66,105,108,105,110,101,97,114,83,117,98,103,114,97,112,104,69,78,83,95,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,83,52,95,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,52,95,69,69,69,69,0,82,101,115,105,122,101,66,105,108,105,110,101,97,114,0,78,50,99,118,51,100,110,110,49,52,100,110,110,52,95,118,50,48,49,56,48,57,49,55,50,50,82,101,115,105,122,101,66,105,108,105,110,101,97,114,83,117,98,103,114,97,112,104,69,0,78,83,116,51,95,95,50,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,78,50,99,118,51,100,110,110,49,52,100,110,110,52,95,118,50,48,49,56,48,57,49,55,51,48,68,101,99,111,110,118,111,108,117,116,105,111,110,83,97,109,101,75,101,114,97,115,83,117,98,103,114,97,112,104,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,112,111,105,110,116,101,114,73,80,78,50,99,118,51,100,110,110,49,52,100,110,110,52,95,118,50,48,49,56,48,57,49,55,51,48,68,101,99,111,110,118,111,108,117,116,105,111,110,83,97,109,101,75,101,114,97,115,83,117,98,103,114,97,112,104,69,78,83,95,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,83,52,95,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,52,95,69,69,69,69,0,67,111,110,118,50,68,66,97,99,107,112,114,111,112,73,110,112,117,116,0,112,97,100,77,111,100,101,32,61,61,32,34,83,65,77,69,34,0,115,116,114,105,100,101,115,0,115,116,114,105,100,101,115,46,105,95,115,105,122,101,40,41,32,61,61,32,52,0,78,50,99,118,51,100,110,110,49,52,100,110,110,52,95,118,50,48,49,56,48,57,49,55,51,48,68,101,99,111,110,118,111,108,117,116,105,111,110,83,97,109,101,75,101,114,97,115,83,117,98,103,114,97,112,104,69,0,78,83,116,51,95,95,50,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,78,50,99,118,51,100,110,110,49,52,100,110,110,52,95,118,50,48,49,56,48,57,49,55,51,49,68,101,99,111,110,118,111,108,117,116,105,111,110,86,97,108,105,100,75,101,114,97,115,83,117,98,103,114,97,112,104,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,112,111,105,110,116,101,114,73,80,78,50,99,118,51,100,110,110,49,52,100,110,110,52,95,118,50,48,49,56,48,57,49,55,51,49,68,101,99,111,110,118,111,108,117,116,105,111,110,86,97,108,105,100,75,101,114,97,115,83,117,98,103,114,97,112,104,69,78,83,95,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,83,52,95,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,52,95,69,69,69,69,0,65,100,100,0,112,97,100,77,111,100,101,32,61,61,32,34,86,65,76,73,68,34,0,107,101,114,110,101,108,83,104,97,112,101,46,100,105,109,95,115,105,122,101,40,41,32,61,61,32,52,0,78,50,99,118,51,100,110,110,49,52,100,110,110,52,95,118,50,48,49,56,48,57,49,55,51,49,68,101,99,111,110,118,111,108,117,116,105,111,110,86,97,108,105,100,75,101,114,97,115,83,117,98,103,114,97,112,104,69,0,78,83,116,51,95,95,50,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,78,50,99,118,51,100,110,110,49,52,100,110,110,52,95,118,50,48,49,56,48,57,49,55,49,57,76,50,78,111,114,109,97,108,105,122,101,83,117,98,103,114,97,112,104,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,112,111,105,110,116,101,114,73,80,78,50,99,118,51,100,110,110,49,52,100,110,110,52,95,118,50,48,49,56,48,57,49,55,49,57,76,50,78,111,114,109,97,108,105,122,101,83,117,98,103,114,97,112,104,69,78,83,95,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,83,52,95,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,52,95,69,69,69,69,0,83,117,109,0,77,97,120,105,109,117,109,0,82,115,113,114,116,0,76,50,78,111,114,109,97,108,105,122,101,0,78,50,99,118,51,100,110,110,49,52,100,110,110,52,95,118,50,48,49,56,48,57,49,55,49,57,76,50,78,111,114,109,97,108,105,122,101,83,117,98,103,114,97,112,104,69,0,78,83,116,51,95,95,50,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,78,50,99,118,51,100,110,110,49,52,100,110,110,52,95,118,50,48,49,56,48,57,49,55,50,48,82,101,115,104,97,112,101,75,101,114,97,115,83,117,98,103,114,97,112,104,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,112,111,105,110,116,101,114,73,80,78,50,99,118,51,100,110,110,49,52,100,110,110,52,95,118,50,48,49,56,48,57,49,55,50,48,82,101,115,104,97,112,101,75,101,114,97,115,83,117,98,103,114,97,112,104,69,78,83,95,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,83,52,95,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,52,95,69,69,69,69,0,78,50,99,118,51,100,110,110,49,52,100,110,110,52,95,118,50,48,49,56,48,57,49,55,50,48,82,101,115,104,97,112,101,75,101,114,97,115,83,117,98,103,114,97,112,104,69,0,78,83,116,51,95,95,50,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,78,50,99,118,51,100,110,110,49,52,100,110,110,52,95,118,50,48,49,56,48,57,49,55,49,56,82,101,76,85,54,75,101,114,97,115,83,117,98,103,114,97,112,104,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,112,111,105,110,116,101,114,73,80,78,50,99,118,51,100,110,110,49,52,100,110,110,52,95,118,50,48,49,56,48,57,49,55,49,56,82,101,76,85,54,75,101,114,97,115,83,117,98,103,114,97,112,104,69,78,83,95,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,83,52,95,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,52,95,69,69,69,69,0,77,105,110,105,109,117,109,0,82,101,108,117,54,0,78,50,99,118,51,100,110,110,49,52,100,110,110,52,95,118,50,48,49,56,48,57,49,55,49,56,82,101,76,85,54,75,101,114,97,115,83,117,98,103,114,97,112,104,69,0,78,83,116,51,95,95,50,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,78,50,99,118,51,100,110,110,49,52,100,110,110,52,95,118,50,48,49,56,48,57,49,55,50,48,83,111,102,116,77,97,120,75,101,114,97,115,83,117,98,103,114,97,112,104,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,112,111,105,110,116,101,114,73,80,78,50,99,118,51,100,110,110,49,52,100,110,110,52,95,118,50,48,49,56,48,57,49,55,50,48,83,111,102,116,77,97,120,75,101,114,97,115,83,117,98,103,114,97,112,104,69,78,83,95,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,83,52,95,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,52,95,69,69,69,69,0,77,97,120,0,83,117,98,0,69,120,112,0,82,101,97,108,68,105,118,0,78,50,99,118,51,100,110,110,49,52,100,110,110,52,95,118,50,48,49,56,48,57,49,55,50,48,83,111,102,116,77,97,120,75,101,114,97,115,83,117,98,103,114,97,112,104,69,0,78,83,116,51,95,95,50,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,78,50,99,118,51,100,110,110,49,52,100,110,110,52,95,118,50,48,49,56,48,57,49,55,50,48,70,108,97,116,116,101,110,83,104,97,112,101,83,117,98,103,114,97,112,104,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,112,111,105,110,116,101,114,73,80,78,50,99,118,51,100,110,110,49,52,100,110,110,52,95,118,50,48,49,56,48,57,49,55,50,48,70,108,97,116,116,101,110,83,104,97,112,101,83,117,98,103,114,97,112,104,69,78,83,95,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,83,52,95,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,52,95,69,69,69,69,0,78,50,99,118,51,100,110,110,49,52,100,110,110,52,95,118,50,48,49,56,48,57,49,55,50,48,70,108,97,116,116,101,110,83,104,97,112,101,83,117,98,103,114,97,112,104,69,0,78,83,116,51,95,95,50,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,78,50,99,118,51,100,110,110,49,52,100,110,110,52,95,118,50,48,49,56,48,57,49,55,49,53,70,108,97,116,116,101,110,83,117,98,103,114,97,112,104,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,112,111,105,110,116,101,114,73,80,78,50,99,118,51,100,110,110,49,52,100,110,110,52,95,118,50,48,49,56,48,57,49,55,49,53,70,108,97,116,116,101,110,83,117,98,103,114,97,112,104,69,78,83,95,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,83,52,95,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,52,95,69,69,69,69,0,78,50,99,118,51,100,110,110,49,52,100,110,110,52,95,118,50,48,49,56,48,57,49,55,49,53,70,108,97,116,116,101,110,83,117,98,103,114,97,112,104,69,0,78,83,116,51,95,95,50,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,78,50,99,118,51,100,110,110,49,52,100,110,110,52,95,118,50,48,49,56,48,57,49,55,50,52,66,97,116,99,104,78,111,114,109,78,111,71,97,109,109,97,83,117,98,103,114,97,112,104,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,112,111,105,110,116,101,114,73,80,78,50,99,118,51,100,110,110,49,52,100,110,110,52,95,118,50,48,49,56,48,57,49,55,50,52,66,97,116,99,104,78,111,114,109,78,111,71,97,109,109,97,83,117,98,103,114,97,112,104,69,78,83,95,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,83,52,95,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,52,95,69,69,69,69,0,70,117,115,101,100,66,97,116,99,104,78,111,114,109,0,101,112,115,105,108,111,110,0,47,103,97,109,109,97,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,100,110,110,58,58,100,110,110,52,95,118,50,48,49,56,48,57,49,55,58,58,66,97,116,99,104,78,111,114,109,78,111,71,97,109,109,97,83,117,98,103,114,97,112,104,58,58,102,105,110,97,108,105,122,101,40,116,101,110,115,111,114,102,108,111,119,58,58,71,114,97,112,104,68,101,102,32,38,44,32,116,101,110,115,111,114,102,108,111,119,58,58,78,111,100,101,68,101,102,32,42,44,32,115,116,100,58,58,118,101,99,116,111,114,60,116,101,110,115,111,114,102,108,111,119,58,58,78,111,100,101,68,101,102,32,42,62,32,38,41,0,101,112,115,77,97,116,46,116,121,112,101,40,41,0,101,112,115,77,97,116,46,116,111,116,97,108,40,41,0,78,50,99,118,51,100,110,110,49,52,100,110,110,52,95,118,50,48,49,56,48,57,49,55,50,52,66,97,116,99,104,78,111,114,109,78,111,71,97,109,109,97,83,117,98,103,114,97,112,104,69,0,78,83,116,51,95,95,50,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,78,50,99,118,51,100,110,110,49,52,100,110,110,52,95,118,50,48,49,56,48,57,49,55,49,55,66,97,116,99,104,78,111,114,109,83,117,98,103,114,97,112,104,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,112,111,105,110,116,101,114,73,80,78,50,99,118,51,100,110,110,49,52,100,110,110,52,95,118,50,48,49,56,48,57,49,55,49,55,66,97,116,99,104,78,111,114,109,83,117,98,103,114,97,112,104,69,78,83,95,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,83,52,95,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,52,95,69,69,69,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,100,110,110,58,58,100,110,110,52,95,118,50,48,49,56,48,57,49,55,58,58,66,97,116,99,104,78,111,114,109,83,117,98,103,114,97,112,104,58,58,102,105,110,97,108,105,122,101,40,116,101,110,115,111,114,102,108,111,119,58,58,71,114,97,112,104,68,101,102,32,38,44,32,116,101,110,115,111,114,102,108,111,119,58,58,78,111,100,101,68,101,102,32,42,44,32,115,116,100,58,58,118,101,99,116,111,114,60,116,101,110,115,111,114,102,108,111,119,58,58,78,111,100,101,68,101,102,32,42,62,32,38,41,0,78,50,99,118,51,100,110,110,49,52,100,110,110,52,95,118,50,48,49,56,48,57,49,55,49,55,66,97,116,99,104,78,111,114,109,83,117,98,103,114,97,112,104,69,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,115,114,99,47,116,111,114,99,104,47,116,111,114,99,104,95,105,109,112,111,114,116,101,114,46,99,112,112,0,85,110,115,117,112,112,111,114,116,101,100,32,76,117,97,32,116,121,112,101,0,114,101,97,100,79,98,106,101,99,116,0,84,101,110,115,111,114,0,116,111,114,99,104,46,0,83,116,111,114,97,103,101,0,116,111,114,99,104,95,105,110,100,101,120,0,83,101,113,117,101,110,116,105,97,108,0,80,97,114,97,108,108,101,108,0,67,111,110,99,97,116,84,97,98,108,101,0,74,111,105,110,84,97,98,108,101,0,68,101,112,116,104,67,111,110,99,97,116,0,73,110,99,101,112,116,105,111,110,0,105,110,112,117,116,68,105,109,101,110,115,105,111,110,0,111,117,116,112,117,116,68,105,109,101,110,115,105,111,110,0,100,105,109,101,110,115,105,111,110,0,83,112,97,116,105,97,108,67,111,110,118,111,108,117,116,105,111,110,0,83,112,97,116,105,97,108,67,111,110,118,111,108,117,116,105,111,110,77,77,0,119,101,105,103,104,116,0,116,101,110,115,111,114,80,97,114,97,109,115,46,99,111,117,110,116,40,34,119,101,105,103,104,116,34,41,0,114,101,97,100,84,111,114,99,104,79,98,106,101,99,116,0,110,79,117,116,112,117,116,80,108,97,110,101,0,108,97,121,101,114,80,97,114,97,109,115,46,98,108,111,98,115,91,48,93,46,100,105,109,115,32,61,61,32,50,0,83,112,97,116,105,97,108,76,80,80,111,111,108,105,110,103,0,83,112,97,116,105,97,108,77,97,120,80,111,111,108,105,110,103,0,83,112,97,116,105,97,108,65,118,101,114,97,103,101,80,111,111,108,105,110,103,0,77,65,88,0,105,110,100,105,99,101,115,95,98,108,111,98,95,105,100,0,105,110,100,105,99,101,115,0,65,86,69,0,99,111,117,110,116,95,105,110,99,108,117,100,101,95,112,97,100,0,115,99,97,108,97,114,80,97,114,97,109,115,46,104,97,115,40,34,99,101,105,108,95,109,111,100,101,34,41,0,76,105,110,101,97,114,0,86,105,101,119,0,115,99,97,108,97,114,80,97,114,97,109,115,46,104,97,115,40,34,115,105,122,101,34,41,0,98,97,116,99,104,77,111,100,101,0,84,97,110,104,0,83,112,97,116,105,97,108,66,97,116,99,104,78,111,114,109,97,108,105,122,97,116,105,111,110,0,73,110,115,116,97,110,99,101,78,111,114,109,97,108,105,122,97,116,105,111,110,0,66,97,116,99,104,78,111,114,109,97,108,105,122,97,116,105,111,110,0,115,99,97,108,97,114,80,97,114,97,109,115,46,104,97,115,40,34,101,112,115,34,41,0,114,117,110,110,105,110,103,95,109,101,97,110,0,110,79,117,116,112,117,116,0,115,99,97,108,97,114,80,97,114,97,109,115,46,104,97,115,40,34,110,79,117,116,112,117,116,34,41,0,114,117,110,110,105,110,103,95,118,97,114,0,114,117,110,110,105,110,103,95,115,116,100,0,116,101,110,115,111,114,80,97,114,97,109,115,91,34,119,101,105,103,104,116,34,93,46,115,101,99,111,110,100,46,116,111,116,97,108,40,41,32,61,61,32,111,117,116,112,117,116,67,104,97,110,110,101,108,115,0,116,101,110,115,111,114,80,97,114,97,109,115,91,34,119,101,105,103,104,116,34,93,46,115,101,99,111,110,100,46,116,111,116,97,108,40,41,32,61,61,32,49,0,83,112,97,116,105,97,108,68,114,111,112,111,117,116,0,115,99,97,108,97,114,80,97,114,97,109,115,46,104,97,115,40,34,112,34,41,0,84,111,116,97,108,86,97,114,105,97,116,105,111,110,0,115,99,97,108,97,114,80,97,114,97,109,115,46,104,97,115,40,34,112,97,100,34,41,32,38,38,32,115,99,97,108,97,114,80,97,114,97,109,115,46,104,97,115,40,34,100,105,109,34,41,0,105,110,100,101,120,0,80,97,100,100,105,110,103,32,119,105,116,104,32,111,102,102,115,101,116,32,105,115,32,110,111,116,32,105,109,112,108,101,109,101,110,116,101,100,0,110,73,110,112,117,116,68,105,109,0,67,65,100,100,84,97,98,108,101,0,83,112,97,116,105,97,108,68,105,108,97,116,101,100,67,111,110,118,111,108,117,116,105,111,110,0,100,105,108,97,116,105,111,110,87,0,100,105,108,97,116,105,111,110,72,0,115,99,97,108,97,114,80,97,114,97,109,115,46,104,97,115,40,34,112,97,100,87,34,41,32,38,38,32,115,99,97,108,97,114,80,97,114,97,109,115,46,104,97,115,40,34,112,97,100,72,34,41,38,38,32,115,99,97,108,97,114,80,97,114,97,109,115,46,104,97,115,40,34,100,87,34,41,38,38,32,115,99,97,108,97,114,80,97,114,97,109,115,46,104,97,115,40,34,100,72,34,41,38,38,32,115,99,97,108,97,114,80,97,114,97,109,115,46,104,97,115,40,34,100,105,108,97,116,105,111,110,87,34,41,38,38,32,115,99,97,108,97,114,80,97,114,97,109,115,46,104,97,115,40,34,100,105,108,97,116,105,111,110,72,34,41,38,38,32,115,99,97,108,97,114,80,97,114,97,109,115,46,104,97,115,40,34,107,87,34,41,38,38,32,115,99,97,108,97,114,80,97,114,97,109,115,46,104,97,115,40,34,107,72,34,41,38,38,32,115,99,97,108,97,114,80,97,114,97,109,115,46,104,97,115,40,34,110,79,117,116,112,117,116,80,108,97,110,101,34,41,0,112,97,100,95,119,0,112,97,100,95,104,0,100,105,108,97,116,105,111,110,95,119,0,100,105,108,97,116,105,111,110,95,104,0,83,112,97,116,105,97,108,70,117,108,108,67,111,110,118,111,108,117,116,105,111,110,0,115,99,97,108,97,114,80,97,114,97,109,115,46,104,97,115,40,34,112,97,100,87,34,41,32,38,38,32,115,99,97,108,97,114,80,97,114,97,109,115,46,104,97,115,40,34,112,97,100,72,34,41,38,38,32,115,99,97,108,97,114,80,97,114,97,109,115,46,104,97,115,40,34,100,87,34,41,38,38,32,115,99,97,108,97,114,80,97,114,97,109,115,46,104,97,115,40,34,100,72,34,41,38,38,32,115,99,97,108,97,114,80,97,114,97,109,115,46,104,97,115,40,34,97,100,106,87,34,41,38,38,32,115,99,97,108,97,114,80,97,114,97,109,115,46,104,97,115,40,34,97,100,106,72,34,41,38,38,32,115,99,97,108,97,114,80,97,114,97,109,115,46,104,97,115,40,34,107,87,34,41,38,38,32,115,99,97,108,97,114,80,97,114,97,109,115,46,104,97,115,40,34,107,72,34,41,38,38,32,115,99,97,108,97,114,80,97,114,97,109,115,46,104,97,115,40,34,110,79,117,116,112,117,116,80,108,97,110,101,34,41,0,83,112,97,116,105,97,108,77,97,120,85,110,112,111,111,108,105,110,103,0,116,101,110,115,111,114,80,97,114,97,109,115,46,99,111,117,110,116,40,34,105,110,100,105,99,101,115,34,41,0,83,111,102,116,77,97,120,0,76,111,103,83,111,102,116,77,97,120,0,83,112,97,116,105,97,108,67,114,111,115,115,77,97,112,76,82,78,0,115,99,97,108,97,114,80,97,114,97,109,115,46,104,97,115,40,34,97,108,112,104,97,34,41,0,115,99,97,108,97,114,80,97,114,97,109,115,46,104,97,115,40,34,98,101,116,97,34,41,0,115,99,97,108,97,114,80,97,114,97,109,115,46,104,97,115,40,34,107,34,41,0,83,113,117,97,114,101,0,83,113,114,116,0,112,111,119,0,77,117,108,67,111,110,115,116,97,110,116,0,99,111,110,115,116,97,110,116,95,115,99,97,108,97,114,0,115,99,97,108,97,114,80,97,114,97,109,115,46,104,97,115,40,34,99,111,110,115,116,97,110,116,95,115,99,97,108,97,114,34,41,0,83,112,97,116,105,97,108,90,101,114,111,80,97,100,100,105,110,103,0,83,112,97,116,105,97,108,82,101,102,108,101,99,116,105,111,110,80,97,100,100,105,110,103,0,115,99,97,108,97,114,80,97,114,97,109,115,46,104,97,115,40,34,112,97,100,95,108,34,41,0,115,99,97,108,97,114,80,97,114,97,109,115,46,104,97,115,40,34,112,97,100,95,114,34,41,0,115,99,97,108,97,114,80,97,114,97,109,115,46,104,97,115,40,34,112,97,100,95,116,34,41,0,115,99,97,108,97,114,80,97,114,97,109,115,46,104,97,115,40,34,112,97,100,95,98,34,41,0,83,112,97,116,105,97,108,90,101,114,111,80,97,100,100,105,110,103,32,105,110,32,99,114,111,112,112,105,110,103,32,109,111,100,101,32,105,115,32,110,111,116,32,105,109,112,108,101,109,101,110,116,101,100,0,83,104,97,118,101,73,109,97,103,101,0,83,112,97,116,105,97,108,85,112,83,97,109,112,108,105,110,103,78,101,97,114,101,115,116,0,115,99,97,108,101,95,102,97,99,116,111,114,0,115,99,97,108,97,114,80,97,114,97,109,115,46,104,97,115,40,34,115,99,97,108,101,95,102,97,99,116,111,114,34,41,0,85,110,115,117,112,112,111,114,116,101,100,32,84,111,114,99,104,32,99,108,97,115,115,32,34,0,108,117,97,84,121,112,101,32,61,61,32,84,89,80,69,95,84,65,66,76,69,32,38,38,32,114,101,97,100,101,100,73,110,100,101,120,101,115,46,99,111,117,110,116,40,105,110,100,101,120,41,32,61,61,32,48,0,114,101,97,100,84,111,114,99,104,84,97,98,108,101,0,78,83,116,51,95,95,50,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,78,50,99,118,51,100,110,110,49,52,100,110,110,52,95,118,50,48,49,56,48,57,49,55,49,51,84,111,114,99,104,73,109,112,111,114,116,101,114,54,77,111,100,117,108,101,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,112,111,105,110,116,101,114,73,80,78,50,99,118,51,100,110,110,49,52,100,110,110,52,95,118,50,48,49,56,48,57,49,55,49,51,84,111,114,99,104,73,109,112,111,114,116,101,114,54,77,111,100,117,108,101,69,78,83,95,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,83,53,95,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,53,95,69,69,69,69,0,110,110,46,0,99,117,110,110,46,0,99,117,100,110,110,46,0,102,98,99,117,110,110,46,0,114,101,97,100,84,111,114,99,104,83,116,111,114,97,103,101,0,116,121,112,101,105,100,120,32,61,61,32,84,89,80,69,95,84,79,82,67,72,32,124,124,32,40,116,121,112,101,105,100,120,32,61,61,32,84,89,80,69,95,78,73,76,32,38,38,32,110,100,105,109,115,32,61,61,32,48,41,0,114,101,97,100,84,111,114,99,104,84,101,110,115,111,114,0,116,121,112,101,83,116,111,114,97,103,101,32,62,61,32,48,32,38,38,32,116,121,112,101,84,101,110,115,111,114,32,61,61,32,116,121,112,101,83,116,111,114,97,103,101,0,83,116,111,114,97,103,101,32,104,97,115,32,105,110,115,117,102,102,105,99,105,101,110,116,32,110,117,109,98,101,114,32,111,102,32,101,108,101,109,101,110,116,115,32,102,111,114,32,114,101,113,117,101,115,116,101,100,32,84,101,110,115,111,114,0,68,111,117,98,108,101,0,70,108,111,97,116,0,67,117,100,97,0,66,121,116,101,0,67,104,97,114,0,83,104,111,114,116,0,73,110,116,0,76,111,110,103,0,85,110,107,110,111,119,110,32,116,121,112,101,32,34,0,34,32,111,102,32,116,111,114,99,104,32,99,108,97,115,115,32,34,0,112,97,114,115,101,84,111,114,99,104,84,121,112,101,0,86,32,0,102,105,108,101,32,38,38,32,84,72,70,105,108,101,95,105,115,79,112,101,110,101,100,40,102,105,108,101,41,0,84,111,114,99,104,73,109,112,111,114,116,101,114,0,80,70,118,80,78,50,84,72,56,84,72,70,105,108,101,95,95,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,112,111,105,110,116,101,114,73,80,78,50,84,72,56,84,72,70,105,108,101,95,95,69,80,70,118,83,51,95,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,50,95,69,69,69,69,0,99,118,58,58,100,110,110,58,58,100,110,110,52,95,118,50,48,49,56,48,57,49,55,58,58,84,111,114,99,104,73,109,112,111,114,116,101,114,58,58,84,111,114,99,104,73,109,112,111,114,116,101,114,40,83,116,114,105,110,103,44,32,98,111,111,108,41,0,114,111,111,116,77,111,100,117,108,101,32,61,61,32,78,85,76,76,0,112,111,112,117,108,97,116,101,78,101,116,0,116,111,114,99,104,77,101,114,103,101,0,116,111,114,99,104,83,112,108,105,116,0,116,111,114,99,104,82,101,115,104,97,112,101,0,33,110,117,109,85,110,99,111,110,110,101,99,116,101,100,76,97,121,101,114,115,46,101,109,112,116,121,40,41,0,102,105,108,108,0,110,117,109,73,110,112,117,116,115,32,60,61,32,105,100,115,46,115,105,122,101,40,41,0,116,111,114,99,104,67,65,100,100,84,97,98,108,101,0,109,111,100,117,108,101,45,62,112,97,114,97,109,115,46,104,97,115,40,34,105,110,100,105,99,101,115,95,98,108,111,98,95,105,100,34,41,0,116,111,114,99,104,77,97,120,85,110,112,111,111,108,105,110,103,0,112,111,111,108,105,110,103,76,97,121,101,114,46,102,105,114,115,116,32,33,61,32,45,49,0,85,110,101,120,112,101,99,116,101,100,32,116,111,114,99,104,32,99,111,110,116,97,105,110,101,114,58,32,0,95,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,50,99,118,51,100,110,110,49,52,100,110,110,52,95,118,50,48,49,56,48,57,49,55,49,51,84,111,114,99,104,73,109,112,111,114,116,101,114,54,77,111,100,117,108,101,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,53,95,69,69,69,69,0,118,111,105,100,32,99,118,58,58,100,110,110,58,58,100,110,110,52,95,118,50,48,49,56,48,57,49,55,58,58,84,111,114,99,104,73,109,112,111,114,116,101,114,58,58,112,111,112,117,108,97,116,101,78,101,116,40,99,118,58,58,100,110,110,58,58,100,110,110,52,95,118,50,48,49,56,48,57,49,55,58,58,78,101,116,41,0,99,118,58,58,100,110,110,58,58,100,110,110,52,95,118,50,48,49,56,48,57,49,55,58,58,78,101,116,32,99,118,58,58,100,110,110,58,58,100,110,110,52,95,118,50,48,49,56,48,57,49,55,58,58,114,101,97,100,78,101,116,70,114,111,109,84,111,114,99,104,40,99,111,110,115,116,32,83,116,114,105,110,103,32,38,44,32,98,111,111,108,41,0,100,102,115,101,108,102,45,62,104,97,110,100,108,101,32,33,61,32,48,76,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,115,114,99,47,116,111,114,99,104,47,84,72,68,105,115,107,70,105,108,101,46,99,112,112,0,84,72,68,105,115,107,70,105,108,101,95,109,111,100,101,40,109,111,100,101,44,32,38,105,115,82,101,97,100,97,98,108,101,44,32,38,105,115,87,114,105,116,97,98,108,101,41,0,84,72,68,105,115,107,70,105,108,101,95,110,101,119,0,105,115,82,101,97,100,97,98,108,101,32,38,38,32,33,105,115,87,114,105,116,97,98,108,101,0,99,97,110,110,111,116,32,111,112,101,110,32,60,37,115,62,32,105,110,32,109,111,100,101,32,37,99,37,99,0,99,97,110,110,111,116,32,97,108,108,111,99,97,116,101,32,109,101,109,111,114,121,32,102,111,114,32,115,101,108,102,0,84,72,68,105,115,107,70,105,108,101,95,99,108,111,115,101,0,84,72,68,105,115,107,70,105,108,101,95,112,111,115,105,116,105,111,110,0,117,110,97,98,108,101,32,116,111,32,111,98,116,97,105,110,32,100,105,115,107,32,102,105,108,101,32,111,102,102,115,101,116,32,40,109,97,121,98,101,32,97,32,108,111,110,103,32,111,118,101,114,102,108,111,119,32,111,99,99,117,114,114,101,100,41,0,84,72,68,105,115,107,70,105,108,101,95,115,101,101,107,69,110,100,0,117,110,97,98,108,101,32,116,111,32,115,101,101,107,32,97,116,32,101,110,100,32,111,102,32,102,105,108,101,0,84,72,68,105,115,107,70,105,108,101,95,115,101,101,107,0,117,110,97,98,108,101,32,116,111,32,115,101,101,107,32,97,116,32,112,111,115,105,116,105,111,110,32,37,100,0,84,72,68,105,115,107,70,105,108,101,95,114,101,97,100,83,116,114,105,110,103,0,100,102,115,101,108,102,45,62,102,105,108,101,46,105,115,82,101,97,100,97,98,108,101,0,40,115,116,114,108,101,110,40,102,111,114,109,97,116,41,32,62,61,32,50,32,63,32,40,102,111,114,109,97,116,91,48,93,32,61,61,32,39,42,39,41,32,38,38,32,40,102,111,114,109,97,116,91,49,93,32,61,61,32,39,97,39,32,124,124,32,102,111,114,109,97,116,91,49,93,32,61,61,32,39,108,39,41,32,58,32,48,41,0,114,101,97,100,32,101,114,114,111,114,58,32,102,97,105,108,101,100,32,116,111,32,97,108,108,111,99,97,116,101,32,98,117,102,102,101,114,0,114,101,97,100,32,101,114,114,111,114,58,32,114,101,97,100,32,48,32,98,108,111,99,107,115,32,105,110,115,116,101,97,100,32,111,102,32,49,0,84,72,68,105,115,107,70,105,108,101,95,114,101,97,100,68,111,117,98,108,101,0,37,108,103,0,114,101,97,100,32,101,114,114,111,114,58,32,114,101,97,100,32,37,100,32,98,108,111,99,107,115,32,105,110,115,116,101,97,100,32,111,102,32,37,100,0,84,72,68,105,115,107,70,105,108,101,95,114,101,97,100,70,108,111,97,116,0,37,103,0,84,72,68,105,115,107,70,105,108,101,95,114,101,97,100,76,111,110,103,0,37,108,100,0,99,97,110,32,110,111,116,32,97,108,108,111,99,97,116,101,32,98,117,102,102,101,114,0,84,72,68,105,115,107,70,105,108,101,95,114,101,97,100,73,110,116,0,37,100,10,13,0,84,72,68,105,115,107,70,105,108,101,95,114,101,97,100,83,104,111,114,116,0,37,104,100,0,84,72,68,105,115,107,70,105,108,101,95,114,101,97,100,67,104,97,114,0,84,72,68,105,115,107,70,105,108,101,95,114,101,97,100,66,121,116,101,0,114,0,70,97,105,108,101,100,32,116,111,32,112,97,114,115,101,32,78,101,116,80,97,114,97,109,101,116,101,114,32,102,105,108,101,58,32,0,114,101,97,100,78,101,116,70,114,111,109,68,97,114,107,110,101,116,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,115,114,99,47,100,97,114,107,110,101,116,47,100,97,114,107,110,101,116,95,105,109,112,111,114,116,101,114,46,99,112,112,0,114,98,0,95,37,100,0,67,97,110,39,116,32,102,105,110,100,32,111,117,116,112,117,116,32,98,108,111,98,32,34,0,97,100,100,73,110,112,117,116,0,68,117,112,108,105,99,97,116,101,32,98,108,111,98,115,32,112,114,111,100,117,99,101,100,32,98,121,32,109,117,108,116,105,112,108,101,32,115,111,117,114,99,101,115,0,97,100,100,79,117,116,112,117,116,0,118,111,105,100,32,99,118,58,58,100,110,110,58,58,100,110,110,52,95,118,50,48,49,56,48,57,49,55,58,58,40,97,110,111,110,121,109,111,117,115,32,110,97,109,101,115,112,97,99,101,41,58,58,68,97,114,107,110,101,116,73,109,112,111,114,116,101,114,58,58,112,111,112,117,108,97,116,101,78,101,116,40,99,118,58,58,100,110,110,58,58,100,110,110,52,95,118,50,48,49,56,48,57,49,55,58,58,78,101,116,41,0,99,118,58,58,100,110,110,58,58,100,110,110,52,95,118,50,48,49,56,48,57,49,55,58,58,40,97,110,111,110,121,109,111,117,115,32,110,97,109,101,115,112,97,99,101,41,58,58,68,97,114,107,110,101,116,73,109,112,111,114,116,101,114,58,58,68,97,114,107,110,101,116,73,109,112,111,114,116,101,114,40,115,116,100,58,58,105,115,116,114,101,97,109,32,38,41,0,99,118,58,58,100,110,110,58,58,100,110,110,52,95,118,50,48,49,56,48,57,49,55,58,58,40,97,110,111,110,121,109,111,117,115,32,110,97,109,101,115,112,97,99,101,41,58,58,68,97,114,107,110,101,116,73,109,112,111,114,116,101,114,58,58,68,97,114,107,110,101,116,73,109,112,111,114,116,101,114,40,115,116,100,58,58,105,115,116,114,101,97,109,32,38,44,32,115,116,100,58,58,105,115,116,114,101,97,109,32,38,41,0,78,50,99,118,51,100,110,110,49,52,100,110,110,52,95,118,50,48,49,56,48,57,49,55,49,50,66,117,102,102,101,114,83,116,114,101,97,109,69,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,115,114,99,47,100,110,110,46,99,112,112,0,73,110,102,101,114,101,110,99,101,32,69,110,103,105,110,101,32,112,105,112,101,108,105,110,101,32,111,102,32,0,32,108,97,121,101,114,115,32,105,115,32,110,111,116,32,100,101,102,105,110,101,100,46,0,105,110,105,116,73,110,102,69,110,103,105,110,101,0,72,97,108,105,100,101,32,112,105,112,101,108,105,110,101,32,111,102,32,0,105,110,105,116,72,97,108,105,100,101,0,118,111,105,100,32,99,118,58,58,100,110,110,58,58,100,110,110,52,95,118,50,48,49,56,48,57,49,55,58,58,76,97,121,101,114,58,58,102,111,114,119,97,114,100,95,102,97,108,108,98,97,99,107,40,73,110,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,41,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,100,110,110,58,58,100,110,110,52,95,118,50,48,49,56,48,57,49,55,58,58,76,97,121,101,114,58,58,102,111,114,119,97,114,100,40,73,110,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,41,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,100,110,110,58,58,100,110,110,52,95,118,50,48,49,56,48,57,49,55,58,58,76,97,121,101,114,58,58,102,105,110,97,108,105,122,101,40,73,110,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,41,0,78,50,99,118,51,100,110,110,49,52,100,110,110,52,95,118,50,48,49,56,48,57,49,55,53,76,97,121,101,114,69,0,78,50,99,118,51,100,110,110,49,52,100,110,110,52,95,118,50,48,49,56,48,57,49,55,49,52,66,97,99,107,101,110,100,87,114,97,112,112,101,114,69,0,79,80,69,78,67,86,95,68,78,78,95,68,73,83,65,66,76,69,95,77,69,77,79,82,89,95,79,80,84,73,77,73,90,65,84,73,79,78,83,0,79,80,69,78,67,86,95,68,78,78,95,66,65,67,75,69,78,68,95,68,69,70,65,85,76,84,0,79,80,69,78,67,86,95,68,78,78,95,67,72,69,67,75,95,78,65,78,95,73,78,70,0,79,80,69,78,67,86,95,68,78,78,95,67,72,69,67,75,95,78,65,78,95,73,78,70,95,68,85,77,80,0,79,80,69,78,67,86,95,68,78,78,95,67,72,69,67,75,95,78,65,78,95,73,78,70,95,82,65,73,83,69,95,69,82,82,79,82,0,109,101,97,110,95,32,61,61,32,83,99,97,108,97,114,40,41,32,38,38,32,34,77,101,97,110,32,115,117,98,116,114,97,99,116,105,111,110,32,105,115,32,110,111,116,32,115,117,112,112,111,114,116,101,100,32,102,111,114,32,67,86,95,56,85,32,98,108,111,98,32,100,101,112,116,104,34,0,98,108,111,98,70,114,111,109,73,109,97,103,101,115,0,33,105,109,97,103,101,115,46,101,109,112,116,121,40,41,0,105,109,97,103,101,48,46,100,105,109,115,32,61,61,32,50,0,105,109,97,103,101,46,100,101,112,116,104,40,41,32,61,61,32,98,108,111,98,95,46,100,101,112,116,104,40,41,0,105,109,97,103,101,46,100,105,109,115,32,61,61,32,50,32,38,38,32,40,110,99,104,32,61,61,32,51,32,124,124,32,110,99,104,32,61,61,32,52,41,0,105,109,97,103,101,46,115,105,122,101,40,41,32,61,61,32,105,109,97,103,101,48,46,115,105,122,101,40,41,0,105,109,97,103,101,46,100,105,109,115,32,61,61,32,50,32,38,38,32,40,110,99,104,32,61,61,32,49,41,0,118,111,105,100,32,99,118,58,58,100,110,110,58,58,100,110,110,52,95,118,50,48,49,56,48,57,49,55,58,58,98,108,111,98,70,114,111,109,73,109,97,103,101,115,40,73,110,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,100,111,117,98,108,101,44,32,83,105,122,101,44,32,99,111,110,115,116,32,83,99,97,108,97,114,32,38,44,32,98,111,111,108,44,32,98,111,111,108,44,32,105,110,116,41,0,83,99,97,108,105,110,103,32,105,115,32,110,111,116,32,115,117,112,112,111,114,116,101,100,32,102,111,114,32,67,86,95,56,85,32,98,108,111,98,32,100,101,112,116,104,0,115,99,97,108,101,102,97,99,116,111,114,0,49,46,48,0,66,108,111,98,32,100,101,112,116,104,32,115,104,111,117,108,100,32,98,101,32,67,86,95,51,50,70,32,111,114,32,67,86,95,56,85,0,100,100,101,112,116,104,0,100,100,101,112,116,104,32,61,61,32,67,86,95,51,50,70,32,124,124,32,100,100,101,112,116,104,32,61,61,32,67,86,95,56,85,0,118,111,105,100,32,99,118,58,58,100,110,110,58,58,100,110,110,52,95,118,50,48,49,56,48,57,49,55,58,58,98,108,111,98,70,114,111,109,73,109,97,103,101,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,100,111,117,98,108,101,44,32,99,111,110,115,116,32,83,105,122,101,32,38,44,32,99,111,110,115,116,32,83,99,97,108,97,114,32,38,44,32,98,111,111,108,44,32,98,111,111,108,44,32,105,110,116,41,0,99,118,58,58,77,97,116,32,99,118,58,58,100,110,110,58,58,100,110,110,52,95,118,50,48,49,56,48,57,49,55,58,58,98,108,111,98,70,114,111,109,73,109,97,103,101,40,73,110,112,117,116,65,114,114,97,121,44,32,100,111,117,98,108,101,44,32,99,111,110,115],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+399364);allocate([116,32,83,105,122,101,32,38,44,32,99,111,110,115,116,32,83,99,97,108,97,114,32,38,44,32,98,111,111,108,44,32,98,111,111,108,44,32,105,110,116,41,0,78,83,116,51,95,95,50,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,78,50,99,118,51,100,110,110,49,52,100,110,110,52,95,118,50,48,49,56,48,57,49,55,51,78,101,116,52,73,109,112,108,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,112,111,105,110,116,101,114,73,80,78,50,99,118,51,100,110,110,49,52,100,110,110,52,95,118,50,48,49,56,48,57,49,55,51,78,101,116,52,73,109,112,108,69,78,83,95,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,83,53,95,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,53,95,69,69,69,69,0,95,105,110,112,117,116,0,95,95,78,101,116,73,110,112,117,116,76,97,121,101,114,95,95,0,78,83,116,51,95,95,50,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,78,50,99,118,51,100,110,110,49,52,100,110,110,52,95,118,50,48,49,56,48,57,49,55,57,68,97,116,97,76,97,121,101,114,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,112,111,105,110,116,101,114,73,80,78,50,99,118,51,100,110,110,49,52,100,110,110,52,95,118,50,48,49,56,48,57,49,55,57,68,97,116,97,76,97,121,101,114,69,78,83,95,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,83,52,95,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,52,95,69,69,69,69,0,105,110,112,117,116,115,46,115,105,122,101,40,41,32,61,61,32,114,101,113,117,105,114,101,100,79,117,116,112,117,116,115,0,109,101,97,110,32,61,61,32,83,99,97,108,97,114,40,41,32,124,124,32,105,110,112,117,116,115,68,97,116,97,91,105,93,46,115,105,122,101,91,49,93,32,60,61,32,52,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,100,110,110,58,58,100,110,110,52,95,118,50,48,49,56,48,57,49,55,58,58,68,97,116,97,76,97,121,101,114,58,58,102,111,114,119,97,114,100,40,73,110,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,41,0,111,117,116,112,117,116,115,91,105,93,46,116,121,112,101,40,41,0,111,117,116,112,117,116,115,46,115,105,122,101,40,41,32,61,61,32,115,99,97,108,101,70,97,99,116,111,114,115,46,115,105,122,101,40,41,0,111,117,116,112,117,116,115,46,115,105,122,101,40,41,32,61,61,32,109,101,97,110,115,46,115,105,122,101,40,41,0,105,110,112,117,116,115,68,97,116,97,46,115,105,122,101,40,41,32,61,61,32,111,117,116,112,117,116,115,46,115,105,122,101,40,41,0,78,50,99,118,51,100,110,110,49,52,100,110,110,52,95,118,50,48,49,56,48,57,49,55,57,68,97,116,97,76,97,121,101,114,69,0,76,97,121,101,114,32,34,0,34,32,97,108,114,101,97,100,121,32,105,110,116,111,32,110,101,116,0,97,100,100,76,97,121,101,114,0,99,118,58,58,100,110,110,58,58,100,110,110,52,95,118,50,48,49,56,48,57,49,55,58,58,76,97,121,101,114,68,97,116,97,58,58,76,97,121,101,114,68,97,116,97,40,105,110,116,44,32,99,111,110,115,116,32,83,116,114,105,110,103,32,38,44,32,99,111,110,115,116,32,83,116,114,105,110,103,32,38,44,32,99,118,58,58,100,110,110,58,58,100,110,110,52,95,118,50,48,49,56,48,57,49,55,58,58,76,97,121,101,114,80,97,114,97,109,115,32,38,41,0,105,110,116,32,99,118,58,58,100,110,110,58,58,100,110,110,52,95,118,50,48,49,56,48,57,49,55,58,58,78,101,116,58,58,97,100,100,76,97,121,101,114,40,99,111,110,115,116,32,83,116,114,105,110,103,32,38,44,32,99,111,110,115,116,32,83,116,114,105,110,103,32,38,44,32,99,118,58,58,100,110,110,58,58,100,110,110,52,95,118,50,48,49,56,48,57,49,55,58,58,76,97,121,101,114,80,97,114,97,109,115,32,38,41,0,111,117,116,76,97,121,101,114,73,100,32,60,32,105,110,76,97,121,101,114,73,100,0,99,111,110,110,101,99,116,0,76,97,121,101,114,32,119,105,116,104,32,114,101,113,117,101,115,116,101,100,32,105,100,61,37,100,32,110,111,116,32,102,111,117,110,100,0,103,101,116,76,97,121,101,114,68,97,116,97,0,73,110,112,117,116,32,35,37,100,32,111,102,32,108,97,121,101,114,32,34,37,115,34,32,97,108,114,101,97,100,121,32,119,97,115,32,99,111,110,110,101,99,116,101,100,0,97,100,100,76,97,121,101,114,73,110,112,117,116,0,118,111,105,100,32,99,118,58,58,100,110,110,58,58,100,110,110,52,95,118,50,48,49,56,48,57,49,55,58,58,78,101,116,58,58,99,111,110,110,101,99,116,40,105,110,116,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,41,0,67,97,110,39,116,32,99,114,101,97,116,101,32,108,97,121,101,114,32,34,0,34,32,111,102,32,116,121,112,101,32,34,0,103,101,116,76,97,121,101,114,73,110,115,116,97,110,99,101,0,33,105,116,45,62,115,101,99,111,110,100,46,101,109,112,116,121,40,41,0,99,114,101,97,116,101,76,97,121,101,114,73,110,115,116,97,110,99,101,0,116,121,112,101,0,115,116,97,116,105,99,32,80,116,114,60,99,118,58,58,100,110,110,58,58,100,110,110,52,95,118,50,48,49,56,48,57,49,55,58,58,76,97,121,101,114,62,32,99,118,58,58,100,110,110,58,58,100,110,110,52,95,118,50,48,49,56,48,57,49,55,58,58,76,97,121,101,114,70,97,99,116,111,114,121,58,58,99,114,101,97,116,101,76,97,121,101,114,73,110,115,116,97,110,99,101,40,99,111,110,115,116,32,83,116,114,105,110,103,32,38,44,32,99,118,58,58,100,110,110,58,58,100,110,110,52,95,118,50,48,49,56,48,57,49,55,58,58,76,97,121,101,114,80,97,114,97,109,115,32,38,41,0,80,116,114,60,99,118,58,58,100,110,110,58,58,100,110,110,52,95,118,50,48,49,56,48,57,49,55,58,58,76,97,121,101,114,62,32,99,118,58,58,100,110,110,58,58,100,110,110,52,95,118,50,48,49,56,48,57,49,55,58,58,76,97,121,101,114,68,97,116,97,58,58,103,101,116,76,97,121,101,114,73,110,115,116,97,110,99,101,40,41,0,82,101,113,117,101,115,116,101,100,32,98,108,111,98,32,110,111,116,32,102,111,117,110,100,0,103,101,116,66,108,111,98,0,76,97,121,101,114,32,34,37,115,34,32,112,114,111,100,117,99,101,32,111,110,108,121,32,37,100,32,111,117,116,112,117,116,115,44,32,116,104,101,32,35,37,100,32,119,97,115,32,114,101,113,117,101,115,116,101,100,0,33,108,100,46,111,117,116,112,117,116,66,108,111,98,115,87,114,97,112,112,101,114,115,46,101,109,112,116,121,40,41,32,38,38,32,33,108,100,46,111,117,116,112,117,116,66,108,111,98,115,87,114,97,112,112,101,114,115,91,112,105,110,46,111,105,100,93,46,101,109,112,116,121,40,41,0,99,118,58,58,77,97,116,32,99,118,58,58,100,110,110,58,58,100,110,110,52,95,118,50,48,49,56,48,57,49,55,58,58,78,101,116,58,58,73,109,112,108,58,58,103,101,116,66,108,111,98,40,99,111,110,115,116,32,99,118,58,58,100,110,110,58,58,100,110,110,52,95,118,50,48,49,56,48,57,49,55,58,58,76,97,121,101,114,80,105,110,32,38,41,0,87,65,82,78,73,78,71,58,32,78,97,78,32,100,101,116,101,99,116,101,100,32,105,110,32,108,97,121,101,114,32,111,117,116,112,117,116,58,32,105,100,61,0,32,110,97,109,101,61,0,111,117,116,112,117,116,32,105,100,61,0,32,111,117,116,112,117,116,32,115,104,97,112,101,61,0,87,65,82,78,73,78,71,58,32,73,110,102,32,100,101,116,101,99,116,101,100,32,105,110,32,108,97,121,101,114,32,111,117,116,112,117,116,58,32,105,100,61,0,73,78,80,85,84,32,0,79,85,84,80,85,84,32,0,73,78,84,69,82,78,65,76,32,0,33,102,97,105,108,0,102,111,114,119,97,114,100,76,97,121,101,114,0,32,105,115,32,78,85,76,76,0,33,110,111,100,101,46,101,109,112,116,121,40,41,0,85,110,107,110,111,119,110,32,98,97,99,107,101,110,100,32,105,100,101,110,116,105,102,105,101,114,0,119,114,97,112,112,101,114,115,46,115,105,122,101,40,41,32,61,61,32,117,109,97,116,115,46,115,105,122,101,40,41,0,117,112,100,97,116,101,0,33,117,109,97,116,87,114,97,112,112,101,114,46,101,109,112,116,121,40,41,0,78,50,99,118,51,100,110,110,49,52,100,110,110,52,95,118,50,48,49,56,48,57,49,55,50,48,79,112,101,110,67,76,66,97,99,107,101,110,100,87,114,97,112,112,101,114,69,0,32,93,0,103,101,116,85,77,97,116,86,101,99,116,111,114,0,118,111,105,100,32,99,118,58,58,100,110,110,58,58,100,110,110,52,95,118,50,48,49,56,48,57,49,55,58,58,78,101,116,58,58,73,109,112,108,58,58,102,111,114,119,97,114,100,76,97,121,101,114,40,99,118,58,58,100,110,110,58,58,100,110,110,52,95,118,50,48,49,56,48,57,49,55,58,58,76,97,121,101,114,68,97,116,97,32,38,41,0,118,111,105,100,32,99,118,58,58,100,110,110,58,58,100,110,110,52,95,118,50,48,49,56,48,57,49,55,58,58,78,101,116,58,58,73,109,112,108,58,58,102,111,114,119,97,114,100,84,111,76,97,121,101,114,40,99,118,58,58,100,110,110,58,58,100,110,110,52,95,118,50,48,49,56,48,57,49,55,58,58,76,97,121,101,114,68,97,116,97,32,38,44,32,98,111,111,108,41,0,82,101,113,117,101,115,116,101,100,32,108,97,121,101,114,32,34,0,34,32,110,111,116,32,102,111,117,110,100,0,112,114,101,102,101,114,97,98,108,101,66,97,99,107,101,110,100,32,33,61,32,68,78,78,95,66,65,67,75,69,78,68,95,79,80,69,78,67,86,32,124,124,32,112,114,101,102,101,114,97,98,108,101,84,97,114,103,101,116,32,61,61,32,68,78,78,95,84,65,82,71,69,84,95,67,80,85,32,124,124,32,112,114,101,102,101,114,97,98,108,101,84,97,114,103,101,116,32,61,61,32,68,78,78,95,84,65,82,71,69,84,95,79,80,69,78,67,76,32,124,124,32,112,114,101,102,101,114,97,98,108,101,84,97,114,103,101,116,32,61,61,32,68,78,78,95,84,65,82,71,69,84,95,79,80,69,78,67,76,95,70,80,49,54,0,115,101,116,85,112,78,101,116,0,112,114,101,102,101,114,97,98,108,101,66,97,99,107,101,110,100,32,33,61,32,68,78,78,95,66,65,67,75,69,78,68,95,72,65,76,73,68,69,32,124,124,32,112,114,101,102,101,114,97,98,108,101,84,97,114,103,101,116,32,61,61,32,68,78,78,95,84,65,82,71,69,84,95,67,80,85,32,124,124,32,112,114,101,102,101,114,97,98,108,101,84,97,114,103,101,116,32,61,61,32,68,78,78,95,84,65,82,71,69,84,95,79,80,69,78,67,76,0,112,114,101,102,101,114,97,98,108,101,66,97,99,107,101,110,100,32,33,61,32,68,78,78,95,66,65,67,75,69,78,68,95,73,78,70,69,82,69,78,67,69,95,69,78,71,73,78,69,32,124,124,32,112,114,101,102,101,114,97,98,108,101,84,97,114,103,101,116,32,61,61,32,68,78,78,95,84,65,82,71,69,84,95,67,80,85,32,124,124,32,112,114,101,102,101,114,97,98,108,101,84,97,114,103,101,116,32,61,61,32,68,78,78,95,84,65,82,71,69,84,95,79,80,69,78,67,76,32,124,124,32,112,114,101,102,101,114,97,98,108,101,84,97,114,103,101,116,32,61,61,32,68,78,78,95,84,65,82,71,69,84,95,79,80,69,78,67,76,95,70,80,49,54,32,124,124,32,112,114,101,102,101,114,97,98,108,101,84,97,114,103,101,116,32,61,61,32,68,78,78,95,84,65,82,71,69,84,95,77,89,82,73,65,68,0,68,78,78,58,32,79,112,101,110,67,76,32,116,97,114,103,101,116,32,105,115,32,110,111,116,32,97,118,97,105,108,97,98,108,101,32,105,110,32,116,104,105,115,32,79,112,101,110,67,86,32,98,117,105,108,100,44,32,115,119,105,116,99,104,105,110,103,32,116,111,32,67,80,85,46,0,105,116,32,33,61,32,108,97,121,101,114,115,46,101,110,100,40,41,0,112,114,101,102,101,114,97,98,108,101,66,97,99,107,101,110,100,32,33,61,32,68,78,78,95,66,65,67,75,69,78,68,95,72,65,76,73,68,69,0,112,114,101,102,101,114,97,98,108,101,84,97,114,103,101,116,32,61,61,32,68,78,78,95,84,65,82,71,69,84,95,67,80,85,32,124,124,32,73,83,95,68,78,78,95,79,80,69,78,67,76,95,84,65,82,71,69,84,40,112,114,101,102,101,114,97,98,108,101,84,97,114,103,101,116,41,0,105,110,105,116,66,97,99,107,101,110,100,0,112,114,101,102,101,114,97,98,108,101,66,97,99,107,101,110,100,32,61,61,32,68,78,78,95,66,65,67,75,69,78,68,95,73,78,70,69,82,69,78,67,69,95,69,78,71,73,78,69,0,105,110,105,116,73,110,102,69,110,103,105,110,101,66,97,99,107,101,110,100,0,118,111,105,100,32,99,118,58,58,100,110,110,58,58,100,110,110,52,95,118,50,48,49,56,48,57,49,55,58,58,78,101,116,58,58,73,109,112,108,58,58,105,110,105,116,73,110,102,69,110,103,105,110,101,66,97,99,107,101,110,100,40,41,0,112,114,101,102,101,114,97,98,108,101,66,97,99,107,101,110,100,32,61,61,32,68,78,78,95,66,65,67,75,69,78,68,95,72,65,76,73,68,69,0,105,110,105,116,72,97,108,105,100,101,66,97,99,107,101,110,100,0,104,97,118,101,72,97,108,105,100,101,40,41,0,33,108,100,66,111,116,46,98,97,99,107,101,110,100,78,111,100,101,115,91,112,114,101,102,101,114,97,98,108,101,66,97,99,107,101,110,100,93,46,101,109,112,116,121,40,41,0,118,111,105,100,32,99,118,58,58,100,110,110,58,58,100,110,110,52,95,118,50,48,49,56,48,57,49,55,58,58,78,101,116,58,58,73,109,112,108,58,58,105,110,105,116,72,97,108,105,100,101,66,97,99,107,101,110,100,40,41,0,118,111,105,100,32,99,118,58,58,100,110,110,58,58,100,110,110,52,95,118,50,48,49,56,48,57,49,55,58,58,78,101,116,58,58,73,109,112,108,58,58,105,110,105,116,66,97,99,107,101,110,100,40,41,0,33,108,97,121,101,114,115,91,48,93,46,111,117,116,112,117,116,66,108,111,98,115,46,101,109,112,116,121,40,41,0,97,108,108,111,99,97,116,101,76,97,121,101,114,115,0,105,110,112,46,116,111,116,97,108,40,41,0,84,97,110,72,0,102,105,114,115,116,67,111,110,118,76,97,121,101,114,68,97,116,97,45,62,111,117,116,112,117,116,66,108,111,98,115,87,114,97,112,112,101,114,115,46,115,105,122,101,40,41,32,61,61,32,49,32,38,38,32,108,100,46,105,110,112,117,116,66,108,111,98,115,87,114,97,112,112,101,114,115,46,115,105,122,101,40,41,32,61,61,32,49,0,102,117,115,101,76,97,121,101,114,115,0,108,100,46,111,117,116,112,117,116,66,108,111,98,115,46,115,105,122,101,40,41,32,61,61,32,49,0,108,100,46,111,117,116,112,117,116,66,108,111,98,115,87,114,97,112,112,101,114,115,46,115,105,122,101,40,41,32,61,61,32,49,0,111,117,116,112,117,116,95,115,108,105,99,101,46,105,115,67,111,110,116,105,110,117,111,117,115,40,41,32,38,38,32,111,117,116,112,117,116,95,115,108,105,99,101,46,115,105,122,101,32,61,61,32,99,117,114,114,95,111,117,116,112,117,116,46,115,105,122,101,0,99,117,114,114,95,111,117,116,112,117,116,46,100,97,116,97,32,61,61,32,111,117,116,112,117,116,95,115,108,105,99,101,46,100,97,116,97,0,78,50,99,118,51,100,110,110,49,52,100,110,110,52,95,118,50,48,49,56,48,57,49,55,49,49,67,111,110,99,97,116,76,97,121,101,114,69,0,78,50,99,118,51,100,110,110,49,52,100,110,110,52,95,118,50,48,49,56,48,57,49,55,49,50,80,111,111,108,105,110,103,76,97,121,101,114,69,0,73,83,95,68,78,78,95,79,80,69,78,67,76,95,84,65,82,71,69,84,40,112,114,101,102,101,114,97,98,108,101,84,97,114,103,101,116,41,0,119,114,97,112,0,78,83,116,51,95,95,50,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,78,50,99,118,51,100,110,110,49,52,100,110,110,52,95,118,50,48,49,56,48,57,49,55,50,48,79,112,101,110,67,76,66,97,99,107,101,110,100,87,114,97,112,112,101,114,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,112,111,105,110,116,101,114,73,80,78,50,99,118,51,100,110,110,49,52,100,110,110,52,95,118,50,48,49,56,48,57,49,55,50,48,79,112,101,110,67,76,66,97,99,107,101,110,100,87,114,97,112,112,101,114,69,78,83,95,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,83,52,95,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,52,95,69,69,69,69,0,85,110,107,110,111,119,110,32,116,97,114,103,101,116,32,105,100,101,110,116,105,102,105,101,114,0,119,114,97,112,77,97,116,0,33,98,97,115,101,46,101,109,112,116,121,40,41,0,79,112,101,110,67,76,66,97,99,107,101,110,100,87,114,97,112,112,101,114,0,78,50,99,118,51,100,110,110,49,52,100,110,110,52,95,118,50,48,49,56,48,57,49,55,49,54,67,111,110,118,111,108,117,116,105,111,110,76,97,121,101,114,69,0,78,50,99,118,51,100,110,110,49,52,100,110,110,52,95,118,50,48,49,56,48,57,49,55,50,48,66,97,115,101,67,111,110,118,111,108,117,116,105,111,110,76,97,121,101,114,69,0,78,50,99,118,51,100,110,110,49,52,100,110,110,52,95,118,50,48,49,56,48,57,49,55,49,50,69,108,116,119,105,115,101,76,97,121,101,114,69,0,78,50,99,118,51,100,110,110,49,52,100,110,110,52,95,118,50,48,49,56,48,57,49,55,49,53,65,99,116,105,118,97,116,105,111,110,76,97,121,101,114,69,0,118,111,105,100,32,99,118,58,58,100,110,110,58,58,100,110,110,52,95,118,50,48,49,56,48,57,49,55,58,58,78,101,116,58,58,73,109,112,108,58,58,102,117,115,101,76,97,121,101,114,115,40,99,111,110,115,116,32,115,116,100,58,58,118,101,99,116,111,114,60,76,97,121,101,114,80,105,110,62,32,38,41,0,102,114,111,109,46,118,97,108,105,100,40,41,0,97,108,108,111,99,97,116,101,76,97,121,101,114,0,108,97,121,101,114,83,104,97,112,101,115,73,116,32,33,61,32,108,97,121,101,114,115,83,104,97,112,101,115,46,101,110,100,40,41,0,108,100,46,114,101,113,117,105,114,101,100,79,117,116,112,117,116,115,46,115,105,122,101,40,41,32,60,61,32,111,117,116,83,104,97,112,101,115,46,115,105,122,101,40,41,0,97,108,108,111,99,97,116,101,66,108,111,98,115,70,111,114,76,97,121,101,114,0,108,100,46,105,110,112,117,116,66,108,111,98,115,91,48,93,45,62,116,111,116,97,108,40,41,32,61,61,32,116,111,116,97,108,40,115,104,97,112,101,115,91,105,110,100,101,120,93,41,0,109,97,112,73,116,32,33,61,32,114,101,117,115,101,77,97,112,46,101,110,100,40,41,0,114,101,108,101,97,115,101,82,101,102,101,114,101,110,99,101,0,114,101,102,73,116,32,33,61,32,114,101,102,67,111,117,110,116,101,114,46,101,110,100,40,41,0,114,101,102,73,116,45,62,115,101,99,111,110,100,32,62,32,48,0,118,111,105,100,32,99,118,58,58,100,110,110,58,58,100,110,110,52,95,118,50,48,49,56,48,57,49,55,58,58,76,97,121,101,114,58,58,102,105,110,97,108,105,122,101,40,99,111,110,115,116,32,115,116,100,58,58,118,101,99,116,111,114,60,77,97,116,62,32,38,44,32,115,116,100,58,58,118,101,99,116,111,114,60,77,97,116,62,32,38,41,0,109,101,109,72,111,115,116,115,46,102,105,110,100,40,108,112,41,32,61,61,32,109,101,109,72,111,115,116,115,46,101,110,100,40,41,0,97,100,100,72,111,115,116,0,114,101,117,115,101,77,97,112,46,102,105,110,100,40,117,115,101,114,41,32,61,61,32,114,101,117,115,101,77,97,112,46,101,110,100,40,41,0,114,101,117,115,101,0,114,101,117,115,101,77,97,112,46,102,105,110,100,40,104,111,115,116,41,32,33,61,32,114,101,117,115,101,77,97,112,46,101,110,100,40,41,0,110,117,109,82,101,102,101,114,101,110,99,101,115,0,118,111,105,100,32,99,118,58,58,100,110,110,58,58,100,110,110,52,95,118,50,48,49,56,48,57,49,55,58,58,66,108,111,98,77,97,110,97,103,101,114,58,58,97,108,108,111,99,97,116,101,66,108,111,98,115,70,111,114,76,97,121,101,114,40,99,118,58,58,100,110,110,58,58,100,110,110,52,95,118,50,48,49,56,48,57,49,55,58,58,76,97,121,101,114,68,97,116,97,32,38,44,32,99,111,110,115,116,32,99,118,58,58,100,110,110,58,58,100,110,110,52,95,118,50,48,49,56,48,57,49,55,58,58,40,97,110,111,110,121,109,111,117,115,32,110,97,109,101,115,112,97,99,101,41,58,58,76,97,121,101,114,83,104,97,112,101,115,32,38,44,32,115,116,100,58,58,118,101,99,116,111,114,60,76,97,121,101,114,80,105,110,62,32,38,44,32,98,111,111,108,41,0,118,111,105,100,32,99,118,58,58,100,110,110,58,58,100,110,110,52,95,118,50,48,49,56,48,57,49,55,58,58,78,101,116,58,58,73,109,112,108,58,58,97,108,108,111,99,97,116,101,76,97,121,101,114,40,105,110,116,44,32,99,111,110,115,116,32,76,97,121,101,114,115,83,104,97,112,101,115,77,97,112,32,38,41,0,118,111,105,100,32,99,118,58,58,100,110,110,58,58,100,110,110,52,95,118,50,48,49,56,48,57,49,55,58,58,66,108,111,98,77,97,110,97,103,101,114,58,58,114,101,115,101,116,40,41,0,118,111,105,100,32,99,118,58,58,100,110,110,58,58,100,110,110,52,95,118,50,48,49,56,48,57,49,55,58,58,78,101,116,58,58,73,109,112,108,58,58,97,108,108,111,99,97,116,101,76,97,121,101,114,115,40,99,111,110,115,116,32,115,116,100,58,58,118,101,99,116,111,114,60,76,97,121,101,114,80,105,110,62,32,38,41,0,118,111,105,100,32,99,118,58,58,100,110,110,58,58,100,110,110,52,95,118,50,48,49,56,48,57,49,55,58,58,78,101,116,58,58,73,109,112,108,58,58,99,108,101,97,114,40,41,0,118,111,105,100,32,99,118,58,58,100,110,110,58,58,100,110,110,52,95,118,50,48,49,56,48,57,49,55,58,58,78,101,116,58,58,73,109,112,108,58,58,115,101,116,85,112,78,101,116,40,99,111,110,115,116,32,115,116,100,58,58,118,101,99,116,111,114,60,76,97,121,101,114,80,105,110,62,32,38,41,0,99,118,58,58,77,97,116,32,99,118,58,58,100,110,110,58,58,100,110,110,52,95,118,50,48,49,56,48,57,49,55,58,58,78,101,116,58,58,102,111,114,119,97,114,100,40,99,111,110,115,116,32,83,116,114,105,110,103,32,38,41,0,33,108,100,46,111,117,116,112,117,116,66,108,111,98,115,87,114,97,112,112,101,114,115,91,105,93,46,101,109,112,116,121,40,41,0,118,111,105,100,32,99,118,58,58,100,110,110,58,58,100,110,110,52,95,118,50,48,49,56,48,57,49,55,58,58,78,101,116,58,58,102,111,114,119,97,114,100,40,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,99,111,110,115,116,32,83,116,114,105,110,103,32,38,41,0,118,111,105,100,32,99,118,58,58,100,110,110,58,58,100,110,110,52,95,118,50,48,49,56,48,57,49,55,58,58,78,101,116,58,58,102,111,114,119,97,114,100,40,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,99,111,110,115,116,32,115,116,100,58,58,118,101,99,116,111,114,60,83,116,114,105,110,103,62,32,38,41,0,118,111,105,100,32,99,118,58,58,100,110,110,58,58,100,110,110,52,95,118,50,48,49,56,48,57,49,55,58,58,78,101,116,58,58,115,101,116,73,110,112,117,116,115,78,97,109,101,115,40,99,111,110,115,116,32,115,116,100,58,58,118,101,99,116,111,114,60,83,116,114,105,110,103,62,32,38,41,0,82,101,113,117,101,115,116,101,100,32,98,108,111,98,32,34,0,115,101,116,73,110,112,117,116,0,118,111,105,100,32,99,118,58,58,100,110,110,58,58,100,110,110,52,95,118,50,48,49,56,48,57,49,55,58,58,78,101,116,58,58,115,101,116,73,110,112,117,116,40,73,110,112,117,116,65,114,114,97,121,44,32,99,111,110,115,116,32,83,116,114,105,110,103,32,38,44,32,100,111,117,98,108,101,44,32,99,111,110,115,116,32,83,99,97,108,97,114,32,38,41,0,34,32,97,108,114,101,97,100,121,32,119,97,115,32,114,101,103,105,115,116,101,114,101,100,0,114,101,103,105,115,116,101,114,76,97,121,101,114,0,115,116,97,116,105,99,32,118,111,105,100,32,99,118,58,58,100,110,110,58,58,100,110,110,52,95,118,50,48,49,56,48,57,49,55,58,58,76,97,121,101,114,70,97,99,116,111,114,121,58,58,114,101,103,105,115,116,101,114,76,97,121,101,114,40,99,111,110,115,116,32,83,116,114,105,110,103,32,38,44,32,67,111,110,115,116,114,117,99,116,111,114,41,0,83,108,105,99,101,0,83,112,108,105,116,0,82,101,115,104,97,112,101,0,70,108,97,116,116,101,110,0,73,110,116,101,114,112,0,67,114,111,112,65,110,100,82,101,115,105,122,101,0,68,101,99,111,110,118,111,108,117,116,105,111,110,0,82,79,73,80,111,111,108,105,110,103,0,80,83,82,79,73,80,111,111,108,105,110,103,0,76,82,78,0,73,110,110,101,114,80,114,111,100,117,99,116,0,77,86,78,0,82,101,76,85,54,0,67,104,97,110,110,101,108,115,80,82,101,76,85,0,80,82,101,76,85,0,83,105,103,109,111,105,100,0,69,76,85,0,65,98,115,86,97,108,0,77,97,120,85,110,112,111,111,108,0,68,114,111,112,111,117,116,0,83,105,108,101,110,99,101,0,83,104,117,102,102,108,101,67,104,97,110,110,101,108,0,80,114,105,111,114,66,111,120,67,108,117,115,116,101,114,101,100,0,78,111,114,109,97,108,105,122,101,66,66,111,120,0,78,111,114,109,97,108,105,122,101,0,83,104,105,102,116,0,80,97,100,100,105,110,103,0,118,111,105,100,32,99,118,58,58,100,110,110,58,58,100,110,110,52,95,118,50,48,49,56,48,57,49,55,58,58,105,110,105,116,105,97,108,105,122,101,76,97,121,101,114,70,97,99,116,111,114,121,40,41,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,115,114,99,47,105,110,105,116,46,99,112,112,0,97,116,116,114,95,118,97,108,117,101,46,112,114,111,116,111,0,10,16,97,116,116,114,95,118,97,108,117,101,46,112,114,111,116,111,18,17,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,26,12,116,101,110,115,111,114,46,112,114,111,116,111,26,18,116,101,110,115,111,114,95,115,104,97,112,101,46,112,114,111,116,111,26,11,116,121,112,101,115,46,112,114,111,116,111,34,182,4,10,9,65,116,116,114,86,97,108,117,101,18,11,10,1,115,24,2,32,1,40,12,72,0,18,11,10,1,105,24,3,32,1,40,3,72,0,18,11,10,1,102,24,4,32,1,40,2,72,0,18,11,10,1,98,24,5,32,1,40,8,72,0,18,43,10,4,116,121,112,101,24,6,32,1,40,14,50,27,46,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,68,97,116,97,84,121,112,101,72,0,18,52,10,5,115,104,97,112,101,24,7,32,1,40,11,50,35,46,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,84,101,110,115,111,114,83,104,97,112,101,80,114,111,116,111,72,0,18,48,10,6,116,101,110,115,111,114,24,8,32,1,40,11,50,30,46,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,84,101,110,115,111,114,80,114,111,116,111,72,0,18,54,10,4,108,105,115,116,24,1,32,1,40,11,50,38,46,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,65,116,116,114,86,97,108,117,101,46,76,105,115,116,86,97,108,117,101,72,0,18,47,10,4,102,117,110,99,24,10,32,1,40,11,50,31,46,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,78,97,109,101,65,116,116,114,76,105,115,116,72,0,18,21,10,11,112,108,97,99,101,104,111,108,100,101,114,24,9,32,1,40,9,72,0,26,214,1,10,9,76,105,115,116,86,97,108,117,101,18,9,10,1,115,24,2,32,3,40,12,18,13,10,1,105,24,3,32,3,40,3,66,2,16,1,18,13,10,1,102,24,4,32,3,40,2,66,2,16,1,18,13,10,1,98,24,5,32,3,40,8,66,2,16,1,18,45,10,4,116,121,112,101,24,6,32,3,40,14,50,27,46,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,68,97,116,97,84,121,112,101,66,2,16,1,18,50,10,5,115,104,97,112,101,24,7,32,3,40,11,50,35,46,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,84,101,110,115,111,114,83,104,97,112,101,80,114,111,116,111,18,46,10,6,116,101,110,115,111,114,24,8,32,3,40,11,50,30,46,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,84,101,110,115,111,114,80,114,111,116,111,66,7,10,5,118,97,108,117,101,34,160,1,10,12,78,97,109,101,65,116,116,114,76,105,115,116,18,12,10,4,110,97,109,101,24,1,32,1,40,9,18,55,10,4,97,116,116,114,24,2,32,3,40,11,50,41,46,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,78,97,109,101,65,116,116,114,76,105,115,116,46,65,116,116,114,69,110,116,114,121,26,73,10,9,65,116,116,114,69,110,116,114,121,18,11,10,3,107,101,121,24,1,32,1,40,9,18,43,10,5,118,97,108,117,101,24,2,32,1,40,11,50,28,46,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,65,116,116,114,86,97,108,117,101,58,2,56,1,66,48,10,24,111,114,103,46,116,101,110,115,111,114,102,108,111,119,46,102,114,97,109,101,119,111,114,107,66,15,65,116,116,114,86,97,108,117,101,80,114,111,116,111,115,80,1,248,1,1,98,6,112,114,111,116,111,51,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,109,105,115,99,47,116,101,110,115,111,114,102,108,111,119,47,97,116,116,114,95,118,97,108,117,101,46,112,98,46,99,99,0,77,97,112,75,101,121,58,58,116,121,112,101,32,77,97,112,75,101,121,32,105,115,32,110,111,116,32,105,110,105,116,105,97,108,105,122,101,100,46,32,0,67,97,108,108,32,115,101,116,32,109,101,116,104,111,100,115,32,116,111,32,105,110,105,116,105,97,108,105,122,101,32,77,97,112,75,101,121,46,0,78,49,55,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,49,50,78,97,109,101,65,116,116,114,76,105,115,116,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,56,105,110,116,101,114,110,97,108,50,57,73,110,116,101,114,110,97,108,77,101,116,97,100,97,116,97,87,105,116,104,65,114,101,110,97,66,97,115,101,73,78,83,48,95,49,53,85,110,107,110,111,119,110,70,105,101,108,100,83,101,116,69,78,83,49,95,50,53,73,110,116,101,114,110,97,108,77,101,116,97,100,97,116,97,87,105,116,104,65,114,101,110,97,69,69,57,67,111,110,116,97,105,110,101,114,69,0,78,49,55,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,57,65,116,116,114,86,97,108,117,101,69,0,78,49,55,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,51,49,78,97,109,101,65,116,116,114,76,105,115,116,95,65,116,116,114,69,110,116,114,121,95,68,111,78,111,116,85,115,101,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,56,105,110,116,101,114,110,97,108,56,77,97,112,69,110,116,114,121,73,78,49,55,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,51,49,78,97,109,101,65,116,116,114,76,105,115,116,95,65,116,116,114,69,110,116,114,121,95,68,111,78,111,116,85,115,101,69,78,83,116,51,95,95,50,49,50,98,97,115,105,99,95,115,116,114,105,110,103,73,99,78,83,53,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,78,83,53,95,57,97,108,108,111,99,97,116,111,114,73,99,69,69,69,69,78,83,51,95,57,65,116,116,114,86,97,108,117,101,69,76,78,83,49,95,49,52,87,105,114,101,70,111,114,109,97,116,76,105,116,101,57,70,105,101,108,100,84,121,112,101,69,57,69,76,83,69,95,49,49,69,76,105,48,69,69,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,56,105,110,116,101,114,110,97,108,49,50,77,97,112,69,110,116,114,121,73,109,112,108,73,78,49,55,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,51,49,78,97,109,101,65,116,116,114,76,105,115,116,95,65,116,116,114,69,110,116,114,121,95,68,111,78,111,116,85,115,101,69,78,83,48,95,55,77,101,115,115,97,103,101,69,78,83,116,51,95,95,50,49,50,98,97,115,105,99,95,115,116,114,105,110,103,73,99,78,83,54,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,78,83,54,95,57,97,108,108,111,99,97,116,111,114,73,99,69,69,69,69,78,83,51,95,57,65,116,116,114,86,97,108,117,101,69,76,78,83,49,95,49,52,87,105,114,101,70,111,114,109,97,116,76,105,116,101,57,70,105,101,108,100,84,121,112,101,69,57,69,76,83,70,95,49,49,69,76,105,48,69,69,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,49,54,82,101,112,101,97,116,101,100,80,116,114,70,105,101,108,100,73,78,83,48,95,55,77,101,115,115,97,103,101,69,69,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,56,105,110,116,101,114,110,97,108,50,48,82,101,112,101,97,116,101,100,80,116,114,70,105,101,108,100,66,97,115,101,69,0,77,97,112,75,101,121,58,58,71,101,116,83,116,114,105,110,103,86,97,108,117,101,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,56,105,110,116,101,114,110,97,108,56,77,97,112,70,105,101,108,100,73,78,49,55,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,51,49,78,97,109,101,65,116,116,114,76,105,115,116,95,65,116,116,114,69,110,116,114,121,95,68,111,78,111,116,85,115,101,69,78,83,116,51,95,95,50,49,50,98,97,115,105,99,95,115,116,114,105,110,103,73,99,78,83,53,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,78,83,53,95,57,97,108,108,111,99,97,116,111,114,73,99,69,69,69,69,78,83,51,95,57,65,116,116,114,86,97,108,117,101,69,76,78,83,49,95,49,52,87,105,114,101,70,111,114,109,97,116,76,105,116,101,57,70,105,101,108,100,84,121,112,101,69,57,69,76,83,69,95,49,49,69,76,105,48,69,69,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,56,105,110,116,101,114,110,97,108,50,51,84,121,112,101,68,101,102,105,110,101,100,77,97,112,70,105,101,108,100,66,97,115,101,73,78,83,116,51,95,95,50,49,50,98,97,115,105,99,95,115,116,114,105,110,103,73,99,78,83,51,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,78,83,51,95,57,97,108,108,111,99,97,116,111,114,73,99,69,69,69,69,78,49,55,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,57,65,116,116,114,86,97,108,117,101,69,69,69,0,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,78,97,109,101,65,116,116,114,76,105,115,116,46,110,97,109,101,0,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,78,97,109,101,65,116,116,114,76,105,115,116,46,65,116,116,114,69,110,116,114,121,46,107,101,121,0,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,65,116,116,114,86,97,108,117,101,46,112,108,97,99,101,104,111,108,100,101,114,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,56,105,110,116,101,114,110,97,108,49,50,77,97,112,69,110,116,114,121,73,109,112,108,73,78,49,55,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,51,49,78,97,109,101,65,116,116,114,76,105,115,116,95,65,116,116,114,69,110,116,114,121,95,68,111,78,111,116,85,115,101,69,78,83,48,95,55,77,101,115,115,97,103,101,69,78,83,116,51,95,95,50,49,50,98,97,115,105,99,95,115,116,114,105,110,103,73,99,78,83,54,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,78,83,54,95,57,97,108,108,111,99,97,116,111,114,73,99,69,69,69,69,78,83,51,95,57,65,116,116,114,86,97,108,117,101,69,76,78,83,49,95,49,52,87,105,114,101,70,111,114,109,97,116,76,105,116,101,57,70,105,101,108,100,84,121,112,101,69,57,69,76,83,70,95,49,49,69,76,105,48,69,69,49,53,77,97,112,69,110,116,114,121,87,114,97,112,112,101,114,69,0,78,49,55,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,49,57,65,116,116,114,86,97,108,117,101,95,76,105,115,116,86,97,108,117,101,69,0,10,11,116,121,112,101,115,46,112,114,111,116,111,18,17,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,42,156,5,10,8,68,97,116,97,84,121,112,101,18,14,10,10,68,84,95,73,78,86,65,76,73,68,16,0,18,12,10,8,68,84,95,70,76,79,65,84,16,1,18,13,10,9,68,84,95,68,79,85,66,76,69,16,2,18,12,10,8,68,84,95,73,78,84,51,50,16,3,18,12,10,8,68,84,95,85,73,78,84,56,16,4,18,12,10,8,68,84,95,73,78,84,49,54,16,5,18,11,10,7,68,84,95,73,78,84,56,16,6,18,13,10,9,68,84,95,83,84,82,73,78,71,16,7,18,16,10,12,68,84,95,67,79,77,80,76,69,88,54,52,16,8,18,12,10,8,68,84,95,73,78,84,54,52,16,9,18,11,10,7,68,84,95,66,79,79,76,16,10,18,12,10,8,68,84,95,81,73,78,84,56,16,11,18,13,10,9,68,84,95,81,85,73,78,84,56,16,12,18,13,10,9,68,84,95,81,73,78,84,51,50,16,13,18,15,10,11,68,84,95,66,70,76,79,65,84,49,54,16,14,18,13,10,9,68,84,95,81,73,78,84,49,54,16,15,18,14,10,10,68,84,95,81,85,73,78,84,49,54,16,16,18,13,10,9,68,84,95,85,73,78,84,49,54,16,17,18,17,10,13,68,84,95,67,79,77,80,76,69,88,49,50,56,16,18,18,11,10,7,68,84,95,72,65,76,70,16,19,18,16,10,12,68,84,95,70,76,79,65,84,95,82,69,70,16,101,18,17,10,13,68,84,95,68,79,85,66,76,69,95,82,69,70,16,102,18,16,10,12,68,84,95,73,78,84,51,50,95,82,69,70,16,103,18,16,10,12,68,84,95,85,73,78,84,56,95,82,69,70,16,104,18,16,10,12,68,84,95,73,78,84,49,54,95,82,69,70,16,105,18,15,10,11,68,84,95,73,78,84,56,95,82,69,70,16,106,18,17,10,13,68,84,95,83,84,82,73,78,71,95,82,69,70,16,107,18,20,10,16,68,84,95,67,79,77,80,76,69,88,54,52,95,82,69,70,16,108,18,16,10,12,68,84,95,73,78,84,54,52,95,82,69,70,16,109,18,15,10,11,68,84,95,66,79,79,76,95,82,69,70,16,110,18,16,10,12,68,84,95,81,73,78,84,56,95,82,69,70,16,111,18,17,10,13,68,84,95,81,85,73,78,84,56,95,82,69,70,16,112,18,17,10,13,68,84,95,81,73,78,84,51,50,95,82,69,70,16,113,18,19,10,15,68,84,95,66,70,76,79,65,84,49,54,95,82,69,70,16,114,18,17,10,13,68,84,95,81,73,78,84,49,54,95,82,69,70,16,115,18,18,10,14,68,84,95,81,85,73,78,84,49,54,95,82,69,70,16,116,18,17,10,13,68,84,95,85,73,78,84,49,54,95,82,69,70,16,117,18,21,10,17,68,84,95,67,79,77,80,76,69,88,49,50,56,95,82,69,70,16,118,18,15,10,11,68,84,95,72,65,76,70,95,82,69,70,16,119,66,44,10,24,111,114,103,46,116,101,110,115,111,114,102,108,111,119,46,102,114,97,109,101,119,111,114,107,66,11,84,121,112,101,115,80,114,111,116,111,115,80,1,248,1,1,98,6,112,114,111,116,111,51,0,116,121,112,101,115,46,112,114,111,116,111,0,116,101,110,115,111,114,46,112,114,111,116,111,0,10,12,116,101,110,115,111,114,46,112,114,111,116,111,18,17,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,26,18,116,101,110,115,111,114,95,115,104,97,112,101,46,112,114,111,116,111,26,11,116,121,112,101,115,46,112,114,111,116,111,34,243,2,10,11,84,101,110,115,111,114,80,114,111,116,111,18,42,10,5,100,116,121,112,101,24,1,32,1,40,14,50,27,46,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,68,97,116,97,84,121,112,101,18,57,10,12,116,101,110,115,111,114,95,115,104,97,112,101,24,2,32,1,40,11,50,35,46,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,84,101,110,115,111,114,83,104,97,112,101,80,114,111,116,111,18,22,10,14,118,101,114,115,105,111,110,95,110,117,109,98,101,114,24,3,32,1,40,5,18,22,10,14,116,101,110,115,111,114,95,99,111,110,116,101,110,116,24,4,32,1,40,12,18,20,10,8,104,97,108,102,95,118,97,108,24,13,32,3,40,5,66,2,16,1,18,21,10,9,102,108,111,97],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+409604);allocate([116,95,118,97,108,24,5,32,3,40,2,66,2,16,1,18,22,10,10,100,111,117,98,108,101,95,118,97,108,24,6,32,3,40,1,66,2,16,1,18,19,10,7,105,110,116,95,118,97,108,24,7,32,3,40,5,66,2,16,1,18,18,10,10,115,116,114,105,110,103,95,118,97,108,24,8,32,3,40,12,18,24,10,12,115,99,111,109,112,108,101,120,95,118,97,108,24,9,32,3,40,2,66,2,16,1,18,21,10,9,105,110,116,54,52,95,118,97,108,24,10,32,3,40,3,66,2,16,1,18,20,10,8,98,111,111,108,95,118,97,108,24,11,32,3,40,8,66,2,16,1,18,24,10,12,100,99,111,109,112,108,101,120,95,118,97,108,24,12,32,3,40,1,66,2,16,1,66,45,10,24,111,114,103,46,116,101,110,115,111,114,102,108,111,119,46,102,114,97,109,101,119,111,114,107,66,12,84,101,110,115,111,114,80,114,111,116,111,115,80,1,248,1,1,98,6,112,114,111,116,111,51,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,109,105,115,99,47,116,101,110,115,111,114,102,108,111,119,47,116,101,110,115,111,114,46,112,98,46,99,99,0,78,49,55,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,49,49,84,101,110,115,111,114,80,114,111,116,111,69,0,103,114,97,112,104,46,112,114,111,116,111,0,10,11,103,114,97,112,104,46,112,114,111,116,111,18,17,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,26,16,97,116,116,114,95,118,97,108,117,101,46,112,114,111,116,111,26,14,102,117,110,99,116,105,111,110,46,112,114,111,116,111,26,14,118,101,114,115,105,111,110,115,46,112,114,111,116,111,34,178,1,10,8,71,114,97,112,104,68,101,102,18,40,10,4,110,111,100,101,24,1,32,3,40,11,50,26,46,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,78,111,100,101,68,101,102,18,47,10,8,118,101,114,115,105,111,110,115,24,4,32,1,40,11,50,29,46,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,86,101,114,115,105,111,110,68,101,102,18,19,10,7,118,101,114,115,105,111,110,24,3,32,1,40,5,66,2,24,1,18,54,10,7,108,105,98,114,97,114,121,24,2,32,1,40,11,50,37,46,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,70,117,110,99,116,105,111,110,68,101,102,76,105,98,114,97,114,121,34,193,1,10,7,78,111,100,101,68,101,102,18,12,10,4,110,97,109,101,24,1,32,1,40,9,18,10,10,2,111,112,24,2,32,1,40,9,18,13,10,5,105,110,112,117,116,24,3,32,3,40,9,18,14,10,6,100,101,118,105,99,101,24,4,32,1,40,9,18,50,10,4,97,116,116,114,24,5,32,3,40,11,50,36,46,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,78,111,100,101,68,101,102,46,65,116,116,114,69,110,116,114,121,26,73,10,9,65,116,116,114,69,110,116,114,121,18,11,10,3,107,101,121,24,1,32,1,40,9,18,43,10,5,118,97,108,117,101,24,2,32,1,40,11,50,28,46,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,65,116,116,114,86,97,108,117,101,58,2,56,1,66,44,10,24,111,114,103,46,116,101,110,115,111,114,102,108,111,119,46,102,114,97,109,101,119,111,114,107,66,11,71,114,97,112,104,80,114,111,116,111,115,80,1,248,1,1,98,6,112,114,111,116,111,51,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,109,105,115,99,47,116,101,110,115,111,114,102,108,111,119,47,103,114,97,112,104,46,112,98,46,99,99,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,56,105,110,116,101,114,110,97,108,49,50,77,97,112,69,110,116,114,121,73,109,112,108,73,78,49,55,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,50,54,78,111,100,101,68,101,102,95,65,116,116,114,69,110,116,114,121,95,68,111,78,111,116,85,115,101,69,78,83,48,95,55,77,101,115,115,97,103,101,69,78,83,116,51,95,95,50,49,50,98,97,115,105,99,95,115,116,114,105,110,103,73,99,78,83,54,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,78,83,54,95,57,97,108,108,111,99,97,116,111,114,73,99,69,69,69,69,78,83,51,95,57,65,116,116,114,86,97,108,117,101,69,76,78,83,49,95,49,52,87,105,114,101,70,111,114,109,97,116,76,105,116,101,57,70,105,101,108,100,84,121,112,101,69,57,69,76,83,70,95,49,49,69,76,105,48,69,69,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,56,105,110,116,101,114,110,97,108,56,77,97,112,69,110,116,114,121,73,78,49,55,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,50,54,78,111,100,101,68,101,102,95,65,116,116,114,69,110,116,114,121,95,68,111,78,111,116,85,115,101,69,78,83,116,51,95,95,50,49,50,98,97,115,105,99,95,115,116,114,105,110,103,73,99,78,83,53,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,78,83,53,95,57,97,108,108,111,99,97,116,111,114,73,99,69,69,69,69,78,83,51,95,57,65,116,116,114,86,97,108,117,101,69,76,78,83,49,95,49,52,87,105,114,101,70,111,114,109,97,116,76,105,116,101,57,70,105,101,108,100,84,121,112,101,69,57,69,76,83,69,95,49,49,69,76,105,48,69,69,69,0,78,49,55,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,50,54,78,111,100,101,68,101,102,95,65,116,116,114,69,110,116,114,121,95,68,111,78,111,116,85,115,101,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,56,105,110,116,101,114,110,97,108,56,77,97,112,70,105,101,108,100,73,78,49,55,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,50,54,78,111,100,101,68,101,102,95,65,116,116,114,69,110,116,114,121,95,68,111,78,111,116,85,115,101,69,78,83,116,51,95,95,50,49,50,98,97,115,105,99,95,115,116,114,105,110,103,73,99,78,83,53,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,78,83,53,95,57,97,108,108,111,99,97,116,111,114,73,99,69,69,69,69,78,83,51,95,57,65,116,116,114,86,97,108,117,101,69,76,78,83,49,95,49,52,87,105,114,101,70,111,114,109,97,116,76,105,116,101,57,70,105,101,108,100,84,121,112,101,69,57,69,76,83,69,95,49,49,69,76,105,48,69,69,69,0,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,78,111,100,101,68,101,102,46,110,97,109,101,0,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,78,111,100,101,68,101,102,46,111,112,0,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,78,111,100,101,68,101,102,46,105,110,112,117,116,0,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,78,111,100,101,68,101,102,46,100,101,118,105,99,101,0,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,78,111,100,101,68,101,102,46,65,116,116,114,69,110,116,114,121,46,107,101,121,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,56,105,110,116,101,114,110,97,108,49,50,77,97,112,69,110,116,114,121,73,109,112,108,73,78,49,55,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,50,54,78,111,100,101,68,101,102,95,65,116,116,114,69,110,116,114,121,95,68,111,78,111,116,85,115,101,69,78,83,48,95,55,77,101,115,115,97,103,101,69,78,83,116,51,95,95,50,49,50,98,97,115,105,99,95,115,116,114,105,110,103,73,99,78,83,54,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,78,83,54,95,57,97,108,108,111,99,97,116,111,114,73,99,69,69,69,69,78,83,51,95,57,65,116,116,114,86,97,108,117,101,69,76,78,83,49,95,49,52,87,105,114,101,70,111,114,109,97,116,76,105,116,101,57,70,105,101,108,100,84,121,112,101,69,57,69,76,83,70,95,49,49,69,76,105,48,69,69,49,53,77,97,112,69,110,116,114,121,87,114,97,112,112,101,114,69,0,78,49,55,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,55,78,111,100,101,68,101,102,69,0,78,49,55,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,56,71,114,97,112,104,68,101,102,69,0,116,101,110,115,111,114,95,115,104,97,112,101,46,112,114,111,116,111,0,10,18,116,101,110,115,111,114,95,115,104,97,112,101,46,112,114,111,116,111,18,17,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,34,129,1,10,16,84,101,110,115,111,114,83,104,97,112,101,80,114,111,116,111,18,52,10,3,100,105,109,24,2,32,3,40,11,50,39,46,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,84,101,110,115,111,114,83,104,97,112,101,80,114,111,116,111,46,68,105,109,18,20,10,12,117,110,107,110,111,119,110,95,114,97,110,107,24,3,32,1,40,8,26,33,10,3,68,105,109,18,12,10,4,115,105,122,101,24,1,32,1,40,3,18,12,10,4,110,97,109,101,24,2,32,1,40,9,66,50,10,24,111,114,103,46,116,101,110,115,111,114,102,108,111,119,46,102,114,97,109,101,119,111,114,107,66,17,84,101,110,115,111,114,83,104,97,112,101,80,114,111,116,111,115,80,1,248,1,1,98,6,112,114,111,116,111,51,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,109,105,115,99,47,116,101,110,115,111,114,102,108,111,119,47,116,101,110,115,111,114,95,115,104,97,112,101,46,112,98,46,99,99,0,78,49,55,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,49,54,84,101,110,115,111,114,83,104,97,112,101,80,114,111,116,111,69,0,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,84,101,110,115,111,114,83,104,97,112,101,80,114,111,116,111,46,68,105,109,46,110,97,109,101,0,78,49,55,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,50,48,84,101,110,115,111,114,83,104,97,112,101,80,114,111,116,111,95,68,105,109,69,0,111,112,101,110,99,118,45,99,97,102,102,101,46,112,114,111,116,111,0,10,18,111,112,101,110,99,118,45,99,97,102,102,101,46,112,114,111,116,111,18,12,111,112,101,110,99,118,95,99,97,102,102,101,34,28,10,9,66,108,111,98,83,104,97,112,101,18,15,10,3,100,105,109,24,1,32,3,40,3,66,2,16,1,34,148,2,10,9,66,108,111,98,80,114,111,116,111,18,38,10,5,115,104,97,112,101,24,7,32,1,40,11,50,23,46,111,112,101,110,99,118,95,99,97,102,102,101,46,66,108,111,98,83,104,97,112,101,18,16,10,4,100,97,116,97,24,5,32,3,40,2,66,2,16,1,18,16,10,4,100,105,102,102,24,6,32,3,40,2,66,2,16,1,18,23,10,11,100,111,117,98,108,101,95,100,97,116,97,24,8,32,3,40,1,66,2,16,1,18,23,10,11,100,111,117,98,108,101,95,100,105,102,102,24,9,32,3,40,1,66,2,16,1,18,41,10,13,114,97,119,95,100,97,116,97,95,116,121,112,101,24,10,32,1,40,14,50,18,46,111,112,101,110,99,118,95,99,97,102,102,101,46,84,121,112,101,18,20,10,8,114,97,119,95,100,97,116,97,24,12,32,1,40,12,66,2,16,0,18,14,10,3,110,117,109,24,1,32,1,40,5,58,1,48,18,19,10,8,99,104,97,110,110,101,108,115,24,2,32,1,40,5,58,1,48,18,17,10,6,104,101,105,103,104,116,24,3,32,1,40,5,58,1,48,18,16,10,5,119,105,100,116,104,24,4,32,1,40,5,58,1,48,34,57,10,15,66,108,111,98,80,114,111,116,111,86,101,99,116,111,114,18,38,10,5,98,108,111,98,115,24,1,32,3,40,11,50,23,46,111,112,101,110,99,118,95,99,97,102,102,101,46,66,108,111,98,80,114,111,116,111,34,33,10,16,80,101,114,109,117,116,101,80,97,114,97,109,101,116,101,114,18,13,10,5,111,114,100,101,114,24,1,32,3,40,13,34,157,1,10,22,78,111,114,109,97,108,105,122,101,66,66,111,120,80,97,114,97,109,101,116,101,114,18,28,10,14,97,99,114,111,115,115,95,115,112,97,116,105,97,108,24,1,32,1,40,8,58,4,116,114,117,101,18,51,10,12,115,99,97,108,101,95,102,105,108,108,101,114,24,2,32,1,40,11,50,29,46,111,112,101,110,99,118,95,99,97,102,102,101,46,70,105,108,108,101,114,80,97,114,97,109,101,116,101,114,18,28,10,14,99,104,97,110,110,101,108,95,115,104,97,114,101,100,24,3,32,1,40,8,58,4,116,114,117,101,18,18,10,3,101,112,115,24,4,32,1,40,2,58,5,49,101,45,49,48,34,230,2,10,17,80,114,105,111,114,66,111,120,80,97,114,97,109,101,116,101,114,18,16,10,8,109,105,110,95,115,105,122,101,24,1,32,1,40,2,18,16,10,8,109,97,120,95,115,105,122,101,24,2,32,1,40,2,18,20,10,12,97,115,112,101,99,116,95,114,97,116,105,111,24,3,32,3,40,2,18,18,10,4,102,108,105,112,24,4,32,1,40,8,58,4,116,114,117,101,18,18,10,4,99,108,105,112,24,5,32,1,40,8,58,4,116,114,117,101,18,16,10,8,118,97,114,105,97,110,99,101,24,6,32,3,40,2,18,16,10,8,105,109,103,95,115,105,122,101,24,7,32,1,40,13,18,13,10,5,105,109,103,95,104,24,8,32,1,40,13,18,13,10,5,105,109,103,95,119,24,9,32,1,40,13,18,12,10,4,115,116,101,112,24,10,32,1,40,2,18,14,10,6,115,116,101,112,95,104,24,11,32,1,40,2,18,14,10,6,115,116,101,112,95,119,24,12,32,1,40,2,18,19,10,6,111,102,102,115,101,116,24,13,32,1,40,2,58,3,48,46,53,18,16,10,8,111,102,102,115,101,116,95,104,24,14,32,3,40,2,18,16,10,8,111,102,102,115,101,116,95,119,24,15,32,3,40,2,18,13,10,5,119,105,100,116,104,24,16,32,3,40,2,18,14,10,6,104,101,105,103,104,116,24,17,32,3,40,2,34,39,10,8,67,111,100,101,84,121,112,101,18,10,10,6,67,79,82,78,69,82,16,1,18,15,10,11,67,69,78,84,69,82,95,83,73,90,69,16,2,34,177,3,10,24,68,101,116,101,99,116,105,111,110,79,117,116,112,117,116,80,97,114,97,109,101,116,101,114,18,19,10,11,110,117,109,95,99,108,97,115,115,101,115,24,1,32,1,40,13,18,28,10,14,115,104,97,114,101,95,108,111,99,97,116,105,111,110,24,2,32,1,40,8,58,4,116,114,117,101,18,30,10,19,98,97,99,107,103,114,111,117,110,100,95,108,97,98,101,108,95,105,100,24,3,32,1,40,5,58,1,48,18,63,10,9,110,109,115,95,112,97,114,97,109,24,4,32,1,40,11,50,44,46,111,112,101,110,99,118,95,99,97,102,102,101,46,78,111,110,77,97,120,105,109,117,109,83,117,112,112,114,101,115,115,105,111,110,80,97,114,97,109,101,116,101,114,18,60,10,17,115,97,118,101,95,111,117,116,112,117,116,95,112,97,114,97,109,24,5,32,1,40,11,50,33,46,111,112,101,110,99,118,95,99,97,102,102,101,46,83,97,118,101,79,117,116,112,117,116,80,97,114,97,109,101,116,101,114,18,67,10,9,99,111,100,101,95,116,121,112,101,24,6,32,1,40,14,50,40,46,111,112,101,110,99,118,95,99,97,102,102,101,46,80,114,105,111,114,66,111,120,80,97,114,97,109,101,116,101,114,46,67,111,100,101,84,121,112,101,58,6,67,79,82,78,69,82,18,41,10,26,118,97,114,105,97,110,99,101,95,101,110,99,111,100,101,100,95,105,110,95,116,97,114,103,101,116,24,8,32,1,40,8,58,5,102,97,108,115,101,18,22,10,10,107,101,101,112,95,116,111,112,95,107,24,7,32,1,40,5,58,2,45,49,18,28,10,20,99,111,110,102,105,100,101,110,99,101,95,116,104,114,101,115,104,111,108,100,24,9,32,1,40,2,18,29,10,15,110,111,114,109,97,108,105,122,101,100,95,98,98,111,120,24,10,32,1,40,8,58,4,116,114,117,101,34,129,1,10,5,68,97,116,117,109,18,16,10,8,99,104,97,110,110,101,108,115,24,1,32,1,40,5,18,14,10,6,104,101,105,103,104,116,24,2,32,1,40,5,18,13,10,5,119,105,100,116,104,24,3,32,1,40,5,18,12,10,4,100,97,116,97,24,4,32,1,40,12,18,13,10,5,108,97,98,101,108,24,5,32,1,40,5,18,18,10,10,102,108,111,97,116,95,100,97,116,97,24,6,32,3,40,2,18,22,10,7,101,110,99,111,100,101,100,24,7,32,1,40,8,58,5,102,97,108,115,101,34,145,2,10,15,70,105,108,108,101,114,80,97,114,97,109,101,116,101,114,18,22,10,4,116,121,112,101,24,1,32,1,40,9,58,8,99,111,110,115,116,97,110,116,18,16,10,5,118,97,108,117,101,24,2,32,1,40,2,58,1,48,18,14,10,3,109,105,110,24,3,32,1,40,2,58,1,48,18,14,10,3,109,97,120,24,4,32,1,40,2,58,1,49,18,15,10,4,109,101,97,110,24,5,32,1,40,2,58,1,48,18,14,10,3,115,116,100,24,6,32,1,40,2,58,1,49,18,18,10,6,115,112,97,114,115,101,24,7,32,1,40,5,58,2,45,49,18,73,10,13,118,97,114,105,97,110,99,101,95,110,111,114,109,24,8,32,1,40,14,50,42,46,111,112,101,110,99,118,95,99,97,102,102,101,46,70,105,108,108,101,114,80,97,114,97,109,101,116,101,114,46,86,97,114,105,97,110,99,101,78,111,114,109,58,6,70,65,78,95,73,78,34,52,10,12,86,97,114,105,97,110,99,101,78,111,114,109,18,10,10,6,70,65,78,95,73,78,16,0,18,11,10,7,70,65,78,95,79,85,84,16,1,18,11,10,7,65,86,69,82,65,71,69,16,2,34,170,2,10,12,78,101,116,80,97,114,97,109,101,116,101,114,18,12,10,4,110,97,109,101,24,1,32,1,40,9,18,13,10,5,105,110,112,117,116,24,3,32,3,40,9,18,44,10,11,105,110,112,117,116,95,115,104,97,112,101,24,8,32,3,40,11,50,23,46,111,112,101,110,99,118,95,99,97,102,102,101,46,66,108,111,98,83,104,97,112,101,18,17,10,9,105,110,112,117,116,95,100,105,109,24,4,32,3,40,5,18,29,10,14,102,111,114,99,101,95,98,97,99,107,119,97,114,100,24,5,32,1,40,8,58,5,102,97,108,115,101,18,37,10,5,115,116,97,116,101,24,6,32,1,40,11,50,22,46,111,112,101,110,99,118,95,99,97,102,102,101,46,78,101,116,83,116,97,116,101,18,25,10,10,100,101,98,117,103,95,105,110,102,111,24,7,32,1,40,8,58,5,102,97,108,115,101,18,43,10,5,108,97,121,101,114,24,100,32,3,40,11,50,28,46,111,112,101,110,99,118,95,99,97,102,102,101,46,76,97,121,101,114,80,97,114,97,109,101,116,101,114,18,46,10,6,108,97,121,101,114,115,24,2,32,3,40,11,50,30,46,111,112,101,110,99,118,95,99,97,102,102,101,46,86,49,76,97,121,101,114,80,97,114,97,109,101,116,101,114,34,218,10,10,15,83,111,108,118,101,114,80,97,114,97,109,101,116,101,114,18,11,10,3,110,101,116,24,24,32,1,40,9,18,45,10,9,110,101,116,95,112,97,114,97,109,24,25,32,1,40,11,50,26,46,111,112,101,110,99,118,95,99,97,102,102,101,46,78,101,116,80,97,114,97,109,101,116,101,114,18,17,10,9,116,114,97,105,110,95,110,101,116,24,1,32,1,40,9,18,16,10,8,116,101,115,116,95,110,101,116,24,2,32,3,40,9,18,51,10,15,116,114,97,105,110,95,110,101,116,95,112,97,114,97,109,24,21,32,1,40,11,50,26,46,111,112,101,110,99,118,95,99,97,102,102,101,46,78,101,116,80,97,114,97,109,101,116,101,114,18,50,10,14,116,101,115,116,95,110,101,116,95,112,97,114,97,109,24,22,32,3,40,11,50,26,46,111,112,101,110,99,118,95,99,97,102,102,101,46,78,101,116,80,97,114,97,109,101,116,101,114,18,43,10,11,116,114,97,105,110,95,115,116,97,116,101,24,26,32,1,40,11,50,22,46,111,112,101,110,99,118,95,99,97,102,102,101,46,78,101,116,83,116,97,116,101,18,42,10,10,116,101,115,116,95,115,116,97,116,101,24,27,32,3,40,11,50,22,46,111,112,101,110,99,118,95,99,97,102,102,101,46,78,101,116,83,116,97,116,101,18,17,10,9,116,101,115,116,95,105,116,101,114,24,3,32,3,40,5,18,24,10,13,116,101,115,116,95,105,110,116,101,114,118,97,108,24,4,32,1,40,5,58,1,48,18,32,10,17,116,101,115,116,95,99,111,109,112,117,116,101,95,108,111,115,115,24,19,32,1,40,8,58,5,102,97,108,115,101,18,33,10,19,116,101,115,116,95,105,110,105,116,105,97,108,105,122,97,116,105,111,110,24,32,32,1,40,8,58,4,116,114,117,101,18,15,10,7,98,97,115,101,95,108,114,24,5,32,1,40,2,18,15,10,7,100,105,115,112,108,97,121,24,6,32,1,40,5,18,23,10,12,97,118,101,114,97,103,101,95,108,111,115,115,24,33,32,1,40,5,58,1,49,18,16,10,8,109,97,120,95,105,116,101,114,24,7,32,1,40,5,18,20,10,9,105,116,101,114,95,115,105,122,101,24,36,32,1,40,5,58,1,49,18,17,10,9,108,114,95,112,111,108,105,99,121,24,8,32,1,40,9,18,13,10,5,103,97,109,109,97,24,9,32,1,40,2,18,13,10,5,112,111,119,101,114,24,10,32,1,40,2,18,16,10,8,109,111,109,101,110,116,117,109,24,11,32,1,40,2,18,20,10,12,119,101,105,103,104,116,95,100,101,99,97,121,24,12,32,1,40,2,18,31,10,19,114,101,103,117,108,97,114,105,122,97,116,105,111,110,95,116,121,112,101,24,29,32,1,40,9,58,2,76,50,18,16,10,8,115,116,101,112,115,105,122,101,24,13,32,1,40,5,18,17,10,9,115,116,101,112,118,97,108,117,101,24,34,32,3,40,5,18,26,10,14,99,108,105,112,95,103,114,97,100,105,101,110,116,115,24,35,32,1,40,2,58,2,45,49,18,19,10,8,115,110,97,112,115,104,111,116,24,14,32,1,40,5,58,1,48,18,23,10,15,115,110,97,112,115,104,111,116,95,112,114,101,102,105,120,24,15,32,1,40,9,18,28,10,13,115,110,97,112,115,104,111,116,95,100,105,102,102,24,16,32,1,40,8,58,5,102,97,108,115,101,18,82,10,15,115,110,97,112,115,104,111,116,95,102,111,114,109,97,116,24,37,32,1,40,14,50,44,46,111,112,101,110,99,118,95,99,97,102,102,101,46,83,111,108,118,101,114,80,97,114,97,109,101,116,101,114,46,83,110,97,112,115,104,111,116,70,111,114,109,97,116,58,11,66,73,78,65,82,89,80,82,79,84,79,18,66,10,11,115,111,108,118,101,114,95,109,111,100,101,24,17,32,1,40,14,50,40,46,111,112,101,110,99,118,95,99,97,102,102,101,46,83,111,108,118,101,114,80,97,114,97,109,101,116,101,114,46,83,111,108,118,101,114,77,111,100,101,58,3,71,80,85,18,20,10,9,100,101,118,105,99,101,95,105,100,24,18,32,1,40,5,58,1,48,18,23,10,11,114,97,110,100,111,109,95,115,101,101,100,24,20,32,1,40,3,58,2,45,49,18,17,10,4,116,121,112,101,24,40,32,1,40,9,58,3,83,71,68,18,20,10,5,100,101,108,116,97,24,31,32,1,40,2,58,5,49,101,45,48,56,18,24,10,9,109,111,109,101,110,116,117,109,50,24,39,32,1,40,2,58,5,48,46,57,57,57,18,23,10,9,114,109,115,95,100,101,99,97,121,24,38,32,1,40,2,58,4,48,46,57,57,18,25,10,10,100,101,98,117,103,95,105,110,102,111,24,23,32,1,40,8,58,5,102,97,108,115,101,18,34,10,20,115,110,97,112,115,104,111,116,95,97,102,116,101,114,95,116,114,97,105,110,24,28,32,1,40,8,58,4,116,114,117,101,18,66,10,11,115,111,108,118,101,114,95,116,121,112,101,24,30,32,1,40,14,50,40,46,111,112,101,110,99,118,95,99,97,102,102,101,46,83,111,108,118,101,114,80,97,114,97,109,101,116,101,114,46,83,111,108,118,101,114,84,121,112,101,58,3,83,71,68,34,43,10,14,83,110,97,112,115,104,111,116,70,111,114,109,97,116,18,8,10,4,72,68,70,53,16,0,18,15,10,11,66,73,78,65,82,89,80,82,79,84,79,16,1,34,30,10,10,83,111,108,118,101,114,77,111,100,101,18,7,10,3,67,80,85,16,0,18,7,10,3,71,80,85,16,1,34,85,10,10,83,111,108,118,101,114,84,121,112,101,18,7,10,3,83,71,68,16,0,18,12,10,8,78,69,83,84,69,82,79,86,16,1,18,11,10,7,65,68,65,71,82,65,68,16,2,18,11,10,7,82,77,83,80,82,79,80,16,3,18,12,10,8,65,68,65,68,69,76,84,65,16,4,18,8,10,4,65,68,65,77,16,5,34,115,10,11,83,111,108,118,101,114,83,116,97,116,101,18,12,10,4,105,116,101,114,24,1,32,1,40,5,18,19,10,11,108,101,97,114,110,101,100,95,110,101,116,24,2,32,1,40,9,18,40,10,7,104,105,115,116,111,114,121,24,3,32,3,40,11,50,23,46,111,112,101,110,99,118,95,99,97,102,102,101,46,66,108,111,98,80,114,111,116,111,18,23,10,12,99,117,114,114,101,110,116,95,115,116,101,112,24,4,32,1,40,5,58,1,48,34,85,10,8,78,101,116,83,116,97,116,101,18,40,10,5,112,104,97,115,101,24,1,32,1,40,14,50,19,46,111,112,101,110,99,118,95,99,97,102,102,101,46,80,104,97,115,101,58,4,84,69,83,84,18,16,10,5,108,101,118,101,108,24,2,32,1,40,5,58,1,48,18,13,10,5,115,116,97,103,101,24,3,32,3,40,9,34,122,10,12,78,101,116,83,116,97,116,101,82,117,108,101,18,34,10,5,112,104,97,115,101,24,1,32,1,40,14,50,19,46,111,112,101,110,99,118,95,99,97,102,102,101,46,80,104,97,115,101,18,17,10,9,109,105,110,95,108,101,118,101,108,24,2,32,1,40,5,18,17,10,9,109,97,120,95,108,101,118,101,108,24,3,32,1,40,5,18,13,10,5,115,116,97,103,101,24,4,32,3,40,9,18,17,10,9,110,111,116,95,115,116,97,103,101,24,5,32,3,40,9,34,170,1,10,9,80,97,114,97,109,83,112,101,99,18,12,10,4,110,97,109,101,24,1,32,1,40,9,18,56,10,10,115,104,97,114,101,95,109,111,100,101,24,2,32,1,40,14,50,36,46,111,112,101,110,99,118,95,99,97,102,102,101,46,80,97,114,97,109,83,112,101,99,46,68,105,109,67,104,101,99,107,77,111,100,101,18,18,10,7,108,114,95,109,117,108,116,24,3,32,1,40,2,58,1,49,18,21,10,10,100,101,99,97,121,95,109,117,108,116,24,4,32,1,40,2,58,1,49,34,42,10,12,68,105,109,67,104,101,99,107,77,111,100,101,18,10,10,6,83,84,82,73,67,84,16,0,18,14,10,10,80,69,82,77,73,83,83,73,86,69,16,1,34,163,26,10,14,76,97,121,101,114,80,97,114,97,109,101,116,101,114,18,12,10,4,110,97,109,101,24,1,32,1,40,9,18,12,10,4,116,121,112,101,24,2,32,1,40,9,18,14,10,6,98,111,116,116,111,109,24,3,32,3,40,9,18,11,10,3,116,111,112,24,4,32,3,40,9,18,34,10,5,112,104,97,115,101,24,10,32,1,40,14,50,19,46,111,112,101,110,99,118,95,99,97,102,102,101,46,80,104,97,115,101,18,19,10,11,108,111,115,115,95,119,101,105,103,104,116,24,5,32,3,40,2,18,38,10,5,112,97,114,97,109,24,6,32,3,40,11,50,23,46,111,112,101,110,99,118,95,99,97,102,102,101,46,80,97,114,97,109,83,112,101,99,18,38,10,5,98,108,111,98,115,24,7,32,3,40,11,50,23,46,111,112,101,110,99,118,95,99,97,102,102,101,46,66,108,111,98,80,114,111,116,111,18,22,10,14,112,114,111,112,97,103,97,116,101,95,100,111,119,110,24,11,32,3,40,8,18,43,10,7,105,110,99,108,117,100,101,24,8,32,3,40,11,50,26,46,111,112,101,110,99,118,95,99,97,102,102,101,46,78,101,116,83,116,97,116,101,82,117,108,101,18,43,10,7,101,120,99,108,117,100,101,24,9,32,3,40,11,50,26,46,111,112,101,110,99,118,95,99,97,102,102,101,46,78,101,116,83,116,97,116,101,82,117,108,101,18,62,10,15,116,114,97,110,115,102,111,114,109,95,112,97,114,97,109,24,100,32,1,40,11,50,37,46,111,112,101,110,99,118,95,99,97,102,102,101,46,84,114,97,110,115,102,111,114,109,97,116,105,111,110,80,97,114,97,109,101,116,101,114,18,47,10,10,108,111,115,115,95,112,97,114,97,109,24,101,32,1,40,11,50,27,46,111,112,101,110,99,118,95,99,97,102,102,101,46,76,111,115,115,80,97,114,97,109,101,116,101,114,18,55,10,14,97,99,99,117,114,97,99,121,95,112,97,114,97,109,24,102,32,1,40,11,50,31,46,111,112,101,110,99,118,95,99,97,102,102,101,46,65,99,99,117,114,97,99,121,80,97,114,97,109,101,116,101,114,18,51,10,12,97,114,103,109,97,120,95,112,97,114,97,109,24,103,32,1,40,11,50,29,46,111,112,101,110,99,118,95,99,97,102,102,101,46,65,114,103,77,97,120,80,97,114,97,109,101,116,101,114,18,59,10,16,98,97,116,99,104,95,110,111,114,109,95,112,97,114,97,109,24,139,1,32,1,40,11,50,32,46,111,112,101,110,99,118,95,99,97,102,102,101,46,66,97,116,99,104,78,111,114,109,80,97,114,97,109,101,116,101,114,18,48,10,10,98,105,97,115,95,112,97,114,97,109,24,141,1,32,1,40,11,50,27,46,111,112,101,110,99,118,95,99,97,102,102,101,46,66,105,97,115,80,97,114,97,109,101,116,101,114,18,51,10,12,99,111,110,99,97,116,95,112,97,114,97,109,24,104,32,1,40,11,50,29,46,111,112,101,110,99,118,95,99,97,102,102,101,46,67,111,110,99,97,116,80,97,114,97,109,101,116,101,114,18,70,10,22,99,111,110,116,114,97,115,116,105,118,101,95,108,111,115,115,95,112,97,114,97,109,24,105,32,1,40,11,50,38,46,111,112,101,110,99,118,95,99,97,102,102,101,46,67,111,110,116,114,97,115,116,105,118,101,76,111,115,115,80,97,114,97,109,101,116,101,114,18,61,10,17,99,111,110,118,111,108,117,116,105,111,110,95,112,97,114,97,109,24,106,32,1,40,11,50,34,46,111,112,101,110,99,118,95,99,97,102,102,101,46,67,111,110,118,111,108,117,116,105,111,110,80,97,114,97,109,101,116,101,114,18,48,10,10,99,114,111,112,95,112,97,114,97,109,24,144,1,32,1,40,11,50,27,46,111,112,101,110,99,118,95,99,97,102,102,101,46,67,114,111,112,80,97,114,97,109,101,116,101,114,18,47,10,10,100,97,116,97,95,112,97,114,97,109,24,107,32,1,40,11,50,27,46,111,112,101,110,99,118,95,99,97,102,102,101,46,68,97,116,97,80,97,114,97,109,101,116,101,114,18,71,10,22,100,101,116,101,99,116,105,111,110,95,111,117,116,112,117,116,95,112,97,114,97,109,24,147,1,32,1,40,11,50,38,46,111,112,101,110,99,118,95,99,97,102,102,101,46,68,101,116,101,99,116,105,111,110,79,117,116,112,117,116,80,97,114,97,109,101,116,101,114,18,53,10,13,100,114,111,112,111,117,116,95,112,97,114,97,109,24,108,32,1,40,11,50,30,46,111,112,101,110,99,118,95,99,97,102,102,101,46,68,114,111,112,111,117,116,80,97,114,97,109,101,116,101,114,18,58,10,16,100,117,109,109,121,95,100,97,116,97,95,112,97,114,97,109,24,109,32,1,40,11,50,32,46,111,112,101,110,99,118,95,99,97,102,102,101,46,68,117,109,109,121,68,97,116,97,80,97,114,97,109,101,116,101,114,18,53,10,13,101,108,116,119,105,115,101,95,112,97,114,97,109,24,110,32,1,40,11,50,30,46,111,112,101,110,99,118,95,99,97,102,102,101,46,69,108,116,119,105,115,101,80,97,114,97,109,101,116,101,114,18,46,10,9,101,108,117,95,112,97,114,97,109,24,140,1,32,1,40,11,50,26,46,111,112,101,110,99,118,95,99,97,102,102,101,46,69,76,85,80,97,114,97,109,101,116,101,114,18,50,10,11,101,109,98,101,100,95,112,97,114,97,109,24,137,1,32,1,40,11,50,28,46,111,112,101,110,99,118,95,99,97,102,102,101,46,69,109,98,101,100,80,97,114,97,109,101,116,101,114,18,45,10,9,101,120,112,95,112,97,114,97,109,24,111,32,1,40,11,50,26,46,111,112,101,110,99,118,95,99,97,102,102,101,46,69,120,112,80,97,114,97,109,101,116,101,114,18,54,10,13,102,108,97,116,116,101,110,95,112,97,114,97,109,24,135,1,32,1,40,11,50,30,46,111,112,101,110,99,118,95,99,97,102,102,101,46,70,108,97,116,116,101,110,80,97,114,97,109,101,116,101,114,18,56,10,15,104,100,102,53,95,100,97,116,97,95,112,97,114,97,109,24,112,32,1,40,11,50,31,46,111,112,101,110,99,118,95,99,97,102,102,101,46,72,68,70,53,68,97,116,97,80,97,114,97,109,101,116,101,114,18,60,10,17,104,100,102,53,95,111,117,116,112,117,116,95,112,97,114,97,109,24,113,32,1,40,11,50,33,46,111,112,101,110,99,118,95,99,97,102,102,101,46,72,68,70,53,79,117,116,112,117,116,80,97,114,97,109,101,116,101,114,18,58,10,16,104,105,110,103,101,95,108,111,115,115,95,112,97,114,97,109,24,114,32,1,40,11,50,32,46,111,112,101,110,99,118,95,99,97,102,102,101,46,72,105,110,103,101,76,111,115,115,80,97,114,97,109,101,116,101,114,18,58,10,16,105,109,97,103,101,95,100,97,116,97,95,112,97,114,97,109,24,115,32,1,40,11,50,32,46,111,112,101,110,99,118,95,99,97,102,102,101,46,73,109,97,103,101,68,97,116,97,80,97,114,97,109,101,116,101,114,18,64,10,19,105,110,102,111,103,97,105,110,95,108,111,115,115,95,112,97,114,97,109,24,116,32,1,40,11,50,35,46,111,112,101,110,99,118,95,99,97,102,102,101,46,73,110,102,111,103,97,105,110,76,111,115,115,80,97,114,97,109,101,116,101,114,18,64,10,19,105,110,110,101,114,95,112,114,111,100,117,99,116,95,112,97,114,97,109,24,117,32,1,40,11,50,35,46,111,112,101,110,99,118,95,99,97,102,102,101,46,73,110,110,101,114,80,114,111,100,117,99,116,80,97,114,97,109,101,116,101,114,18,50,10,11,105,110,112,117,116,95,112,97,114,97,109,24,143,1,32,1,40,11,50,28,46,111,112,101,110,99,118,95,99,97,102,102,101,46,73,110,112,117,116,80,97,114,97,109,101,116,101,114,18,46,10,9,108,111,103,95,112,97,114,97,109,24,134,1,32,1,40,11,50,26,46,111,112,101,110,99,118,95,99,97,102,102,101,46,76,111,103,80,97,114,97,109,101,116,101,114,18,45,10,9,108,114,110,95,112,97,114,97,109,24,118,32,1,40,11,50,26,46,111,112,101,110,99,118,95,99,97,102,102,101,46,76,82,78,80,97,114,97,109,101,116,101,114,18,60,10,17,109,101,109,111,114,121,95,100,97,116,97,95,112,97,114,97,109,24,119,32,1,40,11,50,33,46,111,112,101,110,99,118,95,99,97,102,102,101,46,77,101,109,111,114,121,68,97,116,97,80,97,114,97,109,101,116,101,114,18,45,10,9,109,118,110,95,112,97,114,97,109,24,120,32,1,40,11,50,26,46,111,112,101,110,99,118,95,99,97,102,102,101,46,77,86,78,80,97,114,97,109,101,116,101,114,18,57,10,10,110,111,114,109,95,112,97,114,97,109,24,149,1,32,1,40,11,50,36,46,111,112,101,110,99,118,95,99,97,102,102,101,46,78,111,114,109,97,108,105,122,101,66,66,111,120,80,97,114,97,109,101,116,101,114,18,54,10,13,112,101,114,109,117,116,101,95,112,97,114,97,109,24,148,1,32,1,40,11,50,30,46,111,112,101,110,99,118,95,99,97,102,102,101,46,80,101,114,109,117,116,101,80,97,114,97,109,101,116,101,114,18,58,10,15,112,97,114,97,109,101,116,101,114,95,112,97,114,97,109,24,145,1,32,1,40,11,50,32,46,111,112,101,110,99,118,95,99,97,102,102,101,46,80,97,114,97,109,101,116,101,114,80,97,114,97,109,101,116,101,114,18,53,10,13,112,111,111,108,105,110,103,95,112,97,114,97,109,24,121,32,1,40,11,50,30,46,111,112,101,110,99,118,95,99,97,102,102,101,46,80,111,111,108,105,110,103,80,97,114,97,109,101,116,101,114,18,49,10,11,112,111,119,101,114,95,112,97,114,97,109,24,122,32,1,40,11,50,28,46,111,112,101,110,99,118,95,99,97,102,102,101,46,80,111,119,101,114,80,97,114,97,109,101,116,101,114,18,50,10,11,112,114,101,108,117,95,112,97,114,97,109,24,131,1,32,1,40,11,50,28,46,111,112,101,110,99,118,95,99,97,102,102,101,46,80,82,101,76,85,80,97,114,97,109,101,116,101,114,18,57,10,15,112,114,105,111,114,95,98,111,120,95,112,97,114,97,109,24,150,1,32,1,40,11,50,31,46,111,112,101,110,99,118,95,99,97,102,102,101,46,80,114,105,111,114,66,111,120,80,97,114,97,109,101,116,101,114,18,56,10,14,112,114,111,112,111,115,97,108,95,112,97,114,97,109,24,201,1,32,1,40,11,50,31,46,111,112,101,110,99,118,95,99,97,102,102,101,46,80,114,111,112,111,115,97,108,80,97,114,97,109,101,116,101,114,18,65,10,19,112,115,114,111,105,95,112,111,111,108,105,110,103,95,112,97,114,97,109,24,146,78,32,1,40,11,50,35,46,111,112,101,110,99,118,95,99,97,102,102,101,46,80,83,82,79,73,80,111,111,108,105,110,103,80,97,114,97,109,101,116,101,114,18,52,10,12,112,121,116,104,111,110,95,112,97,114,97,109,24,130,1,32,1,40,11,50,29,46,111,112,101,110,99,118,95,99,97,102,102,101,46,80,121,116,104,111,110,80,97,114,97,109,101,116,101,114,18,58,10,15,114,101,99,117,114,114,101,110,116,95,112,97,114,97,109,24,146,1,32,1,40,11,50,32,46,111,112,101,110,99,118,95,99,97,102,102,101,46,82,101,99,117,114,114,101,110,116,80,97,114,97,109,101,116,101,114,18,58,10,15,114,101,100,117,99,116,105,111,110,95,112,97,114,97,109,24,136,1,32,1,40,11,50,32,46,111,112,101,110,99,118,95,99,97,102,102,101,46,82,101,100,117,99,116,105,111,110,80,97,114,97,109,101,116,101,114,18,47,10,10,114,101,108,117,95,112,97,114,97,109,24,123,32,1,40,11,50,27,46,111,112,101,110,99,118,95,99,97,102,102,101,46,82,101,76,85,80,97,114,97,109,101,116,101,114,18,54,10,13,114,101,115,104,97,112,101,95,112,97,114,97,109,24,133,1,32,1,40,11,50,30,46,111,112,101,110,99,118,95,99,97,102,102,101,46,82,101,115,104,97,112,101,80,97,114,97,109,101,116,101,114,18,63,10,17,114,111,105,95,112,111,111,108,105,110,103,95,112,97,114,97,109,24,215,199,248,3,32,1,40,11,50,33,46,111,112,101,110,99,118,95,99,97,102,102,101,46,82,79,73,80,111,111,108,105,110,103,80,97,114,97,109,101,116,101,114,18,50,10,11,115,99,97,108,101,95,112,97,114,97,109,24,142,1,32,1,40,11,50,28,46,111,112,101,110,99,118,95,99,97,102,102,101,46,83,99,97,108,101,80,97,114,97,109,101,116,101,114,18,53,10,13,115,105,103,109,111,105,100,95,112,97,114,97,109,24,124,32,1,40,11,50,30,46,111,112,101,110,99,118,95,99,97,102,102,101,46,83,105,103,109,111,105,100,80,97,114,97,109,101,116,101,114,18,53,10,13,115,111,102,116,109,97,120,95,112,97,114,97,109,24,125,32,1,40,11,50,30,46,111,112,101,110,99,118,95,99,97,102,102,101,46,83,111,102,116,109,97,120,80,97,114,97,109,101,116,101,114,18,46,10,9,115,112,112,95,112,97,114,97,109,24,132,1,32,1,40,11,50,26,46,111,112,101,110,99,118,95,99,97,102,102,101,46,83,80,80,80,97,114,97,109,101,116,101,114,18,49,10,11,115,108,105,99,101,95,112,97,114,97,109,24,126,32,1,40,11,50,28,46,111,112,101,110,99,118,95,99,97,102,102,101,46,83,108,105,99,101,80,97,114,97,109,101,116,101,114,18,47,10,10,116,97,110,104,95,112,97,114,97,109,24,127,32,1,40,11,50,27,46,111,112,101,110,99,118,95,99,97,102,102,101,46,84,97,110,72,80,97,114,97,109,101,116,101,114,18,58,10,15,116,104,114,101,115,104,111,108,100,95,112,97,114,97,109,24,128,1,32,1,40,11,50,32,46,111,112,101,110,99,118,95,99,97,102,102,101,46,84,104,114,101,115,104,111,108,100,80,97,114,97,109,101,116,101,114,18,48,10,10,116,105,108,101,95,112,97,114,97,109,24,138,1,32,1,40,11,50,27,46,111,112,101,110,99,118,95,99,97,102,102,101,46,84,105,108,101,80,97,114,97,109,101,116,101,114,18,61,10,17,119,105,110,100,111,119,95,100,97,116,97,95,112,97,114,97,109,24,129,1,32,1,40,11,50,33,46,111,112,101,110,99,118,95,99,97,102,102,101,46,87,105,110,100,111,119,68,97,116,97,80,97,114,97,109,101,116,101,114,34,182,1,10,23,84,114,97,110,115,102,111,114,109,97,116,105,111,110,80,97,114,97,109,101,116,101,114,18,16,10,5,115,99,97,108,101,24,1,32,1,40,2,58,1,49,18,21,10,6,109,105,114,114,111,114,24,2,32,1,40,8,58,5,102,97,108,115,101,18,20,10,9,99,114,111,112,95,115,105,122,101,24,3,32,1,40,13,58,1,48,18,17,10,9,109,101,97,110,95,102,105,108,101,24,4,32,1,40,9,18,18,10,10,109,101,97,110,95,118,97,108,117,101,24,5,32,3,40,2,18,26,10,11,102,111,114,99,101,95,99,111,108,111,114,24,6,32,1,40,8,58,5,102,97,108,115,101,18,25,10,10,102,111,114,99,101,95,103,114,97,121,24,7,32,1,40,8,58,5,102,97,108,115,101,34,201,1,10,13,76,111,115,115,80,97,114,97,109,101,116,101,114,18,20,10,12,105,103,110,111,114,101,95,108,97,98,101,108,24,1,32,1,40,5,18,75,10,13,110,111,114,109,97,108,105,122,97,116,105,111,110,24,3,32,1,40,14,50,45,46,111,112,101,110,99,118,95,99,97,102,102,101,46,76,111,115,115,80,97,114,97,109,101,116,101,114,46,78,111],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+419844);allocate([114,109,97,108,105,122,97,116,105,111,110,77,111,100,101,58,5,86,65,76,73,68,18,17,10,9,110,111,114,109,97,108,105,122,101,24,2,32,1,40,8,34,66,10,17,78,111,114,109,97,108,105,122,97,116,105,111,110,77,111,100,101,18,8,10,4,70,85,76,76,16,0,18,9,10,5,86,65,76,73,68,16,1,18,14,10,10,66,65,84,67,72,95,83,73,90,69,16,2,18,8,10,4,78,79,78,69,16,3,34,76,10,17,65,99,99,117,114,97,99,121,80,97,114,97,109,101,116,101,114,18,16,10,5,116,111,112,95,107,24,1,32,1,40,13,58,1,49,18,15,10,4,97,120,105,115,24,2,32,1,40,5,58,1,49,18,20,10,12,105,103,110,111,114,101,95,108,97,98,101,108,24,3,32,1,40,5,34,77,10,15,65,114,103,77,97,120,80,97,114,97,109,101,116,101,114,18,26,10,11,111,117,116,95,109,97,120,95,118,97,108,24,1,32,1,40,8,58,5,102,97,108,115,101,18,16,10,5,116,111,112,95,107,24,2,32,1,40,13,58,1,49,18,12,10,4,97,120,105,115,24,3,32,1,40,5,34,57,10,15,67,111,110,99,97,116,80,97,114,97,109,101,116,101,114,18,15,10,4,97,120,105,115,24,2,32,1,40,5,58,1,49,18,21,10,10,99,111,110,99,97,116,95,100,105,109,24,1,32,1,40,13,58,1,49,34,133,1,10,18,66,97,116,99,104,78,111,114,109,80,97,114,97,109,101,116,101,114,18,24,10,16,117,115,101,95,103,108,111,98,97,108,95,115,116,97,116,115,24,1,32,1,40,8,18,38,10,23,109,111,118,105,110,103,95,97,118,101,114,97,103,101,95,102,114,97,99,116,105,111,110,24,2,32,1,40,2,58,5,48,46,57,57,57,18,18,10,3,101,112,115,24,3,32,1,40,2,58,5,49,101,45,48,53,18,25,10,10,115,99,97,108,101,95,98,105,97,115,24,7,32,1,40,8,58,5,102,97,108,115,101,34,100,10,13,66,105,97,115,80,97,114,97,109,101,116,101,114,18,15,10,4,97,120,105,115,24,1,32,1,40,5,58,1,49,18,19,10,8,110,117,109,95,97,120,101,115,24,2,32,1,40,5,58,1,49,18,45,10,6,102,105,108,108,101,114,24,3,32,1,40,11,50,29,46,111,112,101,110,99,118,95,99,97,102,102,101,46,70,105,108,108,101,114,80,97,114,97,109,101,116,101,114,34,76,10,24,67,111,110,116,114,97,115,116,105,118,101,76,111,115,115,80,97,114,97,109,101,116,101,114,18,17,10,6,109,97,114,103,105,110,24,1,32,1,40,2,58,1,49,18,29,10,14,108,101,103,97,99,121,95,118,101,114,115,105,111,110,24,2,32,1,40,8,58,5,102,97,108,115,101,34,145,4,10,20,67,111,110,118,111,108,117,116,105,111,110,80,97,114,97,109,101,116,101,114,18,18,10,10,110,117,109,95,111,117,116,112,117,116,24,1,32,1,40,13,18,23,10,9,98,105,97,115,95,116,101,114,109,24,2,32,1,40,8,58,4,116,114,117,101,18,11,10,3,112,97,100,24,3,32,3,40,13,18,19,10,11,107,101,114,110,101,108,95,115,105,122,101,24,4,32,3,40,13,18,14,10,6,115,116,114,105,100,101,24,6,32,3,40,13,18,16,10,8,100,105,108,97,116,105,111,110,24,18,32,3,40,13,18,16,10,5,112,97,100,95,104,24,9,32,1,40,13,58,1,48,18,16,10,5,112,97,100,95,119,24,10,32,1,40,13,58,1,48,18,16,10,8,107,101,114,110,101,108,95,104,24,11,32,1,40,13,18,16,10,8,107,101,114,110,101,108,95,119,24,12,32,1,40,13,18,16,10,8,115,116,114,105,100,101,95,104,24,13,32,1,40,13,18,16,10,8,115,116,114,105,100,101,95,119,24,14,32,1,40,13,18,16,10,5,103,114,111,117,112,24,5,32,1,40,13,58,1,49,18,52,10,13,119,101,105,103,104,116,95,102,105,108,108,101,114,24,7,32,1,40,11,50,29,46,111,112,101,110,99,118,95,99,97,102,102,101,46,70,105,108,108,101,114,80,97,114,97,109,101,116,101,114,18,50,10,11,98,105,97,115,95,102,105,108,108,101,114,24,8,32,1,40,11,50,29,46,111,112,101,110,99,118,95,99,97,102,102,101,46,70,105,108,108,101,114,80,97,114,97,109,101,116,101,114,18,66,10,6,101,110,103,105,110,101,24,15,32,1,40,14,50,41,46,111,112,101,110,99,118,95,99,97,102,102,101,46,67,111,110,118,111,108,117,116,105,111,110,80,97,114,97,109,101,116,101,114,46,69,110,103,105,110,101,58,7,68,69,70,65,85,76,84,18,15,10,4,97,120,105,115,24,16,32,1,40,5,58,1,49,18,30,10,15,102,111,114,99,101,95,110,100,95,105,109,50,99,111,108,24,17,32,1,40,8,58,5,102,97,108,115,101,34,43,10,6,69,110,103,105,110,101,18,11,10,7,68,69,70,65,85,76,84,16,0,18,9,10,5,67,65,70,70,69,16,1,18,9,10,5,67,85,68,78,78,16,2,34,48,10,13,67,114,111,112,80,97,114,97,109,101,116,101,114,18,15,10,4,97,120,105,115,24,1,32,1,40,5,58,1,50,18,14,10,6,111,102,102,115,101,116,24,2,32,3,40,13,34,171,2,10,13,68,97,116,97,80,97,114,97,109,101,116,101,114,18,14,10,6,115,111,117,114,99,101,24,1,32,1,40,9,18,18,10,10,98,97,116,99,104,95,115,105,122,101,24,4,32,1,40,13,18,20,10,9,114,97,110,100,95,115,107,105,112,24,7,32,1,40,13,58,1,48,18,56,10,7,98,97,99,107,101,110,100,24,8,32,1,40,14,50,30,46,111,112,101,110,99,118,95,99,97,102,102,101,46,68,97,116,97,80,97,114,97,109,101,116,101,114,46,68,66,58,7,76,69,86,69,76,68,66,18,16,10,5,115,99,97,108,101,24,2,32,1,40,2,58,1,49,18,17,10,9,109,101,97,110,95,102,105,108,101,24,3,32,1,40,9,18,20,10,9,99,114,111,112,95,115,105,122,101,24,5,32,1,40,13,58,1,48,18,21,10,6,109,105,114,114,111,114,24,6,32,1,40,8,58,5,102,97,108,115,101,18,34,10,19,102,111,114,99,101,95,101,110,99,111,100,101,100,95,99,111,108,111,114,24,9,32,1,40,8,58,5,102,97,108,115,101,18,19,10,8,112,114,101,102,101,116,99,104,24,10,32,1,40,13,58,1,52,34,27,10,2,68,66,18,11,10,7,76,69,86,69,76,68,66,16,0,18,8,10,4,76,77,68,66,16,1,34,91,10,30,78,111,110,77,97,120,105,109,117,109,83,117,112,112,114,101,115,115,105,111,110,80,97,114,97,109,101,116,101,114,18,26,10,13,110,109,115,95,116,104,114,101,115,104,111,108,100,24,1,32,1,40,2,58,3,48,46,51,18,13,10,5,116,111,112,95,107,24,2,32,1,40,5,18,14,10,3,101,116,97,24,3,32,1,40,2,58,1,49,34,170,1,10,19,83,97,118,101,79,117,116,112,117,116,80,97,114,97,109,101,116,101,114,18,24,10,16,111,117,116,112,117,116,95,100,105,114,101,99,116,111,114,121,24,1,32,1,40,9,18,26,10,18,111,117,116,112,117,116,95,110,97,109,101,95,112,114,101,102,105,120,24,2,32,1,40,9,18,21,10,13,111,117,116,112,117,116,95,102,111,114,109,97,116,24,3,32,1,40,9,18,22,10,14,108,97,98,101,108,95,109,97,112,95,102,105,108,101,24,4,32,1,40,9,18,22,10,14,110,97,109,101,95,115,105,122,101,95,102,105,108,101,24,5,32,1,40,9,18,22,10,14,110,117,109,95,116,101,115,116,95,105,109,97,103,101,24,6,32,1,40,13,34,73,10,16,68,114,111,112,111,117,116,80,97,114,97,109,101,116,101,114,18,26,10,13,100,114,111,112,111,117,116,95,114,97,116,105,111,24,1,32,1,40,2,58,3,48,46,53,18,25,10,11,115,99,97,108,101,95,116,114,97,105,110,24,2,32,1,40,8,58,4,116,114,117,101,34,174,1,10,18,68,117,109,109,121,68,97,116,97,80,97,114,97,109,101,116,101,114,18,50,10,11,100,97,116,97,95,102,105,108,108,101,114,24,1,32,3,40,11,50,29,46,111,112,101,110,99,118,95,99,97,102,102,101,46,70,105,108,108,101,114,80,97,114,97,109,101,116,101,114,18,38,10,5,115,104,97,112,101,24,6,32,3,40,11,50,23,46,111,112,101,110,99,118,95,99,97,102,102,101,46,66,108,111,98,83,104,97,112,101,18,11,10,3,110,117,109,24,2,32,3,40,13,18,16,10,8,99,104,97,110,110,101,108,115,24,3,32,3,40,13,18,14,10,6,104,101,105,103,104,116,24,4,32,3,40,13,18,13,10,5,119,105,100,116,104,24,5,32,3,40,13,34,172,1,10,16,69,108,116,119,105,115,101,80,97,114,97,109,101,116,101,114,18,64,10,9,111,112,101,114,97,116,105,111,110,24,1,32,1,40,14,50,40,46,111,112,101,110,99,118,95,99,97,102,102,101,46,69,108,116,119,105,115,101,80,97,114,97,109,101,116,101,114,46,69,108,116,119,105,115,101,79,112,58,3,83,85,77,18,13,10,5,99,111,101,102,102,24,2,32,3,40,2,18,30,10,16,115,116,97,98,108,101,95,112,114,111,100,95,103,114,97,100,24,3,32,1,40,8,58,4,116,114,117,101,34,39,10,9,69,108,116,119,105,115,101,79,112,18,8,10,4,80,82,79,68,16,0,18,7,10,3,83,85,77,16,1,18,7,10,3,77,65,88,16,2,34,32,10,12,69,76,85,80,97,114,97,109,101,116,101,114,18,16,10,5,97,108,112,104,97,24,1,32,1,40,2,58,1,49,34,186,1,10,14,69,109,98,101,100,80,97,114,97,109,101,116,101,114,18,18,10,10,110,117,109,95,111,117,116,112,117,116,24,1,32,1,40,13,18,17,10,9,105,110,112,117,116,95,100,105,109,24,2,32,1,40,13,18,23,10,9,98,105,97,115,95,116,101,114,109,24,3,32,1,40,8,58,4,116,114,117,101,18,52,10,13,119,101,105,103,104,116,95,102,105,108,108,101,114,24,4,32,1,40,11,50,29,46,111,112,101,110,99,118,95,99,97,102,102,101,46,70,105,108,108,101,114,80,97,114,97,109,101,116,101,114,18,50,10,11,98,105,97,115,95,102,105,108,108,101,114,24,5,32,1,40,11,50,29,46,111,112,101,110,99,118,95,99,97,102,102,101,46,70,105,108,108,101,114,80,97,114,97,109,101,116,101,114,34,68,10,12,69,120,112,80,97,114,97,109,101,116,101,114,18,16,10,4,98,97,115,101,24,1,32,1,40,2,58,2,45,49,18,16,10,5,115,99,97,108,101,24,2,32,1,40,2,58,1,49,18,16,10,5,115,104,105,102,116,24,3,32,1,40,2,58,1,48,34,57,10,16,70,108,97,116,116,101,110,80,97,114,97,109,101,116,101,114,18,15,10,4,97,120,105,115,24,1,32,1,40,5,58,1,49,18,20,10,8,101,110,100,95,97,120,105,115,24,2,32,1,40,5,58,2,45,49,34,79,10,17,72,68,70,53,68,97,116,97,80,97,114,97,109,101,116,101,114,18,14,10,6,115,111,117,114,99,101,24,1,32,1,40,9,18,18,10,10,98,97,116,99,104,95,115,105,122,101,24,2,32,1,40,13,18,22,10,7,115,104,117,102,102,108,101,24,3,32,1,40,8,58,5,102,97,108,115,101,34,40,10,19,72,68,70,53,79,117,116,112,117,116,80,97,114,97,109,101,116,101,114,18,17,10,9,102,105,108,101,95,110,97,109,101,24,1,32,1,40,9,34,101,10,18,72,105,110,103,101,76,111,115,115,80,97,114,97,109,101,116,101,114,18,55,10,4,110,111,114,109,24,1,32,1,40,14,50,37,46,111,112,101,110,99,118,95,99,97,102,102,101,46,72,105,110,103,101,76,111,115,115,80,97,114,97,109,101,116,101,114,46,78,111,114,109,58,2,76,49,34,22,10,4,78,111,114,109,18,6,10,2,76,49,16,1,18,6,10,2,76,50,16,2,34,151,2,10,18,73,109,97,103,101,68,97,116,97,80,97,114,97,109,101,116,101,114,18,14,10,6,115,111,117,114,99,101,24,1,32,1,40,9,18,21,10,10,98,97,116,99,104,95,115,105,122,101,24,4,32,1,40,13,58,1,49,18,20,10,9,114,97,110,100,95,115,107,105,112,24,7,32,1,40,13,58,1,48,18,22,10,7,115,104,117,102,102,108,101,24,8,32,1,40,8,58,5,102,97,108,115,101,18,21,10,10,110,101,119,95,104,101,105,103,104,116,24,9,32,1,40,13,58,1,48,18,20,10,9,110,101,119,95,119,105,100,116,104,24,10,32,1,40,13,58,1,48,18,22,10,8,105,115,95,99,111,108,111,114,24,11,32,1,40,8,58,4,116,114,117,101,18,16,10,5,115,99,97,108,101,24,2,32,1,40,2,58,1,49,18,17,10,9,109,101,97,110,95,102,105,108,101,24,3,32,1,40,9,18,20,10,9,99,114,111,112,95,115,105,122,101,24,5,32,1,40,13,58,1,48,18,21,10,6,109,105,114,114,111,114,24,6,32,1,40,8,58,5,102,97,108,115,101,18,21,10,11,114,111,111,116,95,102,111,108,100,101,114,24,12,32,1,40,9,58,0,34,39,10,21,73,110,102,111,103,97,105,110,76,111,115,115,80,97,114,97,109,101,116,101,114,18,14,10,6,115,111,117,114,99,101,24,1,32,1,40,9,34,217,1,10,21,73,110,110,101,114,80,114,111,100,117,99,116,80,97,114,97,109,101,116,101,114,18,18,10,10,110,117,109,95,111,117,116,112,117,116,24,1,32,1,40,13,18,23,10,9,98,105,97,115,95,116,101,114,109,24,2,32,1,40,8,58,4,116,114,117,101,18,52,10,13,119,101,105,103,104,116,95,102,105,108,108,101,114,24,3,32,1,40,11,50,29,46,111,112,101,110,99,118,95,99,97,102,102,101,46,70,105,108,108,101,114,80,97,114,97,109,101,116,101,114,18,50,10,11,98,105,97,115,95,102,105,108,108,101,114,24,4,32,1,40,11,50,29,46,111,112,101,110,99,118,95,99,97,102,102,101,46,70,105,108,108,101,114,80,97,114,97,109,101,116,101,114,18,15,10,4,97,120,105,115,24,5,32,1,40,5,58,1,49,18,24,10,9,116,114,97,110,115,112,111,115,101,24,6,32,1,40,8,58,5,102,97,108,115,101,34,56,10,14,73,110,112,117,116,80,97,114,97,109,101,116,101,114,18,38,10,5,115,104,97,112,101,24,1,32,3,40,11,50,23,46,111,112,101,110,99,118,95,99,97,102,102,101,46,66,108,111,98,83,104,97,112,101,34,68,10,12,76,111,103,80,97,114,97,109,101,116,101,114,18,16,10,4,98,97,115,101,24,1,32,1,40,2,58,2,45,49,18,16,10,5,115,99,97,108,101,24,2,32,1,40,2,58,1,49,18,16,10,5,115,104,105,102,116,24,3,32,1,40,2,58,1,48,34,198,2,10,12,76,82,78,80,97,114,97,109,101,116,101,114,18,21,10,10,108,111,99,97,108,95,115,105,122,101,24,1,32,1,40,13,58,1,53,18,16,10,5,97,108,112,104,97,24,2,32,1,40,2,58,1,49,18,18,10,4,98,101,116,97,24,3,32,1,40,2,58,4,48,46,55,53,18,75,10,11,110,111,114,109,95,114,101,103,105,111,110,24,4,32,1,40,14,50,37,46,111,112,101,110,99,118,95,99,97,102,102,101,46,76,82,78,80,97,114,97,109,101,116,101,114,46,78,111,114,109,82,101,103,105,111,110,58,15,65,67,82,79,83,83,95,67,72,65,78,78,69,76,83,18,12,10,1,107,24,5,32,1,40,2,58,1,49,18,58,10,6,101,110,103,105,110,101,24,6,32,1,40,14,50,33,46,111,112,101,110,99,118,95,99,97,102,102,101,46,76,82,78,80,97,114,97,109,101,116,101,114,46,69,110,103,105,110,101,58,7,68,69,70,65,85,76,84,34,53,10,10,78,111,114,109,82,101,103,105,111,110,18,19,10,15,65,67,82,79,83,83,95,67,72,65,78,78,69,76,83,16,0,18,18,10,14,87,73,84,72,73,78,95,67,72,65,78,78,69,76,16,1,34,43,10,6,69,110,103,105,110,101,18,11,10,7,68,69,70,65,85,76,84,16,0,18,9,10,5,67,65,70,70,69,16,1,18,9,10,5,67,85,68,78,78,16,2,34,90,10,19,77,101,109,111,114,121,68,97,116,97,80,97,114,97,109,101,116,101,114,18,18,10,10,98,97,116,99,104,95,115,105,122,101,24,1,32,1,40,13,18,16,10,8,99,104,97,110,110,101,108,115,24,2,32,1,40,13,18,14,10,6,104,101,105,103,104,116,24,3,32,1,40,13,18,13,10,5,119,105,100,116,104,24,4,32,1,40,13,34,100,10,12,77,86,78,80,97,114,97,109,101,116,101,114,18,32,10,18,110,111,114,109,97,108,105,122,101,95,118,97,114,105,97,110,99,101,24,1,32,1,40,8,58,4,116,114,117,101,18,30,10,15,97,99,114,111,115,115,95,99,104,97,110,110,101,108,115,24,2,32,1,40,8,58,5,102,97,108,115,101,18,18,10,3,101,112,115,24,3,32,1,40,2,58,5,49,101,45,48,57,34,60,10,18,80,97,114,97,109,101,116,101,114,80,97,114,97,109,101,116,101,114,18,38,10,5,115,104,97,112,101,24,1,32,1,40,11,50,23,46,111,112,101,110,99,118,95,99,97,102,102,101,46,66,108,111,98,83,104,97,112,101,34,201,3,10,16,80,111,111,108,105,110,103,80,97,114,97,109,101,116,101,114,18,60,10,4,112,111,111,108,24,1,32,1,40,14,50,41,46,111,112,101,110,99,118,95,99,97,102,102,101,46,80,111,111,108,105,110,103,80,97,114,97,109,101,116,101,114,46,80,111,111,108,77,101,116,104,111,100,58,3,77,65,88,18,14,10,3,112,97,100,24,4,32,1,40,13,58,1,48,18,16,10,5,112,97,100,95,104,24,9,32,1,40,13,58,1,48,18,16,10,5,112,97,100,95,119,24,10,32,1,40,13,58,1,48,18,19,10,11,107,101,114,110,101,108,95,115,105,122,101,24,2,32,1,40,13,18,16,10,8,107,101,114,110,101,108,95,104,24,5,32,1,40,13,18,16,10,8,107,101,114,110,101,108,95,119,24,6,32,1,40,13,18,17,10,6,115,116,114,105,100,101,24,3,32,1,40,13,58,1,49,18,16,10,8,115,116,114,105,100,101,95,104,24,7,32,1,40,13,18,16,10,8,115,116,114,105,100,101,95,119,24,8,32,1,40,13,18,62,10,6,101,110,103,105,110,101,24,11,32,1,40,14,50,37,46,111,112,101,110,99,118,95,99,97,102,102,101,46,80,111,111,108,105,110,103,80,97,114,97,109,101,116,101,114,46,69,110,103,105,110,101,58,7,68,69,70,65,85,76,84,18,29,10,14,103,108,111,98,97,108,95,112,111,111,108,105,110,103,24,12,32,1,40,8,58,5,102,97,108,115,101,18,23,10,9,99,101,105,108,95,109,111,100,101,24,13,32,1,40,8,58,4,116,114,117,101,34,46,10,10,80,111,111,108,77,101,116,104,111,100,18,7,10,3,77,65,88,16,0,18,7,10,3,65,86,69,16,1,18,14,10,10,83,84,79,67,72,65,83,84,73,67,16,2,34,43,10,6,69,110,103,105,110,101,18,11,10,7,68,69,70,65,85,76,84,16,0,18,9,10,5,67,65,70,70,69,16,1,18,9,10,5,67,85,68,78,78,16,2,34,70,10,14,80,111,119,101,114,80,97,114,97,109,101,116,101,114,18,16,10,5,112,111,119,101,114,24,1,32,1,40,2,58,1,49,18,16,10,5,115,99,97,108,101,24,2,32,1,40,2,58,1,49,18,16,10,5,115,104,105,102,116,24,3,32,1,40,2,58,1,48,34,103,10,15,80,121,116,104,111,110,80,97,114,97,109,101,116,101,114,18,14,10,6,109,111,100,117,108,101,24,1,32,1,40,9,18,13,10,5,108,97,121,101,114,24,2,32,1,40,9,18,19,10,9,112,97,114,97,109,95,115,116,114,24,3,32,1,40,9,58,0,18,32,10,17,115,104,97,114,101,95,105,110,95,112,97,114,97,108,108,101,108,24,4,32,1,40,8,58,5,102,97,108,115,101,34,206,1,10,18,82,101,99,117,114,114,101,110,116,80,97,114,97,109,101,116,101,114,18,21,10,10,110,117,109,95,111,117,116,112,117,116,24,1,32,1,40,13,58,1,48,18,52,10,13,119,101,105,103,104,116,95,102,105,108,108,101,114,24,2,32,1,40,11,50,29,46,111,112,101,110,99,118,95,99,97,102,102,101,46,70,105,108,108,101,114,80,97,114,97,109,101,116,101,114,18,50,10,11,98,105,97,115,95,102,105,108,108,101,114,24,3,32,1,40,11,50,29,46,111,112,101,110,99,118,95,99,97,102,102,101,46,70,105,108,108,101,114,80,97,114,97,109,101,116,101,114,18,25,10,10,100,101,98,117,103,95,105,110,102,111,24,4,32,1,40,8,58,5,102,97,108,115,101,18,28,10,13,101,120,112,111,115,101,95,104,105,100,100,101,110,24,5,32,1,40,8,58,5,102,97,108,115,101,34,180,1,10,18,82,101,100,117,99,116,105,111,110,80,97,114,97,109,101,116,101,114,18,68,10,9,111,112,101,114,97,116,105,111,110,24,1,32,1,40,14,50,44,46,111,112,101,110,99,118,95,99,97,102,102,101,46,82,101,100,117,99,116,105,111,110,80,97,114,97,109,101,116,101,114,46,82,101,100,117,99,116,105,111,110,79,112,58,3,83,85,77,18,15,10,4,97,120,105,115,24,2,32,1,40,5,58,1,48,18,16,10,5,99,111,101,102,102,24,3,32,1,40,2,58,1,49,34,53,10,11,82,101,100,117,99,116,105,111,110,79,112,18,7,10,3,83,85,77,16,1,18,8,10,4,65,83,85,77,16,2,18,9,10,5,83,85,77,83,81,16,3,18,8,10,4,77,69,65,78,16,4,34,148,1,10,13,82,101,76,85,80,97,114,97,109,101,116,101,114,18,25,10,14,110,101,103,97,116,105,118,101,95,115,108,111,112,101,24,1,32,1,40,2,58,1,48,18,59,10,6,101,110,103,105,110,101,24,2,32,1,40,14,50,34,46,111,112,101,110,99,118,95,99,97,102,102,101,46,82,101,76,85,80,97,114,97,109,101,116,101,114,46,69,110,103,105,110,101,58,7,68,69,70,65,85,76,84,34,43,10,6,69,110,103,105,110,101,18,11,10,7,68,69,70,65,85,76,84,16,0,18,9,10,5,67,65,70,70,69,16,1,18,9,10,5,67,85,68,78,78,16,2,34,97,10,16,82,101,115,104,97,112,101,80,97,114,97,109,101,116,101,114,18,38,10,5,115,104,97,112,101,24,1,32,1,40,11,50,23,46,111,112,101,110,99,118,95,99,97,102,102,101,46,66,108,111,98,83,104,97,112,101,18,15,10,4,97,120,105,115,24,2,32,1,40,5,58,1,48,18,20,10,8,110,117,109,95,97,120,101,115,24,3,32,1,40,5,58,2,45,49,34,179,1,10,14,83,99,97,108,101,80,97,114,97,109,101,116,101,114,18,15,10,4,97,120,105,115,24,1,32,1,40,5,58,1,49,18,19,10,8,110,117,109,95,97,120,101,115,24,2,32,1,40,5,58,1,49,18,45,10,6,102,105,108,108,101,114,24,3,32,1,40,11,50,29,46,111,112,101,110,99,118,95,99,97,102,102,101,46,70,105,108,108,101,114,80,97,114,97,109,101,116,101,114,18,24,10,9,98,105,97,115,95,116,101,114,109,24,4,32,1,40,8,58,5,102,97,108,115,101,18,50,10,11,98,105,97,115,95,102,105,108,108,101,114,24,5,32,1,40,11,50,29,46,111,112,101,110,99,118,95,99,97,102,102,101,46,70,105,108,108,101,114,80,97,114,97,109,101,116,101,114,34,127,10,16,83,105,103,109,111,105,100,80,97,114,97,109,101,116,101,114,18,62,10,6,101,110,103,105,110,101,24,1,32,1,40,14,50,37,46,111,112,101,110,99,118,95,99,97,102,102,101,46,83,105,103,109,111,105,100,80,97,114,97,109,101,116,101,114,46,69,110,103,105,110,101,58,7,68,69,70,65,85,76,84,34,43,10,6,69,110,103,105,110,101,18,11,10,7,68,69,70,65,85,76,84,16,0,18,9,10,5,67,65,70,70,69,16,1,18,9,10,5,67,85,68,78,78,16,2,34,76,10,14,83,108,105,99,101,80,97,114,97,109,101,116,101,114,18,15,10,4,97,120,105,115,24,3,32,1,40,5,58,1,49,18,19,10,11,115,108,105,99,101,95,112,111,105,110,116,24,2,32,3,40,13,18,20,10,9,115,108,105,99,101,95,100,105,109,24,1,32,1,40,13,58,1,49,34,144,1,10,16,83,111,102,116,109,97,120,80,97,114,97,109,101,116,101,114,18,62,10,6,101,110,103,105,110,101,24,1,32,1,40,14,50,37,46,111,112,101,110,99,118,95,99,97,102,102,101,46,83,111,102,116,109,97,120,80,97,114,97,109,101,116,101,114,46,69,110,103,105,110,101,58,7,68,69,70,65,85,76,84,18,15,10,4,97,120,105,115,24,2,32,1,40,5,58,1,49,34,43,10,6,69,110,103,105,110,101,18,11,10,7,68,69,70,65,85,76,84,16,0,18,9,10,5,67,65,70,70,69,16,1,18,9,10,5,67,85,68,78,78,16,2,34,121,10,13,84,97,110,72,80,97,114,97,109,101,116,101,114,18,59,10,6,101,110,103,105,110,101,24,1,32,1,40,14,50,34,46,111,112,101,110,99,118,95,99,97,102,102,101,46,84,97,110,72,80,97,114,97,109,101,116,101,114,46,69,110,103,105,110,101,58,7,68,69,70,65,85,76,84,34,43,10,6,69,110,103,105,110,101,18,11,10,7,68,69,70,65,85,76,84,16,0,18,9,10,5,67,65,70,70,69,16,1,18,9,10,5,67,85,68,78,78,16,2,34,47,10,13,84,105,108,101,80,97,114,97,109,101,116,101,114,18,15,10,4,97,120,105,115,24,1,32,1,40,5,58,1,49,18,13,10,5,116,105,108,101,115,24,2,32,1,40,5,34,42,10,18,84,104,114,101,115,104,111,108,100,80,97,114,97,109,101,116,101,114,18,20,10,9,116,104,114,101,115,104,111,108,100,24,1,32,1,40,2,58,1,48,34,193,2,10,19,87,105,110,100,111,119,68,97,116,97,80,97,114,97,109,101,116,101,114,18,14,10,6,115,111,117,114,99,101,24,1,32,1,40,9,18,16,10,5,115,99,97,108,101,24,2,32,1,40,2,58,1,49,18,17,10,9,109,101,97,110,95,102,105,108,101,24,3,32,1,40,9,18,18,10,10,98,97,116,99,104,95,115,105,122,101,24,4,32,1,40,13,18,20,10,9,99,114,111,112,95,115,105,122,101,24,5,32,1,40,13,58,1,48,18,21,10,6,109,105,114,114,111,114,24,6,32,1,40,8,58,5,102,97,108,115,101,18,25,10,12,102,103,95,116,104,114,101,115,104,111,108,100,24,7,32,1,40,2,58,3,48,46,53,18,25,10,12,98,103,95,116,104,114,101,115,104,111,108,100,24,8,32,1,40,2,58,3,48,46,53,18,25,10,11,102,103,95,102,114,97,99,116,105,111,110,24,9,32,1,40,2,58,4,48,46,50,53,18,22,10,11,99,111,110,116,101,120,116,95,112,97,100,24,10,32,1,40,13,58,1,48,18,23,10,9,99,114,111,112,95,109,111,100,101,24,11,32,1,40,9,58,4,119,97,114,112,18,27,10,12,99,97,99,104,101,95,105,109,97,103,101,115,24,12,32,1,40,8,58,5,102,97,108,115,101,18,21,10,11,114,111,111,116,95,102,111,108,100,101,114,24,13,32,1,40,9,58,0,34,249,1,10,12,83,80,80,80,97,114,97,109,101,116,101,114,18,22,10,14,112,121,114,97,109,105,100,95,104,101,105,103,104,116,24,1,32,1,40,13,18,56,10,4,112,111,111,108,24,2,32,1,40,14,50,37,46,111,112,101,110,99,118,95,99,97,102,102,101,46,83,80,80,80,97,114,97,109,101,116,101,114,46,80,111,111,108,77,101,116,104,111,100,58,3,77,65,88,18,58,10,6,101,110,103,105,110,101,24,6,32,1,40,14,50,33,46,111,112,101,110,99,118,95,99,97,102,102,101,46,83,80,80,80,97,114,97,109,101,116,101,114,46,69,110,103,105,110,101,58,7,68,69,70,65,85,76,84,34,46,10,10,80,111,111,108,77,101,116,104,111,100,18,7,10,3,77,65,88,16,0,18,7,10,3,65,86,69,16,1,18,14,10,10,83,84,79,67,72,65,83,84,73,67,16,2,34,43,10,6,69,110,103,105,110,101,18,11,10,7,68,69,70,65,85,76,84,16,0,18,9,10,5,67,65,70,70,69,16,1,18,9,10,5,67,85,68,78,78,16,2,34,220,21,10,16,86,49,76,97,121,101,114,80,97,114,97,109,101,116,101,114,18,14,10,6,98,111,116,116,111,109,24,2,32,3,40,9,18,11,10,3,116,111,112,24,3,32,3,40,9,18,12,10,4,110,97,109,101,24,4,32,1,40,9,18,43,10,7,105,110,99,108,117,100,101,24,32,32,3,40,11,50,26,46,111,112,101,110,99,118,95,99,97,102,102,101,46,78,101,116,83,116,97,116,101,82,117,108,101,18,43,10,7,101,120,99,108,117,100,101,24,33,32,3,40,11,50,26,46,111,112,101,110,99,118,95,99,97,102,102,101,46,78,101,116,83,116,97,116,101,82,117,108,101,18,54,10,4,116,121,112,101,24,5,32,1,40,14,50,40,46,111,112,101,110,99,118,95,99,97,102,102,101,46,86,49,76,97,121,101,114,80,97,114,97,109,101,116,101,114,46,76,97,121,101,114,84,121,112,101,18,38,10,5,98,108,111,98,115,24,6,32,3,40,11,50,23,46,111,112,101,110,99,118,95,99,97,102,102,101,46,66,108,111,98,80,114,111,116,111,18,14,10,5,112,97,114,97,109,24,233,7,32,3,40,9,18,69,10,15,98,108,111,98,95,115,104,97,114,101,95,109,111,100,101,24,234,7,32,3,40,14,50,43,46,111,112,101,110,99,118,95,99,97,102,102,101,46,86,49,76,97,121,101,114,80,97,114,97,109,101,116,101,114,46,68,105,109,67,104,101,99,107,77,111,100,101,18,16,10,8,98,108,111,98,115,95,108,114,24,7,32,3,40,2,18,20,10,12,119,101,105,103,104,116,95,100,101,99,97,121,24,8,32,3,40,2,18,19,10,11,108,111,115,115,95,119,101,105,103,104,116,24,35,32,3,40,2,18,55,10,14,97,99,99,117,114,97,99,121,95,112,97,114,97,109,24,27,32,1,40,11,50,31,46,111,112,101,110,99,118,95,99,97,102,102,101,46,65,99,99,117,114,97,99,121,80,97,114,97,109,101,116,101,114,18,51,10,12,97,114,103,109,97,120,95,112,97,114,97,109,24,23,32,1,40,11,50,29,46,111,112,101,110,99,118,95,99,97,102,102,101,46,65,114,103,77,97,120,80,97,114,97,109,101,116,101,114,18,51,10,12,99,111,110,99,97,116,95,112,97,114,97,109,24,9,32,1,40,11,50,29,46,111,112,101,110,99,118,95,99,97,102,102,101,46,67,111,110,99,97,116,80,97,114,97,109,101,116,101,114,18,70,10,22,99,111,110,116,114,97,115,116,105,118,101,95,108,111,115,115,95,112,97,114,97,109,24,40,32,1,40,11,50,38,46,111,112,101,110,99,118,95,99,97,102,102,101,46,67,111,110,116,114,97,115,116,105,118,101,76,111,115,115,80,97,114,97,109,101,116,101,114,18,61,10,17,99,111,110,118,111,108,117,116,105,111,110,95,112,97,114,97,109,24,10,32,1,40,11,50,34,46,111,112,101,110,99,118,95,99,97,102,102,101,46,67,111,110,118,111,108,117,116,105,111,110,80,97,114,97,109,101,116,101,114,18,47,10,10,100,97,116,97,95,112,97,114,97,109,24,11,32,1,40,11,50,27,46,111,112,101,110,99,118,95,99,97,102,102,101,46,68,97,116,97,80,97,114,97,109,101,116,101,114,18,53,10,13,100,114,111,112,111,117,116,95,112,97,114,97,109,24,12,32,1,40,11,50,30,46,111,112,101,110,99,118,95,99,97,102,102,101,46,68,114,111,112,111,117,116,80,97,114,97,109,101,116,101,114,18,58,10,16,100,117,109,109,121,95,100,97,116,97,95,112,97,114,97,109,24,26,32,1,40,11,50,32,46,111,112,101,110,99,118,95,99,97,102,102,101,46,68,117,109,109,121,68,97,116,97,80,97,114,97,109,101,116,101,114,18,53,10,13,101,108,116,119,105,115,101,95,112,97,114,97,109,24,24,32,1,40,11,50,30,46,111,112,101,110,99,118,95,99,97,102,102,101,46,69,108,116,119,105,115,101,80,97,114,97,109,101,116,101,114,18,45,10,9,101,120,112,95,112,97,114,97,109,24,41,32,1,40,11,50,26,46,111,112,101,110,99,118,95,99,97,102,102,101,46,69,120,112,80,97,114,97,109,101,116,101,114,18,56,10,15,104,100,102,53,95,100,97,116,97,95,112,97,114,97,109,24,13,32,1,40,11,50,31,46,111,112,101,110,99,118,95,99,97,102,102,101,46,72,68,70,53,68,97,116,97,80,97,114,97,109,101,116,101,114,18,60,10,17,104,100,102,53,95,111,117,116,112,117,116,95,112,97,114,97,109,24,14,32,1,40,11,50,33,46,111,112,101,110,99,118,95,99,97,102,102,101,46,72,68,70,53,79,117,116,112,117,116,80,97,114,97,109,101,116,101,114,18,58,10,16,104,105,110,103,101,95,108,111,115,115,95,112,97,114,97,109,24,29,32,1,40,11,50,32,46,111,112,101,110,99,118,95,99,97,102,102,101,46,72,105,110,103,101,76,111,115,115,80,97,114,97,109,101,116,101,114,18,58,10,16,105,109,97,103,101,95,100,97,116,97,95,112,97,114,97,109,24,15,32,1,40,11,50,32,46,111,112,101,110,99,118,95,99,97,102,102,101,46,73,109,97,103,101,68,97,116,97,80,97,114,97,109,101,116,101,114,18,64,10,19,105,110,102,111,103,97,105,110,95,108,111,115,115,95,112,97,114,97,109,24,16,32,1,40,11,50,35,46,111,112,101,110,99,118,95,99,97,102,102,101,46,73,110,102,111,103,97,105,110,76,111,115,115,80,97,114,97,109,101,116,101,114,18,64,10,19,105,110,110,101,114,95,112,114,111,100,117,99,116,95,112,97,114,97,109,24,17,32,1,40,11,50,35,46,111,112,101,110,99,118,95,99,97,102,102,101,46,73,110,110,101,114,80,114,111,100,117,99,116,80,97,114,97,109,101,116,101,114,18,45,10,9,108,114,110,95,112,97,114,97,109,24,18,32,1,40,11,50,26,46,111,112,101,110,99,118,95,99,97,102,102,101,46,76,82,78,80,97,114,97,109,101,116,101,114,18,60,10,17,109,101,109,111,114,121,95,100,97,116,97,95,112,97,114,97,109,24,22,32,1,40,11,50,33,46,111,112,101,110,99,118,95,99,97,102,102,101,46,77,101,109,111,114,121,68,97,116,97,80,97,114,97,109,101,116,101,114,18,45,10,9,109,118,110,95,112,97,114,97,109,24,34,32,1,40,11,50,26,46,111,112,101,110,99,118,95,99,97,102,102,101,46,77,86,78,80,97,114,97,109,101,116,101,114,18,53,10,13,112,111,111,108,105,110,103,95,112,97,114,97,109,24,19,32,1,40,11,50,30,46,111,112,101,110,99,118,95,99,97,102,102,101,46,80,111,111,108,105,110,103,80,97,114,97,109,101,116,101,114,18,49,10,11,112,111,119,101,114,95,112,97,114,97,109,24,21,32,1,40,11,50,28,46,111,112,101,110,99,118,95,99,97,102,102,101,46,80,111,119,101,114,80,97,114,97,109,101,116,101,114,18,47,10,10,114,101,108,117,95,112,97,114,97,109,24,30,32,1,40,11,50,27,46,111,112,101,110,99,118,95,99,97,102,102,101,46,82,101,76,85,80,97,114,97,109,101,116,101,114,18,53,10,13,115,105,103,109,111,105,100,95,112,97,114,97,109,24,38,32,1,40,11,50,30,46,111,112,101,110,99,118,95,99,97,102,102,101,46,83,105,103,109,111,105,100,80,97,114,97,109,101,116,101,114,18,53,10,13,115,111,102,116,109,97,120,95,112,97,114,97,109,24,39,32,1,40,11,50,30,46,111,112,101,110,99,118,95,99,97,102,102,101,46,83,111,102,116,109,97,120,80,97,114,97,109,101,116,101,114,18,49,10,11,115,108,105,99,101,95,112,97,114,97,109,24,31,32,1,40,11,50,28,46,111,112,101,110,99,118,95,99,97,102,102,101,46,83,108,105,99,101,80,97,114,97,109,101,116,101,114,18,47,10,10,116,97,110,104,95,112,97,114,97,109,24,37,32,1,40,11,50,27,46,111,112,101,110,99,118,95,99,97,102,102,101,46,84,97,110,72,80,97,114,97,109,101,116,101,114,18,57,10,15,116,104,114,101,115,104,111,108,100,95,112,97,114,97,109,24,25,32,1,40,11,50,32,46,111,112,101,110,99,118,95,99,97,102,102,101,46,84,104,114,101,115,104,111,108,100,80,97,114,97,109,101,116,101,114,18,60,10,17,119,105,110,100,111,119,95,100,97,116,97,95,112,97,114,97,109,24,20,32,1,40,11,50,33,46,111,112,101,110,99,118,95,99,97,102,102,101,46,87,105,110,100,111,119,68,97,116,97,80,97,114,97,109,101,116,101,114,18,62,10,15,116,114,97,110,115,102,111,114,109,95,112,97,114,97,109,24,36,32,1,40,11,50,37,46,111,112,101,110,99,118,95,99,97,102,102,101,46,84,114,97,110,115,102,111,114,109,97,116,105,111,110,80,97,114,97,109,101,116,101,114,18,47,10,10,108,111,115,115,95,112,97,114,97,109,24,42,32,1,40,11,50,27,46,111,112,101,110,99,118,95,99,97,102,102,101,46,76,111,115,115,80,97,114,97,109,101,116,101,114,18,45,10,5,108,97,121,101,114,24,1,32,1,40,11,50,30,46,111,112,101,110,99,118,95,99,97,102,102,101,46,86,48,76,97,121,101,114,80,97,114,97,109,101,116,101,114,34,216,4,10,9,76,97,121,101,114,84,121,112,101,18,8,10,4,78,79,78,69,16,0,18,10,10,6,65,66,83,86,65,76,16,35,18,12,10,8,65,67,67,85,82,65,67,89,16,1,18,10,10,6,65,82,71,77,65,88,16,30,18,8,10,4,66,78,76,76,16,2,18,10,10,6,67,79,78,67,65,84,16,3,18,20,10,16,67,79,78,84,82,65,83,84,73,86,69,95,76,79,83,83,16,37,18,15,10,11,67,79,78,86,79,76,85,84,73,79,78,16,4,18,8,10,4,68,65,84,65,16,5,18,17,10,13,68,69,67,79,78,86,79,76,85,84,73,79,78,16,39,18,11,10,7,68,82,79,80,79,85,84,16,6,18,14,10,10,68,85,77,77,89,95,68,65,84,65,16,32,18,18,10,14,69,85,67,76,73,68,69,65,78,95,76,79,83,83,16,7,18,11,10,7,69,76,84,87,73,83,69,16,25,18,7,10,3,69,88,80,16,38,18,11,10,7,70,76,65,84,84,69,78,16,8,18,13,10,9,72,68,70,53,95,68,65,84,65,16,9,18,15,10,11,72,68,70,53,95,79,85,84,80,85,84,16,10,18,14,10,10,72,73,78,71,69,95,76,79,83,83,16,28,18,10,10,6,73,77,50,67,79,76,16,11,18,14,10,10,73,77,65,71,69,95,68,65,84,65,16,12,18,17,10,13,73,78,70,79,71,65,73,78,95,76,79,83,83,16,13,18,17,10,13,73,78,78,69,82,95,80,82,79,68,85,67,84,16,14,18,7,10,3,76,82,78,16,15,18,15,10,11,77,69,77,79,82,89,95,68,65,84,65,16,29,18,29,10,25,77,85,76,84,73,78,79,77,73,65,76,95,76,79,71,73,83,84,73,67,95,76,79,83,83,16,16,18,7,10,3,77,86,78,16,34,18,11,10,7,80,79,79,76,73,78,71,16,17,18,9,10,5,80,79,87,69,82,16,26,18,8,10,4,82,69,76,85,16,18,18,11,10,7,83,73,71,77,79,73,68,16,19,18,30,10,26,83,73,71,77,79,73,68,95,67,82,79,83,83,95,69,78,84,82,79,80,89,95,76,79,83,83,16,27,18,11,10,7,83,73,76,69,78,67,69,16,36,18,11,10,7,83,79,70,84,77,65,88,16,20,18,16,10,12,83,79,70,84,77,65,88,95,76,79,83,83,16,21,18,9,10,5,83,80,76,73,84,16,22,18,9,10,5,83,76,73,67,69,16,33,18,8,10,4,84,65,78,72,16,23,18,15,10,11,87,73,78,68,79,87,95,68,65,84,65,16,24,18,13,10,9,84,72,82,69,83,72,79,76,68,16,31,34,42,10,12,68,105,109,67,104,101,99,107,77,111,100,101,18,10,10,6,83,84,82,73,67,84,16,0,18,14,10,10,80,69,82,77,73,83,83,73,86,69,16,1,34,160,8,10,16,86,48,76,97,121,101,114,80,97,114,97,109,101,116,101,114,18,12,10,4,110,97,109,101,24,1,32,1,40,9,18,12,10,4,116,121,112,101,24,2,32,1,40,9,18,18,10,10,110,117,109,95,111,117,116,112,117,116,24,3,32,1,40,13,18,22,10,8,98,105,97,115,116,101,114,109,24,4,32,1,40,8,58,4,116,114,117,101,18,52,10,13,119,101,105,103,104,116,95,102,105,108,108,101,114,24,5,32,1,40,11,50,29,46,111,112,101,110,99,118,95,99,97,102,102,101,46,70,105,108,108,101,114,80,97,114,97,109,101,116,101,114,18,50,10,11,98,105,97,115,95,102,105,108,108,101,114,24,6,32,1,40,11,50,29,46,111,112,101,110,99,118,95,99,97,102,102,101,46,70,105,108,108,101,114,80,97,114,97,109,101,116,101,114,18,14,10,3,112,97,100,24,7,32,1,40,13,58,1,48,18,18,10,10,107,101,114,110,101,108,115,105,122,101,24,8,32,1,40,13,18,16,10,5,103,114,111,117,112,24,9,32,1,40,13,58,1,49,18,17,10,6,115,116,114,105,100,101,24,10,32,1,40,13,58,1,49,18,60,10,4,112,111,111,108,24,11,32,1,40,14,50,41,46,111,112,101,110,99,118,95,99,97,102,102,101,46,86,48,76,97,121,101,114,80,97,114,97,109,101,116,101,114,46,80,111,111,108,77,101,116,104,111,100,58,3,77,65,88,18,26,10,13,100,114,111,112,111,117,116,95,114,97,116,105,111,24,12,32,1,40,2,58,3,48,46,53,18,21,10,10,108,111,99,97,108,95,115,105,122,101,24,13,32,1,40,13,58,1,53,18,16,10,5,97,108,112,104,97,24,14,32,1,40,2,58,1,49,18,18,10,4,98,101,116,97,24,15,32,1,40,2,58,4,48,46,55,53,18,12,10,1,107,24,22,32,1,40,2,58,1,49,18,14,10,6,115,111,117,114,99,101,24,16,32,1,40,9,18,16,10,5,115,99,97,108,101,24,17,32,1,40,2,58,1,49,18,16,10,8,109,101,97,110,102,105,108,101,24,18,32,1,40,9,18,17,10,9,98,97,116,99,104,115,105,122,101,24,19,32,1,40,13,18,19,10,8,99,114,111,112,115,105,122,101,24,20,32,1,40,13,58,1,48,18,21,10,6,109,105,114,114,111,114,24,21,32,1,40,8,58,5,102,97,108,115,101,18,38,10,5,98,108,111,98,115,24,50,32,3,40,11,50,23,46,111,112,101,110,99,118,95,99,97,102,102,101,46,66,108,111,98,80,114,111,116,111,18,16,10,8,98,108,111,98,115,95,108,114,24,51,32,3,40,2,18,20,10,12,119,101,105,103,104,116,95,100,101,99,97,121,24,52,32,3,40,2,18,20,10,9,114,97,110,100,95,115,107,105,112,24,53,32,1,40,13,58,1,48,18,29,10,16,100,101,116,95,102,103,95,116,104,114,101,115,104,111,108,100,24,54,32,1,40,2,58,3,48,46,53,18,29,10,16,100,101,116,95,98,103,95,116,104,114,101,115,104,111,108,100,24,55,32,1,40,2,58,3,48,46,53,18,29,10,15,100,101,116,95,102,103,95,102,114,97,99,116,105,111,110,24,56,32,1,40,2,58,4,48,46,50,53,18,26,10,15,100,101,116,95,99,111,110,116,101,120,116,95,112,97,100,24,58,32,1,40,13,58,1,48,18,27,10,13,100,101,116,95,99,114,111,112,95,109,111,100,101,24,59,32,1,40,9],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+430084);allocate([58,4,119,97,114,112,18,18,10,7,110,101,119,95,110,117,109,24,60,32,1,40,5,58,1,48,18,23,10,12,110,101,119,95,99,104,97,110,110,101,108,115,24,61,32,1,40,5,58,1,48,18,21,10,10,110,101,119,95,104,101,105,103,104,116,24,62,32,1,40,5,58,1,48,18,20,10,9,110,101,119,95,119,105,100,116,104,24,63,32,1,40,5,58,1,48,18,29,10,14,115,104,117,102,102,108,101,95,105,109,97,103,101,115,24,64,32,1,40,8,58,5,102,97,108,115,101,18,21,10,10,99,111,110,99,97,116,95,100,105,109,24,65,32,1,40,13,58,1,49,18,61,10,17,104,100,102,53,95,111,117,116,112,117,116,95,112,97,114,97,109,24,233,7,32,1,40,11,50,33,46,111,112,101,110,99,118,95,99,97,102,102,101,46,72,68,70,53,79,117,116,112,117,116,80,97,114,97,109,101,116,101,114,34,46,10,10,80,111,111,108,77,101,116,104,111,100,18,7,10,3,77,65,88,16,0,18,7,10,3,65,86,69,16,1,18,14,10,10,83,84,79,67,72,65,83,84,73,67,16,2,34,94,10,14,80,82,101,76,85,80,97,114,97,109,101,116,101,114,18,45,10,6,102,105,108,108,101,114,24,1,32,1,40,11,50,29,46,111,112,101,110,99,118,95,99,97,102,102,101,46,70,105,108,108,101,114,80,97,114,97,109,101,116,101,114,18,29,10,14,99,104,97,110,110,101,108,95,115,104,97,114,101,100,24,2,32,1,40,8,58,5,102,97,108,115,101,34,135,1,10,14,78,111,114,109,97,108,105,122,101,100,66,66,111,120,18,12,10,4,120,109,105,110,24,1,32,1,40,2,18,12,10,4,121,109,105,110,24,2,32,1,40,2,18,12,10,4,120,109,97,120,24,3,32,1,40,2,18,12,10,4,121,109,97,120,24,4,32,1,40,2,18,13,10,5,108,97,98,101,108,24,5,32,1,40,5,18,17,10,9,100,105,102,102,105,99,117,108,116,24,6,32,1,40,8,18,13,10,5,115,99,111,114,101,24,7,32,1,40,2,18,12,10,4,115,105,122,101,24,8,32,1,40,2,34,89,10,19,82,79,73,80,111,111,108,105,110,103,80,97,114,97,109,101,116,101,114,18,19,10,8,112,111,111,108,101,100,95,104,24,1,32,1,40,13,58,1,48,18,19,10,8,112,111,111,108,101,100,95,119,24,2,32,1,40,13,58,1,48,18,24,10,13,115,112,97,116,105,97,108,95,115,99,97,108,101,24,3,32,1,40,2,58,1,49,34,200,1,10,17,80,114,111,112,111,115,97,108,80,97,114,97,109,101,116,101,114,18,23,10,11,102,101,97,116,95,115,116,114,105,100,101,24,1,32,1,40,13,58,2,49,54,18,21,10,9,98,97,115,101,95,115,105,122,101,24,2,32,1,40,13,58,2,49,54,18,20,10,8,109,105,110,95,115,105,122,101,24,3,32,1,40,13,58,2,49,54,18,13,10,5,114,97,116,105,111,24,4,32,3,40,2,18,13,10,5,115,99,97,108,101,24,5,32,3,40,2,18,26,10,12,112,114,101,95,110,109,115,95,116,111,112,110,24,6,32,1,40,13,58,4,54,48,48,48,18,26,10,13,112,111,115,116,95,110,109,115,95,116,111,112,110,24,7,32,1,40,13,58,3,51,48,48,18,23,10,10,110,109,115,95,116,104,114,101,115,104,24,8,32,1,40,2,58,3,48,46,55,34,86,10,21,80,83,82,79,73,80,111,111,108,105,110,103,80,97,114,97,109,101,116,101,114,18,21,10,13,115,112,97,116,105,97,108,95,115,99,97,108,101,24,1,32,2,40,2,18,18,10,10,111,117,116,112,117,116,95,100,105,109,24,2,32,2,40,5,18,18,10,10,103,114,111,117,112,95,115,105,122,101,24,3,32,2,40,5,42,61,10,4,84,121,112,101,18,10,10,6,68,79,85,66,76,69,16,0,18,9,10,5,70,76,79,65,84,16,1,18,11,10,7,70,76,79,65,84,49,54,16,2,18,7,10,3,73,78,84,16,3,18,8,10,4,85,73,78,84,16,4,42,28,10,5,80,104,97,115,101,18,9,10,5,84,82,65,73,78,16,0,18,8,10,4,84,69,83,84,16,1,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,109,105,115,99,47,99,97,102,102,101,47,111,112,101,110,99,118,45,99,97,102,102,101,46,112,98,46,99,99,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,50,49,80,83,82,79,73,80,111,111,108,105,110,103,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,55,80,114,111,112,111,115,97,108,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,57,82,79,73,80,111,111,108,105,110,103,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,52,78,111,114,109,97,108,105,122,101,100,66,66,111,120,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,53,70,105,108,108,101,114,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,52,80,82,101,76,85,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,57,72,68,70,53,79,117,116,112,117,116,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,57,66,108,111,98,80,114,111,116,111,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,54,86,48,76,97,121,101,114,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,51,76,111,115,115,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,50,69,120,112,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,50,52,67,111,110,116,114,97,115,116,105,118,101,76,111,115,115,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,54,83,111,102,116,109,97,120,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,54,83,105,103,109,111,105,100,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,51,84,97,110,72,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,50,51,84,114,97,110,115,102,111,114,109,97,116,105,111,110,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,50,77,86,78,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,52,83,108,105,99,101,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,51,82,101,76,85,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,56,72,105,110,103,101,76,111,115,115,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,55,65,99,99,117,114,97,99,121,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,56,68,117,109,109,121,68,97,116,97,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,56,84,104,114,101,115,104,111,108,100,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,54,69,108,116,119,105,115,101,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,53,65,114,103,77,97,120,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,57,77,101,109,111,114,121,68,97,116,97,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,52,80,111,119,101,114,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,57,87,105,110,100,111,119,68,97,116,97,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,54,80,111,111,108,105,110,103,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,50,76,82,78,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,50,49,73,110,110,101,114,80,114,111,100,117,99,116,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,50,49,73,110,102,111,103,97,105,110,76,111,115,115,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,56,73,109,97,103,101,68,97,116,97,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,55,72,68,70,53,68,97,116,97,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,54,68,114,111,112,111,117,116,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,51,68,97,116,97,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,50,48,67,111,110,118,111,108,117,116,105,111,110,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,53,67,111,110,99,97,116,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,50,78,101,116,83,116,97,116,101,82,117,108,101,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,54,86,49,76,97,121,101,114,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,50,83,80,80,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,51,84,105,108,101,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,52,83,99,97,108,101,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,54,82,101,115,104,97,112,101,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,56,82,101,100,117,99,116,105,111,110,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,56,82,101,99,117,114,114,101,110,116,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,53,80,121,116,104,111,110,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,56,80,97,114,97,109,101,116,101,114,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,50,76,111,103,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,52,73,110,112,117,116,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,54,70,108,97,116,116,101,110,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,52,69,109,98,101,100,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,50,69,76,85,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,57,83,97,118,101,79,117,116,112,117,116,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,51,48,78,111,110,77,97,120,105,109,117,109,83,117,112,112,114,101,115,115,105,111,110,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,51,67,114,111,112,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,51,66,105,97,115,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,56,66,97,116,99,104,78,111,114,109,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,55,80,114,105,111,114,66,111,120,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,50,50,78,111,114,109,97,108,105,122,101,66,66,111,120,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,54,80,101,114,109,117,116,101,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,50,52,68,101,116,101,99,116,105,111,110,79,117,116,112,117,116,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,57,80,97,114,97,109,83,112,101,99,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,52,76,97,121,101,114,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,56,78,101,116,83,116,97,116,101,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,49,83,111,108,118,101,114,83,116,97,116,101,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,50,78,101,116,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,53,83,111,108,118,101,114,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,53,68,97,116,117,109,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,53,66,108,111,98,80,114,111,116,111,86,101,99,116,111,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,57,66,108,111,98,83,104,97,112,101,69,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,115,114,99,47,116,101,110,115,111,114,102,108,111,119,47,116,102,95,105,111,46,99,112,112,0,82,101,97,100,84,70,78,101,116,80,97,114,97,109,115,70,114,111,109,66,105,110,97,114,121,70,105,108,101,79,114,68,105,101,0,67,72,69,67,75,0,82,101,97,100,80,114,111,116,111,70,114,111,109,66,105,110,97,114,121,70,105,108,101,40,112,97,114,97,109,95,102,105,108,101,44,32,112,97,114,97,109,41,0,70,97,105,108,101,100,32,116,111,32,112,97,114,115,101,32,71,114,97,112,104,68,101,102,32,102,105,108,101,58,32,0,82,101,97,100,84,70,78,101,116,80,97,114,97,109,115,70,114,111,109,66,105,110,97,114,121,66,117,102,102,101,114,79,114,68,105,101,0,82,101,97,100,80,114,111,116,111,70,114,111,109,66,105,110,97,114,121,66,117,102,102,101,114,40,100,97,116,97,44,32,108,101,110,44,32,112,97,114,97,109,41,0,70,97,105,108,101,100,32,116,111,32,112,97,114,115,101,32,71,114,97,112,104,68,101,102,32,98,117,102,102,101,114,0,82,101,97,100,84,70,78,101,116,80,97,114,97,109,115,70,114,111,109,84,101,120,116,70,105,108,101,79,114,68,105,101,0,82,101,97,100,80,114,111,116,111,70,114,111,109,84,101,120,116,70,105,108,101,40,112,97,114,97,109,95,102,105,108,101,44,32,112,97,114,97,109,41,0,82,101,97,100,84,70,78,101,116,80,97,114,97,109,115,70,114,111,109,84,101,120,116,66,117,102,102,101,114,79,114,68,105,101,0,82,101,97,100,80,114,111,116,111,70,114,111,109,84,101,120,116,66,117,102,102,101,114,40,100,97,116,97,44,32,108,101,110,44,32,112,97,114,97,109,41,0,104,97,118,101,73,110,102,69,110,103,105,110,101,40,41,0,102,111,114,119,97,114,100,73,110,102,69,110,103,105,110,101,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,115,114,99,47,111,112,95,105,110,102,95,101,110,103,105,110,101,46,99,112,112,0,91,110,101,116,93,0,108,97,121,101,114,95,116,121,112,101,95,115,105,122,101,32,60,32,108,105,110,101,46,115,105,122,101,40,41,0,82,101,97,100,68,97,114,107,110,101,116,70,114,111,109,67,102,103,83,116,114,101,97,109,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,115,114,99,47,100,97,114,107,110,101,116,47,100,97,114,107,110,101,116,95,105,111,46,99,112,112,0,115,101,112,97,114,97,116,111,114,95,105,110,100,101,120,32,60,32,108,105,110,101,46,115,105,122,101,40,41,0,110,101,116,45,62,119,105,100,116,104,32,62,32,48,32,38,38,32,110,101,116,45,62,104,101,105,103,104,116,32,62,32,48,32,38,38,32,110,101,116,45,62,99,104,97,110,110,101,108,115,32,62,32,48,0,99,111,110,118,111,108,117,116,105,111,110,97,108,0,102,105,108,116,101,114,115,0,97,99,116,105,118,97,116,105,111,110,0,108,105,110,101,97,114,0,98,97,116,99,104,95,110,111,114,109,97,108,105,122,101,0,108,101,97,107,121,0,85,110,115,117,112,112,111,114,116,101,100,32,97,99,116,105,118,97,116,105,111,110,58,32,0,102,108,105,112,112,101,100,0,84,114,97,110,115,112,111,115,101,32,116,104,101,32,99,111,110,118,111,108,117,116,105,111,110,97,108,32,119,101,105,103,104,116,115,32,105,115,32,110,111,116,32,105,109,112,108,101,109,101,110,116,101,100,0,107,101,114,110,101,108,95,115,105,122,101,32,62,32,48,32,38,38,32,102,105,108,116,101,114,115,32,62,32,48,0,99,117,114,114,101,110,116,95,99,104,97,110,110,101,108,115,32,62,32,48,0,109,97,120,112,111,111,108,0,97,118,103,112,111,111,108,0,103,114,111,117,112,115,0,83,111,102,116,109,97,120,32,102,114,111,109,32,68,97,114,107,110,101,116,32,119,105,116,104,32,103,114,111,117,112,115,32,33,61,32,49,0,114,111,117,116,101,0,108,97,121,101,114,115,0,33,98,111,116,116,111,109,95,108,97,121,101,114,115,46,101,109,112,116,121,40,41,0,114,101,111,114,103,0,114,101,103,105,111,110,0,110,117,109,0,33,97,110,99,104,111,114,115,95,118,97,108,117,101,115,46,101,109,112,116,121,40,41,0,99,108,97,115,115,101,115,32,62,32,48,32,38,38,32,110,117,109,95,111,102,95,97,110,99,104,111,114,115,32,62,32,48,32,38,38,32,40,110,117,109,95,111,102,95,97,110,99,104,111,114,115,32,42,32,50,41,32,61,61,32,97,110,99,104,111,114,115,95,118,101,99,46,115,105,122,101,40,41,0,115,104,111,114,116,99,117,116,0,33,98,111,116,116,111,109,95,108,97,121,101,114,46,101,109,112,116,121,40,41,0,117,112,115,97,109,112,108,101,0,121,111,108,111,0,33,109,97,115,107,95,118,97,108,117,101,115,46,101,109,112,116,121,40,41,0,85,110,107,110,111,119,110,32,108,97,121,101,114,32,116,121,112,101,58,32,0,82,101,103,105,111,110,45,110,97,109,101,0,82,101,103,105,111,110,0,121,111,108,111,95,37,100,0,85,112,115,97,109,112,108,101,45,110,97,109,101,0,82,101,115,105,122,101,0,117,112,115,97,109,112,108,101,95,37,100,0,83,104,111,114,116,99,117,116,45,110,97,109,101,0,69,108,116,119,105,115,101,0,115,104,111,114,116,99,117,116,95,37,100,0,100,101,116,101,99,116,105,111,110,95,111,117,116,0,80,101,114,109,117,116,101,45,110,97,109,101,0,80,101,114,109,117,116,101,0,112,101,114,109,117,116,101,95,37,100,0,82,101,111,114,103,45,110,97,109,101,0,82,101,111,114,103,0,114,101,111,114,103,95,37,100,0,67,111,110,99,97,116,45,110,97,109,101,0,67,111,110,99,97,116,0,99,111,110,99,97,116,95,37,100,0,73,100,101,110,116,105,116,121,45,110,97,109,101,0,73,100,101,110,116,105,116,121,0,105,100,101,110,116,105,116,121,95,37,100,0,83,111,102,116,109,97,120,45,110,97,109,101,0,83,111,102,116,109,97,120,0,115,111,102,116,109,97,120,95,37,100,0,80,111,111,108,105,110,103,45,110,97,109,101,0,80,111,111,108,105,110,103,0,97,118,103,112,111,111,108,95,37,100,0,112,111,111,108,95,37,100,0,99,111,110,118,95,37,100,0,66,97,116,99,104,78,111,114,109,45,110,97,109,101,0,66,97,116,99,104,78,111,114,109,0,98,110,95,37,100,0,82,101,76,85,45,110,97,109,101,0,82,101,76,85,0,114,101,108,117,95,37,100,0,67,111,110,118,111,108,117,116,105,111,110,45,110,97,109,101,0,67,111,110,118,111,108,117,116,105,111,110,0,84,114,97,110,115,112,111,115,101,32,116,104,101,32,119,101,105,103,104,116,115,32,40,101,120,99,101,112,116,32,102,111,114,32,99,111,110,118,111,108,117,116,105,111,110,97,108,41,32,105,115,32,110,111,116,32,105,109,112,108,101,109,101,110,116,101,100,0,82,101,97,100,68,97,114,107,110,101,116,70,114,111,109,87,101,105,103,104,116,115,83,116,114,101,97,109,0,119,101,105,103,104,116,115,66,108,111,98,46,105,115,67,111,110,116,105,110,117,111,117,115,40,41,0,110,101,103,97,116,105,118,101,95,115,108,111,112,101,0,78,83,116,51,95,95,50,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,78,50,99,118,51,100,110,110,49,54,69,108,101,109,101,110,116,87,105,115,101,76,97,121,101,114,73,78,83,50,95,49,49,82,101,76,85,70,117,110,99,116,111,114,69,69,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,112,111,105,110,116,101,114,73,80,78,50,99,118,51,100,110,110,49,54,69,108,101,109,101,110,116,87,105,115,101,76,97,121,101,114,73,78,83,50,95,49,49,82,101,76,85,70,117,110,99,116,111,114,69,69,69,78,83,95,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,83,53,95,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,53,95,69,69,69,69,0,115,114,99,46,115,105,122,101,32,61,61,32,100,115,116,46,115,105,122,101,32,38,38,32,115,114,99,46,116,121,112,101,40,41,32,61,61,32,100,115,116,46,116,121,112,101,40,41,32,38,38,32,115,114,99,46,105,115,67,111,110,116,105,110,117,111,117,115,40,41,32,38,38,32,100,115,116,46,105,115,67,111,110,116,105,110,117,111,117,115,40,41,32,38,38,32,115,114,99,46,116,121,112,101,40,41,32,61,61,32,67,86,95,51,50,70,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,115,114,99,47,108,97,121,101,114,115,47,101,108,101,109,101,110,116,119,105,115,101,95,108,97,121,101,114,115,46,99,112,112,0,78,50,99,118,51,100,110,110,49,54,69,108,101,109,101,110,116,87,105,115,101,76,97,121,101,114,73,78,83,48,95,49,49,82,101,76,85,70,117,110,99,116,111,114,69,69,53,80,66,111,100,121,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,100,110,110,58,58,69,108,101,109,101,110,116,87,105,115,101,76,97,121,101,114,60,99,118,58,58,100,110,110,58,58,82,101,76,85,70,117,110,99,116,111,114,62,58,58,102,111,114,119,97,114,100,40,73,110,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,41,32,91,70,117,110,99,32,61,32,99,118,58,58,100,110,110,58,58,82,101,76,85,70,117,110,99,116,111,114,93,0,78,50,99,118,51,100,110,110,49,54,69,108,101,109,101,110,116,87,105,115,101,76,97,121,101,114,73,78,83,48,95,49,49,82,101,76,85,70,117,110,99,116,111,114,69,69,69,0,78,50,99,118,51,100,110,110,49,52,100,110,110,52,95,118,50,48,49,56,48,57,49,55,57,82,101,76,85,76,97,121,101,114,69,0,109,105,110,95,118,97,108,117,101,0,109,97,120,95,118,97,108,117,101,0,109,105,110,86,97,108,117,101,32,60,61,32,109,97,120,86,97,108,117,101,0,82,101,76,85,54,70,117,110,99,116,111,114,0,78,83,116,51,95,95,50,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,78,50,99,118,51,100,110,110,49,54,69,108,101,109,101,110,116,87,105,115,101,76,97,121,101,114,73,78,83,50,95,49,50,82,101,76,85,54,70,117,110,99,116,111,114,69,69,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,112,111,105,110,116,101,114,73,80,78,50,99,118,51,100,110,110,49,54,69,108,101,109,101,110,116,87,105,115,101,76,97,121,101,114,73,78,83,50,95,49,50,82,101,76,85,54,70,117,110,99,116,111,114,69,69,69,78,83,95,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,83,53,95,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,53,95,69,69,69,69,0,78,50,99,118,51,100,110,110,49,54,69,108,101,109,101,110,116,87,105,115,101,76,97,121,101,114,73,78,83,48,95,49,50,82,101,76,85,54,70,117,110,99,116,111,114,69,69,53,80,66,111,100,121,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,100,110,110,58,58,69,108,101,109,101,110,116,87,105,115,101,76,97,121,101,114,60,99,118,58,58,100,110,110,58,58,82,101,76,85,54,70,117,110,99,116,111,114,62,58,58,102,111,114,119,97,114,100,40,73,110,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,41,32,91,70,117,110,99,32,61,32,99,118,58,58,100,110,110,58,58,82,101,76,85,54,70,117,110,99,116,111,114,93,0,78,50,99,118,51,100,110,110,49,54,69,108,101,109,101,110,116,87,105,115,101,76,97,121,101,114,73,78,83,48,95,49,50,82,101,76,85,54,70,117,110,99,116,111,114,69,69,69,0,78,50,99,118,51,100,110,110,49,52,100,110,110,52,95,118,50,48,49,56,48,57,49,55,49,48,82,101,76,85,54,76,97,121,101,114,69,0,78,83,116,51,95,95,50,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,78,50,99,118,51,100,110,110,49,54,69,108,101,109,101,110,116,87,105,115,101,76,97,121,101,114,73,78,83,50,95,49,49,84,97,110,72,70,117,110,99,116,111,114,69,69,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,112,111,105,110,116,101,114,73,80,78,50,99,118,51,100,110,110,49,54,69,108,101,109,101,110,116,87,105,115,101,76,97,121,101,114,73,78,83,50,95,49,49,84,97,110,72,70,117,110,99,116,111,114,69,69,69,78,83,95,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,83,53,95,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,53,95,69,69,69,69,0,78,50,99,118,51,100,110,110,49,54,69,108,101,109,101,110,116,87,105,115,101,76,97,121,101,114,73,78,83,48,95,49,49,84,97,110,72,70,117,110,99,116,111,114,69,69,53,80,66,111,100,121,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,100,110,110,58,58,69,108,101,109,101,110,116,87,105,115,101,76,97,121,101,114,60,99,118,58,58,100,110,110,58,58,84,97,110,72,70,117,110,99,116,111,114,62,58,58,102,111,114,119,97,114,100,40,73,110,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,41,32,91,70,117,110,99,32,61,32,99,118,58,58,100,110,110,58,58,84,97,110,72,70,117,110,99,116,111,114,93,0,78,50,99,118,51,100,110,110,49,54,69,108,101,109,101,110,116,87,105,115,101,76,97,121,101,114,73,78,83,48,95,49,49,84,97,110,72,70,117,110,99,116,111,114,69,69,69,0,78,50,99,118,51,100,110,110,49,52,100,110,110,52,95,118,50,48,49,56,48,57,49,55,57,84,97,110,72,76,97,121,101,114,69,0,78,83,116,51,95,95,50,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,78,50,99,118,51,100,110,110,49,54,69,108,101,109,101,110,116,87,105,115,101,76,97,121,101,114,73,78,83,50,95,49,52,83,105,103,109,111,105,100,70,117,110,99,116,111,114,69,69,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,112,111,105,110,116,101,114,73,80,78,50,99,118,51,100,110,110,49,54,69,108,101,109,101,110,116,87,105,115,101,76,97,121,101,114,73,78,83,50,95,49,52,83,105,103,109,111,105,100,70,117,110,99,116,111,114,69,69,69,78,83,95,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,83,53,95,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,53,95,69,69,69,69,0,78,50,99,118,51,100,110,110,49,54,69,108,101,109,101,110,116,87,105,115,101,76,97,121,101,114,73,78,83,48,95,49,52,83,105,103,109,111,105,100,70,117,110,99,116,111,114,69,69,53,80,66,111,100,121,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,100,110,110,58,58,69,108,101,109,101,110,116,87,105,115,101,76,97,121,101,114,60,99,118,58,58,100,110,110,58,58,83,105,103,109,111,105,100,70,117,110,99,116,111,114,62,58,58,102,111,114,119,97,114,100,40,73,110,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,41,32,91,70,117,110,99,32,61,32,99,118,58,58,100,110,110,58,58,83,105,103,109,111,105,100,70,117,110,99,116,111,114,93,0,78,50,99,118,51,100,110,110,49,54,69,108,101,109,101,110,116,87,105,115,101,76,97,121,101,114,73,78,83,48,95,49,52,83,105,103,109,111,105,100,70,117,110,99,116,111,114,69,69,69,0,78,50,99,118,51,100,110,110,49,52,100,110,110,52,95,118,50,48,49,56,48,57,49,55,49,50,83,105,103,109,111,105,100,76,97,121,101,114,69,0,78,83,116,51,95,95,50,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,78,50,99,118,51,100,110,110,49,54,69,108,101,109,101,110,116,87,105,115,101,76,97,121,101,114,73,78,83,50,95,49,48,69,76,85,70,117,110,99,116,111,114,69,69,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,112,111,105,110,116,101,114,73,80,78,50,99,118,51,100,110,110,49,54,69,108,101,109,101,110,116,87,105,115,101,76,97,121,101,114,73,78,83,50,95,49,48,69,76,85,70,117,110,99,116,111,114,69,69,69,78,83,95,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,83,53,95,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,53,95,69,69,69,69,0,78,50,99,118,51,100,110,110,49,54,69,108,101,109,101,110,116,87,105,115,101,76,97,121,101,114,73,78,83,48,95,49,48,69,76,85,70,117,110,99,116,111,114,69,69,53,80,66,111,100,121,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,100,110,110,58,58,69,108,101,109,101,110,116,87,105,115,101,76,97,121,101,114,60,99,118,58,58,100,110,110,58,58,69,76,85,70,117,110,99,116,111,114,62,58,58,102,111,114,119,97,114,100,40,73,110,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,41,32,91,70,117,110,99,32,61,32,99,118,58,58,100,110,110,58,58,69,76,85,70,117,110,99,116,111,114,93,0,78,50,99,118,51,100,110,110,49,54,69,108,101,109,101,110,116,87,105,115,101,76,97,121,101,114,73,78,83,48,95,49,48,69,76,85,70,117,110,99,116,111,114,69,69,69,0,78,50,99,118,51,100,110,110,49,52,100,110,110,52,95,118,50,48,49,56,48,57,49,55,56,69,76,85,76,97,121,101,114,69,0,78,83,116,51,95,95,50,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,78,50,99,118,51,100,110,110,49,54,69,108,101,109,101,110,116,87,105,115,101,76,97,121,101,114,73,78,83,50,95,49,51,65,98,115,86,97,108,70,117,110,99,116,111,114,69,69,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,112,111,105,110,116,101,114,73,80,78,50,99,118,51,100,110,110,49,54,69,108,101,109,101,110,116,87,105,115,101,76,97,121,101,114,73,78,83,50,95,49,51,65,98,115,86,97,108,70,117,110,99,116,111,114,69,69,69,78,83,95,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,83,53,95,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,53,95,69,69,69,69,0,78,50,99,118,51,100,110,110,49,54,69,108,101,109,101,110,116,87,105,115,101,76,97,121,101,114,73,78,83,48,95,49,51,65,98,115,86,97,108,70,117,110,99,116,111,114,69,69,53,80,66,111,100,121,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,100,110,110,58,58,69,108,101,109,101,110,116,87,105,115,101,76,97,121,101,114,60,99,118,58,58,100,110,110,58,58,65,98,115,86,97,108,70,117,110,99,116,111,114,62,58,58,102,111,114,119,97,114,100,40,73,110,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,41,32,91,70,117,110,99,32,61,32,99,118,58,58,100,110,110,58,58,65,98,115,86,97,108,70,117,110,99,116,111,114,93,0,78,50,99,118,51,100,110,110,49,54,69,108,101,109,101,110,116,87,105,115,101,76,97,121,101,114,73,78,83,48,95,49,51,65,98,115,86,97,108,70,117,110,99,116,111,114,69,69,69,0,78,50,99,118,51,100,110,110,49,52,100,110,110,52,95,118,50,48,49,56,48,57,49,55,56,65,98,115,76,97,121,101,114,69,0,78,83,116,51,95,95,50,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,78,50,99,118,51,100,110,110,49,54,69,108,101,109,101,110,116,87,105,115,101,76,97,121,101,114,73,78,83,50,95,49,49,66,78,76,76,70,117,110,99,116,111,114,69,69,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,112,111,105,110,116,101,114,73,80,78,50,99,118,51,100,110,110,49,54,69,108,101,109,101,110,116,87,105,115,101,76,97,121,101,114,73,78,83,50,95,49,49,66,78,76,76,70,117,110,99,116,111,114,69,69,69,78,83,95,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,83,53,95,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,53,95,69,69,69,69,0,78,50,99,118,51,100,110,110,49,54,69,108,101,109,101,110,116,87,105,115,101,76,97,121,101,114,73,78,83,48,95,49,49,66,78,76,76,70,117,110,99,116,111,114,69,69,53,80,66,111,100,121,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,100,110,110,58,58,69,108,101,109,101,110,116,87,105,115,101,76,97,121,101,114,60,99,118,58,58,100,110,110,58,58,66,78,76,76,70,117,110,99,116,111,114,62,58,58,102,111,114,119,97,114,100,40,73,110,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,41,32,91,70,117,110,99,32,61,32,99,118,58,58,100,110,110,58,58,66,78,76,76,70,117,110,99,116,111,114,93,0,78,50,99,118,51,100,110,110,49,54,69,108,101,109,101,110,116,87,105,115,101,76,97,121,101,114,73,78,83,48,95,49,49,66,78,76,76,70,117,110,99,116,111,114,69,69,69,0,78,50,99,118,51,100,110,110,49,52,100,110,110,52,95,118,50,48,49,56,48,57,49,55,57,66,78,76,76,76,97,121,101,114,69,0,112,111,119,101,114,0,115,104,105,102,116,0,78,83,116,51,95,95,50,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,78,50,99,118,51,100,110,110,49,54,69,108,101,109,101,110,116,87,105,115,101,76,97,121,101,114,73,78,83,50,95,49,50,80,111,119,101,114,70,117,110,99,116,111,114,69,69,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,112,111,105,110,116,101,114,73,80,78,50,99,118,51,100,110,110,49,54,69,108,101,109,101,110,116,87,105,115,101,76,97,121,101,114,73,78,83,50,95,49,50,80,111,119,101,114,70,117,110,99,116,111,114,69,69,69,78,83,95,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,83,53,95,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,53,95,69,69,69,69,0,78,50,99,118,51,100,110,110,49,54,69,108,101,109,101,110,116,87,105,115,101,76,97,121,101,114,73,78,83,48,95,49,50,80,111,119,101,114,70,117,110,99,116,111,114,69,69,53,80,66,111,100,121,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,100,110,110,58,58,69,108,101,109,101,110,116,87,105,115,101,76,97,121,101,114,60,99,118,58,58,100,110,110,58,58,80,111,119,101,114,70,117,110,99,116,111,114,62,58,58,102,111,114,119,97,114,100,40,73,110,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,41,32,91,70,117,110,99,32,61,32,99,118,58,58,100,110,110,58,58,80,111,119,101,114,70,117,110,99,116,111,114,93,0,78,50,99,118,51,100,110,110,49,54,69,108,101,109,101,110,116,87,105,115,101,76,97,121,101,114,73,78,83,48,95,49,50,80,111,119,101,114,70,117,110,99,116,111,114,69,69,69,0,78,50,99,118,51,100,110,110,49,52,100,110,110,52,95,118,50,48,49,56,48,57,49,55,49,48,80,111,119,101,114,76,97,121,101,114,69,0,112,97,114,97,109,115,46,98,108,111,98,115,46,115,105,122,101,40,41,32,61,61,32,49,0,78,83,116,51,95,95,50,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,78,50,99,118,51,100,110,110,49,54,69,108,101,109,101,110,116,87,105,115,101,76,97,121,101,114,73,78,83,50,95,50,48,67,104,97,110,110,101,108,115,80,82,101,76,85,70,117,110,99,116,111,114,69,69,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,112,111,105,110,116,101,114,73,80,78,50,99,118,51,100,110,110,49,54,69,108,101,109,101,110,116,87,105,115,101,76,97,121,101,114,73,78,83,50,95,50,48,67,104,97,110,110,101,108,115,80,82,101,76,85,70,117,110,99,116,111,114,69,69,69,78,83,95,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,83,53,95,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,53,95,69,69,69,69,0,115,99,97,108,101,46,105,115,67,111,110,116,105,110,117,111,117,115,40,41,32,38,38,32,115,99,97,108,101,46,116,121,112,101,40,41,32,61,61,32,67,86,95,51,50,70,0,97,112,112,108,121,0,48,32,60,61,32,99,110,48,32,38,38,32,99,110,48,32,60,32,99,110,49,32,38,38,32,99,110,49,32,60,61,32,40,105,110,116,41,115,99,97,108,101,46,116,111,116,97,108,40,41,0,78,50,99,118,51,100,110,110,49,54,69,108,101,109,101,110,116,87,105,115,101,76,97,121,101,114,73,78,83,48,95,50,48,67,104,97,110,110,101,108,115,80,82,101,76,85,70,117,110,99,116,111,114,69,69,53,80,66,111,100,121,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,100,110,110,58,58,69,108,101,109,101,110,116,87,105,115,101,76,97,121,101,114,60,99,118,58,58,100,110,110,58,58,67,104,97,110,110,101,108,115,80,82,101,76,85,70,117,110,99,116,111,114,62,58,58,102,111,114,119,97,114,100,40,73,110,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,41,32,91,70,117,110,99,32,61,32,99,118,58,58,100,110,110,58,58,67,104,97,110,110,101,108,115,80,82,101,76,85,70,117,110,99,116,111,114,93,0,78,50,99,118,51,100,110,110,49,54],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+440324);allocate([69,108,101,109,101,110,116,87,105,115,101,76,97,121,101,114,73,78,83,48,95,50,48,67,104,97,110,110,101,108,115,80,82,101,76,85,70,117,110,99,116,111,114,69,69,69,0,78,50,99,118,51,100,110,110,49,52,100,110,110,52,95,118,50,48,49,56,48,57,49,55,49,56,67,104,97,110,110,101,108,115,80,82,101,76,85,76,97,121,101,114,69,0,78,83,116,51,95,95,50,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,78,50,99,118,51,100,110,110,49,55,80,114,111,112,111,115,97,108,76,97,121,101,114,73,109,112,108,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,112,111,105,110,116,101,114,73,80,78,50,99,118,51,100,110,110,49,55,80,114,111,112,111,115,97,108,76,97,121,101,114,73,109,112,108,69,78,83,95,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,83,51,95,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,51,95,69,69,69,69,0,102,101,97,116,95,115,116,114,105,100,101,0,98,97,115,101,95,115,105,122,101,0,112,114,101,95,110,109,115,95,116,111,112,110,0,112,111,115,116,95,110,109,115,95,116,111,112,110,0,110,109,115,95,116,104,114,101,115,104,0,114,97,116,105,111,0,105,110,112,117,116,115,46,115,105,122,101,40,41,32,61,61,32,51,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,115,114,99,47,108,97,121,101,114,115,47,112,114,111,112,111,115,97,108,95,108,97,121,101,114,46,99,112,112,0,108,97,121,101,114,79,117,116,112,117,116,115,46,115,105,122,101,40,41,32,61,61,32,49,0,108,97,121,101,114,73,110,116,101,114,110,97,108,115,46,101,109,112,116,121,40,41,0,115,99,111,114,101,115,46,115,105,122,101,40,41,32,61,61,32,52,0,40,115,99,111,114,101,115,91,49,93,32,38,32,49,41,32,61,61,32,48,0,105,110,116,101,114,110,97,108,115,46,115,105,122,101,40,41,32,61,61,32,51,0,105,109,73,110,102,111,46,116,111,116,97,108,40,41,32,62,61,32,50,0,110,117,109,68,101,116,115,32,60,61,32,107,101,101,112,84,111,112,65,102,116,101,114,78,77,83,0,109,46,100,105,109,115,32,61,61,32,52,0,103,101,116,79,98,106,101,99,116,83,99,111,114,101,115,0,109,46,115,105,122,101,91,48,93,32,61,61,32,49,0,40,99,104,97,110,110,101,108,115,32,38,32,49,41,32,61,61,32,48,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,100,110,110,58,58,80,114,111,112,111,115,97,108,76,97,121,101,114,73,109,112,108,58,58,102,111,114,119,97,114,100,40,73,110,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,41,0,98,98,111,120,68,101,108,116,97,115,46,100,105,109,115,32,61,61,32,52,0,78,50,99,118,51,100,110,110,49,55,80,114,111,112,111,115,97,108,76,97,121,101,114,73,109,112,108,69,0,78,50,99,118,51,100,110,110,49,52,100,110,110,52,95,118,50,48,49,56,48,57,49,55,49,51,80,114,111,112,111,115,97,108,76,97,121,101,114,69,0,78,83,116,51,95,95,50,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,78,50,99,118,51,100,110,110,50,51,70,117,108,108,121,67,111,110,110,101,99,116,101,100,76,97,121,101,114,73,109,112,108,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,112,111,105,110,116,101,114,73,80,78,50,99,118,51,100,110,110,50,51,70,117,108,108,121,67,111,110,110,101,99,116,101,100,76,97,121,101,114,73,109,112,108,69,78,83,95,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,83,51,95,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,51,95,69,69,69,69,0,49,32,60,61,32,98,108,111,98,115,46,115,105,122,101,40,41,32,38,38,32,98,108,111,98,115,46,115,105,122,101,40,41,32,60,61,32,50,0,70,117,108,108,121,67,111,110,110,101,99,116,101,100,76,97,121,101,114,73,109,112,108,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,115,114,99,47,108,97,121,101,114,115,47,102,117,108,108,121,95,99,111,110,110,101,99,116,101,100,95,108,97,121,101,114,46,99,112,112,0,98,108,111,98,115,91,48,93,46,100,105,109,115,32,62,61,32,50,32,38,38,32,40,115,105,122,101,95,116,41,40,105,110,110,101,114,83,105,122,101,32,42,32,110,117,109,79,117,116,112,117,116,41,32,61,61,32,98,108,111,98,115,91,48,93,46,116,111,116,97,108,40,41,0,33,98,105,97,115,32,124,124,32,40,98,108,111,98,115,46,115,105,122,101,40,41,32,61,61,32,50,32,38,38,32,40,115,105,122,101,95,116,41,110,117,109,79,117,116,112,117,116,32,61,61,32,98,108,111,98,115,91,49,93,46,116,111,116,97,108,40,41,41,0,98,108,111,98,115,91,48,93,46,100,105,109,115,32,61,61,32,50,0,33,98,105,97,115,32,124,124,32,40,115,105,122,101,95,116,41,110,117,109,79,117,116,112,117,116,32,61,61,32,98,108,111,98,115,91,49,93,46,116,111,116,97,108,40,41,0,115,114,99,77,97,116,46,100,105,109,115,32,61,61,32,50,32,38,38,32,115,114,99,77,97,116,46,99,111,108,115,32,61,61,32,119,101,105,103,104,116,115,46,99,111,108,115,32,38,38,32,100,115,116,77,97,116,46,114,111,119,115,32,61,61,32,115,114,99,77,97,116,46,114,111,119,115,32,38,38,32,100,115,116,77,97,116,46,99,111,108,115,32,61,61,32,119,101,105,103,104,116,115,46,114,111,119,115,32,38,38,32,115,114,99,77,97,116,46,116,121,112,101,40,41,32,61,61,32,119,101,105,103,104,116,115,46,116,121,112,101,40,41,32,38,38,32,119,101,105,103,104,116,115,46,116,121,112,101,40,41,32,61,61,32,100,115,116,77,97,116,46,116,121,112,101,40,41,32,38,38,32,115,114,99,77,97,116,46,116,121,112,101,40,41,32,61,61,32,67,86,95,51,50,70,32,38,38,32,40,98,105,97,115,77,97,116,46,101,109,112,116,121,40,41,32,124,124,32,40,98,105,97,115,77,97,116,46,116,121,112,101,40,41,32,61,61,32,115,114,99,77,97,116,46,116,121,112,101,40,41,32,38,38,32,98,105,97,115,77,97,116,46,105,115,67,111,110,116,105,110,117,111,117,115,40,41,32,38,38,32,40,105,110,116,41,98,105,97,115,77,97,116,46,116,111,116,97,108,40,41,32,61,61,32,100,115,116,77,97,116,46,99,111,108,115,41,41,0,78,50,99,118,51,100,110,110,50,51,70,117,108,108,121,67,111,110,110,101,99,116,101,100,76,97,121,101,114,73,109,112,108,49,52,70,117,108,108,121,67,111,110,110,101,99,116,101,100,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,100,110,110,58,58,70,117,108,108,121,67,111,110,110,101,99,116,101,100,76,97,121,101,114,73,109,112,108,58,58,102,111,114,119,97,114,100,40,73,110,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,41,0,78,50,99,118,51,100,110,110,50,51,70,117,108,108,121,67,111,110,110,101,99,116,101,100,76,97,121,101,114,73,109,112,108,69,0,78,50,99,118,51,100,110,110,49,52,100,110,110,52,95,118,50,48,49,56,48,57,49,55,49,55,73,110,110,101,114,80,114,111,100,117,99,116,76,97,121,101,114,69,0,78,83,116,51,95,95,50,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,78,50,99,118,51,100,110,110,50,50,67,114,111,112,65,110,100,82,101,115,105,122,101,76,97,121,101,114,73,109,112,108,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,112,111,105,110,116,101,114,73,80,78,50,99,118,51,100,110,110,50,50,67,114,111,112,65,110,100,82,101,115,105,122,101,76,97,121,101,114,73,109,112,108,69,78,83,95,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,83,51,95,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,51,95,69,69,69,69,0,112,97,114,97,109,115,46,104,97,115,40,34,119,105,100,116,104,34,41,0,67,114,111,112,65,110,100,82,101,115,105,122,101,76,97,121,101,114,73,109,112,108,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,115,114,99,47,108,97,121,101,114,115,47,99,114,111,112,95,97,110,100,95,114,101,115,105,122,101,95,108,97,121,101,114,46,99,112,112,0,112,97,114,97,109,115,46,104,97,115,40,34,104,101,105,103,104,116,34,41,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,100,110,110,58,58,67,114,111,112,65,110,100,82,101,115,105,122,101,76,97,121,101,114,73,109,112,108,58,58,102,111,114,119,97,114,100,40,73,110,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,41,0,78,50,99,118,51,100,110,110,50,50,67,114,111,112,65,110,100,82,101,115,105,122,101,76,97,121,101,114,73,109,112,108,69,0,78,50,99,118,51,100,110,110,49,52,100,110,110,52,95,118,50,48,49,56,48,57,49,55,49,56,67,114,111,112,65,110,100,82,101,115,105,122,101,76,97,121,101,114,69,0,78,83,116,51,95,95,50,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,78,50,99,118,51,100,110,110,49,53,67,111,110,99,97,116,76,97,121,101,114,73,109,112,108,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,112,111,105,110,116,101,114,73,80,78,50,99,118,51,100,110,110,49,53,67,111,110,99,97,116,76,97,121,101,114,73,109,112,108,69,78,83,95,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,83,51,95,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,51,95,69,69,69,69,0,112,97,100,100,105,110,103,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,115,114,99,47,108,97,121,101,114,115,47,99,111,110,99,97,116,95,108,97,121,101,114,46,99,112,112,0,99,117,114,83,104,97,112,101,46,115,105,122,101,40,41,32,61,61,32,111,117,116,112,117,116,115,91,48,93,46,115,105,122,101,40,41,0,73,110,99,111,110,115,105,115,116,101,110,116,32,115,104,97,112,101,32,102,111,114,32,67,111,110,99,97,116,76,97,121,101,114,0,105,110,112,46,105,115,67,111,110,116,105,110,117,111,117,115,40,41,32,38,38,32,40,105,110,112,46,116,121,112,101,40,41,32,61,61,32,67,86,95,51,50,70,32,124,124,32,105,110,112,46,116,121,112,101,40,41,32,61,61,32,67,86,95,49,54,83,41,32,38,38,32,105,110,112,46,100,105,109,115,32,61,61,32,52,32,38,38,32,105,110,112,46,115,105,122,101,91,48,93,32,61,61,32,111,117,116,112,117,116,46,115,105,122,101,91,48,93,32,38,38,32,105,110,112,46,115,105,122,101,91,50,93,32,61,61,32,111,117,116,112,117,116,46,115,105,122,101,91,50,93,32,38,38,32,105,110,112,46,115,105,122,101,91,51,93,32,61,61,32,111,117,116,112,117,116,46,115,105,122,101,91,51,93,0,110,99,104,97,110,110,101,108,115,32,61,61,32,111,117,116,112,117,116,46,115,105,122,101,91,49,93,0,111,117,116,112,117,116,46,105,115,67,111,110,116,105,110,117,111,117,115,40,41,32,38,38,32,40,111,117,116,112,117,116,46,116,121,112,101,40,41,32,61,61,32,67,86,95,51,50,70,32,124,124,32,111,117,116,112,117,116,46,116,121,112,101,40,41,32,61,61,32,67,86,95,49,54,83,41,0,78,50,99,118,51,100,110,110,49,53,67,111,110,99,97,116,76,97,121,101,114,73,109,112,108,50,48,67,104,97,110,110,101,108,67,111,110,99,97,116,73,110,118,111,107,101,114,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,100,110,110,58,58,67,111,110,99,97,116,76,97,121,101,114,73,109,112,108,58,58,102,111,114,119,97,114,100,40,73,110,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,41,0,78,50,99,118,51,100,110,110,49,53,67,111,110,99,97,116,76,97,121,101,114,73,109,112,108,69,0,78,83,116,51,95,95,50,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,78,50,99,118,51,100,110,110,49,53,82,101,115,105,122,101,76,97,121,101,114,73,109,112,108,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,112,111,105,110,116,101,114,73,80,78,50,99,118,51,100,110,110,49,53,82,101,115,105,122,101,76,97,121,101,114,73,109,112,108,69,78,83,95,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,83,51,95,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,51,95,69,69,69,69,0,122,111,111,109,95,102,97,99,116,111,114,0,122,111,111,109,95,102,97,99,116,111,114,95,120,0,122,111,111,109,95,102,97,99,116,111,114,95,121,0,33,112,97,114,97,109,115,46,104,97,115,40,34,122,111,111,109,95,102,97,99,116,111,114,95,120,34,41,32,38,38,32,33,112,97,114,97,109,115,46,104,97,115,40,34,122,111,111,109,95,102,97,99,116,111,114,95,121,34,41,0,82,101,115,105,122,101,76,97,121,101,114,73,109,112,108,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,115,114,99,47,108,97,121,101,114,115,47,114,101,115,105,122,101,95,108,97,121,101,114,46,99,112,112,0,112,97,114,97,109,115,46,104,97,115,40,34,122,111,111,109,95,102,97,99,116,111,114,95,120,34,41,32,38,38,32,112,97,114,97,109,115,46,104,97,115,40,34,122,111,111,109,95,102,97,99,116,111,114,95,121,34,41,0,105,110,116,101,114,112,111,108,97,116,105,111,110,0,110,101,97,114,101,115,116,0,98,105,108,105,110,101,97,114,0,105,110,116,101,114,112,111,108,97,116,105,111,110,32,61,61,32,34,110,101,97,114,101,115,116,34,32,124,124,32,105,110,116,101,114,112,111,108,97,116,105,111,110,32,61,61,32,34,98,105,108,105,110,101,97,114,34,0,97,108,105,103,110,95,99,111,114,110,101,114,115,0,105,110,112,117,116,115,91,48,93,46,115,105,122,101,40,41,32,61,61,32,52,0,105,110,112,46,105,115,67,111,110,116,105,110,117,111,117,115,40,41,0,111,117,116,46,105,115,67,111,110,116,105,110,117,111,117,115,40,41,0,85,110,107,110,111,119,110,32,105,110,116,101,114,112,111,108,97,116,105,111,110,58,32,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,100,110,110,58,58,82,101,115,105,122,101,76,97,121,101,114,73,109,112,108,58,58,102,111,114,119,97,114,100,40,73,110,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,41,0,78,50,99,118,51,100,110,110,49,53,82,101,115,105,122,101,76,97,121,101,114,73,109,112,108,69,0,78,50,99,118,51,100,110,110,49,52,100,110,110,52,95,118,50,48,49,56,48,57,49,55,49,49,82,101,115,105,122,101,76,97,121,101,114,69,0,78,83,116,51,95,95,50,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,78,50,99,118,51,100,110,110,49,53,73,110,116,101,114,112,76,97,121,101,114,73,109,112,108,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,112,111,105,110,116,101,114,73,80,78,50,99,118,51,100,110,110,49,53,73,110,116,101,114,112,76,97,121,101,114,73,109,112,108,69,78,83,95,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,83,51,95,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,51,95,69,69,69,69,0,78,50,99,118,51,100,110,110,49,53,73,110,116,101,114,112,76,97,121,101,114,73,109,112,108,69,0,78,83,116,51,95,95,50,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,78,50,99,118,51,100,110,110,50,51,83,104,117,102,102,108,101,67,104,97,110,110,101,108,76,97,121,101,114,73,109,112,108,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,112,111,105,110,116,101,114,73,80,78,50,99,118,51,100,110,110,50,51,83,104,117,102,102,108,101,67,104,97,110,110,101,108,76,97,121,101,114,73,109,112,108,69,78,83,95,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,83,51,95,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,51,95,69,69,69,69,0,105,110,112,117,116,115,46,115,105,122,101,40,41,32,61,61,32,49,32,38,38,32,105,110,112,117,116,115,91,48,93,46,115,105,122,101,40,41,32,61,61,32,52,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,115,114,99,47,108,97,121,101,114,115,47,115,104,117,102,102,108,101,95,99,104,97,110,110,101,108,95,108,97,121,101,114,46,99,112,112,0,105,110,112,117,116,115,91,48,93,91,49,93,32,37,32,103,114,111,117,112,32,61,61,32,48,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,100,110,110,58,58,83,104,117,102,102,108,101,67,104,97,110,110,101,108,76,97,121,101,114,73,109,112,108,58,58,102,111,114,119,97,114,100,40,73,110,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,41,0,78,50,99,118,51,100,110,110,50,51,83,104,117,102,102,108,101,67,104,97,110,110,101,108,76,97,121,101,114,73,109,112,108,69,0,78,50,99,118,51,100,110,110,49,52,100,110,110,52,95,118,50,48,49,56,48,57,49,55,49,57,83,104,117,102,102,108,101,67,104,97,110,110,101,108,76,97,121,101,114,69,0,78,83,116,51,95,95,50,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,78,50,99,118,51,100,110,110,49,54,83,111,102,116,77,97,120,76,97,121,101,114,73,109,112,108,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,112,111,105,110,116,101,114,73,80,78,50,99,118,51,100,110,110,49,54,83,111,102,116,77,97,120,76,97,121,101,114,73,109,112,108,69,78,83,95,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,83,51,95,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,51,95,69,69,69,69,0,108,111,103,95,115,111,102,116,109,97,120,0,48,32,60,61,32,115,116,97,114,116,68,105,109,32,38,38,32,115,116,97,114,116,68,105,109,32,60,61,32,101,110,100,68,105,109,0,115,114,99,46,116,121,112,101,40,41,32,61,61,32,67,86,95,51,50,70,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,115,114,99,47,108,97,121,101,114,115,47,115,111,102,116,109,97,120,95,108,97,121,101,114,46,99,112,112,0,115,114,99,46,105,115,67,111,110,116,105,110,117,111,117,115,40,41,32,38,38,32,100,115,116,46,105,115,67,111,110,116,105,110,117,111,117,115,40,41,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,100,110,110,58,58,83,111,102,116,77,97,120,76,97,121,101,114,73,109,112,108,58,58,102,111,114,119,97,114,100,40,73,110,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,41,0,78,50,99,118,51,100,110,110,49,54,83,111,102,116,77,97,120,76,97,121,101,114,73,109,112,108,69,0,78,50,99,118,51,100,110,110,49,52,100,110,110,52,95,118,50,48,49,56,48,57,49,55,49,50,83,111,102,116,109,97,120,76,97,121,101,114,69,0,78,83,116,51,95,95,50,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,78,50,99,118,51,100,110,110,49,54,69,108,116,119,105,115,101,76,97,121,101,114,73,109,112,108,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,112,111,105,110,116,101,114,73,80,78,50,99,118,51,100,110,110,49,54,69,108,116,119,105,115,101,76,97,121,101,114,73,109,112,108,69,78,83,95,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,83,51,95,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,51,95,69,69,69,69,0,111,112,101,114,97,116,105,111,110,0,112,114,111,100,0,115,117,109,0,85,110,107,110,111,119,110,32,111,112,101,114,97,116,105,111,110,32,116,121,112,101,32,34,0,69,108,116,119,105,115,101,76,97,121,101,114,73,109,112,108,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,115,114,99,47,108,97,121,101,114,115,47,101,108,116,119,105,115,101,95,108,97,121,101,114,46,99,112,112,0,99,111,101,102,102,0,105,110,112,117,116,115,46,115,105,122,101,40,41,32,62,61,32,50,0,99,111,101,102,102,115,46,115,105,122,101,40,41,32,61,61,32,48,32,124,124,32,99,111,101,102,102,115,46,115,105,122,101,40,41,32,61,61,32,105,110,112,117,116,115,46,115,105,122,101,40,41,0,111,112,32,61,61,32,83,85,77,32,124,124,32,99,111,101,102,102,115,46,115,105,122,101,40,41,32,61,61,32,48,0,105,110,112,117,116,115,91,48,93,32,61,61,32,105,110,112,117,116,115,91,105,93,0,99,111,101,102,102,115,46,101,109,112,116,121,40,41,32,124,124,32,99,111,101,102,102,115,46,115,105,122,101,40,41,32,61,61,32,40,115,105,122,101,95,116,41,110,115,114,99,115,0,115,114,99,115,91,105,93,46,115,105,122,101,32,61,61,32,100,115,116,46,115,105,122,101,32,38,38,32,115,114,99,115,91,105,93,46,116,121,112,101,40,41,32,61,61,32,100,115,116,46,116,121,112,101,40,41,32,38,38,32,115,114,99,115,91,105,93,46,105,115,67,111,110,116,105,110,117,111,117,115,40,41,0,100,115,116,46,116,111,116,97,108,40,41,32,61,61,32,100,115,116,46,115,105,122,101,91,48,93,32,42,32,112,46,99,104,97,110,110,101,108,115,32,42,32,112,46,112,108,97,110,101,83,105,122,101,0,99,111,101,102,102,115,46,115,105,122,101,40,41,32,61,61,32,40,115,105,122,101,95,116,41,110,115,114,99,115,0,78,50,99,118,51,100,110,110,49,54,69,108,116,119,105,115,101,76,97,121,101,114,73,109,112,108,49,52,69,108,116,119,105,115,101,73,110,118,111,107,101,114,69,0,115,116,97,116,105,99,32,118,111,105,100,32,99,118,58,58,100,110,110,58,58,69,108,116,119,105,115,101,76,97,121,101,114,73,109,112,108,58,58,69,108,116,119,105,115,101,73,110,118,111,107,101,114,58,58,114,117,110,40,99,111,110,115,116,32,99,118,58,58,77,97,116,32,42,44,32,105,110,116,44,32,99,118,58,58,77,97,116,32,38,44,32,99,111,110,115,116,32,115,116,100,58,58,118,101,99,116,111,114,60,102,108,111,97,116,62,32,38,44,32,99,118,58,58,100,110,110,58,58,69,108,116,119,105,115,101,76,97,121,101,114,73,109,112,108,58,58,69,108,116,119,105,115,101,79,112,44,32,99,111,110,115,116,32,99,118,58,58,100,110,110,58,58,100,110,110,52,95,118,50,48,49,56,48,57,49,55,58,58,65,99,116,105,118,97,116,105,111,110,76,97,121,101,114,32,42,44,32,105,110,116,41,0,100,115,116,46,116,121,112,101,40,41,0,100,115,116,46,100,105,109,115,0,49,32,60,32,100,115,116,46,100,105,109,115,32,38,38,32,100,115,116,46,100,105,109,115,32,60,61,32,52,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,100,110,110,58,58,69,108,116,119,105,115,101,76,97,121,101,114,73,109,112,108,58,58,102,111,114,119,97,114,100,40,73,110,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,41,0,78,50,99,118,51,100,110,110,49,54,69,108,116,119,105,115,101,76,97,121,101,114,73,109,112,108,69,0,78,83,116,51,95,95,50,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,78,50,99,118,51,100,110,110,49,54,70,108,97,116,116,101,110,76,97,121,101,114,73,109,112,108,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,112,111,105,110,116,101,114,73,80,78,50,99,118,51,100,110,110,49,54,70,108,97,116,116,101,110,76,97,121,101,114,73,109,112,108,69,78,83,95,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,83,51,95,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,51,95,69,69,69,69,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,115,114,99,47,108,97,121,101,114,115,47,102,108,97,116,116,101,110,95,108,97,121,101,114,46,99,112,112,0,105,110,112,117,116,115,91,105,93,32,61,61,32,105,110,112,117,116,115,91,48,93,0,115,116,97,114,116,65,120,105,115,32,62,61,32,48,0,101,110,100,65,120,105,115,32,62,61,32,115,116,97,114,116,65,120,105,115,32,38,38,32,101,110,100,65,120,105,115,32,60,32,40,105,110,116,41,110,117,109,65,120,101,115,0,111,117,116,112,117,116,83,104,97,112,101,86,101,99,46,115,105,122,101,40,41,32,60,61,32,52,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,100,110,110,58,58,70,108,97,116,116,101,110,76,97,121,101,114,73,109,112,108,58,58,102,111,114,119,97,114,100,40,73,110,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,41,0,78,50,99,118,51,100,110,110,49,54,70,108,97,116,116,101,110,76,97,121,101,114,73,109,112,108,69,0,78,50,99,118,51,100,110,110,49,52,100,110,110,52,95,118,50,48,49,56,48,57,49,55,49,50,70,108,97,116,116,101,110,76,97,121,101,114,69,0,78,83,116,51,95,95,50,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,78,50,99,118,51,100,110,110,49,53,82,101,103,105,111,110,76,97,121,101,114,73,109,112,108,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,112,111,105,110,116,101,114,73,80,78,50,99,118,51,100,110,110,49,53,82,101,103,105,111,110,76,97,121,101,114,73,109,112,108,69,78,83,95,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,83,51,95,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,51,95,69,69,69,69,0,98,108,111,98,115,46,115,105,122,101,40,41,32,61,61,32,49,0,82,101,103,105,111,110,76,97,121,101,114,73,109,112,108,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,115,114,99,47,108,97,121,101,114,115,47,114,101,103,105,111,110,95,108,97,121,101,114,46,99,112,112,0,116,104,114,101,115,104,0,99,111,111,114,100,115,0,99,108,97,115,115,101,115,0,97,110,99,104,111,114,115,0,115,111,102,116,109,97,120,0,110,109,115,84,104,114,101,115,104,111,108,100,32,62,61,32,48,46,0,99,111,111,114,100,115,32,61,61,32,52,0,99,108,97,115,115,101,115,32,62,61,32,49,0,97,110,99,104,111,114,115,32,62,61,32,49,0,117,115,101,76,111,103,105,115,116,105,99,32,124,124,32,117,115,101,83,111,102,116,109,97,120,0,115,111,102,116,109,97,120,95,116,114,101,101,0,89,111,108,111,57,48,48,48,32,105,115,32,110,111,116,32,105,109,112,108,101,109,101,110,116,101,100,0,105,110,112,117,116,115,91,48,93,91,51,93,32,61,61,32,40,49,32,43,32,99,111,111,114,100,115,32,43,32,99,108,97,115,115,101,115,41,42,97,110,99,104,111,114,115,0,105,110,112,117,116,115,46,115,105,122,101,40,41,32,62,61,32,49,0,115,97,109,112,108,101,95,115,105,122,101,42,98,97,116,99,104,95,115,105,122,101,32,61,61,32,105,110,112,66,108,111,98,46,116,111,116,97,108,40,41,0,115,97,109,112,108,101,95,115,105,122,101,42,98,97,116,99,104,95,115,105,122,101,32,61,61,32,111,117,116,66,108,111,98,46,116,111,116,97,108,40,41,0,105,110,112,117,116,115,46,115,105,122,101,40,41,32,60,32,50,32,124,124,32,105,110,112,117,116,115,91,49,93,46,100,105,109,115,32,61,61,32,52,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,100,110,110,58,58,82,101,103,105,111,110,76,97,121,101,114,73,109,112,108,58,58,102,111,114,119,97,114,100,40,73,110,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,41,0,78,50,99,118,51,100,110,110,49,53,82,101,103,105,111,110,76,97,121,101,114,73,109,112,108,69,0,78,50,99,118,51,100,110,110,49,52,100,110,110,52,95,118,50,48,49,56,48,57,49,55,49,49,82,101,103,105,111,110,76,97,121,101,114,69,0,115,99,97,108,101,95,116,114,97,105,110,0,100,114,111,112,111,117,116,95,114,97,116,105,111,0,115,99,97,108,101,32,62,32,48,0,99,114,101,97,116,101,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,115,114,99,47,108,97,121,101,114,115,47,98,108,97,110,107,95,108,97,121,101,114,46,99,112,112,0,80,111,119,101,114,0,115,99,97,108,101,0,78,83,116,51,95,95,50,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,78,50,99,118,51,100,110,110,49,52,66,108,97,110,107,76,97,121,101,114,73,109,112,108,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,112,111,105,110,116,101,114,73,80,78,50,99,118,51,100,110,110,49,52,66,108,97,110,107,76,97,121,101,114,73,109,112,108,69,78,83,95,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,83,51,95,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,51,95,69,69,69,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,100,110,110,58,58,66,108,97,110,107,76,97,121,101,114,73,109,112,108,58,58,102,111,114,119,97,114,100,40,73,110,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,41,0,78,50,99,118,51,100,110,110,49,52,66,108,97,110,107,76,97,121,101,114,73,109,112,108,69,0,78,50,99,118,51,100,110,110,49,52,100,110,110,52,95,118,50,48,49,56,48,57,49,55,49,48,66,108,97,110,107,76,97,121,101,114,69,0,78,83,116,51,95,95,50,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,78,50,99,118,51,100,110,110,49,56,77,97,120,85,110,112,111,111,108,76,97,121,101,114,73,109,112,108,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,112,111,105,110,116,101,114,73,80,78,50,99,118,51,100,110,110,49,56,77,97,120,85,110,112,111,111,108,76,97,121,101,114,73,109,112,108,69,78,83,95,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,83,51,95,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,51,95,69,69,69,69,0,112,111,111,108,95,112,97,100,95,119,0,112,111,111,108,95,112,97,100,95,104,0,112,111,111,108,95,115,116,114,105,100,101,95,119,0,112,111,111,108,95,115,116,114,105,100,101,95,104,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,115,114,99,47,108,97,121,101,114,115,47,109,97,120,95,117,110,112,111,111,108,105,110,103,95,108,97,121,101,114,46,99,112,112,0,105,110,112,117,116,46,116,111,116,97,108,40,41,32,61,61,32,105,110,100,105,99,101,115,46,116,111,116,97,108,40,41,0,105,110,112,117,116,46,115,105,122,101,91,48,93,32,61,61,32,49,0,105,110,112,117,116,46,115,105,122,101,91,49,93,32,61,61,32,111,117,116,66,108,111,98,46,115,105,122,101,91,49,93,0,105,95,110,61,0,105,95,99,61,0,105,95,119,104,61,0,105,110,100,101,120,61,0,109,97,120,118,97,108,61,0,111,117,116,80,108,97,110,101,84,111,116,97,108,61,0,105,110,112,117,116,46,115,105,122,101,61,0,32,120,32,0,105,110,100,105,99,101,115,46,115,105,122,101,61,0,111,117,116,66,108,111,98,61,0,48,32,60,61,32,105,110,100,101,120,32,38,38,32,105,110,100,101,120,32,60,32,111,117,116,80,108,97,110,101,84,111,116,97,108,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,100,110,110,58,58,77,97,120,85,110,112,111,111,108,76,97,121,101,114,73,109,112,108,58,58,102,111,114,119,97,114,100,40,73,110,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,41,0,78,50,99,118,51,100,110,110,49,56,77,97,120,85,110,112,111,111,108,76,97,121,101,114,73,109,112,108,69,0,78,50,99,118,51,100,110,110,49,52,100,110,110,52,95,118,50,48,49,56,48,57,49,55,49,52,77,97,120,85,110,112,111,111,108,76,97,121,101,114,69,0,78,83,116,51,95,95,50,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,78,50,99,118,51,100,110,110,49,52,82,101,111,114,103,76,97,121,101,114,73,109,112,108,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,112,111,105,110,116,101,114,73,80,78,50,99,118,51,100,110,110,49,52,82,101,111,114,103,76,97,121,101,114,73,109,112,108,69,78,83,95,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,83,51,95,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,51,95,69,69,69,69,0,114,101,111,114,103,95,115,116,114,105,100,101,0,114,101,111,114,103,83,116,114,105,100,101,32,62,32,48,0,82,101,111,114,103,76,97,121,101,114,73,109,112,108,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,115,114,99,47,108,97,121,101,114,115,47,114,101,111,114,103,95,108,97,121,101,114,46,99,112,112,0,111,117,116,112,117,116,115,91,48,93,91,48,93,32,62,32,48,32,38,38,32,111,117,116,112,117,116,115,91,48,93,91,49,93,32,62,32,48,32,38,38,32,111,117,116,112,117,116,115,91,48,93,91,50,93,32,62,32,48,32,38,38,32,111,117,116,112,117,116,115,91,48,93,91,51,93,32,62,32,48,0,116,111,116,97,108,40,111,117,116,112,117,116,115,91,48,93,41,32,61,61,32,116,111,116,97,108,40,105,110,112,117,116,115,91,48,93,41,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,100,110,110,58,58,82,101,111,114,103,76,97,121,101,114,73,109,112,108,58,58,102,111,114,119,97,114,100,40,73,110,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,41,0,78,50,99,118,51,100,110,110,49,52,82,101,111,114,103,76,97,121,101,114,73,109,112,108,69,0,78,50,99,118,51,100,110,110,49,52,100,110,110,52,95,118,50,48,49,56,48,57,49,55,49,48,82,101,111,114,103,76,97,121,101,114,69,0,78,83,116,51,95,95,50,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,78,50,99,118,51,100,110,110,49,54,82,101,115,104,97,112,101,76,97,121,101,114,73,109,112,108,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,112,111,105,110,116,101,114,73,80,78,50,99,118,51,100,110,110,49,54,82,101,115,104,97,112,101,76,97,121,101,114,73,109,112,108,69,78,83,95,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,83,51,95,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,51,95,69,69,69,69,0,110,117,109,65,120,101,115,32,62,61,32,45,49,0,82,101,115,104,97,112,101,76,97,121,101,114,73,109,112,108,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,115,114,99,47,108,97,121,101,114,115,47,114,101,115,104,97,112,101,95,108,97,121,101,114,46,99,112,112,0,100,105,109,0,78,50,99,118,51,100,110,110,49,52,100,110,110,52,95,118,50,48,49,56,48,57,49,55,49,50,82,101,115,104,97,112,101,76,97,121,101,114,69,0,116,111,116,97,108,40,115,114,99,83,104,97,112,101,44,32,115,114,99,82,97,110,103,101,46,115,116,97,114,116,44,32,115,114,99,82,97,110,103,101,46,101,110,100,41,32,61,61,32,109,97,115,107,84,111,116,97,108,0,99,111,109,112,117,116,101,83,104,97,112,101,66,121,82,101,115,104,97,112,101,77,97,115,107,0,48,32,60,61,32,115,114,99,82,97,110,103,101,46,115,116,97,114,116,32,38,38,32,115,114,99,82,97,110,103,101,46,115,116,97,114,116,32,60,61,32,115,114,99,82,97,110,103,101,46,101,110,100,32,38,38,32,115,114,99,82,97,110,103,101,46,101,110,100,32,60,61,32,115,114,99,83,104,97,112,101,83,105,122,101,0,67,111,112,121,32,100,105,109,91,37,100,93,32,40,119,104,105,99,104,32,104,97,115,32,122,101,114,111,32,115,105,122,101,41,32,105,115,32,111,117,116,32,111,102,32,116,104,101,32,115,111,117,114,99,101,32,115,104,97,112,101,32,98,111,117,110,100,115,0,68,117,112,108,105,99,97,116,101,32,111,102,32,105,110,102,101,114,114,101,100,32,100,105,109,32,40,119,104,105,99,104,32,105,115,32,100,101,110,111,116,101,100,32,98,121,32,45,49,41,0,109,97,115,107,83,104,97,112,101,91,105,93,32,62,61,32,45,49,0,67,97,110,39,116,32,105,110,102,101,114,32,97,32,100,105,109,32,100,101,110,111,116,101,100,32,98,121,32,45,49,0,115,114,99,84,111,116,97,108,32,61,61,32,100,115,116,84,111,116,97,108,0,116,111,116,97,108,40,105,110,112,117,116,115,91,48,93,41,32,61,61,32,116,111,116,97,108,40,105,110,112,117,116,115,91,49,93,41,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,100,110,110,58,58,82,101,115,104,97,112,101,76,97,121,101,114,73,109,112,108,58,58,102,111,114,119,97,114,100,40,73,110,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+450564);allocate([116,65,114,114,97,121,79,102,65,114,114,97,121,115,41,0,78,50,99,118,51,100,110,110,49,54,82,101,115,104,97,112,101,76,97,121,101,114,73,109,112,108,69,0,78,83,116,51,95,95,50,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,78,50,99,118,51,100,110,110,49,50,76,82,78,76,97,121,101,114,73,109,112,108,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,112,111,105,110,116,101,114,73,80,78,50,99,118,51,100,110,110,49,50,76,82,78,76,97,121,101,114,73,109,112,108,69,78,83,95,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,83,51,95,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,51,95,69,69,69,69,0,110,111,114,109,95,114,101,103,105,111,110,0,65,67,82,79,83,83,95,67,72,65,78,78,69,76,83,0,87,73,84,72,73,78,95,67,72,65,78,78,69,76,0,85,110,107,110,111,119,110,32,114,101,103,105,111,110,32,116,121,112,101,32,34,0,76,82,78,76,97,121,101,114,73,109,112,108,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,115,114,99,47,108,97,121,101,114,115,47,108,114,110,95,108,97,121,101,114,46,99,112,112,0,108,111,99,97,108,95,115,105,122,101,0,76,82,78,32,108,97,121,101,114,32,115,117,112,112,111,114,116,115,32,111,110,108,121,32,112,111,115,105,116,105,118,101,32,111,100,100,32,118,97,108,117,101,115,32,102,111,114,32,108,111,99,97,108,95,115,105,122,101,0,97,108,112,104,97,0,110,111,114,109,95,98,121,95,115,105,122,101,0,105,110,112,117,116,115,95,97,114,114,46,116,111,116,97,108,40,41,32,61,61,32,111,117,116,112,117,116,115,95,97,114,114,46,116,111,116,97,108,40,41,0,105,110,112,117,116,115,91,105,93,46,100,105,109,115,32,61,61,32,52,0,85,110,105,109,112,108,101,109,101,110,116,101,100,32,109,111,100,101,32,111,102,32,76,82,78,32,108,97,121,101,114,0,78,50,99,118,51,100,110,110,49,50,76,82,78,76,97,121,101,114,73,109,112,108,49,48,67,104,97,110,110,101,108,76,82,78,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,100,110,110,58,58,76,82,78,76,97,121,101,114,73,109,112,108,58,58,102,111,114,119,97,114,100,40,73,110,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,41,0,78,50,99,118,51,100,110,110,49,50,76,82,78,76,97,121,101,114,73,109,112,108,69,0,78,50,99,118,51,100,110,110,49,52,100,110,110,52,95,118,50,48,49,56,48,57,49,55,56,76,82,78,76,97,121,101,114,69,0,78,83,116,51,95,95,50,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,78,50,99,118,51,100,110,110,49,55,80,114,105,111,114,66,111,120,76,97,121,101,114,73,109,112,108,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,112,111,105,110,116,101,114,73,80,78,50,99,118,51,100,110,110,49,55,80,114,105,111,114,66,111,120,76,97,121,101,114,73,109,112,108,69,78,83,95,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,83,51,95,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,51,95,69,69,69,69,0,95,109,97,120,83,105,122,101,32,62,32,95,109,105,110,83,105,122,101,0,80,114,105,111,114,66,111,120,76,97,121,101,114,73,109,112,108,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,115,114,99,47,108,97,121,101,114,115,47,112,114,105,111,114,95,98,111,120,95,108,97,121,101,114,46,99,112,112,0,119,105,100,116,104,0,104,101,105,103,104,116,0,119,105,100,116,104,115,46,115,105,122,101,40,41,32,61,61,32,104,101,105,103,104,116,115,46,115,105,122,101,40,41,0,95,97,115,112,101,99,116,82,97,116,105,111,115,46,101,109,112,116,121,40,41,0,33,112,97,114,97,109,115,46,104,97,115,40,34,109,105,110,95,115,105,122,101,34,41,0,33,112,97,114,97,109,115,46,104,97,115,40,34,109,97,120,95,115,105,122,101,34,41,0,95,109,105,110,83,105,122,101,32,62,32,48,0,95,98,111,120,87,105,100,116,104,115,46,115,105,122,101,40,41,32,61,61,32,95,98,111,120,72,101,105,103,104,116,115,46,115,105,122,101,40,41,0,115,116,101,112,95,104,0,115,116,101,112,95,119,0,33,112,97,114,97,109,115,46,104,97,115,40,34,115,116,101,112,34,41,0,95,115,116,101,112,89,32,62,32,48,46,0,95,115,116,101,112,88,32,62,32,48,46,0,33,112,97,114,97,109,115,46,104,97,115,40,34,111,102,102,115,101,116,34,41,0,112,97,114,97,109,115,46,104,97,115,40,34,111,102,102,115,101,116,95,104,34,41,0,112,97,114,97,109,115,46,104,97,115,40,34,111,102,102,115,101,116,95,119,34,41,0,95,111,102,102,115,101,116,115,88,46,115,105,122,101,40,41,32,61,61,32,95,111,102,102,115,101,116,115,89,46,115,105,122,101,40,41,0,118,97,114,105,97,110,99,101,80,97,114,97,109,101,116,101,114,82,101,116,114,105,101,118,101,100,0,103,101,116,86,97,114,105,97,110,99,101,0,118,97,114,105,97,110,99,101,83,105,122,101,32,61,61,32,52,0,118,97,114,105,97,110,99,101,32,62,32,48,0,97,115,112,101,99,116,95,114,97,116,105,111,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,100,110,110,58,58,80,114,105,111,114,66,111,120,76,97,121,101,114,73,109,112,108,58,58,102,111,114,119,97,114,100,40,73,110,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,41,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,100,110,110,58,58,80,114,105,111,114,66,111,120,76,97,121,101,114,73,109,112,108,58,58,102,105,110,97,108,105,122,101,40,73,110,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,41,0,105,110,112,117,116,115,91,49,93,46,100,105,109,115,0,52,0,105,110,112,117,116,115,91,48,93,46,100,105,109,115,0,105,110,112,117,116,115,46,115,105,122,101,40,41,0,40,115,105,122,101,95,116,41,49,0,78,50,99,118,51,100,110,110,49,55,80,114,105,111,114,66,111,120,76,97,121,101,114,73,109,112,108,69,0,78,50,99,118,51,100,110,110,49,52,100,110,110,52,95,118,50,48,49,56,48,57,49,55,49,51,80,114,105,111,114,66,111,120,76,97,121,101,114,69,0,78,83,116,51,95,95,50,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,78,50,99,118,51,100,110,110,49,50,77,86,78,76,97,121,101,114,73,109,112,108,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,112,111,105,110,116,101,114,73,80,78,50,99,118,51,100,110,110,49,50,77,86,78,76,97,121,101,114,73,109,112,108,69,78,83,95,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,83,51,95,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,51,95,69,69,69,69,0,110,111,114,109,97,108,105,122,101,95,118,97,114,105,97,110,99,101,0,97,99,114,111,115,115,95,99,104,97,110,110,101,108,115,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,100,110,110,58,58,77,86,78,76,97,121,101,114,73,109,112,108,58,58,102,111,114,119,97,114,100,40,73,110,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,41,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,115,114,99,47,108,97,121,101,114,115,47,109,118,110,95,108,97,121,101,114,46,99,112,112,0,78,50,99,118,51,100,110,110,49,50,77,86,78,76,97,121,101,114,73,109,112,108,69,0,78,50,99,118,51,100,110,110,49,52,100,110,110,52,95,118,50,48,49,56,48,57,49,55,56,77,86,78,76,97,121,101,114,69,0,78,83,116,51,95,95,50,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,78,50,99,118,51,100,110,110,49,54,80,111,111,108,105,110,103,76,97,121,101,114,73,109,112,108,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,112,111,105,110,116,101,114,73,80,78,50,99,118,51,100,110,110,49,54,80,111,111,108,105,110,103,76,97,121,101,114,73,109,112,108,69,78,83,95,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,83,51,95,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,51,95,69,69,69,69,0,109,97,120,0,97,118,101,0,115,116,111,99,104,97,115,116,105,99,0,85,110,107,110,111,119,110,32,112,111,111,108,105,110,103,32,116,121,112,101,32,34,0,80,111,111,108,105,110,103,76,97,121,101,114,73,109,112,108,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,115,114,99,47,108,97,121,101,114,115,47,112,111,111,108,105,110,103,95,108,97,121,101,114,46,99,112,112,0,111,117,116,112,117,116,95,100,105,109,0,103,114,111,117,112,95,115,105,122,101,0,67,97,110,110,111,116,32,100,101,116,101,114,109,105,110,101,32,112,111,111,108,105,110,103,32,116,121,112,101,0,99,101,105,108,95,109,111,100,101,0,115,112,97,116,105,97,108,95,115,99,97,108,101,0,97,118,101,95,112,111,111,108,95,112,97,100,100,101,100,95,97,114,101,97,0,40,111,117,116,46,104,101,105,103,104,116,32,45,32,49,41,32,42,32,115,116,114,105,100,101,46,104,101,105,103,104,116,32,60,32,105,110,46,104,101,105,103,104,116,32,43,32,112,97,100,95,98,0,40,111,117,116,46,119,105,100,116,104,32,45,32,49,41,32,42,32,115,116,114,105,100,101,46,119,105,100,116,104,32,60,32,105,110,46,119,105,100,116,104,32,43,32,112,97,100,95,114,0,112,115,82,111,105,79,117,116,67,104,97,110,110,101,108,115,32,42,32,112,111,111,108,101,100,83,105,122,101,46,119,105,100,116,104,32,42,32,112,111,111,108,101,100,83,105,122,101,46,104,101,105,103,104,116,32,61,61,32,105,110,112,117,116,115,91,48,93,91,49,93,0,111,117,116,112,117,116,115,46,115,105,122,101,40,41,32,61,61,32,50,0,78,111,116,32,105,109,112,108,101,109,101,110,116,101,100,0,115,114,99,46,105,115,67,111,110,116,105,110,117,111,117,115,40,41,0,100,115,116,46,105,115,67,111,110,116,105,110,117,111,117,115,40,41,0,115,114,99,46,116,121,112,101,40,41,32,61,61,32,53,0,115,114,99,46,116,121,112,101,40,41,32,61,61,32,100,115,116,46,116,121,112,101,40,41,0,115,114,99,46,100,105,109,115,32,61,61,32,52,0,100,115,116,46,100,105,109,115,32,61,61,32,52,0,40,40,112,111,111,108,105,110,103,84,121,112,101,32,61,61,32,82,79,73,32,124,124,32,112,111,111,108,105,110,103,84,121,112,101,32,61,61,32,80,83,82,79,73,41,32,38,38,32,100,115,116,46,115,105,122,101,91,48,93,32,61,61,114,111,105,115,46,115,105,122,101,91,48,93,32,124,124,32,115,114,99,46,115,105,122,101,91,48,93,32,61,61,32,100,115,116,46,115,105,122,101,91,48,93,41,0,112,111,111,108,105,110,103,84,121,112,101,32,61,61,32,80,83,82,79,73,32,124,124,32,115,114,99,46,115,105,122,101,91,49,93,32,61,61,32,100,115,116,46,115,105,122,101,91,49,93,0,40,109,97,115,107,46,101,109,112,116,121,40,41,32,124,124,32,40,109,97,115,107,46,116,121,112,101,40,41,32,61,61,32,115,114,99,46,116,121,112,101,40,41,32,38,38,32,109,97,115,107,46,115,105,122,101,32,61,61,32,100,115,116,46,115,105,122,101,41,41,0,114,111,105,115,68,97,116,97,91,48,93,32,60,32,115,114,99,45,62,115,105,122,101,91,48,93,0,78,50,99,118,51,100,110,110,49,54,80,111,111,108,105,110,103,76,97,121,101,114,73,109,112,108,49,52,80,111,111,108,105,110,103,73,110,118,111,107,101,114,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,100,110,110,58,58,80,111,111,108,105,110,103,76,97,121,101,114,73,109,112,108,58,58,102,111,114,119,97,114,100,40,73,110,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,41,0,33,105,110,112,117,116,115,46,101,109,112,116,121,40,41,0,78,50,99,118,51,100,110,110,49,54,80,111,111,108,105,110,103,76,97,121,101,114,73,109,112,108,69,0,78,83,116,51,95,95,50,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,78,50,99,118,51,100,110,110,49,56,66,97,116,99,104,78,111,114,109,76,97,121,101,114,73,109,112,108,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,112,111,105,110,116,101,114,73,80,78,50,99,118,51,100,110,110,49,56,66,97,116,99,104,78,111,114,109,76,97,121,101,114,73,109,112,108,69,78,83,95,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,83,51,95,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,51,95,69,69,69,69,0,98,108,111,98,115,46,115,105,122,101,40,41,32,62,61,32,50,0,66,97,116,99,104,78,111,114,109,76,97,121,101,114,73,109,112,108,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,115,114,99,47,108,97,121,101,114,115,47,98,97,116,99,104,95,110,111,114,109,95,108,97,121,101,114,46,99,112,112,0,104,97,115,95,119,101,105,103,104,116,0,117,115,101,95,103,108,111,98,97,108,95,115,116,97,116,115,0,115,99,97,108,101,95,98,105,97,115,0,98,108,111,98,115,91,49,93,46,116,111,116,97,108,40,41,32,61,61,32,110,32,38,38,32,98,108,111,98,115,91,48,93,46,105,115,67,111,110,116,105,110,117,111,117,115,40,41,32,38,38,32,98,108,111,98,115,91,49,93,46,105,115,67,111,110,116,105,110,117,111,117,115,40,41,32,38,38,32,98,108,111,98,115,91,48,93,46,116,121,112,101,40,41,32,61,61,32,67,86,95,51,50,70,32,38,38,32,98,108,111,98,115,91,49,93,46,116,121,112,101,40,41,32,61,61,32,67,86,95,51,50,70,0,98,108,111,98,115,46,115,105,122,101,40,41,32,61,61,32,51,0,40,115,105,122,101,95,116,41,119,101,105,103,104,116,115,66,108,111,98,73,110,100,101,120,32,60,32,98,108,111,98,115,46,115,105,122,101,40,41,0,119,46,105,115,67,111,110,116,105,110,117,111,117,115,40,41,32,38,38,32,119,46,116,121,112,101,40,41,32,61,61,32,67,86,95,51,50,70,32,38,38,32,119,46,116,111,116,97,108,40,41,32,61,61,32,40,115,105,122,101,95,116,41,110,0,40,115,105,122,101,95,116,41,98,105,97,115,66,108,111,98,73,110,100,101,120,32,60,32,98,108,111,98,115,46,115,105,122,101,40,41,0,98,46,105,115,67,111,110,116,105,110,117,111,117,115,40,41,32,38,38,32,98,46,116,121,112,101,40,41,32,61,61,32,67,86,95,51,50,70,32,38,38,32,98,46,116,111,116,97,108,40,41,32,61,61,32,40,115,105,122,101,95,116,41,110,0,99,118,58,58,100,110,110,58,58,66,97,116,99,104,78,111,114,109,76,97,121,101,114,73,109,112,108,58,58,66,97,116,99,104,78,111,114,109,76,97,121,101,114,73,109,112,108,40,99,111,110,115,116,32,99,118,58,58,100,110,110,58,58,100,110,110,52,95,118,50,48,49,56,48,57,49,55,58,58,76,97,121,101,114,80,97,114,97,109,115,32,38,41,0,98,108,111,98,115,91,50,93,46,116,121,112,101,40,41,0,66,97,116,99,104,32,110,111,114,109,97,108,105,122,97,116,105,111,110,32,105,110,32,116,114,97,105,110,105,110,103,32,109,111,100,101,32,119,105,116,104,32,98,97,116,99,104,32,115,105,122,101,32,62,32,49,0,105,110,112,66,108,111,98,46,100,105,109,115,32,61,61,32,50,32,124,124,32,105,110,112,66,108,111,98,46,100,105,109,115,32,61,61,32,52,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,100,110,110,58,58,66,97,116,99,104,78,111,114,109,76,97,121,101,114,73,109,112,108,58,58,102,111,114,119,97,114,100,40,73,110,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,41,0,78,50,99,118,51,100,110,110,49,56,66,97,116,99,104,78,111,114,109,76,97,121,101,114,73,109,112,108,69,0,78,50,99,118,51,100,110,110,49,52,100,110,110,52,95,118,50,48,49,56,48,57,49,55,49,52,66,97,116,99,104,78,111,114,109,76,97,121,101,114,69,0,78,83,116,51,95,95,50,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,78,50,99,118,51,100,110,110,50,50,78,111,114,109,97,108,105,122,101,66,66,111,120,76,97,121,101,114,73,109,112,108,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,112,111,105,110,116,101,114,73,80,78,50,99,118,51,100,110,110,50,50,78,111,114,109,97,108,105,122,101,66,66,111,120,76,97,121,101,114,73,109,112,108,69,78,83,95,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,83,51,95,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,51,95,69,69,69,69,0,101,112,115,0,97,99,114,111,115,115,95,115,112,97,116,105,97,108,0,115,116,97,114,116,95,97,120,105,115,0,33,112,97,114,97,109,115,46,104,97,115,40,34,97,99,114,111,115,115,95,115,112,97,116,105,97,108,34,41,32,124,124,32,33,112,97,114,97,109,115,46,104,97,115,40,34,101,110,100,95,97,120,105,115,34,41,0,78,111,114,109,97,108,105,122,101,66,66,111,120,76,97,121,101,114,73,109,112,108,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,115,114,99,47,108,97,121,101,114,115,47,110,111,114,109,97,108,105,122,101,95,98,98,111,120,95,108,97,121,101,114,46,99,112,112,0,112,110,111,114,109,32,62,32,48,0,105,110,112,117,116,115,46,115,105,122,101,40,41,32,61,61,32,49,32,38,38,32,111,117,116,112,117,116,115,46,115,105,122,101,40,41,32,61,61,32,49,0,105,110,112,117,116,115,91,48,93,46,116,111,116,97,108,40,41,32,61,61,32,111,117,116,112,117,116,115,91,48,93,46,116,111,116,97,108,40,41,0,110,117,109,32,42,32,110,117,109,80,108,97,110,101,115,32,33,61,32,48,0,115,99,97,108,101,46,116,111,116,97,108,40,41,32,61,61,32,110,117,109,80,108,97,110,101,115,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,100,110,110,58,58,78,111,114,109,97,108,105,122,101,66,66,111,120,76,97,121,101,114,73,109,112,108,58,58,102,111,114,119,97,114,100,40,73,110,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,41,0,78,50,99,118,51,100,110,110,50,50,78,111,114,109,97,108,105,122,101,66,66,111,120,76,97,121,101,114,73,109,112,108,69,0,78,50,99,118,51,100,110,110,49,52,100,110,110,52,95,118,50,48,49,56,48,57,49,55,49,56,78,111,114,109,97,108,105,122,101,66,66,111,120,76,97,121,101,114,69,0,78,83,116,51,95,95,50,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,78,50,99,118,51,100,110,110,49,52,83,99,97,108,101,76,97,121,101,114,73,109,112,108,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,112,111,105,110,116,101,114,73,80,78,50,99,118,51,100,110,110,49,52,83,99,97,108,101,76,97,121,101,114,73,109,112,108,69,78,83,95,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,83,51,95,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,51,95,69,69,69,69,0,98,105,97,115,95,116,101,114,109,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,115,114,99,47,108,97,121,101,114,115,47,115,99,97,108,101,95,108,97,121,101,114,46,99,112,112,0,33,98,108,111,98,115,46,101,109,112,116,121,40,41,32,124,124,32,105,110,112,117,116,115,46,115,105,122,101,40,41,32,61,61,32,50,0,110,117,109,87,101,105,103,104,116,115,32,33,61,32,48,0,116,111,116,97,108,40,105,110,112,83,104,97,112,101,44,32,97,120,105,115,44,32,101,110,100,65,120,105,115,41,32,61,61,32,110,117,109,87,101,105,103,104,116,115,0,33,104,97,115,66,105,97,115,32,124,124,32,110,117,109,87,101,105,103,104,116,115,32,61,61,32,98,105,97,115,46,116,111,116,97,108,40,41,0,116,111,116,97,108,40,41,32,61,61,32,48,32,124,124,32,100,97,116,97,32,33,61,32,78,85,76,76,0,77,97,116,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,99,111,114,101,47,105,110,99,108,117,100,101,47,111,112,101,110,99,118,50,47,99,111,114,101,47,109,97,116,46,105,110,108,46,104,112,112,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,100,110,110,58,58,83,99,97,108,101,76,97,121,101,114,73,109,112,108,58,58,102,111,114,119,97,114,100,40,73,110,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,41,0,111,117,116,66,108,111,98,46,116,121,112,101,40,41,0,67,86,95,51,50,70,67,49,0,105,110,112,66,108,111,98,46,116,121,112,101,40,41,0,73,110,99,111,109,112,97,116,105,98,108,101,32,119,101,105,103,104,116,115,47,98,105,97,115,32,98,108,111,98,115,0,119,101,105,103,104,116,115,46,116,111,116,97,108,40,41,0,98,105,97,115,46,116,111,116,97,108,40,41,0,105,110,112,117,116,115,46,115,105,122,101,40,41,32,61,61,32,50,32,38,38,32,98,108,111,98,115,46,101,109,112,116,121,40,41,32,124,124,32,98,108,111,98,115,46,115,105,122,101,40,41,32,61,61,32,40,105,110,116,41,104,97,115,87,101,105,103,104,116,115,32,43,32,40,105,110,116,41,104,97,115,66,105,97,115,0,78,50,99,118,51,100,110,110,49,52,83,99,97,108,101,76,97,121,101,114,73,109,112,108,69,0,78,50,99,118,51,100,110,110,49,52,100,110,110,52,95,118,50,48,49,56,48,57,49,55,49,48,83,99,97,108,101,76,97,121,101,114,69,0,83,99,97,108,101,0,107,101,114,110,101,108,0,107,101,114,110,101,108,95,115,105,122,101,0,107,101,114,110,101,108,95,115,105,122,101,32,40,111,114,32,107,101,114,110,101,108,95,104,32,97,110,100,32,107,101,114,110,101,108,95,119,41,32,110,111,116,32,115,112,101,99,105,102,105,101,100,0,103,101,116,75,101,114,110,101,108,83,105,122,101,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,115,114,99,47,108,97,121,101,114,115,47,108,97,121,101,114,115,95,99,111,109,109,111,110,46,99,112,112,0,107,101,114,110,101,108,72,32,62,32,48,32,38,38,32,107,101,114,110,101,108,87,32,62,32,48,0,112,97,100,95,108,0,112,97,100,95,116,0,112,97,100,95,114,0,112,97,100,95,98,0,112,97,100,0,115,116,114,105,100,101,0,112,97,100,84,32,62,61,32,48,32,38,38,32,112,97,100,76,32,62,61,32,48,32,38,38,32,112,97,100,66,32,62,61,32,48,32,38,38,32,112,97,100,82,32,62,61,32,48,32,38,38,32,115,116,114,105,100,101,72,32,62,32,48,32,38,38,32,115,116,114,105,100,101,87,32,62,32,48,0,103,101,116,83,116,114,105,100,101,65,110,100,80,97,100,100,105,110,103,0,103,108,111,98,97,108,95,112,111,111,108,105,110,103,0,73,110,32,103,108,111,98,97,108,95,112,111,111,108,105,110,103,32,109,111,100,101,44,32,107,101,114,110,101,108,95,115,105,122,101,32,40,111,114,32,107,101,114,110,101,108,95,104,32,97,110,100,32,107,101,114,110,101,108,95,119,41,32,99,97,110,110,111,116,32,98,101,32,115,112,101,99,105,102,105,101,100,0,103,101,116,80,111,111,108,105,110,103,75,101,114,110,101,108,80,97,114,97,109,115,0,73,110,32,103,108,111,98,97,108,95,112,111,111,108,105,110,103,32,109,111,100,101,44,32,112,97,100,115,32,109,117,115,116,32,98,101,32,61,32,48,44,32,97,110,100,32,115,116,114,105,100,101,95,104,32,97,110,100,32,115,116,114,105,100,101,95,119,32,109,117,115,116,32,98,101,32,61,32,49,0,100,105,108,97,116,105,111,110,72,32,62,32,48,32,38,38,32,100,105,108,97,116,105,111,110,87,32,62,32,48,0,103,101,116,67,111,110,118,111,108,117,116,105,111,110,75,101,114,110,101,108,80,97,114,97,109,115,0,85,110,115,117,112,112,111,114,116,101,100,32,112,97,100,100,105,110,103,32,109,111,100,101,0,103,101,116,67,111,110,118,80,111,111,108,79,117,116,80,97,114,97,109,115,0,68,101,116,101,99,116,105,111,110,79,117,116,112,117,116,0,78,83,116,51,95,95,50,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,78,50,99,118,51,100,110,110,50,52,68,101,116,101,99,116,105,111,110,79,117,116,112,117,116,76,97,121,101,114,73,109,112,108,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,112,111,105,110,116,101,114,73,80,78,50,99,118,51,100,110,110,50,52,68,101,116,101,99,116,105,111,110,79,117,116,112,117,116,76,97,121,101,114,73,109,112,108,69,78,83,95,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,83,51,95,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,51,95,69,69,69,69,0,110,117,109,95,99,108,97,115,115,101,115,0,115,104,97,114,101,95,108,111,99,97,116,105,111,110,0,98,97,99,107,103,114,111,117,110,100,95,108,97,98,101,108,95,105,100,0,118,97,114,105,97,110,99,101,95,101,110,99,111,100,101,100,95,105,110,95,116,97,114,103,101,116,0,107,101,101,112,95,116,111,112,95,107,0,99,111,110,102,105,100,101,110,99,101,95,116,104,114,101,115,104,111,108,100,0,116,111,112,95,107,0,108,111,99,95,112,114,101,100,95,116,114,97,110,115,112,111,115,101,100,0,110,111,114,109,97,108,105,122,101,100,95,98,98,111,120,0,103,114,111,117,112,95,98,121,95,99,108,97,115,115,101,115,0,110,109,115,95,116,104,114,101,115,104,111,108,100,0,95,110,109,115,84,104,114,101,115,104,111,108,100,32,62,32,48,46,0,68,101,116,101,99,116,105,111,110,79,117,116,112,117,116,76,97,121,101,114,73,109,112,108,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,115,114,99,47,108,97,121,101,114,115,47,100,101,116,101,99,116,105,111,110,95,111,117,116,112,117,116,95,108,97,121,101,114,46,99,112,112,0,99,111,100,101,95,116,121,112,101,0,99,101,110,116,101,114,95,115,105,122,101,0,67,69,78,84,69,82,95,83,73,90,69,0,67,79,82,78,69,82,0,32,108,97,121,101,114,32,112,97,114,97,109,101,116,101,114,32,100,111,101,115,32,110,111,116,32,99,111,110,116,97,105,110,32,0,32,112,97,114,97,109,101,116,101,114,46,0,103,101,116,80,97,114,97,109,101,116,101,114,0,105,110,112,117,116,115,46,115,105,122,101,40,41,32,62,61,32,51,0,105,110,112,117,116,115,91,48,93,91,48,93,32,61,61,32,105,110,112,117,116,115,91,49,93,91,48,93,0,40,110,117,109,80,114,105,111,114,115,32,42,32,95,110,117,109,76,111,99,67,108,97,115,115,101,115,32,42,32,52,41,32,61,61,32,116,111,116,97,108,40,105,110,112,117,116,115,91,48,93,44,32,49,41,0,105,110,116,40,110,117,109,80,114,105,111,114,115,32,42,32,95,110,117,109,67,108,97,115,115,101,115,41,32,61,61,32,116,111,116,97,108,40,105,110,112,117,116,115,91,49,93,44,32,49,41,0,105,110,112,117,116,115,91,50,93,91,49,93,32,61,61,32,49,32,43,32,40,105,110,116,41,40,33,95,118,97,114,105,97,110,99,101,69,110,99,111,100,101,100,73,110,84,97,114,103,101,116,41,0,95,98,98,111,120,101,115,78,111,114,109,97,108,105,122,101,100,32,124,124,32,105,110,112,117,116,115,46,115,105,122,101,40,41,32,62,61,32,52,0,105,110,112,117,116,115,91,51,93,46,100,105,109,115,32,61,61,32,52,0,99,111,117,110,116,32,61,61,32,110,117,109,75,101,112,116,0,67,111,117,108,100,32,110,111,116,32,102,105,110,100,32,99,111,110,102,105,100,101,110,99,101,32,112,114,101,100,105,99,116,105,111,110,115,32,102,111,114,32,108,97,98,101,108,32,37,100,0,111,117,116,112,117,116,68,101,116,101,99,116,105,111,110,115,95,0,67,111,117,108,100,32,110,111,116,32,102,105,110,100,32,108,111,99,97,116,105,111,110,32,112,114,101,100,105,99,116,105,111,110,115,32,102,111,114,32,108,97,98,101,108,32,37,100,0,112,114,111,99,101,115,115,68,101,116,101,99,116,105,111,110,115,95,0,78,77,83,70,97,115,116,95,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,115,114,99,47,108,97,121,101,114,115,47,46,46,47,110,109,115,46,105,110,108,46,104,112,112,0,105,100,120,32,60,32,115,99,111,114,101,115,46,115,105,122,101,40,41,0,97,108,108,95,108,111,99,95,112,114,101,100,115,46,115,105,122,101,40,41,32,61,61,32,110,117,109,0,68,101,99,111,100,101,66,66,111,120,101,115,65,108,108,0,112,114,105,111,114,95,98,98,111,120,101,115,46,115,105,122,101,40,41,32,61,61,32,112,114,105,111,114,95,118,97,114,105,97,110,99,101,115,46,115,105,122,101,40,41,0,68,101,99,111,100,101,66,66,111,120,101,115,0,112,114,105,111,114,95,98,98,111,120,101,115,46,115,105,122,101,40,41,32,61,61,32,98,98,111,120,101,115,46,115,105,122,101,40,41,0,110,117,109,95,98,98,111,120,101,115,32,61,61,32,48,32,124,124,32,112,114,105,111,114,95,118,97,114,105,97,110,99,101,115,91,48,93,46,115,105,122,101,40,41,32,61,61,32,52,0,112,114,105,111,114,95,119,105,100,116,104,32,62,32,48,0,68,101,99,111,100,101,66,66,111,120,0,112,114,105,111,114,95,104,101,105,103,104,116,32,62,32,48,0,85,110,107,110,111,119,110,32,116,121,112,101,46,0,110,117,109,76,111,99,67,108,97,115,115,101,115,32,61,61,32,49,0,71,101,116,76,111,99,80,114,101,100,105,99,116,105,111,110,115,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,100,110,110,58,58,68,101,116,101,99,116,105,111,110,79,117,116,112,117,116,76,97,121,101,114,73,109,112,108,58,58,102,111,114,119,97,114,100,40,73,110,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,41,0,78,50,99,118,51,100,110,110,50,52,68,101,116,101,99,116,105,111,110,79,117,116,112,117,116,76,97,121,101,114,73,109,112,108,69,0,78,50,99,118,51,100,110,110,49,52,100,110,110,52,95,118,50,48,49,56,48,57,49,55,50,48,68,101,116,101,99,116,105,111,110,79,117,116,112,117,116,76,97,121,101,114,69,0,78,83,116,51,95,95,50,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,78,50,99,118,51,100,110,110,49,52,83,108,105,99,101,76,97,121,101,114,73,109,112,108,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,112,111,105,110,116,101,114,73,80,78,50,99,118,51,100,110,110,49,52,83,108,105,99,101,76,97,121,101,114,73,109,112,108,69,78,83,95,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,83,51,95,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,51,95,69,69,69,69,0,115,108,105,99,101,95,112,111,105,110,116,0,98,101,103,105,110,0,101,110,100,0,33,112,97,114,97,109,115,46,104,97,115,40,34,98,101,103,105,110,34,41,32,38,38,32,33,112,97,114,97,109,115,46,104,97,115,40,34,115,105,122,101,34,41,32,38,38,32,33,112,97,114,97,109,115,46,104,97,115,40,34,101,110,100,34,41,0,83,108,105,99,101,76,97,121,101,114,73,109,112,108,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,115,114,99,47,108,97,121,101,114,115,47,115,108,105,99,101,95,108,97,121,101,114,46,99,112,112,0,112,97,114,97,109,115,46,104,97,115,40,34,115,105,122,101,34,41,32,94,32,112,97,114,97,109,115,46,104,97,115,40,34,101,110,100,34,41,0,98,101,103,105,110,115,46,115,105,122,101,40,41,32,61,61,32,115,105,122,101,115,79,114,69,110,100,115,46,115,105,122,101,40,41,0,115,116,97,114,116,32,62,61,32,48,0,115,105,122,101,32,61,61,32,45,49,32,124,124,32,115,105,122,101,32,62,32,48,0,101,110,100,32,60,32,48,32,124,124,32,101,110,100,32,62,32,115,116,97,114,116,0,78,50,99,118,51,100,110,110,49,52,100,110,110,52,95,118,50,48,49,56,48,57,49,55,49,48,83,108,105,99,101,76,97,121,101,114,69,0,115,108,105,99,101,82,97,110,103,101,115,91,105,93,46,115,105,122,101,40,41,32,60,61,32,105,110,112,83,104,97,112,101,46,115,105,122,101,40,41,0,48,32,60,61,32,97,120,105,115,32,38,38,32,97,120,105,115,32,60,32,105,110,112,83,104,97,112,101,46,115,105,122,101,40,41,0,114,101,113,117,105,114,101,100,79,117,116,112,117,116,115,32,62,32,48,32,38,38,32,105,110,112,83,104,97,112,101,91,97,120,105,115,93,32,37,32,114,101,113,117,105,114,101,100,79,117,116,112,117,116,115,32,61,61,32,48,0,99,108,97,109,112,101,100,46,115,116,97,114,116,32,60,32,99,108,97,109,112,101,100,46,101,110,100,0,99,108,97,109,112,0,99,108,97,109,112,101,100,46,101,110,100,32,60,61,32,97,120,105,115,83,105,122,101,0,111,117,116,112,117,116,115,46,115,105,122,101,40,41,32,61,61,32,115,108,105,99,101,82,97,110,103,101,115,46,115,105,122,101,40,41,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,100,110,110,58,58,83,108,105,99,101,76,97,121,101,114,73,109,112,108,58,58,102,111,114,119,97,114,100,40,73,110,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,41,0,115,108,105,99,101,82,97,110,103,101,115,91,105,93,46,115,105,122,101,40,41,32,60,61,32,105,110,112,83,104,97,112,101,46,100,105,109,115,40,41,0,78,50,99,118,51,100,110,110,49,52,83,108,105,99,101,76,97,121,101,114,73,109,112,108,69,0,78,83,116,51,95,95,50,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,78,50,99,118,51,100,110,110,49,54,80,97,100,100,105,110,103,76,97,121,101,114,73,109,112,108,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,112,111,105,110,116,101,114,73,80,78,50,99,118,51,100,110,110,49,54,80,97,100,100,105,110,103,76,97,121,101,114,73,109,112,108,69,78,83,95,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,83,51,95,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,51,95,69,69,69,69,0,105,110,112,117,116,95,100,105,109,115,0,112,97,114,97,109,115,46,104,97,115,40,34,112,97,100,100,105,110,103,115,34,41,0,80,97,100,100,105,110,103,76,97,121,101,114,73,109,112,108,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,115,114,99,47,108,97,121,101,114,115,47,112,97,100,100,105,110,103,95,108,97,121,101,114,46,99,112,112,0,40,112,97,100,100,105,110,103,115,80,97,114,97,109,46,115,105,122,101,40,41,32,38,32,49,41,32,61,61,32,48,0,112,97,100,100,105,110,103,115,91,105,93,46,102,105,114,115,116,32,62,61,32,48,0,112,97,100,100,105,110,103,115,91,105,93,46,115,101,99,111,110,100,32,62,61,32,48,0,105,110,112,83,104,97,112,101,46,115,105,122,101,40,41,32,62,61,32,112,97,100,100,105,110,103,115,46,115,105,122,101,40,41,0,105,110,112,117,116,68,105,109,115,32,61,61,32,45,49,32,124,124,32,105,110,112,83,104,97,112,101,46,115,105,122,101,40,41,32,61,61,32,105,110,112,117,116,68,105,109,115,32,124,124,32,105,110,112,83,104,97,112,101,46,115,105,122,101,40,41,32,62,32,112,97,100,100,105,110,103,115,46,115,105,122,101,40,41,0,99,111,110,115,116,97,110,116,0,114,101,102,108,101,99,116,0,105,110,112,117,116,115,91,48,93,46,100,105,109,115,32,61,61,32,52,0,111,117,116,112,117,116,115,91,48,93,46,100,105,109,115,32,61,61,32,52,0,79,110,108,121,32,115,112,97,116,105,97,108,32,114,101,102,108,101,99,116,105,111,110,32,112,97,100,100,105,110,103,32,105,115,32,115,117,112,112,111,114,116,101,100,46,0,109,46,100,105,109,115,32,62,32,50,0,103,101,116,80,108,97,110,101,0,85,110,107,110,111,119,110,32,112,97,100,100,105,110,103,32,116,121,112,101,58,32,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,100,110,110,58,58,80,97,100,100,105,110,103,76,97,121,101,114,73,109,112,108,58,58,102,111,114,119,97,114,100,40,73,110,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,41,0,112,97,100,82,105,103,104,116,0,105,110,112,87,105,100,116,104,0,112,97,100,76,101,102,116,0,112,97,100,66,111,116,116,111,109,0,105,110,112,72,101,105,103,104,116,0,112,97,100,84,111,112,0,78,50,99,118,51,100,110,110,49,54,80,97,100,100,105,110,103,76,97,121,101,114,73,109,112,108,69,0,78,50,99,118,51,100,110,110,49,52,100,110,110,52,95,118,50,48,49,56,48,57,49,55,49,50,80,97,100,100,105,110,103,76,97,121,101,114,69,0,78,83,116,51,95,95,50,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,78,50,99,118,51,100,110,110,49,54,80,101,114,109,117,116,101,76,97,121,101,114,73,109,112,108,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,112,111,105,110,116,101,114,73,80,78,50,99,118,51,100,110,110,49,54,80,101,114,109,117,116,101,76,97,121,101,114,73,109,112,108,69,78,83,95,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,83,51,95,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,51,95,69,69,69,69,0,111,114,100,101,114,0,79,114,100,101,114,115,32,111,102,32,100,105,109,101,110,115,105,111,110,115,32,105,110,32,80,101,114,109,117,116,101,32,108,97,121,101,114,32,112,97,114,97],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+460804);allocate([109,101,116,101,114,109,117,115,116,32,98,101,32,105,110,32,91,48,46,46,46,37,100,93,0,80,101,114,109,117,116,101,76,97,121,101,114,73,109,112,108,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,115,114,99,47,108,97,121,101,114,115,47,112,101,114,109,117,116,101,95,108,97,121,101,114,46,99,112,112,0,80,101,114,109,117,116,101,32,108,97,121,101,114,32,112,97,114,97,109,101,116,101,114,32,99,111,110,116,97,105,110,115,32,100,117,112,108,105,99,97,116,101,100,32,111,114,100,101,114,115,46,0,40,105,110,116,41,95,110,117,109,65,120,101,115,32,61,61,32,105,110,112,117,116,115,91,48,93,46,115,105,122,101,40,41,0,105,110,112,117,116,115,91,105,93,46,115,105,122,101,40,41,32,61,61,32,52,0,105,110,112,117,116,115,91,105,93,91,50,93,32,61,61,32,115,104,97,112,101,66,101,102,111,114,101,91,50,93,32,38,38,32,105,110,112,117,116,115,91,105,93,91,51,93,32,61,61,32,115,104,97,112,101,66,101,102,111,114,101,91,51,93,0,116,111,116,97,108,40,105,110,112,117,116,115,91,105,93,41,32,61,61,32,116,111,116,97,108,40,115,104,97,112,101,65,102,116,101,114,41,0,111,117,116,112,117,116,115,91,107,93,46,116,111,116,97,108,40,41,32,61,61,32,105,110,112,117,116,115,91,107,93,46,116,111,116,97,108,40,41,0,105,110,112,46,100,105,109,115,32,61,61,32,110,117,109,65,120,101,115,32,38,38,32,105,110,112,46,115,105,122,101,32,61,61,32,105,110,112,117,116,115,91,48,93,46,115,105,122,101,0,111,117,116,46,100,105,109,115,32,61,61,32,110,117,109,65,120,101,115,32,38,38,32,111,117,116,46,115,105,122,101,32,61,61,32,111,117,116,112,117,116,115,91,48,93,46,115,105,122,101,0,105,110,112,46,105,115,67,111,110,116,105,110,117,111,117,115,40,41,32,38,38,32,111,117,116,46,105,115,67,111,110,116,105,110,117,111,117,115,40,41,0,105,110,112,46,116,121,112,101,40,41,32,61,61,32,67,86,95,51,50,70,32,38,38,32,111,117,116,46,116,121,112,101,40,41,32,61,61,32,67,86,95,51,50,70,0,111,117,116,46,115,105,122,101,91,48,93,32,61,61,32,105,110,112,46,115,105,122,101,91,111,114,100,101,114,91,48,93,93,32,38,38,32,111,117,116,46,115,105,122,101,91,49,93,32,61,61,32,105,110,112,46,115,105,122,101,91,111,114,100,101,114,91,49,93,93,32,38,38,32,111,117,116,46,115,105,122,101,91,50,93,32,61,61,32,105,110,112,46,115,105,122,101,91,111,114,100,101,114,91,50,93,93,32,38,38,32,111,117,116,46,115,105,122,101,91,51,93,32,61,61,32,105,110,112,46,115,105,122,101,91,111,114,100,101,114,91,51,93,93,0,78,50,99,118,51,100,110,110,49,54,80,101,114,109,117,116,101,76,97,121,101,114,73,109,112,108,49,52,80,101,114,109,117,116,101,73,110,118,111,107,101,114,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,100,110,110,58,58,80,101,114,109,117,116,101,76,97,121,101,114,73,109,112,108,58,58,102,111,114,119,97,114,100,40,73,110,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,41,0,40,105,110,116,41,95,110,117,109,65,120,101,115,32,61,61,32,105,110,112,48,46,100,105,109,115,0,78,50,99,118,51,100,110,110,49,54,80,101,114,109,117,116,101,76,97,121,101,114,73,109,112,108,69,0,78,50,99,118,51,100,110,110,49,52,100,110,110,52,95,118,50,48,49,56,48,57,49,55,49,50,80,101,114,109,117,116,101,76,97,121,101,114,69,0,78,83,116,51,95,95,50,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,78,50,99,118,51,100,110,110,50,48,67,111,110,118,111,108,117,116,105,111,110,76,97,121,101,114,73,109,112,108,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,112,111,105,110,116,101,114,73,80,78,50,99,118,51,100,110,110,50,48,67,111,110,118,111,108,117,116,105,111,110,76,97,121,101,114,73,109,112,108,69,78,83,95,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,83,51,95,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,51,95,69,69,69,69,0,105,110,112,117,116,115,46,115,105,122,101,40,41,32,61,61,32,111,117,116,112,117,116,115,46,115,105,122,101,40,41,0,103,101,116,70,76,79,80,83,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,115,114,99,47,108,97,121,101,114,115,47,99,111,110,118,111,108,117,116,105,111,110,95,108,97,121,101,114,46,99,112,112,0,98,108,111,98,115,46,115,105,122,101,40,41,32,33,61,32,48,0,33,104,97,115,66,105,97,115,40,41,32,124,124,32,98,108,111,98,115,91,49,93,46,116,111,116,97,108,40,41,32,61,61,32,40,115,105,122,101,95,116,41,98,108,111,98,115,91,48,93,46,115,105,122,101,91,48,93,0,105,110,112,117,116,115,46,115,105,122,101,40,41,32,61,61,32,40,115,105,122,101,95,116,41,49,0,110,103,114,111,117,112,115,32,62,32,48,32,38,38,32,105,110,112,67,110,32,37,32,110,103,114,111,117,112,115,32,61,61,32,48,32,38,38,32,111,117,116,67,110,32,37,32,110,103,114,111,117,112,115,32,61,61,32,48,0,33,119,101,105,103,104,116,115,77,97,116,46,101,109,112,116,121,40,41,0,102,117,115,101,87,101,105,103,104,116,115,0,98,105,97,115,118,101,99,46,115,105,122,101,40,41,32,61,61,32,111,117,116,67,110,32,43,32,50,0,119,46,101,109,112,116,121,40,41,32,124,124,32,111,117,116,67,110,32,61,61,32,119,46,116,111,116,97,108,40,41,0,98,46,101,109,112,116,121,40,41,32,124,124,32,111,117,116,67,110,32,61,61,32,98,46,116,111,116,97,108,40,41,0,105,110,112,117,116,115,91,48,93,46,115,105,122,101,91,49,93,32,37,32,98,108,111,98,115,91,48,93,46,115,105,122,101,91,49,93,32,61,61,32,48,0,111,117,116,112,117,116,115,46,115,105,122,101,40,41,32,61,61,32,49,0,105,110,112,117,116,115,91,48,93,46,100,97,116,97,32,33,61,32,111,117,116,112,117,116,115,91,48,93,46,100,97,116,97,0,111,117,116,112,117,116,115,91,48,93,46,115,105,122,101,91,49,93,32,37,32,110,103,114,111,117,112,115,32,61,61,32,48,0,109,46,105,115,67,111,110,116,105,110,117,111,117,115,40,41,32,38,38,32,109,46,116,121,112,101,40,41,32,61,61,32,67,86,95,51,50,70,32,38,38,32,40,105,110,116,41,109,46,116,111,116,97,108,40,41,32,61,61,32,111,117,116,67,110,0,105,110,112,117,116,46,100,105,109,115,32,61,61,32,52,32,38,38,32,111,117,116,112,117,116,46,100,105,109,115,32,61,61,32,52,0,114,117,110,0,105,110,112,117,116,46,115,105,122,101,91,48,93,32,61,61,32,111,117,116,112,117,116,46,115,105,122,101,91,48,93,0,119,101,105,103,104,116,115,46,114,111,119,115,32,61,61,32,111,117,116,112,117,116,46,115,105,122,101,91,49,93,0,119,101,105,103,104,116,115,46,99,111,108,115,32,61,61,32,40,105,110,112,117,116,46,115,105,122,101,91,49,93,47,110,103,114,111,117,112,115,41,42,107,101,114,110,101,108,46,119,105,100,116,104,42,107,101,114,110,101,108,46,104,101,105,103,104,116,0,105,110,112,117,116,46,116,121,112,101,40,41,32,61,61,32,111,117,116,112,117,116,46,116,121,112,101,40,41,0,105,110,112,117,116,46,116,121,112,101,40,41,32,61,61,32,119,101,105,103,104,116,115,46,116,121,112,101,40,41,0,105,110,112,117,116,46,116,121,112,101,40,41,32,61,61,32,40,40,40,53,41,32,38,32,40,40,49,32,60,60,32,51,41,32,45,32,49,41,41,32,43,32,40,40,40,49,41,45,49,41,32,60,60,32,51,41,41,0,105,110,112,117,116,46,105,115,67,111,110,116,105,110,117,111,117,115,40,41,0,111,117,116,112,117,116,46,105,115,67,111,110,116,105,110,117,111,117,115,40,41,0,98,105,97,115,118,101,99,46,115,105,122,101,40,41,32,61,61,32,40,115,105,122,101,95,116,41,111,117,116,112,117,116,46,115,105,122,101,91,49,93,43,50,0,78,50,99,118,51,100,110,110,50,48,67,111,110,118,111,108,117,116,105,111,110,76,97,121,101,114,73,109,112,108,49,50,80,97,114,97,108,108,101,108,67,111,110,118,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,100,110,110,58,58,67,111,110,118,111,108,117,116,105,111,110,76,97,121,101,114,73,109,112,108,58,58,102,111,114,119,97,114,100,40,73,110,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,41,0,33,98,108,111,98,115,46,101,109,112,116,121,40,41,0,105,110,112,117,116,115,46,115,105,122,101,40,41,32,62,32,48,0,98,108,111,98,115,46,115,105,122,101,40,41,32,62,61,32,49,32,38,38,32,98,108,111,98,115,46,115,105,122,101,40,41,32,60,61,32,50,0,98,108,111,98,115,91,48,93,46,100,105,109,115,32,61,61,32,52,32,38,38,32,98,108,111,98,115,91,48,93,46,115,105,122,101,91,51,93,32,61,61,32,107,101,114,110,101,108,46,119,105,100,116,104,32,38,38,32,98,108,111,98,115,91,48,93,46,115,105,122,101,91,50,93,32,61,61,32,107,101,114,110,101,108,46,104,101,105,103,104,116,0,105,110,112,117,116,46,100,105,109,115,32,61,61,32,52,32,38,38,32,40,105,110,112,117,116,46,116,121,112,101,40,41,32,61,61,32,67,86,95,51,50,70,32,124,124,32,105,110,112,117,116,46,116,121,112,101,40,41,32,61,61,32,67,86,95,54,52,70,32,124,124,32,105,110,112,117,116,46,116,121,112,101,40,41,32,61,61,32,67,86,95,49,54,83,41,0,105,110,112,117,116,115,91,105,93,46,116,121,112,101,40,41,32,61,61,32,105,110,112,117,116,46,116,121,112,101,40,41,0,105,110,112,117,116,115,91,105,93,46,100,105,109,115,32,61,61,32,52,32,38,38,32,105,110,112,117,116,115,91,105,93,46,115,105,122,101,91,49,93,32,61,61,32,105,110,112,117,116,46,115,105,122,101,91,49,93,0,105,110,112,117,116,115,91,105,93,46,115,105,122,101,91,50,93,32,61,61,32,105,110,112,117,116,46,115,105,122,101,91,50,93,32,38,38,32,105,110,112,117,116,115,91,105,93,46,115,105,122,101,91,51,93,32,61,61,32,105,110,112,117,116,46,115,105,122,101,91,51,93,0,85,110,115,117,112,112,111,114,116,101,100,32,97,115,121,109,109,101,116,114,105,99,32,112,97,100,100,105,110,103,32,105,110,32,99,111,110,118,111,108,117,116,105,111,110,32,108,97,121,101,114,0,78,50,99,118,51,100,110,110,50,48,67,111,110,118,111,108,117,116,105,111,110,76,97,121,101,114,73,109,112,108,69,0,78,50,99,118,51,100,110,110,50,52,66,97,115,101,67,111,110,118,111,108,117,116,105,111,110,76,97,121,101,114,73,109,112,108,69,0,66,97,115,101,67,111,110,118,111,108,117,116,105,111,110,76,97,121,101,114,73,109,112,108,0,110,117,109,95,111,117,116,112,117,116,0,97,100,106,95,104,0,97,100,106,95,119,0,110,117,109,79,117,116,112,117,116,32,37,32,110,103,114,111,117,112,115,32,61,61,32,48,0,97,100,106,117,115,116,80,97,100,46,119,105,100,116,104,32,60,32,115,116,114,105,100,101,46,119,105,100,116,104,32,38,38,32,97,100,106,117,115,116,80,97,100,46,104,101,105,103,104,116,32,60,32,115,116,114,105,100,101,46,104,101,105,103,104,116,0,78,83,116,51,95,95,50,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,78,50,99,118,51,100,110,110,50,50,68,101,67,111,110,118,111,108,117,116,105,111,110,76,97,121,101,114,73,109,112,108,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,112,111,105,110,116,101,114,73,80,78,50,99,118,51,100,110,110,50,50,68,101,67,111,110,118,111,108,117,116,105,111,110,76,97,121,101,114,73,109,112,108,69,78,83,95,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,83,51,95,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,51,95,69,69,69,69,0,33,104,97,115,66,105,97,115,40,41,32,124,124,32,98,108,111,98,115,91,49,93,46,116,111,116,97,108,40,41,32,61,61,32,40,115,105,122,101,95,116,41,110,117,109,79,117,116,112,117,116,0,105,110,112,117,116,115,46,115,105,122,101,40,41,32,33,61,32,48,0,86,65,76,73,68,0,83,65,77,69,0,85,110,115,117,112,112,111,114,116,101,100,32,112,97,100,100,105,110,103,32,109,111,100,101,32,0,111,117,116,67,110,32,37,32,98,108,111,98,115,91,48,93,46,115,105,122,101,91,49,93,32,61,61,32,48,0,105,110,112,67,110,32,37,32,110,103,114,111,117,112,115,32,61,61,32,48,32,38,38,32,111,117,116,67,110,32,37,32,110,103,114,111,117,112,115,32,61,61,32,48,0,98,108,111,98,115,91,48,93,46,115,105,122,101,91,48,93,32,61,61,32,105,110,112,67,110,0,78,50,99,118,51,100,110,110,50,50,68,101,67,111,110,118,111,108,117,116,105,111,110,76,97,121,101,114,73,109,112,108,49,51,67,111,108,50,73,109,73,110,118,111,107,101,114,69,0,78,50,99,118,51,100,110,110,50,50,68,101,67,111,110,118,111,108,117,116,105,111,110,76,97,121,101,114,73,109,112,108,49,51,77,97,116,77,117,108,73,110,118,111,107,101,114,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,100,110,110,58,58,68,101,67,111,110,118,111,108,117,116,105,111,110,76,97,121,101,114,73,109,112,108,58,58,102,111,114,119,97,114,100,40,73,110,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,41,0,78,50,99,118,51,100,110,110,50,50,68,101,67,111,110,118,111,108,117,116,105,111,110,76,97,121,101,114,73,109,112,108,69,0,104,0,99,0,120,0,78,50,99,118,51,100,110,110,49,52,100,110,110,52,95,118,50,48,49,56,48,57,49,55,57,76,83,84,77,76,97,121,101,114,69,0,78,83,116,51,95,95,50,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,78,50,99,118,51,100,110,110,49,51,76,83,84,77,76,97,121,101,114,73,109,112,108,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,112,111,105,110,116,101,114,73,80,78,50,99,118,51,100,110,110,49,51,76,83,84,77,76,97,121,101,114,73,109,112,108,69,78,83,95,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,83,51,95,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,51,95,69,69,69,69,0,98,108,111,98,115,46,115,105,122,101,40,41,32,62,61,32,51,0,76,83,84,77,76,97,121,101,114,73,109,112,108,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,115,114,99,47,108,97,121,101,114,115,47,114,101,99,117,114,114,101,110,116,95,108,97,121,101,114,115,46,99,112,112,0,87,104,46,100,105,109,115,32,61,61,32,50,32,38,38,32,87,120,46,100,105,109,115,32,61,61,32,50,0,87,104,46,114,111,119,115,32,61,61,32,87,120,46,114,111,119,115,0,87,104,46,114,111,119,115,32,61,61,32,52,42,87,104,46,99,111,108,115,0,87,104,46,114,111,119,115,32,61,61,32,40,105,110,116,41,98,105,97,115,46,116,111,116,97,108,40,41,0,87,104,46,116,121,112,101,40,41,32,61,61,32,87,120,46,116,121,112,101,40,41,32,38,38,32,87,120,46,116,121,112,101,40,41,32,61,61,32,98,105,97,115,46,116,121,112,101,40,41,0,98,108,111,98,115,46,115,105,122,101,40,41,32,61,61,32,54,0,98,108,111,98,115,91,105,93,46,114,111,119,115,32,61,61,32,78,32,38,38,32,98,108,111,98,115,91,105,93,46,99,111,108,115,32,61,61,32,78,0,98,108,111,98,115,91,105,93,46,116,121,112,101,40,41,32,61,61,32,98,105,97,115,46,116,121,112,101,40,41,0,117,115,101,95,116,105,109,101,115,116,97,109,112,95,100,105,109,0,112,114,111,100,117,99,101,95,99,101,108,108,95,111,117,116,112,117,116,0,102,111,114,103,101,116,95,98,105,97,115,0,99,101,108,108,95,99,108,105,112,0,117,115,101,95,99,101,108,108,95,99,108,105,112,0,117,115,101,95,112,101,101,112,104,111,108,101,0,33,97,108,108,111,99,97,116,101,100,0,115,101,116,80,114,111,100,117,99,101,67,101,108,108,79,117,116,112,117,116,0,115,101,116,85,115,101,84,105,109,115,116,97,109,112,115,68,105,109,0,115,116,97,114,116,32,60,61,32,40,105,110,116,41,115,104,97,112,101,46,115,105,122,101,40,41,32,38,38,32,101,110,100,32,60,61,32,40,105,110,116,41,115,104,97,112,101,46,115,105,122,101,40,41,32,38,38,32,115,116,97,114,116,32,60,61,32,101,110,100,0,116,111,116,97,108,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,105,110,99,108,117,100,101,47,111,112,101,110,99,118,50,47,100,110,110,47,115,104,97,112,101,95,117,116,105,108,115,46,104,112,112,0,33,97,108,108,111,99,97,116,101,100,32,124,124,32,116,111,116,97,108,40,111,117,116,84,97,105,108,83,104,97,112,101,41,32,61,61,32,116,111,116,97,108,40,111,117,116,84,97,105,108,83,104,97,112,101,95,41,0,115,101,116,79,117,116,83,104,97,112,101,0,115,101,116,87,101,105,103,104,116,115,0,33,117,115,101,80,101,101,112,104,111,108,101,32,38,38,32,98,108,111,98,115,46,115,105,122,101,40,41,32,61,61,32,51,32,124,124,32,117,115,101,80,101,101,112,104,111,108,101,32,38,38,32,98,108,111,98,115,46,115,105,122,101,40,41,32,61,61,32,54,0,116,111,116,97,108,40,111,117,116,84,97,105,108,83,104,97,112,101,95,41,32,61,61,32,95,110,117,109,79,117,116,0,105,110,112,48,46,115,105,122,101,40,41,32,62,61,32,50,32,38,38,32,116,111,116,97,108,40,105,110,112,48,44,32,50,41,32,61,61,32,95,110,117,109,73,110,112,0,105,110,112,48,46,115,105,122,101,40,41,32,62,61,32,50,32,38,38,32,116,111,116,97,108,40,105,110,112,48,44,32,49,41,32,61,61,32,95,110,117,109,73,110,112,0,70,117,110,99,116,105,111,110,32,115,117,112,112,111,114,116,115,32,111,110,108,121,32,102,108,111,97,116,105,110,103,32,112,111,105,110,116,32,116,121,112,101,115,0,116,97,110,104,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,100,110,110,58,58,76,83,84,77,76,97,121,101,114,73,109,112,108,58,58,102,111,114,119,97,114,100,40,73,110,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,41,0,105,110,112,117,116,46,115,105,122,101,40,41,32,61,61,32,49,0,116,111,116,97,108,40,111,117,116,84,97,105,108,83,104,97,112,101,41,32,61,61,32,110,117,109,79,117,116,0,105,110,112,48,46,100,105,109,115,32,62,61,32,50,32,38,38,32,40,105,110,116,41,105,110,112,48,46,116,111,116,97,108,40,50,41,32,61,61,32,110,117,109,73,110,112,0,105,110,112,48,46,100,105,109,115,32,62,61,32,50,32,38,38,32,40,105,110,116,41,105,110,112,48,46,116,111,116,97,108,40,49,41,32,61,61,32,110,117,109,73,110,112,0,78,50,99,118,51,100,110,110,49,51,76,83,84,77,76,97,121,101,114,73,109,112,108,69,0,78,83,116,51,95,95,50,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,78,50,99,118,51,100,110,110,49,51,67,114,111,112,76,97,121,101,114,73,109,112,108,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,112,111,105,110,116,101,114,73,80,78,50,99,118,51,100,110,110,49,51,67,114,111,112,76,97,121,101,114,73,109,112,108,69,78,83,95,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,83,51,95,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,51,95,69,69,69,69,0,111,102,102,115,101,116,0,85,110,104,97,110,100,108,101,100,32,116,121,112,101,32,40,37,100,41,0,115,105,122,101,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,105,110,99,108,117,100,101,47,111,112,101,110,99,118,50,47,100,110,110,47,100,110,110,46,105,110,108,46,104,112,112,0,78,50,99,118,51,100,110,110,49,52,100,110,110,52,95,118,50,48,49,56,48,57,49,55,57,67,114,111,112,76,97,121,101,114,69,0,105,110,112,117,116,115,46,115,105,122,101,40,41,32,61,61,32,50,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,115,114,99,47,108,97,121,101,114,115,47,99,114,111,112,95,108,97,121,101,114,46,99,112,112,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,100,110,110,58,58,67,114,111,112,76,97,121,101,114,73,109,112,108,58,58,102,111,114,119,97,114,100,40,73,110,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,41,0,50,32,61,61,32,105,110,112,117,116,115,46,115,105,122,101,40,41,0,102,105,110,97,108,105,122,101,0,110,117,109,98,101,114,32,111,102,32,111,102,102,115,101,116,32,118,97,108,117,101,115,32,115,112,101,99,105,102,105,101,100,32,109,117,115,116,32,98,101,32,101,113,117,97,108,32,116,111,32,116,104,101,32,110,117,109,98,101,114,32,111,102,32,100,105,109,101,110,115,105,111,110,115,32,102,111,108,108,111,119,105,110,103,32,97,120,105,115,46,0,105,110,118,97,108,105,100,32,99,114,111,112,32,112,97,114,97,109,101,116,101,114,115,32,111,114,32,98,108,111,98,32,115,105,122,101,115,0,78,50,99,118,51,100,110,110,49,51,67,114,111,112,76,97,121,101,114,73,109,112,108,69,0,78,83,116,51,95,95,50,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,78,50,99,118,51,100,110,110,49,52,83,112,108,105,116,76,97,121,101,114,73,109,112,108,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,112,111,105,110,116,101,114,73,80,78,50,99,118,51,100,110,110,49,52,83,112,108,105,116,76,97,121,101,114,73,109,112,108,69,78,83,95,49,52,100,101,102,97,117,108,116,95,100,101,108,101,116,101,73,83,51,95,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,51,95,69,69,69,69,0,116,111,112,95,99,111,117,110,116,0,111,117,116,112,117,116,115,67,111,117,110,116,32,62,61,32,48,0,83,112,108,105,116,76,97,121,101,114,73,109,112,108,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,115,114,99,47,108,97,121,101,114,115,47,115,112,108,105,116,95,108,97,121,101,114,46,99,112,112,0,105,110,112,117,116,115,46,115,105,122,101,40,41,32,61,61,32,49,0,103,101,116,77,101,109,111,114,121,83,104,97,112,101,115,0,105,110,112,117,116,115,91,48,93,46,116,111,116,97,108,40,41,32,61,61,32,111,117,116,112,117,116,115,91,105,93,46,116,111,116,97,108,40,41,0,102,111,114,119,97,114,100,0,110,97,109,101,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,100,110,110,58,58,83,112,108,105,116,76,97,121,101,114,73,109,112,108,58,58,102,111,114,119,97,114,100,40,73,110,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,41,0,78,50,99,118,51,100,110,110,49,52,83,112,108,105,116,76,97,121,101,114,73,109,112,108,69,0,78,50,99,118,51,100,110,110,49,52,100,110,110,52,95,118,50,48,49,56,48,57,49,55,49,48,83,112,108,105,116,76,97,121,101,114,69,0,102,117,110,99,116,105,111,110,46,112,114,111,116,111,0,10,14,102,117,110,99,116,105,111,110,46,112,114,111,116,111,18,17,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,26,16,97,116,116,114,95,118,97,108,117,101,46,112,114,111,116,111,26,12,111,112,95,100,101,102,46,112,114,111,116,111,34,120,10,18,70,117,110,99,116,105,111,110,68,101,102,76,105,98,114,97,114,121,18,48,10,8,102,117,110,99,116,105,111,110,24,1,32,3,40,11,50,30,46,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,70,117,110,99,116,105,111,110,68,101,102,18,48,10,8,103,114,97,100,105,101,110,116,24,2,32,3,40,11,50,30,46,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,71,114,97,100,105,101,110,116,68,101,102,34,177,2,10,11,70,117,110,99,116,105,111,110,68,101,102,18,43,10,9,115,105,103,110,97,116,117,114,101,24,1,32,1,40,11,50,24,46,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,79,112,68,101,102,18,49,10,4,110,111,100,101,24,2,32,3,40,11,50,35,46,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,70,117,110,99,116,105,111,110,68,101,102,46,78,111,100,101,26,193,1,10,4,78,111,100,101,18,11,10,3,114,101,116,24,1,32,3,40,9,18,10,10,2,111,112,24,2,32,1,40,9,18,11,10,3,97,114,103,24,3,32,3,40,9,18,11,10,3,100,101,112,24,4,32,3,40,9,18,59,10,4,97,116,116,114,24,5,32,3,40,11,50,45,46,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,70,117,110,99,116,105,111,110,68,101,102,46,78,111,100,101,46,65,116,116,114,69,110,116,114,121,26,73,10,9,65,116,116,114,69,110,116,114,121,18,11,10,3,107,101,121,24,1,32,1,40,9,18,43,10,5,118,97,108,117,101,24,2,32,1,40,11,50,28,46,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,65,116,116,114,86,97,108,117,101,58,2,56,1,34,59,10,11,71,114,97,100,105,101,110,116,68,101,102,18,21,10,13,102,117,110,99,116,105,111,110,95,110,97,109,101,24,1,32,1,40,9,18,21,10,13,103,114,97,100,105,101,110,116,95,102,117,110,99,24,2,32,1,40,9,66,47,10,24,111,114,103,46,116,101,110,115,111,114,102,108,111,119,46,102,114,97,109,101,119,111,114,107,66,14,70,117,110,99,116,105,111,110,80,114,111,116,111,115,80,1,248,1,1,98,6,112,114,111,116,111,51,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,109,105,115,99,47,116,101,110,115,111,114,102,108,111,119,47,102,117,110,99,116,105,111,110,46,112,98,46,99,99,0,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,71,114,97,100,105,101,110,116,68,101,102,46,102,117,110,99,116,105,111,110,95,110,97,109,101,0,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,71,114,97,100,105,101,110,116,68,101,102,46,103,114,97,100,105,101,110,116,95,102,117,110,99,0,78,49,55,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,49,49,71,114,97,100,105,101,110,116,68,101,102,69,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,51,114,100,112,97,114,116,121,47,112,114,111,116,111,98,117,102,47,115,114,99,47,103,111,111,103,108,101,47,112,114,111,116,111,98,117,102,47,109,97,112,95,102,105,101,108,100,95,105,110,108,46,104,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,116,104,105,115,45,62,77,97,112,70,105,101,108,100,66,97,115,101,58,58,114,101,112,101,97,116,101,100,95,102,105,101,108,100,95,32,33,61,32,78,85,76,76,58,32,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,56,105,110,116,101,114,110,97,108,49,50,77,97,112,69,110,116,114,121,73,109,112,108,73,78,49,55,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,51,53,70,117,110,99,116,105,111,110,68,101,102,95,78,111,100,101,95,65,116,116,114,69,110,116,114,121,95,68,111,78,111,116,85,115,101,69,78,83,48,95,55,77,101,115,115,97,103,101,69,78,83,116,51,95,95,50,49,50,98,97,115,105,99,95,115,116,114,105,110,103,73,99,78,83,54,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,78,83,54,95,57,97,108,108,111,99,97,116,111,114,73,99,69,69,69,69,78,83,51,95,57,65,116,116,114,86,97,108,117,101,69,76,78,83,49,95,49,52,87,105,114,101,70,111,114,109,97,116,76,105,116,101,57,70,105,101,108,100,84,121,112,101,69,57,69,76,83,70,95,49,49,69,76,105,48,69,69,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,56,105,110,116,101,114,110,97,108,56,77,97,112,69,110,116,114,121,73,78,49,55,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,51,53,70,117,110,99,116,105,111,110,68,101,102,95,78,111,100,101,95,65,116,116,114,69,110,116,114,121,95,68,111,78,111,116,85,115,101,69,78,83,116,51,95,95,50,49,50,98,97,115,105,99,95,115,116,114,105,110,103,73,99,78,83,53,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,78,83,53,95,57,97,108,108,111,99,97,116,111,114,73,99,69,69,69,69,78,83,51,95,57,65,116,116,114,86,97,108,117,101,69,76,78,83,49,95,49,52,87,105,114,101,70,111,114,109,97,116,76,105,116,101,57,70,105,101,108,100,84,121,112,101,69,57,69,76,83,69,95,49,49,69,76,105,48,69,69,69,0,78,49,55,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,51,53,70,117,110,99,116,105,111,110,68,101,102,95,78,111,100,101,95,65,116,116,114,69,110,116,114,121,95,68,111,78,111,116,85,115,101,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,56,105,110,116,101,114,110,97,108,56,77,97,112,70,105,101,108,100,73,78,49,55,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,51,53,70,117,110,99,116,105,111,110,68,101,102,95,78,111,100,101,95,65,116,116,114,69,110,116,114,121,95,68,111,78,111,116,85,115,101,69,78,83,116,51,95,95,50,49,50,98,97,115,105,99,95,115,116,114,105,110,103,73,99,78,83,53,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,78,83,53,95,57,97,108,108,111,99,97,116,111,114,73,99,69,69,69,69,78,83,51,95,57,65,116,116,114,86,97,108,117,101,69,76,78,83,49,95,49,52,87,105,114,101,70,111,114,109,97,116,76,105,116,101,57,70,105,101,108,100,84,121,112,101,69,57,69,76,83,69,95,49,49,69,76,105,48,69,69,69,0,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,70,117,110,99,116,105,111,110,68,101,102,46,78,111,100,101,46,114,101,116,0,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,70,117,110,99,116,105,111,110,68,101,102,46,78,111,100,101,46,111,112,0,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,70,117,110,99,116,105,111,110,68,101,102,46,78,111,100,101,46,97,114,103,0,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,70,117,110,99,116,105,111,110,68,101,102,46,78,111,100,101,46,100,101,112,0,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,70,117,110,99,116,105,111,110,68,101,102,46,78,111,100,101,46,65,116,116,114,69,110,116,114,121,46,107,101,121,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,56,105,110,116,101,114,110,97,108,49,50,77,97,112,69,110,116,114,121,73,109,112,108,73,78,49,55,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,51,53,70,117,110,99,116,105,111,110,68,101,102,95,78,111,100,101,95,65,116,116,114,69,110,116,114,121,95,68,111,78,111,116,85,115,101,69,78,83,48,95,55,77,101,115,115,97,103,101,69,78,83,116,51,95,95,50,49,50,98,97,115,105,99,95,115,116,114,105,110,103,73,99,78,83,54,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,78,83,54,95,57,97,108,108,111,99,97,116,111,114,73,99,69,69,69,69,78,83,51,95,57,65,116,116,114,86,97,108,117,101,69,76,78,83,49,95,49,52,87,105,114,101,70,111,114,109,97,116,76,105,116,101,57,70,105,101,108,100,84,121,112,101,69,57,69,76,83,70,95,49,49,69,76,105,48,69,69,49,53,77,97,112,69,110,116,114,121,87,114,97,112,112,101,114,69,0,78,49,55,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,49,54,70,117,110,99,116,105,111,110,68,101,102,95,78,111,100,101,69,0,78,49,55,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,49,49,70,117,110,99,116,105,111,110,68,101,102,69,0,78,49,55,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,49,56,70,117,110,99,116,105,111,110,68,101,102,76,105,98,114,97,114,121,69,0,111,112,95,100,101,102,46,112,114,111,116,111,0,10,12,111,112,95,100,101,102,46,112,114,111,116,111,18,17,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,26,16,97,116,116,114,95,118,97,108,117,101,46,112,114,111,116,111,26,11,116,121,112,101,115,46,112,114,111,116,111,34,233,5,10,5,79,112,68,101,102,18,12,10,4,110,97,109,101,24,1,32,1,40,9,18,50,10,9,105,110,112,117,116,95,97,114,103,24,2,32,3,40,11,50,31,46,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,79,112,68,101,102,46,65,114,103,68,101,102,18,51,10,10,111,117,116,112,117,116,95,97,114,103,24,3,32,3,40,11,50,31,46,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,79,112,68,101,102,46,65,114,103,68,101,102,18,46,10,4,97,116,116,114,24,4,32,3,40,11,50,32,46,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,79,112,68,101,102,46,65,116,116,114,68,101,102,18,53,10,11,100,101,112,114,101,99,97,116,105,111,110,24,8,32,1,40,11,50,32,46,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,79,112,68,101,112,114,101,99,97,116,105,111,110,18,15,10,7,115,117,109,109,97,114,121,24,5,32,1,40,9,18,19,10,11,100,101,115,99,114,105,112,116,105,111,110,24,6,32,1,40,9,18,22,10,14,105,115,95,99,111,109,109,117,116,97,116,105,118,101,24,18,32,1,40,8,18,20,10,12,105,115,95,97,103,103,114,101,103,97,116,101,24,16,32,1,40,8,18,19,10,11,105,115,95,115,116,97,116,101,102,117,108,24,17,32,1,40,8,18,34,10,26,97,108,108,111,119,115,95,117,110,105,110,105,116,105,97,108,105,122,101,100,95,105,110,112,117,116,24,19,32,1,40,8,26,166,1,10,6,65,114,103,68,101,102,18,12,10,4,110,97,109,101,24,1,32,1,40,9,18,19,10,11,100,101,115,99,114,105,112,116,105,111,110,24,2,32,1,40,9,18,41,10,4,116,121,112,101,24,3,32,1,40,14,50,27,46,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,68,97,116,97,84,121,112,101,18,17,10,9,116,121,112,101,95,97,116,116,114,24,4,32,1,40,9,18,19,10,11,110,117,109,98,101,114,95,97,116,116,114,24,5,32,1,40,9,18,22,10,14,116,121,112,101,95,108,105,115,116,95,97,116,116,114,24,6,32,1,40,9,18,14,10,6,105,115,95,114,101,102,24,16,32,1,40,8,26,203,1,10,7,65,116,116,114,68,101,102,18,12,10,4,110,97,109,101,24,1,32,1,40,9,18,12,10,4,116,121,112,101,24,2,32,1,40,9,18,51,10,13,100,101,102,97,117,108,116,95,118,97,108,117,101,24,3,32,1,40,11,50,28,46,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,65,116,116,114,86,97,108,117,101,18,19,10,11,100,101,115,99,114,105,112,116,105,111,110,24,4,32,1,40,9,18,19,10,11,104,97,115,95,109,105,110,105,109,117,109,24,5,32,1,40,8,18,15,10,7,109,105,110,105,109,117,109,24,6,32,1,40,3,18,52,10,14,97,108,108,111,119,101,100,95,118,97,108,117,101,115,24,7,32,1,40,11,50,28,46,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,65,116,116,114,86,97,108,117,101,34,53,10,13,79,112,68,101,112,114,101,99,97,116,105,111,110,18,15,10,7,118,101,114,115,105,111,110,24,1,32,1,40,5,18,19,10,11,101,120,112,108,97,110,97,116,105,111,110,24,2,32,1,40,9,34,46,10,6,79,112,76,105,115,116,18,36,10,2,111,112,24,1,32,3,40,11,50,24,46,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,79,112,68,101,102,66,44,10,24,111,114,103,46,116,101,110,115,111,114,102,108,111,119,46,102,114,97,109,101,119,111,114,107,66,11,79,112,68,101,102,80,114,111,116,111,115,80,1,248,1,1,98,6,112,114,111,116,111,51,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,109,105,115,99,47,116,101,110,115,111,114,102,108,111,119,47,111,112,95,100,101,102,46,112,98,46,99,99,0,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,79,112,68,101,112,114,101,99,97,116,105,111,110,46,101,120,112,108,97,110,97,116,105,111,110,0,78,49,55,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,49,51,79,112,68,101,112,114,101,99,97,116,105,111,110,69,0,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,79,112,68,101,102,46,65,116,116,114,68,101,102,46,110,97,109,101,0,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,79,112,68,101,102,46,65,116,116,114,68,101,102,46,116,121,112,101,0,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,79,112,68,101,102,46,65,116,116,114,68,101,102,46,100,101,115,99,114,105,112,116,105,111,110,0,78,49,55,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,49,51,79,112,68,101,102,95,65,116,116,114,68,101,102,69,0,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,79,112,68,101,102,46,110,97,109,101,0,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,79,112,68,101,102,46,115,117,109,109,97,114,121,0,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,79,112,68,101,102,46,100,101,115,99,114,105,112,116,105,111,110,0,78,49,55,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,53,79,112,68,101,102,69,0,78,49,55,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,54,79,112,76,105,115,116,69,0,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,79,112,68,101,102,46,65,114,103,68,101,102,46,110,97,109,101,0,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,79,112,68,101,102,46,65,114,103,68,101,102,46,100,101,115,99,114,105,112,116,105,111,110,0,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,79,112,68,101,102,46,65,114,103,68,101,102,46,116,121,112,101,95,97,116,116,114,0,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,79,112,68,101,102,46,65,114,103,68,101,102,46,110,117,109,98,101,114,95,97,116,116,114,0,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,79,112,68,101,102,46,65,114,103,68,101,102,46,116,121,112,101,95,108,105,115,116,95,97,116,116,114,0,78,49,55,111,112,101,110,99,118,95],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+471044);allocate([116,101,110,115,111,114,102,108,111,119,49,50,79,112,68,101,102,95,65,114,103,68,101,102,69,0,118,101,114,115,105,111,110,115,46,112,114,111,116,111,0,10,14,118,101,114,115,105,111,110,115,46,112,114,111,116,111,18,17,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,34,75,10,10,86,101,114,115,105,111,110,68,101,102,18,16,10,8,112,114,111,100,117,99,101,114,24,1,32,1,40,5,18,20,10,12,109,105,110,95,99,111,110,115,117,109,101,114,24,2,32,1,40,5,18,21,10,13,98,97,100,95,99,111,110,115,117,109,101,114,115,24,3,32,3,40,5,66,47,10,24,111,114,103,46,116,101,110,115,111,114,102,108,111,119,46,102,114,97,109,101,119,111,114,107,66,14,86,101,114,115,105,111,110,115,80,114,111,116,111,115,80,1,248,1,1,98,6,112,114,111,116,111,51,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,109,105,115,99,47,116,101,110,115,111,114,102,108,111,119,47,118,101,114,115,105,111,110,115,46,112,98,46,99,99,0,78,49,55,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,49,48,86,101,114,115,105,111,110,68,101,102,69,0,111,112,101,110,99,118,45,111,110,110,120,46,112,114,111,116,111,0,10,17,111,112,101,110,99,118,45,111,110,110,120,46,112,114,111,116,111,18,11,111,112,101,110,99,118,95,111,110,110,120,34,131,4,10,14,65,116,116,114,105,98,117,116,101,80,114,111,116,111,18,12,10,4,110,97,109,101,24,1,32,1,40,9,18,21,10,13,114,101,102,95,97,116,116,114,95,110,97,109,101,24,21,32,1,40,9,18,18,10,10,100,111,99,95,115,116,114,105,110,103,24,13,32,1,40,9,18,55,10,4,116,121,112,101,24,20,32,1,40,14,50,41,46,111,112,101,110,99,118,95,111,110,110,120,46,65,116,116,114,105,98,117,116,101,80,114,111,116,111,46,65,116,116,114,105,98,117,116,101,84,121,112,101,18,9,10,1,102,24,2,32,1,40,2,18,9,10,1,105,24,3,32,1,40,3,18,9,10,1,115,24,4,32,1,40,12,18,35,10,1,116,24,5,32,1,40,11,50,24,46,111,112,101,110,99,118,95,111,110,110,120,46,84,101,110,115,111,114,80,114,111,116,111,18,34,10,1,103,24,6,32,1,40,11,50,23,46,111,112,101,110,99,118,95,111,110,110,120,46,71,114,97,112,104,80,114,111,116,111,18,14,10,6,102,108,111,97,116,115,24,7,32,3,40,2,18,12,10,4,105,110,116,115,24,8,32,3,40,3,18,15,10,7,115,116,114,105,110,103,115,24,9,32,3,40,12,18,41,10,7,116,101,110,115,111,114,115,24,10,32,3,40,11,50,24,46,111,112,101,110,99,118,95,111,110,110,120,46,84,101,110,115,111,114,80,114,111,116,111,18,39,10,6,103,114,97,112,104,115,24,11,32,3,40,11,50,23,46,111,112,101,110,99,118,95,111,110,110,120,46,71,114,97,112,104,80,114,111,116,111,34,145,1,10,13,65,116,116,114,105,98,117,116,101,84,121,112,101,18,13,10,9,85,78,68,69,70,73,78,69,68,16,0,18,9,10,5,70,76,79,65,84,16,1,18,7,10,3,73,78,84,16,2,18,10,10,6,83,84,82,73,78,71,16,3,18,10,10,6,84,69,78,83,79,82,16,4,18,9,10,5,71,82,65,80,72,16,5,18,10,10,6,70,76,79,65,84,83,16,6,18,8,10,4,73,78,84,83,16,7,18,11,10,7,83,84,82,73,78,71,83,16,8,18,11,10,7,84,69,78,83,79,82,83,16,9,18,10,10,6,71,82,65,80,72,83,16,10,34,88,10,14,86,97,108,117,101,73,110,102,111,80,114,111,116,111,18,12,10,4,110,97,109,101,24,1,32,1,40,9,18,36,10,4,116,121,112,101,24,2,32,1,40,11,50,22,46,111,112,101,110,99,118,95,111,110,110,120,46,84,121,112,101,80,114,111,116,111,18,18,10,10,100,111,99,95,115,116,114,105,110,103,24,3,32,1,40,9,34,157,1,10,9,78,111,100,101,80,114,111,116,111,18,13,10,5,105,110,112,117,116,24,1,32,3,40,9,18,14,10,6,111,117,116,112,117,116,24,2,32,3,40,9,18,12,10,4,110,97,109,101,24,3,32,1,40,9,18,15,10,7,111,112,95,116,121,112,101,24,4,32,1,40,9,18,14,10,6,100,111,109,97,105,110,24,7,32,1,40,9,18,46,10,9,97,116,116,114,105,98,117,116,101,24,5,32,3,40,11,50,27,46,111,112,101,110,99,118,95,111,110,110,120,46,65,116,116,114,105,98,117,116,101,80,114,111,116,111,18,18,10,10,100,111,99,95,115,116,114,105,110,103,24,6,32,1,40,9,34,168,2,10,10,77,111,100,101,108,80,114,111,116,111,18,18,10,10,105,114,95,118,101,114,115,105,111,110,24,1,32,1,40,3,18,53,10,12,111,112,115,101,116,95,105,109,112,111,114,116,24,8,32,3,40,11,50,31,46,111,112,101,110,99,118,95,111,110,110,120,46,79,112,101,114,97,116,111,114,83,101,116,73,100,80,114,111,116,111,18,21,10,13,112,114,111,100,117,99,101,114,95,110,97,109,101,24,2,32,1,40,9,18,24,10,16,112,114,111,100,117,99,101,114,95,118,101,114,115,105,111,110,24,3,32,1,40,9,18,14,10,6,100,111,109,97,105,110,24,4,32,1,40,9,18,21,10,13,109,111,100,101,108,95,118,101,114,115,105,111,110,24,5,32,1,40,3,18,18,10,10,100,111,99,95,115,116,114,105,110,103,24,6,32,1,40,9,18,38,10,5,103,114,97,112,104,24,7,32,1,40,11,50,23,46,111,112,101,110,99,118,95,111,110,110,120,46,71,114,97,112,104,80,114,111,116,111,18,59,10,14,109,101,116,97,100,97,116,97,95,112,114,111,112,115,24,14,32,3,40,11,50,35,46,111,112,101,110,99,118,95,111,110,110,120,46,83,116,114,105,110,103,83,116,114,105,110,103,69,110,116,114,121,80,114,111,116,111,34,52,10,22,83,116,114,105,110,103,83,116,114,105,110,103,69,110,116,114,121,80,114,111,116,111,18,11,10,3,107,101,121,24,1,32,1,40,9,18,13,10,5,118,97,108,117,101,24,2,32,1,40,9,34,141,2,10,10,71,114,97,112,104,80,114,111,116,111,18,36,10,4,110,111,100,101,24,1,32,3,40,11,50,22,46,111,112,101,110,99,118,95,111,110,110,120,46,78,111,100,101,80,114,111,116,111,18,12,10,4,110,97,109,101,24,2,32,1,40,9,18,45,10,11,105,110,105,116,105,97,108,105,122,101,114,24,5,32,3,40,11,50,24,46,111,112,101,110,99,118,95,111,110,110,120,46,84,101,110,115,111,114,80,114,111,116,111,18,18,10,10,100,111,99,95,115,116,114,105,110,103,24,10,32,1,40,9,18,42,10,5,105,110,112,117,116,24,11,32,3,40,11,50,27,46,111,112,101,110,99,118,95,111,110,110,120,46,86,97,108,117,101,73,110,102,111,80,114,111,116,111,18,43,10,6,111,117,116,112,117,116,24,12,32,3,40,11,50,27,46,111,112,101,110,99,118,95,111,110,110,120,46,86,97,108,117,101,73,110,102,111,80,114,111,116,111,18,47,10,10,118,97,108,117,101,95,105,110,102,111,24,13,32,3,40,11,50,27,46,111,112,101,110,99,118,95,111,110,110,120,46,86,97,108,117,101,73,110,102,111,80,114,111,116,111,34,189,4,10,11,84,101,110,115,111,114,80,114,111,116,111,18,12,10,4,100,105,109,115,24,1,32,3,40,3,18,52,10,9,100,97,116,97,95,116,121,112,101,24,2,32,1,40,14,50,33,46,111,112,101,110,99,118,95,111,110,110,120,46,84,101,110,115,111,114,80,114,111,116,111,46,68,97,116,97,84,121,112,101,18,49,10,7,115,101,103,109,101,110,116,24,3,32,1,40,11,50,32,46,111,112,101,110,99,118,95,111,110,110,120,46,84,101,110,115,111,114,80,114,111,116,111,46,83,101,103,109,101,110,116,18,22,10,10,102,108,111,97,116,95,100,97,116,97,24,4,32,3,40,2,66,2,16,1,18,22,10,10,105,110,116,51,50,95,100,97,116,97,24,5,32,3,40,5,66,2,16,1,18,19,10,11,115,116,114,105,110,103,95,100,97,116,97,24,6,32,3,40,12,18,22,10,10,105,110,116,54,52,95,100,97,116,97,24,7,32,3,40,3,66,2,16,1,18,12,10,4,110,97,109,101,24,8,32,1,40,9,18,18,10,10,100,111,99,95,115,116,114,105,110,103,24,12,32,1,40,9,18,16,10,8,114,97,119,95,100,97,116,97,24,9,32,1,40,12,18,23,10,11,100,111,117,98,108,101,95,100,97,116,97,24,10,32,3,40,1,66,2,16,1,18,23,10,11,117,105,110,116,54,52,95,100,97,116,97,24,11,32,3,40,4,66,2,16,1,26,37,10,7,83,101,103,109,101,110,116,18,13,10,5,98,101,103,105,110,24,1,32,1,40,3,18,11,10,3,101,110,100,24,2,32,1,40,3,34,204,1,10,8,68,97,116,97,84,121,112,101,18,13,10,9,85,78,68,69,70,73,78,69,68,16,0,18,9,10,5,70,76,79,65,84,16,1,18,9,10,5,85,73,78,84,56,16,2,18,8,10,4,73,78,84,56,16,3,18,10,10,6,85,73,78,84,49,54,16,4,18,9,10,5,73,78,84,49,54,16,5,18,9,10,5,73,78,84,51,50,16,6,18,9,10,5,73,78,84,54,52,16,7,18,10,10,6,83,84,82,73,78,71,16,8,18,8,10,4,66,79,79,76,16,9,18,11,10,7,70,76,79,65,84,49,54,16,10,18,10,10,6,68,79,85,66,76,69,16,11,18,10,10,6,85,73,78,84,51,50,16,12,18,10,10,6,85,73,78,84,54,52,16,13,18,13,10,9,67,79,77,80,76,69,88,54,52,16,14,18,14,10,10,67,79,77,80,76,69,88,49,50,56,16,15,34,156,1,10,16,84,101,110,115,111,114,83,104,97,112,101,80,114,111,116,111,18,52,10,3,100,105,109,24,1,32,3,40,11,50,39,46,111,112,101,110,99,118,95,111,110,110,120,46,84,101,110,115,111,114,83,104,97,112,101,80,114,111,116,111,46,68,105,109,101,110,115,105,111,110,26,82,10,9,68,105,109,101,110,115,105,111,110,18,19,10,9,100,105,109,95,118,97,108,117,101,24,1,32,1,40,3,72,0,18,19,10,9,100,105,109,95,112,97,114,97,109,24,2,32,1,40,9,72,0,18,18,10,10,100,101,110,111,116,97,116,105,111,110,24,3,32,1,40,9,66,7,10,5,118,97,108,117,101,34,204,1,10,9,84,121,112,101,80,114,111,116,111,18,52,10,11,116,101,110,115,111,114,95,116,121,112,101,24,1,32,1,40,11,50,29,46,111,112,101,110,99,118,95,111,110,110,120,46,84,121,112,101,80,114,111,116,111,46,84,101,110,115,111,114,72,0,18,18,10,10,100,101,110,111,116,97,116,105,111,110,24,6,32,1,40,9,26,108,10,6,84,101,110,115,111,114,18,52,10,9,101,108,101,109,95,116,121,112,101,24,1,32,1,40,14,50,33,46,111,112,101,110,99,118,95,111,110,110,120,46,84,101,110,115,111,114,80,114,111,116,111,46,68,97,116,97,84,121,112,101,18,44,10,5,115,104,97,112,101,24,2,32,1,40,11,50,29,46,111,112,101,110,99,118,95,111,110,110,120,46,84,101,110,115,111,114,83,104,97,112,101,80,114,111,116,111,66,7,10,5,118,97,108,117,101,34,53,10,18,79,112,101,114,97,116,111,114,83,101,116,73,100,80,114,111,116,111,18,14,10,6,100,111,109,97,105,110,24,1,32,1,40,9,18,15,10,7,118,101,114,115,105,111,110,24,2,32,1,40,3,42,99,10,7,86,101,114,115,105,111,110,18,18,10,14,95,83,84,65,82,84,95,86,69,82,83,73,79,78,16,0,18,25,10,21,73,82,95,86,69,82,83,73,79,78,95,50,48,49,55,95,49,48,95,49,48,16,1,18,25,10,21,73,82,95,86,69,82,83,73,79,78,95,50,48,49,55,95,49,48,95,51,48,16,2,18,14,10,10,73,82,95,86,69,82,83,73,79,78,16,3,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,109,105,115,99,47,111,110,110,120,47,111,112,101,110,99,118,45,111,110,110,120,46,112,98,46,99,99,0,78,49,49,111,112,101,110,99,118,95,111,110,110,120,49,56,79,112,101,114,97,116,111,114,83,101,116,73,100,80,114,111,116,111,69,0,78,49,49,111,112,101,110,99,118,95,111,110,110,120,50,54,84,101,110,115,111,114,83,104,97,112,101,80,114,111,116,111,95,68,105,109,101,110,115,105,111,110,69,0,78,49,49,111,112,101,110,99,118,95,111,110,110,120,49,54,84,101,110,115,111,114,83,104,97,112,101,80,114,111,116,111,69,0,78,49,49,111,112,101,110,99,118,95,111,110,110,120,49,54,84,121,112,101,80,114,111,116,111,95,84,101,110,115,111,114,69,0,78,49,49,111,112,101,110,99,118,95,111,110,110,120,57,84,121,112,101,80,114,111,116,111,69,0,78,49,49,111,112,101,110,99,118,95,111,110,110,120,49,57,84,101,110,115,111,114,80,114,111,116,111,95,83,101,103,109,101,110,116,69,0,78,49,49,111,112,101,110,99,118,95,111,110,110,120,49,49,84,101,110,115,111,114,80,114,111,116,111,69,0,78,49,49,111,112,101,110,99,118,95,111,110,110,120,50,50,83,116,114,105,110,103,83,116,114,105,110,103,69,110,116,114,121,80,114,111,116,111,69,0,78,49,49,111,112,101,110,99,118,95,111,110,110,120,49,52,86,97,108,117,101,73,110,102,111,80,114,111,116,111,69,0,78,49,49,111,112,101,110,99,118,95,111,110,110,120,57,78,111,100,101,80,114,111,116,111,69,0,78,49,49,111,112,101,110,99,118,95,111,110,110,120,49,48,71,114,97,112,104,80,114,111,116,111,69,0,78,49,49,111,112,101,110,99,118,95,111,110,110,120,49,48,77,111,100,101,108,80,114,111,116,111,69,0,78,49,49,111,112,101,110,99,118,95,111,110,110,120,49,52,65,116,116,114,105,98,117,116,101,80,114,111,116,111,69,0,98,98,111,120,101,115,46,115,105,122,101,40,41,32,61,61,32,115,99,111,114,101,115,46,115,105,122,101,40,41,0,78,77,83,66,111,120,101,115,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,115,114,99,47,110,109,115,46,99,112,112,0,115,99,111,114,101,95,116,104,114,101,115,104,111,108,100,32,62,61,32,48,0,110,109,115,95,116,104,114,101,115,104,111,108,100,32,62,61,32,48,0,101,116,97,32,62,32,48,0,8,7,6,6,5,5,5,5,4,4,4,4,4,4,4,4,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,79,80,69,78,67,86,95,76,79,71,95,76,69,86,69,76,0,68,73,83,65,66,76,69,68,0,100,105,115,97,98,108,101,100,0,48,0,79,70,70,0,111,102,102,0,102,97,116,97,108,0,101,114,114,111,114,0,119,97,114,110,105,110,103,0,87,65,82,78,73,78,71,83,0,119,97,114,110,105,110,103,115,0,87,65,82,78,0,119,97,114,110,0,105,110,102,111,0,68,69,66,85,71,0,100,101,98,117,103,0,86,69,82,66,79,83,69,0,118,101,114,98,111,115,101,0,69,82,82,79,82,58,32,85,110,101,120,112,101,99,116,101,100,32,108,111,103,103,105,110,103,32,108,101,118,101,108,32,118,97,108,117,101,58,32,0,91,70,65,84,65,76,58,0,91,69,82,82,79,82,58,0,91,32,87,65,82,78,58,0,91,32,73,78,70,79,58,0,91,68,69,66,85,71,58,0,37,115,0,37,115,37,115,37,115,0,117,110,101,120,112,101,99,116,101,100,32,101,110,100,32,111,102,32,102,105,108,101,0,105,110,116,101,114,110,97,108,32,101,114,114,111,114,58,32,105,110,102,108,97,116,101,32,115,116,114,101,97,109,32,99,111,114,114,117,112,116,0,99,111,109,112,114,101,115,115,101,100,32,100,97,116,97,32,101,114,114,111,114,0,105,110,116,101,114,110,97,108,32,101,114,114,111,114,58,32,100,101,102,108,97,116,101,32,115,116,114,101,97,109,32,99,111,114,114,117,112,116,0,111,117,116,32,111,102,32,109,101,109,111,114,121,0,49,46,50,46,49,49,0,105,110,99,111,114,114,101,99,116,32,104,101,97,100,101,114,32,99,104,101,99,107,0,117,110,107,110,111,119,110,32,99,111,109,112,114,101,115,115,105,111,110,32,109,101,116,104,111,100,0,105,110,118,97,108,105,100,32,119,105,110,100,111,119,32,115,105,122,101,0,117,110,107,110,111,119,110,32,104,101,97,100,101,114,32,102,108,97,103,115,32,115,101,116,0,104,101,97,100,101,114,32,99,114,99,32,109,105,115,109,97,116,99,104,0,105,110,118,97,108,105,100,32,98,108,111,99,107,32,116,121,112,101,0,105,110,118,97,108,105,100,32,115,116,111,114,101,100,32,98,108,111,99,107,32,108,101,110,103,116,104,115,0,116,111,111,32,109,97,110,121,32,108,101,110,103,116,104,32,111,114,32,100,105,115,116,97,110,99,101,32,115,121,109,98,111,108,115,0,105,110,118,97,108,105,100,32,99,111,100,101,32,108,101,110,103,116,104,115,32,115,101,116,0,105,110,118,97,108,105,100,32,98,105,116,32,108,101,110,103,116,104,32,114,101,112,101,97,116,0,105,110,118,97,108,105,100,32,99,111,100,101,32,45,45,32,109,105,115,115,105,110,103,32,101,110,100,45,111,102,45,98,108,111,99,107,0,105,110,118,97,108,105,100,32,108,105,116,101,114,97,108,47,108,101,110,103,116,104,115,32,115,101,116,0,105,110,118,97,108,105,100,32,100,105,115,116,97,110,99,101,115,32,115,101,116,0,105,110,99,111,114,114,101,99,116,32,100,97,116,97,32,99,104,101,99,107,0,105,110,99,111,114,114,101,99,116,32,108,101,110,103,116,104,32,99,104,101,99,107,0,105,110,118,97,108,105,100,32,108,105,116,101,114,97,108,47,108,101,110,103,116,104,32,99,111,100,101,0,105,110,118,97,108,105,100,32,100,105,115,116,97,110,99,101,32,99,111,100,101,0,105,110,118,97,108,105,100,32,100,105,115,116,97,110,99,101,32,116,111,111,32,102,97,114,32,98,97,99,107,0,110,101,101,100,32,100,105,99,116,105,111,110,97,114,121,0,115,116,114,101,97,109,32,101,110,100,0,102,105,108,101,32,101,114,114,111,114,0,115,116,114,101,97,109,32,101,114,114,111,114,0,100,97,116,97,32,101,114,114,111,114,0,105,110,115,117,102,102,105,99,105,101,110,116,32,109,101,109,111,114,121,0,98,117,102,102,101,114,32,101,114,114,111,114,0,105,110,99,111,109,112,97,116,105,98,108,101,32,118,101,114,115,105,111,110,0,0,1,2,3,4,4,5,5,6,6,6,6,7,7,7,7,8,8,8,8,8,8,8,8,9,9,9,9,9,9,9,9,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,0,0,16,17,18,18,19,19,20,20,20,20,21,21,21,21,22,22,22,22,22,22,22,22,23,23,23,23,23,23,23,23,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,0,1,2,3,4,5,6,7,8,8,9,9,10,10,11,11,12,12,12,12,13,13,13,13,14,14,14,14,15,15,15,15,16,16,16,16,16,16,16,16,17,17,17,17,17,17,17,17,18,18,18,18,18,18,18,18,19,19,19,19,19,19,19,19,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,28,16,17,18,0,8,7,9,6,10,5,11,4,12,3,13,2,14,1,15,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,51,114,100,112,97,114,116,121,47,112,114,111,116,111,98,117,102,47,115,114,99,47,103,111,111,103,108,101,47,112,114,111,116,111,98,117,102,47,97,114,101,110,97,46,99,99,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,40,109,105,110,95,98,121,116,101,115,41,32,60,61,32,40,115,116,100,58,58,110,117,109,101,114,105,99,95,108,105,109,105,116,115,60,115,105,122,101,95,116,62,58,58,109,97,120,40,41,32,45,32,107,72,101,97,100,101,114,83,105,122,101,41,58,32,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,51,114,100,112,97,114,116,121,47,112,114,111,116,111,98,117,102,47,115,114,99,47,103,111,111,103,108,101,47,112,114,111,116,111,98,117,102,47,103,101,110,101,114,97,116,101,100,95,109,101,115,115,97,103,101,95,117,116,105,108,46,99,99,0,78,111,116,32,105,109,112,108,101,109,101,110,116,101,100,32,102,105,101,108,100,32,110,117,109,98,101,114,32,0,32,119,105,116,104,32,116,121,112,101,32,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,51,114,100,112,97,114,116,121,47,112,114,111,116,111,98,117,102,47,115,114,99,47,103,111,111,103,108,101,47,112,114,111,116,111,98,117,102,47,105,111,47,99,111,100,101,100,95,115,116,114,101,97,109,46,99,99,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,40,98,117,102,102,101,114,95,115,105,122,101,41,32,62,61,32,40,48,41,58,32,0,65,32,112,114,111,116,111,99,111,108,32,109,101,115,115,97,103,101,32,119,97,115,32,114,101,106,101,99,116,101,100,32,98,101,99,97,117,115,101,32,105,116,32,119,97,115,32,116,111,111,32,98,105,103,32,40,109,111,114,101,32,116,104,97,110,32,0,32,98,121,116,101,115,41,46,32,32,84,111,32,105,110,99,114,101,97,115,101,32,116,104,101,32,108,105,109,105,116,32,40,111,114,32,116,111,32,100,105,115,97,98,108,101,32,116,104,101,115,101,32,119,97,114,110,105,110,103,115,41,44,32,115,101,101,32,67,111,100,101,100,73,110,112,117,116,83,116,114,101,97,109,58,58,83,101,116,84,111,116,97,108,66,121,116,101,115,76,105,109,105,116,40,41,32,105,110,32,103,111,111,103,108,101,47,112,114,111,116,111,98,117,102,47,105,111,47,99,111,100,101,100,95,115,116,114,101,97,109,46,104,46,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,51,114,100,112,97,114,116,121,47,112,114,111,116,111,98,117,102,47,115,114,99,47,103,111,111,103,108,101,47,112,114,111,116,111,98,117,102,47,105,111,47,122,101,114,111,95,99,111,112,121,95,115,116,114,101,97,109,95,105,109,112,108,95,108,105,116,101,46,99,99,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,40,99,111,117,110,116,41,32,62,61,32,40,48,41,58,32,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,40,108,97,115,116,95,114,101,116,117,114,110,101,100,95,115,105,122,101,95,41,32,62,32,40,48,41,58,32,0,66,97,99,107,85,112,40,41,32,99,97,110,32,111,110,108,121,32,98,101,32,99,97,108,108,101,100,32,97,102,116,101,114,32,97,32,115,117,99,99,101,115,115,102,117,108,32,78,101,120,116,40,41,46,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,40,99,111,117,110,116,41,32,60,61,32,40,108,97,115,116,95,114,101,116,117,114,110,101,100,95,115,105,122,101,95,41,58,32,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,50,105,111,49,54,65,114,114,97,121,73,110,112,117,116,83,116,114,101,97,109,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,50,105,111,49,57,90,101,114,111,67,111,112,121,73,110,112,117,116,83,116,114,101,97,109,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,50,105,111,49,55,65,114,114,97,121,79,117,116,112,117,116,83,116,114,101,97,109,69,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,116,97,114,103,101,116,95,32,33,61,32,78,85,76,76,58,32,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,40,99,111,117,110,116,41,32,60,61,32,40,116,97,114,103,101,116,95,45,62,115,105,122,101,40,41,41,58,32,0,67,97,110,110,111,116,32,97,108,108,111,99,97,116,101,32,98,117,102,102,101,114,32,108,97,114,103,101,114,32,116,104,97,110,32,107,105,110,116,51,50,109,97,120,32,102,111,114,32,0,83,116,114,105,110,103,79,117,116,112,117,116,83,116,114,101,97,109,46,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,50,105,111,49,56,83,116,114,105,110,103,79,117,116,112,117,116,83,116,114,101,97,109,69,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,98,97,99,107,117,112,95,98,121,116,101,115,95,32,61,61,32,48,32,38,38,32,98,117,102,102,101,114,95,46,103,101,116,40,41,32,33,61,32,78,85,76,76,58,32,0,32,66,97,99,107,85,112,40,41,32,99,97,110,32,111,110,108,121,32,98,101,32,99,97,108,108,101,100,32,97,102,116,101,114,32,78,101,120,116,40,41,46,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,40,99,111,117,110,116,41,32,60,61,32,40,98,117,102,102,101,114,95,117,115,101,100,95,41,58,32,0,32,67,97,110,39,116,32,98,97,99,107,32,117,112,32,111,118,101,114,32,109,111,114,101,32,98,121,116,101,115,32,116,104,97,110,32,119,101,114,101,32,114,101,116,117,114,110,101,100,32,98,121,32,116,104,101,32,108,97,115,116,32,99,97,108,108,32,116,111,32,78,101,120,116,40,41,46,0,32,80,97,114,97,109,101,116,101,114,32,116,111,32,66,97,99,107,85,112,40,41,32,99,97,110,39,116,32,98,101,32,110,101,103,97,116,105,118,101,46,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,40,98,97,99,107,117,112,95,98,121,116,101,115,95,41,32,61,61,32,40,48,41,58,32,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,50,105,111,50,53,67,111,112,121,105,110,103,73,110,112,117,116,83,116,114,101,97,109,65,100,97,112,116,111,114,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,50,105,111,49,56,67,111,112,121,105,110,103,73,110,112,117,116,83,116,114,101,97,109,69,0,1,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,51,114,100,112,97,114,116,121,47,112,114,111,116,111,98,117,102,47,115,114,99,47,103,111,111,103,108,101,47,112,114,111,116,111,98,117,102,47,109,101,115,115,97,103,101,95,108,105,116,101,46,99,99,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,33,99,111,100,101,100,95,111,117,116,46,72,97,100,69,114,114,111,114,40,41,58,32,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,49,49,77,101,115,115,97,103,101,76,105,116,101,69,0,67,97,110,39,116,32,0,112,97,114,115,101,0,32,109,101,115,115,97,103,101,32,111,102,32,116,121,112,101,32,34,0,34,32,98,101,99,97,117,115,101,32,105,116,32,105,115,32,109,105,115,115,105,110,103,32,114,101,113,117,105,114,101,100,32,102,105,101,108,100,115,58,32,0,69,120,99,101,101,100,101,100,32,109,97,120,105,109,117,109,32,112,114,111,116,111,98,117,102,32,115,105,122,101,32,111,102,32,50,71,66,58,32,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,40,98,121,116,101,95,115,105,122,101,95,98,101,102,111,114,101,95,115,101,114,105,97,108,105,122,97,116,105,111,110,41,32,61,61,32,40,98,121,116,101,95,115,105,122,101,95,97,102,116,101,114,95,115,101,114,105,97,108,105,122,97,116,105,111,110,41,58,32,0,32,119,97,115,32,109,111,100,105,102,105,101,100,32,99,111,110,99,117,114,114,101,110,116,108,121,32,100,117,114,105,110,103,32,115,101,114,105,97,108,105,122,97,116,105,111,110,46,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,40,98,121,116,101,115,95,112,114,111,100,117,99,101,100,95,98,121,95,115,101,114,105,97,108,105,122,97,116,105,111,110,41,32,61,61,32,40,98,121,116,101,95,115,105,122,101,95,98,101,102,111,114,101,95,115,101,114,105,97,108,105,122,97,116,105,111,110,41,58,32,0,66,121,116,101,32,115,105,122,101,32,99,97,108,99,117,108,97,116,105,111,110,32,97,110,100,32,115,101,114,105,97,108,105,122,97,116,105,111,110,32,119,101,114,101,32,105,110,99,111,110,115,105,115,116,101,110,116,46,32,32,84,104,105,115,32,109,97,121,32,105,110,100,105,99,97,116,101,32,97,32,98,117,103,32,105,110,32,112,114,111,116,111,99,111,108,32,98,117,102,102,101,114,115,32,111,114,32,105,116,32,109,97,121,32,98,101,32,99,97,117,115,101,100,32,98,121,32,99,111,110,99,117,114,114,101,110,116,32,109,111,100,105,102,105,99,97,116,105,111,110,32,111,102,32,0,84,104,105,115,32,115,104,111,117,108,100,110,39,116,32,98,101,32,99,97,108,108,101,100,32,105,102,32,97,108,108,32,116,104,101,32,115,105,122,101,115,32,97,114,101,32,101,113,117,97,108,46,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,51,114,100,112,97,114,116,121,47,112,114,111,116,111,98,117,102,47,115,114,99,47,103,111,111,103,108,101,47,112,114,111,116,111,98,117,102,47,114,101,112,101,97,116,101,100,95,102,105,101,108,100,46,99,99,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,40,110,101,119,95,115,105,122,101,41,32,60,61,32,40,40,115,116,100,58,58,110,117,109,101,114,105,99,95,108,105,109,105,116,115,60,115,105,122,101,95,116,62,58,58,109,97,120,40,41,32,45,32,107,82,101,112,72,101,97,100,101,114,83,105,122,101,41,32,47,32,115,105,122,101,111,102,40,111,108,100,95,114,101,112,45,62,101,108,101,109,101,110,116,115,91,48,93,41,41,58,32,0,82,101,113,117,101,115,116,101,100,32,115,105,122,101,32,105,115,32,116,111,111,32,108,97,114,103,101,32,116,111,32,102,105,116,32,105,110,116,111,32,115,105,122,101,95,116,46,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,49,52,70,97,116,97,108,69,120,99,101,112,116,105,111,110,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,55,67,108,111,115,117,114,101,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,56,105,110,116,101,114,110,97,108,49,54,70,117,110,99,116,105,111,110,67,108,111,115,117,114,101,48,69,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,51,114,100,112,97,114,116,121,47,112,114,111,116,111,98,117,102,47,115,114,99,47,103,111,111,103,108,101,47,112,114,111,116,111,98,117,102,47,115,116,117,98,115,47,99,111,109,109,111,110,46,99,99,0,84,104,105,115,32,112,114,111,103,114,97,109,32,114,101,113,117,105,114,101,115,32,118,101,114,115,105,111,110,32,0,37,100,46,37,100,46,37,100,0,32,111,102,32,116,104,101,32,80,114,111,116,111,99,111,108,32,66,117,102,102,101,114,32,114,117,110,116,105,109,101,32,108,105,98,114,97,114,121,44,32,98,117,116,32,116,104,101,32,105,110,115,116,97,108,108,101,100,32,118,101,114,115,105,111,110,32,105,115,32,0,46,32,32,80,108,101,97,115,101,32,117,112,100,97,116,101,32,121,111,117,114,32,108,105,98,114,97,114,121,46,32,32,73,102,32,121,111,117,32,99,111,109,112,105,108,101,100,32,116,104,101,32,112,114,111,103,114,97,109,32,121,111,117,114,115,101,108,102,44,32,109,97,107,101,32,115,117,114,101,32,116,104,97,116,32,121,111,117,114,32,104,101,97,100,101,114,115,32,97,114,101,32,102,114,111,109,32,116,104,101,32,115,97,109,101,32,118,101,114,115,105,111,110,32,111,102,32,80,114,111,116,111,99,111,108,32,66,117,102,102,101,114,115,32,97,115,32,121,111,117,114,32,108,105,110,107,45,116,105,109,101,32,108,105,98,114,97,114,121,46,32,32,40,86,101,114,115,105,111,110,32,118,101,114,105,102,105,99,97,116,105,111,110,32,102,97,105,108,101,100,32,105,110,32,34,0,34,46,41,0,84,104,105,115,32,112,114,111,103,114,97,109,32,119,97,115,32,99,111,109,112,105,108,101,100,32,97,103,97,105,110,115,116,32,118,101,114,115,105,111,110,32,0,32,111,102,32,116,104,101,32,80,114,111,116,111,99,111,108,32,66,117,102,102,101,114,32,114,117,110,116,105,109,101,32,108,105,98,114,97,114,121,44,32,119,104,105,99,104,32,105,115,32,110,111,116,32,99,111,109,112,97,116,105,98,108,101,32,119,105,116,104,32,116,104,101,32,105,110,115,116,97,108,108,101,100,32,118,101,114,115,105,111,110,32,40,0,41,46,32,32,67,111,110,116,97,99,116,32,116,104,101,32,112,114,111,103,114,97,109,32,97,117,116,104,111,114,32,102,111,114,32,97,110,32,117,112,100,97,116,101,46,32,32,73,102,32,121,111,117,32,99,111,109,112,105,108,101,100,32,116,104,101,32,112,114,111,103,114,97,109,32,121,111,117,114,115,101,108,102,44,32,109,97,107,101,32,115,117,114,101,32,116,104,97,116,32,121,111,117,114,32,104,101,97,100,101,114,115,32,97,114,101,32,102,114,111,109,32,116,104,101,32,115,97,109,101,32,118,101,114,115,105,111,110,32,111,102,32,80,114,111,116,111,99,111,108,32,66,117,102,102,101,114,115,32,97,115,32,121,111,117,114,32,108,105,110,107,45,116,105,109,101,32,108,105,98,114,97,114,121,46,32,32,40,86,101,114,115,105,111,110,32,118,101,114,105,102,105,99,97,116,105,111,110,32,102,97,105,108,101,100,32,105,110,32,34,0,91,108,105,98,112,114,111,116,111,98,117,102,32,37,115,32,37,115,58,37,100,93,32,37,115,10,0,73,78,70,79,0,87,65,82,78,73,78,71,0,70,65,84,65,76,0,112,116,104,114,101,97,100,95,109,117,116,101,120,95,117,110,108,111,99,107,58,32,0,112,116,104,114,101,97,100,95,109,117,116,101,120,95,108,111,99,107,58,32,0,37,117,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,56,105,110,116,101,114,110,97,108,49,50,70,105,101,108,100,83,107,105,112,112,101,114,69,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,51,114,100,112,97,114,116,121,47,112,114,111,116,111,98,117,102,47,115,114,99,47,103,111,111,103,108,101,47,112,114,111,116,111,98,117,102,47,119,105,114,101,95,102,111,114,109,97,116,95,108,105,116,101,46,99,99,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,40,118,97,108,117,101,46,115,105,122,101,40,41,41,32,60,61,32,40,107,105,110,116,51,50,109,97,120,41,58,32,0,115,101,114,105,97,108,105,122,105,110,103,0,112,97,114,115,105,110,103,0,32,39,37,115,39,0,83,116,114,105,110,103,32,102,105,101,108,100,0,32,99,111,110,116,97,105,110,115,32,105,110,118,97,108,105,100,32,0,85,84,70,45,56,32,100,97,116,97,32,119,104,101,110,32,0,32,97,32,112,114,111,116,111,99,111,108,32,0,98,117,102,102,101,114,46,32,85,115,101,32,116,104,101,32,39,98,121,116,101,115,39,32,116,121,112,101,32,105,102,32,121,111,117,32,105,110,116,101,110,100,32,116,111,32,115,101,110,100,32,114,97,119,32,0,98,121,116,101,115,46,32,0,69,82,82,79,82,0,105,110,116,54,52,0,117,105,110,116,54,52,0,105,110,116,51,50,0,102,105,120,101,100,54,52,0,102,105,120,101,100,51,50,0,115,116,114,105,110,103,0,103,114,111,117,112,0,109,101,115,115,97,103,101,0,98,121,116,101,115,0,117,105,110,116,51,50,0,101,110,117,109,0,115,102,105,120,101,100,51,50,0,115,102,105,120,101,100,54,52,0,115,105,110,116,51,50,0,115,105,110,116,54,52,0,111,112,116,105,111,110,97,108,0,114,101,113,117,105,114,101,100,0,114,101,112,101,97,116,101,100,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,51,114,100,112,97,114,116,121,47,112,114,111,116,111,98,117,102,47,115,114,99,47,103,111,111,103,108,101,47,112,114,111,116,111,98,117,102,47,100,101,115,99,114,105,112,116,111,114,46,99,99,0,117,110,107,110,111,119,110,0,112,114,111,116,111,51,0,112,114,111,116,111,50,0,77,105,115,115,105,110,103,32,102,105,101,108,100,58,32,70,105,108,101,68,101,115,99,114,105,112,116,111,114,80,114,111,116,111,46,110,97,109,101,46,0,85,110,114,101,99,111,103,110,105,122,101,100,32,115,121,110,116,97,120,58,32,0,65,32,102,105,108,101,32,119,105,116,104,32,116,104,105,115,32,110,97,109,101,32,105,115,32,97,108,114,101,97,100,121,32,105,110,32,116,104,101,32,112,111,111,108,46,0,73,110,118,97,108,105,100,32,112,117,98,108,105,99,32,100,101,112,101,110,100,101,110,99,121,32,105,110,100,101,120,46,0,73,110,118,97,108,105,100,32,119,101,97,107,32,100,101,112,101,110,100,101,110,99,121,32,105,110,100,101,120,46,0,46,100,117,109,109,121,0,117,110,105,110,116,101,114,112,114,101,116,101,100,95,111,112,116,105,111,110,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,117,110,105,110,116,101,114,112,114,101,116,101,100,95,111,112,116,105,111,110,115,95,102,105,101,108,100,32,33,61,32,78,85,76,76,58,32,0,78,111,32,102,105,101,108,100,32,110,97,109,101,100,32,34,117,110,105,110,116,101,114,112,114,101,116,101,100,95,111,112,116,105,111,110,34,32,105,110,32,116,104,101,32,79,112,116,105,111,110,115,32,112,114,111,116,111,46,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,111,114,105,103,105,110,97,108,95,117,110,105,110,116,101,114,112,114,101,116,101,100,95,111,112,116,105,111,110,115,95,102,105,101,108,100,32,33,61,32,78,85,76,76,58,32,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,111,112,116,105,111,110,115,45,62,65,112,112,101,110,100,80,97,114,116,105,97,108,84,111,83,116,114,105,110,103,40,38,98,117,102,41,58,32,0,80,114,111,116,111,99,111,108,32,109,101,115,115,97,103,101,32,99,111,117,108,100,32,110,111,116,32,98,101,32,115,101,114,105,97,108,105,122,101,100,46,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,111,112,116,105,111,110,115,45,62,80,97,114,115,101,80,97,114,116,105,97,108,70,114,111,109,83,116,114,105,110,103,40,98,117,102,41,58,32,0,80,114,111,116,111,99,111,108,32,109,101,115,115,97,103,101,32,115,101],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+481284);allocate([114,105,97,108,105,122,101,100,32,105,116,115,101,108,102,32,105,110,32,105,110,118,97,108,105,100,32,102,97,115,104,105,111,110,46,0,79,112,116,105,111,110,115,32,99,111,117,108,100,32,110,111,116,32,98,101,32,102,117,108,108,121,32,112,97,114,115,101,100,32,117,115,105,110,103,32,116,104,101,32,112,114,111,116,111,32,100,101,115,99,114,105,112,116,111,114,115,32,99,111,109,112,105,108,101,100,32,105,110,116,111,32,116,104,105,115,32,98,105,110,97,114,121,46,32,77,105,115,115,105,110,103,32,114,101,113,117,105,114,101,100,32,102,105,101,108,100,115,58,32,0,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,77,101,115,115,97,103,101,79,112,116,105,111,110,115,0,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,70,105,108,101,79,112,116,105,111,110,115,0,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,70,105,101,108,100,79,112,116,105,111,110,115,0,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,69,110,117,109,79,112,116,105,111,110,115,0,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,69,110,117,109,86,97,108,117,101,79,112,116,105,111,110,115,0,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,83,101,114,118,105,99,101,79,112,116,105,111,110,115,0,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,77,101,116,104,111,100,79,112,116,105,111,110,115,0,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,83,116,114,101,97,109,79,112,116,105,111,110,115,0,73,109,112,111,114,116,32,0,32,98,117,116,32,110,111,116,32,117,115,101,100,46,0,69,120,112,97,110,100,101,100,32,109,97,112,32,101,110,116,114,121,32,116,121,112,101,32,0,32,99,111,110,102,108,105,99,116,115,32,119,105,116,104,32,97,110,32,101,120,105,115,116,105,110,103,32,110,101,115,116,101,100,32,109,101,115,115,97,103,101,32,116,121,112,101,46,0,32,99,111,110,102,108,105,99,116,115,32,119,105,116,104,32,97,110,32,101,120,105,115,116,105,110,103,32,102,105,101,108,100,46,0,32,99,111,110,102,108,105,99,116,115,32,119,105,116,104,32,97,110,32,101,120,105,115,116,105,110,103,32,101,110,117,109,32,116,121,112,101,46,0,32,99,111,110,102,108,105,99,116,115,32,119,105,116,104,32,97,110,32,101,120,105,115,116,105,110,103,32,111,110,101,111,102,32,116,121,112,101,46,0,70,105,108,101,115,32,119,105,116,104,32,111,112,116,105,109,105,122,101,95,102,111,114,32,61,32,76,73,84,69,95,82,85,78,84,73,77,69,32,99,97,110,110,111,116,32,100,101,102,105,110,101,32,115,101,114,118,105,99,101,115,32,117,110,108,101,115,115,32,121,111,117,32,115,101,116,32,98,111,116,104,32,111,112,116,105,111,110,115,32,99,99,95,103,101,110,101,114,105,99,95,115,101,114,118,105,99,101,115,32,97,110,100,32,106,97,118,97,95,103,101,110,101,114,105,99,95,115,101,118,105,99,101,115,32,116,111,32,102,97,108,115,101,46,0,70,105,108,101,115,32,116,104,97,116,32,100,111,32,110,111,116,32,117,115,101,32,111,112,116,105,109,105,122,101,95,102,111,114,32,61,32,76,73,84,69,95,82,85,78,84,73,77,69,32,99,97,110,110,111,116,32,105,109,112,111,114,116,32,102,105,108,101,115,32,119,104,105,99,104,32,100,111,32,117,115,101,32,116,104,105,115,32,111,112,116,105,111,110,46,32,32,84,104,105,115,32,102,105,108,101,32,105,115,32,110,111,116,32,108,105,116,101,44,32,98,117,116,32,105,116,32,105,109,112,111,114,116,115,32,34,0,34,32,119,104,105,99,104,32,105,115,46,0,84,104,101,32,102,105,114,115,116,32,101,110,117,109,32,118,97,108,117,101,32,109,117,115,116,32,98,101,32,122,101,114,111,32,105,110,32,112,114,111,116,111,51,46,0,69,120,116,101,110,115,105,111,110,32,114,97,110,103,101,115,32,97,114,101,32,110,111,116,32,97,108,108,111,119,101,100,32,105,110,32,112,114,111,116,111,51,46,0,77,101,115,115,97,103,101,83,101,116,32,105,115,32,110,111,116,32,115,117,112,112,111,114,116,101,100,32,105,110,32,112,114,111,116,111,51,46,0,84,104,101,32,74,83,79,78,32,99,97,109,101,108,45,99,97,115,101,32,110,97,109,101,32,111,102,32,102,105,101,108,100,32,34,0,34,32,99,111,110,102,108,105,99,116,115,32,119,105,116,104,32,102,105,101,108,100,32,34,0,34,46,32,84,104,105,115,32,105,115,32,110,111,116,32,0,97,108,108,111,119,101,100,32,105,110,32,112,114,111,116,111,51,46,0,69,120,116,101,110,115,105,111,110,115,32,105,110,32,112,114,111,116,111,51,32,97,114,101,32,111,110,108,121,32,97,108,108,111,119,101,100,32,102,111,114,32,100,101,102,105,110,105,110,103,32,111,112,116,105,111,110,115,46,0,82,101,113,117,105,114,101,100,32,102,105,101,108,100,115,32,97,114,101,32,110,111,116,32,97,108,108,111,119,101,100,32,105,110,32,112,114,111,116,111,51,46,0,69,120,112,108,105,99,105,116,32,100,101,102,97,117,108,116,32,118,97,108,117,101,115,32,97,114,101,32,110,111,116,32,97,108,108,111,119,101,100,32,105,110,32,112,114,111,116,111,51,46,0,69,110,117,109,32,116,121,112,101,32,34,0,34,32,105,115,32,110,111,116,32,97,32,112,114,111,116,111,51,32,101,110,117,109,44,32,98,117,116,32,105,115,32,117,115,101,100,32,105,110,32,34,0,34,32,119,104,105,99,104,32,105,115,32,97,32,112,114,111,116,111,51,32,109,101,115,115,97,103,101,32,116,121,112,101,46,0,71,114,111,117,112,115,32,97,114,101,32,110,111,116,32,115,117,112,112,111,114,116,101,100,32,105,110,32,112,114,111,116,111,51,32,115,121,110,116,97,120,46,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,102,105,108,101,40,41,45,62,102,105,110,105,115,104,101,100,95,98,117,105,108,100,105,110,103,95,32,61,61,32,116,114,117,101,58,32,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,101,110,117,109,95,116,121,112,101,95,45,62,118,97,108,117,101,95,99,111,117,110,116,40,41,58,32,0,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,0,112,114,111,116,111,0,50,46,0,70,105,108,101,79,112,116,105,111,110,115,0,77,101,115,115,97,103,101,79,112,116,105,111,110,115,0,70,105,101,108,100,79,112,116,105,111,110,115,0,69,110,117,109,79,112,116,105,111,110,115,0,69,110,117,109,86,97,108,117,101,79,112,116,105,111,110,115,0,83,101,114,118,105,99,101,79,112,116,105,111,110,115,0,77,101,116,104,111,100,79,112,116,105,111,110,115,0,79,110,101,111,102,79,112,116,105,111,110,115,0,91,108,97,122,121,32,61,32,116,114,117,101,93,32,99,97,110,32,111,110,108,121,32,98,101,32,115,112,101,99,105,102,105,101,100,32,102,111,114,32,115,117,98,109,101,115,115,97,103,101,32,102,105,101,108,100,115,46,0,91,112,97,99,107,101,100,32,61,32,116,114,117,101,93,32,99,97,110,32,111,110,108,121,32,98,101,32,115,112,101,99,105,102,105,101,100,32,102,111,114,32,114,101,112,101,97,116,101,100,32,112,114,105,109,105,116,105,118,101,32,102,105,101,108,100,115,46,0,77,101,115,115,97,103,101,83,101,116,115,32,99,97,110,110,111,116,32,104,97,118,101,32,102,105,101,108,100,115,44,32,111,110,108,121,32,101,120,116,101,110,115,105,111,110,115,46,0,69,120,116,101,110,115,105,111,110,115,32,116,111,32,110,111,110,45,108,105,116,101,32,116,121,112,101,115,32,99,97,110,32,111,110,108,121,32,98,101,32,100,101,99,108,97,114,101,100,32,105,110,32,110,111,110,45,108,105,116,101,32,102,105,108,101,115,46,32,32,78,111,116,101,32,116,104,97,116,32,121,111,117,32,99,97,110,110,111,116,32,101,120,116,101,110,100,32,97,32,110,111,110,45,108,105,116,101,32,116,121,112,101,32,116,111,32,99,111,110,116,97,105,110,32,97,32,108,105,116,101,32,116,121,112,101,44,32,98,117,116,32,116,104,101,32,114,101,118,101,114,115,101,32,105,115,32,97,108,108,111,119,101,100,46,0,109,97,112,95,101,110,116,114,121,32,115,104,111,117,108,100,32,110,111,116,32,98,101,32,115,101,116,32,101,120,112,108,105,99,105,116,108,121,46,32,85,115,101,32,109,97,112,60,75,101,121,84,121,112,101,44,32,86,97,108,117,101,84,121,112,101,62,32,105,110,115,116,101,97,100,46,0,73,108,108,101,103,97,108,32,106,115,116,121,112,101,32,102,111,114,32,105,110,116,54,52,44,32,117,105,110,116,54,52,44,32,115,105,110,116,54,52,44,32,102,105,120,101,100,54,52,32,111,114,32,115,102,105,120,101,100,54,52,32,102,105,101,108,100,58,32,0,106,115,116,121,112,101,32,105,115,32,111,110,108,121,32,97,108,108,111,119,101,100,32,111,110,32,105,110,116,54,52,44,32,117,105,110,116,54,52,44,32,115,105,110,116,54,52,44,32,102,105,120,101,100,54,52,32,111,114,32,115,102,105,120,101,100,54,52,32,102,105,101,108,100,115,46,0,69,110,116,114,121,0,75,101,121,32,105,110,32,109,97,112,32,102,105,101,108,100,115,32,99,97,110,110,111,116,32,98,101,32,101,110,117,109,32,116,121,112,101,115,46,0,75,101,121,32,105,110,32,109,97,112,32,102,105,101,108,100,115,32,99,97,110,110,111,116,32,98,101,32,102,108,111,97,116,47,100,111,117,98,108,101,44,32,98,121,116,101,115,32,111,114,32,109,101,115,115,97,103,101,32,116,121,112,101,115,46,0,69,110,117,109,32,118,97,108,117,101,32,105,110,32,109,97,112,32,109,117,115,116,32,100,101,102,105,110,101,32,48,32,97,115,32,116,104,101,32,102,105,114,115,116,32,118,97,108,117,101,46,0,34,32,117,115,101,115,32,116,104,101,32,115,97,109,101,32,101,110,117,109,32,118,97,108,117,101,32,97,115,32,34,0,34,46,32,73,102,32,116,104,105,115,32,105,115,32,105,110,116,101,110,100,101,100,44,32,115,101,116,32,39,111,112,116,105,111,110,32,97,108,108,111,119,95,97,108,105,97,115,32,61,32,116,114,117,101,59,39,32,116,111,32,116,104,101,32,101,110,117,109,32,100,101,102,105,110,105,116,105,111,110,46,0,69,120,116,101,110,115,105,111,110,32,110,117,109,98,101,114,115,32,99,97,110,110,111,116,32,98,101,32,103,114,101,97,116,101,114,32,116,104,97,110,32,36,48,46,0,79,112,116,105,111,110,32,109,117,115,116,32,104,97,118,101,32,97,32,110,97,109,101,46,0,79,112,116,105,111,110,32,109,117,115,116,32,110,111,116,32,117,115,101,32,114,101,115,101,114,118,101,100,32,110,97,109,101,32,34,117,110,105,110,116,101,114,112,114,101,116,101,100,95,111,112,116,105,111,110,34,46,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,111,112,116,105,111,110,115,95,100,101,115,99,114,105,112,116,111,114,58,32,0,79,112,116,105,111,110,32,34,0,34,32,105,115,32,114,101,115,111,108,118,101,100,32,116,111,32,34,40,0,41,34,44,32,119,104,105,99,104,32,105,115,32,110,111,116,32,100,101,102,105,110,101,100,46,32,84,104,101,32,105,110,110,101,114,109,111,115,116,32,115,99,111,112,101,32,105,115,32,115,101,97,114,99,104,101,100,32,102,105,114,115,116,32,105,110,32,110,97,109,101,32,114,101,115,111,108,117,116,105,111,110,46,32,67,111,110,115,105,100,101,114,32,117,115,105,110,103,32,97,32,108,101,97,100,105,110,103,32,39,46,39,40,105,46,101,46,44,32,34,40,46,0,34,41,32,116,111,32,115,116,97,114,116,32,102,114,111,109,32,116,104,101,32,111,117,116,101,114,109,111,115,116,32,115,99,111,112,101,46,0,34,32,117,110,107,110,111,119,110,46,0,79,112,116,105,111,110,32,102,105,101,108,100,32,34,0,34,32,105,115,32,110,111,116,32,97,32,102,105,101,108,100,32,111,114,32,101,120,116,101,110,115,105,111,110,32,111,102,32,109,101,115,115,97,103,101,32,34,0,34,32,105,115,32,97,110,32,97,116,111,109,105,99,32,116,121,112,101,44,32,110,111,116,32,97,32,109,101,115,115,97,103,101,46,0,34,32,105,115,32,97,32,114,101,112,101,97,116,101,100,32,109,101,115,115,97,103,101,46,32,82,101,112,101,97,116,101,100,32,109,101,115,115,97,103,101,32,111,112,116,105,111,110,115,32,109,117,115,116,32,98,101,32,105,110,105,116,105,97,108,105,122,101,100,32,117,115,105,110,103,32,97,110,32,97,103,103,114,101,103,97,116,101,32,118,97,108,117,101,46,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,33,111,117,116,46,72,97,100,69,114,114,111,114,40,41,58,32,0,85,110,101,120,112,101,99,116,101,100,32,102,97,105,108,117,114,101,32,119,104,105,108,101,32,115,101,114,105,97,108,105,122,105,110,103,32,111,112,116,105,111,110,32,115,117,98,109,101,115,115,97,103,101,32,0,73,110,118,97,108,105,100,32,119,105,114,101,32,116,121,112,101,32,102,111,114,32,67,80,80,84,89,80,69,95,77,69,83,83,65,71,69,58,32,0,86,97,108,117,101,32,111,117,116,32,111,102,32,114,97,110,103,101,32,102,111,114,32,105,110,116,51,50,32,111,112,116,105,111,110,32,34,0,86,97,108,117,101,32,109,117,115,116,32,98,101,32,105,110,116,101,103,101,114,32,102,111,114,32,105,110,116,51,50,32,111,112,116,105,111,110,32,34,0,86,97,108,117,101,32,111,117,116,32,111,102,32,114,97,110,103,101,32,102,111,114,32,105,110,116,54,52,32,111,112,116,105,111,110,32,34,0,86,97,108,117,101,32,109,117,115,116,32,98,101,32,105,110,116,101,103,101,114,32,102,111,114,32,105,110,116,54,52,32,111,112,116,105,111,110,32,34,0,86,97,108,117,101,32,111,117,116,32,111,102,32,114,97,110,103,101,32,102,111,114,32,117,105,110,116,51,50,32,111,112,116,105,111,110,32,34,0,86,97,108,117,101,32,109,117,115,116,32,98,101,32,110,111,110,45,110,101,103,97,116,105,118,101,32,105,110,116,101,103,101,114,32,102,111,114,32,117,105,110,116,51,50,32,111,112,116,105,111,110,32,34,0,86,97,108,117,101,32,109,117,115,116,32,98,101,32,110,111,110,45,110,101,103,97,116,105,118,101,32,105,110,116,101,103,101,114,32,102,111,114,32,117,105,110,116,54,52,32,111,112,116,105,111,110,32,34,0,86,97,108,117,101,32,109,117,115,116,32,98,101,32,110,117,109,98,101,114,32,102,111,114,32,102,108,111,97,116,32,111,112,116,105,111,110,32,34,0,86,97,108,117,101,32,109,117,115,116,32,98,101,32,110,117,109,98,101,114,32,102,111,114,32,100,111,117,98,108,101,32,111,112,116,105,111,110,32,34,0,86,97,108,117,101,32,109,117,115,116,32,98,101,32,105,100,101,110,116,105,102,105,101,114,32,102,111,114,32,98,111,111,108,101,97,110,32,111,112,116,105,111,110,32,34,0,86,97,108,117,101,32,109,117,115,116,32,98,101,32,34,116,114,117,101,34,32,111,114,32,34,102,97,108,115,101,34,32,102,111,114,32,98,111,111,108,101,97,110,32,111,112,116,105,111,110,32,34,0,86,97,108,117,101,32,109,117,115,116,32,98,101,32,105,100,101,110,116,105,102,105,101,114,32,102,111,114,32,101,110,117,109,45,118,97,108,117,101,100,32,111,112,116,105,111,110,32,34,0,34,32,104,97,115,32,110,111,32,118,97,108,117,101,32,110,97,109,101,100,32,34,0,34,32,102,111,114,32,111,112,116,105,111,110,32,34,0,34,46,32,84,104,105,115,32,97,112,112,101,97,114,115,32,116,111,32,98,101,32,97,32,118,97,108,117,101,32,102,114,111,109,32,97,32,115,105,98,108,105,110,103,32,116,121,112,101,46,0,86,97,108,117,101,32,109,117,115,116,32,98,101,32,113,117,111,116,101,100,32,115,116,114,105,110,103,32,102,111,114,32,115,116,114,105,110,103,32,111,112,116,105,111,110,32,34,0,34,32,105,115,32,97,32,109,101,115,115,97,103,101,46,32,84,111,32,115,101,116,32,116,104,101,32,101,110,116,105,114,101,32,109,101,115,115,97,103,101,44,32,117,115,101,32,115,121,110,116,97,120,32,108,105,107,101,32,34,0,32,61,32,123,32,60,112,114,111,116,111,32,116,101,120,116,32,102,111,114,109,97,116,62,32,125,34,46,32,84,111,32,115,101,116,32,102,105,101,108,100,115,32,119,105,116,104,105,110,32,105,116,44,32,117,115,101,32,115,121,110,116,97,120,32,108,105,107,101,32,34,0,46,102,111,111,32,61,32,118,97,108,117,101,34,46,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,100,121,110,97,109,105,99,46,103,101,116,40,41,32,33,61,32,78,85,76,76,58,32,0,67,111,117,108,100,32,110,111,116,32,99,114,101,97,116,101,32,97,110,32,105,110,115,116,97,110,99,101,32,111,102,32,0,69,114,114,111,114,32,119,104,105,108,101,32,112,97,114,115,105,110,103,32,111,112,116,105,111,110,32,118,97,108,117,101,32,102,111,114,32,34,0,34,58,32,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,40,111,112,116,105,111,110,95,102,105,101,108,100,45,62,116,121,112,101,40,41,41,32,61,61,32,40,70,105,101,108,100,68,101,115,99,114,105,112,116,111,114,58,58,84,89,80,69,95,71,82,79,85,80,41,58,32,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,49,55,68,101,115,99,114,105,112,116,111,114,66,117,105,108,100,101,114,49,55,79,112,116,105,111,110,73,110,116,101,114,112,114,101,116,101,114,50,49,65,103,103,114,101,103,97,116,101,79,112,116,105,111,110,70,105,110,100,101,114,69,0,59,32,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,49,50,95,71,76,79,66,65,76,95,95,78,95,49,50,51,65,103,103,114,101,103,97,116,101,69,114,114,111,114,67,111,108,108,101,99,116,111,114,69,0,101,120,116,101,110,100,32,46,36,48,32,123,10,0,109,97,112,60,36,48,44,32,36,49,62,0,36,48,36,49,36,50,32,36,51,32,61,32,36,52,0,32,91,100,101,102,97,117,108,116,32,61,32,36,48,0,106,115,111,110,95,110,97,109,101,32,61,32,34,0,32,123,32,46,46,46,32,125,59,10,0,59,10,0,36,48,47,47,32,36,49,10,0,36,48,109,101,115,115,97,103,101,32,36,49,0,36,48,32,32,101,120,116,101,110,115,105,111,110,115,32,36,49,32,116,111,32,36,50,59,10,0,36,48,32,32,125,10,0,36,48,32,32,101,120,116,101,110,100,32,46,36,49,32,123,10,0,36,48,32,32,114,101,115,101,114,118,101,100,32,0,36,48,44,32,0,36,48,32,116,111,32,36,49,44,32,0,34,36,48,34,44,32,0,36,48,125,10,0,36,48,111,110,101,111,102,32,36,49,32,123,0,32,46,46,46,32,125,10,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,51,114,100,112,97,114,116,121,47,112,114,111,116,111,98,117,102,47,115,114,99,47,103,111,111,103,108,101,47,112,114,111,116,111,98,117,102,47,115,116,117,98,115,47,108,111,103,103,105,110,103,46,104,0,39,111,117,116,95,108,111,99,97,116,105,111,110,39,32,109,117,115,116,32,110,111,116,32,98,101,32,78,85,76,76,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,56,105,110,116,101,114,110,97,108,49,54,70,117,110,99,116,105,111,110,67,108,111,115,117,114,101,49,73,80,78,83,116,51,95,95,50,52,112,97,105,114,73,80,75,78,83,48,95,50,48,70,105,108,101,68,101,115,99,114,105,112,116,111,114,84,97,98,108,101,115,69,80,75,78,83,48,95,49,52,83,111,117,114,99,101,67,111,100,101,73,110,102,111,69,69,69,69,69,0,36,48,101,110,117,109,32,36,49,32,123,10,0,36,48,36,49,32,61,32,36,50,0,32,91,36,48,93,0,36,48,111,112,116,105,111,110,32,36,49,59,10,0,70,111,117,110,100,32,105,110,118,97,108,105,100,32,112,114,111,116,111,32,111,112,116,105,111,110,32,100,97,116,97,32,102,111,114,58,32,0,123,10,0,40,46,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,104,97,115,95,100,101,102,97,117,108,116,95,118,97,108,117,101,40,41,58,32,0,78,111,32,100,101,102,97,117,108,116,32,118,97,108,117,101,0,77,101,115,115,97,103,101,115,32,99,97,110,39,116,32,104,97,118,101,32,100,101,102,97,117,108,116,32,118,97,108,117,101,115,33,0,67,97,110,39,116,32,103,101,116,32,104,101,114,101,58,32,102,97,105,108,101,100,32,116,111,32,103,101,116,32,100,101,102,97,117,108,116,32,118,97,108,117,101,32,97,115,32,115,116,114,105,110,103,0,73,110,118,97,108,105,100,32,119,105,114,101,32,116,121,112,101,32,102,111,114,32,67,80,80,84,89,80,69,95,85,73,78,84,54,52,58,32,0,73,110,118,97,108,105,100,32,119,105,114,101,32,116,121,112,101,32,102,111,114,32,67,80,80,84,89,80,69,95,85,73,78,84,51,50,58,32,0,73,110,118,97,108,105,100,32,119,105,114,101,32,116,121,112,101,32,102,111,114,32,67,80,80,84,89,80,69,95,73,78,84,54,52,58,32,0,73,110,118,97,108,105,100,32,119,105,114,101,32,116,121,112,101,32,102,111,114,32,67,80,80,84,89,80,69,95,73,78,84,51,50,58,32,0,34,32,119,97,115,32,97,108,114,101,97,100,121,32,115,101,116,46,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,102,105,101,108,100,32,33,61,32,78,85,76,76,58,32,0,46,112,108,97,99,101,104,111,108,100,101,114,46,112,114,111,116,111,0,80,76,65,67,69,72,79,76,68,69,82,95,86,65,76,85,69,0,46,80,76,65,67,69,72,79,76,68,69,82,95,86,65,76,85,69,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,98,117,105,108,100,101,114,95,58,32,0,34,32,105,115,32,110,111,116,32,97,32,109,101,115,115,97,103,101,32,116,121,112,101,46,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,33,110,97,109,101,95,58,32,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,33,111,110,99,101,95,58,32,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,33,102,105,108,101,95,58,32,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,33,100,101,115,99,114,105,112,116,111,114,95,58,32,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,102,105,108,101,32,38,38,32,102,105,108,101,45,62,112,111,111,108,95,58,32,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,102,105,108,101,45,62,112,111,111,108,95,45,62,108,97,122,105,108,121,95,98,117,105,108,100,95,100,101,112,101,110,100,101,110,99,105,101,115,95,58,32,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,33,102,105,108,101,45,62,102,105,110,105,115,104,101,100,95,98,117,105,108,100,105,110,103,95,58,32,0,34,32,105,115,32,110,111,116,32,100,101,102,105,110,101,100,46,0,34,32,115,101,101,109,115,32,116,111,32,98,101,32,100,101,102,105,110,101,100,32,105,110,32,34,0,34,44,32,119,104,105,99,104,32,105,115,32,110,111,116,32,105,109,112,111,114,116,101,100,32,98,121,32,34,0,34,46,32,32,84,111,32,117,115,101,32,105,116,32,104,101,114,101,44,32,112,108,101,97,115,101,32,97,100,100,32,116,104,101,32,110,101,99,101,115,115,97,114,121,32,105,109,112,111,114,116,46,0,34,32,105,115,32,114,101,115,111,108,118,101,100,32,116,111,32,34,0,34,44,32,119,104,105,99,104,32,105,115,32,110,111,116,32,100,101,102,105,110,101,100,46,32,84,104,101,32,105,110,110,101,114,109,111,115,116,32,115,99,111,112,101,32,105,115,32,115,101,97,114,99,104,101,100,32,102,105,114,115,116,32,105,110,32,110,97,109,101,32,114,101,115,111,108,117,116,105,111,110,46,32,67,111,110,115,105,100,101,114,32,117,115,105,110,103,32,97,32,108,101,97,100,105,110,103,32,39,46,39,40,105,46,101,46,44,32,34,46,0,34,36,48,34,32,100,111,101,115,32,110,111,116,32,100,101,99,108,97,114,101,32,36,49,32,97,115,32,97,110,32,101,120,116,101,110,115,105,111,110,32,110,117,109,98,101,114,46,0,70,105,101,108,100,115,32,111,102,32,111,110,101,111,102,115,32,109,117,115,116,32,116,104,101,109,115,101,108,118,101,115,32,104,97,118,101,32,108,97,98,101,108,32,76,65,66,69,76,95,79,80,84,73,79,78,65,76,46,0,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,69,109,112,116,121,0,34,32,105,115,32,110,111,116,32,97,32,116,121,112,101,46,0,77,101,115,115,97,103,101,115,32,99,97,110,39,116,32,104,97,118,101,32,100,101,102,97,117,108,116,32,118,97,108,117,101,115,46,0,34,32,105,115,32,110,111,116,32,97,110,32,101,110,117,109,32,116,121,112,101,46,0,68,101,102,97,117,108,116,32,118,97,108,117,101,32,102,111,114,32,97,110,32,101,110,117,109,32,102,105,101,108,100,32,109,117,115,116,32,98,101,32,97,110,32,105,100,101,110,116,105,102,105,101,114,46,0,70,105,101,108,100,32,119,105,116,104,32,112,114,105,109,105,116,105,118,101,32,116,121,112,101,32,104,97,115,32,116,121,112,101,95,110,97,109,101,46,0,70,105,101,108,100,32,119,105,116,104,32,109,101,115,115,97,103,101,32,111,114,32,101,110,117,109,32,116,121,112,101,32,109,105,115,115,105,110,103,32,116,121,112,101,95,110,97,109,101,46,0,69,120,116,101,110,115,105,111,110,32,110,117,109,98,101,114,32,36,48,32,104,97,115,32,97,108,114,101,97,100,121,32,98,101,101,110,32,117,115,101,100,32,105,110,32,34,36,49,34,32,98,121,32,101,120,116,101,110,115,105,111,110,32,34,36,50,34,46,0,70,105,101,108,100,32,110,117,109,98,101,114,32,36,48,32,104,97,115,32,97,108,114,101,97,100,121,32,98,101,101,110,32,117,115,101,100,32,105,110,32,34,36,49,34,32,98,121,32,102,105,101,108,100,32,34,36,50,34,46,0,69,120,116,101,110,115,105,111,110,32,110,117,109,98,101,114,32,36,48,32,104,97,115,32,97,108,114,101,97,100,121,32,98,101,101,110,32,117,115,101,100,32,105,110,32,34,36,49,34,32,98,121,32,101,120,116,101,110,115,105,111,110,32,34,36,50,34,32,100,101,102,105,110,101,100,32,105,110,32,36,51,46,0,70,105,101,108,100,115,32,105,110,32,116,104,101,32,115,97,109,101,32,111,110,101,111,102,32,109,117,115,116,32,98,101,32,100,101,102,105,110,101,100,32,99,111,110,115,101,99,117,116,105,118,101,108,121,46,32,34,36,48,34,32,99,97,110,110,111,116,32,98,101,32,100,101,102,105,110,101,100,32,98,101,102,111,114,101,32,116,104,101,32,99,111,109,112,108,101,116,105,111,110,32,111,102,32,116,104,101,32,34,36,49,34,32,111,110,101,111,102,32,100,101,102,105,110,105,116,105,111,110,46,0,79,110,101,111,102,32,109,117,115,116,32,104,97,118,101,32,97,116,32,108,101,97,115,116,32,111,110,101,32,102,105,101,108,100,46,0,77,101,115,115,97,103,101,32,101,120,116,101,110,115,105,111,110,115,32,99,97,110,110,111,116,32,104,97,118,101,32,114,101,113,117,105,114,101,100,32,102,105,101,108,100,115,46,0,82,101,112,101,97,116,101,100,32,102,105,101,108,100,115,32,99,97,110,39,116,32,104,97,118,101,32,100,101,102,97,117,108,116,32,118,97,108,117,101,115,46,0,66,111,111,108,101,97,110,32,100,101,102,97,117,108,116,32,109,117,115,116,32,98,101,32,116,114,117,101,32,111,114,32,102,97,108,115,101,46,0,67,111,117,108,100,110,39,116,32,112,97,114,115,101,32,100,101,102,97,117,108,116,32,118,97,108,117,101,32,34,0,70,105,101,108,100,32,110,117,109,98,101,114,115,32,109,117,115,116,32,98,101,32,112,111,115,105,116,105,118,101,32,105,110,116,101,103,101,114,115,46,0,70,105,101,108,100,32,110,117,109,98,101,114,115,32,99,97,110,110,111,116,32,98,101,32,103,114,101,97,116,101,114,32,116,104,97,110,32,36,48,46,0,70,105,101,108,100,32,110,117,109,98,101,114,115,32,36,48,32,116,104,114,111,117,103,104,32,36,49,32,97,114,101,32,114,101,115,101,114,118,101,100,32,102,111,114,32,116,104,101,32,112,114,111,116,111,99,111,108,32,98,117,102,102,101,114,32,108,105,98,114,97,114,121,32,105,109,112,108,101,109,101,110,116,97,116,105,111,110,46,0,70,105,101,108,100,68,101,115,99,114,105,112,116,111,114,80,114,111,116,111,46,101,120,116,101,110,100,101,101,32,110,111,116,32,115,101,116,32,102,111,114,32,101,120,116,101,110,115,105,111,110,32,102,105,101,108,100,46,0,70,105,101,108,100,68,101,115,99,114,105,112,116,111,114,80,114,111,116,111,46,111,110,101,111,102,95,105,110,100,101,120,32,115,104,111,117,108,100,32,110,111,116,32,98,101,32,115,101,116,32,102,111,114,32,101,120,116,101,110,115,105,111,110,115,46,0,70,105,101,108,100,68,101,115,99,114,105,112,116,111,114,80,114,111,116,111,46,101,120,116,101,110,100,101,101,32,115,101,116,32,102,111,114,32,110,111,110,45,101,120,116,101,110,115,105,111,110,32,102,105,101,108,100,46,0,70,105,101,108,100,68,101,115,99,114,105,112,116,111,114,80,114,111,116,111,46,111,110,101,111,102,95,105,110,100,101,120,32,36,48,32,105,115,32,111,117,116,32,111,102,32,114,97,110,103,101,32,102,111,114,32,116,121,112,101,32,34,36,49,34,46,0,34,32,110,111,116,32,112,114,101,118,105,111,117,115,108,121,32,100,101,102,105,110,101,100,32,105,110,32,115,121,109,98,111,108,115,95,98,121,95,110,97,109,101,95,44,32,98,117,116,32,119,97,115,32,100,101,102,105,110,101,100,32,105,110,32,115,121,109,98,111,108,115,95,98,121,95,112,97,114,101,110,116,95,59,32,116,104,105,115,32,115,104,111,117,108,100,110,39,116,32,98,101,32,112,111,115,115,105,98,108,101,46,0,34,32,105,115,32,97,108,114,101,97,100,121,32,100,101,102,105,110,101,100,46,0,34,32,105,115,32,97,108,114,101,97,100,121,32,100,101,102,105,110,101,100,32,105,110,32,34,0,34,32,105,115,32,97,108,114,101,97,100,121,32,100,101,102,105,110,101,100,32,105,110,32,102,105,108,101,32,34,0,77,105,115,115,105,110,103,32,110,97,109,101,46,0,34,32,105,115,32,110,111,116,32,97,32,118,97,108,105,100,32,105,100,101,110,116,105,102,105,101,114,46,0,69,110,117,109,115,32,109,117,115,116,32,99,111,110,116,97,105,110,32,97,116,32,108,101,97,115,116,32,111,110,101,32,118,97,108,117,101,46,0,82,101,115,101,114,118,101,100,32,114,97,110,103,101,32,101,110,100,32,110,117,109,98,101,114,32,109,117,115,116,32,98,101,32,103,114,101,97,116,101,114,32,116,104,97,110,32,115,116,97,114,116,32,110,117,109,98,101,114,46,0,82,101,115,101,114,118,101,100,32,114,97,110,103,101,32,36,48,32,116,111,32,36,49,32,111,118,101,114,108,97,112,115,32,119,105,116,104,32,97,108,114,101,97,100,121,45,100,101,102,105,110,101,100,32,114,97,110,103,101,32,36,50,32,116,111,32,36,51,46,0,69,110,117,109,32,118,97,108,117,101,32,34,36,48,34,32,105,115,32,114,101,115,101,114,118,101,100,32,109,117,108,116,105,112,108,101,32,116,105,109,101,115,46,0,69,110,117,109,32,118,97,108,117,101,32,34,36,48,34,32,117,115,101,115,32,114,101,115,101,114,118,101,100,32,110,117,109,98,101,114,32,36,49,46,0,69,110,117,109,32,118,97,108,117,101,32,34,36,48,34,32,105,115,32,114,101,115,101,114,118,101,100,46,0,87,104,101,110,32,101,110,117,109,32,110,97,109,101,32,105,115,32,115,116,114,105,112,112,101,100,32,97,110,100,32,108,97,98,101,108,32,105,115,32,80,97,115,99,97,108,67,97,115,101,100,32,40,0,41,44,32,116,104,105,115,32,118,97,108,117,101,32,108,97,98,101,108,32,99,111,110,102,108,105,99,116,115,32,119,105,116,104,32,0,46,32,84,104,105,115,32,119,105,108,108,32,109,97,107,101,32,116,104,101,32,112,114,111,116,111,32,102,97,105,108,32,116,111,32,99,111,109,112,105,108,101,32,102,111,114,32,115,111,109,101,32,108,97,110,103,117,97,103,101,115,44,32,115,117,99,104,32,97,115,32,67,35,46,0,116,104,101,32,103,108,111,98,97,108,32,115,99,111,112,101,0,78,111,116,101,32,116,104,97,116,32,101,110,117,109,32,118,97,108,117,101,115,32,117,115,101,32,67,43,43,32,115,99,111,112,105,110,103,32,114,117,108,101,115,44,32,109,101,97,110,105,110,103,32,116,104,97,116,32,101,110,117,109,32,118,97,108,117,101,115,32,97,114,101,32,115,105,98,108,105,110,103,115,32,111,102,32,116,104,101,105,114,32,116,121,112,101,44,32,110,111,116,32,99,104,105,108,100,114,101,110,32,111,102,32,105,116,46,32,32,84,104,101,114,101,102,111,114,101,44,32,34,0,34,32,109,117,115,116,32,98,101,32,117,110,105,113,117,101,32,119,105,116,104,105,110,32,0,44,32,110,111,116,32,106,117,115,116,32,119,105,116,104,105,110,32,34,0,69,120,116,101,110,115,105,111,110,32,110,117,109,98,101,114,115,32,109,117,115,116,32,98,101,32,112,111,115,105,116,105,118,101,32,105,110,116,101,103,101,114,115,46,0,69,120,116,101,110,115,105,111,110,32,114,97,110,103,101,32,101,110,100,32,110,117,109,98,101,114,32,109,117,115,116,32,98,101,32,103,114,101,97,116,101,114,32,116,104,97,110,32,115,116,97,114,116,32,110,117,109,98,101,114,46,0,82,101,115,101,114,118,101,100,32,110,117,109,98,101,114,115,32,109,117,115,116,32,98,101,32,112,111,115,105,116,105,118,101,32,105,110,116,101,103,101,114,115,46,0,70,105,101,108,100,32,110,97,109,101,32,34,36,48,34,32,105,115,32,114,101,115,101,114,118,101,100,32,109,117,108,116,105,112,108,101,32,116,105,109,101,115,46,0,69,120,116,101,110,115,105,111,110,32,114,97,110,103,101,32,36,48,32,116,111,32,36,49,32,105,110,99,108,117,100,101,115,32,102,105,101,108,100,32,34,36,50,34,32,40,36,51,41,46,0,70,105,101,108,100,32,34,36,48,34,32,117,115,101,115,32,114,101,115,101,114,118,101,100,32,110,117,109,98,101,114,32,36,49,46,0,70,105,101,108,100,32,110,97,109,101,32,34,36,48,34,32,105,115,32,114,101,115,101,114,118,101,100,46,0,69,120,116,101,110,115,105,111,110,32,114,97,110,103,101,32,36,48,32,116,111,32,36,49,32,111,118,101,114,108,97,112,115,32,119,105,116,104,32,114,101,115,101,114,118,101,100,32,114,97,110,103,101,32,36,50,32,116,111,32,36,51,46,0,69,120,116,101,110,115,105,111,110,32,114,97,110,103,101,32,36,48,32,116,111,32,36,49,32,111,118,101,114,108,97,112,115,32,119,105,116,104,32,97,108,114,101,97,100,121,45,100,101,102,105,110,101,100,32,114,97,110,103,101,32,36,50,32,116,111,32,36,51,46,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,102,105,110,105,115,104,101,100,95,98,117,105,108,100,105,110,103,95,32,61,61,32,116,114,117,101,58,32,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,56,105,110,116,101,114,110,97,108,49,54,70,117,110,99,116,105,111,110,67,108,111,115,117,114,101,49,73,80,75,78,83,48,95,49,52,70,105,108,101,68,101,115,99,114,105,112,116,111,114,69,69,69,0,73,109,112,111,114,116,32,34,0,34,32,104,97,115,32,110,111,116,32,98,101,101,110,32,108,111,97,100,101,100,46,0,34,32,119,97,115,32,110,111,116,32,102,111,117,110,100,32,111,114,32,104,97,100,32,101,114,114,111,114,115,46,0,34,32,119,97,115,32,108,105,115,116,101,100,32,116,119,105,99,101,46,0,34,32,105,115,32,97,108,114,101,97,100,121,32,100,101,102,105,110,101,100,32,40,97,115,32,115,111,109,101,116,104,105,110,103,32,111,116,104,101,114,32,116,104,97,110,32,97,32,112,97,99,107,97,103,101,41,32,105,110,32,102,105,108,101,32,34,0,73,110,118,97,108,105,100,32,112,114,111,116,111,32,100,101,115,99,114,105,112,116,111,114,32,102,111,114,32,102,105,108,101,32,34,0,34,58,0,32,32,0,70,105,108,101,32,114,101,99,117,114,115,105,118,101,108,121,32,105,109,112,111,114,116,115,32,105,116,115,101,108,102,58,32,0,32,45,62,32,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,102,105,108,101,95,45,62,102,105,110,105,115,104,101,100,95,98,117,105,108,100,105,110,103,95,58,32,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,56,105,110,116,101,114,110,97,108,49,54,70,117,110,99,116,105,111,110,67,108,111,115,117,114,101,49,73,80,78,83,49,95,49,52,76,97,122,121,68,101,115,99,114,105,112,116,111,114,69,69,69,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,103,101,110,101,114,97,116,101,100,95,100,97,116,97,98,97,115,101,95,45,62,65,100,100,40,101,110,99,111,100,101,100,95,102,105,108,101,95,100,101,115,99,114,105,112,116,111,114,44,32,115,105,122,101,41,58,32,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,56,105,110,116,101,114,110,97,108,49,54,70,117,110,99,116,105,111,110,67,108,111,115,117,114,101,49,73,80,75,78,83,48,95,50,48,70,105,108,101,68,101,115,99,114,105,112,116,111,114,84,97,98,108,101,115,69,69,69,0,85,78,75,78,79,87,78,95,69,78,85,77,95,86,65,76,85,69,95,37,115,95,37,100,0,103,111,111,103,108,101,47,112,114,111,116,111,98,117,102,47,100,101,115,99,114,105,112,116,111,114,46,112,114,111,116,111,0,10,32,103,111,111,103,108,101,47,112,114,111,116,111,98,117,102,47,100,101,115,99,114,105,112,116,111,114,46,112,114,111,116,111,18,15,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,34,71,10,17,70,105,108,101,68,101,115,99,114,105,112,116,111,114,83,101,116,18,50,10,4,102,105,108,101,24,1,32,3,40,11,50,36,46,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,70,105,108,101,68,101,115,99,114,105,112,116,111,114,80,114,111,116,111,34,219,3,10,19,70,105,108,101,68,101,115,99,114,105,112,116,111,114,80,114,111,116,111,18,12,10,4,110,97,109,101,24,1,32,1,40,9,18,15,10,7,112,97,99,107,97,103,101,24,2,32,1,40,9,18,18,10,10,100,101,112,101,110,100,101,110,99,121,24,3,32,3,40,9,18,25,10,17,112,117,98,108,105,99,95,100,101,112,101,110,100,101,110,99,121,24,10,32,3,40,5,18,23,10,15,119,101,97,107,95,100,101,112,101,110,100,101,110,99,121,24,11,32,3,40,5,18,54,10,12,109,101,115,115,97,103,101,95,116,121,112,101,24,4,32,3,40,11,50,32,46,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,68,101,115,99,114,105,112,116,111,114,80,114,111,116,111,18,55,10,9,101,110,117,109,95,116,121,112,101,24,5,32,3,40,11,50,36,46,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,69,110,117,109,68,101,115,99,114,105,112,116,111,114,80,114,111,116,111,18,56,10,7,115,101,114,118,105,99,101,24,6,32,3,40,11,50,39,46,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,83,101,114,118,105,99,101,68,101,115,99,114,105,112,116,111,114,80,114,111,116,111,18,56,10,9,101,120,116,101,110,115,105,111,110,24,7,32,3,40,11,50,37,46,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,70,105,101,108,100,68,101,115,99,114,105,112,116,111,114,80,114,111,116,111,18,45,10,7,111,112,116,105,111,110,115,24,8,32,1,40,11,50,28,46,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,70,105,108,101,79,112,116,105,111,110,115,18,57,10,16,115,111,117,114,99,101,95,99,111,100,101,95,105,110,102,111,24,9,32,1,40,11,50,31,46,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,83,111,117,114,99,101,67,111,100,101,73,110,102,111,18,14,10,6,115,121,110,116,97,120,24,12,32,1,40,9,34,169,5,10,15,68,101,115,99,114,105,112,116,111,114,80,114,111,116,111,18,12,10,4,110,97,109,101,24,1,32,1,40,9,18,52,10,5,102,105,101,108,100,24,2,32,3,40,11,50,37,46,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,70,105,101,108,100,68,101,115,99,114,105,112,116,111,114,80,114,111,116,111,18,56,10,9,101,120,116,101,110,115,105,111,110,24,6,32,3,40,11,50,37,46,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,70,105,101,108,100,68,101,115,99,114,105,112,116,111,114,80,114,111,116,111,18,53,10,11,110,101,115,116,101,100,95,116,121,112,101,24,3,32,3,40,11,50,32,46,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,68,101,115,99,114,105,112,116,111,114,80,114,111,116,111,18,55,10,9,101,110,117,109,95,116,121,112,101,24,4,32,3,40,11,50,36,46,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,69,110,117,109,68,101,115,99,114,105,112,116,111,114,80,114,111,116,111,18,72,10,15,101,120,116,101,110,115,105,111,110,95,114,97,110,103,101,24,5,32,3,40,11,50,47,46,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,68,101,115,99,114,105,112,116,111,114,80,114,111,116,111,46,69,120,116,101,110,115,105,111,110,82,97,110,103,101,18,57,10,10,111,110,101,111,102,95,100,101,99,108,24,8,32,3,40,11,50,37,46,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,79,110,101,111,102,68,101,115,99,114,105,112,116,111,114,80,114,111,116,111,18,48,10,7,111,112,116,105,111,110,115,24,7,32,1,40,11,50,31,46,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,77,101,115,115,97,103,101,79,112,116,105,111,110,115,18,70,10,14,114,101,115,101,114,118,101,100,95,114,97,110,103,101,24,9,32,3,40,11,50,46,46,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,68,101,115,99,114,105,112,116,111,114,80,114,111,116,111,46,82,101,115,101,114,118,101,100,82,97,110,103,101,18,21,10,13,114,101,115,101,114],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+491524);allocate([118,101,100,95,110,97,109,101,24,10,32,3,40,9,26,101,10,14,69,120,116,101,110,115,105,111,110,82,97,110,103,101,18,13,10,5,115,116,97,114,116,24,1,32,1,40,5,18,11,10,3,101,110,100,24,2,32,1,40,5,18,55,10,7,111,112,116,105,111,110,115,24,3,32,1,40,11,50,38,46,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,69,120,116,101,110,115,105,111,110,82,97,110,103,101,79,112,116,105,111,110,115,26,43,10,13,82,101,115,101,114,118,101,100,82,97,110,103,101,18,13,10,5,115,116,97,114,116,24,1,32,1,40,5,18,11,10,3,101,110,100,24,2,32,1,40,5,34,103,10,21,69,120,116,101,110,115,105,111,110,82,97,110,103,101,79,112,116,105,111,110,115,18,67,10,20,117,110,105,110,116,101,114,112,114,101,116,101,100,95,111,112,116,105,111,110,24,231,7,32,3,40,11,50,36,46,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,85,110,105,110,116,101,114,112,114,101,116,101,100,79,112,116,105,111,110,42,9,8,232,7,16,128,128,128,128,2,34,188,5,10,20,70,105,101,108,100,68,101,115,99,114,105,112,116,111,114,80,114,111,116,111,18,12,10,4,110,97,109,101,24,1,32,1,40,9,18,14,10,6,110,117,109,98,101,114,24,3,32,1,40,5,18,58,10,5,108,97,98,101,108,24,4,32,1,40,14,50,43,46,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,70,105,101,108,100,68,101,115,99,114,105,112,116,111,114,80,114,111,116,111,46,76,97,98,101,108,18,56,10,4,116,121,112,101,24,5,32,1,40,14,50,42,46,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,70,105,101,108,100,68,101,115,99,114,105,112,116,111,114,80,114,111,116,111,46,84,121,112,101,18,17,10,9,116,121,112,101,95,110,97,109,101,24,6,32,1,40,9,18,16,10,8,101,120,116,101,110,100,101,101,24,2,32,1,40,9,18,21,10,13,100,101,102,97,117,108,116,95,118,97,108,117,101,24,7,32,1,40,9,18,19,10,11,111,110,101,111,102,95,105,110,100,101,120,24,9,32,1,40,5,18,17,10,9,106,115,111,110,95,110,97,109,101,24,10,32,1,40,9,18,46,10,7,111,112,116,105,111,110,115,24,8,32,1,40,11,50,29,46,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,70,105,101,108,100,79,112,116,105,111,110,115,34,182,2,10,4,84,121,112,101,18,15,10,11,84,89,80,69,95,68,79,85,66,76,69,16,1,18,14,10,10,84,89,80,69,95,70,76,79,65,84,16,2,18,14,10,10,84,89,80,69,95,73,78,84,54,52,16,3,18,15,10,11,84,89,80,69,95,85,73,78,84,54,52,16,4,18,14,10,10,84,89,80,69,95,73,78,84,51,50,16,5,18,16,10,12,84,89,80,69,95,70,73,88,69,68,54,52,16,6,18,16,10,12,84,89,80,69,95,70,73,88,69,68,51,50,16,7,18,13,10,9,84,89,80,69,95,66,79,79,76,16,8,18,15,10,11,84,89,80,69,95,83,84,82,73,78,71,16,9,18,14,10,10,84,89,80,69,95,71,82,79,85,80,16,10,18,16,10,12,84,89,80,69,95,77,69,83,83,65,71,69,16,11,18,14,10,10,84,89,80,69,95,66,89,84,69,83,16,12,18,15,10,11,84,89,80,69,95,85,73,78,84,51,50,16,13,18,13,10,9,84,89,80,69,95,69,78,85,77,16,14,18,17,10,13,84,89,80,69,95,83,70,73,88,69,68,51,50,16,15,18,17,10,13,84,89,80,69,95,83,70,73,88,69,68,54,52,16,16,18,15,10,11,84,89,80,69,95,83,73,78,84,51,50,16,17,18,15,10,11,84,89,80,69,95,83,73,78,84,54,52,16,18,34,67,10,5,76,97,98,101,108,18,18,10,14,76,65,66,69,76,95,79,80,84,73,79,78,65,76,16,1,18,18,10,14,76,65,66,69,76,95,82,69,81,85,73,82,69,68,16,2,18,18,10,14,76,65,66,69,76,95,82,69,80,69,65,84,69,68,16,3,34,84,10,20,79,110,101,111,102,68,101,115,99,114,105,112,116,111,114,80,114,111,116,111,18,12,10,4,110,97,109,101,24,1,32,1,40,9,18,46,10,7,111,112,116,105,111,110,115,24,2,32,1,40,11,50,29,46,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,79,110,101,111,102,79,112,116,105,111,110,115,34,164,2,10,19,69,110,117,109,68,101,115,99,114,105,112,116,111,114,80,114,111,116,111,18,12,10,4,110,97,109,101,24,1,32,1,40,9,18,56,10,5,118,97,108,117,101,24,2,32,3,40,11,50,41,46,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,69,110,117,109,86,97,108,117,101,68,101,115,99,114,105,112,116,111,114,80,114,111,116,111,18,45,10,7,111,112,116,105,111,110,115,24,3,32,1,40,11,50,28,46,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,69,110,117,109,79,112,116,105,111,110,115,18,78,10,14,114,101,115,101,114,118,101,100,95,114,97,110,103,101,24,4,32,3,40,11,50,54,46,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,69,110,117,109,68,101,115,99,114,105,112,116,111,114,80,114,111,116,111,46,69,110,117,109,82,101,115,101,114,118,101,100,82,97,110,103,101,18,21,10,13,114,101,115,101,114,118,101,100,95,110,97,109,101,24,5,32,3,40,9,26,47,10,17,69,110,117,109,82,101,115,101,114,118,101,100,82,97,110,103,101,18,13,10,5,115,116,97,114,116,24,1,32,1,40,5,18,11,10,3,101,110,100,24,2,32,1,40,5,34,108,10,24,69,110,117,109,86,97,108,117,101,68,101,115,99,114,105,112,116,111,114,80,114,111,116,111,18,12,10,4,110,97,109,101,24,1,32,1,40,9,18,14,10,6,110,117,109,98,101,114,24,2,32,1,40,5,18,50,10,7,111,112,116,105,111,110,115,24,3,32,1,40,11,50,33,46,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,69,110,117,109,86,97,108,117,101,79,112,116,105,111,110,115,34,144,1,10,22,83,101,114,118,105,99,101,68,101,115,99,114,105,112,116,111,114,80,114,111,116,111,18,12,10,4,110,97,109,101,24,1,32,1,40,9,18,54,10,6,109,101,116,104,111,100,24,2,32,3,40,11,50,38,46,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,77,101,116,104,111,100,68,101,115,99,114,105,112,116,111,114,80,114,111,116,111,18,48,10,7,111,112,116,105,111,110,115,24,3,32,1,40,11,50,31,46,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,83,101,114,118,105,99,101,79,112,116,105,111,110,115,34,193,1,10,21,77,101,116,104,111,100,68,101,115,99,114,105,112,116,111,114,80,114,111,116,111,18,12,10,4,110,97,109,101,24,1,32,1,40,9,18,18,10,10,105,110,112,117,116,95,116,121,112,101,24,2,32,1,40,9,18,19,10,11,111,117,116,112,117,116,95,116,121,112,101,24,3,32,1,40,9,18,47,10,7,111,112,116,105,111,110,115,24,4,32,1,40,11,50,30,46,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,77,101,116,104,111,100,79,112,116,105,111,110,115,18,31,10,16,99,108,105,101,110,116,95,115,116,114,101,97,109,105,110,103,24,5,32,1,40,8,58,5,102,97,108,115,101,18,31,10,16,115,101,114,118,101,114,95,115,116,114,101,97,109,105,110,103,24,6,32,1,40,8,58,5,102,97,108,115,101,34,240,5,10,11,70,105,108,101,79,112,116,105,111,110,115,18,20,10,12,106,97,118,97,95,112,97,99,107,97,103,101,24,1,32,1,40,9,18,28,10,20,106,97,118,97,95,111,117,116,101,114,95,99,108,97,115,115,110,97,109,101,24,8,32,1,40,9,18,34,10,19,106,97,118,97,95,109,117,108,116,105,112,108,101,95,102,105,108,101,115,24,10,32,1,40,8,58,5,102,97,108,115,101,18,41,10,29,106,97,118,97,95,103,101,110,101,114,97,116,101,95,101,113,117,97,108,115,95,97,110,100,95,104,97,115,104,24,20,32,1,40,8,66,2,24,1,18,37,10,22,106,97,118,97,95,115,116,114,105,110,103,95,99,104,101,99,107,95,117,116,102,56,24,27,32,1,40,8,58,5,102,97,108,115,101,18,70,10,12,111,112,116,105,109,105,122,101,95,102,111,114,24,9,32,1,40,14,50,41,46,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,70,105,108,101,79,112,116,105,111,110,115,46,79,112,116,105,109,105,122,101,77,111,100,101,58,5,83,80,69,69,68,18,18,10,10,103,111,95,112,97,99,107,97,103,101,24,11,32,1,40,9,18,34,10,19,99,99,95,103,101,110,101,114,105,99,95,115,101,114,118,105,99,101,115,24,16,32,1,40,8,58,5,102,97,108,115,101,18,36,10,21,106,97,118,97,95,103,101,110,101,114,105,99,95,115,101,114,118,105,99,101,115,24,17,32,1,40,8,58,5,102,97,108,115,101,18,34,10,19,112,121,95,103,101,110,101,114,105,99,95,115,101,114,118,105,99,101,115,24,18,32,1,40,8,58,5,102,97,108,115,101,18,35,10,20,112,104,112,95,103,101,110,101,114,105,99,95,115,101,114,118,105,99,101,115,24,42,32,1,40,8,58,5,102,97,108,115,101,18,25,10,10,100,101,112,114,101,99,97,116,101,100,24,23,32,1,40,8,58,5,102,97,108,115,101,18,31,10,16,99,99,95,101,110,97,98,108,101,95,97,114,101,110,97,115,24,31,32,1,40,8,58,5,102,97,108,115,101,18,25,10,17,111,98,106,99,95,99,108,97,115,115,95,112,114,101,102,105,120,24,36,32,1,40,9,18,24,10,16,99,115,104,97,114,112,95,110,97,109,101,115,112,97,99,101,24,37,32,1,40,9,18,20,10,12,115,119,105,102,116,95,112,114,101,102,105,120,24,39,32,1,40,9,18,24,10,16,112,104,112,95,99,108,97,115,115,95,112,114,101,102,105,120,24,40,32,1,40,9,18,21,10,13,112,104,112,95,110,97,109,101,115,112,97,99,101,24,41,32,1,40,9,18,67,10,20,117,110,105,110,116,101,114,112,114,101,116,101,100,95,111,112,116,105,111,110,24,231,7,32,3,40,11,50,36,46,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,85,110,105,110,116,101,114,112,114,101,116,101,100,79,112,116,105,111,110,34,58,10,12,79,112,116,105,109,105,122,101,77,111,100,101,18,9,10,5,83,80,69,69,68,16,1,18,13,10,9,67,79,68,69,95,83,73,90,69,16,2,18,16,10,12,76,73,84,69,95,82,85,78,84,73,77,69,16,3,42,9,8,232,7,16,128,128,128,128,2,74,4,8,38,16,39,34,242,1,10,14,77,101,115,115,97,103,101,79,112,116,105,111,110,115,18,38,10,23,109,101,115,115,97,103,101,95,115,101,116,95,119,105,114,101,95,102,111,114,109,97,116,24,1,32,1,40,8,58,5,102,97,108,115,101,18,46,10,31,110,111,95,115,116,97,110,100,97,114,100,95,100,101,115,99,114,105,112,116,111,114,95,97,99,99,101,115,115,111,114,24,2,32,1,40,8,58,5,102,97,108,115,101,18,25,10,10,100,101,112,114,101,99,97,116,101,100,24,3,32,1,40,8,58,5,102,97,108,115,101,18,17,10,9,109,97,112,95,101,110,116,114,121,24,7,32,1,40,8,18,67,10,20,117,110,105,110,116,101,114,112,114,101,116,101,100,95,111,112,116,105,111,110,24,231,7,32,3,40,11,50,36,46,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,85,110,105,110,116,101,114,112,114,101,116,101,100,79,112,116,105,111,110,42,9,8,232,7,16,128,128,128,128,2,74,4,8,8,16,9,74,4,8,9,16,10,34,158,3,10,12,70,105,101,108,100,79,112,116,105,111,110,115,18,58,10,5,99,116,121,112,101,24,1,32,1,40,14,50,35,46,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,70,105,101,108,100,79,112,116,105,111,110,115,46,67,84,121,112,101,58,6,83,84,82,73,78,71,18,14,10,6,112,97,99,107,101,100,24,2,32,1,40,8,18,63,10,6,106,115,116,121,112,101,24,6,32,1,40,14,50,36,46,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,70,105,101,108,100,79,112,116,105,111,110,115,46,74,83,84,121,112,101,58,9,74,83,95,78,79,82,77,65,76,18,19,10,4,108,97,122,121,24,5,32,1,40,8,58,5,102,97,108,115,101,18,25,10,10,100,101,112,114,101,99,97,116,101,100,24,3,32,1,40,8,58,5,102,97,108,115,101,18,19,10,4,119,101,97,107,24,10,32,1,40,8,58,5,102,97,108,115,101,18,67,10,20,117,110,105,110,116,101,114,112,114,101,116,101,100,95,111,112,116,105,111,110,24,231,7,32,3,40,11,50,36,46,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,85,110,105,110,116,101,114,112,114,101,116,101,100,79,112,116,105,111,110,34,47,10,5,67,84,121,112,101,18,10,10,6,83,84,82,73,78,71,16,0,18,8,10,4,67,79,82,68,16,1,18,16,10,12,83,84,82,73,78,71,95,80,73,69,67,69,16,2,34,53,10,6,74,83,84,121,112,101,18,13,10,9,74,83,95,78,79,82,77,65,76,16,0,18,13,10,9,74,83,95,83,84,82,73,78,71,16,1,18,13,10,9,74,83,95,78,85,77,66,69,82,16,2,42,9,8,232,7,16,128,128,128,128,2,74,4,8,4,16,5,34,94,10,12,79,110,101,111,102,79,112,116,105,111,110,115,18,67,10,20,117,110,105,110,116,101,114,112,114,101,116,101,100,95,111,112,116,105,111,110,24,231,7,32,3,40,11,50,36,46,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,85,110,105,110,116,101,114,112,114,101,116,101,100,79,112,116,105,111,110,42,9,8,232,7,16,128,128,128,128,2,34,147,1,10,11,69,110,117,109,79,112,116,105,111,110,115,18,19,10,11,97,108,108,111,119,95,97,108,105,97,115,24,2,32,1,40,8,18,25,10,10,100,101,112,114,101,99,97,116,101,100,24,3,32,1,40,8,58,5,102,97,108,115,101,18,67,10,20,117,110,105,110,116,101,114,112,114,101,116,101,100,95,111,112,116,105,111,110,24,231,7,32,3,40,11,50,36,46,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,85,110,105,110,116,101,114,112,114,101,116,101,100,79,112,116,105,111,110,42,9,8,232,7,16,128,128,128,128,2,74,4,8,5,16,6,34,125,10,16,69,110,117,109,86,97,108,117,101,79,112,116,105,111,110,115,18,25,10,10,100,101,112,114,101,99,97,116,101,100,24,1,32,1,40,8,58,5,102,97,108,115,101,18,67,10,20,117,110,105,110,116,101,114,112,114,101,116,101,100,95,111,112,116,105,111,110,24,231,7,32,3,40,11,50,36,46,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,85,110,105,110,116,101,114,112,114,101,116,101,100,79,112,116,105,111,110,42,9,8,232,7,16,128,128,128,128,2,34,123,10,14,83,101,114,118,105,99,101,79,112,116,105,111,110,115,18,25,10,10,100,101,112,114,101,99,97,116,101,100,24,33,32,1,40,8,58,5,102,97,108,115,101,18,67,10,20,117,110,105,110,116,101,114,112,114,101,116,101,100,95,111,112,116,105,111,110,24,231,7,32,3,40,11,50,36,46,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,85,110,105,110,116,101,114,112,114,101,116,101,100,79,112,116,105,111,110,42,9,8,232,7,16,128,128,128,128,2,34,173,2,10,13,77,101,116,104,111,100,79,112,116,105,111,110,115,18,25,10,10,100,101,112,114,101,99,97,116,101,100,24,33,32,1,40,8,58,5,102,97,108,115,101,18,95,10,17,105,100,101,109,112,111,116,101,110,99,121,95,108,101,118,101,108,24,34,32,1,40,14,50,47,46,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,77,101,116,104,111,100,79,112,116,105,111,110,115,46,73,100,101,109,112,111,116,101,110,99,121,76,101,118,101,108,58,19,73,68,69,77,80,79,84,69,78,67,89,95,85,78,75,78,79,87,78,18,67,10,20,117,110,105,110,116,101,114,112,114,101,116,101,100,95,111,112,116,105,111,110,24,231,7,32,3,40,11,50,36,46,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,85,110,105,110,116,101,114,112,114,101,116,101,100,79,112,116,105,111,110,34,80,10,16,73,100,101,109,112,111,116,101,110,99,121,76,101,118,101,108,18,23,10,19,73,68,69,77,80,79,84,69,78,67,89,95,85,78,75,78,79,87,78,16,0,18,19,10,15,78,79,95,83,73,68,69,95,69,70,70,69,67,84,83,16,1,18,14,10,10,73,68,69,77,80,79,84,69,78,84,16,2,42,9,8,232,7,16,128,128,128,128,2,34,158,2,10,19,85,110,105,110,116,101,114,112,114,101,116,101,100,79,112,116,105,111,110,18,59,10,4,110,97,109,101,24,2,32,3,40,11,50,45,46,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,85,110,105,110,116,101,114,112,114,101,116,101,100,79,112,116,105,111,110,46,78,97,109,101,80,97,114,116,18,24,10,16,105,100,101,110,116,105,102,105,101,114,95,118,97,108,117,101,24,3,32,1,40,9,18,26,10,18,112,111,115,105,116,105,118,101,95,105,110,116,95,118,97,108,117,101,24,4,32,1,40,4,18,26,10,18,110,101,103,97,116,105,118,101,95,105,110,116,95,118,97,108,117,101,24,5,32,1,40,3,18,20,10,12,100,111,117,98,108,101,95,118,97,108,117,101,24,6,32,1,40,1,18,20,10,12,115,116,114,105,110,103,95,118,97,108,117,101,24,7,32,1,40,12,18,23,10,15,97,103,103,114,101,103,97,116,101,95,118,97,108,117,101,24,8,32,1,40,9,26,51,10,8,78,97,109,101,80,97,114,116,18,17,10,9,110,97,109,101,95,112,97,114,116,24,1,32,2,40,9,18,20,10,12,105,115,95,101,120,116,101,110,115,105,111,110,24,2,32,2,40,8,34,213,1,10,14,83,111,117,114,99,101,67,111,100,101,73,110,102,111,18,58,10,8,108,111,99,97,116,105,111,110,24,1,32,3,40,11,50,40,46,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,83,111,117,114,99,101,67,111,100,101,73,110,102,111,46,76,111,99,97,116,105,111,110,26,134,1,10,8,76,111,99,97,116,105,111,110,18,16,10,4,112,97,116,104,24,1,32,3,40,5,66,2,16,1,18,16,10,4,115,112,97,110,24,2,32,3,40,5,66,2,16,1,18,24,10,16,108,101,97,100,105,110,103,95,99,111,109,109,101,110,116,115,24,3,32,1,40,9,18,25,10,17,116,114,97,105,108,105,110,103,95,99,111,109,109,101,110,116,115,24,4,32,1,40,9,18,33,10,25,108,101,97,100,105,110,103,95,100,101,116,97,99,104,101,100,95,99,111,109,109,101,110,116,115,24,6,32,3,40,9,34,167,1,10,17,71,101,110,101,114,97,116,101,100,67,111,100,101,73,110,102,111,18,65,10,10,97,110,110,111,116,97,116,105,111,110,24,1,32,3,40,11,50,45,46,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,71,101,110,101,114,97,116,101,100,67,111,100,101,73,110,102,111,46,65,110,110,111,116,97,116,105,111,110,26,79,10,10,65,110,110,111,116,97,116,105,111,110,18,16,10,4,112,97,116,104,24,1,32,3,40,5,66,2,16,1,18,19,10,11,115,111,117,114,99,101,95,102,105,108,101,24,2,32,1,40,9,18,13,10,5,98,101,103,105,110,24,3,32,1,40,5,18,11,10,3,101,110,100,24,4,32,1,40,5,66,143,1,10,19,99,111,109,46,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,66,16,68,101,115,99,114,105,112,116,111,114,80,114,111,116,111,115,72,1,90,62,103,105,116,104,117,98,46,99,111,109,47,103,111,108,97,110,103,47,112,114,111,116,111,98,117,102,47,112,114,111,116,111,99,45,103,101,110,45,103,111,47,100,101,115,99,114,105,112,116,111,114,59,100,101,115,99,114,105,112,116,111,114,248,1,1,162,2,3,71,80,66,170,2,26,71,111,111,103,108,101,46,80,114,111,116,111,98,117,102,46,82,101,102,108,101,99,116,105,111,110,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,51,114,100,112,97,114,116,121,47,112,114,111,116,111,98,117,102,47,115,114,99,47,103,111,111,103,108,101,47,112,114,111,116,111,98,117,102,47,100,101,115,99,114,105,112,116,111,114,46,112,98,46,99,99,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,50,56,71,101,110,101,114,97,116,101,100,67,111,100,101,73,110,102,111,95,65,110,110,111,116,97,116,105,111,110,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,49,55,71,101,110,101,114,97,116,101,100,67,111,100,101,73,110,102,111,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,50,51,83,111,117,114,99,101,67,111,100,101,73,110,102,111,95,76,111,99,97,116,105,111,110,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,49,52,83,111,117,114,99,101,67,111,100,101,73,110,102,111,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,50,56,85,110,105,110,116,101,114,112,114,101,116,101,100,79,112,116,105,111,110,95,78,97,109,101,80,97,114,116,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,49,57,85,110,105,110,116,101,114,112,114,101,116,101,100,79,112,116,105,111,110,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,49,51,77,101,116,104,111,100,79,112,116,105,111,110,115,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,49,52,83,101,114,118,105,99,101,79,112,116,105,111,110,115,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,49,54,69,110,117,109,86,97,108,117,101,79,112,116,105,111,110,115,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,49,49,69,110,117,109,79,112,116,105,111,110,115,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,49,50,79,110,101,111,102,79,112,116,105,111,110,115,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,49,50,70,105,101,108,100,79,112,116,105,111,110,115,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,49,52,77,101,115,115,97,103,101,79,112,116,105,111,110,115,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,49,49,70,105,108,101,79,112,116,105,111,110,115,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,50,49,77,101,116,104,111,100,68,101,115,99,114,105,112,116,111,114,80,114,111,116,111,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,50,50,83,101,114,118,105,99,101,68,101,115,99,114,105,112,116,111,114,80,114,111,116,111,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,50,52,69,110,117,109,86,97,108,117,101,68,101,115,99,114,105,112,116,111,114,80,114,111,116,111,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,51,55,69,110,117,109,68,101,115,99,114,105,112,116,111,114,80,114,111,116,111,95,69,110,117,109,82,101,115,101,114,118,101,100,82,97,110,103,101,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,49,57,69,110,117,109,68,101,115,99,114,105,112,116,111,114,80,114,111,116,111,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,50,48,79,110,101,111,102,68,101,115,99,114,105,112,116,111,114,80,114,111,116,111,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,50,48,70,105,101,108,100,68,101,115,99,114,105,112,116,111,114,80,114,111,116,111,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,50,49,69,120,116,101,110,115,105,111,110,82,97,110,103,101,79,112,116,105,111,110,115,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,50,57,68,101,115,99,114,105,112,116,111,114,80,114,111,116,111,95,82,101,115,101,114,118,101,100,82,97,110,103,101,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,51,48,68,101,115,99,114,105,112,116,111,114,80,114,111,116,111,95,69,120,116,101,110,115,105,111,110,82,97,110,103,101,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,49,53,68,101,115,99,114,105,112,116,111,114,80,114,111,116,111,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,49,57,70,105,108,101,68,101,115,99,114,105,112,116,111,114,80,114,111,116,111,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,49,55,70,105,108,101,68,101,115,99,114,105,112,116,111,114,83,101,116,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,49,56,68,101,115,99,114,105,112,116,111,114,68,97,116,97,98,97,115,101,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,50,53,69,110,99,111,100,101,100,68,101,115,99,114,105,112,116,111,114,68,97,116,97,98,97,115,101,69,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,51,114,100,112,97,114,116,121,47,112,114,111,116,111,98,117,102,47,115,114,99,47,103,111,111,103,108,101,47,112,114,111,116,111,98,117,102,47,100,101,115,99,114,105,112,116,111,114,95,100,97,116,97,98,97,115,101,46,99,99,0,70,105,108,101,32,97,108,114,101,97,100,121,32,101,120,105,115,116,115,32,105,110,32,100,97,116,97,98,97,115,101,58,32,0,69,120,116,101,110,115,105,111,110,32,99,111,110,102,108,105,99,116,115,32,119,105,116,104,32,101,120,116,101,110,115,105,111,110,32,97,108,114,101,97,100,121,32,105,110,32,100,97,116,97,98,97,115,101,58,32,101,120,116,101,110,100,32,0,32,61,32,0,32,125,0,73,110,118,97,108,105,100,32,115,121,109,98,111,108,32,110,97,109,101,58,32,0,83,121,109,98,111,108,32,110,97,109,101,32,34,0,34,32,99,111,110,102,108,105,99,116,115,32,119,105,116,104,32,116,104,101,32,101,120,105,115,116,105,110,103,32,115,121,109,98,111,108,32,34,0,73,110,118,97,108,105,100,32,102,105,108,101,32,100,101,115,99,114,105,112,116,111,114,32,100,97,116,97,32,112,97,115,115,101,100,32,116,111,32,69,110,99,111,100,101,100,68,101,115,99,114,105,112,116,111,114,68,97,116,97,98,97,115,101,58,58,65,100,100,40,41,46,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,51,114,100,112,97,114,116,121,47,112,114,111,116,111,98,117,102,47,115,114,99,47,103,111,111,103,108,101,47,112,114,111,116,111,98,117,102,47,100,121,110,97,109,105,99,95,109,101,115,115,97,103,101,46,99,99,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,105,115,95,112,114,111,116,111,116,121,112,101,40,41,58,32,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,49,52,68,121,110,97,109,105,99,77,101,115,115,97,103,101,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,50,49,68,121,110,97,109,105,99,77,101,115,115,97,103,101,70,97,99,116,111,114,121,69,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,51,114,100,112,97,114,116,121,47,112,114,111,116,111,98,117,102,47,115,114,99,47,103,111,111,103,108,101,47,112,114,111,116,111,98,117,102,47,101,120,116,101,110,115,105,111,110,95,115,101,116,95,104,101,97,118,121,46,99,99,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,111,117,116,112,117,116,45,62,109,101,115,115,97,103,101,95,112,114,111,116,111,116,121,112,101,32,33,61,32,78,85,76,76,58,32,0,69,120,116,101,110,115,105,111,110,32,102,97,99,116,111,114,121,39,115,32,71,101,116,80,114,111,116,111,116,121,112,101,40,41,32,114,101,116,117,114,110,101,100,32,78,85,76,76,32,102,111,114,32,101,120,116,101,110,115,105,111,110,58,32,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,56,105,110,116,101,114,110,97,108,50,57,68,101,115,99,114,105,112,116,111,114,80,111,111,108,69,120,116,101,110,115,105,111,110,70,105,110,100,101,114,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,49,54,82,101,112,101,97,116,101,100,80,116,114,70,105,101,108,100,73,78,83,48,95,49,49,77,101,115,115,97,103,101,76,105,116,101,69,69,69,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,112,114,111,116,111,116,121,112,101,32,33,61,32,78,85,76,76,58,32,0,34,71,101,116,77,97,112,68,97,116,97,34,0,70,105,101,108,100,32,105,115,32,110,111,116,32,97,32,109,97,112,32,102,105,101,108,100,46,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,51,114,100,112,97,114,116,121,47,112,114,111,116,111,98,117,102,47,115,114,99,47,103,111,111,103,108,101,47,112,114,111,116,111,98,117,102,47,103,101,110,101,114,97,116,101,100,95,109,101,115,115,97,103,101,95,114,101,102,108,101,99,116,105,111,110,46,99,99,0,80,114,111,116,111,99,111,108,32,66,117,102,102,101,114,32,114,101,102,108,101,99,116,105,111,110,32,117,115,97,103,101,32,101,114,114,111,114,58,10,32,32,77,101,116,104,111,100,32,32,32,32,32,32,58,32,103,111,111,103,108,101,58,58,112,114,111,116,111,98,117,102,58,58,82,101,102,108,101,99,116,105,111,110,58,58,0,10,32,32,77,101,115,115,97,103,101,32,116,121,112,101,58,32,0,10,32,32,70,105,101,108,100,32,32,32,32,32,32,32,58,32,0,10,32,32,80,114,111,98,108,101,109,32,32,32,32,32,58,32,0,34,77,97,112,83,105,122,101,34,0,34,77,97,112,69,110,100,34,0,34,77,97,112,66,101,103,105,110,34,0,34,68,101,108,101,116,101,77,97,112,86,97,108,117,101,34,0,34,73,110,115,101,114,116,79,114,76,111,111,107,117,112,77,97,112,86,97,108,117,101,34,0,34,76,111,111,107,117,112,77,97,112,86,97,108,117,101,34,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,102,105,101,108,100,45,62,99,112,112,95,116,121,112,101,40,41,32,61,61,32,99,112,112,95,116,121,112,101,32,124,124,32,40,102,105,101,108,100,45,62,99,112,112,95,116,121,112,101,40,41,32,61,61,32,70,105,101,108,100,68,101,115,99,114,105,112,116,111,114,58,58,67,80,80,84,89,80,69,95,69,78,85,77,32,38,38,32,99,112,112,95,116,121,112,101,32,61,61,32,70,105,101,108,100,68,101,115,99,114,105,112,116,111,114,58,58,67,80,80,84,89,80,69,95,73,78,84,51,50,41,58,32,0,84,104,101,32,116,121,112,101,32,112,97,114,97,109,101,116,101,114,32,84,32,105,110,32,82,101,112,101,97,116,101,100,70,105,101,108,100,82,101,102,60,84,62,32,65,80,73,32,100,111,101,115,110,39,116,32,109,97,116,99,104,32,0,116,104,101,32,97,99,116,117,97,108,32,102,105,101,108,100,32,116,121,112,101,32,40,102,111,114,32,101,110,117,109,115,32,84,32,115,104,111,117,108,100,32,98,101,32,116,104,101,32,103,101,110,101,114,97,116,101,100,32,101,110,117,109,32,0,116,121,112,101,32,111,114,32,105,110,116,51,50,41,46,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,40,109,101,115,115,97,103,101,95,116,121,112,101,41,32,61,61,32,40,102,105,101,108,100,45,62,109,101,115,115,97,103,101,95,116,121,112,101,40,41,41,58,32,0,34,71,101,116,82,97,119,82,101,112,101,97,116,101,100,70,105,101,108,100,34,0,70,105,101,108,100,32,105,115,32,115,105,110,103,117,108,97,114,59,32,116,104,101,32,109,101,116,104,111,100,32,114,101,113,117,105,114,101,115,32,97,32,114,101,112,101,97,116,101,100,32,102,105,101,108,100,46,0,71,101,116,82,97,119,82,101,112,101,97,116,101,100,70,105,101,108,100,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,40,102,105,101,108,100,45,62,111,112,116,105,111,110,115,40,41,46,99,116,121,112,101,40,41,41,32,61,61,32,40,99,116,121,112,101,41,58,32,0,115,117,98,116,121,112,101,32,109,105,115,109,97,116,99,104,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,40,102,105,101,108,100,45,62,109,101,115,115,97,103,101,95,116,121,112,101,40,41,41,32,61,61,32,40,100,101,115,99,41,58,32,0,119,114,111,110,103,32,115,117,98,109,101,115,115,97,103,101,32,116,121,112,101,0,10,32,32,80,114,111,98,108,101,109,32,32,32,32,32,58,32,70,105,101,108,100,32,105,115,32,110,111,116,32,116,104,101,32,114,105,103,104,116,32,116,121,112,101,32,102,111,114,32,116,104,105,115,32,109,101,115,115,97,103,101,58,10,32,32,32,32,69,120,112,101,99,116,101,100,32,32,58,32,0,10,32,32,32,32,70,105,101,108,100,32,116,121,112,101,58,32,0,73,78,86,65,76,73,68,95,67,80,80,84,89,80,69,0,67,80,80,84,89,80,69,95,73,78,84,51,50,0,67,80,80,84,89,80,69,95,73,78,84,54,52,0,67,80,80,84,89,80,69,95,85,73,78,84,51,50,0,67,80,80,84,89,80,69,95,85,73,78,84,54,52,0,67,80,80,84,89,80,69,95,68,79,85,66,76,69,0,67,80,80,84,89,80,69,95,70,76,79,65,84,0,67,80,80,84,89,80,69,95,66,79,79,76,0,67,80,80,84,89,80,69,95,69,78,85,77,0,67,80,80,84,89,80,69,95,83,84,82,73,78,71,0,67,80,80,84,89,80,69,95,77,69,83,83,65,71,69,0,34,77,117,116,97,98,108,101,82,97,119,82,101,112,101,97,116,101,100,70,105,101,108,100,34,0,77,117,116,97,98,108,101,82,97,119,82,101,112,101,97,116,101,100,70,105,101,108,100,0,65,100,100,65,108,108,111,99,97,116,101,100,77,101,115,115,97,103,101,0,70,105,101,108,100,32,100,111,101,115,32,110,111,116,32,109,97,116,99,104,32,109,101,115,115,97,103,101,32,116,121,112,101,46,0,65,100,100,77,101,115,115,97,103,101,0,65,100,100,69,110,117,109,0,65,100,100,69,110,117,109,86,97,108,117,101,32,97,99,99,101,112,116,115,32,111,110,108,121,32,118,97,108,105,100,32,105,110,116,101,103,101,114,32,118,97,108,117,101,115,58,32,118,97,108,117,101,32,0,32,117,110,101,120,112,101,99,116,101,100,32,102,111,114,32,102,105,101,108,100,32,0,10,32,32,80,114,111,98,108,101,109,32,32,32,32,32,58,32,69,110,117,109,32,118,97,108,117,101,32,100,105,100,32,110,111,116,32,109,97,116,99,104,32,102,105,101,108,100,32,116,121,112,101,58,10,32,32,32,32,69,120,112,101,99,116,101,100,32,32,58,32,0,10,32,32,32,32,65,99,116,117,97,108,32,32,32,32,58,32,0,65,100,100,83,116,114,105,110,103,0,65,100,100,66,111,111,108,0,65,100,100,68,111,117,98,108,101,0,65,100,100,70,108,111,97,116,0,65,100,100,85,73,110,116,54,52,0,65,100,100,85,73,110,116,51,50,0,65,100,100,73,110,116,54,52,0,65,100,100,73,110,116,51,50,0,77,117,116,97,98,108,101,82,101,112,101,97,116,101,100,77,101,115,115,97,103,101,0,83,101,116,82,101,112,101,97,116,101,100,69,110,117,109,0,83,101,116,82,101,112,101,97,116,101,100,69,110,117,109,86,97,108,117,101,32,97,99,99,101,112,116,115,32,111,110,108,121,32,118,97,108,105,100,32,105,110,116,101,103,101,114,32,118,97,108,117,101,115,58,32,0,118,97,108,117,101,32,0,83,101,116,82,101,112,101,97,116,101,100,83,116,114,105,110,103,0,83,101,116,82,101,112,101,97,116,101,100,66,111,111,108,0,83,101,116,82,101,112,101,97,116,101,100,68,111,117,98,108,101,0,83,101,116,82,101,112,101,97,116,101,100,70,108,111,97,116,0,83,101,116,82,101,112,101,97,116,101,100,85,73,110,116,54,52,0,83,101,116,82,101,112,101,97,116,101,100,85,73,110,116,51,50,0,83,101,116,82,101,112,101,97,116,101,100,73,110,116,54,52,0,83,101,116,82,101,112,101,97,116,101,100,73,110,116,51,50,0,71,101,116,82,101,112,101,97,116,101,100,83,116,114,105,110,103,82,101,102,101,114,101,110,99,101,0,71,101,116,82,101,112,101,97,116,101,100,77,101,115,115,97,103,101,0,71,101,116,82,101,112,101,97,116,101,100,69,110,117,109,86,97,108,117,101,0,71,101,116,82,101,112,101,97,116,101,100,83,116,114,105,110,103,0,71,101,116,82,101,112,101,97,116,101,100,66,111,111,108,0,71,101,116,82,101,112,101,97,116,101,100,68,111,117,98,108,101,0,71,101,116,82,101,112,101,97,116,101,100,70,108,111,97,116,0,71,101,116,82,101,112,101,97,116,101,100,85,73,110,116,54,52,0,71,101,116,82,101,112,101,97,116,101,100,85,73,110,116,51,50,0,71,101,116,82,101,112,101,97,116,101,100,73,110,116,54,52,0,71,101,116,82,101,112,101,97,116,101,100,73,110,116,51,50,0,82,101,108,101,97,115,101,77,101,115,115,97,103,101,0,70,105,101,108,100,32,105,115,32,114,101,112,101,97,116,101,100,59,32,116,104,101,32,109,101,116,104,111,100,32,114,101,113,117,105,114,101,115,32,97,32,115,105,110,103,117,108,97,114,32,102,105,101,108,100,46,0,83,101,116,65,108,108,111,99,97,116,101,100,77,101,115,115,97,103,101,0,77,117,116,97,98,108,101,77,101,115,115,97,103,101,0,83,101,116,69,110,117,109,86,97,108,117,101,0,83,101,116,69,110,117,109,86,97,108,117,101,32,97,99,99,101,112,116,115,32,111,110,108,121,32,118,97,108,105,100,32,105,110,116,101,103,101,114,32,118,97,108,117,101,115,58,32,118,97,108,117,101,32,0,83,101,116,69,110,117,109,0,83,101,116,83,116,114,105,110,103,0,83,101,116,66,111,111,108,0,83,101,116,68,111,117,98,108,101,0,83,101,116,70,108,111,97,116,0,83,101,116,85,73,110,116,54,52,0,83,101,116,85,73,110,116,51,50,0,83,101,116,73,110,116,54,52,0,83,101,116,73,110,116,51,50,0,71,101,116,83,116,114,105,110,103,82,101,102,101,114,101,110,99,101,0,71,101,116,77,101,115,115,97,103,101,0,71,101,116,69,110,117,109,86,97,108,117,101,0,71,101,116,83,116,114,105,110,103,0,71,101,116,66,111,111,108,0,71,101,116,68,111,117,98,108,101,0,71,101,116,70,108,111,97,116,0,71,101,116,85,73,110,116,54,52,0,71,101,116,85,73,110,116,51,50,0,71,101,116,73,110,116,54,52,0,71,101,116,73,110,116,51,50,0,82,101,97,99,104,101,100,32,105,109,112,111,115,115,105,98,108,101,32,99,97,115,101,32,105,110,32,72,97,115,66,105,116,40,41,46,0,83,119,97,112,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,40,109,101,115,115,97,103,101,49,45,62,71,101,116,82,101,102,108,101,99,116,105,111,110,40,41,41,32,61,61,32,40,116,104,105,115,41,58,32,0,70,105,114,115,116,32,97,114,103,117,109,101,110,116,32,116,111,32,83,119,97,112,70,105,101,108,100,115,40,41,32,40,111,102,32,116,121,112,101,32,34,0,34,41,32,105,115,32,110,111,116,32,99,111,109,112,97,116,105,98,108,101,32,119,105,116,104,32,116,104,105,115,32,114,101,102,108,101,99,116,105,111,110,32,111,98,106,101,99,116,32,40,119,104,105,99,104,32,105,115,32,102,111,114,32,116,121,112,101,32,34,0,34,41,46,32,32,78,111,116,101,32,116,104,97,116,32,116,104,101,32,101,120,97,99,116,32,115,97,109,101,32,99,108,97,115,115,32,105,115,32,114,101,113,117,105,114,101,100,59,32,110,111,116,32,106,117,115,116,32,116,104,101,32,115,97,109,101,32,100,101,115,99,114,105,112,116,111,114,46,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,40,109,101,115,115,97,103,101,50,45,62,71,101,116,82,101,102,108,101,99,116,105,111,110,40,41,41,32,61,61,32,40,116,104,105,115,41,58,32,0,83,101,99,111,110,100,32,97,114,103,117,109,101,110,116,32,116,111,32,83,119,97,112,70,105,101,108,100,115,40,41,32,40,111,102,32,116,121,112,101,32,34,0,85,110,105,109,112,108,101,109,101,110,116,101,100,32,116,121,112,101,58,32,0,70,105,114,115,116,32,97,114,103,117,109,101,110,116,32,116,111,32,83,119,97,112,40,41,32,40,111,102,32,116,121,112,101,32,34,0,83,101,99,111,110,100,32,97,114,103,117,109,101,110,116,32,116,111,32,83,119,97,112,40,41,32,40,111,102,32,116,121,112,101,32,34,0,82,101,108,101,97,115,101,76,97,115,116,0,82,101,109,111,118,101,76,97,115,116,0,67,108,101,97,114,70,105,101,108,100,0,70,105,101,108,100,83,105,122,101,0,72,97,115,70,105,101,108,100,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,56,105,110,116,101,114,110,97,108,50,54,71,101,110,101,114,97,116,101,100,77,101,115,115,97,103,101,82,101,102,108,101,99,116,105,111,110,69,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,102,105,108,101,32,33,61,32,78,85,76,76,58,32,0,37,46,49,102,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,51,114,100,112,97,114,116,121,47,112,114,111,116,111,98,117,102,47,115,114,99,47,103,111,111,103,108,101,47,112,114,111,116,111,98,117,102,47,105,111,47,115,116,114,116,111,100,46,99,99,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,40,116,101,109,112,91,48,93,41,32,61,61,32,40,39,49,39,41,58,32,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,40,116,101,109,112,91,115,105,122,101,45,49,93,41,32,61,61],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+501764);allocate([32,40,39,53,39,41,58,32,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,40,115,105,122,101,41,32,60,61,32,40,54,41,58,32,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,50,105,111,49,52,69,114,114,111,114,67,111,108,108,101,99,116,111,114,69,0,85,110,101,120,112,101,99,116,101,100,32,101,110,100,32,111,102,32,115,116,114,105,110,103,46,0,83,116,114,105,110,103,32,108,105,116,101,114,97,108,115,32,99,97,110,110,111,116,32,99,114,111,115,115,32,108,105,110,101,32,98,111,117,110,100,97,114,105,101,115,46,0,69,120,112,101,99,116,101,100,32,104,101,120,32,100,105,103,105,116,115,32,102,111,114,32,101,115,99,97,112,101,32,115,101,113,117,101,110,99,101,46,0,69,120,112,101,99,116,101,100,32,102,111,117,114,32,104,101,120,32,100,105,103,105,116,115,32,102,111,114,32,92,117,32,101,115,99,97,112,101,32,115,101,113,117,101,110,99,101,46,0,69,120,112,101,99,116,101,100,32,101,105,103,104,116,32,104,101,120,32,100,105,103,105,116,115,32,117,112,32,116,111,32,49,48,102,102,102,102,32,102,111,114,32,92,85,32,101,115,99,97,112,101,32,115,101,113,117,101,110,99,101,0,73,110,118,97,108,105,100,32,101,115,99,97,112,101,32,115,101,113,117,101,110,99,101,32,105,110,32,115,116,114,105,110,103,32,108,105,116,101,114,97,108,46,0,34,48,120,34,32,109,117,115,116,32,98,101,32,102,111,108,108,111,119,101,100,32,98,121,32,104,101,120,32,100,105,103,105,116,115,46,0,78,117,109,98,101,114,115,32,115,116,97,114,116,105,110,103,32,119,105,116,104,32,108,101,97,100,105,110,103,32,122,101,114,111,32,109,117,115,116,32,98,101,32,105,110,32,111,99,116,97,108,46,0,34,101,34,32,109,117,115,116,32,98,101,32,102,111,108,108,111,119,101,100,32,98,121,32,101,120,112,111,110,101,110,116,46,0,78,101,101,100,32,115,112,97,99,101,32,98,101,116,119,101,101,110,32,110,117,109,98,101,114,32,97,110,100,32,105,100,101,110,116,105,102,105,101,114,46,0,65,108,114,101,97,100,121,32,115,97,119,32,100,101,99,105,109,97,108,32,112,111,105,110,116,32,111,114,32,101,120,112,111,110,101,110,116,59,32,99,97,110,39,116,32,104,97,118,101,32,97,110,111,116,104,101,114,32,111,110,101,46,0,72,101,120,32,97,110,100,32,111,99,116,97,108,32,110,117,109,98,101,114,115,32,109,117,115,116,32,98,101,32,105,110,116,101,103,101,114,115,46,0,34,47,42,34,32,105,110,115,105,100,101,32,98,108,111,99,107,32,99,111,109,109,101,110,116,46,32,32,66,108,111,99,107,32,99,111,109,109,101,110,116,115,32,99,97,110,110,111,116,32,98,101,32,110,101,115,116,101,100,46,0,69,110,100,45,111,102,45,102,105,108,101,32,105,110,115,105,100,101,32,98,108,111,99,107,32,99,111,109,109,101,110,116,46,0,32,32,67,111,109,109,101,110,116,32,115,116,97,114,116,101,100,32,104,101,114,101,46,0,73,110,118,97,108,105,100,32,99,111,110,116,114,111,108,32,99,104,97,114,97,99,116,101,114,115,32,101,110,99,111,117,110,116,101,114,101,100,32,105,110,32,116,101,120,116,46,0,78,101,101,100,32,115,112,97,99,101,32,98,101,116,119,101,101,110,32,105,100,101,110,116,105,102,105,101,114,32,97,110,100,32,100,101,99,105,109,97,108,32,112,111,105,110,116,46,0,73,110,116,101,114,112,114,101,116,105,110,103,32,110,111,110,32,97,115,99,105,105,32,99,111,100,101,112,111,105,110,116,32,37,100,46,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,51,114,100,112,97,114,116,121,47,112,114,111,116,111,98,117,102,47,115,114,99,47,103,111,111,103,108,101,47,112,114,111,116,111,98,117,102,47,105,111,47,116,111,107,101,110,105,122,101,114,46,99,99,0,32,84,111,107,101,110,105,122,101,114,58,58,80,97,114,115,101,70,108,111,97,116,40,41,32,112,97,115,115,101,100,32,116,101,120,116,32,116,104,97,116,32,99,111,117,108,100,32,110,111,116,32,104,97,118,101,32,98,101,101,110,32,116,111,107,101,110,105,122,101,100,32,97,115,32,97,32,102,108,111,97,116,58,32,0,32,84,111,107,101,110,105,122,101,114,58,58,80,97,114,115,101,83,116,114,105,110,103,65,112,112,101,110,100,40,41,32,112,97,115,115,101,100,32,116,101,120,116,32,116,104,97,116,32,99,111,117,108,100,32,110,111,116,32,104,97,118,101,32,98,101,101,110,32,116,111,107,101,110,105,122,101,100,32,97,115,32,97,32,115,116,114,105,110,103,58,32,0,92,85,37,48,56,120,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,50,105,111,49,56,73,115,116,114,101,97,109,73,110,112,117,116,83,116,114,101,97,109,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,50,105,111,49,56,73,115,116,114,101,97,109,73,110,112,117,116,83,116,114,101,97,109,50,53,67,111,112,121,105,110,103,73,115,116,114,101,97,109,73,110,112,117,116,83,116,114,101,97,109,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,56,105,110,116,101,114,110,97,108,49,50,77,97,112,70,105,101,108,100,66,97,115,101,69,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,51,114,100,112,97,114,116,121,47,112,114,111,116,111,98,117,102,47,115,114,99,47,103,111,111,103,108,101,47,112,114,111,116,111,98,117,102,47,109,97,112,95,102,105,101,108,100,46,104,0,85,110,115,117,112,112,111,114,116,101,100,58,32,116,121,112,101,32,109,105,115,109,97,116,99,104,0,80,114,111,116,111,99,111,108,32,66,117,102,102,101,114,32,109,97,112,32,117,115,97,103,101,32,101,114,114,111,114,58,10,0,77,97,112,75,101,121,58,58,71,101,116,66,111,111,108,86,97,108,117,101,0,32,116,121,112,101,32,100,111,101,115,32,110,111,116,32,109,97,116,99,104,10,0,32,32,69,120,112,101,99,116,101,100,32,58,32,0,32,32,65,99,116,117,97,108,32,32,32,58,32,0,77,97,112,75,101,121,58,58,71,101,116,85,73,110,116,51,50,86,97,108,117,101,0,77,97,112,75,101,121,58,58,71,101,116,85,73,110,116,54,52,86,97,108,117,101,0,77,97,112,75,101,121,58,58,71,101,116,73,110,116,51,50,86,97,108,117,101,0,77,97,112,75,101,121,58,58,71,101,116,73,110,116,54,52,86,97,108,117,101,0,107,101,121,0,118,97,108,117,101,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,51,114,100,112,97,114,116,121,47,112,114,111,116,111,98,117,102,47,115,114,99,47,103,111,111,103,108,101,47,112,114,111,116,111,98,117,102,47,109,97,112,95,102,105,101,108,100,46,99,99,0,77,97,112,86,97,108,117,101,82,101,102,58,58,71,101,116,77,101,115,115,97,103,101,86,97,108,117,101,0,77,97,112,86,97,108,117,101,82,101,102,58,58,116,121,112,101,32,77,97,112,86,97,108,117,101,82,101,102,32,105,115,32,110,111,116,32,105,110,105,116,105,97,108,105,122,101,100,46,0,77,97,112,86,97,108,117,101,82,101,102,58,58,71,101,116,69,110,117,109,86,97,108,117,101,0,77,97,112,86,97,108,117,101,82,101,102,58,58,71,101,116,70,108,111,97,116,86,97,108,117,101,0,77,97,112,86,97,108,117,101,82,101,102,58,58,71,101,116,68,111,117,98,108,101,86,97,108,117,101,0,77,97,112,86,97,108,117,101,82,101,102,58,58,71,101,116,66,111,111,108,86,97,108,117,101,0,77,97,112,86,97,108,117,101,82,101,102,58,58,71,101,116,85,73,110,116,51,50,86,97,108,117,101,0,77,97,112,86,97,108,117,101,82,101,102,58,58,71,101,116,85,73,110,116,54,52,86,97,108,117,101,0,77,97,112,86,97,108,117,101,82,101,102,58,58,71,101,116,73,110,116,51,50,86,97,108,117,101,0,77,97,112,86,97,108,117,101,82,101,102,58,58,71,101,116,73,110,116,54,52,86,97,108,117,101,0,77,97,112,86,97,108,117,101,82,101,102,58,58,71,101,116,83,116,114,105,110,103,86,97,108,117,101,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,56,105,110,116,101,114,110,97,108,49,53,68,121,110,97,109,105,99,77,97,112,70,105,101,108,100,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,56,105,110,116,101,114,110,97,108,50,51,84,121,112,101,68,101,102,105,110,101,100,77,97,112,70,105,101,108,100,66,97,115,101,73,78,83,48,95,54,77,97,112,75,101,121,69,78,83,48,95,49,49,77,97,112,86,97,108,117,101,82,101,102,69,69,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,51,77,97,112,73,78,83,48,95,54,77,97,112,75,101,121,69,78,83,48,95,49,49,77,97,112,86,97,108,117,101,82,101,102,69,69,56,73,110,110,101,114,77,97,112,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,52,104,97,115,104,73,78,83,48,95,54,77,97,112,75,101,121,69,69,69,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,51,114,100,112,97,114,116,121,47,112,114,111,116,111,98,117,102,47,115,114,99,47,103,111,111,103,108,101,47,112,114,111,116,111,98,117,102,47,109,101,115,115,97,103,101,46,99,99,0,77,101,115,115,97,103,101,32,99,108,97,115,115,32,34,0,34,32,105,109,112,108,101,109,101,110,116,115,32,110,101,105,116,104,101,114,32,83,101,116,67,97,99,104,101,100,83,105,122,101,40,41,32,110,111,114,32,66,121,116,101,83,105,122,101,40,41,46,32,32,77,117,115,116,32,105,109,112,108,101,109,101,110,116,32,111,110,101,32,111,114,32,116,104,101,32,111,116,104,101,114,46,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,40,102,114,111,109,46,71,101,116,68,101,115,99,114,105,112,116,111,114,40,41,41,32,61,61,32,40,100,101,115,99,114,105,112,116,111,114,41,58,32,0,58,32,84,114,105,101,100,32,116,111,32,109,101,114,103,101,32,102,114,111,109,32,97,32,109,101,115,115,97,103,101,32,119,105,116,104,32,97,32,100,105,102,102,101,114,101,110,116,32,116,121,112,101,46,32,32,116,111,58,32,0,44,32,102,114,111,109,58,32,0,58,32,84,114,105,101,100,32,116,111,32,99,111,112,121,32,102,114,111,109,32,97,32,109,101,115,115,97,103,101,32,119,105,116,104,32,97,32,100,105,102,102,101,114,101,110,116,32,116,121,112,101,46,32,116,111,58,32,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,55,77,101,115,115,97,103,101,69,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,102,105,101,108,100,45,62,105,115,95,114,101,112,101,97,116,101,100,40,41,58,32,0,83,104,111,117,108,100,32,110,111,116,32,114,101,97,99,104,32,104,101,114,101,46,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,51,114,100,112,97,114,116,121,47,112,114,111,116,111,98,117,102,47,115,114,99,47,103,111,111,103,108,101,47,112,114,111,116,111,98,117,102,47,114,101,102,108,101,99,116,105,111,110,95,105,110,116,101,114,110,97,108,46,104,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,116,104,105,115,32,61,61,32,111,116,104,101,114,95,109,117,116,97,116,111,114,58,32,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,56,105,110,116,101,114,110,97,108,51,49,82,101,112,101,97,116,101,100,80,116,114,70,105,101,108,100,77,101,115,115,97,103,101,65,99,99,101,115,115,111,114,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,56,105,110,116,101,114,110,97,108,50,51,82,101,112,101,97,116,101,100,80,116,114,70,105,101,108,100,87,114,97,112,112,101,114,73,78,83,48,95,55,77,101,115,115,97,103,101,69,69,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,56,105,110,116,101,114,110,97,108,51,51,82,97,110,100,111,109,65,99,99,101,115,115,82,101,112,101,97,116,101,100,70,105,101,108,100,65,99,99,101,115,115,111,114,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,56,105,110,116,101,114,110,97,108,50,49,82,101,112,101,97,116,101,100,70,105,101,108,100,65,99,99,101,115,115,111,114,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,56,105,110,116,101,114,110,97,108,49,54,77,97,112,70,105,101,108,100,65,99,99,101,115,115,111,114,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,56,105,110,116,101,114,110,97,108,51,48,82,101,112,101,97,116,101,100,80,116,114,70,105,101,108,100,83,116,114,105,110,103,65,99,99,101,115,115,111,114,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,56,105,110,116,101,114,110,97,108,50,51,82,101,112,101,97,116,101,100,80,116,114,70,105,101,108,100,87,114,97,112,112,101,114,73,78,83,116,51,95,95,50,49,50,98,97,115,105,99,95,115,116,114,105,110,103,73,99,78,83,51,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,78,83,51,95,57,97,108,108,111,99,97,116,111,114,73,99,69,69,69,69,69,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,56,105,110,116,101,114,110,97,108,51,48,82,101,112,101,97,116,101,100,70,105,101,108,100,80,114,105,109,105,116,105,118,101,65,99,99,101,115,115,111,114,73,98,69,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,56,105,110,116,101,114,110,97,108,50,48,82,101,112,101,97,116,101,100,70,105,101,108,100,87,114,97,112,112,101,114,73,98,69,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,56,105,110,116,101,114,110,97,108,51,48,82,101,112,101,97,116,101,100,70,105,101,108,100,80,114,105,109,105,116,105,118,101,65,99,99,101,115,115,111,114,73,100,69,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,56,105,110,116,101,114,110,97,108,50,48,82,101,112,101,97,116,101,100,70,105,101,108,100,87,114,97,112,112,101,114,73,100,69,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,56,105,110,116,101,114,110,97,108,51,48,82,101,112,101,97,116,101,100,70,105,101,108,100,80,114,105,109,105,116,105,118,101,65,99,99,101,115,115,111,114,73,102,69,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,56,105,110,116,101,114,110,97,108,50,48,82,101,112,101,97,116,101,100,70,105,101,108,100,87,114,97,112,112,101,114,73,102,69,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,56,105,110,116,101,114,110,97,108,51,48,82,101,112,101,97,116,101,100,70,105,101,108,100,80,114,105,109,105,116,105,118,101,65,99,99,101,115,115,111,114,73,121,69,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,56,105,110,116,101,114,110,97,108,50,48,82,101,112,101,97,116,101,100,70,105,101,108,100,87,114,97,112,112,101,114,73,121,69,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,56,105,110,116,101,114,110,97,108,51,48,82,101,112,101,97,116,101,100,70,105,101,108,100,80,114,105,109,105,116,105,118,101,65,99,99,101,115,115,111,114,73,120,69,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,56,105,110,116,101,114,110,97,108,50,48,82,101,112,101,97,116,101,100,70,105,101,108,100,87,114,97,112,112,101,114,73,120,69,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,56,105,110,116,101,114,110,97,108,51,48,82,101,112,101,97,116,101,100,70,105,101,108,100,80,114,105,109,105,116,105,118,101,65,99,99,101,115,115,111,114,73,106,69,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,56,105,110,116,101,114,110,97,108,50,48,82,101,112,101,97,116,101,100,70,105,101,108,100,87,114,97,112,112,101,114,73,106,69,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,56,105,110,116,101,114,110,97,108,51,48,82,101,112,101,97,116,101,100,70,105,101,108,100,80,114,105,109,105,116,105,118,101,65,99,99,101,115,115,111,114,73,105,69,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,56,105,110,116,101,114,110,97,108,50,48,82,101,112,101,97,116,101,100,70,105,101,108,100,87,114,97,112,112,101,114,73,105,69,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,49,48,82,101,102,108,101,99,116,105,111,110,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,49,52,77,101,115,115,97,103,101,70,97,99,116,111,114,121,69,0,70,105,108,101,32,97,112,112,101,97,114,115,32,116,111,32,98,101,32,105,110,32,103,101,110,101,114,97,116,101,100,32,112,111,111,108,32,98,117,116,32,119,97,115,110,39,116,32,114,101,103,105,115,116,101,114,101,100,58,32,0,84,121,112,101,32,97,112,112,101,97,114,115,32,116,111,32,98,101,32,105,110,32,103,101,110,101,114,97,116,101,100,32,112,111,111,108,32,98,117,116,32,119,97,115,110,39,116,32,0,114,101,103,105,115,116,101,114,101,100,58,32,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,49,50,95,71,76,79,66,65,76,95,95,78,95,49,50,51,71,101,110,101,114,97,116,101,100,77,101,115,115,97,103,101,70,97,99,116,111,114,121,69,0,70,105,108,101,32,105,115,32,97,108,114,101,97,100,121,32,114,101,103,105,115,116,101,114,101,100,58,32,0,84,121,112,101,32,105,115,32,97,108,114,101,97,100,121,32,114,101,103,105,115,116,101,114,101,100,58,32,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,51,114,100,112,97,114,116,121,47,112,114,111,116,111,98,117,102,47,115,114,99,47,103,111,111,103,108,101,47,112,114,111,116,111,98,117,102,47,114,101,102,108,101,99,116,105,111,110,95,111,112,115,46,99,99,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,40,38,102,114,111,109,41,32,33,61,32,40,116,111,41,58,32,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,40,116,111,45,62,71,101,116,68,101,115,99,114,105,112,116,111,114,40,41,41,32,61,61,32,40,100,101,115,99,114,105,112,116,111,114,41,58,32,0,84,114,105,101,100,32,116,111,32,109,101,114,103,101,32,109,101,115,115,97,103,101,115,32,111,102,32,100,105,102,102,101,114,101,110,116,32,116,121,112,101,115,32,0,40,109,101,114,103,101,32,0,32,116,111,32,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,51,114,100,112,97,114,116,121,47,112,114,111,116,111,98,117,102,47,115,114,99,47,103,111,111,103,108,101,47,112,114,111,116,111,98,117,102,47,115,116,117,98,115,47,115,117,98,115,116,105,116,117,116,101,46,99,99,0,115,116,114,105,110,103,115,58,58,83,117,98,115,116,105,116,117,116,101,32,102,111,114,109,97,116,32,115,116,114,105,110,103,32,105,110,118,97,108,105,100,58,32,97,115,107,101,100,32,102,111,114,32,34,36,0,34,44,32,98,117,116,32,111,110,108,121,32,0,32,97,114,103,115,32,119,101,114,101,32,103,105,118,101,110,46,32,32,70,117,108,108,32,102,111,114,109,97,116,32,115,116,114,105,110,103,32,119,97,115,58,32,34,0,73,110,118,97,108,105,100,32,115,116,114,105,110,103,115,58,58,83,117,98,115,116,105,116,117,116,101,40,41,32,102,111,114,109,97,116,32,115,116,114,105,110,103,58,32,34,0,125,32,0,125,10,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,49,48,84,101,120,116,70,111,114,109,97,116,49,55,66,97,115,101,84,101,120,116,71,101,110,101,114,97,116,111,114,69,0,32,123,32,0,32,123,10,0,91,0,34,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,49,48,84,101,120,116,70,111,114,109,97,116,50,49,70,97,115,116,70,105,101,108,100,86,97,108,117,101,80,114,105,110,116,101,114,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,49,48,84,101,120,116,70,111,114,109,97,116,54,70,105,110,100,101,114,69,0,58,32,0,10,0,58,32,48,120,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,51,114,100,112,97,114,116,121,47,112,114,111,116,111,98,117,102,47,115,114,99,47,103,111,111,103,108,101,47,112,114,111,116,111,98,117,102,47,116,101,120,116,95,102,111,114,109,97,116,46,99,99,0,32,79,117,116,100,101,110,116,40,41,32,119,105,116,104,111,117,116,32,109,97,116,99,104,105,110,103,32,73,110,100,101,110,116,40,41,46,0,58,32,34,0,34,32,0,34,10,0,46,46,46,60,116,114,117,110,99,97,116,101,100,62,46,46,46,0,37,100,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,51,114,100,112,97,114,116,121,47,112,114,111,116,111,98,117,102,47,115,114,99,47,103,111,111,103,108,101,47,112,114,111,116,111,98,117,102,47,100,121,110,97,109,105,99,95,109,101,115,115,97,103,101,46,104,0,58,32,91,0,93,32,0,93,10,0,80,114,111,116,111,32,116,121,112,101,32,0,32,110,111,116,32,102,111,117,110,100,0,58,32,102,97,105,108,101,100,32,116,111,32,112,97,114,115,101,32,99,111,110,116,101,110,116,115,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,49,48,84,101,120,116,70,111,114,109,97,116,55,80,114,105,110,116,101,114,49,51,84,101,120,116,71,101,110,101,114,97,116,111,114,69,0,77,101,115,115,97,103,101,32,109,105,115,115,105,110,103,32,114,101,113,117,105,114,101,100,32,102,105,101,108,100,115,58,32,0,69,114,114,111,114,32,112,97,114,115,105,110,103,32,116,101,120,116,45,102,111,114,109,97,116,32,0,58,0,78,111,110,45,114,101,112,101,97,116,101,100,32,65,110,121,32,115,112,101,99,105,102,105,101,100,32,109,117,108,116,105,112,108,101,32,116,105,109,101,115,46,0,69,120,116,101,110,115,105,111,110,32,34,0,34,32,105,115,32,110,111,116,32,100,101,102,105,110,101,100,32,111,114,32,105,115,32,110,111,116,32,97,110,32,101,120,116,101,110,115,105,111,110,32,111,102,32,34,0,34,46,0,77,101,115,115,97,103,101,32,116,121,112,101,32,34,0,34,32,104,97,115,32,110,111,32,102,105,101,108,100,32,110,97,109,101,100,32,34,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,97,108,108,111,119,95,117,110,107,110,111,119,110,95,102,105,101,108,100,95,32,124,124,32,114,101,115,101,114,118,101,100,95,102,105,101,108,100,58,32,0,78,111,110,45,114,101,112,101,97,116,101,100,32,102,105,101,108,100,32,34,0,34,32,105,115,32,115,112,101,99,105,102,105,101,100,32,109,117,108,116,105,112,108,101,32,116,105,109,101,115,46,0,70,105,101,108,100,32,34,0,34,32,105,115,32,115,112,101,99,105,102,105,101,100,32,97,108,111,110,103,32,119,105,116,104,32,102,105,101,108,100,32,34,0,34,44,32,97,110,111,116,104,101,114,32,109,101,109,98,101,114,32,111,102,32,111,110,101,111,102,32,34,0,116,101,120,116,32,102,111,114,109,97,116,32,99,111,110,116,97,105,110,115,32,100,101,112,114,101,99,97,116,101,100,32,102,105,101,108,100,32,34,0,84,114,117,101,0,116,0,70,97,108,115,101,0,102,0,73,110,118,97,108,105,100,32,118,97,108,117,101,32,102,111,114,32,98,111,111,108,101,97,110,32,102,105,101,108,100,32,34,0,34,46,32,86,97,108,117,101,58,32,34,0,69,120,112,101,99,116,101,100,32,105,110,116,101,103,101,114,32,111,114,32,105,100,101,110,116,105,102,105,101,114,44,32,103,111,116,58,32,0,85,110,107,110,111,119,110,32,101,110,117,109,101,114,97,116,105,111,110,32,118,97,108,117,101,32,111,102,32,34,0,34,32,102,111,114,32,102,105,101,108,100,32,34,0,82,101,97,99,104,101,100,32,97,110,32,117,110,105,110,116,101,110,100,101,100,32,115,116,97,116,101,58,32,67,80,80,84,89,80,69,95,77,69,83,83,65,71,69,0,69,120,112,101,99,116,101,100,32,100,111,117,98,108,101,44,32,103,111,116,58,32,0,69,120,112,101,99,116,101,100,32,105,110,116,101,103,101,114,44,32,103,111,116,58,32,0,69,120,112,101,99,116,32,97,32,100,101,99,105,109,97,108,32,110,117,109,98,101,114,44,32,103,111,116,58,32,0,73,110,116,101,103,101,114,32,111,117,116,32,111,102,32,114,97,110,103,101,32,40,0,125,0,69,120,112,101,99,116,101,100,32,115,116,114,105,110,103,44,32,103,111,116,58,32,0,73,110,118,97,108,105,100,32,102,108,111,97,116,32,110,117,109,98,101,114,58,32,0,69,120,112,101,99,116,101,100,32,105,100,101,110,116,105,102,105,101,114,44,32,103,111,116,58,32,0,87,97,114,110,105,110,103,32,112,97,114,115,105,110,103,32,116,101,120,116,45,102,111,114,109,97,116,32,0,67,111,117,108,100,32,110,111,116,32,102,105,110,100,32,116,121,112,101,32,34,0,34,32,115,116,111,114,101,100,32,105,110,32,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,65,110,121,46,0,86,97,108,117,101,32,111,102,32,116,121,112,101,32,34,0,34,32,115,116,111,114,101,100,32,105,110,32,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,65,110,121,32,104,97,115,32,109,105,115,115,105,110,103,32,114,101,113,117,105,114,101,100,32,102,105,101,108,100,115,0,69,120,112,101,99,116,101,100,32,34,0,34,44,32,102,111,117,110,100,32,34,0,84,101,120,116,70,111,114,109,97,116,58,58,80,97,114,115,101,114,32,102,111,114,32,65,110,121,32,115,117,112,112,111,114,116,115,32,111,110,108,121,32,116,121,112,101,46,103,111,111,103,108,101,97,112,105,115,46,99,111,109,32,97,110,100,32,116,121,112,101,46,103,111,111,103,108,101,112,114,111,100,46,99,111,109,44,32,98,117,116,32,102,111,117,110,100,32,34,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,49,48,84,101,120,116,70,111,114,109,97,116,54,80,97,114,115,101,114,49,48,80,97,114,115,101,114,73,109,112,108,50,48,80,97,114,115,101,114,69,114,114,111,114,67,111,108,108,101,99,116,111,114,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,56,105,110,116,101,114,110,97,108,50,55,85,110,107,110,111,119,110,70,105,101,108,100,83,101,116,70,105,101,108,100,83,107,105,112,112,101,114,69,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,51,114,100,112,97,114,116,121,47,112,114,111,116,111,98,117,102,47,115,114,99,47,103,111,111,103,108,101,47,112,114,111,116,111,98,117,102,47,119,105,114,101,95,102,111,114,109,97,116,46,99,99,0,69,120,116,101,110,115,105,111,110,115,32,111,102,32,77,101,115,115,97,103,101,83,101,116,115,32,109,117,115,116,32,98,101,32,111,112,116,105,111,110,97,108,32,109,101,115,115,97,103,101,115,46,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,40,111,117,116,112,117,116,45,62,66,121,116,101,67,111,117,110,116,40,41,41,32,61,61,32,40,101,120,112,101,99,116,101,100,95,101,110,100,112,111,105,110,116,41,58,32,0,58,32,80,114,111,116,111,99,111,108,32,109,101,115,115,97,103,101,32,115,101,114,105,97,108,105,122,101,100,32,116,111,32,97,32,115,105,122,101,32,100,105,102,102,101,114,101,110,116,32,102,114,111,109,32,119,104,97,116,32,119,97,115,32,111,114,105,103,105,110,97,108,108,121,32,101,120,112,101,99,116,101,100,46,32,32,80,101,114,104,97,112,115,32,105,116,32,119,97,115,32,109,111,100,105,102,105,101,100,32,98,121,32,97,110,111,116,104,101,114,32,116,104,114,101,97,100,32,100,117,114,105,110,103,32,115,101,114,105,97,108,105,122,97,116,105,111,110,63,0,85,110,115,117,112,112,111,114,116,101,100,0,67,97,110,110,111,116,32,103,101,116,32,104,101,114,101,0,97,108,108,111,99,97,116,111,114,60,84,62,58,58,97,108,108,111,99,97,116,101,40,115,105,122,101,95,116,32,110,41,32,39,110,39,32,101,120,99,101,101,100,115,32,109,97,120,105,109,117,109,32,115,117,112,112,111,114,116,101,100,32,115,105,122,101,0,73,110,118,97,108,105,100,32,107,101,121,32,102,111,114,32,109,97,112,32,102,105,101,108,100,46,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,56,105,110,116,101,114,110,97,108,49,53,69,120,116,101,110,115,105,111,110,70,105,110,100,101,114,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,56,105,110,116,101,114,110,97,108,50,52,71,101,110,101,114,97,116,101,100,69,120,116,101,110,115,105,111,110,70,105,110,100,101,114,69,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,51,114,100,112,97,114,116,121,47,112,114,111,116,111,98,117,102,47,115,114,99,47,103,111,111,103,108,101,47,112,114,111,116,111,98,117,102,47,101,120,116,101,110,115,105,111,110,95,115,101,116,46,99,99,0,67,97,110,39,116,32,103,101,116,32,104,101,114,101,46,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,105,116,101,114,32,33,61,32,101,120,116,101,110,115,105,111,110,115,95,46,101,110,100,40,41,58,32,0,73,110,100,101,120,32,111,117,116,45,111,102,45,98,111,117,110,100,115,32,40,102,105,101,108,100,32,105,115,32,101,109,112,116,121,41,46,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,49,51,82,101,112,101,97,116,101,100,70,105,101,108,100,73,105,69,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,49,51,82,101,112,101,97,116,101,100,70,105,101,108,100,73,120,69,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,49,51,82,101,112,101,97,116,101,100,70,105,101,108,100,73,106,69,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,49,51,82,101,112,101,97,116,101,100,70,105,101,108,100,73,121,69,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,49,51,82,101,112,101,97,116,101,100,70,105,101,108,100,73,102,69,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,49,51,82,101,112,101,97,116,101,100,70,105,101,108,100,73,100,69,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,49,51,82,101,112,101,97,116,101,100,70,105,101,108,100,73,98,69,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,49,54,82,101,112,101,97,116,101,100,80,116,114,70,105,101,108,100,73,78,83,116,51,95,95,50,49,50,98,97,115,105,99,95,115,116,114,105,110,103,73,99,78,83,50,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,78,83,50,95,57,97,108,108,111,99,97,116,111,114,73,99,69,69,69,69,69,69,0,99,97,110,39,116,32,114,101,97,99,104,32,104,101,114,101,46,0,78,111,110,45,112,114,105,109,105,116,105,118,101,32,116,121,112,101,115,32,99,97,110,39,116,32,98,101,32,112,97,99,107,101,100,46,0,47,98,117,105,108,100,47,109,97,115,116,101,114,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,51,114,100,112,97,114,116,121,47,112,114,111,116,111,98,117,102,47,115,114,99,47,103,111,111,103,108,101,47,112,114,111,116,111,98,117,102,47,105,111,47,122,101,114,111,95,99,111,112,121,95,115,116,114,101,97,109,46,99,99,0,84,104,105,115,32,90,101,114,111,67,111,112,121,79,117,116,112,117,116,83,116,114,101,97,109,32,100,111,101,115,110,39,116,32,115,117,112,112,111,114,116,32,97,108,105,97,115,105,110,103,46,32,82,101,97,99,104,105,110,103,32,104,101,114,101,32,117,115,117,97,108,108,121,32,109,101,97,110,115,32,97,32,90,101,114,111,67,111,112,121,79,117,116,112,117,116,83,116,114,101,97,109,32,105,109,112,108,101,109,101,110,116,97,116,105,111,110,32,98,117,103,46,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,50,105,111,50,48,90,101,114,111,67,111,112,121,79,117,116,112,117,116,83,116,114,101,97,109,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,2,3,3,3,3,3,3,3,3,3,3,3,3,7,3,3,4,5,5,5,6,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+512004);allocate([240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,4,4,4,4,4,4,4,4,4,2,2,4,4,2,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,1,1,2,1,1,1,1,2,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,2,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,48,49,50,51,52,53,54,55,56,57,97,98,99,100,101,102,0,48,48,48,49,48,50,48,51,48,52,48,53,48,54,48,55,48,56,48,57,49,48,49,49,49,50,49,51,49,52,49,53,49,54,49,55,49,56,49,57,50,48,50,49,50,50,50,51,50,52,50,53,50,54,50,55,50,56,50,57,51,48,51,49,51,50,51,51,51,52,51,53,51,54,51,55,51,56,51,57,52,48,52,49,52,50,52,51,52,52,52,53,52,54,52,55,52,56,52,57,53,48,53,49,53,50,53,51,53,52,53,53,53,54,53,55,53,56,53,57,54,48,54,49,54,50,54,51,54,52,54,53,54,54,54,55,54,56,54,57,55,48,55,49,55,50,55,51,55,52,55,53,55,54,55,55,55,56,55,57,56,48,56,49,56,50,56,51,56,52,56,53,56,54,56,55,56,56,56,57,57,48,57,49,57,50,57,51,57,52,57,53,57,54,57,55,57,56,57,57,45,105,110,102,0,37,46,42,103,0,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,65,110,121,0,116,121,112,101,46,103,111,111,103,108,101,97,112,105,115,46,99,111,109,47,0,116,121,112,101,46,103,111,111,103,108,101,112,114,111,100,46,99,111,109,47,0,115,116,100,58,58,98,97,115,105,99,95,115,116,114,105,110,103,60,117,110,115,105,103,110,101,100,32,99,104,97,114,62,0,115,116,100,58,58,119,115,116,114,105,110,103,0,101,109,115,99,114,105,112,116,101,110,58,58,118,97,108,0,101,109,115,99,114,105,112,116,101,110,58,58,109,101,109,111,114,121,95,118,105,101,119,60,99,104,97,114,62,0,101,109,115,99,114,105,112,116,101,110,58,58,109,101,109,111,114,121,95,118,105,101,119,60,115,105,103,110,101,100,32,99,104,97,114,62,0,101,109,115,99,114,105,112,116,101,110,58,58,109,101,109,111,114,121,95,118,105,101,119,60,117,110,115,105,103,110,101,100,32,99,104,97,114,62,0,101,109,115,99,114,105,112,116,101,110,58,58,109,101,109,111,114,121,95,118,105,101,119,60,115,104,111,114,116,62,0,101,109,115,99,114,105,112,116,101,110,58,58,109,101,109,111,114,121,95,118,105,101,119,60,117,110,115,105,103,110,101,100,32,115,104,111,114,116,62,0,101,109,115,99,114,105,112,116,101,110,58,58,109,101,109,111,114,121,95,118,105,101,119,60,105,110,116,62,0,101,109,115,99,114,105,112,116,101,110,58,58,109,101,109,111,114,121,95,118,105,101,119,60,117,110,115,105,103,110,101,100,32,105,110,116,62,0,101,109,115,99,114,105,112,116,101,110,58,58,109,101,109,111,114,121,95,118,105,101,119,60,108,111,110,103,62,0,101,109,115,99,114,105,112,116,101,110,58,58,109,101,109,111,114,121,95,118,105,101,119,60,117,110,115,105,103,110,101,100,32,108,111,110,103,62,0,101,109,115,99,114,105,112,116,101,110,58,58,109,101,109,111,114,121,95,118,105,101,119,60,105,110,116,56,95,116,62,0,101,109,115,99,114,105,112,116,101,110,58,58,109,101,109,111,114,121,95,118,105,101,119,60,117,105,110,116,56,95,116,62,0,101,109,115,99,114,105,112,116,101,110,58,58,109,101,109,111,114,121,95,118,105,101,119,60,105,110,116,49,54,95,116,62,0,101,109,115,99,114,105,112,116,101,110,58,58,109,101,109,111,114,121,95,118,105,101,119,60,117,105,110,116,49,54,95,116,62,0,101,109,115,99,114,105,112,116,101,110,58,58,109,101,109,111,114,121,95,118,105,101,119,60,105,110,116,51,50,95,116,62,0,101,109,115,99,114,105,112,116,101,110,58,58,109,101,109,111,114,121,95,118,105,101,119,60,117,105,110,116,51,50,95,116,62,0,101,109,115,99,114,105,112,116,101,110,58,58,109,101,109,111,114,121,95,118,105,101,119,60,102,108,111,97,116,62,0,101,109,115,99,114,105,112,116,101,110,58,58,109,101,109,111,114,121,95,118,105,101,119,60,100,111,117,98,108,101,62,0,101,109,115,99,114,105,112,116,101,110,58,58,109,101,109,111,114,121,95,118,105,101,119,60,108,111,110,103,32,100,111,117,98,108,101,62,0,78,49,48,101,109,115,99,114,105,112,116,101,110,49,49,109,101,109,111,114,121,95,118,105,101,119,73,101,69,69,0,78,49,48,101,109,115,99,114,105,112,116,101,110,49,49,109,101,109,111,114,121,95,118,105,101,119,73,109,69,69,0,78,49,48,101,109,115,99,114,105,112,116,101,110,49,49,109,101,109,111,114,121,95,118,105,101,119,73,108,69,69,0,78,49,48,101,109,115,99,114,105,112,116,101,110,49,49,109,101,109,111,114,121,95,118,105,101,119,73,106,69,69,0,78,49,48,101,109,115,99,114,105,112,116,101,110,49,49,109,101,109,111,114,121,95,118,105,101,119,73,97,69,69,0,78,83,116,51,95,95,50,49,50,98,97,115,105,99,95,115,116,114,105,110,103,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,119,69,69,69,69,0,78,83,116,51,95,95,50,49,50,98,97,115,105,99,95,115,116,114,105,110,103,73,104,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,104,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,104,69,69,69,69,0,84,33,34,25,13,1,2,3,17,75,28,12,16,4,11,29,18,30,39,104,110,111,112,113,98,32,5,6,15,19,20,21,26,8,22,7,40,36,23,24,9,10,14,27,31,37,35,131,130,125,38,42,43,60,61,62,63,67,71,74,77,88,89,90,91,92,93,94,95,96,97,99,100,101,102,103,105,106,107,108,114,115,116,121,122,123,124,0,73,108,108,101,103,97,108,32,98,121,116,101,32,115,101,113,117,101,110,99,101,0,68,111,109,97,105,110,32,101,114,114,111,114,0,82,101,115,117,108,116,32,110,111,116,32,114,101,112,114,101,115,101,110,116,97,98,108,101,0,78,111,116,32,97,32,116,116,121,0,80,101,114,109,105,115,115,105,111,110,32,100,101,110,105,101,100,0,79,112,101,114,97,116,105,111,110,32,110,111,116,32,112,101,114,109,105,116,116,101,100,0,78,111,32,115,117,99,104,32,102,105,108,101,32,111,114,32,100,105,114,101,99,116,111,114,121,0,78,111,32,115,117,99,104,32,112,114,111,99,101,115,115,0,70,105,108,101,32,101,120,105,115,116,115,0,86,97,108,117,101,32,116,111,111,32,108,97,114,103,101,32,102,111,114,32,100,97,116,97,32,116,121,112,101,0,78,111,32,115,112,97,99,101,32,108,101,102,116,32,111,110,32,100,101,118,105,99,101,0,79,117,116,32,111,102,32,109,101,109,111,114,121,0,82,101,115,111,117,114,99,101,32,98,117,115,121,0,73,110,116,101,114,114,117,112,116,101,100,32,115,121,115,116,101,109,32,99,97,108,108,0,82,101,115,111,117,114,99,101,32,116,101,109,112,111,114,97,114,105,108,121,32,117,110,97,118,97,105,108,97,98,108,101,0,73,110,118,97,108,105,100,32,115,101,101,107,0,67,114,111,115,115,45,100,101,118,105,99,101,32,108,105,110,107,0,82,101,97,100,45,111,110,108,121,32,102,105,108,101,32,115,121,115,116,101,109,0,68,105,114,101,99,116,111,114,121,32,110,111,116,32,101,109,112,116,121,0,67,111,110,110,101,99,116,105,111,110,32,114,101,115,101,116,32,98,121,32,112,101,101,114,0,79,112,101,114,97,116,105,111,110,32,116,105,109,101,100,32,111,117,116,0,67,111,110,110,101,99,116,105,111,110,32,114,101,102,117,115,101,100,0,72,111,115,116,32,105,115,32,100,111,119,110,0,72,111,115,116,32,105,115,32,117,110,114,101,97,99,104,97,98,108,101,0,65,100,100,114,101,115,115,32,105,110,32,117,115,101,0,66,114,111,107,101,110,32,112,105,112,101,0,73,47,79,32,101,114,114,111,114,0,78,111,32,115,117,99,104,32,100,101,118,105,99,101,32,111,114,32,97,100,100,114,101,115,115,0,66,108,111,99,107,32,100,101,118,105,99,101,32,114,101,113,117,105,114,101,100,0,78,111,32,115,117,99,104,32,100,101,118,105,99,101,0,78,111,116,32,97,32,100,105,114,101,99,116,111,114,121,0,73,115,32,97,32,100,105,114,101,99,116,111,114,121,0,84,101,120,116,32,102,105,108,101,32,98,117,115,121,0,69,120,101,99,32,102,111,114,109,97,116,32,101,114,114,111,114,0,73,110,118,97,108,105,100,32,97,114,103,117,109,101,110,116,0,65,114,103,117,109,101,110,116,32,108,105,115,116,32,116,111,111,32,108,111,110,103,0,83,121,109,98,111,108,105,99,32,108,105,110,107,32,108,111,111,112,0,70,105,108,101,110,97,109,101,32,116,111,111,32,108,111,110,103,0,84,111,111,32,109,97,110,121,32,111,112,101,110,32,102,105,108,101,115,32,105,110,32,115,121,115,116,101,109,0,78,111,32,102,105,108,101,32,100,101,115,99,114,105,112,116,111,114,115,32,97,118,97,105,108,97,98,108,101,0,66,97,100,32,102,105,108,101,32,100,101,115,99,114,105,112,116,111,114,0,78,111,32,99,104,105,108,100,32,112,114,111,99,101,115,115,0,66,97,100,32,97,100,100,114,101,115,115,0,70,105,108,101,32,116,111,111,32,108,97,114,103,101,0,84,111,111,32,109,97,110,121,32,108,105,110,107,115,0,78,111,32,108,111,99,107,115,32,97,118,97,105,108,97,98,108,101,0,82,101,115,111,117,114,99,101,32,100,101,97,100,108,111,99,107,32,119,111,117,108,100,32,111,99,99,117,114,0,83,116,97,116,101,32,110,111,116,32,114,101,99,111,118,101,114,97,98,108,101,0,80,114,101,118,105,111,117,115,32,111,119,110,101,114,32,100,105,101,100,0,79,112,101,114,97,116,105,111,110,32,99,97,110,99,101,108,101,100,0,70,117,110,99,116,105,111,110,32,110,111,116,32,105,109,112,108,101,109,101,110,116,101,100,0,78,111,32,109,101,115,115,97,103,101,32,111,102,32,100,101,115,105,114,101,100,32,116,121,112,101,0,73,100,101,110,116,105,102,105,101,114,32,114,101,109,111,118,101,100,0,68,101,118,105,99,101,32,110,111,116,32,97,32,115,116,114,101,97,109,0,78,111,32,100,97,116,97,32,97,118,97,105,108,97,98,108,101,0,68,101,118,105,99,101,32,116,105,109,101,111,117,116,0,79,117,116,32,111,102,32,115,116,114,101,97,109,115,32,114,101,115,111,117,114,99,101,115,0,76,105,110,107,32,104,97,115,32,98,101,101,110,32,115,101,118,101,114,101,100,0,80,114,111,116,111,99,111,108,32,101,114,114,111,114,0,66,97,100,32,109,101,115,115,97,103,101,0,70,105,108,101,32,100,101,115,99,114,105,112,116,111,114,32,105,110,32,98,97,100,32,115,116,97,116,101,0,78,111,116,32,97,32,115,111,99,107,101,116,0,68,101,115,116,105,110,97,116,105,111,110,32,97,100,100,114,101,115,115,32,114,101,113,117,105,114,101,100,0,77,101,115,115,97,103,101,32,116,111,111,32,108,97,114,103,101,0,80,114,111,116,111,99,111,108,32,119,114,111,110,103,32,116,121,112,101,32,102,111,114,32,115,111,99,107,101,116,0,80,114,111,116,111,99,111,108,32,110,111,116,32,97,118,97,105,108,97,98,108,101,0,80,114,111,116,111,99,111,108,32,110,111,116,32,115,117,112,112,111,114,116,101,100,0,83,111,99,107,101,116,32,116,121,112,101,32,110,111,116,32,115,117,112,112,111,114,116,101,100,0,78,111,116,32,115,117,112,112,111,114,116,101,100,0,80,114,111,116,111,99,111,108,32,102,97,109,105,108,121,32,110,111,116,32,115,117,112,112,111,114,116,101,100,0,65,100,100,114,101,115,115,32,102,97,109,105,108,121,32,110,111,116,32,115,117,112,112,111,114,116,101,100,32,98,121,32,112,114,111,116,111,99,111,108,0,65,100,100,114,101,115,115,32,110,111,116,32,97,118,97,105,108,97,98,108,101,0,78,101,116,119,111,114,107,32,105,115,32,100,111,119,110,0,78,101,116,119,111,114,107,32,117,110,114,101,97,99,104,97,98,108,101,0,67,111,110,110,101,99,116,105,111,110,32,114,101,115,101,116,32,98,121,32,110,101,116,119,111,114,107,0,67,111,110,110,101,99,116,105,111,110,32,97,98,111,114,116,101,100,0,78,111,32,98,117,102,102,101,114,32,115,112,97,99,101,32,97,118,97,105,108,97,98,108,101,0,83,111,99,107,101,116,32,105,115,32,99,111,110,110,101,99,116,101,100,0,83,111,99,107,101,116,32,110,111,116,32,99,111,110,110,101,99,116,101,100,0,67,97,110,110,111,116,32,115,101,110,100,32,97,102,116,101,114,32,115,111,99,107,101,116,32,115,104,117,116,100,111,119,110,0,79,112,101,114,97,116,105,111,110,32,97,108,114,101,97,100,121,32,105,110,32,112,114,111,103,114,101,115,115,0,79,112,101,114,97,116,105,111,110,32,105,110,32,112,114,111,103,114,101,115,115,0,83,116,97,108,101,32,102,105,108,101,32,104,97,110,100,108,101,0,82,101,109,111,116,101,32,73,47,79,32,101,114,114,111,114,0,81,117,111,116,97,32,101,120,99,101,101,100,101,100,0,78,111,32,109,101,100,105,117,109,32,102,111,117,110,100,0,87,114,111,110,103,32,109,101,100,105,117,109,32,116,121,112,101,0,78,111,32,101,114,114,111,114,32,105,110,102,111,114,109,97,116,105,111,110,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,0,1,2,3,4,5,6,7,8,9,255,255,255,255,255,255,255,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,255,255,255,255,255,255,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,0,1,2,4,7,3,6,5,0,17,0,10,0,17,17,17,0,0,0,0,5,0,0,0,0,0,0,9,0,0,0,0,11,0,0,0,0,0,0,0,0,17,0,15,10,17,17,17,3,10,7,0,1,19,9,11,11,0,0,9,6,11,0,0,11,0,6,17,0,0,0,17,17,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,0,0,0,0,0,0,0,0,17,0,10,10,17,17,17,0,10,0,0,2,0,9,11,0,0,0,9,0,11,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,12,0,0,0,0,12,0,0,0,0,9,12,0,0,0,0,0,12,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0,13,0,0,0,4,13,0,0,0,0,9,14,0,0,0,0,0,14,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0,0,15,0,0,0,0,15,0,0,0,0,9,16,0,0,0,0,0,16,0,0,16,0,0,18,0,0,0,18,18,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,0,0,0,18,18,18,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,0,0,0,0,0,0,0,0,0,0,0,10,0,0,0,0,10,0,0,0,0,9,11,0,0,0,0,0,11,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,12,0,0,0,0,12,0,0,0,0,9,12,0,0,0,0,0,12,0,0,12,0,0,45,43,32,32,32,48,88,48,120,0,40,110,117,108,108,41,0,45,48,88,43,48,88,32,48,88,45,48,120,43,48,120,32,48,120,0,105,110,102,0,73,78,70,0,78,65,78,0,48,49,50,51,52,53,54,55,56,57,65,66,67,68,69,70,76,67,95,65,76,76,0,76,67,95,67,84,89,80,69,0,0,0,0,76,67,95,78,85,77,69,82,73,67,0,0,76,67,95,84,73,77,69,0,0,0,0,0,76,67,95,67,79,76,76,65,84,69,0,0,76,67,95,77,79,78,69,84,65,82,89,0,76,67,95,77,69,83,83,65,71,69,83,0,76,65,78,71,0,67,46,85,84,70,45,56,0,80,79,83,73,88,0,77,85,83,76,95,76,79,67,80,65,84,72,0,114,119,97,0,105,110,102,105,110,105,116,121,0,110,97,110,0,78,83,116,51,95,95,50,56,105,111,115,95,98,97,115,101,69,0,78,83,116,51,95,95,50,57,98,97,115,105,99,95,105,111,115,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,0,78,83,116,51,95,95,50,57,98,97,115,105,99,95,105,111,115,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,0,78,83,116,51,95,95,50,49,53,98,97,115,105,99,95,115,116,114,101,97,109,98,117,102,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,0,78,83,116,51,95,95,50,49,53,98,97,115,105,99,95,115,116,114,101,97,109,98,117,102,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,0,78,83,116,51,95,95,50,49,51,98,97,115,105,99,95,105,115,116,114,101,97,109,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,0,78,83,116,51,95,95,50,49,51,98,97,115,105,99,95,105,115,116,114,101,97,109,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,0,78,83,116,51,95,95,50,49,51,98,97,115,105,99,95,111,115,116,114,101,97,109,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,0,78,83,116,51,95,95,50,49,51,98,97,115,105,99,95,111,115,116,114,101,97,109,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,0,78,83,116,51,95,95,50,49,52,98,97,115,105,99,95,105,111,115,116,114,101,97,109,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,0,78,83,116,51,95,95,50,49,49,95,95,115,116,100,111,117,116,98,117,102,73,119,69,69,0,78,83,116,51,95,95,50,49,49,95,95,115,116,100,111,117,116,98,117,102,73,99,69,69,0,117,110,115,117,112,112,111,114,116,101,100,32,108,111,99,97,108,101,32,102,111,114,32,115,116,97,110,100,97,114,100,32,105,110,112,117,116,0,78,83,116,51,95,95,50,49,48,95,95,115,116,100,105,110,98,117,102,73,119,69,69,0,78,83,116,51,95,95,50,49,48,95,95,115,116,100,105,110,98,117,102,73,99,69,69,0,78,83,116,51,95,95,50,55,99,111,108,108,97,116,101,73,99,69,69,0,78,83,116,51,95,95,50,54,108,111,99,97,108,101,53,102,97,99,101,116,69,0,78,83,116,51,95,95,50,55,99,111,108,108,97,116,101,73,119,69,69,0,48,49,50,51,52,53,54,55,56,57,97,98,99,100,101,102,65,66,67,68,69,70,120,88,43,45,112,80,105,73,110,78,0,37,112,0,67,0,78,83,116,51,95,95,50,55,110,117,109,95,103,101,116,73,99,78,83,95,49,57,105,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,69,69,0,78,83,116,51,95,95,50,57,95,95,110,117,109,95,103,101,116,73,99,69,69,0,78,83,116,51,95,95,50,49,52,95,95,110,117,109,95,103,101,116,95,98,97,115,101,69,0,78,83,116,51,95,95,50,55,110,117,109,95,103,101,116,73,119,78,83,95,49,57,105,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,69,69,0,78,83,116,51,95,95,50,57,95,95,110,117,109,95,103,101,116,73,119,69,69,0,37,112,0,0,0,0,76,0,37,0,0,0,0,0,78,83,116,51,95,95,50,55,110,117,109,95,112,117,116,73,99,78,83,95,49,57,111,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,69,69,0,78,83,116,51,95,95,50,57,95,95,110,117,109,95,112,117,116,73,99,69,69,0,78,83,116,51,95,95,50,49,52,95,95,110,117,109,95,112,117,116,95,98,97,115,101,69,0,78,83,116,51,95,95,50,55,110,117,109,95,112,117,116,73,119,78,83,95,49,57,111,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,69,69,0,78,83,116,51,95,95,50,57,95,95,110,117,109,95,112,117,116,73,119,69,69,0,37,72,58,37,77,58,37,83,0,37,109,47,37,100,47,37,121,0,37,73,58,37,77,58,37,83,32,37,112,0,37,97,32,37,98,32,37,100,32,37,72,58,37,77,58,37,83,32,37,89,0,65,77,0,80,77,0,74,97,110,117,97,114,121,0,70,101,98,114,117,97,114,121,0,77,97,114,99,104,0,65,112,114,105,108,0,77,97,121,0,74,117,110,101,0,74,117,108,121,0,65,117,103,117,115,116,0,83,101,112,116,101,109,98,101,114,0,79,99,116,111,98,101,114,0,78,111,118,101,109,98,101,114,0,68,101,99,101,109,98,101,114,0,74,97,110,0,70,101,98,0,77,97,114,0,65,112,114,0,74,117,110,0,74,117,108,0,65,117,103,0,83,101,112,0,79,99,116,0,78,111,118,0,68,101,99,0,83,117,110,100,97,121,0,77,111,110,100,97,121,0,84,117,101,115,100,97,121,0,87,101,100,110,101,115,100,97,121,0,84,104,117,114,115,100,97,121,0,70,114,105,100,97,121,0,83,97,116,117,114,100,97,121,0,83,117,110,0,77,111,110,0,84,117,101,0,87,101,100,0,84,104,117,0,70,114,105,0,83,97,116,0,37,109,47,37,100,47,37,121,37,89,45,37,109,45,37,100,37,73,58,37,77,58,37,83,32,37,112,37,72,58,37,77,37,72,58,37,77,58,37,83,37,72,58,37,77,58,37,83,78,83,116,51,95,95,50,56,116,105,109,101,95,103,101,116,73,99,78,83,95,49,57,105,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,116,105,109,101,95,103,101,116,95,99,95,115,116,111,114,97,103,101,73,99,69,69,0,78,83,116,51,95,95,50,57,116,105,109,101,95,98,97,115,101,69,0,78,83,116,51,95,95,50,56,116,105,109,101,95,103,101,116,73,119,78,83,95,49,57,105,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,116,105,109,101,95,103,101,116,95,99,95,115,116,111,114,97,103,101,73,119,69,69,0,78,83,116,51,95,95,50,56,116,105,109,101,95,112,117,116,73,99,78,83,95,49,57,111,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,69,69,0,78,83,116,51,95,95,50,49,48,95,95,116,105,109,101,95,112,117,116,69,0,78,83,116,51,95,95,50,56,116,105,109,101,95,112,117,116,73,119,78,83,95,49,57,111,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,69,69,0,78,83,116,51,95,95,50,49,48,109,111,110,101,121,112,117,110,99,116,73,99,76,98,48,69,69,69,0,78,83,116,51,95,95,50,49,48,109,111,110,101,121,95,98,97,115,101,69,0,78,83,116,51,95,95,50,49,48,109,111,110,101,121,112,117,110,99,116,73,99,76,98,49,69,69,69,0,78,83,116,51,95,95,50,49,48,109,111,110,101,121,112,117,110,99,116,73,119,76,98,48,69,69,69,0,78,83,116,51,95,95,50,49,48,109,111,110,101,121,112,117,110,99,116,73,119,76,98,49,69,69,69,0,48,49,50,51,52,53,54,55,56,57,0,37,76,102,0,78,83,116,51,95,95,50,57,109,111,110,101,121,95,103,101,116,73,99,78,83,95,49,57,105,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,69,69,0,78,83,116,51,95,95,50,49,49,95,95,109,111,110,101,121,95,103,101,116,73,99,69,69,0,48,49,50,51,52,53,54,55,56,57,0,78,83,116,51,95,95,50,57,109,111,110,101,121,95,103,101,116,73,119,78,83,95,49,57,105,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,69,69,0,78,83,116,51,95,95,50,49,49,95,95,109,111,110,101,121,95,103,101,116,73,119,69,69,0,37,46,48,76,102,0,78,83,116,51,95,95,50,57,109,111,110,101,121,95,112,117,116,73,99,78,83,95,49,57,111,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,69,69,0,78,83,116,51,95,95,50,49,49,95,95,109,111,110,101,121,95,112,117,116,73,99,69,69,0,78,83,116,51,95,95,50,57,109,111,110,101,121,95,112,117,116,73,119,78,83,95,49,57,111,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,69,69,0,78,83,116,51,95,95,50,49,49,95,95,109,111,110,101,121,95,112,117,116,73,119,69,69,0,78,83,116,51,95,95,50,56,109,101,115,115,97,103,101,115,73,99,69,69,0,78,83,116,51,95,95,50,49,51,109,101,115,115,97,103,101,115,95,98,97,115,101,69,0,78,83,116,51,95,95,50,49,55,95,95,119,105,100,101,110,95,102,114,111,109,95,117,116,102,56,73,76,106,51,50,69,69,69,0,78,83,116,51,95,95,50,55,99,111,100,101,99,118,116,73,68,105,99,49,49,95,95,109,98,115,116,97,116,101,95,116,69,69,0,78,83,116,51,95,95,50,49,50,99,111,100,101,99,118,116,95,98,97,115,101,69,0,78,83,116,51,95,95,50,49,54,95,95,110,97,114,114,111,119,95,116,111,95,117,116,102,56,73,76,106,51,50,69,69,69,0,78,83,116,51,95,95,50,56,109,101,115,115,97,103,101,115,73,119,69,69,0,78,83,116,51,95,95,50,55,99,111,100,101,99,118,116,73,99,99,49,49,95,95,109,98,115,116,97,116,101,95,116,69,69,0,78,83,116,51,95,95,50,55,99,111,100,101,99,118,116,73,119,99,49,49,95,95,109,98,115,116,97,116,101,95,116,69,69,0,78,83,116,51,95,95,50,55,99,111,100,101,99,118,116,73,68,115,99,49,49,95,95,109,98,115,116,97,116,101,95,116,69,69,0,78,83,116,51,95,95,50,54,108,111,99,97,108,101,53,95,95,105,109,112,69,0,78,83,116,51,95,95,50,53,99,116,121,112,101,73,99,69,69,0,78,83,116,51,95,95,50,49,48,99,116,121,112,101,95,98,97,115,101,69,0,78,83,116,51,95,95,50,53,99,116,121,112,101,73,119,69,69,0,78,83,116,51,95,95,50,56,110,117,109,112,117,110,99,116,73,99,69,69,0,78,83,116,51,95,95,50,56,110,117,109,112,117,110,99,116,73,119,69,69,0,78,83,116,51,95,95,50,49,52,95,95,115,104,97,114,101,100,95,99,111,117,110,116,69,0,78,83,116,51,95,95,50,49,57,95,95,115,104,97,114,101,100,95,119,101,97,107,95,99,111,117,110,116,69,0,47,111,112,116,47,98,117,105,108,100,45,119,111,114,107,101,114,47,101,109,115,100,107,47,101,109,115,99,114,105,112,116,101,110,47,49,46,51,55,46,50,49,47,115,121,115,116,101,109,47,108,105,98,47,108,105,98,99,120,120,47,109,117,116,101,120,46,99,112,112,0,117,110,108,111,99,107,0,114,101,99,117,114,115,105,118,101,95,109,117,116,101,120,32,99,111,110,115,116,114,117,99,116,111,114,32,102,97,105,108,101,100,0,101,32,61,61,32,48,0,126,114,101,99,117,114,115,105,118,101,95,109,117,116,101,120,0,114,101,99,117,114,115,105,118,101,95,109,117,116,101,120,32,108,111,99,107,32,102,97,105,108,101,100,0,116,101,114,109,105,110,97,116,105,110,103,32,119,105,116,104,32,37,115,32,101,120,99,101,112,116,105,111,110,32,111,102,32,116,121,112,101,32,37,115,58,32,37,115,0,116,101,114,109,105,110,97,116,105,110,103,32,119,105,116,104,32,37,115,32,101,120,99,101,112,116,105,111,110,32,111,102,32,116,121,112,101,32,37,115,0,116,101,114,109,105,110,97,116,105,110,103,32,119,105,116,104,32,37,115,32,102,111,114,101,105,103,110,32,101,120,99,101,112,116,105,111,110,0,116,101,114,109,105,110,97,116,105,110,103,0,117,110,99,97,117,103,104,116,0,83,116,57,101,120,99,101,112,116,105,111,110,0,78,49,48,95,95,99,120,120,97,98,105,118,49,49,54,95,95,115,104,105,109,95,116,121,112,101,95,105,110,102,111,69,0,83,116,57,116,121,112,101,95,105,110,102,111,0,78,49,48,95,95,99,120,120,97,98,105,118,49,50,48,95,95,115,105,95,99,108,97,115,115,95,116,121,112,101,95,105,110,102,111,69,0,78,49,48,95,95,99,120,120,97,98,105,118,49,49,55,95,95,99,108,97,115,115,95,116,121,112,101,95,105,110,102,111,69,0,112,116,104,114,101,97,100,95,111,110,99,101,32,102,97,105,108,117,114,101,32,105,110,32,95,95,99,120,97,95,103,101,116,95,103,108,111,98,97,108,115,95,102,97,115,116,40,41,0,99,97,110,110,111,116,32,99,114,101,97,116,101,32,112,116,104,114,101,97,100,32,107,101,121,32,102,111,114,32,95,95,99,120,97,95,103,101,116,95,103,108,111,98,97,108,115,40,41,0,99,97,110,110,111,116,32,122,101,114,111,32,111,117,116,32,116,104,114,101,97,100,32,118,97,108,117,101,32,102,111,114,32,95,95,99,120,97,95,103,101,116,95,103,108,111,98,97,108,115,40,41,0,116,101,114,109,105,110,97,116,101,95,104,97,110,100,108,101,114,32,117,110,101,120,112,101,99,116,101,100,108,121,32,114,101,116,117,114,110,101,100,0,83,116,49,49,108,111,103,105,99,95,101,114,114,111,114,0,83,116,49,50,108,101,110,103,116,104,95,101,114,114,111,114,0,83,116,49,50,111,117,116,95,111,102,95,114,97,110,103,101,0,115,116,100,58,58,98,97,100,95,99,97,115,116,0,83,116,56,98,97,100,95,99,97,115,116,0,78,49,48,95,95,99,120,120,97,98,105,118,49,49,57,95,95,112,111,105,110,116,101,114,95,116,121,112,101,95,105,110,102,111,69,0,78,49,48,95,95,99,120,120,97,98,105,118,49,49,55,95,95,112,98,97,115,101,95,116,121,112,101,95,105,110,102,111,69,0,78,49,48,95,95,99,120,120,97,98,105,118,49,50,51,95,95,102,117,110,100,97,109,101,110,116,97,108,95,116,121,112,101,95,105,110,102,111,69,0,118,0,68,110,0,98,0,97,0,115,0,105,0,106,0,109,0,100,0,78,49,48,95,95,99,120,120,97,98,105,118,49,49,54,95,95,101,110,117,109,95,116,121,112,101,95,105,110,102,111,69,0,78,49,48,95,95,99,120,120,97,98,105,118,49,50,49,95,95,118,109,105,95,99,108,97,115,115,95,116,121,112,101,95,105,110,102,111,69,0,32,99,111,110,115,116,0,32,118,111,108,97,116,105,108,101,0,32,114,101,115,116,114,105,99,116,0,32,99,111,109,112,108,101,120,0,32,105,109,97,103,105,110,97,114,121,0,32,91,0,32,40,0,41,0,40,0,38,38,0,111,98,106,99,95,111,98,106,101,99,116,60,0,42,0,38,0,111,98,106,99,112,114,111,116,111,0,32,0,60,0,62,0,32,118,101,99,116,111,114,91,0,93,0,112,105,120,101,108,32,118,101,99,116,111,114,91,0,38,61,0,61,0,44,0,126,0,58,58,0,100,101,108,101,116,101,91,93,32,0,100,101,108,101,116,101,32,0,47,0,47,61,0,94,0,94,61,0,61,61,0,62,61,0,41,91,0,60,61,0,60,60,0,60,60,61,0,45,0,45,61,0,42,61,0,45,45,0,41,45,45,0,33,61,0,33,0,124,124,0,124,0,124,61,0,45,62,42,0,43,0,43,61,0,43,43,0,41,43,43,0,41,32,63,32,40,0,41,32,58,32,40,0,37,0,37,61,0,62,62,0,62,62,61,0,116,104,114,111,119,0,116,104,114,111,119,32,0,116,121,112,101,105,100,40,0,115,105,122,101,111,102,46,46,46,40,0,44,32,0,115,105,122,101,111,102,32,40,0,115,116,97,116,105,99,95,99,97,115,116,60,0,62,40,0,114,101,105,110,116,101,114,112,114,101,116,95,99,97,115,116,60,0,45,62,0,110,111,101,120,99,101,112,116,32,40,0,91,93,32,0,41,32,0,46,0,46,42,0,115,116,100,58,58,0,111,112,101,114,97,116,111,114,38,38,0,111,112,101,114,97,116,111,114,38,0,111,112,101,114,97,116,111,114,38,61,0,111,112,101,114,97,116,111,114,61,0,111,112,101,114,97,116,111,114,40,41,0,111,112,101,114,97,116,111,114,44,0,111,112,101,114,97,116,111,114,126,0,111,112,101,114,97,116,111,114,32,0,111,112,101,114,97,116,111,114,32,100,101,108,101,116,101,91,93,0,111,112,101,114,97,116,111,114,42,0,111,112,101,114,97,116,111,114,47,0,111,112,101,114,97,116,111,114,47,61,0,111,112,101,114,97,116,111,114,94,0,111,112,101,114,97,116,111,114,94,61,0,111,112,101,114,97,116,111,114,61,61,0,111,112,101,114,97,116,111,114,62,61,0,111,112,101,114,97,116,111,114,62,0,111,112,101,114,97,116,111,114,91,93,0,111,112,101,114,97,116,111,114,60,61,0,111,112,101,114,97,116,111,114,34,34,32,0,111,112,101,114,97,116,111,114,60,60,0,111,112,101,114,97,116,111,114,60,60,61,0,111,112,101,114,97,116,111,114,60,0,111,112,101,114,97,116,111,114,45,0,111,112,101,114,97,116,111,114,45,61,0,111,112,101,114,97,116,111,114,42,61,0,111,112,101,114,97,116,111,114,45,45,0,111,112,101,114,97,116,111,114,32,110,101,119,91,93,0,111,112,101,114,97,116,111,114,33,61,0,111,112,101,114,97,116,111,114,33,0,111,112,101,114,97,116,111,114,32,110,101,119,0,111,112,101,114,97,116,111,114,124,124,0,111,112,101,114,97,116,111,114,124,0,111,112,101,114,97,116,111,114,124,61,0,111,112,101,114,97,116,111,114,45,62,42,0,111,112,101,114,97,116,111,114,43,0,111,112,101,114,97,116,111,114,43,61,0,111,112,101,114,97,116,111,114,43,43,0,111,112,101,114,97,116,111,114,45,62,0,111,112,101,114,97,116,111,114,63,0,111,112,101,114,97,116,111,114,37,0,111,112,101,114,97,116,111,114,37,61,0,111,112,101,114,97,116,111,114,62,62,0,111,112,101,114,97,116,111,114,62,62,61,0,111,112,101,114,97,116,111,114,32,100,101,108,101,116,101,0,39,117,110,110,97,109,101,100,0,39,108,97,109,98,100,97,39,40,0,115,116,100,58,58,115,116,114,105,110,103,0,115,116,100,58,58,98,97,115,105,99,95,115,116,114,105,110,103,60,99,104,97,114,44,32,115,116,100,58,58,99,104,97,114,95,116,114,97,105,116,115,60,99,104,97,114,62,44,32,115,116,100,58,58,97,108,108,111,99,97,116,111,114,60,99,104,97,114,62,32,62,0,98,97,115,105,99,95,115,116,114,105,110,103,0,115,116,100,58,58,105,115,116,114,101,97,109,0,115,116,100,58,58,98,97,115,105,99,95,105,115,116,114,101,97,109,60,99,104,97,114,44,32,115,116,100,58,58,99,104,97,114,95,116,114,97,105,116,115,60,99,104,97,114,62,32,62,0,98,97,115,105,99,95,105,115,116,114,101,97,109,0,115,116,100,58,58,111,115,116,114,101,97,109,0,115,116,100,58,58,98,97,115,105,99,95,111,115,116,114,101,97,109,60,99,104,97,114,44,32,115,116,100,58,58,99,104,97,114,95,116,114,97,105,116,115,60,99,104,97,114,62,32,62,0,98,97,115,105,99,95,111,115,116,114,101,97,109,0,115,116,100,58,58,105,111,115,116,114,101,97,109,0,115,116,100,58,58,98,97,115,105,99,95,105,111,115,116,114,101,97,109,60,99,104,97,114,44,32,115,116,100,58,58,99,104,97,114,95,116,114,97,105,116,115,60,99,104,97,114,62,32,62,0,98,97,115,105,99,95,105,111,115,116,114,101,97,109,0,100,121,110,97,109,105,99,95,99,97,115,116,60,0,41,40,0,99,111,110,115,116,95,99,97,115,116,60,0,97,108,105,103,110,111,102,32,40,0,102,112,0,119,99,104,97,114,95,116,0,102,97,108,115,101,0,116,114,117,101,0,99,104,97,114,0,115,105,103,110,101,100,32,99,104,97,114,0,117,110,115,105,103,110,101,100,32,99,104,97,114,0,115,104,111,114,116,0,117,110,115,105,103,110,101,100,32,115,104,111,114,116,0,117,0,108,0,117,108,0,108,108,0,117,108,108,0,95,95,105,110,116,49,50,56,0,117,110,115,105,103,110,101,100,32,95,95,105,110,116,49,50,56,0,37,76,97,76,0,37,97,0,37,97,102,0,100,101,99,108,116,121,112,101,40,0,115,116,100,58,58,97,108,108,111,99,97,116,111,114,0,115,116,100,58,58,98,97,115,105,99,95,115,116,114,105,110,103,0,58,58,115,116,114,105,110,103,32,108,105,116,101,114,97,108,0,115,116,100,0,95,71,76,79,66,65,76,95,95,78,0,40,97,110,111,110,121,109,111,117,115,32,110,97,109,101,115,112,97,99,101,41,0,32,62,0,84,95,0,105,100,0,58,58,42,0,32,38,0,32,38,38,0,32,91,93,0,118,111,105,100,0,98,111,111,108,0,105,110,116,0,117,110,115,105,103,110,101,100,32,105,110,116,0,108,111,110,103,0,117,110,115,105,103,110,101,100,32,108,111,110,103,0,108,111,110,103,32,108,111,110,103,0,102,108,111,97,116,0,108,111,110,103,32,100,111,117,98,108,101,0,95,95,102,108,111,97,116,49,50,56,0,46,46,46,0,100,101,99,105,109,97,108,54,52,0,100,101,99,105,109,97,108,49,50,56,0,100,101,99,105,109,97,108,51,50,0,100,101,99,105,109,97,108,49,54,0,99,104,97,114,51,50,95,116,0,99,104,97,114,49,54,95,116,0,97,117,116,111,0,115,116,100,58,58,110,117,108,108,112,116,114,95,116,0,100,111,117,98,108,101,0,117,110,115,105,103,110,101,100,32,108,111,110,103,32,108,111,110,103,0,95,98,108,111,99,107,95,105,110,118,111,107,101,0,105,110,118,111,99,97,116,105,111,110,32,102,117,110,99,116,105,111,110,32,102,111,114,32,98,108,111,99,107,32,105,110,32,0,118,116,97],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+522244);allocate([98,108,101,32,102,111,114,32,0,86,84,84,32,102,111,114,32,0,116,121,112,101,105,110,102,111,32,102,111,114,32,0,116,121,112,101,105,110,102,111,32,110,97,109,101,32,102,111,114,32,0,99,111,118,97,114,105,97,110,116,32,114,101,116,117,114,110,32,116,104,117,110,107,32,116,111,32,0,99,111,110,115,116,114,117,99,116,105,111,110,32,118,116,97,98,108,101,32,102,111,114,32,0,45,105,110,45,0,118,105,114,116,117,97,108,32,116,104,117,110,107,32,116,111,32,0,110,111,110,45,118,105,114,116,117,97,108,32,116,104,117,110,107,32,116,111,32,0,103,117,97,114,100,32,118,97,114,105,97,98,108,101,32,102,111,114,32,0,114,101,102,101,114,101,110,99,101,32,116,101,109,112,111,114,97,114,121,32,102,111,114,32,0],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+532484);var tempDoublePtr=STATICTOP;STATICTOP+=16;function _atexit(func,arg){__ATEXIT__.unshift({func:func,arg:arg})}function ___cxa_atexit(){return _atexit.apply(null,arguments)}var emval_symbols={};function embind_init_charCodes(){var codes=new Array(256);for(var i=0;i<256;++i){codes[i]=String.fromCharCode(i)}embind_charCodes=codes}var embind_charCodes=undefined;function readLatin1String(ptr){var ret="";var c=ptr;while(HEAPU8[c]){ret+=embind_charCodes[HEAPU8[c++]]}return ret}function getStringOrSymbol(address){var symbol=emval_symbols[address];if(symbol===undefined){return readLatin1String(address)}else{return symbol}}var emval_free_list=[];var emval_handle_array=[{},{value:undefined},{value:null},{value:true},{value:false}];function count_emval_handles(){var count=0;for(var i=5;i<emval_handle_array.length;++i){if(emval_handle_array[i]!==undefined){++count}}return count}function get_first_emval(){for(var i=5;i<emval_handle_array.length;++i){if(emval_handle_array[i]!==undefined){return emval_handle_array[i]}}return null}function init_emval(){Module["count_emval_handles"]=count_emval_handles;Module["get_first_emval"]=get_first_emval}function __emval_register(value){switch(value){case undefined:{return 1};case null:{return 2};case true:{return 3};case false:{return 4};default:{var handle=emval_free_list.length?emval_free_list.pop():emval_handle_array.length;emval_handle_array[handle]={refcount:1,value:value};return handle}}}function __emval_new_cstring(v){return __emval_register(getStringOrSymbol(v))}var emval_methodCallers=[];function __emval_addMethodCaller(caller){var id=emval_methodCallers.length;emval_methodCallers.push(caller);return id}var registeredTypes={};function getTypeName(type){var ptr=___getTypeName(type);var rv=readLatin1String(ptr);_free(ptr);return rv}var char_0=48;var char_9=57;function makeLegalFunctionName(name){if(undefined===name){return"_unknown"}name=name.replace(/[^a-zA-Z0-9_]/g,"$");var f=name.charCodeAt(0);if(f>=char_0&&f<=char_9){return"_"+name}else{return name}}function createNamedFunction(name,body){name=makeLegalFunctionName(name);return(new Function("body","return function "+name+"() {\n"+'    "use strict";'+"    return body.apply(this, arguments);\n"+"};\n"))(body)}function extendError(baseErrorType,errorName){var errorClass=createNamedFunction(errorName,(function(message){this.name=errorName;this.message=message;var stack=(new Error(message)).stack;if(stack!==undefined){this.stack=this.toString()+"\n"+stack.replace(/^Error(:[^\n]*)?\n/,"")}}));errorClass.prototype=Object.create(baseErrorType.prototype);errorClass.prototype.constructor=errorClass;errorClass.prototype.toString=(function(){if(this.message===undefined){return this.name}else{return this.name+": "+this.message}});return errorClass}var BindingError=undefined;function throwBindingError(message){throw new BindingError(message)}function requireRegisteredType(rawType,humanName){var impl=registeredTypes[rawType];if(undefined===impl){throwBindingError(humanName+" has unknown type "+getTypeName(rawType))}return impl}function __emval_lookupTypes(argCount,argTypes,argWireTypes){var a=new Array(argCount);for(var i=0;i<argCount;++i){a[i]=requireRegisteredType(HEAP32[(argTypes>>2)+i],"parameter "+i)}return a}function new_(constructor,argumentList){if(!(constructor instanceof Function)){throw new TypeError("new_ called with constructor type "+typeof constructor+" which is not a function")}var dummy=createNamedFunction(constructor.name||"unknownFunctionName",(function(){}));dummy.prototype=constructor.prototype;var obj=new dummy;var r=constructor.apply(obj,argumentList);return r instanceof Object?r:obj}function __emval_get_method_caller(argCount,argTypes){var types=__emval_lookupTypes(argCount,argTypes);var retType=types[0];var signatureName=retType.name+"_$"+types.slice(1).map((function(t){return t.name})).join("_")+"$";var params=["retType"];var args=[retType];var argsList="";for(var i=0;i<argCount-1;++i){argsList+=(i!==0?", ":"")+"arg"+i;params.push("argType"+i);args.push(types[1+i])}var functionName=makeLegalFunctionName("methodCaller_"+signatureName);var functionBody="return function "+functionName+"(handle, name, destructors, args) {\n";var offset=0;for(var i=0;i<argCount-1;++i){functionBody+="    var arg"+i+" = argType"+i+".readValueFromPointer(args"+(offset?"+"+offset:"")+");\n";offset+=types[i+1]["argPackAdvance"]}functionBody+="    var rv = handle[name]("+argsList+");\n";for(var i=0;i<argCount-1;++i){if(types[i+1]["deleteObject"]){functionBody+="    argType"+i+".deleteObject(arg"+i+");\n"}}if(!retType.isVoid){functionBody+="    return retType.toWireType(destructors, rv);\n"}functionBody+="};\n";params.push(functionBody);var invokerFunction=new_(Function,params).apply(null,args);return __emval_addMethodCaller(invokerFunction)}function __ZSt18uncaught_exceptionv(){return!!__ZSt18uncaught_exceptionv.uncaught_exception}var EXCEPTIONS={last:0,caught:[],infos:{},deAdjust:(function(adjusted){if(!adjusted||EXCEPTIONS.infos[adjusted])return adjusted;for(var ptr in EXCEPTIONS.infos){var info=EXCEPTIONS.infos[ptr];if(info.adjusted===adjusted){return ptr}}return adjusted}),addRef:(function(ptr){if(!ptr)return;var info=EXCEPTIONS.infos[ptr];info.refcount++}),decRef:(function(ptr){if(!ptr)return;var info=EXCEPTIONS.infos[ptr];assert(info.refcount>0);info.refcount--;if(info.refcount===0&&!info.rethrown){if(info.destructor){Module["dynCall_vi"](info.destructor,ptr)}delete EXCEPTIONS.infos[ptr];___cxa_free_exception(ptr)}}),clearRef:(function(ptr){if(!ptr)return;var info=EXCEPTIONS.infos[ptr];info.refcount=0})};function ___resumeException(ptr){if(!EXCEPTIONS.last){EXCEPTIONS.last=ptr}throw ptr+" - Exception catching is disabled, this exception cannot be caught. Compile with -s DISABLE_EXCEPTION_CATCHING=0 or DISABLE_EXCEPTION_CATCHING=2 to catch."}function ___cxa_find_matching_catch(){var thrown=EXCEPTIONS.last;if(!thrown){return(Runtime.setTempRet0(0),0)|0}var info=EXCEPTIONS.infos[thrown];var throwntype=info.type;if(!throwntype){return(Runtime.setTempRet0(0),thrown)|0}var typeArray=Array.prototype.slice.call(arguments);var pointer=Module["___cxa_is_pointer_type"](throwntype);if(!___cxa_find_matching_catch.buffer)___cxa_find_matching_catch.buffer=_malloc(4);HEAP32[___cxa_find_matching_catch.buffer>>2]=thrown;thrown=___cxa_find_matching_catch.buffer;for(var i=0;i<typeArray.length;i++){if(typeArray[i]&&Module["___cxa_can_catch"](typeArray[i],throwntype,thrown)){thrown=HEAP32[thrown>>2];info.adjusted=thrown;return(Runtime.setTempRet0(typeArray[i]),thrown)|0}}thrown=HEAP32[thrown>>2];return(Runtime.setTempRet0(throwntype),thrown)|0}function ___cxa_throw(ptr,type,destructor){EXCEPTIONS.infos[ptr]={ptr:ptr,adjusted:ptr,type:type,destructor:destructor,refcount:0,caught:false,rethrown:false};EXCEPTIONS.last=ptr;if(!("uncaught_exception"in __ZSt18uncaught_exceptionv)){__ZSt18uncaught_exceptionv.uncaught_exception=1}else{__ZSt18uncaught_exceptionv.uncaught_exception++}throw ptr+" - Exception catching is disabled, this exception cannot be caught. Compile with -s DISABLE_EXCEPTION_CATCHING=0 or DISABLE_EXCEPTION_CATCHING=2 to catch."}var awaitingDependencies={};var typeDependencies={};var InternalError=undefined;function throwInternalError(message){throw new InternalError(message)}function whenDependentTypesAreResolved(myTypes,dependentTypes,getTypeConverters){myTypes.forEach((function(type){typeDependencies[type]=dependentTypes}));function onComplete(typeConverters){var myTypeConverters=getTypeConverters(typeConverters);if(myTypeConverters.length!==myTypes.length){throwInternalError("Mismatched type converter count")}for(var i=0;i<myTypes.length;++i){registerType(myTypes[i],myTypeConverters[i])}}var typeConverters=new Array(dependentTypes.length);var unregisteredTypes=[];var registered=0;dependentTypes.forEach((function(dt,i){if(registeredTypes.hasOwnProperty(dt)){typeConverters[i]=registeredTypes[dt]}else{unregisteredTypes.push(dt);if(!awaitingDependencies.hasOwnProperty(dt)){awaitingDependencies[dt]=[]}awaitingDependencies[dt].push((function(){typeConverters[i]=registeredTypes[dt];++registered;if(registered===unregisteredTypes.length){onComplete(typeConverters)}}))}}));if(0===unregisteredTypes.length){onComplete(typeConverters)}}function registerType(rawType,registeredInstance,options){options=options||{};if(!("argPackAdvance"in registeredInstance)){throw new TypeError("registerType registeredInstance requires argPackAdvance")}var name=registeredInstance.name;if(!rawType){throwBindingError('type "'+name+'" must have a positive integer typeid pointer')}if(registeredTypes.hasOwnProperty(rawType)){if(options.ignoreDuplicateRegistrations){return}else{throwBindingError("Cannot register type '"+name+"' twice")}}registeredTypes[rawType]=registeredInstance;delete typeDependencies[rawType];if(awaitingDependencies.hasOwnProperty(rawType)){var callbacks=awaitingDependencies[rawType];delete awaitingDependencies[rawType];callbacks.forEach((function(cb){cb()}))}}function simpleReadValueFromPointer(pointer){return this["fromWireType"](HEAPU32[pointer>>2])}function __embind_register_std_string(rawType,name){name=readLatin1String(name);registerType(rawType,{name:name,"fromWireType":(function(value){var length=HEAPU32[value>>2];var a=new Array(length);for(var i=0;i<length;++i){a[i]=String.fromCharCode(HEAPU8[value+4+i])}_free(value);return a.join("")}),"toWireType":(function(destructors,value){if(value instanceof ArrayBuffer){value=new Uint8Array(value)}function getTAElement(ta,index){return ta[index]}function getStringElement(string,index){return string.charCodeAt(index)}var getElement;if(value instanceof Uint8Array){getElement=getTAElement}else if(value instanceof Uint8ClampedArray){getElement=getTAElement}else if(value instanceof Int8Array){getElement=getTAElement}else if(typeof value==="string"){getElement=getStringElement}else{throwBindingError("Cannot pass non-string to std::string")}var length=value.length;var ptr=_malloc(4+length);HEAPU32[ptr>>2]=length;for(var i=0;i<length;++i){var charCode=getElement(value,i);if(charCode>255){_free(ptr);throwBindingError("String has UTF-16 code units that do not fit in 8 bits")}HEAPU8[ptr+4+i]=charCode}if(destructors!==null){destructors.push(_free,ptr)}return ptr}),"argPackAdvance":8,"readValueFromPointer":simpleReadValueFromPointer,destructorFunction:(function(ptr){_free(ptr)})})}function __embind_register_std_wstring(rawType,charSize,name){name=readLatin1String(name);var getHeap,shift;if(charSize===2){getHeap=(function(){return HEAPU16});shift=1}else if(charSize===4){getHeap=(function(){return HEAPU32});shift=2}registerType(rawType,{name:name,"fromWireType":(function(value){var HEAP=getHeap();var length=HEAPU32[value>>2];var a=new Array(length);var start=value+4>>shift;for(var i=0;i<length;++i){a[i]=String.fromCharCode(HEAP[start+i])}_free(value);return a.join("")}),"toWireType":(function(destructors,value){var HEAP=getHeap();var length=value.length;var ptr=_malloc(4+length*charSize);HEAPU32[ptr>>2]=length;var start=ptr+4>>shift;for(var i=0;i<length;++i){HEAP[start+i]=value.charCodeAt(i)}if(destructors!==null){destructors.push(_free,ptr)}return ptr}),"argPackAdvance":8,"readValueFromPointer":simpleReadValueFromPointer,destructorFunction:(function(ptr){_free(ptr)})})}function _pthread_mutex_init(){}var cttz_i8=allocate([8,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,5,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,6,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,5,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,7,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,5,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,6,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,5,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0],"i8",ALLOC_STATIC);function __emval_decref(handle){if(handle>4&&0===--emval_handle_array[handle].refcount){emval_handle_array[handle]=undefined;emval_free_list.push(handle)}}function _embind_repr(v){if(v===null){return"null"}var t=typeof v;if(t==="object"||t==="array"||t==="function"){return v.toString()}else{return""+v}}function getShiftFromSize(size){switch(size){case 1:return 0;case 2:return 1;case 4:return 2;case 8:return 3;default:throw new TypeError("Unknown type size: "+size)}}function integerReadValueFromPointer(name,shift,signed){switch(shift){case 0:return signed?function readS8FromPointer(pointer){return HEAP8[pointer]}:function readU8FromPointer(pointer){return HEAPU8[pointer]};case 1:return signed?function readS16FromPointer(pointer){return HEAP16[pointer>>1]}:function readU16FromPointer(pointer){return HEAPU16[pointer>>1]};case 2:return signed?function readS32FromPointer(pointer){return HEAP32[pointer>>2]}:function readU32FromPointer(pointer){return HEAPU32[pointer>>2]};default:throw new TypeError("Unknown integer type: "+name)}}function __embind_register_integer(primitiveType,name,size,minRange,maxRange){name=readLatin1String(name);if(maxRange===-1){maxRange=4294967295}var shift=getShiftFromSize(size);var fromWireType=(function(value){return value});if(minRange===0){var bitshift=32-8*size;fromWireType=(function(value){return value<<bitshift>>>bitshift})}var isUnsignedType=name.indexOf("unsigned")!=-1;registerType(primitiveType,{name:name,"fromWireType":fromWireType,"toWireType":(function(destructors,value){if(typeof value!=="number"&&typeof value!=="boolean"){throw new TypeError('Cannot convert "'+_embind_repr(value)+'" to '+this.name)}if(value<minRange||value>maxRange){throw new TypeError('Passing a number "'+_embind_repr(value)+'" from JS side to C/C++ side to an argument of type "'+name+'", which is outside the valid range ['+minRange+", "+maxRange+"]!")}return isUnsignedType?value>>>0:value|0}),"argPackAdvance":8,"readValueFromPointer":integerReadValueFromPointer(name,shift,minRange!==0),destructorFunction:null})}var structRegistrations={};function runDestructors(destructors){while(destructors.length){var ptr=destructors.pop();var del=destructors.pop();del(ptr)}}function __embind_finalize_value_object(structType){var reg=structRegistrations[structType];delete structRegistrations[structType];var rawConstructor=reg.rawConstructor;var rawDestructor=reg.rawDestructor;var fieldRecords=reg.fields;var fieldTypes=fieldRecords.map((function(field){return field.getterReturnType})).concat(fieldRecords.map((function(field){return field.setterArgumentType})));whenDependentTypesAreResolved([structType],fieldTypes,(function(fieldTypes){var fields={};fieldRecords.forEach((function(field,i){var fieldName=field.fieldName;var getterReturnType=fieldTypes[i];var getter=field.getter;var getterContext=field.getterContext;var setterArgumentType=fieldTypes[i+fieldRecords.length];var setter=field.setter;var setterContext=field.setterContext;fields[fieldName]={read:(function(ptr){return getterReturnType["fromWireType"](getter(getterContext,ptr))}),write:(function(ptr,o){var destructors=[];setter(setterContext,ptr,setterArgumentType["toWireType"](destructors,o));runDestructors(destructors)})}}));return[{name:reg.name,"fromWireType":(function(ptr){var rv={};for(var i in fields){rv[i]=fields[i].read(ptr)}rawDestructor(ptr);return rv}),"toWireType":(function(destructors,o){for(var fieldName in fields){if(!(fieldName in o)){throw new TypeError("Missing field")}}var ptr=rawConstructor();for(fieldName in fields){fields[fieldName].write(ptr,o[fieldName])}if(destructors!==null){destructors.push(rawDestructor,ptr)}return ptr}),"argPackAdvance":8,"readValueFromPointer":simpleReadValueFromPointer,destructorFunction:rawDestructor}]}))}var PTHREAD_SPECIFIC={};var PTHREAD_SPECIFIC_NEXT_KEY=1;var ERRNO_CODES={EPERM:1,ENOENT:2,ESRCH:3,EINTR:4,EIO:5,ENXIO:6,E2BIG:7,ENOEXEC:8,EBADF:9,ECHILD:10,EAGAIN:11,EWOULDBLOCK:11,ENOMEM:12,EACCES:13,EFAULT:14,ENOTBLK:15,EBUSY:16,EEXIST:17,EXDEV:18,ENODEV:19,ENOTDIR:20,EISDIR:21,EINVAL:22,ENFILE:23,EMFILE:24,ENOTTY:25,ETXTBSY:26,EFBIG:27,ENOSPC:28,ESPIPE:29,EROFS:30,EMLINK:31,EPIPE:32,EDOM:33,ERANGE:34,ENOMSG:42,EIDRM:43,ECHRNG:44,EL2NSYNC:45,EL3HLT:46,EL3RST:47,ELNRNG:48,EUNATCH:49,ENOCSI:50,EL2HLT:51,EDEADLK:35,ENOLCK:37,EBADE:52,EBADR:53,EXFULL:54,ENOANO:55,EBADRQC:56,EBADSLT:57,EDEADLOCK:35,EBFONT:59,ENOSTR:60,ENODATA:61,ETIME:62,ENOSR:63,ENONET:64,ENOPKG:65,EREMOTE:66,ENOLINK:67,EADV:68,ESRMNT:69,ECOMM:70,EPROTO:71,EMULTIHOP:72,EDOTDOT:73,EBADMSG:74,ENOTUNIQ:76,EBADFD:77,EREMCHG:78,ELIBACC:79,ELIBBAD:80,ELIBSCN:81,ELIBMAX:82,ELIBEXEC:83,ENOSYS:38,ENOTEMPTY:39,ENAMETOOLONG:36,ELOOP:40,EOPNOTSUPP:95,EPFNOSUPPORT:96,ECONNRESET:104,ENOBUFS:105,EAFNOSUPPORT:97,EPROTOTYPE:91,ENOTSOCK:88,ENOPROTOOPT:92,ESHUTDOWN:108,ECONNREFUSED:111,EADDRINUSE:98,ECONNABORTED:103,ENETUNREACH:101,ENETDOWN:100,ETIMEDOUT:110,EHOSTDOWN:112,EHOSTUNREACH:113,EINPROGRESS:115,EALREADY:114,EDESTADDRREQ:89,EMSGSIZE:90,EPROTONOSUPPORT:93,ESOCKTNOSUPPORT:94,EADDRNOTAVAIL:99,ENETRESET:102,EISCONN:106,ENOTCONN:107,ETOOMANYREFS:109,EUSERS:87,EDQUOT:122,ESTALE:116,ENOTSUP:95,ENOMEDIUM:123,EILSEQ:84,EOVERFLOW:75,ECANCELED:125,ENOTRECOVERABLE:131,EOWNERDEAD:130,ESTRPIPE:86};function _pthread_key_create(key,destructor){if(key==0){return ERRNO_CODES.EINVAL}HEAP32[key>>2]=PTHREAD_SPECIFIC_NEXT_KEY;PTHREAD_SPECIFIC[PTHREAD_SPECIFIC_NEXT_KEY]=0;PTHREAD_SPECIFIC_NEXT_KEY++;return 0}function __emval_take_value(type,argv){type=requireRegisteredType(type,"_emval_take_value");var v=type["readValueFromPointer"](argv);return __emval_register(v)}var _llvm_pow_f32=Math_pow;var ERRNO_MESSAGES={0:"Success",1:"Not super-user",2:"No such file or directory",3:"No such process",4:"Interrupted system call",5:"I/O error",6:"No such device or address",7:"Arg list too long",8:"Exec format error",9:"Bad file number",10:"No children",11:"No more processes",12:"Not enough core",13:"Permission denied",14:"Bad address",15:"Block device required",16:"Mount device busy",17:"File exists",18:"Cross-device link",19:"No such device",20:"Not a directory",21:"Is a directory",22:"Invalid argument",23:"Too many open files in system",24:"Too many open files",25:"Not a typewriter",26:"Text file busy",27:"File too large",28:"No space left on device",29:"Illegal seek",30:"Read only file system",31:"Too many links",32:"Broken pipe",33:"Math arg out of domain of func",34:"Math result not representable",35:"File locking deadlock error",36:"File or path name too long",37:"No record locks available",38:"Function not implemented",39:"Directory not empty",40:"Too many symbolic links",42:"No message of desired type",43:"Identifier removed",44:"Channel number out of range",45:"Level 2 not synchronized",46:"Level 3 halted",47:"Level 3 reset",48:"Link number out of range",49:"Protocol driver not attached",50:"No CSI structure available",51:"Level 2 halted",52:"Invalid exchange",53:"Invalid request descriptor",54:"Exchange full",55:"No anode",56:"Invalid request code",57:"Invalid slot",59:"Bad font file fmt",60:"Device not a stream",61:"No data (for no delay io)",62:"Timer expired",63:"Out of streams resources",64:"Machine is not on the network",65:"Package not installed",66:"The object is remote",67:"The link has been severed",68:"Advertise error",69:"Srmount error",70:"Communication error on send",71:"Protocol error",72:"Multihop attempted",73:"Cross mount point (not really error)",74:"Trying to read unreadable message",75:"Value too large for defined data type",76:"Given log. name not unique",77:"f.d. invalid for this operation",78:"Remote address changed",79:"Can   access a needed shared lib",80:"Accessing a corrupted shared lib",81:".lib section in a.out corrupted",82:"Attempting to link in too many libs",83:"Attempting to exec a shared library",84:"Illegal byte sequence",86:"Streams pipe error",87:"Too many users",88:"Socket operation on non-socket",89:"Destination address required",90:"Message too long",91:"Protocol wrong type for socket",92:"Protocol not available",93:"Unknown protocol",94:"Socket type not supported",95:"Not supported",96:"Protocol family not supported",97:"Address family not supported by protocol family",98:"Address already in use",99:"Address not available",100:"Network interface is not configured",101:"Network is unreachable",102:"Connection reset by network",103:"Connection aborted",104:"Connection reset by peer",105:"No buffer space available",106:"Socket is already connected",107:"Socket is not connected",108:"Can't send after socket shutdown",109:"Too many references",110:"Connection timed out",111:"Connection refused",112:"Host is down",113:"Host is unreachable",114:"Socket already connected",115:"Connection already in progress",116:"Stale file handle",122:"Quota exceeded",123:"No medium (in tape drive)",125:"Operation canceled",130:"Previous owner died",131:"State not recoverable"};function ___setErrNo(value){if(Module["___errno_location"])HEAP32[Module["___errno_location"]()>>2]=value;return value}var PATH={splitPath:(function(filename){var splitPathRe=/^(\/?|)([\s\S]*?)((?:\.{1,2}|[^\/]+?|)(\.[^.\/]*|))(?:[\/]*)$/;return splitPathRe.exec(filename).slice(1)}),normalizeArray:(function(parts,allowAboveRoot){var up=0;for(var i=parts.length-1;i>=0;i--){var last=parts[i];if(last==="."){parts.splice(i,1)}else if(last===".."){parts.splice(i,1);up++}else if(up){parts.splice(i,1);up--}}if(allowAboveRoot){for(;up;up--){parts.unshift("..")}}return parts}),normalize:(function(path){var isAbsolute=path.charAt(0)==="/",trailingSlash=path.substr(-1)==="/";path=PATH.normalizeArray(path.split("/").filter((function(p){return!!p})),!isAbsolute).join("/");if(!path&&!isAbsolute){path="."}if(path&&trailingSlash){path+="/"}return(isAbsolute?"/":"")+path}),dirname:(function(path){var result=PATH.splitPath(path),root=result[0],dir=result[1];if(!root&&!dir){return"."}if(dir){dir=dir.substr(0,dir.length-1)}return root+dir}),basename:(function(path){if(path==="/")return"/";var lastSlash=path.lastIndexOf("/");if(lastSlash===-1)return path;return path.substr(lastSlash+1)}),extname:(function(path){return PATH.splitPath(path)[3]}),join:(function(){var paths=Array.prototype.slice.call(arguments,0);return PATH.normalize(paths.join("/"))}),join2:(function(l,r){return PATH.normalize(l+"/"+r)}),resolve:(function(){var resolvedPath="",resolvedAbsolute=false;for(var i=arguments.length-1;i>=-1&&!resolvedAbsolute;i--){var path=i>=0?arguments[i]:FS.cwd();if(typeof path!=="string"){throw new TypeError("Arguments to path.resolve must be strings")}else if(!path){return""}resolvedPath=path+"/"+resolvedPath;resolvedAbsolute=path.charAt(0)==="/"}resolvedPath=PATH.normalizeArray(resolvedPath.split("/").filter((function(p){return!!p})),!resolvedAbsolute).join("/");return(resolvedAbsolute?"/":"")+resolvedPath||"."}),relative:(function(from,to){from=PATH.resolve(from).substr(1);to=PATH.resolve(to).substr(1);function trim(arr){var start=0;for(;start<arr.length;start++){if(arr[start]!=="")break}var end=arr.length-1;for(;end>=0;end--){if(arr[end]!=="")break}if(start>end)return[];return arr.slice(start,end-start+1)}var fromParts=trim(from.split("/"));var toParts=trim(to.split("/"));var length=Math.min(fromParts.length,toParts.length);var samePartsLength=length;for(var i=0;i<length;i++){if(fromParts[i]!==toParts[i]){samePartsLength=i;break}}var outputParts=[];for(var i=samePartsLength;i<fromParts.length;i++){outputParts.push("..")}outputParts=outputParts.concat(toParts.slice(samePartsLength));return outputParts.join("/")})};var TTY={ttys:[],init:(function(){}),shutdown:(function(){}),register:(function(dev,ops){TTY.ttys[dev]={input:[],output:[],ops:ops};FS.registerDevice(dev,TTY.stream_ops)}),stream_ops:{open:(function(stream){var tty=TTY.ttys[stream.node.rdev];if(!tty){throw new FS.ErrnoError(ERRNO_CODES.ENODEV)}stream.tty=tty;stream.seekable=false}),close:(function(stream){stream.tty.ops.flush(stream.tty)}),flush:(function(stream){stream.tty.ops.flush(stream.tty)}),read:(function(stream,buffer,offset,length,pos){if(!stream.tty||!stream.tty.ops.get_char){throw new FS.ErrnoError(ERRNO_CODES.ENXIO)}var bytesRead=0;for(var i=0;i<length;i++){var result;try{result=stream.tty.ops.get_char(stream.tty)}catch(e){throw new FS.ErrnoError(ERRNO_CODES.EIO)}if(result===undefined&&bytesRead===0){throw new FS.ErrnoError(ERRNO_CODES.EAGAIN)}if(result===null||result===undefined)break;bytesRead++;buffer[offset+i]=result}if(bytesRead){stream.node.timestamp=Date.now()}return bytesRead}),write:(function(stream,buffer,offset,length,pos){if(!stream.tty||!stream.tty.ops.put_char){throw new FS.ErrnoError(ERRNO_CODES.ENXIO)}for(var i=0;i<length;i++){try{stream.tty.ops.put_char(stream.tty,buffer[offset+i])}catch(e){throw new FS.ErrnoError(ERRNO_CODES.EIO)}}if(length){stream.node.timestamp=Date.now()}return i})},default_tty_ops:{get_char:(function(tty){if(!tty.input.length){var result=null;if(ENVIRONMENT_IS_NODE){var BUFSIZE=256;var buf=new Buffer(BUFSIZE);var bytesRead=0;var isPosixPlatform=process.platform!="win32";var fd=process.stdin.fd;if(isPosixPlatform){var usingDevice=false;try{fd=fs.openSync("/dev/stdin","r");usingDevice=true}catch(e){}}try{bytesRead=fs.readSync(fd,buf,0,BUFSIZE,null)}catch(e){if(e.toString().indexOf("EOF")!=-1)bytesRead=0;else throw e}if(usingDevice){fs.closeSync(fd)}if(bytesRead>0){result=buf.slice(0,bytesRead).toString("utf-8")}else{result=null}}else if(typeof window!="undefined"&&typeof window.prompt=="function"){result=window.prompt("Input: ");if(result!==null){result+="\n"}}else if(typeof readline=="function"){result=readline();if(result!==null){result+="\n"}}if(!result){return null}tty.input=intArrayFromString(result,true)}return tty.input.shift()}),put_char:(function(tty,val){if(val===null||val===10){Module["print"](UTF8ArrayToString(tty.output,0));tty.output=[]}else{if(val!=0)tty.output.push(val)}}),flush:(function(tty){if(tty.output&&tty.output.length>0){Module["print"](UTF8ArrayToString(tty.output,0));tty.output=[]}})},default_tty1_ops:{put_char:(function(tty,val){if(val===null||val===10){Module["printErr"](UTF8ArrayToString(tty.output,0));tty.output=[]}else{if(val!=0)tty.output.push(val)}}),flush:(function(tty){if(tty.output&&tty.output.length>0){Module["printErr"](UTF8ArrayToString(tty.output,0));tty.output=[]}})}};var MEMFS={ops_table:null,mount:(function(mount){return MEMFS.createNode(null,"/",16384|511,0)}),createNode:(function(parent,name,mode,dev){if(FS.isBlkdev(mode)||FS.isFIFO(mode)){throw new FS.ErrnoError(ERRNO_CODES.EPERM)}if(!MEMFS.ops_table){MEMFS.ops_table={dir:{node:{getattr:MEMFS.node_ops.getattr,setattr:MEMFS.node_ops.setattr,lookup:MEMFS.node_ops.lookup,mknod:MEMFS.node_ops.mknod,rename:MEMFS.node_ops.rename,unlink:MEMFS.node_ops.unlink,rmdir:MEMFS.node_ops.rmdir,readdir:MEMFS.node_ops.readdir,symlink:MEMFS.node_ops.symlink},stream:{llseek:MEMFS.stream_ops.llseek}},file:{node:{getattr:MEMFS.node_ops.getattr,setattr:MEMFS.node_ops.setattr},stream:{llseek:MEMFS.stream_ops.llseek,read:MEMFS.stream_ops.read,write:MEMFS.stream_ops.write,allocate:MEMFS.stream_ops.allocate,mmap:MEMFS.stream_ops.mmap,msync:MEMFS.stream_ops.msync}},link:{node:{getattr:MEMFS.node_ops.getattr,setattr:MEMFS.node_ops.setattr,readlink:MEMFS.node_ops.readlink},stream:{}},chrdev:{node:{getattr:MEMFS.node_ops.getattr,setattr:MEMFS.node_ops.setattr},stream:FS.chrdev_stream_ops}}}var node=FS.createNode(parent,name,mode,dev);if(FS.isDir(node.mode)){node.node_ops=MEMFS.ops_table.dir.node;node.stream_ops=MEMFS.ops_table.dir.stream;node.contents={}}else if(FS.isFile(node.mode)){node.node_ops=MEMFS.ops_table.file.node;node.stream_ops=MEMFS.ops_table.file.stream;node.usedBytes=0;node.contents=null}else if(FS.isLink(node.mode)){node.node_ops=MEMFS.ops_table.link.node;node.stream_ops=MEMFS.ops_table.link.stream}else if(FS.isChrdev(node.mode)){node.node_ops=MEMFS.ops_table.chrdev.node;node.stream_ops=MEMFS.ops_table.chrdev.stream}node.timestamp=Date.now();if(parent){parent.contents[name]=node}return node}),getFileDataAsRegularArray:(function(node){if(node.contents&&node.contents.subarray){var arr=[];for(var i=0;i<node.usedBytes;++i)arr.push(node.contents[i]);return arr}return node.contents}),getFileDataAsTypedArray:(function(node){if(!node.contents)return new Uint8Array;if(node.contents.subarray)return node.contents.subarray(0,node.usedBytes);return new Uint8Array(node.contents)}),expandFileStorage:(function(node,newCapacity){if(node.contents&&node.contents.subarray&&newCapacity>node.contents.length){node.contents=MEMFS.getFileDataAsRegularArray(node);node.usedBytes=node.contents.length}if(!node.contents||node.contents.subarray){var prevCapacity=node.contents?node.contents.length:0;if(prevCapacity>=newCapacity)return;var CAPACITY_DOUBLING_MAX=1024*1024;newCapacity=Math.max(newCapacity,prevCapacity*(prevCapacity<CAPACITY_DOUBLING_MAX?2:1.125)|0);if(prevCapacity!=0)newCapacity=Math.max(newCapacity,256);var oldContents=node.contents;node.contents=new Uint8Array(newCapacity);if(node.usedBytes>0)node.contents.set(oldContents.subarray(0,node.usedBytes),0);return}if(!node.contents&&newCapacity>0)node.contents=[];while(node.contents.length<newCapacity)node.contents.push(0)}),resizeFileStorage:(function(node,newSize){if(node.usedBytes==newSize)return;if(newSize==0){node.contents=null;node.usedBytes=0;return}if(!node.contents||node.contents.subarray){var oldContents=node.contents;node.contents=new Uint8Array(new ArrayBuffer(newSize));if(oldContents){node.contents.set(oldContents.subarray(0,Math.min(newSize,node.usedBytes)))}node.usedBytes=newSize;return}if(!node.contents)node.contents=[];if(node.contents.length>newSize)node.contents.length=newSize;else while(node.contents.length<newSize)node.contents.push(0);node.usedBytes=newSize}),node_ops:{getattr:(function(node){var attr={};attr.dev=FS.isChrdev(node.mode)?node.id:1;attr.ino=node.id;attr.mode=node.mode;attr.nlink=1;attr.uid=0;attr.gid=0;attr.rdev=node.rdev;if(FS.isDir(node.mode)){attr.size=4096}else if(FS.isFile(node.mode)){attr.size=node.usedBytes}else if(FS.isLink(node.mode)){attr.size=node.link.length}else{attr.size=0}attr.atime=new Date(node.timestamp);attr.mtime=new Date(node.timestamp);attr.ctime=new Date(node.timestamp);attr.blksize=4096;attr.blocks=Math.ceil(attr.size/attr.blksize);return attr}),setattr:(function(node,attr){if(attr.mode!==undefined){node.mode=attr.mode}if(attr.timestamp!==undefined){node.timestamp=attr.timestamp}if(attr.size!==undefined){MEMFS.resizeFileStorage(node,attr.size)}}),lookup:(function(parent,name){throw FS.genericErrors[ERRNO_CODES.ENOENT]}),mknod:(function(parent,name,mode,dev){return MEMFS.createNode(parent,name,mode,dev)}),rename:(function(old_node,new_dir,new_name){if(FS.isDir(old_node.mode)){var new_node;try{new_node=FS.lookupNode(new_dir,new_name)}catch(e){}if(new_node){for(var i in new_node.contents){throw new FS.ErrnoError(ERRNO_CODES.ENOTEMPTY)}}}delete old_node.parent.contents[old_node.name];old_node.name=new_name;new_dir.contents[new_name]=old_node;old_node.parent=new_dir}),unlink:(function(parent,name){delete parent.contents[name]}),rmdir:(function(parent,name){var node=FS.lookupNode(parent,name);for(var i in node.contents){throw new FS.ErrnoError(ERRNO_CODES.ENOTEMPTY)}delete parent.contents[name]}),readdir:(function(node){var entries=[".",".."];for(var key in node.contents){if(!node.contents.hasOwnProperty(key)){continue}entries.push(key)}return entries}),symlink:(function(parent,newname,oldpath){var node=MEMFS.createNode(parent,newname,511|40960,0);node.link=oldpath;return node}),readlink:(function(node){if(!FS.isLink(node.mode)){throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}return node.link})},stream_ops:{read:(function(stream,buffer,offset,length,position){var contents=stream.node.contents;if(position>=stream.node.usedBytes)return 0;var size=Math.min(stream.node.usedBytes-position,length);assert(size>=0);if(size>8&&contents.subarray){buffer.set(contents.subarray(position,position+size),offset)}else{for(var i=0;i<size;i++)buffer[offset+i]=contents[position+i]}return size}),write:(function(stream,buffer,offset,length,position,canOwn){if(!length)return 0;var node=stream.node;node.timestamp=Date.now();if(buffer.subarray&&(!node.contents||node.contents.subarray)){if(canOwn){node.contents=buffer.subarray(offset,offset+length);node.usedBytes=length;return length}else if(node.usedBytes===0&&position===0){node.contents=new Uint8Array(buffer.subarray(offset,offset+length));node.usedBytes=length;return length}else if(position+length<=node.usedBytes){node.contents.set(buffer.subarray(offset,offset+length),position);return length}}MEMFS.expandFileStorage(node,position+length);if(node.contents.subarray&&buffer.subarray)node.contents.set(buffer.subarray(offset,offset+length),position);else{for(var i=0;i<length;i++){node.contents[position+i]=buffer[offset+i]}}node.usedBytes=Math.max(node.usedBytes,position+length);return length}),llseek:(function(stream,offset,whence){var position=offset;if(whence===1){position+=stream.position}else if(whence===2){if(FS.isFile(stream.node.mode)){position+=stream.node.usedBytes}}if(position<0){throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}return position}),allocate:(function(stream,offset,length){MEMFS.expandFileStorage(stream.node,offset+length);stream.node.usedBytes=Math.max(stream.node.usedBytes,offset+length)}),mmap:(function(stream,buffer,offset,length,position,prot,flags){if(!FS.isFile(stream.node.mode)){throw new FS.ErrnoError(ERRNO_CODES.ENODEV)}var ptr;var allocated;var contents=stream.node.contents;if(!(flags&2)&&(contents.buffer===buffer||contents.buffer===buffer.buffer)){allocated=false;ptr=contents.byteOffset}else{if(position>0||position+length<stream.node.usedBytes){if(contents.subarray){contents=contents.subarray(position,position+length)}else{contents=Array.prototype.slice.call(contents,position,position+length)}}allocated=true;ptr=_malloc(length);if(!ptr){throw new FS.ErrnoError(ERRNO_CODES.ENOMEM)}buffer.set(contents,ptr)}return{ptr:ptr,allocated:allocated}}),msync:(function(stream,buffer,offset,length,mmapFlags){if(!FS.isFile(stream.node.mode)){throw new FS.ErrnoError(ERRNO_CODES.ENODEV)}if(mmapFlags&2){return 0}var bytesWritten=MEMFS.stream_ops.write(stream,buffer,0,length,offset,false);return 0})}};var IDBFS={dbs:{},indexedDB:(function(){if(typeof indexedDB!=="undefined")return indexedDB;var ret=null;if(typeof window==="object")ret=window.indexedDB||window.mozIndexedDB||window.webkitIndexedDB||window.msIndexedDB;assert(ret,"IDBFS used, but indexedDB not supported");return ret}),DB_VERSION:21,DB_STORE_NAME:"FILE_DATA",mount:(function(mount){return MEMFS.mount.apply(null,arguments)}),syncfs:(function(mount,populate,callback){IDBFS.getLocalSet(mount,(function(err,local){if(err)return callback(err);IDBFS.getRemoteSet(mount,(function(err,remote){if(err)return callback(err);var src=populate?remote:local;var dst=populate?local:remote;IDBFS.reconcile(src,dst,callback)}))}))}),getDB:(function(name,callback){var db=IDBFS.dbs[name];if(db){return callback(null,db)}var req;try{req=IDBFS.indexedDB().open(name,IDBFS.DB_VERSION)}catch(e){return callback(e)}if(!req){return callback("Unable to connect to IndexedDB")}req.onupgradeneeded=(function(e){var db=e.target.result;var transaction=e.target.transaction;var fileStore;if(db.objectStoreNames.contains(IDBFS.DB_STORE_NAME)){fileStore=transaction.objectStore(IDBFS.DB_STORE_NAME)}else{fileStore=db.createObjectStore(IDBFS.DB_STORE_NAME)}if(!fileStore.indexNames.contains("timestamp")){fileStore.createIndex("timestamp","timestamp",{unique:false})}});req.onsuccess=(function(){db=req.result;IDBFS.dbs[name]=db;callback(null,db)});req.onerror=(function(e){callback(this.error);e.preventDefault()})}),getLocalSet:(function(mount,callback){var entries={};function isRealDir(p){return p!=="."&&p!==".."}function toAbsolute(root){return(function(p){return PATH.join2(root,p)})}var check=FS.readdir(mount.mountpoint).filter(isRealDir).map(toAbsolute(mount.mountpoint));while(check.length){var path=check.pop();var stat;try{stat=FS.stat(path)}catch(e){return callback(e)}if(FS.isDir(stat.mode)){check.push.apply(check,FS.readdir(path).filter(isRealDir).map(toAbsolute(path)))}entries[path]={timestamp:stat.mtime}}return callback(null,{type:"local",entries:entries})}),getRemoteSet:(function(mount,callback){var entries={};IDBFS.getDB(mount.mountpoint,(function(err,db){if(err)return callback(err);var transaction=db.transaction([IDBFS.DB_STORE_NAME],"readonly");transaction.onerror=(function(e){callback(this.error);e.preventDefault()});var store=transaction.objectStore(IDBFS.DB_STORE_NAME);var index=store.index("timestamp");index.openKeyCursor().onsuccess=(function(event){var cursor=event.target.result;if(!cursor){return callback(null,{type:"remote",db:db,entries:entries})}entries[cursor.primaryKey]={timestamp:cursor.key};cursor.continue()})}))}),loadLocalEntry:(function(path,callback){var stat,node;try{var lookup=FS.lookupPath(path);node=lookup.node;stat=FS.stat(path)}catch(e){return callback(e)}if(FS.isDir(stat.mode)){return callback(null,{timestamp:stat.mtime,mode:stat.mode})}else if(FS.isFile(stat.mode)){node.contents=MEMFS.getFileDataAsTypedArray(node);return callback(null,{timestamp:stat.mtime,mode:stat.mode,contents:node.contents})}else{return callback(new Error("node type not supported"))}}),storeLocalEntry:(function(path,entry,callback){try{if(FS.isDir(entry.mode)){FS.mkdir(path,entry.mode)}else if(FS.isFile(entry.mode)){FS.writeFile(path,entry.contents,{encoding:"binary",canOwn:true})}else{return callback(new Error("node type not supported"))}FS.chmod(path,entry.mode);FS.utime(path,entry.timestamp,entry.timestamp)}catch(e){return callback(e)}callback(null)}),removeLocalEntry:(function(path,callback){try{var lookup=FS.lookupPath(path);var stat=FS.stat(path);if(FS.isDir(stat.mode)){FS.rmdir(path)}else if(FS.isFile(stat.mode)){FS.unlink(path)}}catch(e){return callback(e)}callback(null)}),loadRemoteEntry:(function(store,path,callback){var req=store.get(path);req.onsuccess=(function(event){callback(null,event.target.result)});req.onerror=(function(e){callback(this.error);e.preventDefault()})}),storeRemoteEntry:(function(store,path,entry,callback){var req=store.put(entry,path);req.onsuccess=(function(){callback(null)});req.onerror=(function(e){callback(this.error);e.preventDefault()})}),removeRemoteEntry:(function(store,path,callback){var req=store.delete(path);req.onsuccess=(function(){callback(null)});req.onerror=(function(e){callback(this.error);e.preventDefault()})}),reconcile:(function(src,dst,callback){var total=0;var create=[];Object.keys(src.entries).forEach((function(key){var e=src.entries[key];var e2=dst.entries[key];if(!e2||e.timestamp>e2.timestamp){create.push(key);total++}}));var remove=[];Object.keys(dst.entries).forEach((function(key){var e=dst.entries[key];var e2=src.entries[key];if(!e2){remove.push(key);total++}}));if(!total){return callback(null)}var completed=0;var db=src.type==="remote"?src.db:dst.db;var transaction=db.transaction([IDBFS.DB_STORE_NAME],"readwrite");var store=transaction.objectStore(IDBFS.DB_STORE_NAME);function done(err){if(err){if(!done.errored){done.errored=true;return callback(err)}return}if(++completed>=total){return callback(null)}}transaction.onerror=(function(e){done(this.error);e.preventDefault()});create.sort().forEach((function(path){if(dst.type==="local"){IDBFS.loadRemoteEntry(store,path,(function(err,entry){if(err)return done(err);IDBFS.storeLocalEntry(path,entry,done)}))}else{IDBFS.loadLocalEntry(path,(function(err,entry){if(err)return done(err);IDBFS.storeRemoteEntry(store,path,entry,done)}))}}));remove.sort().reverse().forEach((function(path){if(dst.type==="local"){IDBFS.removeLocalEntry(path,done)}else{IDBFS.removeRemoteEntry(store,path,done)}}))})};var NODEFS={isWindows:false,staticInit:(function(){NODEFS.isWindows=!!process.platform.match(/^win/)}),mount:(function(mount){assert(ENVIRONMENT_IS_NODE);return NODEFS.createNode(null,"/",NODEFS.getMode(mount.opts.root),0)}),createNode:(function(parent,name,mode,dev){if(!FS.isDir(mode)&&!FS.isFile(mode)&&!FS.isLink(mode)){throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}var node=FS.createNode(parent,name,mode);node.node_ops=NODEFS.node_ops;node.stream_ops=NODEFS.stream_ops;return node}),getMode:(function(path){var stat;try{stat=fs.lstatSync(path);if(NODEFS.isWindows){stat.mode=stat.mode|(stat.mode&146)>>1}}catch(e){if(!e.code)throw e;throw new FS.ErrnoError(ERRNO_CODES[e.code])}return stat.mode}),realPath:(function(node){var parts=[];while(node.parent!==node){parts.push(node.name);node=node.parent}parts.push(node.mount.opts.root);parts.reverse();return PATH.join.apply(null,parts)}),flagsToPermissionStringMap:{0:"r",1:"r+",2:"r+",64:"r",65:"r+",66:"r+",129:"rx+",193:"rx+",514:"w+",577:"w",578:"w+",705:"wx",706:"wx+",1024:"a",1025:"a",1026:"a+",1089:"a",1090:"a+",1153:"ax",1154:"ax+",1217:"ax",1218:"ax+",4096:"rs",4098:"rs+"},flagsToPermissionString:(function(flags){flags&=~2097152;flags&=~2048;flags&=~32768;flags&=~524288;if(flags in NODEFS.flagsToPermissionStringMap){return NODEFS.flagsToPermissionStringMap[flags]}else{throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}}),node_ops:{getattr:(function(node){var path=NODEFS.realPath(node);var stat;try{stat=fs.lstatSync(path)}catch(e){if(!e.code)throw e;throw new FS.ErrnoError(ERRNO_CODES[e.code])}if(NODEFS.isWindows&&!stat.blksize){stat.blksize=4096}if(NODEFS.isWindows&&!stat.blocks){stat.blocks=(stat.size+stat.blksize-1)/stat.blksize|0}return{dev:stat.dev,ino:stat.ino,mode:stat.mode,nlink:stat.nlink,uid:stat.uid,gid:stat.gid,rdev:stat.rdev,size:stat.size,atime:stat.atime,mtime:stat.mtime,ctime:stat.ctime,blksize:stat.blksize,blocks:stat.blocks}}),setattr:(function(node,attr){var path=NODEFS.realPath(node);try{if(attr.mode!==undefined){fs.chmodSync(path,attr.mode);node.mode=attr.mode}if(attr.timestamp!==undefined){var date=new Date(attr.timestamp);fs.utimesSync(path,date,date)}if(attr.size!==undefined){fs.truncateSync(path,attr.size)}}catch(e){if(!e.code)throw e;throw new FS.ErrnoError(ERRNO_CODES[e.code])}}),lookup:(function(parent,name){var path=PATH.join2(NODEFS.realPath(parent),name);var mode=NODEFS.getMode(path);return NODEFS.createNode(parent,name,mode)}),mknod:(function(parent,name,mode,dev){var node=NODEFS.createNode(parent,name,mode,dev);var path=NODEFS.realPath(node);try{if(FS.isDir(node.mode)){fs.mkdirSync(path,node.mode)}else{fs.writeFileSync(path,"",{mode:node.mode})}}catch(e){if(!e.code)throw e;throw new FS.ErrnoError(ERRNO_CODES[e.code])}return node}),rename:(function(oldNode,newDir,newName){var oldPath=NODEFS.realPath(oldNode);var newPath=PATH.join2(NODEFS.realPath(newDir),newName);try{fs.renameSync(oldPath,newPath)}catch(e){if(!e.code)throw e;throw new FS.ErrnoError(ERRNO_CODES[e.code])}}),unlink:(function(parent,name){var path=PATH.join2(NODEFS.realPath(parent),name);try{fs.unlinkSync(path)}catch(e){if(!e.code)throw e;throw new FS.ErrnoError(ERRNO_CODES[e.code])}}),rmdir:(function(parent,name){var path=PATH.join2(NODEFS.realPath(parent),name);try{fs.rmdirSync(path)}catch(e){if(!e.code)throw e;throw new FS.ErrnoError(ERRNO_CODES[e.code])}}),readdir:(function(node){var path=NODEFS.realPath(node);try{return fs.readdirSync(path)}catch(e){if(!e.code)throw e;throw new FS.ErrnoError(ERRNO_CODES[e.code])}}),symlink:(function(parent,newName,oldPath){var newPath=PATH.join2(NODEFS.realPath(parent),newName);try{fs.symlinkSync(oldPath,newPath)}catch(e){if(!e.code)throw e;throw new FS.ErrnoError(ERRNO_CODES[e.code])}}),readlink:(function(node){var path=NODEFS.realPath(node);try{path=fs.readlinkSync(path);path=NODEJS_PATH.relative(NODEJS_PATH.resolve(node.mount.opts.root),path);return path}catch(e){if(!e.code)throw e;throw new FS.ErrnoError(ERRNO_CODES[e.code])}})},stream_ops:{open:(function(stream){var path=NODEFS.realPath(stream.node);try{if(FS.isFile(stream.node.mode)){stream.nfd=fs.openSync(path,NODEFS.flagsToPermissionString(stream.flags))}}catch(e){if(!e.code)throw e;throw new FS.ErrnoError(ERRNO_CODES[e.code])}}),close:(function(stream){try{if(FS.isFile(stream.node.mode)&&stream.nfd){fs.closeSync(stream.nfd)}}catch(e){if(!e.code)throw e;throw new FS.ErrnoError(ERRNO_CODES[e.code])}}),read:(function(stream,buffer,offset,length,position){if(length===0)return 0;var nbuffer=new Buffer(length);var res;try{res=fs.readSync(stream.nfd,nbuffer,0,length,position)}catch(e){throw new FS.ErrnoError(ERRNO_CODES[e.code])}if(res>0){for(var i=0;i<res;i++){buffer[offset+i]=nbuffer[i]}}return res}),write:(function(stream,buffer,offset,length,position){var nbuffer=new Buffer(buffer.subarray(offset,offset+length));var res;try{res=fs.writeSync(stream.nfd,nbuffer,0,length,position)}catch(e){throw new FS.ErrnoError(ERRNO_CODES[e.code])}return res}),llseek:(function(stream,offset,whence){var position=offset;if(whence===1){position+=stream.position}else if(whence===2){if(FS.isFile(stream.node.mode)){try{var stat=fs.fstatSync(stream.nfd);position+=stat.size}catch(e){throw new FS.ErrnoError(ERRNO_CODES[e.code])}}}if(position<0){throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}return position})}};var WORKERFS={DIR_MODE:16895,FILE_MODE:33279,reader:null,mount:(function(mount){assert(ENVIRONMENT_IS_WORKER);if(!WORKERFS.reader)WORKERFS.reader=new FileReaderSync;var root=WORKERFS.createNode(null,"/",WORKERFS.DIR_MODE,0);var createdParents={};function ensureParent(path){var parts=path.split("/");var parent=root;for(var i=0;i<parts.length-1;i++){var curr=parts.slice(0,i+1).join("/");if(!createdParents[curr]){createdParents[curr]=WORKERFS.createNode(parent,parts[i],WORKERFS.DIR_MODE,0)}parent=createdParents[curr]}return parent}function base(path){var parts=path.split("/");return parts[parts.length-1]}Array.prototype.forEach.call(mount.opts["files"]||[],(function(file){WORKERFS.createNode(ensureParent(file.name),base(file.name),WORKERFS.FILE_MODE,0,file,file.lastModifiedDate)}));(mount.opts["blobs"]||[]).forEach((function(obj){WORKERFS.createNode(ensureParent(obj["name"]),base(obj["name"]),WORKERFS.FILE_MODE,0,obj["data"])}));(mount.opts["packages"]||[]).forEach((function(pack){pack["metadata"].files.forEach((function(file){var name=file.filename.substr(1);WORKERFS.createNode(ensureParent(name),base(name),WORKERFS.FILE_MODE,0,pack["blob"].slice(file.start,file.end))}))}));return root}),createNode:(function(parent,name,mode,dev,contents,mtime){var node=FS.createNode(parent,name,mode);node.mode=mode;node.node_ops=WORKERFS.node_ops;node.stream_ops=WORKERFS.stream_ops;node.timestamp=(mtime||new Date).getTime();assert(WORKERFS.FILE_MODE!==WORKERFS.DIR_MODE);if(mode===WORKERFS.FILE_MODE){node.size=contents.size;node.contents=contents}else{node.size=4096;node.contents={}}if(parent){parent.contents[name]=node}return node}),node_ops:{getattr:(function(node){return{dev:1,ino:undefined,mode:node.mode,nlink:1,uid:0,gid:0,rdev:undefined,size:node.size,atime:new Date(node.timestamp),mtime:new Date(node.timestamp),ctime:new Date(node.timestamp),blksize:4096,blocks:Math.ceil(node.size/4096)}}),setattr:(function(node,attr){if(attr.mode!==undefined){node.mode=attr.mode}if(attr.timestamp!==undefined){node.timestamp=attr.timestamp}}),lookup:(function(parent,name){throw new FS.ErrnoError(ERRNO_CODES.ENOENT)}),mknod:(function(parent,name,mode,dev){throw new FS.ErrnoError(ERRNO_CODES.EPERM)}),rename:(function(oldNode,newDir,newName){throw new FS.ErrnoError(ERRNO_CODES.EPERM)}),unlink:(function(parent,name){throw new FS.ErrnoError(ERRNO_CODES.EPERM)}),rmdir:(function(parent,name){throw new FS.ErrnoError(ERRNO_CODES.EPERM)}),readdir:(function(node){var entries=[".",".."];for(var key in node.contents){if(!node.contents.hasOwnProperty(key)){continue}entries.push(key)}return entries}),symlink:(function(parent,newName,oldPath){throw new FS.ErrnoError(ERRNO_CODES.EPERM)}),readlink:(function(node){throw new FS.ErrnoError(ERRNO_CODES.EPERM)})},stream_ops:{read:(function(stream,buffer,offset,length,position){if(position>=stream.node.size)return 0;var chunk=stream.node.contents.slice(position,position+length);var ab=WORKERFS.reader.readAsArrayBuffer(chunk);buffer.set(new Uint8Array(ab),offset);return chunk.size}),write:(function(stream,buffer,offset,length,position){throw new FS.ErrnoError(ERRNO_CODES.EIO)}),llseek:(function(stream,offset,whence){var position=offset;if(whence===1){position+=stream.position}else if(whence===2){if(FS.isFile(stream.node.mode)){position+=stream.node.size}}if(position<0){throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}return position})}};STATICTOP+=16;STATICTOP+=16;STATICTOP+=16;var FS={root:null,mounts:[],devices:[null],streams:[],nextInode:1,nameTable:null,currentPath:"/",initialized:false,ignorePermissions:true,trackingDelegate:{},tracking:{openFlags:{READ:1,WRITE:2}},ErrnoError:null,genericErrors:{},filesystems:null,syncFSRequests:0,handleFSError:(function(e){if(!(e instanceof FS.ErrnoError))throw e+" : "+stackTrace();return ___setErrNo(e.errno)}),lookupPath:(function(path,opts){path=PATH.resolve(FS.cwd(),path);opts=opts||{};if(!path)return{path:"",node:null};var defaults={follow_mount:true,recurse_count:0};for(var key in defaults){if(opts[key]===undefined){opts[key]=defaults[key]}}if(opts.recurse_count>8){throw new FS.ErrnoError(ERRNO_CODES.ELOOP)}var parts=PATH.normalizeArray(path.split("/").filter((function(p){return!!p})),false);var current=FS.root;var current_path="/";for(var i=0;i<parts.length;i++){var islast=i===parts.length-1;if(islast&&opts.parent){break}current=FS.lookupNode(current,parts[i]);current_path=PATH.join2(current_path,parts[i]);if(FS.isMountpoint(current)){if(!islast||islast&&opts.follow_mount){current=current.mounted.root}}if(!islast||opts.follow){var count=0;while(FS.isLink(current.mode)){var link=FS.readlink(current_path);current_path=PATH.resolve(PATH.dirname(current_path),link);var lookup=FS.lookupPath(current_path,{recurse_count:opts.recurse_count});current=lookup.node;if(count++>40){throw new FS.ErrnoError(ERRNO_CODES.ELOOP)}}}}return{path:current_path,node:current}}),getPath:(function(node){var path;while(true){if(FS.isRoot(node)){var mount=node.mount.mountpoint;if(!path)return mount;return mount[mount.length-1]!=="/"?mount+"/"+path:mount+path}path=path?node.name+"/"+path:node.name;node=node.parent}}),hashName:(function(parentid,name){var hash=0;for(var i=0;i<name.length;i++){hash=(hash<<5)-hash+name.charCodeAt(i)|0}return(parentid+hash>>>0)%FS.nameTable.length}),hashAddNode:(function(node){var hash=FS.hashName(node.parent.id,node.name);node.name_next=FS.nameTable[hash];FS.nameTable[hash]=node}),hashRemoveNode:(function(node){var hash=FS.hashName(node.parent.id,node.name);if(FS.nameTable[hash]===node){FS.nameTable[hash]=node.name_next}else{var current=FS.nameTable[hash];while(current){if(current.name_next===node){current.name_next=node.name_next;break}current=current.name_next}}}),lookupNode:(function(parent,name){var err=FS.mayLookup(parent);if(err){throw new FS.ErrnoError(err,parent)}var hash=FS.hashName(parent.id,name);for(var node=FS.nameTable[hash];node;node=node.name_next){var nodeName=node.name;if(node.parent.id===parent.id&&nodeName===name){return node}}return FS.lookup(parent,name)}),createNode:(function(parent,name,mode,rdev){if(!FS.FSNode){FS.FSNode=(function(parent,name,mode,rdev){if(!parent){parent=this}this.parent=parent;this.mount=parent.mount;this.mounted=null;this.id=FS.nextInode++;this.name=name;this.mode=mode;this.node_ops={};this.stream_ops={};this.rdev=rdev});FS.FSNode.prototype={};var readMode=292|73;var writeMode=146;Object.defineProperties(FS.FSNode.prototype,{read:{get:(function(){return(this.mode&readMode)===readMode}),set:(function(val){val?this.mode|=readMode:this.mode&=~readMode})},write:{get:(function(){return(this.mode&writeMode)===writeMode}),set:(function(val){val?this.mode|=writeMode:this.mode&=~writeMode})},isFolder:{get:(function(){return FS.isDir(this.mode)})},isDevice:{get:(function(){return FS.isChrdev(this.mode)})}})}var node=new FS.FSNode(parent,name,mode,rdev);FS.hashAddNode(node);return node}),destroyNode:(function(node){FS.hashRemoveNode(node)}),isRoot:(function(node){return node===node.parent}),isMountpoint:(function(node){return!!node.mounted}),isFile:(function(mode){return(mode&61440)===32768}),isDir:(function(mode){return(mode&61440)===16384}),isLink:(function(mode){return(mode&61440)===40960}),isChrdev:(function(mode){return(mode&61440)===8192}),isBlkdev:(function(mode){return(mode&61440)===24576}),isFIFO:(function(mode){return(mode&61440)===4096}),isSocket:(function(mode){return(mode&49152)===49152}),flagModes:{"r":0,"rs":1052672,"r+":2,"w":577,"wx":705,"xw":705,"w+":578,"wx+":706,"xw+":706,"a":1089,"ax":1217,"xa":1217,"a+":1090,"ax+":1218,"xa+":1218},modeStringToFlags:(function(str){var flags=FS.flagModes[str];if(typeof flags==="undefined"){throw new Error("Unknown file open mode: "+str)}return flags}),flagsToPermissionString:(function(flag){var perms=["r","w","rw"][flag&3];if(flag&512){perms+="w"}return perms}),nodePermissions:(function(node,perms){if(FS.ignorePermissions){return 0}if(perms.indexOf("r")!==-1&&!(node.mode&292)){return ERRNO_CODES.EACCES}else if(perms.indexOf("w")!==-1&&!(node.mode&146)){return ERRNO_CODES.EACCES}else if(perms.indexOf("x")!==-1&&!(node.mode&73)){return ERRNO_CODES.EACCES}return 0}),mayLookup:(function(dir){var err=FS.nodePermissions(dir,"x");if(err)return err;if(!dir.node_ops.lookup)return ERRNO_CODES.EACCES;return 0}),mayCreate:(function(dir,name){try{var node=FS.lookupNode(dir,name);return ERRNO_CODES.EEXIST}catch(e){}return FS.nodePermissions(dir,"wx")}),mayDelete:(function(dir,name,isdir){var node;try{node=FS.lookupNode(dir,name)}catch(e){return e.errno}var err=FS.nodePermissions(dir,"wx");if(err){return err}if(isdir){if(!FS.isDir(node.mode)){return ERRNO_CODES.ENOTDIR}if(FS.isRoot(node)||FS.getPath(node)===FS.cwd()){return ERRNO_CODES.EBUSY}}else{if(FS.isDir(node.mode)){return ERRNO_CODES.EISDIR}}return 0}),mayOpen:(function(node,flags){if(!node){return ERRNO_CODES.ENOENT}if(FS.isLink(node.mode)){return ERRNO_CODES.ELOOP}else if(FS.isDir(node.mode)){if(FS.flagsToPermissionString(flags)!=="r"||flags&512){return ERRNO_CODES.EISDIR}}return FS.nodePermissions(node,FS.flagsToPermissionString(flags))}),MAX_OPEN_FDS:4096,nextfd:(function(fd_start,fd_end){fd_start=fd_start||0;fd_end=fd_end||FS.MAX_OPEN_FDS;for(var fd=fd_start;fd<=fd_end;fd++){if(!FS.streams[fd]){return fd}}throw new FS.ErrnoError(ERRNO_CODES.EMFILE)}),getStream:(function(fd){return FS.streams[fd]}),createStream:(function(stream,fd_start,fd_end){if(!FS.FSStream){FS.FSStream=(function(){});FS.FSStream.prototype={};Object.defineProperties(FS.FSStream.prototype,{object:{get:(function(){return this.node}),set:(function(val){this.node=val})},isRead:{get:(function(){return(this.flags&2097155)!==1})},isWrite:{get:(function(){return(this.flags&2097155)!==0})},isAppend:{get:(function(){return this.flags&1024})}})}var newStream=new FS.FSStream;for(var p in stream){newStream[p]=stream[p]}stream=newStream;var fd=FS.nextfd(fd_start,fd_end);stream.fd=fd;FS.streams[fd]=stream;return stream}),closeStream:(function(fd){FS.streams[fd]=null}),chrdev_stream_ops:{open:(function(stream){var device=FS.getDevice(stream.node.rdev);stream.stream_ops=device.stream_ops;if(stream.stream_ops.open){stream.stream_ops.open(stream)}}),llseek:(function(){throw new FS.ErrnoError(ERRNO_CODES.ESPIPE)})},major:(function(dev){return dev>>8}),minor:(function(dev){return dev&255}),makedev:(function(ma,mi){return ma<<8|mi}),registerDevice:(function(dev,ops){FS.devices[dev]={stream_ops:ops}}),getDevice:(function(dev){return FS.devices[dev]}),getMounts:(function(mount){var mounts=[];var check=[mount];while(check.length){var m=check.pop();mounts.push(m);check.push.apply(check,m.mounts)}return mounts}),syncfs:(function(populate,callback){if(typeof populate==="function"){callback=populate;populate=false}FS.syncFSRequests++;if(FS.syncFSRequests>1){console.log("warning: "+FS.syncFSRequests+" FS.syncfs operations in flight at once, probably just doing extra work")}var mounts=FS.getMounts(FS.root.mount);var completed=0;function doCallback(err){assert(FS.syncFSRequests>0);FS.syncFSRequests--;return callback(err)}function done(err){if(err){if(!done.errored){done.errored=true;return doCallback(err)}return}if(++completed>=mounts.length){doCallback(null)}}mounts.forEach((function(mount){if(!mount.type.syncfs){return done(null)}mount.type.syncfs(mount,populate,done)}))}),mount:(function(type,opts,mountpoint){var root=mountpoint==="/";var pseudo=!mountpoint;var node;if(root&&FS.root){throw new FS.ErrnoError(ERRNO_CODES.EBUSY)}else if(!root&&!pseudo){var lookup=FS.lookupPath(mountpoint,{follow_mount:false});mountpoint=lookup.path;node=lookup.node;if(FS.isMountpoint(node)){throw new FS.ErrnoError(ERRNO_CODES.EBUSY)}if(!FS.isDir(node.mode)){throw new FS.ErrnoError(ERRNO_CODES.ENOTDIR)}}var mount={type:type,opts:opts,mountpoint:mountpoint,mounts:[]};var mountRoot=type.mount(mount);mountRoot.mount=mount;mount.root=mountRoot;if(root){FS.root=mountRoot}else if(node){node.mounted=mount;if(node.mount){node.mount.mounts.push(mount)}}return mountRoot}),unmount:(function(mountpoint){var lookup=FS.lookupPath(mountpoint,{follow_mount:false});if(!FS.isMountpoint(lookup.node)){throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}var node=lookup.node;var mount=node.mounted;var mounts=FS.getMounts(mount);Object.keys(FS.nameTable).forEach((function(hash){var current=FS.nameTable[hash];while(current){var next=current.name_next;if(mounts.indexOf(current.mount)!==-1){FS.destroyNode(current)}current=next}}));node.mounted=null;var idx=node.mount.mounts.indexOf(mount);assert(idx!==-1);node.mount.mounts.splice(idx,1)}),lookup:(function(parent,name){return parent.node_ops.lookup(parent,name)}),mknod:(function(path,mode,dev){var lookup=FS.lookupPath(path,{parent:true});var parent=lookup.node;var name=PATH.basename(path);if(!name||name==="."||name===".."){throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}var err=FS.mayCreate(parent,name);if(err){throw new FS.ErrnoError(err)}if(!parent.node_ops.mknod){throw new FS.ErrnoError(ERRNO_CODES.EPERM)}return parent.node_ops.mknod(parent,name,mode,dev)}),create:(function(path,mode){mode=mode!==undefined?mode:438;mode&=4095;mode|=32768;return FS.mknod(path,mode,0)}),mkdir:(function(path,mode){mode=mode!==undefined?mode:511;mode&=511|512;mode|=16384;return FS.mknod(path,mode,0)}),mkdirTree:(function(path,mode){var dirs=path.split("/");var d="";for(var i=0;i<dirs.length;++i){if(!dirs[i])continue;d+="/"+dirs[i];try{FS.mkdir(d,mode)}catch(e){if(e.errno!=ERRNO_CODES.EEXIST)throw e}}}),mkdev:(function(path,mode,dev){if(typeof dev==="undefined"){dev=mode;mode=438}mode|=8192;return FS.mknod(path,mode,dev)}),symlink:(function(oldpath,newpath){if(!PATH.resolve(oldpath)){throw new FS.ErrnoError(ERRNO_CODES.ENOENT)}var lookup=FS.lookupPath(newpath,{parent:true});var parent=lookup.node;if(!parent){throw new FS.ErrnoError(ERRNO_CODES.ENOENT)}var newname=PATH.basename(newpath);var err=FS.mayCreate(parent,newname);if(err){throw new FS.ErrnoError(err)}if(!parent.node_ops.symlink){throw new FS.ErrnoError(ERRNO_CODES.EPERM)}return parent.node_ops.symlink(parent,newname,oldpath)}),rename:(function(old_path,new_path){var old_dirname=PATH.dirname(old_path);var new_dirname=PATH.dirname(new_path);var old_name=PATH.basename(old_path);var new_name=PATH.basename(new_path);var lookup,old_dir,new_dir;try{lookup=FS.lookupPath(old_path,{parent:true});old_dir=lookup.node;lookup=FS.lookupPath(new_path,{parent:true});new_dir=lookup.node}catch(e){throw new FS.ErrnoError(ERRNO_CODES.EBUSY)}if(!old_dir||!new_dir)throw new FS.ErrnoError(ERRNO_CODES.ENOENT);if(old_dir.mount!==new_dir.mount){throw new FS.ErrnoError(ERRNO_CODES.EXDEV)}var old_node=FS.lookupNode(old_dir,old_name);var relative=PATH.relative(old_path,new_dirname);if(relative.charAt(0)!=="."){throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}relative=PATH.relative(new_path,old_dirname);if(relative.charAt(0)!=="."){throw new FS.ErrnoError(ERRNO_CODES.ENOTEMPTY)}var new_node;try{new_node=FS.lookupNode(new_dir,new_name)}catch(e){}if(old_node===new_node){return}var isdir=FS.isDir(old_node.mode);var err=FS.mayDelete(old_dir,old_name,isdir);if(err){throw new FS.ErrnoError(err)}err=new_node?FS.mayDelete(new_dir,new_name,isdir):FS.mayCreate(new_dir,new_name);if(err){throw new FS.ErrnoError(err)}if(!old_dir.node_ops.rename){throw new FS.ErrnoError(ERRNO_CODES.EPERM)}if(FS.isMountpoint(old_node)||new_node&&FS.isMountpoint(new_node)){throw new FS.ErrnoError(ERRNO_CODES.EBUSY)}if(new_dir!==old_dir){err=FS.nodePermissions(old_dir,"w");if(err){throw new FS.ErrnoError(err)}}try{if(FS.trackingDelegate["willMovePath"]){FS.trackingDelegate["willMovePath"](old_path,new_path)}}catch(e){console.log("FS.trackingDelegate['willMovePath']('"+old_path+"', '"+new_path+"') threw an exception: "+e.message)}FS.hashRemoveNode(old_node);try{old_dir.node_ops.rename(old_node,new_dir,new_name)}catch(e){throw e}finally{FS.hashAddNode(old_node)}try{if(FS.trackingDelegate["onMovePath"])FS.trackingDelegate["onMovePath"](old_path,new_path)}catch(e){console.log("FS.trackingDelegate['onMovePath']('"+old_path+"', '"+new_path+"') threw an exception: "+e.message)}}),rmdir:(function(path){var lookup=FS.lookupPath(path,{parent:true});var parent=lookup.node;var name=PATH.basename(path);var node=FS.lookupNode(parent,name);var err=FS.mayDelete(parent,name,true);if(err){throw new FS.ErrnoError(err)}if(!parent.node_ops.rmdir){throw new FS.ErrnoError(ERRNO_CODES.EPERM)}if(FS.isMountpoint(node)){throw new FS.ErrnoError(ERRNO_CODES.EBUSY)}try{if(FS.trackingDelegate["willDeletePath"]){FS.trackingDelegate["willDeletePath"](path)}}catch(e){console.log("FS.trackingDelegate['willDeletePath']('"+path+"') threw an exception: "+e.message)}parent.node_ops.rmdir(parent,name);FS.destroyNode(node);try{if(FS.trackingDelegate["onDeletePath"])FS.trackingDelegate["onDeletePath"](path)}catch(e){console.log("FS.trackingDelegate['onDeletePath']('"+path+"') threw an exception: "+e.message)}}),readdir:(function(path){var lookup=FS.lookupPath(path,{follow:true});var node=lookup.node;if(!node.node_ops.readdir){throw new FS.ErrnoError(ERRNO_CODES.ENOTDIR)}return node.node_ops.readdir(node)}),unlink:(function(path){var lookup=FS.lookupPath(path,{parent:true});var parent=lookup.node;var name=PATH.basename(path);var node=FS.lookupNode(parent,name);var err=FS.mayDelete(parent,name,false);if(err){throw new FS.ErrnoError(err)}if(!parent.node_ops.unlink){throw new FS.ErrnoError(ERRNO_CODES.EPERM)}if(FS.isMountpoint(node)){throw new FS.ErrnoError(ERRNO_CODES.EBUSY)}try{if(FS.trackingDelegate["willDeletePath"]){FS.trackingDelegate["willDeletePath"](path)}}catch(e){console.log("FS.trackingDelegate['willDeletePath']('"+path+"') threw an exception: "+e.message)}parent.node_ops.unlink(parent,name);FS.destroyNode(node);try{if(FS.trackingDelegate["onDeletePath"])FS.trackingDelegate["onDeletePath"](path)}catch(e){console.log("FS.trackingDelegate['onDeletePath']('"+path+"') threw an exception: "+e.message)}}),readlink:(function(path){var lookup=FS.lookupPath(path);var link=lookup.node;if(!link){throw new FS.ErrnoError(ERRNO_CODES.ENOENT)}if(!link.node_ops.readlink){throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}return PATH.resolve(FS.getPath(link.parent),link.node_ops.readlink(link))}),stat:(function(path,dontFollow){var lookup=FS.lookupPath(path,{follow:!dontFollow});var node=lookup.node;if(!node){throw new FS.ErrnoError(ERRNO_CODES.ENOENT)}if(!node.node_ops.getattr){throw new FS.ErrnoError(ERRNO_CODES.EPERM)}return node.node_ops.getattr(node)}),lstat:(function(path){return FS.stat(path,true)}),chmod:(function(path,mode,dontFollow){var node;if(typeof path==="string"){var lookup=FS.lookupPath(path,{follow:!dontFollow});node=lookup.node}else{node=path}if(!node.node_ops.setattr){throw new FS.ErrnoError(ERRNO_CODES.EPERM)}node.node_ops.setattr(node,{mode:mode&4095|node.mode&~4095,timestamp:Date.now()})}),lchmod:(function(path,mode){FS.chmod(path,mode,true)}),fchmod:(function(fd,mode){var stream=FS.getStream(fd);if(!stream){throw new FS.ErrnoError(ERRNO_CODES.EBADF)}FS.chmod(stream.node,mode)}),chown:(function(path,uid,gid,dontFollow){var node;if(typeof path==="string"){var lookup=FS.lookupPath(path,{follow:!dontFollow});node=lookup.node}else{node=path}if(!node.node_ops.setattr){throw new FS.ErrnoError(ERRNO_CODES.EPERM)}node.node_ops.setattr(node,{timestamp:Date.now()})}),lchown:(function(path,uid,gid){FS.chown(path,uid,gid,true)}),fchown:(function(fd,uid,gid){var stream=FS.getStream(fd);if(!stream){throw new FS.ErrnoError(ERRNO_CODES.EBADF)}FS.chown(stream.node,uid,gid)}),truncate:(function(path,len){if(len<0){throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}var node;if(typeof path==="string"){var lookup=FS.lookupPath(path,{follow:true});node=lookup.node}else{node=path}if(!node.node_ops.setattr){throw new FS.ErrnoError(ERRNO_CODES.EPERM)}if(FS.isDir(node.mode)){throw new FS.ErrnoError(ERRNO_CODES.EISDIR)}if(!FS.isFile(node.mode)){throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}var err=FS.nodePermissions(node,"w");if(err){throw new FS.ErrnoError(err)}node.node_ops.setattr(node,{size:len,timestamp:Date.now()})}),ftruncate:(function(fd,len){var stream=FS.getStream(fd);if(!stream){throw new FS.ErrnoError(ERRNO_CODES.EBADF)}if((stream.flags&2097155)===0){throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}FS.truncate(stream.node,len)}),utime:(function(path,atime,mtime){var lookup=FS.lookupPath(path,{follow:true});var node=lookup.node;node.node_ops.setattr(node,{timestamp:Math.max(atime,mtime)})}),open:(function(path,flags,mode,fd_start,fd_end){if(path===""){throw new FS.ErrnoError(ERRNO_CODES.ENOENT)}flags=typeof flags==="string"?FS.modeStringToFlags(flags):flags;mode=typeof mode==="undefined"?438:mode;if(flags&64){mode=mode&4095|32768}else{mode=0}var node;if(typeof path==="object"){node=path}else{path=PATH.normalize(path);try{var lookup=FS.lookupPath(path,{follow:!(flags&131072)});node=lookup.node}catch(e){}}var created=false;if(flags&64){if(node){if(flags&128){throw new FS.ErrnoError(ERRNO_CODES.EEXIST)}}else{node=FS.mknod(path,mode,0);created=true}}if(!node){throw new FS.ErrnoError(ERRNO_CODES.ENOENT)}if(FS.isChrdev(node.mode)){flags&=~512}if(flags&65536&&!FS.isDir(node.mode)){throw new FS.ErrnoError(ERRNO_CODES.ENOTDIR)}if(!created){var err=FS.mayOpen(node,flags);if(err){throw new FS.ErrnoError(err)}}if(flags&512){FS.truncate(node,0)}flags&=~(128|512);var stream=FS.createStream({node:node,path:FS.getPath(node),flags:flags,seekable:true,position:0,stream_ops:node.stream_ops,ungotten:[],error:false},fd_start,fd_end);if(stream.stream_ops.open){stream.stream_ops.open(stream)}if(Module["logReadFiles"]&&!(flags&1)){if(!FS.readFiles)FS.readFiles={};if(!(path in FS.readFiles)){FS.readFiles[path]=1;Module["printErr"]("read file: "+path)}}try{if(FS.trackingDelegate["onOpenFile"]){var trackingFlags=0;if((flags&2097155)!==1){trackingFlags|=FS.tracking.openFlags.READ}if((flags&2097155)!==0){trackingFlags|=FS.tracking.openFlags.WRITE}FS.trackingDelegate["onOpenFile"](path,trackingFlags)}}catch(e){console.log("FS.trackingDelegate['onOpenFile']('"+path+"', flags) threw an exception: "+e.message)}return stream}),close:(function(stream){if(stream.getdents)stream.getdents=null;try{if(stream.stream_ops.close){stream.stream_ops.close(stream)}}catch(e){throw e}finally{FS.closeStream(stream.fd)}}),llseek:(function(stream,offset,whence){if(!stream.seekable||!stream.stream_ops.llseek){throw new FS.ErrnoError(ERRNO_CODES.ESPIPE)}stream.position=stream.stream_ops.llseek(stream,offset,whence);stream.ungotten=[];return stream.position}),read:(function(stream,buffer,offset,length,position){if(length<0||position<0){throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}if((stream.flags&2097155)===1){throw new FS.ErrnoError(ERRNO_CODES.EBADF)}if(FS.isDir(stream.node.mode)){throw new FS.ErrnoError(ERRNO_CODES.EISDIR)}if(!stream.stream_ops.read){throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}var seeking=true;if(typeof position==="undefined"){position=stream.position;seeking=false}else if(!stream.seekable){throw new FS.ErrnoError(ERRNO_CODES.ESPIPE)}var bytesRead=stream.stream_ops.read(stream,buffer,offset,length,position);if(!seeking)stream.position+=bytesRead;return bytesRead}),write:(function(stream,buffer,offset,length,position,canOwn){if(length<0||position<0){throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}if((stream.flags&2097155)===0){throw new FS.ErrnoError(ERRNO_CODES.EBADF)}if(FS.isDir(stream.node.mode)){throw new FS.ErrnoError(ERRNO_CODES.EISDIR)}if(!stream.stream_ops.write){throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}if(stream.flags&1024){FS.llseek(stream,0,2)}var seeking=true;if(typeof position==="undefined"){position=stream.position;seeking=false}else if(!stream.seekable){throw new FS.ErrnoError(ERRNO_CODES.ESPIPE)}var bytesWritten=stream.stream_ops.write(stream,buffer,offset,length,position,canOwn);if(!seeking)stream.position+=bytesWritten;try{if(stream.path&&FS.trackingDelegate["onWriteToFile"])FS.trackingDelegate["onWriteToFile"](stream.path)}catch(e){console.log("FS.trackingDelegate['onWriteToFile']('"+path+"') threw an exception: "+e.message)}return bytesWritten}),allocate:(function(stream,offset,length){if(offset<0||length<=0){throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}if((stream.flags&2097155)===0){throw new FS.ErrnoError(ERRNO_CODES.EBADF)}if(!FS.isFile(stream.node.mode)&&!FS.isDir(stream.node.mode)){throw new FS.ErrnoError(ERRNO_CODES.ENODEV)}if(!stream.stream_ops.allocate){throw new FS.ErrnoError(ERRNO_CODES.EOPNOTSUPP)}stream.stream_ops.allocate(stream,offset,length)}),mmap:(function(stream,buffer,offset,length,position,prot,flags){if((stream.flags&2097155)===1){throw new FS.ErrnoError(ERRNO_CODES.EACCES)}if(!stream.stream_ops.mmap){throw new FS.ErrnoError(ERRNO_CODES.ENODEV)}return stream.stream_ops.mmap(stream,buffer,offset,length,position,prot,flags)}),msync:(function(stream,buffer,offset,length,mmapFlags){if(!stream||!stream.stream_ops.msync){return 0}return stream.stream_ops.msync(stream,buffer,offset,length,mmapFlags)}),munmap:(function(stream){return 0}),ioctl:(function(stream,cmd,arg){if(!stream.stream_ops.ioctl){throw new FS.ErrnoError(ERRNO_CODES.ENOTTY)}return stream.stream_ops.ioctl(stream,cmd,arg)}),readFile:(function(path,opts){opts=opts||{};opts.flags=opts.flags||"r";opts.encoding=opts.encoding||"binary";if(opts.encoding!=="utf8"&&opts.encoding!=="binary"){throw new Error('Invalid encoding type "'+opts.encoding+'"')}var ret;var stream=FS.open(path,opts.flags);var stat=FS.stat(path);var length=stat.size;var buf=new Uint8Array(length);FS.read(stream,buf,0,length,0);if(opts.encoding==="utf8"){ret=UTF8ArrayToString(buf,0)}else if(opts.encoding==="binary"){ret=buf}FS.close(stream);return ret}),writeFile:(function(path,data,opts){opts=opts||{};opts.flags=opts.flags||"w";opts.encoding=opts.encoding||"utf8";if(opts.encoding!=="utf8"&&opts.encoding!=="binary"){throw new Error('Invalid encoding type "'+opts.encoding+'"')}var stream=FS.open(path,opts.flags,opts.mode);if(opts.encoding==="utf8"){var buf=new Uint8Array(lengthBytesUTF8(data)+1);var actualNumBytes=stringToUTF8Array(data,buf,0,buf.length);FS.write(stream,buf,0,actualNumBytes,0,opts.canOwn)}else if(opts.encoding==="binary"){FS.write(stream,data,0,data.length,0,opts.canOwn)}FS.close(stream)}),cwd:(function(){return FS.currentPath}),chdir:(function(path){var lookup=FS.lookupPath(path,{follow:true});if(lookup.node===null){throw new FS.ErrnoError(ERRNO_CODES.ENOENT)}if(!FS.isDir(lookup.node.mode)){throw new FS.ErrnoError(ERRNO_CODES.ENOTDIR)}var err=FS.nodePermissions(lookup.node,"x");if(err){throw new FS.ErrnoError(err)}FS.currentPath=lookup.path}),createDefaultDirectories:(function(){FS.mkdir("/tmp");FS.mkdir("/home");FS.mkdir("/home/web_user")}),createDefaultDevices:(function(){FS.mkdir("/dev");FS.registerDevice(FS.makedev(1,3),{read:(function(){return 0}),write:(function(stream,buffer,offset,length,pos){return length})});FS.mkdev("/dev/null",FS.makedev(1,3));TTY.register(FS.makedev(5,0),TTY.default_tty_ops);TTY.register(FS.makedev(6,0),TTY.default_tty1_ops);FS.mkdev("/dev/tty",FS.makedev(5,0));FS.mkdev("/dev/tty1",FS.makedev(6,0));var random_device;if(typeof crypto!=="undefined"){var randomBuffer=new Uint8Array(1);random_device=(function(){crypto.getRandomValues(randomBuffer);return randomBuffer[0]})}else if(ENVIRONMENT_IS_NODE){random_device=(function(){return require("crypto").randomBytes(1)[0]})}else{random_device=(function(){return Math.random()*256|0})}FS.createDevice("/dev","random",random_device);FS.createDevice("/dev","urandom",random_device);FS.mkdir("/dev/shm");FS.mkdir("/dev/shm/tmp")}),createSpecialDirectories:(function(){FS.mkdir("/proc");FS.mkdir("/proc/self");FS.mkdir("/proc/self/fd");FS.mount({mount:(function(){var node=FS.createNode("/proc/self","fd",16384|511,73);node.node_ops={lookup:(function(parent,name){var fd=+name;var stream=FS.getStream(fd);if(!stream)throw new FS.ErrnoError(ERRNO_CODES.EBADF);var ret={parent:null,mount:{mountpoint:"fake"},node_ops:{readlink:(function(){return stream.path})}};ret.parent=ret;return ret})};return node})},{},"/proc/self/fd")}),createStandardStreams:(function(){if(Module["stdin"]){FS.createDevice("/dev","stdin",Module["stdin"])}else{FS.symlink("/dev/tty","/dev/stdin")}if(Module["stdout"]){FS.createDevice("/dev","stdout",null,Module["stdout"])}else{FS.symlink("/dev/tty","/dev/stdout")}if(Module["stderr"]){FS.createDevice("/dev","stderr",null,Module["stderr"])}else{FS.symlink("/dev/tty1","/dev/stderr")}var stdin=FS.open("/dev/stdin","r");assert(stdin.fd===0,"invalid handle for stdin ("+stdin.fd+")");var stdout=FS.open("/dev/stdout","w");assert(stdout.fd===1,"invalid handle for stdout ("+stdout.fd+")");var stderr=FS.open("/dev/stderr","w");assert(stderr.fd===2,"invalid handle for stderr ("+stderr.fd+")")}),ensureErrnoError:(function(){if(FS.ErrnoError)return;FS.ErrnoError=function ErrnoError(errno,node){this.node=node;this.setErrno=(function(errno){this.errno=errno;for(var key in ERRNO_CODES){if(ERRNO_CODES[key]===errno){this.code=key;break}}});this.setErrno(errno);this.message=ERRNO_MESSAGES[errno]};FS.ErrnoError.prototype=new Error;FS.ErrnoError.prototype.constructor=FS.ErrnoError;[ERRNO_CODES.ENOENT].forEach((function(code){FS.genericErrors[code]=new FS.ErrnoError(code);FS.genericErrors[code].stack="<generic error, no stack>"}))}),staticInit:(function(){FS.ensureErrnoError();FS.nameTable=new Array(4096);FS.mount(MEMFS,{},"/");FS.createDefaultDirectories();FS.createDefaultDevices();FS.createSpecialDirectories();FS.filesystems={"MEMFS":MEMFS,"IDBFS":IDBFS,"NODEFS":NODEFS,"WORKERFS":WORKERFS}}),init:(function(input,output,error){assert(!FS.init.initialized,"FS.init was previously called. If you want to initialize later with custom parameters, remove any earlier calls (note that one is automatically added to the generated code)");FS.init.initialized=true;FS.ensureErrnoError();Module["stdin"]=input||Module["stdin"];Module["stdout"]=output||Module["stdout"];Module["stderr"]=error||Module["stderr"];FS.createStandardStreams()}),quit:(function(){FS.init.initialized=false;var fflush=Module["_fflush"];if(fflush)fflush(0);for(var i=0;i<FS.streams.length;i++){var stream=FS.streams[i];if(!stream){continue}FS.close(stream)}}),getMode:(function(canRead,canWrite){var mode=0;if(canRead)mode|=292|73;if(canWrite)mode|=146;return mode}),joinPath:(function(parts,forceRelative){var path=PATH.join.apply(null,parts);if(forceRelative&&path[0]=="/")path=path.substr(1);return path}),absolutePath:(function(relative,base){return PATH.resolve(base,relative)}),standardizePath:(function(path){return PATH.normalize(path)}),findObject:(function(path,dontResolveLastLink){var ret=FS.analyzePath(path,dontResolveLastLink);if(ret.exists){return ret.object}else{___setErrNo(ret.error);return null}}),analyzePath:(function(path,dontResolveLastLink){try{var lookup=FS.lookupPath(path,{follow:!dontResolveLastLink});path=lookup.path}catch(e){}var ret={isRoot:false,exists:false,error:0,name:null,path:null,object:null,parentExists:false,parentPath:null,parentObject:null};try{var lookup=FS.lookupPath(path,{parent:true});ret.parentExists=true;ret.parentPath=lookup.path;ret.parentObject=lookup.node;ret.name=PATH.basename(path);lookup=FS.lookupPath(path,{follow:!dontResolveLastLink});ret.exists=true;ret.path=lookup.path;ret.object=lookup.node;ret.name=lookup.node.name;ret.isRoot=lookup.path==="/"}catch(e){ret.error=e.errno}return ret}),createFolder:(function(parent,name,canRead,canWrite){var path=PATH.join2(typeof parent==="string"?parent:FS.getPath(parent),name);var mode=FS.getMode(canRead,canWrite);return FS.mkdir(path,mode)}),createPath:(function(parent,path,canRead,canWrite){parent=typeof parent==="string"?parent:FS.getPath(parent);var parts=path.split("/").reverse();while(parts.length){var part=parts.pop();if(!part)continue;var current=PATH.join2(parent,part);try{FS.mkdir(current)}catch(e){}parent=current}return current}),createFile:(function(parent,name,properties,canRead,canWrite){var path=PATH.join2(typeof parent==="string"?parent:FS.getPath(parent),name);var mode=FS.getMode(canRead,canWrite);return FS.create(path,mode)}),createDataFile:(function(parent,name,data,canRead,canWrite,canOwn){var path=name?PATH.join2(typeof parent==="string"?parent:FS.getPath(parent),name):parent;var mode=FS.getMode(canRead,canWrite);var node=FS.create(path,mode);if(data){if(typeof data==="string"){var arr=new Array(data.length);for(var i=0,len=data.length;i<len;++i)arr[i]=data.charCodeAt(i);data=arr}FS.chmod(node,mode|146);var stream=FS.open(node,"w");FS.write(stream,data,0,data.length,0,canOwn);FS.close(stream);FS.chmod(node,mode)}return node}),createDevice:(function(parent,name,input,output){var path=PATH.join2(typeof parent==="string"?parent:FS.getPath(parent),name);var mode=FS.getMode(!!input,!!output);if(!FS.createDevice.major)FS.createDevice.major=64;var dev=FS.makedev(FS.createDevice.major++,0);FS.registerDevice(dev,{open:(function(stream){stream.seekable=false}),close:(function(stream){if(output&&output.buffer&&output.buffer.length){output(10)}}),read:(function(stream,buffer,offset,length,pos){var bytesRead=0;for(var i=0;i<length;i++){var result;try{result=input()}catch(e){throw new FS.ErrnoError(ERRNO_CODES.EIO)}if(result===undefined&&bytesRead===0){throw new FS.ErrnoError(ERRNO_CODES.EAGAIN)}if(result===null||result===undefined)break;bytesRead++;buffer[offset+i]=result}if(bytesRead){stream.node.timestamp=Date.now()}return bytesRead}),write:(function(stream,buffer,offset,length,pos){for(var i=0;i<length;i++){try{output(buffer[offset+i])}catch(e){throw new FS.ErrnoError(ERRNO_CODES.EIO)}}if(length){stream.node.timestamp=Date.now()}return i})});return FS.mkdev(path,mode,dev)}),createLink:(function(parent,name,target,canRead,canWrite){var path=PATH.join2(typeof parent==="string"?parent:FS.getPath(parent),name);return FS.symlink(target,path)}),forceLoadFile:(function(obj){if(obj.isDevice||obj.isFolder||obj.link||obj.contents)return true;var success=true;if(typeof XMLHttpRequest!=="undefined"){throw new Error("Lazy loading should have been performed (contents set) in createLazyFile, but it was not. Lazy loading only works in web workers. Use --embed-file or --preload-file in emcc on the main thread.")}else if(Module["read"]){try{obj.contents=intArrayFromString(Module["read"](obj.url),true);obj.usedBytes=obj.contents.length}catch(e){success=false}}else{throw new Error("Cannot load without read() or XMLHttpRequest.")}if(!success)___setErrNo(ERRNO_CODES.EIO);return success}),createLazyFile:(function(parent,name,url,canRead,canWrite){function LazyUint8Array(){this.lengthKnown=false;this.chunks=[]}LazyUint8Array.prototype.get=function LazyUint8Array_get(idx){if(idx>this.length-1||idx<0){return undefined}var chunkOffset=idx%this.chunkSize;var chunkNum=idx/this.chunkSize|0;return this.getter(chunkNum)[chunkOffset]};LazyUint8Array.prototype.setDataGetter=function LazyUint8Array_setDataGetter(getter){this.getter=getter};LazyUint8Array.prototype.cacheLength=function LazyUint8Array_cacheLength(){var xhr=new XMLHttpRequest;xhr.open("HEAD",url,false);xhr.send(null);if(!(xhr.status>=200&&xhr.status<300||xhr.status===304))throw new Error("Couldn't load "+url+". Status: "+xhr.status);var datalength=Number(xhr.getResponseHeader("Content-length"));var header;var hasByteServing=(header=xhr.getResponseHeader("Accept-Ranges"))&&header==="bytes";var usesGzip=(header=xhr.getResponseHeader("Content-Encoding"))&&header==="gzip";var chunkSize=1024*1024;if(!hasByteServing)chunkSize=datalength;var doXHR=(function(from,to){if(from>to)throw new Error("invalid range ("+from+", "+to+") or no bytes requested!");if(to>datalength-1)throw new Error("only "+datalength+" bytes available! programmer error!");var xhr=new XMLHttpRequest;xhr.open("GET",url,false);if(datalength!==chunkSize)xhr.setRequestHeader("Range","bytes="+from+"-"+to);if(typeof Uint8Array!="undefined")xhr.responseType="arraybuffer";if(xhr.overrideMimeType){xhr.overrideMimeType("text/plain; charset=x-user-defined")}xhr.send(null);if(!(xhr.status>=200&&xhr.status<300||xhr.status===304))throw new Error("Couldn't load "+url+". Status: "+xhr.status);if(xhr.response!==undefined){return new Uint8Array(xhr.response||[])}else{return intArrayFromString(xhr.responseText||"",true)}});var lazyArray=this;lazyArray.setDataGetter((function(chunkNum){var start=chunkNum*chunkSize;var end=(chunkNum+1)*chunkSize-1;end=Math.min(end,datalength-1);if(typeof lazyArray.chunks[chunkNum]==="undefined"){lazyArray.chunks[chunkNum]=doXHR(start,end)}if(typeof lazyArray.chunks[chunkNum]==="undefined")throw new Error("doXHR failed!");return lazyArray.chunks[chunkNum]}));if(usesGzip||!datalength){chunkSize=datalength=1;datalength=this.getter(0).length;chunkSize=datalength;console.log("LazyFiles on gzip forces download of the whole file when length is accessed")}this._length=datalength;this._chunkSize=chunkSize;this.lengthKnown=true};if(typeof XMLHttpRequest!=="undefined"){if(!ENVIRONMENT_IS_WORKER)throw"Cannot do synchronous binary XHRs outside webworkers in modern browsers. Use --embed-file or --preload-file in emcc";var lazyArray=new LazyUint8Array;Object.defineProperties(lazyArray,{length:{get:(function(){if(!this.lengthKnown){this.cacheLength()}return this._length})},chunkSize:{get:(function(){if(!this.lengthKnown){this.cacheLength()}return this._chunkSize})}});var properties={isDevice:false,contents:lazyArray}}else{var properties={isDevice:false,url:url}}var node=FS.createFile(parent,name,properties,canRead,canWrite);if(properties.contents){node.contents=properties.contents}else if(properties.url){node.contents=null;node.url=properties.url}Object.defineProperties(node,{usedBytes:{get:(function(){return this.contents.length})}});var stream_ops={};var keys=Object.keys(node.stream_ops);keys.forEach((function(key){var fn=node.stream_ops[key];stream_ops[key]=function forceLoadLazyFile(){if(!FS.forceLoadFile(node)){throw new FS.ErrnoError(ERRNO_CODES.EIO)}return fn.apply(null,arguments)}}));stream_ops.read=function stream_ops_read(stream,buffer,offset,length,position){if(!FS.forceLoadFile(node)){throw new FS.ErrnoError(ERRNO_CODES.EIO)}var contents=stream.node.contents;if(position>=contents.length)return 0;var size=Math.min(contents.length-position,length);assert(size>=0);if(contents.slice){for(var i=0;i<size;i++){buffer[offset+i]=contents[position+i]}}else{for(var i=0;i<size;i++){buffer[offset+i]=contents.get(position+i)}}return size};node.stream_ops=stream_ops;return node}),createPreloadedFile:(function(parent,name,url,canRead,canWrite,onload,onerror,dontCreateFile,canOwn,preFinish){Browser.init();var fullname=name?PATH.resolve(PATH.join2(parent,name)):parent;var dep=getUniqueRunDependency("cp "+fullname);function processData(byteArray){function finish(byteArray){if(preFinish)preFinish();if(!dontCreateFile){FS.createDataFile(parent,name,byteArray,canRead,canWrite,canOwn)}if(onload)onload();removeRunDependency(dep)}var handled=false;Module["preloadPlugins"].forEach((function(plugin){if(handled)return;if(plugin["canHandle"](fullname)){plugin["handle"](byteArray,fullname,finish,(function(){if(onerror)onerror();removeRunDependency(dep)}));handled=true}}));if(!handled)finish(byteArray)}addRunDependency(dep);if(typeof url=="string"){Browser.asyncLoad(url,(function(byteArray){processData(byteArray)}),onerror)}else{processData(url)}}),indexedDB:(function(){return window.indexedDB||window.mozIndexedDB||window.webkitIndexedDB||window.msIndexedDB}),DB_NAME:(function(){return"EM_FS_"+window.location.pathname}),DB_VERSION:20,DB_STORE_NAME:"FILE_DATA",saveFilesToDB:(function(paths,onload,onerror){onload=onload||(function(){});onerror=onerror||(function(){});var indexedDB=FS.indexedDB();try{var openRequest=indexedDB.open(FS.DB_NAME(),FS.DB_VERSION)}catch(e){return onerror(e)}openRequest.onupgradeneeded=function openRequest_onupgradeneeded(){console.log("creating db");var db=openRequest.result;db.createObjectStore(FS.DB_STORE_NAME)};openRequest.onsuccess=function openRequest_onsuccess(){var db=openRequest.result;var transaction=db.transaction([FS.DB_STORE_NAME],"readwrite");var files=transaction.objectStore(FS.DB_STORE_NAME);var ok=0,fail=0,total=paths.length;function finish(){if(fail==0)onload();else onerror()}paths.forEach((function(path){var putRequest=files.put(FS.analyzePath(path).object.contents,path);putRequest.onsuccess=function putRequest_onsuccess(){ok++;if(ok+fail==total)finish()};putRequest.onerror=function putRequest_onerror(){fail++;if(ok+fail==total)finish()}}));transaction.onerror=onerror};openRequest.onerror=onerror}),loadFilesFromDB:(function(paths,onload,onerror){onload=onload||(function(){});onerror=onerror||(function(){});var indexedDB=FS.indexedDB();try{var openRequest=indexedDB.open(FS.DB_NAME(),FS.DB_VERSION)}catch(e){return onerror(e)}openRequest.onupgradeneeded=onerror;openRequest.onsuccess=function openRequest_onsuccess(){var db=openRequest.result;try{var transaction=db.transaction([FS.DB_STORE_NAME],"readonly")}catch(e){onerror(e);return}var files=transaction.objectStore(FS.DB_STORE_NAME);var ok=0,fail=0,total=paths.length;function finish(){if(fail==0)onload();else onerror()}paths.forEach((function(path){var getRequest=files.get(path);getRequest.onsuccess=function getRequest_onsuccess(){if(FS.analyzePath(path).exists){FS.unlink(path)}FS.createDataFile(PATH.dirname(path),PATH.basename(path),getRequest.result,true,true,true);ok++;if(ok+fail==total)finish()};getRequest.onerror=function getRequest_onerror(){fail++;if(ok+fail==total)finish()}}));transaction.onerror=onerror};openRequest.onerror=onerror})};var SYSCALLS={DEFAULT_POLLMASK:5,mappings:{},umask:511,calculateAt:(function(dirfd,path){if(path[0]!=="/"){var dir;if(dirfd===-100){dir=FS.cwd()}else{var dirstream=FS.getStream(dirfd);if(!dirstream)throw new FS.ErrnoError(ERRNO_CODES.EBADF);dir=dirstream.path}path=PATH.join2(dir,path)}return path}),doStat:(function(func,path,buf){try{var stat=func(path)}catch(e){if(e&&e.node&&PATH.normalize(path)!==PATH.normalize(FS.getPath(e.node))){return-ERRNO_CODES.ENOTDIR}throw e}HEAP32[buf>>2]=stat.dev;HEAP32[buf+4>>2]=0;HEAP32[buf+8>>2]=stat.ino;HEAP32[buf+12>>2]=stat.mode;HEAP32[buf+16>>2]=stat.nlink;HEAP32[buf+20>>2]=stat.uid;HEAP32[buf+24>>2]=stat.gid;HEAP32[buf+28>>2]=stat.rdev;HEAP32[buf+32>>2]=0;HEAP32[buf+36>>2]=stat.size;HEAP32[buf+40>>2]=4096;HEAP32[buf+44>>2]=stat.blocks;HEAP32[buf+48>>2]=stat.atime.getTime()/1e3|0;HEAP32[buf+52>>2]=0;HEAP32[buf+56>>2]=stat.mtime.getTime()/1e3|0;HEAP32[buf+60>>2]=0;HEAP32[buf+64>>2]=stat.ctime.getTime()/1e3|0;HEAP32[buf+68>>2]=0;HEAP32[buf+72>>2]=stat.ino;return 0}),doMsync:(function(addr,stream,len,flags){var buffer=new Uint8Array(HEAPU8.subarray(addr,addr+len));FS.msync(stream,buffer,0,len,flags)}),doMkdir:(function(path,mode){path=PATH.normalize(path);if(path[path.length-1]==="/")path=path.substr(0,path.length-1);FS.mkdir(path,mode,0);return 0}),doMknod:(function(path,mode,dev){switch(mode&61440){case 32768:case 8192:case 24576:case 4096:case 49152:break;default:return-ERRNO_CODES.EINVAL}FS.mknod(path,mode,dev);return 0}),doReadlink:(function(path,buf,bufsize){if(bufsize<=0)return-ERRNO_CODES.EINVAL;var ret=FS.readlink(path);var len=Math.min(bufsize,lengthBytesUTF8(ret));var endChar=HEAP8[buf+len];stringToUTF8(ret,buf,bufsize+1);HEAP8[buf+len]=endChar;return len}),doAccess:(function(path,amode){if(amode&~7){return-ERRNO_CODES.EINVAL}var node;var lookup=FS.lookupPath(path,{follow:true});node=lookup.node;var perms="";if(amode&4)perms+="r";if(amode&2)perms+="w";if(amode&1)perms+="x";if(perms&&FS.nodePermissions(node,perms)){return-ERRNO_CODES.EACCES}return 0}),doDup:(function(path,flags,suggestFD){var suggest=FS.getStream(suggestFD);if(suggest)FS.close(suggest);return FS.open(path,flags,0,suggestFD,suggestFD).fd}),doReadv:(function(stream,iov,iovcnt,offset){var ret=0;for(var i=0;i<iovcnt;i++){var ptr=HEAP32[iov+i*8>>2];var len=HEAP32[iov+(i*8+4)>>2];var curr=FS.read(stream,HEAP8,ptr,len,offset);if(curr<0)return-1;ret+=curr;if(curr<len)break}return ret}),doWritev:(function(stream,iov,iovcnt,offset){var ret=0;for(var i=0;i<iovcnt;i++){var ptr=HEAP32[iov+i*8>>2];var len=HEAP32[iov+(i*8+4)>>2];var curr=FS.write(stream,HEAP8,ptr,len,offset);if(curr<0)return-1;ret+=curr}return ret}),varargs:0,get:(function(varargs){SYSCALLS.varargs+=4;var ret=HEAP32[SYSCALLS.varargs-4>>2];return ret}),getStr:(function(){var ret=Pointer_stringify(SYSCALLS.get());return ret}),getStreamFromFD:(function(){var stream=FS.getStream(SYSCALLS.get());if(!stream)throw new FS.ErrnoError(ERRNO_CODES.EBADF);return stream}),getSocketFromFD:(function(){var socket=SOCKFS.getSocket(SYSCALLS.get());if(!socket)throw new FS.ErrnoError(ERRNO_CODES.EBADF);return socket}),getSocketAddress:(function(allowNull){var addrp=SYSCALLS.get(),addrlen=SYSCALLS.get();if(allowNull&&addrp===0)return null;var info=__read_sockaddr(addrp,addrlen);if(info.errno)throw new FS.ErrnoError(info.errno);info.addr=DNS.lookup_addr(info.addr)||info.addr;return info}),get64:(function(){var low=SYSCALLS.get(),high=SYSCALLS.get();if(low>=0)assert(high===0);else assert(high===-1);return low}),getZero:(function(){assert(SYSCALLS.get()===0)})};function ___syscall91(which,varargs){SYSCALLS.varargs=varargs;try{var addr=SYSCALLS.get(),len=SYSCALLS.get();var info=SYSCALLS.mappings[addr];if(!info)return 0;if(len===info.len){var stream=FS.getStream(info.fd);SYSCALLS.doMsync(addr,stream,len,info.flags);FS.munmap(stream);SYSCALLS.mappings[addr]=null;if(info.allocated){_free(info.malloc)}}return 0}catch(e){if(typeof FS==="undefined"||!(e instanceof FS.ErrnoError))abort(e);return-e.errno}}function _pthread_mutexattr_destroy(){}function _emscripten_set_main_loop_timing(mode,value){Browser.mainLoop.timingMode=mode;Browser.mainLoop.timingValue=value;if(!Browser.mainLoop.func){return 1}if(mode==0){Browser.mainLoop.scheduler=function Browser_mainLoop_scheduler_setTimeout(){var timeUntilNextTick=Math.max(0,Browser.mainLoop.tickStartTime+value-_emscripten_get_now())|0;setTimeout(Browser.mainLoop.runner,timeUntilNextTick)};Browser.mainLoop.method="timeout"}else if(mode==1){Browser.mainLoop.scheduler=function Browser_mainLoop_scheduler_rAF(){Browser.requestAnimationFrame(Browser.mainLoop.runner)};Browser.mainLoop.method="rAF"}else if(mode==2){if(!window["setImmediate"]){var setImmediates=[];var emscriptenMainLoopMessageId="setimmediate";function Browser_setImmediate_messageHandler(event){if(event.source===window&&event.data===emscriptenMainLoopMessageId){event.stopPropagation();setImmediates.shift()()}}window.addEventListener("message",Browser_setImmediate_messageHandler,true);window["setImmediate"]=function Browser_emulated_setImmediate(func){setImmediates.push(func);if(ENVIRONMENT_IS_WORKER){if(Module["setImmediates"]===undefined)Module["setImmediates"]=[];Module["setImmediates"].push(func);window.postMessage({target:emscriptenMainLoopMessageId})}else window.postMessage(emscriptenMainLoopMessageId,"*")}}Browser.mainLoop.scheduler=function Browser_mainLoop_scheduler_setImmediate(){window["setImmediate"](Browser.mainLoop.runner)};Browser.mainLoop.method="immediate"}return 0}function _emscripten_get_now(){abort()}function _emscripten_set_main_loop(func,fps,simulateInfiniteLoop,arg,noSetTiming){Module["noExitRuntime"]=true;assert(!Browser.mainLoop.func,"emscripten_set_main_loop: there can only be one main loop function at once: call emscripten_cancel_main_loop to cancel the previous one before setting a new one with different parameters.");Browser.mainLoop.func=func;Browser.mainLoop.arg=arg;var browserIterationFunc;if(typeof arg!=="undefined"){browserIterationFunc=(function(){Module["dynCall_vi"](func,arg)})}else{browserIterationFunc=(function(){Module["dynCall_v"](func)})}var thisMainLoopId=Browser.mainLoop.currentlyRunningMainloop;Browser.mainLoop.runner=function Browser_mainLoop_runner(){if(ABORT)return;if(Browser.mainLoop.queue.length>0){var start=Date.now();var blocker=Browser.mainLoop.queue.shift();blocker.func(blocker.arg);if(Browser.mainLoop.remainingBlockers){var remaining=Browser.mainLoop.remainingBlockers;var next=remaining%1==0?remaining-1:Math.floor(remaining);if(blocker.counted){Browser.mainLoop.remainingBlockers=next}else{next=next+.5;Browser.mainLoop.remainingBlockers=(8*remaining+next)/9}}console.log('main loop blocker "'+blocker.name+'" took '+(Date.now()-start)+" ms");Browser.mainLoop.updateStatus();if(thisMainLoopId<Browser.mainLoop.currentlyRunningMainloop)return;setTimeout(Browser.mainLoop.runner,0);return}if(thisMainLoopId<Browser.mainLoop.currentlyRunningMainloop)return;Browser.mainLoop.currentFrameNumber=Browser.mainLoop.currentFrameNumber+1|0;if(Browser.mainLoop.timingMode==1&&Browser.mainLoop.timingValue>1&&Browser.mainLoop.currentFrameNumber%Browser.mainLoop.timingValue!=0){Browser.mainLoop.scheduler();return}else if(Browser.mainLoop.timingMode==0){Browser.mainLoop.tickStartTime=_emscripten_get_now()}if(Browser.mainLoop.method==="timeout"&&Module.ctx){Module.printErr("Looks like you are rendering without using requestAnimationFrame for the main loop. You should use 0 for the frame rate in emscripten_set_main_loop in order to use requestAnimationFrame, as that can greatly improve your frame rates!");Browser.mainLoop.method=""}Browser.mainLoop.runIter(browserIterationFunc);if(thisMainLoopId<Browser.mainLoop.currentlyRunningMainloop)return;if(typeof SDL==="object"&&SDL.audio&&SDL.audio.queueNewAudioData)SDL.audio.queueNewAudioData();Browser.mainLoop.scheduler()};if(!noSetTiming){if(fps&&fps>0)_emscripten_set_main_loop_timing(0,1e3/fps);else _emscripten_set_main_loop_timing(1,1);Browser.mainLoop.scheduler()}if(simulateInfiniteLoop){throw"SimulateInfiniteLoop"}}var Browser={mainLoop:{scheduler:null,method:"",currentlyRunningMainloop:0,func:null,arg:0,timingMode:0,timingValue:0,currentFrameNumber:0,queue:[],pause:(function(){Browser.mainLoop.scheduler=null;Browser.mainLoop.currentlyRunningMainloop++}),resume:(function(){Browser.mainLoop.currentlyRunningMainloop++;var timingMode=Browser.mainLoop.timingMode;var timingValue=Browser.mainLoop.timingValue;var func=Browser.mainLoop.func;Browser.mainLoop.func=null;_emscripten_set_main_loop(func,0,false,Browser.mainLoop.arg,true);_emscripten_set_main_loop_timing(timingMode,timingValue);Browser.mainLoop.scheduler()}),updateStatus:(function(){if(Module["setStatus"]){var message=Module["statusMessage"]||"Please wait...";var remaining=Browser.mainLoop.remainingBlockers;var expected=Browser.mainLoop.expectedBlockers;if(remaining){if(remaining<expected){Module["setStatus"](message+" ("+(expected-remaining)+"/"+expected+")")}else{Module["setStatus"](message)}}else{Module["setStatus"]("")}}}),runIter:(function(func){if(ABORT)return;if(Module["preMainLoop"]){var preRet=Module["preMainLoop"]();if(preRet===false){return}}try{func()}catch(e){if(e instanceof ExitStatus){return}else{if(e&&typeof e==="object"&&e.stack)Module.printErr("exception thrown: "+[e,e.stack]);throw e}}if(Module["postMainLoop"])Module["postMainLoop"]()})},isFullscreen:false,pointerLock:false,moduleContextCreatedCallbacks:[],workers:[],init:(function(){if(!Module["preloadPlugins"])Module["preloadPlugins"]=[];if(Browser.initted)return;Browser.initted=true;try{new Blob;Browser.hasBlobConstructor=true}catch(e){Browser.hasBlobConstructor=false;console.log("warning: no blob constructor, cannot create blobs with mimetypes")}Browser.BlobBuilder=typeof MozBlobBuilder!="undefined"?MozBlobBuilder:typeof WebKitBlobBuilder!="undefined"?WebKitBlobBuilder:!Browser.hasBlobConstructor?console.log("warning: no BlobBuilder"):null;Browser.URLObject=typeof window!="undefined"?window.URL?window.URL:window.webkitURL:undefined;if(!Module.noImageDecoding&&typeof Browser.URLObject==="undefined"){console.log("warning: Browser does not support creating object URLs. Built-in browser image decoding will not be available.");Module.noImageDecoding=true}var imagePlugin={};imagePlugin["canHandle"]=function imagePlugin_canHandle(name){return!Module.noImageDecoding&&/\.(jpg|jpeg|png|bmp)$/i.test(name)};imagePlugin["handle"]=function imagePlugin_handle(byteArray,name,onload,onerror){var b=null;if(Browser.hasBlobConstructor){try{b=new Blob([byteArray],{type:Browser.getMimetype(name)});if(b.size!==byteArray.length){b=new Blob([(new Uint8Array(byteArray)).buffer],{type:Browser.getMimetype(name)})}}catch(e){Runtime.warnOnce("Blob constructor present but fails: "+e+"; falling back to blob builder")}}if(!b){var bb=new Browser.BlobBuilder;bb.append((new Uint8Array(byteArray)).buffer);b=bb.getBlob()}var url=Browser.URLObject.createObjectURL(b);var img=new Image;img.onload=function img_onload(){assert(img.complete,"Image "+name+" could not be decoded");var canvas=document.createElement("canvas");canvas.width=img.width;canvas.height=img.height;var ctx=canvas.getContext("2d");ctx.drawImage(img,0,0);Module["preloadedImages"][name]=canvas;Browser.URLObject.revokeObjectURL(url);if(onload)onload(byteArray)};img.onerror=function img_onerror(event){console.log("Image "+url+" could not be decoded");if(onerror)onerror()};img.src=url};Module["preloadPlugins"].push(imagePlugin);var audioPlugin={};audioPlugin["canHandle"]=function audioPlugin_canHandle(name){return!Module.noAudioDecoding&&name.substr(-4)in{".ogg":1,".wav":1,".mp3":1}};audioPlugin["handle"]=function audioPlugin_handle(byteArray,name,onload,onerror){var done=false;function finish(audio){if(done)return;done=true;Module["preloadedAudios"][name]=audio;if(onload)onload(byteArray)}function fail(){if(done)return;done=true;Module["preloadedAudios"][name]=new Audio;if(onerror)onerror()}if(Browser.hasBlobConstructor){try{var b=new Blob([byteArray],{type:Browser.getMimetype(name)})}catch(e){return fail()}var url=Browser.URLObject.createObjectURL(b);var audio=new Audio;audio.addEventListener("canplaythrough",(function(){finish(audio)}),false);audio.onerror=function audio_onerror(event){if(done)return;console.log("warning: browser could not fully decode audio "+name+", trying slower base64 approach");function encode64(data){var BASE="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/";var PAD="=";var ret="";var leftchar=0;var leftbits=0;for(var i=0;i<data.length;i++){leftchar=leftchar<<8|data[i];leftbits+=8;while(leftbits>=6){var curr=leftchar>>leftbits-6&63;leftbits-=6;ret+=BASE[curr]}}if(leftbits==2){ret+=BASE[(leftchar&3)<<4];ret+=PAD+PAD}else if(leftbits==4){ret+=BASE[(leftchar&15)<<2];ret+=PAD}return ret}audio.src="data:audio/x-"+name.substr(-3)+";base64,"+encode64(byteArray);finish(audio)};audio.src=url;Browser.safeSetTimeout((function(){finish(audio)}),1e4)}else{return fail()}};Module["preloadPlugins"].push(audioPlugin);function pointerLockChange(){Browser.pointerLock=document["pointerLockElement"]===Module["canvas"]||document["mozPointerLockElement"]===Module["canvas"]||document["webkitPointerLockElement"]===Module["canvas"]||document["msPointerLockElement"]===Module["canvas"]}var canvas=Module["canvas"];if(canvas){canvas.requestPointerLock=canvas["requestPointerLock"]||canvas["mozRequestPointerLock"]||canvas["webkitRequestPointerLock"]||canvas["msRequestPointerLock"]||(function(){});canvas.exitPointerLock=document["exitPointerLock"]||document["mozExitPointerLock"]||document["webkitExitPointerLock"]||document["msExitPointerLock"]||(function(){});canvas.exitPointerLock=canvas.exitPointerLock.bind(document);document.addEventListener("pointerlockchange",pointerLockChange,false);document.addEventListener("mozpointerlockchange",pointerLockChange,false);document.addEventListener("webkitpointerlockchange",pointerLockChange,false);document.addEventListener("mspointerlockchange",pointerLockChange,false);if(Module["elementPointerLock"]){canvas.addEventListener("click",(function(ev){if(!Browser.pointerLock&&Module["canvas"].requestPointerLock){Module["canvas"].requestPointerLock();ev.preventDefault()}}),false)}}}),createContext:(function(canvas,useWebGL,setInModule,webGLContextAttributes){if(useWebGL&&Module.ctx&&canvas==Module.canvas)return Module.ctx;var ctx;var contextHandle;if(useWebGL){var contextAttributes={antialias:false,alpha:false};if(webGLContextAttributes){for(var attribute in webGLContextAttributes){contextAttributes[attribute]=webGLContextAttributes[attribute]}}contextHandle=GL.createContext(canvas,contextAttributes);if(contextHandle){ctx=GL.getContext(contextHandle).GLctx}}else{ctx=canvas.getContext("2d")}if(!ctx)return null;if(setInModule){if(!useWebGL)assert(typeof GLctx==="undefined","cannot set in module if GLctx is used, but we are a non-GL context that would replace it");Module.ctx=ctx;if(useWebGL)GL.makeContextCurrent(contextHandle);Module.useWebGL=useWebGL;Browser.moduleContextCreatedCallbacks.forEach((function(callback){callback()}));Browser.init()}return ctx}),destroyContext:(function(canvas,useWebGL,setInModule){}),fullscreenHandlersInstalled:false,lockPointer:undefined,resizeCanvas:undefined,requestFullscreen:(function(lockPointer,resizeCanvas,vrDevice){Browser.lockPointer=lockPointer;Browser.resizeCanvas=resizeCanvas;Browser.vrDevice=vrDevice;if(typeof Browser.lockPointer==="undefined")Browser.lockPointer=true;if(typeof Browser.resizeCanvas==="undefined")Browser.resizeCanvas=false;if(typeof Browser.vrDevice==="undefined")Browser.vrDevice=null;var canvas=Module["canvas"];function fullscreenChange(){Browser.isFullscreen=false;var canvasContainer=canvas.parentNode;if((document["fullscreenElement"]||document["mozFullScreenElement"]||document["msFullscreenElement"]||document["webkitFullscreenElement"]||document["webkitCurrentFullScreenElement"])===canvasContainer){canvas.exitFullscreen=document["exitFullscreen"]||document["cancelFullScreen"]||document["mozCancelFullScreen"]||document["msExitFullscreen"]||document["webkitCancelFullScreen"]||(function(){});canvas.exitFullscreen=canvas.exitFullscreen.bind(document);if(Browser.lockPointer)canvas.requestPointerLock();Browser.isFullscreen=true;if(Browser.resizeCanvas)Browser.setFullscreenCanvasSize()}else{canvasContainer.parentNode.insertBefore(canvas,canvasContainer);canvasContainer.parentNode.removeChild(canvasContainer);if(Browser.resizeCanvas)Browser.setWindowedCanvasSize()}if(Module["onFullScreen"])Module["onFullScreen"](Browser.isFullscreen);if(Module["onFullscreen"])Module["onFullscreen"](Browser.isFullscreen);Browser.updateCanvasDimensions(canvas)}if(!Browser.fullscreenHandlersInstalled){Browser.fullscreenHandlersInstalled=true;document.addEventListener("fullscreenchange",fullscreenChange,false);document.addEventListener("mozfullscreenchange",fullscreenChange,false);document.addEventListener("webkitfullscreenchange",fullscreenChange,false);document.addEventListener("MSFullscreenChange",fullscreenChange,false)}var canvasContainer=document.createElement("div");canvas.parentNode.insertBefore(canvasContainer,canvas);canvasContainer.appendChild(canvas);canvasContainer.requestFullscreen=canvasContainer["requestFullscreen"]||canvasContainer["mozRequestFullScreen"]||canvasContainer["msRequestFullscreen"]||(canvasContainer["webkitRequestFullscreen"]?(function(){canvasContainer["webkitRequestFullscreen"](Element["ALLOW_KEYBOARD_INPUT"])}):null)||(canvasContainer["webkitRequestFullScreen"]?(function(){canvasContainer["webkitRequestFullScreen"](Element["ALLOW_KEYBOARD_INPUT"])}):null);if(vrDevice){canvasContainer.requestFullscreen({vrDisplay:vrDevice})}else{canvasContainer.requestFullscreen()}}),requestFullScreen:(function(lockPointer,resizeCanvas,vrDevice){Module.printErr("Browser.requestFullScreen() is deprecated. Please call Browser.requestFullscreen instead.");Browser.requestFullScreen=(function(lockPointer,resizeCanvas,vrDevice){return Browser.requestFullscreen(lockPointer,resizeCanvas,vrDevice)});return Browser.requestFullscreen(lockPointer,resizeCanvas,vrDevice)}),nextRAF:0,fakeRequestAnimationFrame:(function(func){var now=Date.now();if(Browser.nextRAF===0){Browser.nextRAF=now+1e3/60}else{while(now+2>=Browser.nextRAF){Browser.nextRAF+=1e3/60}}var delay=Math.max(Browser.nextRAF-now,0);setTimeout(func,delay)}),requestAnimationFrame:function requestAnimationFrame(func){if(typeof window==="undefined"){Browser.fakeRequestAnimationFrame(func)}else{if(!window.requestAnimationFrame){window.requestAnimationFrame=window["requestAnimationFrame"]||window["mozRequestAnimationFrame"]||window["webkitRequestAnimationFrame"]||window["msRequestAnimationFrame"]||window["oRequestAnimationFrame"]||Browser.fakeRequestAnimationFrame}window.requestAnimationFrame(func)}},safeCallback:(function(func){return(function(){if(!ABORT)return func.apply(null,arguments)})}),allowAsyncCallbacks:true,queuedAsyncCallbacks:[],pauseAsyncCallbacks:(function(){Browser.allowAsyncCallbacks=false}),resumeAsyncCallbacks:(function(){Browser.allowAsyncCallbacks=true;if(Browser.queuedAsyncCallbacks.length>0){var callbacks=Browser.queuedAsyncCallbacks;Browser.queuedAsyncCallbacks=[];callbacks.forEach((function(func){func()}))}}),safeRequestAnimationFrame:(function(func){return Browser.requestAnimationFrame((function(){if(ABORT)return;if(Browser.allowAsyncCallbacks){func()}else{Browser.queuedAsyncCallbacks.push(func)}}))}),safeSetTimeout:(function(func,timeout){Module["noExitRuntime"]=true;return setTimeout((function(){if(ABORT)return;if(Browser.allowAsyncCallbacks){func()}else{Browser.queuedAsyncCallbacks.push(func)}}),timeout)}),safeSetInterval:(function(func,timeout){Module["noExitRuntime"]=true;return setInterval((function(){if(ABORT)return;if(Browser.allowAsyncCallbacks){func()}}),timeout)}),getMimetype:(function(name){return{"jpg":"image/jpeg","jpeg":"image/jpeg","png":"image/png","bmp":"image/bmp","ogg":"audio/ogg","wav":"audio/wav","mp3":"audio/mpeg"}[name.substr(name.lastIndexOf(".")+1)]}),getUserMedia:(function(func){if(!window.getUserMedia){window.getUserMedia=navigator["getUserMedia"]||navigator["mozGetUserMedia"]}window.getUserMedia(func)}),getMovementX:(function(event){return event["movementX"]||event["mozMovementX"]||event["webkitMovementX"]||0}),getMovementY:(function(event){return event["movementY"]||event["mozMovementY"]||event["webkitMovementY"]||0}),getMouseWheelDelta:(function(event){var delta=0;switch(event.type){case"DOMMouseScroll":delta=event.detail;break;case"mousewheel":delta=event.wheelDelta;break;case"wheel":delta=event["deltaY"];break;default:throw"unrecognized mouse wheel event: "+event.type}return delta}),mouseX:0,mouseY:0,mouseMovementX:0,mouseMovementY:0,touches:{},lastTouches:{},calculateMouseEvent:(function(event){if(Browser.pointerLock){if(event.type!="mousemove"&&"mozMovementX"in event){Browser.mouseMovementX=Browser.mouseMovementY=0}else{Browser.mouseMovementX=Browser.getMovementX(event);Browser.mouseMovementY=Browser.getMovementY(event)}if(typeof SDL!="undefined"){Browser.mouseX=SDL.mouseX+Browser.mouseMovementX;Browser.mouseY=SDL.mouseY+Browser.mouseMovementY}else{Browser.mouseX+=Browser.mouseMovementX;Browser.mouseY+=Browser.mouseMovementY}}else{var rect=Module["canvas"].getBoundingClientRect();var cw=Module["canvas"].width;var ch=Module["canvas"].height;var scrollX=typeof window.scrollX!=="undefined"?window.scrollX:window.pageXOffset;var scrollY=typeof window.scrollY!=="undefined"?window.scrollY:window.pageYOffset;if(event.type==="touchstart"||event.type==="touchend"||event.type==="touchmove"){var touch=event.touch;if(touch===undefined){return}var adjustedX=touch.pageX-(scrollX+rect.left);var adjustedY=touch.pageY-(scrollY+rect.top);adjustedX=adjustedX*(cw/rect.width);adjustedY=adjustedY*(ch/rect.height);var coords={x:adjustedX,y:adjustedY};if(event.type==="touchstart"){Browser.lastTouches[touch.identifier]=coords;Browser.touches[touch.identifier]=coords}else if(event.type==="touchend"||event.type==="touchmove"){var last=Browser.touches[touch.identifier];if(!last)last=coords;Browser.lastTouches[touch.identifier]=last;Browser.touches[touch.identifier]=coords}return}var x=event.pageX-(scrollX+rect.left);var y=event.pageY-(scrollY+rect.top);x=x*(cw/rect.width);y=y*(ch/rect.height);Browser.mouseMovementX=x-Browser.mouseX;Browser.mouseMovementY=y-Browser.mouseY;Browser.mouseX=x;Browser.mouseY=y}}),asyncLoad:(function(url,onload,onerror,noRunDep){var dep=!noRunDep?getUniqueRunDependency("al "+url):"";Module["readAsync"](url,(function(arrayBuffer){assert(arrayBuffer,'Loading data file "'+url+'" failed (no arrayBuffer).');onload(new Uint8Array(arrayBuffer));if(dep)removeRunDependency(dep)}),(function(event){if(onerror){onerror()}else{throw'Loading data file "'+url+'" failed.'}}));if(dep)addRunDependency(dep)}),resizeListeners:[],updateResizeListeners:(function(){var canvas=Module["canvas"];Browser.resizeListeners.forEach((function(listener){listener(canvas.width,canvas.height)}))}),setCanvasSize:(function(width,height,noUpdates){var canvas=Module["canvas"];Browser.updateCanvasDimensions(canvas,width,height);if(!noUpdates)Browser.updateResizeListeners()}),windowedWidth:0,windowedHeight:0,setFullscreenCanvasSize:(function(){if(typeof SDL!="undefined"){var flags=HEAPU32[SDL.screen+Runtime.QUANTUM_SIZE*0>>2];flags=flags|8388608;HEAP32[SDL.screen+Runtime.QUANTUM_SIZE*0>>2]=flags}Browser.updateResizeListeners()}),setWindowedCanvasSize:(function(){if(typeof SDL!="undefined"){var flags=HEAPU32[SDL.screen+Runtime.QUANTUM_SIZE*0>>2];flags=flags&~8388608;HEAP32[SDL.screen+Runtime.QUANTUM_SIZE*0>>2]=flags}Browser.updateResizeListeners()}),updateCanvasDimensions:(function(canvas,wNative,hNative){if(wNative&&hNative){canvas.widthNative=wNative;canvas.heightNative=hNative}else{wNative=canvas.widthNative;hNative=canvas.heightNative}var w=wNative;var h=hNative;if(Module["forcedAspectRatio"]&&Module["forcedAspectRatio"]>0){if(w/h<Module["forcedAspectRatio"]){w=Math.round(h*Module["forcedAspectRatio"])}else{h=Math.round(w/Module["forcedAspectRatio"])}}if((document["fullscreenElement"]||document["mozFullScreenElement"]||document["msFullscreenElement"]||document["webkitFullscreenElement"]||document["webkitCurrentFullScreenElement"])===canvas.parentNode&&typeof screen!="undefined"){var factor=Math.min(screen.width/w,screen.height/h);w=Math.round(w*factor);h=Math.round(h*factor)}if(Browser.resizeCanvas){if(canvas.width!=w)canvas.width=w;if(canvas.height!=h)canvas.height=h;if(typeof canvas.style!="undefined"){canvas.style.removeProperty("width");canvas.style.removeProperty("height")}}else{if(canvas.width!=wNative)canvas.width=wNative;if(canvas.height!=hNative)canvas.height=hNative;if(typeof canvas.style!="undefined"){if(w!=wNative||h!=hNative){canvas.style.setProperty("width",w+"px","important");canvas.style.setProperty("height",h+"px","important")}else{canvas.style.removeProperty("width");canvas.style.removeProperty("height")}}}}),wgetRequests:{},nextWgetRequestHandle:0,getNextWgetRequestHandle:(function(){var handle=Browser.nextWgetRequestHandle;Browser.nextWgetRequestHandle++;return handle})};function ___syscall54(which,varargs){SYSCALLS.varargs=varargs;try{var stream=SYSCALLS.getStreamFromFD(),op=SYSCALLS.get();switch(op){case 21505:{if(!stream.tty)return-ERRNO_CODES.ENOTTY;return 0};case 21506:{if(!stream.tty)return-ERRNO_CODES.ENOTTY;return 0};case 21519:{if(!stream.tty)return-ERRNO_CODES.ENOTTY;var argp=SYSCALLS.get();HEAP32[argp>>2]=0;return 0};case 21520:{if(!stream.tty)return-ERRNO_CODES.ENOTTY;return-ERRNO_CODES.EINVAL};case 21531:{var argp=SYSCALLS.get();return FS.ioctl(stream,op,argp)};case 21523:{if(!stream.tty)return-ERRNO_CODES.ENOTTY;return 0};default:abort("bad ioctl syscall "+op)}}catch(e){if(typeof FS==="undefined"||!(e instanceof FS.ErrnoError))abort(e);return-e.errno}}var tupleRegistrations={};function requireFunction(signature,rawFunction){signature=readLatin1String(signature);function makeDynCaller(dynCall){var args=[];for(var i=1;i<signature.length;++i){args.push("a"+i)}var name="dynCall_"+signature+"_"+rawFunction;var body="return function "+name+"("+args.join(", ")+") {\n";body+="    return dynCall(rawFunction"+(args.length?", ":"")+args.join(", ")+");\n";body+="};\n";return(new Function("dynCall","rawFunction",body))(dynCall,rawFunction)}var fp;if(Module["FUNCTION_TABLE_"+signature]!==undefined){fp=Module["FUNCTION_TABLE_"+signature][rawFunction]}else if(typeof FUNCTION_TABLE!=="undefined"){fp=FUNCTION_TABLE[rawFunction]}else{var dc=Module["asm"]["dynCall_"+signature];if(dc===undefined){dc=Module["asm"]["dynCall_"+signature.replace(/f/g,"d")];if(dc===undefined){throwBindingError("No dynCall invoker for signature: "+signature)}}fp=makeDynCaller(dc)}if(typeof fp!=="function"){throwBindingError("unknown function pointer with signature "+signature+": "+rawFunction)}return fp}function __embind_register_value_array(rawType,name,constructorSignature,rawConstructor,destructorSignature,rawDestructor){tupleRegistrations[rawType]={name:readLatin1String(name),rawConstructor:requireFunction(constructorSignature,rawConstructor),rawDestructor:requireFunction(destructorSignature,rawDestructor),elements:[]}}function upcastPointer(ptr,ptrClass,desiredClass){while(ptrClass!==desiredClass){if(!ptrClass.upcast){throwBindingError("Expected null or instance of "+desiredClass.name+", got an instance of "+ptrClass.name)}ptr=ptrClass.upcast(ptr);ptrClass=ptrClass.baseClass}return ptr}function constNoSmartPtrRawPointerToWireType(destructors,handle){if(handle===null){if(this.isReference){throwBindingError("null is not a valid "+this.name)}return 0}if(!handle.$$){throwBindingError('Cannot pass "'+_embind_repr(handle)+'" as a '+this.name)}if(!handle.$$.ptr){throwBindingError("Cannot pass deleted object as a pointer of type "+this.name)}var handleClass=handle.$$.ptrType.registeredClass;var ptr=upcastPointer(handle.$$.ptr,handleClass,this.registeredClass);return ptr}function genericPointerToWireType(destructors,handle){if(handle===null){if(this.isReference){throwBindingError("null is not a valid "+this.name)}if(this.isSmartPointer){var ptr=this.rawConstructor();if(destructors!==null){destructors.push(this.rawDestructor,ptr)}return ptr}else{return 0}}if(!handle.$$){throwBindingError('Cannot pass "'+_embind_repr(handle)+'" as a '+this.name)}if(!handle.$$.ptr){throwBindingError("Cannot pass deleted object as a pointer of type "+this.name)}if(!this.isConst&&handle.$$.ptrType.isConst){throwBindingError("Cannot convert argument of type "+(handle.$$.smartPtrType?handle.$$.smartPtrType.name:handle.$$.ptrType.name)+" to parameter type "+this.name)}var handleClass=handle.$$.ptrType.registeredClass;var ptr=upcastPointer(handle.$$.ptr,handleClass,this.registeredClass);if(this.isSmartPointer){if(undefined===handle.$$.smartPtr){throwBindingError("Passing raw pointer to smart pointer is illegal")}switch(this.sharingPolicy){case 0:if(handle.$$.smartPtrType===this){ptr=handle.$$.smartPtr}else{throwBindingError("Cannot convert argument of type "+(handle.$$.smartPtrType?handle.$$.smartPtrType.name:handle.$$.ptrType.name)+" to parameter type "+this.name)}break;case 1:ptr=handle.$$.smartPtr;break;case 2:if(handle.$$.smartPtrType===this){ptr=handle.$$.smartPtr}else{var clonedHandle=handle["clone"]();ptr=this.rawShare(ptr,__emval_register((function(){clonedHandle["delete"]()})));if(destructors!==null){destructors.push(this.rawDestructor,ptr)}}break;default:throwBindingError("Unsupporting sharing policy")}}return ptr}function nonConstNoSmartPtrRawPointerToWireType(destructors,handle){if(handle===null){if(this.isReference){throwBindingError("null is not a valid "+this.name)}return 0}if(!handle.$$){throwBindingError('Cannot pass "'+_embind_repr(handle)+'" as a '+this.name)}if(!handle.$$.ptr){throwBindingError("Cannot pass deleted object as a pointer of type "+this.name)}if(handle.$$.ptrType.isConst){throwBindingError("Cannot convert argument of type "+handle.$$.ptrType.name+" to parameter type "+this.name)}var handleClass=handle.$$.ptrType.registeredClass;var ptr=upcastPointer(handle.$$.ptr,handleClass,this.registeredClass);return ptr}function RegisteredPointer_getPointee(ptr){if(this.rawGetPointee){ptr=this.rawGetPointee(ptr)}return ptr}function RegisteredPointer_destructor(ptr){if(this.rawDestructor){this.rawDestructor(ptr)}}function RegisteredPointer_deleteObject(handle){if(handle!==null){handle["delete"]()}}function downcastPointer(ptr,ptrClass,desiredClass){if(ptrClass===desiredClass){return ptr}if(undefined===desiredClass.baseClass){return null}var rv=downcastPointer(ptr,ptrClass,desiredClass.baseClass);if(rv===null){return null}return desiredClass.downcast(rv)}var registeredPointers={};function getInheritedInstanceCount(){return Object.keys(registeredInstances).length}function getLiveInheritedInstances(){var rv=[];for(var k in registeredInstances){if(registeredInstances.hasOwnProperty(k)){rv.push(registeredInstances[k])}}return rv}var deletionQueue=[];function flushPendingDeletes(){while(deletionQueue.length){var obj=deletionQueue.pop();obj.$$.deleteScheduled=false;obj["delete"]()}}var delayFunction=undefined;function setDelayFunction(fn){delayFunction=fn;if(deletionQueue.length&&delayFunction){delayFunction(flushPendingDeletes)}}function init_embind(){Module["getInheritedInstanceCount"]=getInheritedInstanceCount;Module["getLiveInheritedInstances"]=getLiveInheritedInstances;Module["flushPendingDeletes"]=flushPendingDeletes;Module["setDelayFunction"]=setDelayFunction}var registeredInstances={};function getBasestPointer(class_,ptr){if(ptr===undefined){throwBindingError("ptr should not be undefined")}while(class_.baseClass){ptr=class_.upcast(ptr);class_=class_.baseClass}return ptr}function getInheritedInstance(class_,ptr){ptr=getBasestPointer(class_,ptr);return registeredInstances[ptr]}function makeClassHandle(prototype,record){if(!record.ptrType||!record.ptr){throwInternalError("makeClassHandle requires ptr and ptrType")}var hasSmartPtrType=!!record.smartPtrType;var hasSmartPtr=!!record.smartPtr;if(hasSmartPtrType!==hasSmartPtr){throwInternalError("Both smartPtrType and smartPtr must be specified")}record.count={value:1};return Object.create(prototype,{$$:{value:record}})}function RegisteredPointer_fromWireType(ptr){var rawPointer=this.getPointee(ptr);if(!rawPointer){this.destructor(ptr);return null}var registeredInstance=getInheritedInstance(this.registeredClass,rawPointer);if(undefined!==registeredInstance){if(0===registeredInstance.$$.count.value){registeredInstance.$$.ptr=rawPointer;registeredInstance.$$.smartPtr=ptr;return registeredInstance["clone"]()}else{var rv=registeredInstance["clone"]();this.destructor(ptr);return rv}}function makeDefaultHandle(){if(this.isSmartPointer){return makeClassHandle(this.registeredClass.instancePrototype,{ptrType:this.pointeeType,ptr:rawPointer,smartPtrType:this,smartPtr:ptr})}else{return makeClassHandle(this.registeredClass.instancePrototype,{ptrType:this,ptr:ptr})}}var actualType=this.registeredClass.getActualType(rawPointer);var registeredPointerRecord=registeredPointers[actualType];if(!registeredPointerRecord){return makeDefaultHandle.call(this)}var toType;if(this.isConst){toType=registeredPointerRecord.constPointerType}else{toType=registeredPointerRecord.pointerType}var dp=downcastPointer(rawPointer,this.registeredClass,toType.registeredClass);if(dp===null){return makeDefaultHandle.call(this)}if(this.isSmartPointer){return makeClassHandle(toType.registeredClass.instancePrototype,{ptrType:toType,ptr:dp,smartPtrType:this,smartPtr:ptr})}else{return makeClassHandle(toType.registeredClass.instancePrototype,{ptrType:toType,ptr:dp})}}function init_RegisteredPointer(){RegisteredPointer.prototype.getPointee=RegisteredPointer_getPointee;RegisteredPointer.prototype.destructor=RegisteredPointer_destructor;RegisteredPointer.prototype["argPackAdvance"]=8;RegisteredPointer.prototype["readValueFromPointer"]=simpleReadValueFromPointer;RegisteredPointer.prototype["deleteObject"]=RegisteredPointer_deleteObject;RegisteredPointer.prototype["fromWireType"]=RegisteredPointer_fromWireType}function RegisteredPointer(name,registeredClass,isReference,isConst,isSmartPointer,pointeeType,sharingPolicy,rawGetPointee,rawConstructor,rawShare,rawDestructor){this.name=name;this.registeredClass=registeredClass;this.isReference=isReference;this.isConst=isConst;this.isSmartPointer=isSmartPointer;this.pointeeType=pointeeType;this.sharingPolicy=sharingPolicy;this.rawGetPointee=rawGetPointee;this.rawConstructor=rawConstructor;this.rawShare=rawShare;this.rawDestructor=rawDestructor;if(!isSmartPointer&&registeredClass.baseClass===undefined){if(isConst){this["toWireType"]=constNoSmartPtrRawPointerToWireType;this.destructorFunction=null}else{this["toWireType"]=nonConstNoSmartPtrRawPointerToWireType;this.destructorFunction=null}}else{this["toWireType"]=genericPointerToWireType}}function __embind_register_smart_ptr(rawType,rawPointeeType,name,sharingPolicy,getPointeeSignature,rawGetPointee,constructorSignature,rawConstructor,shareSignature,rawShare,destructorSignature,rawDestructor){name=readLatin1String(name);rawGetPointee=requireFunction(getPointeeSignature,rawGetPointee);rawConstructor=requireFunction(constructorSignature,rawConstructor);rawShare=requireFunction(shareSignature,rawShare);rawDestructor=requireFunction(destructorSignature,rawDestructor);whenDependentTypesAreResolved([rawType],[rawPointeeType],(function(pointeeType){pointeeType=pointeeType[0];var registeredPointer=new RegisteredPointer(name,pointeeType.registeredClass,false,false,true,pointeeType,sharingPolicy,rawGetPointee,rawConstructor,rawShare,rawDestructor);return[registeredPointer]}))}function _sched_yield(){return 0}function craftInvokerFunction(humanName,argTypes,classType,cppInvokerFunc,cppTargetFunc){var argCount=argTypes.length;if(argCount<2){throwBindingError("argTypes array size mismatch! Must at least get return value and 'this' types!")}var isClassMethodFunc=argTypes[1]!==null&&classType!==null;var argsList="";var argsListWired="";for(var i=0;i<argCount-2;++i){argsList+=(i!==0?", ":"")+"arg"+i;argsListWired+=(i!==0?", ":"")+"arg"+i+"Wired"}var invokerFnBody="return function "+makeLegalFunctionName(humanName)+"("+argsList+") {\n"+"if (arguments.length !== "+(argCount-2)+") {\n"+"throwBindingError('function "+humanName+" called with ' + arguments.length + ' arguments, expected "+(argCount-2)+" args!');\n"+"}\n";var needsDestructorStack=false;for(var i=1;i<argTypes.length;++i){if(argTypes[i]!==null&&argTypes[i].destructorFunction===undefined){needsDestructorStack=true;break}}if(needsDestructorStack){invokerFnBody+="var destructors = [];\n"}var dtorStack=needsDestructorStack?"destructors":"null";var args1=["throwBindingError","invoker","fn","runDestructors","retType","classParam"];var args2=[throwBindingError,cppInvokerFunc,cppTargetFunc,runDestructors,argTypes[0],argTypes[1]];if(isClassMethodFunc){invokerFnBody+="var thisWired = classParam.toWireType("+dtorStack+", this);\n"}for(var i=0;i<argCount-2;++i){invokerFnBody+="var arg"+i+"Wired = argType"+i+".toWireType("+dtorStack+", arg"+i+"); // "+argTypes[i+2].name+"\n";args1.push("argType"+i);args2.push(argTypes[i+2])}if(isClassMethodFunc){argsListWired="thisWired"+(argsListWired.length>0?", ":"")+argsListWired}var returns=argTypes[0].name!=="void";invokerFnBody+=(returns?"var rv = ":"")+"invoker(fn"+(argsListWired.length>0?", ":"")+argsListWired+");\n";if(needsDestructorStack){invokerFnBody+="runDestructors(destructors);\n"}else{for(var i=isClassMethodFunc?1:2;i<argTypes.length;++i){var paramName=i===1?"thisWired":"arg"+(i-2)+"Wired";if(argTypes[i].destructorFunction!==null){invokerFnBody+=paramName+"_dtor("+paramName+"); // "+argTypes[i].name+"\n";args1.push(paramName+"_dtor");args2.push(argTypes[i].destructorFunction)}}}if(returns){invokerFnBody+="var ret = retType.fromWireType(rv);\n"+"return ret;\n"}else{}invokerFnBody+="}\n";args1.push(invokerFnBody);var invokerFunction=new_(Function,args1).apply(null,args2);return invokerFunction}function ensureOverloadTable(proto,methodName,humanName){if(undefined===proto[methodName].overloadTable){var prevFunc=proto[methodName];proto[methodName]=(function(){if(!proto[methodName].overloadTable.hasOwnProperty(arguments.length)){throwBindingError("Function '"+humanName+"' called with an invalid number of arguments ("+arguments.length+") - expects one of ("+proto[methodName].overloadTable+")!")}return proto[methodName].overloadTable[arguments.length].apply(this,arguments)});proto[methodName].overloadTable=[];proto[methodName].overloadTable[prevFunc.argCount]=prevFunc}}function heap32VectorToArray(count,firstElement){var array=[];for(var i=0;i<count;i++){array.push(HEAP32[(firstElement>>2)+i])}return array}var UnboundTypeError=undefined;function throwUnboundTypeError(message,types){var unboundTypes=[];var seen={};function visit(type){if(seen[type]){return}if(registeredTypes[type]){return}if(typeDependencies[type]){typeDependencies[type].forEach(visit);return}unboundTypes.push(type);seen[type]=true}types.forEach(visit);throw new UnboundTypeError(message+": "+unboundTypes.map(getTypeName).join([", "]))}function __embind_register_class_class_function(rawClassType,methodName,argCount,rawArgTypesAddr,invokerSignature,rawInvoker,fn){var rawArgTypes=heap32VectorToArray(argCount,rawArgTypesAddr);methodName=readLatin1String(methodName);rawInvoker=requireFunction(invokerSignature,rawInvoker);whenDependentTypesAreResolved([],[rawClassType],(function(classType){classType=classType[0];var humanName=classType.name+"."+methodName;function unboundTypesHandler(){throwUnboundTypeError("Cannot call "+humanName+" due to unbound types",rawArgTypes)}var proto=classType.registeredClass.constructor;if(undefined===proto[methodName]){unboundTypesHandler.argCount=argCount-1;proto[methodName]=unboundTypesHandler}else{ensureOverloadTable(proto,methodName,humanName);proto[methodName].overloadTable[argCount-1]=unboundTypesHandler}whenDependentTypesAreResolved([],rawArgTypes,(function(argTypes){var invokerArgsArray=[argTypes[0],null].concat(argTypes.slice(1));var func=craftInvokerFunction(humanName,invokerArgsArray,null,rawInvoker,fn);if(undefined===proto[methodName].overloadTable){proto[methodName]=func}else{proto[methodName].overloadTable[argCount-1]=func}return[]}));return[]}))}var _environ=STATICTOP;STATICTOP+=16;function ___buildEnvironment(env){var MAX_ENV_VALUES=64;var TOTAL_ENV_SIZE=1024;var poolPtr;var envPtr;if(!___buildEnvironment.called){___buildEnvironment.called=true;ENV["USER"]=ENV["LOGNAME"]="web_user";ENV["PATH"]="/";ENV["PWD"]="/";ENV["HOME"]="/home/web_user";ENV["LANG"]="C";ENV["_"]=Module["thisProgram"];poolPtr=allocate(TOTAL_ENV_SIZE,"i8",ALLOC_STATIC);envPtr=allocate(MAX_ENV_VALUES*4,"i8*",ALLOC_STATIC);HEAP32[envPtr>>2]=poolPtr;HEAP32[_environ>>2]=envPtr}else{envPtr=HEAP32[_environ>>2];poolPtr=HEAP32[envPtr>>2]}var strings=[];var totalSize=0;for(var key in env){if(typeof env[key]==="string"){var line=key+"="+env[key];strings.push(line);totalSize+=line.length}}if(totalSize>TOTAL_ENV_SIZE){throw new Error("Environment size exceeded TOTAL_ENV_SIZE!")}var ptrSize=4;for(var i=0;i<strings.length;i++){var line=strings[i];writeAsciiToMemory(line,poolPtr);HEAP32[envPtr+i*ptrSize>>2]=poolPtr;poolPtr+=line.length+1}HEAP32[envPtr+strings.length*ptrSize>>2]=0}var ENV={};function _getenv(name){if(name===0)return 0;name=Pointer_stringify(name);if(!ENV.hasOwnProperty(name))return 0;if(_getenv.ret)_free(_getenv.ret);_getenv.ret=allocate(intArrayFromString(ENV[name]),"i8",ALLOC_NORMAL);return _getenv.ret}function __isLeapYear(year){return year%4===0&&(year%100!==0||year%400===0)}function __arraySum(array,index){var sum=0;for(var i=0;i<=index;sum+=array[i++]);return sum}var __MONTH_DAYS_LEAP=[31,29,31,30,31,30,31,31,30,31,30,31];var __MONTH_DAYS_REGULAR=[31,28,31,30,31,30,31,31,30,31,30,31];function __addDays(date,days){var newDate=new Date(date.getTime());while(days>0){var leap=__isLeapYear(newDate.getFullYear());var currentMonth=newDate.getMonth();var daysInCurrentMonth=(leap?__MONTH_DAYS_LEAP:__MONTH_DAYS_REGULAR)[currentMonth];if(days>daysInCurrentMonth-newDate.getDate()){days-=daysInCurrentMonth-newDate.getDate()+1;newDate.setDate(1);if(currentMonth<11){newDate.setMonth(currentMonth+1)}else{newDate.setMonth(0);newDate.setFullYear(newDate.getFullYear()+1)}}else{newDate.setDate(newDate.getDate()+days);return newDate}}return newDate}function _strftime(s,maxsize,format,tm){var tm_zone=HEAP32[tm+40>>2];var date={tm_sec:HEAP32[tm>>2],tm_min:HEAP32[tm+4>>2],tm_hour:HEAP32[tm+8>>2],tm_mday:HEAP32[tm+12>>2],tm_mon:HEAP32[tm+16>>2],tm_year:HEAP32[tm+20>>2],tm_wday:HEAP32[tm+24>>2],tm_yday:HEAP32[tm+28>>2],tm_isdst:HEAP32[tm+32>>2],tm_gmtoff:HEAP32[tm+36>>2],tm_zone:tm_zone?Pointer_stringify(tm_zone):""};var pattern=Pointer_stringify(format);var EXPANSION_RULES_1={"%c":"%a %b %d %H:%M:%S %Y","%D":"%m/%d/%y","%F":"%Y-%m-%d","%h":"%b","%r":"%I:%M:%S %p","%R":"%H:%M","%T":"%H:%M:%S","%x":"%m/%d/%y","%X":"%H:%M:%S"};for(var rule in EXPANSION_RULES_1){pattern=pattern.replace(new RegExp(rule,"g"),EXPANSION_RULES_1[rule])}var WEEKDAYS=["Sunday","Monday","Tuesday","Wednesday","Thursday","Friday","Saturday"];var MONTHS=["January","February","March","April","May","June","July","August","September","October","November","December"];function leadingSomething(value,digits,character){var str=typeof value==="number"?value.toString():value||"";while(str.length<digits){str=character[0]+str}return str}function leadingNulls(value,digits){return leadingSomething(value,digits,"0")}function compareByDay(date1,date2){function sgn(value){return value<0?-1:value>0?1:0}var compare;if((compare=sgn(date1.getFullYear()-date2.getFullYear()))===0){if((compare=sgn(date1.getMonth()-date2.getMonth()))===0){compare=sgn(date1.getDate()-date2.getDate())}}return compare}function getFirstWeekStartDate(janFourth){switch(janFourth.getDay()){case 0:return new Date(janFourth.getFullYear()-1,11,29);case 1:return janFourth;case 2:return new Date(janFourth.getFullYear(),0,3);case 3:return new Date(janFourth.getFullYear(),0,2);case 4:return new Date(janFourth.getFullYear(),0,1);case 5:return new Date(janFourth.getFullYear()-1,11,31);case 6:return new Date(janFourth.getFullYear()-1,11,30)}}function getWeekBasedYear(date){var thisDate=__addDays(new Date(date.tm_year+1900,0,1),date.tm_yday);var janFourthThisYear=new Date(thisDate.getFullYear(),0,4);var janFourthNextYear=new Date(thisDate.getFullYear()+1,0,4);var firstWeekStartThisYear=getFirstWeekStartDate(janFourthThisYear);var firstWeekStartNextYear=getFirstWeekStartDate(janFourthNextYear);if(compareByDay(firstWeekStartThisYear,thisDate)<=0){if(compareByDay(firstWeekStartNextYear,thisDate)<=0){return thisDate.getFullYear()+1}else{return thisDate.getFullYear()}}else{return thisDate.getFullYear()-1}}var EXPANSION_RULES_2={"%a":(function(date){return WEEKDAYS[date.tm_wday].substring(0,3)}),"%A":(function(date){return WEEKDAYS[date.tm_wday]}),"%b":(function(date){return MONTHS[date.tm_mon].substring(0,3)}),"%B":(function(date){return MONTHS[date.tm_mon]}),"%C":(function(date){var year=date.tm_year+1900;return leadingNulls(year/100|0,2)}),"%d":(function(date){return leadingNulls(date.tm_mday,2)}),"%e":(function(date){return leadingSomething(date.tm_mday,2," ")}),"%g":(function(date){return getWeekBasedYear(date).toString().substring(2)}),"%G":(function(date){return getWeekBasedYear(date)}),"%H":(function(date){return leadingNulls(date.tm_hour,2)}),"%I":(function(date){var twelveHour=date.tm_hour;if(twelveHour==0)twelveHour=12;else if(twelveHour>12)twelveHour-=12;return leadingNulls(twelveHour,2)}),"%j":(function(date){return leadingNulls(date.tm_mday+__arraySum(__isLeapYear(date.tm_year+1900)?__MONTH_DAYS_LEAP:__MONTH_DAYS_REGULAR,date.tm_mon-1),3)}),"%m":(function(date){return leadingNulls(date.tm_mon+1,2)}),"%M":(function(date){return leadingNulls(date.tm_min,2)}),"%n":(function(){return"\n"}),"%p":(function(date){if(date.tm_hour>=0&&date.tm_hour<12){return"AM"}else{return"PM"}}),"%S":(function(date){return leadingNulls(date.tm_sec,2)}),"%t":(function(){return"\t"}),"%u":(function(date){var day=new Date(date.tm_year+1900,date.tm_mon+1,date.tm_mday,0,0,0,0);return day.getDay()||7}),"%U":(function(date){var janFirst=new Date(date.tm_year+1900,0,1);var firstSunday=janFirst.getDay()===0?janFirst:__addDays(janFirst,7-janFirst.getDay());var endDate=new Date(date.tm_year+1900,date.tm_mon,date.tm_mday);if(compareByDay(firstSunday,endDate)<0){var februaryFirstUntilEndMonth=__arraySum(__isLeapYear(endDate.getFullYear())?__MONTH_DAYS_LEAP:__MONTH_DAYS_REGULAR,endDate.getMonth()-1)-31;var firstSundayUntilEndJanuary=31-firstSunday.getDate();var days=firstSundayUntilEndJanuary+februaryFirstUntilEndMonth+endDate.getDate();return leadingNulls(Math.ceil(days/7),2)}return compareByDay(firstSunday,janFirst)===0?"01":"00"}),"%V":(function(date){var janFourthThisYear=new Date(date.tm_year+1900,0,4);var janFourthNextYear=new Date(date.tm_year+1901,0,4);var firstWeekStartThisYear=getFirstWeekStartDate(janFourthThisYear);var firstWeekStartNextYear=getFirstWeekStartDate(janFourthNextYear);var endDate=__addDays(new Date(date.tm_year+1900,0,1),date.tm_yday);if(compareByDay(endDate,firstWeekStartThisYear)<0){return"53"}if(compareByDay(firstWeekStartNextYear,endDate)<=0){return"01"}var daysDifference;if(firstWeekStartThisYear.getFullYear()<date.tm_year+1900){daysDifference=date.tm_yday+32-firstWeekStartThisYear.getDate()}else{daysDifference=date.tm_yday+1-firstWeekStartThisYear.getDate()}return leadingNulls(Math.ceil(daysDifference/7),2)}),"%w":(function(date){var day=new Date(date.tm_year+1900,date.tm_mon+1,date.tm_mday,0,0,0,0);return day.getDay()}),"%W":(function(date){var janFirst=new Date(date.tm_year,0,1);var firstMonday=janFirst.getDay()===1?janFirst:__addDays(janFirst,janFirst.getDay()===0?1:7-janFirst.getDay()+1);var endDate=new Date(date.tm_year+1900,date.tm_mon,date.tm_mday);if(compareByDay(firstMonday,endDate)<0){var februaryFirstUntilEndMonth=__arraySum(__isLeapYear(endDate.getFullYear())?__MONTH_DAYS_LEAP:__MONTH_DAYS_REGULAR,endDate.getMonth()-1)-31;var firstMondayUntilEndJanuary=31-firstMonday.getDate();var days=firstMondayUntilEndJanuary+februaryFirstUntilEndMonth+endDate.getDate();return leadingNulls(Math.ceil(days/7),2)}return compareByDay(firstMonday,janFirst)===0?"01":"00"}),"%y":(function(date){return(date.tm_year+1900).toString().substring(2)}),"%Y":(function(date){return date.tm_year+1900}),"%z":(function(date){var off=date.tm_gmtoff;var ahead=off>=0;off=Math.abs(off)/60;off=off/60*100+off%60;return(ahead?"+":"-")+String("0000"+off).slice(-4)}),"%Z":(function(date){return date.tm_zone}),"%%":(function(){return"%"})};for(var rule in EXPANSION_RULES_2){if(pattern.indexOf(rule)>=0){pattern=pattern.replace(new RegExp(rule,"g"),EXPANSION_RULES_2[rule](date))}}var bytes=intArrayFromString(pattern,false);if(bytes.length>maxsize){return 0}writeArrayToMemory(bytes,s);return bytes.length-1}function _strftime_l(s,maxsize,format,tm){return _strftime(s,maxsize,format,tm)}function __emval_allocateDestructors(destructorsRef){var destructors=[];HEAP32[destructorsRef>>2]=__emval_register(destructors);return destructors}function requireHandle(handle){if(!handle){throwBindingError("Cannot use deleted val. handle = "+handle)}return emval_handle_array[handle].value}function __emval_call_void_method(caller,handle,methodName,args){caller=emval_methodCallers[caller];handle=requireHandle(handle);methodName=getStringOrSymbol(methodName);caller(handle,methodName,null,args)}function _gettimeofday(ptr){var now=Date.now();HEAP32[ptr>>2]=now/1e3|0;HEAP32[ptr+4>>2]=now%1e3*1e3|0;return 0}function ___map_file(pathname,size){___setErrNo(ERRNO_CODES.EPERM);return-1}function __emval_run_destructors(handle){var destructors=emval_handle_array[handle].value;runDestructors(destructors);__emval_decref(handle)}function _emscripten_memcpy_big(dest,src,num){HEAPU8.set(HEAPU8.subarray(src,src+num),dest);return dest}var _llvm_pow_f64=Math_pow;function __embind_finalize_value_array(rawTupleType){var reg=tupleRegistrations[rawTupleType];delete tupleRegistrations[rawTupleType];var elements=reg.elements;var elementsLength=elements.length;var elementTypes=elements.map((function(elt){return elt.getterReturnType})).concat(elements.map((function(elt){return elt.setterArgumentType})));var rawConstructor=reg.rawConstructor;var rawDestructor=reg.rawDestructor;whenDependentTypesAreResolved([rawTupleType],elementTypes,(function(elementTypes){elements.forEach((function(elt,i){var getterReturnType=elementTypes[i];var getter=elt.getter;var getterContext=elt.getterContext;var setterArgumentType=elementTypes[i+elementsLength];var setter=elt.setter;var setterContext=elt.setterContext;elt.read=(function(ptr){return getterReturnType["fromWireType"](getter(getterContext,ptr))});elt.write=(function(ptr,o){var destructors=[];setter(setterContext,ptr,setterArgumentType["toWireType"](destructors,o));runDestructors(destructors)})}));return[{name:reg.name,"fromWireType":(function(ptr){var rv=new Array(elementsLength);for(var i=0;i<elementsLength;++i){rv[i]=elements[i].read(ptr)}rawDestructor(ptr);return rv}),"toWireType":(function(destructors,o){if(elementsLength!==o.length){throw new TypeError("Incorrect number of tuple elements for "+reg.name+": expected="+elementsLength+", actual="+o.length)}var ptr=rawConstructor();for(var i=0;i<elementsLength;++i){elements[i].write(ptr,o[i])}if(destructors!==null){destructors.push(rawDestructor,ptr)}return ptr}),"argPackAdvance":8,"readValueFromPointer":simpleReadValueFromPointer,destructorFunction:rawDestructor}]}))}function ___gxx_personality_v0(){}function _pthread_cond_wait(){return 0}function __embind_register_memory_view(rawType,dataTypeIndex,name){var typeMapping=[Int8Array,Uint8Array,Int16Array,Uint16Array,Int32Array,Uint32Array,Float32Array,Float64Array];var TA=typeMapping[dataTypeIndex];function decodeMemoryView(handle){handle=handle>>2;var heap=HEAPU32;var size=heap[handle];var data=heap[handle+1];return new TA(heap["buffer"],data,size)}name=readLatin1String(name);registerType(rawType,{name:name,"fromWireType":decodeMemoryView,"argPackAdvance":8,"readValueFromPointer":decodeMemoryView},{ignoreDuplicateRegistrations:true})}function validateThis(this_,classType,humanName){if(!(this_ instanceof Object)){throwBindingError(humanName+' with invalid "this": '+this_)}if(!(this_ instanceof classType.registeredClass.constructor)){throwBindingError(humanName+' incompatible with "this" of type '+this_.constructor.name)}if(!this_.$$.ptr){throwBindingError("cannot call emscripten binding method "+humanName+" on deleted object")}return upcastPointer(this_.$$.ptr,this_.$$.ptrType.registeredClass,classType.registeredClass)}function __embind_register_class_property(classType,fieldName,getterReturnType,getterSignature,getter,getterContext,setterArgumentType,setterSignature,setter,setterContext){fieldName=readLatin1String(fieldName);getter=requireFunction(getterSignature,getter);whenDependentTypesAreResolved([],[classType],(function(classType){classType=classType[0];var humanName=classType.name+"."+fieldName;var desc={get:(function(){throwUnboundTypeError("Cannot access "+humanName+" due to unbound types",[getterReturnType,setterArgumentType])}),enumerable:true,configurable:true};if(setter){desc.set=(function(){throwUnboundTypeError("Cannot access "+humanName+" due to unbound types",[getterReturnType,setterArgumentType])})}else{desc.set=(function(v){throwBindingError(humanName+" is a read-only property")})}Object.defineProperty(classType.registeredClass.instancePrototype,fieldName,desc);whenDependentTypesAreResolved([],setter?[getterReturnType,setterArgumentType]:[getterReturnType],(function(types){var getterReturnType=types[0];var desc={get:(function(){var ptr=validateThis(this,classType,humanName+" getter");return getterReturnType["fromWireType"](getter(getterContext,ptr))}),enumerable:true};if(setter){setter=requireFunction(setterSignature,setter);var setterArgumentType=types[1];desc.set=(function(v){var ptr=validateThis(this,classType,humanName+" setter");var destructors=[];setter(setterContext,ptr,setterArgumentType["toWireType"](destructors,v));runDestructors(destructors)})}Object.defineProperty(classType.registeredClass.instancePrototype,fieldName,desc);return[]}));return[]}))}function __emval_incref(handle){if(handle>4){emval_handle_array[handle].refcount+=1}}function _pthread_mutexattr_settype(){}function __embind_register_value_object(rawType,name,constructorSignature,rawConstructor,destructorSignature,rawDestructor){structRegistrations[rawType]={name:readLatin1String(name),rawConstructor:requireFunction(constructorSignature,rawConstructor),rawDestructor:requireFunction(destructorSignature,rawDestructor),fields:[]}}function __embind_register_bool(rawType,name,size,trueValue,falseValue){var shift=getShiftFromSize(size);name=readLatin1String(name);registerType(rawType,{name:name,"fromWireType":(function(wt){return!!wt}),"toWireType":(function(destructors,o){return o?trueValue:falseValue}),"argPackAdvance":8,"readValueFromPointer":(function(pointer){var heap;if(size===1){heap=HEAP8}else if(size===2){heap=HEAP16}else if(size===4){heap=HEAP32}else{throw new TypeError("Unknown boolean type size: "+name)}return this["fromWireType"](heap[pointer>>shift])}),destructorFunction:null})}function ___assert_fail(condition,filename,line,func){ABORT=true;throw"Assertion failed: "+Pointer_stringify(condition)+", at: "+[filename?Pointer_stringify(filename):"unknown filename",line,func?Pointer_stringify(func):"unknown function"]+" at "+stackTrace()}function __embind_register_void(rawType,name){name=readLatin1String(name);registerType(rawType,{isVoid:true,name:name,"argPackAdvance":0,"fromWireType":(function(){return undefined}),"toWireType":(function(destructors,o){return undefined})})}function __emval_new_array(){return __emval_register([])}function _abort(){Module["abort"]()}function __emval_as(handle,returnType,destructorsRef){handle=requireHandle(handle);returnType=requireRegisteredType(returnType,"emval::as");var destructors=[];var rd=__emval_register(destructors);HEAP32[destructorsRef>>2]=rd;return returnType["toWireType"](destructors,handle)}function _pthread_mutex_destroy(){}function _pthread_once(ptr,func){if(!_pthread_once.seen)_pthread_once.seen={};if(ptr in _pthread_once.seen)return;Module["dynCall_v"](func);_pthread_once.seen[ptr]=1}function __embind_register_value_object_field(structType,fieldName,getterReturnType,getterSignature,getter,getterContext,setterArgumentType,setterSignature,setter,setterContext){structRegistrations[structType].fields.push({fieldName:readLatin1String(fieldName),getterReturnType:getterReturnType,getter:requireFunction(getterSignature,getter),getterContext:getterContext,setterArgumentType:setterArgumentType,setter:requireFunction(setterSignature,setter),setterContext:setterContext})}function ClassHandle_isAliasOf(other){if(!(this instanceof ClassHandle)){return false}if(!(other instanceof ClassHandle)){return false}var leftClass=this.$$.ptrType.registeredClass;var left=this.$$.ptr;var rightClass=other.$$.ptrType.registeredClass;var right=other.$$.ptr;while(leftClass.baseClass){left=leftClass.upcast(left);leftClass=leftClass.baseClass}while(rightClass.baseClass){right=rightClass.upcast(right);rightClass=rightClass.baseClass}return leftClass===rightClass&&left===right}function shallowCopyInternalPointer(o){return{count:o.count,deleteScheduled:o.deleteScheduled,preservePointerOnDelete:o.preservePointerOnDelete,ptr:o.ptr,ptrType:o.ptrType,smartPtr:o.smartPtr,smartPtrType:o.smartPtrType}}function throwInstanceAlreadyDeleted(obj){function getInstanceTypeName(handle){return handle.$$.ptrType.registeredClass.name}throwBindingError(getInstanceTypeName(obj)+" instance already deleted")}function ClassHandle_clone(){if(!this.$$.ptr){throwInstanceAlreadyDeleted(this)}if(this.$$.preservePointerOnDelete){this.$$.count.value+=1;return this}else{var clone=Object.create(Object.getPrototypeOf(this),{$$:{value:shallowCopyInternalPointer(this.$$)}});clone.$$.count.value+=1;clone.$$.deleteScheduled=false;return clone}}function runDestructor(handle){var $$=handle.$$;if($$.smartPtr){$$.smartPtrType.rawDestructor($$.smartPtr)}else{$$.ptrType.registeredClass.rawDestructor($$.ptr)}}function ClassHandle_delete(){if(!this.$$.ptr){throwInstanceAlreadyDeleted(this)}if(this.$$.deleteScheduled&&!this.$$.preservePointerOnDelete){throwBindingError("Object already scheduled for deletion")}this.$$.count.value-=1;var toDelete=0===this.$$.count.value;if(toDelete){runDestructor(this)}if(!this.$$.preservePointerOnDelete){this.$$.smartPtr=undefined;this.$$.ptr=undefined}}function ClassHandle_isDeleted(){return!this.$$.ptr}function ClassHandle_deleteLater(){if(!this.$$.ptr){throwInstanceAlreadyDeleted(this)}if(this.$$.deleteScheduled&&!this.$$.preservePointerOnDelete){throwBindingError("Object already scheduled for deletion")}deletionQueue.push(this);if(deletionQueue.length===1&&delayFunction){delayFunction(flushPendingDeletes)}this.$$.deleteScheduled=true;return this}function init_ClassHandle(){ClassHandle.prototype["isAliasOf"]=ClassHandle_isAliasOf;ClassHandle.prototype["clone"]=ClassHandle_clone;ClassHandle.prototype["delete"]=ClassHandle_delete;ClassHandle.prototype["isDeleted"]=ClassHandle_isDeleted;ClassHandle.prototype["deleteLater"]=ClassHandle_deleteLater}function ClassHandle(){}function exposePublicSymbol(name,value,numArguments){if(Module.hasOwnProperty(name)){if(undefined===numArguments||undefined!==Module[name].overloadTable&&undefined!==Module[name].overloadTable[numArguments]){throwBindingError("Cannot register public name '"+name+"' twice")}ensureOverloadTable(Module,name,name);if(Module.hasOwnProperty(numArguments)){throwBindingError("Cannot register multiple overloads of a function with the same number of arguments ("+numArguments+")!")}Module[name].overloadTable[numArguments]=value}else{Module[name]=value;if(undefined!==numArguments){Module[name].numArguments=numArguments}}}function RegisteredClass(name,constructor,instancePrototype,rawDestructor,baseClass,getActualType,upcast,downcast){this.name=name;this.constructor=constructor;this.instancePrototype=instancePrototype;this.rawDestructor=rawDestructor;this.baseClass=baseClass;this.getActualType=getActualType;this.upcast=upcast;this.downcast=downcast;this.pureVirtualFunctions=[]}function replacePublicSymbol(name,value,numArguments){if(!Module.hasOwnProperty(name)){throwInternalError("Replacing nonexistant public symbol")}if(undefined!==Module[name].overloadTable&&undefined!==numArguments){Module[name].overloadTable[numArguments]=value}else{Module[name]=value;Module[name].argCount=numArguments}}function __embind_register_class(rawType,rawPointerType,rawConstPointerType,baseClassRawType,getActualTypeSignature,getActualType,upcastSignature,upcast,downcastSignature,downcast,name,destructorSignature,rawDestructor){name=readLatin1String(name);getActualType=requireFunction(getActualTypeSignature,getActualType);if(upcast){upcast=requireFunction(upcastSignature,upcast)}if(downcast){downcast=requireFunction(downcastSignature,downcast)}rawDestructor=requireFunction(destructorSignature,rawDestructor);var legalFunctionName=makeLegalFunctionName(name);exposePublicSymbol(legalFunctionName,(function(){throwUnboundTypeError("Cannot construct "+name+" due to unbound types",[baseClassRawType])}));whenDependentTypesAreResolved([rawType,rawPointerType,rawConstPointerType],baseClassRawType?[baseClassRawType]:[],(function(base){base=base[0];var baseClass;var basePrototype;if(baseClassRawType){baseClass=base.registeredClass;basePrototype=baseClass.instancePrototype}else{basePrototype=ClassHandle.prototype}var constructor=createNamedFunction(legalFunctionName,(function(){if(Object.getPrototypeOf(this)!==instancePrototype){throw new BindingError("Use 'new' to construct "+name)}if(undefined===registeredClass.constructor_body){throw new BindingError(name+" has no accessible constructor")}var body=registeredClass.constructor_body[arguments.length];if(undefined===body){throw new BindingError("Tried to invoke ctor of "+name+" with invalid number of parameters ("+arguments.length+") - expected ("+Object.keys(registeredClass.constructor_body).toString()+") parameters instead!")}return body.apply(this,arguments)}));var instancePrototype=Object.create(basePrototype,{constructor:{value:constructor}});constructor.prototype=instancePrototype;var registeredClass=new RegisteredClass(name,constructor,instancePrototype,rawDestructor,baseClass,getActualType,upcast,downcast);var referenceConverter=new RegisteredPointer(name,registeredClass,true,false,false);var pointerConverter=new RegisteredPointer(name+"*",registeredClass,false,false,false);var constPointerConverter=new RegisteredPointer(name+" const*",registeredClass,false,true,false);registeredPointers[rawType]={pointerType:pointerConverter,constPointerType:constPointerConverter};replacePublicSymbol(legalFunctionName,constructor);return[referenceConverter,pointerConverter,constPointerConverter]}))}function ___lock(){}function ___unlock(){}function _pthread_mutexattr_init(){}function _pthread_getspecific(key){return PTHREAD_SPECIFIC[key]||0}function _pthread_key_delete(key){if(key in PTHREAD_SPECIFIC){delete PTHREAD_SPECIFIC[key];return 0}return ERRNO_CODES.EINVAL}function __emval_get_property(handle,key){handle=requireHandle(handle);key=requireHandle(key);return __emval_register(handle[key])}function __embind_register_emval(rawType,name){name=readLatin1String(name);registerType(rawType,{name:name,"fromWireType":(function(handle){var rv=emval_handle_array[handle].value;__emval_decref(handle);return rv}),"toWireType":(function(destructors,value){return __emval_register(value)}),"argPackAdvance":8,"readValueFromPointer":simpleReadValueFromPointer,destructorFunction:null})}function _pthread_setspecific(key,value){if(!(key in PTHREAD_SPECIFIC)){return ERRNO_CODES.EINVAL}PTHREAD_SPECIFIC[key]=value;return 0}function __embind_register_value_array_element(rawTupleType,getterReturnType,getterSignature,getter,getterContext,setterArgumentType,setterSignature,setter,setterContext){tupleRegistrations[rawTupleType].elements.push({getterReturnType:getterReturnType,getter:requireFunction(getterSignature,getter),getterContext:getterContext,setterArgumentType:setterArgumentType,setter:requireFunction(setterSignature,setter),setterContext:setterContext})}function ___cxa_allocate_exception(size){return _malloc(size)}function ___cxa_pure_virtual(){ABORT=true;throw"Pure virtual function called!"}function floatReadValueFromPointer(name,shift){switch(shift){case 2:return(function(pointer){return this["fromWireType"](HEAPF32[pointer>>2])});case 3:return(function(pointer){return this["fromWireType"](HEAPF64[pointer>>3])});default:throw new TypeError("Unknown float type: "+name)}}function __embind_register_float(rawType,name,size){var shift=getShiftFromSize(size);name=readLatin1String(name);registerType(rawType,{name:name,"fromWireType":(function(value){return value}),"toWireType":(function(destructors,value){if(typeof value!=="number"&&typeof value!=="boolean"){throw new TypeError('Cannot convert "'+_embind_repr(value)+'" to '+this.name)}return value}),"argPackAdvance":8,"readValueFromPointer":floatReadValueFromPointer(name,shift),destructorFunction:null})}function __embind_register_function(name,argCount,rawArgTypesAddr,signature,rawInvoker,fn){var argTypes=heap32VectorToArray(argCount,rawArgTypesAddr);name=readLatin1String(name);rawInvoker=requireFunction(signature,rawInvoker);exposePublicSymbol(name,(function(){throwUnboundTypeError("Cannot call "+name+" due to unbound types",argTypes)}),argCount-1);whenDependentTypesAreResolved([],argTypes,(function(argTypes){var invokerArgsArray=[argTypes[0],null].concat(argTypes.slice(1));replacePublicSymbol(name,craftInvokerFunction(name,invokerArgsArray,null,rawInvoker,fn),argCount-1);return[]}))}function __embind_register_constant(name,type,value){name=readLatin1String(name);whenDependentTypesAreResolved([],[type],(function(type){type=type[0];Module[name]=type["fromWireType"](value);return[]}))}function ___cxa_begin_catch(ptr){var info=EXCEPTIONS.infos[ptr];if(info&&!info.caught){info.caught=true;__ZSt18uncaught_exceptionv.uncaught_exception--}if(info)info.rethrown=false;EXCEPTIONS.caught.push(ptr);EXCEPTIONS.addRef(EXCEPTIONS.deAdjust(ptr));return ptr}function ___syscall3(which,varargs){SYSCALLS.varargs=varargs;try{var stream=SYSCALLS.getStreamFromFD(),buf=SYSCALLS.get(),count=SYSCALLS.get();return FS.read(stream,HEAP8,buf,count)}catch(e){if(typeof FS==="undefined"||!(e instanceof FS.ErrnoError))abort(e);return-e.errno}}function ___syscall5(which,varargs){SYSCALLS.varargs=varargs;try{var pathname=SYSCALLS.getStr(),flags=SYSCALLS.get(),mode=SYSCALLS.get();var stream=FS.open(pathname,flags,mode);return stream.fd}catch(e){if(typeof FS==="undefined"||!(e instanceof FS.ErrnoError))abort(e);return-e.errno}}function ___syscall4(which,varargs){SYSCALLS.varargs=varargs;try{var stream=SYSCALLS.getStreamFromFD(),buf=SYSCALLS.get(),count=SYSCALLS.get();return FS.write(stream,HEAP8,buf,count)}catch(e){if(typeof FS==="undefined"||!(e instanceof FS.ErrnoError))abort(e);return-e.errno}}function ___syscall6(which,varargs){SYSCALLS.varargs=varargs;try{var stream=SYSCALLS.getStreamFromFD();FS.close(stream);return 0}catch(e){if(typeof FS==="undefined"||!(e instanceof FS.ErrnoError))abort(e);return-e.errno}}function __embind_register_class_constructor(rawClassType,argCount,rawArgTypesAddr,invokerSignature,invoker,rawConstructor){var rawArgTypes=heap32VectorToArray(argCount,rawArgTypesAddr);invoker=requireFunction(invokerSignature,invoker);whenDependentTypesAreResolved([],[rawClassType],(function(classType){classType=classType[0];var humanName="constructor "+classType.name;if(undefined===classType.registeredClass.constructor_body){classType.registeredClass.constructor_body=[]}if(undefined!==classType.registeredClass.constructor_body[argCount-1]){throw new BindingError("Cannot register multiple constructors with identical number of parameters ("+(argCount-1)+") for class '"+classType.name+"'! Overload resolution is currently only performed using the parameter count, not actual type info!")}classType.registeredClass.constructor_body[argCount-1]=function unboundTypeHandler(){throwUnboundTypeError("Cannot construct "+classType.name+" due to unbound types",rawArgTypes)};whenDependentTypesAreResolved([],rawArgTypes,(function(argTypes){classType.registeredClass.constructor_body[argCount-1]=function constructor_body(){if(arguments.length!==argCount-1){throwBindingError(humanName+" called with "+arguments.length+" arguments, expected "+(argCount-1))}var destructors=[];var args=new Array(argCount);args[0]=rawConstructor;for(var i=1;i<argCount;++i){args[i]=argTypes[i]["toWireType"](destructors,arguments[i-1])}var ptr=invoker.apply(null,args);runDestructors(destructors);return argTypes[0]["fromWireType"](ptr)};return[]}));return[]}))}function ___syscall140(which,varargs){SYSCALLS.varargs=varargs;try{var stream=SYSCALLS.getStreamFromFD(),offset_high=SYSCALLS.get(),offset_low=SYSCALLS.get(),result=SYSCALLS.get(),whence=SYSCALLS.get();var offset=offset_low;FS.llseek(stream,offset,whence);HEAP32[result>>2]=stream.position;if(stream.getdents&&offset===0&&whence===0)stream.getdents=null;return 0}catch(e){if(typeof FS==="undefined"||!(e instanceof FS.ErrnoError))abort(e);return-e.errno}}function __embind_register_class_function(rawClassType,methodName,argCount,rawArgTypesAddr,invokerSignature,rawInvoker,context,isPureVirtual){var rawArgTypes=heap32VectorToArray(argCount,rawArgTypesAddr);methodName=readLatin1String(methodName);rawInvoker=requireFunction(invokerSignature,rawInvoker);whenDependentTypesAreResolved([],[rawClassType],(function(classType){classType=classType[0];var humanName=classType.name+"."+methodName;if(isPureVirtual){classType.registeredClass.pureVirtualFunctions.push(methodName)}function unboundTypesHandler(){throwUnboundTypeError("Cannot call "+humanName+" due to unbound types",rawArgTypes)}var proto=classType.registeredClass.instancePrototype;var method=proto[methodName];if(undefined===method||undefined===method.overloadTable&&method.className!==classType.name&&method.argCount===argCount-2){unboundTypesHandler.argCount=argCount-2;unboundTypesHandler.className=classType.name;proto[methodName]=unboundTypesHandler}else{ensureOverloadTable(proto,methodName,humanName);proto[methodName].overloadTable[argCount-2]=unboundTypesHandler}whenDependentTypesAreResolved([],rawArgTypes,(function(argTypes){var memberFunction=craftInvokerFunction(humanName,argTypes,classType,rawInvoker,context);if(undefined===proto[methodName].overloadTable){memberFunction.argCount=argCount-2;proto[methodName]=memberFunction}else{proto[methodName].overloadTable[argCount-2]=memberFunction}return[]}));return[]}))}function ___syscall146(which,varargs){SYSCALLS.varargs=varargs;try{var stream=SYSCALLS.getStreamFromFD(),iov=SYSCALLS.get(),iovcnt=SYSCALLS.get();return SYSCALLS.doWritev(stream,iov,iovcnt)}catch(e){if(typeof FS==="undefined"||!(e instanceof FS.ErrnoError))abort(e);return-e.errno}}function ___syscall221(which,varargs){SYSCALLS.varargs=varargs;try{var stream=SYSCALLS.getStreamFromFD(),cmd=SYSCALLS.get();switch(cmd){case 0:{var arg=SYSCALLS.get();if(arg<0){return-ERRNO_CODES.EINVAL}var newStream;newStream=FS.open(stream.path,stream.flags,0,arg);return newStream.fd};case 1:case 2:return 0;case 3:return stream.flags;case 4:{var arg=SYSCALLS.get();stream.flags|=arg;return 0};case 12:case 12:{var arg=SYSCALLS.get();var offset=0;HEAP16[arg+offset>>1]=2;return 0};case 13:case 14:case 13:case 14:return 0;case 16:case 8:return-ERRNO_CODES.EINVAL;case 9:___setErrNo(ERRNO_CODES.EINVAL);return-1;default:{return-ERRNO_CODES.EINVAL}}}catch(e){if(typeof FS==="undefined"||!(e instanceof FS.ErrnoError))abort(e);return-e.errno}}function ___syscall145(which,varargs){SYSCALLS.varargs=varargs;try{var stream=SYSCALLS.getStreamFromFD(),iov=SYSCALLS.get(),iovcnt=SYSCALLS.get();return SYSCALLS.doReadv(stream,iov,iovcnt)}catch(e){if(typeof FS==="undefined"||!(e instanceof FS.ErrnoError))abort(e);return-e.errno}}var ___dso_handle=STATICTOP;STATICTOP+=16;embind_init_charCodes();init_emval();BindingError=Module["BindingError"]=extendError(Error,"BindingError");InternalError=Module["InternalError"]=extendError(Error,"InternalError");FS.staticInit();__ATINIT__.unshift((function(){if(!Module["noFSInit"]&&!FS.init.initialized)FS.init()}));__ATMAIN__.push((function(){FS.ignorePermissions=false}));__ATEXIT__.push((function(){FS.quit()}));Module["FS_createFolder"]=FS.createFolder;Module["FS_createPath"]=FS.createPath;Module["FS_createDataFile"]=FS.createDataFile;Module["FS_createPreloadedFile"]=FS.createPreloadedFile;Module["FS_createLazyFile"]=FS.createLazyFile;Module["FS_createLink"]=FS.createLink;Module["FS_createDevice"]=FS.createDevice;Module["FS_unlink"]=FS.unlink;__ATINIT__.unshift((function(){TTY.init()}));__ATEXIT__.push((function(){TTY.shutdown()}));if(ENVIRONMENT_IS_NODE){var fs=require("fs");var NODEJS_PATH=require("path");NODEFS.staticInit()}Module["requestFullScreen"]=function Module_requestFullScreen(lockPointer,resizeCanvas,vrDevice){Module.printErr("Module.requestFullScreen is deprecated. Please call Module.requestFullscreen instead.");Module["requestFullScreen"]=Module["requestFullscreen"];Browser.requestFullScreen(lockPointer,resizeCanvas,vrDevice)};Module["requestFullscreen"]=function Module_requestFullscreen(lockPointer,resizeCanvas,vrDevice){Browser.requestFullscreen(lockPointer,resizeCanvas,vrDevice)};Module["requestAnimationFrame"]=function Module_requestAnimationFrame(func){Browser.requestAnimationFrame(func)};Module["setCanvasSize"]=function Module_setCanvasSize(width,height,noUpdates){Browser.setCanvasSize(width,height,noUpdates)};Module["pauseMainLoop"]=function Module_pauseMainLoop(){Browser.mainLoop.pause()};Module["resumeMainLoop"]=function Module_resumeMainLoop(){Browser.mainLoop.resume()};Module["getUserMedia"]=function Module_getUserMedia(){Browser.getUserMedia()};Module["createContext"]=function Module_createContext(canvas,useWebGL,setInModule,webGLContextAttributes){return Browser.createContext(canvas,useWebGL,setInModule,webGLContextAttributes)};if(ENVIRONMENT_IS_NODE){_emscripten_get_now=function _emscripten_get_now_actual(){var t=process["hrtime"]();return t[0]*1e3+t[1]/1e6}}else if(typeof dateNow!=="undefined"){_emscripten_get_now=dateNow}else if(typeof self==="object"&&self["performance"]&&typeof self["performance"]["now"]==="function"){_emscripten_get_now=(function(){return self["performance"]["now"]()})}else if(typeof performance==="object"&&typeof performance["now"]==="function"){_emscripten_get_now=(function(){return performance["now"]()})}else{_emscripten_get_now=Date.now}init_RegisteredPointer();init_embind();UnboundTypeError=Module["UnboundTypeError"]=extendError(Error,"UnboundTypeError");___buildEnvironment(ENV);init_ClassHandle();DYNAMICTOP_PTR=allocate(1,"i32",ALLOC_STATIC);STACK_BASE=STACKTOP=Runtime.alignMemory(STATICTOP);STACK_MAX=STACK_BASE+TOTAL_STACK;DYNAMIC_BASE=Runtime.alignMemory(STACK_MAX);HEAP32[DYNAMICTOP_PTR>>2]=DYNAMIC_BASE;staticSealed=true;function invoke_iiiiiid(index,a1,a2,a3,a4,a5,a6){try{return Module["dynCall_iiiiiid"](index,a1,a2,a3,a4,a5,a6)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiiddd(index,a1,a2,a3,a4,a5,a6,a7){try{Module["dynCall_viiiiddd"](index,a1,a2,a3,a4,a5,a6,a7)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiidiii(index,a1,a2,a3,a4,a5,a6,a7,a8){try{Module["dynCall_viiiidiii"](index,a1,a2,a3,a4,a5,a6,a7,a8)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiiiddi(index,a1,a2,a3,a4,a5,a6,a7,a8){try{Module["dynCall_viiiiiddi"](index,a1,a2,a3,a4,a5,a6,a7,a8)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiidiii(index,a1,a2,a3,a4,a5,a6,a7){try{Module["dynCall_viiidiii"](index,a1,a2,a3,a4,a5,a6,a7)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiidiid(index,a1,a2,a3,a4,a5,a6,a7,a8){try{Module["dynCall_viiiidiid"](index,a1,a2,a3,a4,a5,a6,a7,a8)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_iiiiiii(index,a1,a2,a3,a4,a5,a6){try{return Module["dynCall_iiiiiii"](index,a1,a2,a3,a4,a5,a6)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiidddiiii(index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,a11){try{Module["dynCall_viiiidddiiii"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,a11)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiiddi(index,a1,a2,a3,a4,a5,a6,a7){try{Module["dynCall_viiiiddi"](index,a1,a2,a3,a4,a5,a6,a7)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiddddi(index,a1,a2,a3,a4,a5,a6,a7,a8){try{Module["dynCall_viiiddddi"](index,a1,a2,a3,a4,a5,a6,a7,a8)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viidiii(index,a1,a2,a3,a4,a5,a6){try{Module["dynCall_viidiii"](index,a1,a2,a3,a4,a5,a6)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiiiiiiiii(index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,a11){try{Module["dynCall_viiiiiiiiiii"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,a11)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiiiiiiiid(index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,a11){try{Module["dynCall_viiiiiiiiiid"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,a11)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiidddd(index,a1,a2,a3,a4,a5,a6,a7){try{Module["dynCall_viiidddd"](index,a1,a2,a3,a4,a5,a6,a7)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_iidi(index,a1,a2,a3){try{return Module["dynCall_iidi"](index,a1,a2,a3)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiddidd(index,a1,a2,a3,a4,a5,a6,a7){try{Module["dynCall_viiddidd"](index,a1,a2,a3,a4,a5,a6,a7)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_vidi(index,a1,a2,a3){try{Module["dynCall_vidi"](index,a1,a2,a3)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiddii(index,a1,a2,a3,a4,a5,a6){try{Module["dynCall_viiddii"](index,a1,a2,a3,a4,a5,a6)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiddid(index,a1,a2,a3,a4,a5,a6){try{Module["dynCall_viiddid"](index,a1,a2,a3,a4,a5,a6)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiiidi(index,a1,a2,a3,a4,a5,a6,a7){try{Module["dynCall_viiiiidi"](index,a1,a2,a3,a4,a5,a6,a7)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiddidddd(index,a1,a2,a3,a4,a5,a6,a7,a8,a9){try{Module["dynCall_viiddidddd"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiiddiiii(index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10){try{Module["dynCall_viiiiddiiii"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiiiiidd(index,a1,a2,a3,a4,a5,a6,a7,a8,a9){try{Module["dynCall_viiiiiiidd"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiiddiiid(index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10){try{Module["dynCall_viiiiddiiid"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiiiiidi(index,a1,a2,a3,a4,a5,a6,a7,a8,a9){try{Module["dynCall_viiiiiiidi"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiddi(index,a1,a2,a3,a4,a5){try{Module["dynCall_viiddi"](index,a1,a2,a3,a4,a5)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiidii(index,a1,a2,a3,a4,a5,a6){try{Module["dynCall_viiidii"](index,a1,a2,a3,a4,a5,a6)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiiidd(index,a1,a2,a3,a4,a5,a6,a7){try{Module["dynCall_viiiiidd"](index,a1,a2,a3,a4,a5,a6,a7)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_di(index,a1){try{return Module["dynCall_di"](index,a1)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiiiidiiii(index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,a11){try{Module["dynCall_viiiiiidiiii"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,a11)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiidiiddi(index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10){try{Module["dynCall_viiiidiiddi"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiiddiiiid(index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,a11){try{Module["dynCall_viiiiddiiiid"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,a11)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiiddiii(index,a1,a2,a3,a4,a5,a6,a7,a8,a9){try{Module["dynCall_viiiiddiii"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_vdii(index,a1,a2,a3){try{Module["dynCall_vdii"](index,a1,a2,a3)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_diiiiiii(index,a1,a2,a3,a4,a5,a6,a7){try{return Module["dynCall_diiiiiii"](index,a1,a2,a3,a4,a5,a6,a7)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_dii(index,a1,a2){try{return Module["dynCall_dii"](index,a1,a2)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiddiiii(index,a1,a2,a3,a4,a5,a6,a7,a8,a9){try{Module["dynCall_viiiddiiii"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiddiiid(index,a1,a2,a3,a4,a5,a6,a7,a8,a9){try{Module["dynCall_viiiddiiid"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiidiidd(index,a1,a2,a3,a4,a5,a6,a7,a8,a9){try{Module["dynCall_viiiidiidd"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiiiiiiiiddi(index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,a11,a12,a13){try{Module["dynCall_viiiiiiiiiiddi"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,a11,a12,a13)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_iiiii(index,a1,a2,a3,a4){try{return Module["dynCall_iiiii"](index,a1,a2,a3,a4)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiiidiiiii(index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,a11){try{Module["dynCall_viiiiidiiiii"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,a11)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiidddi(index,a1,a2,a3,a4,a5,a6,a7){try{Module["dynCall_viiidddi"](index,a1,a2,a3,a4,a5,a6,a7)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiiidiidd(index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10){try{Module["dynCall_viiiiidiidd"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_iiiid(index,a1,a2,a3,a4){try{return Module["dynCall_iiiid"](index,a1,a2,a3,a4)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_iiiiiiii(index,a1,a2,a3,a4,a5,a6,a7){try{return Module["dynCall_iiiiiiii"](index,a1,a2,a3,a4,a5,a6,a7)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiddiii(index,a1,a2,a3,a4,a5,a6,a7){try{Module["dynCall_viiddiii"](index,a1,a2,a3,a4,a5,a6,a7)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_iiiiiiiididiii(index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,a11,a12,a13){try{return Module["dynCall_iiiiiiiididiii"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,a11,a12,a13)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiidddiii(index,a1,a2,a3,a4,a5,a6,a7,a8,a9){try{Module["dynCall_viiidddiii"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viidiiid(index,a1,a2,a3,a4,a5,a6,a7){try{Module["dynCall_viidiiid"](index,a1,a2,a3,a4,a5,a6,a7)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiiidiiii(index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10){try{Module["dynCall_viiiiidiiii"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viidiiii(index,a1,a2,a3,a4,a5,a6,a7){try{Module["dynCall_viidiiii"](index,a1,a2,a3,a4,a5,a6,a7)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_diiiddi(index,a1,a2,a3,a4,a5,a6){try{return Module["dynCall_diiiddi"](index,a1,a2,a3,a4,a5,a6)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiididii(index,a1,a2,a3,a4,a5,a6,a7,a8){try{Module["dynCall_viiididii"](index,a1,a2,a3,a4,a5,a6,a7,a8)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_diiiiiiii(index,a1,a2,a3,a4,a5,a6,a7,a8){try{return Module["dynCall_diiiiiiii"](index,a1,a2,a3,a4,a5,a6,a7,a8)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiidiiid(index,a1,a2,a3,a4,a5,a6,a7,a8){try{Module["dynCall_viiidiiid"](index,a1,a2,a3,a4,a5,a6,a7,a8)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiddddii(index,a1,a2,a3,a4,a5,a6,a7,a8,a9){try{Module["dynCall_viiiddddii"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiiid(index,a1,a2,a3,a4,a5,a6){try{Module["dynCall_viiiiid"](index,a1,a2,a3,a4,a5,a6)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiiddddii(index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10){try{Module["dynCall_viiiiddddii"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiiii(index,a1,a2,a3,a4,a5,a6){try{Module["dynCall_viiiiii"](index,a1,a2,a3,a4,a5,a6)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiidiiii(index,a1,a2,a3,a4,a5,a6,a7,a8){try{Module["dynCall_viiidiiii"](index,a1,a2,a3,a4,a5,a6,a7,a8)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiiiidi(index,a1,a2,a3,a4,a5,a6,a7,a8){try{Module["dynCall_viiiiiidi"](index,a1,a2,a3,a4,a5,a6,a7,a8)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiiiidiii(index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10){try{Module["dynCall_viiiiiidiii"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiidddii(index,a1,a2,a3,a4,a5,a6,a7,a8,a9){try{Module["dynCall_viiiidddii"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiidd(index,a1,a2,a3,a4,a5){try{Module["dynCall_viiidd"](index,a1,a2,a3,a4,a5)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiidi(index,a1,a2,a3,a4,a5){try{Module["dynCall_viiidi"](index,a1,a2,a3,a4,a5)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_iiidiiii(index,a1,a2,a3,a4,a5,a6,a7){try{return Module["dynCall_iiidiiii"](index,a1,a2,a3,a4,a5,a6,a7)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiddiddd(index,a1,a2,a3,a4,a5,a6,a7,a8){try{Module["dynCall_viiddiddd"](index,a1,a2,a3,a4,a5,a6,a7,a8)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiiiiiiii(index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10){try{Module["dynCall_viiiiiiiiii"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_diiddi(index,a1,a2,a3,a4,a5){try{return Module["dynCall_diiddi"](index,a1,a2,a3,a4,a5)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_diii(index,a1,a2,a3){try{return Module["dynCall_diii"](index,a1,a2,a3)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiddd(index,a1,a2,a3,a4,a5,a6){try{Module["dynCall_viiiddd"](index,a1,a2,a3,a4,a5,a6)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiddidddd(index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10){try{Module["dynCall_viiiddidddd"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiiiiiiiiid(index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,a11,a12){try{Module["dynCall_viiiiiiiiiiid"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,a11,a12)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiddidd(index,a1,a2,a3,a4,a5,a6,a7,a8){try{Module["dynCall_viiiddidd"](index,a1,a2,a3,a4,a5,a6,a7,a8)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiidiiiidi(index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10){try{Module["dynCall_viiidiiiidi"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiddiiiid(index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10){try{Module["dynCall_viiiddiiiid"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiddi(index,a1,a2,a3,a4,a5,a6){try{Module["dynCall_viiiddi"](index,a1,a2,a3,a4,a5,a6)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_iiiiii(index,a1,a2,a3,a4,a5){try{return Module["dynCall_iiiiii"](index,a1,a2,a3,a4,a5)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiid(index,a1,a2,a3,a4){try{Module["dynCall_viiid"](index,a1,a2,a3,a4)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiidddd(index,a1,a2,a3,a4,a5,a6,a7,a8){try{Module["dynCall_viiiidddd"](index,a1,a2,a3,a4,a5,a6,a7,a8)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viidii(index,a1,a2,a3,a4,a5){try{Module["dynCall_viidii"](index,a1,a2,a3,a4,a5)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_iiiiid(index,a1,a2,a3,a4,a5){try{return Module["dynCall_iiiiid"](index,a1,a2,a3,a4,a5)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiidddi(index,a1,a2,a3,a4,a5,a6,a7,a8){try{Module["dynCall_viiiidddi"](index,a1,a2,a3,a4,a5,a6,a7,a8)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiii(index,a1,a2,a3,a4){try{Module["dynCall_viiii"](index,a1,a2,a3,a4)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiii(index,a1,a2,a3,a4,a5){try{Module["dynCall_viiiii"](index,a1,a2,a3,a4,a5)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiidiiii(index,a1,a2,a3,a4,a5,a6,a7,a8,a9){try{Module["dynCall_viiiidiiii"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_vid(index,a1,a2){try{Module["dynCall_vid"](index,a1,a2)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_iiidi(index,a1,a2,a3,a4){try{return Module["dynCall_iiidi"](index,a1,a2,a3,a4)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_iiidd(index,a1,a2,a3,a4){try{return Module["dynCall_iiidd"](index,a1,a2,a3,a4)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_vii(index,a1,a2){try{Module["dynCall_vii"](index,a1,a2)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiid(index,a1,a2,a3,a4,a5){try{Module["dynCall_viiiid"](index,a1,a2,a3,a4,a5)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiiddddi(index,a1,a2,a3,a4,a5,a6,a7,a8,a9){try{Module["dynCall_viiiiddddi"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viidd(index,a1,a2,a3,a4){try{Module["dynCall_viidd"](index,a1,a2,a3,a4)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viidi(index,a1,a2,a3,a4){try{Module["dynCall_viidi"](index,a1,a2,a3,a4)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiidiiddi(index,a1,a2,a3,a4,a5,a6,a7,a8,a9){try{Module["dynCall_viiidiiddi"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_diiid(index,a1,a2,a3,a4){try{return Module["dynCall_diiid"](index,a1,a2,a3,a4)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiidddii(index,a1,a2,a3,a4,a5,a6,a7,a8){try{Module["dynCall_viiidddii"](index,a1,a2,a3,a4,a5,a6,a7,a8)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiiiiii(index,a1,a2,a3,a4,a5,a6,a7,a8){try{Module["dynCall_viiiiiiii"](index,a1,a2,a3,a4,a5,a6,a7,a8)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiidddiiii(index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10){try{Module["dynCall_viiidddiiii"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiiiiid(index,a1,a2,a3,a4,a5,a6,a7,a8){try{Module["dynCall_viiiiiiid"](index,a1,a2,a3,a4,a5,a6,a7,a8)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_diiii(index,a1,a2,a3,a4){try{return Module["dynCall_diiii"](index,a1,a2,a3,a4)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiiidiiddi(index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,a11){try{Module["dynCall_viiiiidiiddi"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,a11)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiiidii(index,a1,a2,a3,a4,a5,a6,a7,a8){try{Module["dynCall_viiiiidii"](index,a1,a2,a3,a4,a5,a6,a7,a8)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiddiddd(index,a1,a2,a3,a4,a5,a6,a7,a8,a9){try{Module["dynCall_viiiddiddd"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_iid(index,a1,a2){try{return Module["dynCall_iid"](index,a1,a2)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiddid(index,a1,a2,a3,a4,a5,a6,a7){try{Module["dynCall_viiiddid"](index,a1,a2,a3,a4,a5,a6,a7)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiiiii(index,a1,a2,a3,a4,a5,a6,a7){try{Module["dynCall_viiiiiii"](index,a1,a2,a3,a4,a5,a6,a7)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viididdi(index,a1,a2,a3,a4,a5,a6,a7){try{Module["dynCall_viididdi"](index,a1,a2,a3,a4,a5,a6,a7)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiiiid(index,a1,a2,a3,a4,a5,a6,a7){try{Module["dynCall_viiiiiid"](index,a1,a2,a3,a4,a5,a6,a7)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiiiiiii(index,a1,a2,a3,a4,a5,a6,a7,a8,a9){try{Module["dynCall_viiiiiiiii"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_iii(index,a1,a2){try{return Module["dynCall_iii"](index,a1,a2)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiddii(index,a1,a2,a3,a4,a5,a6,a7){try{Module["dynCall_viiiddii"](index,a1,a2,a3,a4,a5,a6,a7)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiididi(index,a1,a2,a3,a4,a5,a6,a7){try{Module["dynCall_viiididi"](index,a1,a2,a3,a4,a5,a6,a7)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_vdiii(index,a1,a2,a3,a4){try{Module["dynCall_vdiii"](index,a1,a2,a3,a4)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiiiidii(index,a1,a2,a3,a4,a5,a6,a7,a8,a9){try{Module["dynCall_viiiiiidii"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiidddiii(index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10){try{Module["dynCall_viiiidddiii"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viii(index,a1,a2,a3){try{Module["dynCall_viii"](index,a1,a2,a3)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_v(index){try{Module["dynCall_v"](index)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viid(index,a1,a2,a3){try{Module["dynCall_viid"](index,a1,a2,a3)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viidiiiii(index,a1,a2,a3,a4,a5,a6,a7,a8){try{Module["dynCall_viidiiiii"](index,a1,a2,a3,a4,a5,a6,a7,a8)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_vi(index,a1){try{Module["dynCall_vi"](index,a1)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiidiiiidi(index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,a11){try{Module["dynCall_viiiidiiiidi"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,a11)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_ii(index,a1){try{return Module["dynCall_ii"](index,a1)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiiiiiddi(index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10){try{Module["dynCall_viiiiiiiddi"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_vididdi(index,a1,a2,a3,a4,a5,a6){try{Module["dynCall_vididdi"](index,a1,a2,a3,a4,a5,a6)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiiiidd(index,a1,a2,a3,a4,a5,a6,a7,a8){try{Module["dynCall_viiiiiidd"](index,a1,a2,a3,a4,a5,a6,a7,a8)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_vidii(index,a1,a2,a3,a4){try{Module["dynCall_vidii"](index,a1,a2,a3,a4)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiidi(index,a1,a2,a3,a4,a5,a6){try{Module["dynCall_viiiidi"](index,a1,a2,a3,a4,a5,a6)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiddiii(index,a1,a2,a3,a4,a5,a6,a7,a8){try{Module["dynCall_viiiddiii"](index,a1,a2,a3,a4,a5,a6,a7,a8)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiiiidiiiii(index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,a11,a12){try{Module["dynCall_viiiiiidiiiii"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,a11,a12)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_iiii(index,a1,a2,a3){try{return Module["dynCall_iiii"](index,a1,a2,a3)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viididii(index,a1,a2,a3,a4,a5,a6,a7){try{Module["dynCall_viididii"](index,a1,a2,a3,a4,a5,a6,a7)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiiddii(index,a1,a2,a3,a4,a5,a6,a7,a8){try{Module["dynCall_viiiiddii"](index,a1,a2,a3,a4,a5,a6,a7,a8)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_iiid(index,a1,a2,a3){try{return Module["dynCall_iiid"](index,a1,a2,a3)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiiiiiiidd(index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,a11){try{Module["dynCall_viiiiiiiiidd"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,a11)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiidii(index,a1,a2,a3,a4,a5,a6,a7){try{Module["dynCall_viiiidii"](index,a1,a2,a3,a4,a5,a6,a7)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_diiiii(index,a1,a2,a3,a4,a5){try{return Module["dynCall_diiiii"](index,a1,a2,a3,a4,a5)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_diiiid(index,a1,a2,a3,a4,a5){try{return Module["dynCall_diiiid"](index,a1,a2,a3,a4,a5)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_iiiiiiiiiiiii(index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,a11,a12){try{return Module["dynCall_iiiiiiiiiiiii"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,a11,a12)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_iiiiiiiiiiiiiii(index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,a11,a12,a13,a14){try{return Module["dynCall_iiiiiiiiiiiiiii"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,a11,a12,a13,a14)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiiiiddi(index,a1,a2,a3,a4,a5,a6,a7,a8,a9){try{Module["dynCall_viiiiiiddi"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_iiidiii(index,a1,a2,a3,a4,a5,a6){try{return Module["dynCall_iiidiii"](index,a1,a2,a3,a4,a5,a6)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_i(index){try{return Module["dynCall_i"](index)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_iiidii(index,a1,a2,a3,a4,a5){try{return Module["dynCall_iiidii"](index,a1,a2,a3,a4,a5)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_diiiiii(index,a1,a2,a3,a4,a5,a6){try{return Module["dynCall_diiiiii"](index,a1,a2,a3,a4,a5,a6)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_iiidiiiii(index,a1,a2,a3,a4,a5,a6,a7,a8){try{return Module["dynCall_iiidiiiii"](index,a1,a2,a3,a4,a5,a6,a7,a8)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_vididdii(index,a1,a2,a3,a4,a5,a6,a7){try{Module["dynCall_vididdii"](index,a1,a2,a3,a4,a5,a6,a7)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiiidiii(index,a1,a2,a3,a4,a5,a6,a7,a8,a9){try{Module["dynCall_viiiiidiii"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viididi(index,a1,a2,a3,a4,a5,a6){try{Module["dynCall_viididi"](index,a1,a2,a3,a4,a5,a6)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_iiiiiiiii(index,a1,a2,a3,a4,a5,a6,a7,a8){try{return Module["dynCall_iiiiiiiii"](index,a1,a2,a3,a4,a5,a6,a7,a8)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viididdii(index,a1,a2,a3,a4,a5,a6,a7,a8){try{Module["dynCall_viididdii"](index,a1,a2,a3,a4,a5,a6,a7,a8)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiiidiid(index,a1,a2,a3,a4,a5,a6,a7,a8,a9){try{Module["dynCall_viiiiidiid"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiidd(index,a1,a2,a3,a4,a5,a6){try{Module["dynCall_viiiidd"](index,a1,a2,a3,a4,a5,a6)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_vidiii(index,a1,a2,a3,a4,a5){try{Module["dynCall_vidiii"](index,a1,a2,a3,a4,a5)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}Module.asmGlobalArg={"Math":Math,"Int8Array":Int8Array,"Int16Array":Int16Array,"Int32Array":Int32Array,"Uint8Array":Uint8Array,"Uint16Array":Uint16Array,"Uint32Array":Uint32Array,"Float32Array":Float32Array,"Float64Array":Float64Array,"NaN":NaN,"Infinity":Infinity,"byteLength":byteLength};Module.asmLibraryArg={"abort":abort,"assert":assert,"enlargeMemory":enlargeMemory,"getTotalMemory":getTotalMemory,"abortOnCannotGrowMemory":abortOnCannotGrowMemory,"invoke_iiiiiid":invoke_iiiiiid,"invoke_viiiiddd":invoke_viiiiddd,"invoke_viiiidiii":invoke_viiiidiii,"invoke_viiiiiddi":invoke_viiiiiddi,"invoke_viiidiii":invoke_viiidiii,"invoke_viiiidiid":invoke_viiiidiid,"invoke_iiiiiii":invoke_iiiiiii,"invoke_viiiidddiiii":invoke_viiiidddiiii,"invoke_viiiiddi":invoke_viiiiddi,"invoke_viiiddddi":invoke_viiiddddi,"invoke_viidiii":invoke_viidiii,"invoke_viiiiiiiiiii":invoke_viiiiiiiiiii,"invoke_viiiiiiiiiid":invoke_viiiiiiiiiid,"invoke_viiidddd":invoke_viiidddd,"invoke_iidi":invoke_iidi,"invoke_viiddidd":invoke_viiddidd,"invoke_vidi":invoke_vidi,"invoke_viiddii":invoke_viiddii,"invoke_viiddid":invoke_viiddid,"invoke_viiiiidi":invoke_viiiiidi,"invoke_viiddidddd":invoke_viiddidddd,"invoke_viiiiddiiii":invoke_viiiiddiiii,"invoke_viiiiiiidd":invoke_viiiiiiidd,"invoke_viiiiddiiid":invoke_viiiiddiiid,"invoke_viiiiiiidi":invoke_viiiiiiidi,"invoke_viiddi":invoke_viiddi,"invoke_viiidii":invoke_viiidii,"invoke_viiiiidd":invoke_viiiiidd,"invoke_di":invoke_di,"invoke_viiiiiidiiii":invoke_viiiiiidiiii,"invoke_viiiidiiddi":invoke_viiiidiiddi,"invoke_viiiiddiiiid":invoke_viiiiddiiiid,"invoke_viiiiddiii":invoke_viiiiddiii,"invoke_vdii":invoke_vdii,"invoke_diiiiiii":invoke_diiiiiii,"invoke_dii":invoke_dii,"invoke_viiiddiiii":invoke_viiiddiiii,"invoke_viiiddiiid":invoke_viiiddiiid,"invoke_viiiidiidd":invoke_viiiidiidd,"invoke_viiiiiiiiiiddi":invoke_viiiiiiiiiiddi,"invoke_iiiii":invoke_iiiii,"invoke_viiiiidiiiii":invoke_viiiiidiiiii,"invoke_viiidddi":invoke_viiidddi,"invoke_viiiiidiidd":invoke_viiiiidiidd,"invoke_iiiid":invoke_iiiid,"invoke_iiiiiiii":invoke_iiiiiiii,"invoke_viiddiii":invoke_viiddiii,"invoke_iiiiiiiididiii":invoke_iiiiiiiididiii,"invoke_viiidddiii":invoke_viiidddiii,"invoke_viidiiid":invoke_viidiiid,"invoke_viiiiidiiii":invoke_viiiiidiiii,"invoke_viidiiii":invoke_viidiiii,"invoke_diiiddi":invoke_diiiddi,"invoke_viiididii":invoke_viiididii,"invoke_diiiiiiii":invoke_diiiiiiii,"invoke_viiidiiid":invoke_viiidiiid,"invoke_viiiddddii":invoke_viiiddddii,"invoke_viiiiid":invoke_viiiiid,"invoke_viiiiddddii":invoke_viiiiddddii,"invoke_viiiiii":invoke_viiiiii,"invoke_viiidiiii":invoke_viiidiiii,"invoke_viiiiiidi":invoke_viiiiiidi,"invoke_viiiiiidiii":invoke_viiiiiidiii,"invoke_viiiidddii":invoke_viiiidddii,"invoke_viiidd":invoke_viiidd,"invoke_viiidi":invoke_viiidi,"invoke_iiidiiii":invoke_iiidiiii,"invoke_viiddiddd":invoke_viiddiddd,"invoke_viiiiiiiiii":invoke_viiiiiiiiii,"invoke_diiddi":invoke_diiddi,"invoke_diii":invoke_diii,"invoke_viiiddd":invoke_viiiddd,"invoke_viiiddidddd":invoke_viiiddidddd,"invoke_viiiiiiiiiiid":invoke_viiiiiiiiiiid,"invoke_viiiddidd":invoke_viiiddidd,"invoke_viiidiiiidi":invoke_viiidiiiidi,"invoke_viiiddiiiid":invoke_viiiddiiiid,"invoke_viiiddi":invoke_viiiddi,"invoke_iiiiii":invoke_iiiiii,"invoke_viiid":invoke_viiid,"invoke_viiiidddd":invoke_viiiidddd,"invoke_viidii":invoke_viidii,"invoke_iiiiid":invoke_iiiiid,"invoke_viiiidddi":invoke_viiiidddi,"invoke_viiii":invoke_viiii,"invoke_viiiii":invoke_viiiii,"invoke_viiiidiiii":invoke_viiiidiiii,"invoke_vid":invoke_vid,"invoke_iiidi":invoke_iiidi,"invoke_iiidd":invoke_iiidd,"invoke_vii":invoke_vii,"invoke_viiiid":invoke_viiiid,"invoke_viiiiddddi":invoke_viiiiddddi,"invoke_viidd":invoke_viidd,"invoke_viidi":invoke_viidi,"invoke_viiidiiddi":invoke_viiidiiddi,"invoke_diiid":invoke_diiid,"invoke_viiidddii":invoke_viiidddii,"invoke_viiiiiiii":invoke_viiiiiiii,"invoke_viiidddiiii":invoke_viiidddiiii,"invoke_viiiiiiid":invoke_viiiiiiid,"invoke_diiii":invoke_diiii,"invoke_viiiiidiiddi":invoke_viiiiidiiddi,"invoke_viiiiidii":invoke_viiiiidii,"invoke_viiiddiddd":invoke_viiiddiddd,"invoke_iid":invoke_iid,"invoke_viiiddid":invoke_viiiddid,"invoke_viiiiiii":invoke_viiiiiii,"invoke_viididdi":invoke_viididdi,"invoke_viiiiiid":invoke_viiiiiid,"invoke_viiiiiiiii":invoke_viiiiiiiii,"invoke_iii":invoke_iii,"invoke_viiiddii":invoke_viiiddii,"invoke_viiididi":invoke_viiididi,"invoke_vdiii":invoke_vdiii,"invoke_viiiiiidii":invoke_viiiiiidii,"invoke_viiiidddiii":invoke_viiiidddiii,"invoke_viii":invoke_viii,"invoke_v":invoke_v,"invoke_viid":invoke_viid,"invoke_viidiiiii":invoke_viidiiiii,"invoke_vi":invoke_vi,"invoke_viiiidiiiidi":invoke_viiiidiiiidi,"invoke_ii":invoke_ii,"invoke_viiiiiiiddi":invoke_viiiiiiiddi,"invoke_vididdi":invoke_vididdi,"invoke_viiiiiidd":invoke_viiiiiidd,"invoke_vidii":invoke_vidii,"invoke_viiiidi":invoke_viiiidi,"invoke_viiiddiii":invoke_viiiddiii,"invoke_viiiiiidiiiii":invoke_viiiiiidiiiii,"invoke_iiii":invoke_iiii,"invoke_viididii":invoke_viididii,"invoke_viiiiddii":invoke_viiiiddii,"invoke_iiid":invoke_iiid,"invoke_viiiiiiiiidd":invoke_viiiiiiiiidd,"invoke_viiiidii":invoke_viiiidii,"invoke_diiiii":invoke_diiiii,"invoke_diiiid":invoke_diiiid,"invoke_iiiiiiiiiiiii":invoke_iiiiiiiiiiiii,"invoke_iiiiiiiiiiiiiii":invoke_iiiiiiiiiiiiiii,"invoke_viiiiiiddi":invoke_viiiiiiddi,"invoke_iiidiii":invoke_iiidiii,"invoke_i":invoke_i,"invoke_iiidii":invoke_iiidii,"invoke_diiiiii":invoke_diiiiii,"invoke_iiidiiiii":invoke_iiidiiiii,"invoke_vididdii":invoke_vididdii,"invoke_viiiiidiii":invoke_viiiiidiii,"invoke_viididi":invoke_viididi,"invoke_iiiiiiiii":invoke_iiiiiiiii,"invoke_viididdii":invoke_viididdii,"invoke_viiiiidiid":invoke_viiiiidiid,"invoke_viiiidd":invoke_viiiidd,"invoke_vidiii":invoke_vidiii,"___syscall221":___syscall221,"floatReadValueFromPointer":floatReadValueFromPointer,"simpleReadValueFromPointer":simpleReadValueFromPointer,"__emval_call_void_method":__emval_call_void_method,"throwInternalError":throwInternalError,"get_first_emval":get_first_emval,"whenDependentTypesAreResolved":whenDependentTypesAreResolved,"constNoSmartPtrRawPointerToWireType":constNoSmartPtrRawPointerToWireType,"getLiveInheritedInstances":getLiveInheritedInstances,"___assert_fail":___assert_fail,"__ZSt18uncaught_exceptionv":__ZSt18uncaught_exceptionv,"ClassHandle":ClassHandle,"getShiftFromSize":getShiftFromSize,"__emval_get_property":__emval_get_property,"__addDays":__addDays,"_emscripten_set_main_loop_timing":_emscripten_set_main_loop_timing,"_pthread_key_delete":_pthread_key_delete,"___cxa_begin_catch":___cxa_begin_catch,"_emscripten_memcpy_big":_emscripten_memcpy_big,"runDestructor":runDestructor,"throwInstanceAlreadyDeleted":throwInstanceAlreadyDeleted,"__embind_register_std_string":__embind_register_std_string,"init_RegisteredPointer":init_RegisteredPointer,"getStringOrSymbol":getStringOrSymbol,"flushPendingDeletes":flushPendingDeletes,"_pthread_mutexattr_settype":_pthread_mutexattr_settype,"makeClassHandle":makeClassHandle,"__isLeapYear":__isLeapYear,"__embind_register_class_constructor":__embind_register_class_constructor,"___cxa_atexit":___cxa_atexit,"__embind_finalize_value_array":__embind_finalize_value_array,"__emval_allocateDestructors":__emval_allocateDestructors,"init_ClassHandle":init_ClassHandle,"__embind_register_constant":__embind_register_constant,"___syscall140":___syscall140,"ClassHandle_clone":ClassHandle_clone,"___syscall145":___syscall145,"___syscall146":___syscall146,"throwBindingError":throwBindingError,"__emval_incref":__emval_incref,"___cxa_find_matching_catch":___cxa_find_matching_catch,"__embind_register_value_object_field":__embind_register_value_object_field,"embind_init_charCodes":embind_init_charCodes,"__emval_as":__emval_as,"___setErrNo":___setErrNo,"readLatin1String":readLatin1String,"_llvm_pow_f32":_llvm_pow_f32,"__embind_register_bool":__embind_register_bool,"___resumeException":___resumeException,"createNamedFunction":createNamedFunction,"__embind_register_class_property":__embind_register_class_property,"__embind_register_emval":__embind_register_emval,"___buildEnvironment":___buildEnvironment,"__embind_finalize_value_object":__embind_finalize_value_object,"__emval_decref":__emval_decref,"_pthread_once":_pthread_once,"__embind_register_class":__embind_register_class,"___syscall91":___syscall91,"__emval_addMethodCaller":__emval_addMethodCaller,"heap32VectorToArray":heap32VectorToArray,"__emval_lookupTypes":__emval_lookupTypes,"_emscripten_get_now":_emscripten_get_now,"__emval_run_destructors":__emval_run_destructors,"ClassHandle_delete":ClassHandle_delete,"___syscall3":___syscall3,"RegisteredPointer_destructor":RegisteredPointer_destructor,"___syscall6":___syscall6,"___syscall5":___syscall5,"ensureOverloadTable":ensureOverloadTable,"_gettimeofday":_gettimeofday,"new_":new_,"downcastPointer":downcastPointer,"replacePublicSymbol":replacePublicSymbol,"init_embind":init_embind,"_llvm_pow_f64":_llvm_pow_f64,"ClassHandle_deleteLater":ClassHandle_deleteLater,"___syscall54":___syscall54,"_sched_yield":_sched_yield,"RegisteredPointer_deleteObject":RegisteredPointer_deleteObject,"ClassHandle_isDeleted":ClassHandle_isDeleted,"__embind_register_integer":__embind_register_integer,"___cxa_allocate_exception":___cxa_allocate_exception,"__emval_take_value":__emval_take_value,"__embind_register_value_object":__embind_register_value_object,"getTypeName":getTypeName,"_strftime":_strftime,"__embind_register_class_function":__embind_register_class_function,"RegisteredPointer":RegisteredPointer,"craftInvokerFunction":craftInvokerFunction,"_getenv":_getenv,"runDestructors":runDestructors,"requireRegisteredType":requireRegisteredType,"makeLegalFunctionName":makeLegalFunctionName,"_pthread_key_create":_pthread_key_create,"upcastPointer":upcastPointer,"init_emval":init_emval,"shallowCopyInternalPointer":shallowCopyInternalPointer,"nonConstNoSmartPtrRawPointerToWireType":nonConstNoSmartPtrRawPointerToWireType,"__embind_register_value_array":__embind_register_value_array,"_abort":_abort,"requireHandle":requireHandle,"_embind_repr":_embind_repr,"validateThis":validateThis,"exposePublicSymbol":exposePublicSymbol,"RegisteredPointer_fromWireType":RegisteredPointer_fromWireType,"___cxa_pure_virtual":___cxa_pure_virtual,"__emval_get_method_caller":__emval_get_method_caller,"_pthread_getspecific":_pthread_getspecific,"_pthread_cond_wait":_pthread_cond_wait,"___lock":___lock,"RegisteredClass":RegisteredClass,"__embind_register_memory_view":__embind_register_memory_view,"getInheritedInstance":getInheritedInstance,"setDelayFunction":setDelayFunction,"___gxx_personality_v0":___gxx_personality_v0,"extendError":extendError,"___syscall4":___syscall4,"__embind_register_value_array_element":__embind_register_value_array_element,"__emval_new_array":__emval_new_array,"__embind_register_void":__embind_register_void,"__embind_register_smart_ptr":__embind_register_smart_ptr,"__embind_register_function":__embind_register_function,"_pthread_mutexattr_destroy":_pthread_mutexattr_destroy,"_strftime_l":_strftime_l,"RegisteredPointer_getPointee":RegisteredPointer_getPointee,"__emval_register":__emval_register,"__embind_register_std_wstring":__embind_register_std_wstring,"ClassHandle_isAliasOf":ClassHandle_isAliasOf,"throwUnboundTypeError":throwUnboundTypeError,"__arraySum":__arraySum,"__embind_register_class_class_function":__embind_register_class_class_function,"_pthread_mutex_destroy":_pthread_mutex_destroy,"getBasestPointer":getBasestPointer,"getInheritedInstanceCount":getInheritedInstanceCount,"__embind_register_float":__embind_register_float,"integerReadValueFromPointer":integerReadValueFromPointer,"___unlock":___unlock,"_emscripten_set_main_loop":_emscripten_set_main_loop,"_pthread_mutexattr_init":_pthread_mutexattr_init,"_pthread_setspecific":_pthread_setspecific,"genericPointerToWireType":genericPointerToWireType,"registerType":registerType,"___cxa_throw":___cxa_throw,"__emval_new_cstring":__emval_new_cstring,"count_emval_handles":count_emval_handles,"requireFunction":requireFunction,"_atexit":_atexit,"_pthread_mutex_init":_pthread_mutex_init,"___map_file":___map_file,"DYNAMICTOP_PTR":DYNAMICTOP_PTR,"tempDoublePtr":tempDoublePtr,"ABORT":ABORT,"STACKTOP":STACKTOP,"STACK_MAX":STACK_MAX,"cttz_i8":cttz_i8,"___dso_handle":___dso_handle};// EMSCRIPTEN_START_ASM
var asm=(function(global,env,buffer) {
"almost asm";var a=global.Int8Array;var b=new a(buffer);var c=global.Int16Array;var d=new c(buffer);var e=global.Int32Array;var f=new e(buffer);var g=global.Uint8Array;var h=new g(buffer);var i=global.Uint16Array;var j=new i(buffer);var k=global.Uint32Array;var l=new k(buffer);var m=global.Float32Array;var n=new m(buffer);var o=global.Float64Array;var p=new o(buffer);var q=global.byteLength;var r=env.DYNAMICTOP_PTR|0;var s=env.tempDoublePtr|0;var t=env.ABORT|0;var u=env.STACKTOP|0;var v=env.STACK_MAX|0;var w=env.cttz_i8|0;var x=env.___dso_handle|0;var y=0;var z=0;var A=0;var B=0;var C=global.NaN,D=global.Infinity;var E=0,F=0,G=0,H=0,I=0.0;var J=0;var K=global.Math.floor;var L=global.Math.abs;var M=global.Math.sqrt;var N=global.Math.pow;var O=global.Math.cos;var P=global.Math.sin;var Q=global.Math.tan;var R=global.Math.acos;var S=global.Math.asin;var T=global.Math.atan;var U=global.Math.atan2;var V=global.Math.exp;var W=global.Math.log;var X=global.Math.ceil;var Y=global.Math.imul;var Z=global.Math.min;var _=global.Math.max;var $=global.Math.clz32;var aa=env.abort;var ba=env.assert;var ca=env.enlargeMemory;var da=env.getTotalMemory;var ea=env.abortOnCannotGrowMemory;var fa=env.invoke_iiiiiid;var ga=env.invoke_viiiiddd;var ha=env.invoke_viiiidiii;var ia=env.invoke_viiiiiddi;var ja=env.invoke_viiidiii;var ka=env.invoke_viiiidiid;var la=env.invoke_iiiiiii;var ma=env.invoke_viiiidddiiii;var na=env.invoke_viiiiddi;var oa=env.invoke_viiiddddi;var pa=env.invoke_viidiii;var qa=env.invoke_viiiiiiiiiii;var ra=env.invoke_viiiiiiiiiid;var sa=env.invoke_viiidddd;var ta=env.invoke_iidi;var ua=env.invoke_viiddidd;var va=env.invoke_vidi;var wa=env.invoke_viiddii;var xa=env.invoke_viiddid;var ya=env.invoke_viiiiidi;var za=env.invoke_viiddidddd;var Aa=env.invoke_viiiiddiiii;var Ba=env.invoke_viiiiiiidd;var Ca=env.invoke_viiiiddiiid;var Da=env.invoke_viiiiiiidi;var Ea=env.invoke_viiddi;var Fa=env.invoke_viiidii;var Ga=env.invoke_viiiiidd;var Ha=env.invoke_di;var Ia=env.invoke_viiiiiidiiii;var Ja=env.invoke_viiiidiiddi;var Ka=env.invoke_viiiiddiiiid;var La=env.invoke_viiiiddiii;var Ma=env.invoke_vdii;var Na=env.invoke_diiiiiii;var Oa=env.invoke_dii;var Pa=env.invoke_viiiddiiii;var Qa=env.invoke_viiiddiiid;var Ra=env.invoke_viiiidiidd;var Sa=env.invoke_viiiiiiiiiiddi;var Ta=env.invoke_iiiii;var Ua=env.invoke_viiiiidiiiii;var Va=env.invoke_viiidddi;var Wa=env.invoke_viiiiidiidd;var Xa=env.invoke_iiiid;var Ya=env.invoke_iiiiiiii;var Za=env.invoke_viiddiii;var _a=env.invoke_iiiiiiiididiii;var $a=env.invoke_viiidddiii;var ab=env.invoke_viidiiid;var bb=env.invoke_viiiiidiiii;var cb=env.invoke_viidiiii;var db=env.invoke_diiiddi;var eb=env.invoke_viiididii;var fb=env.invoke_diiiiiiii;var gb=env.invoke_viiidiiid;var hb=env.invoke_viiiddddii;var ib=env.invoke_viiiiid;var jb=env.invoke_viiiiddddii;var kb=env.invoke_viiiiii;var lb=env.invoke_viiidiiii;var mb=env.invoke_viiiiiidi;var nb=env.invoke_viiiiiidiii;var ob=env.invoke_viiiidddii;var pb=env.invoke_viiidd;var qb=env.invoke_viiidi;var rb=env.invoke_iiidiiii;var sb=env.invoke_viiddiddd;var tb=env.invoke_viiiiiiiiii;var ub=env.invoke_diiddi;var vb=env.invoke_diii;var wb=env.invoke_viiiddd;var xb=env.invoke_viiiddidddd;var yb=env.invoke_viiiiiiiiiiid;var zb=env.invoke_viiiddidd;var Ab=env.invoke_viiidiiiidi;var Bb=env.invoke_viiiddiiiid;var Cb=env.invoke_viiiddi;var Db=env.invoke_iiiiii;var Eb=env.invoke_viiid;var Fb=env.invoke_viiiidddd;var Gb=env.invoke_viidii;var Hb=env.invoke_iiiiid;var Ib=env.invoke_viiiidddi;var Jb=env.invoke_viiii;var Kb=env.invoke_viiiii;var Lb=env.invoke_viiiidiiii;var Mb=env.invoke_vid;var Nb=env.invoke_iiidi;var Ob=env.invoke_iiidd;var Pb=env.invoke_vii;var Qb=env.invoke_viiiid;var Rb=env.invoke_viiiiddddi;var Sb=env.invoke_viidd;var Tb=env.invoke_viidi;var Ub=env.invoke_viiidiiddi;var Vb=env.invoke_diiid;var Wb=env.invoke_viiidddii;var Xb=env.invoke_viiiiiiii;var Yb=env.invoke_viiidddiiii;var Zb=env.invoke_viiiiiiid;var _b=env.invoke_diiii;var $b=env.invoke_viiiiidiiddi;var ac=env.invoke_viiiiidii;var bc=env.invoke_viiiddiddd;var cc=env.invoke_iid;var dc=env.invoke_viiiddid;var ec=env.invoke_viiiiiii;var fc=env.invoke_viididdi;var gc=env.invoke_viiiiiid;var hc=env.invoke_viiiiiiiii;var ic=env.invoke_iii;var jc=env.invoke_viiiddii;var kc=env.invoke_viiididi;var lc=env.invoke_vdiii;var mc=env.invoke_viiiiiidii;var nc=env.invoke_viiiidddiii;var oc=env.invoke_viii;var pc=env.invoke_v;var qc=env.invoke_viid;var rc=env.invoke_viidiiiii;var sc=env.invoke_vi;var tc=env.invoke_viiiidiiiidi;var uc=env.invoke_ii;var vc=env.invoke_viiiiiiiddi;var wc=env.invoke_vididdi;var xc=env.invoke_viiiiiidd;var yc=env.invoke_vidii;var zc=env.invoke_viiiidi;var Ac=env.invoke_viiiddiii;var Bc=env.invoke_viiiiiidiiiii;var Cc=env.invoke_iiii;var Dc=env.invoke_viididii;var Ec=env.invoke_viiiiddii;var Fc=env.invoke_iiid;var Gc=env.invoke_viiiiiiiiidd;var Hc=env.invoke_viiiidii;var Ic=env.invoke_diiiii;var Jc=env.invoke_diiiid;var Kc=env.invoke_iiiiiiiiiiiii;var Lc=env.invoke_iiiiiiiiiiiiiii;var Mc=env.invoke_viiiiiiddi;var Nc=env.invoke_iiidiii;var Oc=env.invoke_i;var Pc=env.invoke_iiidii;var Qc=env.invoke_diiiiii;var Rc=env.invoke_iiidiiiii;var Sc=env.invoke_vididdii;var Tc=env.invoke_viiiiidiii;var Uc=env.invoke_viididi;var Vc=env.invoke_iiiiiiiii;var Wc=env.invoke_viididdii;var Xc=env.invoke_viiiiidiid;var Yc=env.invoke_viiiidd;var Zc=env.invoke_vidiii;var _c=env.___syscall221;var $c=env.floatReadValueFromPointer;var ad=env.simpleReadValueFromPointer;var bd=env.__emval_call_void_method;var cd=env.throwInternalError;var dd=env.get_first_emval;var ed=env.whenDependentTypesAreResolved;var fd=env.constNoSmartPtrRawPointerToWireType;var gd=env.getLiveInheritedInstances;var hd=env.___assert_fail;var id=env.__ZSt18uncaught_exceptionv;var jd=env.ClassHandle;var kd=env.getShiftFromSize;var ld=env.__emval_get_property;var md=env.__addDays;var nd=env._emscripten_set_main_loop_timing;var od=env._pthread_key_delete;var pd=env.___cxa_begin_catch;var qd=env._emscripten_memcpy_big;var rd=env.runDestructor;var sd=env.throwInstanceAlreadyDeleted;var td=env.__embind_register_std_string;var ud=env.init_RegisteredPointer;var vd=env.getStringOrSymbol;var wd=env.flushPendingDeletes;var xd=env._pthread_mutexattr_settype;var yd=env.makeClassHandle;var zd=env.__isLeapYear;var Ad=env.__embind_register_class_constructor;var Bd=env.___cxa_atexit;var Cd=env.__embind_finalize_value_array;var Dd=env.__emval_allocateDestructors;var Ed=env.init_ClassHandle;var Fd=env.__embind_register_constant;var Gd=env.___syscall140;var Hd=env.ClassHandle_clone;var Id=env.___syscall145;var Jd=env.___syscall146;var Kd=env.throwBindingError;var Ld=env.__emval_incref;var Md=env.___cxa_find_matching_catch;var Nd=env.__embind_register_value_object_field;var Od=env.embind_init_charCodes;var Pd=env.__emval_as;var Qd=env.___setErrNo;var Rd=env.readLatin1String;var Sd=env._llvm_pow_f32;var Td=env.__embind_register_bool;var Ud=env.___resumeException;var Vd=env.createNamedFunction;var Wd=env.__embind_register_class_property;var Xd=env.__embind_register_emval;var Yd=env.___buildEnvironment;var Zd=env.__embind_finalize_value_object;var _d=env.__emval_decref;var $d=env._pthread_once;var ae=env.__embind_register_class;var be=env.___syscall91;var ce=env.__emval_addMethodCaller;var de=env.heap32VectorToArray;var ee=env.__emval_lookupTypes;var fe=env._emscripten_get_now;var ge=env.__emval_run_destructors;var he=env.ClassHandle_delete;var ie=env.___syscall3;var je=env.RegisteredPointer_destructor;var ke=env.___syscall6;var le=env.___syscall5;var me=env.ensureOverloadTable;var ne=env._gettimeofday;var oe=env.new_;var pe=env.downcastPointer;var qe=env.replacePublicSymbol;var re=env.init_embind;var se=env._llvm_pow_f64;var te=env.ClassHandle_deleteLater;var ue=env.___syscall54;var ve=env._sched_yield;var we=env.RegisteredPointer_deleteObject;var xe=env.ClassHandle_isDeleted;var ye=env.__embind_register_integer;var ze=env.___cxa_allocate_exception;var Ae=env.__emval_take_value;var Be=env.__embind_register_value_object;var Ce=env.getTypeName;var De=env._strftime;var Ee=env.__embind_register_class_function;var Fe=env.RegisteredPointer;var Ge=env.craftInvokerFunction;var He=env._getenv;var Ie=env.runDestructors;var Je=env.requireRegisteredType;var Ke=env.makeLegalFunctionName;var Le=env._pthread_key_create;var Me=env.upcastPointer;var Ne=env.init_emval;var Oe=env.shallowCopyInternalPointer;var Pe=env.nonConstNoSmartPtrRawPointerToWireType;var Qe=env.__embind_register_value_array;var Re=env._abort;var Se=env.requireHandle;var Te=env._embind_repr;var Ue=env.validateThis;var Ve=env.exposePublicSymbol;var We=env.RegisteredPointer_fromWireType;var Xe=env.___cxa_pure_virtual;var Ye=env.__emval_get_method_caller;var Ze=env._pthread_getspecific;var _e=env._pthread_cond_wait;var $e=env.___lock;var af=env.RegisteredClass;var bf=env.__embind_register_memory_view;var cf=env.getInheritedInstance;var df=env.setDelayFunction;var ef=env.___gxx_personality_v0;var ff=env.extendError;var gf=env.___syscall4;var hf=env.__embind_register_value_array_element;var jf=env.__emval_new_array;var kf=env.__embind_register_void;var lf=env.__embind_register_smart_ptr;var mf=env.__embind_register_function;var nf=env._pthread_mutexattr_destroy;var of=env._strftime_l;var pf=env.RegisteredPointer_getPointee;var qf=env.__emval_register;var rf=env.__embind_register_std_wstring;var sf=env.ClassHandle_isAliasOf;var tf=env.throwUnboundTypeError;var uf=env.__arraySum;var vf=env.__embind_register_class_class_function;var wf=env._pthread_mutex_destroy;var xf=env.getBasestPointer;var yf=env.getInheritedInstanceCount;var zf=env.__embind_register_float;var Af=env.integerReadValueFromPointer;var Bf=env.___unlock;var Cf=env._emscripten_set_main_loop;var Df=env._pthread_mutexattr_init;var Ef=env._pthread_setspecific;var Ff=env.genericPointerToWireType;var Gf=env.registerType;var Hf=env.___cxa_throw;var If=env.__emval_new_cstring;var Jf=env.count_emval_handles;var Kf=env.requireFunction;var Lf=env._atexit;var Mf=env._pthread_mutex_init;var Nf=env.___map_file;var Of=0.0;function Pf(newBuffer){if(q(newBuffer)&16777215||q(newBuffer)<=16777215||q(newBuffer)>2147483648)return false;b=new a(newBuffer);d=new c(newBuffer);f=new e(newBuffer);h=new g(newBuffer);j=new i(newBuffer);l=new k(newBuffer);n=new m(newBuffer);p=new o(newBuffer);buffer=newBuffer;return true}
// EMSCRIPTEN_START_FUNCS
function Ji(a){a=a|0;var b=0;b=u;u=u+a|0;u=u+15&-16;return b|0}function Ki(){return u|0}function Li(a){a=a|0;u=a}function Mi(a,b){a=a|0;b=b|0;u=a;v=b}function Ni(a,b){a=a|0;b=b|0;if(!y){y=a;z=b}}function Oi(a){a=a|0;J=a}function Pi(){return J|0}function Qi(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0;f=cuc(56)|0;Ri(f,a,b,c,d,e);return f|0}function Ri(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;i=u;u=u+16|0;j=i;f[a>>2]=e&4095|1124007936;f[a+4>>2]=2;k=a+8|0;f[k>>2]=c;f[a+12>>2]=d;f[a+16>>2]=g;f[a+20>>2]=g;l=a+24|0;m=a+28|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;f[a+40>>2]=k;k=a+48|0;f[a+44>>2]=k;f[a+52>>2]=0;f[k>>2]=0;if((Y(d,c)|0)!=0&(g|0)==0){n=cuc(32)|0;f[j>>2]=n;f[j+8>>2]=-2147483616;f[j+4>>2]=28;o=n;p=466324;q=o+28|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[n+28>>0]=0;WD(-215,j,466353,466357,548)}n=675553809>>>(e<<2&28)&15;r=Y(n,(e>>>3&511)+1|0)|0;e=Y(r,d)|0;if(!h){s=e;f[k>>2]=s;t=a+52|0;f[t>>2]=r;v=Y(s,c)|0;w=g+v|0;f[m>>2]=w;x=0-s|0;y=w+x|0;z=y+e|0;f[l>>2]=z;YT(a);u=i;return}if(!((h>>>0)%(n>>>0)|0)){s=h;f[k>>2]=s;t=a+52|0;f[t>>2]=r;v=Y(s,c)|0;w=g+v|0;f[m>>2]=w;x=0-s|0;y=w+x|0;z=y+e|0;f[l>>2]=z;YT(a);u=i;return}else{i=cuc(32)|0;f[j>>2]=i;f[j+8>>2]=-2147483616;f[j+4>>2]=31;o=i;p=218200;q=o+31|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[i+31>>0]=0;WD(-13,j,466353,466357,561)}}function Si(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=+d;e=+e;var g=0,h=0,i=0;g=u;u=u+16|0;h=g;i=h+8|0;f[i>>2]=0;f[i+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=b;kQ(a,h,c,d,e);u=g;return}function Ti(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+16|0;e=d;g=e+8|0;f[g>>2]=0;f[g+4>>2]=0;f[e>>2]=33619968;f[e+4>>2]=b;kQ(a,e,c,1.0,0.0);u=d;return}function Ui(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;var e=0,g=0,h=0;e=u;u=u+16|0;g=e;h=g+8|0;f[h>>2]=0;f[h+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=b;kQ(a,g,c,d,0.0);u=e;return}function Vi(a,b){a=a|0;b=b|0;var c=0;c=f[b+40>>2]|0;b=f[c>>2]|0;f[a>>2]=f[c+4>>2];f[a+4>>2]=b;return}function Wi(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0;e=u;u=u+224|0;g=e;wT(g,b,c,d);f[a>>2]=1124007936;d=a+8|0;c=a+40|0;b=a+4|0;h=b+36|0;do{f[b>>2]=0;b=b+4|0}while((b|0)<(h|0));f[c>>2]=d;d=a+48|0;f[a+44>>2]=d;f[d>>2]=0;f[a+52>>2]=0;d=f[g>>2]|0;sh[f[(f[d>>2]|0)+12>>2]&255](d,g,a,-1);Xi(g);u=e;return}function Xi(a){a=a|0;var b=0,c=0,d=0,e=0;b=a+120|0;c=a+156|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+136|0;b=a+124|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+160>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+164>>2]|0;if((b|0)!=(a+168|0))TC(b);b=a+64|0;d=a+100|0;c=f[d>>2]|0;if(c|0?(e=c+12|0,c=f[e>>2]|0,f[e>>2]=c+-1,(c|0)==1):0)aU(b);f[d>>2]=0;d=a+80|0;b=a+68|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[b>>2]|0)>0){d=f[a+104>>2]|0;c=0;do{f[d+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[b>>2]|0))}b=f[a+108>>2]|0;if((b|0)!=(a+112|0))TC(b);b=a+8|0;c=a+44|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+24|0;b=a+12|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+48>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+52>>2]|0;if((b|0)==(a+56|0))return;TC(b);return}function Yi(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+240|0;e=d;g=d+224|0;f[g>>2]=f[b>>2];f[g+4>>2]=f[b+4>>2];yT(e,g,c);f[a>>2]=1124007936;c=a+8|0;g=a+40|0;b=a+4|0;h=b+36|0;do{f[b>>2]=0;b=b+4|0}while((b|0)<(h|0));f[g>>2]=c;c=a+48|0;f[a+44>>2]=c;f[c>>2]=0;f[a+52>>2]=0;c=f[e>>2]|0;sh[f[(f[c>>2]|0)+12>>2]&255](c,e,a,-1);Xi(e);u=d;return}function Zi(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0;e=u;u=u+224|0;g=e;zT(g,b,c,d);f[a>>2]=1124007936;d=a+8|0;c=a+40|0;b=a+4|0;h=b+36|0;do{f[b>>2]=0;b=b+4|0}while((b|0)<(h|0));f[c>>2]=d;d=a+48|0;f[a+44>>2]=d;f[d>>2]=0;f[a+52>>2]=0;d=f[g>>2]|0;sh[f[(f[d>>2]|0)+12>>2]&255](d,g,a,-1);Xi(g);u=e;return}function _i(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+240|0;e=d;g=d+224|0;f[g>>2]=f[b>>2];f[g+4>>2]=f[b+4>>2];AT(e,g,c);f[a>>2]=1124007936;c=a+8|0;g=a+40|0;b=a+4|0;h=b+36|0;do{f[b>>2]=0;b=b+4|0}while((b|0)<(h|0));f[g>>2]=c;c=a+48|0;f[a+44>>2]=c;f[c>>2]=0;f[a+52>>2]=0;c=f[e>>2]|0;sh[f[(f[c>>2]|0)+12>>2]&255](c,e,a,-1);Xi(e);u=d;return}function $i(a,b){a=a|0;b=b|0;var c=0,d=0,e=0.0;c=u;u=u+16|0;d=c;f[d+8>>2]=0;f[d+12>>2]=0;f[d>>2]=16842752;f[d+4>>2]=b;e=+uR(a,d);u=c;return +e}function aj(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;var e=0,g=0,h=0,i=0;e=u;u=u+240|0;g=e;h=e+224|0;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=c;vT(g,b,h,d);f[a>>2]=1124007936;h=a+8|0;b=a+40|0;c=a+4|0;i=c+36|0;do{f[c>>2]=0;c=c+4|0}while((c|0)<(i|0));f[b>>2]=h;h=a+48|0;f[a+44>>2]=h;f[h>>2]=0;f[a+52>>2]=0;h=f[g>>2]|0;sh[f[(f[h>>2]|0)+12>>2]&255](h,g,a,-1);Xi(g);u=e;return}function bj(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0;c=u;u=u+224|0;d=c;tT(d,b);f[a>>2]=1124007936;b=a+8|0;e=a+40|0;g=a+4|0;h=g+36|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));f[e>>2]=b;b=a+48|0;f[a+44>>2]=b;f[b>>2]=0;f[a+52>>2]=0;b=f[d>>2]|0;sh[f[(f[b>>2]|0)+12>>2]&255](b,d,a,-1);Xi(d);u=c;return}function cj(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+224|0;e=d;uT(e,b,c);f[a>>2]=1124007936;c=a+8|0;b=a+40|0;g=a+4|0;h=g+36|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));f[b>>2]=c;c=a+48|0;f[a+44>>2]=c;f[c>>2]=0;f[a+52>>2]=0;c=f[e>>2]|0;sh[f[(f[c>>2]|0)+12>>2]&255](c,e,a,-1);Xi(e);u=d;return}function dj(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=u;u=u+16|0;d=c;e=d+8|0;f[e>>2]=0;f[e+4>>2]=0;f[d>>2]=33619968;f[d+4>>2]=b;EI(a,d);u=c;return}function ej(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+32|0;e=d+16|0;g=d;h=e+8|0;f[h>>2]=0;f[h+4>>2]=0;f[e>>2]=33619968;f[e+4>>2]=b;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=c;FI(a,e,g);u=d;return}function fj(a,b,c){a=a|0;b=b|0;c=c|0;hU(a,b,c);return}function gj(a,b){a=a|0;b=b|0;hU(a,b,0);return}function hj(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[d>>2]=-1056833530;f[d+4>>2]=b;f[d+8>>2]=1;f[d+12>>2]=4;HI(a,d,sK()|0)|0;u=c;return}function ij(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+32|0;e=d+16|0;g=d;f[e>>2]=-1056833530;f[e+4>>2]=b;f[e+8>>2]=1;f[e+12>>2]=4;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=c;HI(a,e,g)|0;u=d;return}function jj(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+32|0;d=c;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;f[d+16>>2]=0;f[d+20>>2]=0;f[d+24>>2]=0;f[d+28>>2]=0;GC(b,d);b=jf()|0;f[a>>2]=b;Yr(b,171830,d);Yr(b,171830,d+8|0);Yr(b,171830,d+16|0);Yr(b,171830,d+24|0);u=c;return}function kj(a,b){a=a|0;b=b|0;HC(a,b);return}function lj(a,b){a=a|0;b=b|0;IC(a,b);return}function mj(a){a=a|0;return a&7|0}function nj(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+32|0;e=d+16|0;g=d;h=a+16|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=b;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=c;dH(e,a,a+8|0,a+16|0,a+24|0,g);u=d;return}function oj(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=u;u=u+16|0;d=c;e=a+16|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;f[d>>2]=16842752;f[d+4>>2]=b;dH(d,a,a+8|0,a+16|0,a+24|0,sK()|0);u=c;return}function pj(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+16|0;d=c;n[a>>2]=0.0;n[a+4>>2]=0.0;f[d+8>>2]=0;f[d+12>>2]=0;f[d>>2]=16842752;f[d+4>>2]=b;afa(d,a,a+8|0);u=c;return}function qj(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0;e=u;u=u+64|0;g=e;h=e+32|0;i=e+16|0;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=b;f[g>>2]=f[d>>2];f[g+4>>2]=f[d+4>>2];f[g+8>>2]=f[d+8>>2];f[g+12>>2]=f[d+12>>2];pCa(h,i,c,g);g=jf()|0;f[a>>2]=g;Zr(g,171830,h);_r(g,171830,c);u=e;return}function rj(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0;g=u;u=u+32|0;h=g;i=g+16|0;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=c;f[h>>2]=f[e>>2];f[h+4>>2]=f[e+4>>2];f[h+8>>2]=f[e+8>>2];f[h+12>>2]=f[e+12>>2];e=oCa(i,d,h)|0;i=jf()|0;f[a>>2]=i;if((b[535080]|0)==0?$yc(535080)|0:0){c=Ye(2,27168)|0;f[136325]=c}c=f[136325]|0;f[h>>2]=e;bd(c|0,i|0,171830,h|0);_r(f[a>>2]|0,171830,d);u=g;return}function sj(a,b){a=a|0;b=b|0;ouc(a,b+4|0);return}function tj(a,b){a=a|0;b=b|0;ruc(a+4|0,b)|0;return}function uj(a,b){a=a|0;b=b|0;vj(a,b);return}function vj(a,b){a=a|0;b=b|0;f[a>>2]=35300;ouc(a+4|0,b+4|0);f[a+16>>2]=f[b+16>>2];ouc(a+20|0,b+20|0);ouc(a+32|0,b+32|0);ouc(a+44|0,b+44|0);f[a+56>>2]=f[b+56>>2];return}function wj(a){a=a|0;ouc(a,QE()|0);return}function xj(a){a=a|0;var b=0;yj(171835);zj(171845);Aj(171857);Bj(171870);Cj(171882);Dj(171892);ae(9264,9352,9368,0,184994,767,184997,0,184997,0,466353,184999,1898);Ad(9264,1,27584,184994,768,1);Ad(9264,2,27588,185013,488,769);Ad(9264,3,27596,185036,248,489);Ad(9264,4,27608,185041,46,249);Ad(9264,5,27624,186140,92,47);Ad(9264,6,27644,186147,70,93);vf(9264,171903,3,27668,185036,250,185);vf(9264,171903,4,27680,185041,48,155);vf(9264,171907,3,27668,185036,250,186);vf(9264,171907,4,27680,185041,48,156);vf(9264,171912,3,27668,185036,250,187);vf(9264,171912,4,27680,185041,48,157);a=cuc(4)|0;f[a>>2]=8;b=cuc(4)|0;f[b>>2]=8;Wd(9264,236971,27048,185013,490,a|0,27048,185002,188,b|0);b=cuc(4)|0;f[b>>2]=12;a=cuc(4)|0;f[a>>2]=12;Wd(9264,236976,27048,185013,490,b|0,27048,185002,188,a|0);a=cuc(4)|0;f[a>>2]=964;Wd(9264,171918,8928,185013,491,a|0,0,0,0,0);a=cuc(4)|0;f[a>>2]=965;Wd(9264,171926,8928,185013,491,a|0,0,0,0,0);a=cuc(4)|0;f[a>>2]=966;Wd(9264,392031,8928,185013,491,a|0,0,0,0,0);a=cuc(4)|0;f[a>>2]=967;Wd(9264,171931,8928,185013,491,a|0,0,0,0,0);a=cuc(4)|0;f[a>>2]=968;Wd(9264,171938,8928,185013,491,a|0,0,0,0,0);a=cuc(4)|0;f[a>>2]=969;Wd(9264,171946,8928,185013,491,a|0,0,0,0,0);a=cuc(4)|0;f[a>>2]=970;Wd(9264,171954,8928,185013,491,a|0,0,0,0,0);a=cuc(4)|0;f[a>>2]=971;Wd(9264,171962,8928,185013,491,a|0,0,0,0,0);a=cuc(4)|0;f[a>>2]=972;Wd(9264,171970,8928,185013,491,a|0,0,0,0,0);a=cuc(8)|0;f[a>>2]=770;f[a+4>>2]=0;Ee(9264,171978,2,27696,185013,492,a|0,0);a=cuc(8)|0;f[a>>2]=771;f[a+4>>2]=0;Ee(9264,171987,2,27696,185013,492,a|0,0);a=cuc(8)|0;f[a>>2]=772;f[a+4>>2]=0;Ee(9264,171997,2,27704,185013,493,a|0,0);a=cuc(4)|0;f[a>>2]=1;Ee(9264,213063,6,27712,186372,1,a|0,0);a=cuc(4)|0;f[a>>2]=189;Ee(9264,213063,4,27736,185007,158,a|0,0);a=cuc(4)|0;f[a>>2]=6;Ee(9264,213063,5,27752,186380,5,a|0,0);a=cuc(8)|0;f[a>>2]=773;f[a+4>>2]=0;Ee(9264,475390,2,27696,185013,492,a|0,0);a=cuc(8)|0;f[a>>2]=190;f[a+4>>2]=0;Ee(9264,172006,3,27772,185036,251,a|0,0);a=cuc(8)|0;f[a>>2]=159;f[a+4>>2]=0;Ee(9264,458319,5,27784,186387,81,a|0,0);a=cuc(8)|0;f[a>>2]=191;f[a+4>>2]=0;Ee(9264,458319,4,27804,185007,160,a|0,0);a=cuc(8)|0;f[a>>2]=161;f[a+4>>2]=0;Ee(9264,172010,4,27820,185041,49,a|0,0);a=cuc(8)|0;f[a>>2]=192;f[a+4>>2]=0;Ee(9264,172010,3,27836,185036,252,a|0,0);a=cuc(4)|0;f[a>>2]=973;Ee(9264,207129,3,27848,185002,193,a|0,0);a=cuc(4)|0;f[a>>2]=194;Ee(9264,207129,4,27860,185007,162,a|0,0);a=cuc(8)|0;f[a>>2]=774;f[a+4>>2]=0;Ee(9264,410954,2,27704,185013,493,a|0,0);a=cuc(8)|0;f[a>>2]=775;f[a+4>>2]=0;Ee(9264,207055,2,27876,185013,494,a|0,0);a=cuc(8)|0;f[a>>2]=163;f[a+4>>2]=0;Ee(9264,172019,4,27820,185041,49,a|0,0);a=cuc(8)|0;f[a>>2]=195;f[a+4>>2]=0;Ee(9264,172019,3,27836,185036,252,a|0,0);a=cuc(8)|0;f[a>>2]=495;f[a+4>>2]=0;Ee(9264,172028,3,27884,185036,253,a|0,0);a=cuc(8)|0;f[a>>2]=974;f[a+4>>2]=0;Ee(9264,172034,2,27896,185013,496,a|0,0);a=cuc(8)|0;f[a>>2]=776;f[a+4>>2]=0;Ee(9264,372106,2,27704,185013,493,a|0,0);a=cuc(8)|0;f[a>>2]=196;f[a+4>>2]=0;Ee(9264,172040,3,27772,185036,251,a|0,0);a=cuc(4)|0;f[a>>2]=5;Ee(9264,214798,3,27904,186406,10,a|0,0);a=cuc(4)|0;f[a>>2]=7;Ee(9264,172044,4,27916,185385,1,a|0,0);a=cuc(4)|0;f[a>>2]=197;Ee(9264,172048,3,27932,185036,254,a|0,0);a=cuc(4)|0;f[a>>2]=975;Ee(9264,517932,2,27944,185013,497,a|0,0);a=cuc(8)|0;f[a>>2]=198;f[a+4>>2]=0;Ee(9264,237109,3,27952,185036,255,a|0,0);a=cuc(4)|0;f[a>>2]=199;Ee(9264,218995,3,27932,185036,254,a|0,0);a=cuc(4)|0;f[a>>2]=976;Ee(9264,218995,2,27944,185013,497,a|0,0);a=cuc(8)|0;f[a>>2]=777;f[a+4>>2]=0;Ee(9264,207093,2,27876,185013,494,a|0,0);a=cuc(4)|0;f[a>>2]=977;Ee(9264,208949,3,27964,185002,200,a|0,0);a=cuc(4)|0;f[a>>2]=201;Ee(9264,208949,4,27976,185007,164,a|0,0);a=cuc(4)|0;f[a>>2]=978;Ee(9264,476262,2,27992,185013,498,a|0,0);a=cuc(4)|0;f[a>>2]=202;Ee(9264,204098,3,28e3,185036,256,a|0,0);a=cuc(4)|0;f[a>>2]=165;Ee(9264,204098,4,28012,185041,50,a|0,0);a=cuc(4)|0;f[a>>2]=202;Ee(9264,172052,3,28e3,185036,256,a|0,0);a=cuc(4)|0;f[a>>2]=165;Ee(9264,172052,4,28012,185041,50,a|0,0);a=cuc(4)|0;f[a>>2]=203;Ee(9264,172061,3,28e3,185036,256,a|0,0);a=cuc(4)|0;f[a>>2]=166;Ee(9264,172061,4,28012,185041,50,a|0,0);a=cuc(4)|0;f[a>>2]=204;Ee(9264,172069,3,28e3,185036,256,a|0,0);a=cuc(4)|0;f[a>>2]=167;Ee(9264,172069,4,28012,185041,50,a|0,0);a=cuc(4)|0;f[a>>2]=205;Ee(9264,172078,3,28e3,185036,256,a|0,0);a=cuc(4)|0;f[a>>2]=168;Ee(9264,172078,4,28012,185041,50,a|0,0);a=cuc(4)|0;f[a>>2]=206;Ee(9264,172088,3,28e3,185036,256,a|0,0);a=cuc(4)|0;f[a>>2]=169;Ee(9264,172088,4,28012,185041,50,a|0,0);a=cuc(4)|0;f[a>>2]=207;Ee(9264,172095,3,28e3,185036,256,a|0,0);a=cuc(4)|0;f[a>>2]=170;Ee(9264,172095,4,28012,185041,50,a|0,0);a=cuc(4)|0;f[a>>2]=208;Ee(9264,172104,3,28e3,185036,256,a|0,0);a=cuc(4)|0;f[a>>2]=171;Ee(9264,172104,4,28012,185041,50,a|0,0);a=cuc(8)|0;f[a>>2]=499;f[a+4>>2]=0;Ee(9264,172114,3,28028,185036,257,a|0,0);a=cuc(8)|0;f[a>>2]=258;f[a+4>>2]=0;Ee(9264,172114,4,28040,185041,51,a|0,0);a=cuc(8)|0;f[a>>2]=52;f[a+4>>2]=0;Ee(9264,172114,5,28056,186140,94,a|0,0);a=cuc(8)|0;f[a>>2]=500;f[a+4>>2]=0;Ee(9264,172121,3,28076,185036,259,a|0,0);a=cuc(8)|0;f[a>>2]=260;f[a+4>>2]=0;Ee(9264,172121,4,28088,185041,53,a|0,0);a=cuc(8)|0;f[a>>2]=54;f[a+4>>2]=0;Ee(9264,172121,5,28104,186140,95,a|0,0);a=cuc(8)|0;f[a>>2]=501;f[a+4>>2]=0;Ee(9264,172129,3,28124,185036,261,a|0,0);a=cuc(8)|0;f[a>>2]=262;f[a+4>>2]=0;Ee(9264,172129,4,28136,185041,55,a|0,0);a=cuc(8)|0;f[a>>2]=56;f[a+4>>2]=0;Ee(9264,172129,5,28152,186140,96,a|0,0);a=cuc(8)|0;f[a>>2]=502;f[a+4>>2]=0;Ee(9264,172137,3,28172,185036,263,a|0,0);a=cuc(8)|0;f[a>>2]=264;f[a+4>>2]=0;Ee(9264,172137,4,28184,185041,57,a|0,0);a=cuc(8)|0;f[a>>2]=58;f[a+4>>2]=0;Ee(9264,172137,5,28200,186140,97,a|0,0);a=cuc(8)|0;f[a>>2]=503;f[a+4>>2]=0;Ee(9264,172146,3,28220,185036,265,a|0,0);a=cuc(8)|0;f[a>>2]=266;f[a+4>>2]=0;Ee(9264,172146,4,28232,185041,59,a|0,0);a=cuc(8)|0;f[a>>2]=60;f[a+4>>2]=0;Ee(9264,172146,5,28248,186140,98,a|0,0);a=cuc(8)|0;f[a>>2]=504;f[a+4>>2]=0;Ee(9264,172152,3,28268,186411,11,a|0,0);a=cuc(8)|0;f[a>>2]=267;f[a+4>>2]=0;Ee(9264,172152,4,28280,186416,3,a|0,0);a=cuc(8)|0;f[a>>2]=61;f[a+4>>2]=0;Ee(9264,172152,5,28296,186422,1,a|0,0);a=cuc(8)|0;f[a>>2]=62;f[a+4>>2]=0;Ee(9264,172160,5,28316,186429,2,a|0,0);a=cuc(8)|0;f[a>>2]=505;f[a+4>>2]=0;Ee(9264,172160,3,28336,186406,12,a|0,0);a=cuc(8)|0;f[a>>2]=268;f[a+4>>2]=0;Ee(9264,172160,4,28348,186436,4,a|0,0);Be(9488,172169,236672,2,184999,1899);a=cuc(4)|0;f[a>>2]=0;b=cuc(4)|0;f[b>>2]=0;Nd(9488,242811,27048,185013,506,a|0,27048,185002,209,b|0);b=cuc(4)|0;f[b>>2]=4;a=cuc(4)|0;f[a>>2]=4;Nd(9488,469235,27048,185013,506,b|0,27048,185002,209,a|0);Zd(9488);Be(9496,172175,236672,3,184999,1900);a=cuc(4)|0;f[a>>2]=0;b=cuc(4)|0;f[b>>2]=0;Nd(9496,410954,27048,185013,507,a|0,27048,185002,210,b|0);b=cuc(4)|0;f[b>>2]=4;a=cuc(4)|0;f[a>>2]=4;Nd(9496,172188,27048,185013,507,b|0,27048,185002,210,a|0);a=cuc(4)|0;f[a>>2]=8;b=cuc(4)|0;f[b>>2]=8;Nd(9496,402548,27088,186462,6,a|0,27088,185374,1,b|0);Zd(9496);Be(9384,172197,236672,4,184999,1901);b=cuc(4)|0;f[b>>2]=0;a=cuc(4)|0;f[a>>2]=0;Nd(9384,461828,27048,185013,508,b|0,27048,185002,211,a|0);a=cuc(4)|0;f[a>>2]=4;b=cuc(4)|0;f[b>>2]=4;Nd(9384,461834,27048,185013,508,a|0,27048,185002,211,b|0);Zd(9384);Be(9504,172197,236672,5,184999,1902);b=cuc(4)|0;f[b>>2]=0;a=cuc(4)|0;f[a>>2]=0;Nd(9504,461828,27080,186481,7,b|0,27080,185202,2,a|0);a=cuc(4)|0;f[a>>2]=4;b=cuc(4)|0;f[b>>2]=4;Nd(9504,461834,27080,186481,7,a|0,27080,185202,2,b|0);Zd(9504);Be(9176,172197,236672,6,184999,1903);b=cuc(4)|0;f[b>>2]=0;a=cuc(4)|0;f[a>>2]=0;Nd(9176,474635,27048,185013,509,b|0,27048,185002,212,a|0);a=cuc(4)|0;f[a>>2]=4;b=cuc(4)|0;f[b>>2]=4;Nd(9176,237113,27048,185013,509,a|0,27048,185002,212,b|0);Zd(9176);Be(8816,172197,236672,7,184999,1904);b=cuc(4)|0;f[b>>2]=0;a=cuc(4)|0;f[a>>2]=0;Nd(8816,474635,27080,186481,8,b|0,27080,185202,3,a|0);a=cuc(4)|0;f[a>>2]=4;b=cuc(4)|0;f[b>>2]=4;Nd(8816,237113,27080,186481,8,a|0,27080,185202,3,b|0);Zd(8816);Be(8832,172203,236672,8,184999,1905);b=cuc(4)|0;f[b>>2]=0;a=cuc(4)|0;f[a>>2]=0;Nd(8832,474635,27048,185013,510,b|0,27048,185002,213,a|0);a=cuc(4)|0;f[a>>2]=4;b=cuc(4)|0;f[b>>2]=4;Nd(8832,237113,27048,185013,510,a|0,27048,185002,213,b|0);b=cuc(4)|0;f[b>>2]=8;a=cuc(4)|0;f[a>>2]=8;Nd(8832,461828,27048,185013,510,b|0,27048,185002,213,a|0);a=cuc(4)|0;f[a>>2]=12;b=cuc(4)|0;f[b>>2]=12;Nd(8832,461834,27048,185013,510,a|0,27048,185002,213,b|0);Zd(8832);Be(9512,172208,236672,9,184999,1906);b=cuc(4)|0;f[b>>2]=0;a=cuc(4)|0;f[a>>2]=0;Nd(9512,474635,27080,186481,9,b|0,27080,185202,4,a|0);a=cuc(4)|0;f[a>>2]=4;b=cuc(4)|0;f[b>>2]=4;Nd(9512,237113,27080,186481,9,a|0,27080,185202,4,b|0);b=cuc(4)|0;f[b>>2]=8;a=cuc(4)|0;f[a>>2]=8;Nd(9512,461828,27080,186481,9,b|0,27080,185202,4,a|0);a=cuc(4)|0;f[a>>2]=12;b=cuc(4)|0;f[b>>2]=12;Nd(9512,461834,27080,186481,9,a|0,27080,185202,4,b|0);Zd(9512);Be(8824,172215,236672,10,184999,1907);b=cuc(4)|0;f[b>>2]=0;a=cuc(4)|0;f[a>>2]=0;Nd(8824,172227,8816,185013,511,b|0,8816,185002,214,a|0);a=cuc(4)|0;f[a>>2]=8;b=cuc(4)|0;f[b>>2]=8;Nd(8824,476262,9504,185013,512,a|0,9504,185002,215,b|0);b=cuc(4)|0;f[b>>2]=16;a=cuc(4)|0;f[a>>2]=16;Nd(8824,172234,27080,186481,10,b|0,27080,185202,5,a|0);Zd(8824);mf(172240,2,28364,185013,513,979);mf(172258,2,28372,185013,514,980);mf(172282,2,28380,185013,515,981);Qe(9416,172308,236672,11,184999,1908);hf(9416,27088,186462,11,0,27088,185374,6,0);hf(9416,27088,186462,11,1,27088,185374,6,1);hf(9416,27088,186462,11,2,27088,185374,6,2);hf(9416,27088,186462,11,3,27088,185374,6,3);Cd(9416);Be(9520,172315,236672,12,184999,1909);a=cuc(4)|0;f[a>>2]=0;b=cuc(4)|0;f[b>>2]=0;Nd(9520,172325,27088,186462,12,a|0,27088,185374,7,b|0);b=cuc(4)|0;f[b>>2]=8;a=cuc(4)|0;f[a>>2]=8;Nd(9520,172332,27088,186462,12,b|0,27088,185374,7,a|0);a=cuc(4)|0;f[a>>2]=16;b=cuc(4)|0;f[b>>2]=16;Nd(9520,172339,9176,185013,516,a|0,9176,185002,216,b|0);b=cuc(4)|0;f[b>>2]=24;a=cuc(4)|0;f[a>>2]=24;Nd(9520,172346,9176,185013,516,b|0,9176,185002,216,a|0);Zd(9520);Be(9528,172353,236672,13,184999,1910);a=cuc(4)|0;f[a>>2]=0;b=cuc(4)|0;f[b>>2]=0;Nd(9528,172227,8816,185013,517,a|0,8816,185002,217,b|0);b=cuc(4)|0;f[b>>2]=8;a=cuc(4)|0;f[a>>2]=8;Nd(9528,172360,27080,186481,13,b|0,27080,185202,8,a|0);Zd(9528);Be(9536,172367,236672,14,184999,1911);a=cuc(4)|0;f[a>>2]=0;b=cuc(4)|0;f[b>>2]=0;Nd(9536,172375,27088,186462,14,a|0,27088,185374,9,b|0);b=cuc(4)|0;f[b>>2]=8;a=cuc(4)|0;f[a>>2]=8;Nd(9536,172379,27088,186462,14,b|0,27088,185374,9,a|0);a=cuc(4)|0;f[a>>2]=16;b=cuc(4)|0;f[b>>2]=16;Nd(9536,172383,27088,186462,14,a|0,27088,185374,9,b|0);b=cuc(4)|0;f[b>>2]=24;a=cuc(4)|0;f[a>>2]=24;Nd(9536,172387,27088,186462,14,b|0,27088,185374,9,a|0);a=cuc(4)|0;f[a>>2]=32;b=cuc(4)|0;f[b>>2]=32;Nd(9536,172391,27088,186462,14,a|0,27088,185374,9,b|0);b=cuc(4)|0;f[b>>2]=40;a=cuc(4)|0;f[a>>2]=40;Nd(9536,172395,27088,186462,14,b|0,27088,185374,9,a|0);a=cuc(4)|0;f[a>>2]=48;b=cuc(4)|0;f[b>>2]=48;Nd(9536,172399,27088,186462,14,a|0,27088,185374,9,b|0);b=cuc(4)|0;f[b>>2]=56;a=cuc(4)|0;f[a>>2]=56;Nd(9536,172403,27088,186462,14,b|0,27088,185374,9,a|0);a=cuc(4)|0;f[a>>2]=64;b=cuc(4)|0;f[b>>2]=64;Nd(9536,172407,27088,186462,14,a|0,27088,185374,9,b|0);b=cuc(4)|0;f[b>>2]=72;a=cuc(4)|0;f[a>>2]=72;Nd(9536,172411,27088,186462,14,b|0,27088,185374,9,a|0);a=cuc(4)|0;f[a>>2]=80;b=cuc(4)|0;f[b>>2]=80;Nd(9536,172415,27088,186462,14,a|0,27088,185374,9,b|0);b=cuc(4)|0;f[b>>2]=88;a=cuc(4)|0;f[a>>2]=88;Nd(9536,172420,27088,186462,14,b|0,27088,185374,9,a|0);a=cuc(4)|0;f[a>>2]=96;b=cuc(4)|0;f[b>>2]=96;Nd(9536,172425,27088,186462,14,a|0,27088,185374,9,b|0);b=cuc(4)|0;f[b>>2]=104;a=cuc(4)|0;f[a>>2]=104;Nd(9536,172430,27088,186462,14,b|0,27088,185374,9,a|0);a=cuc(4)|0;f[a>>2]=112;b=cuc(4)|0;f[b>>2]=112;Nd(9536,172435,27088,186462,14,a|0,27088,185374,9,b|0);b=cuc(4)|0;f[b>>2]=120;a=cuc(4)|0;f[a>>2]=120;Nd(9536,172440,27088,186462,14,b|0,27088,185374,9,a|0);a=cuc(4)|0;f[a>>2]=128;b=cuc(4)|0;f[b>>2]=128;Nd(9536,172445,27088,186462,14,a|0,27088,185374,9,b|0);b=cuc(4)|0;f[b>>2]=136;a=cuc(4)|0;f[a>>2]=136;Nd(9536,172450,27088,186462,14,b|0,27088,185374,9,a|0);a=cuc(4)|0;f[a>>2]=144;b=cuc(4)|0;f[b>>2]=144;Nd(9536,172455,27088,186462,14,a|0,27088,185374,9,b|0);b=cuc(4)|0;f[b>>2]=152;a=cuc(4)|0;f[a>>2]=152;Nd(9536,172460,27088,186462,14,b|0,27088,185374,9,a|0);a=cuc(4)|0;f[a>>2]=160;b=cuc(4)|0;f[b>>2]=160;Nd(9536,172465,27088,186462,14,a|0,27088,185374,9,b|0);b=cuc(4)|0;f[b>>2]=168;a=cuc(4)|0;f[a>>2]=168;Nd(9536,172470,27088,186462,14,b|0,27088,185374,9,a|0);a=cuc(4)|0;f[a>>2]=176;b=cuc(4)|0;f[b>>2]=176;Nd(9536,172475,27088,186462,14,a|0,27088,185374,9,b|0);b=cuc(4)|0;f[b>>2]=184;a=cuc(4)|0;f[a>>2]=184;Nd(9536,172480,27088,186462,14,b|0,27088,185374,9,a|0);Zd(9536);Be(10432,172485,236672,15,184999,1912);a=cuc(4)|0;f[a>>2]=16;b=cuc(4)|0;f[b>>2]=16;Nd(10432,172495,27048,185013,518,a|0,27048,185002,218,b|0);b=cuc(4)|0;f[b>>2]=982;a=cuc(4)|0;f[a>>2]=983;Nd(10432,172500,9552,185013,519,b|0,9552,185002,219,a|0);Zd(10432);mf(172504,2,28388,185013,520,984);mf(256707,2,28396,185013,521,985);mf(201184,3,28404,185036,269,220);mf(201184,2,28416,185013,522,986);mf(172521,1,28424,184994,778,1913);mf(172550,2,28428,185013,523,779);mf(172563,4,28436,185041,63,172);mf(386576,4,28436,185041,63,173);mf(172572,1,28452,184994,780,1914);Fd(172592,27048,0);Fd(172600,27048,8);Fd(172608,27048,16);Fd(172616,27048,24);Fd(172624,27048,1);Fd(172632,27048,9);Fd(172640,27048,17);Fd(172648,27048,25);Fd(172656,27048,2);Fd(172665,27048,10);Fd(172674,27048,18);Fd(172683,27048,26);Fd(172692,27048,3);Fd(172701,27048,11);Fd(172710,27048,19);Fd(172719,27048,27);Fd(399686,27048,4);Fd(172728,27048,12);Fd(172737,27048,20);Fd(172746,27048,28);Fd(466566,27048,5);Fd(172755,27048,13);Fd(172764,27048,21);Fd(172773,27048,29);Fd(172782,27048,6);Fd(172791,27048,14);Fd(172800,27048,22);Fd(172809,27048,30);Fd(211575,27048,0);Fd(211581,27048,1);Fd(211587,27048,2);Fd(211594,27048,3);Fd(211601,27048,4);Fd(211608,27048,5);Fd(211615,27048,6);Fd(172818,27048,-2147483648);Fd(172826,27048,2147483647);return}function yj(a){a=a|0;ae(8872,8896,8912,0,184994,781,184997,0,184997,0,a|0,184999,1915);Ad(8872,1,27176,184994,782,16);a=cuc(8)|0;f[a>>2]=987;f[a+4>>2]=0;Ee(8872,184788,3,27180,185002,221,a|0,0);a=cuc(8)|0;f[a>>2]=222;f[a+4>>2]=0;Ee(8872,252914,4,27192,185007,174,a|0,0);a=cuc(8)|0;f[a>>2]=783;f[a+4>>2]=0;Ee(8872,476262,2,27208,185013,524,a|0,0);a=cuc(4)|0;f[a>>2]=223;Ee(8872,397093,3,27216,185036,270,a|0,0);a=cuc(4)|0;f[a>>2]=271;Ee(8872,184798,4,27228,185041,64,a|0,0);return}function zj(a){a=a|0;ae(8960,8984,9e3,0,184994,784,184997,0,184997,0,a|0,184999,1916);Ad(8960,1,27244,184994,785,17);a=cuc(8)|0;f[a>>2]=988;f[a+4>>2]=0;Ee(8960,184788,3,27248,185202,10,a|0,0);a=cuc(8)|0;f[a>>2]=224;f[a+4>>2]=0;Ee(8960,252914,4,27260,185207,8,a|0,0);a=cuc(8)|0;f[a>>2]=786;f[a+4>>2]=0;Ee(8960,476262,2,27276,185013,525,a|0,0);a=cuc(4)|0;f[a>>2]=225;Ee(8960,397093,3,27284,185036,272,a|0,0);a=cuc(4)|0;f[a>>2]=273;Ee(8960,184798,4,27296,185213,2,a|0,0);return}function Aj(a){a=a|0;ae(9040,9064,9080,0,184994,787,184997,0,184997,0,a|0,184999,1917);Ad(9040,1,27312,184994,788,18);a=cuc(8)|0;f[a>>2]=989;f[a+4>>2]=0;Ee(9040,184788,3,27316,185374,11,a|0,0);a=cuc(8)|0;f[a>>2]=226;f[a+4>>2]=0;Ee(9040,252914,4,27328,185379,9,a|0,0);a=cuc(8)|0;f[a>>2]=789;f[a+4>>2]=0;Ee(9040,476262,2,27344,185013,526,a|0,0);a=cuc(4)|0;f[a>>2]=227;Ee(9040,397093,3,27352,185036,274,a|0,0);a=cuc(4)|0;f[a>>2]=275;Ee(9040,184798,4,27364,185385,3,a|0,0);return}function Bj(a){a=a|0;ae(9120,9144,9160,0,184994,790,184997,0,184997,0,a|0,184999,1918);Ad(9120,1,27380,184994,791,19);a=cuc(8)|0;f[a>>2]=990;f[a+4>>2]=0;Ee(9120,184788,3,27384,185002,228,a|0,0);a=cuc(8)|0;f[a>>2]=229;f[a+4>>2]=0;Ee(9120,252914,4,27396,185007,175,a|0,0);a=cuc(8)|0;f[a>>2]=792;f[a+4>>2]=0;Ee(9120,476262,2,27412,185013,527,a|0,0);a=cuc(4)|0;f[a>>2]=230;Ee(9120,397093,3,27420,185036,276,a|0,0);a=cuc(4)|0;f[a>>2]=277;Ee(9120,184798,4,27432,185041,65,a|0,0);return}function Cj(a){a=a|0;ae(9208,9232,9248,0,184994,793,184997,0,184997,0,a|0,184999,1919);Ad(9208,1,27448,184994,794,20);a=cuc(8)|0;f[a>>2]=991;f[a+4>>2]=0;Ee(9208,184788,3,27452,185002,231,a|0,0);a=cuc(8)|0;f[a>>2]=232;f[a+4>>2]=0;Ee(9208,252914,4,27464,185007,176,a|0,0);a=cuc(8)|0;f[a>>2]=795;f[a+4>>2]=0;Ee(9208,476262,2,27480,185013,528,a|0,0);a=cuc(4)|0;f[a>>2]=233;Ee(9208,397093,3,27488,185036,278,a|0,0);a=cuc(4)|0;f[a>>2]=279;Ee(9208,184798,4,27500,185041,66,a|0,0);return}function Dj(a){a=a|0;ae(9296,9320,9336,0,184994,796,184997,0,184997,0,a|0,184999,1920);Ad(9296,1,27516,184994,797,21);a=cuc(8)|0;f[a>>2]=992;f[a+4>>2]=0;Ee(9296,184788,3,27520,185002,234,a|0,0);a=cuc(8)|0;f[a>>2]=235;f[a+4>>2]=0;Ee(9296,252914,4,27532,185007,177,a|0,0);a=cuc(8)|0;f[a>>2]=798;f[a+4>>2]=0;Ee(9296,476262,2,27548,185013,529,a|0,0);a=cuc(4)|0;f[a>>2]=236;Ee(9296,397093,3,27556,185036,280,a|0,0);a=cuc(4)|0;f[a>>2]=281;Ee(9296,184798,4,27568,185041,67,a|0,0);return}function Ej(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+240|0;e=d;g=d+224|0;f[g>>2]=f[b>>2];f[g+4>>2]=f[b+4>>2];CT(e,g,c);f[a>>2]=1124007936;c=a+8|0;g=a+40|0;b=a+4|0;h=b+36|0;do{f[b>>2]=0;b=b+4|0}while((b|0)<(h|0));f[g>>2]=c;c=a+48|0;f[a+44>>2]=c;f[c>>2]=0;f[a+52>>2]=0;c=f[e>>2]|0;sh[f[(f[c>>2]|0)+12>>2]&255](c,e,a,-1);Xi(e);u=d;return}function Fj(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0;e=u;u=u+224|0;g=e;BT(g,b,c,d);f[a>>2]=1124007936;d=a+8|0;c=a+40|0;b=a+4|0;h=b+36|0;do{f[b>>2]=0;b=b+4|0}while((b|0)<(h|0));f[c>>2]=d;d=a+48|0;f[a+44>>2]=d;f[d>>2]=0;f[a+52>>2]=0;d=f[g>>2]|0;sh[f[(f[d>>2]|0)+12>>2]&255](d,g,a,-1);Xi(g);u=e;return}function Gj(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;d=u;u=u+16|0;e=d;g=jf()|0;f[a>>2]=g;h=c+4|0;if((f[h>>2]|0)<=0){u=d;return}i=c+40|0;c=0;j=g;while(1){g=(f[i>>2]|0)+(c<<2)|0;if((b[535040]|0)==0?$yc(535040)|0:0){k=Ye(2,27128)|0;f[136320]=k}k=f[136320]|0;f[e>>2]=f[g>>2];bd(k|0,j|0,171830,e|0);k=c+1|0;if((k|0)>=(f[h>>2]|0))break;c=k;j=f[a>>2]|0}u=d;return}function Hj(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;d=u;u=u+16|0;e=d;g=jf()|0;f[a>>2]=g;h=c+4|0;if((f[h>>2]|0)<=0){u=d;return}i=c+44|0;c=0;j=g;while(1){g=(f[i>>2]|0)+(c<<2)|0;if((b[535048]|0)==0?$yc(535048)|0:0){k=Ye(2,27136)|0;f[136321]=k}k=f[136321]|0;f[e>>2]=f[g>>2];bd(k|0,j|0,171830,e|0);k=c+1|0;if((k|0)>=(f[h>>2]|0))break;c=k;j=f[a>>2]|0}u=d;return}function Ij(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;c=u;u=u+16|0;d=c;e=f[b+4>>2]|0;if((e|0)<3)g=Y(f[b+12>>2]|0,f[b+8>>2]|0)|0;else{h=f[b+40>>2]|0;i=0;j=1;while(1){k=Y(f[h+(i<<2)>>2]|0,j)|0;i=i+1|0;if((i|0)==(e|0)){g=k;break}else j=k}}if((e|0)>0)l=f[(f[b+44>>2]|0)+(e+-1<<2)>>2]|0;else l=0;e=Y(l,g)|0;g=f[b+16>>2]|0;f[d>>2]=e;f[d+4>>2]=g;g=Ae(9432,d|0)|0;f[a>>2]=g;u=c;return}function Jj(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;c=u;u=u+16|0;d=c;e=f[b+4>>2]|0;if((e|0)<3)g=Y(f[b+12>>2]|0,f[b+8>>2]|0)|0;else{h=f[b+40>>2]|0;i=0;j=1;while(1){k=Y(f[h+(i<<2)>>2]|0,j)|0;i=i+1|0;if((i|0)==(e|0)){g=k;break}else j=k}}if((e|0)>0)l=f[(f[b+44>>2]|0)+(e+-1<<2)>>2]|0;else l=0;e=Y(l,g)|0;g=f[b+16>>2]|0;f[d>>2]=e;f[d+4>>2]=g;g=Ae(9440,d|0)|0;f[a>>2]=g;u=c;return}function Kj(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;c=u;u=u+16|0;d=c;e=f[b+4>>2]|0;if((e|0)<3)g=Y(f[b+12>>2]|0,f[b+8>>2]|0)|0;else{h=f[b+40>>2]|0;i=0;j=1;while(1){k=Y(f[h+(i<<2)>>2]|0,j)|0;i=i+1|0;if((i|0)==(e|0)){g=k;break}else j=k}}if((e|0)>0)l=f[(f[b+44>>2]|0)+(e+-1<<2)>>2]|0;else l=0;e=(Y(l,g)|0)>>>1;g=f[b+16>>2]|0;f[d>>2]=e;f[d+4>>2]=g;g=Ae(9448,d|0)|0;f[a>>2]=g;u=c;return}function Lj(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;c=u;u=u+16|0;d=c;e=f[b+4>>2]|0;if((e|0)<3)g=Y(f[b+12>>2]|0,f[b+8>>2]|0)|0;else{h=f[b+40>>2]|0;i=0;j=1;while(1){k=Y(f[h+(i<<2)>>2]|0,j)|0;i=i+1|0;if((i|0)==(e|0)){g=k;break}else j=k}}if((e|0)>0)l=f[(f[b+44>>2]|0)+(e+-1<<2)>>2]|0;else l=0;e=(Y(l,g)|0)>>>1;g=f[b+16>>2]|0;f[d>>2]=e;f[d+4>>2]=g;g=Ae(9456,d|0)|0;f[a>>2]=g;u=c;return}function Mj(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;c=u;u=u+16|0;d=c;e=f[b+4>>2]|0;if((e|0)<3)g=Y(f[b+12>>2]|0,f[b+8>>2]|0)|0;else{h=f[b+40>>2]|0;i=0;j=1;while(1){k=Y(f[h+(i<<2)>>2]|0,j)|0;i=i+1|0;if((i|0)==(e|0)){g=k;break}else j=k}}if((e|0)>0)l=f[(f[b+44>>2]|0)+(e+-1<<2)>>2]|0;else l=0;e=(Y(l,g)|0)>>>2;g=f[b+16>>2]|0;f[d>>2]=e;f[d+4>>2]=g;g=Ae(9464,d|0)|0;f[a>>2]=g;u=c;return}function Nj(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;c=u;u=u+16|0;d=c;e=f[b+4>>2]|0;if((e|0)<3)g=Y(f[b+12>>2]|0,f[b+8>>2]|0)|0;else{h=f[b+40>>2]|0;i=0;j=1;while(1){k=Y(f[h+(i<<2)>>2]|0,j)|0;i=i+1|0;if((i|0)==(e|0)){g=k;break}else j=k}}if((e|0)>0)l=f[(f[b+44>>2]|0)+(e+-1<<2)>>2]|0;else l=0;e=(Y(l,g)|0)>>>2;g=f[b+16>>2]|0;f[d>>2]=e;f[d+4>>2]=g;g=Ae(9472,d|0)|0;f[a>>2]=g;u=c;return}function Oj(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;c=u;u=u+16|0;d=c;e=f[b+4>>2]|0;if((e|0)<3)g=Y(f[b+12>>2]|0,f[b+8>>2]|0)|0;else{h=f[b+40>>2]|0;i=0;j=1;while(1){k=Y(f[h+(i<<2)>>2]|0,j)|0;i=i+1|0;if((i|0)==(e|0)){g=k;break}else j=k}}if((e|0)>0)l=f[(f[b+44>>2]|0)+(e+-1<<2)>>2]|0;else l=0;e=(Y(l,g)|0)>>>3;g=f[b+16>>2]|0;f[d>>2]=e;f[d+4>>2]=g;g=Ae(9480,d|0)|0;f[a>>2]=g;u=c;return}function Pj(a){a=a|0;var b=0,c=0;b=f[a+4>>2]|0;if((b|0)<=0){c=0;return c|0}c=f[(f[a+44>>2]|0)+(b+-1<<2)>>2]|0;return c|0}function Qj(a){a=a|0;return 675553809>>>(f[a>>2]<<2&28)&15|0}function Rj(a){a=a|0;return ((f[a>>2]|0)>>>3&511)+1|0}function Sj(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=f[a+4>>2]|0;if((b|0)<3){c=Y(f[a+12>>2]|0,f[a+8>>2]|0)|0;return c|0}d=f[a+40>>2]|0;a=0;e=1;while(1){g=Y(f[d+(a<<2)>>2]|0,e)|0;a=a+1|0;if((a|0)>=(b|0)){c=g;break}else e=g}return c|0}function Tj(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+16|0;e=d+8|0;g=d;f[e>>2]=c;f[e+4>>2]=c+1;f[g>>2]=-2147483648;f[g+4>>2]=2147483647;bU(a,b,e,g);u=d;return}function Uj(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0;e=u;u=u+16|0;g=e;h=d&4095;if(((((f[a+4>>2]|0)<3?(f[a+8>>2]|0)==(b|0):0)?(f[a+12>>2]|0)==(c|0):0)?(f[a>>2]&4095|0)==(h|0):0)?f[a+16>>2]|0:0){u=e;return}f[g>>2]=b;f[g+4>>2]=c;ZT(a,2,g,h);u=e;return}function Vj(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+16|0;e=d;g=f[b+4>>2]|0;h=f[b>>2]|0;b=c&4095;if(((((f[a+4>>2]|0)<3?(f[a+8>>2]|0)==(g|0):0)?(f[a+12>>2]|0)==(h|0):0)?(f[a>>2]&4095|0)==(b|0):0)?f[a+16>>2]|0:0){u=d;return}f[e>>2]=g;f[e+4>>2]=h;ZT(a,2,e,b);u=d;return}function Wj(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0;e=u;u=u+16|0;g=e+8|0;h=e;f[g>>2]=c;f[g+4>>2]=d;f[h>>2]=-2147483648;f[h+4>>2]=2147483647;bU(a,b,g,h);u=e;return}function Xj(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;f[e>>2]=-2147483648;f[e+4>>2]=2147483647;bU(a,b,c,e);u=d;return}function Yj(a){a=a|0;return f[a>>2]&4095|0}function Zj(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0;if(!(f[a+16>>2]|0))return 1;b=f[a+4>>2]|0;if((b|0)<3){c=Y(f[a+12>>2]|0,f[a+8>>2]|0)|0;d=(c|0)==0;e=(b|0)==0;g=d|e;return g|0}h=f[a+40>>2]|0;a=0;i=1;while(1){j=Y(f[h+(a<<2)>>2]|0,i)|0;a=a+1|0;if((a|0)==(b|0)){c=j;break}else i=j}d=(c|0)==0;e=(b|0)==0;g=d|e;return g|0}function _j(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0;e=u;u=u+16|0;g=e+8|0;h=e;f[g>>2]=-2147483648;f[g+4>>2]=2147483647;f[h>>2]=c;f[h+4>>2]=d;bU(a,b,g,h);u=e;return}function $j(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;f[e>>2]=-2147483648;f[e+4>>2]=2147483647;bU(a,b,e,c);u=d;return}function ak(a,b){a=a|0;b=b|0;return ((f[(f[a+44>>2]|0)+(b<<2)>>2]|0)>>>0)/((675553809>>>(f[a>>2]<<2&28)&15)>>>0)|0|0}function bk(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0;c=u;u=u+16|0;d=c;f[a>>2]=1124007936;e=a+8|0;g=a+40|0;h=a+4|0;i=h+36|0;do{f[h>>2]=0;h=h+4|0}while((h|0)<(i|0));f[g>>2]=e;e=a+48|0;f[a+44>>2]=e;f[e>>2]=0;f[a+52>>2]=0;e=d+8|0;f[e>>2]=0;f[e+4>>2]=0;f[d>>2]=33619968;f[d+4>>2]=a;EI(b,d);u=c;return}function ck(a){a=a|0;return f[a>>2]&7|0}function dk(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+16|0;e=d+8|0;g=d;f[e>>2]=-2147483648;f[e+4>>2]=2147483647;f[g>>2]=c;f[g+4>>2]=c+1;bU(a,b,e,g);u=d;return}function ek(a,b,c){a=a|0;b=b|0;c=c|0;eU(a,b,c);return}function fk(a){a=a|0;return (f[a>>2]&16384|0)!=0|0}function gk(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+16|0;e=d;g=f[f[b+44>>2]>>2]|0;h=(f[b+16>>2]|0)+(Y(g,c)|0)|0;f[e>>2]=(g>>>0)/((675553809>>>(f[b>>2]<<2&28)&15)>>>0)|0;f[e+4>>2]=h;h=Ae(9432,e|0)|0;f[a>>2]=h;u=d;return}function hk(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0;e=u;u=u+16|0;g=e;h=f[b+44>>2]|0;i=f[h+4>>2]|0;j=(f[b+16>>2]|0)+(Y(f[h>>2]|0,c)|0)+(Y(i,d)|0)|0;f[g>>2]=(i>>>0)/((675553809>>>(f[b>>2]<<2&28)&15)>>>0)|0;f[g+4>>2]=j;j=Ae(9432,g|0)|0;f[a>>2]=j;u=e;return}function ik(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+16|0;e=d;g=f[f[b+44>>2]>>2]|0;h=(f[b+16>>2]|0)+(Y(g,c)|0)|0;f[e>>2]=(g>>>0)/((675553809>>>(f[b>>2]<<2&28)&15)>>>0)|0;f[e+4>>2]=h;h=Ae(9440,e|0)|0;f[a>>2]=h;u=d;return}function jk(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0;e=u;u=u+16|0;g=e;h=f[b+44>>2]|0;i=f[h+4>>2]|0;j=(f[b+16>>2]|0)+(Y(f[h>>2]|0,c)|0)+(Y(i,d)|0)|0;f[g>>2]=(i>>>0)/((675553809>>>(f[b>>2]<<2&28)&15)>>>0)|0;f[g+4>>2]=j;j=Ae(9440,g|0)|0;f[a>>2]=j;u=e;return}function kk(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+16|0;e=d;g=f[f[b+44>>2]>>2]|0;h=(f[b+16>>2]|0)+(Y(g,c)|0)|0;f[e>>2]=(g>>>0)/((675553809>>>(f[b>>2]<<2&28)&15)>>>0)|0;f[e+4>>2]=h;h=Ae(9456,e|0)|0;f[a>>2]=h;u=d;return}function lk(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0;e=u;u=u+16|0;g=e;h=f[b+44>>2]|0;i=f[h+4>>2]|0;j=(f[b+16>>2]|0)+(Y(f[h>>2]|0,c)|0)+(Y(i,d)|0)|0;f[g>>2]=(i>>>0)/((675553809>>>(f[b>>2]<<2&28)&15)>>>0)|0;f[g+4>>2]=j;j=Ae(9456,g|0)|0;f[a>>2]=j;u=e;return}function mk(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+16|0;e=d;g=f[f[b+44>>2]>>2]|0;h=(f[b+16>>2]|0)+(Y(g,c)|0)|0;f[e>>2]=(g>>>0)/((675553809>>>(f[b>>2]<<2&28)&15)>>>0)|0;f[e+4>>2]=h;h=Ae(9448,e|0)|0;f[a>>2]=h;u=d;return}function nk(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0;e=u;u=u+16|0;g=e;h=f[b+44>>2]|0;i=f[h+4>>2]|0;j=(f[b+16>>2]|0)+(Y(f[h>>2]|0,c)|0)+(Y(i,d)|0)|0;f[g>>2]=(i>>>0)/((675553809>>>(f[b>>2]<<2&28)&15)>>>0)|0;f[g+4>>2]=j;j=Ae(9448,g|0)|0;f[a>>2]=j;u=e;return}function ok(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+16|0;e=d;g=f[f[b+44>>2]>>2]|0;h=(f[b+16>>2]|0)+(Y(g,c)|0)|0;f[e>>2]=(g>>>0)/((675553809>>>(f[b>>2]<<2&28)&15)>>>0)|0;f[e+4>>2]=h;h=Ae(9464,e|0)|0;f[a>>2]=h;u=d;return}function pk(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0;e=u;u=u+16|0;g=e;h=f[b+44>>2]|0;i=f[h+4>>2]|0;j=(f[b+16>>2]|0)+(Y(f[h>>2]|0,c)|0)+(Y(i,d)|0)|0;f[g>>2]=(i>>>0)/((675553809>>>(f[b>>2]<<2&28)&15)>>>0)|0;f[g+4>>2]=j;j=Ae(9464,g|0)|0;f[a>>2]=j;u=e;return}function qk(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+16|0;e=d;g=f[f[b+44>>2]>>2]|0;h=(f[b+16>>2]|0)+(Y(g,c)|0)|0;f[e>>2]=(g>>>0)/((675553809>>>(f[b>>2]<<2&28)&15)>>>0)|0;f[e+4>>2]=h;h=Ae(9472,e|0)|0;f[a>>2]=h;u=d;return}function rk(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0;e=u;u=u+16|0;g=e;h=f[b+44>>2]|0;i=f[h+4>>2]|0;j=(f[b+16>>2]|0)+(Y(f[h>>2]|0,c)|0)+(Y(i,d)|0)|0;f[g>>2]=(i>>>0)/((675553809>>>(f[b>>2]<<2&28)&15)>>>0)|0;f[g+4>>2]=j;j=Ae(9472,g|0)|0;f[a>>2]=j;u=e;return}function sk(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+16|0;e=d;g=f[f[b+44>>2]>>2]|0;h=(f[b+16>>2]|0)+(Y(g,c)|0)|0;f[e>>2]=(g>>>0)/((675553809>>>(f[b>>2]<<2&28)&15)>>>0)|0;f[e+4>>2]=h;h=Ae(9480,e|0)|0;f[a>>2]=h;u=d;return}function tk(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0;e=u;u=u+16|0;g=e;h=f[b+44>>2]|0;i=f[h+4>>2]|0;j=(f[b+16>>2]|0)+(Y(f[h>>2]|0,c)|0)+(Y(i,d)|0)|0;f[g>>2]=(i>>>0)/((675553809>>>(f[b>>2]<<2&28)&15)>>>0)|0;f[g+4>>2]=j;j=Ae(9480,g|0)|0;f[a>>2]=j;u=e;return}function uk(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=f[a+16>>2]|0;if((f[a>>2]&16384|0)==0?(d=f[a+40>>2]|0,(f[d>>2]|0)!=1):0){e=f[f[a+44>>2]>>2]|0;if((f[d+4>>2]|0)==1){g=c+(Y(e,b)|0)|0;return g|0}else{d=f[a+12>>2]|0;a=(b|0)/(d|0)|0;g=c+(Y(a,e)|0)+(b-(Y(a,d)|0))|0;return g|0}}g=c+b|0;return g|0}function vk(a,b,c){a=a|0;b=b|0;c=c|0;return (f[a+16>>2]|0)+(Y(f[f[a+44>>2]>>2]|0,b)|0)+c|0}function wk(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0;e=f[a+44>>2]|0;g=(f[a+16>>2]|0)+(Y(f[e>>2]|0,b)|0)|0;b=g+(Y(f[e+4>>2]|0,c)|0)|0;return b+(Y(f[e+8>>2]|0,d)|0)|0}function xk(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=f[a+16>>2]|0;if((f[a>>2]&16384|0)==0?(d=f[a+40>>2]|0,(f[d>>2]|0)!=1):0){e=f[f[a+44>>2]>>2]|0;if((f[d+4>>2]|0)==1){g=c+(Y(e,b)|0)|0;return g|0}else{d=f[a+12>>2]|0;a=(b|0)/(d|0)|0;g=c+(Y(a,e)|0)+(b-(Y(a,d)|0))|0;return g|0}}g=c+b|0;return g|0}function yk(a,b,c){a=a|0;b=b|0;c=c|0;return (f[a+16>>2]|0)+(Y(f[f[a+44>>2]>>2]|0,b)|0)+c|0}function zk(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0;e=f[a+44>>2]|0;g=(f[a+16>>2]|0)+(Y(f[e>>2]|0,b)|0)|0;b=g+(Y(f[e+4>>2]|0,c)|0)|0;return b+(Y(f[e+8>>2]|0,d)|0)|0}function Ak(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=f[a+16>>2]|0;if((f[a>>2]&16384|0)==0?(d=f[a+40>>2]|0,(f[d>>2]|0)!=1):0){e=f[f[a+44>>2]>>2]|0;if((f[d+4>>2]|0)==1){g=c+(Y(e,b)|0)|0;return g|0}else{d=f[a+12>>2]|0;a=(b|0)/(d|0)|0;g=c+(Y(a,e)|0)+(b-(Y(a,d)|0)<<1)|0;return g|0}}g=c+(b<<1)|0;return g|0}function Bk(a,b,c){a=a|0;b=b|0;c=c|0;return (f[a+16>>2]|0)+(Y(f[f[a+44>>2]>>2]|0,b)|0)+(c<<1)|0}function Ck(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0;e=f[a+44>>2]|0;g=(f[a+16>>2]|0)+(Y(f[e>>2]|0,b)|0)|0;b=g+(Y(f[e+4>>2]|0,c)|0)|0;return b+(Y(f[e+8>>2]|0,d)|0)|0}function Dk(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=f[a+16>>2]|0;if((f[a>>2]&16384|0)==0?(d=f[a+40>>2]|0,(f[d>>2]|0)!=1):0){e=f[f[a+44>>2]>>2]|0;if((f[d+4>>2]|0)==1){g=c+(Y(e,b)|0)|0;return g|0}else{d=f[a+12>>2]|0;a=(b|0)/(d|0)|0;g=c+(Y(a,e)|0)+(b-(Y(a,d)|0)<<1)|0;return g|0}}g=c+(b<<1)|0;return g|0}function Ek(a,b,c){a=a|0;b=b|0;c=c|0;return (f[a+16>>2]|0)+(Y(f[f[a+44>>2]>>2]|0,b)|0)+(c<<1)|0}function Fk(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0;e=f[a+44>>2]|0;g=(f[a+16>>2]|0)+(Y(f[e>>2]|0,b)|0)|0;b=g+(Y(f[e+4>>2]|0,c)|0)|0;return b+(Y(f[e+8>>2]|0,d)|0)|0}function Gk(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=f[a+16>>2]|0;if((f[a>>2]&16384|0)==0?(d=f[a+40>>2]|0,(f[d>>2]|0)!=1):0){e=f[f[a+44>>2]>>2]|0;if((f[d+4>>2]|0)==1){g=c+(Y(e,b)|0)|0;return g|0}else{d=f[a+12>>2]|0;a=(b|0)/(d|0)|0;g=c+(Y(a,e)|0)+(b-(Y(a,d)|0)<<2)|0;return g|0}}g=c+(b<<2)|0;return g|0}function Hk(a,b,c){a=a|0;b=b|0;c=c|0;return (f[a+16>>2]|0)+(Y(f[f[a+44>>2]>>2]|0,b)|0)+(c<<2)|0}function Ik(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0;e=f[a+44>>2]|0;g=(f[a+16>>2]|0)+(Y(f[e>>2]|0,b)|0)|0;b=g+(Y(f[e+4>>2]|0,c)|0)|0;return b+(Y(f[e+8>>2]|0,d)|0)|0}function Jk(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=f[a+16>>2]|0;if((f[a>>2]&16384|0)==0?(d=f[a+40>>2]|0,(f[d>>2]|0)!=1):0){e=f[f[a+44>>2]>>2]|0;if((f[d+4>>2]|0)==1){g=c+(Y(e,b)|0)|0;return g|0}else{d=f[a+12>>2]|0;a=(b|0)/(d|0)|0;g=c+(Y(a,e)|0)+(b-(Y(a,d)|0)<<2)|0;return g|0}}g=c+(b<<2)|0;return g|0}function Kk(a,b,c){a=a|0;b=b|0;c=c|0;return (f[a+16>>2]|0)+(Y(f[f[a+44>>2]>>2]|0,b)|0)+(c<<2)|0}function Lk(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0;e=f[a+44>>2]|0;g=(f[a+16>>2]|0)+(Y(f[e>>2]|0,b)|0)|0;b=g+(Y(f[e+4>>2]|0,c)|0)|0;return b+(Y(f[e+8>>2]|0,d)|0)|0}function Mk(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0;e=f[a+44>>2]|0;g=(f[a+16>>2]|0)+(Y(f[e>>2]|0,b)|0)|0;b=g+(Y(f[e+4>>2]|0,c)|0)|0;return b+(Y(f[e+8>>2]|0,d)|0)|0}function Nk(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=f[a+16>>2]|0;if((f[a>>2]&16384|0)==0?(d=f[a+40>>2]|0,(f[d>>2]|0)!=1):0){e=f[f[a+44>>2]>>2]|0;if((f[d+4>>2]|0)==1){g=c+(Y(e,b)|0)|0;return g|0}else{d=f[a+12>>2]|0;a=(b|0)/(d|0)|0;g=c+(Y(a,e)|0)+(b-(Y(a,d)|0)<<3)|0;return g|0}}g=c+(b<<3)|0;return g|0}function Ok(a,b,c){a=a|0;b=b|0;c=c|0;return (f[a+16>>2]|0)+(Y(f[f[a+44>>2]>>2]|0,b)|0)+(c<<3)|0}function Pk(a){a=a|0;p[a>>3]=1797693134862315708145274.0e284;p[a+8>>3]=1797693134862315708145274.0e284;p[a+16>>3]=1797693134862315708145274.0e284;p[a+24>>3]=1797693134862315708145274.0e284;return}function Qk(a,b,c,d,e,g){a=a|0;b=b|0;c=+c;d=+d;e=e|0;g=g|0;var h=0,i=0,j=0;h=u;u=u+32|0;i=h+16|0;j=h;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=a;a=j+8|0;f[a>>2]=0;f[a+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=b;pfa(i,j,c,d,e,g);u=h;return}function Rk(a,b,c,d,e){a=a|0;b=b|0;c=+c;d=+d;e=e|0;var g=0,h=0,i=0;g=u;u=u+32|0;h=g+16|0;i=g;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=a;a=i+8|0;f[a>>2]=0;f[a+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=b;pfa(h,i,c,d,e,0);u=g;return}function Sk(a,b,c,d){a=a|0;b=b|0;c=+c;d=+d;var e=0,g=0,h=0;e=u;u=u+32|0;g=e+16|0;h=e;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=a;a=h+8|0;f[a>>2]=0;f[a+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=b;pfa(g,h,c,d,3,0);u=e;return}function Tk(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=+d;e=+e;g=g|0;var h=0,i=0,j=0,k=0;h=u;u=u+48|0;i=h+32|0;j=h+16|0;k=h;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=a;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=b;b=k+8|0;f[b>>2]=0;f[b+4>>2]=0;f[k>>2]=33619968;f[k+4>>2]=c;Kfa(i,j,k,d,e,g);u=h;return}function Uk(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=+d;e=+e;var g=0,h=0,i=0,j=0;g=u;u=u+48|0;h=g+32|0;i=g+16|0;j=g;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=a;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=b;b=j+8|0;f[b>>2]=0;f[b+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=c;Kfa(h,i,j,d,e,0);u=g;return}function Vk(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=+d;e=+e;g=g|0;var h=0,i=0,j=0,k=0;h=u;u=u+48|0;i=h+24|0;j=h+8|0;k=h;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=a;a=j+8|0;f[a>>2]=0;f[a+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=b;f[k>>2]=f[c>>2];f[k+4>>2]=f[c+4>>2];Ala(i,j,k,d,e,g);u=h;return}function Wk(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=+d;e=+e;var g=0,h=0,i=0,j=0;g=u;u=u+48|0;h=g+24|0;i=g+8|0;j=g;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=a;a=i+8|0;f[a>>2]=0;f[a+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=b;f[j>>2]=f[c>>2];f[j+4>>2]=f[c+4>>2];Ala(h,i,j,d,e,4);u=g;return}function Xk(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;var e=0,g=0,h=0,i=0;e=u;u=u+48|0;g=e+24|0;h=e+8|0;i=e;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=a;a=h+8|0;f[a>>2]=0;f[a+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=b;f[i>>2]=f[c>>2];f[i+4>>2]=f[c+4>>2];Ala(g,h,i,d,0.0,4);u=e;return}function Yk(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=+d;e=+e;g=+g;h=+h;i=i|0;j=j|0;var k=0,l=0,m=0;k=u;u=u+32|0;l=k+16|0;m=k;f[l+8>>2]=0;f[l+12>>2]=0;f[l>>2]=16842752;f[l+4>>2]=a;a=m+8|0;f[a>>2]=0;f[a+4>>2]=0;f[m>>2]=33619968;f[m+4>>2]=b;cva(l,m,c,d,e,g,h,i,j);u=k;return}function Zk(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=+d;e=+e;g=+g;h=+h;i=i|0;var j=0,k=0,l=0;j=u;u=u+32|0;k=j+16|0;l=j;f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=16842752;f[k+4>>2]=a;a=l+8|0;f[a>>2]=0;f[a+4>>2]=0;f[l>>2]=33619968;f[l+4>>2]=b;cva(k,l,c,d,e,g,h,i,0);u=j;return}function _k(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=+d;e=+e;g=+g;h=+h;var i=0,j=0,k=0;i=u;u=u+32|0;j=i+16|0;k=i;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=a;a=k+8|0;f[a>>2]=0;f[a+4>>2]=0;f[k>>2]=33619968;f[k+4>>2]=b;cva(j,k,c,d,e,g,h,0,0);u=i;return}function $k(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=+d;e=+e;g=+g;var h=0,i=0,j=0;h=u;u=u+32|0;i=h+16|0;j=h;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=a;a=j+8|0;f[a>>2]=0;f[a+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=b;cva(i,j,c,d,e,g,100.0,0,0);u=h;return}function al(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=+d;e=+e;var g=0,h=0,i=0;g=u;u=u+32|0;h=g+16|0;i=g;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=a;a=i+8|0;f[a>>2]=0;f[a+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=b;cva(h,i,c,d,e,100.0,100.0,0,0);u=g;return}function bl(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=+c;d=+d;e=e|0;g=+g;h=+h;i=+i;j=+j;var k=0,l=0,m=0;k=u;u=u+32|0;l=k+16|0;m=k;f[l+8>>2]=0;f[l+12>>2]=0;f[l>>2]=16842752;f[l+4>>2]=a;a=m+8|0;f[a>>2]=0;f[a+4>>2]=0;f[m>>2]=33619968;f[m+4>>2]=b;Rua(l,m,c,d,e,g,h,i,j);u=k;return}function cl(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=+c;d=+d;e=e|0;g=+g;h=+h;i=+i;var j=0,k=0,l=0;j=u;u=u+32|0;k=j+16|0;l=j;f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=16842752;f[k+4>>2]=a;a=l+8|0;f[a>>2]=0;f[a+4>>2]=0;f[l>>2]=33619968;f[l+4>>2]=b;Rua(k,l,c,d,e,g,h,i,3.141592653589793);u=j;return}function dl(a,b,c,d,e,g,h){a=a|0;b=b|0;c=+c;d=+d;e=e|0;g=+g;h=+h;var i=0,j=0,k=0;i=u;u=u+32|0;j=i+16|0;k=i;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=a;a=k+8|0;f[a>>2]=0;f[a+4>>2]=0;f[k>>2]=33619968;f[k+4>>2]=b;Rua(j,k,c,d,e,g,h,0.0,3.141592653589793);u=i;return}function el(a,b,c,d,e,g){a=a|0;b=b|0;c=+c;d=+d;e=e|0;g=+g;var h=0,i=0,j=0;h=u;u=u+32|0;i=h+16|0;j=h;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=a;a=j+8|0;f[a>>2]=0;f[a+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=b;Rua(i,j,c,d,e,g,0.0,0.0,3.141592653589793);u=h;return}function fl(a,b,c,d,e){a=a|0;b=b|0;c=+c;d=+d;e=e|0;var g=0,h=0,i=0;g=u;u=u+32|0;h=g+16|0;i=g;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=a;a=i+8|0;f[a>>2]=0;f[a+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=b;Rua(h,i,c,d,e,0.0,0.0,0.0,3.141592653589793);u=g;return}function gl(a,b,c,d,e,g,h){a=a|0;b=b|0;c=+c;d=+d;e=e|0;g=+g;h=+h;var i=0,j=0,k=0;i=u;u=u+32|0;j=i+16|0;k=i;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=a;a=k+8|0;f[a>>2]=0;f[a+4>>2]=0;f[k>>2]=33619968;f[k+4>>2]=b;$ua(j,k,c,d,e,g,h);u=i;return}function hl(a,b,c,d,e,g){a=a|0;b=b|0;c=+c;d=+d;e=e|0;g=+g;var h=0,i=0,j=0;h=u;u=u+32|0;i=h+16|0;j=h;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=a;a=j+8|0;f[a>>2]=0;f[a+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=b;$ua(i,j,c,d,e,g,0.0);u=h;return}function il(a,b,c,d,e){a=a|0;b=b|0;c=+c;d=+d;e=e|0;var g=0,h=0,i=0;g=u;u=u+32|0;h=g+16|0;i=g;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=a;a=i+8|0;f[a>>2]=0;f[a+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=b;$ua(h,i,c,d,e,0.0,0.0);u=g;return}function jl(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;g=+g;h=h|0;var i=0,j=0,k=0;i=u;u=u+32|0;j=i+16|0;k=i;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=a;a=k+8|0;f[a>>2]=0;f[a+4>>2]=0;f[k>>2]=33619968;f[k+4>>2]=b;ofa(j,k,c,d,e,g,h);u=i;return}function kl(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;g=+g;var h=0,i=0,j=0;h=u;u=u+32|0;i=h+16|0;j=h;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=a;a=j+8|0;f[a>>2]=0;f[a+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=b;ofa(i,j,c,d,e,g,4);u=h;return}function ll(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;var g=0,h=0,i=0;g=u;u=u+32|0;h=g+16|0;i=g;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=a;a=i+8|0;f[a>>2]=0;f[a+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=b;ofa(h,i,c,d,e,0.0,4);u=g;return}function ml(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0;e=u;u=u+32|0;g=e+16|0;h=e;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=a;a=h+8|0;f[a>>2]=0;f[a+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=b;ofa(g,h,c,d,1.0,0.0,4);u=e;return}function nl(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+32|0;e=d+16|0;g=d;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=a;a=g+8|0;f[a>>2]=0;f[a+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=b;ofa(e,g,c,1,1.0,0.0,4);u=d;return}function ol(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=+g;h=+h;i=i|0;var j=0,k=0,l=0;j=u;u=u+32|0;k=j+16|0;l=j;f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=16842752;f[k+4>>2]=a;a=l+8|0;f[a>>2]=0;f[a+4>>2]=0;f[l>>2]=33619968;f[l+4>>2]=b;nfa(k,l,c,d,e,g,h,i);u=j;return}function pl(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=+g;h=+h;var i=0,j=0,k=0;i=u;u=u+32|0;j=i+16|0;k=i;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=a;a=k+8|0;f[a>>2]=0;f[a+4>>2]=0;f[k>>2]=33619968;f[k+4>>2]=b;nfa(j,k,c,d,e,g,h,4);u=i;return}function ql(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=+g;var h=0,i=0,j=0;h=u;u=u+32|0;i=h+16|0;j=h;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=a;a=j+8|0;f[a>>2]=0;f[a+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=b;nfa(i,j,c,d,e,g,0.0,4);u=h;return}function rl(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0;g=u;u=u+32|0;h=g+16|0;i=g;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=a;a=i+8|0;f[a>>2]=0;f[a+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=b;nfa(h,i,c,d,e,1.0,0.0,4);u=g;return}function sl(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=+h;i=+i;j=j|0;var k=0,l=0,m=0;k=u;u=u+32|0;l=k+16|0;m=k;f[l+8>>2]=0;f[l+12>>2]=0;f[l>>2]=16842752;f[l+4>>2]=a;a=m+8|0;f[a>>2]=0;f[a+4>>2]=0;f[m>>2]=33619968;f[m+4>>2]=b;mfa(l,m,c,d,e,g,h,i,j);u=k;return}function tl(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=+h;i=+i;var j=0,k=0,l=0;j=u;u=u+32|0;k=j+16|0;l=j;f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=16842752;f[k+4>>2]=a;a=l+8|0;f[a>>2]=0;f[a+4>>2]=0;f[l>>2]=33619968;f[l+4>>2]=b;mfa(k,l,c,d,e,g,h,i,4);u=j;return}function ul(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=+h;var i=0,j=0,k=0;i=u;u=u+32|0;j=i+16|0;k=i;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=a;a=k+8|0;f[a>>2]=0;f[a+4>>2]=0;f[k>>2]=33619968;f[k+4>>2]=b;mfa(j,k,c,d,e,g,h,0.0,4);u=i;return}function vl(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0;h=u;u=u+32|0;i=h+16|0;j=h;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=a;a=j+8|0;f[a>>2]=0;f[a+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=b;mfa(i,j,c,d,e,g,1.0,0.0,4);u=h;return}function wl(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0;g=u;u=u+32|0;h=g+16|0;i=g;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=a;a=i+8|0;f[a>>2]=0;f[a+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=b;mfa(h,i,c,d,e,3,1.0,0.0,4);u=g;return}function xl(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+48|0;e=d+32|0;g=d+16|0;h=d;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=a;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=b;b=h+8|0;f[b>>2]=0;f[b+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=c;WW(e,g,h);u=d;return}function yl(a,b,c,d,e,g,h){a=a|0;b=b|0;c=+c;d=d|0;e=e|0;g=g|0;h=+h;var i=0,j=0,k=0;i=u;u=u+32|0;j=i+16|0;k=i;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=a;a=k+8|0;f[a>>2]=0;f[a+4>>2]=0;f[k>>2]=33619968;f[k+4>>2]=b;_ea(j,k,c,d,e,g,h);u=i;return}function zl(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0;g=u;u=u+64|0;h=g+48|0;i=g+32|0;j=g+16|0;k=g;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=a;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=b;b=j+8|0;f[b>>2]=0;f[b+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=c;f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=16842752;f[k+4>>2]=d;rW(h,i,j,k,e);u=g;return}function Al(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0;e=u;u=u+64|0;g=e+48|0;h=e+32|0;i=e+16|0;j=e;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=a;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=b;b=i+8|0;f[b>>2]=0;f[b+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=c;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=d;rW(g,h,i,j,-1);u=e;return}function Bl(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+48|0;e=d+32|0;g=d+16|0;h=d;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=a;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=b;b=h+8|0;f[b>>2]=0;f[b+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=c;rW(e,g,h,sK()|0,-1);u=d;return}function Cl(a,b,c,d,e,g,h){a=a|0;b=+b;c=c|0;d=+d;e=+e;g=g|0;h=h|0;var i=0,j=0,k=0,l=0;i=u;u=u+48|0;j=i+32|0;k=i+16|0;l=i;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=a;f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=16842752;f[k+4>>2]=c;c=l+8|0;f[c>>2]=0;f[c+4>>2]=0;f[l>>2]=33619968;f[l+4>>2]=g;HX(j,b,k,d,e,l,h);u=i;return}function Dl(a,b,c,d,e,g){a=a|0;b=+b;c=c|0;d=+d;e=+e;g=g|0;var h=0,i=0,j=0,k=0;h=u;u=u+48|0;i=h+32|0;j=h+16|0;k=h;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=a;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=c;c=k+8|0;f[c>>2]=0;f[c+4>>2]=0;f[k>>2]=33619968;f[k+4>>2]=g;HX(i,b,j,d,e,k,-1);u=h;return}function El(a,b,c,d){a=a|0;b=b|0;c=+c;d=d|0;var e=0,g=0,h=0;e=u;u=u+32|0;g=e+16|0;h=e;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=a;a=h+8|0;f[a>>2]=0;f[a+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=b;Qma(g,h,c,d);u=e;return}function Fl(a,b){a=a|0;b=b|0;var c=0,d=0,e=0.0;c=u;u=u+16|0;d=c;f[d+8>>2]=0;f[d+12>>2]=0;f[d>>2]=16842752;f[d+4>>2]=a;e=+dfa(d,b);u=c;return +e}function Gl(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=+d;e=+e;g=g|0;var h=0,i=0,j=0;h=u;u=u+32|0;i=h+16|0;j=h;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=a;a=j+8|0;f[a>>2]=0;f[a+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=b;Yla(i,j,c,d,e,g);u=h;return}function Hl(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=+d;e=+e;var g=0,h=0,i=0;g=u;u=u+32|0;h=g+16|0;i=g;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=a;a=i+8|0;f[a>>2]=0;f[a+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=b;Yla(h,i,c,d,e,4);u=g;return}function Il(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0;e=u;u=u+64|0;g=e+48|0;h=e+32|0;i=e+16|0;j=e;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=a;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=b;b=i+8|0;f[b>>2]=0;f[b+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=c;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=d;BV(g,h,i,j);u=e;return}function Jl(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+48|0;e=d+32|0;g=d+16|0;h=d;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=a;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=b;b=h+8|0;f[b>>2]=0;f[b+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=c;BV(e,g,h,sK()|0);u=d;return}function Kl(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+48|0;e=d+32|0;g=d+16|0;h=d;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=a;a=g+8|0;f[a>>2]=0;f[a+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=b;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=c;LV(e,g,h);u=d;return}function Ll(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=u;u=u+32|0;d=c+16|0;e=c;f[d+8>>2]=0;f[d+12>>2]=0;f[d>>2]=16842752;f[d+4>>2]=a;a=e+8|0;f[a>>2]=0;f[a+4>>2]=0;f[e>>2]=33619968;f[e+4>>2]=b;LV(d,e,sK()|0);u=c;return}function Ml(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0;e=u;u=u+64|0;g=e+48|0;h=e+32|0;i=e+16|0;j=e;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=a;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=b;b=i+8|0;f[b>>2]=0;f[b+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=c;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=d;FV(g,h,i,j);u=e;return}function Nl(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+48|0;e=d+32|0;g=d+16|0;h=d;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=a;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=b;b=h+8|0;f[b>>2]=0;f[b+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=c;FV(e,g,h,sK()|0);u=d;return}function Ol(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0;e=u;u=u+64|0;g=e+48|0;h=e+32|0;i=e+16|0;j=e;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=a;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=b;b=i+8|0;f[b>>2]=0;f[b+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=c;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=d;IV(g,h,i,j);u=e;return}function Pl(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+48|0;e=d+32|0;g=d+16|0;h=d;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=a;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=b;b=h+8|0;f[b>>2]=0;f[b+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=c;IV(e,g,h,sK()|0);u=d;return}function Ql(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0;g=u;u=u+48|0;h=g+32|0;i=g+16|0;j=g+8|0;k=g;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=a;a=i+8|0;f[a>>2]=0;f[a+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=b;f[j>>2]=f[c>>2];f[j+4>>2]=f[c+4>>2];f[k>>2]=f[d>>2];f[k+4>>2]=f[d+4>>2];Uka(h,i,j,k,e);u=g;return}function Rl(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0;e=u;u=u+48|0;g=e+32|0;h=e+16|0;i=e+8|0;j=e;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=a;a=h+8|0;f[a>>2]=0;f[a+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=b;f[i>>2]=f[c>>2];f[i+4>>2]=f[c+4>>2];f[j>>2]=f[d>>2];f[j+4>>2]=f[d+4>>2];Uka(g,h,i,j,4);u=e;return}function Sl(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0;d=u;u=u+48|0;e=d+32|0;g=d+16|0;h=d+8|0;i=d;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=a;a=g+8|0;f[a>>2]=0;f[a+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=b;f[h>>2]=f[c>>2];f[h+4>>2]=f[c+4>>2];f[i>>2]=-1;f[i+4>>2]=-1;Uka(e,g,h,i,4);u=d;return}function Tl(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[d+8>>2]=0;f[d+12>>2]=0;f[d>>2]=16842752;f[d+4>>2]=b;gfa(a,d);u=c;return}function Ul(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0;i=u;u=u+48|0;j=i+32|0;k=i+16|0;l=i+8|0;m=i;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=a;a=k+8|0;f[a>>2]=0;f[a+4>>2]=0;f[k>>2]=33619968;f[k+4>>2]=b;f[l>>2]=f[d>>2];f[l+4>>2]=f[d+4>>2];f[m>>2]=f[e>>2];f[m+4>>2]=f[e+4>>2];Tka(j,k,c,l,m,g,h);u=i;return}function Vl(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0;h=u;u=u+48|0;i=h+32|0;j=h+16|0;k=h+8|0;l=h;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=a;a=j+8|0;f[a>>2]=0;f[a+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=b;f[k>>2]=f[d>>2];f[k+4>>2]=f[d+4>>2];f[l>>2]=f[e>>2];f[l+4>>2]=f[e+4>>2];Tka(i,j,c,k,l,g,4);u=h;return}function Wl(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0;g=u;u=u+48|0;h=g+32|0;i=g+16|0;j=g+8|0;k=g;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=a;a=i+8|0;f[a>>2]=0;f[a+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=b;f[j>>2]=f[d>>2];f[j+4>>2]=f[d+4>>2];f[k>>2]=f[e>>2];f[k+4>>2]=f[e+4>>2];Tka(h,i,c,j,k,1,4);u=g;return}function Xl(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0;e=u;u=u+48|0;g=e+32|0;h=e+16|0;i=e+8|0;j=e;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=a;a=h+8|0;f[a>>2]=0;f[a+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=b;f[i>>2]=f[d>>2];f[i+4>>2]=f[d+4>>2];f[j>>2]=-1;f[j+4>>2]=-1;Tka(g,h,c,i,j,1,4);u=e;return}function Yl(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=+g;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=u;u=u+96|0;i=h+72|0;j=h+56|0;k=h+32|0;l=h+40|0;m=h+16|0;n=h+4|0;o=h;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=17104896;f[i+4>>2]=a;a=f[b>>2]|0;f[k>>2]=a;Ld(a|0);Zl(j,k);f[l+8>>2]=0;f[l+12>>2]=0;f[l>>2]=16842752;f[l+4>>2]=c;c=m+8|0;f[c>>2]=0;f[c+4>>2]=0;f[m>>2]=33619968;f[m+4>>2]=d;d=f[e>>2]|0;f[o>>2]=d;Ld(d|0);_l(n,o);aga(i,j,l,m,n,g);m=f[n>>2]|0;if(m|0){l=n+4|0;n=f[l>>2]|0;if((n|0)!=(m|0))f[l>>2]=n+(~((n+-4-m|0)>>>2)<<2);fuc(m)}_d(f[o>>2]|0);o=f[j>>2]|0;if(!o){p=f[k>>2]|0;_d(p|0);u=h;return}m=j+4|0;j=f[m>>2]|0;if((j|0)!=(o|0))f[m>>2]=j+(~((j+-4-o|0)>>>2)<<2);fuc(o);p=f[k>>2]|0;_d(p|0);u=h;return}function Zl(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0.0,k=0,l=0,m=0,n=0;c=u;u=u+16|0;d=c;e=c+8|0;g=f[b>>2]|0;h=If(186668)|0;i=ld(g|0,h|0)|0;_d(h|0);j=+Pd(i|0,27056,d|0);ge(f[d>>2]|0);h=~~j>>>0;_d(i|0);f[a>>2]=0;i=a+4|0;f[i>>2]=0;f[a+8>>2]=0;if(!h){u=c;return}g=a+8|0;k=0;do{l=f[b>>2]|0;f[d>>2]=k;m=Ae(27056,d|0)|0;n=ld(l|0,m|0)|0;_d(m|0);j=+Pd(n|0,27048,d|0);ge(f[d>>2]|0);m=~~j;f[e>>2]=m;l=f[i>>2]|0;if(l>>>0<(f[g>>2]|0)>>>0){f[l>>2]=m;f[i>>2]=l+4}else Aw(a,e);_d(n|0);k=k+1|0}while(k>>>0<h>>>0);u=c;return}function _l(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0.0,k=0,l=0,m=0,o=0,p=0.0;c=u;u=u+16|0;d=c;e=c+8|0;g=f[b>>2]|0;h=If(186668)|0;i=ld(g|0,h|0)|0;_d(h|0);j=+Pd(i|0,27056,d|0);ge(f[d>>2]|0);h=~~j>>>0;_d(i|0);f[a>>2]=0;i=a+4|0;f[i>>2]=0;f[a+8>>2]=0;if(!h){u=c;return}g=a+8|0;k=0;do{l=f[b>>2]|0;f[d>>2]=k;m=Ae(27056,d|0)|0;o=ld(l|0,m|0)|0;_d(m|0);j=+Pd(o|0,27080,d|0);ge(f[d>>2]|0);p=j;n[e>>2]=p;m=f[i>>2]|0;if(m>>>0<(f[g>>2]|0)>>>0){n[m>>2]=p;f[i>>2]=m+4}else Bw(a,e);_d(o|0);k=k+1|0}while(k>>>0<h>>>0);u=c;return}function $l(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;i=u;u=u+112|0;j=i+88|0;k=i+72|0;l=i+48|0;m=i+56|0;n=i+32|0;o=i+20|0;p=i+4|0;q=i+8|0;r=i;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=17104896;f[j+4>>2]=a;a=f[b>>2]|0;f[l>>2]=a;Ld(a|0);Zl(k,l);f[m+8>>2]=0;f[m+12>>2]=0;f[m>>2]=16842752;f[m+4>>2]=c;c=n+8|0;f[c>>2]=0;f[c+4>>2]=0;f[n>>2]=33619968;f[n+4>>2]=d;d=f[e>>2]|0;f[p>>2]=d;Ld(d|0);Zl(o,p);d=f[g>>2]|0;f[r>>2]=d;Ld(d|0);_l(q,r);_fa(j,k,m,n,o,q,h);h=f[q>>2]|0;if(h|0){n=q+4|0;q=f[n>>2]|0;if((q|0)!=(h|0))f[n>>2]=q+(~((q+-4-h|0)>>>2)<<2);fuc(h)}_d(f[r>>2]|0);r=f[o>>2]|0;if(r|0){h=o+4|0;o=f[h>>2]|0;if((o|0)!=(r|0))f[h>>2]=o+(~((o+-4-r|0)>>>2)<<2);fuc(r)}_d(f[p>>2]|0);p=f[k>>2]|0;if(!p){s=f[l>>2]|0;_d(s|0);u=i;return}r=k+4|0;k=f[r>>2]|0;if((k|0)!=(p|0))f[r>>2]=k+(~((k+-4-p|0)>>>2)<<2);fuc(p);s=f[l>>2]|0;_d(s|0);u=i;return}function am(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;h=u;u=u+112|0;i=h+88|0;j=h+72|0;k=h+48|0;l=h+56|0;m=h+32|0;n=h+20|0;o=h+4|0;p=h+8|0;q=h;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=17104896;f[i+4>>2]=a;a=f[b>>2]|0;f[k>>2]=a;Ld(a|0);Zl(j,k);f[l+8>>2]=0;f[l+12>>2]=0;f[l>>2]=16842752;f[l+4>>2]=c;c=m+8|0;f[c>>2]=0;f[c+4>>2]=0;f[m>>2]=33619968;f[m+4>>2]=d;d=f[e>>2]|0;f[o>>2]=d;Ld(d|0);Zl(n,o);d=f[g>>2]|0;f[q>>2]=d;Ld(d|0);_l(p,q);_fa(i,j,l,m,n,p,0);m=f[p>>2]|0;if(m|0){l=p+4|0;p=f[l>>2]|0;if((p|0)!=(m|0))f[l>>2]=p+(~((p+-4-m|0)>>>2)<<2);fuc(m)}_d(f[q>>2]|0);q=f[n>>2]|0;if(q|0){m=n+4|0;n=f[m>>2]|0;if((n|0)!=(q|0))f[m>>2]=n+(~((n+-4-q|0)>>>2)<<2);fuc(q)}_d(f[o>>2]|0);o=f[j>>2]|0;if(!o){r=f[k>>2]|0;_d(r|0);u=h;return}q=j+4|0;j=f[q>>2]|0;if((j|0)!=(o|0))f[q>>2]=j+(~((j+-4-o|0)>>>2)<<2);fuc(o);r=f[k>>2]|0;_d(r|0);u=h;return}function bm(a,b,c,d,e,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;g=g|0;h=h|0;i=i|0;j=+j;k=k|0;var l=0,m=0,n=0,o=0;l=u;u=u+48|0;m=l+32|0;n=l+16|0;o=l;f[m+8>>2]=0;f[m+12>>2]=0;f[m>>2]=16842752;f[m+4>>2]=a;f[n+8>>2]=0;f[n+12>>2]=0;f[n>>2]=16842752;f[n+4>>2]=b;b=o+8|0;f[b>>2]=0;f[b+4>>2]=0;f[o>>2]=50397184;f[o+4>>2]=c;ADa(m,n,o,d,e,g,h,i,j,k);u=l;return}function cm(a,b,c,d,e,g,h,i,j,k,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=+l;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;m=u;u=u+128|0;n=m;o=m+104|0;p=m+88|0;q=m+72|0;r=m+56|0;s=m+40|0;t=m+24|0;v=m+16|0;f[o+8>>2]=0;f[o+12>>2]=0;f[o>>2]=16842752;f[o+4>>2]=a;f[p+8>>2]=0;f[p+12>>2]=0;f[p>>2]=16842752;f[p+4>>2]=b;f[q+8>>2]=0;f[q+12>>2]=0;f[q>>2]=16842752;f[q+4>>2]=c;c=r+8|0;f[c>>2]=0;f[c+4>>2]=0;f[r>>2]=50397184;f[r+4>>2]=d;d=s+8|0;f[d>>2]=0;f[d+4>>2]=0;f[s>>2]=33619968;f[s+4>>2]=e;e=t+8|0;f[e>>2]=0;f[e+4>>2]=0;f[t>>2]=33619968;f[t+4>>2]=g;f[v>>2]=f[h>>2];f[v+4>>2]=f[h+4>>2];f[n>>2]=f[j>>2];f[n+4>>2]=f[j+4>>2];f[n+8>>2]=f[j+8>>2];f[n+12>>2]=f[j+12>>2];zDa(o,p,q,r,s,t,v,i,n,k,l);u=m;return}function dm(a,b,c,d,e,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;l=u;u=u+128|0;m=l;n=l+104|0;o=l+88|0;p=l+72|0;q=l+56|0;r=l+40|0;s=l+24|0;t=l+16|0;f[n+8>>2]=0;f[n+12>>2]=0;f[n>>2]=16842752;f[n+4>>2]=a;f[o+8>>2]=0;f[o+12>>2]=0;f[o>>2]=16842752;f[o+4>>2]=b;f[p+8>>2]=0;f[p+12>>2]=0;f[p>>2]=16842752;f[p+4>>2]=c;c=q+8|0;f[c>>2]=0;f[c+4>>2]=0;f[q>>2]=50397184;f[q+4>>2]=d;d=r+8|0;f[d>>2]=0;f[d+4>>2]=0;f[r>>2]=33619968;f[r+4>>2]=e;e=s+8|0;f[e>>2]=0;f[e+4>>2]=0;f[s>>2]=33619968;f[s+4>>2]=g;f[t>>2]=f[h>>2];f[t+4>>2]=f[h+4>>2];f[m>>2]=f[j>>2];f[m+4>>2]=f[j+4>>2];f[m+8>>2]=f[j+8>>2];f[m+12>>2]=f[j+12>>2];zDa(n,o,p,q,r,s,t,i,m,k,.0001);u=l;return}function em(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;k=u;u=u+128|0;l=k;m=k+104|0;n=k+88|0;o=k+72|0;p=k+56|0;q=k+40|0;r=k+24|0;s=k+16|0;f[m+8>>2]=0;f[m+12>>2]=0;f[m>>2]=16842752;f[m+4>>2]=a;f[n+8>>2]=0;f[n+12>>2]=0;f[n>>2]=16842752;f[n+4>>2]=b;f[o+8>>2]=0;f[o+12>>2]=0;f[o>>2]=16842752;f[o+4>>2]=c;c=p+8|0;f[c>>2]=0;f[c+4>>2]=0;f[p>>2]=50397184;f[p+4>>2]=d;d=q+8|0;f[d>>2]=0;f[d+4>>2]=0;f[q>>2]=33619968;f[q+4>>2]=e;e=r+8|0;f[e>>2]=0;f[e+4>>2]=0;f[r>>2]=33619968;f[r+4>>2]=g;f[s>>2]=f[h>>2];f[s+4>>2]=f[h+4>>2];f[l>>2]=f[j>>2];f[l+4>>2]=f[j+4>>2];f[l+8>>2]=f[j+8>>2];f[l+12>>2]=f[j+12>>2];zDa(m,n,o,p,q,r,s,i,l,0,.0001);u=k;return}function fm(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0;j=u;u=u+144|0;k=j+16|0;l=j+120|0;m=j+104|0;n=j+88|0;o=j+72|0;q=j+56|0;r=j+40|0;s=j+32|0;t=j;f[l+8>>2]=0;f[l+12>>2]=0;f[l>>2]=16842752;f[l+4>>2]=a;f[m+8>>2]=0;f[m+12>>2]=0;f[m>>2]=16842752;f[m+4>>2]=b;f[n+8>>2]=0;f[n+12>>2]=0;f[n>>2]=16842752;f[n+4>>2]=c;c=o+8|0;f[c>>2]=0;f[c+4>>2]=0;f[o>>2]=50397184;f[o+4>>2]=d;d=q+8|0;f[d>>2]=0;f[d+4>>2]=0;f[q>>2]=33619968;f[q+4>>2]=e;e=r+8|0;f[e>>2]=0;f[e+4>>2]=0;f[r>>2]=33619968;f[r+4>>2]=g;f[s>>2]=f[h>>2];f[s+4>>2]=f[h+4>>2];f[t>>2]=3;f[t+4>>2]=30;p[t+8>>3]=.01;f[k>>2]=f[t>>2];f[k+4>>2]=f[t+4>>2];f[k+8>>2]=f[t+8>>2];f[k+12>>2]=f[t+12>>2];zDa(l,m,n,o,q,r,s,i,k,0,.0001);u=j;return}function gm(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0;i=u;u=u+144|0;j=i+16|0;k=i+120|0;l=i+104|0;m=i+88|0;n=i+72|0;o=i+56|0;q=i+40|0;r=i+32|0;s=i;f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=16842752;f[k+4>>2]=a;f[l+8>>2]=0;f[l+12>>2]=0;f[l>>2]=16842752;f[l+4>>2]=b;f[m+8>>2]=0;f[m+12>>2]=0;f[m>>2]=16842752;f[m+4>>2]=c;c=n+8|0;f[c>>2]=0;f[c+4>>2]=0;f[n>>2]=50397184;f[n+4>>2]=d;d=o+8|0;f[d>>2]=0;f[d+4>>2]=0;f[o>>2]=33619968;f[o+4>>2]=e;e=q+8|0;f[e>>2]=0;f[e+4>>2]=0;f[q>>2]=33619968;f[q+4>>2]=g;f[r>>2]=f[h>>2];f[r+4>>2]=f[h+4>>2];f[s>>2]=3;f[s+4>>2]=30;p[s+8>>3]=.01;f[j>>2]=f[s>>2];f[j+4>>2]=f[s+4>>2];f[j+8>>2]=f[s+8>>2];f[j+12>>2]=f[s+12>>2];zDa(k,l,m,n,o,q,r,3,j,0,.0001);u=i;return}function hm(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0;h=u;u=u+144|0;i=h+16|0;j=h+120|0;k=h+104|0;l=h+88|0;m=h+72|0;n=h+56|0;o=h+40|0;q=h+32|0;r=h;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=a;f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=16842752;f[k+4>>2]=b;f[l+8>>2]=0;f[l+12>>2]=0;f[l>>2]=16842752;f[l+4>>2]=c;c=m+8|0;f[c>>2]=0;f[c+4>>2]=0;f[m>>2]=50397184;f[m+4>>2]=d;d=n+8|0;f[d>>2]=0;f[d+4>>2]=0;f[n>>2]=33619968;f[n+4>>2]=e;e=o+8|0;f[e>>2]=0;f[e+4>>2]=0;f[o>>2]=33619968;f[o+4>>2]=g;f[q>>2]=21;f[q+4>>2]=21;f[r>>2]=3;f[r+4>>2]=30;p[r+8>>3]=.01;f[i>>2]=f[r>>2];f[i+4>>2]=f[r+4>>2];f[i+8>>2]=f[r+8>>2];f[i+12>>2]=f[r+12>>2];zDa(j,k,l,m,n,o,q,3,i,0,.0001);u=h;return}function im(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0;g=u;u=u+64|0;h=g+48|0;i=g+32|0;j=g+16|0;k=g;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=a;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=b;b=j+8|0;f[b>>2]=0;f[b+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=c;c=k+8|0;f[c>>2]=0;f[c+4>>2]=0;f[k>>2]=33619968;f[k+4>>2]=d;hD(h,i,j,k,e);u=g;return}function jm(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0;e=u;u=u+64|0;g=e+48|0;h=e+32|0;i=e+16|0;j=e;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=a;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=b;b=i+8|0;f[b>>2]=0;f[b+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=c;c=j+8|0;f[c>>2]=0;f[c+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=d;hD(g,h,i,j,0);u=e;return}function km(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0;i=u;u=u+32|0;j=i+8|0;k=i;l=j+8|0;f[l>>2]=0;f[l+4>>2]=0;f[j>>2]=50397184;f[j+4>>2]=a;f[k>>2]=f[b>>2];f[k+4>>2]=f[b+4>>2];Ema(j,k,c,d,e,g,h);u=i;return}function lm(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0;h=u;u=u+32|0;i=h+8|0;j=h;k=i+8|0;f[k>>2]=0;f[k+4>>2]=0;f[i>>2]=50397184;f[i+4>>2]=a;f[j>>2]=f[b>>2];f[j+4>>2]=f[b+4>>2];Ema(i,j,c,d,e,g,0);u=h;return}function mm(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0;g=u;u=u+32|0;h=g+8|0;i=g;j=h+8|0;f[j>>2]=0;f[j+4>>2]=0;f[h>>2]=50397184;f[h+4>>2]=a;f[i>>2]=f[b>>2];f[i+4>>2]=f[b+4>>2];Ema(h,i,c,d,e,8,0);u=g;return}function nm(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0;e=u;u=u+32|0;g=e+8|0;h=e;i=g+8|0;f[i>>2]=0;f[i+4>>2]=0;f[g>>2]=50397184;f[g+4>>2]=a;f[h>>2]=f[b>>2];f[h+4>>2]=f[b+4>>2];Ema(g,h,c,d,1,8,0);u=e;return}function om(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0;e=u;u=u+48|0;g=e+32|0;h=e+16|0;i=e;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=a;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=b;b=i+8|0;f[b>>2]=0;f[b+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=c;PX(g,h,i,d);u=e;return}function pm(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0.0;d=u;u=u+32|0;e=d+16|0;g=d;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=a;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=b;h=+bga(e,g,c);u=d;return +h}function qm(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0;e=u;u=u+32|0;g=e+16|0;h=e;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=a;a=h+8|0;f[a>>2]=0;f[a+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=b;b=hna(g,h,c,d)|0;u=e;return b|0}function rm(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+32|0;e=d+16|0;g=d;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=a;a=g+8|0;f[a>>2]=0;f[a+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=b;b=hna(e,g,c,4)|0;u=d;return b|0}function sm(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=u;u=u+32|0;d=c+16|0;e=c;f[d+8>>2]=0;f[d+12>>2]=0;f[d>>2]=16842752;f[d+4>>2]=a;a=e+8|0;f[a>>2]=0;f[a+4>>2]=0;f[e>>2]=33619968;f[e+4>>2]=b;b=hna(d,e,8,4)|0;u=c;return b|0}function tm(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0;h=u;u=u+64|0;i=h+48|0;j=h+32|0;k=h+16|0;l=h;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=a;a=j+8|0;f[a>>2]=0;f[a+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=b;b=k+8|0;f[b>>2]=0;f[b+4>>2]=0;f[k>>2]=33619968;f[k+4>>2]=c;c=l+8|0;f[c>>2]=0;f[c+4>>2]=0;f[l>>2]=33619968;f[l+4>>2]=d;d=Cna(i,j,k,l,e,g)|0;u=h;return d|0}function um(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0;g=u;u=u+64|0;h=g+48|0;i=g+32|0;j=g+16|0;k=g;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=a;a=i+8|0;f[a>>2]=0;f[a+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=b;b=j+8|0;f[b>>2]=0;f[b+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=c;c=k+8|0;f[c>>2]=0;f[c+4>>2]=0;f[k>>2]=33619968;f[k+4>>2]=d;d=Cna(h,i,j,k,e,4)|0;u=g;return d|0}function vm(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0;e=u;u=u+64|0;g=e+48|0;h=e+32|0;i=e+16|0;j=e;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=a;a=h+8|0;f[a>>2]=0;f[a+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=b;b=i+8|0;f[b>>2]=0;f[b+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=c;c=j+8|0;f[c>>2]=0;f[c+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=d;d=Cna(g,h,i,j,8,4)|0;u=e;return d|0}function wm(a,b){a=a|0;b=b|0;var c=0,d=0,e=0.0;c=u;u=u+16|0;d=c;f[d+8>>2]=0;f[d+12>>2]=0;f[d>>2]=16842752;f[d+4>>2]=a;e=+efa(d,b);u=c;return +e}function xm(a){a=a|0;var b=0,c=0,d=0.0;b=u;u=u+16|0;c=b;f[c+8>>2]=0;f[c+12>>2]=0;f[c>>2]=16842752;f[c+4>>2]=a;d=+efa(c,0);u=b;return +d}function ym(a,b,c,d){a=a|0;b=b|0;c=+c;d=+d;var e=0,g=0,h=0;e=u;u=u+32|0;g=e+16|0;h=e;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=a;a=h+8|0;f[a>>2]=0;f[a+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=b;rM(g,h,c,d);u=e;return}function zm(a,b,c){a=a|0;b=b|0;c=+c;var d=0,e=0,g=0;d=u;u=u+32|0;e=d+16|0;g=d;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=a;a=g+8|0;f[a>>2]=0;f[a+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=b;rM(e,g,c,0.0);u=d;return}function Am(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=u;u=u+32|0;d=c+16|0;e=c;f[d+8>>2]=0;f[d+12>>2]=0;f[d>>2]=16842752;f[d+4>>2]=a;a=e+8|0;f[a>>2]=0;f[a+4>>2]=0;f[e>>2]=33619968;f[e+4>>2]=b;rM(d,e,1.0,0.0);u=c;return}function Bm(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0;e=u;u=u+32|0;g=e+16|0;h=e;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=a;a=h+8|0;f[a>>2]=0;f[a+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=b;Tma(g,h,c,d);u=e;return}function Cm(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+32|0;e=d+16|0;g=d;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=a;a=g+8|0;f[a>>2]=0;f[a+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=b;Tma(e,g,c,1);u=d;return}function Dm(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=u;u=u+32|0;d=c+16|0;e=c;f[d+8>>2]=0;f[d+12>>2]=0;f[d>>2]=16842752;f[d+4>>2]=a;a=e+8|0;f[a>>2]=0;f[a+4>>2]=0;f[e>>2]=33619968;f[e+4>>2]=b;Tma(d,e,0,1);u=c;return}function Em(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+48|0;e=d+32|0;g=d+16|0;h=d;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=a;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=b;b=h+8|0;f[b>>2]=0;f[b+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=c;ena(e,g,h);u=d;return}function Fm(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0;j=u;u=u+32|0;k=j+16|0;l=j;f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=16842752;f[k+4>>2]=a;a=l+8|0;f[a>>2]=0;f[a+4>>2]=0;f[l>>2]=33619968;f[l+4>>2]=b;MI(k,l,c,d,e,g,h,i);u=j;return}function Gm(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0;i=u;u=u+64|0;j=i+48|0;k=i+32|0;l=i;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=a;a=k+8|0;f[a>>2]=0;f[a+4>>2]=0;f[k>>2]=33619968;f[k+4>>2]=b;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;f[l+16>>2]=0;f[l+20>>2]=0;f[l+24>>2]=0;f[l+28>>2]=0;MI(j,k,c,d,e,g,h,l);u=i;return}function Hm(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;g=g|0;var h=0,i=0,j=0;h=u;u=u+32|0;i=h+16|0;j=h;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=a;a=j+8|0;f[a>>2]=0;f[a+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=b;uta(i,j,c,d,e,g);u=h;return}function Im(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;var g=0,h=0,i=0;g=u;u=u+32|0;h=g+16|0;i=g;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=a;a=i+8|0;f[a>>2]=0;f[a+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=b;uta(h,i,c,d,e,4);u=g;return}function Jm(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0;g=u;u=u+32|0;h=g+16|0;i=g;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=a;a=i+8|0;f[a>>2]=0;f[a+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=b;sta(h,i,c,d,e);u=g;return}function Km(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0;e=u;u=u+32|0;g=e+16|0;h=e;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=a;a=h+8|0;f[a>>2]=0;f[a+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=b;sta(g,h,c,d,4);u=e;return}function Lm(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+32|0;e=d+16|0;g=d;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=a;a=g+8|0;f[a>>2]=0;f[a+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=b;sta(e,g,c,3,4);u=d;return}function Mm(a){a=a|0;var b=0,c=0;b=u;u=u+16|0;c=b;f[c+8>>2]=0;f[c+12>>2]=0;f[c>>2]=16842752;f[c+4>>2]=a;a=wG(c)|0;u=b;return a|0}function Nm(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0;e=u;u=u+32|0;g=e+16|0;h=e;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=a;a=h+8|0;f[a>>2]=0;f[a+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=b;cha(g,h,c,d);u=e;return}function Om(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+32|0;e=d+16|0;g=d;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=a;a=g+8|0;f[a>>2]=0;f[a+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=b;cha(e,g,c,0);u=d;return}function Pm(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0;e=u;u=u+32|0;g=e+16|0;h=e;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=a;a=h+8|0;f[a>>2]=0;f[a+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=b;sga(g,h,c,d);u=e;return}function Qm(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+32|0;e=d+16|0;g=d;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=a;a=g+8|0;f[a>>2]=0;f[a+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=b;sga(e,g,c,0);u=d;return}function Rm(a){a=a|0;var b=0,c=0,d=0.0;b=u;u=u+16|0;c=b;f[c+8>>2]=0;f[c+12>>2]=0;f[c>>2]=16842752;f[c+4>>2]=a;d=+GD(c);u=b;return +d}function Sm(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0;e=u;u=u+32|0;g=e+16|0;h=e;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=a;a=h+8|0;f[a>>2]=0;f[a+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=b;dV(g,h,c,d);u=e;return}function Tm(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+32|0;e=d+16|0;g=d;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=a;a=g+8|0;f[a>>2]=0;f[a+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=b;dV(e,g,c,0);u=d;return}function Um(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=u;u=u+32|0;d=c+16|0;e=c;f[d+8>>2]=0;f[d+12>>2]=0;f[d>>2]=16842752;f[d+4>>2]=a;a=e+8|0;f[a>>2]=0;f[a+4>>2]=0;f[e>>2]=33619968;f[e+4>>2]=b;dV(d,e,0,0);u=c;return}function Vm(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0;i=u;u=u+64|0;j=i+40|0;k=i+24|0;l=i+8|0;m=i;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=a;a=k+8|0;f[a>>2]=0;f[a+4>>2]=0;f[k>>2]=33619968;f[k+4>>2]=b;f[l+8>>2]=0;f[l+12>>2]=0;f[l>>2]=16842752;f[l+4>>2]=c;f[m>>2]=f[d>>2];f[m+4>>2]=f[d+4>>2];qta(j,k,l,m,e,g,h);u=i;return}function Wm(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0;h=u;u=u+96|0;i=h+72|0;j=h+56|0;k=h+40|0;l=h+32|0;m=h;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=a;a=j+8|0;f[a>>2]=0;f[a+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=b;f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=16842752;f[k+4>>2]=c;f[l>>2]=f[d>>2];f[l+4>>2]=f[d+4>>2];p[m>>3]=1797693134862315708145274.0e284;p[m+8>>3]=1797693134862315708145274.0e284;p[m+16>>3]=1797693134862315708145274.0e284;p[m+24>>3]=1797693134862315708145274.0e284;qta(i,j,k,l,e,g,m);u=h;return}function Xm(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0;g=u;u=u+96|0;h=g+72|0;i=g+56|0;j=g+40|0;k=g+32|0;l=g;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=a;a=i+8|0;f[a>>2]=0;f[a+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=b;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=c;f[k>>2]=f[d>>2];f[k+4>>2]=f[d+4>>2];p[l>>3]=1797693134862315708145274.0e284;p[l+8>>3]=1797693134862315708145274.0e284;p[l+16>>3]=1797693134862315708145274.0e284;p[l+24>>3]=1797693134862315708145274.0e284;qta(h,i,j,k,e,0,l);u=g;return}function Ym(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0;e=u;u=u+96|0;g=e+72|0;h=e+56|0;i=e+40|0;j=e+32|0;k=e;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=a;a=h+8|0;f[a>>2]=0;f[a+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=b;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=c;f[j>>2]=f[d>>2];f[j+4>>2]=f[d+4>>2];p[k>>3]=1797693134862315708145274.0e284;p[k+8>>3]=1797693134862315708145274.0e284;p[k+16>>3]=1797693134862315708145274.0e284;p[k+24>>3]=1797693134862315708145274.0e284;qta(g,h,i,j,1,0,k);u=e;return}function Zm(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0;d=u;u=u+96|0;e=d+72|0;g=d+56|0;h=d+40|0;i=d+32|0;j=d;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=a;a=g+8|0;f[a>>2]=0;f[a+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=b;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=c;f[i>>2]=-1;f[i+4>>2]=-1;p[j>>3]=1797693134862315708145274.0e284;p[j+8>>3]=1797693134862315708145274.0e284;p[j+16>>3]=1797693134862315708145274.0e284;p[j+24>>3]=1797693134862315708145274.0e284;qta(e,g,h,i,1,0,j);u=d;return}function _m(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0;g=u;u=u+32|0;h=g+16|0;i=g;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=a;a=i+8|0;f[a>>2]=0;f[a+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=b;Sva(h,i,c,d,e);u=g;return}function $m(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0;e=u;u=u+32|0;g=e+16|0;h=e;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=a;a=h+8|0;f[a>>2]=0;f[a+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=b;Sva(g,h,c,d,5);u=e;return}function an(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0;h=u;u=u+48|0;i=h+32|0;j=h+16|0;k=h;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=a;a=j+8|0;f[a>>2]=0;f[a+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=b;b=k+8|0;f[b>>2]=0;f[b+4>>2]=0;f[k>>2]=33619968;f[k+4>>2]=c;Nva(i,j,k,d,e,g);u=h;return}function bn(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0;g=u;u=u+48|0;h=g+32|0;i=g+16|0;j=g;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=a;a=i+8|0;f[a>>2]=0;f[a+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=b;b=j+8|0;f[b>>2]=0;f[b+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=c;Nva(h,i,j,d,e,0);u=g;return}function cn(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;var g=0,h=0,i=0,j=0;g=u;u=u+48|0;h=g+32|0;i=g+16|0;j=g;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=a;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=b;b=j+8|0;f[b>>2]=0;f[b+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=c;rX(h,i,j,d,e);u=g;return}function dn(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;var e=0,g=0,h=0,i=0;e=u;u=u+48|0;g=e+32|0;h=e+16|0;i=e;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=a;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=b;b=i+8|0;f[b>>2]=0;f[b+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=c;rX(g,h,i,d,-1);u=e;return}function en(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+48|0;e=d+32|0;g=d+16|0;h=d;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=a;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=b;b=h+8|0;f[b>>2]=0;f[b+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=c;rX(e,g,h,1.0,-1);u=d;return}function fn(a,b,c,d){a=+a;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0;e=u;u=u+32|0;g=e+16|0;h=e;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=b;b=h+8|0;f[b>>2]=0;f[b+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=c;zX(a,g,h,d);u=e;return}function gn(a,b,c){a=+a;b=b|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+32|0;e=d+16|0;g=d;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=b;b=g+8|0;f[b>>2]=0;f[b+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=c;zX(a,e,g,-1);u=d;return}function hn(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0;k=u;u=u+64|0;l=k+40|0;m=k+24|0;n=k+8|0;o=k;p=l+8|0;f[p>>2]=0;f[p+4>>2]=0;f[l>>2]=50397184;f[l+4>>2]=a;f[m+8>>2]=0;f[m+12>>2]=0;f[m>>2]=17104896;f[m+4>>2]=b;f[n+8>>2]=0;f[n+12>>2]=0;f[n>>2]=16842752;f[n+4>>2]=h;f[o>>2]=f[j>>2];f[o+4>>2]=f[j+4>>2];Kma(l,m,c,d,e,g,n,i,o);u=k;return}function jn(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0;j=u;u=u+64|0;k=j+40|0;l=j+24|0;m=j+8|0;n=j;o=k+8|0;f[o>>2]=0;f[o+4>>2]=0;f[k>>2]=50397184;f[k+4>>2]=a;f[l+8>>2]=0;f[l+12>>2]=0;f[l>>2]=17104896;f[l+4>>2]=b;f[m+8>>2]=0;f[m+12>>2]=0;f[m>>2]=16842752;f[m+4>>2]=h;f[n>>2]=0;f[n+4>>2]=0;Kma(k,l,c,d,e,g,m,i,n);u=j;return}function kn(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0;i=u;u=u+64|0;j=i+40|0;k=i+24|0;l=i+8|0;m=i;n=j+8|0;f[n>>2]=0;f[n+4>>2]=0;f[j>>2]=50397184;f[j+4>>2]=a;f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=17104896;f[k+4>>2]=b;f[l+8>>2]=0;f[l+12>>2]=0;f[l>>2]=16842752;f[l+4>>2]=h;f[m>>2]=0;f[m+4>>2]=0;Kma(j,k,c,d,e,g,l,2147483647,m);u=i;return}function ln(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0;h=u;u=u+48|0;i=h+24|0;j=h+8|0;k=h;l=i+8|0;f[l>>2]=0;f[l+4>>2]=0;f[i>>2]=50397184;f[i+4>>2]=a;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=17104896;f[j+4>>2]=b;b=sK()|0;f[k>>2]=0;f[k+4>>2]=0;Kma(i,j,c,d,e,g,b,2147483647,k);u=h;return}function mn(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0;g=u;u=u+48|0;h=g+24|0;i=g+8|0;j=g;k=h+8|0;f[k>>2]=0;f[k+4>>2]=0;f[h>>2]=50397184;f[h+4>>2]=a;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=17104896;f[i+4>>2]=b;b=sK()|0;f[j>>2]=0;f[j+4>>2]=0;Kma(h,i,c,d,e,8,b,2147483647,j);u=g;return}function nn(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0;e=u;u=u+48|0;g=e+24|0;h=e+8|0;i=e;j=g+8|0;f[j>>2]=0;f[j+4>>2]=0;f[g>>2]=50397184;f[g+4>>2]=a;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=17104896;f[h+4>>2]=b;b=sK()|0;f[i>>2]=0;f[i+4>>2]=0;Kma(g,h,c,d,1,8,b,2147483647,i);u=e;return}function on(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+48|0;e=d+32|0;g=d+16|0;h=d;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=a;a=g+8|0;f[a>>2]=0;f[a+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=b;b=h+8|0;f[b>>2]=0;f[b+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=c;c=KD(e,g,h)|0;u=d;return c|0}function pn(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=u;u=u+32|0;d=c+16|0;e=c;f[d+8>>2]=0;f[d+12>>2]=0;f[d>>2]=16842752;f[d+4>>2]=a;a=e+8|0;f[a>>2]=0;f[a+4>>2]=0;f[e>>2]=33619968;f[e+4>>2]=b;b=KD(d,e,sK()|0)|0;u=c;return b|0}function qn(a,b,c,d,e,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=+d;e=+e;g=+g;h=h|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0;l=u;u=u+32|0;m=l+16|0;n=l+8|0;o=l;p=m+8|0;f[p>>2]=0;f[p+4>>2]=0;f[m>>2]=50397184;f[m+4>>2]=a;f[n>>2]=f[b>>2];f[n+4>>2]=f[b+4>>2];f[o>>2]=f[c>>2];f[o+4>>2]=f[c+4>>2];Fma(m,n,o,d,e,g,h,i,j,k);u=l;return}function rn(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=+d;e=+e;g=+g;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0;k=u;u=u+32|0;l=k+16|0;m=k+8|0;n=k;o=l+8|0;f[o>>2]=0;f[o+4>>2]=0;f[l>>2]=50397184;f[l+4>>2]=a;f[m>>2]=f[b>>2];f[m+4>>2]=f[b+4>>2];f[n>>2]=f[c>>2];f[n+4>>2]=f[c+4>>2];Fma(l,m,n,d,e,g,h,i,j,0);u=k;return}function sn(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=+d;e=+e;g=+g;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0;j=u;u=u+32|0;k=j+16|0;l=j+8|0;m=j;n=k+8|0;f[n>>2]=0;f[n+4>>2]=0;f[k>>2]=50397184;f[k+4>>2]=a;f[l>>2]=f[b>>2];f[l+4>>2]=f[b+4>>2];f[m>>2]=f[c>>2];f[m+4>>2]=f[c+4>>2];Fma(k,l,m,d,e,g,h,i,8,0);u=j;return}function tn(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=+d;e=+e;g=+g;h=h|0;var i=0,j=0,k=0,l=0,m=0;i=u;u=u+32|0;j=i+16|0;k=i+8|0;l=i;m=j+8|0;f[m>>2]=0;f[m+4>>2]=0;f[j>>2]=50397184;f[j+4>>2]=a;f[k>>2]=f[b>>2];f[k+4>>2]=f[b+4>>2];f[l>>2]=f[c>>2];f[l+4>>2]=f[c+4>>2];Fma(j,k,l,d,e,g,h,1,8,0);u=i;return}function un(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0;g=u;u=u+16|0;h=g;i=h+8|0;f[i>>2]=0;f[i+4>>2]=0;f[h>>2]=50397184;f[h+4>>2]=a;Gma(h,b,c,d,e);u=g;return}function vn(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0;e=u;u=u+16|0;g=e;h=g+8|0;f[h>>2]=0;f[h+4>>2]=0;f[g>>2]=50397184;f[g+4>>2]=a;Gma(g,b,c,d,8);u=e;return}function wn(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+16|0;e=d;g=e+8|0;f[g>>2]=0;f[g+4>>2]=0;f[e>>2]=50397184;f[e+4>>2]=a;Gma(e,b,c,1,8);u=d;return}function xn(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0;i=u;u=u+16|0;j=i+8|0;k=i;f[j>>2]=f[a>>2];f[j+4>>2]=f[a+4>>2];f[k>>2]=f[b>>2];f[k+4>>2]=f[b+4>>2];dma(j,k,c,d,e,g,h);u=i;return}function yn(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=u;u=u+32|0;d=c+16|0;e=c;f[d+8>>2]=0;f[d+12>>2]=0;f[d>>2]=16842752;f[d+4>>2]=a;a=e+8|0;f[a>>2]=0;f[a+4>>2]=0;f[e>>2]=33619968;f[e+4>>2]=b;cga(d,e);u=c;return}function zn(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0;i=u;u=u+64|0;j=i+40|0;k=i+24|0;l=i+8|0;m=i;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=a;a=k+8|0;f[a>>2]=0;f[a+4>>2]=0;f[k>>2]=33619968;f[k+4>>2]=b;f[l+8>>2]=0;f[l+12>>2]=0;f[l>>2]=16842752;f[l+4>>2]=c;f[m>>2]=f[d>>2];f[m+4>>2]=f[d+4>>2];ota(j,k,l,m,e,g,h);u=i;return}function An(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0;h=u;u=u+96|0;i=h+72|0;j=h+56|0;k=h+40|0;l=h+32|0;m=h;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=a;a=j+8|0;f[a>>2]=0;f[a+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=b;f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=16842752;f[k+4>>2]=c;f[l>>2]=f[d>>2];f[l+4>>2]=f[d+4>>2];p[m>>3]=1797693134862315708145274.0e284;p[m+8>>3]=1797693134862315708145274.0e284;p[m+16>>3]=1797693134862315708145274.0e284;p[m+24>>3]=1797693134862315708145274.0e284;ota(i,j,k,l,e,g,m);u=h;return}function Bn(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0;g=u;u=u+96|0;h=g+72|0;i=g+56|0;j=g+40|0;k=g+32|0;l=g;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=a;a=i+8|0;f[a>>2]=0;f[a+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=b;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=c;f[k>>2]=f[d>>2];f[k+4>>2]=f[d+4>>2];p[l>>3]=1797693134862315708145274.0e284;p[l+8>>3]=1797693134862315708145274.0e284;p[l+16>>3]=1797693134862315708145274.0e284;p[l+24>>3]=1797693134862315708145274.0e284;ota(h,i,j,k,e,0,l);u=g;return}function Cn(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0;e=u;u=u+96|0;g=e+72|0;h=e+56|0;i=e+40|0;j=e+32|0;k=e;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=a;a=h+8|0;f[a>>2]=0;f[a+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=b;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=c;f[j>>2]=f[d>>2];f[j+4>>2]=f[d+4>>2];p[k>>3]=1797693134862315708145274.0e284;p[k+8>>3]=1797693134862315708145274.0e284;p[k+16>>3]=1797693134862315708145274.0e284;p[k+24>>3]=1797693134862315708145274.0e284;ota(g,h,i,j,1,0,k);u=e;return}function Dn(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0;d=u;u=u+96|0;e=d+72|0;g=d+56|0;h=d+40|0;i=d+32|0;j=d;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=a;a=g+8|0;f[a>>2]=0;f[a+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=b;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=c;f[i>>2]=-1;f[i+4>>2]=-1;p[j>>3]=1797693134862315708145274.0e284;p[j+8>>3]=1797693134862315708145274.0e284;p[j+16>>3]=1797693134862315708145274.0e284;p[j+24>>3]=1797693134862315708145274.0e284;ota(e,g,h,i,1,0,j);u=d;return}function En(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=u;u=u+32|0;d=c+16|0;e=c;f[d+8>>2]=0;f[d+12>>2]=0;f[d>>2]=16842752;f[d+4>>2]=a;a=e+8|0;f[a>>2]=0;f[a+4>>2]=0;f[e>>2]=33619968;f[e+4>>2]=b;jD(d,e);u=c;return}function Fn(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=+g;h=h|0;var i=0,j=0,k=0,l=0,m=0;i=u;u=u+64|0;j=i+40|0;k=i+24|0;l=i+8|0;m=i;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=a;a=k+8|0;f[a>>2]=0;f[a+4>>2]=0;f[k>>2]=33619968;f[k+4>>2]=b;f[l+8>>2]=0;f[l+12>>2]=0;f[l>>2]=16842752;f[l+4>>2]=d;f[m>>2]=f[e>>2];f[m+4>>2]=f[e+4>>2];saa(j,k,c,l,m,g,h);u=i;return}function Gn(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=+g;var h=0,i=0,j=0,k=0,l=0;h=u;u=u+64|0;i=h+40|0;j=h+24|0;k=h+8|0;l=h;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=a;a=j+8|0;f[a>>2]=0;f[a+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=b;f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=16842752;f[k+4>>2]=d;f[l>>2]=f[e>>2];f[l+4>>2]=f[e+4>>2];saa(i,j,c,k,l,g,4);u=h;return}function Hn(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0;g=u;u=u+64|0;h=g+40|0;i=g+24|0;j=g+8|0;k=g;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=a;a=i+8|0;f[a>>2]=0;f[a+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=b;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=d;f[k>>2]=f[e>>2];f[k+4>>2]=f[e+4>>2];saa(h,i,c,j,k,0.0,4);u=g;return}function In(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0;e=u;u=u+64|0;g=e+40|0;h=e+24|0;i=e+8|0;j=e;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=a;a=h+8|0;f[a>>2]=0;f[a+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=b;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=d;f[j>>2]=-1;f[j+4>>2]=-1;saa(g,h,c,i,j,0.0,4);u=e;return}function Jn(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0;h=u;u=u+64|0;i=h+40|0;j=h+24|0;k=h+8|0;l=h;m=i+8|0;f[m>>2]=0;f[m+4>>2]=0;f[i>>2]=50397184;f[i+4>>2]=a;a=j+8|0;f[a>>2]=0;f[a+4>>2]=0;f[j>>2]=33882112;f[j+4>>2]=b;b=k+8|0;f[b>>2]=0;f[b+4>>2]=0;f[k>>2]=33619968;f[k+4>>2]=c;f[l>>2]=f[g>>2];f[l+4>>2]=f[g+4>>2];Mva(i,j,k,d,e,l);u=h;return}function Kn(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0;g=u;u=u+64|0;h=g+40|0;i=g+24|0;j=g+8|0;k=g;l=h+8|0;f[l>>2]=0;f[l+4>>2]=0;f[h>>2]=50397184;f[h+4>>2]=a;a=i+8|0;f[a>>2]=0;f[a+4>>2]=0;f[i>>2]=33882112;f[i+4>>2]=b;b=j+8|0;f[b>>2]=0;f[b+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=c;f[k>>2]=0;f[k+4>>2]=0;Mva(h,i,j,d,e,k);u=g;return}function Ln(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0.0;h=u;u=u+80|0;i=h;j=h+64|0;k=h+48|0;l=h+32|0;m=h+16|0;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=a;f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=16842752;f[k+4>>2]=b;b=l+8|0;f[b>>2]=0;f[b+4>>2]=0;f[l>>2]=50397184;f[l+4>>2]=c;f[m+8>>2]=0;f[m+12>>2]=0;f[m>>2]=16842752;f[m+4>>2]=g;f[i>>2]=f[e>>2];f[i+4>>2]=f[e+4>>2];f[i+8>>2]=f[e+8>>2];f[i+12>>2]=f[e+12>>2];n=+mCa(j,k,l,d,i,m);u=h;return +n}function Mn(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0.0;g=u;u=u+80|0;h=g+16|0;i=g+64|0;j=g+48|0;k=g+32|0;l=g;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=a;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=b;b=k+8|0;f[b>>2]=0;f[b+4>>2]=0;f[k>>2]=50397184;f[k+4>>2]=c;f[l>>2]=f[e>>2];f[l+4>>2]=f[e+4>>2];f[l+8>>2]=f[e+8>>2];f[l+12>>2]=f[e+12>>2];e=sK()|0;f[h>>2]=f[l>>2];f[h+4>>2]=f[l+4>>2];f[h+8>>2]=f[l+8>>2];f[h+12>>2]=f[l+12>>2];m=+mCa(i,j,k,d,h,e);u=g;return +m}function Nn(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0.0;e=u;u=u+80|0;g=e+16|0;h=e+64|0;i=e+48|0;j=e+32|0;k=e;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=a;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=b;b=j+8|0;f[b>>2]=0;f[b+4>>2]=0;f[j>>2]=50397184;f[j+4>>2]=c;f[k>>2]=3;f[k+4>>2]=50;p[k+8>>3]=.001;c=sK()|0;f[g>>2]=f[k>>2];f[g+4>>2]=f[k+4>>2];f[g+8>>2]=f[k+8>>2];f[g+12>>2]=f[k+12>>2];l=+mCa(h,i,j,d,g,c);u=e;return +l}function On(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0.0;d=u;u=u+80|0;e=d+16|0;g=d+64|0;h=d+48|0;i=d+32|0;j=d;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=a;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=b;b=i+8|0;f[b>>2]=0;f[b+4>>2]=0;f[i>>2]=50397184;f[i+4>>2]=c;f[j>>2]=3;f[j+4>>2]=50;p[j+8>>3]=.001;c=sK()|0;f[e>>2]=f[j>>2];f[e+4>>2]=f[j+4>>2];f[e+8>>2]=f[j+8>>2];f[e+12>>2]=f[j+12>>2];k=+mCa(g,h,i,2,e,c);u=d;return +k}function Pn(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[d+8>>2]=0;f[d+12>>2]=0;f[d>>2]=16842752;f[d+4>>2]=b;ffa(a,d);u=c;return}function Qn(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=+d;e=+e;g=+g;var h=0,i=0,j=0;h=u;u=u+32|0;i=h+16|0;j=h;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=a;a=j+8|0;f[a>>2]=0;f[a+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=b;$1(i,j,c,d,e,g);u=h;return}function Rn(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+32|0;e=d+16|0;g=d;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=a;a=g+8|0;f[a>>2]=0;f[a+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=b;II(e,g,c);u=d;return}function Sn(a,b,c,d,e,g,h){a=a|0;b=b|0;c=+c;d=d|0;e=+e;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0;i=u;u=u+64|0;j=i+48|0;k=i+32|0;l=i+16|0;m=i;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=a;f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=16842752;f[k+4>>2]=b;f[l+8>>2]=0;f[l+12>>2]=0;f[l>>2]=16842752;f[l+4>>2]=d;d=m+8|0;f[d>>2]=0;f[d+4>>2]=0;f[m>>2]=33619968;f[m+4>>2]=g;HQ(j,k,c,l,e,m,h);u=i;return}function Tn(a,b,c,d,e,g){a=a|0;b=b|0;c=+c;d=d|0;e=+e;g=g|0;var h=0,i=0,j=0,k=0,l=0;h=u;u=u+64|0;i=h+48|0;j=h+32|0;k=h+16|0;l=h;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=a;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=b;f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=16842752;f[k+4>>2]=d;d=l+8|0;f[d>>2]=0;f[d+4>>2]=0;f[l>>2]=33619968;f[l+4>>2]=g;HQ(i,j,c,k,e,l,0);u=h;return}function Un(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+32|0;e=d+16|0;g=d;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=b;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=c;_1(a,e,g);u=d;return}function Vn(a){a=a|0;return fV(a)|0}function Wn(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0;e=u;u=u+32|0;g=e+16|0;h=e;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=b;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=c;Z1(a,g,h,d);u=e;return}function Xn(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+32|0;e=d+16|0;g=d;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=b;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=c;Z1(a,e,g,0);u=d;return}function Yn(a,b,c,d){a=a|0;b=b|0;c=+c;d=+d;var e=0,g=0;e=u;u=u+16|0;g=e;f[g>>2]=f[b>>2];f[g+4>>2]=f[b+4>>2];W1(a,g,c,d);u=e;return}function Zn(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0;e=u;u=u+16|0;g=e+8|0;h=e;f[g>>2]=f[c>>2];f[g+4>>2]=f[c+4>>2];f[h>>2]=f[d>>2];f[h+4>>2]=f[d+4>>2];mta(a,b,g,h);u=e;return}function _n(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+16|0;e=d+8|0;g=d;f[e>>2]=f[c>>2];f[e+4>>2]=f[c+4>>2];f[g>>2]=-1;f[g+4>>2]=-1;mta(a,b,e,g);u=d;return}function $n(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=+d;e=+e;g=g|0;h=h|0;i=i|0;j=+j;var k=0,l=0,m=0,n=0;k=u;u=u+48|0;l=k+32|0;m=k+16|0;n=k;f[l+8>>2]=0;f[l+12>>2]=0;f[l>>2]=16842752;f[l+4>>2]=a;a=m+8|0;f[a>>2]=0;f[a+4>>2]=0;f[m>>2]=33619968;f[m+4>>2]=b;f[n+8>>2]=0;f[n+12>>2]=0;f[n>>2]=16842752;f[n+4>>2]=g;Uaa(l,m,c,d,e,n,h,i,j);u=k;return}function ao(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=+d;e=+e;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0;j=u;u=u+48|0;k=j+32|0;l=j+16|0;m=j;f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=16842752;f[k+4>>2]=a;a=l+8|0;f[a>>2]=0;f[a+4>>2]=0;f[l>>2]=33619968;f[l+4>>2]=b;f[m+8>>2]=0;f[m+12>>2]=0;f[m>>2]=16842752;f[m+4>>2]=g;Uaa(k,l,c,d,e,m,h,i,.04);u=j;return}function bo(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=+d;e=+e;g=g|0;h=h|0;var i=0,j=0,k=0,l=0;i=u;u=u+48|0;j=i+32|0;k=i+16|0;l=i;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=a;a=k+8|0;f[a>>2]=0;f[a+4>>2]=0;f[k>>2]=33619968;f[k+4>>2]=b;f[l+8>>2]=0;f[l+12>>2]=0;f[l>>2]=16842752;f[l+4>>2]=g;Uaa(j,k,c,d,e,l,h,0,.04);u=i;return}function co(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=+d;e=+e;g=g|0;var h=0,i=0,j=0,k=0;h=u;u=u+48|0;i=h+32|0;j=h+16|0;k=h;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=a;a=j+8|0;f[a>>2]=0;f[a+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=b;f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=16842752;f[k+4>>2]=g;Uaa(i,j,c,d,e,k,3,0,.04);u=h;return}function eo(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=+d;e=+e;var g=0,h=0,i=0;g=u;u=u+32|0;h=g+16|0;i=g;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=a;a=i+8|0;f[a>>2]=0;f[a+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=b;Uaa(h,i,c,d,e,sK()|0,3,0,.04);u=g;return}function fo(a,b,c,d,e,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=+d;e=+e;g=g|0;h=h|0;i=i|0;j=j|0;k=+k;var l=0,m=0,n=0,o=0;l=u;u=u+48|0;m=l+32|0;n=l+16|0;o=l;f[m+8>>2]=0;f[m+12>>2]=0;f[m>>2]=16842752;f[m+4>>2]=a;a=n+8|0;f[a>>2]=0;f[a+4>>2]=0;f[n>>2]=33619968;f[n+4>>2]=b;f[o+8>>2]=0;f[o+12>>2]=0;f[o>>2]=16842752;f[o+4>>2]=g;Laa(m,n,c,d,e,o,h,i,j,k);u=l;return}function go(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=+d;e=+e;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0;k=u;u=u+48|0;l=k+32|0;m=k+16|0;n=k;f[l+8>>2]=0;f[l+12>>2]=0;f[l>>2]=16842752;f[l+4>>2]=a;a=m+8|0;f[a>>2]=0;f[a+4>>2]=0;f[m>>2]=33619968;f[m+4>>2]=b;f[n+8>>2]=0;f[n+12>>2]=0;f[n>>2]=16842752;f[n+4>>2]=g;Laa(l,m,c,d,e,n,h,i,j,.04);u=k;return}function ho(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=+d;e=+e;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0;j=u;u=u+48|0;k=j+32|0;l=j+16|0;m=j;f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=16842752;f[k+4>>2]=a;a=l+8|0;f[a>>2]=0;f[a+4>>2]=0;f[l>>2]=33619968;f[l+4>>2]=b;f[m+8>>2]=0;f[m+12>>2]=0;f[m>>2]=16842752;f[m+4>>2]=g;Laa(k,l,c,d,e,m,h,i,0,.04);u=j;return}function io(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0;i=u;u=u+80|0;j=i+64|0;k=i+48|0;l=i+16|0;m=i+32|0;n=i;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=a;a=k+8|0;f[a>>2]=0;f[a+4>>2]=0;f[k>>2]=50397184;f[k+4>>2]=b;f[l>>2]=f[c>>2];f[l+4>>2]=f[c+4>>2];f[l+8>>2]=f[c+8>>2];f[l+12>>2]=f[c+12>>2];c=m+8|0;f[c>>2]=0;f[c+4>>2]=0;f[m>>2]=50397184;f[m+4>>2]=d;d=n+8|0;f[d>>2]=0;f[d+4>>2]=0;f[n>>2]=50397184;f[n+4>>2]=e;l2(j,k,l,m,n,g,h);u=i;return}function jo(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0;h=u;u=u+80|0;i=h+64|0;j=h+48|0;k=h+16|0;l=h+32|0;m=h;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=a;a=j+8|0;f[a>>2]=0;f[a+4>>2]=0;f[j>>2]=50397184;f[j+4>>2]=b;f[k>>2]=f[c>>2];f[k+4>>2]=f[c+4>>2];f[k+8>>2]=f[c+8>>2];f[k+12>>2]=f[c+12>>2];c=l+8|0;f[c>>2]=0;f[c+4>>2]=0;f[l>>2]=50397184;f[l+4>>2]=d;d=m+8|0;f[d>>2]=0;f[d+4>>2]=0;f[m>>2]=50397184;f[m+4>>2]=e;l2(i,j,k,l,m,g,2);u=h;return}function ko(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;_za(a,b,c,d);return}function lo(a,b,c){a=a|0;b=b|0;c=c|0;_za(a,b,c,.2);return}function mo(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=u;u=u+32|0;d=c+16|0;e=c;f[d+8>>2]=0;f[d+12>>2]=0;f[d>>2]=17104896;f[d+4>>2]=a;a=e+8|0;f[a>>2]=0;f[a+4>>2]=0;f[e>>2]=33619968;f[e+4>>2]=b;CN(d,e);u=c;return}function no(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0;e=u;u=u+64|0;g=e+48|0;h=e+32|0;i=e+16|0;j=e;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=a;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=b;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=c;c=j+8|0;f[c>>2]=0;f[c+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=d;XX(g,h,i,j);u=e;return}function oo(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;j=u;u=u+112|0;k=j+88|0;l=j+72|0;m=j+56|0;n=j+40|0;o=j+16|0;p=j+24|0;q=j;f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=16842752;f[k+4>>2]=a;f[l+8>>2]=0;f[l+12>>2]=0;f[l>>2]=16842752;f[l+4>>2]=b;f[m+8>>2]=0;f[m+12>>2]=0;f[m>>2]=16842752;f[m+4>>2]=c;f[n+8>>2]=0;f[n+12>>2]=0;f[n>>2]=16842752;f[n+4>>2]=d;f[o>>2]=f[e>>2];f[o+4>>2]=f[e+4>>2];e=p+8|0;f[e>>2]=0;f[e+4>>2]=0;f[p>>2]=33619968;f[p+4>>2]=h;h=q+8|0;f[h>>2]=0;f[h+4>>2]=0;f[q>>2]=33619968;f[q+4>>2]=i;iga(k,l,m,n,o,g,p,q);u=j;return}function po(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+32|0;e=d+16|0;g=d;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=a;a=g+8|0;f[a>>2]=0;f[a+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=b;Iaa(e,g,c);u=d;return}function qo(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=u;u=u+32|0;d=c+16|0;e=c;f[d+8>>2]=0;f[d+12>>2]=0;f[d>>2]=16842752;f[d+4>>2]=a;a=e+8|0;f[a>>2]=0;f[a+4>>2]=0;f[e>>2]=33619968;f[e+4>>2]=b;Iaa(d,e,-1);u=c;return}function ro(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0;g=u;u=u+48|0;h=g+32|0;i=g+16|0;j=g;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=a;a=i+8|0;f[a>>2]=0;f[a+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=b;b=j+8|0;f[b>>2]=0;f[b+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=c;Jaa(h,i,j,d,e);u=g;return}function so(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0;e=u;u=u+48|0;g=e+32|0;h=e+16|0;i=e;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=a;a=h+8|0;f[a>>2]=0;f[a+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=b;b=i+8|0;f[b>>2]=0;f[b+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=c;Jaa(g,h,i,d,-1);u=e;return}function to(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+48|0;e=d+32|0;g=d+16|0;h=d;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=a;a=g+8|0;f[a>>2]=0;f[a+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=b;b=h+8|0;f[b>>2]=0;f[b+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=c;Jaa(e,g,h,-1,-1);u=d;return}function uo(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0.0;d=u;u=u+32|0;e=d+16|0;g=d;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=a;a=g+8|0;f[a>>2]=0;f[a+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=b;h=+HD(e,g,c);u=d;return +h}function vo(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0.0;c=u;u=u+32|0;d=c+16|0;e=c;f[d+8>>2]=0;f[d+12>>2]=0;f[d>>2]=16842752;f[d+4>>2]=a;a=e+8|0;f[a>>2]=0;f[a+4>>2]=0;f[e>>2]=33619968;f[e+4>>2]=b;g=+HD(d,e,0);u=c;return +g}function wo(a){a=a|0;var b=0,c=0;b=u;u=u+16|0;c=b;f[c+8>>2]=0;f[c+12>>2]=0;f[c>>2]=16842752;f[c+4>>2]=a;a=gna(c)|0;u=b;return a|0}function xo(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0.0;i=u;u=u+64|0;j=i;k=i+48|0;l=i+32|0;m=i+16|0;f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=16842752;f[k+4>>2]=a;a=l+8|0;f[a>>2]=0;f[a+4>>2]=0;f[l>>2]=50397184;f[l+4>>2]=c;c=m+8|0;f[c>>2]=0;f[c+4>>2]=0;f[m>>2]=33619968;f[m+4>>2]=h;f[j>>2]=f[d>>2];f[j+4>>2]=f[d+4>>2];f[j+8>>2]=f[d+8>>2];f[j+12>>2]=f[d+12>>2];n=+yH(k,b,l,j,e,g,m);u=i;return +n}function yo(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0.0;h=u;u=u+64|0;i=h+16|0;j=h+48|0;k=h+32|0;l=h;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=a;a=k+8|0;f[a>>2]=0;f[a+4>>2]=0;f[k>>2]=50397184;f[k+4>>2]=c;f[l>>2]=f[d>>2];f[l+4>>2]=f[d+4>>2];f[l+8>>2]=f[d+8>>2];f[l+12>>2]=f[d+12>>2];d=sK()|0;f[i>>2]=f[l>>2];f[i+4>>2]=f[l+4>>2];f[i+8>>2]=f[l+8>>2];f[i+12>>2]=f[l+12>>2];m=+yH(j,b,k,i,e,g,d);u=h;return +m}function zo(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0;i=u;u=u+32|0;j=i+16|0;k=i+8|0;l=i;m=j+8|0;f[m>>2]=0;f[m+4>>2]=0;f[j>>2]=50397184;f[j+4>>2]=a;f[k>>2]=f[b>>2];f[k+4>>2]=f[b+4>>2];f[l>>2]=f[c>>2];f[l+4>>2]=f[c+4>>2];ima(j,k,l,d,e,g,h);u=i;return}function Ao(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0;h=u;u=u+32|0;i=h+16|0;j=h+8|0;k=h;l=i+8|0;f[l>>2]=0;f[l+4>>2]=0;f[i>>2]=50397184;f[i+4>>2]=a;f[j>>2]=f[b>>2];f[j+4>>2]=f[b+4>>2];f[k>>2]=f[c>>2];f[k+4>>2]=f[c+4>>2];ima(i,j,k,d,e,g,0);u=h;return}function Bo(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0;g=u;u=u+32|0;h=g+16|0;i=g+8|0;j=g;k=h+8|0;f[k>>2]=0;f[k+4>>2]=0;f[h>>2]=50397184;f[h+4>>2]=a;f[i>>2]=f[b>>2];f[i+4>>2]=f[b+4>>2];f[j>>2]=f[c>>2];f[j+4>>2]=f[c+4>>2];ima(h,i,j,d,e,8,0);u=g;return}function Co(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0;e=u;u=u+32|0;g=e+16|0;h=e+8|0;i=e;j=g+8|0;f[j>>2]=0;f[j+4>>2]=0;f[g>>2]=50397184;f[g+4>>2]=a;f[h>>2]=f[b>>2];f[h+4>>2]=f[b+4>>2];f[i>>2]=f[c>>2];f[i+4>>2]=f[c+4>>2];ima(g,h,i,d,1,8,0);u=e;return}function Do(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=u;u=u+32|0;d=c+16|0;e=c;f[d+8>>2]=0;f[d+12>>2]=0;f[d>>2]=16842752;f[d+4>>2]=a;a=e+8|0;f[a>>2]=0;f[a+4>>2]=0;f[e>>2]=33619968;f[e+4>>2]=b;kD(d,e);u=c;return}function Eo(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+48|0;e=d+32|0;g=d+16|0;h=d;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=a;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=b;b=h+8|0;f[b>>2]=0;f[b+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=c;gD(e,g,h);u=d;return}function Fo(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;var e=0,g=0,h=0,i=0.0;e=u;u=u+32|0;g=e+16|0;h=e;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=a;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=b;i=+eha(g,h,c,d);u=e;return +i}function Go(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0;g=u;u=u+64|0;h=g+48|0;i=g+32|0;j=g+16|0;k=g;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=a;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=b;b=j+8|0;f[b>>2]=0;f[b+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=c;f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=16842752;f[k+4>>2]=e;y2(h,i,j,d,k);u=g;return}function Ho(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0;e=u;u=u+48|0;g=e+32|0;h=e+16|0;i=e;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=a;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=b;b=i+8|0;f[b>>2]=0;f[b+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=c;y2(g,h,i,d,sK()|0);u=e;return}function Io(a,b,c){a=a|0;b=b|0;c=c|0;pW(a,b,c);return}function Jo(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+32|0;e=d+16|0;g=d;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=b;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=c;JC(a,e,g);u=d;return}function Ko(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[d+8>>2]=0;f[d+12>>2]=0;f[d>>2]=16842752;f[d+4>>2]=b;JC(a,d,sK()|0);u=c;return}function Lo(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0;e=u;u=u+64|0;g=e+48|0;h=e+32|0;i=e+16|0;j=e;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=a;a=h+8|0;f[a>>2]=0;f[a+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=b;b=i+8|0;f[b>>2]=0;f[b+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=c;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=d;KC(g,h,i,j);u=e;return}function Mo(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+48|0;e=d+32|0;g=d+16|0;h=d;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=a;a=g+8|0;f[a>>2]=0;f[a+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=b;b=h+8|0;f[b>>2]=0;f[b+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=c;KC(e,g,h,sK()|0);u=d;return}function No(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+32|0;e=d+16|0;g=d;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=a;a=g+8|0;f[a>>2]=0;f[a+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=b;Wla(e,g,c);u=d;return}function Oo(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=u;u=u+32|0;d=c+16|0;e=c;f[d+8>>2]=0;f[d+12>>2]=0;f[d>>2]=17104896;f[d+4>>2]=a;a=e+8|0;f[a>>2]=0;f[a+4>>2]=0;f[e>>2]=33619968;f[e+4>>2]=b;eF(d,e);u=c;return}function Po(a,b,c){a=a|0;b=b|0;c=c|0;qW(a,b,c);return}function Qo(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[d+8>>2]=0;f[d+12>>2]=0;f[d>>2]=16842752;f[d+4>>2]=b;z2(a,d);u=c;return}function Ro(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0;d=u;u=u+48|0;e=d+32|0;g=d+16|0;h=d+4|0;i=d;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=17104896;f[e+4>>2]=a;a=g+8|0;f[a>>2]=0;f[a+4>>2]=0;f[g>>2]=50659328;f[g+4>>2]=b;b=f[c>>2]|0;f[i>>2]=b;Ld(b|0);Zl(h,i);qV(e,g,h);g=f[h>>2]|0;if(!g){j=f[i>>2]|0;_d(j|0);u=d;return}e=h+4|0;h=f[e>>2]|0;if((h|0)!=(g|0))f[e>>2]=h+(~((h+-4-g|0)>>>2)<<2);fuc(g);j=f[i>>2]|0;_d(j|0);u=d;return}function So(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=b;aoa(a,e,c);u=d;return}function To(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[d+8>>2]=0;f[d+12>>2]=0;f[d>>2]=16842752;f[d+4>>2]=b;aoa(a,d,0);u=c;return}function Uo(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0;j=u;u=u+64|0;k=j+40|0;l=j+24|0;m=j+8|0;n=j;f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=16842752;f[k+4>>2]=a;a=l+8|0;f[a>>2]=0;f[a+4>>2]=0;f[l>>2]=33619968;f[l+4>>2]=b;f[m+8>>2]=0;f[m+12>>2]=0;f[m>>2]=16842752;f[m+4>>2]=d;f[n>>2]=f[e>>2];f[n+4>>2]=f[e+4>>2];rta(k,l,c,m,n,g,h,i);u=j;return}function Vo(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0;i=u;u=u+96|0;j=i+72|0;k=i+56|0;l=i+40|0;m=i+32|0;n=i;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=a;a=k+8|0;f[a>>2]=0;f[a+4>>2]=0;f[k>>2]=33619968;f[k+4>>2]=b;f[l+8>>2]=0;f[l+12>>2]=0;f[l>>2]=16842752;f[l+4>>2]=d;f[m>>2]=f[e>>2];f[m+4>>2]=f[e+4>>2];p[n>>3]=1797693134862315708145274.0e284;p[n+8>>3]=1797693134862315708145274.0e284;p[n+16>>3]=1797693134862315708145274.0e284;p[n+24>>3]=1797693134862315708145274.0e284;rta(j,k,c,l,m,g,h,n);u=i;return}function Wo(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0;h=u;u=u+96|0;i=h+72|0;j=h+56|0;k=h+40|0;l=h+32|0;m=h;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=a;a=j+8|0;f[a>>2]=0;f[a+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=b;f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=16842752;f[k+4>>2]=d;f[l>>2]=f[e>>2];f[l+4>>2]=f[e+4>>2];p[m>>3]=1797693134862315708145274.0e284;p[m+8>>3]=1797693134862315708145274.0e284;p[m+16>>3]=1797693134862315708145274.0e284;p[m+24>>3]=1797693134862315708145274.0e284;rta(i,j,c,k,l,g,0,m);u=h;return}function Xo(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0;g=u;u=u+96|0;h=g+72|0;i=g+56|0;j=g+40|0;k=g+32|0;l=g;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=a;a=i+8|0;f[a>>2]=0;f[a+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=b;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=d;f[k>>2]=f[e>>2];f[k+4>>2]=f[e+4>>2];p[l>>3]=1797693134862315708145274.0e284;p[l+8>>3]=1797693134862315708145274.0e284;p[l+16>>3]=1797693134862315708145274.0e284;p[l+24>>3]=1797693134862315708145274.0e284;rta(h,i,c,j,k,1,0,l);u=g;return}function Yo(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0;e=u;u=u+96|0;g=e+72|0;h=e+56|0;i=e+40|0;j=e+32|0;k=e;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=a;a=h+8|0;f[a>>2]=0;f[a+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=b;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=d;f[j>>2]=-1;f[j+4>>2]=-1;p[k>>3]=1797693134862315708145274.0e284;p[k+8>>3]=1797693134862315708145274.0e284;p[k+16>>3]=1797693134862315708145274.0e284;p[k+24>>3]=1797693134862315708145274.0e284;rta(g,h,c,i,j,1,0,k);u=e;return}function Zo(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;var g=0,h=0,i=0,j=0;g=u;u=u+48|0;h=g+32|0;i=g+16|0;j=g;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=a;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=b;b=j+8|0;f[b>>2]=0;f[b+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=c;jX(h,i,j,d,e);u=g;return}function _o(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;var e=0,g=0,h=0,i=0;e=u;u=u+48|0;g=e+32|0;h=e+16|0;i=e;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=a;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=b;b=i+8|0;f[b>>2]=0;f[b+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=c;jX(g,h,i,d,-1);u=e;return}function $o(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+48|0;e=d+32|0;g=d+16|0;h=d;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=a;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=b;b=h+8|0;f[b>>2]=0;f[b+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=c;jX(e,g,h,1.0,-1);u=d;return}function ap(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0.0;d=u;u=u+32|0;e=d+16|0;g=d;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=a;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=c;h=+iF(e,b,g);u=d;return +h}function bp(a,b){a=a|0;b=b|0;var c=0,d=0,e=0.0;c=u;u=u+16|0;d=c;f[d+8>>2]=0;f[d+12>>2]=0;f[d>>2]=16842752;f[d+4>>2]=a;e=+iF(d,b,sK()|0);u=c;return +e}function cp(a){a=a|0;var b=0,c=0,d=0.0;b=u;u=u+16|0;c=b;f[c+8>>2]=0;f[c+12>>2]=0;f[c>>2]=16842752;f[c+4>>2]=a;d=+iF(c,4,sK()|0);u=b;return +d}function dp(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0.0;e=u;u=u+48|0;g=e+32|0;h=e+16|0;i=e;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=a;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=b;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=d;j=+OF(g,h,c,i);u=e;return +j}function ep(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0.0;d=u;u=u+32|0;e=d+16|0;g=d;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=a;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=b;h=+OF(e,g,c,sK()|0);u=d;return +h}function fp(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0.0;c=u;u=u+32|0;d=c+16|0;e=c;f[d+8>>2]=0;f[d+12>>2]=0;f[d>>2]=16842752;f[d+4>>2]=a;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=b;g=+OF(d,e,4,sK()|0);u=c;return +g}function gp(a,b,c,d,e,g,h){a=a|0;b=b|0;c=+c;d=+d;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0;i=u;u=u+48|0;j=i+32|0;k=i+16|0;l=i;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=a;a=k+8|0;f[a>>2]=0;f[a+4>>2]=0;f[k>>2]=50397184;f[k+4>>2]=b;f[l+8>>2]=0;f[l+12>>2]=0;f[l>>2]=16842752;f[l+4>>2]=h;zM(j,k,c,d,e,g,l);u=i;return}function hp(a,b,c,d,e,g){a=a|0;b=b|0;c=+c;d=+d;e=e|0;g=g|0;var h=0,i=0,j=0;h=u;u=u+32|0;i=h+16|0;j=h;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=a;a=j+8|0;f[a>>2]=0;f[a+4>>2]=0;f[j>>2]=50397184;f[j+4>>2]=b;zM(i,j,c,d,e,g,sK()|0);u=h;return}function ip(a,b,c,d,e){a=a|0;b=b|0;c=+c;d=+d;e=e|0;var g=0,h=0,i=0;g=u;u=u+32|0;h=g+16|0;i=g;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=a;a=i+8|0;f[a>>2]=0;f[a+4>>2]=0;f[i>>2]=50397184;f[i+4>>2]=b;zM(h,i,c,d,e,-1,sK()|0);u=g;return}function jp(a,b,c,d){a=a|0;b=b|0;c=+c;d=+d;var e=0,g=0,h=0;e=u;u=u+32|0;g=e+16|0;h=e;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=a;a=h+8|0;f[a>>2]=0;f[a+4>>2]=0;f[h>>2]=50397184;f[h+4>>2]=b;zM(g,h,c,d,4,-1,sK()|0);u=e;return}function kp(a,b,c){a=a|0;b=b|0;c=+c;var d=0,e=0,g=0;d=u;u=u+32|0;e=d+16|0;g=d;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=a;a=g+8|0;f[a>>2]=0;f[a+4>>2]=0;f[g>>2]=50397184;f[g+4>>2]=b;zM(e,g,c,0.0,4,-1,sK()|0);u=d;return}function lp(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=u;u=u+32|0;d=c+16|0;e=c;f[d+8>>2]=0;f[d+12>>2]=0;f[d>>2]=16842752;f[d+4>>2]=a;a=e+8|0;f[a>>2]=0;f[a+4>>2]=0;f[e>>2]=50397184;f[e+4>>2]=b;zM(d,e,1.0,0.0,4,-1,sK()|0);u=c;return}function mp(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+48|0;e=d+32|0;g=d+16|0;h=d;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=a;a=g+8|0;f[a>>2]=0;f[a+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=b;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=c;XQ(e,g,h);u=d;return}function np(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0.0;d=u;u=u+32|0;e=d+8|0;g=d;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=a;f[g>>2]=f[b>>2];f[g+4>>2]=f[b+4>>2];h=+w2(e,g,c);u=d;return +h}function op(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0;g=u;u=u+64|0;h=g+48|0;i=g+32|0;j=g+16|0;k=g;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=a;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=b;b=j+8|0;f[b>>2]=0;f[b+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=c;c=k+8|0;f[c>>2]=0;f[c+4>>2]=0;f[k>>2]=33619968;f[k+4>>2]=d;iD(h,i,j,k,e);u=g;return}function pp(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0;e=u;u=u+64|0;g=e+48|0;h=e+32|0;i=e+16|0;j=e;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=a;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=b;b=i+8|0;f[b>>2]=0;f[b+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=c;c=j+8|0;f[c>>2]=0;f[c+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=d;iD(g,h,i,j,0);u=e;return}function qp(a,b,c){a=a|0;b=+b;c=c|0;var d=0,e=0,g=0;d=u;u=u+32|0;e=d+16|0;g=d;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=a;a=g+8|0;f[a>>2]=0;f[a+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=c;lD(e,b,g);u=d;return}function rp(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0;k=u;u=u+64|0;l=k+40|0;m=k+32|0;n=k;o=l+8|0;f[o>>2]=0;f[o+4>>2]=0;f[l>>2]=50397184;f[l+4>>2]=a;f[m>>2]=f[c>>2];f[m+4>>2]=f[c+4>>2];p[n>>3]=+p[g>>3];p[n+8>>3]=+p[g+8>>3];p[n+16>>3]=+p[g+16>>3];p[n+24>>3]=+p[g+24>>3];Hma(l,b,m,d,e,n,h,i,j);u=k;return}function sp(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0;j=u;u=u+64|0;k=j+40|0;l=j+32|0;m=j;n=k+8|0;f[n>>2]=0;f[n+4>>2]=0;f[k>>2]=50397184;f[k+4>>2]=a;f[l>>2]=f[c>>2];f[l+4>>2]=f[c+4>>2];p[m>>3]=+p[g>>3];p[m+8>>3]=+p[g+8>>3];p[m+16>>3]=+p[g+16>>3];p[m+24>>3]=+p[g+24>>3];Hma(k,b,l,d,e,m,h,i,0);u=j;return}function tp(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0;i=u;u=u+64|0;j=i+40|0;k=i+32|0;l=i;m=j+8|0;f[m>>2]=0;f[m+4>>2]=0;f[j>>2]=50397184;f[j+4>>2]=a;f[k>>2]=f[c>>2];f[k+4>>2]=f[c+4>>2];p[l>>3]=+p[g>>3];p[l+8>>3]=+p[g+8>>3];p[l+16>>3]=+p[g+16>>3];p[l+24>>3]=+p[g+24>>3];Hma(j,b,k,d,e,l,h,8,0);u=i;return}function up(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;g=g|0;var h=0,i=0,j=0,k=0,l=0;h=u;u=u+64|0;i=h+40|0;j=h+32|0;k=h;l=i+8|0;f[l>>2]=0;f[l+4>>2]=0;f[i>>2]=50397184;f[i+4>>2]=a;f[j>>2]=f[c>>2];f[j+4>>2]=f[c+4>>2];p[k>>3]=+p[g>>3];p[k+8>>3]=+p[g+8>>3];p[k+16>>3]=+p[g+16>>3];p[k+24>>3]=+p[g+24>>3];Hma(i,b,j,d,e,k,1,8,0);u=h;return}function vp(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0;e=u;u=u+32|0;g=e+16|0;h=e;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=a;a=h+8|0;f[a>>2]=0;f[a+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=b;Sga(g,h,c,d);u=e;return}function wp(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+32|0;e=d+16|0;g=d;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=a;a=g+8|0;f[a>>2]=0;f[a+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=b;Sga(e,g,c,4);u=d;return}function xp(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=u;u=u+48|0;d=c+24|0;e=c+8|0;g=c;f[d+8>>2]=0;f[d+12>>2]=0;f[d>>2]=16842752;f[d+4>>2]=a;a=e+8|0;f[a>>2]=0;f[a+4>>2]=0;f[e>>2]=33619968;f[e+4>>2]=b;f[g>>2]=0;f[g+4>>2]=0;Sga(d,e,g,4);u=c;return}function yp(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0;e=u;u=u+32|0;g=e+16|0;h=e;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=a;a=h+8|0;f[a>>2]=0;f[a+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=b;Yga(g,h,c,d);u=e;return}function zp(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+32|0;e=d+16|0;g=d;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=a;a=g+8|0;f[a>>2]=0;f[a+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=b;Yga(e,g,c,4);u=d;return}function Ap(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=u;u=u+48|0;d=c+24|0;e=c+8|0;g=c;f[d+8>>2]=0;f[d+12>>2]=0;f[d>>2]=16842752;f[d+4>>2]=a;a=e+8|0;f[a>>2]=0;f[a+4>>2]=0;f[e>>2]=33619968;f[e+4>>2]=b;f[g>>2]=0;f[g+4>>2]=0;Yga(d,e,g,4);u=c;return}function Bp(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0;d=u;u=u+48|0;e=d+32|0;g=d+16|0;h=d;i=e+8|0;f[i>>2]=0;f[i+4>>2]=0;f[e>>2]=50397184;f[e+4>>2]=a;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=b;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=c;mJ(e,g,h);u=d;return}function Cp(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0;d=u;u=u+48|0;e=d+32|0;g=d+16|0;h=d;i=e+8|0;f[i>>2]=0;f[i+4>>2]=0;f[e>>2]=50397184;f[e+4>>2]=a;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=b;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=c;lJ(e,g,h);u=d;return}function Dp(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0;i=u;u=u+32|0;j=i+16|0;k=i+8|0;l=i;m=j+8|0;f[m>>2]=0;f[m+4>>2]=0;f[j>>2]=50397184;f[j+4>>2]=a;f[k>>2]=f[b>>2];f[k+4>>2]=f[b+4>>2];f[l>>2]=f[c>>2];f[l+4>>2]=f[c+4>>2];Cma(j,k,l,d,e,g,h);u=i;return}function Ep(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0;h=u;u=u+32|0;i=h+16|0;j=h+8|0;k=h;l=i+8|0;f[l>>2]=0;f[l+4>>2]=0;f[i>>2]=50397184;f[i+4>>2]=a;f[j>>2]=f[b>>2];f[j+4>>2]=f[b+4>>2];f[k>>2]=f[c>>2];f[k+4>>2]=f[c+4>>2];Cma(i,j,k,d,e,g,0);u=h;return}function Fp(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0;g=u;u=u+32|0;h=g+16|0;i=g+8|0;j=g;k=h+8|0;f[k>>2]=0;f[k+4>>2]=0;f[h>>2]=50397184;f[h+4>>2]=a;f[i>>2]=f[b>>2];f[i+4>>2]=f[b+4>>2];f[j>>2]=f[c>>2];f[j+4>>2]=f[c+4>>2];Cma(h,i,j,d,e,8,0);u=g;return}function Gp(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0;e=u;u=u+32|0;g=e+16|0;h=e+8|0;i=e;j=g+8|0;f[j>>2]=0;f[j+4>>2]=0;f[g>>2]=50397184;f[g+4>>2]=a;f[h>>2]=f[b>>2];f[h+4>>2]=f[b+4>>2];f[i>>2]=f[c>>2];f[i+4>>2]=f[c+4>>2];Cma(g,h,i,d,1,8,0);u=e;return}function Hp(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0;h=u;u=u+32|0;i=h+16|0;j=h;k=i+8|0;f[k>>2]=0;f[k+4>>2]=0;f[i>>2]=50397184;f[i+4>>2]=a;f[j>>2]=f[b>>2];f[j+4>>2]=f[b+4>>2];f[j+8>>2]=f[b+8>>2];f[j+12>>2]=f[b+12>>2];Dma(i,j,c,d,e,g);u=h;return}function Ip(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0;g=u;u=u+32|0;h=g+16|0;i=g;j=h+8|0;f[j>>2]=0;f[j+4>>2]=0;f[h>>2]=50397184;f[h+4>>2]=a;f[i>>2]=f[b>>2];f[i+4>>2]=f[b+4>>2];f[i+8>>2]=f[b+8>>2];f[i+12>>2]=f[b+12>>2];Dma(h,i,c,d,e,0);u=g;return}function Jp(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0;e=u;u=u+32|0;g=e+16|0;h=e;i=g+8|0;f[i>>2]=0;f[i+4>>2]=0;f[g>>2]=50397184;f[g+4>>2]=a;f[h>>2]=f[b>>2];f[h+4>>2]=f[b+4>>2];f[h+8>>2]=f[b+8>>2];f[h+12>>2]=f[b+12>>2];Dma(g,h,c,d,8,0);u=e;return}function Kp(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+32|0;e=d+16|0;g=d;h=e+8|0;f[h>>2]=0;f[h+4>>2]=0;f[e>>2]=50397184;f[e+4>>2]=a;f[g>>2]=f[b>>2];f[g+4>>2]=f[b+4>>2];f[g+8>>2]=f[b+8>>2];f[g+12>>2]=f[b+12>>2];Dma(e,g,c,1,8,0);u=d;return}function Lp(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0;g=u;u=u+32|0;h=g+16|0;i=g;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=a;a=i+8|0;f[a>>2]=0;f[a+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=b;bO(h,i,c,d,e);u=g;return}function Mp(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0;e=u;u=u+32|0;g=e+16|0;h=e;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=a;a=h+8|0;f[a>>2]=0;f[a+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=b;bO(g,h,c,d,-1);u=e;return}function Np(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0;i=u;u=u+64|0;j=i+48|0;k=i+32|0;l=i+16|0;m=i;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=a;a=k+8|0;f[a>>2]=0;f[a+4>>2]=0;f[k>>2]=33619968;f[k+4>>2]=b;f[l+8>>2]=0;f[l+12>>2]=0;f[l>>2]=16842752;f[l+4>>2]=c;f[m+8>>2]=0;f[m+12>>2]=0;f[m>>2]=16842752;f[m+4>>2]=d;l1(j,k,l,m,e,g,h);u=i;return}function Op(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0;h=u;u=u+96|0;i=h+80|0;j=h+64|0;k=h+48|0;l=h+32|0;m=h;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=a;a=j+8|0;f[a>>2]=0;f[a+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=b;f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=16842752;f[k+4>>2]=c;f[l+8>>2]=0;f[l+12>>2]=0;f[l>>2]=16842752;f[l+4>>2]=d;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;f[m+16>>2]=0;f[m+20>>2]=0;f[m+24>>2]=0;f[m+28>>2]=0;l1(i,j,k,l,e,g,m);u=h;return}function Pp(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0;g=u;u=u+96|0;h=g+80|0;i=g+64|0;j=g+48|0;k=g+32|0;l=g;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=a;a=i+8|0;f[a>>2]=0;f[a+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=b;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=c;f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=16842752;f[k+4>>2]=d;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;f[l+16>>2]=0;f[l+20>>2]=0;f[l+24>>2]=0;f[l+28>>2]=0;l1(h,i,j,k,e,0,l);u=g;return}function Qp(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0;e=u;u=u+32|0;g=e+16|0;h=e;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=a;a=h+8|0;f[a>>2]=0;f[a+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=d;KI(g,b,c,h);u=e;return}function Rp(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=+d;e=+e;g=g|0;var h=0,i=0,j=0,k=0;h=u;u=u+48|0;i=h+24|0;j=h+8|0;k=h;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=a;a=j+8|0;f[a>>2]=0;f[a+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=b;f[k>>2]=f[c>>2];f[k+4>>2]=f[c+4>>2];Tea(i,j,k,d,e,g);u=h;return}function Sp(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=+d;e=+e;var g=0,h=0,i=0,j=0;g=u;u=u+48|0;h=g+24|0;i=g+8|0;j=g;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=a;a=i+8|0;f[a>>2]=0;f[a+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=b;f[j>>2]=f[c>>2];f[j+4>>2]=f[c+4>>2];Tea(h,i,j,d,e,1);u=g;return}function Tp(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;var e=0,g=0,h=0,i=0;e=u;u=u+48|0;g=e+24|0;h=e+8|0;i=e;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=a;a=h+8|0;f[a>>2]=0;f[a+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=b;f[i>>2]=f[c>>2];f[i+4>>2]=f[c+4>>2];Tea(g,h,i,d,0.0,1);u=e;return}function Up(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+48|0;e=d+24|0;g=d+8|0;h=d;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=a;a=g+8|0;f[a>>2]=0;f[a+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=b;f[h>>2]=f[c>>2];f[h+4>>2]=f[c+4>>2];Tea(e,g,h,0.0,0.0,1);u=d;return}function Vp(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=+h;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0;j=u;u=u+80|0;k=j+56|0;l=j+40|0;m=j+24|0;n=j+8|0;o=j;f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=16842752;f[k+4>>2]=a;a=l+8|0;f[a>>2]=0;f[a+4>>2]=0;f[l>>2]=33619968;f[l+4>>2]=b;f[m+8>>2]=0;f[m+12>>2]=0;f[m>>2]=16842752;f[m+4>>2]=d;f[n+8>>2]=0;f[n+12>>2]=0;f[n>>2]=16842752;f[n+4>>2]=e;f[o>>2]=f[g>>2];f[o+4>>2]=f[g+4>>2];taa(k,l,c,m,n,o,h,i);u=j;return}function Wp(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=+h;var i=0,j=0,k=0,l=0,m=0,n=0;i=u;u=u+80|0;j=i+56|0;k=i+40|0;l=i+24|0;m=i+8|0;n=i;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=a;a=k+8|0;f[a>>2]=0;f[a+4>>2]=0;f[k>>2]=33619968;f[k+4>>2]=b;f[l+8>>2]=0;f[l+12>>2]=0;f[l>>2]=16842752;f[l+4>>2]=d;f[m+8>>2]=0;f[m+12>>2]=0;f[m>>2]=16842752;f[m+4>>2]=e;f[n>>2]=f[g>>2];f[n+4>>2]=f[g+4>>2];taa(j,k,c,l,m,n,h,4);u=i;return}function Xp(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0;h=u;u=u+80|0;i=h+56|0;j=h+40|0;k=h+24|0;l=h+8|0;m=h;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=a;a=j+8|0;f[a>>2]=0;f[a+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=b;f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=16842752;f[k+4>>2]=d;f[l+8>>2]=0;f[l+12>>2]=0;f[l>>2]=16842752;f[l+4>>2]=e;f[m>>2]=f[g>>2];f[m+4>>2]=f[g+4>>2];taa(i,j,c,k,l,m,0.0,4);u=h;return}function Yp(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0;g=u;u=u+80|0;h=g+56|0;i=g+40|0;j=g+24|0;k=g+8|0;l=g;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=a;a=i+8|0;f[a>>2]=0;f[a+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=b;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=d;f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=16842752;f[k+4>>2]=e;f[l>>2]=-1;f[l+4>>2]=-1;taa(h,i,c,j,k,l,0.0,4);u=g;return}function Zp(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=u;u=u+16|0;d=c;e=d+8|0;f[e>>2]=0;f[e+4>>2]=0;f[d>>2]=50397184;f[d+4>>2]=a;FN(d,b);u=c;return}function _p(a){a=a|0;var b=0,c=0,d=0,e=0;b=u;u=u+48|0;c=b+32|0;d=b;e=c+8|0;f[e>>2]=0;f[e+4>>2]=0;f[c>>2]=50397184;f[c+4>>2]=a;p[d>>3]=1.0;a=d+8|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;f[a+16>>2]=0;f[a+20>>2]=0;FN(c,d);u=b;return}function $p(a){a=a|0;kJ(a);return}function aq(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0;e=u;u=u+48|0;g=e+32|0;h=e+16|0;i=e;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=a;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=b;b=i+8|0;f[b>>2]=0;f[b+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=c;c=QD(g,h,i,d)|0;u=e;return c|0}function bq(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+48|0;e=d+32|0;g=d+16|0;h=d;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=a;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=b;b=h+8|0;f[b>>2]=0;f[b+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=c;c=QD(e,g,h,0)|0;u=d;return c|0}function cq(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0.0;d=u;u=u+32|0;e=d+16|0;g=d;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=a;a=g+8|0;f[a>>2]=0;f[a+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=b;h=+yD(e,g,c);u=d;return +h}function dq(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0.0;c=u;u=u+32|0;d=c+16|0;e=c;f[d+8>>2]=0;f[d+12>>2]=0;f[d>>2]=16842752;f[d+4>>2]=a;a=e+8|0;f[a>>2]=0;f[a+4>>2]=0;f[e>>2]=33619968;f[e+4>>2]=b;g=+yD(d,e,300);u=c;return +g}function eq(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=u;u=u+32|0;d=c+16|0;e=c;f[d+8>>2]=0;f[d+12>>2]=0;f[d>>2]=16842752;f[d+4>>2]=a;a=e+8|0;f[a>>2]=0;f[a+4>>2]=0;f[e>>2]=33882112;f[e+4>>2]=b;rQ(d,e);u=c;return}function fq(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=u;u=u+32|0;d=c+16|0;e=c;f[d+8>>2]=0;f[d+12>>2]=0;f[d>>2]=16842752;f[d+4>>2]=a;a=e+8|0;f[a>>2]=0;f[a+4>>2]=0;f[e>>2]=33619968;f[e+4>>2]=b;tD(d,e);u=c;return}function gq(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0;g=u;u=u+64|0;h=g+48|0;i=g+32|0;j=g+16|0;k=g;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=a;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=b;b=j+8|0;f[b>>2]=0;f[b+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=c;f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=16842752;f[k+4>>2]=d;HW(h,i,j,k,e);u=g;return}function hq(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0;e=u;u=u+64|0;g=e+48|0;h=e+32|0;i=e+16|0;j=e;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=a;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=b;b=i+8|0;f[b>>2]=0;f[b+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=c;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=d;HW(g,h,i,j,-1);u=e;return}function iq(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+48|0;e=d+32|0;g=d+16|0;h=d;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=a;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=b;b=h+8|0;f[b>>2]=0;f[b+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=c;HW(e,g,h,sK()|0,-1);u=d;return}function jq(a,b,c,d,e){a=a|0;b=b|0;c=+c;d=+d;e=e|0;var g=0,h=0,i=0,j=0.0;g=u;u=u+32|0;h=g+16|0;i=g;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=a;a=i+8|0;f[a>>2]=0;f[a+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=b;j=+Vea(h,i,c,d,e);u=g;return +j}function kq(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[d+8>>2]=0;f[d+12>>2]=0;f[d>>2]=16842752;f[d+4>>2]=b;GN(a,d);u=c;return}function lq(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+48|0;e=d+32|0;g=d+16|0;h=d;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=a;a=g+8|0;f[a>>2]=0;f[a+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=b;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=c;IQ(e,g,h);u=d;return}function mq(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=u;u=u+32|0;d=c+16|0;e=c;f[d+8>>2]=0;f[d+12>>2]=0;f[d>>2]=16842752;f[d+4>>2]=a;a=e+8|0;f[a>>2]=0;f[a+4>>2]=0;f[e>>2]=33619968;f[e+4>>2]=b;HN(d,e);u=c;return}function nq(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0;g=u;u=u+80|0;h=g+64|0;i=g+48|0;j=g+32|0;k=g+16|0;l=g;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=a;a=i+8|0;f[a>>2]=0;f[a+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=b;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=c;f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=16842752;f[k+4>>2]=d;f[l+8>>2]=0;f[l+12>>2]=0;f[l>>2]=16842752;f[l+4>>2]=e;qga(h,i,j,k,l);u=g;return}function oq(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0;e=u;u=u+64|0;g=e+48|0;h=e+32|0;i=e+16|0;j=e;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=a;a=h+8|0;f[a>>2]=0;f[a+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=b;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=c;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=d;qga(g,h,i,j,sK()|0);u=e;return}function pq(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=u;u=u+32|0;d=c+16|0;e=c;f[d+8>>2]=0;f[d+12>>2]=0;f[d>>2]=17104896;f[d+4>>2]=a;a=e+8|0;f[a>>2]=0;f[a+4>>2]=0;f[e>>2]=33619968;f[e+4>>2]=b;EN(d,e);u=c;return}function qq(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0;i=u;u=u+64|0;j=i+40|0;k=i+24|0;l=i+8|0;m=i;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=a;a=k+8|0;f[a>>2]=0;f[a+4>>2]=0;f[k>>2]=33619968;f[k+4>>2]=b;f[l+8>>2]=0;f[l+12>>2]=0;f[l>>2]=16842752;f[l+4>>2]=c;f[m>>2]=f[d>>2];f[m+4>>2]=f[d+4>>2];P1(j,k,l,m,e,g,h);u=i;return}function rq(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0;h=u;u=u+96|0;i=h+72|0;j=h+56|0;k=h+40|0;l=h+32|0;m=h;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=a;a=j+8|0;f[a>>2]=0;f[a+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=b;f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=16842752;f[k+4>>2]=c;f[l>>2]=f[d>>2];f[l+4>>2]=f[d+4>>2];f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;f[m+16>>2]=0;f[m+20>>2]=0;f[m+24>>2]=0;f[m+28>>2]=0;P1(i,j,k,l,e,g,m);u=h;return}function sq(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0;g=u;u=u+96|0;h=g+72|0;i=g+56|0;j=g+40|0;k=g+32|0;l=g;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=a;a=i+8|0;f[a>>2]=0;f[a+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=b;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=c;f[k>>2]=f[d>>2];f[k+4>>2]=f[d+4>>2];f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;f[l+16>>2]=0;f[l+20>>2]=0;f[l+24>>2]=0;f[l+28>>2]=0;P1(h,i,j,k,e,0,l);u=g;return}function tq(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0;e=u;u=u+96|0;g=e+72|0;h=e+56|0;i=e+40|0;j=e+32|0;k=e;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=a;a=h+8|0;f[a>>2]=0;f[a+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=b;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=c;f[j>>2]=f[d>>2];f[j+4>>2]=f[d+4>>2];f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;f[k+16>>2]=0;f[k+20>>2]=0;f[k+24>>2]=0;f[k+28>>2]=0;P1(g,h,i,j,1,0,k);u=e;return}function uq(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0;i=u;u=u+64|0;j=i+40|0;k=i+24|0;l=i+8|0;m=i;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=a;a=k+8|0;f[a>>2]=0;f[a+4>>2]=0;f[k>>2]=33619968;f[k+4>>2]=b;f[l+8>>2]=0;f[l+12>>2]=0;f[l>>2]=16842752;f[l+4>>2]=c;f[m>>2]=f[d>>2];f[m+4>>2]=f[d+4>>2];V1(j,k,l,m,e,g,h);u=i;return}function vq(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0;h=u;u=u+96|0;i=h+72|0;j=h+56|0;k=h+40|0;l=h+32|0;m=h;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=a;a=j+8|0;f[a>>2]=0;f[a+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=b;f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=16842752;f[k+4>>2]=c;f[l>>2]=f[d>>2];f[l+4>>2]=f[d+4>>2];f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;f[m+16>>2]=0;f[m+20>>2]=0;f[m+24>>2]=0;f[m+28>>2]=0;V1(i,j,k,l,e,g,m);u=h;return}function wq(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0;g=u;u=u+96|0;h=g+72|0;i=g+56|0;j=g+40|0;k=g+32|0;l=g;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=a;a=i+8|0;f[a>>2]=0;f[a+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=b;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=c;f[k>>2]=f[d>>2];f[k+4>>2]=f[d+4>>2];f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;f[l+16>>2]=0;f[l+20>>2]=0;f[l+24>>2]=0;f[l+28>>2]=0;V1(h,i,j,k,e,0,l);u=g;return}function xq(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0;e=u;u=u+96|0;g=e+72|0;h=e+56|0;i=e+40|0;j=e+32|0;k=e;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=a;a=h+8|0;f[a>>2]=0;f[a+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=b;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=c;f[j>>2]=f[d>>2];f[j+4>>2]=f[d+4>>2];f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;f[k+16>>2]=0;f[k+20>>2]=0;f[k+24>>2]=0;f[k+28>>2]=0;V1(g,h,i,j,1,0,k);u=e;return}function yq(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=u;u=u+32|0;d=c+16|0;e=c;f[d+8>>2]=0;f[d+12>>2]=0;f[d>>2]=16842752;f[d+4>>2]=a;a=e+8|0;f[a>>2]=0;f[a+4>>2]=0;f[e>>2]=50397184;f[e+4>>2]=b;wpa(d,e);u=c;return}function zq(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=+c;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0;j=u;u=u+16|0;k=j;f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=16842752;f[k+4>>2]=b;NKa(a,k,c,d,e,g,h,i);u=j;return}function Aq(a,b,c,d,e,g,h){a=a|0;b=b|0;c=+c;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0;i=u;u=u+16|0;j=i;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=b;NKa(a,j,c,d,e,g,h,5);u=i;return}function Bq(a,b,c,d,e,g){a=a|0;b=b|0;c=+c;d=d|0;e=e|0;g=g|0;var h=0,i=0;h=u;u=u+16|0;i=h;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=b;NKa(a,i,c,d,e,g,0,5);u=h;return}function Cq(a,b,c,d,e){a=a|0;b=b|0;c=+c;d=d|0;e=e|0;var g=0,h=0;g=u;u=u+16|0;h=g;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=b;NKa(a,h,c,d,e,0,0,5);u=g;return}function Dq(a,b,c,d){a=a|0;b=b|0;c=+c;d=d|0;var e=0,g=0,h=0;e=u;u=u+48|0;g=e+32|0;h=e;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=b;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;f[h+16>>2]=0;f[h+20>>2]=0;f[h+24>>2]=0;f[h+28>>2]=0;NKa(a,g,c,d,h,0,0,5);u=e;return}function Eq(a,b,c){a=a|0;b=b|0;c=+c;var d=0,e=0,g=0,h=0;d=u;u=u+64|0;e=d+40|0;g=d+32|0;h=d;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=b;f[g>>2]=0;f[g+4>>2]=0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;f[h+16>>2]=0;f[h+20>>2]=0;f[h+24>>2]=0;f[h+28>>2]=0;NKa(a,e,c,g,h,0,0,5);u=d;return}function Fq(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=u;u=u+64|0;d=c+40|0;e=c+32|0;g=c;f[d+8>>2]=0;f[d+12>>2]=0;f[d>>2]=16842752;f[d+4>>2]=b;f[e>>2]=0;f[e+4>>2]=0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;f[g+16>>2]=0;f[g+20>>2]=0;f[g+24>>2]=0;f[g+28>>2]=0;NKa(a,d,1.0,e,g,0,0,5);u=c;return}function Gq(a,b,c){a=a|0;b=b|0;c=c|0;ZDa(a,b,c);return}function Hq(a,c){a=a|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;ZDa(a,c,e);if((b[e+11>>0]|0)>=0){u=d;return}fuc(f[e>>2]|0);u=d;return}function Iq(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;d=u;u=u+32|0;e=d+20|0;g=d+4|0;h=d+8|0;i=d;j=f[b>>2]|0;f[g>>2]=j;Ld(j|0);Jq(e,g);j=f[c>>2]|0;f[i>>2]=j;Ld(j|0);Jq(h,i);GEa(a,e,h);a=f[h>>2]|0;if(a|0){j=h+4|0;if((f[j>>2]|0)!=(a|0))f[j>>2]=a;fuc(a)}_d(f[i>>2]|0);i=f[e>>2]|0;if(!i){k=f[g>>2]|0;_d(k|0);u=d;return}a=e+4|0;if((f[a>>2]|0)!=(i|0))f[a>>2]=i;fuc(i);k=f[g>>2]|0;_d(k|0);u=d;return}function Jq(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0.0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;d=u;u=u+16|0;e=d;g=f[c>>2]|0;h=If(186668)|0;i=ld(g|0,h|0)|0;_d(h|0);j=+Pd(i|0,27056,e|0);ge(f[e>>2]|0);h=~~j>>>0;_d(i|0);f[a>>2]=0;i=a+4|0;f[i>>2]=0;f[a+8>>2]=0;if(!h){u=d;return}g=a+8|0;k=0;while(1){l=f[c>>2]|0;f[e>>2]=k;m=Ae(27056,e|0)|0;n=ld(l|0,m|0)|0;_d(m|0);j=+Pd(n|0,27016,e|0);ge(f[e>>2]|0);m=~~j&255;l=f[i>>2]|0;o=f[g>>2]|0;p=o;if(l>>>0>=o>>>0){o=f[a>>2]|0;q=l-o|0;r=q+1|0;s=o;if((r|0)<0){t=7;break}v=p-o|0;p=v<<1;w=v>>>0<1073741823?(p>>>0<r>>>0?r:p):2147483647;if(!w)x=0;else x=cuc(w)|0;p=x+q|0;b[p>>0]=m;r=p+(0-q)|0;if((q|0)>0)szc(r|0,s|0,q|0)|0;f[a>>2]=r;f[i>>2]=p+1;f[g>>2]=x+w;if(o|0)fuc(s)}else{b[l>>0]=m;f[i>>2]=(f[i>>2]|0)+1}_d(n|0);k=k+1|0;if(k>>>0>=h>>>0){t=3;break}}if((t|0)==3){u=d;return}else if((t|0)==7)nsc(a)}function Kq(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0;c=u;u=u+32|0;d=c+16|0;e=c;g=c+4|0;h=f[b>>2]|0;f[e>>2]=h;Ld(h|0);Jq(d,e);f[g>>2]=0;h=g+4|0;f[h>>2]=0;f[g+8>>2]=0;GEa(a,d,g);a=f[g>>2]|0;if(a|0){if((f[h>>2]|0)!=(a|0))f[h>>2]=a;fuc(a)}a=f[d>>2]|0;if(!a){i=f[e>>2]|0;_d(i|0);u=c;return}h=d+4|0;if((f[h>>2]|0)!=(a|0))f[h>>2]=a;fuc(a);i=f[e>>2]|0;_d(i|0);u=c;return}function Lq(a,b,c){a=a|0;b=b|0;c=c|0;$Ja(a,b,c);return}function Mq(a,c){a=a|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;$Ja(a,c,e);if((b[e+11>>0]|0)>=0){u=d;return}fuc(f[e>>2]|0);u=d;return}function Nq(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;d=u;u=u+32|0;e=d+20|0;g=d+4|0;h=d+8|0;i=d;j=f[b>>2]|0;f[g>>2]=j;Ld(j|0);Jq(e,g);j=f[c>>2]|0;f[i>>2]=j;Ld(j|0);Jq(h,i);oKa(a,e,h);a=f[h>>2]|0;if(a|0){j=h+4|0;if((f[j>>2]|0)!=(a|0))f[j>>2]=a;fuc(a)}_d(f[i>>2]|0);i=f[e>>2]|0;if(!i){k=f[g>>2]|0;_d(k|0);u=d;return}a=e+4|0;if((f[a>>2]|0)!=(i|0))f[a>>2]=i;fuc(i);k=f[g>>2]|0;_d(k|0);u=d;return}function Oq(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0;c=u;u=u+32|0;d=c+16|0;e=c;g=c+4|0;h=f[b>>2]|0;f[e>>2]=h;Ld(h|0);Jq(d,e);f[g>>2]=0;h=g+4|0;f[h>>2]=0;f[g+8>>2]=0;oKa(a,d,g);a=f[g>>2]|0;if(a|0){if((f[h>>2]|0)!=(a|0))f[h>>2]=a;fuc(a)}a=f[d>>2]|0;if(!a){i=f[e>>2]|0;_d(i|0);u=c;return}h=d+4|0;if((f[h>>2]|0)!=(a|0))f[h>>2]=a;fuc(a);i=f[e>>2]|0;_d(i|0);u=c;return}function Pq(a,b,c){a=a|0;b=b|0;c=c|0;IFa(a,b,c);return}function Qq(a,c){a=a|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;IFa(a,c,e);if((b[e+11>>0]|0)>=0){u=d;return}fuc(f[e>>2]|0);u=d;return}function Rq(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;d=u;u=u+32|0;e=d+20|0;g=d+4|0;h=d+8|0;i=d;j=f[b>>2]|0;f[g>>2]=j;Ld(j|0);Jq(e,g);j=f[c>>2]|0;f[i>>2]=j;Ld(j|0);Jq(h,i);UGa(a,e,h);a=f[h>>2]|0;if(a|0){j=h+4|0;if((f[j>>2]|0)!=(a|0))f[j>>2]=a;fuc(a)}_d(f[i>>2]|0);i=f[e>>2]|0;if(!i){k=f[g>>2]|0;_d(k|0);u=d;return}a=e+4|0;if((f[a>>2]|0)!=(i|0))f[a>>2]=i;fuc(i);k=f[g>>2]|0;_d(k|0);u=d;return}function Sq(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0;c=u;u=u+32|0;d=c+16|0;e=c;g=c+4|0;h=f[b>>2]|0;f[e>>2]=h;Ld(h|0);Jq(d,e);f[g>>2]=0;h=g+4|0;f[h>>2]=0;f[g+8>>2]=0;UGa(a,d,g);a=f[g>>2]|0;if(a|0){if((f[h>>2]|0)!=(a|0))f[h>>2]=a;fuc(a)}a=f[d>>2]|0;if(!a){i=f[e>>2]|0;_d(i|0);u=c;return}h=d+4|0;if((f[h>>2]|0)!=(a|0))f[h>>2]=a;fuc(a);i=f[e>>2]|0;_d(i|0);u=c;return}function Tq(a,b,c){a=a|0;b=b|0;c=c|0;mJa(a,b,c);return}function Uq(a,b){a=a|0;b=b|0;mJa(a,b,1);return}function Vq(a,b,c){a=a|0;b=b|0;c=c|0;return li[f[(f[a>>2]|0)+20>>2]&511](a,b,c)|0}function Wq(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+16|0;e=d;g=f[(f[a>>2]|0)+20>>2]|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;h=li[g&511](a,c,e)|0;if((b[e+11>>0]|0)>=0){u=d;return h|0}fuc(f[e>>2]|0);u=d;return h|0}function Xq(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=u;u=u+16|0;d=c;e=f[(f[a>>2]|0)+8>>2]|0;f[d+8>>2]=0;f[d+12>>2]=0;f[d>>2]=16842752;f[d+4>>2]=b;yh[e&2047](a,d);u=c;return}function Yq(a,b,c,d,e,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;i=+i;j=+j;k=k|0;var l=0,m=0,n=0,o=0,p=0;l=u;u=u+32|0;m=l+16|0;n=l+8|0;o=l;p=f[(f[a>>2]|0)+44>>2]|0;f[m+8>>2]=0;f[m+12>>2]=0;f[m>>2]=16842752;f[m+4>>2]=b;f[n>>2]=f[g>>2];f[n+4>>2]=f[g+4>>2];f[o>>2]=f[h>>2];f[o+4>>2]=f[h+4>>2];sg[p&3](a,m,c,d,e,n,o,i,j,k);u=l;return}function Zq(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;i=+i;j=+j;var k=0,l=0,m=0,n=0,o=0;k=u;u=u+32|0;l=k+16|0;m=k+8|0;n=k;o=f[(f[a>>2]|0)+44>>2]|0;f[l+8>>2]=0;f[l+12>>2]=0;f[l>>2]=16842752;f[l+4>>2]=b;f[m>>2]=f[g>>2];f[m+4>>2]=f[g+4>>2];f[n>>2]=f[h>>2];f[n+4>>2]=f[h+4>>2];sg[o&3](a,l,c,d,e,m,n,i,j,0);u=k;return}function _q(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;i=+i;var j=0,k=0,l=0,m=0,n=0;j=u;u=u+32|0;k=j+16|0;l=j+8|0;m=j;n=f[(f[a>>2]|0)+44>>2]|0;f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=16842752;f[k+4>>2]=b;f[l>>2]=f[g>>2];f[l+4>>2]=f[g+4>>2];f[m>>2]=f[h>>2];f[m+4>>2]=f[h+4>>2];sg[n&3](a,k,c,d,e,l,m,i,2.0,0);u=j;return}function $q(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0;i=u;u=u+32|0;j=i+16|0;k=i+8|0;l=i;m=f[(f[a>>2]|0)+44>>2]|0;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=b;f[k>>2]=f[g>>2];f[k+4>>2]=f[g+4>>2];f[l>>2]=f[h>>2];f[l+4>>2]=f[h+4>>2];sg[m&3](a,j,c,d,e,k,l,1.05,2.0,0);u=i;return}function ar(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;g=g|0;var h=0,i=0,j=0,k=0,l=0;h=u;u=u+32|0;i=h+16|0;j=h+8|0;k=h;l=f[(f[a>>2]|0)+44>>2]|0;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=b;f[j>>2]=f[g>>2];f[j+4>>2]=f[g+4>>2];f[k>>2]=0;f[k+4>>2]=0;sg[l&3](a,i,c,d,e,j,k,1.05,2.0,0);u=h;return}function br(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;var g=0,h=0,i=0,j=0,k=0;g=u;u=u+32|0;h=g+16|0;i=g+8|0;j=g;k=f[(f[a>>2]|0)+44>>2]|0;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=b;f[i>>2]=0;f[i+4>>2]=0;f[j>>2]=0;f[j+4>>2]=0;sg[k&3](a,h,c,d,e,i,j,1.05,2.0,0);u=g;return}function cr(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0;e=u;u=u+32|0;g=e+16|0;h=e+8|0;i=e;j=f[(f[a>>2]|0)+44>>2]|0;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=b;f[h>>2]=0;f[h+4>>2]=0;f[i>>2]=0;f[i+4>>2]=0;sg[j&3](a,g,c,d,0.0,h,i,1.05,2.0,0);u=e;return}function dr(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;var e=0,g=0,h=0,i=0;e=u;u=u+32|0;g=e+16|0;h=e;i=f[(f[a>>2]|0)+32>>2]|0;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=b;b=h+8|0;f[b>>2]=0;f[b+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=c;nh[i&63](a,g,h,d);u=e;return}function er(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+32|0;e=d+16|0;g=d;h=f[(f[a>>2]|0)+32>>2]|0;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=b;b=g+8|0;f[b>>2]=0;f[b+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=c;nh[h&63](a,e,g,-1.0);u=d;return}function fr(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=u;u=u+16|0;d=c;e=f[(f[a>>2]|0)+36>>2]|0;g=d+8|0;f[g>>2]=0;f[g+4>>2]=0;f[d>>2]=33619968;f[d+4>>2]=b;yh[e&2047](a,d);u=c;return}function gr(a,b,c,d){a=a|0;b=b|0;c=+c;d=d|0;$Ca(a,b,c,d);return}function hr(a,b,c){a=a|0;b=b|0;c=+c;$Ca(a,b,c,1);return}function ir(a,b){a=a|0;b=b|0;$Ca(a,b,16.0,1);return}function jr(a){a=a|0;$Ca(a,500,16.0,1);return}function kr(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;var e=0,g=0,h=0,i=0;e=u;u=u+32|0;g=e+16|0;h=e;i=f[(f[a>>2]|0)+32>>2]|0;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=b;b=h+8|0;f[b>>2]=0;f[b+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=c;nh[i&63](a,g,h,d);u=e;return}function lr(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+32|0;e=d+16|0;g=d;h=f[(f[a>>2]|0)+32>>2]|0;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=b;b=g+8|0;f[b>>2]=0;f[b+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=c;nh[h&63](a,e,g,-1.0);u=d;return}function mr(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=u;u=u+16|0;d=c;e=f[(f[a>>2]|0)+44>>2]|0;f[d>>2]=f[b>>2];f[d+4>>2]=f[b+4>>2];yh[e&2047](a,d);u=c;return}function nr(a,b,c){a=a|0;b=+b;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;f[e>>2]=f[c>>2];f[e+4>>2]=f[c+4>>2];fha(a,b,e);u=d;return}function or(a,b){a=a|0;b=+b;var c=0,d=0;c=u;u=u+16|0;d=c;f[d>>2]=8;f[d+4>>2]=8;fha(a,b,d);u=c;return}function pr(a){a=a|0;var b=0,c=0;b=u;u=u+16|0;c=b;f[c>>2]=8;f[c+4>>2]=8;fha(a,40.0,c);u=b;return}function qr(a,b){a=a|0;b=+b;vh[f[(f[a>>2]|0)+36>>2]&15](a,b);return}function rr(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+32|0;e=d+16|0;g=d;h=f[(f[a>>2]|0)+32>>2]|0;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=b;b=g+8|0;f[b>>2]=0;f[b+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=c;Zh[h&511](a,e,g);u=d;return}function sr(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;var g=0,h=0;g=u;u=u+16|0;h=g;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=b;TMa(a,h,c,d,e);u=g;return}function tr(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;var e=0,g=0,h=0;e=u;u=u+48|0;g=e+32|0;h=e;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=b;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;f[h+16>>2]=0;f[h+20>>2]=0;f[h+24>>2]=0;f[h+28>>2]=0;TMa(a,g,c,d,h);u=e;return}function ur(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+48|0;e=d+32|0;g=d;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=b;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;f[g+16>>2]=0;f[g+20>>2]=0;f[g+24>>2]=0;f[g+28>>2]=0;TMa(a,e,c,1.0,g);u=d;return}function vr(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+64|0;e=d+48|0;g=d+32|0;h=d;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=c;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;f[h+16>>2]=0;f[h+20>>2]=0;f[h+24>>2]=0;f[h+28>>2]=0;TMa(a,e,g,1.0,h);if((b[g+11>>0]|0)>=0){u=d;return}fuc(f[g>>2]|0);u=d;return}function wr(a,b,c){a=a|0;b=b|0;c=c|0;HLa(a,b,c);return}function xr(a,c){a=a|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;HLa(a,c,e);if((b[e+11>>0]|0)>=0){u=d;return}fuc(f[e>>2]|0);u=d;return}function yr(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+16|0;e=d;g=e+8|0;f[g>>2]=0;f[g+4>>2]=0;f[e>>2]=33882112;f[e+4>>2]=b;PMa(a,e,c);u=d;return}function zr(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+32|0;e=d+16|0;g=d;h=e+8|0;f[h>>2]=0;f[h+4>>2]=0;f[e>>2]=33882112;f[e+4>>2]=c;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;PMa(a,e,g);if((b[g+11>>0]|0)>=0){u=d;return}fuc(f[g>>2]|0);u=d;return}function Ar(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;e=u;u=u+32|0;g=e+16|0;h=e+4|0;i=e;j=g+8|0;f[j>>2]=0;f[j+4>>2]=0;f[g>>2]=33882112;f[g+4>>2]=c;c=f[d>>2]|0;f[i>>2]=c;Ld(c|0);Br(h,i);QMa(a,g,h);g=f[h>>2]|0;if(!g){k=f[i>>2]|0;_d(k|0);u=e;return}a=h+4|0;c=f[a>>2]|0;if((c|0)==(g|0))l=g;else{d=c;while(1){c=d+-12|0;f[a>>2]=c;if((b[c+11>>0]|0)<0){fuc(f[c>>2]|0);m=f[a>>2]|0}else m=c;if((m|0)==(g|0))break;else d=m}l=f[h>>2]|0}fuc(l);k=f[i>>2]|0;_d(k|0);u=e;return}function Br(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0.0,m=0,n=0,o=0,p=0,q=0;d=u;u=u+32|0;e=d;g=d+12|0;h=d+8|0;i=f[c>>2]|0;j=If(186668)|0;k=ld(i|0,j|0)|0;_d(j|0);l=+Pd(k|0,27056,e|0);ge(f[e>>2]|0);j=~~l>>>0;_d(k|0);f[a>>2]=0;k=a+4|0;f[k>>2]=0;f[a+8>>2]=0;if(!j){u=d;return}i=a+8|0;m=g+11|0;n=0;do{o=f[c>>2]|0;f[e>>2]=n;p=Ae(27056,e|0)|0;q=ld(o|0,p|0)|0;f[h>>2]=q;_d(p|0);Cw(g,h);p=f[k>>2]|0;if(p>>>0>=(f[i>>2]|0)>>>0){Dw(a,g);if((b[m>>0]|0)<0)fuc(f[g>>2]|0)}else{f[p>>2]=f[g>>2];f[p+4>>2]=f[g+4>>2];f[p+8>>2]=f[g+8>>2];f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[k>>2]=(f[k>>2]|0)+12}_d(f[h>>2]|0);n=n+1|0}while(n>>>0<j>>>0);u=d;return}function Cr(a,b){a=a|0;b=b|0;return MAa(a,b)|0}function Dr(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0;k=u;u=u+32|0;l=k+16|0;m=k+8|0;n=k;f[l+8>>2]=0;f[l+12>>2]=0;f[l>>2]=16842752;f[l+4>>2]=b;f[m>>2]=f[i>>2];f[m+4>>2]=f[i+4>>2];f[n>>2]=f[j>>2];f[n+4>>2]=f[j+4>>2];VAa(a,l,c,d,e,g,h,m,n);u=k;return}function Er(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0;j=u;u=u+32|0;k=j+16|0;l=j+8|0;m=j;f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=16842752;f[k+4>>2]=b;f[l>>2]=f[i>>2];f[l+4>>2]=f[i+4>>2];f[m>>2]=0;f[m+4>>2]=0;VAa(a,k,c,d,e,g,h,l,m);u=j;return}function Fr(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;var i=0,j=0,k=0,l=0;i=u;u=u+32|0;j=i+16|0;k=i+8|0;l=i;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=b;f[k>>2]=0;f[k+4>>2]=0;f[l>>2]=0;f[l+4>>2]=0;VAa(a,j,c,d,e,g,h,k,l);u=i;return}function Gr(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;g=g|0;var h=0,i=0,j=0,k=0;h=u;u=u+32|0;i=h+16|0;j=h+8|0;k=h;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=b;f[j>>2]=0;f[j+4>>2]=0;f[k>>2]=0;f[k+4>>2]=0;VAa(a,i,c,d,e,g,0,j,k);u=h;return}function Hr(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;var g=0,h=0,i=0,j=0;g=u;u=u+32|0;h=g+16|0;i=g+8|0;j=g;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=b;f[i>>2]=0;f[i+4>>2]=0;f[j>>2]=0;f[j+4>>2]=0;VAa(a,h,c,d,e,3,0,i,j);u=g;return}function Ir(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0;e=u;u=u+32|0;g=e+16|0;h=e+8|0;i=e;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=b;f[h>>2]=0;f[h+4>>2]=0;f[i>>2]=0;f[i+4>>2]=0;VAa(a,g,c,d,1.1,3,0,h,i);u=e;return}function Jr(a,b,c,d,e,g,h,i,j,k,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=+g;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0;m=u;u=u+32|0;n=m+16|0;o=m+8|0;p=m;f[n+8>>2]=0;f[n+12>>2]=0;f[n>>2]=16842752;f[n+4>>2]=b;f[o>>2]=f[j>>2];f[o+4>>2]=f[j+4>>2];f[p>>2]=f[k>>2];f[p+4>>2]=f[k+4>>2];WAa(a,n,c,d,e,g,h,i,o,p,l);u=m;return}function Kr(a,b,c,d,e,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=+g;h=h|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0;l=u;u=u+32|0;m=l+16|0;n=l+8|0;o=l;f[m+8>>2]=0;f[m+12>>2]=0;f[m>>2]=16842752;f[m+4>>2]=b;f[n>>2]=f[j>>2];f[n+4>>2]=f[j+4>>2];f[o>>2]=f[k>>2];f[o+4>>2]=f[k+4>>2];WAa(a,m,c,d,e,g,h,i,n,o,0);u=l;return}function Lr(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=+g;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0;k=u;u=u+32|0;l=k+16|0;m=k+8|0;n=k;f[l+8>>2]=0;f[l+12>>2]=0;f[l>>2]=16842752;f[l+4>>2]=b;f[m>>2]=f[j>>2];f[m+4>>2]=f[j+4>>2];f[n>>2]=0;f[n+4>>2]=0;WAa(a,l,c,d,e,g,h,i,m,n,0);u=k;return}function Mr(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=+g;h=h|0;i=i|0;var j=0,k=0,l=0,m=0;j=u;u=u+32|0;k=j+16|0;l=j+8|0;m=j;f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=16842752;f[k+4>>2]=b;f[l>>2]=0;f[l+4>>2]=0;f[m>>2]=0;f[m+4>>2]=0;WAa(a,k,c,d,e,g,h,i,l,m,0);u=j;return}function Nr(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=+g;h=h|0;var i=0,j=0,k=0,l=0;i=u;u=u+32|0;j=i+16|0;k=i+8|0;l=i;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=b;f[k>>2]=0;f[k+4>>2]=0;f[l>>2]=0;f[l+4>>2]=0;WAa(a,j,c,d,e,g,h,0,k,l,0);u=i;return}function Or(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=+g;var h=0,i=0,j=0,k=0;h=u;u=u+32|0;i=h+16|0;j=h+8|0;k=h;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=b;f[j>>2]=0;f[j+4>>2]=0;f[k>>2]=0;f[k+4>>2]=0;WAa(a,i,c,d,e,g,3,0,j,k,0);u=h;return}function Pr(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0;g=u;u=u+32|0;h=g+16|0;i=g+8|0;j=g;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=b;f[i>>2]=0;f[i+4>>2]=0;f[j>>2]=0;f[j+4>>2]=0;WAa(a,h,c,d,e,1.1,3,0,i,j,0);u=g;return}function Qr(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0;j=u;u=u+32|0;k=j+16|0;l=j+8|0;m=j;f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=16842752;f[k+4>>2]=b;f[l>>2]=f[h>>2];f[l+4>>2]=f[h+4>>2];f[m>>2]=f[i>>2];f[m+4>>2]=f[i+4>>2];UAa(a,k,c,d,e,g,l,m);u=j;return}function Rr(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0;i=u;u=u+32|0;j=i+16|0;k=i+8|0;l=i;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=b;f[k>>2]=f[h>>2];f[k+4>>2]=f[h+4>>2];f[l>>2]=0;f[l+4>>2]=0;UAa(a,j,c,d,e,g,k,l);u=i;return}function Sr(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;g=g|0;var h=0,i=0,j=0,k=0;h=u;u=u+32|0;i=h+16|0;j=h+8|0;k=h;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=b;f[j>>2]=0;f[j+4>>2]=0;f[k>>2]=0;f[k+4>>2]=0;UAa(a,i,c,d,e,g,j,k);u=h;return}function Tr(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;var g=0,h=0,i=0,j=0;g=u;u=u+32|0;h=g+16|0;i=g+8|0;j=g;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=b;f[i>>2]=0;f[i+4>>2]=0;f[j>>2]=0;f[j+4>>2]=0;UAa(a,h,c,d,e,0,i,j);u=g;return}function Ur(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;var e=0,g=0,h=0,i=0;e=u;u=u+32|0;g=e+16|0;h=e+8|0;i=e;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=b;f[h>>2]=0;f[h+4>>2]=0;f[i>>2]=0;f[i+4>>2]=0;UAa(a,g,c,d,3,0,h,i);u=e;return}function Vr(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+32|0;e=d+16|0;g=d+8|0;h=d;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=b;f[g>>2]=0;f[g+4>>2]=0;f[h>>2]=0;f[h+4>>2]=0;UAa(a,e,c,1.1,3,0,g,h);u=d;return}function Wr(a){a=a|0;var b=0;mf(257876,7,28456,186675,1,1);mf(257876,6,28484,186684,1,1);mf(257876,5,28508,186692,2,1);mf(172834,7,28528,186699,1,2);mf(172834,6,28556,186372,2,3);mf(172841,7,28580,186699,2,3);mf(172841,6,28608,186372,3,4);mf(172841,5,28632,186380,6,10);mf(365970,10,28652,186708,1,1);mf(365970,9,28692,186720,1,1);mf(365970,8,28728,186731,1,1);mf(365970,7,28760,186741,1,1);mf(365970,6,27712,186372,4,5);mf(172854,10,28788,186750,1,1);mf(172854,9,28828,186762,1,1);mf(172854,8,28864,186773,1,1);mf(172854,7,28896,186783,1,1);mf(172854,6,28484,186684,1,2);mf(172865,8,28864,186773,1,2);mf(172865,7,28896,186783,1,2);mf(172865,6,28484,186684,1,3);mf(172877,8,28924,186792,1,3);mf(172877,7,28956,186802,1,5);mf(172877,6,28984,186811,1,7);mf(172877,5,29008,186387,82,178);mf(172877,4,27736,185007,179,237);mf(172887,9,29028,186819,1,2);mf(172887,8,29064,186830,1,2);mf(172887,7,29096,186840,1,2);mf(172887,6,29124,186849,101,83);mf(172894,10,29148,186857,1,2);mf(172894,9,29188,186869,1,2);mf(172894,8,29224,186880,1,2);mf(172894,7,29256,186890,63,102);mf(172894,6,29124,186849,101,84);mf(172900,4,29284,185007,180,238);mf(256313,8,29300,186899,1,1);mf(172908,6,29332,186849,103,85);mf(172908,5,29356,186387,86,181);mf(172908,4,29284,185007,180,239);mf(172912,8,29376,186909,1,1);mf(172912,7,29408,186919,1,1);mf(270347,5,29436,186928,1,7);mf(256861,3,29456,186406,13,15);mf(268342,7,29468,186699,4,4);mf(268342,6,27712,186372,4,6);mf(172924,5,29356,186387,86,182);mf(172924,4,29284,185007,180,240);mf(172936,4,27860,185007,183,241);mf(172936,3,27848,185002,242,993);mf(172948,5,29356,186387,86,184);mf(172948,4,29284,185007,180,243);mf(172959,5,29356,186387,86,185);mf(172959,4,29284,185007,180,244);mf(172971,6,29496,186849,104,87);mf(172971,5,29520,186387,88,186);mf(172971,4,29540,185007,187,245);mf(172976,2,29556,185013,530,994);mf(172989,8,29564,186935,151,64);mf(172989,7,29596,186890,65,105);mf(172989,6,29624,186849,106,89);mf(172989,5,29648,186387,90,188);mf(259931,7,29668,186840,3,3);mf(259120,8,29696,186935,152,66);mf(259120,7,29728,186890,67,107);mf(172999,11,29756,186945,1,1);mf(173024,12,29800,186958,1,1);mf(173024,11,29848,186972,1,2);mf(173024,10,29892,186985,3,93);mf(173024,9,29932,186997,94,153);mf(173024,8,29968,186935,154,68);mf(173024,7,3e4,186890,69,108);mf(189101,6,30028,186849,109,91);mf(189101,5,30052,186387,92,189);mf(269246,8,30072,186935,155,70);mf(269246,7,30104,186890,71,110);mf(269246,6,30132,186849,111,93);mf(269246,5,30156,186387,94,190);mf(223210,5,30176,186387,95,191);mf(260407,4,30196,186436,5,14);mf(347341,5,30212,186140,99,68);mf(347341,4,30232,185041,69,282);mf(347341,3,30248,185036,283,531);mf(348199,7,30260,187008,7,71);mf(348199,6,30288,186147,72,100);mf(348199,5,30312,186140,101,70);mf(256963,3,29456,186406,13,16);mf(256963,2,30332,186462,17,13);mf(210653,5,28508,186692,2,2);mf(210653,4,30340,185379,11,12);mf(210653,3,27848,185002,242,995);mf(346908,5,30356,186387,96,192);mf(346908,4,30376,185007,193,246);mf(346908,3,27848,185002,242,996);mf(347135,4,29284,185007,180,247);mf(205522,9,30392,186997,95,156);mf(205522,8,30428,186935,157,72);mf(173045,7,30460,187017,1,2);mf(173045,6,28984,186811,1,8);mf(173058,6,29124,186849,101,97);mf(173058,5,29008,186387,82,194);mf(173058,4,27736,185007,179,248);mf(199951,2,30488,185013,532,799);mf(263360,5,29008,186387,82,195);mf(263360,4,27736,185007,179,249);mf(261905,5,29008,186387,82,196);mf(261905,4,27736,185007,179,250);mf(190232,2,30332,186462,17,14);mf(220448,5,29008,186387,82,197);mf(220448,4,27736,185007,179,251);mf(220448,3,27848,185002,242,997);mf(173076,8,30496,186935,158,73);mf(173076,7,30528,186890,74,112);mf(173076,6,30556,186849,113,98);mf(173076,5,30580,186387,99,198);mf(173076,4,27860,185007,183,252);mf(367860,6,29124,186849,101,100);mf(367860,5,29008,186387,82,199);mf(173083,7,30600,186890,75,114);mf(173083,6,30628,186849,115,101);mf(173111,6,30652,187026,3,2);mf(173111,5,30676,186380,9,12);mf(173111,4,29284,185007,180,253);mf(173118,5,30696,187034,1,1);mf(173118,4,30716,187041,4,1);mf(269869,10,30732,186985,4,96);mf(269869,9,30772,186997,97,159);mf(269869,8,30808,186935,160,76);mf(269869,7,30840,186890,77,116);mf(269869,6,30868,186849,117,102);mf(269869,5,30892,186387,103,200);mf(190455,4,30912,185041,71,284);mf(190455,3,30928,185036,285,533);mf(269431,11,30940,187047,1,1);mf(269431,10,30984,187060,1,1);mf(269431,9,31024,187072,1,1);mf(269431,8,31060,187083,1,1);mf(173126,6,31092,186849,118,104);mf(173126,5,31116,186387,105,201);mf(173126,4,31136,185007,202,254);mf(173135,8,31152,186935,161,78);mf(260553,3,27848,185002,242,998);mf(173148,8,30496,186935,158,79);mf(173148,7,30528,186890,74,119);mf(173148,6,30556,186849,113,106);mf(173148,5,30580,186387,99,203);mf(173148,4,27860,185007,183,255);mf(189395,3,27848,185002,242,999);mf(173154,8,31184,187093,1,2);mf(173154,7,31216,186840,4,4);mf(173154,6,31244,186849,120,107);mf(173154,5,31268,186387,108,204);mf(367636,7,31288,186890,80,121);mf(367636,6,31316,186849,122,109);mf(384942,7,31340,187103,1,1);mf(384942,6,31368,187112,2,3);mf(384942,5,31392,186429,4,6);mf(384942,4,31412,186436,7,15);mf(257063,2,31428,185013,534,1e3);mf(240055,7,28760,186741,1,2);mf(205266,4,27736,185007,179,256);mf(213763,8,31436,187120,1,1);mf(213763,7,31468,187130,1,1);mf(240005,3,31496,185036,286,257);mf(173163,2,28428,185013,523,800);mf(239914,4,31508,185041,72,205);mf(239914,3,31496,185036,286,258);mf(173181,4,31524,187139,1,3);mf(360184,4,31540,185041,73,206);mf(360184,3,31556,185036,287,259);mf(252562,10,31568,187145,1,1);mf(252562,9,31608,187157,1,1);mf(252562,8,31644,187168,1,2);mf(252562,7,31676,186699,5,5);mf(252562,6,27712,186372,4,7);mf(173201,11,31704,187178,1,1);mf(173201,10,31748,187191,1,1);mf(173201,9,31788,187157,2,2);mf(240628,8,31824,186935,162,81);mf(240628,7,31856,186890,82,123);mf(380280,5,31884,186380,10,13);mf(380280,4,31904,185007,207,260);mf(211895,3,31920,185002,261,1001);mf(223463,5,31932,186387,110,208);mf(260733,9,31952,186997,98,163);mf(252137,4,27736,185007,179,262);mf(252137,3,27848,185002,242,1002);mf(173222,6,30628,186849,115,111);mf(173222,5,31988,186387,112,209);mf(173222,4,32008,185007,210,263);mf(190371,4,32024,186436,8,16);mf(190371,3,32040,186406,17,18);mf(347287,2,32052,185013,535,801);mf(203123,8,32060,187203,1,2);mf(203123,7,32092,187103,3,3);mf(268771,8,32120,186935,164,83);mf(268771,7,32152,186890,84,124);mf(268771,6,32180,186849,125,113);mf(268771,5,32204,186387,114,211);mf(189437,3,27848,185002,242,1003);mf(258152,4,29284,185007,180,264);mf(263508,5,32224,187213,1,1);mf(241893,6,32244,186849,126,115);mf(241893,5,30176,186387,95,212);mf(463157,4,29284,185007,180,265);mf(188145,3,32268,185036,288,266);mf(188145,2,32280,185013,536,1004);mf(188260,5,32288,186387,116,213);mf(188260,4,32008,185007,210,267);mf(267910,4,27736,185007,179,268);mf(198312,3,31920,185002,261,1005);mf(173232,4,29284,185007,180,269);mf(173236,2,31428,185013,534,1006);mf(220748,4,32308,185007,214,270);mf(348832,3,32324,185036,289,271);mf(348832,2,32336,185013,537,1007);mf(360469,9,32344,186997,99,165);mf(360469,8,32380,186935,166,85);mf(360469,7,32412,186890,86,127);mf(360469,6,31244,186849,120,117);mf(360469,5,31268,186387,108,215);mf(173248,6,30652,187026,3,3);mf(173248,5,30676,186380,9,14);mf(173248,4,29284,185007,180,272);mf(199509,4,32440,186436,9,18);mf(199509,3,32456,186406,19,19);mf(199509,2,30332,186462,17,15);mf(173257,5,32468,186429,5,10);mf(173257,4,30196,186436,5,20);mf(173257,3,27904,186406,21,20);mf(210840,8,32488,187220,3,1);mf(210840,7,32520,186675,3,2);mf(210840,6,28484,186684,1,4);mf(210840,5,28508,186692,2,4);mf(210840,4,30340,185379,11,13);mf(210840,3,27848,185002,242,1008);mf(214315,4,27860,185007,183,273);mf(241350,4,32548,186436,11,22);mf(189268,6,30028,186849,109,118);mf(189268,5,30052,186387,92,216);mf(404969,4,32564,187230,8,3);mf(173263,10,32580,187236,1,2);mf(173263,9,32620,187248,1,2);mf(173263,8,32656,187259,2,1);mf(173263,7,32688,187017,3,4);mf(262788,5,32716,186387,119,217);mf(262788,4,32736,185007,218,274);mf(262788,3,27848,185002,242,1009);mf(263098,5,32716,186387,119,219);mf(263098,4,32736,185007,218,275);mf(263098,3,27848,185002,242,1010);mf(173271,4,32752,185007,220,276);mf(173277,4,32752,185007,220,277);mf(269003,8,32120,186935,164,87);mf(269003,7,32152,186890,84,128);mf(269003,6,32180,186849,125,120);mf(269003,5,32204,186387,114,221);mf(173283,7,32768,186890,88,129);mf(173283,6,32796,186849,130,121);mf(173283,5,32820,186387,122,222);mf(173283,4,32840,185007,223,278);mf(212639,6,29124,186849,101,123);mf(212639,5,29008,186387,82,224);mf(238705,8,32856,186935,167,89);mf(238705,7,32888,186890,90,131);mf(238705,6,32916,186849,132,124);mf(205346,5,32940,186387,125,225);mf(252914,7,28580,186699,2,6);mf(252914,6,28608,186372,3,8);mf(252914,5,28632,186380,6,15);mf(252914,4,29540,185007,187,279);mf(252030,9,32960,187269,1,2);mf(252030,8,32996,186880,2,5);mf(252030,7,33028,186890,91,133);mf(252030,6,33056,186849,134,126);mf(212280,3,27964,185002,280,1011);mf(212280,2,33080,187280,1012,1921);mf(173294,2,33088,187280,1013,1922);mf(190983,5,33096,186140,102,74);mf(190983,4,33116,185041,75,290);mf(190051,4,32024,186436,8,23);mf(190051,3,32040,186406,17,21);mf(392813,3,33132,185002,281,1014);mf(173305,3,27848,185002,242,1015);mf(173310,6,29332,186849,103,127);mf(173310,5,29356,186387,86,226);mf(173310,4,29284,185007,180,282);mf(381547,6,33144,187284,1,1);mf(212347,2,32280,185013,536,1016);mf(214231,4,27860,185007,183,283);mf(212416,3,27848,185002,242,1017);mf(261449,6,33168,186849,135,128);mf(261449,5,33192,186387,129,227);mf(212160,3,31920,185002,261,1018);mf(239275,8,33212,186935,168,92);mf(239275,7,33244,186890,93,136);mf(239275,6,33272,186849,137,130);mf(239275,5,33296,186387,131,228);mf(239528,8,33212,186935,168,94);mf(239528,7,33244,186890,93,138);mf(239528,6,33272,186849,137,132);mf(239528,5,33296,186387,131,229);mf(354525,3,27848,185002,242,1019);mf(173319,8,33316,187292,1,1);mf(173319,7,33348,187302,1,1);mf(173319,6,33376,187311,1,1);mf(173319,5,33400,187319,1,1);mf(173319,4,33420,187326,1,9);mf(173319,3,33436,187332,1,14);mf(173319,2,27944,185013,538,1020);mf(173333,3,33448,185036,291,284);mf(173333,2,33460,185013,539,1021);mf(173350,3,33468,185036,292,285);mf(173350,2,33480,185013,540,1022);mf(407607,3,33448,185036,291,286);mf(407607,2,33460,185013,539,1023);mf(173368,3,33468,185036,292,287);mf(173368,2,33480,185013,540,1024);mf(173388,3,33448,185036,291,288);mf(173388,2,33460,185013,539,1025);mf(173410,3,33468,185036,292,289);mf(173410,2,33480,185013,540,1026);mf(173433,3,33488,185036,293,290);mf(173433,2,33460,185013,539,1027);ae(18152,9584,9600,0,184994,802,184997,0,184997,0,173450,184999,1923);a=cuc(4)|0;f[a>>2]=294;Ee(18152,173464,4,33500,185041,76,a|0,0);a=cuc(4)|0;f[a>>2]=541;Ee(18152,173464,3,33516,185036,295,a|0,0);Ad(18152,1,33528,184994,803,22);Ad(18152,13,33532,187452,1,1);Ad(18152,2,33584,185013,542,804);vf(18152,173469,1,33592,184994,805,1924);vf(18152,173494,1,33592,184994,805,1925);a=cuc(4)|0;f[a>>2]=1028;Ee(18152,381254,3,33596,185002,291,a|0,0);a=cuc(4)|0;f[a>>2]=2;Ee(18152,375778,11,33608,187467,1,a|0,0);a=cuc(4)|0;f[a>>2]=1;Ee(18152,375778,10,33652,187480,1,a|0,0);a=cuc(4)|0;f[a>>2]=1;Ee(18152,375778,9,33692,187492,1,a|0,0);a=cuc(4)|0;f[a>>2]=2;Ee(18152,375778,8,33728,187259,3,a|0,0);a=cuc(4)|0;f[a>>2]=5;Ee(18152,375778,7,33760,187017,4,a|0,0);a=cuc(4)|0;f[a>>2]=11;Ee(18152,375778,6,33788,186811,5,a|0,0);a=cuc(4)|0;f[a>>2]=230;Ee(18152,375778,5,33812,186387,133,a|0,0);a=cuc(4)|0;f[a>>2]=4;b=cuc(4)|0;f[b>>2]=4;Wd(18152,381082,9384,185013,543,a|0,9384,185002,292,b|0);b=cuc(4)|0;f[b>>2]=12;a=cuc(4)|0;f[a>>2]=12;Wd(18152,381090,9384,185013,543,b|0,9384,185002,292,a|0);a=cuc(4)|0;f[a>>2]=20;b=cuc(4)|0;f[b>>2]=20;Wd(18152,381100,9384,185013,543,a|0,9384,185002,292,b|0);b=cuc(4)|0;f[b>>2]=28;a=cuc(4)|0;f[a>>2]=28;Wd(18152,381216,9384,185013,543,b|0,9384,185002,292,a|0);a=cuc(4)|0;f[a>>2]=36;b=cuc(4)|0;f[b>>2]=36;Wd(18152,381112,27048,185013,544,a|0,27048,185002,293,b|0);b=cuc(4)|0;f[b>>2]=40;a=cuc(4)|0;f[a>>2]=40;Wd(18152,381118,27048,185013,544,b|0,27048,185002,293,a|0);a=cuc(4)|0;f[a>>2]=48;b=cuc(4)|0;f[b>>2]=48;Wd(18152,381225,27088,186462,22,a|0,27088,185374,15,b|0);b=cuc(4)|0;f[b>>2]=56;a=cuc(4)|0;f[a>>2]=56;Wd(18152,381132,27056,185013,545,b|0,27056,185002,294,a|0);a=cuc(4)|0;f[a>>2]=64;b=cuc(4)|0;f[b>>2]=64;Wd(18152,381150,27088,186462,22,a|0,27088,185374,15,b|0);b=cuc(4)|0;f[b>>2]=72;a=cuc(4)|0;f[a>>2]=72;Wd(18152,381165,27e3,185013,546,b|0,27e3,185002,295,a|0);a=cuc(4)|0;f[a>>2]=76;b=cuc(4)|0;f[b>>2]=76;Wd(18152,173519,8960,185013,547,a|0,8960,185002,296,b|0);b=cuc(4)|0;f[b>>2]=140;a=cuc(4)|0;f[a>>2]=140;Wd(18152,381181,27048,185013,544,b|0,27048,185002,293,a|0);a=cuc(4)|0;f[a>>2]=144;b=cuc(4)|0;f[b>>2]=144;Wd(18152,381189,27e3,185013,546,a|0,27e3,185002,295,b|0);ae(9624,9640,9656,10640,184994,806,184994,807,184994,808,173531,184999,1926);b=cuc(4)|0;f[b>>2]=16;Ee(9624,450262,5,33832,186380,12,b|0,0);b=cuc(4)|0;f[b>>2]=297;Ee(9624,450262,4,33852,185007,231,b|0,0);b=cuc(4)|0;f[b>>2]=1029;Ee(9624,386911,3,33868,185002,298,b|0,0);ae(9672,9688,9704,9624,184994,809,184994,810,184994,811,173552,184999,1927);Ad(9672,4,33880,187326,2,10);Ad(9672,3,33896,187332,2,16);Ad(9672,2,33908,185013,548,1030);Ad(9672,1,33916,184994,812,1928);b=cuc(4)|0;f[b>>2]=17;Ee(9672,450262,5,33920,186380,13,b|0,0);b=cuc(4)|0;f[b>>2]=299;Ee(9672,450262,4,33940,185007,232,b|0,0);lf(9728,9672,173577,0,184994,813,236672,23,184994,814,184999,1929);ae(9744,9760,9776,10640,184994,815,184994,816,184994,817,173607,184999,1930);b=cuc(4)|0;f[b>>2]=1031;Ee(9744,173613,3,33956,185002,300,b|0,0);Ad(9744,3,33968,187880,1,4);Ad(9744,2,33980,187885,1,13);Ad(9744,1,33988,184994,818,1931);b=cuc(8)|0;f[b>>2]=52;f[b+4>>2]=1;Ee(9744,173630,2,33992,187280,1032,b|0,1);b=cuc(4)|0;f[b>>2]=14;Ee(9744,173645,3,34e3,185374,17,b|0,0);b=cuc(8)|0;f[b>>2]=48;f[b+4>>2]=1;Ee(9744,173658,2,34012,185013,549,b|0,1);b=cuc(8)|0;f[b>>2]=40;f[b+4>>2]=1;Ee(9744,173675,2,34020,186462,23,b|0,1);b=cuc(4)|0;f[b>>2]=301;Ee(9744,450262,4,34028,185007,233,b|0,0);lf(9800,9744,173688,0,184994,819,236672,24,184994,820,184999,1932);ae(10640,9816,9832,0,184994,821,184997,0,184997,0,173699,184999,1933);ae(9576,9848,9864,0,184994,822,184997,0,184997,0,173709,184999,1934);b=cuc(4)|0;f[b>>2]=4;Ee(9576,415533,6,34044,187026,6,b|0,0);b=cuc(4)|0;f[b>>2]=18;Ee(9576,415533,5,34068,186380,14,b|0,0);b=cuc(4)|0;f[b>>2]=302;Ee(9576,415533,4,34088,185007,234,b|0,0);b=cuc(4)|0;f[b>>2]=1033;Ee(9576,415533,3,34104,185002,303,b|0,0);b=cuc(4)|0;f[b>>2]=304;Ee(9576,477126,3,34116,185036,296,b|0,0);b=cuc(4)|0;f[b>>2]=1034;Ee(9576,477126,2,34128,185013,550,b|0,0);b=cuc(4)|0;f[b>>2]=305;Ee(9576,173717,4,34136,185007,235,b|0,0);b=cuc(4)|0;f[b>>2]=1035;Ee(9576,173717,3,34152,185002,306,b|0,0);b=cuc(4)|0;f[b>>2]=307;Ee(9576,173726,4,34164,185007,236,b|0,0);ae(9880,9888,9904,0,184994,823,184997,0,184997,0,173735,184999,1935);b=cuc(4)|0;f[b>>2]=551;Ee(9880,173464,3,34180,185036,297,b|0,0);b=cuc(4)|0;f[b>>2]=3;Ee(9880,173753,10,34192,187236,2,b|0,0);b=cuc(4)|0;f[b>>2]=3;Ee(9880,173753,9,34232,187248,2,b|0,0);b=cuc(4)|0;f[b>>2]=3;Ee(9880,173753,8,34268,187259,4,b|0,0);b=cuc(4)|0;f[b>>2]=7;Ee(9880,173753,7,34300,187017,5,b|0,0);b=cuc(4)|0;f[b>>2]=15;Ee(9880,173753,6,34328,186811,6,b|0,0);b=cuc(4)|0;f[b>>2]=237;Ee(9880,173753,5,34352,186387,134,b|0,0);Ad(9880,1,34372,184994,824,25);Ad(9880,2,34376,185013,552,825);b=cuc(4)|0;f[b>>2]=2;Ee(9880,173771,12,34384,188065,1,b|0,0);b=cuc(4)|0;f[b>>2]=3;Ee(9880,173771,11,34432,188079,1,b|0,0);b=cuc(4)|0;f[b>>2]=3;Ee(9880,173771,10,34476,188092,1,b|0,0);b=cuc(4)|0;f[b>>2]=5;Ee(9880,173771,9,34516,188104,1,b|0,0);b=cuc(4)|0;f[b>>2]=6;Ee(9880,173771,8,34552,187093,3,b|0,0);b=cuc(4)|0;f[b>>2]=7;Ee(9880,173771,7,34584,186840,6,b|0,0);b=cuc(4)|0;f[b>>2]=135;Ee(9880,173771,6,34612,186849,139,b|0,0);b=cuc(8)|0;f[b>>2]=826;f[b+4>>2]=0;Ee(9880,207055,2,34636,185013,553,b|0,0);b=cuc(4)|0;f[b>>2]=2;Ee(9880,375778,9,34644,188115,4,b|0,0);b=cuc(4)|0;f[b>>2]=2;Ee(9880,375778,8,34680,188126,4,b|0,0);b=cuc(4)|0;f[b>>2]=1;Ee(9880,375778,7,34712,188136,4,b|0,0);b=cuc(4)|0;f[b>>2]=5;Ee(9880,375778,6,34740,187026,8,b|0,0);b=cuc(4)|0;f[b>>2]=19;Ee(9880,375778,5,34764,186380,16,b|0,0);b=cuc(4)|0;f[b>>2]=308;Ee(9880,375778,4,34784,185007,238,b|0,0);Fd(173789,27064,67108864);Fd(173801,27064,50331648);Fd(173813,27064,16777216);Fd(173825,27064,50331648);Fd(173835,27064,33554432);Fd(173848,27064,1);Fd(173875,27064,0);Fd(173898,27064,0);Fd(173914,27064,4);Fd(173929,27064,16);Fd(173945,27064,2);Fd(173960,27064,4);Fd(173978,27064,4);Fd(173997,27064,1);Fd(174014,27064,5);Fd(174033,27064,3);Fd(174045,27064,1);Fd(174070,27064,8);Fd(174094,27064,4);Fd(174122,27064,2);Fd(174142,27064,-1);Fd(174154,27064,1);Fd(174164,27064,0);Fd(174171,27064,4);Fd(174184,27064,3);Fd(174199,27064,0);Fd(174212,27064,5);Fd(174224,27064,1);Fd(174236,27064,2);Fd(174250,27064,1);Fd(174268,27064,2);Fd(174288,27064,4);Fd(174311,27064,3);Fd(174332,27064,0);Fd(174339,27064,2);Fd(174346,27064,1);Fd(174353,27064,4);Fd(174360,27064,3);Fd(174367,27064,5);Fd(174374,27064,0);Fd(174390,27064,1);Fd(174404,27064,8);Fd(174418,27064,11);Fd(174431,27064,9);Fd(174444,27064,2);Fd(174457,27064,5);Fd(174472,27064,12);Fd(174488,27064,10);Fd(174502,27064,4);Fd(174519,27064,7);Fd(174535,27064,6);Fd(174551,27064,3);Fd(174567,27064,22);Fd(174584,27064,12);Fd(174601,27064,0);Fd(174616,27064,6);Fd(174631,27064,52);Fd(174645,27064,68);Fd(174664,27064,40);Fd(174678,27064,66);Fd(174697,27064,44);Fd(174711,27064,50);Fd(174725,27064,4);Fd(174739,27064,2);Fd(174754,27064,32);Fd(174768,27064,36);Fd(174784,27064,82);Fd(174798,27064,128);Fd(174817,27064,128);Fd(174836,27064,132);Fd(174855,27064,24);Fd(174872,27064,28);Fd(174890,27064,31);Fd(174908,27064,25);Fd(174925,27064,29);Fd(174943,27064,14);Fd(174960,27064,18);Fd(174978,27064,21);Fd(174996,27064,15);Fd(175013,27064,19);Fd(175031,27064,1);Fd(175046,27064,26);Fd(175064,27064,16);Fd(175082,27064,10);Fd(175098,27064,3);Fd(175113,27064,5);Fd(175129,27064,130);Fd(175149,27064,130);Fd(175169,27064,134);Fd(175189,27064,46);Fd(175207,27064,139);Fd(175226,27064,135);Fd(175247,27064,62);Fd(175269,27064,86);Fd(175288,27064,48);Fd(175306,27064,141);Fd(175325,27064,137);Fd(175346,27064,64);Fd(175368,27064,47);Fd(175386,27064,140);Fd(175405,27064,136);Fd(175426,27064,63);Fd(175448,27064,87);Fd(175467,27064,49);Fd(175485,27064,142);Fd(175504,27064,138);Fd(175525,27064,65);Fd(175547,27064,49);Fd(175565,27064,142);Fd(175584,27064,138);Fd(175605,27064,65);Fd(175627,27064,89);Fd(175646,27064,47);Fd(175664,27064,140);Fd(175683,27064,136);Fd(175704,27064,63);Fd(175726,27064,48);Fd(175744,27064,141);Fd(175763,27064,137);Fd(175784,27064,64);Fd(175806,27064,88);Fd(175825,27064,46);Fd(175843,27064,139);Fd(175862,27064,135);Fd(175883,27064,62);Fd(175905,27064,143);Fd(175924,27064,8);Fd(175939,27064,30);Fd(175957,27064,20);Fd(175975,27064,9);Fd(175991,27064,8);Fd(176006,27064,9);Fd(176022,27064,60);Fd(176036,27064,72);Fd(176055,27064,61);Fd(176069,27064,73);Fd(176088,27064,54);Fd(176102,27064,70);Fd(176121,27064,55);Fd(176135,27064,71);Fd(176154,27064,74);Fd(176169,27064,76);Fd(176184,27064,75);Fd(176199,27064,77);Fd(176214,27064,56);Fd(176228,27064,78);Fd(176243,27064,79);Fd(176258,27064,57);Fd(176272,27064,58);Fd(176286,27064,80);Fd(176301,27064,81);Fd(176316,27064,59);Fd(176330,27064,4);Fd(176344,27064,23);Fd(176361,27064,13);Fd(176378,27064,2);Fd(176393,27064,7);Fd(176408,27064,53);Fd(176422,27064,69);Fd(176441,27064,41);Fd(176455,27064,67);Fd(176474,27064,45);Fd(176488,27064,51);Fd(176502,27064,0);Fd(176517,27064,33);Fd(176531,27064,37);Fd(176547,27064,83);Fd(176561,27064,127);Fd(176580,27064,127);Fd(176599,27064,131);Fd(176618,27064,3);Fd(176633,27064,27);Fd(176651,27064,17);Fd(176669,27064,5);Fd(176685,27064,11);Fd(176701,27064,1);Fd(176716,27064,129);Fd(176736,27064,129);Fd(176756,27064,133);Fd(176776,27064,125);Fd(176793,27064,34);Fd(176807,27064,35);Fd(176821,27064,38);Fd(176837,27064,39);Fd(176853,27064,84);Fd(176867,27064,105);Fd(176887,27064,105);Fd(176907,27064,95);Fd(176927,27064,97);Fd(176947,27064,112);Fd(176967,27064,112);Fd(176987,27064,112);Fd(177007,27064,120);Fd(177027,27064,120);Fd(177047,27064,120);Fd(177067,27064,103);Fd(177087,27064,122);Fd(177107,27064,101);Fd(177126,27064,101);Fd(177145,27064,91);Fd(177164,27064,93);Fd(177183,27064,108);Fd(177202,27064,108);Fd(177221,27064,108);Fd(177240,27064,116);Fd(177259,27064,116);Fd(177278,27064,116);Fd(177297,27064,99);Fd(177316,27064,118);Fd(177335,27064,106);Fd(177354,27064,106);Fd(177374,27064,106);Fd(177394,27064,106);Fd(177414,27064,106);Fd(177434,27064,123);Fd(177454,27064,123);Fd(177474,27064,123);Fd(177494,27064,124);Fd(177514,27064,124);Fd(177534,27064,124);Fd(177554,27064,106);Fd(177574,27064,124);Fd(177594,27064,85);Fd(177608,27064,104);Fd(177628,27064,104);Fd(177648,27064,94);Fd(177668,27064,96);Fd(177688,27064,111);Fd(177708,27064,111);Fd(177728,27064,111);Fd(177748,27064,119);Fd(177768,27064,119);Fd(177788,27064,119);Fd(177808,27064,102);Fd(177828,27064,121);Fd(177848,27064,100);Fd(177867,27064,100);Fd(177886,27064,90);Fd(177905,27064,92);Fd(177924,27064,107);Fd(177943,27064,107);Fd(177962,27064,107);Fd(177981,27064,115);Fd(178e3,27064,115);Fd(178019,27064,115);Fd(178038,27064,98);Fd(178057,27064,117);Fd(178076,27064,99);Fd(178094,27064,103);Fd(178113,27064,106);Fd(178132,27064,98);Fd(178150,27064,102);Fd(178169,27064,93);Fd(178188,27064,97);Fd(178208,27064,106);Fd(178228,27064,92);Fd(178247,27064,96);Fd(178267,27064,126);Fd(178284,27064,1);Fd(178302,27064,2);Fd(178320,27064,3);Fd(178338,27064,16);Fd(178349,27064,1);Fd(178362,27064,8);Fd(178373,27064,4);Fd(178385,27064,0);Fd(178401,27064,2);Fd(178415,27064,1);Fd(178427,27064,4);Fd(178436,27064,3);Fd(178452,27064,2);Fd(178463,27064,0);Fd(178473,27064,16);Fd(178487,27064,4);Fd(178497,27064,1);Fd(178508,27064,64);Fd(178526,27064,16);Fd(178545,27064,1);Fd(178557,27064,32);Fd(178573,27064,4);Fd(178582,27064,2);Fd(178592,27064,3);Fd(178599,27064,5);Fd(178609,27064,7);Fd(178620,27064,1);Fd(178628,27064,4);Fd(178637,27064,2);Fd(178645,27064,0);Fd(178662,27064,1);Fd(178679,27064,3);Fd(178691,27064,5);Fd(178703,27064,0);Fd(178721,27064,-1);Fd(178731,27064,6);Fd(178743,27064,-1);Fd(178750,27064,65536);Fd(178772,27064,131072);Fd(178792,27064,3);Fd(178813,27064,5);Fd(178840,27064,2);Fd(178860,27064,1);Fd(178879,27064,7);Fd(178907,27064,6);Fd(178935,27064,0);Fd(178956,27064,4);Fd(178977,27064,16);Fd(178989,27064,32);Fd(179004,27064,2);Fd(179019,27064,8);Fd(179033,27064,1);Fd(179046,27064,6);Fd(179059,27064,64);Fd(179074,27064,0);Fd(179088,27064,2);Fd(179102,27064,4);Fd(179115,27064,5);Fd(179128,27064,3);Fd(179141,27064,3);Fd(179157,27064,7);Fd(179176,27064,16);Fd(179190,27064,2);Fd(179209,27064,64);Fd(179228,27064,0);Fd(179252,27064,24);Fd(179276,27064,56);Fd(179300,27064,8);Fd(179323,27064,16);Fd(179347,27064,4);Fd(179370,27064,4);Fd(179389,27064,2);Fd(179415,27064,0);Fd(179432,27064,0);Fd(179454,27064,1);Fd(179481,27064,1);Fd(179499,27064,65);Fd(179524,27064,5);Fd(179540,27064,2);Fd(179558,27064,0);Fd(179580,27064,1);Fd(179601,27064,4);Fd(179621,27064,3);Fd(179642,27064,0);Fd(179649,27064,2);Fd(179657,27064,3);Fd(179678,27064,1);Fd(179685,27064,1);Fd(179703,27064,0);Fd(179721,27064,2);Fd(179731,27064,3);Fd(179741,27064,1);Fd(179750,27064,2);Fd(179759,27064,4);Fd(179768,27064,3);Fd(179790,27064,1);Fd(179805,27064,4);Fd(179824,27064,0);Fd(179839,27064,3);Fd(179857,27064,2);Fd(179875,27064,5);Fd(179890,27064,64);Fd(179920,27064,0);Fd(179958,27064,1);Fd(179996,27064,0);Fd(180016,27064,3);Fd(180031,27064,2);Fd(180049,27064,1);Fd(180069,27064,0);Fd(180084,27064,2);Fd(180099,27064,0);Fd(180114,27064,1);Fd(180132,27064,3);Fd(180143,27064,5);Fd(180154,27064,10);Fd(180166,27064,2);Fd(180178,27064,4);Fd(180193,27064,1);Fd(180206,27064,5);Fd(180225,27064,7);Fd(180235,27064,0);Fd(180249,27064,32);Fd(180264,27064,1024);Fd(180280,27064,2);Fd(180298,27064,0);Fd(180320,27064,1);Fd(180346,27064,4);Fd(180353,27064,8);Fd(180360,27064,16);Fd(180368,27064,2);Fd(180383,27064,0);Fd(180399,27064,1);Fd(180414,27064,0);Fd(180427,27064,3);Fd(180442,27064,4);Fd(180456,27064,2);Fd(180468,27064,1);Fd(180488,27064,6);Fd(180509,27064,5);Fd(180528,27064,6);Fd(180543,27064,3);Fd(180555,27064,1);Fd(180567,27064,1);Fd(180580,27064,2);Fd(180594,27064,0);Fd(180606,27064,4);Fd(180621,27064,7);Fd(180635,27064,2);Fd(180646,27064,0);Fd(180657,27064,5);Fd(180670,27064,2);Fd(180684,27064,1);Fd(180701,27064,3);Fd(180719,27064,0);Fd(180738,27064,0);Fd(180752,27064,16384);Fd(180772,27064,7);Fd(180787,27064,-65536);Fd(180802,27064,1124007936);Fd(180816,27064,32768);Fd(180835,27064,4095);Fd(180849,27064,6);Fd(180862,27064,7);Fd(180876,27064,1);Fd(180885,27064,2);Fd(180893,27064,4);Fd(180901,27064,5);Fd(180912,27064,32);Fd(180924,27064,8);Fd(180938,27064,7);Fd(180953,27064,256);Fd(180980,27064,8);Fd(181009,27064,4);Fd(181034,27064,1);Fd(181050,27064,0);Fd(181066,27064,2);Fd(181078,27064,1);Fd(181100,27064,0);Fd(181121,27064,6);Fd(181137,27064,1);Fd(181151,27064,7);Fd(181163,27064,0);Fd(181173,27064,4);Fd(181183,27064,5);Fd(181200,27064,2);Fd(181211,27064,12);Fd(181224,27064,3);Fd(181237,27064,11);Fd(181249,27064,9);Fd(181262,27064,8);Fd(181281,27064,1);Fd(181292,27064,2);Fd(181303,27064,3);Fd(181314,27064,0);Fd(181325,27064,2);Fd(181336,27064,0);Fd(181350,27064,4);Fd(181365,27064,1);Fd(181375,27064,3);Fd(181385,27064,1);Fd(181396,27064,0);Fd(181408,27064,1);Fd(181419,27064,0);Fd(181439,27064,2);Fd(181466,27064,1);Fd(181480,27064,0);Fd(181495,27064,-2);Fd(181513,27064,-1);Fd(181532,27064,0);Fd(181547,27064,16);Fd(181563,27064,1);Fd(181581,27064,0);Fd(181596,27064,4);Fd(181608,27064,1);Fd(181621,27064,2);Fd(181631,27064,-2147483648);Fd(181650,27064,1540483477);Fd(181671,27064,1123876864);Fd(181691,27064,32);Fd(181709,27064,34);Fd(181734,27064,19);Fd(181760,27064,0);Fd(181785,27064,49);Fd(181812,27064,51);Fd(181837,27064,32);Fd(181863,27064,17);Fd(181888,27064,2);Fd(181915,27064,-2);Fd(181936,27064,0);Fd(181958,27064,2);Fd(181981,27064,-1);Fd(182009,27064,1);Fd(182031,27064,0);Fd(182045,27064,1);Fd(182063,27064,7);Fd(182075,27064,8);Fd(182087,27064,3);Fd(182101,27064,4);Fd(182119,27064,16);Fd(182135,27064,2);Fd(182148,27064,4);Fd(182158,27064,5);Fd(182175,27064,2);Fd(182184,27064,3);Fd(182200,27064,0);Fd(182210,27064,1);Fd(182227,27064,1);Fd(182246,27064,2);Fd(182263,27064,1);Fd(182285,27064,128);Fd(182308,27064,1);Fd(182329,27064,4);Fd(182359,27064,64);Fd(182386,27064,2);Fd(182414,27064,24);Fd(182440,27064,8);Fd(182459,27064,32);Fd(182483,27064,0);Fd(182498,27064,16384);Fd(182519,27064,7);Fd(182535,27064,-65536);Fd(182551,27064,1124007936);Fd(182566,27064,32768);Fd(182586,27064,4095);Fd(182601,27064,2);Fd(182630,27064,1);Fd(182657,27064,4);Fd(182686,27064,0);Fd(182700,27064,8);Fd(182719,27064,16);Fd(182736,27064,0);Fd(182754,27064,256);Fd(182769,27064,589824);Fd(182794,27064,524288);Fd(182820,27064,393216);Fd(182837,27064,1073741824);Fd(182860,27064,-2147483648);Fd(182883,27064,2031616);Fd(182905,27064,16);Fd(182928,27064,65536);Fd(182944,27064,131072);Fd(182961,27064,0);Fd(182978,27064,458752);Fd(183004,27064,917504);Fd(183026,27064,983040);Fd(183052,27064,786432);Fd(183080,27064,196608);Fd(183103,27064,851968);Fd(183139,27064,327680);Fd(183166,27064,720896);Fd(183194,27064,262144);Fd(183224,27064,655360);Fd(183241,27064,128);Fd(183269,27064,8);Fd(183297,27064,4);Fd(183325,27064,32);Fd(183353,27064,16);Fd(183381,27064,64);Fd(183409,27064,2);Fd(183436,27064,1);Fd(183463,27064,127);Fd(183491,27064,255);Fd(183523,27064,125);Fd(183558,27064,96);Fd(183586,27064,2147483647);Fd(183611,27064,-21);Fd(183620,27064,-18);Fd(183636,27064,-24);Fd(183643,27064,-22);Fd(183655,27064,-12);Fd(183666,27064,-17);Fd(183675,27064,-10);Fd(183688,27064,-14);Fd(183704,27064,-16);Fd(183720,27064,-15);Fd(183735,27064,-11);Fd(183745,27064,-19);Fd(183754,27064,-20);Fd(183764,27064,-25);Fd(183775,27064,-13);Fd(183783,27064,-23);Fd(183795,27064,-217);Fd(183811,27064,-216);Fd(183827,27064,-9);Fd(183840,27064,-26);Fd(183852,27064,-220);Fd(183871,27064,-221);Fd(183896,27064,-222);Fd(183912,27064,-223);Fd(183931,27064,-219);Fd(183950,27064,-218);Fd(183969,27064,-215);Fd(183979,27064,-8);Fd(183992,27064,-1);Fd(184005,27064,-5);Fd(184015,27064,-206);Fd(184026,27064,-6);Fd(184037,27064,-208);Fd(184048,27064,-214);Fd(184063,27064,-207);Fd(184075,27064,-201);Fd(184086,27064,-202);Fd(184099,27064,-2);Fd(184108,27064,-31);Fd(184127,27064,-29);Fd(184153,27064,-203);Fd(184176,27064,-3);Fd(184188,27064,-30);Fd(184214,27064,-7);Fd(184224,27064,-4);Fd(184233,27064,-213);Fd(184251,27064,-27);Fd(184262,27064,-204);Fd(184280,27064,0);Fd(184286,27064,-211);Fd(184300,27064,-212);Fd(184314,27064,-205);Fd(184334,27064,-209);Fd(184352,27064,-210);Fd(184373,27064,-28);Fd(184389,27064,0);Fd(184401,27064,1);Fd(184409,27064,5);Fd(184417,27064,6);Fd(184425,27064,3);Fd(184433,27064,4);Fd(184441,27064,2);Fd(184449,27064,0);Fd(184469,27064,1);Fd(184488,27064,2);Fd(184517,27064,3);Fd(184536,27064,0);Fd(184551,27064,3);Fd(184569,27064,1);Fd(184587,27064,2);Fd(184610,27064,2);Fd(184634,27064,1);Fd(184648,27064,0);Fd(184659,27064,1);Fd(184668,27064,2);Fd(184680,27064,0);Fd(184691,27064,3);Fd(184700,27064,0);Fd(184713,27064,1);Fd(184725,27064,2);return}function Xr(a){a=a|0;pd(a|0)|0;wvc()}function Yr(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0;e=u;u=u+16|0;g=e;if((b[535056]|0)==0?$yc(535056)|0:0){h=Ye(2,27144)|0;f[136322]=h}h=f[136322]|0;i=cuc(8)|0;f[i>>2]=f[d>>2];f[i+4>>2]=f[d+4>>2];f[g>>2]=i;bd(h|0,a|0,c|0,g|0);u=e;return}function Zr(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0;e=u;u=u+16|0;g=e;if((b[535064]|0)==0?$yc(535064)|0:0){h=Ye(2,27152)|0;f[136323]=h}h=f[136323]|0;i=cuc(20)|0;f[i>>2]=f[d>>2];f[i+4>>2]=f[d+4>>2];f[i+8>>2]=f[d+8>>2];f[i+12>>2]=f[d+12>>2];f[i+16>>2]=f[d+16>>2];f[g>>2]=i;bd(h|0,a|0,c|0,g|0);u=e;return}function _r(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0;e=u;u=u+16|0;g=e;if((b[535072]|0)==0?$yc(535072)|0:0){h=Ye(2,27160)|0;f[136324]=h}h=f[136324]|0;i=cuc(16)|0;f[i>>2]=f[d>>2];f[i+4>>2]=f[d+4>>2];f[i+8>>2]=f[d+8>>2];f[i+12>>2]=f[d+12>>2];f[g>>2]=i;bd(h|0,a|0,c|0,g|0);u=e;return}function $r(a,b){a=a|0;b=b|0;var c=0,d=0;c=a+4|0;d=f[c>>2]|0;if((d|0)==(f[a+8>>2]|0)){es(a,b);return}else{f[d>>2]=f[b>>2];f[c>>2]=d+4;return}}function as(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0;d=a+4|0;e=f[d>>2]|0;g=f[a>>2]|0;h=e-g>>2;i=e;if(h>>>0<b>>>0){fs(a,b-h|0,c);return}if(h>>>0<=b>>>0)return;h=g+(b<<2)|0;if((i|0)==(h|0))return;f[d>>2]=i+(~((i+-4-h|0)>>>2)<<2);return}function bs(a){a=a|0;return (f[a+4>>2]|0)-(f[a>>2]|0)>>2|0}function cs(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+16|0;e=d;g=f[b>>2]|0;if((f[b+4>>2]|0)-g>>2>>>0<=c>>>0){h=1;f[a>>2]=h;u=d;return}f[e>>2]=f[g+(c<<2)>>2];h=Ae(27048,e|0)|0;f[a>>2]=h;u=d;return}function ds(a,b,c){a=a|0;b=b|0;c=c|0;f[(f[a>>2]|0)+(b<<2)>>2]=f[c>>2];return 1}function es(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+4|0;d=f[a>>2]|0;e=(f[c>>2]|0)-d|0;g=e>>2;h=g+1|0;if(h>>>0>1073741823)nsc(a);i=a+8|0;j=(f[i>>2]|0)-d|0;k=j>>1;l=j>>2>>>0<536870911?(k>>>0<h>>>0?h:k):1073741823;do if(l)if(l>>>0>1073741823){k=ze(8)|0;kuc(k,519086);f[k>>2]=167148;Hf(k|0,26888,1888)}else{m=cuc(l<<2)|0;break}else m=0;while(0);k=m+(g<<2)|0;f[k>>2]=f[b>>2];b=k+(0-g<<2)|0;if((e|0)>0)szc(b|0,d|0,e|0)|0;f[a>>2]=b;f[c>>2]=k+4;f[i>>2]=m+(l<<2);if(!d)return;fuc(d);return}function fs(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;d=a+8|0;e=f[d>>2]|0;g=a+4|0;h=f[g>>2]|0;i=h;if(e-h>>2>>>0>=b>>>0){j=b;k=i;while(1){f[k>>2]=f[c>>2];j=j+-1|0;if(!j)break;else k=k+4|0}f[g>>2]=i+(b<<2);return}i=f[a>>2]|0;k=h-i|0;h=k>>2;j=h+b|0;if(j>>>0>1073741823)nsc(a);l=e-i|0;e=l>>1;m=l>>2>>>0<536870911?(e>>>0<j>>>0?j:e):1073741823;do if(m)if(m>>>0>1073741823){e=ze(8)|0;kuc(e,519086);f[e>>2]=167148;Hf(e|0,26888,1888)}else{n=cuc(m<<2)|0;break}else n=0;while(0);e=n+(h<<2)|0;j=n+(m<<2)|0;m=b;n=e;while(1){f[n>>2]=f[c>>2];m=m+-1|0;if(!m)break;else n=n+4|0}n=e+(0-h<<2)|0;if((k|0)>0)szc(n|0,i|0,k|0)|0;f[a>>2]=n;f[g>>2]=e+(b<<2);f[d>>2]=j;if(!i)return;fuc(i);return}function gs(a){a=a|0;return 8872}function hs(a){a=a|0;var b=0,c=0,d=0;if(!a)return;b=f[a>>2]|0;if(b|0){c=a+4|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}fuc(a);return}function is(){var a=0;a=cuc(12)|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;return a|0}function js(a){a=a|0;return xi[a&31]()|0}function ks(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0;d=u;u=u+16|0;e=d;g=f[a>>2]|0;h=f[a+4>>2]|0;a=b+(h>>1)|0;if(!(h&1))i=g;else i=f[(f[a>>2]|0)+g>>2]|0;f[e>>2]=c;yh[i&2047](a,e);u=d;return}function ls(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0;e=u;u=u+16|0;g=e;h=f[a>>2]|0;i=f[a+4>>2]|0;a=b+(i>>1)|0;if(!(i&1))j=h;else j=f[(f[a>>2]|0)+h>>2]|0;f[g>>2]=d;Zh[j&511](a,c,g);u=e;return}function ms(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=f[a>>2]|0;d=f[a+4>>2]|0;a=b+(d>>1)|0;if(!(d&1))e=c;else e=f[(f[a>>2]|0)+c>>2]|0;return di[e&1023](a)|0}function ns(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;Zh[f[a>>2]&511](e,b,c);Ld(f[e>>2]|0);c=f[e>>2]|0;_d(c|0);u=d;return c|0}function os(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0;e=u;u=u+16|0;g=e;h=f[a>>2]|0;f[g>>2]=d;d=li[h&511](b,c,g)|0;u=e;return d|0}function ps(a,b){a=a|0;b=b|0;var c=0,d=0;c=a+4|0;d=f[c>>2]|0;if((d|0)==(f[a+8>>2]|0)){us(a,b);return}else{f[d>>2]=f[b>>2];f[c>>2]=d+4;return}}function qs(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0;d=a+4|0;e=f[d>>2]|0;g=f[a>>2]|0;h=e-g>>2;i=e;if(h>>>0<b>>>0){vs(a,b-h|0,c);return}if(h>>>0<=b>>>0)return;h=g+(b<<2)|0;if((i|0)==(h|0))return;f[d>>2]=i+(~((i+-4-h|0)>>>2)<<2);return}function rs(a){a=a|0;return (f[a+4>>2]|0)-(f[a>>2]|0)>>2|0}function ss(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+16|0;e=d;g=f[b>>2]|0;if((f[b+4>>2]|0)-g>>2>>>0<=c>>>0){h=1;f[a>>2]=h;u=d;return}f[e>>2]=f[g+(c<<2)>>2];h=Ae(27080,e|0)|0;f[a>>2]=h;u=d;return}function ts(a,b,c){a=a|0;b=b|0;c=c|0;f[(f[a>>2]|0)+(b<<2)>>2]=f[c>>2];return 1}function us(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+4|0;d=f[a>>2]|0;e=(f[c>>2]|0)-d|0;g=e>>2;h=g+1|0;if(h>>>0>1073741823)nsc(a);i=a+8|0;j=(f[i>>2]|0)-d|0;k=j>>1;l=j>>2>>>0<536870911?(k>>>0<h>>>0?h:k):1073741823;do if(l)if(l>>>0>1073741823){k=ze(8)|0;kuc(k,519086);f[k>>2]=167148;Hf(k|0,26888,1888)}else{m=cuc(l<<2)|0;break}else m=0;while(0);k=m+(g<<2)|0;f[k>>2]=f[b>>2];b=k+(0-g<<2)|0;if((e|0)>0)szc(b|0,d|0,e|0)|0;f[a>>2]=b;f[c>>2]=k+4;f[i>>2]=m+(l<<2);if(!d)return;fuc(d);return}function vs(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;d=a+8|0;e=f[d>>2]|0;g=a+4|0;h=f[g>>2]|0;if(e-h>>2>>>0>=b>>>0){i=h+(b<<2)|0;j=b;k=h;while(1){f[k>>2]=f[c>>2];j=j+-1|0;if(!j)break;else k=k+4|0}f[g>>2]=i;return}i=f[a>>2]|0;k=h-i|0;h=k>>2;j=h+b|0;if(j>>>0>1073741823)nsc(a);l=e-i|0;e=l>>1;m=l>>2>>>0<536870911?(e>>>0<j>>>0?j:e):1073741823;do if(m)if(m>>>0>1073741823){e=ze(8)|0;kuc(e,519086);f[e>>2]=167148;Hf(e|0,26888,1888)}else{n=cuc(m<<2)|0;break}else n=0;while(0);e=n+(h<<2)|0;l=n+(m<<2)|0;m=b;b=e;while(1){f[b>>2]=f[c>>2];m=m+-1|0;if(!m)break;else b=b+4|0}b=e+(0-h<<2)|0;if((k|0)>0)szc(b|0,i|0,k|0)|0;f[a>>2]=b;f[g>>2]=n+(j<<2);f[d>>2]=l;if(!i)return;fuc(i);return}function ws(a){a=a|0;return 8960}function xs(a){a=a|0;var b=0,c=0,d=0;if(!a)return;b=f[a>>2]|0;if(b|0){c=a+4|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}fuc(a);return}function ys(){var a=0;a=cuc(12)|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;return a|0}function zs(a){a=a|0;return xi[a&31]()|0}function As(a,b,c){a=a|0;b=b|0;c=+c;var d=0,e=0,g=0,h=0,i=0;d=u;u=u+16|0;e=d;g=f[a>>2]|0;h=f[a+4>>2]|0;a=b+(h>>1)|0;if(!(h&1))i=g;else i=f[(f[a>>2]|0)+g>>2]|0;n[e>>2]=c;yh[i&2047](a,e);u=d;return}function Bs(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;var e=0,g=0,h=0,i=0,j=0;e=u;u=u+16|0;g=e;h=f[a>>2]|0;i=f[a+4>>2]|0;a=b+(i>>1)|0;if(!(i&1))j=h;else j=f[(f[a>>2]|0)+h>>2]|0;n[g>>2]=d;Zh[j&511](a,c,g);u=e;return}function Cs(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=f[a>>2]|0;d=f[a+4>>2]|0;a=b+(d>>1)|0;if(!(d&1))e=c;else e=f[(f[a>>2]|0)+c>>2]|0;return di[e&1023](a)|0}function Ds(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;Zh[f[a>>2]&511](e,b,c);Ld(f[e>>2]|0);c=f[e>>2]|0;_d(c|0);u=d;return c|0}function Es(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;var e=0,g=0,h=0;e=u;u=u+16|0;g=e;h=f[a>>2]|0;n[g>>2]=d;a=li[h&511](b,c,g)|0;u=e;return a|0}function Fs(a,b){a=a|0;b=b|0;var c=0,d=0;c=a+4|0;d=f[c>>2]|0;if((d|0)==(f[a+8>>2]|0)){Ks(a,b);return}else{p[d>>3]=+p[b>>3];f[c>>2]=d+8;return}}function Gs(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0;d=a+4|0;e=f[d>>2]|0;g=f[a>>2]|0;h=e-g>>3;i=e;if(h>>>0<b>>>0){Ls(a,b-h|0,c);return}if(h>>>0<=b>>>0)return;h=g+(b<<3)|0;if((i|0)==(h|0))return;f[d>>2]=i+(~((i+-8-h|0)>>>3)<<3);return}function Hs(a){a=a|0;return (f[a+4>>2]|0)-(f[a>>2]|0)>>3|0}function Is(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+16|0;e=d;g=f[b>>2]|0;if((f[b+4>>2]|0)-g>>3>>>0<=c>>>0){h=1;f[a>>2]=h;u=d;return}p[e>>3]=+p[g+(c<<3)>>3];h=Ae(27088,e|0)|0;f[a>>2]=h;u=d;return}function Js(a,b,c){a=a|0;b=b|0;c=c|0;p[(f[a>>2]|0)+(b<<3)>>3]=+p[c>>3];return 1}function Ks(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+4|0;d=f[a>>2]|0;e=(f[c>>2]|0)-d|0;g=e>>3;h=g+1|0;if(h>>>0>536870911)nsc(a);i=a+8|0;j=(f[i>>2]|0)-d|0;k=j>>2;l=j>>3>>>0<268435455?(k>>>0<h>>>0?h:k):536870911;do if(l)if(l>>>0>536870911){k=ze(8)|0;kuc(k,519086);f[k>>2]=167148;Hf(k|0,26888,1888)}else{m=cuc(l<<3)|0;break}else m=0;while(0);k=m+(g<<3)|0;p[k>>3]=+p[b>>3];b=k+(0-g<<3)|0;if((e|0)>0)szc(b|0,d|0,e|0)|0;f[a>>2]=b;f[c>>2]=k+8;f[i>>2]=m+(l<<3);if(!d)return;fuc(d);return}function Ls(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;d=a+8|0;e=f[d>>2]|0;g=a+4|0;h=f[g>>2]|0;i=h;if(e-h>>3>>>0>=b>>>0){j=b;k=i;while(1){p[k>>3]=+p[c>>3];j=j+-1|0;if(!j)break;else k=k+8|0}f[g>>2]=i+(b<<3);return}i=f[a>>2]|0;k=h-i|0;h=k>>3;j=h+b|0;if(j>>>0>536870911)nsc(a);l=e-i|0;e=l>>2;m=l>>3>>>0<268435455?(e>>>0<j>>>0?j:e):536870911;do if(m)if(m>>>0>536870911){e=ze(8)|0;kuc(e,519086);f[e>>2]=167148;Hf(e|0,26888,1888)}else{n=cuc(m<<3)|0;break}else n=0;while(0);e=n+(h<<3)|0;j=n+(m<<3)|0;m=b;n=e;while(1){p[n>>3]=+p[c>>3];m=m+-1|0;if(!m)break;else n=n+8|0}n=e+(0-h<<3)|0;if((k|0)>0)szc(n|0,i|0,k|0)|0;f[a>>2]=n;f[g>>2]=e+(b<<3);f[d>>2]=j;if(!i)return;fuc(i);return}function Ms(a){a=a|0;return 9040}function Ns(a){a=a|0;var b=0,c=0,d=0;if(!a)return;b=f[a>>2]|0;if(b|0){c=a+4|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-8-b|0)>>>3)<<3);fuc(b)}fuc(a);return}function Os(){var a=0;a=cuc(12)|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;return a|0}function Ps(a){a=a|0;return xi[a&31]()|0}function Qs(a,b,c){a=a|0;b=b|0;c=+c;var d=0,e=0,g=0,h=0,i=0;d=u;u=u+16|0;e=d;g=f[a>>2]|0;h=f[a+4>>2]|0;a=b+(h>>1)|0;if(!(h&1))i=g;else i=f[(f[a>>2]|0)+g>>2]|0;p[e>>3]=c;yh[i&2047](a,e);u=d;return}function Rs(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;var e=0,g=0,h=0,i=0,j=0;e=u;u=u+16|0;g=e;h=f[a>>2]|0;i=f[a+4>>2]|0;a=b+(i>>1)|0;if(!(i&1))j=h;else j=f[(f[a>>2]|0)+h>>2]|0;p[g>>3]=d;Zh[j&511](a,c,g);u=e;return}function Ss(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=f[a>>2]|0;d=f[a+4>>2]|0;a=b+(d>>1)|0;if(!(d&1))e=c;else e=f[(f[a>>2]|0)+c>>2]|0;return di[e&1023](a)|0}function Ts(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;Zh[f[a>>2]&511](e,b,c);Ld(f[e>>2]|0);c=f[e>>2]|0;_d(c|0);u=d;return c|0}function Us(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;var e=0,g=0,h=0;e=u;u=u+16|0;g=e;h=f[a>>2]|0;p[g>>3]=d;a=li[h&511](b,c,g)|0;u=e;return a|0}function Vs(a,b){a=a|0;b=b|0;var c=0,d=0;c=a+4|0;d=f[c>>2]|0;if((d|0)==(f[a+8>>2]|0)){_s(a,b);return}else{f[d>>2]=f[b>>2];f[d+4>>2]=f[b+4>>2];f[c>>2]=d+8;return}}function Ws(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0;d=a+4|0;e=f[d>>2]|0;g=f[a>>2]|0;h=e-g>>3;i=e;if(h>>>0<b>>>0){$s(a,b-h|0,c);return}if(h>>>0<=b>>>0)return;h=g+(b<<3)|0;if((i|0)==(h|0))return;f[d>>2]=i+(~((i+-8-h|0)>>>3)<<3);return}function Xs(a){a=a|0;return (f[a+4>>2]|0)-(f[a>>2]|0)>>3|0}function Ys(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0;d=u;u=u+16|0;e=d;g=f[b>>2]|0;h=g;if((f[b+4>>2]|0)-g>>3>>>0<=c>>>0){i=1;f[a>>2]=i;u=d;return}g=cuc(8)|0;f[g>>2]=f[h+(c<<3)>>2];f[g+4>>2]=f[h+(c<<3)+4>>2];f[e>>2]=g;i=Ae(9176,e|0)|0;f[a>>2]=i;u=d;return}function Zs(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;d=f[a>>2]|0;f[d+(b<<3)>>2]=f[c>>2];f[d+(b<<3)+4>>2]=f[c+4>>2];return 1}function _s(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;c=a+4|0;d=f[c>>2]|0;e=f[a>>2]|0;g=d-e>>3;h=g+1|0;i=e;j=d;if(h>>>0>536870911)nsc(a);d=a+8|0;k=(f[d>>2]|0)-e|0;l=k>>2;m=k>>3>>>0<268435455?(l>>>0<h>>>0?h:l):536870911;do if(m)if(m>>>0>536870911){l=ze(8)|0;kuc(l,519086);f[l>>2]=167148;Hf(l|0,26888,1888)}else{n=cuc(m<<3)|0;break}else n=0;while(0);l=n+(g<<3)|0;h=n+(m<<3)|0;f[l>>2]=f[b>>2];f[n+(g<<3)+4>>2]=f[b+4>>2];b=l+8|0;if((j|0)==(i|0))o=l;else{g=j+-8-e|0;n=j;j=l;while(1){m=n;n=n+-8|0;f[j+-8>>2]=f[n>>2];f[j+-4>>2]=f[m+-4>>2];if((n|0)==(i|0))break;else j=j+-8|0}o=l+(~(g>>>3)<<3)|0}f[a>>2]=o;f[c>>2]=b;f[d>>2]=h;if(!e)return;fuc(e);return}function $s(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=a+8|0;e=f[d>>2]|0;g=a+4|0;h=f[g>>2]|0;i=h;if(e-h>>3>>>0>=b>>>0){j=c+4|0;k=b;l=i;while(1){f[l>>2]=f[c>>2];f[l+4>>2]=f[j>>2];k=k+-1|0;if(!k)break;else l=l+8|0}f[g>>2]=i+(b<<3);return}l=f[a>>2]|0;k=h-l>>3;h=k+b|0;j=l;if(h>>>0>536870911)nsc(a);m=e-l|0;e=m>>2;n=m>>3>>>0<268435455?(e>>>0<h>>>0?h:e):536870911;do if(n)if(n>>>0>536870911){e=ze(8)|0;kuc(e,519086);f[e>>2]=167148;Hf(e|0,26888,1888)}else{o=cuc(n<<3)|0;break}else o=0;while(0);e=o+(k<<3)|0;k=o+(n<<3)|0;n=c+4|0;o=b;h=e;while(1){f[h>>2]=f[c>>2];f[h+4>>2]=f[n>>2];o=o+-1|0;if(!o)break;else h=h+8|0}h=k;k=e+(b<<3)|0;if((i|0)==(j|0)){p=e;q=l}else{b=i+-8-l|0;l=i;i=e;while(1){o=l;l=l+-8|0;f[i+-8>>2]=f[l>>2];f[i+-4>>2]=f[o+-4>>2];if((l|0)==(j|0))break;else i=i+-8|0}p=e+(~(b>>>3)<<3)|0;q=f[a>>2]|0}f[a>>2]=p;f[g>>2]=k;f[d>>2]=h;if(!q)return;fuc(q);return}function at(a){a=a|0;return 9120}function bt(a){a=a|0;var b=0,c=0,d=0;if(!a)return;b=f[a>>2]|0;if(b|0){c=a+4|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-8-b|0)>>>3)<<3);fuc(b)}fuc(a);return}function ct(){var a=0;a=cuc(12)|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;return a|0}function dt(a){a=a|0;return xi[a&31]()|0}function et(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;d=f[a>>2]|0;e=f[a+4>>2]|0;a=b+(e>>1)|0;if(!(e&1)){g=d;yh[g&2047](a,c);return}else{g=f[(f[a>>2]|0)+d>>2]|0;yh[g&2047](a,c);return}}function ft(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0;e=f[a>>2]|0;g=f[a+4>>2]|0;a=b+(g>>1)|0;if(!(g&1)){h=e;Zh[h&511](a,c,d);return}else{h=f[(f[a>>2]|0)+e>>2]|0;Zh[h&511](a,c,d);return}}function gt(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=f[a>>2]|0;d=f[a+4>>2]|0;a=b+(d>>1)|0;if(!(d&1))e=c;else e=f[(f[a>>2]|0)+c>>2]|0;return di[e&1023](a)|0}function ht(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;Zh[f[a>>2]&511](e,b,c);Ld(f[e>>2]|0);c=f[e>>2]|0;_d(c|0);u=d;return c|0}function it(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return li[f[a>>2]&511](b,c,d)|0}function jt(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0;c=a+4|0;d=f[c>>2]|0;if((d|0)==(f[a+8>>2]|0)){ot(a,b);return}f[d>>2]=f[b>>2];a=d+4|0;e=b+4|0;f[a>>2]=f[e>>2];g=d+8|0;f[g>>2]=f[b+8>>2];f[d+12>>2]=f[b+12>>2];f[d+16>>2]=f[b+16>>2];f[d+20>>2]=f[b+20>>2];f[d+24>>2]=f[b+24>>2];f[d+28>>2]=f[b+28>>2];f[d+32>>2]=f[b+32>>2];h=f[b+36>>2]|0;f[d+36>>2]=h;f[d+40>>2]=g;g=d+48|0;i=d+44|0;f[i>>2]=g;f[g>>2]=0;f[d+52>>2]=0;if(h|0){g=h+12|0;f[g>>2]=(f[g>>2]|0)+1}if((f[e>>2]|0)<3){e=f[b+44>>2]|0;g=f[i>>2]|0;f[g>>2]=f[e>>2];f[g+4>>2]=f[e+4>>2]}else{f[a>>2]=0;$T(d,b)}f[c>>2]=(f[c>>2]|0)+56;return}function kt(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0;d=a+4|0;e=f[d>>2]|0;g=f[a>>2]|0;h=(e-g|0)/56|0;i=e;if(h>>>0<b>>>0){rt(a,b-h|0,c);return}if(h>>>0<=b>>>0)return;h=g+(b*56|0)|0;if((i|0)==(h|0))return;else j=i;do{i=j+-56|0;f[d>>2]=i;b=j+-20|0;g=f[b>>2]|0;if(g|0?(c=g+12|0,g=f[c>>2]|0,f[c>>2]=g+-1,(g|0)==1):0)aU(i);f[b>>2]=0;b=j+-40|0;i=j+-52|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;if((f[i>>2]|0)>0){b=f[j+-16>>2]|0;g=0;do{f[b+(g<<2)>>2]=0;g=g+1|0}while((g|0)<(f[i>>2]|0))}i=f[j+-12>>2]|0;if((i|0)!=(j+-8|0))TC(i);j=f[d>>2]|0}while((j|0)!=(h|0));return}function lt(a){a=a|0;return ((f[a+4>>2]|0)-(f[a>>2]|0)|0)/56|0|0}function mt(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+16|0;e=d;g=f[b>>2]|0;if((((f[b+4>>2]|0)-g|0)/56|0)>>>0<=c>>>0){h=1;f[a>>2]=h;u=d;return}b=Bt(g+(c*56|0)|0)|0;f[e>>2]=b;h=Ae(9264,e|0)|0;f[a>>2]=h;u=d;return}function nt(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;d=f[a>>2]|0;a=d+(b*56|0)|0;if((a|0)==(c|0))return 1;e=c+36|0;g=f[e>>2]|0;if(g|0){h=g+12|0;f[h>>2]=(f[h>>2]|0)+1}h=d+(b*56|0)+36|0;g=f[h>>2]|0;if(g|0?(i=g+12|0,g=f[i>>2]|0,f[i>>2]=g+-1,(g|0)==1):0)aU(a);f[h>>2]=0;g=d+(b*56|0)+16|0;i=d+(b*56|0)+4|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;if((f[i>>2]|0)>0){j=f[d+(b*56|0)+40>>2]|0;k=0;do{f[j+(k<<2)>>2]=0;k=k+1|0;l=f[i>>2]|0}while((k|0)<(l|0));f[a>>2]=f[c>>2];if((l|0)<3)m=12;else m=14}else{f[a>>2]=f[c>>2];m=12}if((m|0)==12){l=f[c+4>>2]|0;if((l|0)<3){f[i>>2]=l;f[d+(b*56|0)+8>>2]=f[c+8>>2];f[d+(b*56|0)+12>>2]=f[c+12>>2];l=f[c+44>>2]|0;i=f[d+(b*56|0)+44>>2]|0;f[i>>2]=f[l>>2];f[i+4>>2]=f[l+4>>2]}else m=14}if((m|0)==14)$T(a,c);f[g>>2]=f[c+16>>2];f[d+(b*56|0)+20>>2]=f[c+20>>2];f[d+(b*56|0)+24>>2]=f[c+24>>2];f[d+(b*56|0)+28>>2]=f[c+28>>2];f[d+(b*56|0)+32>>2]=f[c+32>>2];f[h>>2]=f[e>>2];return 1}function ot(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;c=u;u=u+32|0;d=c;e=f[a>>2]|0;g=((f[a+4>>2]|0)-e|0)/56|0;h=g+1|0;if(h>>>0>76695844)nsc(a);i=((f[a+8>>2]|0)-e|0)/56|0;e=i<<1;j=i>>>0<38347922?(e>>>0<h>>>0?h:e):76695844;f[d+12>>2]=0;f[d+16>>2]=a+8;do if(j)if(j>>>0>76695844){e=ze(8)|0;kuc(e,519086);f[e>>2]=167148;Hf(e|0,26888,1888)}else{k=cuc(j*56|0)|0;break}else k=0;while(0);f[d>>2]=k;e=k+(g*56|0)|0;h=d+8|0;f[h>>2]=e;f[d+4>>2]=e;f[d+12>>2]=k+(j*56|0);f[e>>2]=f[b>>2];j=k+(g*56|0)+4|0;i=b+4|0;l=f[i>>2]|0;f[j>>2]=l;m=k+(g*56|0)+8|0;f[m>>2]=f[b+8>>2];f[k+(g*56|0)+12>>2]=f[b+12>>2];f[k+(g*56|0)+16>>2]=f[b+16>>2];f[k+(g*56|0)+20>>2]=f[b+20>>2];f[k+(g*56|0)+24>>2]=f[b+24>>2];f[k+(g*56|0)+28>>2]=f[b+28>>2];f[k+(g*56|0)+32>>2]=f[b+32>>2];n=f[b+36>>2]|0;f[k+(g*56|0)+36>>2]=n;f[k+(g*56|0)+40>>2]=m;m=k+(g*56|0)+48|0;o=k+(g*56|0)+44|0;f[o>>2]=m;f[m>>2]=0;f[k+(g*56|0)+52>>2]=0;if(!n)p=l;else{l=n+12|0;f[l>>2]=(f[l>>2]|0)+1;p=f[i>>2]|0}if((p|0)<3){p=f[b+44>>2]|0;i=f[o>>2]|0;f[i>>2]=f[p>>2];f[i+4>>2]=f[p+4>>2];q=f[h>>2]|0;r=q+56|0;f[h>>2]=r;pt(a,d);qt(d);u=c;return}else{f[j>>2]=0;$T(e,b);q=f[h>>2]|0;r=q+56|0;f[h>>2]=r;pt(a,d);qt(d);u=c;return}}function pt(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;c=f[a>>2]|0;d=a+4|0;e=f[d>>2]|0;g=b+4|0;if((e|0)==(c|0)){h=g;i=a;j=f[g>>2]|0;k=c;f[i>>2]=j;f[h>>2]=k;l=b+8|0;m=f[d>>2]|0;n=f[l>>2]|0;f[d>>2]=n;f[l>>2]=m;o=a+8|0;p=b+12|0;q=f[o>>2]|0;r=f[p>>2]|0;f[o>>2]=r;f[p>>2]=q;s=f[h>>2]|0;f[b>>2]=s;return}t=e;e=f[g>>2]|0;do{u=e+-56|0;v=t;t=t+-56|0;f[u>>2]=f[t>>2];w=e+-52|0;x=v+-52|0;f[w>>2]=f[x>>2];y=e+-48|0;f[y>>2]=f[v+-48>>2];f[e+-44>>2]=f[v+-44>>2];f[e+-40>>2]=f[v+-40>>2];f[e+-36>>2]=f[v+-36>>2];f[e+-32>>2]=f[v+-32>>2];f[e+-28>>2]=f[v+-28>>2];f[e+-24>>2]=f[v+-24>>2];z=f[v+-20>>2]|0;f[e+-20>>2]=z;f[e+-16>>2]=y;y=e+-8|0;A=e+-12|0;f[A>>2]=y;f[y>>2]=0;f[e+-4>>2]=0;if(z|0){y=z+12|0;f[y>>2]=(f[y>>2]|0)+1}if((f[x>>2]|0)<3){x=f[v+-12>>2]|0;v=f[A>>2]|0;f[v>>2]=f[x>>2];f[v+4>>2]=f[x+4>>2]}else{f[w>>2]=0;$T(u,t)}e=(f[g>>2]|0)+-56|0;f[g>>2]=e}while((t|0)!=(c|0));h=g;i=a;j=e;k=f[a>>2]|0;f[i>>2]=j;f[h>>2]=k;l=b+8|0;m=f[d>>2]|0;n=f[l>>2]|0;f[d>>2]=n;f[l>>2]=m;o=a+8|0;p=b+12|0;q=f[o>>2]|0;r=f[p>>2]|0;f[o>>2]=r;f[p>>2]=q;s=f[h>>2]|0;f[b>>2]=s;return}function qt(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0;b=f[a+4>>2]|0;c=a+8|0;d=f[c>>2]|0;if((d|0)!=(b|0)){e=d;do{d=e+-56|0;f[c>>2]=d;g=e+-20|0;h=f[g>>2]|0;if(h|0?(i=h+12|0,h=f[i>>2]|0,f[i>>2]=h+-1,(h|0)==1):0)aU(d);f[g>>2]=0;g=e+-40|0;d=e+-52|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;if((f[d>>2]|0)>0){g=f[e+-16>>2]|0;h=0;do{f[g+(h<<2)>>2]=0;h=h+1|0}while((h|0)<(f[d>>2]|0))}d=f[e+-12>>2]|0;if((d|0)!=(e+-8|0))TC(d);e=f[c>>2]|0}while((e|0)!=(b|0))}b=f[a>>2]|0;if(!b)return;fuc(b);return}function rt(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;d=u;u=u+32|0;e=d;g=f[a+8>>2]|0;h=a+4|0;i=f[h>>2]|0;if(((g-i|0)/56|0)>>>0>=b>>>0){j=c+4|0;k=c+8|0;l=c+12|0;m=c+16|0;n=c+20|0;o=c+24|0;p=c+28|0;q=c+32|0;r=c+36|0;s=c+44|0;t=b;v=i;do{f[v>>2]=f[c>>2];w=v+4|0;f[w>>2]=f[j>>2];x=v+8|0;f[x>>2]=f[k>>2];f[v+12>>2]=f[l>>2];f[v+16>>2]=f[m>>2];f[v+20>>2]=f[n>>2];f[v+24>>2]=f[o>>2];f[v+28>>2]=f[p>>2];f[v+32>>2]=f[q>>2];y=f[r>>2]|0;f[v+36>>2]=y;f[v+40>>2]=x;x=v+48|0;z=v+44|0;f[z>>2]=x;f[x>>2]=0;f[v+52>>2]=0;if(y|0){x=y+12|0;f[x>>2]=(f[x>>2]|0)+1}if((f[j>>2]|0)<3){x=f[s>>2]|0;y=f[z>>2]|0;f[y>>2]=f[x>>2];f[y+4>>2]=f[x+4>>2]}else{f[w>>2]=0;$T(v,c)}v=(f[h>>2]|0)+56|0;f[h>>2]=v;t=t+-1|0}while((t|0)!=0);u=d;return}t=f[a>>2]|0;v=(i-t|0)/56|0;i=v+b|0;if(i>>>0>76695844)nsc(a);h=(g-t|0)/56|0;t=h<<1;g=h>>>0<38347922?(t>>>0<i>>>0?i:t):76695844;f[e+12>>2]=0;f[e+16>>2]=a+8;do if(g)if(g>>>0>76695844){t=ze(8)|0;kuc(t,519086);f[t>>2]=167148;Hf(t|0,26888,1888)}else{A=cuc(g*56|0)|0;break}else A=0;while(0);f[e>>2]=A;t=A+(v*56|0)|0;v=e+8|0;f[v>>2]=t;f[e+4>>2]=t;f[e+12>>2]=A+(g*56|0);g=c+4|0;A=c+8|0;i=c+12|0;h=c+16|0;s=c+20|0;j=c+24|0;r=c+28|0;q=c+32|0;p=c+36|0;o=c+44|0;n=b;b=t;do{f[b>>2]=f[c>>2];t=b+4|0;f[t>>2]=f[g>>2];m=b+8|0;f[m>>2]=f[A>>2];f[b+12>>2]=f[i>>2];f[b+16>>2]=f[h>>2];f[b+20>>2]=f[s>>2];f[b+24>>2]=f[j>>2];f[b+28>>2]=f[r>>2];f[b+32>>2]=f[q>>2];l=f[p>>2]|0;f[b+36>>2]=l;f[b+40>>2]=m;m=b+48|0;k=b+44|0;f[k>>2]=m;f[m>>2]=0;f[b+52>>2]=0;if(l|0){m=l+12|0;f[m>>2]=(f[m>>2]|0)+1}if((f[g>>2]|0)<3){m=f[o>>2]|0;l=f[k>>2]|0;f[l>>2]=f[m>>2];f[l+4>>2]=f[m+4>>2]}else{f[t>>2]=0;$T(b,c)}b=(f[v>>2]|0)+56|0;f[v>>2]=b;n=n+-1|0}while((n|0)!=0);pt(a,e);qt(e);u=d;return}function st(a){a=a|0;return 9208}function tt(a){a=a|0;if(!a)return;ut(a);fuc(a);return}function ut(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0;b=f[a>>2]|0;if(!b)return;c=a+4|0;d=f[c>>2]|0;if((d|0)==(b|0))e=b;else{g=d;do{d=g+-56|0;f[c>>2]=d;h=g+-20|0;i=f[h>>2]|0;if(i|0?(j=i+12|0,i=f[j>>2]|0,f[j>>2]=i+-1,(i|0)==1):0)aU(d);f[h>>2]=0;h=g+-40|0;d=g+-52|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;if((f[d>>2]|0)>0){h=f[g+-16>>2]|0;i=0;do{f[h+(i<<2)>>2]=0;i=i+1|0}while((i|0)<(f[d>>2]|0))}d=f[g+-12>>2]|0;if((d|0)!=(g+-8|0))TC(d);g=f[c>>2]|0}while((g|0)!=(b|0));e=f[a>>2]|0}fuc(e);return}function vt(){var a=0;a=cuc(12)|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;return a|0}function wt(a){a=a|0;return xi[a&31]()|0}function xt(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;d=f[a>>2]|0;e=f[a+4>>2]|0;a=b+(e>>1)|0;if(!(e&1)){g=d;yh[g&2047](a,c);return}else{g=f[(f[a>>2]|0)+d>>2]|0;yh[g&2047](a,c);return}}function yt(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0;e=f[a>>2]|0;g=f[a+4>>2]|0;a=b+(g>>1)|0;if(!(g&1)){h=e;Zh[h&511](a,c,d);return}else{h=f[(f[a>>2]|0)+e>>2]|0;Zh[h&511](a,c,d);return}}function zt(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=f[a>>2]|0;d=f[a+4>>2]|0;a=b+(d>>1)|0;if(!(d&1))e=c;else e=f[(f[a>>2]|0)+c>>2]|0;return di[e&1023](a)|0}function At(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;Zh[f[a>>2]&511](e,b,c);Ld(f[e>>2]|0);c=f[e>>2]|0;_d(c|0);u=d;return c|0}function Bt(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0;b=cuc(56)|0;f[b>>2]=f[a>>2];c=b+4|0;d=a+4|0;e=f[d>>2]|0;f[c>>2]=e;g=b+8|0;f[g>>2]=f[a+8>>2];f[b+12>>2]=f[a+12>>2];f[b+16>>2]=f[a+16>>2];f[b+20>>2]=f[a+20>>2];f[b+24>>2]=f[a+24>>2];f[b+28>>2]=f[a+28>>2];f[b+32>>2]=f[a+32>>2];h=f[a+36>>2]|0;f[b+36>>2]=h;f[b+40>>2]=g;g=b+48|0;i=b+44|0;f[i>>2]=g;f[g>>2]=0;f[b+52>>2]=0;if(!h)j=e;else{e=h+12|0;f[e>>2]=(f[e>>2]|0)+1;j=f[d>>2]|0}if((j|0)<3){j=f[a+44>>2]|0;d=f[i>>2]|0;f[d>>2]=f[j>>2];f[d+4>>2]=f[j+4>>2];return b|0}else{f[c>>2]=0;$T(b,a);return b|0}return 0}function Ct(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return li[f[a>>2]&511](b,c,d)|0}function Dt(a,b){a=a|0;b=b|0;var c=0,d=0;c=a+4|0;d=f[c>>2]|0;if((d|0)==(f[a+8>>2]|0)){It(a,b);return}else{f[d>>2]=f[b>>2];f[d+4>>2]=f[b+4>>2];f[d+8>>2]=f[b+8>>2];f[d+12>>2]=f[b+12>>2];f[c>>2]=d+16;return}}function Et(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0;d=a+4|0;e=f[d>>2]|0;g=f[a>>2]|0;h=e-g>>4;i=e;if(h>>>0<b>>>0){Jt(a,b-h|0,c);return}if(h>>>0<=b>>>0)return;h=g+(b<<4)|0;if((i|0)==(h|0))return;f[d>>2]=i+(~((i+-16-h|0)>>>4)<<4);return}function Ft(a){a=a|0;return (f[a+4>>2]|0)-(f[a>>2]|0)>>4|0}function Gt(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0;d=u;u=u+16|0;e=d;g=f[b>>2]|0;h=g;if((f[b+4>>2]|0)-g>>4>>>0<=c>>>0){i=1;f[a>>2]=i;u=d;return}g=cuc(16)|0;f[g>>2]=f[h+(c<<4)>>2];f[g+4>>2]=f[h+(c<<4)+4>>2];f[g+8>>2]=f[h+(c<<4)+8>>2];f[g+12>>2]=f[h+(c<<4)+12>>2];f[e>>2]=g;i=Ae(8832,e|0)|0;f[a>>2]=i;u=d;return}function Ht(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;d=f[a>>2]|0;f[d+(b<<4)>>2]=f[c>>2];f[d+(b<<4)+4>>2]=f[c+4>>2];f[d+(b<<4)+8>>2]=f[c+8>>2];f[d+(b<<4)+12>>2]=f[c+12>>2];return 1}function It(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;c=a+4|0;d=f[c>>2]|0;e=f[a>>2]|0;g=d-e>>4;h=g+1|0;i=e;j=d;if(h>>>0>268435455)nsc(a);d=a+8|0;k=(f[d>>2]|0)-e|0;l=k>>3;m=k>>4>>>0<134217727?(l>>>0<h>>>0?h:l):268435455;do if(m)if(m>>>0>268435455){l=ze(8)|0;kuc(l,519086);f[l>>2]=167148;Hf(l|0,26888,1888)}else{n=cuc(m<<4)|0;break}else n=0;while(0);l=n+(g<<4)|0;h=n+(m<<4)|0;f[l>>2]=f[b>>2];f[n+(g<<4)+4>>2]=f[b+4>>2];f[n+(g<<4)+8>>2]=f[b+8>>2];f[n+(g<<4)+12>>2]=f[b+12>>2];b=l+16|0;if((j|0)==(i|0))o=l;else{g=j+-16-e|0;n=j;j=l;while(1){m=n;n=n+-16|0;f[j+-16>>2]=f[n>>2];f[j+-12>>2]=f[m+-12>>2];f[j+-8>>2]=f[m+-8>>2];f[j+-4>>2]=f[m+-4>>2];if((n|0)==(i|0))break;else j=j+-16|0}o=l+(~(g>>>4)<<4)|0}f[a>>2]=o;f[c>>2]=b;f[d>>2]=h;if(!e)return;fuc(e);return}function Jt(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;d=a+8|0;e=f[d>>2]|0;g=a+4|0;h=f[g>>2]|0;i=h;if(e-h>>4>>>0>=b>>>0){j=c+4|0;k=c+8|0;l=c+12|0;m=b;n=i;while(1){f[n>>2]=f[c>>2];f[n+4>>2]=f[j>>2];f[n+8>>2]=f[k>>2];f[n+12>>2]=f[l>>2];m=m+-1|0;if(!m)break;else n=n+16|0}f[g>>2]=i+(b<<4);return}n=f[a>>2]|0;m=h-n>>4;h=m+b|0;l=n;if(h>>>0>268435455)nsc(a);k=e-n|0;e=k>>3;j=k>>4>>>0<134217727?(e>>>0<h>>>0?h:e):268435455;do if(j)if(j>>>0>268435455){e=ze(8)|0;kuc(e,519086);f[e>>2]=167148;Hf(e|0,26888,1888)}else{o=cuc(j<<4)|0;break}else o=0;while(0);e=o+(m<<4)|0;m=o+(j<<4)|0;j=c+4|0;o=c+8|0;h=c+12|0;k=b;p=e;while(1){f[p>>2]=f[c>>2];f[p+4>>2]=f[j>>2];f[p+8>>2]=f[o>>2];f[p+12>>2]=f[h>>2];k=k+-1|0;if(!k)break;else p=p+16|0}p=m;m=e+(b<<4)|0;if((i|0)==(l|0)){q=e;r=n}else{b=i+-16-n|0;n=i;i=e;while(1){k=n;n=n+-16|0;f[i+-16>>2]=f[n>>2];f[i+-12>>2]=f[k+-12>>2];f[i+-8>>2]=f[k+-8>>2];f[i+-4>>2]=f[k+-4>>2];if((n|0)==(l|0))break;else i=i+-16|0}q=e+(~(b>>>4)<<4)|0;r=f[a>>2]|0}f[a>>2]=q;f[g>>2]=m;f[d>>2]=p;if(!r)return;fuc(r);return}function Kt(a){a=a|0;return 9296}function Lt(a){a=a|0;var b=0,c=0,d=0;if(!a)return;b=f[a>>2]|0;if(b|0){c=a+4|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-16-b|0)>>>4)<<4);fuc(b)}fuc(a);return}function Mt(){var a=0;a=cuc(12)|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;return a|0}function Nt(a){a=a|0;return xi[a&31]()|0}function Ot(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;d=f[a>>2]|0;e=f[a+4>>2]|0;a=b+(e>>1)|0;if(!(e&1)){g=d;yh[g&2047](a,c);return}else{g=f[(f[a>>2]|0)+d>>2]|0;yh[g&2047](a,c);return}}function Pt(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0;e=f[a>>2]|0;g=f[a+4>>2]|0;a=b+(g>>1)|0;if(!(g&1)){h=e;Zh[h&511](a,c,d);return}else{h=f[(f[a>>2]|0)+e>>2]|0;Zh[h&511](a,c,d);return}}function Qt(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=f[a>>2]|0;d=f[a+4>>2]|0;a=b+(d>>1)|0;if(!(d&1))e=c;else e=f[(f[a>>2]|0)+c>>2]|0;return di[e&1023](a)|0}function Rt(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;Zh[f[a>>2]&511](e,b,c);Ld(f[e>>2]|0);c=f[e>>2]|0;_d(c|0);u=d;return c|0}function St(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return li[f[a>>2]&511](b,c,d)|0}function Tt(a){a=a|0;return 9264}function Ut(a){a=a|0;var b=0,c=0,d=0;if(!a)return;b=a+36|0;c=f[b>>2]|0;if(c|0?(d=c+12|0,c=f[d>>2]|0,f[d>>2]=c+-1,(c|0)==1):0)aU(a);f[b>>2]=0;b=a+16|0;c=a+4|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;if((f[c>>2]|0)>0){b=f[a+40>>2]|0;d=0;do{f[b+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[c>>2]|0))}c=f[a+44>>2]|0;if((c|0)!=(a+48|0))TC(c);fuc(a);return}function Vt(){var a=0,b=0,c=0,d=0,e=0;a=cuc(56)|0;f[a>>2]=1124007936;b=a+8|0;c=a+40|0;d=a+4|0;e=d+36|0;do{f[d>>2]=0;d=d+4|0}while((d|0)<(e|0));f[c>>2]=b;b=a+48|0;f[a+44>>2]=b;f[b>>2]=0;f[a+52>>2]=0;return a|0}function Wt(a){a=a|0;return xi[a&31]()|0}function Xt(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0;b=cuc(56)|0;f[b>>2]=f[a>>2];c=b+4|0;d=a+4|0;e=f[d>>2]|0;f[c>>2]=e;g=b+8|0;f[g>>2]=f[a+8>>2];f[b+12>>2]=f[a+12>>2];f[b+16>>2]=f[a+16>>2];f[b+20>>2]=f[a+20>>2];f[b+24>>2]=f[a+24>>2];f[b+28>>2]=f[a+28>>2];f[b+32>>2]=f[a+32>>2];h=f[a+36>>2]|0;f[b+36>>2]=h;f[b+40>>2]=g;g=b+48|0;i=b+44|0;f[i>>2]=g;f[g>>2]=0;f[b+52>>2]=0;if(!h)j=e;else{e=h+12|0;f[e>>2]=(f[e>>2]|0)+1;j=f[d>>2]|0}if((j|0)<3){j=f[a+44>>2]|0;d=f[i>>2]|0;f[d>>2]=f[j>>2];f[d+4>>2]=f[j+4>>2];return b|0}else{f[c>>2]=0;$T(b,a);return b|0}return 0}function Yt(a,b){a=a|0;b=b|0;return di[a&1023](b)|0}function Zt(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=u;u=u+16|0;d=c;e=cuc(56)|0;g=f[a>>2]|0;h=f[a+4>>2]|0;a=f[b>>2]|0;f[e>>2]=1124007936;b=e+8|0;i=e+40|0;j=e+4|0;k=j+36|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));f[i>>2]=b;b=e+48|0;f[e+44>>2]=b;f[b>>2]=0;f[e+52>>2]=0;f[d>>2]=h;f[d+4>>2]=g;ZT(e,2,d,a&4095);u=c;return e|0}function _t(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+16|0;e=d+8|0;g=d;f[e>>2]=f[b>>2];f[e+4>>2]=f[b+4>>2];f[g>>2]=c;c=Th[a&1023](e,g)|0;u=d;return c|0}function $t(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;d=u;u=u+16|0;e=d;g=cuc(56)|0;h=f[a>>2]|0;a=f[b>>2]|0;b=f[c>>2]|0;f[g>>2]=1124007936;c=g+8|0;i=g+40|0;j=g+4|0;k=j+36|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));f[i>>2]=c;c=g+48|0;f[g+44>>2]=c;f[c>>2]=0;f[g+52>>2]=0;f[e>>2]=h;f[e+4>>2]=a;ZT(g,2,e,b&4095);u=d;return g|0}function au(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0;e=u;u=u+16|0;g=e+8|0;h=e+4|0;i=e;f[g>>2]=b;f[h>>2]=c;f[i>>2]=d;d=li[a&511](g,h,i)|0;u=e;return d|0}function bu(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0;e=u;u=u+16|0;g=e;h=cuc(56)|0;i=f[a>>2]|0;a=f[b>>2]|0;b=f[c>>2]|0;f[h>>2]=1124007936;c=h+8|0;j=h+40|0;k=h+4|0;l=k+36|0;do{f[k>>2]=0;k=k+4|0}while((k|0)<(l|0));f[j>>2]=c;c=h+48|0;f[h+44>>2]=c;f[c>>2]=0;f[h+52>>2]=0;f[g>>2]=i;f[g+4>>2]=a;ZT(h,2,g,b&4095);GI(h,d)|0;u=e;return h|0}function cu(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0;g=u;u=u+16|0;h=g+8|0;i=g+4|0;j=g;f[h>>2]=b;f[i>>2]=c;f[j>>2]=d;d=Cg[a&127](h,i,j,e)|0;u=g;return d|0}function du(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;return mh[a&127](b,c,d,e,f)|0}function eu(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;d=u;u=u+64|0;e=d+8|0;g=d;f[g>>2]=f[b>>2];f[g+4>>2]=f[b+4>>2];Zh[a&511](e,g,c);c=cuc(56)|0;f[c>>2]=f[e>>2];g=e+4|0;a=f[g>>2]|0;f[c+4>>2]=a;b=c+8|0;h=e+8|0;f[b>>2]=f[h>>2];f[c+12>>2]=f[e+12>>2];i=e+16|0;f[c+16>>2]=f[i>>2];f[c+20>>2]=f[e+20>>2];f[c+24>>2]=f[e+24>>2];f[c+28>>2]=f[e+28>>2];f[c+32>>2]=f[e+32>>2];j=e+36|0;f[c+36>>2]=f[j>>2];k=c+40|0;f[k>>2]=b;b=c+44|0;l=c+48|0;f[b>>2]=l;m=c+52|0;f[m>>2]=0;f[l>>2]=0;n=e+44|0;if((a|0)<3){a=f[n>>2]|0;f[l>>2]=f[a>>2];f[m>>2]=f[a+4>>2];o=a}else{f[b>>2]=f[n>>2];b=e+40|0;f[k>>2]=f[b>>2];k=e+48|0;f[n>>2]=k;f[b>>2]=h;o=k}f[e>>2]=1124007936;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;f[g+16>>2]=0;f[g+20>>2]=0;f[g+24>>2]=0;f[g+28>>2]=0;f[j>>2]=0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;if((o|0)==(e+48|0)){u=d;return c|0}TC(o);u=d;return c|0}function fu(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;e=u;u=u+64|0;g=e;sh[a&255](g,b,c,d);d=cuc(56)|0;f[d>>2]=f[g>>2];c=g+4|0;b=f[c>>2]|0;f[d+4>>2]=b;a=d+8|0;h=g+8|0;f[a>>2]=f[h>>2];f[d+12>>2]=f[g+12>>2];i=g+16|0;f[d+16>>2]=f[i>>2];f[d+20>>2]=f[g+20>>2];f[d+24>>2]=f[g+24>>2];f[d+28>>2]=f[g+28>>2];f[d+32>>2]=f[g+32>>2];j=g+36|0;f[d+36>>2]=f[j>>2];k=d+40|0;f[k>>2]=a;a=d+44|0;l=d+48|0;f[a>>2]=l;m=d+52|0;f[m>>2]=0;f[l>>2]=0;n=g+44|0;if((b|0)<3){b=f[n>>2]|0;f[l>>2]=f[b>>2];f[m>>2]=f[b+4>>2];o=b}else{f[a>>2]=f[n>>2];a=g+40|0;f[k>>2]=f[a>>2];k=g+48|0;f[n>>2]=k;f[a>>2]=h;o=k}f[g>>2]=1124007936;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;f[c+16>>2]=0;f[c+20>>2]=0;f[c+24>>2]=0;f[c+28>>2]=0;f[j>>2]=0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;if((o|0)==(g+48|0)){u=e;return d|0}TC(o);u=e;return d|0}function gu(a,b){a=a|0;b=b|0;return f[b+(f[a>>2]|0)>>2]|0}function hu(a,b,c){a=a|0;b=b|0;c=c|0;f[b+(f[a>>2]|0)>>2]=c;return}function iu(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+16|0;d=c;yh[f[a>>2]&2047](d,b);Ld(f[d>>2]|0);b=f[d>>2]|0;_d(b|0);u=c;return b|0}function ju(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=f[a>>2]|0;d=f[a+4>>2]|0;a=b+(d>>1)|0;if(!(d&1))e=c;else e=f[(f[a>>2]|0)+c>>2]|0;return di[e&1023](a)|0}function ku(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=f[a>>2]|0;d=f[a+4>>2]|0;a=b+(d>>1)|0;if(!(d&1))e=c;else e=f[(f[a>>2]|0)+c>>2]|0;return di[e&1023](a)|0}function lu(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;g=+g;_g[f[a>>2]&15](b,c,d,e,g);return}function mu(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;Zh[f[a>>2]&511](b,c,d);return}function nu(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;nh[f[a>>2]&63](b,c,d,e);return}function ou(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;d=u;u=u+64|0;e=d;g=f[a>>2]|0;h=f[a+4>>2]|0;a=b+(h>>1)|0;if(!(h&1))i=g;else i=f[(f[a>>2]|0)+g>>2]|0;Zh[i&511](e,a,c);c=cuc(56)|0;f[c>>2]=f[e>>2];a=e+4|0;i=f[a>>2]|0;f[c+4>>2]=i;g=c+8|0;h=e+8|0;f[g>>2]=f[h>>2];f[c+12>>2]=f[e+12>>2];b=e+16|0;f[c+16>>2]=f[b>>2];f[c+20>>2]=f[e+20>>2];f[c+24>>2]=f[e+24>>2];f[c+28>>2]=f[e+28>>2];f[c+32>>2]=f[e+32>>2];j=e+36|0;f[c+36>>2]=f[j>>2];k=c+40|0;f[k>>2]=g;g=c+44|0;l=c+48|0;f[g>>2]=l;m=c+52|0;f[m>>2]=0;f[l>>2]=0;n=e+44|0;if((i|0)<3){i=f[n>>2]|0;f[l>>2]=f[i>>2];f[m>>2]=f[i+4>>2];o=i}else{f[g>>2]=f[n>>2];g=e+40|0;f[k>>2]=f[g>>2];k=e+48|0;f[n>>2]=k;f[g>>2]=h;o=k}f[e>>2]=1124007936;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;f[a+16>>2]=0;f[a+20>>2]=0;f[a+24>>2]=0;f[a+28>>2]=0;f[j>>2]=0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;if((o|0)==(e+48|0)){u=d;return c|0}TC(o);u=d;return c|0}function pu(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0;g=f[a>>2]|0;h=f[a+4>>2]|0;a=b+(h>>1)|0;if(!(h&1)){i=g;sh[i&255](a,c,d,e);return}else{i=f[(f[a>>2]|0)+g>>2]|0;sh[i&255](a,c,d,e);return}}function qu(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0;e=u;u=u+16|0;g=e;h=f[a>>2]|0;i=f[a+4>>2]|0;a=b+(i>>1)|0;if(!(i&1))j=h;else j=f[(f[a>>2]|0)+h>>2]|0;f[g>>2]=f[c>>2];f[g+4>>2]=f[c+4>>2];Zh[j&511](a,g,d);u=e;return}function ru(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;e=u;u=u+64|0;g=e;h=f[a>>2]|0;i=f[a+4>>2]|0;a=b+(i>>1)|0;if(!(i&1))j=h;else j=f[(f[a>>2]|0)+h>>2]|0;sh[j&255](g,a,c,d);d=cuc(56)|0;f[d>>2]=f[g>>2];c=g+4|0;a=f[c>>2]|0;f[d+4>>2]=a;j=d+8|0;h=g+8|0;f[j>>2]=f[h>>2];f[d+12>>2]=f[g+12>>2];i=g+16|0;f[d+16>>2]=f[i>>2];f[d+20>>2]=f[g+20>>2];f[d+24>>2]=f[g+24>>2];f[d+28>>2]=f[g+28>>2];f[d+32>>2]=f[g+32>>2];b=g+36|0;f[d+36>>2]=f[b>>2];k=d+40|0;f[k>>2]=j;j=d+44|0;l=d+48|0;f[j>>2]=l;m=d+52|0;f[m>>2]=0;f[l>>2]=0;n=g+44|0;if((a|0)<3){a=f[n>>2]|0;f[l>>2]=f[a>>2];f[m>>2]=f[a+4>>2];o=a}else{f[j>>2]=f[n>>2];j=g+40|0;f[k>>2]=f[j>>2];k=g+48|0;f[n>>2]=k;f[j>>2]=h;o=k}f[g>>2]=1124007936;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;f[c+16>>2]=0;f[c+20>>2]=0;f[c+24>>2]=0;f[c+28>>2]=0;f[b>>2]=0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;if((o|0)==(g+48|0)){u=e;return d|0}TC(o);u=e;return d|0}function su(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;d=u;u=u+64|0;e=d;g=f[a>>2]|0;h=f[a+4>>2]|0;a=b+(h>>1)|0;if(!(h&1))i=g;else i=f[(f[a>>2]|0)+g>>2]|0;Zh[i&511](e,a,c);c=cuc(56)|0;f[c>>2]=f[e>>2];a=e+4|0;i=f[a>>2]|0;f[c+4>>2]=i;g=c+8|0;h=e+8|0;f[g>>2]=f[h>>2];f[c+12>>2]=f[e+12>>2];b=e+16|0;f[c+16>>2]=f[b>>2];f[c+20>>2]=f[e+20>>2];f[c+24>>2]=f[e+24>>2];f[c+28>>2]=f[e+28>>2];f[c+32>>2]=f[e+32>>2];j=e+36|0;f[c+36>>2]=f[j>>2];k=c+40|0;f[k>>2]=g;g=c+44|0;l=c+48|0;f[g>>2]=l;m=c+52|0;f[m>>2]=0;f[l>>2]=0;n=e+44|0;if((i|0)<3){i=f[n>>2]|0;f[l>>2]=f[i>>2];f[m>>2]=f[i+4>>2];o=i}else{f[g>>2]=f[n>>2];g=e+40|0;f[k>>2]=f[g>>2];k=e+48|0;f[n>>2]=k;f[g>>2]=h;o=k}f[e>>2]=1124007936;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;f[a+16>>2]=0;f[a+20>>2]=0;f[a+24>>2]=0;f[a+28>>2]=0;f[j>>2]=0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;if((o|0)==(e+48|0)){u=d;return c|0}TC(o);u=d;return c|0}function tu(a,b,c){a=a|0;b=b|0;c=c|0;yh[f[a>>2]&2047](b,c);return}function uu(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;Zh[f[a>>2]&511](b,c,d);return}function vu(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=f[a>>2]|0;d=f[a+4>>2]|0;a=b+(d>>1)|0;if(!(d&1))e=c;else e=f[(f[a>>2]|0)+c>>2]|0;return di[e&1023](a)|0}function wu(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;d=f[a>>2]|0;e=f[a+4>>2]|0;a=b+(e>>1)|0;if(!(e&1))g=d;else g=f[(f[a>>2]|0)+d>>2]|0;return Th[g&1023](a,c)|0}function xu(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;c=u;u=u+64|0;d=c;e=f[a>>2]|0;g=f[a+4>>2]|0;a=b+(g>>1)|0;if(!(g&1))h=e;else h=f[(f[a>>2]|0)+e>>2]|0;yh[h&2047](d,a);a=cuc(56)|0;f[a>>2]=f[d>>2];h=d+4|0;e=f[h>>2]|0;f[a+4>>2]=e;g=a+8|0;b=d+8|0;f[g>>2]=f[b>>2];f[a+12>>2]=f[d+12>>2];i=d+16|0;f[a+16>>2]=f[i>>2];f[a+20>>2]=f[d+20>>2];f[a+24>>2]=f[d+24>>2];f[a+28>>2]=f[d+28>>2];f[a+32>>2]=f[d+32>>2];j=d+36|0;f[a+36>>2]=f[j>>2];k=a+40|0;f[k>>2]=g;g=a+44|0;l=a+48|0;f[g>>2]=l;m=a+52|0;f[m>>2]=0;f[l>>2]=0;n=d+44|0;if((e|0)<3){e=f[n>>2]|0;f[l>>2]=f[e>>2];f[m>>2]=f[e+4>>2];o=e}else{f[g>>2]=f[n>>2];g=d+40|0;f[k>>2]=f[g>>2];k=d+48|0;f[n>>2]=k;f[g>>2]=b;o=k}f[d>>2]=1124007936;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;f[h+16>>2]=0;f[h+20>>2]=0;f[h+24>>2]=0;f[h+28>>2]=0;f[j>>2]=0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;if((o|0)==(d+48|0)){u=c;return a|0}TC(o);u=c;return a|0}function yu(a,b,c){a=a|0;b=b|0;c=c|0;return +(+xg[f[a>>2]&31](b,c))}function zu(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;e=u;u=u+64|0;g=e;nh[f[a>>2]&63](g,b,c,d);c=cuc(56)|0;f[c>>2]=f[g>>2];b=g+4|0;a=f[b>>2]|0;f[c+4>>2]=a;h=c+8|0;i=g+8|0;f[h>>2]=f[i>>2];f[c+12>>2]=f[g+12>>2];j=g+16|0;f[c+16>>2]=f[j>>2];f[c+20>>2]=f[g+20>>2];f[c+24>>2]=f[g+24>>2];f[c+28>>2]=f[g+28>>2];f[c+32>>2]=f[g+32>>2];k=g+36|0;f[c+36>>2]=f[k>>2];l=c+40|0;f[l>>2]=h;h=c+44|0;m=c+48|0;f[h>>2]=m;n=c+52|0;f[n>>2]=0;f[m>>2]=0;o=g+44|0;if((a|0)<3){a=f[o>>2]|0;f[m>>2]=f[a>>2];f[n>>2]=f[a+4>>2];p=a}else{f[h>>2]=f[o>>2];h=g+40|0;f[l>>2]=f[h>>2];l=g+48|0;f[o>>2]=l;f[h>>2]=i;p=l}f[g>>2]=1124007936;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;f[b+16>>2]=0;f[b+20>>2]=0;f[b+24>>2]=0;f[b+28>>2]=0;f[k>>2]=0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;if((p|0)==(g+48|0)){u=e;return c|0}TC(p);u=e;return c|0}function Au(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;d=u;u=u+64|0;e=d;Zh[f[a>>2]&511](e,b,c);c=cuc(56)|0;f[c>>2]=f[e>>2];b=e+4|0;a=f[b>>2]|0;f[c+4>>2]=a;g=c+8|0;h=e+8|0;f[g>>2]=f[h>>2];f[c+12>>2]=f[e+12>>2];i=e+16|0;f[c+16>>2]=f[i>>2];f[c+20>>2]=f[e+20>>2];f[c+24>>2]=f[e+24>>2];f[c+28>>2]=f[e+28>>2];f[c+32>>2]=f[e+32>>2];j=e+36|0;f[c+36>>2]=f[j>>2];k=c+40|0;f[k>>2]=g;g=c+44|0;l=c+48|0;f[g>>2]=l;m=c+52|0;f[m>>2]=0;f[l>>2]=0;n=e+44|0;if((a|0)<3){a=f[n>>2]|0;f[l>>2]=f[a>>2];f[m>>2]=f[a+4>>2];o=a}else{f[g>>2]=f[n>>2];g=e+40|0;f[k>>2]=f[g>>2];k=e+48|0;f[n>>2]=k;f[g>>2]=h;o=k}f[e>>2]=1124007936;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;f[b+16>>2]=0;f[b+20>>2]=0;f[b+24>>2]=0;f[b+28>>2]=0;f[j>>2]=0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;if((o|0)==(e+48|0)){u=d;return c|0}TC(o);u=d;return c|0}function Bu(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;c=u;u=u+64|0;d=c;yh[f[a>>2]&2047](d,b);b=cuc(56)|0;f[b>>2]=f[d>>2];a=d+4|0;e=f[a>>2]|0;f[b+4>>2]=e;g=b+8|0;h=d+8|0;f[g>>2]=f[h>>2];f[b+12>>2]=f[d+12>>2];i=d+16|0;f[b+16>>2]=f[i>>2];f[b+20>>2]=f[d+20>>2];f[b+24>>2]=f[d+24>>2];f[b+28>>2]=f[d+28>>2];f[b+32>>2]=f[d+32>>2];j=d+36|0;f[b+36>>2]=f[j>>2];k=b+40|0;f[k>>2]=g;g=b+44|0;l=b+48|0;f[g>>2]=l;m=b+52|0;f[m>>2]=0;f[l>>2]=0;n=d+44|0;if((e|0)<3){e=f[n>>2]|0;f[l>>2]=f[e>>2];f[m>>2]=f[e+4>>2];o=e}else{f[g>>2]=f[n>>2];g=d+40|0;f[k>>2]=f[g>>2];k=d+48|0;f[n>>2]=k;f[g>>2]=h;o=k}f[d>>2]=1124007936;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;f[a+16>>2]=0;f[a+20>>2]=0;f[a+24>>2]=0;f[a+28>>2]=0;f[j>>2]=0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;if((o|0)==(d+48|0)){u=c;return b|0}TC(o);u=c;return b|0}function Cu(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;d=u;u=u+64|0;e=d;g=f[a>>2]|0;h=f[a+4>>2]|0;a=b+(h>>1)|0;if(!(h&1))i=g;else i=f[(f[a>>2]|0)+g>>2]|0;Zh[i&511](e,a,c);c=cuc(56)|0;f[c>>2]=f[e>>2];a=e+4|0;i=f[a>>2]|0;f[c+4>>2]=i;g=c+8|0;h=e+8|0;f[g>>2]=f[h>>2];f[c+12>>2]=f[e+12>>2];b=e+16|0;f[c+16>>2]=f[b>>2];f[c+20>>2]=f[e+20>>2];f[c+24>>2]=f[e+24>>2];f[c+28>>2]=f[e+28>>2];f[c+32>>2]=f[e+32>>2];j=e+36|0;f[c+36>>2]=f[j>>2];k=c+40|0;f[k>>2]=g;g=c+44|0;l=c+48|0;f[g>>2]=l;m=c+52|0;f[m>>2]=0;f[l>>2]=0;n=e+44|0;if((i|0)<3){i=f[n>>2]|0;f[l>>2]=f[i>>2];f[m>>2]=f[i+4>>2];o=i}else{f[g>>2]=f[n>>2];g=e+40|0;f[k>>2]=f[g>>2];k=e+48|0;f[n>>2]=k;f[g>>2]=h;o=k}f[e>>2]=1124007936;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;f[a+16>>2]=0;f[a+20>>2]=0;f[a+24>>2]=0;f[a+28>>2]=0;f[j>>2]=0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;if((o|0)==(e+48|0)){u=d;return c|0}TC(o);u=d;return c|0}function Du(a,b,c){a=a|0;b=b|0;c=c|0;yh[f[a>>2]&2047](b,c);return}function Eu(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;Zh[f[a>>2]&511](b,c,d);return}function Fu(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+16|0;d=c;yh[f[a>>2]&2047](d,b);b=cuc(8)|0;f[b>>2]=f[d>>2];f[b+4>>2]=f[d+4>>2];u=c;return b|0}function Gu(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;Zh[f[a>>2]&511](e,b,c);Ld(f[e>>2]|0);c=f[e>>2]|0;_d(c|0);u=d;return c|0}function Hu(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0;e=u;u=u+16|0;g=e;sh[f[a>>2]&255](g,b,c,d);Ld(f[g>>2]|0);d=f[g>>2]|0;_d(d|0);u=e;return d|0}function Iu(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0;e=f[a>>2]|0;g=f[a+4>>2]|0;a=c+(g>>1)|0;if(!(g&1))h=e;else h=f[(f[a>>2]|0)+e>>2]|0;e=Th[h&1023](a,d)|0;return b[e>>0]|0}function Ju(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0;g=f[a>>2]|0;h=f[a+4>>2]|0;a=c+(h>>1)|0;if(!(h&1))i=g;else i=f[(f[a>>2]|0)+g>>2]|0;g=li[i&511](a,d,e)|0;return b[g>>0]|0}function Ku(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0;h=f[a>>2]|0;i=f[a+4>>2]|0;a=c+(i>>1)|0;if(!(i&1))j=h;else j=f[(f[a>>2]|0)+h>>2]|0;h=Cg[j&127](a,d,e,g)|0;return b[h>>0]|0}function Lu(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0;e=f[a>>2]|0;g=f[a+4>>2]|0;a=c+(g>>1)|0;if(!(g&1))h=e;else h=f[(f[a>>2]|0)+e>>2]|0;e=Th[h&1023](a,d)|0;return b[e>>0]|0}function Mu(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0;g=f[a>>2]|0;h=f[a+4>>2]|0;a=c+(h>>1)|0;if(!(h&1))i=g;else i=f[(f[a>>2]|0)+g>>2]|0;g=li[i&511](a,d,e)|0;return b[g>>0]|0}function Nu(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0;h=f[a>>2]|0;i=f[a+4>>2]|0;a=c+(i>>1)|0;if(!(i&1))j=h;else j=f[(f[a>>2]|0)+h>>2]|0;h=Cg[j&127](a,d,e,g)|0;return b[h>>0]|0}function Ou(a,b,c){a=a|0;b=b|0;c=c|0;var e=0,g=0,h=0;e=f[a>>2]|0;g=f[a+4>>2]|0;a=b+(g>>1)|0;if(!(g&1))h=e;else h=f[(f[a>>2]|0)+e>>2]|0;e=Th[h&1023](a,c)|0;return d[e>>1]|0}function Pu(a,b,c,e){a=a|0;b=b|0;c=c|0;e=e|0;var g=0,h=0,i=0;g=f[a>>2]|0;h=f[a+4>>2]|0;a=b+(h>>1)|0;if(!(h&1))i=g;else i=f[(f[a>>2]|0)+g>>2]|0;g=li[i&511](a,c,e)|0;return d[g>>1]|0}function Qu(a,b,c,e,g){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;var h=0,i=0,j=0;h=f[a>>2]|0;i=f[a+4>>2]|0;a=b+(i>>1)|0;if(!(i&1))j=h;else j=f[(f[a>>2]|0)+h>>2]|0;h=Cg[j&127](a,c,e,g)|0;return d[h>>1]|0}function Ru(a,b,c){a=a|0;b=b|0;c=c|0;var e=0,g=0,h=0;e=f[a>>2]|0;g=f[a+4>>2]|0;a=b+(g>>1)|0;if(!(g&1))h=e;else h=f[(f[a>>2]|0)+e>>2]|0;e=Th[h&1023](a,c)|0;return d[e>>1]|0}function Su(a,b,c,e){a=a|0;b=b|0;c=c|0;e=e|0;var g=0,h=0,i=0;g=f[a>>2]|0;h=f[a+4>>2]|0;a=b+(h>>1)|0;if(!(h&1))i=g;else i=f[(f[a>>2]|0)+g>>2]|0;g=li[i&511](a,c,e)|0;return d[g>>1]|0}function Tu(a,b,c,e,g){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;var h=0,i=0,j=0;h=f[a>>2]|0;i=f[a+4>>2]|0;a=b+(i>>1)|0;if(!(i&1))j=h;else j=f[(f[a>>2]|0)+h>>2]|0;h=Cg[j&127](a,c,e,g)|0;return d[h>>1]|0}function Uu(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;d=f[a>>2]|0;e=f[a+4>>2]|0;a=b+(e>>1)|0;if(!(e&1))g=d;else g=f[(f[a>>2]|0)+d>>2]|0;d=Th[g&1023](a,c)|0;return f[d>>2]|0}function Vu(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0;e=f[a>>2]|0;g=f[a+4>>2]|0;a=b+(g>>1)|0;if(!(g&1))h=e;else h=f[(f[a>>2]|0)+e>>2]|0;e=li[h&511](a,c,d)|0;return f[e>>2]|0}function Wu(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0;g=f[a>>2]|0;h=f[a+4>>2]|0;a=b+(h>>1)|0;if(!(h&1))i=g;else i=f[(f[a>>2]|0)+g>>2]|0;g=Cg[i&127](a,c,d,e)|0;return f[g>>2]|0}function Xu(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;d=f[a>>2]|0;e=f[a+4>>2]|0;a=b+(e>>1)|0;if(!(e&1))g=d;else g=f[(f[a>>2]|0)+d>>2]|0;d=Th[g&1023](a,c)|0;return +(+n[d>>2])}function Yu(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0;e=f[a>>2]|0;g=f[a+4>>2]|0;a=b+(g>>1)|0;if(!(g&1))h=e;else h=f[(f[a>>2]|0)+e>>2]|0;e=li[h&511](a,c,d)|0;return +(+n[e>>2])}function Zu(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0;g=f[a>>2]|0;h=f[a+4>>2]|0;a=b+(h>>1)|0;if(!(h&1))i=g;else i=f[(f[a>>2]|0)+g>>2]|0;g=Cg[i&127](a,c,d,e)|0;return +(+n[g>>2])}function _u(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0;g=f[a>>2]|0;h=f[a+4>>2]|0;a=b+(h>>1)|0;if(!(h&1))i=g;else i=f[(f[a>>2]|0)+g>>2]|0;g=Cg[i&127](a,c,d,e)|0;return +(+p[g>>3])}function $u(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;d=f[a>>2]|0;e=f[a+4>>2]|0;a=b+(e>>1)|0;if(!(e&1))g=d;else g=f[(f[a>>2]|0)+d>>2]|0;d=Th[g&1023](a,c)|0;return +(+p[d>>3])}function av(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0;e=f[a>>2]|0;g=f[a+4>>2]|0;a=b+(g>>1)|0;if(!(g&1))h=e;else h=f[(f[a>>2]|0)+e>>2]|0;e=li[h&511](a,c,d)|0;return +(+p[e>>3])}function bv(){var a=0;a=cuc(8)|0;f[a>>2]=0;f[a+4>>2]=0;return a|0}function cv(a){a=a|0;if(!a)return;fuc(a);return}function dv(a,b){a=a|0;b=b|0;return f[b+(f[a>>2]|0)>>2]|0}function ev(a,b,c){a=a|0;b=b|0;c=c|0;f[b+(f[a>>2]|0)>>2]=c;return}function fv(){var a=0;a=cuc(16)|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;return a|0}function gv(a){a=a|0;if(!a)return;fuc(a);return}function hv(a,b){a=a|0;b=b|0;return f[b+(f[a>>2]|0)>>2]|0}function iv(a,b,c){a=a|0;b=b|0;c=c|0;f[b+(f[a>>2]|0)>>2]=c;return}function jv(a,b){a=a|0;b=b|0;return +(+p[b+(f[a>>2]|0)>>3])}function kv(a,b,c){a=a|0;b=b|0;c=+c;p[b+(f[a>>2]|0)>>3]=c;return}function lv(){var a=0;a=cuc(8)|0;f[a>>2]=0;f[a+4>>2]=0;return a|0}function mv(a){a=a|0;if(!a)return;fuc(a);return}function nv(a,b){a=a|0;b=b|0;return f[b+(f[a>>2]|0)>>2]|0}function ov(a,b,c){a=a|0;b=b|0;c=c|0;f[b+(f[a>>2]|0)>>2]=c;return}function pv(){var a=0;a=cuc(8)|0;n[a>>2]=0.0;n[a+4>>2]=0.0;return a|0}function qv(a){a=a|0;if(!a)return;fuc(a);return}function rv(a,b){a=a|0;b=b|0;return +(+n[b+(f[a>>2]|0)>>2])}function sv(a,b,c){a=a|0;b=b|0;c=+c;n[b+(f[a>>2]|0)>>2]=c;return}function tv(){var a=0;a=cuc(8)|0;f[a>>2]=0;f[a+4>>2]=0;return a|0}function uv(a){a=a|0;if(!a)return;fuc(a);return}function vv(a,b){a=a|0;b=b|0;return f[b+(f[a>>2]|0)>>2]|0}function wv(a,b,c){a=a|0;b=b|0;c=c|0;f[b+(f[a>>2]|0)>>2]=c;return}function xv(){var a=0;a=cuc(8)|0;n[a>>2]=0.0;n[a+4>>2]=0.0;return a|0}function yv(a){a=a|0;if(!a)return;fuc(a);return}function zv(a,b){a=a|0;b=b|0;return +(+n[b+(f[a>>2]|0)>>2])}function Av(a,b,c){a=a|0;b=b|0;c=+c;n[b+(f[a>>2]|0)>>2]=c;return}function Bv(){var a=0;a=cuc(16)|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;return a|0}function Cv(a){a=a|0;if(!a)return;fuc(a);return}function Dv(a,b){a=a|0;b=b|0;return f[b+(f[a>>2]|0)>>2]|0}function Ev(a,b,c){a=a|0;b=b|0;c=c|0;f[b+(f[a>>2]|0)>>2]=c;return}function Fv(){var a=0;a=cuc(16)|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;return a|0}function Gv(a){a=a|0;if(!a)return;fuc(a);return}function Hv(a,b){a=a|0;b=b|0;return +(+n[b+(f[a>>2]|0)>>2])}function Iv(a,b,c){a=a|0;b=b|0;c=+c;n[b+(f[a>>2]|0)>>2]=c;return}function Jv(){var a=0;a=cuc(20)|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;f[a+16>>2]=0;return a|0}function Kv(a){a=a|0;if(!a)return;fuc(a);return}function Lv(a,b){a=a|0;b=b|0;var c=0;c=b+(f[a>>2]|0)|0;a=cuc(8)|0;f[a>>2]=f[c>>2];f[a+4>>2]=f[c+4>>2];return a|0}function Mv(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;d=b+(f[a>>2]|0)|0;f[d>>2]=f[c>>2];f[d+4>>2]=f[c+4>>2];return}function Nv(a,b){a=a|0;b=b|0;var c=0;c=b+(f[a>>2]|0)|0;a=cuc(8)|0;f[a>>2]=f[c>>2];f[a+4>>2]=f[c+4>>2];return a|0}function Ov(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;d=b+(f[a>>2]|0)|0;f[d>>2]=f[c>>2];f[d+4>>2]=f[c+4>>2];return}function Pv(a,b){a=a|0;b=b|0;return +(+n[b+(f[a>>2]|0)>>2])}function Qv(a,b,c){a=a|0;b=b|0;c=+c;n[b+(f[a>>2]|0)>>2]=c;return}function Rv(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+16|0;d=c;yh[a&2047](d,b);Ld(f[d>>2]|0);b=f[d>>2]|0;_d(b|0);u=c;return b|0}function Sv(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+16|0;d=c;yh[a&2047](d,b);b=cuc(16)|0;f[b>>2]=f[d>>2];f[b+4>>2]=f[d+4>>2];f[b+8>>2]=f[d+8>>2];f[b+12>>2]=f[d+12>>2];u=c;return b|0}function Tv(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+16|0;d=c;yh[a&2047](d,b);b=cuc(16)|0;f[b>>2]=f[d>>2];f[b+4>>2]=f[d+4>>2];f[b+8>>2]=f[d+8>>2];f[b+12>>2]=f[d+12>>2];u=c;return b|0}function Uv(){var a=0;a=cuc(32)|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;f[a+16>>2]=0;f[a+20>>2]=0;f[a+24>>2]=0;f[a+28>>2]=0;return a|0}function Vv(a){a=a|0;if(!a)return;fuc(a);return}function Wv(a,b){a=a|0;b=b|0;return +(+p[b+(a<<3)>>3])}function Xv(a,b,c){a=a|0;b=b|0;c=+c;p[b+(a<<3)>>3]=c;return}function Yv(){var a=0;a=cuc(32)|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;f[a+16>>2]=0;f[a+20>>2]=0;f[a+24>>2]=0;f[a+28>>2]=0;return a|0}function Zv(a){a=a|0;if(!a)return;fuc(a);return}function _v(a,b){a=a|0;b=b|0;return +(+p[b+(f[a>>2]|0)>>3])}function $v(a,b,c){a=a|0;b=b|0;c=+c;p[b+(f[a>>2]|0)>>3]=c;return}function aw(a,b){a=a|0;b=b|0;var c=0;c=b+(f[a>>2]|0)|0;a=cuc(8)|0;f[a>>2]=f[c>>2];f[a+4>>2]=f[c+4>>2];return a|0}function bw(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;d=b+(f[a>>2]|0)|0;f[d>>2]=f[c>>2];f[d+4>>2]=f[c+4>>2];return}function cw(){var a=0;a=cuc(12)|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;return a|0}function dw(a){a=a|0;if(!a)return;fuc(a);return}function ew(a,b){a=a|0;b=b|0;var c=0;c=b+(f[a>>2]|0)|0;a=cuc(8)|0;f[a>>2]=f[c>>2];f[a+4>>2]=f[c+4>>2];return a|0}function fw(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;d=b+(f[a>>2]|0)|0;f[d>>2]=f[c>>2];f[d+4>>2]=f[c+4>>2];return}function gw(a,b){a=a|0;b=b|0;return +(+n[b+(f[a>>2]|0)>>2])}function hw(a,b,c){a=a|0;b=b|0;c=+c;n[b+(f[a>>2]|0)>>2]=c;return}function iw(){var a=0;a=cuc(192)|0;$na(a);return a|0}function jw(a){a=a|0;if(!a)return;fuc(a);return}function kw(a,b){a=a|0;b=b|0;return +(+p[b+(f[a>>2]|0)>>3])}function lw(a,b,c){a=a|0;b=b|0;c=+c;p[b+(f[a>>2]|0)>>3]=c;return}function mw(){var a=0;a=cuc(60)|0;wE(a);return a|0}function nw(a){a=a|0;if(!a)return;bi[f[(f[a>>2]|0)+4>>2]&2047](a);return}function ow(a,b){a=a|0;b=b|0;return f[b+(f[a>>2]|0)>>2]|0}function pw(a,b,c){a=a|0;b=b|0;c=c|0;f[b+(f[a>>2]|0)>>2]=c;return}function qw(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+16|0;e=d;yh[f[a>>2]&2047](e,c);c=b[e+11>>0]|0;a=c<<24>>24<0;g=a?f[e+4>>2]|0:c&255;c=pec(g+4|0)|0;f[c>>2]=g;h=f[e>>2]|0;szc(c+4|0,(a?h:e)|0,g|0)|0;if(!a){u=d;return c|0}fuc(h);u=d;return c|0}function rw(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;e=u;u=u+16|0;g=e;h=f[a>>2]|0;a=d+4|0;i=f[d>>2]|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;if(i>>>0>4294967279)muc(g);if(i>>>0<11){b[g+11>>0]=i;if(!i)j=g;else{k=g;l=6}}else{d=i+16&-16;m=cuc(d)|0;f[g>>2]=m;f[g+8>>2]=d|-2147483648;f[g+4>>2]=i;k=m;l=6}if((l|0)==6){szc(k|0,a|0,i|0)|0;j=k}b[j+i>>0]=0;yh[h&2047](c,g);if((b[g+11>>0]|0)>=0){u=e;return}fuc(f[g>>2]|0);u=e;return}function sw(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+64|0;d=c;yh[a&2047](d,b);b=cuc(60)|0;vj(b,d);RD(d);u=c;return b|0}function tw(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+16|0;d=c;yh[a&2047](d,b);b=cuc(12)|0;f[b>>2]=f[d>>2];f[b+4>>2]=f[d+4>>2];f[b+8>>2]=f[d+8>>2];u=c;return b|0}function uw(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=u;u=u+32|0;e=d;Zh[a&511](e,b,c);c=cuc(32)|0;f[c>>2]=f[e>>2];f[c+4>>2]=f[e+4>>2];f[c+8>>2]=f[e+8>>2];f[c+12>>2]=f[e+12>>2];f[c+16>>2]=f[e+16>>2];f[c+20>>2]=f[e+20>>2];f[c+24>>2]=f[e+24>>2];f[c+28>>2]=f[e+28>>2];u=d;return c|0}function vw(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+32|0;d=c;yh[a&2047](d,b);b=cuc(32)|0;f[b>>2]=f[d>>2];f[b+4>>2]=f[d+4>>2];f[b+8>>2]=f[d+8>>2];f[b+12>>2]=f[d+12>>2];f[b+16>>2]=f[d+16>>2];f[b+20>>2]=f[d+20>>2];f[b+24>>2]=f[d+24>>2];f[b+28>>2]=f[d+28>>2];u=c;return b|0}function ww(a){a=a|0;var b=0,c=0;b=u;u=u+32|0;c=b;bi[a&2047](c);a=cuc(32)|0;p[a>>3]=+p[c>>3];p[a+8>>3]=+p[c+8>>3];p[a+16>>3]=+p[c+16>>3];p[a+24>>3]=+p[c+24>>3];u=b;return a|0}function xw(a,b){a=a|0;b=b|0;return di[a&1023](b)|0}function yw(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0;e=u;u=u+32|0;g=e;h=e+16|0;f[g>>2]=f[d>>2];f[g+4>>2]=f[d+4>>2];f[g+8>>2]=f[d+8>>2];f[g+12>>2]=f[d+12>>2];sh[a&255](h,b,c,g);Ld(f[h>>2]|0);g=f[h>>2]|0;_d(g|0);u=e;return g|0}function zw(a){a=a|0;var c=0,d=0,e=0,g=0,h=0;c=u;u=u+16|0;d=c;bi[a&2047](d);a=b[d+11>>0]|0;e=a<<24>>24<0;g=e?f[d+4>>2]|0:a&255;a=pec(g+4|0)|0;f[a>>2]=g;h=f[d>>2]|0;szc(a+4|0,(e?h:d)|0,g|0)|0;if(!e){u=c;return a|0}fuc(h);u=c;return a|0}function Aw(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+4|0;d=f[a>>2]|0;e=(f[c>>2]|0)-d|0;g=e>>2;h=g+1|0;if(h>>>0>1073741823)nsc(a);i=a+8|0;j=(f[i>>2]|0)-d|0;k=j>>1;l=j>>2>>>0<536870911?(k>>>0<h>>>0?h:k):1073741823;do if(l)if(l>>>0>1073741823){k=ze(8)|0;kuc(k,519086);f[k>>2]=167148;Hf(k|0,26888,1888)}else{m=cuc(l<<2)|0;break}else m=0;while(0);k=m+(g<<2)|0;f[k>>2]=f[b>>2];b=k+(0-g<<2)|0;if((e|0)>0)szc(b|0,d|0,e|0)|0;f[a>>2]=b;f[c>>2]=k+4;f[i>>2]=m+(l<<2);if(!d)return;fuc(d);return}function Bw(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+4|0;d=f[a>>2]|0;e=(f[c>>2]|0)-d|0;g=e>>2;h=g+1|0;if(h>>>0>1073741823)nsc(a);i=a+8|0;j=(f[i>>2]|0)-d|0;k=j>>1;l=j>>2>>>0<536870911?(k>>>0<h>>>0?h:k):1073741823;do if(l)if(l>>>0>1073741823){k=ze(8)|0;kuc(k,519086);f[k>>2]=167148;Hf(k|0,26888,1888)}else{m=cuc(l<<2)|0;break}else m=0;while(0);k=m+(g<<2)|0;f[k>>2]=f[b>>2];b=k+(0-g<<2)|0;if((e|0)>0)szc(b|0,d|0,e|0)|0;f[a>>2]=b;f[c>>2]=k+4;f[i>>2]=m+(l<<2);if(!d)return;fuc(d);return}function Cw(a,c){a=a|0;c=c|0;var d=0,e=0,g=0.0,h=0,i=0,j=0,k=0,l=0,m=0;d=u;u=u+16|0;e=d;g=+Pd(f[c>>2]|0,9552,e|0);c=f[e>>2]|0;e=~~g>>>0;h=e+4|0;i=f[e>>2]|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;if(i>>>0>4294967279)muc(a);if(i>>>0<11){b[a+11>>0]=i;if(!i){j=a;k=j+i|0;b[k>>0]=0;ge(c|0);u=d;return}else l=a}else{e=i+16&-16;m=cuc(e)|0;f[a>>2]=m;f[a+8>>2]=e|-2147483648;f[a+4>>2]=i;l=m}szc(l|0,h|0,i|0)|0;j=l;k=j+i|0;b[k>>0]=0;ge(c|0);u=d;return}function Dw(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;d=a+4|0;e=f[a>>2]|0;g=((f[d>>2]|0)-e|0)/12|0;h=g+1|0;if(h>>>0>357913941)nsc(a);i=a+8|0;j=((f[i>>2]|0)-e|0)/12|0;e=j<<1;k=j>>>0<178956970?(e>>>0<h>>>0?h:e):357913941;do if(k)if(k>>>0>357913941){e=ze(8)|0;kuc(e,519086);f[e>>2]=167148;Hf(e|0,26888,1888)}else{l=cuc(k*12|0)|0;break}else l=0;while(0);e=l+(g*12|0)|0;g=e;h=l+(k*12|0)|0;f[e>>2]=f[c>>2];f[e+4>>2]=f[c+4>>2];f[e+8>>2]=f[c+8>>2];f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;c=e+12|0;k=f[a>>2]|0;l=f[d>>2]|0;if((l|0)==(k|0)){m=g;n=k;o=k}else{j=l;l=g;g=e;do{e=g+-12|0;j=j+-12|0;f[e>>2]=f[j>>2];f[e+4>>2]=f[j+4>>2];f[e+8>>2]=f[j+8>>2];f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;g=l+-12|0;l=g}while((j|0)!=(k|0));m=l;n=f[a>>2]|0;o=f[d>>2]|0}f[a>>2]=m;f[d>>2]=c;f[i>>2]=h;h=n;if((o|0)!=(h|0)){i=o;do{i=i+-12|0;if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0)}while((i|0)!=(h|0))}if(!n)return;fuc(n);return}function Ew(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=+d;e=+e;f=f|0;g=g|0;fg[a&3](b,c,d,e,f,g);return}function Fw(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=+d;e=+e;f=f|0;ng[a&7](b,c,d,e,f);return}function Gw(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=+d;e=+e;Bh[a&7](b,c,d,e);return}function Hw(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;g=g|0;lh[a&7](b,c,d,e,f,g);return}function Iw(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;_g[a&15](b,c,d,e,f);return}function Jw(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;g=+g;h=h|0;var i=0,j=0;i=u;u=u+16|0;j=i;f[j>>2]=f[d>>2];f[j+4>>2]=f[d+4>>2];lh[a&7](b,c,j,e,g,h);u=i;return}function Kw(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;g=+g;var h=0,i=0;h=u;u=u+16|0;i=h;f[i>>2]=f[d>>2];f[i+4>>2]=f[d+4>>2];_g[a&15](b,c,i,e,g);u=h;return}function Lw(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;var g=0,h=0;g=u;u=u+16|0;h=g;f[h>>2]=f[d>>2];f[h+4>>2]=f[d+4>>2];nh[a&63](b,c,h,e);u=g;return}function Mw(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;g=+g;h=+h;i=i|0;j=j|0;Sg[a&1](b,c,d,e,f,g,h,i,j);return}function Nw(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;g=+g;h=+h;i=i|0;Zf[a&1](b,c,d,e,f,g,h,i);return}function Ow(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;g=+g;h=+h;bg[a&1](b,c,d,e,f,g,h);return}function Pw(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;g=+g;fh[a&3](b,c,d,e,f,g);return}function Qw(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;_g[a&15](b,c,d,e,f);return}function Rw(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=+d;e=+e;f=f|0;g=+g;h=+h;i=+i;j=+j;ig[a&1](b,c,d,e,f,g,h,i,j);return}function Sw(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=+d;e=+e;f=f|0;g=+g;h=+h;i=+i;bh[a&1](b,c,d,e,f,g,h,i);return}function Tw(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=+d;e=+e;f=f|0;g=+g;h=+h;dg[a&3](b,c,d,e,f,g,h);return}function Uw(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=+d;e=+e;f=f|0;g=+g;gg[a&3](b,c,d,e,f,g);return}function Vw(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;g=+g;h=h|0;Yf[a&7](b,c,d,e,f,g,h);return}function Ww(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;g=+g;Hi[a&7](b,c,d,e,f,g);return}function Xw(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;zh[a&31](b,c,d,e,f);return}function Yw(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;sh[a&255](b,c,d,e);return}function Zw(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;Zh[a&511](b,c,d);return}function _w(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=+g;h=+h;i=i|0;Tf[a&3](b,c,d,e,f,g,h,i);return}function $w(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=+g;h=+h;pg[a&3](b,c,d,e,f,g,h);return}function ax(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=+g;Tg[a&7](b,c,d,e,f,g);return}function bx(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;th[a&255](b,c,d,e,f);return}function cx(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=+h;i=+i;j=j|0;vi[a&3](b,c,d,e,f,g,h,i,j);return}function dx(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=+h;i=+i;gi[a&3](b,c,d,e,f,g,h,i);return}function ex(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=+h;Rh[a&7](b,c,d,e,f,g,h);return}function fx(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;Vg[a&255](b,c,d,e,f,g);return}function gx(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;Zh[a&511](b,c,d);return}function hx(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;f=f|0;g=g|0;h=+h;Lg[a&1](b,c,d,e,f,g,h);return}function ix(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;th[a&255](b,c,d,e,f);return}function jx(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;sh[a&255](b,c,d,e);return}function kx(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=+c;d=d|0;e=+e;f=+f;g=g|0;h=h|0;Bi[a&1](b,c,d,e,f,g,h);return}function lx(a,b,c,d,e,f,g){a=a|0;b=b|0;c=+c;d=d|0;e=+e;f=+f;g=g|0;fi[a&1](b,c,d,e,f,g);return}function mx(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;Ch[a&15](b,c,d,e);return}function nx(a,b,c){a=a|0;b=b|0;c=c|0;return +(+xg[a&31](b,c))}function ox(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;g=g|0;lh[a&7](b,c,d,e,f,g);return}function px(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;Zh[a&511](b,c,d);return}function qx(a,b,c){a=a|0;b=b|0;c=c|0;yh[a&2047](b,c);return}function rx(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0;h=u;u=u+16|0;i=h+8|0;j=h;f[i>>2]=f[d>>2];f[i+4>>2]=f[d+4>>2];f[j>>2]=f[e>>2];f[j+4>>2]=f[e+4>>2];th[a&255](b,c,i,j,g);u=h;return}function sx(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0;g=u;u=u+16|0;h=g+8|0;i=g;f[h>>2]=f[d>>2];f[h+4>>2]=f[d+4>>2];f[i>>2]=f[e>>2];f[i+4>>2]=f[e+4>>2];sh[a&255](b,c,h,i);u=g;return}function tx(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0;e=u;u=u+16|0;g=e;f[g>>2]=f[d>>2];f[g+4>>2]=f[d+4>>2];Zh[a&511](b,c,g);u=e;return}function ux(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+16|0;d=c;yh[a&2047](d,b);b=cuc(16)|0;f[b>>2]=f[d>>2];f[b+4>>2]=f[d+4>>2];f[b+8>>2]=f[d+8>>2];f[b+12>>2]=f[d+12>>2];u=c;return b|0}function vx(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0;j=u;u=u+16|0;k=j+8|0;l=j;f[k>>2]=f[e>>2];f[k+4>>2]=f[e+4>>2];f[l>>2]=f[g>>2];f[l+4>>2]=f[g+4>>2];Ph[a&127](b,c,d,k,l,h,i);u=j;return}function wx(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0;i=u;u=u+16|0;j=i+8|0;k=i;f[j>>2]=f[e>>2];f[j+4>>2]=f[e+4>>2];f[k>>2]=f[g>>2];f[k+4>>2]=f[g+4>>2];Vg[a&255](b,c,d,j,k,h);u=i;return}function xx(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0;h=u;u=u+16|0;i=h+8|0;j=h;f[i>>2]=f[e>>2];f[i+4>>2]=f[e+4>>2];f[j>>2]=f[g>>2];f[j+4>>2]=f[g+4>>2];th[a&255](b,c,d,i,j);u=h;return}function yx(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0;g=u;u=u+16|0;h=g;f[h>>2]=f[e>>2];f[h+4>>2]=f[e+4>>2];sh[a&255](b,c,d,h);u=g;return}function zx(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=+h;var i=0,j=0,k=0;i=u;u=u+16|0;j=i+4|0;k=i;f[j>>2]=c;f[k>>2]=g;Tg[a&7](b,j,d,e,k,h);_d(f[k>>2]|0);_d(f[j>>2]|0);u=i;return}function Ax(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0;j=u;u=u+16|0;k=j+8|0;l=j+4|0;m=j;f[k>>2]=c;f[l>>2]=g;f[m>>2]=h;Ph[a&127](b,k,d,e,l,m,i);_d(f[m>>2]|0);_d(f[l>>2]|0);_d(f[k>>2]|0);u=j;return}function Bx(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0;i=u;u=u+16|0;j=i+8|0;k=i+4|0;l=i;f[j>>2]=c;f[k>>2]=g;f[l>>2]=h;Vg[a&255](b,j,d,e,k,l);_d(f[l>>2]|0);_d(f[k>>2]|0);_d(f[j>>2]|0);u=i;return}function Cx(a,b,c,d,e,f,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=f|0;g=g|0;h=h|0;i=i|0;j=+j;k=k|0;jh[a&1](b,c,d,e,f,g,h,i,j,k);return}function Dx(a,b,c,d,e,g,h,i,j,k,l,m){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=+m;var n=0,o=0,p=0;n=u;u=u+32|0;o=n;p=n+16|0;f[p>>2]=f[i>>2];f[p+4>>2]=f[i+4>>2];f[o>>2]=f[k>>2];f[o+4>>2]=f[k+4>>2];f[o+8>>2]=f[k+8>>2];f[o+12>>2]=f[k+12>>2];ag[a&1](b,c,d,e,g,h,p,j,o,l,m);u=n;return}function Ex(a,b,c,d,e,g,h,i,j,k,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0;m=u;u=u+32|0;n=m;o=m+16|0;f[o>>2]=f[i>>2];f[o+4>>2]=f[i+4>>2];f[n>>2]=f[k>>2];f[n+4>>2]=f[k+4>>2];f[n+8>>2]=f[k+8>>2];f[n+12>>2]=f[k+12>>2];ch[a&7](b,c,d,e,g,h,o,j,n,l);u=m;return}function Fx(a,b,c,d,e,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0;l=u;u=u+32|0;m=l;n=l+16|0;f[n>>2]=f[i>>2];f[n+4>>2]=f[i+4>>2];f[m>>2]=f[k>>2];f[m+4>>2]=f[k+4>>2];f[m+8>>2]=f[k+8>>2];f[m+12>>2]=f[k+12>>2];Sh[a&127](b,c,d,e,g,h,n,j,m);u=l;return}function Gx(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0;k=u;u=u+16|0;l=k;f[l>>2]=f[i>>2];f[l+4>>2]=f[i+4>>2];Gh[a&255](b,c,d,e,g,h,l,j);u=k;return}function Hx(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0;j=u;u=u+16|0;k=j;f[k>>2]=f[i>>2];f[k+4>>2]=f[i+4>>2];Ph[a&127](b,c,d,e,g,h,k);u=j;return}function Ix(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;Vg[a&255](b,c,d,e,f,g);return}function Jx(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;th[a&255](b,c,d,e,f);return}function Kx(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;sh[a&255](b,c,d,e);return}function Lx(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0;j=u;u=u+16|0;k=j;f[k>>2]=f[c>>2];f[k+4>>2]=f[c+4>>2];Ph[a&127](b,k,d,e,g,h,i);u=j;return}function Mx(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0;i=u;u=u+16|0;j=i;f[j>>2]=f[c>>2];f[j+4>>2]=f[c+4>>2];Vg[a&255](b,j,d,e,g,h);u=i;return}function Nx(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0;h=u;u=u+16|0;i=h;f[i>>2]=f[c>>2];f[i+4>>2]=f[c+4>>2];th[a&255](b,i,d,e,g);u=h;return}function Ox(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0;g=u;u=u+16|0;h=g;f[h>>2]=f[c>>2];f[h+4>>2]=f[c+4>>2];sh[a&255](b,h,d,e);u=g;return}function Px(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;sh[a&255](b,c,d,e);return}function Qx(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return +(+eh[a&31](b,c,d))}function Rx(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return Cg[a&127](b,c,d,e)|0}function Sx(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return li[a&511](b,c,d)|0}function Tx(a,b,c){a=a|0;b=b|0;c=c|0;return Th[a&1023](b,c)|0}function Ux(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;return Wf[a&127](b,c,d,e,f,g)|0}function Vx(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;return mh[a&127](b,c,d,e,f)|0}function Wx(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return Cg[a&127](b,c,d,e)|0}function Xx(a,b){a=a|0;b=b|0;return +(+qg[a&15](b))}function Yx(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;$h[a&31](b,c,d);return}function Zx(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;sh[a&255](b,c,d,e);return}function _x(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;Zh[a&511](b,c,d);return}function $x(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;Gh[a&255](b,c,d,e,f,g,h,i);return}function ay(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;Ph[a&127](b,c,d,e,f,g,h);return}function by(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;g=g|0;ii[a&15](b,c,d,e,f,g);return}function cy(a,b){a=a|0;b=b|0;return di[a&1023](b)|0}function dy(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0;j=u;u=u+16|0;k=j;f[k>>2]=f[e>>2];f[k+4>>2]=f[e+4>>2];Ph[a&127](b,c,d,k,g,h,i);u=j;return}function ey(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0;i=u;u=u+16|0;j=i;f[j>>2]=f[e>>2];f[j+4>>2]=f[e+4>>2];Vg[a&255](b,c,d,j,g,h);u=i;return}function fy(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0;h=u;u=u+16|0;i=h;f[i>>2]=f[e>>2];f[i+4>>2]=f[e+4>>2];th[a&255](b,c,d,i,g);u=h;return}function gy(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0;g=u;u=u+16|0;h=g;f[h>>2]=f[e>>2];f[h+4>>2]=f[e+4>>2];sh[a&255](b,c,d,h);u=g;return}function hy(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;Vg[a&255](b,c,d,e,f,g);return}function iy(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;th[a&255](b,c,d,e,f);return}function jy(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=f|0;$g[a&7](b,c,d,e,f);return}function ky(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;nh[a&63](b,c,d,e);return}function ly(a,b,c,d,e){a=a|0;b=+b;c=c|0;d=d|0;e=e|0;Wh[a&1](b,c,d,e);return}function my(a,b,c,d){a=a|0;b=+b;c=c|0;d=d|0;vg[a&1](b,c,d);return}function ny(a,b,c,d,e,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;var l=0,m=0;l=u;u=u+16|0;m=l;f[m>>2]=f[k>>2];f[m+4>>2]=f[k+4>>2];Sh[a&127](b,c,d,e,g,h,i,j,m);u=l;return}function oy(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;Gh[a&255](b,c,d,e,f,g,h,i);return}function py(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;Ph[a&127](b,c,d,e,f,g,h);return}function qy(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;Vg[a&255](b,c,d,e,f,g);return}function ry(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;th[a&255](b,c,d,e,f);return}function sy(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;sh[a&255](b,c,d,e);return}function ty(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return li[a&511](b,c,d)|0}function uy(a,b,c){a=a|0;b=b|0;c=c|0;return Th[a&1023](b,c)|0}function vy(a,b,c,d,e,g,h,i,j,k,l){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;g=+g;h=+h;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0;m=u;u=u+16|0;n=m+8|0;o=m;f[n>>2]=f[c>>2];f[n+4>>2]=f[c+4>>2];f[o>>2]=f[d>>2];f[o+4>>2]=f[d+4>>2];Hh[a&1](b,n,o,e,g,h,i,j,k,l);u=m;return}function wy(a,b,c,d,e,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;g=+g;h=+h;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0;l=u;u=u+16|0;m=l+8|0;n=l;f[m>>2]=f[c>>2];f[m+4>>2]=f[c+4>>2];f[n>>2]=f[d>>2];f[n+4>>2]=f[d+4>>2];Kg[a&1](b,m,n,e,g,h,i,j,k);u=l;return}function xy(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;g=+g;h=+h;i=i|0;j=j|0;var k=0,l=0,m=0;k=u;u=u+16|0;l=k+8|0;m=k;f[l>>2]=f[c>>2];f[l+4>>2]=f[c+4>>2];f[m>>2]=f[d>>2];f[m+4>>2]=f[d+4>>2];Fh[a&1](b,l,m,e,g,h,i,j);u=k;return}function yy(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;g=+g;h=+h;i=i|0;var j=0,k=0,l=0;j=u;u=u+16|0;k=j+8|0;l=j;f[k>>2]=f[c>>2];f[k+4>>2]=f[c+4>>2];f[l>>2]=f[d>>2];f[l+4>>2]=f[d+4>>2];Eg[a&1](b,k,l,e,g,h,i);u=j;return}function zy(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;th[a&255](b,c,d,e,f);return}function Ay(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;sh[a&255](b,c,d,e);return}function By(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;Zh[a&511](b,c,d);return}function Cy(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0;j=u;u=u+16|0;k=j+8|0;l=j;f[k>>2]=f[b>>2];f[k+4>>2]=f[b+4>>2];f[l>>2]=f[c>>2];f[l+4>>2]=f[c+4>>2];Ph[a&127](k,l,d,e,g,h,i);u=j;return}function Dy(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=+h;i=i|0;var j=0,k=0;j=u;u=u+16|0;k=j;f[k>>2]=f[g>>2];f[k+4>>2]=f[g+4>>2];hg[a&7](b,c,d,e,k,h,i);u=j;return}function Ey(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=+h;var i=0,j=0;i=u;u=u+16|0;j=i;f[j>>2]=f[g>>2];f[j+4>>2]=f[g+4>>2];Tg[a&7](b,c,d,e,j,h);u=i;return}function Fy(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0;h=u;u=u+16|0;i=h;f[i>>2]=f[g>>2];f[i+4>>2]=f[g+4>>2];th[a&255](b,c,d,e,i);u=h;return}function Gy(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;sh[a&255](b,c,d,e);return}function Hy(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0;i=u;u=u+16|0;j=i;f[j>>2]=f[h>>2];f[j+4>>2]=f[h+4>>2];Vg[a&255](b,c,d,e,g,j);u=i;return}function Iy(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;th[a&255](b,c,d,e,f);return}function Jy(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0.0;i=u;u=u+16|0;j=i;f[j>>2]=f[g>>2];f[j+4>>2]=f[g+4>>2];f[j+8>>2]=f[g+8>>2];f[j+12>>2]=f[g+12>>2];k=+zi[a&3](b,c,d,e,j,h);u=i;return +k}function Ky(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0.0;h=u;u=u+16|0;i=h;f[i>>2]=f[g>>2];f[i+4>>2]=f[g+4>>2];f[i+8>>2]=f[g+8>>2];f[i+12>>2]=f[g+12>>2];j=+ri[a&7](b,c,d,e,i);u=h;return +j}function Ly(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return +(+Jh[a&15](b,c,d,e))}function My(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return +(+eh[a&31](b,c,d))}function Ny(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+32|0;d=c;yh[a&2047](d,b);b=cuc(20)|0;f[b>>2]=f[d>>2];f[b+4>>2]=f[d+4>>2];f[b+8>>2]=f[d+8>>2];f[b+12>>2]=f[d+12>>2];f[b+16>>2]=f[d+16>>2];u=c;return b|0}function Oy(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;f=+f;g=g|0;h=h|0;mi[a&1](b,c,d,e,f,g,h);return}function Py(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;f=+f;g=g|0;Di[a&1](b,c,d,e,f,g);return}function Qy(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;d=u;u=u+64|0;e=d;Zh[a&511](e,b,c);c=cuc(56)|0;f[c>>2]=f[e>>2];b=e+4|0;a=f[b>>2]|0;f[c+4>>2]=a;g=c+8|0;h=e+8|0;f[g>>2]=f[h>>2];f[c+12>>2]=f[e+12>>2];i=e+16|0;f[c+16>>2]=f[i>>2];f[c+20>>2]=f[e+20>>2];f[c+24>>2]=f[e+24>>2];f[c+28>>2]=f[e+28>>2];f[c+32>>2]=f[e+32>>2];j=e+36|0;f[c+36>>2]=f[j>>2];k=c+40|0;f[k>>2]=g;g=c+44|0;l=c+48|0;f[g>>2]=l;m=c+52|0;f[m>>2]=0;f[l>>2]=0;n=e+44|0;if((a|0)<3){a=f[n>>2]|0;f[l>>2]=f[a>>2];f[m>>2]=f[a+4>>2];o=a}else{f[g>>2]=f[n>>2];g=e+40|0;f[k>>2]=f[g>>2];k=e+48|0;f[n>>2]=k;f[g>>2]=h;o=k}f[e>>2]=1124007936;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;f[b+16>>2]=0;f[b+20>>2]=0;f[b+24>>2]=0;f[b+28>>2]=0;f[j>>2]=0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;if((o|0)==(e+48|0)){u=d;return c|0}TC(o);u=d;return c|0}function Ry(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;e=u;u=u+64|0;g=e;sh[a&255](g,b,c,d);d=cuc(56)|0;f[d>>2]=f[g>>2];c=g+4|0;b=f[c>>2]|0;f[d+4>>2]=b;a=d+8|0;h=g+8|0;f[a>>2]=f[h>>2];f[d+12>>2]=f[g+12>>2];i=g+16|0;f[d+16>>2]=f[i>>2];f[d+20>>2]=f[g+20>>2];f[d+24>>2]=f[g+24>>2];f[d+28>>2]=f[g+28>>2];f[d+32>>2]=f[g+32>>2];j=g+36|0;f[d+36>>2]=f[j>>2];k=d+40|0;f[k>>2]=a;a=d+44|0;l=d+48|0;f[a>>2]=l;m=d+52|0;f[m>>2]=0;f[l>>2]=0;n=g+44|0;if((b|0)<3){b=f[n>>2]|0;f[l>>2]=f[b>>2];f[m>>2]=f[b+4>>2];o=b}else{f[a>>2]=f[n>>2];a=g+40|0;f[k>>2]=f[a>>2];k=g+48|0;f[n>>2]=k;f[a>>2]=h;o=k}f[g>>2]=1124007936;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;f[c+16>>2]=0;f[c+20>>2]=0;f[c+24>>2]=0;f[c+28>>2]=0;f[j>>2]=0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;if((o|0)==(g+48|0)){u=e;return d|0}TC(o);u=e;return d|0}function Sy(a,b,c,d){a=a|0;b=b|0;c=+c;d=+d;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=u;u=u+64|0;g=e+8|0;h=e;f[h>>2]=f[b>>2];f[h+4>>2]=f[b+4>>2];Bh[a&7](g,h,c,d);h=cuc(56)|0;f[h>>2]=f[g>>2];a=g+4|0;b=f[a>>2]|0;f[h+4>>2]=b;i=h+8|0;j=g+8|0;f[i>>2]=f[j>>2];f[h+12>>2]=f[g+12>>2];k=g+16|0;f[h+16>>2]=f[k>>2];f[h+20>>2]=f[g+20>>2];f[h+24>>2]=f[g+24>>2];f[h+28>>2]=f[g+28>>2];f[h+32>>2]=f[g+32>>2];l=g+36|0;f[h+36>>2]=f[l>>2];m=h+40|0;f[m>>2]=i;i=h+44|0;n=h+48|0;f[i>>2]=n;o=h+52|0;f[o>>2]=0;f[n>>2]=0;p=g+44|0;if((b|0)<3){b=f[p>>2]|0;f[n>>2]=f[b>>2];f[o>>2]=f[b+4>>2];q=b}else{f[i>>2]=f[p>>2];i=g+40|0;f[m>>2]=f[i>>2];m=g+48|0;f[p>>2]=m;f[i>>2]=j;q=m}f[g>>2]=1124007936;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;f[a+16>>2]=0;f[a+20>>2]=0;f[a+24>>2]=0;f[a+28>>2]=0;f[l>>2]=0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;if((q|0)==(g+48|0)){u=e;return h|0}TC(q);u=e;return h|0}function Ty(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;e=u;u=u+80|0;g=e+16|0;h=e+8|0;i=e;f[h>>2]=f[c>>2];f[h+4>>2]=f[c+4>>2];f[i>>2]=f[d>>2];f[i+4>>2]=f[d+4>>2];sh[a&255](g,b,h,i);i=cuc(56)|0;f[i>>2]=f[g>>2];h=g+4|0;b=f[h>>2]|0;f[i+4>>2]=b;a=i+8|0;d=g+8|0;f[a>>2]=f[d>>2];f[i+12>>2]=f[g+12>>2];c=g+16|0;f[i+16>>2]=f[c>>2];f[i+20>>2]=f[g+20>>2];f[i+24>>2]=f[g+24>>2];f[i+28>>2]=f[g+28>>2];f[i+32>>2]=f[g+32>>2];j=g+36|0;f[i+36>>2]=f[j>>2];k=i+40|0;f[k>>2]=a;a=i+44|0;l=i+48|0;f[a>>2]=l;m=i+52|0;f[m>>2]=0;f[l>>2]=0;n=g+44|0;if((b|0)<3){b=f[n>>2]|0;f[l>>2]=f[b>>2];f[m>>2]=f[b+4>>2];o=b}else{f[a>>2]=f[n>>2];a=g+40|0;f[k>>2]=f[a>>2];k=g+48|0;f[n>>2]=k;f[a>>2]=d;o=k}f[g>>2]=1124007936;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;f[h+16>>2]=0;f[h+20>>2]=0;f[h+24>>2]=0;f[h+28>>2]=0;f[j>>2]=0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((o|0)==(g+48|0)){u=e;return i|0}TC(o);u=e;return i|0}function Uy(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;d=u;u=u+64|0;e=d+8|0;g=d;f[g>>2]=f[c>>2];f[g+4>>2]=f[c+4>>2];Zh[a&511](e,b,g);g=cuc(56)|0;f[g>>2]=f[e>>2];b=e+4|0;a=f[b>>2]|0;f[g+4>>2]=a;c=g+8|0;h=e+8|0;f[c>>2]=f[h>>2];f[g+12>>2]=f[e+12>>2];i=e+16|0;f[g+16>>2]=f[i>>2];f[g+20>>2]=f[e+20>>2];f[g+24>>2]=f[e+24>>2];f[g+28>>2]=f[e+28>>2];f[g+32>>2]=f[e+32>>2];j=e+36|0;f[g+36>>2]=f[j>>2];k=g+40|0;f[k>>2]=c;c=g+44|0;l=g+48|0;f[c>>2]=l;m=g+52|0;f[m>>2]=0;f[l>>2]=0;n=e+44|0;if((a|0)<3){a=f[n>>2]|0;f[l>>2]=f[a>>2];f[m>>2]=f[a+4>>2];o=a}else{f[c>>2]=f[n>>2];c=e+40|0;f[k>>2]=f[c>>2];k=e+48|0;f[n>>2]=k;f[c>>2]=h;o=k}f[e>>2]=1124007936;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;f[b+16>>2]=0;f[b+20>>2]=0;f[b+24>>2]=0;f[b+28>>2]=0;f[j>>2]=0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;if((o|0)==(e+48|0)){u=d;return g|0}TC(o);u=d;return g|0}function Vy(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;g=g|0;h=h|0;i=i|0;j=+j;zg[a&1](b,c,d,e,f,g,h,i,j);return}function Wy(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;g=g|0;h=h|0;i=i|0;ji[a&3](b,c,d,e,f,g,h,i);return}function Xy(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;g=g|0;h=h|0;Uh[a&3](b,c,d,e,f,g,h);return}function Yy(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;g=g|0;lh[a&7](b,c,d,e,f,g);return}function Zy(a,b,c,d,e,f,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;g=g|0;h=h|0;i=i|0;j=j|0;k=+k;kh[a&1](b,c,d,e,f,g,h,i,j,k);return}function _y(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;g=g|0;h=h|0;i=i|0;j=j|0;yg[a&1](b,c,d,e,f,g,h,i,j);return}function $y(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;g=g|0;h=h|0;i=i|0;ji[a&3](b,c,d,e,f,g,h,i);return}function az(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0;j=u;u=u+16|0;k=j;f[k>>2]=f[d>>2];f[k+4>>2]=f[d+4>>2];f[k+8>>2]=f[d+8>>2];f[k+12>>2]=f[d+12>>2];Ph[a&127](b,c,k,e,g,h,i);u=j;return}function bz(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0;i=u;u=u+16|0;j=i;f[j>>2]=f[d>>2];f[j+4>>2]=f[d+4>>2];f[j+8>>2]=f[d+8>>2];f[j+12>>2]=f[d+12>>2];Vg[a&255](b,c,j,e,g,h);u=i;return}function cz(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;nh[a&63](b,c,d,e);return}function dz(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;Zh[a&511](b,c,d);return}function ez(a,b,c){a=a|0;b=b|0;c=c|0;yh[a&2047](b,c);return}function fz(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;sh[a&255](b,c,d,e);return}function gz(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0;k=u;u=u+16|0;l=k;f[l>>2]=f[g>>2];f[l+4>>2]=f[g+4>>2];Gh[a&255](b,c,d,e,l,h,i,j);u=k;return}function hz(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;sh[a&255](b,c,d,e);return}function iz(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;Zh[a&511](b,c,d);return}function jz(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return +(+eh[a&31](b,c,d))}function kz(a,b,c){a=a|0;b=b|0;c=c|0;return +(+xg[a&31](b,c))}function lz(a,b){a=a|0;b=b|0;return di[a&1023](b)|0}function mz(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0.0;j=u;u=u+16|0;k=j;f[k>>2]=f[e>>2];f[k+4>>2]=f[e+4>>2];f[k+8>>2]=f[e+8>>2];f[k+12>>2]=f[e+12>>2];l=+wg[a&3](b,c,d,k,g,h,i);u=j;return +l}function nz(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0.0;i=u;u=u+16|0;j=i;f[j>>2]=f[e>>2];f[j+4>>2]=f[e+4>>2];f[j+8>>2]=f[e+8>>2];f[j+12>>2]=f[e+12>>2];k=+zi[a&3](b,c,d,j,g,h);u=i;return +k}function oz(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0;j=u;u=u+16|0;k=j+8|0;l=j;f[k>>2]=f[c>>2];f[k+4>>2]=f[c+4>>2];f[l>>2]=f[d>>2];f[l+4>>2]=f[d+4>>2];Ph[a&127](b,k,l,e,g,h,i);u=j;return}function pz(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0;i=u;u=u+16|0;j=i+8|0;k=i;f[j>>2]=f[c>>2];f[j+4>>2]=f[c+4>>2];f[k>>2]=f[d>>2];f[k+4>>2]=f[d+4>>2];Vg[a&255](b,j,k,e,g,h);u=i;return}function qz(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0;h=u;u=u+16|0;i=h+8|0;j=h;f[i>>2]=f[c>>2];f[i+4>>2]=f[c+4>>2];f[j>>2]=f[d>>2];f[j+4>>2]=f[d+4>>2];th[a&255](b,i,j,e,g);u=h;return}function rz(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0;g=u;u=u+16|0;h=g+8|0;i=g;f[h>>2]=f[c>>2];f[h+4>>2]=f[c+4>>2];f[i>>2]=f[d>>2];f[i+4>>2]=f[d+4>>2];sh[a&255](b,h,i,e);u=g;return}function sz(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;return +(+Eh[a&1](b,c,d,e))}function tz(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;th[a&255](b,c,d,e,f);return}function uz(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=u;u=u+32|0;e=d;Zh[a&511](e,b,c);c=cuc(32)|0;p[c>>3]=+p[e>>3];p[c+8>>3]=+p[e+8>>3];p[c+16>>3]=+p[e+16>>3];p[c+24>>3]=+p[e+24>>3];u=d;return c|0}function vz(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+32|0;d=c;yh[a&2047](d,b);b=cuc(32)|0;p[b>>3]=+p[d>>3];p[b+8>>3]=+p[d+8>>3];p[b+16>>3]=+p[d+16>>3];p[b+24>>3]=+p[d+24>>3];u=c;return b|0}function wz(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;sh[a&255](b,c,d,e);return}function xz(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0;e=u;u=u+16|0;g=e;f[g>>2]=d;Zh[a&511](b,c,g);_d(f[g>>2]|0);u=e;return}function yz(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=u;u=u+192|0;e=d;Zh[a&511](e,b,c);c=cuc(192)|0;szc(c|0,e|0,192)|0;u=d;return c|0}function zz(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+192|0;d=c;yh[a&2047](d,b);b=cuc(192)|0;szc(b|0,d|0,192)|0;u=c;return b|0}function Az(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0;k=u;u=u+16|0;l=k;f[l>>2]=f[g>>2];f[l+4>>2]=f[g+4>>2];Gh[a&255](b,c,d,e,l,h,i,j);u=k;return}function Bz(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0;j=u;u=u+16|0;k=j;f[k>>2]=f[g>>2];f[k+4>>2]=f[g+4>>2];Ph[a&127](b,c,d,e,k,h,i);u=j;return}function Cz(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0;i=u;u=u+16|0;j=i;f[j>>2]=f[g>>2];f[j+4>>2]=f[g+4>>2];Vg[a&255](b,c,d,e,j,h);u=i;return}function Dz(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return +(+eh[a&31](b,c,d))}function Ez(a,b,c){a=a|0;b=b|0;c=c|0;return +(+xg[a&31](b,c))}function Fz(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return +(+Jh[a&15](b,c,d,e))}function Gz(a,b,c){a=a|0;b=b|0;c=c|0;return +(+xg[a&31](b,c))}function Hz(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=+d;e=+e;f=f|0;g=g|0;h=h|0;Ig[a&1](b,c,d,e,f,g,h);return}function Iz(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=+d;e=+e;f=f|0;g=g|0;fg[a&3](b,c,d,e,f,g);return}function Jz(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0.0;e=u;u=u+16|0;g=e;f[g>>2]=f[c>>2];f[g+4>>2]=f[c+4>>2];h=+eh[a&31](b,g,d);u=e;return +h}function Kz(a,b,c,d){a=a|0;b=b|0;c=+c;d=d|0;eg[a&7](b,c,d);return}function Lz(a,c,d,e,g,h,i,j,k,l){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=+h;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;m=u;u=u+64|0;n=m+40|0;o=m+32|0;q=m;r=d+4|0;s=f[d>>2]|0;f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;if(s>>>0>4294967279)muc(n);if(s>>>0<11){b[n+11>>0]=s;if(!s)t=n;else{v=n;w=6}}else{d=s+16&-16;x=cuc(d)|0;f[n>>2]=x;f[n+8>>2]=d|-2147483648;f[n+4>>2]=s;v=x;w=6}if((w|0)==6){szc(v|0,r|0,s|0)|0;t=v}b[t+s>>0]=0;f[o>>2]=f[e>>2];f[o+4>>2]=f[e+4>>2];p[q>>3]=+p[i>>3];p[q+8>>3]=+p[i+8>>3];p[q+16>>3]=+p[i+16>>3];p[q+24>>3]=+p[i+24>>3];uh[a&7](c,n,o,g,h,q,j,k,l);if((b[n+11>>0]|0)>=0){u=m;return}fuc(f[n>>2]|0);u=m;return}function Mz(a,c,d,e,g,h,i,j,k){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=+h;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0;l=u;u=u+64|0;m=l+40|0;n=l+32|0;o=l;q=d+4|0;r=f[d>>2]|0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;if(r>>>0>4294967279)muc(m);if(r>>>0<11){b[m+11>>0]=r;if(!r)s=m;else{t=m;v=6}}else{d=r+16&-16;w=cuc(d)|0;f[m>>2]=w;f[m+8>>2]=d|-2147483648;f[m+4>>2]=r;t=w;v=6}if((v|0)==6){szc(t|0,q|0,r|0)|0;s=t}b[s+r>>0]=0;f[n>>2]=f[e>>2];f[n+4>>2]=f[e+4>>2];p[o>>3]=+p[i>>3];p[o+8>>3]=+p[i+8>>3];p[o+16>>3]=+p[i+16>>3];p[o+24>>3]=+p[i+24>>3];Sf[a&7](c,m,n,g,h,o,j,k);if((b[m+11>>0]|0)>=0){u=l;return}fuc(f[m>>2]|0);u=l;return}function Nz(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=+h;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0;k=u;u=u+64|0;l=k+40|0;m=k+32|0;n=k;o=d+4|0;q=f[d>>2]|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;if(q>>>0>4294967279)muc(l);if(q>>>0<11){b[l+11>>0]=q;if(!q)r=l;else{s=l;t=6}}else{d=q+16&-16;v=cuc(d)|0;f[l>>2]=v;f[l+8>>2]=d|-2147483648;f[l+4>>2]=q;s=v;t=6}if((t|0)==6){szc(s|0,o|0,q|0)|0;r=s}b[r+q>>0]=0;f[m>>2]=f[e>>2];f[m+4>>2]=f[e+4>>2];p[n>>3]=+p[i>>3];p[n+8>>3]=+p[i+8>>3];p[n+16>>3]=+p[i+16>>3];p[n+24>>3]=+p[i+24>>3];qi[a&7](c,l,m,g,h,n,j);if((b[l+11>>0]|0)>=0){u=k;return}fuc(f[l>>2]|0);u=k;return}function Oz(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=+h;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0;j=u;u=u+64|0;k=j+40|0;l=j+32|0;m=j;n=d+4|0;o=f[d>>2]|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;if(o>>>0>4294967279)muc(k);if(o>>>0<11){b[k+11>>0]=o;if(!o)q=k;else{r=k;s=6}}else{d=o+16&-16;t=cuc(d)|0;f[k>>2]=t;f[k+8>>2]=d|-2147483648;f[k+4>>2]=o;r=t;s=6}if((s|0)==6){szc(r|0,n|0,o|0)|0;q=r}b[q+o>>0]=0;f[l>>2]=f[e>>2];f[l+4>>2]=f[e+4>>2];p[m>>3]=+p[i>>3];p[m+8>>3]=+p[i+8>>3];p[m+16>>3]=+p[i+16>>3];p[m+24>>3]=+p[i+24>>3];ii[a&15](c,k,l,g,h,m);if((b[k+11>>0]|0)>=0){u=j;return}fuc(f[k>>2]|0);u=j;return}function Pz(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;sh[a&255](b,c,d,e);return}function Qz(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;Zh[a&511](b,c,d);return}function Rz(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;Zh[a&511](b,c,d);return}function Sz(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0;i=u;u=u+16|0;j=i;f[j>>2]=f[c>>2];f[j+4>>2]=f[c+4>>2];f[j+8>>2]=f[c+8>>2];f[j+12>>2]=f[c+12>>2];Vg[a&255](b,j,d,e,g,h);u=i;return}function Tz(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0;h=u;u=u+16|0;i=h;f[i>>2]=f[c>>2];f[i+4>>2]=f[c+4>>2];f[i+8>>2]=f[c+8>>2];f[i+12>>2]=f[c+12>>2];th[a&255](b,i,d,e,g);u=h;return}function Uz(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0;g=u;u=u+16|0;h=g;f[h>>2]=f[c>>2];f[h+4>>2]=f[c+4>>2];f[h+8>>2]=f[c+8>>2];f[h+12>>2]=f[c+12>>2];sh[a&255](b,h,d,e);u=g;return}function Vz(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0;e=u;u=u+16|0;g=e;f[g>>2]=f[c>>2];f[g+4>>2]=f[c+4>>2];f[g+8>>2]=f[c+8>>2];f[g+12>>2]=f[c+12>>2];Zh[a&511](b,g,d);u=e;return}function Wz(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;Ph[a&127](b,c,d,e,f,g,h);return}function Xz(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;Vg[a&255](b,c,d,e,f,g);return}function Yz(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;th[a&255](b,c,d,e,f);return}function Zz(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;sh[a&255](b,c,d,e);return}function _z(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=+i;j=j|0;var k=0,l=0;k=u;u=u+16|0;l=k;f[l>>2]=f[h>>2];f[l+4>>2]=f[h+4>>2];Xg[a&3](b,c,d,e,g,l,i,j);u=k;return}function $z(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=+i;var j=0,k=0;j=u;u=u+16|0;k=j;f[k>>2]=f[h>>2];f[k+4>>2]=f[h+4>>2];Rh[a&7](b,c,d,e,g,k,i);u=j;return}function aA(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0;i=u;u=u+16|0;j=i;f[j>>2]=f[h>>2];f[j+4>>2]=f[h+4>>2];Vg[a&255](b,c,d,e,g,j);u=i;return}function bA(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;th[a&255](b,c,d,e,f);return}function cA(a,b,c){a=a|0;b=b|0;c=c|0;yh[a&2047](b,c);return}function dA(a,b){a=a|0;b=b|0;bi[a&2047](b);return}function eA(a,b){a=a|0;b=b|0;bi[a&2047](b);return}function fA(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return Cg[a&127](b,c,d,e)|0}function gA(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return li[a&511](b,c,d)|0}function hA(a,b,c){a=a|0;b=b|0;c=c|0;yh[a&2047](b,c);return}function iA(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=+d;e=+e;f=f|0;return +(+dh[a&1](b,c,d,e,f))}function jA(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;th[a&255](b,c,d,e,f);return}function kA(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;sh[a&255](b,c,d,e);return}function lA(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0;j=u;u=u+16|0;k=j;f[k>>2]=f[e>>2];f[k+4>>2]=f[e+4>>2];Ph[a&127](b,c,d,k,g,h,i);u=j;return}function mA(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0;i=u;u=u+16|0;j=i;f[j>>2]=f[e>>2];f[j+4>>2]=f[e+4>>2];Vg[a&255](b,c,d,j,g,h);u=i;return}function nA(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0;h=u;u=u+16|0;i=h;f[i>>2]=f[e>>2];f[i+4>>2]=f[e+4>>2];th[a&255](b,c,d,i,g);u=h;return}function oA(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0;g=u;u=u+16|0;h=g;f[h>>2]=f[e>>2];f[h+4>>2]=f[e+4>>2];sh[a&255](b,c,d,h);u=g;return}function pA(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=+c;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0;j=u;u=u+64|0;k=j;ai[a&1](k,b,c,d,e,g,h,i);i=cuc(56)|0;f[i>>2]=f[k>>2];h=k+4|0;g=f[h>>2]|0;f[i+4>>2]=g;e=i+8|0;d=k+8|0;f[e>>2]=f[d>>2];f[i+12>>2]=f[k+12>>2];b=k+16|0;f[i+16>>2]=f[b>>2];f[i+20>>2]=f[k+20>>2];f[i+24>>2]=f[k+24>>2];f[i+28>>2]=f[k+28>>2];f[i+32>>2]=f[k+32>>2];a=k+36|0;f[i+36>>2]=f[a>>2];l=i+40|0;f[l>>2]=e;e=i+44|0;m=i+48|0;f[e>>2]=m;n=i+52|0;f[n>>2]=0;f[m>>2]=0;o=k+44|0;if((g|0)<3){g=f[o>>2]|0;f[m>>2]=f[g>>2];f[n>>2]=f[g+4>>2];p=g}else{f[e>>2]=f[o>>2];e=k+40|0;f[l>>2]=f[e>>2];l=k+48|0;f[o>>2]=l;f[e>>2]=d;p=l}f[k>>2]=1124007936;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;f[h+16>>2]=0;f[h+20>>2]=0;f[h+24>>2]=0;f[h+28>>2]=0;f[a>>2]=0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;if((p|0)==(k+48|0)){u=j;return i|0}TC(p);u=j;return i|0}function qA(a,b,c,d,e,g,h){a=a|0;b=b|0;c=+c;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;i=u;u=u+64|0;j=i;Ng[a&1](j,b,c,d,e,g,h);h=cuc(56)|0;f[h>>2]=f[j>>2];g=j+4|0;e=f[g>>2]|0;f[h+4>>2]=e;d=h+8|0;b=j+8|0;f[d>>2]=f[b>>2];f[h+12>>2]=f[j+12>>2];a=j+16|0;f[h+16>>2]=f[a>>2];f[h+20>>2]=f[j+20>>2];f[h+24>>2]=f[j+24>>2];f[h+28>>2]=f[j+28>>2];f[h+32>>2]=f[j+32>>2];k=j+36|0;f[h+36>>2]=f[k>>2];l=h+40|0;f[l>>2]=d;d=h+44|0;m=h+48|0;f[d>>2]=m;n=h+52|0;f[n>>2]=0;f[m>>2]=0;o=j+44|0;if((e|0)<3){e=f[o>>2]|0;f[m>>2]=f[e>>2];f[n>>2]=f[e+4>>2];p=e}else{f[d>>2]=f[o>>2];d=j+40|0;f[l>>2]=f[d>>2];l=j+48|0;f[o>>2]=l;f[d>>2]=b;p=l}f[j>>2]=1124007936;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;f[g+16>>2]=0;f[g+20>>2]=0;f[g+24>>2]=0;f[g+28>>2]=0;f[k>>2]=0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;if((p|0)==(j+48|0)){u=i;return h|0}TC(p);u=i;return h|0}function rA(a,b,c,d,e,g){a=a|0;b=b|0;c=+c;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=u;u=u+64|0;i=h;_f[a&1](i,b,c,d,e,g);g=cuc(56)|0;f[g>>2]=f[i>>2];e=i+4|0;d=f[e>>2]|0;f[g+4>>2]=d;b=g+8|0;a=i+8|0;f[b>>2]=f[a>>2];f[g+12>>2]=f[i+12>>2];j=i+16|0;f[g+16>>2]=f[j>>2];f[g+20>>2]=f[i+20>>2];f[g+24>>2]=f[i+24>>2];f[g+28>>2]=f[i+28>>2];f[g+32>>2]=f[i+32>>2];k=i+36|0;f[g+36>>2]=f[k>>2];l=g+40|0;f[l>>2]=b;b=g+44|0;m=g+48|0;f[b>>2]=m;n=g+52|0;f[n>>2]=0;f[m>>2]=0;o=i+44|0;if((d|0)<3){d=f[o>>2]|0;f[m>>2]=f[d>>2];f[n>>2]=f[d+4>>2];p=d}else{f[b>>2]=f[o>>2];b=i+40|0;f[l>>2]=f[b>>2];l=i+48|0;f[o>>2]=l;f[b>>2]=a;p=l}f[i>>2]=1124007936;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;f[e+16>>2]=0;f[e+20>>2]=0;f[e+24>>2]=0;f[e+28>>2]=0;f[k>>2]=0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;if((p|0)==(i+48|0)){u=h;return g|0}TC(p);u=h;return g|0}function sA(a,b,c,d,e){a=a|0;b=b|0;c=+c;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;g=u;u=u+64|0;h=g;ph[a&1](h,b,c,d,e);e=cuc(56)|0;f[e>>2]=f[h>>2];d=h+4|0;b=f[d>>2]|0;f[e+4>>2]=b;a=e+8|0;i=h+8|0;f[a>>2]=f[i>>2];f[e+12>>2]=f[h+12>>2];j=h+16|0;f[e+16>>2]=f[j>>2];f[e+20>>2]=f[h+20>>2];f[e+24>>2]=f[h+24>>2];f[e+28>>2]=f[h+28>>2];f[e+32>>2]=f[h+32>>2];k=h+36|0;f[e+36>>2]=f[k>>2];l=e+40|0;f[l>>2]=a;a=e+44|0;m=e+48|0;f[a>>2]=m;n=e+52|0;f[n>>2]=0;f[m>>2]=0;o=h+44|0;if((b|0)<3){b=f[o>>2]|0;f[m>>2]=f[b>>2];f[n>>2]=f[b+4>>2];p=b}else{f[a>>2]=f[o>>2];a=h+40|0;f[l>>2]=f[a>>2];l=h+48|0;f[o>>2]=l;f[a>>2]=i;p=l}f[h>>2]=1124007936;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;f[d+16>>2]=0;f[d+20>>2]=0;f[d+24>>2]=0;f[d+28>>2]=0;f[k>>2]=0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;if((p|0)==(h+48|0)){u=g;return e|0}TC(p);u=g;return e|0}function tA(a,b,c,d){a=a|0;b=b|0;c=+c;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;e=u;u=u+64|0;g=e;Ch[a&15](g,b,c,d);d=cuc(56)|0;f[d>>2]=f[g>>2];b=g+4|0;a=f[b>>2]|0;f[d+4>>2]=a;h=d+8|0;i=g+8|0;f[h>>2]=f[i>>2];f[d+12>>2]=f[g+12>>2];j=g+16|0;f[d+16>>2]=f[j>>2];f[d+20>>2]=f[g+20>>2];f[d+24>>2]=f[g+24>>2];f[d+28>>2]=f[g+28>>2];f[d+32>>2]=f[g+32>>2];k=g+36|0;f[d+36>>2]=f[k>>2];l=d+40|0;f[l>>2]=h;h=d+44|0;m=d+48|0;f[h>>2]=m;n=d+52|0;f[n>>2]=0;f[m>>2]=0;o=g+44|0;if((a|0)<3){a=f[o>>2]|0;f[m>>2]=f[a>>2];f[n>>2]=f[a+4>>2];p=a}else{f[h>>2]=f[o>>2];h=g+40|0;f[l>>2]=f[h>>2];l=g+48|0;f[o>>2]=l;f[h>>2]=i;p=l}f[g>>2]=1124007936;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;f[b+16>>2]=0;f[b+20>>2]=0;f[b+24>>2]=0;f[b+28>>2]=0;f[k>>2]=0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;if((p|0)==(g+48|0)){u=e;return d|0}TC(p);u=e;return d|0}function uA(a,b,c){a=a|0;b=b|0;c=+c;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;d=u;u=u+64|0;e=d;$h[a&31](e,b,c);b=cuc(56)|0;f[b>>2]=f[e>>2];a=e+4|0;g=f[a>>2]|0;f[b+4>>2]=g;h=b+8|0;i=e+8|0;f[h>>2]=f[i>>2];f[b+12>>2]=f[e+12>>2];j=e+16|0;f[b+16>>2]=f[j>>2];f[b+20>>2]=f[e+20>>2];f[b+24>>2]=f[e+24>>2];f[b+28>>2]=f[e+28>>2];f[b+32>>2]=f[e+32>>2];k=e+36|0;f[b+36>>2]=f[k>>2];l=b+40|0;f[l>>2]=h;h=b+44|0;m=b+48|0;f[h>>2]=m;n=b+52|0;f[n>>2]=0;f[m>>2]=0;o=e+44|0;if((g|0)<3){g=f[o>>2]|0;f[m>>2]=f[g>>2];f[n>>2]=f[g+4>>2];p=g}else{f[h>>2]=f[o>>2];h=e+40|0;f[l>>2]=f[h>>2];l=e+48|0;f[o>>2]=l;f[h>>2]=i;p=l}f[e>>2]=1124007936;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;f[a+16>>2]=0;f[a+20>>2]=0;f[a+24>>2]=0;f[a+28>>2]=0;f[k>>2]=0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;if((p|0)==(e+48|0)){u=d;return b|0}TC(p);u=d;return b|0}function vA(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;c=u;u=u+64|0;d=c;yh[a&2047](d,b);b=cuc(56)|0;f[b>>2]=f[d>>2];a=d+4|0;e=f[a>>2]|0;f[b+4>>2]=e;g=b+8|0;h=d+8|0;f[g>>2]=f[h>>2];f[b+12>>2]=f[d+12>>2];i=d+16|0;f[b+16>>2]=f[i>>2];f[b+20>>2]=f[d+20>>2];f[b+24>>2]=f[d+24>>2];f[b+28>>2]=f[d+28>>2];f[b+32>>2]=f[d+32>>2];j=d+36|0;f[b+36>>2]=f[j>>2];k=b+40|0;f[k>>2]=g;g=b+44|0;l=b+48|0;f[g>>2]=l;m=b+52|0;f[m>>2]=0;f[l>>2]=0;n=d+44|0;if((e|0)<3){e=f[n>>2]|0;f[l>>2]=f[e>>2];f[m>>2]=f[e+4>>2];o=e}else{f[g>>2]=f[n>>2];g=d+40|0;f[k>>2]=f[g>>2];k=d+48|0;f[n>>2]=k;f[g>>2]=h;o=k}f[d>>2]=1124007936;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;f[a+16>>2]=0;f[a+20>>2]=0;f[a+24>>2]=0;f[a+28>>2]=0;f[j>>2]=0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;if((o|0)==(d+48|0)){u=c;return b|0}TC(o);u=c;return b|0}function wA(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=u;u=u+32|0;g=e+24|0;h=e+12|0;i=e;j=c+4|0;k=f[c>>2]|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;if(k>>>0>4294967279)muc(h);if(k>>>0<11){b[h+11>>0]=k;if(!k)l=h;else{m=h;n=6}}else{c=k+16&-16;o=cuc(c)|0;f[h>>2]=o;f[h+8>>2]=c|-2147483648;f[h+4>>2]=k;m=o;n=6}if((n|0)==6){szc(m|0,j|0,k|0)|0;l=m}b[l+k>>0]=0;k=d+4|0;l=f[d>>2]|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;if(l>>>0>4294967279)muc(i);if(l>>>0<11){b[i+11>>0]=l;if(!l)p=i;else{q=i;n=12}}else{d=l+16&-16;m=cuc(d)|0;f[i>>2]=m;f[i+8>>2]=d|-2147483648;f[i+4>>2]=l;q=m;n=12}if((n|0)==12){szc(q|0,k|0,l|0)|0;p=q}b[p+l>>0]=0;Zh[a&511](g,h,i);a=cuc(8)|0;f[a>>2]=f[g>>2];l=f[g+4>>2]|0;f[a+4>>2]=l;if(l|0)Wtc(l);rLa(g);if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0);if((b[h+11>>0]|0)>=0){u=e;return a|0}fuc(f[h>>2]|0);u=e;return a|0}function xA(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;d=u;u=u+32|0;e=d+16|0;g=d;h=c+4|0;i=f[c>>2]|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;if(i>>>0>4294967279)muc(g);if(i>>>0<11){b[g+11>>0]=i;if(!i)j=g;else{k=g;l=6}}else{c=i+16&-16;m=cuc(c)|0;f[g>>2]=m;f[g+8>>2]=c|-2147483648;f[g+4>>2]=i;k=m;l=6}if((l|0)==6){szc(k|0,h|0,i|0)|0;j=k}b[j+i>>0]=0;yh[a&2047](e,g);a=cuc(8)|0;f[a>>2]=f[e>>2];i=f[e+4>>2]|0;f[a+4>>2]=i;if(i|0)Wtc(i);rLa(e);if((b[g+11>>0]|0)>=0){u=d;return a|0}fuc(f[g>>2]|0);u=d;return a|0}function yA(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+16|0;e=d+8|0;g=d+4|0;h=d;f[g>>2]=b;f[h>>2]=c;Zh[a&511](e,g,h);a=cuc(8)|0;f[a>>2]=f[e>>2];c=f[e+4>>2]|0;f[a+4>>2]=c;if(c|0)Wtc(c);rLa(e);_d(f[h>>2]|0);_d(f[g>>2]|0);u=d;return a|0}function zA(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=u;u=u+16|0;d=c+8|0;e=c;f[e>>2]=b;yh[a&2047](d,e);a=cuc(8)|0;f[a>>2]=f[d>>2];b=f[d+4>>2]|0;f[a+4>>2]=b;if(b|0)Wtc(b);rLa(d);_d(f[e>>2]|0);u=c;return a|0}function AA(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=u;u=u+32|0;g=e+16|0;h=e;i=c+4|0;j=f[c>>2]|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;if(j>>>0>4294967279)muc(h);if(j>>>0<11){b[h+11>>0]=j;if(!j)k=h;else{l=h;m=6}}else{c=j+16&-16;n=cuc(c)|0;f[h>>2]=n;f[h+8>>2]=c|-2147483648;f[h+4>>2]=j;l=n;m=6}if((m|0)==6){szc(l|0,i|0,j|0)|0;k=l}b[k+j>>0]=0;Zh[a&511](g,h,d);d=cuc(8)|0;f[d>>2]=f[g>>2];a=f[g+4>>2]|0;f[d+4>>2]=a;if(a|0)Wtc(a);rLa(g);if((b[h+11>>0]|0)>=0){u=e;return d|0}fuc(f[h>>2]|0);u=e;return d|0}function BA(a){a=a|0;return f[(f[a>>2]|0)+-4>>2]|0}function CA(a){a=a|0;if(!a)return;bi[f[(f[a>>2]|0)+4>>2]&2047](a);return}function DA(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;g=u;u=u+32|0;h=g+12|0;i=g;j=f[a>>2]|0;a=d+4|0;k=f[d>>2]|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;if(k>>>0>4294967279)muc(h);if(k>>>0<11){b[h+11>>0]=k;if(!k)l=h;else{m=h;n=6}}else{d=k+16&-16;o=cuc(d)|0;f[h>>2]=o;f[h+8>>2]=d|-2147483648;f[h+4>>2]=k;m=o;n=6}if((n|0)==6){szc(m|0,a|0,k|0)|0;l=m}b[l+k>>0]=0;k=e+4|0;l=f[e>>2]|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;if(l>>>0>4294967279)muc(i);if(l>>>0<11){b[i+11>>0]=l;if(!l)p=i;else{q=i;n=12}}else{e=l+16&-16;m=cuc(e)|0;f[i>>2]=m;f[i+8>>2]=e|-2147483648;f[i+4>>2]=l;q=m;n=12}if((n|0)==12){szc(q|0,k|0,l|0)|0;p=q}b[p+l>>0]=0;l=li[j&511](c,h,i)|0;if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0);if((b[h+11>>0]|0)>=0){u=g;return l|0}fuc(f[h>>2]|0);u=g;return l|0}function EA(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;e=u;u=u+16|0;g=e;h=f[a>>2]|0;a=d+4|0;i=f[d>>2]|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;if(i>>>0>4294967279)muc(g);if(i>>>0<11){b[g+11>>0]=i;if(!i)j=g;else{k=g;l=6}}else{d=i+16&-16;m=cuc(d)|0;f[g>>2]=m;f[g+8>>2]=d|-2147483648;f[g+4>>2]=i;k=m;l=6}if((l|0)==6){szc(k|0,a|0,i|0)|0;j=k}b[j+i>>0]=0;i=Th[h&1023](c,g)|0;if((b[g+11>>0]|0)>=0){u=e;return i|0}fuc(f[g>>2]|0);u=e;return i|0}function FA(){var a=0,c=0;a=cuc(152)|0;f[a>>2]=86108;f[a+4>>2]=64;f[a+8>>2]=128;f[a+12>>2]=16;f[a+16>>2]=16;f[a+20>>2]=8;f[a+24>>2]=8;f[a+28>>2]=8;f[a+32>>2]=8;f[a+36>>2]=9;f[a+40>>2]=1;p[a+48>>3]=-1.0;f[a+56>>2]=0;p[a+64>>3]=.2;b[a+72>>0]=1;f[a+76>>2]=0;f[a+80>>2]=0;f[a+84>>2]=0;f[a+88>>2]=1124007936;c=a+92|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;f[c+16>>2]=0;f[c+20>>2]=0;f[c+24>>2]=0;f[a+120>>2]=a+96;c=a+128|0;f[a+124>>2]=c;f[a+132>>2]=0;f[c>>2]=0;n[a+136>>2]=-1.0;f[a+140>>2]=64;b[a+144>>0]=0;return a|0}function GA(a){a=a|0;return xi[a&31]()|0}function HA(a,c,d,e,g,h,i,j,k,l,m,o){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;o=o|0;var q=0,r=0,s=0,t=0,u=0,v=0,w=0.0,x=0.0;q=cuc(152)|0;r=f[a>>2]|0;s=f[a+4>>2]|0;a=f[c>>2]|0;t=f[c+4>>2]|0;c=f[d>>2]|0;u=f[d+4>>2]|0;d=f[e>>2]|0;v=f[e+4>>2]|0;e=f[g>>2]|0;g=f[h>>2]|0;w=+p[i>>3];i=f[j>>2]|0;x=+p[k>>3];k=b[l>>0]|0;l=f[m>>2]|0;m=b[o>>0]|0;f[q>>2]=86108;f[q+4>>2]=r;f[q+8>>2]=s;f[q+12>>2]=a;f[q+16>>2]=t;f[q+20>>2]=c;f[q+24>>2]=u;f[q+28>>2]=d;f[q+32>>2]=v;f[q+36>>2]=e;f[q+40>>2]=g;p[q+48>>3]=w;f[q+56>>2]=i;p[q+64>>3]=x;b[q+72>>0]=k;f[q+76>>2]=0;f[q+80>>2]=0;f[q+84>>2]=0;f[q+88>>2]=1124007936;k=q+92|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;f[k+16>>2]=0;f[k+20>>2]=0;f[k+24>>2]=0;f[q+120>>2]=q+96;k=q+128|0;f[q+124>>2]=k;f[q+132>>2]=0;f[k>>2]=0;n[q+136>>2]=-1.0;f[q+140>>2]=l;b[q+144>>0]=m;return q|0}function IA(a,c,d,e,g,h,i,j,k,l,m,n,o){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=+j;k=k|0;l=+l;m=m|0;n=n|0;o=o|0;var q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0;q=u;u=u+80|0;r=q+56|0;s=q+48|0;t=q+40|0;v=q+32|0;w=q+28|0;x=q+24|0;y=q+8|0;z=q+20|0;A=q;B=q+65|0;C=q+16|0;D=q+64|0;f[r>>2]=f[c>>2];f[r+4>>2]=f[c+4>>2];f[s>>2]=f[d>>2];f[s+4>>2]=f[d+4>>2];f[t>>2]=f[e>>2];f[t+4>>2]=f[e+4>>2];f[v>>2]=f[g>>2];f[v+4>>2]=f[g+4>>2];f[w>>2]=h;f[x>>2]=i;p[y>>3]=j;f[z>>2]=k;p[A>>3]=l;b[B>>0]=m&1;f[C>>2]=n;b[D>>0]=o&1;o=ti[a&1](r,s,t,v,w,x,y,z,A,B,C,D)|0;u=q;return o|0}function JA(a){a=a|0;var b=0;b=cuc(152)|0;LA(b,a);return b|0}function KA(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;d=u;u=u+16|0;e=d;g=c+4|0;h=f[c>>2]|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;if(h>>>0>4294967279)muc(e);if(h>>>0<11){b[e+11>>0]=h;if(!h)i=e;else{j=e;k=6}}else{c=h+16&-16;l=cuc(c)|0;f[e>>2]=l;f[e+8>>2]=c|-2147483648;f[e+4>>2]=h;j=l;k=6}if((k|0)==6){szc(j|0,g|0,h|0)|0;i=j}b[i+h>>0]=0;h=di[a&1023](e)|0;if((b[e+11>>0]|0)>=0){u=d;return h|0}fuc(f[e>>2]|0);u=d;return h|0}function LA(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+16|0;e=d;f[a>>2]=86108;g=a+4|0;f[a+76>>2]=0;f[a+80>>2]=0;f[a+84>>2]=0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;f[g+16>>2]=0;f[g+20>>2]=0;f[g+24>>2]=0;f[g+28>>2]=0;f[a+88>>2]=1124007936;g=a+92|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;f[g+16>>2]=0;f[g+20>>2]=0;f[g+24>>2]=0;f[a+120>>2]=a+96;g=a+128|0;f[a+124>>2]=g;f[a+132>>2]=0;f[g>>2]=0;g=f[21532]|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;li[g&511](a,c,e)|0;if((b[e+11>>0]|0)>=0){u=d;return}fuc(f[e>>2]|0);u=d;return}function MA(a){a=a|0;var b=0,c=0;b=u;u=u+16|0;c=b;bi[a&2047](c);a=cuc(12)|0;f[a>>2]=f[c>>2];f[a+4>>2]=f[c+4>>2];f[a+8>>2]=f[c+8>>2];u=b;return a|0}function NA(a,b,c){a=a|0;b=b|0;c=c|0;yh[f[a>>2]&2047](b,c);return}function OA(a,b,c,d,e,g,h,i,j,k,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=+g;h=h|0;i=i|0;j=+j;k=+k;l=l|0;var m=0,n=0,o=0,p=0;m=u;u=u+16|0;n=m+8|0;o=m;p=f[a>>2]|0;f[n>>2]=f[h>>2];f[n+4>>2]=f[h+4>>2];f[o>>2]=f[i>>2];f[o+4>>2]=f[i+4>>2];sg[p&3](b,c,d,e,g,n,o,j,k,l);u=m;return}function PA(a,b,c,d,e,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=+g;h=h|0;i=i|0;j=+j;k=+k;var l=0,m=0,n=0,o=0;l=u;u=u+16|0;m=l+8|0;n=l;o=f[a>>2]|0;f[m>>2]=f[h>>2];f[m+4>>2]=f[h+4>>2];f[n>>2]=f[i>>2];f[n+4>>2]=f[i+4>>2];Ag[o&1](b,c,d,e,g,m,n,j,k);u=l;return}function QA(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=+g;h=h|0;i=i|0;j=+j;var k=0,l=0,m=0,n=0;k=u;u=u+16|0;l=k+8|0;m=k;n=f[a>>2]|0;f[l>>2]=f[h>>2];f[l+4>>2]=f[h+4>>2];f[m>>2]=f[i>>2];f[m+4>>2]=f[i+4>>2];Vf[n&1](b,c,d,e,g,l,m,j);u=k;return}function RA(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=+g;h=h|0;i=i|0;var j=0,k=0,l=0,m=0;j=u;u=u+16|0;k=j+8|0;l=j;m=f[a>>2]|0;f[k>>2]=f[h>>2];f[k+4>>2]=f[h+4>>2];f[l>>2]=f[i>>2];f[l+4>>2]=f[i+4>>2];qi[m&7](b,c,d,e,g,k,l);u=j;return}function SA(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=+g;h=h|0;var i=0,j=0,k=0;i=u;u=u+16|0;j=i;k=f[a>>2]|0;f[j>>2]=f[h>>2];f[j+4>>2]=f[h+4>>2];ii[k&15](b,c,d,e,g,j);u=i;return}function TA(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=+g;zh[f[a>>2]&31](b,c,d,e,g);return}function UA(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;sh[f[a>>2]&255](b,c,d,e);return}function VA(a,b){a=a|0;b=b|0;var c=0;c=b+(f[a>>2]|0)|0;a=cuc(8)|0;f[a>>2]=f[c>>2];f[a+4>>2]=f[c+4>>2];return a|0}function WA(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;d=b+(f[a>>2]|0)|0;f[d>>2]=f[c>>2];f[d+4>>2]=f[c+4>>2];return}function XA(a,b){a=a|0;b=b|0;return f[b+(f[a>>2]|0)>>2]|0}function YA(a,b,c){a=a|0;b=b|0;c=c|0;f[b+(f[a>>2]|0)>>2]=c;return}function ZA(a,b){a=a|0;b=b|0;return +(+p[b+(f[a>>2]|0)>>3])}function _A(a,b,c){a=a|0;b=b|0;c=+c;p[b+(f[a>>2]|0)>>3]=c;return}function $A(a,b){a=a|0;b=b|0;return f[b+(f[a>>2]|0)>>2]|0}function aB(a,b,c){a=a|0;b=b|0;c=c|0;f[b+(f[a>>2]|0)>>2]=c;return}function bB(a,c){a=a|0;c=c|0;return (b[c+(f[a>>2]|0)>>0]|0)!=0|0}function cB(a,c,d){a=a|0;c=c|0;d=d|0;b[c+(f[a>>2]|0)>>0]=d&1;return}function dB(a,b){a=a|0;b=b|0;var c=0;c=b+(f[a>>2]|0)|0;a=cuc(12)|0;fB(a,c);return a|0}function eB(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;d=b+(f[a>>2]|0)|0;if((d|0)==(c|0))return;gB(d,f[c>>2]|0,f[c+4>>2]|0);return}function fB(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0;f[a>>2]=0;c=a+4|0;f[c>>2]=0;f[a+8>>2]=0;d=b+4|0;e=(f[d>>2]|0)-(f[b>>2]|0)|0;g=e>>2;if(!g)return;if(g>>>0>1073741823)nsc(a);h=cuc(e)|0;f[c>>2]=h;f[a>>2]=h;f[a+8>>2]=h+(g<<2);g=f[b>>2]|0;b=(f[d>>2]|0)-g|0;if((b|0)<=0)return;szc(h|0,g|0,b|0)|0;f[c>>2]=h+(b>>>2<<2);return}function gB(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=c;e=b;g=d-e|0;h=g>>2;i=a+8|0;j=f[i>>2]|0;k=f[a>>2]|0;l=k;if(h>>>0<=j-k>>2>>>0){m=a+4|0;n=(f[m>>2]|0)-k>>2;o=h>>>0>n>>>0;p=o?b+(n<<2)|0:c;c=p;n=c-e|0;e=n>>2;if(e|0)uzc(k|0,b|0,n|0)|0;n=l+(e<<2)|0;if(o){o=d-c|0;if((o|0)<=0)return;szc(f[m>>2]|0,p|0,o|0)|0;f[m>>2]=(f[m>>2]|0)+(o>>>2<<2);return}else{o=f[m>>2]|0;if((o|0)==(n|0))return;f[m>>2]=o+(~((o+-4-n|0)>>>2)<<2);return}}n=k;if(!k)q=j;else{j=a+4|0;o=f[j>>2]|0;if((o|0)!=(l|0))f[j>>2]=o+(~((o+-4-k|0)>>>2)<<2);fuc(n);f[i>>2]=0;f[j>>2]=0;f[a>>2]=0;q=0}if(h>>>0>1073741823)nsc(a);j=q>>1;n=q>>2>>>0<536870911?(j>>>0<h>>>0?h:j):1073741823;if(n>>>0>1073741823)nsc(a);j=cuc(n<<2)|0;h=a+4|0;f[h>>2]=j;f[a>>2]=j;f[i>>2]=j+(n<<2);if((g|0)<=0)return;szc(j|0,b|0,g|0)|0;f[h>>2]=j+(g>>>2<<2);return}function hB(a){a=a|0;return f[(f[a>>2]|0)+-4>>2]|0}function iB(a){a=a|0;if(!a)return;bi[f[(f[a>>2]|0)+4>>2]&2047](a);return}function jB(a){a=a|0;return a|0}function kB(a){a=a|0;return a|0}function lB(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;nh[f[a>>2]&63](b,c,d,e);return}function mB(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;Zh[f[a>>2]&511](b,c,d);return}function nB(a,b,c){a=a|0;b=b|0;c=c|0;yh[f[a>>2]&2047](b,c);return}function oB(a){a=a|0;return f[(f[a>>2]|0)+-4>>2]|0}function pB(a){a=a|0;if(!a)return;bi[f[(f[a>>2]|0)+4>>2]&2047](a);return}function qB(a){a=a|0;return a|0}function rB(a){a=a|0;return a|0}function sB(a,b,c,d){a=a|0;b=b|0;c=+c;d=d|0;var e=0,g=0;e=u;u=u+16|0;g=e;Ch[a&15](g,b,c,d);d=cuc(8)|0;f[d>>2]=f[g>>2];f[d+4>>2]=f[g+4>>2];u=e;return d|0}function tB(a,b,c){a=a|0;b=b|0;c=+c;var d=0,e=0;d=u;u=u+16|0;e=d;$h[a&31](e,b,c);b=cuc(8)|0;f[b>>2]=f[e>>2];f[b+4>>2]=f[e+4>>2];u=d;return b|0}function uB(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+16|0;d=c;yh[a&2047](d,b);b=cuc(8)|0;f[b>>2]=f[d>>2];f[b+4>>2]=f[d+4>>2];u=c;return b|0}function vB(a){a=a|0;var b=0,c=0;b=u;u=u+16|0;c=b;bi[a&2047](c);a=cuc(8)|0;f[a>>2]=f[c>>2];f[a+4>>2]=f[c+4>>2];u=b;return a|0}function wB(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;nh[f[a>>2]&63](b,c,d,e);return}function xB(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;Zh[f[a>>2]&511](b,c,d);return}function yB(a){a=a|0;return f[a>>2]|0}function zB(){var a=0;a=cuc(8)|0;f[a>>2]=0;f[a+4>>2]=0;return a|0}function AB(a){a=a|0;return 0}function BB(a){a=a|0;var b=0;if(!a)return;b=f[a+4>>2]|0;if(b|0)Xtc(b);fuc(a);return}function CB(a){a=a|0;return f[(f[a>>2]|0)+-4>>2]|0}function DB(a){a=a|0;if(!a)return;bi[f[(f[a>>2]|0)+4>>2]&2047](a);return}function EB(a){a=a|0;return a|0}function FB(a){a=a|0;return a|0}function GB(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+16|0;e=d;g=f[a>>2]|0;f[e>>2]=f[c>>2];f[e+4>>2]=f[c+4>>2];yh[g&2047](b,e);u=d;return}function HB(a,b,c){a=a|0;b=+b;c=c|0;var d=0,e=0,g=0;d=u;u=u+16|0;e=d+8|0;g=d;f[g>>2]=f[c>>2];f[g+4>>2]=f[c+4>>2];eg[a&7](e,b,g);g=cuc(8)|0;f[g>>2]=f[e>>2];f[g+4>>2]=f[e+4>>2];u=d;return g|0}function IB(a,b){a=a|0;b=+b;var c=0,d=0;c=u;u=u+16|0;d=c;vh[a&15](d,b);a=cuc(8)|0;f[a>>2]=f[d>>2];f[a+4>>2]=f[d+4>>2];u=c;return a|0}function JB(a){a=a|0;var b=0,c=0;b=u;u=u+16|0;c=b;bi[a&2047](c);a=cuc(8)|0;f[a>>2]=f[c>>2];f[a+4>>2]=f[c+4>>2];u=b;return a|0}function KB(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=f[a>>2]|0;d=f[a+4>>2]|0;a=b+(d>>1)|0;if(!(d&1)){e=c;bi[e&2047](a);return}else{e=f[(f[a>>2]|0)+c>>2]|0;bi[e&2047](a);return}}function LB(a,b,c){a=a|0;b=b|0;c=+c;vh[f[a>>2]&15](b,c);return}function MB(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0;c=u;u=u+16|0;d=c;e=f[a>>2]|0;g=f[a+4>>2]|0;a=b+(g>>1)|0;if(!(g&1))h=e;else h=f[(f[a>>2]|0)+e>>2]|0;yh[h&2047](d,a);a=cuc(8)|0;f[a>>2]=f[d>>2];f[a+4>>2]=f[d+4>>2];u=c;return a|0}function NB(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0.0;c=f[a>>2]|0;d=f[a+4>>2]|0;a=b+(d>>1)|0;if(!(d&1)){e=c;g=+qg[e&15](a);return +g}else{e=f[(f[a>>2]|0)+c>>2]|0;g=+qg[e&15](a);return +g}return +(0.0)}function OB(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;Zh[f[a>>2]&511](b,c,d);return}function PB(a){a=a|0;return f[a>>2]|0}function QB(){var a=0;a=cuc(8)|0;f[a>>2]=0;f[a+4>>2]=0;return a|0}function RB(a){a=a|0;return 0}function SB(a){a=a|0;var b=0;if(!a)return;b=f[a+4>>2]|0;if(b|0)Xtc(b);fuc(a);return}function TB(a){a=a|0;return f[(f[a>>2]|0)+-4>>2]|0}function UB(a){a=a|0;if(!a)return;bi[f[(f[a>>2]|0)+4>>2]&2047](a);return}function VB(a){a=a|0;return 9576}function WB(a){a=a|0;if(!a)return;rLa(a);fuc(a);return}function XB(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=+g;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;i=u;u=u+16|0;j=i;k=f[a>>2]|0;a=e+4|0;l=f[e>>2]|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;if(l>>>0>4294967279)muc(j);if(l>>>0<11){b[j+11>>0]=l;if(!l)m=j;else{n=j;o=6}}else{e=l+16&-16;p=cuc(e)|0;f[j>>2]=p;f[j+8>>2]=e|-2147483648;f[j+4>>2]=l;n=p;o=6}if((o|0)==6){szc(n|0,a|0,l|0)|0;m=n}b[m+l>>0]=0;$g[k&7](c,d,j,g,h);if((b[j+11>>0]|0)>=0){u=i;return}fuc(f[j>>2]|0);u=i;return}function YB(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=+g;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;h=u;u=u+16|0;i=h;j=f[a>>2]|0;a=e+4|0;k=f[e>>2]|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;if(k>>>0>4294967279)muc(i);if(k>>>0<11){b[i+11>>0]=k;if(!k)l=i;else{m=i;n=6}}else{e=k+16&-16;o=cuc(e)|0;f[i>>2]=o;f[i+8>>2]=e|-2147483648;f[i+4>>2]=k;m=o;n=6}if((n|0)==6){szc(m|0,a|0,k|0)|0;l=m}b[l+k>>0]=0;nh[j&63](c,d,i,g);if((b[i+11>>0]|0)>=0){u=h;return}fuc(f[i>>2]|0);u=h;return}function ZB(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;g=u;u=u+16|0;h=g;i=f[a>>2]|0;a=e+4|0;j=f[e>>2]|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;if(j>>>0>4294967279)muc(h);if(j>>>0<11){b[h+11>>0]=j;if(!j)k=h;else{l=h;m=6}}else{e=j+16&-16;n=cuc(e)|0;f[h>>2]=n;f[h+8>>2]=e|-2147483648;f[h+4>>2]=j;l=n;m=6}if((m|0)==6){szc(l|0,a|0,j|0)|0;k=l}b[k+j>>0]=0;Zh[i&511](c,d,h);if((b[h+11>>0]|0)>=0){u=g;return}fuc(f[h>>2]|0);u=g;return}function _B(a,b,c){a=a|0;b=b|0;c=c|0;yh[f[a>>2]&2047](b,c);return}function $B(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=u;u=u+80|0;g=e+16|0;h=e;i=f[a>>2]|0;a=d+4|0;j=f[d>>2]|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;if(j>>>0>4294967279)muc(h);if(j>>>0<11){b[h+11>>0]=j;if(!j)k=h;else{l=h;m=6}}else{d=j+16&-16;n=cuc(d)|0;f[h>>2]=n;f[h+8>>2]=d|-2147483648;f[h+4>>2]=j;l=n;m=6}if((m|0)==6){szc(l|0,a|0,j|0)|0;k=l}b[k+j>>0]=0;Zh[i&511](g,c,h);c=cuc(56)|0;f[c>>2]=f[g>>2];i=g+4|0;j=f[i>>2]|0;f[c+4>>2]=j;k=c+8|0;l=g+8|0;f[k>>2]=f[l>>2];f[c+12>>2]=f[g+12>>2];a=g+16|0;f[c+16>>2]=f[a>>2];f[c+20>>2]=f[g+20>>2];f[c+24>>2]=f[g+24>>2];f[c+28>>2]=f[g+28>>2];f[c+32>>2]=f[g+32>>2];m=g+36|0;f[c+36>>2]=f[m>>2];n=c+40|0;f[n>>2]=k;k=c+44|0;d=c+48|0;f[k>>2]=d;o=c+52|0;f[o>>2]=0;f[d>>2]=0;p=g+44|0;if((j|0)<3){j=f[p>>2]|0;f[d>>2]=f[j>>2];f[o>>2]=f[j+4>>2];q=j}else{f[k>>2]=f[p>>2];k=g+40|0;f[n>>2]=f[k>>2];n=g+48|0;f[p>>2]=n;f[k>>2]=l;q=n}f[g>>2]=1124007936;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;f[i+16>>2]=0;f[i+20>>2]=0;f[i+24>>2]=0;f[i+28>>2]=0;f[m>>2]=0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;if((q|0)!=(g+48|0))TC(q);if((b[h+11>>0]|0)>=0){u=e;return c|0}fuc(f[h>>2]|0);u=e;return c|0}function aC(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;c=u;u=u+64|0;d=c;yh[f[a>>2]&2047](d,b);b=cuc(56)|0;f[b>>2]=f[d>>2];a=d+4|0;e=f[a>>2]|0;f[b+4>>2]=e;g=b+8|0;h=d+8|0;f[g>>2]=f[h>>2];f[b+12>>2]=f[d+12>>2];i=d+16|0;f[b+16>>2]=f[i>>2];f[b+20>>2]=f[d+20>>2];f[b+24>>2]=f[d+24>>2];f[b+28>>2]=f[d+28>>2];f[b+32>>2]=f[d+32>>2];j=d+36|0;f[b+36>>2]=f[j>>2];k=b+40|0;f[k>>2]=g;g=b+44|0;l=b+48|0;f[g>>2]=l;m=b+52|0;f[m>>2]=0;f[l>>2]=0;n=d+44|0;if((e|0)<3){e=f[n>>2]|0;f[l>>2]=f[e>>2];f[m>>2]=f[e+4>>2];o=e}else{f[g>>2]=f[n>>2];g=d+40|0;f[k>>2]=f[g>>2];k=d+48|0;f[n>>2]=k;f[g>>2]=h;o=k}f[d>>2]=1124007936;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;f[a+16>>2]=0;f[a+20>>2]=0;f[a+24>>2]=0;f[a+28>>2]=0;f[j>>2]=0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;if((o|0)==(d+48|0)){u=c;return b|0}TC(o);u=c;return b|0}function bC(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;g=u;u=u+16|0;h=g;i=f[a>>2]|0;a=e+4|0;j=f[e>>2]|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;if(j>>>0>4294967279)muc(h);if(j>>>0<11){b[h+11>>0]=j;if(!j)k=h;else{l=h;m=6}}else{e=j+16&-16;n=cuc(e)|0;f[h>>2]=n;f[h+8>>2]=e|-2147483648;f[h+4>>2]=j;l=n;m=6}if((m|0)==6){szc(l|0,a|0,j|0)|0;k=l}b[k+j>>0]=0;Zh[i&511](c,d,h);if((b[h+11>>0]|0)>=0){u=g;return}fuc(f[h>>2]|0);u=g;return}function cC(a,b,c){a=a|0;b=b|0;c=c|0;yh[f[a>>2]&2047](b,c);return}function dC(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0;e=u;u=u+16|0;g=e;h=f[a>>2]|0;f[g>>2]=d;Zh[h&511](b,c,g);_d(f[g>>2]|0);u=e;return}function eC(a){a=a|0;return 9880}function fC(a){a=a|0;if(!a)return;RAa(a);fuc(a);return}function gC(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;e=u;u=u+16|0;g=e;h=f[a>>2]|0;a=d+4|0;i=f[d>>2]|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;if(i>>>0>4294967279)muc(g);if(i>>>0<11){b[g+11>>0]=i;if(!i)j=g;else{k=g;l=6}}else{d=i+16&-16;m=cuc(d)|0;f[g>>2]=m;f[g+8>>2]=d|-2147483648;f[g+4>>2]=i;k=m;l=6}if((l|0)==6){szc(k|0,a|0,i|0)|0;j=k}b[j+i>>0]=0;i=Th[h&1023](c,g)|0;if((b[g+11>>0]|0)>=0){u=e;return i|0}fuc(f[g>>2]|0);u=e;return i|0}function hC(a,b,c,d,e,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=+g;h=h|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0;l=u;u=u+16|0;m=l+8|0;n=l;o=f[a>>2]|0;f[m>>2]=f[j>>2];f[m+4>>2]=f[j+4>>2];f[n>>2]=f[k>>2];f[n+4>>2]=f[k+4>>2];uh[o&7](b,c,d,e,g,h,i,m,n);u=l;return}function iC(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=+g;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0;k=u;u=u+16|0;l=k;m=f[a>>2]|0;f[l>>2]=f[j>>2];f[l+4>>2]=f[j+4>>2];Sf[m&7](b,c,d,e,g,h,i,l);u=k;return}function jC(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=+g;h=h|0;i=i|0;qi[f[a>>2]&7](b,c,d,e,g,h,i);return}function kC(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=+g;h=h|0;ii[f[a>>2]&15](b,c,d,e,g,h);return}function lC(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=+g;zh[f[a>>2]&31](b,c,d,e,g);return}function mC(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;sh[f[a>>2]&255](b,c,d,e);return}function nC(){var a=0;a=cuc(8)|0;KAa(a);return a|0}function oC(a){a=a|0;return xi[a&31]()|0}function pC(a){a=a|0;var b=0;b=cuc(8)|0;LAa(b,a);return b|0}function qC(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;d=u;u=u+16|0;e=d;g=c+4|0;h=f[c>>2]|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;if(h>>>0>4294967279)muc(e);if(h>>>0<11){b[e+11>>0]=h;if(!h)i=e;else{j=e;k=6}}else{c=h+16&-16;l=cuc(c)|0;f[e>>2]=l;f[e+8>>2]=c|-2147483648;f[e+4>>2]=h;j=l;k=6}if((k|0)==6){szc(j|0,g|0,h|0)|0;i=j}b[i+h>>0]=0;h=di[a&1023](e)|0;if((b[e+11>>0]|0)>=0){u=d;return h|0}fuc(f[e>>2]|0);u=d;return h|0}function rC(a,b,c,d,e,g,h,i,j,k,l,m){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=+h;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0;n=u;u=u+16|0;o=n+8|0;p=n;q=f[a>>2]|0;f[o>>2]=f[k>>2];f[o+4>>2]=f[k+4>>2];f[p>>2]=f[l>>2];f[p+4>>2]=f[l+4>>2];Dg[q&3](b,c,d,e,g,h,i,j,o,p,m);u=n;return}function sC(a,b,c,d,e,g,h,i,j,k,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=+h;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0;m=u;u=u+16|0;n=m+8|0;o=m;p=f[a>>2]|0;f[n>>2]=f[k>>2];f[n+4>>2]=f[k+4>>2];f[o>>2]=f[l>>2];f[o+4>>2]=f[l+4>>2];Mg[p&3](b,c,d,e,g,h,i,j,n,o);u=m;return}function tC(a,b,c,d,e,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=+h;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0;l=u;u=u+16|0;m=l;n=f[a>>2]|0;f[m>>2]=f[k>>2];f[m+4>>2]=f[k+4>>2];Ci[n&3](b,c,d,e,g,h,i,j,m);u=l;return}function uC(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=+h;i=i|0;j=j|0;Lh[f[a>>2]&7](b,c,d,e,g,h,i,j);return}function vC(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=+h;i=i|0;hg[f[a>>2]&7](b,c,d,e,g,h,i);return}function wC(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=+h;Tg[f[a>>2]&7](b,c,d,e,g,h);return}function xC(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;th[f[a>>2]&255](b,c,d,e,g);return}function yC(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=f[a>>2]|0;d=f[a+4>>2]|0;a=b+(d>>1)|0;if(!(d&1))e=c;else e=f[(f[a>>2]|0)+c>>2]|0;return di[e&1023](a)|0}function zC(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0;k=u;u=u+16|0;l=k+8|0;m=k;n=f[a>>2]|0;f[l>>2]=f[i>>2];f[l+4>>2]=f[i+4>>2];f[m>>2]=f[j>>2];f[m+4>>2]=f[j+4>>2];Wg[n&3](b,c,d,e,g,h,l,m);u=k;return}function AC(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0;j=u;u=u+16|0;k=j;l=f[a>>2]|0;f[k>>2]=f[i>>2];f[k+4>>2]=f[i+4>>2];Uf[l&3](b,c,d,e,g,h,k);u=j;return}function BC(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;og[f[a>>2]&1](b,c,d,e,g,h);return}function CC(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;g=g|0;$g[f[a>>2]&7](b,c,d,e,g);return}function DC(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;nh[f[a>>2]&63](b,c,d,e);return}function EC(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;Zh[f[a>>2]&511](b,c,d);return}function FC(){xj(0);Wr(0);return}function GC(a,b){a=a|0;b=b|0;var c=0.0,d=0.0,e=0.0,f=0.0,g=0.0,h=0.0,i=0.0,j=0,k=0.0;c=+n[a+16>>2]*3.141592653589793/180.0;d=+O(+c)*.5;e=+P(+c)*.5;c=+n[a+12>>2];f=e*c;g=+n[a+8>>2];h=d*g;i=+n[a>>2]-f-h;n[b>>2]=i;j=a+4|0;k=d*c;c=e*g;g=k+ +n[j>>2]-c;n[b+4>>2]=g;e=f+ +n[a>>2]-h;n[b+8>>2]=e;h=+n[j>>2]-k-c;n[b+12>>2]=h;n[b+16>>2]=+n[a>>2]*2.0-i;n[b+20>>2]=+n[j>>2]*2.0-g;n[b+24>>2]=+n[a>>2]*2.0-e;n[b+28>>2]=+n[j>>2]*2.0-h;return}function HC(a,b){a=a|0;b=b|0;var c=0.0,d=0.0,e=0.0,g=0.0,h=0.0,i=0.0,j=0.0,k=0.0,l=0.0,m=0.0,o=0,p=0,q=0;c=+n[b+16>>2]*3.141592653589793/180.0;d=+O(+c)*.5;e=+P(+c)*.5;c=+n[b>>2];g=+n[b+12>>2];h=e*g;i=+n[b+8>>2];j=d*i;k=c-h-j;l=+n[b+4>>2];m=d*g;g=e*i;i=m+l-g;e=h+c-j;j=l-m-g;g=c*2.0;c=g-k;m=l*2.0;l=m-i;h=g-e;g=m-j;m=e<k?e:k;d=c<m?c:m;m=h<d?h:d;b=~~m;o=b-(+(b|0)>m&1)|0;m=j<i?j:i;d=l<m?l:m;m=g<d?g:d;b=~~m;p=b-(+(b|0)>m&1)|0;m=k<e?e:k;k=m<c?c:m;m=k<h?h:k;b=~~m;k=i<j?j:i;i=k<l?l:k;k=i<g?g:i;q=~~k;f[a>>2]=o;f[a+4>>2]=p;f[a+8>>2]=(+(b|0)<m&1)+b+1-o;f[a+12>>2]=1-p+((+(q|0)<k&1)+q);return}function IC(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0.0,k=0.0,l=0.0,m=0.0,o=0.0,p=0.0,q=0.0,r=0.0,t=0.0,v=0.0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;c=u;u=u+48|0;d=c+16|0;e=c+12|0;g=c+8|0;h=c+4|0;i=c;j=+n[b+16>>2]*3.141592653589793/180.0;k=+O(+j)*.5;l=+P(+j)*.5;j=+n[b>>2];m=+n[b+12>>2];o=l*m;p=+n[b+8>>2];q=k*p;r=j-o-q;n[d>>2]=r;t=+n[b+4>>2];v=k*m;m=l*p;p=v+t-m;b=d+4|0;n[b>>2]=p;l=o+j-q;w=d+8|0;n[w>>2]=l;q=t-v-m;x=d+12|0;n[x>>2]=q;m=j*2.0;j=m-r;y=d+16|0;n[y>>2]=j;v=t*2.0;t=v-p;z=d+20|0;n[z>>2]=t;o=m-l;A=d+24|0;n[A>>2]=o;m=v-q;B=d+28|0;n[B>>2]=m;C=l<r?w:d;D=j<+n[C>>2]?y:C;C=f[(o<+n[D>>2]?A:D)>>2]|0;D=q<p?x:b;E=t<+n[D>>2]?z:D;D=f[(m<+n[E>>2]?B:E)>>2]|0;f[e>>2]=C;f[g>>2]=D;E=r<l?w:d;d=+n[E>>2]<j?y:E;E=f[(+n[d>>2]<o?A:d)>>2]|0;d=p<q?x:b;b=+n[d>>2]<t?z:d;d=f[(+n[b>>2]<m?B:b)>>2]|0;f[h>>2]=E;f[i>>2]=d;m=(f[s>>2]=E,+n[s>>2]);t=(f[s>>2]=C,+n[s>>2]);C=f[(m<t?h:e)>>2]|0;f[a>>2]=C;q=(f[s>>2]=d,+n[s>>2]);p=(f[s>>2]=D,+n[s>>2]);D=f[(q<p?i:g)>>2]|0;f[a+4>>2]=D;n[a+8>>2]=(t<m?m:t)-(f[s>>2]=C,+n[s>>2]);n[a+12>>2]=(p<q?q:p)-(f[s>>2]=D,+n[s>>2]);u=c;return}function JC(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0.0,ba=0.0,ca=0.0,da=0.0;e=u;u=u+1280|0;g=e+1264|0;h=e+1208|0;i=e+1152|0;j=e+8|0;k=e+1136|0;l=e;m=e+1104|0;n=e+40|0;gV(g,34800);do if((qJ(c)|0)==65536){o=f[c+4>>2]|0;f[h>>2]=f[o>>2];q=h+4|0;r=o+4|0;f[q>>2]=f[r>>2];s=h+8|0;f[s>>2]=f[o+8>>2];f[h+12>>2]=f[o+12>>2];f[h+16>>2]=f[o+16>>2];f[h+20>>2]=f[o+20>>2];f[h+24>>2]=f[o+24>>2];f[h+28>>2]=f[o+28>>2];f[h+32>>2]=f[o+32>>2];t=f[o+36>>2]|0;f[h+36>>2]=t;f[h+40>>2]=s;s=h+48|0;v=h+44|0;f[v>>2]=s;f[s>>2]=0;f[h+52>>2]=0;if(t|0){s=t+12|0;f[s>>2]=(f[s>>2]|0)+1}if((f[r>>2]|0)<3){r=f[o+44>>2]|0;s=f[v>>2]|0;f[s>>2]=f[r>>2];f[s+4>>2]=f[r+4>>2];break}else{f[q>>2]=0;$T(h,o);break}}else nJ(h,c,-1);while(0);do if((qJ(d)|0)==65536){c=f[d+4>>2]|0;f[i>>2]=f[c>>2];o=i+4|0;q=c+4|0;f[o>>2]=f[q>>2];r=i+8|0;f[r>>2]=f[c+8>>2];f[i+12>>2]=f[c+12>>2];s=i+16|0;f[s>>2]=f[c+16>>2];f[i+20>>2]=f[c+20>>2];f[i+24>>2]=f[c+24>>2];f[i+28>>2]=f[c+28>>2];f[i+32>>2]=f[c+32>>2];v=f[c+36>>2]|0;f[i+36>>2]=v;f[i+40>>2]=r;r=i+48|0;t=i+44|0;f[t>>2]=r;f[r>>2]=0;f[i+52>>2]=0;if(v|0){r=v+12|0;f[r>>2]=(f[r>>2]|0)+1}if((f[q>>2]|0)<3){q=f[c+44>>2]|0;r=f[t>>2]|0;f[r>>2]=f[q>>2];f[r+4>>2]=f[q+4>>2];w=s;break}else{f[o>>2]=0;$T(i,c);w=s;break}}else{nJ(i,d,-1);w=i+16|0}while(0);if(f[w>>2]|0){d=f[i+4>>2]|0;if((d|0)<3)x=Y(f[i+12>>2]|0,f[i+8>>2]|0)|0;else{s=f[i+40>>2]|0;c=0;o=1;while(1){q=Y(f[s+(c<<2)>>2]|0,o)|0;c=c+1|0;if((c|0)==(d|0)){x=q;break}else o=q}}if(!((d|0)==0|(x|0)==0)?f[i>>2]&4095|0:0){f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;x=cuc(48)|0;f[j>>2]=x;f[j+8>>2]=-2147483600;f[j+4>>2]=36;y=x;z=199580;A=y+36|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));b[x+36>>0]=0;WD(-215,j,188145,188150,112)}}x=f[h>>2]|0;d=x>>>3&511;o=d+1|0;c=x&7;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;f[j+16>>2]=0;f[j+20>>2]=0;f[j+24>>2]=0;f[j+28>>2]=0;x=hN(c)|0;if(!(o>>>0<5&(x|0)!=0)){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;s=cuc(32)|0;f[k>>2]=s;f[k+8>>2]=-2147483616;f[k+4>>2]=20;y=s;z=211442;A=y+20|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));b[s+20>>0]=0;WD(-215,k,188145,188150,121)}f[k>>2]=h;f[k+4>>2]=i;f[k+8>>2]=0;s=l;f[s>>2]=0;f[s+4>>2]=0;YC(m,k,l,-1);k=f[m+20>>2]|0;s=n+8|0;f[n>>2]=s;z=n+4|0;f[z>>2]=264;y=c>>>0<4;if(y){A=c>>>0<2?8388608:32768;c=(A|0)<(k|0)?A:k;f[z>>2]=o;kzc(s|0,0,(d<<2)+4|0)|0;d=f[h+4>>2]|0;if((d|0)>0){B=f[(f[h+44>>2]|0)+(d+-1<<2)>>2]|0;C=s;D=c;E=A}else{B=0;C=s;D=c;E=A}}else{B=0;C=j;D=k;E=0}A=m+16|0;c=(k|0)>0;d=l+4|0;q=0;r=0;t=0;while(1){if(t>>>0>=(f[A>>2]|0)>>>0)break;v=t+1|0;a:do if(c){F=f[l>>2]|0;G=f[d>>2]|0;if(y){H=0;I=q;J=r;K=F;L=G}else{M=0;N=q;O=r;P=F;F=G;while(1){G=k-M|0;Q=(D|0)<(G|0)?D:G;G=mh[x&127](P,F,C,Q,o)|0;R=G+O|0;S=G+N|0;G=Y(Q,B)|0;P=(f[l>>2]|0)+G|0;f[l>>2]=P;G=f[d>>2]|0;if(!G)T=0;else{U=G+Q|0;f[d>>2]=U;T=U}M=M+D|0;if((k|0)<=(M|0)){V=S;W=R;break a}else{N=S;O=R;F=T}}}while(1){F=k-H|0;O=(D|0)<(F|0)?D:F;F=mh[x&127](K,L,C,O,o)|0;N=F+J|0;M=F+I|0;if((N+D|0)<(E|0)?((O+H|0)<(k|0)?1:v>>>0<(f[A>>2]|0)>>>0):0)X=N;else{Z=0;_=34}if((_|0)==34)while(1){_=0;N=C+(Z<<2)|0;F=j+(Z<<3)|0;p[F>>3]=+p[F>>3]+ +(f[N>>2]|0);f[N>>2]=0;Z=Z+1|0;if((Z|0)==(o|0)){X=0;break}else _=34}N=Y(O,B)|0;K=(f[l>>2]|0)+N|0;f[l>>2]=K;N=f[d>>2]|0;if(!N)$=0;else{F=N+O|0;f[d>>2]=F;$=F}H=H+D|0;if((k|0)<=(H|0)){V=M;W=X;break}else{I=M;J=X;L=$}}}else{V=q;W=r}while(0);ZC(m)|0;q=V;r=W;t=v}aa=(q|0)==0?0.0:1.0/+(q>>>0);ba=aa*+p[j+8>>3];ca=aa*+p[j+16>>3];da=aa*+p[j+24>>3];p[a>>3]=aa*+p[j>>3];p[a+8>>3]=ba;p[a+16>>3]=ca;p[a+24>>3]=da;a=f[n>>2]|0;if((a|0)!=(s|0)){if(a|0)guc(a);f[n>>2]=s;f[z>>2]=264}z=i+36|0;s=f[z>>2]|0;if(s|0?(n=s+12|0,s=f[n>>2]|0,f[n>>2]=s+-1,(s|0)==1):0)aU(i);f[z>>2]=0;z=i+4|0;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;f[w+12>>2]=0;if((f[z>>2]|0)>0){w=f[i+40>>2]|0;s=0;do{f[w+(s<<2)>>2]=0;s=s+1|0}while((s|0)<(f[z>>2]|0))}z=f[i+44>>2]|0;if((z|0)!=(i+48|0))TC(z);z=h+36|0;i=f[z>>2]|0;if(i|0?(s=i+12|0,i=f[s>>2]|0,f[s>>2]=i+-1,(i|0)==1):0)aU(h);f[z>>2]=0;z=h+16|0;i=h+4|0;f[z>>2]=0;f[z+4>>2]=0;f[z+8>>2]=0;f[z+12>>2]=0;if((f[i>>2]|0)>0){z=f[h+40>>2]|0;s=0;do{f[z+(s<<2)>>2]=0;s=s+1|0}while((s|0)<(f[i>>2]|0))}i=f[h+44>>2]|0;if((i|0)!=(h+48|0))TC(i);if(!(f[g+4>>2]|0)){u=e;return}u=e;return}function KC(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0.0,na=0.0,oa=0.0,pa=0;g=u;u=u+1360|0;h=g+1352|0;i=g+1296|0;j=g+1240|0;k=g+1224|0;l=g+1112|0;m=g+1192|0;n=g+16|0;o=g;q=g+1136|0;r=g+1120|0;gV(h,34820);if(EJ(a)|0){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;s=cuc(16)|0;f[i>>2]=s;f[i+8>>2]=-2147483632;f[i+4>>2]=13;t=s;v=371751;w=t+13|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));b[s+13>>0]=0;WD(-215,i,188260,188150,789)}if(!(EJ(e)|0)?pJ(e,-1)|0:0){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;s=cuc(48)|0;f[i>>2]=s;f[i+8>>2]=-2147483600;f[i+4>>2]=40;t=s;v=188271;w=t+40|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));b[s+40>>0]=0;WD(-215,i,188260,188150,790)}do if((qJ(a)|0)==65536){s=f[a+4>>2]|0;f[i>>2]=f[s>>2];x=i+4|0;y=s+4|0;f[x>>2]=f[y>>2];z=i+8|0;f[z>>2]=f[s+8>>2];f[i+12>>2]=f[s+12>>2];f[i+16>>2]=f[s+16>>2];f[i+20>>2]=f[s+20>>2];f[i+24>>2]=f[s+24>>2];f[i+28>>2]=f[s+28>>2];f[i+32>>2]=f[s+32>>2];A=f[s+36>>2]|0;f[i+36>>2]=A;f[i+40>>2]=z;z=i+48|0;B=i+44|0;f[B>>2]=z;f[z>>2]=0;f[i+52>>2]=0;if(A|0){z=A+12|0;f[z>>2]=(f[z>>2]|0)+1}if((f[y>>2]|0)<3){y=f[s+44>>2]|0;z=f[B>>2]|0;f[z>>2]=f[y>>2];f[z+4>>2]=f[y+4>>2];break}else{f[x>>2]=0;$T(i,s);break}}else nJ(i,a,-1);while(0);do if((qJ(e)|0)==65536){a=f[e+4>>2]|0;f[j>>2]=f[a>>2];s=j+4|0;x=a+4|0;f[s>>2]=f[x>>2];y=j+8|0;f[y>>2]=f[a+8>>2];f[j+12>>2]=f[a+12>>2];f[j+16>>2]=f[a+16>>2];f[j+20>>2]=f[a+20>>2];f[j+24>>2]=f[a+24>>2];f[j+28>>2]=f[a+28>>2];f[j+32>>2]=f[a+32>>2];z=f[a+36>>2]|0;f[j+36>>2]=z;f[j+40>>2]=y;y=j+48|0;B=j+44|0;f[B>>2]=y;f[y>>2]=0;f[j+52>>2]=0;if(z|0){y=z+12|0;f[y>>2]=(f[y>>2]|0)+1}if((f[x>>2]|0)<3){x=f[a+44>>2]|0;y=f[B>>2]|0;f[y>>2]=f[x>>2];f[y+4>>2]=f[x+4>>2];break}else{f[s>>2]=0;$T(j,a);break}}else nJ(j,e,-1);while(0);e=f[i>>2]|0;a=e>>>3;s=a&511;x=s+1|0;y=e&7;e=f[34840+(y<<2)>>2]|0;if((y|0)==7){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;b[k+11>>0]=9;t=k;v=253007;w=t+9|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));b[k+9>>0]=0;WD(-215,k,188260,188150,806)}f[k>>2]=i;f[k+4>>2]=j;f[k+8>>2]=0;B=l;f[B>>2]=0;f[B+4>>2]=0;YC(m,k,l,-1);k=f[m+20>>2]|0;B=n+8|0;f[n>>2]=B;z=n+4|0;f[z>>2]=x<<2;if(x>>>0>34){A=euc(x<<5)|0;f[n>>2]=A;C=A}else C=B;A=C+(x<<3)|0;D=y>>>0<4;E=0;do{p[A+(E<<3)>>3]=0.0;p[C+(E<<3)>>3]=0.0;E=E+1|0}while((E|0)!=(x|0));E=y>>>0<2;if(D){y=(k|0)<32768;F=A+(x<<3)|0;G=E?F+(x<<2)|0:A;H=0;do{f[G+(H<<2)>>2]=0;f[F+(H<<2)>>2]=0;H=H+1|0}while((H|0)!=(x|0));H=y?k:32768;y=f[i+4>>2]|0;if((y|0)>0){I=f[(f[i+44>>2]|0)+(y+-1<<2)>>2]|0;J=F;K=H;L=32768;N=G}else{I=0;J=F;K=H;L=32768;N=G}}else{I=0;J=C;K=k;L=0;N=A}G=m+16|0;H=(k|0)>0;F=l+4|0;y=0;O=0;P=0;while(1){if(P>>>0>=(f[G>>2]|0)>>>0)break;Q=P+1|0;a:do if(H){R=f[l>>2]|0;S=f[F>>2]|0;if(D){T=0;U=y;V=O;W=R;X=S}else{Z=0;_=y;$=O;aa=R;R=S;while(1){S=k-Z|0;ba=(K|0)<(S|0)?K:S;S=Wf[e&127](aa,R,J,N,ba,x)|0;ca=S+_|0;da=S+$|0;S=Y(ba,I)|0;aa=(f[l>>2]|0)+S|0;f[l>>2]=aa;S=f[F>>2]|0;if(!S)ea=0;else{fa=S+ba|0;f[F>>2]=fa;ea=fa}Z=Z+K|0;if((k|0)<=(Z|0)){ga=ca;ha=da;break a}else{_=ca;$=da;R=ea}}}while(1){R=k-T|0;$=(K|0)<(R|0)?K:R;R=Wf[e&127](W,X,J,N,$,x)|0;_=R+U|0;Z=R+V|0;if((_+K|0)<(L|0)?(($+T|0)<(k|0)?1:Q>>>0<(f[G>>2]|0)>>>0):0)ia=_;else{ja=0;ka=37}if((ka|0)==37){while(1){ka=0;_=J+(ja<<2)|0;R=C+(ja<<3)|0;p[R>>3]=+p[R>>3]+ +(f[_>>2]|0);f[_>>2]=0;ja=ja+1|0;if((ja|0)==(x|0))break;else ka=37}if(E){_=0;do{R=N+(_<<2)|0;aa=A+(_<<3)|0;p[aa>>3]=+p[aa>>3]+ +(f[R>>2]|0);f[R>>2]=0;_=_+1|0}while((_|0)!=(x|0));ia=0}else ia=0}_=Y($,I)|0;W=(f[l>>2]|0)+_|0;f[l>>2]=W;_=f[F>>2]|0;if(!_)la=0;else{R=_+$|0;f[F>>2]=R;la=R}T=T+K|0;if((k|0)<=(T|0)){ga=ia;ha=Z;break}else{U=ia;V=Z;X=la}}}else{ga=y;ha=O}while(0);ZC(m)|0;y=ga;O=ha;P=Q}ma=(O|0)==0?0.0:1.0/+(O|0);O=0;do{P=C+(O<<3)|0;na=ma*+p[P>>3];p[P>>3]=na;P=A+(O<<3)|0;oa=ma*+p[P>>3]-na*na;na=+M(+(oa<0.0?0.0:oa));p[P>>3]=na;O=O+1|0}while((O|0)!=(x|0));O=o+8|0;P=o+12|0;ha=o+4|0;ga=q+4|0;y=q+8|0;m=q+12|0;la=q+16|0;X=q+20|0;V=q+24|0;ia=q+28|0;U=q+32|0;T=q+36|0;k=q+40|0;K=q+48|0;F=q+44|0;W=q+52|0;l=(a|536870400)^511;a=0;while(1){I=(a|0)==0;N=I?C:A;E=I?c:d;I=E;ja=f[I+4>>2]|0;J=o;f[J>>2]=f[I>>2];f[J+4>>2]=ja;f[O>>2]=f[E+8>>2];f[P>>2]=f[E+12>>2];if(mK(o)|0){if(!(hK(o)|0))jK(o,x,1,6,-1,1,0);do if((qJ(o)|0)==65536){E=f[ha>>2]|0;f[q>>2]=f[E>>2];ja=E+4|0;f[ga>>2]=f[ja>>2];f[y>>2]=f[E+8>>2];f[m>>2]=f[E+12>>2];f[la>>2]=f[E+16>>2];f[X>>2]=f[E+20>>2];f[V>>2]=f[E+24>>2];f[ia>>2]=f[E+28>>2];f[U>>2]=f[E+32>>2];J=f[E+36>>2]|0;f[T>>2]=J;f[k>>2]=y;f[F>>2]=K;f[K>>2]=0;f[W>>2]=0;if(J|0){I=J+12|0;f[I>>2]=(f[I>>2]|0)+1}if((f[ja>>2]|0)<3){ja=f[E+44>>2]|0;I=f[F>>2]|0;f[I>>2]=f[ja>>2];f[I+4>>2]=f[ja+4>>2];break}else{f[ga>>2]=0;$T(q,E);break}}else nJ(q,o,-1);while(0);Q=f[ga>>2]|0;if((Q|0)<3)pa=Y(f[m>>2]|0,f[y>>2]|0)|0;else{E=f[k>>2]|0;ja=0;I=1;while(1){J=Y(f[E+(ja<<2)>>2]|0,I)|0;ja=ja+1|0;if((ja|0)==(Q|0)){pa=J;break}else I=J}}if((f[q>>2]&20479|0)!=16390){ka=68;break}if((f[m>>2]|0)==1){if((pa|0)<=(s|0)){ka=68;break}}else if((pa|0)<=(s|0)|(f[y>>2]|0)!=1){ka=68;break}I=f[la>>2]|0;Q=0;do{p[I+(Q<<3)>>3]=+p[N+(Q<<3)>>3];Q=Q+1|0}while((Q|0)!=(x|0));if((x|0)<(pa|0))kzc(I+(x<<3)|0,0,l+pa<<3|0)|0;Q=f[T>>2]|0;if(Q|0?(N=Q+12|0,Q=f[N>>2]|0,f[N>>2]=Q+-1,(Q|0)==1):0)aU(q);f[T>>2]=0;f[la>>2]=0;f[la+4>>2]=0;f[la+8>>2]=0;f[la+12>>2]=0;if((f[ga>>2]|0)>0){Q=f[k>>2]|0;N=0;do{f[Q+(N<<2)>>2]=0;N=N+1|0}while((N|0)<(f[ga>>2]|0))}N=f[F>>2]|0;if((N|0)!=(K|0))TC(N)}a=a+1|0;if((a|0)>=2){ka=83;break}}if((ka|0)==68){f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;a=cuc(96)|0;f[r>>2]=a;f[r+8>>2]=-2147483552;f[r+4>>2]=91;t=a;v=188312;w=t+91|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));b[a+91>>0]=0;WD(-215,r,188260,188150,884)}else if((ka|0)==83){ka=f[n>>2]|0;if((ka|0)!=(B|0)){if(ka|0)guc(ka);f[n>>2]=B;f[z>>2]=136}z=j+36|0;B=f[z>>2]|0;if(B|0?(n=B+12|0,B=f[n>>2]|0,f[n>>2]=B+-1,(B|0)==1):0)aU(j);f[z>>2]=0;z=j+16|0;B=j+4|0;f[z>>2]=0;f[z+4>>2]=0;f[z+8>>2]=0;f[z+12>>2]=0;if((f[B>>2]|0)>0){z=f[j+40>>2]|0;n=0;do{f[z+(n<<2)>>2]=0;n=n+1|0}while((n|0)<(f[B>>2]|0))}B=f[j+44>>2]|0;if((B|0)!=(j+48|0))TC(B);B=i+36|0;j=f[B>>2]|0;if(j|0?(n=j+12|0,j=f[n>>2]|0,f[n>>2]=j+-1,(j|0)==1):0)aU(i);f[B>>2]=0;B=i+16|0;j=i+4|0;f[B>>2]=0;f[B+4>>2]=0;f[B+8>>2]=0;f[B+12>>2]=0;if((f[j>>2]|0)>0){B=f[i+40>>2]|0;n=0;do{f[B+(n<<2)>>2]=0;n=n+1|0}while((n|0)<(f[j>>2]|0))}j=f[i+44>>2]|0;if((j|0)!=(i+48|0))TC(j);if(!(f[h+4>>2]|0)){u=g;return}u=g;return}}function LC(a,c,d,e,g,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0;if(!c){j=(i|0)%4|0;switch(j|0){case 1:{k=f[d>>2]|0;l=f[e>>2]|0;if((g|0)>0){m=a;n=k;o=l;p=0;while(1){q=h[m>>0]|0;r=q+n|0;s=(Y(q,q)|0)+o|0;p=p+1|0;if((p|0)==(g|0)){t=r;u=s;break}else{m=m+i|0;n=r;o=s}}}else{t=k;u=l}f[d>>2]=t;f[e>>2]=u;break}case 2:{u=f[d>>2]|0;t=d+4|0;l=f[t>>2]|0;k=f[e>>2]|0;o=e+4|0;n=f[o>>2]|0;if((g|0)>0){m=u;p=l;s=k;r=n;q=0;v=a;while(1){w=h[v>>0]|0;x=w+m|0;y=(Y(w,w)|0)+s|0;w=h[v+1>>0]|0;z=w+p|0;A=(Y(w,w)|0)+r|0;q=q+1|0;if((q|0)==(g|0)){B=x;C=z;D=y;E=A;break}else{m=x;p=z;s=y;r=A;v=v+i|0}}}else{B=u;C=l;D=k;E=n}f[d>>2]=B;f[t>>2]=C;f[e>>2]=D;f[o>>2]=E;break}case 3:{E=f[d>>2]|0;o=d+4|0;D=f[o>>2]|0;C=d+8|0;t=f[C>>2]|0;B=f[e>>2]|0;n=e+4|0;k=f[n>>2]|0;l=e+8|0;u=f[l>>2]|0;if((g|0)>0){v=E;r=0;s=u;p=k;m=B;q=t;A=D;y=a;while(1){z=h[y>>0]|0;x=z+v|0;w=(Y(z,z)|0)+m|0;z=h[y+1>>0]|0;F=z+A|0;G=(Y(z,z)|0)+p|0;z=h[y+2>>0]|0;H=z+q|0;I=(Y(z,z)|0)+s|0;r=r+1|0;if((r|0)==(g|0)){J=x;K=I;L=G;M=w;N=H;O=F;break}else{v=x;s=I;p=G;m=w;q=H;A=F;y=y+i|0}}}else{J=E;K=u;L=k;M=B;N=t;O=D}f[d>>2]=J;f[o>>2]=O;f[C>>2]=N;f[e>>2]=M;f[n>>2]=L;f[l>>2]=K;break}default:{}}if((j|0)<(i|0)&(g|0)>0)P=j;else{Q=g;return Q|0}do{j=d+(P<<2)|0;K=P+1|0;l=d+(K<<2)|0;L=P+2|0;n=d+(L<<2)|0;M=P+3|0;N=d+(M<<2)|0;C=e+(P<<2)|0;O=e+(K<<2)|0;K=e+(L<<2)|0;L=e+(M<<2)|0;M=0;o=f[L>>2]|0;J=f[K>>2]|0;D=f[O>>2]|0;t=f[C>>2]|0;B=f[N>>2]|0;k=f[n>>2]|0;u=f[l>>2]|0;E=f[j>>2]|0;y=a+P|0;while(1){A=h[y>>0]|0;E=A+E|0;t=(Y(A,A)|0)+t|0;A=h[y+1>>0]|0;u=A+u|0;D=(Y(A,A)|0)+D|0;A=h[y+2>>0]|0;k=A+k|0;J=(Y(A,A)|0)+J|0;A=h[y+3>>0]|0;B=A+B|0;o=(Y(A,A)|0)+o|0;M=M+1|0;if((M|0)==(g|0))break;else y=y+i|0}f[j>>2]=E;f[l>>2]=u;f[n>>2]=k;f[N>>2]=B;f[C>>2]=t;f[O>>2]=D;f[K>>2]=J;f[L>>2]=o;P=P+4|0}while((P|0)<(i|0));Q=g;return Q|0}switch(i|0){case 1:{P=f[d>>2]|0;y=f[e>>2]|0;if((g|0)>0){M=y;A=P;q=0;m=0;while(1){if(!(b[c+m>>0]|0)){R=M;S=A;T=q}else{p=h[a+m>>0]|0;R=(Y(p,p)|0)+M|0;S=p+A|0;T=q+1|0}m=m+1|0;if((m|0)==(g|0)){U=R;V=S;W=T;break}else{M=R;A=S;q=T}}}else{U=y;V=P;W=0}f[d>>2]=V;f[e>>2]=U;Q=W;return Q|0}case 3:{W=f[d>>2]|0;U=d+4|0;V=f[U>>2]|0;P=d+8|0;y=f[P>>2]|0;T=f[e>>2]|0;q=e+4|0;S=f[q>>2]|0;A=e+8|0;R=f[A>>2]|0;if((g|0)>0){M=R;m=S;p=T;s=y;v=V;r=W;F=0;H=0;w=a;while(1){if(!(b[c+F>>0]|0)){X=M;Z=m;_=p;$=s;aa=v;ba=r;ca=H}else{G=h[w>>0]|0;I=h[w+1>>0]|0;x=h[w+2>>0]|0;X=(Y(x,x)|0)+M|0;Z=(Y(I,I)|0)+m|0;_=(Y(G,G)|0)+p|0;$=x+s|0;aa=I+v|0;ba=G+r|0;ca=H+1|0}F=F+1|0;if((F|0)==(g|0)){da=X;ea=Z;fa=_;ga=$;ha=aa;ia=ba;ja=ca;break}else{M=X;m=Z;p=_;s=$;v=aa;r=ba;H=ca;w=w+3|0}}}else{da=R;ea=S;fa=T;ga=y;ha=V;ia=W;ja=0}f[d>>2]=ia;f[U>>2]=ha;f[P>>2]=ga;f[e>>2]=fa;f[q>>2]=ea;f[A>>2]=da;Q=ja;return Q|0}default:{if((g|0)<=0){Q=0;return Q|0}if((i|0)>0){ka=0;la=0;ma=a}else{a=0;ja=0;while(1){da=((b[c+a>>0]|0)!=0&1)+ja|0;a=a+1|0;if((a|0)==(g|0)){Q=da;break}else ja=da}return Q|0}while(1){if(!(b[c+ka>>0]|0))na=la;else{ja=0;do{a=d+(ja<<2)|0;da=h[ma+ja>>0]|0;A=e+(ja<<2)|0;ea=(f[A>>2]|0)+(Y(da,da)|0)|0;f[a>>2]=(f[a>>2]|0)+da;f[A>>2]=ea;ja=ja+1|0}while((ja|0)!=(i|0));na=la+1|0}ka=ka+1|0;if((ka|0)==(g|0)){Q=na;break}else{la=na;ma=ma+i|0}}return Q|0}}return 0}function MC(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0;if(!c){i=(h|0)%4|0;switch(i|0){case 1:{j=f[d>>2]|0;k=f[e>>2]|0;if((g|0)>0){l=a;m=j;n=k;o=0;while(1){p=b[l>>0]|0;q=p+m|0;r=(Y(p,p)|0)+n|0;o=o+1|0;if((o|0)==(g|0)){s=q;t=r;break}else{l=l+h|0;m=q;n=r}}}else{s=j;t=k}f[d>>2]=s;f[e>>2]=t;break}case 2:{t=f[d>>2]|0;s=d+4|0;k=f[s>>2]|0;j=f[e>>2]|0;n=e+4|0;m=f[n>>2]|0;if((g|0)>0){l=t;o=k;r=j;q=m;p=0;u=a;while(1){v=b[u>>0]|0;w=v+l|0;x=(Y(v,v)|0)+r|0;v=b[u+1>>0]|0;y=v+o|0;z=(Y(v,v)|0)+q|0;p=p+1|0;if((p|0)==(g|0)){A=w;B=y;C=x;D=z;break}else{l=w;o=y;r=x;q=z;u=u+h|0}}}else{A=t;B=k;C=j;D=m}f[d>>2]=A;f[s>>2]=B;f[e>>2]=C;f[n>>2]=D;break}case 3:{D=f[d>>2]|0;n=d+4|0;C=f[n>>2]|0;B=d+8|0;s=f[B>>2]|0;A=f[e>>2]|0;m=e+4|0;j=f[m>>2]|0;k=e+8|0;t=f[k>>2]|0;if((g|0)>0){u=D;q=0;r=t;o=j;l=A;p=s;z=C;x=a;while(1){y=b[x>>0]|0;w=y+u|0;v=(Y(y,y)|0)+l|0;y=b[x+1>>0]|0;E=y+z|0;F=(Y(y,y)|0)+o|0;y=b[x+2>>0]|0;G=y+p|0;H=(Y(y,y)|0)+r|0;q=q+1|0;if((q|0)==(g|0)){I=w;J=H;K=F;L=v;M=G;N=E;break}else{u=w;r=H;o=F;l=v;p=G;z=E;x=x+h|0}}}else{I=D;J=t;K=j;L=A;M=s;N=C}f[d>>2]=I;f[n>>2]=N;f[B>>2]=M;f[e>>2]=L;f[m>>2]=K;f[k>>2]=J;break}default:{}}if((i|0)<(h|0)&(g|0)>0)O=i;else{P=g;return P|0}do{i=d+(O<<2)|0;J=O+1|0;k=d+(J<<2)|0;K=O+2|0;m=d+(K<<2)|0;L=O+3|0;M=d+(L<<2)|0;B=e+(O<<2)|0;N=e+(J<<2)|0;J=e+(K<<2)|0;K=e+(L<<2)|0;L=0;n=f[K>>2]|0;I=f[J>>2]|0;C=f[N>>2]|0;s=f[B>>2]|0;A=f[M>>2]|0;j=f[m>>2]|0;t=f[k>>2]|0;D=f[i>>2]|0;x=a+O|0;while(1){z=b[x>>0]|0;D=z+D|0;s=(Y(z,z)|0)+s|0;z=b[x+1>>0]|0;t=z+t|0;C=(Y(z,z)|0)+C|0;z=b[x+2>>0]|0;j=z+j|0;I=(Y(z,z)|0)+I|0;z=b[x+3>>0]|0;A=z+A|0;n=(Y(z,z)|0)+n|0;L=L+1|0;if((L|0)==(g|0))break;else x=x+h|0}f[i>>2]=D;f[k>>2]=t;f[m>>2]=j;f[M>>2]=A;f[B>>2]=s;f[N>>2]=C;f[J>>2]=I;f[K>>2]=n;O=O+4|0}while((O|0)<(h|0));P=g;return P|0}switch(h|0){case 1:{O=f[d>>2]|0;x=f[e>>2]|0;if((g|0)>0){L=x;z=O;p=0;l=0;while(1){if(!(b[c+l>>0]|0)){Q=L;R=z;S=p}else{o=b[a+l>>0]|0;Q=(Y(o,o)|0)+L|0;R=o+z|0;S=p+1|0}l=l+1|0;if((l|0)==(g|0)){T=Q;U=R;V=S;break}else{L=Q;z=R;p=S}}}else{T=x;U=O;V=0}f[d>>2]=U;f[e>>2]=T;P=V;return P|0}case 3:{V=f[d>>2]|0;T=d+4|0;U=f[T>>2]|0;O=d+8|0;x=f[O>>2]|0;S=f[e>>2]|0;p=e+4|0;R=f[p>>2]|0;z=e+8|0;Q=f[z>>2]|0;if((g|0)>0){L=Q;l=R;o=S;r=x;u=U;q=V;E=0;G=0;v=a;while(1){if(!(b[c+E>>0]|0)){W=L;X=l;Z=o;_=r;$=u;aa=q;ba=G}else{F=b[v>>0]|0;H=b[v+1>>0]|0;w=b[v+2>>0]|0;W=(Y(w,w)|0)+L|0;X=(Y(H,H)|0)+l|0;Z=(Y(F,F)|0)+o|0;_=w+r|0;$=H+u|0;aa=F+q|0;ba=G+1|0}E=E+1|0;if((E|0)==(g|0)){ca=W;da=X;ea=Z;fa=_;ga=$;ha=aa;ia=ba;break}else{L=W;l=X;o=Z;r=_;u=$;q=aa;G=ba;v=v+3|0}}}else{ca=Q;da=R;ea=S;fa=x;ga=U;ha=V;ia=0}f[d>>2]=ha;f[T>>2]=ga;f[O>>2]=fa;f[e>>2]=ea;f[p>>2]=da;f[z>>2]=ca;P=ia;return P|0}default:{if((g|0)<=0){P=0;return P|0}if((h|0)>0){ja=0;ka=0;la=a}else{a=0;ia=0;while(1){ca=((b[c+a>>0]|0)!=0&1)+ia|0;a=a+1|0;if((a|0)==(g|0)){P=ca;break}else ia=ca}return P|0}while(1){if(!(b[c+ja>>0]|0))ma=ka;else{ia=0;do{a=d+(ia<<2)|0;ca=b[la+ia>>0]|0;z=e+(ia<<2)|0;da=(f[z>>2]|0)+(Y(ca,ca)|0)|0;f[a>>2]=(f[a>>2]|0)+ca;f[z>>2]=da;ia=ia+1|0}while((ia|0)!=(h|0));ma=ka+1|0}ja=ja+1|0;if((ja|0)==(g|0)){P=ma;break}else{ka=ma;la=la+h|0}}return P|0}}return 0}function NC(a,c,e,g,h,i){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0.0,m=0,n=0,o=0.0,q=0,r=0,s=0,t=0.0,u=0.0,v=0,w=0.0,x=0,y=0,z=0,A=0,B=0.0,C=0.0,D=0,E=0,F=0.0,G=0.0,H=0,I=0,J=0,K=0.0,L=0,M=0.0,N=0.0,O=0.0,P=0,Q=0,R=0,S=0,T=0.0,U=0,V=0,W=0.0,X=0,Y=0,Z=0.0,_=0.0,$=0.0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0.0,ia=0.0,ja=0.0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0;if(!c){j=(i|0)%4|0;switch(j|0){case 1:{k=f[e>>2]|0;l=+p[g>>3];if((h|0)>0){m=a;n=k;o=l;q=0;while(1){r=d[m>>1]|0;s=(r&65535)+n|0;t=+(r&65535);u=o+t*t;q=q+1|0;if((q|0)==(h|0)){v=s;w=u;break}else{m=m+(i<<1)|0;n=s;o=u}}}else{v=k;w=l}f[e>>2]=v;p[g>>3]=w;break}case 2:{v=f[e>>2]|0;k=e+4|0;n=f[k>>2]|0;w=+p[g>>3];m=g+8|0;l=+p[m>>3];if((h|0)>0){q=v;s=n;o=w;u=l;r=0;x=a;while(1){y=d[x>>1]|0;z=d[x+2>>1]|0;A=(y&65535)+q|0;t=+(y&65535);B=o+t*t;y=(z&65535)+s|0;t=+(z&65535);C=u+t*t;r=r+1|0;if((r|0)==(h|0)){D=A;E=y;F=B;G=C;break}else{q=A;s=y;o=B;u=C;x=x+(i<<1)|0}}}else{D=v;E=n;F=w;G=l}f[e>>2]=D;f[k>>2]=E;p[g>>3]=F;p[m>>3]=G;break}case 3:{m=f[e>>2]|0;E=e+4|0;k=f[E>>2]|0;D=e+8|0;n=f[D>>2]|0;G=+p[g>>3];v=g+8|0;F=+p[v>>3];x=g+16|0;l=+p[x>>3];if((h|0)>0){s=m;q=0;w=l;u=F;o=G;r=n;y=k;A=a;while(1){z=d[A>>1]|0;H=d[A+2>>1]|0;I=d[A+4>>1]|0;J=(z&65535)+s|0;C=+(z&65535);B=o+C*C;z=(H&65535)+y|0;C=+(H&65535);t=u+C*C;H=(I&65535)+r|0;C=+(I&65535);K=w+C*C;q=q+1|0;if((q|0)==(h|0)){L=J;M=K;N=t;O=B;P=H;Q=z;break}else{s=J;w=K;u=t;o=B;r=H;y=z;A=A+(i<<1)|0}}}else{L=m;M=l;N=F;O=G;P=n;Q=k}f[e>>2]=L;f[E>>2]=Q;f[D>>2]=P;p[g>>3]=O;p[v>>3]=N;p[x>>3]=M;break}default:{}}if((j|0)<(i|0)&(h|0)>0)R=j;else{S=h;return S|0}do{j=e+(R<<2)|0;x=R+1|0;v=e+(x<<2)|0;P=R+2|0;D=e+(P<<2)|0;Q=R+3|0;E=e+(Q<<2)|0;L=g+(R<<3)|0;k=g+(x<<3)|0;x=g+(P<<3)|0;P=g+(Q<<3)|0;Q=0;M=+p[P>>3];N=+p[x>>3];O=+p[k>>3];G=+p[L>>3];n=f[E>>2]|0;m=f[D>>2]|0;A=f[v>>2]|0;y=f[j>>2]|0;r=a+(R<<1)|0;while(1){s=d[r>>1]|0;q=d[r+2>>1]|0;y=(s&65535)+y|0;F=+(s&65535);G=G+F*F;A=(q&65535)+A|0;F=+(q&65535);O=O+F*F;q=d[r+4>>1]|0;s=d[r+6>>1]|0;m=(q&65535)+m|0;F=+(q&65535);N=N+F*F;n=(s&65535)+n|0;F=+(s&65535);M=M+F*F;Q=Q+1|0;if((Q|0)==(h|0))break;else r=r+(i<<1)|0}f[j>>2]=y;f[v>>2]=A;f[D>>2]=m;f[E>>2]=n;p[L>>3]=G;p[k>>3]=O;p[x>>3]=N;p[P>>3]=M;R=R+4|0}while((R|0)<(i|0));S=h;return S|0}switch(i|0){case 1:{R=f[e>>2]|0;F=+p[g>>3];if((h|0)>0){l=F;r=R;Q=0;s=0;while(1){if(!(b[c+s>>0]|0)){T=l;U=r;V=Q}else{q=d[a+(s<<1)>>1]|0;o=+(q&65535);T=l+o*o;U=(q&65535)+r|0;V=Q+1|0}s=s+1|0;if((s|0)==(h|0)){W=T;X=U;Y=V;break}else{l=T;r=U;Q=V}}}else{W=F;X=R;Y=0}f[e>>2]=X;p[g>>3]=W;S=Y;return S|0}case 3:{Y=f[e>>2]|0;X=e+4|0;R=f[X>>2]|0;V=e+8|0;Q=f[V>>2]|0;W=+p[g>>3];U=g+8|0;F=+p[U>>3];r=g+16|0;T=+p[r>>3];if((h|0)>0){l=T;o=F;u=W;s=Q;q=R;z=Y;H=0;J=0;I=a;while(1){if(!(b[c+H>>0]|0)){Z=l;_=o;$=u;aa=s;ba=q;ca=z;da=J}else{ea=d[I>>1]|0;fa=d[I+2>>1]|0;ga=d[I+4>>1]|0;w=+(ea&65535);B=+(fa&65535);t=+(ga&65535);Z=l+t*t;_=o+B*B;$=u+w*w;aa=(ga&65535)+s|0;ba=(fa&65535)+q|0;ca=(ea&65535)+z|0;da=J+1|0}H=H+1|0;if((H|0)==(h|0)){ha=Z;ia=_;ja=$;ka=aa;la=ba;ma=ca;na=da;break}else{l=Z;o=_;u=$;s=aa;q=ba;z=ca;J=da;I=I+6|0}}}else{ha=T;ia=F;ja=W;ka=Q;la=R;ma=Y;na=0}f[e>>2]=ma;f[X>>2]=la;f[V>>2]=ka;p[g>>3]=ja;p[U>>3]=ia;p[r>>3]=ha;S=na;return S|0}default:{if((h|0)<=0){S=0;return S|0}if((i|0)>0){oa=0;pa=0;qa=a}else{a=0;na=0;while(1){r=((b[c+a>>0]|0)!=0&1)+na|0;a=a+1|0;if((a|0)==(h|0)){S=r;break}else na=r}return S|0}while(1){if(!(b[c+oa>>0]|0))ra=pa;else{na=0;do{a=d[qa+(na<<1)>>1]|0;r=e+(na<<2)|0;U=g+(na<<3)|0;ha=+(a&65535);ia=+p[U>>3]+ha*ha;f[r>>2]=(f[r>>2]|0)+(a&65535);p[U>>3]=ia;na=na+1|0}while((na|0)!=(i|0));ra=pa+1|0}oa=oa+1|0;if((oa|0)==(h|0)){S=ra;break}else{pa=ra;qa=qa+(i<<1)|0}}return S|0}}return 0}function OC(a,c,e,g,h,i){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0.0,m=0,n=0,o=0.0,q=0,r=0,s=0,t=0.0,u=0.0,v=0,w=0.0,x=0,y=0,z=0,A=0,B=0.0,C=0.0,D=0,E=0,F=0.0,G=0.0,H=0,I=0,J=0,K=0.0,L=0,M=0.0,N=0.0,O=0.0,P=0,Q=0,R=0,S=0,T=0.0,U=0,V=0,W=0.0,X=0,Y=0,Z=0.0,_=0.0,$=0.0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0.0,ia=0.0,ja=0.0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0;if(!c){j=(i|0)%4|0;switch(j|0){case 1:{k=f[e>>2]|0;l=+p[g>>3];if((h|0)>0){m=a;n=k;o=l;q=0;while(1){r=d[m>>1]|0;s=(r<<16>>16)+n|0;t=+(r<<16>>16);u=o+t*t;q=q+1|0;if((q|0)==(h|0)){v=s;w=u;break}else{m=m+(i<<1)|0;n=s;o=u}}}else{v=k;w=l}f[e>>2]=v;p[g>>3]=w;break}case 2:{v=f[e>>2]|0;k=e+4|0;n=f[k>>2]|0;w=+p[g>>3];m=g+8|0;l=+p[m>>3];if((h|0)>0){q=v;s=n;o=w;u=l;r=0;x=a;while(1){y=d[x>>1]|0;z=d[x+2>>1]|0;A=(y<<16>>16)+q|0;t=+(y<<16>>16);B=o+t*t;y=(z<<16>>16)+s|0;t=+(z<<16>>16);C=u+t*t;r=r+1|0;if((r|0)==(h|0)){D=A;E=y;F=B;G=C;break}else{q=A;s=y;o=B;u=C;x=x+(i<<1)|0}}}else{D=v;E=n;F=w;G=l}f[e>>2]=D;f[k>>2]=E;p[g>>3]=F;p[m>>3]=G;break}case 3:{m=f[e>>2]|0;E=e+4|0;k=f[E>>2]|0;D=e+8|0;n=f[D>>2]|0;G=+p[g>>3];v=g+8|0;F=+p[v>>3];x=g+16|0;l=+p[x>>3];if((h|0)>0){s=m;q=0;w=l;u=F;o=G;r=n;y=k;A=a;while(1){z=d[A>>1]|0;H=d[A+2>>1]|0;I=d[A+4>>1]|0;J=(z<<16>>16)+s|0;C=+(z<<16>>16);B=o+C*C;z=(H<<16>>16)+y|0;C=+(H<<16>>16);t=u+C*C;H=(I<<16>>16)+r|0;C=+(I<<16>>16);K=w+C*C;q=q+1|0;if((q|0)==(h|0)){L=J;M=K;N=t;O=B;P=H;Q=z;break}else{s=J;w=K;u=t;o=B;r=H;y=z;A=A+(i<<1)|0}}}else{L=m;M=l;N=F;O=G;P=n;Q=k}f[e>>2]=L;f[E>>2]=Q;f[D>>2]=P;p[g>>3]=O;p[v>>3]=N;p[x>>3]=M;break}default:{}}if((j|0)<(i|0)&(h|0)>0)R=j;else{S=h;return S|0}do{j=e+(R<<2)|0;x=R+1|0;v=e+(x<<2)|0;P=R+2|0;D=e+(P<<2)|0;Q=R+3|0;E=e+(Q<<2)|0;L=g+(R<<3)|0;k=g+(x<<3)|0;x=g+(P<<3)|0;P=g+(Q<<3)|0;Q=0;M=+p[P>>3];N=+p[x>>3];O=+p[k>>3];G=+p[L>>3];n=f[E>>2]|0;m=f[D>>2]|0;A=f[v>>2]|0;y=f[j>>2]|0;r=a+(R<<1)|0;while(1){s=d[r>>1]|0;q=d[r+2>>1]|0;y=(s<<16>>16)+y|0;F=+(s<<16>>16);G=G+F*F;A=(q<<16>>16)+A|0;F=+(q<<16>>16);O=O+F*F;q=d[r+4>>1]|0;s=d[r+6>>1]|0;m=(q<<16>>16)+m|0;F=+(q<<16>>16);N=N+F*F;n=(s<<16>>16)+n|0;F=+(s<<16>>16);M=M+F*F;Q=Q+1|0;if((Q|0)==(h|0))break;else r=r+(i<<1)|0}f[j>>2]=y;f[v>>2]=A;f[D>>2]=m;f[E>>2]=n;p[L>>3]=G;p[k>>3]=O;p[x>>3]=N;p[P>>3]=M;R=R+4|0}while((R|0)<(i|0));S=h;return S|0}switch(i|0){case 1:{R=f[e>>2]|0;F=+p[g>>3];if((h|0)>0){l=F;r=R;Q=0;s=0;while(1){if(!(b[c+s>>0]|0)){T=l;U=r;V=Q}else{q=d[a+(s<<1)>>1]|0;o=+(q<<16>>16);T=l+o*o;U=(q<<16>>16)+r|0;V=Q+1|0}s=s+1|0;if((s|0)==(h|0)){W=T;X=U;Y=V;break}else{l=T;r=U;Q=V}}}else{W=F;X=R;Y=0}f[e>>2]=X;p[g>>3]=W;S=Y;return S|0}case 3:{Y=f[e>>2]|0;X=e+4|0;R=f[X>>2]|0;V=e+8|0;Q=f[V>>2]|0;W=+p[g>>3];U=g+8|0;F=+p[U>>3];r=g+16|0;T=+p[r>>3];if((h|0)>0){l=T;o=F;u=W;s=Q;q=R;z=Y;H=0;J=0;I=a;while(1){if(!(b[c+H>>0]|0)){Z=l;_=o;$=u;aa=s;ba=q;ca=z;da=J}else{ea=d[I>>1]|0;fa=d[I+2>>1]|0;ga=d[I+4>>1]|0;w=+(ea<<16>>16);B=+(fa<<16>>16);t=+(ga<<16>>16);Z=l+t*t;_=o+B*B;$=u+w*w;aa=(ga<<16>>16)+s|0;ba=(fa<<16>>16)+q|0;ca=(ea<<16>>16)+z|0;da=J+1|0}H=H+1|0;if((H|0)==(h|0)){ha=Z;ia=_;ja=$;ka=aa;la=ba;ma=ca;na=da;break}else{l=Z;o=_;u=$;s=aa;q=ba;z=ca;J=da;I=I+6|0}}}else{ha=T;ia=F;ja=W;ka=Q;la=R;ma=Y;na=0}f[e>>2]=ma;f[X>>2]=la;f[V>>2]=ka;p[g>>3]=ja;p[U>>3]=ia;p[r>>3]=ha;S=na;return S|0}default:{if((h|0)<=0){S=0;return S|0}if((i|0)>0){oa=0;pa=0;qa=a}else{a=0;na=0;while(1){r=((b[c+a>>0]|0)!=0&1)+na|0;a=a+1|0;if((a|0)==(h|0)){S=r;break}else na=r}return S|0}while(1){if(!(b[c+oa>>0]|0))ra=pa;else{na=0;do{a=d[qa+(na<<1)>>1]|0;r=e+(na<<2)|0;U=g+(na<<3)|0;ha=+(a<<16>>16);ia=+p[U>>3]+ha*ha;f[r>>2]=(f[r>>2]|0)+(a<<16>>16);p[U>>3]=ia;na=na+1|0}while((na|0)!=(i|0));ra=pa+1|0}oa=oa+1|0;if((oa|0)==(h|0)){S=ra;break}else{pa=ra;qa=qa+(i<<1)|0}}return S|0}}return 0}function PC(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0.0,k=0.0,l=0,m=0.0,n=0.0,o=0,q=0.0,r=0.0,s=0.0,t=0.0,u=0.0,v=0,w=0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0,D=0.0,E=0.0,F=0,G=0,H=0.0,I=0.0,J=0.0,K=0.0,L=0.0,M=0.0,N=0.0,O=0.0,P=0,Q=0,R=0,S=0,T=0,U=0.0,V=0.0,W=0,X=0.0,Y=0.0,Z=0,_=0,$=0,aa=0.0,ba=0.0,ca=0.0,da=0.0,ea=0.0,fa=0.0,ga=0,ha=0.0,ia=0.0,ja=0.0,ka=0.0,la=0.0,ma=0.0,na=0,oa=0,pa=0,qa=0,ra=0;if(!c){i=(h|0)%4|0;switch(i|0){case 1:{j=+p[d>>3];k=+p[e>>3];if((g|0)>0){l=a;m=j;n=k;o=0;while(1){q=+(f[l>>2]|0);r=m+q;s=n+q*q;o=o+1|0;if((o|0)==(g|0)){t=r;u=s;break}else{l=l+(h<<2)|0;m=r;n=s}}}else{t=j;u=k}p[d>>3]=t;p[e>>3]=u;break}case 2:{u=+p[d>>3];l=d+8|0;t=+p[l>>3];k=+p[e>>3];o=e+8|0;j=+p[o>>3];if((g|0)>0){n=u;m=t;s=k;r=j;v=0;w=a;while(1){q=+(f[w>>2]|0);x=n+q;y=s+q*q;q=+(f[w+4>>2]|0);z=m+q;A=r+q*q;v=v+1|0;if((v|0)==(g|0)){B=x;C=z;D=y;E=A;break}else{n=x;m=z;s=y;r=A;w=w+(h<<2)|0}}}else{B=u;C=t;D=k;E=j}p[d>>3]=B;p[l>>3]=C;p[e>>3]=D;p[o>>3]=E;break}case 3:{E=+p[d>>3];o=d+8|0;D=+p[o>>3];l=d+16|0;C=+p[l>>3];B=+p[e>>3];w=e+8|0;j=+p[w>>3];v=e+16|0;k=+p[v>>3];if((g|0)>0){t=E;F=0;u=k;r=j;s=B;m=C;n=D;G=a;while(1){A=+(f[G>>2]|0);y=t+A;z=s+A*A;A=+(f[G+4>>2]|0);x=n+A;q=r+A*A;A=+(f[G+8>>2]|0);H=m+A;I=u+A*A;F=F+1|0;if((F|0)==(g|0)){J=y;K=I;L=q;M=z;N=H;O=x;break}else{t=y;u=I;r=q;s=z;m=H;n=x;G=G+(h<<2)|0}}}else{J=E;K=k;L=j;M=B;N=C;O=D}p[d>>3]=J;p[o>>3]=O;p[l>>3]=N;p[e>>3]=M;p[w>>3]=L;p[v>>3]=K;break}default:{}}if((i|0)<(h|0)&(g|0)>0)P=i;else{Q=g;return Q|0}do{i=d+(P<<3)|0;v=P+1|0;w=d+(v<<3)|0;l=P+2|0;o=d+(l<<3)|0;G=P+3|0;F=d+(G<<3)|0;R=e+(P<<3)|0;S=e+(v<<3)|0;v=e+(l<<3)|0;l=e+(G<<3)|0;G=0;K=+p[l>>3];L=+p[v>>3];M=+p[S>>3];N=+p[R>>3];O=+p[F>>3];J=+p[o>>3];D=+p[w>>3];C=+p[i>>3];T=a+(P<<2)|0;while(1){B=+(f[T>>2]|0);C=C+B;N=N+B*B;B=+(f[T+4>>2]|0);D=D+B;M=M+B*B;B=+(f[T+8>>2]|0);J=J+B;L=L+B*B;B=+(f[T+12>>2]|0);O=O+B;K=K+B*B;G=G+1|0;if((G|0)==(g|0))break;else T=T+(h<<2)|0}p[i>>3]=C;p[w>>3]=D;p[o>>3]=J;p[F>>3]=O;p[R>>3]=N;p[S>>3]=M;p[v>>3]=L;p[l>>3]=K;P=P+4|0}while((P|0)<(h|0));Q=g;return Q|0}switch(h|0){case 1:{B=+p[d>>3];j=+p[e>>3];if((g|0)>0){k=j;E=B;P=0;T=0;while(1){if(!(b[c+T>>0]|0)){U=k;V=E;W=P}else{n=+(f[a+(T<<2)>>2]|0);U=k+n*n;V=E+n;W=P+1|0}T=T+1|0;if((T|0)==(g|0)){X=U;Y=V;Z=W;break}else{k=U;E=V;P=W}}}else{X=j;Y=B;Z=0}p[d>>3]=Y;p[e>>3]=X;Q=Z;return Q|0}case 3:{X=+p[d>>3];Z=d+8|0;Y=+p[Z>>3];W=d+16|0;B=+p[W>>3];j=+p[e>>3];P=e+8|0;V=+p[P>>3];T=e+16|0;E=+p[T>>3];if((g|0)>0){U=E;k=V;n=j;m=B;s=Y;r=X;G=0;_=0;$=a;while(1){if(!(b[c+G>>0]|0)){aa=U;ba=k;ca=n;da=m;ea=s;fa=r;ga=_}else{u=+(f[$>>2]|0);t=+(f[$+4>>2]|0);x=+(f[$+8>>2]|0);aa=U+x*x;ba=k+t*t;ca=n+u*u;da=m+x;ea=s+t;fa=r+u;ga=_+1|0}G=G+1|0;if((G|0)==(g|0)){ha=aa;ia=ba;ja=ca;ka=da;la=ea;ma=fa;na=ga;break}else{U=aa;k=ba;n=ca;m=da;s=ea;r=fa;_=ga;$=$+12|0}}}else{ha=E;ia=V;ja=j;ka=B;la=Y;ma=X;na=0}p[d>>3]=ma;p[Z>>3]=la;p[W>>3]=ka;p[e>>3]=ja;p[P>>3]=ia;p[T>>3]=ha;Q=na;return Q|0}default:{if((g|0)<=0){Q=0;return Q|0}if((h|0)>0){oa=0;pa=0;qa=a}else{a=0;na=0;while(1){T=((b[c+a>>0]|0)!=0&1)+na|0;a=a+1|0;if((a|0)==(g|0)){Q=T;break}else na=T}return Q|0}while(1){if(!(b[c+oa>>0]|0))ra=pa;else{na=0;do{a=d+(na<<3)|0;ha=+(f[qa+(na<<2)>>2]|0);T=e+(na<<3)|0;ia=+p[T>>3]+ha*ha;p[a>>3]=+p[a>>3]+ha;p[T>>3]=ia;na=na+1|0}while((na|0)!=(h|0));ra=pa+1|0}oa=oa+1|0;if((oa|0)==(g|0)){Q=ra;break}else{pa=ra;qa=qa+(h<<2)|0}}return Q|0}}return 0}function QC(a,c,d,e,f,g){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0.0,j=0.0,k=0,l=0.0,m=0.0,o=0,q=0.0,r=0.0,s=0.0,t=0.0,u=0.0,v=0,w=0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0,D=0.0,E=0.0,F=0,G=0,H=0.0,I=0.0,J=0.0,K=0.0,L=0.0,M=0.0,N=0.0,O=0.0,P=0,Q=0,R=0,S=0,T=0,U=0.0,V=0.0,W=0,X=0.0,Y=0.0,Z=0,_=0,$=0,aa=0.0,ba=0.0,ca=0.0,da=0.0,ea=0.0,fa=0.0,ga=0,ha=0.0,ia=0.0,ja=0.0,ka=0.0,la=0.0,ma=0.0,na=0,oa=0,pa=0,qa=0,ra=0;if(!c){h=(g|0)%4|0;switch(h|0){case 1:{i=+p[d>>3];j=+p[e>>3];if((f|0)>0){k=a;l=i;m=j;o=0;while(1){q=+n[k>>2];r=l+q;s=m+q*q;o=o+1|0;if((o|0)==(f|0)){t=r;u=s;break}else{k=k+(g<<2)|0;l=r;m=s}}}else{t=i;u=j}p[d>>3]=t;p[e>>3]=u;break}case 2:{u=+p[d>>3];k=d+8|0;t=+p[k>>3];j=+p[e>>3];o=e+8|0;i=+p[o>>3];if((f|0)>0){m=u;l=t;s=j;r=i;v=0;w=a;while(1){q=+n[w>>2];x=m+q;y=s+q*q;q=+n[w+4>>2];z=l+q;A=r+q*q;v=v+1|0;if((v|0)==(f|0)){B=x;C=z;D=y;E=A;break}else{m=x;l=z;s=y;r=A;w=w+(g<<2)|0}}}else{B=u;C=t;D=j;E=i}p[d>>3]=B;p[k>>3]=C;p[e>>3]=D;p[o>>3]=E;break}case 3:{E=+p[d>>3];o=d+8|0;D=+p[o>>3];k=d+16|0;C=+p[k>>3];B=+p[e>>3];w=e+8|0;i=+p[w>>3];v=e+16|0;j=+p[v>>3];if((f|0)>0){t=E;F=0;u=j;r=i;s=B;l=C;m=D;G=a;while(1){A=+n[G>>2];y=t+A;z=s+A*A;A=+n[G+4>>2];x=m+A;q=r+A*A;A=+n[G+8>>2];H=l+A;I=u+A*A;F=F+1|0;if((F|0)==(f|0)){J=y;K=I;L=q;M=z;N=H;O=x;break}else{t=y;u=I;r=q;s=z;l=H;m=x;G=G+(g<<2)|0}}}else{J=E;K=j;L=i;M=B;N=C;O=D}p[d>>3]=J;p[o>>3]=O;p[k>>3]=N;p[e>>3]=M;p[w>>3]=L;p[v>>3]=K;break}default:{}}if((h|0)<(g|0)&(f|0)>0)P=h;else{Q=f;return Q|0}do{h=d+(P<<3)|0;v=P+1|0;w=d+(v<<3)|0;k=P+2|0;o=d+(k<<3)|0;G=P+3|0;F=d+(G<<3)|0;R=e+(P<<3)|0;S=e+(v<<3)|0;v=e+(k<<3)|0;k=e+(G<<3)|0;G=0;K=+p[k>>3];L=+p[v>>3];M=+p[S>>3];N=+p[R>>3];O=+p[F>>3];J=+p[o>>3];D=+p[w>>3];C=+p[h>>3];T=a+(P<<2)|0;while(1){B=+n[T>>2];C=C+B;N=N+B*B;B=+n[T+4>>2];D=D+B;M=M+B*B;B=+n[T+8>>2];J=J+B;L=L+B*B;B=+n[T+12>>2];O=O+B;K=K+B*B;G=G+1|0;if((G|0)==(f|0))break;else T=T+(g<<2)|0}p[h>>3]=C;p[w>>3]=D;p[o>>3]=J;p[F>>3]=O;p[R>>3]=N;p[S>>3]=M;p[v>>3]=L;p[k>>3]=K;P=P+4|0}while((P|0)<(g|0));Q=f;return Q|0}switch(g|0){case 1:{B=+p[d>>3];i=+p[e>>3];if((f|0)>0){j=i;E=B;P=0;T=0;while(1){if(!(b[c+T>>0]|0)){U=j;V=E;W=P}else{m=+n[a+(T<<2)>>2];U=j+m*m;V=E+m;W=P+1|0}T=T+1|0;if((T|0)==(f|0)){X=U;Y=V;Z=W;break}else{j=U;E=V;P=W}}}else{X=i;Y=B;Z=0}p[d>>3]=Y;p[e>>3]=X;Q=Z;return Q|0}case 3:{X=+p[d>>3];Z=d+8|0;Y=+p[Z>>3];W=d+16|0;B=+p[W>>3];i=+p[e>>3];P=e+8|0;V=+p[P>>3];T=e+16|0;E=+p[T>>3];if((f|0)>0){U=E;j=V;m=i;l=B;s=Y;r=X;G=0;_=0;$=a;while(1){if(!(b[c+G>>0]|0)){aa=U;ba=j;ca=m;da=l;ea=s;fa=r;ga=_}else{u=+n[$>>2];t=+n[$+4>>2];x=+n[$+8>>2];aa=U+x*x;ba=j+t*t;ca=m+u*u;da=l+x;ea=s+t;fa=r+u;ga=_+1|0}G=G+1|0;if((G|0)==(f|0)){ha=aa;ia=ba;ja=ca;ka=da;la=ea;ma=fa;na=ga;break}else{U=aa;j=ba;m=ca;l=da;s=ea;r=fa;_=ga;$=$+12|0}}}else{ha=E;ia=V;ja=i;ka=B;la=Y;ma=X;na=0}p[d>>3]=ma;p[Z>>3]=la;p[W>>3]=ka;p[e>>3]=ja;p[P>>3]=ia;p[T>>3]=ha;Q=na;return Q|0}default:{if((f|0)<=0){Q=0;return Q|0}if((g|0)>0){oa=0;pa=0;qa=a}else{a=0;na=0;while(1){T=((b[c+a>>0]|0)!=0&1)+na|0;a=a+1|0;if((a|0)==(f|0)){Q=T;break}else na=T}return Q|0}while(1){if(!(b[c+oa>>0]|0))ra=pa;else{na=0;do{a=d+(na<<3)|0;ha=+n[qa+(na<<2)>>2];T=e+(na<<3)|0;ia=+p[T>>3]+ha*ha;p[a>>3]=+p[a>>3]+ha;p[T>>3]=ia;na=na+1|0}while((na|0)!=(g|0));ra=pa+1|0}oa=oa+1|0;if((oa|0)==(f|0)){Q=ra;break}else{pa=ra;qa=qa+(g<<2)|0}}return Q|0}}return 0}function RC(a,c,d,e,f,g){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0.0,j=0.0,k=0,l=0.0,m=0.0,n=0,o=0.0,q=0.0,r=0.0,s=0.0,t=0.0,u=0,v=0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0,D=0.0,E=0,F=0,G=0.0,H=0.0,I=0.0,J=0.0,K=0.0,L=0.0,M=0.0,N=0.0,O=0,P=0,Q=0,R=0,S=0,T=0.0,U=0.0,V=0,W=0.0,X=0.0,Y=0,Z=0,_=0,$=0.0,aa=0.0,ba=0.0,ca=0.0,da=0.0,ea=0.0,fa=0,ga=0.0,ha=0.0,ia=0.0,ja=0.0,ka=0.0,la=0.0,ma=0,na=0,oa=0,pa=0,qa=0;if(!c){h=(g|0)%4|0;switch(h|0){case 1:{i=+p[d>>3];j=+p[e>>3];if((f|0)>0){k=a;l=i;m=j;n=0;while(1){o=+p[k>>3];q=l+o;r=m+o*o;n=n+1|0;if((n|0)==(f|0)){s=q;t=r;break}else{k=k+(g<<3)|0;l=q;m=r}}}else{s=i;t=j}p[d>>3]=s;p[e>>3]=t;break}case 2:{t=+p[d>>3];k=d+8|0;s=+p[k>>3];j=+p[e>>3];n=e+8|0;i=+p[n>>3];if((f|0)>0){m=t;l=s;r=j;q=i;u=0;v=a;while(1){o=+p[v>>3];w=+p[v+8>>3];x=m+o;y=r+o*o;o=l+w;z=q+w*w;u=u+1|0;if((u|0)==(f|0)){A=x;B=o;C=y;D=z;break}else{m=x;l=o;r=y;q=z;v=v+(g<<3)|0}}}else{A=t;B=s;C=j;D=i}p[d>>3]=A;p[k>>3]=B;p[e>>3]=C;p[n>>3]=D;break}case 3:{D=+p[d>>3];n=d+8|0;C=+p[n>>3];k=d+16|0;B=+p[k>>3];A=+p[e>>3];v=e+8|0;i=+p[v>>3];u=e+16|0;j=+p[u>>3];if((f|0)>0){s=D;E=0;t=j;q=i;r=A;l=B;m=C;F=a;while(1){z=+p[F>>3];y=+p[F+8>>3];o=+p[F+16>>3];x=s+z;w=r+z*z;z=m+y;G=q+y*y;y=l+o;H=t+o*o;E=E+1|0;if((E|0)==(f|0)){I=x;J=H;K=G;L=w;M=y;N=z;break}else{s=x;t=H;q=G;r=w;l=y;m=z;F=F+(g<<3)|0}}}else{I=D;J=j;K=i;L=A;M=B;N=C}p[d>>3]=I;p[n>>3]=N;p[k>>3]=M;p[e>>3]=L;p[v>>3]=K;p[u>>3]=J;break}default:{}}if((h|0)<(g|0)&(f|0)>0)O=h;else{P=f;return P|0}do{h=d+(O<<3)|0;u=O+1|0;v=d+(u<<3)|0;k=O+2|0;n=d+(k<<3)|0;F=O+3|0;E=d+(F<<3)|0;Q=e+(O<<3)|0;R=e+(u<<3)|0;u=e+(k<<3)|0;k=e+(F<<3)|0;F=0;J=+p[k>>3];K=+p[u>>3];L=+p[R>>3];M=+p[Q>>3];N=+p[E>>3];I=+p[n>>3];C=+p[v>>3];B=+p[h>>3];S=a+(O<<3)|0;while(1){A=+p[S>>3];i=+p[S+8>>3];B=B+A;M=M+A*A;C=C+i;L=L+i*i;i=+p[S+16>>3];A=+p[S+24>>3];I=I+i;K=K+i*i;N=N+A;J=J+A*A;F=F+1|0;if((F|0)==(f|0))break;else S=S+(g<<3)|0}p[h>>3]=B;p[v>>3]=C;p[n>>3]=I;p[E>>3]=N;p[Q>>3]=M;p[R>>3]=L;p[u>>3]=K;p[k>>3]=J;O=O+4|0}while((O|0)<(g|0));P=f;return P|0}switch(g|0){case 1:{A=+p[d>>3];i=+p[e>>3];if((f|0)>0){j=i;D=A;O=0;S=0;while(1){if(!(b[c+S>>0]|0)){T=j;U=D;V=O}else{m=+p[a+(S<<3)>>3];T=j+m*m;U=D+m;V=O+1|0}S=S+1|0;if((S|0)==(f|0)){W=T;X=U;Y=V;break}else{j=T;D=U;O=V}}}else{W=i;X=A;Y=0}p[d>>3]=X;p[e>>3]=W;P=Y;return P|0}case 3:{W=+p[d>>3];Y=d+8|0;X=+p[Y>>3];V=d+16|0;A=+p[V>>3];i=+p[e>>3];O=e+8|0;U=+p[O>>3];S=e+16|0;D=+p[S>>3];if((f|0)>0){T=D;j=U;m=i;l=A;r=X;q=W;F=0;Z=0;_=a;while(1){if(!(b[c+F>>0]|0)){$=T;aa=j;ba=m;ca=l;da=r;ea=q;fa=Z}else{t=+p[_>>3];s=+p[_+8>>3];z=+p[_+16>>3];$=T+z*z;aa=j+s*s;ba=m+t*t;ca=l+z;da=r+s;ea=q+t;fa=Z+1|0}F=F+1|0;if((F|0)==(f|0)){ga=$;ha=aa;ia=ba;ja=ca;ka=da;la=ea;ma=fa;break}else{T=$;j=aa;m=ba;l=ca;r=da;q=ea;Z=fa;_=_+24|0}}}else{ga=D;ha=U;ia=i;ja=A;ka=X;la=W;ma=0}p[d>>3]=la;p[Y>>3]=ka;p[V>>3]=ja;p[e>>3]=ia;p[O>>3]=ha;p[S>>3]=ga;P=ma;return P|0}default:{if((f|0)<=0){P=0;return P|0}if((g|0)>0){na=0;oa=0;pa=a}else{a=0;ma=0;while(1){S=((b[c+a>>0]|0)!=0&1)+ma|0;a=a+1|0;if((a|0)==(f|0)){P=S;break}else ma=S}return P|0}while(1){if(!(b[c+na>>0]|0))qa=oa;else{ma=0;do{ga=+p[pa+(ma<<3)>>3];a=d+(ma<<3)|0;S=e+(ma<<3)|0;ha=ga*ga+ +p[S>>3];p[a>>3]=ga+ +p[a>>3];p[S>>3]=ha;ma=ma+1|0}while((ma|0)!=(g|0));qa=oa+1|0}na=na+1|0;if((na|0)==(f|0)){P=qa;break}else{oa=qa;pa=pa+(g<<3)|0}}return P|0}}return 0}function SC(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=u;u=u+32|0;c=b;d=b+12|0;e=b+8|0;f[e>>2]=0;if(!(vec(e,64,a)|0)){g=f[e>>2]|0;if(g|0){u=b;return g|0}}else f[e>>2]=0;e=c;f[e>>2]=a;f[e+4>>2]=0;cE(d,188474,c);WD(-4,d,188504,188521,55);return 0}function TC(a){a=a|0;qec(a);return}function UC(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=u;u=u+32|0;c=b;d=b+12|0;e=b+8|0;f[e>>2]=0;if(!(vec(e,64,a)|0)){g=f[e>>2]|0;if(g|0){u=b;return g|0}}else f[e>>2]=0;e=c;f[e>>2]=a;f[e+4>>2]=0;cE(d,188474,c);WD(-4,d,188504,188521,55);return 0}function VC(a){a=a|0;qec(a);return}function WC(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;f[a+16>>2]=0;f[a+20>>2]=0;f[a+24>>2]=0;f[a+28>>2]=0;XC(a,b,c,0,d);return}function XC(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0;h=u;u=u+64|0;i=h;if(!c){j=cuc(32)|0;f[i>>2]=j;k=i+8|0;f[k>>2]=-2147483616;l=i+4|0;f[l>>2]=29;m=j;n=188588;o=m+29|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));p=j+29|0;b[p>>0]=0;WD(-215,i,242886,188618,30)}if(!((d|0)!=0|(e|0)!=0)){j=cuc(32)|0;f[i>>2]=j;k=i+8|0;f[k>>2]=-2147483616;l=i+4|0;f[l>>2]=29;m=j;n=188588;o=m+29|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));p=j+29|0;b[p>>0]=0;WD(-215,i,242886,188618,30)}f[a>>2]=c;p=a+8|0;f[p>>2]=e;e=a+4|0;f[e>>2]=d;d=a+12|0;f[d>>2]=g;j=a+16|0;f[j>>2]=0;l=a+20|0;f[l>>2]=0;if((g|0)<0){k=0;while(1)if(!(f[c+(k<<2)>>2]|0))break;else k=k+1|0;f[d>>2]=k;if((k|0)<1001)q=k;else{k=cuc(16)|0;f[i>>2]=k;f[i+8>>2]=-2147483632;f[i+4>>2]=15;m=k;n=188695;o=m+15|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));b[k+15>>0]=0;WD(-215,i,242886,188618,45)}}else q=g;g=a+24|0;f[g>>2]=0;k=(q|0)>0;do if(k){r=f[c>>2]|0;if(!r){s=cuc(16)|0;f[i>>2]=s;t=i+8|0;f[t>>2]=-2147483632;v=i+4|0;f[v>>2]=14;m=s;n=188711;o=m+14|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));w=s+14|0;b[w>>0]=0;WD(-215,i,242886,188618,52)}else{x=-1;y=-1;z=0;A=0;B=0;C=r}a:while(1){D=f[p>>2]|0;if(!D)E=C+16|0;else{F=C+16|0;f[D+(A<<2)>>2]=f[F>>2];E=F}if(f[E>>2]|0){b:do if((y|0)<0){F=f[C+4>>2]|0;if((F|0)>0){D=f[C+40>>2]|0;G=0;while(1){if((f[D+(G<<2)>>2]|0)>1){H=F;I=A;K=G;break b}L=G+1|0;if((L|0)<(F|0))G=L;else{H=F;I=A;K=L;break}}}else{H=F;I=A;K=0}}else{G=f[C+40>>2]|0;D=f[G+-4>>2]|0;L=f[(f[(f[a>>2]|0)+(y<<2)>>2]|0)+40>>2]|0;if((D|0)!=(f[L+-4>>2]|0)){M=27;break a}if((D|0)==2){if((f[G>>2]|0)!=(f[L>>2]|0)){M=27;break a}if((f[G+4>>2]|0)==(f[L+4>>2]|0)){H=x;I=y;K=z;break}else{M=27;break a}}if((D|0)>0){N=0;while(1){if((f[G+(N<<2)>>2]|0)!=(f[L+(N<<2)>>2]|0)){M=27;break a}N=N+1|0;if((N|0)>=(D|0)){H=x;I=y;K=z;break}}}else{H=x;I=y;K=z}}while(0);if(!(f[C>>2]&16384)){D=H+-1|0;N=f[C+44>>2]|0;L=f[N+(D<<2)>>2]|0;G=f[C+4>>2]|0;if((G|0)>0)O=f[N+(G+-1<<2)>>2]|0;else O=0;if((L|0)!=(O|0)){M=33;break}G=C+40|0;F=L;L=D;while(1){if((L|0)<=(K|0))break;D=Y(f[(f[G>>2]|0)+(L<<2)>>2]|0,F)|0;P=L+-1|0;F=f[N+(P<<2)>>2]|0;if(D>>>0<F>>>0)break;else L=P}F=(B|0)<(L|0)?L:B;f[g>>2]=F;Q=H;R=I;S=K;T=F}else{Q=H;R=I;S=K;T=B}}else{Q=x;R=y;S=z;T=B}A=A+1|0;if((A|0)>=(q|0)){M=39;break}C=f[(f[a>>2]|0)+(A<<2)>>2]|0;if(!C){M=10;break}else{x=Q;y=R;z=S;B=T}}if((M|0)==10){s=cuc(16)|0;f[i>>2]=s;t=i+8|0;f[t>>2]=-2147483632;v=i+4|0;f[v>>2]=14;m=s;n=188711;o=m+14|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));w=s+14|0;b[w>>0]=0;WD(-215,i,242886,188618,52)}else if((M|0)==27){r=cuc(32)|0;f[i>>2]=r;f[i+8>>2]=-2147483616;f[i+4>>2]=26;m=r;n=188726;o=m+26|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));b[r+26>>0]=0;WD(-215,i,242886,188618,72)}else if((M|0)==33){F=cuc(32)|0;f[i>>2]=F;f[i+8>>2]=-2147483616;f[i+4>>2]=27;m=F;n=188753;o=m+27|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));b[F+27>>0]=0;WD(-215,i,242886,188618,76)}else if((M|0)==39){if((R|0)<=-1){M=45;break}r=Q+-1|0;N=f[(f[(f[a>>2]|0)+(R<<2)>>2]|0)+40>>2]|0;G=f[N+(r<<2)>>2]|0;P=r;while(1){f[l>>2]=G;if((P|0)<=(T|0))break;r=P+-1|0;D=f[N+(r<<2)>>2]|0;G=Bzc(D|0,((D|0)<0)<<31>>31|0,G|0,0)|0;if(!((G|0)==(G|0)&(J|0)==(((G|0)<0)<<31>>31|0)))break;else P=r}G=(P|0)==(S|0)?0:P;f[g>>2]=G;f[j>>2]=1;if((G|0)>0){U=1;V=G}else break;do{G=V;V=V+-1|0;U=Y(U,f[N+(V<<2)>>2]|0)|0;f[j>>2]=U}while((G|0)>1)}}else M=45;while(0);if((M|0)==45)f[g>>2]=0;f[a+28>>2]=0;if((f[e>>2]|0)==0|k^1){u=h;return}k=i+4|0;g=i+8|0;U=i+40|0;j=i+48|0;V=i+44|0;S=i+52|0;T=i+36|0;R=i+16|0;Q=i+12|0;w=i+20|0;s=i+24|0;v=i+28|0;t=i+32|0;B=i+44|0;z=i+36|0;y=i+16|0;x=i+4|0;C=i+40|0;A=i+44|0;q=i+48|0;K=i+8|0;I=i+12|0;H=i+20|0;O=i+24|0;E=i+28|0;p=i+32|0;c=i+44|0;N=0;while(1){P=f[(f[a>>2]|0)+(N<<2)>>2]|0;if(!P){M=49;break}G=f[P+16>>2]|0;if(!G){f[i>>2]=1124007936;m=k;o=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(o|0));f[U>>2]=g;f[V>>2]=j;f[j>>2]=0;f[S>>2]=0;F=f[e>>2]|0;r=F+(N*56|0)|0;if((r|0)!=(i|0)){D=F+(N*56|0)+36|0;W=f[D>>2]|0;if(W|0?(X=W+12|0,W=f[X>>2]|0,f[X>>2]=W+-1,(W|0)==1):0)aU(r);f[D>>2]=0;W=F+(N*56|0)+16|0;X=F+(N*56|0)+4|0;f[W>>2]=0;f[W+4>>2]=0;f[W+8>>2]=0;f[W+12>>2]=0;if((f[X>>2]|0)>0){Z=f[F+(N*56|0)+40>>2]|0;_=0;do{f[Z+(_<<2)>>2]=0;_=_+1|0}while((_|0)<(f[X>>2]|0))}f[r>>2]=f[i>>2];f[X>>2]=f[k>>2];_=F+(N*56|0)+8|0;f[_>>2]=f[g>>2];f[F+(N*56|0)+12>>2]=f[Q>>2];f[W>>2]=f[R>>2];f[F+(N*56|0)+20>>2]=f[w>>2];f[F+(N*56|0)+24>>2]=f[s>>2];f[F+(N*56|0)+28>>2]=f[v>>2];f[F+(N*56|0)+32>>2]=f[t>>2];f[D>>2]=f[T>>2];Z=F+(N*56|0)+44|0;$=f[Z>>2]|0;aa=F+(N*56|0)+48|0;if(($|0)==(aa|0))ba=$;else{TC($);f[Z>>2]=aa;f[F+(N*56|0)+40>>2]=_;ba=aa}if((f[k>>2]|0)<3){aa=f[B>>2]|0;f[ba>>2]=f[aa>>2];f[ba+4>>2]=f[aa+4>>2];ca=aa}else{f[Z>>2]=f[B>>2];f[F+(N*56|0)+40>>2]=f[U>>2];f[B>>2]=j;f[U>>2]=g;ca=j}f[i>>2]=1124007936;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;f[k+16>>2]=0;f[k+20>>2]=0;f[k+24>>2]=0;f[k+28>>2]=0;f[T>>2]=0;f[R>>2]=0;f[R+4>>2]=0;f[R+8>>2]=0;f[R+12>>2]=0;if((ca|0)!=(j|0))TC(ca)}else{f[T>>2]=0;f[R>>2]=0;f[R+4>>2]=0;f[R+8>>2]=0;f[R+12>>2]=0}}else{Ri(i,1,f[l>>2]|0,f[P>>2]&4095,G,0);Z=f[e>>2]|0;aa=Z+(N*56|0)|0;if((aa|0)==(i|0)){_=f[z>>2]|0;if(_|0?($=_+12|0,_=f[$>>2]|0,f[$>>2]=_+-1,(_|0)==1):0)aU(i)}else{_=Z+(N*56|0)+36|0;$=f[_>>2]|0;if($|0?(da=$+12|0,$=f[da>>2]|0,f[da>>2]=$+-1,($|0)==1):0)aU(aa);f[_>>2]=0;$=Z+(N*56|0)+16|0;da=Z+(N*56|0)+4|0;f[$>>2]=0;f[$+4>>2]=0;f[$+8>>2]=0;f[$+12>>2]=0;if((f[da>>2]|0)>0){ea=f[Z+(N*56|0)+40>>2]|0;fa=0;do{f[ea+(fa<<2)>>2]=0;fa=fa+1|0}while((fa|0)<(f[da>>2]|0))}f[aa>>2]=f[i>>2];f[da>>2]=f[x>>2];fa=Z+(N*56|0)+8|0;f[fa>>2]=f[K>>2];f[Z+(N*56|0)+12>>2]=f[I>>2];f[$>>2]=f[y>>2];f[Z+(N*56|0)+20>>2]=f[H>>2];f[Z+(N*56|0)+24>>2]=f[O>>2];f[Z+(N*56|0)+28>>2]=f[E>>2];f[Z+(N*56|0)+32>>2]=f[p>>2];f[_>>2]=f[z>>2];ea=Z+(N*56|0)+44|0;G=f[ea>>2]|0;P=Z+(N*56|0)+48|0;if((G|0)==(P|0))ga=G;else{TC(G);f[ea>>2]=P;f[Z+(N*56|0)+40>>2]=fa;ga=P}if((f[x>>2]|0)<3){P=f[c>>2]|0;f[ga>>2]=f[P>>2];f[ga+4>>2]=f[P+4>>2]}else{f[ea>>2]=f[c>>2];f[Z+(N*56|0)+40>>2]=f[C>>2];f[c>>2]=q;f[C>>2]=K}f[i>>2]=1124007936;m=x;o=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(o|0))}f[z>>2]=0;f[y>>2]=0;f[y+4>>2]=0;f[y+8>>2]=0;f[y+12>>2]=0;if((f[x>>2]|0)>0){Z=f[C>>2]|0;_=0;do{f[Z+(_<<2)>>2]=0;_=_+1|0}while((_|0)<(f[x>>2]|0))}_=f[A>>2]|0;if((_|0)!=(q|0))TC(_)}N=N+1|0;if((N|0)>=(f[d>>2]|0)){M=90;break}}if((M|0)==49){d=cuc(16)|0;f[i>>2]=d;f[i+8>>2]=-2147483632;f[i+4>>2]=14;m=d;n=188711;o=m+14|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));b[d+14>>0]=0;WD(-215,i,242886,188618,113)}else if((M|0)==90){u=h;return}}function YC(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;f[a+16>>2]=0;f[a+20>>2]=0;f[a+24>>2]=0;f[a+28>>2]=0;XC(a,b,0,c,d);return}function ZC(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;b=a+28|0;c=f[b>>2]|0;if(c>>>0>=((f[a+16>>2]|0)+-1|0)>>>0)return a|0;d=c+1|0;f[b>>2]=d;b=f[a+24>>2]|0;if((b|0)!=1){c=f[a+12>>2]|0;if((c|0)<=0)return a|0;e=a+8|0;g=a+4|0;h=(d|0)>0&(b|0)>0;i=0;do{j=f[(f[a>>2]|0)+(i<<2)>>2]|0;k=f[j+16>>2]|0;if(k|0){if(h){l=f[j+40>>2]|0;m=f[j+44>>2]|0;j=b;n=k;o=d;while(1){p=j;j=j+-1|0;q=f[l+(j<<2)>>2]|0;r=o;o=(o|0)/(q|0)|0;s=r-(Y(o,q)|0)|0;q=n+(Y(s,f[m+(j<<2)>>2]|0)|0)|0;if(!((o|0)>0&(p|0)>1)){t=q;break}else n=q}}else t=k;n=f[e>>2]|0;if(n|0)f[n+(i<<2)>>2]=t;n=f[g>>2]|0;if(n|0)f[n+(i*56|0)+16>>2]=t}i=i+1|0}while((i|0)<(c|0));return a|0}c=a+8|0;i=f[c>>2]|0;a:do if(i|0?(t=f[a+12>>2]|0,(t|0)>0):0){g=0;e=i;while(1){b=e+(g<<2)|0;if(f[b>>2]|0){h=f[(f[a>>2]|0)+(g<<2)>>2]|0;n=(f[h+16>>2]|0)+(Y(d,f[f[h+44>>2]>>2]|0)|0)|0;f[b>>2]=n}n=g+1|0;if((n|0)>=(t|0))break a;g=n;e=f[c>>2]|0}}while(0);c=f[a+4>>2]|0;if(!c)return a|0;i=f[a+12>>2]|0;if((i|0)<=0)return a|0;e=0;do{g=c+(e*56|0)+16|0;if(f[g>>2]|0){t=f[(f[a>>2]|0)+(e<<2)>>2]|0;k=(f[t+16>>2]|0)+(Y(d,f[f[t+44>>2]>>2]|0)|0)|0;f[g>>2]=k}e=e+1|0}while((e|0)<(i|0));return a|0}function _C(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;d=f[a>>2]|0;if(f[d>>2]&16384|0){e=a+12|0;g=a+8|0;h=(f[(c?g:e)>>2]|0)+(Y(f[a+4>>2]|0,b)|0)|0;f[g>>2]=h;i=f[e>>2]|0;if(h>>>0<i>>>0){f[g>>2]=i;return}i=f[a+16>>2]|0;if(h>>>0<=i>>>0)return;f[g>>2]=i;return}i=f[d+4>>2]|0;if((i|0)==2){if(c){g=f[d+16>>2]|0;h=(f[a+8>>2]|0)-g|0;e=f[f[d+44>>2]>>2]|0;j=(h>>>0)/(e>>>0)|0;k=f[d+12>>2]|0;l=Y(k,j)|0;m=h-(Y(j,e)|0)|0;j=a+4|0;h=f[j>>2]|0;n=l+b+((m>>>0)/(h>>>0)|0)|0;o=j;p=k;q=e;r=g;s=h}else{h=a+4|0;n=b;o=h;p=f[d+12>>2]|0;q=f[f[d+44>>2]>>2]|0;r=f[d+16>>2]|0;s=f[h>>2]|0}h=(n|0)/(p|0)|0;g=(h|0)<0;e=f[d+8>>2]|0;k=e+-1|0;j=g?0:h;m=r+(Y(q,(k|0)<(j|0)?k:j)|0)|0;f[a+12>>2]=m;j=m+(Y(s,p)|0)|0;f[a+16>>2]=j;if(!g)if((h|0)<(e|0)){e=n-(Y(p,h)|0)|0;t=m+(Y(e,f[o>>2]|0)|0)|0}else t=j;else t=m;f[a+8>>2]=t;return}if(c){if((i|0)>0){c=f[d+44>>2]|0;t=f[d+40>>2]|0;m=(f[a+8>>2]|0)-(f[d+16>>2]|0)|0;j=0;o=0;while(1){e=f[c+(o<<2)>>2]|0;h=(m>>>0)/(e>>>0)|0;m=m-(Y(h,e)|0)|0;e=(Y(f[t+(o<<2)>>2]|0,j)|0)+h|0;o=o+1|0;if((o|0)==(i|0)){u=e;break}else j=e}}else u=0;v=u+b|0}else v=b;b=(v|0)>0?v:0;v=f[d+40>>2]|0;u=f[v+(i+-1<<2)>>2]|0;j=(b|0)/(u|0)|0;o=b-(Y(j,u)|0)|0;b=f[d+16>>2]|0;t=f[a+4>>2]|0;m=Y(o,t)|0;o=a+8|0;f[o>>2]=b+m;c=a+12|0;f[c>>2]=b;e=i+-2|0;if((e|0)>-1){i=f[d+44>>2]|0;d=e;e=j;h=b;while(1){p=f[v+(d<<2)>>2]|0;n=e;e=(e|0)/(p|0)|0;g=n-(Y(e,p)|0)|0;h=h+(Y(g,f[i+(d<<2)>>2]|0)|0)|0;if((d|0)<=0)break;else d=d+-1|0}f[c>>2]=h;w=e;x=h}else{w=j;x=b}b=x+(Y(t,u)|0)|0;f[a+16>>2]=b;f[o>>2]=(w|0)>0?b:x+m|0;return}function $C(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;d=f[a>>2]|0;e=f[d+4>>2]|0;do if(b){if((e|0)==2){g=Y(f[(f[d+40>>2]|0)+4>>2]|0,f[b>>2]|0)|0;h=g+(f[b+4>>2]|0)|0;break}if((e|0)>0){g=f[d+40>>2]|0;i=0;j=0;while(1){k=Y(f[g+(j<<2)>>2]|0,i)|0;l=k+(f[b+(j<<2)>>2]|0)|0;j=j+1|0;if((j|0)==(e|0)){h=l;break}else i=l}}else h=0}else h=0;while(0);_C(a,h,c);return}function aD(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;e=u;u=u+64|0;g=e;if((c|0)<0&(d|0)>255){i=1;u=e;return i|0}if((d|0)<(c|0)|((c|0)>255|(d|0)<0)){f[b>>2]=0;f[b+4>>2]=0;i=0;u=e;return i|0}mU(g,a,1,0);j=f[g+8>>2]|0;a:do if((j|0)>0?(k=f[g+12>>2]|0,l=f[g+16>>2]|0,(k|0)>0):0){m=f[f[g+44>>2]>>2]|0;n=0;b:while(1){o=l+(Y(m,n)|0)|0;p=0;while(1){q=h[o+p>>0]|0;if((q|0)<(c|0)|(q|0)>(d|0))break b;q=p+1|0;if((q|0)<(k|0))p=q;else break}o=n+1|0;if((o|0)<(j|0))n=o;else{r=1;break a}}f[b+4>>2]=n;f[b>>2]=(p|0)/(((f[a>>2]|0)>>>3&511)+1|0)|0;r=0}else r=1;while(0);a=g+36|0;p=f[a>>2]|0;if(p|0?(b=p+12|0,p=f[b>>2]|0,f[b>>2]=p+-1,(p|0)==1):0)aU(g);f[a>>2]=0;a=g+16|0;p=g+4|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;if((f[p>>2]|0)>0){a=f[g+40>>2]|0;b=0;do{f[a+(b<<2)>>2]=0;b=b+1|0}while((b|0)<(f[p>>2]|0))}p=f[g+44>>2]|0;if((p|0)!=(g+48|0))TC(p);i=r;u=e;return i|0}function bD(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;g=u;u=u+64|0;h=g;if((d|0)<-128&(e|0)>127){i=1;u=g;return i|0}if((e|0)<(d|0)|((d|0)>127|(e|0)<-128)){f[c>>2]=0;f[c+4>>2]=0;i=0;u=g;return i|0}mU(h,a,1,0);j=f[h+8>>2]|0;a:do if((j|0)>0?(k=f[h+12>>2]|0,l=f[h+16>>2]|0,(k|0)>0):0){m=f[f[h+44>>2]>>2]|0;n=0;b:while(1){o=l+(Y(m,n)|0)|0;p=0;while(1){q=b[o+p>>0]|0;if((q|0)<(d|0)|(q|0)>(e|0))break b;q=p+1|0;if((q|0)<(k|0))p=q;else break}o=n+1|0;if((o|0)<(j|0))n=o;else{r=1;break a}}f[c+4>>2]=n;f[c>>2]=(p|0)/(((f[a>>2]|0)>>>3&511)+1|0)|0;r=0}else r=1;while(0);a=h+36|0;p=f[a>>2]|0;if(p|0?(c=p+12|0,p=f[c>>2]|0,f[c>>2]=p+-1,(p|0)==1):0)aU(h);f[a>>2]=0;a=h+16|0;p=h+4|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;if((f[p>>2]|0)>0){a=f[h+40>>2]|0;c=0;do{f[a+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[p>>2]|0))}p=f[h+44>>2]|0;if((p|0)!=(h+48|0))TC(p);i=r;u=g;return i|0}function cD(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;e=u;u=u+64|0;g=e;if((c|0)<0&(d|0)>65535){h=1;u=e;return h|0}if((d|0)<(c|0)|((c|0)>65535|(d|0)<0)){f[b>>2]=0;f[b+4>>2]=0;h=0;u=e;return h|0}mU(g,a,1,0);i=f[g+8>>2]|0;a:do if((i|0)>0?(k=f[g+12>>2]|0,l=f[g+16>>2]|0,(k|0)>0):0){m=f[f[g+44>>2]>>2]|0;n=0;b:while(1){o=l+(Y(m,n)|0)|0;p=0;while(1){q=j[o+(p<<1)>>1]|0;if((q|0)<(c|0)|(q|0)>(d|0))break b;q=p+1|0;if((q|0)<(k|0))p=q;else break}o=n+1|0;if((o|0)<(i|0))n=o;else{r=1;break a}}f[b+4>>2]=n;f[b>>2]=(p|0)/(((f[a>>2]|0)>>>3&511)+1|0)|0;r=0}else r=1;while(0);a=g+36|0;p=f[a>>2]|0;if(p|0?(b=p+12|0,p=f[b>>2]|0,f[b>>2]=p+-1,(p|0)==1):0)aU(g);f[a>>2]=0;a=g+16|0;p=g+4|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;if((f[p>>2]|0)>0){a=f[g+40>>2]|0;b=0;do{f[a+(b<<2)>>2]=0;b=b+1|0}while((b|0)<(f[p>>2]|0))}p=f[g+44>>2]|0;if((p|0)!=(g+48|0))TC(p);h=r;u=e;return h|0}function dD(a,b,c,e){a=a|0;b=b|0;c=c|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;g=u;u=u+64|0;h=g;if((c|0)<-32768&(e|0)>32767){i=1;u=g;return i|0}if((e|0)<(c|0)|((c|0)>32767|(e|0)<-32768)){f[b>>2]=0;f[b+4>>2]=0;i=0;u=g;return i|0}mU(h,a,1,0);j=f[h+8>>2]|0;a:do if((j|0)>0?(k=f[h+12>>2]|0,l=f[h+16>>2]|0,(k|0)>0):0){m=f[f[h+44>>2]>>2]|0;n=0;b:while(1){o=l+(Y(m,n)|0)|0;p=0;while(1){q=d[o+(p<<1)>>1]|0;if((q|0)<(c|0)|(q|0)>(e|0))break b;q=p+1|0;if((q|0)<(k|0))p=q;else break}o=n+1|0;if((o|0)<(j|0))n=o;else{r=1;break a}}f[b+4>>2]=n;f[b>>2]=(p|0)/(((f[a>>2]|0)>>>3&511)+1|0)|0;r=0}else r=1;while(0);a=h+36|0;p=f[a>>2]|0;if(p|0?(b=p+12|0,p=f[b>>2]|0,f[b>>2]=p+-1,(p|0)==1):0)aU(h);f[a>>2]=0;a=h+16|0;p=h+4|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;if((f[p>>2]|0)>0){a=f[h+40>>2]|0;b=0;do{f[a+(b<<2)>>2]=0;b=b+1|0}while((b|0)<(f[p>>2]|0))}p=f[h+44>>2]|0;if((p|0)!=(h+48|0))TC(p);i=r;u=g;return i|0}function eD(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=u;u=u+64|0;g=e;if((d|0)<(c|0)){f[b>>2]=0;f[b+4>>2]=0;h=0;u=e;return h|0}mU(g,a,1,0);i=f[g+8>>2]|0;a:do if((i|0)>0?(j=f[g+12>>2]|0,k=f[g+16>>2]|0,(j|0)>0):0){l=f[f[g+44>>2]>>2]|0;m=0;b:while(1){n=k+(Y(l,m)|0)|0;o=0;while(1){p=f[n+(o<<2)>>2]|0;if((p|0)<(c|0)|(p|0)>(d|0))break b;p=o+1|0;if((p|0)<(j|0))o=p;else break}n=m+1|0;if((n|0)<(i|0))m=n;else{q=1;break a}}f[b+4>>2]=m;f[b>>2]=(o|0)/(((f[a>>2]|0)>>>3&511)+1|0)|0;q=0}else q=1;while(0);a=g+36|0;o=f[a>>2]|0;if(o|0?(b=o+12|0,o=f[b>>2]|0,f[b>>2]=o+-1,(o|0)==1):0)aU(g);f[a>>2]=0;a=g+16|0;o=g+4|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;if((f[o>>2]|0)>0){a=f[g+40>>2]|0;b=0;do{f[a+(b<<2)>>2]=0;b=b+1|0}while((b|0)<(f[o>>2]|0))}o=f[g+44>>2]|0;if((o|0)!=(g+48|0))TC(o);h=q;u=e;return h|0}function fD(a){a=+a;var b=0,c=0,d=0,e=0,g=0,h=0,i=0.0;b=u;u=u+16|0;c=b;gV(c,34892);d=(n[s>>2]=a,f[s>>2]|0);e=(d>>>23&255)+-127|0;g=(e|0)%3|0;h=g+-3-(g>>31&-3)|0;a=(f[s>>2]=(h<<23)+1065353216|d&8388607,+n[s>>2]);i=d|0?(f[s>>2]=(((e-h|0)/3|0)<<23)+(d&-2147483648)+(n[s>>2]=(a*(a*(a*(a*45.2548339756803+192.2798368355061)+119.16548242855816)+13.432501390862399)+.16361612265857542)/(a*(a*(a*(a*14.808840932191346+151.97140510444356)+168.52544141015682)+33.99059413502156)+1.0),f[s>>2]|0),+n[s>>2]):0.0;if(!(f[c+4>>2]|0)){u=b;return +i}u=b;return +i}function gD(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;e=u;u=u+240|0;g=e+232|0;h=e+176|0;i=e+120|0;j=e+64|0;k=e+48|0;l=e+32|0;m=e;gV(g,34912);n=pJ(a,-1)|0;o=CJ(a,-1)|0;p=DJ(a,-1)|0;oJ(h,a,-1);oJ(i,c,-1);if(!((f[h>>2]|0)==(f[i>>2]|0)?(f[h+4>>2]|0)==(f[i+4>>2]|0):0)){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;q=cuc(96)|0;f[h>>2]=q;r=h+8|0;f[r>>2]=-2147483552;s=h+4|0;f[s>>2]=89;t=q;v=188878;w=t+89|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));x=q+89|0;b[x>>0]=0;WD(-215,h,258152,188807,151)}if((n|0)!=(pJ(c,-1)|0)){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;q=cuc(96)|0;f[h>>2]=q;r=h+8|0;f[r>>2]=-2147483552;s=h+4|0;f[s>>2]=89;t=q;v=188878;w=t+89|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));x=q+89|0;b[x>>0]=0;WD(-215,h,258152,188807,151)}if((o+-5|0)>>>0>=2){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;q=cuc(96)|0;f[h>>2]=q;r=h+8|0;f[r>>2]=-2147483552;s=h+4|0;f[s>>2]=89;t=q;v=188878;w=t+89|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));x=q+89|0;b[x>>0]=0;WD(-215,h,258152,188807,151)}do if((qJ(a)|0)==65536){x=f[a+4>>2]|0;f[h>>2]=f[x>>2];q=h+4|0;v=x+4|0;f[q>>2]=f[v>>2];t=h+8|0;f[t>>2]=f[x+8>>2];f[h+12>>2]=f[x+12>>2];f[h+16>>2]=f[x+16>>2];f[h+20>>2]=f[x+20>>2];f[h+24>>2]=f[x+24>>2];f[h+28>>2]=f[x+28>>2];f[h+32>>2]=f[x+32>>2];w=f[x+36>>2]|0;f[h+36>>2]=w;f[h+40>>2]=t;t=h+48|0;s=h+44|0;f[s>>2]=t;f[t>>2]=0;f[h+52>>2]=0;if(w|0){t=w+12|0;f[t>>2]=(f[t>>2]|0)+1}if((f[v>>2]|0)<3){v=f[x+44>>2]|0;t=f[s>>2]|0;f[t>>2]=f[v>>2];f[t+4>>2]=f[v+4>>2];break}else{f[q>>2]=0;$T(h,x);break}}else nJ(h,a,-1);while(0);do if((qJ(c)|0)==65536){a=f[c+4>>2]|0;f[i>>2]=f[a>>2];x=i+4|0;q=a+4|0;f[x>>2]=f[q>>2];v=i+8|0;f[v>>2]=f[a+8>>2];f[i+12>>2]=f[a+12>>2];f[i+16>>2]=f[a+16>>2];f[i+20>>2]=f[a+20>>2];f[i+24>>2]=f[a+24>>2];f[i+28>>2]=f[a+28>>2];f[i+32>>2]=f[a+32>>2];t=f[a+36>>2]|0;f[i+36>>2]=t;f[i+40>>2]=v;v=i+48|0;s=i+44|0;f[s>>2]=v;f[v>>2]=0;f[i+52>>2]=0;if(t|0){v=t+12|0;f[v>>2]=(f[v>>2]|0)+1}if((f[q>>2]|0)<3){q=f[a+44>>2]|0;v=f[s>>2]|0;f[v>>2]=f[q>>2];f[v+4>>2]=f[q+4>>2];break}else{f[x>>2]=0;$T(i,a);break}}else nJ(i,c,-1);while(0);c=h+4|0;a=h+40|0;JJ(d,f[c>>2]|0,f[a>>2]|0,f[h>>2]&4095,-1,0,0);do if((qJ(d)|0)==65536){x=f[d+4>>2]|0;f[j>>2]=f[x>>2];q=j+4|0;v=x+4|0;f[q>>2]=f[v>>2];s=j+8|0;f[s>>2]=f[x+8>>2];f[j+12>>2]=f[x+12>>2];f[j+16>>2]=f[x+16>>2];f[j+20>>2]=f[x+20>>2];f[j+24>>2]=f[x+24>>2];f[j+28>>2]=f[x+28>>2];f[j+32>>2]=f[x+32>>2];t=f[x+36>>2]|0;f[j+36>>2]=t;f[j+40>>2]=s;s=j+48|0;w=j+44|0;f[w>>2]=s;f[s>>2]=0;f[j+52>>2]=0;if(t|0){s=t+12|0;f[s>>2]=(f[s>>2]|0)+1}if((f[v>>2]|0)<3){v=f[x+44>>2]|0;s=f[w>>2]|0;f[s>>2]=f[v>>2];f[s+4>>2]=f[v+4>>2];break}else{f[q>>2]=0;$T(j,x);break}}else nJ(j,d,-1);while(0);f[k>>2]=h;f[k+4>>2]=i;f[k+8>>2]=j;f[k+12>>2]=0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;YC(m,k,l,-1);k=Y(f[m+20>>2]|0,p)|0;p=m+16|0;d=l+8|0;x=l+4|0;a:do if((o|0)==5){q=0;while(1){if(q>>>0>=(f[p>>2]|0)>>>0)break a;mH(f[l>>2]|0,f[x>>2]|0,f[d>>2]|0,k);ZC(m)|0;q=q+1|0}}else{q=0;while(1){if(q>>>0>=(f[p>>2]|0)>>>0)break a;nH(f[l>>2]|0,f[x>>2]|0,f[d>>2]|0,k);ZC(m)|0;q=q+1|0}}while(0);m=j+36|0;k=f[m>>2]|0;if(k|0?(d=k+12|0,k=f[d>>2]|0,f[d>>2]=k+-1,(k|0)==1):0)aU(j);f[m>>2]=0;m=j+16|0;k=j+4|0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;if((f[k>>2]|0)>0){m=f[j+40>>2]|0;d=0;do{f[m+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[k>>2]|0))}k=f[j+44>>2]|0;if((k|0)!=(j+48|0))TC(k);k=i+36|0;j=f[k>>2]|0;if(j|0?(d=j+12|0,j=f[d>>2]|0,f[d>>2]=j+-1,(j|0)==1):0)aU(i);f[k>>2]=0;k=i+16|0;j=i+4|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;if((f[j>>2]|0)>0){k=f[i+40>>2]|0;d=0;do{f[k+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[j>>2]|0))}j=f[i+44>>2]|0;if((j|0)!=(i+48|0))TC(j);j=h+36|0;i=f[j>>2]|0;if(i|0?(d=i+12|0,i=f[d>>2]|0,f[d>>2]=i+-1,(i|0)==1):0)aU(h);f[j>>2]=0;j=h+16|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;if((f[c>>2]|0)>0){j=f[a>>2]|0;a=0;do{f[j+(a<<2)>>2]=0;a=a+1|0}while((a|0)<(f[c>>2]|0))}c=f[h+44>>2]|0;if((c|0)!=(h+48|0))TC(c);if(!(f[g+4>>2]|0)){u=e;return}u=e;return}function hD(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;h=u;u=u+304|0;i=h+296|0;j=h+240|0;k=h+184|0;l=h+128|0;m=h+72|0;n=h+48|0;o=h+32|0;p=h;gV(i,34932);do if((qJ(a)|0)==65536){q=f[a+4>>2]|0;f[j>>2]=f[q>>2];r=j+4|0;s=q+4|0;f[r>>2]=f[s>>2];t=j+8|0;f[t>>2]=f[q+8>>2];f[j+12>>2]=f[q+12>>2];f[j+16>>2]=f[q+16>>2];f[j+20>>2]=f[q+20>>2];f[j+24>>2]=f[q+24>>2];f[j+28>>2]=f[q+28>>2];f[j+32>>2]=f[q+32>>2];v=f[q+36>>2]|0;f[j+36>>2]=v;f[j+40>>2]=t;t=j+48|0;w=j+44|0;f[w>>2]=t;f[t>>2]=0;f[j+52>>2]=0;if(v|0){t=v+12|0;f[t>>2]=(f[t>>2]|0)+1}if((f[s>>2]|0)<3){s=f[q+44>>2]|0;t=f[w>>2]|0;f[t>>2]=f[s>>2];f[t+4>>2]=f[s+4>>2];break}else{f[r>>2]=0;$T(j,q);break}}else nJ(j,a,-1);while(0);do if((qJ(c)|0)==65536){a=f[c+4>>2]|0;f[k>>2]=f[a>>2];q=k+4|0;r=a+4|0;f[q>>2]=f[r>>2];s=k+8|0;f[s>>2]=f[a+8>>2];f[k+12>>2]=f[a+12>>2];f[k+16>>2]=f[a+16>>2];f[k+20>>2]=f[a+20>>2];f[k+24>>2]=f[a+24>>2];f[k+28>>2]=f[a+28>>2];f[k+32>>2]=f[a+32>>2];t=f[a+36>>2]|0;f[k+36>>2]=t;w=k+40|0;f[w>>2]=s;s=k+48|0;v=k+44|0;f[v>>2]=s;f[s>>2]=0;f[k+52>>2]=0;if(t|0){s=t+12|0;f[s>>2]=(f[s>>2]|0)+1}if((f[r>>2]|0)<3){r=f[a+44>>2]|0;s=f[v>>2]|0;f[s>>2]=f[r>>2];f[s+4>>2]=f[r+4>>2];x=w;break}else{f[q>>2]=0;$T(k,a);x=w;break}}else{nJ(k,c,-1);x=k+40|0}while(0);c=f[j>>2]|0;w=c&4095;a=c&7;q=c>>>3&511;c=q+1|0;r=j+40|0;s=f[r>>2]|0;v=f[s+-4>>2]|0;t=f[x>>2]|0;if((v|0)!=(f[t+-4>>2]|0)){f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;y=cuc(80)|0;f[l>>2]=y;z=l+8|0;f[z>>2]=-2147483568;A=l+4|0;f[A>>2]=76;B=y;C=189024;D=B+76|0;do{b[B>>0]=b[C>>0]|0;B=B+1|0;C=C+1|0}while((B|0)<(D|0));E=y+76|0;b[E>>0]=0;WD(-215,l,189101,188807,277)}a:do if((v|0)==2){if((f[s>>2]|0)!=(f[t>>2]|0)){f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;y=cuc(80)|0;f[l>>2]=y;z=l+8|0;f[z>>2]=-2147483568;A=l+4|0;f[A>>2]=76;B=y;C=189024;D=B+76|0;do{b[B>>0]=b[C>>0]|0;B=B+1|0;C=C+1|0}while((B|0)<(D|0));E=y+76|0;b[E>>0]=0;WD(-215,l,189101,188807,277)}if((f[s+4>>2]|0)!=(f[t+4>>2]|0)){f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;y=cuc(80)|0;f[l>>2]=y;z=l+8|0;f[z>>2]=-2147483568;A=l+4|0;f[A>>2]=76;B=y;C=189024;D=B+76|0;do{b[B>>0]=b[C>>0]|0;B=B+1|0;C=C+1|0}while((B|0)<(D|0));E=y+76|0;b[E>>0]=0;WD(-215,l,189101,188807,277)}}else if((v|0)>0){F=0;while(1){if((f[s+(F<<2)>>2]|0)!=(f[t+(F<<2)>>2]|0))break;F=F+1|0;if((F|0)>=(v|0))break a}f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;y=cuc(80)|0;f[l>>2]=y;z=l+8|0;f[z>>2]=-2147483568;A=l+4|0;f[A>>2]=76;B=y;C=189024;D=B+76|0;do{b[B>>0]=b[C>>0]|0;B=B+1|0;C=C+1|0}while((B|0)<(D|0));E=y+76|0;b[E>>0]=0;WD(-215,l,189101,188807,277)}while(0);if((w|0)!=(f[k>>2]&4095|0)){f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;y=cuc(80)|0;f[l>>2]=y;z=l+8|0;f[z>>2]=-2147483568;A=l+4|0;f[A>>2]=76;B=y;C=189024;D=B+76|0;do{b[B>>0]=b[C>>0]|0;B=B+1|0;C=C+1|0}while((B|0)<(D|0));E=y+76|0;b[E>>0]=0;WD(-215,l,189101,188807,277)}v=(a|0)==5;if((a+-5|0)>>>0>=2){f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;y=cuc(80)|0;f[l>>2]=y;z=l+8|0;f[z>>2]=-2147483568;A=l+4|0;f[A>>2]=76;B=y;C=189024;D=B+76|0;do{b[B>>0]=b[C>>0]|0;B=B+1|0;C=C+1|0}while((B|0)<(D|0));E=y+76|0;b[E>>0]=0;WD(-215,l,189101,188807,277)}E=j+4|0;JJ(d,f[E>>2]|0,s,w,-1,0,0);JJ(e,f[E>>2]|0,f[r>>2]|0,w,-1,0,0);do if((qJ(d)|0)==65536){w=f[d+4>>2]|0;f[l>>2]=f[w>>2];s=l+4|0;y=w+4|0;f[s>>2]=f[y>>2];C=l+8|0;f[C>>2]=f[w+8>>2];f[l+12>>2]=f[w+12>>2];f[l+16>>2]=f[w+16>>2];f[l+20>>2]=f[w+20>>2];f[l+24>>2]=f[w+24>>2];f[l+28>>2]=f[w+28>>2];f[l+32>>2]=f[w+32>>2];B=f[w+36>>2]|0;f[l+36>>2]=B;f[l+40>>2]=C;C=l+48|0;D=l+44|0;f[D>>2]=C;f[C>>2]=0;f[l+52>>2]=0;if(B|0){C=B+12|0;f[C>>2]=(f[C>>2]|0)+1}if((f[y>>2]|0)<3){y=f[w+44>>2]|0;C=f[D>>2]|0;f[C>>2]=f[y>>2];f[C+4>>2]=f[y+4>>2];break}else{f[s>>2]=0;$T(l,w);break}}else nJ(l,d,-1);while(0);do if((qJ(e)|0)==65536){d=f[e+4>>2]|0;f[m>>2]=f[d>>2];w=m+4|0;s=d+4|0;f[w>>2]=f[s>>2];y=m+8|0;f[y>>2]=f[d+8>>2];f[m+12>>2]=f[d+12>>2];f[m+16>>2]=f[d+16>>2];f[m+20>>2]=f[d+20>>2];f[m+24>>2]=f[d+24>>2];f[m+28>>2]=f[d+28>>2];f[m+32>>2]=f[d+32>>2];C=f[d+36>>2]|0;f[m+36>>2]=C;f[m+40>>2]=y;y=m+48|0;D=m+44|0;f[D>>2]=y;f[y>>2]=0;f[m+52>>2]=0;if(C|0){y=C+12|0;f[y>>2]=(f[y>>2]|0)+1}if((f[s>>2]|0)<3){s=f[d+44>>2]|0;y=f[D>>2]|0;f[y>>2]=f[s>>2];f[y+4>>2]=f[s+4>>2];break}else{f[w>>2]=0;$T(m,d);break}}else nJ(m,e,-1);while(0);f[n>>2]=j;f[n+4>>2]=k;f[n+8>>2]=l;f[n+12>>2]=m;f[n+16>>2]=0;f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;f[o+12>>2]=0;YC(p,n,o,-1);n=Y(f[p+20>>2]|0,c)|0;e=q|1024;q=e-((e>>>0)%(c>>>0)|0)|0;c=(q|0)<(n|0)?q:n;q=675553809>>>(f[j>>2]<<2&28)&15;e=p+16|0;d=(n|0)>0;w=o+4|0;s=o+8|0;y=o+12|0;D=0;while(1){if(D>>>0>=(f[e>>2]|0)>>>0)break;if(d)if(v){C=0;B=f[o>>2]|0;A=f[w>>2]|0;z=f[s>>2]|0;a=f[y>>2]|0;do{t=n-C|0;F=(c|0)<(t|0)?c:t;mH(B,A,z,F);kH(A,B,a,F,g);t=Y(F,q)|0;B=(f[o>>2]|0)+t|0;f[o>>2]=B;A=(f[w>>2]|0)+t|0;f[w>>2]=A;z=(f[s>>2]|0)+t|0;f[s>>2]=z;a=(f[y>>2]|0)+t|0;f[y>>2]=a;C=C+c|0}while((n|0)>(C|0))}else{C=0;a=f[o>>2]|0;z=f[w>>2]|0;A=f[s>>2]|0;B=f[y>>2]|0;do{t=n-C|0;F=(c|0)<(t|0)?c:t;nH(a,z,A,F);lH(z,a,B,F,g);t=Y(F,q)|0;a=(f[o>>2]|0)+t|0;f[o>>2]=a;z=(f[w>>2]|0)+t|0;f[w>>2]=z;A=(f[s>>2]|0)+t|0;f[s>>2]=A;B=(f[y>>2]|0)+t|0;f[y>>2]=B;C=C+c|0}while((n|0)>(C|0))}ZC(p)|0;D=D+1|0}D=m+36|0;p=f[D>>2]|0;if(p|0?(n=p+12|0,p=f[n>>2]|0,f[n>>2]=p+-1,(p|0)==1):0)aU(m);f[D>>2]=0;D=m+16|0;p=m+4|0;f[D>>2]=0;f[D+4>>2]=0;f[D+8>>2]=0;f[D+12>>2]=0;if((f[p>>2]|0)>0){D=f[m+40>>2]|0;n=0;do{f[D+(n<<2)>>2]=0;n=n+1|0}while((n|0)<(f[p>>2]|0))}p=f[m+44>>2]|0;if((p|0)!=(m+48|0))TC(p);p=l+36|0;m=f[p>>2]|0;if(m|0?(n=m+12|0,m=f[n>>2]|0,f[n>>2]=m+-1,(m|0)==1):0)aU(l);f[p>>2]=0;p=l+16|0;m=l+4|0;f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;f[p+12>>2]=0;if((f[m>>2]|0)>0){p=f[l+40>>2]|0;n=0;do{f[p+(n<<2)>>2]=0;n=n+1|0}while((n|0)<(f[m>>2]|0))}m=f[l+44>>2]|0;if((m|0)!=(l+48|0))TC(m);m=k+36|0;l=f[m>>2]|0;if(l|0?(n=l+12|0,l=f[n>>2]|0,f[n>>2]=l+-1,(l|0)==1):0)aU(k);f[m>>2]=0;m=k+16|0;l=k+4|0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;if((f[l>>2]|0)>0){m=f[x>>2]|0;x=0;do{f[m+(x<<2)>>2]=0;x=x+1|0}while((x|0)<(f[l>>2]|0))}l=f[k+44>>2]|0;if((l|0)!=(k+48|0))TC(l);l=j+36|0;k=f[l>>2]|0;if(k|0?(x=k+12|0,k=f[x>>2]|0,f[x>>2]=k+-1,(k|0)==1):0)aU(j);f[l>>2]=0;l=j+16|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;if((f[E>>2]|0)>0){l=f[r>>2]|0;r=0;do{f[l+(r<<2)>>2]=0;r=r+1|0}while((r|0)<(f[E>>2]|0))}E=f[j+44>>2]|0;if((E|0)!=(j+48|0))TC(E);if(!(f[i+4>>2]|0)){u=h;return}u=h;return}function iD(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0.0,S=0.0,T=0.0,U=0.0,V=0.0,W=0,X=0,Z=0,_=0,$=0,aa=0;h=u;u=u+1376|0;i=h+1360|0;j=h+1304|0;k=h+1248|0;l=h+1192|0;m=h+1136|0;o=h+1112|0;q=h+1096|0;r=h+1064|0;s=h;gV(i,34952);t=pJ(c,-1)|0;v=t&7;w=t>>>3&511;x=w+1|0;y=(v|0)==5;z=(v|0)==6;if((v+-5|0)>>>0>=2){f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;A=cuc(80)|0;f[j>>2]=A;B=j+8|0;f[B>>2]=-2147483568;C=j+4|0;f[C>>2]=77;D=A;E=189190;F=D+77|0;do{b[D>>0]=b[E>>0]|0;D=D+1|0;E=E+1|0}while((D|0)<(F|0));G=A+77|0;b[G>>0]=0;WD(-215,j,189268,188807,566)}if(!(EJ(a)|0)?(pJ(a,-1)|0)!=(t|0):0){f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;A=cuc(80)|0;f[j>>2]=A;B=j+8|0;f[B>>2]=-2147483568;C=j+4|0;f[C>>2]=77;D=A;E=189190;F=D+77|0;do{b[D>>0]=b[E>>0]|0;D=D+1|0;E=E+1|0}while((D|0)<(F|0));G=A+77|0;b[G>>0]=0;WD(-215,j,189268,188807,566)}do if((qJ(a)|0)==65536){G=f[a+4>>2]|0;f[j>>2]=f[G>>2];A=j+4|0;C=G+4|0;f[A>>2]=f[C>>2];B=j+8|0;f[B>>2]=f[G+8>>2];f[j+12>>2]=f[G+12>>2];f[j+16>>2]=f[G+16>>2];f[j+20>>2]=f[G+20>>2];f[j+24>>2]=f[G+24>>2];f[j+28>>2]=f[G+28>>2];f[j+32>>2]=f[G+32>>2];v=f[G+36>>2]|0;f[j+36>>2]=v;f[j+40>>2]=B;B=j+48|0;H=j+44|0;f[H>>2]=B;f[B>>2]=0;f[j+52>>2]=0;if(v|0){B=v+12|0;f[B>>2]=(f[B>>2]|0)+1}if((f[C>>2]|0)<3){C=f[G+44>>2]|0;B=f[H>>2]|0;f[B>>2]=f[C>>2];f[B+4>>2]=f[C+4>>2];break}else{f[A>>2]=0;$T(j,G);break}}else nJ(j,a,-1);while(0);do if((qJ(c)|0)==65536){a=f[c+4>>2]|0;f[k>>2]=f[a>>2];G=k+4|0;A=a+4|0;f[G>>2]=f[A>>2];C=k+8|0;f[C>>2]=f[a+8>>2];f[k+12>>2]=f[a+12>>2];f[k+16>>2]=f[a+16>>2];f[k+20>>2]=f[a+20>>2];f[k+24>>2]=f[a+24>>2];f[k+28>>2]=f[a+28>>2];f[k+32>>2]=f[a+32>>2];B=f[a+36>>2]|0;f[k+36>>2]=B;f[k+40>>2]=C;C=k+48|0;H=k+44|0;f[H>>2]=C;f[C>>2]=0;f[k+52>>2]=0;if(B|0){C=B+12|0;f[C>>2]=(f[C>>2]|0)+1}if((f[A>>2]|0)<3){A=f[a+44>>2]|0;C=f[H>>2]|0;f[C>>2]=f[A>>2];f[C+4>>2]=f[A+4>>2];break}else{f[G>>2]=0;$T(k,a);break}}else nJ(k,c,-1);while(0);c=j+16|0;a:do if(f[c>>2]|0){a=f[j+4>>2]|0;if((a|0)<3)I=Y(f[j+12>>2]|0,f[j+8>>2]|0)|0;else{G=f[j+40>>2]|0;A=0;C=1;while(1){H=Y(f[G+(A<<2)>>2]|0,C)|0;A=A+1|0;if((A|0)==(a|0)){I=H;break}else C=H}}if(!((a|0)==0|(I|0)==0)){C=f[k+40>>2]|0;A=f[C+-4>>2]|0;G=f[j+40>>2]|0;if((A|0)!=(f[G+-4>>2]|0)){f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;J=cuc(48)|0;f[l>>2]=J;K=l+8|0;f[K>>2]=-2147483600;L=l+4|0;f[L>>2]=37;D=J;E=189280;F=D+37|0;do{b[D>>0]=b[E>>0]|0;D=D+1|0;E=E+1|0}while((D|0)<(F|0));M=J+37|0;b[M>>0]=0;WD(-215,l,189268,188807,572)}if((A|0)==2){if((f[C>>2]|0)!=(f[G>>2]|0)){f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;J=cuc(48)|0;f[l>>2]=J;K=l+8|0;f[K>>2]=-2147483600;L=l+4|0;f[L>>2]=37;D=J;E=189280;F=D+37|0;do{b[D>>0]=b[E>>0]|0;D=D+1|0;E=E+1|0}while((D|0)<(F|0));M=J+37|0;b[M>>0]=0;WD(-215,l,189268,188807,572)}if((f[C+4>>2]|0)==(f[G+4>>2]|0))break;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;J=cuc(48)|0;f[l>>2]=J;K=l+8|0;f[K>>2]=-2147483600;L=l+4|0;f[L>>2]=37;D=J;E=189280;F=D+37|0;do{b[D>>0]=b[E>>0]|0;D=D+1|0;E=E+1|0}while((D|0)<(F|0));M=J+37|0;b[M>>0]=0;WD(-215,l,189268,188807,572)}else{if((A|0)>0)N=0;else break;while(1){if((f[C+(N<<2)>>2]|0)!=(f[G+(N<<2)>>2]|0))break;N=N+1|0;if((N|0)>=(A|0))break a}f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;J=cuc(48)|0;f[l>>2]=J;K=l+8|0;f[K>>2]=-2147483600;L=l+4|0;f[L>>2]=37;D=J;E=189280;F=D+37|0;do{b[D>>0]=b[E>>0]|0;D=D+1|0;E=E+1|0}while((D|0)<(F|0));M=J+37|0;b[M>>0]=0;WD(-215,l,189268,188807,572)}}}while(0);M=k+4|0;J=k+40|0;JJ(d,f[M>>2]|0,f[J>>2]|0,t,-1,0,0);JJ(e,f[M>>2]|0,f[J>>2]|0,t,-1,0,0);do if((qJ(d)|0)==65536){t=f[d+4>>2]|0;f[l>>2]=f[t>>2];E=l+4|0;D=t+4|0;f[E>>2]=f[D>>2];F=l+8|0;f[F>>2]=f[t+8>>2];f[l+12>>2]=f[t+12>>2];f[l+16>>2]=f[t+16>>2];f[l+20>>2]=f[t+20>>2];f[l+24>>2]=f[t+24>>2];f[l+28>>2]=f[t+28>>2];f[l+32>>2]=f[t+32>>2];L=f[t+36>>2]|0;f[l+36>>2]=L;f[l+40>>2]=F;F=l+48|0;K=l+44|0;f[K>>2]=F;f[F>>2]=0;f[l+52>>2]=0;if(L|0){F=L+12|0;f[F>>2]=(f[F>>2]|0)+1}if((f[D>>2]|0)<3){D=f[t+44>>2]|0;F=f[K>>2]|0;f[F>>2]=f[D>>2];f[F+4>>2]=f[D+4>>2];break}else{f[E>>2]=0;$T(l,t);break}}else nJ(l,d,-1);while(0);do if((qJ(e)|0)==65536){d=f[e+4>>2]|0;f[m>>2]=f[d>>2];t=m+4|0;E=d+4|0;f[t>>2]=f[E>>2];D=m+8|0;f[D>>2]=f[d+8>>2];f[m+12>>2]=f[d+12>>2];f[m+16>>2]=f[d+16>>2];f[m+20>>2]=f[d+20>>2];f[m+24>>2]=f[d+24>>2];f[m+28>>2]=f[d+28>>2];f[m+32>>2]=f[d+32>>2];F=f[d+36>>2]|0;f[m+36>>2]=F;f[m+40>>2]=D;D=m+48|0;K=m+44|0;f[K>>2]=D;f[D>>2]=0;f[m+52>>2]=0;if(F|0){D=F+12|0;f[D>>2]=(f[D>>2]|0)+1}if((f[E>>2]|0)<3){E=f[d+44>>2]|0;D=f[K>>2]|0;f[D>>2]=f[E>>2];f[D+4>>2]=f[E+4>>2];break}else{f[t>>2]=0;$T(m,d);break}}else nJ(m,e,-1);while(0);f[o>>2]=j;f[o+4>>2]=k;f[o+8>>2]=l;f[o+12>>2]=m;f[o+16>>2]=0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;f[q+12>>2]=0;YC(r,o,q,-1);o=s+8|0;f[s>>2]=o;e=s+4|0;f[e>>2]=264;d=Y(f[r+20>>2]|0,x)|0;t=w|1024;w=t-((t>>>0)%(x>>>0)|0)|0;x=(w|0)<(d|0)?w:d;w=675553809>>>(f[k>>2]<<2&28)&15;if(z){z=x<<1;f[e>>2]=z;if(z>>>0>264){t=euc(z>>>0>1073741823?-1:z<<2)|0;f[s>>2]=t;O=t}else O=o;P=O;Q=O+(x<<2)|0}else{P=0;Q=0}O=r+16|0;t=(d|0)>0;z=q+4|0;E=q+8|0;D=q+12|0;R=g?.17777777777777778:10.185916357881302;g=0;while(1){if(g>>>0>=(f[O>>2]|0)>>>0)break;if(t){K=0;do{F=d-K|0;L=(x|0)<(F|0)?x:F;do if(y){F=f[q>>2]|0;N=f[z>>2]|0;I=f[E>>2]|0;A=f[D>>2]|0;G=(L|0)>0;if(G){C=0;do{S=R*+n[N+(C<<2)>>2];a=Fhc(S)|0;T=S-+(a|0);S=T*(T*(T*-1.5767166072981726e-04)+.09817477042468103);U=T*(T*-.004817389940423465)+1.0;T=+p[9920+((a&63)<<3)>>3];V=+p[9920+((16-a&63)<<3)>>3];n[A+(C<<2)>>2]=T*U+V*S;n[I+(C<<2)>>2]=V*U-T*S;C=C+1|0}while((C|0)!=(L|0));if((F|0)!=0&G){C=0;do{S=+n[F+(C<<2)>>2];N=I+(C<<2)|0;n[N>>2]=S*+n[N>>2];N=A+(C<<2)|0;n[N>>2]=S*+n[N>>2];C=C+1|0}while((C|0)<(L|0));W=F;X=106}else{Z=F;X=107}}else{Z=F;X=107}}else{C=f[q>>2]|0;A=f[z>>2]|0;I=f[E>>2]|0;G=f[D>>2]|0;N=(L|0)>0;if(N){a=0;do{n[P+(a<<2)>>2]=+p[A+(a<<3)>>3];a=a+1|0}while((a|0)<(L|0));if(N){a=0;do{A=P+(a<<2)|0;S=R*+n[A>>2];F=Fhc(S)|0;T=S-+(F|0);S=T*(T*(T*-1.5767166072981726e-04)+.09817477042468103);U=T*(T*-.004817389940423465)+1.0;T=+p[9920+((F&63)<<3)>>3];V=+p[9920+((16-F&63)<<3)>>3];n[Q+(a<<2)>>2]=T*U+V*S;n[A>>2]=V*U-T*S;a=a+1|0}while((a|0)!=(L|0))}}if(!C){a=L<<2;szc(I|0,P|0,a|0)|0;szc(G|0,Q|0,a|0)|0;Z=f[q>>2]|0;X=107;break}if(N){a=0;do{S=+p[C+(a<<3)>>3];p[I+(a<<3)>>3]=S*+n[P+(a<<2)>>2];p[G+(a<<3)>>3]=S*+n[Q+(a<<2)>>2];a=a+1|0}while((a|0)<(L|0));W=C;X=106}else{Z=C;X=107}}while(0);if((X|0)==106){X=0;_=W;$=Y(L,w)|0;X=108}else if((X|0)==107){X=0;a=Y(L,w)|0;if(!Z)aa=a;else{_=Z;$=a;X=108}}if((X|0)==108){X=0;f[q>>2]=_+$;aa=$}f[z>>2]=(f[z>>2]|0)+aa;f[E>>2]=(f[E>>2]|0)+aa;f[D>>2]=(f[D>>2]|0)+aa;K=K+x|0}while((d|0)>(K|0))}ZC(r)|0;g=g+1|0}g=f[s>>2]|0;if((g|0)!=(o|0)){if(g|0)guc(g);f[s>>2]=o;f[e>>2]=264}e=m+36|0;o=f[e>>2]|0;if(o|0?(s=o+12|0,o=f[s>>2]|0,f[s>>2]=o+-1,(o|0)==1):0)aU(m);f[e>>2]=0;e=m+16|0;o=m+4|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((f[o>>2]|0)>0){e=f[m+40>>2]|0;s=0;do{f[e+(s<<2)>>2]=0;s=s+1|0}while((s|0)<(f[o>>2]|0))}o=f[m+44>>2]|0;if((o|0)!=(m+48|0))TC(o);o=l+36|0;m=f[o>>2]|0;if(m|0?(s=m+12|0,m=f[s>>2]|0,f[s>>2]=m+-1,(m|0)==1):0)aU(l);f[o>>2]=0;o=l+16|0;m=l+4|0;f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;f[o+12>>2]=0;if((f[m>>2]|0)>0){o=f[l+40>>2]|0;s=0;do{f[o+(s<<2)>>2]=0;s=s+1|0}while((s|0)<(f[m>>2]|0))}m=f[l+44>>2]|0;if((m|0)!=(l+48|0))TC(m);m=k+36|0;l=f[m>>2]|0;if(l|0?(s=l+12|0,l=f[s>>2]|0,f[s>>2]=l+-1,(l|0)==1):0)aU(k);f[m>>2]=0;m=k+16|0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;if((f[M>>2]|0)>0){m=f[J>>2]|0;J=0;do{f[m+(J<<2)>>2]=0;J=J+1|0}while((J|0)<(f[M>>2]|0))}M=f[k+44>>2]|0;if((M|0)!=(k+48|0))TC(M);M=j+36|0;k=f[M>>2]|0;do if(k|0){J=k+12|0;m=f[J>>2]|0;f[J>>2]=m+-1;if((m|0)!=1)break;aU(j)}while(0);f[M>>2]=0;M=j+4|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[M>>2]|0)>0){c=f[j+40>>2]|0;k=0;do{f[c+(k<<2)>>2]=0;k=k+1|0}while((k|0)<(f[M>>2]|0))}M=f[j+44>>2]|0;if((M|0)!=(j+48|0))TC(M);if(!(f[i+4>>2]|0)){u=h;return}u=h;return}function jD(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;d=u;u=u+176|0;e=d+168|0;g=d+112|0;h=d+56|0;i=d+40|0;j=d;k=d+8|0;gV(e,34972);l=pJ(a,-1)|0;m=CJ(a,-1)|0;n=DJ(a,-1)|0;o=(m|0)==5;if((m+-5|0)>>>0>=2){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;m=cuc(48)|0;f[g>>2]=m;f[g+8>>2]=-2147483600;f[g+4>>2]=34;p=m;q=214336;r=p+34|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(r|0));b[m+34>>0]=0;WD(-215,g,189395,188807,669)}do if((qJ(a)|0)==65536){m=f[a+4>>2]|0;f[g>>2]=f[m>>2];q=g+4|0;p=m+4|0;f[q>>2]=f[p>>2];r=g+8|0;f[r>>2]=f[m+8>>2];f[g+12>>2]=f[m+12>>2];f[g+16>>2]=f[m+16>>2];f[g+20>>2]=f[m+20>>2];f[g+24>>2]=f[m+24>>2];f[g+28>>2]=f[m+28>>2];f[g+32>>2]=f[m+32>>2];s=f[m+36>>2]|0;f[g+36>>2]=s;t=g+40|0;f[t>>2]=r;r=g+48|0;v=g+44|0;f[v>>2]=r;f[r>>2]=0;f[g+52>>2]=0;if(s|0){r=s+12|0;f[r>>2]=(f[r>>2]|0)+1}if((f[p>>2]|0)<3){p=f[m+44>>2]|0;r=f[v>>2]|0;f[r>>2]=f[p>>2];f[r+4>>2]=f[p+4>>2];w=t;x=q;break}else{f[q>>2]=0;$T(g,m);w=t;x=q;break}}else{nJ(g,a,-1);w=g+40|0;x=g+4|0}while(0);JJ(c,f[x>>2]|0,f[w>>2]|0,l,-1,0,0);do if((qJ(c)|0)==65536){l=f[c+4>>2]|0;f[h>>2]=f[l>>2];a=h+4|0;q=l+4|0;f[a>>2]=f[q>>2];t=h+8|0;f[t>>2]=f[l+8>>2];f[h+12>>2]=f[l+12>>2];f[h+16>>2]=f[l+16>>2];f[h+20>>2]=f[l+20>>2];f[h+24>>2]=f[l+24>>2];f[h+28>>2]=f[l+28>>2];f[h+32>>2]=f[l+32>>2];m=f[l+36>>2]|0;f[h+36>>2]=m;f[h+40>>2]=t;t=h+48|0;p=h+44|0;f[p>>2]=t;f[t>>2]=0;f[h+52>>2]=0;if(m|0){t=m+12|0;f[t>>2]=(f[t>>2]|0)+1}if((f[q>>2]|0)<3){q=f[l+44>>2]|0;t=f[p>>2]|0;f[t>>2]=f[q>>2];f[t+4>>2]=f[q+4>>2];break}else{f[a>>2]=0;$T(h,l);break}}else nJ(h,c,-1);while(0);f[i>>2]=g;f[i+4>>2]=h;f[i+8>>2]=0;c=j;f[c>>2]=0;f[c+4>>2]=0;YC(k,i,j,-1);i=Y(f[k+20>>2]|0,n)|0;n=k+16|0;c=j+4|0;a:do if(o){l=0;while(1){if(l>>>0>=(f[n>>2]|0)>>>0)break a;sH(f[j>>2]|0,f[c>>2]|0,i);ZC(k)|0;l=l+1|0}}else{l=0;while(1){if(l>>>0>=(f[n>>2]|0)>>>0)break a;tH(f[j>>2]|0,f[c>>2]|0,i);ZC(k)|0;l=l+1|0}}while(0);k=h+36|0;i=f[k>>2]|0;if(i|0?(c=i+12|0,i=f[c>>2]|0,f[c>>2]=i+-1,(i|0)==1):0)aU(h);f[k>>2]=0;k=h+16|0;i=h+4|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;if((f[i>>2]|0)>0){k=f[h+40>>2]|0;c=0;do{f[k+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[i>>2]|0))}i=f[h+44>>2]|0;if((i|0)!=(h+48|0))TC(i);i=g+36|0;h=f[i>>2]|0;if(h|0?(c=h+12|0,h=f[c>>2]|0,f[c>>2]=h+-1,(h|0)==1):0)aU(g);f[i>>2]=0;i=g+16|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;if((f[x>>2]|0)>0){i=f[w>>2]|0;w=0;do{f[i+(w<<2)>>2]=0;w=w+1|0}while((w|0)<(f[x>>2]|0))}x=f[g+44>>2]|0;if((x|0)!=(g+48|0))TC(x);if(!(f[e+4>>2]|0)){u=d;return}u=d;return}function kD(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;d=u;u=u+176|0;e=d+168|0;g=d+112|0;h=d+56|0;i=d+40|0;j=d;k=d+8|0;gV(e,34992);l=pJ(a,-1)|0;m=CJ(a,-1)|0;n=DJ(a,-1)|0;o=(m|0)==5;if((m+-5|0)>>>0>=2){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;m=cuc(48)|0;f[g>>2]=m;f[g+8>>2]=-2147483600;f[g+4>>2]=34;p=m;q=214336;r=p+34|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(r|0));b[m+34>>0]=0;WD(-215,g,189437,188807,702)}do if((qJ(a)|0)==65536){m=f[a+4>>2]|0;f[g>>2]=f[m>>2];q=g+4|0;p=m+4|0;f[q>>2]=f[p>>2];r=g+8|0;f[r>>2]=f[m+8>>2];f[g+12>>2]=f[m+12>>2];f[g+16>>2]=f[m+16>>2];f[g+20>>2]=f[m+20>>2];f[g+24>>2]=f[m+24>>2];f[g+28>>2]=f[m+28>>2];f[g+32>>2]=f[m+32>>2];s=f[m+36>>2]|0;f[g+36>>2]=s;t=g+40|0;f[t>>2]=r;r=g+48|0;v=g+44|0;f[v>>2]=r;f[r>>2]=0;f[g+52>>2]=0;if(s|0){r=s+12|0;f[r>>2]=(f[r>>2]|0)+1}if((f[p>>2]|0)<3){p=f[m+44>>2]|0;r=f[v>>2]|0;f[r>>2]=f[p>>2];f[r+4>>2]=f[p+4>>2];w=t;x=q;break}else{f[q>>2]=0;$T(g,m);w=t;x=q;break}}else{nJ(g,a,-1);w=g+40|0;x=g+4|0}while(0);JJ(c,f[x>>2]|0,f[w>>2]|0,l,-1,0,0);do if((qJ(c)|0)==65536){l=f[c+4>>2]|0;f[h>>2]=f[l>>2];a=h+4|0;q=l+4|0;f[a>>2]=f[q>>2];t=h+8|0;f[t>>2]=f[l+8>>2];f[h+12>>2]=f[l+12>>2];f[h+16>>2]=f[l+16>>2];f[h+20>>2]=f[l+20>>2];f[h+24>>2]=f[l+24>>2];f[h+28>>2]=f[l+28>>2];f[h+32>>2]=f[l+32>>2];m=f[l+36>>2]|0;f[h+36>>2]=m;f[h+40>>2]=t;t=h+48|0;p=h+44|0;f[p>>2]=t;f[t>>2]=0;f[h+52>>2]=0;if(m|0){t=m+12|0;f[t>>2]=(f[t>>2]|0)+1}if((f[q>>2]|0)<3){q=f[l+44>>2]|0;t=f[p>>2]|0;f[t>>2]=f[q>>2];f[t+4>>2]=f[q+4>>2];break}else{f[a>>2]=0;$T(h,l);break}}else nJ(h,c,-1);while(0);f[i>>2]=g;f[i+4>>2]=h;f[i+8>>2]=0;c=j;f[c>>2]=0;f[c+4>>2]=0;YC(k,i,j,-1);i=Y(f[k+20>>2]|0,n)|0;n=k+16|0;c=j+4|0;a:do if(o){l=0;while(1){if(l>>>0>=(f[n>>2]|0)>>>0)break a;uH(f[j>>2]|0,f[c>>2]|0,i);ZC(k)|0;l=l+1|0}}else{l=0;while(1){if(l>>>0>=(f[n>>2]|0)>>>0)break a;vH(f[j>>2]|0,f[c>>2]|0,i);ZC(k)|0;l=l+1|0}}while(0);k=h+36|0;i=f[k>>2]|0;if(i|0?(c=i+12|0,i=f[c>>2]|0,f[c>>2]=i+-1,(i|0)==1):0)aU(h);f[k>>2]=0;k=h+16|0;i=h+4|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;if((f[i>>2]|0)>0){k=f[h+40>>2]|0;c=0;do{f[k+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[i>>2]|0))}i=f[h+44>>2]|0;if((i|0)!=(h+48|0))TC(i);i=g+36|0;h=f[i>>2]|0;if(h|0?(c=h+12|0,h=f[c>>2]|0,f[c>>2]=h+-1,(h|0)==1):0)aU(g);f[i>>2]=0;i=g+16|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;if((f[x>>2]|0)>0){i=f[w>>2]|0;w=0;do{f[i+(w<<2)>>2]=0;w=w+1|0}while((w|0)<(f[x>>2]|0))}x=f[g+44>>2]|0;if((x|0)!=(g+48|0))TC(x);if(!(f[e+4>>2]|0)){u=d;return}u=d;return}function lD(a,c,d){a=a|0;c=+c;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0.0,Z=0;e=u;u=u+1216|0;g=e+1208|0;h=e+1152|0;i=e+8|0;j=e+1136|0;k=e;l=e+1104|0;m=e+64|0;gV(g,35012);o=pJ(a,-1)|0;q=o&7;r=o>>>3&511;s=r+1|0;t=Fhc(c)|0;v=+L(+(+(t|0)-c))<2.220446049250313e-16;a:do if(!v)if((q+-5|0)>>>0<2)w=8;else{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;x=cuc(48)|0;f[h>>2]=x;f[h+8>>2]=-2147483600;f[h+4>>2]=34;y=x;z=214336;A=y+34|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));b[x+34>>0]=0;WD(-215,h,404969,188807,1235)}else switch(t|0){case 0:{kK(d,a,o);p[i>>3]=1.0;p[i+8>>3]=1.0;p[i+16>>3]=1.0;p[i+24>>3]=1.0;f[h>>2]=-1056833530;f[h+4>>2]=i;f[h+8>>2]=1;f[h+12>>2]=4;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;nK(d,h,j);break a;break}case 1:{GJ(a,d);break a;break}case 2:{jX(a,a,d,1.0,-1);break a;break}default:{w=8;break a}}while(0);if((w|0)==8){do if((qJ(a)|0)==65536){w=f[a+4>>2]|0;f[h>>2]=f[w>>2];B=h+4|0;E=w+4|0;f[B>>2]=f[E>>2];F=h+8|0;f[F>>2]=f[w+8>>2];f[h+12>>2]=f[w+12>>2];f[h+16>>2]=f[w+16>>2];f[h+20>>2]=f[w+20>>2];f[h+24>>2]=f[w+24>>2];f[h+28>>2]=f[w+28>>2];f[h+32>>2]=f[w+32>>2];G=f[w+36>>2]|0;f[h+36>>2]=G;H=h+40|0;f[H>>2]=F;F=h+48|0;I=h+44|0;f[I>>2]=F;f[F>>2]=0;f[h+52>>2]=0;if(G|0){F=G+12|0;f[F>>2]=(f[F>>2]|0)+1}if((f[E>>2]|0)<3){E=f[w+44>>2]|0;F=f[I>>2]|0;f[F>>2]=f[E>>2];f[F+4>>2]=f[E+4>>2];J=H;K=B;break}else{f[B>>2]=0;$T(h,w);J=H;K=B;break}}else{nJ(h,a,-1);J=h+40|0;K=h+4|0}while(0);JJ(d,f[K>>2]|0,f[J>>2]|0,o,-1,0,0);do if((qJ(d)|0)==65536){o=f[d+4>>2]|0;f[i>>2]=f[o>>2];a=i+4|0;B=o+4|0;f[a>>2]=f[B>>2];H=i+8|0;f[H>>2]=f[o+8>>2];f[i+12>>2]=f[o+12>>2];f[i+16>>2]=f[o+16>>2];f[i+20>>2]=f[o+20>>2];f[i+24>>2]=f[o+24>>2];f[i+28>>2]=f[o+28>>2];f[i+32>>2]=f[o+32>>2];w=f[o+36>>2]|0;f[i+36>>2]=w;f[i+40>>2]=H;H=i+48|0;E=i+44|0;f[E>>2]=H;f[H>>2]=0;f[i+52>>2]=0;if(w|0){H=w+12|0;f[H>>2]=(f[H>>2]|0)+1}if((f[B>>2]|0)<3){B=f[o+44>>2]|0;H=f[E>>2]|0;f[H>>2]=f[B>>2];f[H+4>>2]=f[B+4>>2];break}else{f[a>>2]=0;$T(i,o);break}}else nJ(i,d,-1);while(0);f[j>>2]=h;f[j+4>>2]=i;f[j+8>>2]=0;d=k;f[d>>2]=0;f[d+4>>2]=0;YC(l,j,k,-1);j=Y(f[l+20>>2]|0,s)|0;b:do if(!v){if(+L(+(+L(+c)+-.5))<2.220446049250313e-16){d=(q|0)==5;o=c<0.0?(d?310:309):d?312:311;d=l+16|0;a=k+4|0;B=0;while(1){if(B>>>0>=(f[d>>2]|0)>>>0)break b;Zh[o&511](f[k>>2]|0,f[a>>2]|0,j);ZC(l)|0;B=B+1|0}}B=r|1024;a=B-((B>>>0)%(s>>>0)|0)|0;B=(a|0)<(j|0)?a:j;a=675553809>>>(f[h>>2]<<2&28)&15;o=m+8|0;f[m>>2]=o;d=m+4|0;f[d>>2]=1032;if((f[h+16>>2]|0)==(f[i+16>>2]|0)){x=Y(a,B)|0;f[d>>2]=x;if(x>>>0>1032){H=euc(x)|0;f[m>>2]=H;M=H}else M=o;N=M;O=M}else{N=0;O=0}H=l+16|0;x=(j|0)>0;E=(q|0)==5;w=(O|0)!=0;F=k+4|0;I=c<0.0;G=(N|0)!=0;P=0;while(1){if(P>>>0>=(f[H>>2]|0)>>>0)break;if(x){Q=0;R=f[k>>2]|0;do{S=j-Q|0;T=(B|0)<(S|0)?B:S;do if(E){S=w?O:R;U=f[F>>2]|0;if((S|0)!=(R|0))szc(S|0,R|0,Y(T,a)|0)|0;uH(S,U,T);S=(T|0)>0;if(S)V=0;else{sH(U,U,T);break}do{W=U+(V<<2)|0;n[W>>2]=+n[W>>2]*c;V=V+1|0}while((V|0)<(T|0));sH(U,U,T);if(S)if(I){W=0;do{X=+n[R+(W<<2)>>2];if(X<=0.0)n[U+(W<<2)>>2]=X==0.0?D:C;W=W+1|0}while((W|0)<(T|0))}else{W=0;do{if(+n[R+(W<<2)>>2]<0.0)n[U+(W<<2)>>2]=C;W=W+1|0}while((W|0)<(T|0))}}else{W=G?N:R;U=f[F>>2]|0;if((W|0)!=(R|0))szc(W|0,R|0,Y(T,a)|0)|0;vH(W,U,T);W=(T|0)>0;if(W)Z=0;else{tH(U,U,T);break}do{S=U+(Z<<3)|0;p[S>>3]=+p[S>>3]*c;Z=Z+1|0}while((Z|0)<(T|0));tH(U,U,T);if(W)if(I){S=0;do{X=+p[R+(S<<3)>>3];if(X<=0.0)p[U+(S<<3)>>3]=X==0.0?D:C;S=S+1|0}while((S|0)<(T|0))}else{S=0;do{if(+p[R+(S<<3)>>3]<0.0)p[U+(S<<3)>>3]=C;S=S+1|0}while((S|0)<(T|0))}}while(0);S=Y(T,a)|0;R=(f[k>>2]|0)+S|0;f[k>>2]=R;f[F>>2]=(f[F>>2]|0)+S;Q=Q+B|0}while((j|0)>(Q|0))}ZC(l)|0;P=P+1|0}P=f[m>>2]|0;if((P|0)!=(o|0)){if(P|0)guc(P);f[m>>2]=o;f[d>>2]=1032}}else{P=f[35032+(q<<2)>>2]|0;if((q|0)==7){f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;b[m+11>>0]=9;y=m;z=253007;A=y+9|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));b[m+9>>0]=0;WD(-215,m,404969,188807,1251)}d=l+16|0;o=k+4|0;B=0;while(1){if(B>>>0>=(f[d>>2]|0)>>>0)break b;sh[P&255](f[k>>2]|0,f[o>>2]|0,j,t);ZC(l)|0;B=B+1|0}}while(0);l=i+36|0;t=f[l>>2]|0;if(t|0?(j=t+12|0,t=f[j>>2]|0,f[j>>2]=t+-1,(t|0)==1):0)aU(i);f[l>>2]=0;l=i+16|0;t=i+4|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;if((f[t>>2]|0)>0){l=f[i+40>>2]|0;j=0;do{f[l+(j<<2)>>2]=0;j=j+1|0}while((j|0)<(f[t>>2]|0))}t=f[i+44>>2]|0;if((t|0)!=(i+48|0))TC(t);t=h+36|0;i=f[t>>2]|0;if(i|0?(j=i+12|0,i=f[j>>2]|0,f[j>>2]=i+-1,(i|0)==1):0)aU(h);f[t>>2]=0;t=h+16|0;f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;f[t+12>>2]=0;if((f[K>>2]|0)>0){t=f[J>>2]|0;J=0;do{f[t+(J<<2)>>2]=0;J=J+1|0}while((J|0)<(f[K>>2]|0))}K=f[h+44>>2]|0;if((K|0)!=(h+48|0))TC(K)}if(!(f[g+4>>2]|0)){u=e;return}u=e;return}function mD(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,i=0,j=0,k=0,l=0;f=u;u=u+16|0;g=f;if((e|0)<0){b[g>>0]=0;i=e<<1&2;j=(i^2)+-1|0;b[g+1>>0]=j>>>0<256?j:(i|0)==0?255:0;b[g+2>>0]=-1;b[g+3>>0]=1;b[g+4>>0]=(e|0)==-1&1;if((d|0)>0){i=0;do{j=b[a+i>>0]|0;if((j&255)<3)k=b[g+((j&255)+2)>>0]|0;else k=0;b[c+i>>0]=k;i=i+1|0}while((i|0)!=(d|0))}u=f;return}if((d|0)<=0){u=f;return}if((e|0)>1)l=0;else{i=0;do{b[c+i>>0]=b[a+i>>0]|0;i=i+1|0}while((i|0)!=(d|0));u=f;return}do{i=h[a+l>>0]|0;k=1;g=e;while(1){k=Y((g&1|0)==0?1:i,k)|0;i=Y(i,i)|0;if(g>>>0<=3)break;else g=g>>>1}g=Y(k,i)|0;b[c+l>>0]=g>>>0<255?g:255;l=l+1|0}while((l|0)!=(d|0));u=f;return}function nD(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0;f=u;u=u+16|0;g=f;if((e|0)<0){h=(e|0)==-1;b[g>>0]=((h<<31>>31)+128|0)>>>0<256?h<<31>>31:-128;b[g+1>>0]=(e<<1&2^2)+255;b[g+2>>0]=127;b[g+3>>0]=1;b[g+4>>0]=h&1;if((d|0)>0){h=0;do{i=b[a+h>>0]|0;j=i<<24>>24;if(((i<<24>>24>-1?j:0-j|0)|0)<3)k=b[g+(j+2)>>0]|0;else k=0;b[c+h>>0]=k;h=h+1|0}while((h|0)!=(d|0))}u=f;return}if((d|0)<=0){u=f;return}if((e|0)>1)l=0;else{h=0;do{k=b[a+h>>0]|0;g=k<<24>>24;b[c+h>>0]=(g+128|0)>>>0<256?g:k<<24>>24>0?127:128;h=h+1|0}while((h|0)!=(d|0));u=f;return}do{h=b[a+l>>0]|0;k=1;g=e;while(1){k=Y((g&1|0)==0?1:h,k)|0;h=Y(h,h)|0;if(g>>>0<=3)break;else g=g>>>1}g=Y(k,h)|0;b[c+l>>0]=(g+128|0)>>>0<256?g:(g|0)>0?127:128;l=l+1|0}while((l|0)!=(d|0));u=f;return}function oD(a,b,c,e){a=a|0;b=b|0;c=c|0;e=e|0;var f=0,g=0,h=0,i=0,k=0,l=0;f=u;u=u+16|0;g=f;if((e|0)<0){d[g>>1]=0;h=e<<1&2;i=(h^2)+-1|0;d[g+2>>1]=i>>>0<65536?i:(h|0)==0?65535:0;d[g+4>>1]=-1;d[g+6>>1]=1;d[g+8>>1]=(e|0)==-1&1;if((c|0)>0){h=0;do{i=d[a+(h<<1)>>1]|0;if((i&65535)<3)k=d[g+((i&65535)+2<<1)>>1]|0;else k=0;d[b+(h<<1)>>1]=k;h=h+1|0}while((h|0)!=(c|0))}u=f;return}if((c|0)<=0){u=f;return}if((e|0)>1)l=0;else{h=0;do{d[b+(h<<1)>>1]=d[a+(h<<1)>>1]|0;h=h+1|0}while((h|0)!=(c|0));u=f;return}do{h=j[a+(l<<1)>>1]|0;k=1;g=e;while(1){k=Y((g&1|0)==0?1:h,k)|0;h=Y(h,h)|0;if(g>>>0<=3)break;else g=g>>>1}g=Y(k,h)|0;d[b+(l<<1)>>1]=g>>>0<65535?g:65535;l=l+1|0}while((l|0)!=(c|0));u=f;return}function pD(a,b,c,e){a=a|0;b=b|0;c=c|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0;f=u;u=u+16|0;g=f;if((e|0)<0){h=(e|0)==-1;d[g>>1]=((h<<31>>31)+32768|0)>>>0<65536?h<<31>>31:-32768;d[g+2>>1]=(e<<1&2^2)+65535;d[g+4>>1]=32767;d[g+6>>1]=1;d[g+8>>1]=h&1;if((c|0)>0){h=0;do{i=d[a+(h<<1)>>1]|0;j=i<<16>>16;if(((i<<16>>16>-1?j:0-j|0)|0)<3)k=d[g+(j+2<<1)>>1]|0;else k=0;d[b+(h<<1)>>1]=k;h=h+1|0}while((h|0)!=(c|0))}u=f;return}if((c|0)<=0){u=f;return}if((e|0)>1)l=0;else{h=0;do{k=d[a+(h<<1)>>1]|0;g=k<<16>>16;d[b+(h<<1)>>1]=(g+32768|0)>>>0<65536?g:k<<16>>16>0?32767:32768;h=h+1|0}while((h|0)!=(c|0));u=f;return}do{h=d[a+(l<<1)>>1]|0;k=1;g=e;while(1){k=Y((g&1|0)==0?1:h,k)|0;h=Y(h,h)|0;if(g>>>0<=3)break;else g=g>>>1}g=Y(k,h)|0;d[b+(l<<1)>>1]=(g+32768|0)>>>0<65536?g:(g|0)>0?32767:32768;l=l+1|0}while((l|0)!=(c|0));u=f;return}function qD(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0;e=u;u=u+32|0;g=e;if((d|0)<0){h=(d|0)==-1;f[g>>2]=h<<31>>31;f[g+4>>2]=(d<<1&2^2)+-1;f[g+8>>2]=2147483647;f[g+12>>2]=1;f[g+16>>2]=h&1;if((c|0)>0){h=0;do{i=f[a+(h<<2)>>2]|0;if((((i|0)>-1?i:0-i|0)|0)<3)j=f[g+(i+2<<2)>>2]|0;else j=0;f[b+(h<<2)>>2]=j;h=h+1|0}while((h|0)!=(c|0))}u=e;return}if((c|0)<=0){u=e;return}if((d|0)>1)k=0;else{h=0;do{f[b+(h<<2)>>2]=f[a+(h<<2)>>2];h=h+1|0}while((h|0)!=(c|0));u=e;return}do{h=f[a+(k<<2)>>2]|0;j=1;g=d;while(1){j=Y((g&1|0)==0?1:h,j)|0;h=Y(h,h)|0;if(g>>>0<=3)break;else g=g>>>1}g=Y(j,h)|0;f[b+(k<<2)>>2]=g;k=k+1|0}while((k|0)!=(c|0));u=e;return}function rD(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0.0,i=0.0,j=0.0,k=0.0;e=(d|0)>-1?d:0-d|0;if((c|0)<=0)return;g=(d|0)<0;if((e|0)<=1)if(g){d=0;do{n[b+(d<<2)>>2]=1.0/+n[a+(d<<2)>>2];d=d+1|0}while((d|0)!=(c|0));return}else{d=0;do{f[b+(d<<2)>>2]=f[a+(d<<2)>>2];d=d+1|0}while((d|0)!=(c|0));return}if(g){g=0;do{h=1.0/+n[a+(g<<2)>>2];i=1.0;d=e;while(1){i=(d&1|0)==0?i:h*i;h=h*h;if(d>>>0<=3)break;else d=d>>>1}n[b+(g<<2)>>2]=h*i;g=g+1|0}while((g|0)!=(c|0));return}else{g=0;do{j=+n[a+(g<<2)>>2];k=1.0;d=e;while(1){k=(d&1|0)==0?k:j*k;j=j*j;if(d>>>0<=3)break;else d=d>>>1}n[b+(g<<2)>>2]=j*k;g=g+1|0}while((g|0)!=(c|0));return}}function sD(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0.0,h=0.0,i=0.0,j=0.0;e=(d|0)>-1?d:0-d|0;if((c|0)<=0)return;f=(d|0)<0;if((e|0)<=1)if(f){d=0;do{p[b+(d<<3)>>3]=1.0/+p[a+(d<<3)>>3];d=d+1|0}while((d|0)!=(c|0));return}else{d=0;do{p[b+(d<<3)>>3]=+p[a+(d<<3)>>3];d=d+1|0}while((d|0)!=(c|0));return}if(f){f=0;do{g=1.0/+p[a+(f<<3)>>3];h=1.0;d=e;while(1){h=(d&1|0)==0?h:g*h;g=g*g;if(d>>>0<=3)break;else d=d>>>1}p[b+(f<<3)>>3]=g*h;f=f+1|0}while((f|0)!=(c|0));return}else{f=0;do{i=+p[a+(f<<3)>>3];j=1.0;d=e;while(1){j=(d&1|0)==0?j:i*j;i=i*i;if(d>>>0<=3)break;else d=d>>>1}p[b+(f<<3)>>3]=i*j;f=f+1|0}while((f|0)!=(c|0));return}}function tD(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+16|0;d=c;gV(d,35064);lD(a,.5,b);if(!(f[d+4>>2]|0)){u=c;return}u=c;return}function uD(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=+e;g=+g;var h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0;h=u;u=u+352|0;i=h+72|0;j=h+56|0;k=h;l=h+312|0;m=h+304|0;o=h+192|0;q=h+176|0;r=h+248|0;t=h+160|0;v=h+104|0;p[s>>3]=e;w=f[s>>2]|0;x=f[s+4>>2]|0;p[s>>3]=g;y=f[s>>2]|0;z=f[s+4>>2]|0;gV(m,35084);do if((qJ(a)|0)==65536){A=f[a+4>>2]|0;f[o>>2]=f[A>>2];B=o+4|0;C=A+4|0;f[B>>2]=f[C>>2];D=o+8|0;f[D>>2]=f[A+8>>2];f[o+12>>2]=f[A+12>>2];f[o+16>>2]=f[A+16>>2];f[o+20>>2]=f[A+20>>2];f[o+24>>2]=f[A+24>>2];f[o+28>>2]=f[A+28>>2];f[o+32>>2]=f[A+32>>2];E=f[A+36>>2]|0;f[o+36>>2]=E;f[o+40>>2]=D;D=o+48|0;F=o+44|0;f[F>>2]=D;f[D>>2]=0;f[o+52>>2]=0;if(E|0){D=E+12|0;f[D>>2]=(f[D>>2]|0)+1}if((f[C>>2]|0)<3){C=f[A+44>>2]|0;D=f[F>>2]|0;f[D>>2]=f[C>>2];f[D+4>>2]=f[C+4>>2];G=B;break}else{f[B>>2]=0;$T(o,A);G=B;break}}else{nJ(o,a,-1);G=o+4|0}while(0);a=f[G>>2]|0;if((a|0)>2){if(d|0){b[j+11>>0]=10;H=j;B=189564;I=H+10|0;do{b[H>>0]=b[B>>0]|0;H=H+1|0;B=B+1|0}while((H|0)<(I|0));b[j+10>>0]=0;WD(-215,j,189575,188807,1449)}f[j>>2]=o;f[j+4>>2]=0;B=k+40|0;A=k+48|0;C=k+44|0;D=k+52|0;F=k+8|0;H=k+4|0;I=H+36|0;do{f[H>>2]=0;H=H+4|0}while((H|0)<(I|0));f[B>>2]=F;f[C>>2]=A;f[A>>2]=0;f[D>>2]=0;f[k>>2]=1124007936;WC(l,j,k,-1);D=l+16|0;A=l+4|0;C=q+8|0;F=q+12|0;B=q+4|0;H=0;while(1){if(H>>>0>=(f[D>>2]|0)>>>0){K=1;break}I=f[A>>2]|0;f[C>>2]=0;f[F>>2]=0;f[q>>2]=16842752;f[B>>2]=I;if(!(uD(q,c,0,e,g)|0)){K=0;break}ZC(l)|0;H=H+1|0}H=k+36|0;B=f[H>>2]|0;if(B|0?(F=B+12|0,B=f[F>>2]|0,f[F>>2]=B+-1,(B|0)==1):0)aU(k);f[H>>2]=0;H=k+16|0;B=k+4|0;f[H>>2]=0;f[H+4>>2]=0;f[H+8>>2]=0;f[H+12>>2]=0;if((f[B>>2]|0)>0){H=f[k+40>>2]|0;F=0;do{f[H+(F<<2)>>2]=0;F=F+1|0}while((F|0)<(f[B>>2]|0))}B=f[k+44>>2]|0;if((B|0)!=(k+48|0))TC(B);L=K}else{K=f[o>>2]|0;B=K&7;f[q>>2]=-1;F=q+4|0;f[F>>2]=-1;a:do if(B>>>0<5){H=~~e;C=!(e<=-2147483648.0)?H-(+(H|0)>e&1)|0:-2147483648;H=~~g;A=g>2147483647.0?2147483647:H+-1+(+(H|0)<g&1)|0;H=f[34872+(B<<2)>>2]|0;f[r>>2]=K;D=r+4|0;f[D>>2]=a;I=r+8|0;f[I>>2]=f[o+8>>2];f[r+12>>2]=f[o+12>>2];E=r+16|0;f[E>>2]=f[o+16>>2];f[r+20>>2]=f[o+20>>2];f[r+24>>2]=f[o+24>>2];f[r+28>>2]=f[o+28>>2];f[r+32>>2]=f[o+32>>2];M=r+36|0;N=f[o+36>>2]|0;f[M>>2]=N;O=r+40|0;f[O>>2]=I;I=r+48|0;P=r+44|0;f[P>>2]=I;f[I>>2]=0;f[r+52>>2]=0;if((N|0)!=0?(Q=N+12|0,f[Q>>2]=(f[Q>>2]|0)+1,(f[G>>2]|0)>=3):0){f[D>>2]=0;$T(r,o)}else{Q=f[o+44>>2]|0;N=f[P>>2]|0;f[N>>2]=f[Q>>2];f[N+4>>2]=f[Q+4>>2]}Cg[H&127](r,q,C,A)|0;A=f[M>>2]|0;if(A|0?(C=A+12|0,A=f[C>>2]|0,f[C>>2]=A+-1,(A|0)==1):0)aU(r);f[M>>2]=0;f[E>>2]=0;f[E+4>>2]=0;f[E+8>>2]=0;f[E+12>>2]=0;if((f[D>>2]|0)>0){E=f[O>>2]|0;O=0;do{f[E+(O<<2)>>2]=0;O=O+1|0}while((O|0)<(f[D>>2]|0))}D=f[P>>2]|0;if((D|0)==(I|0))R=57;else{TC(D);R=57}}else{D=(K>>>3&511)+1|0;O=f[o+12>>2]|0;E=f[o+8>>2]|0;M=Bzc(E|0,((E|0)<0)<<31>>31|0,O|0,((O|0)<0)<<31>>31|0)|0;A=Bzc(M|0,J|0,D|0,0)|0;if((K&16384|0)!=0?(A|0)==(A|0)&(((A|0)<0)<<31>>31|0)==(J|0):0){S=1;T=A}else{S=E;T=Y(D,O)|0}E=f[o+16>>2]|0;A=f[o+48>>2]|0;if((B|0)==5){M=A>>>2;C=(n[s>>2]=e<-3402823466385288598117041.0e14?-3402823466385288598117041.0e14:e,f[s>>2]|0);H=(n[s>>2]=g>3402823466385288598117041.0e14?3402823466385288598117041.0e14:g,f[s>>2]|0);Q=C>>31&2147483647^C;C=H>>31&2147483647^H;if((T|0)<=0){H=S;while(1)if(!H){R=57;break a}else H=H+-1|0}H=0;I=E;P=S;N=-1;while(1){if(!P){R=57;break a}else U=0;P=P+-1|0;while(1){V=f[I+(U<<2)>>2]|0;W=V>>31&2147483647^V;if(!((W|0)>=(Q|0)&(W|0)<(C|0))){R=45;break}W=U+1|0;if((W|0)<(T|0))U=W;else{X=N;break}}if((R|0)==45){R=0;W=(U+H|0)/(D|0)|0;V=(W|0)%(O|0)|0;f[q>>2]=V;f[F>>2]=(W|0)/(O|0)|0;X=V}if((X|0)>=0){Z=X;R=58;break}else{H=H+T|0;I=I+(M<<2)|0;N=X}}}else{N=A>>>3;M=ozc(w|0,x|0,63)|0;I=M^w;M=J&2147483647^x;H=ozc(y|0,z|0,63)|0;C=H^y;H=J&2147483647^z;if((T|0)<=0){Q=S;while(1)if(!Q){R=57;break a}else Q=Q+-1|0}Q=E;A=0;P=S;V=-1;while(1){if(!P){R=57;break a}else _=0;P=P+-1|0;while(1){W=Q+(_<<3)|0;$=f[W>>2]|0;aa=f[W+4>>2]|0;W=ozc($|0,aa|0,63)|0;ba=W^$;$=J&2147483647^aa;if(!((($|0)>(M|0)|($|0)==(M|0)&ba>>>0>=I>>>0)&(($|0)<(H|0)|($|0)==(H|0)&ba>>>0<C>>>0))){R=53;break}ba=_+1|0;if((ba|0)<(T|0))_=ba;else{ca=V;break}}if((R|0)==53){R=0;ba=(_+A|0)/(D|0)|0;$=(ba|0)%(O|0)|0;f[q>>2]=$;f[F>>2]=(ba|0)/(O|0)|0;ca=$}if((ca|0)>=0){Z=ca;R=58;break}else{Q=Q+(N<<3)|0;A=A+T|0;V=ca}}}}while(0);if((R|0)==57){ca=f[q>>2]|0;if((ca|0)>-1){Z=ca;R=58}else da=1}if((R|0)==58){if(d|0){f[d>>2]=Z;f[d+4>>2]=f[F>>2]}if(c)da=0;else{f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;c=f[F>>2]|0;f[j>>2]=Z;f[j+4>>2]=Z+1;f[k>>2]=c;f[k+4>>2]=c+1;bU(v,o,k,j);fY(l,0);c=f[l>>2]|0;Zh[f[(f[c>>2]|0)+8>>2]&511](k,c,v);c=f[k>>2]|0;bi[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[k>>2]|0;Z=di[f[f[c>>2]>>2]&1023](c)|0;b:do if(Z|0){c=j+11|0;d=j+4|0;ca=j+8|0;T=Z;while(1){f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;_=jfc(T)|0;if(_>>>0>4294967279)break;if(_>>>0<11){b[c>>0]=_;if(!_)ea=j;else{fa=j;R=68}}else{S=_+16&-16;z=cuc(S)|0;f[j>>2]=z;f[ca>>2]=S|-2147483648;f[d>>2]=_;fa=z;R=68}if((R|0)==68){R=0;szc(fa|0,T|0,_|0)|0;ea=fa}b[ea+_>>0]=0;_=b[c>>0]|0;z=_<<24>>24<0;Cuc(t,z?f[j>>2]|0:j,z?f[d>>2]|0:_&255)|0;if((b[c>>0]|0)<0)fuc(f[j>>2]|0);_=f[k>>2]|0;T=di[f[f[_>>2]>>2]&1023](_)|0;if(!T)break b}muc(j)}while(0);ea=f[k+4>>2]|0;if(ea|0)Xtc(ea);ea=f[l+4>>2]|0;if(ea|0)Xtc(ea);ea=v+36|0;l=f[ea>>2]|0;if(l|0?(k=l+12|0,l=f[k>>2]|0,f[k>>2]=l+-1,(l|0)==1):0)aU(v);f[ea>>2]=0;ea=v+16|0;l=v+4|0;f[ea>>2]=0;f[ea+4>>2]=0;f[ea+8>>2]=0;f[ea+12>>2]=0;if((f[l>>2]|0)>0){ea=f[v+40>>2]|0;k=0;do{f[ea+(k<<2)>>2]=0;k=k+1|0}while((k|0)<(f[l>>2]|0))}l=f[v+44>>2]|0;if((l|0)==(v+48|0)){ga=f[q>>2]|0;ha=f[F>>2]|0;ia=t+11|0;ja=b[ia>>0]|0;ka=ja<<24>>24<0;la=f[t>>2]|0;ma=ka?la:t;f[i>>2]=ga;na=i+4|0;f[na>>2]=ha;oa=i+8|0;f[oa>>2]=ma;pa=i+16|0;p[pa>>3]=e;qa=i+24|0;p[qa>>3]=g;cE(j,189586,i);WD(-211,j,189575,188807,1550)}TC(l);ga=f[q>>2]|0;ha=f[F>>2]|0;ia=t+11|0;ja=b[ia>>0]|0;ka=ja<<24>>24<0;la=f[t>>2]|0;ma=ka?la:t;f[i>>2]=ga;na=i+4|0;f[na>>2]=ha;oa=i+8|0;f[oa>>2]=ma;pa=i+16|0;p[pa>>3]=e;qa=i+24|0;p[qa>>3]=g;cE(j,189586,i);WD(-211,j,189575,188807,1550)}}L=da}da=o+36|0;j=f[da>>2]|0;if(j|0?(i=j+12|0,j=f[i>>2]|0,f[i>>2]=j+-1,(j|0)==1):0)aU(o);f[da>>2]=0;da=o+16|0;f[da>>2]=0;f[da+4>>2]=0;f[da+8>>2]=0;f[da+12>>2]=0;if((f[G>>2]|0)>0){da=f[o+40>>2]|0;j=0;do{f[da+(j<<2)>>2]=0;j=j+1|0}while((j|0)<(f[G>>2]|0))}G=f[o+44>>2]|0;if((G|0)!=(o+48|0))TC(G);if(!(f[m+4>>2]|0)){u=h;return L|0}u=h;return L|0}function vD(a,c){a=a|0;c=+c;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0.0;d=u;u=u+112|0;e=d+104|0;g=d+48|0;h=d+40|0;i=d+32|0;j=d;gV(e,35104);if((CJ(a,-1)|0)!=5){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;k=cuc(32)|0;f[g>>2]=k;f[g+8>>2]=-2147483616;f[g+4>>2]=20;l=k;m=189699;o=l+20|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(o|0));b[k+20>>0]=0;WD(-215,g,189720,188807,1584)}do if((qJ(a)|0)==65536){k=f[a+4>>2]|0;f[g>>2]=f[k>>2];m=g+4|0;l=k+4|0;f[m>>2]=f[l>>2];o=g+8|0;f[o>>2]=f[k+8>>2];f[g+12>>2]=f[k+12>>2];f[g+16>>2]=f[k+16>>2];f[g+20>>2]=f[k+20>>2];f[g+24>>2]=f[k+24>>2];f[g+28>>2]=f[k+28>>2];f[g+32>>2]=f[k+32>>2];p=f[k+36>>2]|0;f[g+36>>2]=p;f[g+40>>2]=o;o=g+48|0;q=g+44|0;f[q>>2]=o;f[o>>2]=0;f[g+52>>2]=0;if(p|0){o=p+12|0;f[o>>2]=(f[o>>2]|0)+1}if((f[l>>2]|0)<3){l=f[k+44>>2]|0;o=f[q>>2]|0;f[o>>2]=f[l>>2];f[o+4>>2]=f[l+4>>2];break}else{f[m>>2]=0;$T(g,k);break}}else nJ(g,a,-1);while(0);f[h>>2]=g;f[h+4>>2]=0;f[i>>2]=0;YC(j,h,i,-1);h=Y(((f[g>>2]|0)>>>3&511)+1|0,f[j+20>>2]|0)|0;r=c;a=j+16|0;a:do if(!h){k=0;while(1){if(k>>>0>=(f[a>>2]|0)>>>0)break a;ZC(j)|0;k=k+1|0}}else{k=0;while(1){if(k>>>0>=(f[a>>2]|0)>>>0)break a;m=f[i>>2]|0;l=0;do{o=m+(l<<2)|0;if((f[o>>2]&2147483647)>>>0>2139095040)n[o>>2]=r;l=l+1|0}while((l|0)!=(h|0));ZC(j)|0;k=k+1|0}}while(0);j=g+36|0;h=f[j>>2]|0;if(h|0?(i=h+12|0,h=f[i>>2]|0,f[i>>2]=h+-1,(h|0)==1):0)aU(g);f[j>>2]=0;j=g+16|0;h=g+4|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;if((f[h>>2]|0)>0){j=f[g+40>>2]|0;i=0;do{f[j+(i<<2)>>2]=0;i=i+1|0}while((i|0)<(f[h>>2]|0))}h=f[g+44>>2]|0;if((h|0)!=(g+48|0))TC(h);if(!(f[e+4>>2]|0)){u=d;return}u=d;return}function wD(a,b){a=+a;b=+b;return +(+wH(a,b))}function xD(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0.0,v=0,w=0,x=0,y=0.0,z=0,A=0.0,B=0,C=0.0,D=0.0,E=0,F=0.0,G=0.0,H=0,I=0.0,J=0.0,K=0.0,P=0.0,Q=0,S=0.0,T=0,U=0,V=0,W=0,X=0,Z=0.0,_=0.0,$=0,aa=0.0,ba=0.0,ca=0.0,da=0,ea=0.0,fa=0.0,ga=0.0,ha=0.0,ia=0,ja=0,ka=0,la=0;d=u;u=u+128|0;e=d+112|0;g=d+56|0;h=d;gV(e,35124);do if((qJ(a)|0)==65536){i=f[a+4>>2]|0;f[g>>2]=f[i>>2];j=g+4|0;k=i+4|0;f[j>>2]=f[k>>2];l=g+8|0;f[l>>2]=f[i+8>>2];f[g+12>>2]=f[i+12>>2];f[g+16>>2]=f[i+16>>2];f[g+20>>2]=f[i+20>>2];f[g+24>>2]=f[i+24>>2];f[g+28>>2]=f[i+28>>2];f[g+32>>2]=f[i+32>>2];m=f[i+36>>2]|0;f[g+36>>2]=m;f[g+40>>2]=l;l=g+48|0;o=g+44|0;f[o>>2]=l;f[l>>2]=0;f[g+52>>2]=0;if(m|0){l=m+12|0;f[l>>2]=(f[l>>2]|0)+1}if((f[k>>2]|0)<3){k=f[i+44>>2]|0;l=f[o>>2]|0;f[l>>2]=f[k>>2];f[l+4>>2]=f[k+4>>2];q=g;break}else{f[j>>2]=0;$T(g,i);q=g;break}}else{nJ(g,a,-1);q=g}while(0);a=f[q>>2]&4095;i=(a|0)==5;if((a+-5|0)>>>0>=2){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;j=cuc(48)|0;f[h>>2]=j;f[h+8>>2]=-2147483600;f[h+4>>2]=34;k=j;l=189775;o=k+34|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(o|0));b[j+34>>0]=0;WD(-215,h,189810,188807,1745)}j=g+40|0;l=f[j>>2]|0;k=f[l+4>>2]|0;o=f[l>>2]|0;if(!((k+-3|0)>>>0<2&(o|0)==1)?!((k|0)==1&(o+-3|0)>>>0<2):0){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;o=cuc(144)|0;f[h>>2]=o;f[h+8>>2]=-2147483504;f[h+4>>2]=130;szc(o|0,189821,130)|0;b[o+130>>0]=0;WD(-215,h,189810,188807,1749)}jK(c,3,1,a,-1,1,96);do if((qJ(c)|0)==65536){a=f[c+4>>2]|0;f[h>>2]=f[a>>2];o=h+4|0;k=a+4|0;f[o>>2]=f[k>>2];l=h+8|0;f[l>>2]=f[a+8>>2];f[h+12>>2]=f[a+12>>2];f[h+16>>2]=f[a+16>>2];f[h+20>>2]=f[a+20>>2];f[h+24>>2]=f[a+24>>2];f[h+28>>2]=f[a+28>>2];f[h+32>>2]=f[a+32>>2];m=f[a+36>>2]|0;f[h+36>>2]=m;f[h+40>>2]=l;l=h+48|0;r=h+44|0;f[r>>2]=l;f[l>>2]=0;f[h+52>>2]=0;if(m|0){l=m+12|0;f[l>>2]=(f[l>>2]|0)+1}if((f[k>>2]|0)<3){k=f[a+44>>2]|0;l=f[r>>2]|0;f[l>>2]=f[k>>2];f[l+4>>2]=f[k+4>>2];break}else{f[o>>2]=0;$T(h,a);break}}else nJ(h,c,-1);while(0);c=f[g+12>>2]|0;a=(c+(f[g+8>>2]|0)|0)==5;o=g+16|0;if(i){if(a){i=f[o>>2]|0;s=0;t=+n[i>>2];v=i;w=i}else{i=f[o>>2]|0;s=-1;t=1.0;v=i;w=i}i=s+1|0;do if(!(f[q>>2]&16384)){k=f[j>>2]|0;do if((f[k>>2]|0)!=1){l=f[f[g+44>>2]>>2]|0;if((f[k+4>>2]|0)==1){x=v+(Y(l,i)|0)|0;break}else{r=(i|0)/(c|0)|0;x=v+(Y(r,l)|0)+(i-(Y(r,c)|0)<<2)|0;break}}else x=v+(i<<2)|0;while(0);y=+n[x>>2];k=s+2|0;r=f[j>>2]|0;do if((f[r>>2]|0)!=1){l=f[f[g+44>>2]>>2]|0;if((f[r+4>>2]|0)==1){z=v+(Y(l,k)|0)|0;break}else{m=(k|0)/(c|0)|0;z=v+(Y(m,l)|0)+(k-(Y(m,c)|0)<<2)|0;break}}else z=v+(k<<2)|0;while(0);A=+n[z>>2];k=s+3|0;r=f[j>>2]|0;if((f[r>>2]|0)!=1){m=f[f[g+44>>2]>>2]|0;if((f[r+4>>2]|0)==1){B=v+(Y(m,k)|0)|0;C=A;D=y;break}else{r=(k|0)/(c|0)|0;B=v+(Y(r,m)|0)+(k-(Y(r,c)|0)<<2)|0;C=A;D=y;break}}else{E=k;F=A;G=y;H=37}}else{E=s+3|0;F=+n[v+(s+2<<2)>>2];G=+n[w+(i<<2)>>2];H=37}while(0);if((H|0)==37){B=v+(E<<2)|0;C=F;D=G}I=+n[B>>2];J=C;K=D;P=t}else{if(a){a=f[o>>2]|0;Q=0;S=+p[a>>3];T=a;U=a}else{a=f[o>>2]|0;Q=-1;S=1.0;T=a;U=a}a=Q+1|0;do if(!(f[q>>2]&16384)){o=f[j>>2]|0;do if((f[o>>2]|0)!=1){B=f[f[g+44>>2]>>2]|0;if((f[o+4>>2]|0)==1){V=T+(Y(B,a)|0)|0;break}else{E=(a|0)/(c|0)|0;V=T+(Y(E,B)|0)+(a-(Y(E,c)|0)<<3)|0;break}}else V=T+(a<<3)|0;while(0);y=+p[V>>3];o=Q+2|0;E=f[j>>2]|0;do if((f[E>>2]|0)!=1){B=f[f[g+44>>2]>>2]|0;if((f[E+4>>2]|0)==1){W=T+(Y(B,o)|0)|0;break}else{v=(o|0)/(c|0)|0;W=T+(Y(v,B)|0)+(o-(Y(v,c)|0)<<3)|0;break}}else W=T+(o<<3)|0;while(0);t=+p[W>>3];o=Q+3|0;E=f[j>>2]|0;if((f[E>>2]|0)!=1){v=f[f[g+44>>2]>>2]|0;if((f[E+4>>2]|0)==1){X=T+(Y(v,o)|0)|0;Z=t;_=y;break}else{E=(o|0)/(c|0)|0;X=T+(Y(E,v)|0)+(o-(Y(E,c)|0)<<3)|0;Z=t;_=y;break}}else{$=o;aa=t;ba=y;H=58}}else{$=Q+3|0;aa=+p[T+(Q+2<<3)>>3];ba=+p[U+(a<<3)>>3];H=58}while(0);if((H|0)==58){X=T+($<<3)|0;Z=aa;_=ba}I=+p[X>>3];J=Z;K=_;P=S}do if(P==0.0){if(!(K==0.0)){S=J*J-K*4.0*I;if(!(S>=0.0)){ca=0.0;da=0;ea=0.0;fa=0.0;break}_=+M(+S);S=(_-J)*.5;Z=(J+_)*-.5;X=+L(+S)>+L(+Z);ba=X?S:Z;ca=0.0;da=_>0.0?2:1;ea=I/ba;fa=ba/K;break}if(J==0.0){ca=0.0;da=(I==0.0)<<31>>31;ea=0.0;fa=0.0;break}else{ca=0.0;da=1;ea=0.0;fa=-I/J;break}}else{ba=1.0/P;_=K*ba;Z=J*ba;S=(_*_-Z*3.0)*.1111111111111111;aa=(I*ba*27.0+(_*(_*(_*2.0))-Z*(_*9.0)))*.018518518518518517;Z=S*(S*S);ba=Z-aa*aa;if(ba>0.0){t=+M(+S)*-2.0;D=+R(+(aa/+M(+Z)))*.3333333333333333;Z=_*.3333333333333333;ca=t*+O(+(D+4.1887902047863905))-Z;da=3;ea=t*+O(+(D+2.0943951023931953))-Z;fa=t*+O(+D)-Z;break}if(!(ba==0.0)){Z=+N(+(+M(+-ba)+ +L(+aa)),.3333333333333333);ba=aa>0.0?-Z:Z;ca=0.0;da=1;ea=0.0;fa=ba+S/ba-_*.3333333333333333;break}ba=_/3.0;if(!(aa>=0.0)){_=+N(+-aa,.3333333333333333);ga=_*2.0;ha=-_}else{_=+N(+aa,.3333333333333333);ga=_*-2.0;ha=_}_=ha-ba;aa=ga-ba;X=aa==_;ca=0.0;da=X?1:2;ea=X?0.0:_;fa=aa}while(0);X=f[h>>2]|0;$=h+16|0;T=f[$>>2]|0;if((X&4095|0)==5){n[T>>2]=fa;do if(!(X&16384)){a=f[h+40>>2]|0;do if((f[a>>2]|0)!=1){U=f[f[h+44>>2]>>2]|0;if((f[a+4>>2]|0)==1){ia=T+U|0;break}else{Q=f[h+12>>2]|0;c=(Q+1|0)>>>0<3?Q:0;ia=T+(Y(c,U)|0)+(1-(Y(c,Q)|0)<<2)|0;break}}else ia=T+4|0;while(0);n[ia>>2]=ea;a=f[h+40>>2]|0;if((f[a>>2]|0)!=1){Q=f[f[h+44>>2]>>2]|0;if((f[a+4>>2]|0)==1){ja=T+(Q<<1)|0;break}else{a=f[h+12>>2]|0;c=2/(a|0)|0;ja=T+(Y(c,Q)|0)+(2-(Y(c,a)|0)<<2)|0;break}}else H=87}else{n[T+4>>2]=ea;H=87}while(0);if((H|0)==87)ja=T+8|0;n[ja>>2]=ca}else{p[T>>3]=fa;do if(!(X&16384)){ja=f[h+40>>2]|0;do if((f[ja>>2]|0)!=1){ia=f[f[h+44>>2]>>2]|0;if((f[ja+4>>2]|0)==1){ka=T+ia|0;break}else{a=f[h+12>>2]|0;c=(a+1|0)>>>0<3?a:0;ka=T+(Y(c,ia)|0)+(1-(Y(c,a)|0)<<3)|0;break}}else ka=T+8|0;while(0);p[ka>>3]=ea;ja=f[h+40>>2]|0;if((f[ja>>2]|0)!=1){a=f[f[h+44>>2]>>2]|0;if((f[ja+4>>2]|0)==1){la=T+(a<<1)|0;break}else{ja=f[h+12>>2]|0;c=2/(ja|0)|0;la=T+(Y(c,a)|0)+(2-(Y(c,ja)|0)<<3)|0;break}}else H=100}else{p[T+8>>3]=ea;H=100}while(0);if((H|0)==100)la=T+16|0;p[la>>3]=ca}la=h+36|0;T=f[la>>2]|0;if(T|0?(H=T+12|0,T=f[H>>2]|0,f[H>>2]=T+-1,(T|0)==1):0)aU(h);f[la>>2]=0;la=h+4|0;f[$>>2]=0;f[$+4>>2]=0;f[$+8>>2]=0;f[$+12>>2]=0;if((f[la>>2]|0)>0){$=f[h+40>>2]|0;T=0;do{f[$+(T<<2)>>2]=0;T=T+1|0}while((T|0)<(f[la>>2]|0))}la=f[h+44>>2]|0;if((la|0)!=(h+48|0))TC(la);la=g+36|0;h=f[la>>2]|0;if(h|0?(T=h+12|0,h=f[T>>2]|0,f[T>>2]=h+-1,(h|0)==1):0)aU(g);f[la>>2]=0;la=g+16|0;h=g+4|0;f[la>>2]=0;f[la+4>>2]=0;f[la+8>>2]=0;f[la+12>>2]=0;if((f[h>>2]|0)>0){la=f[j>>2]|0;j=0;do{f[la+(j<<2)>>2]=0;j=j+1|0}while((j|0)<(f[h>>2]|0))}h=f[g+44>>2]|0;if((h|0)!=(g+48|0))TC(h);if(!(f[e+4>>2]|0)){u=d;return da|0}u=d;return da|0}function yD(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,O=0.0,P=0,Q=0.0,R=0.0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0.0,ga=0,ha=0.0,ia=0,ja=0,ka=0.0,la=0,ma=0,na=0.0,oa=0.0,pa=0.0,qa=0,ra=0.0,sa=0,ta=0.0,ua=0.0,va=0.0,wa=0.0,xa=0.0,ya=0.0,za=0.0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0.0,Ga=0,Ha=0.0,Ia=0.0,Ja=0.0;e=u;u=u+1536|0;g=e+1472|0;h=e+1464|0;i=e+1408|0;j=e+1352|0;k=e;l=e+1288|0;m=e+1344|0;n=e+1232|0;o=e+1176|0;q=e+1160|0;gV(h,35144);do if((qJ(a)|0)==65536){r=f[a+4>>2]|0;f[i>>2]=f[r>>2];s=i+4|0;t=r+4|0;f[s>>2]=f[t>>2];v=i+8|0;f[v>>2]=f[r+8>>2];f[i+12>>2]=f[r+12>>2];f[i+16>>2]=f[r+16>>2];f[i+20>>2]=f[r+20>>2];f[i+24>>2]=f[r+24>>2];f[i+28>>2]=f[r+28>>2];f[i+32>>2]=f[r+32>>2];w=f[r+36>>2]|0;f[i+36>>2]=w;f[i+40>>2]=v;v=i+48|0;x=i+44|0;f[x>>2]=v;f[v>>2]=0;f[i+52>>2]=0;if(w|0){v=w+12|0;f[v>>2]=(f[v>>2]|0)+1}if((f[t>>2]|0)<3){t=f[r+44>>2]|0;v=f[x>>2]|0;f[v>>2]=f[t>>2];f[v+4>>2]=f[t+4>>2];break}else{f[s>>2]=0;$T(i,r);break}}else nJ(i,a,-1);while(0);r=pJ(a,-1)|0;a=r&7;if(a>>>0<=4){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;y=cuc(64)|0;f[g>>2]=y;z=g+8|0;f[z>>2]=-2147483584;A=g+4|0;f[A>>2]=54;B=y;C=189996;D=B+54|0;do{b[B>>0]=b[C>>0]|0;B=B+1|0;C=C+1|0}while((B|0)<(D|0));E=y+54|0;b[E>>0]=0;WD(-215,g,190051,188807,1896)}if(((r>>>3&511)+1|0)>>>0>=3){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;y=cuc(64)|0;f[g>>2]=y;z=g+8|0;f[z>>2]=-2147483584;A=g+4|0;f[A>>2]=54;B=y;C=189996;D=B+54|0;do{b[B>>0]=b[C>>0]|0;B=B+1|0;C=C+1|0}while((B|0)<(D|0));E=y+54|0;b[E>>0]=0;WD(-215,g,190051,188807,1896)}E=f[i+8>>2]|0;y=f[i+12>>2]|0;if(!((E|0)==1|(y|0)==1)){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;A=cuc(48)|0;f[g>>2]=A;f[g+8>>2]=-2147483600;f[g+4>>2]=38;B=A;C=190061;D=B+38|0;do{b[B>>0]=b[C>>0]|0;B=B+1|0;C=C+1|0}while((B|0)<(D|0));b[A+38>>0]=0;WD(-215,g,190051,188807,1897)}A=E+-2+y|0;jK(c,A,1,a|8,-1,1,96);do if((qJ(c)|0)==65536){a=f[c+4>>2]|0;f[j>>2]=f[a>>2];C=j+4|0;z=a+4|0;f[C>>2]=f[z>>2];r=j+8|0;f[r>>2]=f[a+8>>2];f[j+12>>2]=f[a+12>>2];f[j+16>>2]=f[a+16>>2];f[j+20>>2]=f[a+20>>2];f[j+24>>2]=f[a+24>>2];f[j+28>>2]=f[a+28>>2];f[j+32>>2]=f[a+32>>2];s=f[a+36>>2]|0;f[j+36>>2]=s;f[j+40>>2]=r;r=j+48|0;t=j+44|0;f[t>>2]=r;f[r>>2]=0;f[j+52>>2]=0;if(s|0){r=s+12|0;f[r>>2]=(f[r>>2]|0)+1}if((f[z>>2]|0)<3){z=f[a+44>>2]|0;r=f[t>>2]|0;f[r>>2]=f[z>>2];f[r+4>>2]=f[z+4>>2];break}else{f[C>>2]=0;$T(j,a);break}}else nJ(j,c,-1);while(0);c=(A<<1)+2|0;a=k+8|0;kzc(a|0,0,1152)|0;f[k>>2]=a;C=k+4|0;f[C>>2]=c;if(c>>>0>72){z=euc(c>>>0>268435455?-1:c<<4)|0;kzc(z|0,0,c<<4|0)|0;f[k>>2]=z;F=z}else F=a;z=F+(A<<4)+16|0;c=i+40|0;r=f[c>>2]|0;t=f[r>>2]|0;f[m>>2]=f[r+4>>2];f[m+4>>2]=t;t=((f[i>>2]|0)>>>3&511)+1|0;zD(l,m,(t<<3)+-2|0,(t|0)==2?F:z,0);t=g+8|0;f[t>>2]=0;f[t+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=l;kQ(i,g,f[l>>2]&4095,1.0,0.0);if(!(f[i>>2]&4088))if((A|0)<0){G=A;H=0}else{t=E+y+-1|0;y=0;do{p[F+(y<<4)>>3]=+p[z+(y<<3)>>3];p[F+(y<<4)+8>>3]=0.0;y=y+1|0}while((y|0)!=(t|0));I=25}else I=25;do if((I|0)==25){if((A|0)<=1)if((A|0)==1){J=1;K=1}else{G=A;H=0;break}else{t=A;while(1){O=+L(+(+p[F+(t<<4)>>3]));if(O+ +L(+(+p[F+(t<<4)+8>>3]))>2.220446049250313e-16){P=t;break}t=t+-1|0;if((t|0)<=1){P=1;break}}J=P;K=(P|0)>0}t=0;O=1.0;Q=0.0;while(1){y=z+(t<<4)|0;p[y>>3]=O;p[y+8>>3]=Q;R=O+Q;t=t+1|0;if((t|0)==(J|0)){G=J;H=K;break}else{O=O-Q;Q=R}}}while(0);K=(d|0)<1?1e3:d;a:do if((K|0)>0){d=F+(G<<4)|0;J=F+(G<<4)+8|0;P=n+4|0;t=n+8|0;y=n+40|0;E=n+48|0;m=n+44|0;r=n+52|0;s=g+4|0;v=o+4|0;x=o+8|0;w=o+40|0;S=o+48|0;T=o+44|0;U=o+52|0;V=n+16|0;W=n+12|0;X=g+8|0;Z=g+12|0;_=g+4|0;$=q+8|0;aa=q+4|0;ba=o+16|0;ca=o+36|0;da=n+36|0;ea=0;while(1){if(H){fa=0.0;ga=0}else{ha=0.0;break a}do{ia=z+(ga<<4)|0;Q=+p[ia>>3];ja=ia+8|0;O=+p[ja>>3];R=+p[d>>3];ka=+p[J>>3];la=0;ma=1;na=R;oa=R;R=ka;pa=ka;while(1){qa=G-la+-1|0;ka=oa;oa=Q*oa-O*R+ +p[F+(qa<<4)>>3];R=O*ka+Q*R+ +p[F+(qa<<4)+8>>3];do if((la|0)!=(ga|0)){qa=z+(la<<4)|0;ka=Q-+p[qa>>3];ra=O-+p[qa+8>>3];if(ka!=0.0|ra!=0.0){sa=ma;ta=na*ka-pa*ra;ua=pa*ka+na*ra;break}else{sa=ma+1|0;ta=na;ua=pa;break}}else{sa=ma;ta=na;ua=pa}while(0);la=la+1|0;if((la|0)==(G|0))break;else{ma=sa;na=ta;pa=ua}}pa=1.0/(ta*ta+ua*ua);na=pa*(ta*oa+ua*R);ra=pa*(ta*R-ua*oa);if((sa|0)>1){if(((sa<<31>>31)+(sa>>>1)|0)>0){pa=na+ +M(+(na*na+ra*ra));ka=+M(+(pa*.5));va=+M(+((pa-na)*.5));wa=ka;xa=na<0.0?-va:va}else{wa=na;xa=ra}if(!(sa&1)){ya=wa;za=xa}else{f[n>>2]=1124007936;B=P;D=B+36|0;do{f[B>>2]=0;B=B+4|0}while((B|0)<(D|0));f[y>>2]=t;f[m>>2]=E;f[E>>2]=0;f[r>>2]=0;f[g>>2]=4;f[s>>2]=1;ZT(n,2,g,6);f[o>>2]=1124007936;B=v;D=B+36|0;do{f[B>>2]=0;B=B+4|0}while((B|0)<(D|0));f[w>>2]=x;f[T>>2]=S;f[S>>2]=0;f[U>>2]=0;f[g>>2]=3;f[s>>2]=1;ZT(o,2,g,14);oa=-+N(+na,3.0);ma=(f[n>>2]&16384|0)==0;la=f[V>>2]|0;do if(ma?(qa=f[y>>2]|0,(f[qa>>2]|0)!=1):0){Aa=f[f[m>>2]>>2]|0;if((f[qa+4>>2]|0)==1){Ba=la+(Aa*3|0)|0;break}else{qa=f[W>>2]|0;Ca=3/(qa|0)|0;Ba=la+(Y(Ca,Aa)|0)+(3-(Y(Ca,qa)|0)<<3)|0;break}}else I=48;while(0);if((I|0)==48){I=0;Ba=la+24|0}p[Ba>>3]=oa;R=-(na*na*15.0+ra*ra*27.0);do if(ma){qa=f[y>>2]|0;do if((f[qa>>2]|0)!=1){Ca=f[f[m>>2]>>2]|0;if((f[qa+4>>2]|0)==1){Da=la+(Ca<<1)|0;break}else{Aa=f[W>>2]|0;Ea=2/(Aa|0)|0;Da=la+(Y(Ea,Ca)|0)+(2-(Y(Ea,Aa)|0)<<3)|0;break}}else Da=la+16|0;while(0);p[Da>>3]=R;va=na*-48.0;qa=f[y>>2]|0;if((f[qa>>2]|0)==1){Fa=va;I=60;break}Aa=f[f[m>>2]>>2]|0;if((f[qa+4>>2]|0)==1){Ga=la+Aa|0;Ha=va;break}else{qa=f[W>>2]|0;Ea=(qa+1|0)>>>0<3?qa:0;Ga=la+(Y(Ea,Aa)|0)+(1-(Y(Ea,qa)|0)<<3)|0;Ha=va;break}}else{p[la+16>>3]=R;Fa=na*-48.0;I=60}while(0);if((I|0)==60){I=0;Ga=la+8|0;Ha=Fa}p[Ga>>3]=Ha;p[la>>3]=64.0;f[X>>2]=0;f[Z>>2]=0;f[g>>2]=16842752;f[_>>2]=n;ma=$;f[ma>>2]=0;f[ma+4>>2]=0;f[q>>2]=33619968;f[aa>>2]=o;xD(g,q)|0;R=+p[f[ba>>2]>>3];if(!(R>=0.0))Ia=-+N(+-R,.3333333333333333);else Ia=+N(+R,.3333333333333333);R=+M(+(Ia*Ia/3.0-na/(Ia*3.0)));ma=f[ca>>2]|0;do if(ma|0){qa=ma+12|0;Ea=f[qa>>2]|0;f[qa>>2]=Ea+-1;if((Ea|0)!=1)break;aU(o)}while(0);f[ca>>2]=0;f[ba>>2]=0;f[ba+4>>2]=0;f[ba+8>>2]=0;f[ba+12>>2]=0;if((f[v>>2]|0)>0){ma=f[w>>2]|0;la=0;do{f[ma+(la<<2)>>2]=0;la=la+1|0}while((la|0)<(f[v>>2]|0))}la=f[T>>2]|0;if((la|0)!=(S|0))TC(la);la=f[da>>2]|0;do if(la|0){ma=la+12|0;Ea=f[ma>>2]|0;f[ma>>2]=Ea+-1;if((Ea|0)!=1)break;aU(n)}while(0);f[da>>2]=0;f[V>>2]=0;f[V+4>>2]=0;f[V+8>>2]=0;f[V+12>>2]=0;if((f[P>>2]|0)>0){la=f[y>>2]|0;Ea=0;do{f[la+(Ea<<2)>>2]=0;Ea=Ea+1|0}while((Ea|0)<(f[P>>2]|0))}Ea=f[m>>2]|0;if((Ea|0)!=(E|0))TC(Ea);ya=Ia;za=R}}else{ya=na;za=ra}p[ia>>3]=Q-ya;p[ja>>3]=O-za;oa=+M(+(ya*ya+za*za));fa=fa<oa?oa:fa;ga=ga+1|0}while((ga|0)<(G|0));ea=ea+1|0;if(!(!(fa<=0.0)&(ea|0)<(K|0))){Ja=fa;I=86;break}}}else{Ja=0.0;I=86}while(0);if((I|0)==86)if((f[i>>2]&4088|0)==0&H){H=0;do{I=z+(H<<4)+8|0;if(+L(+(+p[I>>3]))<1.0e-100)p[I>>3]=0.0;H=H+1|0}while((H|0)!=(G|0));ha=Ja}else ha=Ja;if((G|0)<(A|0)){H=G;do{G=z+(H<<4)|0;H=H+1|0;I=z+(H<<4)|0;f[I>>2]=f[G>>2];f[I+4>>2]=f[G+4>>2];f[I+8>>2]=f[G+8>>2];f[I+12>>2]=f[G+12>>2]}while((H|0)!=(A|0))}A=j+40|0;H=f[A>>2]|0;G=f[H+4>>2]|0;I=f[H>>2]|0;f[g>>2]=1124007950;H=g+4|0;f[H>>2]=2;K=g+8|0;f[K>>2]=I;f[g+12>>2]=G;ga=g+16|0;f[ga>>2]=z;f[g+20>>2]=z;o=g+24|0;q=g+40|0;Ga=o+8|0;f[Ga>>2]=0;f[Ga+4>>2]=0;f[q>>2]=K;K=g+48|0;Ga=g+44|0;f[Ga>>2]=K;Da=G<<4;f[K>>2]=Da;f[g+52>>2]=16;G=z+(Y(I,Da)|0)|0;f[g+28>>2]=G;f[o>>2]=G+(0-Da)+Da;YT(g);Da=n+8|0;f[Da>>2]=0;f[Da+4>>2]=0;f[n>>2]=33619968;f[n+4>>2]=j;kQ(g,n,f[j>>2]&4095,1.0,0.0);n=g+36|0;Da=f[n>>2]|0;if(Da|0?(G=Da+12|0,Da=f[G>>2]|0,f[G>>2]=Da+-1,(Da|0)==1):0)aU(g);f[n>>2]=0;f[ga>>2]=0;f[ga+4>>2]=0;f[ga+8>>2]=0;f[ga+12>>2]=0;if((f[H>>2]|0)>0){ga=f[q>>2]|0;q=0;do{f[ga+(q<<2)>>2]=0;q=q+1|0}while((q|0)<(f[H>>2]|0))}H=f[Ga>>2]|0;if((H|0)!=(K|0))TC(H);H=l+36|0;K=f[H>>2]|0;if(K|0?(Ga=K+12|0,K=f[Ga>>2]|0,f[Ga>>2]=K+-1,(K|0)==1):0)aU(l);f[H>>2]=0;H=l+16|0;K=l+4|0;f[H>>2]=0;f[H+4>>2]=0;f[H+8>>2]=0;f[H+12>>2]=0;if((f[K>>2]|0)>0){H=f[l+40>>2]|0;Ga=0;do{f[H+(Ga<<2)>>2]=0;Ga=Ga+1|0}while((Ga|0)<(f[K>>2]|0))}K=f[l+44>>2]|0;if((K|0)!=(l+48|0))TC(K);K=f[k>>2]|0;if((K|0)!=(a|0)){if(K|0)guc(K);f[k>>2]=a;f[C>>2]=72}C=j+36|0;a=f[C>>2]|0;if(a|0?(k=a+12|0,a=f[k>>2]|0,f[k>>2]=a+-1,(a|0)==1):0)aU(j);f[C>>2]=0;C=j+16|0;a=j+4|0;f[C>>2]=0;f[C+4>>2]=0;f[C+8>>2]=0;f[C+12>>2]=0;if((f[a>>2]|0)>0){C=f[A>>2]|0;A=0;do{f[C+(A<<2)>>2]=0;A=A+1|0}while((A|0)<(f[a>>2]|0))}a=f[j+44>>2]|0;if((a|0)!=(j+48|0))TC(a);a=i+36|0;j=f[a>>2]|0;do if(j|0){A=j+12|0;C=f[A>>2]|0;f[A>>2]=C+-1;if((C|0)!=1)break;aU(i)}while(0);f[a>>2]=0;a=i+16|0;j=i+4|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;if((f[j>>2]|0)>0){a=f[c>>2]|0;c=0;do{f[a+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[j>>2]|0))}j=f[i+44>>2]|0;if((j|0)!=(i+48|0))TC(j);if(!(f[h+4>>2]|0)){u=e;return +ha}u=e;return +ha}function zD(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;h=u;u=u+16|0;i=h;f[a>>2]=d&4095|1124007936;f[a+4>>2]=2;j=a+8|0;k=f[c+4>>2]|0;f[j>>2]=k;l=f[c>>2]|0;f[a+12>>2]=l;f[a+16>>2]=e;f[a+20>>2]=e;c=a+24|0;m=a+28|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;f[a+40>>2]=j;j=a+48|0;f[a+44>>2]=j;f[a+52>>2]=0;f[j>>2]=0;if((Y(l,k)|0)!=0&(e|0)==0){n=cuc(32)|0;f[i>>2]=n;f[i+8>>2]=-2147483616;f[i+4>>2]=28;o=n;p=466324;q=o+28|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[n+28>>0]=0;WD(-215,i,466353,466357,577)}n=675553809>>>(d<<2&28)&15;r=Y(n,(d>>>3&511)+1|0)|0;d=Y(l,r)|0;if(!g){s=d;f[j>>2]=s;t=a+52|0;f[t>>2]=r;v=Y(k,s)|0;w=e+v|0;f[m>>2]=w;x=0-s|0;y=w+x|0;z=y+d|0;f[c>>2]=z;YT(a);u=h;return}if(!((g>>>0)%(n>>>0)|0)){s=g;f[j>>2]=s;t=a+52|0;f[t>>2]=r;v=Y(k,s)|0;w=e+v|0;f[m>>2]=w;x=0-s|0;y=w+x|0;z=y+d|0;f[c>>2]=z;YT(a);u=h;return}else{h=cuc(32)|0;f[i>>2]=h;f[i+8>>2]=-2147483616;f[i+4>>2]=31;o=h;p=218200;q=o+31|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[h+31>>0]=0;WD(-13,i,466353,466357,591)}}function AD(){return 64}function BD(){var a=0;if(!(b[1165952]|0))a=0;else return 532736;do{n[532736+(a<<2)>>2]=+p[64+(a<<3)>>3];a=a+1|0}while((a|0)!=64);b[1165952]=1;return 532736}function CD(){return 576}function DD(){var a=0;if(!(b[1165953]|0))a=0;else return 532992;do{n[532992+(a<<2)>>2]=+p[576+(a<<3)>>3];a=a+1|0}while((a|0)!=512);b[1165953]=1;return 532992}function ED(a,b,c,d,e,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=+j;k=+k;var l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0.0,D=0.0,E=0,F=0,G=0,H=0,I=0,K=0,N=0,O=0,P=0.0,Q=0,R=0.0,S=0.0,T=0,U=0.0,V=0.0,W=0.0,X=0.0,Z=0.0,_=0.0,$=0.0,aa=0.0,ba=0,ca=0.0,da=0.0,ea=0,fa=0,ga=0.0,ha=0.0,ia=0.0,ja=0,ka=0,la=0,ma=0,na=0,oa=0.0,pa=0.0,qa=0,ra=0,sa=0,ta=0,ua=0.0,va=0,wa=0,xa=0.0,ya=0,za=0.0;l=u;u=u+1104|0;m=l;o=m+8|0;f[m>>2]=o;q=m+4|0;f[q>>2]=h;if(h>>>0>136){r=euc(h>>>0>536870911?-1:h<<3)|0;f[m>>2]=r;s=r}else s=o;r=(g|0)>30?g:30;t=b>>>2;b=e>>>2;e=(h|0)>0;a:do if(e){v=(d|0)==0;w=h<<2;if((g|0)>0)x=0;else{y=0;while(1){z=Y(b,y)|0;p[s+(y<<3)>>3]=0.0;if(!v){kzc(d+(z<<2)|0,0,w|0)|0;n[d+(z+y<<2)>>2]=1.0}y=y+1|0;if((y|0)==(h|0))break a}}do{y=Y(b,x)|0;z=d+(y<<2)|0;A=Y(x,t)|0;B=0;C=0.0;do{D=+n[a+(B+A<<2)>>2];C=C+D*D;B=B+1|0}while((B|0)!=(g|0));p[s+(x<<3)>>3]=C;if(!v){kzc(z|0,0,w|0)|0;n[d+(y+x<<2)>>2]=1.0}x=x+1|0}while((x|0)!=(h|0))}while(0);b:do if((r|0)>0){x=h+-1|0;w=(h|0)>1;v=(g|0)>0;D=k;B=(d|0)==0;A=0;do{if(w){E=0;F=0}else break b;while(1){G=F;F=F+1|0;if((F|0)<(h|0)){H=a+((Y(G,t)|0)<<2)|0;I=s+(G<<3)|0;K=d+((Y(G,b)|0)<<2)|0;G=F;N=E;while(1){O=a+((Y(G,t)|0)<<2)|0;P=+p[I>>3];Q=s+(G<<3)|0;R=+p[Q>>3];if(v){S=0.0;T=0;while(1){U=S+ +n[H+(T<<2)>>2]*+n[O+(T<<2)>>2];T=T+1|0;if((T|0)==(g|0)){V=U;break}else S=U}}else V=0.0;if(!(+L(+V)<=D*+M(+(P*R)))){S=V*2.0;U=P-R;W=+L(+S);X=+L(+U);if(!(W>X))if(U!=U|0.0!=0.0|U==0.0)Z=0.0;else{_=W/X;$=X;aa=_*_;ba=32}else{_=X/W;$=W;aa=_*_;ba=32}if((ba|0)==32){ba=0;Z=$*+M(+(aa+1.0))}if(U<0.0){_=+M(+((Z-U)*.5/Z));ca=S/(Z*_*2.0);da=_}else{_=+M(+((U+Z)/(Z*2.0)));ca=_;da=S/(Z*_*2.0)}if(v){_=0.0;S=0.0;T=0;while(1){ea=H+(T<<2)|0;U=+n[ea>>2];fa=O+(T<<2)|0;W=+n[fa>>2];X=ca*U+da*W;ga=ca*W-da*U;n[ea>>2]=X;n[fa>>2]=ga;U=X;X=_+U*U;U=ga;ga=S+U*U;T=T+1|0;if((T|0)==(g|0)){ha=X;ia=ga;break}else{_=X;S=ga}}}else{ha=0.0;ia=0.0}p[I>>3]=ha;p[Q>>3]=ia;if(!B?(T=d+((Y(G,b)|0)<<2)|0,e):0){O=0;do{fa=K+(O<<2)|0;S=+n[fa>>2];ea=T+(O<<2)|0;_=+n[ea>>2];n[fa>>2]=ca*S+da*_;n[ea>>2]=ca*_-da*S;O=O+1|0}while((O|0)!=(h|0));ja=1}else ja=1}else ja=N;G=G+1|0;if((G|0)==(h|0)){ka=ja;break}else N=ja}}else ka=E;if((F|0)==(x|0))break;else E=ka}A=A+1|0}while(ka&(A|0)<(r|0))}while(0);if(e){if((g|0)>0){r=0;do{ka=Y(r,t)|0;da=0.0;E=0;do{ca=+n[a+(E+ka<<2)>>2];da=da+ca*ca;E=E+1|0}while((E|0)!=(g|0));ca=+M(+da);p[s+(r<<3)>>3]=ca;r=r+1|0}while((r|0)!=(h|0))}else kzc(s|0,0,h<<3|0)|0;r=h+-1|0;c:do if((h|0)>1){E=(g|0)>0;if(!d){ka=0;while(1){F=ka;ka=ka+1|0;if((ka|0)<(h|0)){ja=F;ba=ka;while(1){A=+p[s+(ja<<3)>>3]<+p[s+(ba<<3)>>3]?ba:ja;ba=ba+1|0;if((ba|0)==(h|0)){la=A;break}else ja=A}}else la=F;if((F|0)!=(la|0)){ja=s+(F<<3)|0;ba=s+(la<<3)|0;ca=+p[ja>>3];p[ja>>3]=+p[ba>>3];p[ba>>3]=ca}if((ka|0)==(r|0))break c}}else ma=0;do{ka=ma;ma=ma+1|0;if((ma|0)<(h|0)){ba=ka;ja=ma;while(1){A=+p[s+(ba<<3)>>3]<+p[s+(ja<<3)>>3]?ja:ba;ja=ja+1|0;if((ja|0)==(h|0)){na=A;break}else ba=A}}else na=ka;if((ka|0)!=(na|0)){ba=s+(ka<<3)|0;ja=s+(na<<3)|0;da=+p[ba>>3];p[ba>>3]=+p[ja>>3];p[ja>>3]=da;if(E){ja=Y(ka,t)|0;ba=Y(na,t)|0;F=0;do{A=a+(F+ja<<2)|0;x=a+(F+ba<<2)|0;B=f[A>>2]|0;f[A>>2]=f[x>>2];f[x>>2]=B;F=F+1|0}while((F|0)!=(g|0))}F=Y(ka,b)|0;ba=Y(na,b)|0;ja=0;do{B=d+(ja+F<<2)|0;x=d+(ja+ba<<2)|0;A=f[B>>2]|0;f[B>>2]=f[x>>2];f[x>>2]=A;ja=ja+1|0}while((ja|0)!=(h|0))}}while((ma|0)!=(r|0))}while(0);if(e){e=0;do{n[c+(e<<2)>>2]=+p[s+(e<<3)>>3];e=e+1|0}while((e|0)!=(h|0))}}if((d|0)!=0&(i|0)>0){d=(g|0)>0;da=1.0/+(g|0);ca=-da;ia=k*100.0;e=305419896;c=0;r=0;while(1){if((r|0)<(h|0))oa=+p[s+(r<<3)>>3];else oa=0.0;if(!(oa<=j)){pa=oa;qa=e;ra=c}else{ma=Y(r,t)|0;b=(r|0)>0;na=0;la=e;E=c;while(1){if(d){ja=0;ba=la;F=E;while(1){ka=Bzc(ba|0,0,-130063606,0)|0;A=hzc(ka|0,J|0,F|0,0)|0;ka=J;n[a+(ja+ma<<2)>>2]=(A&256|0)!=0|0!=0?da:ca;ja=ja+1|0;if((ja|0)==(g|0)){sa=A;ta=ka;break}else{ba=A;F=ka}}}else{sa=la;ta=E}d:do if(b){if(d){F=0;do{ba=Y(F,t)|0;ja=0;k=0.0;do{k=k+ +n[a+(ja+ma<<2)>>2]*+n[a+(ja+ba<<2)>>2];ja=ja+1|0}while((ja|0)!=(g|0));ua=0.0;va=0;do{ja=a+(va+ma<<2)|0;ha=+n[ja>>2]-k*+n[a+(va+ba<<2)>>2];n[ja>>2]=ha;ua=ua+ +L(+ha);va=va+1|0}while((va|0)!=(g|0));k=ua>ia?1.0/ua:0.0;ba=0;do{ja=a+(ba+ma<<2)|0;n[ja>>2]=k*+n[ja>>2];ba=ba+1|0}while((ba|0)!=(g|0));F=F+1|0}while((F|0)!=(r|0))}else{F=0;do F=F+1|0;while((F|0)!=(r|0))}if(b){if(d)wa=0;else{F=0;while(1){F=F+1|0;if((F|0)==(r|0))break d}}do{F=Y(wa,t)|0;ba=0;k=0.0;do{k=k+ +n[a+(ba+ma<<2)>>2]*+n[a+(ba+F<<2)>>2];ba=ba+1|0}while((ba|0)!=(g|0));xa=0.0;ya=0;do{ba=a+(ya+ma<<2)|0;ha=+n[ba>>2]-k*+n[a+(ya+F<<2)>>2];n[ba>>2]=ha;xa=xa+ +L(+ha);ya=ya+1|0}while((ya|0)!=(g|0));k=xa>ia?1.0/xa:0.0;F=0;do{ba=a+(F+ma<<2)|0;n[ba>>2]=k*+n[ba>>2];F=F+1|0}while((F|0)!=(g|0));wa=wa+1|0}while((wa|0)!=(r|0))}}while(0);if(d){F=0;k=0.0;while(1){ha=+n[a+(F+ma<<2)>>2];Z=k+ha*ha;F=F+1|0;if((F|0)==(g|0)){za=Z;break}else k=Z}}else za=0.0;k=+M(+za);if(!(k<=j)|(na|0)>98){pa=k;qa=sa;ra=ta;break}else{na=na+1|0;la=sa;E=ta}}}k=pa>j?1.0/pa:0.0;if(d){E=Y(r,t)|0;la=0;do{na=a+(la+E<<2)|0;n[na>>2]=k*+n[na>>2];la=la+1|0}while((la|0)!=(g|0))}r=r+1|0;if((r|0)==(i|0))break;else{e=qa;c=ra}}}ra=f[m>>2]|0;if((ra|0)==(o|0)){u=l;return}if(ra|0)guc(ra);f[m>>2]=o;f[q>>2]=136;u=l;return}function FD(a,b,c,d,e,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=+j;k=+k;var l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0.0,C=0.0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,N=0,O=0,P=0.0,Q=0.0,R=0,S=0.0,T=0.0,U=0.0,V=0.0,W=0.0,X=0.0,Z=0.0,_=0.0,$=0,aa=0.0,ba=0.0,ca=0,da=0,ea=0.0,fa=0.0,ga=0.0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0.0,na=0.0,oa=0,pa=0,qa=0,ra=0,sa=0.0,ta=0,ua=0,va=0.0,wa=0,xa=0.0;l=u;u=u+1104|0;m=l;n=m+8|0;f[m>>2]=n;o=m+4|0;f[o>>2]=h;if(h>>>0>136){q=euc(h>>>0>536870911?-1:h<<3)|0;f[m>>2]=q;r=q}else r=n;q=(g|0)>30?g:30;s=b>>>3;b=e>>>3;e=(h|0)>0;a:do if(e){t=(d|0)==0;v=h<<3;if((g|0)<=0)if(t){kzc(r|0,0,v|0)|0;break}else{w=0;while(1){x=Y(b,w)|0;p[r+(w<<3)>>3]=0.0;kzc(d+(x<<3)|0,0,v|0)|0;p[d+(x+w<<3)>>3]=1.0;w=w+1|0;if((w|0)==(h|0))break a}}else y=0;do{w=Y(b,y)|0;x=d+(w<<3)|0;z=Y(y,s)|0;A=0;B=0.0;do{C=+p[a+(A+z<<3)>>3];B=B+C*C;A=A+1|0}while((A|0)!=(g|0));p[r+(y<<3)>>3]=B;if(!t){kzc(x|0,0,v|0)|0;p[d+(w+y<<3)>>3]=1.0}y=y+1|0}while((y|0)!=(h|0))}while(0);b:do if((q|0)>0){y=h+-1|0;v=(h|0)>1;t=(g|0)>0;A=(d|0)==0;z=0;do{if(v){D=0;E=0}else break b;while(1){F=E;E=E+1|0;if((E|0)<(h|0)){G=a+((Y(F,s)|0)<<3)|0;H=r+(F<<3)|0;I=d+((Y(F,b)|0)<<3)|0;F=E;K=D;while(1){N=a+((Y(F,s)|0)<<3)|0;C=+p[H>>3];O=r+(F<<3)|0;P=+p[O>>3];if(t){Q=0.0;R=0;while(1){S=Q+ +p[G+(R<<3)>>3]*+p[N+(R<<3)>>3];R=R+1|0;if((R|0)==(g|0)){T=S;break}else Q=S}}else T=0.0;if(!(+L(+T)<=+M(+(C*P))*k)){Q=T*2.0;S=C-P;U=+L(+Q);V=+L(+S);if(!(U>V))if(S!=S|0.0!=0.0|S==0.0)W=0.0;else{X=U/V;Z=V;_=X*X;$=32}else{X=V/U;Z=U;_=X*X;$=32}if(($|0)==32){$=0;W=Z*+M(+(_+1.0))}if(S<0.0){X=+M(+((W-S)*.5/W));aa=Q/(W*X*2.0);ba=X}else{X=+M(+((S+W)/(W*2.0)));aa=X;ba=Q/(W*X*2.0)}if(t){X=0.0;Q=0.0;R=0;while(1){ca=G+(R<<3)|0;S=+p[ca>>3];da=N+(R<<3)|0;U=+p[da>>3];V=aa*S+ba*U;ea=aa*U-ba*S;p[ca>>3]=V;p[da>>3]=ea;S=X+V*V;V=Q+ea*ea;R=R+1|0;if((R|0)==(g|0)){fa=S;ga=V;break}else{X=S;Q=V}}}else{fa=0.0;ga=0.0}p[H>>3]=fa;p[O>>3]=ga;if(!A?(R=d+((Y(F,b)|0)<<3)|0,e):0){N=0;do{da=I+(N<<3)|0;Q=+p[da>>3];ca=R+(N<<3)|0;X=+p[ca>>3];p[da>>3]=aa*Q+ba*X;p[ca>>3]=aa*X-ba*Q;N=N+1|0}while((N|0)!=(h|0));ha=1}else ha=1}else ha=K;F=F+1|0;if((F|0)==(h|0)){ia=ha;break}else K=ha}}else ia=D;if((E|0)==(y|0))break;else D=ia}z=z+1|0}while(ia&(z|0)<(q|0))}while(0);if(e){if((g|0)>0){q=0;do{ia=Y(q,s)|0;ba=0.0;D=0;do{aa=+p[a+(D+ia<<3)>>3];ba=ba+aa*aa;D=D+1|0}while((D|0)!=(g|0));aa=+M(+ba);p[r+(q<<3)>>3]=aa;q=q+1|0}while((q|0)!=(h|0))}else kzc(r|0,0,h<<3|0)|0;q=h+-1|0;c:do if((h|0)>1){D=(g|0)>0;if(!d){ia=0;while(1){E=ia;ia=ia+1|0;if((ia|0)<(h|0)){ha=E;$=ia;while(1){z=+p[r+(ha<<3)>>3]<+p[r+($<<3)>>3]?$:ha;$=$+1|0;if(($|0)==(h|0)){ja=z;break}else ha=z}}else ja=E;if((E|0)!=(ja|0)){ha=r+(E<<3)|0;$=r+(ja<<3)|0;aa=+p[ha>>3];p[ha>>3]=+p[$>>3];p[$>>3]=aa}if((ia|0)==(q|0))break c}}else ka=0;do{ia=ka;ka=ka+1|0;if((ka|0)<(h|0)){$=ia;ha=ka;while(1){z=+p[r+($<<3)>>3]<+p[r+(ha<<3)>>3]?ha:$;ha=ha+1|0;if((ha|0)==(h|0)){la=z;break}else $=z}}else la=ia;if((ia|0)!=(la|0)){$=r+(ia<<3)|0;ha=r+(la<<3)|0;ba=+p[$>>3];p[$>>3]=+p[ha>>3];p[ha>>3]=ba;if(D){ha=Y(ia,s)|0;$=Y(la,s)|0;E=0;do{z=a+(E+ha<<3)|0;y=a+(E+$<<3)|0;ba=+p[z>>3];p[z>>3]=+p[y>>3];p[y>>3]=ba;E=E+1|0}while((E|0)!=(g|0))}E=Y(ia,b)|0;$=Y(la,b)|0;ha=0;do{y=d+(ha+E<<3)|0;z=d+(ha+$<<3)|0;ba=+p[y>>3];p[y>>3]=+p[z>>3];p[z>>3]=ba;ha=ha+1|0}while((ha|0)!=(h|0))}}while((ka|0)!=(q|0))}while(0);if(e){e=0;do{p[c+(e<<3)>>3]=+p[r+(e<<3)>>3];e=e+1|0}while((e|0)!=(h|0))}}if((d|0)!=0&(i|0)>0){d=(g|0)>0;ba=1.0/+(g|0);aa=-ba;ga=k*100.0;e=305419896;c=0;q=0;while(1){if((q|0)<(h|0))ma=+p[r+(q<<3)>>3];else ma=0.0;if(!(ma<=j)){na=ma;oa=e;pa=c}else{ka=Y(q,s)|0;b=(q|0)>0;la=0;ja=e;D=c;while(1){if(d){ha=0;$=ja;E=D;while(1){ia=Bzc($|0,0,-130063606,0)|0;z=hzc(ia|0,J|0,E|0,0)|0;ia=J;p[a+(ha+ka<<3)>>3]=(z&256|0)!=0|0!=0?ba:aa;ha=ha+1|0;if((ha|0)==(g|0)){qa=z;ra=ia;break}else{$=z;E=ia}}}else{qa=ja;ra=D}d:do if(b){if(d){E=0;do{$=Y(E,s)|0;ha=0;k=0.0;do{k=k+ +p[a+(ha+ka<<3)>>3]*+p[a+(ha+$<<3)>>3];ha=ha+1|0}while((ha|0)!=(g|0));sa=0.0;ta=0;do{ha=a+(ta+ka<<3)|0;fa=+p[ha>>3]-k*+p[a+(ta+$<<3)>>3];p[ha>>3]=fa;sa=sa+ +L(+fa);ta=ta+1|0}while((ta|0)!=(g|0));k=sa>ga?1.0/sa:0.0;$=0;do{ha=a+($+ka<<3)|0;p[ha>>3]=k*+p[ha>>3];$=$+1|0}while(($|0)!=(g|0));E=E+1|0}while((E|0)!=(q|0))}else{E=0;do E=E+1|0;while((E|0)!=(q|0))}if(b){if(d)ua=0;else{E=0;while(1){E=E+1|0;if((E|0)==(q|0))break d}}do{E=Y(ua,s)|0;$=0;k=0.0;do{k=k+ +p[a+($+ka<<3)>>3]*+p[a+($+E<<3)>>3];$=$+1|0}while(($|0)!=(g|0));va=0.0;wa=0;do{$=a+(wa+ka<<3)|0;fa=+p[$>>3]-k*+p[a+(wa+E<<3)>>3];p[$>>3]=fa;va=va+ +L(+fa);wa=wa+1|0}while((wa|0)!=(g|0));k=va>ga?1.0/va:0.0;E=0;do{$=a+(E+ka<<3)|0;p[$>>3]=k*+p[$>>3];E=E+1|0}while((E|0)!=(g|0));ua=ua+1|0}while((ua|0)!=(q|0))}}while(0);if(d){E=0;k=0.0;while(1){fa=+p[a+(E+ka<<3)>>3];W=k+fa*fa;E=E+1|0;if((E|0)==(g|0)){xa=W;break}else k=W}}else xa=0.0;k=+M(+xa);if(!(k<=j)|(la|0)>98){na=k;oa=qa;pa=ra;break}else{la=la+1|0;ja=qa;D=ra}}}k=na>j?1.0/na:0.0;if(d){D=Y(q,s)|0;ja=0;do{la=a+(ja+D<<3)|0;p[la>>3]=k*+p[la>>3];ja=ja+1|0}while((ja|0)!=(g|0))}q=q+1|0;if((q|0)==(i|0))break;else{e=oa;c=pa}}}pa=f[m>>2]|0;if((pa|0)==(n|0)){u=l;return}if(pa|0)guc(pa);f[m>>2]=n;f[o>>2]=136;u=l;return}function GD(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0.0,J=0.0,K=0.0,L=0.0,M=0.0,N=0.0,O=0.0,P=0,Q=0.0,R=0,S=0,T=0.0;c=u;u=u+1184|0;d=c+1168|0;e=c+1112|0;g=c+72|0;h=c+16|0;i=c;gV(d,35164);do if((qJ(a)|0)==65536){j=f[a+4>>2]|0;f[e>>2]=f[j>>2];k=e+4|0;l=j+4|0;f[k>>2]=f[l>>2];m=e+8|0;f[m>>2]=f[j+8>>2];f[e+12>>2]=f[j+12>>2];o=e+16|0;f[o>>2]=f[j+16>>2];f[e+20>>2]=f[j+20>>2];f[e+24>>2]=f[j+24>>2];f[e+28>>2]=f[j+28>>2];f[e+32>>2]=f[j+32>>2];q=f[j+36>>2]|0;f[e+36>>2]=q;f[e+40>>2]=m;r=e+48|0;s=e+44|0;f[s>>2]=r;f[r>>2]=0;f[e+52>>2]=0;if(q|0){t=q+12|0;f[t>>2]=(f[t>>2]|0)+1}if((f[l>>2]|0)<3){l=f[j+44>>2]|0;t=f[s>>2]|0;f[t>>2]=f[l>>2];f[t+4>>2]=f[l+4>>2];v=m;w=r;x=o;y=s;z=e;break}else{f[k>>2]=0;$T(e,j);v=m;w=r;x=o;y=s;z=e;break}}else{nJ(e,a,-1);v=e+8|0;w=e+48|0;x=e+16|0;y=e+44|0;z=e}while(0);a=f[z>>2]&4095;z=f[v>>2]|0;v=f[w>>2]|0;s=f[x>>2]|0;if(!s){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;A=cuc(16)|0;f[g>>2]=A;B=g+8|0;f[B>>2]=-2147483632;C=g+4|0;f[C>>2]=12;D=A;E=190219;F=D+12|0;do{b[D>>0]=b[E>>0]|0;D=D+1|0;E=E+1|0}while((D|0)<(F|0));G=A+12|0;b[G>>0]=0;WD(-215,g,190232,190151,772)}o=e+4|0;r=f[o>>2]|0;if((r|0)<3)H=Y(f[e+12>>2]|0,z)|0;else{m=f[e+40>>2]|0;j=0;k=1;while(1){l=Y(f[m+(j<<2)>>2]|0,k)|0;j=j+1|0;if((j|0)==(r|0)){H=l;break}else k=l}}if((r|0)==0|(H|0)==0){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;A=cuc(16)|0;f[g>>2]=A;B=g+8|0;f[B>>2]=-2147483632;C=g+4|0;f[C>>2]=12;D=A;E=190219;F=D+12|0;do{b[D>>0]=b[E>>0]|0;D=D+1|0;E=E+1|0}while((D|0)<(F|0));G=A+12|0;b[G>>0]=0;WD(-215,g,190232,190151,772)}if(!((a+-5|0)>>>0<2?(z|0)==(f[e+12>>2]|0):0)){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;G=cuc(64)|0;f[g>>2]=G;f[g+8>>2]=-2147483584;f[g+4>>2]=58;D=G;E=190244;F=D+58|0;do{b[D>>0]=b[E>>0]|0;D=D+1|0;E=E+1|0}while((D|0)<(F|0));b[G+58>>0]=0;WD(-215,g,190232,190151,773)}G=(z|0)==2;a:do if((a|0)==5){if(G){E=s+v|0;I=+n[s>>2]*+n[E+4>>2]-+n[s+4>>2]*+n[E>>2];break}switch(z|0){case 3:{E=s+v|0;J=+n[E+4>>2];D=s+(v<<1)|0;K=+n[D+8>>2];L=+n[E+8>>2];M=+n[D+4>>2];N=+n[E>>2];O=+n[D>>2];I=+n[s+8>>2]*(M*N-J*O)+(+n[s>>2]*(J*K-L*M)-+n[s+4>>2]*(K*N-L*O));break a;break}case 1:{I=+n[s>>2];break a;break}default:{D=(Y(z,z)|0)<<2;E=g+8|0;f[g>>2]=E;F=g+4|0;f[F>>2]=D;if(D>>>0>1032){A=euc(D)|0;f[g>>2]=A;P=A}else P=E;f[h>>2]=1124007941;A=h+4|0;f[A>>2]=2;D=h+8|0;f[D>>2]=z;f[h+12>>2]=z;C=h+16|0;f[C>>2]=P;f[h+20>>2]=P;B=h+24|0;H=h+40|0;r=B+8|0;f[r>>2]=0;f[r+4>>2]=0;f[H>>2]=D;D=h+48|0;r=h+44|0;f[r>>2]=D;k=z<<2;f[D>>2]=k;f[h+52>>2]=4;j=P+(Y(k,z)|0)|0;f[h+28>>2]=j;f[B>>2]=j+(0-k)+k;YT(h);k=i+8|0;f[k>>2]=0;f[k+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=h;EI(e,i);k=NG(f[C>>2]|0,f[D>>2]|0,z,0,0,0)|0;O=+(k|0);if((k|0)!=0&(z|0)>0){k=f[C>>2]|0;j=f[f[r>>2]>>2]|0;B=0;L=O;while(1){m=k+(Y(j,B)|0)+(B<<2)|0;N=L*+n[m>>2];B=B+1|0;if((B|0)==(z|0)){Q=N;break}else L=N}}else Q=O;B=h+36|0;j=f[B>>2]|0;if(j|0?(k=j+12|0,j=f[k>>2]|0,f[k>>2]=j+-1,(j|0)==1):0)aU(h);f[B>>2]=0;f[C>>2]=0;f[C+4>>2]=0;f[C+8>>2]=0;f[C+12>>2]=0;if((f[A>>2]|0)>0){B=f[H>>2]|0;j=0;do{f[B+(j<<2)>>2]=0;j=j+1|0}while((j|0)<(f[A>>2]|0))}A=f[r>>2]|0;if((A|0)!=(D|0))TC(A);A=f[g>>2]|0;if((A|0)!=(E|0)){if(A|0)guc(A);f[g>>2]=E;f[F>>2]=1032}I=Q;break a}}}else{if(G){A=s+v|0;I=+p[s>>3]*+p[A+8>>3]-+p[s+8>>3]*+p[A>>3];break}switch(z|0){case 3:{A=s+v|0;O=+p[A+8>>3];j=s+(v<<1)|0;L=+p[j+16>>3];N=+p[A+16>>3];K=+p[j+8>>3];M=+p[A>>3];J=+p[j>>3];I=+p[s+16>>3]*(K*M-O*J)+(+p[s>>3]*(O*L-N*K)-+p[s+8>>3]*(L*M-N*J));break a;break}case 1:{I=+p[s>>3];break a;break}default:{j=(Y(z,z)|0)<<3;A=g+8|0;f[g>>2]=A;B=g+4|0;f[B>>2]=j;if(j>>>0>1032){H=euc(j)|0;f[g>>2]=H;R=H}else R=A;f[h>>2]=1124007942;H=h+4|0;f[H>>2]=2;j=h+8|0;f[j>>2]=z;f[h+12>>2]=z;C=h+16|0;f[C>>2]=R;f[h+20>>2]=R;k=h+24|0;m=h+40|0;l=k+8|0;f[l>>2]=0;f[l+4>>2]=0;f[m>>2]=j;j=h+48|0;l=h+44|0;f[l>>2]=j;t=z<<3;f[j>>2]=t;f[h+52>>2]=8;q=R+(Y(t,z)|0)|0;f[h+28>>2]=q;f[k>>2]=q+(0-t)+t;YT(h);t=i+8|0;f[t>>2]=0;f[t+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=h;EI(e,i);t=PG(f[C>>2]|0,f[j>>2]|0,z,0,0,0)|0;J=+(t|0);if((t|0)!=0&(z|0)>0){t=f[C>>2]|0;q=f[f[l>>2]>>2]|0;k=0;N=J;while(1){S=t+(Y(q,k)|0)+(k<<3)|0;M=N*+p[S>>3];k=k+1|0;if((k|0)==(z|0)){T=M;break}else N=M}}else T=J;k=h+36|0;q=f[k>>2]|0;if(q|0?(t=q+12|0,q=f[t>>2]|0,f[t>>2]=q+-1,(q|0)==1):0)aU(h);f[k>>2]=0;f[C>>2]=0;f[C+4>>2]=0;f[C+8>>2]=0;f[C+12>>2]=0;if((f[H>>2]|0)>0){k=f[m>>2]|0;q=0;do{f[k+(q<<2)>>2]=0;q=q+1|0}while((q|0)<(f[H>>2]|0))}H=f[l>>2]|0;if((H|0)!=(j|0))TC(H);H=f[g>>2]|0;if((H|0)!=(A|0)){if(H|0)guc(H);f[g>>2]=A;f[B>>2]=1032}I=T;break a}}}while(0);g=e+36|0;h=f[g>>2]|0;if(h|0?(z=h+12|0,h=f[z>>2]|0,f[z>>2]=h+-1,(h|0)==1):0)aU(e);f[g>>2]=0;f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;f[x+12>>2]=0;if((f[o>>2]|0)>0){x=f[e+40>>2]|0;e=0;do{f[x+(e<<2)>>2]=0;e=e+1|0}while((e|0)<(f[o>>2]|0))}o=f[y>>2]|0;if((o|0)!=(w|0))TC(o);if(!(f[d+4>>2]|0)){u=c;return +I}u=c;return +I}function HD(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0.0,S=0.0,T=0.0,U=0,V=0.0,W=0.0,X=0.0,Z=0.0,_=0,$=0.0,aa=0.0,ba=0.0,ca=0.0,da=0.0,ea=0.0,fa=0.0,ga=0.0,ha=0.0,ia=0.0,ja=0.0,ka=0,la=0,ma=0,na=0;e=u;u=u+2416|0;g=e+1376|0;h=e+1368|0;i=e+1312|0;j=e+112|0;k=e+1256|0;l=e+56|0;m=e;o=e+1240|0;q=e+1224|0;r=e+1208|0;s=e+1152|0;gV(h,35184);do if((qJ(a)|0)==65536){t=f[a+4>>2]|0;f[i>>2]=f[t>>2];v=i+4|0;w=t+4|0;f[v>>2]=f[w>>2];x=i+8|0;f[x>>2]=f[t+8>>2];f[i+12>>2]=f[t+12>>2];f[i+16>>2]=f[t+16>>2];f[i+20>>2]=f[t+20>>2];f[i+24>>2]=f[t+24>>2];f[i+28>>2]=f[t+28>>2];f[i+32>>2]=f[t+32>>2];y=f[t+36>>2]|0;f[i+36>>2]=y;f[i+40>>2]=x;x=i+48|0;z=i+44|0;f[z>>2]=x;f[x>>2]=0;f[i+52>>2]=0;if(y|0){x=y+12|0;f[x>>2]=(f[x>>2]|0)+1}if((f[w>>2]|0)<3){w=f[t+44>>2]|0;x=f[z>>2]|0;f[x>>2]=f[w>>2];f[x+4>>2]=f[w+4>>2];A=i;break}else{f[v>>2]=0;$T(i,t);A=i;break}}else{nJ(i,a,-1);A=i}while(0);a=f[A>>2]|0;A=a&4095;t=(A|0)==5;v=(A|0)==6;if((A+-5|0)>>>0>=2){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;w=cuc(48)|0;f[g>>2]=w;f[g+8>>2]=-2147483600;f[g+4>>2]=32;B=w;C=190338;D=B+32|0;do{b[B>>0]=b[C>>0]|0;B=B+1|0;C=C+1|0}while((B|0)<(D|0));b[w+32>>0]=0;WD(-215,g,190371,190151,848)}w=Y(675553809>>>(A<<2&28)&15,(a>>>3&511)+1|0)|0;a=f[i+8>>2]|0;x=f[i+12>>2]|0;do if((d|0)==1){z=(x|0)<(a|0)?x:a;y=Y(z,a)|0;E=(Y(y+z+(Y(z,x)|0)|0,w)|0)+8|0;F=j+8|0;f[j>>2]=F;G=j+4|0;f[G>>2]=E;if(E>>>0>1032){H=euc(E)|0;f[j>>2]=H;I=H}else I=F;Ri(k,a,z,A,w+-1+I&0-w,0);H=k+16|0;E=k+44|0;Ri(l,z,1,A,(f[H>>2]|0)+(Y(y,w)|0)|0,0);y=l+16|0;J=l+44|0;Ri(m,z,x,A,(f[y>>2]|0)+(Y(z,w)|0)|0,0);f[o+8>>2]=0;f[o+12>>2]=0;f[o>>2]=16842752;f[o+4>>2]=i;z=q+8|0;f[z>>2]=0;f[z+4>>2]=0;f[q>>2]=33619968;f[q+4>>2]=l;z=r+8|0;f[z>>2]=0;f[z+4>>2]=0;f[r>>2]=33619968;f[r+4>>2]=k;z=s+8|0;f[z>>2]=0;f[z+4>>2]=0;f[s>>2]=33619968;f[s+4>>2]=m;gV(g,35204);ID(o,q,r,s,0);f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=l;f[o+8>>2]=0;f[o+12>>2]=0;f[o>>2]=16842752;f[o+4>>2]=k;f[q+8>>2]=0;f[q+12>>2]=0;f[q>>2]=16842752;f[q+4>>2]=m;f[s>>2]=1124007936;z=s+4|0;K=s+8|0;L=s+40|0;B=z;D=B+36|0;do{f[B>>2]=0;B=B+4|0}while((B|0)<(D|0));f[L>>2]=K;M=s+48|0;N=s+44|0;f[N>>2]=M;f[M>>2]=0;f[s+52>>2]=0;f[r+8>>2]=0;f[r+12>>2]=0;f[r>>2]=16842752;f[r+4>>2]=s;JD(g,o,q,r,c);O=s+36|0;P=f[O>>2]|0;if(P|0?(Q=P+12|0,P=f[Q>>2]|0,f[Q>>2]=P+-1,(P|0)==1):0)aU(s);f[O>>2]=0;O=s+16|0;f[O>>2]=0;f[O+4>>2]=0;f[O+8>>2]=0;f[O+12>>2]=0;if((f[z>>2]|0)>0){O=f[L>>2]|0;P=0;do{f[O+(P<<2)>>2]=0;P=P+1|0}while((P|0)<(f[z>>2]|0))}z=f[N>>2]|0;if((z|0)!=(M|0))TC(z);z=f[y>>2]|0;if(t){R=+n[z>>2];if(!(R>=1.1920928955078125e-07))S=0.0;else S=+n[z+(x+-1<<2)>>2]/R}else{R=+p[z>>3];if(!(R>=2.220446049250313e-16))S=0.0;else S=+p[z+(x+-1<<3)>>3]/R}z=m+36|0;P=f[z>>2]|0;if(P|0?(O=P+12|0,P=f[O>>2]|0,f[O>>2]=P+-1,(P|0)==1):0)aU(m);f[z>>2]=0;z=m+16|0;P=m+4|0;f[z>>2]=0;f[z+4>>2]=0;f[z+8>>2]=0;f[z+12>>2]=0;if((f[P>>2]|0)>0){z=f[m+40>>2]|0;O=0;do{f[z+(O<<2)>>2]=0;O=O+1|0}while((O|0)<(f[P>>2]|0))}P=f[m+44>>2]|0;if((P|0)!=(m+48|0))TC(P);P=l+36|0;O=f[P>>2]|0;if(O|0?(z=O+12|0,O=f[z>>2]|0,f[z>>2]=O+-1,(O|0)==1):0)aU(l);f[P>>2]=0;P=l+4|0;f[y>>2]=0;f[y+4>>2]=0;f[y+8>>2]=0;f[y+12>>2]=0;if((f[P>>2]|0)>0){O=f[l+40>>2]|0;z=0;do{f[O+(z<<2)>>2]=0;z=z+1|0}while((z|0)<(f[P>>2]|0))}P=f[J>>2]|0;if((P|0)!=(l+48|0))TC(P);P=k+36|0;z=f[P>>2]|0;if(z|0?(O=z+12|0,z=f[O>>2]|0,f[O>>2]=z+-1,(z|0)==1):0)aU(k);f[P>>2]=0;P=k+4|0;f[H>>2]=0;f[H+4>>2]=0;f[H+8>>2]=0;f[H+12>>2]=0;if((f[P>>2]|0)>0){z=f[k+40>>2]|0;O=0;do{f[z+(O<<2)>>2]=0;O=O+1|0}while((O|0)<(f[P>>2]|0))}P=f[E>>2]|0;if((P|0)!=(k+48|0))TC(P);P=f[j>>2]|0;if((P|0)!=(F|0)){if(P|0)guc(P);f[j>>2]=F;f[G>>2]=1032}T=S}else{if((a|0)!=(x|0)){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;b[g+11>>0]=6;b[g>>0]=b[190378]|0;b[g+1>>0]=b[190379]|0;b[g+2>>0]=b[190380]|0;b[g+3>>0]=b[190381]|0;b[g+4>>0]=b[190382]|0;b[g+5>>0]=b[190383]|0;b[g+6>>0]=0;WD(-215,g,190371,190151,872)}if((d|0)==2){P=Y(a,a)|0;O=(Y((P<<1)+a|0,w)|0)+8|0;z=g+8|0;f[g>>2]=z;H=g+4|0;f[H>>2]=O;if(O>>>0>1032){J=euc(O)|0;f[g>>2]=J;U=J}else U=z;Ri(j,a,a,A,w+-1+U&0-w,0);J=j+16|0;O=j+44|0;Ri(k,a,1,A,(f[J>>2]|0)+(Y(P,w)|0)|0,0);P=k+16|0;y=k+44|0;Ri(l,a,a,A,(f[P>>2]|0)+(Y(a,w)|0)|0,0);f[m+8>>2]=0;f[m+12>>2]=0;f[m>>2]=16842752;f[m+4>>2]=i;M=o+8|0;f[M>>2]=0;f[M+4>>2]=0;f[o>>2]=33619968;f[o+4>>2]=k;M=q+8|0;f[M>>2]=0;f[M+4>>2]=0;f[q>>2]=33619968;f[q+4>>2]=l;KD(m,o,q)|0;f[m+8>>2]=0;f[m+12>>2]=0;f[m>>2]=16842752;f[m+4>>2]=l;M=o+8|0;f[M>>2]=0;f[M+4>>2]=0;f[o>>2]=33619968;f[o+4>>2]=j;HN(m,o);f[m+8>>2]=0;f[m+12>>2]=0;f[m>>2]=16842752;f[m+4>>2]=k;f[o+8>>2]=0;f[o+12>>2]=0;f[o>>2]=16842752;f[o+4>>2]=j;f[q+8>>2]=0;f[q+12>>2]=0;f[q>>2]=16842752;f[q+4>>2]=l;f[s>>2]=1124007936;M=s+4|0;N=s+8|0;L=s+40|0;B=M;D=B+36|0;do{f[B>>2]=0;B=B+4|0}while((B|0)<(D|0));f[L>>2]=N;G=s+48|0;F=s+44|0;f[F>>2]=G;f[G>>2]=0;f[s+52>>2]=0;f[r+8>>2]=0;f[r+12>>2]=0;f[r>>2]=16842752;f[r+4>>2]=s;JD(m,o,q,r,c);E=s+36|0;K=f[E>>2]|0;if(K|0?(Q=K+12|0,K=f[Q>>2]|0,f[Q>>2]=K+-1,(K|0)==1):0)aU(s);f[E>>2]=0;E=s+16|0;f[E>>2]=0;f[E+4>>2]=0;f[E+8>>2]=0;f[E+12>>2]=0;if((f[M>>2]|0)>0){E=f[L>>2]|0;K=0;do{f[E+(K<<2)>>2]=0;K=K+1|0}while((K|0)<(f[M>>2]|0))}M=f[F>>2]|0;if((M|0)!=(G|0))TC(M);M=f[P>>2]|0;if(t){R=+n[M>>2];if(!(R>=1.1920928955078125e-07))V=0.0;else V=+n[M+(a+-1<<2)>>2]/R}else{R=+p[M>>3];if(!(R>=2.220446049250313e-16))V=0.0;else V=+p[M+(a+-1<<3)>>3]/R}M=l+36|0;K=f[M>>2]|0;if(K|0?(E=K+12|0,K=f[E>>2]|0,f[E>>2]=K+-1,(K|0)==1):0)aU(l);f[M>>2]=0;M=l+16|0;K=l+4|0;f[M>>2]=0;f[M+4>>2]=0;f[M+8>>2]=0;f[M+12>>2]=0;if((f[K>>2]|0)>0){M=f[l+40>>2]|0;E=0;do{f[M+(E<<2)>>2]=0;E=E+1|0}while((E|0)<(f[K>>2]|0))}K=f[l+44>>2]|0;if((K|0)!=(l+48|0))TC(K);K=k+36|0;E=f[K>>2]|0;if(E|0?(M=E+12|0,E=f[M>>2]|0,f[M>>2]=E+-1,(E|0)==1):0)aU(k);f[K>>2]=0;K=k+4|0;f[P>>2]=0;f[P+4>>2]=0;f[P+8>>2]=0;f[P+12>>2]=0;if((f[K>>2]|0)>0){E=f[k+40>>2]|0;M=0;do{f[E+(M<<2)>>2]=0;M=M+1|0}while((M|0)<(f[K>>2]|0))}K=f[y>>2]|0;if((K|0)!=(k+48|0))TC(K);K=j+36|0;M=f[K>>2]|0;do if(M|0){E=M+12|0;P=f[E>>2]|0;f[E>>2]=P+-1;if((P|0)!=1)break;aU(j)}while(0);f[K>>2]=0;M=j+4|0;f[J>>2]=0;f[J+4>>2]=0;f[J+8>>2]=0;f[J+12>>2]=0;if((f[M>>2]|0)>0){y=f[j+40>>2]|0;P=0;do{f[y+(P<<2)>>2]=0;P=P+1|0}while((P|0)<(f[M>>2]|0))}M=f[O>>2]|0;if((M|0)!=(j+48|0))TC(M);M=f[g>>2]|0;if((M|0)!=(z|0)){if(M|0)guc(M);f[g>>2]=z;f[H>>2]=1032}T=V;break}M=(d|0)==0;P=(d|0)==3;switch(d|0){case 0:case 3:break;default:{f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;y=cuc(64)|0;f[g>>2]=y;f[g+8>>2]=-2147483584;f[g+4>>2]=48;B=y;C=190385;D=B+48|0;do{b[B>>0]=b[C>>0]|0;B=B+1|0;C=C+1|0}while((B|0)<(D|0));b[y+48>>0]=0;WD(-215,g,190371,190151,892)}}jK(c,a,a,A,-1,0,0);do if((qJ(c)|0)==65536){H=f[c+4>>2]|0;f[g>>2]=f[H>>2];z=g+4|0;O=H+4|0;f[z>>2]=f[O>>2];J=g+8|0;f[J>>2]=f[H+8>>2];f[g+12>>2]=f[H+12>>2];f[g+16>>2]=f[H+16>>2];f[g+20>>2]=f[H+20>>2];f[g+24>>2]=f[H+24>>2];f[g+28>>2]=f[H+28>>2];f[g+32>>2]=f[H+32>>2];K=f[H+36>>2]|0;f[g+36>>2]=K;f[g+40>>2]=J;J=g+48|0;E=g+44|0;f[E>>2]=J;f[J>>2]=0;f[g+52>>2]=0;if(K|0){J=K+12|0;f[J>>2]=(f[J>>2]|0)+1}if((f[O>>2]|0)<3){O=f[H+44>>2]|0;J=f[E>>2]|0;f[J>>2]=f[O>>2];f[J+4>>2]=f[O+4>>2];break}else{f[z>>2]=0;$T(g,H);break}}else nJ(g,c,-1);while(0);a:do if((a|0)<4){y=f[i+16>>2]|0;H=f[g+16>>2]|0;z=f[i+48>>2]|0;O=f[g+48>>2]|0;b:do switch(a|0){case 2:{if(t){R=+n[y>>2];J=y+z|0;W=+n[J+4>>2];E=y+4|0;X=R*W-+n[E>>2]*+n[J>>2];if(!(X!=0.0))break b;Z=1.0/X;K=H+O|0;n[K+4>>2]=R*Z;n[H>>2]=W*Z;W=Z*-+n[J>>2];n[H+4>>2]=Z*-+n[E>>2];n[K>>2]=W;_=1;break a}else{W=+p[y>>3];K=y+z|0;Z=+p[K+8>>3];E=y+8|0;R=W*Z-+p[E>>3]*+p[K>>3];if(!(R!=0.0))break b;X=1.0/R;J=H+O|0;p[J+8>>3]=W*X;p[H>>3]=Z*X;Z=-(X*+p[K>>3]);p[H+8>>3]=-(X*+p[E>>3]);p[J>>3]=Z;_=1;break a}break}case 3:{J=z<<1;if(t){Z=+n[y>>2];E=y+z|0;X=+n[E+4>>2];K=y+J|0;W=+n[K+8>>2];R=+n[E+8>>2];$=+n[K+4>>2];aa=X*W-R*$;ba=+n[y+4>>2];ca=+n[E>>2];da=W*ca;ea=+n[K>>2];fa=R*ea;ga=+n[y+8>>2];ha=$*ca-X*ea;ia=ga*ha+(Z*aa-ba*(da-fa));if(!(ia!=0.0))break b;ja=1.0/ia;n[H>>2]=aa*ja;n[H+4>>2]=($*ga-W*ba)*ja;n[H+8>>2]=(R*ba-X*ga)*ja;K=H+O|0;n[K>>2]=(fa-da)*ja;n[K+4>>2]=(Z*W-ea*ga)*ja;n[K+8>>2]=(ca*ga-Z*R)*ja;K=H+(O<<1)|0;n[K>>2]=ha*ja;n[K+4>>2]=(ba*ea-Z*$)*ja;n[K+8>>2]=(Z*X-ba*ca)*ja;_=1;break a}else{ja=+p[y>>3];K=y+z|0;ca=+p[K+8>>3];E=y+J|0;ba=+p[E+16>>3];X=+p[K+16>>3];Z=+p[E+8>>3];$=ca*ba-X*Z;ea=+p[y+8>>3];ha=+p[K>>3];R=ba*ha;ga=+p[E>>3];W=X*ga;da=+p[y+16>>3];fa=Z*ha-ca*ga;aa=da*fa+(ja*$-ea*(R-W));if(!(aa!=0.0))break b;ia=1.0/aa;p[H>>3]=$*ia;p[H+8>>3]=(Z*da-ba*ea)*ia;p[H+16>>3]=(X*ea-ca*da)*ia;E=H+O|0;p[E>>3]=(W-R)*ia;p[E+8>>3]=(ja*ba-ga*da)*ia;p[E+16>>3]=(ha*da-ja*X)*ia;E=H+(O<<1)|0;p[E>>3]=fa*ia;p[E+8>>3]=(ea*ga-ja*Z)*ia;p[E+16>>3]=(ja*ca-ea*ha)*ia;_=1;break a}break}default:if(t){ia=+n[y>>2];if(!(ia!=0.0))break b;n[H>>2]=1.0/ia;_=1;break a}else{ia=+p[y>>3];if(!(ia!=0.0))break b;p[H>>3]=1.0/ia;_=1;break a}}while(0);f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;f[j+16>>2]=0;f[j+20>>2]=0;f[j+24>>2]=0;f[j+28>>2]=0;GI(g,j)|0;_=0}else{H=Y(Y(a,w)|0,a)|0;y=j+8|0;f[j>>2]=y;O=j+4|0;f[O>>2]=H;if(H>>>0>1032){z=euc(H)|0;f[j>>2]=z;ka=z}else ka=y;Ri(k,a,a,A,ka,0);z=l+8|0;f[z>>2]=0;f[z+4>>2]=0;f[l>>2]=33619968;f[l+4>>2]=k;EI(i,l);z=l+8|0;f[z>>2]=0;f[z+4>>2]=0;f[l>>2]=50397184;f[l+4>>2]=g;p[m>>3]=1.0;z=m+8|0;f[z>>2]=0;f[z+4>>2]=0;f[z+8>>2]=0;f[z+12>>2]=0;f[z+16>>2]=0;f[z+20>>2]=0;FN(l,m);do if(M&t)if(!(NG(f[k+16>>2]|0,f[k+48>>2]|0,a,f[g+16>>2]|0,f[g+48>>2]|0,a)|0))la=141;else ma=1;else{if(M&v)if(!(PG(f[k+16>>2]|0,f[k+48>>2]|0,a,f[g+16>>2]|0,f[g+48>>2]|0,a)|0)){la=141;break}else{ma=1;break}z=f[k+16>>2]|0;if(P&t)na=RG(z,f[k+48>>2]|0,a,f[g+16>>2]|0,f[g+48>>2]|0,a)|0;else na=TG(z,f[k+48>>2]|0,a,f[g+16>>2]|0,f[g+48>>2]|0,a)|0;if(na)ma=1;else la=141}while(0);if((la|0)==141){f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;f[l+16>>2]=0;f[l+20>>2]=0;f[l+24>>2]=0;f[l+28>>2]=0;GI(g,l)|0;ma=0}z=k+36|0;H=f[z>>2]|0;if(H|0?(E=H+12|0,H=f[E>>2]|0,f[E>>2]=H+-1,(H|0)==1):0)aU(k);f[z>>2]=0;z=k+16|0;H=k+4|0;f[z>>2]=0;f[z+4>>2]=0;f[z+8>>2]=0;f[z+12>>2]=0;if((f[H>>2]|0)>0){z=f[k+40>>2]|0;E=0;do{f[z+(E<<2)>>2]=0;E=E+1|0}while((E|0)<(f[H>>2]|0))}H=f[k+44>>2]|0;if((H|0)!=(k+48|0))TC(H);H=f[j>>2]|0;if((H|0)!=(y|0)){if(H|0)guc(H);f[j>>2]=y;f[O>>2]=1032}_=ma}while(0);ia=+(_&1);P=g+36|0;M=f[P>>2]|0;if(M|0?(H=M+12|0,M=f[H>>2]|0,f[H>>2]=M+-1,(M|0)==1):0)aU(g);f[P>>2]=0;P=g+16|0;M=g+4|0;f[P>>2]=0;f[P+4>>2]=0;f[P+8>>2]=0;f[P+12>>2]=0;if((f[M>>2]|0)>0){P=f[g+40>>2]|0;H=0;do{f[P+(H<<2)>>2]=0;H=H+1|0}while((H|0)<(f[M>>2]|0))}M=f[g+44>>2]|0;if((M|0)!=(g+48|0))TC(M);T=ia}while(0);g=i+36|0;_=f[g>>2]|0;if(_|0?(ma=_+12|0,_=f[ma>>2]|0,f[ma>>2]=_+-1,(_|0)==1):0)aU(i);f[g>>2]=0;g=i+16|0;_=i+4|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;if((f[_>>2]|0)>0){g=f[i+40>>2]|0;ma=0;do{f[g+(ma<<2)>>2]=0;ma=ma+1|0}while((ma|0)<(f[_>>2]|0))}_=f[i+44>>2]|0;if((_|0)!=(i+48|0))TC(_);if(!(f[h+4>>2]|0)){u=e;return +T}u=e;return +T}function ID(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0;h=u;u=u+1392|0;i=h+1336|0;j=h+296|0;k=h+240|0;l=h+184|0;m=h+128|0;n=h+72|0;o=h;p=h+56|0;do if((qJ(a)|0)==65536){q=f[a+4>>2]|0;f[i>>2]=f[q>>2];r=i+4|0;s=q+4|0;f[r>>2]=f[s>>2];t=i+8|0;f[t>>2]=f[q+8>>2];v=i+12|0;f[v>>2]=f[q+12>>2];f[i+16>>2]=f[q+16>>2];f[i+20>>2]=f[q+20>>2];f[i+24>>2]=f[q+24>>2];f[i+28>>2]=f[q+28>>2];f[i+32>>2]=f[q+32>>2];w=f[q+36>>2]|0;f[i+36>>2]=w;f[i+40>>2]=t;x=i+48|0;y=i+44|0;f[y>>2]=x;f[x>>2]=0;f[i+52>>2]=0;if(w|0){x=w+12|0;f[x>>2]=(f[x>>2]|0)+1}if((f[s>>2]|0)<3){s=f[q+44>>2]|0;x=f[y>>2]|0;f[x>>2]=f[s>>2];f[x+4>>2]=f[s+4>>2];z=v;A=i;B=t;break}else{f[r>>2]=0;$T(i,q);z=v;A=i;B=t;break}}else{nJ(i,a,-1);z=i+12|0;A=i;B=i+8|0}while(0);a=f[B>>2]|0;B=f[z>>2]|0;z=f[A>>2]&4095;if(mK(d)|0)C=1;else C=mK(e)|0;A=(z|0)==5;if((z+-5|0)>>>0>=2){f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;t=cuc(48)|0;f[j>>2]=t;f[j+8>>2]=-2147483600;f[j+4>>2]=32;D=t;v=190338;E=D+32|0;do{b[D>>0]=b[v>>0]|0;D=D+1|0;v=v+1|0}while((D|0)<(E|0));b[t+32>>0]=0;WD(-215,j,190779,190151,1485)}if(!(g&2)){t=(a|0)<(B|0);v=t?B:a;q=t?a:B;F=C;G=q;H=v;I=t;J=g&4|0?v:q}else{HJ(d);HJ(e);q=(a|0)<(B|0);v=q?a:B;F=0;G=v;H=q?B:a;I=q;J=v}v=i+4|0;q=f[v>>2]|0;if((q|0)>0)K=f[(f[i+44>>2]|0)+(q+-1<<2)>>2]|0;else K=0;q=(Y(K,H)|0)+15&-16;a=Y(K,G)|0;K=a+15&-16;B=Y(q,J)|0;g=a+32+(Y(K,G)|0)+B|0;t=j+8|0;f[j>>2]=t;C=j+4|0;f[C>>2]=g;if(g>>>0>1032){r=euc(g)|0;f[j>>2]=r;L=r}else L=t;r=L+15&-16;Ri(k,G,H,z,r,q);L=r+B|0;Ri(l,G,1,z,L,0);Ri(m,J,H,z,r,q);f[n>>2]=1124007936;q=n+4|0;r=n+8|0;B=n+40|0;D=q;E=D+36|0;do{f[D>>2]=0;D=D+4|0}while((D|0)<(E|0));f[B>>2]=r;D=n+48|0;E=n+44|0;f[E>>2]=D;f[D>>2]=0;f[n+52>>2]=0;if(F){Ri(o,G,G,z,L+a+15&-16,K);K=n+36|0;a=f[K>>2]|0;if(a|0?(L=a+12|0,a=f[L>>2]|0,f[L>>2]=a+-1,(a|0)==1):0)aU(n);f[K>>2]=0;a=n+16|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;if((f[q>>2]|0)>0){L=f[B>>2]|0;z=0;do{f[L+(z<<2)>>2]=0;z=z+1|0}while((z|0)<(f[q>>2]|0))}f[n>>2]=f[o>>2];z=o+4|0;L=f[z>>2]|0;f[q>>2]=L;g=o+8|0;f[r>>2]=f[g>>2];f[n+12>>2]=f[o+12>>2];s=o+16|0;f[a>>2]=f[s>>2];f[n+20>>2]=f[o+20>>2];f[n+24>>2]=f[o+24>>2];f[n+28>>2]=f[o+28>>2];f[n+32>>2]=f[o+32>>2];a=o+36|0;f[K>>2]=f[a>>2];K=n+44|0;x=f[K>>2]|0;if((x|0)==(D|0))M=L;else{TC(x);f[K>>2]=D;f[B>>2]=r;M=f[z>>2]|0}r=o+44|0;if((M|0)<3){M=f[r>>2]|0;f[D>>2]=f[M>>2];f[n+52>>2]=f[M+4>>2];N=M}else{f[K>>2]=f[r>>2];K=o+40|0;f[n+40>>2]=f[K>>2];M=o+48|0;f[r>>2]=M;f[K>>2]=g;N=M}f[o>>2]=1124007936;f[z>>2]=0;f[z+4>>2]=0;f[z+8>>2]=0;f[z+12>>2]=0;f[z+16>>2]=0;f[z+20>>2]=0;f[z+24>>2]=0;f[z+28>>2]=0;f[a>>2]=0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;if((N|0)!=(o+48|0))TC(N)}if((J|0)>(G|0)){f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;f[o+12>>2]=0;f[o+16>>2]=0;f[o+20>>2]=0;f[o+24>>2]=0;f[o+28>>2]=0;GI(m,o)|0}if(I){N=o+8|0;f[N>>2]=0;f[N+4>>2]=0;f[o>>2]=33619968;f[o+4>>2]=k;EI(i,o)}else{f[o+8>>2]=0;f[o+12>>2]=0;f[o>>2]=16842752;f[o+4>>2]=i;N=p+8|0;f[N>>2]=0;f[N+4>>2]=0;f[p>>2]=33619968;f[p+4>>2]=k;HN(o,p)}p=k+16|0;N=f[p>>2]|0;if(A){A=f[n+16>>2]|0;s=F?J:0;ED(N,f[m+48>>2]|0,f[l+16>>2]|0,A,f[D>>2]|0,H,G,(A|0)==0?0:(s|0)<0?G:s,1.1754943508222875e-38,2.384185791015625e-07)}else{s=f[n+16>>2]|0;A=F?J:0;FD(N,f[m+48>>2]|0,f[l+16>>2]|0,s,f[D>>2]|0,H,G,(s|0)==0?0:(A|0)<0?G:A,2.2250738585072014e-308,2.220446049250313e-15)}EI(l,c);do if(F){c=mK(d)|0;if(I){if(c){f[o+8>>2]=0;f[o+12>>2]=0;f[o>>2]=16842752;f[o+4>>2]=n;HN(o,d)}if(!(mK(e)|0))break;EI(m,e);break}else{if(c){f[o+8>>2]=0;f[o+12>>2]=0;f[o>>2]=16842752;f[o+4>>2]=m;HN(o,d)}if(!(mK(e)|0))break;EI(n,e);break}}while(0);e=n+36|0;d=f[e>>2]|0;if(d|0?(o=d+12|0,d=f[o>>2]|0,f[o>>2]=d+-1,(d|0)==1):0)aU(n);f[e>>2]=0;e=n+16|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((f[q>>2]|0)>0){e=f[B>>2]|0;B=0;do{f[e+(B<<2)>>2]=0;B=B+1|0}while((B|0)<(f[q>>2]|0))}q=f[E>>2]|0;if((q|0)!=(D|0))TC(q);q=m+36|0;D=f[q>>2]|0;if(D|0?(E=D+12|0,D=f[E>>2]|0,f[E>>2]=D+-1,(D|0)==1):0)aU(m);f[q>>2]=0;q=m+16|0;D=m+4|0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;f[q+12>>2]=0;if((f[D>>2]|0)>0){q=f[m+40>>2]|0;E=0;do{f[q+(E<<2)>>2]=0;E=E+1|0}while((E|0)<(f[D>>2]|0))}D=f[m+44>>2]|0;if((D|0)!=(m+48|0))TC(D);D=l+36|0;m=f[D>>2]|0;if(m|0?(E=m+12|0,m=f[E>>2]|0,f[E>>2]=m+-1,(m|0)==1):0)aU(l);f[D>>2]=0;D=l+16|0;m=l+4|0;f[D>>2]=0;f[D+4>>2]=0;f[D+8>>2]=0;f[D+12>>2]=0;if((f[m>>2]|0)>0){D=f[l+40>>2]|0;E=0;do{f[D+(E<<2)>>2]=0;E=E+1|0}while((E|0)<(f[m>>2]|0))}m=f[l+44>>2]|0;if((m|0)!=(l+48|0))TC(m);m=k+36|0;l=f[m>>2]|0;do if(l|0){E=l+12|0;D=f[E>>2]|0;f[E>>2]=D+-1;if((D|0)!=1)break;aU(k)}while(0);f[m>>2]=0;m=k+4|0;f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;f[p+12>>2]=0;if((f[m>>2]|0)>0){p=f[k+40>>2]|0;l=0;do{f[p+(l<<2)>>2]=0;l=l+1|0}while((l|0)<(f[m>>2]|0))}m=f[k+44>>2]|0;if((m|0)!=(k+48|0))TC(m);m=f[j>>2]|0;if((m|0)!=(t|0)){if(m|0)guc(m);f[j>>2]=t;f[C>>2]=1032}C=i+36|0;t=f[C>>2]|0;do if(t|0){j=t+12|0;m=f[j>>2]|0;f[j>>2]=m+-1;if((m|0)!=1)break;aU(i)}while(0);f[C>>2]=0;C=i+16|0;f[C>>2]=0;f[C+4>>2]=0;f[C+8>>2]=0;f[C+12>>2]=0;if((f[v>>2]|0)>0){C=f[i+40>>2]|0;t=0;do{f[C+(t<<2)>>2]=0;t=t+1|0}while((t|0)<(f[v>>2]|0))}v=f[i+44>>2]|0;if((v|0)==(i+48|0)){u=h;return}TC(v);u=h;return}function JD(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0;h=u;u=u+1344|0;i=h+1280|0;j=h+1224|0;k=h+1168|0;l=h+1112|0;m=h+72|0;n=h+16|0;o=h;do if((qJ(a)|0)==65536){p=f[a+4>>2]|0;f[i>>2]=f[p>>2];q=i+4|0;r=p+4|0;f[q>>2]=f[r>>2];s=i+8|0;f[s>>2]=f[p+8>>2];f[i+12>>2]=f[p+12>>2];f[i+16>>2]=f[p+16>>2];f[i+20>>2]=f[p+20>>2];f[i+24>>2]=f[p+24>>2];f[i+28>>2]=f[p+28>>2];f[i+32>>2]=f[p+32>>2];t=f[p+36>>2]|0;f[i+36>>2]=t;f[i+40>>2]=s;s=i+48|0;v=i+44|0;f[v>>2]=s;f[s>>2]=0;f[i+52>>2]=0;if(t|0){s=t+12|0;f[s>>2]=(f[s>>2]|0)+1}if((f[r>>2]|0)<3){r=f[p+44>>2]|0;s=f[v>>2]|0;f[s>>2]=f[r>>2];f[s+4>>2]=f[r+4>>2];break}else{f[q>>2]=0;$T(i,p);break}}else nJ(i,a,-1);while(0);do if((qJ(c)|0)==65536){a=f[c+4>>2]|0;f[j>>2]=f[a>>2];p=j+4|0;q=a+4|0;f[p>>2]=f[q>>2];r=j+8|0;f[r>>2]=f[a+8>>2];f[j+12>>2]=f[a+12>>2];f[j+16>>2]=f[a+16>>2];f[j+20>>2]=f[a+20>>2];f[j+24>>2]=f[a+24>>2];f[j+28>>2]=f[a+28>>2];f[j+32>>2]=f[a+32>>2];s=f[a+36>>2]|0;f[j+36>>2]=s;f[j+40>>2]=r;r=j+48|0;v=j+44|0;f[v>>2]=r;f[r>>2]=0;f[j+52>>2]=0;if(s|0){r=s+12|0;f[r>>2]=(f[r>>2]|0)+1}if((f[q>>2]|0)<3){q=f[a+44>>2]|0;r=f[v>>2]|0;f[r>>2]=f[q>>2];f[r+4>>2]=f[q+4>>2];break}else{f[p>>2]=0;$T(j,a);break}}else nJ(j,c,-1);while(0);do if((qJ(d)|0)==65536){c=f[d+4>>2]|0;f[k>>2]=f[c>>2];a=k+4|0;p=c+4|0;f[a>>2]=f[p>>2];q=k+8|0;f[q>>2]=f[c+8>>2];f[k+12>>2]=f[c+12>>2];f[k+16>>2]=f[c+16>>2];f[k+20>>2]=f[c+20>>2];f[k+24>>2]=f[c+24>>2];f[k+28>>2]=f[c+28>>2];f[k+32>>2]=f[c+32>>2];r=f[c+36>>2]|0;f[k+36>>2]=r;f[k+40>>2]=q;q=k+48|0;v=k+44|0;f[v>>2]=q;f[q>>2]=0;f[k+52>>2]=0;if(r|0){q=r+12|0;f[q>>2]=(f[q>>2]|0)+1}if((f[p>>2]|0)<3){p=f[c+44>>2]|0;q=f[v>>2]|0;f[q>>2]=f[p>>2];f[q+4>>2]=f[p+4>>2];break}else{f[a>>2]=0;$T(k,c);break}}else nJ(k,d,-1);while(0);do if((qJ(e)|0)==65536){d=f[e+4>>2]|0;f[l>>2]=f[d>>2];c=l+4|0;a=d+4|0;f[c>>2]=f[a>>2];p=l+8|0;f[p>>2]=f[d+8>>2];f[l+12>>2]=f[d+12>>2];f[l+16>>2]=f[d+16>>2];f[l+20>>2]=f[d+20>>2];f[l+24>>2]=f[d+24>>2];f[l+28>>2]=f[d+28>>2];f[l+32>>2]=f[d+32>>2];q=f[d+36>>2]|0;f[l+36>>2]=q;f[l+40>>2]=p;p=l+48|0;v=l+44|0;f[v>>2]=p;f[p>>2]=0;f[l+52>>2]=0;if(q|0){p=q+12|0;f[p>>2]=(f[p>>2]|0)+1}if((f[a>>2]|0)<3){a=f[d+44>>2]|0;p=f[v>>2]|0;f[p>>2]=f[a>>2];f[p+4>>2]=f[a+4>>2];break}else{f[c>>2]=0;$T(l,d);break}}else nJ(l,e,-1);while(0);e=f[i>>2]|0;d=e&4095;c=i+4|0;a=f[c>>2]|0;if((a|0)>0)w=f[(f[i+44>>2]|0)+(a+-1<<2)>>2]|0;else w=0;a=f[j+8>>2]|0;p=f[k+12>>2]|0;v=l+16|0;q=f[v>>2]|0;r=q|0?f[l+12>>2]|0:a;s=(p|0)<(a|0)?p:a;if((f[i+8>>2]|0)==1)x=w;else x=((f[i+12>>2]|0)==1?0:w)+(f[i+48>>2]|0)|0;w=(r<<3)+16|0;t=m+8|0;f[m>>2]=t;y=m+4|0;f[y>>2]=w;if(w>>>0>1032){z=euc(w)|0;f[m>>2]=z}if((d|0)!=(f[j>>2]&4095|0)){f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;A=cuc(80)|0;f[n>>2]=A;B=n+8|0;f[B>>2]=-2147483568;C=n+4|0;f[C>>2]=76;D=A;E=190514;F=D+76|0;do{b[D>>0]=b[E>>0]|0;D=D+1|0;E=E+1|0}while((D|0)<(F|0));G=A+76|0;b[G>>0]=0;WD(-215,n,190591,190151,1573)}if((d|0)!=(f[k>>2]&4095|0)){f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;A=cuc(80)|0;f[n>>2]=A;B=n+8|0;f[B>>2]=-2147483568;C=n+4|0;f[C>>2]=76;D=A;E=190514;F=D+76|0;do{b[D>>0]=b[E>>0]|0;D=D+1|0;E=E+1|0}while((D|0)<(F|0));G=A+76|0;b[G>>0]=0;WD(-215,n,190591,190151,1573)}z=j+16|0;if(!(f[z>>2]|0)){f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;A=cuc(80)|0;f[n>>2]=A;B=n+8|0;f[B>>2]=-2147483568;C=n+4|0;f[C>>2]=76;D=A;E=190514;F=D+76|0;do{b[D>>0]=b[E>>0]|0;D=D+1|0;E=E+1|0}while((D|0)<(F|0));G=A+76|0;b[G>>0]=0;WD(-215,n,190591,190151,1573)}w=k+16|0;if(!(f[w>>2]|0)){f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;A=cuc(80)|0;f[n>>2]=A;B=n+8|0;f[B>>2]=-2147483568;C=n+4|0;f[C>>2]=76;D=A;E=190514;F=D+76|0;do{b[D>>0]=b[E>>0]|0;D=D+1|0;E=E+1|0}while((D|0)<(F|0));G=A+76|0;b[G>>0]=0;WD(-215,n,190591,190151,1573)}H=i+16|0;if(!(f[H>>2]|0)){f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;A=cuc(80)|0;f[n>>2]=A;B=n+8|0;f[B>>2]=-2147483568;C=n+4|0;f[C>>2]=76;D=A;E=190514;F=D+76|0;do{b[D>>0]=b[E>>0]|0;D=D+1|0;E=E+1|0}while((D|0)<(F|0));G=A+76|0;b[G>>0]=0;WD(-215,n,190591,190151,1573)}G=f[j+12>>2]|0;if((G|0)<(s|0)){f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;I=cuc(128)|0;f[n>>2]=I;J=n+8|0;f[J>>2]=-2147483520;K=n+4|0;f[K>>2]=122;D=I;E=190601;F=D+122|0;do{b[D>>0]=b[E>>0]|0;D=D+1|0;E=E+1|0}while((D|0)<(F|0));L=I+122|0;b[L>>0]=0;WD(-215,n,190591,190151,1575)}A=f[k+8>>2]|0;if((A|0)<(s|0)){f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;I=cuc(128)|0;f[n>>2]=I;J=n+8|0;f[J>>2]=-2147483520;K=n+4|0;f[K>>2]=122;D=I;E=190601;F=D+122|0;do{b[D>>0]=b[E>>0]|0;D=D+1|0;E=E+1|0}while((D|0)<(F|0));L=I+122|0;b[L>>0]=0;WD(-215,n,190591,190151,1575)}C=i+40|0;B=f[C>>2]|0;M=f[B+4>>2]|0;N=f[B>>2]|0;if((!((M|0)==(s|0)&(N|0)==1)?!((M|0)==1&(N|0)==(s|0)):0)?!((M|0)==(A|0)&(N|0)==(G|0)):0){f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;I=cuc(128)|0;f[n>>2]=I;J=n+8|0;f[J>>2]=-2147483520;K=n+4|0;f[K>>2]=122;D=I;E=190601;F=D+122|0;do{b[D>>0]=b[E>>0]|0;D=D+1|0;E=E+1|0}while((D|0)<(F|0));L=I+122|0;b[L>>0]=0;WD(-215,n,190591,190151,1575)}if(q|0){if((f[l>>2]&4095|0)!=(d|0)){f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;O=cuc(64)|0;f[n>>2]=O;P=n+8|0;f[P>>2]=-2147483584;Q=n+4|0;f[Q>>2]=54;D=O;E=190724;F=D+54|0;do{b[D>>0]=b[E>>0]|0;D=D+1|0;E=E+1|0}while((D|0)<(F|0));R=O+54|0;b[R>>0]=0;WD(-215,n,190591,190151,1576)}if((f[l+8>>2]|0)!=(a|0)){f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;O=cuc(64)|0;f[n>>2]=O;P=n+8|0;f[P>>2]=-2147483584;Q=n+4|0;f[Q>>2]=54;D=O;E=190724;F=D+54|0;do{b[D>>0]=b[E>>0]|0;D=D+1|0;E=E+1|0}while((D|0)<(F|0));R=O+54|0;b[R>>0]=0;WD(-215,n,190591,190151,1576)}}jK(g,p,r,d,-1,0,0);do if((qJ(g)|0)==65536){d=f[g+4>>2]|0;f[n>>2]=f[d>>2];R=n+4|0;O=d+4|0;f[R>>2]=f[O>>2];E=n+8|0;f[E>>2]=f[d+8>>2];f[n+12>>2]=f[d+12>>2];f[n+16>>2]=f[d+16>>2];f[n+20>>2]=f[d+20>>2];f[n+24>>2]=f[d+24>>2];f[n+28>>2]=f[d+28>>2];f[n+32>>2]=f[d+32>>2];D=f[d+36>>2]|0;f[n+36>>2]=D;f[n+40>>2]=E;E=n+48|0;F=n+44|0;f[F>>2]=E;f[E>>2]=0;f[n+52>>2]=0;if(D|0){E=D+12|0;f[E>>2]=(f[E>>2]|0)+1}if((f[O>>2]|0)<3){O=f[d+44>>2]|0;E=f[F>>2]|0;f[E>>2]=f[O>>2];f[E+4>>2]=f[O+4>>2];break}else{f[R>>2]=0;$T(n,d);break}}else nJ(n,g,-1);while(0);switch(e&4095){case 5:{ND(a,p,f[H>>2]|0,x,f[z>>2]|0,f[j+48>>2]|0,0,f[w>>2]|0,f[k+48>>2]|0,f[v>>2]|0,f[l+48>>2]|0,r,f[n+16>>2]|0,f[n+48>>2]|0,f[m>>2]|0);break}case 6:{OD(a,p,f[H>>2]|0,x,f[z>>2]|0,f[j+48>>2]|0,0,f[w>>2]|0,f[k+48>>2]|0,f[v>>2]|0,f[l+48>>2]|0,r,f[n+16>>2]|0,f[n+48>>2]|0,f[m>>2]|0);break}default:{f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;WD(-210,o,190591,190151,1589)}}o=n+36|0;r=f[o>>2]|0;if(r|0?(x=r+12|0,r=f[x>>2]|0,f[x>>2]=r+-1,(r|0)==1):0)aU(n);f[o>>2]=0;o=n+16|0;r=n+4|0;f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;f[o+12>>2]=0;if((f[r>>2]|0)>0){o=f[n+40>>2]|0;x=0;do{f[o+(x<<2)>>2]=0;x=x+1|0}while((x|0)<(f[r>>2]|0))}r=f[n+44>>2]|0;if((r|0)!=(n+48|0))TC(r);r=f[m>>2]|0;if((r|0)!=(t|0)){if(r|0)guc(r);f[m>>2]=t;f[y>>2]=1032}y=l+36|0;t=f[y>>2]|0;do if(t|0){m=t+12|0;r=f[m>>2]|0;f[m>>2]=r+-1;if((r|0)!=1)break;aU(l)}while(0);f[y>>2]=0;y=l+4|0;f[v>>2]=0;f[v+4>>2]=0;f[v+8>>2]=0;f[v+12>>2]=0;if((f[y>>2]|0)>0){v=f[l+40>>2]|0;t=0;do{f[v+(t<<2)>>2]=0;t=t+1|0}while((t|0)<(f[y>>2]|0))}y=f[l+44>>2]|0;if((y|0)!=(l+48|0))TC(y);y=k+36|0;l=f[y>>2]|0;do if(l|0){t=l+12|0;v=f[t>>2]|0;f[t>>2]=v+-1;if((v|0)!=1)break;aU(k)}while(0);f[y>>2]=0;y=k+4|0;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;f[w+12>>2]=0;if((f[y>>2]|0)>0){w=f[k+40>>2]|0;l=0;do{f[w+(l<<2)>>2]=0;l=l+1|0}while((l|0)<(f[y>>2]|0))}y=f[k+44>>2]|0;if((y|0)!=(k+48|0))TC(y);y=j+36|0;k=f[y>>2]|0;do if(k|0){l=k+12|0;w=f[l>>2]|0;f[l>>2]=w+-1;if((w|0)!=1)break;aU(j)}while(0);f[y>>2]=0;y=j+4|0;f[z>>2]=0;f[z+4>>2]=0;f[z+8>>2]=0;f[z+12>>2]=0;if((f[y>>2]|0)>0){z=f[j+40>>2]|0;k=0;do{f[z+(k<<2)>>2]=0;k=k+1|0}while((k|0)<(f[y>>2]|0))}y=f[j+44>>2]|0;if((y|0)!=(j+48|0))TC(y);y=i+36|0;j=f[y>>2]|0;do if(j|0){k=j+12|0;z=f[k>>2]|0;f[k>>2]=z+-1;if((z|0)!=1)break;aU(i)}while(0);f[y>>2]=0;f[H>>2]=0;f[H+4>>2]=0;f[H+8>>2]=0;f[H+12>>2]=0;if((f[c>>2]|0)>0){H=f[C>>2]|0;C=0;do{f[H+(C<<2)>>2]=0;C=C+1|0}while((C|0)<(f[c>>2]|0))}c=f[i+44>>2]|0;if((c|0)==(i+48|0)){u=h;return}TC(c);u=h;return}function KD(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;e=u;u=u+1296|0;g=e+1280|0;h=e+1224|0;i=e+1168|0;j=e+128|0;k=e+72|0;l=e+16|0;m=e;gV(g,35224);do if((qJ(a)|0)==65536){n=f[a+4>>2]|0;f[h>>2]=f[n>>2];o=h+4|0;p=n+4|0;f[o>>2]=f[p>>2];q=h+8|0;f[q>>2]=f[n+8>>2];r=h+12|0;f[r>>2]=f[n+12>>2];f[h+16>>2]=f[n+16>>2];f[h+20>>2]=f[n+20>>2];f[h+24>>2]=f[n+24>>2];f[h+28>>2]=f[n+28>>2];f[h+32>>2]=f[n+32>>2];s=f[n+36>>2]|0;f[h+36>>2]=s;f[h+40>>2]=q;t=h+48|0;v=h+44|0;f[v>>2]=t;f[t>>2]=0;f[h+52>>2]=0;if(s|0){t=s+12|0;f[t>>2]=(f[t>>2]|0)+1}if((f[p>>2]|0)<3){p=f[n+44>>2]|0;t=f[v>>2]|0;f[t>>2]=f[p>>2];f[t+4>>2]=f[p+4>>2];w=q;x=r;y=h;break}else{f[o>>2]=0;$T(h,n);w=q;x=r;y=h;break}}else{nJ(h,a,-1);w=h+8|0;x=h+12|0;y=h}while(0);a=f[y>>2]&4095;y=f[w>>2]|0;if((y|0)!=(f[x>>2]|0)){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;x=cuc(32)|0;f[i>>2]=x;f[i+8>>2]=-2147483616;f[i+4>>2]=20;z=x;A=190434;B=z+20|0;do{b[z>>0]=b[A>>0]|0;z=z+1|0;A=A+1|0}while((z|0)<(B|0));b[x+20>>0]=0;WD(-215,i,190455,190151,1407)}x=(a|0)==5;if((a+-5|0)>>>0>=2){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;w=cuc(48)|0;f[i>>2]=w;f[i+8>>2]=-2147483600;f[i+4>>2]=32;z=w;A=190338;B=z+32|0;do{b[z>>0]=b[A>>0]|0;z=z+1|0;A=A+1|0}while((z|0)<(B|0));b[w+32>>0]=0;WD(-215,i,190455,190151,1408)}f[i>>2]=1124007936;w=i+4|0;A=i+8|0;r=i+40|0;z=w;B=z+36|0;do{f[z>>2]=0;z=z+4|0}while((z|0)<(B|0));f[r>>2]=A;z=i+48|0;B=i+44|0;f[B>>2]=z;f[z>>2]=0;f[i+52>>2]=0;if(mK(d)|0){jK(d,y,y,a,-1,0,0);do if((qJ(d)|0)==65536){q=f[d+4>>2]|0;f[j>>2]=f[q>>2];n=j+4|0;o=q+4|0;f[n>>2]=f[o>>2];p=j+8|0;f[p>>2]=f[q+8>>2];f[j+12>>2]=f[q+12>>2];f[j+16>>2]=f[q+16>>2];f[j+20>>2]=f[q+20>>2];f[j+24>>2]=f[q+24>>2];f[j+28>>2]=f[q+28>>2];f[j+32>>2]=f[q+32>>2];t=f[q+36>>2]|0;f[j+36>>2]=t;f[j+40>>2]=p;p=j+48|0;v=j+44|0;f[v>>2]=p;f[p>>2]=0;f[j+52>>2]=0;if(t|0){p=t+12|0;f[p>>2]=(f[p>>2]|0)+1}if((f[o>>2]|0)<3){o=f[q+44>>2]|0;p=f[v>>2]|0;f[p>>2]=f[o>>2];f[p+4>>2]=f[o+4>>2];break}else{f[n>>2]=0;$T(j,q);break}}else nJ(j,d,-1);while(0);d=i+36|0;q=f[d>>2]|0;if(q|0?(n=q+12|0,q=f[n>>2]|0,f[n>>2]=q+-1,(q|0)==1):0)aU(i);f[d>>2]=0;q=i+16|0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;f[q+12>>2]=0;if((f[w>>2]|0)>0){n=f[r>>2]|0;o=0;do{f[n+(o<<2)>>2]=0;o=o+1|0}while((o|0)<(f[w>>2]|0))}f[i>>2]=f[j>>2];o=j+4|0;n=f[o>>2]|0;f[w>>2]=n;p=j+8|0;f[A>>2]=f[p>>2];f[i+12>>2]=f[j+12>>2];v=j+16|0;f[q>>2]=f[v>>2];f[i+20>>2]=f[j+20>>2];f[i+24>>2]=f[j+24>>2];f[i+28>>2]=f[j+28>>2];f[i+32>>2]=f[j+32>>2];q=j+36|0;f[d>>2]=f[q>>2];d=i+44|0;t=f[d>>2]|0;if((t|0)==(z|0))C=n;else{TC(t);f[d>>2]=z;f[r>>2]=A;C=f[o>>2]|0}A=j+44|0;if((C|0)<3){C=f[A>>2]|0;f[z>>2]=f[C>>2];f[i+52>>2]=f[C+4>>2];D=C}else{f[d>>2]=f[A>>2];d=j+40|0;f[i+40>>2]=f[d>>2];C=j+48|0;f[A>>2]=C;f[d>>2]=p;D=C}f[j>>2]=1124007936;f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;f[o+12>>2]=0;f[o+16>>2]=0;f[o+20>>2]=0;f[o+24>>2]=0;f[o+28>>2]=0;f[q>>2]=0;f[v>>2]=0;f[v+4>>2]=0;f[v+8>>2]=0;f[v+12>>2]=0;if((D|0)!=(j+48|0))TC(D)}D=h+4|0;v=f[D>>2]|0;if((v|0)>0)E=f[(f[h+44>>2]|0)+(v+-1<<2)>>2]|0;else E=0;v=Y(E,y)|0;q=v+15&-16;o=Y(q,y)|0;C=(Y(y*5|0,E)|0)+32+o|0;E=j+8|0;f[j>>2]=E;p=j+4|0;f[p>>2]=C;if(C>>>0>1032){d=euc(C)|0;f[j>>2]=d;F=d}else F=E;d=F+15&-16;Ri(k,y,y,a,d,q);Ri(l,y,1,a,d+o|0,0);a=d+(o+v)|0;v=m+8|0;f[v>>2]=0;f[v+4>>2]=0;f[m>>2]=33619968;f[m+4>>2]=k;EI(h,m);m=k+16|0;v=f[m>>2]|0;if(x)G=LD(v,f[k+48>>2]|0,f[l+16>>2]|0,f[i+16>>2]|0,f[z>>2]|0,y,a)|0;else G=MD(v,f[k+48>>2]|0,f[l+16>>2]|0,f[i+16>>2]|0,f[z>>2]|0,y,a)|0;EI(l,c);c=l+36|0;a=f[c>>2]|0;if(a|0?(y=a+12|0,a=f[y>>2]|0,f[y>>2]=a+-1,(a|0)==1):0)aU(l);f[c>>2]=0;c=l+16|0;a=l+4|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[a>>2]|0)>0){c=f[l+40>>2]|0;y=0;do{f[c+(y<<2)>>2]=0;y=y+1|0}while((y|0)<(f[a>>2]|0))}a=f[l+44>>2]|0;if((a|0)!=(l+48|0))TC(a);a=k+36|0;l=f[a>>2]|0;if(l|0?(y=l+12|0,l=f[y>>2]|0,f[y>>2]=l+-1,(l|0)==1):0)aU(k);f[a>>2]=0;a=k+4|0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;if((f[a>>2]|0)>0){m=f[k+40>>2]|0;l=0;do{f[m+(l<<2)>>2]=0;l=l+1|0}while((l|0)<(f[a>>2]|0))}a=f[k+44>>2]|0;if((a|0)!=(k+48|0))TC(a);a=f[j>>2]|0;if((a|0)!=(E|0)){if(a|0)guc(a);f[j>>2]=E;f[p>>2]=1032}p=i+36|0;E=f[p>>2]|0;if(E|0?(j=E+12|0,E=f[j>>2]|0,f[j>>2]=E+-1,(E|0)==1):0)aU(i);f[p>>2]=0;p=i+16|0;f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;f[p+12>>2]=0;if((f[w>>2]|0)>0){p=f[r>>2]|0;r=0;do{f[p+(r<<2)>>2]=0;r=r+1|0}while((r|0)<(f[w>>2]|0))}w=f[B>>2]|0;if((w|0)!=(z|0))TC(w);w=h+36|0;z=f[w>>2]|0;if(z|0?(B=z+12|0,z=f[B>>2]|0,f[B>>2]=z+-1,(z|0)==1):0)aU(h);f[w>>2]=0;w=h+16|0;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;f[w+12>>2]=0;if((f[D>>2]|0)>0){w=f[h+40>>2]|0;z=0;do{f[w+(z<<2)>>2]=0;z=z+1|0}while((z|0)<(f[D>>2]|0))}D=f[h+44>>2]|0;if((D|0)!=(h+48|0))TC(D);if(!(f[g+4>>2]|0)){u=e;return G|0}u=e;return G|0}function LD(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0.0,u=0,v=0.0,w=0,x=0,y=0,z=0.0,A=0,B=0,C=0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0.0,J=0,K=0.0,N=0.0,O=0.0,P=0.0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0;i=b>>>2;b=(d|0)!=0;if(b){j=e>>>2;if((g|0)>0){k=g<<2;l=0;do{m=Y(j,l)|0;kzc(d+(m<<2)|0,0,k|0)|0;n[d+(m+l<<2)>>2]=1.0;l=l+1|0}while((l|0)!=(g|0));o=j}else o=j}else o=e;e=Y(g*30|0,g)|0;j=h+3&-4;h=j+(g<<2)|0;if((g|0)<=0)return 1;l=i+1|0;k=g+-1|0;m=0;do{p=a+((Y(m,l)|0)<<2)|0;f[c+(m<<2)>>2]=f[p>>2];if((m|0)<(k|0)){p=m+1|0;q=Y(m,i)|0;r=m+2|0;if((r|0)<(g|0)){s=p;t=+L(+(+n[a+(q+p<<2)>>2]));u=r;while(1){v=+L(+(+n[a+(u+q<<2)>>2]));r=t<v;w=r?u:s;u=u+1|0;if((u|0)==(g|0)){x=w;break}else{s=w;t=r?v:t}}}else x=p;f[j+(m<<2)>>2]=x}if((m|0)>0){if((m|0)==1)y=0;else{s=0;t=+L(+(+n[a+(m<<2)>>2]));u=1;while(1){q=a+((Y(u,i)|0)+m<<2)|0;v=+L(+(+n[q>>2]));q=t<v;r=q?u:s;u=u+1|0;if((u|0)>=(m|0)){y=r;break}else{s=r;t=q?v:t}}}f[h+(m<<2)>>2]=y}m=m+1|0}while((m|0)!=(g|0));m=(g|0)>1;y=g+-1|0;if(m&(e|0)>0){x=(y|0)>1;k=(g|0)<1|b^1;l=0;do{s=f[j>>2]|0;t=+L(+(+n[a+(s<<2)>>2]));if(x){u=0;p=1;v=t;do{q=Y(p,i)|0;z=+L(+(+n[a+((f[j+(p<<2)>>2]|0)+q<<2)>>2]));q=v<z;v=q?z:v;u=q?p:u;p=p+1|0}while((p|0)!=(y|0));A=f[j+(u<<2)>>2]|0;B=u;C=1;D=v}else{A=s;B=0;C=1;D=t}while(1){p=f[h+(C<<2)>>2]|0;q=a+((Y(p,i)|0)+C<<2)|0;z=+L(+(+n[q>>2]));q=D<z;A=q?C:A;B=q?p:B;C=C+1|0;if((C|0)==(g|0))break;else D=q?z:D}s=Y(B,i)|0;u=a+(s+A<<2)|0;t=+n[u>>2];v=+L(+t);if(v<=1.1920928955078125e-07)break;q=c+(A<<2)|0;p=c+(B<<2)|0;z=(+n[q>>2]-+n[p>>2])*.5;E=+L(+z);if(!(v>E))if(z!=z|0.0!=0.0|z==0.0)F=0.0;else{G=v/E;H=E;I=G*G;J=38}else{G=E/v;H=v;I=G*G;J=38}if((J|0)==38){J=0;F=H*+M(+(I+1.0))}G=E+F;E=+L(+G);if(!(v>E))if(G!=G|0.0!=0.0|G==0.0)K=0.0;else{N=v/E;O=E;P=N*N;J=43}else{N=E/v;O=v;P=N*N;J=43}if((J|0)==43){J=0;K=O*+M(+(P+1.0))}N=G/K;v=t/K;E=t*(t/G);r=z<0.0;z=r?-E:E;E=r?-v:v;n[u>>2]=0.0;n[p>>2]=+n[p>>2]-z;n[q>>2]=z+ +n[q>>2];q=(B|0)>0;if(q){p=0;do{u=Y(p,i)|0;r=a+(u+B<<2)|0;z=+n[r>>2];w=a+(u+A<<2)|0;v=+n[w>>2];n[r>>2]=N*z-E*v;n[w>>2]=E*z+N*v;p=p+1|0}while((p|0)!=(B|0))}p=B+1|0;if((p|0)<(A|0)){w=p;do{r=a+(w+s<<2)|0;v=+n[r>>2];u=a+((Y(w,i)|0)+A<<2)|0;z=+n[u>>2];n[r>>2]=N*v-E*z;n[u>>2]=E*v+N*z;w=w+1|0}while((w|0)!=(A|0))}w=A+1|0;if((w|0)<(g|0)){u=Y(A,i)|0;r=w;do{Q=a+(r+s<<2)|0;z=+n[Q>>2];R=a+(r+u<<2)|0;v=+n[R>>2];n[Q>>2]=N*z-E*v;n[R>>2]=E*z+N*v;r=r+1|0}while((r|0)!=(g|0))}if(!k){r=Y(B,o)|0;u=Y(A,o)|0;R=0;do{Q=d+(R+r<<2)|0;v=+n[Q>>2];S=d+(R+u<<2)|0;z=+n[S>>2];n[Q>>2]=N*v-E*z;n[S>>2]=E*v+N*z;R=R+1|0}while((R|0)!=(g|0))}if((B|0)<(y|0)){R=B+2|0;if((R|0)<(g|0)){u=p;N=+L(+(+n[a+(s+p<<2)>>2]));r=R;while(1){E=+L(+(+n[a+(r+s<<2)>>2]));R=N<E;S=R?r:u;r=r+1|0;if((r|0)==(g|0)){T=S;break}else{u=S;N=R?E:N}}}else T=p;f[j+(B<<2)>>2]=T}if(q){if((B|0)==1)U=0;else{N=+L(+(+n[a+(B<<2)>>2]));u=1;r=0;while(1){s=a+((Y(u,i)|0)+B<<2)|0;E=+L(+(+n[s>>2]));s=N<E;R=s?u:r;u=u+1|0;if((u|0)>=(B|0)){U=R;break}else{N=s?E:N;r=R}}}f[h+(B<<2)>>2]=U}if((A|0)<(y|0)){r=Y(A,i)|0;u=A+2|0;if((u|0)<(g|0)){q=w;N=+L(+(+n[a+(r+w<<2)>>2]));p=u;while(1){E=+L(+(+n[a+(p+r<<2)>>2]));u=N<E;R=u?p:q;p=p+1|0;if((p|0)==(g|0)){V=R;break}else{q=R;N=u?E:N}}}else V=w;f[j+(A<<2)>>2]=V}if((A|0)>0){if((A|0)==1)W=0;else{N=+L(+(+n[a+(A<<2)>>2]));q=1;p=0;while(1){r=a+((Y(q,i)|0)+A<<2)|0;E=+L(+(+n[r>>2]));r=N<E;u=r?q:p;q=q+1|0;if((q|0)>=(A|0)){W=u;break}else{N=r?E:N;p=u}}}f[h+(A<<2)>>2]=W}l=l+1|0}while((l|0)<(e|0));if(!m)return 1}else if(!m)return 1;if(b)X=0;else{b=0;do{m=b;b=b+1|0;if((b|0)<(g|0)){e=b;l=m;while(1){W=+n[c+(l<<2)>>2]<+n[c+(e<<2)>>2]?e:l;e=e+1|0;if((e|0)==(g|0)){Z=W;break}else l=W}}else Z=m;if((m|0)!=(Z|0)){l=c+(Z<<2)|0;e=c+(m<<2)|0;W=f[l>>2]|0;f[l>>2]=f[e>>2];f[e>>2]=W}}while((b|0)!=(y|0));return 1}do{b=X;X=X+1|0;if((X|0)<(g|0)){Z=X;W=b;while(1){e=+n[c+(W<<2)>>2]<+n[c+(Z<<2)>>2]?Z:W;Z=Z+1|0;if((Z|0)==(g|0)){_=e;break}else W=e}}else _=b;if((b|0)!=(_|0)){W=c+(_<<2)|0;Z=c+(b<<2)|0;m=f[W>>2]|0;f[W>>2]=f[Z>>2];f[Z>>2]=m;m=Y(_,o)|0;Z=Y(b,o)|0;W=0;do{e=d+(W+m<<2)|0;l=d+(W+Z<<2)|0;A=f[e>>2]|0;f[e>>2]=f[l>>2];f[l>>2]=A;W=W+1|0}while((W|0)!=(g|0))}}while((X|0)!=(y|0));return 1}function MD(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0.0,u=0,v=0.0,w=0,x=0,y=0,z=0.0,A=0,B=0,C=0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0.0,J=0,K=0.0,N=0.0,O=0.0,P=0.0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0;i=b>>>3;b=(d|0)!=0;if(b){j=e>>>3;if((g|0)>0){k=g<<3;l=0;do{m=Y(j,l)|0;kzc(d+(m<<3)|0,0,k|0)|0;p[d+(m+l<<3)>>3]=1.0;l=l+1|0}while((l|0)!=(g|0));n=j}else n=j}else n=e;e=Y(g*30|0,g)|0;j=h+3&-4;h=j+(g<<2)|0;if((g|0)<=0)return 1;l=i+1|0;k=g+-1|0;m=0;do{o=a+((Y(m,l)|0)<<3)|0;p[c+(m<<3)>>3]=+p[o>>3];if((m|0)<(k|0)){o=m+1|0;q=Y(m,i)|0;r=m+2|0;if((r|0)<(g|0)){s=o;t=+L(+(+p[a+(q+o<<3)>>3]));u=r;while(1){v=+L(+(+p[a+(u+q<<3)>>3]));r=t<v;w=r?u:s;u=u+1|0;if((u|0)==(g|0)){x=w;break}else{s=w;t=r?v:t}}}else x=o;f[j+(m<<2)>>2]=x}if((m|0)>0){if((m|0)==1)y=0;else{s=0;t=+L(+(+p[a+(m<<3)>>3]));u=1;while(1){q=a+((Y(u,i)|0)+m<<3)|0;v=+L(+(+p[q>>3]));q=t<v;r=q?u:s;u=u+1|0;if((u|0)>=(m|0)){y=r;break}else{s=r;t=q?v:t}}}f[h+(m<<2)>>2]=y}m=m+1|0}while((m|0)!=(g|0));m=(g|0)>1;y=g+-1|0;if(m&(e|0)>0){x=(y|0)>1;k=(g|0)<1|b^1;l=0;do{s=f[j>>2]|0;t=+L(+(+p[a+(s<<3)>>3]));if(x){u=0;o=1;v=t;do{q=Y(o,i)|0;z=+L(+(+p[a+((f[j+(o<<2)>>2]|0)+q<<3)>>3]));q=v<z;v=q?z:v;u=q?o:u;o=o+1|0}while((o|0)!=(y|0));A=f[j+(u<<2)>>2]|0;B=u;C=1;D=v}else{A=s;B=0;C=1;D=t}while(1){o=f[h+(C<<2)>>2]|0;q=a+((Y(o,i)|0)+C<<3)|0;z=+L(+(+p[q>>3]));q=D<z;A=q?C:A;B=q?o:B;C=C+1|0;if((C|0)==(g|0))break;else D=q?z:D}s=Y(B,i)|0;u=a+(s+A<<3)|0;t=+p[u>>3];v=+L(+t);if(v<=2.220446049250313e-16)break;q=c+(A<<3)|0;o=c+(B<<3)|0;z=(+p[q>>3]-+p[o>>3])*.5;E=+L(+z);if(!(v>E))if(z!=z|0.0!=0.0|z==0.0)F=0.0;else{G=v/E;H=E;I=G*G;J=38}else{G=E/v;H=v;I=G*G;J=38}if((J|0)==38){J=0;F=H*+M(+(I+1.0))}G=E+F;E=+L(+G);if(!(v>E))if(G!=G|0.0!=0.0|G==0.0)K=0.0;else{N=v/E;O=E;P=N*N;J=43}else{N=E/v;O=v;P=N*N;J=43}if((J|0)==43){J=0;K=O*+M(+(P+1.0))}N=G/K;v=t/K;E=t*(t/G);r=z<0.0;z=r?-E:E;E=r?-v:v;p[u>>3]=0.0;p[o>>3]=+p[o>>3]-z;p[q>>3]=z+ +p[q>>3];q=(B|0)>0;if(q){o=0;do{u=Y(o,i)|0;r=a+(u+B<<3)|0;z=+p[r>>3];w=a+(u+A<<3)|0;v=+p[w>>3];p[r>>3]=N*z-E*v;p[w>>3]=E*z+N*v;o=o+1|0}while((o|0)!=(B|0))}o=B+1|0;if((o|0)<(A|0)){w=o;do{r=a+(w+s<<3)|0;v=+p[r>>3];u=a+((Y(w,i)|0)+A<<3)|0;z=+p[u>>3];p[r>>3]=N*v-E*z;p[u>>3]=E*v+N*z;w=w+1|0}while((w|0)!=(A|0))}w=A+1|0;if((w|0)<(g|0)){u=Y(A,i)|0;r=w;do{Q=a+(r+s<<3)|0;z=+p[Q>>3];R=a+(r+u<<3)|0;v=+p[R>>3];p[Q>>3]=N*z-E*v;p[R>>3]=E*z+N*v;r=r+1|0}while((r|0)!=(g|0))}if(!k){r=Y(B,n)|0;u=Y(A,n)|0;R=0;do{Q=d+(R+r<<3)|0;v=+p[Q>>3];S=d+(R+u<<3)|0;z=+p[S>>3];p[Q>>3]=N*v-E*z;p[S>>3]=E*v+N*z;R=R+1|0}while((R|0)!=(g|0))}if((B|0)<(y|0)){R=B+2|0;if((R|0)<(g|0)){u=o;N=+L(+(+p[a+(s+o<<3)>>3]));r=R;while(1){E=+L(+(+p[a+(r+s<<3)>>3]));R=N<E;S=R?r:u;r=r+1|0;if((r|0)==(g|0)){T=S;break}else{u=S;N=R?E:N}}}else T=o;f[j+(B<<2)>>2]=T}if(q){if((B|0)==1)U=0;else{N=+L(+(+p[a+(B<<3)>>3]));u=1;r=0;while(1){s=a+((Y(u,i)|0)+B<<3)|0;E=+L(+(+p[s>>3]));s=N<E;R=s?u:r;u=u+1|0;if((u|0)>=(B|0)){U=R;break}else{N=s?E:N;r=R}}}f[h+(B<<2)>>2]=U}if((A|0)<(y|0)){r=Y(A,i)|0;u=A+2|0;if((u|0)<(g|0)){q=w;N=+L(+(+p[a+(r+w<<3)>>3]));o=u;while(1){E=+L(+(+p[a+(o+r<<3)>>3]));u=N<E;R=u?o:q;o=o+1|0;if((o|0)==(g|0)){V=R;break}else{q=R;N=u?E:N}}}else V=w;f[j+(A<<2)>>2]=V}if((A|0)>0){if((A|0)==1)W=0;else{N=+L(+(+p[a+(A<<3)>>3]));q=1;o=0;while(1){r=a+((Y(q,i)|0)+A<<3)|0;E=+L(+(+p[r>>3]));r=N<E;u=r?q:o;q=q+1|0;if((q|0)>=(A|0)){W=u;break}else{N=r?E:N;o=u}}}f[h+(A<<2)>>2]=W}l=l+1|0}while((l|0)<(e|0));if(!m)return 1}else if(!m)return 1;if(b)X=0;else{b=0;do{m=b;b=b+1|0;if((b|0)<(g|0)){e=b;l=m;while(1){W=+p[c+(l<<3)>>3]<+p[c+(e<<3)>>3]?e:l;e=e+1|0;if((e|0)==(g|0)){Z=W;break}else l=W}}else Z=m;if((m|0)!=(Z|0)){l=c+(Z<<3)|0;e=c+(m<<3)|0;K=+p[l>>3];p[l>>3]=+p[e>>3];p[e>>3]=K}}while((b|0)!=(y|0));return 1}do{b=X;X=X+1|0;if((X|0)<(g|0)){Z=X;e=b;while(1){l=+p[c+(e<<3)>>3]<+p[c+(Z<<3)>>3]?Z:e;Z=Z+1|0;if((Z|0)==(g|0)){_=l;break}else e=l}}else _=b;if((b|0)!=(_|0)){e=c+(_<<3)|0;Z=c+(b<<3)|0;K=+p[e>>3];p[e>>3]=+p[Z>>3];p[Z>>3]=K;Z=Y(_,n)|0;e=Y(b,n)|0;m=0;do{l=d+(m+Z<<3)|0;W=d+(m+e<<3)|0;K=+p[l>>3];p[l>>3]=+p[W>>3];p[W>>3]=K;m=m+1|0}while((m|0)!=(g|0))}}while((X|0)!=(y|0));return 1}function ND(a,b,c,d,e,f,g,h,i,j,k,l,m,o,q){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;o=o|0;q=q|0;var r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0.0,z=0,A=0.0,B=0,C=0,D=0,E=0,F=0,G=0,H=0.0,I=0.0,J=0,K=0,M=0.0,N=0.0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0;r=(d|0)==0?1:d>>>2;d=f>>>2;f=i>>>2;i=k>>>2;k=o>>>2;o=q+7&-8;q=o;s=o;o=g?d:1;t=g?1:d;d=(b|0)<(a|0)?b:a;g=(j|0)!=0;u=g?l:a;l=(b|0)>0;v=(u|0)>0;if(l&v){w=u<<2;x=0;do{kzc(m+((Y(x,k)|0)<<2)|0,0,w|0)|0;x=x+1|0}while((x|0)!=(b|0))}if((d|0)>0){y=0.0;z=0}else return;do{x=c+((Y(z,r)|0)<<2)|0;y=y+ +n[x>>2];z=z+1|0}while((z|0)<(d|0));A=y*4.440892098500626e-16;z=(u|0)==1;x=(a|0)>0;w=u+-4|0;B=(u|0)<4;C=u&-4;D=(C|0)<(u|0);E=u<<3;F=e;e=h;h=0;while(1){G=c+((Y(h,r)|0)<<2)|0;y=+n[G>>2];a:do if(!(+L(+y)<=A)){H=1.0/y;if(z){if(g)if(x){I=0.0;G=0;while(1){J=F+((Y(G,t)|0)<<2)|0;K=j+((Y(G,i)|0)<<2)|0;M=I+ +n[J>>2]*+n[K>>2];G=G+1|0;if((G|0)==(a|0)){N=M;break}else I=M}}else N=0.0;else N=+n[F>>2];I=H*N;if(l)O=0;else break;while(1){G=m+((Y(O,k)|0)<<2)|0;n[G>>2]=+n[G>>2]+I*+n[e+(O<<2)>>2];O=O+1|0;if((O|0)==(b|0))break a}}b:do if(g){if(v)kzc(q|0,0,E|0)|0;c:do if(x){if(B){if(v){P=j;Q=0}else break b;while(1){G=F+((Y(Q,t)|0)<<2)|0;I=+n[G>>2];G=0;do{K=s+(G<<3)|0;p[K>>3]=+p[K>>3]+I*+n[P+(G<<2)>>2];G=G+1|0}while((G|0)!=(u|0));Q=Q+1|0;if((Q|0)==(a|0))break c;else P=P+(i<<2)|0}}if(D){R=j;S=0}else{G=j;K=0;while(1){J=F+((Y(K,t)|0)<<2)|0;I=+n[J>>2];J=0;do{T=s+(J<<3)|0;U=J|1;V=s+(U<<3)|0;M=+p[V>>3]+I*+n[G+(U<<2)>>2];p[T>>3]=+p[T>>3]+I*+n[G+(J<<2)>>2];p[V>>3]=M;V=J|2;T=s+(V<<3)|0;U=J|3;W=s+(U<<3)|0;M=+p[W>>3]+I*+n[G+(U<<2)>>2];p[T>>3]=+p[T>>3]+I*+n[G+(V<<2)>>2];p[W>>3]=M;J=J+4|0}while((J|0)<=(w|0));K=K+1|0;if((K|0)==(a|0))break c;else G=G+(i<<2)|0}}while(1){G=F+((Y(S,t)|0)<<2)|0;I=+n[G>>2];G=0;do{K=s+(G<<3)|0;J=G|1;W=s+(J<<3)|0;M=+p[W>>3]+I*+n[R+(J<<2)>>2];p[K>>3]=+p[K>>3]+I*+n[R+(G<<2)>>2];p[W>>3]=M;W=G|2;K=s+(W<<3)|0;J=G|3;V=s+(J<<3)|0;M=+p[V>>3]+I*+n[R+(J<<2)>>2];p[K>>3]=+p[K>>3]+I*+n[R+(W<<2)>>2];p[V>>3]=M;G=G+4|0}while((G|0)<=(w|0));X=C;do{G=s+(X<<3)|0;p[G>>3]=+p[G>>3]+I*+n[R+(X<<2)>>2];X=X+1|0}while((X|0)!=(u|0));S=S+1|0;if((S|0)==(a|0))break;else R=R+(i<<2)|0}}while(0);if(v){G=0;do{V=s+(G<<3)|0;p[V>>3]=H*+p[V>>3];G=G+1|0}while((G|0)!=(u|0))}}else if(v){G=0;do{V=F+((Y(G,t)|0)<<2)|0;p[s+(G<<3)>>3]=H*+n[V>>2];G=G+1|0}while((G|0)!=(u|0))}while(0);if(l){if(B){if(v){Z=m;_=0}else break;while(1){H=+n[e+(_<<2)>>2];G=0;do{V=Z+(G<<2)|0;n[V>>2]=+n[V>>2]+H*+p[s+(G<<3)>>3];G=G+1|0}while((G|0)!=(u|0));_=_+1|0;if((_|0)==(b|0))break a;else Z=Z+(k<<2)|0}}if(D){$=m;aa=0}else{G=m;V=0;while(1){H=+n[e+(V<<2)>>2];W=0;do{K=G+(W<<2)|0;J=W|1;T=G+(J<<2)|0;I=+n[T>>2]+H*+p[s+(J<<3)>>3];n[K>>2]=+n[K>>2]+H*+p[s+(W<<3)>>3];n[T>>2]=I;T=W|2;K=G+(T<<2)|0;J=W|3;U=G+(J<<2)|0;I=+n[U>>2]+H*+p[s+(J<<3)>>3];n[K>>2]=+n[K>>2]+H*+p[s+(T<<3)>>3];n[U>>2]=I;W=W+4|0}while((W|0)<=(w|0));V=V+1|0;if((V|0)==(b|0))break a;else G=G+(k<<2)|0}}while(1){H=+n[e+(aa<<2)>>2];G=0;do{V=$+(G<<2)|0;W=G|1;U=$+(W<<2)|0;I=+n[U>>2]+H*+p[s+(W<<3)>>3];n[V>>2]=+n[V>>2]+H*+p[s+(G<<3)>>3];n[U>>2]=I;U=G|2;V=$+(U<<2)|0;W=G|3;T=$+(W<<2)|0;I=+n[T>>2]+H*+p[s+(W<<3)>>3];n[V>>2]=+n[V>>2]+H*+p[s+(U<<3)>>3];n[T>>2]=I;G=G+4|0}while((G|0)<=(w|0));ba=C;do{G=$+(ba<<2)|0;n[G>>2]=+n[G>>2]+H*+p[s+(ba<<3)>>3];ba=ba+1|0}while((ba|0)!=(u|0));aa=aa+1|0;if((aa|0)==(b|0))break;else $=$+(k<<2)|0}}}while(0);h=h+1|0;if((h|0)>=(d|0))break;else{F=F+(o<<2)|0;e=e+(f<<2)|0}}return}function OD(a,b,c,d,e,f,g,h,i,j,k,l,m,n,o){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;var q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0,z=0.0,A=0,B=0,C=0.0,D=0.0,E=0,F=0,G=0.0,H=0.0,I=0;q=(d|0)==0?1:d>>>3;d=f>>>3;f=i>>>3;i=k>>>3;k=n>>>3;n=o+7&-8;o=n;r=n;n=g?d:1;s=g?1:d;d=(b|0)<(a|0)?b:a;g=(j|0)!=0;t=g?l:a;l=(b|0)>0;u=(t|0)>0;if(l&u){v=t<<3;w=0;do{kzc(m+((Y(w,k)|0)<<3)|0,0,v|0)|0;w=w+1|0}while((w|0)!=(b|0))}if((d|0)>0){x=0.0;y=0}else return;do{w=c+((Y(y,q)|0)<<3)|0;x=x+ +p[w>>3];y=y+1|0}while((y|0)<(d|0));z=x*4.440892098500626e-16;y=(t|0)==1;w=(a|0)>0;v=t<<3;A=e;e=h;h=0;while(1){B=c+((Y(h,q)|0)<<3)|0;x=+p[B>>3];a:do if(!(+L(+x)<=z)){C=1.0/x;if(y){if(g)if(w){D=0.0;B=0;while(1){E=A+((Y(B,s)|0)<<3)|0;F=j+((Y(B,i)|0)<<3)|0;G=D+ +p[E>>3]*+p[F>>3];B=B+1|0;if((B|0)==(a|0)){H=G;break}else D=G}}else H=0.0;else H=+p[A>>3];D=C*H;if(l)I=0;else break;while(1){B=m+((Y(I,k)|0)<<3)|0;p[B>>3]=+p[B>>3]+D*+p[e+(I<<3)>>3];I=I+1|0;if((I|0)==(b|0))break a}}do if(!g){if(u){B=0;do{F=A+((Y(B,s)|0)<<3)|0;p[r+(B<<3)>>3]=C*+p[F>>3];B=B+1|0}while((B|0)!=(t|0))}}else{if(!u){PD(a,t,j,i,A,s,r,0);break}kzc(o|0,0,v|0)|0;PD(a,t,j,i,A,s,r,0);B=0;do{F=r+(B<<3)|0;p[F>>3]=C*+p[F>>3];B=B+1|0}while((B|0)!=(t|0))}while(0);PD(b,t,r,0,e,1,m,k)}while(0);h=h+1|0;if((h|0)>=(d|0))break;else{A=A+(n<<3)|0;e=e+(f<<3)|0}}return}function PD(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0.0,q=0,r=0,s=0.0,t=0;if((a|0)<=0)return;i=b+-4|0;if((b|0)<4){j=(b|0)>0;k=g;l=0;m=c;while(1){n=e+((Y(l,f)|0)<<3)|0;o=+p[n>>3];if(j){n=0;do{q=k+(n<<3)|0;p[q>>3]=+p[q>>3]+o*+p[m+(n<<3)>>3];n=n+1|0}while((n|0)!=(b|0))}l=l+1|0;if((l|0)==(a|0))break;else{k=k+(h<<3)|0;m=m+(d<<3)|0}}return}m=b&-4;k=(m|0)<(b|0);l=g;g=0;j=c;while(1){c=e+((Y(g,f)|0)<<3)|0;o=+p[c>>3];c=0;do{n=l+(c<<3)|0;q=c|1;r=l+(q<<3)|0;s=+p[r>>3]+o*+p[j+(q<<3)>>3];p[n>>3]=+p[n>>3]+o*+p[j+(c<<3)>>3];p[r>>3]=s;r=c|2;n=l+(r<<3)|0;q=c|3;t=l+(q<<3)|0;s=+p[t>>3]+o*+p[j+(q<<3)>>3];p[n>>3]=+p[n>>3]+o*+p[j+(r<<3)>>3];p[t>>3]=s;c=c+4|0}while((c|0)<=(i|0));if(k){c=m;do{t=l+(c<<3)|0;p[t>>3]=+p[t>>3]+o*+p[j+(c<<3)>>3];c=c+1|0}while((c|0)!=(b|0))}g=g+1|0;if((g|0)==(a|0))break;else{l=l+(h<<3)|0;j=j+(d<<3)|0}}return}function QD(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0.0,T=0.0,U=0.0,V=0.0,W=0.0,X=0,Z=0.0,_=0.0,$=0.0,aa=0.0,ba=0.0,ca=0.0,da=0.0,ea=0.0,fa=0.0,ga=0.0,ha=0.0,ia=0.0,ja=0.0,ka=0.0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0;g=u;u=u+1632|0;h=g;i=g+1568|0;j=g+1560|0;k=g+1504|0;l=g+1448|0;m=g+408|0;o=g+352|0;q=g+296|0;r=g+240|0;s=g+184|0;t=g+128|0;v=g+72|0;w=g+56|0;gV(j,35244);do if((qJ(a)|0)==65536){x=f[a+4>>2]|0;f[k>>2]=f[x>>2];y=k+4|0;z=x+4|0;f[y>>2]=f[z>>2];A=k+8|0;f[A>>2]=f[x+8>>2];f[k+12>>2]=f[x+12>>2];f[k+16>>2]=f[x+16>>2];f[k+20>>2]=f[x+20>>2];f[k+24>>2]=f[x+24>>2];f[k+28>>2]=f[x+28>>2];f[k+32>>2]=f[x+32>>2];B=f[x+36>>2]|0;f[k+36>>2]=B;f[k+40>>2]=A;A=k+48|0;C=k+44|0;f[C>>2]=A;f[A>>2]=0;f[k+52>>2]=0;if(B|0){A=B+12|0;f[A>>2]=(f[A>>2]|0)+1}if((f[z>>2]|0)<3){z=f[x+44>>2]|0;A=f[C>>2]|0;f[A>>2]=f[z>>2];f[A+4>>2]=f[z+4>>2];break}else{f[y>>2]=0;$T(k,x);break}}else nJ(k,a,-1);while(0);do if((qJ(c)|0)==65536){a=f[c+4>>2]|0;f[l>>2]=f[a>>2];x=l+4|0;y=a+4|0;f[x>>2]=f[y>>2];z=l+8|0;f[z>>2]=f[a+8>>2];f[l+12>>2]=f[a+12>>2];f[l+16>>2]=f[a+16>>2];f[l+20>>2]=f[a+20>>2];f[l+24>>2]=f[a+24>>2];f[l+28>>2]=f[a+28>>2];f[l+32>>2]=f[a+32>>2];A=f[a+36>>2]|0;f[l+36>>2]=A;f[l+40>>2]=z;z=l+48|0;C=l+44|0;f[C>>2]=z;f[z>>2]=0;f[l+52>>2]=0;if(A|0){z=A+12|0;f[z>>2]=(f[z>>2]|0)+1}if((f[y>>2]|0)<3){y=f[a+44>>2]|0;z=f[C>>2]|0;f[z>>2]=f[y>>2];f[z+4>>2]=f[y+4>>2];D=l;break}else{f[x>>2]=0;$T(l,a);D=l;break}}else{nJ(l,c,-1);D=l}while(0);c=f[k>>2]|0;a=c&4095;x=(e&16|0)!=0;y=f[D>>2]|0;if((a|0)!=(y&4095|0)){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;E=cuc(64)|0;f[h>>2]=E;F=h+8|0;f[F>>2]=-2147483584;G=h+4|0;f[G>>2]=58;H=E;I=190924;J=H+58|0;do{b[H>>0]=b[I>>0]|0;H=H+1|0;I=I+1|0}while((H|0)<(J|0));K=E+58|0;b[K>>0]=0;WD(-215,h,190983,190151,1109)}D=(a|0)==5;if((a+-5|0)>>>0>=2){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;E=cuc(64)|0;f[h>>2]=E;F=h+8|0;f[F>>2]=-2147483584;G=h+4|0;f[G>>2]=58;H=E;I=190924;J=H+58|0;do{b[H>>0]=b[I>>0]|0;H=H+1|0;I=I+1|0}while((H|0)<(J|0));K=E+58|0;b[K>>0]=0;WD(-215,h,190983,190151,1109)}K=e&-17;if(K>>>0>=5)zN(K,35264);a:do switch(e|0){case 0:case 3:case 16:case 19:{if(!x?(f[k+8>>2]|0)!=(f[k+12>>2]|0):0){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;E=cuc(96)|0;f[h>>2]=E;f[h+8>>2]=-2147483552;f[h+4>>2]=87;H=E;I=190989;J=H+87|0;do{b[H>>0]=b[I>>0]|0;H=H+1|0;I=I+1|0}while((H|0)<(J|0));b[E+87>>0]=0;WD(-215,h,190983,190151,1116)}switch(e|0){case 0:case 3:case 16:case 19:break;default:{L=61;break a}}if(((!x?(G=k+8|0,F=f[G>>2]|0,(F|0)<4):0)?(F|0)==(f[k+12>>2]|0):0)?(f[l+12>>2]|0)==1:0){jK(d,F,1,a,-1,0,0);do if((qJ(d)|0)==65536){F=f[d+4>>2]|0;f[h>>2]=f[F>>2];z=h+4|0;C=F+4|0;f[z>>2]=f[C>>2];A=h+8|0;f[A>>2]=f[F+8>>2];f[h+12>>2]=f[F+12>>2];B=h+16|0;f[B>>2]=f[F+16>>2];f[h+20>>2]=f[F+20>>2];f[h+24>>2]=f[F+24>>2];f[h+28>>2]=f[F+28>>2];f[h+32>>2]=f[F+32>>2];M=f[F+36>>2]|0;f[h+36>>2]=M;f[h+40>>2]=A;A=h+48|0;N=h+44|0;f[N>>2]=A;f[A>>2]=0;f[h+52>>2]=0;if(M|0){O=M+12|0;f[O>>2]=(f[O>>2]|0)+1}if((f[C>>2]|0)<3){C=f[F+44>>2]|0;O=f[N>>2]|0;f[O>>2]=f[C>>2];f[O+4>>2]=f[C+4>>2];P=B;Q=N;R=A;break}else{f[z>>2]=0;$T(h,F);P=B;Q=N;R=A;break}}else{nJ(h,d,-1);P=h+16|0;Q=h+44|0;R=h+48|0}while(0);E=f[k+16>>2]|0;A=f[l+16>>2]|0;N=f[P>>2]|0;B=f[k+48>>2]|0;F=f[l+48>>2]|0;z=f[R>>2]|0;b:do switch(f[G>>2]|0){case 2:{if(D){S=+n[E>>2];C=E+B|0;T=+n[C+4>>2];U=+n[E+4>>2];V=+n[C>>2];W=S*T-U*V;if(!(W!=0.0)){X=0;break b}Z=1.0/W;W=+n[A>>2];_=+n[A+F>>2];n[N+z>>2]=Z*(S*_-V*W);n[N>>2]=Z*(T*W-U*_);X=1;break b}else{_=+p[E>>3];C=E+B|0;U=+p[C+8>>3];W=+p[E+8>>3];T=+p[C>>3];Z=_*U-W*T;if(!(Z!=0.0)){X=0;break b}V=1.0/Z;Z=+p[A>>3];S=+p[A+F>>3];p[N+z>>3]=V*(_*S-T*Z);p[N>>3]=V*(U*Z-W*S);X=1;break b}break}case 3:{C=B<<1;if(D){S=+n[E>>2];O=E+B|0;W=+n[O+4>>2];M=E+C|0;Z=+n[M+8>>2];U=Z;V=+n[O+8>>2];T=+n[M+4>>2];_=W*U-V*T;$=+n[E+4>>2];aa=+n[O>>2];ba=+n[M>>2];ca=U*aa-V*ba;da=+n[E+8>>2];ea=T*aa-W*ba;fa=da*ea+(S*_-$*ca);if(!(fa!=0.0)){X=0;break b}ga=1.0/fa;fa=+n[A>>2];ha=+n[A+F>>2];ia=ha;ja=+n[A+(F<<1)>>2];ka=V*ja;V=T*ia;T=W*ja;W=aa*ja-ba*ia;n[N>>2]=ga*(da*(V-T)+(_*fa-$*(U*ia-ka)));n[N+z>>2]=ga*(da*W+(S*(Z*ha-ka)-ca*fa));n[N+(z<<1)>>2]=ga*(ea*fa+(S*(T-V)-$*W));X=1;break b}else{W=+p[E>>3];M=E+B|0;$=+p[M+8>>3];O=E+C|0;V=+p[O+16>>3];T=+p[M+16>>3];S=+p[O+8>>3];fa=$*V-T*S;ea=+p[E+8>>3];ga=+p[M>>3];ca=V*ga;ka=+p[O>>3];ha=T*ka;Z=+p[E+16>>3];da=S*ga-$*ka;ia=Z*da+(W*fa-ea*(ca-ha));if(!(ia!=0.0)){X=0;break b}U=1.0/ia;ia=+p[A>>3];_=+p[A+F>>3];ba=+p[A+(F<<1)>>3];p[N>>3]=U*(fa*ia+(S*Z-V*ea)*_+(T*ea-$*Z)*ba);p[N+z>>3]=U*((ha-ca)*ia+(W*V-ka*Z)*_+(ga*Z-W*T)*ba);p[N+(z<<1)>>3]=U*(da*ia+(ea*ka-W*S)*_+(W*$-ea*ga)*ba);X=1;break b}break}default:if(D){ba=+n[E>>2];if(!(ba!=0.0)){X=0;break b}n[N>>2]=+n[A>>2]/ba;X=1;break b}else{ba=+p[E>>3];if(!(ba!=0.0)){X=0;break b}p[N>>3]=+p[A>>3]/ba;X=1;break b}}while(0);A=h+36|0;N=f[A>>2]|0;if(N|0?(E=N+12|0,N=f[E>>2]|0,f[E>>2]=N+-1,(N|0)==1):0)aU(h);f[A>>2]=0;A=h+4|0;f[P>>2]=0;f[P+4>>2]=0;f[P+8>>2]=0;f[P+12>>2]=0;if((f[A>>2]|0)>0){N=f[h+40>>2]|0;E=0;do{f[N+(E<<2)>>2]=0;E=E+1|0}while((E|0)<(f[A>>2]|0))}A=f[Q>>2]|0;if((A|0)!=(R|0))TC(A);la=X;ma=l+36|0}else L=61;break}default:L=61}while(0);if((L|0)==61){X=f[k+8>>2]|0;R=k+12|0;Q=f[R>>2]|0;P=f[l+12>>2]|0;A=Y(675553809>>>(a<<2&28)&15,(c>>>3&511)+1|0)|0;c=Y(Q,A)|0;E=c+15&-16;N=(Y(X,A)|0)+15&-16;z=(e|0)!=1?E:N;N=m+8|0;f[m>>2]=N;F=m+4|0;f[F>>2]=1032;f[o>>2]=y;y=o+4|0;B=l+4|0;G=f[B>>2]|0;f[y>>2]=G;O=o+8|0;f[O>>2]=f[l+8>>2];M=o+12|0;f[M>>2]=P;C=o+16|0;f[C>>2]=f[l+16>>2];na=o+20|0;f[na>>2]=f[l+20>>2];oa=o+24|0;f[oa>>2]=f[l+24>>2];pa=o+28|0;f[pa>>2]=f[l+28>>2];qa=o+32|0;f[qa>>2]=f[l+32>>2];ra=o+36|0;sa=l+36|0;ta=f[sa>>2]|0;f[ra>>2]=ta;ua=o+40|0;f[ua>>2]=O;va=o+48|0;wa=o+44|0;f[wa>>2]=va;f[va>>2]=0;f[o+52>>2]=0;if(!ta)xa=G;else{G=ta+12|0;f[G>>2]=(f[G>>2]|0)+1;xa=f[B>>2]|0}if((xa|0)<3){xa=f[l+44>>2]|0;B=f[wa>>2]|0;f[B>>2]=f[xa>>2];f[B+4>>2]=f[xa+4>>2]}else{f[y>>2]=0;$T(o,l)}jK(d,f[R>>2]|0,f[M>>2]|0,f[k>>2]&4095,-1,0,0);do if((qJ(d)|0)==65536){R=f[d+4>>2]|0;f[q>>2]=f[R>>2];xa=q+4|0;B=R+4|0;f[xa>>2]=f[B>>2];G=q+8|0;f[G>>2]=f[R+8>>2];f[q+12>>2]=f[R+12>>2];f[q+16>>2]=f[R+16>>2];f[q+20>>2]=f[R+20>>2];f[q+24>>2]=f[R+24>>2];f[q+28>>2]=f[R+28>>2];f[q+32>>2]=f[R+32>>2];ta=f[R+36>>2]|0;f[q+36>>2]=ta;f[q+40>>2]=G;G=q+48|0;ya=q+44|0;f[ya>>2]=G;f[G>>2]=0;f[q+52>>2]=0;if(ta|0){G=ta+12|0;f[G>>2]=(f[G>>2]|0)+1}if((f[B>>2]|0)<3){B=f[R+44>>2]|0;G=f[ya>>2]|0;f[G>>2]=f[B>>2];f[G+4>>2]=f[B+4>>2];break}else{f[xa>>2]=0;$T(q,R);break}}else nJ(q,d,-1);while(0);if((X|0)<(Q|0)){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;d=cuc(64)|0;f[h>>2]=d;f[h+8>>2]=-2147483584;f[h+4>>2]=58;H=d;I=191077;J=H+58|0;do{b[H>>0]=b[I>>0]|0;H=H+1|0;I=I+1|0}while((H|0)<(J|0));b[d+58>>0]=0;WD(-5,h,190983,190151,1262)}d=(X|0)==(Q|0);if(d){za=K;Aa=0;Ba=X}else{za=(e|0)==17?2:K;Aa=x;Ba=x?Q:X}x=(za|0)==1;K=Y(Aa|x?Q:X,z)|0;e=Y(c,P)|0;c=(Aa?e+32|0:32)+K|0;I=(za|0)==2;if((za+-1|0)>>>0<2)Ca=(P<<3)+32+(Y(E+(A*5|0)|0,Q)|0)+c|0;else Ca=c;if((f[F>>2]|0)>>>0<Ca>>>0){c=f[m>>2]|0;if((c|0)==(N|0))Da=c;else{if(c|0)guc(c);f[m>>2]=N;f[F>>2]=1032;Da=N}f[F>>2]=Ca;if(Ca>>>0>1032){c=euc(Ca)|0;f[m>>2]=c;Ea=c}else Ea=Da}else{f[F>>2]=Ca;Ea=f[m>>2]|0}Ca=Ea+15&-16;Ri(r,Ba,Q,a,Ca,z);c:do if(Aa){f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=k;Ea=i+8|0;f[Ea>>2]=0;f[Ea+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=r;bR(h,i,1,sK()|0,1.0,-1);Ea=Ca+K|0;switch(za|0){case 0:case 3:{f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=k;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=o;f[t>>2]=1124007936;Da=t+4|0;c=t+8|0;R=t+40|0;H=Da;J=H+36|0;do{f[H>>2]=0;H=H+4|0}while((H|0)<(J|0));f[R>>2]=c;xa=t+48|0;B=t+44|0;f[B>>2]=xa;f[xa>>2]=0;f[t+52>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;f[s>>2]=16842752;f[s+4>>2]=t;G=v+8|0;f[G>>2]=0;f[G+4>>2]=0;f[v>>2]=33619968;f[v+4>>2]=q;HQ(h,i,1.0,s,0.0,v,1);G=t+36|0;ya=f[G>>2]|0;if(ya|0?(ta=ya+12|0,ya=f[ta>>2]|0,f[ta>>2]=ya+-1,(ya|0)==1):0)aU(t);f[G>>2]=0;G=t+16|0;f[G>>2]=0;f[G+4>>2]=0;f[G+8>>2]=0;f[G+12>>2]=0;if((f[Da>>2]|0)>0){G=f[R>>2]|0;ya=0;do{f[G+(ya<<2)>>2]=0;ya=ya+1|0}while((ya|0)<(f[Da>>2]|0))}Da=f[B>>2]|0;if((Da|0)!=(xa|0))TC(Da);Fa=Ea;break c;break}default:{}}Ri(h,Q,P,a,Ea,0);Da=Ca+K+e|0;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=k;f[s+8>>2]=0;f[s+12>>2]=0;f[s>>2]=16842752;f[s+4>>2]=o;f[v>>2]=1124007936;ya=v+4|0;G=v+8|0;R=v+40|0;H=ya;J=H+36|0;do{f[H>>2]=0;H=H+4|0}while((H|0)<(J|0));f[R>>2]=G;Ea=v+48|0;xa=v+44|0;f[xa>>2]=Ea;f[Ea>>2]=0;f[v+52>>2]=0;f[t+8>>2]=0;f[t+12>>2]=0;f[t>>2]=16842752;f[t+4>>2]=v;B=w+8|0;f[B>>2]=0;f[B+4>>2]=0;f[w>>2]=33619968;f[w+4>>2]=h;HQ(i,s,1.0,t,0.0,w,1);B=v+36|0;c=f[B>>2]|0;if(c|0?(ta=c+12|0,c=f[ta>>2]|0,f[ta>>2]=c+-1,(c|0)==1):0)aU(v);f[B>>2]=0;B=v+16|0;f[B>>2]=0;f[B+4>>2]=0;f[B+8>>2]=0;f[B+12>>2]=0;if((f[ya>>2]|0)>0){B=f[R>>2]|0;c=0;do{f[B+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[ya>>2]|0))}ya=f[xa>>2]|0;if((ya|0)!=(Ea|0))TC(ya);ya=h+36|0;c=f[ya>>2]|0;if(c|0){B=c+12|0;f[B>>2]=(f[B>>2]|0)+1}B=f[ra>>2]|0;do if(B|0){c=B+12|0;R=f[c>>2]|0;f[c>>2]=R+-1;if((R|0)!=1)break;aU(o)}while(0);f[ra>>2]=0;f[C>>2]=0;f[C+4>>2]=0;f[C+8>>2]=0;f[C+12>>2]=0;if((f[y>>2]|0)>0){B=f[ua>>2]|0;Ea=0;do{f[B+(Ea<<2)>>2]=0;Ea=Ea+1|0;Ga=f[y>>2]|0}while((Ea|0)<(Ga|0));f[o>>2]=f[h>>2];if((Ga|0)<3)L=134;else L=136}else{f[o>>2]=f[h>>2];L=134}do if((L|0)==134){Ea=f[h+4>>2]|0;if((Ea|0)>=3){L=136;break}f[y>>2]=Ea;f[O>>2]=f[h+8>>2];f[M>>2]=f[h+12>>2];Ea=f[h+44>>2]|0;B=f[wa>>2]|0;f[B>>2]=f[Ea>>2];f[B+4>>2]=f[Ea+4>>2]}while(0);if((L|0)==136)$T(o,h);Ea=h+16|0;f[C>>2]=f[Ea>>2];f[na>>2]=f[h+20>>2];f[oa>>2]=f[h+24>>2];f[pa>>2]=f[h+28>>2];f[qa>>2]=f[h+32>>2];B=f[ya>>2]|0;f[ra>>2]=B;do if(B|0){xa=B+12|0;R=f[xa>>2]|0;f[xa>>2]=R+-1;if((R|0)!=1)break;aU(h)}while(0);f[ya>>2]=0;B=h+4|0;f[Ea>>2]=0;f[Ea+4>>2]=0;f[Ea+8>>2]=0;f[Ea+12>>2]=0;if((f[B>>2]|0)>0){R=f[h+40>>2]|0;xa=0;do{f[R+(xa<<2)>>2]=0;xa=xa+1|0}while((xa|0)<(f[B>>2]|0))}B=f[h+44>>2]|0;if((B|0)!=(h+48|0))TC(B);Fa=Da}else{if(x){Ri(h,Q,Ba,a,Ca,z);B=r+36|0;xa=f[B>>2]|0;if(xa|0?(R=xa+12|0,xa=f[R>>2]|0,f[R>>2]=xa+-1,(xa|0)==1):0)aU(r);f[B>>2]=0;xa=r+16|0;R=r+4|0;f[xa>>2]=0;f[xa+4>>2]=0;f[xa+8>>2]=0;f[xa+12>>2]=0;if((f[R>>2]|0)>0){Ea=f[r+40>>2]|0;ya=0;do{f[Ea+(ya<<2)>>2]=0;ya=ya+1|0}while((ya|0)<(f[R>>2]|0))}f[r>>2]=f[h>>2];ya=h+4|0;Ea=f[ya>>2]|0;f[R>>2]=Ea;Da=h+8|0;c=r+8|0;f[c>>2]=f[Da>>2];f[r+12>>2]=f[h+12>>2];G=h+16|0;f[xa>>2]=f[G>>2];f[r+20>>2]=f[h+20>>2];f[r+24>>2]=f[h+24>>2];f[r+28>>2]=f[h+28>>2];f[r+32>>2]=f[h+32>>2];ta=h+36|0;f[B>>2]=f[ta>>2];Ha=r+44|0;Ia=f[Ha>>2]|0;Ja=r+48|0;if((Ia|0)==(Ja|0)){Ka=Ea;La=Ia}else{TC(Ia);f[Ha>>2]=Ja;f[r+40>>2]=c;Ka=f[ya>>2]|0;La=Ja}Ja=h+44|0;if((Ka|0)<3){c=f[Ja>>2]|0;f[La>>2]=f[c>>2];f[La+4>>2]=f[c+4>>2];Ma=c}else{f[Ha>>2]=f[Ja>>2];Ha=h+40|0;f[r+40>>2]=f[Ha>>2];c=h+48|0;f[Ja>>2]=c;f[Ha>>2]=Da;Ma=c}f[h>>2]=1124007936;f[ya>>2]=0;f[ya+4>>2]=0;f[ya+8>>2]=0;f[ya+12>>2]=0;f[ya+16>>2]=0;f[ya+20>>2]=0;f[ya+24>>2]=0;f[ya+28>>2]=0;f[ta>>2]=0;f[G>>2]=0;f[G+4>>2]=0;f[G+8>>2]=0;f[G+12>>2]=0;if((Ma|0)!=(h+48|0))TC(Ma);f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=k;G=i+8|0;f[G>>2]=0;f[G+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=r;HN(h,i)}else{G=h+8|0;f[G>>2]=0;f[G+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=r;EI(k,h)}G=Ca+K|0;switch(za|0){case 0:case 3:break;default:{Fa=G;break c}}ta=h+8|0;f[ta>>2]=0;f[ta+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=q;EI(o,h);Fa=G}while(0);d:do switch(za|0){case 0:{K=f[r+16>>2]|0;if(D)if(!(NG(K,f[r+48>>2]|0,Q,f[q+16>>2]|0,f[q+48>>2]|0,P)|0)){L=266;break d}else{Na=1;break d}else if(!(PG(K,f[r+48>>2]|0,Q,f[q+16>>2]|0,f[q+48>>2]|0,P)|0)){L=266;break d}else{Na=1;break d}break}case 3:{K=f[r+16>>2]|0;if(D)Oa=RG(K,f[r+48>>2]|0,Q,f[q+16>>2]|0,f[q+48>>2]|0,P)|0;else Oa=TG(K,f[r+48>>2]|0,Q,f[q+16>>2]|0,f[q+48>>2]|0,P)|0;if(Oa)Na=1;else L=266;break}case 4:{f[s>>2]=1124007936;K=s+4|0;Ca=s+8|0;Ma=s+40|0;H=K;J=H+36|0;do{f[H>>2]=0;H=H+4|0}while((H|0)<(J|0));f[Ma>>2]=Ca;B=s+48|0;xa=s+44|0;f[xa>>2]=B;f[B>>2]=0;f[s+52>>2]=0;if(d|Aa){R=h+8|0;f[R>>2]=0;f[R+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=q;EI(o,h);R=q+36|0;La=f[R>>2]|0;if(La|0){Ka=La+12|0;f[Ka>>2]=(f[Ka>>2]|0)+1}Ka=s+36|0;La=f[Ka>>2]|0;do if(La|0){z=La+12|0;x=f[z>>2]|0;f[z>>2]=x+-1;if((x|0)!=1)break;aU(s)}while(0);f[Ka>>2]=0;La=s+16|0;f[La>>2]=0;f[La+4>>2]=0;f[La+8>>2]=0;f[La+12>>2]=0;if((f[K>>2]|0)>0){x=f[Ma>>2]|0;z=0;do{f[x+(z<<2)>>2]=0;z=z+1|0;Pa=f[K>>2]|0}while((z|0)<(Pa|0));f[s>>2]=f[q>>2];if((Pa|0)<3)L=164;else L=166}else{f[s>>2]=f[q>>2];L=164}do if((L|0)==164){z=f[q+4>>2]|0;if((z|0)>=3){L=166;break}f[K>>2]=z;f[Ca>>2]=f[q+8>>2];f[s+12>>2]=f[q+12>>2];z=f[q+44>>2]|0;x=f[xa>>2]|0;f[x>>2]=f[z>>2];f[x+4>>2]=f[z+4>>2]}while(0);if((L|0)==166)$T(s,q);f[La>>2]=f[q+16>>2];f[s+20>>2]=f[q+20>>2];f[s+24>>2]=f[q+24>>2];f[s+28>>2]=f[q+28>>2];f[s+32>>2]=f[q+32>>2];f[Ka>>2]=f[R>>2]}else{f[i>>2]=1124007936;z=i+4|0;x=i+8|0;qa=i+40|0;H=z;J=H+36|0;do{f[H>>2]=0;H=H+4|0}while((H|0)<(J|0));f[qa>>2]=x;R=i+48|0;f[i+44>>2]=R;f[R>>2]=0;f[i+52>>2]=0;f[h>>2]=X;f[h+4>>2]=P;ZT(i,2,h,a);Ka=s+36|0;La=f[Ka>>2]|0;if(La|0?(pa=La+12|0,La=f[pa>>2]|0,f[pa>>2]=La+-1,(La|0)==1):0)aU(s);f[Ka>>2]=0;La=s+16|0;f[La>>2]=0;f[La+4>>2]=0;f[La+8>>2]=0;f[La+12>>2]=0;if((f[K>>2]|0)>0){pa=f[Ma>>2]|0;oa=0;do{f[pa+(oa<<2)>>2]=0;oa=oa+1|0}while((oa|0)<(f[K>>2]|0))}f[s>>2]=f[i>>2];oa=f[z>>2]|0;f[K>>2]=oa;f[Ca>>2]=f[x>>2];f[s+12>>2]=f[i+12>>2];pa=i+16|0;f[La>>2]=f[pa>>2];f[s+20>>2]=f[i+20>>2];f[s+24>>2]=f[i+24>>2];f[s+28>>2]=f[i+28>>2];f[s+32>>2]=f[i+32>>2];na=i+36|0;f[Ka>>2]=f[na>>2];M=s+44|0;O=f[M>>2]|0;if((O|0)==(B|0))Qa=oa;else{TC(O);f[M>>2]=B;f[Ma>>2]=Ca;Qa=f[z>>2]|0}O=i+44|0;if((Qa|0)<3){oa=f[O>>2]|0;f[B>>2]=f[oa>>2];f[s+52>>2]=f[oa+4>>2];Ra=oa}else{f[M>>2]=f[O>>2];f[s+40>>2]=f[qa>>2];f[O>>2]=R;f[qa>>2]=x;Ra=R}f[i>>2]=1124007936;f[z>>2]=0;f[z+4>>2]=0;f[z+8>>2]=0;f[z+12>>2]=0;f[z+16>>2]=0;f[z+20>>2]=0;f[z+24>>2]=0;f[z+28>>2]=0;f[na>>2]=0;f[pa>>2]=0;f[pa+4>>2]=0;f[pa+8>>2]=0;f[pa+12>>2]=0;if((Ra|0)!=(R|0))TC(Ra);pa=h+8|0;f[pa>>2]=0;f[pa+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=s;EI(o,h)}pa=f[r+16>>2]|0;if(D)Sa=VG(pa,f[r+48>>2]|0,f[r+8>>2]|0,f[r+12>>2]|0,f[s+12>>2]|0,f[s+16>>2]|0,f[B>>2]|0,0)|0;else Sa=WG(pa,f[r+48>>2]|0,f[r+8>>2]|0,f[r+12>>2]|0,f[s+12>>2]|0,f[s+16>>2]|0,f[B>>2]|0,0)|0;pa=(Sa|0)==0;na=f[q+8>>2]|0;if((f[Ca>>2]|0)!=(na|0)){f[h>>2]=0;f[h+4>>2]=na;f[i>>2]=-2147483648;f[i+4>>2]=2147483647;bU(t,s,h,i);na=h+8|0;f[na>>2]=0;f[na+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=q;EI(t,h);na=t+36|0;O=f[na>>2]|0;do if(O|0){M=O+12|0;oa=f[M>>2]|0;f[M>>2]=oa+-1;if((oa|0)!=1)break;aU(t)}while(0);f[na>>2]=0;O=t+16|0;Ca=t+4|0;f[O>>2]=0;f[O+4>>2]=0;f[O+8>>2]=0;f[O+12>>2]=0;if((f[Ca>>2]|0)>0){O=f[t+40>>2]|0;R=0;do{f[O+(R<<2)>>2]=0;R=R+1|0}while((R|0)<(f[Ca>>2]|0))}Ca=f[t+44>>2]|0;if((Ca|0)!=(t+48|0))TC(Ca)}Ca=s+36|0;R=f[Ca>>2]|0;do if(R|0){O=R+12|0;na=f[O>>2]|0;f[O>>2]=na+-1;if((na|0)!=1)break;aU(s)}while(0);f[Ca>>2]=0;R=s+16|0;f[R>>2]=0;f[R+4>>2]=0;f[R+8>>2]=0;f[R+12>>2]=0;if((f[K>>2]|0)>0){R=f[Ma>>2]|0;na=0;do{f[R+(na<<2)>>2]=0;na=na+1|0}while((na|0)<(f[K>>2]|0))}K=f[xa>>2]|0;if((K|0)!=(B|0))TC(K);if(pa)L=266;else Na=1;break}default:{K=Fa+15&-16;Ri(h,Q,Q,a,K,E);Ri(i,Q,1,a,K+(Y(E,Q)|0)|0,0);f[s>>2]=1124007936;na=s+4|0;R=s+8|0;Ma=s+40|0;H=na;J=H+36|0;do{f[H>>2]=0;H=H+4|0}while((H|0)<(J|0));f[Ma>>2]=R;pa=s+48|0;B=s+44|0;f[B>>2]=pa;f[pa>>2]=0;f[s+52>>2]=0;xa=K+(Y(E+A|0,Q)|0)|0;Ca=f[r+16>>2]|0;e:do if(I){if(D)LD(Ca,f[r+48>>2]|0,f[i+16>>2]|0,f[h+16>>2]|0,f[h+48>>2]|0,Q,xa)|0;else MD(Ca,f[r+48>>2]|0,f[i+16>>2]|0,f[h+16>>2]|0,f[h+48>>2]|0,Q,xa)|0;O=h+36|0;z=f[O>>2]|0;if(z|0){x=z+12|0;f[x>>2]=(f[x>>2]|0)+1}x=s+36|0;z=f[x>>2]|0;do if(z|0){qa=z+12|0;Ka=f[qa>>2]|0;f[qa>>2]=Ka+-1;if((Ka|0)!=1)break;aU(s)}while(0);f[x>>2]=0;z=s+16|0;f[z>>2]=0;f[z+4>>2]=0;f[z+8>>2]=0;f[z+12>>2]=0;if((f[na>>2]|0)>0){Ka=f[Ma>>2]|0;qa=0;do{f[Ka+(qa<<2)>>2]=0;qa=qa+1|0;Ta=f[na>>2]|0}while((qa|0)<(Ta|0));f[s>>2]=f[h>>2];if((Ta|0)<3)L=218}else{f[s>>2]=f[h>>2];L=218}do if((L|0)==218){qa=f[h+4>>2]|0;if((qa|0)>=3)break;f[na>>2]=qa;f[R>>2]=f[h+8>>2];f[s+12>>2]=f[h+12>>2];qa=f[h+44>>2]|0;Ka=f[B>>2]|0;f[Ka>>2]=f[qa>>2];f[Ka+4>>2]=f[qa+4>>2];Ua=O;Va=x;Wa=z;Xa=h;break e}while(0);$T(s,h);Ua=O;Va=x;Wa=z;Xa=h}else{if(D){qa=f[h+16>>2]|0;ED(Ca,f[r+48>>2]|0,f[i+16>>2]|0,qa,f[h+48>>2]|0,Ba,Q,(qa|0)==0?0:Q,1.1754943508222875e-38,2.384185791015625e-07)}else{qa=f[h+16>>2]|0;FD(Ca,f[r+48>>2]|0,f[i+16>>2]|0,qa,f[h+48>>2]|0,Ba,Q,(qa|0)==0?0:Q,2.2250738585072014e-308,2.220446049250313e-15)}qa=r+36|0;Ka=f[qa>>2]|0;if(Ka|0){La=Ka+12|0;f[La>>2]=(f[La>>2]|0)+1}La=s+36|0;Ka=f[La>>2]|0;do if(Ka|0){oa=Ka+12|0;M=f[oa>>2]|0;f[oa>>2]=M+-1;if((M|0)!=1)break;aU(s)}while(0);f[La>>2]=0;Ka=s+16|0;f[Ka>>2]=0;f[Ka+4>>2]=0;f[Ka+8>>2]=0;f[Ka+12>>2]=0;if((f[na>>2]|0)>0){z=f[Ma>>2]|0;x=0;do{f[z+(x<<2)>>2]=0;x=x+1|0;Ya=f[na>>2]|0}while((x|0)<(Ya|0));f[s>>2]=f[r>>2];if((Ya|0)<3)L=234}else{f[s>>2]=f[r>>2];L=234}do if((L|0)==234){x=f[r+4>>2]|0;if((x|0)>=3)break;f[na>>2]=x;f[R>>2]=f[r+8>>2];f[s+12>>2]=f[r+12>>2];x=f[r+44>>2]|0;z=f[B>>2]|0;f[z>>2]=f[x>>2];f[z+4>>2]=f[x+4>>2];Ua=qa;Va=La;Wa=Ka;Xa=r;break e}while(0);$T(s,r);Ua=qa;Va=La;Wa=Ka;Xa=r}while(0);f[Wa>>2]=f[Xa+16>>2];f[s+20>>2]=f[Xa+20>>2];f[s+24>>2]=f[Xa+24>>2];f[s+28>>2]=f[Xa+28>>2];f[s+32>>2]=f[Xa+32>>2];f[Va>>2]=f[Ua>>2];R=i+16|0;Ca=f[R>>2]|0;if(D)ND(Ba,Q,Ca,0,f[s+16>>2]|0,f[pa>>2]|0,1,f[h+16>>2]|0,f[h+48>>2]|0,f[C>>2]|0,f[va>>2]|0,P,f[q+16>>2]|0,f[q+48>>2]|0,xa);else OD(Ba,Q,Ca,0,f[s+16>>2]|0,f[pa>>2]|0,1,f[h+16>>2]|0,f[h+48>>2]|0,f[C>>2]|0,f[va>>2]|0,P,f[q+16>>2]|0,f[q+48>>2]|0,xa);Ca=s+36|0;K=f[Ca>>2]|0;if(K|0?(x=K+12|0,K=f[x>>2]|0,f[x>>2]=K+-1,(K|0)==1):0)aU(s);f[Ca>>2]=0;Ca=s+16|0;f[Ca>>2]=0;f[Ca+4>>2]=0;f[Ca+8>>2]=0;f[Ca+12>>2]=0;if((f[na>>2]|0)>0){Ca=f[Ma>>2]|0;K=0;do{f[Ca+(K<<2)>>2]=0;K=K+1|0}while((K|0)<(f[na>>2]|0))}na=f[B>>2]|0;if((na|0)!=(pa|0))TC(na);na=i+36|0;K=f[na>>2]|0;do if(K|0){Ca=K+12|0;Ma=f[Ca>>2]|0;f[Ca>>2]=Ma+-1;if((Ma|0)!=1)break;aU(i)}while(0);f[na>>2]=0;K=i+4|0;f[R>>2]=0;f[R+4>>2]=0;f[R+8>>2]=0;f[R+12>>2]=0;if((f[K>>2]|0)>0){pa=f[i+40>>2]|0;B=0;do{f[pa+(B<<2)>>2]=0;B=B+1|0}while((B|0)<(f[K>>2]|0))}K=f[i+44>>2]|0;if((K|0)!=(i+48|0))TC(K);K=h+36|0;B=f[K>>2]|0;do if(B|0){pa=B+12|0;R=f[pa>>2]|0;f[pa>>2]=R+-1;if((R|0)!=1)break;aU(h)}while(0);f[K>>2]=0;B=h+16|0;R=h+4|0;f[B>>2]=0;f[B+4>>2]=0;f[B+8>>2]=0;f[B+12>>2]=0;if((f[R>>2]|0)>0){B=f[h+40>>2]|0;pa=0;do{f[B+(pa<<2)>>2]=0;pa=pa+1|0}while((pa|0)<(f[R>>2]|0))}R=f[h+44>>2]|0;if((R|0)!=(h+48|0))TC(R);Na=1}}while(0);if((L|0)==266){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;f[h+16>>2]=0;f[h+20>>2]=0;f[h+24>>2]=0;f[h+28>>2]=0;GI(q,h)|0;Na=0}h=r+36|0;L=f[h>>2]|0;if(L|0?(i=L+12|0,L=f[i>>2]|0,f[i>>2]=L+-1,(L|0)==1):0)aU(r);f[h>>2]=0;h=r+16|0;L=r+4|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;if((f[L>>2]|0)>0){h=f[r+40>>2]|0;i=0;do{f[h+(i<<2)>>2]=0;i=i+1|0}while((i|0)<(f[L>>2]|0))}L=f[r+44>>2]|0;if((L|0)!=(r+48|0))TC(L);L=q+36|0;r=f[L>>2]|0;if(r|0?(i=r+12|0,r=f[i>>2]|0,f[i>>2]=r+-1,(r|0)==1):0)aU(q);f[L>>2]=0;L=q+16|0;r=q+4|0;f[L>>2]=0;f[L+4>>2]=0;f[L+8>>2]=0;f[L+12>>2]=0;if((f[r>>2]|0)>0){L=f[q+40>>2]|0;i=0;do{f[L+(i<<2)>>2]=0;i=i+1|0}while((i|0)<(f[r>>2]|0))}r=f[q+44>>2]|0;if((r|0)!=(q+48|0))TC(r);r=f[ra>>2]|0;do if(r|0){q=r+12|0;i=f[q>>2]|0;f[q>>2]=i+-1;if((i|0)!=1)break;aU(o)}while(0);f[ra>>2]=0;f[C>>2]=0;f[C+4>>2]=0;f[C+8>>2]=0;f[C+12>>2]=0;if((f[y>>2]|0)>0){C=f[ua>>2]|0;ua=0;do{f[C+(ua<<2)>>2]=0;ua=ua+1|0}while((ua|0)<(f[y>>2]|0))}y=f[wa>>2]|0;if((y|0)!=(va|0))TC(y);y=f[m>>2]|0;if((y|0)!=(N|0)){if(y|0)guc(y);f[m>>2]=N;f[F>>2]=1032}la=Na;ma=sa}sa=f[ma>>2]|0;if(sa|0?(Na=sa+12|0,sa=f[Na>>2]|0,f[Na>>2]=sa+-1,(sa|0)==1):0)aU(l);f[ma>>2]=0;ma=l+16|0;sa=l+4|0;f[ma>>2]=0;f[ma+4>>2]=0;f[ma+8>>2]=0;f[ma+12>>2]=0;if((f[sa>>2]|0)>0){ma=f[l+40>>2]|0;Na=0;do{f[ma+(Na<<2)>>2]=0;Na=Na+1|0}while((Na|0)<(f[sa>>2]|0))}sa=f[l+44>>2]|0;if((sa|0)!=(l+48|0))TC(sa);sa=k+36|0;l=f[sa>>2]|0;if(l|0?(Na=l+12|0,l=f[Na>>2]|0,f[Na>>2]=l+-1,(l|0)==1):0)aU(k);f[sa>>2]=0;sa=k+16|0;l=k+4|0;f[sa>>2]=0;f[sa+4>>2]=0;f[sa+8>>2]=0;f[sa+12>>2]=0;if((f[l>>2]|0)>0){sa=f[k+40>>2]|0;Na=0;do{f[sa+(Na<<2)>>2]=0;Na=Na+1|0}while((Na|0)<(f[l>>2]|0))}l=f[k+44>>2]|0;if((l|0)!=(k+48|0))TC(l);if(!(f[j+4>>2]|0)){u=g;return la|0}u=g;return la|0}function RD(a){a=a|0;var c=0;f[a>>2]=35300;c=a+44|0;if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);c=a+32|0;if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);c=a+20|0;if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);c=a+4|0;if((b[c+11>>0]|0)>=0)return;fuc(f[c>>2]|0);return}function SD(a){a=a|0;var c=0;f[a>>2]=35300;c=a+44|0;if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);c=a+32|0;if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);c=a+20|0;if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);c=a+4|0;if((b[c+11>>0]|0)>=0){fuc(a);return}fuc(f[c>>2]|0);fuc(a);return}function TD(a){a=a|0;var c=0,d=0;c=a+4|0;if((b[c+11>>0]|0)<0){d=f[c>>2]|0;return d|0}else{d=c;return d|0}return 0}function UD(a){a=a|0;var c=0,d=0,e=0;c=u;u=u+16|0;d=c;f[a>>2]=35320;if((f[a+4>>2]|0)==-1){u=c;return}else{b[d+11>>0]=10;c=d;a=191373;e=c+10|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(e|0));b[d+10>>0]=0;WD(-215,d,191384,191402,1501)}}function VD(a){a=a|0;var c=0,d=0,e=0;c=u;u=u+16|0;d=c;f[a>>2]=35320;if((f[a+4>>2]|0)==-1){fuc(a);u=c;return}else{b[d+11>>0]=10;c=d;a=191373;e=c+10|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(e|0));b[d+10>>0]=0;WD(-215,d,191384,191402,1501)}}function WD(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;h=u;u=u+96|0;i=h+24|0;j=h+12|0;k=h;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;h=jfc(d)|0;if(h>>>0>4294967279)muc(j);if(h>>>0<11){b[j+11>>0]=h;if(!h)l=j;else{m=j;n=6}}else{o=h+16&-16;p=cuc(o)|0;f[j>>2]=p;f[j+8>>2]=o|-2147483648;f[j+4>>2]=h;m=p;n=6}if((n|0)==6){szc(m|0,d|0,h|0)|0;l=m}b[l+h>>0]=0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;h=jfc(e)|0;if(h>>>0>4294967279)muc(k);if(h>>>0<11){b[k+11>>0]=h;if(!h){q=k;r=q+h|0;b[r>>0]=0;XD(i,a,c,j,k,g);YD(i)}else s=k}else{l=h+16&-16;m=cuc(l)|0;f[k>>2]=m;f[k+8>>2]=l|-2147483648;f[k+4>>2]=h;s=m}szc(s|0,e|0,h|0)|0;q=s;r=q+h|0;b[r>>0]=0;XD(i,a,c,j,k,g);YD(i)}function XD(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0;f[a>>2]=35300;h=a+4|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[a+16>>2]=b;ouc(a+20|0,c);ouc(a+32|0,d);ouc(a+44|0,e);f[a+56>>2]=g;_D(a);return}function YD(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;c=u;u=u+4144|0;d=c+32|0;e=c+8|0;g=c;h=c+40|0;c=f[136346]|0;if(!c){if(b[1165955]|0){i=f[a+16>>2]|0;do switch(i|0){case 0:{j=192277;break}case -1:{j=192267;break}case -2:{j=192249;break}case -3:{j=365401;break}case -4:{j=192229;break}case -5:{j=192216;break}case -7:{j=192189;break}case -8:{j=192174;break}case -201:{j=192144;break}case -27:{j=192131;break}case -202:{j=192105;break}case -13:{j=192085;break}case -203:{j=192050;break}case -204:{j=192019;break}case -17:{j=191972;break}case -205:{j=191932;break}case -209:{j=191894;break}case -211:{j=191853;break}case -210:{j=191808;break}case -24:{j=191781;break}case -15:{j=191758;break}case -206:{j=191718;break}case -207:{j=191688;break}case -208:{j=191662;break}case -212:{j=191648;break}case -213:{j=191608;break}case -214:{j=191576;break}case -215:{j=191559;break}case -216:{j=191543;break}case -217:{j=191530;break}case -218:{j=191512;break}case -219:{j=191496;break}default:{f[g>>2]=(i|0)>-1?191470:485127;f[g+4>>2]=i;ihc(1165956,191477,g)|0;j=1165956}}while(0);g=a+20|0;i=(b[g+11>>0]|0)<0?f[g>>2]|0:g;g=a+32|0;k=b[g+11>>0]|0;l=k<<24>>24<0;do if((l?f[a+36>>2]|0:k&255)|0)if(l){m=f[g>>2]|0;break}else{m=g;break}else m=192286;while(0);g=a+44|0;l=(b[g+11>>0]|0)<0?f[g>>2]|0:g;g=f[a+56>>2]|0;f[e>>2]=192353;f[e+4>>2]=j;f[e+8>>2]=i;f[e+12>>2]=m;f[e+16>>2]=l;f[e+20>>2]=g;ZD(h,4096,192303,e)|0;vgc(f[39823]|0)|0;e=f[39949]|0;vgc(e)|0;f[d>>2]=h;Ugc(e,192363,d)|0;vgc(e)|0}}else{e=a+32|0;d=a+20|0;h=a+44|0;Wf[c&127](f[a+16>>2]|0,(b[e+11>>0]|0)<0?f[e>>2]|0:e,(b[d+11>>0]|0)<0?f[d>>2]|0:d,(b[h+11>>0]|0)<0?f[h>>2]|0:h,f[a+56>>2]|0,f[136347]|0)|0}if(!(b[1166212]|0)){n=ze(60)|0;vj(n,a);Hf(n|0,10432,1)}f[0]=0;aa();n=ze(60)|0;vj(n,a);Hf(n|0,10432,1)}function ZD(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0;e=u;u=u+16|0;g=e;f[g>>2]=d;d=vfc(a,b,c,g)|0;u=e;return d|0}function _D(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0;c=u;u=u+288|0;d=c+88|0;e=c+80|0;g=c+48|0;h=c+40|0;i=c+8|0;j=c;k=c+272|0;l=c+128|0;m=c+116|0;n=a+20|0;o=Nuc(n,10,0)|0;p=(o|0)!=-1;if(p){q=l+64|0;r=l+8|0;f[r>>2]=35368;s=l+12|0;f[l>>2]=10468;f[q>>2]=10488;f[l+4>>2]=0;bkc(l+64|0,s);f[l+136>>2]=0;f[l+140>>2]=-1;f[l>>2]=35348;f[q>>2]=35388;f[r>>2]=35368;gkc(s);f[s>>2]=35404;r=l+44|0;f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;f[r+12>>2]=0;f[l+60>>2]=24;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;$D(s,k);if((b[k+11>>0]|0)<0)fuc(f[k>>2]|0);t=l+8|0;v=m+11|0;w=0;x=o;do{o=aE(t,192367,2)|0;puc(m,n,w,x-w|0,n);y=(b[v>>0]|0)<0?f[m>>2]|0:m;z=aE(o,y,jfc(y)|0)|0;dkc(k,z+(f[(f[z>>2]|0)+-12>>2]|0)|0);y=Ilc(k,901876)|0;o=Th[f[(f[y>>2]|0)+28>>2]&1023](y,10)|0;Jlc(k);xkc(z,o)|0;jkc(z)|0;if((b[v>>0]|0)<0)fuc(f[m>>2]|0);w=x+1|0;x=Nuc(n,10,w)|0}while((x|0)!=-1);x=aE(t,192367,2)|0;puc(k,n,w,-1,n);w=k+11|0;m=(b[w>>0]|0)<0?f[k>>2]|0:k;aE(x,m,jfc(m)|0)|0;if((b[w>>0]|0)<0)fuc(f[k>>2]|0);w=n+11|0;m=b[w>>0]|0;if(m<<24>>24<0){A=f[a+24>>2]|0;B=f[n>>2]|0}else{A=m&255;B=n}if((b[B+(A+-1)>>0]|0)!=10){dkc(k,t+(f[(f[t>>2]|0)+-12>>2]|0)|0);A=Ilc(k,901876)|0;B=Th[f[(f[A>>2]|0)+28>>2]&1023](A,10)|0;Jlc(k);xkc(t,B)|0;jkc(t)|0}bE(k,s);if((b[w>>0]|0)<0){b[f[n>>2]>>0]=0;f[a+24>>2]=0}else{b[n>>0]=0;b[w>>0]=0}vuc(n,0);f[n>>2]=f[k>>2];f[n+4>>2]=f[k+4>>2];f[n+8>>2]=f[k+8>>2];w=b[r+11>>0]|0;f[l>>2]=35348;f[q>>2]=35388;f[t>>2]=35368;f[s>>2]=35404;if(w<<24>>24<0)fuc(f[r>>2]|0);Ric(s);Zjc(l,35464);Mic(q)}q=a+32|0;l=q+11|0;s=b[l>>0]|0;if(s<<24>>24<0)C=f[a+36>>2]|0;else C=s&255;if(!C){C=a+44|0;if((b[C+11>>0]|0)<0)D=f[C>>2]|0;else D=C;C=f[a+56>>2]|0;r=f[a+16>>2]|0;do switch(r|0){case 0:{E=192277;break}case -1:{E=192267;break}case -2:{E=192249;break}case -3:{E=365401;break}case -4:{E=192229;break}case -5:{E=192216;break}case -7:{E=192189;break}case -8:{E=192174;break}case -201:{E=192144;break}case -27:{E=192131;break}case -202:{E=192105;break}case -13:{E=192085;break}case -203:{E=192050;break}case -204:{E=192019;break}case -17:{E=191972;break}case -205:{E=191932;break}case -209:{E=191894;break}case -211:{E=191853;break}case -210:{E=191808;break}case -24:{E=191781;break}case -15:{E=191758;break}case -206:{E=191718;break}case -207:{E=191688;break}case -208:{E=191662;break}case -212:{E=191648;break}case -213:{E=191608;break}case -214:{E=191576;break}case -215:{E=191559;break}case -216:{E=191543;break}case -217:{E=191530;break}case -218:{E=191512;break}case -219:{E=191496;break}default:{f[e>>2]=(r|0)>-1?191470:485127;f[e+4>>2]=r;ihc(1165956,191477,e)|0;E=1165956}}while(0);if((b[n+11>>0]|0)<0)F=f[n>>2]|0;else F=n;f[d>>2]=192353;f[d+4>>2]=D;f[d+8>>2]=C;f[d+12>>2]=r;f[d+16>>2]=E;f[d+20>>2]=F;f[d+24>>2]=p?1171380:517126;cE(k,192477,d);d=a+4|0;F=d+11|0;if((b[F>>0]|0)<0){b[f[d>>2]>>0]=0;f[a+8>>2]=0}else{b[d>>0]=0;b[F>>0]=0}vuc(d,0);f[d>>2]=f[k>>2];f[d+4>>2]=f[k+4>>2];f[d+8>>2]=f[k+8>>2];u=c;return}if(p){p=a+44|0;if((b[p+11>>0]|0)<0)G=f[p>>2]|0;else G=p;p=f[a+56>>2]|0;d=f[a+16>>2]|0;do switch(d|0){case 0:{H=192277;I=s;break}case -1:{H=192267;I=s;break}case -2:{H=192249;I=s;break}case -3:{H=365401;I=s;break}case -4:{H=192229;I=s;break}case -5:{H=192216;I=s;break}case -7:{H=192189;I=s;break}case -8:{H=192174;I=s;break}case -201:{H=192144;I=s;break}case -27:{H=192131;I=s;break}case -202:{H=192105;I=s;break}case -13:{H=192085;I=s;break}case -203:{H=192050;I=s;break}case -204:{H=192019;I=s;break}case -17:{H=191972;I=s;break}case -205:{H=191932;I=s;break}case -209:{H=191894;I=s;break}case -211:{H=191853;I=s;break}case -210:{H=191808;I=s;break}case -24:{H=191781;I=s;break}case -15:{H=191758;I=s;break}case -206:{H=191718;I=s;break}case -207:{H=191688;I=s;break}case -208:{H=191662;I=s;break}case -212:{H=191648;I=s;break}case -213:{H=191608;I=s;break}case -214:{H=191576;I=s;break}case -215:{H=191559;I=s;break}case -216:{H=191543;I=s;break}case -217:{H=191530;I=s;break}case -218:{H=191512;I=s;break}case -219:{H=191496;I=s;break}default:{f[j>>2]=(d|0)>-1?191470:485127;f[j+4>>2]=d;ihc(1165956,191477,j)|0;H=1165956;I=b[l>>0]|0}}while(0);if(I<<24>>24<0)J=f[q>>2]|0;else J=q;if((b[n+11>>0]|0)<0)K=f[n>>2]|0;else K=n;f[i>>2]=192353;f[i+4>>2]=G;f[i+8>>2]=p;f[i+12>>2]=d;f[i+16>>2]=H;f[i+20>>2]=J;f[i+24>>2]=K;cE(k,192370,i);i=a+4|0;K=i+11|0;if((b[K>>0]|0)<0){b[f[i>>2]>>0]=0;f[a+8>>2]=0}else{b[i>>0]=0;b[K>>0]=0}vuc(i,0);f[i>>2]=f[k>>2];f[i+4>>2]=f[k+4>>2];f[i+8>>2]=f[k+8>>2];u=c;return}else{i=a+44|0;if((b[i+11>>0]|0)<0)L=f[i>>2]|0;else L=i;i=f[a+56>>2]|0;K=f[a+16>>2]|0;do switch(K|0){case 0:{M=192277;break}case -1:{M=192267;break}case -2:{M=192249;break}case -3:{M=365401;break}case -4:{M=192229;break}case -5:{M=192216;break}case -7:{M=192189;break}case -8:{M=192174;break}case -201:{M=192144;break}case -27:{M=192131;break}case -202:{M=192105;break}case -13:{M=192085;break}case -203:{M=192050;break}case -204:{M=192019;break}case -17:{M=191972;break}case -205:{M=191932;break}case -209:{M=191894;break}case -211:{M=191853;break}case -210:{M=191808;break}case -24:{M=191781;break}case -15:{M=191758;break}case -206:{M=191718;break}case -207:{M=191688;break}case -208:{M=191662;break}case -212:{M=191648;break}case -213:{M=191608;break}case -214:{M=191576;break}case -215:{M=191559;break}case -216:{M=191543;break}case -217:{M=191530;break}case -218:{M=191512;break}case -219:{M=191496;break}default:{f[h>>2]=(K|0)>-1?191470:485127;f[h+4>>2]=K;ihc(1165956,191477,h)|0;M=1165956}}while(0);if((b[n+11>>0]|0)<0)N=f[n>>2]|0;else N=n;if((b[l>>0]|0)<0)O=f[q>>2]|0;else O=q;f[g>>2]=192353;f[g+4>>2]=L;f[g+8>>2]=i;f[g+12>>2]=K;f[g+16>>2]=M;f[g+20>>2]=N;f[g+24>>2]=O;cE(k,192423,g);g=a+4|0;O=g+11|0;if((b[O>>0]|0)<0){b[f[g>>2]>>0]=0;f[a+8>>2]=0}else{b[g>>0]=0;b[O>>0]=0}vuc(g,0);f[g>>2]=f[k>>2];f[g+4>>2]=f[k+4>>2];f[g+8>>2]=f[k+8>>2];u=c;return}}function $D(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=a+32|0;ruc(d,c)|0;c=a+44|0;f[c>>2]=0;e=a+48|0;g=f[e>>2]|0;if(g&8|0){h=b[d+11>>0]|0;if(h<<24>>24<0){i=f[d>>2]|0;j=i;k=i;l=i+(f[a+36>>2]|0)|0}else{j=d;k=d;l=d+(h&255)|0}f[c>>2]=l;f[a+8>>2]=j;f[a+12>>2]=k;f[a+16>>2]=l}if(!(g&16))return;g=d+11|0;l=b[g>>0]|0;if(l<<24>>24<0){k=f[a+36>>2]|0;f[c>>2]=(f[d>>2]|0)+k;m=(f[a+40>>2]&2147483647)+-1|0;n=k}else{k=l&255;f[c>>2]=d+k;m=10;n=k}xuc(d,m,0);m=b[g>>0]|0;if(m<<24>>24<0){g=f[d>>2]|0;o=g;p=f[a+36>>2]|0;q=g}else{o=d;p=m&255;q=d}d=a+24|0;f[d>>2]=q;f[a+20>>2]=q;f[a+28>>2]=o+p;if(!(f[e>>2]&3))return;f[d>>2]=q+n;return}function aE(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;e=u;u=u+16|0;g=e+12|0;h=e;i=e+8|0;kkc(h,a);if(!(b[h>>0]|0)){lkc(h);u=e;return a|0}j=(f[a>>2]|0)+-12|0;f[i>>2]=f[a+(f[j>>2]|0)+24>>2];k=a+(f[j>>2]|0)|0;j=f[k+4>>2]|0;l=c+d|0;d=k+76|0;m=f[d>>2]|0;if((m|0)==-1){dkc(g,k);n=Ilc(g,901876)|0;o=Th[f[(f[n>>2]|0)+28>>2]&1023](n,32)|0;Jlc(g);n=o<<24>>24;f[d>>2]=n;p=n}else p=m;f[g>>2]=f[i>>2];if(dE(g,c,(j&176|0)==32?l:c,l,k,p&255)|0){lkc(h);u=e;return a|0}p=a+(f[(f[a>>2]|0)+-12>>2]|0)|0;akc(p,f[p+16>>2]|5);lkc(h);u=e;return a|0}function bE(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;d=f[c+48>>2]|0;if(d&16|0){e=c+44|0;g=f[e>>2]|0;h=f[c+24>>2]|0;if(g>>>0<h>>>0){f[e>>2]=h;i=h}else i=g;g=f[c+20>>2]|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;h=i-g|0;if(h>>>0>4294967279)muc(a);if(h>>>0<11){b[a+11>>0]=h;j=a}else{e=h+16&-16;k=cuc(e)|0;f[a>>2]=k;f[a+8>>2]=e|-2147483648;f[a+4>>2]=h;j=k}if((g|0)==(i|0))l=j;else{k=j;e=g;while(1){b[k>>0]=b[e>>0]|0;e=e+1|0;if((e|0)==(i|0))break;else k=k+1|0}l=j+h|0}b[l>>0]=0;return}if(!(d&8)){f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;return}d=f[c+8>>2]|0;l=f[c+16>>2]|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;c=l-d|0;if(c>>>0>4294967279)muc(a);if(c>>>0<11){b[a+11>>0]=c;m=a}else{h=c+16&-16;j=cuc(h)|0;f[a>>2]=j;f[a+8>>2]=h|-2147483648;f[a+4>>2]=c;m=j}if((d|0)==(l|0))n=m;else{j=m;a=d;while(1){b[j>>0]=b[a>>0]|0;a=a+1|0;if((a|0)==(l|0))break;else j=j+1|0}n=m+c|0}b[n>>0]=0;return}function cE(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;e=u;u=u+1072|0;g=e+32|0;h=e+16|0;i=e;j=g+8|0;f[g>>2]=j;k=g+4|0;f[k>>2]=1024;f[h>>2]=d;l=f[k>>2]|0;m=vfc(f[g>>2]|0,l,c,h)|0;a:do if((m|0)>-1){n=m;o=l;while(1){if((n|0)<(o|0))break;p=n+1|0;q=f[k>>2]|0;if(q>>>0<p>>>0){r=f[g>>2]|0;if(p>>>0>1024)s=euc(p)|0;else s=j;f[g>>2]=s;f[k>>2]=p;if((q|0)!=0&(s|0)!=(r|0)){b[s>>0]=b[r>>0]|0;if((q|0)!=1){b[s+1>>0]=b[r+1>>0]|0;if((q|0)==2)t=q;else{v=2;do{b[(f[g>>2]|0)+v>>0]=b[r+v>>0]|0;v=v+1|0}while((v|0)!=(q|0));t=q}}else t=1}else t=q;do{b[(f[g>>2]|0)+t>>0]=0;t=t+1|0}while((t|0)!=(p|0));if(!((r|0)==(j|0)|(r|0)==0))guc(r)}else f[k>>2]=p;f[h>>2]=d;q=f[k>>2]|0;v=vfc(f[g>>2]|0,q,c,h)|0;if((v|0)>-1){n=v;o=q}else break a}b[(f[g>>2]|0)+(o+-1)>>0]=0;q=f[g>>2]|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;if(n>>>0<11){b[a+11>>0]=n;if(!n)w=a;else{x=a;y=19}}else{v=n+16&-16;z=cuc(v)|0;f[a>>2]=z;f[a+8>>2]=v|-2147483648;f[a+4>>2]=n;x=z;y=19}if((y|0)==19){szc(x|0,q|0,n|0)|0;w=x}b[w+n>>0]=0;q=f[g>>2]|0;if((q|0)==(j|0)){u=e;return}if(q|0)guc(q);f[g>>2]=j;f[k>>2]=1024;u=e;return}while(0);f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;e=cuc(48)|0;f[i>>2]=e;f[i+8>>2]=-2147483600;f[i+4>>2]=44;k=e;j=192515;g=k+44|0;do{b[k>>0]=b[j>>0]|0;k=k+1|0;j=j+1|0}while((k|0)<(g|0));b[e+44>>0]=0;WD(-215,i,200341,191402,831)}function dE(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;i=u;u=u+16|0;j=i;k=f[a>>2]|0;if(!k){l=0;u=i;return l|0}m=e;e=c;n=m-e|0;o=g+12|0;g=f[o>>2]|0;p=(g|0)>(n|0)?g-n|0:0;n=d;g=n-e|0;if((g|0)>0?(li[f[(f[k>>2]|0)+48>>2]&511](k,c,g)|0)!=(g|0):0){f[a>>2]=0;l=0;u=i;return l|0}do if((p|0)>0){f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;if(p>>>0<11){g=j+11|0;b[g>>0]=p;q=j;r=g;s=j}else{g=p+16&-16;c=cuc(g)|0;f[j>>2]=c;f[j+8>>2]=g|-2147483648;f[j+4>>2]=p;q=c;r=j+11|0;s=j}kzc(q|0,h|0,p|0)|0;b[q+p>>0]=0;if((li[f[(f[k>>2]|0)+48>>2]&511](k,(b[r>>0]|0)<0?f[s>>2]|0:j,p)|0)==(p|0)){if((b[r>>0]|0)<0)fuc(f[s>>2]|0);break}f[a>>2]=0;if((b[r>>0]|0)<0)fuc(f[s>>2]|0);l=0;u=i;return l|0}while(0);s=m-n|0;if((s|0)>0?(li[f[(f[k>>2]|0)+48>>2]&511](k,d,s)|0)!=(s|0):0){f[a>>2]=0;l=0;u=i;return l|0}f[o>>2]=0;l=k;u=i;return l|0}function eE(a){a=a|0;var c=0;f[a>>2]=35404;c=a+32|0;if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);Ric(a);return}function fE(a){a=a|0;var c=0;f[a>>2]=35404;c=a+32|0;if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);Ric(a);fuc(a);return}function gE(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;i=c+44|0;j=f[i>>2]|0;k=c+24|0;l=f[k>>2]|0;m=l;if(j>>>0<l>>>0){f[i>>2]=l;n=m}else n=j;j=h&24;a:do if((j|0)!=0?!((g|0)==1&(j|0)==24):0){b:do switch(g|0){case 0:{o=0;p=0;break}case 1:{if(!(h&8)){i=m-(f[c+20>>2]|0)|0;o=i;p=((i|0)<0)<<31>>31;break b}else{i=(f[c+12>>2]|0)-(f[c+8>>2]|0)|0;o=i;p=((i|0)<0)<<31>>31;break b}break}case 2:{i=c+32|0;if((b[i+11>>0]|0)<0)q=f[i>>2]|0;else q=i;i=n-q|0;o=i;p=((i|0)<0)<<31>>31;break}default:{r=-1;s=-1;break a}}while(0);i=hzc(o|0,p|0,d|0,e|0)|0;t=J;if((t|0)>=0){u=c+32|0;if((b[u+11>>0]|0)<0)v=f[u>>2]|0;else v=u;u=n-v|0;w=((u|0)<0)<<31>>31;if(!((w|0)<(t|0)|(w|0)==(t|0)&u>>>0<i>>>0)){u=h&8;if(!((i|0)==0&(t|0)==0)){if(u|0?(f[c+12>>2]|0)==0:0){r=-1;s=-1;break}if((h&16|0)!=0&(l|0)==0){r=-1;s=-1;break}}if(u|0){f[c+12>>2]=(f[c+8>>2]|0)+i;f[c+16>>2]=n}if(!(h&16)){r=i;s=t}else{f[k>>2]=(f[c+20>>2]|0)+i;r=i;s=t}}else{r=-1;s=-1}}else{r=-1;s=-1}}else{r=-1;s=-1}while(0);c=a;f[c>>2]=0;f[c+4>>2]=0;c=a+8|0;f[c>>2]=r;f[c+4>>2]=s;return}function hE(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;e=c+8|0;Vg[f[(f[b>>2]|0)+16>>2]&255](a,b,f[e>>2]|0,f[e+4>>2]|0,0,d);return}function iE(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,i=0;b=a+44|0;c=f[b>>2]|0;d=f[a+24>>2]|0;if(c>>>0<d>>>0){f[b>>2]=d;e=d}else e=c;if(!(f[a+48>>2]&8)){g=-1;return g|0}c=a+16|0;d=f[c>>2]|0;if(d>>>0<e>>>0){f[c>>2]=e;i=e}else i=d;d=f[a+12>>2]|0;if(d>>>0>=i>>>0){g=-1;return g|0}g=h[d>>0]|0;return g|0}function jE(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;d=a+44|0;e=f[d>>2]|0;g=f[a+24>>2]|0;if(e>>>0<g>>>0){f[d>>2]=g;h=g}else h=e;e=h;h=a+12|0;g=f[h>>2]|0;if((f[a+8>>2]|0)>>>0>=g>>>0){i=-1;return i|0}if((c|0)==-1){f[h>>2]=g+-1;f[a+16>>2]=e;i=0;return i|0}if(!(f[a+48>>2]&16)){d=c&255;j=g+-1|0;if(d<<24>>24==(b[j>>0]|0)){k=d;l=j}else{i=-1;return i|0}}else{k=c&255;l=g+-1|0}f[h>>2]=l;f[a+16>>2]=e;b[l>>0]=k;i=c;return i|0}function kE(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;d=u;u=u+16|0;e=d;if((c|0)==-1){g=0;u=d;return g|0}h=a+12|0;i=a+8|0;j=(f[h>>2]|0)-(f[i>>2]|0)|0;k=a+24|0;l=f[k>>2]|0;m=a+28|0;n=f[m>>2]|0;if((l|0)==(n|0)){o=a+48|0;if(!(f[o>>2]&16)){g=-1;u=d;return g|0}p=a+20|0;q=f[p>>2]|0;r=a+44|0;s=(f[r>>2]|0)-q|0;t=a+32|0;Euc(t,0);v=t+11|0;if((b[v>>0]|0)<0)w=(f[a+40>>2]&2147483647)+-1|0;else w=10;xuc(t,w,0);w=b[v>>0]|0;if(w<<24>>24<0){x=f[t>>2]|0;y=f[a+36>>2]|0}else{x=t;y=w&255}w=x+y|0;f[p>>2]=x;f[m>>2]=w;m=x+(l-q)|0;f[k>>2]=m;q=x+s|0;f[r>>2]=q;z=r;A=o;B=r;C=m;D=q;E=w}else{w=a+44|0;z=w;A=a+48|0;B=w;C=l;D=f[w>>2]|0;E=n}n=C+1|0;f[e>>2]=n;w=f[(n>>>0<D>>>0?B:e)>>2]|0;f[z>>2]=w;if(f[A>>2]&8|0){A=a+32|0;if((b[A+11>>0]|0)<0)F=f[A>>2]|0;else F=A;f[i>>2]=F;f[h>>2]=F+j;f[a+16>>2]=w}if((C|0)==(E|0)){g=Th[f[(f[a>>2]|0)+52>>2]&1023](a,c&255)|0;u=d;return g|0}else{f[k>>2]=n;b[C>>0]=c;g=c&255;u=d;return g|0}return 0}function lE(a){a=a|0;var c=0,d=0,e=0;f[a>>2]=35348;c=a+64|0;f[c>>2]=35388;f[a+8>>2]=35368;d=a+12|0;f[d>>2]=35404;e=a+44|0;if((b[e+11>>0]|0)<0)fuc(f[e>>2]|0);Ric(d);Zjc(a,35464);Mic(c);return}function mE(a){a=a|0;var c=0,d=0,e=0;f[a>>2]=35348;c=a+64|0;f[c>>2]=35388;f[a+8>>2]=35368;d=a+12|0;f[d>>2]=35404;e=a+44|0;if((b[e+11>>0]|0)<0)fuc(f[e>>2]|0);Ric(d);Zjc(a,35464);Mic(c);fuc(a);return}function nE(a){a=a|0;var c=0,d=0,e=0;c=a+-8|0;f[c>>2]=35348;a=c+64|0;f[a>>2]=35388;f[c+8>>2]=35368;d=c+12|0;f[d>>2]=35404;e=c+44|0;if((b[e+11>>0]|0)<0)fuc(f[e>>2]|0);Ric(d);Zjc(c,35464);Mic(a);return}function oE(a){a=a|0;var c=0,d=0,e=0;c=a+-8|0;f[c>>2]=35348;a=c+64|0;f[a>>2]=35388;f[c+8>>2]=35368;d=c+12|0;f[d>>2]=35404;e=c+44|0;if((b[e+11>>0]|0)<0)fuc(f[e>>2]|0);Ric(d);Zjc(c,35464);Mic(a);fuc(c);return}function pE(a){a=a|0;var c=0,d=0,e=0;c=a+(f[(f[a>>2]|0)+-12>>2]|0)|0;f[c>>2]=35348;a=c+64|0;f[a>>2]=35388;f[c+8>>2]=35368;d=c+12|0;f[d>>2]=35404;e=c+44|0;if((b[e+11>>0]|0)<0)fuc(f[e>>2]|0);Ric(d);Zjc(c,35464);Mic(a);return}function qE(a){a=a|0;var c=0,d=0,e=0;c=a+(f[(f[a>>2]|0)+-12>>2]|0)|0;f[c>>2]=35348;a=c+64|0;f[a>>2]=35388;f[c+8>>2]=35368;d=c+12|0;f[d>>2]=35404;e=c+44|0;if((b[e+11>>0]|0)<0)fuc(f[e>>2]|0);Ric(d);Zjc(c,35464);Mic(a);fuc(c);return}function rE(){var a=0,c=0,d=0;a=f[136348]|0;if(!a){c=cuc(28)|0;Ztc(c);f[136348]=c;d=c}else d=a;f[136345]=d;d=(sE(192719,0)|0)&1;b[1165955]=d;kzc(1166213,0,512)|0;tE(1166213);kzc(1166726,0,512)|0;return}function sE(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0;d=u;u=u+32|0;e=d;g=d+20|0;h=d+8|0;i=He(a|0)|0;if(!i){j=c;u=d;return j|0};f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;c=jfc(i)|0;if(c>>>0>4294967279)muc(g);if(c>>>0<11){k=g+11|0;b[k>>0]=c;if(!c){l=g;m=k}else{n=g;o=k;p=7}}else{k=c+16&-16;q=cuc(k)|0;f[g>>2]=q;f[g+8>>2]=k|-2147483648;f[g+4>>2]=c;n=q;o=g+11|0;p=7}if((p|0)==7){szc(n|0,i|0,c|0)|0;l=n;m=o}b[l+c>>0]=0;c=b[m>>0]|0;l=g+4|0;o=f[l>>2]|0;if(((c<<24>>24<0?o:c&255)|0)==1)if(!(Puc(g,0,-1,197794,1)|0))r=1;else{s=b[m>>0]|0;t=f[l>>2]|0;p=11}else{s=c;t=o;p=11}do if((p|0)==11){if(((s<<24>>24<0?t:s&255)|0)==4){if(!(Puc(g,0,-1,517927,4)|0)){r=1;break}v=b[m>>0]|0;w=f[l>>2]|0}else{v=s;w=t}if(((v<<24>>24<0?w:v&255)|0)==4){if(!(Puc(g,0,-1,532016,4)|0)){r=1;break}x=b[m>>0]|0;y=f[l>>2]|0}else{x=v;y=w}if(((x<<24>>24<0?y:x&255)|0)==4){if(!(Puc(g,0,-1,197796,4)|0)){r=1;break}z=b[m>>0]|0;A=f[l>>2]|0}else{z=x;A=y}if(((z<<24>>24<0?A:z&255)|0)==1){if(!(Puc(g,0,-1,485111,1)|0)){r=0;break}B=b[m>>0]|0;C=f[l>>2]|0}else{B=z;C=A}if(((B<<24>>24<0?C:B&255)|0)==5){if(!(Puc(g,0,-1,517934,5)|0)){r=0;break}D=b[m>>0]|0;E=f[l>>2]|0}else{D=B;E=C}if(((D<<24>>24<0?E:D&255)|0)==5){if(!(Puc(g,0,-1,532010,5)|0)){r=0;break}F=b[m>>0]|0;G=f[l>>2]|0}else{F=D;G=E}if(((F<<24>>24<0?G:F&255)|0)!=5){H=F;I=H<<24>>24<0;J=f[g>>2]|0;K=I?J:g;f[e>>2]=a;L=e+4|0;f[L>>2]=K;cE(h,197801,e);WD(-5,h,197836,191402,1617)}if(!(Puc(g,0,-1,238283,5)|0))r=0;else{H=b[m>>0]|0;I=H<<24>>24<0;J=f[g>>2]|0;K=I?J:g;f[e>>2]=a;L=e+4|0;f[L>>2]=K;cE(h,197801,e);WD(-5,h,197836,191402,1617)}}while(0);if((b[m>>0]|0)<0)fuc(f[g>>2]|0);j=r;u=d;return j|0}function tE(a){a=a|0;var c=0,d=0,e=0,g=0,h=0;c=u;u=u+16|0;d=c;e=c+4|0;if(He(192738)|0){g=f[39949]|0;if((b[535088]|0)==0?$yc(535088)|0:0){f[136349]=0;f[136350]=0;f[136351]=0;h=cuc(4464)|0;f[136349]=h;f[136351]=-2147479184;f[136350]=4452;szc(h|0,192757,4452)|0;b[h+4452>>0]=0;Bd(1936,545396,x|0)|0}f[d>>2]=(b[545407]|0)<0?f[136349]|0:545396;Ugc(g,197210,d)|0}kzc(545408,0,2048)|0;f[136353]=197246;f[136354]=197250;f[136355]=197254;f[136356]=197259;f[136357]=197264;f[136358]=197270;f[136359]=197277;f[136360]=197284;f[136361]=197291;f[136362]=197296;f[136363]=197300;f[136364]=197305;f[136365]=197310;f[136366]=197318;f[136367]=197327;f[136368]=197336;f[136369]=197345;f[136370]=197354;f[136371]=197365;f[136372]=197374;f[136373]=197385;f[136452]=197394;f[136552]=197399;f[136608]=197403;b[a+200>>0]=0;f[e>>2]=0;uE(a,e,1);u=c;return}function uE(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;e=u;u=u+48|0;g=e+16|0;h=e+8|0;i=e;j=e+32|0;k=e+20|0;l=He(197414)|0;if(!l){u=e;return}if(!(b[l>>0]|0)){u=e;return}m=j+11|0;n=j+4|0;o=f[39949]|0;p=(d|0)>0;q=j+8|0;r=l;a:while(1){l=r;b:while(1){s=b[l>>0]|0;switch(s<<24>>24){case 0:{t=34;break a;break}case 44:case 59:break;default:{v=l;w=s;break b}}l=l+1|0}while(1){if(!(w<<24>>24==44^w<<24>>24!=59)){x=v;break}s=v+1|0;w=b[s>>0]|0;if(!(w<<24>>24)){x=s;break}else v=s}if((x|0)==(l|0)){r=l;continue};f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;s=x-l|0;if(s>>>0>4294967279){t=11;break}if(s>>>0<11){b[m>>0]=s;y=j}else{z=s+16&-16;A=cuc(z)|0;f[j>>2]=A;f[q>>2]=z|-2147483648;f[n>>2]=s;y=A}A=y;z=l;while(1){b[A>>0]=b[z>>0]|0;z=z+1|0;if((z|0)==(x|0))break;else A=A+1|0}b[y+s>>0]=0;A=b[m>>0]|0;if(!((A<<24>>24<0?f[n>>2]|0:A&255)|0)){t=18;break}else B=0;while(1){C=545408+(B<<2)|0;A=f[C>>2]|0;if((A|0?(z=jfc(A)|0,l=b[m>>0]|0,(z|0)==((l<<24>>24<0?f[n>>2]|0:l&255)|0)):0)?(Quc(j,A)|0)==0:0){t=22;break}A=B+1|0;if((A|0)<512)B=A;else{t=30;break}}if((t|0)==22){t=0;c:do if(p){s=0;while(1){if((f[c+(s<<2)>>2]|0)==(B|0))break;s=s+1|0;if((s|0)>=(d|0))break c}s=f[C>>2]|0;f[i>>2]=s|0?s:197465;Ugc(o,197481,i)|0}while(0);s=a+B|0;if(!(b[s>>0]|0)){A=f[C>>2]|0;f[h>>2]=A|0?A:197465;Ugc(o,197658,h)|0}b[s>>0]=0}else if((t|0)==30){t=0;f[g>>2]=(b[m>>0]|0)<0?f[j>>2]|0:j;Ugc(o,197740,g)|0}if((b[m>>0]|0)<0)fuc(f[j>>2]|0);r=x}if((t|0)==11)muc(j);else if((t|0)==18){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;j=cuc(32)|0;f[k>>2]=j;f[k+8>>2]=-2147483616;f[k+4>>2]=18;x=j;r=197433;m=x+18|0;do{b[x>>0]=b[r>>0]|0;x=x+1|0;r=r+1|0}while((x|0)<(m|0));b[j+18>>0]=0;WD(-215,k,197452,191402,598)}else if((t|0)==34){u=e;return}}function vE(){var a=0,b=0;a=f[136348]|0;if(a|0){b=a;return b|0}a=cuc(28)|0;Ztc(a);f[136348]=a;b=a;return b|0}function wE(a){a=a|0;var b=0;f[a>>2]=35300;b=a+4|0;a=b+56|0;do{f[b>>2]=0;b=b+4|0}while((b|0)<(a|0));return}function xE(a){a=a|0;return (b[(f[8875]|0)+a>>0]|0)!=0|0}function yE(){var a=0,b=0,c=0,d=0;if(f[136865]|0){a=f[136865]|0;return a|0}b=f[136348]|0;if(!b){c=cuc(28)|0;Ztc(c);f[136348]=c;d=c}else d=b;$tc(d);if(!(f[136865]|0)){b=cuc(8)|0;f[b>>2]=35320;c=HE(AE()|0)|0;f[b+4>>2]=c;f[b>>2]=35512;f[136865]=b}auc(d);a=f[136865]|0;return a|0}function zE(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=u;u=u+16|0;d=c;e=a+4|0;if((f[e>>2]|0)==-1){g=cuc(64)|0;f[d>>2]=g;f[d+8>>2]=-2147483584;f[d+4>>2]=63;h=g;i=197866;j=h+63|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(j|0));b[g+63>>0]=0;WD(-215,d,197930,191402,1530)}d=AE()|0;g=BE(d,f[e>>2]|0)|0;if(g|0){k=g;u=c;return k|0}g=di[f[(f[a>>2]|0)+8>>2]&1023](a)|0;a=AE()|0;CE(a,f[e>>2]|0,g);k=g;u=c;return k|0}function AE(){var a=0,b=0,c=0,d=0;if(f[136864]|0){a=f[136864]|0;return a|0}b=f[136348]|0;if(!b){c=cuc(28)|0;Ztc(c);f[136348]=c;d=c}else d=b;$tc(d);if(!(f[136864]|0)){b=cuc(60)|0;FE(b);f[136864]=b}auc(d);a=f[136864]|0;return a|0}function BE(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;d=u;u=u+16|0;e=d;if((f[a+32>>2]|0)>>>0<=c>>>0){g=cuc(32)|0;f[e>>2]=g;f[e+8>>2]=-2147483616;f[e+4>>2]=22;h=g;i=197938;j=h+22|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(j|0));b[g+22>>0]=0;WD(-215,e,197930,191402,1423)}e=Ze(f[a>>2]|0)|0;if(!e){k=0;u=d;return k|0}a=f[e>>2]|0;if((f[e+4>>2]|0)-a>>2>>>0<=c>>>0){k=0;u=d;return k|0}k=f[a+(c<<2)>>2]|0;u=d;return k|0}function CE(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;e=u;u=u+16|0;g=e+4|0;h=e;if((f[a+32>>2]|0)>>>0<=c>>>0){i=cuc(32)|0;f[g>>2]=i;f[g+8>>2]=-2147483616;f[g+4>>2]=22;j=i;k=197938;l=j+22|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[i+22>>0]=0;WD(-215,g,197961,191402,1455)}i=Ze(f[a>>2]|0)|0;f[h>>2]=i;if(!i){m=cuc(16)|0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;n=cuc(128)|0;o=n;f[m>>2]=o;f[m+4>>2]=o;f[m+8>>2]=n+128;f[h>>2]=m;n=m;if(Ef(f[a>>2]|0,m|0)|0){o=cuc(48)|0;f[g>>2]=o;f[g+8>>2]=-2147483600;f[g+4>>2]=39;j=o;k=197969;l=j+39|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[o+39>>0]=0;WD(-215,g,198009,191402,1311)}o=a+4|0;$tc(o);k=a+48|0;j=a+52|0;l=f[j>>2]|0;f[m+12>>2]=l-(f[k>>2]|0)>>2;if((l|0)==(f[a+56>>2]|0))DE(k,h);else{f[l>>2]=n;f[j>>2]=(f[j>>2]|0)+4}auc(o);p=f[h>>2]|0}else p=i;if((f[p+4>>2]|0)-(f[p>>2]|0)>>2>>>0>c>>>0){q=p;r=f[q>>2]|0;s=r+(c<<2)|0;f[s>>2]=d;u=e;return}p=a+4|0;$tc(p);a=f[h>>2]|0;i=c+1|0;f[g>>2]=0;o=a+4|0;j=f[o>>2]|0;n=f[a>>2]|0;l=j-n>>2;k=n;n=j;if(i>>>0<=l>>>0){if(i>>>0<l>>>0?(j=k+(i<<2)|0,(n|0)!=(j|0)):0)f[o>>2]=n+(~((n+-4-j|0)>>>2)<<2)}else EE(a,i-l|0,g);auc(p);q=f[h>>2]|0;r=f[q>>2]|0;s=r+(c<<2)|0;f[s>>2]=d;u=e;return}function DE(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+4|0;d=f[a>>2]|0;e=(f[c>>2]|0)-d|0;g=e>>2;h=g+1|0;if(h>>>0>1073741823)nsc(a);i=a+8|0;j=(f[i>>2]|0)-d|0;k=j>>1;l=j>>2>>>0<536870911?(k>>>0<h>>>0?h:k):1073741823;do if(l)if(l>>>0>1073741823){k=ze(8)|0;kuc(k,519086);f[k>>2]=167148;Hf(k|0,26888,1888)}else{m=cuc(l<<2)|0;break}else m=0;while(0);k=m+(g<<2)|0;f[k>>2]=f[b>>2];b=k+(0-g<<2)|0;if((e|0)>0)szc(b|0,d|0,e|0)|0;f[a>>2]=b;f[c>>2]=k+4;f[i>>2]=m+(l<<2);if(!d)return;fuc(d);return}function EE(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;d=a+8|0;e=f[d>>2]|0;g=a+4|0;h=f[g>>2]|0;if(e-h>>2>>>0>=b>>>0){i=b;j=h;do{f[j>>2]=f[c>>2];j=(f[g>>2]|0)+4|0;f[g>>2]=j;i=i+-1|0}while((i|0)!=0);return}i=f[a>>2]|0;j=h-i>>2;h=j+b|0;if(h>>>0>1073741823)nsc(a);k=e-i|0;i=k>>1;e=k>>2>>>0<536870911?(i>>>0<h>>>0?h:i):1073741823;do if(e)if(e>>>0>1073741823){i=ze(8)|0;kuc(i,519086);f[i>>2]=167148;Hf(i|0,26888,1888)}else{l=cuc(e<<2)|0;break}else l=0;while(0);i=l+(j<<2)|0;j=l+(e<<2)|0;e=b;b=i;l=i;do{f[b>>2]=f[c>>2];b=l+4|0;l=b;e=e+-1|0}while((e|0)!=0);e=f[a>>2]|0;b=(f[g>>2]|0)-e|0;c=i+(0-(b>>2)<<2)|0;if((b|0)>0)szc(c|0,e|0,b|0)|0;f[a>>2]=c;f[g>>2]=l;f[d>>2]=j;if(!e)return;fuc(e);return}function FE(a){a=a|0;var c=0,d=0,e=0,g=0;c=u;u=u+16|0;d=c;if(!(Le(a|0,0)|0)){Ztc(a+4|0);e=a+32|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;f[e+16>>2]=0;f[e+20>>2]=0;f[e+24>>2]=0;e=cuc(128)|0;g=e;f[a+36>>2]=g;f[a+40>>2]=g;f[a+44>>2]=e+128;e=cuc(128)|0;g=e;f[a+48>>2]=g;f[a+52>>2]=g;f[a+56>>2]=e+128;u=c;return}else{c=cuc(48)|0;f[d>>2]=c;f[d+8>>2]=-2147483600;f[d+4>>2]=38;e=c;a=198017;g=e+38|0;do{b[e>>0]=b[a>>0]|0;e=e+1|0;a=a+1|0}while((e|0)<(g|0));b[c+38>>0]=0;WD(-215,d,198056,191402,1299)}}function GE(a){a=a|0;var c=0,d=0,e=0,g=0;c=u;u=u+16|0;d=c;if(!(od(f[a>>2]|0)|0)){u=c;return}else{f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;c=cuc(32)|0;f[d>>2]=c;f[d+8>>2]=-2147483616;f[d+4>>2]=31;a=c;e=198071;g=a+31|0;do{b[a>>0]=b[e>>0]|0;a=a+1|0;e=e+1|0}while((a|0)<(g|0));b[c+31>>0]=0;WD(-215,d,198103,191402,1303)}}function HE(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;c=u;u=u+16|0;d=c;e=a+4|0;$tc(e);g=a+32|0;h=f[g>>2]|0;i=a+36|0;j=a+40|0;k=f[j>>2]|0;l=f[i>>2]|0;m=l;n=k;if((h|0)!=(k-l>>2|0)){f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;l=cuc(32)|0;f[d>>2]=l;f[d+8>>2]=-2147483616;f[d+4>>2]=31;k=l;o=198119;p=k+31|0;do{b[k>>0]=b[o>>0]|0;k=k+1|0;o=o+1|0}while((k|0)<(p|0));b[l+31>>0]=0;WD(-215,d,198196,191402,1378)}a:do if(h|0){l=0;while(1){q=m+(l<<2)|0;if(!(f[q>>2]|0))break;o=l+1|0;if(o>>>0<h>>>0)l=o;else break a}f[q>>2]=1;r=l;auc(e);u=c;return r|0}while(0);f[d>>2]=1;if(n>>>0<(f[a+44>>2]|0)>>>0){f[n>>2]=1;f[j>>2]=n+4}else Aw(i,d);d=f[g>>2]|0;f[g>>2]=d+1;r=d;auc(e);u=c;return r|0}function IE(a){a=a|0;var c=0,d=0,e=0;c=u;u=u+16|0;d=c;f[a>>2]=35512;ME(a);f[a>>2]=35320;if((f[a+4>>2]|0)==-1){u=c;return}else{b[d+11>>0]=10;c=d;a=191373;e=c+10|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(e|0));b[d+10>>0]=0;WD(-215,d,191384,191402,1501)}}function JE(a){a=a|0;var c=0,d=0,e=0;c=u;u=u+16|0;d=c;f[a>>2]=35512;ME(a);f[a>>2]=35320;if((f[a+4>>2]|0)==-1){fuc(a);u=c;return}else{b[d+11>>0]=10;c=d;a=191373;e=c+10|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(e|0));b[d+10>>0]=0;WD(-215,d,191384,191402,1501)}}function KE(a){a=a|0;var b=0;a=cuc(32)|0;b=a;f[b>>2]=-1;f[b+4>>2]=0;f[a+8>>2]=0;lI(a+12|0);f[a+16>>2]=-1;f[a+20>>2]=-1;f[a+24>>2]=-1;return a|0}function LE(a,b){a=a|0;b=b|0;if(!b)return;mI(b+12|0);fuc(b);return}function ME(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;b=u;u=u+16|0;c=b;f[c>>2]=0;d=c+4|0;f[d>>2]=0;f[c+8>>2]=0;e=cuc(128)|0;g=e;f[c>>2]=g;f[d>>2]=g;f[c+8>>2]=e+128;e=AE()|0;g=a+4|0;NE(e,f[g>>2]|0,c,0);f[g>>2]=-1;g=f[d>>2]|0;e=f[c>>2]|0;h=e;if((g|0)==(e|0)){i=g;j=h}else{g=0;e=h;while(1){yh[f[(f[a>>2]|0)+12>>2]&2047](a,f[e+(g<<2)>>2]|0);g=g+1|0;h=f[d>>2]|0;k=f[c>>2]|0;l=k;if(g>>>0>=h-k>>2>>>0){i=h;j=l;break}else e=l}}e=i;if(!j){u=b;return}if((e|0)!=(j|0))f[d>>2]=e+(~((e+-4-j|0)>>>2)<<2);fuc(j);u=b;return}function NE(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;g=u;u=u+16|0;h=g;i=a+4|0;$tc(i);j=f[a+32>>2]|0;k=a+36|0;if((j|0)!=((f[a+40>>2]|0)-(f[k>>2]|0)>>2|0)){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;l=cuc(32)|0;f[h>>2]=l;f[h+8>>2]=-2147483616;f[h+4>>2]=31;m=l;n=198119;o=m+31|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));b[l+31>>0]=0;WD(-215,h,198151,191402,1399)}if(j>>>0<=c>>>0){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;j=cuc(32)|0;f[h>>2]=j;f[h+8>>2]=-2147483616;f[h+4>>2]=22;m=j;n=197938;o=m+22|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));b[j+22>>0]=0;WD(-215,h,198151,191402,1400)}h=a+48|0;j=a+52|0;a=f[j>>2]|0;n=f[h>>2]|0;if((a|0)!=(n|0)){m=d+4|0;o=d+8|0;l=0;p=n;n=a;while(1){a=f[p+(l<<2)>>2]|0;if(((a|0)!=0?(q=f[a>>2]|0,(f[a+4>>2]|0)-q>>2>>>0>c>>>0):0)?(r=q+(c<<2)|0,q=f[r>>2]|0,s=q,(q|0)!=0):0){q=f[m>>2]|0;if((q|0)==(f[o>>2]|0))OE(d,r);else{f[q>>2]=s;f[m>>2]=(f[m>>2]|0)+4}f[(f[a>>2]|0)+(c<<2)>>2]=0;t=f[h>>2]|0;v=f[j>>2]|0}else{t=p;v=n}l=l+1|0;if(l>>>0>=v-t>>2>>>0)break;else{p=t;n=v}}}if(e){auc(i);u=g;return}f[(f[k>>2]|0)+(c<<2)>>2]=0;auc(i);u=g;return}function OE(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+4|0;d=f[a>>2]|0;e=(f[c>>2]|0)-d|0;g=e>>2;h=g+1|0;if(h>>>0>1073741823)nsc(a);i=a+8|0;j=(f[i>>2]|0)-d|0;k=j>>1;l=j>>2>>>0<536870911?(k>>>0<h>>>0?h:k):1073741823;do if(l)if(l>>>0>1073741823){k=ze(8)|0;kuc(k,519086);f[k>>2]=167148;Hf(k|0,26888,1888)}else{m=cuc(l<<2)|0;break}else m=0;while(0);k=m+(g<<2)|0;f[k>>2]=f[b>>2];b=k+(0-g<<2)|0;if((e|0)>0)szc(b|0,d|0,e|0)|0;f[a>>2]=b;f[c>>2]=k+4;f[i>>2]=m+(l<<2);if(!d)return;fuc(d);return}function PE(){var a=0,b=0,c=0,d=0;a=u;u=u+16|0;b=a+8|0;ne(b|0,a|0)|0;c=f[b>>2]|0;d=Bzc(c|0,((c|0)<0)<<31>>31|0,1e6,0)|0;c=f[b+4>>2]|0;b=hzc(d|0,J|0,c|0,((c|0)<0)<<31>>31|0)|0;u=a;return b|0}function QE(){var a=0;if(b[535088]|0)return 545396;if(!($yc(535088)|0))return 545396;f[136349]=0;f[136350]=0;f[136351]=0;a=cuc(4464)|0;f[136349]=a;f[136351]=-2147479184;f[136350]=4452;szc(a|0,192757,4452)|0;b[a+4452>>0]=0;Bd(1936,545396,x|0)|0;return 545396}function RE(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;e=b[c+11>>0]|0;g=e<<24>>24<0;h=g?f[c+4>>2]|0:e&255;e=jfc(d)|0;i=g?f[c>>2]|0:c;c=h+e|0;if(c>>>0>4294967279)muc(a);if(c>>>0<11){b[a+11>>0]=h;j=a}else{g=c+16&-16;c=cuc(g)|0;f[a>>2]=c;f[a+8>>2]=g|-2147483648;f[a+4>>2]=h;j=c}if(!h){k=j+h|0;b[k>>0]=0;Cuc(a,d,e)|0;return}szc(j|0,i|0,h|0)|0;k=j+h|0;b[k>>0]=0;Cuc(a,d,e)|0;return}function SE(){return 0}function TE(a){a=a|0;var b=0;f[a>>2]=35320;b=HE(AE()|0)|0;f[a+4>>2]=b;return}function UE(){var a=0,b=0,c=0,d=0,e=0,g=0;if(f[136866]|0){a=f[136866]|0;b=zE(a)|0;c=f[b>>2]|0;return c|0}d=f[136348]|0;if(!d){e=cuc(28)|0;Ztc(e);f[136348]=e;g=e}else g=d;$tc(g);if(!(f[136866]|0)){d=cuc(8)|0;f[d>>2]=35320;e=HE(AE()|0)|0;f[d+4>>2]=e;f[d>>2]=35536;f[136866]=d}auc(g);a=f[136866]|0;b=zE(a)|0;c=f[b>>2]|0;return c|0}function VE(a){a=a|0;var c=0,d=0,e=0;c=u;u=u+16|0;d=c;f[a>>2]=35536;ME(a);f[a>>2]=35320;if((f[a+4>>2]|0)==-1){u=c;return}else{b[d+11>>0]=10;c=d;a=191373;e=c+10|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(e|0));b[d+10>>0]=0;WD(-215,d,191384,191402,1501)}}function WE(a){a=a|0;var c=0,d=0,e=0;c=u;u=u+16|0;d=c;f[a>>2]=35536;ME(a);f[a>>2]=35320;if((f[a+4>>2]|0)==-1){fuc(a);u=c;return}else{b[d+11>>0]=10;c=d;a=191373;e=c+10|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(e|0));b[d+10>>0]=0;WD(-215,d,191384,191402,1501)}}function XE(a){a=a|0;var b=0;a=cuc(4)|0;b=f[136867]|0;f[136867]=b+1;f[a>>2]=b;return a|0}function YE(a,b){a=a|0;b=b|0;if(!b)return;fuc(b);return}function ZE(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;d=u;u=u+64|0;e=d;g=d+44|0;h=d+32|0;i=d+20|0;j=d+8|0;k=He(a|0)|0;if(!k){l=c;u=d;return l|0};f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;c=jfc(k)|0;if(c>>>0>4294967279)muc(g);if(c>>>0<11){m=g+11|0;b[m>>0]=c;if(!c){n=g;o=m}else{p=g;q=m;r=7}}else{m=c+16&-16;s=cuc(m)|0;f[g>>2]=s;f[g+8>>2]=m|-2147483648;f[g+4>>2]=c;p=s;q=g+11|0;r=7}if((r|0)==7){szc(p|0,k|0,c|0)|0;n=p;o=q}b[n+c>>0]=0;c=b[o>>0]|0;n=c<<24>>24<0;q=g+4|0;p=n?f[q>>2]|0:c&255;a:do if(!p)t=0;else{c=n?f[g>>2]|0:g;k=0;while(1){if(((b[c+k>>0]|0)+-48|0)>>>0>=10){t=k;break a}s=k+1|0;if(s>>>0<p>>>0)k=s;else{t=s;break}}}while(0);puc(h,g,0,t,g);p=b[o>>0]|0;puc(i,g,t,(p<<24>>24<0?f[q>>2]|0:p&255)-t|0,g);t=h+11|0;p=phc((b[t>>0]|0)<0?f[h>>2]|0:h)|0;q=i+11|0;n=b[q>>0]|0;k=i+4|0;c=f[k>>2]|0;switch((n<<24>>24<0?c:n&255)|0){case 0:{v=p;break}case 2:{if(!(Puc(i,0,-1,198251,2)|0))r=21;else{w=b[q>>0]|0;x=f[k>>2]|0;r=15}break}default:{w=n;x=c;r=15}}do if((r|0)==15){if(((w<<24>>24<0?x:w&255)|0)==2){if(!(Puc(i,0,-1,198254,2)|0)){r=21;break}y=b[q>>0]|0;z=f[k>>2]|0}else{y=w;z=x}if(((y<<24>>24<0?z:y&255)|0)==2){if(!(Puc(i,0,-1,198257,2)|0)){r=21;break}A=b[q>>0]|0;B=f[k>>2]|0}else{A=y;B=z}if(((A<<24>>24<0?B:A&255)|0)==2){if(Puc(i,0,-1,198260,2)|0){C=b[q>>0]|0;D=f[k>>2]|0;r=25}}else{C=A;D=B;r=25}do if((r|0)==25){if(((C<<24>>24<0?D:C&255)|0)==2){if(!(Puc(i,0,-1,198263,2)|0))break;E=b[q>>0]|0;F=f[k>>2]|0}else{E=C;F=D}if(((E<<24>>24<0?F:E&255)|0)!=2){G=b[o>>0]|0;H=G<<24>>24<0;I=f[g>>2]|0;J=H?I:g;f[e>>2]=a;K=e+4|0;f[K>>2]=J;cE(j,197801,e);WD(-5,j,198269,191402,1648)}if(Puc(i,0,-1,198266,2)|0){G=b[o>>0]|0;H=G<<24>>24<0;I=f[g>>2]|0;J=H?I:g;f[e>>2]=a;K=e+4|0;f[K>>2]=J;cE(j,197801,e);WD(-5,j,198269,191402,1648)}}while(0);v=p<<10}while(0);if((r|0)==21)v=p<<20;if((b[q>>0]|0)<0)fuc(f[i>>2]|0);if((b[t>>0]|0)<0)fuc(f[h>>2]|0);if((b[o>>0]|0)<0)fuc(f[g>>2]|0);l=v;u=d;return l|0}function _E(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;e=He(c|0)|0;if(e|0){f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;c=jfc(e)|0;if(c>>>0>4294967279)muc(a);if(c>>>0<11){b[a+11>>0]=c;if(!c)g=a;else{h=a;i=7}}else{j=c+16&-16;k=cuc(j)|0;f[a>>2]=k;f[a+8>>2]=j|-2147483648;f[a+4>>2]=c;h=k;i=7}if((i|0)==7){szc(h|0,e|0,c|0)|0;g=h}b[g+c>>0]=0;return}if(!d){f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;return};f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;c=jfc(d)|0;if(c>>>0>4294967279)muc(a);if(c>>>0<11){b[a+11>>0]=c;if(!c)l=a;else{m=a;i=15}}else{g=c+16&-16;h=cuc(g)|0;f[a>>2]=h;f[a+8>>2]=g|-2147483648;f[a+4>>2]=c;m=h;i=15}if((i|0)==15){szc(m|0,d|0,c|0)|0;l=m}b[l+c>>0]=0;return}function $E(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;g=(e|0)%4|0;h=(g|0)==0?4:g;g=f[a>>2]|0;a:do if((h|0)==1)if((d|0)>0){i=0;j=0;while(1){b[c+j>>0]=b[g+i>>0]|0;i=i+1|0;if((i|0)==(d|0))break;else j=j+e|0}}else return;else{j=f[a+4>>2]|0;if((h|0)==2)if((d|0)>0){i=0;k=0;while(1){b[c+i>>0]=b[g+k>>0]|0;b[c+(i+1)>>0]=b[j+k>>0]|0;k=k+1|0;if((k|0)==(d|0))break a;else i=i+e|0}}else return;i=f[a+8>>2]|0;if((h|0)==3)if((d|0)>0){k=0;l=0;while(1){b[c+k>>0]=b[g+l>>0]|0;b[c+(k+1)>>0]=b[j+l>>0]|0;b[c+(k+2)>>0]=b[i+l>>0]|0;l=l+1|0;if((l|0)==(d|0))break;else k=k+e|0}}else return;else{k=f[a+12>>2]|0;if((d|0)>0){l=0;m=0;while(1){b[c+l>>0]=b[g+m>>0]|0;b[c+(l+1)>>0]=b[j+m>>0]|0;b[c+(l+2)>>0]=b[i+m>>0]|0;b[c+(l+3)>>0]=b[k+m>>0]|0;m=m+1|0;if((m|0)==(d|0))break;else l=l+e|0}}else return}}while(0);if((d|0)>0&(h|0)<(e|0))n=h;else return;do{h=f[a+(n<<2)>>2]|0;g=f[a+(n+1<<2)>>2]|0;l=f[a+(n+2<<2)>>2]|0;m=f[a+(n+3<<2)>>2]|0;k=n;i=0;while(1){b[c+k>>0]=b[h+i>>0]|0;b[c+(k+1)>>0]=b[g+i>>0]|0;b[c+(k+2)>>0]=b[l+i>>0]|0;b[c+(k+3)>>0]=b[m+i>>0]|0;i=i+1|0;if((i|0)==(d|0))break;else k=k+e|0}n=n+4|0}while((n|0)<(e|0));return}function aF(a,b,c,e){a=a|0;b=b|0;c=c|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;g=(e|0)%4|0;h=(g|0)==0?4:g;g=f[a>>2]|0;a:do if((h|0)==1)if((c|0)>0){i=0;j=0;while(1){d[b+(j<<1)>>1]=d[g+(i<<1)>>1]|0;i=i+1|0;if((i|0)==(c|0))break;else j=j+e|0}}else return;else{j=f[a+4>>2]|0;if((h|0)==2)if((c|0)>0){i=0;k=0;while(1){d[b+(i<<1)>>1]=d[g+(k<<1)>>1]|0;d[b+(i+1<<1)>>1]=d[j+(k<<1)>>1]|0;k=k+1|0;if((k|0)==(c|0))break a;else i=i+e|0}}else return;i=f[a+8>>2]|0;if((h|0)==3)if((c|0)>0){k=0;l=0;while(1){d[b+(k<<1)>>1]=d[g+(l<<1)>>1]|0;d[b+(k+1<<1)>>1]=d[j+(l<<1)>>1]|0;d[b+(k+2<<1)>>1]=d[i+(l<<1)>>1]|0;l=l+1|0;if((l|0)==(c|0))break;else k=k+e|0}}else return;else{k=f[a+12>>2]|0;if((c|0)>0){l=0;m=0;while(1){d[b+(l<<1)>>1]=d[g+(m<<1)>>1]|0;d[b+(l+1<<1)>>1]=d[j+(m<<1)>>1]|0;d[b+(l+2<<1)>>1]=d[i+(m<<1)>>1]|0;d[b+(l+3<<1)>>1]=d[k+(m<<1)>>1]|0;m=m+1|0;if((m|0)==(c|0))break;else l=l+e|0}}else return}}while(0);if((c|0)>0&(h|0)<(e|0))n=h;else return;do{h=f[a+(n<<2)>>2]|0;g=f[a+(n+1<<2)>>2]|0;l=f[a+(n+2<<2)>>2]|0;m=f[a+(n+3<<2)>>2]|0;k=n;i=0;while(1){d[b+(k<<1)>>1]=d[h+(i<<1)>>1]|0;d[b+(k+1<<1)>>1]=d[g+(i<<1)>>1]|0;d[b+(k+2<<1)>>1]=d[l+(i<<1)>>1]|0;d[b+(k+3<<1)>>1]=d[m+(i<<1)>>1]|0;i=i+1|0;if((i|0)==(c|0))break;else k=k+e|0}n=n+4|0}while((n|0)<(e|0));return}function bF(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;e=(d|0)%4|0;g=(e|0)==0?4:e;e=f[a>>2]|0;a:do if((g|0)==1)if((c|0)>0){h=0;i=0;while(1){f[b+(i<<2)>>2]=f[e+(h<<2)>>2];h=h+1|0;if((h|0)==(c|0))break;else i=i+d|0}}else return;else{i=f[a+4>>2]|0;if((g|0)==2)if((c|0)>0){h=0;j=0;while(1){f[b+(h<<2)>>2]=f[e+(j<<2)>>2];f[b+(h+1<<2)>>2]=f[i+(j<<2)>>2];j=j+1|0;if((j|0)==(c|0))break a;else h=h+d|0}}else return;h=f[a+8>>2]|0;if((g|0)==3)if((c|0)>0){j=0;k=0;while(1){f[b+(j<<2)>>2]=f[e+(k<<2)>>2];f[b+(j+1<<2)>>2]=f[i+(k<<2)>>2];f[b+(j+2<<2)>>2]=f[h+(k<<2)>>2];k=k+1|0;if((k|0)==(c|0))break;else j=j+d|0}}else return;else{j=f[a+12>>2]|0;if((c|0)>0){k=0;l=0;while(1){f[b+(k<<2)>>2]=f[e+(l<<2)>>2];f[b+(k+1<<2)>>2]=f[i+(l<<2)>>2];f[b+(k+2<<2)>>2]=f[h+(l<<2)>>2];f[b+(k+3<<2)>>2]=f[j+(l<<2)>>2];l=l+1|0;if((l|0)==(c|0))break;else k=k+d|0}}else return}}while(0);if((c|0)>0&(g|0)<(d|0))m=g;else return;do{g=f[a+(m<<2)>>2]|0;e=f[a+(m+1<<2)>>2]|0;k=f[a+(m+2<<2)>>2]|0;l=f[a+(m+3<<2)>>2]|0;j=m;h=0;while(1){f[b+(j<<2)>>2]=f[g+(h<<2)>>2];f[b+(j+1<<2)>>2]=f[e+(h<<2)>>2];f[b+(j+2<<2)>>2]=f[k+(h<<2)>>2];f[b+(j+3<<2)>>2]=f[l+(h<<2)>>2];h=h+1|0;if((h|0)==(c|0))break;else j=j+d|0}m=m+4|0}while((m|0)<(d|0));return}function cF(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;e=(d|0)%4|0;g=(e|0)==0?4:e;e=f[a>>2]|0;a:do if((g|0)==1)if((c|0)>0){h=0;i=0;while(1){j=e+(h<<3)|0;k=f[j+4>>2]|0;l=b+(i<<3)|0;f[l>>2]=f[j>>2];f[l+4>>2]=k;h=h+1|0;if((h|0)==(c|0))break;else i=i+d|0}}else return;else{i=f[a+4>>2]|0;if((g|0)==2)if((c|0)>0){h=0;k=0;while(1){l=e+(k<<3)|0;j=f[l+4>>2]|0;m=b+(h<<3)|0;f[m>>2]=f[l>>2];f[m+4>>2]=j;j=i+(k<<3)|0;m=f[j+4>>2]|0;l=b+(h+1<<3)|0;f[l>>2]=f[j>>2];f[l+4>>2]=m;k=k+1|0;if((k|0)==(c|0))break a;else h=h+d|0}}else return;h=f[a+8>>2]|0;if((g|0)==3)if((c|0)>0){k=0;m=0;while(1){l=e+(m<<3)|0;j=f[l+4>>2]|0;n=b+(k<<3)|0;f[n>>2]=f[l>>2];f[n+4>>2]=j;j=i+(m<<3)|0;n=f[j+4>>2]|0;l=b+(k+1<<3)|0;f[l>>2]=f[j>>2];f[l+4>>2]=n;n=h+(m<<3)|0;l=f[n+4>>2]|0;j=b+(k+2<<3)|0;f[j>>2]=f[n>>2];f[j+4>>2]=l;m=m+1|0;if((m|0)==(c|0))break;else k=k+d|0}}else return;else{k=f[a+12>>2]|0;if((c|0)>0){m=0;l=0;while(1){j=e+(l<<3)|0;n=f[j+4>>2]|0;o=b+(m<<3)|0;f[o>>2]=f[j>>2];f[o+4>>2]=n;n=i+(l<<3)|0;o=f[n+4>>2]|0;j=b+(m+1<<3)|0;f[j>>2]=f[n>>2];f[j+4>>2]=o;o=h+(l<<3)|0;j=f[o+4>>2]|0;n=b+(m+2<<3)|0;f[n>>2]=f[o>>2];f[n+4>>2]=j;j=k+(l<<3)|0;n=f[j+4>>2]|0;o=b+(m+3<<3)|0;f[o>>2]=f[j>>2];f[o+4>>2]=n;l=l+1|0;if((l|0)==(c|0))break;else m=m+d|0}}else return}}while(0);if((c|0)>0&(g|0)<(d|0))p=g;else return;do{g=f[a+(p<<2)>>2]|0;e=f[a+(p+1<<2)>>2]|0;m=f[a+(p+2<<2)>>2]|0;l=f[a+(p+3<<2)>>2]|0;k=p;h=0;while(1){i=g+(h<<3)|0;n=f[i+4>>2]|0;o=b+(k<<3)|0;f[o>>2]=f[i>>2];f[o+4>>2]=n;n=e+(h<<3)|0;o=f[n+4>>2]|0;i=b+(k+1<<3)|0;f[i>>2]=f[n>>2];f[i+4>>2]=o;o=m+(h<<3)|0;i=f[o+4>>2]|0;n=b+(k+2<<3)|0;f[n>>2]=f[o>>2];f[n+4>>2]=i;i=l+(h<<3)|0;n=f[i+4>>2]|0;o=b+(k+3<<3)|0;f[o>>2]=f[i>>2];f[o+4>>2]=n;h=h+1|0;if((h|0)==(c|0))break;else k=k+d|0}p=p+4|0}while((p|0)<(d|0));return}function dF(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0;e=u;u=u+2208|0;g=e+2200|0;h=e+2144|0;i=e+1080|0;j=e+40|0;k=e+8|0;l=e;gV(g,35552);if(!((a|0)!=0&(c|0)!=0)){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;m=cuc(16)|0;f[h>>2]=m;f[h+8>>2]=-2147483632;f[h+4>>2]=11;n=m;o=198300;p=n+11|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));b[m+11>>0]=0;WD(-215,h,198312,198318,286)}m=f[a>>2]&7;q=f[a+40>>2]|0;r=f[q+-4>>2]|0;s=q+4|0;t=(r|0)==2;v=(r|0)>0;w=1;x=0;y=0;z=q;a:while(1){if(t){if((f[z>>2]|0)!=(f[q>>2]|0)){A=11;break}if((f[z+4>>2]|0)!=(f[s>>2]|0)){A=11;break}}else if(v){B=0;do{if((f[z+(B<<2)>>2]|0)!=(f[q+(B<<2)>>2]|0)){A=11;break a}B=B+1|0}while((B|0)<(r|0))}B=f[a+(y*56|0)>>2]|0;if((B&7|0)!=(m|0)){A=11;break}w=w&(B&4088|0)==0;C=B>>>3&511;D=x+1+C|0;y=y+1|0;if(y>>>0>=c>>>0)break;z=f[a+(y*56|0)+40>>2]|0;if((f[z+-4>>2]|0)!=(r|0)){A=11;break}else x=D}if((A|0)==11){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;A=cuc(64)|0;f[h>>2]=A;f[h+8>>2]=-2147483584;f[h+4>>2]=50;n=A;o=198385;p=n+50|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));b[A+50>>0]=0;WD(-215,h,198312,198318,295)}if((x+C|0)>>>0>=512){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;C=cuc(32)|0;f[h>>2]=C;f[h+8>>2]=-2147483616;f[h+4>>2]=25;n=C;o=198436;p=n+25|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));b[C+25>>0]=0;WD(-215,h,198312,198318,300)}JJ(d,f[a+4>>2]|0,f[a+40>>2]|0,(D<<3)+-8|m,-1,0,0);do if((qJ(d)|0)==65536){C=f[d+4>>2]|0;f[h>>2]=f[C>>2];o=h+4|0;n=C+4|0;f[o>>2]=f[n>>2];p=h+8|0;f[p>>2]=f[C+8>>2];f[h+12>>2]=f[C+12>>2];f[h+16>>2]=f[C+16>>2];f[h+20>>2]=f[C+20>>2];f[h+24>>2]=f[C+24>>2];f[h+28>>2]=f[C+28>>2];f[h+32>>2]=f[C+32>>2];x=f[C+36>>2]|0;f[h+36>>2]=x;f[h+40>>2]=p;p=h+48|0;A=h+44|0;f[A>>2]=p;f[p>>2]=0;f[h+52>>2]=0;if(x|0){p=x+12|0;f[p>>2]=(f[p>>2]|0)+1}if((f[n>>2]|0)<3){n=f[C+44>>2]|0;p=f[A>>2]|0;f[p>>2]=f[n>>2];f[p+4>>2]=f[n+4>>2];break}else{f[o>>2]=0;$T(h,C);break}}else nJ(h,d,-1);while(0);do if((c|0)!=1){if(!w){d=D<<1;C=i+8|0;f[i>>2]=C;o=i+4|0;f[o>>2]=d;if(d>>>0>264){n=euc(d>>>0>1073741823?-1:d<<2)|0;f[i>>2]=n;E=n}else E=C;n=0;d=0;while(1){p=(f[a+(d*56|0)>>2]|0)>>>3&511;A=0;while(1){x=A+n|0;r=x<<1;f[E+(r<<2)>>2]=x;f[E+((r|1)<<2)>>2]=x;if((A|0)==(p|0))break;else A=A+1|0}d=d+1|0;if((d|0)==(c|0))break;else n=n+1+p|0}jV(a,c,h,1,E,D);n=f[i>>2]|0;if((n|0)!=(C|0)){if(n|0)guc(n);f[i>>2]=C;f[o>>2]=264}break}n=f[35572+(m<<2)>>2]|0;d=f[h+4>>2]|0;if((d|0)>0)F=f[(f[h+44>>2]|0)+(d+-1<<2)>>2]|0;else F=0;d=675553809>>>(f[h>>2]<<2&28)&15;f[i>>2]=((F+1023|0)>>>0)/(F>>>0)|0;A=D+1|0;x=(A<<3)+16|0;r=j+8|0;f[j>>2]=r;z=j+4|0;f[z>>2]=x;if(x>>>0>1032){y=euc(x)|0;f[j>>2]=y;G=y}else G=r;y=G+(D<<2)+4+15&-16;x=y;q=y;f[G>>2]=h;y=0;do{v=y;y=y+1|0;f[G+(y<<2)>>2]=a+(v*56|0)}while((y|0)!=(D|0));YC(k,G,q,A);y=f[k+20>>2]|0;f[l>>2]=y;o=536870911/(D|0)|0;if((D|0)<5)H=y;else{C=f[i>>2]|0;H=C>>>0<y>>>0?C:f[l>>2]|0}C=H>>>0<o>>>0?H:o;o=k+16|0;v=x+4|0;s=y;t=y;y=0;while(1){if(y>>>0>=(f[o>>2]|0)>>>0)break;if(!s){I=0;J=t}else{B=s;K=t;L=0;while(1){M=B-L|0;N=C>>>0<M>>>0?C:M;sh[n&255](v,f[q>>2]|0,N,D);L=L+C|0;if(L>>>0<K>>>0){M=Y(F,N)|0;f[q>>2]=(f[q>>2]|0)+M;M=Y(d,N)|0;N=0;do{N=N+1|0;O=x+(N<<2)|0;f[O>>2]=(f[O>>2]|0)+M}while((N|0)!=(D|0));P=f[l>>2]|0}else P=K;if(P>>>0<=L>>>0){I=P;J=P;break}else{B=P;K=P}}}ZC(k)|0;s=I;t=J;y=y+1|0}y=f[j>>2]|0;if((y|0)!=(r|0)){if(y|0)guc(y);f[j>>2]=r;f[z>>2]=1032}}else{y=i+8|0;f[y>>2]=0;f[y+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=h;EI(a,i)}while(0);i=h+36|0;a=f[i>>2]|0;if(a|0?(j=a+12|0,a=f[j>>2]|0,f[j>>2]=a+-1,(a|0)==1):0)aU(h);f[i>>2]=0;i=h+16|0;a=h+4|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;if((f[a>>2]|0)>0){i=f[h+40>>2]|0;j=0;do{f[i+(j<<2)>>2]=0;j=j+1|0}while((j|0)<(f[a>>2]|0))}a=f[h+44>>2]|0;if((a|0)!=(h+48|0))TC(a);if(!(f[g+4>>2]|0)){u=e;return}u=e;return}function eF(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0;c=u;u=u+32|0;d=c+16|0;e=c;gV(d,35604);f[e>>2]=0;g=e+4|0;f[g>>2]=0;f[e+8>>2]=0;sJ(a,e);a=f[e>>2]|0;h=f[g>>2]|0;dF((a|0)==(h|0)?0:a,(h-a|0)/56|0,b);ut(e);if(!(f[d+4>>2]|0)){u=c;return}u=c;return}function fF(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0;switch(c|0){case 1:{d=wV(a,b)|0;return d|0}case 2:{e=199075;break}case 4:{e=198819;break}default:{d=-1;return d|0}}c=b+-4|0;if((b|0)<4){f=0;g=0}else{i=0;j=0;do{j=(h[e+(h[a+i>>0]|0)>>0]|0)+j+(h[e+(h[a+(i|1)>>0]|0)>>0]|0)+(h[e+(h[a+(i|2)>>0]|0)>>0]|0)+(h[e+(h[a+(i|3)>>0]|0)>>0]|0)|0;i=i+4|0}while((i|0)<=(c|0));f=j;g=b&-4}if((g|0)<(b|0)){k=g;l=f}else{d=f;return d|0}while(1){f=(h[e+(h[a+k>>0]|0)>>0]|0)+l|0;k=k+1|0;if((k|0)==(b|0)){d=f;break}else l=f}return d|0}function gF(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;switch(e|0){case 1:{f=xV(a,c,d)|0;return f|0}case 2:{g=199075;break}case 4:{g=198819;break}default:{f=-1;return f|0}}e=d+-4|0;if((d|0)<4){i=0;j=0}else{k=0;l=0;do{m=k|1;n=k|2;o=k|3;l=(h[g+((b[c+k>>0]^b[a+k>>0])&255)>>0]|0)+l+(h[g+((b[c+m>>0]^b[a+m>>0])&255)>>0]|0)+(h[g+((b[c+n>>0]^b[a+n>>0])&255)>>0]|0)+(h[g+((b[c+o>>0]^b[a+o>>0])&255)>>0]|0)|0;k=k+4|0}while((k|0)<=(e|0));i=l;j=d&-4}if((j|0)<(d|0)){p=j;q=i}else{f=i;return f|0}while(1){i=(h[g+((b[c+p>>0]^b[a+p>>0])&255)>>0]|0)+q|0;p=p+1|0;if((p|0)==(d|0)){f=i;break}else q=i}return f|0}function hF(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0.0,g=0.0,h=0,i=0.0,j=0,k=0.0,l=0.0,m=0.0,o=0.0,p=0,q=0.0;d=c+-4|0;if((c|0)<4){e=0;f=0.0}else{g=0.0;h=0;do{i=+n[a+(h<<2)>>2]-+n[b+(h<<2)>>2];j=h|1;k=+n[a+(j<<2)>>2]-+n[b+(j<<2)>>2];j=h|2;l=+n[a+(j<<2)>>2]-+n[b+(j<<2)>>2];j=h|3;m=+n[a+(j<<2)>>2]-+n[b+(j<<2)>>2];g=g+(i*i+k*k+l*l+m*m);h=h+4|0}while((h|0)<=(d|0));e=c&-4;f=g}if((e|0)<(c|0)){o=f;p=e}else{q=f;return +q}while(1){f=+n[a+(p<<2)>>2]-+n[b+(p<<2)>>2];g=o+f*f;p=p+1|0;if((p|0)==(c|0)){q=g;break}else o=g}return +q}function iF(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0.0,N=0,O=0,P=0,Q=0.0,R=0,S=0.0,T=0.0,U=0.0,V=0.0,W=0.0,X=0.0,Z=0.0,_=0,$=0.0,aa=0.0,ba=0,ca=0.0,da=0.0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0;e=u;u=u+1328|0;g=e+1320|0;i=e+1264|0;j=e+1208|0;k=e+1152|0;l=e+32|0;m=e;o=e+1120|0;q=e+1112|0;r=e+48|0;gV(g,35624);t=c&7;v=(t|0)==1;w=(t|0)==2;x=(t|0)==4;y=(t|0)==5;z=c&255;switch(z&7){case 1:case 2:case 4:case 5:break;default:{if((t|1|0)!=7){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;A=cuc(192)|0;f[i>>2]=A;B=i+8|0;f[B>>2]=-2147483456;C=i+4|0;f[C>>2]=177;szc(A|0,199331,177)|0;D=A+177|0;b[D>>0]=0;WD(-215,i,199509,199514,633)}if(pJ(a,-1)|0){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;A=cuc(192)|0;f[i>>2]=A;B=i+8|0;f[B>>2]=-2147483456;C=i+4|0;f[C>>2]=177;szc(A|0,199331,177)|0;D=A+177|0;b[D>>0]=0;WD(-215,i,199509,199514,633)}}}do if((qJ(a)|0)==65536){D=f[a+4>>2]|0;f[i>>2]=f[D>>2];A=i+4|0;C=D+4|0;f[A>>2]=f[C>>2];B=i+8|0;f[B>>2]=f[D+8>>2];f[i+12>>2]=f[D+12>>2];f[i+16>>2]=f[D+16>>2];f[i+20>>2]=f[D+20>>2];f[i+24>>2]=f[D+24>>2];f[i+28>>2]=f[D+28>>2];f[i+32>>2]=f[D+32>>2];c=f[D+36>>2]|0;f[i+36>>2]=c;f[i+40>>2]=B;B=i+48|0;E=i+44|0;f[E>>2]=B;f[B>>2]=0;f[i+52>>2]=0;if(c|0){B=c+12|0;f[B>>2]=(f[B>>2]|0)+1}if((f[C>>2]|0)<3){C=f[D+44>>2]|0;B=f[E>>2]|0;f[B>>2]=f[C>>2];f[B+4>>2]=f[C+4>>2];break}else{f[A>>2]=0;$T(i,D);break}}else nJ(i,a,-1);while(0);do if((qJ(d)|0)==65536){a=f[d+4>>2]|0;f[j>>2]=f[a>>2];D=j+4|0;A=a+4|0;f[D>>2]=f[A>>2];C=j+8|0;f[C>>2]=f[a+8>>2];f[j+12>>2]=f[a+12>>2];f[j+16>>2]=f[a+16>>2];f[j+20>>2]=f[a+20>>2];f[j+24>>2]=f[a+24>>2];f[j+28>>2]=f[a+28>>2];f[j+32>>2]=f[a+32>>2];B=f[a+36>>2]|0;f[j+36>>2]=B;f[j+40>>2]=C;C=j+48|0;E=j+44|0;f[E>>2]=C;f[C>>2]=0;f[j+52>>2]=0;if(B|0){C=B+12|0;f[C>>2]=(f[C>>2]|0)+1}if((f[A>>2]|0)<3){A=f[a+44>>2]|0;C=f[E>>2]|0;f[C>>2]=f[A>>2];f[C+4>>2]=f[A+4>>2];break}else{f[D>>2]=0;$T(j,a);break}}else nJ(j,d,-1);while(0);d=f[i>>2]|0;a=d&7;D=(d>>>3&511)+1|0;A=f[j+16>>2]|0;a:do if(!(d&16384))F=64;else{if(A|0){C=f[j+4>>2]|0;if((C|0)<3)G=Y(f[j+12>>2]|0,f[j+8>>2]|0)|0;else{E=f[j+40>>2]|0;B=0;c=1;while(1){H=Y(f[E+(B<<2)>>2]|0,c)|0;B=B+1|0;if((B|0)==(C|0)){G=H;break}else c=H}}if(!((C|0)==0|(G|0)==0)){F=64;break}}c=f[i+4>>2]|0;if((c|0)<3)I=Y(f[i+12>>2]|0,f[i+8>>2]|0)|0;else{B=f[i+40>>2]|0;E=0;H=1;while(1){J=Y(f[B+(E<<2)>>2]|0,H)|0;E=E+1|0;if((E|0)==(c|0)){I=J;break}else H=J}}H=Y(I,D)|0;switch(d&7){case 5:break;case 0:{c=f[i+16>>2]|0;switch(z&7){case 6:{K=+(wV(c,H)|0);break a;break}case 7:break;default:{F=64;break a}}E=H+-4|0;if((H|0)<4){N=0;O=0}else{B=0;C=0;do{C=(h[199075+(h[c+B>>0]|0)>>0]|0)+C+(h[199075+(h[c+(B|1)>>0]|0)>>0]|0)+(h[199075+(h[c+(B|2)>>0]|0)>>0]|0)+(h[199075+(h[c+(B|3)>>0]|0)>>0]|0)|0;B=B+4|0}while((B|0)<=(E|0));N=C;O=H&-4}if((O|0)<(H|0)){E=O;B=N;while(1){J=(h[199075+(h[c+E>>0]|0)>>0]|0)+B|0;E=E+1|0;if((E|0)==(H|0)){P=J;break}else B=J}}else P=N;K=+(P|0);break a;break}default:{F=64;break a}}B=f[i+16>>2]|0;if(x){E=H+-4|0;if((H|0)<4){Q=0.0;R=0}else{c=0;S=0.0;do{T=+n[B+(c<<2)>>2];U=+n[B+((c|1)<<2)>>2];V=+n[B+((c|2)<<2)>>2];W=+n[B+((c|3)<<2)>>2];S=S+(T*T+U*U+V*V+W*W);c=c+4|0}while((c|0)<=(E|0));Q=S;R=H&-4}if((R|0)<(H|0)){E=R;W=Q;while(1){V=+n[B+(E<<2)>>2];U=W+V*V;E=E+1|0;if((E|0)==(H|0)){X=U;break}else W=U}}else X=Q;K=+M(+(X+0.0));break}if(y){E=H+-4|0;if((H|0)<4){Z=0.0;_=0}else{c=0;W=0.0;do{S=+n[B+(c<<2)>>2];U=+n[B+((c|1)<<2)>>2];V=+n[B+((c|2)<<2)>>2];T=+n[B+((c|3)<<2)>>2];W=W+(S*S+U*U+V*V+T*T);c=c+4|0}while((c|0)<=(E|0));Z=W;_=H&-4}if((_|0)<(H|0)){E=_;T=Z;while(1){V=+n[B+(E<<2)>>2];U=T+V*V;E=E+1|0;if((E|0)==(H|0)){$=U;break}else T=U}}else $=Z;K=$+0.0;break}if(!w){if(!v){F=64;break}if((H|0)>0){E=0;T=0.0;while(1){W=+L(+(+n[B+(E<<2)>>2]));U=T<W?W:T;E=E+1|0;if((E|0)==(H|0)){aa=U;break}else T=U}}else aa=0.0;K=aa>0.0?aa:0.0;break}E=H+-4|0;if((H|0)<4){ba=0;ca=0.0}else{T=0.0;c=0;do{U=+L(+(+n[B+(c<<2)>>2]));W=U+ +L(+(+n[B+((c|1)<<2)>>2]));U=W+ +L(+(+n[B+((c|2)<<2)>>2]));T=T+(U+ +L(+(+n[B+((c|3)<<2)>>2])));c=c+4|0}while((c|0)<=(E|0));ba=H&-4;ca=T}if((ba|0)<(H|0)){U=ca;E=ba;while(1){W=U+ +L(+(+n[B+(E<<2)>>2]));E=E+1|0;if((E|0)==(H|0)){da=W;break}else U=W}}else da=ca;K=da+0.0}while(0);do if((F|0)==64){ba=(A|0)==0;if(!ba){_=f[j+4>>2]|0;if((_|0)<3)ea=Y(f[j+12>>2]|0,f[j+8>>2]|0)|0;else{y=f[j+40>>2]|0;R=0;P=1;while(1){N=Y(f[y+(R<<2)>>2]|0,P)|0;R=R+1|0;if((R|0)==(_|0)){ea=N;break}else P=N}}if(!((_|0)==0|(ea|0)==0)?f[j>>2]&4095|0:0){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;P=cuc(48)|0;f[k>>2]=P;f[k+8>>2]=-2147483600;f[k+4>>2]=36;fa=P;ga=199580;ha=fa+36|0;do{b[fa>>0]=b[ga>>0]|0;fa=fa+1|0;ga=ga+1|0}while((fa|0)<(ha|0));b[P+36>>0]=0;WD(-215,k,199509,199514,700)}}_=(t|0)==6;R=t|1;if((R|0)==7){if(!ba){y=f[j+4>>2]|0;if((y|0)<3)ia=Y(f[j+12>>2]|0,f[j+8>>2]|0)|0;else{N=f[j+40>>2]|0;O=0;z=1;while(1){d=Y(f[N+(O<<2)>>2]|0,z)|0;O=O+1|0;if((O|0)==(y|0)){ia=d;break}else z=d}}if(!((y|0)==0|(ia|0)==0)){f[k>>2]=1124007936;z=k+4|0;O=k+8|0;N=k+40|0;fa=z;ha=fa+36|0;do{f[fa>>2]=0;fa=fa+4|0}while((fa|0)<(ha|0));f[N>>2]=O;y=k+48|0;ba=k+44|0;f[ba>>2]=y;f[y>>2]=0;f[k+52>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;f[l>>2]=16842752;f[l+4>>2]=i;f[m+8>>2]=0;f[m+12>>2]=0;f[m>>2]=16842752;f[m+4>>2]=j;P=o+8|0;f[P>>2]=0;f[P+4>>2]=0;f[o>>2]=33619968;f[o+4>>2]=k;BV(l,m,o,sK()|0);f[l+8>>2]=0;f[l+12>>2]=0;f[l>>2]=16842752;f[l+4>>2]=k;da=+iF(l,t,sK()|0);P=k+36|0;d=f[P>>2]|0;if(d|0?(I=d+12|0,d=f[I>>2]|0,f[I>>2]=d+-1,(d|0)==1):0)aU(k);f[P>>2]=0;P=k+16|0;f[P>>2]=0;f[P+4>>2]=0;f[P+8>>2]=0;f[P+12>>2]=0;if((f[z>>2]|0)>0){P=f[N>>2]|0;d=0;do{f[P+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[z>>2]|0))}z=f[ba>>2]|0;if((z|0)!=(y|0))TC(z);K=da;break}}z=_?1:2;f[k>>2]=i;f[k+4>>2]=0;f[l>>2]=0;YC(m,k,l,-1);d=f[m+20>>2]|0;P=m+16|0;N=0;O=0;while(1){if(N>>>0>=(f[P>>2]|0)>>>0)break;I=(fF(f[l>>2]|0,d,z)|0)+O|0;ZC(m)|0;N=N+1|0;O=I}K=+(O|0);break}N=(a|0)==7;z=f[35644+(t>>>1<<5)+((N?5:a)<<2)>>2]|0;if(!z){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;b[k+11>>0]=9;fa=k;ga=253007;ha=fa+9|0;do{b[fa>>0]=b[ga>>0]|0;fa=fa+1|0;ga=ga+1|0}while((fa|0)<(ha|0));b[k+9>>0]=0;WD(-215,k,199509,199514,727)}f[k>>2]=i;f[k+4>>2]=j;f[k+8>>2]=0;O=l;f[O>>2]=0;f[O+4>>2]=0;p[m>>3]=0.0;YC(o,k,l,-1);O=f[o+20>>2]|0;d=a>>>0<2;P=(R|0)==5&d|(N|w&a>>>0<4);f[q>>2]=0;_=r+8|0;f[r>>2]=_;y=r+4|0;f[y>>2]=264;do if(P){ba=f[i+4>>2]|0;if((ba|0)>0)ja=f[(f[i+44>>2]|0)+(ba+-1<<2)>>2]|0;else ja=0;if(!N){ba=((w&d?8388608:32768)>>>0)/(D>>>0)|0;ka=ja;la=0;ma=q;na=(ba|0)<(O|0)?ba:O;oa=0;break}ba=(O|0)<1024?O:1024;f[y>>2]=ba;if(ba>>>0>264){I=euc(ba>>>0>1073741823?-1:ba<<2)|0;f[r>>2]=I;pa=I}else pa=_;ka=ja;la=pa;ma=m;na=ba;oa=pa}else{ka=0;la=0;ma=m;na=O;oa=0}while(0);d=o+16|0;R=(O|0)>0;ba=l+4|0;I=(a|0)!=7&P;G=0;while(1){if(G>>>0>=(f[d>>2]|0)>>>0)break;b:do if(R){if(N){H=0;E=f[l>>2]|0;while(1){B=O-H|0;c=(na|0)<(B|0)?na:B;$O(E,la,c);mh[z&127](oa,f[ba>>2]|0,ma,c,D)|0;if(I){p[m>>3]=+p[m>>3]+ +(f[q>>2]|0);f[q>>2]=0}B=Y(c,ka)|0;E=(f[l>>2]|0)+B|0;f[l>>2]=E;B=f[ba>>2]|0;if(B|0)f[ba>>2]=B+c;H=H+na|0;if((O|0)<=(H|0))break b}}H=f[l>>2]|0;E=f[ba>>2]|0;if(I){c=0;B=H;C=E;while(1){J=O-c|0;qa=(na|0)<(J|0)?na:J;mh[z&127](B,C,ma,qa,D)|0;p[m>>3]=+p[m>>3]+ +(f[q>>2]|0);f[q>>2]=0;J=Y(qa,ka)|0;B=(f[l>>2]|0)+J|0;f[l>>2]=B;J=f[ba>>2]|0;if(!J)ra=0;else{sa=J+qa|0;f[ba>>2]=sa;ra=sa}c=c+na|0;if((O|0)<=(c|0))break;else C=ra}}else{C=0;c=H;B=E;while(1){sa=O-C|0;qa=(na|0)<(sa|0)?na:sa;mh[z&127](c,B,ma,qa,D)|0;sa=Y(qa,ka)|0;c=(f[l>>2]|0)+sa|0;f[l>>2]=c;sa=f[ba>>2]|0;if(!sa)ta=0;else{J=sa+qa|0;f[ba>>2]=J;ta=J}C=C+na|0;if((O|0)<=(C|0))break;else B=ta}}}while(0);ZC(o)|0;G=G+1|0}if(v){if((a|0)!=6){G=f[m>>2]|0;p[m>>3]=(a|0)==5?(f[s>>2]=G,+n[s>>2]):+(G|0)}}else if(x){da=+M(+(+p[m>>3]));p[m>>3]=da}da=+p[m>>3];G=f[r>>2]|0;if((G|0)!=(_|0)){if(G|0)guc(G);f[r>>2]=_;f[y>>2]=264}K=da}while(0);r=j+36|0;m=f[r>>2]|0;if(m|0?(x=m+12|0,m=f[x>>2]|0,f[x>>2]=m+-1,(m|0)==1):0)aU(j);f[r>>2]=0;r=j+16|0;m=j+4|0;f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;f[r+12>>2]=0;if((f[m>>2]|0)>0){r=f[j+40>>2]|0;x=0;do{f[r+(x<<2)>>2]=0;x=x+1|0}while((x|0)<(f[m>>2]|0))}m=f[j+44>>2]|0;if((m|0)!=(j+48|0))TC(m);m=i+36|0;j=f[m>>2]|0;if(j|0?(x=j+12|0,j=f[x>>2]|0,f[x>>2]=j+-1,(j|0)==1):0)aU(i);f[m>>2]=0;m=i+16|0;j=i+4|0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;if((f[j>>2]|0)>0){m=f[i+40>>2]|0;x=0;do{f[m+(x<<2)>>2]=0;x=x+1|0}while((x|0)<(f[j>>2]|0))}j=f[i+44>>2]|0;if((j|0)!=(i+48|0))TC(j);if(!(f[g+4>>2]|0)){u=e;return +K}u=e;return +K}function jF(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;i=f[d>>2]|0;if(!c){j=Y(g,e)|0;if((j|0)>0){k=0;l=0;while(1){m=h[a+l>>0]|0;n=(k|0)<(m|0)?m:k;l=l+1|0;if((l|0)==(j|0)){o=n;break}else k=n}}else o=0;p=(i|0)<(o|0)?o:i;f[d>>2]=p;return 0}if((e|0)>0&(g|0)>0){q=0;r=a;s=i}else{p=i;f[d>>2]=p;return 0}while(1){if(!(b[c+q>>0]|0))t=s;else{i=0;a=s;while(1){o=h[r+i>>0]|0;k=(a|0)<(o|0)?o:a;i=i+1|0;if((i|0)==(g|0)){t=k;break}else a=k}}q=q+1|0;if((q|0)==(e|0)){p=t;break}else{r=r+g|0;s=t}}f[d>>2]=p;return 0}function kF(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;h=f[d>>2]|0;if(!c){i=Y(g,e)|0;if((i|0)>0){j=0;k=0;while(1){l=b[a+k>>0]|0;m=l<<24>>24;n=l<<24>>24>-1?m:0-m|0;m=(j|0)<(n|0)?n:j;k=k+1|0;if((k|0)==(i|0)){o=m;break}else j=m}}else o=0;p=(h|0)<(o|0)?o:h;f[d>>2]=p;return 0}if((e|0)>0&(g|0)>0){q=0;r=a;s=h}else{p=h;f[d>>2]=p;return 0}while(1){if(!(b[c+q>>0]|0))t=s;else{h=0;a=s;while(1){o=b[r+h>>0]|0;j=o<<24>>24;i=o<<24>>24>-1?j:0-j|0;j=(a|0)<(i|0)?i:a;h=h+1|0;if((h|0)==(g|0)){t=j;break}else a=j}}q=q+1|0;if((q|0)==(e|0)){p=t;break}else{r=r+g|0;s=t}}f[d>>2]=p;return 0}function lF(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;h=f[d>>2]|0;if(!c){i=Y(g,e)|0;if((i|0)>0){k=0;l=0;while(1){m=j[a+(l<<1)>>1]|0;n=(k|0)<(m|0)?m:k;l=l+1|0;if((l|0)==(i|0)){o=n;break}else k=n}}else o=0;p=(h|0)<(o|0)?o:h;f[d>>2]=p;return 0}if((e|0)>0&(g|0)>0){q=0;r=a;s=h}else{p=h;f[d>>2]=p;return 0}while(1){if(!(b[c+q>>0]|0))t=s;else{h=0;a=s;while(1){o=j[r+(h<<1)>>1]|0;k=(a|0)<(o|0)?o:a;h=h+1|0;if((h|0)==(g|0)){t=k;break}else a=k}}q=q+1|0;if((q|0)==(e|0)){p=t;break}else{r=r+(g<<1)|0;s=t}}f[d>>2]=p;return 0}function mF(a,c,e,g,h){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;i=f[e>>2]|0;if(!c){j=Y(h,g)|0;if((j|0)>0){k=0;l=0;while(1){m=d[a+(l<<1)>>1]|0;n=m<<16>>16;o=m<<16>>16>-1?n:0-n|0;n=(k|0)<(o|0)?o:k;l=l+1|0;if((l|0)==(j|0)){p=n;break}else k=n}}else p=0;q=(i|0)<(p|0)?p:i;f[e>>2]=q;return 0}if((g|0)>0&(h|0)>0){r=0;s=a;t=i}else{q=i;f[e>>2]=q;return 0}while(1){if(!(b[c+r>>0]|0))u=t;else{i=0;a=t;while(1){p=d[s+(i<<1)>>1]|0;k=p<<16>>16;j=p<<16>>16>-1?k:0-k|0;k=(a|0)<(j|0)?j:a;i=i+1|0;if((i|0)==(h|0)){u=k;break}else a=k}}r=r+1|0;if((r|0)==(g|0)){q=u;break}else{s=s+(h<<1)|0;t=u}}f[e>>2]=q;return 0}function nF(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;h=f[d>>2]|0;if(!c){i=Y(g,e)|0;if((i|0)>0){j=0;k=0;while(1){l=f[a+(k<<2)>>2]|0;m=(l|0)>-1?l:0-l|0;l=(j|0)<(m|0)?m:j;k=k+1|0;if((k|0)==(i|0)){n=l;break}else j=l}}else n=0;o=(h|0)<(n|0)?n:h;f[d>>2]=o;return 0}if((e|0)>0&(g|0)>0){p=0;q=a;r=h}else{o=h;f[d>>2]=o;return 0}while(1){if(!(b[c+p>>0]|0))s=r;else{h=0;a=r;while(1){n=f[q+(h<<2)>>2]|0;j=(n|0)>-1?n:0-n|0;n=(a|0)<(j|0)?j:a;h=h+1|0;if((h|0)==(g|0)){s=n;break}else a=n}}p=p+1|0;if((p|0)==(e|0)){o=s;break}else{q=q+(g<<2)|0;r=s}}f[d>>2]=o;return 0}function oF(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0.0,j=0,k=0,l=0.0,m=0.0,o=0.0,p=0.0,q=0,r=0,t=0,u=0.0,v=0,w=0.0,x=0;h=f[d>>2]|0;i=(f[s>>2]=h,+n[s>>2]);if(!c){j=Y(g,e)|0;if((j|0)>0){k=0;l=0.0;while(1){m=+L(+(+n[a+(k<<2)>>2]));o=l<m?m:l;k=k+1|0;if((k|0)==(j|0)){p=o;break}else l=o}}else p=0.0;q=(n[s>>2]=i<p?p:i,f[s>>2]|0);f[d>>2]=q;return 0}if((e|0)>0&(g|0)>0){r=0;t=a;u=i;v=h}else{q=h;f[d>>2]=q;return 0}while(1){if(!(b[c+r>>0]|0)){w=u;x=v}else{h=0;i=u;do{p=+L(+(+n[t+(h<<2)>>2]));i=i<p?p:i;h=h+1|0}while((h|0)!=(g|0));w=i;x=(n[s>>2]=i,f[s>>2]|0)}r=r+1|0;if((r|0)==(e|0)){q=x;break}else{t=t+(g<<2)|0;u=w;v=x}}f[d>>2]=q;return 0}function pF(a,c,d,e,f){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0.0,h=0,i=0.0,j=0,k=0.0,l=0.0,m=0.0,n=0.0,o=0,q=0,r=0.0,s=0.0;g=+p[d>>3];if(!c){h=Y(f,e)|0;if((h|0)>0){i=0.0;j=0;while(1){k=+L(+(+p[a+(j<<3)>>3]));l=i<k?k:i;j=j+1|0;if((j|0)==(h|0)){m=l;break}else i=l}}else m=0.0;n=g<m?m:g;p[d>>3]=n;return 0}if((e|0)>0&(f|0)>0){o=0;q=a;r=g}else{n=g;p[d>>3]=n;return 0}while(1){if(!(b[c+o>>0]|0))s=r;else{a=0;g=r;while(1){m=+L(+(+p[q+(a<<3)>>3]));i=g<m?m:g;a=a+1|0;if((a|0)==(f|0)){s=i;break}else g=i}}o=o+1|0;if((o|0)==(e|0)){n=s;break}else{q=q+(f<<3)|0;r=s}}p[d>>3]=n;return 0}function qF(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;i=f[d>>2]|0;if(c|0){if((e|0)>0&(g|0)>0){j=0;k=i;l=a}else{m=i;f[d>>2]=m;return 0}while(1){if(!(b[c+j>>0]|0))n=k;else{o=0;p=k;while(1){q=(h[l+o>>0]|0)+p|0;o=o+1|0;if((o|0)==(g|0)){n=q;break}else p=q}}j=j+1|0;if((j|0)==(e|0)){m=n;break}else{k=n;l=l+g|0}}f[d>>2]=m;return 0}l=Y(g,e)|0;e=l+-4|0;if((l|0)<4){r=0;s=0}else{g=0;n=0;do{g=(h[a+n>>0]|0)+g+(h[a+(n|1)>>0]|0)+(h[a+(n|2)>>0]|0)+(h[a+(n|3)>>0]|0)|0;n=n+4|0}while((n|0)<=(e|0));r=l&-4;s=g}if((r|0)<(l|0)){g=s;e=r;while(1){r=(h[a+e>>0]|0)+g|0;e=e+1|0;if((e|0)==(l|0)){t=r;break}else g=r}}else t=s;m=t+i|0;f[d>>2]=m;return 0}function rF(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return NF(a,b,c,d,e)|0}function sF(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;h=f[d>>2]|0;if(c|0){if((e|0)>0&(g|0)>0){i=0;k=h;l=a}else{m=h;f[d>>2]=m;return 0}while(1){if(!(b[c+i>>0]|0))n=k;else{o=0;p=k;while(1){q=(j[l+(o<<1)>>1]|0)+p|0;o=o+1|0;if((o|0)==(g|0)){n=q;break}else p=q}}i=i+1|0;if((i|0)==(e|0)){m=n;break}else{k=n;l=l+(g<<1)|0}}f[d>>2]=m;return 0}l=Y(g,e)|0;e=l+-4|0;if((l|0)<4){r=0;s=0}else{g=0;n=0;do{g=(j[a+(n<<1)>>1]|0)+g+(j[a+((n|1)<<1)>>1]|0)+(j[a+((n|2)<<1)>>1]|0)+(j[a+((n|3)<<1)>>1]|0)|0;n=n+4|0}while((n|0)<=(e|0));r=l&-4;s=g}if((r|0)<(l|0)){g=s;e=r;while(1){r=(j[a+(e<<1)>>1]|0)+g|0;e=e+1|0;if((e|0)==(l|0)){t=r;break}else g=r}}else t=s;m=t+h|0;f[d>>2]=m;return 0}function tF(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return MF(a,b,c,d,e)|0}function uF(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return LF(a,b,c,d,e)|0}function vF(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return KF(a,b,c,d,e)|0}function wF(a,c,d,e,f){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0.0,h=0,i=0.0,j=0,k=0.0,l=0.0,m=0,n=0.0,o=0.0,q=0,r=0.0,s=0.0;g=+p[d>>3];if(c|0){if((e|0)>0&(f|0)>0){h=0;i=g;j=a}else{k=g;p[d>>3]=k;return 0}while(1){if(!(b[c+h>>0]|0))l=i;else{m=0;n=i;while(1){o=n+ +L(+(+p[j+(m<<3)>>3]));m=m+1|0;if((m|0)==(f|0)){l=o;break}else n=o}}h=h+1|0;if((h|0)==(e|0)){k=l;break}else{i=l;j=j+(f<<3)|0}}p[d>>3]=k;return 0}j=Y(f,e)|0;e=j+-4|0;if((j|0)<4){q=0;r=0.0}else{l=0.0;f=0;do{i=+L(+(+p[a+(f<<3)>>3]));n=i+ +L(+(+p[a+((f|1)<<3)>>3]));i=n+ +L(+(+p[a+((f|2)<<3)>>3]));l=l+(i+ +L(+(+p[a+((f|3)<<3)>>3])));f=f+4|0}while((f|0)<=(e|0));q=j&-4;r=l}if((q|0)<(j|0)){l=r;e=q;while(1){i=l+ +L(+(+p[a+(e<<3)>>3]));e=e+1|0;if((e|0)==(j|0)){s=i;break}else l=i}}else s=r;k=g+s;p[d>>3]=k;return 0}function xF(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return JF(a,b,c,d,e)|0}function yF(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return IF(a,b,c,d,e)|0}function zF(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return HF(a,b,c,d,e)|0}function AF(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return GF(a,b,c,d,e)|0}function BF(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return FF(a,b,c,d,e)|0}function CF(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return EF(a,b,c,d,e)|0}function DF(a,c,d,e,f){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0.0,h=0,i=0.0,j=0,k=0.0,l=0.0,m=0,n=0.0,o=0.0,q=0.0,r=0.0,s=0,t=0.0;g=+p[d>>3];if(c|0){if((e|0)>0&(f|0)>0){h=0;i=g;j=a}else{k=g;p[d>>3]=k;return 0}while(1){if(!(b[c+h>>0]|0))l=i;else{m=0;n=i;while(1){o=+p[j+(m<<3)>>3];q=n+o*o;m=m+1|0;if((m|0)==(f|0)){l=q;break}else n=q}}h=h+1|0;if((h|0)==(e|0)){k=l;break}else{i=l;j=j+(f<<3)|0}}p[d>>3]=k;return 0}j=Y(f,e)|0;e=j+-4|0;if((j|0)<4){r=0.0;s=0}else{f=0;l=0.0;do{i=+p[a+(f<<3)>>3];n=+p[a+((f|1)<<3)>>3];q=+p[a+((f|2)<<3)>>3];o=+p[a+((f|3)<<3)>>3];l=l+(i*i+n*n+q*q+o*o);f=f+4|0}while((f|0)<=(e|0));r=l;s=j&-4}if((s|0)<(j|0)){e=s;l=r;while(1){o=+p[a+(e<<3)>>3];q=l+o*o;e=e+1|0;if((e|0)==(j|0)){t=q;break}else l=q}}else t=r;k=g+t;p[d>>3]=k;return 0}function EF(a,c,d,e,f){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0.0,h=0,i=0.0,j=0,k=0.0,l=0.0,m=0,o=0.0,q=0.0,r=0.0,s=0.0,t=0,u=0.0;g=+p[d>>3];if(c|0){if((e|0)>0&(f|0)>0){h=0;i=g;j=a}else{k=g;p[d>>3]=k;return 0}while(1){if(!(b[c+h>>0]|0))l=i;else{m=0;o=i;while(1){q=+n[j+(m<<2)>>2];r=o+q*q;m=m+1|0;if((m|0)==(f|0)){l=r;break}else o=r}}h=h+1|0;if((h|0)==(e|0)){k=l;break}else{i=l;j=j+(f<<2)|0}}p[d>>3]=k;return 0}j=Y(f,e)|0;e=j+-4|0;if((j|0)<4){s=0.0;t=0}else{f=0;l=0.0;do{i=+n[a+(f<<2)>>2];o=+n[a+((f|1)<<2)>>2];r=+n[a+((f|2)<<2)>>2];q=+n[a+((f|3)<<2)>>2];l=l+(i*i+o*o+r*r+q*q);f=f+4|0}while((f|0)<=(e|0));s=l;t=j&-4}if((t|0)<(j|0)){e=t;l=s;while(1){q=+n[a+(e<<2)>>2];r=l+q*q;e=e+1|0;if((e|0)==(j|0)){u=r;break}else l=r}}else u=s;k=g+u;p[d>>3]=k;return 0}function FF(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0.0,i=0,j=0.0,k=0,l=0.0,m=0.0,n=0,o=0.0,q=0.0,r=0.0,s=0.0,t=0,u=0.0;h=+p[d>>3];if(c|0){if((e|0)>0&(g|0)>0){i=0;j=h;k=a}else{l=h;p[d>>3]=l;return 0}while(1){if(!(b[c+i>>0]|0))m=j;else{n=0;o=j;while(1){q=+(f[k+(n<<2)>>2]|0);r=o+q*q;n=n+1|0;if((n|0)==(g|0)){m=r;break}else o=r}}i=i+1|0;if((i|0)==(e|0)){l=m;break}else{j=m;k=k+(g<<2)|0}}p[d>>3]=l;return 0}k=Y(g,e)|0;e=k+-4|0;if((k|0)<4){s=0.0;t=0}else{g=0;m=0.0;do{j=+(f[a+(g<<2)>>2]|0);o=+(f[a+((g|1)<<2)>>2]|0);r=+(f[a+((g|2)<<2)>>2]|0);q=+(f[a+((g|3)<<2)>>2]|0);m=m+(j*j+o*o+r*r+q*q);g=g+4|0}while((g|0)<=(e|0));s=m;t=k&-4}if((t|0)<(k|0)){e=t;m=s;while(1){q=+(f[a+(e<<2)>>2]|0);r=m+q*q;e=e+1|0;if((e|0)==(k|0)){u=r;break}else m=r}}else u=s;l=h+u;p[d>>3]=l;return 0}function GF(a,c,e,f,g){a=a|0;c=c|0;e=e|0;f=f|0;g=g|0;var h=0.0,i=0,j=0.0,k=0,l=0.0,m=0.0,n=0,o=0.0,q=0.0,r=0.0,s=0.0,t=0,u=0.0;h=+p[e>>3];if(c|0){if((f|0)>0&(g|0)>0){i=0;j=h;k=a}else{l=h;p[e>>3]=l;return 0}while(1){if(!(b[c+i>>0]|0))m=j;else{n=0;o=j;while(1){q=+(d[k+(n<<1)>>1]|0);r=o+q*q;n=n+1|0;if((n|0)==(g|0)){m=r;break}else o=r}}i=i+1|0;if((i|0)==(f|0)){l=m;break}else{j=m;k=k+(g<<1)|0}}p[e>>3]=l;return 0}k=Y(g,f)|0;f=k+-4|0;if((k|0)<4){s=0.0;t=0}else{g=0;m=0.0;do{j=+(d[a+(g<<1)>>1]|0);o=+(d[a+((g|1)<<1)>>1]|0);r=+(d[a+((g|2)<<1)>>1]|0);q=+(d[a+((g|3)<<1)>>1]|0);m=m+(j*j+o*o+r*r+q*q);g=g+4|0}while((g|0)<=(f|0));s=m;t=k&-4}if((t|0)<(k|0)){f=t;m=s;while(1){q=+(d[a+(f<<1)>>1]|0);r=m+q*q;f=f+1|0;if((f|0)==(k|0)){u=r;break}else m=r}}else u=s;l=h+u;p[e>>3]=l;return 0}function HF(a,c,d,e,f){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0.0,h=0,i=0.0,k=0,l=0.0,m=0.0,n=0,o=0.0,q=0.0,r=0.0,s=0.0,t=0,u=0.0;g=+p[d>>3];if(c|0){if((e|0)>0&(f|0)>0){h=0;i=g;k=a}else{l=g;p[d>>3]=l;return 0}while(1){if(!(b[c+h>>0]|0))m=i;else{n=0;o=i;while(1){q=+(j[k+(n<<1)>>1]|0);r=o+q*q;n=n+1|0;if((n|0)==(f|0)){m=r;break}else o=r}}h=h+1|0;if((h|0)==(e|0)){l=m;break}else{i=m;k=k+(f<<1)|0}}p[d>>3]=l;return 0}k=Y(f,e)|0;e=k+-4|0;if((k|0)<4){s=0.0;t=0}else{f=0;m=0.0;do{i=+(j[a+(f<<1)>>1]|0);o=+(j[a+((f|1)<<1)>>1]|0);r=+(j[a+((f|2)<<1)>>1]|0);q=+(j[a+((f|3)<<1)>>1]|0);m=m+(i*i+o*o+r*r+q*q);f=f+4|0}while((f|0)<=(e|0));s=m;t=k&-4}if((t|0)<(k|0)){e=t;m=s;while(1){q=+(j[a+(e<<1)>>1]|0);r=m+q*q;e=e+1|0;if((e|0)==(k|0)){u=r;break}else m=r}}else u=s;l=g+u;p[d>>3]=l;return 0}function IF(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;h=f[d>>2]|0;if(c|0){if((e|0)>0&(g|0)>0){i=0;j=h;k=a}else{l=h;f[d>>2]=l;return 0}while(1){if(!(b[c+i>>0]|0))m=j;else{n=0;o=j;while(1){p=b[k+n>>0]|0;q=(Y(p,p)|0)+o|0;n=n+1|0;if((n|0)==(g|0)){m=q;break}else o=q}}i=i+1|0;if((i|0)==(e|0)){l=m;break}else{j=m;k=k+g|0}}f[d>>2]=l;return 0}k=Y(g,e)|0;e=k+-4|0;if((k|0)<4){r=0;s=0}else{g=0;m=0;do{j=b[a+g>>0]|0;i=b[a+(g|1)>>0]|0;c=b[a+(g|2)>>0]|0;o=b[a+(g|3)>>0]|0;m=(Y(j,j)|0)+m+(Y(i,i)|0)+(Y(c,c)|0)+(Y(o,o)|0)|0;g=g+4|0}while((g|0)<=(e|0));r=m;s=k&-4}if((s|0)<(k|0)){m=s;s=r;while(1){e=b[a+m>>0]|0;g=(Y(e,e)|0)+s|0;m=m+1|0;if((m|0)==(k|0)){t=g;break}else s=g}}else t=r;l=t+h|0;f[d>>2]=l;return 0}function JF(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;i=f[d>>2]|0;if(c|0){if((e|0)>0&(g|0)>0){j=0;k=i;l=a}else{m=i;f[d>>2]=m;return 0}while(1){if(!(b[c+j>>0]|0))n=k;else{o=0;p=k;while(1){q=h[l+o>>0]|0;r=(Y(q,q)|0)+p|0;o=o+1|0;if((o|0)==(g|0)){n=r;break}else p=r}}j=j+1|0;if((j|0)==(e|0)){m=n;break}else{k=n;l=l+g|0}}f[d>>2]=m;return 0}l=Y(g,e)|0;e=l+-4|0;if((l|0)<4){s=0;t=0}else{g=0;n=0;do{k=h[a+g>>0]|0;j=h[a+(g|1)>>0]|0;c=h[a+(g|2)>>0]|0;p=h[a+(g|3)>>0]|0;n=(Y(k,k)|0)+n+(Y(j,j)|0)+(Y(c,c)|0)+(Y(p,p)|0)|0;g=g+4|0}while((g|0)<=(e|0));s=n;t=l&-4}if((t|0)<(l|0)){n=t;t=s;while(1){e=h[a+n>>0]|0;g=(Y(e,e)|0)+t|0;n=n+1|0;if((n|0)==(l|0)){u=g;break}else t=g}}else u=s;m=u+i|0;f[d>>2]=m;return 0}function KF(a,c,d,e,f){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0.0,h=0,i=0.0,j=0,k=0.0,l=0.0,m=0,o=0.0,q=0.0,r=0,s=0.0,t=0.0;g=+p[d>>3];if(c|0){if((e|0)>0&(f|0)>0){h=0;i=g;j=a}else{k=g;p[d>>3]=k;return 0}while(1){if(!(b[c+h>>0]|0))l=i;else{m=0;o=i;while(1){q=o+ +L(+(+n[j+(m<<2)>>2]));m=m+1|0;if((m|0)==(f|0)){l=q;break}else o=q}}h=h+1|0;if((h|0)==(e|0)){k=l;break}else{i=l;j=j+(f<<2)|0}}p[d>>3]=k;return 0}j=Y(f,e)|0;e=j+-4|0;if((j|0)<4){r=0;s=0.0}else{l=0.0;f=0;do{i=+L(+(+n[a+(f<<2)>>2]));o=i+ +L(+(+n[a+((f|1)<<2)>>2]));i=o+ +L(+(+n[a+((f|2)<<2)>>2]));l=l+(i+ +L(+(+n[a+((f|3)<<2)>>2])));f=f+4|0}while((f|0)<=(e|0));r=j&-4;s=l}if((r|0)<(j|0)){l=s;e=r;while(1){i=l+ +L(+(+n[a+(e<<2)>>2]));e=e+1|0;if((e|0)==(j|0)){t=i;break}else l=i}}else t=s;k=g+t;p[d>>3]=k;return 0}function LF(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0.0,i=0,j=0.0,k=0,l=0.0,m=0.0,n=0,o=0.0,q=0,r=0.0,s=0,t=0.0,u=0.0;h=+p[d>>3];if(c|0){if((e|0)>0&(g|0)>0){i=0;j=h;k=a}else{l=h;p[d>>3]=l;return 0}while(1){if(!(b[c+i>>0]|0))m=j;else{n=0;o=j;while(1){q=f[k+(n<<2)>>2]|0;r=o+ +(((q|0)>-1?q:0-q|0)|0);n=n+1|0;if((n|0)==(g|0)){m=r;break}else o=r}}i=i+1|0;if((i|0)==(e|0)){l=m;break}else{j=m;k=k+(g<<2)|0}}p[d>>3]=l;return 0}k=Y(g,e)|0;e=k+-4|0;if((k|0)<4){s=0;t=0.0}else{m=0.0;g=0;do{i=f[a+(g<<2)>>2]|0;c=f[a+((g|1)<<2)>>2]|0;n=f[a+((g|2)<<2)>>2]|0;q=f[a+((g|3)<<2)>>2]|0;m=m+(+(((i|0)>-1?i:0-i|0)|0)+ +(((c|0)>-1?c:0-c|0)|0)+ +(((n|0)>-1?n:0-n|0)|0)+ +(((q|0)>-1?q:0-q|0)|0));g=g+4|0}while((g|0)<=(e|0));s=k&-4;t=m}if((s|0)<(k|0)){m=t;e=s;while(1){s=f[a+(e<<2)>>2]|0;j=m+ +(((s|0)>-1?s:0-s|0)|0);e=e+1|0;if((e|0)==(k|0)){u=j;break}else m=j}}else u=t;l=h+u;p[d>>3]=l;return 0}function MF(a,c,e,g,h){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;i=f[e>>2]|0;if(c|0){if((g|0)>0&(h|0)>0){j=0;k=i;l=a}else{m=i;f[e>>2]=m;return 0}while(1){if(!(b[c+j>>0]|0))n=k;else{o=0;p=k;while(1){q=d[l+(o<<1)>>1]|0;r=q<<16>>16;s=(q<<16>>16>-1?r:0-r|0)+p|0;o=o+1|0;if((o|0)==(h|0)){n=s;break}else p=s}}j=j+1|0;if((j|0)==(g|0)){m=n;break}else{k=n;l=l+(h<<1)|0}}f[e>>2]=m;return 0}l=Y(h,g)|0;g=l+-4|0;if((l|0)<4){t=0;u=0}else{h=0;n=0;do{k=d[a+(n<<1)>>1]|0;j=k<<16>>16;c=d[a+((n|1)<<1)>>1]|0;p=c<<16>>16;o=d[a+((n|2)<<1)>>1]|0;s=o<<16>>16;r=d[a+((n|3)<<1)>>1]|0;q=r<<16>>16;h=(k<<16>>16>-1?j:0-j|0)+h+(c<<16>>16>-1?p:0-p|0)+(o<<16>>16>-1?s:0-s|0)+(r<<16>>16>-1?q:0-q|0)|0;n=n+4|0}while((n|0)<=(g|0));t=l&-4;u=h}if((t|0)<(l|0)){h=u;g=t;while(1){t=d[a+(g<<1)>>1]|0;n=t<<16>>16;q=(t<<16>>16>-1?n:0-n|0)+h|0;g=g+1|0;if((g|0)==(l|0)){v=q;break}else h=q}}else v=u;m=v+i|0;f[e>>2]=m;return 0}function NF(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;h=f[d>>2]|0;if(c|0){if((e|0)>0&(g|0)>0){i=0;j=h;k=a}else{l=h;f[d>>2]=l;return 0}while(1){if(!(b[c+i>>0]|0))m=j;else{n=0;o=j;while(1){p=b[k+n>>0]|0;q=p<<24>>24;r=(p<<24>>24>-1?q:0-q|0)+o|0;n=n+1|0;if((n|0)==(g|0)){m=r;break}else o=r}}i=i+1|0;if((i|0)==(e|0)){l=m;break}else{j=m;k=k+g|0}}f[d>>2]=l;return 0}k=Y(g,e)|0;e=k+-4|0;if((k|0)<4){s=0;t=0}else{g=0;m=0;do{j=b[a+m>>0]|0;i=j<<24>>24;c=b[a+(m|1)>>0]|0;o=c<<24>>24;n=b[a+(m|2)>>0]|0;r=n<<24>>24;q=b[a+(m|3)>>0]|0;p=q<<24>>24;g=(j<<24>>24>-1?i:0-i|0)+g+(c<<24>>24>-1?o:0-o|0)+(n<<24>>24>-1?r:0-r|0)+(q<<24>>24>-1?p:0-p|0)|0;m=m+4|0}while((m|0)<=(e|0));s=k&-4;t=g}if((s|0)<(k|0)){g=t;e=s;while(1){s=b[a+e>>0]|0;m=s<<24>>24;p=(s<<24>>24>-1?m:0-m|0)+g|0;e=e+1|0;if((e|0)==(k|0)){u=p;break}else g=p}}else u=t;l=u+h|0;f[d>>2]=l;return 0}function OF(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,N=0,O=0,P=0,Q=0,R=0.0,S=0,T=0.0,U=0.0,V=0.0,W=0.0,X=0.0,Z=0.0,_=0.0,$=0.0,aa=0,ba=0.0,ca=0.0,da=0.0,ea=0,fa=0,ga=0,ha=0.0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0.0;g=u;u=u+1392|0;h=g+1376|0;i=g+1320|0;j=g+1264|0;k=g+1208|0;l=g+1152|0;m=g+32|0;o=g;q=g+1120|0;r=g+1112|0;t=g+48|0;gV(h,35740);if(!(zJ(a,c)|0)){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;v=cuc(64)|0;f[i>>2]=v;w=i+8|0;f[w>>2]=-2147483584;x=i+4|0;f[x>>2]=53;y=v;z=199662;A=y+53|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));B=v+53|0;b[B>>0]=0;WD(-215,i,199509,199514,1108)}C=pJ(a,-1)|0;if((C|0)!=(pJ(c,-1)|0)){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;v=cuc(64)|0;f[i>>2]=v;w=i+8|0;f[w>>2]=-2147483584;x=i+4|0;f[x>>2]=53;y=v;z=199662;A=y+53|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));B=v+53|0;b[B>>0]=0;WD(-215,i,199509,199514,1108)}if(!(d&8)){do if((qJ(a)|0)==65536){B=f[a+4>>2]|0;f[i>>2]=f[B>>2];v=i+4|0;x=B+4|0;f[v>>2]=f[x>>2];w=i+8|0;f[w>>2]=f[B+8>>2];f[i+12>>2]=f[B+12>>2];f[i+16>>2]=f[B+16>>2];f[i+20>>2]=f[B+20>>2];f[i+24>>2]=f[B+24>>2];f[i+28>>2]=f[B+28>>2];f[i+32>>2]=f[B+32>>2];C=f[B+36>>2]|0;f[i+36>>2]=C;f[i+40>>2]=w;w=i+48|0;D=i+44|0;f[D>>2]=w;f[w>>2]=0;f[i+52>>2]=0;if(C|0){w=C+12|0;f[w>>2]=(f[w>>2]|0)+1}if((f[x>>2]|0)<3){x=f[B+44>>2]|0;w=f[D>>2]|0;f[w>>2]=f[x>>2];f[w+4>>2]=f[x+4>>2];break}else{f[v>>2]=0;$T(i,B);break}}else nJ(i,a,-1);while(0);do if((qJ(c)|0)==65536){B=f[c+4>>2]|0;f[j>>2]=f[B>>2];v=j+4|0;x=B+4|0;f[v>>2]=f[x>>2];w=j+8|0;f[w>>2]=f[B+8>>2];f[j+12>>2]=f[B+12>>2];f[j+16>>2]=f[B+16>>2];f[j+20>>2]=f[B+20>>2];f[j+24>>2]=f[B+24>>2];f[j+28>>2]=f[B+28>>2];f[j+32>>2]=f[B+32>>2];D=f[B+36>>2]|0;f[j+36>>2]=D;f[j+40>>2]=w;w=j+48|0;C=j+44|0;f[C>>2]=w;f[w>>2]=0;f[j+52>>2]=0;if(D|0){w=D+12|0;f[w>>2]=(f[w>>2]|0)+1}if((f[x>>2]|0)<3){x=f[B+44>>2]|0;w=f[C>>2]|0;f[w>>2]=f[x>>2];f[w+4>>2]=f[x+4>>2];break}else{f[v>>2]=0;$T(j,B);break}}else nJ(j,c,-1);while(0);do if((qJ(e)|0)==65536){B=f[e+4>>2]|0;f[k>>2]=f[B>>2];v=k+4|0;x=B+4|0;f[v>>2]=f[x>>2];w=k+8|0;f[w>>2]=f[B+8>>2];f[k+12>>2]=f[B+12>>2];f[k+16>>2]=f[B+16>>2];f[k+20>>2]=f[B+20>>2];f[k+24>>2]=f[B+24>>2];f[k+28>>2]=f[B+28>>2];f[k+32>>2]=f[B+32>>2];C=f[B+36>>2]|0;f[k+36>>2]=C;f[k+40>>2]=w;w=k+48|0;D=k+44|0;f[D>>2]=w;f[w>>2]=0;f[k+52>>2]=0;if(C|0){w=C+12|0;f[w>>2]=(f[w>>2]|0)+1}if((f[x>>2]|0)<3){x=f[B+44>>2]|0;w=f[D>>2]|0;f[w>>2]=f[x>>2];f[w+4>>2]=f[x+4>>2];break}else{f[v>>2]=0;$T(k,B);break}}else nJ(k,e,-1);while(0);B=f[i>>2]|0;v=B&7;x=(B>>>3&511)+1|0;w=d&7;D=(w|0)==1;C=(w|0)==2;E=(w|0)==4;F=(w|0)==5;switch(d&7){case 1:case 2:case 4:case 5:break;default:if(!((w|1|0)==7&(B&4095|0)==0)){f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;G=cuc(192)|0;f[l>>2]=G;f[l+8>>2]=-2147483456;f[l+4>>2]=177;szc(G|0,199716,177)|0;b[G+177>>0]=0;WD(-215,l,199509,199514,1133)}}do if((B&16384|0)!=0?(f[j>>2]&16384|0)!=0:0){if(f[k+16>>2]|0){G=f[k+4>>2]|0;if((G|0)<3)H=Y(f[k+12>>2]|0,f[k+8>>2]|0)|0;else{I=f[k+40>>2]|0;J=0;K=1;while(1){N=Y(f[I+(J<<2)>>2]|0,K)|0;J=J+1|0;if((J|0)==(G|0)){H=N;break}else K=N}}if(!((G|0)==0|(H|0)==0)){O=68;break}}K=f[i+4>>2]|0;if((K|0)<3)P=Y(f[i+12>>2]|0,f[i+8>>2]|0)|0;else{J=f[i+40>>2]|0;I=0;N=1;while(1){Q=Y(f[J+(I<<2)>>2]|0,N)|0;I=I+1|0;if((I|0)==(K|0)){P=Q;break}else N=Q}}N=Y(x,P)|0;if((v|0)==5){K=f[i+16>>2]|0;I=f[j+16>>2]|0;if(E){J=N+-4|0;if((N|0)<4){R=0.0;S=0}else{G=0;T=0.0;do{U=+n[K+(G<<2)>>2]-+n[I+(G<<2)>>2];Q=G|1;V=+n[K+(Q<<2)>>2]-+n[I+(Q<<2)>>2];Q=G|2;W=+n[K+(Q<<2)>>2]-+n[I+(Q<<2)>>2];Q=G|3;X=+n[K+(Q<<2)>>2]-+n[I+(Q<<2)>>2];T=T+(U*U+V*V+W*W+X*X);G=G+4|0}while((G|0)<=(J|0));R=T;S=N&-4}if((S|0)<(N|0)){J=S;X=R;while(1){W=+n[K+(J<<2)>>2]-+n[I+(J<<2)>>2];V=X+W*W;J=J+1|0;if((J|0)==(N|0)){Z=V;break}else X=V}}else Z=R;_=+M(+(Z+0.0));break}if(F){J=N+-4|0;if((N|0)<4){$=0.0;aa=0}else{G=0;X=0.0;do{T=+n[K+(G<<2)>>2]-+n[I+(G<<2)>>2];Q=G|1;V=+n[K+(Q<<2)>>2]-+n[I+(Q<<2)>>2];Q=G|2;W=+n[K+(Q<<2)>>2]-+n[I+(Q<<2)>>2];Q=G|3;U=+n[K+(Q<<2)>>2]-+n[I+(Q<<2)>>2];X=X+(T*T+V*V+W*W+U*U);G=G+4|0}while((G|0)<=(J|0));$=X;aa=N&-4}if((aa|0)<(N|0)){J=aa;U=$;while(1){W=+n[K+(J<<2)>>2]-+n[I+(J<<2)>>2];V=U+W*W;J=J+1|0;if((J|0)==(N|0)){ba=V;break}else U=V}}else ba=$;_=ba+0.0;break}if(!C){if(!D){O=68;break}if((N|0)>0){J=0;U=0.0;while(1){X=+L(+(+n[K+(J<<2)>>2]-+n[I+(J<<2)>>2]));V=U<X?X:U;J=J+1|0;if((J|0)==(N|0)){ca=V;break}else U=V}}else ca=0.0;_=ca>0.0?ca:0.0;break}J=N+-4|0;if((N|0)<4){da=0.0;ea=0}else{G=0;U=0.0;do{Q=G|1;fa=G|2;ga=G|3;U=U+(+L(+(+n[K+(G<<2)>>2]-+n[I+(G<<2)>>2]))+ +L(+(+n[K+(Q<<2)>>2]-+n[I+(Q<<2)>>2]))+ +L(+(+n[K+(fa<<2)>>2]-+n[I+(fa<<2)>>2]))+ +L(+(+n[K+(ga<<2)>>2]-+n[I+(ga<<2)>>2])));G=G+4|0}while((G|0)<=(J|0));da=U;ea=N&-4}if((ea|0)<(N|0)){J=ea;V=da;while(1){X=V+ +L(+(+n[K+(J<<2)>>2]-+n[I+(J<<2)>>2]));J=J+1|0;if((J|0)==(N|0)){ha=X;break}else V=X}}else ha=da;_=ha+0.0}else O=68}else O=68;while(0);do if((O|0)==68){ea=(f[k+16>>2]|0)==0;if(!ea){aa=f[k+4>>2]|0;if((aa|0)<3)ia=Y(f[k+12>>2]|0,f[k+8>>2]|0)|0;else{F=f[k+40>>2]|0;S=0;P=1;while(1){H=Y(f[F+(S<<2)>>2]|0,P)|0;S=S+1|0;if((S|0)==(aa|0)){ia=H;break}else P=H}}if(!((aa|0)==0|(ia|0)==0)?f[k>>2]&4095|0:0){f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;P=cuc(48)|0;f[l>>2]=P;f[l+8>>2]=-2147483600;f[l+4>>2]=36;y=P;z=199580;A=y+36|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));b[P+36>>0]=0;WD(-215,l,199509,199514,1173)}}aa=(w|0)==6;S=w|1;if((S|0)==7){if(!ea){F=f[k+4>>2]|0;if((F|0)<3)ja=Y(f[k+12>>2]|0,f[k+8>>2]|0)|0;else{H=f[k+40>>2]|0;B=0;N=1;while(1){J=Y(f[H+(B<<2)>>2]|0,N)|0;B=B+1|0;if((B|0)==(F|0)){ja=J;break}else N=J}}if(!((F|0)==0|(ja|0)==0)){f[l>>2]=1124007936;N=l+4|0;B=l+8|0;H=l+40|0;y=N;A=y+36|0;do{f[y>>2]=0;y=y+4|0}while((y|0)<(A|0));f[H>>2]=B;F=l+48|0;ea=l+44|0;f[ea>>2]=F;f[F>>2]=0;f[l+52>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;f[m>>2]=16842752;f[m+4>>2]=i;f[o+8>>2]=0;f[o+12>>2]=0;f[o>>2]=16842752;f[o+4>>2]=j;P=q+8|0;f[P>>2]=0;f[P+4>>2]=0;f[q>>2]=33619968;f[q+4>>2]=l;IV(m,o,q,sK()|0);f[m+8>>2]=0;f[m+12>>2]=0;f[m>>2]=16842752;f[m+4>>2]=l;f[o+8>>2]=0;f[o+12>>2]=0;f[o>>2]=16842752;f[o+4>>2]=k;P=q+8|0;f[P>>2]=0;f[P+4>>2]=0;f[q>>2]=33619968;f[q+4>>2]=l;BV(m,o,q,sK()|0);f[m+8>>2]=0;f[m+12>>2]=0;f[m>>2]=16842752;f[m+4>>2]=l;ha=+iF(m,w,sK()|0);P=l+36|0;J=f[P>>2]|0;if(J|0?(I=J+12|0,J=f[I>>2]|0,f[I>>2]=J+-1,(J|0)==1):0)aU(l);f[P>>2]=0;P=l+16|0;f[P>>2]=0;f[P+4>>2]=0;f[P+8>>2]=0;f[P+12>>2]=0;if((f[N>>2]|0)>0){P=f[H>>2]|0;J=0;do{f[P+(J<<2)>>2]=0;J=J+1|0}while((J|0)<(f[N>>2]|0))}N=f[ea>>2]|0;if((N|0)!=(F|0))TC(N);_=ha;break}}N=aa?1:2;f[l>>2]=i;f[l+4>>2]=j;f[l+8>>2]=0;J=m;f[J>>2]=0;f[J+4>>2]=0;YC(o,l,m,-1);J=f[o+20>>2]|0;P=o+16|0;H=m+4|0;B=0;I=0;while(1){if(B>>>0>=(f[P>>2]|0)>>>0)break;K=(gF(f[m>>2]|0,f[H>>2]|0,J,N)|0)+I|0;ZC(o)|0;B=B+1|0;I=K}_=+(I|0);break}B=(v|0)==7;N=f[35760+(w>>>1<<5)+((B?5:v)<<2)>>2]|0;if(!N){f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;b[l+11>>0]=9;y=l;z=253007;A=y+9|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));b[l+9>>0]=0;WD(-215,l,199509,199514,1201)}f[l>>2]=i;f[l+4>>2]=j;f[l+8>>2]=k;f[l+12>>2]=0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;p[o>>3]=0.0;YC(q,l,m,-1);I=f[q+20>>2]|0;J=v>>>0<2;H=(S|0)==5&J|(B|C&v>>>0<4);f[r>>2]=0;P=t+8|0;f[t>>2]=P;aa=t+4|0;f[aa>>2]=264;do if(H){F=f[i+4>>2]|0;if((F|0)>0)ka=f[(f[i+44>>2]|0)+(F+-1<<2)>>2]|0;else ka=0;if(!B){F=((C&J?8388608:32768)>>>0)/(x>>>0)|0;la=ka;ma=0;na=r;oa=(F|0)<(I|0)?F:I;pa=0;break}F=(I|0)<1024?I:1024;ea=F<<1;f[aa>>2]=ea;if(ea>>>0>264){K=euc(ea>>>0>1073741823?-1:ea<<2)|0;f[t>>2]=K;qa=K}else qa=P;la=ka;ma=qa;na=o;oa=F;pa=qa}else{la=0;ma=0;na=o;oa=I;pa=0}while(0);J=q+16|0;S=(I|0)>0;F=m+4|0;K=m+8|0;ea=(v|0)!=7&H;G=0;while(1){if(G>>>0>=(f[J>>2]|0)>>>0)break;a:do if(S){if(B){ga=0;fa=f[m>>2]|0;while(1){Q=I-ga|0;ra=(oa|0)<(Q|0)?oa:Q;$O(fa,ma,ra);Q=ma+(ra<<2)|0;$O(f[F>>2]|0,Q,ra);Wf[N&127](pa,Q,f[K>>2]|0,na,ra,x)|0;if(ea){p[o>>3]=+p[o>>3]+ +((f[r>>2]|0)>>>0);f[r>>2]=0}Q=Y(ra,la)|0;fa=(f[m>>2]|0)+Q|0;f[m>>2]=fa;f[F>>2]=(f[F>>2]|0)+Q;Q=f[K>>2]|0;if(Q|0)f[K>>2]=Q+ra;ga=ga+oa|0;if((I|0)<=(ga|0))break a}}ga=f[m>>2]|0;fa=f[F>>2]|0;ra=f[K>>2]|0;if(ea){Q=0;sa=ga;ta=fa;ua=ra;while(1){va=I-Q|0;wa=(oa|0)<(va|0)?oa:va;Wf[N&127](sa,ta,ua,na,wa,x)|0;p[o>>3]=+p[o>>3]+ +((f[r>>2]|0)>>>0);f[r>>2]=0;va=Y(wa,la)|0;sa=(f[m>>2]|0)+va|0;f[m>>2]=sa;ta=(f[F>>2]|0)+va|0;f[F>>2]=ta;va=f[K>>2]|0;if(!va)xa=0;else{ya=va+wa|0;f[K>>2]=ya;xa=ya}Q=Q+oa|0;if((I|0)<=(Q|0))break;else ua=xa}}else{ua=0;Q=ga;ta=fa;sa=ra;while(1){ya=I-ua|0;wa=(oa|0)<(ya|0)?oa:ya;Wf[N&127](Q,ta,sa,na,wa,x)|0;ya=Y(wa,la)|0;Q=(f[m>>2]|0)+ya|0;f[m>>2]=Q;ta=(f[F>>2]|0)+ya|0;f[F>>2]=ta;ya=f[K>>2]|0;if(!ya)za=0;else{va=ya+wa|0;f[K>>2]=va;za=va}ua=ua+oa|0;if((I|0)<=(ua|0))break;else sa=za}}}while(0);ZC(q)|0;G=G+1|0}if(D){if((v|0)!=6){G=f[o>>2]|0;p[o>>3]=(v|0)==5?(f[s>>2]=G,+n[s>>2]):+(G>>>0)}}else if(E){ha=+M(+(+p[o>>3]));p[o>>3]=ha}ha=+p[o>>3];G=f[t>>2]|0;if((G|0)!=(P|0)){if(G|0)guc(G);f[t>>2]=P;f[aa>>2]=264}_=ha}while(0);t=k+36|0;o=f[t>>2]|0;if(o|0?(E=o+12|0,o=f[E>>2]|0,f[E>>2]=o+-1,(o|0)==1):0)aU(k);f[t>>2]=0;t=k+16|0;o=k+4|0;f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;f[t+12>>2]=0;if((f[o>>2]|0)>0){t=f[k+40>>2]|0;E=0;do{f[t+(E<<2)>>2]=0;E=E+1|0}while((E|0)<(f[o>>2]|0))}o=f[k+44>>2]|0;if((o|0)!=(k+48|0))TC(o);o=j+36|0;k=f[o>>2]|0;if(k|0?(E=k+12|0,k=f[E>>2]|0,f[E>>2]=k+-1,(k|0)==1):0)aU(j);f[o>>2]=0;o=j+16|0;k=j+4|0;f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;f[o+12>>2]=0;if((f[k>>2]|0)>0){o=f[j+40>>2]|0;E=0;do{f[o+(E<<2)>>2]=0;E=E+1|0}while((E|0)<(f[k>>2]|0))}k=f[j+44>>2]|0;if((k|0)!=(j+48|0))TC(k);k=i+36|0;j=f[k>>2]|0;if(j|0?(E=j+12|0,j=f[E>>2]|0,f[E>>2]=j+-1,(j|0)==1):0)aU(i);f[k>>2]=0;k=i+16|0;j=i+4|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;if((f[j>>2]|0)>0){k=f[i+40>>2]|0;E=0;do{f[k+(E<<2)>>2]=0;E=E+1|0}while((E|0)<(f[j>>2]|0))}j=f[i+44>>2]|0;if((j|0)!=(i+48|0))TC(j);Aa=_}else{_=+OF(a,c,d&-9,e);Aa=_/(+iF(c,d,e)+2.220446049250313e-16)}if(!(f[h+4>>2]|0)){u=g;return +Aa}u=g;return +Aa}function PF(a,c,d,e,g,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;j=f[e>>2]|0;if(!d){k=Y(i,g)|0;if((k|0)>0){l=0;m=0;while(1){n=(h[a+m>>0]|0)-(h[c+m>>0]|0)|0;o=(n|0)>-1?n:0-n|0;n=(l|0)<(o|0)?o:l;m=m+1|0;if((m|0)==(k|0)){p=n;break}else l=n}}else p=0;q=(j|0)<(p|0)?p:j;f[e>>2]=q;return 0}if((g|0)>0&(i|0)>0){r=0;s=a;t=c;u=j}else{q=j;f[e>>2]=q;return 0}while(1){if(!(b[d+r>>0]|0))v=u;else{j=0;c=u;while(1){a=(h[s+j>>0]|0)-(h[t+j>>0]|0)|0;p=(a|0)>-1?a:0-a|0;a=(c|0)<(p|0)?p:c;j=j+1|0;if((j|0)==(i|0)){v=a;break}else c=a}}r=r+1|0;if((r|0)==(g|0)){q=v;break}else{s=s+i|0;t=t+i|0;u=v}}f[e>>2]=q;return 0}function QF(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;i=f[e>>2]|0;if(!d){j=Y(h,g)|0;if((j|0)>0){k=0;l=0;while(1){m=(b[a+l>>0]|0)-(b[c+l>>0]|0)|0;n=(m|0)>-1?m:0-m|0;m=(k|0)<(n|0)?n:k;l=l+1|0;if((l|0)==(j|0)){o=m;break}else k=m}}else o=0;p=(i|0)<(o|0)?o:i;f[e>>2]=p;return 0}if((g|0)>0&(h|0)>0){q=0;r=a;s=c;t=i}else{p=i;f[e>>2]=p;return 0}while(1){if(!(b[d+q>>0]|0))u=t;else{i=0;c=t;while(1){a=(b[r+i>>0]|0)-(b[s+i>>0]|0)|0;o=(a|0)>-1?a:0-a|0;a=(c|0)<(o|0)?o:c;i=i+1|0;if((i|0)==(h|0)){u=a;break}else c=a}}q=q+1|0;if((q|0)==(g|0)){p=u;break}else{r=r+h|0;s=s+h|0;t=u}}f[e>>2]=p;return 0}function RF(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;i=f[e>>2]|0;if(!d){k=Y(h,g)|0;if((k|0)>0){l=0;m=0;while(1){n=(j[a+(m<<1)>>1]|0)-(j[c+(m<<1)>>1]|0)|0;o=(n|0)>-1?n:0-n|0;n=(l|0)<(o|0)?o:l;m=m+1|0;if((m|0)==(k|0)){p=n;break}else l=n}}else p=0;q=(i|0)<(p|0)?p:i;f[e>>2]=q;return 0}if((g|0)>0&(h|0)>0){r=0;s=a;t=c;u=i}else{q=i;f[e>>2]=q;return 0}while(1){if(!(b[d+r>>0]|0))v=u;else{i=0;c=u;while(1){a=(j[s+(i<<1)>>1]|0)-(j[t+(i<<1)>>1]|0)|0;p=(a|0)>-1?a:0-a|0;a=(c|0)<(p|0)?p:c;i=i+1|0;if((i|0)==(h|0)){v=a;break}else c=a}}r=r+1|0;if((r|0)==(g|0)){q=v;break}else{s=s+(h<<1)|0;t=t+(h<<1)|0;u=v}}f[e>>2]=q;return 0}function SF(a,c,e,g,h,i){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;j=f[g>>2]|0;if(!e){k=Y(i,h)|0;if((k|0)>0){l=0;m=0;while(1){n=(d[a+(m<<1)>>1]|0)-(d[c+(m<<1)>>1]|0)|0;o=(n|0)>-1?n:0-n|0;n=(l|0)<(o|0)?o:l;m=m+1|0;if((m|0)==(k|0)){p=n;break}else l=n}}else p=0;q=(j|0)<(p|0)?p:j;f[g>>2]=q;return 0}if((h|0)>0&(i|0)>0){r=0;s=a;t=c;u=j}else{q=j;f[g>>2]=q;return 0}while(1){if(!(b[e+r>>0]|0))v=u;else{j=0;c=u;while(1){a=(d[s+(j<<1)>>1]|0)-(d[t+(j<<1)>>1]|0)|0;p=(a|0)>-1?a:0-a|0;a=(c|0)<(p|0)?p:c;j=j+1|0;if((j|0)==(i|0)){v=a;break}else c=a}}r=r+1|0;if((r|0)==(h|0)){q=v;break}else{s=s+(i<<1)|0;t=t+(i<<1)|0;u=v}}f[g>>2]=q;return 0}function TF(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;i=f[e>>2]|0;if(!d){j=Y(h,g)|0;if((j|0)>0){k=0;l=0;while(1){m=(f[a+(l<<2)>>2]|0)-(f[c+(l<<2)>>2]|0)|0;n=(m|0)>-1?m:0-m|0;m=(k|0)<(n|0)?n:k;l=l+1|0;if((l|0)==(j|0)){o=m;break}else k=m}}else o=0;p=(i|0)<(o|0)?o:i;f[e>>2]=p;return 0}if((g|0)>0&(h|0)>0){q=0;r=a;s=c;t=i}else{p=i;f[e>>2]=p;return 0}while(1){if(!(b[d+q>>0]|0))u=t;else{i=0;c=t;while(1){a=(f[r+(i<<2)>>2]|0)-(f[s+(i<<2)>>2]|0)|0;o=(a|0)>-1?a:0-a|0;a=(c|0)<(o|0)?o:c;i=i+1|0;if((i|0)==(h|0)){u=a;break}else c=a}}q=q+1|0;if((q|0)==(g|0)){p=u;break}else{r=r+(h<<2)|0;s=s+(h<<2)|0;t=u}}f[e>>2]=p;return 0}function UF(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0.0,k=0,l=0,m=0.0,o=0.0,p=0.0,q=0.0,r=0,t=0,u=0,v=0,w=0.0,x=0,y=0.0,z=0;i=f[e>>2]|0;j=(f[s>>2]=i,+n[s>>2]);if(!d){k=Y(h,g)|0;if((k|0)>0){l=0;m=0.0;while(1){o=+L(+(+n[a+(l<<2)>>2]-+n[c+(l<<2)>>2]));p=m<o?o:m;l=l+1|0;if((l|0)==(k|0)){q=p;break}else m=p}}else q=0.0;r=(n[s>>2]=j<q?q:j,f[s>>2]|0);f[e>>2]=r;return 0}if((g|0)>0&(h|0)>0){t=0;u=a;v=c;w=j;x=i}else{r=i;f[e>>2]=r;return 0}while(1){if(!(b[d+t>>0]|0)){y=w;z=x}else{i=0;j=w;do{q=+L(+(+n[u+(i<<2)>>2]-+n[v+(i<<2)>>2]));j=j<q?q:j;i=i+1|0}while((i|0)!=(h|0));y=j;z=(n[s>>2]=j,f[s>>2]|0)}t=t+1|0;if((t|0)==(g|0)){r=z;break}else{u=u+(h<<2)|0;v=v+(h<<2)|0;w=y;x=z}}f[e>>2]=r;return 0}function VF(a,c,d,e,f,g){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0.0,i=0,j=0.0,k=0,l=0.0,m=0.0,n=0.0,o=0.0,q=0,r=0,s=0,t=0.0,u=0.0;h=+p[e>>3];if(!d){i=Y(g,f)|0;if((i|0)>0){j=0.0;k=0;while(1){l=+L(+(+p[a+(k<<3)>>3]-+p[c+(k<<3)>>3]));m=j<l?l:j;k=k+1|0;if((k|0)==(i|0)){n=m;break}else j=m}}else n=0.0;o=h<n?n:h;p[e>>3]=o;return 0}if((f|0)>0&(g|0)>0){q=0;r=a;s=c;t=h}else{o=h;p[e>>3]=o;return 0}while(1){if(!(b[d+q>>0]|0))u=t;else{c=0;h=t;while(1){n=+L(+(+p[r+(c<<3)>>3]-+p[s+(c<<3)>>3]));j=h<n?n:h;c=c+1|0;if((c|0)==(g|0)){u=j;break}else h=j}}q=q+1|0;if((q|0)==(f|0)){o=u;break}else{r=r+(g<<3)|0;s=s+(g<<3)|0;t=u}}p[e>>3]=o;return 0}function WF(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;return vG(a,b,c,d,e,f)|0}function XF(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;return uG(a,b,c,d,e,f)|0}function YF(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;return tG(a,b,c,d,e,f)|0}function ZF(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;return sG(a,b,c,d,e,f)|0}function _F(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;return rG(a,b,c,d,e,f)|0}function $F(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;return qG(a,b,c,d,e,f)|0}function aG(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;return pG(a,b,c,d,e,f)|0}function bG(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;return oG(a,b,c,d,e,f)|0}function cG(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;return nG(a,b,c,d,e,f)|0}function dG(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;return mG(a,b,c,d,e,f)|0}function eG(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;return lG(a,b,c,d,e,f)|0}function fG(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;return kG(a,b,c,d,e,f)|0}function gG(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;return jG(a,b,c,d,e,f)|0}function hG(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;return iG(a,b,c,d,e,f)|0}function iG(a,c,d,e,f,g){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0.0,i=0,j=0.0,k=0,l=0,m=0.0,n=0.0,o=0,q=0.0,r=0.0,s=0.0,t=0.0,u=0,v=0.0;h=+p[e>>3];if(d|0){if((f|0)>0&(g|0)>0){i=0;j=h;k=c;l=a}else{m=h;p[e>>3]=m;return 0}while(1){if(!(b[d+i>>0]|0))n=j;else{o=0;q=j;while(1){r=+p[l+(o<<3)>>3]-+p[k+(o<<3)>>3];s=q+r*r;o=o+1|0;if((o|0)==(g|0)){n=s;break}else q=s}}i=i+1|0;if((i|0)==(f|0)){m=n;break}else{j=n;k=k+(g<<3)|0;l=l+(g<<3)|0}}p[e>>3]=m;return 0}l=Y(g,f)|0;f=l+-4|0;if((l|0)<4){t=0.0;u=0}else{g=0;n=0.0;do{j=+p[a+(g<<3)>>3]-+p[c+(g<<3)>>3];k=g|1;q=+p[a+(k<<3)>>3]-+p[c+(k<<3)>>3];k=g|2;s=+p[a+(k<<3)>>3]-+p[c+(k<<3)>>3];k=g|3;r=+p[a+(k<<3)>>3]-+p[c+(k<<3)>>3];n=n+(j*j+q*q+s*s+r*r);g=g+4|0}while((g|0)<=(f|0));t=n;u=l&-4}if((u|0)<(l|0)){f=u;n=t;while(1){r=+p[a+(f<<3)>>3]-+p[c+(f<<3)>>3];s=n+r*r;f=f+1|0;if((f|0)==(l|0)){v=s;break}else n=s}}else v=t;m=h+v;p[e>>3]=m;return 0}function jG(a,c,d,e,f,g){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0.0,i=0,j=0.0,k=0,l=0,m=0.0,o=0.0,q=0,r=0.0,s=0.0,t=0.0,u=0.0,v=0,w=0.0;h=+p[e>>3];if(d|0){if((f|0)>0&(g|0)>0){i=0;j=h;k=c;l=a}else{m=h;p[e>>3]=m;return 0}while(1){if(!(b[d+i>>0]|0))o=j;else{q=0;r=j;while(1){s=+n[l+(q<<2)>>2]-+n[k+(q<<2)>>2];t=r+s*s;q=q+1|0;if((q|0)==(g|0)){o=t;break}else r=t}}i=i+1|0;if((i|0)==(f|0)){m=o;break}else{j=o;k=k+(g<<2)|0;l=l+(g<<2)|0}}p[e>>3]=m;return 0}l=Y(g,f)|0;f=l+-4|0;if((l|0)<4){u=0.0;v=0}else{g=0;o=0.0;do{j=+n[a+(g<<2)>>2]-+n[c+(g<<2)>>2];k=g|1;r=+n[a+(k<<2)>>2]-+n[c+(k<<2)>>2];k=g|2;t=+n[a+(k<<2)>>2]-+n[c+(k<<2)>>2];k=g|3;s=+n[a+(k<<2)>>2]-+n[c+(k<<2)>>2];o=o+(j*j+r*r+t*t+s*s);g=g+4|0}while((g|0)<=(f|0));u=o;v=l&-4}if((v|0)<(l|0)){f=v;o=u;while(1){s=+n[a+(f<<2)>>2]-+n[c+(f<<2)>>2];t=o+s*s;f=f+1|0;if((f|0)==(l|0)){w=t;break}else o=t}}else w=u;m=h+w;p[e>>3]=m;return 0}function kG(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0.0,j=0,k=0.0,l=0,m=0,n=0.0,o=0.0,q=0,r=0.0,s=0.0,t=0.0,u=0.0,v=0,w=0.0;i=+p[e>>3];if(d|0){if((g|0)>0&(h|0)>0){j=0;k=i;l=c;m=a}else{n=i;p[e>>3]=n;return 0}while(1){if(!(b[d+j>>0]|0))o=k;else{q=0;r=k;while(1){s=+((f[m+(q<<2)>>2]|0)-(f[l+(q<<2)>>2]|0)|0);t=r+s*s;q=q+1|0;if((q|0)==(h|0)){o=t;break}else r=t}}j=j+1|0;if((j|0)==(g|0)){n=o;break}else{k=o;l=l+(h<<2)|0;m=m+(h<<2)|0}}p[e>>3]=n;return 0}m=Y(h,g)|0;g=m+-4|0;if((m|0)<4){u=0.0;v=0}else{h=0;o=0.0;do{k=+((f[a+(h<<2)>>2]|0)-(f[c+(h<<2)>>2]|0)|0);l=h|1;r=+((f[a+(l<<2)>>2]|0)-(f[c+(l<<2)>>2]|0)|0);l=h|2;t=+((f[a+(l<<2)>>2]|0)-(f[c+(l<<2)>>2]|0)|0);l=h|3;s=+((f[a+(l<<2)>>2]|0)-(f[c+(l<<2)>>2]|0)|0);o=o+(k*k+r*r+t*t+s*s);h=h+4|0}while((h|0)<=(g|0));u=o;v=m&-4}if((v|0)<(m|0)){g=v;o=u;while(1){s=+((f[a+(g<<2)>>2]|0)-(f[c+(g<<2)>>2]|0)|0);t=o+s*s;g=g+1|0;if((g|0)==(m|0)){w=t;break}else o=t}}else w=u;n=i+w;p[e>>3]=n;return 0}function lG(a,c,e,f,g,h){a=a|0;c=c|0;e=e|0;f=f|0;g=g|0;h=h|0;var i=0.0,j=0,k=0.0,l=0,m=0,n=0.0,o=0.0,q=0,r=0.0,s=0.0,t=0.0,u=0.0,v=0,w=0.0;i=+p[f>>3];if(e|0){if((g|0)>0&(h|0)>0){j=0;k=i;l=c;m=a}else{n=i;p[f>>3]=n;return 0}while(1){if(!(b[e+j>>0]|0))o=k;else{q=0;r=k;while(1){s=+((d[m+(q<<1)>>1]|0)-(d[l+(q<<1)>>1]|0)|0);t=r+s*s;q=q+1|0;if((q|0)==(h|0)){o=t;break}else r=t}}j=j+1|0;if((j|0)==(g|0)){n=o;break}else{k=o;l=l+(h<<1)|0;m=m+(h<<1)|0}}p[f>>3]=n;return 0}m=Y(h,g)|0;g=m+-4|0;if((m|0)<4){u=0.0;v=0}else{h=0;o=0.0;do{k=+((d[a+(h<<1)>>1]|0)-(d[c+(h<<1)>>1]|0)|0);l=h|1;r=+((d[a+(l<<1)>>1]|0)-(d[c+(l<<1)>>1]|0)|0);l=h|2;t=+((d[a+(l<<1)>>1]|0)-(d[c+(l<<1)>>1]|0)|0);l=h|3;s=+((d[a+(l<<1)>>1]|0)-(d[c+(l<<1)>>1]|0)|0);o=o+(k*k+r*r+t*t+s*s);h=h+4|0}while((h|0)<=(g|0));u=o;v=m&-4}if((v|0)<(m|0)){g=v;o=u;while(1){s=+((d[a+(g<<1)>>1]|0)-(d[c+(g<<1)>>1]|0)|0);t=o+s*s;g=g+1|0;if((g|0)==(m|0)){w=t;break}else o=t}}else w=u;n=i+w;p[f>>3]=n;return 0}function mG(a,c,d,e,f,g){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0.0,i=0,k=0.0,l=0,m=0,n=0.0,o=0.0,q=0,r=0.0,s=0.0,t=0.0,u=0.0,v=0,w=0.0;h=+p[e>>3];if(d|0){if((f|0)>0&(g|0)>0){i=0;k=h;l=c;m=a}else{n=h;p[e>>3]=n;return 0}while(1){if(!(b[d+i>>0]|0))o=k;else{q=0;r=k;while(1){s=+((j[m+(q<<1)>>1]|0)-(j[l+(q<<1)>>1]|0)|0);t=r+s*s;q=q+1|0;if((q|0)==(g|0)){o=t;break}else r=t}}i=i+1|0;if((i|0)==(f|0)){n=o;break}else{k=o;l=l+(g<<1)|0;m=m+(g<<1)|0}}p[e>>3]=n;return 0}m=Y(g,f)|0;f=m+-4|0;if((m|0)<4){u=0.0;v=0}else{g=0;o=0.0;do{k=+((j[a+(g<<1)>>1]|0)-(j[c+(g<<1)>>1]|0)|0);l=g|1;r=+((j[a+(l<<1)>>1]|0)-(j[c+(l<<1)>>1]|0)|0);l=g|2;t=+((j[a+(l<<1)>>1]|0)-(j[c+(l<<1)>>1]|0)|0);l=g|3;s=+((j[a+(l<<1)>>1]|0)-(j[c+(l<<1)>>1]|0)|0);o=o+(k*k+r*r+t*t+s*s);g=g+4|0}while((g|0)<=(f|0));u=o;v=m&-4}if((v|0)<(m|0)){f=v;o=u;while(1){s=+((j[a+(f<<1)>>1]|0)-(j[c+(f<<1)>>1]|0)|0);t=o+s*s;f=f+1|0;if((f|0)==(m|0)){w=t;break}else o=t}}else w=u;n=h+w;p[e>>3]=n;return 0}function nG(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;i=f[e>>2]|0;if(d|0){if((g|0)>0&(h|0)>0){j=0;k=i;l=c;m=a}else{n=i;f[e>>2]=n;return 0}while(1){if(!(b[d+j>>0]|0))o=k;else{p=0;q=k;while(1){r=(b[m+p>>0]|0)-(b[l+p>>0]|0)|0;s=(Y(r,r)|0)+q|0;p=p+1|0;if((p|0)==(h|0)){o=s;break}else q=s}}j=j+1|0;if((j|0)==(g|0)){n=o;break}else{k=o;l=l+h|0;m=m+h|0}}f[e>>2]=n;return 0}m=Y(h,g)|0;g=m+-4|0;if((m|0)<4){t=0;u=0}else{h=0;l=0;do{o=(b[a+h>>0]|0)-(b[c+h>>0]|0)|0;k=h|1;j=(b[a+k>>0]|0)-(b[c+k>>0]|0)|0;k=h|2;d=(b[a+k>>0]|0)-(b[c+k>>0]|0)|0;k=h|3;q=(b[a+k>>0]|0)-(b[c+k>>0]|0)|0;l=(Y(o,o)|0)+l+(Y(j,j)|0)+(Y(d,d)|0)+(Y(q,q)|0)|0;h=h+4|0}while((h|0)<=(g|0));t=l;u=m&-4}if((u|0)<(m|0)){l=u;u=t;while(1){g=(b[a+l>>0]|0)-(b[c+l>>0]|0)|0;h=(Y(g,g)|0)+u|0;l=l+1|0;if((l|0)==(m|0)){v=h;break}else u=h}}else v=t;n=v+i|0;f[e>>2]=n;return 0}function oG(a,c,d,e,g,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;j=f[e>>2]|0;if(d|0){if((g|0)>0&(i|0)>0){k=0;l=j;m=c;n=a}else{o=j;f[e>>2]=o;return 0}while(1){if(!(b[d+k>>0]|0))p=l;else{q=0;r=l;while(1){s=(h[n+q>>0]|0)-(h[m+q>>0]|0)|0;t=(Y(s,s)|0)+r|0;q=q+1|0;if((q|0)==(i|0)){p=t;break}else r=t}}k=k+1|0;if((k|0)==(g|0)){o=p;break}else{l=p;m=m+i|0;n=n+i|0}}f[e>>2]=o;return 0}n=Y(i,g)|0;g=n+-4|0;if((n|0)<4){u=0;v=0}else{i=0;m=0;do{p=(h[a+i>>0]|0)-(h[c+i>>0]|0)|0;l=i|1;k=(h[a+l>>0]|0)-(h[c+l>>0]|0)|0;l=i|2;d=(h[a+l>>0]|0)-(h[c+l>>0]|0)|0;l=i|3;r=(h[a+l>>0]|0)-(h[c+l>>0]|0)|0;m=(Y(p,p)|0)+m+(Y(k,k)|0)+(Y(d,d)|0)+(Y(r,r)|0)|0;i=i+4|0}while((i|0)<=(g|0));u=m;v=n&-4}if((v|0)<(n|0)){m=v;v=u;while(1){g=(h[a+m>>0]|0)-(h[c+m>>0]|0)|0;i=(Y(g,g)|0)+v|0;m=m+1|0;if((m|0)==(n|0)){w=i;break}else v=i}}else w=u;o=w+j|0;f[e>>2]=o;return 0}function pG(a,c,d,e,f,g){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0.0,i=0,j=0.0,k=0,l=0,m=0.0,n=0.0,o=0,q=0.0,r=0.0,s=0.0,t=0,u=0.0;h=+p[e>>3];if(d|0){if((f|0)>0&(g|0)>0){i=0;j=h;k=a;l=c}else{m=h;p[e>>3]=m;return 0}while(1){if(!(b[d+i>>0]|0))n=j;else{o=0;q=j;while(1){r=q+ +L(+(+p[k+(o<<3)>>3]-+p[l+(o<<3)>>3]));o=o+1|0;if((o|0)==(g|0)){n=r;break}else q=r}}i=i+1|0;if((i|0)==(f|0)){m=n;break}else{j=n;k=k+(g<<3)|0;l=l+(g<<3)|0}}p[e>>3]=m;return 0}l=Y(g,f)|0;f=l+-4|0;if((l|0)<4){s=0.0;t=0}else{g=0;n=0.0;do{k=g|1;i=g|2;d=g|3;n=n+(+L(+(+p[a+(g<<3)>>3]-+p[c+(g<<3)>>3]))+ +L(+(+p[a+(k<<3)>>3]-+p[c+(k<<3)>>3]))+ +L(+(+p[a+(i<<3)>>3]-+p[c+(i<<3)>>3]))+ +L(+(+p[a+(d<<3)>>3]-+p[c+(d<<3)>>3])));g=g+4|0}while((g|0)<=(f|0));s=n;t=l&-4}if((t|0)<(l|0)){f=t;n=s;while(1){j=n+ +L(+(+p[a+(f<<3)>>3]-+p[c+(f<<3)>>3]));f=f+1|0;if((f|0)==(l|0)){u=j;break}else n=j}}else u=s;m=h+u;p[e>>3]=m;return 0}function qG(a,c,d,e,f,g){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0.0,i=0,j=0.0,k=0,l=0,m=0.0,o=0.0,q=0,r=0.0,s=0.0,t=0.0,u=0,v=0.0;h=+p[e>>3];if(d|0){if((f|0)>0&(g|0)>0){i=0;j=h;k=a;l=c}else{m=h;p[e>>3]=m;return 0}while(1){if(!(b[d+i>>0]|0))o=j;else{q=0;r=j;while(1){s=r+ +L(+(+n[k+(q<<2)>>2]-+n[l+(q<<2)>>2]));q=q+1|0;if((q|0)==(g|0)){o=s;break}else r=s}}i=i+1|0;if((i|0)==(f|0)){m=o;break}else{j=o;k=k+(g<<2)|0;l=l+(g<<2)|0}}p[e>>3]=m;return 0}l=Y(g,f)|0;f=l+-4|0;if((l|0)<4){t=0.0;u=0}else{g=0;o=0.0;do{k=g|1;i=g|2;d=g|3;o=o+(+L(+(+n[a+(g<<2)>>2]-+n[c+(g<<2)>>2]))+ +L(+(+n[a+(k<<2)>>2]-+n[c+(k<<2)>>2]))+ +L(+(+n[a+(i<<2)>>2]-+n[c+(i<<2)>>2]))+ +L(+(+n[a+(d<<2)>>2]-+n[c+(d<<2)>>2])));g=g+4|0}while((g|0)<=(f|0));t=o;u=l&-4}if((u|0)<(l|0)){f=u;o=t;while(1){j=o+ +L(+(+n[a+(f<<2)>>2]-+n[c+(f<<2)>>2]));f=f+1|0;if((f|0)==(l|0)){v=j;break}else o=j}}else v=t;m=h+v;p[e>>3]=m;return 0}function rG(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0.0,j=0,k=0.0,l=0,m=0,n=0.0,o=0.0,q=0,r=0.0,s=0,t=0.0,u=0.0,v=0,w=0.0;i=+p[e>>3];if(d|0){if((g|0)>0&(h|0)>0){j=0;k=i;l=a;m=c}else{n=i;p[e>>3]=n;return 0}while(1){if(!(b[d+j>>0]|0))o=k;else{q=0;r=k;while(1){s=(f[l+(q<<2)>>2]|0)-(f[m+(q<<2)>>2]|0)|0;t=r+ +(((s|0)>-1?s:0-s|0)|0);q=q+1|0;if((q|0)==(h|0)){o=t;break}else r=t}}j=j+1|0;if((j|0)==(g|0)){n=o;break}else{k=o;l=l+(h<<2)|0;m=m+(h<<2)|0}}p[e>>3]=n;return 0}m=Y(h,g)|0;g=m+-4|0;if((m|0)<4){u=0.0;v=0}else{h=0;o=0.0;do{l=h|1;j=h|2;d=h|3;o=o+(+L(+(+((f[a+(h<<2)>>2]|0)-(f[c+(h<<2)>>2]|0)|0)))+ +L(+(+((f[a+(l<<2)>>2]|0)-(f[c+(l<<2)>>2]|0)|0)))+ +L(+(+((f[a+(j<<2)>>2]|0)-(f[c+(j<<2)>>2]|0)|0)))+ +L(+(+((f[a+(d<<2)>>2]|0)-(f[c+(d<<2)>>2]|0)|0))));h=h+4|0}while((h|0)<=(g|0));u=o;v=m&-4}if((v|0)<(m|0)){g=v;o=u;while(1){k=o+ +L(+(+((f[a+(g<<2)>>2]|0)-(f[c+(g<<2)>>2]|0)|0)));g=g+1|0;if((g|0)==(m|0)){w=k;break}else o=k}}else w=u;n=i+w;p[e>>3]=n;return 0}function sG(a,c,e,g,h,i){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;j=f[g>>2]|0;if(e|0){if((h|0)>0&(i|0)>0){k=0;l=j;m=a;n=c}else{o=j;f[g>>2]=o;return 0}while(1){if(!(b[e+k>>0]|0))p=l;else{q=0;r=l;while(1){s=(d[m+(q<<1)>>1]|0)-(d[n+(q<<1)>>1]|0)|0;t=((s|0)>-1?s:0-s|0)+r|0;q=q+1|0;if((q|0)==(i|0)){p=t;break}else r=t}}k=k+1|0;if((k|0)==(h|0)){o=p;break}else{l=p;m=m+(i<<1)|0;n=n+(i<<1)|0}}f[g>>2]=o;return 0}n=Y(i,h)|0;h=n+-4|0;if((n|0)<4){u=0;v=0}else{i=0;m=0;do{p=(d[a+(i<<1)>>1]|0)-(d[c+(i<<1)>>1]|0)|0;l=i|1;k=(d[a+(l<<1)>>1]|0)-(d[c+(l<<1)>>1]|0)|0;l=i|2;e=(d[a+(l<<1)>>1]|0)-(d[c+(l<<1)>>1]|0)|0;l=i|3;r=(d[a+(l<<1)>>1]|0)-(d[c+(l<<1)>>1]|0)|0;m=((p|0)>-1?p:0-p|0)+m+((k|0)>-1?k:0-k|0)+((e|0)>-1?e:0-e|0)+((r|0)>-1?r:0-r|0)|0;i=i+4|0}while((i|0)<=(h|0));u=m;v=n&-4}if((v|0)<(n|0)){m=v;v=u;while(1){h=(d[a+(m<<1)>>1]|0)-(d[c+(m<<1)>>1]|0)|0;i=((h|0)>-1?h:0-h|0)+v|0;m=m+1|0;if((m|0)==(n|0)){w=i;break}else v=i}}else w=u;o=w+j|0;f[g>>2]=o;return 0}function tG(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;i=f[e>>2]|0;if(d|0){if((g|0)>0&(h|0)>0){k=0;l=i;m=a;n=c}else{o=i;f[e>>2]=o;return 0}while(1){if(!(b[d+k>>0]|0))p=l;else{q=0;r=l;while(1){s=(j[m+(q<<1)>>1]|0)-(j[n+(q<<1)>>1]|0)|0;t=((s|0)>-1?s:0-s|0)+r|0;q=q+1|0;if((q|0)==(h|0)){p=t;break}else r=t}}k=k+1|0;if((k|0)==(g|0)){o=p;break}else{l=p;m=m+(h<<1)|0;n=n+(h<<1)|0}}f[e>>2]=o;return 0}n=Y(h,g)|0;g=n+-4|0;if((n|0)<4){u=0;v=0}else{h=0;m=0;do{p=(j[a+(h<<1)>>1]|0)-(j[c+(h<<1)>>1]|0)|0;l=h|1;k=(j[a+(l<<1)>>1]|0)-(j[c+(l<<1)>>1]|0)|0;l=h|2;d=(j[a+(l<<1)>>1]|0)-(j[c+(l<<1)>>1]|0)|0;l=h|3;r=(j[a+(l<<1)>>1]|0)-(j[c+(l<<1)>>1]|0)|0;m=((p|0)>-1?p:0-p|0)+m+((k|0)>-1?k:0-k|0)+((d|0)>-1?d:0-d|0)+((r|0)>-1?r:0-r|0)|0;h=h+4|0}while((h|0)<=(g|0));u=m;v=n&-4}if((v|0)<(n|0)){m=v;v=u;while(1){g=(j[a+(m<<1)>>1]|0)-(j[c+(m<<1)>>1]|0)|0;h=((g|0)>-1?g:0-g|0)+v|0;m=m+1|0;if((m|0)==(n|0)){w=h;break}else v=h}}else w=u;o=w+i|0;f[e>>2]=o;return 0}function uG(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;i=f[e>>2]|0;if(d|0){if((g|0)>0&(h|0)>0){j=0;k=i;l=a;m=c}else{n=i;f[e>>2]=n;return 0}while(1){if(!(b[d+j>>0]|0))o=k;else{p=0;q=k;while(1){r=(b[l+p>>0]|0)-(b[m+p>>0]|0)|0;s=((r|0)>-1?r:0-r|0)+q|0;p=p+1|0;if((p|0)==(h|0)){o=s;break}else q=s}}j=j+1|0;if((j|0)==(g|0)){n=o;break}else{k=o;l=l+h|0;m=m+h|0}}f[e>>2]=n;return 0}m=Y(h,g)|0;g=m+-4|0;if((m|0)<4){t=0;u=0}else{h=0;l=0;do{o=(b[a+h>>0]|0)-(b[c+h>>0]|0)|0;k=h|1;j=(b[a+k>>0]|0)-(b[c+k>>0]|0)|0;k=h|2;d=(b[a+k>>0]|0)-(b[c+k>>0]|0)|0;k=h|3;q=(b[a+k>>0]|0)-(b[c+k>>0]|0)|0;l=((o|0)>-1?o:0-o|0)+l+((j|0)>-1?j:0-j|0)+((d|0)>-1?d:0-d|0)+((q|0)>-1?q:0-q|0)|0;h=h+4|0}while((h|0)<=(g|0));t=l;u=m&-4}if((u|0)<(m|0)){l=u;u=t;while(1){g=(b[a+l>>0]|0)-(b[c+l>>0]|0)|0;h=((g|0)>-1?g:0-g|0)+u|0;l=l+1|0;if((l|0)==(m|0)){v=h;break}else u=h}}else v=t;n=v+i|0;f[e>>2]=n;return 0}function vG(a,c,d,e,g,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;j=f[e>>2]|0;if(d|0){if((g|0)>0&(i|0)>0){k=0;l=j;m=a;n=c}else{o=j;f[e>>2]=o;return 0}while(1){if(!(b[d+k>>0]|0))p=l;else{q=0;r=l;while(1){s=(h[m+q>>0]|0)-(h[n+q>>0]|0)|0;t=((s|0)>-1?s:0-s|0)+r|0;q=q+1|0;if((q|0)==(i|0)){p=t;break}else r=t}}k=k+1|0;if((k|0)==(g|0)){o=p;break}else{l=p;m=m+i|0;n=n+i|0}}f[e>>2]=o;return 0}n=Y(i,g)|0;g=n+-4|0;if((n|0)<4){u=0;v=0}else{i=0;m=0;do{p=(h[a+i>>0]|0)-(h[c+i>>0]|0)|0;l=i|1;k=(h[a+l>>0]|0)-(h[c+l>>0]|0)|0;l=i|2;d=(h[a+l>>0]|0)-(h[c+l>>0]|0)|0;l=i|3;r=(h[a+l>>0]|0)-(h[c+l>>0]|0)|0;m=((p|0)>-1?p:0-p|0)+m+((k|0)>-1?k:0-k|0)+((d|0)>-1?d:0-d|0)+((r|0)>-1?r:0-r|0)|0;i=i+4|0}while((i|0)<=(g|0));u=m;v=n&-4}if((v|0)<(n|0)){m=v;v=u;while(1){g=(h[a+m>>0]|0)-(h[c+m>>0]|0)|0;i=((g|0)>-1?g:0-g|0)+v|0;m=m+1|0;if((m|0)==(n|0)){w=i;break}else v=i}}else w=u;o=w+j|0;f[e>>2]=o;return 0}function wG(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;c=u;u=u+112|0;d=c+104|0;e=c+48|0;g=c+36|0;h=c+32|0;i=c;gV(d,35856);if((pJ(a,-1)|0)&4088|0){f[e+8>>2]=0;b[e+11>>0]=7;b[e>>0]=b[386568]|0;b[e+1>>0]=b[386569]|0;b[e+2>>0]=b[386570]|0;b[e+3>>0]=b[386571]|0;b[e+4>>0]=b[386572]|0;b[e+5>>0]=b[386573]|0;b[e+6>>0]=b[386574]|0;b[e+7>>0]=0;WD(-215,e,199951,199964,298)}do if((qJ(a)|0)==65536){j=f[a+4>>2]|0;f[e>>2]=f[j>>2];k=e+4|0;l=j+4|0;f[k>>2]=f[l>>2];m=e+8|0;f[m>>2]=f[j+8>>2];f[e+12>>2]=f[j+12>>2];f[e+16>>2]=f[j+16>>2];f[e+20>>2]=f[j+20>>2];f[e+24>>2]=f[j+24>>2];f[e+28>>2]=f[j+28>>2];f[e+32>>2]=f[j+32>>2];n=f[j+36>>2]|0;f[e+36>>2]=n;f[e+40>>2]=m;m=e+48|0;o=e+44|0;f[o>>2]=m;f[m>>2]=0;f[e+52>>2]=0;if(n|0){m=n+12|0;f[m>>2]=(f[m>>2]|0)+1}if((f[l>>2]|0)<3){l=f[j+44>>2]|0;m=f[o>>2]|0;f[m>>2]=f[l>>2];f[m+4>>2]=f[l+4>>2];p=e;break}else{f[k>>2]=0;$T(e,j);p=e;break}}else{nJ(e,a,-1);p=e}while(0);a=f[p>>2]&7;p=f[35876+(a<<2)>>2]|0;if((a|0)==7){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;b[g+11>>0]=9;a=g;j=253007;k=a+9|0;do{b[a>>0]=b[j>>0]|0;a=a+1|0;j=j+1|0}while((a|0)<(k|0));b[g+9>>0]=0;WD(-215,g,199951,199964,314)}f[g>>2]=e;f[g+4>>2]=0;f[h>>2]=0;YC(i,g,h,-1);g=f[i+20>>2]|0;j=i+16|0;a=0;k=0;while(1){if(a>>>0>=(f[j>>2]|0)>>>0)break;l=(Th[p&1023](f[h>>2]|0,g)|0)+k|0;ZC(i)|0;a=a+1|0;k=l}a=e+36|0;i=f[a>>2]|0;if(i|0?(g=i+12|0,i=f[g>>2]|0,f[g>>2]=i+-1,(i|0)==1):0)aU(e);f[a>>2]=0;a=e+16|0;i=e+4|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;if((f[i>>2]|0)>0){a=f[e+40>>2]|0;g=0;do{f[a+(g<<2)>>2]=0;g=g+1|0}while((g|0)<(f[i>>2]|0))}i=f[e+44>>2]|0;if((i|0)!=(e+48|0))TC(i);if(!(f[d+4>>2]|0)){u=c;return k|0}u=c;return k|0}function xG(a,c){a=a|0;c=c|0;var d=0,e=0,f=0,g=0;if((c|0)>0){d=0;e=0}else{f=0;return f|0}while(1){g=((b[a+e>>0]|0)!=0&1)+d|0;e=e+1|0;if((e|0)==(c|0)){f=g;break}else d=g}return f|0}function yG(a,b){a=a|0;b=b|0;var c=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0;c=b+-4|0;if((b|0)<4){e=0;f=0}else{g=0;h=0;do{h=((d[a+(g<<1)>>1]|0)!=0&1)+h+((d[a+((g|1)<<1)>>1]|0)!=0&1)+((d[a+((g|2)<<1)>>1]|0)!=0&1)+((d[a+((g|3)<<1)>>1]|0)!=0&1)|0;g=g+4|0}while((g|0)<=(c|0));e=h;f=b&-4}if((f|0)<(b|0)){i=f;j=e}else{k=e;return k|0}while(1){e=((d[a+(i<<1)>>1]|0)!=0&1)+j|0;i=i+1|0;if((i|0)==(b|0)){k=e;break}else j=e}return k|0}function zG(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=b+-4|0;if((b|0)<4){d=0;e=0}else{g=0;h=0;do{h=((f[a+(g<<2)>>2]|0)!=0&1)+h+((f[a+((g|1)<<2)>>2]|0)!=0&1)+((f[a+((g|2)<<2)>>2]|0)!=0&1)+((f[a+((g|3)<<2)>>2]|0)!=0&1)|0;g=g+4|0}while((g|0)<=(c|0));d=h;e=b&-4}if((e|0)<(b|0)){i=e;j=d}else{k=d;return k|0}while(1){d=((f[a+(i<<2)>>2]|0)!=0&1)+j|0;i=i+1|0;if((i|0)==(b|0)){k=d;break}else j=d}return k|0}function AG(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;c=b+-4|0;if((b|0)<4){d=0;e=0}else{f=0;g=0;do{g=(+n[a+(f<<2)>>2]!=0.0&1)+g+(+n[a+((f|1)<<2)>>2]!=0.0&1)+(+n[a+((f|2)<<2)>>2]!=0.0&1)+(+n[a+((f|3)<<2)>>2]!=0.0&1)|0;f=f+4|0}while((f|0)<=(c|0));d=g;e=b&-4}if((e|0)<(b|0)){h=e;i=d}else{j=d;return j|0}while(1){d=(+n[a+(h<<2)>>2]!=0.0&1)+i|0;h=h+1|0;if((h|0)==(b|0)){j=d;break}else i=d}return j|0}function BG(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;c=b+-4|0;if((b|0)<4){d=0;e=0}else{f=0;g=0;do{g=(+p[a+(f<<3)>>3]!=0.0&1)+g+(+p[a+((f|1)<<3)>>3]!=0.0&1)+(+p[a+((f|2)<<3)>>3]!=0.0&1)+(+p[a+((f|3)<<3)>>3]!=0.0&1)|0;f=f+4|0}while((f|0)<=(c|0));d=g;e=b&-4}if((e|0)<(b|0)){h=e;i=d}else{j=d;return j|0}while(1){d=(+p[a+(h<<3)>>3]!=0.0&1)+i|0;h=h+1|0;if((h|0)==(b|0)){j=d;break}else i=d}return j|0}function CG(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;h=g;if(d-g>>3>>>0>=b>>>0){kzc(g|0,0,b<<3|0)|0;f[e>>2]=h+(b<<3);return}i=f[a>>2]|0;j=g-i>>3;g=j+b|0;k=i;if(g>>>0>536870911)nsc(a);l=d-i|0;d=l>>2;m=l>>3>>>0<268435455?(d>>>0<g>>>0?g:d):536870911;do if(m)if(m>>>0>536870911){d=ze(8)|0;kuc(d,519086);f[d>>2]=167148;Hf(d|0,26888,1888)}else{n=cuc(m<<3)|0;break}else n=0;while(0);d=n+(j<<3)|0;j=n+(m<<3)|0;kzc(d|0,0,b<<3|0)|0;m=d+(b<<3)|0;if((h|0)==(k|0)){o=d;p=i}else{b=h+-8-i|0;i=h;h=d;while(1){n=i;i=i+-8|0;f[h+-8>>2]=f[i>>2];f[h+-4>>2]=f[n+-4>>2];if((i|0)==(k|0))break;else h=h+-8|0}o=d+(~(b>>>3)<<3)|0;p=f[a>>2]|0}f[a>>2]=o;f[e>>2]=m;f[c>>2]=j;if(!p)return;fuc(p);return}function DG(a){a=a|0;var b=0,c=0;b=u;u=u+16|0;c=b;f[a>>2]=35916;gV(c,35988);if(!(f[c+4>>2]|0)){u=b;return}u=b;return}function EG(a){a=a|0;var b=0,c=0;b=u;u=u+16|0;c=b;f[a>>2]=35916;gV(c,35988);if(!(f[c+4>>2]|0)){fuc(a);u=b;return}fuc(a);u=b;return}function FG(a){a=a|0;return}function GG(a,b){a=a|0;b=b|0;return}function HG(a,b){a=a|0;b=b|0;return}function IG(a){a=a|0;return 0}function JG(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0;d=u;u=u+80|0;e=d+64|0;g=d+56|0;h=d+16|0;i=d;gV(g,35968);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;MM(h,c,1,e);if((b[e+11>>0]|0)<0)fuc(f[e>>2]|0);yh[f[(f[a>>2]|0)+28>>2]&2047](i,a);c=PM(h,i)|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;j=e+11|0;b[j>>0]=1;b[e>>0]=123;b[e+1>>0]=0;PM(c,e)|0;if((b[j>>0]|0)<0)fuc(f[e>>2]|0);if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0);yh[f[(f[a>>2]|0)+12>>2]&2047](a,h);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;a=e+11|0;b[a>>0]=1;b[e>>0]=125;b[e+1>>0]=0;PM(h,e)|0;if((b[a>>0]|0)<0)fuc(f[e>>2]|0);AM(h);if(!(f[g+4>>2]|0)){u=d;return}u=d;return}function KG(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;c=u;u=u+16|0;d=c;gV(d,35948);f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;b[a+11>>0]=9;e=a;g=200073;h=e+9|0;do{b[e>>0]=b[g>>0]|0;e=e+1|0;g=g+1|0}while((e|0)<(h|0));b[a+9>>0]=0;if(!(f[d+4>>2]|0)){u=c;return}u=c;return}function LG(a){a=a|0;var b=0,c=0;b=u;u=u+16|0;c=b;f[a>>2]=35916;gV(c,36008);if(!(f[c+4>>2]|0)){u=b;return}u=b;return}function MG(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;a=u;u=u+32|0;d=a+8|0;e=a;gV(e,36028);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;g=d+11|0;b[g>>0]=6;b[d>>0]=b[200341]|0;b[d+1>>0]=b[200342]|0;b[d+2>>0]=b[200343]|0;b[d+3>>0]=b[200344]|0;b[d+4>>0]=b[200345]|0;b[d+5>>0]=b[200346]|0;b[d+6>>0]=0;h=PM(c,d)|0;if((b[g>>0]|0)<0)fuc(f[d>>2]|0);if(di[f[(f[h>>2]|0)+12>>2]&1023](h)|0){g=h+36|0;if((f[g>>2]|0)==6){c=cuc(32)|0;f[d>>2]=c;f[d+8>>2]=-2147483616;f[d+4>>2]=30;i=c;j=387802;k=i+30|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));b[c+30>>0]=0;WD(-2,d,531329,387833,1197)}ZM(h,h+12|0,3);if(f[g>>2]&4|0)f[g>>2]=6}if(!(f[e+4>>2]|0)){u=a;return}u=a;return}function NG(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0;h=u;u=u+16|0;i=h;gV(i,36048);j=OG(a,b,c,d,e,g)|0;if(!(f[i+4>>2]|0)){u=h;return j|0}u=h;return j|0}function OG(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0.0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0.0,B=0;h=b>>>2;b=e>>>2;e=(c|0)>0;a:do if(e){i=(d|0)==0;j=i|(g|0)<1;k=i|(g|0)<1;i=1;l=0;while(1){m=l;l=l+1|0;o=(l|0)<(c|0);if(o){p=m;q=l;while(1){r=a+((Y(q,h)|0)+m<<2)|0;s=+L(+(+n[r>>2]));r=a+((Y(p,h)|0)+m<<2)|0;t=s>+L(+(+n[r>>2]));r=t?q:p;q=q+1|0;if((q|0)==(c|0)){u=r;break}else p=r}}else u=m;p=Y(u,h)|0;if(+L(+(+n[a+(p+m<<2)>>2]))<1.1920928955078125e-06){v=0;break}if((u|0)==(m|0))w=i;else{q=Y(m,h)|0;r=m;do{t=a+(r+q<<2)|0;x=a+(r+p<<2)|0;y=f[t>>2]|0;f[t>>2]=f[x>>2];f[x>>2]=y;r=r+1|0}while((r|0)!=(c|0));if(!k){r=Y(m,b)|0;p=Y(u,b)|0;q=0;do{y=d+(q+r<<2)|0;x=d+(q+p<<2)|0;t=f[y>>2]|0;f[y>>2]=f[x>>2];f[x>>2]=t;q=q+1|0}while((q|0)!=(g|0))}w=0-i|0}q=Y(m,h)|0;s=-1.0/+n[a+(q+m<<2)>>2];if(!o){z=w;break a}p=Y(m,b)|0;r=l;do{t=Y(r,h)|0;A=s*+n[a+(t+m<<2)>>2];x=l;do{y=a+(x+t<<2)|0;n[y>>2]=+n[y>>2]+A*+n[a+(x+q<<2)>>2];x=x+1|0}while((x|0)!=(c|0));if(!j){x=Y(r,b)|0;t=0;do{y=d+(t+x<<2)|0;n[y>>2]=+n[y>>2]+A*+n[d+(t+p<<2)>>2];t=t+1|0}while((t|0)!=(g|0))}r=r+1|0}while((r|0)!=(c|0));if(!o){z=w;break a}else i=w}return v|0}else z=1;while(0);if(e&(d|0)!=0&(g|0)>0)B=c;else{v=z;return v|0}do{e=B;B=B+-1|0;w=Y(B,b)|0;u=Y(B,h)|0;i=a+(u+B<<2)|0;if((e|0)<(c|0)){j=0;do{l=d+(j+w<<2)|0;s=+n[l>>2];k=e;do{r=d+((Y(k,b)|0)+j<<2)|0;s=s-+n[a+(k+u<<2)>>2]*+n[r>>2];k=k+1|0}while((k|0)!=(c|0));n[l>>2]=s/+n[i>>2];j=j+1|0}while((j|0)!=(g|0))}else{j=0;do{u=d+(j+w<<2)|0;n[u>>2]=+n[u>>2]/+n[i>>2];j=j+1|0}while((j|0)!=(g|0))}}while((e|0)>1);v=z;return v|0}function PG(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0;h=u;u=u+16|0;i=h;gV(i,36068);j=QG(a,b,c,d,e,g)|0;if(!(f[i+4>>2]|0)){u=h;return j|0}u=h;return j|0}function QG(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0.0,s=0,t=0,u=0,v=0,w=0,x=0,y=0.0,z=0,A=0;g=b>>>3;b=e>>>3;e=(c|0)>0;a:do if(e){h=(d|0)==0;i=h|(f|0)<1;j=h|(f|0)<1;h=1;k=0;while(1){l=k;k=k+1|0;m=(k|0)<(c|0);if(m){n=l;o=k;while(1){q=a+((Y(o,g)|0)+l<<3)|0;r=+L(+(+p[q>>3]));q=a+((Y(n,g)|0)+l<<3)|0;s=r>+L(+(+p[q>>3]));q=s?o:n;o=o+1|0;if((o|0)==(c|0)){t=q;break}else n=q}}else t=l;n=Y(t,g)|0;if(+L(+(+p[a+(n+l<<3)>>3]))<2.220446049250313e-14){u=0;break}if((t|0)==(l|0))v=h;else{o=Y(l,g)|0;q=l;do{s=a+(q+o<<3)|0;w=a+(q+n<<3)|0;r=+p[s>>3];p[s>>3]=+p[w>>3];p[w>>3]=r;q=q+1|0}while((q|0)!=(c|0));if(!j){q=Y(l,b)|0;n=Y(t,b)|0;o=0;do{w=d+(o+q<<3)|0;s=d+(o+n<<3)|0;r=+p[w>>3];p[w>>3]=+p[s>>3];p[s>>3]=r;o=o+1|0}while((o|0)!=(f|0))}v=0-h|0}o=Y(l,g)|0;r=-1.0/+p[a+(o+l<<3)>>3];if(!m){x=v;break a}n=Y(l,b)|0;q=k;do{s=Y(q,g)|0;y=r*+p[a+(s+l<<3)>>3];w=k;do{z=a+(w+s<<3)|0;p[z>>3]=+p[z>>3]+y*+p[a+(w+o<<3)>>3];w=w+1|0}while((w|0)!=(c|0));if(!i){w=Y(q,b)|0;s=0;do{z=d+(s+w<<3)|0;p[z>>3]=+p[z>>3]+y*+p[d+(s+n<<3)>>3];s=s+1|0}while((s|0)!=(f|0))}q=q+1|0}while((q|0)!=(c|0));if(!m){x=v;break a}else h=v}return u|0}else x=1;while(0);if(e&(d|0)!=0&(f|0)>0)A=c;else{u=x;return u|0}do{e=A;A=A+-1|0;v=Y(A,b)|0;t=Y(A,g)|0;h=a+(t+A<<3)|0;if((e|0)<(c|0)){i=0;do{k=d+(i+v<<3)|0;r=+p[k>>3];j=e;do{q=d+((Y(j,b)|0)+i<<3)|0;r=r-+p[a+(j+t<<3)>>3]*+p[q>>3];j=j+1|0}while((j|0)!=(c|0));p[k>>3]=r/+p[h>>3];i=i+1|0}while((i|0)!=(f|0))}else{i=0;do{t=d+(i+v<<3)|0;p[t>>3]=+p[t>>3]/+p[h>>3];i=i+1|0}while((i|0)!=(f|0))}}while((e|0)>1);u=x;return u|0}function RG(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0;h=u;u=u+16|0;i=h;gV(i,36088);j=SG(a,b,c,d,e,g)|0;if(!(f[i+4>>2]|0)){u=h;return j|0}u=h;return j|0}function SG(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0.0,o=0,p=0.0,q=0,r=0.0,s=0.0,t=0.0,u=0.0,v=0.0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;g=b>>>2;b=e>>>2;e=(c|0)>0;a:do if(e){h=0;while(1){i=(h|0)>0;j=Y(h,g)|0;if(i){k=0;do{l=a+(k+j<<2)|0;m=+n[l>>2];o=Y(k,g)|0;if((k|0)>0){p=m;q=0;while(1){r=p-+n[a+(q+j<<2)>>2]*+n[a+(q+o<<2)>>2];q=q+1|0;if((q|0)==(k|0)){s=r;break}else p=r}}else s=m;n[l>>2]=s*+n[a+(o+k<<2)>>2];k=k+1|0}while((k|0)!=(h|0));k=a+(j+h<<2)|0;p=+n[k>>2];if(i){q=0;r=p;while(1){t=+n[a+(q+j<<2)>>2];u=r-t*t;q=q+1|0;if((q|0)==(h|0)){v=u;w=k;break}else r=u}}else{v=p;w=k}}else{q=a+(j+h<<2)|0;v=+n[q>>2];w=q}if(v<1.1920928955078125e-07){x=0;break}r=1.0/+M(+v);n[w>>2]=r;h=h+1|0;if((h|0)>=(c|0))break a}return x|0}while(0);if(!d){if(e)y=0;else{x=1;return x|0}do{w=a+((Y(y,g)|0)+y<<2)|0;n[w>>2]=1.0/+n[w>>2];y=y+1|0}while((y|0)!=(c|0));x=1;return x|0}if(!e){x=1;return x|0}if((f|0)>0){y=0;do{w=Y(y,b)|0;h=Y(y,g)|0;q=a+(h+y<<2)|0;if((y|0)>0){i=0;do{z=d+(i+w<<2)|0;A=0;v=+n[z>>2];do{B=d+((Y(A,b)|0)+i<<2)|0;v=v-+n[a+(A+h<<2)>>2]*+n[B>>2];A=A+1|0}while((A|0)!=(y|0));n[z>>2]=v*+n[q>>2];i=i+1|0}while((i|0)!=(f|0))}else{i=0;do{h=d+(i+w<<2)|0;n[h>>2]=+n[h>>2]*+n[q>>2];i=i+1|0}while((i|0)!=(f|0))}y=y+1|0}while((y|0)!=(c|0));y=c+-1|0;if(!e){x=1;return x|0}if((f|0)>0){i=y;while(1){q=Y(i,b)|0;w=a+((Y(i,g)|0)+i<<2)|0;if((y|0)>(i|0)){h=0;do{A=d+(h+q<<2)|0;j=y;p=+n[A>>2];do{k=a+((Y(j,g)|0)+i<<2)|0;B=d+((Y(j,b)|0)+h<<2)|0;p=p-+n[k>>2]*+n[B>>2];j=j+-1|0}while((j|0)>(i|0));n[A>>2]=p*+n[w>>2];h=h+1|0}while((h|0)!=(f|0))}else{h=0;do{j=d+(h+q<<2)|0;n[j>>2]=+n[j>>2]*+n[w>>2];h=h+1|0}while((h|0)!=(f|0))}if((i|0)>0)i=i+-1|0;else break}if(!e){x=1;return x|0}else C=0}else C=0}else C=0;do{e=a+((Y(C,g)|0)+C<<2)|0;n[e>>2]=1.0/+n[e>>2];C=C+1|0}while((C|0)!=(c|0));x=1;return x|0}function TG(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0;h=u;u=u+16|0;i=h;gV(i,36108);j=UG(a,b,c,d,e,g)|0;if(!(f[i+4>>2]|0)){u=h;return j|0}u=h;return j|0}function UG(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0.0,n=0,o=0.0,q=0,r=0.0,s=0.0,t=0.0,u=0.0,v=0.0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;g=b>>>3;b=e>>>3;e=(c|0)>0;a:do if(e){h=0;while(1){i=(h|0)>0;j=Y(h,g)|0;if(i){k=0;do{l=a+(k+j<<3)|0;m=+p[l>>3];n=Y(k,g)|0;if((k|0)>0){o=m;q=0;while(1){r=o-+p[a+(q+j<<3)>>3]*+p[a+(q+n<<3)>>3];q=q+1|0;if((q|0)==(k|0)){s=r;break}else o=r}}else s=m;p[l>>3]=s*+p[a+(n+k<<3)>>3];k=k+1|0}while((k|0)!=(h|0));k=a+(j+h<<3)|0;o=+p[k>>3];if(i){q=0;r=o;while(1){t=+p[a+(q+j<<3)>>3];u=r-t*t;q=q+1|0;if((q|0)==(h|0)){v=u;w=k;break}else r=u}}else{v=o;w=k}}else{q=a+(j+h<<3)|0;v=+p[q>>3];w=q}if(v<2.220446049250313e-16){x=0;break}r=1.0/+M(+v);p[w>>3]=r;h=h+1|0;if((h|0)>=(c|0))break a}return x|0}while(0);if(!d){if(e)y=0;else{x=1;return x|0}do{w=a+((Y(y,g)|0)+y<<3)|0;p[w>>3]=1.0/+p[w>>3];y=y+1|0}while((y|0)!=(c|0));x=1;return x|0}if(!e){x=1;return x|0}if((f|0)>0){y=0;do{w=Y(y,b)|0;h=Y(y,g)|0;q=a+(h+y<<3)|0;if((y|0)>0){i=0;do{z=d+(i+w<<3)|0;A=0;v=+p[z>>3];do{B=d+((Y(A,b)|0)+i<<3)|0;v=v-+p[a+(A+h<<3)>>3]*+p[B>>3];A=A+1|0}while((A|0)!=(y|0));p[z>>3]=v*+p[q>>3];i=i+1|0}while((i|0)!=(f|0))}else{i=0;do{h=d+(i+w<<3)|0;p[h>>3]=+p[h>>3]*+p[q>>3];i=i+1|0}while((i|0)!=(f|0))}y=y+1|0}while((y|0)!=(c|0));y=c+-1|0;if(!e){x=1;return x|0}if((f|0)>0){i=y;while(1){q=Y(i,b)|0;w=a+((Y(i,g)|0)+i<<3)|0;if((y|0)>(i|0)){h=0;do{A=d+(h+q<<3)|0;j=y;o=+p[A>>3];do{k=a+((Y(j,g)|0)+i<<3)|0;B=d+((Y(j,b)|0)+h<<3)|0;o=o-+p[k>>3]*+p[B>>3];j=j+-1|0}while((j|0)>(i|0));p[A>>3]=o*+p[w>>3];h=h+1|0}while((h|0)!=(f|0))}else{h=0;do{j=d+(h+q<<3)|0;p[j>>3]=+p[j>>3]*+p[w>>3];h=h+1|0}while((h|0)!=(f|0))}if((i|0)>0)i=i+-1|0;else break}if(!e){x=1;return x|0}else C=0}else C=0}else C=0;do{e=a+((Y(C,g)|0)+C<<3)|0;p[e>>3]=1.0/+p[e>>3];C=C+1|0}while((C|0)!=(c|0));x=1;return x|0}function VG(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0.0,x=0,y=0.0,z=0.0,A=0.0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;j=u;u=u+1072|0;k=j+8|0;l=j;gV(l,36128);m=b>>>2;b=h>>>2;h=k+8|0;f[k>>2]=h;o=k+4|0;p=(c|0)==0?(i|0)!=0&1:d+c|0;f[o>>2]=p;if(p>>>0>264){q=euc(p>>>0>1073741823?-1:p<<2)|0;f[k>>2]=q;r=q}else r=h;q=(i|0)==0?r+(c<<2)|0:i;a:do if((d|0)>0){i=0;p=c;while(1){s=c-i|0;t=(s|0)>0;if(t){v=0;w=0.0;while(1){x=a+((Y(v+i|0,m)|0)+i<<2)|0;y=+n[x>>2];n[r+(v<<2)>>2]=y;z=w+y*y;v=v+1|0;if((v|0)==(p|0)){A=z;break}else w=z}}else A=0.0;w=+n[r>>2];z=w+ +M(+A)*(!(w>=0.0)?-1.0:1.0);n[r>>2]=z;y=+M(+(A+z*z-w*w));if(t?(n[r>>2]=z/y,(p|0)!=1):0){v=1;do{x=r+(v<<2)|0;n[x>>2]=+n[x>>2]/y;v=v+1|0}while((v|0)!=(p|0))}if((i|0)<(c|0)){v=i;do{t=i;y=0.0;do{x=a+((Y(t,m)|0)+v<<2)|0;y=y+ +n[r+(t-i<<2)>>2]*+n[x>>2];t=t+1|0}while((t|0)!=(c|0));B=i;do{t=a+((Y(B,m)|0)+v<<2)|0;n[t>>2]=+n[t>>2]-y*(+n[r+(B-i<<2)>>2]*2.0);B=B+1|0}while((B|0)!=(c|0));v=v+1|0}while((v|0)!=(d|0))}y=+n[r>>2];n[q+(i<<2)>>2]=y*y;if((s|0)>1){y=+n[r>>2];v=1;do{t=a+((Y(v+i|0,m)|0)+i<<2)|0;n[t>>2]=+n[r+(v<<2)>>2]/y;v=v+1|0}while((v|0)!=(p|0))}i=i+1|0;if((i|0)==(d|0))break;else p=p+-1|0}if(g){p=(e|0)>0;if(p){i=0;v=c;while(1){n[r>>2]=1.0;if((c-i|0)>1){s=1;do{t=a+((Y(s+i|0,m)|0)+i<<2)|0;f[r+(s<<2)>>2]=f[t>>2];s=s+1|0}while((s|0)!=(v|0))}s=q+(i<<2)|0;if((i|0)<(c|0)){t=0;do{x=i;y=0.0;do{C=g+((Y(x,b)|0)+t<<2)|0;y=y+ +n[r+(x-i<<2)>>2]*+n[C>>2];x=x+1|0}while((x|0)!=(c|0));D=i;do{x=g+((Y(D,b)|0)+t<<2)|0;n[x>>2]=+n[x>>2]-+n[s>>2]*(y*(+n[r+(D-i<<2)>>2]*2.0));D=D+1|0}while((D|0)!=(c|0));t=t+1|0}while((t|0)!=(e|0))}i=i+1|0;if((i|0)==(d|0))break;else v=v+-1|0}}else{v=0;i=c;while(1){n[r>>2]=1.0;if((c-v|0)>1){t=1;do{s=a+((Y(t+v|0,m)|0)+v<<2)|0;f[r+(t<<2)>>2]=f[s>>2];t=t+1|0}while((t|0)!=(i|0))}v=v+1|0;if((v|0)==(d|0))break;else i=i+-1|0}}i=d+-1|0;if(!p){v=i;while(1){t=a+((Y(v,m)|0)+v<<2)|0;if(+L(+(+n[t>>2]))<1.1920928955078125e-06){E=0;break a}if((v|0)>0)v=v+-1|0;else{E=1;break a}}}if((e|0)==1){v=i;while(1){p=Y(v,m)|0;if((i|0)>(v|0)){t=g+((Y(v,b)|0)<<2)|0;s=i;do{x=g+((Y(s,b)|0)<<2)|0;n[t>>2]=+n[t>>2]-+n[x>>2]*+n[a+(s+p<<2)>>2];s=s+-1|0}while((s|0)>(v|0))}y=+n[a+(p+v<<2)>>2];if(+L(+y)<1.1920928955078125e-06){E=0;break a}s=g+((Y(v,b)|0)<<2)|0;n[s>>2]=+n[s>>2]/y;if((v|0)>0)v=v+-1|0;else{E=1;break a}}}else F=i;while(1){v=Y(F,m)|0;if((i|0)>(F|0)){s=Y(F,b)|0;t=i;do{x=Y(t,b)|0;C=a+(t+v<<2)|0;G=0;do{H=g+(G+s<<2)|0;n[H>>2]=+n[H>>2]-+n[g+(G+x<<2)>>2]*+n[C>>2];G=G+1|0}while((G|0)!=(e|0));t=t+-1|0}while((t|0)>(F|0))}t=a+(v+F<<2)|0;y=+n[t>>2];if(+L(+y)<1.1920928955078125e-06){E=0;break a}s=Y(F,b)|0;p=g+(s<<2)|0;n[p>>2]=+n[p>>2]/y;p=1;do{G=g+(p+s<<2)|0;n[G>>2]=+n[G>>2]/+n[t>>2];p=p+1|0}while((p|0)!=(e|0));if((F|0)>0)F=F+-1|0;else{E=1;break}}}else E=1}else E=1;while(0);if((r|0)!=(h|0)){guc(r);f[k>>2]=h;f[o>>2]=264}if(!(f[l+4>>2]|0)){u=j;return E|0}u=j;return E|0}function WG(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0.0,x=0,y=0.0,z=0.0,A=0.0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;j=u;u=u+1104|0;k=j;l=j+1096|0;gV(l,36148);m=b>>>3;b=h>>>3;h=k+8|0;f[k>>2]=h;n=k+4|0;o=(c|0)==0?(i|0)!=0&1:d+c|0;f[n>>2]=o;if(o>>>0>136){q=euc(o>>>0>536870911?-1:o<<3)|0;f[k>>2]=q;r=q}else r=h;q=(i|0)==0?r+(c<<3)|0:i;a:do if((d|0)>0){i=0;o=c;while(1){s=c-i|0;t=(s|0)>0;if(t){v=0;w=0.0;while(1){x=a+((Y(v+i|0,m)|0)+i<<3)|0;y=+p[x>>3];p[r+(v<<3)>>3]=y;z=w+y*y;v=v+1|0;if((v|0)==(o|0)){A=z;break}else w=z}}else A=0.0;w=+p[r>>3];z=w+ +M(+A)*(!(w>=0.0)?-1.0:1.0);p[r>>3]=z;y=+M(+(A+z*z-w*w));if(t?(p[r>>3]=z/y,(o|0)!=1):0){v=1;do{x=r+(v<<3)|0;p[x>>3]=+p[x>>3]/y;v=v+1|0}while((v|0)!=(o|0))}if((i|0)<(c|0)){v=i;do{t=i;y=0.0;do{x=a+((Y(t,m)|0)+v<<3)|0;y=y+ +p[r+(t-i<<3)>>3]*+p[x>>3];t=t+1|0}while((t|0)!=(c|0));B=i;do{t=a+((Y(B,m)|0)+v<<3)|0;p[t>>3]=+p[t>>3]-y*(+p[r+(B-i<<3)>>3]*2.0);B=B+1|0}while((B|0)!=(c|0));v=v+1|0}while((v|0)!=(d|0))}y=+p[r>>3];p[q+(i<<3)>>3]=y*y;if((s|0)>1){y=+p[r>>3];v=1;do{t=a+((Y(v+i|0,m)|0)+i<<3)|0;p[t>>3]=+p[r+(v<<3)>>3]/y;v=v+1|0}while((v|0)!=(o|0))}i=i+1|0;if((i|0)==(d|0))break;else o=o+-1|0}if(g){o=(e|0)>0;if(o){i=0;v=c;while(1){p[r>>3]=1.0;if((c-i|0)>1){s=1;do{t=a+((Y(s+i|0,m)|0)+i<<3)|0;p[r+(s<<3)>>3]=+p[t>>3];s=s+1|0}while((s|0)!=(v|0))}s=q+(i<<3)|0;if((i|0)<(c|0)){t=0;do{x=i;y=0.0;do{C=g+((Y(x,b)|0)+t<<3)|0;y=y+ +p[r+(x-i<<3)>>3]*+p[C>>3];x=x+1|0}while((x|0)!=(c|0));D=i;do{x=g+((Y(D,b)|0)+t<<3)|0;p[x>>3]=+p[x>>3]-+p[s>>3]*(y*(+p[r+(D-i<<3)>>3]*2.0));D=D+1|0}while((D|0)!=(c|0));t=t+1|0}while((t|0)!=(e|0))}i=i+1|0;if((i|0)==(d|0))break;else v=v+-1|0}}else{v=0;i=c;while(1){p[r>>3]=1.0;if((c-v|0)>1){t=1;do{s=a+((Y(t+v|0,m)|0)+v<<3)|0;p[r+(t<<3)>>3]=+p[s>>3];t=t+1|0}while((t|0)!=(i|0))}v=v+1|0;if((v|0)==(d|0))break;else i=i+-1|0}}i=d+-1|0;if(!o){v=i;while(1){t=a+((Y(v,m)|0)+v<<3)|0;if(+L(+(+p[t>>3]))<2.220446049250313e-14){E=0;break a}if((v|0)>0)v=v+-1|0;else{E=1;break a}}}if((e|0)==1){v=i;while(1){o=Y(v,m)|0;if((i|0)>(v|0)){t=g+((Y(v,b)|0)<<3)|0;s=i;do{x=g+((Y(s,b)|0)<<3)|0;p[t>>3]=+p[t>>3]-+p[x>>3]*+p[a+(s+o<<3)>>3];s=s+-1|0}while((s|0)>(v|0))}y=+p[a+(o+v<<3)>>3];if(+L(+y)<2.220446049250313e-14){E=0;break a}s=g+((Y(v,b)|0)<<3)|0;p[s>>3]=+p[s>>3]/y;if((v|0)>0)v=v+-1|0;else{E=1;break a}}}else F=i;while(1){v=Y(F,m)|0;if((i|0)>(F|0)){s=Y(F,b)|0;t=i;do{x=Y(t,b)|0;C=a+(t+v<<3)|0;G=0;do{H=g+(G+s<<3)|0;p[H>>3]=+p[H>>3]-+p[g+(G+x<<3)>>3]*+p[C>>3];G=G+1|0}while((G|0)!=(e|0));t=t+-1|0}while((t|0)>(F|0))}t=a+(v+F<<3)|0;y=+p[t>>3];if(+L(+y)<2.220446049250313e-14){E=0;break a}s=Y(F,b)|0;o=g+(s<<3)|0;p[o>>3]=+p[o>>3]/y;o=1;do{G=g+(o+s<<3)|0;p[G>>3]=+p[G>>3]/+p[t>>3];o=o+1|0}while((o|0)!=(e|0));if((F|0)>0)F=F+-1|0;else{E=1;break}}}else E=1}else E=1;while(0);if((r|0)!=(h|0)){guc(r);f[k>>2]=h;f[n>>2]=136}if(!(f[l+4>>2]|0)){u=j;return E|0}u=j;return E|0}function XG(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0;i=u;u=u+224|0;j=i+208|0;k=i+152|0;l=i+96|0;m=i+80|0;o=i+16|0;q=i+48|0;r=i+44|0;s=i+40|0;t=i+36|0;v=i+32|0;w=i+28|0;x=i+24|0;y=i+8|0;z=i;gV(j,36168);A=pJ(a,-1)|0;B=A&7;C=A>>>3&511;A=C+1|0;E=EJ(h)|0;if(!C){if(!E?pJ(h,-1)|0:0){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;F=cuc(112)|0;f[k>>2]=F;G=k+8|0;f[G>>2]=-2147483536;H=k+4|0;f[H>>2]=104;I=F;J=200907;K=I+104|0;do{b[I>>0]=b[J>>0]|0;I=I+1|0;J=J+1|0}while((I|0)<(K|0));L=F+104|0;b[L>>0]=0;WD(-215,k,201012,201022,753)}}else if((g|0)!=0|((e|0)!=0|E^1)){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;F=cuc(112)|0;f[k>>2]=F;G=k+8|0;f[G>>2]=-2147483536;H=k+4|0;f[H>>2]=104;I=F;J=200907;K=I+104|0;do{b[I>>0]=b[J>>0]|0;I=I+1|0;J=J+1|0}while((I|0)<(K|0));L=F+104|0;b[L>>0]=0;WD(-215,k,201012,201022,753)}do if((qJ(a)|0)==65536){L=f[a+4>>2]|0;f[k>>2]=f[L>>2];F=k+4|0;H=L+4|0;f[F>>2]=f[H>>2];G=k+8|0;f[G>>2]=f[L+8>>2];f[k+12>>2]=f[L+12>>2];f[k+16>>2]=f[L+16>>2];f[k+20>>2]=f[L+20>>2];f[k+24>>2]=f[L+24>>2];f[k+28>>2]=f[L+28>>2];f[k+32>>2]=f[L+32>>2];E=f[L+36>>2]|0;f[k+36>>2]=E;f[k+40>>2]=G;G=k+48|0;C=k+44|0;f[C>>2]=G;f[G>>2]=0;f[k+52>>2]=0;if(E|0){G=E+12|0;f[G>>2]=(f[G>>2]|0)+1}if((f[H>>2]|0)<3){H=f[L+44>>2]|0;G=f[C>>2]|0;f[G>>2]=f[H>>2];f[G+4>>2]=f[H+4>>2];break}else{f[F>>2]=0;$T(k,L);break}}else nJ(k,a,-1);while(0);do if((qJ(h)|0)==65536){a=f[h+4>>2]|0;f[l>>2]=f[a>>2];L=l+4|0;F=a+4|0;f[L>>2]=f[F>>2];H=l+8|0;f[H>>2]=f[a+8>>2];f[l+12>>2]=f[a+12>>2];f[l+16>>2]=f[a+16>>2];f[l+20>>2]=f[a+20>>2];f[l+24>>2]=f[a+24>>2];f[l+28>>2]=f[a+28>>2];f[l+32>>2]=f[a+32>>2];G=f[a+36>>2]|0;f[l+36>>2]=G;f[l+40>>2]=H;H=l+48|0;C=l+44|0;f[C>>2]=H;f[H>>2]=0;f[l+52>>2]=0;if(G|0){H=G+12|0;f[H>>2]=(f[H>>2]|0)+1}if((f[F>>2]|0)<3){F=f[a+44>>2]|0;H=f[C>>2]|0;f[H>>2]=f[F>>2];f[H+4>>2]=f[F+4>>2];break}else{f[L>>2]=0;$T(l,a);break}}else nJ(l,h,-1);while(0);h=k+4|0;a=f[36188+(B<<2)>>2]|0;if((B|0)==7){f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;b[m+11>>0]=9;I=m;J=253007;K=I+9|0;do{b[I>>0]=b[J>>0]|0;I=I+1|0;J=J+1|0}while((I|0)<(K|0));b[m+9>>0]=0;WD(-215,m,201012,201022,770)}f[m>>2]=k;f[m+4>>2]=l;f[m+8>>2]=0;J=o;f[J>>2]=0;f[J+4>>2]=0;YC(q,m,o,-1);f[r>>2]=0;f[s>>2]=0;f[t>>2]=2147483647;f[v>>2]=-2147483648;n[w>>2]=D;n[x>>2]=-D;p[y>>3]=D;p[z>>3]=-D;m=Y(f[q+20>>2]|0,A)|0;A=(B|0)==5;if(!A)if((B|0)==6){M=z;N=y}else{M=v;N=t}else{M=x;N=w}J=q+16|0;if(f[J>>2]|0){I=o+4|0;K=0;L=1;while(1){Gh[a&255](f[o>>2]|0,f[I>>2]|0,N,M,r,s,m,L);ZC(q)|0;K=K+1|0;if(K>>>0>=(f[J>>2]|0)>>>0)break;else L=L+m|0}}m=k+16|0;do if(f[m>>2]|0){L=f[h>>2]|0;if((L|0)<3)O=Y(f[k+12>>2]|0,f[k+8>>2]|0)|0;else{J=f[k+40>>2]|0;K=0;q=1;while(1){M=Y(f[J+(K<<2)>>2]|0,q)|0;K=K+1|0;if((K|0)==(L|0)){O=M;break}else q=M}}if(!((L|0)==0|(O|0)==0)){if(f[l+16>>2]|0){q=f[l+4>>2]|0;if((q|0)<3)P=Y(f[l+12>>2]|0,f[l+8>>2]|0)|0;else{K=f[l+40>>2]|0;J=0;M=1;while(1){N=Y(f[K+(J<<2)>>2]|0,M)|0;J=J+1|0;if((J|0)==(q|0)){P=N;break}else M=N}}if(!((q|0)==0|(P|0)==0))break}if(!(f[r>>2]|0))f[r>>2]=1;if(!(f[s>>2]|0))f[s>>2]=1}}while(0);P=f[r>>2]|0;r=(P|0)==0;do if(!r){if(A){p[y>>3]=+n[w>>2];p[z>>3]=+n[x>>2];break}if(B>>>0<5){p[y>>3]=+(f[t>>2]|0);p[z>>3]=+(f[v>>2]|0)}}else{p[z>>3]=0.0;p[y>>3]=0.0}while(0);if(c|0)p[c>>3]=+p[y>>3];if(d|0)p[d>>3]=+p[z>>3];do if(e|0){z=f[h>>2]|0;d=(z|0)>0;if(r){if(!d)break;kzc(e|0,-1,z<<2|0)|0;break}if(d){d=f[k+40>>2]|0;y=z;z=P+-1|0;while(1){c=y;y=y+-1|0;v=f[d+(y<<2)>>2]|0;f[e+(y<<2)>>2]=(z>>>0)%(v>>>0)|0;if((c|0)<=1)break;else z=(z>>>0)/(v>>>0)|0}}}while(0);do if(g|0){e=f[s>>2]|0;P=f[h>>2]|0;r=(P|0)>0;if(!e){if(!r)break;kzc(g|0,-1,P<<2|0)|0;break}if(r){r=f[k+40>>2]|0;z=P;P=e+-1|0;while(1){e=z;z=z+-1|0;y=f[r+(z<<2)>>2]|0;f[g+(z<<2)>>2]=(P>>>0)%(y>>>0)|0;if((e|0)<=1)break;else P=(P>>>0)/(y>>>0)|0}}}while(0);g=l+36|0;s=f[g>>2]|0;if(s|0?(P=s+12|0,s=f[P>>2]|0,f[P>>2]=s+-1,(s|0)==1):0)aU(l);f[g>>2]=0;g=l+16|0;s=l+4|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;if((f[s>>2]|0)>0){g=f[l+40>>2]|0;P=0;do{f[g+(P<<2)>>2]=0;P=P+1|0}while((P|0)<(f[s>>2]|0))}s=f[l+44>>2]|0;if((s|0)!=(l+48|0))TC(s);s=k+36|0;l=f[s>>2]|0;if(l|0?(P=l+12|0,l=f[P>>2]|0,f[P>>2]=l+-1,(l|0)==1):0)aU(k);f[s>>2]=0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;if((f[h>>2]|0)>0){m=f[k+40>>2]|0;s=0;do{f[m+(s<<2)>>2]=0;s=s+1|0}while((s|0)<(f[h>>2]|0))}h=f[k+44>>2]|0;if((h|0)!=(k+48|0))TC(h);if(!(f[j+4>>2]|0)){u=i;return}u=i;return}function YG(a,c,d,e,g,i,j,k){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;l=f[d>>2]|0;m=f[e>>2]|0;n=f[g>>2]|0;o=f[i>>2]|0;p=(j|0)>0;if(!c)if(p){q=m;r=0;s=o;t=n;u=l;while(1){v=h[a+r>>0]|0;w=(v|0)<(u|0);x=r+k|0;y=w?x:t;z=w?v:u;w=(v|0)>(q|0);A=w?x:s;x=w?v:q;r=r+1|0;if((r|0)==(j|0)){B=z;C=x;D=A;E=y;break}else{q=x;s=A;t=y;u=z}}}else{B=l;C=m;D=o;E=n}else if(p){p=0;u=m;t=o;s=n;q=l;while(1){r=(b[c+p>>0]|0)!=0;z=h[a+p>>0]|0;y=p+k|0;A=r&(z|0)<(q|0);x=A?z:q;v=A?y:s;A=r&(z|0)>(u|0);r=A?y:t;y=A?z:u;p=p+1|0;if((p|0)==(j|0)){B=x;C=y;D=r;E=v;break}else{u=y;t=r;s=v;q=x}}}else{B=l;C=m;D=o;E=n}f[g>>2]=E;f[i>>2]=D;f[d>>2]=B;f[e>>2]=C;return}function ZG(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0;k=f[d>>2]|0;l=f[e>>2]|0;m=f[g>>2]|0;n=f[h>>2]|0;o=(i|0)>0;if(!c)if(o){p=l;q=0;r=n;s=m;t=k;while(1){u=b[a+q>>0]|0;v=(u|0)<(t|0);w=q+j|0;x=v?w:s;y=v?u:t;v=(u|0)>(p|0);z=v?w:r;w=v?u:p;q=q+1|0;if((q|0)==(i|0)){A=y;B=w;C=z;D=x;break}else{p=w;r=z;s=x;t=y}}}else{A=k;B=l;C=n;D=m}else if(o){o=0;t=l;s=n;r=m;p=k;while(1){q=(b[c+o>>0]|0)!=0;y=b[a+o>>0]|0;x=o+j|0;z=q&(y|0)<(p|0);w=z?y:p;u=z?x:r;z=q&(y|0)>(t|0);q=z?x:s;x=z?y:t;o=o+1|0;if((o|0)==(i|0)){A=w;B=x;C=q;D=u;break}else{t=x;s=q;r=u;p=w}}}else{A=k;B=l;C=n;D=m}f[g>>2]=D;f[h>>2]=C;f[d>>2]=A;f[e>>2]=B;return}function _G(a,c,d,e,g,h,i,k){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;l=f[d>>2]|0;m=f[e>>2]|0;n=f[g>>2]|0;o=f[h>>2]|0;p=(i|0)>0;if(!c)if(p){q=m;r=0;s=o;t=n;u=l;while(1){v=j[a+(r<<1)>>1]|0;w=(v|0)<(u|0);x=r+k|0;y=w?x:t;z=w?v:u;w=(v|0)>(q|0);A=w?x:s;x=w?v:q;r=r+1|0;if((r|0)==(i|0)){B=z;C=x;D=A;E=y;break}else{q=x;s=A;t=y;u=z}}}else{B=l;C=m;D=o;E=n}else if(p){p=0;u=l;t=m;s=o;q=n;while(1){r=(b[c+p>>0]|0)!=0;z=j[a+(p<<1)>>1]|0;y=p+k|0;A=r&(z|0)<(u|0);x=A?z:u;v=A?y:q;A=r&(z|0)>(t|0);r=A?y:s;y=A?z:t;p=p+1|0;if((p|0)==(i|0)){B=x;C=y;D=r;E=v;break}else{u=x;t=y;s=r;q=v}}}else{B=l;C=m;D=o;E=n}f[g>>2]=E;f[h>>2]=D;f[d>>2]=B;f[e>>2]=C;return}function $G(a,c,e,g,h,i,j,k){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;l=f[e>>2]|0;m=f[g>>2]|0;n=f[h>>2]|0;o=f[i>>2]|0;p=(j|0)>0;if(!c)if(p){q=m;r=0;s=o;t=n;u=l;while(1){v=d[a+(r<<1)>>1]|0;w=(v|0)<(u|0);x=r+k|0;y=w?x:t;z=w?v:u;w=(v|0)>(q|0);A=w?x:s;x=w?v:q;r=r+1|0;if((r|0)==(j|0)){B=z;C=x;D=A;E=y;break}else{q=x;s=A;t=y;u=z}}}else{B=l;C=m;D=o;E=n}else if(p){p=0;u=l;t=m;s=o;q=n;while(1){r=(b[c+p>>0]|0)!=0;z=d[a+(p<<1)>>1]|0;y=p+k|0;A=r&(z|0)<(u|0);x=A?z:u;v=A?y:q;A=r&(z|0)>(t|0);r=A?y:s;y=A?z:t;p=p+1|0;if((p|0)==(j|0)){B=x;C=y;D=r;E=v;break}else{u=x;t=y;s=r;q=v}}}else{B=l;C=m;D=o;E=n}f[h>>2]=E;f[i>>2]=D;f[e>>2]=B;f[g>>2]=C;return}function aH(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0;k=f[d>>2]|0;l=f[e>>2]|0;m=f[g>>2]|0;n=f[h>>2]|0;o=(i|0)>0;if(!c)if(o){p=l;q=0;r=n;s=m;t=k;while(1){u=f[a+(q<<2)>>2]|0;v=(u|0)<(t|0);w=q+j|0;x=v?w:s;y=v?u:t;v=(u|0)>(p|0);z=v?w:r;w=v?u:p;q=q+1|0;if((q|0)==(i|0)){A=y;B=w;C=z;D=x;break}else{p=w;r=z;s=x;t=y}}}else{A=k;B=l;C=n;D=m}else if(o){o=0;t=l;s=n;r=m;p=k;while(1){q=f[a+(o<<2)>>2]|0;y=(b[c+o>>0]|0)!=0;x=(q|0)<(p|0)&y;z=o+j|0;w=x?z:r;u=x?q:p;x=(q|0)>(t|0)&y;y=x?z:s;z=x?q:t;o=o+1|0;if((o|0)==(i|0)){A=u;B=z;C=y;D=w;break}else{t=z;s=y;r=w;p=u}}}else{A=k;B=l;C=n;D=m}f[g>>2]=D;f[h>>2]=C;f[d>>2]=A;f[e>>2]=B;return}function bH(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0.0,l=0.0,m=0,o=0,p=0,q=0.0,r=0,s=0,t=0,u=0.0,v=0.0,w=0,x=0,y=0,z=0.0,A=0,B=0.0,C=0.0,D=0.0,E=0,F=0;k=+n[d>>2];l=+n[e>>2];m=f[g>>2]|0;o=f[h>>2]|0;p=(i|0)>0;if(!c)if(p){q=l;r=0;s=o;t=m;u=k;while(1){v=+n[a+(r<<2)>>2];w=v<u;x=r+j|0;y=w?x:t;z=w?v:u;w=v>q;A=w?x:s;B=w?v:q;r=r+1|0;if((r|0)==(i|0)){C=z;D=B;E=A;F=y;break}else{q=B;s=A;t=y;u=z}}}else{C=k;D=l;E=o;F=m}else if(p){p=0;u=l;t=o;s=m;q=k;while(1){z=+n[a+(p<<2)>>2];r=(b[c+p>>0]|0)!=0;y=z<q&r;A=p+j|0;w=y?A:s;B=y?z:q;y=z>u&r;r=y?A:t;v=y?z:u;p=p+1|0;if((p|0)==(i|0)){C=B;D=v;E=r;F=w;break}else{u=v;t=r;s=w;q=B}}}else{C=k;D=l;E=o;F=m}f[g>>2]=F;f[h>>2]=E;n[d>>2]=C;n[e>>2]=D;return}function cH(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0.0,l=0.0,m=0,n=0,o=0,q=0.0,r=0,s=0,t=0,u=0.0,v=0.0,w=0,x=0,y=0,z=0.0,A=0,B=0.0,C=0.0,D=0.0,E=0,F=0;k=+p[d>>3];l=+p[e>>3];m=f[g>>2]|0;n=f[h>>2]|0;o=(i|0)>0;if(!c)if(o){q=l;r=0;s=n;t=m;u=k;while(1){v=+p[a+(r<<3)>>3];w=v<u;x=r+j|0;y=w?x:t;z=w?v:u;w=v>q;A=w?x:s;B=w?v:q;r=r+1|0;if((r|0)==(i|0)){C=z;D=B;E=A;F=y;break}else{q=B;s=A;t=y;u=z}}}else{C=k;D=l;E=n;F=m}else if(o){o=0;u=l;t=n;s=m;q=k;while(1){z=+p[a+(o<<3)>>3];r=(b[c+o>>0]|0)!=0;y=z<q&r;A=o+j|0;w=y?A:s;B=y?z:q;y=z>u&r;r=y?A:t;v=y?z:u;o=o+1|0;if((o|0)==(i|0)){C=B;D=v;E=r;F=w;break}else{u=v;t=r;s=w;q=B}}}else{C=k;D=l;E=n;F=m}f[g>>2]=F;f[h>>2]=E;p[d>>3]=C;p[e>>3]=D;return}function dH(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0;i=u;u=u+32|0;j=i+16|0;k=i;gV(j,36220);if((AJ(a,-1)|0)>=3){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;l=cuc(32)|0;f[k>>2]=l;f[k+8>>2]=-2147483616;f[k+4>>2]=16;m=l;n=201167;o=m+16|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));b[l+16>>0]=0;WD(-215,k,201184,201022,823)}XG(a,c,d,e,g,h);if(e|0){h=e+4|0;d=f[e>>2]|0;f[e>>2]=f[h>>2];f[h>>2]=d}if(g|0){d=g+4|0;h=f[g>>2]|0;f[g>>2]=f[d>>2];f[d>>2]=h}if(!(f[j+4>>2]|0)){u=i;return}u=i;return}function eH(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0.0,j=0.0,k=0.0,l=0.0,m=0.0,o=0.0,p=0.0,q=0.0;g=u;u=u+16|0;h=g;gV(h,36240);i=e?1.0:.01745329238474369;if((d|0)>0){e=0;do{j=+n[a+(e<<2)>>2];k=+n[b+(e<<2)>>2];l=+L(+k);m=+L(+j);if(!(l>=m)){o=l/(m+2.220446049250313e-16);p=o*o;q=90.0-o*(p*(p*(8.914000511169434-p*2.539724588394165)+-18.66744613647461)+57.283626556396484)}else{p=m/(l+2.220446049250313e-16);l=p*p;q=p*(l*(l*(8.914000511169434-l*2.539724588394165)+-18.66744613647461)+57.283626556396484)}l=k<0.0?180.0-q:q;n[c+(e<<2)>>2]=i*(j<0.0?360.0-l:l);e=e+1|0}while((e|0)!=(d|0))}if(!(f[h+4>>2]|0)){u=g;return}u=g;return}function fH(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0.0,m=0,o=0,q=0,r=0,s=0.0,t=0.0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0;g=u;u=u+1552|0;h=g+1536|0;i=g+1024|0;j=g+512|0;k=g;gV(h,36260);if((d|0)>0){l=e?1.0:.01745329238474369;e=0;do{m=d-e|0;o=(m|0)<128?m:128;q=(m|0)>0;if(q){m=0;do{r=m+e|0;n[i+(m<<2)>>2]=+p[a+(r<<3)>>3];n[j+(m<<2)>>2]=+p[b+(r<<3)>>3];m=m+1|0}while((m|0)<(o|0));if(q){m=0;do{s=+n[i+(m<<2)>>2];t=+n[j+(m<<2)>>2];v=+L(+t);w=+L(+s);if(!(v>=w)){x=v/(w+2.220446049250313e-16);y=x*x;z=90.0-x*(y*(y*(8.914000511169434-y*2.539724588394165)+-18.66744613647461)+57.283626556396484)}else{y=w/(v+2.220446049250313e-16);v=y*y;z=y*(v*(v*(8.914000511169434-v*2.539724588394165)+-18.66744613647461)+57.283626556396484)}v=t<0.0?180.0-z:z;n[k+(m<<2)>>2]=l*(s<0.0?360.0-v:v);m=m+1|0}while((m|0)!=(o|0));if(q){m=0;do{p[c+(m+e<<3)>>3]=+n[k+(m<<2)>>2];m=m+1|0}while((m|0)<(o|0))}}}e=e+128|0}while((e|0)<(d|0))}if(!(f[h+4>>2]|0)){u=g;return}u=g;return}function gH(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0.0,j=0.0,k=0,l=0,m=0;d=u;u=u+16|0;e=d;gV(e,36400);g=BD()|0;if((c|0)>0){h=0;do{i=+n[a+(h<<2)>>2];j=i<-2079.441650390625?-2079.441650390625:i;i=(j>2079.441650390625?2079.441650390625:j)*92.33248138427734;k=Ghc(i)|0;j=(i-+(k|0))*.015625;l=k>>6;m=l+127|0;n[b+(h<<2)>>2]=+n[g+((k&63)<<2)>>2]*(f[s>>2]=(m>>>0>255?((l|0)<-127?0:255):m)<<23,+n[s>>2])*(j*(j*(j*(j+5.73953104019165)+24.84149932861328)+71.67741394042969)+103.40864562988281);h=h+1|0}while((h|0)!=(c|0))}if(!(f[e+4>>2]|0)){u=d;return}u=d;return}function hH(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0.0,j=0.0,k=0,l=0,m=0,n=0;d=u;u=u+16|0;e=d;gV(e,36420);g=AD()|0;if((c|0)>0){h=0;do{i=+p[a+(h<<3)>>3];j=i<-2079.441541679836?-2079.441541679836:i;i=(j>2079.441541679836?2079.441541679836:j)*92.33248261689366;k=Fhc(i)|0;j=(i-+(k|0))*.015625;l=k>>6;m=l+1023|0;n=yzc((m>>>0>2047?((l|0)<-1023?0:2047):m)|0,0,52)|0;m=J;f[s>>2]=n;f[s+4>>2]=m;p[b+(h<<3)>>3]=+p[g+((k&63)<<3)>>3]*+p[s>>3]*(j*(j*(j*(j*(j*.13825440165858396+.9945944344074722)+5.7396048189422615)+24.841498169168357)+71.67741243389332)+103.4086474621308);h=h+1|0}while((h|0)!=(c|0))}if(!(f[e+4>>2]|0)){u=d;return}u=d;return}function iH(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0.0;d=u;u=u+16|0;e=d;gV(e,36440);g=DD()|0;if((c|0)>0){h=0;do{i=f[a+(h<<2)>>2]|0;j=i>>>14&510;k=((j|0)==510?-.001953125:0.0)+ +n[g+((j|1)<<2)>>2]*((f[s>>2]=i&32767|1065353216,+n[s>>2])+-1.0);n[b+(h<<2)>>2]=+n[g+(j<<2)>>2]+ +((i>>>23&255)+-127|0)*.6931471824645996+k*(k*(k*.3333333432674408+-.5)+1.0);h=h+1|0}while((h|0)!=(c|0))}if(!(f[e+4>>2]|0)){u=d;return}u=d;return}function jH(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0.0,n=0.0,o=0.0;d=u;u=u+16|0;e=d;gV(e,36460);g=CD()|0;if((c|0)>0){h=0;do{i=a+(h<<3)|0;j=f[i>>2]|0;k=f[i+4>>2]|0;i=pzc(j|0,k|0,43)|0;l=i&510;i=pzc(j|0,k|0,52)|0;m=+p[g+(l<<3)>>3]+ +((i&2047)+-1023|0)*.6931471805599453;f[s>>2]=j;f[s+4>>2]=k&4095|1072693248;n=+p[g+((l|1)<<3)>>3]*(+p[s>>3]+-1.0)+((l|0)==510?-.001953125:0.0);o=n*n;p[b+(h<<3)>>3]=m+(o*(o*(o*(-.16666666666666666-o*.125)+-.25)+-.5)+n*(o*(o*(o*.14285714285714288+.2)+.3333333333333333)+1.0));h=h+1|0}while((h|0)!=(c|0))}if(!(f[e+4>>2]|0)){u=d;return}u=d;return}function kH(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0;g=u;u=u+16|0;h=g;gV(h,36480);eH(a,b,c,d,e);if(!(f[h+4>>2]|0)){u=g;return}u=g;return}function lH(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0;g=u;u=u+16|0;h=g;gV(h,36500);fH(a,b,c,d,e);if(!(f[h+4>>2]|0)){u=g;return}u=g;return}function mH(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0.0,j=0.0,k=0.0;e=u;u=u+16|0;g=e+8|0;h=e;gV(h,36520);gV(g,36280);if((d|0)>0){g=0;do{i=+n[a+(g<<2)>>2];j=+n[b+(g<<2)>>2];k=+M(+(i*i+j*j));n[c+(g<<2)>>2]=k;g=g+1|0}while((g|0)!=(d|0))}if(!(f[h+4>>2]|0)){u=e;return}u=e;return}function nH(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0.0,j=0.0,k=0.0;e=u;u=u+16|0;g=e+8|0;h=e;gV(h,36540);gV(g,36300);if((d|0)>0){g=0;do{i=+p[a+(g<<3)>>3];j=+p[b+(g<<3)>>3];k=+M(+(i*i+j*j));p[c+(g<<3)>>3]=k;g=g+1|0}while((g|0)!=(d|0))}if(!(f[h+4>>2]|0)){u=e;return}u=e;return}function oH(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0.0;d=u;u=u+16|0;e=d+8|0;g=d;gV(g,36560);gV(e,36320);if((c|0)>0){e=0;do{h=1.0/+M(+(+n[a+(e<<2)>>2]));n[b+(e<<2)>>2]=h;e=e+1|0}while((e|0)!=(c|0))}if(!(f[g+4>>2]|0)){u=d;return}u=d;return}function pH(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0.0;d=u;u=u+16|0;e=d+8|0;g=d;gV(g,36580);gV(e,36340);if((c|0)>0){e=0;do{h=1.0/+M(+(+p[a+(e<<3)>>3]));p[b+(e<<3)>>3]=h;e=e+1|0}while((e|0)!=(c|0))}if(!(f[g+4>>2]|0)){u=d;return}u=d;return}function qH(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0.0;d=u;u=u+16|0;e=d+8|0;g=d;gV(g,36600);gV(e,36360);if((c|0)>0){e=0;do{h=+M(+(+n[a+(e<<2)>>2]));n[b+(e<<2)>>2]=h;e=e+1|0}while((e|0)!=(c|0))}if(!(f[g+4>>2]|0)){u=d;return}u=d;return}function rH(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0.0;d=u;u=u+16|0;e=d+8|0;g=d;gV(g,36620);gV(e,36380);if((c|0)>0){e=0;do{h=+M(+(+p[a+(e<<3)>>3]));p[b+(e<<3)>>3]=h;e=e+1|0}while((e|0)!=(c|0))}if(!(f[g+4>>2]|0)){u=d;return}u=d;return}function sH(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;gV(e,36640);gH(a,b,c);if(!(f[e+4>>2]|0)){u=d;return}u=d;return}function tH(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;gV(e,36660);hH(a,b,c);if(!(f[e+4>>2]|0)){u=d;return}u=d;return}function uH(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;gV(e,36680);iH(a,b,c);if(!(f[e+4>>2]|0)){u=d;return}u=d;return}function vH(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;gV(e,36700);jH(a,b,c);if(!(f[e+4>>2]|0)){u=d;return}u=d;return}function wH(a,b){a=+a;b=+b;var c=0.0,d=0.0,e=0.0,f=0.0,g=0.0;c=+L(+b);d=+L(+a);if(!(c>=d)){e=c/(d+2.220446049250313e-16);f=e*e;g=90.0-e*(f*(f*(8.914000511169434-f*2.539724588394165)+-18.66744613647461)+57.283626556396484)}else{f=d/(c+2.220446049250313e-16);c=f*f;g=f*(c*(c*(8.914000511169434-c*2.539724588394165)+-18.66744613647461)+57.283626556396484)}c=b<0.0?180.0-g:g;return +(a<0.0?360.0-c:c)}function xH(){var a=0;a=ZE(203045,1e3)|0;f[136910]=a;return}function yH(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,o=0,q=0,r=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0.0,ua=0.0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0.0,wb=0,xb=0,yb=0,zb=0,Ab=0.0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0.0,Ob=0.0,Pb=0,Qb=0.0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0.0,_b=0,$b=0.0,ac=0.0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0.0,hc=0.0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0,qc=0,rc=0,sc=0,tc=0,uc=0,vc=0.0,wc=0,xc=0,yc=0,zc=0.0,Ac=0,Bc=0,Cc=0.0,Dc=0,Ec=0.0,Fc=0,Gc=0,Hc=0.0,Ic=0.0,Jc=0.0,Kc=0,Lc=0.0,Mc=0,Nc=0,Oc=0.0,Pc=0.0,Qc=0.0;j=u;u=u+2144|0;k=j+552|0;l=j+1880|0;m=j+1824|0;o=j+1816|0;q=j+1792|0;r=j+1784|0;t=j+1728|0;v=j+1672|0;w=j+1616|0;x=j+1560|0;y=j+1504|0;z=j+1448|0;A=j+1392|0;B=j+1128|0;C=j;D=j+608|0;E=j+520|0;gV(r,36720);do if((qJ(a)|0)==65536){F=f[a+4>>2]|0;f[t>>2]=f[F>>2];G=t+4|0;H=F+4|0;f[G>>2]=f[H>>2];I=t+8|0;f[I>>2]=f[F+8>>2];K=t+12|0;f[K>>2]=f[F+12>>2];f[t+16>>2]=f[F+16>>2];f[t+20>>2]=f[F+20>>2];f[t+24>>2]=f[F+24>>2];f[t+28>>2]=f[F+28>>2];f[t+32>>2]=f[F+32>>2];L=f[F+36>>2]|0;f[t+36>>2]=L;f[t+40>>2]=I;M=t+48|0;N=t+44|0;f[N>>2]=M;f[M>>2]=0;f[t+52>>2]=0;if(L|0){M=L+12|0;f[M>>2]=(f[M>>2]|0)+1}if((f[H>>2]|0)<3){H=f[F+44>>2]|0;M=f[N>>2]|0;f[M>>2]=f[H>>2];f[M+4>>2]=f[H+4>>2];O=I;P=K;Q=t;R=G;break}else{f[G>>2]=0;$T(t,F);O=I;P=K;Q=t;R=G;break}}else{nJ(t,a,-1);O=t+8|0;P=t+12|0;Q=t;R=t+4|0}while(0);a=f[O>>2]|0;O=(a|0)==1;G=f[P>>2]|0;P=O?G:a;a=f[Q>>2]|0;Q=Y((a>>>3&511)+1|0,O?1:G)|0;G=(g|0)>1?g:1;if(!((c|0)>0&((f[R>>2]|0)<3&(a&7|0)==5))){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;a=cuc(48)|0;f[k>>2]=a;f[k+8>>2]=-2147483600;f[k+4>>2]=42;S=a;T=203080;U=S+42|0;do{b[S>>0]=b[T>>0]|0;S=S+1|0;T=T+1|0}while((S|0)<(U|0));b[a+42>>0]=0;WD(-215,k,203123,203130,240)}if((P|0)<(c|0)){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;b[k+11>>0]=6;b[k>>0]=b[203198]|0;b[k+1>>0]=b[203199]|0;b[k+2>>0]=b[203200]|0;b[k+3>>0]=b[203201]|0;b[k+4>>0]=b[203202]|0;b[k+5>>0]=b[203203]|0;b[k+6>>0]=0;WD(-215,k,203123,203130,241)}a=t+16|0;g=t+44|0;K=t+48|0;Ri(v,P,Q,5,f[a>>2]|0,O?Q<<2:f[K>>2]|0);jK(d,P,1,4,-1,1,0);f[w>>2]=1124007936;O=w+4|0;I=w+8|0;F=w+40|0;S=O;U=S+36|0;do{f[S>>2]=0;S=S+4|0}while((S|0)<(U|0));f[F>>2]=I;H=w+48|0;M=w+44|0;f[M>>2]=H;f[H>>2]=0;f[w+52>>2]=0;do if((qJ(d)|0)==65536){N=f[d+4>>2]|0;f[x>>2]=f[N>>2];L=x+4|0;V=N+4|0;f[L>>2]=f[V>>2];W=x+8|0;f[W>>2]=f[N+8>>2];X=x+12|0;f[X>>2]=f[N+12>>2];f[x+16>>2]=f[N+16>>2];f[x+20>>2]=f[N+20>>2];f[x+24>>2]=f[N+24>>2];f[x+28>>2]=f[N+28>>2];f[x+32>>2]=f[N+32>>2];Z=f[N+36>>2]|0;f[x+36>>2]=Z;f[x+40>>2]=W;_=x+48|0;$=x+44|0;f[$>>2]=_;f[_>>2]=0;f[x+52>>2]=0;if(Z|0){_=Z+12|0;f[_>>2]=(f[_>>2]|0)+1}if((f[V>>2]|0)<3){V=f[N+44>>2]|0;_=f[$>>2]|0;f[_>>2]=f[V>>2];f[_+4>>2]=f[V+4>>2];aa=X;ba=W;break}else{f[L>>2]=0;$T(x,N);aa=X;ba=W;break}}else{nJ(x,d,-1);aa=x+12|0;ba=x+8|0}while(0);W=(h&1|0)!=0;X=f[aa>>2]|0;N=f[ba>>2]|0;L=((X|0)==1|(N|0)==1)&(Y(N,X)|0)==(P|0);a:do if(W){if(!L){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;ca=cuc(160)|0;f[k>>2]=ca;da=k+8|0;f[da>>2]=-2147483488;ea=k+4|0;f[ea>>2]=152;szc(ca|0,203205,152)|0;fa=ca+152|0;b[fa>>0]=0;WD(-215,k,203123,203130,253)}if((f[x>>2]&20479|0)!=16388){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;ca=cuc(160)|0;f[k>>2]=ca;da=k+8|0;f[da>>2]=-2147483488;ea=k+4|0;f[ea>>2]=152;szc(ca|0,203205,152)|0;fa=ca+152|0;b[fa>>0]=0;WD(-215,k,203123,203130,253)}mU(k,x,1,P);X=l+8|0;f[X>>2]=0;f[X+4>>2]=0;f[l>>2]=33619968;f[l+4>>2]=w;EI(k,l);X=k+36|0;N=f[X>>2]|0;if(N|0?(V=N+12|0,N=f[V>>2]|0,f[V>>2]=N+-1,(N|0)==1):0)aU(k);f[X>>2]=0;X=k+16|0;N=k+4|0;f[X>>2]=0;f[X+4>>2]=0;f[X+8>>2]=0;f[X+12>>2]=0;if((f[N>>2]|0)>0){X=f[k+40>>2]|0;V=0;do{f[X+(V<<2)>>2]=0;V=V+1|0}while((V|0)<(f[N>>2]|0))}N=f[k+44>>2]|0;if((N|0)!=(k+48|0))TC(N);if((P|0)>0){N=f[w+16>>2]|0;V=f[F>>2]|0;X=V+4|0;_=f[M>>2]|0;$=f[w+12>>2]|0;if(f[w>>2]&16384|0){Z=0;while(1){if((f[N+(Z<<2)>>2]|0)>>>0>=c>>>0)break;Z=Z+1|0;if((Z|0)>=(P|0))break a}f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;ga=cuc(48)|0;f[k>>2]=ga;ha=k+8|0;f[ha>>2]=-2147483600;ia=k+4|0;f[ia>>2]=42;S=ga;T=203358;U=S+42|0;do{b[S>>0]=b[T>>0]|0;S=S+1|0;T=T+1|0}while((S|0)<(U|0));ja=ga+42|0;b[ja>>0]=0;WD(-215,k,203123,203130,257)}Z=(f[V>>2]|0)==1;ka=0;while(1){do if(!Z){la=f[_>>2]|0;if((f[X>>2]|0)==1){ma=N+(Y(la,ka)|0)|0;break}else{na=(ka|0)/($|0)|0;ma=N+(Y(na,la)|0)+(ka-(Y(na,$)|0)<<2)|0;break}}else ma=N+(ka<<2)|0;while(0);ka=ka+1|0;if((f[ma>>2]|0)>>>0>=c>>>0)break;if((ka|0)>=(P|0))break a}f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;ga=cuc(48)|0;f[k>>2]=ga;ha=k+8|0;f[ha>>2]=-2147483600;ia=k+4|0;f[ia>>2]=42;S=ga;T=203358;U=S+42|0;do{b[S>>0]=b[T>>0]|0;S=S+1|0;T=T+1|0}while((S|0)<(U|0));ja=ga+42|0;b[ja>>0]=0;WD(-215,k,203123,203130,257)}}else{if(L?(ka=f[x>>2]|0,(ka&20479|0)==16388):0)oa=ka;else{jK(d,P,1,4,-1,0,0);do if((qJ(d)|0)==65536){ka=f[d+4>>2]|0;f[k>>2]=f[ka>>2];N=k+4|0;$=ka+4|0;f[N>>2]=f[$>>2];X=k+8|0;f[X>>2]=f[ka+8>>2];f[k+12>>2]=f[ka+12>>2];f[k+16>>2]=f[ka+16>>2];f[k+20>>2]=f[ka+20>>2];f[k+24>>2]=f[ka+24>>2];f[k+28>>2]=f[ka+28>>2];f[k+32>>2]=f[ka+32>>2];_=f[ka+36>>2]|0;f[k+36>>2]=_;f[k+40>>2]=X;X=k+48|0;Z=k+44|0;f[Z>>2]=X;f[X>>2]=0;f[k+52>>2]=0;if(_|0){X=_+12|0;f[X>>2]=(f[X>>2]|0)+1}if((f[$>>2]|0)<3){$=f[ka+44>>2]|0;X=f[Z>>2]|0;f[X>>2]=f[$>>2];f[X+4>>2]=f[$+4>>2];break}else{f[N>>2]=0;$T(k,ka);break}}else nJ(k,d,-1);while(0);ka=x+36|0;N=f[ka>>2]|0;if(N|0?($=N+12|0,N=f[$>>2]|0,f[$>>2]=N+-1,(N|0)==1):0)aU(x);f[ka>>2]=0;N=x+16|0;$=x+4|0;f[N>>2]=0;f[N+4>>2]=0;f[N+8>>2]=0;f[N+12>>2]=0;if((f[$>>2]|0)>0){X=f[x+40>>2]|0;Z=0;do{f[X+(Z<<2)>>2]=0;Z=Z+1|0}while((Z|0)<(f[$>>2]|0))}f[x>>2]=f[k>>2];Z=k+4|0;X=f[Z>>2]|0;f[$>>2]=X;_=k+8|0;f[ba>>2]=f[_>>2];f[aa>>2]=f[k+12>>2];V=k+16|0;f[N>>2]=f[V>>2];f[x+20>>2]=f[k+20>>2];f[x+24>>2]=f[k+24>>2];f[x+28>>2]=f[k+28>>2];f[x+32>>2]=f[k+32>>2];na=k+36|0;f[ka>>2]=f[na>>2];la=x+44|0;pa=f[la>>2]|0;qa=x+48|0;if((pa|0)==(qa|0))ra=X;else{TC(pa);f[la>>2]=qa;f[x+40>>2]=ba;ra=f[Z>>2]|0}pa=k+44|0;if((ra|0)<3){X=f[pa>>2]|0;f[qa>>2]=f[X>>2];f[x+52>>2]=f[X+4>>2];sa=X}else{f[la>>2]=f[pa>>2];la=k+40|0;f[x+40>>2]=f[la>>2];X=k+48|0;f[pa>>2]=X;f[la>>2]=_;sa=X}f[k>>2]=1124007936;f[Z>>2]=0;f[Z+4>>2]=0;f[Z+8>>2]=0;f[Z+12>>2]=0;f[Z+16>>2]=0;f[Z+20>>2]=0;f[Z+24>>2]=0;f[Z+28>>2]=0;f[na>>2]=0;f[V>>2]=0;f[V+4>>2]=0;f[V+8>>2]=0;f[V+12>>2]=0;if((sa|0)!=(k+48|0))TC(sa);oa=f[x>>2]|0}V=f[x+40>>2]|0;na=f[V+4>>2]|0;Z=f[V>>2]|0;V=oa&4095;if(((((f[O>>2]|0)<3?(f[I>>2]|0)==(Z|0):0)?(f[w+12>>2]|0)==(na|0):0)?(f[w>>2]&4095|0)==(V|0):0)?f[w+16>>2]|0:0)break;f[k>>2]=Z;f[k+4>>2]=na;ZT(w,2,k,V)}while(0);I=w+16|0;oa=f[I>>2]|0;f[y>>2]=1124007936;sa=y+4|0;ra=y+8|0;ba=y+40|0;S=sa;U=S+36|0;do{f[S>>2]=0;S=S+4|0}while((S|0)<(U|0));f[ba>>2]=ra;ra=y+48|0;aa=y+44|0;f[aa>>2]=ra;f[ra>>2]=0;f[y+52>>2]=0;f[k>>2]=c;d=k+4|0;f[d>>2]=Q;ZT(y,2,k,5);f[z>>2]=1124007936;L=z+4|0;ja=z+8|0;ga=z+40|0;S=L;U=S+36|0;do{f[S>>2]=0;S=S+4|0}while((S|0)<(U|0));f[ga>>2]=ja;ja=z+48|0;ia=z+44|0;f[ia>>2]=ja;f[ja>>2]=0;f[z+52>>2]=0;f[k>>2]=c;f[d>>2]=Q;ZT(z,2,k,5);f[A>>2]=1124007936;ha=A+4|0;ma=A+8|0;fa=A+40|0;S=ha;U=S+36|0;do{f[S>>2]=0;S=S+4|0}while((S|0)<(U|0));f[fa>>2]=ma;ma=A+48|0;ca=A+44|0;f[ca>>2]=ma;f[ma>>2]=0;f[A+52>>2]=0;f[k>>2]=1;f[d>>2]=Q;ZT(A,2,k,5);d=B+8|0;f[B>>2]=d;ea=B+4|0;da=c>>>0>64;f[ea>>2]=c;if(da){V=euc(c>>>0>1073741823?-1:c<<2)|0;f[B>>2]=V}V=C+8|0;f[C>>2]=V;na=C+4|0;f[na>>2]=P;if(P>>>0>64){Z=euc(P>>>0>536870911?-1:P<<3)|0;f[C>>2]=Z}Z=jJ()|0;X=f[e>>2]|0;_=e+8|0;if(!(X&2))ta=1.1920928955078125e-07;else{ua=+p[_>>3];ta=ua<0.0?0.0:ua}p[_>>3]=ta*ta;la=e+4|0;if(!(X&1))va=100;else{X=f[la>>2]|0;e=(X|0)>2?X:2;va=(e|0)<100?e:100}e=(c|0)==1;X=e?1:G;f[la>>2]=e?2:va;va=D+8|0;kzc(va|0,0,512)|0;f[D>>2]=va;e=D+4|0;f[e>>2]=Q;if(Q>>>0>64){G=euc(Q>>>0>536870911?-1:Q<<3)|0;kzc(G|0,0,Q<<3|0)|0;f[D>>2]=G;wa=G}else wa=va;G=(h&2|0)!=0;if(!G){h=v+16|0;pa=f[h>>2]|0;qa=v+44|0;xa=(Q|0)>0;if(xa?(ya=f[pa>>2]|0,f[wa>>2]=ya,f[wa+4>>2]=ya,(Q|0)!=1):0){ya=1;do{wa=f[D>>2]|0;za=f[pa+(ya<<2)>>2]|0;f[wa+(ya<<3)>>2]=za;f[wa+(ya<<3)+4>>2]=za;ya=ya+1|0}while((ya|0)!=(Q|0))}if((P|0)>1?(ya=f[h>>2]|0,h=f[f[qa>>2]>>2]|0,qa=f[D>>2]|0,xa):0){xa=1;do{pa=ya+(Y(h,xa)|0)|0;za=0;do{wa=f[pa+(za<<2)>>2]|0;f[k>>2]=wa;Aa=qa+(za<<3)|0;ta=(f[s>>2]=wa,+n[s>>2]);f[Aa>>2]=f[(ta<+n[Aa>>2]?k:Aa)>>2];Aa=qa+(za<<3)+4|0;f[Aa>>2]=f[(+n[Aa>>2]<ta?k:Aa)>>2];za=za+1|0}while((za|0)!=(Q|0));xa=xa+1|0}while((xa|0)!=(P|0))}}b:do if((X|0)>0){xa=v+12|0;qa=v+8|0;h=l+8|0;ya=l+4|0;za=c>>>0>1073741823?-1:c<<2;pa=m+8|0;ka=m+4|0;N=v+16|0;$=v+44|0;Aa=(c|0)>1;wa=o+4|0;Ba=q+4|0;Ca=q+8|0;Da=q+12|0;Ea=q+16|0;Fa=y+16|0;Ga=k+4|0;ta=1.0/+(Q|0);Ga=(Q|0)>0;ua=ta*2.0+1.0;Ha=k+4|0;Ia=l+4|0;Ja=l+8|0;Ka=l+12|0;La=l+16|0;Ma=(Y(Y(P,c)|0,Q)|0)+-1|0;Na=(P|0)>0;Oa=A+16|0;Pa=z+16|0;Qa=k+4|0;Ra=l+4|0;Sa=l+8|0;Ta=l+12|0;Ua=l+16|0;Va=(Y(Q,P)|0)+-1|0;Wa=m+4|0;Xa=m+8|0;Ya=m+12|0;Za=m+16|0;_a=m+20|0;$a=m+24|0;ab=m+40|0;bb=m+48|0;cb=m+44|0;db=m+52|0;eb=(P|0)!=0;fb=m+28|0;gb=P<<3;hb=0-gb|0;ib=l+8|0;jb=l+12|0;kb=l+4|0;lb=m+36|0;mb=k+36|0;nb=k+16|0;ob=k+4|0;pb=k+40|0;qb=k+44|0;rb=k+48|0;sb=k+8|0;tb=k+4|0;ub=c<<2;vb=1797693134862315708145274.0e284;wb=0;c:while(1){xb=W&(wb|0)<1;yb=0;while(1){zb=(yb|0)==0;Ab=zb?1797693134862315708145274.0e284:0.0;AN(y,z);d:do if(xb|zb^1){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;f[k+16>>2]=0;f[k+20>>2]=0;f[k+24>>2]=0;f[k+28>>2]=0;GI(y,k)|0;kzc(f[B>>2]|0,0,ub|0)|0;e:do if(Na){Bb=f[N>>2]|0;Cb=f[$>>2]|0;Db=f[Fa>>2]|0;Eb=f[aa>>2]|0;Fb=f[B>>2]|0;if(Ga)Gb=0;else{Hb=0;while(1){Ib=Fb+(f[oa+(Hb<<2)>>2]<<2)|0;f[Ib>>2]=(f[Ib>>2]|0)+1;Hb=Hb+1|0;if((Hb|0)==(P|0))break e}}do{Hb=Bb+(Y(f[Cb>>2]|0,Gb)|0)|0;Ib=f[oa+(Gb<<2)>>2]|0;Jb=Db+(Y(f[Eb>>2]|0,Ib)|0)|0;Kb=0;do{Lb=Jb+(Kb<<2)|0;n[Lb>>2]=+n[Hb+(Kb<<2)>>2]+ +n[Lb>>2];Kb=Kb+1|0}while((Kb|0)!=(Q|0));Kb=Fb+(Ib<<2)|0;f[Kb>>2]=(f[Kb>>2]|0)+1;Gb=Gb+1|0}while((Gb|0)!=(P|0))}while(0);Fb=0;Eb=f[B>>2]|0;while(1){do if(!(f[Eb+(Fb<<2)>>2]|0)){if(Aa){Db=1;Cb=0;while(1){Bb=(f[Eb+(Cb<<2)>>2]|0)<(f[Eb+(Db<<2)>>2]|0)?Db:Cb;Db=Db+1|0;if((Db|0)==(c|0)){Mb=Bb;break}else Cb=Bb}}else Mb=0;Cb=f[Fa>>2]|0;Db=f[aa>>2]|0;Ib=Cb+(Y(f[Db>>2]|0,Mb)|0)|0;Bb=f[Oa>>2]|0;Kb=f[Eb+(Mb<<2)>>2]|0;Nb=1.0/+(Kb|0);if(Ga){Hb=0;do{n[Bb+(Hb<<2)>>2]=Nb*+n[Ib+(Hb<<2)>>2];Hb=Hb+1|0}while((Hb|0)!=(Q|0))}if(Na){Hb=0;Jb=-1;Nb=0.0;while(1){if((f[oa+(Hb<<2)>>2]|0)==(Mb|0)){Ob=+hF((f[N>>2]|0)+(Y(f[f[$>>2]>>2]|0,Hb)|0)|0,Bb,Q);Lb=!(Nb<=Ob);Pb=Lb?Jb:Hb;Qb=Lb?Nb:Ob}else{Pb=Jb;Qb=Nb}Hb=Hb+1|0;if((Hb|0)>=(P|0))break;else{Jb=Pb;Nb=Qb}}Jb=f[B>>2]|0;Rb=Pb;Sb=f[Fa>>2]|0;Tb=Jb;Ub=f[Jb+(Mb<<2)>>2]|0;Vb=f[aa>>2]|0}else{Rb=-1;Sb=Cb;Tb=Eb;Ub=Kb;Vb=Db}f[Tb+(Mb<<2)>>2]=Ub+-1;Jb=Tb+(Fb<<2)|0;f[Jb>>2]=(f[Jb>>2]|0)+1;f[oa+(Rb<<2)>>2]=Fb;Jb=(f[N>>2]|0)+(Y(f[f[$>>2]>>2]|0,Rb)|0)|0;Hb=Sb+(Y(f[Vb>>2]|0,Fb)|0)|0;if(Ga)Wb=0;else{Xb=Tb;break}do{Bb=Jb+(Wb<<2)|0;Lb=Ib+(Wb<<2)|0;n[Lb>>2]=+n[Lb>>2]-+n[Bb>>2];Lb=Hb+(Wb<<2)|0;n[Lb>>2]=+n[Bb>>2]+ +n[Lb>>2];Wb=Wb+1|0}while((Wb|0)!=(Q|0));Xb=Tb}else Xb=Eb;while(0);Fb=Fb+1|0;if((Fb|0)>=(c|0))break;else Eb=Xb}Eb=f[Fa>>2]|0;Fb=f[f[aa>>2]>>2]|0;Hb=f[B>>2]|0;Ib=(yb|0)>0;Jb=f[Pa>>2]|0;Db=f[ia>>2]|0;if(Ga){Yb=0;Zb=Ab}else{Kb=0;Nb=Ab;while(1){if(!(f[Hb+(Kb<<2)>>2]|0)){_b=249;break c}Ob=Ib&Nb<0.0?0.0:Nb;Kb=Kb+1|0;if((Kb|0)>=(c|0)){$b=Ob;break d}else Nb=Ob}}while(1){Kb=Eb+(Y(Fb,Yb)|0)|0;Cb=f[Hb+(Yb<<2)>>2]|0;if(!Cb){_b=249;break c}Nb=1.0/+(Cb|0);Cb=0;do{Lb=Kb+(Cb<<2)|0;n[Lb>>2]=Nb*+n[Lb>>2];Cb=Cb+1|0}while((Cb|0)!=(Q|0));if(Ib){Cb=Jb+(Y(f[Db>>2]|0,Yb)|0)|0;Lb=0;Nb=0.0;do{Ob=+n[Kb+(Lb<<2)>>2]-+n[Cb+(Lb<<2)>>2];Nb=Nb+Ob*Ob;Lb=Lb+1|0}while((Lb|0)!=(Q|0));ac=Zb<Nb?Nb:Zb}else ac=Zb;Yb=Yb+1|0;if((Yb|0)>=(c|0)){$b=ac;break}else Zb=ac}}else{if(!G){Db=f[D>>2]|0;Jb=f[Fa>>2]|0;Ib=f[f[aa>>2]>>2]|0;if(!Ga){$b=Ab;break}Hb=Z;Fb=0;Eb=f[Hb>>2]|0;Lb=f[Hb+4>>2]|0;while(1){Hb=Jb+(Y(Ib,Fb)|0)|0;Cb=0;bc=Eb;cc=Lb;do{Kb=Bzc(bc|0,0,-130063606,0)|0;bc=hzc(Kb|0,J|0,cc|0,0)|0;cc=J;Ob=+n[Db+(Cb<<3)>>2];n[Hb+(Cb<<2)>>2]=Ob+(+n[Db+(Cb<<3)+4>>2]-Ob)*(ua*(+(bc>>>0)*2.3283064365386963e-10)-ta);Cb=Cb+1|0}while((Cb|0)!=(Q|0));Fb=Fb+1|0;if((Fb|0)==(c|0))break;else{Eb=bc;Lb=cc}}Lb=Z;f[Lb>>2]=bc;f[Lb+4>>2]=cc;$b=Ab;break}gV(k,36740);Lb=f[xa>>2]|0;Eb=f[qa>>2]|0;f[l>>2]=h;f[ya>>2]=c;if(da){Fb=euc(za)|0;f[l>>2]=Fb;dc=Fb}else dc=h;Fb=Eb*3|0;f[m>>2]=pa;f[ka>>2]=0;if(!Eb){f[ka>>2]=0;ec=pa}else{f[ka>>2]=Fb;Db=euc(Fb>>>0>1073741823?-1:Fb<<2)|0;f[m>>2]=Db;ec=Db}Db=ec;Fb=ec+(Eb<<2)|0;Ib=Fb;Jb=Fb+(Eb<<2)|0;Fb=Z;Cb=f[Fb+4>>2]|0;Hb=Bzc(f[Fb>>2]|0,0,-130063606,0)|0;Fb=hzc(Hb|0,J|0,Cb|0,0)|0;Cb=Z;f[Cb>>2]=Fb;f[Cb+4>>2]=J;Cb=(Fb>>>0)%(Eb>>>0)|0;f[dc>>2]=Cb;Fb=(Eb|0)>0;f:do if(Fb){Hb=0;Nb=0.0;Kb=Cb;while(1){Bb=f[N>>2]|0;fc=f[f[$>>2]>>2]|0;Ob=+hF(Bb+(Y(fc,Hb)|0)|0,Bb+(Y(fc,Kb)|0)|0,Lb);n[ec+(Hb<<2)>>2]=Ob;gc=Nb+Ob;fc=Hb+1|0;if((fc|0)>=(Eb|0)){hc=gc;break f}Hb=fc;Nb=gc;Kb=f[dc>>2]|0}}else hc=0.0;while(0);if(Aa){Cb=Eb+-1|0;Kb=(Eb|0)>1;Hb=(Y(Eb,Lb)|0)+-1|0;fc=1;Nb=hc;Bb=Jb;ic=Db;jc=Ib;while(1){kc=ic;do if(Kb){lc=0;mc=-1;gc=1797693134862315708145274.0e284;nc=Bb;oc=jc;while(1){pc=Z;qc=f[pc+4>>2]|0;rc=Bzc(f[pc>>2]|0,0,-130063606,0)|0;pc=hzc(rc|0,J|0,qc|0,0)|0;qc=J;rc=Bzc(pc|0,0,-130063606,0)|0;sc=hzc(rc|0,J|0,qc|0,0)|0;qc=Z;f[qc>>2]=sc;f[qc+4>>2]=J;qc=0;Ob=Nb*((+(sc>>>0)+4294967296.0*+(pc>>>0))*5.421010862427522e-20);while(1){Ob=Ob-+n[kc+(qc<<2)>>2];if(Ob<=0.0){tc=qc;break}pc=qc+1|0;if((pc|0)>=(Cb|0)){tc=pc;break}else qc=pc}f[o>>2]=0;f[wa>>2]=Eb;qc=nc;f[q>>2]=36768;f[Ba>>2]=qc;f[Ca>>2]=v;f[Da>>2]=kc;f[Ea>>2]=tc;pc=f[136910]|0;sZ(o,q,+((((pc+Hb|0)>>>0)/(pc>>>0)|0)>>>0));pc=0;Ob=0.0;do{Ob=Ob+ +n[qc+(pc<<2)>>2];pc=pc+1|0}while((pc|0)!=(Eb|0));if(Ob<gc){uc=tc;vc=Ob;wc=oc;xc=nc}else{uc=mc;vc=gc;wc=nc;xc=oc}lc=lc+1|0;if((lc|0)>=3){yc=uc;zc=vc;Ac=wc;Bc=xc;break}else{mc=uc;gc=vc;nc=wc;oc=xc}}}else{oc=Z;nc=f[oc+4>>2]|0;mc=Bzc(f[oc>>2]|0,0,-130063606,0)|0;oc=hzc(mc|0,J|0,nc|0,0)|0;nc=J;mc=Bzc(oc|0,0,-130063606,0)|0;oc=hzc(mc|0,J|0,nc|0,0)|0;nc=Z;f[nc>>2]=oc;f[nc+4>>2]=J;f[o>>2]=0;f[wa>>2]=Eb;nc=Bb;f[q>>2]=36768;f[Ba>>2]=nc;f[Ca>>2]=v;f[Da>>2]=kc;f[Ea>>2]=0;oc=f[136910]|0;sZ(o,q,+((((oc+Hb|0)>>>0)/(oc>>>0)|0)>>>0));if(Fb){oc=0;gc=0.0;do{gc=gc+ +n[nc+(oc<<2)>>2];oc=oc+1|0}while((oc|0)!=(Eb|0));if(gc<1797693134862315708145274.0e284){Cc=gc;_b=199}else{Dc=-1;Ec=1797693134862315708145274.0e284;Fc=Bb;Gc=jc}}else{Cc=0.0;_b=199}if((_b|0)==199){_b=0;Dc=0;Ec=Cc;Fc=jc;Gc=Bb}oc=Z;nc=f[oc+4>>2]|0;mc=Bzc(f[oc>>2]|0,0,-130063606,0)|0;oc=hzc(mc|0,J|0,nc|0,0)|0;nc=J;mc=Bzc(oc|0,0,-130063606,0)|0;oc=hzc(mc|0,J|0,nc|0,0)|0;nc=Z;f[nc>>2]=oc;f[nc+4>>2]=J;f[o>>2]=0;f[wa>>2]=Eb;nc=Fc;f[q>>2]=36768;f[Ba>>2]=nc;f[Ca>>2]=v;f[Da>>2]=kc;f[Ea>>2]=0;oc=f[136910]|0;sZ(o,q,+((((oc+Hb|0)>>>0)/(oc>>>0)|0)>>>0));if(Fb){oc=0;Hc=0.0;while(1){Ic=Hc+ +n[nc+(oc<<2)>>2];oc=oc+1|0;if((oc|0)==(Eb|0)){Jc=Ic;break}else Hc=Ic}}else Jc=0.0;if(Jc<Ec){Kc=0;Lc=Jc;Mc=Gc;Nc=Fc}else{Kc=Dc;Lc=Ec;Mc=Fc;Nc=Gc}oc=Z;nc=f[oc+4>>2]|0;mc=Bzc(f[oc>>2]|0,0,-130063606,0)|0;oc=hzc(mc|0,J|0,nc|0,0)|0;nc=J;mc=Bzc(oc|0,0,-130063606,0)|0;oc=hzc(mc|0,J|0,nc|0,0)|0;nc=Z;f[nc>>2]=oc;f[nc+4>>2]=J;f[o>>2]=0;f[wa>>2]=Eb;nc=Mc;f[q>>2]=36768;f[Ba>>2]=nc;f[Ca>>2]=v;f[Da>>2]=kc;f[Ea>>2]=0;oc=f[136910]|0;sZ(o,q,+((((oc+Hb|0)>>>0)/(oc>>>0)|0)>>>0));if(Fb){oc=0;Hc=0.0;while(1){gc=Hc+ +n[nc+(oc<<2)>>2];oc=oc+1|0;if((oc|0)==(Eb|0)){Oc=gc;break}else Hc=gc}}else Oc=0.0;if(!(Oc<Lc)){yc=Kc;zc=Lc;Ac=Mc;Bc=Nc;break}yc=0;zc=Oc;Ac=Nc;Bc=Mc}while(0);f[dc+(fc<<2)>>2]=yc;fc=fc+1|0;if((fc|0)>=(c|0))break;else{kc=ic;Nb=zc;Bb=Ac;ic=Bc;jc=kc}}}jc=f[N>>2]|0;ic=f[f[$>>2]>>2]|0;Bb=f[Fa>>2]|0;fc=f[f[aa>>2]>>2]|0;if((Lb|0)>0){Eb=0;do{Fb=jc+(Y(f[dc+(Eb<<2)>>2]|0,ic)|0)|0;Hb=Bb+(Y(Eb,fc)|0)|0;Cb=0;do{f[Hb+(Cb<<2)>>2]=f[Fb+(Cb<<2)>>2];Cb=Cb+1|0}while((Cb|0)!=(Lb|0));Eb=Eb+1|0}while((Eb|0)!=(c|0))}Eb=f[m>>2]|0;if((Eb|0)!=(pa|0)){if(Eb|0)guc(Eb);f[m>>2]=pa;f[ka>>2]=0}Eb=f[l>>2]|0;if((Eb|0)!=(h|0)){if(Eb|0)guc(Eb);f[l>>2]=h;f[ya>>2]=64}$b=Ab}while(0);zb=yb+1|0;Eb=f[la>>2]|0;if((zb|0)==(((Eb|0)>2?Eb:2)|0))break;if($b<=+p[_>>3])break;f[k>>2]=0;f[Ha>>2]=P;Eb=f[C>>2]|0;f[l>>2]=36808;f[Ia>>2]=Eb;f[Ja>>2]=oa;f[Ka>>2]=v;f[La>>2]=y;Eb=f[136910]|0;sZ(k,l,+((((Ma+Eb|0)>>>0)/(Eb>>>0)|0)>>>0));yb=zb}f[k>>2]=0;f[Qa>>2]=P;yb=f[C>>2]|0;f[l>>2]=36788;f[Ra>>2]=yb;f[Sa>>2]=oa;f[Ta>>2]=v;f[Ua>>2]=y;yb=f[136910]|0;sZ(k,l,+((((Va+yb|0)>>>0)/(yb>>>0)|0)>>>0));yb=f[C>>2]|0;f[m>>2]=1124007942;f[Wa>>2]=2;f[Xa>>2]=1;f[Ya>>2]=P;f[Za>>2]=yb;f[_a>>2]=yb;f[$a>>2]=0;f[$a+4>>2]=0;f[$a+8>>2]=0;f[$a+12>>2]=0;f[ab>>2]=Xa;f[cb>>2]=bb;f[db>>2]=0;f[bb>>2]=0;if(eb&(yb|0)==0){_b=255;break}f[bb>>2]=gb;f[db>>2]=8;xb=yb+gb|0;f[fb>>2]=xb;f[$a>>2]=xb+hb+gb;YT(m);f[ib>>2]=0;f[jb>>2]=0;f[l>>2]=16842752;f[kb>>2]=m;pN(E,l);Ab=+p[E>>3];xb=f[lb>>2]|0;if(xb|0?(yb=xb+12|0,xb=f[yb>>2]|0,f[yb>>2]=xb+-1,(xb|0)==1):0)aU(m);f[lb>>2]=0;f[Za>>2]=0;f[Za+4>>2]=0;f[Za+8>>2]=0;f[Za+12>>2]=0;if((f[Wa>>2]|0)>0){xb=f[ab>>2]|0;yb=0;do{f[xb+(yb<<2)>>2]=0;yb=yb+1|0}while((yb|0)<(f[Wa>>2]|0))}yb=f[cb>>2]|0;if((yb|0)!=(bb|0))TC(yb);if(Ab<vb){g:do if(mK(i)|0){do if(iK(i)|0){if((DJ(i,-1)|0)!=(Q|0))break;mU(k,y,Q,0);EI(k,i);yb=f[mb>>2]|0;do if(yb|0){xb=yb+12|0;zb=f[xb>>2]|0;f[xb>>2]=zb+-1;if((zb|0)!=1)break;aU(k)}while(0);f[mb>>2]=0;f[nb>>2]=0;f[nb+4>>2]=0;f[nb+8>>2]=0;f[nb+12>>2]=0;if((f[ob>>2]|0)>0){yb=f[pb>>2]|0;zb=0;do{f[yb+(zb<<2)>>2]=0;zb=zb+1|0}while((zb|0)<(f[ob>>2]|0))}zb=f[qb>>2]|0;if((zb|0)!=(rb|0))TC(zb);break g}while(0);EI(y,i)}while(0);zb=sb;f[zb>>2]=0;f[zb+4>>2]=0;f[k>>2]=33619968;f[tb>>2]=x;EI(w,k);Pc=Ab}else Pc=vb;wb=wb+1|0;if((wb|0)>=(X|0)){Qc=Pc;break b}else vb=Pc}if((_b|0)==249){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;wb=cuc(32)|0;f[k>>2]=wb;f[k+8>>2]=-2147483616;f[k+4>>2]=16;S=wb;T=203401;U=S+16|0;do{b[S>>0]=b[T>>0]|0;S=S+1|0;T=T+1|0}while((S|0)<(U|0));b[wb+16>>0]=0;WD(-215,k,203123,203130,408)}else if((_b|0)==255){tb=cuc(32)|0;f[k>>2]=tb;f[k+8>>2]=-2147483616;f[k+4>>2]=28;S=tb;T=466324;U=S+28|0;do{b[S>>0]=b[T>>0]|0;S=S+1|0;T=T+1|0}while((S|0)<(U|0));b[tb+28>>0]=0;WD(-215,k,466353,466357,577)}}else Qc=1797693134862315708145274.0e284;while(0);k=f[D>>2]|0;if((k|0)!=(va|0)){if(k|0)guc(k);f[D>>2]=va;f[e>>2]=64}e=f[C>>2]|0;if((e|0)!=(V|0)){if(e|0)guc(e);f[C>>2]=V;f[na>>2]=64}na=f[B>>2]|0;if((na|0)!=(d|0)){if(na|0)guc(na);f[B>>2]=d;f[ea>>2]=64}ea=A+36|0;d=f[ea>>2]|0;if(d|0?(B=d+12|0,d=f[B>>2]|0,f[B>>2]=d+-1,(d|0)==1):0)aU(A);f[ea>>2]=0;ea=A+16|0;f[ea>>2]=0;f[ea+4>>2]=0;f[ea+8>>2]=0;f[ea+12>>2]=0;if((f[ha>>2]|0)>0){ea=f[fa>>2]|0;fa=0;do{f[ea+(fa<<2)>>2]=0;fa=fa+1|0}while((fa|0)<(f[ha>>2]|0))}ha=f[ca>>2]|0;if((ha|0)!=(ma|0))TC(ha);ha=z+36|0;ma=f[ha>>2]|0;do if(ma|0){ca=ma+12|0;fa=f[ca>>2]|0;f[ca>>2]=fa+-1;if((fa|0)!=1)break;aU(z)}while(0);f[ha>>2]=0;ha=z+16|0;f[ha>>2]=0;f[ha+4>>2]=0;f[ha+8>>2]=0;f[ha+12>>2]=0;if((f[L>>2]|0)>0){ha=f[ga>>2]|0;ga=0;do{f[ha+(ga<<2)>>2]=0;ga=ga+1|0}while((ga|0)<(f[L>>2]|0))}L=f[ia>>2]|0;if((L|0)!=(ja|0))TC(L);L=y+36|0;ja=f[L>>2]|0;do if(ja|0){ia=ja+12|0;ga=f[ia>>2]|0;f[ia>>2]=ga+-1;if((ga|0)!=1)break;aU(y)}while(0);f[L>>2]=0;L=y+16|0;f[L>>2]=0;f[L+4>>2]=0;f[L+8>>2]=0;f[L+12>>2]=0;if((f[sa>>2]|0)>0){L=f[ba>>2]|0;ba=0;do{f[L+(ba<<2)>>2]=0;ba=ba+1|0}while((ba|0)<(f[sa>>2]|0))}sa=f[aa>>2]|0;if((sa|0)!=(ra|0))TC(sa);sa=x+36|0;ra=f[sa>>2]|0;do if(ra|0){aa=ra+12|0;ba=f[aa>>2]|0;f[aa>>2]=ba+-1;if((ba|0)!=1)break;aU(x)}while(0);f[sa>>2]=0;sa=x+16|0;ra=x+4|0;f[sa>>2]=0;f[sa+4>>2]=0;f[sa+8>>2]=0;f[sa+12>>2]=0;if((f[ra>>2]|0)>0){sa=f[x+40>>2]|0;ba=0;do{f[sa+(ba<<2)>>2]=0;ba=ba+1|0}while((ba|0)<(f[ra>>2]|0))}ra=f[x+44>>2]|0;if((ra|0)!=(x+48|0))TC(ra);ra=w+36|0;x=f[ra>>2]|0;do if(x|0){ba=x+12|0;sa=f[ba>>2]|0;f[ba>>2]=sa+-1;if((sa|0)!=1)break;aU(w)}while(0);f[ra>>2]=0;f[I>>2]=0;f[I+4>>2]=0;f[I+8>>2]=0;f[I+12>>2]=0;if((f[O>>2]|0)>0){I=f[F>>2]|0;F=0;do{f[I+(F<<2)>>2]=0;F=F+1|0}while((F|0)<(f[O>>2]|0))}O=f[M>>2]|0;if((O|0)!=(H|0))TC(O);O=v+36|0;H=f[O>>2]|0;do if(H|0){M=H+12|0;F=f[M>>2]|0;f[M>>2]=F+-1;if((F|0)!=1)break;aU(v)}while(0);f[O>>2]=0;O=v+16|0;H=v+4|0;f[O>>2]=0;f[O+4>>2]=0;f[O+8>>2]=0;f[O+12>>2]=0;if((f[H>>2]|0)>0){O=f[v+40>>2]|0;F=0;do{f[O+(F<<2)>>2]=0;F=F+1|0}while((F|0)<(f[H>>2]|0))}H=f[v+44>>2]|0;if((H|0)!=(v+48|0))TC(H);H=t+36|0;v=f[H>>2]|0;do if(v|0){F=v+12|0;O=f[F>>2]|0;f[F>>2]=O+-1;if((O|0)!=1)break;aU(t)}while(0);f[H>>2]=0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;if((f[R>>2]|0)>0){a=f[t+40>>2]|0;t=0;do{f[a+(t<<2)>>2]=0;t=t+1|0}while((t|0)<(f[R>>2]|0))}R=f[g>>2]|0;if((R|0)!=(K|0))TC(R);if(!(f[r+4>>2]|0)){u=j;return +Qc}u=j;return +Qc}function zH(a){a=a|0;fuc(a);return}function AH(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0.0,s=0,t=0.0;c=u;u=u+16|0;d=c;gV(d,36820);e=f[b>>2]|0;g=f[b+4>>2]|0;b=a+16|0;h=f[b>>2]|0;i=f[h+8>>2]|0;j=f[h+12>>2]|0;a:do if((e|0)<(g|0)){h=a+12|0;k=a+4|0;l=a+8|0;if((i|0)>0)m=e;else{n=f[k>>2]|0;o=f[l>>2]|0;q=e;while(1){p[n+(q<<3)>>3]=1797693134862315708145274.0e284;f[o+(q<<2)>>2]=0;q=q+1|0;if((q|0)==(g|0))break a}}do{q=f[h>>2]|0;o=(f[q+16>>2]|0)+(Y(f[f[q+44>>2]>>2]|0,m)|0)|0;q=0;r=1797693134862315708145274.0e284;n=0;do{s=f[b>>2]|0;t=+hF(o,(f[s+16>>2]|0)+(Y(f[f[s+44>>2]>>2]|0,q)|0)|0,j);s=r>t;n=s?q:n;r=s?t:r;q=q+1|0}while((q|0)<(i|0));p[(f[k>>2]|0)+(m<<3)>>3]=r;f[(f[l>>2]|0)+(m<<2)>>2]=n;m=m+1|0}while((m|0)<(g|0))}while(0);if(!(f[d+4>>2]|0)){u=c;return}u=c;return}function BH(a){a=a|0;fuc(a);return}function CH(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0.0;c=u;u=u+16|0;d=c;gV(d,36840);e=f[b>>2]|0;g=f[b+4>>2]|0;b=a+16|0;h=f[b>>2]|0;i=f[h+12>>2]|0;a:do if((e|0)<(g|0)){j=a+12|0;k=a+8|0;l=a+4|0;m=e;n=h;while(1){o=f[j>>2]|0;q=(f[o+16>>2]|0)+(Y(f[f[o+44>>2]>>2]|0,m)|0)|0;r=+hF(q,(f[n+16>>2]|0)+(Y(f[f[n+44>>2]>>2]|0,f[(f[k>>2]|0)+(m<<2)>>2]|0)|0)|0,i);p[(f[l>>2]|0)+(m<<3)>>3]=r;q=m+1|0;if((q|0)>=(g|0))break a;m=q;n=f[b>>2]|0}}while(0);if(!(f[d+4>>2]|0)){u=c;return}u=c;return}function DH(a){a=a|0;fuc(a);return}function EH(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0.0;c=u;u=u+16|0;d=c+8|0;e=c;gV(d,36860);g=f[b>>2]|0;h=f[b+4>>2]|0;b=a+8|0;i=f[b>>2]|0;j=f[i+12>>2]|0;a:do if((g|0)<(h|0)){k=a+16|0;l=a+12|0;m=a+4|0;o=g;p=i;while(1){q=f[p+16>>2]|0;r=f[f[p+44>>2]>>2]|0;s=q+(Y(r,o)|0)|0;t=+hF(s,q+(Y(f[k>>2]|0,r)|0)|0,j);n[e>>2]=t;r=(f[l>>2]|0)+(o<<2)|0;f[(f[m>>2]|0)+(o<<2)>>2]=f[(+n[r>>2]<t?r:e)>>2];r=o+1|0;if((r|0)>=(h|0))break a;o=r;p=f[b>>2]|0}}while(0);if(!(f[d+4>>2]|0)){u=c;return}u=c;return}function FH(){var a=0;a=0;do{Ztc(547664+(a*28|0)|0);a=a+1|0}while((a*28|0)!=868);Bd(1937,0,x|0)|0;return}function GH(a){a=a|0;_tc(548504);_tc(548476);_tc(548448);_tc(548420);_tc(548392);_tc(548364);_tc(548336);_tc(548308);_tc(548280);_tc(548252);_tc(548224);_tc(548196);_tc(548168);_tc(548140);_tc(548112);_tc(548084);_tc(548056);_tc(548028);_tc(548e3);_tc(547972);_tc(547944);_tc(547916);_tc(547888);_tc(547860);_tc(547832);_tc(547804);_tc(547776);_tc(547748);_tc(547720);_tc(547692);_tc(547664);return}function HH(a,b){a=a|0;b=b|0;f[a+4>>2]=b;f[a>>2]=b;b=a+8|0;a=b+44|0;do{f[b>>2]=0;b=b+4|0}while((b|0)<(a|0));return}function IH(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0;c=u;u=u+16|0;d=c;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;if(f[a+44>>2]|0){f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;e=cuc(16)|0;f[d>>2]=e;f[d+8>>2]=-2147483632;f[d+4>>2]=13;g=e;h=203983;i=g+13|0;do{b[g>>0]=b[h>>0]|0;g=g+1|0;h=h+1|0}while((g|0)<(i|0));b[e+13>>0]=0;WD(-215,d,203997,204007,78)}d=a+16|0;e=a+48|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;f[d+16>>2]=0;f[d+20>>2]=0;f[d+24>>2]=0;d=f[e>>2]|0;if(!d){u=c;return}a=d+12|0;h=f[a>>2]|0;f[a>>2]=h+-1;if((h|0)==1){if(f[d+44>>2]|0){h=f[d+4>>2]|0;if(!h)j=ST()|0;else j=h;yh[f[(f[j>>2]|0)+24>>2]&2047](j,d)}j=d+8|0;h=f[j>>2]|0;f[j>>2]=h+-1;if((h|0)==1){h=f[d+4>>2]|0;yh[f[(f[h>>2]|0)+16>>2]&2047](h,d)}}else{h=d+8|0;f[h>>2]=(f[h>>2]|0)+-1}f[e>>2]=0;u=c;return}function JH(){var a=0,c=0,d=0,e=0;a=u;u=u+16|0;c=a;if(!(f[137133]|0)){d=vE()|0;$tc(d);if(!(f[137133]|0)){e=cuc(8)|0;TE(e);f[e>>2]=36888;f[137133]=e}auc(d)}d=zE(f[137133]|0)|0;if(!d){e=c+4|0;f[e>>2]=0;f[e+4>>2]=0;b[c+11>>0]=3;b[c>>0]=b[204098]|0;b[c+1>>0]=b[204099]|0;b[c+2>>0]=b[204100]|0;b[c+3>>0]=0;WD(-215,c,204102,204109,709)}else{u=a;return d|0}return 0}function KH(a){a=a|0;f[a>>2]=36888;ME(a);UD(a);return}function LH(a){a=a|0;f[a>>2]=36888;ME(a);UD(a);fuc(a);return}function MH(a){a=a|0;a=cuc(12)|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;return a|0}function NH(a,b){a=a|0;b=b|0;if(!b)return;fuc(b);return}function OH(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;e=u;u=u+16|0;g=e;h=(c|0)==0;i=(d|0)==0;if(h&i){u=e;return}if((f[a>>2]|0)!=1){j=cuc(32)|0;f[g>>2]=j;f[g+8>>2]=-2147483616;f[g+4>>2]=16;k=j;l=204235;m=k+16|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));b[j+16>>0]=0;WD(-215,g,207149,204007,195)}f[a>>2]=0;if(!h)auc(547664+(((c>>>0)%31|0)*28|0)|0);if(!i)auc(547664+(((d>>>0)%31|0)*28|0)|0);f[a+4>>2]=0;f[a+8>>2]=0;u=e;return}function PH(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;h=u;u=u+16|0;i=h;if(c>>>0>=33){j=cuc(48)|0;f[i>>2]=j;f[i+8>>2]=-2147483600;f[i+4>>2]=33;k=j;l=218151;m=k+33|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));b[j+33>>0]=0;WD(-215,i,218185,204007,270)}j=a+4|0;if((f[j>>2]|0)!=(c|0)){n=a+36|0;o=f[n>>2]|0;p=a+40|0;if((o|0)!=(p|0)){TC(o);f[n>>2]=p;f[a+32>>2]=a+8}if((c|0)>2){p=SC(c<<3|4)|0;f[n>>2]=p;n=p+(c<<2)+4|0;f[a+32>>2]=n;f[n+-4>>2]=c;f[a+12>>2]=-1;f[a+8>>2]=-1}}f[j>>2]=c;if(!d){u=h;return}n=f[a>>2]|0;p=Y(675553809>>>(n<<2&28)&15,(n>>>3&511)+1|0)|0;n=c+-1|0;if((c|0)<=0){u=h;return}o=f[a+32>>2]|0;q=f[a+36>>2]|0;a:do if(!e){if(g){r=n;s=p}else{t=n;while(1){v=f[d+(t<<2)>>2]|0;if((v|0)<=-1){w=18;break a}f[o+(t<<2)>>2]=v;if((t|0)>0)t=t+-1|0;else break a}}while(1){t=f[d+(r<<2)>>2]|0;if((t|0)<=-1){w=18;break a}f[o+(r<<2)>>2]=t;f[q+(r<<2)>>2]=s;s=Bzc(t|0,((t|0)<0)<<31>>31|0,s|0,0)|0;if(!((s|0)==(s|0)&(J|0)==0))break;if((r|0)<=0)break a;else r=r+-1|0}t=cuc(64)|0;f[i>>2]=t;f[i+8>>2]=-2147483584;f[i+4>>2]=51;k=t;l=218232;m=k+51|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));b[t+51>>0]=0;WD(-211,i,218185,204007,307)}else{v=n;while(1){x=f[d+(v<<2)>>2]|0;if((x|0)<=-1){w=18;break a}f[o+(v<<2)>>2]=x;if((v|0)<(n|0))y=f[e+(v<<2)>>2]|0;else y=p;f[q+(v<<2)>>2]=y;if((v|0)>0)v=v+-1|0;else break}}while(0);if((w|0)==18){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;b[i+11>>0]=6;b[i>>0]=b[218193]|0;b[i+1>>0]=b[218194]|0;b[i+2>>0]=b[218195]|0;b[i+3>>0]=b[218196]|0;b[i+4>>0]=b[218197]|0;b[i+5>>0]=b[218198]|0;b[i+6>>0]=0;WD(-215,i,218185,204007,297)}if((c|0)!=1){u=h;return}f[j>>2]=2;f[a+12>>2]=1;f[(f[a+36>>2]|0)+4>>2]=p;u=h;return}function QH(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0;g=u;u=u+192|0;h=g+144|0;i=g+128|0;j=g+120|0;k=g+64|0;l=g;m=g+48|0;f[h>>2]=1124007936;n=h+4|0;o=h+8|0;p=h+20|0;q=h+24|0;r=h+28|0;s=h+32|0;f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;f[n+12>>2]=0;f[n+16>>2]=0;f[n+20>>2]=0;f[n+24>>2]=0;f[s>>2]=o;t=h+40|0;v=h+36|0;f[v>>2]=t;f[h+44>>2]=0;f[t>>2]=0;w=c+16|0;x=f[w>>2]|0;a:do if(!x){f[a>>2]=1124007936;y=a+4|0;f[y>>2]=0;f[y+4>>2]=0;f[y+8>>2]=0;f[y+12>>2]=0;f[y+16>>2]=0;f[y+20>>2]=0;f[y+24>>2]=0;f[a+32>>2]=a+8;y=a+40|0;f[a+36>>2]=y;f[y>>2]=0;f[a+44>>2]=0;f[h>>2]=1124007936;f[q>>2]=0;f[r>>2]=0;f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;f[n+12>>2]=0}else{y=c+20|0;do if((x|0)!=(f[y>>2]|0)){f[i>>2]=0;z=i+4|0;f[z>>2]=0;f[j>>2]=0;A=j+4|0;f[A>>2]=0;kU(c,i,j);B=f[c+12>>2]|0;C=f[c+8>>2]|0;if(!(f[A>>2]|f[j>>2])){if((f[w>>2]|0)==(f[y>>2]|0))break;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;D=cuc(32)|0;f[i>>2]=D;f[i+8>>2]=-2147483616;f[i+4>>2]=17;E=D;F=204252;G=E+17|0;do{b[E>>0]=b[F>>0]|0;E=E+1|0;F=F+1|0}while((E|0)<(G|0));b[D+17>>0]=0;WD(-215,i,207029,204007,358)}f[k>>2]=f[c>>2];H=k+4|0;I=c+4|0;J=f[I>>2]|0;f[H>>2]=J;K=k+8|0;f[K>>2]=C;L=k+12|0;f[L>>2]=B;M=k+16|0;f[M>>2]=f[w>>2];f[k+20>>2]=f[y>>2];f[k+24>>2]=f[c+24>>2];f[k+28>>2]=f[c+28>>2];f[k+32>>2]=f[c+32>>2];N=k+36|0;O=f[c+36>>2]|0;f[N>>2]=O;P=k+40|0;f[P>>2]=K;Q=k+48|0;R=k+44|0;f[R>>2]=Q;f[Q>>2]=0;f[k+52>>2]=0;if(!O)S=J;else{J=O+12|0;f[J>>2]=(f[J>>2]|0)+1;S=f[I>>2]|0}if((S|0)<3){I=f[c+44>>2]|0;J=f[R>>2]|0;f[J>>2]=f[I>>2];f[J+4>>2]=f[I+4>>2]}else{f[H>>2]=0;$T(k,c)}I=f[A>>2]|0;J=f[j>>2]|0;lU(k,I,(f[z>>2]|0)-I-(f[K>>2]|0)|0,J,(f[i>>2]|0)-J-(f[L>>2]|0)|0)|0;QH(l,k,d,e);L=f[A>>2]|0;f[m>>2]=f[j>>2];f[m+4>>2]=L;f[m+8>>2]=B;f[m+12>>2]=C;RH(a,l,m);L=l+24|0;J=f[L>>2]|0;if(J|0?(K=J+8|0,J=f[K>>2]|0,f[K>>2]=J+-1,(J|0)==1):0){J=f[L>>2]|0;f[L>>2]=0;K=f[J+4>>2]|0;yh[f[(f[K>>2]|0)+16>>2]&2047](K,J)}J=l+4|0;if((f[J>>2]|0)>0){K=f[l+32>>2]|0;I=0;do{f[K+(I<<2)>>2]=0;I=I+1|0}while((I|0)<(f[J>>2]|0))}f[L>>2]=0;J=f[l+36>>2]|0;if((J|0)!=(l+40|0))TC(J);J=f[N>>2]|0;if(J|0?(I=J+12|0,J=f[I>>2]|0,f[I>>2]=J+-1,(J|0)==1):0)aU(k);f[N>>2]=0;f[M>>2]=0;f[M+4>>2]=0;f[M+8>>2]=0;f[M+12>>2]=0;if((f[H>>2]|0)>0){J=f[P>>2]|0;I=0;do{f[J+(I<<2)>>2]=0;I=I+1|0}while((I|0)<(f[H>>2]|0))}H=f[R>>2]|0;if((H|0)!=(Q|0))TC(H);H=f[q>>2]|0;if(!H)break a;I=H+8|0;H=f[I>>2]|0;f[I>>2]=H+-1;if((H|0)!=1)break a;H=f[q>>2]|0;f[q>>2]=0;I=f[H+4>>2]|0;yh[f[(f[I>>2]|0)+16>>2]&2047](I,H);break a}while(0);y=d|50331648;H=f[c+32>>2]|0;I=ST()|0;J=(H|0)==0?I:H;H=c+4|0;I=c+40|0;P=c+44|0;M=Ei[f[(f[J>>2]|0)+8>>2]&15](J,f[H>>2]|0,f[I>>2]|0,f[c>>2]&4095,f[w>>2]|0,f[P>>2]|0,y,e)|0;J=c+36|0;f[M+48>>2]=f[J>>2];N=ST()|0;if(!(Cg[f[(f[N>>2]|0)+12>>2]&127](N,M,y,e)|0)?(N=ST()|0,!(Cg[f[(f[N>>2]|0)+12>>2]&127](N,M,y,e)|0)):0){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;b[i+11>>0]=9;E=i;F=204270;G=E+9|0;do{b[E>>0]=b[F>>0]|0;E=E+1|0;F=F+1|0}while((E|0)<(G|0));b[i+9>>0]=0;WD(-215,i,207029,204007,381)}y=f[J>>2]|0;if(y|0){N=y+12|0;f[N>>2]=(f[N>>2]|0)+1;N=(f[J>>2]|0)+8|0;f[N>>2]=(f[N>>2]|0)+1}f[h>>2]=f[c>>2];PH(h,f[H>>2]|0,f[I>>2]|0,f[P>>2]|0,0);N=XT(f[h>>2]|0,f[n>>2]|0,f[s>>2]|0,f[v>>2]|0)|0;f[h>>2]=N;y=f[n>>2]|0;if((y|0)>2){f[h+12>>2]=-1;f[o>>2]=-1}f[q>>2]=M;f[r>>2]=0;if(!M){T=N;U=y;V=M;W=0}else{y=M+8|0;f[y>>2]=(f[y>>2]|0)+1;T=f[h>>2]|0;U=f[n>>2]|0;V=f[q>>2]|0;W=f[r>>2]|0}f[a>>2]=T;f[a+4>>2]=U;y=a+8|0;f[y>>2]=f[o>>2];f[a+12>>2]=f[h+12>>2];f[a+16>>2]=f[h+16>>2];f[a+20>>2]=f[p>>2];f[a+24>>2]=V;f[a+28>>2]=W;N=a+32|0;f[N>>2]=y;y=a+36|0;L=a+40|0;f[y>>2]=L;K=a+44|0;f[K>>2]=0;f[L>>2]=0;C=h+36|0;if((U|0)<3){B=f[C>>2]|0;f[L>>2]=f[B>>2];f[K>>2]=f[B+4>>2]}else{f[y>>2]=f[C>>2];f[N>>2]=f[s>>2];f[C>>2]=t;f[s>>2]=o}f[h>>2]=1124007936;f[q>>2]=0;f[r>>2]=0;f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;f[n+12>>2]=0}while(0);if((f[n>>2]|0)>0){r=f[s>>2]|0;s=0;do{f[r+(s<<2)>>2]=0;s=s+1|0}while((s|0)<(f[n>>2]|0))}f[q>>2]=0;q=f[v>>2]|0;if((q|0)==(t|0)){u=g;return}TC(q);u=g;return}function RH(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0;e=u;u=u+16|0;g=e;h=f[c>>2]|0;f[a>>2]=h;i=a+4|0;f[i>>2]=2;j=a+8|0;k=d+12|0;f[j>>2]=f[k>>2];l=a+12|0;m=d+8|0;f[l>>2]=f[m>>2];f[a+16>>2]=f[c+16>>2];f[a+20>>2]=f[c+20>>2];n=a+24|0;o=f[c+24>>2]|0;f[n>>2]=o;p=a+28|0;q=d+4|0;r=c+36|0;s=(Y(f[f[r>>2]>>2]|0,f[q>>2]|0)|0)+(f[c+28>>2]|0)|0;f[p>>2]=s;t=a+32|0;f[t>>2]=j;v=a+40|0;w=a+36|0;f[w>>2]=v;f[a+44>>2]=0;f[v>>2]=0;v=o;if((f[c+4>>2]|0)>=3){x=cuc(16)|0;f[g>>2]=x;f[g+8>>2]=-2147483632;f[g+4>>2]=11;y=x;z=223800;A=y+11|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));b[x+11>>0]=0;WD(-215,g,204280,204007,540)}x=Y(675553809>>>(h<<2&28)&15,(h>>>3&511)+1|0)|0;h=f[d>>2]|0;d=(Y(x,h)|0)+s|0;f[p>>2]=d;if((((((h|0)>-1?(d=f[m>>2]|0,(d|0)>-1):0)?(p=c+12|0,s=f[p>>2]|0,(d+h|0)<=(s|0)):0)?(h=f[q>>2]|0,(h|0)>-1):0)?(q=f[k>>2]|0,(q|0)>-1):0)?(B=c+8|0,(q+h|0)<=(f[B>>2]|0)):0){if(!o){C=d;D=s}else{s=v+8|0;f[s>>2]=(f[s>>2]|0)+1;C=f[m>>2]|0;D=f[p>>2]|0}if(!((C|0)>=(D|0)?(f[k>>2]|0)>=(f[B>>2]|0):0))f[a>>2]=f[a>>2]|32768;B=f[w>>2]|0;f[B>>2]=f[f[r>>2]>>2];f[B+4>>2]=x;x=XT(f[a>>2]|0,f[i>>2]|0,f[t>>2]|0,B)|0;f[a>>2]=x;if((f[j>>2]|0)>=1?(f[l>>2]|0)>=1:0){u=e;return}x=f[n>>2]|0;if(x|0?(a=x+8|0,x=f[a>>2]|0,f[a>>2]=x+-1,(x|0)==1):0){x=f[n>>2]|0;f[n>>2]=0;a=f[x+4>>2]|0;yh[f[(f[a>>2]|0)+16>>2]&2047](a,x)}if((f[i>>2]|0)>0){x=f[t>>2]|0;t=0;do{f[x+(t<<2)>>2]=0;t=t+1|0}while((t|0)<(f[i>>2]|0))}f[n>>2]=0;f[l>>2]=0;f[j>>2]=0;u=e;return}e=cuc(128)|0;f[g>>2]=e;f[g+8>>2]=-2147483520;f[g+4>>2]=124;y=e;z=218836;A=y+124|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));b[e+124>>0]=0;WD(-215,g,204280,204007,545)}function SH(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;h=u;u=u+144|0;i=h+16|0;j=h;k=a+20|0;f[k>>2]=g;if(!(c>>>0<33&(d|0)!=0)){g=cuc(48)|0;f[i>>2]=g;f[i+8>>2]=-2147483600;f[i+4>>2]=35;l=g;m=218485;n=l+35|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));b[g+35>>0]=0;WD(-215,i,458319,204007,408)}g=e&4095;e=a+24|0;o=f[e>>2]|0;p=(o|0)==0;do if(!p){q=f[a+4>>2]|0;if((q|0)!=(c|0)?!((c|0)==1&(q|0)<3):0)break;if((g|0)==(f[a>>2]&4095|0)){if((c|0)==2)if((f[a+8>>2]|0)==(f[d>>2]|0)?(f[a+12>>2]|0)==(f[d+4>>2]|0):0){u=h;return}else r=11;else if((c|0)>0)r=11;else s=0;a:do if((r|0)==11){q=f[a+32>>2]|0;t=0;while(1){if((f[q+(t<<2)>>2]|0)!=(f[d+(t<<2)>>2]|0)){s=t;break a}v=t+1|0;if((v|0)<(c|0))t=v;else{s=v;break}}}while(0);if((s|0)==(c|0)){if((c|0)>1){u=h;return}if((f[(f[a+32>>2]|0)+4>>2]|0)==1){u=h;return}}}}while(0);s=a+32|0;if((f[s>>2]|0)==(d|0)){if((c|0)>0)szc(i|0,d|0,c<<2|0)|0;w=i}else w=d;if(!p?(p=o+8|0,o=f[p>>2]|0,f[p>>2]=o+-1,(o|0)==1):0){o=f[e>>2]|0;f[e>>2]=0;p=f[o+4>>2]|0;yh[f[(f[p>>2]|0)+16>>2]&2047](p,o)}o=a+4|0;if((f[o>>2]|0)>0){p=f[s>>2]|0;d=0;do{f[p+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[o>>2]|0))}f[e>>2]=0;if(c|0){f[a>>2]=g|1124007936;PH(a,c,w,0,1);f[a+28>>2]=0;w=f[o>>2]|0;if((w|0)<3)x=Y(f[a+12>>2]|0,f[a+8>>2]|0)|0;else{c=f[s>>2]|0;d=0;p=1;while(1){i=Y(f[c+(d<<2)>>2]|0,p)|0;d=d+1|0;if((d|0)==(w|0)){x=i;break}else p=i}}if(x){x=f[a+16>>2]|0;p=ST()|0;if(!x){ST()|0;y=p}else y=x;x=a+36|0;p=Ei[f[(f[y>>2]|0)+8>>2]&15](y,f[o>>2]|0,f[s>>2]|0,g,0,f[x>>2]|0,50331648,f[k>>2]|0)|0;f[e>>2]=p;if(!p){f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;b[j+11>>0]=6;b[j>>0]=b[218521]|0;b[j+1>>0]=b[218522]|0;b[j+2>>0]=b[218523]|0;b[j+3>>0]=b[218524]|0;b[j+4>>0]=b[218525]|0;b[j+5>>0]=b[218526]|0;b[j+6>>0]=0;WD(-215,j,458319,204007,448)}p=f[o>>2]|0;k=f[x>>2]|0;x=f[a>>2]|0;if((f[k+(p+-1<<2)>>2]|0)==(Y(675553809>>>(x<<2&28)&15,(x>>>3&511)+1|0)|0)){z=x;A=p;B=k}else{k=cuc(48)|0;f[j>>2]=k;f[j+8>>2]=-2147483600;f[j+4>>2]=43;l=k;m=218528;n=l+43|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));b[k+43>>0]=0;WD(-215,j,458319,204007,456)}}else{z=f[a>>2]|0;A=w;B=f[a+36>>2]|0}w=XT(z,A,f[s>>2]|0,B)|0;f[a>>2]=w;if((f[o>>2]|0)>2){f[a+12>>2]=-1;f[a+8>>2]=-1}a=f[e>>2]|0;if(a|0){e=a+8|0;f[e>>2]=(f[e>>2]|0)+1}}u=h;return}function TH(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;e=f[b>>2]|0;SH(a,(f[b+4>>2]|0)-e>>2,e,c,d);return}function UH(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;PH(a,f[b+4>>2]|0,0,0,0);c=a+4|0;if((f[c>>2]|0)<=0)return;d=f[b+32>>2]|0;e=f[a+32>>2]|0;g=f[b+36>>2]|0;b=f[a+36>>2]|0;a=0;do{f[e+(a<<2)>>2]=f[d+(a<<2)>>2];f[b+(a<<2)>>2]=f[g+(a<<2)>>2];a=a+1|0}while((a|0)<(f[c>>2]|0));return}function VH(a){a=a|0;var b=0,c=0,d=0,e=0;b=a+24|0;c=f[b>>2]|0;if(c|0?(d=c+8|0,c=f[d>>2]|0,f[d>>2]=c+-1,(c|0)==1):0){c=f[b>>2]|0;f[b>>2]=0;d=f[c+4>>2]|0;yh[f[(f[d>>2]|0)+16>>2]&2047](d,c)}c=a+4|0;if((f[c>>2]|0)>0){d=f[a+32>>2]|0;e=0;do{f[d+(e<<2)>>2]=0;e=e+1|0}while((e|0)<(f[c>>2]|0))}f[b>>2]=0;b=f[a+36>>2]|0;if((b|0)==(a+40|0))return;TC(b);return}function WH(a){a=a|0;var b=0;b=a+24|0;a=f[b>>2]|0;f[b>>2]=0;b=f[a+4>>2]|0;yh[f[(f[b>>2]|0)+16>>2]&2047](b,a);return}function XH(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0;g=u;u=u+1152|0;h=g+48|0;i=g;f[a>>2]=1124007936;j=a+4|0;k=a+8|0;l=a+12|0;m=a+16|0;n=a+20|0;o=a+24|0;p=a+28|0;q=a+32|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;f[j+16>>2]=0;f[j+20>>2]=0;f[j+24>>2]=0;f[q>>2]=k;r=a+36|0;s=a+40|0;f[r>>2]=s;f[a+44>>2]=0;f[s>>2]=0;t=c+4|0;v=f[t>>2]|0;if((v|0)<=1){w=cuc(16)|0;f[h>>2]=w;f[h+8>>2]=-2147483632;f[h+4>>2]=11;x=w;y=218572;z=x+11|0;do{b[x>>0]=b[y>>0]|0;x=x+1|0;y=y+1|0}while((x|0)<(z|0));b[w+11>>0]=0;WD(-215,h,204280,204007,497)}if((v|0)==2){ZH(a,c)|0;w=f[d>>2]|0;A=f[d+4>>2]|0;do if((w|0)!=-2147483648|(A|0)!=2147483647?(w|0?1:(A|0)!=(f[k>>2]|0)):0){if((w|0)<0|(A|0)<(w|0)){B=cuc(96)|0;f[h>>2]=B;C=h+8|0;f[C>>2]=-2147483552;D=h+4|0;f[D>>2]=83;x=B;y=218584;z=x+83|0;do{b[x>>0]=b[y>>0]|0;x=x+1|0;y=y+1|0}while((x|0)<(z|0));E=B+83|0;b[E>>0]=0;WD(-215,h,204280,204007,512)}if((A|0)>(f[c+8>>2]|0)){B=cuc(96)|0;f[h>>2]=B;C=h+8|0;f[C>>2]=-2147483552;D=h+4|0;f[D>>2]=83;x=B;y=218584;z=x+83|0;do{b[x>>0]=b[y>>0]|0;x=x+1|0;y=y+1|0}while((x|0)<(z|0));E=B+83|0;b[E>>0]=0;WD(-215,h,204280,204007,512)}else{f[k>>2]=A-w;F=Y(w,f[s>>2]|0)|0;f[p>>2]=(f[p>>2]|0)+F;f[a>>2]=f[a>>2]|32768;break}}while(0);w=f[e>>2]|0;A=f[e+4>>2]|0;if((w|0)!=-2147483648|(A|0)!=2147483647?(w|0?1:(A|0)!=(f[l>>2]|0)):0){if((w|0)<0|(A|0)<(w|0)){G=cuc(96)|0;f[h>>2]=G;H=h+8|0;f[H>>2]=-2147483552;I=h+4|0;f[I>>2]=83;x=G;y=218668;z=x+83|0;do{b[x>>0]=b[y>>0]|0;x=x+1|0;y=y+1|0}while((x|0)<(z|0));J=G+83|0;b[J>>0]=0;WD(-215,h,204280,204007,520)}if((A|0)>(f[c+12>>2]|0)){G=cuc(96)|0;f[h>>2]=G;H=h+8|0;f[H>>2]=-2147483552;I=h+4|0;f[I>>2]=83;x=G;y=218668;z=x+83|0;do{b[x>>0]=b[y>>0]|0;x=x+1|0;y=y+1|0}while((x|0)<(z|0));J=G+83|0;b[J>>0]=0;WD(-215,h,204280,204007,520)}f[l>>2]=A-w;A=f[j>>2]|0;if((A|0)>0)K=f[(f[a+36>>2]|0)+(A+-1<<2)>>2]|0;else K=0;A=Y(K,w)|0;f[p>>2]=(f[p>>2]|0)+A;f[a>>2]=f[a>>2]|32768}A=a+32|0;w=XT(f[a>>2]|0,f[j>>2]|0,f[A>>2]|0,f[a+36>>2]|0)|0;f[a>>2]=w;if((f[k>>2]|0)>=1?(f[l>>2]|0)>=1:0){u=g;return}w=f[o>>2]|0;if(w|0?(K=w+8|0,w=f[K>>2]|0,f[K>>2]=w+-1,(w|0)==1):0){w=f[o>>2]|0;f[o>>2]=0;K=f[w+4>>2]|0;yh[f[(f[K>>2]|0)+16>>2]&2047](K,w)}if((f[j>>2]|0)>0){w=f[A>>2]|0;A=0;do{f[w+(A<<2)>>2]=0;A=A+1|0}while((A|0)<(f[j>>2]|0))}f[o>>2]=0;f[l>>2]=0;f[k>>2]=0;u=g;return}A=h+8|0;kzc(A|0,0,1088)|0;f[h>>2]=A;w=h+4|0;f[w>>2]=v;if(v>>>0>136){K=euc(v>>>0>536870911?-1:v<<3)|0;kzc(K|0,0,v<<3|0)|0;f[h>>2]=K;L=K}else L=A;K=d;d=f[K+4>>2]|0;v=L;f[v>>2]=f[K>>2];f[v+4>>2]=d;d=f[h>>2]|0;v=e;e=f[v+4>>2]|0;K=d+8|0;f[K>>2]=f[v>>2];f[K+4>>2]=e;if((f[t>>2]|0)>2){e=2;K=d;while(1){v=K+(e<<3)|0;f[v>>2]=-2147483648;f[v+4>>2]=2147483647;e=e+1|0;v=f[h>>2]|0;if((e|0)>=(f[t>>2]|0)){M=v;break}else K=v}}else M=d;YH(i,c,M);M=f[o>>2]|0;if((i|0)==(a|0)){c=i+24|0;if((M|0)!=0?(d=M+8|0,K=f[d>>2]|0,f[d>>2]=K+-1,(K|0)==1):0){K=f[c>>2]|0;f[c>>2]=0;d=f[K+4>>2]|0;yh[f[(f[d>>2]|0)+16>>2]&2047](d,K);N=c}else N=c}else{if(M|0?(c=M+8|0,M=f[c>>2]|0,f[c>>2]=M+-1,(M|0)==1):0){M=f[o>>2]|0;f[o>>2]=0;c=f[M+4>>2]|0;yh[f[(f[c>>2]|0)+16>>2]&2047](c,M)}if((f[j>>2]|0)>0){M=f[a+32>>2]|0;c=0;do{f[M+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[j>>2]|0))}f[a>>2]=f[i>>2];c=i+4|0;M=f[c>>2]|0;f[j>>2]=M;j=i+8|0;f[k>>2]=f[j>>2];f[l>>2]=f[i+12>>2];f[m>>2]=f[i+16>>2];f[n>>2]=f[i+20>>2];n=i+24|0;f[o>>2]=f[n>>2];o=i+28|0;f[p>>2]=f[o>>2];p=f[r>>2]|0;if((p|0)==(s|0))O=M;else{TC(p);f[r>>2]=s;f[a+32>>2]=k;O=f[c>>2]|0}k=i+36|0;if((O|0)<3){O=f[k>>2]|0;f[s>>2]=f[O>>2];f[a+44>>2]=f[O+4>>2]}else{f[r>>2]=f[k>>2];r=i+32|0;f[q>>2]=f[r>>2];f[k>>2]=i+40;f[r>>2]=j}f[i>>2]=1124007936;f[n>>2]=0;f[o>>2]=0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;N=n}n=i+4|0;if((f[n>>2]|0)>0){c=f[i+32>>2]|0;o=0;do{f[c+(o<<2)>>2]=0;o=o+1|0}while((o|0)<(f[n>>2]|0))}f[N>>2]=0;N=f[i+36>>2]|0;if((N|0)!=(i+40|0))TC(N);N=f[h>>2]|0;if((N|0)!=(A|0)){if(N|0)guc(N);f[h>>2]=A;f[w>>2]=136}u=g;return}function YH(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;e=u;u=u+16|0;g=e;f[a>>2]=1124007936;h=a+4|0;i=a+28|0;j=a+32|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;f[h+16>>2]=0;f[h+20>>2]=0;f[h+24>>2]=0;f[j>>2]=a+8;k=a+40|0;l=a+36|0;f[l>>2]=k;f[a+44>>2]=0;f[k>>2]=0;k=f[c+4>>2]|0;if(!d){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;b[g+11>>0]=6;b[g>>0]=b[218752]|0;b[g+1>>0]=b[218753]|0;b[g+2>>0]=b[218754]|0;b[g+3>>0]=b[218755]|0;b[g+4>>0]=b[218756]|0;b[g+5>>0]=b[218757]|0;b[g+6>>0]=0;WD(-215,g,204280,204007,567)}m=(k|0)>0;if(!m){ZH(a,c)|0;n=f[a>>2]|0;o=f[h>>2]|0;p=f[j>>2]|0;q=f[l>>2]|0;r=XT(n,o,p,q)|0;f[a>>2]=r;u=e;return}s=f[c+32>>2]|0;t=0;while(1){v=d+(t<<3)|0;w=f[v>>2]|0;x=f[v+4>>2]|0;if(!((w|0)==-2147483648&(x|0)==2147483647)){if(!((w|0)>-1&(w|0)<(x|0))){y=9;break}if((x|0)>(f[s+(t<<2)>>2]|0)){y=9;break}}t=t+1|0;if((t|0)>=(k|0)){y=11;break}}if((y|0)==9){t=cuc(80)|0;f[g>>2]=t;f[g+8>>2]=-2147483568;f[g+4>>2]=76;s=t;x=218759;w=s+76|0;do{b[s>>0]=b[x>>0]|0;s=s+1|0;x=x+1|0}while((s|0)<(w|0));b[t+76>>0]=0;WD(-215,g,204280,204007,571)}else if((y|0)==11){ZH(a,c)|0;if(m)z=0;else{n=f[a>>2]|0;o=f[h>>2]|0;p=f[j>>2]|0;q=f[l>>2]|0;r=XT(n,o,p,q)|0;f[a>>2]=r;u=e;return}do{m=d+(z<<3)|0;c=f[m>>2]|0;y=f[m+4>>2]|0;if((c|0)!=-2147483648|(y|0)!=2147483647?(m=(f[j>>2]|0)+(z<<2)|0,c|0?1:(y|0)!=(f[m>>2]|0)):0){f[m>>2]=y-c;y=Y(f[(f[l>>2]|0)+(z<<2)>>2]|0,c)|0;f[i>>2]=(f[i>>2]|0)+y;f[a>>2]=f[a>>2]|32768}z=z+1|0}while((z|0)!=(k|0));n=f[a>>2]|0;o=f[h>>2]|0;p=f[j>>2]|0;q=f[l>>2]|0;r=XT(n,o,p,q)|0;f[a>>2]=r;u=e;return}}function ZH(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;if((a|0)==(b|0))return a|0;c=b+24|0;d=f[c>>2]|0;if(d|0){e=d+8|0;f[e>>2]=(f[e>>2]|0)+1}e=a+24|0;d=f[e>>2]|0;if(d|0?(g=d+8|0,d=f[g>>2]|0,f[g>>2]=d+-1,(d|0)==1):0){d=f[e>>2]|0;f[e>>2]=0;g=f[d+4>>2]|0;yh[f[(f[g>>2]|0)+16>>2]&2047](g,d)}d=a+4|0;if((f[d>>2]|0)>0){g=f[a+32>>2]|0;h=0;do{f[g+(h<<2)>>2]=0;h=h+1|0;i=f[d>>2]|0}while((h|0)<(i|0));f[e>>2]=0;f[a>>2]=f[b>>2];if((i|0)<3)j=13;else{k=f[b+4>>2]|0;j=15}}else{f[e>>2]=0;f[a>>2]=f[b>>2];j=13}if((j|0)==13){i=f[b+4>>2]|0;if((i|0)<3){f[d>>2]=i;f[a+8>>2]=f[b+8>>2];f[a+12>>2]=f[b+12>>2];h=f[b+36>>2]|0;g=f[a+36>>2]|0;f[g>>2]=f[h>>2];f[g+4>>2]=f[h+4>>2]}else{k=i;j=15}}if((j|0)==15?(PH(a,k,0,0,0),(f[d>>2]|0)>0):0){k=f[b+32>>2]|0;j=f[a+32>>2]|0;i=f[b+36>>2]|0;h=f[a+36>>2]|0;g=0;do{f[j+(g<<2)>>2]=f[k+(g<<2)>>2];f[h+(g<<2)>>2]=f[i+(g<<2)>>2];g=g+1|0}while((g|0)<(f[d>>2]|0))}f[a+16>>2]=f[b+16>>2];d=a+20|0;if(!(f[d>>2]|0))f[d>>2]=f[b+20>>2];f[e>>2]=f[c>>2];f[a+28>>2]=f[b+28>>2];return a|0}function _H(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;g=u;u=u+16|0;h=g;i=f[c>>2]|0;j=(i>>>3&511)+1|0;f[a>>2]=i;i=a+4|0;k=c+4|0;l=f[k>>2]|0;f[i>>2]=l;m=a+8|0;n=c+8|0;f[m>>2]=f[n>>2];o=a+12|0;p=c+12|0;f[o>>2]=f[p>>2];f[a+16>>2]=f[c+16>>2];f[a+20>>2]=f[c+20>>2];q=f[c+24>>2]|0;f[a+24>>2]=q;f[a+28>>2]=f[c+28>>2];r=a+32|0;f[r>>2]=m;s=a+40|0;t=a+36|0;f[t>>2]=s;f[a+44>>2]=0;f[s>>2]=0;if(!q)v=l;else{l=q+8|0;f[l>>2]=(f[l>>2]|0)+1;v=f[k>>2]|0}if((v|0)>=3){f[i>>2]=0;PH(a,v,0,0,0);if((f[i>>2]|0)>0){v=f[c+32>>2]|0;l=f[r>>2]|0;q=f[c+36>>2]|0;s=f[t>>2]|0;w=0;do{f[l+(w<<2)>>2]=f[v+(w<<2)>>2];f[s+(w<<2)>>2]=f[q+(w<<2)>>2];w=w+1|0}while((w|0)<(f[i>>2]|0))}}else{i=f[c+36>>2]|0;w=f[t>>2]|0;f[w>>2]=f[i>>2];f[w+4>>2]=f[i+4>>2]}i=f[k>>2]|0;w=(e|0)==0;if((d|0)!=0&(w&(i|0)>2)){q=i+-1|0;if((Y(f[(f[c+32>>2]|0)+(q<<2)>>2]|0,j)|0)%(d|0)|0|0){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;x=h+11|0;b[x>>0]=9;y=h;z=218985;A=y+9|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));B=h+9|0;b[B>>0]=0;WD(-215,h,219070,204007,699)}s=f[a>>2]|0;v=(d<<3)+-8|0;f[a>>2]=s&-4089|v;l=Y(675553809>>>(s<<2&28)&15,(v>>>3&511)+1|0)|0;f[(f[t>>2]|0)+(q<<2)>>2]=l;l=(f[r>>2]|0)+((f[k>>2]|0)+-1<<2)|0;k=(Y(f[l>>2]|0,j)|0)/(d|0)|0;f[l>>2]=k;u=g;return}if((i|0)>=3){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;x=h+11|0;b[x>>0]=9;y=h;z=218985;A=y+9|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));B=h+9|0;b[B>>0]=0;WD(-215,h,219070,204007,699)}B=(d|0)==0?j:d;d=Y(f[p>>2]|0,j)|0;if((B|0)>(d|0))if(w)C=16;else{D=e;C=18}else if(w&((d|0)%(B|0)|0|0)!=0)C=16;else{E=e;C=17}if((C|0)==16){E=(Y(f[n>>2]|0,d)|0)/(B|0)|0;C=17}if((C|0)==17)if(!E)F=d;else{D=E;C=18}do if((C|0)==18){E=f[n>>2]|0;if((D|0)!=(E|0)){e=Y(E,d)|0;E=f[c>>2]|0;if(!(E&16384)){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;w=cuc(80)|0;f[h>>2]=w;f[h+8>>2]=-2147483568;f[h+4>>2]=72;y=w;z=226835;A=y+72|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));b[w+72>>0]=0;WD(-13,h,219070,204007,714)}if(D>>>0>e>>>0){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;j=cuc(32)|0;f[h>>2]=j;f[h+8>>2]=-2147483616;f[h+4>>2]=22;y=j;z=226908;A=y+22|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));b[j+22>>0]=0;WD(-211,h,219070,204007,717)}w=(e|0)/(D|0)|0;if((Y(w,D)|0)==(e|0)){f[m>>2]=D;p=Y(675553809>>>(E<<2&28)&15,w)|0;f[f[t>>2]>>2]=p;F=w;break}else{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;w=cuc(80)|0;f[h>>2]=w;f[h+8>>2]=-2147483568;f[h+4>>2]=78;y=w;z=226746;A=y+78|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));b[w+78>>0]=0;WD(-5,h,219070,204007,723)}}else F=d}while(0);d=(F|0)/(B|0)|0;if((Y(d,B)|0)!=(F|0)){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;F=cuc(64)|0;f[h>>2]=F;f[h+8>>2]=-2147483584;f[h+4>>2]=62;y=F;z=226931;A=y+62|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));b[F+62>>0]=0;WD(-15,h,219070,204007,733)}f[o>>2]=d;d=f[a>>2]|0;o=(B<<3)+-8|0;f[a>>2]=d&-4089|o;a=Y(675553809>>>(d<<2&28)&15,(o>>>3&511)+1|0)|0;f[(f[t>>2]|0)+4>>2]=a;u=g;return}function $H(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+64|0;e=d+56|0;g=d;gV(e,36944);h=EJ(c)|0;cI(g,a,h?33554432:50331648);HI(g,b,c)|0;c=g+36|0;b=f[c>>2]|0;if(b|0?(h=b+12|0,b=f[h>>2]|0,f[h>>2]=b+-1,(b|0)==1):0)aU(g);f[c>>2]=0;c=g+16|0;b=g+4|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[g+40>>2]|0;h=0;do{f[c+(h<<2)>>2]=0;h=h+1|0}while((h|0)<(f[b>>2]|0))}b=f[g+44>>2]|0;if((b|0)!=(g+48|0))TC(b);if(!(f[e+4>>2]|0)){u=d;return a|0}u=d;return a|0}function aI(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;d=u;u=u+464|0;e=d+456|0;g=d+328|0;h=d+200|0;i=d+72|0;j=d+16|0;k=d;gV(e,36904);l=pJ(c,-1)|0;do if(iK(c)|0?(m=f[a>>2]|0,(l|0)!=(m&4095|0)):0)if(!((m^l)&4088)){bI(a,c,l,1.0,0.0);break}else{f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;m=cuc(32)|0;f[g>>2]=m;f[g+8>>2]=-2147483616;f[g+4>>2]=30;n=m;o=204700;p=n+30|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));b[m+30>>0]=0;WD(-215,g,207129,204007,888)}else q=6;while(0);do if((q|0)==6){l=a+24|0;if(f[l>>2]|0){o=a+4|0;r=f[o>>2]|0;if((r|0)<3)s=Y(f[a+12>>2]|0,f[a+8>>2]|0)|0;else{t=f[a+32>>2]|0;v=0;w=1;while(1){x=Y(f[t+(v<<2)>>2]|0,w)|0;v=v+1|0;if((v|0)==(r|0)){s=x;break}else w=x}}if(!((r|0)==0|(s|0)==0)){n=g;p=n+128|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(p|0));w=(r|0)>0;if(w)y=f[(f[a+36>>2]|0)+(r+-1<<2)>>2]|0;else y=0;v=f[a+32>>2]|0;t=0;do{f[g+(t<<2)>>2]=f[v+(t<<2)>>2];t=t+1|0}while(t>>>0<r>>>0);t=r+-1|0;v=g+(t<<2)|0;m=Y(f[v>>2]|0,y)|0;f[v>>2]=m;if(w){m=f[a+36>>2]|0;v=0;x=f[a+28>>2]|0;do{z=f[m+(v<<2)>>2]|0;A=(x>>>0)/(z>>>0)|0;f[h+(v<<2)>>2]=A;x=x-(Y(A,z)|0)|0;v=v+1|0}while((v|0)<(r|0))}v=h+(t<<2)|0;x=Y(f[v>>2]|0,y)|0;f[v>>2]=x;JJ(c,r,f[a+32>>2]|0,f[a>>2]&4095,-1,0,0);do if((qJ(c)|0)==655360){rJ(j,c,-1);x=j+24|0;v=f[x>>2]|0;if(!v){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;b[k+11>>0]=5;b[k>>0]=b[204285]|0;b[k+1>>0]=b[204286]|0;b[k+2>>0]=b[204287]|0;b[k+3>>0]=b[204288]|0;b[k+4>>0]=b[204289]|0;b[k+5>>0]=0;WD(-215,k,207129,204007,910)}m=f[l>>2]|0;if((m|0)==(v|0)?(f[j+28>>2]|0)==(f[a+28>>2]|0):0){w=v+8|0;z=f[w>>2]|0;f[w>>2]=z+-1;if((z|0)==1){z=f[x>>2]|0;f[x>>2]=0;w=f[z+4>>2]|0;yh[f[(f[w>>2]|0)+16>>2]&2047](w,z)}z=j+4|0;if((f[z>>2]|0)>0){w=f[j+32>>2]|0;A=0;do{f[w+(A<<2)>>2]=0;A=A+1|0}while((A|0)<(f[z>>2]|0))}f[x>>2]=0;z=f[j+36>>2]|0;if((z|0)!=(j+40|0))TC(z);break}z=f[m+4>>2]|0;if((z|0)!=(f[v+4>>2]|0)){A=v+8|0;w=f[A>>2]|0;f[A>>2]=w+-1;if((w|0)==1){w=f[x>>2]|0;f[x>>2]=0;A=f[w+4>>2]|0;yh[f[(f[A>>2]|0)+16>>2]&2047](A,w)}w=j+4|0;if((f[w>>2]|0)>0){A=f[j+32>>2]|0;B=0;do{f[A+(B<<2)>>2]=0;B=B+1|0}while((B|0)<(f[w>>2]|0))}f[x>>2]=0;w=f[j+36>>2]|0;if((w|0)!=(j+40|0))TC(w);q=39;break}w=j+4|0;B=f[w>>2]|0;if((B|0)>0){A=j+36|0;C=f[A>>2]|0;D=0;E=f[j+28>>2]|0;do{F=f[C+(D<<2)>>2]|0;G=(E>>>0)/(F>>>0)|0;f[i+(D<<2)>>2]=G;E=E-(Y(G,F)|0)|0;D=D+1|0}while((D|0)<(B|0));H=A;I=C}else{C=j+36|0;H=C;I=f[C>>2]|0}C=f[o>>2]|0;A=i+(C+-1<<2)|0;B=Y(f[A>>2]|0,y)|0;f[A>>2]=B;ch[f[(f[z>>2]|0)+36>>2]&7](z,m,v,C,g,h,f[a+36>>2]|0,i,I,0);C=f[x>>2]|0;if(C|0?(B=C+8|0,C=f[B>>2]|0,f[B>>2]=C+-1,(C|0)==1):0){C=f[x>>2]|0;f[x>>2]=0;B=f[C+4>>2]|0;yh[f[(f[B>>2]|0)+16>>2]&2047](B,C)}if((f[w>>2]|0)>0){C=f[j+32>>2]|0;B=0;do{f[C+(B<<2)>>2]=0;B=B+1|0}while((B|0)<(f[w>>2]|0))}f[x>>2]=0;w=f[H>>2]|0;if((w|0)!=(j+40|0))TC(w)}else q=39;while(0);if((q|0)==39){do if((qJ(c)|0)==65536){r=f[c+4>>2]|0;f[j>>2]=f[r>>2];t=j+4|0;w=r+4|0;f[t>>2]=f[w>>2];B=j+8|0;f[B>>2]=f[r+8>>2];f[j+12>>2]=f[r+12>>2];C=j+16|0;f[C>>2]=f[r+16>>2];f[j+20>>2]=f[r+20>>2];f[j+24>>2]=f[r+24>>2];f[j+28>>2]=f[r+28>>2];f[j+32>>2]=f[r+32>>2];v=f[r+36>>2]|0;f[j+36>>2]=v;f[j+40>>2]=B;B=j+48|0;m=j+44|0;f[m>>2]=B;f[B>>2]=0;f[j+52>>2]=0;if(v|0){B=v+12|0;f[B>>2]=(f[B>>2]|0)+1}if((f[w>>2]|0)<3){w=f[r+44>>2]|0;B=f[m>>2]|0;f[B>>2]=f[w>>2];f[B+4>>2]=f[w+4>>2];J=C;K=m;break}else{f[t>>2]=0;$T(j,r);J=C;K=m;break}}else{nJ(j,c,-1);J=j+16|0;K=j+44|0}while(0);m=f[l>>2]|0;C=f[m+4>>2]|0;Gh[f[(f[C>>2]|0)+28>>2]&255](C,m,f[J>>2]|0,f[o>>2]|0,g,h,f[a+36>>2]|0,f[K>>2]|0);m=j+36|0;C=f[m>>2]|0;if(C|0?(r=C+12|0,C=f[r>>2]|0,f[r>>2]=C+-1,(C|0)==1):0)aU(j);f[m>>2]=0;m=j+4|0;f[J>>2]=0;f[J+4>>2]=0;f[J+8>>2]=0;f[J+12>>2]=0;if((f[m>>2]|0)>0){C=f[j+40>>2]|0;r=0;do{f[C+(r<<2)>>2]=0;r=r+1|0}while((r|0)<(f[m>>2]|0))}m=f[K>>2]|0;if((m|0)!=(j+48|0))TC(m)}break}}HJ(c)}while(0);if(!(f[e+4>>2]|0)){u=d;return}u=d;return}function bI(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=+d;e=+e;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;g=u;u=u+112|0;h=g+104|0;i=g+56|0;j=g;gV(h,36924);if(+L(+(d+-1.0))<2.220446049250313e-16)k=+L(+e)<2.220446049250313e-16;else k=0;l=f[a>>2]|0;m=l&4095;if((c|0)<0)if(iK(b)|0)n=pJ(b,-1)|0;else n=m;else n=l&4088|c&7;if(((n^l)&7|0)!=0|k^1){f[i>>2]=f[a>>2];k=i+4|0;l=a+4|0;c=f[l>>2]|0;f[k>>2]=c;m=i+8|0;f[m>>2]=f[a+8>>2];f[i+12>>2]=f[a+12>>2];f[i+16>>2]=f[a+16>>2];f[i+20>>2]=f[a+20>>2];o=i+24|0;p=f[a+24>>2]|0;f[o>>2]=p;f[i+28>>2]=f[a+28>>2];q=i+32|0;f[q>>2]=m;m=i+40|0;r=i+36|0;f[r>>2]=m;f[i+44>>2]=0;f[m>>2]=0;if(!p)s=c;else{c=p+8|0;f[c>>2]=(f[c>>2]|0)+1;s=f[l>>2]|0}if((s|0)>=3){f[k>>2]=0;PH(i,s,0,0,0);if((f[k>>2]|0)>0){s=f[a+32>>2]|0;i=f[q>>2]|0;l=f[a+36>>2]|0;c=f[r>>2]|0;p=0;do{f[i+(p<<2)>>2]=f[s+(p<<2)>>2];f[c+(p<<2)>>2]=f[l+(p<<2)>>2];p=p+1|0}while((p|0)<(f[k>>2]|0))}}else{p=f[a+36>>2]|0;l=f[r>>2]|0;f[l>>2]=f[p>>2];f[l+4>>2]=f[p+4>>2]}cI(j,a,16777216);kQ(j,b,n,d,e);n=j+36|0;p=f[n>>2]|0;if(p|0?(l=p+12|0,p=f[l>>2]|0,f[l>>2]=p+-1,(p|0)==1):0)aU(j);f[n>>2]=0;n=j+16|0;p=j+4|0;f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;f[n+12>>2]=0;if((f[p>>2]|0)>0){n=f[j+40>>2]|0;l=0;do{f[n+(l<<2)>>2]=0;l=l+1|0}while((l|0)<(f[p>>2]|0))}p=f[j+44>>2]|0;if((p|0)!=(j+48|0))TC(p);p=f[o>>2]|0;if(p|0?(j=p+8|0,p=f[j>>2]|0,f[j>>2]=p+-1,(p|0)==1):0){p=f[o>>2]|0;f[o>>2]=0;j=f[p+4>>2]|0;yh[f[(f[j>>2]|0)+16>>2]&2047](j,p)}if((f[k>>2]|0)>0){p=f[q>>2]|0;q=0;do{f[p+(q<<2)>>2]=0;q=q+1|0}while((q|0)<(f[k>>2]|0))}f[o>>2]=0;o=f[r>>2]|0;if((o|0)!=(m|0))TC(o)}else aI(a,b);if(!(f[h+4>>2]|0)){u=g;return}u=g;return}function cI(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;e=u;u=u+16|0;g=e;h=c+24|0;i=f[h>>2]|0;if(!i){f[a>>2]=1124007936;j=a+8|0;k=a+40|0;l=a+4|0;m=l+36|0;do{f[l>>2]=0;l=l+4|0}while((l|0)<(m|0));f[k>>2]=j;j=a+48|0;f[a+44>>2]=j;f[j>>2]=0;f[a+52>>2]=0;u=e;return}j=d|50331648;d=i;k=JH()|0;n=k+4|0;do if((i|0)!=(f[n>>2]|0)?(i|0)!=(f[k+8>>2]|0):0)if(!(f[k>>2]|0)){f[k>>2]=1;f[n>>2]=i;$tc(547664+(((d>>>0)%31|0)*28|0)|0);o=i;break}else{p=cuc(32)|0;f[g>>2]=p;f[g+8>>2]=-2147483616;f[g+4>>2]=16;l=p;q=204076;m=l+16|0;do{b[l>>0]=b[q>>0]|0;l=l+1|0;q=q+1|0}while((l|0)<(m|0));b[p+16>>0]=0;WD(-215,g,204093,204007,167)}else o=0;while(0);i=(f[h>>2]|0)+12|0;d=f[i>>2]|0;f[i>>2]=d+1;if(!d){d=f[h>>2]|0;i=f[d+4>>2]|0;Zh[f[(f[i>>2]|0)+20>>2]&511](i,d,j)}j=f[h>>2]|0;d=f[j+16>>2]|0;do if(!d){i=j+12|0;f[i>>2]=(f[i>>2]|0)+-1;if(!(f[(f[h>>2]|0)+16>>2]|0)){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;i=cuc(64)|0;f[g>>2]=i;f[g+8>>2]=-2147483584;f[g+4>>2]=55;l=i;q=204291;m=l+55|0;do{b[l>>0]=b[q>>0]|0;l=l+1|0;q=q+1|0}while((l|0)<(m|0));b[i+55>>0]=0;WD(-215,g,204347,204007,838)}else{f[a>>2]=1124007936;p=a+8|0;n=a+40|0;l=a+4|0;m=l+36|0;do{f[l>>2]=0;l=l+4|0}while((l|0)<(m|0));f[n>>2]=p;i=a+48|0;f[a+44>>2]=i;f[i>>2]=0;f[a+52>>2]=0;break}}else{i=c+28|0;fU(a,f[c+4>>2]|0,f[c+32>>2]|0,f[c>>2]&4095,d+(f[i>>2]|0)|0,f[c+36>>2]|0);f[a>>2]=f[c>>2];k=f[h>>2]|0;f[a+36>>2]=k;r=f[k+16>>2]|0;f[a+20>>2]=r;f[a+16>>2]=r+(f[i>>2]|0);i=r+(f[k+24>>2]|0)|0;f[a+24>>2]=i;f[a+28>>2]=i}while(0);OH(JH()|0,o,0);u=e;return}function dI(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;h=u;u=u+48|0;i=h+16|0;j=h;k=c+4|0;l=f[k>>2]|0;if((l|0)==(e|0)){if(!g){_H(a,c,d,0);u=h;return}if((e|0)==2){_H(a,c,d,f[g>>2]|0);u=h;return}}m=f[c>>2]|0;if(!(m&16384)){n=cuc(80)|0;f[i>>2]=n;f[i+8>>2]=-2147483568;f[i+4>>2]=71;o=n;p=219305;q=o+71|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[n+71>>0]=0;WD(-213,i,219070,204007,813)}if(!((g|0)!=0&((d|0)>-1&(e+-1|0)>>>0<32))){n=cuc(64)|0;f[i>>2]=n;f[i+8>>2]=-2147483584;f[i+4>>2]=62;o=n;p=219078;q=o+62|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[n+62>>0]=0;WD(-215,i,219070,204007,777)}if(d)if((d|0)<513)r=d;else{d=cuc(32)|0;f[i>>2]=d;f[i+8>>2]=-2147483616;f[i+4>>2]=16;o=d;p=219141;q=o+16|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[d+16>>0]=0;WD(-215,i,219070,204007,782)}else r=(m>>>3&511)+1|0;if((l|0)<3)s=Y(f[c+12>>2]|0,f[c+8>>2]|0)|0;else{d=f[c+32>>2]|0;n=0;t=1;while(1){v=Y(f[d+(n<<2)>>2]|0,t)|0;n=n+1|0;if((n|0)==(l|0)){s=v;break}else t=v}}t=Y((m>>>3&511)+1|0,s)|0;s=i+8|0;f[i>>2]=s;m=i+4|0;f[m>>2]=e;if(e>>>0>4){l=euc(e>>>0>1073741823?-1:e<<2)|0;f[i>>2]=l;w=l}else w=s;a:do if((e|0)>0){l=c+32|0;n=r;d=0;while(1){v=f[g+(d<<2)>>2]|0;if((v|0)<=-1){x=23;break}if(!v){if((d|0)>=(f[k>>2]|0)){x=27;break}y=f[(f[l>>2]|0)+(d<<2)>>2]|0}else y=v;f[w+(d<<2)>>2]=y;v=Y(y,n)|0;d=d+1|0;if((d|0)>=(e|0)){z=v;break a}else n=v}if((x|0)==23){f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;n=cuc(16)|0;f[j>>2]=n;f[j+8>>2]=-2147483632;f[j+4>>2]=14;o=n;p=219158;q=o+14|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[n+14>>0]=0;WD(-215,j,219070,204007,791)}else if((x|0)==27){f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;d=cuc(80)|0;f[j>>2]=d;f[j+8>>2]=-2147483568;f[j+4>>2]=68;o=d;p=219173;q=o+68|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[d+68>>0]=0;WD(-211,j,219070,204007,798)}}else z=r;while(0);if((z|0)!=(t|0)){f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;t=cuc(64)|0;f[j>>2]=t;f[j+8>>2]=-2147483584;f[j+4>>2]=62;o=t;p=219242;q=o+62|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[t+62>>0]=0;WD(-209,j,219070,204007,804)}f[a>>2]=f[c>>2];j=a+4|0;t=f[k>>2]|0;f[j>>2]=t;p=a+8|0;f[p>>2]=f[c+8>>2];f[a+12>>2]=f[c+12>>2];f[a+16>>2]=f[c+16>>2];f[a+20>>2]=f[c+20>>2];o=f[c+24>>2]|0;f[a+24>>2]=o;f[a+28>>2]=f[c+28>>2];q=a+32|0;f[q>>2]=p;p=a+40|0;z=a+36|0;f[z>>2]=p;f[a+44>>2]=0;f[p>>2]=0;if(!o)A=t;else{t=o+8|0;f[t>>2]=(f[t>>2]|0)+1;A=f[k>>2]|0}if((A|0)>=3){f[j>>2]=0;PH(a,A,0,0,0);if((f[j>>2]|0)>0){A=f[c+32>>2]|0;k=f[q>>2]|0;q=f[c+36>>2]|0;t=f[z>>2]|0;o=0;do{f[k+(o<<2)>>2]=f[A+(o<<2)>>2];f[t+(o<<2)>>2]=f[q+(o<<2)>>2];o=o+1|0}while((o|0)<(f[j>>2]|0))}}else{j=f[c+36>>2]|0;c=f[z>>2]|0;f[c>>2]=f[j>>2];f[c+4>>2]=f[j+4>>2]}f[a>>2]=f[a>>2]&-4089|(r<<3)+-8;PH(a,e,f[i>>2]|0,0,1);e=f[i>>2]|0;if((e|0)!=(s|0)){if(e|0)guc(e);f[i>>2]=s;f[m>>2]=4}u=h;return}function eI(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0;c=a+4|0;if((f[c>>2]|0)<=0)return;d=f[a+36>>2]|0;e=0;g=f[a+28>>2]|0;do{a=f[d+(e<<2)>>2]|0;h=(g>>>0)/(a>>>0)|0;f[b+(e<<2)>>2]=h;g=g-(Y(h,a)|0)|0;e=e+1|0}while((e|0)<(f[c>>2]|0));return}function fI(){var a=0,b=0,c=0,d=0,e=0,g=0;a=u;u=u+16|0;b=a;c=(zE(yE()|0)|0)+16|0;d=f[c>>2]|0;if((d|0)>=0){e=d;g=(e|0)>0;u=a;return g|0}gV(b,36964);f[c>>2]=0;e=0;g=(e|0)>0;u=a;return g|0}function gI(a,c){a=a|0;c=c|0;if(!c)return;gI(a,f[c>>2]|0);gI(a,f[c+4>>2]|0);a=c+16|0;if((b[a+11>>0]|0)<0)fuc(f[a>>2]|0);fuc(c);return}function hI(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;g=u;u=u+16|0;h=g;i=iI(c,h,d)|0;d=f[i>>2]|0;if(d|0){j=d;k=0;l=j;f[a>>2]=l;m=a+4|0;b[m>>0]=k;u=g;return}d=cuc(28)|0;ouc(d+16|0,e);e=f[h>>2]|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=e;f[i>>2]=d;e=f[f[c>>2]>>2]|0;if(!e)n=d;else{f[c>>2]=e;n=f[i>>2]|0}jI(f[c+4>>2]|0,n);n=c+8|0;f[n>>2]=(f[n>>2]|0)+1;j=d;k=1;l=j;f[a>>2]=l;m=a+4|0;b[m>>0]=k;u=g;return}function iI(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;e=a+4|0;g=f[e>>2]|0;if(!g){f[c>>2]=e;h=e;return h|0}e=b[d+11>>0]|0;i=e<<24>>24<0;j=i?f[d+4>>2]|0:e&255;e=i?f[d>>2]|0:d;d=a+4|0;a=g;while(1){g=a+16|0;i=b[g+11>>0]|0;k=i<<24>>24<0;l=k?f[a+20>>2]|0:i&255;i=l>>>0<j>>>0;m=i?l:j;if((m|0)!=0?(n=ahc(e,k?f[g>>2]|0:g,m)|0,(n|0)!=0):0)if((n|0)<0)o=8;else o=10;else if(j>>>0<l>>>0)o=8;else o=10;if((o|0)==8){o=0;n=f[a>>2]|0;if(!n){o=9;break}else{p=a;q=n}}else if((o|0)==10){o=0;n=j>>>0<l>>>0?j:l;if((n|0)!=0?(l=ahc(k?f[g>>2]|0:g,e,n)|0,(l|0)!=0):0){if((l|0)>=0){o=16;break}}else o=12;if((o|0)==12?(o=0,!i):0){o=16;break}r=a+4|0;i=f[r>>2]|0;if(!i){o=15;break}else{p=r;q=i}}d=p;a=q}if((o|0)==9){f[c>>2]=a;h=a;return h|0}else if((o|0)==15){f[c>>2]=a;h=r;return h|0}else if((o|0)==16){f[c>>2]=a;h=d;return h|0}return 0}function jI(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;d=(c|0)==(a|0);b[c+12>>0]=d&1;if(d)return;else e=c;while(1){g=f[e+8>>2]|0;c=g+12|0;if(b[c>>0]|0){h=23;break}i=g+8|0;j=f[i>>2]|0;d=f[j>>2]|0;if((d|0)==(g|0)){k=f[j+4>>2]|0;if(!k){h=7;break}l=k+12|0;if(!(b[l>>0]|0))m=l;else{h=7;break}}else{if(!d){h=16;break}l=d+12|0;if(!(b[l>>0]|0))m=l;else{h=16;break}}b[c>>0]=1;c=(j|0)==(a|0);b[j+12>>0]=c&1;b[m>>0]=1;if(c){h=23;break}else e=j}if((h|0)==7){if((f[g>>2]|0)==(e|0)){n=g;o=j}else{m=g+4|0;a=f[m>>2]|0;c=f[a>>2]|0;f[m>>2]=c;if(!c)p=j;else{f[c+8>>2]=g;p=f[i>>2]|0}f[a+8>>2]=p;p=f[i>>2]|0;f[((f[p>>2]|0)==(g|0)?p:p+4|0)>>2]=a;f[a>>2]=g;f[i>>2]=a;n=a;o=f[a+8>>2]|0}b[n+12>>0]=1;b[o+12>>0]=0;n=f[o>>2]|0;a=n+4|0;p=f[a>>2]|0;f[o>>2]=p;if(p|0)f[p+8>>2]=o;p=o+8|0;f[n+8>>2]=f[p>>2];c=f[p>>2]|0;f[((f[c>>2]|0)==(o|0)?c:c+4|0)>>2]=n;f[a>>2]=o;f[p>>2]=n;return}else if((h|0)==16){if((f[g>>2]|0)==(e|0)){e=f[g>>2]|0;n=e+4|0;p=f[n>>2]|0;f[g>>2]=p;if(!p)q=j;else{f[p+8>>2]=g;q=f[i>>2]|0}f[e+8>>2]=q;q=f[i>>2]|0;f[((f[q>>2]|0)==(g|0)?q:q+4|0)>>2]=e;f[n>>2]=g;f[i>>2]=e;r=e;s=f[e+8>>2]|0}else{r=g;s=j}b[r+12>>0]=1;b[s+12>>0]=0;r=s+4|0;j=f[r>>2]|0;g=f[j>>2]|0;f[r>>2]=g;if(g|0)f[g+8>>2]=s;g=s+8|0;f[j+8>>2]=f[g>>2];r=f[g>>2]|0;f[((f[r>>2]|0)==(s|0)?r:r+4|0)>>2]=j;f[j>>2]=s;f[g>>2]=j;return}else if((h|0)==23)return}function kI(a){a=a|0;var c=0;c=f[a>>2]|0;f[a>>2]=c+-1;if((c|0)!=1)return;if((a|0)==0|(b[1165954]|0)!=0)return;c=a+4|0;if(f[c>>2]|0)f[c>>2]=0;c=f[a+12>>2]|0;if(c|0)kI(c);fuc(a);return}function lI(a){a=a|0;f[a>>2]=0;return}function mI(a){a=a|0;var b=0;b=f[a>>2]|0;if(!b)return;kI(b);return}function nI(a){a=a|0;var c=0,d=0,e=0;f[a>>2]=36996;c=a+56|0;f[c>>2]=37016;d=a+4|0;f[d>>2]=35404;e=a+36|0;if((b[e+11>>0]|0)<0)fuc(f[e>>2]|0);Ric(d);Njc(a,37028);Mic(c);return}function oI(a){a=a|0;var c=0,d=0,e=0;f[a>>2]=36996;c=a+56|0;f[c>>2]=37016;d=a+4|0;f[d>>2]=35404;e=a+36|0;if((b[e+11>>0]|0)<0)fuc(f[e>>2]|0);Ric(d);Njc(a,37028);Mic(c);fuc(a);return}function pI(a){a=a|0;var c=0,d=0,e=0;c=a+(f[(f[a>>2]|0)+-12>>2]|0)|0;f[c>>2]=36996;a=c+56|0;f[a>>2]=37016;d=c+4|0;f[d>>2]=35404;e=c+36|0;if((b[e+11>>0]|0)<0)fuc(f[e>>2]|0);Ric(d);Njc(c,37028);Mic(a);return}function qI(a){a=a|0;var c=0,d=0,e=0;c=a+(f[(f[a>>2]|0)+-12>>2]|0)|0;f[c>>2]=36996;a=c+56|0;f[a>>2]=37016;d=c+4|0;f[d>>2]=35404;e=c+36|0;if((b[e+11>>0]|0)<0)fuc(f[e>>2]|0);Ric(d);Njc(c,37028);Mic(a);fuc(c);return}function rI(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+4|0;d=f[a>>2]|0;e=(f[c>>2]|0)-d|0;g=e>>2;h=g+1|0;if(h>>>0>1073741823)nsc(a);i=a+8|0;j=(f[i>>2]|0)-d|0;k=j>>1;l=j>>2>>>0<536870911?(k>>>0<h>>>0?h:k):1073741823;do if(l)if(l>>>0>1073741823){k=ze(8)|0;kuc(k,519086);f[k>>2]=167148;Hf(k|0,26888,1888)}else{m=cuc(l<<2)|0;break}else m=0;while(0);k=m+(g<<2)|0;f[k>>2]=f[b>>2];b=k+(0-g<<2)|0;if((e|0)>0)szc(b|0,d|0,e|0)|0;f[a>>2]=b;f[c>>2]=k+4;f[i>>2]=m+(l<<2);if(!d)return;fuc(d);return}function sI(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0;j=f[i>>2]|0;k=f[i+4>>2]|0;if((k|0)!=0&(j|0)>0){l=a;m=d;n=g;o=k}else return;while(1){k=0;do{if(b[m+k>>0]|0)b[n+k>>0]=b[l+k>>0]|0;k=k+1|0}while((k|0)!=(j|0));o=o+-1|0;if(!o)break;else{l=l+c|0;m=m+e|0;n=n+h|0}}return}function tI(a,c,e,g,h,i,j,k){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0;k=f[j>>2]|0;l=f[j+4>>2]|0;if((l|0)!=0&(k|0)>0){m=a;n=e;o=h;p=l}else return;while(1){l=0;do{if(b[n+l>>0]|0)d[o+(l<<1)>>1]=d[m+(l<<1)>>1]|0;l=l+1|0}while((l|0)!=(k|0));p=p+-1|0;if(!p)break;else{m=m+c|0;n=n+g|0;o=o+i|0}}return}function uI(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;j=f[i>>2]|0;k=f[i+4>>2]|0;if(!k)return;i=j+-4|0;if((j|0)<4){l=(j|0)>0;m=a;n=d;o=g;p=k;while(1){p=p+-1|0;if(l){q=0;do{if(b[n+q>>0]|0){r=o+(q*3|0)|0;s=m+(q*3|0)|0;b[r>>0]=b[s>>0]|0;b[r+1>>0]=b[s+1>>0]|0;b[r+2>>0]=b[s+2>>0]|0}q=q+1|0}while((q|0)!=(j|0))}if(!p)break;else{m=m+c|0;n=n+e|0;o=o+h|0}}return}o=j&-4;n=(o|0)<(j|0);m=a;a=d;d=g;g=k;while(1){k=0;do{if(b[a+k>>0]|0){p=d+(k*3|0)|0;l=m+(k*3|0)|0;b[p>>0]=b[l>>0]|0;b[p+1>>0]=b[l+1>>0]|0;b[p+2>>0]=b[l+2>>0]|0}l=k|1;if(b[a+l>>0]|0){p=d+(l*3|0)|0;q=m+(l*3|0)|0;b[p>>0]=b[q>>0]|0;b[p+1>>0]=b[q+1>>0]|0;b[p+2>>0]=b[q+2>>0]|0}q=k|2;if(b[a+q>>0]|0){p=d+(q*3|0)|0;l=m+(q*3|0)|0;b[p>>0]=b[l>>0]|0;b[p+1>>0]=b[l+1>>0]|0;b[p+2>>0]=b[l+2>>0]|0}l=k|3;if(b[a+l>>0]|0){p=d+(l*3|0)|0;q=m+(l*3|0)|0;b[p>>0]=b[q>>0]|0;b[p+1>>0]=b[q+1>>0]|0;b[p+2>>0]=b[q+2>>0]|0}k=k+4|0}while((k|0)<=(i|0));g=g+-1|0;if(n){k=o;do{if(b[a+k>>0]|0){q=d+(k*3|0)|0;p=m+(k*3|0)|0;b[q>>0]=b[p>>0]|0;b[q+1>>0]=b[p+1>>0]|0;b[q+2>>0]=b[p+2>>0]|0}k=k+1|0}while((k|0)!=(j|0))}if(!g)break;else{m=m+c|0;a=a+e|0;d=d+h|0}}return}function vI(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0;j=f[i>>2]|0;k=f[i+4>>2]|0;if(!k)return;i=j+-4|0;if((j|0)<4){l=(j|0)>0;m=a;n=d;o=g;p=k;while(1){p=p+-1|0;if(l){q=0;do{if(b[n+q>>0]|0)f[o+(q<<2)>>2]=f[m+(q<<2)>>2];q=q+1|0}while((q|0)!=(j|0))}if(!p)break;else{m=m+c|0;n=n+e|0;o=o+h|0}}return}o=j&-4;n=(o|0)<(j|0);m=a;a=d;d=g;g=k;while(1){k=0;do{if(b[a+k>>0]|0)f[d+(k<<2)>>2]=f[m+(k<<2)>>2];p=k|1;if(b[a+p>>0]|0)f[d+(p<<2)>>2]=f[m+(p<<2)>>2];p=k|2;if(b[a+p>>0]|0)f[d+(p<<2)>>2]=f[m+(p<<2)>>2];p=k|3;if(b[a+p>>0]|0)f[d+(p<<2)>>2]=f[m+(p<<2)>>2];k=k+4|0}while((k|0)<=(i|0));g=g+-1|0;if(n){k=o;do{if(b[a+k>>0]|0)f[d+(k<<2)>>2]=f[m+(k<<2)>>2];k=k+1|0}while((k|0)!=(j|0))}if(!g)break;else{m=m+c|0;a=a+e|0;d=d+h|0}}return}function wI(a,c,e,g,h,i,j,k){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;k=f[j>>2]|0;l=f[j+4>>2]|0;if(!l)return;j=k+-4|0;if((k|0)<4){m=(k|0)>0;n=a;o=e;p=h;q=l;while(1){q=q+-1|0;if(m){r=0;do{if(b[o+r>>0]|0){s=p+(r*6|0)|0;t=n+(r*6|0)|0;d[s>>1]=d[t>>1]|0;d[s+2>>1]=d[t+2>>1]|0;d[s+4>>1]=d[t+4>>1]|0}r=r+1|0}while((r|0)!=(k|0))}if(!q)break;else{n=n+c|0;o=o+g|0;p=p+i|0}}return}p=k&-4;o=(p|0)<(k|0);n=a;a=e;e=h;h=l;while(1){l=0;do{if(b[a+l>>0]|0){q=e+(l*6|0)|0;m=n+(l*6|0)|0;d[q>>1]=d[m>>1]|0;d[q+2>>1]=d[m+2>>1]|0;d[q+4>>1]=d[m+4>>1]|0}m=l|1;if(b[a+m>>0]|0){q=e+(m*6|0)|0;r=n+(m*6|0)|0;d[q>>1]=d[r>>1]|0;d[q+2>>1]=d[r+2>>1]|0;d[q+4>>1]=d[r+4>>1]|0}r=l|2;if(b[a+r>>0]|0){q=e+(r*6|0)|0;m=n+(r*6|0)|0;d[q>>1]=d[m>>1]|0;d[q+2>>1]=d[m+2>>1]|0;d[q+4>>1]=d[m+4>>1]|0}m=l|3;if(b[a+m>>0]|0){q=e+(m*6|0)|0;r=n+(m*6|0)|0;d[q>>1]=d[r>>1]|0;d[q+2>>1]=d[r+2>>1]|0;d[q+4>>1]=d[r+4>>1]|0}l=l+4|0}while((l|0)<=(j|0));h=h+-1|0;if(o){l=p;do{if(b[a+l>>0]|0){r=e+(l*6|0)|0;q=n+(l*6|0)|0;d[r>>1]=d[q>>1]|0;d[r+2>>1]=d[q+2>>1]|0;d[r+4>>1]=d[q+4>>1]|0}l=l+1|0}while((l|0)!=(k|0))}if(!h)break;else{n=n+c|0;a=a+g|0;e=e+i|0}}return}function xI(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;j=f[i>>2]|0;k=f[i+4>>2]|0;if(!k)return;i=j+-4|0;if((j|0)<4){l=(j|0)>0;m=a;n=d;o=g;p=k;while(1){p=p+-1|0;if(l){q=0;do{if(b[n+q>>0]|0){r=m+(q<<3)|0;s=f[r+4>>2]|0;t=o+(q<<3)|0;f[t>>2]=f[r>>2];f[t+4>>2]=s}q=q+1|0}while((q|0)!=(j|0))}if(!p)break;else{m=m+c|0;n=n+e|0;o=o+h|0}}return}o=j&-4;n=(o|0)<(j|0);m=a;a=d;d=g;g=k;while(1){k=0;do{if(b[a+k>>0]|0){p=m+(k<<3)|0;l=f[p+4>>2]|0;q=d+(k<<3)|0;f[q>>2]=f[p>>2];f[q+4>>2]=l}l=k|1;if(b[a+l>>0]|0){q=m+(l<<3)|0;p=f[q+4>>2]|0;s=d+(l<<3)|0;f[s>>2]=f[q>>2];f[s+4>>2]=p}p=k|2;if(b[a+p>>0]|0){s=m+(p<<3)|0;q=f[s+4>>2]|0;l=d+(p<<3)|0;f[l>>2]=f[s>>2];f[l+4>>2]=q}q=k|3;if(b[a+q>>0]|0){l=m+(q<<3)|0;s=f[l+4>>2]|0;p=d+(q<<3)|0;f[p>>2]=f[l>>2];f[p+4>>2]=s}k=k+4|0}while((k|0)<=(i|0));g=g+-1|0;if(n){k=o;do{if(b[a+k>>0]|0){s=m+(k<<3)|0;p=f[s+4>>2]|0;l=d+(k<<3)|0;f[l>>2]=f[s>>2];f[l+4>>2]=p}k=k+1|0}while((k|0)!=(j|0))}if(!g)break;else{m=m+c|0;a=a+e|0;d=d+h|0}}return}function yI(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;j=f[i>>2]|0;k=f[i+4>>2]|0;if(!k)return;i=j+-4|0;if((j|0)<4){l=(j|0)>0;m=a;n=d;o=g;p=k;while(1){p=p+-1|0;if(l){q=0;do{if(b[n+q>>0]|0){r=o+(q*12|0)|0;s=m+(q*12|0)|0;f[r>>2]=f[s>>2];f[r+4>>2]=f[s+4>>2];f[r+8>>2]=f[s+8>>2]}q=q+1|0}while((q|0)!=(j|0))}if(!p)break;else{m=m+c|0;n=n+e|0;o=o+h|0}}return}o=j&-4;n=(o|0)<(j|0);m=a;a=d;d=g;g=k;while(1){k=0;do{if(b[a+k>>0]|0){p=d+(k*12|0)|0;l=m+(k*12|0)|0;f[p>>2]=f[l>>2];f[p+4>>2]=f[l+4>>2];f[p+8>>2]=f[l+8>>2]}l=k|1;if(b[a+l>>0]|0){p=d+(l*12|0)|0;q=m+(l*12|0)|0;f[p>>2]=f[q>>2];f[p+4>>2]=f[q+4>>2];f[p+8>>2]=f[q+8>>2]}q=k|2;if(b[a+q>>0]|0){p=d+(q*12|0)|0;l=m+(q*12|0)|0;f[p>>2]=f[l>>2];f[p+4>>2]=f[l+4>>2];f[p+8>>2]=f[l+8>>2]}l=k|3;if(b[a+l>>0]|0){p=d+(l*12|0)|0;q=m+(l*12|0)|0;f[p>>2]=f[q>>2];f[p+4>>2]=f[q+4>>2];f[p+8>>2]=f[q+8>>2]}k=k+4|0}while((k|0)<=(i|0));g=g+-1|0;if(n){k=o;do{if(b[a+k>>0]|0){q=d+(k*12|0)|0;p=m+(k*12|0)|0;f[q>>2]=f[p>>2];f[q+4>>2]=f[p+4>>2];f[q+8>>2]=f[p+8>>2]}k=k+1|0}while((k|0)!=(j|0))}if(!g)break;else{m=m+c|0;a=a+e|0;d=d+h|0}}return}function zI(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;j=f[i>>2]|0;k=f[i+4>>2]|0;if(!k)return;i=j+-4|0;if((j|0)<4){l=(j|0)>0;m=a;n=d;o=g;p=k;while(1){p=p+-1|0;if(l){q=0;do{if(b[n+q>>0]|0){r=o+(q<<4)|0;s=m+(q<<4)|0;f[r>>2]=f[s>>2];f[r+4>>2]=f[s+4>>2];f[r+8>>2]=f[s+8>>2];f[r+12>>2]=f[s+12>>2]}q=q+1|0}while((q|0)!=(j|0))}if(!p)break;else{m=m+c|0;n=n+e|0;o=o+h|0}}return}o=j&-4;n=(o|0)<(j|0);m=a;a=d;d=g;g=k;while(1){k=0;do{if(b[a+k>>0]|0){p=d+(k<<4)|0;l=m+(k<<4)|0;f[p>>2]=f[l>>2];f[p+4>>2]=f[l+4>>2];f[p+8>>2]=f[l+8>>2];f[p+12>>2]=f[l+12>>2]}l=k|1;if(b[a+l>>0]|0){p=d+(l<<4)|0;q=m+(l<<4)|0;f[p>>2]=f[q>>2];f[p+4>>2]=f[q+4>>2];f[p+8>>2]=f[q+8>>2];f[p+12>>2]=f[q+12>>2]}q=k|2;if(b[a+q>>0]|0){p=d+(q<<4)|0;l=m+(q<<4)|0;f[p>>2]=f[l>>2];f[p+4>>2]=f[l+4>>2];f[p+8>>2]=f[l+8>>2];f[p+12>>2]=f[l+12>>2]}l=k|3;if(b[a+l>>0]|0){p=d+(l<<4)|0;q=m+(l<<4)|0;f[p>>2]=f[q>>2];f[p+4>>2]=f[q+4>>2];f[p+8>>2]=f[q+8>>2];f[p+12>>2]=f[q+12>>2]}k=k+4|0}while((k|0)<=(i|0));g=g+-1|0;if(n){k=o;do{if(b[a+k>>0]|0){q=d+(k<<4)|0;p=m+(k<<4)|0;f[q>>2]=f[p>>2];f[q+4>>2]=f[p+4>>2];f[q+8>>2]=f[p+8>>2];f[q+12>>2]=f[p+12>>2]}k=k+1|0}while((k|0)!=(j|0))}if(!g)break;else{m=m+c|0;a=a+e|0;d=d+h|0}}return}function AI(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;j=f[i>>2]|0;k=f[i+4>>2]|0;if(!k)return;i=j+-4|0;if((j|0)<4){l=(j|0)>0;m=a;n=d;o=g;p=k;while(1){p=p+-1|0;if(l){q=0;do{if(b[n+q>>0]|0){r=o+(q*24|0)|0;s=m+(q*24|0)|0;f[r>>2]=f[s>>2];f[r+4>>2]=f[s+4>>2];f[r+8>>2]=f[s+8>>2];f[r+12>>2]=f[s+12>>2];f[r+16>>2]=f[s+16>>2];f[r+20>>2]=f[s+20>>2]}q=q+1|0}while((q|0)!=(j|0))}if(!p)break;else{m=m+c|0;n=n+e|0;o=o+h|0}}return}o=j&-4;n=(o|0)<(j|0);m=a;a=d;d=g;g=k;while(1){k=0;do{if(b[a+k>>0]|0){p=d+(k*24|0)|0;l=m+(k*24|0)|0;f[p>>2]=f[l>>2];f[p+4>>2]=f[l+4>>2];f[p+8>>2]=f[l+8>>2];f[p+12>>2]=f[l+12>>2];f[p+16>>2]=f[l+16>>2];f[p+20>>2]=f[l+20>>2]}l=k|1;if(b[a+l>>0]|0){p=d+(l*24|0)|0;q=m+(l*24|0)|0;f[p>>2]=f[q>>2];f[p+4>>2]=f[q+4>>2];f[p+8>>2]=f[q+8>>2];f[p+12>>2]=f[q+12>>2];f[p+16>>2]=f[q+16>>2];f[p+20>>2]=f[q+20>>2]}q=k|2;if(b[a+q>>0]|0){p=d+(q*24|0)|0;l=m+(q*24|0)|0;f[p>>2]=f[l>>2];f[p+4>>2]=f[l+4>>2];f[p+8>>2]=f[l+8>>2];f[p+12>>2]=f[l+12>>2];f[p+16>>2]=f[l+16>>2];f[p+20>>2]=f[l+20>>2]}l=k|3;if(b[a+l>>0]|0){p=d+(l*24|0)|0;q=m+(l*24|0)|0;f[p>>2]=f[q>>2];f[p+4>>2]=f[q+4>>2];f[p+8>>2]=f[q+8>>2];f[p+12>>2]=f[q+12>>2];f[p+16>>2]=f[q+16>>2];f[p+20>>2]=f[q+20>>2]}k=k+4|0}while((k|0)<=(i|0));g=g+-1|0;if(n){k=o;do{if(b[a+k>>0]|0){q=d+(k*24|0)|0;p=m+(k*24|0)|0;f[q>>2]=f[p>>2];f[q+4>>2]=f[p+4>>2];f[q+8>>2]=f[p+8>>2];f[q+12>>2]=f[p+12>>2];f[q+16>>2]=f[p+16>>2];f[q+20>>2]=f[p+20>>2]}k=k+1|0}while((k|0)!=(j|0))}if(!g)break;else{m=m+c|0;a=a+e|0;d=d+h|0}}return}function BI(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;j=f[i>>2]|0;k=f[i+4>>2]|0;if(!k)return;i=j+-4|0;if((j|0)<4){l=(j|0)>0;m=a;n=d;o=g;p=k;while(1){p=p+-1|0;if(l){q=0;do{if(b[n+q>>0]|0){r=o+(q<<5)|0;s=m+(q<<5)|0;f[r>>2]=f[s>>2];f[r+4>>2]=f[s+4>>2];f[r+8>>2]=f[s+8>>2];f[r+12>>2]=f[s+12>>2];f[r+16>>2]=f[s+16>>2];f[r+20>>2]=f[s+20>>2];f[r+24>>2]=f[s+24>>2];f[r+28>>2]=f[s+28>>2]}q=q+1|0}while((q|0)!=(j|0))}if(!p)break;else{m=m+c|0;n=n+e|0;o=o+h|0}}return}o=j&-4;n=(o|0)<(j|0);m=a;a=d;d=g;g=k;while(1){k=0;do{if(b[a+k>>0]|0){p=d+(k<<5)|0;l=m+(k<<5)|0;f[p>>2]=f[l>>2];f[p+4>>2]=f[l+4>>2];f[p+8>>2]=f[l+8>>2];f[p+12>>2]=f[l+12>>2];f[p+16>>2]=f[l+16>>2];f[p+20>>2]=f[l+20>>2];f[p+24>>2]=f[l+24>>2];f[p+28>>2]=f[l+28>>2]}l=k|1;if(b[a+l>>0]|0){p=d+(l<<5)|0;q=m+(l<<5)|0;f[p>>2]=f[q>>2];f[p+4>>2]=f[q+4>>2];f[p+8>>2]=f[q+8>>2];f[p+12>>2]=f[q+12>>2];f[p+16>>2]=f[q+16>>2];f[p+20>>2]=f[q+20>>2];f[p+24>>2]=f[q+24>>2];f[p+28>>2]=f[q+28>>2]}q=k|2;if(b[a+q>>0]|0){p=d+(q<<5)|0;l=m+(q<<5)|0;f[p>>2]=f[l>>2];f[p+4>>2]=f[l+4>>2];f[p+8>>2]=f[l+8>>2];f[p+12>>2]=f[l+12>>2];f[p+16>>2]=f[l+16>>2];f[p+20>>2]=f[l+20>>2];f[p+24>>2]=f[l+24>>2];f[p+28>>2]=f[l+28>>2]}l=k|3;if(b[a+l>>0]|0){p=d+(l<<5)|0;q=m+(l<<5)|0;f[p>>2]=f[q>>2];f[p+4>>2]=f[q+4>>2];f[p+8>>2]=f[q+8>>2];f[p+12>>2]=f[q+12>>2];f[p+16>>2]=f[q+16>>2];f[p+20>>2]=f[q+20>>2];f[p+24>>2]=f[q+24>>2];f[p+28>>2]=f[q+28>>2]}k=k+4|0}while((k|0)<=(i|0));g=g+-1|0;if(n){k=o;do{if(b[a+k>>0]|0){q=d+(k<<5)|0;p=m+(k<<5)|0;f[q>>2]=f[p>>2];f[q+4>>2]=f[p+4>>2];f[q+8>>2]=f[p+8>>2];f[q+12>>2]=f[p+12>>2];f[q+16>>2]=f[p+16>>2];f[q+20>>2]=f[p+20>>2];f[q+24>>2]=f[p+24>>2];f[q+28>>2]=f[p+28>>2]}k=k+1|0}while((k|0)!=(j|0))}if(!g)break;else{m=m+c|0;a=a+e|0;d=d+h|0}}return}function CI(a){a=a|0;var b=0;if(a>>>0<33){b=f[37040+(a<<2)>>2]|0;return ((b|0)==0?169:b)|0}else return 169;return 0}function DI(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;k=f[j>>2]|0;j=i+4|0;l=f[j>>2]|0;m=l+-1|0;f[j>>2]=m;if(!l)return;l=f[i>>2]|0;if(!k){n=(l|0)>0;o=m;do{if(n){p=0;do p=p+1|0;while((p|0)<(l|0))}p=o;o=o+-1|0}while((p|0)!=0);f[j>>2]=o;return}else{q=a;r=d;s=g;t=l;u=m}while(1){if((t|0)>0){m=s;l=q;g=0;d=t;while(1){if(!(b[r+g>>0]|0))v=d;else{a=0;do{b[m+a>>0]=b[l+a>>0]|0;a=a+1|0}while((a|0)!=(k|0));v=f[i>>2]|0}g=g+1|0;if((g|0)>=(v|0))break;else{m=m+k|0;l=l+k|0;d=v}}w=f[j>>2]|0;x=v}else{w=u;x=t}u=w+-1|0;f[j>>2]=u;if(!w)break;else{q=q+c|0;r=r+e|0;s=s+h|0;t=x}}return}function EI(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0;d=u;u=u+352|0;e=d+344|0;g=d+288|0;h=d+160|0;i=d;j=d+128|0;gV(e,37172);k=pJ(c,-1)|0;do if(iK(c)|0?(l=f[a>>2]|0,(k|0)!=(l&4095|0)):0)if(!((l^k)&4088)){kQ(a,c,k,1.0,0.0);break}else{f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;l=cuc(32)|0;f[g>>2]=l;f[g+8>>2]=-2147483616;f[g+4>>2]=30;m=l;n=204700;o=m+30|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));b[l+30>>0]=0;WD(-215,g,207129,204731,252)}else p=6;while(0);do if((p|0)==6){k=a+16|0;if(f[k>>2]|0){q=a+4|0;r=f[q>>2]|0;if((r|0)<3)s=Y(f[a+12>>2]|0,f[a+8>>2]|0)|0;else{t=f[a+40>>2]|0;v=0;w=1;while(1){x=Y(f[t+(v<<2)>>2]|0,w)|0;v=v+1|0;if((v|0)==(r|0)){s=x;break}else w=x}}if(!((r|0)==0|(s|0)==0)){w=(qJ(c)|0)==655360;v=f[q>>2]|0;if(w){w=a+40|0;JJ(c,v,f[w>>2]|0,f[a>>2]&4095,-1,0,0);rJ(g,c,-1);t=g+24|0;if(!(f[t>>2]|0)){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;l=cuc(16)|0;f[h>>2]=l;f[h+8>>2]=-2147483632;f[h+4>>2]=13;m=l;n=204797;o=m+13|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));b[l+13>>0]=0;WD(-215,h,207129,204731,267)}m=h;o=m+128|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(o|0));l=f[q>>2]|0;if((l|0)<=0){f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;y=cuc(32)|0;f[j>>2]=y;z=j+8|0;f[z>>2]=-2147483616;A=j+4|0;f[A>>2]=29;m=y;n=204811;o=m+29|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));B=y+29|0;b[B>>0]=0;WD(-215,j,207129,204731,269)}r=l+-1|0;x=f[(f[a+44>>2]|0)+(r<<2)>>2]|0;if(r>>>0>=31){f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;y=cuc(32)|0;f[j>>2]=y;z=j+8|0;f[z>>2]=-2147483616;A=j+4|0;f[A>>2]=29;m=y;n=204811;o=m+29|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));B=y+29|0;b[B>>0]=0;WD(-215,j,207129,204731,269)}r=f[w>>2]|0;C=0;do{f[h+(C<<2)>>2]=f[r+(C<<2)>>2];C=C+1|0}while(C>>>0<l>>>0);C=h+(l+-1<<2)|0;r=Y(f[C>>2]|0,x)|0;f[C>>2]=r;eI(g,i);r=f[q>>2]|0;C=i+(r+-1<<2)|0;w=Y(f[C>>2]|0,x)|0;f[C>>2]=w;w=f[t>>2]|0;C=f[w+4>>2]|0;Gh[f[(f[C>>2]|0)+32>>2]&255](C,w,f[k>>2]|0,r,h,i,f[g+36>>2]|0,f[a+44>>2]|0);VH(g);break}if((v|0)>=3){r=a+40|0;JJ(c,v,f[r>>2]|0,f[a>>2]&4095,-1,0,0);do if((qJ(c)|0)==65536){w=f[c+4>>2]|0;f[g>>2]=f[w>>2];C=g+4|0;D=w+4|0;f[C>>2]=f[D>>2];E=g+8|0;f[E>>2]=f[w+8>>2];f[g+12>>2]=f[w+12>>2];F=g+16|0;f[F>>2]=f[w+16>>2];f[g+20>>2]=f[w+20>>2];f[g+24>>2]=f[w+24>>2];f[g+28>>2]=f[w+28>>2];f[g+32>>2]=f[w+32>>2];G=f[w+36>>2]|0;f[g+36>>2]=G;f[g+40>>2]=E;E=g+48|0;H=g+44|0;f[H>>2]=E;f[E>>2]=0;f[g+52>>2]=0;if(G|0){E=G+12|0;f[E>>2]=(f[E>>2]|0)+1}if((f[D>>2]|0)<3){D=f[w+44>>2]|0;E=f[H>>2]|0;f[E>>2]=f[D>>2];f[E+4>>2]=f[D+4>>2];I=F;break}else{f[C>>2]=0;$T(g,w);I=F;break}}else{nJ(g,c,-1);I=g+16|0}while(0);if((f[k>>2]|0)!=(f[I>>2]|0)){v=f[q>>2]|0;if((v|0)<3)K=Y(f[a+12>>2]|0,f[a+8>>2]|0)|0;else{t=f[r>>2]|0;x=0;l=1;while(1){F=Y(f[t+(x<<2)>>2]|0,l)|0;x=x+1|0;if((x|0)==(v|0)){K=F;break}else l=F}}if(K|0){f[h>>2]=a;f[h+4>>2]=g;l=i;f[l>>2]=0;f[l+4>>2]=0;YC(j,h,i,2);l=f[q>>2]|0;if((l|0)>0)L=f[(f[a+44>>2]|0)+(l+-1<<2)>>2]|0;else L=0;l=Y(L,f[j+20>>2]|0)|0;v=j+16|0;x=i+4|0;t=0;while(1){if(t>>>0>=(f[v>>2]|0)>>>0)break;szc(f[x>>2]|0,f[i>>2]|0,l|0)|0;ZC(j)|0;t=t+1|0}}}t=g+36|0;l=f[t>>2]|0;if(l|0?(x=l+12|0,l=f[x>>2]|0,f[x>>2]=l+-1,(l|0)==1):0)aU(g);f[t>>2]=0;t=g+4|0;f[I>>2]=0;f[I+4>>2]=0;f[I+8>>2]=0;f[I+12>>2]=0;if((f[t>>2]|0)>0){l=f[g+40>>2]|0;x=0;do{f[l+(x<<2)>>2]=0;x=x+1|0}while((x|0)<(f[t>>2]|0))}t=f[g+44>>2]|0;if((t|0)!=(g+48|0))TC(t);break}t=a+8|0;x=a+12|0;jK(c,f[t>>2]|0,f[x>>2]|0,f[a>>2]&4095,-1,0,0);do if((qJ(c)|0)==65536){l=f[c+4>>2]|0;f[g>>2]=f[l>>2];v=g+4|0;r=l+4|0;f[v>>2]=f[r>>2];F=g+8|0;f[F>>2]=f[l+8>>2];f[g+12>>2]=f[l+12>>2];w=g+16|0;f[w>>2]=f[l+16>>2];f[g+20>>2]=f[l+20>>2];f[g+24>>2]=f[l+24>>2];f[g+28>>2]=f[l+28>>2];f[g+32>>2]=f[l+32>>2];C=f[l+36>>2]|0;f[g+36>>2]=C;f[g+40>>2]=F;F=g+48|0;D=g+44|0;f[D>>2]=F;f[F>>2]=0;f[g+52>>2]=0;if(C|0){F=C+12|0;f[F>>2]=(f[F>>2]|0)+1}if((f[r>>2]|0)<3){r=f[l+44>>2]|0;F=f[D>>2]|0;f[F>>2]=f[r>>2];f[F+4>>2]=f[r+4>>2];M=w;break}else{f[v>>2]=0;$T(g,l);M=w;break}}else{nJ(g,c,-1);M=g+16|0}while(0);if(((f[k>>2]|0)!=(f[M>>2]|0)?(f[t>>2]|0)>0:0)?(f[x>>2]|0)>0:0){if(((qJ(c)|0)!=196608?(qJ(c)|0)!=786432:0)?(qJ(c)|0)!=917504:0)N=g;else{w=g+4|0;l=f[w>>2]|0;if((l|0)<3)O=Y(f[g+12>>2]|0,f[g+8>>2]|0)|0;else{v=f[g+40>>2]|0;r=0;F=1;while(1){D=Y(f[v+(r<<2)>>2]|0,F)|0;r=r+1|0;if((r|0)==(l|0)){O=D;break}else F=D}}mU(h,g,0,O);F=g+36|0;l=f[F>>2]|0;if(l|0?(r=l+12|0,l=f[r>>2]|0,f[r>>2]=l+-1,(l|0)==1):0)aU(g);f[F>>2]=0;f[M>>2]=0;f[M+4>>2]=0;f[M+8>>2]=0;f[M+12>>2]=0;if((f[w>>2]|0)>0){l=f[g+40>>2]|0;r=0;do{f[l+(r<<2)>>2]=0;r=r+1|0}while((r|0)<(f[w>>2]|0))}f[g>>2]=f[h>>2];r=h+4|0;l=f[r>>2]|0;f[w>>2]=l;v=h+8|0;D=g+8|0;f[D>>2]=f[v>>2];f[g+12>>2]=f[h+12>>2];C=h+16|0;f[M>>2]=f[C>>2];f[g+20>>2]=f[h+20>>2];f[g+24>>2]=f[h+24>>2];f[g+28>>2]=f[h+28>>2];f[g+32>>2]=f[h+32>>2];E=h+36|0;f[F>>2]=f[E>>2];H=g+44|0;G=f[H>>2]|0;P=g+48|0;if((G|0)==(P|0))Q=l;else{TC(G);f[H>>2]=P;f[g+40>>2]=D;Q=f[r>>2]|0}D=h+44|0;if((Q|0)<3){G=f[D>>2]|0;f[P>>2]=f[G>>2];f[g+52>>2]=f[G+4>>2];R=G}else{f[H>>2]=f[D>>2];H=h+40|0;f[g+40>>2]=f[H>>2];G=h+48|0;f[D>>2]=G;f[H>>2]=v;R=G}f[h>>2]=1124007936;f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;f[r+12>>2]=0;f[r+16>>2]=0;f[r+20>>2]=0;f[r+24>>2]=0;f[r+28>>2]=0;f[E>>2]=0;f[C>>2]=0;f[C+4>>2]=0;f[C+8>>2]=0;f[C+12>>2]=0;if((R|0)!=(h+48|0))TC(R);N=g}C=f[k>>2]|0;E=f[M>>2]|0;r=f[a>>2]|0;G=f[N>>2]|0;v=f[x>>2]|0;H=f[t>>2]|0;D=Bzc(H|0,((H|0)<0)<<31>>31|0,v|0,((v|0)<0)<<31>>31|0)|0;if((r&16384&G|0)!=0?(D|0)==(D|0)&(((D|0)<0)<<31>>31|0)==(J|0):0){S=1;T=D}else{S=H;T=v}v=f[q>>2]|0;if((v|0)>0)U=f[(f[a+44>>2]|0)+(v+-1<<2)>>2]|0;else U=0;v=Y(U,T)|0;if(S|0){H=a+48|0;D=g+48|0;G=E;E=C;C=S;while(1){C=C+-1|0;szc(G|0,E|0,v|0)|0;if(!C)break;else{G=G+(f[D>>2]|0)|0;E=E+(f[H>>2]|0)|0}}}}H=g+36|0;E=f[H>>2]|0;if(E|0?(D=E+12|0,E=f[D>>2]|0,f[D>>2]=E+-1,(E|0)==1):0)aU(g);f[H>>2]=0;H=g+4|0;f[M>>2]=0;f[M+4>>2]=0;f[M+8>>2]=0;f[M+12>>2]=0;if((f[H>>2]|0)>0){E=f[g+40>>2]|0;D=0;do{f[E+(D<<2)>>2]=0;D=D+1|0}while((D|0)<(f[H>>2]|0))}H=f[g+44>>2]|0;if((H|0)!=(g+48|0))TC(H);break}}HJ(c)}while(0);if(!(f[e+4>>2]|0)){u=d;return}u=d;return}function FI(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0;e=u;u=u+304|0;g=e+288|0;h=e+232|0;i=e+176|0;j=e+112|0;k=e;l=e+168|0;m=e+88|0;n=e+56|0;o=e+104|0;gV(g,37192);do if((qJ(d)|0)==65536){p=f[d+4>>2]|0;f[h>>2]=f[p>>2];q=h+4|0;r=p+4|0;f[q>>2]=f[r>>2];s=h+8|0;f[s>>2]=f[p+8>>2];f[h+12>>2]=f[p+12>>2];t=h+16|0;f[t>>2]=f[p+16>>2];f[h+20>>2]=f[p+20>>2];f[h+24>>2]=f[p+24>>2];f[h+28>>2]=f[p+28>>2];f[h+32>>2]=f[p+32>>2];v=f[p+36>>2]|0;f[h+36>>2]=v;f[h+40>>2]=s;s=h+48|0;w=h+44|0;f[w>>2]=s;f[s>>2]=0;f[h+52>>2]=0;if(v|0){s=v+12|0;f[s>>2]=(f[s>>2]|0)+1}if((f[r>>2]|0)<3){r=f[p+44>>2]|0;s=f[w>>2]|0;f[s>>2]=f[r>>2];f[s+4>>2]=f[r+4>>2];x=t;break}else{f[q>>2]=0;$T(h,p);x=t;break}}else{nJ(h,d,-1);x=h+16|0}while(0);if(f[x>>2]|0){d=f[h>>2]|0;t=d>>>3&511;p=t+1|0;if(d&7|0){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;y=cuc(64)|0;f[i>>2]=y;z=i+8|0;f[z>>2]=-2147483584;A=i+4|0;f[A>>2]=48;B=y;C=204881;D=B+48|0;do{b[B>>0]=b[C>>0]|0;B=B+1|0;C=C+1|0}while((B|0)<(D|0));E=y+48|0;b[E>>0]=0;WD(-215,i,207129,204731,374)}d=(t|0)==0;if(!(d|(t|0)==((f[a>>2]|0)>>>3&511|0))){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;y=cuc(64)|0;f[i>>2]=y;z=i+8|0;f[z>>2]=-2147483584;A=i+4|0;f[A>>2]=48;B=y;C=204881;D=B+48|0;do{b[B>>0]=b[C>>0]|0;B=B+1|0;C=C+1|0}while((B|0)<(D|0));E=y+48|0;b[E>>0]=0;WD(-215,i,207129,204731,374)}E=a+4|0;if((f[E>>2]|0)<3?(y=f[a+40>>2]|0,A=f[h+40>>2]|0,!((f[y>>2]|0)==(f[A>>2]|0)?(f[y+4>>2]|0)==(f[A+4>>2]|0):0)):0){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;A=cuc(32)|0;f[i>>2]=A;f[i+8>>2]=-2147483616;f[i+4>>2]=21;B=A;C=204930;D=B+21|0;do{b[B>>0]=b[C>>0]|0;B=B+1|0;C=C+1|0}while((B|0)<(D|0));b[A+21>>0]=0;WD(-215,i,207129,204731,378)}f[i>>2]=1124007936;A=i+4|0;C=i+8|0;y=i+40|0;B=A;D=B+36|0;do{f[B>>2]=0;B=B+4|0}while((B|0)<(D|0));f[y>>2]=C;B=i+48|0;D=i+44|0;f[D>>2]=B;f[B>>2]=0;f[i+52>>2]=0;do if((qJ(c)|0)==65536){z=f[c+4>>2]|0;f[j>>2]=f[z>>2];t=j+4|0;q=z+4|0;f[t>>2]=f[q>>2];r=j+8|0;f[r>>2]=f[z+8>>2];f[j+12>>2]=f[z+12>>2];f[j+16>>2]=f[z+16>>2];f[j+20>>2]=f[z+20>>2];f[j+24>>2]=f[z+24>>2];f[j+28>>2]=f[z+28>>2];f[j+32>>2]=f[z+32>>2];s=f[z+36>>2]|0;f[j+36>>2]=s;f[j+40>>2]=r;r=j+48|0;w=j+44|0;f[w>>2]=r;f[r>>2]=0;f[j+52>>2]=0;if(s|0){r=s+12|0;f[r>>2]=(f[r>>2]|0)+1}if((f[q>>2]|0)<3){q=f[z+44>>2]|0;r=f[w>>2]|0;f[r>>2]=f[q>>2];f[r+4>>2]=f[q+4>>2];break}else{f[t>>2]=0;$T(j,z);break}}else nJ(j,c,-1);while(0);JJ(c,f[E>>2]|0,f[a+40>>2]|0,f[a>>2]&4095,-1,0,0);do if((qJ(c)|0)==65536){z=f[c+4>>2]|0;f[k>>2]=f[z>>2];t=k+4|0;q=z+4|0;f[t>>2]=f[q>>2];r=k+8|0;f[r>>2]=f[z+8>>2];f[k+12>>2]=f[z+12>>2];f[k+16>>2]=f[z+16>>2];f[k+20>>2]=f[z+20>>2];f[k+24>>2]=f[z+24>>2];f[k+28>>2]=f[z+28>>2];f[k+32>>2]=f[z+32>>2];w=f[z+36>>2]|0;f[k+36>>2]=w;f[k+40>>2]=r;r=k+48|0;s=k+44|0;f[s>>2]=r;f[r>>2]=0;f[k+52>>2]=0;if(w|0){r=w+12|0;f[r>>2]=(f[r>>2]|0)+1}if((f[q>>2]|0)<3){q=f[z+44>>2]|0;r=f[s>>2]|0;f[r>>2]=f[q>>2];f[r+4>>2]=f[q+4>>2];break}else{f[t>>2]=0;$T(k,z);break}}else nJ(k,c,-1);while(0);z=i+36|0;t=f[z>>2]|0;if(t|0?(q=t+12|0,t=f[q>>2]|0,f[q>>2]=t+-1,(t|0)==1):0)aU(i);f[z>>2]=0;t=i+16|0;f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;f[t+12>>2]=0;if((f[A>>2]|0)>0){q=f[y>>2]|0;r=0;do{f[q+(r<<2)>>2]=0;r=r+1|0}while((r|0)<(f[A>>2]|0))}f[i>>2]=f[k>>2];r=k+4|0;q=f[r>>2]|0;f[A>>2]=q;s=k+8|0;f[C>>2]=f[s>>2];f[i+12>>2]=f[k+12>>2];w=k+16|0;f[t>>2]=f[w>>2];f[i+20>>2]=f[k+20>>2];f[i+24>>2]=f[k+24>>2];f[i+28>>2]=f[k+28>>2];f[i+32>>2]=f[k+32>>2];v=k+36|0;f[z>>2]=f[v>>2];F=i+44|0;G=f[F>>2]|0;if((G|0)==(B|0))H=q;else{TC(G);f[F>>2]=B;f[y>>2]=C;H=f[r>>2]|0}C=k+44|0;if((H|0)<3){H=f[C>>2]|0;f[B>>2]=f[H>>2];f[i+52>>2]=f[H+4>>2];I=H}else{f[F>>2]=f[C>>2];F=k+40|0;f[i+40>>2]=f[F>>2];H=k+48|0;f[C>>2]=H;f[F>>2]=s;I=H}f[k>>2]=1124007936;f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;f[r+12>>2]=0;f[r+16>>2]=0;f[r+20>>2]=0;f[r+24>>2]=0;f[r+28>>2]=0;f[v>>2]=0;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;f[w+12>>2]=0;if((I|0)!=(k+48|0))TC(I);I=j+16|0;if((f[t>>2]|0)!=(f[I>>2]|0)){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;f[k+16>>2]=0;f[k+20>>2]=0;f[k+24>>2]=0;f[k+28>>2]=0;GI(i,k)|0}w=j+36|0;v=f[w>>2]|0;if(v|0?(r=v+12|0,v=f[r>>2]|0,f[r>>2]=v+-1,(v|0)==1):0)aU(j);f[w>>2]=0;w=j+4|0;f[I>>2]=0;f[I+4>>2]=0;f[I+8>>2]=0;f[I+12>>2]=0;if((f[w>>2]|0)>0){I=f[j+40>>2]|0;v=0;do{f[I+(v<<2)>>2]=0;v=v+1|0}while((v|0)<(f[w>>2]|0))}w=f[j+44>>2]|0;if((w|0)!=(j+48|0))TC(w);if(d){d=f[E>>2]|0;if((d|0)>0){w=f[(f[a+44>>2]|0)+(d+-1<<2)>>2]|0;f[j>>2]=w;if(w>>>0<33){K=w;L=d;M=58}else{N=d;O=169}}else{P=0;Q=d;M=56}}else{P=675553809>>>(f[a>>2]<<2&28)&15;Q=f[E>>2]|0;M=56}if((M|0)==56){f[j>>2]=P;K=P;L=Q;M=58}if((M|0)==58){M=f[37040+(K<<2)>>2]|0;N=L;O=(M|0)==0?169:M}if((N|0)<3){N=f[a>>2]|0;M=f[i>>2]|0;L=f[h>>2]|0;K=f[a+12>>2]|0;Q=f[a+8>>2]|0;P=Bzc(K|0,((K|0)<0)<<31>>31|0,p|0,0)|0;E=Bzc(P|0,J|0,Q|0,((Q|0)<0)<<31>>31|0)|0;if((N&16384&M&L|0)!=0?(E|0)==(E|0)&(((E|0)<0)<<31>>31|0)==(J|0):0){R=1;S=E}else{R=Q;S=Y(K,p)|0}K=f[a+16>>2]|0;Q=f[a+48>>2]|0;E=f[x>>2]|0;L=f[h+48>>2]|0;M=f[t>>2]|0;N=f[B>>2]|0;f[l>>2]=S;f[l+4>>2]=R;Gh[O&255](K,Q,E,L,M,N,l,j)}else{f[k>>2]=a;f[k+4>>2]=i;f[k+8>>2]=h;f[k+12>>2]=0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;YC(n,k,m,-1);k=Y(f[n+20>>2]|0,p)|0;p=n+16|0;l=m+8|0;N=m+4|0;M=o+4|0;L=0;while(1){if(L>>>0>=(f[p>>2]|0)>>>0)break;E=f[m>>2]|0;Q=f[l>>2]|0;K=f[N>>2]|0;f[o>>2]=k;f[M>>2]=1;Gh[O&255](E,0,Q,0,K,0,o,j);ZC(n)|0;L=L+1|0}}L=f[z>>2]|0;do if(L|0){n=L+12|0;j=f[n>>2]|0;f[n>>2]=j+-1;if((j|0)!=1)break;aU(i)}while(0);f[z>>2]=0;f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;f[t+12>>2]=0;if((f[A>>2]|0)>0){t=f[y>>2]|0;y=0;do{f[t+(y<<2)>>2]=0;y=y+1|0}while((y|0)<(f[A>>2]|0))}A=f[D>>2]|0;if((A|0)!=(B|0))TC(A)}else EI(a,c);c=h+36|0;a=f[c>>2]|0;if(a|0?(A=a+12|0,a=f[A>>2]|0,f[A>>2]=a+-1,(a|0)==1):0)aU(h);f[c>>2]=0;c=h+4|0;f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;f[x+12>>2]=0;if((f[c>>2]|0)>0){x=f[h+40>>2]|0;a=0;do{f[x+(a<<2)>>2]=0;a=a+1|0}while((a|0)<(f[c>>2]|0))}c=f[h+44>>2]|0;if((c|0)!=(h+48|0))TC(c);if(!(f[g+4>>2]|0)){u=e;return}u=e;return}function GI(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;d=u;u=u+160|0;e=d+152|0;g=d+148|0;h=d+144|0;i=d+112|0;j=d;k=d+96|0;gV(e,37212);l=a+16|0;if(f[l>>2]|0){m=a+4|0;n=f[m>>2]|0;if((n|0)<3)o=Y(f[a+12>>2]|0,f[a+8>>2]|0)|0;else{p=f[a+40>>2]|0;q=0;r=1;while(1){s=Y(f[p+(q<<2)>>2]|0,r)|0;q=q+1|0;if((q|0)==(n|0)){o=s;break}else r=s}}if(!((n|0)==0|(o|0)==0)){f[g>>2]=a;YC(i,g,h,1);g=f[m>>2]|0;if((g|0)>0)t=f[(f[a+44>>2]|0)+(g+-1<<2)>>2]|0;else t=0;g=Y(t,f[i+20>>2]|0)|0;t=c;a:do if((((f[t>>2]|0)==0&(f[t+4>>2]|0)==0?(m=c+8|0,(f[m>>2]|0)==0&(f[m+4>>2]|0)==0):0)?(m=c+16|0,(f[m>>2]|0)==0&(f[m+4>>2]|0)==0):0)?(m=c+24|0,(f[m>>2]|0)==0&(f[m+4>>2]|0)==0):0){m=i+16|0;o=0;while(1){if(o>>>0>=(f[m>>2]|0)>>>0)break a;kzc(f[h>>2]|0,0,g|0)|0;ZC(i)|0;o=o+1|0}}else v=16;while(0);if((v|0)==16?(v=i+16|0,f[v>>2]|0):0){e_(c,j,f[a>>2]&4095,12);c=(675553809>>>(f[a>>2]<<2&28)&15)*12|0;b:do if(g|0){t=0;while(1){o=g-t|0;m=c>>>0>o>>>0?o:c;if(m>>>0>=97)break;szc((f[h>>2]|0)+t|0,j|0,m|0)|0;t=t+c|0;if(g>>>0<=t>>>0)break b}f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;t=cuc(32)|0;f[k>>2]=t;f[k+8>>2]=-2147483616;f[k+4>>2]=20;m=t;o=204952;n=m+20|0;do{b[m>>0]=b[o>>0]|0;m=m+1|0;o=o+1|0}while((m|0)<(n|0));b[t+20>>0]=0;WD(-215,k,531142,204731,447)}while(0);if((f[v>>2]|0)>>>0>1){k=1;do{ZC(i)|0;szc(f[h>>2]|0,f[l>>2]|0,g|0)|0;k=k+1|0}while(k>>>0<(f[v>>2]|0)>>>0)}}}}if(!(f[e+4>>2]|0)){u=d;return a|0}u=d;return a|0}function HI(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0;e=u;u=u+1232|0;g=e+1224|0;h=e+1168|0;i=e+1112|0;j=e+1100|0;k=e+1088|0;l=e;m=e+1048|0;n=e+8|0;o=e+1080|0;gV(g,37232);if(f[a+16>>2]|0){p=a+4|0;q=f[p>>2]|0;if((q|0)<3)r=Y(f[a+12>>2]|0,f[a+8>>2]|0)|0;else{s=f[a+40>>2]|0;t=0;v=1;while(1){w=Y(f[s+(t<<2)>>2]|0,v)|0;t=t+1|0;if((t|0)==(q|0)){r=w;break}else v=w}}if(!((q|0)==0|(r|0)==0)){do if((qJ(c)|0)==65536){r=f[c+4>>2]|0;f[h>>2]=f[r>>2];q=h+4|0;v=r+4|0;f[q>>2]=f[v>>2];t=h+8|0;f[t>>2]=f[r+8>>2];f[h+12>>2]=f[r+12>>2];f[h+16>>2]=f[r+16>>2];f[h+20>>2]=f[r+20>>2];f[h+24>>2]=f[r+24>>2];f[h+28>>2]=f[r+28>>2];f[h+32>>2]=f[r+32>>2];s=f[r+36>>2]|0;f[h+36>>2]=s;f[h+40>>2]=t;t=h+48|0;w=h+44|0;f[w>>2]=t;f[t>>2]=0;f[h+52>>2]=0;if(s|0){t=s+12|0;f[t>>2]=(f[t>>2]|0)+1}if((f[v>>2]|0)<3){v=f[r+44>>2]|0;t=f[w>>2]|0;f[t>>2]=f[v>>2];f[t+4>>2]=f[v+4>>2];break}else{f[q>>2]=0;$T(h,r);break}}else nJ(h,c,-1);while(0);do if((qJ(d)|0)==65536){c=f[d+4>>2]|0;f[i>>2]=f[c>>2];r=i+4|0;q=c+4|0;f[r>>2]=f[q>>2];v=i+8|0;f[v>>2]=f[c+8>>2];f[i+12>>2]=f[c+12>>2];f[i+16>>2]=f[c+16>>2];f[i+20>>2]=f[c+20>>2];f[i+24>>2]=f[c+24>>2];f[i+28>>2]=f[c+28>>2];f[i+32>>2]=f[c+32>>2];t=f[c+36>>2]|0;f[i+36>>2]=t;f[i+40>>2]=v;v=i+48|0;w=i+44|0;f[w>>2]=v;f[v>>2]=0;f[i+52>>2]=0;if(t|0){v=t+12|0;f[v>>2]=(f[v>>2]|0)+1}if((f[q>>2]|0)<3){q=f[c+44>>2]|0;v=f[w>>2]|0;f[v>>2]=f[q>>2];f[v+4>>2]=f[q+4>>2];break}else{f[r>>2]=0;$T(i,c);break}}else nJ(i,d,-1);while(0);d=f[a>>2]|0;c=h+4|0;if((f[c>>2]|0)>2){f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;x=cuc(64)|0;f[j>>2]=x;y=j+8|0;f[y>>2]=-2147483584;z=j+4|0;f[z>>2]=60;A=x;B=205069;C=A+60|0;do{b[A>>0]=b[B>>0]|0;A=A+1|0;B=B+1|0}while((A|0)<(C|0));D=x+60|0;b[D>>0]=0;WD(-215,j,208949,204731,529)}r=f[h>>2]|0;if(!(r&16384)){f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;x=cuc(64)|0;f[j>>2]=x;y=j+8|0;f[y>>2]=-2147483584;z=j+4|0;f[z>>2]=60;A=x;B=205069;C=A+60|0;do{b[A>>0]=b[B>>0]|0;A=A+1|0;B=B+1|0}while((A|0)<(C|0));D=x+60|0;b[D>>0]=0;WD(-215,j,208949,204731,529)}q=h+40|0;v=f[q>>2]|0;w=f[v+4>>2]|0;t=f[v>>2]|0;v=(w|0)==1;s=(t|0)==1;if(!(v|s)){f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;x=cuc(64)|0;f[j>>2]=x;y=j+8|0;f[y>>2]=-2147483584;z=j+4|0;f[z>>2]=60;A=x;B=205069;C=A+60|0;do{b[A>>0]=b[B>>0]|0;A=A+1|0;B=B+1|0}while((A|0)<(C|0));D=x+60|0;b[D>>0]=0;WD(-215,j,208949,204731,529)}E=(d>>>3&511)+1|0;if(!((w|0)==(E|0)&s|v&(s|(t|0)==(E|0)))?E>>>0>4|(r&4095|0)!=6|v&(t|0)==4^1:0){f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;x=cuc(64)|0;f[j>>2]=x;y=j+8|0;f[y>>2]=-2147483584;z=j+4|0;f[z>>2]=60;A=x;B=205069;C=A+60|0;do{b[A>>0]=b[B>>0]|0;A=A+1|0;B=B+1|0}while((A|0)<(C|0));D=x+60|0;b[D>>0]=0;WD(-215,j,208949,204731,529)}D=f[a>>2]|0;x=D>>>3&511;z=f[i>>2]|0;y=z>>>3&511;t=y+1|0;v=i+16|0;r=(f[v>>2]|0)==0;a:do if(!r){E=f[i+4>>2]|0;if((E|0)<3)F=Y(f[i+12>>2]|0,f[i+8>>2]|0)|0;else{s=f[i+40>>2]|0;w=0;d=1;while(1){G=Y(f[s+(w<<2)>>2]|0,d)|0;w=w+1|0;if((w|0)==(E|0)){F=G;break}else d=G}}if(!((E|0)==0|(F|0)==0)){b:do if(((z&7|0)==0?(y|0)==0|(y|0)==(x|0):0)?(d=f[a+40>>2]|0,w=f[d+-4>>2]|0,s=f[i+40>>2]|0,(w|0)==(f[s+-4>>2]|0)):0){if((w|0)==2){if((f[d>>2]|0)!=(f[s>>2]|0))break;if((f[d+4>>2]|0)==(f[s+4>>2]|0))break a;else break}if((w|0)>0)H=0;else break a;while(1){if((f[d+(H<<2)>>2]|0)!=(f[s+(H<<2)>>2]|0))break b;H=H+1|0;if((H|0)>=(w|0))break a}}while(0);f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;E=cuc(96)|0;f[j>>2]=E;f[j+8>>2]=-2147483552;f[j+4>>2]=87;A=E;B=205130;C=A+87|0;do{b[A>>0]=b[B>>0]|0;A=A+1|0;B=B+1|0}while((A|0)<(C|0));b[E+87>>0]=0;WD(-215,j,208949,204731,531)}}while(0);if(!y){y=f[p>>2]|0;if((y|0)>0){p=f[(f[a+44>>2]|0)+(y+-1<<2)>>2]|0;f[j>>2]=p;if(p>>>0<33){I=p;J=48}else K=169}else{L=0;J=46}}else{L=675553809>>>(D<<2&28)&15;J=46}if((J|0)==46){f[j>>2]=L;I=L;J=48}if((J|0)==48){L=f[37040+(I<<2)>>2]|0;K=(L|0)==0?169:L}f[k>>2]=a;if(!r){r=f[i+4>>2]|0;if((r|0)<3)M=Y(f[i+12>>2]|0,f[i+8>>2]|0)|0;else{L=f[i+40>>2]|0;I=0;D=1;while(1){p=Y(f[L+(I<<2)>>2]|0,D)|0;I=I+1|0;if((I|0)==(r|0)){M=p;break}else D=p}}D=k+4|0;if((r|0)==0|(M|0)==0){N=D;J=56}else{O=i;P=D}}else{N=k+4|0;J=56}if((J|0)==56){O=0;P=N}f[P>>2]=O;f[k+8>>2]=0;O=l;f[O>>2]=0;f[O+4>>2]=0;YC(m,k,l,-1);k=Y(f[m+20>>2]|0,t)|0;O=f[j>>2]|0;P=((O+1023|0)>>>0)/(O>>>0)|0;N=(P|0)<(k|0)?P:k;P=N-((N|0)%(t|0)|0)|0;J=(Y(P,O)|0)+32|0;O=n+8|0;f[n>>2]=O;D=n+4|0;f[D>>2]=J;if(J>>>0>1032){M=euc(J)|0;f[n>>2]=M;Q=M}else Q=O;M=Q+7&-8;AV(h,f[a>>2]&4095,M,(N|0)/(t|0)|0);t=m+16|0;N=l+4|0;Q=o+4|0;c:do if((k|0)>0){J=0;while(1){if(J>>>0>=(f[t>>2]|0)>>>0)break c;r=0;I=f[l>>2]|0;do{L=k-r|0;p=(L|0)<(P|0)?L:P;L=Y(f[j>>2]|0,p)|0;y=f[N>>2]|0;if(!y)szc(I|0,M|0,L|0)|0;else{f[o>>2]=p;f[Q>>2]=1;Gh[K&255](M,0,y,0,I,0,o,j);f[N>>2]=(f[N>>2]|0)+p}I=(f[l>>2]|0)+L|0;f[l>>2]=I;r=r+P|0}while((k|0)>(r|0));ZC(m)|0;J=J+1|0}}else{J=0;while(1){if(J>>>0>=(f[t>>2]|0)>>>0)break c;ZC(m)|0;J=J+1|0}}while(0);m=f[n>>2]|0;if((m|0)!=(O|0)){if(m|0)guc(m);f[n>>2]=O;f[D>>2]=1032}D=i+36|0;O=f[D>>2]|0;if(O|0?(n=O+12|0,O=f[n>>2]|0,f[n>>2]=O+-1,(O|0)==1):0)aU(i);f[D>>2]=0;D=i+4|0;f[v>>2]=0;f[v+4>>2]=0;f[v+8>>2]=0;f[v+12>>2]=0;if((f[D>>2]|0)>0){v=f[i+40>>2]|0;O=0;do{f[v+(O<<2)>>2]=0;O=O+1|0}while((O|0)<(f[D>>2]|0))}D=f[i+44>>2]|0;if((D|0)!=(i+48|0))TC(D);D=h+36|0;i=f[D>>2]|0;do if(i|0){O=i+12|0;v=f[O>>2]|0;f[O>>2]=v+-1;if((v|0)!=1)break;aU(h)}while(0);f[D>>2]=0;D=h+16|0;f[D>>2]=0;f[D+4>>2]=0;f[D+8>>2]=0;f[D+12>>2]=0;if((f[c>>2]|0)>0){D=f[q>>2]|0;q=0;do{f[D+(q<<2)>>2]=0;q=q+1|0}while((q|0)<(f[c>>2]|0))}c=f[h+44>>2]|0;if((c|0)!=(h+48|0))TC(c)}}if(!(f[g+4>>2]|0)){u=e;return a|0}u=e;return a|0}function II(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0;e=u;u=u+160|0;g=e+152|0;h=e+136|0;i=e+72|0;j=e+128|0;k=e+16|0;l=e+8|0;m=e;gV(g,37252);if((AJ(a,-1)|0)>=3){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;n=cuc(32)|0;f[h>>2]=n;f[h+8>>2]=-2147483616;f[h+4>>2]=16;o=n;p=212622;q=o+16|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[n+16>>0]=0;WD(-215,h,205266,204731,748)}oJ(h,a,-1);n=f[h>>2]|0;if((d|0)<0)r=(f[h+4>>2]|0)==1?1:(n|0)==1?0:d;else r=d;d=(n|0)==1;if((!((r|0)>0&d)?(n=h+4|0,p=(f[n>>2]|0)==1,!((r|0)==0&p)):0)?(o=(r|0)<0,!(o&d&p)):0){do if((qJ(a)|0)==65536){p=f[a+4>>2]|0;f[i>>2]=f[p>>2];d=i+4|0;q=p+4|0;f[d>>2]=f[q>>2];s=i+8|0;f[s>>2]=f[p+8>>2];f[i+12>>2]=f[p+12>>2];f[i+16>>2]=f[p+16>>2];f[i+20>>2]=f[p+20>>2];f[i+24>>2]=f[p+24>>2];f[i+28>>2]=f[p+28>>2];f[i+32>>2]=f[p+32>>2];t=f[p+36>>2]|0;f[i+36>>2]=t;f[i+40>>2]=s;s=i+48|0;v=i+44|0;f[v>>2]=s;f[s>>2]=0;f[i+52>>2]=0;if(t|0){s=t+12|0;f[s>>2]=(f[s>>2]|0)+1}if((f[q>>2]|0)<3){q=f[p+44>>2]|0;s=f[v>>2]|0;f[s>>2]=f[q>>2];f[s+4>>2]=f[q+4>>2];w=i;break}else{f[d>>2]=0;$T(i,p);w=i;break}}else{nJ(i,a,-1);w=i}while(0);p=f[w>>2]|0;w=p&4095;f[j>>2]=f[h>>2];f[j+4>>2]=f[n>>2];IJ(c,j,w,-1,0,0);do if((qJ(c)|0)==65536){j=f[c+4>>2]|0;f[k>>2]=f[j>>2];n=k+4|0;h=j+4|0;f[n>>2]=f[h>>2];d=k+8|0;f[d>>2]=f[j+8>>2];f[k+12>>2]=f[j+12>>2];q=k+16|0;f[q>>2]=f[j+16>>2];f[k+20>>2]=f[j+20>>2];f[k+24>>2]=f[j+24>>2];f[k+28>>2]=f[j+28>>2];f[k+32>>2]=f[j+32>>2];s=f[j+36>>2]|0;f[k+36>>2]=s;f[k+40>>2]=d;d=k+48|0;v=k+44|0;f[v>>2]=d;f[d>>2]=0;f[k+52>>2]=0;if(s|0){t=s+12|0;f[t>>2]=(f[t>>2]|0)+1}if((f[h>>2]|0)<3){h=f[j+44>>2]|0;t=f[v>>2]|0;f[t>>2]=f[h>>2];f[t+4>>2]=f[h+4>>2];x=q;y=v;z=d;break}else{f[n>>2]=0;$T(k,j);x=q;y=v;z=d;break}}else{nJ(k,c,-1);x=k+16|0;y=k+44|0;z=k+48|0}while(0);d=Y(675553809>>>(w<<2&28)&15,(p>>>3&511)+1|0)|0;p=i+16|0;w=f[p>>2]|0;v=i+44|0;q=i+48|0;j=f[q>>2]|0;n=f[x>>2]|0;h=f[z>>2]|0;t=i+40|0;s=f[t>>2]|0;A=f[s+4>>2]|0;B=f[s>>2]|0;a:do if((r|0)<1){s=B+-1|0;C=Y(A,d)|0;if((B|0)>0){D=n+(Y(s,h)|0)|0;E=w+(Y(s,j)|0)|0;s=0-j|0;F=0-h|0;G=C+-4|0;H=C+-16|0;I=(B+1|0)/2|0;if((C|0)<16){J=C&-4;K=(C|0)<4;L=E;M=D;N=0;O=w;P=n;while(1){if(((P|O|L|M)&3|0)!=0|K)Q=0;else{R=0;do{S=f[O+R>>2]|0;f[P+R>>2]=f[L+R>>2];f[M+R>>2]=S;R=R+4|0}while((R|0)<=(G|0));Q=J}if((Q|0)<(C|0)){R=Q;do{S=b[O+R>>0]|0;b[P+R>>0]=b[L+R>>0]|0;b[M+R>>0]=S;R=R+1|0}while((R|0)!=(C|0))}N=N+1|0;if((N|0)>=(I|0))break a;else{L=L+s|0;M=M+F|0;O=O+j|0;P=P+h|0}}}P=C&-16;O=(P|0)>(G|0);M=E;L=D;N=0;J=w;K=n;while(1){if(!((K|J|M|L)&3)){R=0;do{S=J+R|0;T=f[S>>2]|0;U=M+R|0;V=K+R|0;f[V>>2]=f[U>>2];W=L+R|0;f[W>>2]=T;T=f[S+4>>2]|0;f[V+4>>2]=f[U+4>>2];f[W+4>>2]=T;T=f[S+8>>2]|0;f[V+8>>2]=f[U+8>>2];f[W+8>>2]=T;T=f[S+12>>2]|0;f[V+12>>2]=f[U+12>>2];f[W+12>>2]=T;R=R+16|0}while((R|0)<=(H|0));if(O)X=P;else{R=P;while(1){T=f[J+R>>2]|0;f[K+R>>2]=f[M+R>>2];f[L+R>>2]=T;T=R+4|0;if((T|0)>(G|0)){X=T;break}else R=T}}}else X=0;if((X|0)<(C|0)){R=X;do{T=b[J+R>>0]|0;b[K+R>>0]=b[M+R>>0]|0;b[L+R>>0]=T;R=R+1|0}while((R|0)!=(C|0))}N=N+1|0;if((N|0)>=(I|0))break;else{M=M+s|0;L=L+F|0;J=J+j|0;K=K+h|0}}}}else{f[l>>2]=A;f[l+4>>2]=B;JI(w,j,n,h,l,d)}while(0);if(o){o=f[x>>2]|0;l=f[z>>2]|0;h=f[k+40>>2]|0;n=f[h>>2]|0;f[m>>2]=f[h+4>>2];f[m+4>>2]=n;JI(o,l,o,l,m,d)}d=k+36|0;m=f[d>>2]|0;if(m|0?(l=m+12|0,m=f[l>>2]|0,f[l>>2]=m+-1,(m|0)==1):0)aU(k);f[d>>2]=0;d=k+4|0;f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;f[x+12>>2]=0;if((f[d>>2]|0)>0){x=f[k+40>>2]|0;k=0;do{f[x+(k<<2)>>2]=0;k=k+1|0}while((k|0)<(f[d>>2]|0))}d=f[y>>2]|0;if((d|0)!=(z|0))TC(d);d=i+36|0;z=f[d>>2]|0;if(z|0?(y=z+12|0,z=f[y>>2]|0,f[y>>2]=z+-1,(z|0)==1):0)aU(i);f[d>>2]=0;d=i+4|0;f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;f[p+12>>2]=0;if((f[d>>2]|0)>0){p=f[t>>2]|0;t=0;do{f[p+(t<<2)>>2]=0;t=t+1|0}while((t|0)<(f[d>>2]|0))}d=f[v>>2]|0;if((d|0)!=(q|0))TC(d)}else GJ(a,c);if(!(f[g+4>>2]|0)){u=e;return}u=e;return}function JI(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;i=u;u=u+1072|0;j=i;k=f[g>>2]|0;l=Y((k+1|0)/2|0,h)|0;m=Y(k,h)|0;n=j+8|0;f[j>>2]=n;o=j+4|0;f[o>>2]=m;if(m>>>0>264){p=euc(m>>>0>1073741823?-1:m<<2)|0;f[j>>2]=p;q=p}else q=n;a:do if((k|0)>0){if(!h){p=0;while(1){p=p+1|0;if((p|0)>=(k|0))break a}}p=f[g>>2]|0;m=(h|0)==1;r=0;s=k;while(1){t=~r;v=Y(r,h)|0;w=Y(s+t|0,h)|0;f[q+(v<<2)>>2]=w;if(!m){w=Y((f[g>>2]|0)+t|0,h)|0;t=1;do{f[q+(t+v<<2)>>2]=w+t;t=t+1|0}while((t|0)!=(h|0))}t=r+1|0;if((t|0)<(p|0)){r=t;s=p}else break}}while(0);h=g+4|0;g=f[h>>2]|0;k=g+-1|0;f[h>>2]=k;do if(!g)x=q;else{if((l|0)>0){y=d;z=a}else{p=k;do{s=p;p=p+-1|0}while((s|0)!=0);f[h>>2]=p;x=q;break}while(1){s=0;do{r=f[q+(s<<2)>>2]|0;m=b[z+s>>0]|0;b[y+s>>0]=b[z+r>>0]|0;b[y+r>>0]=m;s=s+1|0}while((s|0)!=(l|0));s=f[h>>2]|0;f[h>>2]=s+-1;if(!s)break;else{y=y+e|0;z=z+c|0}}x=f[j>>2]|0}while(0);if((x|0)==(n|0)){u=i;return}if(x|0)guc(x);f[j>>2]=n;f[o>>2]=264;u=i;return}function KI(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;g=u;u=u+144|0;h=g+128|0;i=g+112|0;j=g+56|0;k=g;gV(h,37272);l=a+4|0;m=e+4|0;if((f[l>>2]|0)==(f[m>>2]|0)){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;n=cuc(32)|0;f[i>>2]=n;f[i+8>>2]=-2147483616;f[i+4>>2]=30;o=n;p=205315;q=o+30|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[n+30>>0]=0;WD(-215,i,205346,204731,868)}if((AJ(a,-1)|0)>=3){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;n=cuc(32)|0;f[i>>2]=n;f[i+8>>2]=-2147483616;f[i+4>>2]=16;o=n;p=212622;q=o+16|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[n+16>>0]=0;WD(-215,i,205346,204731,869)}if(!((c|0)>0&(d|0)>0)){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;n=cuc(32)|0;f[i>>2]=n;f[i+8>>2]=-2147483616;f[i+4>>2]=16;o=n;p=205353;q=o+16|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[n+16>>0]=0;WD(-215,i,205346,204731,870)}oJ(i,a,-1);n=i+4|0;p=f[n>>2]|0;o=f[i>>2]|0;jK(e,Y(p,c)|0,Y(o,d)|0,pJ(a,-1)|0,-1,0,0);do if((qJ(a)|0)==65536){d=f[l>>2]|0;f[j>>2]=f[d>>2];o=j+4|0;c=d+4|0;f[o>>2]=f[c>>2];p=j+8|0;f[p>>2]=f[d+8>>2];f[j+12>>2]=f[d+12>>2];f[j+16>>2]=f[d+16>>2];f[j+20>>2]=f[d+20>>2];f[j+24>>2]=f[d+24>>2];f[j+28>>2]=f[d+28>>2];f[j+32>>2]=f[d+32>>2];q=f[d+36>>2]|0;f[j+36>>2]=q;f[j+40>>2]=p;p=j+48|0;r=j+44|0;f[r>>2]=p;f[p>>2]=0;f[j+52>>2]=0;if(q|0){p=q+12|0;f[p>>2]=(f[p>>2]|0)+1}if((f[c>>2]|0)<3){c=f[d+44>>2]|0;p=f[r>>2]|0;f[p>>2]=f[c>>2];f[p+4>>2]=f[c+4>>2];break}else{f[o>>2]=0;$T(j,d);break}}else nJ(j,a,-1);while(0);do if((qJ(e)|0)==65536){a=f[m>>2]|0;f[k>>2]=f[a>>2];l=k+4|0;d=a+4|0;f[l>>2]=f[d>>2];o=k+8|0;f[o>>2]=f[a+8>>2];f[k+12>>2]=f[a+12>>2];f[k+16>>2]=f[a+16>>2];f[k+20>>2]=f[a+20>>2];f[k+24>>2]=f[a+24>>2];f[k+28>>2]=f[a+28>>2];f[k+32>>2]=f[a+32>>2];c=f[a+36>>2]|0;f[k+36>>2]=c;p=k+40|0;f[p>>2]=o;o=k+48|0;r=k+44|0;f[r>>2]=o;f[o>>2]=0;f[k+52>>2]=0;if(c|0){o=c+12|0;f[o>>2]=(f[o>>2]|0)+1}if((f[d>>2]|0)<3){d=f[a+44>>2]|0;o=f[r>>2]|0;f[o>>2]=f[d>>2];f[o+4>>2]=f[d+4>>2];s=p;break}else{f[l>>2]=0;$T(k,a);s=p;break}}else{nJ(k,e,-1);s=k+40|0}while(0);e=f[s>>2]|0;m=f[e+4>>2]|0;p=f[e>>2]|0;e=j+4|0;a=f[e>>2]|0;if((a|0)>0)t=f[(f[j+44>>2]|0)+(a+-1<<2)>>2]|0;else t=0;a=Y(f[i>>2]|0,t)|0;f[i>>2]=a;l=Y(t,m)|0;m=f[n>>2]|0;a:do if((m|0)>0){t=k+16|0;d=k+44|0;o=j+16|0;r=j+44|0;if((l|0)>0){v=0;w=a}else{c=0;while(1){q=c+1|0;if((q|0)<(m|0))c=q;else{x=q;y=m;break a}}}while(1){c=0;q=w;do{z=(f[t>>2]|0)+(Y(f[f[d>>2]>>2]|0,v)|0)+c|0;szc(z|0,(f[o>>2]|0)+(Y(f[f[r>>2]>>2]|0,v)|0)|0,q|0)|0;q=f[i>>2]|0;c=q+c|0}while((c|0)<(l|0));c=v+1|0;z=f[n>>2]|0;if((c|0)<(z|0)){v=c;w=q}else{x=c;y=z;break}}}else{x=0;y=m}while(0);if((x|0)<(p|0)?(m=k+16|0,w=k+44|0,v=f[m>>2]|0,i=f[f[w>>2]>>2]|0,szc(v+(Y(i,x)|0)|0,v+(Y(x-y|0,i)|0)|0,l|0)|0,i=x+1|0,(i|0)!=(p|0)):0){x=i;do{i=f[m>>2]|0;y=f[f[w>>2]>>2]|0;szc(i+(Y(y,x)|0)|0,i+(Y(x-(f[n>>2]|0)|0,y)|0)|0,l|0)|0;x=x+1|0}while((x|0)!=(p|0))}p=k+36|0;x=f[p>>2]|0;if(x|0?(l=x+12|0,x=f[l>>2]|0,f[l>>2]=x+-1,(x|0)==1):0)aU(k);f[p>>2]=0;p=k+16|0;x=k+4|0;f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;f[p+12>>2]=0;if((f[x>>2]|0)>0){p=f[s>>2]|0;s=0;do{f[p+(s<<2)>>2]=0;s=s+1|0}while((s|0)<(f[x>>2]|0))}x=f[k+44>>2]|0;if((x|0)!=(k+48|0))TC(x);x=j+36|0;k=f[x>>2]|0;if(k|0?(s=k+12|0,k=f[s>>2]|0,f[s>>2]=k+-1,(k|0)==1):0)aU(j);f[x>>2]=0;x=j+16|0;f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;f[x+12>>2]=0;if((f[e>>2]|0)>0){x=f[j+40>>2]|0;k=0;do{f[x+(k<<2)>>2]=0;k=k+1|0}while((k|0)<(f[e>>2]|0))}e=f[j+44>>2]|0;if((e|0)!=(j+48|0))TC(e);if(!(f[h+4>>2]|0)){u=g;return}u=g;return}function LI(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0;e=u;u=u+16|0;g=e;if(a>>>0<c>>>0){h=a;u=e;return h|0}switch(d|0){case 1:{h=(a|0)<0?0:c+-1|0;u=e;return h|0}case 2:case 4:{i=(d|0)==4;d=i&1;if((c|0)==1){h=0;u=e;return h|0}j=(c<<1)+-1+(i<<31>>31)|0;i=a;while(1){k=(i|0)<0?d+~i|0:j-i|0;if(k>>>0<c>>>0){h=k;break}else i=k}u=e;return h|0}case 3:{if((c|0)<=0){f[g+8>>2]=0;b[g+11>>0]=7;b[g>>0]=b[236330]|0;b[g+1>>0]=b[236331]|0;b[g+2>>0]=b[236332]|0;b[g+3>>0]=b[236333]|0;b[g+4>>0]=b[236334]|0;b[g+5>>0]=b[236335]|0;b[g+6>>0]=b[236336]|0;b[g+7>>0]=0;WD(-215,g,205421,204731,942)}i=a-c|0;if((a|0)<0)l=~i+a+((i+1|0)%(c|0)|0)|0;else l=a;if((l|0)<(c|0)){h=l;u=e;return h|0}h=(l|0)%(c|0)|0;u=e;return h|0}case 0:{h=-1;u=e;return h|0}default:{h=cuc(32)|0;f[g>>2]=h;f[g+8>>2]=-2147483616;f[g+4>>2]=31;e=h;c=205439;l=e+31|0;do{b[e>>0]=b[c>>0]|0;e=e+1|0;c=c+1|0}while((e|0)<(l|0));b[h+31>>0]=0;WD(-5,g,205421,204731,951)}}return 0}function MI(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0.0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0;k=u;u=u+2288|0;l=k+1216|0;m=k+1208|0;n=k+1152|0;o=k+1096|0;q=k;gV(m,37292);if((e|d|g|h|0)<=-1){f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;r=cuc(64)|0;f[l>>2]=r;f[l+8>>2]=-2147483584;f[l+4>>2]=50;s=r;t=205471;v=s+50|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));b[r+50>>0]=0;WD(-215,l,205522,204731,1187)}do if((qJ(a)|0)==65536){r=f[a+4>>2]|0;f[n>>2]=f[r>>2];w=n+4|0;x=r+4|0;f[w>>2]=f[x>>2];y=n+8|0;f[y>>2]=f[r+8>>2];f[n+12>>2]=f[r+12>>2];f[n+16>>2]=f[r+16>>2];f[n+20>>2]=f[r+20>>2];f[n+24>>2]=f[r+24>>2];f[n+28>>2]=f[r+28>>2];f[n+32>>2]=f[r+32>>2];z=f[r+36>>2]|0;f[n+36>>2]=z;f[n+40>>2]=y;y=n+48|0;A=n+44|0;f[A>>2]=y;f[y>>2]=0;f[n+52>>2]=0;if(z|0){y=z+12|0;f[y>>2]=(f[y>>2]|0)+1}if((f[x>>2]|0)<3){x=f[r+44>>2]|0;y=f[A>>2]|0;f[y>>2]=f[x>>2];f[y+4>>2]=f[x+4>>2];B=n;break}else{f[w>>2]=0;$T(n,r);B=n;break}}else{nJ(n,a,-1);B=n}while(0);a=f[B>>2]|0;if((i&16|0)==0&(a&32768|0)!=0){f[l>>2]=0;r=l+4|0;f[r>>2]=0;f[o>>2]=0;w=o+4|0;f[w>>2]=0;kU(n,l,o);x=f[w>>2]|0;w=(x|0)>(d|0)?d:x;y=n+8|0;A=(f[r>>2]|0)-(f[y>>2]|0)-x|0;x=(A|0)>(e|0)?e:A;A=f[o>>2]|0;r=(A|0)>(g|0)?g:A;z=n+12|0;C=(f[l>>2]|0)-(f[z>>2]|0)-A|0;A=(C|0)>(h|0)?h:C;lU(n,w,x,r,A)|0;D=d-w|0;E=e-x|0;F=g-r|0;G=h-A|0;H=y;I=z}else{D=d;E=e;F=g;G=h;H=n+8|0;I=n+12|0}jK(c,D+E+(f[H>>2]|0)|0,F+G+(f[I>>2]|0)|0,a&4095,-1,0,0);do if((qJ(c)|0)==65536){a=f[c+4>>2]|0;f[o>>2]=f[a>>2];I=o+4|0;H=a+4|0;f[I>>2]=f[H>>2];h=o+8|0;f[h>>2]=f[a+8>>2];f[o+12>>2]=f[a+12>>2];f[o+16>>2]=f[a+16>>2];f[o+20>>2]=f[a+20>>2];f[o+24>>2]=f[a+24>>2];f[o+28>>2]=f[a+28>>2];f[o+32>>2]=f[a+32>>2];g=f[a+36>>2]|0;f[o+36>>2]=g;f[o+40>>2]=h;h=o+48|0;e=o+44|0;f[e>>2]=h;f[h>>2]=0;f[o+52>>2]=0;if(g|0){h=g+12|0;f[h>>2]=(f[h>>2]|0)+1}if((f[H>>2]|0)<3){H=f[a+44>>2]|0;h=f[e>>2]|0;f[h>>2]=f[H>>2];f[h+4>>2]=f[H+4>>2];break}else{f[I>>2]=0;$T(o,a);break}}else nJ(o,c,-1);while(0);do if(F|G|E|D){c=i&-17;if(!c){a=f[B>>2]|0;I=(a>>>3&511)+1|0;H=q+8|0;f[q>>2]=H;h=q+4|0;f[h>>2]=I;if(I>>>0<=136)if(I>>>0>4){J=H;K=87}else{L=I;M=H}else{e=euc(I<<3)|0;f[q>>2]=e;J=e;K=87}if((K|0)==87){N=+p[j>>3];if(!(N==+p[j+8>>3])){f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;O=cuc(80)|0;f[l>>2]=O;P=l+8|0;f[P>>2]=-2147483568;Q=l+4|0;f[Q>>2]=68;s=O;t=205537;v=s+68|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));R=O+68|0;b[R>>0]=0;WD(-215,l,205522,204731,1235)}if(!(N==+p[j+16>>3])){f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;O=cuc(80)|0;f[l>>2]=O;P=l+8|0;f[P>>2]=-2147483568;Q=l+4|0;f[Q>>2]=68;s=O;t=205537;v=s+68|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));R=O+68|0;b[R>>0]=0;WD(-215,l,205522,204731,1235)}if(N==+p[j+24>>3]){L=1;M=J}else{f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;O=cuc(80)|0;f[l>>2]=O;P=l+8|0;f[P>>2]=-2147483568;Q=l+4|0;f[Q>>2]=68;s=O;t=205537;v=s+68|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));R=O+68|0;b[R>>0]=0;WD(-215,l,205522,204731,1235)}}e_(j,M,a&7|(L<<3)+-8,I);e=f[n+16>>2]|0;g=f[n+48>>2]|0;d=f[n+40>>2]|0;z=f[d+4>>2]|0;y=f[d>>2]|0;d=f[o+16>>2]|0;A=f[o+48>>2]|0;r=f[o+40>>2]|0;x=f[r+4>>2]|0;w=f[r>>2]|0;r=f[n+4>>2]|0;if((r|0)>0)S=f[(f[n+44>>2]|0)+(r+-1<<2)>>2]|0;else S=0;r=f[q>>2]|0;C=Y(S,x)|0;T=l+8|0;f[l>>2]=T;U=l+4|0;f[U>>2]=C;if(C>>>0>1032){V=euc(C)|0;f[l>>2]=V;W=V}else W=T;V=x-(z+F)|0;X=w-D-y|0;if((x|0)>0&(S|0)>0){w=0;do{Z=Y(w,S)|0;_=0;do{b[W+(_+Z)>>0]=b[r+_>>0]|0;_=_+1|0}while((_|0)!=(S|0));w=w+1|0}while((w|0)!=(x|0))}x=Y(S,z)|0;w=Y(S,F)|0;r=Y(S,V)|0;I=d+(Y(A,D)|0)|0;if((y|0)>0){a=0-w|0;_=e;Z=I+w|0;$=0;while(1){if((Z|0)!=(_|0))szc(Z|0,_|0,x|0)|0;szc(Z+a|0,W|0,w|0)|0;szc(Z+x|0,W|0,r|0)|0;$=$+1|0;if(($|0)==(y|0))break;else{_=_+g|0;Z=Z+A|0}}}if((D|0)>0){Z=0;do{szc(I+(Y(Z-D|0,A)|0)|0,W|0,C|0)|0;Z=Z+1|0}while((Z|0)!=(D|0))}if((X|0)>0){Z=0;do{szc(I+(Y(Z+y|0,A)|0)|0,W|0,C|0)|0;Z=Z+1|0}while((Z|0)!=(X|0))}X=f[l>>2]|0;if((X|0)!=(T|0)){if(X|0)guc(X);f[l>>2]=T;f[U>>2]=1032}X=f[q>>2]|0;if((X|0)!=(H|0)){if(X|0)guc(X);f[q>>2]=H;f[h>>2]=136}break}X=f[n+16>>2]|0;Z=f[n+48>>2]|0;C=f[n+40>>2]|0;A=f[C+4>>2]|0;y=f[C>>2]|0;C=f[o+16>>2]|0;I=f[o+48>>2]|0;g=f[o+40>>2]|0;_=f[g+4>>2]|0;$=f[g>>2]|0;g=f[n+4>>2]|0;if((g|0)>0)aa=f[(f[n+44>>2]|0)+(g+-1<<2)>>2]|0;else aa=0;g=((X|Z|I|C|aa)&3|0)==0;r=g?4:1;x=g?(aa|0)/4|0:aa;w=_-A|0;a=Y(x,w)|0;e=l+8|0;f[l>>2]=e;d=l+4|0;f[d>>2]=a;if(a>>>0>264){V=euc(a>>>0>1073741823?-1:a<<2)|0;f[l>>2]=V;ba=V}else ba=e;V=w-F|0;w=$-D-y|0;a:do if((F|0)>0){if((x|0)>0)ca=0;else{$=0;while(1){LI($-F|0,A,c)|0;$=$+1|0;if(($|0)>=(F|0))break a}}do{$=Y(LI(ca-F|0,A,c)|0,x)|0;a=Y(ca,x)|0;z=0;do{f[ba+(z+a<<2)>>2]=z+$;z=z+1|0}while((z|0)!=(x|0));ca=ca+1|0}while((ca|0)<(F|0))}while(0);b:do if((V|0)>0){if((x|0)>0)da=0;else{h=0;while(1){LI(h+A|0,A,c)|0;h=h+1|0;if((h|0)>=(V|0))break b}}do{h=Y(LI(da+A|0,A,c)|0,x)|0;H=Y(da+F|0,x)|0;U=0;do{f[ba+(U+H<<2)>>2]=U+h;U=U+1|0}while((U|0)!=(x|0));da=da+1|0}while((da|0)<(V|0))}while(0);U=Y(x,A)|0;h=Y(x,_)|0;H=Y(x,F)|0;T=Y(x,V)|0;z=C+(Y(I,D)|0)|0;$=z+(Y(H,r)|0)|0;c:do if((y|0)>0){a=(H|0)>0;ea=(T|0)>0;fa=Y(U,r)|0;if(!g){if(a){ga=$;ha=X;ia=0;while(1){if((ga|0)==(ha|0))ja=0;else{szc(ga|0,ha|0,fa|0)|0;ja=0}do{b[ga+(ja-H)>>0]=b[ha+(f[ba+(ja<<2)>>2]|0)>>0]|0;ja=ja+1|0}while((ja|0)!=(H|0));if(ea){ka=0;do{b[ga+(ka+U)>>0]=b[ha+(f[ba+(ka+H<<2)>>2]|0)>>0]|0;ka=ka+1|0}while((ka|0)!=(T|0))}ia=ia+1|0;if((ia|0)==(y|0))break c;else{ga=ga+I|0;ha=ha+Z|0}}}if(ea){la=$;ma=X;na=0}else{ha=$;ga=X;ia=0;while(1){if((ha|0)!=(ga|0))szc(ha|0,ga|0,fa|0)|0;ia=ia+1|0;if((ia|0)==(y|0))break c;else{ha=ha+I|0;ga=ga+Z|0}}}while(1){if((la|0)==(ma|0))oa=0;else{szc(la|0,ma|0,fa|0)|0;oa=0}do{b[la+(oa+U)>>0]=b[ma+(f[ba+(oa+H<<2)>>2]|0)>>0]|0;oa=oa+1|0}while((oa|0)!=(T|0));na=na+1|0;if((na|0)==(y|0))break c;else{la=la+I|0;ma=ma+Z|0}}}if(a){ga=$;ha=X;ia=0;while(1){if((ga|0)!=(ha|0))szc(ga|0,ha|0,fa|0)|0;ka=0;do{f[ga+(ka-H<<2)>>2]=f[ha+(f[ba+(ka<<2)>>2]<<2)>>2];ka=ka+1|0}while((ka|0)!=(H|0));if(ea){ka=0;do{f[ga+(ka+U<<2)>>2]=f[ha+(f[ba+(ka+H<<2)>>2]<<2)>>2];ka=ka+1|0}while((ka|0)!=(T|0))}ia=ia+1|0;if((ia|0)==(y|0))break c;else{ga=ga+I|0;ha=ha+Z|0}}}if(ea){pa=$;qa=X;ra=0}else{ha=$;ga=X;ia=0;while(1){if((ha|0)!=(ga|0))szc(ha|0,ga|0,fa|0)|0;ia=ia+1|0;if((ia|0)==(y|0))break c;else{ha=ha+I|0;ga=ga+Z|0}}}while(1){if((pa|0)!=(qa|0))szc(pa|0,qa|0,fa|0)|0;ga=0;do{f[pa+(ga+U<<2)>>2]=f[qa+(f[ba+(ga+H<<2)>>2]<<2)>>2];ga=ga+1|0}while((ga|0)!=(T|0));ra=ra+1|0;if((ra|0)==(y|0))break;else{pa=pa+I|0;qa=qa+Z|0}}}while(0);Z=Y(h,r)|0;if((D|0)>0){T=0;do{H=T-D|0;szc(z+(Y(H,I)|0)|0,z+(Y(LI(H,y,c)|0,I)|0)|0,Z|0)|0;T=T+1|0}while((T|0)<(D|0))}if((w|0)>0){T=0;do{r=T+y|0;szc(z+(Y(r,I)|0)|0,z+(Y(LI(r,y,c)|0,I)|0)|0,Z|0)|0;T=T+1|0}while((T|0)<(w|0))}w=f[l>>2]|0;if((w|0)!=(e|0)){if(w|0)guc(w);f[l>>2]=e;f[d>>2]=264}}else{if((f[n+16>>2]|0)==(f[o+16>>2]|0)?(f[n+48>>2]|0)==(f[o+48>>2]|0):0)break;w=l+8|0;f[w>>2]=0;f[w+4>>2]=0;f[l>>2]=33619968;f[l+4>>2]=o;EI(n,l)}while(0);l=o+36|0;D=f[l>>2]|0;if(D|0?(qa=D+12|0,D=f[qa>>2]|0,f[qa>>2]=D+-1,(D|0)==1):0)aU(o);f[l>>2]=0;l=o+16|0;D=o+4|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;if((f[D>>2]|0)>0){l=f[o+40>>2]|0;qa=0;do{f[l+(qa<<2)>>2]=0;qa=qa+1|0}while((qa|0)<(f[D>>2]|0))}D=f[o+44>>2]|0;if((D|0)!=(o+48|0))TC(D);D=n+36|0;o=f[D>>2]|0;if(o|0?(qa=o+12|0,o=f[qa>>2]|0,f[qa>>2]=o+-1,(o|0)==1):0)aU(n);f[D>>2]=0;D=n+16|0;o=n+4|0;f[D>>2]=0;f[D+4>>2]=0;f[D+8>>2]=0;f[D+12>>2]=0;if((f[o>>2]|0)>0){D=f[n+40>>2]|0;qa=0;do{f[D+(qa<<2)>>2]=0;qa=qa+1|0}while((qa|0)<(f[o>>2]|0))}o=f[n+44>>2]|0;if((o|0)!=(n+48|0))TC(o);if(!(f[m+4>>2]|0)){u=k;return}u=k;return}function NI(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0;e=u;u=u+208|0;g=e+144|0;h=e+88|0;i=e+72|0;j=e+56|0;k=e;l=(a|0)!=0;if((l?(c|0?(f[a>>2]&-65536|0)==1111752704:0):0)?(f[c>>2]&-65536|0)==1111752704:0){if(d|0){m=cuc(16)|0;f[g>>2]=m;f[g+8>>2]=-2147483632;f[g+4>>2]=12;n=m;o=205696;p=n+12|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));b[m+12>>0]=0;WD(-215,g,205709,204731,1251)}m=a+4|0;f[c+4>>2]=f[m>>2];szc(c+36|0,a+36|0,f[m>>2]<<2|0)|0;f[c+28>>2]=f[a+28>>2];f[c+32>>2]=f[a+32>>2];m=c+16|0;ZK(f[m>>2]|0);q=c+24|0;r=f[q>>2]|0;s=c+20|0;if((f[(f[a+16>>2]|0)+60>>2]|0)<(r*3|0)){t=s;v=r;w=f[s>>2]|0}else{VC(f[s>>2]|0);f[s>>2]=0;r=f[a+24>>2]|0;f[q>>2]=r;x=UC(r<<2)|0;f[s>>2]=x;t=s;v=f[q>>2]|0;w=x}kzc(w|0,0,v<<2|0)|0;v=NZ(a,h)|0;a:do if(v|0){w=h+4|0;x=h+8|0;s=v;while(1){r=f[m>>2]|0;y=r+56|0;z=f[y>>2]|0;f[g>>2]=z;if(!z){YK(r,0,g)|0;A=f[m>>2]|0;B=f[g>>2]|0}else{f[y>>2]=f[z+4>>2];f[z>>2]=f[z>>2]&67108863;y=r+60|0;f[y>>2]=(f[y>>2]|0)+1;A=r;B=z}z=(f[q>>2]|0)+-1&f[s>>2];szc(B|0,s|0,f[A+28>>2]|0)|0;r=(f[t>>2]|0)+(z<<2)|0;f[B+4>>2]=f[r>>2];f[r>>2]=B;r=f[(f[w>>2]|0)+4>>2]|0;if(!r){z=(f[x>>2]|0)+1|0;f[x>>2]=z;y=f[h>>2]|0;C=f[y+24>>2]|0;if((z|0)>=(C|0))break a;D=f[y+20>>2]|0;y=z;while(1){E=f[D+(y<<2)>>2]|0;if(E|0)break;z=y+1|0;if((z|0)<(C|0))y=z;else break a}f[x>>2]=y;F=E}else F=r;f[w>>2]=F;s=F}}while(0);u=e;return}tK(g,a,0,1,1,0);tK(h,c,0,1,1,0);b:do if(((f[h>>2]^f[g>>2])&7|0)==0?(F=g+40|0,E=f[F>>2]|0,B=f[E+-4>>2]|0,t=h+40|0,A=f[t>>2]|0,(B|0)==(f[A+-4>>2]|0)):0){if((B|0)==2){if((f[E>>2]|0)!=(f[A>>2]|0))break;if((f[E+4>>2]|0)!=(f[A+4>>2]|0))break}else if((B|0)>0){q=0;do{if((f[E+(q<<2)>>2]|0)!=(f[A+(q<<2)>>2]|0))break b;q=q+1|0}while((q|0)<(B|0))}if((l?(f[a>>2]|0)==112:0)?(f[a+68>>2]|0)!=0:0)G=$Z(a)|0;else G=0;if(((c|0)!=0?(f[c>>2]|0)==112:0)?(f[c+68>>2]|0)!=0:0)H=$Z(c)|0;else H=0;B=(H|0)==0;do if(!(H|G)){if((f[h>>2]^f[g>>2])&4088|0){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;q=cuc(48)|0;f[i>>2]=q;f[i+8>>2]=-2147483600;f[i+4>>2]=32;n=q;o=205840;p=n+32|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));b[q+32>>0]=0;WD(-215,i,205709,204731,1303)}if(!d){r=i+8|0;f[r>>2]=0;f[r+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=h;EI(g,i);break}r=i+8|0;f[r>>2]=0;f[r+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=h;tK(k,d,0,1,0,0);f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=k;FI(g,i,j);r=k+36|0;y=f[r>>2]|0;if(y|0?(A=y+12|0,y=f[A>>2]|0,f[A>>2]=y+-1,(y|0)==1):0)aU(k);f[r>>2]=0;r=k+16|0;y=k+4|0;f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;f[r+12>>2]=0;if((f[y>>2]|0)>0){r=f[k+40>>2]|0;A=0;do{f[r+(A<<2)>>2]=0;A=A+1|0}while((A|0)<(f[y>>2]|0))}y=f[k+44>>2]|0;if((y|0)!=(k+48|0))TC(y)}else{if((G|0)==0?f[g>>2]&4088|0:0){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;I=cuc(80)|0;f[i>>2]=I;J=i+8|0;f[J>>2]=-2147483568;K=i+4|0;f[K>>2]=72;n=I;o=205767;p=n+72|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));L=I+72|0;b[L>>0]=0;WD(-215,i,205709,204731,1296)}if(B?f[h>>2]&4088|0:0){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;I=cuc(80)|0;f[i>>2]=I;J=i+8|0;f[J>>2]=-2147483568;K=i+4|0;f[K>>2]=72;n=I;o=205767;p=n+72|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));L=I+72|0;b[L>>0]=0;WD(-215,i,205709,204731,1296)}y=G+-1|0;f[i>>2]=(y|0)>0?y:0;y=H+-1|0;f[i+4>>2]=(y|0)>0?y:0;jV(g,1,h,1,i,1)}while(0);B=h+36|0;y=f[B>>2]|0;if(y|0?(A=y+12|0,y=f[A>>2]|0,f[A>>2]=y+-1,(y|0)==1):0)aU(h);f[B>>2]=0;B=h+16|0;y=h+4|0;f[B>>2]=0;f[B+4>>2]=0;f[B+8>>2]=0;f[B+12>>2]=0;if((f[y>>2]|0)>0){B=f[t>>2]|0;A=0;do{f[B+(A<<2)>>2]=0;A=A+1|0}while((A|0)<(f[y>>2]|0))}y=f[h+44>>2]|0;if((y|0)!=(h+48|0))TC(y);y=g+36|0;A=f[y>>2]|0;if(A|0?(B=A+12|0,A=f[B>>2]|0,f[B>>2]=A+-1,(A|0)==1):0)aU(g);f[y>>2]=0;y=g+16|0;A=g+4|0;f[y>>2]=0;f[y+4>>2]=0;f[y+8>>2]=0;f[y+12>>2]=0;if((f[A>>2]|0)>0){y=f[F>>2]|0;B=0;do{f[y+(B<<2)>>2]=0;B=B+1|0}while((B|0)<(f[A>>2]|0))}A=f[g+44>>2]|0;if((A|0)!=(g+48|0))TC(A);u=e;return}while(0);f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;e=cuc(64)|0;f[i>>2]=e;f[i+8>>2]=-2147483584;f[i+4>>2]=50;n=e;o=205716;p=n+50|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));b[e+50>>0]=0;WD(-215,i,205709,204731,1285)}function OI(a){a=a|0;var b=0,c=0,d=0,e=0;b=u;u=u+96|0;c=b+32|0;d=b;if(a|0?(f[a>>2]&-65536|0)==1111752704:0){ZK(f[a+16>>2]|0);e=f[a+20>>2]|0;if(!e){u=b;return}kzc(e|0,0,f[a+24>>2]<<2|0)|0;u=b;return}tK(c,a,0,1,0,0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;f[d+16>>2]=0;f[d+20>>2]=0;f[d+24>>2]=0;f[d+28>>2]=0;GI(c,d)|0;d=c+36|0;a=f[d>>2]|0;if(a|0?(e=a+12|0,a=f[e>>2]|0,f[e>>2]=a+-1,(a|0)==1):0)aU(c);f[d>>2]=0;d=c+16|0;a=c+4|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[a>>2]|0)>0){d=f[c+40>>2]|0;e=0;do{f[d+(e<<2)>>2]=0;e=e+1|0}while((e|0)<(f[a>>2]|0))}a=f[c+44>>2]|0;if((a|0)!=(c+48|0))TC(a);u=b;return}function PI(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0.0,j=0.0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0.0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0.0,F=0.0;e=d;g=f[e>>2]|0;h=f[e+4>>2]|0;if(!(b[1167239]|0)){f[137145]=1991057938;f[137146]=0;n[137273]=1.7290404663583558e-09;n[137400]=1.6030947680434338e-09;n[137401]=1.0;n[137528]=2.6696291752159595e-03;e=126;i=3.442619855899;while(1){j=i;i=+M(+(+W(+(.00991256303526217/i+ +V(+(i*(i*-.5)))))*-2.0));f[548580+(e+1<<2)>>2]=~~(i/j*2147483648.0)>>>0;j=+V(+(i*(i*-.5)));n[549604+(e<<2)>>2]=j;n[549092+(e<<2)>>2]=i*4.656612873077393e-10;if((e|0)<=1)break;else e=e+-1|0}b[1167239]=1}if((c|0)>0){k=0;l=g;m=h}else{o=g;p=h;q=d;r=q;f[r>>2]=o;s=q+4|0;t=s;f[t>>2]=p;return}while(1){h=l;g=m;while(1){e=Bzc(h|0,0,-130063606,0)|0;u=hzc(e|0,J|0,g|0,0)|0;e=J;v=h&127;i=+n[549092+(v<<2)>>2]*+(h|0);if(((h|0)>-1?h:0-h|0)>>>0<(f[548580+(v<<2)>>2]|0)>>>0){w=i;x=u;y=e;break}if(!v){z=u;A=e;B=9;break}C=Bzc(u|0,0,-130063606,0)|0;D=hzc(C|0,J|0,e|0,0)|0;e=J;j=+n[549604+(v<<2)>>2];E=i;if(!(j+ +(u>>>0)*2.3283064365386963e-10*(+n[549604+(v+-1<<2)>>2]-j)<+V(+(E*(E*-.5))))){h=D;g=e}else{w=i;x=D;y=e;break}}if((B|0)==9){while(1){B=0;g=Bzc(z|0,0,-130063606,0)|0;e=hzc(g|0,J|0,A|0,0)|0;g=J;D=Bzc(e|0,0,-130063606,0)|0;v=z;z=hzc(D|0,J|0,g|0,0)|0;A=J;F=-+W(+(+(v>>>0)*2.3283064365386963e-10+1.1754943508222875e-38))*.2904764;i=+W(+(+(e>>>0)*2.3283064365386963e-10+1.1754943508222875e-38));if(!(-i-i<F*F))break;else B=9}w=(h|0)>0?F+3.442620038986206:-3.442620038986206-F;x=z;y=A}n[a+(k<<2)>>2]=w;k=k+1|0;if((k|0)==(c|0)){o=x;p=y;break}else{l=x;m=y}}q=d;r=q;f[r>>2]=o;s=q+4|0;t=s;f[t>>2]=p;return}function QI(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0.0,ea=0.0,fa=0.0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0.0,oa=0.0,pa=0.0,qa=0.0,ra=0.0,sa=0.0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0;i=u;u=u+2480|0;j=i+2424|0;k=i+2368|0;l=i+2312|0;m=i+1096|0;o=i+2256|0;q=i+2224|0;r=i+2248|0;t=i+2240|0;v=i+2192|0;w=i;if(EJ(c)|0){x=cuc(16)|0;f[j>>2]=x;f[j+8>>2]=-2147483632;f[j+4>>2]=13;y=x;z=205873;A=y+13|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));b[x+13>>0]=0;WD(-215,j,406246,205887,394)}do if((qJ(c)|0)==65536){x=f[c+4>>2]|0;f[j>>2]=f[x>>2];B=j+4|0;C=x+4|0;f[B>>2]=f[C>>2];D=j+8|0;f[D>>2]=f[x+8>>2];f[j+12>>2]=f[x+12>>2];f[j+16>>2]=f[x+16>>2];f[j+20>>2]=f[x+20>>2];f[j+24>>2]=f[x+24>>2];f[j+28>>2]=f[x+28>>2];f[j+32>>2]=f[x+32>>2];E=f[x+36>>2]|0;f[j+36>>2]=E;f[j+40>>2]=D;D=j+48|0;F=j+44|0;f[F>>2]=D;f[D>>2]=0;f[j+52>>2]=0;if(E|0){D=E+12|0;f[D>>2]=(f[D>>2]|0)+1}if((f[C>>2]|0)<3){C=f[x+44>>2]|0;D=f[F>>2]|0;f[D>>2]=f[C>>2];f[D+4>>2]=f[C+4>>2];break}else{f[B>>2]=0;$T(j,x);break}}else nJ(j,c,-1);while(0);do if((qJ(e)|0)==65536){c=f[e+4>>2]|0;f[k>>2]=f[c>>2];x=k+4|0;B=c+4|0;f[x>>2]=f[B>>2];C=k+8|0;f[C>>2]=f[c+8>>2];f[k+12>>2]=f[c+12>>2];f[k+16>>2]=f[c+16>>2];f[k+20>>2]=f[c+20>>2];f[k+24>>2]=f[c+24>>2];f[k+28>>2]=f[c+28>>2];f[k+32>>2]=f[c+32>>2];D=f[c+36>>2]|0;f[k+36>>2]=D;f[k+40>>2]=C;C=k+48|0;F=k+44|0;f[F>>2]=C;f[C>>2]=0;f[k+52>>2]=0;if(D|0){C=D+12|0;f[C>>2]=(f[C>>2]|0)+1}if((f[B>>2]|0)<3){B=f[c+44>>2]|0;C=f[F>>2]|0;f[C>>2]=f[B>>2];f[C+4>>2]=f[B+4>>2];break}else{f[x>>2]=0;$T(k,c);break}}else nJ(k,e,-1);while(0);do if((qJ(g)|0)==65536){e=f[g+4>>2]|0;f[l>>2]=f[e>>2];c=l+4|0;x=e+4|0;f[c>>2]=f[x>>2];B=l+8|0;f[B>>2]=f[e+8>>2];f[l+12>>2]=f[e+12>>2];f[l+16>>2]=f[e+16>>2];f[l+20>>2]=f[e+20>>2];f[l+24>>2]=f[e+24>>2];f[l+28>>2]=f[e+28>>2];f[l+32>>2]=f[e+32>>2];C=f[e+36>>2]|0;f[l+36>>2]=C;f[l+40>>2]=B;B=l+48|0;F=l+44|0;f[F>>2]=B;f[B>>2]=0;f[l+52>>2]=0;if(C|0){B=C+12|0;f[B>>2]=(f[B>>2]|0)+1}if((f[x>>2]|0)<3){x=f[e+44>>2]|0;B=f[F>>2]|0;f[B>>2]=f[x>>2];f[B+4>>2]=f[x+4>>2];break}else{f[c>>2]=0;$T(l,e);break}}else nJ(l,g,-1);while(0);g=f[j>>2]|0;e=g&7;c=g>>>3&511;x=c+1|0;B=m+8|0;f[m>>2]=B;F=m+4|0;f[F>>2]=136;C=f[k>>2]|0;if(C&4088|0){f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;G=cuc(224)|0;f[o>>2]=G;H=o+8|0;f[H>>2]=-2147483424;I=o+4|0;f[I>>2]=223;szc(G|0,205953,223)|0;K=G+223|0;b[K>>0]=0;WD(-215,o,406246,205887,407)}D=f[k+8>>2]|0;E=f[k+12>>2]|0;if(!((D|0)==1|(E|0)==1)){f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;G=cuc(224)|0;f[o>>2]=G;H=o+8|0;f[H>>2]=-2147483424;I=o+4|0;f[I>>2]=223;szc(G|0,205953,223)|0;K=G+223|0;b[K>>0]=0;WD(-215,o,406246,205887,407)}L=D+-1+E|0;if(!((L|0)==(x|0)|(L|0)==1)?(L=f[k+40>>2]|0,x>>>0>4|(C&4095|0)!=6|((f[L>>2]|0)!=4?1:(f[L+4>>2]|0)!=1)):0){f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;G=cuc(224)|0;f[o>>2]=G;H=o+8|0;f[H>>2]=-2147483424;I=o+4|0;f[I>>2]=223;szc(G|0,205953,223)|0;K=G+223|0;b[K>>0]=0;WD(-215,o,406246,205887,407)}K=f[l>>2]|0;if(K&4088|0){f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;M=cuc(304)|0;f[o>>2]=M;N=o+8|0;f[N>>2]=-2147483344;O=o+4|0;f[O>>2]=295;szc(M|0,206177,295)|0;P=M+295|0;b[P>>0]=0;WD(-215,o,406246,205887,412)}G=l+8|0;I=f[G>>2]|0;H=f[l+12>>2]|0;if((I|0)!=1)if((H|0)==1){Q=1;R=32}else{S=H;R=35}else{Q=H;R=32}if((R|0)==32){H=I+-1+Q|0;if(!((H|0)==(x|0)|(H|0)==1)){H=f[k+40>>2]|0;if(((f[H>>2]|0)==4?(f[H+4>>2]|0)==1:0)?x>>>0<5&(C&4095|0)==6:0)T=Q;else{S=Q;R=35}}else T=Q}if((R|0)==35){if((I|0)!=(x|0)){f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;M=cuc(304)|0;f[o>>2]=M;N=o+8|0;f[N>>2]=-2147483344;O=o+4|0;f[O>>2]=295;szc(M|0,206177,295)|0;P=M+295|0;b[P>>0]=0;WD(-215,o,406246,205887,412)}if((d|0)==1&(S|0)==(x|0))T=x;else{f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;M=cuc(304)|0;f[o>>2]=M;N=o+8|0;f[N>>2]=-2147483344;O=o+4|0;f[O>>2]=295;szc(M|0,206177,295)|0;P=M+295|0;b[P>>0]=0;WD(-215,o,406246,205887,412)}}P=k+4|0;M=f[P>>2]|0;if((M|0)<3)U=Y(E,D)|0;else{D=f[k+40>>2]|0;E=0;O=1;while(1){N=Y(f[D+(E<<2)>>2]|0,O)|0;E=E+1|0;if((E|0)==(M|0)){U=N;break}else O=N}}O=l+4|0;M=f[O>>2]|0;if((M|0)<3)V=Y(T,I)|0;else{I=f[l+40>>2]|0;T=0;E=1;while(1){D=Y(f[I+(T<<2)>>2]|0,E)|0;T=T+1|0;if((T|0)==(M|0)){V=D;break}else E=D}}E=(d|0)==0;do if(E){M=U+(x<<3)+V|0;f[F>>2]=M;if(M>>>0>136){T=euc(M>>>0>536870911?-1:M<<3)|0;f[m>>2]=T;W=T}else W=B;T=f[l+16>>2]|0;if((C&16384|0)!=0?(U|0)==(x|0)&(C&4095|0)==6:0){X=f[k+16>>2]|0;Z=K}else{M=f[k+40>>2]|0;I=f[M+4>>2]|0;D=f[M>>2]|0;f[o>>2]=1124007942;M=o+4|0;f[M>>2]=2;N=o+8|0;f[N>>2]=D;f[o+12>>2]=I;S=o+16|0;f[S>>2]=W;f[o+20>>2]=W;Q=o+24|0;H=o+40|0;L=Q+8|0;f[L>>2]=0;f[L+4>>2]=0;f[H>>2]=N;N=o+48|0;L=o+44|0;f[L>>2]=N;_=I<<3;f[N>>2]=_;f[o+52>>2]=8;I=W+(Y(D,_)|0)|0;f[o+28>>2]=I;f[Q>>2]=I+(0-_)+_;YT(o);_=q+8|0;f[_>>2]=0;f[_+4>>2]=0;f[q>>2]=33619968;f[q+4>>2]=o;kQ(k,q,6,1.0,0.0);if((U|0)<=(c|0)){_=U;while(1){p[W+(_<<3)>>3]=+p[W+(_-U<<3)>>3];if((_|0)<(c|0))_=_+1|0;else break}}_=o+36|0;I=f[_>>2]|0;if(I|0?(Q=I+12|0,I=f[Q>>2]|0,f[Q>>2]=I+-1,(I|0)==1):0)aU(o);f[_>>2]=0;f[S>>2]=0;f[S+4>>2]=0;f[S+8>>2]=0;f[S+12>>2]=0;if((f[M>>2]|0)>0){_=f[H>>2]|0;I=0;do{f[_+(I<<2)>>2]=0;I=I+1|0}while((I|0)<(f[M>>2]|0))}M=f[L>>2]|0;if((M|0)!=(N|0))TC(M);X=W;Z=f[l>>2]|0}if((Z&16384|0)!=0?(V|0)==(x|0)&(Z&4095|0)==6:0)$=T;else{M=f[l+40>>2]|0;I=f[M+4>>2]|0;_=f[M>>2]|0;M=W+(x<<3)|0;f[o>>2]=1124007942;H=o+4|0;f[H>>2]=2;S=o+8|0;f[S>>2]=_;f[o+12>>2]=I;Q=o+16|0;f[Q>>2]=M;f[o+20>>2]=M;D=o+24|0;aa=o+40|0;ba=D+8|0;f[ba>>2]=0;f[ba+4>>2]=0;f[aa>>2]=S;S=o+48|0;ba=o+44|0;f[ba>>2]=S;ca=I<<3;f[S>>2]=ca;f[o+52>>2]=8;I=M+(Y(_,ca)|0)|0;f[o+28>>2]=I;f[D>>2]=I+(0-ca)+ca;YT(o);ca=q+8|0;f[ca>>2]=0;f[ca+4>>2]=0;f[q>>2]=33619968;f[q+4>>2]=o;kQ(l,q,6,1.0,0.0);if((V|0)<=(c|0)){ca=V;while(1){p[M+(ca<<3)>>3]=+p[M+(ca-V<<3)>>3];if((ca|0)<(c|0))ca=ca+1|0;else break}}ca=o+36|0;T=f[ca>>2]|0;do if(T|0){N=T+12|0;L=f[N>>2]|0;f[N>>2]=L+-1;if((L|0)!=1)break;aU(o)}while(0);f[ca>>2]=0;f[Q>>2]=0;f[Q+4>>2]=0;f[Q+8>>2]=0;f[Q+12>>2]=0;if((f[H>>2]|0)>0){T=f[aa>>2]|0;L=0;do{f[T+(L<<2)>>2]=0;L=L+1|0}while((L|0)<(f[H>>2]|0))}H=f[ba>>2]|0;if((H|0)!=(S|0))TC(H);$=M}do if(e>>>0>=5){H=(e|0)==6;da=H?5.421010862427522e-20:2.3283064365386963e-10;ea=h?3402823466385288598117041.0e14:1797693134862315708145274.0e284;L=W+(x<<1<<3)|0;if(H){H=0;do{T=$+(H<<3)|0;aa=X+(H<<3)|0;fa=+p[T>>3]-+p[aa>>3];p[L+(H<<4)>>3]=da*(fa<1797693134862315708145274.0e284?fa:1797693134862315708145274.0e284);p[L+(H<<4)+8>>3]=(+p[T>>3]+ +p[aa>>3])*.5;H=H+1|0}while((H|0)!=(x|0));ga=0;ha=0;ia=L;ja=0;ka=0;la=1;ma=0}else{H=0;do{fa=+p[$+(H<<3)>>3];na=+p[X+(H<<3)>>3];oa=fa-na;aa=L+(H<<3)|0;n[aa>>2]=da*(oa<ea?oa:ea);n[aa+4>>2]=(fa+na)*.5;H=H+1|0}while((H|0)!=(x|0));ga=0;ha=0;ia=0;ja=L;ka=0;la=1;ma=0;break}}else{H=W+(x<<1<<3)|0;aa=(e|2|0)==2;T=g&255;Q=(e|0)==3;ea=Q?32768.0:2147483647.0;if(h){ca=aa|(e|0)!=1;da=aa?0.0:Q?-32768.0:-2147483648.0;Q=1;aa=1;N=0;while(1){na=+p[$+(N<<3)>>3];fa=+p[X+(N<<3)>>3];oa=na<fa?na:fa;pa=fa<na?na:fa;a:do if(ca){fa=oa<da?da:oa;switch(T&7){case 0:{qa=fa;ra=256.0;break a;break}case 1:{sa=fa;R=81;break a;break}case 2:{qa=fa;ra=65536.0;break a;break}default:{qa=fa;ra=ea;break a}}}else{sa=oa<-128.0?-128.0:oa;R=81}while(0);if((R|0)==81){R=0;qa=sa;ra=128.0}oa=ra<pa?ra:pa;I=~~qa;D=(+(I|0)<qa&1)+I|0;I=H+(N<<3)|0;_=I+4|0;f[_>>2]=D;ta=~~oa;ua=ta-(+(ta|0)>oa&1)-D|0;D=(ua|0)<1?0:ua+-1|0;f[I>>2]=D;fa=oa-qa;ua=(D+1&D|0)==0;do if(Q<<24>>24!=0&fa<=4294967296.0){ta=ua&1;if(!ua){va=ta;R=86;break}wa=(aa&1)!=0&(D|0)<256&1;xa=ta}else{va=0;R=86}while(0);do if((R|0)==86){R=0;if(fa>2147483647.0)f[I>>2]=2147483647;if(!(qa<-1073741824.0)){wa=aa;xa=va;break}f[_>>2]=-1073741824;wa=aa;xa=va}while(0);N=N+1|0;if((N|0)==(x|0)){ya=xa;za=wa;break}else{Q=xa;aa=wa}}}else{aa=1;Q=1;N=0;while(1){ea=+p[$+(N<<3)>>3];da=+p[X+(N<<3)>>3];fa=ea<da?ea:da;pa=da<ea?ea:da;T=~~fa;ca=(+(T|0)<fa&1)+T|0;T=H+(N<<3)|0;L=T+4|0;f[L>>2]=ca;_=~~pa;I=_-(+(_|0)>pa&1)-ca|0;ca=(I|0)<1?0:I+-1|0;f[T>>2]=ca;da=pa-fa;I=(ca+1&ca|0)==0;do if(aa<<24>>24!=0&da<=4294967296.0){_=I&1;if(!I){Aa=_;R=95;break}Ba=(Q&1)!=0&(ca|0)<256&1;Ca=_}else{Aa=0;R=95}while(0);do if((R|0)==95){R=0;if(da>2147483647.0)f[T>>2]=2147483647;if(!(fa<-1073741824.0)){Ba=Q;Ca=Aa;break}f[L>>2]=-1073741824;Ba=Q;Ca=Aa}while(0);N=N+1|0;if((N|0)==(x|0)){ya=Ca;za=Ba;break}else{aa=Ca;Q=Ba}}}if(!(ya<<24>>24)){Q=H+(x<<3)|0;aa=0;do{N=H+(aa<<3)|0;f[Q+(aa*20|0)+16>>2]=f[N+4>>2];L=(f[N>>2]|0)+1|0;f[Q+(aa*20|0)>>2]=L;N=0;while(1){Da=yzc(1,0,N|0)|0;Ea=J;if(Ea>>>0<0|(Ea|0)==0&Da>>>0<L>>>0)N=N+1|0;else break}T=gzc(Da|0,Ea|0,L|0,0)|0;ca=qzc(0,T|0,L|0,0)|0;f[Q+(aa*20|0)+4>>2]=ca+1;f[Q+(aa*20|0)+8>>2]=(N|0)<1?N:1;ca=N+-1|0;f[Q+(aa*20|0)+12>>2]=(ca|0)>0?ca:0;aa=aa+1|0}while((aa|0)!=(x|0));Fa=Q}else Fa=0;ga=H;ha=ya;ia=0;ja=0;ka=Fa;la=za;ma=ya&255}while(0);M=f[37312+(ma<<5)+(e<<2)>>2]|0;if(!M){f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;b[o+11>>0]=9;y=o;z=253007;A=y+9|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));b[o+9>>0]=0;WD(-215,o,406246,205887,536)}else{Ga=0;Ha=0;Ia=M;Ja=ga;Ka=0;La=0;Ma=(ha&1)!=0;Na=ia;Oa=ja;Pa=ka;Qa=(la&1)!=0;break}}else{if((d|0)!=1){f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;S=cuc(32)|0;f[o>>2]=S;f[o+8>>2]=-2147483616;f[o+4>>2]=25;y=S;z=206488;A=y+25|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));b[S+25>>0]=0;WD(-5,o,406246,205887,577)}M=(U|0)<=(c|0);ba=M?x:U;Q=(V|0)<=(c|0);aa=(Q?x:V)+ba|0;f[F>>2]=aa;if(aa>>>0>136){ca=euc(aa>>>0>536870911?-1:aa<<3)|0;f[m>>2]=ca;Ra=ca}else Ra=B;ca=(e|0)==6?6:5;aa=675553809>>>(ca<<2)&15;if((C&16384|0)!=0?!(M|(C&4095|0)!=(ca|0)):0)Sa=f[k+16>>2]|0;else{T=f[k+40>>2]|0;I=f[T>>2]|0;f[r>>2]=f[T+4>>2];f[r+4>>2]=I;zD(o,r,ca,Ra,0);I=q+8|0;f[I>>2]=0;f[I+4>>2]=0;f[q>>2]=33619968;f[q+4>>2]=o;kQ(k,q,ca,1.0,0.0);I=o+36|0;T=f[I>>2]|0;if(T|0?(_=T+12|0,T=f[_>>2]|0,f[_>>2]=T+-1,(T|0)==1):0)aU(o);f[I>>2]=0;I=o+16|0;T=o+4|0;f[I>>2]=0;f[I+4>>2]=0;f[I+8>>2]=0;f[I+12>>2]=0;if((f[T>>2]|0)>0){I=f[o+40>>2]|0;_=0;do{f[I+(_<<2)>>2]=0;_=_+1|0}while((_|0)<(f[T>>2]|0))}T=f[o+44>>2]|0;if((T|0)!=(o+48|0))TC(T);Sa=Ra}if(M?(T=Y(U,aa)|0,_=Y(aa,x)|0,(T|0)<(_|0)):0){I=T;do{b[Sa+I>>0]=b[Sa+(I-T)>>0]|0;I=I+1|0}while((I|0)!=(_|0))}_=f[l>>2]|0;if((_&16384|0)!=0?!(Q|(_&4095|0)!=(ca|0)):0)Ta=f[l+16>>2]|0;else{_=f[l+40>>2]|0;I=f[_>>2]|0;f[t>>2]=f[_+4>>2];f[t+4>>2]=I;I=Ra+(ba<<3)|0;zD(o,t,ca,I,0);_=q+8|0;f[_>>2]=0;f[_+4>>2]=0;f[q>>2]=33619968;f[q+4>>2]=o;kQ(l,q,ca,1.0,0.0);_=o+36|0;T=f[_>>2]|0;do if(T|0){M=T+12|0;S=f[M>>2]|0;f[M>>2]=S+-1;if((S|0)!=1)break;aU(o)}while(0);f[_>>2]=0;T=o+16|0;ca=o+4|0;f[T>>2]=0;f[T+4>>2]=0;f[T+8>>2]=0;f[T+12>>2]=0;if((f[ca>>2]|0)>0){T=f[o+40>>2]|0;ba=0;do{f[T+(ba<<2)>>2]=0;ba=ba+1|0}while((ba|0)<(f[ca>>2]|0))}ca=f[o+44>>2]|0;if((ca|0)!=(o+48|0))TC(ca);Ta=I}do if(Q){ca=Y(V,aa)|0;ba=Y(aa,x)|0;if((ca|0)<(ba|0))Ua=ca;else break;do{b[Ta+Ua>>0]=b[Ta+(Ua-ca)>>0]|0;Ua=Ua+1|0}while((Ua|0)!=(ba|0))}while(0);if((e|0)==7){f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;aa=cuc(16)|0;f[o>>2]=aa;f[o+8>>2]=-2147483632;f[o+4>>2]=14;y=aa;z=206473;A=y+14|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));b[aa+14>>0]=0;WD(-215,o,406246,205887,574)}else{Ga=f[37376+(e<<2)>>2]|0;Ha=(f[G>>2]|0)==(x|0)?(f[l+12>>2]|0)==(x|0):0;Ia=0;Ja=0;Ka=Ta;La=Sa;Ma=0;Na=0;Oa=0;Pa=0;Qa=1;break}}while(0);f[o>>2]=j;f[o+4>>2]=0;YC(v,o,q,1);o=f[v+20>>2]|0;Sa=((c|1024)>>>0)/(x>>>0)|0;c=(o|0)<(Sa|0)?o:Sa;Sa=j+4|0;Ta=f[Sa>>2]|0;if((Ta|0)>0)Va=f[(f[j+44>>2]|0)+(Ta+-1<<2)>>2]|0;else Va=0;Ta=w+8|0;f[w>>2]=Ta;G=w+4|0;f[G>>2]=136;z=Y(c,x)|0;b:do if(!E){y=(z+1|0)/2|0;f[G>>2]=y;if(y>>>0>136){A=euc(y>>>0>536870911?-1:y<<3)|0;f[w>>2]=A;Wa=A;Xa=0;Ya=0}else{Wa=Ta;Xa=0;Ya=0}}else{A=z<<2;f[G>>2]=A;if(A>>>0>136){y=euc(A>>>0>536870911?-1:A<<3)|0;f[w>>2]=y;Za=y}else Za=Ta;if(e>>>0<5)if(Ma){if((z|0)>0)_a=0;else{Wa=0;Xa=Za;Ya=0;break}while(1){y=0;do{A=Ja+(y<<3)|0;Ua=Za+(y+_a<<3)|0;f[s>>2]=f[A>>2];f[s+4>>2]=f[A+4>>2];p[s>>3]=+p[s>>3];f[Ua>>2]=f[s>>2];f[Ua+4>>2]=f[s+4>>2];y=y+1|0}while((y|0)!=(x|0));_a=_a+x|0;if((_a|0)>=(z|0)){Wa=0;Xa=Za;Ya=0;break b}}}else{if((z|0)>0)$a=0;else{Wa=0;Xa=Za;Ya=0;break}while(1){aa=0;do{y=Pa+(aa*20|0)|0;Ua=Za+((aa+$a|0)*20|0)|0;f[Ua>>2]=f[y>>2];f[Ua+4>>2]=f[y+4>>2];f[Ua+8>>2]=f[y+8>>2];f[Ua+12>>2]=f[y+12>>2];f[Ua+16>>2]=f[y+16>>2];aa=aa+1|0}while((aa|0)!=(x|0));$a=$a+x|0;if(($a|0)>=(z|0)){Wa=0;Xa=Za;Ya=0;break b}}}if((e|0)==6){if((z|0)>0)ab=0;else{Wa=0;Xa=Za;Ya=0;break}while(1){aa=0;do{y=Na+(aa<<4)|0;Ua=Za+(aa+ab<<4)|0;f[Ua>>2]=f[y>>2];f[Ua+4>>2]=f[y+4>>2];f[Ua+8>>2]=f[y+8>>2];f[Ua+12>>2]=f[y+12>>2];aa=aa+1|0}while((aa|0)!=(x|0));ab=ab+x|0;if((ab|0)>=(z|0)){Wa=0;Xa=Za;Ya=0;break b}}}if((z|0)>0){aa=0;do{y=0;do{Ua=Oa+(y<<3)|0;A=Za+(y+aa<<3)|0;f[s>>2]=f[Ua>>2];f[s+4>>2]=f[Ua+4>>2];p[s>>3]=+p[s>>3];f[A>>2]=f[s>>2];f[A+4>>2]=f[s+4>>2];y=y+1|0}while((y|0)!=(x|0));aa=aa+x|0}while((aa|0)<(z|0))}Wa=0;Xa=Za;Ya=(e|0)==7?Za+(z<<3)|0:0}while(0);z=v+16|0;c:do if((o|0)>0){Za=0;while(1){if(Za>>>0>=(f[z>>2]|0)>>>0)break c;if(E){e=0;Oa=f[q>>2]|0;do{ab=o-e|0;Na=(c|0)<(ab|0)?c:ab;ab=Y(Na,x)|0;Vg[Ia&255](Oa,ab,a,Xa,Ya,Qa);ab=Y(Na,Va)|0;Oa=(f[q>>2]|0)+ab|0;f[q>>2]=Oa;e=e+c|0}while((o|0)>(e|0))}else{e=0;do{Oa=o-e|0;ab=(c|0)<(Oa|0)?c:Oa;PI(Wa,Y(ab,x)|0,a);Ph[Ga&127](Wa,f[q>>2]|0,ab,x,La,Ka,Ha);Oa=Y(ab,Va)|0;f[q>>2]=(f[q>>2]|0)+Oa;e=e+c|0}while((o|0)>(e|0))}ZC(v)|0;Za=Za+1|0}}else{Za=0;while(1){if(Za>>>0>=(f[z>>2]|0)>>>0)break c;ZC(v)|0;Za=Za+1|0}}while(0);v=f[w>>2]|0;if((v|0)!=(Ta|0)){if(v|0)guc(v);f[w>>2]=Ta;f[G>>2]=136}G=f[m>>2]|0;if((G|0)!=(B|0)){if(G|0)guc(G);f[m>>2]=B;f[F>>2]=136}F=l+36|0;B=f[F>>2]|0;if(B|0?(m=B+12|0,B=f[m>>2]|0,f[m>>2]=B+-1,(B|0)==1):0)aU(l);f[F>>2]=0;F=l+16|0;f[F>>2]=0;f[F+4>>2]=0;f[F+8>>2]=0;f[F+12>>2]=0;if((f[O>>2]|0)>0){F=f[l+40>>2]|0;B=0;do{f[F+(B<<2)>>2]=0;B=B+1|0}while((B|0)<(f[O>>2]|0))}O=f[l+44>>2]|0;if((O|0)!=(l+48|0))TC(O);O=k+36|0;l=f[O>>2]|0;do if(l|0){B=l+12|0;F=f[B>>2]|0;f[B>>2]=F+-1;if((F|0)!=1)break;aU(k)}while(0);f[O>>2]=0;O=k+16|0;f[O>>2]=0;f[O+4>>2]=0;f[O+8>>2]=0;f[O+12>>2]=0;if((f[P>>2]|0)>0){O=f[k+40>>2]|0;l=0;do{f[O+(l<<2)>>2]=0;l=l+1|0}while((l|0)<(f[P>>2]|0))}P=f[k+44>>2]|0;if((P|0)!=(k+48|0))TC(P);P=j+36|0;k=f[P>>2]|0;do if(k|0){l=k+12|0;O=f[l>>2]|0;f[l>>2]=O+-1;if((O|0)!=1)break;aU(j)}while(0);f[P>>2]=0;P=j+16|0;f[P>>2]=0;f[P+4>>2]=0;f[P+8>>2]=0;f[P+12>>2]=0;if((f[Sa>>2]|0)>0){P=f[j+40>>2]|0;k=0;do{f[P+(k<<2)>>2]=0;k=k+1|0}while((k|0)<(f[Sa>>2]|0))}Sa=f[j+44>>2]|0;if((Sa|0)==(j+48|0)){u=i;return}TC(Sa);u=i;return}function RI(a,c,d,e,f,g,h){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0.0,o=0,p=0.0,q=0.0,r=0,s=0,t=0,u=0;if(h){if((d|0)>0&(e|0)>0){i=c;j=a;k=0}else return;while(1){h=0;do{l=Y(h,e)|0;m=+n[f+(h<<2)>>2];o=0;do{m=m+ +n[j+(o<<2)>>2]*+n[g+(o+l<<2)>>2];o=o+1|0}while((o|0)!=(e|0));o=Ghc(m)|0;b[i+h>>0]=o>>>0<256?o:(o|0)>0?255:0;h=h+1|0}while((h|0)!=(e|0));k=k+1|0;if((k|0)==(d|0))break;else{i=i+e|0;j=j+(e<<2)|0}}return}if((e|0)==1){p=+n[f>>2];q=+n[g>>2];if((d|0)>0)r=0;else return;do{j=Ghc(p+q*+n[a+(r<<2)>>2])|0;b[c+r>>0]=j>>>0<256?j:(j|0)>0?255:0;r=r+1|0}while((r|0)!=(d|0));return}if((d|0)>0&(e|0)>0){s=a;t=c;u=0}else return;while(1){c=0;do{a=Ghc(+n[s+(c<<2)>>2]*+n[g+(c<<2)>>2]+ +n[f+(c<<2)>>2])|0;b[t+c>>0]=a>>>0<256?a:(a|0)>0?255:0;c=c+1|0}while((c|0)!=(e|0));u=u+1|0;if((u|0)==(d|0))break;else{s=s+(e<<2)|0;t=t+e|0}}return}function SI(a,c,d,e,f,g,h){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0.0,o=0,p=0.0,q=0.0,r=0,s=0,t=0,u=0;if(h){if((d|0)>0&(e|0)>0){i=c;j=a;k=0}else return;while(1){h=0;do{l=Y(h,e)|0;m=+n[f+(h<<2)>>2];o=0;do{m=m+ +n[j+(o<<2)>>2]*+n[g+(o+l<<2)>>2];o=o+1|0}while((o|0)!=(e|0));o=Ghc(m)|0;b[i+h>>0]=(o+128|0)>>>0<256?o:(o|0)>0?127:128;h=h+1|0}while((h|0)!=(e|0));k=k+1|0;if((k|0)==(d|0))break;else{i=i+e|0;j=j+(e<<2)|0}}return}if((e|0)==1){p=+n[f>>2];q=+n[g>>2];if((d|0)>0)r=0;else return;do{j=Ghc(p+q*+n[a+(r<<2)>>2])|0;b[c+r>>0]=(j+128|0)>>>0<256?j:(j|0)>0?127:128;r=r+1|0}while((r|0)!=(d|0));return}if((d|0)>0&(e|0)>0){s=a;t=c;u=0}else return;while(1){c=0;do{a=Ghc(+n[s+(c<<2)>>2]*+n[g+(c<<2)>>2]+ +n[f+(c<<2)>>2])|0;b[t+c>>0]=(a+128|0)>>>0<256?a:(a|0)>0?127:128;c=c+1|0}while((c|0)!=(e|0));u=u+1|0;if((u|0)==(d|0))break;else{s=s+(e<<2)|0;t=t+e|0}}return}function TI(a,b,c,e,f,g,h){a=a|0;b=b|0;c=c|0;e=e|0;f=f|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0.0,o=0,p=0.0,q=0.0,r=0,s=0,t=0,u=0;if(h){if((c|0)>0&(e|0)>0){i=b;j=a;k=0}else return;while(1){h=0;do{l=Y(h,e)|0;m=+n[f+(h<<2)>>2];o=0;do{m=m+ +n[j+(o<<2)>>2]*+n[g+(o+l<<2)>>2];o=o+1|0}while((o|0)!=(e|0));o=Ghc(m)|0;d[i+(h<<1)>>1]=o>>>0<65536?o:(o|0)>0?65535:0;h=h+1|0}while((h|0)!=(e|0));k=k+1|0;if((k|0)==(c|0))break;else{i=i+(e<<1)|0;j=j+(e<<2)|0}}return}if((e|0)==1){p=+n[f>>2];q=+n[g>>2];if((c|0)>0)r=0;else return;do{j=Ghc(p+q*+n[a+(r<<2)>>2])|0;d[b+(r<<1)>>1]=j>>>0<65536?j:(j|0)>0?65535:0;r=r+1|0}while((r|0)!=(c|0));return}if((c|0)>0&(e|0)>0){s=a;t=b;u=0}else return;while(1){b=0;do{a=Ghc(+n[s+(b<<2)>>2]*+n[g+(b<<2)>>2]+ +n[f+(b<<2)>>2])|0;d[t+(b<<1)>>1]=a>>>0<65536?a:(a|0)>0?65535:0;b=b+1|0}while((b|0)!=(e|0));u=u+1|0;if((u|0)==(c|0))break;else{s=s+(e<<2)|0;t=t+(e<<1)|0}}return}function UI(a,b,c,e,f,g,h){a=a|0;b=b|0;c=c|0;e=e|0;f=f|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0.0,o=0,p=0.0,q=0.0,r=0,s=0,t=0,u=0;if(h){if((c|0)>0&(e|0)>0){i=b;j=a;k=0}else return;while(1){h=0;do{l=Y(h,e)|0;m=+n[f+(h<<2)>>2];o=0;do{m=m+ +n[j+(o<<2)>>2]*+n[g+(o+l<<2)>>2];o=o+1|0}while((o|0)!=(e|0));o=Ghc(m)|0;d[i+(h<<1)>>1]=(o+32768|0)>>>0<65536?o:(o|0)>0?32767:32768;h=h+1|0}while((h|0)!=(e|0));k=k+1|0;if((k|0)==(c|0))break;else{i=i+(e<<1)|0;j=j+(e<<2)|0}}return}if((e|0)==1){p=+n[f>>2];q=+n[g>>2];if((c|0)>0)r=0;else return;do{j=Ghc(p+q*+n[a+(r<<2)>>2])|0;d[b+(r<<1)>>1]=(j+32768|0)>>>0<65536?j:(j|0)>0?32767:32768;r=r+1|0}while((r|0)!=(c|0));return}if((c|0)>0&(e|0)>0){s=a;t=b;u=0}else return;while(1){b=0;do{a=Ghc(+n[s+(b<<2)>>2]*+n[g+(b<<2)>>2]+ +n[f+(b<<2)>>2])|0;d[t+(b<<1)>>1]=(a+32768|0)>>>0<65536?a:(a|0)>0?32767:32768;b=b+1|0}while((b|0)!=(e|0));u=u+1|0;if((u|0)==(c|0))break;else{s=s+(e<<2)|0;t=t+(e<<1)|0}}return}function VI(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0.0,o=0,p=0.0,q=0.0,r=0,s=0,t=0,u=0;if(h){if((c|0)>0&(d|0)>0){i=b;j=a;k=0}else return;while(1){h=0;do{l=Y(h,d)|0;m=+n[e+(h<<2)>>2];o=0;do{m=m+ +n[j+(o<<2)>>2]*+n[g+(o+l<<2)>>2];o=o+1|0}while((o|0)!=(d|0));o=Ghc(m)|0;f[i+(h<<2)>>2]=o;h=h+1|0}while((h|0)!=(d|0));k=k+1|0;if((k|0)==(c|0))break;else{i=i+(d<<2)|0;j=j+(d<<2)|0}}return}if((d|0)==1){p=+n[e>>2];q=+n[g>>2];if((c|0)>0)r=0;else return;do{j=Ghc(p+q*+n[a+(r<<2)>>2])|0;f[b+(r<<2)>>2]=j;r=r+1|0}while((r|0)!=(c|0));return}if((c|0)>0&(d|0)>0){s=a;t=b;u=0}else return;while(1){b=0;do{a=Ghc(+n[s+(b<<2)>>2]*+n[g+(b<<2)>>2]+ +n[e+(b<<2)>>2])|0;f[t+(b<<2)>>2]=a;b=b+1|0}while((b|0)!=(d|0));u=u+1|0;if((u|0)==(c|0))break;else{s=s+(d<<2)|0;t=t+(d<<2)|0}}return}function WI(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0.0,m=0,o=0.0,p=0.0,q=0,r=0,s=0,t=0;if(g){if((c|0)>0&(d|0)>0){h=b;i=a;j=0}else return;while(1){g=0;do{k=Y(g,d)|0;l=+n[e+(g<<2)>>2];m=0;do{l=l+ +n[i+(m<<2)>>2]*+n[f+(m+k<<2)>>2];m=m+1|0}while((m|0)!=(d|0));n[h+(g<<2)>>2]=l;g=g+1|0}while((g|0)!=(d|0));j=j+1|0;if((j|0)==(c|0))break;else{h=h+(d<<2)|0;i=i+(d<<2)|0}}return}if((d|0)==1){o=+n[e>>2];p=+n[f>>2];if((c|0)>0)q=0;else return;do{n[b+(q<<2)>>2]=o+p*+n[a+(q<<2)>>2];q=q+1|0}while((q|0)!=(c|0));return}if((c|0)>0&(d|0)>0){r=a;s=b;t=0}else return;while(1){b=0;do{n[s+(b<<2)>>2]=+n[r+(b<<2)>>2]*+n[f+(b<<2)>>2]+ +n[e+(b<<2)>>2];b=b+1|0}while((b|0)!=(d|0));t=t+1|0;if((t|0)==(c|0))break;else{r=r+(d<<2)|0;s=s+(d<<2)|0}}return}function XI(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0.0,m=0,o=0.0,q=0.0,r=0,s=0,t=0,u=0;if(g){if((c|0)>0&(d|0)>0){h=b;i=a;j=0}else return;while(1){g=0;do{k=Y(g,d)|0;l=+p[e+(g<<3)>>3];m=0;do{l=l+ +n[i+(m<<2)>>2]*+p[f+(m+k<<3)>>3];m=m+1|0}while((m|0)!=(d|0));p[h+(g<<3)>>3]=l;g=g+1|0}while((g|0)!=(d|0));j=j+1|0;if((j|0)==(c|0))break;else{h=h+(d<<3)|0;i=i+(d<<2)|0}}return}if((d|0)==1){o=+p[e>>3];q=+p[f>>3];if((c|0)>0)r=0;else return;do{p[b+(r<<3)>>3]=o+q*+n[a+(r<<2)>>2];r=r+1|0}while((r|0)!=(c|0));return}if((c|0)>0&(d|0)>0){s=a;t=b;u=0}else return;while(1){b=0;do{p[t+(b<<3)>>3]=+n[s+(b<<2)>>2]*+p[f+(b<<3)>>3]+ +p[e+(b<<3)>>3];b=b+1|0}while((b|0)!=(d|0));u=u+1|0;if((u|0)==(c|0))break;else{s=s+(d<<2)|0;t=t+(d<<3)|0}}return}function YI(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;h=d;g=f[h>>2]|0;i=f[h+4>>2]|0;if((c|0)>0){j=0;k=g;l=i}else{m=g;n=i;o=d;p=o;f[p>>2]=m;q=o+4|0;r=q;f[r>>2]=n;return}while(1){i=Bzc(k|0,0,-130063606,0)|0;g=hzc(i|0,J|0,l|0,0)|0;i=J;Bzc(g|0,0,f[e+(j*20|0)+4>>2]|0,0)|0;h=J;s=g-(Y((((g-h|0)>>>(f[e+(j*20|0)+8>>2]|0))+h|0)>>>(f[e+(j*20|0)+12>>2]|0),f[e+(j*20|0)>>2]|0)|0)|0;h=s+(f[e+(j*20|0)+16>>2]|0)|0;b[a+j>>0]=h>>>0<256?h:(h|0)>0?255:0;j=j+1|0;if((j|0)==(c|0)){m=g;n=i;break}else{k=g;l=i}}o=d;p=o;f[p>>2]=m;q=o+4|0;r=q;f[r>>2]=n;return}function ZI(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;h=d;g=f[h>>2]|0;i=f[h+4>>2]|0;if((c|0)>0){j=0;k=g;l=i}else{m=g;n=i;o=d;p=o;f[p>>2]=m;q=o+4|0;r=q;f[r>>2]=n;return}while(1){i=Bzc(k|0,0,-130063606,0)|0;g=hzc(i|0,J|0,l|0,0)|0;i=J;Bzc(g|0,0,f[e+(j*20|0)+4>>2]|0,0)|0;h=J;s=g-(Y((((g-h|0)>>>(f[e+(j*20|0)+8>>2]|0))+h|0)>>>(f[e+(j*20|0)+12>>2]|0),f[e+(j*20|0)>>2]|0)|0)|0;h=s+(f[e+(j*20|0)+16>>2]|0)|0;b[a+j>>0]=(h+128|0)>>>0<256?h:(h|0)>0?127:128;j=j+1|0;if((j|0)==(c|0)){m=g;n=i;break}else{k=g;l=i}}o=d;p=o;f[p>>2]=m;q=o+4|0;r=q;f[r>>2]=n;return}function _I(a,b,c,e,g,h){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;h=c;g=f[h>>2]|0;i=f[h+4>>2]|0;if((b|0)>0){j=0;k=g;l=i}else{m=g;n=i;o=c;p=o;f[p>>2]=m;q=o+4|0;r=q;f[r>>2]=n;return}while(1){i=Bzc(k|0,0,-130063606,0)|0;g=hzc(i|0,J|0,l|0,0)|0;i=J;Bzc(g|0,0,f[e+(j*20|0)+4>>2]|0,0)|0;h=J;s=g-(Y((((g-h|0)>>>(f[e+(j*20|0)+8>>2]|0))+h|0)>>>(f[e+(j*20|0)+12>>2]|0),f[e+(j*20|0)>>2]|0)|0)|0;h=s+(f[e+(j*20|0)+16>>2]|0)|0;d[a+(j<<1)>>1]=h>>>0<65536?h:(h|0)>0?65535:0;j=j+1|0;if((j|0)==(b|0)){m=g;n=i;break}else{k=g;l=i}}o=c;p=o;f[p>>2]=m;q=o+4|0;r=q;f[r>>2]=n;return}function $I(a,b,c,e,g,h){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;h=c;g=f[h>>2]|0;i=f[h+4>>2]|0;if((b|0)>0){j=0;k=g;l=i}else{m=g;n=i;o=c;p=o;f[p>>2]=m;q=o+4|0;r=q;f[r>>2]=n;return}while(1){i=Bzc(k|0,0,-130063606,0)|0;g=hzc(i|0,J|0,l|0,0)|0;i=J;Bzc(g|0,0,f[e+(j*20|0)+4>>2]|0,0)|0;h=J;s=g-(Y((((g-h|0)>>>(f[e+(j*20|0)+8>>2]|0))+h|0)>>>(f[e+(j*20|0)+12>>2]|0),f[e+(j*20|0)>>2]|0)|0)|0;h=s+(f[e+(j*20|0)+16>>2]|0)|0;d[a+(j<<1)>>1]=(h+32768|0)>>>0<65536?h:(h|0)>0?32767:32768;j=j+1|0;if((j|0)==(b|0)){m=g;n=i;break}else{k=g;l=i}}o=c;p=o;f[p>>2]=m;q=o+4|0;r=q;f[r>>2]=n;return}function aJ(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;g=c;e=f[g>>2]|0;h=f[g+4>>2]|0;if((b|0)>0){i=0;j=e;k=h}else{l=e;m=h;n=c;o=n;f[o>>2]=l;p=n+4|0;q=p;f[q>>2]=m;return}while(1){h=Bzc(j|0,0,-130063606,0)|0;e=hzc(h|0,J|0,k|0,0)|0;h=J;Bzc(e|0,0,f[d+(i*20|0)+4>>2]|0,0)|0;g=J;r=Y((((e-g|0)>>>(f[d+(i*20|0)+8>>2]|0))+g|0)>>>(f[d+(i*20|0)+12>>2]|0),f[d+(i*20|0)>>2]|0)|0;f[a+(i<<2)>>2]=(f[d+(i*20|0)+16>>2]|0)+e-r;i=i+1|0;if((i|0)==(b|0)){l=e;m=h;break}else{j=e;k=h}}n=c;o=n;f[o>>2]=l;p=n+4|0;q=p;f[q>>2]=m;return}function bJ(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,o=0;g=c;e=f[g>>2]|0;h=f[g+4>>2]|0;if((b|0)>0){g=0;i=e;j=h;while(1){k=Bzc(i|0,0,-130063606,0)|0;l=hzc(k|0,J|0,j|0,0)|0;k=J;n[a+(g<<2)>>2]=+(l|0)*+n[d+(g<<3)>>2];g=g+1|0;if((g|0)==(b|0)){m=l;o=k;break}else{i=l;j=k}}}else{m=e;o=h}h=c;f[h>>2]=m;f[h+4>>2]=o;bP(a,d,b);return}function cJ(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0;g=c;e=f[g>>2]|0;h=f[g+4>>2]|0;if((b|0)>0){g=0;i=e;j=h;while(1){k=Bzc(i|0,0,-130063606,0)|0;l=hzc(k|0,J|0,j|0,0)|0;k=J;p[a+(g<<3)>>3]=(+(k>>>0)+4294967296.0*+(l|0))*+p[d+(g<<4)>>3];g=g+1|0;if((g|0)==(b|0)){m=l;n=k;break}else{i=l;j=k}}}else{m=e;n=h}h=c;f[h>>2]=m;f[h+4>>2]=n;cP(a,d,b);return}function dJ(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0;g=c;h=f[g>>2]|0;i=f[g+4>>2]|0;if((b|0)>0){g=0;j=h;k=i;while(1){l=Bzc(j|0,0,-130063606,0)|0;m=hzc(l|0,J|0,k|0,0)|0;l=J;n[e+(g<<2)>>2]=+(m|0)*+n[d+(g<<3)>>2];g=g+1|0;if((g|0)==(b|0)){o=m;p=l;break}else{j=m;k=l}}}else{o=h;p=i}i=c;f[i>>2]=o;f[i+4>>2]=p;bP(e,d,b);aP(e,a,b);return}function eJ(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;g=d;i=f[g>>2]|0;j=f[g+4>>2]|0;g=c+-4|0;k=(c|0)<4;if(h)if(k){l=0;m=i;n=j}else{h=0;o=i;p=j;do{q=Bzc(o|0,0,-130063606,0)|0;o=hzc(q|0,J|0,p|0,0)|0;p=J;q=(o&f[e+(h<<3)>>2])+(f[e+(h<<3)+4>>2]|0)|0;r=h|1;s=(o>>8&f[e+(r<<3)>>2])+(f[e+(r<<3)+4>>2]|0)|0;b[a+h>>0]=q>>>0<256?q:(q|0)>0?255:0;b[a+r>>0]=s>>>0<256?s:(s|0)>0?255:0;s=h|2;r=(f[e+(s<<3)>>2]&o>>16)+(f[e+(s<<3)+4>>2]|0)|0;q=h|3;t=(f[e+(q<<3)>>2]&o>>24)+(f[e+(q<<3)+4>>2]|0)|0;b[a+s>>0]=r>>>0<256?r:(r|0)>0?255:0;b[a+q>>0]=t>>>0<256?t:(t|0)>0?255:0;h=h+4|0}while((h|0)<=(g|0));l=c&-4;m=o;n=p}else if(k){l=0;m=i;n=j}else{k=0;p=i;i=j;do{j=Bzc(p|0,0,-130063606,0)|0;o=hzc(j|0,J|0,i|0,0)|0;j=J;h=(o&f[e+(k<<3)>>2])+(f[e+(k<<3)+4>>2]|0)|0;t=Bzc(o|0,0,-130063606,0)|0;o=hzc(t|0,J|0,j|0,0)|0;j=J;t=k|1;q=(o&f[e+(t<<3)>>2])+(f[e+(t<<3)+4>>2]|0)|0;b[a+k>>0]=h>>>0<256?h:(h|0)>0?255:0;b[a+t>>0]=q>>>0<256?q:(q|0)>0?255:0;q=Bzc(o|0,0,-130063606,0)|0;o=hzc(q|0,J|0,j|0,0)|0;j=J;q=k|2;t=(o&f[e+(q<<3)>>2])+(f[e+(q<<3)+4>>2]|0)|0;h=Bzc(o|0,0,-130063606,0)|0;p=hzc(h|0,J|0,j|0,0)|0;i=J;j=k|3;h=(p&f[e+(j<<3)>>2])+(f[e+(j<<3)+4>>2]|0)|0;b[a+q>>0]=t>>>0<256?t:(t|0)>0?255:0;b[a+j>>0]=h>>>0<256?h:(h|0)>0?255:0;k=k+4|0}while((k|0)<=(g|0));l=c&-4;m=p;n=i}if((l|0)<(c|0)){u=l;v=m;w=n}else{x=m;y=n;z=d;A=z;f[A>>2]=x;B=z+4|0;C=B;f[C>>2]=y;return}while(1){n=Bzc(v|0,0,-130063606,0)|0;m=hzc(n|0,J|0,w|0,0)|0;n=J;l=(m&f[e+(u<<3)>>2])+(f[e+(u<<3)+4>>2]|0)|0;b[a+u>>0]=l>>>0<256?l:(l|0)>0?255:0;u=u+1|0;if((u|0)==(c|0)){x=m;y=n;break}else{v=m;w=n}}z=d;A=z;f[A>>2]=x;B=z+4|0;C=B;f[C>>2]=y;return}function fJ(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;g=d;i=f[g>>2]|0;j=f[g+4>>2]|0;g=c+-4|0;k=(c|0)<4;if(h)if(k){l=0;m=i;n=j}else{h=0;o=i;p=j;do{q=Bzc(o|0,0,-130063606,0)|0;o=hzc(q|0,J|0,p|0,0)|0;p=J;q=(o&f[e+(h<<3)>>2])+(f[e+(h<<3)+4>>2]|0)|0;r=h|1;s=(o>>8&f[e+(r<<3)>>2])+(f[e+(r<<3)+4>>2]|0)|0;b[a+h>>0]=(q+128|0)>>>0<256?q:(q|0)>0?127:128;b[a+r>>0]=(s+128|0)>>>0<256?s:(s|0)>0?127:128;s=h|2;r=(f[e+(s<<3)>>2]&o>>16)+(f[e+(s<<3)+4>>2]|0)|0;q=h|3;t=(f[e+(q<<3)>>2]&o>>24)+(f[e+(q<<3)+4>>2]|0)|0;b[a+s>>0]=(r+128|0)>>>0<256?r:(r|0)>0?127:128;b[a+q>>0]=(t+128|0)>>>0<256?t:(t|0)>0?127:128;h=h+4|0}while((h|0)<=(g|0));l=c&-4;m=o;n=p}else if(k){l=0;m=i;n=j}else{k=0;p=i;i=j;do{j=Bzc(p|0,0,-130063606,0)|0;o=hzc(j|0,J|0,i|0,0)|0;j=J;h=(o&f[e+(k<<3)>>2])+(f[e+(k<<3)+4>>2]|0)|0;t=Bzc(o|0,0,-130063606,0)|0;o=hzc(t|0,J|0,j|0,0)|0;j=J;t=k|1;q=(o&f[e+(t<<3)>>2])+(f[e+(t<<3)+4>>2]|0)|0;b[a+k>>0]=(h+128|0)>>>0<256?h:(h|0)>0?127:128;b[a+t>>0]=(q+128|0)>>>0<256?q:(q|0)>0?127:128;q=Bzc(o|0,0,-130063606,0)|0;o=hzc(q|0,J|0,j|0,0)|0;j=J;q=k|2;t=(o&f[e+(q<<3)>>2])+(f[e+(q<<3)+4>>2]|0)|0;h=Bzc(o|0,0,-130063606,0)|0;p=hzc(h|0,J|0,j|0,0)|0;i=J;j=k|3;h=(p&f[e+(j<<3)>>2])+(f[e+(j<<3)+4>>2]|0)|0;b[a+q>>0]=(t+128|0)>>>0<256?t:(t|0)>0?127:128;b[a+j>>0]=(h+128|0)>>>0<256?h:(h|0)>0?127:128;k=k+4|0}while((k|0)<=(g|0));l=c&-4;m=p;n=i}if((l|0)<(c|0)){u=l;v=m;w=n}else{x=m;y=n;z=d;A=z;f[A>>2]=x;B=z+4|0;C=B;f[C>>2]=y;return}while(1){n=Bzc(v|0,0,-130063606,0)|0;m=hzc(n|0,J|0,w|0,0)|0;n=J;l=(m&f[e+(u<<3)>>2])+(f[e+(u<<3)+4>>2]|0)|0;b[a+u>>0]=(l+128|0)>>>0<256?l:(l|0)>0?127:128;u=u+1|0;if((u|0)==(c|0)){x=m;y=n;break}else{v=m;w=n}}z=d;A=z;f[A>>2]=x;B=z+4|0;C=B;f[C>>2]=y;return}function gJ(a,b,c,e,g,h){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;g=c;i=f[g>>2]|0;j=f[g+4>>2]|0;g=b+-4|0;k=(b|0)<4;if(h)if(k){l=0;m=i;n=j}else{h=0;o=i;p=j;do{q=Bzc(o|0,0,-130063606,0)|0;o=hzc(q|0,J|0,p|0,0)|0;p=J;q=(o&f[e+(h<<3)>>2])+(f[e+(h<<3)+4>>2]|0)|0;r=h|1;s=(o>>8&f[e+(r<<3)>>2])+(f[e+(r<<3)+4>>2]|0)|0;d[a+(h<<1)>>1]=q>>>0<65536?q:(q|0)>0?65535:0;d[a+(r<<1)>>1]=s>>>0<65536?s:(s|0)>0?65535:0;s=h|2;r=(f[e+(s<<3)>>2]&o>>16)+(f[e+(s<<3)+4>>2]|0)|0;q=h|3;t=(f[e+(q<<3)>>2]&o>>24)+(f[e+(q<<3)+4>>2]|0)|0;d[a+(s<<1)>>1]=r>>>0<65536?r:(r|0)>0?65535:0;d[a+(q<<1)>>1]=t>>>0<65536?t:(t|0)>0?65535:0;h=h+4|0}while((h|0)<=(g|0));l=b&-4;m=o;n=p}else if(k){l=0;m=i;n=j}else{k=0;p=i;i=j;do{j=Bzc(p|0,0,-130063606,0)|0;o=hzc(j|0,J|0,i|0,0)|0;j=J;h=(o&f[e+(k<<3)>>2])+(f[e+(k<<3)+4>>2]|0)|0;t=Bzc(o|0,0,-130063606,0)|0;o=hzc(t|0,J|0,j|0,0)|0;j=J;t=k|1;q=(o&f[e+(t<<3)>>2])+(f[e+(t<<3)+4>>2]|0)|0;d[a+(k<<1)>>1]=h>>>0<65536?h:(h|0)>0?65535:0;d[a+(t<<1)>>1]=q>>>0<65536?q:(q|0)>0?65535:0;q=Bzc(o|0,0,-130063606,0)|0;o=hzc(q|0,J|0,j|0,0)|0;j=J;q=k|2;t=(o&f[e+(q<<3)>>2])+(f[e+(q<<3)+4>>2]|0)|0;h=Bzc(o|0,0,-130063606,0)|0;p=hzc(h|0,J|0,j|0,0)|0;i=J;j=k|3;h=(p&f[e+(j<<3)>>2])+(f[e+(j<<3)+4>>2]|0)|0;d[a+(q<<1)>>1]=t>>>0<65536?t:(t|0)>0?65535:0;d[a+(j<<1)>>1]=h>>>0<65536?h:(h|0)>0?65535:0;k=k+4|0}while((k|0)<=(g|0));l=b&-4;m=p;n=i}if((l|0)<(b|0)){u=l;v=m;w=n}else{x=m;y=n;z=c;A=z;f[A>>2]=x;B=z+4|0;C=B;f[C>>2]=y;return}while(1){n=Bzc(v|0,0,-130063606,0)|0;m=hzc(n|0,J|0,w|0,0)|0;n=J;l=(m&f[e+(u<<3)>>2])+(f[e+(u<<3)+4>>2]|0)|0;d[a+(u<<1)>>1]=l>>>0<65536?l:(l|0)>0?65535:0;u=u+1|0;if((u|0)==(b|0)){x=m;y=n;break}else{v=m;w=n}}z=c;A=z;f[A>>2]=x;B=z+4|0;C=B;f[C>>2]=y;return}function hJ(a,b,c,e,g,h){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;g=c;i=f[g>>2]|0;j=f[g+4>>2]|0;g=b+-4|0;k=(b|0)<4;if(h)if(k){l=0;m=i;n=j}else{h=0;o=i;p=j;do{q=Bzc(o|0,0,-130063606,0)|0;o=hzc(q|0,J|0,p|0,0)|0;p=J;q=(o&f[e+(h<<3)>>2])+(f[e+(h<<3)+4>>2]|0)|0;r=h|1;s=(o>>8&f[e+(r<<3)>>2])+(f[e+(r<<3)+4>>2]|0)|0;d[a+(h<<1)>>1]=(q+32768|0)>>>0<65536?q:(q|0)>0?32767:32768;d[a+(r<<1)>>1]=(s+32768|0)>>>0<65536?s:(s|0)>0?32767:32768;s=h|2;r=(f[e+(s<<3)>>2]&o>>16)+(f[e+(s<<3)+4>>2]|0)|0;q=h|3;t=(f[e+(q<<3)>>2]&o>>24)+(f[e+(q<<3)+4>>2]|0)|0;d[a+(s<<1)>>1]=(r+32768|0)>>>0<65536?r:(r|0)>0?32767:32768;d[a+(q<<1)>>1]=(t+32768|0)>>>0<65536?t:(t|0)>0?32767:32768;h=h+4|0}while((h|0)<=(g|0));l=b&-4;m=o;n=p}else if(k){l=0;m=i;n=j}else{k=0;p=i;i=j;do{j=Bzc(p|0,0,-130063606,0)|0;o=hzc(j|0,J|0,i|0,0)|0;j=J;h=(o&f[e+(k<<3)>>2])+(f[e+(k<<3)+4>>2]|0)|0;t=Bzc(o|0,0,-130063606,0)|0;o=hzc(t|0,J|0,j|0,0)|0;j=J;t=k|1;q=(o&f[e+(t<<3)>>2])+(f[e+(t<<3)+4>>2]|0)|0;d[a+(k<<1)>>1]=(h+32768|0)>>>0<65536?h:(h|0)>0?32767:32768;d[a+(t<<1)>>1]=(q+32768|0)>>>0<65536?q:(q|0)>0?32767:32768;q=Bzc(o|0,0,-130063606,0)|0;o=hzc(q|0,J|0,j|0,0)|0;j=J;q=k|2;t=(o&f[e+(q<<3)>>2])+(f[e+(q<<3)+4>>2]|0)|0;h=Bzc(o|0,0,-130063606,0)|0;p=hzc(h|0,J|0,j|0,0)|0;i=J;j=k|3;h=(p&f[e+(j<<3)>>2])+(f[e+(j<<3)+4>>2]|0)|0;d[a+(q<<1)>>1]=(t+32768|0)>>>0<65536?t:(t|0)>0?32767:32768;d[a+(j<<1)>>1]=(h+32768|0)>>>0<65536?h:(h|0)>0?32767:32768;k=k+4|0}while((k|0)<=(g|0));l=b&-4;m=p;n=i}if((l|0)<(b|0)){u=l;v=m;w=n}else{x=m;y=n;z=c;A=z;f[A>>2]=x;B=z+4|0;C=B;f[C>>2]=y;return}while(1){n=Bzc(v|0,0,-130063606,0)|0;m=hzc(n|0,J|0,w|0,0)|0;n=J;l=(m&f[e+(u<<3)>>2])+(f[e+(u<<3)+4>>2]|0)|0;d[a+(u<<1)>>1]=(l+32768|0)>>>0<65536?l:(l|0)>0?32767:32768;u=u+1|0;if((u|0)==(b|0)){x=m;y=n;break}else{v=m;w=n}}z=c;A=z;f[A>>2]=x;B=z+4|0;C=B;f[C>>2]=y;return}function iJ(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;e=c;h=f[e>>2]|0;i=f[e+4>>2]|0;e=b+-4|0;j=(b|0)<4;if(g)if(j){k=0;l=h;m=i}else{g=0;n=h;o=i;do{p=Bzc(n|0,0,-130063606,0)|0;n=hzc(p|0,J|0,o|0,0)|0;o=J;p=g|1;q=(n>>8&f[d+(p<<3)>>2])+(f[d+(p<<3)+4>>2]|0)|0;f[a+(g<<2)>>2]=(n&f[d+(g<<3)>>2])+(f[d+(g<<3)+4>>2]|0);f[a+(p<<2)>>2]=q;q=g|2;p=g|3;r=(f[d+(p<<3)>>2]&n>>24)+(f[d+(p<<3)+4>>2]|0)|0;f[a+(q<<2)>>2]=(f[d+(q<<3)>>2]&n>>16)+(f[d+(q<<3)+4>>2]|0);f[a+(p<<2)>>2]=r;g=g+4|0}while((g|0)<=(e|0));k=b&-4;l=n;m=o}else if(j){k=0;l=h;m=i}else{j=0;o=h;h=i;do{i=Bzc(o|0,0,-130063606,0)|0;n=hzc(i|0,J|0,h|0,0)|0;i=J;g=(n&f[d+(j<<3)>>2])+(f[d+(j<<3)+4>>2]|0)|0;r=Bzc(n|0,0,-130063606,0)|0;n=hzc(r|0,J|0,i|0,0)|0;i=J;r=j|1;p=(n&f[d+(r<<3)>>2])+(f[d+(r<<3)+4>>2]|0)|0;f[a+(j<<2)>>2]=g;f[a+(r<<2)>>2]=p;p=Bzc(n|0,0,-130063606,0)|0;n=hzc(p|0,J|0,i|0,0)|0;i=J;p=j|2;r=(n&f[d+(p<<3)>>2])+(f[d+(p<<3)+4>>2]|0)|0;g=Bzc(n|0,0,-130063606,0)|0;o=hzc(g|0,J|0,i|0,0)|0;h=J;i=j|3;g=(o&f[d+(i<<3)>>2])+(f[d+(i<<3)+4>>2]|0)|0;f[a+(p<<2)>>2]=r;f[a+(i<<2)>>2]=g;j=j+4|0}while((j|0)<=(e|0));k=b&-4;l=o;m=h}if((k|0)<(b|0)){s=k;t=l;u=m}else{v=l;w=m;x=c;y=x;f[y>>2]=v;z=x+4|0;A=z;f[A>>2]=w;return}while(1){m=Bzc(t|0,0,-130063606,0)|0;l=hzc(m|0,J|0,u|0,0)|0;m=J;f[a+(s<<2)>>2]=(l&f[d+(s<<3)>>2])+(f[d+(s<<3)+4>>2]|0);s=s+1|0;if((s|0)==(b|0)){v=l;w=m;break}else{t=l;u=m}}x=c;y=x;f[y>>2]=v;z=x+4|0;A=z;f[A>>2]=w;return}function jJ(){return zE(yE()|0)|0}function kJ(a){a=a|0;var b=0,c=0;b=(a|0)!=0;c=zE(yE()|0)|0;f[c>>2]=b?a:-1;f[c+4>>2]=b?((a|0)<0)<<31>>31:0;return}function lJ(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;gV(e,37408);QI(zE(yE()|0)|0,a,0,b,c,0);if(!(f[e+4>>2]|0)){u=d;return}u=d;return}function mJ(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;gV(e,37428);QI(zE(yE()|0)|0,a,1,b,c,0);if(!(f[e+4>>2]|0)){u=d;return}u=d;return}function nJ(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0;e=u;u=u+160|0;g=e+136|0;h=e+56|0;i=e;j=e+128|0;k=e+120|0;l=e+112|0;m=f[c>>2]|0;n=m&50331648;do switch(m>>>16&31){case 1:{o=f[c+4>>2]|0;if((d|0)>=0){f[g>>2]=d;f[g+4>>2]=d+1;f[h>>2]=-2147483648;f[h+4>>2]=2147483647;bU(a,o,g,h);u=e;return}f[a>>2]=f[o>>2];p=a+4|0;q=o+4|0;f[p>>2]=f[q>>2];r=a+8|0;f[r>>2]=f[o+8>>2];f[a+12>>2]=f[o+12>>2];f[a+16>>2]=f[o+16>>2];f[a+20>>2]=f[o+20>>2];f[a+24>>2]=f[o+24>>2];f[a+28>>2]=f[o+28>>2];f[a+32>>2]=f[o+32>>2];s=f[o+36>>2]|0;f[a+36>>2]=s;f[a+40>>2]=r;r=a+48|0;t=a+44|0;f[t>>2]=r;f[r>>2]=0;f[a+52>>2]=0;if(s|0){r=s+12|0;f[r>>2]=(f[r>>2]|0)+1}if((f[q>>2]|0)<3){q=f[o+44>>2]|0;r=f[t>>2]|0;f[r>>2]=f[q>>2];f[r+4>>2]=f[q+4>>2];u=e;return}else{f[p>>2]=0;$T(a,o);u=e;return}break}case 10:{o=f[c+4>>2]|0;if((d|0)<0){cI(a,o,n);u=e;return}cI(i,o,n);f[g>>2]=d;f[g+4>>2]=d+1;f[h>>2]=-2147483648;f[h+4>>2]=2147483647;bU(a,i,g,h);o=i+36|0;p=f[o>>2]|0;if(p|0?(q=p+12|0,p=f[q>>2]|0,f[q>>2]=p+-1,(p|0)==1):0)aU(i);f[o>>2]=0;o=i+16|0;p=i+4|0;f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;f[o+12>>2]=0;if((f[p>>2]|0)>0){o=f[i+40>>2]|0;q=0;do{f[o+(q<<2)>>2]=0;q=q+1|0}while((q|0)<(f[p>>2]|0))}p=f[i+44>>2]|0;if((p|0)!=(i+48|0))TC(p);u=e;return}case 6:{if((d|0)>=0){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;b[g+11>>0]=5;b[g>>0]=b[206628]|0;b[g+1>>0]=b[206629]|0;b[g+2>>0]=b[206630]|0;b[g+3>>0]=b[206631]|0;b[g+4>>0]=b[206632]|0;b[g+5>>0]=0;WD(-215,g,206634,206642,38)}p=f[c+4>>2]|0;f[a>>2]=1124007936;q=a+8|0;o=a+40|0;v=a+4|0;w=v+36|0;do{f[v>>2]=0;v=v+4|0}while((v|0)<(w|0));f[o>>2]=q;r=a+48|0;f[a+44>>2]=r;f[r>>2]=0;f[a+52>>2]=0;r=f[p>>2]|0;sh[f[(f[r>>2]|0)+12>>2]&255](r,p,a,-1);u=e;return}case 2:case 14:{if((d|0)>=0){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;b[g+11>>0]=5;b[g>>0]=b[206628]|0;b[g+1>>0]=b[206629]|0;b[g+2>>0]=b[206630]|0;b[g+3>>0]=b[206631]|0;b[g+4>>0]=b[206632]|0;b[g+5>>0]=0;WD(-215,g,206634,206642,44)}f[j>>2]=f[c+8>>2];f[j+4>>2]=f[c+12>>2];zD(a,j,m,f[c+4>>2]|0,0);u=e;return}case 3:{if((d|0)>=0){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;b[g+11>>0]=5;b[g>>0]=b[206628]|0;b[g+1>>0]=b[206629]|0;b[g+2>>0]=b[206630]|0;b[g+3>>0]=b[206631]|0;b[g+4>>0]=b[206632]|0;b[g+5>>0]=0;WD(-215,g,206634,206642,50)}r=f[c+4>>2]|0;if((f[r>>2]|0)==(f[r+4>>2]|0)){f[a>>2]=1124007936;t=a+8|0;s=a+40|0;v=a+4|0;w=v+36|0;do{f[v>>2]=0;v=v+4|0}while((v|0)<(w|0));f[s>>2]=t;p=a+48|0;f[a+44>>2]=p;f[p>>2]=0;f[a+52>>2]=0;u=e;return}p=m&4095;oJ(k,c,-1);q=f[r>>2]|0;f[a>>2]=p|1124007936;f[a+4>>2]=2;o=a+8|0;x=f[k+4>>2]|0;f[o>>2]=x;y=f[k>>2]|0;f[a+12>>2]=y;f[a+16>>2]=q;f[a+20>>2]=q;z=a+24|0;f[z>>2]=0;f[z+4>>2]=0;f[z+8>>2]=0;f[z+12>>2]=0;f[a+40>>2]=o;o=a+48|0;f[a+44>>2]=o;A=a+52|0;f[A>>2]=0;f[o>>2]=0;if((q|0)==0&(Y(y,x)|0)!=0){B=cuc(32)|0;f[g>>2]=B;f[g+8>>2]=-2147483616;f[g+4>>2]=28;v=B;C=466324;w=v+28|0;do{b[v>>0]=b[C>>0]|0;v=v+1|0;C=C+1|0}while((v|0)<(w|0));b[B+28>>0]=0;WD(-215,g,466353,466357,577)}r=Y(675553809>>>(p<<2&28)&15,(m>>>3&511)+1|0)|0;t=Y(y,r)|0;f[o>>2]=t;f[A>>2]=r;r=q+(Y(t,x)|0)|0;f[a+28>>2]=r;f[z>>2]=r+(0-t)+t;YT(a);u=e;return}case 12:{if((d|0)>=0){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;b[g+11>>0]=5;b[g>>0]=b[206628]|0;b[g+1>>0]=b[206629]|0;b[g+2>>0]=b[206630]|0;b[g+3>>0]=b[206631]|0;b[g+4>>0]=b[206632]|0;b[g+5>>0]=0;WD(-215,g,206634,206642,59)}t=f[c+4>>2]|0;r=f[t+4>>2]|0;if(!r){f[a>>2]=1124007936;s=a+8|0;D=a+40|0;v=a+4|0;w=v+36|0;do{f[v>>2]=0;v=v+4|0}while((v|0)<(w|0));f[D>>2]=s;z=a+48|0;f[a+44>>2]=z;f[z>>2]=0;f[a+52>>2]=0;u=e;return}f[h>>2]=1124007936;z=h+4|0;x=h+8|0;q=h+40|0;v=z;w=v+36|0;do{f[v>>2]=0;v=v+4|0}while((v|0)<(w|0));f[q>>2]=x;s=h+48|0;f[h+44>>2]=s;f[s>>2]=0;f[h+52>>2]=0;f[g>>2]=1;f[g+4>>2]=r;ZT(h,2,g,0);D=h+16|0;A=f[D>>2]|0;if((r|0)>0){o=0;do{b[A+o>>0]=(f[(f[t>>2]|0)+(o>>>5<<2)>>2]&1<<(o&31)|0)!=0&1;o=o+1|0}while((o|0)!=(r|0));E=f[D>>2]|0}else E=A;f[a>>2]=f[h>>2];r=f[z>>2]|0;f[a+4>>2]=r;o=a+8|0;f[o>>2]=f[x>>2];f[a+12>>2]=f[h+12>>2];f[a+16>>2]=E;f[a+20>>2]=f[h+20>>2];f[a+24>>2]=f[h+24>>2];f[a+28>>2]=f[h+28>>2];f[a+32>>2]=f[h+32>>2];t=h+36|0;f[a+36>>2]=f[t>>2];y=a+40|0;f[y>>2]=o;o=a+44|0;p=a+48|0;f[o>>2]=p;B=a+52|0;f[B>>2]=0;f[p>>2]=0;F=h+44|0;if((r|0)<3){r=f[F>>2]|0;f[p>>2]=f[r>>2];f[B>>2]=f[r+4>>2];G=r}else{f[o>>2]=f[F>>2];f[y>>2]=f[q>>2];f[F>>2]=s;f[q>>2]=x;G=s}f[h>>2]=1124007936;f[z>>2]=0;f[z+4>>2]=0;f[z+8>>2]=0;f[z+12>>2]=0;f[z+16>>2]=0;f[z+20>>2]=0;f[z+24>>2]=0;f[z+28>>2]=0;f[t>>2]=0;f[D>>2]=0;f[D+4>>2]=0;f[D+8>>2]=0;f[D+12>>2]=0;if((G|0)!=(s|0))TC(G);u=e;return}case 0:{f[a>>2]=1124007936;t=a+8|0;F=a+40|0;v=a+4|0;w=v+36|0;do{f[v>>2]=0;v=v+4|0}while((v|0)<(w|0));f[F>>2]=t;s=a+48|0;f[a+44>>2]=s;f[s>>2]=0;f[a+52>>2]=0;u=e;return}case 4:{s=pJ(c,d)|0;D=f[c+4>>2]|0;if((d|0)<=-1){H=cuc(32)|0;f[g>>2]=H;I=g+8|0;f[I>>2]=-2147483616;J=g+4|0;f[J>>2]=28;v=H;C=206715;w=v+28|0;do{b[v>>0]=b[C>>0]|0;v=v+1|0;C=C+1|0}while((v|0)<(w|0));K=H+28|0;b[K>>0]=0;WD(-215,g,206634,206642,79)}t=f[D>>2]|0;F=t;if((((f[D+4>>2]|0)-t|0)/12|0|0)<=(d|0)){H=cuc(32)|0;f[g>>2]=H;I=g+8|0;f[I>>2]=-2147483616;J=g+4|0;f[J>>2]=28;v=H;C=206715;w=v+28|0;do{b[v>>0]=b[C>>0]|0;v=v+1|0;C=C+1|0}while((v|0)<(w|0));K=H+28|0;b[K>>0]=0;WD(-215,g,206634,206642,79)}D=F+(d*12|0)|0;if((f[D>>2]|0)==(f[F+(d*12|0)+4>>2]|0)){f[a>>2]=1124007936;t=a+8|0;z=a+40|0;v=a+4|0;w=v+36|0;do{f[v>>2]=0;v=v+4|0}while((v|0)<(w|0));f[z>>2]=t;F=a+48|0;f[a+44>>2]=F;f[F>>2]=0;f[a+52>>2]=0;u=e;return}oJ(l,c,d);F=f[D>>2]|0;f[a>>2]=s&4095|1124007936;f[a+4>>2]=2;x=a+8|0;q=f[l+4>>2]|0;f[x>>2]=q;A=f[l>>2]|0;f[a+12>>2]=A;f[a+16>>2]=F;f[a+20>>2]=F;y=a+24|0;f[y>>2]=0;f[y+4>>2]=0;f[y+8>>2]=0;f[y+12>>2]=0;f[a+40>>2]=x;x=a+48|0;f[a+44>>2]=x;o=a+52|0;f[o>>2]=0;f[x>>2]=0;if((F|0)==0&(Y(A,q)|0)!=0){r=cuc(32)|0;f[g>>2]=r;f[g+8>>2]=-2147483616;f[g+4>>2]=28;v=r;C=466324;w=v+28|0;do{b[v>>0]=b[C>>0]|0;v=v+1|0;C=C+1|0}while((v|0)<(w|0));b[r+28>>0]=0;WD(-215,g,466353,466357,577)}D=Y(675553809>>>(s<<2&28)&15,(s>>>3&511)+1|0)|0;t=Y(A,D)|0;f[x>>2]=t;f[o>>2]=D;D=F+(Y(t,q)|0)|0;f[a+28>>2]=D;f[y>>2]=D+(0-t)+t;YT(a);u=e;return}case 5:{t=f[c+4>>2]|0;if((d|0)<=-1){L=cuc(32)|0;f[g>>2]=L;M=g+8|0;f[M>>2]=-2147483616;N=g+4|0;f[N>>2]=27;v=L;C=206744;w=v+27|0;do{b[v>>0]=b[C>>0]|0;v=v+1|0;C=C+1|0}while((v|0)<(w|0));O=L+27|0;b[O>>0]=0;WD(-215,g,206634,206642,88)}y=f[t>>2]|0;q=y;if((((f[t+4>>2]|0)-y|0)/56|0|0)<=(d|0)){L=cuc(32)|0;f[g>>2]=L;M=g+8|0;f[M>>2]=-2147483616;N=g+4|0;f[N>>2]=27;v=L;C=206744;w=v+27|0;do{b[v>>0]=b[C>>0]|0;v=v+1|0;C=C+1|0}while((v|0)<(w|0));O=L+27|0;b[O>>0]=0;WD(-215,g,206634,206642,88)}t=q+(d*56|0)|0;f[a>>2]=f[t>>2];y=a+4|0;F=q+(d*56|0)+4|0;f[y>>2]=f[F>>2];o=a+8|0;f[o>>2]=f[q+(d*56|0)+8>>2];f[a+12>>2]=f[q+(d*56|0)+12>>2];f[a+16>>2]=f[q+(d*56|0)+16>>2];f[a+20>>2]=f[q+(d*56|0)+20>>2];f[a+24>>2]=f[q+(d*56|0)+24>>2];f[a+28>>2]=f[q+(d*56|0)+28>>2];f[a+32>>2]=f[q+(d*56|0)+32>>2];x=f[q+(d*56|0)+36>>2]|0;f[a+36>>2]=x;f[a+40>>2]=o;o=a+48|0;A=a+44|0;f[A>>2]=o;f[o>>2]=0;f[a+52>>2]=0;if(x|0){o=x+12|0;f[o>>2]=(f[o>>2]|0)+1}if((f[F>>2]|0)<3){F=f[q+(d*56|0)+44>>2]|0;o=f[A>>2]|0;f[o>>2]=f[F>>2];f[o+4>>2]=f[F+4>>2];u=e;return}else{f[y>>2]=0;$T(a,t);u=e;return}break}case 15:{t=f[c+4>>2]|0;if((d|0)<=-1){P=cuc(32)|0;f[g>>2]=P;Q=g+8|0;f[Q>>2]=-2147483616;R=g+4|0;f[R>>2]=23;v=P;C=206772;w=v+23|0;do{b[v>>0]=b[C>>0]|0;v=v+1|0;C=C+1|0}while((v|0)<(w|0));S=P+23|0;b[S>>0]=0;WD(-215,g,206634,206642,96)}if((f[c+12>>2]|0)<=(d|0)){P=cuc(32)|0;f[g>>2]=P;Q=g+8|0;f[Q>>2]=-2147483616;R=g+4|0;f[R>>2]=23;v=P;C=206772;w=v+23|0;do{b[v>>0]=b[C>>0]|0;v=v+1|0;C=C+1|0}while((v|0)<(w|0));S=P+23|0;b[S>>0]=0;WD(-215,g,206634,206642,96)}q=t+(d*56|0)|0;f[a>>2]=f[q>>2];y=a+4|0;F=t+(d*56|0)+4|0;f[y>>2]=f[F>>2];o=a+8|0;f[o>>2]=f[t+(d*56|0)+8>>2];f[a+12>>2]=f[t+(d*56|0)+12>>2];f[a+16>>2]=f[t+(d*56|0)+16>>2];f[a+20>>2]=f[t+(d*56|0)+20>>2];f[a+24>>2]=f[t+(d*56|0)+24>>2];f[a+28>>2]=f[t+(d*56|0)+28>>2];f[a+32>>2]=f[t+(d*56|0)+32>>2];A=f[t+(d*56|0)+36>>2]|0;f[a+36>>2]=A;f[a+40>>2]=o;o=a+48|0;x=a+44|0;f[x>>2]=o;f[o>>2]=0;f[a+52>>2]=0;if(A|0){o=A+12|0;f[o>>2]=(f[o>>2]|0)+1}if((f[F>>2]|0)<3){F=f[t+(d*56|0)+44>>2]|0;o=f[x>>2]|0;f[o>>2]=f[F>>2];f[o+4>>2]=f[F+4>>2];u=e;return}else{f[y>>2]=0;$T(a,q);u=e;return}break}case 11:{q=f[c+4>>2]|0;if((d|0)<=-1){T=cuc(32)|0;f[g>>2]=T;U=g+8|0;f[U>>2]=-2147483616;V=g+4|0;f[V>>2]=27;v=T;C=206744;w=v+27|0;do{b[v>>0]=b[C>>0]|0;v=v+1|0;C=C+1|0}while((v|0)<(w|0));W=T+27|0;b[W>>0]=0;WD(-215,g,206634,206642,104)}t=f[q>>2]|0;if((((f[q+4>>2]|0)-t|0)/48|0|0)<=(d|0)){T=cuc(32)|0;f[g>>2]=T;U=g+8|0;f[U>>2]=-2147483616;V=g+4|0;f[V>>2]=27;v=T;C=206744;w=v+27|0;do{b[v>>0]=b[C>>0]|0;v=v+1|0;C=C+1|0}while((v|0)<(w|0));W=T+27|0;b[W>>0]=0;WD(-215,g,206634,206642,104)}cI(a,t+(d*48|0)|0,n);u=e;return}case 7:{if((d|0)<0){q=cuc(80)|0;f[g>>2]=q;f[g+8>>2]=-2147483568;f[g+4>>2]=75;v=q;C=206796;w=v+75|0;do{b[v>>0]=b[C>>0]|0;v=v+1|0;C=C+1|0}while((v|0)<(w|0));b[q+75>>0]=0;WD(-213,g,206634,206642,112)}else{f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;b[g+11>>0]=5;b[g>>0]=b[206628]|0;b[g+1>>0]=b[206629]|0;b[g+2>>0]=b[206630]|0;b[g+3>>0]=b[206631]|0;b[g+4>>0]=b[206632]|0;b[g+5>>0]=0;WD(-215,g,206634,206642,111)}break}case 9:{if((d|0)<0){t=cuc(80)|0;f[g>>2]=t;f[g+8>>2]=-2147483568;f[g+4>>2]=66;v=t;C=206872;w=v+66|0;do{b[v>>0]=b[C>>0]|0;v=v+1|0;C=C+1|0}while((v|0)<(w|0));b[t+66>>0]=0;WD(-213,g,206634,206642,118)}else{f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;b[g+11>>0]=5;b[g>>0]=b[206628]|0;b[g+1>>0]=b[206629]|0;b[g+2>>0]=b[206630]|0;b[g+3>>0]=b[206631]|0;b[g+4>>0]=b[206632]|0;b[g+5>>0]=0;WD(-215,g,206634,206642,117)}break}case 8:{if((d|0)>=0){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;b[g+11>>0]=5;b[g>>0]=b[206628]|0;b[g+1>>0]=b[206629]|0;b[g+2>>0]=b[206630]|0;b[g+3>>0]=b[206631]|0;b[g+4>>0]=b[206632]|0;b[g+5>>0]=0;WD(-215,g,206634,206642,123)}q=f[c+4>>2]|0;y=f[q+4>>2]|0;f[g>>2]=f[q+8>>2];f[g+4>>2]=y;zD(a,g,f[q>>2]&4095,f[q+16>>2]|0,f[q+12>>2]|0);u=e;return}default:{q=cuc(32)|0;f[g>>2]=q;f[g+8>>2]=-2147483616;f[g+4>>2]=30;v=q;C=206939;w=v+30|0;do{b[v>>0]=b[C>>0]|0;v=v+1|0;C=C+1|0}while((v|0)<(w|0));b[q+30>>0]=0;WD(-213,g,206634,206642,130)}}while(0)}function oJ(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=u;u=u+16|0;g=e;h=f[c>>2]|0;do switch(h>>>16&31){case 1:{if((d|0)>=0){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;b[g+11>>0]=5;b[g>>0]=b[206628]|0;b[g+1>>0]=b[206629]|0;b[g+2>>0]=b[206630]|0;b[g+3>>0]=b[206631]|0;b[g+4>>0]=b[206632]|0;b[g+5>>0]=0;WD(-215,g,476262,206642,400)}i=f[(f[c+4>>2]|0)+40>>2]|0;j=f[i>>2]|0;f[a>>2]=f[i+4>>2];f[a+4>>2]=j;u=e;return}case 6:{if((d|0)>=0){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;b[g+11>>0]=5;b[g>>0]=b[206628]|0;b[g+1>>0]=b[206629]|0;b[g+2>>0]=b[206630]|0;b[g+3>>0]=b[206631]|0;b[g+4>>0]=b[206632]|0;b[g+5>>0]=0;WD(-215,g,476262,206642,406)}rT(a,f[c+4>>2]|0);u=e;return}case 10:{if((d|0)>=0){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;b[g+11>>0]=5;b[g>>0]=b[206628]|0;b[g+1>>0]=b[206629]|0;b[g+2>>0]=b[206630]|0;b[g+3>>0]=b[206631]|0;b[g+4>>0]=b[206632]|0;b[g+5>>0]=0;WD(-215,g,476262,206642,412)}j=f[(f[c+4>>2]|0)+32>>2]|0;i=f[j>>2]|0;f[a>>2]=f[j+4>>2];f[a+4>>2]=i;u=e;return}case 2:case 14:{if((d|0)>=0){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;b[g+11>>0]=5;b[g>>0]=b[206628]|0;b[g+1>>0]=b[206629]|0;b[g+2>>0]=b[206630]|0;b[g+3>>0]=b[206631]|0;b[g+4>>0]=b[206632]|0;b[g+5>>0]=0;WD(-215,g,476262,206642,418)}f[a>>2]=f[c+8>>2];f[a+4>>2]=f[c+12>>2];u=e;return}case 3:{if((d|0)>=0){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;b[g+11>>0]=5;b[g>>0]=b[206628]|0;b[g+1>>0]=b[206629]|0;b[g+2>>0]=b[206630]|0;b[g+3>>0]=b[206631]|0;b[g+4>>0]=b[206632]|0;b[g+5>>0]=0;WD(-215,g,476262,206642,424)}i=f[c+4>>2]|0;j=(f[i+4>>2]|0)-(f[i>>2]|0)|0;if((j|0)==(j>>2|0)){f[a>>2]=j;f[a+4>>2]=1;u=e;return}else{i=(j>>>0)/((Y(675553809>>>(h<<2&28)&15,(h>>>3&511)+1|0)|0)>>>0)|0;f[a>>2]=i;f[a+4>>2]=1;u=e;return}break}case 12:{if((d|0)>=0){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;b[g+11>>0]=5;b[g>>0]=b[206628]|0;b[g+1>>0]=b[206629]|0;b[g+2>>0]=b[206630]|0;b[g+3>>0]=b[206631]|0;b[g+4>>0]=b[206632]|0;b[g+5>>0]=0;WD(-215,g,476262,206642,433)}f[a>>2]=f[(f[c+4>>2]|0)+4>>2];f[a+4>>2]=1;u=e;return}case 0:{f[a>>2]=0;f[a+4>>2]=0;u=e;return}case 4:{i=f[c+4>>2]|0;if((d|0)<0){j=f[i>>2]|0;k=f[i+4>>2]|0;if((j|0)==(k|0)){f[a>>2]=0;f[a+4>>2]=0;u=e;return}else{f[a>>2]=(k-j|0)/12|0;f[a+4>>2]=1;u=e;return}}j=f[i>>2]|0;k=j;if((((f[i+4>>2]|0)-j|0)/12|0|0)<=(d|0)){j=cuc(32)|0;f[g>>2]=j;f[g+8>>2]=-2147483616;f[g+4>>2]=18;l=j;m=206996;n=l+18|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));b[j+18>>0]=0;WD(-215,g,476262,206642,446)}o=(f[k+(d*12|0)+4>>2]|0)-(f[k+(d*12|0)>>2]|0)|0;p=f[i>>2]|0;if((o|0)==((f[p+(d*12|0)+4>>2]|0)-(f[p+(d*12|0)>>2]|0)>>2|0)){f[a>>2]=o;f[a+4>>2]=1;u=e;return}else{p=(o>>>0)/((Y(675553809>>>(h<<2&28)&15,(h>>>3&511)+1|0)|0)>>>0)|0;f[a>>2]=p;f[a+4>>2]=1;u=e;return}break}case 5:{p=f[c+4>>2]|0;if((d|0)>=0){o=f[p>>2]|0;if((((f[p+4>>2]|0)-o|0)/56|0|0)<=(d|0)){q=cuc(32)|0;f[g>>2]=q;f[g+8>>2]=-2147483616;f[g+4>>2]=18;l=q;m=206996;n=l+18|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));b[q+18>>0]=0;WD(-215,g,476262,206642,458)}i=f[o+(d*56|0)+40>>2]|0;k=f[i>>2]|0;f[a>>2]=f[i+4>>2];f[a+4>>2]=k;u=e;return}k=f[p>>2]|0;i=f[p+4>>2]|0;if((k|0)==(i|0)){f[a>>2]=0;f[a+4>>2]=0;u=e;return}else{f[a>>2]=(i-k|0)/56|0;f[a+4>>2]=1;u=e;return}break}case 15:{k=f[c+4>>2]|0;i=f[c+12>>2]|0;if((d|0)>=0){if((i|0)<=(d|0)){j=cuc(16)|0;f[g>>2]=j;f[g+8>>2]=-2147483632;f[g+4>>2]=13;l=j;m=207015;n=l+13|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));b[j+13>>0]=0;WD(-215,g,476262,206642,468)}p=f[k+(d*56|0)+40>>2]|0;o=f[p>>2]|0;f[a>>2]=f[p+4>>2];f[a+4>>2]=o;u=e;return}if(!i){f[a>>2]=0;f[a+4>>2]=0;u=e;return}else{f[a>>2]=i;f[a+4>>2]=1;u=e;return}break}case 13:{o=f[c+4>>2]|0;if((d|0)>=0){p=f[o>>2]|0;q=p;if((((f[o+4>>2]|0)-p|0)/36|0|0)<=(d|0)){p=cuc(32)|0;f[g>>2]=p;f[g+8>>2]=-2147483616;f[g+4>>2]=18;l=p;m=206996;n=l+18|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));b[p+18>>0]=0;WD(-215,g,476262,206642,478)}i=f[q+(d*36|0)+4>>2]|0;f[a>>2]=f[q+(d*36|0)+8>>2];f[a+4>>2]=i;u=e;return}i=f[o>>2]|0;k=f[o+4>>2]|0;if((i|0)==(k|0)){f[a>>2]=0;f[a+4>>2]=0;u=e;return}else{f[a>>2]=(k-i|0)/36|0;f[a+4>>2]=1;u=e;return}break}case 11:{i=f[c+4>>2]|0;if((d|0)>=0){k=f[i>>2]|0;if((((f[i+4>>2]|0)-k|0)/48|0|0)<=(d|0)){j=cuc(32)|0;f[g>>2]=j;f[g+8>>2]=-2147483616;f[g+4>>2]=18;l=j;m=206996;n=l+18|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));b[j+18>>0]=0;WD(-215,g,476262,206642,487)}o=f[k+(d*48|0)+32>>2]|0;q=f[o>>2]|0;f[a>>2]=f[o+4>>2];f[a+4>>2]=q;u=e;return}q=f[i>>2]|0;o=f[i+4>>2]|0;if((q|0)==(o|0)){f[a>>2]=0;f[a+4>>2]=0;u=e;return}else{f[a>>2]=(o-q|0)/48|0;f[a+4>>2]=1;u=e;return}break}case 7:{if((d|0)>=0){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;b[g+11>>0]=5;b[g>>0]=b[206628]|0;b[g+1>>0]=b[206629]|0;b[g+2>>0]=b[206630]|0;b[g+3>>0]=b[206631]|0;b[g+4>>0]=b[206632]|0;b[g+5>>0]=0;WD(-215,g,476262,206642,494)}q=f[c+4>>2]|0;o=f[q+8>>2]|0;f[a>>2]=f[q+12>>2];f[a+4>>2]=o;u=e;return}case 9:{if((d|0)>=0){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;b[g+11>>0]=5;b[g>>0]=b[206628]|0;b[g+1>>0]=b[206629]|0;b[g+2>>0]=b[206630]|0;b[g+3>>0]=b[206631]|0;b[g+4>>0]=b[206632]|0;b[g+5>>0]=0;WD(-215,g,476262,206642,501)}o=f[c+4>>2]|0;q=f[o+4>>2]|0;f[a>>2]=f[o+8>>2];f[a+4>>2]=q;u=e;return}case 8:{if((d|0)>=0){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;b[g+11>>0]=5;b[g>>0]=b[206628]|0;b[g+1>>0]=b[206629]|0;b[g+2>>0]=b[206630]|0;b[g+3>>0]=b[206631]|0;b[g+4>>0]=b[206632]|0;b[g+5>>0]=0;WD(-215,g,476262,206642,508)}q=f[c+4>>2]|0;o=f[q+4>>2]|0;f[a>>2]=f[q+8>>2];f[a+4>>2]=o;u=e;return}default:{o=cuc(32)|0;f[g>>2]=o;f[g+8>>2]=-2147483616;f[g+4>>2]=30;l=o;m=206939;n=l+30|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));b[o+30>>0]=0;WD(-213,g,476262,206642,513)}}while(0)}function pJ(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;d=u;u=u+16|0;e=d;g=f[a>>2]|0;do switch(g>>>16&31){case 1:{h=f[f[a+4>>2]>>2]&4095;u=d;return h|0}case 10:{h=f[f[a+4>>2]>>2]&4095;u=d;return h|0}case 6:{h=sT(f[a+4>>2]|0)|0;u=d;return h|0}case 2:case 3:case 4:case 12:case 14:{h=g&4095;u=d;return h|0}case 11:{i=f[a+4>>2]|0;j=f[i>>2]|0;k=f[i+4>>2]|0;if((j|0)==(k|0)){if((g|0)>=0){i=cuc(32)|0;f[e>>2]=i;f[e+8>>2]=-2147483616;f[e+4>>2]=25;l=i;m=206970;n=l+25|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));b[i+25>>0]=0;WD(-215,e,410954,206642,789)}h=g&4095;u=d;return h|0}else{if(((k-j|0)/48|0|0)<=(c|0)){o=cuc(32)|0;f[e>>2]=o;f[e+8>>2]=-2147483616;f[e+4>>2]=18;l=o;m=206996;n=l+18|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));b[o+18>>0]=0;WD(-215,e,410954,206642,792)}h=f[j+(((c|0)>0?c:0)*48|0)>>2]&4095;u=d;return h|0}break}case 5:{k=f[a+4>>2]|0;i=f[k>>2]|0;p=f[k+4>>2]|0;if((i|0)==(p|0)){if((g|0)>=0){k=cuc(32)|0;f[e>>2]=k;f[e+8>>2]=-2147483616;f[e+4>>2]=25;l=k;m=206970;n=l+25|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));b[k+25>>0]=0;WD(-215,e,410954,206642,801)}h=g&4095;u=d;return h|0}else{if(((p-i|0)/56|0|0)<=(c|0)){j=cuc(32)|0;f[e>>2]=j;f[e+8>>2]=-2147483616;f[e+4>>2]=18;l=j;m=206996;n=l+18|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));b[j+18>>0]=0;WD(-215,e,410954,206642,804)}h=f[i+(((c|0)>0?c:0)*56|0)>>2]&4095;u=d;return h|0}break}case 15:{p=f[a+4>>2]|0;k=f[a+12>>2]|0;if(!k){if((g|0)>=0){o=cuc(32)|0;f[e>>2]=o;f[e+8>>2]=-2147483616;f[e+4>>2]=25;l=o;m=206970;n=l+25|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));b[o+25>>0]=0;WD(-215,e,410954,206642,813)}h=g&4095;u=d;return h|0}else{if((k|0)<=(c|0)){i=cuc(16)|0;f[e>>2]=i;f[e+8>>2]=-2147483632;f[e+4>>2]=13;l=i;m=207015;n=l+13|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));b[i+13>>0]=0;WD(-215,e,410954,206642,816)}h=f[p+(((c|0)>0?c:0)*56|0)>>2]&4095;u=d;return h|0}break}case 13:{k=f[a+4>>2]|0;o=f[k>>2]|0;j=f[k+4>>2]|0;if((o|0)==(j|0)){if((g|0)>=0){k=cuc(32)|0;f[e>>2]=k;f[e+8>>2]=-2147483616;f[e+4>>2]=25;l=k;m=206970;n=l+25|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));b[k+25>>0]=0;WD(-215,e,410954,206642,825)}h=g&4095;u=d;return h|0}else{if(((j-o|0)/36|0|0)<=(c|0)){p=cuc(32)|0;f[e>>2]=p;f[e+8>>2]=-2147483616;f[e+4>>2]=18;l=p;m=206996;n=l+18|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));b[p+18>>0]=0;WD(-215,e,410954,206642,828)}h=f[o+(((c|0)>0?c:0)*36|0)>>2]&4095;u=d;return h|0}break}case 7:{h=f[(f[a+4>>2]|0)+16>>2]|0;u=d;return h|0}case 9:{h=f[f[a+4>>2]>>2]&4095;u=d;return h|0}case 8:{h=f[f[a+4>>2]>>2]&4095;u=d;return h|0}case 0:{h=-1;u=d;return h|0}default:{j=cuc(32)|0;f[e>>2]=j;f[e+8>>2]=-2147483616;f[e+4>>2]=30;l=j;m=206939;n=l+30|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));b[j+30>>0]=0;WD(-213,e,410954,206642,841)}}while(0);return 0}function qJ(a){a=a|0;return f[a>>2]&2031616|0}function rJ(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;e=u;u=u+128|0;g=e+64|0;h=e+56|0;i=e;j=f[c>>2]|0;k=j&2031616;l=j&50331648;j=k&2097151;a:do if((j|0)>=655360){if((j|0)<720896){switch(j|0){case 655360:break;default:break a}m=f[c+4>>2]|0;if((d|0)>=0){f[g>>2]=d;f[g+4>>2]=d+1;f[h>>2]=-2147483648;f[h+4>>2]=2147483647;XH(a,m,g,h);u=e;return}f[a>>2]=f[m>>2];n=a+4|0;o=m+4|0;f[n>>2]=f[o>>2];p=a+8|0;f[p>>2]=f[m+8>>2];f[a+12>>2]=f[m+12>>2];f[a+16>>2]=f[m+16>>2];f[a+20>>2]=f[m+20>>2];q=f[m+24>>2]|0;f[a+24>>2]=q;f[a+28>>2]=f[m+28>>2];f[a+32>>2]=p;p=a+40|0;r=a+36|0;f[r>>2]=p;f[a+44>>2]=0;f[p>>2]=0;if(q|0){p=q+8|0;f[p>>2]=(f[p>>2]|0)+1}if((f[o>>2]|0)<3){o=f[m+36>>2]|0;p=f[r>>2]|0;f[p>>2]=f[o>>2];f[p+4>>2]=f[o+4>>2];u=e;return}else{f[n>>2]=0;UH(a,m);u=e;return}}switch(j|0){case 720896:break;default:break a}m=f[c+4>>2]|0;if((d|0)<=-1){s=cuc(32)|0;f[g>>2]=s;t=g+8|0;f[t>>2]=-2147483616;v=g+4|0;f[v>>2]=27;w=s;x=206744;y=w+27|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));z=s+27|0;b[z>>0]=0;WD(-215,g,207029,206642,149)}n=f[m>>2]|0;o=n;if((((f[m+4>>2]|0)-n|0)/48|0|0)<=(d|0)){s=cuc(32)|0;f[g>>2]=s;t=g+8|0;f[t>>2]=-2147483616;v=g+4|0;f[v>>2]=27;w=s;x=206744;y=w+27|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));z=s+27|0;b[z>>0]=0;WD(-215,g,207029,206642,149)}m=o+(d*48|0)|0;f[a>>2]=f[m>>2];n=a+4|0;p=o+(d*48|0)+4|0;f[n>>2]=f[p>>2];r=a+8|0;f[r>>2]=f[o+(d*48|0)+8>>2];f[a+12>>2]=f[o+(d*48|0)+12>>2];f[a+16>>2]=f[o+(d*48|0)+16>>2];f[a+20>>2]=f[o+(d*48|0)+20>>2];q=f[o+(d*48|0)+24>>2]|0;f[a+24>>2]=q;f[a+28>>2]=f[o+(d*48|0)+28>>2];f[a+32>>2]=r;r=a+40|0;A=a+36|0;f[A>>2]=r;f[a+44>>2]=0;f[r>>2]=0;if(q|0){r=q+8|0;f[r>>2]=(f[r>>2]|0)+1}if((f[p>>2]|0)<3){p=f[o+(d*48|0)+36>>2]|0;r=f[A>>2]|0;f[r>>2]=f[p>>2];f[r+4>>2]=f[p+4>>2];u=e;return}else{f[n>>2]=0;UH(a,m);u=e;return}}else{switch(j|0){case 65536:break;default:break a}m=f[c+4>>2]|0;if((d|0)<0){QH(a,m,l,0);u=e;return}f[g>>2]=d;f[g+4>>2]=d+1;f[h>>2]=-2147483648;f[h+4>>2]=2147483647;bU(i,m,g,h);QH(a,i,l,0);m=i+36|0;n=f[m>>2]|0;if(n|0?(p=n+12|0,n=f[p>>2]|0,f[p>>2]=n+-1,(n|0)==1):0)aU(i);f[m>>2]=0;m=i+16|0;n=i+4|0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;if((f[n>>2]|0)>0){m=f[i+40>>2]|0;p=0;do{f[m+(p<<2)>>2]=0;p=p+1|0}while((p|0)<(f[n>>2]|0))}n=f[i+44>>2]|0;if((n|0)!=(i+48|0))TC(n);u=e;return}while(0);do if((d|0)<0&(k|0)==65536){i=f[c+4>>2]|0;f[g>>2]=f[i>>2];h=g+4|0;j=i+4|0;f[h>>2]=f[j>>2];z=g+8|0;f[z>>2]=f[i+8>>2];f[g+12>>2]=f[i+12>>2];f[g+16>>2]=f[i+16>>2];f[g+20>>2]=f[i+20>>2];f[g+24>>2]=f[i+24>>2];f[g+28>>2]=f[i+28>>2];f[g+32>>2]=f[i+32>>2];s=f[i+36>>2]|0;f[g+36>>2]=s;f[g+40>>2]=z;z=g+48|0;x=g+44|0;f[x>>2]=z;f[z>>2]=0;f[g+52>>2]=0;if(s|0){z=s+12|0;f[z>>2]=(f[z>>2]|0)+1}if((f[j>>2]|0)<3){j=f[i+44>>2]|0;z=f[x>>2]|0;f[z>>2]=f[j>>2];f[z+4>>2]=f[j+4>>2];break}else{f[h>>2]=0;$T(g,i);break}}else nJ(g,c,d);while(0);QH(a,g,l,0);l=g+36|0;a=f[l>>2]|0;if(a|0?(d=a+12|0,a=f[d>>2]|0,f[d>>2]=a+-1,(a|0)==1):0)aU(g);f[l>>2]=0;l=g+16|0;a=g+4|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;if((f[a>>2]|0)>0){l=f[g+40>>2]|0;d=0;do{f[l+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[a>>2]|0))}a=f[g+44>>2]|0;if((a|0)!=(g+48|0))TC(a);u=e;return}function sJ(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0;d=u;u=u+240|0;e=d+176|0;g=d+120|0;h=d+56|0;i=d;j=d+112|0;k=f[a>>2]|0;l=k&50331648;do switch(k>>>16&31){case 1:{m=f[a+4>>2]|0;n=m+40|0;o=f[f[n>>2]>>2]|0;tJ(c,o);if((o|0)<=0){u=d;return}p=m+4|0;q=m+12|0;r=m+16|0;s=m+44|0;t=e+36|0;v=e+16|0;w=e+4|0;x=e+40|0;y=e+44|0;z=e+48|0;A=e+8|0;B=e+12|0;C=e+20|0;D=e+24|0;E=e+28|0;F=e+32|0;G=e+44|0;H=0;do{I=f[p>>2]|0;if((I|0)==2)Ri(e,1,f[q>>2]|0,f[m>>2]&4095,(f[r>>2]|0)+(Y(f[f[s>>2]>>2]|0,H)|0)|0,0);else{J=f[s>>2]|0;fU(e,I+-1|0,(f[n>>2]|0)+4|0,f[m>>2]&4095,(f[r>>2]|0)+(Y(f[J>>2]|0,H)|0)|0,J+4|0)}J=f[c>>2]|0;I=J+(H*56|0)|0;if((I|0)==(e|0)){K=f[t>>2]|0;if(K|0?(L=K+12|0,K=f[L>>2]|0,f[L>>2]=K+-1,(K|0)==1):0)aU(e)}else{K=J+(H*56|0)+36|0;L=f[K>>2]|0;if(L|0?(M=L+12|0,L=f[M>>2]|0,f[M>>2]=L+-1,(L|0)==1):0)aU(I);f[K>>2]=0;L=J+(H*56|0)+16|0;M=J+(H*56|0)+4|0;f[L>>2]=0;f[L+4>>2]=0;f[L+8>>2]=0;f[L+12>>2]=0;if((f[M>>2]|0)>0){N=f[J+(H*56|0)+40>>2]|0;O=0;do{f[N+(O<<2)>>2]=0;O=O+1|0}while((O|0)<(f[M>>2]|0))}f[I>>2]=f[e>>2];f[M>>2]=f[w>>2];O=J+(H*56|0)+8|0;f[O>>2]=f[A>>2];f[J+(H*56|0)+12>>2]=f[B>>2];f[L>>2]=f[v>>2];f[J+(H*56|0)+20>>2]=f[C>>2];f[J+(H*56|0)+24>>2]=f[D>>2];f[J+(H*56|0)+28>>2]=f[E>>2];f[J+(H*56|0)+32>>2]=f[F>>2];f[K>>2]=f[t>>2];N=J+(H*56|0)+44|0;P=f[N>>2]|0;Q=J+(H*56|0)+48|0;if((P|0)==(Q|0))R=P;else{TC(P);f[N>>2]=Q;f[J+(H*56|0)+40>>2]=O;R=Q}if((f[w>>2]|0)<3){Q=f[G>>2]|0;f[R>>2]=f[Q>>2];f[R+4>>2]=f[Q+4>>2]}else{f[N>>2]=f[G>>2];f[J+(H*56|0)+40>>2]=f[x>>2];f[G>>2]=z;f[x>>2]=A}f[e>>2]=1124007936;S=w;T=S+36|0;do{f[S>>2]=0;S=S+4|0}while((S|0)<(T|0))}f[t>>2]=0;f[v>>2]=0;f[v+4>>2]=0;f[v+8>>2]=0;f[v+12>>2]=0;if((f[w>>2]|0)>0){J=f[x>>2]|0;K=0;do{f[J+(K<<2)>>2]=0;K=K+1|0}while((K|0)<(f[w>>2]|0))}K=f[y>>2]|0;if((K|0)!=(z|0))TC(K);H=H+1|0}while((H|0)<(o|0));u=d;return}case 6:{o=f[a+4>>2]|0;f[h>>2]=1124007936;H=h+4|0;z=h+8|0;y=h+40|0;S=H;T=S+36|0;do{f[S>>2]=0;S=S+4|0}while((S|0)<(T|0));f[y>>2]=z;w=h+48|0;x=h+44|0;f[x>>2]=w;f[w>>2]=0;f[h+52>>2]=0;v=f[o>>2]|0;sh[f[(f[v>>2]|0)+12>>2]&255](v,o,h,-1);v=f[f[y>>2]>>2]|0;tJ(c,v);if((v|0)>0){t=e+4|0;A=g+4|0;G=i+36|0;F=i+16|0;E=i+4|0;D=i+40|0;C=i+44|0;B=i+48|0;r=i+8|0;m=i+12|0;n=i+20|0;s=i+24|0;q=i+28|0;p=i+32|0;K=i+44|0;J=0;do{L=J;J=J+1|0;f[e>>2]=L;f[t>>2]=J;f[g>>2]=-2147483648;f[A>>2]=2147483647;bU(i,h,e,g);M=f[c>>2]|0;I=M+(L*56|0)|0;if((I|0)==(i|0)){N=f[G>>2]|0;if(N|0?(Q=N+12|0,N=f[Q>>2]|0,f[Q>>2]=N+-1,(N|0)==1):0)aU(i)}else{N=M+(L*56|0)+36|0;Q=f[N>>2]|0;if(Q|0?(O=Q+12|0,Q=f[O>>2]|0,f[O>>2]=Q+-1,(Q|0)==1):0)aU(I);f[N>>2]=0;Q=M+(L*56|0)+16|0;O=M+(L*56|0)+4|0;f[Q>>2]=0;f[Q+4>>2]=0;f[Q+8>>2]=0;f[Q+12>>2]=0;if((f[O>>2]|0)>0){P=f[M+(L*56|0)+40>>2]|0;U=0;do{f[P+(U<<2)>>2]=0;U=U+1|0}while((U|0)<(f[O>>2]|0))}f[I>>2]=f[i>>2];f[O>>2]=f[E>>2];U=M+(L*56|0)+8|0;f[U>>2]=f[r>>2];f[M+(L*56|0)+12>>2]=f[m>>2];f[Q>>2]=f[F>>2];f[M+(L*56|0)+20>>2]=f[n>>2];f[M+(L*56|0)+24>>2]=f[s>>2];f[M+(L*56|0)+28>>2]=f[q>>2];f[M+(L*56|0)+32>>2]=f[p>>2];f[N>>2]=f[G>>2];P=M+(L*56|0)+44|0;V=f[P>>2]|0;W=M+(L*56|0)+48|0;if((V|0)==(W|0))X=V;else{TC(V);f[P>>2]=W;f[M+(L*56|0)+40>>2]=U;X=W}if((f[E>>2]|0)<3){W=f[K>>2]|0;f[X>>2]=f[W>>2];f[X+4>>2]=f[W+4>>2]}else{f[P>>2]=f[K>>2];f[M+(L*56|0)+40>>2]=f[D>>2];f[K>>2]=B;f[D>>2]=r}f[i>>2]=1124007936;S=E;T=S+36|0;do{f[S>>2]=0;S=S+4|0}while((S|0)<(T|0))}f[G>>2]=0;f[F>>2]=0;f[F+4>>2]=0;f[F+8>>2]=0;f[F+12>>2]=0;if((f[E>>2]|0)>0){L=f[D>>2]|0;M=0;do{f[L+(M<<2)>>2]=0;M=M+1|0}while((M|0)<(f[E>>2]|0))}M=f[C>>2]|0;if((M|0)!=(B|0))TC(M)}while((J|0)<(v|0))}v=h+36|0;J=f[v>>2]|0;if(J|0?(B=J+12|0,J=f[B>>2]|0,f[B>>2]=J+-1,(J|0)==1):0)aU(h);f[v>>2]=0;v=h+16|0;f[v>>2]=0;f[v+4>>2]=0;f[v+8>>2]=0;f[v+12>>2]=0;if((f[H>>2]|0)>0){v=f[y>>2]|0;J=0;do{f[v+(J<<2)>>2]=0;J=J+1|0}while((J|0)<(f[H>>2]|0))}H=f[x>>2]|0;if((H|0)!=(w|0))TC(H);u=d;return}case 2:case 14:{H=f[a+12>>2]|0;J=Y(675553809>>>(k<<2&28)&15,(k>>>3&511)+1|0)|0;tJ(c,H);if(!H){u=d;return}v=a+8|0;y=a+4|0;B=e+36|0;C=e+16|0;E=e+4|0;D=e+40|0;F=e+44|0;G=e+48|0;r=e+8|0;K=e+12|0;p=e+20|0;q=e+24|0;s=e+28|0;n=e+32|0;m=e+44|0;A=0;do{t=f[v>>2]|0;Ri(e,1,t,f[a>>2]&4095,(f[y>>2]|0)+(Y(Y(J,A)|0,t)|0)|0,0);t=f[c>>2]|0;o=t+(A*56|0)|0;if((o|0)==(e|0)){z=f[B>>2]|0;if(z|0?(M=z+12|0,z=f[M>>2]|0,f[M>>2]=z+-1,(z|0)==1):0)aU(e)}else{z=t+(A*56|0)+36|0;M=f[z>>2]|0;if(M|0?(L=M+12|0,M=f[L>>2]|0,f[L>>2]=M+-1,(M|0)==1):0)aU(o);f[z>>2]=0;M=t+(A*56|0)+16|0;L=t+(A*56|0)+4|0;f[M>>2]=0;f[M+4>>2]=0;f[M+8>>2]=0;f[M+12>>2]=0;if((f[L>>2]|0)>0){N=f[t+(A*56|0)+40>>2]|0;Q=0;do{f[N+(Q<<2)>>2]=0;Q=Q+1|0}while((Q|0)<(f[L>>2]|0))}f[o>>2]=f[e>>2];f[L>>2]=f[E>>2];Q=t+(A*56|0)+8|0;f[Q>>2]=f[r>>2];f[t+(A*56|0)+12>>2]=f[K>>2];f[M>>2]=f[C>>2];f[t+(A*56|0)+20>>2]=f[p>>2];f[t+(A*56|0)+24>>2]=f[q>>2];f[t+(A*56|0)+28>>2]=f[s>>2];f[t+(A*56|0)+32>>2]=f[n>>2];f[z>>2]=f[B>>2];N=t+(A*56|0)+44|0;O=f[N>>2]|0;I=t+(A*56|0)+48|0;if((O|0)==(I|0))Z=O;else{TC(O);f[N>>2]=I;f[t+(A*56|0)+40>>2]=Q;Z=I}if((f[E>>2]|0)<3){I=f[m>>2]|0;f[Z>>2]=f[I>>2];f[Z+4>>2]=f[I+4>>2]}else{f[N>>2]=f[m>>2];f[t+(A*56|0)+40>>2]=f[D>>2];f[m>>2]=G;f[D>>2]=r}f[e>>2]=1124007936;S=E;T=S+36|0;do{f[S>>2]=0;S=S+4|0}while((S|0)<(T|0))}f[B>>2]=0;f[C>>2]=0;f[C+4>>2]=0;f[C+8>>2]=0;f[C+12>>2]=0;if((f[E>>2]|0)>0){t=f[D>>2]|0;z=0;do{f[t+(z<<2)>>2]=0;z=z+1|0}while((z|0)<(f[E>>2]|0))}z=f[F>>2]|0;if((z|0)!=(G|0))TC(z);A=A+1|0}while(A>>>0<H>>>0);u=d;return}case 3:{H=f[a+4>>2]|0;oJ(e,a,-1);A=f[e>>2]|0;G=f[a>>2]|0;F=(G>>>3&511)+1|0;E=G&7;G=Y(675553809>>>(E<<2)&15,F)|0;tJ(c,A);if(!A){u=d;return}D=e+36|0;C=e+16|0;B=e+4|0;r=e+40|0;m=e+44|0;n=e+48|0;s=e+8|0;q=e+12|0;p=e+20|0;K=e+24|0;J=e+28|0;y=e+32|0;v=e+44|0;w=0;do{Ri(e,1,F,E,(f[H>>2]|0)+(Y(G,w)|0)|0,0);x=f[c>>2]|0;z=x+(w*56|0)|0;if((z|0)==(e|0)){t=f[D>>2]|0;if(t|0?(M=t+12|0,t=f[M>>2]|0,f[M>>2]=t+-1,(t|0)==1):0)aU(e)}else{t=x+(w*56|0)+36|0;M=f[t>>2]|0;if(M|0?(L=M+12|0,M=f[L>>2]|0,f[L>>2]=M+-1,(M|0)==1):0)aU(z);f[t>>2]=0;M=x+(w*56|0)+16|0;L=x+(w*56|0)+4|0;f[M>>2]=0;f[M+4>>2]=0;f[M+8>>2]=0;f[M+12>>2]=0;if((f[L>>2]|0)>0){o=f[x+(w*56|0)+40>>2]|0;N=0;do{f[o+(N<<2)>>2]=0;N=N+1|0}while((N|0)<(f[L>>2]|0))}f[z>>2]=f[e>>2];f[L>>2]=f[B>>2];N=x+(w*56|0)+8|0;f[N>>2]=f[s>>2];f[x+(w*56|0)+12>>2]=f[q>>2];f[M>>2]=f[C>>2];f[x+(w*56|0)+20>>2]=f[p>>2];f[x+(w*56|0)+24>>2]=f[K>>2];f[x+(w*56|0)+28>>2]=f[J>>2];f[x+(w*56|0)+32>>2]=f[y>>2];f[t>>2]=f[D>>2];o=x+(w*56|0)+44|0;I=f[o>>2]|0;Q=x+(w*56|0)+48|0;if((I|0)==(Q|0))_=I;else{TC(I);f[o>>2]=Q;f[x+(w*56|0)+40>>2]=N;_=Q}if((f[B>>2]|0)<3){Q=f[v>>2]|0;f[_>>2]=f[Q>>2];f[_+4>>2]=f[Q+4>>2]}else{f[o>>2]=f[v>>2];f[x+(w*56|0)+40>>2]=f[r>>2];f[v>>2]=n;f[r>>2]=s}f[e>>2]=1124007936;S=B;T=S+36|0;do{f[S>>2]=0;S=S+4|0}while((S|0)<(T|0))}f[D>>2]=0;f[C>>2]=0;f[C+4>>2]=0;f[C+8>>2]=0;f[C+12>>2]=0;if((f[B>>2]|0)>0){x=f[r>>2]|0;t=0;do{f[x+(t<<2)>>2]=0;t=t+1|0}while((t|0)<(f[B>>2]|0))}t=f[m>>2]|0;if((t|0)!=(n|0))TC(t);w=w+1|0}while(w>>>0<A>>>0);u=d;return}case 0:{A=f[c>>2]|0;w=c+4|0;n=f[w>>2]|0;if((n|0)==(A|0)){u=d;return}else $=n;do{n=$+-56|0;f[w>>2]=n;m=$+-20|0;B=f[m>>2]|0;if(B|0?(r=B+12|0,B=f[r>>2]|0,f[r>>2]=B+-1,(B|0)==1):0)aU(n);f[m>>2]=0;m=$+-40|0;n=$+-52|0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;if((f[n>>2]|0)>0){m=f[$+-16>>2]|0;B=0;do{f[m+(B<<2)>>2]=0;B=B+1|0}while((B|0)<(f[n>>2]|0))}n=f[$+-12>>2]|0;if((n|0)!=($+-8|0))TC(n);$=f[w>>2]|0}while(($|0)!=(A|0));u=d;return}case 4:{A=f[a+4>>2]|0;w=(f[A+4>>2]|0)-(f[A>>2]|0)|0;n=(w|0)/12|0;B=k&4095;tJ(c,n);if((w|0)<=0){u=d;return}w=B|1124007936;m=g+4|0;r=g+8|0;C=j+4|0;D=g+12|0;s=g+16|0;v=g+20|0;y=g+24|0;J=g+28|0;K=g+40|0;p=g+48|0;q=g+44|0;G=g+52|0;H=Y(675553809>>>(B<<2&28)&15,(k>>>3&511)+1|0)|0;B=g+36|0;E=g+32|0;F=g+44|0;t=0;while(1){x=f[A>>2]|0;oJ(j,a,t);M=f[x+(t*12|0)>>2]|0;f[g>>2]=w;f[m>>2]=2;x=f[C>>2]|0;f[r>>2]=x;L=f[j>>2]|0;f[D>>2]=L;f[s>>2]=M;f[v>>2]=M;f[y>>2]=0;f[y+4>>2]=0;f[y+8>>2]=0;f[y+12>>2]=0;f[K>>2]=r;f[q>>2]=p;f[G>>2]=0;f[p>>2]=0;if((M|0)==0&(Y(L,x)|0)!=0){aa=123;break}z=Y(L,H)|0;f[p>>2]=z;f[G>>2]=H;L=M+(Y(z,x)|0)|0;f[J>>2]=L;f[y>>2]=L+(0-z)+z;YT(g);z=f[c>>2]|0;L=z+(t*56|0)|0;if((L|0)==(g|0)){x=f[B>>2]|0;if(x|0?(M=x+12|0,x=f[M>>2]|0,f[M>>2]=x+-1,(x|0)==1):0)aU(g)}else{x=z+(t*56|0)+36|0;M=f[x>>2]|0;if(M|0?(o=M+12|0,M=f[o>>2]|0,f[o>>2]=M+-1,(M|0)==1):0)aU(L);f[x>>2]=0;M=z+(t*56|0)+16|0;o=z+(t*56|0)+4|0;f[M>>2]=0;f[M+4>>2]=0;f[M+8>>2]=0;f[M+12>>2]=0;if((f[o>>2]|0)>0){Q=f[z+(t*56|0)+40>>2]|0;N=0;do{f[Q+(N<<2)>>2]=0;N=N+1|0}while((N|0)<(f[o>>2]|0))}f[L>>2]=f[g>>2];f[o>>2]=f[m>>2];N=z+(t*56|0)+8|0;f[N>>2]=f[r>>2];f[z+(t*56|0)+12>>2]=f[D>>2];f[M>>2]=f[s>>2];f[z+(t*56|0)+20>>2]=f[v>>2];f[z+(t*56|0)+24>>2]=f[y>>2];f[z+(t*56|0)+28>>2]=f[J>>2];f[z+(t*56|0)+32>>2]=f[E>>2];f[x>>2]=f[B>>2];Q=z+(t*56|0)+44|0;I=f[Q>>2]|0;O=z+(t*56|0)+48|0;if((I|0)==(O|0))ba=I;else{TC(I);f[Q>>2]=O;f[z+(t*56|0)+40>>2]=N;ba=O}if((f[m>>2]|0)<3){O=f[F>>2]|0;f[ba>>2]=f[O>>2];f[ba+4>>2]=f[O+4>>2]}else{f[Q>>2]=f[F>>2];f[z+(t*56|0)+40>>2]=f[K>>2];f[F>>2]=p;f[K>>2]=r}f[g>>2]=1124007936;S=m;T=S+36|0;do{f[S>>2]=0;S=S+4|0}while((S|0)<(T|0))}f[B>>2]=0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;if((f[m>>2]|0)>0){z=f[K>>2]|0;x=0;do{f[z+(x<<2)>>2]=0;x=x+1|0}while((x|0)<(f[m>>2]|0))}x=f[q>>2]|0;if((x|0)!=(p|0))TC(x);t=t+1|0;if((t|0)>=(n|0)){aa=207;break}}if((aa|0)==123){n=cuc(32)|0;f[e>>2]=n;f[e+8>>2]=-2147483616;f[e+4>>2]=28;S=n;ca=466324;T=S+28|0;do{b[S>>0]=b[ca>>0]|0;S=S+1|0;ca=ca+1|0}while((S|0)<(T|0));b[n+28>>0]=0;WD(-215,e,466353,466357,577)}else if((aa|0)==207){u=d;return}break}case 5:{t=f[a+4>>2]|0;p=(f[t+4>>2]|0)-(f[t>>2]|0)|0;q=(p|0)/56|0;tJ(c,q);if(!p){u=d;return}p=0;do{m=f[t>>2]|0;K=m+(p*56|0)|0;s=f[c>>2]|0;B=s+(p*56|0)|0;if((s|0)!=(m|0)){r=m+(p*56|0)+36|0;F=f[r>>2]|0;if(F|0){E=F+12|0;f[E>>2]=(f[E>>2]|0)+1}E=s+(p*56|0)+36|0;F=f[E>>2]|0;if(F|0?(J=F+12|0,F=f[J>>2]|0,f[J>>2]=F+-1,(F|0)==1):0)aU(B);f[E>>2]=0;F=s+(p*56|0)+16|0;J=s+(p*56|0)+4|0;f[F>>2]=0;f[F+4>>2]=0;f[F+8>>2]=0;f[F+12>>2]=0;if((f[J>>2]|0)>0){y=f[s+(p*56|0)+40>>2]|0;v=0;do{f[y+(v<<2)>>2]=0;v=v+1|0;da=f[J>>2]|0}while((v|0)<(da|0));f[B>>2]=f[K>>2];if((da|0)<3)aa=159;else aa=161}else{f[B>>2]=f[K>>2];aa=159}if((aa|0)==159){aa=0;v=f[m+(p*56|0)+4>>2]|0;if((v|0)<3){f[J>>2]=v;f[s+(p*56|0)+8>>2]=f[m+(p*56|0)+8>>2];f[s+(p*56|0)+12>>2]=f[m+(p*56|0)+12>>2];v=f[m+(p*56|0)+44>>2]|0;y=f[s+(p*56|0)+44>>2]|0;f[y>>2]=f[v>>2];f[y+4>>2]=f[v+4>>2]}else aa=161}if((aa|0)==161){aa=0;$T(B,K)}f[F>>2]=f[m+(p*56|0)+16>>2];f[s+(p*56|0)+20>>2]=f[m+(p*56|0)+20>>2];f[s+(p*56|0)+24>>2]=f[m+(p*56|0)+24>>2];f[s+(p*56|0)+28>>2]=f[m+(p*56|0)+28>>2];f[s+(p*56|0)+32>>2]=f[m+(p*56|0)+32>>2];f[E>>2]=f[r>>2]}p=p+1|0}while(p>>>0<q>>>0);u=d;return}case 15:{q=f[a+4>>2]|0;p=f[a+12>>2]|0;tJ(c,p);if(!p){u=d;return}t=0;do{n=q+(t*56|0)|0;v=f[c>>2]|0;y=v+(t*56|0)|0;if((v|0)!=(q|0)){D=q+(t*56|0)+36|0;H=f[D>>2]|0;if(H|0){G=H+12|0;f[G>>2]=(f[G>>2]|0)+1}G=v+(t*56|0)+36|0;H=f[G>>2]|0;if(H|0?(C=H+12|0,H=f[C>>2]|0,f[C>>2]=H+-1,(H|0)==1):0)aU(y);f[G>>2]=0;H=v+(t*56|0)+16|0;C=v+(t*56|0)+4|0;f[H>>2]=0;f[H+4>>2]=0;f[H+8>>2]=0;f[H+12>>2]=0;if((f[C>>2]|0)>0){w=f[v+(t*56|0)+40>>2]|0;A=0;do{f[w+(A<<2)>>2]=0;A=A+1|0;ea=f[C>>2]|0}while((A|0)<(ea|0));f[y>>2]=f[n>>2];if((ea|0)<3)aa=177;else aa=179}else{f[y>>2]=f[n>>2];aa=177}if((aa|0)==177){aa=0;A=f[q+(t*56|0)+4>>2]|0;if((A|0)<3){f[C>>2]=A;f[v+(t*56|0)+8>>2]=f[q+(t*56|0)+8>>2];f[v+(t*56|0)+12>>2]=f[q+(t*56|0)+12>>2];A=f[q+(t*56|0)+44>>2]|0;w=f[v+(t*56|0)+44>>2]|0;f[w>>2]=f[A>>2];f[w+4>>2]=f[A+4>>2]}else aa=179}if((aa|0)==179){aa=0;$T(y,n)}f[H>>2]=f[q+(t*56|0)+16>>2];f[v+(t*56|0)+20>>2]=f[q+(t*56|0)+20>>2];f[v+(t*56|0)+24>>2]=f[q+(t*56|0)+24>>2];f[v+(t*56|0)+28>>2]=f[q+(t*56|0)+28>>2];f[v+(t*56|0)+32>>2]=f[q+(t*56|0)+32>>2];f[G>>2]=f[D>>2]}t=t+1|0}while((t|0)!=(p|0));u=d;return}case 11:{p=f[a+4>>2]|0;t=(f[p+4>>2]|0)-(f[p>>2]|0)|0;q=(t|0)/48|0;tJ(c,q);if(!t){u=d;return}t=e+36|0;A=e+16|0;w=e+4|0;r=e+40|0;E=e+44|0;m=e+48|0;s=e+8|0;F=e+12|0;K=e+20|0;B=e+24|0;J=e+28|0;x=e+32|0;z=e+44|0;M=0;do{cI(e,(f[p>>2]|0)+(M*48|0)|0,l);o=f[c>>2]|0;L=o+(M*56|0)|0;if((L|0)==(e|0)){Q=f[t>>2]|0;if(Q|0?(O=Q+12|0,Q=f[O>>2]|0,f[O>>2]=Q+-1,(Q|0)==1):0)aU(e)}else{Q=o+(M*56|0)+36|0;O=f[Q>>2]|0;if(O|0?(N=O+12|0,O=f[N>>2]|0,f[N>>2]=O+-1,(O|0)==1):0)aU(L);f[Q>>2]=0;O=o+(M*56|0)+16|0;N=o+(M*56|0)+4|0;f[O>>2]=0;f[O+4>>2]=0;f[O+8>>2]=0;f[O+12>>2]=0;if((f[N>>2]|0)>0){I=f[o+(M*56|0)+40>>2]|0;P=0;do{f[I+(P<<2)>>2]=0;P=P+1|0}while((P|0)<(f[N>>2]|0))}f[L>>2]=f[e>>2];f[N>>2]=f[w>>2];P=o+(M*56|0)+8|0;f[P>>2]=f[s>>2];f[o+(M*56|0)+12>>2]=f[F>>2];f[O>>2]=f[A>>2];f[o+(M*56|0)+20>>2]=f[K>>2];f[o+(M*56|0)+24>>2]=f[B>>2];f[o+(M*56|0)+28>>2]=f[J>>2];f[o+(M*56|0)+32>>2]=f[x>>2];f[Q>>2]=f[t>>2];I=o+(M*56|0)+44|0;D=f[I>>2]|0;G=o+(M*56|0)+48|0;if((D|0)==(G|0))fa=D;else{TC(D);f[I>>2]=G;f[o+(M*56|0)+40>>2]=P;fa=G}if((f[w>>2]|0)<3){G=f[z>>2]|0;f[fa>>2]=f[G>>2];f[fa+4>>2]=f[G+4>>2]}else{f[I>>2]=f[z>>2];f[o+(M*56|0)+40>>2]=f[r>>2];f[z>>2]=m;f[r>>2]=s}f[e>>2]=1124007936;S=w;T=S+36|0;do{f[S>>2]=0;S=S+4|0}while((S|0)<(T|0))}f[t>>2]=0;f[A>>2]=0;f[A+4>>2]=0;f[A+8>>2]=0;f[A+12>>2]=0;if((f[w>>2]|0)>0){o=f[r>>2]|0;Q=0;do{f[o+(Q<<2)>>2]=0;Q=Q+1|0}while((Q|0)<(f[w>>2]|0))}Q=f[E>>2]|0;if((Q|0)!=(m|0))TC(Q);M=M+1|0}while(M>>>0<q>>>0);u=d;return}default:{q=cuc(32)|0;f[e>>2]=q;f[e+8>>2]=-2147483616;f[e+4>>2]=30;S=q;ca=206939;T=S+30|0;do{b[S>>0]=b[ca>>0]|0;S=S+1|0;ca=ca+1|0}while((S|0)<(T|0));b[q+30>>0]=0;WD(-213,e,207037,206642,270)}}while(0)}function tJ(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0;c=a+4|0;d=f[c>>2]|0;e=f[a>>2]|0;g=(d-e|0)/56|0;h=d;if(g>>>0<b>>>0){uJ(a,b-g|0);return}if(g>>>0<=b>>>0)return;g=e+(b*56|0)|0;if((h|0)==(g|0))return;else i=h;do{h=i+-56|0;f[c>>2]=h;b=i+-20|0;e=f[b>>2]|0;if(e|0?(a=e+12|0,e=f[a>>2]|0,f[a>>2]=e+-1,(e|0)==1):0)aU(h);f[b>>2]=0;b=i+-40|0;h=i+-52|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;if((f[h>>2]|0)>0){b=f[i+-16>>2]|0;e=0;do{f[b+(e<<2)>>2]=0;e=e+1|0}while((e|0)<(f[h>>2]|0))}h=f[i+-12>>2]|0;if((h|0)!=(i+-8|0))TC(h);i=f[c>>2]|0}while((i|0)!=(g|0));return}function uJ(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;c=u;u=u+32|0;d=c;e=f[a+8>>2]|0;g=a+4|0;h=f[g>>2]|0;if(((e-h|0)/56|0)>>>0>=b>>>0){i=b;j=h;do{f[j>>2]=1124007936;k=j+8|0;l=j+40|0;m=j+4|0;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));f[l>>2]=k;o=j+48|0;f[j+44>>2]=o;f[o>>2]=0;f[j+52>>2]=0;j=(f[g>>2]|0)+56|0;f[g>>2]=j;i=i+-1|0}while((i|0)!=0);u=c;return}i=f[a>>2]|0;j=(h-i|0)/56|0;h=j+b|0;if(h>>>0>76695844)nsc(a);g=(e-i|0)/56|0;i=g<<1;e=g>>>0<38347922?(i>>>0<h>>>0?h:i):76695844;f[d+12>>2]=0;f[d+16>>2]=a+8;do if(e)if(e>>>0>76695844){i=ze(8)|0;kuc(i,519086);f[i>>2]=167148;Hf(i|0,26888,1888)}else{p=cuc(e*56|0)|0;break}else p=0;while(0);f[d>>2]=p;i=p+(j*56|0)|0;j=d+8|0;f[j>>2]=i;f[d+4>>2]=i;f[d+12>>2]=p+(e*56|0);e=b;b=i;while(1){f[b>>2]=1124007936;i=b+8|0;g=b+40|0;m=b+4|0;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));f[g>>2]=i;k=b+48|0;f[b+44>>2]=k;f[k>>2]=0;f[b+52>>2]=0;e=e+-1|0;if(!e)break;else b=b+56|0}f[j>>2]=p+(h*56|0);pt(a,d);qt(d);u=c;return}function vJ(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0;d=u;u=u+48|0;e=d;g=f[a>>2]|0;h=g&50331648;i=g&2031616;if((i|0)<655360){if((i|0)<65536){switch(i|0){case 0:break;default:{j=cuc(32)|0;f[e>>2]=j;k=e+8|0;f[k>>2]=-2147483616;l=e+4|0;f[l>>2]=30;m=j;n=206939;o=m+30|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));p=j+30|0;b[p>>0]=0;WD(-213,e,411794,206642,332)}}g=f[c>>2]|0;q=c+4|0;r=f[q>>2]|0;if((r|0)==(g|0)){u=d;return}else s=r;do{r=s+-48|0;f[q>>2]=r;VH(r);s=f[q>>2]|0}while((s|0)!=(g|0));u=d;return}if((i|0)<327680){switch(i|0){case 65536:break;default:{j=cuc(32)|0;f[e>>2]=j;k=e+8|0;f[k>>2]=-2147483616;l=e+4|0;f[l>>2]=30;m=j;n=206939;o=m+30|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));p=j+30|0;b[p>>0]=0;WD(-213,e,411794,206642,332)}}g=f[a+4>>2]|0;s=c+4|0;q=f[s>>2]|0;r=f[c>>2]|0;t=q-r|0;v=(t|0)/48|0;w=r;r=q;if(t){if(v>>>0>1?(t=w+48|0,(r|0)!=(t|0)):0){w=r;do{r=w+-48|0;f[s>>2]=r;VH(r);w=f[s>>2]|0}while((w|0)!=(t|0))}}else wJ(c,1-v|0);QH(e,g,h,0);g=f[c>>2]|0;if((g|0)!=(e|0)){v=g+24|0;t=f[v>>2]|0;if(t|0?(w=t+8|0,t=f[w>>2]|0,f[w>>2]=t+-1,(t|0)==1):0)WH(g);t=g+4|0;if((f[t>>2]|0)>0){w=f[g+32>>2]|0;s=0;do{f[w+(s<<2)>>2]=0;s=s+1|0}while((s|0)<(f[t>>2]|0))}f[v>>2]=0;f[g>>2]=f[e>>2];s=e+4|0;f[t>>2]=f[s>>2];t=e+8|0;w=g+8|0;f[w>>2]=f[t>>2];f[g+12>>2]=f[e+12>>2];f[g+16>>2]=f[e+16>>2];f[g+20>>2]=f[e+20>>2];r=e+24|0;f[v>>2]=f[r>>2];v=e+28|0;f[g+28>>2]=f[v>>2];q=g+36|0;x=f[q>>2]|0;y=g+40|0;if((x|0)==(y|0))z=x;else{TC(x);f[q>>2]=y;f[g+32>>2]=w;z=y}y=e+36|0;if((f[s>>2]|0)<3){w=f[y>>2]|0;f[z>>2]=f[w>>2];f[z+4>>2]=f[w+4>>2]}else{f[q>>2]=f[y>>2];q=e+32|0;f[g+32>>2]=f[q>>2];f[y>>2]=e+40;f[q>>2]=t}f[e>>2]=1124007936;f[r>>2]=0;f[v>>2]=0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0}VH(e);u=d;return}switch(i|0){case 327680:break;default:{j=cuc(32)|0;f[e>>2]=j;k=e+8|0;f[k>>2]=-2147483616;l=e+4|0;f[l>>2]=30;m=j;n=206939;o=m+30|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));p=j+30|0;b[p>>0]=0;WD(-213,e,411794,206642,332)}}s=f[a+4>>2]|0;v=(f[s+4>>2]|0)-(f[s>>2]|0)|0;r=(v|0)/56|0;t=c+4|0;q=f[t>>2]|0;y=f[c>>2]|0;g=(q-y|0)/48|0;w=y;y=q;if(r>>>0<=g>>>0){if(r>>>0<g>>>0?(q=w+(r*48|0)|0,(y|0)!=(q|0)):0){w=y;do{y=w+-48|0;f[t>>2]=y;VH(y);w=f[t>>2]|0}while((w|0)!=(q|0))}}else wJ(c,r-g|0);if(!v){u=d;return}v=e+4|0;g=e+8|0;q=e+12|0;w=e+16|0;t=e+20|0;y=e+24|0;z=e+28|0;x=e+36|0;A=e+32|0;B=e+40|0;C=0;do{QH(e,(f[s>>2]|0)+(C*56|0)|0,h,0);D=f[c>>2]|0;E=D+(C*48|0)|0;if((E|0)!=(e|0)){F=D+(C*48|0)+24|0;G=f[F>>2]|0;if(G|0?(H=G+8|0,G=f[H>>2]|0,f[H>>2]=G+-1,(G|0)==1):0)WH(E);G=D+(C*48|0)+4|0;if((f[G>>2]|0)>0){H=f[D+(C*48|0)+32>>2]|0;I=0;do{f[H+(I<<2)>>2]=0;I=I+1|0}while((I|0)<(f[G>>2]|0))}f[F>>2]=0;f[E>>2]=f[e>>2];f[G>>2]=f[v>>2];I=D+(C*48|0)+8|0;f[I>>2]=f[g>>2];f[D+(C*48|0)+12>>2]=f[q>>2];f[D+(C*48|0)+16>>2]=f[w>>2];f[D+(C*48|0)+20>>2]=f[t>>2];f[F>>2]=f[y>>2];f[D+(C*48|0)+28>>2]=f[z>>2];H=D+(C*48|0)+36|0;J=f[H>>2]|0;K=D+(C*48|0)+40|0;if((J|0)==(K|0))L=J;else{TC(J);f[H>>2]=K;f[D+(C*48|0)+32>>2]=I;L=K}if((f[v>>2]|0)<3){K=f[x>>2]|0;f[L>>2]=f[K>>2];f[L+4>>2]=f[K+4>>2]}else{f[H>>2]=f[x>>2];f[D+(C*48|0)+32>>2]=f[A>>2];f[x>>2]=B;f[A>>2]=g}f[e>>2]=1124007936;f[y>>2]=0;f[z>>2]=0;f[v>>2]=0;f[v+4>>2]=0;f[v+8>>2]=0;f[v+12>>2]=0}VH(e);C=C+1|0}while(C>>>0<r>>>0);u=d;return}if((i|0)<720896){switch(i|0){case 655360:break;default:{j=cuc(32)|0;f[e>>2]=j;k=e+8|0;f[k>>2]=-2147483616;l=e+4|0;f[l>>2]=30;m=j;n=206939;o=m+30|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));p=j+30|0;b[p>>0]=0;WD(-213,e,411794,206642,332)}}r=f[a+4>>2]|0;C=c+4|0;v=f[C>>2]|0;z=f[c>>2]|0;y=v-z|0;g=(y|0)/48|0;A=z;z=v;if(y){if(g>>>0>1?(y=A+48|0,(z|0)!=(y|0)):0){A=z;do{z=A+-48|0;f[C>>2]=z;VH(z);A=f[C>>2]|0}while((A|0)!=(y|0))}}else wJ(c,1-g|0);g=f[c>>2]|0;if((g|0)==(r|0)){u=d;return}y=r+24|0;A=f[y>>2]|0;if(A|0){C=A+8|0;f[C>>2]=(f[C>>2]|0)+1}C=g+24|0;A=f[C>>2]|0;if(A|0?(z=A+8|0,A=f[z>>2]|0,f[z>>2]=A+-1,(A|0)==1):0)WH(g);A=g+4|0;if((f[A>>2]|0)>0){z=f[g+32>>2]|0;v=0;do{f[z+(v<<2)>>2]=0;v=v+1|0;M=f[A>>2]|0}while((v|0)<(M|0));f[C>>2]=0;f[g>>2]=f[r>>2];if((M|0)<3)N=87;else N=89}else{f[C>>2]=0;f[g>>2]=f[r>>2];N=87}if((N|0)==87){M=f[r+4>>2]|0;if((M|0)<3){f[A>>2]=M;f[g+8>>2]=f[r+8>>2];f[g+12>>2]=f[r+12>>2];M=f[r+36>>2]|0;A=f[g+36>>2]|0;f[A>>2]=f[M>>2];f[A+4>>2]=f[M+4>>2]}else N=89}if((N|0)==89)UH(g,r);f[g+16>>2]=f[r+16>>2];M=g+20|0;if(!(f[M>>2]|0))f[M>>2]=f[r+20>>2];f[C>>2]=f[y>>2];f[g+28>>2]=f[r+28>>2];u=d;return}if((i|0)>=983040){switch(i|0){case 983040:break;default:{j=cuc(32)|0;f[e>>2]=j;k=e+8|0;f[k>>2]=-2147483616;l=e+4|0;f[l>>2]=30;m=j;n=206939;o=m+30|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));p=j+30|0;b[p>>0]=0;WD(-213,e,411794,206642,332)}}r=f[a+4>>2]|0;g=f[a+12>>2]|0;y=c+4|0;C=f[y>>2]|0;M=f[c>>2]|0;A=(C-M|0)/48|0;v=M;M=C;if(g>>>0<=A>>>0){if(g>>>0<A>>>0?(C=v+(g*48|0)|0,(M|0)!=(C|0)):0){v=M;do{M=v+-48|0;f[y>>2]=M;VH(M);v=f[y>>2]|0}while((v|0)!=(C|0))}if(!g){u=d;return}}else wJ(c,g-A|0);A=e+4|0;C=e+8|0;v=e+12|0;y=e+16|0;M=e+20|0;z=e+24|0;B=e+28|0;x=e+36|0;L=e+32|0;t=e+40|0;w=0;do{QH(e,r+(w*56|0)|0,h,0);q=f[c>>2]|0;s=q+(w*48|0)|0;if((s|0)!=(e|0)){H=q+(w*48|0)+24|0;K=f[H>>2]|0;if(K|0?(I=K+8|0,K=f[I>>2]|0,f[I>>2]=K+-1,(K|0)==1):0)WH(s);K=q+(w*48|0)+4|0;if((f[K>>2]|0)>0){I=f[q+(w*48|0)+32>>2]|0;J=0;do{f[I+(J<<2)>>2]=0;J=J+1|0}while((J|0)<(f[K>>2]|0))}f[H>>2]=0;f[s>>2]=f[e>>2];f[K>>2]=f[A>>2];J=q+(w*48|0)+8|0;f[J>>2]=f[C>>2];f[q+(w*48|0)+12>>2]=f[v>>2];f[q+(w*48|0)+16>>2]=f[y>>2];f[q+(w*48|0)+20>>2]=f[M>>2];f[H>>2]=f[z>>2];f[q+(w*48|0)+28>>2]=f[B>>2];I=q+(w*48|0)+36|0;D=f[I>>2]|0;F=q+(w*48|0)+40|0;if((D|0)==(F|0))O=D;else{TC(D);f[I>>2]=F;f[q+(w*48|0)+32>>2]=J;O=F}if((f[A>>2]|0)<3){F=f[x>>2]|0;f[O>>2]=f[F>>2];f[O+4>>2]=f[F+4>>2]}else{f[I>>2]=f[x>>2];f[q+(w*48|0)+32>>2]=f[L>>2];f[x>>2]=t;f[L>>2]=C}f[e>>2]=1124007936;f[z>>2]=0;f[B>>2]=0;f[A>>2]=0;f[A+4>>2]=0;f[A+8>>2]=0;f[A+12>>2]=0}VH(e);w=w+1|0}while(w>>>0<g>>>0);u=d;return}switch(i|0){case 720896:break;default:{j=cuc(32)|0;f[e>>2]=j;k=e+8|0;f[k>>2]=-2147483616;l=e+4|0;f[l>>2]=30;m=j;n=206939;o=m+30|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));p=j+30|0;b[p>>0]=0;WD(-213,e,411794,206642,332)}}e=f[a+4>>2]|0;a=(f[e+4>>2]|0)-(f[e>>2]|0)|0;p=(a|0)/48|0;j=c+4|0;n=f[j>>2]|0;m=f[c>>2]|0;o=(n-m|0)/48|0;l=m;m=n;if(p>>>0<=o>>>0){if(p>>>0<o>>>0?(n=l+(p*48|0)|0,(m|0)!=(n|0)):0){l=m;do{m=l+-48|0;f[j>>2]=m;VH(m);l=f[j>>2]|0}while((l|0)!=(n|0))}}else wJ(c,p-o|0);if(!a){u=d;return}a=0;do{o=f[e>>2]|0;n=o+(a*48|0)|0;l=f[c>>2]|0;j=l+(a*48|0)|0;if((l|0)!=(o|0)){m=o+(a*48|0)+24|0;k=f[m>>2]|0;if(k|0){i=k+8|0;f[i>>2]=(f[i>>2]|0)+1}i=l+(a*48|0)+24|0;k=f[i>>2]|0;if(k|0?(g=k+8|0,k=f[g>>2]|0,f[g>>2]=k+-1,(k|0)==1):0)WH(j);k=l+(a*48|0)+4|0;if((f[k>>2]|0)>0){g=f[l+(a*48|0)+32>>2]|0;w=0;do{f[g+(w<<2)>>2]=0;w=w+1|0;P=f[k>>2]|0}while((w|0)<(P|0));f[i>>2]=0;f[j>>2]=f[n>>2];if((P|0)<3)N=64;else N=66}else{f[i>>2]=0;f[j>>2]=f[n>>2];N=64}if((N|0)==64){N=0;w=f[o+(a*48|0)+4>>2]|0;if((w|0)<3){f[k>>2]=w;f[l+(a*48|0)+8>>2]=f[o+(a*48|0)+8>>2];f[l+(a*48|0)+12>>2]=f[o+(a*48|0)+12>>2];w=f[o+(a*48|0)+36>>2]|0;g=f[l+(a*48|0)+36>>2]|0;f[g>>2]=f[w>>2];f[g+4>>2]=f[w+4>>2]}else N=66}if((N|0)==66){N=0;UH(j,n)}f[l+(a*48|0)+16>>2]=f[o+(a*48|0)+16>>2];w=l+(a*48|0)+20|0;if(!(f[w>>2]|0))f[w>>2]=f[o+(a*48|0)+20>>2];f[i>>2]=f[m>>2];f[l+(a*48|0)+28>>2]=f[o+(a*48|0)+28>>2]}a=a+1|0}while(a>>>0<p>>>0);u=d;return}function wJ(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(((d-g|0)/48|0)>>>0>=b>>>0){h=b;i=g;do{f[i>>2]=1124007936;j=i+4|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;f[j+16>>2]=0;f[j+20>>2]=0;f[j+24>>2]=0;f[i+32>>2]=i+8;j=i+40|0;f[i+36>>2]=j;f[i+44>>2]=0;f[j>>2]=0;i=(f[e>>2]|0)+48|0;f[e>>2]=i;h=h+-1|0}while((h|0)!=0);return}h=f[a>>2]|0;i=(g-h|0)/48|0;g=i+b|0;if(g>>>0>89478485)nsc(a);j=(d-h|0)/48|0;h=j<<1;d=j>>>0<44739242?(h>>>0<g>>>0?g:h):89478485;do if(d)if(d>>>0>89478485){h=ze(8)|0;kuc(h,519086);f[h>>2]=167148;Hf(h|0,26888,1888)}else{k=cuc(d*48|0)|0;break}else k=0;while(0);h=k+(i*48|0)|0;i=h;g=k+(d*48|0)|0;d=b;b=i;k=h;do{f[k>>2]=1124007936;j=k+4|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;f[j+16>>2]=0;f[j+20>>2]=0;f[j+24>>2]=0;f[k+32>>2]=k+8;j=k+40|0;f[k+36>>2]=j;f[k+44>>2]=0;f[j>>2]=0;k=b+48|0;b=k;d=d+-1|0}while((d|0)!=0);d=g;g=f[a>>2]|0;k=f[e>>2]|0;if((k|0)==(g|0)){l=i;m=g;n=g}else{j=k;k=i;i=h;do{h=i+-48|0;o=j;j=j+-48|0;f[h>>2]=f[j>>2];p=i+-44|0;q=o+-44|0;f[p>>2]=f[q>>2];r=i+-40|0;f[r>>2]=f[o+-40>>2];f[i+-36>>2]=f[o+-36>>2];f[i+-32>>2]=f[o+-32>>2];f[i+-28>>2]=f[o+-28>>2];s=f[o+-24>>2]|0;f[i+-24>>2]=s;f[i+-20>>2]=f[o+-20>>2];f[i+-16>>2]=r;r=i+-8|0;t=i+-12|0;f[t>>2]=r;f[i+-4>>2]=0;f[r>>2]=0;if(s|0){r=s+8|0;f[r>>2]=(f[r>>2]|0)+1}if((f[q>>2]|0)<3){q=f[o+-12>>2]|0;o=f[t>>2]|0;f[o>>2]=f[q>>2];f[o+4>>2]=f[q+4>>2]}else{f[p>>2]=0;UH(h,j)}i=k+-48|0;k=i}while((j|0)!=(g|0));l=k;m=f[a>>2]|0;n=f[e>>2]|0}f[a>>2]=l;f[e>>2]=b;f[c>>2]=d;d=m;if((n|0)!=(d|0)){c=n;do{c=c+-48|0;VH(c)}while((c|0)!=(d|0))}if(!m)return;fuc(m);return}function xJ(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+16|0;d=c;oJ(d,a,b);u=c;return f[d+4>>2]|0}function yJ(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+16|0;d=c;oJ(d,a,b);u=c;return f[d>>2]|0}function zJ(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;c=u;u=u+16|0;d=c;e=f[b>>2]&2031616;g=f[a>>2]&2031616;a:do if((g|0)<655360){switch(g|0){case 65536:break;default:{h=36;break a}}i=f[a+4>>2]|0;j=e&2097151;b:do if((j|0)<655360){switch(j|0){case 65536:break;default:break b}k=f[i+40>>2]|0;l=f[k+-4>>2]|0;m=f[(f[b+4>>2]|0)+40>>2]|0;if((l|0)!=(f[m+-4>>2]|0)){n=0;break a}if((l|0)==2){if((f[k>>2]|0)!=(f[m>>2]|0)){n=0;break a}n=(f[k+4>>2]|0)==(f[m+4>>2]|0);break a}if((l|0)>0)o=0;else{n=1;break a}while(1){if((f[k+(o<<2)>>2]|0)!=(f[m+(o<<2)>>2]|0)){n=0;break a}o=o+1|0;if((o|0)>=(l|0)){n=1;break a}}}else{switch(j|0){case 655360:break;default:break b}l=f[i+40>>2]|0;m=f[l+-4>>2]|0;k=f[(f[b+4>>2]|0)+32>>2]|0;if((m|0)!=(f[k+-4>>2]|0)){n=0;break a}if((m|0)==2){if((f[l>>2]|0)!=(f[k>>2]|0)){n=0;break a}n=(f[l+4>>2]|0)==(f[k+4>>2]|0);break a}if((m|0)>0)p=0;else{n=1;break a}while(1){if((f[l+(p<<2)>>2]|0)!=(f[k+(p<<2)>>2]|0)){n=0;break a}p=p+1|0;if((p|0)>=(m|0)){n=1;break a}}}while(0);if((f[i+4>>2]|0)>2)n=0;else{j=f[i+40>>2]|0;q=f[j+4>>2]|0;r=f[j>>2]|0;h=37}}else{switch(g|0){case 655360:break;default:{h=36;break a}}j=f[a+4>>2]|0;m=e&2097151;c:do if((m|0)<655360){switch(m|0){case 65536:break;default:break c}k=f[j+32>>2]|0;l=f[k+-4>>2]|0;s=f[(f[b+4>>2]|0)+40>>2]|0;if((l|0)!=(f[s+-4>>2]|0)){n=0;break a}if((l|0)==2){if((f[k>>2]|0)!=(f[s>>2]|0)){n=0;break a}n=(f[k+4>>2]|0)==(f[s+4>>2]|0);break a}if((l|0)>0)t=0;else{n=1;break a}while(1){if((f[k+(t<<2)>>2]|0)!=(f[s+(t<<2)>>2]|0)){n=0;break a}t=t+1|0;if((t|0)>=(l|0)){n=1;break a}}}else{switch(m|0){case 655360:break;default:break c}l=f[j+32>>2]|0;s=f[l+-4>>2]|0;k=f[(f[b+4>>2]|0)+32>>2]|0;if((s|0)!=(f[k+-4>>2]|0)){n=0;break a}if((s|0)==2){if((f[l>>2]|0)!=(f[k>>2]|0)){n=0;break a}n=(f[l+4>>2]|0)==(f[k+4>>2]|0);break a}if((s|0)>0)v=0;else{n=1;break a}while(1){if((f[l+(v<<2)>>2]|0)!=(f[k+(v<<2)>>2]|0)){n=0;break a}v=v+1|0;if((v|0)>=(s|0)){n=1;break a}}}while(0);if((f[j+4>>2]|0)>2)n=0;else{m=f[j+32>>2]|0;q=f[m+4>>2]|0;r=f[m>>2]|0;h=37}}while(0);if((h|0)==36){oJ(d,a,-1);q=f[d>>2]|0;r=f[d+4>>2]|0;h=37}if((h|0)==37)if((AJ(b,-1)|0)>2)n=0;else{oJ(d,b,-1);n=(f[d>>2]|0)==(q|0)?(f[d+4>>2]|0)==(r|0):0}u=c;return n|0}function AJ(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;d=u;u=u+16|0;e=d;do switch((f[a>>2]|0)>>>16&31){case 1:{if((c|0)>=0){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[e+11>>0]=5;b[e>>0]=b[206628]|0;b[e+1>>0]=b[206629]|0;b[e+2>>0]=b[206630]|0;b[e+3>>0]=b[206631]|0;b[e+4>>0]=b[206632]|0;b[e+5>>0]=0;WD(-215,e,207050,206642,625)}g=f[(f[a+4>>2]|0)+4>>2]|0;u=d;return g|0}case 6:{if((c|0)>=0){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[e+11>>0]=5;b[e>>0]=b[206628]|0;b[e+1>>0]=b[206629]|0;b[e+2>>0]=b[206630]|0;b[e+3>>0]=b[206631]|0;b[e+4>>0]=b[206632]|0;b[e+5>>0]=0;WD(-215,e,207050,206642,631)}g=f[(f[a+4>>2]|0)+12>>2]|0;u=d;return g|0}case 10:{if((c|0)>=0){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[e+11>>0]=5;b[e>>0]=b[206628]|0;b[e+1>>0]=b[206629]|0;b[e+2>>0]=b[206630]|0;b[e+3>>0]=b[206631]|0;b[e+4>>0]=b[206632]|0;b[e+5>>0]=0;WD(-215,e,207050,206642,637)}g=f[(f[a+4>>2]|0)+4>>2]|0;u=d;return g|0}case 2:case 14:{if((c|0)<0){g=2;u=d;return g|0}else{f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[e+11>>0]=5;b[e>>0]=b[206628]|0;b[e+1>>0]=b[206629]|0;b[e+2>>0]=b[206630]|0;b[e+3>>0]=b[206631]|0;b[e+4>>0]=b[206632]|0;b[e+5>>0]=0;WD(-215,e,207050,206642,643)}break}case 3:case 12:{if((c|0)<0){g=2;u=d;return g|0}else{f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[e+11>>0]=5;b[e>>0]=b[206628]|0;b[e+1>>0]=b[206629]|0;b[e+2>>0]=b[206630]|0;b[e+3>>0]=b[206631]|0;b[e+4>>0]=b[206632]|0;b[e+5>>0]=0;WD(-215,e,207050,206642,649)}break}case 4:{if((c|0)<0){g=1;u=d;return g|0}h=f[a+4>>2]|0;if((((f[h+4>>2]|0)-(f[h>>2]|0)|0)/12|0|0)>(c|0)){g=2;u=d;return g|0}else{h=cuc(32)|0;f[e>>2]=h;f[e+8>>2]=-2147483616;f[e+4>>2]=18;i=h;j=206996;k=i+18|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));b[h+18>>0]=0;WD(-215,e,207050,206642,661)}break}case 5:{l=f[a+4>>2]|0;if((c|0)<0){g=1;u=d;return g|0}m=f[l>>2]|0;if((((f[l+4>>2]|0)-m|0)/56|0|0)<=(c|0)){l=cuc(32)|0;f[e>>2]=l;f[e+8>>2]=-2147483616;f[e+4>>2]=18;i=l;j=206996;k=i+18|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));b[l+18>>0]=0;WD(-215,e,207050,206642,670)}g=f[m+(c*56|0)+4>>2]|0;u=d;return g|0}case 15:{h=f[a+4>>2]|0;if((c|0)<0){g=1;u=d;return g|0}if((f[a+12>>2]|0)<=(c|0)){n=cuc(16)|0;f[e>>2]=n;f[e+8>>2]=-2147483632;f[e+4>>2]=13;i=n;j=207015;k=i+13|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));b[n+13>>0]=0;WD(-215,e,207050,206642,680)}g=f[h+(c*56|0)+4>>2]|0;u=d;return g|0}case 11:{m=f[a+4>>2]|0;if((c|0)<0){g=1;u=d;return g|0}l=f[m>>2]|0;if((((f[m+4>>2]|0)-l|0)/48|0|0)<=(c|0)){m=cuc(32)|0;f[e>>2]=m;f[e+8>>2]=-2147483616;f[e+4>>2]=18;i=m;j=206996;k=i+18|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));b[m+18>>0]=0;WD(-215,e,207050,206642,690)}g=f[l+(c*48|0)+4>>2]|0;u=d;return g|0}case 7:{if((c|0)<0){g=2;u=d;return g|0}else{f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[e+11>>0]=5;b[e>>0]=b[206628]|0;b[e+1>>0]=b[206629]|0;b[e+2>>0]=b[206630]|0;b[e+3>>0]=b[206631]|0;b[e+4>>0]=b[206632]|0;b[e+5>>0]=0;WD(-215,e,207050,206642,697)}break}case 9:{if((c|0)<0){g=2;u=d;return g|0}else{f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[e+11>>0]=5;b[e>>0]=b[206628]|0;b[e+1>>0]=b[206629]|0;b[e+2>>0]=b[206630]|0;b[e+3>>0]=b[206631]|0;b[e+4>>0]=b[206632]|0;b[e+5>>0]=0;WD(-215,e,207050,206642,703)}break}case 8:{if((c|0)<0){g=2;u=d;return g|0}else{f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[e+11>>0]=5;b[e>>0]=b[206628]|0;b[e+1>>0]=b[206629]|0;b[e+2>>0]=b[206630]|0;b[e+3>>0]=b[206631]|0;b[e+4>>0]=b[206632]|0;b[e+5>>0]=0;WD(-215,e,207050,206642,709)}break}case 0:{g=0;u=d;return g|0}default:{h=cuc(32)|0;f[e>>2]=h;f[e+8>>2]=-2147483616;f[e+4>>2]=30;i=h;j=206939;k=i+30|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));b[h+30>>0]=0;WD(-213,e,207050,206642,713)}}while(0);return 0}function BJ(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;d=u;u=u+16|0;e=d;g=f[a>>2]&2031616;a:do if((g|0)>=655360){if((g|0)<720896){switch(g|0){case 655360:break;default:break a}if((c|0)>=0){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[e+11>>0]=5;b[e>>0]=b[206628]|0;b[e+1>>0]=b[206629]|0;b[e+2>>0]=b[206630]|0;b[e+3>>0]=b[206631]|0;b[e+4>>0]=b[206632]|0;b[e+5>>0]=0;WD(-215,e,475390,206642,728)}h=f[a+4>>2]|0;i=f[h+4>>2]|0;if((i|0)<3){j=Y(f[h+12>>2]|0,f[h+8>>2]|0)|0;u=d;return j|0}k=f[h+32>>2]|0;h=0;l=1;while(1){m=Y(f[k+(h<<2)>>2]|0,l)|0;h=h+1|0;if((h|0)==(i|0)){j=m;break}else l=m}u=d;return j|0}if((g|0)<983040){switch(g|0){case 720896:break;default:break a}l=f[a+4>>2]|0;i=f[l>>2]|0;h=((f[l+4>>2]|0)-i|0)/48|0;l=i;if((c|0)<0){j=h;u=d;return j|0}if((h|0)<=(c|0)){h=cuc(32)|0;f[e>>2]=h;f[e+8>>2]=-2147483616;f[e+4>>2]=18;n=h;o=206996;p=n+18|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));b[h+18>>0]=0;WD(-215,e,475390,206642,758)}i=f[l+(c*48|0)+4>>2]|0;if((i|0)<3){j=Y(f[l+(c*48|0)+12>>2]|0,f[l+(c*48|0)+8>>2]|0)|0;u=d;return j|0}k=f[l+(c*48|0)+32>>2]|0;m=0;q=1;while(1){r=Y(f[k+(m<<2)>>2]|0,q)|0;m=m+1|0;if((m|0)==(i|0)){j=r;break}else q=r}u=d;return j|0}else{switch(g|0){case 983040:break;default:break a}q=f[a+4>>2]|0;i=f[a+12>>2]|0;if((c|0)<0){j=i;u=d;return j|0}if((i|0)<=(c|0)){i=cuc(16)|0;f[e>>2]=i;f[e+8>>2]=-2147483632;f[e+4>>2]=13;n=i;o=207015;p=n+13|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));b[i+13>>0]=0;WD(-215,e,475390,206642,748)}m=f[q+(c*56|0)+4>>2]|0;if((m|0)<3){j=Y(f[q+(c*56|0)+12>>2]|0,f[q+(c*56|0)+8>>2]|0)|0;u=d;return j|0}k=f[q+(c*56|0)+40>>2]|0;l=0;h=1;while(1){r=Y(f[k+(l<<2)>>2]|0,h)|0;l=l+1|0;if((l|0)==(m|0)){j=r;break}else h=r}u=d;return j|0}}else{if((g|0)<327680){switch(g|0){case 65536:break;default:break a}if((c|0)>=0){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[e+11>>0]=5;b[e>>0]=b[206628]|0;b[e+1>>0]=b[206629]|0;b[e+2>>0]=b[206630]|0;b[e+3>>0]=b[206631]|0;b[e+4>>0]=b[206632]|0;b[e+5>>0]=0;WD(-215,e,475390,206642,722)}h=f[a+4>>2]|0;m=f[h+4>>2]|0;if((m|0)<3){j=Y(f[h+12>>2]|0,f[h+8>>2]|0)|0;u=d;return j|0}l=f[h+40>>2]|0;h=0;k=1;while(1){q=Y(f[l+(h<<2)>>2]|0,k)|0;h=h+1|0;if((h|0)==(m|0)){j=q;break}else k=q}u=d;return j|0}switch(g|0){case 327680:break;default:break a}k=f[a+4>>2]|0;m=f[k>>2]|0;h=((f[k+4>>2]|0)-m|0)/56|0;k=m;if((c|0)<0){j=h;u=d;return j|0}if((h|0)<=(c|0)){h=cuc(32)|0;f[e>>2]=h;f[e+8>>2]=-2147483616;f[e+4>>2]=18;n=h;o=206996;p=n+18|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));b[h+18>>0]=0;WD(-215,e,475390,206642,738)}m=f[k+(c*56|0)+4>>2]|0;if((m|0)<3){j=Y(f[k+(c*56|0)+12>>2]|0,f[k+(c*56|0)+8>>2]|0)|0;u=d;return j|0}l=f[k+(c*56|0)+40>>2]|0;q=0;i=1;while(1){r=Y(f[l+(q<<2)>>2]|0,i)|0;q=q+1|0;if((q|0)==(m|0)){j=r;break}else i=r}u=d;return j|0}while(0);oJ(e,a,c);j=Y(f[e+4>>2]|0,f[e>>2]|0)|0;u=d;return j|0}function CJ(a,b){a=a|0;b=b|0;return (pJ(a,b)|0)&7|0}function DJ(a,b){a=a|0;b=b|0;return ((pJ(a,b)|0)>>>3&511)+1|0}function EJ(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;c=u;u=u+16|0;d=c;do switch((f[a>>2]|0)>>>16&31){case 1:{e=f[a+4>>2]|0;if(!(f[e+16>>2]|0)){g=1;u=c;return g|0}h=f[e+4>>2]|0;if((h|0)<3)i=Y(f[e+12>>2]|0,f[e+8>>2]|0)|0;else{j=f[e+40>>2]|0;e=0;k=1;while(1){l=Y(f[j+(e<<2)>>2]|0,k)|0;e=e+1|0;if((e|0)==(h|0)){i=l;break}else k=l}}g=(h|0)==0|(i|0)==0;u=c;return g|0}case 10:{k=f[a+4>>2]|0;if(!(f[k+24>>2]|0)){g=1;u=c;return g|0}e=f[k+4>>2]|0;if((e|0)<3)m=Y(f[k+12>>2]|0,f[k+8>>2]|0)|0;else{j=f[k+32>>2]|0;k=0;l=1;while(1){n=Y(f[j+(k<<2)>>2]|0,l)|0;k=k+1|0;if((k|0)==(e|0)){m=n;break}else l=n}}g=(e|0)==0|(m|0)==0;u=c;return g|0}case 3:{l=f[a+4>>2]|0;g=(f[l>>2]|0)==(f[l+4>>2]|0);u=c;return g|0}case 12:{g=(f[(f[a+4>>2]|0)+4>>2]|0)==0;u=c;return g|0}case 0:{g=1;u=c;return g|0}case 4:{l=f[a+4>>2]|0;g=(f[l>>2]|0)==(f[l+4>>2]|0);u=c;return g|0}case 5:{l=f[a+4>>2]|0;g=(f[l>>2]|0)==(f[l+4>>2]|0);u=c;return g|0}case 15:{g=(f[a+12>>2]|0)==0;u=c;return g|0}case 11:{l=f[a+4>>2]|0;g=(f[l>>2]|0)==(f[l+4>>2]|0);u=c;return g|0}case 7:{l=f[a+4>>2]|0;if(!(f[l+8>>2]|0)){g=1;u=c;return g|0}g=(f[l+12>>2]|0)==0;u=c;return g|0}case 9:{g=(f[(f[a+4>>2]|0)+16>>2]|0)==0;u=c;return g|0}case 13:{l=f[a+4>>2]|0;g=(f[l>>2]|0)==(f[l+4>>2]|0);u=c;return g|0}case 8:{g=(f[(f[a+4>>2]|0)+16>>2]|0)==0;u=c;return g|0}case 2:case 14:case 6:{g=0;u=c;return g|0}default:{l=cuc(32)|0;f[d>>2]=l;f[d+8>>2]=-2147483616;f[d+4>>2]=30;k=l;j=206939;h=k+30|0;do{b[k>>0]=b[j>>0]|0;k=k+1|0;j=j+1|0}while((k|0)<(h|0));b[l+30>>0]=0;WD(-213,d,207055,206642,923)}}while(0);return 0}function FJ(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;d=u;u=u+16|0;e=d;switch((f[a>>2]|0)>>>16&31){case 1:{if((c|0)>=0){g=1;u=d;return g|0}g=(f[f[a+4>>2]>>2]&16384|0)!=0;u=d;return g|0}case 10:{if((c|0)>=0){g=1;u=d;return g|0}g=(f[f[a+4>>2]>>2]&16384|0)!=0;u=d;return g|0}case 5:{h=f[a+4>>2]|0;if((c|0)<=-1){i=cuc(32)|0;f[e>>2]=i;j=e+8|0;f[j>>2]=-2147483616;k=e+4|0;f[k>>2]=31;l=i;m=207061;n=l+31|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));o=i+31|0;b[o>>0]=0;WD(-215,e,207093,206642,943)}p=f[h>>2]|0;if((((f[h+4>>2]|0)-p|0)/56|0)>>>0<=c>>>0){i=cuc(32)|0;f[e>>2]=i;j=e+8|0;f[j>>2]=-2147483616;k=e+4|0;f[k>>2]=31;l=i;m=207061;n=l+31|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));o=i+31|0;b[o>>0]=0;WD(-215,e,207093,206642,943)}g=(f[p+(c*56|0)>>2]&16384|0)!=0;u=d;return g|0}case 15:{p=f[a+4>>2]|0;if((c|0)<=0){q=cuc(32)|0;f[e>>2]=q;r=e+8|0;f[r>>2]=-2147483616;s=e+4|0;f[s>>2]=22;l=q;m=207106;n=l+22|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));t=q+22|0;b[t>>0]=0;WD(-215,e,207093,206642,950)}if((f[a+12>>2]|0)<=(c|0)){q=cuc(32)|0;f[e>>2]=q;r=e+8|0;f[r>>2]=-2147483616;s=e+4|0;f[s>>2]=22;l=q;m=207106;n=l+22|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));t=q+22|0;b[t>>0]=0;WD(-215,e,207093,206642,950)}g=(f[p+(c*56|0)>>2]&16384|0)!=0;u=d;return g|0}case 11:{p=f[a+4>>2]|0;if((c|0)<=-1){v=cuc(32)|0;f[e>>2]=v;w=e+8|0;f[w>>2]=-2147483616;x=e+4|0;f[x>>2]=31;l=v;m=207061;n=l+31|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));y=v+31|0;b[y>>0]=0;WD(-215,e,207093,206642,957)}t=f[p>>2]|0;if((((f[p+4>>2]|0)-t|0)/48|0)>>>0<=c>>>0){v=cuc(32)|0;f[e>>2]=v;w=e+8|0;f[w>>2]=-2147483616;x=e+4|0;f[x>>2]=31;l=v;m=207061;n=l+31|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));y=v+31|0;b[y>>0]=0;WD(-215,e,207093,206642,957)}g=(f[t+(c*48|0)>>2]&16384|0)!=0;u=d;return g|0}case 9:{if((c|0)>=0){g=1;u=d;return g|0}g=(f[f[a+4>>2]>>2]&16384|0)!=0;u=d;return g|0}case 0:case 2:case 3:case 4:case 6:case 12:case 14:{g=1;u=d;return g|0}default:{g=cuc(32)|0;f[e>>2]=g;f[e+8>>2]=-2147483616;f[e+4>>2]=30;l=g;m=206939;n=l+30|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));b[g+30>>0]=0;WD(-213,e,207093,206642,964)}}return 0}function GJ(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;c=u;u=u+64|0;d=c;e=f[a>>2]|0;switch(e>>>16&31){case 0:{HJ(b);u=c;return}case 1:case 2:case 3:case 12:case 14:{do if((e&2031616|0)==65536){g=f[a+4>>2]|0;f[d>>2]=f[g>>2];h=d+4|0;i=g+4|0;f[h>>2]=f[i>>2];j=d+8|0;f[j>>2]=f[g+8>>2];f[d+12>>2]=f[g+12>>2];f[d+16>>2]=f[g+16>>2];f[d+20>>2]=f[g+20>>2];f[d+24>>2]=f[g+24>>2];f[d+28>>2]=f[g+28>>2];f[d+32>>2]=f[g+32>>2];k=f[g+36>>2]|0;f[d+36>>2]=k;f[d+40>>2]=j;j=d+48|0;l=d+44|0;f[l>>2]=j;f[j>>2]=0;f[d+52>>2]=0;if(k|0){j=k+12|0;f[j>>2]=(f[j>>2]|0)+1}if((f[i>>2]|0)<3){i=f[g+44>>2]|0;j=f[l>>2]|0;f[j>>2]=f[i>>2];f[j+4>>2]=f[i+4>>2];break}else{f[h>>2]=0;$T(d,g);break}}else nJ(d,a,-1);while(0);EI(d,b);e=d+36|0;g=f[e>>2]|0;if(g|0?(h=g+12|0,g=f[h>>2]|0,f[h>>2]=g+-1,(g|0)==1):0)aU(d);f[e>>2]=0;e=d+16|0;g=d+4|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((f[g>>2]|0)>0){e=f[d+40>>2]|0;h=0;do{f[e+(h<<2)>>2]=0;h=h+1|0}while((h|0)<(f[g>>2]|0))}g=f[d+44>>2]|0;if((g|0)!=(d+48|0))TC(g);u=c;return}case 6:{g=f[a+4>>2]|0;if((f[b>>2]&2031616|0)==65536){h=f[g>>2]|0;sh[f[(f[h>>2]|0)+12>>2]&255](h,g,f[b+4>>2]|0,-1);u=c;return}f[d>>2]=1124007936;h=d+4|0;e=d+8|0;i=d+40|0;j=h;l=j+36|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(l|0));f[i>>2]=e;e=d+48|0;j=d+44|0;f[j>>2]=e;f[e>>2]=0;f[d+52>>2]=0;l=f[g>>2]|0;sh[f[(f[l>>2]|0)+12>>2]&255](l,g,d,-1);EI(d,b);g=d+36|0;l=f[g>>2]|0;if(l|0?(k=l+12|0,l=f[k>>2]|0,f[k>>2]=l+-1,(l|0)==1):0)aU(d);f[g>>2]=0;g=d+16|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;if((f[h>>2]|0)>0){g=f[i>>2]|0;i=0;do{f[g+(i<<2)>>2]=0;i=i+1|0}while((i|0)<(f[h>>2]|0))}h=f[j>>2]|0;if((h|0)!=(e|0))TC(h);u=c;return}case 10:{aI(f[a+4>>2]|0,b);u=c;return}default:{f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;WD(-213,d,207129,206642,1155)}}}function HJ(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;c=u;u=u+32|0;d=c+8|0;e=c;g=f[a>>2]|0;if(g&1073741824|0){h=cuc(16)|0;f[d>>2]=h;f[d+8>>2]=-2147483632;f[d+4>>2]=12;i=h;j=207136;k=i+12|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));b[h+12>>0]=0;WD(-215,d,207149,206642,1669)}do switch(g>>>16&31){case 1:{h=f[a+4>>2]|0;l=h+36|0;m=f[l>>2]|0;if(m|0?(n=m+12|0,m=f[n>>2]|0,f[n>>2]=m+-1,(m|0)==1):0)aU(h);f[l>>2]=0;l=h+16|0;m=h+4|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;if((f[m>>2]|0)<=0){u=c;return}l=f[h+40>>2]|0;h=0;do{f[l+(h<<2)>>2]=0;h=h+1|0}while((h|0)<(f[m>>2]|0));u=c;return}case 10:{m=f[a+4>>2]|0;h=m+24|0;l=f[h>>2]|0;if(l|0?(n=l+8|0,l=f[n>>2]|0,f[n>>2]=l+-1,(l|0)==1):0)WH(m);l=m+4|0;if((f[l>>2]|0)>0){n=f[m+32>>2]|0;m=0;do{f[n+(m<<2)>>2]=0;m=m+1|0}while((m|0)<(f[l>>2]|0))}f[h>>2]=0;u=c;return}case 9:{u=c;return}case 8:{u=c;return}case 7:{_O(f[a+4>>2]|0);u=c;return}case 3:{f[e>>2]=0;f[e+4>>2]=0;IJ(a,e,g&4095,-1,0,0);u=c;return}case 4:{l=f[a+4>>2]|0;m=f[l>>2]|0;n=l+4|0;l=f[n>>2]|0;if((l|0)==(m|0)){u=c;return}else o=l;while(1){l=o+-12|0;f[n>>2]=l;p=f[l>>2]|0;if(!p)q=l;else{l=o+-8|0;if((f[l>>2]|0)!=(p|0))f[l>>2]=p;fuc(p);q=f[n>>2]|0}if((q|0)==(m|0))break;else o=q}u=c;return}case 5:{m=f[a+4>>2]|0;n=f[m>>2]|0;h=m+4|0;m=f[h>>2]|0;if((m|0)==(n|0)){u=c;return}else r=m;do{m=r+-56|0;f[h>>2]=m;p=r+-20|0;l=f[p>>2]|0;if(l|0?(s=l+12|0,l=f[s>>2]|0,f[s>>2]=l+-1,(l|0)==1):0)aU(m);f[p>>2]=0;p=r+-40|0;m=r+-52|0;f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;f[p+12>>2]=0;if((f[m>>2]|0)>0){p=f[r+-16>>2]|0;l=0;do{f[p+(l<<2)>>2]=0;l=l+1|0}while((l|0)<(f[m>>2]|0))}m=f[r+-12>>2]|0;if((m|0)!=(r+-8|0))TC(m);r=f[h>>2]|0}while((r|0)!=(n|0));u=c;return}case 11:{n=f[a+4>>2]|0;h=f[n>>2]|0;m=n+4|0;n=f[m>>2]|0;if((n|0)==(h|0)){u=c;return}else t=n;do{n=t+-48|0;f[m>>2]=n;VH(n);t=f[m>>2]|0}while((t|0)!=(h|0));u=c;return}case 13:{h=f[a+4>>2]|0;m=f[h>>2]|0;n=h+4|0;while(1){h=f[n>>2]|0;if((h|0)==(m|0))break;f[n>>2]=h+-36}u=c;return}case 0:{u=c;return}default:{n=cuc(32)|0;f[d>>2]=n;f[d+8>>2]=-2147483616;f[d+4>>2]=30;i=n;j=206939;k=i+30|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));b[n+30>>0]=0;WD(-213,d,207149,206642,1734)}}while(0)}function IJ(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;i=u;u=u+16|0;j=i;k=f[a>>2]|0;l=k&2031616;m=(e|0)<0;do if(m&(l|0)==65536){if((h|0)==0&(g^1)){if(k&1073741824|0?(n=f[(f[a+4>>2]|0)+40>>2]|0,!((f[c>>2]|0)==(f[n+4>>2]|0)?(f[c+4>>2]|0)==(f[n>>2]|0):0)):0){n=cuc(64)|0;f[j>>2]=n;f[j+8>>2]=-2147483584;f[j+4>>2]=53;o=n;p=207157;q=o+53|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[n+53>>0]=0;WD(-215,j,458319,206642,1194)}r=f[a+4>>2]|0;if((k|0)<0?(f[r>>2]&4095|0)!=(d|0):0){s=cuc(48)|0;f[j>>2]=s;f[j+8>>2]=-2147483600;f[j+4>>2]=44;o=s;p=207211;q=o+44|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[s+44>>0]=0;WD(-215,j,458319,206642,1195)}n=f[c>>2]|0;t=f[c+4>>2]|0;v=d&4095;if(((((f[r+4>>2]|0)<3?(f[r+8>>2]|0)==(t|0):0)?(f[r+12>>2]|0)==(n|0):0)?(f[r>>2]&4095|0)==(v|0):0)?f[r+16>>2]|0:0){u=i;return}f[j>>2]=t;f[j+4>>2]=n;ZT(r,2,j,v);u=i;return}}else{if(m&(l|0)==655360){if(!((h|0)==0&(g^1)))break;if(k&1073741824|0?(v=f[(f[a+4>>2]|0)+32>>2]|0,!((f[c>>2]|0)==(f[v+4>>2]|0)?(f[c+4>>2]|0)==(f[v>>2]|0):0)):0){v=cuc(64)|0;f[j>>2]=v;f[j+8>>2]=-2147483584;f[j+4>>2]=54;o=v;p=207256;q=o+54|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[v+54>>0]=0;WD(-215,j,458319,206642,1201)}r=f[a+4>>2]|0;if((k|0)<0?(f[r>>2]&4095|0)!=(d|0):0){s=cuc(48)|0;f[j>>2]=s;f[j+8>>2]=-2147483600;f[j+4>>2]=45;o=s;p=207311;q=o+45|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[s+45>>0]=0;WD(-215,j,458319,206642,1202)}v=f[c>>2]|0;n=f[c+4>>2]|0;t=d&4095;if(((((f[r+4>>2]|0)<3?(f[r+8>>2]|0)==(n|0):0)?(f[r+12>>2]|0)==(v|0):0)?(f[r>>2]&4095|0)==(t|0):0)?f[r+24>>2]|0:0){u=i;return}f[j>>2]=n;f[j+4>>2]=v;SH(r,2,j,t,0);u=i;return}if(m&(l|0)==589824){if(!((h|0)==0&(g^1)))break;if(k&1073741824|0?(t=f[a+4>>2]|0,!((f[c>>2]|0)==(f[t+8>>2]|0)?(f[c+4>>2]|0)==(f[t+4>>2]|0):0)):0){t=cuc(64)|0;f[j>>2]=t;f[j+8>>2]=-2147483584;f[j+4>>2]=51;o=t;p=207357;q=o+51|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[t+51>>0]=0;WD(-215,j,458319,206642,1208)}r=f[a+4>>2]|0;if((k|0)>=0){w=f[c>>2]|0;x=c+4|0;y=f[x>>2]|0;oZ(r,y,w,d)}if((f[r>>2]&4095|0)==(d|0)){w=f[c>>2]|0;x=c+4|0;y=f[x>>2]|0;oZ(r,y,w,d)}else{r=cuc(64)|0;f[j>>2]=r;f[j+8>>2]=-2147483584;f[j+4>>2]=53;o=r;p=207409;q=o+53|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[r+53>>0]=0;WD(-215,j,458319,206642,1209)}}if(m&(l|0)==458752){if(!((h|0)==0&(g^1)))break;if(k&1073741824|0?(t=f[a+4>>2]|0,!((f[c>>2]|0)==(f[t+12>>2]|0)?(f[c+4>>2]|0)==(f[t+8>>2]|0):0)):0){t=cuc(64)|0;f[j>>2]=t;f[j+8>>2]=-2147483584;f[j+4>>2]=50;o=t;p=207463;q=o+50|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[t+50>>0]=0;WD(-215,j,458319,206642,1215)}r=f[a+4>>2]|0;if((k|0)<0?(f[r+16>>2]|0)!=(d|0):0){s=cuc(64)|0;f[j>>2]=s;f[j+8>>2]=-2147483584;f[j+4>>2]=52;o=s;p=207514;q=o+52|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[s+52>>0]=0;WD(-215,j,458319,206642,1216)}ZO(r,f[c+4>>2]|0,f[c>>2]|0,d,34962,0);u=i;return}if(m&(l|0)==524288?(h|0)==0&(g^1):0){if(k&1073741824|0?(t=f[a+4>>2]|0,!((f[c>>2]|0)==(f[t+8>>2]|0)?(f[c+4>>2]|0)==(f[t+4>>2]|0):0)):0){t=cuc(64)|0;f[j>>2]=t;f[j+8>>2]=-2147483584;f[j+4>>2]=52;o=t;p=207567;q=o+52|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[t+52>>0]=0;WD(-215,j,458319,206642,1222)}r=f[a+4>>2]|0;if((k|0)>=0){z=f[c>>2]|0;A=c+4|0;B=f[A>>2]|0;tV(r,B,z,d)}if((f[r>>2]&4095|0)==(d|0)){z=f[c>>2]|0;A=c+4|0;B=f[A>>2]|0;tV(r,B,z,d)}else{r=cuc(64)|0;f[j>>2]=r;f[j+8>>2]=-2147483584;f[j+4>>2]=54;o=r;p=207620;q=o+54|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[r+54>>0]=0;WD(-215,j,458319,206642,1223)}}}while(0);f[j>>2]=f[c+4>>2];f[j+4>>2]=f[c>>2];JJ(a,2,j,d,e,g,h);u=i;return}function JJ(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0;j=u;u=u+32|0;k=j;l=j+16|0;m=j+4|0;if((c|0)==1){f[l>>2]=f[d>>2];f[l+4>>2]=1;n=2;o=l}else{n=c;o=d}d=f[a>>2]|0;c=d&2031616;l=e&4095;p=c&2097151;a:do if((p|0)<655360){if((p|0)>=131072){switch(p|0){case 131072:break;default:break a}if((g|0)>=0){f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;b[m+11>>0]=5;b[m>>0]=b[206628]|0;b[m+1>>0]=b[206629]|0;b[m+2>>0]=b[206630]|0;b[m+3>>0]=b[206631]|0;b[m+4>>0]=b[206632]|0;b[m+5>>0]=0;WD(-215,m,458319,206642,1357)}q=d&4095;if((l|0)!=(q|0)){if(e&4088|0){r=cuc(96)|0;f[m>>2]=r;s=m+8|0;f[s>>2]=-2147483552;t=m+4|0;f[t>>2]=81;v=r;w=207769;x=v+81|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));y=r+81|0;b[y>>0]=0;WD(-215,m,458319,206642,1359)}if(!(1<<q&i)){r=cuc(96)|0;f[m>>2]=r;s=m+8|0;f[s>>2]=-2147483552;t=m+4|0;f[t>>2]=81;v=r;w=207769;x=v+81|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));y=r+81|0;b[y>>0]=0;WD(-215,m,458319,206642,1359)}}if((n|0)!=2){z=cuc(144)|0;f[m>>2]=z;A=m+8|0;f[A>>2]=-2147483504;B=m+4|0;f[B>>2]=129;szc(z|0,207851,129)|0;C=z+129|0;b[C>>0]=0;WD(-215,m,458319,206642,1361)}q=f[o>>2]|0;D=a+8|0;E=f[a+12>>2]|0;if((q|0)==(E|0)?(f[o+4>>2]|0)==(f[D>>2]|0):0){u=j;return}if(!h){z=cuc(144)|0;f[m>>2]=z;A=m+8|0;f[A>>2]=-2147483504;B=m+4|0;f[B>>2]=129;szc(z|0,207851,129)|0;C=z+129|0;b[C>>0]=0;WD(-215,m,458319,206642,1361)}if((q|0)!=(f[D>>2]|0)){z=cuc(144)|0;f[m>>2]=z;A=m+8|0;f[A>>2]=-2147483504;B=m+4|0;f[B>>2]=129;szc(z|0,207851,129)|0;C=z+129|0;b[C>>0]=0;WD(-215,m,458319,206642,1361)}if((f[o+4>>2]|0)==(E|0)){u=j;return}else{z=cuc(144)|0;f[m>>2]=z;A=m+8|0;f[A>>2]=-2147483504;B=m+4|0;f[B>>2]=129;szc(z|0,207851,129)|0;C=z+129|0;b[C>>0]=0;WD(-215,m,458319,206642,1361)}}switch(p|0){case 65536:break;default:break a}if((g|0)>=0){f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;b[m+11>>0]=5;b[m>>0]=b[206628]|0;b[m+1>>0]=b[206629]|0;b[m+2>>0]=b[206630]|0;b[m+3>>0]=b[206631]|0;b[m+4>>0]=b[206632]|0;b[m+5>>0]=0;WD(-215,m,458319,206642,1289)}E=f[a+4>>2]|0;if(h){if(!(f[E>>2]&16384)){if(d>>>0>1073741823){D=cuc(32)|0;f[m>>2]=D;f[m+8>>2]=-2147483616;f[m+4>>2]=28;v=D;w=207675;x=v+28|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));b[D+28>>0]=0;WD(-215,m,458319,206642,1295)}q=E+36|0;F=f[q>>2]|0;if(F|0?(G=F+12|0,F=f[G>>2]|0,f[G>>2]=F+-1,(F|0)==1):0)aU(E);f[q>>2]=0;q=E+16|0;F=E+4|0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;f[q+12>>2]=0;if((f[F>>2]|0)>0){q=f[E+40>>2]|0;G=0;do{f[q+(G<<2)>>2]=0;G=G+1|0}while((G|0)<(f[F>>2]|0))}}if((((((n|0)==2?(f[E+4>>2]|0)==2:0)?f[E+16>>2]|0:0)?(f[E>>2]&4095|0)==(l|0):0)?(f[E+8>>2]|0)==(f[o+4>>2]|0):0)?(f[E+12>>2]|0)==(f[o>>2]|0):0){u=j;return}}F=f[a>>2]|0;do if((F|0)<0){G=f[E>>2]|0;if(((G^e)&4088|0)==0?1<<(F&4095)&i|0:0){H=G&4095;break}if((l|0)!=(G&4095|0)){G=cuc(32)|0;f[m>>2]=G;f[m+8>>2]=-2147483616;f[m+4>>2]=30;v=G;w=207704;x=v+30|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));b[G+30>>0]=0;WD(-215,m,458319,206642,1309)}else H=l}else H=l;while(0);b:do if(F&1073741824|0){if((f[E+4>>2]|0)!=(n|0)){q=cuc(16)|0;f[m>>2]=q;f[m+8>>2]=-2147483632;f[m+4>>2]=11;v=q;w=207735;x=v+11|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));b[q+11>>0]=0;WD(-215,m,458319,206642,1313)}if((n|0)>0){G=f[E+40>>2]|0;D=0;while(1){if((f[G+(D<<2)>>2]|0)!=(f[o+(D<<2)>>2]|0))break;D=D+1|0;if((D|0)>=(n|0))break b}D=cuc(32)|0;f[m>>2]=D;f[m+8>>2]=-2147483616;f[m+4>>2]=21;v=D;w=207747;x=v+21|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));b[D+21>>0]=0;WD(-215,m,458319,206642,1315)}}while(0);ZT(E,n,o,H);u=j;return}else{if((p|0)>=917504){switch(p|0){case 917504:break;default:break a}F=d&4095;if((l|0)!=(F|0)){if(e&4088|0){I=cuc(96)|0;f[m>>2]=I;J=m+8|0;f[J>>2]=-2147483552;K=m+4|0;f[K>>2]=81;v=I;w=207769;x=v+81|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));L=I+81|0;b[L>>0]=0;WD(-215,m,458319,206642,1368)}if(!(1<<F&i)){I=cuc(96)|0;f[m>>2]=I;J=m+8|0;f[J>>2]=-2147483552;K=m+4|0;f[K>>2]=81;v=I;w=207769;x=v+81|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));L=I+81|0;b[L>>0]=0;WD(-215,m,458319,206642,1368)}}if((n|0)!=2){M=cuc(48)|0;f[m>>2]=M;N=m+8|0;f[N>>2]=-2147483600;O=m+4|0;f[O>>2]=40;v=M;w=207981;x=v+40|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));P=M+40|0;b[P>>0]=0;WD(-215,m,458319,206642,1369)}F=Y(f[a+12>>2]|0,f[a+8>>2]|0)|0;if((F|0)==(Y(f[o+4>>2]|0,f[o>>2]|0)|0)){u=j;return}else{M=cuc(48)|0;f[m>>2]=M;N=m+8|0;f[N>>2]=-2147483600;O=m+4|0;f[O>>2]=40;v=M;w=207981;x=v+40|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));P=M+40|0;b[P>>0]=0;WD(-215,m,458319,206642,1369)}}switch(p|0){case 655360:break;default:break a}if((g|0)>=0){f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;b[m+11>>0]=5;b[m>>0]=b[206628]|0;b[m+1>>0]=b[206629]|0;b[m+2>>0]=b[206630]|0;b[m+3>>0]=b[206631]|0;b[m+4>>0]=b[206632]|0;b[m+5>>0]=0;WD(-215,m,458319,206642,1323)}F=f[a+4>>2]|0;if(h){if(!(f[F>>2]&16384)){if(d>>>0>1073741823){E=cuc(32)|0;f[m>>2]=E;f[m+8>>2]=-2147483616;f[m+4>>2]=28;v=E;w=207675;x=v+28|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));b[E+28>>0]=0;WD(-215,m,458319,206642,1329)}G=F+24|0;q=f[G>>2]|0;if(q|0?(Q=q+8|0,q=f[Q>>2]|0,f[Q>>2]=q+-1,(q|0)==1):0)WH(F);q=F+4|0;if((f[q>>2]|0)>0){Q=f[F+32>>2]|0;R=0;do{f[Q+(R<<2)>>2]=0;R=R+1|0}while((R|0)<(f[q>>2]|0))}f[G>>2]=0}if(((((((n|0)==2?(f[F+4>>2]|0)==2:0)?f[F+24>>2]|0:0)?(q=f[F+8>>2]|0,R=f[F+12>>2]|0,Y(R,q)|0):0)?(f[F>>2]&4095|0)==(l|0):0)?(q|0)==(f[o+4>>2]|0):0)?(R|0)==(f[o>>2]|0):0){u=j;return}}R=f[a>>2]|0;do if((R|0)<0){q=f[F>>2]|0;if(((q^e)&4088|0)==0?1<<(R&4095)&i|0:0){S=q&4095;break}if((l|0)!=(q&4095|0)){q=cuc(32)|0;f[m>>2]=q;f[m+8>>2]=-2147483616;f[m+4>>2]=30;v=q;w=207704;x=v+30|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));b[q+30>>0]=0;WD(-215,m,458319,206642,1343)}else S=l}else S=l;while(0);c:do if(R&1073741824|0){if((f[F+4>>2]|0)!=(n|0)){G=cuc(16)|0;f[m>>2]=G;f[m+8>>2]=-2147483632;f[m+4>>2]=11;v=G;w=207735;x=v+11|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));b[G+11>>0]=0;WD(-215,m,458319,206642,1347)}if((n|0)>0){q=f[F+32>>2]|0;D=0;while(1){if((f[q+(D<<2)>>2]|0)!=(f[o+(D<<2)>>2]|0))break;D=D+1|0;if((D|0)>=(n|0))break c}D=cuc(32)|0;f[m>>2]=D;f[m+8>>2]=-2147483616;f[m+4>>2]=21;v=D;w=207747;x=v+21|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));b[D+21>>0]=0;WD(-215,m,458319,206642,1349)}}while(0);SH(F,n,o,S,0);u=j;return}while(0);S=(c|0)==262144;p=c&2097151;if((p|0)>=327680){if((p|0)<720896){switch(p|0){case 327680:break;default:{T=cuc(32)|0;f[m>>2]=T;U=m+8|0;f[U>>2]=-2147483616;V=m+4|0;f[V>>2]=30;v=T;w=206939;x=v+30|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));W=T+30|0;b[W>>0]=0;WD(-213,m,458319,206642,1658)}}c=f[a+4>>2]|0;if((g|0)<0){if((n|0)!=2){X=cuc(80)|0;f[m>>2]=X;Z=m+8|0;f[Z>>2]=-2147483568;_=m+4|0;f[_>>2]=68;v=X;w=208022;x=v+68|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));$=X+68|0;b[$>>0]=0;WD(-215,m,458319,206642,1487)}P=f[o>>2]|0;M=f[o+4>>2]|0;O=Y(M,P)|0;if(!((P|0)==1|(M|0)==1|(O|0)==0)){X=cuc(80)|0;f[m>>2]=X;Z=m+8|0;f[Z>>2]=-2147483568;_=m+4|0;f[_>>2]=68;v=X;w=208022;x=v+68|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));$=X+68|0;b[$>>0]=0;WD(-215,m,458319,206642,1487)}$=(O|0)>0?P+-1+M|0:0;M=((f[c+4>>2]|0)-(f[c>>2]|0)|0)/56|0;if(!((d&1073741824|0)==0|($|0)==(M|0))){P=cuc(32)|0;f[m>>2]=P;f[m+8>>2]=-2147483616;f[m+4>>2]=27;v=P;w=208414;x=v+27|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));b[P+27>>0]=0;WD(-215,m,458319,206642,1490)}tJ(c,$);P=f[a>>2]|0;if((P|0)>=0){u=j;return}O=P&4095;if(M>>>0>=$>>>0){u=j;return}P=f[c>>2]|0;X=M;while(1){M=P+(X*56|0)|0;_=f[M>>2]|0;if((_&4095|0)!=(O|0)){if(f[P+(X*56|0)+16>>2]|0){Z=f[P+(X*56|0)+4>>2]|0;if((Z|0)<3)aa=Y(f[P+(X*56|0)+12>>2]|0,f[P+(X*56|0)+8>>2]|0)|0;else{N=f[P+(X*56|0)+40>>2]|0;L=0;I=1;while(1){K=Y(f[N+(L<<2)>>2]|0,I)|0;L=L+1|0;if((L|0)==(Z|0)){aa=K;break}else I=K}}if(!((Z|0)==0|(aa|0)==0)){ba=256;break}}f[M>>2]=_&-4096|O}X=X+1|0;if(X>>>0>=$>>>0){ba=390;break}}if((ba|0)==256){$=cuc(16)|0;f[m>>2]=$;f[m+8>>2]=-2147483632;f[m+4>>2]=12;v=$;w=208442;x=v+12|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));b[$+12>>0]=0;WD(-215,m,458319,206642,1499)}else if((ba|0)==390){u=j;return}}$=f[c>>2]|0;X=$;if((((f[c+4>>2]|0)-$|0)/56|0|0)<=(g|0)){$=cuc(32)|0;f[m>>2]=$;f[m+8>>2]=-2147483616;f[m+4>>2]=17;v=$;w=208455;x=v+17|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));b[$+17>>0]=0;WD(-215,m,458319,206642,1506)}$=X+(g*56|0)|0;if(h){if(!(f[$>>2]&16384)){if(d>>>0>1073741823){c=cuc(32)|0;f[m>>2]=c;f[m+8>>2]=-2147483616;f[m+4>>2]=28;v=c;w=207675;x=v+28|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));b[c+28>>0]=0;WD(-215,m,458319,206642,1513)}c=X+(g*56|0)+36|0;O=f[c>>2]|0;if(O|0?(aa=O+12|0,O=f[aa>>2]|0,f[aa>>2]=O+-1,(O|0)==1):0)aU($);f[c>>2]=0;c=X+(g*56|0)+16|0;O=X+(g*56|0)+4|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[O>>2]|0)>0){c=f[X+(g*56|0)+40>>2]|0;aa=0;do{f[c+(aa<<2)>>2]=0;aa=aa+1|0}while((aa|0)<(f[O>>2]|0))}}if((((((n|0)==2?(f[X+(g*56|0)+4>>2]|0)==2:0)?f[X+(g*56|0)+16>>2]|0:0)?(f[$>>2]&4095|0)==(l|0):0)?(f[X+(g*56|0)+8>>2]|0)==(f[o+4>>2]|0):0)?(f[X+(g*56|0)+12>>2]|0)==(f[o>>2]|0):0){u=j;return}}O=f[a>>2]|0;do if((O|0)<0){aa=f[$>>2]|0;if(((aa^e)&4088|0)==0?1<<(O&4095)&i|0:0){ca=aa&4095;break}if((l|0)!=(aa&4095|0)){aa=cuc(32)|0;f[m>>2]=aa;f[m+8>>2]=-2147483616;f[m+4>>2]=30;v=aa;w=207704;x=v+30|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));b[aa+30>>0]=0;WD(-215,m,458319,206642,1527)}else ca=l}else ca=l;while(0);d:do if(O&1073741824|0){if((f[X+(g*56|0)+4>>2]|0)!=(n|0)){_=cuc(16)|0;f[m>>2]=_;f[m+8>>2]=-2147483632;f[m+4>>2]=11;v=_;w=207735;x=v+11|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));b[_+11>>0]=0;WD(-215,m,458319,206642,1531)}if((n|0)>0){aa=f[X+(g*56|0)+40>>2]|0;M=0;while(1){if((f[aa+(M<<2)>>2]|0)!=(f[o+(M<<2)>>2]|0))break;M=M+1|0;if((M|0)>=(n|0))break d}M=cuc(32)|0;f[m>>2]=M;f[m+8>>2]=-2147483616;f[m+4>>2]=21;v=M;w=207747;x=v+21|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));b[M+21>>0]=0;WD(-215,m,458319,206642,1533)}}while(0);ZT($,n,o,ca);u=j;return}if((p|0)>=983040){switch(p|0){case 983040:break;default:{T=cuc(32)|0;f[m>>2]=T;U=m+8|0;f[U>>2]=-2147483616;V=m+4|0;f[V>>2]=30;v=T;w=206939;x=v+30|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));W=T+30|0;b[W>>0]=0;WD(-213,m,458319,206642,1658)}}ca=f[a+4>>2]|0;if((g|0)<0){if((n|0)!=2){da=cuc(80)|0;f[m>>2]=da;ea=m+8|0;f[ea>>2]=-2147483568;fa=m+4|0;f[fa>>2]=68;v=da;w=208022;x=v+68|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));ga=da+68|0;b[ga>>0]=0;WD(-215,m,458319,206642,1546)}$=f[o>>2]|0;X=f[o+4>>2]|0;O=Y(X,$)|0;if(!(($|0)==1|(X|0)==1|(O|0)==0)){da=cuc(80)|0;f[m>>2]=da;ea=m+8|0;f[ea>>2]=-2147483568;fa=m+4|0;f[fa>>2]=68;v=da;w=208022;x=v+68|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));ga=da+68|0;b[ga>>0]=0;WD(-215,m,458319,206642,1546)}if((((O|0)>0?$+-1+X|0:0)|0)==(f[a+12>>2]|0)){u=j;return}else{X=cuc(16)|0;f[m>>2]=X;f[m+8>>2]=-2147483632;f[m+4>>2]=11;v=X;w=208473;x=v+11|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));b[X+11>>0]=0;WD(-215,m,458319,206642,1549)}}if((f[a+12>>2]|0)<=(g|0)){X=cuc(16)|0;f[m>>2]=X;f[m+8>>2]=-2147483632;f[m+4>>2]=13;v=X;w=207015;x=v+13|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));b[X+13>>0]=0;WD(-215,m,458319,206642,1564)}X=ca+(g*56|0)|0;if(h){if(!(f[X>>2]&16384)){if(d>>>0>1073741823){$=cuc(32)|0;f[m>>2]=$;f[m+8>>2]=-2147483616;f[m+4>>2]=28;v=$;w=207675;x=v+28|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));b[$+28>>0]=0;WD(-215,m,458319,206642,1571)}$=ca+(g*56|0)+36|0;O=f[$>>2]|0;if(O|0?(ga=O+12|0,O=f[ga>>2]|0,f[ga>>2]=O+-1,(O|0)==1):0)aU(X);f[$>>2]=0;$=ca+(g*56|0)+16|0;O=ca+(g*56|0)+4|0;f[$>>2]=0;f[$+4>>2]=0;f[$+8>>2]=0;f[$+12>>2]=0;if((f[O>>2]|0)>0){$=f[ca+(g*56|0)+40>>2]|0;ga=0;do{f[$+(ga<<2)>>2]=0;ga=ga+1|0}while((ga|0)<(f[O>>2]|0))}}if((((((n|0)==2?(f[ca+(g*56|0)+4>>2]|0)==2:0)?f[ca+(g*56|0)+16>>2]|0:0)?(f[X>>2]&4095|0)==(l|0):0)?(f[ca+(g*56|0)+8>>2]|0)==(f[o+4>>2]|0):0)?(f[ca+(g*56|0)+12>>2]|0)==(f[o>>2]|0):0){u=j;return}}O=f[a>>2]|0;do if((O|0)<0){ga=f[X>>2]|0;if(((ga^e)&4088|0)==0?1<<(O&4095)&i|0:0){ha=ga&4095;break}if((l|0)!=(ga&4095|0)){ga=cuc(32)|0;f[m>>2]=ga;f[m+8>>2]=-2147483616;f[m+4>>2]=30;v=ga;w=207704;x=v+30|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));b[ga+30>>0]=0;WD(-215,m,458319,206642,1585)}else ha=l}else ha=l;while(0);e:do if(O&1073741824|0){if((f[ca+(g*56|0)+4>>2]|0)!=(n|0)){M=cuc(16)|0;f[m>>2]=M;f[m+8>>2]=-2147483632;f[m+4>>2]=11;v=M;w=207735;x=v+11|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));b[M+11>>0]=0;WD(-215,m,458319,206642,1590)}if((n|0)>0){ga=f[ca+(g*56|0)+40>>2]|0;$=0;while(1){if((f[ga+($<<2)>>2]|0)!=(f[o+($<<2)>>2]|0))break;$=$+1|0;if(($|0)>=(n|0))break e}$=cuc(32)|0;f[m>>2]=$;f[m+8>>2]=-2147483616;f[m+4>>2]=21;v=$;w=207747;x=v+21|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));b[$+21>>0]=0;WD(-215,m,458319,206642,1592)}}while(0);ZT(X,n,o,ha);u=j;return}switch(p|0){case 720896:break;default:{T=cuc(32)|0;f[m>>2]=T;U=m+8|0;f[U>>2]=-2147483616;V=m+4|0;f[V>>2]=30;v=T;w=206939;x=v+30|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));W=T+30|0;b[W>>0]=0;WD(-213,m,458319,206642,1658)}}ha=f[a+4>>2]|0;if((g|0)<0){if((n|0)!=2){ia=cuc(80)|0;f[m>>2]=ia;ja=m+8|0;f[ja>>2]=-2147483568;ka=m+4|0;f[ka>>2]=68;v=ia;w=208022;x=v+68|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));la=ia+68|0;b[la>>0]=0;WD(-215,m,458319,206642,1605)}X=f[o>>2]|0;ca=f[o+4>>2]|0;O=Y(ca,X)|0;if(!((X|0)==1|(ca|0)==1|(O|0)==0)){ia=cuc(80)|0;f[m>>2]=ia;ja=m+8|0;f[ja>>2]=-2147483568;ka=m+4|0;f[ka>>2]=68;v=ia;w=208022;x=v+68|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));la=ia+68|0;b[la>>0]=0;WD(-215,m,458319,206642,1605)}la=(O|0)>0?X+-1+ca|0:0;ca=ha+4|0;X=f[ca>>2]|0;O=f[ha>>2]|0;ia=(X-O|0)/48|0;if(!((d&1073741824|0)==0|(la|0)==(ia|0))){ka=cuc(32)|0;f[m>>2]=ka;f[m+8>>2]=-2147483616;f[m+4>>2]=27;v=ka;w=208414;x=v+27|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));b[ka+27>>0]=0;WD(-215,m,458319,206642,1608)}ka=la>>>0>ia>>>0;ja=O;O=X;if(!ka){if(la>>>0<ia>>>0?(X=ja+(la*48|0)|0,(O|0)!=(X|0)):0){ja=O;do{O=ja+-48|0;f[ca>>2]=O;VH(O);ja=f[ca>>2]|0}while((ja|0)!=(X|0))}}else wJ(ha,la-ia|0);X=f[a>>2]|0;if((X|0)>=0){u=j;return}ja=X&4095;if(!ka){u=j;return}ka=f[ha>>2]|0;X=ia;while(1){ia=ka+(X*48|0)|0;ca=f[ia>>2]|0;if((ca&4095|0)!=(ja|0)){if(f[ka+(X*48|0)+24>>2]|0){O=f[ka+(X*48|0)+4>>2]|0;if((O|0)<3)ma=Y(f[ka+(X*48|0)+12>>2]|0,f[ka+(X*48|0)+8>>2]|0)|0;else{ga=f[ka+(X*48|0)+32>>2]|0;M=0;da=1;while(1){fa=Y(f[ga+(M<<2)>>2]|0,da)|0;M=M+1|0;if((M|0)==(O|0)){ma=fa;break}else da=fa}}if(!((O|0)==0|(ma|0)==0)){ba=352;break}}f[ia>>2]=ca&-4096|ja}X=X+1|0;if(X>>>0>=la>>>0){ba=390;break}}if((ba|0)==352){la=cuc(16)|0;f[m>>2]=la;f[m+8>>2]=-2147483632;f[m+4>>2]=12;v=la;w=208442;x=v+12|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));b[la+12>>0]=0;WD(-215,m,458319,206642,1617)}else if((ba|0)==390){u=j;return}}ba=f[ha>>2]|0;la=ba;if((((f[ha+4>>2]|0)-ba|0)/48|0|0)<=(g|0)){ba=cuc(32)|0;f[m>>2]=ba;f[m+8>>2]=-2147483616;f[m+4>>2]=17;v=ba;w=208455;x=v+17|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));b[ba+17>>0]=0;WD(-215,m,458319,206642,1624)}ba=la+(g*48|0)|0;if(h){if(!(f[ba>>2]&16384)){if(d>>>0>1073741823){h=cuc(32)|0;f[m>>2]=h;f[m+8>>2]=-2147483616;f[m+4>>2]=28;v=h;w=207675;x=v+28|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));b[h+28>>0]=0;WD(-215,m,458319,206642,1631)}h=la+(g*48|0)+24|0;ha=f[h>>2]|0;if(ha|0?(X=ha+8|0,ha=f[X>>2]|0,f[X>>2]=ha+-1,(ha|0)==1):0)WH(ba);ha=la+(g*48|0)+4|0;if((f[ha>>2]|0)>0){X=f[la+(g*48|0)+32>>2]|0;ja=0;do{f[X+(ja<<2)>>2]=0;ja=ja+1|0}while((ja|0)<(f[ha>>2]|0))}f[h>>2]=0}if((((((n|0)==2?(f[la+(g*48|0)+4>>2]|0)==2:0)?f[la+(g*48|0)+24>>2]|0:0)?(f[ba>>2]&4095|0)==(l|0):0)?(f[la+(g*48|0)+8>>2]|0)==(f[o+4>>2]|0):0)?(f[la+(g*48|0)+12>>2]|0)==(f[o>>2]|0):0){u=j;return}}h=f[a>>2]|0;do if((h|0)<0){ha=f[ba>>2]|0;if(((ha^e)&4088|0)==0?1<<(h&4095)&i|0:0){na=ha&4095;break}if((l|0)!=(ha&4095|0)){ha=cuc(32)|0;f[m>>2]=ha;f[m+8>>2]=-2147483616;f[m+4>>2]=30;v=ha;w=207704;x=v+30|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));b[ha+30>>0]=0;WD(-215,m,458319,206642,1645)}else na=l}else na=l;while(0);f:do if(h&1073741824|0){if((f[la+(g*48|0)+4>>2]|0)!=(n|0)){ca=cuc(16)|0;f[m>>2]=ca;f[m+8>>2]=-2147483632;f[m+4>>2]=11;v=ca;w=207735;x=v+11|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));b[ca+11>>0]=0;WD(-215,m,458319,206642,1649)}if((n|0)>0){ha=f[la+(g*48|0)+32>>2]|0;ia=0;while(1){if((f[ha+(ia<<2)>>2]|0)!=(f[o+(ia<<2)>>2]|0))break;ia=ia+1|0;if((ia|0)>=(n|0))break f}ia=cuc(32)|0;f[m>>2]=ia;f[m+8>>2]=-2147483616;f[m+4>>2]=21;v=ia;w=207747;x=v+21|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));b[ia+21>>0]=0;WD(-215,m,458319,206642,1651)}}while(0);SH(ba,n,o,na,0);u=j;return}if((p|0)<196608)switch(p|0){case 0:{na=cuc(48)|0;f[m>>2]=na;f[m+8>>2]=-2147483600;f[m+4>>2]=44;v=na;w=208369;x=v+44|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));b[na+44>>0]=0;WD(-27,m,458319,206642,1478);break}default:{T=cuc(32)|0;f[m>>2]=T;U=m+8|0;f[U>>2]=-2147483616;V=m+4|0;f[V>>2]=30;v=T;w=206939;x=v+30|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));W=T+30|0;b[W>>0]=0;WD(-213,m,458319,206642,1658)}}g:do if((p|0)<262144){switch(p|0){case 196608:{break g;break}default:{}}T=cuc(32)|0;f[m>>2]=T;U=m+8|0;f[U>>2]=-2147483616;V=m+4|0;f[V>>2]=30;v=T;w=206939;x=v+30|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));W=T+30|0;b[W>>0]=0;WD(-213,m,458319,206642,1658)}else{switch(p|0){case 262144:{break g;break}default:{}}T=cuc(32)|0;f[m>>2]=T;U=m+8|0;f[U>>2]=-2147483616;V=m+4|0;f[V>>2]=30;v=T;w=206939;x=v+30|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));W=T+30|0;b[W>>0]=0;WD(-213,m,458319,206642,1658)}while(0);if((n|0)!=2){oa=cuc(80)|0;f[m>>2]=oa;pa=m+8|0;f[pa>>2]=-2147483568;qa=m+4|0;f[qa>>2]=68;v=oa;w=208022;x=v+68|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));ra=oa+68|0;b[ra>>0]=0;WD(-215,m,458319,206642,1375)}n=f[o>>2]|0;W=f[o+4>>2]|0;o=Y(W,n)|0;if(!((n|0)==1|(W|0)==1|(o|0)==0)){oa=cuc(80)|0;f[m>>2]=oa;pa=m+8|0;f[pa>>2]=-2147483568;qa=m+4|0;f[qa>>2]=68;v=oa;w=208022;x=v+68|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));ra=oa+68|0;b[ra>>0]=0;WD(-215,m,458319,206642,1375)}ra=(o|0)>0?n+-1+W|0:0;W=f[a+4>>2]|0;a=(g|0)<0;do if(!S)if(a)sa=W;else{f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;b[m+11>>0]=5;b[m>>0]=b[206628]|0;b[m+1>>0]=b[206629]|0;b[m+2>>0]=b[206630]|0;b[m+3>>0]=b[206631]|0;b[m+4>>0]=b[206632]|0;b[m+5>>0]=0;WD(-215,m,458319,206642,1392)}else{if(!a){n=f[W>>2]|0;if((((f[W+4>>2]|0)-n|0)/12|0|0)>(g|0)){sa=n+(g*12|0)|0;break}else{n=cuc(32)|0;f[m>>2]=n;f[m+8>>2]=-2147483616;f[m+4>>2]=18;v=n;w=206996;x=v+18|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));b[n+18>>0]=0;WD(-215,m,458319,206642,1388)}}o=W+4|0;oa=f[o>>2]|0;qa=f[W>>2]|0;if(d&1073741824|0?(ra|0)!=((oa-qa|0)/12|0|0):0){pa=cuc(48)|0;f[m>>2]=pa;f[m+8>>2]=-2147483600;f[m+4>>2]=32;v=pa;w=208091;x=v+32|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));b[pa+32>>0]=0;WD(-215,m,458319,206642,1384)}n=(oa-qa|0)/12|0;T=oa;if(ra>>>0>n>>>0){KJ(W,ra-n|0);u=j;return}if(ra>>>0>=n>>>0){u=j;return}n=qa+(ra*12|0)|0;if((T|0)==(n|0)){u=j;return}else ta=T;while(1){T=ta+-12|0;f[o>>2]=T;V=f[T>>2]|0;if(!V)ua=T;else{T=ta+-8|0;if((f[T>>2]|0)!=(V|0))f[T>>2]=V;fuc(V);ua=f[o>>2]|0}if((ua|0)==(n|0))break;else ta=ua}u=j;return}while(0);ua=d&4095;ta=d>>>3&511;W=ta+1|0;if((l|0)!=(ua|0)){if((e>>>3&511|0)!=(ta|0)){va=cuc(112)|0;f[m>>2]=va;wa=m+8|0;f[wa>>2]=-2147483536;xa=m+4|0;f[xa>>2]=96;v=va;w=208124;x=v+96|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));ya=va+96|0;b[ya>>0]=0;WD(-215,m,458319,206642,1395)}if(!(1<<ua&i)){va=cuc(112)|0;f[m>>2]=va;wa=m+8|0;f[wa>>2]=-2147483536;xa=m+4|0;f[xa>>2]=96;v=va;w=208124;x=v+96|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));ya=va+96|0;b[ya>>0]=0;WD(-215,m,458319,206642,1395)}}ya=Y(675553809>>>(d<<2&28)&15,W)|0;if(d&1073741824|0?(ra|0)!=((((f[sa+4>>2]|0)-(f[sa>>2]|0)|0)>>>0)/(ya>>>0)|0|0):0){d=cuc(64)|0;f[m>>2]=d;f[m+8>>2]=-2147483584;f[m+4>>2]=61;v=d;w=208221;x=v+61|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));b[d+61>>0]=0;WD(-215,m,458319,206642,1398)}do switch(ya&16383){case 1:{d=sa+4|0;w=f[d>>2]|0;v=f[sa>>2]|0;x=w-v|0;if(ra>>>0>x>>>0){LJ(sa,ra-x|0);u=j;return}if(ra>>>0>=x>>>0){u=j;return}x=v+ra|0;if((w|0)==(x|0)){u=j;return}f[d>>2]=x;u=j;return}case 2:{x=sa+4|0;d=f[x>>2]|0;w=f[sa>>2]|0;v=d-w>>1;W=d;if(ra>>>0>v>>>0){MJ(sa,ra-v|0);u=j;return}if(ra>>>0>=v>>>0){u=j;return}v=w+(ra<<1)|0;if((W|0)==(v|0)){u=j;return}f[x>>2]=W+(~((0-v+(W+-2)|0)>>>1)<<1);u=j;return}case 3:{W=sa+4|0;v=f[W>>2]|0;x=f[sa>>2]|0;w=(v-x|0)/3|0;d=v;if(ra>>>0>w>>>0){NJ(sa,ra-w|0);u=j;return}if(ra>>>0>=w>>>0){u=j;return}w=x+(ra*3|0)|0;if((d|0)==(w|0)){u=j;return}f[W>>2]=d+(~(((0-w+(d+-3)|0)>>>0)/3|0)*3|0);u=j;return}case 4:{d=sa+4|0;w=f[d>>2]|0;W=f[sa>>2]|0;x=w-W>>2;v=w;if(ra>>>0>x>>>0){OJ(sa,ra-x|0);u=j;return}if(ra>>>0>=x>>>0){u=j;return}x=W+(ra<<2)|0;if((v|0)==(x|0)){u=j;return}f[d>>2]=v+(~((v+-4-x|0)>>>2)<<2);u=j;return}case 6:{x=sa+4|0;v=f[x>>2]|0;d=f[sa>>2]|0;W=(v-d|0)/6|0;w=v;if(ra>>>0>W>>>0){PJ(sa,ra-W|0);u=j;return}if(ra>>>0>=W>>>0){u=j;return}W=d+(ra*6|0)|0;if((w|0)==(W|0)){u=j;return}f[x>>2]=w+(~(((w+-6-W|0)>>>0)/6|0)*6|0);u=j;return}case 8:{W=sa+4|0;w=f[W>>2]|0;x=f[sa>>2]|0;d=w-x>>3;v=w;if(ra>>>0>d>>>0){QJ(sa,ra-d|0);u=j;return}if(ra>>>0>=d>>>0){u=j;return}d=x+(ra<<3)|0;if((v|0)==(d|0)){u=j;return}f[W>>2]=v+(~((v+-8-d|0)>>>3)<<3);u=j;return}case 12:{d=sa+4|0;v=f[d>>2]|0;W=f[sa>>2]|0;x=(v-W|0)/12|0;w=v;if(ra>>>0>x>>>0){RJ(sa,ra-x|0);u=j;return}if(ra>>>0>=x>>>0){u=j;return}x=W+(ra*12|0)|0;if((w|0)==(x|0)){u=j;return}f[d>>2]=w+(~(((w+-12-x|0)>>>0)/12|0)*12|0);u=j;return}case 16:{x=sa+4|0;w=f[x>>2]|0;d=f[sa>>2]|0;W=w-d>>4;v=w;if(ra>>>0>W>>>0){SJ(sa,ra-W|0);u=j;return}if(ra>>>0>=W>>>0){u=j;return}W=d+(ra<<4)|0;if((v|0)==(W|0)){u=j;return}f[x>>2]=v+(~((v+-16-W|0)>>>4)<<4);u=j;return}case 20:{W=sa+4|0;v=f[W>>2]|0;x=f[sa>>2]|0;d=(v-x|0)/20|0;w=v;if(ra>>>0>d>>>0){TJ(sa,ra-d|0);u=j;return}if(ra>>>0>=d>>>0){u=j;return}d=x+(ra*20|0)|0;if((w|0)==(d|0)){u=j;return}f[W>>2]=w+(~(((w+-20-d|0)>>>0)/20|0)*20|0);u=j;return}case 24:{d=sa+4|0;w=f[d>>2]|0;W=f[sa>>2]|0;x=(w-W|0)/24|0;v=w;if(ra>>>0>x>>>0){UJ(sa,ra-x|0);u=j;return}if(ra>>>0>=x>>>0){u=j;return}x=W+(ra*24|0)|0;if((v|0)==(x|0)){u=j;return}f[d>>2]=v+(~(((v+-24-x|0)>>>0)/24|0)*24|0);u=j;return}case 28:{x=sa+4|0;v=f[x>>2]|0;d=f[sa>>2]|0;W=(v-d|0)/28|0;w=v;if(ra>>>0>W>>>0){VJ(sa,ra-W|0);u=j;return}if(ra>>>0>=W>>>0){u=j;return}W=d+(ra*28|0)|0;if((w|0)==(W|0)){u=j;return}f[x>>2]=w+(~(((w+-28-W|0)>>>0)/28|0)*28|0);u=j;return}case 32:{W=sa+4|0;w=f[W>>2]|0;x=f[sa>>2]|0;d=w-x>>5;v=w;if(ra>>>0>d>>>0){WJ(sa,ra-d|0);u=j;return}if(ra>>>0>=d>>>0){u=j;return}d=x+(ra<<5)|0;if((v|0)==(d|0)){u=j;return}f[W>>2]=v+(~((v+-32-d|0)>>>5)<<5);u=j;return}case 36:{d=sa+4|0;v=f[d>>2]|0;W=f[sa>>2]|0;x=(v-W|0)/36|0;w=v;if(ra>>>0>x>>>0){XJ(sa,ra-x|0);u=j;return}if(ra>>>0>=x>>>0){u=j;return}x=W+(ra*36|0)|0;if((w|0)==(x|0)){u=j;return}f[d>>2]=w+(~(((w+-36-x|0)>>>0)/36|0)*36|0);u=j;return}case 40:{x=sa+4|0;w=f[x>>2]|0;d=f[sa>>2]|0;W=(w-d|0)/40|0;v=w;if(ra>>>0>W>>>0){YJ(sa,ra-W|0);u=j;return}if(ra>>>0>=W>>>0){u=j;return}W=d+(ra*40|0)|0;if((v|0)==(W|0)){u=j;return}f[x>>2]=v+(~(((v+-40-W|0)>>>0)/40|0)*40|0);u=j;return}case 44:{W=sa+4|0;v=f[W>>2]|0;x=f[sa>>2]|0;d=(v-x|0)/44|0;w=v;if(ra>>>0>d>>>0){ZJ(sa,ra-d|0);u=j;return}if(ra>>>0>=d>>>0){u=j;return}d=x+(ra*44|0)|0;if((w|0)==(d|0)){u=j;return}f[W>>2]=w+(~(((w+-44-d|0)>>>0)/44|0)*44|0);u=j;return}case 48:{d=sa+4|0;w=f[d>>2]|0;W=f[sa>>2]|0;x=(w-W|0)/48|0;v=w;if(ra>>>0>x>>>0){_J(sa,ra-x|0);u=j;return}if(ra>>>0>=x>>>0){u=j;return}x=W+(ra*48|0)|0;if((v|0)==(x|0)){u=j;return}f[d>>2]=v+(~(((v+-48-x|0)>>>0)/48|0)*48|0);u=j;return}case 52:{x=sa+4|0;v=f[x>>2]|0;d=f[sa>>2]|0;W=(v-d|0)/52|0;w=v;if(ra>>>0>W>>>0){$J(sa,ra-W|0);u=j;return}if(ra>>>0>=W>>>0){u=j;return}W=d+(ra*52|0)|0;if((w|0)==(W|0)){u=j;return}f[x>>2]=w+(~(((w+-52-W|0)>>>0)/52|0)*52|0);u=j;return}case 56:{W=sa+4|0;w=f[W>>2]|0;x=f[sa>>2]|0;d=(w-x|0)/56|0;v=w;if(ra>>>0>d>>>0){aK(sa,ra-d|0);u=j;return}if(ra>>>0>=d>>>0){u=j;return}d=x+(ra*56|0)|0;if((v|0)==(d|0)){u=j;return}f[W>>2]=v+(~(((v+-56-d|0)>>>0)/56|0)*56|0);u=j;return}case 60:{d=sa+4|0;v=f[d>>2]|0;W=f[sa>>2]|0;x=(v-W|0)/60|0;w=v;if(ra>>>0>x>>>0){bK(sa,ra-x|0);u=j;return}if(ra>>>0>=x>>>0){u=j;return}x=W+(ra*60|0)|0;if((w|0)==(x|0)){u=j;return}f[d>>2]=w+(~(((w+-60-x|0)>>>0)/60|0)*60|0);u=j;return}case 64:{x=sa+4|0;w=f[x>>2]|0;d=f[sa>>2]|0;W=w-d>>6;v=w;if(ra>>>0>W>>>0){cK(sa,ra-W|0);u=j;return}if(ra>>>0>=W>>>0){u=j;return}W=d+(ra<<6)|0;if((v|0)==(W|0)){u=j;return}f[x>>2]=v+(~((v+-64-W|0)>>>6)<<6);u=j;return}case 128:{W=sa+4|0;v=f[W>>2]|0;x=f[sa>>2]|0;d=v-x>>7;w=v;if(ra>>>0>d>>>0){dK(sa,ra-d|0);u=j;return}if(ra>>>0>=d>>>0){u=j;return}d=x+(ra<<7)|0;if((w|0)==(d|0)){u=j;return}f[W>>2]=w+(~((w+-128-d|0)>>>7)<<7);u=j;return}case 256:{d=sa+4|0;w=f[d>>2]|0;W=f[sa>>2]|0;x=w-W>>8;v=w;if(ra>>>0>x>>>0){eK(sa,ra-x|0);u=j;return}if(ra>>>0>=x>>>0){u=j;return}x=W+(ra<<8)|0;if((v|0)==(x|0)){u=j;return}f[d>>2]=v+(~((v+-256-x|0)>>>8)<<8);u=j;return}case 512:{x=sa+4|0;v=f[x>>2]|0;d=f[sa>>2]|0;W=v-d>>9;w=v;if(ra>>>0>W>>>0){fK(sa,ra-W|0);u=j;return}if(ra>>>0>=W>>>0){u=j;return}W=d+(ra<<9)|0;if((w|0)==(W|0)){u=j;return}f[x>>2]=w+(~((w+-512-W|0)>>>9)<<9);u=j;return}default:{f[k>>2]=ya;cE(m,208283,k);WD(-5,m,458319,206642,1471)}}while(0)}function KJ(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;h=g;if(((d-g|0)/12|0)>>>0>=b>>>0){kzc(g|0,0,b*12|0)|0;f[e>>2]=h+(b*12|0);return}i=f[a>>2]|0;j=(g-i|0)/12|0;g=j+b|0;k=i;if(g>>>0>357913941)nsc(a);l=(d-i|0)/12|0;d=l<<1;m=l>>>0<178956970?(d>>>0<g>>>0?g:d):357913941;do if(m)if(m>>>0>357913941){d=ze(8)|0;kuc(d,519086);f[d>>2]=167148;Hf(d|0,26888,1888)}else{n=cuc(m*12|0)|0;break}else n=0;while(0);d=n+(j*12|0)|0;j=d;g=n+(m*12|0)|0;kzc(d|0,0,b*12|0)|0;m=d+(b*12|0)|0;if((h|0)==(k|0)){o=j;p=i;q=h}else{i=h;h=j;j=d;do{d=j+-12|0;b=i;i=i+-12|0;f[d>>2]=0;n=j+-8|0;f[n>>2]=0;f[j+-4>>2]=0;f[d>>2]=f[i>>2];d=b+-8|0;f[n>>2]=f[d>>2];n=b+-4|0;f[j+-4>>2]=f[n>>2];f[n>>2]=0;f[d>>2]=0;f[i>>2]=0;j=h+-12|0;h=j}while((i|0)!=(k|0));o=h;p=f[a>>2]|0;q=f[e>>2]|0}f[a>>2]=o;f[e>>2]=m;f[c>>2]=g;g=p;if((q|0)!=(g|0)){c=q;do{q=c;c=c+-12|0;m=f[c>>2]|0;if(m|0){e=q+-8|0;if((f[e>>2]|0)!=(m|0))f[e>>2]=m;fuc(m)}}while((c|0)!=(g|0))}if(!p)return;fuc(p);return}function LJ(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;d=a+8|0;e=f[d>>2]|0;g=a+4|0;h=f[g>>2]|0;if((e-h|0)>>>0>=c>>>0){i=c;j=h;do{b[j>>0]=0;j=(f[g>>2]|0)+1|0;f[g>>2]=j;i=i+-1|0}while((i|0)!=0);return}i=f[a>>2]|0;j=h-i|0;h=j+c|0;if((h|0)<0)nsc(a);k=e-i|0;i=k<<1;e=k>>>0<1073741823?(i>>>0<h>>>0?h:i):2147483647;if(!e)l=0;else l=cuc(e)|0;i=l+j|0;j=l+e|0;e=c;c=i;l=i;do{b[l>>0]=0;l=c+1|0;c=l;e=e+-1|0}while((e|0)!=0);e=f[a>>2]|0;l=(f[g>>2]|0)-e|0;h=i+(0-l)|0;if((l|0)>0)szc(h|0,e|0,l|0)|0;f[a>>2]=h;f[g>>2]=c;f[d>>2]=j;if(!e)return;fuc(e);return}function MJ(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;d=a+8|0;e=f[d>>2]|0;g=a+4|0;h=f[g>>2]|0;if(e-h>>1>>>0>=c>>>0){i=c;j=h;do{b[j>>0]=0;b[j+1>>0]=0;j=(f[g>>2]|0)+2|0;f[g>>2]=j;i=i+-1|0}while((i|0)!=0);return}i=f[a>>2]|0;j=h-i>>1;h=j+c|0;if((h|0)<0)nsc(a);k=e-i|0;i=k>>1>>>0<1073741823?(k>>>0<h>>>0?h:k):2147483647;do if(i)if((i|0)<0){k=ze(8)|0;kuc(k,519086);f[k>>2]=167148;Hf(k|0,26888,1888)}else{l=cuc(i<<1)|0;break}else l=0;while(0);k=l+(j<<1)|0;j=k;h=l+(i<<1)|0;i=c;c=k;l=j;do{b[c>>0]=0;b[c+1>>0]=0;c=l+2|0;l=c;i=i+-1|0}while((i|0)!=0);i=h;h=f[a>>2]|0;c=f[g>>2]|0;if((c|0)==(h|0)){m=j;n=h}else{e=c;c=j;j=k;do{k=e;e=e+-2|0;b[j+-2>>0]=b[e>>0]|0;b[j+-1>>0]=b[k+-1>>0]|0;j=c+-2|0;c=j}while((e|0)!=(h|0));m=c;n=f[a>>2]|0}f[a>>2]=m;f[g>>2]=l;f[d>>2]=i;if(!n)return;fuc(n);return}function NJ(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;d=a+8|0;e=f[d>>2]|0;g=a+4|0;h=f[g>>2]|0;if(((e-h|0)/3|0)>>>0>=c>>>0){i=c;j=h;do{b[j>>0]=0;b[j+1>>0]=0;b[j+2>>0]=0;j=(f[g>>2]|0)+3|0;f[g>>2]=j;i=i+-1|0}while((i|0)!=0);return}i=f[a>>2]|0;j=(h-i|0)/3|0;h=j+c|0;if(h>>>0>1431655765)nsc(a);k=(e-i|0)/3|0;i=k<<1;e=k>>>0<715827882?(i>>>0<h>>>0?h:i):1431655765;do if(e)if(e>>>0>1431655765){i=ze(8)|0;kuc(i,519086);f[i>>2]=167148;Hf(i|0,26888,1888)}else{l=cuc(e*3|0)|0;break}else l=0;while(0);i=l+(j*3|0)|0;j=i;h=l+(e*3|0)|0;e=c;c=j;l=i;do{b[l>>0]=0;b[l+1>>0]=0;b[l+2>>0]=0;l=c+3|0;c=l;e=e+-1|0}while((e|0)!=0);e=h;h=f[a>>2]|0;l=f[g>>2]|0;if((l|0)==(h|0)){m=j;n=h}else{k=l;l=j;j=i;do{i=k;k=k+-3|0;b[j+-3>>0]=b[k>>0]|0;b[j+-2>>0]=b[i+-2>>0]|0;b[j+-1>>0]=b[i+-1>>0]|0;j=l+-3|0;l=j}while((k|0)!=(h|0));m=l;n=f[a>>2]|0}f[a>>2]=m;f[g>>2]=c;f[d>>2]=e;if(!n)return;fuc(n);return}function OJ(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(d-g>>2>>>0>=b>>>0){kzc(g|0,0,b<<2|0)|0;f[e>>2]=g+(b<<2);return}h=f[a>>2]|0;i=g-h|0;g=i>>2;j=g+b|0;if(j>>>0>1073741823)nsc(a);k=d-h|0;d=k>>1;l=k>>2>>>0<536870911?(d>>>0<j>>>0?j:d):1073741823;do if(l)if(l>>>0>1073741823){d=ze(8)|0;kuc(d,519086);f[d>>2]=167148;Hf(d|0,26888,1888)}else{m=cuc(l<<2)|0;break}else m=0;while(0);d=m+(g<<2)|0;kzc(d|0,0,b<<2|0)|0;j=d+(0-g<<2)|0;if((i|0)>0)szc(j|0,h|0,i|0)|0;f[a>>2]=j;f[e>>2]=d+(b<<2);f[c>>2]=m+(l<<2);if(!h)return;fuc(h);return}function PJ(a,b){a=a|0;b=b|0;var c=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;c=a+8|0;e=f[c>>2]|0;g=a+4|0;h=f[g>>2]|0;if(((e-h|0)/6|0)>>>0>=b>>>0){i=b;j=h;do{d[j>>1]=0;d[j+2>>1]=0;d[j+4>>1]=0;j=(f[g>>2]|0)+6|0;f[g>>2]=j;i=i+-1|0}while((i|0)!=0);return}i=f[a>>2]|0;j=(h-i|0)/6|0;h=j+b|0;if(h>>>0>715827882)nsc(a);k=(e-i|0)/6|0;i=k<<1;e=k>>>0<357913941?(i>>>0<h>>>0?h:i):715827882;do if(e)if(e>>>0>715827882){i=ze(8)|0;kuc(i,519086);f[i>>2]=167148;Hf(i|0,26888,1888)}else{l=cuc(e*6|0)|0;break}else l=0;while(0);i=l+(j*6|0)|0;j=i;h=l+(e*6|0)|0;e=b;b=i;l=j;do{d[b>>1]=0;d[b+2>>1]=0;d[b+4>>1]=0;b=l+6|0;l=b;e=e+-1|0}while((e|0)!=0);e=h;h=f[a>>2]|0;b=f[g>>2]|0;if((b|0)==(h|0)){m=j;n=h}else{j=b;b=i;do{i=j;j=j+-6|0;d[b+-6>>1]=d[j>>1]|0;d[b+-4>>1]=d[i+-4>>1]|0;d[b+-2>>1]=d[i+-2>>1]|0;b=b+-6|0}while((j|0)!=(h|0));m=b;n=f[a>>2]|0}f[a>>2]=m;f[g>>2]=l;f[c>>2]=e;if(!n)return;fuc(n);return}function QJ(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(d-g>>3>>>0>=b>>>0){h=b;i=g;do{j=i;f[j>>2]=0;f[j+4>>2]=0;i=(f[e>>2]|0)+8|0;f[e>>2]=i;h=h+-1|0}while((h|0)!=0);return}h=f[a>>2]|0;i=g-h>>3;g=i+b|0;if(g>>>0>536870911)nsc(a);j=d-h|0;h=j>>2;d=j>>3>>>0<268435455?(h>>>0<g>>>0?g:h):536870911;do if(d)if(d>>>0>536870911){h=ze(8)|0;kuc(h,519086);f[h>>2]=167148;Hf(h|0,26888,1888)}else{k=cuc(d<<3)|0;break}else k=0;while(0);h=k+(i<<3)|0;i=h;g=k+(d<<3)|0;d=b;b=h;k=i;do{j=b;f[j>>2]=0;f[j+4>>2]=0;b=k+8|0;k=b;d=d+-1|0}while((d|0)!=0);d=g;g=f[a>>2]|0;b=f[e>>2]|0;j=g;if((b|0)==(g|0)){l=i;m=j}else{i=b+-8-j|0;j=b;b=h;while(1){n=j;j=j+-8|0;f[b+-8>>2]=f[j>>2];f[b+-4>>2]=f[n+-4>>2];if((j|0)==(g|0))break;else b=b+-8|0}l=h+(~(i>>>3)<<3)|0;m=f[a>>2]|0}f[a>>2]=l;f[e>>2]=k;f[c>>2]=d;if(!m)return;fuc(m);return}function RJ(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(((d-g|0)/12|0)>>>0>=b>>>0){h=b;i=g;do{f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;i=(f[e>>2]|0)+12|0;f[e>>2]=i;h=h+-1|0}while((h|0)!=0);return}h=f[a>>2]|0;i=(g-h|0)/12|0;g=i+b|0;if(g>>>0>357913941)nsc(a);j=(d-h|0)/12|0;h=j<<1;d=j>>>0<178956970?(h>>>0<g>>>0?g:h):357913941;do if(d)if(d>>>0>357913941){h=ze(8)|0;kuc(h,519086);f[h>>2]=167148;Hf(h|0,26888,1888)}else{k=cuc(d*12|0)|0;break}else k=0;while(0);h=k+(i*12|0)|0;i=h;g=k+(d*12|0)|0;d=b;b=h;k=i;do{f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;b=k+12|0;k=b;d=d+-1|0}while((d|0)!=0);d=g;g=f[a>>2]|0;b=f[e>>2]|0;if((b|0)==(g|0)){l=i;m=g}else{i=b;b=h;do{h=i;i=i+-12|0;f[b+-12>>2]=f[i>>2];f[b+-8>>2]=f[h+-8>>2];f[b+-4>>2]=f[h+-4>>2];b=b+-12|0}while((i|0)!=(g|0));l=b;m=f[a>>2]|0}f[a>>2]=l;f[e>>2]=k;f[c>>2]=d;if(!m)return;fuc(m);return}function SJ(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(d-g>>4>>>0>=b>>>0){h=b;i=g;do{f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;i=(f[e>>2]|0)+16|0;f[e>>2]=i;h=h+-1|0}while((h|0)!=0);return}h=f[a>>2]|0;i=g-h>>4;g=i+b|0;if(g>>>0>268435455)nsc(a);j=d-h|0;h=j>>3;d=j>>4>>>0<134217727?(h>>>0<g>>>0?g:h):268435455;do if(d)if(d>>>0>268435455){h=ze(8)|0;kuc(h,519086);f[h>>2]=167148;Hf(h|0,26888,1888)}else{k=cuc(d<<4)|0;break}else k=0;while(0);h=k+(i<<4)|0;i=h;g=k+(d<<4)|0;d=b;b=h;k=i;do{f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;b=k+16|0;k=b;d=d+-1|0}while((d|0)!=0);d=g;g=f[a>>2]|0;b=f[e>>2]|0;j=g;if((b|0)==(g|0)){l=i;m=j}else{i=b+-16-j|0;j=b;b=h;while(1){n=j;j=j+-16|0;f[b+-16>>2]=f[j>>2];f[b+-12>>2]=f[n+-12>>2];f[b+-8>>2]=f[n+-8>>2];f[b+-4>>2]=f[n+-4>>2];if((j|0)==(g|0))break;else b=b+-16|0}l=h+(~(i>>>4)<<4)|0;m=f[a>>2]|0}f[a>>2]=l;f[e>>2]=k;f[c>>2]=d;if(!m)return;fuc(m);return}function TJ(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(((d-g|0)/20|0)>>>0>=b>>>0){h=b;i=g;do{f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;f[i+16>>2]=0;i=(f[e>>2]|0)+20|0;f[e>>2]=i;h=h+-1|0}while((h|0)!=0);return}h=f[a>>2]|0;i=(g-h|0)/20|0;g=i+b|0;if(g>>>0>214748364)nsc(a);j=(d-h|0)/20|0;h=j<<1;d=j>>>0<107374182?(h>>>0<g>>>0?g:h):214748364;do if(d)if(d>>>0>214748364){h=ze(8)|0;kuc(h,519086);f[h>>2]=167148;Hf(h|0,26888,1888)}else{k=cuc(d*20|0)|0;break}else k=0;while(0);h=k+(i*20|0)|0;i=h;g=k+(d*20|0)|0;d=b;b=h;k=i;do{f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;f[b+16>>2]=0;b=k+20|0;k=b;d=d+-1|0}while((d|0)!=0);d=g;g=f[a>>2]|0;b=f[e>>2]|0;if((b|0)==(g|0)){l=i;m=g}else{i=b;b=h;do{h=i;i=i+-20|0;f[b+-20>>2]=f[i>>2];f[b+-16>>2]=f[h+-16>>2];f[b+-12>>2]=f[h+-12>>2];f[b+-8>>2]=f[h+-8>>2];f[b+-4>>2]=f[h+-4>>2];b=b+-20|0}while((i|0)!=(g|0));l=b;m=f[a>>2]|0}f[a>>2]=l;f[e>>2]=k;f[c>>2]=d;if(!m)return;fuc(m);return}function UJ(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(((d-g|0)/24|0)>>>0>=b>>>0){h=b;i=g;do{f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;f[i+16>>2]=0;f[i+20>>2]=0;i=(f[e>>2]|0)+24|0;f[e>>2]=i;h=h+-1|0}while((h|0)!=0);return}h=f[a>>2]|0;i=(g-h|0)/24|0;g=i+b|0;if(g>>>0>178956970)nsc(a);j=(d-h|0)/24|0;h=j<<1;d=j>>>0<89478485?(h>>>0<g>>>0?g:h):178956970;do if(d)if(d>>>0>178956970){h=ze(8)|0;kuc(h,519086);f[h>>2]=167148;Hf(h|0,26888,1888)}else{k=cuc(d*24|0)|0;break}else k=0;while(0);h=k+(i*24|0)|0;i=h;g=k+(d*24|0)|0;d=b;b=h;k=i;do{f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;f[b+16>>2]=0;f[b+20>>2]=0;b=k+24|0;k=b;d=d+-1|0}while((d|0)!=0);d=g;g=f[a>>2]|0;b=f[e>>2]|0;if((b|0)==(g|0)){l=i;m=g}else{i=b;b=h;do{h=i;i=i+-24|0;f[b+-24>>2]=f[i>>2];f[b+-20>>2]=f[h+-20>>2];f[b+-16>>2]=f[h+-16>>2];f[b+-12>>2]=f[h+-12>>2];f[b+-8>>2]=f[h+-8>>2];f[b+-4>>2]=f[h+-4>>2];b=b+-24|0}while((i|0)!=(g|0));l=b;m=f[a>>2]|0}f[a>>2]=l;f[e>>2]=k;f[c>>2]=d;if(!m)return;fuc(m);return}function VJ(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(((d-g|0)/28|0)>>>0>=b>>>0){h=b;i=g;do{f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;f[i+16>>2]=0;f[i+20>>2]=0;f[i+24>>2]=0;i=(f[e>>2]|0)+28|0;f[e>>2]=i;h=h+-1|0}while((h|0)!=0);return}h=f[a>>2]|0;i=(g-h|0)/28|0;g=i+b|0;if(g>>>0>153391689)nsc(a);j=(d-h|0)/28|0;h=j<<1;d=j>>>0<76695844?(h>>>0<g>>>0?g:h):153391689;do if(d)if(d>>>0>153391689){h=ze(8)|0;kuc(h,519086);f[h>>2]=167148;Hf(h|0,26888,1888)}else{k=cuc(d*28|0)|0;break}else k=0;while(0);h=k+(i*28|0)|0;i=h;g=k+(d*28|0)|0;d=b;b=h;k=i;do{f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;f[b+16>>2]=0;f[b+20>>2]=0;f[b+24>>2]=0;b=k+28|0;k=b;d=d+-1|0}while((d|0)!=0);d=g;g=f[a>>2]|0;b=f[e>>2]|0;if((b|0)==(g|0)){l=i;m=g}else{i=b;b=h;do{h=i;i=i+-28|0;f[b+-28>>2]=f[i>>2];f[b+-24>>2]=f[h+-24>>2];f[b+-20>>2]=f[h+-20>>2];f[b+-16>>2]=f[h+-16>>2];f[b+-12>>2]=f[h+-12>>2];f[b+-8>>2]=f[h+-8>>2];f[b+-4>>2]=f[h+-4>>2];b=b+-28|0}while((i|0)!=(g|0));l=b;m=f[a>>2]|0}f[a>>2]=l;f[e>>2]=k;f[c>>2]=d;if(!m)return;fuc(m);return}function WJ(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(d-g>>5>>>0>=b>>>0){h=b;i=g;do{f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;f[i+16>>2]=0;f[i+20>>2]=0;f[i+24>>2]=0;f[i+28>>2]=0;i=(f[e>>2]|0)+32|0;f[e>>2]=i;h=h+-1|0}while((h|0)!=0);return}h=f[a>>2]|0;i=g-h>>5;g=i+b|0;if(g>>>0>134217727)nsc(a);j=d-h|0;h=j>>4;d=j>>5>>>0<67108863?(h>>>0<g>>>0?g:h):134217727;do if(d)if(d>>>0>134217727){h=ze(8)|0;kuc(h,519086);f[h>>2]=167148;Hf(h|0,26888,1888)}else{k=cuc(d<<5)|0;break}else k=0;while(0);h=k+(i<<5)|0;i=h;g=k+(d<<5)|0;d=b;b=h;k=i;do{f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;f[b+16>>2]=0;f[b+20>>2]=0;f[b+24>>2]=0;f[b+28>>2]=0;b=k+32|0;k=b;d=d+-1|0}while((d|0)!=0);d=g;g=f[a>>2]|0;b=f[e>>2]|0;j=g;if((b|0)==(g|0)){l=i;m=j}else{i=b+-32-j|0;j=b;b=h;while(1){n=j;j=j+-32|0;f[b+-32>>2]=f[j>>2];f[b+-28>>2]=f[n+-28>>2];f[b+-24>>2]=f[n+-24>>2];f[b+-20>>2]=f[n+-20>>2];f[b+-16>>2]=f[n+-16>>2];f[b+-12>>2]=f[n+-12>>2];f[b+-8>>2]=f[n+-8>>2];f[b+-4>>2]=f[n+-4>>2];if((j|0)==(g|0))break;else b=b+-32|0}l=h+(~(i>>>5)<<5)|0;m=f[a>>2]|0}f[a>>2]=l;f[e>>2]=k;f[c>>2]=d;if(!m)return;fuc(m);return}function XJ(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(((d-g|0)/36|0)>>>0>=b>>>0){h=b;i=g;do{j=i;k=j+36|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));i=(f[e>>2]|0)+36|0;f[e>>2]=i;h=h+-1|0}while((h|0)!=0);return}h=f[a>>2]|0;i=(g-h|0)/36|0;g=i+b|0;if(g>>>0>119304647)nsc(a);l=(d-h|0)/36|0;h=l<<1;d=l>>>0<59652323?(h>>>0<g>>>0?g:h):119304647;do if(d)if(d>>>0>119304647){h=ze(8)|0;kuc(h,519086);f[h>>2]=167148;Hf(h|0,26888,1888)}else{m=cuc(d*36|0)|0;break}else m=0;while(0);h=m+(i*36|0)|0;i=h;g=m+(d*36|0)|0;d=b;b=h;m=i;do{j=b;k=j+36|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));b=m+36|0;m=b;d=d+-1|0}while((d|0)!=0);d=g;g=f[a>>2]|0;b=f[e>>2]|0;if((b|0)==(g|0)){n=i;o=g}else{i=b;b=h;do{h=i;i=i+-36|0;f[b+-36>>2]=f[i>>2];f[b+-32>>2]=f[h+-32>>2];f[b+-28>>2]=f[h+-28>>2];f[b+-24>>2]=f[h+-24>>2];f[b+-20>>2]=f[h+-20>>2];f[b+-16>>2]=f[h+-16>>2];f[b+-12>>2]=f[h+-12>>2];f[b+-8>>2]=f[h+-8>>2];f[b+-4>>2]=f[h+-4>>2];b=b+-36|0}while((i|0)!=(g|0));n=b;o=f[a>>2]|0}f[a>>2]=n;f[e>>2]=m;f[c>>2]=d;if(!o)return;fuc(o);return}function YJ(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(((d-g|0)/40|0)>>>0>=b>>>0){h=b;i=g;do{j=i;k=j+40|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));i=(f[e>>2]|0)+40|0;f[e>>2]=i;h=h+-1|0}while((h|0)!=0);return}h=f[a>>2]|0;i=(g-h|0)/40|0;g=i+b|0;if(g>>>0>107374182)nsc(a);l=(d-h|0)/40|0;h=l<<1;d=l>>>0<53687091?(h>>>0<g>>>0?g:h):107374182;do if(d)if(d>>>0>107374182){h=ze(8)|0;kuc(h,519086);f[h>>2]=167148;Hf(h|0,26888,1888)}else{m=cuc(d*40|0)|0;break}else m=0;while(0);h=m+(i*40|0)|0;i=h;g=m+(d*40|0)|0;d=b;b=h;m=i;do{j=b;k=j+40|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));b=m+40|0;m=b;d=d+-1|0}while((d|0)!=0);d=g;g=f[a>>2]|0;b=f[e>>2]|0;if((b|0)==(g|0)){n=i;o=g}else{i=b;b=h;do{h=i;i=i+-40|0;f[b+-40>>2]=f[i>>2];f[b+-36>>2]=f[h+-36>>2];f[b+-32>>2]=f[h+-32>>2];f[b+-28>>2]=f[h+-28>>2];f[b+-24>>2]=f[h+-24>>2];f[b+-20>>2]=f[h+-20>>2];f[b+-16>>2]=f[h+-16>>2];f[b+-12>>2]=f[h+-12>>2];f[b+-8>>2]=f[h+-8>>2];f[b+-4>>2]=f[h+-4>>2];b=b+-40|0}while((i|0)!=(g|0));n=b;o=f[a>>2]|0}f[a>>2]=n;f[e>>2]=m;f[c>>2]=d;if(!o)return;fuc(o);return}function ZJ(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(((d-g|0)/44|0)>>>0>=b>>>0){h=b;i=g;do{j=i;k=j+44|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));i=(f[e>>2]|0)+44|0;f[e>>2]=i;h=h+-1|0}while((h|0)!=0);return}h=f[a>>2]|0;i=(g-h|0)/44|0;g=i+b|0;if(g>>>0>97612893)nsc(a);l=(d-h|0)/44|0;h=l<<1;d=l>>>0<48806446?(h>>>0<g>>>0?g:h):97612893;do if(d)if(d>>>0>97612893){h=ze(8)|0;kuc(h,519086);f[h>>2]=167148;Hf(h|0,26888,1888)}else{m=cuc(d*44|0)|0;break}else m=0;while(0);h=m+(i*44|0)|0;i=h;g=m+(d*44|0)|0;d=b;b=h;m=i;do{j=b;k=j+44|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));b=m+44|0;m=b;d=d+-1|0}while((d|0)!=0);d=g;g=f[a>>2]|0;b=f[e>>2]|0;if((b|0)==(g|0)){n=i;o=g}else{i=b;b=h;do{h=i;i=i+-44|0;f[b+-44>>2]=f[i>>2];f[b+-40>>2]=f[h+-40>>2];f[b+-36>>2]=f[h+-36>>2];f[b+-32>>2]=f[h+-32>>2];f[b+-28>>2]=f[h+-28>>2];f[b+-24>>2]=f[h+-24>>2];f[b+-20>>2]=f[h+-20>>2];f[b+-16>>2]=f[h+-16>>2];f[b+-12>>2]=f[h+-12>>2];f[b+-8>>2]=f[h+-8>>2];f[b+-4>>2]=f[h+-4>>2];b=b+-44|0}while((i|0)!=(g|0));n=b;o=f[a>>2]|0}f[a>>2]=n;f[e>>2]=m;f[c>>2]=d;if(!o)return;fuc(o);return}function _J(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(((d-g|0)/48|0)>>>0>=b>>>0){h=b;i=g;do{j=i;k=j+48|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));i=(f[e>>2]|0)+48|0;f[e>>2]=i;h=h+-1|0}while((h|0)!=0);return}h=f[a>>2]|0;i=(g-h|0)/48|0;g=i+b|0;if(g>>>0>89478485)nsc(a);l=(d-h|0)/48|0;h=l<<1;d=l>>>0<44739242?(h>>>0<g>>>0?g:h):89478485;do if(d)if(d>>>0>89478485){h=ze(8)|0;kuc(h,519086);f[h>>2]=167148;Hf(h|0,26888,1888)}else{m=cuc(d*48|0)|0;break}else m=0;while(0);h=m+(i*48|0)|0;i=h;g=m+(d*48|0)|0;d=b;b=h;m=i;do{j=b;k=j+48|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));b=m+48|0;m=b;d=d+-1|0}while((d|0)!=0);d=g;g=f[a>>2]|0;b=f[e>>2]|0;if((b|0)==(g|0)){n=i;o=g}else{i=b;b=h;do{h=i;i=i+-48|0;f[b+-48>>2]=f[i>>2];f[b+-44>>2]=f[h+-44>>2];f[b+-40>>2]=f[h+-40>>2];f[b+-36>>2]=f[h+-36>>2];f[b+-32>>2]=f[h+-32>>2];f[b+-28>>2]=f[h+-28>>2];f[b+-24>>2]=f[h+-24>>2];f[b+-20>>2]=f[h+-20>>2];f[b+-16>>2]=f[h+-16>>2];f[b+-12>>2]=f[h+-12>>2];f[b+-8>>2]=f[h+-8>>2];f[b+-4>>2]=f[h+-4>>2];b=b+-48|0}while((i|0)!=(g|0));n=b;o=f[a>>2]|0}f[a>>2]=n;f[e>>2]=m;f[c>>2]=d;if(!o)return;fuc(o);return}function $J(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(((d-g|0)/52|0)>>>0>=b>>>0){h=b;i=g;do{j=i;k=j+52|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));i=(f[e>>2]|0)+52|0;f[e>>2]=i;h=h+-1|0}while((h|0)!=0);return}h=f[a>>2]|0;i=(g-h|0)/52|0;g=i+b|0;if(g>>>0>82595524)nsc(a);l=(d-h|0)/52|0;h=l<<1;d=l>>>0<41297762?(h>>>0<g>>>0?g:h):82595524;do if(d)if(d>>>0>82595524){h=ze(8)|0;kuc(h,519086);f[h>>2]=167148;Hf(h|0,26888,1888)}else{m=cuc(d*52|0)|0;break}else m=0;while(0);h=m+(i*52|0)|0;i=h;g=m+(d*52|0)|0;d=b;b=h;m=i;do{j=b;k=j+52|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));b=m+52|0;m=b;d=d+-1|0}while((d|0)!=0);d=g;g=f[a>>2]|0;b=f[e>>2]|0;if((b|0)==(g|0)){n=i;o=g}else{i=b;b=h;do{h=i;i=i+-52|0;f[b+-52>>2]=f[i>>2];f[b+-48>>2]=f[h+-48>>2];f[b+-44>>2]=f[h+-44>>2];f[b+-40>>2]=f[h+-40>>2];f[b+-36>>2]=f[h+-36>>2];f[b+-32>>2]=f[h+-32>>2];f[b+-28>>2]=f[h+-28>>2];f[b+-24>>2]=f[h+-24>>2];f[b+-20>>2]=f[h+-20>>2];f[b+-16>>2]=f[h+-16>>2];f[b+-12>>2]=f[h+-12>>2];f[b+-8>>2]=f[h+-8>>2];f[b+-4>>2]=f[h+-4>>2];b=b+-52|0}while((i|0)!=(g|0));n=b;o=f[a>>2]|0}f[a>>2]=n;f[e>>2]=m;f[c>>2]=d;if(!o)return;fuc(o);return}function aK(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(((d-g|0)/56|0)>>>0>=b>>>0){h=b;i=g;do{j=i;k=j+56|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));i=(f[e>>2]|0)+56|0;f[e>>2]=i;h=h+-1|0}while((h|0)!=0);return}h=f[a>>2]|0;i=(g-h|0)/56|0;g=i+b|0;if(g>>>0>76695844)nsc(a);l=(d-h|0)/56|0;h=l<<1;d=l>>>0<38347922?(h>>>0<g>>>0?g:h):76695844;do if(d)if(d>>>0>76695844){h=ze(8)|0;kuc(h,519086);f[h>>2]=167148;Hf(h|0,26888,1888)}else{m=cuc(d*56|0)|0;break}else m=0;while(0);h=m+(i*56|0)|0;i=h;g=m+(d*56|0)|0;d=b;b=h;m=i;do{j=b;k=j+56|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));b=m+56|0;m=b;d=d+-1|0}while((d|0)!=0);d=g;g=f[a>>2]|0;b=f[e>>2]|0;if((b|0)==(g|0)){n=i;o=g}else{i=b;b=h;do{h=i;i=i+-56|0;f[b+-56>>2]=f[i>>2];f[b+-52>>2]=f[h+-52>>2];f[b+-48>>2]=f[h+-48>>2];f[b+-44>>2]=f[h+-44>>2];f[b+-40>>2]=f[h+-40>>2];f[b+-36>>2]=f[h+-36>>2];f[b+-32>>2]=f[h+-32>>2];f[b+-28>>2]=f[h+-28>>2];f[b+-24>>2]=f[h+-24>>2];f[b+-20>>2]=f[h+-20>>2];f[b+-16>>2]=f[h+-16>>2];f[b+-12>>2]=f[h+-12>>2];f[b+-8>>2]=f[h+-8>>2];f[b+-4>>2]=f[h+-4>>2];b=b+-56|0}while((i|0)!=(g|0));n=b;o=f[a>>2]|0}f[a>>2]=n;f[e>>2]=m;f[c>>2]=d;if(!o)return;fuc(o);return}function bK(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(((d-g|0)/60|0)>>>0>=b>>>0){h=b;i=g;do{j=i;k=j+60|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));i=(f[e>>2]|0)+60|0;f[e>>2]=i;h=h+-1|0}while((h|0)!=0);return}h=f[a>>2]|0;i=(g-h|0)/60|0;g=i+b|0;if(g>>>0>71582788)nsc(a);l=(d-h|0)/60|0;h=l<<1;d=l>>>0<35791394?(h>>>0<g>>>0?g:h):71582788;do if(d)if(d>>>0>71582788){h=ze(8)|0;kuc(h,519086);f[h>>2]=167148;Hf(h|0,26888,1888)}else{m=cuc(d*60|0)|0;break}else m=0;while(0);h=m+(i*60|0)|0;i=h;g=m+(d*60|0)|0;d=b;b=h;m=i;do{j=b;k=j+60|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));b=m+60|0;m=b;d=d+-1|0}while((d|0)!=0);d=g;g=f[a>>2]|0;b=f[e>>2]|0;if((b|0)==(g|0)){n=i;o=g}else{i=b;b=h;do{h=i;i=i+-60|0;f[b+-60>>2]=f[i>>2];f[b+-56>>2]=f[h+-56>>2];f[b+-52>>2]=f[h+-52>>2];f[b+-48>>2]=f[h+-48>>2];f[b+-44>>2]=f[h+-44>>2];f[b+-40>>2]=f[h+-40>>2];f[b+-36>>2]=f[h+-36>>2];f[b+-32>>2]=f[h+-32>>2];f[b+-28>>2]=f[h+-28>>2];f[b+-24>>2]=f[h+-24>>2];f[b+-20>>2]=f[h+-20>>2];f[b+-16>>2]=f[h+-16>>2];f[b+-12>>2]=f[h+-12>>2];f[b+-8>>2]=f[h+-8>>2];f[b+-4>>2]=f[h+-4>>2];b=b+-60|0}while((i|0)!=(g|0));n=b;o=f[a>>2]|0}f[a>>2]=n;f[e>>2]=m;f[c>>2]=d;if(!o)return;fuc(o);return}function cK(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(d-g>>6>>>0>=b>>>0){h=b;i=g;do{j=i;k=j+64|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));i=(f[e>>2]|0)+64|0;f[e>>2]=i;h=h+-1|0}while((h|0)!=0);return}h=f[a>>2]|0;i=g-h>>6;g=i+b|0;if(g>>>0>67108863)nsc(a);l=d-h|0;h=l>>5;d=l>>6>>>0<33554431?(h>>>0<g>>>0?g:h):67108863;do if(d)if(d>>>0>67108863){h=ze(8)|0;kuc(h,519086);f[h>>2]=167148;Hf(h|0,26888,1888)}else{m=cuc(d<<6)|0;break}else m=0;while(0);h=m+(i<<6)|0;i=h;g=m+(d<<6)|0;d=b;b=h;m=i;do{j=b;k=j+64|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));b=m+64|0;m=b;d=d+-1|0}while((d|0)!=0);d=g;g=f[a>>2]|0;b=f[e>>2]|0;j=g;if((b|0)==(g|0)){n=i;o=j}else{i=b+-64-j|0;j=b;b=h;while(1){k=j;j=j+-64|0;f[b+-64>>2]=f[j>>2];f[b+-60>>2]=f[k+-60>>2];f[b+-56>>2]=f[k+-56>>2];f[b+-52>>2]=f[k+-52>>2];f[b+-48>>2]=f[k+-48>>2];f[b+-44>>2]=f[k+-44>>2];f[b+-40>>2]=f[k+-40>>2];f[b+-36>>2]=f[k+-36>>2];f[b+-32>>2]=f[k+-32>>2];f[b+-28>>2]=f[k+-28>>2];f[b+-24>>2]=f[k+-24>>2];f[b+-20>>2]=f[k+-20>>2];f[b+-16>>2]=f[k+-16>>2];f[b+-12>>2]=f[k+-12>>2];f[b+-8>>2]=f[k+-8>>2];f[b+-4>>2]=f[k+-4>>2];if((j|0)==(g|0))break;else b=b+-64|0}n=h+(~(i>>>6)<<6)|0;o=f[a>>2]|0}f[a>>2]=n;f[e>>2]=m;f[c>>2]=d;if(!o)return;fuc(o);return}function dK(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(d-g>>7>>>0>=b>>>0){h=b;i=g;do{j=i;k=j+128|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));i=(f[e>>2]|0)+128|0;f[e>>2]=i;h=h+-1|0}while((h|0)!=0);return}h=f[a>>2]|0;i=g-h>>7;g=i+b|0;if(g>>>0>33554431)nsc(a);l=d-h|0;h=l>>6;d=l>>7>>>0<16777215?(h>>>0<g>>>0?g:h):33554431;do if(d)if(d>>>0>33554431){h=ze(8)|0;kuc(h,519086);f[h>>2]=167148;Hf(h|0,26888,1888)}else{m=cuc(d<<7)|0;break}else m=0;while(0);h=m+(i<<7)|0;i=h;g=m+(d<<7)|0;d=b;b=h;m=i;do{j=b;k=j+128|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));b=m+128|0;m=b;d=d+-1|0}while((d|0)!=0);d=g;g=f[a>>2]|0;b=f[e>>2]|0;j=g;if((b|0)==(g|0)){n=i;o=j}else{i=b+-128-j|0;j=b;b=h;while(1){k=0;do{f[b+-128+(k<<2)>>2]=f[j+-128+(k<<2)>>2];k=k+1|0}while((k|0)!=32);j=j+-128|0;if((j|0)==(g|0))break;else b=b+-128|0}n=h+(~(i>>>7)<<7)|0;o=f[a>>2]|0}f[a>>2]=n;f[e>>2]=m;f[c>>2]=d;if(!o)return;fuc(o);return}function eK(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(d-g>>8>>>0>=b>>>0){h=b;i=g;do{kzc(i|0,0,256)|0;i=(f[e>>2]|0)+256|0;f[e>>2]=i;h=h+-1|0}while((h|0)!=0);return}h=f[a>>2]|0;i=g-h>>8;g=i+b|0;if(g>>>0>16777215)nsc(a);j=d-h|0;h=j>>7;d=j>>8>>>0<8388607?(h>>>0<g>>>0?g:h):16777215;do if(d)if(d>>>0>16777215){h=ze(8)|0;kuc(h,519086);f[h>>2]=167148;Hf(h|0,26888,1888)}else{k=cuc(d<<8)|0;break}else k=0;while(0);h=k+(i<<8)|0;i=h;g=k+(d<<8)|0;d=b;b=h;k=i;do{kzc(b|0,0,256)|0;b=k+256|0;k=b;d=d+-1|0}while((d|0)!=0);d=g;g=f[a>>2]|0;b=f[e>>2]|0;j=g;if((b|0)==(g|0)){l=i;m=j}else{i=b+-256-j|0;j=b;b=h;while(1){n=0;do{f[b+-256+(n<<2)>>2]=f[j+-256+(n<<2)>>2];n=n+1|0}while((n|0)!=64);j=j+-256|0;if((j|0)==(g|0))break;else b=b+-256|0}l=h+(~(i>>>8)<<8)|0;m=f[a>>2]|0}f[a>>2]=l;f[e>>2]=k;f[c>>2]=d;if(!m)return;fuc(m);return}function fK(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(d-g>>9>>>0>=b>>>0){h=b;i=g;do{kzc(i|0,0,512)|0;i=(f[e>>2]|0)+512|0;f[e>>2]=i;h=h+-1|0}while((h|0)!=0);return}h=f[a>>2]|0;i=g-h>>9;g=i+b|0;if(g>>>0>8388607)nsc(a);j=d-h|0;h=j>>8;d=j>>9>>>0<4194303?(h>>>0<g>>>0?g:h):8388607;do if(d)if(d>>>0>8388607){h=ze(8)|0;kuc(h,519086);f[h>>2]=167148;Hf(h|0,26888,1888)}else{k=cuc(d<<9)|0;break}else k=0;while(0);h=k+(i<<9)|0;i=h;g=k+(d<<9)|0;d=b;b=h;k=i;do{kzc(b|0,0,512)|0;b=k+512|0;k=b;d=d+-1|0}while((d|0)!=0);d=g;g=f[a>>2]|0;b=f[e>>2]|0;j=g;if((b|0)==(g|0)){l=i;m=j}else{i=b+-512-j|0;j=b;b=h;while(1){n=0;do{f[b+-512+(n<<2)>>2]=f[j+-512+(n<<2)>>2];n=n+1|0}while((n|0)!=128);j=j+-512|0;if((j|0)==(g|0))break;else b=b+-512|0}l=h+(~(i>>>9)<<9)|0;m=f[a>>2]|0}f[a>>2]=l;f[e>>2]=k;f[c>>2]=d;if(!m)return;fuc(m);return}function gK(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;d=u;u=u+16|0;e=d;g=f[a>>2]&2031616;if((c|0)<0){if((g|0)!=65536){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[e+11>>0]=8;h=e;f[h>>2]=1027416171;f[h+4>>2]=1413565728;b[e+8>>0]=0;WD(-215,e,208485,206642,1761)}i=f[a+4>>2]|0;u=d;return i|0}h=g&2097151;a:do if((h|0)<983040){switch(h|0){case 327680:{break a;break}default:{}}j=cuc(48)|0;f[e>>2]=j;k=e+8|0;f[k>>2]=-2147483600;l=e+4|0;f[l>>2]=41;m=j;n=208495;o=m+41|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));p=j+41|0;b[p>>0]=0;WD(-215,e,208485,206642,1765)}else{switch(h|0){case 983040:{break a;break}default:{}}j=cuc(48)|0;f[e>>2]=j;k=e+8|0;f[k>>2]=-2147483600;l=e+4|0;f[l>>2]=41;m=j;n=208495;o=m+41|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));p=j+41|0;b[p>>0]=0;WD(-215,e,208485,206642,1765)}while(0);p=f[a+4>>2]|0;if((g|0)==327680){g=f[p>>2]|0;if((((f[p+4>>2]|0)-g|0)/56|0|0)<=(c|0)){j=cuc(32)|0;f[e>>2]=j;f[e+8>>2]=-2147483616;f[e+4>>2]=17;m=j;n=208455;o=m+17|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));b[j+17>>0]=0;WD(-215,e,208485,206642,1770)}i=g+(c*56|0)|0;u=d;return i|0}else{if((f[a+12>>2]|0)<=(c|0)){a=cuc(32)|0;f[e>>2]=a;f[e+8>>2]=-2147483616;f[e+4>>2]=23;m=a;n=206772;o=m+23|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));b[a+23>>0]=0;WD(-215,e,208485,206642,1776)}i=p+(c*56|0)|0;u=d;return i|0}return 0}function hK(a){a=a|0;return (f[a>>2]&1073741824|0)!=0|0}function iK(a){a=a|0;return (f[a>>2]|0)<0|0}function jK(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;j=u;u=u+16|0;k=j;l=f[a>>2]|0;m=l&2031616;n=(g|0)<0;do if(n&(m|0)==65536){if((i|0)==0&(h^1)){if(l&1073741824|0?(o=f[(f[a+4>>2]|0)+40>>2]|0,!((f[o>>2]|0)==(c|0)?(f[o+4>>2]|0)==(d|0):0)):0){o=cuc(80)|0;f[k>>2]=o;f[k+8>>2]=-2147483568;f[k+4>>2]=68;p=o;q=208537;r=p+68|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(r|0));b[o+68>>0]=0;WD(-215,k,458319,206642,1236)}s=f[a+4>>2]|0;if((l|0)<0?(f[s>>2]&4095|0)!=(e|0):0){t=cuc(48)|0;f[k>>2]=t;f[k+8>>2]=-2147483600;f[k+4>>2]=44;p=t;q=207211;r=p+44|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(r|0));b[t+44>>0]=0;WD(-215,k,458319,206642,1237)}o=e&4095;if(((((f[s+4>>2]|0)<3?(f[s+8>>2]|0)==(c|0):0)?(f[s+12>>2]|0)==(d|0):0)?(f[s>>2]&4095|0)==(o|0):0)?f[s+16>>2]|0:0){u=j;return}f[k>>2]=c;f[k+4>>2]=d;ZT(s,2,k,o);u=j;return}}else{if(n&(m|0)==655360){if(!((i|0)==0&(h^1)))break;if(l&1073741824|0?(o=f[(f[a+4>>2]|0)+32>>2]|0,!((f[o>>2]|0)==(c|0)?(f[o+4>>2]|0)==(d|0):0)):0){o=cuc(80)|0;f[k>>2]=o;f[k+8>>2]=-2147483568;f[k+4>>2]=69;p=o;q=208606;r=p+69|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(r|0));b[o+69>>0]=0;WD(-215,k,458319,206642,1243)}s=f[a+4>>2]|0;if((l|0)<0?(f[s>>2]&4095|0)!=(e|0):0){t=cuc(48)|0;f[k>>2]=t;f[k+8>>2]=-2147483600;f[k+4>>2]=45;p=t;q=207311;r=p+45|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(r|0));b[t+45>>0]=0;WD(-215,k,458319,206642,1244)}o=e&4095;if(((((f[s+4>>2]|0)<3?(f[s+8>>2]|0)==(c|0):0)?(f[s+12>>2]|0)==(d|0):0)?(f[s>>2]&4095|0)==(o|0):0)?f[s+24>>2]|0:0){u=j;return}f[k>>2]=c;f[k+4>>2]=d;SH(s,2,k,o,0);u=j;return}if(n&(m|0)==589824){if(!((i|0)==0&(h^1)))break;if(l&1073741824|0?(o=f[a+4>>2]|0,!((f[o+8>>2]|0)==(d|0)?(f[o+4>>2]|0)==(c|0):0)):0){o=cuc(80)|0;f[k>>2]=o;f[k+8>>2]=-2147483568;f[k+4>>2]=66;p=o;q=208676;r=p+66|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(r|0));b[o+66>>0]=0;WD(-215,k,458319,206642,1250)}s=f[a+4>>2]|0;if((l|0)>=0)oZ(s,c,d,e);if((f[s>>2]&4095|0)==(e|0))oZ(s,c,d,e);else{s=cuc(64)|0;f[k>>2]=s;f[k+8>>2]=-2147483584;f[k+4>>2]=53;p=s;q=207409;r=p+53|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(r|0));b[s+53>>0]=0;WD(-215,k,458319,206642,1251)}}if(n&(m|0)==458752){if(!((i|0)==0&(h^1)))break;if(l&1073741824|0?(o=f[a+4>>2]|0,!((f[o+12>>2]|0)==(d|0)?(f[o+8>>2]|0)==(c|0):0)):0){o=cuc(80)|0;f[k>>2]=o;f[k+8>>2]=-2147483568;f[k+4>>2]=65;p=o;q=208743;r=p+65|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(r|0));b[o+65>>0]=0;WD(-215,k,458319,206642,1257)}s=f[a+4>>2]|0;if((l|0)<0?(f[s+16>>2]|0)!=(e|0):0){t=cuc(64)|0;f[k>>2]=t;f[k+8>>2]=-2147483584;f[k+4>>2]=52;p=t;q=207514;r=p+52|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(r|0));b[t+52>>0]=0;WD(-215,k,458319,206642,1258)}ZO(s,c,d,e,34962,0);u=j;return}if(n&(m|0)==524288?(i|0)==0&(h^1):0){if(l&1073741824|0?(o=f[a+4>>2]|0,!((f[o+8>>2]|0)==(d|0)?(f[o+4>>2]|0)==(c|0):0)):0){o=cuc(80)|0;f[k>>2]=o;f[k+8>>2]=-2147483568;f[k+4>>2]=67;p=o;q=208809;r=p+67|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(r|0));b[o+67>>0]=0;WD(-215,k,458319,206642,1264)}s=f[a+4>>2]|0;if((l|0)>=0)tV(s,c,d,e);if((f[s>>2]&4095|0)==(e|0))tV(s,c,d,e);else{s=cuc(64)|0;f[k>>2]=s;f[k+8>>2]=-2147483584;f[k+4>>2]=54;p=s;q=207620;r=p+54|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(r|0));b[s+54>>0]=0;WD(-215,k,458319,206642,1265)}}}while(0);f[k>>2]=c;f[k+4>>2]=d;JJ(a,2,k,e,g,h,i);u=j;return}function kK(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;d=u;u=u+144|0;e=d+128|0;g=d;h=f[b>>2]&2031616;a:do if((h|0)>=65536)if((h|0)<655360){switch(h|0){case 65536:break;default:{i=8;break a}}j=f[b+4>>2]|0;k=f[j+4>>2]|0;if((k|0)<=0){l=k;break}m=f[j+40>>2]|0;j=0;do{f[g+(j<<2)>>2]=f[m+(j<<2)>>2];j=j+1|0}while((j|0)!=(k|0));l=k}else{switch(h|0){case 655360:break;default:{i=8;break a}}k=f[b+4>>2]|0;j=f[k+4>>2]|0;if((j|0)<=0){l=j;break}m=f[k+32>>2]|0;k=0;do{f[g+(k<<2)>>2]=f[m+(k<<2)>>2];k=k+1|0}while((k|0)!=(j|0));l=j}else switch(h|0){case 0:{l=0;break}default:i=8}while(0);if((i|0)==8){oJ(e,b,-1);f[g>>2]=f[e+4>>2];f[g+4>>2]=f[e>>2];l=2}JJ(a,l,g,c,-1,0,0);u=d;return}function lK(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0;c=u;u=u+16|0;d=c;e=f[a>>2]|0;if((e&2031616|0)!=65536){HJ(a);u=c;return}if(e&1073741824|0){e=cuc(16)|0;f[d>>2]=e;f[d+8>>2]=-2147483632;f[d+4>>2]=12;g=e;h=207136;i=g+12|0;do{b[g>>0]=b[h>>0]|0;g=g+1|0;h=h+1|0}while((g|0)<(i|0));b[e+12>>0]=0;WD(-215,d,208877,206642,1743)}jU(f[a+4>>2]|0,0);u=c;return}function mK(a){a=a|0;return (f[a>>2]&2031616|0)!=0|0}function nK(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0.0,w=0,x=0.0,y=0,z=0.0,A=0,B=0.0,C=0,D=0,E=0,F=0;e=u;u=u+112|0;g=e;h=e+56|0;i=f[a>>2]|0;switch(i>>>16&31){case 1:case 2:case 3:case 14:{do if((i&2031616|0)==65536){j=f[a+4>>2]|0;f[g>>2]=f[j>>2];k=g+4|0;l=j+4|0;f[k>>2]=f[l>>2];m=g+8|0;f[m>>2]=f[j+8>>2];f[g+12>>2]=f[j+12>>2];f[g+16>>2]=f[j+16>>2];f[g+20>>2]=f[j+20>>2];f[g+24>>2]=f[j+24>>2];f[g+28>>2]=f[j+28>>2];f[g+32>>2]=f[j+32>>2];n=f[j+36>>2]|0;f[g+36>>2]=n;f[g+40>>2]=m;m=g+48|0;o=g+44|0;f[o>>2]=m;f[m>>2]=0;f[g+52>>2]=0;if(n|0){m=n+12|0;f[m>>2]=(f[m>>2]|0)+1}if((f[l>>2]|0)<3){l=f[j+44>>2]|0;m=f[o>>2]|0;f[m>>2]=f[l>>2];f[m+4>>2]=f[l+4>>2];break}else{f[k>>2]=0;$T(g,j);break}}else nJ(g,a,-1);while(0);HI(g,c,d)|0;i=g+36|0;j=f[i>>2]|0;if(j|0?(k=j+12|0,j=f[k>>2]|0,f[k>>2]=j+-1,(j|0)==1):0)aU(g);f[i>>2]=0;i=g+16|0;j=g+4|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;if((f[j>>2]|0)>0){i=f[g+40>>2]|0;k=0;do{f[i+(k<<2)>>2]=0;k=k+1|0}while((k|0)<(f[j>>2]|0))}j=f[g+44>>2]|0;if((j|0)!=(g+48|0))TC(j);u=e;return}case 10:{$H(f[a+4>>2]|0,c,d)|0;u=e;return}case 9:{do if((f[c>>2]&2031616|0)==65536){j=f[c+4>>2]|0;f[h>>2]=f[j>>2];k=h+4|0;i=j+4|0;f[k>>2]=f[i>>2];l=h+8|0;f[l>>2]=f[j+8>>2];f[h+12>>2]=f[j+12>>2];f[h+16>>2]=f[j+16>>2];f[h+20>>2]=f[j+20>>2];f[h+24>>2]=f[j+24>>2];f[h+28>>2]=f[j+28>>2];f[h+32>>2]=f[j+32>>2];m=f[j+36>>2]|0;f[h+36>>2]=m;f[h+40>>2]=l;l=h+48|0;o=h+44|0;f[o>>2]=l;f[l>>2]=0;f[h+52>>2]=0;if(m|0){l=m+12|0;f[l>>2]=(f[l>>2]|0)+1}if((f[i>>2]|0)<3){i=f[j+44>>2]|0;l=f[o>>2]|0;f[l>>2]=f[i>>2];f[l+4>>2]=f[i+4>>2];break}else{f[k>>2]=0;$T(h,j);break}}else nJ(h,c,-1);while(0);c=pJ(a,-1)|0;if(((f[h+4>>2]|0)<=2?(j=f[h>>2]|0,j&16384|0):0)?(k=f[h+40>>2]|0,i=f[k+4>>2]|0,l=f[k>>2]|0,k=(i|0)==1,o=(l|0)==1,k|o):0){m=(c>>>3&511)+1|0;if((m|0)==(i|0)&o|k&(o|(m|0)==(l|0))){q=a+4|0;r=f[q>>2]|0;s=h+16|0;t=f[s>>2]|0;v=+p[t>>3];w=t+8|0;x=+p[w>>3];y=t+16|0;z=+p[y>>3];A=t+24|0;B=+p[A>>3];p[g>>3]=v;C=g+8|0;p[C>>3]=x;D=g+16|0;p[D>>3]=z;E=g+24|0;p[E>>3]=B;F=zV()|0;qZ(r,g,d,F)|0}if(!(m>>>0>4|(j&4095|0)!=6|k&(l|0)==4^1)){q=a+4|0;r=f[q>>2]|0;s=h+16|0;t=f[s>>2]|0;v=+p[t>>3];w=t+8|0;x=+p[w>>3];y=t+16|0;z=+p[y>>3];A=t+24|0;B=+p[A>>3];p[g>>3]=v;C=g+8|0;p[C>>3]=x;D=g+16|0;p[D>>3]=z;E=g+24|0;p[E>>3]=B;F=zV()|0;qZ(r,g,d,F)|0}};f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;F=cuc(80)|0;f[g>>2]=F;f[g+8>>2]=-2147483568;f[g+4>>2]=65;d=F;r=208883;E=d+65|0;do{b[d>>0]=b[r>>0]|0;d=d+1|0;r=r+1|0}while((d|0)<(E|0));b[F+65>>0]=0;WD(-215,g,208949,206642,1841);break}case 0:{u=e;return}default:{f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;WD(-213,g,208949,206642,1845)}}}function oK(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;c=u;u=u+80|0;d=c+56|0;e=c;g=f[a>>2]&2031616;h=g&2097151;if((h|0)<131072){switch(h|0){case 65536:break;default:{f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;WD(-213,d,215046,206642,1866)}}i=f[a+4>>2]|0;j=d+8|0;f[j>>2]=0;f[j+4>>2]=0;f[d>>2]=33619968;f[d+4>>2]=i;aI(b,d);u=c;return}if((h|0)<655360){switch(h|0){case 131072:break;default:{f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;WD(-213,d,215046,206642,1866)}}do if((g|0)==65536){i=f[a+4>>2]|0;f[e>>2]=f[i>>2];j=e+4|0;k=i+4|0;f[j>>2]=f[k>>2];l=e+8|0;f[l>>2]=f[i+8>>2];f[e+12>>2]=f[i+12>>2];f[e+16>>2]=f[i+16>>2];f[e+20>>2]=f[i+20>>2];f[e+24>>2]=f[i+24>>2];f[e+28>>2]=f[i+28>>2];f[e+32>>2]=f[i+32>>2];m=f[i+36>>2]|0;f[e+36>>2]=m;f[e+40>>2]=l;l=e+48|0;n=e+44|0;f[n>>2]=l;f[l>>2]=0;f[e+52>>2]=0;if(m|0){l=m+12|0;f[l>>2]=(f[l>>2]|0)+1}if((f[k>>2]|0)<3){k=f[i+44>>2]|0;l=f[n>>2]|0;f[l>>2]=f[k>>2];f[l+4>>2]=f[k+4>>2];break}else{f[j>>2]=0;$T(e,i);break}}else nJ(e,a,-1);while(0);g=d+8|0;f[g>>2]=0;f[g+4>>2]=0;f[d>>2]=-1040121856;f[d+4>>2]=e;aI(b,d);g=e+36|0;i=f[g>>2]|0;if(i|0?(j=i+12|0,i=f[j>>2]|0,f[j>>2]=i+-1,(i|0)==1):0)aU(e);f[g>>2]=0;g=e+16|0;i=e+4|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;if((f[i>>2]|0)>0){g=f[e+40>>2]|0;j=0;do{f[g+(j<<2)>>2]=0;j=j+1|0}while((j|0)<(f[i>>2]|0))}i=f[e+44>>2]|0;if((i|0)!=(e+48|0))TC(i);u=c;return}switch(h|0){case 655360:break;default:{f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;WD(-213,d,215046,206642,1866)}}d=f[a+4>>2]|0;if((d|0)==(b|0)){u=c;return}a=b+24|0;h=f[a>>2]|0;if(h|0){i=h+8|0;f[i>>2]=(f[i>>2]|0)+1}i=d+24|0;h=f[i>>2]|0;if(h|0?(e=h+8|0,h=f[e>>2]|0,f[e>>2]=h+-1,(h|0)==1):0)WH(d);h=d+4|0;if((f[h>>2]|0)>0){e=f[d+32>>2]|0;j=0;do{f[e+(j<<2)>>2]=0;j=j+1|0;o=f[h>>2]|0}while((j|0)<(o|0));f[i>>2]=0;f[d>>2]=f[b>>2];if((o|0)<3)p=13;else p=15}else{f[i>>2]=0;f[d>>2]=f[b>>2];p=13}if((p|0)==13){o=f[b+4>>2]|0;if((o|0)<3){f[h>>2]=o;f[d+8>>2]=f[b+8>>2];f[d+12>>2]=f[b+12>>2];o=f[b+36>>2]|0;h=f[d+36>>2]|0;f[h>>2]=f[o>>2];f[h+4>>2]=f[o+4>>2]}else p=15}if((p|0)==15)UH(d,b);f[d+16>>2]=f[b+16>>2];p=d+20|0;if(!(f[p>>2]|0))f[p>>2]=f[b+20>>2];f[i>>2]=f[a>>2];f[d+28>>2]=f[b+28>>2];u=c;return}function pK(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;c=u;u=u+80|0;d=c+56|0;e=c;g=f[a>>2]&2031616;h=g&2097151;if((h|0)<131072){switch(h|0){case 65536:break;default:{f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;WD(-213,d,215046,206642,1888)}}i=f[a+4>>2]|0;if((i|0)==(b|0)){u=c;return}j=b+36|0;k=f[j>>2]|0;if(k|0){l=k+12|0;f[l>>2]=(f[l>>2]|0)+1}l=i+36|0;k=f[l>>2]|0;if(k|0?(m=k+12|0,k=f[m>>2]|0,f[m>>2]=k+-1,(k|0)==1):0)aU(i);f[l>>2]=0;k=i+16|0;m=i+4|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;if((f[m>>2]|0)>0){n=f[i+40>>2]|0;o=0;do{f[n+(o<<2)>>2]=0;o=o+1|0;p=f[m>>2]|0}while((o|0)<(p|0));f[i>>2]=f[b>>2];if((p|0)<3)q=14;else q=16}else{f[i>>2]=f[b>>2];q=14}if((q|0)==14){p=f[b+4>>2]|0;if((p|0)<3){f[m>>2]=p;f[i+8>>2]=f[b+8>>2];f[i+12>>2]=f[b+12>>2];p=f[b+44>>2]|0;m=f[i+44>>2]|0;f[m>>2]=f[p>>2];f[m+4>>2]=f[p+4>>2]}else q=16}if((q|0)==16)$T(i,b);f[k>>2]=f[b+16>>2];f[i+20>>2]=f[b+20>>2];f[i+24>>2]=f[b+24>>2];f[i+28>>2]=f[b+28>>2];f[i+32>>2]=f[b+32>>2];f[l>>2]=f[j>>2];u=c;return}if((h|0)>=655360){switch(h|0){case 655360:break;default:{f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;WD(-213,d,215046,206642,1888)}}j=f[a+4>>2]|0;l=d+8|0;f[l>>2]=0;f[l+4>>2]=0;f[d>>2]=34209792;f[d+4>>2]=j;EI(b,d);u=c;return}switch(h|0){case 131072:break;default:{f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;WD(-213,d,215046,206642,1888)}}do if((g|0)==65536){h=f[a+4>>2]|0;f[e>>2]=f[h>>2];j=e+4|0;l=h+4|0;f[j>>2]=f[l>>2];i=e+8|0;f[i>>2]=f[h+8>>2];f[e+12>>2]=f[h+12>>2];f[e+16>>2]=f[h+16>>2];f[e+20>>2]=f[h+20>>2];f[e+24>>2]=f[h+24>>2];f[e+28>>2]=f[h+28>>2];f[e+32>>2]=f[h+32>>2];k=f[h+36>>2]|0;f[e+36>>2]=k;f[e+40>>2]=i;i=e+48|0;q=e+44|0;f[q>>2]=i;f[i>>2]=0;f[e+52>>2]=0;if(k|0){i=k+12|0;f[i>>2]=(f[i>>2]|0)+1}if((f[l>>2]|0)<3){l=f[h+44>>2]|0;i=f[q>>2]|0;f[i>>2]=f[l>>2];f[i+4>>2]=f[l+4>>2];break}else{f[j>>2]=0;$T(e,h);break}}else nJ(e,a,-1);while(0);a=d+8|0;f[a>>2]=0;f[a+4>>2]=0;f[d>>2]=-1040121856;f[d+4>>2]=e;EI(b,d);d=e+36|0;b=f[d>>2]|0;if(b|0?(a=b+12|0,b=f[a>>2]|0,f[a>>2]=b+-1,(b|0)==1):0)aU(e);f[d>>2]=0;d=e+16|0;b=e+4|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[b>>2]|0)>0){d=f[e+40>>2]|0;a=0;do{f[d+(a<<2)>>2]=0;a=a+1|0}while((a|0)<(f[b>>2]|0))}b=f[e+44>>2]|0;if((b|0)!=(e+48|0))TC(b);u=c;return}function qK(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;d=u;u=u+16|0;e=d;g=f[a>>2]&2031616;if((g|0)<720896){switch(g|0){case 327680:break;default:{f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;WD(-213,e,215046,206642,1926)}}h=f[a+4>>2]|0;i=f[h>>2]|0;j=c+4|0;k=f[j>>2]|0;l=f[c>>2]|0;m=i;if((((f[h+4>>2]|0)-i|0)/56|0|0)!=((k-l|0)/48|0|0)){i=cuc(32)|0;f[e>>2]=i;f[e+8>>2]=-2147483616;f[e+4>>2]=25;n=i;o=208955;p=n+25|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));b[i+25>>0]=0;WD(-215,e,215046,206642,1913)}if((k|0)==(l|0)){u=d;return}i=e+8|0;q=e+4|0;r=0;s=l;l=m;m=k;while(1){k=s;t=k+(r*48|0)|0;v=l+(r*56|0)|0;w=f[l+(r*56|0)+36>>2]|0;if((w|0)!=0?(w|0)==(f[k+(r*48|0)+24>>2]|0):0){x=s;y=m}else{k=i;f[k>>2]=0;f[k+4>>2]=0;f[e>>2]=33619968;f[q>>2]=v;aI(t,e);x=f[c>>2]|0;y=f[j>>2]|0}t=r+1|0;if(t>>>0>=((y-x|0)/48|0)>>>0)break;r=t;s=x;l=f[h>>2]|0;m=y}u=d;return}else{switch(g|0){case 720896:break;default:{f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;WD(-213,e,215046,206642,1926)}}g=f[a+4>>2]|0;a=f[g>>2]|0;y=c+4|0;m=f[y>>2]|0;h=f[c>>2]|0;l=a;if(((f[g+4>>2]|0)-a|0)!=(m-h|0)){a=cuc(32)|0;f[e>>2]=a;f[e+8>>2]=-2147483616;f[e+4>>2]=25;n=a;o=208955;p=n+25|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));b[a+25>>0]=0;WD(-215,e,215046,206642,1899)}if((m|0)==(h|0)){u=d;return}a=e+8|0;o=e+4|0;n=0;p=h;h=l;l=m;while(1){m=p;x=m+(n*48|0)|0;s=h+(n*48|0)|0;r=f[h+(n*48|0)+24>>2]|0;if((r|0)!=0?(r|0)==(f[m+(n*48|0)+24>>2]|0):0){z=p;A=l}else{m=a;f[m>>2]=0;f[m+4>>2]=0;f[e>>2]=34209792;f[o>>2]=s;aI(x,e);z=f[c>>2]|0;A=f[y>>2]|0}x=n+1|0;if(x>>>0>=((A-z|0)/48|0)>>>0)break;n=x;p=z;h=f[g>>2]|0;l=A}u=d;return}}function rK(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;d=u;u=u+16|0;e=d;g=f[a>>2]&2031616;if((g|0)<720896){switch(g|0){case 327680:break;default:{f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;WD(-213,e,215046,206642,1964)}}h=f[a+4>>2]|0;i=f[h>>2]|0;j=c+4|0;k=f[j>>2]|0;l=f[c>>2]|0;m=i;if(((f[h+4>>2]|0)-i|0)!=(k-l|0)){i=cuc(32)|0;f[e>>2]=i;f[e+8>>2]=-2147483616;f[e+4>>2]=25;n=i;o=208955;p=n+25|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));b[i+25>>0]=0;WD(-215,e,215046,206642,1951)}if((k|0)==(l|0)){u=d;return}i=e+8|0;q=e+4|0;r=0;s=l;l=m;m=k;while(1){k=s;t=k+(r*56|0)|0;v=l+(r*56|0)|0;w=f[l+(r*56|0)+36>>2]|0;if((w|0)!=0?(w|0)==(f[k+(r*56|0)+36>>2]|0):0){x=s;y=m}else{k=i;f[k>>2]=0;f[k+4>>2]=0;f[e>>2]=33619968;f[q>>2]=v;EI(t,e);x=f[c>>2]|0;y=f[j>>2]|0}t=r+1|0;if(t>>>0>=((y-x|0)/56|0)>>>0)break;r=t;s=x;l=f[h>>2]|0;m=y}u=d;return}else{switch(g|0){case 720896:break;default:{f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;WD(-213,e,215046,206642,1964)}}g=f[a+4>>2]|0;a=f[g>>2]|0;y=c+4|0;m=f[y>>2]|0;h=f[c>>2]|0;l=a;if((((f[g+4>>2]|0)-a|0)/48|0|0)!=((m-h|0)/56|0|0)){a=cuc(32)|0;f[e>>2]=a;f[e+8>>2]=-2147483616;f[e+4>>2]=25;n=a;o=208955;p=n+25|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));b[a+25>>0]=0;WD(-215,e,215046,206642,1937)}if((m|0)==(h|0)){u=d;return}a=e+8|0;o=e+4|0;n=0;p=h;h=l;l=m;while(1){m=p;x=m+(n*56|0)|0;s=h+(n*48|0)|0;r=f[h+(n*48|0)+24>>2]|0;if((r|0)!=0?(r|0)==(f[m+(n*56|0)+36>>2]|0):0){z=p;A=l}else{m=a;f[m>>2]=0;f[m+4>>2]=0;f[e>>2]=34209792;f[o>>2]=s;EI(x,e);z=f[c>>2]|0;A=f[y>>2]|0}x=n+1|0;if(x>>>0>=((A-z|0)/56|0)>>>0)break;n=x;p=z;h=f[g>>2]|0;l=A}u=d;return}}function sK(){return 37448}function tK(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0;e=u;u=u+352|0;i=e+216|0;j=e+72|0;k=e+16|0;l=e;m=e+208|0;n=e+200|0;if(!c){f[a>>2]=1124007936;o=a+8|0;p=a+40|0;q=a+4|0;r=q+36|0;do{f[q>>2]=0;q=q+4|0}while((q|0)<(r|0));f[p>>2]=o;o=a+48|0;f[a+44>>2]=o;f[o>>2]=0;f[a+52>>2]=0;u=e;return}o=f[c>>2]|0;p=o&-65536;if((p|0)==1111621632){s=f[c+24>>2]|0;if((s|0)>-1?(t=f[c+20>>2]|0,(t|0)>-1):0){f[a>>2]=1124007936;v=a+4|0;w=a+8|0;x=a+40|0;q=v;r=q+36|0;do{f[q>>2]=0;q=q+4|0}while((q|0)<(r|0));f[x>>2]=w;x=a+48|0;f[a+44>>2]=x;f[x>>2]=0;y=a+52|0;f[y>>2]=0;if(!d){f[a>>2]=o&20479|1124007936;f[v>>2]=2;f[w>>2]=t;f[a+12>>2]=s;w=f[c+16>>2]|0;f[a+16>>2]=w;f[a+20>>2]=w;v=Y(675553809>>>(o<<2&28)&15,(o>>>3&511)+1|0)|0;z=Y(s,v)|0;A=f[c+4>>2]|0;B=(A|0)==0?z:A;A=w+(Y(B,t)|0)|0;f[a+28>>2]=A;f[a+24>>2]=A+(0-B)+z;f[x>>2]=B;f[y>>2]=v;u=e;return}f[a+16>>2]=0;f[a+24>>2]=0;f[a+20>>2]=0;Ri(i,t,s,o,f[c+16>>2]|0,f[c+4>>2]|0);s=j+8|0;f[s>>2]=0;f[s+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=a;EI(i,j);s=i+36|0;t=f[s>>2]|0;if(t|0?(v=t+12|0,t=f[v>>2]|0,f[v>>2]=t+-1,(t|0)==1):0)aU(i);f[s>>2]=0;s=i+16|0;t=i+4|0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;if((f[t>>2]|0)>0){s=f[i+40>>2]|0;v=0;do{f[s+(v<<2)>>2]=0;v=v+1|0}while((v|0)<(f[t>>2]|0))}t=f[i+44>>2]|0;if((t|0)!=(i+48|0))TC(t);u=e;return}}else if((p|0)==1111687168?(t=f[c+16>>2]|0,v=t,t|0):0){t=a+4|0;s=a+8|0;y=a+40|0;q=t;r=q+36|0;do{f[q>>2]=0;q=q+4|0}while((q|0)<(r|0));f[y>>2]=s;B=a+48|0;x=a+44|0;f[x>>2]=B;f[B>>2]=0;f[a+52>>2]=0;B=a+16|0;f[B>>2]=v;z=a+20|0;f[z>>2]=v;f[a>>2]=o&4095|1124007936;v=f[c+4>>2]|0;if((v|0)>0){A=0;do{f[i+(A<<2)>>2]=f[c+20+(A<<3)>>2];f[j+(A<<2)>>2]=f[c+20+(A<<3)+4>>2];A=A+1|0}while((A|0)!=(v|0))}QT(a,v,i,j,0);RT(a);if(d){f[k>>2]=f[a>>2];v=k+4|0;A=f[t>>2]|0;f[v>>2]=A;w=k+8|0;f[w>>2]=f[s>>2];f[k+12>>2]=f[a+12>>2];s=k+16|0;f[s>>2]=f[B>>2];f[k+20>>2]=f[z>>2];f[k+24>>2]=f[a+24>>2];f[k+28>>2]=f[a+28>>2];f[k+32>>2]=f[a+32>>2];z=k+36|0;C=a+36|0;D=f[C>>2]|0;f[z>>2]=D;E=k+40|0;f[E>>2]=w;w=k+48|0;F=k+44|0;f[F>>2]=w;f[w>>2]=0;f[k+52>>2]=0;if(!D)G=A;else{A=D+12|0;f[A>>2]=(f[A>>2]|0)+1;G=f[t>>2]|0}if((G|0)<3){G=f[x>>2]|0;x=f[F>>2]|0;f[x>>2]=f[G>>2];f[x+4>>2]=f[G+4>>2]}else{f[v>>2]=0;$T(k,a)}G=f[C>>2]|0;if(G|0?(x=G+12|0,G=f[x>>2]|0,f[x>>2]=G+-1,(G|0)==1):0)aU(a);f[C>>2]=0;f[B>>2]=0;f[B+4>>2]=0;f[B+8>>2]=0;f[B+12>>2]=0;if((f[t>>2]|0)>0){B=f[y>>2]|0;y=0;do{f[B+(y<<2)>>2]=0;y=y+1|0}while((y|0)<(f[t>>2]|0))}t=l+8|0;f[t>>2]=0;f[t+4>>2]=0;f[l>>2]=33619968;f[l+4>>2]=a;EI(k,l);l=f[z>>2]|0;if(l|0?(t=l+12|0,l=f[t>>2]|0,f[t>>2]=l+-1,(l|0)==1):0)aU(k);f[z>>2]=0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;if((f[v>>2]|0)>0){s=f[E>>2]|0;E=0;do{f[s+(E<<2)>>2]=0;E=E+1|0}while((E|0)<(f[v>>2]|0))}v=f[F>>2]|0;if((v|0)!=(w|0))TC(v)}u=e;return}if((o|0)==112?(v=f[c+68>>2]|0,w=v,v|0):0){F=c+48|0;E=f[F>>2]|0;if(!g)if(E)if((f[E>>2]|0)>0){g=cuc(48)|0;f[i>>2]=g;f[i+8>>2]=-2147483600;f[i+4>>2]=36;q=g;H=209051;r=q+36|0;do{b[q>>0]=b[H>>0]|0;q=q+1|0;H=H+1|0}while((q|0)<(r|0));b[g+36>>0]=0;WD(-24,i,209088,208981,161)}else I=E;else I=0;else I=E;f[a>>2]=1124007936;E=a+4|0;g=a+8|0;s=a+40|0;z=E+4|0;f[z>>2]=0;f[z+4>>2]=0;f[z+8>>2]=0;f[z+12>>2]=0;f[z+16>>2]=0;f[z+20>>2]=0;f[z+24>>2]=0;f[z+28>>2]=0;f[s>>2]=g;z=a+48|0;l=a+44|0;f[l>>2]=z;t=a+52|0;f[t>>2]=0;f[E>>2]=2;y=f[c+16>>2]|0;B=1125516576>>>((y>>>2&60)+(y>>31&20)|0);y=f[c+72>>2]|0;f[z>>2]=y;z=c+28|0;C=f[z>>2]|0;G=(C|0)==0;do if(!I)if(G){x=((f[c+8>>2]<<3)+-8|B&7)+1124007936|0;f[a>>2]=x;A=f[c+44>>2]|0;f[g>>2]=A;D=f[c+40>>2]|0;J=a+12|0;f[J>>2]=D;f[a+16>>2]=w;K=a+20|0;f[K>>2]=w;L=Y(675553809>>>(x<<2&28)&15,(x>>>3&511)+1|0)|0;M=K;N=J;O=A;P=v;Q=D;break}else{f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;D=cuc(48)|0;f[i>>2]=D;f[i+8>>2]=-2147483600;f[i+4>>2]=38;q=D;H=209099;r=q+38|0;do{b[q>>0]=b[H>>0]|0;q=q+1|0;H=H+1|0}while((q|0)<(r|0));b[D+38>>0]=0;WD(-215,i,209138,208981,106)}else{A=f[I>>2]|0;do if(!G)if(A){J=B&7;if((C|0)==1){R=J;S=0;T=1;break}else{U=J;V=58;break}}else{f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;J=cuc(64)|0;f[i>>2]=J;f[i+8>>2]=-2147483584;f[i+4>>2]=60;q=J;H=209152;r=q+60|0;do{b[q>>0]=b[H>>0]|0;q=q+1|0;H=H+1|0}while((q|0)<(r|0));b[J+60>>0]=0;WD(-215,i,209138,208981,115)}else{U=B&7;V=58}while(0);if((V|0)==58){R=U;S=(f[c+8>>2]<<3)+-8|0;T=0}D=R+1124007936+S|0;f[a>>2]=D;K=f[I+16>>2]|0;f[g>>2]=K;x=f[I+12>>2]|0;W=a+12|0;f[W>>2]=x;X=Y(675553809>>>(D<<2&28)&15,(D>>>3&511)+1|0)|0;if(T){D=Y(A+-1|0,y)|0;Z=Y(D,f[c+44>>2]|0)|0}else Z=0;D=v+Z+(Y(f[I+8>>2]|0,y)|0)|0;_=D+(Y(f[I+4>>2]|0,X)|0)|0;f[a+16>>2]=_;D=a+20|0;f[D>>2]=_;L=X;M=D;N=W;O=K;P=_;Q=x}while(0);I=P+(Y(O,y)|0)|0;Z=a+28|0;f[Z>>2]=I;I=P+(Y(O+-1|0,y)|0)+(Y(L,Q)|0)|0;Q=a+24|0;f[Q>>2]=I;f[t>>2]=L;YT(a);if(!d){u=e;return}f[j>>2]=f[a>>2];L=j+4|0;t=f[E>>2]|0;f[L>>2]=t;I=j+8|0;f[I>>2]=f[g>>2];g=j+12|0;f[g>>2]=f[N>>2];N=j+16|0;y=a+16|0;f[N>>2]=f[y>>2];f[j+20>>2]=f[M>>2];f[j+24>>2]=f[Q>>2];f[j+28>>2]=f[Z>>2];f[j+32>>2]=f[a+32>>2];Z=j+36|0;Q=a+36|0;M=f[Q>>2]|0;f[Z>>2]=M;O=j+40|0;f[O>>2]=I;P=j+48|0;v=j+44|0;f[v>>2]=P;f[P>>2]=0;f[j+52>>2]=0;if(!M)$=t;else{t=M+12|0;f[t>>2]=(f[t>>2]|0)+1;$=f[E>>2]|0}if(($|0)<3){$=f[l>>2]|0;l=f[v>>2]|0;f[l>>2]=f[$>>2];f[l+4>>2]=f[$+4>>2]}else{f[L>>2]=0;$T(j,a)}$=f[Q>>2]|0;if($|0?(l=$+12|0,$=f[l>>2]|0,f[l>>2]=$+-1,($|0)==1):0)aU(a);f[Q>>2]=0;f[y>>2]=0;f[y+4>>2]=0;f[y+8>>2]=0;f[y+12>>2]=0;if((f[E>>2]|0)>0){y=f[s>>2]|0;s=0;do{f[y+(s<<2)>>2]=0;s=s+1|0}while((s|0)<(f[E>>2]|0))}E=f[F>>2]|0;if(((E|0)!=0?(F=f[E>>2]|0,(F|0)!=0):0)?(f[z>>2]|0)!=1:0){f[k>>2]=F+-1;f[k+4>>2]=0;F=f[g>>2]|0;g=f[j>>2]&4095;f[i>>2]=f[I>>2];f[i+4>>2]=F;ZT(a,2,i,g);jV(j,1,a,1,k,1)}else{k=i+8|0;f[k>>2]=0;f[k+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=a;EI(j,i)}k=f[Z>>2]|0;if(k|0?(g=k+12|0,k=f[g>>2]|0,f[g>>2]=k+-1,(k|0)==1):0)aU(j);f[Z>>2]=0;f[N>>2]=0;f[N+4>>2]=0;f[N+8>>2]=0;f[N+12>>2]=0;if((f[L>>2]|0)>0){N=f[O>>2]|0;O=0;do{f[N+(O<<2)>>2]=0;O=O+1|0}while((O|0)<(f[L>>2]|0))}L=f[v>>2]|0;if((L|0)!=(P|0))TC(L);u=e;return}if((p|0)!=1117323264){p=cuc(32)|0;f[i>>2]=p;f[i+8>>2]=-2147483616;f[i+4>>2]=18;q=p;H=209258;r=q+18|0;do{b[q>>0]=b[H>>0]|0;q=q+1|0;H=H+1|0}while((q|0)<(r|0));b[p+18>>0]=0;WD(-5,i,209088,208981,185)}p=f[c+24>>2]|0;L=o&4095;P=f[c+28>>2]|0;if(!p){f[a>>2]=1124007936;v=a+8|0;O=a+40|0;q=a+4|0;r=q+36|0;do{f[q>>2]=0;q=q+4|0}while((q|0)<(r|0));f[O>>2]=v;v=a+48|0;f[a+44>>2]=v;f[v>>2]=0;f[a+52>>2]=0;u=e;return}if((p|0)<=0){aa=cuc(48)|0;f[i>>2]=aa;ba=i+8|0;f[ba>>2]=-2147483600;ca=i+4|0;f[ca>>2]=44;q=aa;H=209213;r=q+44|0;do{b[q>>0]=b[H>>0]|0;q=q+1|0;H=H+1|0}while((q|0)<(r|0));da=aa+44|0;b[da>>0]=0;WD(-215,i,209088,208981,170)}if((Y(675553809>>>(o<<2&28)&15,(o>>>3&511)+1|0)|0)!=(P|0)){aa=cuc(48)|0;f[i>>2]=aa;ba=i+8|0;f[ba>>2]=-2147483600;ca=i+4|0;f[ca>>2]=44;q=aa;H=209213;r=q+44|0;do{b[q>>0]=b[H>>0]|0;q=q+1|0;H=H+1|0}while((q|0)<(r|0));da=aa+44|0;b[da>>0]=0;WD(-215,i,209088,208981,170)}if(!d?(d=f[c+52>>2]|0,(f[d+4>>2]|0)==(d|0)):0){Ri(a,p,1,L,f[d+16>>2]|0,0);u=e;return}if(!h){f[j>>2]=1124007936;d=j+4|0;da=j+8|0;aa=j+40|0;q=d;r=q+36|0;do{f[q>>2]=0;q=q+4|0}while((q|0)<(r|0));f[aa>>2]=da;q=j+48|0;f[j+44>>2]=q;f[q>>2]=0;f[j+52>>2]=0;f[i>>2]=p;f[i+4>>2]=1;ZT(j,2,i,L);r=j+16|0;H=f[r>>2]|0;f[n>>2]=0;f[n+4>>2]=1073741823;f[i>>2]=f[n>>2];f[i+4>>2]=f[n+4>>2];GK(c,H,i)|0;f[a>>2]=f[j>>2];H=f[d>>2]|0;f[a+4>>2]=H;n=a+8|0;f[n>>2]=f[da>>2];f[a+12>>2]=f[j+12>>2];f[a+16>>2]=f[r>>2];f[a+20>>2]=f[j+20>>2];f[a+24>>2]=f[j+24>>2];f[a+28>>2]=f[j+28>>2];f[a+32>>2]=f[j+32>>2];ca=j+36|0;f[a+36>>2]=f[ca>>2];ba=a+40|0;f[ba>>2]=n;n=a+44|0;o=a+48|0;f[n>>2]=o;v=a+52|0;f[v>>2]=0;f[o>>2]=0;O=j+44|0;if((H|0)<3){H=f[O>>2]|0;f[o>>2]=f[H>>2];f[v>>2]=f[H+4>>2];ea=H}else{f[n>>2]=f[O>>2];f[ba>>2]=f[aa>>2];f[O>>2]=q;f[aa>>2]=da;ea=q}f[j>>2]=1124007936;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;f[d+16>>2]=0;f[d+20>>2]=0;f[d+24>>2]=0;f[d+28>>2]=0;f[ca>>2]=0;f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;f[r+12>>2]=0;if((ea|0)!=(q|0))TC(ea);u=e;return}ea=(Y(P,p)|0)+7|0;P=ea>>>3;q=h+4|0;do if((f[q>>2]|0)>>>0<P>>>0){r=f[h>>2]|0;ca=h+8|0;if((r|0)==(ca|0))fa=r;else{if(r|0)guc(r);f[h>>2]=ca;f[q>>2]=136;fa=ca}f[q>>2]=P;if(ea>>>0>1095){ca=euc(P<<3)|0;f[h>>2]=ca;ga=ca;break}else{ga=fa;break}}else{f[q>>2]=P;ga=f[h>>2]|0}while(0);f[m>>2]=0;f[m+4>>2]=1073741823;f[i>>2]=f[m>>2];f[i+4>>2]=f[m+4>>2];GK(c,ga,i)|0;Ri(a,p,1,L,ga,0);u=e;return}function uK(a){a=a|0;var b=0,c=0,d=0;b=u;u=u+16|0;c=b;d=UC(24)|0;if(!d){f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;WD(-27,c,209277,209295,92)}else{c=d+4|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;f[c+16>>2]=0;f[d>>2]=1116274688;f[d+16>>2]=(a|0)<1?65408:a+7&-8;u=b;return d|0}return 0}function vK(a){a=a|0;var b=0,c=0,d=0,e=0;b=u;u=u+16|0;c=b;if(!a){f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;WD(-27,c,209368,209295,121)}d=f[a+16>>2]|0;e=UC(24)|0;if(!e){f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;WD(-27,c,209277,209295,92)}else{c=e+4|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;f[c+16>>2]=0;f[e>>2]=1116274688;f[e+16>>2]=(d|0)<1?65408:d+7&-8;f[e+12>>2]=a;u=b;return e|0}return 0}function wK(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;b=u;u=u+16|0;c=b;if(!a){f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;WD(-27,c,209392,209295,183)}c=f[a>>2]|0;f[a>>2]=0;if(!c){u=b;return}a=c+12|0;d=f[a>>2]|0;if(!d)e=0;else e=f[d+8>>2]|0;g=c+4|0;h=f[g>>2]|0;a:do if(!h)i=c+20|0;else{j=c+16|0;k=c+20|0;l=e;m=h;n=d;while(1){o=m+4|0;p=f[o>>2]|0;if(!n){q=m;r=p;while(1){VC(q);if(!r){i=k;break a}s=f[a>>2]|0;t=r+4|0;v=f[t>>2]|0;if(!s){w=r;r=v;q=w}else{x=r;y=v;z=t;A=s;break}}}else{x=m;y=p;z=o;A=n}if(!l){f[A+8>>2]=x;f[A+4>>2]=x;f[z>>2]=0;f[x>>2]=0;f[k>>2]=(f[j>>2]|0)+-8}else{f[x>>2]=l;r=l+4|0;q=f[r>>2]|0;f[z>>2]=q;if(q|0)f[q>>2]=x;f[r>>2]=x}if(!y){i=k;break}else{l=x;m=y;n=A}}}while(0);f[g>>2]=0;f[c+8>>2]=0;f[i>>2]=0;VC(c);u=b;return}function xK(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;b=u;u=u+16|0;c=b;if(!a){f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;WD(-27,c,209412,209295,200)}c=f[a+12>>2]|0;d=a+4|0;e=f[d>>2]|0;if(!c){f[a+8>>2]=e;if(!e)g=0;else g=(f[a+16>>2]|0)+-8|0;f[a+20>>2]=g;u=b;return}if(!e)h=a+20|0;else{g=a+16|0;i=a+20|0;j=c+8|0;k=c+4|0;l=f[c+8>>2]|0;c=e;while(1){e=c+4|0;m=f[e>>2]|0;if(!l){f[j>>2]=c;f[k>>2]=c;f[e>>2]=0;f[c>>2]=0;f[i>>2]=(f[g>>2]|0)+-8}else{f[c>>2]=l;n=l+4|0;o=f[n>>2]|0;f[e>>2]=o;if(o|0)f[o>>2]=c;f[n>>2]=c}if(!m){h=i;break}else{n=c;c=m;l=n}}}f[d>>2]=0;f[a+8>>2]=0;f[h>>2]=0;u=b;return}function yK(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+16|0;d=c;if((a|0)!=0&(b|0)!=0){f[b>>2]=f[a+8>>2];f[b+4>>2]=f[a+20>>2];u=c;return}else{f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;WD(-27,d,209430,209295,276)}}function zK(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0;c=u;u=u+16|0;d=c;if(!((a|0)!=0&(b|0)!=0)){f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;WD(-27,d,209450,209295,288)}e=f[b+4>>2]|0;g=f[a+16>>2]|0;if((e|0)>(g|0)){f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;WD(-201,d,209450,209295,290)}d=f[b>>2]|0;b=a+8|0;f[b>>2]=d;h=a+20|0;f[h>>2]=e;if(d|0){u=c;return}d=f[a+4>>2]|0;f[b>>2]=d;f[h>>2]=(d|0)==0?0:g+-8|0;u=c;return}function AK(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;d=u;u=u+16|0;e=d;if(!a){g=cuc(32)|0;f[e>>2]=g;f[e+8>>2]=-2147483616;f[e+4>>2]=20;h=g;i=367220;j=h+20|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(j|0));b[g+20>>0]=0;WD(-27,e,209473,209295,327)}if((c|0)<0){g=cuc(48)|0;f[e>>2]=g;f[e+8>>2]=-2147483600;f[e+4>>2]=35;h=g;i=209491;j=h+35|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(j|0));b[g+35>>0]=0;WD(-211,e,209473,209295,330)}g=a+20|0;k=f[g>>2]|0;l=a+16|0;if(k>>>0>=c>>>0){m=k;n=a+8|0;o=f[n>>2]|0;p=f[l>>2]|0;q=o+p|0;r=0-m|0;s=q+r|0;t=m-c|0;v=t&-8;f[g>>2]=v;u=d;return s|0}if(((f[l>>2]|0)+-8&-8)>>>0<c>>>0){k=cuc(48)|0;f[e>>2]=k;f[e+8>>2]=-2147483600;f[e+4>>2]=37;h=k;i=209527;j=h+37|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(j|0));b[k+37>>0]=0;WD(-211,e,209473,209295,338)}BK(a);m=f[g>>2]|0;n=a+8|0;o=f[n>>2]|0;p=f[l>>2]|0;q=o+p|0;r=0-m|0;s=q+r|0;t=m-c|0;v=t&-8;f[g>>2]=v;u=d;return s|0}function BK(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;b=u;u=u+16|0;c=b;if(!a){f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;WD(-27,c,209565,209295,218)}d=a+8|0;e=f[d>>2]|0;if((e|0)!=0?(g=f[e+4>>2]|0,(g|0)!=0):0)h=g;else{g=f[a+12>>2]|0;do if(g){e=g+8|0;i=f[e>>2]|0;j=g+20|0;k=f[j>>2]|0;BK(g);l=f[e>>2]|0;m=f[g+16>>2]|0;if((k|0)>(m|0)){f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;WD(-201,c,209450,209295,290)}f[e>>2]=i;f[j>>2]=k;if(!i){k=f[g+4>>2]|0;f[e>>2]=k;f[j>>2]=(k|0)==0?0:m+-8|0;n=k;o=k}else{n=i;o=i}if((l|0)==(n|0)){f[g+4>>2]=0;f[e>>2]=0;f[j>>2]=0;p=l;break}j=l+4|0;f[n+4>>2]=f[j>>2];e=f[j>>2]|0;if(!e)p=l;else{f[e>>2]=o;p=l}}else p=UC(f[a+16>>2]|0)|0;while(0);f[p+4>>2]=0;o=f[d>>2]|0;f[p>>2]=o;if(!o){f[a+4>>2]=p;q=d}else q=o+4|0;f[q>>2]=p;p=f[(f[d>>2]|0)+4>>2]|0;if(!p){r=a+16|0;s=f[r>>2]|0;t=s+-8|0;v=a+20|0;f[v>>2]=t;u=b;return}else h=p}f[d>>2]=h;r=a+16|0;s=f[r>>2]|0;t=s+-8|0;v=a+20|0;f[v>>2]=t;u=b;return}function CK(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0;g=a;f[g>>2]=0;f[g+4>>2]=0;if((e|0)>-1)h=e;else h=jfc(d)|0;f[a>>2]=h;e=AK(c,h+1|0)|0;f[a+4>>2]=e;szc(e|0,d|0,h|0)|0;b[e+h>>0]=0;return}function DK(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0;g=u;u=u+16|0;h=g;if(!e){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;WD(-27,h,209583,209295,377)}if(c>>>0<56|(d|0)==0){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;WD(-201,h,209583,209295,379)}i=AK(e,c)|0;kzc(i|0,0,c|0)|0;f[i+4>>2]=c;f[i>>2]=a&65535|1117323264;c=Y(675553809>>>(a<<2&28)&15,(a>>>3&511)+1|0)|0;a:do if(c|0){switch(a&4095){case 0:case 56:{break a;break}default:{}}if((c|0)!=(d|0)){j=cuc(112)|0;f[h>>2]=j;f[h+8>>2]=-2147483536;f[h+4>>2]=110;k=j;l=209595;m=k+110|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));b[j+110>>0]=0;WD(-201,h,209583,209295,395)}}while(0);f[i+28>>2]=d;f[i+44>>2]=e;EK(i,1024/(d>>>0)|0);u=g;return i|0}function EK(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;d=u;u=u+16|0;e=d;if(!a){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;WD(-27,e,209706,209295,415)}g=f[a+44>>2]|0;if(!g){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;WD(-27,e,209706,209295,415)}if((c|0)<0){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;WD(-211,e,209706,209295,417)}h=(f[g+16>>2]|0)+-28&-8;g=f[a+28>>2]|0;if(!c){i=1024/(g|0)|0;j=(i|0)>1?i:1}else j=c;if((Y(j,g)|0)<=(h|0)){k=j;l=a+40|0;f[l>>2]=k;u=d;return}j=(h|0)/(g|0)|0;if(!j){g=cuc(64)|0;f[e>>2]=g;f[e+8>>2]=-2147483584;f[e+4>>2]=60;h=g;c=209724;i=h+60|0;do{b[h>>0]=b[c>>0]|0;h=h+1|0;c=c+1|0}while((h|0)<(i|0));b[g+60>>0]=0;WD(-211,e,209706,209295,433)}else{k=j;l=a+40|0;f[l>>2]=k;u=d;return}}function FK(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=f[a+24>>2]|0;if(c>>>0<=b>>>0){d=((b|0)<0?c:0)+b|0;e=d-((d|0)>=(c|0)?c:0)|0;if(e>>>0<c>>>0)g=e;else{h=0;return h|0}}else g=b;b=f[a+52>>2]|0;if((g<<1|0)<=(c|0)){e=f[b+12>>2]|0;if((g|0)<(e|0)){i=b;j=g}else{d=b;k=g;l=e;while(1){e=f[d+4>>2]|0;m=k-l|0;l=f[e+12>>2]|0;if((m|0)<(l|0)){i=e;j=m;break}else{d=e;k=m}}}}else{k=c;c=b;do{c=f[c>>2]|0;k=k-(f[c+12>>2]|0)|0}while((g|0)<(k|0));i=c;j=g-k|0}h=(f[i+16>>2]|0)+(Y(f[a+28>>2]|0,j)|0)|0;return h|0}function GK(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;d=u;u=u+48|0;e=d+16|0;g=d;if(!((a|0)!=0&(b|0)!=0)){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;WD(-27,g,209817,209295,551)}g=f[a+28>>2]|0;h=c;c=f[h>>2]|0;i=f[h+4>>2]|0;h=f[a+24>>2]|0;if((i|0)==(c|0))j=0;else j=i-c+((c|0)<0?0-h|0:0)+((i|0)<1?h:0)|0;while(1)if((j|0)<0)j=j+h|0;else break;i=Y((j|0)>(h|0)?h:j,g)|0;if(!i){k=0;u=d;return k|0}j=e+4|0;h=e+8|0;l=e+20|0;m=e+12|0;n=j+4|0;f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;f[n+12>>2]=0;f[e>>2]=32;f[j>>2]=a;j=f[a+52>>2]|0;if(!j){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;f[h+16>>2]=0;f[h+20>>2]=0}else{a=f[j>>2]|0;n=f[j+16>>2]|0;f[m>>2]=n;o=(f[a+16>>2]|0)+(Y((f[a+12>>2]|0)+-1|0,g)|0)|0;f[e+28>>2]=o;f[e+24>>2]=f[j+8>>2];o=n;f[h>>2]=j;f[e+16>>2]=o;n=o+(Y(f[j+12>>2]|0,g)|0)|0;f[l>>2]=n}HK(e,c,0);c=i;i=b;e=f[m>>2]|0;n=f[l>>2]|0;while(1){j=n-e|0;o=(j|0)>(c|0)?c:j;szc(i|0,e|0,o|0)|0;j=f[(f[h>>2]|0)+4>>2]|0;f[h>>2]=j;e=f[j+16>>2]|0;f[m>>2]=e;n=e+(Y(f[j+12>>2]|0,g)|0)|0;f[l>>2]=n;c=c-o|0;if((c|0)<=0){k=b;break}else i=i+o|0}u=d;return k|0}function HK(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0;d=u;u=u+16|0;e=d;if(!a){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;WD(-27,e,209833,209295,1045)}g=f[a+4>>2]|0;if(!g){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;WD(-27,e,209833,209295,1045)}h=f[g+24>>2]|0;i=f[g+28>>2]|0;if(c|0){c=a+12|0;j=f[c>>2]|0;k=Y(i,b)|0;l=a+8|0;m=f[l>>2]|0;n=j+k|0;if((k|0)>0){o=a+20|0;p=f[o>>2]|0;if(n>>>0<p>>>0)q=n;else{r=j;s=m;t=k;v=p;do{t=t+r-v|0;s=f[s+4>>2]|0;r=f[s+16>>2]|0;p=Y(f[s+12>>2]|0,i)|0;v=r+p|0}while((t|0)>=(p|0));f[l>>2]=s;f[a+16>>2]=r;f[o>>2]=v;q=r+t|0}}else{t=a+16|0;r=f[t>>2]|0;if(n>>>0<r>>>0){v=j;j=m;m=k;k=r;do{m=m+v-k|0;j=f[j>>2]|0;k=f[j+16>>2]|0;v=k+(Y(f[j+12>>2]|0,i)|0)|0;w=v+m|0}while(w>>>0<k>>>0);f[l>>2]=j;f[t>>2]=k;f[a+20>>2]=v;q=w}else q=n}f[c>>2]=q;u=d;return}do if((b|0)<0)if((b|0)<(0-h|0)){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;WD(-211,e,209833,209295,1055)}else{x=h+b|0;break}else if((h|0)<=(b|0)){q=b-h|0;if((q|0)<(h|0))x=q;else{f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;WD(-211,e,209833,209295,1062)}}else x=b;while(0);b=f[g+52>>2]|0;g=f[b+12>>2]|0;a:do if((x|0)<(g|0)){y=x;z=b;A=g}else{if((x<<1|0)>(h|0)){B=h;C=b}else{e=b;q=g;c=x;while(1){n=f[e+4>>2]|0;w=c-q|0;v=f[n+12>>2]|0;if((w|0)<(v|0)){y=w;z=n;A=v;break a}else{e=n;q=v;c=w}}}do{C=f[C>>2]|0;D=f[C+12>>2]|0;B=B-D|0}while((x|0)<(B|0));y=x-B|0;z=C;A=D}while(0);D=f[z+16>>2]|0;C=D+(Y(y,i)|0)|0;f[a+12>>2]=C;C=a+8|0;if((f[C>>2]|0)==(z|0)){u=d;return}f[C>>2]=z;f[a+16>>2]=D;z=D+(Y(A,i)|0)|0;f[a+20>>2]=z;u=d;return}function IK(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;d=u;u=u+16|0;e=d;if(!b){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;WD(-27,e,209851,209295,945)}g=b+4|0;h=b+8|0;i=b+12|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;f[g+16>>2]=0;if(!a){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;WD(-27,e,209851,209295,945)}f[b>>2]=32;f[g>>2]=a;g=f[a+52>>2]|0;if(!g){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;f[h+16>>2]=0;f[h+20>>2]=0;u=d;return}e=f[g>>2]|0;j=f[g+16>>2]|0;f[i>>2]=j;k=f[e+16>>2]|0;l=f[a+28>>2]|0;a=k+(Y((f[e+12>>2]|0)+-1|0,l)|0)|0;m=b+28|0;f[m>>2]=a;f[b+24>>2]=f[g+8>>2];if(!c){n=g;o=j}else{f[i>>2]=a;f[m>>2]=j;n=e;o=k}f[h>>2]=n;f[b+16>>2]=o;h=o+(Y(f[n+12>>2]|0,l)|0)|0;f[b+20>>2]=h;u=d;return}function JK(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0;j=u;u=u+16|0;k=j;if((c|0)<56|(d|0)<1|(g|0)<0){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;WD(-201,k,209866,209295,590)}if(!h){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;WD(-27,k,209866,209295,593)}l=(g|0)>0;if(l&((e|0)==0|(i|0)==0)){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;WD(-27,k,209866,209295,593)}kzc(h|0,0,c|0)|0;f[h+4>>2]=c;f[h>>2]=a&65535|1117323264;c=Y(675553809>>>(a<<2&28)&15,(a>>>3&511)+1|0)|0;if(!((c|0)==(d|0)|((a&4095|0)==0|(c|0)==0))){c=cuc(112)|0;f[k>>2]=c;f[k+8>>2]=-2147483536;f[k+4>>2]=106;a=c;m=209890;n=a+106|0;do{b[a>>0]=b[m>>0]|0;a=a+1|0;m=m+1|0}while((a|0)<(n|0));b[c+106>>0]=0;WD(-201,k,209866,209295,607)}f[h+28>>2]=d;f[h+24>>2]=g;k=e+(Y(g,d)|0)|0;f[h+36>>2]=k;f[h+32>>2]=k;if(!l){u=j;return h|0}f[h+52>>2]=i;f[i+4>>2]=i;f[i>>2]=i;f[i+8>>2]=0;f[i+12>>2]=g;f[i+16>>2]=e;u=j;return h|0}function KK(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=u;u=u+16|0;d=c;if(!((a|0)!=0&(b|0)!=0)){f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;WD(-27,d,209997,209295,820)}d=b+8|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;f[b>>2]=24;f[b+4>>2]=a;d=f[a+52>>2]|0;if(!d)e=0;else e=f[d>>2]|0;f[b+8>>2]=e;f[b+12>>2]=f[a+36>>2];f[b+20>>2]=f[a+32>>2];u=c;return}function LK(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0;g=u;u=u+16|0;h=g;if(!((d|0)!=0&(e|0)!=0)){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;WD(-27,h,210016,209295,838)}i=DK(a,b,c,d)|0;if(!i){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;WD(-27,h,209997,209295,820)}h=e+8|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;f[e>>2]=24;f[e+4>>2]=i;d=f[i+52>>2]|0;if(!d)j=0;else j=f[d>>2]|0;f[h>>2]=j;f[e+12>>2]=f[i+36>>2];f[e+20>>2]=f[i+32>>2];u=g;return}function MK(a){a=a|0;var b=0,c=0,d=0,e=0;b=u;u=u+16|0;c=b;if(!a){f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;WD(-27,c,210032,209295,850)}c=f[a+4>>2]|0;d=f[a+12>>2]|0;f[c+36>>2]=d;e=f[a+8>>2]|0;if(!e){u=b;return}a=f[c+52>>2]|0;f[e+12>>2]=(d-(f[e+16>>2]|0)|0)/(f[c+28>>2]|0)|0;e=a;d=0;do{d=(f[e+12>>2]|0)+d|0;e=f[e+4>>2]|0}while((e|0)!=(a|0));f[c+24>>2]=d;u=b;return}function NK(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0;b=u;u=u+16|0;c=b;if(!a){f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;WD(-27,c,210049,209295,881)}c=f[a+4>>2]|0;d=a+12|0;e=f[d>>2]|0;f[c+36>>2]=e;g=f[a+8>>2]|0;a=e;if(!g){f[d>>2]=0;u=b;return c|0}e=f[c+52>>2]|0;f[g+12>>2]=(a-(f[g+16>>2]|0)|0)/(f[c+28>>2]|0)|0;g=e;h=0;do{h=(f[g+12>>2]|0)+h|0;g=f[g+4>>2]|0}while((g|0)!=(e|0));f[c+24>>2]=h;h=f[c+44>>2]|0;if(!h){f[d>>2]=0;u=b;return c|0}e=(f[h+8>>2]|0)+(f[h+16>>2]|0)|0;g=h+20|0;h=c+32|0;if((e+(0-(f[g>>2]|0))-(f[h>>2]|0)|0)>>>0>=8){f[d>>2]=0;u=b;return c|0}f[g>>2]=e-a&-8;f[h>>2]=a;f[d>>2]=0;u=b;return c|0}function OK(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;b=u;u=u+16|0;c=b;if(!a){f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;WD(-27,c,210063,209295,912)}d=f[a+4>>2]|0;if(!d){f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;WD(-27,c,210063,209295,912)}c=a+12|0;e=f[c>>2]|0;g=d+36|0;f[g>>2]=e;h=a+8|0;i=f[h>>2]|0;j=d+52|0;if(i|0){k=f[j>>2]|0;f[i+12>>2]=(e-(f[i+16>>2]|0)|0)/(f[d+28>>2]|0)|0;i=k;e=0;do{e=(f[i+12>>2]|0)+e|0;i=f[i+4>>2]|0}while((i|0)!=(k|0));f[d+24>>2]=e}PK(d,0);f[h>>2]=f[f[j>>2]>>2];f[c>>2]=f[g>>2];f[a+20>>2]=f[d+32>>2];u=b;return}function PK(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;d=u;u=u+16|0;e=d;if(!a){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;WD(-27,e,210080,209295,637)}g=a+48|0;h=f[g>>2]|0;if(!h){i=a+28|0;j=f[i>>2]|0;k=f[a+40>>2]|0;l=f[a+44>>2]|0;if((f[a+24>>2]|0)>=(k<<2|0))EK(a,k<<1);if(!l){m=cuc(48)|0;f[e>>2]=m;f[e+8>>2]=-2147483600;f[e+4>>2]=37;n=m;o=210091;p=n+37|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));b[m+37>>0]=0;WD(-27,e,210080,209295,650)}e=(f[l+8>>2]|0)+(f[l+16>>2]|0)|0;m=l+20|0;o=f[m>>2]|0;n=a+32|0;p=f[n>>2]|0;if((e+(0-o)-p|0)>>>0<8?!(c|0?1:(o|0)<(f[i>>2]|0)):0){q=(o|0)/(j|0)|0;r=p+(Y((q|0)>(k|0)?k:q,j)|0)|0;f[n>>2]=r;f[m>>2]=e-r&-8;u=d;return}r=(Y(k,j)|0)+24|0;do if((o|0)<(r|0))if((o|0)<((Y((k|0)>5?(k|0)/3|0:1,j)|0)+32|0)){BK(l);s=r;break}else{s=o-((o+-24|0)%(f[i>>2]|0)|0)|0;break}else s=r;while(0);r=AK(l,s)|0;f[r+16>>2]=r+20+7&-8;f[r+12>>2]=s+-24;f[r+4>>2]=0;f[r>>2]=0;t=r}else{f[g>>2]=f[h+4>>2];t=h}h=a+52|0;g=f[h>>2]|0;if(!g){f[h>>2]=t;v=t;w=t;x=t}else{f[t>>2]=f[g>>2];f[g>>2]=t;v=g;w=t;x=(f[t>>2]|0)+4|0}f[t+4>>2]=v;f[x>>2]=t;x=f[t+12>>2]|0;v=t+16|0;g=f[v>>2]|0;r=f[w>>2]|0;if(c){c=(x|0)/(f[a+28>>2]|0)|0;w=g+x|0;f[v>>2]=w;if((t|0)==(r|0)){f[a+36>>2]=w;f[a+32>>2]=w;y=f[h>>2]|0}else{f[h>>2]=t;y=t}f[t+8>>2]=c;h=f[t+4>>2]|0;if((h|0)==(y|0))z=y;else{w=h;do{f[w+8>>2]=(f[w+8>>2]|0)+c;w=f[w+4>>2]|0}while((w|0)!=(y|0));z=y}}else{f[a+36>>2]=g;f[a+32>>2]=g+x;if((t|0)==(r|0))A=0;else A=(f[r+12>>2]|0)+(f[r+8>>2]|0)|0;f[t+8>>2]=A;z=t}f[z+12>>2]=0;u=d;return}function QK(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=u;u=u+16|0;d=c;if(!a){f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;WD(-27,d,210129,209295,995)}d=a+8|0;e=f[d>>2]|0;g=f[(f[a+4>>2]|0)+28>>2]|0;if((b|0)>0){b=f[e+4>>2]|0;f[d>>2]=b;h=f[b+16>>2]|0;i=h;j=h;k=f[b+12>>2]|0}else{b=f[e>>2]|0;f[d>>2]=b;d=f[b+16>>2]|0;e=f[b+12>>2]|0;i=d+(Y(e+-1|0,g)|0)|0;j=d;k=e}f[a+12>>2]=i;f[a+16>>2]=j;i=j+(Y(k,g)|0)|0;f[a+20>>2]=i;u=c;return}function RK(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0;c=u;u=u+16|0;d=c;if(!a){f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;WD(-27,d,210164,209295,1138)}d=f[a+28>>2]|0;e=a+36|0;g=f[e>>2]|0;if(g>>>0<(f[a+32>>2]|0)>>>0)h=g;else{PK(a,0);h=f[e>>2]|0}if(b|0)szc(h|0,b|0,d|0)|0;b=(f[f[a+52>>2]>>2]|0)+12|0;f[b>>2]=(f[b>>2]|0)+1;b=a+24|0;f[b>>2]=(f[b>>2]|0)+1;f[e>>2]=h+d;u=c;return h|0}function SK(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;c=u;u=u+16|0;d=c;if(!a){f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;WD(-27,d,210174,209295,1169)}e=a+24|0;g=f[e>>2]|0;if((g|0)<1){f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;WD(-201,d,210174,209295,1171)}d=a+28|0;h=f[d>>2]|0;i=a+36|0;j=(f[i>>2]|0)+(0-h)|0;f[i>>2]=j;if(!b)k=g;else{szc(b|0,j|0,h|0)|0;k=f[e>>2]|0}f[i>>2]=j;f[e>>2]=k+-1;k=a+52|0;h=f[k>>2]|0;b=f[h>>2]|0;g=b+12|0;l=(f[g>>2]|0)+-1|0;f[g>>2]=l;if(l|0){u=c;return}l=f[d>>2]|0;d=a+32|0;if((h|0)==(b|0)){m=f[d>>2]|0;n=h+16|0;o=(Y(f[h+8>>2]|0,l)|0)+(m-(f[n>>2]|0))|0;f[h+12>>2]=o;f[n>>2]=m+(0-o);f[k>>2]=0;f[d>>2]=0;f[i>>2]=0;f[e>>2]=0;p=h}else{f[g>>2]=(f[d>>2]|0)-j;j=f[b>>2]|0;g=(f[j+16>>2]|0)+(Y(f[j+12>>2]|0,l)|0)|0;f[i>>2]=g;f[d>>2]=g;g=b+4|0;f[j+4>>2]=f[g>>2];f[f[g>>2]>>2]=j;p=b}b=a+48|0;f[p+4>>2]=f[b>>2];f[b>>2]=p;u=c;return}function TK(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;g=u;u=u+16|0;h=g;if(!a){i=cuc(32)|0;f[h>>2]=i;f[h+8>>2]=-2147483616;f[h+4>>2]=21;j=i;k=210183;l=j+21|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[i+21>>0]=0;WD(-27,h,210205,209295,1459)}if((d|0)<0){i=cuc(48)|0;f[h>>2]=i;f[h+8>>2]=-2147483600;f[h+4>>2]=38;j=i;k=210220;l=j+38|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[i+38>>0]=0;WD(-201,h,210205,209295,1461)}h=f[a+28>>2]|0;if(!e){if((d|0)<=0){u=g;return}e=a+32|0;i=a+36|0;k=a+52|0;j=a+24|0;l=d;m=c;while(1){n=f[i>>2]|0;o=((f[e>>2]|0)-n|0)/(h|0)|0;p=(o|0)>(l|0)?l:o;if((p|0)>0){o=(f[f[k>>2]>>2]|0)+12|0;f[o>>2]=(f[o>>2]|0)+p;f[j>>2]=(f[j>>2]|0)+p;o=l-p|0;q=Y(p,h)|0;if(!m){r=0;s=n}else{szc(n|0,m|0,q|0)|0;r=m+q|0;s=f[i>>2]|0}f[i>>2]=s+q;if((o|0)>0){t=o;v=r}else break}else{t=l;v=m}PK(a,0);l=t;m=v}u=g;return}v=a+52|0;m=f[v>>2]|0;if((d|0)<=0){u=g;return}t=a+24|0;if(!c){l=m;r=d;while(1){if((l|0)!=0?(s=f[l+8>>2]|0,(s|0)!=0):0){w=l;x=s}else{PK(a,1);s=f[v>>2]|0;w=s;x=f[s+8>>2]|0}s=(x|0)>(r|0)?r:x;r=r-s|0;f[w+8>>2]=x-s;i=w+12|0;f[i>>2]=(f[i>>2]|0)+s;f[t>>2]=(f[t>>2]|0)+s;i=Y(s,h)|0;s=w+16|0;f[s>>2]=(f[s>>2]|0)+(0-i);if((r|0)<=0)break;else l=w}u=g;return}else{w=m;m=d;while(1){if((w|0)!=0?(d=f[w+8>>2]|0,(d|0)!=0):0){y=w;z=d}else{PK(a,1);d=f[v>>2]|0;y=d;z=f[d+8>>2]|0}d=(z|0)>(m|0)?m:z;m=m-d|0;f[y+8>>2]=z-d;l=y+12|0;f[l>>2]=(f[l>>2]|0)+d;f[t>>2]=(f[t>>2]|0)+d;l=Y(d,h)|0;d=y+16|0;r=(f[d>>2]|0)+(0-l)|0;f[d>>2]=r;szc(r|0,c+(Y(m,h)|0)|0,l|0)|0;if((m|0)<=0)break;else w=y}u=g;return}}function UK(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0;g=u;u=u+16|0;h=g;if(!a){i=cuc(32)|0;f[h>>2]=i;f[h+8>>2]=-2147483616;f[h+4>>2]=21;j=i;k=210183;l=j+21|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[i+21>>0]=0;WD(-27,h,210259,209295,1528)}if((d|0)<0){i=cuc(48)|0;f[h>>2]=i;f[h+8>>2]=-2147483600;f[h+4>>2]=38;j=i;k=210220;l=j+38|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[i+38>>0]=0;WD(-201,h,210259,209295,1530)}h=a+24|0;i=f[h>>2]|0;k=(i|0)<(d|0)?i:d;if(!e){if(!c)m=0;else m=c+(Y(f[a+28>>2]|0,k)|0)|0;if((k|0)<=0){u=g;return}e=a+52|0;d=a+28|0;j=a+36|0;l=a+32|0;n=a+48|0;o=m;m=k;p=f[e>>2]|0;q=i;while(1){r=f[p>>2]|0;s=r+12|0;t=f[s>>2]|0;v=(t|0)>(m|0)?m:t;w=t-v|0;f[s>>2]=w;f[h>>2]=q-v;s=m-v|0;t=Y(f[d>>2]|0,v)|0;v=0-t|0;x=(f[j>>2]|0)+v|0;f[j>>2]=x;if(!o){y=0;z=r;A=w;B=p}else{w=o+v|0;szc(w|0,x|0,t|0)|0;t=f[e>>2]|0;x=f[t>>2]|0;y=w;z=x;A=f[x+12>>2]|0;B=t}t=z+12|0;if(!A){x=f[d>>2]|0;if((B|0)==(z|0)){w=f[l>>2]|0;v=z+16|0;r=(Y(f[z+8>>2]|0,x)|0)+(w-(f[v>>2]|0))|0;f[t>>2]=r;f[v>>2]=w+(0-r);f[e>>2]=0;f[l>>2]=0;f[j>>2]=0;f[h>>2]=0;C=z+4|0;D=0}else{f[t>>2]=(f[l>>2]|0)-(f[j>>2]|0);t=f[z>>2]|0;r=(f[t+16>>2]|0)+(Y(f[t+12>>2]|0,x)|0)|0;f[j>>2]=r;f[l>>2]=r;r=z+4|0;f[t+4>>2]=f[r>>2];f[f[r>>2]>>2]=t;C=r;D=B}f[C>>2]=f[n>>2];f[n>>2]=z;E=D}else E=B;if((s|0)<=0)break;o=y;m=s;p=E;q=f[h>>2]|0}u=g;return}else{if((k|0)<=0){u=g;return}q=a+52|0;E=a+28|0;p=a+32|0;m=a+36|0;y=a+48|0;a=f[q>>2]|0;o=k;k=c;c=a;B=a;a=i;while(1){i=B+12|0;D=f[i>>2]|0;z=(D|0)>(o|0)?o:D;f[i>>2]=D-z;f[h>>2]=a-z;D=o-z|0;i=B+8|0;f[i>>2]=(f[i>>2]|0)+z;i=Y(f[E>>2]|0,z)|0;if(!k){F=0;G=B;H=c}else{szc(k|0,f[B+16>>2]|0,i|0)|0;z=f[q>>2]|0;F=k+i|0;G=z;H=z}z=G+16|0;f[z>>2]=(f[z>>2]|0)+i;if(!(f[G+12>>2]|0)){i=f[H>>2]|0;z=f[E>>2]|0;if((H|0)==(i|0)){n=f[p>>2]|0;C=H+16|0;l=(Y(f[H+8>>2]|0,z)|0)+(n-(f[C>>2]|0))|0;f[H+12>>2]=l;f[C>>2]=n+(0-l);f[q>>2]=0;f[p>>2]=0;f[m>>2]=0;f[h>>2]=0;I=H+4|0;J=0}else{l=H+8|0;n=f[l>>2]|0;C=Y(n,z)|0;f[H+12>>2]=C;z=H+16|0;f[z>>2]=(f[z>>2]|0)+(0-C);f[l>>2]=0;l=H+4|0;C=f[l>>2]|0;z=C;if((C|0)!=(H|0)){j=C;do{e=j+8|0;f[e>>2]=(f[e>>2]|0)-n;j=f[j+4>>2]|0}while((j|0)!=(H|0))}f[q>>2]=z;f[i+4>>2]=z;f[f[l>>2]>>2]=i;I=l;J=C}f[I>>2]=f[y>>2];f[y>>2]=H;K=J;L=J}else{K=H;L=G}if((D|0)<=0)break;o=D;k=F;c=K;B=L;a=f[h>>2]|0}u=g;return}}function VK(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;g=u;u=u+48|0;h=g+16|0;i=g;if(!a){j=cuc(32)|0;f[i>>2]=j;k=i+8|0;f[k>>2]=-2147483616;l=i+4|0;f[l>>2]=23;m=j;n=210284;o=m+23|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));p=j+23|0;b[p>>0]=0;WD(-5,i,210308,209295,1610)}q=f[a>>2]|0;if((q&-65536|0)!=1117323264){j=cuc(32)|0;f[i>>2]=j;k=i+8|0;f[k>>2]=-2147483616;l=i+4|0;f[l>>2]=23;m=j;n=210284;o=m+23|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));p=j+23|0;b[p>>0]=0;WD(-5,i,210308,209295,1610)}if(!d){p=f[a+44>>2]|0;if(!p){j=cuc(32)|0;f[i>>2]=j;f[i+8>>2]=-2147483616;f[i+4>>2]=20;m=j;n=367220;o=m+20|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));b[j+20>>0]=0;WD(-27,i,210308,209295,1616)}else r=p}else r=d;d=a+28|0;p=f[d>>2]|0;j=c;l=f[j>>2]|0;k=f[j+4>>2]|0;j=f[a+24>>2]|0;if((k|0)==(l|0))s=0;else s=k-l+((l|0)<0?0-j|0:0)+((k|0)<1?j:0)|0;while(1)if((s|0)<0)s=s+j|0;else break;k=(s|0)>(j|0)?j:s;if((l|0)>=0)if((l|0)<(j|0))t=l;else{v=l-j|0;w=14}else{v=j+l|0;w=14}if((w|0)==14){f[c>>2]=v;t=v}if(k>>>0>j>>>0){x=cuc(32)|0;f[i>>2]=x;y=i+8|0;f[y>>2]=-2147483616;z=i+4|0;f[z>>2]=18;m=x;n=210319;o=m+18|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));A=x+18|0;b[A>>0]=0;WD(-211,i,210308,209295,1627)}if((k|0)!=0&t>>>0>=j>>>0){x=cuc(32)|0;f[i>>2]=x;y=i+8|0;f[y>>2]=-2147483616;z=i+4|0;f[z>>2]=18;m=x;n=210319;o=m+18|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));A=x+18|0;b[A>>0]=0;WD(-211,i,210308,209295,1627)}i=DK(q,f[a+4>>2]|0,p,r)|0;if((k|0)<=0){u=g;return i|0}q=h+4|0;A=h+8|0;x=h+20|0;n=h+12|0;m=q+4|0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;f[h>>2]=32;f[q>>2]=a;q=f[a+52>>2]|0;if(!q){f[A>>2]=0;f[A+4>>2]=0;f[A+8>>2]=0;f[A+12>>2]=0;f[A+16>>2]=0;f[A+20>>2]=0;B=n}else{a=f[q>>2]|0;m=f[q+16>>2]|0;f[n>>2]=m;o=f[d>>2]|0;d=(f[a+16>>2]|0)+(Y((f[a+12>>2]|0)+-1|0,o)|0)|0;f[h+28>>2]=d;f[h+24>>2]=f[q+8>>2];d=m;f[A>>2]=q;f[h+16>>2]=d;m=d+(Y(f[q+12>>2]|0,o)|0)|0;f[x>>2]=m;B=n}HK(h,t,0);t=f[B>>2]|0;h=((f[x>>2]|0)-t|0)/(p|0)|0;p=i+52|0;x=i+24|0;if(!e){C=0;D=0;E=k;F=h}else{e=k;k=h;h=t;while(1){t=(k|0)>(e|0)?e:k;TK(i,h,t,0);e=e-t|0;t=f[(f[A>>2]|0)+4>>2]|0;f[A>>2]=t;h=f[t+16>>2]|0;f[B>>2]=h;if((e|0)<=0)break;else k=f[t+12>>2]|0}u=g;return i|0}while(1){k=(F|0)>(E|0)?E:F;e=C;C=AK(r,20)|0;if(!D){f[C+4>>2]=C;f[C>>2]=C;f[p>>2]=C;G=C;H=0}else{f[C>>2]=e;f[C+4>>2]=D;f[D>>2]=C;f[e+4>>2]=C;G=D;H=(f[e+12>>2]|0)+(f[e+8>>2]|0)|0}f[C+8>>2]=H;f[C+16>>2]=f[B>>2];f[C+12>>2]=k;f[x>>2]=(f[x>>2]|0)+k;E=E-k|0;k=f[(f[A>>2]|0)+4>>2]|0;f[A>>2]=k;f[B>>2]=f[k+16>>2];if((E|0)<=0)break;else{D=G;F=f[k+12>>2]|0}}u=g;return i|0}function WK(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0,qc=0,rc=0,sc=0,tc=0,uc=0,vc=0,wc=0,xc=0,yc=0,zc=0,Ac=0,Bc=0,Cc=0,Dc=0,Ec=0,Fc=0,Gc=0,Hc=0,Ic=0,Jc=0,Kc=0,Lc=0,Mc=0,Nc=0,Oc=0,Pc=0,Qc=0,Rc=0,Sc=0,Tc=0,Uc=0,Vc=0,Wc=0,Xc=0,Yc=0,Zc=0,_c=0,$c=0,ad=0,bd=0,cd=0;e=u;u=u+1744|0;g=e+1728|0;h=e+1696|0;i=e+1664|0;j=e+128|0;k=e+96|0;l=e+64|0;m=e+32|0;n=e;o=(a|0)!=0;if(!o){p=o?-5:-27;q=cuc(32)|0;f[g>>2]=q;r=g+8|0;f[r>>2]=-2147483616;s=g+4|0;f[s>>2]=18;t=q;v=210338;w=t+18|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));x=q+18|0;b[x>>0]=0;WD(p,g,210357,209295,1921)}if((f[a>>2]&-65536|0)!=1117323264){p=o?-5:-27;q=cuc(32)|0;f[g>>2]=q;r=g+8|0;f[r>>2]=-2147483616;s=g+4|0;f[s>>2]=18;t=q;v=210338;w=t+18|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));x=q+18|0;b[x>>0]=0;WD(p,g,210357,209295,1921)}if(!c){p=cuc(32)|0;f[g>>2]=p;f[g+8>>2]=-2147483616;f[g+4>>2]=21;t=p;v=210367;w=t+21|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));b[p+21>>0]=0;WD(-27,g,210357,209295,1924)}p=a+24|0;if((f[p>>2]|0)<2){u=e;return}v=f[a+28>>2]|0;t=v*7|0;w=h+4|0;x=h+8|0;q=h+16|0;s=h+20|0;r=h+12|0;o=w+4|0;f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;f[o+12>>2]=0;f[h>>2]=32;f[w>>2]=a;o=f[a+52>>2]|0;if(!o){f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;f[x+12>>2]=0;f[x+16>>2]=0;f[x+20>>2]=0;y=r;z=0;A=0;B=0}else{a=f[o>>2]|0;C=f[o+16>>2]|0;f[r>>2]=C;D=(f[a+16>>2]|0)+(Y((f[a+12>>2]|0)+-1|0,v)|0)|0;f[h+28>>2]=D;f[h+24>>2]=f[o+8>>2];D=C;f[x>>2]=o;f[q>>2]=D;a=D+(Y(f[o+12>>2]|0,v)|0)|0;f[s>>2]=a;y=r;z=o;A=C;B=a};f[i>>2]=f[h>>2];f[i+4>>2]=f[h+4>>2];f[i+8>>2]=f[h+8>>2];f[i+12>>2]=f[h+12>>2];f[i+16>>2]=f[h+16>>2];f[i+20>>2]=f[h+20>>2];f[i+24>>2]=f[h+24>>2];f[i+28>>2]=f[h+28>>2];f[j>>2]=z;f[j+4>>2]=A;f[j+8>>2]=A;f[j+12>>2]=B;z=i+12|0;a=0-v|0;C=(f[z>>2]|0)+a|0;f[z>>2]=C;o=i+16|0;D=f[o>>2]|0;E=i+8|0;if(C>>>0<D>>>0){F=i+4|0;G=f[(f[F>>2]|0)+28>>2]|0;H=f[f[E>>2]>>2]|0;f[E>>2]=H;I=f[H+16>>2]|0;J=f[H+12>>2]|0;K=I+(Y(J+-1|0,G)|0)|0;f[z>>2]=K;f[o>>2]=I;L=I+(Y(J,G)|0)|0;G=i+20|0;f[G>>2]=L;M=I;N=K;O=E;P=G;Q=G;R=F;S=L;T=H}else{H=i+20|0;M=D;N=C;O=E;P=H;Q=H;R=i+4|0;S=f[H>>2]|0;T=f[E>>2]|0}H=N;N=M;f[j+16>>2]=T;f[j+20>>2]=H;f[j+24>>2]=N;f[j+28>>2]=S;M=i+24|0;C=i+28|0;D=l+4|0;L=l+8|0;F=l+12|0;G=l+16|0;K=l+20|0;I=l+24|0;J=l+28|0;U=m+12|0;V=h+24|0;W=(v|0)>0;X=k+12|0;Z=k+4|0;_=k+16|0;$=k+8|0;aa=k+24|0;ba=m+20|0;ca=n+12|0;da=n+20|0;ea=n+8|0;fa=n+4|0;ga=n+16|0;ha=m+8|0;ia=m+4|0;ja=m+16|0;ka=k+20|0;la=(v|0)<1;ma=W^1;na=(v|0)==1;oa=(v|0)==1;pa=(v|0)==1;qa=(v|0)==1;ra=0;sa=A;ta=A;A=B;B=T;T=H;H=N;N=S;a:while(1){S=f[j+(ra<<5)>>2]|0;f[x>>2]=S;f[y>>2]=sa;f[q>>2]=ta;f[s>>2]=A;f[O>>2]=B;f[z>>2]=T;f[o>>2]=H;f[Q>>2]=N;ua=ra+-1|0;va=S;S=B;b:while(1){if((va|0)==(S|0)){wa=f[z>>2]|0;xa=f[y>>2]|0;ya=wa+v-xa|0;za=wa;Aa=xa}else{xa=f[z>>2]|0;if(!xa){Ba=20;break a}wa=f[(f[R>>2]|0)+28>>2]|0;Ca=xa-(f[o>>2]|0)|0;if((wa|0)<33?(Da=wa+-1|0,(-2147450741>>>Da&1|0)!=0):0)Ea=Ca>>b[209785+Da>>0];else Ea=(Ca|0)/(wa|0)|0;wa=f[S+8>>2]|0;Ca=f[M>>2]|0;Da=f[r>>2]|0;if(!Da){Ba=26;break a}Fa=f[(f[w>>2]|0)+28>>2]|0;Ga=Da-(f[q>>2]|0)|0;if((Fa|0)<33?(Ha=Fa+-1|0,(-2147450741>>>Ha&1|0)!=0):0)Ia=Ga>>b[209785+Ha>>0];else Ia=(Ga|0)/(Fa|0)|0;ya=Y(Ea+1+wa-Ca-Ia-(f[va+8>>2]|0)+(f[V>>2]|0)|0,v)|0;za=xa;Aa=Da}if((ya|0)<=(t|0)){Ja=ua;Ka=va;La=Aa;Ba=33;break};f[m>>2]=f[h>>2];f[m+4>>2]=f[h+4>>2];f[m+8>>2]=f[h+8>>2];f[m+12>>2]=f[h+12>>2];f[m+16>>2]=f[h+16>>2];f[m+20>>2]=f[h+20>>2];f[m+24>>2]=f[h+24>>2];f[m+28>>2]=f[h+28>>2];f[k>>2]=f[h>>2];f[k+4>>2]=f[h+4>>2];f[k+8>>2]=f[h+8>>2];f[k+12>>2]=f[h+12>>2];f[k+16>>2]=f[h+16>>2];f[k+20>>2]=f[h+20>>2];f[k+24>>2]=f[h+24>>2];f[k+28>>2]=f[h+28>>2];Da=f[R>>2]|0;xa=f[o>>2]|0;Ca=f[Q>>2]|0;wa=f[M>>2]|0;Fa=f[C>>2]|0;f[l>>2]=f[i>>2];f[D>>2]=Da;f[L>>2]=S;f[F>>2]=za;f[G>>2]=xa;f[K>>2]=Ca;f[I>>2]=wa;f[J>>2]=Fa;Fa=(ya|0)/(v|0)|0;do if((Fa|0)>40){Ca=Fa>>>3;Ga=f[U>>2]|0;HK(m,Ca,1);Ha=f[U>>2]|0;HK(m,Ca,1);Ma=f[U>>2]|0;Na=(li[c&511](Ga,Ha,d)|0)<0;Oa=li[c&511](Ha,Ma,d)|0;if(Na)if((Oa|0)<0)Pa=Ha;else{Na=(li[c&511](Ga,Ma,d)|0)<0;Pa=Na?Ma:Ga}else if((Oa|0)>0)Pa=Ha;else{Ha=(li[c&511](Ga,Ma,d)|0)<0;Pa=Ha?Ga:Ma}Ma=Fa>>>1;Ga=Ca*3|0;HK(m,Ma-Ga|0,1);Ha=f[U>>2]|0;HK(m,Ca,1);Oa=f[U>>2]|0;HK(m,Ca,1);Na=f[U>>2]|0;Qa=(li[c&511](Ha,Oa,d)|0)<0;Ra=li[c&511](Oa,Na,d)|0;if(Qa)if((Ra|0)<0)Sa=Oa;else{Qa=(li[c&511](Ha,Na,d)|0)<0;Sa=Qa?Na:Ha}else if((Ra|0)>0)Sa=Oa;else{Oa=(li[c&511](Ha,Na,d)|0)<0;Sa=Oa?Ha:Na}HK(m,Fa+-1-Ma-Ga|0,1);Ga=f[U>>2]|0;HK(m,Ca,1);Ma=f[U>>2]|0;HK(m,Ca,1);Ca=f[U>>2]|0;Na=(li[c&511](Ga,Ma,d)|0)<0;Ha=li[c&511](Ma,Ca,d)|0;if(Na){if((Ha|0)<0){Ta=Pa;Ua=Sa;Va=Ma;break}Na=(li[c&511](Ga,Ca,d)|0)<0;Ta=Pa;Ua=Sa;Va=Na?Ca:Ga;break}else{if((Ha|0)>0){Ta=Pa;Ua=Sa;Va=Ma;break}Ma=(li[c&511](Ga,Ca,d)|0)<0;Ta=Pa;Ua=Sa;Va=Ma?Ga:Ca;break}}else{Ca=f[U>>2]|0;Ga=(Fa|0)/2|0;HK(m,Ga,1);Ma=f[U>>2]|0;HK(m,Fa+-1-Ga|0,1);Ta=Ca;Ua=Ma;Va=f[U>>2]|0}while(0);Fa=(li[c&511](Ta,Ua,d)|0)<0;Ma=li[c&511](Ua,Va,d)|0;if(Fa)if((Ma|0)<0)Wa=Ua;else{Fa=(li[c&511](Ta,Va,d)|0)<0;Wa=Fa?Va:Ta}else if((Ma|0)>0)Wa=Ua;else{Ma=(li[c&511](Ta,Va,d)|0)<0;Wa=Ma?Ta:Va};f[h>>2]=f[k>>2];f[h+4>>2]=f[k+4>>2];f[h+8>>2]=f[k+8>>2];f[h+12>>2]=f[k+12>>2];f[h+16>>2]=f[k+16>>2];f[h+20>>2]=f[k+20>>2];f[h+24>>2]=f[k+24>>2];f[h+28>>2]=f[k+28>>2];Ma=f[r>>2]|0;if((Wa|0)==(Ma|0)|ma)Xa=Ma;else{Fa=0;Ca=Ma;while(1){Ma=Wa+Fa|0;Ga=b[Ma>>0]|0;b[Ma>>0]=b[Ca+Fa>>0]|0;b[(f[r>>2]|0)+Fa>>0]=Ga;Fa=Fa+1|0;Ga=f[r>>2]|0;if((Fa|0)==(v|0)){Xa=Ga;break}else Ca=Ga}}Ca=Xa+v|0;f[r>>2]=Ca;Fa=f[s>>2]|0;if(Ca>>>0<Fa>>>0){Ya=Ca;Za=f[q>>2]|0;_a=Fa;$a=f[w>>2]|0;ab=f[x>>2]|0}else{Fa=f[w>>2]|0;Ca=f[Fa+28>>2]|0;Ga=f[(f[x>>2]|0)+4>>2]|0;f[x>>2]=Ga;Ma=f[Ga+16>>2]|0;Ha=f[Ga+12>>2]|0;f[r>>2]=Ma;f[q>>2]=Ma;Na=Ma+(Y(Ha,Ca)|0)|0;f[s>>2]=Na;Ya=Ma;Za=Ma;_a=Na;$a=Fa;ab=Ga}Ga=f[V>>2]|0;Fa=Da+28|0;Na=$a+28|0;Ma=0;Ca=Ya;Ha=xa;Oa=Za;Ra=_a;Qa=S;bb=ab;cb=za;db=Ya;eb=f[z>>2]|0;while(1){c:do if((db|0)==(eb|0)){fb=Ma;gb=Ca;hb=Oa;ib=Ra;jb=bb}else{if(W){kb=Ma;lb=Ca;mb=Oa;nb=Ra;ob=bb;pb=db}else{qb=Ma;rb=Ca;sb=Oa;tb=Ra;ub=bb;vb=db;while(1){wb=li[c&511](vb,Xa,d)|0;if((wb|0)>=1){fb=qb;gb=rb;hb=sb;ib=tb;jb=ub;break c}do if(!wb){xb=rb+v|0;if(xb>>>0<tb>>>0){yb=1;zb=xb;Ab=sb;Bb=tb;Cb=ub;break}xb=f[ub+4>>2]|0;Db=f[xb+16>>2]|0;yb=1;zb=Db;Ab=Db;Bb=Db+(Y(f[xb+12>>2]|0,f[Na>>2]|0)|0)|0;Cb=xb}else{yb=qb;zb=rb;Ab=sb;Bb=tb;Cb=ub}while(0);wb=(f[r>>2]|0)+v|0;f[r>>2]=wb;if(wb>>>0<(f[s>>2]|0)>>>0)Eb=wb;else{wb=f[(f[w>>2]|0)+28>>2]|0;xb=f[(f[x>>2]|0)+4>>2]|0;f[x>>2]=xb;Db=f[xb+16>>2]|0;Fb=f[xb+12>>2]|0;f[r>>2]=Db;f[q>>2]=Db;xb=Db+(Y(Fb,wb)|0)|0;f[s>>2]=xb;Eb=Db}if((Eb|0)==(f[z>>2]|0)){fb=yb;gb=zb;hb=Ab;ib=Bb;jb=Cb;break c}else{qb=yb;rb=zb;sb=Ab;tb=Bb;ub=Cb;vb=Eb}}}while(1){vb=li[c&511](pb,Xa,d)|0;if((vb|0)>=1){fb=kb;gb=lb;hb=mb;ib=nb;jb=ob;break c}do if(!vb){ub=f[r>>2]|0;do if((lb|0)!=(ub|0)){tb=b[lb>>0]|0;b[lb>>0]=b[ub>>0]|0;b[f[r>>2]>>0]=tb;if(pa)break;else Gb=1;do{tb=lb+Gb|0;sb=b[tb>>0]|0;b[tb>>0]=b[(f[r>>2]|0)+Gb>>0]|0;b[(f[r>>2]|0)+Gb>>0]=sb;Gb=Gb+1|0}while((Gb|0)!=(v|0))}while(0);ub=lb+v|0;if(ub>>>0<nb>>>0){Hb=1;Ib=ub;Jb=mb;Kb=nb;Lb=ob;break}ub=f[ob+4>>2]|0;sb=f[ub+16>>2]|0;Hb=1;Ib=sb;Jb=sb;Kb=sb+(Y(f[ub+12>>2]|0,f[Na>>2]|0)|0)|0;Lb=ub}else{Hb=kb;Ib=lb;Jb=mb;Kb=nb;Lb=ob}while(0);vb=(f[r>>2]|0)+v|0;f[r>>2]=vb;if(vb>>>0<(f[s>>2]|0)>>>0)Mb=vb;else{vb=f[(f[w>>2]|0)+28>>2]|0;ub=f[(f[x>>2]|0)+4>>2]|0;f[x>>2]=ub;sb=f[ub+16>>2]|0;tb=f[ub+12>>2]|0;f[r>>2]=sb;f[q>>2]=sb;ub=sb+(Y(tb,vb)|0)|0;f[s>>2]=ub;Mb=sb}if((Mb|0)==(f[z>>2]|0)){fb=Hb;gb=Ib;hb=Jb;ib=Kb;jb=Lb;break}else{kb=Hb;lb=Ib;mb=Jb;nb=Kb;ob=Lb;pb=Mb}}}while(0);sb=f[z>>2]|0;d:do if((f[r>>2]|0)==(sb|0)){Nb=fb;Ob=Ha;Pb=Qa;Qb=cb}else{if(W){Rb=fb;Sb=Ha;Tb=Qa;Ub=cb;Vb=sb}else{ub=fb;vb=Ha;tb=Qa;rb=cb;qb=sb;while(1){Db=li[c&511](qb,Xa,d)|0;if((Db|0)<=-1){Nb=ub;Ob=vb;Pb=tb;Qb=rb;break d}do if(!Db){xb=rb+a|0;if(xb>>>0>=vb>>>0){Wb=1;Xb=vb;Yb=tb;Zb=xb;break}xb=f[tb>>2]|0;wb=f[xb+16>>2]|0;Wb=1;Xb=wb;Yb=xb;Zb=wb+(Y((f[xb+12>>2]|0)+-1|0,f[Fa>>2]|0)|0)|0}else{Wb=ub;Xb=vb;Yb=tb;Zb=rb}while(0);Db=(f[z>>2]|0)+a|0;f[z>>2]=Db;if(Db>>>0<(f[o>>2]|0)>>>0){xb=f[(f[R>>2]|0)+28>>2]|0;wb=f[f[E>>2]>>2]|0;f[E>>2]=wb;Fb=f[wb+16>>2]|0;_b=f[wb+12>>2]|0;wb=Fb+(Y(_b+-1|0,xb)|0)|0;f[z>>2]=wb;f[o>>2]=Fb;$b=Fb+(Y(_b,xb)|0)|0;f[P>>2]=$b;ac=wb}else ac=Db;if((f[r>>2]|0)==(ac|0)){Nb=Wb;Ob=Xb;Pb=Yb;Qb=Zb;break d}else{ub=Wb;vb=Xb;tb=Yb;rb=Zb;qb=ac}}}while(1){qb=li[c&511](Vb,Xa,d)|0;if((qb|0)<=-1){Nb=Rb;Ob=Sb;Pb=Tb;Qb=Ub;break d}do if(!qb){rb=f[z>>2]|0;do if((Ub|0)!=(rb|0)){tb=b[Ub>>0]|0;b[Ub>>0]=b[rb>>0]|0;b[f[z>>2]>>0]=tb;if(oa)break;else bc=1;do{tb=Ub+bc|0;vb=b[tb>>0]|0;b[tb>>0]=b[(f[z>>2]|0)+bc>>0]|0;b[(f[z>>2]|0)+bc>>0]=vb;bc=bc+1|0}while((bc|0)!=(v|0))}while(0);rb=Ub+a|0;if(rb>>>0>=Sb>>>0){cc=1;dc=Sb;ec=Tb;fc=rb;break}rb=f[Tb>>2]|0;vb=f[rb+16>>2]|0;cc=1;dc=vb;ec=rb;fc=vb+(Y((f[rb+12>>2]|0)+-1|0,f[Fa>>2]|0)|0)|0}else{cc=Rb;dc=Sb;ec=Tb;fc=Ub}while(0);qb=(f[z>>2]|0)+a|0;f[z>>2]=qb;if(qb>>>0<(f[o>>2]|0)>>>0){rb=f[(f[R>>2]|0)+28>>2]|0;vb=f[f[E>>2]>>2]|0;f[E>>2]=vb;tb=f[vb+16>>2]|0;ub=f[vb+12>>2]|0;vb=tb+(Y(ub+-1|0,rb)|0)|0;f[z>>2]=vb;f[o>>2]=tb;Db=tb+(Y(ub,rb)|0)|0;f[P>>2]=Db;gc=vb}else gc=qb;if((f[r>>2]|0)==(gc|0)){Nb=cc;Ob=dc;Pb=ec;Qb=fc;break}else{Rb=cc;Sb=dc;Tb=ec;Ub=fc;Vb=gc}}}while(0);hc=f[r>>2]|0;sb=f[z>>2]|0;if((hc|0)==(sb|0)){Ba=123;break}do if(W){qb=b[hc>>0]|0;b[hc>>0]=b[sb>>0]|0;b[f[z>>2]>>0]=qb;qb=f[r>>2]|0;if(na){ic=qb;break}else{jc=qb;kc=1}while(1){qb=jc+kc|0;vb=b[qb>>0]|0;b[qb>>0]=b[(f[z>>2]|0)+kc>>0]|0;b[(f[z>>2]|0)+kc>>0]=vb;kc=kc+1|0;vb=f[r>>2]|0;if((kc|0)==(v|0)){ic=vb;break}else jc=vb}}else ic=hc;while(0);sb=ic+v|0;f[r>>2]=sb;if(sb>>>0<(f[s>>2]|0)>>>0)lc=sb;else{sb=f[(f[w>>2]|0)+28>>2]|0;vb=f[(f[x>>2]|0)+4>>2]|0;f[x>>2]=vb;qb=f[vb+16>>2]|0;Db=f[vb+12>>2]|0;f[r>>2]=qb;f[q>>2]=qb;vb=qb+(Y(Db,sb)|0)|0;f[s>>2]=vb;lc=qb}qb=f[z>>2]|0;vb=qb+a|0;f[z>>2]=vb;if(vb>>>0<(f[o>>2]|0)>>>0){sb=f[(f[R>>2]|0)+28>>2]|0;Db=f[f[E>>2]>>2]|0;f[E>>2]=Db;rb=f[Db+16>>2]|0;ub=f[Db+12>>2]|0;Db=rb+(Y(ub+-1|0,sb)|0)|0;f[z>>2]=Db;f[o>>2]=rb;tb=rb+(Y(ub,sb)|0)|0;f[P>>2]=tb;mc=Db}else mc=vb;if((lc|0)==(qb|0)){nc=gb;oc=hb;pc=jb;qc=lc;Ba=143;break}else{Ma=1;Ca=gb;Ha=Ob;Oa=hb;Ra=ib;Qa=Pb;bb=jb;cb=Qb;db=lc;eb=mc}}do if((Ba|0)==123){Ba=0;eb=li[c&511](hc,Xa,d)|0;if(!eb){db=f[r>>2]|0;if(!((gb|0)==(db|0)|la)?(cb=b[gb>>0]|0,b[gb>>0]=b[db>>0]|0,b[f[r>>2]>>0]=cb,!qa):0){cb=1;do{db=gb+cb|0;bb=b[db>>0]|0;b[db>>0]=b[(f[r>>2]|0)+cb>>0]|0;b[(f[r>>2]|0)+cb>>0]=bb;cb=cb+1|0}while((cb|0)!=(v|0))}cb=gb+v|0;if(cb>>>0<ib>>>0){rc=1;sc=cb;tc=hb;uc=jb}else{cb=f[jb+4>>2]|0;bb=f[cb+16>>2]|0;rc=1;sc=bb;tc=bb;uc=cb}}else{rc=Nb;sc=gb;tc=hb;uc=jb}if((eb|0)<1){cb=(f[r>>2]|0)+v|0;f[r>>2]=cb;if(cb>>>0>=(f[s>>2]|0)>>>0){cb=f[(f[w>>2]|0)+28>>2]|0;bb=f[(f[x>>2]|0)+4>>2]|0;f[x>>2]=bb;db=f[bb+16>>2]|0;Qa=f[bb+12>>2]|0;f[r>>2]=db;f[q>>2]=db;bb=db+(Y(Qa,cb)|0)|0;f[s>>2]=bb}}else{bb=(f[z>>2]|0)+a|0;f[z>>2]=bb;if(bb>>>0<(f[o>>2]|0)>>>0){bb=f[(f[R>>2]|0)+28>>2]|0;cb=f[f[E>>2]>>2]|0;f[E>>2]=cb;Qa=f[cb+16>>2]|0;db=f[cb+12>>2]|0;cb=Qa+(Y(db+-1|0,bb)|0)|0;f[z>>2]=cb;f[o>>2]=Qa;cb=Qa+(Y(db,bb)|0)|0;f[P>>2]=cb}}if(!rc){f[h>>2]=f[k>>2];f[h+4>>2]=f[k+4>>2];f[h+8>>2]=f[k+8>>2];f[h+12>>2]=f[k+12>>2];f[h+16>>2]=f[k+16>>2];f[h+20>>2]=f[k+20>>2];f[h+24>>2]=f[k+24>>2];f[h+28>>2]=f[k+28>>2];f[i>>2]=f[l>>2];f[i+4>>2]=f[l+4>>2];f[i+8>>2]=f[l+8>>2];f[i+12>>2]=f[l+12>>2];f[i+16>>2]=f[l+16>>2];f[i+20>>2]=f[l+20>>2];f[i+24>>2]=f[l+24>>2];f[i+28>>2]=f[l+28>>2];vc=6;wc=ua;break}else{nc=sc;oc=tc;pc=uc;qc=f[r>>2]|0;Ba=143;break}}while(0);do if((Ba|0)==143){Ba=0;if(!qc){Ba=144;break a}cb=f[(f[w>>2]|0)+28>>2]|0;bb=qc-(f[q>>2]|0)|0;if((cb|0)<33?(db=cb+-1|0,(-2147450741>>>db&1|0)!=0):0)xc=bb>>b[209785+db>>0];else xc=(bb|0)/(cb|0)|0;cb=(f[(f[x>>2]|0)+8>>2]|0)+xc-(f[V>>2]|0)|0;if(!cb)yc=f[p>>2]|0;else yc=cb;cb=f[X>>2]|0;if(!cb){Ba=152;break a}bb=f[(f[Z>>2]|0)+28>>2]|0;db=cb-(f[_>>2]|0)|0;do if((bb|0)<33){cb=bb+-1|0;if(!(-2147450741>>>cb&1)){Ba=156;break}zc=db>>b[209785+cb>>0]}else Ba=156;while(0);if((Ba|0)==156){Ba=0;zc=(db|0)/(bb|0)|0}eb=f[(f[$>>2]|0)+8>>2]|0;cb=f[aa>>2]|0;if(!nc){Ba=158;break a}Qa=f[Na>>2]|0;Ra=nc-oc|0;do if((Qa|0)<33){Oa=Qa+-1|0;if(!(-2147450741>>>Oa&1)){Ba=162;break}Ac=Ra>>b[209785+Oa>>0]}else Ba=162;while(0);if((Ba|0)==162){Ba=0;Ac=(Ra|0)/(Qa|0)|0}bb=Ac-Ga+(f[pc+8>>2]|0)|0;if(!bb)Bc=f[p>>2]|0;else Bc=bb;bb=yc-Bc|0;db=cb-(eb+zc)+Bc|0;Oa=(bb|0)>(db|0)?db:bb;do if((Oa|0)>0){f[m>>2]=f[k>>2];f[m+4>>2]=f[k+4>>2];f[m+8>>2]=f[k+8>>2];f[m+12>>2]=f[k+12>>2];f[m+16>>2]=f[k+16>>2];f[m+20>>2]=f[k+20>>2];f[m+24>>2]=f[k+24>>2];f[m+28>>2]=f[k+28>>2];f[n>>2]=f[h>>2];f[n+4>>2]=f[h+4>>2];f[n+8>>2]=f[h+8>>2];f[n+12>>2]=f[h+12>>2];f[n+16>>2]=f[h+16>>2];f[n+20>>2]=f[h+20>>2];f[n+24>>2]=f[h+24>>2];f[n+28>>2]=f[h+28>>2];HK(n,0-Oa|0,1);db=f[U>>2]|0;if(W){Ha=0;Ca=db;while(1){Ma=0;xa=Ca;do{Da=xa+Ma|0;qb=b[Da>>0]|0;b[Da>>0]=b[(f[ca>>2]|0)+Ma>>0]|0;b[(f[ca>>2]|0)+Ma>>0]=qb;Ma=Ma+1|0;xa=f[U>>2]|0}while((Ma|0)!=(v|0));Ma=xa+v|0;f[U>>2]=Ma;if(Ma>>>0<(f[ba>>2]|0)>>>0)Cc=Ma;else{Ma=f[(f[ia>>2]|0)+28>>2]|0;qb=f[(f[ha>>2]|0)+4>>2]|0;f[ha>>2]=qb;Da=f[qb+16>>2]|0;vb=f[qb+12>>2]|0;f[U>>2]=Da;f[ja>>2]=Da;qb=Da+(Y(vb,Ma)|0)|0;f[ba>>2]=qb;Cc=Da}Da=(f[ca>>2]|0)+v|0;f[ca>>2]=Da;if(Da>>>0>=(f[da>>2]|0)>>>0){Da=f[(f[fa>>2]|0)+28>>2]|0;qb=f[(f[ea>>2]|0)+4>>2]|0;f[ea>>2]=qb;Ma=f[qb+16>>2]|0;vb=f[qb+12>>2]|0;f[ca>>2]=Ma;f[ga>>2]=Ma;qb=Ma+(Y(vb,Da)|0)|0;f[da>>2]=qb}Ha=Ha+1|0;if((Ha|0)>=(Oa|0))break;else Ca=Cc}}else{Ca=(f[fa>>2]|0)+28|0;Ha=(f[ia>>2]|0)+28|0;qb=0;Da=db;vb=f[ba>>2]|0;Ma=f[ca>>2]|0;while(1){Db=Da+v|0;if(Db>>>0<vb>>>0){Dc=Db;Ec=vb}else{Db=f[Ha>>2]|0;tb=f[(f[ha>>2]|0)+4>>2]|0;f[ha>>2]=tb;sb=f[tb+16>>2]|0;ub=f[tb+12>>2]|0;f[ja>>2]=sb;tb=sb+(Y(ub,Db)|0)|0;f[ba>>2]=tb;Dc=sb;Ec=tb}tb=Ma+v|0;if(tb>>>0<(f[da>>2]|0)>>>0)Fc=tb;else{tb=f[Ca>>2]|0;sb=f[(f[ea>>2]|0)+4>>2]|0;f[ea>>2]=sb;Db=f[sb+16>>2]|0;ub=f[sb+12>>2]|0;f[ga>>2]=Db;sb=Db+(Y(ub,tb)|0)|0;f[da>>2]=sb;Fc=Db}qb=qb+1|0;if((qb|0)>=(Oa|0))break;else{Da=Dc;vb=Ec;Ma=Fc}}f[U>>2]=Dc;f[ca>>2]=Fc;break}}while(0);Oa=f[z>>2]|0;if(!Oa){Ba=182;break a}eb=f[(f[R>>2]|0)+28>>2]|0;cb=Oa-(f[o>>2]|0)|0;do if((eb|0)<33){Oa=eb+-1|0;if(!(-2147450741>>>Oa&1)){Ba=186;break}Gc=cb>>b[209785+Oa>>0]}else Ba=186;while(0);if((Ba|0)==186){Ba=0;Gc=(cb|0)/(eb|0)|0}Oa=f[(f[E>>2]|0)+8>>2]|0;Qa=f[M>>2]|0;Ra=f[F>>2]|0;if(!Ra){Ba=188;break a}Ma=f[(f[D>>2]|0)+28>>2]|0;vb=Ra-(f[G>>2]|0)|0;do if((Ma|0)<33){Ra=Ma+-1|0;if(!(-2147450741>>>Ra&1)){Ba=192;break}Hc=vb>>b[209785+Ra>>0]}else Ba=192;while(0);if((Ba|0)==192){Ba=0;Hc=(vb|0)/(Ma|0)|0}eb=(f[(f[L>>2]|0)+8>>2]|0)+Hc-(f[I>>2]|0)|0;if(!Qb){Ba=194;break a}cb=f[Fa>>2]|0;Ra=Qb-Ob|0;do if((cb|0)<33){Da=cb+-1|0;if(!(-2147450741>>>Da&1)){Ba=198;break}Ic=Ra>>b[209785+Da>>0]}else Ba=198;while(0);if((Ba|0)==198){Ba=0;Ic=(Ra|0)/(cb|0)|0}Ma=Ic-wa+(f[Pb+8>>2]|0)|0;vb=eb-Ma|0;Da=Qa-(Oa+Gc)+Ma|0;Ma=(vb|0)>(Da|0)?Da:vb;do if((Ma|0)>0){f[m>>2]=f[h>>2];f[m+4>>2]=f[h+4>>2];f[m+8>>2]=f[h+8>>2];f[m+12>>2]=f[h+12>>2];f[m+16>>2]=f[h+16>>2];f[m+20>>2]=f[h+20>>2];f[m+24>>2]=f[h+24>>2];f[m+28>>2]=f[h+28>>2];f[n>>2]=f[l>>2];f[n+4>>2]=f[l+4>>2];f[n+8>>2]=f[l+8>>2];f[n+12>>2]=f[l+12>>2];f[n+16>>2]=f[l+16>>2];f[n+20>>2]=f[l+20>>2];f[n+24>>2]=f[l+24>>2];f[n+28>>2]=f[l+28>>2];HK(n,1-Ma|0,1);vb=f[U>>2]|0;if(W){qb=0;Ca=vb;while(1){Ha=0;db=Ca;do{Db=db+Ha|0;sb=b[Db>>0]|0;b[Db>>0]=b[(f[ca>>2]|0)+Ha>>0]|0;b[(f[ca>>2]|0)+Ha>>0]=sb;Ha=Ha+1|0;db=f[U>>2]|0}while((Ha|0)!=(v|0));Ha=db+v|0;f[U>>2]=Ha;if(Ha>>>0<(f[ba>>2]|0)>>>0)Jc=Ha;else{Ha=f[(f[ia>>2]|0)+28>>2]|0;xa=f[(f[ha>>2]|0)+4>>2]|0;f[ha>>2]=xa;sb=f[xa+16>>2]|0;Db=f[xa+12>>2]|0;f[U>>2]=sb;f[ja>>2]=sb;xa=sb+(Y(Db,Ha)|0)|0;f[ba>>2]=xa;Jc=sb}sb=(f[ca>>2]|0)+v|0;f[ca>>2]=sb;if(sb>>>0>=(f[da>>2]|0)>>>0){sb=f[(f[fa>>2]|0)+28>>2]|0;xa=f[(f[ea>>2]|0)+4>>2]|0;f[ea>>2]=xa;Ha=f[xa+16>>2]|0;Db=f[xa+12>>2]|0;f[ca>>2]=Ha;f[ga>>2]=Ha;xa=Ha+(Y(Db,sb)|0)|0;f[da>>2]=xa}qb=qb+1|0;if((qb|0)>=(Ma|0))break;else Ca=Jc}}else{Ca=(f[fa>>2]|0)+28|0;qb=(f[ia>>2]|0)+28|0;xa=0;sb=vb;Db=f[ba>>2]|0;Ha=f[ca>>2]|0;while(1){tb=sb+v|0;if(tb>>>0<Db>>>0){Kc=tb;Lc=Db}else{tb=f[qb>>2]|0;ub=f[(f[ha>>2]|0)+4>>2]|0;f[ha>>2]=ub;rb=f[ub+16>>2]|0;wb=f[ub+12>>2]|0;f[ja>>2]=rb;ub=rb+(Y(wb,tb)|0)|0;f[ba>>2]=ub;Kc=rb;Lc=ub}ub=Ha+v|0;if(ub>>>0<(f[da>>2]|0)>>>0)Mc=ub;else{ub=f[Ca>>2]|0;rb=f[(f[ea>>2]|0)+4>>2]|0;f[ea>>2]=rb;tb=f[rb+16>>2]|0;wb=f[rb+12>>2]|0;f[ga>>2]=tb;rb=tb+(Y(wb,ub)|0)|0;f[da>>2]=rb;Mc=tb}xa=xa+1|0;if((xa|0)>=(Ma|0))break;else{sb=Kc;Db=Lc;Ha=Mc}}f[U>>2]=Kc;f[ca>>2]=Mc;break}}while(0);Ma=(Da|0)>1;if((bb|0)<=1){if(!Ma){vc=4;wc=ua;break}f[i>>2]=f[l>>2];f[i+4>>2]=f[l+4>>2];f[i+8>>2]=f[l+8>>2];f[i+12>>2]=f[l+12>>2];f[i+16>>2]=f[l+16>>2];f[i+20>>2]=f[l+20>>2];f[i+24>>2]=f[l+24>>2];f[i+28>>2]=f[l+28>>2];f[h>>2]=f[l>>2];f[h+4>>2]=f[l+4>>2];f[h+8>>2]=f[l+8>>2];f[h+12>>2]=f[l+12>>2];f[h+16>>2]=f[l+16>>2];f[h+20>>2]=f[l+20>>2];f[h+24>>2]=f[l+24>>2];f[h+28>>2]=f[l+28>>2];HK(h,1-Da|0,1);vc=0;wc=ua;break}if(!Ma){f[i>>2]=f[k>>2];f[i+4>>2]=f[k+4>>2];f[i+8>>2]=f[k+8>>2];f[i+12>>2]=f[k+12>>2];f[i+16>>2]=f[k+16>>2];f[i+20>>2]=f[k+20>>2];f[i+24>>2]=f[k+24>>2];f[i+28>>2]=f[k+28>>2];f[h>>2]=f[k>>2];f[h+4>>2]=f[k+4>>2];f[h+8>>2]=f[k+8>>2];f[h+12>>2]=f[k+12>>2];f[h+16>>2]=f[k+16>>2];f[h+20>>2]=f[k+20>>2];f[h+24>>2]=f[k+24>>2];f[h+28>>2]=f[k+28>>2];HK(i,bb+-1|0,1);vc=0;wc=ua;break}Ma=ua+1|0;if((bb|0)>(Da|0)){f[j+(Ma<<5)>>2]=f[$>>2];f[j+(Ma<<5)+4>>2]=f[X>>2];f[j+(Ma<<5)+8>>2]=f[_>>2];f[j+(Ma<<5)+12>>2]=f[ka>>2];HK(k,bb+-1|0,1);f[j+(Ma<<5)+16>>2]=f[$>>2];f[j+(Ma<<5)+20>>2]=f[X>>2];f[j+(Ma<<5)+24>>2]=f[_>>2];f[j+(Ma<<5)+28>>2]=f[ka>>2];f[i>>2]=f[l>>2];f[i+4>>2]=f[l+4>>2];f[i+8>>2]=f[l+8>>2];f[i+12>>2]=f[l+12>>2];f[i+16>>2]=f[l+16>>2];f[i+20>>2]=f[l+20>>2];f[i+24>>2]=f[l+24>>2];f[i+28>>2]=f[l+28>>2];f[h>>2]=f[l>>2];f[h+4>>2]=f[l+4>>2];f[h+8>>2]=f[l+8>>2];f[h+12>>2]=f[l+12>>2];f[h+16>>2]=f[l+16>>2];f[h+20>>2]=f[l+20>>2];f[h+24>>2]=f[l+24>>2];f[h+28>>2]=f[l+28>>2];HK(h,1-Da|0,1);vc=0;wc=Ma;break}else{f[j+(Ma<<5)+16>>2]=f[L>>2];f[j+(Ma<<5)+20>>2]=f[F>>2];f[j+(Ma<<5)+24>>2]=f[G>>2];f[j+(Ma<<5)+28>>2]=f[K>>2];HK(l,1-Da|0,1);f[j+(Ma<<5)>>2]=f[L>>2];f[j+(Ma<<5)+4>>2]=f[F>>2];f[j+(Ma<<5)+8>>2]=f[G>>2];f[j+(Ma<<5)+12>>2]=f[K>>2];f[i>>2]=f[k>>2];f[i+4>>2]=f[k+4>>2];f[i+8>>2]=f[k+8>>2];f[i+12>>2]=f[k+12>>2];f[i+16>>2]=f[k+16>>2];f[i+20>>2]=f[k+20>>2];f[i+24>>2]=f[k+24>>2];f[i+28>>2]=f[k+28>>2];f[h>>2]=f[k>>2];f[h+4>>2]=f[k+4>>2];f[h+8>>2]=f[k+8>>2];f[h+12>>2]=f[k+12>>2];f[h+16>>2]=f[k+16>>2];f[h+20>>2]=f[k+20>>2];f[h+24>>2]=f[k+24>>2];f[h+28>>2]=f[k+28>>2];HK(i,bb+-1|0,1);vc=0;wc=Ma;break}}while(0);switch(vc&7){case 6:{Ba=224;break b;break}case 0:break;default:if(vc|0){Nc=wc;break b}}ua=wc;va=f[x>>2]|0;S=f[E>>2]|0}if((Ba|0)==224){Ba=0;Ja=wc;Ka=f[x>>2]|0;La=f[r>>2]|0;Ba=33}e:do if((Ba|0)==33){Ba=0;S=f[w>>2]|0;va=f[q>>2]|0;ua=f[s>>2]|0;wa=La+v|0;if(wa>>>0<ua>>>0){Oc=wa;Pc=va;Qc=ua;Rc=Ka}else{ua=f[Ka+4>>2]|0;wa=f[ua+16>>2]|0;Oc=wa;Pc=wa;Qc=wa+(Y(f[ua+12>>2]|0,f[S+28>>2]|0)|0)|0;Rc=ua}ua=(f[z>>2]|0)+v|0;f[z>>2]=ua;if(ua>>>0>=(f[P>>2]|0)>>>0){ua=f[(f[R>>2]|0)+28>>2]|0;wa=f[(f[E>>2]|0)+4>>2]|0;f[E>>2]=wa;Fa=f[wa+16>>2]|0;Ga=f[wa+12>>2]|0;f[z>>2]=Fa;f[o>>2]=Fa;wa=Fa+(Y(Ga,ua)|0)|0;f[P>>2]=wa}wa=S+28|0;S=Oc;ua=va;va=Pc;Ga=Qc;Fa=Ka;Na=Rc;while(1){Ma=Ga;if(W){Oa=S;Qa=ua;eb=Fa;while(1){if((Oa|0)==(f[z>>2]|0)){Nc=Ja;break e}cb=(eb|0)==(Na|0)?Qa:va;f:do if((Oa|0)==(f[r>>2]|0)){Sc=cb;Tc=Na}else{Ra=cb;Ha=Na;Db=Oa;while(1){sb=Db+a|0;if(sb>>>0<Ra>>>0){xa=f[Ha>>2]|0;Ca=f[xa+16>>2]|0;Uc=Ca;Vc=xa;Wc=Ca+(Y((f[xa+12>>2]|0)+-1|0,f[wa>>2]|0)|0)|0}else{Uc=Ra;Vc=Ha;Wc=sb}if((li[c&511](Wc,Db,d)|0)<1){Sc=Uc;Tc=Vc;break f}else Xc=0;do{sb=Wc+Xc|0;xa=b[sb>>0]|0;Ca=Db+Xc|0;b[sb>>0]=b[Ca>>0]|0;b[Ca>>0]=xa;Xc=Xc+1|0}while((Xc|0)!=(v|0));if((Wc|0)==(f[r>>2]|0)){Sc=Uc;Tc=Vc;break}else{Ra=Uc;Ha=Vc;Db=Wc}}}while(0);Oa=Oa+v|0;if(Oa>>>0>=Ma>>>0){Yc=Sc;Zc=Tc;break}else{Qa=Sc;eb=Tc}}}else{eb=S;Qa=ua;Oa=Fa;while(1){if((eb|0)==(f[z>>2]|0)){Nc=Ja;break e}bb=(Oa|0)==(Na|0)?Qa:va;if((eb|0)==(f[r>>2]|0)){_c=bb;$c=Na}else{Da=bb;bb=Na;cb=eb;while(1){Db=cb+a|0;if(Db>>>0<Da>>>0){Ha=f[bb>>2]|0;Ra=f[Ha+16>>2]|0;ad=Ra;bd=Ha;cd=Ra+(Y((f[Ha+12>>2]|0)+-1|0,f[wa>>2]|0)|0)|0}else{ad=Da;bd=bb;cd=Db}Db=(li[c&511](cd,cb,d)|0)<1;if(Db|(cd|0)==(f[r>>2]|0)){_c=ad;$c=bd;break}else{Da=ad;bb=bd;cb=cd}}}eb=eb+v|0;if(eb>>>0>=Ma>>>0){Yc=_c;Zc=$c;break}else{Qa=_c;Oa=$c}}}Oa=f[Na+4>>2]|0;Qa=f[Oa+16>>2]|0;S=Qa;ua=Yc;va=Qa;Ga=Qa+(Y(f[Oa+12>>2]|0,f[wa>>2]|0)|0)|0;Fa=Zc;Na=Oa}}while(0);if((Nc|0)<=-1){Ba=227;break}ra=Nc;sa=f[j+(Nc<<5)+4>>2]|0;ta=f[j+(Nc<<5)+8>>2]|0;A=f[j+(Nc<<5)+12>>2]|0;B=f[j+(Nc<<5)+16>>2]|0;T=f[j+(Nc<<5)+20>>2]|0;H=f[j+(Nc<<5)+24>>2]|0;N=f[j+(Nc<<5)+28>>2]|0}if((Ba|0)==20){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;WD(-27,g,210146,209295,1020)}else if((Ba|0)==26){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;WD(-27,g,210146,209295,1020)}else if((Ba|0)==144){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;WD(-27,g,210146,209295,1020)}else if((Ba|0)==152){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;WD(-27,g,210146,209295,1020)}else if((Ba|0)==158){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;WD(-27,g,210146,209295,1020)}else if((Ba|0)==182){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;WD(-27,g,210146,209295,1020)}else if((Ba|0)==188){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;WD(-27,g,210146,209295,1020)}else if((Ba|0)==194){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;WD(-27,g,210146,209295,1020)}else if((Ba|0)==227){u=e;return}}function XK(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0;e=u;u=u+16|0;g=e;if(!d){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;WD(-27,g,210389,209295,2486)}if((b|0)>63&(c|0)>7&(c&3|0)==0){h=DK(a,b,c,d)|0;f[h>>2]=f[h>>2]&65535|1117257728;u=e;return h|0}else{f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;WD(-201,g,210389,209295,2490)}return 0}function YK(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;d=u;u=u+16|0;e=d;if(!a){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;WD(-27,e,210401,209295,2507)}e=a+56|0;g=f[e>>2]|0;if(!g){h=a+24|0;i=f[h>>2]|0;j=f[a+28>>2]|0;PK(a,0);k=a+36|0;l=f[k>>2]|0;f[e>>2]=l;m=l+j|0;n=f[a+32>>2]|0;if(m>>>0>n>>>0){o=l;p=i}else{q=i;i=l;r=m;while(1){f[i>>2]=q|-2147483648;f[i+4>>2]=r;m=q+1|0;s=r+j|0;if(s>>>0>n>>>0){o=r;p=m;break}else{t=r;q=m;r=s;i=t}}}f[o+(0-j)+4>>2]=0;j=(f[f[a+52>>2]>>2]|0)+12|0;f[j>>2]=p-(f[h>>2]|0)+(f[j>>2]|0);f[h>>2]=p;f[k>>2]=n;v=l}else v=g;f[e>>2]=f[v+4>>2];e=f[v>>2]&67108863;if(b|0)szc(v|0,b|0,f[a+28>>2]|0)|0;f[v>>2]=e;b=a+60|0;f[b>>2]=(f[b>>2]|0)+1;if(!c){u=d;return e|0}f[c>>2]=v;u=d;return e|0}function ZK(a){a=a|0;var b=0,c=0;b=u;u=u+16|0;c=b;if(!a){f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;WD(-27,c,210273,209295,1596)}else{UK(a,0,f[a+24>>2]|0,0);f[a+56>>2]=0;f[a+60>>2]=0;u=b;return}}function _K(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0;g=u;u=u+16|0;h=g;if((c|0)<8|((b|0)<68|(d|0)<24)){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;WD(-201,h,210410,209295,2586)}else{h=XK(a,b,c,e)|0;c=XK(0,64,d,e)|0;f[h+64>>2]=c;u=g;return h|0}return 0}function $K(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;d=u;u=u+16|0;e=d;if(!a){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;WD(-27,e,210424,209295,2620)}e=a+56|0;g=f[e>>2]|0;if(!g){h=a+24|0;i=f[h>>2]|0;j=f[a+28>>2]|0;PK(a,0);k=a+36|0;l=f[k>>2]|0;f[e>>2]=l;m=l+j|0;n=f[a+32>>2]|0;if(m>>>0>n>>>0){o=l;p=i}else{q=i;i=l;r=m;while(1){f[i>>2]=q|-2147483648;f[i+4>>2]=r;m=q+1|0;s=r+j|0;if(s>>>0>n>>>0){o=r;p=m;break}else{t=r;q=m;r=s;i=t}}}f[o+(0-j)+4>>2]=0;j=(f[f[a+52>>2]>>2]|0)+12|0;f[j>>2]=p-(f[h>>2]|0)+(f[j>>2]|0);f[h>>2]=p;f[k>>2]=n;v=l}else v=g;g=v+4|0;f[e>>2]=f[g>>2];e=f[v>>2]&67108863;f[v>>2]=e;l=a+60|0;f[l>>2]=(f[l>>2]|0)+1;if(b|0)szc(v+8|0,b+8|0,(f[a+28>>2]|0)+-8|0)|0;f[g>>2]=0;if(!c){u=d;return e|0}f[c>>2]=v;u=d;return e|0}function aL(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0.0;h=u;u=u+16|0;i=h;if(!a){j=cuc(32)|0;f[i>>2]=j;f[i+8>>2]=-2147483616;f[i+4>>2]=21;k=j;l=210459;m=k+21|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));b[j+21>>0]=0;WD(-27,i,210481,209295,2762)}j=(f[a>>2]&16384|0)==0;if(j){o=(f[c>>2]&67108863)>>>0>(f[d>>2]&67108863)>>>0;p=o?d:c;q=o?c:d}else{p=c;q=d}if(!((q|0)!=0&(p|0)!=0)){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;WD(-27,i,210438,209295,2705)}if((p|0)==(q|0)){d=cuc(48)|0;f[i>>2]=d;f[i+8>>2]=-2147483600;f[i+4>>2]=41;k=d;l=210501;m=k+41|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));b[d+41>>0]=0;WD(-5,i,210481,209295,2782)}if(j){j=(f[p>>2]&67108863)>>>0>(f[q>>2]&67108863)>>>0;r=j?q:p;s=j?p:q}else{r=p;s=q}j=f[r+4>>2]|0;a:do if(j|0){d=j;while(1){l=f[d+20>>2]|0;if((l|0)==(s|0))break;k=f[d+8+(((r|0)==(l|0)&1)<<2)>>2]|0;if(!k)break a;else d=k}if(!g){t=0;u=h;return t|0}f[g>>2]=d;t=0;u=h;return t|0}while(0);r=a+64|0;a=f[r>>2]|0;s=a+56|0;j=f[s>>2]|0;if(!j){if(!a){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;WD(-27,i,210401,209295,2507)}i=a+24|0;k=f[i>>2]|0;l=f[a+28>>2]|0;PK(a,0);m=a+36|0;c=f[m>>2]|0;f[s>>2]=c;o=c+l|0;v=f[a+32>>2]|0;if(o>>>0>v>>>0){w=c;x=k}else{y=k;k=c;z=o;while(1){f[k>>2]=y|-2147483648;f[k+4>>2]=z;o=y+1|0;A=z+l|0;if(A>>>0>v>>>0){w=z;x=o;break}else{B=z;y=o;z=A;k=B}}}f[w+(0-l)+4>>2]=0;l=(f[f[a+52>>2]>>2]|0)+12|0;f[l>>2]=x-(f[i>>2]|0)+(f[l>>2]|0);f[i>>2]=x;f[m>>2]=v;C=c}else C=j;j=C+4|0;f[s>>2]=f[j>>2];f[C>>2]=f[C>>2]&67108863;s=a+60|0;f[s>>2]=(f[s>>2]|0)+1;f[C+16>>2]=p;f[C+20>>2]=q;s=p+4|0;f[C+8>>2]=f[s>>2];p=q+4|0;f[C+12>>2]=f[p>>2];f[p>>2]=C;f[s>>2]=C;s=(f[(f[r>>2]|0)+28>>2]|0)+-24|0;r=(s|0)>0;if(!e)if(r){kzc(C+24|0,0,s|0)|0;D=1.0}else D=1.0;else{if(r)szc(C+24|0,e+24|0,s|0)|0;D=+n[e+4>>2]}n[j>>2]=D;if(!g){t=1;u=h;return t|0}f[g>>2]=C;t=1;u=h;return t|0}function bL(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0;d=u;u=u+16|0;e=d;if(!a){g=cuc(32)|0;f[e>>2]=g;h=e+8|0;f[h>>2]=-2147483616;i=e+4|0;f[i>>2]=21;j=g;k=210543;l=j+21|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));m=g+21|0;b[m>>0]=0;WD(-5,e,210565,209295,3262)}if((f[a>>2]&-53248|0)!=1117261824){g=cuc(32)|0;f[e>>2]=g;h=e+8|0;f[h>>2]=-2147483616;i=e+4|0;f[i>>2]=21;j=g;k=210543;l=j+21|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));m=g+21|0;b[m>>0]=0;WD(-5,e,210565,209295,3262)}if(!c){m=f[a+44>>2]|0;if(!m){g=cuc(32)|0;f[e>>2]=g;f[e+8>>2]=-2147483616;f[e+4>>2]=20;j=g;k=367220;l=j+20|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[g+20>>0]=0;WD(-27,e,210565,209295,3268)}else n=m}else n=c;c=a+28|0;m=f[c>>2]|0;g=a+64|0;k=f[(f[g>>2]|0)+28>>2]|0;j=a+24|0;l=UC(f[j>>2]<<2)|0;i=UC(f[j>>2]<<2)|0;h=a+4|0;o=f[h>>2]|0;if((m|0)<8|((k|0)<24|(o|0)<68)){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;WD(-201,e,210410,209295,2586)}p=XK(f[a>>2]|0,o,m,n)|0;o=XK(0,64,k,n)|0;f[p+64>>2]=o;szc(p+4624|0,a+4624|0,(f[h>>2]|0)+-68|0)|0;h=a+52|0;a=f[h>>2]|0;if(!a){q=0;r=0;s=0}else{o=f[a+16>>2]|0;q=a;r=o;s=o+(Y(f[a+12>>2]|0,f[c>>2]|0)|0)|0}if((f[j>>2]|0)>0){a=0;o=0;n=q;q=r;r=s;while(1){s=q;if((f[s>>2]|0)>-1){f[e>>2]=0;$K(p,q,e)|0;t=f[s>>2]|0;v=f[e>>2]|0;f[v>>2]=t;f[l+(o<<2)>>2]=t;f[s>>2]=o;f[i+(o<<2)>>2]=v;w=o+1|0}else w=o;v=q+m|0;if(v>>>0<r>>>0){x=n;y=v;z=r}else{v=f[n+4>>2]|0;s=f[v+16>>2]|0;x=v;y=s;z=s+(Y(f[v+12>>2]|0,f[c>>2]|0)|0)|0}a=a+1|0;if((a|0)>=(f[j>>2]|0))break;else{o=w;n=x;q=y;r=z}}}z=f[g>>2]|0;if(!z){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;WD(-27,e,209851,209295,945)}r=f[z+52>>2]|0;if(!r){A=0;B=0;C=0}else{y=f[r+16>>2]|0;A=r;B=y;C=y+(Y(f[r+12>>2]|0,f[z+28>>2]|0)|0)|0}r=f[z+24>>2]|0;if((r|0)>0){y=z+28|0;z=0;q=A;A=B;B=C;while(1){C=A;x=A;if((f[x>>2]|0)>-1){f[e>>2]=0;aL(p,f[i+(f[f[C+16>>2]>>2]<<2)>>2]|0,f[i+(f[f[C+20>>2]>>2]<<2)>>2]|0,A,e)|0;f[f[e>>2]>>2]=f[x>>2]}x=C+k|0;if(x>>>0<B>>>0){D=q;E=x;F=B}else{x=f[q+4>>2]|0;C=f[x+16>>2]|0;D=x;E=C;F=C+(Y(f[x+12>>2]|0,f[y>>2]|0)|0)|0}z=z+1|0;x=f[(f[g>>2]|0)+24>>2]|0;if((z|0)>=(x|0)){G=x;break}else{q=D;A=E;B=F}}}else G=r;r=f[h>>2]|0;if(!r){H=0;I=0;J=0}else{h=f[r+16>>2]|0;H=r;I=h;J=h+(Y(f[r+12>>2]|0,f[c>>2]|0)|0)|0}if((G|0)>0){K=0;L=0;M=H;N=I;O=J}else{VC(l);VC(i);P=SE()|0;Q=(P|0)<0;R=Q?0:p;u=d;return R|0}while(1){J=N;if((f[J>>2]|0)>-1){f[J>>2]=f[l+(L<<2)>>2];S=L+1|0}else S=L;J=N+m|0;if(J>>>0<O>>>0){T=M;U=J;V=O}else{J=f[M+4>>2]|0;I=f[J+16>>2]|0;T=J;U=I;V=I+(Y(f[J+12>>2]|0,f[c>>2]|0)|0)|0}K=K+1|0;if((K|0)>=(G|0))break;else{L=S;M=T;N=U;O=V}}VC(l);VC(i);P=SE()|0;Q=(P|0)<0;R=Q?0:p;u=d;return R|0}function cL(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;e=u;u=u+16|0;g=e+4|0;h=e;if(!d){i=cuc(32)|0;f[g>>2]=i;f[g+8>>2]=-2147483616;f[g+4>>2]=20;j=i;k=367220;l=j+20|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[i+20>>0]=0;WD(-27,g,210578,209295,3346)}if(c>>>0<56){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;WD(-201,g,209583,209295,379)}i=AK(d,c)|0;kzc(i|0,0,c|0)|0;f[i+4>>2]=c;f[i>>2]=1117323264;c=i+28|0;f[c>>2]=4;f[i+44>>2]=d;EK(i,256);if(!a){u=e;return i|0}d=i+36|0;k=i+32|0;j=i+52|0;l=i+24|0;if(!i){f[h>>2]=a;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;WD(-27,g,210164,209295,1138)}g=a;m=0;n=a;while(1){a=f[g+20>>2]|0;if(a){o=m+1|0;if((o|0)==2147483647){p=n;q=2147483646;r=11}else{s=o;t=a}}else{p=n;q=m;r=11}a:do if((r|0)==11){while(1){r=0;v=f[p+12>>2]|0;if(v|0)break;a=q+-1|0;if((q|0)<1){s=a;t=0;break a}else{p=f[p+16>>2]|0;q=a;r=11}}s=q;t=(p|0)==0?0:v}while(0);f[h>>2]=g;a=f[c>>2]|0;o=f[d>>2]|0;if(o>>>0<(f[k>>2]|0)>>>0)w=o;else{PK(i,0);w=f[d>>2]|0}szc(w|0,h|0,a|0)|0;o=(f[f[j>>2]>>2]|0)+12|0;f[o>>2]=(f[o>>2]|0)+1;f[l>>2]=(f[l>>2]|0)+1;f[d>>2]=w+a;if(!t)break;else{g=t;m=s;n=t}}u=e;return i|0}function dL(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;if(!((a|0)!=0&(b|0)!=0)){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;WD(-27,e,210594,209295,3443)}if((c|0)<0){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;WD(-211,e,210594,209295,3446)}else{f[a>>2]=b;f[a+4>>2]=0;f[a+8>>2]=c;u=d;return}}function eL(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;c=u;u=u+16|0;d=c;if(!a){e=cuc(32)|0;f[d>>2]=e;f[d+8>>2]=-2147483616;f[d+4>>2]=21;g=e;h=226458;i=g+21|0;do{b[g>>0]=b[h>>0]|0;g=g+1|0;h=h+1|0}while((g|0)<(i|0));b[e+21>>0]=0;WD(-27,d,210617,209295,3462)}d=f[a>>2]|0;e=a+4|0;h=f[e>>2]|0;a:do if(d){g=f[d+20>>2]|0;if((g|0)!=0?(i=h+1|0,(i|0)<(f[a+8>>2]|0)):0){j=g;k=i;break}else{l=d;m=h}while(1){n=f[l+12>>2]|0;if(n|0)break;i=m+-1|0;if((m|0)<1){j=0;k=i;break a}else{l=f[l+16>>2]|0;m=i}}if(!l){j=0;k=m}else{j=(f[a+8>>2]|0)==0?0:n;k=m}}else{j=d;k=h}while(0);f[a>>2]=j;f[e>>2]=k;u=c;return d|0}function fL(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;if(!((a|0)!=0&(b|0)!=0)){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;WD(-27,e,210632,209295,3392)}f[a+16>>2]=(b|0)!=(c|0)?b:0;c=b+20|0;b=f[c>>2]|0;f[a+12>>2]=b;if(!b){f[c>>2]=a;u=d;return}f[b+8>>2]=a;f[c>>2]=a;u=d;return}function gL(a,b){a=a|0;b=b|0;return f[37464+((b&7)<<5)+((a&7)<<2)>>2]|0}function hL(a,c,d,e,g,i,j,k){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;i=i|0;j=j|0;k=k|0;var l=0.0,m=0.0,n=0,o=0,q=0;e=f[j>>2]|0;d=f[j+4>>2]|0;l=+p[k>>3];m=+p[k+8>>3];if((d|0)>0&(e|0)>0){n=0;o=a;q=g}else return;while(1){g=0;do{a=Ghc(m+l*+(h[o+g>>0]|0))|0;b[q+g>>0]=a>>>0<256?a:(a|0)>0?255:0;g=g+1|0}while((g|0)!=(e|0));n=n+1|0;if((n|0)==(d|0))break;else{o=o+c|0;q=q+i|0}}return}function iL(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0.0,l=0.0,m=0,n=0,o=0;e=f[i>>2]|0;d=f[i+4>>2]|0;k=+p[j>>3];l=+p[j+8>>3];if((d|0)>0&(e|0)>0){m=0;n=a;o=g}else return;while(1){g=0;do{a=Ghc(l+k*+(b[n+g>>0]|0))|0;b[o+g>>0]=a>>>0<256?a:(a|0)>0?255:0;g=g+1|0}while((g|0)!=(e|0));m=m+1|0;if((m|0)==(d|0))break;else{n=n+c|0;o=o+h|0}}return}function jL(a,c,d,e,g,h,i,k){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;k=k|0;var l=0.0,m=0.0,n=0,o=0,q=0;e=f[i>>2]|0;d=f[i+4>>2]|0;l=+p[k>>3];m=+p[k+8>>3];k=c>>>1;if((d|0)>0&(e|0)>0){n=0;o=a;q=g}else return;while(1){g=0;do{a=Ghc(m+l*+(j[o+(g<<1)>>1]|0))|0;b[q+g>>0]=a>>>0<256?a:(a|0)>0?255:0;g=g+1|0}while((g|0)!=(e|0));n=n+1|0;if((n|0)==(d|0))break;else{o=o+(k<<1)|0;q=q+h|0}}return}function kL(a,c,e,g,h,i,j,k){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;var l=0.0,m=0.0,n=0,o=0,q=0;g=f[j>>2]|0;e=f[j+4>>2]|0;l=+p[k>>3];m=+p[k+8>>3];k=c>>>1;if((e|0)>0&(g|0)>0){n=0;o=a;q=h}else return;while(1){h=0;do{a=Ghc(m+l*+(d[o+(h<<1)>>1]|0))|0;b[q+h>>0]=a>>>0<256?a:(a|0)>0?255:0;h=h+1|0}while((h|0)!=(g|0));n=n+1|0;if((n|0)==(e|0))break;else{o=o+(k<<1)|0;q=q+i|0}}return}function lL(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0.0,l=0.0,m=0,n=0,o=0;e=f[i>>2]|0;d=f[i+4>>2]|0;k=+p[j>>3];l=+p[j+8>>3];j=c>>>2;if((d|0)>0&(e|0)>0){m=0;n=a;o=g}else return;while(1){g=0;do{a=Ghc(l+k*+(f[n+(g<<2)>>2]|0))|0;b[o+g>>0]=a>>>0<256?a:(a|0)>0?255:0;g=g+1|0}while((g|0)!=(e|0));m=m+1|0;if((m|0)==(d|0))break;else{n=n+(j<<2)|0;o=o+h|0}}return}function mL(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0.0,l=0.0,m=0,o=0,q=0;e=f[i>>2]|0;d=f[i+4>>2]|0;k=+p[j>>3];l=+p[j+8>>3];j=c>>>2;if((d|0)>0&(e|0)>0){m=0;o=a;q=g}else return;while(1){g=0;do{a=Ghc(l+k*+n[o+(g<<2)>>2])|0;b[q+g>>0]=a>>>0<256?a:(a|0)>0?255:0;g=g+1|0}while((g|0)!=(e|0));m=m+1|0;if((m|0)==(d|0))break;else{o=o+(j<<2)|0;q=q+h|0}}return}function nL(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0.0,l=0.0,m=0,n=0,o=0;e=f[i>>2]|0;d=f[i+4>>2]|0;i=c>>>3;if((d|0)<=0)return;k=+p[j>>3];l=+p[j+8>>3];if((e|0)>0){m=0;n=a;o=g}else return;while(1){g=0;do{a=Fhc(l+k*+p[n+(g<<3)>>3])|0;b[o+g>>0]=a>>>0<256?a:(a|0)>0?255:0;g=g+1|0}while((g|0)!=(e|0));m=m+1|0;if((m|0)==(d|0))break;else{n=n+(i<<3)|0;o=o+h|0}}return}function oL(a,c,d,e,g,h,i,k){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;k=k|0;var l=0.0,m=0.0,o=0,q=0,r=0,t=0,u=0,v=0,w=0;e=f[i>>2]|0;d=f[i+4>>2]|0;l=+p[k>>3];m=+p[k+8>>3];k=c>>>1;if((d|0)>0&(e|0)>0){o=0;q=a;r=g}else return;while(1){g=0;do{a=j[q+(g<<1)>>1]|0;c=a<<13;i=c&268427264;t=i+939524096|0;u=a<<16&-2147483648;v=a&31744;a:do if(v<<16>>16<31744){switch(v<<16>>16){case 0:break;default:{w=t;break a}}w=(n[s>>2]=(f[s>>2]=i+947912704,+n[s>>2])+-.00006103515625,f[s>>2]|0)}else{switch(v<<16>>16){case 31744:break;default:{w=t;break a}}w=c|1879048192}while(0);c=Ghc(m+l*(f[s>>2]=w|u,+n[s>>2]))|0;b[r+g>>0]=c>>>0<256?c:(c|0)>0?255:0;g=g+1|0}while((g|0)!=(e|0));o=o+1|0;if((o|0)==(d|0))break;else{q=q+(k<<1)|0;r=r+h|0}}return}function pL(a,c,d,e,g,i,j,k){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;i=i|0;j=j|0;k=k|0;var l=0.0,m=0.0,n=0,o=0,q=0;e=f[j>>2]|0;d=f[j+4>>2]|0;l=+p[k>>3];m=+p[k+8>>3];if((d|0)>0&(e|0)>0){n=0;o=a;q=g}else return;while(1){g=0;do{a=Ghc(m+l*+(h[o+g>>0]|0))|0;b[q+g>>0]=(a+128|0)>>>0<256?a:(a|0)>0?127:128;g=g+1|0}while((g|0)!=(e|0));n=n+1|0;if((n|0)==(d|0))break;else{o=o+c|0;q=q+i|0}}return}function qL(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0.0,l=0.0,m=0,n=0,o=0;e=f[i>>2]|0;d=f[i+4>>2]|0;k=+p[j>>3];l=+p[j+8>>3];if((d|0)>0&(e|0)>0){m=0;n=a;o=g}else return;while(1){g=0;do{a=Ghc(l+k*+(b[n+g>>0]|0))|0;b[o+g>>0]=(a+128|0)>>>0<256?a:(a|0)>0?127:128;g=g+1|0}while((g|0)!=(e|0));m=m+1|0;if((m|0)==(d|0))break;else{n=n+c|0;o=o+h|0}}return}function rL(a,c,d,e,g,h,i,k){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;k=k|0;var l=0.0,m=0.0,n=0,o=0,q=0;e=f[i>>2]|0;d=f[i+4>>2]|0;l=+p[k>>3];m=+p[k+8>>3];k=c>>>1;if((d|0)>0&(e|0)>0){n=0;o=a;q=g}else return;while(1){g=0;do{a=Ghc(m+l*+(j[o+(g<<1)>>1]|0))|0;b[q+g>>0]=(a+128|0)>>>0<256?a:(a|0)>0?127:128;g=g+1|0}while((g|0)!=(e|0));n=n+1|0;if((n|0)==(d|0))break;else{o=o+(k<<1)|0;q=q+h|0}}return}function sL(a,c,e,g,h,i,j,k){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;var l=0.0,m=0.0,n=0,o=0,q=0;g=f[j>>2]|0;e=f[j+4>>2]|0;l=+p[k>>3];m=+p[k+8>>3];k=c>>>1;if((e|0)>0&(g|0)>0){n=0;o=a;q=h}else return;while(1){h=0;do{a=Ghc(m+l*+(d[o+(h<<1)>>1]|0))|0;b[q+h>>0]=(a+128|0)>>>0<256?a:(a|0)>0?127:128;h=h+1|0}while((h|0)!=(g|0));n=n+1|0;if((n|0)==(e|0))break;else{o=o+(k<<1)|0;q=q+i|0}}return}function tL(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0.0,l=0.0,m=0,n=0,o=0;e=f[i>>2]|0;d=f[i+4>>2]|0;k=+p[j>>3];l=+p[j+8>>3];j=c>>>2;if((d|0)>0&(e|0)>0){m=0;n=a;o=g}else return;while(1){g=0;do{a=Ghc(l+k*+(f[n+(g<<2)>>2]|0))|0;b[o+g>>0]=(a+128|0)>>>0<256?a:(a|0)>0?127:128;g=g+1|0}while((g|0)!=(e|0));m=m+1|0;if((m|0)==(d|0))break;else{n=n+(j<<2)|0;o=o+h|0}}return}function uL(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0.0,l=0.0,m=0,o=0,q=0;e=f[i>>2]|0;d=f[i+4>>2]|0;k=+p[j>>3];l=+p[j+8>>3];j=c>>>2;if((d|0)>0&(e|0)>0){m=0;o=a;q=g}else return;while(1){g=0;do{a=Ghc(l+k*+n[o+(g<<2)>>2])|0;b[q+g>>0]=(a+128|0)>>>0<256?a:(a|0)>0?127:128;g=g+1|0}while((g|0)!=(e|0));m=m+1|0;if((m|0)==(d|0))break;else{o=o+(j<<2)|0;q=q+h|0}}return}function vL(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0.0,l=0.0,m=0,n=0,o=0;e=f[i>>2]|0;d=f[i+4>>2]|0;i=c>>>3;if((d|0)<=0)return;k=+p[j>>3];l=+p[j+8>>3];if((e|0)>0){m=0;n=a;o=g}else return;while(1){g=0;do{a=Fhc(l+k*+p[n+(g<<3)>>3])|0;b[o+g>>0]=(a+128|0)>>>0<256?a:(a|0)>0?127:128;g=g+1|0}while((g|0)!=(e|0));m=m+1|0;if((m|0)==(d|0))break;else{n=n+(i<<3)|0;o=o+h|0}}return}function wL(a,c,d,e,g,h,i,k){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;k=k|0;var l=0.0,m=0.0,o=0,q=0,r=0,t=0,u=0,v=0,w=0;e=f[i>>2]|0;d=f[i+4>>2]|0;l=+p[k>>3];m=+p[k+8>>3];k=c>>>1;if((d|0)>0&(e|0)>0){o=0;q=a;r=g}else return;while(1){g=0;do{a=j[q+(g<<1)>>1]|0;c=a<<13;i=c&268427264;t=i+939524096|0;u=a<<16&-2147483648;v=a&31744;a:do if(v<<16>>16<31744){switch(v<<16>>16){case 0:break;default:{w=t;break a}}w=(n[s>>2]=(f[s>>2]=i+947912704,+n[s>>2])+-.00006103515625,f[s>>2]|0)}else{switch(v<<16>>16){case 31744:break;default:{w=t;break a}}w=c|1879048192}while(0);c=Ghc(m+l*(f[s>>2]=w|u,+n[s>>2]))|0;b[r+g>>0]=(c+128|0)>>>0<256?c:(c|0)>0?127:128;g=g+1|0}while((g|0)!=(e|0));o=o+1|0;if((o|0)==(d|0))break;else{q=q+(k<<1)|0;r=r+h|0}}return}function xL(a,b,c,e,g,i,j,k){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;i=i|0;j=j|0;k=k|0;var l=0.0,m=0.0,n=0,o=0,q=0;e=f[j>>2]|0;c=f[j+4>>2]|0;l=+p[k>>3];m=+p[k+8>>3];k=i>>>1;if((c|0)>0&(e|0)>0){n=0;o=a;q=g}else return;while(1){g=0;do{a=Ghc(m+l*+(h[o+g>>0]|0))|0;d[q+(g<<1)>>1]=a>>>0<65536?a:(a|0)>0?65535:0;g=g+1|0}while((g|0)!=(e|0));n=n+1|0;if((n|0)==(c|0))break;else{o=o+b|0;q=q+(k<<1)|0}}return}function yL(a,c,e,g,h,i,j,k){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;var l=0.0,m=0.0,n=0,o=0,q=0;g=f[j>>2]|0;e=f[j+4>>2]|0;l=+p[k>>3];m=+p[k+8>>3];k=i>>>1;if((e|0)>0&(g|0)>0){n=0;o=a;q=h}else return;while(1){h=0;do{a=Ghc(m+l*+(b[o+h>>0]|0))|0;d[q+(h<<1)>>1]=a>>>0<65536?a:(a|0)>0?65535:0;h=h+1|0}while((h|0)!=(g|0));n=n+1|0;if((n|0)==(e|0))break;else{o=o+c|0;q=q+(k<<1)|0}}return}function zL(a,b,c,e,g,h,i,k){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;k=k|0;var l=0.0,m=0.0,n=0,o=0,q=0;e=f[i>>2]|0;c=f[i+4>>2]|0;l=+p[k>>3];m=+p[k+8>>3];k=b>>>1;b=h>>>1;if((e|0)>0&(c|0)>0){n=0;o=a;q=g}else return;while(1){g=0;do{a=Ghc(m+l*+(j[o+(g<<1)>>1]|0))|0;d[q+(g<<1)>>1]=a>>>0<65536?a:(a|0)>0?65535:0;g=g+1|0}while((g|0)!=(e|0));n=n+1|0;if((n|0)==(c|0))break;else{o=o+(k<<1)|0;q=q+(b<<1)|0}}return}function AL(a,b,c,e,g,h,i,j){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0.0,l=0.0,m=0,n=0,o=0;e=f[i>>2]|0;c=f[i+4>>2]|0;k=+p[j>>3];l=+p[j+8>>3];j=b>>>1;b=h>>>1;if((e|0)>0&(c|0)>0){m=0;n=a;o=g}else return;while(1){g=0;do{a=Ghc(l+k*+(d[n+(g<<1)>>1]|0))|0;d[o+(g<<1)>>1]=a>>>0<65536?a:(a|0)>0?65535:0;g=g+1|0}while((g|0)!=(e|0));m=m+1|0;if((m|0)==(c|0))break;else{n=n+(j<<1)|0;o=o+(b<<1)|0}}return}function BL(a,b,c,e,g,h,i,j){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0.0,l=0.0,m=0,n=0,o=0;e=f[i>>2]|0;c=f[i+4>>2]|0;k=+p[j>>3];l=+p[j+8>>3];j=b>>>2;b=h>>>1;if((e|0)>0&(c|0)>0){m=0;n=a;o=g}else return;while(1){g=0;do{a=Ghc(l+k*+(f[n+(g<<2)>>2]|0))|0;d[o+(g<<1)>>1]=a>>>0<65536?a:(a|0)>0?65535:0;g=g+1|0}while((g|0)!=(e|0));m=m+1|0;if((m|0)==(c|0))break;else{n=n+(j<<2)|0;o=o+(b<<1)|0}}return}function CL(a,b,c,e,g,h,i,j){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0.0,l=0.0,m=0,o=0,q=0;e=f[i>>2]|0;c=f[i+4>>2]|0;k=+p[j>>3];l=+p[j+8>>3];j=b>>>2;b=h>>>1;if((e|0)>0&(c|0)>0){m=0;o=a;q=g}else return;while(1){g=0;do{a=Ghc(l+k*+n[o+(g<<2)>>2])|0;d[q+(g<<1)>>1]=a>>>0<65536?a:(a|0)>0?65535:0;g=g+1|0}while((g|0)!=(e|0));m=m+1|0;if((m|0)==(c|0))break;else{o=o+(j<<2)|0;q=q+(b<<1)|0}}return}function DL(a,b,c,e,g,h,i,j){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0.0,l=0.0,m=0,n=0,o=0;e=f[i>>2]|0;c=f[i+4>>2]|0;i=b>>>3;b=h>>>1;if((c|0)<=0)return;k=+p[j>>3];l=+p[j+8>>3];if((e|0)>0){m=0;n=a;o=g}else return;while(1){g=0;do{a=Fhc(l+k*+p[n+(g<<3)>>3])|0;d[o+(g<<1)>>1]=a>>>0<65536?a:(a|0)>0?65535:0;g=g+1|0}while((g|0)!=(e|0));m=m+1|0;if((m|0)==(c|0))break;else{n=n+(i<<3)|0;o=o+(b<<1)|0}}return}function EL(a,b,c,e,g,h,i,k){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;k=k|0;var l=0.0,m=0.0,o=0,q=0,r=0,t=0,u=0,v=0,w=0;e=f[i>>2]|0;c=f[i+4>>2]|0;l=+p[k>>3];m=+p[k+8>>3];k=b>>>1;b=h>>>1;if((e|0)>0&(c|0)>0){o=0;q=a;r=g}else return;while(1){g=0;do{a=j[q+(g<<1)>>1]|0;h=a<<13;i=h&268427264;t=i+939524096|0;u=a<<16&-2147483648;v=a&31744;a:do if(v<<16>>16<31744){switch(v<<16>>16){case 0:break;default:{w=t;break a}}w=(n[s>>2]=(f[s>>2]=i+947912704,+n[s>>2])+-.00006103515625,f[s>>2]|0)}else{switch(v<<16>>16){case 31744:break;default:{w=t;break a}}w=h|1879048192}while(0);h=Ghc(m+l*(f[s>>2]=w|u,+n[s>>2]))|0;d[r+(g<<1)>>1]=h>>>0<65536?h:(h|0)>0?65535:0;g=g+1|0}while((g|0)!=(e|0));o=o+1|0;if((o|0)==(c|0))break;else{q=q+(k<<1)|0;r=r+(b<<1)|0}}return}function FL(a,b,c,e,g,i,j,k){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;i=i|0;j=j|0;k=k|0;var l=0.0,m=0.0,n=0,o=0,q=0;e=f[j>>2]|0;c=f[j+4>>2]|0;l=+p[k>>3];m=+p[k+8>>3];k=i>>>1;if((c|0)>0&(e|0)>0){n=0;o=a;q=g}else return;while(1){g=0;do{a=Ghc(m+l*+(h[o+g>>0]|0))|0;d[q+(g<<1)>>1]=(a+32768|0)>>>0<65536?a:(a|0)>0?32767:32768;g=g+1|0}while((g|0)!=(e|0));n=n+1|0;if((n|0)==(c|0))break;else{o=o+b|0;q=q+(k<<1)|0}}return}function GL(a,c,e,g,h,i,j,k){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;var l=0.0,m=0.0,n=0,o=0,q=0;g=f[j>>2]|0;e=f[j+4>>2]|0;l=+p[k>>3];m=+p[k+8>>3];k=i>>>1;if((e|0)>0&(g|0)>0){n=0;o=a;q=h}else return;while(1){h=0;do{a=Ghc(m+l*+(b[o+h>>0]|0))|0;d[q+(h<<1)>>1]=(a+32768|0)>>>0<65536?a:(a|0)>0?32767:32768;h=h+1|0}while((h|0)!=(g|0));n=n+1|0;if((n|0)==(e|0))break;else{o=o+c|0;q=q+(k<<1)|0}}return}function HL(a,b,c,e,g,h,i,k){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;k=k|0;var l=0.0,m=0.0,n=0,o=0,q=0;e=f[i>>2]|0;c=f[i+4>>2]|0;l=+p[k>>3];m=+p[k+8>>3];k=b>>>1;b=h>>>1;if((e|0)>0&(c|0)>0){n=0;o=a;q=g}else return;while(1){g=0;do{a=Ghc(m+l*+(j[o+(g<<1)>>1]|0))|0;d[q+(g<<1)>>1]=(a+32768|0)>>>0<65536?a:(a|0)>0?32767:32768;g=g+1|0}while((g|0)!=(e|0));n=n+1|0;if((n|0)==(c|0))break;else{o=o+(k<<1)|0;q=q+(b<<1)|0}}return}function IL(a,b,c,e,g,h,i,j){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0.0,l=0.0,m=0,n=0,o=0;e=f[i>>2]|0;c=f[i+4>>2]|0;k=+p[j>>3];l=+p[j+8>>3];j=b>>>1;b=h>>>1;if((e|0)>0&(c|0)>0){m=0;n=a;o=g}else return;while(1){g=0;do{a=Ghc(l+k*+(d[n+(g<<1)>>1]|0))|0;d[o+(g<<1)>>1]=(a+32768|0)>>>0<65536?a:(a|0)>0?32767:32768;g=g+1|0}while((g|0)!=(e|0));m=m+1|0;if((m|0)==(c|0))break;else{n=n+(j<<1)|0;o=o+(b<<1)|0}}return}function JL(a,b,c,e,g,h,i,j){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0.0,l=0.0,m=0,n=0,o=0;e=f[i>>2]|0;c=f[i+4>>2]|0;k=+p[j>>3];l=+p[j+8>>3];j=b>>>2;b=h>>>1;if((e|0)>0&(c|0)>0){m=0;n=a;o=g}else return;while(1){g=0;do{a=Ghc(l+k*+(f[n+(g<<2)>>2]|0))|0;d[o+(g<<1)>>1]=(a+32768|0)>>>0<65536?a:(a|0)>0?32767:32768;g=g+1|0}while((g|0)!=(e|0));m=m+1|0;if((m|0)==(c|0))break;else{n=n+(j<<2)|0;o=o+(b<<1)|0}}return}function KL(a,b,c,e,g,h,i,j){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0.0,l=0.0,m=0,o=0,q=0;e=f[i>>2]|0;c=f[i+4>>2]|0;k=+p[j>>3];l=+p[j+8>>3];j=b>>>2;b=h>>>1;if((e|0)>0&(c|0)>0){m=0;o=a;q=g}else return;while(1){g=0;do{a=Ghc(l+k*+n[o+(g<<2)>>2])|0;d[q+(g<<1)>>1]=(a+32768|0)>>>0<65536?a:(a|0)>0?32767:32768;g=g+1|0}while((g|0)!=(e|0));m=m+1|0;if((m|0)==(c|0))break;else{o=o+(j<<2)|0;q=q+(b<<1)|0}}return}function LL(a,b,c,e,g,h,i,j){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0.0,l=0.0,m=0,n=0,o=0;e=f[i>>2]|0;c=f[i+4>>2]|0;i=b>>>3;b=h>>>1;if((c|0)<=0)return;k=+p[j>>3];l=+p[j+8>>3];if((e|0)>0){m=0;n=a;o=g}else return;while(1){g=0;do{a=Fhc(l+k*+p[n+(g<<3)>>3])|0;d[o+(g<<1)>>1]=(a+32768|0)>>>0<65536?a:(a|0)>0?32767:32768;g=g+1|0}while((g|0)!=(e|0));m=m+1|0;if((m|0)==(c|0))break;else{n=n+(i<<3)|0;o=o+(b<<1)|0}}return}function ML(a,b,c,e,g,h,i,k){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;k=k|0;var l=0.0,m=0.0,o=0,q=0,r=0,t=0,u=0,v=0,w=0;e=f[i>>2]|0;c=f[i+4>>2]|0;l=+p[k>>3];m=+p[k+8>>3];k=b>>>1;b=h>>>1;if((e|0)>0&(c|0)>0){o=0;q=a;r=g}else return;while(1){g=0;do{a=j[q+(g<<1)>>1]|0;h=a<<13;i=h&268427264;t=i+939524096|0;u=a<<16&-2147483648;v=a&31744;a:do if(v<<16>>16<31744){switch(v<<16>>16){case 0:break;default:{w=t;break a}}w=(n[s>>2]=(f[s>>2]=i+947912704,+n[s>>2])+-.00006103515625,f[s>>2]|0)}else{switch(v<<16>>16){case 31744:break;default:{w=t;break a}}w=h|1879048192}while(0);h=Ghc(m+l*(f[s>>2]=w|u,+n[s>>2]))|0;d[r+(g<<1)>>1]=(h+32768|0)>>>0<65536?h:(h|0)>0?32767:32768;g=g+1|0}while((g|0)!=(e|0));o=o+1|0;if((o|0)==(c|0))break;else{q=q+(k<<1)|0;r=r+(b<<1)|0}}return}function NL(a,b,c,d,e,g,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;i=i|0;j=j|0;var k=0.0,l=0.0,m=0,n=0,o=0;d=f[i>>2]|0;c=f[i+4>>2]|0;k=+p[j>>3];l=+p[j+8>>3];j=g>>>2;if((c|0)>0&(d|0)>0){m=0;n=a;o=e}else return;while(1){e=0;do{a=Ghc(l+k*+(h[n+e>>0]|0))|0;f[o+(e<<2)>>2]=a;e=e+1|0}while((e|0)!=(d|0));m=m+1|0;if((m|0)==(c|0))break;else{n=n+b|0;o=o+(j<<2)|0}}return}function OL(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0.0,l=0.0,m=0,n=0,o=0;e=f[i>>2]|0;d=f[i+4>>2]|0;k=+p[j>>3];l=+p[j+8>>3];j=h>>>2;if((d|0)>0&(e|0)>0){m=0;n=a;o=g}else return;while(1){g=0;do{a=Ghc(l+k*+(b[n+g>>0]|0))|0;f[o+(g<<2)>>2]=a;g=g+1|0}while((g|0)!=(e|0));m=m+1|0;if((m|0)==(d|0))break;else{n=n+c|0;o=o+(j<<2)|0}}return}function PL(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var k=0.0,l=0.0,m=0,n=0,o=0;d=f[h>>2]|0;c=f[h+4>>2]|0;k=+p[i>>3];l=+p[i+8>>3];i=b>>>1;b=g>>>2;if((c|0)>0&(d|0)>0){m=0;n=a;o=e}else return;while(1){e=0;do{a=Ghc(l+k*+(j[n+(e<<1)>>1]|0))|0;f[o+(e<<2)>>2]=a;e=e+1|0}while((e|0)!=(d|0));m=m+1|0;if((m|0)==(c|0))break;else{n=n+(i<<1)|0;o=o+(b<<2)|0}}return}function QL(a,b,c,e,g,h,i,j){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0.0,l=0.0,m=0,n=0,o=0;e=f[i>>2]|0;c=f[i+4>>2]|0;k=+p[j>>3];l=+p[j+8>>3];j=b>>>1;b=h>>>2;if((c|0)>0&(e|0)>0){m=0;n=a;o=g}else return;while(1){g=0;do{a=Ghc(l+k*+(d[n+(g<<1)>>1]|0))|0;f[o+(g<<2)>>2]=a;g=g+1|0}while((g|0)!=(e|0));m=m+1|0;if((m|0)==(c|0))break;else{n=n+(j<<1)|0;o=o+(b<<2)|0}}return}function RL(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0.0,k=0.0,l=0,m=0,n=0;d=f[h>>2]|0;c=f[h+4>>2]|0;j=+p[i>>3];k=+p[i+8>>3];i=b>>>2;b=g>>>2;if((c|0)>0&(d|0)>0){l=0;m=a;n=e}else return;while(1){e=0;do{a=Fhc(k+j*+(f[m+(e<<2)>>2]|0))|0;f[n+(e<<2)>>2]=a;e=e+1|0}while((e|0)!=(d|0));l=l+1|0;if((l|0)==(c|0))break;else{m=m+(i<<2)|0;n=n+(b<<2)|0}}return}function SL(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0.0,k=0.0,l=0,m=0,o=0;d=f[h>>2]|0;c=f[h+4>>2]|0;j=+p[i>>3];k=+p[i+8>>3];i=b>>>2;b=g>>>2;if((c|0)>0&(d|0)>0){l=0;m=a;o=e}else return;while(1){e=0;do{a=Ghc(k+j*+n[m+(e<<2)>>2])|0;f[o+(e<<2)>>2]=a;e=e+1|0}while((e|0)!=(d|0));l=l+1|0;if((l|0)==(c|0))break;else{m=m+(i<<2)|0;o=o+(b<<2)|0}}return}function TL(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0.0,k=0.0,l=0,m=0,n=0;d=f[h>>2]|0;c=f[h+4>>2]|0;j=+p[i>>3];k=+p[i+8>>3];i=b>>>3;b=g>>>2;if((c|0)>0&(d|0)>0){l=0;m=a;n=e}else return;while(1){e=0;do{a=Fhc(k+j*+p[m+(e<<3)>>3])|0;f[n+(e<<2)>>2]=a;e=e+1|0}while((e|0)!=(d|0));l=l+1|0;if((l|0)==(c|0))break;else{m=m+(i<<3)|0;n=n+(b<<2)|0}}return}function UL(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var k=0.0,l=0.0,m=0,o=0,q=0,r=0,t=0,u=0,v=0;d=f[h>>2]|0;c=f[h+4>>2]|0;k=+p[i>>3];l=+p[i+8>>3];i=b>>>1;b=g>>>2;if((c|0)>0&(d|0)>0){m=0;o=a;q=e}else return;while(1){e=0;do{a=j[o+(e<<1)>>1]|0;g=a<<13;h=g&268427264;r=h+939524096|0;t=a<<16&-2147483648;u=a&31744;a:do if(u<<16>>16<31744){switch(u<<16>>16){case 0:break;default:{v=r;break a}}v=(n[s>>2]=(f[s>>2]=h+947912704,+n[s>>2])+-.00006103515625,f[s>>2]|0)}else{switch(u<<16>>16){case 31744:break;default:{v=r;break a}}v=g|1879048192}while(0);g=Ghc(l+k*(f[s>>2]=v|t,+n[s>>2]))|0;f[q+(e<<2)>>2]=g;e=e+1|0}while((e|0)!=(d|0));m=m+1|0;if((m|0)==(c|0))break;else{o=o+(i<<1)|0;q=q+(b<<2)|0}}return}function VL(a,b,c,d,e,g,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;i=i|0;j=j|0;var k=0.0,l=0.0,m=0,o=0,q=0;d=f[i>>2]|0;c=f[i+4>>2]|0;k=+p[j>>3];l=+p[j+8>>3];j=g>>>2;if((c|0)>0&(d|0)>0){m=0;o=a;q=e}else return;while(1){e=0;do{n[q+(e<<2)>>2]=l+k*+(h[o+e>>0]|0);e=e+1|0}while((e|0)!=(d|0));m=m+1|0;if((m|0)==(c|0))break;else{o=o+b|0;q=q+(j<<2)|0}}return}function WL(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0.0,l=0.0,m=0,o=0,q=0;e=f[i>>2]|0;d=f[i+4>>2]|0;k=+p[j>>3];l=+p[j+8>>3];j=h>>>2;if((d|0)>0&(e|0)>0){m=0;o=a;q=g}else return;while(1){g=0;do{n[q+(g<<2)>>2]=l+k*+(b[o+g>>0]|0);g=g+1|0}while((g|0)!=(e|0));m=m+1|0;if((m|0)==(d|0))break;else{o=o+c|0;q=q+(j<<2)|0}}return}function XL(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var k=0.0,l=0.0,m=0,o=0,q=0;d=f[h>>2]|0;c=f[h+4>>2]|0;k=+p[i>>3];l=+p[i+8>>3];i=b>>>1;b=g>>>2;if((d|0)>0&(c|0)>0){m=0;o=a;q=e}else return;while(1){e=0;do{n[q+(e<<2)>>2]=l+k*+(j[o+(e<<1)>>1]|0);e=e+1|0}while((e|0)!=(d|0));m=m+1|0;if((m|0)==(c|0))break;else{o=o+(i<<1)|0;q=q+(b<<2)|0}}return}function YL(a,b,c,e,g,h,i,j){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0.0,l=0.0,m=0,o=0,q=0;e=f[i>>2]|0;c=f[i+4>>2]|0;k=+p[j>>3];l=+p[j+8>>3];j=b>>>1;b=h>>>2;if((e|0)>0&(c|0)>0){m=0;o=a;q=g}else return;while(1){g=0;do{n[q+(g<<2)>>2]=l+k*+(d[o+(g<<1)>>1]|0);g=g+1|0}while((g|0)!=(e|0));m=m+1|0;if((m|0)==(c|0))break;else{o=o+(j<<1)|0;q=q+(b<<2)|0}}return}function ZL(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0.0,k=0.0,l=0,m=0,o=0;d=f[h>>2]|0;c=f[h+4>>2]|0;j=+p[i>>3];k=+p[i+8>>3];i=b>>>2;b=g>>>2;if((d|0)>0&(c|0)>0){l=0;m=a;o=e}else return;while(1){e=0;do{n[o+(e<<2)>>2]=k+j*+(f[m+(e<<2)>>2]|0);e=e+1|0}while((e|0)!=(d|0));l=l+1|0;if((l|0)==(c|0))break;else{m=m+(i<<2)|0;o=o+(b<<2)|0}}return}function _L(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0.0,k=0.0,l=0,m=0,o=0;d=f[h>>2]|0;c=f[h+4>>2]|0;j=+p[i>>3];k=+p[i+8>>3];i=b>>>2;b=g>>>2;if((d|0)>0&(c|0)>0){l=0;m=a;o=e}else return;while(1){e=0;do{n[o+(e<<2)>>2]=k+j*+n[m+(e<<2)>>2];e=e+1|0}while((e|0)!=(d|0));l=l+1|0;if((l|0)==(c|0))break;else{m=m+(i<<2)|0;o=o+(b<<2)|0}}return}function $L(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0.0,k=0.0,l=0,m=0,o=0;d=f[h>>2]|0;c=f[h+4>>2]|0;j=+p[i>>3];k=+p[i+8>>3];i=b>>>3;b=g>>>2;if((d|0)>0&(c|0)>0){l=0;m=a;o=e}else return;while(1){e=0;do{n[o+(e<<2)>>2]=k+j*+p[m+(e<<3)>>3];e=e+1|0}while((e|0)!=(d|0));l=l+1|0;if((l|0)==(c|0))break;else{m=m+(i<<3)|0;o=o+(b<<2)|0}}return}function aM(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var k=0.0,l=0.0,m=0,o=0,q=0,r=0,t=0,u=0,v=0;d=f[h>>2]|0;c=f[h+4>>2]|0;k=+p[i>>3];l=+p[i+8>>3];i=b>>>1;b=g>>>2;if((d|0)>0&(c|0)>0){m=0;o=a;q=e}else return;while(1){e=0;do{a=j[o+(e<<1)>>1]|0;g=a<<13;h=g&268427264;r=h+939524096|0;t=a<<16&-2147483648;u=a&31744;a:do if(u<<16>>16<31744){switch(u<<16>>16){case 0:break;default:{v=r;break a}}v=(n[s>>2]=(f[s>>2]=h+947912704,+n[s>>2])+-.00006103515625,f[s>>2]|0)}else{switch(u<<16>>16){case 31744:break;default:{v=r;break a}}v=g|1879048192}while(0);n[q+(e<<2)>>2]=l+k*(f[s>>2]=v|t,+n[s>>2]);e=e+1|0}while((e|0)!=(d|0));m=m+1|0;if((m|0)==(c|0))break;else{o=o+(i<<1)|0;q=q+(b<<2)|0}}return}function bM(a,b,c,d,e,g,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;i=i|0;j=j|0;var k=0.0,l=0.0,m=0,n=0,o=0;d=f[i>>2]|0;c=f[i+4>>2]|0;k=+p[j>>3];l=+p[j+8>>3];j=g>>>3;if((c|0)>0&(d|0)>0){m=0;n=a;o=e}else return;while(1){e=0;do{p[o+(e<<3)>>3]=l+k*+(h[n+e>>0]|0);e=e+1|0}while((e|0)!=(d|0));m=m+1|0;if((m|0)==(c|0))break;else{n=n+b|0;o=o+(j<<3)|0}}return}function cM(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0.0,l=0.0,m=0,n=0,o=0;e=f[i>>2]|0;d=f[i+4>>2]|0;k=+p[j>>3];l=+p[j+8>>3];j=h>>>3;if((d|0)>0&(e|0)>0){m=0;n=a;o=g}else return;while(1){g=0;do{p[o+(g<<3)>>3]=l+k*+(b[n+g>>0]|0);g=g+1|0}while((g|0)!=(e|0));m=m+1|0;if((m|0)==(d|0))break;else{n=n+c|0;o=o+(j<<3)|0}}return}function dM(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var k=0.0,l=0.0,m=0,n=0,o=0;d=f[h>>2]|0;c=f[h+4>>2]|0;k=+p[i>>3];l=+p[i+8>>3];i=b>>>1;b=g>>>3;if((d|0)>0&(c|0)>0){m=0;n=a;o=e}else return;while(1){e=0;do{p[o+(e<<3)>>3]=l+k*+(j[n+(e<<1)>>1]|0);e=e+1|0}while((e|0)!=(d|0));m=m+1|0;if((m|0)==(c|0))break;else{n=n+(i<<1)|0;o=o+(b<<3)|0}}return}function eM(a,b,c,e,g,h,i,j){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0.0,l=0.0,m=0,n=0,o=0;e=f[i>>2]|0;c=f[i+4>>2]|0;k=+p[j>>3];l=+p[j+8>>3];j=b>>>1;b=h>>>3;if((e|0)>0&(c|0)>0){m=0;n=a;o=g}else return;while(1){g=0;do{p[o+(g<<3)>>3]=l+k*+(d[n+(g<<1)>>1]|0);g=g+1|0}while((g|0)!=(e|0));m=m+1|0;if((m|0)==(c|0))break;else{n=n+(j<<1)|0;o=o+(b<<3)|0}}return}function fM(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0.0,k=0.0,l=0,m=0,n=0;d=f[h>>2]|0;c=f[h+4>>2]|0;j=+p[i>>3];k=+p[i+8>>3];i=b>>>2;b=g>>>3;if((d|0)>0&(c|0)>0){l=0;m=a;n=e}else return;while(1){e=0;do{p[n+(e<<3)>>3]=k+j*+(f[m+(e<<2)>>2]|0);e=e+1|0}while((e|0)!=(d|0));l=l+1|0;if((l|0)==(c|0))break;else{m=m+(i<<2)|0;n=n+(b<<3)|0}}return}function gM(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0.0,k=0.0,l=0,m=0,o=0;d=f[h>>2]|0;c=f[h+4>>2]|0;j=+p[i>>3];k=+p[i+8>>3];i=b>>>2;b=g>>>3;if((d|0)>0&(c|0)>0){l=0;m=a;o=e}else return;while(1){e=0;do{p[o+(e<<3)>>3]=k+j*+n[m+(e<<2)>>2];e=e+1|0}while((e|0)!=(d|0));l=l+1|0;if((l|0)==(c|0))break;else{m=m+(i<<2)|0;o=o+(b<<3)|0}}return}function hM(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0.0,k=0.0,l=0,m=0,n=0;d=f[h>>2]|0;c=f[h+4>>2]|0;j=+p[i>>3];k=+p[i+8>>3];i=b>>>3;b=g>>>3;if((d|0)>0&(c|0)>0){l=0;m=a;n=e}else return;while(1){e=0;do{p[n+(e<<3)>>3]=k+j*+p[m+(e<<3)>>3];e=e+1|0}while((e|0)!=(d|0));l=l+1|0;if((l|0)==(c|0))break;else{m=m+(i<<3)|0;n=n+(b<<3)|0}}return}function iM(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var k=0.0,l=0.0,m=0,o=0,q=0,r=0,t=0,u=0,v=0;d=f[h>>2]|0;c=f[h+4>>2]|0;k=+p[i>>3];l=+p[i+8>>3];i=b>>>1;b=g>>>3;if((d|0)>0&(c|0)>0){m=0;o=a;q=e}else return;while(1){e=0;do{a=j[o+(e<<1)>>1]|0;g=a<<13;h=g&268427264;r=h+939524096|0;t=a<<16&-2147483648;u=a&31744;a:do if(u<<16>>16<31744){switch(u<<16>>16){case 0:break;default:{v=r;break a}}v=(n[s>>2]=(f[s>>2]=h+947912704,+n[s>>2])+-.00006103515625,f[s>>2]|0)}else{switch(u<<16>>16){case 31744:break;default:{v=r;break a}}v=g|1879048192}while(0);p[q+(e<<3)>>3]=l+k*(f[s>>2]=v|t,+n[s>>2]);e=e+1|0}while((e|0)!=(d|0));m=m+1|0;if((m|0)==(c|0))break;else{o=o+(i<<1)|0;q=q+(b<<3)|0}}return}function jM(a,b,c,e,g,i,j,k){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;i=i|0;j=j|0;k=k|0;var l=0.0,m=0.0,o=0,q=0,r=0,t=0;e=f[j>>2]|0;c=f[j+4>>2]|0;l=+p[k>>3];m=+p[k+8>>3];k=i>>>1;if((c|0)>0&(e|0)>0){o=0;q=g;r=a}else return;while(1){a=0;do{g=(n[s>>2]=m+l*+(h[r+a>>0]|0),f[s>>2]|0);i=g&-2147483648;j=i^g;do if(j>>>0<=1199570943)if(j>>>0<947912704){t=(n[s>>2]=(f[s>>2]=j,+n[s>>2])+.5,f[s>>2]|0);break}else{t=(g+134221823+(g>>>13&1)|0)>>>13;break}else t=j>>>0>2139095040?32256:31744;while(0);d[q+(a<<1)>>1]=t|i>>>16;a=a+1|0}while((a|0)!=(e|0));o=o+1|0;if((o|0)==(c|0))break;else{q=q+(k<<1)|0;r=r+b|0}}return}
function yab(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0;if((a|0)==(b|0))return;c=a+20|0;d=f[c>>2]|0;if((d|0)>0){e=f[a+28>>2]|0;g=0;do{h=f[e+4+(g<<2)>>2]|0;g=g+1|0;f[h+16>>2]=0;f[h+8>>2]=0;i=f[h+4>>2]|0;if(i&1|0?(h=i&-2,f[h>>2]|0):0)ebc(h)}while((g|0)!=(d|0));f[c>>2]=0}f[a+8>>2]=0;c=a+4|0;d=f[c>>2]|0;if(d&1|0?(g=d&-2,f[g>>2]|0):0)ebc(g);g=ovc(b,24728,20376,0)|0;if(!g){A9b(b,a);return}b=f[g+4>>2]|0;if(b&1|0){d=f[c>>2]|0;if(!(d&1))j=OOa(c)|0;else j=d&-2;hbc(j,b&-2)}J1a(a+16|0,g+16|0);return}function zab(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=ovc(b,24728,20376,0)|0;if(!c){A9b(b,a);return}b=a+4|0;d=f[c+4>>2]|0;if(d&1|0){e=f[b>>2]|0;if(!(e&1))g=OOa(b)|0;else g=e&-2;hbc(g,d&-2)}J1a(a+16|0,c+16|0);return}function Aab(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function Bab(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224781]|0)!=2){f[d>>2]=151624;f[d+4>>2]=21;b[d+8>>0]=0;xLb(899124,d);QKb(d)}d=540840;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function Cab(a){a=a|0;var c=0,d=0,e=0;c=u;u=u+16|0;d=c;f[a>>2]=127592;f[a+4>>2]=0;f[a+8>>2]=0;e=a+16|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((a|0)!=538992?(f[224825]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=65;b[d+8>>0]=0;xLb(899300,d);QKb(d)}f[a+12>>2]=0;u=c;return}function Dab(a,b){a=a|0;b=b|0;if(!b)return;EIb(a,b,1978);return}function Eab(a){a=a|0;var b=0,c=0;f[a>>2]=127700;b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(c);f[b>>2]=0;return}function Fab(a){a=a|0;var b=0,c=0;f[a>>2]=127700;b=f[a+4>>2]|0;if(!(b&1)){fuc(a);return}c=b&-2;b=c;if((c|0)==0|(f[b+4>>2]|0)!=0){fuc(a);return}if(f[b>>2]|0)ebc(b);fuc(c);fuc(a);return}function Gab(a){a=a|0;a=cuc(24)|0;Tab(a);return a|0}function Hab(a,b){a=a|0;b=b|0;a=cuc(24)|0;Tab(a);if(!b)return a|0;Uab(b,a);return a|0}function Iab(a){a=a|0;var b=0;b=a+8|0;if(f[b>>2]&3|0){f[a+16>>2]=1;f[a+20>>2]=-1}f[b>>2]=0;b=f[a+4>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;ebc(a);return}function Jab(a){a=a|0;return 1}function Kab(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;d=c+4|0;e=a+8|0;g=a+16|0;h=a+20|0;i=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[d>>2]|0)>>>0){j=b[a>>0]|0;k=j&255;if(j<<24>>24>0){f[c>>2]=a+1;l=k;m=6}else{n=k;m=5}}else{n=0;m=5}if((m|0)==5){m=0;k=OJb(c,n)|0;if((k+-1|0)>>>0<127){l=k;m=6}else o=k}b:do if((m|0)==6){m=0;switch(l>>>3&536870911|0){case 1:{if((l&255|0)!=8){o=l;break b}f[e>>2]=f[e>>2]|1;k=f[c>>2]|0;if(k>>>0<(f[d>>2]|0)>>>0){a=b[k>>0]|0;j=a&255;if(a<<24>>24>-1){f[c>>2]=k+1;p=j}else{q=j;m=11}}else{q=0;m=11}if((m|0)==11){m=0;j=zJb(c,q)|0;k=J;if((k|0)>-1|(k|0)==-1&j>>>0>4294967295)p=j;else{r=0;m=24;break a}}f[g>>2]=p;continue a;break}case 2:{if((l&255|0)!=16){o=l;break b}f[e>>2]=f[e>>2]|2;j=f[c>>2]|0;if(j>>>0<(f[d>>2]|0)>>>0){k=b[j>>0]|0;a=k&255;if(k<<24>>24>-1){f[c>>2]=j+1;s=a}else{t=a;m=17}}else{t=0;m=17}if((m|0)==17){m=0;a=zJb(c,t)|0;j=J;if((j|0)>-1|(j|0)==-1&a>>>0>4294967295)s=a;else{r=0;m=24;break a}}f[h>>2]=s;continue a;break}default:{o=l;break b}}}while(0);if(!o){r=1;m=24;break}a=f[i>>2]|0;if(!(a&1))u=OOa(i)|0;else u=a&-2;if(!(xbc(c,o,u)|0)){r=0;m=24;break}}if((m|0)==24)return r|0;return 0}function Lab(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=Dbc(b&-2)|0;b=f[a+8>>2]|0;if(!(b&3)){d=c;e=a+12|0;f[e>>2]=d;return d|0}if(!(b&1))g=c;else{h=f[a+16>>2]|0;if((h|0)<0)i=11;else i=((((($(h|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;g=i+c|0}if(!(b&2)){d=g;e=a+12|0;f[e>>2]=d;return d|0}b=f[a+20>>2]|0;if((b|0)<0)j=11;else j=((((($(b|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;d=j+g|0;e=a+12|0;f[e>>2]=d;return d|0}function Mab(a,b){a=a|0;b=b|0;var c=0;c=f[a+8>>2]|0;if(c&1|0)GLb(1,f[a+16>>2]|0,b);if(c&2|0)GLb(2,f[a+20>>2]|0,b);c=f[a+4>>2]|0;if(!(c&1))return;Abc(c&-2,b);return}function Nab(a){a=a|0;return f[a+12>>2]|0}function Oab(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;c=f[a+8>>2]|0;if(!(c&1))e=d;else{g=f[a+16>>2]|0;b[d>>0]=8;h=d+1|0;d=g&255;if(g>>>0>127){i=h;j=d;k=g;l=((g|0)<0)<<31>>31;while(1){b[i>>0]=j|-128;g=k;k=pzc(k|0,l|0,7)|0;m=i+1|0;n=k&255;if(!(l>>>0>0|(l|0)==0&g>>>0>16383)){o=m;p=n;break}else{i=m;j=n;l=J}}}else{o=h;p=d}b[o>>0]=p;e=o+1|0}if(!(c&2))q=e;else{c=f[a+20>>2]|0;b[e>>0]=16;o=e+1|0;e=c&255;if(c>>>0>127){p=o;d=e;h=c;l=((c|0)<0)<<31>>31;while(1){b[p>>0]=d|-128;c=h;h=pzc(h|0,l|0,7)|0;j=p+1|0;i=h&255;if(!(l>>>0>0|(l|0)==0&c>>>0>16383)){r=j;s=i;break}else{p=j;d=i;l=J}}}else{r=o;s=e}b[r>>0]=s;q=r+1|0}r=f[a+4>>2]|0;if(!(r&1)){t=q;return t|0}t=Bbc(r&-2,q)|0;return t|0}function Pab(a,b){a=a|0;b=b|0;var c=0,d=0;if((a|0)==(b|0))return;c=a+8|0;if(f[c>>2]&3|0){f[a+16>>2]=1;f[a+20>>2]=-1}f[c>>2]=0;c=f[a+4>>2]|0;if(c&1|0?(d=c&-2,f[d>>2]|0):0)ebc(d);Qab(a,b);return}function Qab(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=ovc(b,24728,20392,0)|0;if(!c){A9b(b,a);return}b=a+4|0;d=f[c+4>>2]|0;if(d&1|0){e=f[b>>2]|0;if(!(e&1))g=OOa(b)|0;else g=e&-2;hbc(g,d&-2)}d=f[c+8>>2]|0;if(!(d&3))return;if(d&1|0)f[a+16>>2]=f[c+16>>2];if(d&2|0)f[a+20>>2]=f[c+20>>2];c=a+8|0;f[c>>2]=f[c>>2]|d;return}function Rab(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function Sab(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224781]|0)!=2){f[d>>2]=151624;f[d+4>>2]=21;b[d+8>>0]=0;xLb(899124,d);QKb(d)}d=540784;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function Tab(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=127700;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=538760?(f[224818]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=58;b[d+8>>0]=0;xLb(899272,d);QKb(d)}f[a+12>>2]=0;f[a+16>>2]=1;f[a+20>>2]=-1;u=c;return}function Uab(a,b){a=a|0;b=b|0;if(!b)return;EIb(a,b,1978);return}function Vab(a){a=a|0;var b=0,c=0;f[a>>2]=127808;if((a|0)!=538688){b=f[a+16>>2]|0;if(b|0)bi[f[(f[b>>2]|0)+4>>2]&2047](b);b=f[a+20>>2]|0;if(b|0)bi[f[(f[b>>2]|0)+4>>2]&2047](b)}b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(c);f[b>>2]=0;return}function Wab(a){a=a|0;var b=0,c=0;f[a>>2]=127808;if((a|0)!=538688){b=f[a+16>>2]|0;if(b|0)bi[f[(f[b>>2]|0)+4>>2]&2047](b);b=f[a+20>>2]|0;if(b|0)bi[f[(f[b>>2]|0)+4>>2]&2047](b)}b=f[a+4>>2]|0;if(!(b&1)){fuc(a);return}c=b&-2;b=c;if((c|0)==0|(f[b+4>>2]|0)!=0){fuc(a);return}if(f[b>>2]|0)ebc(b);fuc(c);fuc(a);return}function Xab(a){a=a|0;a=cuc(36)|0;jbb(a);return a|0}function Yab(a,b){a=a|0;b=b|0;a=cuc(36)|0;jbb(a);if(!b)return a|0;kbb(b,a);return a|0}function Zab(a){a=a|0;var c=0,d=0,e=0,g=0,h=0;c=a+8|0;d=f[c>>2]|0;if(d&3|0){if(d&1|0){e=f[a+16>>2]|0;g=e+8|0;h=f[g>>2]|0;if(h&1|0)ruc(f[e+16>>2]|0,540424)|0;if(h&254|0){h=e+20|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;f[e+36>>2]=-1;n[e+40>>2]=1.0;n[e+44>>2]=1.0}f[g>>2]=0;g=f[e+4>>2]|0;if(g&1|0?(e=g&-2,f[e>>2]|0):0)ebc(e)}if(d&2|0){e=f[a+20>>2]|0;g=e+8|0;h=f[g>>2]|0;if(h&1|0)ruc(f[e+16>>2]|0,540424)|0;if(h&254|0){h=e+20|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;f[e+36>>2]=-1;n[e+40>>2]=1.0;n[e+44>>2]=1.0}f[g>>2]=0;g=f[e+4>>2]|0;if(g&1|0?(e=g&-2,f[e>>2]|0):0)ebc(e)}}if(d&28|0){d=a+24|0;f[d>>2]=0;f[d+4>>2]=0;b[a+32>>0]=1}f[c>>2]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;ebc(a);return}function _ab(a){a=a|0;return 1}function $ab(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;d=u;u=u+16|0;e=d;g=c+4|0;h=a+8|0;i=a+24|0;j=a+28|0;k=a+32|0;l=e+8|0;m=a+16|0;n=e+4|0;o=a+20|0;p=e+4|0;q=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){r=b[a>>0]|0;s=r&255;if(r<<24>>24>0){f[c>>2]=a+1;t=s;v=6}else{w=s;v=5}}else{w=0;v=5}if((v|0)==5){v=0;s=OJb(c,w)|0;if((s+-1|0)>>>0<127){t=s;v=6}else x=s}b:do if((v|0)==6){v=0;switch(t>>>3&536870911|0){case 1:{if((t&255|0)!=8){x=t;break b}f[h>>2]=f[h>>2]|4;s=f[c>>2]|0;if(s>>>0<(f[g>>2]|0)>>>0){a=b[s>>0]|0;r=a&255;if(a<<24>>24>-1){f[i>>2]=r;f[c>>2]=s+1;continue a}else y=r}else y=0;r=zJb(c,y)|0;s=J;f[i>>2]=r;if((s|0)>-1|(s|0)==-1&r>>>0>4294967295)continue a;else{z=0;v=50;break a}break}case 2:{if((t&255|0)!=16){x=t;break b}f[h>>2]=f[h>>2]|8;r=f[c>>2]|0;if(r>>>0<(f[g>>2]|0)>>>0){s=b[r>>0]|0;a=s&255;if(s<<24>>24>-1){f[j>>2]=a;f[c>>2]=r+1;continue a}else A=a}else A=0;a=zJb(c,A)|0;r=J;f[j>>2]=a;if((r|0)>-1|(r|0)==-1&a>>>0>4294967295)continue a;else{z=0;v=50;break a}break}case 3:{if((t&255|0)!=24){x=t;break b}f[h>>2]=f[h>>2]|16;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(r=b[a>>0]|0,r<<24>>24>-1):0){f[c>>2]=a+1;B=r<<24>>24!=0}else{AJb(e,c);r=e;if(!(b[l>>0]|0)){z=0;v=50;break a}else B=(f[r>>2]|0)!=0|(f[r+4>>2]|0)!=0}b[k>>0]=B&1;continue a;break}case 4:{if((t&255|0)!=34){x=t;break b}f[h>>2]=f[h>>2]|1;r=f[m>>2]|0;if(!r){a=cuc(48)|0;DXa(a);f[m>>2]=a;C=a}else C=r;r=f[c>>2]|0;if(r>>>0<(f[g>>2]|0)>>>0?(a=b[r>>0]|0,a<<24>>24>-1):0){f[c>>2]=r+1;D=a&255}else{a=NJb(c)|0;if((a|0)>-1)D=a;else{z=0;v=50;break a}}yJb(e,c,D);if((f[n>>2]|0)<0){v=32;break a}if(!(Th[f[(f[C>>2]|0)+44>>2]&1023](C,c)|0)){v=32;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{z=0;v=50;break a}break}case 5:{if((t&255|0)!=42){x=t;break b}f[h>>2]=f[h>>2]|2;a=f[o>>2]|0;if(!a){r=cuc(48)|0;DXa(r);f[o>>2]=r;E=r}else E=a;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(r=b[a>>0]|0,r<<24>>24>-1):0){f[c>>2]=a+1;F=r&255}else{r=NJb(c)|0;if((r|0)>-1)F=r;else{z=0;v=50;break a}}yJb(e,c,F);if((f[p>>2]|0)<0){v=43;break a}if(!(Th[f[(f[E>>2]|0)+44>>2]&1023](E,c)|0)){v=43;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{z=0;v=50;break a}break}default:{x=t;break b}}}while(0);if(!x){z=1;v=50;break}r=f[q>>2]|0;if(!(r&1))G=OOa(q)|0;else G=r&-2;if(!(xbc(c,x,G)|0)){z=0;v=50;break}}if((v|0)==32){z=0;u=d;return z|0}else if((v|0)==43){z=0;u=d;return z|0}else if((v|0)==50){u=d;return z|0}return 0}function abb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=Dbc(b&-2)|0;b=a+8|0;d=f[b>>2]|0;if(!(d&31)){e=c;g=a+12|0;f[g>>2]=e;return e|0}if(!(d&1)){h=c;i=d}else{d=f[a+16>>2]|0;j=di[f[(f[d>>2]|0)+48>>2]&1023](d)|0;d=c+1+j+((((($(j|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=d;i=f[b>>2]|0}if(!(i&2)){k=h;l=i}else{i=f[a+20>>2]|0;d=di[f[(f[i>>2]|0)+48>>2]&1023](i)|0;i=h+1+d+((((($(d|1|0)|0)^31)*9|0)+73|0)>>>6)|0;k=i;l=f[b>>2]|0}if(!(l&4))m=k;else m=k+1+((((($(f[a+24>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;if(!(l&8))n=m;else n=m+1+((((($(f[a+28>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;e=l&16|0?n+2|0:n;g=a+12|0;f[g>>2]=e;return e|0}function bbb(a,c){a=a|0;c=c|0;var d=0;d=f[a+8>>2]|0;if(d&4|0)ILb(1,f[a+24>>2]|0,c);if(d&8|0)ILb(2,f[a+28>>2]|0,c);if(d&16|0)SLb(3,(b[a+32>>0]|0)!=0,c);if(d&1|0)_Lb(4,f[a+16>>2]|0,c);if(d&2|0)_Lb(5,f[a+20>>2]|0,c);d=f[a+4>>2]|0;if(!(d&1))return;Abc(d&-2,c);return}function cbb(a){a=a|0;return f[a+12>>2]|0}function dbb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;e=f[a+8>>2]|0;if(!(e&4))g=d;else{h=f[a+24>>2]|0;b[d>>0]=8;i=d+1|0;if(h>>>0>127){d=h;j=i;while(1){b[j>>0]=d|128;k=d>>>7;l=j+1|0;if(d>>>0>16383){d=k;j=l}else{m=l;n=k;break}}}else{m=i;n=h}b[m>>0]=n;g=m+1|0}if(!(e&8))o=g;else{m=f[a+28>>2]|0;b[g>>0]=16;n=g+1|0;if(m>>>0>127){g=m;h=n;while(1){b[h>>0]=g|128;i=g>>>7;j=h+1|0;if(g>>>0>16383){g=i;h=j}else{p=j;q=i;break}}}else{p=n;q=m}b[p>>0]=q;o=p+1|0}if(!(e&16))r=o;else{p=b[a+32>>0]|0;b[o>>0]=24;b[o+1>>0]=p;r=o+2|0}if(!(e&1))s=r;else{o=f[a+16>>2]|0;b[r>>0]=34;p=r+1|0;r=di[f[(f[o>>2]|0)+60>>2]&1023](o)|0;if(r>>>0>127){q=r;m=p;while(1){b[m>>0]=q|128;n=q>>>7;h=m+1|0;if(q>>>0>16383){q=n;m=h}else{t=h;u=n;break}}}else{t=p;u=r}b[t>>0]=u;s=li[f[(f[o>>2]|0)+64>>2]&511](o,c,t+1|0)|0}if(!(e&2))v=s;else{e=f[a+20>>2]|0;b[s>>0]=42;t=s+1|0;s=di[f[(f[e>>2]|0)+60>>2]&1023](e)|0;if(s>>>0>127){o=s;u=t;while(1){b[u>>0]=o|128;r=o>>>7;p=u+1|0;if(o>>>0>16383){o=r;u=p}else{w=p;x=r;break}}}else{w=t;x=s}b[w>>0]=x;v=li[f[(f[e>>2]|0)+64>>2]&511](e,c,w+1|0)|0}w=f[a+4>>2]|0;if(!(w&1)){y=v;return y|0}y=Bbc(w&-2,v)|0;return y|0}function ebb(a,b){a=a|0;b=b|0;var c=0;if((a|0)==(b|0))return;Zab(a);c=ovc(b,24728,20408,0)|0;if(!c){A9b(b,a);return}else{ibb(a,c);return}}function fbb(a,b){a=a|0;b=b|0;var c=0;c=ovc(b,24728,20408,0)|0;if(!c){A9b(b,a);return}else{ibb(a,c);return}}function gbb(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function hbb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224781]|0)!=2){f[d>>2]=151624;f[d+4>>2]=21;b[d+8>>0]=0;xLb(899124,d);QKb(d)}d=540768;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function ibb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0;d=a+4|0;e=f[c+4>>2]|0;if(e&1|0){g=f[d>>2]|0;if(!(g&1))h=OOa(d)|0;else h=g&-2;hbc(h,e&-2)}e=f[c+8>>2]|0;if(!(e&31))return;if(e&1|0){h=a+8|0;f[h>>2]=f[h>>2]|1;h=a+16|0;g=f[h>>2]|0;if(!g){d=cuc(48)|0;DXa(d);f[h>>2]=d;i=d}else i=g;g=f[c+16>>2]|0;EXa(i,g|0?g:537032)}if(e&2|0){g=a+8|0;f[g>>2]=f[g>>2]|2;g=a+20|0;i=f[g>>2]|0;if(!i){d=cuc(48)|0;DXa(d);f[g>>2]=d;j=d}else j=i;i=f[c+20>>2]|0;EXa(j,i|0?i:537032)}if(e&4|0)f[a+24>>2]=f[c+24>>2];if(e&8|0)f[a+28>>2]=f[c+28>>2];if(e&16|0)b[a+32>>0]=b[c+32>>0]|0;c=a+8|0;f[c>>2]=f[c>>2]|e;return}function jbb(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=127808;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=538688?(f[224816]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=56;b[d+8>>0]=0;xLb(899264,d);QKb(d)}d=a+12|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;f[d+16>>2]=0;b[a+32>>0]=1;u=c;return}function kbb(a,b){a=a|0;b=b|0;if(!b)return;EIb(a,b,1978);return}function lbb(a){a=a|0;var b=0,c=0;f[a>>2]=127916;b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(c);f[b>>2]=0;return}function mbb(a){a=a|0;var b=0,c=0;f[a>>2]=127916;b=f[a+4>>2]|0;if(!(b&1)){fuc(a);return}c=b&-2;b=c;if((c|0)==0|(f[b+4>>2]|0)!=0){fuc(a);return}if(f[b>>2]|0)ebc(b);fuc(c);fuc(a);return}function nbb(a){a=a|0;a=cuc(20)|0;Abb(a);return a|0}function obb(a,b){a=a|0;b=b|0;a=cuc(20)|0;Abb(a);if(!b)return a|0;Bbb(b,a);return a|0}function pbb(a){a=a|0;var b=0;n[a+16>>2]=1.0;f[a+8>>2]=0;b=f[a+4>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;ebc(a);return}function qbb(a){a=a|0;return 1}function rbb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;d=u;u=u+16|0;e=d;g=c+4|0;i=a+8|0;j=a+16|0;k=a+4|0;while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){l=b[a>>0]|0;m=l&255;if(l<<24>>24>0){f[c>>2]=a+1;n=m;o=6}else{p=m;o=5}}else{p=0;o=5}if((o|0)==5){o=0;m=OJb(c,p)|0;if((m+-1|0)>>>0<127){n=m;o=6}else q=m}if((o|0)==6){o=0;if((n|0)==13){f[i>>2]=f[i>>2]|1;m=f[c>>2]|0;if(((f[g>>2]|0)-m|0)>3){a=m;l=h[a>>0]|h[a+1>>0]<<8|h[a+2>>0]<<16|h[a+3>>0]<<24;f[e>>2]=l;f[c>>2]=m+4;r=l}else{if(!(LJb(c,e)|0)){o=12;break}r=f[e>>2]|0}f[j>>2]=r;continue}else q=n}if(!q){s=1;o=18;break}l=f[k>>2]|0;if(!(l&1))t=OOa(k)|0;else t=l&-2;if(!(xbc(c,q,t)|0)){s=0;o=18;break}}if((o|0)==12){s=0;u=d;return s|0}else if((o|0)==18){u=d;return s|0}return 0}function sbb(a){a=a|0;var b=0,c=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=Dbc(b&-2)|0;b=f[a+8>>2]&1|0?c+5|0:c;f[a+12>>2]=b;return b|0}function tbb(a,b){a=a|0;b=b|0;var c=0;if(f[a+8>>2]&1|0)QLb(1,+n[a+16>>2],b);c=f[a+4>>2]|0;if(!(c&1))return;Abc(c&-2,b);return}function ubb(a){a=a|0;return f[a+12>>2]|0}function vbb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0;if(!(f[a+8>>2]&1))e=d;else{c=f[a+16>>2]|0;b[d>>0]=13;g=d+1|0;b[g>>0]=c;b[g+1>>0]=c>>8;b[g+2>>0]=c>>16;b[g+3>>0]=c>>24;e=d+5|0}d=f[a+4>>2]|0;if(!(d&1)){h=e;return h|0}h=Bbc(d&-2,e)|0;return h|0}function wbb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0;if((a|0)==(b|0))return;c=a+16|0;n[c>>2]=1.0;d=a+8|0;f[d>>2]=0;e=a+4|0;g=f[e>>2]|0;if(g&1|0?(h=g&-2,f[h>>2]|0):0)ebc(h);h=ovc(b,24728,20424,0)|0;if(!h){A9b(b,a);return}a=f[h+4>>2]|0;if(a&1|0){b=f[e>>2]|0;if(!(b&1))i=OOa(e)|0;else i=b&-2;hbc(i,a&-2)}if(!(f[h+8>>2]&1))return;a=f[h+16>>2]|0;f[d>>2]=f[d>>2]|1;f[c>>2]=a;return}function xbb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=ovc(b,24728,20424,0)|0;if(!c){A9b(b,a);return}b=a+4|0;d=f[c+4>>2]|0;if(d&1|0){e=f[b>>2]|0;if(!(e&1))g=OOa(b)|0;else g=e&-2;hbc(g,d&-2)}if(!(f[c+8>>2]&1))return;d=f[c+16>>2]|0;c=a+8|0;f[c>>2]=f[c>>2]|1;f[a+16>>2]=d;return}function ybb(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function zbb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224781]|0)!=2){f[d>>2]=151624;f[d+4>>2]=21;b[d+8>>0]=0;xLb(899124,d);QKb(d)}d=540760;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function Abb(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=127916;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=538664?(f[224815]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=55;b[d+8>>0]=0;xLb(899260,d);QKb(d)}f[a+12>>2]=0;n[a+16>>2]=1.0;u=c;return}function Bbb(a,b){a=a|0;b=b|0;if(!b)return;EIb(a,b,1978);return}function Cbb(a){a=a|0;var b=0,c=0;f[a>>2]=128024;Ubb(a);b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(c);f[b>>2]=0;return}function Dbb(a){a=a|0;Cbb(a);fuc(a);return}function Ebb(a){a=a|0;a=cuc(40)|0;Sbb(a);return a|0}function Fbb(a,b){a=a|0;b=b|0;a=cuc(40)|0;Sbb(a);if(!b)return a|0;Tbb(b,a);return a|0}function Gbb(a){a=a|0;var c=0,d=0,e=0,g=0;c=a+8|0;d=f[c>>2]|0;do if(d&31|0){do if(d&1|0){e=f[a+16>>2]|0;g=e+11|0;if((b[g>>0]|0)<0){b[f[e>>2]>>0]=0;f[e+4>>2]=0;break}else{b[e>>0]=0;b[g>>0]=0;break}}while(0);do if(d&2|0){g=f[a+20>>2]|0;e=g+11|0;if((b[e>>0]|0)<0){b[f[g>>2]>>0]=0;f[g+4>>2]=0;break}else{b[g>>0]=0;b[e>>0]=0;break}}while(0);do if(d&4|0){e=f[a+24>>2]|0;g=e+11|0;if((b[g>>0]|0)<0){b[f[e>>2]>>0]=0;f[e+4>>2]=0;break}else{b[e>>0]=0;b[g>>0]=0;break}}while(0);do if(d&8|0){g=f[a+28>>2]|0;e=g+11|0;if((b[e>>0]|0)<0){b[f[g>>2]>>0]=0;f[g+4>>2]=0;break}else{b[g>>0]=0;b[e>>0]=0;break}}while(0);if(d&16|0){e=f[a+32>>2]|0;g=e+11|0;if((b[g>>0]|0)<0){b[f[e>>2]>>0]=0;f[e+4>>2]=0;break}else{b[e>>0]=0;b[g>>0]=0;break}}}while(0);f[a+36>>2]=0;f[c>>2]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;ebc(a);return}function Hbb(a){a=a|0;return 1}function Ibb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;d=c+4|0;e=a+8|0;g=a+16|0;h=a+20|0;i=a+24|0;j=a+28|0;k=a+32|0;l=a+36|0;m=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[d>>2]|0)>>>0){n=b[a>>0]|0;o=n&255;if(n<<24>>24>0){f[c>>2]=a+1;p=o;q=6}else{r=o;q=5}}else{r=0;q=5}if((q|0)==5){q=0;o=OJb(c,r)|0;if((o+-1|0)>>>0<127){p=o;q=6}else s=o}b:do if((q|0)==6){q=0;switch(p>>>3&536870911|0){case 1:{if((p&255|0)!=10){s=p;break b}f[e>>2]=f[e>>2]|1;o=f[g>>2]|0;if((o|0)==542896){JEa(g,542896);t=f[g>>2]|0}else t=o;if($Lb(c,t)|0)continue a;else{u=0;q=37;break a}break}case 2:{if((p&255|0)!=18){s=p;break b}f[e>>2]=f[e>>2]|2;o=f[h>>2]|0;if((o|0)==542896){JEa(h,542896);v=f[h>>2]|0}else v=o;if($Lb(c,v)|0)continue a;else{u=0;q=37;break a}break}case 3:{if((p&255|0)!=26){s=p;break b}f[e>>2]=f[e>>2]|4;o=f[i>>2]|0;if((o|0)==542896){JEa(i,542896);w=f[i>>2]|0}else w=o;if($Lb(c,w)|0)continue a;else{u=0;q=37;break a}break}case 4:{if((p&255|0)!=34){s=p;break b}f[e>>2]=f[e>>2]|8;o=f[j>>2]|0;if((o|0)==542896){JEa(j,542896);x=f[j>>2]|0}else x=o;if($Lb(c,x)|0)continue a;else{u=0;q=37;break a}break}case 5:{if((p&255|0)!=42){s=p;break b}f[e>>2]=f[e>>2]|16;o=f[k>>2]|0;if((o|0)==542896){JEa(k,542896);y=f[k>>2]|0}else y=o;if($Lb(c,y)|0)continue a;else{u=0;q=37;break a}break}case 6:{if((p&255|0)!=48){s=p;break b}f[e>>2]=f[e>>2]|32;o=f[c>>2]|0;if(o>>>0<(f[d>>2]|0)>>>0){a=b[o>>0]|0;n=a&255;if(a<<24>>24>-1){f[l>>2]=n;f[c>>2]=o+1;continue a}else z=n}else z=0;n=zJb(c,z)|0;o=J;f[l>>2]=n;if((o|0)>-1|(o|0)==-1&n>>>0>4294967295)continue a;else{u=0;q=37;break a}break}default:{s=p;break b}}}while(0);if(!s){u=1;q=37;break}n=f[m>>2]|0;if(!(n&1))A=OOa(m)|0;else A=n&-2;if(!(xbc(c,s,A)|0)){u=0;q=37;break}}if((q|0)==37)return u|0;return 0}function Jbb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;c=f[a+4>>2]|0;if(!(c&1))d=0;else d=Dbc(c&-2)|0;c=f[a+8>>2]|0;if(!(c&63)){e=d;g=a+12|0;f[g>>2]=e;return e|0}if(!(c&1))h=d;else{i=f[a+16>>2]|0;j=b[i+11>>0]|0;k=j<<24>>24<0?f[i+4>>2]|0:j&255;h=d+1+k+((((($(k|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(c&2))l=h;else{k=f[a+20>>2]|0;d=b[k+11>>0]|0;j=d<<24>>24<0?f[k+4>>2]|0:d&255;l=h+1+j+((((($(j|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(c&4))m=l;else{j=f[a+24>>2]|0;h=b[j+11>>0]|0;d=h<<24>>24<0?f[j+4>>2]|0:h&255;m=l+1+d+((((($(d|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(c&8))n=m;else{d=f[a+28>>2]|0;l=b[d+11>>0]|0;h=l<<24>>24<0?f[d+4>>2]|0:l&255;n=m+1+h+((((($(h|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(c&16))o=n;else{h=f[a+32>>2]|0;m=b[h+11>>0]|0;l=m<<24>>24<0?f[h+4>>2]|0:m&255;o=n+1+l+((((($(l|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(c&32)){e=o;g=a+12|0;f[g>>2]=e;return e|0}e=o+1+((((($(f[a+36>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;g=a+12|0;f[g>>2]=e;return e|0}function Kbb(a,b){a=a|0;b=b|0;var c=0;c=f[a+8>>2]|0;if(c&1|0)VLb(1,f[a+16>>2]|0,b);if(c&2|0)VLb(2,f[a+20>>2]|0,b);if(c&4|0)VLb(3,f[a+24>>2]|0,b);if(c&8|0)VLb(4,f[a+28>>2]|0,b);if(c&16|0)VLb(5,f[a+32>>2]|0,b);if(c&32|0)ILb(6,f[a+36>>2]|0,b);c=f[a+4>>2]|0;if(!(c&1))return;Abc(c&-2,b);return}function Lbb(a){a=a|0;return f[a+12>>2]|0}function Mbb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;c=f[a+8>>2]|0;if(!(c&1))e=d;else{g=f[a+16>>2]|0;b[d>>0]=10;e=XJb(g,d+1|0)|0}if(!(c&2))h=e;else{d=f[a+20>>2]|0;b[e>>0]=18;h=XJb(d,e+1|0)|0}if(!(c&4))i=h;else{e=f[a+24>>2]|0;b[h>>0]=26;i=XJb(e,h+1|0)|0}if(!(c&8))j=i;else{h=f[a+28>>2]|0;b[i>>0]=34;j=XJb(h,i+1|0)|0}if(!(c&16))k=j;else{i=f[a+32>>2]|0;b[j>>0]=42;k=XJb(i,j+1|0)|0}if(!(c&32))l=k;else{c=f[a+36>>2]|0;b[k>>0]=48;j=k+1|0;if(c>>>0>127){k=c;i=j;while(1){b[i>>0]=k|128;h=k>>>7;e=i+1|0;if(k>>>0>16383){k=h;i=e}else{m=e;n=h;break}}}else{m=j;n=c}b[m>>0]=n;l=m+1|0}m=f[a+4>>2]|0;if(!(m&1)){o=l;return o|0}o=Bbc(m&-2,l)|0;return o|0}function Nbb(a,b){a=a|0;b=b|0;var c=0;if((a|0)==(b|0))return;Gbb(a);c=ovc(b,24728,20440,0)|0;if(!c){A9b(b,a);return}else{Rbb(a,c);return}}function Obb(a,b){a=a|0;b=b|0;var c=0;c=ovc(b,24728,20440,0)|0;if(!c){A9b(b,a);return}else{Rbb(a,c);return}}function Pbb(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function Qbb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224781]|0)!=2){f[d>>2]=151624;f[d+4>>2]=21;b[d+8>>0]=0;xLb(899124,d);QKb(d)}d=540728;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function Rbb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=a+4|0;d=f[b+4>>2]|0;if(d&1|0){e=f[c>>2]|0;if(!(e&1))g=OOa(c)|0;else g=e&-2;hbc(g,d&-2)}d=f[b+8>>2]|0;if(!(d&63))return;do if(d&1|0?(g=a+8|0,f[g>>2]=f[g>>2]|1,g=a+16|0,e=f[b+16>>2]|0,c=f[g>>2]|0,(c|0)!=(e|0)):0)if((c|0)==542896){JEa(g,e);break}else{ruc(c,e)|0;break}while(0);do if(d&2|0?(e=a+8|0,f[e>>2]=f[e>>2]|2,e=a+20|0,c=f[b+20>>2]|0,g=f[e>>2]|0,(g|0)!=(c|0)):0)if((g|0)==542896){JEa(e,c);break}else{ruc(g,c)|0;break}while(0);do if(d&4|0?(c=a+8|0,f[c>>2]=f[c>>2]|4,c=a+24|0,g=f[b+24>>2]|0,e=f[c>>2]|0,(e|0)!=(g|0)):0)if((e|0)==542896){JEa(c,g);break}else{ruc(e,g)|0;break}while(0);do if(d&8|0?(g=a+8|0,f[g>>2]=f[g>>2]|8,g=a+28|0,e=f[b+28>>2]|0,c=f[g>>2]|0,(c|0)!=(e|0)):0)if((c|0)==542896){JEa(g,e);break}else{ruc(c,e)|0;break}while(0);do if(d&16|0?(e=a+8|0,f[e>>2]=f[e>>2]|16,e=a+32|0,c=f[b+32>>2]|0,g=f[e>>2]|0,(g|0)!=(c|0)):0)if((g|0)==542896){JEa(e,c);break}else{ruc(g,c)|0;break}while(0);if(d&32|0)f[a+36>>2]=f[b+36>>2];b=a+8|0;f[b>>2]=f[b>>2]|d;return}function Sbb(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=128024;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=538464?(f[224811]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=51;b[d+8>>0]=0;xLb(899244,d);QKb(d)}f[a+12>>2]=0;f[a+16>>2]=542896;f[a+20>>2]=542896;f[a+24>>2]=542896;f[a+28>>2]=542896;f[a+32>>2]=542896;f[a+36>>2]=0;u=c;return}function Tbb(a,b){a=a|0;b=b|0;if(!b)return;EIb(a,b,1978);return}function Ubb(a){a=a|0;var c=0;c=f[a+16>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}c=f[a+20>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}c=f[a+24>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}c=f[a+28>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}c=f[a+32>>2]|0;if((c|0)==542896|(c|0)==0)return;if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c);return}function Vbb(a){a=a|0;var b=0,c=0;f[a>>2]=128132;b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(c);f[b>>2]=0;return}function Wbb(a){a=a|0;var b=0,c=0;f[a>>2]=128132;b=f[a+4>>2]|0;if(!(b&1)){fuc(a);return}c=b&-2;b=c;if((c|0)==0|(f[b+4>>2]|0)!=0){fuc(a);return}if(f[b>>2]|0)ebc(b);fuc(c);fuc(a);return}function Xbb(a){a=a|0;a=cuc(28)|0;icb(a);return a|0}function Ybb(a,b){a=a|0;b=b|0;a=cuc(28)|0;icb(a);if(!b)return a|0;jcb(b,a);return a|0}function Zbb(a){a=a|0;var b=0;b=a+8|0;if(f[b>>2]&7|0){f[a+16>>2]=0;n[a+20>>2]=.30000001192092896;n[a+24>>2]=1.0}f[b>>2]=0;b=f[a+4>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;ebc(a);return}function _bb(a){a=a|0;return 1}function $bb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;d=u;u=u+16|0;e=d;g=c+4|0;i=a+8|0;j=a+20|0;k=a+16|0;l=a+24|0;m=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){n=b[a>>0]|0;o=n&255;if(n<<24>>24>0){f[c>>2]=a+1;p=o;q=6}else{r=o;q=5}}else{r=0;q=5}if((q|0)==5){q=0;o=OJb(c,r)|0;if((o+-1|0)>>>0<127){p=o;q=6}else s=o}b:do if((q|0)==6){q=0;switch(p>>>3&536870911|0){case 1:{if((p&255|0)!=13){s=p;break b}f[i>>2]=f[i>>2]|2;o=f[c>>2]|0;if(((f[g>>2]|0)-o|0)>3){a=o;n=h[a>>0]|h[a+1>>0]<<8|h[a+2>>0]<<16|h[a+3>>0]<<24;f[e>>2]=n;f[c>>2]=o+4;t=n}else{if(!(LJb(c,e)|0)){q=13;break a}t=f[e>>2]|0}f[j>>2]=t;continue a;break}case 2:{if((p&255|0)!=16){s=p;break b}f[i>>2]=f[i>>2]|1;n=f[c>>2]|0;if(n>>>0<(f[g>>2]|0)>>>0){o=b[n>>0]|0;a=o&255;if(o<<24>>24>-1){f[c>>2]=n+1;v=a}else{w=a;q=18}}else{w=0;q=18}if((q|0)==18){q=0;a=zJb(c,w)|0;n=J;if((n|0)>-1|(n|0)==-1&a>>>0>4294967295)v=a;else{x=0;q=32;break a}}f[k>>2]=v;continue a;break}case 3:{if((p&255|0)!=29){s=p;break b}f[i>>2]=f[i>>2]|4;a=f[c>>2]|0;if(((f[g>>2]|0)-a|0)>3){n=a;o=h[n>>0]|h[n+1>>0]<<8|h[n+2>>0]<<16|h[n+3>>0]<<24;f[e>>2]=o;f[c>>2]=a+4;y=o}else{if(!(LJb(c,e)|0)){q=26;break a}y=f[e>>2]|0}f[l>>2]=y;continue a;break}default:{s=p;break b}}}while(0);if(!s){x=1;q=32;break}o=f[m>>2]|0;if(!(o&1))z=OOa(m)|0;else z=o&-2;if(!(xbc(c,s,z)|0)){x=0;q=32;break}}if((q|0)==13){x=0;u=d;return x|0}else if((q|0)==26){x=0;u=d;return x|0}else if((q|0)==32){u=d;return x|0}return 0}function acb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=Dbc(b&-2)|0;b=f[a+8>>2]|0;if(!(b&7)){d=c;e=a+12|0;f[e>>2]=d;return d|0}if(!(b&1))g=c;else{h=f[a+16>>2]|0;if((h|0)<0)i=11;else i=((((($(h|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;g=i+c|0}c=b&2|0?g+5|0:g;d=b&4|0?c+5|0:c;e=a+12|0;f[e>>2]=d;return d|0}function bcb(a,b){a=a|0;b=b|0;var c=0;c=f[a+8>>2]|0;if(c&2|0)QLb(1,+n[a+20>>2],b);if(c&1|0)GLb(2,f[a+16>>2]|0,b);if(c&4|0)QLb(3,+n[a+24>>2],b);c=f[a+4>>2]|0;if(!(c&1))return;Abc(c&-2,b);return}function ccb(a){a=a|0;return f[a+12>>2]|0}function dcb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;c=f[a+8>>2]|0;if(!(c&2))e=d;else{g=f[a+20>>2]|0;b[d>>0]=13;h=d+1|0;b[h>>0]=g;b[h+1>>0]=g>>8;b[h+2>>0]=g>>16;b[h+3>>0]=g>>24;e=d+5|0}if(!(c&1))i=e;else{d=f[a+16>>2]|0;b[e>>0]=16;g=e+1|0;e=d&255;if(d>>>0>127){h=g;j=e;k=d;l=((d|0)<0)<<31>>31;while(1){b[h>>0]=j|-128;d=k;k=pzc(k|0,l|0,7)|0;m=h+1|0;n=k&255;if(!(l>>>0>0|(l|0)==0&d>>>0>16383)){o=m;p=n;break}else{h=m;j=n;l=J}}}else{o=g;p=e}b[o>>0]=p;i=o+1|0}if(!(c&4))q=i;else{c=f[a+24>>2]|0;b[i>>0]=29;o=i+1|0;b[o>>0]=c;b[o+1>>0]=c>>8;b[o+2>>0]=c>>16;b[o+3>>0]=c>>24;q=i+5|0}i=f[a+4>>2]|0;if(!(i&1)){r=q;return r|0}r=Bbc(i&-2,q)|0;return r|0}function ecb(a,b){a=a|0;b=b|0;var c=0,d=0;if((a|0)==(b|0))return;c=a+8|0;if(f[c>>2]&7|0){f[a+16>>2]=0;n[a+20>>2]=.30000001192092896;n[a+24>>2]=1.0}f[c>>2]=0;c=f[a+4>>2]|0;if(c&1|0?(d=c&-2,f[d>>2]|0):0)ebc(d);fcb(a,b);return}function fcb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=ovc(b,24728,20456,0)|0;if(!c){A9b(b,a);return}b=a+4|0;d=f[c+4>>2]|0;if(d&1|0){e=f[b>>2]|0;if(!(e&1))g=OOa(b)|0;else g=e&-2;hbc(g,d&-2)}d=f[c+8>>2]|0;if(!(d&7))return;if(d&1|0)f[a+16>>2]=f[c+16>>2];if(d&2|0)f[a+20>>2]=f[c+20>>2];if(d&4|0)f[a+24>>2]=f[c+24>>2];c=a+8|0;f[c>>2]=f[c>>2]|d;return}function gcb(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function hcb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224781]|0)!=2){f[d>>2]=151624;f[d+4>>2]=21;b[d+8>>0]=0;xLb(899124,d);QKb(d)}d=540720;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function icb(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=128132;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=538432?(f[224810]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=50;b[d+8>>0]=0;xLb(899240,d);QKb(d)}f[a+12>>2]=0;f[a+16>>2]=0;n[a+20>>2]=.30000001192092896;n[a+24>>2]=1.0;u=c;return}function jcb(a,b){a=a|0;b=b|0;if(!b)return;EIb(a,b,1978);return}function kcb(a){a=a|0;var b=0,c=0;f[a>>2]=128240;b=f[a+24>>2]|0;if(b|0?(f[b>>2]|0)==0:0)fuc(b);b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(c);f[b>>2]=0;return}function lcb(a){a=a|0;var b=0,c=0;f[a>>2]=128240;b=f[a+24>>2]|0;if(b|0?(f[b>>2]|0)==0:0)fuc(b);b=f[a+4>>2]|0;if(!(b&1)){fuc(a);return}c=b&-2;b=c;if((c|0)==0|(f[b+4>>2]|0)!=0){fuc(a);return}if(f[b>>2]|0)ebc(b);fuc(c);fuc(a);return}function mcb(a){a=a|0;a=cuc(32)|0;Acb(a);return a|0}function ncb(a,b){a=a|0;b=b|0;a=cuc(32)|0;Acb(a);if(!b)return a|0;Bcb(b,a);return a|0}function ocb(a){a=a|0;var b=0;f[a+16>>2]=0;f[a+28>>2]=2;f[a+8>>2]=0;b=f[a+4>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;ebc(a);return}function pcb(a){a=a|0;return 1}function qcb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;d=c+4|0;e=a+8|0;g=a+28|0;h=a+16|0;i=a+20|0;j=a+24|0;k=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[d>>2]|0)>>>0){l=b[a>>0]|0;m=l&255;if(l<<24>>24>0){f[c>>2]=a+1;n=m;o=6}else{p=m;o=5}}else{p=0;o=5}if((o|0)==5){o=0;m=OJb(c,p)|0;if((m+-1|0)>>>0<127){n=m;o=6}else q=m}b:do if((o|0)==6){o=0;switch(n>>>3&536870911|0){case 1:{if((n&255|0)!=8){q=n;break b}f[e>>2]=f[e>>2]|1;m=f[c>>2]|0;if(m>>>0<(f[d>>2]|0)>>>0){a=b[m>>0]|0;l=a&255;if(a<<24>>24>-1){f[c>>2]=m+1;r=l}else{s=l;o=11}}else{s=0;o=11}if((o|0)==11){o=0;l=zJb(c,s)|0;m=J;if((m|0)>-1|(m|0)==-1&l>>>0>4294967295)r=l;else{t=0;o=35;break a}}f[g>>2]=r;continue a;break}case 2:break;default:{q=n;break b}}switch((n&255)<<24>>24){case 16:break;case 18:{if(M0a(c,h)|0)continue a;else{t=0;o=35;break a}break}default:{q=n;break b}}l=f[c>>2]|0;if(l>>>0<(f[d>>2]|0)>>>0){m=b[l>>0]|0;a=m&255;if(m<<24>>24>-1){f[c>>2]=l+1;u=a}else{v=a;o=17}}else{v=0;o=17}if((o|0)==17){o=0;a=zJb(c,v)|0;l=J;if((l|0)>-1|(l|0)==-1&a>>>0>4294967295)u=a;else{t=0;o=35;break a}}a=f[h>>2]|0;if((a|0)==(f[i>>2]|0)){UEa(h,a+1|0);w=f[h>>2]|0}else w=a;a=f[j>>2]|0;f[h>>2]=w+1;f[a+4+(w<<2)>>2]=u;l=(f[i>>2]|0)-(f[h>>2]|0)|0;if((l|0)>0){x=l;y=a}else continue a;while(1){a=f[c>>2]|0;l=f[d>>2]|0;if(a>>>0>=l>>>0)continue a;if((b[a>>0]|0)!=16)continue a;m=a+1|0;f[c>>2]=m;if(m>>>0<l>>>0){l=b[m>>0]|0;m=l&255;if(l<<24>>24>-1){f[c>>2]=a+2;z=m;A=y}else{B=m;o=25}}else{B=0;o=25}if((o|0)==25){o=0;m=zJb(c,B)|0;a=J;if(!((a|0)>-1|(a|0)==-1&m>>>0>4294967295)){t=0;o=35;break a}z=m;A=f[j>>2]|0}m=f[h>>2]|0;f[h>>2]=m+1;f[A+4+(m<<2)>>2]=z;if((x|0)>1){x=x+-1|0;y=A}else continue a}}while(0);if(!q){t=1;o=35;break}m=f[k>>2]|0;if(!(m&1))C=OOa(k)|0;else C=m&-2;if(!(xbc(c,q,C)|0)){t=0;o=35;break}}if((o|0)==35)return t|0;return 0}function rcb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=Dbc(b&-2)|0;b=cMb(a+16|0)|0;d=b+c+(f[a+16>>2]|0)|0;if(!(f[a+8>>2]&1)){e=d;g=a+12|0;f[g>>2]=e;return e|0}c=f[a+28>>2]|0;if((c|0)<0)h=11;else h=((((($(c|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;e=h+d|0;g=a+12|0;f[g>>2]=e;return e|0}function scb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;if(f[a+8>>2]&1|0)GLb(1,f[a+28>>2]|0,b);c=f[a+16>>2]|0;if((c|0)>0){d=a+24|0;e=0;do{ILb(2,f[(f[d>>2]|0)+4+(e<<2)>>2]|0,b);e=e+1|0}while((e|0)!=(c|0))}c=f[a+4>>2]|0;if(!(c&1))return;Abc(c&-2,b);return}function tcb(a){a=a|0;return f[a+12>>2]|0}function ucb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;if(!(f[a+8>>2]&1))e=d;else{c=f[a+28>>2]|0;b[d>>0]=8;g=d+1|0;d=c&255;if(c>>>0>127){h=g;i=d;j=c;k=((c|0)<0)<<31>>31;while(1){b[h>>0]=i|-128;c=j;j=pzc(j|0,k|0,7)|0;l=h+1|0;m=j&255;if(!(k>>>0>0|(k|0)==0&c>>>0>16383)){n=l;o=m;break}else{h=l;i=m;k=J}}}else{n=g;o=d}b[n>>0]=o;e=n+1|0}n=f[a+16>>2]|0;if(!n)p=e;else{o=f[a+24>>2]|0;d=0;g=e;while(1){e=f[o+4+(d<<2)>>2]|0;b[g>>0]=16;k=g+1|0;if(e>>>0>127){i=e;h=k;while(1){b[h>>0]=i|128;j=i>>>7;m=h+1|0;if(i>>>0>16383){i=j;h=m}else{q=m;r=j;break}}}else{q=k;r=e}b[q>>0]=r;h=q+1|0;d=d+1|0;if((d|0)>=(n|0)){p=h;break}else g=h}}g=f[a+4>>2]|0;if(!(g&1)){s=p;return s|0}s=Bbc(g&-2,p)|0;return s|0}function vcb(a,b){a=a|0;b=b|0;var c=0,d=0;if((a|0)==(b|0))return;f[a+16>>2]=0;f[a+28>>2]=2;f[a+8>>2]=0;c=f[a+4>>2]|0;if(c&1|0?(d=c&-2,f[d>>2]|0):0)ebc(d);d=ovc(b,24728,20472,0)|0;if(!d){A9b(b,a);return}else{zcb(a,d);return}}function wcb(a,b){a=a|0;b=b|0;var c=0;c=ovc(b,24728,20472,0)|0;if(!c){A9b(b,a);return}else{zcb(a,c);return}}function xcb(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function ycb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224781]|0)!=2){f[d>>2]=151624;f[d+4>>2]=21;b[d+8>>0]=0;xLb(899124,d);QKb(d)}d=540704;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function zcb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=a+4|0;d=f[b+4>>2]|0;if(d&1|0){e=f[c>>2]|0;if(!(e&1))g=OOa(c)|0;else g=e&-2;hbc(g,d&-2)}d=a+16|0;g=b+16|0;e=f[g>>2]|0;if(e|0){UEa(d,(f[d>>2]|0)+e|0);szc((f[a+24>>2]|0)+4+(f[d>>2]<<2)|0,(f[b+24>>2]|0)+4|0,f[g>>2]<<2|0)|0;f[d>>2]=(f[d>>2]|0)+(f[g>>2]|0)}if(!(f[b+8>>2]&1))return;g=f[b+28>>2]|0;b=a+8|0;f[b>>2]=f[b>>2]|1;f[a+28>>2]=g;return}function Acb(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=128240;f[a+4>>2]=0;f[a+8>>2]=0;f[a+16>>2]=0;f[a+20>>2]=0;f[a+24>>2]=0;if((a|0)!=538344?(f[224808]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=48;b[d+8>>0]=0;xLb(899232,d);QKb(d)}f[a+12>>2]=0;f[a+28>>2]=2;u=c;return}function Bcb(a,b){a=a|0;b=b|0;if(!b)return;EIb(a,b,1978);return}function Ccb(a){a=a|0;var b=0,c=0;f[a>>2]=128348;if((a|0)!=538168?(b=f[a+16>>2]|0,b|0):0)bi[f[(f[b>>2]|0)+4>>2]&2047](b);b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(c);f[b>>2]=0;return}function Dcb(a){a=a|0;var b=0,c=0;f[a>>2]=128348;if((a|0)!=538168?(b=f[a+16>>2]|0,b|0):0)bi[f[(f[b>>2]|0)+4>>2]&2047](b);b=f[a+4>>2]|0;if(!(b&1)){fuc(a);return}c=b&-2;b=c;if((c|0)==0|(f[b+4>>2]|0)!=0){fuc(a);return}if(f[b>>2]|0)ebc(b);fuc(c);fuc(a);return}function Ecb(a){a=a|0;a=cuc(28)|0;Scb(a);return a|0}function Fcb(a,b){a=a|0;b=b|0;a=cuc(28)|0;Scb(a);if(!b)return a|0;Tcb(b,a);return a|0}function Gcb(a){a=a|0;var b=0,c=0,d=0,e=0;b=a+8|0;c=f[b>>2]|0;if(c&7|0){if(c&1|0){c=f[a+16>>2]|0;d=c+8|0;e=f[d>>2]|0;if(e&1|0)ruc(f[c+16>>2]|0,540424)|0;if(e&254|0){e=c+20|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;f[c+36>>2]=-1;n[c+40>>2]=1.0;n[c+44>>2]=1.0}f[d>>2]=0;d=f[c+4>>2]|0;if(d&1|0?(c=d&-2,f[c>>2]|0):0)ebc(c)}f[a+20>>2]=1;f[a+24>>2]=1}f[b>>2]=0;b=f[a+4>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;ebc(a);return}function Hcb(a){a=a|0;return 1}function Icb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;d=u;u=u+16|0;e=d;g=c+4|0;h=a+8|0;i=a+20|0;j=a+24|0;k=a+16|0;l=e+4|0;m=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){n=b[a>>0]|0;o=n&255;if(n<<24>>24>0){f[c>>2]=a+1;p=o;q=6}else{r=o;q=5}}else{r=0;q=5}if((q|0)==5){q=0;o=OJb(c,r)|0;if((o+-1|0)>>>0<127){p=o;q=6}else s=o}b:do if((q|0)==6){q=0;switch(p>>>3&536870911|0){case 1:{if((p&255|0)!=8){s=p;break b}f[h>>2]=f[h>>2]|2;o=f[c>>2]|0;if(o>>>0<(f[g>>2]|0)>>>0){a=b[o>>0]|0;n=a&255;if(a<<24>>24>-1){f[c>>2]=o+1;t=n}else{v=n;q=11}}else{v=0;q=11}if((q|0)==11){q=0;n=zJb(c,v)|0;o=J;if((o|0)>-1|(o|0)==-1&n>>>0>4294967295)t=n;else{w=0;q=35;break a}}f[i>>2]=t;continue a;break}case 2:{if((p&255|0)!=16){s=p;break b}f[h>>2]=f[h>>2]|4;n=f[c>>2]|0;if(n>>>0<(f[g>>2]|0)>>>0){o=b[n>>0]|0;a=o&255;if(o<<24>>24>-1){f[c>>2]=n+1;x=a}else{y=a;q=17}}else{y=0;q=17}if((q|0)==17){q=0;a=zJb(c,y)|0;n=J;if((n|0)>-1|(n|0)==-1&a>>>0>4294967295)x=a;else{w=0;q=35;break a}}f[j>>2]=x;continue a;break}case 3:{if((p&255|0)!=26){s=p;break b}f[h>>2]=f[h>>2]|1;a=f[k>>2]|0;if(!a){n=cuc(48)|0;DXa(n);f[k>>2]=n;z=n}else z=a;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(n=b[a>>0]|0,n<<24>>24>-1):0){f[c>>2]=a+1;A=n&255}else{n=NJb(c)|0;if((n|0)>-1)A=n;else{w=0;q=35;break a}}yJb(e,c,A);if((f[l>>2]|0)<0){q=28;break a}if(!(Th[f[(f[z>>2]|0)+44>>2]&1023](z,c)|0)){q=28;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{w=0;q=35;break a}break}default:{s=p;break b}}}while(0);if(!s){w=1;q=35;break}n=f[m>>2]|0;if(!(n&1))B=OOa(m)|0;else B=n&-2;if(!(xbc(c,s,B)|0)){w=0;q=35;break}}if((q|0)==28){w=0;u=d;return w|0}else if((q|0)==35){u=d;return w|0}return 0}function Jcb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=Dbc(b&-2)|0;b=a+8|0;d=f[b>>2]|0;if(!(d&7)){e=c;g=a+12|0;f[g>>2]=e;return e|0}if(!(d&1)){h=c;i=d}else{d=f[a+16>>2]|0;j=di[f[(f[d>>2]|0)+48>>2]&1023](d)|0;d=c+1+j+((((($(j|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=d;i=f[b>>2]|0}if(!(i&2))k=h;else{b=f[a+20>>2]|0;if((b|0)<0)l=11;else l=((((($(b|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;k=l+h|0}if(!(i&4)){e=k;g=a+12|0;f[g>>2]=e;return e|0}i=f[a+24>>2]|0;if((i|0)<0)m=11;else m=((((($(i|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;e=m+k|0;g=a+12|0;f[g>>2]=e;return e|0}function Kcb(a,b){a=a|0;b=b|0;var c=0;c=f[a+8>>2]|0;if(c&2|0)GLb(1,f[a+20>>2]|0,b);if(c&4|0)GLb(2,f[a+24>>2]|0,b);if(c&1|0)_Lb(3,f[a+16>>2]|0,b);c=f[a+4>>2]|0;if(!(c&1))return;Abc(c&-2,b);return}function Lcb(a){a=a|0;return f[a+12>>2]|0}function Mcb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;e=f[a+8>>2]|0;if(!(e&2))g=d;else{h=f[a+20>>2]|0;b[d>>0]=8;i=d+1|0;d=h&255;if(h>>>0>127){j=i;k=d;l=h;m=((h|0)<0)<<31>>31;while(1){b[j>>0]=k|-128;h=l;l=pzc(l|0,m|0,7)|0;n=j+1|0;o=l&255;if(!(m>>>0>0|(m|0)==0&h>>>0>16383)){p=n;q=o;break}else{j=n;k=o;m=J}}}else{p=i;q=d}b[p>>0]=q;g=p+1|0}if(!(e&4))r=g;else{p=f[a+24>>2]|0;b[g>>0]=16;q=g+1|0;g=p&255;if(p>>>0>127){d=q;i=g;m=p;k=((p|0)<0)<<31>>31;while(1){b[d>>0]=i|-128;p=m;m=pzc(m|0,k|0,7)|0;j=d+1|0;l=m&255;if(!(k>>>0>0|(k|0)==0&p>>>0>16383)){s=j;t=l;break}else{d=j;i=l;k=J}}}else{s=q;t=g}b[s>>0]=t;r=s+1|0}if(!(e&1))u=r;else{e=f[a+16>>2]|0;b[r>>0]=26;s=r+1|0;r=di[f[(f[e>>2]|0)+60>>2]&1023](e)|0;if(r>>>0>127){t=r;g=s;while(1){b[g>>0]=t|128;q=t>>>7;k=g+1|0;if(t>>>0>16383){t=q;g=k}else{v=k;w=q;break}}}else{v=s;w=r}b[v>>0]=w;u=li[f[(f[e>>2]|0)+64>>2]&511](e,c,v+1|0)|0}v=f[a+4>>2]|0;if(!(v&1)){x=u;return x|0}x=Bbc(v&-2,u)|0;return x|0}function Ncb(a,b){a=a|0;b=b|0;var c=0;if((a|0)==(b|0))return;Gcb(a);c=ovc(b,24728,20488,0)|0;if(!c){A9b(b,a);return}else{Rcb(a,c);return}}function Ocb(a,b){a=a|0;b=b|0;var c=0;c=ovc(b,24728,20488,0)|0;if(!c){A9b(b,a);return}else{Rcb(a,c);return}}function Pcb(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function Qcb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224781]|0)!=2){f[d>>2]=151624;f[d+4>>2]=21;b[d+8>>0]=0;xLb(899124,d);QKb(d)}d=540680;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function Rcb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0;c=a+4|0;d=f[b+4>>2]|0;if(d&1|0){e=f[c>>2]|0;if(!(e&1))g=OOa(c)|0;else g=e&-2;hbc(g,d&-2)}d=f[b+8>>2]|0;if(!(d&7))return;if(d&1|0){g=a+8|0;f[g>>2]=f[g>>2]|1;g=a+16|0;e=f[g>>2]|0;if(!e){c=cuc(48)|0;DXa(c);f[g>>2]=c;h=c}else h=e;e=f[b+16>>2]|0;EXa(h,e|0?e:537032)}if(d&2|0)f[a+20>>2]=f[b+20>>2];if(d&4|0)f[a+24>>2]=f[b+24>>2];b=a+8|0;f[b>>2]=f[b>>2]|d;return}function Scb(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=128348;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=538168?(f[224805]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=45;b[d+8>>0]=0;xLb(899220,d);QKb(d)}f[a+12>>2]=0;f[a+16>>2]=0;f[a+20>>2]=1;f[a+24>>2]=1;u=c;return}function Tcb(a,b){a=a|0;b=b|0;if(!b)return;EIb(a,b,1978);return}function Ucb(a){a=a|0;var b=0,c=0;f[a>>2]=128456;b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(c);f[b>>2]=0;return}function Vcb(a){a=a|0;var b=0,c=0;f[a>>2]=128456;b=f[a+4>>2]|0;if(!(b&1)){fuc(a);return}c=b&-2;b=c;if((c|0)==0|(f[b+4>>2]|0)!=0){fuc(a);return}if(f[b>>2]|0)ebc(b);fuc(c);fuc(a);return}function Wcb(a){a=a|0;a=cuc(28)|0;hdb(a);return a|0}function Xcb(a,b){a=a|0;b=b|0;a=cuc(28)|0;hdb(a);if(!b)return a|0;idb(b,a);return a|0}function Ycb(a){a=a|0;var b=0;d[a+16>>1]=0;b=a+8|0;if(f[b>>2]&12|0){n[a+20>>2]=.9990000128746033;n[a+24>>2]=9.999999747378752e-06}f[b>>2]=0;b=f[a+4>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;ebc(a);return}function Zcb(a){a=a|0;return 1}function _cb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;d=u;u=u+16|0;e=d;g=c+4|0;i=a+8|0;j=a+16|0;k=e+8|0;l=a+20|0;m=a+24|0;n=a+17|0;o=e+8|0;p=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){q=b[a>>0]|0;r=q&255;if(q<<24>>24>0){f[c>>2]=a+1;s=r;t=6}else{v=r;t=5}}else{v=0;t=5}if((t|0)==5){t=0;r=OJb(c,v)|0;if((r+-1|0)>>>0<127){s=r;t=6}else w=r}b:do if((t|0)==6){t=0;switch(s>>>3&536870911|0){case 1:{if((s&255|0)!=8){w=s;break b}f[i>>2]=f[i>>2]|1;r=f[c>>2]|0;if(r>>>0<(f[g>>2]|0)>>>0?(a=b[r>>0]|0,a<<24>>24>-1):0){f[c>>2]=r+1;x=a<<24>>24!=0}else{AJb(e,c);a=e;if(!(b[k>>0]|0)){y=0;t=38;break a}else x=(f[a>>2]|0)!=0|(f[a+4>>2]|0)!=0}b[j>>0]=x&1;continue a;break}case 2:{if((s&255|0)!=21){w=s;break b}f[i>>2]=f[i>>2]|4;a=f[c>>2]|0;if(((f[g>>2]|0)-a|0)>3){r=a;q=h[r>>0]|h[r+1>>0]<<8|h[r+2>>0]<<16|h[r+3>>0]<<24;f[e>>2]=q;f[c>>2]=a+4;z=q}else{if(!(LJb(c,e)|0)){t=19;break a}z=f[e>>2]|0}f[l>>2]=z;continue a;break}case 3:{if((s&255|0)!=29){w=s;break b}f[i>>2]=f[i>>2]|8;q=f[c>>2]|0;if(((f[g>>2]|0)-q|0)>3){a=q;r=h[a>>0]|h[a+1>>0]<<8|h[a+2>>0]<<16|h[a+3>>0]<<24;f[e>>2]=r;f[c>>2]=q+4;A=r}else{if(!(LJb(c,e)|0)){t=26;break a}A=f[e>>2]|0}f[m>>2]=A;continue a;break}case 7:{if((s&255|0)!=56){w=s;break b}f[i>>2]=f[i>>2]|2;r=f[c>>2]|0;if(r>>>0<(f[g>>2]|0)>>>0?(q=b[r>>0]|0,q<<24>>24>-1):0){f[c>>2]=r+1;B=q<<24>>24!=0}else{AJb(e,c);q=e;if(!(b[o>>0]|0)){y=0;t=38;break a}else B=(f[q>>2]|0)!=0|(f[q+4>>2]|0)!=0}b[n>>0]=B&1;continue a;break}default:{w=s;break b}}}while(0);if(!w){y=1;t=38;break}q=f[p>>2]|0;if(!(q&1))C=OOa(p)|0;else C=q&-2;if(!(xbc(c,w,C)|0)){y=0;t=38;break}}if((t|0)==19){y=0;u=d;return y|0}else if((t|0)==26){y=0;u=d;return y|0}else if((t|0)==38){u=d;return y|0}return 0}function $cb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=Dbc(b&-2)|0;b=f[a+8>>2]|0;if(!(b&15)){d=c;e=a+12|0;f[e>>2]=d;return d|0}g=b&1|0?c+2|0:c;c=b&2|0?g+2|0:g;g=b&4|0?c+5|0:c;d=b&8|0?g+5|0:g;e=a+12|0;f[e>>2]=d;return d|0}function adb(a,c){a=a|0;c=c|0;var d=0;d=f[a+8>>2]|0;if(d&1|0)SLb(1,(b[a+16>>0]|0)!=0,c);if(d&4|0)QLb(2,+n[a+20>>2],c);if(d&8|0)QLb(3,+n[a+24>>2],c);if(d&2|0)SLb(7,(b[a+17>>0]|0)!=0,c);d=f[a+4>>2]|0;if(!(d&1))return;Abc(d&-2,c);return}function bdb(a){a=a|0;return f[a+12>>2]|0}function cdb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0;c=f[a+8>>2]|0;if(!(c&1))e=d;else{g=b[a+16>>0]|0;b[d>>0]=8;b[d+1>>0]=g;e=d+2|0}if(!(c&4))h=e;else{d=f[a+20>>2]|0;b[e>>0]=21;g=e+1|0;b[g>>0]=d;b[g+1>>0]=d>>8;b[g+2>>0]=d>>16;b[g+3>>0]=d>>24;h=e+5|0}if(!(c&8))i=h;else{e=f[a+24>>2]|0;b[h>>0]=29;d=h+1|0;b[d>>0]=e;b[d+1>>0]=e>>8;b[d+2>>0]=e>>16;b[d+3>>0]=e>>24;i=h+5|0}if(!(c&2))j=i;else{c=b[a+17>>0]|0;b[i>>0]=56;b[i+1>>0]=c;j=i+2|0}i=f[a+4>>2]|0;if(!(i&1)){k=j;return k|0}k=Bbc(i&-2,j)|0;return k|0}function ddb(a,b){a=a|0;b=b|0;var c=0,e=0;if((a|0)==(b|0))return;d[a+16>>1]=0;c=a+8|0;if(f[c>>2]&12|0){n[a+20>>2]=.9990000128746033;n[a+24>>2]=9.999999747378752e-06}f[c>>2]=0;c=f[a+4>>2]|0;if(c&1|0?(e=c&-2,f[e>>2]|0):0)ebc(e);edb(a,b);return}function edb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;d=ovc(c,24728,20504,0)|0;if(!d){A9b(c,a);return}c=a+4|0;e=f[d+4>>2]|0;if(e&1|0){g=f[c>>2]|0;if(!(g&1))h=OOa(c)|0;else h=g&-2;hbc(h,e&-2)}e=f[d+8>>2]|0;if(!(e&15))return;if(e&1|0)b[a+16>>0]=b[d+16>>0]|0;if(e&2|0)b[a+17>>0]=b[d+17>>0]|0;if(e&4|0)f[a+20>>2]=f[d+20>>2];if(e&8|0)f[a+24>>2]=f[d+24>>2];d=a+8|0;f[d>>2]=f[d>>2]|e;return}function fdb(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function gdb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224781]|0)!=2){f[d>>2]=151624;f[d+4>>2]=21;b[d+8>>0]=0;xLb(899124,d);QKb(d)}d=540672;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function hdb(a){a=a|0;var c=0,e=0;c=u;u=u+16|0;e=c;f[a>>2]=128456;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=538136?(f[224804]|0)!=2:0){f[e>>2]=151624;f[e+4>>2]=44;b[e+8>>0]=0;xLb(899216,e);QKb(e)}f[a+12>>2]=0;d[a+16>>1]=0;n[a+20>>2]=.9990000128746033;n[a+24>>2]=9.999999747378752e-06;u=c;return}function idb(a,b){a=a|0;b=b|0;if(!b)return;EIb(a,b,1978);return}function jdb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;f[a>>2]=128564;lfb(a);c=f[a+132>>2]|0;if(c|0?(f[c>>2]|0)==0:0)fuc(c);c=a+120|0;d=f[c>>2]|0;if(d|0?(f[a+108>>2]|0)==0:0){e=f[d>>2]|0;if((e|0)>0){g=0;do{h=f[d+4+(g<<2)>>2]|0;if(h|0)bi[f[(f[h>>2]|0)+4>>2]&2047](h);g=g+1|0}while((g|0)!=(e|0));i=f[c>>2]|0}else i=d;fuc(i)}f[c>>2]=0;c=a+104|0;i=f[c>>2]|0;if(i|0?(f[a+92>>2]|0)==0:0){d=f[i>>2]|0;if((d|0)>0){e=0;do{g=f[i+4+(e<<2)>>2]|0;if(g|0)bi[f[(f[g>>2]|0)+4>>2]&2047](g);e=e+1|0}while((e|0)!=(d|0));j=f[c>>2]|0}else j=i;fuc(j)}f[c>>2]=0;c=a+88|0;j=f[c>>2]|0;if(j|0?(f[a+76>>2]|0)==0:0){i=f[j>>2]|0;if((i|0)>0){d=0;do{e=f[j+4+(d<<2)>>2]|0;if(e|0)bi[f[(f[e>>2]|0)+4>>2]&2047](e);d=d+1|0}while((d|0)!=(i|0));k=f[c>>2]|0}else k=j;fuc(k)}f[c>>2]=0;c=a+72|0;k=f[c>>2]|0;if(k|0?(f[a+60>>2]|0)==0:0){j=f[k>>2]|0;if((j|0)>0){i=0;do{d=f[k+4+(i<<2)>>2]|0;if(d|0)bi[f[(f[d>>2]|0)+4>>2]&2047](d);i=i+1|0}while((i|0)!=(j|0));l=f[c>>2]|0}else l=k;fuc(l)}f[c>>2]=0;c=f[a+56>>2]|0;if(c|0?(f[c>>2]|0)==0:0)fuc(c);c=a+44|0;l=f[c>>2]|0;if(l|0?(f[a+32>>2]|0)==0:0){k=f[l>>2]|0;if((k|0)>0){j=0;do{i=f[l+4+(j<<2)>>2]|0;if(i|0){if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0);fuc(i)}j=j+1|0}while((j|0)!=(k|0));m=f[c>>2]|0}else m=l;fuc(m)}f[c>>2]=0;c=a+28|0;m=f[c>>2]|0;if(m|0?(f[a+16>>2]|0)==0:0){l=f[m>>2]|0;if((l|0)>0){k=0;do{j=f[m+4+(k<<2)>>2]|0;if(j|0){if((b[j+11>>0]|0)<0)fuc(f[j>>2]|0);fuc(j)}k=k+1|0}while((k|0)!=(l|0));n=f[c>>2]|0}else n=m;fuc(n)}f[c>>2]=0;c=a+4|0;a=f[c>>2]|0;if(!(a&1)){f[c>>2]=0;return}n=a&-2;a=n;if((n|0)==0|(f[a+4>>2]|0)!=0){f[c>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(n);f[c>>2]=0;return}function kdb(a){a=a|0;jdb(a);fuc(a);return}function ldb(a){a=a|0;a=cuc(368)|0;jfb(a);return a|0}function mdb(a,b){a=a|0;b=b|0;a=cuc(368)|0;jfb(a);if(!b)return a|0;kfb(b,a);return a|0}function ndb(a){a=a|0;var c=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0;c=a+20|0;e=f[c>>2]|0;if((e|0)>0){g=f[a+28>>2]|0;h=0;do{i=f[g+4+(h<<2)>>2]|0;h=h+1|0;j=i+11|0;if((b[j>>0]|0)<0){b[f[i>>2]>>0]=0;f[i+4>>2]=0}else{b[i>>0]=0;b[j>>0]=0}}while((h|0)!=(e|0));f[c>>2]=0}c=a+36|0;e=f[c>>2]|0;if((e|0)>0){h=f[a+44>>2]|0;g=0;do{j=f[h+4+(g<<2)>>2]|0;g=g+1|0;i=j+11|0;if((b[i>>0]|0)<0){b[f[j>>2]>>0]=0;f[j+4>>2]=0}else{b[j>>0]=0;b[i>>0]=0}}while((g|0)!=(e|0));f[c>>2]=0}f[a+48>>2]=0;c=a+64|0;e=f[c>>2]|0;if((e|0)>0){g=f[a+72>>2]|0;h=0;do{i=f[g+4+(h<<2)>>2]|0;h=h+1|0;j=i+8|0;k=f[j>>2]|0;do if(k&1|0){l=f[i+16>>2]|0;m=l+11|0;if((b[m>>0]|0)<0){b[f[l>>2]>>0]=0;f[l+4>>2]=0;break}else{b[l>>0]=0;b[m>>0]=0;break}}while(0);if(k&14|0){f[i+20>>2]=0;n[i+24>>2]=1.0;n[i+28>>2]=1.0}f[j>>2]=0;m=f[i+4>>2]|0;if(m&1|0?(l=m&-2,f[l>>2]|0):0)ebc(l)}while((h|0)!=(e|0));f[c>>2]=0}c=a+80|0;e=f[c>>2]|0;if((e|0)>0){h=f[a+88>>2]|0;g=0;do{IYa(f[h+4+(g<<2)>>2]|0);g=g+1|0}while((g|0)!=(e|0));f[c>>2]=0}c=a+96|0;e=f[c>>2]|0;if((e|0)>0){g=f[a+104>>2]|0;h=0;do{_6a(f[g+4+(h<<2)>>2]|0);h=h+1|0}while((h|0)!=(e|0));f[c>>2]=0}c=a+112|0;e=f[c>>2]|0;if((e|0)>0){h=f[a+120>>2]|0;g=0;do{_6a(f[h+4+(g<<2)>>2]|0);g=g+1|0}while((g|0)!=(e|0));f[c>>2]=0}f[a+124>>2]=0;c=a+8|0;e=f[c>>2]|0;if(e&255|0){do if(e&1|0){g=f[a+136>>2]|0;h=g+11|0;if((b[h>>0]|0)<0){b[f[g>>2]>>0]=0;f[g+4>>2]=0;break}else{b[g>>0]=0;b[h>>0]=0;break}}while(0);do if(e&2|0){h=f[a+140>>2]|0;g=h+11|0;if((b[g>>0]|0)<0){b[f[h>>2]>>0]=0;f[h+4>>2]=0;break}else{b[h>>0]=0;b[g>>0]=0;break}}while(0);if(e&4|0){g=f[a+144>>2]|0;f[g+16>>2]=0;h=g+8|0;l=f[h>>2]|0;do if(l&1|0){m=f[g+28>>2]|0;o=m+11|0;if((b[o>>0]|0)<0){b[f[m>>2]>>0]=0;f[m+4>>2]=0;break}else{b[m>>0]=0;b[o>>0]=0;break}}while(0);if(l&62|0){l=g+32|0;f[l>>2]=0;d[l+4>>1]=0;b[l+6>>0]=0;n[g+40>>2]=1.0}f[h>>2]=0;h=f[g+4>>2]|0;if(h&1|0?(g=h&-2,f[g>>2]|0):0)ebc(g)}if(e&8|0){g=f[a+148>>2]|0;h=g+8|0;if(f[h>>2]&7|0){l=g+16|0;f[l>>2]=0;b[l+4>>0]=0;f[g+24>>2]=1}f[h>>2]=0;h=f[g+4>>2]|0;if(h&1|0?(g=h&-2,f[g>>2]|0):0)ebc(g)}if(e&16|0){g=f[a+152>>2]|0;h=g+8|0;if(f[h>>2]&7|0){f[g+16>>2]=0;f[g+20>>2]=1;f[g+24>>2]=1}f[h>>2]=0;h=f[g+4>>2]|0;if(h&1|0?(g=h&-2,f[g>>2]|0):0)ebc(g)}if(e&32|0){g=f[a+156>>2]|0;h=g+8|0;if(f[h>>2]&7|0){l=g+16|0;f[l>>2]=0;f[l+4>>2]=0;f[g+24>>2]=1}f[h>>2]=0;h=f[g+4>>2]|0;if(h&1|0?(g=h&-2,f[g>>2]|0):0)ebc(g)}if(e&64|0){g=f[a+160>>2]|0;h=g+8|0;if(f[h>>2]&3|0){f[g+16>>2]=1;f[g+20>>2]=1}f[h>>2]=0;h=f[g+4>>2]|0;if(h&1|0?(g=h&-2,f[g>>2]|0):0)ebc(g)}if(e&128|0){g=f[a+164>>2]|0;h=g+8|0;if(f[h>>2]&3|0){b[g+16>>0]=0;n[g+20>>2]=1.0}f[h>>2]=0;h=f[g+4>>2]|0;if(h&1|0?(g=h&-2,f[g>>2]|0):0)ebc(g)}}if(e&65280|0){if(e&256|0)r6a(f[a+168>>2]|0);if(e&512|0){g=f[a+172>>2]|0;h=g+8|0;l=f[h>>2]|0;do if(l&3|0){do if(l&1|0){o=f[g+16>>2]|0;m=o+11|0;if((b[m>>0]|0)<0){b[f[o>>2]>>0]=0;f[o+4>>2]=0;break}else{b[o>>0]=0;b[m>>0]=0;break}}while(0);if(l&2|0){i=f[g+20>>2]|0;j=i+11|0;if((b[j>>0]|0)<0){b[f[i>>2]>>0]=0;f[i+4>>2]=0;break}else{b[i>>0]=0;b[j>>0]=0;break}}}while(0);if(l&252|0){j=g+24|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;f[j+16>>2]=0}if(l&768|0){n[g+44>>2]=1.0;f[g+48>>2]=4}f[h>>2]=0;h=f[g+4>>2]|0;if(h&1|0?(g=h&-2,f[g>>2]|0):0)ebc(g)}if(e&1024|0){g=f[a+176>>2]|0;h=g+8|0;if(f[h>>2]&3|0){n[g+16>>2]=.5;b[g+20>>0]=1}f[h>>2]=0;h=f[g+4>>2]|0;if(h&1|0?(g=h&-2,f[g>>2]|0):0)ebc(g)}if(e&2048|0)S1a(f[a+180>>2]|0);if(e&4096|0){g=f[a+184>>2]|0;f[g+16>>2]=0;h=g+8|0;if(f[h>>2]&3|0){f[g+28>>2]=1;b[g+32>>0]=1}f[h>>2]=0;h=f[g+4>>2]|0;if(h&1|0?(g=h&-2,f[g>>2]|0):0)ebc(g)}if(e&8192|0){g=f[a+188>>2]|0;h=g+8|0;if(f[h>>2]&7|0){n[g+16>>2]=0.0;n[g+20>>2]=-1.0;n[g+24>>2]=1.0}f[h>>2]=0;h=f[g+4>>2]|0;if(h&1|0?(g=h&-2,f[g>>2]|0):0)ebc(g)}do if(e&16384|0){g=f[a+192>>2]|0;h=g+8|0;l=f[h>>2]|0;do if(l&1|0){j=f[g+16>>2]|0;i=j+11|0;if((b[i>>0]|0)<0){b[f[j>>2]>>0]=0;f[j+4>>2]=0;break}else{b[j>>0]=0;b[i>>0]=0;break}}while(0);if(l&6|0){i=g+20|0;f[i>>2]=0;b[i+4>>0]=0}f[h>>2]=0;i=f[g+4>>2]|0;if(i&1|0){j=i&-2;if(!(f[j>>2]|0))break;ebc(j)}}while(0);if(e&32768|0){j=f[a+196>>2]|0;i=j+8|0;do if(f[i>>2]&1|0){k=f[j+16>>2]|0;m=k+11|0;if((b[m>>0]|0)<0){b[f[k>>2]>>0]=0;f[k+4>>2]=0;break}else{b[k>>0]=0;b[m>>0]=0;break}}while(0);f[i>>2]=0;i=f[j+4>>2]|0;if(i&1|0?(j=i&-2,f[j>>2]|0):0)ebc(j)}}do if(e&16711680|0){if((e&65536|0?(j=f[a+200>>2]|0,f[j+16>>2]=1,f[j+8>>2]=0,i=f[j+4>>2]|0,i&1|0):0)?(j=i&-2,f[j>>2]|0):0)ebc(j);if(e&131072|0)g5a(f[a+204>>2]|0);if(e&262144|0){j=f[a+208>>2]|0;i=j+8|0;do if(f[i>>2]&1|0){m=f[j+16>>2]|0;k=m+11|0;if((b[k>>0]|0)<0){b[f[m>>2]>>0]=0;f[m+4>>2]=0;break}else{b[m>>0]=0;b[k>>0]=0;break}}while(0);f[i>>2]=0;g=f[j+4>>2]|0;if(g&1|0?(h=g&-2,f[h>>2]|0):0)ebc(h)}if(e&524288|0)C4a(f[a+212>>2]|0);if(e&1048576|0){h=f[a+216>>2]|0;g=h+8|0;if(f[g>>2]&63|0){l=h+16|0;f[l>>2]=0;f[l+4>>2]=0;f[h+24>>2]=5;n[h+28>>2]=1.0;n[h+32>>2]=.75;n[h+36>>2]=1.0}f[g>>2]=0;g=f[h+4>>2]|0;if(g&1|0?(h=g&-2,f[h>>2]|0):0)ebc(h)}if(e&2097152|0){h=f[a+220>>2]|0;g=h+8|0;if(f[g>>2]&15|0){l=h+16|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0}f[g>>2]=0;g=f[h+4>>2]|0;if(g&1|0?(h=g&-2,f[h>>2]|0):0)ebc(h)}do if(e&4194304|0){h=f[a+224>>2]|0;g=h+8|0;if(f[g>>2]&7|0){b[h+16>>0]=0;b[h+17>>0]=1;n[h+20>>2]=9.999999717180685e-10}f[g>>2]=0;g=f[h+4>>2]|0;if(g&1|0){h=g&-2;if(!(f[h>>2]|0))break;ebc(h)}}while(0);if(e&8388608|0){j=f[a+228>>2]|0;i=j+8|0;h=f[i>>2]|0;if(h&255|0){g=j+16|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;f[g+16>>2]=0;f[g+20>>2]=0;f[g+24>>2]=0;f[g+28>>2]=0}if(h&7936|0){h=j+48|0;f[h>>2]=0;f[h+4>>2]=0;b[h+8>>0]=0;f[j+60>>2]=1;b[j+64>>0]=1}f[i>>2]=0;i=f[j+4>>2]|0;if(!(i&1))break;j=i&-2;if(!(f[j>>2]|0))break;ebc(j)}}while(0);if(e>>>0>16777215){if(e&16777216|0){j=f[a+232>>2]|0;i=j+8|0;if(f[i>>2]&7|0){n[j+16>>2]=0.0;n[j+20>>2]=1.0;n[j+24>>2]=1.0}f[i>>2]=0;i=f[j+4>>2]|0;if(i&1|0?(j=i&-2,f[j>>2]|0):0)ebc(j)}if(e&33554432|0){j=f[a+236>>2]|0;i=j+8|0;if(f[i>>2]&3|0){h=j+16|0;f[h>>2]=0;f[h+4>>2]=0}f[i>>2]=0;i=f[j+4>>2]|0;if(i&1|0?(j=i&-2,f[j>>2]|0):0)ebc(j)}if((e&67108864|0?(j=f[a+240>>2]|0,f[j+16>>2]=0,f[j+8>>2]=0,i=f[j+4>>2]|0,i&1|0):0)?(j=i&-2,f[j>>2]|0):0)ebc(j);if(e&134217728|0){j=f[a+244>>2]|0;i=j+8|0;if(f[i>>2]&3|0){f[j+16>>2]=0;f[j+20>>2]=1}f[i>>2]=0;i=f[j+4>>2]|0;if(i&1|0?(j=i&-2,f[j>>2]|0):0)ebc(j)}if(e&268435456|0){j=f[a+248>>2]|0;f[j+16>>2]=0;i=j+8|0;if(f[i>>2]&3|0){f[j+28>>2]=1;f[j+32>>2]=1}f[i>>2]=0;i=f[j+4>>2]|0;if(i&1|0?(j=i&-2,f[j>>2]|0):0)ebc(j)}if((e&536870912|0?(j=f[a+252>>2]|0,f[j+16>>2]=0,f[j+8>>2]=0,i=f[j+4>>2]|0,i&1|0):0)?(j=i&-2,f[j>>2]|0):0)ebc(j);do if(e&1073741824|0?(j=f[a+256>>2]|0,n[j+16>>2]=0.0,f[j+8>>2]=0,i=f[j+4>>2]|0,i&1|0):0){j=i&-2;if(!(f[j>>2]|0))break;ebc(j)}while(0);if((e|0)<0)H3a(f[a+260>>2]|0)}e=f[a+12>>2]|0;if(e&255|0){if(e&1|0)r9a(f[a+264>>2]|0);if(e&2|0)rXa(f[a+268>>2]|0);if(e&4|0){j=f[a+272>>2]|0;i=j+8|0;if(f[i>>2]&7|0){h=j+16|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0}f[i>>2]=0;i=f[j+4>>2]|0;if(i&1|0?(j=i&-2,f[j>>2]|0):0)ebc(j)}do if(e&8|0){j=f[a+276>>2]|0;i=j+8|0;h=f[i>>2]|0;do if(h&1|0?(g=f[j+16>>2]|0,f[g+16>>2]=0,f[g+8>>2]=0,l=f[g+4>>2]|0,l&1|0):0){g=l&-2;if(!(f[g>>2]|0))break;ebc(g)}while(0);if(h&6|0){f[j+20>>2]=0;f[j+24>>2]=-1}f[i>>2]=0;g=f[j+4>>2]|0;if(g&1|0){l=g&-2;if(!(f[l>>2]|0))break;ebc(l)}}while(0);do if(e&16|0){l=f[a+280>>2]|0;g=l+8|0;if(f[g>>2]&7|0){n[l+16>>2]=0.0;n[l+20>>2]=-1.0;n[l+24>>2]=1.0}f[g>>2]=0;g=f[l+4>>2]|0;if(g&1|0){l=g&-2;if(!(f[l>>2]|0))break;ebc(l)}}while(0);do if(e&32|0){l=f[a+284>>2]|0;g=l+8|0;if(f[g>>2]&3|0){f[l+16>>2]=1;f[l+20>>2]=-1}f[g>>2]=0;g=f[l+4>>2]|0;if(!(g&1))break;l=g&-2;if(!(f[l>>2]|0))break;ebc(l)}while(0);do if(e&64|0){l=f[a+288>>2]|0;g=l+8|0;if(f[g>>2]&7|0){f[l+16>>2]=0;f[l+20>>2]=1;n[l+24>>2]=1.0}f[g>>2]=0;g=f[l+4>>2]|0;if(!(g&1))break;l=g&-2;if(!(f[l>>2]|0))break;ebc(l)}while(0);if(e&128|0)Zab(f[a+292>>2]|0)}do if(e&65280|0){if(e&256|0){l=f[a+296>>2]|0;g=l+8|0;if(f[g>>2]&3|0){f[l+16>>2]=0;f[l+20>>2]=1}f[g>>2]=0;g=f[l+4>>2]|0;if(g&1|0?(l=g&-2,f[l>>2]|0):0)ebc(l)}if(e&512|0){l=f[a+300>>2]|0;d[l+16>>1]=0;g=l+8|0;if(f[g>>2]&12|0){n[l+20>>2]=.9990000128746033;n[l+24>>2]=9.999999747378752e-06}f[g>>2]=0;g=f[l+4>>2]|0;if(g&1|0?(l=g&-2,f[l>>2]|0):0)ebc(l)}if((e&1024|0?(l=f[a+304>>2]|0,n[l+16>>2]=1.0,f[l+8>>2]=0,g=f[l+4>>2]|0,g&1|0):0)?(l=g&-2,f[l>>2]|0):0)ebc(l);if(e&2048|0)Gcb(f[a+308>>2]|0);if(e&4096|0)a8a(f[a+312>>2]|0);do if(e&8192|0){l=f[a+316>>2]|0;g=l+20|0;k=f[g>>2]|0;if((k|0)>0){m=f[l+28>>2]|0;o=0;do{p=f[m+4+(o<<2)>>2]|0;o=o+1|0;f[p+16>>2]=0;f[p+8>>2]=0;q=f[p+4>>2]|0;do if(q&1|0){p=q&-2;if(!(f[p>>2]|0))break;ebc(p)}while(0)}while((o|0)!=(k|0));f[g>>2]=0}f[l+8>>2]=0;k=f[l+4>>2]|0;if(!(k&1))break;o=k&-2;if(!(f[o>>2]|0))break;ebc(o)}while(0);do if(e&16384|0){j=f[a+320>>2]|0;f[j+16>>2]=0;f[j+28>>2]=2;f[j+8>>2]=0;i=f[j+4>>2]|0;if(!(i&1))break;j=i&-2;if(!(f[j>>2]|0))break;ebc(j)}while(0);if(!(e&32768))break;j=f[a+324>>2]|0;i=j+8|0;do if(f[i>>2]&1|0){h=f[j+16>>2]|0;f[h+16>>2]=0;f[h+8>>2]=0;o=f[h+4>>2]|0;if(!(o&1))break;h=o&-2;if(!(f[h>>2]|0))break;ebc(h)}while(0);f[i>>2]=0;h=f[j+4>>2]|0;if(!(h&1))break;o=h&-2;if(!(f[o>>2]|0))break;ebc(o)}while(0);do if(e&16711680|0){if(e&65536|0)$8a(f[a+328>>2]|0);if(e&131072|0)Feb(f[a+332>>2]|0);if((e&262144|0?(o=f[a+336>>2]|0,f[o+16>>2]=0,f[o+8>>2]=0,h=f[o+4>>2]|0,h&1|0):0)?(o=h&-2,f[o>>2]|0):0)ebc(o);if(e&524288|0)$db(f[a+340>>2]|0);do if(e&1048576|0){o=f[a+344>>2]|0;f[o+16>>2]=0;f[o+28>>2]=0;f[o+40>>2]=0;f[o+52>>2]=0;f[o+64>>2]=0;f[o+76>>2]=0;h=o+8|0;k=f[h>>2]|0;if(k&255|0){m=o+88|0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;f[m+16>>2]=0;f[m+20>>2]=0;f[m+24>>2]=0;f[m+28>>2]=0}if(k&1792|0){b[o+120>>0]=1;b[o+121>>0]=1;n[o+124>>2]=.5}f[h>>2]=0;h=f[o+4>>2]|0;if(!(h&1))break;o=h&-2;if(!(f[o>>2]|0))break;ebc(o)}while(0);do if(e&2097152|0){j=f[a+348>>2]|0;f[j+16>>2]=0;f[j+28>>2]=0;i=j+8|0;if(f[i>>2]&63|0){f[j+40>>2]=16;f[j+44>>2]=16;f[j+48>>2]=16;f[j+52>>2]=6e3;f[j+56>>2]=300;n[j+60>>2]=.699999988079071}f[i>>2]=0;i=f[j+4>>2]|0;if(!(i&1))break;j=i&-2;if(!(f[j>>2]|0))break;ebc(j)}while(0);do if(e&4194304|0){j=f[a+352>>2]|0;i=j+8|0;if(f[i>>2]&7|0){o=j+16|0;f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0}f[i>>2]=0;i=f[j+4>>2]|0;if(!(i&1))break;j=i&-2;if(!(f[j>>2]|0))break;ebc(j)}while(0);if(!(e&8388608))break;j=f[a+356>>2]|0;i=j+8|0;if(f[i>>2]&7|0){o=j+16|0;f[o>>2]=0;f[o+4>>2]=0;n[j+24>>2]=1.0}f[i>>2]=0;i=f[j+4>>2]|0;if(!(i&1))break;j=i&-2;if(!(f[j>>2]|0))break;ebc(j)}while(0);f[a+360>>2]=0;e=c;f[e>>2]=0;f[e+4>>2]=0;e=f[a+4>>2]|0;if(!(e&1))return;a=e&-2;if(!(f[a>>2]|0))return;ebc(a);return}function odb(a){a=a|0;var b=0;if(f[a+12>>2]&4194304|0?(f[(f[a+352>>2]|0)+8>>2]&7|0)!=7:0){b=0;return b|0}b=1;return b|0}function pdb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0,qc=0,rc=0,sc=0,tc=0,uc=0,vc=0,wc=0,xc=0,yc=0,zc=0,Ac=0,Bc=0,Cc=0,Dc=0,Ec=0,Fc=0,Gc=0,Hc=0,Ic=0,Jc=0,Kc=0,Lc=0,Mc=0,Nc=0,Oc=0,Pc=0,Qc=0,Rc=0,Sc=0,Tc=0,Uc=0,Vc=0,Wc=0,Xc=0,Yc=0,Zc=0,_c=0,$c=0,ad=0,bd=0,cd=0,dd=0,ed=0,fd=0,gd=0,hd=0,id=0,jd=0,kd=0,ld=0,md=0,nd=0,od=0,pd=0,qd=0,rd=0,sd=0,td=0,ud=0,vd=0,wd=0,xd=0,yd=0,zd=0,Ad=0,Bd=0,Cd=0,Dd=0,Ed=0,Fd=0,Gd=0,Hd=0,Id=0,Jd=0,Kd=0,Ld=0,Md=0,Nd=0,Od=0,Pd=0,Qd=0,Rd=0,Sd=0,Td=0,Ud=0,Vd=0,Wd=0,Xd=0,Yd=0,Zd=0,_d=0,$d=0,ae=0,be=0,ce=0,de=0,ee=0,fe=0,ge=0,he=0,ie=0,je=0,ke=0,le=0,me=0,ne=0,oe=0,pe=0,qe=0,re=0,se=0,te=0,ue=0,ve=0,we=0,xe=0,ye=0,ze=0,Ae=0;d=u;u=u+16|0;e=d;g=c+4|0;i=a+8|0;j=a+136|0;k=a+140|0;l=a+16|0;m=a+32|0;n=a+48|0;o=a+52|0;p=a+56|0;q=a+60|0;r=a+72|0;s=a+68|0;t=a+64|0;v=e+4|0;w=a+76|0;x=e+4|0;y=a+92|0;z=e+4|0;A=a+108|0;B=e+4|0;C=a+12|0;D=a+360|0;E=a+4|0;F=a+124|0;G=a+128|0;H=a+132|0;I=e+8|0;K=e+8|0;L=a+144|0;M=e+4|0;N=a+148|0;O=e+4|0;P=a+152|0;Q=e+4|0;R=a+156|0;S=e+4|0;T=a+160|0;U=e+4|0;V=a+164|0;W=e+4|0;X=a+168|0;Y=e+4|0;Z=a+172|0;_=e+4|0;$=a+176|0;aa=e+4|0;ba=a+180|0;ca=e+4|0;da=a+184|0;ea=e+4|0;fa=a+188|0;ga=e+4|0;ha=a+192|0;ia=e+4|0;ja=a+196|0;ka=e+4|0;la=a+200|0;ma=e+4|0;na=a+204|0;oa=e+4|0;pa=a+208|0;qa=e+4|0;ra=a+212|0;sa=e+4|0;ta=a+216|0;ua=e+4|0;va=a+220|0;wa=e+4|0;xa=a+224|0;ya=e+4|0;za=a+228|0;Aa=e+4|0;Ba=a+232|0;Ca=e+4|0;Da=a+236|0;Ea=e+4|0;Fa=a+240|0;Ga=e+4|0;Ha=a+244|0;Ia=e+4|0;Ja=a+248|0;Ka=e+4|0;La=a+252|0;Ma=e+4|0;Na=a+256|0;Oa=e+4|0;Pa=a+260|0;Qa=e+4|0;Ra=a+264|0;Sa=e+4|0;Ta=a+268|0;Ua=e+4|0;Va=a+272|0;Wa=e+4|0;Xa=a+276|0;Ya=e+4|0;Za=a+280|0;_a=e+4|0;$a=a+284|0;ab=e+4|0;bb=a+288|0;cb=e+4|0;db=a+292|0;eb=e+4|0;fb=a+296|0;gb=e+4|0;hb=a+300|0;ib=e+4|0;jb=a+304|0;kb=e+4|0;lb=a+308|0;mb=e+4|0;nb=a+312|0;ob=e+4|0;pb=a+316|0;qb=e+4|0;rb=a+320|0;sb=e+4|0;tb=a+324|0;ub=e+4|0;vb=a+328|0;wb=e+4|0;xb=a+332|0;yb=e+4|0;zb=a+336|0;Ab=e+4|0;Bb=a+340|0;Cb=e+4|0;Db=a+344|0;Eb=e+4|0;Fb=a+348|0;Gb=e+4|0;Hb=a+352|0;Ib=e+4|0;Jb=a+356|0;a=e+4|0;a:while(1){Kb=f[c>>2]|0;Lb=f[g>>2]|0;do if(Kb>>>0<Lb>>>0){Mb=b[Kb>>0]|0;Nb=Mb&255;Ob=Kb+1|0;if(Mb<<24>>24>0){Pb=Ob;Qb=Nb}else{if(Ob>>>0>=Lb>>>0){Rb=Nb;Sb=7;break}Mb=h[Ob>>0]|0;if(((Mb^128)&Nb)>>>0<=127){Rb=Nb;Sb=7;break}Pb=Kb+2|0;Qb=Nb+-128+(Mb<<7)|0}f[c>>2]=Pb;Tb=Qb;Sb=9}else{Rb=0;Sb=7}while(0);if((Sb|0)==7){Sb=0;Kb=OJb(c,Rb)|0;if((Kb+-1|0)>>>0<66133690){Tb=Kb;Sb=9}else Ub=Kb}b:do if((Sb|0)==9){Sb=0;Kb=Tb>>>3&536870911;if((Kb|0)<121)do switch(Kb|0){case 1:{if((Tb&255|0)!=10){Ub=Tb;break b}f[i>>2]=f[i>>2]|1;Lb=f[j>>2]|0;if((Lb|0)==542896){JEa(j,542896);Vb=f[j>>2]|0}else Vb=Lb;if($Lb(c,Vb)|0)continue a;else{Wb=0;Sb=714;break a}break}case 2:{if((Tb&255|0)!=18){Ub=Tb;break b}f[i>>2]=f[i>>2]|2;Lb=f[k>>2]|0;if((Lb|0)==542896){JEa(k,542896);Xb=f[k>>2]|0}else Xb=Lb;if($Lb(c,Xb)|0)continue a;else{Wb=0;Sb=714;break a}break}case 3:{if((Tb&255|0)!=26){Ub=Tb;break b}if($Lb(c,MEa(l)|0)|0)continue a;else{Wb=0;Sb=714;break a}break}case 4:{if((Tb&255|0)!=34){Ub=Tb;break b}if($Lb(c,MEa(m)|0)|0)continue a;else{Wb=0;Sb=714;break a}break}case 5:{switch((Tb&255)<<24>>24){case 45:break;case 42:{if(DWa(c,n)|0)continue a;else{Wb=0;Sb=714;break a}break}default:{Ub=Tb;break b}}Lb=f[c>>2]|0;if(((f[g>>2]|0)-Lb|0)>3){Mb=Lb;Nb=h[Mb>>0]|h[Mb+1>>0]<<8|h[Mb+2>>0]<<16|h[Mb+3>>0]<<24;f[e>>2]=Nb;f[c>>2]=Lb+4;Yb=Nb}else{if(!(LJb(c,e)|0)){Sb=37;break a}Yb=f[e>>2]|0}Nb=f[n>>2]|0;if((Nb|0)==(f[o>>2]|0)){REa(n,Nb+1|0);Zb=f[n>>2]|0}else Zb=Nb;Nb=f[p>>2]|0;Lb=Zb+1|0;f[n>>2]=Lb;f[Nb+4+(Zb<<2)>>2]=Yb;Mb=f[c>>2]|0;Ob=(f[g>>2]|0)-Mb|0;if((Ob|0)<=0)continue a;_b=Mb;Mb=(f[o>>2]|0)-Lb|0;$b=(Ob>>>0)/5|0;ac=($b|0)<(Mb|0)?$b:Mb;if((ac|0)>0){bc=0;cc=_b;dc=Lb}else continue a;while(1){if((b[cc>>0]|0)!=45){ec=bc;break}Lb=cc+1|0;Mb=h[Lb>>0]|h[Lb+1>>0]<<8|h[Lb+2>>0]<<16|h[Lb+3>>0]<<24;Lb=dc;dc=dc+1|0;f[n>>2]=dc;f[Nb+4+(Lb<<2)>>2]=Mb;Mb=bc+1|0;if((Mb|0)>=(ac|0)){ec=Mb;break}else{bc=Mb;cc=cc+5|0}}ac=ec*5|0;if((ec|0)<=0)continue a;if((Ob|0)<(ac|0)){HJb(c,ac,Ob)|0;continue a}else{f[c>>2]=_b+ac;continue a}break}case 6:{if((Tb&255|0)!=50){Ub=Tb;break b}ac=f[r>>2]|0;do if(ac){Nb=f[t>>2]|0;Mb=f[ac>>2]|0;if((Nb|0)>=(Mb|0))if((Mb|0)==(f[s>>2]|0)){fc=Mb;Sb=45;break}else{gc=Mb;hc=ac;Sb=46;break}else{f[t>>2]=Nb+1;ic=f[ac+4+(Nb<<2)>>2]|0;break}}else{fc=f[s>>2]|0;Sb=45}while(0);if((Sb|0)==45){Sb=0;LKb(q,fc+1|0);ac=f[r>>2]|0;gc=f[ac>>2]|0;hc=ac;Sb=46}if((Sb|0)==46){Sb=0;f[hc>>2]=gc+1;ac=f[q>>2]|0;if(!ac){_b=cuc(32)|0;Reb(_b);jc=_b}else{if(f[ac+64>>2]|0)HIb(ac,20600,32);_b=GIb(ac,32,1968)|0;Reb(_b);jc=_b}_b=f[r>>2]|0;ac=f[t>>2]|0;f[t>>2]=ac+1;f[_b+4+(ac<<2)>>2]=jc;ic=jc}ac=f[c>>2]|0;if(ac>>>0<(f[g>>2]|0)>>>0?(_b=b[ac>>0]|0,_b<<24>>24>-1):0){f[c>>2]=ac+1;kc=_b&255}else{_b=NJb(c)|0;if((_b|0)>-1)kc=_b;else{Wb=0;Sb=714;break a}}yJb(e,c,kc);if((f[v>>2]|0)<0){Sb=58;break a}if(!(Th[f[(f[ic>>2]|0)+44>>2]&1023](ic,c)|0)){Sb=58;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}case 7:{if((Tb&255|0)!=58){Ub=Tb;break b}_b=CYa(w)|0;ac=f[c>>2]|0;if(ac>>>0<(f[g>>2]|0)>>>0?(Ob=b[ac>>0]|0,Ob<<24>>24>-1):0){f[c>>2]=ac+1;lc=Ob&255}else{Ob=NJb(c)|0;if((Ob|0)>-1)lc=Ob;else{Wb=0;Sb=714;break a}}yJb(e,c,lc);if((f[x>>2]|0)<0){Sb=67;break a}if(!(Th[f[(f[_b>>2]|0)+44>>2]&1023](_b,c)|0)){Sb=67;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}case 8:{if((Tb&255|0)!=66){Ub=Tb;break b}_b=fFa(y)|0;Ob=f[c>>2]|0;if(Ob>>>0<(f[g>>2]|0)>>>0?(ac=b[Ob>>0]|0,ac<<24>>24>-1):0){f[c>>2]=Ob+1;mc=ac&255}else{ac=NJb(c)|0;if((ac|0)>-1)mc=ac;else{Wb=0;Sb=714;break a}}yJb(e,c,mc);if((f[z>>2]|0)<0){Sb=76;break a}if(!(Th[f[(f[_b>>2]|0)+44>>2]&1023](_b,c)|0)){Sb=76;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}case 9:{if((Tb&255|0)!=74){Ub=Tb;break b}_b=fFa(A)|0;ac=f[c>>2]|0;if(ac>>>0<(f[g>>2]|0)>>>0?(Ob=b[ac>>0]|0,Ob<<24>>24>-1):0){f[c>>2]=ac+1;nc=Ob&255}else{Ob=NJb(c)|0;if((Ob|0)>-1)nc=Ob;else{Wb=0;Sb=714;break a}}yJb(e,c,nc);if((f[B>>2]|0)<0){Sb=85;break a}if(!(Th[f[(f[_b>>2]|0)+44>>2]&1023](_b,c)|0)){Sb=85;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}case 10:{if((Tb&255|0)!=80){Ub=Tb;break b}_b=f[c>>2]|0;if(_b>>>0<(f[g>>2]|0)>>>0){Ob=b[_b>>0]|0;ac=Ob&255;if(Ob<<24>>24>-1){f[c>>2]=_b+1;oc=ac}else{pc=ac;Sb=91}}else{pc=0;Sb=91}if((Sb|0)==91){Sb=0;ac=zJb(c,pc)|0;_b=J;if((_b|0)>-1|(_b|0)==-1&ac>>>0>4294967295)oc=ac;else{Wb=0;Sb=714;break a}}if(oc>>>0<2){f[C>>2]=f[C>>2]|16777216;f[D>>2]=oc;continue a}ac=f[E>>2]|0;if(!(ac&1))qc=OOa(E)|0;else qc=ac&-2;kbc(qc,10,oc,((oc|0)<0)<<31>>31);continue a;break}case 11:{switch((Tb&255)<<24>>24){case 88:break;case 90:{if(ifb(c,F)|0)continue a;else{Wb=0;Sb=714;break a}break}default:{Ub=Tb;break b}}ac=f[c>>2]|0;if(ac>>>0<(f[g>>2]|0)>>>0?(_b=b[ac>>0]|0,_b<<24>>24>-1):0){f[c>>2]=ac+1;rc=_b<<24>>24!=0}else{AJb(e,c);_b=e;if(!(b[K>>0]|0)){Wb=0;Sb=714;break a}else rc=(f[_b>>2]|0)!=0|(f[_b+4>>2]|0)!=0}_b=f[F>>2]|0;ac=f[G>>2]|0;if((_b|0)==(ac|0)){_Oa(F,_b+1|0);sc=f[F>>2]|0;tc=f[G>>2]|0}else{sc=_b;tc=ac}ac=f[H>>2]|0;_b=sc+1|0;f[F>>2]=_b;b[ac+4+sc>>0]=rc&1;Ob=tc-_b|0;if((Ob|0)>0){uc=Ob;vc=_b;wc=ac}else continue a;while(1){ac=f[c>>2]|0;_b=f[g>>2]|0;if(ac>>>0>=_b>>>0)continue a;if((b[ac>>0]|0)!=88)continue a;Ob=ac+1|0;f[c>>2]=Ob;if(Ob>>>0<_b>>>0?(_b=b[Ob>>0]|0,_b<<24>>24>-1):0){f[c>>2]=ac+2;xc=_b<<24>>24!=0;yc=vc;zc=wc}else{AJb(e,c);_b=e;if(!(b[I>>0]|0)){Wb=0;Sb=714;break a}xc=(f[_b>>2]|0)!=0|(f[_b+4>>2]|0)!=0;yc=f[F>>2]|0;zc=f[H>>2]|0}_b=yc+1|0;f[F>>2]=_b;b[zc+4+yc>>0]=xc&1;if((uc|0)>1){uc=uc+-1|0;vc=_b;wc=zc}else continue a}break}case 100:{if((Tb&255|0)!=34){Ub=Tb;break b}f[i>>2]=f[i>>2]|4;_b=f[L>>2]|0;if(!_b){ac=cuc(44)|0;XZa(ac);f[L>>2]=ac;Ac=ac}else Ac=_b;_b=f[c>>2]|0;if(_b>>>0<(f[g>>2]|0)>>>0?(ac=b[_b>>0]|0,ac<<24>>24>-1):0){f[c>>2]=_b+1;Bc=ac&255}else{ac=NJb(c)|0;if((ac|0)>-1)Bc=ac;else{Wb=0;Sb=714;break a}}yJb(e,c,Bc);if((f[M>>2]|0)<0){Sb=124;break a}if(!(Th[f[(f[Ac>>2]|0)+44>>2]&1023](Ac,c)|0)){Sb=124;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}case 101:{if((Tb&255|0)!=42){Ub=Tb;break b}f[i>>2]=f[i>>2]|8;ac=f[N>>2]|0;if(!ac){_b=cuc(28)|0;c_a(_b);f[N>>2]=_b;Cc=_b}else Cc=ac;ac=f[c>>2]|0;if(ac>>>0<(f[g>>2]|0)>>>0?(_b=b[ac>>0]|0,_b<<24>>24>-1):0){f[c>>2]=ac+1;Dc=_b&255}else{_b=NJb(c)|0;if((_b|0)>-1)Dc=_b;else{Wb=0;Sb=714;break a}}yJb(e,c,Dc);if((f[O>>2]|0)<0){Sb=135;break a}if(!(Th[f[(f[Cc>>2]|0)+44>>2]&1023](Cc,c)|0)){Sb=135;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}case 102:{if((Tb&255|0)!=50){Ub=Tb;break b}f[i>>2]=f[i>>2]|16;_b=f[P>>2]|0;if(!_b){ac=cuc(28)|0;RZa(ac);f[P>>2]=ac;Ec=ac}else Ec=_b;_b=f[c>>2]|0;if(_b>>>0<(f[g>>2]|0)>>>0?(ac=b[_b>>0]|0,ac<<24>>24>-1):0){f[c>>2]=_b+1;Fc=ac&255}else{ac=NJb(c)|0;if((ac|0)>-1)Fc=ac;else{Wb=0;Sb=714;break a}}yJb(e,c,Fc);if((f[Q>>2]|0)<0){Sb=146;break a}if(!(Th[f[(f[Ec>>2]|0)+44>>2]&1023](Ec,c)|0)){Sb=146;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}case 103:{if((Tb&255|0)!=58){Ub=Tb;break b}f[i>>2]=f[i>>2]|32;ac=f[R>>2]|0;if(!ac){_b=cuc(28)|0;LZa(_b);f[R>>2]=_b;Gc=_b}else Gc=ac;ac=f[c>>2]|0;if(ac>>>0<(f[g>>2]|0)>>>0?(_b=b[ac>>0]|0,_b<<24>>24>-1):0){f[c>>2]=ac+1;Hc=_b&255}else{_b=NJb(c)|0;if((_b|0)>-1)Hc=_b;else{Wb=0;Sb=714;break a}}yJb(e,c,Hc);if((f[S>>2]|0)<0){Sb=157;break a}if(!(Th[f[(f[Gc>>2]|0)+44>>2]&1023](Gc,c)|0)){Sb=157;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}case 104:{if((Tb&255|0)!=66){Ub=Tb;break b}f[i>>2]=f[i>>2]|64;_b=f[T>>2]|0;if(!_b){ac=cuc(24)|0;qZa(ac);f[T>>2]=ac;Ic=ac}else Ic=_b;_b=f[c>>2]|0;if(_b>>>0<(f[g>>2]|0)>>>0?(ac=b[_b>>0]|0,ac<<24>>24>-1):0){f[c>>2]=_b+1;Jc=ac&255}else{ac=NJb(c)|0;if((ac|0)>-1)Jc=ac;else{Wb=0;Sb=714;break a}}yJb(e,c,Jc);if((f[U>>2]|0)<0){Sb=168;break a}if(!(Th[f[(f[Ic>>2]|0)+44>>2]&1023](Ic,c)|0)){Sb=168;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}case 105:{if((Tb&255|0)!=74){Ub=Tb;break b}f[i>>2]=f[i>>2]|128;ac=f[V>>2]|0;if(!ac){_b=cuc(24)|0;a_a(_b);f[V>>2]=_b;Kc=_b}else Kc=ac;ac=f[c>>2]|0;if(ac>>>0<(f[g>>2]|0)>>>0?(_b=b[ac>>0]|0,_b<<24>>24>-1):0){f[c>>2]=ac+1;Lc=_b&255}else{_b=NJb(c)|0;if((_b|0)>-1)Lc=_b;else{Wb=0;Sb=714;break a}}yJb(e,c,Lc);if((f[W>>2]|0)<0){Sb=179;break a}if(!(Th[f[(f[Kc>>2]|0)+44>>2]&1023](Kc,c)|0)){Sb=179;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}case 106:{if((Tb&255|0)!=82){Ub=Tb;break b}f[i>>2]=f[i>>2]|256;_b=f[X>>2]|0;if(!_b){ac=cuc(120)|0;rZa(ac);f[X>>2]=ac;Mc=ac}else Mc=_b;_b=f[c>>2]|0;if(_b>>>0<(f[g>>2]|0)>>>0?(ac=b[_b>>0]|0,ac<<24>>24>-1):0){f[c>>2]=_b+1;Nc=ac&255}else{ac=NJb(c)|0;if((ac|0)>-1)Nc=ac;else{Wb=0;Sb=714;break a}}yJb(e,c,Nc);if((f[Y>>2]|0)<0){Sb=190;break a}if(!(Th[f[(f[Mc>>2]|0)+44>>2]&1023](Mc,c)|0)){Sb=190;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}case 107:{if((Tb&255|0)!=90){Ub=Tb;break b}f[i>>2]=f[i>>2]|512;ac=f[Z>>2]|0;if(!ac){_b=cuc(52)|0;tZa(_b);f[Z>>2]=_b;Oc=_b}else Oc=ac;ac=f[c>>2]|0;if(ac>>>0<(f[g>>2]|0)>>>0?(_b=b[ac>>0]|0,_b<<24>>24>-1):0){f[c>>2]=ac+1;Pc=_b&255}else{_b=NJb(c)|0;if((_b|0)>-1)Pc=_b;else{Wb=0;Sb=714;break a}}yJb(e,c,Pc);if((f[_>>2]|0)<0){Sb=201;break a}if(!(Th[f[(f[Oc>>2]|0)+44>>2]&1023](Oc,c)|0)){Sb=201;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}case 108:{if((Tb&255|0)!=98){Ub=Tb;break b}f[i>>2]=f[i>>2]|1024;_b=f[$>>2]|0;if(!_b){ac=cuc(24)|0;vZa(ac);f[$>>2]=ac;Qc=ac}else Qc=_b;_b=f[c>>2]|0;if(_b>>>0<(f[g>>2]|0)>>>0?(ac=b[_b>>0]|0,ac<<24>>24>-1):0){f[c>>2]=_b+1;Rc=ac&255}else{ac=NJb(c)|0;if((ac|0)>-1)Rc=ac;else{Wb=0;Sb=714;break a}}yJb(e,c,Rc);if((f[aa>>2]|0)<0){Sb=212;break a}if(!(Th[f[(f[Qc>>2]|0)+44>>2]&1023](Qc,c)|0)){Sb=212;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}case 109:{if((Tb&255|0)!=106){Ub=Tb;break b}f[i>>2]=f[i>>2]|2048;ac=f[ba>>2]|0;if(!ac){_b=cuc(96)|0;PZa(_b);f[ba>>2]=_b;Sc=_b}else Sc=ac;ac=f[c>>2]|0;if(ac>>>0<(f[g>>2]|0)>>>0?(_b=b[ac>>0]|0,_b<<24>>24>-1):0){f[c>>2]=ac+1;Tc=_b&255}else{_b=NJb(c)|0;if((_b|0)>-1)Tc=_b;else{Wb=0;Sb=714;break a}}yJb(e,c,Tc);if((f[ca>>2]|0)<0){Sb=223;break a}if(!(Th[f[(f[Sc>>2]|0)+44>>2]&1023](Sc,c)|0)){Sb=223;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}case 110:{if((Tb&255|0)!=114){Ub=Tb;break b}f[i>>2]=f[i>>2]|4096;_b=f[da>>2]|0;if(!_b){ac=cuc(36)|0;MZa(ac);f[da>>2]=ac;Uc=ac}else Uc=_b;_b=f[c>>2]|0;if(_b>>>0<(f[g>>2]|0)>>>0?(ac=b[_b>>0]|0,ac<<24>>24>-1):0){f[c>>2]=_b+1;Vc=ac&255}else{ac=NJb(c)|0;if((ac|0)>-1)Vc=ac;else{Wb=0;Sb=714;break a}}yJb(e,c,Vc);if((f[ea>>2]|0)<0){Sb=234;break a}if(!(Th[f[(f[Uc>>2]|0)+44>>2]&1023](Uc,c)|0)){Sb=234;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}case 111:{if((Tb&255|0)!=122){Ub=Tb;break b}f[i>>2]=f[i>>2]|8192;ac=f[fa>>2]|0;if(!ac){_b=cuc(28)|0;b_a(_b);f[fa>>2]=_b;Wc=_b}else Wc=ac;ac=f[c>>2]|0;if(ac>>>0<(f[g>>2]|0)>>>0?(_b=b[ac>>0]|0,_b<<24>>24>-1):0){f[c>>2]=ac+1;Xc=_b&255}else{_b=NJb(c)|0;if((_b|0)>-1)Xc=_b;else{Wb=0;Sb=714;break a}}yJb(e,c,Xc);if((f[ga>>2]|0)<0){Sb=245;break a}if(!(Th[f[(f[Wc>>2]|0)+44>>2]&1023](Wc,c)|0)){Sb=245;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}case 112:{if((Tb&255|0)!=130){Ub=Tb;break b}f[i>>2]=f[i>>2]|16384;_b=f[ha>>2]|0;if(!_b){ac=cuc(28)|0;wZa(ac);f[ha>>2]=ac;Yc=ac}else Yc=_b;_b=f[c>>2]|0;if(_b>>>0<(f[g>>2]|0)>>>0?(ac=b[_b>>0]|0,ac<<24>>24>-1):0){f[c>>2]=_b+1;Zc=ac&255}else{ac=NJb(c)|0;if((ac|0)>-1)Zc=ac;else{Wb=0;Sb=714;break a}}yJb(e,c,Zc);if((f[ia>>2]|0)<0){Sb=256;break a}if(!(Th[f[(f[Yc>>2]|0)+44>>2]&1023](Yc,c)|0)){Sb=256;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}case 113:{if((Tb&255|0)!=138){Ub=Tb;break b}f[i>>2]=f[i>>2]|32768;ac=f[ja>>2]|0;if(!ac){_b=cuc(20)|0;lYa(_b);f[ja>>2]=_b;_c=_b}else _c=ac;ac=f[c>>2]|0;if(ac>>>0<(f[g>>2]|0)>>>0?(_b=b[ac>>0]|0,_b<<24>>24>-1):0){f[c>>2]=ac+1;$c=_b&255}else{_b=NJb(c)|0;if((_b|0)>-1)$c=_b;else{Wb=0;Sb=714;break a}}yJb(e,c,$c);if((f[ka>>2]|0)<0){Sb=267;break a}if(!(Th[f[(f[_c>>2]|0)+44>>2]&1023](_c,c)|0)){Sb=267;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}case 114:{if((Tb&255|0)!=146){Ub=Tb;break b}f[i>>2]=f[i>>2]|65536;_b=f[la>>2]|0;if(!_b){ac=cuc(20)|0;SZa(ac);f[la>>2]=ac;ad=ac}else ad=_b;_b=f[c>>2]|0;if(_b>>>0<(f[g>>2]|0)>>>0?(ac=b[_b>>0]|0,ac<<24>>24>-1):0){f[c>>2]=_b+1;bd=ac&255}else{ac=NJb(c)|0;if((ac|0)>-1)bd=ac;else{Wb=0;Sb=714;break a}}yJb(e,c,bd);if((f[ma>>2]|0)<0){Sb=278;break a}if(!(Th[f[(f[ad>>2]|0)+44>>2]&1023](ad,c)|0)){Sb=278;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}case 115:{if((Tb&255|0)!=154){Ub=Tb;break b}f[i>>2]=f[i>>2]|131072;ac=f[na>>2]|0;if(!ac){_b=cuc(60)|0;yZa(_b);f[na>>2]=_b;cd=_b}else cd=ac;ac=f[c>>2]|0;if(ac>>>0<(f[g>>2]|0)>>>0?(_b=b[ac>>0]|0,_b<<24>>24>-1):0){f[c>>2]=ac+1;dd=_b&255}else{_b=NJb(c)|0;if((_b|0)>-1)dd=_b;else{Wb=0;Sb=714;break a}}yJb(e,c,dd);if((f[oa>>2]|0)<0){Sb=289;break a}if(!(Th[f[(f[cd>>2]|0)+44>>2]&1023](cd,c)|0)){Sb=289;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}case 116:{if((Tb&255|0)!=162){Ub=Tb;break b}f[i>>2]=f[i>>2]|262144;_b=f[pa>>2]|0;if(!_b){ac=cuc(20)|0;AZa(ac);f[pa>>2]=ac;ed=ac}else ed=_b;_b=f[c>>2]|0;if(_b>>>0<(f[g>>2]|0)>>>0?(ac=b[_b>>0]|0,ac<<24>>24>-1):0){f[c>>2]=_b+1;fd=ac&255}else{ac=NJb(c)|0;if((ac|0)>-1)fd=ac;else{Wb=0;Sb=714;break a}}yJb(e,c,fd);if((f[qa>>2]|0)<0){Sb=300;break a}if(!(Th[f[(f[ed>>2]|0)+44>>2]&1023](ed,c)|0)){Sb=300;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}case 117:{if((Tb&255|0)!=170){Ub=Tb;break b}f[i>>2]=f[i>>2]|524288;ac=f[ra>>2]|0;if(!ac){_b=cuc(36)|0;BZa(_b);f[ra>>2]=_b;gd=_b}else gd=ac;ac=f[c>>2]|0;if(ac>>>0<(f[g>>2]|0)>>>0?(_b=b[ac>>0]|0,_b<<24>>24>-1):0){f[c>>2]=ac+1;hd=_b&255}else{_b=NJb(c)|0;if((_b|0)>-1)hd=_b;else{Wb=0;Sb=714;break a}}yJb(e,c,hd);if((f[sa>>2]|0)<0){Sb=311;break a}if(!(Th[f[(f[gd>>2]|0)+44>>2]&1023](gd,c)|0)){Sb=311;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}case 118:{if((Tb&255|0)!=178){Ub=Tb;break b}f[i>>2]=f[i>>2]|1048576;_b=f[ta>>2]|0;if(!_b){ac=cuc(40)|0;DZa(ac);f[ta>>2]=ac;id=ac}else id=_b;_b=f[c>>2]|0;if(_b>>>0<(f[g>>2]|0)>>>0?(ac=b[_b>>0]|0,ac<<24>>24>-1):0){f[c>>2]=_b+1;jd=ac&255}else{ac=NJb(c)|0;if((ac|0)>-1)jd=ac;else{Wb=0;Sb=714;break a}}yJb(e,c,jd);if((f[ua>>2]|0)<0){Sb=322;break a}if(!(Th[f[(f[id>>2]|0)+44>>2]&1023](id,c)|0)){Sb=322;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}case 119:{if((Tb&255|0)!=186){Ub=Tb;break b}f[i>>2]=f[i>>2]|2097152;ac=f[va>>2]|0;if(!ac){_b=cuc(32)|0;KZa(_b);f[va>>2]=_b;kd=_b}else kd=ac;ac=f[c>>2]|0;if(ac>>>0<(f[g>>2]|0)>>>0?(_b=b[ac>>0]|0,_b<<24>>24>-1):0){f[c>>2]=ac+1;ld=_b&255}else{_b=NJb(c)|0;if((_b|0)>-1)ld=_b;else{Wb=0;Sb=714;break a}}yJb(e,c,ld);if((f[wa>>2]|0)<0){Sb=333;break a}if(!(Th[f[(f[kd>>2]|0)+44>>2]&1023](kd,c)|0)){Sb=333;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}case 120:{if((Tb&255|0)!=194){Ub=Tb;break b}f[i>>2]=f[i>>2]|4194304;_b=f[xa>>2]|0;if(!_b){ac=cuc(24)|0;WZa(ac);f[xa>>2]=ac;md=ac}else md=_b;_b=f[c>>2]|0;if(_b>>>0<(f[g>>2]|0)>>>0?(ac=b[_b>>0]|0,ac<<24>>24>-1):0){f[c>>2]=_b+1;nd=ac&255}else{ac=NJb(c)|0;if((ac|0)>-1)nd=ac;else{Wb=0;Sb=714;break a}}yJb(e,c,nd);if((f[ya>>2]|0)<0){Sb=344;break a}if(!(Th[f[(f[md>>2]|0)+44>>2]&1023](md,c)|0)){Sb=344;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}default:{Ub=Tb;break b}}while(0);if((Kb|0)<137)do switch(Kb|0){case 121:{if((Tb&255|0)!=202){Ub=Tb;break b}f[i>>2]=f[i>>2]|8388608;ac=f[za>>2]|0;if(!ac){_b=cuc(68)|0;FZa(_b);f[za>>2]=_b;od=_b}else od=ac;ac=f[c>>2]|0;if(ac>>>0<(f[g>>2]|0)>>>0?(_b=b[ac>>0]|0,_b<<24>>24>-1):0){f[c>>2]=ac+1;pd=_b&255}else{_b=NJb(c)|0;if((_b|0)>-1)pd=_b;else{Wb=0;Sb=714;break a}}yJb(e,c,pd);if((f[Aa>>2]|0)<0){Sb=355;break a}if(!(Th[f[(f[od>>2]|0)+44>>2]&1023](od,c)|0)){Sb=355;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}case 122:{if((Tb&255|0)!=210){Ub=Tb;break b}f[i>>2]=f[i>>2]|16777216;_b=f[Ba>>2]|0;if(!_b){ac=cuc(28)|0;JZa(ac);f[Ba>>2]=ac;qd=ac}else qd=_b;_b=f[c>>2]|0;if(_b>>>0<(f[g>>2]|0)>>>0?(ac=b[_b>>0]|0,ac<<24>>24>-1):0){f[c>>2]=_b+1;rd=ac&255}else{ac=NJb(c)|0;if((ac|0)>-1)rd=ac;else{Wb=0;Sb=714;break a}}yJb(e,c,rd);if((f[Ca>>2]|0)<0){Sb=366;break a}if(!(Th[f[(f[qd>>2]|0)+44>>2]&1023](qd,c)|0)){Sb=366;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}case 123:{if((Tb&255|0)!=218){Ub=Tb;break b}f[i>>2]=f[i>>2]|33554432;ac=f[Da>>2]|0;if(!ac){_b=cuc(24)|0;TZa(_b);f[Da>>2]=_b;sd=_b}else sd=ac;ac=f[c>>2]|0;if(ac>>>0<(f[g>>2]|0)>>>0?(_b=b[ac>>0]|0,_b<<24>>24>-1):0){f[c>>2]=ac+1;td=_b&255}else{_b=NJb(c)|0;if((_b|0)>-1)td=_b;else{Wb=0;Sb=714;break a}}yJb(e,c,td);if((f[Ea>>2]|0)<0){Sb=377;break a}if(!(Th[f[(f[sd>>2]|0)+44>>2]&1023](sd,c)|0)){Sb=377;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}case 124:{if((Tb&255|0)!=226){Ub=Tb;break b}f[i>>2]=f[i>>2]|67108864;_b=f[Fa>>2]|0;if(!_b){ac=cuc(20)|0;_Za(ac);f[Fa>>2]=ac;ud=ac}else ud=_b;_b=f[c>>2]|0;if(_b>>>0<(f[g>>2]|0)>>>0?(ac=b[_b>>0]|0,ac<<24>>24>-1):0){f[c>>2]=_b+1;vd=ac&255}else{ac=NJb(c)|0;if((ac|0)>-1)vd=ac;else{Wb=0;Sb=714;break a}}yJb(e,c,vd);if((f[Ga>>2]|0)<0){Sb=388;break a}if(!(Th[f[(f[ud>>2]|0)+44>>2]&1023](ud,c)|0)){Sb=388;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}case 125:{if((Tb&255|0)!=234){Ub=Tb;break b}f[i>>2]=f[i>>2]|134217728;ac=f[Ha>>2]|0;if(!ac){_b=cuc(24)|0;$Za(_b);f[Ha>>2]=_b;wd=_b}else wd=ac;ac=f[c>>2]|0;if(ac>>>0<(f[g>>2]|0)>>>0?(_b=b[ac>>0]|0,_b<<24>>24>-1):0){f[c>>2]=ac+1;xd=_b&255}else{_b=NJb(c)|0;if((_b|0)>-1)xd=_b;else{Wb=0;Sb=714;break a}}yJb(e,c,xd);if((f[Ia>>2]|0)<0){Sb=399;break a}if(!(Th[f[(f[wd>>2]|0)+44>>2]&1023](wd,c)|0)){Sb=399;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}case 126:{if((Tb&255|0)!=242){Ub=Tb;break b}f[i>>2]=f[i>>2]|268435456;_b=f[Ja>>2]|0;if(!_b){ac=cuc(36)|0;UZa(ac);f[Ja>>2]=ac;yd=ac}else yd=_b;_b=f[c>>2]|0;if(_b>>>0<(f[g>>2]|0)>>>0?(ac=b[_b>>0]|0,ac<<24>>24>-1):0){f[c>>2]=_b+1;zd=ac&255}else{ac=NJb(c)|0;if((ac|0)>-1)zd=ac;else{Wb=0;Sb=714;break a}}yJb(e,c,zd);if((f[Ka>>2]|0)<0){Sb=410;break a}if(!(Th[f[(f[yd>>2]|0)+44>>2]&1023](yd,c)|0)){Sb=410;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}case 127:{if((Tb&255|0)!=250){Ub=Tb;break b}f[i>>2]=f[i>>2]|536870912;ac=f[La>>2]|0;if(!ac){_b=cuc(20)|0;ZZa(_b);f[La>>2]=_b;Ad=_b}else Ad=ac;ac=f[c>>2]|0;if(ac>>>0<(f[g>>2]|0)>>>0?(_b=b[ac>>0]|0,_b<<24>>24>-1):0){f[c>>2]=ac+1;Bd=_b&255}else{_b=NJb(c)|0;if((_b|0)>-1)Bd=_b;else{Wb=0;Sb=714;break a}}yJb(e,c,Bd);if((f[Ma>>2]|0)<0){Sb=421;break a}if(!(Th[f[(f[Ad>>2]|0)+44>>2]&1023](Ad,c)|0)){Sb=421;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}case 128:{if((Tb&255|0)!=2){Ub=Tb;break b}f[i>>2]=f[i>>2]|1073741824;_b=f[Na>>2]|0;if(!_b){ac=cuc(20)|0;OZa(ac);f[Na>>2]=ac;Cd=ac}else Cd=_b;_b=f[c>>2]|0;if(_b>>>0<(f[g>>2]|0)>>>0?(ac=b[_b>>0]|0,ac<<24>>24>-1):0){f[c>>2]=_b+1;Dd=ac&255}else{ac=NJb(c)|0;if((ac|0)>-1)Dd=ac;else{Wb=0;Sb=714;break a}}yJb(e,c,Dd);if((f[Oa>>2]|0)<0){Sb=432;break a}if(!(Th[f[(f[Cd>>2]|0)+44>>2]&1023](Cd,c)|0)){Sb=432;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}case 129:{if((Tb&255|0)!=10){Ub=Tb;break b}f[i>>2]=f[i>>2]|-2147483648;ac=f[Pa>>2]|0;if(!ac){_b=cuc(64)|0;HZa(_b);f[Pa>>2]=_b;Ed=_b}else Ed=ac;ac=f[c>>2]|0;if(ac>>>0<(f[g>>2]|0)>>>0?(_b=b[ac>>0]|0,_b<<24>>24>-1):0){f[c>>2]=ac+1;Fd=_b&255}else{_b=NJb(c)|0;if((_b|0)>-1)Fd=_b;else{Wb=0;Sb=714;break a}}yJb(e,c,Fd);if((f[Qa>>2]|0)<0){Sb=443;break a}if(!(Th[f[(f[Ed>>2]|0)+44>>2]&1023](Ed,c)|0)){Sb=443;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}case 130:{if((Tb&255|0)!=18){Ub=Tb;break b}f[C>>2]=f[C>>2]|1;_b=f[Ra>>2]|0;if(!_b){ac=cuc(32)|0;D9a(ac);f[Ra>>2]=ac;Gd=ac}else Gd=_b;_b=f[c>>2]|0;if(_b>>>0<(f[g>>2]|0)>>>0?(ac=b[_b>>0]|0,ac<<24>>24>-1):0){f[c>>2]=_b+1;Hd=ac&255}else{ac=NJb(c)|0;if((ac|0)>-1)Hd=ac;else{Wb=0;Sb=714;break a}}yJb(e,c,Hd);if((f[Sa>>2]|0)<0){Sb=454;break a}if(!(Th[f[(f[Gd>>2]|0)+44>>2]&1023](Gd,c)|0)){Sb=454;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}case 131:{if((Tb&255|0)!=26){Ub=Tb;break b}f[C>>2]=f[C>>2]|2;ac=f[Ta>>2]|0;if(!ac){_b=cuc(24)|0;VXa(_b);f[Ta>>2]=_b;Id=_b}else Id=ac;ac=f[c>>2]|0;if(ac>>>0<(f[g>>2]|0)>>>0?(_b=b[ac>>0]|0,_b<<24>>24>-1):0){f[c>>2]=ac+1;Jd=_b&255}else{_b=NJb(c)|0;if((_b|0)>-1)Jd=_b;else{Wb=0;Sb=714;break a}}yJb(e,c,Jd);if((f[Ua>>2]|0)<0){Sb=465;break a}if(!(Th[f[(f[Id>>2]|0)+44>>2]&1023](Id,c)|0)){Sb=465;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}case 132:{if((Tb&255|0)!=34){Ub=Tb;break b}f[C>>2]=f[C>>2]|4;_b=f[Va>>2]|0;if(!_b){ac=cuc(28)|0;F7a(ac);f[Va>>2]=ac;Kd=ac}else Kd=_b;_b=f[c>>2]|0;if(_b>>>0<(f[g>>2]|0)>>>0?(ac=b[_b>>0]|0,ac<<24>>24>-1):0){f[c>>2]=_b+1;Ld=ac&255}else{ac=NJb(c)|0;if((ac|0)>-1)Ld=ac;else{Wb=0;Sb=714;break a}}yJb(e,c,Ld);if((f[Wa>>2]|0)<0){Sb=476;break a}if(!(Th[f[(f[Kd>>2]|0)+44>>2]&1023](Kd,c)|0)){Sb=476;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}case 133:{if((Tb&255|0)!=42){Ub=Tb;break b}f[C>>2]=f[C>>2]|8;ac=f[Xa>>2]|0;if(!ac){_b=cuc(28)|0;E8a(_b);f[Xa>>2]=_b;Md=_b}else Md=ac;ac=f[c>>2]|0;if(ac>>>0<(f[g>>2]|0)>>>0?(_b=b[ac>>0]|0,_b<<24>>24>-1):0){f[c>>2]=ac+1;Nd=_b&255}else{_b=NJb(c)|0;if((_b|0)>-1)Nd=_b;else{Wb=0;Sb=714;break a}}yJb(e,c,Nd);if((f[Ya>>2]|0)<0){Sb=487;break a}if(!(Th[f[(f[Md>>2]|0)+44>>2]&1023](Md,c)|0)){Sb=487;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}case 134:{if((Tb&255|0)!=50){Ub=Tb;break b}f[C>>2]=f[C>>2]|16;_b=f[Za>>2]|0;if(!_b){ac=cuc(28)|0;lab(ac);f[Za>>2]=ac;Od=ac}else Od=_b;_b=f[c>>2]|0;if(_b>>>0<(f[g>>2]|0)>>>0?(ac=b[_b>>0]|0,ac<<24>>24>-1):0){f[c>>2]=_b+1;Pd=ac&255}else{ac=NJb(c)|0;if((ac|0)>-1)Pd=ac;else{Wb=0;Sb=714;break a}}yJb(e,c,Pd);if((f[_a>>2]|0)<0){Sb=498;break a}if(!(Th[f[(f[Od>>2]|0)+44>>2]&1023](Od,c)|0)){Sb=498;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}case 135:{if((Tb&255|0)!=58){Ub=Tb;break b}f[C>>2]=f[C>>2]|32;ac=f[$a>>2]|0;if(!ac){_b=cuc(24)|0;Tab(_b);f[$a>>2]=_b;Qd=_b}else Qd=ac;ac=f[c>>2]|0;if(ac>>>0<(f[g>>2]|0)>>>0?(_b=b[ac>>0]|0,_b<<24>>24>-1):0){f[c>>2]=ac+1;Rd=_b&255}else{_b=NJb(c)|0;if((_b|0)>-1)Rd=_b;else{Wb=0;Sb=714;break a}}yJb(e,c,Rd);if((f[ab>>2]|0)<0){Sb=509;break a}if(!(Th[f[(f[Qd>>2]|0)+44>>2]&1023](Qd,c)|0)){Sb=509;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}case 136:{if((Tb&255|0)!=66){Ub=Tb;break b}f[C>>2]=f[C>>2]|64;_b=f[bb>>2]|0;if(!_b){ac=cuc(28)|0;V8a(ac);f[bb>>2]=ac;Sd=ac}else Sd=_b;_b=f[c>>2]|0;if(_b>>>0<(f[g>>2]|0)>>>0?(ac=b[_b>>0]|0,ac<<24>>24>-1):0){f[c>>2]=_b+1;Td=ac&255}else{ac=NJb(c)|0;if((ac|0)>-1)Td=ac;else{Wb=0;Sb=714;break a}}yJb(e,c,Td);if((f[cb>>2]|0)<0){Sb=520;break a}if(!(Th[f[(f[Sd>>2]|0)+44>>2]&1023](Sd,c)|0)){Sb=520;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}default:{Ub=Tb;break b}}while(0);if((Kb|0)<145)switch(Kb|0){case 137:{if((Tb&255|0)!=74){Ub=Tb;break b}f[C>>2]=f[C>>2]|128;ac=f[db>>2]|0;if(!ac){_b=cuc(36)|0;jbb(_b);f[db>>2]=_b;Ud=_b}else Ud=ac;ac=f[c>>2]|0;if(ac>>>0<(f[g>>2]|0)>>>0?(_b=b[ac>>0]|0,_b<<24>>24>-1):0){f[c>>2]=ac+1;Vd=_b&255}else{_b=NJb(c)|0;if((_b|0)>-1)Vd=_b;else{Wb=0;Sb=714;break a}}yJb(e,c,Vd);if((f[eb>>2]|0)<0){Sb=531;break a}if(!(Th[f[(f[Ud>>2]|0)+44>>2]&1023](Ud,c)|0)){Sb=531;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}case 138:{if((Tb&255|0)!=82){Ub=Tb;break b}f[C>>2]=f[C>>2]|256;_b=f[fb>>2]|0;if(!_b){ac=cuc(24)|0;W7a(ac);f[fb>>2]=ac;Wd=ac}else Wd=_b;_b=f[c>>2]|0;if(_b>>>0<(f[g>>2]|0)>>>0?(ac=b[_b>>0]|0,ac<<24>>24>-1):0){f[c>>2]=_b+1;Xd=ac&255}else{ac=NJb(c)|0;if((ac|0)>-1)Xd=ac;else{Wb=0;Sb=714;break a}}yJb(e,c,Xd);if((f[gb>>2]|0)<0){Sb=542;break a}if(!(Th[f[(f[Wd>>2]|0)+44>>2]&1023](Wd,c)|0)){Sb=542;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}case 139:{if((Tb&255|0)!=90){Ub=Tb;break b}f[C>>2]=f[C>>2]|512;ac=f[hb>>2]|0;if(!ac){_b=cuc(28)|0;hdb(_b);f[hb>>2]=_b;Yd=_b}else Yd=ac;ac=f[c>>2]|0;if(ac>>>0<(f[g>>2]|0)>>>0?(_b=b[ac>>0]|0,_b<<24>>24>-1):0){f[c>>2]=ac+1;Zd=_b&255}else{_b=NJb(c)|0;if((_b|0)>-1)Zd=_b;else{Wb=0;Sb=714;break a}}yJb(e,c,Zd);if((f[ib>>2]|0)<0){Sb=553;break a}if(!(Th[f[(f[Yd>>2]|0)+44>>2]&1023](Yd,c)|0)){Sb=553;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}case 140:{if((Tb&255|0)!=98){Ub=Tb;break b}f[C>>2]=f[C>>2]|1024;_b=f[jb>>2]|0;if(!_b){ac=cuc(20)|0;Abb(ac);f[jb>>2]=ac;_d=ac}else _d=_b;_b=f[c>>2]|0;if(_b>>>0<(f[g>>2]|0)>>>0?(ac=b[_b>>0]|0,ac<<24>>24>-1):0){f[c>>2]=_b+1;$d=ac&255}else{ac=NJb(c)|0;if((ac|0)>-1)$d=ac;else{Wb=0;Sb=714;break a}}yJb(e,c,$d);if((f[kb>>2]|0)<0){Sb=564;break a}if(!(Th[f[(f[_d>>2]|0)+44>>2]&1023](_d,c)|0)){Sb=564;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}case 141:{if((Tb&255|0)!=106){Ub=Tb;break b}f[C>>2]=f[C>>2]|2048;ac=f[lb>>2]|0;if(!ac){_b=cuc(28)|0;Scb(_b);f[lb>>2]=_b;ae=_b}else ae=ac;ac=f[c>>2]|0;if(ac>>>0<(f[g>>2]|0)>>>0?(_b=b[ac>>0]|0,_b<<24>>24>-1):0){f[c>>2]=ac+1;be=_b&255}else{_b=NJb(c)|0;if((_b|0)>-1)be=_b;else{Wb=0;Sb=714;break a}}yJb(e,c,be);if((f[mb>>2]|0)<0){Sb=575;break a}if(!(Th[f[(f[ae>>2]|0)+44>>2]&1023](ae,c)|0)){Sb=575;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}case 142:{if((Tb&255|0)!=114){Ub=Tb;break b}f[C>>2]=f[C>>2]|4096;_b=f[nb>>2]|0;if(!_b){ac=cuc(36)|0;m8a(ac);f[nb>>2]=ac;ce=ac}else ce=_b;_b=f[c>>2]|0;if(_b>>>0<(f[g>>2]|0)>>>0?(ac=b[_b>>0]|0,ac<<24>>24>-1):0){f[c>>2]=_b+1;de=ac&255}else{ac=NJb(c)|0;if((ac|0)>-1)de=ac;else{Wb=0;Sb=714;break a}}yJb(e,c,de);if((f[ob>>2]|0)<0){Sb=586;break a}if(!(Th[f[(f[ce>>2]|0)+44>>2]&1023](ce,c)|0)){Sb=586;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}case 143:{if((Tb&255|0)!=122){Ub=Tb;break b}f[C>>2]=f[C>>2]|8192;ac=f[pb>>2]|0;if(!ac){_b=cuc(32)|0;Cab(_b);f[pb>>2]=_b;ee=_b}else ee=ac;ac=f[c>>2]|0;if(ac>>>0<(f[g>>2]|0)>>>0?(_b=b[ac>>0]|0,_b<<24>>24>-1):0){f[c>>2]=ac+1;fe=_b&255}else{_b=NJb(c)|0;if((_b|0)>-1)fe=_b;else{Wb=0;Sb=714;break a}}yJb(e,c,fe);if((f[qb>>2]|0)<0){Sb=597;break a}if(!(Th[f[(f[ee>>2]|0)+44>>2]&1023](ee,c)|0)){Sb=597;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}case 144:{if((Tb&255|0)!=130){Ub=Tb;break b}f[C>>2]=f[C>>2]|16384;_b=f[rb>>2]|0;if(!_b){ac=cuc(32)|0;Acb(ac);f[rb>>2]=ac;ge=ac}else ge=_b;_b=f[c>>2]|0;if(_b>>>0<(f[g>>2]|0)>>>0?(ac=b[_b>>0]|0,ac<<24>>24>-1):0){f[c>>2]=_b+1;he=ac&255}else{ac=NJb(c)|0;if((ac|0)>-1)he=ac;else{Wb=0;Sb=714;break a}}yJb(e,c,he);if((f[sb>>2]|0)<0){Sb=608;break a}if(!(Th[f[(f[ge>>2]|0)+44>>2]&1023](ge,c)|0)){Sb=608;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}default:{Ub=Tb;break b}}if((Kb|0)<149)switch(Kb|0){case 145:{if((Tb&255|0)!=138){Ub=Tb;break b}f[C>>2]=f[C>>2]|32768;ac=f[tb>>2]|0;if(!ac){_b=cuc(20)|0;W9a(_b);f[tb>>2]=_b;ie=_b}else ie=ac;ac=f[c>>2]|0;if(ac>>>0<(f[g>>2]|0)>>>0?(_b=b[ac>>0]|0,_b<<24>>24>-1):0){f[c>>2]=ac+1;je=_b&255}else{_b=NJb(c)|0;if((_b|0)>-1)je=_b;else{Wb=0;Sb=714;break a}}yJb(e,c,je);if((f[ub>>2]|0)<0){Sb=619;break a}if(!(Th[f[(f[ie>>2]|0)+44>>2]&1023](ie,c)|0)){Sb=619;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}case 146:{if((Tb&255|0)!=146){Ub=Tb;break b}f[C>>2]=f[C>>2]|65536;_b=f[vb>>2]|0;if(!_b){ac=cuc(32)|0;l9a(ac);f[vb>>2]=ac;ke=ac}else ke=_b;_b=f[c>>2]|0;if(_b>>>0<(f[g>>2]|0)>>>0?(ac=b[_b>>0]|0,ac<<24>>24>-1):0){f[c>>2]=_b+1;le=ac&255}else{ac=NJb(c)|0;if((ac|0)>-1)le=ac;else{Wb=0;Sb=714;break a}}yJb(e,c,le);if((f[wb>>2]|0)<0){Sb=630;break a}if(!(Th[f[(f[ke>>2]|0)+44>>2]&1023](ke,c)|0)){Sb=630;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}case 147:{if((Tb&255|0)!=154){Ub=Tb;break b}f[C>>2]=f[C>>2]|131072;ac=f[xb>>2]|0;if(!ac){_b=cuc(52)|0;Adb(_b);f[xb>>2]=_b;me=_b}else me=ac;ac=f[c>>2]|0;if(ac>>>0<(f[g>>2]|0)>>>0?(_b=b[ac>>0]|0,_b<<24>>24>-1):0){f[c>>2]=ac+1;ne=_b&255}else{_b=NJb(c)|0;if((_b|0)>-1)ne=_b;else{Wb=0;Sb=714;break a}}yJb(e,c,ne);if((f[yb>>2]|0)<0){Sb=641;break a}if(!(Th[f[(f[me>>2]|0)+44>>2]&1023](me,c)|0)){Sb=641;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}case 148:{if((Tb&255|0)!=162){Ub=Tb;break b}f[C>>2]=f[C>>2]|262144;_b=f[zb>>2]|0;if(!_b){ac=cuc(28)|0;Cdb(ac);f[zb>>2]=ac;oe=ac}else oe=_b;_b=f[c>>2]|0;if(_b>>>0<(f[g>>2]|0)>>>0?(ac=b[_b>>0]|0,ac<<24>>24>-1):0){f[c>>2]=_b+1;pe=ac&255}else{ac=NJb(c)|0;if((ac|0)>-1)pe=ac;else{Wb=0;Sb=714;break a}}yJb(e,c,pe);if((f[Ab>>2]|0)<0){Sb=652;break a}if(!(Th[f[(f[oe>>2]|0)+44>>2]&1023](oe,c)|0)){Sb=652;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}default:{Ub=Tb;break b}}if((Kb|0)<201)switch(Kb|0){case 149:{if((Tb&255|0)!=170){Ub=Tb;break b}f[C>>2]=f[C>>2]|524288;ac=f[Bb>>2]|0;if(!ac){_b=cuc(28)|0;Ddb(_b);f[Bb>>2]=_b;qe=_b}else qe=ac;ac=f[c>>2]|0;if(ac>>>0<(f[g>>2]|0)>>>0?(_b=b[ac>>0]|0,_b<<24>>24>-1):0){f[c>>2]=ac+1;re=_b&255}else{_b=NJb(c)|0;if((_b|0)>-1)re=_b;else{Wb=0;Sb=714;break a}}yJb(e,c,re);if((f[Cb>>2]|0)<0){Sb=663;break a}if(!(Th[f[(f[qe>>2]|0)+44>>2]&1023](qe,c)|0)){Sb=663;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}case 150:{if((Tb&255|0)!=178){Ub=Tb;break b}f[C>>2]=f[C>>2]|1048576;_b=f[Db>>2]|0;if(!_b){ac=cuc(128)|0;Fdb(ac);f[Db>>2]=ac;se=ac}else se=_b;_b=f[c>>2]|0;if(_b>>>0<(f[g>>2]|0)>>>0?(ac=b[_b>>0]|0,ac<<24>>24>-1):0){f[c>>2]=_b+1;te=ac&255}else{ac=NJb(c)|0;if((ac|0)>-1)te=ac;else{Wb=0;Sb=714;break a}}yJb(e,c,te);if((f[Eb>>2]|0)<0){Sb=674;break a}if(!(Th[f[(f[se>>2]|0)+44>>2]&1023](se,c)|0)){Sb=674;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}default:{Ub=Tb;break b}}if((Kb|0)<10002){switch(Kb|0){case 201:break;default:{Ub=Tb;break b}}if((Tb&255|0)!=74){Ub=Tb;break}f[C>>2]=f[C>>2]|2097152;ac=f[Fb>>2]|0;if(!ac){_b=cuc(64)|0;EWa(_b);f[Fb>>2]=_b;ue=_b}else ue=ac;ac=f[c>>2]|0;if(ac>>>0<(f[g>>2]|0)>>>0?(_b=b[ac>>0]|0,_b<<24>>24>-1):0){f[c>>2]=ac+1;ve=_b&255}else{_b=NJb(c)|0;if((_b|0)>-1)ve=_b;else{Wb=0;Sb=714;break a}}yJb(e,c,ve);if((f[Gb>>2]|0)<0){Sb=685;break a}if(!(Th[f[(f[ue>>2]|0)+44>>2]&1023](ue,c)|0)){Sb=685;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}}if((Kb|0)<8266711){switch(Kb|0){case 10002:break;default:{Ub=Tb;break b}}if((Tb&255|0)!=146){Ub=Tb;break}f[C>>2]=f[C>>2]|4194304;_b=f[Hb>>2]|0;if(!_b){ac=cuc(28)|0;lWa(ac);f[Hb>>2]=ac;we=ac}else we=_b;_b=f[c>>2]|0;if(_b>>>0<(f[g>>2]|0)>>>0?(ac=b[_b>>0]|0,ac<<24>>24>-1):0){f[c>>2]=_b+1;xe=ac&255}else{ac=NJb(c)|0;if((ac|0)>-1)xe=ac;else{Wb=0;Sb=714;break a}}yJb(e,c,xe);if((f[Ib>>2]|0)<0){Sb=696;break a}if(!(Th[f[(f[we>>2]|0)+44>>2]&1023](we,c)|0)){Sb=696;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}}else{switch(Kb|0){case 8266711:break;default:{Ub=Tb;break b}}if((Tb&255|0)!=186){Ub=Tb;break}f[C>>2]=f[C>>2]|8388608;ac=f[Jb>>2]|0;if(!ac){_b=cuc(28)|0;VWa(_b);f[Jb>>2]=_b;ye=_b}else ye=ac;ac=f[c>>2]|0;if(ac>>>0<(f[g>>2]|0)>>>0?(_b=b[ac>>0]|0,_b<<24>>24>-1):0){f[c>>2]=ac+1;ze=_b&255}else{_b=NJb(c)|0;if((_b|0)>-1)ze=_b;else{Wb=0;Sb=714;break a}}yJb(e,c,ze);if((f[a>>2]|0)<0){Sb=707;break a}if(!(Th[f[(f[ye>>2]|0)+44>>2]&1023](ye,c)|0)){Sb=707;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}}}while(0);if(!Ub){Wb=1;Sb=714;break}_b=f[E>>2]|0;if(!(_b&1))Ae=OOa(E)|0;else Ae=_b&-2;if(!(xbc(c,Ub,Ae)|0)){Wb=0;Sb=714;break}}switch(Sb|0){case 37:{Wb=0;u=d;return Wb|0}case 58:{Wb=0;u=d;return Wb|0}case 67:{Wb=0;u=d;return Wb|0}case 76:{Wb=0;u=d;return Wb|0}case 85:{Wb=0;u=d;return Wb|0}case 124:{Wb=0;u=d;return Wb|0}case 135:{Wb=0;u=d;return Wb|0}case 146:{Wb=0;u=d;return Wb|0}case 157:{Wb=0;u=d;return Wb|0}case 168:{Wb=0;u=d;return Wb|0}case 179:{Wb=0;u=d;return Wb|0}case 190:{Wb=0;u=d;return Wb|0}case 201:{Wb=0;u=d;return Wb|0}case 212:{Wb=0;u=d;return Wb|0}case 223:{Wb=0;u=d;return Wb|0}case 234:{Wb=0;u=d;return Wb|0}case 245:{Wb=0;u=d;return Wb|0}case 256:{Wb=0;u=d;return Wb|0}case 267:{Wb=0;u=d;return Wb|0}case 278:{Wb=0;u=d;return Wb|0}case 289:{Wb=0;u=d;return Wb|0}case 300:{Wb=0;u=d;return Wb|0}case 311:{Wb=0;u=d;return Wb|0}case 322:{Wb=0;u=d;return Wb|0}case 333:{Wb=0;u=d;return Wb|0}case 344:{Wb=0;u=d;return Wb|0}case 355:{Wb=0;u=d;return Wb|0}case 366:{Wb=0;u=d;return Wb|0}case 377:{Wb=0;u=d;return Wb|0}case 388:{Wb=0;u=d;return Wb|0}case 399:{Wb=0;u=d;return Wb|0}case 410:{Wb=0;u=d;return Wb|0}case 421:{Wb=0;u=d;return Wb|0}case 432:{Wb=0;u=d;return Wb|0}case 443:{Wb=0;u=d;return Wb|0}case 454:{Wb=0;u=d;return Wb|0}case 465:{Wb=0;u=d;return Wb|0}case 476:{Wb=0;u=d;return Wb|0}case 487:{Wb=0;u=d;return Wb|0}case 498:{Wb=0;u=d;return Wb|0}case 509:{Wb=0;u=d;return Wb|0}case 520:{Wb=0;u=d;return Wb|0}case 531:{Wb=0;u=d;return Wb|0}case 542:{Wb=0;u=d;return Wb|0}case 553:{Wb=0;u=d;return Wb|0}case 564:{Wb=0;u=d;return Wb|0}case 575:{Wb=0;u=d;return Wb|0}case 586:{Wb=0;u=d;return Wb|0}case 597:{Wb=0;u=d;return Wb|0}case 608:{Wb=0;u=d;return Wb|0}case 619:{Wb=0;u=d;return Wb|0}case 630:{Wb=0;u=d;return Wb|0}case 641:{Wb=0;u=d;return Wb|0}case 652:{Wb=0;u=d;return Wb|0}case 663:{Wb=0;u=d;return Wb|0}case 674:{Wb=0;u=d;return Wb|0}case 685:{Wb=0;u=d;return Wb|0}case 696:{Wb=0;u=d;return Wb|0}case 707:{Wb=0;u=d;return Wb|0}case 714:{u=d;return Wb|0}}return 0}function qdb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0;c=f[a+4>>2]|0;if(!(c&1))d=0;else d=Dbc(c&-2)|0;c=f[a+20>>2]|0;e=c+d|0;if((c|0)>0){d=f[a+28>>2]|0;g=0;h=e;while(1){i=f[d+4+(g<<2)>>2]|0;j=b[i+11>>0]|0;k=j<<24>>24<0?f[i+4>>2]|0:j&255;j=k+h+((((($(k|1|0)|0)^31)*9|0)+73|0)>>>6)|0;g=g+1|0;if((g|0)==(c|0)){l=j;break}else h=j}}else l=e;e=f[a+36>>2]|0;h=e+l|0;if((e|0)>0){l=f[a+44>>2]|0;c=0;g=h;while(1){d=f[l+4+(c<<2)>>2]|0;j=b[d+11>>0]|0;k=j<<24>>24<0?f[d+4>>2]|0:j&255;j=k+g+((((($(k|1|0)|0)^31)*9|0)+73|0)>>>6)|0;c=c+1|0;if((c|0)==(e|0)){m=j;break}else g=j}}else m=h;h=f[a+48>>2]|0;g=f[a+64>>2]|0;e=h+m+(h<<2)+g|0;if(!g)n=e;else{h=a+72|0;m=0;c=e;while(1){e=f[(f[h>>2]|0)+4+(m<<2)>>2]|0;l=di[f[(f[e>>2]|0)+48>>2]&1023](e)|0;e=l+c+((((($(l|1|0)|0)^31)*9|0)+73|0)>>>6)|0;m=m+1|0;if((m|0)==(g|0)){n=e;break}else c=e}}c=f[a+80>>2]|0;g=c+n|0;if(!c)o=g;else{n=a+88|0;m=0;h=g;while(1){g=f[(f[n>>2]|0)+4+(m<<2)>>2]|0;e=di[f[(f[g>>2]|0)+48>>2]&1023](g)|0;g=e+h+((((($(e|1|0)|0)^31)*9|0)+73|0)>>>6)|0;m=m+1|0;if((m|0)==(c|0)){o=g;break}else h=g}}h=f[a+96>>2]|0;c=h+o|0;if(!h)p=c;else{o=a+104|0;m=0;n=c;while(1){c=f[(f[o>>2]|0)+4+(m<<2)>>2]|0;g=di[f[(f[c>>2]|0)+48>>2]&1023](c)|0;c=g+n+((((($(g|1|0)|0)^31)*9|0)+73|0)>>>6)|0;m=m+1|0;if((m|0)==(h|0)){p=c;break}else n=c}}n=f[a+112>>2]|0;h=n+p|0;if(!n)q=h;else{p=a+120|0;m=0;o=h;while(1){h=f[(f[p>>2]|0)+4+(m<<2)>>2]|0;c=di[f[(f[h>>2]|0)+48>>2]&1023](h)|0;h=c+o+((((($(c|1|0)|0)^31)*9|0)+73|0)>>>6)|0;m=m+1|0;if((m|0)==(n|0)){q=h;break}else o=h}}o=(f[a+124>>2]<<1)+q|0;q=a+8|0;n=f[q>>2]|0;if(n&255){if(!(n&1))r=o;else{m=f[a+136>>2]|0;p=b[m+11>>0]|0;h=p<<24>>24<0?f[m+4>>2]|0:p&255;r=o+1+h+((((($(h|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(n&2))s=r;else{h=f[a+140>>2]|0;p=b[h+11>>0]|0;m=p<<24>>24<0?f[h+4>>2]|0:p&255;s=r+1+m+((((($(m|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(n&4)){t=s;u=n}else{m=f[a+144>>2]|0;r=di[f[(f[m>>2]|0)+48>>2]&1023](m)|0;m=s+2+r+((((($(r|1|0)|0)^31)*9|0)+73|0)>>>6)|0;t=m;u=f[q>>2]|0}if(!(u&8)){v=t;w=u}else{u=f[a+148>>2]|0;m=di[f[(f[u>>2]|0)+48>>2]&1023](u)|0;u=t+2+m+((((($(m|1|0)|0)^31)*9|0)+73|0)>>>6)|0;v=u;w=f[q>>2]|0}if(!(w&16)){x=v;y=w}else{w=f[a+152>>2]|0;u=di[f[(f[w>>2]|0)+48>>2]&1023](w)|0;w=v+2+u+((((($(u|1|0)|0)^31)*9|0)+73|0)>>>6)|0;x=w;y=f[q>>2]|0}if(!(y&32)){z=x;A=y}else{y=f[a+156>>2]|0;w=di[f[(f[y>>2]|0)+48>>2]&1023](y)|0;y=x+2+w+((((($(w|1|0)|0)^31)*9|0)+73|0)>>>6)|0;z=y;A=f[q>>2]|0}if(!(A&64)){B=z;C=A}else{A=f[a+160>>2]|0;y=di[f[(f[A>>2]|0)+48>>2]&1023](A)|0;A=z+2+y+((((($(y|1|0)|0)^31)*9|0)+73|0)>>>6)|0;B=A;C=f[q>>2]|0}if(!(C&128)){D=B;E=C}else{C=f[a+164>>2]|0;A=di[f[(f[C>>2]|0)+48>>2]&1023](C)|0;C=B+2+A+((((($(A|1|0)|0)^31)*9|0)+73|0)>>>6)|0;D=C;E=f[q>>2]|0}}else{D=o;E=n}if(E&65280){if(!(E&256)){F=D;G=E}else{n=f[a+168>>2]|0;o=di[f[(f[n>>2]|0)+48>>2]&1023](n)|0;n=D+2+o+((((($(o|1|0)|0)^31)*9|0)+73|0)>>>6)|0;F=n;G=f[q>>2]|0}if(!(G&512)){H=F;I=G}else{G=f[a+172>>2]|0;n=di[f[(f[G>>2]|0)+48>>2]&1023](G)|0;G=F+2+n+((((($(n|1|0)|0)^31)*9|0)+73|0)>>>6)|0;H=G;I=f[q>>2]|0}if(!(I&1024)){J=H;K=I}else{I=f[a+176>>2]|0;G=di[f[(f[I>>2]|0)+48>>2]&1023](I)|0;I=H+2+G+((((($(G|1|0)|0)^31)*9|0)+73|0)>>>6)|0;J=I;K=f[q>>2]|0}if(!(K&2048)){L=J;M=K}else{K=f[a+180>>2]|0;I=di[f[(f[K>>2]|0)+48>>2]&1023](K)|0;K=J+2+I+((((($(I|1|0)|0)^31)*9|0)+73|0)>>>6)|0;L=K;M=f[q>>2]|0}if(!(M&4096)){N=L;O=M}else{M=f[a+184>>2]|0;K=di[f[(f[M>>2]|0)+48>>2]&1023](M)|0;M=L+2+K+((((($(K|1|0)|0)^31)*9|0)+73|0)>>>6)|0;N=M;O=f[q>>2]|0}if(!(O&8192)){P=N;Q=O}else{O=f[a+188>>2]|0;M=di[f[(f[O>>2]|0)+48>>2]&1023](O)|0;O=N+2+M+((((($(M|1|0)|0)^31)*9|0)+73|0)>>>6)|0;P=O;Q=f[q>>2]|0}if(!(Q&16384)){R=P;S=Q}else{Q=f[a+192>>2]|0;O=di[f[(f[Q>>2]|0)+48>>2]&1023](Q)|0;Q=P+2+O+((((($(O|1|0)|0)^31)*9|0)+73|0)>>>6)|0;R=Q;S=f[q>>2]|0}if(!(S&32768)){T=R;U=S}else{S=f[a+196>>2]|0;Q=di[f[(f[S>>2]|0)+48>>2]&1023](S)|0;S=R+2+Q+((((($(Q|1|0)|0)^31)*9|0)+73|0)>>>6)|0;T=S;U=f[q>>2]|0}}else{T=D;U=E}if(U&16711680){if(!(U&65536)){V=T;W=U}else{E=f[a+200>>2]|0;D=di[f[(f[E>>2]|0)+48>>2]&1023](E)|0;E=T+2+D+((((($(D|1|0)|0)^31)*9|0)+73|0)>>>6)|0;V=E;W=f[q>>2]|0}if(!(W&131072)){X=V;Y=W}else{W=f[a+204>>2]|0;E=di[f[(f[W>>2]|0)+48>>2]&1023](W)|0;W=V+2+E+((((($(E|1|0)|0)^31)*9|0)+73|0)>>>6)|0;X=W;Y=f[q>>2]|0}if(!(Y&262144)){Z=X;_=Y}else{Y=f[a+208>>2]|0;W=di[f[(f[Y>>2]|0)+48>>2]&1023](Y)|0;Y=X+2+W+((((($(W|1|0)|0)^31)*9|0)+73|0)>>>6)|0;Z=Y;_=f[q>>2]|0}if(!(_&524288)){aa=Z;ba=_}else{_=f[a+212>>2]|0;Y=di[f[(f[_>>2]|0)+48>>2]&1023](_)|0;_=Z+2+Y+((((($(Y|1|0)|0)^31)*9|0)+73|0)>>>6)|0;aa=_;ba=f[q>>2]|0}if(!(ba&1048576)){ca=aa;da=ba}else{ba=f[a+216>>2]|0;_=di[f[(f[ba>>2]|0)+48>>2]&1023](ba)|0;ba=aa+2+_+((((($(_|1|0)|0)^31)*9|0)+73|0)>>>6)|0;ca=ba;da=f[q>>2]|0}if(!(da&2097152)){ea=ca;fa=da}else{da=f[a+220>>2]|0;ba=di[f[(f[da>>2]|0)+48>>2]&1023](da)|0;da=ca+2+ba+((((($(ba|1|0)|0)^31)*9|0)+73|0)>>>6)|0;ea=da;fa=f[q>>2]|0}if(!(fa&4194304)){ga=ea;ha=fa}else{fa=f[a+224>>2]|0;da=di[f[(f[fa>>2]|0)+48>>2]&1023](fa)|0;fa=ea+2+da+((((($(da|1|0)|0)^31)*9|0)+73|0)>>>6)|0;ga=fa;ha=f[q>>2]|0}if(!(ha&8388608)){ia=ga;ja=ha}else{ha=f[a+228>>2]|0;fa=di[f[(f[ha>>2]|0)+48>>2]&1023](ha)|0;ha=ga+2+fa+((((($(fa|1|0)|0)^31)*9|0)+73|0)>>>6)|0;ia=ha;ja=f[q>>2]|0}}else{ia=T;ja=U}if(ja>>>0>16777215){if(!(ja&16777216)){ka=ia;la=ja}else{ja=f[a+232>>2]|0;U=di[f[(f[ja>>2]|0)+48>>2]&1023](ja)|0;ja=ia+2+U+((((($(U|1|0)|0)^31)*9|0)+73|0)>>>6)|0;ka=ja;la=f[q>>2]|0}if(!(la&33554432)){ma=ka;na=la}else{la=f[a+236>>2]|0;ja=di[f[(f[la>>2]|0)+48>>2]&1023](la)|0;la=ka+2+ja+((((($(ja|1|0)|0)^31)*9|0)+73|0)>>>6)|0;ma=la;na=f[q>>2]|0}if(!(na&67108864)){oa=ma;pa=na}else{na=f[a+240>>2]|0;la=di[f[(f[na>>2]|0)+48>>2]&1023](na)|0;na=ma+2+la+((((($(la|1|0)|0)^31)*9|0)+73|0)>>>6)|0;oa=na;pa=f[q>>2]|0}if(!(pa&134217728)){qa=oa;ra=pa}else{pa=f[a+244>>2]|0;na=di[f[(f[pa>>2]|0)+48>>2]&1023](pa)|0;pa=oa+2+na+((((($(na|1|0)|0)^31)*9|0)+73|0)>>>6)|0;qa=pa;ra=f[q>>2]|0}if(!(ra&268435456)){sa=qa;ta=ra}else{ra=f[a+248>>2]|0;pa=di[f[(f[ra>>2]|0)+48>>2]&1023](ra)|0;ra=qa+2+pa+((((($(pa|1|0)|0)^31)*9|0)+73|0)>>>6)|0;sa=ra;ta=f[q>>2]|0}if(!(ta&536870912)){ua=sa;va=ta}else{ta=f[a+252>>2]|0;ra=di[f[(f[ta>>2]|0)+48>>2]&1023](ta)|0;ta=sa+2+ra+((((($(ra|1|0)|0)^31)*9|0)+73|0)>>>6)|0;ua=ta;va=f[q>>2]|0}if(!(va&1073741824)){wa=ua;xa=va}else{va=f[a+256>>2]|0;ta=di[f[(f[va>>2]|0)+48>>2]&1023](va)|0;va=ua+2+ta+((((($(ta|1|0)|0)^31)*9|0)+73|0)>>>6)|0;wa=va;xa=f[q>>2]|0}if((xa|0)<0){xa=f[a+260>>2]|0;q=di[f[(f[xa>>2]|0)+48>>2]&1023](xa)|0;ya=wa+2+q+((((($(q|1|0)|0)^31)*9|0)+73|0)>>>6)|0}else ya=wa}else ya=ia;ia=a+12|0;wa=f[ia>>2]|0;do if(!(wa&255)){za=ya;Aa=wa}else{if(!(wa&1)){Ba=ya;Ca=wa}else{q=f[a+264>>2]|0;xa=di[f[(f[q>>2]|0)+48>>2]&1023](q)|0;q=ya+2+xa+((((($(xa|1|0)|0)^31)*9|0)+73|0)>>>6)|0;Ba=q;Ca=f[ia>>2]|0}if(!(Ca&2)){Da=Ba;Ea=Ca}else{q=f[a+268>>2]|0;xa=di[f[(f[q>>2]|0)+48>>2]&1023](q)|0;q=Ba+2+xa+((((($(xa|1|0)|0)^31)*9|0)+73|0)>>>6)|0;Da=q;Ea=f[ia>>2]|0}if(!(Ea&4)){Fa=Da;Ga=Ea}else{q=f[a+272>>2]|0;xa=di[f[(f[q>>2]|0)+48>>2]&1023](q)|0;q=Da+2+xa+((((($(xa|1|0)|0)^31)*9|0)+73|0)>>>6)|0;Fa=q;Ga=f[ia>>2]|0}if(!(Ga&8)){Ha=Fa;Ia=Ga}else{q=f[a+276>>2]|0;xa=di[f[(f[q>>2]|0)+48>>2]&1023](q)|0;q=Fa+2+xa+((((($(xa|1|0)|0)^31)*9|0)+73|0)>>>6)|0;Ha=q;Ia=f[ia>>2]|0}if(!(Ia&16)){Ja=Ha;Ka=Ia}else{q=f[a+280>>2]|0;xa=di[f[(f[q>>2]|0)+48>>2]&1023](q)|0;q=Ha+2+xa+((((($(xa|1|0)|0)^31)*9|0)+73|0)>>>6)|0;Ja=q;Ka=f[ia>>2]|0}if(!(Ka&32)){La=Ja;Ma=Ka}else{q=f[a+284>>2]|0;xa=di[f[(f[q>>2]|0)+48>>2]&1023](q)|0;q=Ja+2+xa+((((($(xa|1|0)|0)^31)*9|0)+73|0)>>>6)|0;La=q;Ma=f[ia>>2]|0}if(!(Ma&64)){Na=La;Oa=Ma}else{q=f[a+288>>2]|0;xa=di[f[(f[q>>2]|0)+48>>2]&1023](q)|0;q=La+2+xa+((((($(xa|1|0)|0)^31)*9|0)+73|0)>>>6)|0;Na=q;Oa=f[ia>>2]|0}if(!(Oa&128)){za=Na;Aa=Oa;break}q=f[a+292>>2]|0;xa=di[f[(f[q>>2]|0)+48>>2]&1023](q)|0;q=Na+2+xa+((((($(xa|1|0)|0)^31)*9|0)+73|0)>>>6)|0;za=q;Aa=f[ia>>2]|0}while(0);do if(!(Aa&65280)){Pa=za;Qa=Aa}else{if(!(Aa&256)){Ra=za;Sa=Aa}else{Na=f[a+296>>2]|0;Oa=di[f[(f[Na>>2]|0)+48>>2]&1023](Na)|0;Na=za+2+Oa+((((($(Oa|1|0)|0)^31)*9|0)+73|0)>>>6)|0;Ra=Na;Sa=f[ia>>2]|0}if(!(Sa&512)){Ta=Ra;Ua=Sa}else{Na=f[a+300>>2]|0;Oa=di[f[(f[Na>>2]|0)+48>>2]&1023](Na)|0;Na=Ra+2+Oa+((((($(Oa|1|0)|0)^31)*9|0)+73|0)>>>6)|0;Ta=Na;Ua=f[ia>>2]|0}if(!(Ua&1024)){Va=Ta;Wa=Ua}else{Na=f[a+304>>2]|0;Oa=di[f[(f[Na>>2]|0)+48>>2]&1023](Na)|0;Na=Ta+2+Oa+((((($(Oa|1|0)|0)^31)*9|0)+73|0)>>>6)|0;Va=Na;Wa=f[ia>>2]|0}if(!(Wa&2048)){Xa=Va;Ya=Wa}else{Na=f[a+308>>2]|0;Oa=di[f[(f[Na>>2]|0)+48>>2]&1023](Na)|0;Na=Va+2+Oa+((((($(Oa|1|0)|0)^31)*9|0)+73|0)>>>6)|0;Xa=Na;Ya=f[ia>>2]|0}if(!(Ya&4096)){Za=Xa;_a=Ya}else{Na=f[a+312>>2]|0;Oa=di[f[(f[Na>>2]|0)+48>>2]&1023](Na)|0;Na=Xa+2+Oa+((((($(Oa|1|0)|0)^31)*9|0)+73|0)>>>6)|0;Za=Na;_a=f[ia>>2]|0}if(!(_a&8192)){$a=Za;ab=_a}else{Na=f[a+316>>2]|0;Oa=di[f[(f[Na>>2]|0)+48>>2]&1023](Na)|0;Na=Za+2+Oa+((((($(Oa|1|0)|0)^31)*9|0)+73|0)>>>6)|0;$a=Na;ab=f[ia>>2]|0}if(!(ab&16384)){bb=$a;cb=ab}else{Na=f[a+320>>2]|0;Oa=di[f[(f[Na>>2]|0)+48>>2]&1023](Na)|0;Na=$a+2+Oa+((((($(Oa|1|0)|0)^31)*9|0)+73|0)>>>6)|0;bb=Na;cb=f[ia>>2]|0}if(!(cb&32768)){Pa=bb;Qa=cb;break}Na=f[a+324>>2]|0;Oa=di[f[(f[Na>>2]|0)+48>>2]&1023](Na)|0;Na=bb+2+Oa+((((($(Oa|1|0)|0)^31)*9|0)+73|0)>>>6)|0;Pa=Na;Qa=f[ia>>2]|0}while(0);do if(!(Qa&16711680)){db=Pa;eb=Qa}else{if(!(Qa&65536)){fb=Pa;gb=Qa}else{bb=f[a+328>>2]|0;cb=di[f[(f[bb>>2]|0)+48>>2]&1023](bb)|0;bb=Pa+2+cb+((((($(cb|1|0)|0)^31)*9|0)+73|0)>>>6)|0;fb=bb;gb=f[ia>>2]|0}if(!(gb&131072)){hb=fb;ib=gb}else{bb=f[a+332>>2]|0;cb=di[f[(f[bb>>2]|0)+48>>2]&1023](bb)|0;bb=fb+2+cb+((((($(cb|1|0)|0)^31)*9|0)+73|0)>>>6)|0;hb=bb;ib=f[ia>>2]|0}if(!(ib&262144)){jb=hb;kb=ib}else{bb=f[a+336>>2]|0;cb=di[f[(f[bb>>2]|0)+48>>2]&1023](bb)|0;bb=hb+2+cb+((((($(cb|1|0)|0)^31)*9|0)+73|0)>>>6)|0;jb=bb;kb=f[ia>>2]|0}if(!(kb&524288)){lb=jb;mb=kb}else{bb=f[a+340>>2]|0;cb=di[f[(f[bb>>2]|0)+48>>2]&1023](bb)|0;bb=jb+2+cb+((((($(cb|1|0)|0)^31)*9|0)+73|0)>>>6)|0;lb=bb;mb=f[ia>>2]|0}if(!(mb&1048576)){nb=lb;ob=mb}else{bb=f[a+344>>2]|0;cb=di[f[(f[bb>>2]|0)+48>>2]&1023](bb)|0;bb=lb+2+cb+((((($(cb|1|0)|0)^31)*9|0)+73|0)>>>6)|0;nb=bb;ob=f[ia>>2]|0}if(!(ob&2097152)){pb=nb;qb=ob}else{bb=f[a+348>>2]|0;cb=di[f[(f[bb>>2]|0)+48>>2]&1023](bb)|0;bb=nb+2+cb+((((($(cb|1|0)|0)^31)*9|0)+73|0)>>>6)|0;pb=bb;qb=f[ia>>2]|0}if(!(qb&4194304)){rb=pb;sb=qb}else{bb=f[a+352>>2]|0;cb=di[f[(f[bb>>2]|0)+48>>2]&1023](bb)|0;bb=pb+3+cb+((((($(cb|1|0)|0)^31)*9|0)+73|0)>>>6)|0;rb=bb;sb=f[ia>>2]|0}if(!(sb&8388608)){db=rb;eb=sb;break}bb=f[a+356>>2]|0;cb=di[f[(f[bb>>2]|0)+48>>2]&1023](bb)|0;bb=rb+4+cb+((((($(cb|1|0)|0)^31)*9|0)+73|0)>>>6)|0;db=bb;eb=f[ia>>2]|0}while(0);if(!(eb&16777216)){tb=db;ub=a+364|0;f[ub>>2]=tb;return tb|0}eb=f[a+360>>2]|0;if((eb|0)<0)vb=11;else vb=((((($(eb|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;tb=vb+db|0;ub=a+364|0;f[ub>>2]=tb;return tb|0}function rdb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0;d=a+8|0;e=f[d>>2]|0;if(e&1|0)VLb(1,f[a+136>>2]|0,c);if(e&2|0)VLb(2,f[a+140>>2]|0,c);e=f[a+20>>2]|0;if((e|0)>0){g=a+28|0;h=0;do{ULb(3,f[(f[g>>2]|0)+4+(h<<2)>>2]|0,c);h=h+1|0}while((h|0)!=(e|0))}e=f[a+36>>2]|0;if((e|0)>0){h=a+44|0;g=0;do{ULb(4,f[(f[h>>2]|0)+4+(g<<2)>>2]|0,c);g=g+1|0}while((g|0)!=(e|0))}e=f[a+48>>2]|0;if((e|0)>0){g=a+56|0;h=0;do{QLb(5,+n[(f[g>>2]|0)+4+(h<<2)>>2],c);h=h+1|0}while((h|0)!=(e|0))}e=f[a+64>>2]|0;if(e|0){h=a+72|0;g=0;do{_Lb(6,f[(f[h>>2]|0)+4+(g<<2)>>2]|0,c);g=g+1|0}while((g|0)!=(e|0))}e=f[a+80>>2]|0;if(e|0){g=a+88|0;h=0;do{_Lb(7,f[(f[g>>2]|0)+4+(h<<2)>>2]|0,c);h=h+1|0}while((h|0)!=(e|0))}e=f[a+96>>2]|0;if(e|0){h=a+104|0;g=0;do{_Lb(8,f[(f[h>>2]|0)+4+(g<<2)>>2]|0,c);g=g+1|0}while((g|0)!=(e|0))}e=f[a+112>>2]|0;if(e|0){g=a+120|0;h=0;do{_Lb(9,f[(f[g>>2]|0)+4+(h<<2)>>2]|0,c);h=h+1|0}while((h|0)!=(e|0))}e=a+12|0;if(f[e>>2]&16777216|0)TLb(10,f[a+360>>2]|0,c);h=f[a+124>>2]|0;if((h|0)>0){g=a+132|0;i=0;do{SLb(11,(b[(f[g>>2]|0)+4+i>>0]|0)!=0,c);i=i+1|0}while((i|0)!=(h|0))}h=f[d>>2]|0;if(h&4|0)_Lb(100,f[a+144>>2]|0,c);if(h&8|0)_Lb(101,f[a+148>>2]|0,c);if(h&16|0)_Lb(102,f[a+152>>2]|0,c);if(h&32|0)_Lb(103,f[a+156>>2]|0,c);if(h&64|0)_Lb(104,f[a+160>>2]|0,c);if(h&128|0)_Lb(105,f[a+164>>2]|0,c);if(h&256|0)_Lb(106,f[a+168>>2]|0,c);if(h&512|0)_Lb(107,f[a+172>>2]|0,c);if(h&1024|0)_Lb(108,f[a+176>>2]|0,c);if(h&2048|0)_Lb(109,f[a+180>>2]|0,c);if(h&4096|0)_Lb(110,f[a+184>>2]|0,c);if(h&8192|0)_Lb(111,f[a+188>>2]|0,c);if(h&16384|0)_Lb(112,f[a+192>>2]|0,c);if(h&32768|0)_Lb(113,f[a+196>>2]|0,c);if(h&65536|0)_Lb(114,f[a+200>>2]|0,c);if(h&131072|0)_Lb(115,f[a+204>>2]|0,c);if(h&262144|0)_Lb(116,f[a+208>>2]|0,c);if(h&524288|0)_Lb(117,f[a+212>>2]|0,c);if(h&1048576|0)_Lb(118,f[a+216>>2]|0,c);if(h&2097152|0)_Lb(119,f[a+220>>2]|0,c);if(h&4194304|0)_Lb(120,f[a+224>>2]|0,c);if(h&8388608|0)_Lb(121,f[a+228>>2]|0,c);if(h&16777216|0)_Lb(122,f[a+232>>2]|0,c);if(h&33554432|0)_Lb(123,f[a+236>>2]|0,c);if(h&67108864|0)_Lb(124,f[a+240>>2]|0,c);if(h&134217728|0)_Lb(125,f[a+244>>2]|0,c);if(h&268435456|0)_Lb(126,f[a+248>>2]|0,c);if(h&536870912|0)_Lb(127,f[a+252>>2]|0,c);if(h&1073741824|0)_Lb(128,f[a+256>>2]|0,c);if((h|0)<0)_Lb(129,f[a+260>>2]|0,c);h=f[e>>2]|0;if(h&1|0)_Lb(130,f[a+264>>2]|0,c);if(h&2|0)_Lb(131,f[a+268>>2]|0,c);if(h&4|0)_Lb(132,f[a+272>>2]|0,c);if(h&8|0)_Lb(133,f[a+276>>2]|0,c);if(h&16|0)_Lb(134,f[a+280>>2]|0,c);if(h&32|0)_Lb(135,f[a+284>>2]|0,c);if(h&64|0)_Lb(136,f[a+288>>2]|0,c);if(h&128|0)_Lb(137,f[a+292>>2]|0,c);if(h&256|0)_Lb(138,f[a+296>>2]|0,c);if(h&512|0)_Lb(139,f[a+300>>2]|0,c);if(h&1024|0)_Lb(140,f[a+304>>2]|0,c);if(h&2048|0)_Lb(141,f[a+308>>2]|0,c);if(h&4096|0)_Lb(142,f[a+312>>2]|0,c);if(h&8192|0)_Lb(143,f[a+316>>2]|0,c);if(h&16384|0)_Lb(144,f[a+320>>2]|0,c);if(h&32768|0)_Lb(145,f[a+324>>2]|0,c);if(h&65536|0)_Lb(146,f[a+328>>2]|0,c);if(h&131072|0)_Lb(147,f[a+332>>2]|0,c);if(h&262144|0)_Lb(148,f[a+336>>2]|0,c);if(h&524288|0)_Lb(149,f[a+340>>2]|0,c);if(h&1048576|0)_Lb(150,f[a+344>>2]|0,c);if(h&2097152|0)_Lb(201,f[a+348>>2]|0,c);if(h&4194304|0)_Lb(10002,f[a+352>>2]|0,c);if(h&8388608|0)_Lb(8266711,f[a+356>>2]|0,c);h=f[a+4>>2]|0;if(!(h&1))return;Abc(h&-2,c);return}function sdb(a){a=a|0;return f[a+364>>2]|0}function tdb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0,qc=0,rc=0,sc=0,tc=0,uc=0,vc=0,wc=0,xc=0,yc=0,zc=0,Ac=0,Bc=0,Cc=0,Dc=0,Ec=0,Fc=0,Gc=0,Hc=0;e=a+8|0;g=f[e>>2]|0;if(!(g&1))h=d;else{i=f[a+136>>2]|0;b[d>>0]=10;h=XJb(i,d+1|0)|0}if(!(g&2))j=h;else{g=f[a+140>>2]|0;b[h>>0]=18;j=XJb(g,h+1|0)|0}h=f[a+20>>2]|0;if((h|0)>0){g=a+28|0;d=0;i=j;while(1){k=f[(f[g>>2]|0)+4+(d<<2)>>2]|0;b[i>>0]=26;l=XJb(k,i+1|0)|0;d=d+1|0;if((d|0)==(h|0)){m=l;break}else i=l}}else m=j;j=f[a+36>>2]|0;if((j|0)>0){i=a+44|0;h=0;d=m;while(1){g=f[(f[i>>2]|0)+4+(h<<2)>>2]|0;b[d>>0]=34;l=XJb(g,d+1|0)|0;h=h+1|0;if((h|0)==(j|0)){n=l;break}else d=l}}else n=m;m=f[a+48>>2]|0;if(!m)o=n;else{d=f[a+56>>2]|0;j=0;h=n;while(1){n=f[d+4+(j<<2)>>2]|0;b[h>>0]=45;i=h+1|0;b[i>>0]=n;b[i+1>>0]=n>>8;b[i+2>>0]=n>>16;b[i+3>>0]=n>>24;n=h+5|0;j=j+1|0;if((j|0)>=(m|0)){o=n;break}else h=n}}h=f[a+64>>2]|0;if(!h)p=o;else{m=a+72|0;j=0;d=o;while(1){o=f[(f[m>>2]|0)+4+(j<<2)>>2]|0;b[d>>0]=50;n=d+1|0;i=di[f[(f[o>>2]|0)+60>>2]&1023](o)|0;if(i>>>0>127){l=i;g=n;while(1){b[g>>0]=l|128;k=l>>>7;q=g+1|0;if(l>>>0>16383){l=k;g=q}else{r=q;s=k;break}}}else{r=n;s=i}b[r>>0]=s;g=li[f[(f[o>>2]|0)+64>>2]&511](o,c,r+1|0)|0;j=j+1|0;if((j|0)==(h|0)){p=g;break}else d=g}}d=f[a+80>>2]|0;if(!d)t=p;else{h=a+88|0;j=0;r=p;while(1){p=f[(f[h>>2]|0)+4+(j<<2)>>2]|0;b[r>>0]=58;s=r+1|0;m=di[f[(f[p>>2]|0)+60>>2]&1023](p)|0;if(m>>>0>127){g=m;l=s;while(1){b[l>>0]=g|128;k=g>>>7;q=l+1|0;if(g>>>0>16383){g=k;l=q}else{u=q;v=k;break}}}else{u=s;v=m}b[u>>0]=v;l=li[f[(f[p>>2]|0)+64>>2]&511](p,c,u+1|0)|0;j=j+1|0;if((j|0)==(d|0)){t=l;break}else r=l}}r=f[a+96>>2]|0;if(!r)w=t;else{d=a+104|0;j=0;u=t;while(1){t=f[(f[d>>2]|0)+4+(j<<2)>>2]|0;b[u>>0]=66;v=u+1|0;h=di[f[(f[t>>2]|0)+60>>2]&1023](t)|0;if(h>>>0>127){l=h;g=v;while(1){b[g>>0]=l|128;o=l>>>7;i=g+1|0;if(l>>>0>16383){l=o;g=i}else{x=i;y=o;break}}}else{x=v;y=h}b[x>>0]=y;g=li[f[(f[t>>2]|0)+64>>2]&511](t,c,x+1|0)|0;j=j+1|0;if((j|0)==(r|0)){w=g;break}else u=g}}u=f[a+112>>2]|0;if(!u)z=w;else{r=a+120|0;j=0;x=w;while(1){w=f[(f[r>>2]|0)+4+(j<<2)>>2]|0;b[x>>0]=74;y=x+1|0;d=di[f[(f[w>>2]|0)+60>>2]&1023](w)|0;if(d>>>0>127){g=d;l=y;while(1){b[l>>0]=g|128;p=g>>>7;m=l+1|0;if(g>>>0>16383){g=p;l=m}else{A=m;B=p;break}}}else{A=y;B=d}b[A>>0]=B;l=li[f[(f[w>>2]|0)+64>>2]&511](w,c,A+1|0)|0;j=j+1|0;if((j|0)==(u|0)){z=l;break}else x=l}}x=a+12|0;if(!(f[x>>2]&16777216))C=z;else{u=f[a+360>>2]|0;b[z>>0]=80;j=z+1|0;z=u&255;if(u>>>0>127){A=j;B=z;r=u;l=((u|0)<0)<<31>>31;while(1){b[A>>0]=B|-128;u=r;r=pzc(r|0,l|0,7)|0;g=A+1|0;t=r&255;if(!(l>>>0>0|(l|0)==0&u>>>0>16383)){D=g;E=t;break}else{A=g;B=t;l=J}}}else{D=j;E=z}b[D>>0]=E;C=D+1|0}D=f[a+124>>2]|0;if(!D)F=C;else{E=f[a+132>>2]|0;z=0;j=C;while(1){C=b[E+4+z>>0]|0;b[j>>0]=88;b[j+1>>0]=C;C=j+2|0;z=z+1|0;if((z|0)>=(D|0)){F=C;break}else j=C}}j=f[e>>2]|0;if(!(j&4))G=F;else{e=f[a+144>>2]|0;b[F>>0]=-94;b[F+1>>0]=6;D=F+2|0;F=di[f[(f[e>>2]|0)+60>>2]&1023](e)|0;if(F>>>0>127){z=F;E=D;while(1){b[E>>0]=z|128;C=z>>>7;l=E+1|0;if(z>>>0>16383){z=C;E=l}else{H=l;I=C;break}}}else{H=D;I=F}b[H>>0]=I;G=li[f[(f[e>>2]|0)+64>>2]&511](e,c,H+1|0)|0}if(!(j&8))K=G;else{H=f[a+148>>2]|0;b[G>>0]=-86;b[G+1>>0]=6;e=G+2|0;G=di[f[(f[H>>2]|0)+60>>2]&1023](H)|0;if(G>>>0>127){I=G;F=e;while(1){b[F>>0]=I|128;D=I>>>7;E=F+1|0;if(I>>>0>16383){I=D;F=E}else{L=E;M=D;break}}}else{L=e;M=G}b[L>>0]=M;K=li[f[(f[H>>2]|0)+64>>2]&511](H,c,L+1|0)|0}if(!(j&16))N=K;else{L=f[a+152>>2]|0;b[K>>0]=-78;b[K+1>>0]=6;H=K+2|0;K=di[f[(f[L>>2]|0)+60>>2]&1023](L)|0;if(K>>>0>127){M=K;G=H;while(1){b[G>>0]=M|128;e=M>>>7;F=G+1|0;if(M>>>0>16383){M=e;G=F}else{O=F;P=e;break}}}else{O=H;P=K}b[O>>0]=P;N=li[f[(f[L>>2]|0)+64>>2]&511](L,c,O+1|0)|0}if(!(j&32))Q=N;else{O=f[a+156>>2]|0;b[N>>0]=-70;b[N+1>>0]=6;L=N+2|0;N=di[f[(f[O>>2]|0)+60>>2]&1023](O)|0;if(N>>>0>127){P=N;K=L;while(1){b[K>>0]=P|128;H=P>>>7;G=K+1|0;if(P>>>0>16383){P=H;K=G}else{R=G;S=H;break}}}else{R=L;S=N}b[R>>0]=S;Q=li[f[(f[O>>2]|0)+64>>2]&511](O,c,R+1|0)|0}if(!(j&64))T=Q;else{R=f[a+160>>2]|0;b[Q>>0]=-62;b[Q+1>>0]=6;O=Q+2|0;Q=di[f[(f[R>>2]|0)+60>>2]&1023](R)|0;if(Q>>>0>127){S=Q;N=O;while(1){b[N>>0]=S|128;L=S>>>7;K=N+1|0;if(S>>>0>16383){S=L;N=K}else{U=K;V=L;break}}}else{U=O;V=Q}b[U>>0]=V;T=li[f[(f[R>>2]|0)+64>>2]&511](R,c,U+1|0)|0}if(!(j&128))W=T;else{U=f[a+164>>2]|0;b[T>>0]=-54;b[T+1>>0]=6;R=T+2|0;T=di[f[(f[U>>2]|0)+60>>2]&1023](U)|0;if(T>>>0>127){V=T;Q=R;while(1){b[Q>>0]=V|128;O=V>>>7;N=Q+1|0;if(V>>>0>16383){V=O;Q=N}else{X=N;Y=O;break}}}else{X=R;Y=T}b[X>>0]=Y;W=li[f[(f[U>>2]|0)+64>>2]&511](U,c,X+1|0)|0}if(!(j&256))Z=W;else{X=f[a+168>>2]|0;b[W>>0]=-46;b[W+1>>0]=6;U=W+2|0;W=di[f[(f[X>>2]|0)+60>>2]&1023](X)|0;if(W>>>0>127){Y=W;T=U;while(1){b[T>>0]=Y|128;R=Y>>>7;Q=T+1|0;if(Y>>>0>16383){Y=R;T=Q}else{_=Q;$=R;break}}}else{_=U;$=W}b[_>>0]=$;Z=li[f[(f[X>>2]|0)+64>>2]&511](X,c,_+1|0)|0}if(!(j&512))aa=Z;else{_=f[a+172>>2]|0;b[Z>>0]=-38;b[Z+1>>0]=6;X=Z+2|0;Z=di[f[(f[_>>2]|0)+60>>2]&1023](_)|0;if(Z>>>0>127){$=Z;W=X;while(1){b[W>>0]=$|128;U=$>>>7;T=W+1|0;if($>>>0>16383){$=U;W=T}else{ba=T;ca=U;break}}}else{ba=X;ca=Z}b[ba>>0]=ca;aa=li[f[(f[_>>2]|0)+64>>2]&511](_,c,ba+1|0)|0}if(!(j&1024))da=aa;else{ba=f[a+176>>2]|0;b[aa>>0]=-30;b[aa+1>>0]=6;_=aa+2|0;aa=di[f[(f[ba>>2]|0)+60>>2]&1023](ba)|0;if(aa>>>0>127){ca=aa;Z=_;while(1){b[Z>>0]=ca|128;X=ca>>>7;W=Z+1|0;if(ca>>>0>16383){ca=X;Z=W}else{ea=W;fa=X;break}}}else{ea=_;fa=aa}b[ea>>0]=fa;da=li[f[(f[ba>>2]|0)+64>>2]&511](ba,c,ea+1|0)|0}if(!(j&2048))ga=da;else{ea=f[a+180>>2]|0;b[da>>0]=-22;b[da+1>>0]=6;ba=da+2|0;da=di[f[(f[ea>>2]|0)+60>>2]&1023](ea)|0;if(da>>>0>127){fa=da;aa=ba;while(1){b[aa>>0]=fa|128;_=fa>>>7;Z=aa+1|0;if(fa>>>0>16383){fa=_;aa=Z}else{ha=Z;ia=_;break}}}else{ha=ba;ia=da}b[ha>>0]=ia;ga=li[f[(f[ea>>2]|0)+64>>2]&511](ea,c,ha+1|0)|0}if(!(j&4096))ja=ga;else{ha=f[a+184>>2]|0;b[ga>>0]=-14;b[ga+1>>0]=6;ea=ga+2|0;ga=di[f[(f[ha>>2]|0)+60>>2]&1023](ha)|0;if(ga>>>0>127){ia=ga;da=ea;while(1){b[da>>0]=ia|128;ba=ia>>>7;aa=da+1|0;if(ia>>>0>16383){ia=ba;da=aa}else{ka=aa;la=ba;break}}}else{ka=ea;la=ga}b[ka>>0]=la;ja=li[f[(f[ha>>2]|0)+64>>2]&511](ha,c,ka+1|0)|0}if(!(j&8192))ma=ja;else{ka=f[a+188>>2]|0;b[ja>>0]=-6;b[ja+1>>0]=6;ha=ja+2|0;ja=di[f[(f[ka>>2]|0)+60>>2]&1023](ka)|0;if(ja>>>0>127){la=ja;ga=ha;while(1){b[ga>>0]=la|128;ea=la>>>7;da=ga+1|0;if(la>>>0>16383){la=ea;ga=da}else{na=da;oa=ea;break}}}else{na=ha;oa=ja}b[na>>0]=oa;ma=li[f[(f[ka>>2]|0)+64>>2]&511](ka,c,na+1|0)|0}if(!(j&16384))pa=ma;else{na=f[a+192>>2]|0;b[ma>>0]=-126;b[ma+1>>0]=7;ka=ma+2|0;ma=di[f[(f[na>>2]|0)+60>>2]&1023](na)|0;if(ma>>>0>127){oa=ma;ja=ka;while(1){b[ja>>0]=oa|128;ha=oa>>>7;ga=ja+1|0;if(oa>>>0>16383){oa=ha;ja=ga}else{qa=ga;ra=ha;break}}}else{qa=ka;ra=ma}b[qa>>0]=ra;pa=li[f[(f[na>>2]|0)+64>>2]&511](na,c,qa+1|0)|0}if(!(j&32768))sa=pa;else{qa=f[a+196>>2]|0;b[pa>>0]=-118;b[pa+1>>0]=7;na=pa+2|0;pa=di[f[(f[qa>>2]|0)+60>>2]&1023](qa)|0;if(pa>>>0>127){ra=pa;ma=na;while(1){b[ma>>0]=ra|128;ka=ra>>>7;ja=ma+1|0;if(ra>>>0>16383){ra=ka;ma=ja}else{ta=ja;ua=ka;break}}}else{ta=na;ua=pa}b[ta>>0]=ua;sa=li[f[(f[qa>>2]|0)+64>>2]&511](qa,c,ta+1|0)|0}if(!(j&65536))va=sa;else{ta=f[a+200>>2]|0;b[sa>>0]=-110;b[sa+1>>0]=7;qa=sa+2|0;sa=di[f[(f[ta>>2]|0)+60>>2]&1023](ta)|0;if(sa>>>0>127){ua=sa;pa=qa;while(1){b[pa>>0]=ua|128;na=ua>>>7;ma=pa+1|0;if(ua>>>0>16383){ua=na;pa=ma}else{wa=ma;xa=na;break}}}else{wa=qa;xa=sa}b[wa>>0]=xa;va=li[f[(f[ta>>2]|0)+64>>2]&511](ta,c,wa+1|0)|0}if(!(j&131072))ya=va;else{wa=f[a+204>>2]|0;b[va>>0]=-102;b[va+1>>0]=7;ta=va+2|0;va=di[f[(f[wa>>2]|0)+60>>2]&1023](wa)|0;if(va>>>0>127){xa=va;sa=ta;while(1){b[sa>>0]=xa|128;qa=xa>>>7;pa=sa+1|0;if(xa>>>0>16383){xa=qa;sa=pa}else{za=pa;Aa=qa;break}}}else{za=ta;Aa=va}b[za>>0]=Aa;ya=li[f[(f[wa>>2]|0)+64>>2]&511](wa,c,za+1|0)|0}if(!(j&262144))Ba=ya;else{za=f[a+208>>2]|0;b[ya>>0]=-94;b[ya+1>>0]=7;wa=ya+2|0;ya=di[f[(f[za>>2]|0)+60>>2]&1023](za)|0;if(ya>>>0>127){Aa=ya;va=wa;while(1){b[va>>0]=Aa|128;ta=Aa>>>7;sa=va+1|0;if(Aa>>>0>16383){Aa=ta;va=sa}else{Ca=sa;Da=ta;break}}}else{Ca=wa;Da=ya}b[Ca>>0]=Da;Ba=li[f[(f[za>>2]|0)+64>>2]&511](za,c,Ca+1|0)|0}if(!(j&524288))Ea=Ba;else{Ca=f[a+212>>2]|0;b[Ba>>0]=-86;b[Ba+1>>0]=7;za=Ba+2|0;Ba=di[f[(f[Ca>>2]|0)+60>>2]&1023](Ca)|0;if(Ba>>>0>127){Da=Ba;ya=za;while(1){b[ya>>0]=Da|128;wa=Da>>>7;va=ya+1|0;if(Da>>>0>16383){Da=wa;ya=va}else{Fa=va;Ga=wa;break}}}else{Fa=za;Ga=Ba}b[Fa>>0]=Ga;Ea=li[f[(f[Ca>>2]|0)+64>>2]&511](Ca,c,Fa+1|0)|0}if(!(j&1048576))Ha=Ea;else{Fa=f[a+216>>2]|0;b[Ea>>0]=-78;b[Ea+1>>0]=7;Ca=Ea+2|0;Ea=di[f[(f[Fa>>2]|0)+60>>2]&1023](Fa)|0;if(Ea>>>0>127){Ga=Ea;Ba=Ca;while(1){b[Ba>>0]=Ga|128;za=Ga>>>7;ya=Ba+1|0;if(Ga>>>0>16383){Ga=za;Ba=ya}else{Ia=ya;Ja=za;break}}}else{Ia=Ca;Ja=Ea}b[Ia>>0]=Ja;Ha=li[f[(f[Fa>>2]|0)+64>>2]&511](Fa,c,Ia+1|0)|0}if(!(j&2097152))Ka=Ha;else{Ia=f[a+220>>2]|0;b[Ha>>0]=-70;b[Ha+1>>0]=7;Fa=Ha+2|0;Ha=di[f[(f[Ia>>2]|0)+60>>2]&1023](Ia)|0;if(Ha>>>0>127){Ja=Ha;Ea=Fa;while(1){b[Ea>>0]=Ja|128;Ca=Ja>>>7;Ba=Ea+1|0;if(Ja>>>0>16383){Ja=Ca;Ea=Ba}else{La=Ba;Ma=Ca;break}}}else{La=Fa;Ma=Ha}b[La>>0]=Ma;Ka=li[f[(f[Ia>>2]|0)+64>>2]&511](Ia,c,La+1|0)|0}if(!(j&4194304))Na=Ka;else{La=f[a+224>>2]|0;b[Ka>>0]=-62;b[Ka+1>>0]=7;Ia=Ka+2|0;Ka=di[f[(f[La>>2]|0)+60>>2]&1023](La)|0;if(Ka>>>0>127){Ma=Ka;Ha=Ia;while(1){b[Ha>>0]=Ma|128;Fa=Ma>>>7;Ea=Ha+1|0;if(Ma>>>0>16383){Ma=Fa;Ha=Ea}else{Oa=Ea;Pa=Fa;break}}}else{Oa=Ia;Pa=Ka}b[Oa>>0]=Pa;Na=li[f[(f[La>>2]|0)+64>>2]&511](La,c,Oa+1|0)|0}if(!(j&8388608))Qa=Na;else{Oa=f[a+228>>2]|0;b[Na>>0]=-54;b[Na+1>>0]=7;La=Na+2|0;Na=di[f[(f[Oa>>2]|0)+60>>2]&1023](Oa)|0;if(Na>>>0>127){Pa=Na;Ka=La;while(1){b[Ka>>0]=Pa|128;Ia=Pa>>>7;Ha=Ka+1|0;if(Pa>>>0>16383){Pa=Ia;Ka=Ha}else{Ra=Ha;Sa=Ia;break}}}else{Ra=La;Sa=Na}b[Ra>>0]=Sa;Qa=li[f[(f[Oa>>2]|0)+64>>2]&511](Oa,c,Ra+1|0)|0}if(!(j&16777216))Ta=Qa;else{Ra=f[a+232>>2]|0;b[Qa>>0]=-46;b[Qa+1>>0]=7;Oa=Qa+2|0;Qa=di[f[(f[Ra>>2]|0)+60>>2]&1023](Ra)|0;if(Qa>>>0>127){Sa=Qa;Na=Oa;while(1){b[Na>>0]=Sa|128;La=Sa>>>7;Ka=Na+1|0;if(Sa>>>0>16383){Sa=La;Na=Ka}else{Ua=Ka;Va=La;break}}}else{Ua=Oa;Va=Qa}b[Ua>>0]=Va;Ta=li[f[(f[Ra>>2]|0)+64>>2]&511](Ra,c,Ua+1|0)|0}if(!(j&33554432))Wa=Ta;else{Ua=f[a+236>>2]|0;b[Ta>>0]=-38;b[Ta+1>>0]=7;Ra=Ta+2|0;Ta=di[f[(f[Ua>>2]|0)+60>>2]&1023](Ua)|0;if(Ta>>>0>127){Va=Ta;Qa=Ra;while(1){b[Qa>>0]=Va|128;Oa=Va>>>7;Na=Qa+1|0;if(Va>>>0>16383){Va=Oa;Qa=Na}else{Xa=Na;Ya=Oa;break}}}else{Xa=Ra;Ya=Ta}b[Xa>>0]=Ya;Wa=li[f[(f[Ua>>2]|0)+64>>2]&511](Ua,c,Xa+1|0)|0}if(!(j&67108864))Za=Wa;else{Xa=f[a+240>>2]|0;b[Wa>>0]=-30;b[Wa+1>>0]=7;Ua=Wa+2|0;Wa=di[f[(f[Xa>>2]|0)+60>>2]&1023](Xa)|0;if(Wa>>>0>127){Ya=Wa;Ta=Ua;while(1){b[Ta>>0]=Ya|128;Ra=Ya>>>7;Qa=Ta+1|0;if(Ya>>>0>16383){Ya=Ra;Ta=Qa}else{_a=Qa;$a=Ra;break}}}else{_a=Ua;$a=Wa}b[_a>>0]=$a;Za=li[f[(f[Xa>>2]|0)+64>>2]&511](Xa,c,_a+1|0)|0}if(!(j&134217728))ab=Za;else{_a=f[a+244>>2]|0;b[Za>>0]=-22;b[Za+1>>0]=7;Xa=Za+2|0;Za=di[f[(f[_a>>2]|0)+60>>2]&1023](_a)|0;if(Za>>>0>127){$a=Za;Wa=Xa;while(1){b[Wa>>0]=$a|128;Ua=$a>>>7;Ta=Wa+1|0;if($a>>>0>16383){$a=Ua;Wa=Ta}else{bb=Ta;cb=Ua;break}}}else{bb=Xa;cb=Za}b[bb>>0]=cb;ab=li[f[(f[_a>>2]|0)+64>>2]&511](_a,c,bb+1|0)|0}if(!(j&268435456))db=ab;else{bb=f[a+248>>2]|0;b[ab>>0]=-14;b[ab+1>>0]=7;_a=ab+2|0;ab=di[f[(f[bb>>2]|0)+60>>2]&1023](bb)|0;if(ab>>>0>127){cb=ab;Za=_a;while(1){b[Za>>0]=cb|128;Xa=cb>>>7;Wa=Za+1|0;if(cb>>>0>16383){cb=Xa;Za=Wa}else{eb=Wa;fb=Xa;break}}}else{eb=_a;fb=ab}b[eb>>0]=fb;db=li[f[(f[bb>>2]|0)+64>>2]&511](bb,c,eb+1|0)|0}if(!(j&536870912))gb=db;else{eb=f[a+252>>2]|0;b[db>>0]=-6;b[db+1>>0]=7;bb=db+2|0;db=di[f[(f[eb>>2]|0)+60>>2]&1023](eb)|0;if(db>>>0>127){fb=db;ab=bb;while(1){b[ab>>0]=fb|128;_a=fb>>>7;Za=ab+1|0;if(fb>>>0>16383){fb=_a;ab=Za}else{hb=Za;ib=_a;break}}}else{hb=bb;ib=db}b[hb>>0]=ib;gb=li[f[(f[eb>>2]|0)+64>>2]&511](eb,c,hb+1|0)|0}if(!(j&1073741824))jb=gb;else{hb=f[a+256>>2]|0;b[gb>>0]=-126;b[gb+1>>0]=8;eb=gb+2|0;gb=di[f[(f[hb>>2]|0)+60>>2]&1023](hb)|0;if(gb>>>0>127){ib=gb;db=eb;while(1){b[db>>0]=ib|128;bb=ib>>>7;ab=db+1|0;if(ib>>>0>16383){ib=bb;db=ab}else{kb=ab;lb=bb;break}}}else{kb=eb;lb=gb}b[kb>>0]=lb;jb=li[f[(f[hb>>2]|0)+64>>2]&511](hb,c,kb+1|0)|0}if((j|0)<0){j=f[a+260>>2]|0;b[jb>>0]=-118;b[jb+1>>0]=8;kb=jb+2|0;hb=di[f[(f[j>>2]|0)+60>>2]&1023](j)|0;if(hb>>>0>127){lb=hb;gb=kb;while(1){b[gb>>0]=lb|128;eb=lb>>>7;db=gb+1|0;if(lb>>>0>16383){lb=eb;gb=db}else{mb=db;nb=eb;break}}}else{mb=kb;nb=hb}b[mb>>0]=nb;ob=li[f[(f[j>>2]|0)+64>>2]&511](j,c,mb+1|0)|0}else ob=jb;jb=f[x>>2]|0;if(!(jb&1))pb=ob;else{x=f[a+264>>2]|0;b[ob>>0]=-110;b[ob+1>>0]=8;mb=ob+2|0;ob=di[f[(f[x>>2]|0)+60>>2]&1023](x)|0;if(ob>>>0>127){j=ob;nb=mb;while(1){b[nb>>0]=j|128;hb=j>>>7;kb=nb+1|0;if(j>>>0>16383){j=hb;nb=kb}else{qb=kb;rb=hb;break}}}else{qb=mb;rb=ob}b[qb>>0]=rb;pb=li[f[(f[x>>2]|0)+64>>2]&511](x,c,qb+1|0)|0}if(!(jb&2))sb=pb;else{qb=f[a+268>>2]|0;b[pb>>0]=-102;b[pb+1>>0]=8;x=pb+2|0;pb=di[f[(f[qb>>2]|0)+60>>2]&1023](qb)|0;if(pb>>>0>127){rb=pb;ob=x;while(1){b[ob>>0]=rb|128;mb=rb>>>7;nb=ob+1|0;if(rb>>>0>16383){rb=mb;ob=nb}else{tb=nb;ub=mb;break}}}else{tb=x;ub=pb}b[tb>>0]=ub;sb=li[f[(f[qb>>2]|0)+64>>2]&511](qb,c,tb+1|0)|0}if(!(jb&4))vb=sb;else{tb=f[a+272>>2]|0;b[sb>>0]=-94;b[sb+1>>0]=8;qb=sb+2|0;sb=di[f[(f[tb>>2]|0)+60>>2]&1023](tb)|0;if(sb>>>0>127){ub=sb;pb=qb;while(1){b[pb>>0]=ub|128;x=ub>>>7;ob=pb+1|0;if(ub>>>0>16383){ub=x;pb=ob}else{wb=ob;xb=x;break}}}else{wb=qb;xb=sb}b[wb>>0]=xb;vb=li[f[(f[tb>>2]|0)+64>>2]&511](tb,c,wb+1|0)|0}if(!(jb&8))yb=vb;else{wb=f[a+276>>2]|0;b[vb>>0]=-86;b[vb+1>>0]=8;tb=vb+2|0;vb=di[f[(f[wb>>2]|0)+60>>2]&1023](wb)|0;if(vb>>>0>127){xb=vb;sb=tb;while(1){b[sb>>0]=xb|128;qb=xb>>>7;pb=sb+1|0;if(xb>>>0>16383){xb=qb;sb=pb}else{zb=pb;Ab=qb;break}}}else{zb=tb;Ab=vb}b[zb>>0]=Ab;yb=li[f[(f[wb>>2]|0)+64>>2]&511](wb,c,zb+1|0)|0}if(!(jb&16))Bb=yb;else{zb=f[a+280>>2]|0;b[yb>>0]=-78;b[yb+1>>0]=8;wb=yb+2|0;yb=di[f[(f[zb>>2]|0)+60>>2]&1023](zb)|0;if(yb>>>0>127){Ab=yb;vb=wb;while(1){b[vb>>0]=Ab|128;tb=Ab>>>7;sb=vb+1|0;if(Ab>>>0>16383){Ab=tb;vb=sb}else{Cb=sb;Db=tb;break}}}else{Cb=wb;Db=yb}b[Cb>>0]=Db;Bb=li[f[(f[zb>>2]|0)+64>>2]&511](zb,c,Cb+1|0)|0}if(!(jb&32))Eb=Bb;else{Cb=f[a+284>>2]|0;b[Bb>>0]=-70;b[Bb+1>>0]=8;zb=Bb+2|0;Bb=di[f[(f[Cb>>2]|0)+60>>2]&1023](Cb)|0;if(Bb>>>0>127){Db=Bb;yb=zb;while(1){b[yb>>0]=Db|128;wb=Db>>>7;vb=yb+1|0;if(Db>>>0>16383){Db=wb;yb=vb}else{Fb=vb;Gb=wb;break}}}else{Fb=zb;Gb=Bb}b[Fb>>0]=Gb;Eb=li[f[(f[Cb>>2]|0)+64>>2]&511](Cb,c,Fb+1|0)|0}if(!(jb&64))Hb=Eb;else{Fb=f[a+288>>2]|0;b[Eb>>0]=-62;b[Eb+1>>0]=8;Cb=Eb+2|0;Eb=di[f[(f[Fb>>2]|0)+60>>2]&1023](Fb)|0;if(Eb>>>0>127){Gb=Eb;Bb=Cb;while(1){b[Bb>>0]=Gb|128;zb=Gb>>>7;yb=Bb+1|0;if(Gb>>>0>16383){Gb=zb;Bb=yb}else{Ib=yb;Jb=zb;break}}}else{Ib=Cb;Jb=Eb}b[Ib>>0]=Jb;Hb=li[f[(f[Fb>>2]|0)+64>>2]&511](Fb,c,Ib+1|0)|0}if(!(jb&128))Kb=Hb;else{Ib=f[a+292>>2]|0;b[Hb>>0]=-54;b[Hb+1>>0]=8;Fb=Hb+2|0;Hb=di[f[(f[Ib>>2]|0)+60>>2]&1023](Ib)|0;if(Hb>>>0>127){Jb=Hb;Eb=Fb;while(1){b[Eb>>0]=Jb|128;Cb=Jb>>>7;Bb=Eb+1|0;if(Jb>>>0>16383){Jb=Cb;Eb=Bb}else{Lb=Bb;Mb=Cb;break}}}else{Lb=Fb;Mb=Hb}b[Lb>>0]=Mb;Kb=li[f[(f[Ib>>2]|0)+64>>2]&511](Ib,c,Lb+1|0)|0}if(!(jb&256))Nb=Kb;else{Lb=f[a+296>>2]|0;b[Kb>>0]=-46;b[Kb+1>>0]=8;Ib=Kb+2|0;Kb=di[f[(f[Lb>>2]|0)+60>>2]&1023](Lb)|0;if(Kb>>>0>127){Mb=Kb;Hb=Ib;while(1){b[Hb>>0]=Mb|128;Fb=Mb>>>7;Eb=Hb+1|0;if(Mb>>>0>16383){Mb=Fb;Hb=Eb}else{Ob=Eb;Pb=Fb;break}}}else{Ob=Ib;Pb=Kb}b[Ob>>0]=Pb;Nb=li[f[(f[Lb>>2]|0)+64>>2]&511](Lb,c,Ob+1|0)|0}if(!(jb&512))Qb=Nb;else{Ob=f[a+300>>2]|0;b[Nb>>0]=-38;b[Nb+1>>0]=8;Lb=Nb+2|0;Nb=di[f[(f[Ob>>2]|0)+60>>2]&1023](Ob)|0;if(Nb>>>0>127){Pb=Nb;Kb=Lb;while(1){b[Kb>>0]=Pb|128;Ib=Pb>>>7;Hb=Kb+1|0;if(Pb>>>0>16383){Pb=Ib;Kb=Hb}else{Rb=Hb;Sb=Ib;break}}}else{Rb=Lb;Sb=Nb}b[Rb>>0]=Sb;Qb=li[f[(f[Ob>>2]|0)+64>>2]&511](Ob,c,Rb+1|0)|0}if(!(jb&1024))Tb=Qb;else{Rb=f[a+304>>2]|0;b[Qb>>0]=-30;b[Qb+1>>0]=8;Ob=Qb+2|0;Qb=di[f[(f[Rb>>2]|0)+60>>2]&1023](Rb)|0;if(Qb>>>0>127){Sb=Qb;Nb=Ob;while(1){b[Nb>>0]=Sb|128;Lb=Sb>>>7;Kb=Nb+1|0;if(Sb>>>0>16383){Sb=Lb;Nb=Kb}else{Ub=Kb;Vb=Lb;break}}}else{Ub=Ob;Vb=Qb}b[Ub>>0]=Vb;Tb=li[f[(f[Rb>>2]|0)+64>>2]&511](Rb,c,Ub+1|0)|0}if(!(jb&2048))Wb=Tb;else{Ub=f[a+308>>2]|0;b[Tb>>0]=-22;b[Tb+1>>0]=8;Rb=Tb+2|0;Tb=di[f[(f[Ub>>2]|0)+60>>2]&1023](Ub)|0;if(Tb>>>0>127){Vb=Tb;Qb=Rb;while(1){b[Qb>>0]=Vb|128;Ob=Vb>>>7;Nb=Qb+1|0;if(Vb>>>0>16383){Vb=Ob;Qb=Nb}else{Xb=Nb;Yb=Ob;break}}}else{Xb=Rb;Yb=Tb}b[Xb>>0]=Yb;Wb=li[f[(f[Ub>>2]|0)+64>>2]&511](Ub,c,Xb+1|0)|0}if(!(jb&4096))Zb=Wb;else{Xb=f[a+312>>2]|0;b[Wb>>0]=-14;b[Wb+1>>0]=8;Ub=Wb+2|0;Wb=di[f[(f[Xb>>2]|0)+60>>2]&1023](Xb)|0;if(Wb>>>0>127){Yb=Wb;Tb=Ub;while(1){b[Tb>>0]=Yb|128;Rb=Yb>>>7;Qb=Tb+1|0;if(Yb>>>0>16383){Yb=Rb;Tb=Qb}else{_b=Qb;$b=Rb;break}}}else{_b=Ub;$b=Wb}b[_b>>0]=$b;Zb=li[f[(f[Xb>>2]|0)+64>>2]&511](Xb,c,_b+1|0)|0}if(!(jb&8192))ac=Zb;else{_b=f[a+316>>2]|0;b[Zb>>0]=-6;b[Zb+1>>0]=8;Xb=Zb+2|0;Zb=di[f[(f[_b>>2]|0)+60>>2]&1023](_b)|0;if(Zb>>>0>127){$b=Zb;Wb=Xb;while(1){b[Wb>>0]=$b|128;Ub=$b>>>7;Tb=Wb+1|0;if($b>>>0>16383){$b=Ub;Wb=Tb}else{bc=Tb;cc=Ub;break}}}else{bc=Xb;cc=Zb}b[bc>>0]=cc;ac=li[f[(f[_b>>2]|0)+64>>2]&511](_b,c,bc+1|0)|0}if(!(jb&16384))dc=ac;else{bc=f[a+320>>2]|0;b[ac>>0]=-126;b[ac+1>>0]=9;_b=ac+2|0;ac=di[f[(f[bc>>2]|0)+60>>2]&1023](bc)|0;if(ac>>>0>127){cc=ac;Zb=_b;while(1){b[Zb>>0]=cc|128;Xb=cc>>>7;Wb=Zb+1|0;if(cc>>>0>16383){cc=Xb;Zb=Wb}else{ec=Wb;fc=Xb;break}}}else{ec=_b;fc=ac}b[ec>>0]=fc;dc=li[f[(f[bc>>2]|0)+64>>2]&511](bc,c,ec+1|0)|0}if(!(jb&32768))gc=dc;else{ec=f[a+324>>2]|0;b[dc>>0]=-118;b[dc+1>>0]=9;bc=dc+2|0;dc=di[f[(f[ec>>2]|0)+60>>2]&1023](ec)|0;if(dc>>>0>127){fc=dc;ac=bc;while(1){b[ac>>0]=fc|128;_b=fc>>>7;Zb=ac+1|0;if(fc>>>0>16383){fc=_b;ac=Zb}else{hc=Zb;ic=_b;break}}}else{hc=bc;ic=dc}b[hc>>0]=ic;gc=li[f[(f[ec>>2]|0)+64>>2]&511](ec,c,hc+1|0)|0}if(!(jb&65536))jc=gc;else{hc=f[a+328>>2]|0;b[gc>>0]=-110;b[gc+1>>0]=9;ec=gc+2|0;gc=di[f[(f[hc>>2]|0)+60>>2]&1023](hc)|0;if(gc>>>0>127){ic=gc;dc=ec;while(1){b[dc>>0]=ic|128;bc=ic>>>7;ac=dc+1|0;if(ic>>>0>16383){ic=bc;dc=ac}else{kc=ac;lc=bc;break}}}else{kc=ec;lc=gc}b[kc>>0]=lc;jc=li[f[(f[hc>>2]|0)+64>>2]&511](hc,c,kc+1|0)|0}if(!(jb&131072))mc=jc;else{kc=f[a+332>>2]|0;b[jc>>0]=-102;b[jc+1>>0]=9;hc=jc+2|0;jc=di[f[(f[kc>>2]|0)+60>>2]&1023](kc)|0;if(jc>>>0>127){lc=jc;gc=hc;while(1){b[gc>>0]=lc|128;ec=lc>>>7;dc=gc+1|0;if(lc>>>0>16383){lc=ec;gc=dc}else{nc=dc;oc=ec;break}}}else{nc=hc;oc=jc}b[nc>>0]=oc;mc=li[f[(f[kc>>2]|0)+64>>2]&511](kc,c,nc+1|0)|0}if(!(jb&262144))pc=mc;else{nc=f[a+336>>2]|0;b[mc>>0]=-94;b[mc+1>>0]=9;kc=mc+2|0;mc=di[f[(f[nc>>2]|0)+60>>2]&1023](nc)|0;if(mc>>>0>127){oc=mc;jc=kc;while(1){b[jc>>0]=oc|128;hc=oc>>>7;gc=jc+1|0;if(oc>>>0>16383){oc=hc;jc=gc}else{qc=gc;rc=hc;break}}}else{qc=kc;rc=mc}b[qc>>0]=rc;pc=li[f[(f[nc>>2]|0)+64>>2]&511](nc,c,qc+1|0)|0}if(!(jb&524288))sc=pc;else{qc=f[a+340>>2]|0;b[pc>>0]=-86;b[pc+1>>0]=9;nc=pc+2|0;pc=di[f[(f[qc>>2]|0)+60>>2]&1023](qc)|0;if(pc>>>0>127){rc=pc;mc=nc;while(1){b[mc>>0]=rc|128;kc=rc>>>7;jc=mc+1|0;if(rc>>>0>16383){rc=kc;mc=jc}else{tc=jc;uc=kc;break}}}else{tc=nc;uc=pc}b[tc>>0]=uc;sc=li[f[(f[qc>>2]|0)+64>>2]&511](qc,c,tc+1|0)|0}if(!(jb&1048576))vc=sc;else{tc=f[a+344>>2]|0;b[sc>>0]=-78;b[sc+1>>0]=9;qc=sc+2|0;sc=di[f[(f[tc>>2]|0)+60>>2]&1023](tc)|0;if(sc>>>0>127){uc=sc;pc=qc;while(1){b[pc>>0]=uc|128;nc=uc>>>7;mc=pc+1|0;if(uc>>>0>16383){uc=nc;pc=mc}else{wc=mc;xc=nc;break}}}else{wc=qc;xc=sc}b[wc>>0]=xc;vc=li[f[(f[tc>>2]|0)+64>>2]&511](tc,c,wc+1|0)|0}if(!(jb&2097152))yc=vc;else{wc=f[a+348>>2]|0;b[vc>>0]=-54;b[vc+1>>0]=12;tc=vc+2|0;vc=di[f[(f[wc>>2]|0)+60>>2]&1023](wc)|0;if(vc>>>0>127){xc=vc;sc=tc;while(1){b[sc>>0]=xc|128;qc=xc>>>7;pc=sc+1|0;if(xc>>>0>16383){xc=qc;sc=pc}else{zc=pc;Ac=qc;break}}}else{zc=tc;Ac=vc}b[zc>>0]=Ac;yc=li[f[(f[wc>>2]|0)+64>>2]&511](wc,c,zc+1|0)|0}if(!(jb&4194304))Bc=yc;else{zc=f[a+352>>2]|0;b[yc>>0]=-110;b[yc+1>>0]=-15;b[yc+2>>0]=4;wc=yc+3|0;yc=di[f[(f[zc>>2]|0)+60>>2]&1023](zc)|0;if(yc>>>0>127){Ac=yc;vc=wc;while(1){b[vc>>0]=Ac|128;tc=Ac>>>7;sc=vc+1|0;if(Ac>>>0>16383){Ac=tc;vc=sc}else{Cc=sc;Dc=tc;break}}}else{Cc=wc;Dc=yc}b[Cc>>0]=Dc;Bc=li[f[(f[zc>>2]|0)+64>>2]&511](zc,c,Cc+1|0)|0}if(!(jb&8388608))Ec=Bc;else{jb=f[a+356>>2]|0;b[Bc>>0]=-70;b[Bc+1>>0]=-67;b[Bc+2>>0]=-60;b[Bc+3>>0]=31;Cc=Bc+4|0;Bc=di[f[(f[jb>>2]|0)+60>>2]&1023](jb)|0;if(Bc>>>0>127){zc=Bc;Dc=Cc;while(1){b[Dc>>0]=zc|128;yc=zc>>>7;wc=Dc+1|0;if(zc>>>0>16383){zc=yc;Dc=wc}else{Fc=wc;Gc=yc;break}}}else{Fc=Cc;Gc=Bc}b[Fc>>0]=Gc;Ec=li[f[(f[jb>>2]|0)+64>>2]&511](jb,c,Fc+1|0)|0}Fc=f[a+4>>2]|0;if(!(Fc&1)){Hc=Ec;return Hc|0}Hc=Bbc(Fc&-2,Ec)|0;return Hc|0}function udb(a,b){a=a|0;b=b|0;var c=0;if((a|0)==(b|0))return;ndb(a);c=ovc(b,24728,20520,0)|0;if(!c){A9b(b,a);return}else{ydb(a,c);return}}function vdb(a,b){a=a|0;b=b|0;var c=0;c=ovc(b,24728,20520,0)|0;if(!c){A9b(b,a);return}else{ydb(a,c);return}}function wdb(a,b){a=a|0;b=b|0;f[a+364>>2]=b;return}function xdb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224781]|0)!=2){f[d>>2]=151624;f[d+4>>2]=21;b[d+8>>0]=0;xLb(899124,d);QKb(d)}d=540624;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function ydb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0;d=a+4|0;e=f[c+4>>2]|0;if(e&1|0){g=f[d>>2]|0;if(!(g&1))h=OOa(d)|0;else h=g&-2;hbc(h,e&-2)}YOa(a+16|0,c+16|0);YOa(a+32|0,c+32|0);e=a+48|0;h=c+48|0;g=f[h>>2]|0;if(g|0){REa(e,(f[e>>2]|0)+g|0);szc((f[a+56>>2]|0)+4+(f[e>>2]<<2)|0,(f[c+56>>2]|0)+4|0,f[h>>2]<<2|0)|0;f[e>>2]=(f[e>>2]|0)+(f[h>>2]|0)}zdb(a+60|0,c+60|0);VEa(a+76|0,c+76|0);pZa(a+92|0,c+92|0);pZa(a+108|0,c+108|0);h=a+124|0;e=c+124|0;g=f[e>>2]|0;if(g|0){_Oa(h,(f[h>>2]|0)+g|0);szc((f[h>>2]|0)+((f[a+132>>2]|0)+4)|0,(f[c+132>>2]|0)+4|0,f[e>>2]|0)|0;f[h>>2]=(f[h>>2]|0)+(f[e>>2]|0)}e=f[c+8>>2]|0;if(e&255|0){do if(e&1|0?(h=a+8|0,f[h>>2]=f[h>>2]|1,h=a+136|0,g=f[c+136>>2]|0,d=f[h>>2]|0,(d|0)!=(g|0)):0)if((d|0)==542896){JEa(h,g);break}else{ruc(d,g)|0;break}while(0);do if(e&2|0?(g=a+8|0,f[g>>2]=f[g>>2]|2,g=a+140|0,d=f[c+140>>2]|0,h=f[g>>2]|0,(h|0)!=(d|0)):0)if((h|0)==542896){JEa(g,d);break}else{ruc(h,d)|0;break}while(0);if(e&4|0){d=a+8|0;f[d>>2]=f[d>>2]|4;d=a+144|0;h=f[d>>2]|0;if(!h){g=cuc(44)|0;XZa(g);f[d>>2]=g;i=g}else i=h;h=f[c+144>>2]|0;YZa(i,h|0?h:537968)}if(e&8|0){h=a+8|0;f[h>>2]=f[h>>2]|8;h=a+148|0;i=f[h>>2]|0;if(!i){g=cuc(28)|0;c_a(g);f[h>>2]=g;j=g}else j=i;i=f[c+148>>2]|0;g=i|0?i:538016;i=j+4|0;h=f[g+4>>2]|0;if(h&1|0){d=f[i>>2]|0;if(!(d&1))k=OOa(i)|0;else k=d&-2;hbc(k,h&-2)}h=f[g+8>>2]|0;if(h&7|0){if(h&1|0)f[j+16>>2]=f[g+16>>2];if(h&2|0)b[j+20>>0]=b[g+20>>0]|0;if(h&4|0)f[j+24>>2]=f[g+24>>2];g=j+8|0;f[g>>2]=f[g>>2]|h}}if(e&16|0){h=a+8|0;f[h>>2]=f[h>>2]|16;h=a+152|0;g=f[h>>2]|0;if(!g){j=cuc(28)|0;RZa(j);f[h>>2]=j;l=j}else l=g;g=f[c+152>>2]|0;j=g|0?g:538048;g=l+4|0;h=f[j+4>>2]|0;if(h&1|0){k=f[g>>2]|0;if(!(k&1))m=OOa(g)|0;else m=k&-2;hbc(m,h&-2)}h=f[j+8>>2]|0;if(h&7|0){if(h&1|0)f[l+16>>2]=f[j+16>>2];if(h&2|0)f[l+20>>2]=f[j+20>>2];if(h&4|0)f[l+24>>2]=f[j+24>>2];j=l+8|0;f[j>>2]=f[j>>2]|h}}if(e&32|0){h=a+8|0;f[h>>2]=f[h>>2]|32;h=a+156|0;j=f[h>>2]|0;if(!j){l=cuc(28)|0;LZa(l);f[h>>2]=l;n=l}else n=j;j=f[c+156>>2]|0;l=j|0?j:538080;j=n+4|0;h=f[l+4>>2]|0;if(h&1|0){m=f[j>>2]|0;if(!(m&1))o=OOa(j)|0;else o=m&-2;hbc(o,h&-2)}h=f[l+8>>2]|0;if(h&7|0){if(h&1|0)b[n+16>>0]=b[l+16>>0]|0;if(h&2|0)f[n+20>>2]=f[l+20>>2];if(h&4|0)f[n+24>>2]=f[l+24>>2];l=n+8|0;f[l>>2]=f[l>>2]|h}}if(e&64|0){h=a+8|0;f[h>>2]=f[h>>2]|64;h=a+160|0;l=f[h>>2]|0;if(!l){n=cuc(24)|0;qZa(n);f[h>>2]=n;p=n}else p=l;l=f[c+160>>2]|0;n=l|0?l:538112;l=p+4|0;h=f[n+4>>2]|0;if(h&1|0){o=f[l>>2]|0;if(!(o&1))q=OOa(l)|0;else q=o&-2;hbc(q,h&-2)}h=f[n+8>>2]|0;if(h&3|0){if(h&1|0)f[p+16>>2]=f[n+16>>2];if(h&2|0)f[p+20>>2]=f[n+20>>2];n=p+8|0;f[n>>2]=f[n>>2]|h}}if(e&128|0){h=a+8|0;f[h>>2]=f[h>>2]|128;h=a+164|0;n=f[h>>2]|0;if(!n){p=cuc(24)|0;a_a(p);f[h>>2]=p;r=p}else r=n;n=f[c+164>>2]|0;p=n|0?n:538200;n=r+4|0;h=f[p+4>>2]|0;if(h&1|0){q=f[n>>2]|0;if(!(q&1))s=OOa(n)|0;else s=q&-2;hbc(s,h&-2)}h=f[p+8>>2]|0;if(h&3|0){if(h&1|0)b[r+16>>0]=b[p+16>>0]|0;if(h&2|0)f[r+20>>2]=f[p+20>>2];p=r+8|0;f[p>>2]=f[p>>2]|h}}}do if(e&65280|0){if(e&256|0){h=a+8|0;f[h>>2]=f[h>>2]|256;h=a+168|0;p=f[h>>2]|0;if(!p){r=cuc(120)|0;rZa(r);f[h>>2]=r;t=r}else t=p;p=f[c+168>>2]|0;sZa(t,p|0?p:538224)}if(e&512|0){p=a+8|0;f[p>>2]=f[p>>2]|512;p=a+172|0;r=f[p>>2]|0;if(!r){h=cuc(52)|0;tZa(h);f[p>>2]=h;u=h}else u=r;r=f[c+172>>2]|0;uZa(u,r|0?r:538376)}if(e&1024|0){r=a+8|0;f[r>>2]=f[r>>2]|1024;r=a+176|0;h=f[r>>2]|0;if(!h){p=cuc(24)|0;vZa(p);f[r>>2]=p;v=p}else v=h;h=f[c+176>>2]|0;p=h|0?h:538504;h=v+4|0;r=f[p+4>>2]|0;if(r&1|0){s=f[h>>2]|0;if(!(s&1))w=OOa(h)|0;else w=s&-2;hbc(w,r&-2)}r=f[p+8>>2]|0;if(r&3|0){if(r&1|0)f[v+16>>2]=f[p+16>>2];if(r&2|0)b[v+20>>0]=b[p+20>>0]|0;p=v+8|0;f[p>>2]=f[p>>2]|r}}if(e&2048|0){r=a+8|0;f[r>>2]=f[r>>2]|2048;r=a+180|0;p=f[r>>2]|0;if(!p){s=cuc(96)|0;PZa(s);f[r>>2]=s;x=s}else x=p;p=f[c+180>>2]|0;QZa(x,p|0?p:538528)}if(e&4096|0){p=a+8|0;f[p>>2]=f[p>>2]|4096;p=a+184|0;s=f[p>>2]|0;if(!s){r=cuc(36)|0;MZa(r);f[p>>2]=r;y=r}else y=s;s=f[c+184>>2]|0;NZa(y,s|0?s:538624)}if(e&8192|0){s=a+8|0;f[s>>2]=f[s>>2]|8192;s=a+188|0;r=f[s>>2]|0;if(!r){p=cuc(28)|0;b_a(p);f[s>>2]=p;z=p}else z=r;r=f[c+188>>2]|0;p=r|0?r:538728;r=z+4|0;s=f[p+4>>2]|0;if(s&1|0){h=f[r>>2]|0;if(!(h&1))A=OOa(r)|0;else A=h&-2;hbc(A,s&-2)}s=f[p+8>>2]|0;if(s&7|0){if(s&1|0)f[z+16>>2]=f[p+16>>2];if(s&2|0)f[z+20>>2]=f[p+20>>2];if(s&4|0)f[z+24>>2]=f[p+24>>2];p=z+8|0;f[p>>2]=f[p>>2]|s}}if(e&16384|0){s=a+8|0;f[s>>2]=f[s>>2]|16384;s=a+192|0;p=f[s>>2]|0;if(!p){h=cuc(28)|0;wZa(h);f[s>>2]=h;B=h}else B=p;p=f[c+192>>2]|0;xZa(B,p|0?p:538784)}if(e&32768|0){p=a+8|0;f[p>>2]=f[p>>2]|32768;p=a+196|0;h=f[p>>2]|0;if(!h){s=cuc(20)|0;lYa(s);f[p>>2]=s;C=s}else C=h;h=f[c+196>>2]|0;s=h|0?h:538816;h=C+4|0;p=f[s+4>>2]|0;if(p&1|0){r=f[h>>2]|0;if(!(r&1))D=OOa(h)|0;else D=r&-2;hbc(D,p&-2)}if(f[s+8>>2]&1|0?(p=C+8|0,f[p>>2]=f[p>>2]|1,p=C+16|0,r=f[s+16>>2]|0,s=f[p>>2]|0,(s|0)!=(r|0)):0)if((s|0)==542896){JEa(p,r);break}else{ruc(s,r)|0;break}}}while(0);if(e&16711680|0){if(e&65536|0){C=a+8|0;f[C>>2]=f[C>>2]|65536;C=a+200|0;D=f[C>>2]|0;if(!D){B=cuc(20)|0;SZa(B);f[C>>2]=B;E=B}else E=D;D=f[c+200>>2]|0;B=D|0?D:538840;D=E+4|0;C=f[B+4>>2]|0;if(C&1|0){z=f[D>>2]|0;if(!(z&1))F=OOa(D)|0;else F=z&-2;hbc(F,C&-2)}if(f[B+8>>2]&1|0){C=f[B+16>>2]|0;B=E+8|0;f[B>>2]=f[B>>2]|1;f[E+16>>2]=C}}if(e&131072|0){C=a+8|0;f[C>>2]=f[C>>2]|131072;C=a+204|0;E=f[C>>2]|0;if(!E){B=cuc(60)|0;yZa(B);f[C>>2]=B;G=B}else G=E;E=f[c+204>>2]|0;zZa(G,E|0?E:538864)}do if(e&262144|0){E=a+8|0;f[E>>2]=f[E>>2]|262144;E=a+208|0;G=f[E>>2]|0;if(!G){B=cuc(20)|0;AZa(B);f[E>>2]=B;H=B}else H=G;G=f[c+208>>2]|0;B=G|0?G:538928;G=H+4|0;E=f[B+4>>2]|0;if(E&1|0){C=f[G>>2]|0;if(!(C&1))I=OOa(G)|0;else I=C&-2;hbc(I,E&-2)}if(f[B+8>>2]&1|0?(E=H+8|0,f[E>>2]=f[E>>2]|1,E=H+16|0,C=f[B+16>>2]|0,B=f[E>>2]|0,(B|0)!=(C|0)):0)if((B|0)==542896){JEa(E,C);break}else{ruc(B,C)|0;break}}while(0);if(e&524288|0){H=a+8|0;f[H>>2]=f[H>>2]|524288;H=a+212|0;I=f[H>>2]|0;if(!I){C=cuc(36)|0;BZa(C);f[H>>2]=C;J=C}else J=I;I=f[c+212>>2]|0;CZa(J,I|0?I:538952)}if(e&1048576|0){I=a+8|0;f[I>>2]=f[I>>2]|1048576;I=a+216|0;J=f[I>>2]|0;if(!J){C=cuc(40)|0;DZa(C);f[I>>2]=C;K=C}else K=J;J=f[c+216>>2]|0;EZa(K,J|0?J:539056)}if(e&2097152|0){J=a+8|0;f[J>>2]=f[J>>2]|2097152;J=a+220|0;K=f[J>>2]|0;if(!K){C=cuc(32)|0;KZa(C);f[J>>2]=C;L=C}else L=K;K=f[c+220>>2]|0;C=K|0?K:539096;K=L+4|0;J=f[C+4>>2]|0;if(J&1|0){I=f[K>>2]|0;if(!(I&1))M=OOa(K)|0;else M=I&-2;hbc(M,J&-2)}J=f[C+8>>2]|0;if(J&15|0){if(J&1|0)f[L+16>>2]=f[C+16>>2];if(J&2|0)f[L+20>>2]=f[C+20>>2];if(J&4|0)f[L+24>>2]=f[C+24>>2];if(J&8|0)f[L+28>>2]=f[C+28>>2];C=L+8|0;f[C>>2]=f[C>>2]|J}}if(e&4194304|0){J=a+8|0;f[J>>2]=f[J>>2]|4194304;J=a+224|0;C=f[J>>2]|0;if(!C){L=cuc(24)|0;WZa(L);f[J>>2]=L;N=L}else N=C;C=f[c+224>>2]|0;L=C|0?C:539128;C=N+4|0;J=f[L+4>>2]|0;if(J&1|0){M=f[C>>2]|0;if(!(M&1))O=OOa(C)|0;else O=M&-2;hbc(O,J&-2)}J=f[L+8>>2]|0;if(J&7|0){if(J&1|0)b[N+16>>0]=b[L+16>>0]|0;if(J&2|0)b[N+17>>0]=b[L+17>>0]|0;if(J&4|0)f[N+20>>2]=f[L+20>>2];L=N+8|0;f[L>>2]=f[L>>2]|J}}if(e&8388608|0){J=a+8|0;f[J>>2]=f[J>>2]|8388608;J=a+228|0;L=f[J>>2]|0;if(!L){N=cuc(68)|0;FZa(N);f[J>>2]=N;P=N}else P=L;L=f[c+228>>2]|0;GZa(P,L|0?L:539176)}}if(e>>>0>16777215){if(e&16777216|0){L=a+8|0;f[L>>2]=f[L>>2]|16777216;L=a+232|0;P=f[L>>2]|0;if(!P){N=cuc(28)|0;JZa(N);f[L>>2]=N;Q=N}else Q=P;P=f[c+232>>2]|0;N=P|0?P:539248;P=Q+4|0;L=f[N+4>>2]|0;if(L&1|0){J=f[P>>2]|0;if(!(J&1))R=OOa(P)|0;else R=J&-2;hbc(R,L&-2)}L=f[N+8>>2]|0;if(L&7|0){if(L&1|0)f[Q+16>>2]=f[N+16>>2];if(L&2|0)f[Q+20>>2]=f[N+20>>2];if(L&4|0)f[Q+24>>2]=f[N+24>>2];N=Q+8|0;f[N>>2]=f[N>>2]|L}}if(e&33554432|0){L=a+8|0;f[L>>2]=f[L>>2]|33554432;L=a+236|0;N=f[L>>2]|0;if(!N){Q=cuc(24)|0;TZa(Q);f[L>>2]=Q;S=Q}else S=N;N=f[c+236>>2]|0;Q=N|0?N:539376;N=S+4|0;L=f[Q+4>>2]|0;if(L&1|0){R=f[N>>2]|0;if(!(R&1))T=OOa(N)|0;else T=R&-2;hbc(T,L&-2)}L=f[Q+8>>2]|0;if(L&3|0){if(L&1|0)f[S+16>>2]=f[Q+16>>2];if(L&2|0)f[S+20>>2]=f[Q+20>>2];Q=S+8|0;f[Q>>2]=f[Q>>2]|L}}if(e&67108864|0){L=a+8|0;f[L>>2]=f[L>>2]|67108864;L=a+240|0;Q=f[L>>2]|0;if(!Q){S=cuc(20)|0;_Za(S);f[L>>2]=S;U=S}else U=Q;Q=f[c+240>>2]|0;S=Q|0?Q:539472;Q=U+4|0;L=f[S+4>>2]|0;if(L&1|0){T=f[Q>>2]|0;if(!(T&1))V=OOa(Q)|0;else V=T&-2;hbc(V,L&-2)}if(f[S+8>>2]&1|0){L=f[S+16>>2]|0;S=U+8|0;f[S>>2]=f[S>>2]|1;f[U+16>>2]=L}}if(e&134217728|0){L=a+8|0;f[L>>2]=f[L>>2]|134217728;L=a+244|0;U=f[L>>2]|0;if(!U){S=cuc(24)|0;$Za(S);f[L>>2]=S;W=S}else W=U;U=f[c+244>>2]|0;S=U|0?U:539536;U=W+4|0;L=f[S+4>>2]|0;if(L&1|0){V=f[U>>2]|0;if(!(V&1))X=OOa(U)|0;else X=V&-2;hbc(X,L&-2)}L=f[S+8>>2]|0;if(L&3|0){if(L&1|0)f[W+16>>2]=f[S+16>>2];if(L&2|0)f[W+20>>2]=f[S+20>>2];S=W+8|0;f[S>>2]=f[S>>2]|L}}if(e&268435456|0){L=a+8|0;f[L>>2]=f[L>>2]|268435456;L=a+248|0;S=f[L>>2]|0;if(!S){W=cuc(36)|0;UZa(W);f[L>>2]=W;Y=W}else Y=S;S=f[c+248>>2]|0;VZa(Y,S|0?S:539496)}if(e&536870912|0){S=a+8|0;f[S>>2]=f[S>>2]|536870912;S=a+252|0;Y=f[S>>2]|0;if(!Y){W=cuc(20)|0;ZZa(W);f[S>>2]=W;Z=W}else Z=Y;Y=f[c+252>>2]|0;W=Y|0?Y:539560;Y=Z+4|0;S=f[W+4>>2]|0;if(S&1|0){L=f[Y>>2]|0;if(!(L&1))_=OOa(Y)|0;else _=L&-2;hbc(_,S&-2)}if(f[W+8>>2]&1|0){S=f[W+16>>2]|0;W=Z+8|0;f[W>>2]=f[W>>2]|1;f[Z+16>>2]=S}}if(e&1073741824|0){S=a+8|0;f[S>>2]=f[S>>2]|1073741824;S=a+256|0;Z=f[S>>2]|0;if(!Z){W=cuc(20)|0;OZa(W);f[S>>2]=W;$=W}else $=Z;Z=f[c+256>>2]|0;W=Z|0?Z:539608;Z=$+4|0;S=f[W+4>>2]|0;if(S&1|0){_=f[Z>>2]|0;if(!(_&1))aa=OOa(Z)|0;else aa=_&-2;hbc(aa,S&-2)}if(f[W+8>>2]&1|0){S=f[W+16>>2]|0;W=$+8|0;f[W>>2]=f[W>>2]|1;f[$+16>>2]=S}}if((e|0)<0){e=a+8|0;f[e>>2]=f[e>>2]|-2147483648;e=a+260|0;S=f[e>>2]|0;if(!S){$=cuc(64)|0;HZa($);f[e>>2]=$;ba=$}else ba=S;S=f[c+260>>2]|0;IZa(ba,S|0?S:539632)}}S=f[c+12>>2]|0;if(S&255|0){if(S&1|0){ba=a+12|0;f[ba>>2]=f[ba>>2]|1;ba=a+264|0;$=f[ba>>2]|0;if(!$){e=cuc(32)|0;D9a(e);f[ba>>2]=e;ca=e}else ca=$;$=f[c+264>>2]|0;C9a(ca,$|0?$:539280)}if(S&2|0){$=a+12|0;f[$>>2]=f[$>>2]|2;$=a+268|0;ca=f[$>>2]|0;if(!ca){e=cuc(24)|0;VXa(e);f[$>>2]=e;da=e}else da=ca;ca=f[c+268>>2]|0;CXa(da,ca|0?ca:540224)}if(S&4|0){ca=a+12|0;f[ca>>2]=f[ca>>2]|4;ca=a+272|0;da=f[ca>>2]|0;if(!da){e=cuc(28)|0;F7a(e);f[ca>>2]=e;ea=e}else ea=da;da=f[c+272>>2]|0;e=da|0?da:539696;da=ea+4|0;ca=f[e+4>>2]|0;if(ca&1|0){$=f[da>>2]|0;if(!($&1))fa=OOa(da)|0;else fa=$&-2;hbc(fa,ca&-2)}ca=f[e+8>>2]|0;if(ca&7|0){if(ca&1|0)f[ea+16>>2]=f[e+16>>2];if(ca&2|0)f[ea+20>>2]=f[e+20>>2];if(ca&4|0)f[ea+24>>2]=f[e+24>>2];e=ea+8|0;f[e>>2]=f[e>>2]|ca}}if(S&8|0){ca=a+12|0;f[ca>>2]=f[ca>>2]|8;ca=a+276|0;e=f[ca>>2]|0;if(!e){ea=cuc(28)|0;E8a(ea);f[ca>>2]=ea;ga=ea}else ga=e;e=f[c+276>>2]|0;D8a(ga,e|0?e:539400)}if(S&16|0){e=a+12|0;f[e>>2]=f[e>>2]|16;e=a+280|0;ga=f[e>>2]|0;if(!ga){ea=cuc(28)|0;lab(ea);f[e>>2]=ea;ha=ea}else ha=ga;ga=f[c+280>>2]|0;ea=ga|0?ga:539024;ga=ha+4|0;e=f[ea+4>>2]|0;if(e&1|0){ca=f[ga>>2]|0;if(!(ca&1))ia=OOa(ga)|0;else ia=ca&-2;hbc(ia,e&-2)}e=f[ea+8>>2]|0;if(e&7|0){if(e&1|0)f[ha+16>>2]=f[ea+16>>2];if(e&2|0)f[ha+20>>2]=f[ea+20>>2];if(e&4|0)f[ha+24>>2]=f[ea+24>>2];ea=ha+8|0;f[ea>>2]=f[ea>>2]|e}}if(S&32|0){e=a+12|0;f[e>>2]=f[e>>2]|32;e=a+284|0;ea=f[e>>2]|0;if(!ea){ha=cuc(24)|0;Tab(ha);f[e>>2]=ha;ja=ha}else ja=ea;ea=f[c+284>>2]|0;ha=ea|0?ea:538760;ea=ja+4|0;e=f[ha+4>>2]|0;if(e&1|0){ia=f[ea>>2]|0;if(!(ia&1))ka=OOa(ea)|0;else ka=ia&-2;hbc(ka,e&-2)}e=f[ha+8>>2]|0;if(e&3|0){if(e&1|0)f[ja+16>>2]=f[ha+16>>2];if(e&2|0)f[ja+20>>2]=f[ha+20>>2];ha=ja+8|0;f[ha>>2]=f[ha>>2]|e}}if(S&64|0){e=a+12|0;f[e>>2]=f[e>>2]|64;e=a+288|0;ha=f[e>>2]|0;if(!ha){ja=cuc(28)|0;V8a(ja);f[e>>2]=ja;la=ja}else la=ha;ha=f[c+288>>2]|0;ja=ha|0?ha:539344;ha=la+4|0;e=f[ja+4>>2]|0;if(e&1|0){ka=f[ha>>2]|0;if(!(ka&1))ma=OOa(ha)|0;else ma=ka&-2;hbc(ma,e&-2)}e=f[ja+8>>2]|0;if(e&7|0){if(e&1|0)f[la+16>>2]=f[ja+16>>2];if(e&2|0)f[la+20>>2]=f[ja+20>>2];if(e&4|0)f[la+24>>2]=f[ja+24>>2];ja=la+8|0;f[ja>>2]=f[ja>>2]|e}}if(S&128|0){e=a+12|0;f[e>>2]=f[e>>2]|128;e=a+292|0;ja=f[e>>2]|0;if(!ja){la=cuc(36)|0;jbb(la);f[e>>2]=la;na=la}else na=ja;ja=f[c+292>>2]|0;ibb(na,ja|0?ja:538688)}}if(S&65280|0){if(S&256|0){ja=a+12|0;f[ja>>2]=f[ja>>2]|256;ja=a+296|0;na=f[ja>>2]|0;if(!na){la=cuc(24)|0;W7a(la);f[ja>>2]=la;oa=la}else oa=na;na=f[c+296>>2]|0;la=na|0?na:539584;na=oa+4|0;ja=f[la+4>>2]|0;if(ja&1|0){e=f[na>>2]|0;if(!(e&1))pa=OOa(na)|0;else pa=e&-2;hbc(pa,ja&-2)}ja=f[la+8>>2]|0;if(ja&3|0){if(ja&1|0)f[oa+16>>2]=f[la+16>>2];if(ja&2|0)f[oa+20>>2]=f[la+20>>2];la=oa+8|0;f[la>>2]=f[la>>2]|ja}}if(S&512|0){ja=a+12|0;f[ja>>2]=f[ja>>2]|512;ja=a+300|0;la=f[ja>>2]|0;if(!la){oa=cuc(28)|0;hdb(oa);f[ja>>2]=oa;qa=oa}else qa=la;la=f[c+300>>2]|0;oa=la|0?la:538136;la=qa+4|0;ja=f[oa+4>>2]|0;if(ja&1|0){pa=f[la>>2]|0;if(!(pa&1))ra=OOa(la)|0;else ra=pa&-2;hbc(ra,ja&-2)}ja=f[oa+8>>2]|0;if(ja&15|0){if(ja&1|0)b[qa+16>>0]=b[oa+16>>0]|0;if(ja&2|0)b[qa+17>>0]=b[oa+17>>0]|0;if(ja&4|0)f[qa+20>>2]=f[oa+20>>2];if(ja&8|0)f[qa+24>>2]=f[oa+24>>2];oa=qa+8|0;f[oa>>2]=f[oa>>2]|ja}}if(S&1024|0){ja=a+12|0;f[ja>>2]=f[ja>>2]|1024;ja=a+304|0;oa=f[ja>>2]|0;if(!oa){qa=cuc(20)|0;Abb(qa);f[ja>>2]=qa;sa=qa}else sa=oa;oa=f[c+304>>2]|0;qa=oa|0?oa:538664;oa=sa+4|0;ja=f[qa+4>>2]|0;if(ja&1|0){ra=f[oa>>2]|0;if(!(ra&1))ta=OOa(oa)|0;else ta=ra&-2;hbc(ta,ja&-2)}if(f[qa+8>>2]&1|0){ja=f[qa+16>>2]|0;qa=sa+8|0;f[qa>>2]=f[qa>>2]|1;f[sa+16>>2]=ja}}if(S&2048|0){ja=a+12|0;f[ja>>2]=f[ja>>2]|2048;ja=a+308|0;sa=f[ja>>2]|0;if(!sa){qa=cuc(28)|0;Scb(qa);f[ja>>2]=qa;ua=qa}else ua=sa;sa=f[c+308>>2]|0;Rcb(ua,sa|0?sa:538168)}if(S&4096|0){sa=a+12|0;f[sa>>2]=f[sa>>2]|4096;sa=a+312|0;ua=f[sa>>2]|0;if(!ua){qa=cuc(36)|0;m8a(qa);f[sa>>2]=qa;va=qa}else va=ua;ua=f[c+312>>2]|0;l8a(va,ua|0?ua:539432)}if(S&8192|0){ua=a+12|0;f[ua>>2]=f[ua>>2]|8192;ua=a+316|0;va=f[ua>>2]|0;if(!va){qa=cuc(32)|0;Cab(qa);f[ua>>2]=qa;wa=qa}else wa=va;va=f[c+316>>2]|0;qa=va|0?va:538992;va=wa+4|0;ua=f[qa+4>>2]|0;if(ua&1|0){sa=f[va>>2]|0;if(!(sa&1))xa=OOa(va)|0;else xa=sa&-2;hbc(xa,ua&-2)}J1a(wa+16|0,qa+16|0)}if(S&16384|0){qa=a+12|0;f[qa>>2]=f[qa>>2]|16384;qa=a+320|0;wa=f[qa>>2]|0;if(!wa){ua=cuc(32)|0;Acb(ua);f[qa>>2]=ua;ya=ua}else ya=wa;wa=f[c+320>>2]|0;zcb(ya,wa|0?wa:538344)}if(S&32768|0){wa=a+12|0;f[wa>>2]=f[wa>>2]|32768;wa=a+324|0;ya=f[wa>>2]|0;if(!ya){ua=cuc(20)|0;W9a(ua);f[wa>>2]=ua;za=ua}else za=ya;ya=f[c+324>>2]|0;V9a(za,ya|0?ya:539152)}}do if(S&16711680|0){if(S&65536|0){ya=a+12|0;f[ya>>2]=f[ya>>2]|65536;ya=a+328|0;za=f[ya>>2]|0;if(!za){ua=cuc(32)|0;l9a(ua);f[ya>>2]=ua;Aa=ua}else Aa=za;za=f[c+328>>2]|0;k9a(Aa,za|0?za:539312)}if(S&131072|0){za=a+12|0;f[za>>2]=f[za>>2]|131072;za=a+332|0;ua=f[za>>2]|0;if(!ua){ya=cuc(52)|0;Adb(ya);f[za>>2]=ya;Ba=ya}else Ba=ua;ua=f[c+332>>2]|0;Bdb(Ba,ua|0?ua:536920)}if(S&262144|0){ua=a+12|0;f[ua>>2]=f[ua>>2]|262144;ua=a+336|0;ya=f[ua>>2]|0;if(!ya){za=cuc(28)|0;Cdb(za);f[ua>>2]=za;Ca=za}else Ca=ya;ya=f[c+336>>2]|0;za=ya|0?ya:536728;ya=Ca+4|0;ua=f[za+4>>2]|0;if(ua&1|0){wa=f[ya>>2]|0;if(!(wa&1))Da=OOa(ya)|0;else Da=wa&-2;hbc(Da,ua&-2)}ua=Ca+16|0;wa=za+16|0;ya=f[wa>>2]|0;if(ya|0){UEa(ua,(f[ua>>2]|0)+ya|0);szc((f[Ca+24>>2]|0)+4+(f[ua>>2]<<2)|0,(f[za+24>>2]|0)+4|0,f[wa>>2]<<2|0)|0;f[ua>>2]=(f[ua>>2]|0)+(f[wa>>2]|0)}}if(S&524288|0){wa=a+12|0;f[wa>>2]=f[wa>>2]|524288;wa=a+340|0;ua=f[wa>>2]|0;if(!ua){za=cuc(28)|0;Ddb(za);f[wa>>2]=za;Ea=za}else Ea=ua;ua=f[c+340>>2]|0;Edb(Ea,ua|0?ua:536760)}if(S&1048576|0){ua=a+12|0;f[ua>>2]=f[ua>>2]|1048576;ua=a+344|0;za=f[ua>>2]|0;if(!za){wa=cuc(128)|0;Fdb(wa);f[ua>>2]=wa;Fa=wa}else Fa=za;za=f[c+344>>2]|0;Gdb(Fa,za|0?za:536792)}if(S&2097152|0){za=a+12|0;f[za>>2]=f[za>>2]|2097152;za=a+348|0;wa=f[za>>2]|0;if(!wa){ua=cuc(64)|0;EWa(ua);f[za>>2]=ua;Ga=ua}else Ga=wa;wa=f[c+348>>2]|0;CWa(Ga,wa|0?wa:540328)}do if(S&4194304|0){wa=a+12|0;f[wa>>2]=f[wa>>2]|4194304;wa=a+352|0;ua=f[wa>>2]|0;if(!ua){za=cuc(28)|0;lWa(za);f[wa>>2]=za;Ha=za}else Ha=ua;ua=f[c+352>>2]|0;za=ua|0?ua:540392;ua=Ha+4|0;wa=f[za+4>>2]|0;if(wa&1|0){ya=f[ua>>2]|0;if(!(ya&1))Ia=OOa(ua)|0;else Ia=ya&-2;hbc(Ia,wa&-2)}wa=f[za+8>>2]|0;if(!(wa&7))break;if(wa&1|0)f[Ha+16>>2]=f[za+16>>2];if(wa&2|0)f[Ha+20>>2]=f[za+20>>2];if(wa&4|0)f[Ha+24>>2]=f[za+24>>2];za=Ha+8|0;f[za>>2]=f[za>>2]|wa}while(0);if(S&8388608|0){wa=a+12|0;f[wa>>2]=f[wa>>2]|8388608;wa=a+356|0;za=f[wa>>2]|0;if(!za){ya=cuc(28)|0;VWa(ya);f[wa>>2]=ya;Ja=ya}else Ja=za;za=f[c+356>>2]|0;ya=za|0?za:540296;za=Ja+4|0;wa=f[ya+4>>2]|0;if(wa&1|0){ua=f[za>>2]|0;if(!(ua&1))Ka=OOa(za)|0;else Ka=ua&-2;hbc(Ka,wa&-2)}wa=f[ya+8>>2]|0;if(!(wa&7))break;if(wa&1|0)f[Ja+16>>2]=f[ya+16>>2];if(wa&2|0)f[Ja+20>>2]=f[ya+20>>2];if(wa&4|0)f[Ja+24>>2]=f[ya+24>>2];ya=Ja+8|0;f[ya>>2]=f[ya>>2]|wa}}while(0);if(!(S&16777216))return;S=f[c+360>>2]|0;c=a+12|0;f[c>>2]=f[c>>2]|16777216;f[a+360>>2]=S;return}function zdb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=f[b+4>>2]|0;if(!c)return;d=f[b+12>>2]|0;b=KKb(a,c)|0;e=a+12|0;g=a+4|0;h=(f[f[e>>2]>>2]|0)-(f[g>>2]|0)|0;if((h|0)>0&(c|0)>0){i=0;do{Seb(f[d+4+(i<<2)>>2]|0,f[b+(i<<2)>>2]|0);i=i+1|0}while((i|0)<(h|0)&(i|0)<(c|0))}i=f[a>>2]|0;a:do if((h|0)<(c|0)){a=i+64|0;if(!i){j=h;while(1){k=f[d+4+(j<<2)>>2]|0;l=cuc(32)|0;Reb(l);Seb(k,l);f[b+(j<<2)>>2]=l;j=j+1|0;if((j|0)>=(c|0))break a}}else m=h;do{j=f[d+4+(m<<2)>>2]|0;if(f[a>>2]|0)HIb(i,20600,32);l=GIb(i,32,1968)|0;Reb(l);Seb(j,l);f[b+(m<<2)>>2]=l;m=m+1|0}while((m|0)!=(c|0))}while(0);m=(f[g>>2]|0)+c|0;f[g>>2]=m;g=f[e>>2]|0;if((f[g>>2]|0)>=(m|0))return;f[g>>2]=m;return}function Adb(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=128996;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=536920?(f[224789]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=29;b[d+8>>0]=0;xLb(899156,d);QKb(d)}d=a+12|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;f[d+16>>2]=0;f[d+20>>2]=0;f[d+24>>2]=0;f[a+40>>2]=-1;f[a+44>>2]=1;b[a+48>>0]=1;b[a+49>>0]=1;u=c;return}function Bdb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;d=a+4|0;e=f[c+4>>2]|0;if(e&1|0){g=f[d>>2]|0;if(!(g&1))h=OOa(d)|0;else h=g&-2;hbc(h,e&-2)}e=f[c+8>>2]|0;if(e&255|0){if(e&1|0){h=a+8|0;f[h>>2]=f[h>>2]|1;h=a+16|0;g=f[h>>2]|0;if(!g){d=cuc(28)|0;icb(d);f[h>>2]=d;i=d}else i=g;g=f[c+16>>2]|0;d=g|0?g:538432;g=i+4|0;h=f[d+4>>2]|0;if(h&1|0){j=f[g>>2]|0;if(!(j&1))k=OOa(g)|0;else k=j&-2;hbc(k,h&-2)}h=f[d+8>>2]|0;if(h&7|0){if(h&1|0)f[i+16>>2]=f[d+16>>2];if(h&2|0)f[i+20>>2]=f[d+20>>2];if(h&4|0)f[i+24>>2]=f[d+24>>2];d=i+8|0;f[d>>2]=f[d>>2]|h}}if(e&2|0){h=a+8|0;f[h>>2]=f[h>>2]|2;h=a+20|0;d=f[h>>2]|0;if(!d){i=cuc(40)|0;Sbb(i);f[h>>2]=i;l=i}else l=d;d=f[c+20>>2]|0;Rbb(l,d|0?d:538464)}if(e&4|0)f[a+24>>2]=f[c+24>>2];if(e&8|0)f[a+28>>2]=f[c+28>>2];if(e&16|0)b[a+32>>0]=b[c+32>>0]|0;if(e&32|0)f[a+36>>2]=f[c+36>>2];if(e&64|0)f[a+40>>2]=f[c+40>>2];if(e&128|0)f[a+44>>2]=f[c+44>>2];d=a+8|0;f[d>>2]=f[d>>2]|e}if(!(e&768))return;if(e&256|0)b[a+48>>0]=b[c+48>>0]|0;if(e&512|0)b[a+49>>0]=b[c+49>>0]|0;c=a+8|0;f[c>>2]=f[c>>2]|e;return}function Cdb(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=128888;f[a+4>>2]=0;f[a+8>>2]=0;f[a+16>>2]=0;f[a+20>>2]=0;f[a+24>>2]=0;if((a|0)!=536728?(f[224786]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=26;b[d+8>>0]=0;xLb(899144,d);QKb(d)}f[a+12>>2]=0;u=c;return}function Ddb(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=128780;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=536760?(f[224787]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=27;b[d+8>>0]=0;xLb(899148,d);QKb(d)}f[a+12>>2]=0;f[a+16>>2]=0;b[a+20>>0]=1;b[a+21>>0]=1;n[a+24>>2]=1.000000013351432e-10;u=c;return}function Edb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0;d=a+4|0;e=f[c+4>>2]|0;if(e&1|0){g=f[d>>2]|0;if(!(g&1))h=OOa(d)|0;else h=g&-2;hbc(h,e&-2)}e=f[c+8>>2]|0;if(!(e&15))return;if(e&1|0){h=a+8|0;f[h>>2]=f[h>>2]|1;h=a+16|0;g=f[h>>2]|0;if(!g){d=cuc(48)|0;DXa(d);f[h>>2]=d;i=d}else i=g;g=f[c+16>>2]|0;EXa(i,g|0?g:537032)}if(e&2|0)b[a+20>>0]=b[c+20>>0]|0;if(e&4|0)b[a+21>>0]=b[c+21>>0]|0;if(e&8|0)f[a+24>>2]=f[c+24>>2];c=a+8|0;f[c>>2]=f[c>>2]|e;return}function Fdb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0;c=u;u=u+16|0;d=c;f[a>>2]=128672;f[a+4>>2]=0;f[a+8>>2]=0;e=(a|0)==536792;g=a+16|0;h=g+72|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));if(!e?(f[224788]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=28;b[d+8>>0]=0;xLb(899152,d);QKb(d)}f[a+12>>2]=0;d=a+88|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;f[d+16>>2]=0;f[d+20>>2]=0;f[d+24>>2]=0;f[d+28>>2]=0;b[a+120>>0]=1;b[a+121>>0]=1;n[a+124>>2]=.5;u=c;return}function Gdb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;d=a+4|0;e=f[c+4>>2]|0;if(e&1|0){g=f[d>>2]|0;if(!(g&1))h=OOa(d)|0;else h=g&-2;hbc(h,e&-2)}e=a+16|0;h=c+16|0;g=f[h>>2]|0;if(g|0){REa(e,(f[e>>2]|0)+g|0);szc((f[a+24>>2]|0)+4+(f[e>>2]<<2)|0,(f[c+24>>2]|0)+4|0,f[h>>2]<<2|0)|0;f[e>>2]=(f[e>>2]|0)+(f[h>>2]|0)}h=a+28|0;e=c+28|0;g=f[e>>2]|0;if(g|0){REa(h,(f[h>>2]|0)+g|0);szc((f[a+36>>2]|0)+4+(f[h>>2]<<2)|0,(f[c+36>>2]|0)+4|0,f[e>>2]<<2|0)|0;f[h>>2]=(f[h>>2]|0)+(f[e>>2]|0)}e=a+40|0;h=c+40|0;g=f[h>>2]|0;if(g|0){REa(e,(f[e>>2]|0)+g|0);szc((f[a+48>>2]|0)+4+(f[e>>2]<<2)|0,(f[c+48>>2]|0)+4|0,f[h>>2]<<2|0)|0;f[e>>2]=(f[e>>2]|0)+(f[h>>2]|0)}h=a+52|0;e=c+52|0;g=f[e>>2]|0;if(g|0){REa(h,(f[h>>2]|0)+g|0);szc((f[a+60>>2]|0)+4+(f[h>>2]<<2)|0,(f[c+60>>2]|0)+4|0,f[e>>2]<<2|0)|0;f[h>>2]=(f[h>>2]|0)+(f[e>>2]|0)}e=a+64|0;h=c+64|0;g=f[h>>2]|0;if(g|0){REa(e,(f[e>>2]|0)+g|0);szc((f[a+72>>2]|0)+4+(f[e>>2]<<2)|0,(f[c+72>>2]|0)+4|0,f[h>>2]<<2|0)|0;f[e>>2]=(f[e>>2]|0)+(f[h>>2]|0)}h=a+76|0;e=c+76|0;g=f[e>>2]|0;if(g|0){REa(h,(f[h>>2]|0)+g|0);szc((f[a+84>>2]|0)+4+(f[h>>2]<<2)|0,(f[c+84>>2]|0)+4|0,f[e>>2]<<2|0)|0;f[h>>2]=(f[h>>2]|0)+(f[e>>2]|0)}e=f[c+8>>2]|0;if(e&255|0){if(e&1|0)f[a+88>>2]=f[c+88>>2];if(e&2|0)f[a+92>>2]=f[c+92>>2];if(e&4|0)f[a+96>>2]=f[c+96>>2];if(e&8|0)f[a+100>>2]=f[c+100>>2];if(e&16|0)f[a+104>>2]=f[c+104>>2];if(e&32|0)f[a+108>>2]=f[c+108>>2];if(e&64|0)f[a+112>>2]=f[c+112>>2];if(e&128|0)f[a+116>>2]=f[c+116>>2];h=a+8|0;f[h>>2]=f[h>>2]|e}if(!(e&1792))return;if(e&256|0)b[a+120>>0]=b[c+120>>0]|0;if(e&512|0)b[a+121>>0]=b[c+121>>0]|0;if(e&1024|0)f[a+124>>2]=f[c+124>>2];c=a+8|0;f[c>>2]=f[c>>2]|e;return}function Hdb(a){a=a|0;var b=0,c=0;f[a>>2]=128672;b=f[a+84>>2]|0;if(b|0?(f[b>>2]|0)==0:0)fuc(b);b=f[a+72>>2]|0;if(b|0?(f[b>>2]|0)==0:0)fuc(b);b=f[a+60>>2]|0;if(b|0?(f[b>>2]|0)==0:0)fuc(b);b=f[a+48>>2]|0;if(b|0?(f[b>>2]|0)==0:0)fuc(b);b=f[a+36>>2]|0;if(b|0?(f[b>>2]|0)==0:0)fuc(b);b=f[a+24>>2]|0;if(b|0?(f[b>>2]|0)==0:0)fuc(b);b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(c);f[b>>2]=0;return}function Idb(a){a=a|0;Hdb(a);fuc(a);return}function Jdb(a){a=a|0;a=cuc(128)|0;Fdb(a);return a|0}function Kdb(a,b){a=a|0;b=b|0;a=cuc(128)|0;Fdb(a);if(!b)return a|0;Wdb(b,a);return a|0}function Ldb(a){a=a|0;var c=0,d=0,e=0;f[a+16>>2]=0;f[a+28>>2]=0;f[a+40>>2]=0;f[a+52>>2]=0;f[a+64>>2]=0;f[a+76>>2]=0;c=a+8|0;d=f[c>>2]|0;if(d&255|0){e=a+88|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;f[e+16>>2]=0;f[e+20>>2]=0;f[e+24>>2]=0;f[e+28>>2]=0}if(d&1792|0){b[a+120>>0]=1;b[a+121>>0]=1;n[a+124>>2]=.5}f[c>>2]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;ebc(a);return}function Mdb(a){a=a|0;return 1}function Ndb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0;d=u;u=u+16|0;e=d;g=c+4|0;i=a+8|0;j=a+88|0;k=a+92|0;l=a+16|0;m=a+20|0;n=a+24|0;o=a+120|0;p=e+8|0;q=a+121|0;r=e+8|0;s=a+28|0;t=a+32|0;v=a+36|0;w=a+96|0;x=a+100|0;y=a+104|0;z=a+108|0;A=a+112|0;B=a+116|0;C=a+124|0;D=a+40|0;E=a+44|0;F=a+48|0;G=a+52|0;H=a+56|0;I=a+60|0;K=a+64|0;L=a+68|0;M=a+72|0;N=a+76|0;O=a+80|0;P=a+84|0;Q=a+4|0;a:while(1){a=f[c>>2]|0;R=f[g>>2]|0;do if(a>>>0<R>>>0){S=b[a>>0]|0;T=S&255;U=a+1|0;if(S<<24>>24>0){V=U;W=T}else{if(U>>>0>=R>>>0){X=T;Y=7;break}S=h[U>>0]|0;if(((S^128)&T)>>>0<=127){X=T;Y=7;break}V=a+2|0;W=T+-128+(S<<7)|0}f[c>>2]=V;Z=W;Y=9}else{X=0;Y=7}while(0);if((Y|0)==7){Y=0;a=OJb(c,X)|0;if((a+-1|0)>>>0<16383){Z=a;Y=9}else _=a}b:do if((Y|0)==9){Y=0;do switch(Z>>>3&536870911|0){case 1:{if((Z&255|0)!=13){_=Z;break b}f[i>>2]=f[i>>2]|1;a=f[c>>2]|0;if(((f[g>>2]|0)-a|0)>3){R=a;S=h[R>>0]|h[R+1>>0]<<8|h[R+2>>0]<<16|h[R+3>>0]<<24;f[e>>2]=S;f[c>>2]=a+4;$=S}else{if(!(LJb(c,e)|0)){Y=16;break a}$=f[e>>2]|0}f[j>>2]=$;continue a;break}case 2:{if((Z&255|0)!=21){_=Z;break b}f[i>>2]=f[i>>2]|2;S=f[c>>2]|0;if(((f[g>>2]|0)-S|0)>3){a=S;R=h[a>>0]|h[a+1>>0]<<8|h[a+2>>0]<<16|h[a+3>>0]<<24;f[e>>2]=R;f[c>>2]=S+4;aa=R}else{if(!(LJb(c,e)|0)){Y=23;break a}aa=f[e>>2]|0}f[k>>2]=aa;continue a;break}case 3:{switch((Z&255)<<24>>24){case 29:break;case 26:{if(DWa(c,l)|0)continue a;else{ba=0;Y=188;break a}break}default:{_=Z;break b}}R=f[c>>2]|0;if(((f[g>>2]|0)-R|0)>3){S=R;a=h[S>>0]|h[S+1>>0]<<8|h[S+2>>0]<<16|h[S+3>>0]<<24;f[e>>2]=a;f[c>>2]=R+4;ca=a}else{if(!(LJb(c,e)|0)){Y=39;break a}ca=f[e>>2]|0}a=f[l>>2]|0;if((a|0)==(f[m>>2]|0)){REa(l,a+1|0);da=f[l>>2]|0}else da=a;a=f[n>>2]|0;R=da+1|0;f[l>>2]=R;f[a+4+(da<<2)>>2]=ca;S=f[c>>2]|0;T=(f[g>>2]|0)-S|0;if((T|0)<=0)continue a;U=S;S=(f[m>>2]|0)-R|0;ea=(T>>>0)/5|0;fa=(ea|0)<(S|0)?ea:S;if((fa|0)>0){ga=0;ha=U;ia=R}else continue a;while(1){if((b[ha>>0]|0)!=29){ja=ga;break}R=ha+1|0;S=h[R>>0]|h[R+1>>0]<<8|h[R+2>>0]<<16|h[R+3>>0]<<24;R=ia;ia=ia+1|0;f[l>>2]=ia;f[a+4+(R<<2)>>2]=S;S=ga+1|0;if((S|0)>=(fa|0)){ja=S;break}else{ga=S;ha=ha+5|0}}fa=ja*5|0;if((ja|0)<=0)continue a;if((T|0)<(fa|0)){HJb(c,fa,T)|0;continue a}else{f[c>>2]=U+fa;continue a}break}case 4:{if((Z&255|0)!=32){_=Z;break b}f[i>>2]=f[i>>2]|256;fa=f[c>>2]|0;if(fa>>>0<(f[g>>2]|0)>>>0?(a=b[fa>>0]|0,a<<24>>24>-1):0){f[c>>2]=fa+1;ka=a<<24>>24!=0}else{AJb(e,c);a=e;if(!(b[p>>0]|0)){ba=0;Y=188;break a}else ka=(f[a>>2]|0)!=0|(f[a+4>>2]|0)!=0}b[o>>0]=ka&1;continue a;break}case 5:{if((Z&255|0)!=40){_=Z;break b}f[i>>2]=f[i>>2]|512;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(fa=b[a>>0]|0,fa<<24>>24>-1):0){f[c>>2]=a+1;la=fa<<24>>24!=0}else{AJb(e,c);fa=e;if(!(b[r>>0]|0)){ba=0;Y=188;break a}else la=(f[fa>>2]|0)!=0|(f[fa+4>>2]|0)!=0}b[q>>0]=la&1;continue a;break}case 6:{switch((Z&255)<<24>>24){case 53:break;case 50:{if(DWa(c,s)|0)continue a;else{ba=0;Y=188;break a}break}default:{_=Z;break b}}fa=f[c>>2]|0;if(((f[g>>2]|0)-fa|0)>3){a=fa;S=h[a>>0]|h[a+1>>0]<<8|h[a+2>>0]<<16|h[a+3>>0]<<24;f[e>>2]=S;f[c>>2]=fa+4;ma=S}else{if(!(LJb(c,e)|0)){Y=68;break a}ma=f[e>>2]|0}S=f[s>>2]|0;if((S|0)==(f[t>>2]|0)){REa(s,S+1|0);na=f[s>>2]|0}else na=S;S=f[v>>2]|0;fa=na+1|0;f[s>>2]=fa;f[S+4+(na<<2)>>2]=ma;a=f[c>>2]|0;R=(f[g>>2]|0)-a|0;if((R|0)<=0)continue a;ea=a;a=(f[t>>2]|0)-fa|0;oa=(R>>>0)/5|0;pa=(oa|0)<(a|0)?oa:a;if((pa|0)>0){qa=0;ra=ea;sa=fa}else continue a;while(1){if((b[ra>>0]|0)!=53){ta=qa;break}fa=ra+1|0;a=h[fa>>0]|h[fa+1>>0]<<8|h[fa+2>>0]<<16|h[fa+3>>0]<<24;fa=sa;sa=sa+1|0;f[s>>2]=sa;f[S+4+(fa<<2)>>2]=a;a=qa+1|0;if((a|0)>=(pa|0)){ta=a;break}else{qa=a;ra=ra+5|0}}pa=ta*5|0;if((ta|0)<=0)continue a;if((R|0)<(pa|0)){HJb(c,pa,R)|0;continue a}else{f[c>>2]=ea+pa;continue a}break}case 7:{if((Z&255|0)!=56){_=Z;break b}f[i>>2]=f[i>>2]|4;pa=f[c>>2]|0;if(pa>>>0<(f[g>>2]|0)>>>0){S=b[pa>>0]|0;U=S&255;if(S<<24>>24>-1){f[w>>2]=U;f[c>>2]=pa+1;continue a}else ua=U}else ua=0;U=zJb(c,ua)|0;pa=J;f[w>>2]=U;if((pa|0)>-1|(pa|0)==-1&U>>>0>4294967295)continue a;else{ba=0;Y=188;break a}break}case 8:{if((Z&255|0)!=64){_=Z;break b}f[i>>2]=f[i>>2]|8;U=f[c>>2]|0;if(U>>>0<(f[g>>2]|0)>>>0){pa=b[U>>0]|0;S=pa&255;if(pa<<24>>24>-1){f[x>>2]=S;f[c>>2]=U+1;continue a}else va=S}else va=0;S=zJb(c,va)|0;U=J;f[x>>2]=S;if((U|0)>-1|(U|0)==-1&S>>>0>4294967295)continue a;else{ba=0;Y=188;break a}break}case 9:{if((Z&255|0)!=72){_=Z;break b}f[i>>2]=f[i>>2]|16;S=f[c>>2]|0;if(S>>>0<(f[g>>2]|0)>>>0){U=b[S>>0]|0;pa=U&255;if(U<<24>>24>-1){f[y>>2]=pa;f[c>>2]=S+1;continue a}else wa=pa}else wa=0;pa=zJb(c,wa)|0;S=J;f[y>>2]=pa;if((S|0)>-1|(S|0)==-1&pa>>>0>4294967295)continue a;else{ba=0;Y=188;break a}break}case 10:{if((Z&255|0)!=85){_=Z;break b}f[i>>2]=f[i>>2]|32;pa=f[c>>2]|0;if(((f[g>>2]|0)-pa|0)>3){S=pa;U=h[S>>0]|h[S+1>>0]<<8|h[S+2>>0]<<16|h[S+3>>0]<<24;f[e>>2]=U;f[c>>2]=pa+4;xa=U}else{if(!(LJb(c,e)|0)){Y=91;break a}xa=f[e>>2]|0}f[z>>2]=xa;continue a;break}case 11:{if((Z&255|0)!=93){_=Z;break b}f[i>>2]=f[i>>2]|64;U=f[c>>2]|0;if(((f[g>>2]|0)-U|0)>3){pa=U;S=h[pa>>0]|h[pa+1>>0]<<8|h[pa+2>>0]<<16|h[pa+3>>0]<<24;f[e>>2]=S;f[c>>2]=U+4;ya=S}else{if(!(LJb(c,e)|0)){Y=98;break a}ya=f[e>>2]|0}f[A>>2]=ya;continue a;break}case 12:{if((Z&255|0)!=101){_=Z;break b}f[i>>2]=f[i>>2]|128;S=f[c>>2]|0;if(((f[g>>2]|0)-S|0)>3){U=S;pa=h[U>>0]|h[U+1>>0]<<8|h[U+2>>0]<<16|h[U+3>>0]<<24;f[e>>2]=pa;f[c>>2]=S+4;za=pa}else{if(!(LJb(c,e)|0)){Y=105;break a}za=f[e>>2]|0}f[B>>2]=za;continue a;break}case 13:{if((Z&255|0)!=109){_=Z;break b}f[i>>2]=f[i>>2]|1024;pa=f[c>>2]|0;if(((f[g>>2]|0)-pa|0)>3){S=pa;U=h[S>>0]|h[S+1>>0]<<8|h[S+2>>0]<<16|h[S+3>>0]<<24;f[e>>2]=U;f[c>>2]=pa+4;Aa=U}else{if(!(LJb(c,e)|0)){Y=112;break a}Aa=f[e>>2]|0}f[C>>2]=Aa;continue a;break}case 14:{switch((Z&255)<<24>>24){case 117:break;case 114:{if(DWa(c,D)|0)continue a;else{ba=0;Y=188;break a}break}default:{_=Z;break b}}U=f[c>>2]|0;if(((f[g>>2]|0)-U|0)>3){pa=U;S=h[pa>>0]|h[pa+1>>0]<<8|h[pa+2>>0]<<16|h[pa+3>>0]<<24;f[e>>2]=S;f[c>>2]=U+4;Ba=S}else{if(!(LJb(c,e)|0)){Y=128;break a}Ba=f[e>>2]|0}S=f[D>>2]|0;if((S|0)==(f[E>>2]|0)){REa(D,S+1|0);Ca=f[D>>2]|0}else Ca=S;S=f[F>>2]|0;U=Ca+1|0;f[D>>2]=U;f[S+4+(Ca<<2)>>2]=Ba;pa=f[c>>2]|0;T=(f[g>>2]|0)-pa|0;if((T|0)<=0)continue a;a=pa;pa=(f[E>>2]|0)-U|0;fa=(T>>>0)/5|0;oa=(fa|0)<(pa|0)?fa:pa;if((oa|0)>0){Da=0;Ea=a;Fa=U}else continue a;while(1){if((b[Ea>>0]|0)!=117){Ga=Da;break}U=Ea+1|0;pa=h[U>>0]|h[U+1>>0]<<8|h[U+2>>0]<<16|h[U+3>>0]<<24;U=Fa;Fa=Fa+1|0;f[D>>2]=Fa;f[S+4+(U<<2)>>2]=pa;pa=Da+1|0;if((pa|0)>=(oa|0)){Ga=pa;break}else{Da=pa;Ea=Ea+5|0}}oa=Ga*5|0;if((Ga|0)<=0)continue a;if((T|0)<(oa|0)){HJb(c,oa,T)|0;continue a}else{f[c>>2]=a+oa;continue a}break}case 15:{switch((Z&255)<<24>>24){case 125:break;case 122:{if(DWa(c,G)|0)continue a;else{ba=0;Y=188;break a}break}default:{_=Z;break b}}oa=f[c>>2]|0;if(((f[g>>2]|0)-oa|0)>3){S=oa;ea=h[S>>0]|h[S+1>>0]<<8|h[S+2>>0]<<16|h[S+3>>0]<<24;f[e>>2]=ea;f[c>>2]=oa+4;Ha=ea}else{if(!(LJb(c,e)|0)){Y=145;break a}Ha=f[e>>2]|0}ea=f[G>>2]|0;if((ea|0)==(f[H>>2]|0)){REa(G,ea+1|0);Ia=f[G>>2]|0}else Ia=ea;ea=f[I>>2]|0;oa=Ia+1|0;f[G>>2]=oa;f[ea+4+(Ia<<2)>>2]=Ha;S=f[c>>2]|0;R=(f[g>>2]|0)-S|0;if((R|0)<=0)continue a;pa=S;S=(f[H>>2]|0)-oa|0;U=(R>>>0)/5|0;fa=(U|0)<(S|0)?U:S;if((fa|0)>0){Ja=0;Ka=pa;La=oa}else continue a;while(1){if((b[Ka>>0]|0)!=125){Ma=Ja;break}oa=Ka+1|0;S=h[oa>>0]|h[oa+1>>0]<<8|h[oa+2>>0]<<16|h[oa+3>>0]<<24;oa=La;La=La+1|0;f[G>>2]=La;f[ea+4+(oa<<2)>>2]=S;S=Ja+1|0;if((S|0)>=(fa|0)){Ma=S;break}else{Ja=S;Ka=Ka+5|0}}fa=Ma*5|0;if((Ma|0)<=0)continue a;if((R|0)<(fa|0)){HJb(c,fa,R)|0;continue a}else{f[c>>2]=pa+fa;continue a}break}case 16:{switch((Z&255)<<24>>24){case -123:break;case -126:{if(DWa(c,K)|0)continue a;else{ba=0;Y=188;break a}break}default:{_=Z;break b}}fa=f[c>>2]|0;if(((f[g>>2]|0)-fa|0)>3){ea=fa;a=h[ea>>0]|h[ea+1>>0]<<8|h[ea+2>>0]<<16|h[ea+3>>0]<<24;f[e>>2]=a;f[c>>2]=fa+4;Na=a}else{if(!(LJb(c,e)|0)){Y=163;break a}Na=f[e>>2]|0}a=f[K>>2]|0;if((a|0)==(f[L>>2]|0)){REa(K,a+1|0);Oa=f[K>>2]|0}else Oa=a;a=f[M>>2]|0;fa=Oa+1|0;f[K>>2]=fa;f[a+4+(Oa<<2)>>2]=Na;ea=f[c>>2]|0;T=(f[g>>2]|0)-ea|0;if((T|0)<=0)continue a;S=ea;ea=(f[L>>2]|0)-fa|0;oa=(T>>>0)/6|0;U=(oa|0)<(ea|0)?oa:ea;if((U|0)>0){Pa=0;Qa=S;Ra=fa}else continue a;while(1){if((b[Qa>>0]|0)!=-123){Sa=Pa;break}if((b[Qa+1>>0]|0)!=1){Sa=Pa;break}fa=Qa+2|0;ea=h[fa>>0]|h[fa+1>>0]<<8|h[fa+2>>0]<<16|h[fa+3>>0]<<24;fa=Ra;Ra=Ra+1|0;f[K>>2]=Ra;f[a+4+(fa<<2)>>2]=ea;ea=Pa+1|0;if((ea|0)>=(U|0)){Sa=ea;break}else{Pa=ea;Qa=Qa+6|0}}U=Sa*6|0;if((Sa|0)<=0)continue a;if((T|0)<(U|0)){HJb(c,U,T)|0;continue a}else{f[c>>2]=S+U;continue a}break}case 17:{switch((Z&255)<<24>>24){case -115:break;case -118:{if(DWa(c,N)|0)continue a;else{ba=0;Y=188;break a}break}default:{_=Z;break b}}U=f[c>>2]|0;if(((f[g>>2]|0)-U|0)>3){a=U;pa=h[a>>0]|h[a+1>>0]<<8|h[a+2>>0]<<16|h[a+3>>0]<<24;f[e>>2]=pa;f[c>>2]=U+4;Ta=pa}else{if(!(LJb(c,e)|0)){Y=181;break a}Ta=f[e>>2]|0}pa=f[N>>2]|0;if((pa|0)==(f[O>>2]|0)){REa(N,pa+1|0);Ua=f[N>>2]|0}else Ua=pa;pa=f[P>>2]|0;U=Ua+1|0;f[N>>2]=U;f[pa+4+(Ua<<2)>>2]=Ta;a=f[c>>2]|0;R=(f[g>>2]|0)-a|0;if((R|0)<=0)continue a;ea=a;a=(f[O>>2]|0)-U|0;fa=(R>>>0)/6|0;oa=(fa|0)<(a|0)?fa:a;if((oa|0)>0){Va=0;Wa=ea;Xa=U}else continue a;while(1){if((b[Wa>>0]|0)!=-115){Ya=Va;break}if((b[Wa+1>>0]|0)!=1){Ya=Va;break}U=Wa+2|0;a=h[U>>0]|h[U+1>>0]<<8|h[U+2>>0]<<16|h[U+3>>0]<<24;U=Xa;Xa=Xa+1|0;f[N>>2]=Xa;f[pa+4+(U<<2)>>2]=a;a=Va+1|0;if((a|0)>=(oa|0)){Ya=a;break}else{Va=a;Wa=Wa+6|0}}oa=Ya*6|0;if((Ya|0)<=0)continue a;if((R|0)<(oa|0)){HJb(c,oa,R)|0;continue a}else{f[c>>2]=ea+oa;continue a}break}default:{_=Z;break b}}while(0)}while(0);if(!_){ba=1;Y=188;break}oa=f[Q>>2]|0;if(!(oa&1))Za=OOa(Q)|0;else Za=oa&-2;if(!(xbc(c,_,Za)|0)){ba=0;Y=188;break}}switch(Y|0){case 16:{ba=0;u=d;return ba|0}case 23:{ba=0;u=d;return ba|0}case 39:{ba=0;u=d;return ba|0}case 68:{ba=0;u=d;return ba|0}case 91:{ba=0;u=d;return ba|0}case 98:{ba=0;u=d;return ba|0}case 105:{ba=0;u=d;return ba|0}case 112:{ba=0;u=d;return ba|0}case 128:{ba=0;u=d;return ba|0}case 145:{ba=0;u=d;return ba|0}case 163:{ba=0;u=d;return ba|0}case 181:{ba=0;u=d;return ba|0}case 188:{u=d;return ba|0}}return 0}function Odb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=Dbc(b&-2)|0;b=f[a+16>>2]|0;d=f[a+28>>2]|0;e=f[a+40>>2]|0;g=f[a+52>>2]|0;h=f[a+64>>2]|0;i=f[a+76>>2]|0;j=b+c+d+e+g+(i<<2)+(i+h<<1)+(d+b+e+g+h<<2)|0;h=f[a+8>>2]|0;if(!(h&255))k=j;else{g=h&1|0?j+5|0:j;j=h&2|0?g+5|0:g;if(!(h&4))l=j;else l=j+1+((((($(f[a+96>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;if(!(h&8))m=l;else m=l+1+((((($(f[a+100>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;if(!(h&16))n=m;else n=m+1+((((($(f[a+104>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;m=h&32|0?n+5|0:n;n=h&64|0?m+5|0:m;k=h&128|0?n+5|0:n}if(!(h&1792)){o=k;p=a+12|0;f[p>>2]=o;return o|0}n=h&256|0?k+2|0:k;k=h&512|0?n+2|0:n;o=h&1024|0?k+5|0:k;p=a+12|0;f[p>>2]=o;return o|0}function Pdb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;d=f[a+8>>2]|0;if(d&1|0)QLb(1,+n[a+88>>2],c);if(d&2|0)QLb(2,+n[a+92>>2],c);e=f[a+16>>2]|0;if((e|0)>0){g=a+24|0;h=0;do{QLb(3,+n[(f[g>>2]|0)+4+(h<<2)>>2],c);h=h+1|0}while((h|0)!=(e|0))}if(d&256|0)SLb(4,(b[a+120>>0]|0)!=0,c);if(d&512|0)SLb(5,(b[a+121>>0]|0)!=0,c);e=f[a+28>>2]|0;if((e|0)>0){h=a+36|0;g=0;do{QLb(6,+n[(f[h>>2]|0)+4+(g<<2)>>2],c);g=g+1|0}while((g|0)!=(e|0))}if(d&4|0)ILb(7,f[a+96>>2]|0,c);if(d&8|0)ILb(8,f[a+100>>2]|0,c);if(d&16|0)ILb(9,f[a+104>>2]|0,c);if(d&32|0)QLb(10,+n[a+108>>2],c);if(d&64|0)QLb(11,+n[a+112>>2],c);if(d&128|0)QLb(12,+n[a+116>>2],c);if(d&1024|0)QLb(13,+n[a+124>>2],c);d=f[a+40>>2]|0;if((d|0)>0){e=a+48|0;g=0;do{QLb(14,+n[(f[e>>2]|0)+4+(g<<2)>>2],c);g=g+1|0}while((g|0)!=(d|0))}d=f[a+52>>2]|0;if((d|0)>0){g=a+60|0;e=0;do{QLb(15,+n[(f[g>>2]|0)+4+(e<<2)>>2],c);e=e+1|0}while((e|0)!=(d|0))}d=f[a+64>>2]|0;if((d|0)>0){e=a+72|0;g=0;do{QLb(16,+n[(f[e>>2]|0)+4+(g<<2)>>2],c);g=g+1|0}while((g|0)!=(d|0))}d=f[a+76>>2]|0;if((d|0)>0){g=a+84|0;e=0;do{QLb(17,+n[(f[g>>2]|0)+4+(e<<2)>>2],c);e=e+1|0}while((e|0)!=(d|0))}d=f[a+4>>2]|0;if(!(d&1))return;Abc(d&-2,c);return}function Qdb(a){a=a|0;return f[a+12>>2]|0}function Rdb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;c=f[a+8>>2]|0;if(!(c&1))e=d;else{g=f[a+88>>2]|0;b[d>>0]=13;h=d+1|0;b[h>>0]=g;b[h+1>>0]=g>>8;b[h+2>>0]=g>>16;b[h+3>>0]=g>>24;e=d+5|0}if(!(c&2))i=e;else{d=f[a+92>>2]|0;b[e>>0]=21;g=e+1|0;b[g>>0]=d;b[g+1>>0]=d>>8;b[g+2>>0]=d>>16;b[g+3>>0]=d>>24;i=e+5|0}e=f[a+16>>2]|0;if(!e)j=i;else{d=f[a+24>>2]|0;g=0;h=i;while(1){i=f[d+4+(g<<2)>>2]|0;b[h>>0]=29;k=h+1|0;b[k>>0]=i;b[k+1>>0]=i>>8;b[k+2>>0]=i>>16;b[k+3>>0]=i>>24;i=h+5|0;g=g+1|0;if((g|0)>=(e|0)){j=i;break}else h=i}}if(!(c&256))l=j;else{h=b[a+120>>0]|0;b[j>>0]=32;b[j+1>>0]=h;l=j+2|0}if(!(c&512))m=l;else{j=b[a+121>>0]|0;b[l>>0]=40;b[l+1>>0]=j;m=l+2|0}l=f[a+28>>2]|0;if(!l)n=m;else{j=f[a+36>>2]|0;h=0;e=m;while(1){m=f[j+4+(h<<2)>>2]|0;b[e>>0]=53;g=e+1|0;b[g>>0]=m;b[g+1>>0]=m>>8;b[g+2>>0]=m>>16;b[g+3>>0]=m>>24;m=e+5|0;h=h+1|0;if((h|0)>=(l|0)){n=m;break}else e=m}}if(!(c&4))o=n;else{e=f[a+96>>2]|0;b[n>>0]=56;l=n+1|0;if(e>>>0>127){n=e;h=l;while(1){b[h>>0]=n|128;j=n>>>7;m=h+1|0;if(n>>>0>16383){n=j;h=m}else{p=m;q=j;break}}}else{p=l;q=e}b[p>>0]=q;o=p+1|0}if(!(c&8))r=o;else{p=f[a+100>>2]|0;b[o>>0]=64;q=o+1|0;if(p>>>0>127){o=p;e=q;while(1){b[e>>0]=o|128;l=o>>>7;h=e+1|0;if(o>>>0>16383){o=l;e=h}else{s=h;t=l;break}}}else{s=q;t=p}b[s>>0]=t;r=s+1|0}if(!(c&16))u=r;else{s=f[a+104>>2]|0;b[r>>0]=72;t=r+1|0;if(s>>>0>127){r=s;p=t;while(1){b[p>>0]=r|128;q=r>>>7;e=p+1|0;if(r>>>0>16383){r=q;p=e}else{v=e;w=q;break}}}else{v=t;w=s}b[v>>0]=w;u=v+1|0}if(!(c&32))x=u;else{v=f[a+108>>2]|0;b[u>>0]=85;w=u+1|0;b[w>>0]=v;b[w+1>>0]=v>>8;b[w+2>>0]=v>>16;b[w+3>>0]=v>>24;x=u+5|0}if(!(c&64))y=x;else{u=f[a+112>>2]|0;b[x>>0]=93;v=x+1|0;b[v>>0]=u;b[v+1>>0]=u>>8;b[v+2>>0]=u>>16;b[v+3>>0]=u>>24;y=x+5|0}if(!(c&128))z=y;else{x=f[a+116>>2]|0;b[y>>0]=101;u=y+1|0;b[u>>0]=x;b[u+1>>0]=x>>8;b[u+2>>0]=x>>16;b[u+3>>0]=x>>24;z=y+5|0}if(!(c&1024))A=z;else{c=f[a+124>>2]|0;b[z>>0]=109;y=z+1|0;b[y>>0]=c;b[y+1>>0]=c>>8;b[y+2>>0]=c>>16;b[y+3>>0]=c>>24;A=z+5|0}z=f[a+40>>2]|0;if(!z)B=A;else{c=f[a+48>>2]|0;y=0;x=A;while(1){A=f[c+4+(y<<2)>>2]|0;b[x>>0]=117;u=x+1|0;b[u>>0]=A;b[u+1>>0]=A>>8;b[u+2>>0]=A>>16;b[u+3>>0]=A>>24;A=x+5|0;y=y+1|0;if((y|0)>=(z|0)){B=A;break}else x=A}}x=f[a+52>>2]|0;if(!x)C=B;else{z=f[a+60>>2]|0;y=0;c=B;while(1){B=f[z+4+(y<<2)>>2]|0;b[c>>0]=125;A=c+1|0;b[A>>0]=B;b[A+1>>0]=B>>8;b[A+2>>0]=B>>16;b[A+3>>0]=B>>24;B=c+5|0;y=y+1|0;if((y|0)>=(x|0)){C=B;break}else c=B}}c=f[a+64>>2]|0;if(!c)D=C;else{x=f[a+72>>2]|0;y=0;z=C;while(1){C=f[x+4+(y<<2)>>2]|0;b[z>>0]=-123;b[z+1>>0]=1;B=z+2|0;b[B>>0]=C;b[B+1>>0]=C>>8;b[B+2>>0]=C>>16;b[B+3>>0]=C>>24;C=z+6|0;y=y+1|0;if((y|0)>=(c|0)){D=C;break}else z=C}}z=f[a+76>>2]|0;if(!z)E=D;else{c=f[a+84>>2]|0;y=0;x=D;while(1){D=f[c+4+(y<<2)>>2]|0;b[x>>0]=-115;b[x+1>>0]=1;C=x+2|0;b[C>>0]=D;b[C+1>>0]=D>>8;b[C+2>>0]=D>>16;b[C+3>>0]=D>>24;D=x+6|0;y=y+1|0;if((y|0)>=(z|0)){E=D;break}else x=D}}x=f[a+4>>2]|0;if(!(x&1)){F=E;return F|0}F=Bbc(x&-2,E)|0;return F|0}function Sdb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;if((a|0)==(c|0))return;f[a+16>>2]=0;f[a+28>>2]=0;f[a+40>>2]=0;f[a+52>>2]=0;f[a+64>>2]=0;f[a+76>>2]=0;d=a+8|0;e=f[d>>2]|0;if(e&255|0){g=a+88|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;f[g+16>>2]=0;f[g+20>>2]=0;f[g+24>>2]=0;f[g+28>>2]=0}if(e&1792|0){b[a+120>>0]=1;b[a+121>>0]=1;n[a+124>>2]=.5}f[d>>2]=0;d=f[a+4>>2]|0;if(d&1|0?(e=d&-2,f[e>>2]|0):0)ebc(e);e=ovc(c,24728,20536,0)|0;if(!e){A9b(c,a);return}else{Gdb(a,e);return}}function Tdb(a,b){a=a|0;b=b|0;var c=0;c=ovc(b,24728,20536,0)|0;if(!c){A9b(b,a);return}else{Gdb(a,c);return}}function Udb(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function Vdb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224781]|0)!=2){f[d>>2]=151624;f[d+4>>2]=21;b[d+8>>0]=0;xLb(899124,d);QKb(d)}d=540544;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function Wdb(a,b){a=a|0;b=b|0;if(!b)return;EIb(a,b,1978);return}function Xdb(a){a=a|0;var b=0,c=0;f[a>>2]=128780;if((a|0)!=536760?(b=f[a+16>>2]|0,b|0):0)bi[f[(f[b>>2]|0)+4>>2]&2047](b);b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(c);f[b>>2]=0;return}function Ydb(a){a=a|0;var b=0,c=0;f[a>>2]=128780;if((a|0)!=536760?(b=f[a+16>>2]|0,b|0):0)bi[f[(f[b>>2]|0)+4>>2]&2047](b);b=f[a+4>>2]|0;if(!(b&1)){fuc(a);return}c=b&-2;b=c;if((c|0)==0|(f[b+4>>2]|0)!=0){fuc(a);return}if(f[b>>2]|0)ebc(b);fuc(c);fuc(a);return}function Zdb(a){a=a|0;a=cuc(28)|0;Ddb(a);return a|0}function _db(a,b){a=a|0;b=b|0;a=cuc(28)|0;Ddb(a);if(!b)return a|0;keb(b,a);return a|0}function $db(a){a=a|0;var c=0,d=0,e=0,g=0;c=a+8|0;d=f[c>>2]|0;if(d&15|0){if(d&1|0){d=f[a+16>>2]|0;e=d+8|0;g=f[e>>2]|0;if(g&1|0)ruc(f[d+16>>2]|0,540424)|0;if(g&254|0){g=d+20|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;f[d+36>>2]=-1;n[d+40>>2]=1.0;n[d+44>>2]=1.0}f[e>>2]=0;e=f[d+4>>2]|0;if(e&1|0?(d=e&-2,f[d>>2]|0):0)ebc(d)}b[a+20>>0]=1;b[a+21>>0]=1;n[a+24>>2]=1.000000013351432e-10}f[c>>2]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;ebc(a);return}function aeb(a){a=a|0;return 1}function beb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;d=u;u=u+16|0;e=d;g=c+4|0;i=a+8|0;j=a+20|0;k=e+8|0;l=a+16|0;m=e+4|0;n=a+21|0;o=e+8|0;p=a+24|0;q=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){r=b[a>>0]|0;s=r&255;if(r<<24>>24>0){f[c>>2]=a+1;t=s;v=6}else{w=s;v=5}}else{w=0;v=5}if((v|0)==5){v=0;s=OJb(c,w)|0;if((s+-1|0)>>>0<127){t=s;v=6}else x=s}b:do if((v|0)==6){v=0;switch(t>>>3&536870911|0){case 1:{if((t&255|0)!=8){x=t;break b}f[i>>2]=f[i>>2]|2;s=f[c>>2]|0;if(s>>>0<(f[g>>2]|0)>>>0?(a=b[s>>0]|0,a<<24>>24>-1):0){f[c>>2]=s+1;y=a<<24>>24!=0}else{AJb(e,c);a=e;if(!(b[k>>0]|0)){z=0;v=42;break a}else y=(f[a>>2]|0)!=0|(f[a+4>>2]|0)!=0}b[j>>0]=y&1;continue a;break}case 2:{if((t&255|0)!=18){x=t;break b}f[i>>2]=f[i>>2]|1;a=f[l>>2]|0;if(!a){s=cuc(48)|0;DXa(s);f[l>>2]=s;A=s}else A=a;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(s=b[a>>0]|0,s<<24>>24>-1):0){f[c>>2]=a+1;B=s&255}else{s=NJb(c)|0;if((s|0)>-1)B=s;else{z=0;v=42;break a}}yJb(e,c,B);if((f[m>>2]|0)<0){v=22;break a}if(!(Th[f[(f[A>>2]|0)+44>>2]&1023](A,c)|0)){v=22;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{z=0;v=42;break a}break}case 3:{if((t&255|0)!=24){x=t;break b}f[i>>2]=f[i>>2]|4;s=f[c>>2]|0;if(s>>>0<(f[g>>2]|0)>>>0?(a=b[s>>0]|0,a<<24>>24>-1):0){f[c>>2]=s+1;C=a<<24>>24!=0}else{AJb(e,c);a=e;if(!(b[o>>0]|0)){z=0;v=42;break a}else C=(f[a>>2]|0)!=0|(f[a+4>>2]|0)!=0}b[n>>0]=C&1;continue a;break}case 4:{if((t&255|0)!=37){x=t;break b}f[i>>2]=f[i>>2]|8;a=f[c>>2]|0;if(((f[g>>2]|0)-a|0)>3){s=a;r=h[s>>0]|h[s+1>>0]<<8|h[s+2>>0]<<16|h[s+3>>0]<<24;f[e>>2]=r;f[c>>2]=a+4;D=r}else{if(!(LJb(c,e)|0)){v=36;break a}D=f[e>>2]|0}f[p>>2]=D;continue a;break}default:{x=t;break b}}}while(0);if(!x){z=1;v=42;break}r=f[q>>2]|0;if(!(r&1))E=OOa(q)|0;else E=r&-2;if(!(xbc(c,x,E)|0)){z=0;v=42;break}}if((v|0)==22){z=0;u=d;return z|0}else if((v|0)==36){z=0;u=d;return z|0}else if((v|0)==42){u=d;return z|0}return 0}function ceb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=Dbc(b&-2)|0;b=a+8|0;d=f[b>>2]|0;if(!(d&15)){e=c;g=a+12|0;f[g>>2]=e;return e|0}if(!(d&1)){h=c;i=d}else{d=f[a+16>>2]|0;j=di[f[(f[d>>2]|0)+48>>2]&1023](d)|0;d=c+1+j+((((($(j|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=d;i=f[b>>2]|0}b=i&2|0?h+2|0:h;h=i&4|0?b+2|0:b;e=i&8|0?h+5|0:h;g=a+12|0;f[g>>2]=e;return e|0}function deb(a,c){a=a|0;c=c|0;var d=0;d=f[a+8>>2]|0;if(d&2|0)SLb(1,(b[a+20>>0]|0)!=0,c);if(d&1|0)_Lb(2,f[a+16>>2]|0,c);if(d&4|0)SLb(3,(b[a+21>>0]|0)!=0,c);if(d&8|0)QLb(4,+n[a+24>>2],c);d=f[a+4>>2]|0;if(!(d&1))return;Abc(d&-2,c);return}function eeb(a){a=a|0;return f[a+12>>2]|0}function feb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;e=f[a+8>>2]|0;if(!(e&2))g=d;else{h=b[a+20>>0]|0;b[d>>0]=8;b[d+1>>0]=h;g=d+2|0}if(!(e&1))i=g;else{d=f[a+16>>2]|0;b[g>>0]=18;h=g+1|0;g=di[f[(f[d>>2]|0)+60>>2]&1023](d)|0;if(g>>>0>127){j=g;k=h;while(1){b[k>>0]=j|128;l=j>>>7;m=k+1|0;if(j>>>0>16383){j=l;k=m}else{n=m;o=l;break}}}else{n=h;o=g}b[n>>0]=o;i=li[f[(f[d>>2]|0)+64>>2]&511](d,c,n+1|0)|0}if(!(e&4))p=i;else{n=b[a+21>>0]|0;b[i>>0]=24;b[i+1>>0]=n;p=i+2|0}if(!(e&8))q=p;else{e=f[a+24>>2]|0;b[p>>0]=37;i=p+1|0;b[i>>0]=e;b[i+1>>0]=e>>8;b[i+2>>0]=e>>16;b[i+3>>0]=e>>24;q=p+5|0}p=f[a+4>>2]|0;if(!(p&1)){r=q;return r|0}r=Bbc(p&-2,q)|0;return r|0}function geb(a,b){a=a|0;b=b|0;var c=0;if((a|0)==(b|0))return;$db(a);c=ovc(b,24728,20552,0)|0;if(!c){A9b(b,a);return}else{Edb(a,c);return}}function heb(a,b){a=a|0;b=b|0;var c=0;c=ovc(b,24728,20552,0)|0;if(!c){A9b(b,a);return}else{Edb(a,c);return}}function ieb(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function jeb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224781]|0)!=2){f[d>>2]=151624;f[d+4>>2]=21;b[d+8>>0]=0;xLb(899124,d);QKb(d)}d=540536;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function keb(a,b){a=a|0;b=b|0;if(!b)return;EIb(a,b,1978);return}function leb(a){a=a|0;var b=0,c=0;f[a>>2]=128888;b=f[a+24>>2]|0;if(b|0?(f[b>>2]|0)==0:0)fuc(b);b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(c);f[b>>2]=0;return}function meb(a){a=a|0;var b=0,c=0;f[a>>2]=128888;b=f[a+24>>2]|0;if(b|0?(f[b>>2]|0)==0:0)fuc(b);b=f[a+4>>2]|0;if(!(b&1)){fuc(a);return}c=b&-2;b=c;if((c|0)==0|(f[b+4>>2]|0)!=0){fuc(a);return}if(f[b>>2]|0)ebc(b);fuc(c);fuc(a);return}function neb(a){a=a|0;a=cuc(28)|0;Cdb(a);return a|0}function oeb(a,b){a=a|0;b=b|0;a=cuc(28)|0;Cdb(a);if(!b)return a|0;Aeb(b,a);return a|0}function peb(a){a=a|0;var b=0;f[a+16>>2]=0;f[a+8>>2]=0;b=f[a+4>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;ebc(a);return}function qeb(a){a=a|0;return 1}function reb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;d=c+4|0;e=a+16|0;g=a+20|0;h=a+24|0;i=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[d>>2]|0)>>>0){j=b[a>>0]|0;k=j&255;if(j<<24>>24>0){f[c>>2]=a+1;l=k;m=6}else{n=k;m=5}}else{n=0;m=5}if((m|0)==5){m=0;k=OJb(c,n)|0;if((k+-1|0)>>>0<127){l=k;m=6}else o=k}b:do if((m|0)==6){m=0;if((l&-8|0)==8){switch((l&255)<<24>>24){case 8:break;case 10:{if(M0a(c,e)|0)continue a;else{p=0;m=29;break a}break}default:{o=l;break b}}k=f[c>>2]|0;if(k>>>0<(f[d>>2]|0)>>>0){a=b[k>>0]|0;j=a&255;if(a<<24>>24>-1){f[c>>2]=k+1;q=j}else{r=j;m=11}}else{r=0;m=11}if((m|0)==11){m=0;j=zJb(c,r)|0;k=J;if((k|0)>-1|(k|0)==-1&j>>>0>4294967295)q=j;else{p=0;m=29;break a}}j=f[e>>2]|0;if((j|0)==(f[g>>2]|0)){UEa(e,j+1|0);s=f[e>>2]|0}else s=j;j=f[h>>2]|0;f[e>>2]=s+1;f[j+4+(s<<2)>>2]=q;k=(f[g>>2]|0)-(f[e>>2]|0)|0;if((k|0)>0){t=k;u=j}else continue a;while(1){j=f[c>>2]|0;k=f[d>>2]|0;if(j>>>0>=k>>>0)continue a;if((b[j>>0]|0)!=8)continue a;a=j+1|0;f[c>>2]=a;if(a>>>0<k>>>0){k=b[a>>0]|0;a=k&255;if(k<<24>>24>-1){f[c>>2]=j+2;v=a;w=u}else{x=a;m=19}}else{x=0;m=19}if((m|0)==19){m=0;a=zJb(c,x)|0;j=J;if(!((j|0)>-1|(j|0)==-1&a>>>0>4294967295)){p=0;m=29;break a}v=a;w=f[h>>2]|0}a=f[e>>2]|0;f[e>>2]=a+1;f[w+4+(a<<2)>>2]=v;if((t|0)>1){t=t+-1|0;u=w}else continue a}}else o=l}while(0);if(!o){p=1;m=29;break}a=f[i>>2]|0;if(!(a&1))y=OOa(i)|0;else y=a&-2;if(!(xbc(c,o,y)|0)){p=0;m=29;break}}if((m|0)==29)return p|0;return 0}function seb(a){a=a|0;var b=0,c=0,d=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=Dbc(b&-2)|0;b=cMb(a+16|0)|0;d=b+c+(f[a+16>>2]|0)|0;f[a+12>>2]=d;return d|0}function teb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=f[a+16>>2]|0;if((c|0)>0){d=a+24|0;e=0;do{ILb(1,f[(f[d>>2]|0)+4+(e<<2)>>2]|0,b);e=e+1|0}while((e|0)!=(c|0))}c=f[a+4>>2]|0;if(!(c&1))return;Abc(c&-2,b);return}function ueb(a){a=a|0;return f[a+12>>2]|0}function veb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;c=f[a+16>>2]|0;if(!c)e=d;else{g=f[a+24>>2]|0;h=0;i=d;while(1){d=f[g+4+(h<<2)>>2]|0;b[i>>0]=8;j=i+1|0;if(d>>>0>127){k=d;l=j;while(1){b[l>>0]=k|128;m=k>>>7;n=l+1|0;if(k>>>0>16383){k=m;l=n}else{o=n;p=m;break}}}else{o=j;p=d}b[o>>0]=p;l=o+1|0;h=h+1|0;if((h|0)>=(c|0)){e=l;break}else i=l}}i=f[a+4>>2]|0;if(!(i&1)){q=e;return q|0}q=Bbc(i&-2,e)|0;return q|0}function web(a,b){a=a|0;b=b|0;var c=0,d=0;if((a|0)==(b|0))return;f[a+16>>2]=0;f[a+8>>2]=0;c=f[a+4>>2]|0;if(c&1|0?(d=c&-2,f[d>>2]|0):0)ebc(d);xeb(a,b);return}function xeb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=ovc(b,24728,20568,0)|0;if(!c){A9b(b,a);return}b=a+4|0;d=f[c+4>>2]|0;if(d&1|0){e=f[b>>2]|0;if(!(e&1))g=OOa(b)|0;else g=e&-2;hbc(g,d&-2)}d=a+16|0;g=c+16|0;e=f[g>>2]|0;if(!e)return;UEa(d,(f[d>>2]|0)+e|0);szc((f[a+24>>2]|0)+4+(f[d>>2]<<2)|0,(f[c+24>>2]|0)+4|0,f[g>>2]<<2|0)|0;f[d>>2]=(f[d>>2]|0)+(f[g>>2]|0);return}function yeb(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function zeb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224781]|0)!=2){f[d>>2]=151624;f[d+4>>2]=21;b[d+8>>0]=0;xLb(899124,d);QKb(d)}d=540528;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function Aeb(a,b){a=a|0;b=b|0;if(!b)return;EIb(a,b,1978);return}function Beb(a){a=a|0;var b=0,c=0;f[a>>2]=128996;if((a|0)!=536920){b=f[a+16>>2]|0;if(b|0)bi[f[(f[b>>2]|0)+4>>2]&2047](b);b=f[a+20>>2]|0;if(b|0)bi[f[(f[b>>2]|0)+4>>2]&2047](b)}b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(c);f[b>>2]=0;return}function Ceb(a){a=a|0;var b=0,c=0;f[a>>2]=128996;if((a|0)!=536920){b=f[a+16>>2]|0;if(b|0)bi[f[(f[b>>2]|0)+4>>2]&2047](b);b=f[a+20>>2]|0;if(b|0)bi[f[(f[b>>2]|0)+4>>2]&2047](b)}b=f[a+4>>2]|0;if(!(b&1)){fuc(a);return}c=b&-2;b=c;if((c|0)==0|(f[b+4>>2]|0)!=0){fuc(a);return}if(f[b>>2]|0)ebc(b);fuc(c);fuc(a);return}function Deb(a){a=a|0;a=cuc(52)|0;Adb(a);return a|0}function Eeb(a,b){a=a|0;b=b|0;a=cuc(52)|0;Adb(a);if(!b)return a|0;Qeb(b,a);return a|0}function Feb(a){a=a|0;var c=0,d=0,e=0,g=0;c=a+8|0;d=f[c>>2]|0;if(d&3|0){if(d&1|0){e=f[a+16>>2]|0;g=e+8|0;if(f[g>>2]&7|0){f[e+16>>2]=0;n[e+20>>2]=.30000001192092896;n[e+24>>2]=1.0}f[g>>2]=0;g=f[e+4>>2]|0;if(g&1|0?(e=g&-2,f[e>>2]|0):0)ebc(e)}if(d&2|0)Gbb(f[a+20>>2]|0)}if(d&252|0){e=a+24|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;f[a+40>>2]=-1;f[a+44>>2]=1}if(d&768|0){b[a+48>>0]=1;b[a+49>>0]=1}f[c>>2]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;ebc(a);return}function Geb(a){a=a|0;return 1}function Heb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0;d=u;u=u+16|0;e=d;g=c+4|0;i=a+8|0;j=a+24|0;k=a+48|0;l=e+8|0;m=a+28|0;n=a+16|0;o=e+4|0;p=a+20|0;q=e+4|0;r=a+44|0;s=a+4|0;t=a+40|0;v=a+32|0;w=e+8|0;x=a+36|0;y=a+49|0;a=e+8|0;a:while(1){z=f[c>>2]|0;if(z>>>0<(f[g>>2]|0)>>>0){A=b[z>>0]|0;B=A&255;if(A<<24>>24>0){f[c>>2]=z+1;C=B;D=6}else{E=B;D=5}}else{E=0;D=5}if((D|0)==5){D=0;B=OJb(c,E)|0;if((B+-1|0)>>>0<127){C=B;D=6}else F=B}b:do if((D|0)==6){D=0;do switch(C>>>3&536870911|0){case 1:{if((C&255|0)!=8){F=C;break b}f[i>>2]=f[i>>2]|4;B=f[c>>2]|0;if(B>>>0<(f[g>>2]|0)>>>0){z=b[B>>0]|0;A=z&255;if(z<<24>>24>-1){f[j>>2]=A;f[c>>2]=B+1;continue a}else G=A}else G=0;A=zJb(c,G)|0;B=J;f[j>>2]=A;if((B|0)>-1|(B|0)==-1&A>>>0>4294967295)continue a;else{H=0;D=87;break a}break}case 2:{if((C&255|0)!=16){F=C;break b}f[i>>2]=f[i>>2]|256;A=f[c>>2]|0;if(A>>>0<(f[g>>2]|0)>>>0?(B=b[A>>0]|0,B<<24>>24>-1):0){f[c>>2]=A+1;I=B<<24>>24!=0}else{AJb(e,c);B=e;if(!(b[l>>0]|0)){H=0;D=87;break a}else I=(f[B>>2]|0)!=0|(f[B+4>>2]|0)!=0}b[k>>0]=I&1;continue a;break}case 3:{if((C&255|0)!=24){F=C;break b}f[i>>2]=f[i>>2]|8;B=f[c>>2]|0;if(B>>>0<(f[g>>2]|0)>>>0){A=b[B>>0]|0;z=A&255;if(A<<24>>24>-1){f[c>>2]=B+1;K=z}else{L=z;D=22}}else{L=0;D=22}if((D|0)==22){D=0;z=zJb(c,L)|0;B=J;if((B|0)>-1|(B|0)==-1&z>>>0>4294967295)K=z;else{H=0;D=87;break a}}f[m>>2]=K;continue a;break}case 4:{if((C&255|0)!=34){F=C;break b}f[i>>2]=f[i>>2]|1;z=f[n>>2]|0;if(!z){B=cuc(28)|0;icb(B);f[n>>2]=B;M=B}else M=z;z=f[c>>2]|0;if(z>>>0<(f[g>>2]|0)>>>0?(B=b[z>>0]|0,B<<24>>24>-1):0){f[c>>2]=z+1;N=B&255}else{B=NJb(c)|0;if((B|0)>-1)N=B;else{H=0;D=87;break a}}yJb(e,c,N);if((f[o>>2]|0)<0){D=33;break a}if(!(Th[f[(f[M>>2]|0)+44>>2]&1023](M,c)|0)){D=33;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{H=0;D=87;break a}break}case 5:{if((C&255|0)!=42){F=C;break b}f[i>>2]=f[i>>2]|2;B=f[p>>2]|0;if(!B){z=cuc(40)|0;Sbb(z);f[p>>2]=z;O=z}else O=B;B=f[c>>2]|0;if(B>>>0<(f[g>>2]|0)>>>0?(z=b[B>>0]|0,z<<24>>24>-1):0){f[c>>2]=B+1;P=z&255}else{z=NJb(c)|0;if((z|0)>-1)P=z;else{H=0;D=87;break a}}yJb(e,c,P);if((f[q>>2]|0)<0){D=44;break a}if(!(Th[f[(f[O>>2]|0)+44>>2]&1023](O,c)|0)){D=44;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{H=0;D=87;break a}break}case 6:{if((C&255|0)!=48){F=C;break b}z=f[c>>2]|0;if(z>>>0<(f[g>>2]|0)>>>0){B=b[z>>0]|0;A=B&255;if(B<<24>>24>-1){f[c>>2]=z+1;Q=A}else{R=A;D=50}}else{R=0;D=50}if((D|0)==50){D=0;A=zJb(c,R)|0;z=J;if((z|0)>-1|(z|0)==-1&A>>>0>4294967295)Q=A;else{H=0;D=87;break a}}if((Q+-1|0)>>>0<2){f[i>>2]=f[i>>2]|128;f[r>>2]=Q;continue a}A=f[s>>2]|0;if(!(A&1))S=OOa(s)|0;else S=A&-2;kbc(S,6,Q,((Q|0)<0)<<31>>31);continue a;break}case 7:{if((C&255|0)!=56){F=C;break b}f[i>>2]=f[i>>2]|64;A=f[c>>2]|0;if(A>>>0<(f[g>>2]|0)>>>0){z=b[A>>0]|0;B=z&255;if(z<<24>>24>-1){f[c>>2]=A+1;T=B}else{U=B;D=61}}else{U=0;D=61}if((D|0)==61){D=0;B=zJb(c,U)|0;A=J;if((A|0)>-1|(A|0)==-1&B>>>0>4294967295)T=B;else{H=0;D=87;break a}}f[t>>2]=T;continue a;break}case 8:{if((C&255|0)!=64){F=C;break b}f[i>>2]=f[i>>2]|16;B=f[c>>2]|0;if(B>>>0<(f[g>>2]|0)>>>0?(A=b[B>>0]|0,A<<24>>24>-1):0){f[c>>2]=B+1;V=A<<24>>24!=0}else{AJb(e,c);A=e;if(!(b[w>>0]|0)){H=0;D=87;break a}else V=(f[A>>2]|0)!=0|(f[A+4>>2]|0)!=0}b[v>>0]=V&1;continue a;break}case 9:{if((C&255|0)!=77){F=C;break b}f[i>>2]=f[i>>2]|32;A=f[c>>2]|0;if(((f[g>>2]|0)-A|0)>3){B=A;z=h[B>>0]|h[B+1>>0]<<8|h[B+2>>0]<<16|h[B+3>>0]<<24;f[e>>2]=z;f[c>>2]=A+4;W=z}else{if(!(LJb(c,e)|0)){D=75;break a}W=f[e>>2]|0}f[x>>2]=W;continue a;break}case 10:{if((C&255|0)!=80){F=C;break b}f[i>>2]=f[i>>2]|512;z=f[c>>2]|0;if(z>>>0<(f[g>>2]|0)>>>0?(A=b[z>>0]|0,A<<24>>24>-1):0){f[c>>2]=z+1;X=A<<24>>24!=0}else{AJb(e,c);A=e;if(!(b[a>>0]|0)){H=0;D=87;break a}else X=(f[A>>2]|0)!=0|(f[A+4>>2]|0)!=0}b[y>>0]=X&1;continue a;break}default:{F=C;break b}}while(0)}while(0);if(!F){H=1;D=87;break}A=f[s>>2]|0;if(!(A&1))Y=OOa(s)|0;else Y=A&-2;if(!(xbc(c,F,Y)|0)){H=0;D=87;break}}if((D|0)==33){H=0;u=d;return H|0}else if((D|0)==44){H=0;u=d;return H|0}else if((D|0)==75){H=0;u=d;return H|0}else if((D|0)==87){u=d;return H|0}return 0}function Ieb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=Dbc(b&-2)|0;b=a+8|0;d=f[b>>2]|0;if(d&255){if(!(d&1)){e=c;g=d}else{h=f[a+16>>2]|0;i=di[f[(f[h>>2]|0)+48>>2]&1023](h)|0;h=c+1+i+((((($(i|1|0)|0)^31)*9|0)+73|0)>>>6)|0;e=h;g=f[b>>2]|0}if(!(g&2)){j=e;k=g}else{g=f[a+20>>2]|0;h=di[f[(f[g>>2]|0)+48>>2]&1023](g)|0;g=e+1+h+((((($(h|1|0)|0)^31)*9|0)+73|0)>>>6)|0;j=g;k=f[b>>2]|0}if(!(k&4))l=j;else l=j+1+((((($(f[a+24>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;if(!(k&8))m=l;else{j=f[a+28>>2]|0;if((j|0)<0)n=11;else n=((((($(j|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;m=n+l|0}l=k&16|0?m+2|0:m;m=k&32|0?l+5|0:l;if(!(k&64))o=m;else{l=f[a+40>>2]|0;if((l|0)<0)p=11;else p=((((($(l|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;o=p+m|0}if(!(k&128)){q=o;r=k}else{m=f[a+44>>2]|0;if((m|0)<0)s=11;else s=((((($(m|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;q=s+o|0;r=k}}else{q=c;r=d}if(!(r&768)){t=q;u=a+12|0;f[u>>2]=t;return t|0}d=r&256|0?q+2|0:q;t=r&512|0?d+2|0:d;u=a+12|0;f[u>>2]=t;return t|0}function Jeb(a,c){a=a|0;c=c|0;var d=0;d=f[a+8>>2]|0;if(d&4|0)ILb(1,f[a+24>>2]|0,c);if(d&256|0)SLb(2,(b[a+48>>0]|0)!=0,c);if(d&8|0)GLb(3,f[a+28>>2]|0,c);if(d&1|0)_Lb(4,f[a+16>>2]|0,c);if(d&2|0)_Lb(5,f[a+20>>2]|0,c);if(d&128|0)TLb(6,f[a+44>>2]|0,c);if(d&64|0)GLb(7,f[a+40>>2]|0,c);if(d&16|0)SLb(8,(b[a+32>>0]|0)!=0,c);if(d&32|0)QLb(9,+n[a+36>>2],c);if(d&512|0)SLb(10,(b[a+49>>0]|0)!=0,c);d=f[a+4>>2]|0;if(!(d&1))return;Abc(d&-2,c);return}function Keb(a){a=a|0;return f[a+12>>2]|0}function Leb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;e=f[a+8>>2]|0;if(!(e&4))g=d;else{h=f[a+24>>2]|0;b[d>>0]=8;i=d+1|0;if(h>>>0>127){d=h;j=i;while(1){b[j>>0]=d|128;k=d>>>7;l=j+1|0;if(d>>>0>16383){d=k;j=l}else{m=l;n=k;break}}}else{m=i;n=h}b[m>>0]=n;g=m+1|0}if(!(e&256))o=g;else{m=b[a+48>>0]|0;b[g>>0]=16;b[g+1>>0]=m;o=g+2|0}if(!(e&8))p=o;else{g=f[a+28>>2]|0;b[o>>0]=24;m=o+1|0;o=g&255;if(g>>>0>127){n=m;h=o;i=g;j=((g|0)<0)<<31>>31;while(1){b[n>>0]=h|-128;g=i;i=pzc(i|0,j|0,7)|0;d=n+1|0;k=i&255;if(!(j>>>0>0|(j|0)==0&g>>>0>16383)){q=d;r=k;break}else{n=d;h=k;j=J}}}else{q=m;r=o}b[q>>0]=r;p=q+1|0}if(!(e&1))s=p;else{q=f[a+16>>2]|0;b[p>>0]=34;r=p+1|0;p=di[f[(f[q>>2]|0)+60>>2]&1023](q)|0;if(p>>>0>127){o=p;m=r;while(1){b[m>>0]=o|128;j=o>>>7;h=m+1|0;if(o>>>0>16383){o=j;m=h}else{t=h;u=j;break}}}else{t=r;u=p}b[t>>0]=u;s=li[f[(f[q>>2]|0)+64>>2]&511](q,c,t+1|0)|0}if(!(e&2))v=s;else{t=f[a+20>>2]|0;b[s>>0]=42;q=s+1|0;s=di[f[(f[t>>2]|0)+60>>2]&1023](t)|0;if(s>>>0>127){u=s;p=q;while(1){b[p>>0]=u|128;r=u>>>7;m=p+1|0;if(u>>>0>16383){u=r;p=m}else{w=m;x=r;break}}}else{w=q;x=s}b[w>>0]=x;v=li[f[(f[t>>2]|0)+64>>2]&511](t,c,w+1|0)|0}if(!(e&128))y=v;else{w=f[a+44>>2]|0;b[v>>0]=48;c=v+1|0;v=w&255;if(w>>>0>127){t=c;x=w;s=((w|0)<0)<<31>>31;w=v;while(1){b[t>>0]=w|-128;q=x;x=pzc(x|0,s|0,7)|0;p=t+1|0;u=x&255;if(!(s>>>0>0|(s|0)==0&q>>>0>16383)){z=p;A=u;break}else{t=p;s=J;w=u}}}else{z=c;A=v}b[z>>0]=A;y=z+1|0}if(!(e&64))B=y;else{z=f[a+40>>2]|0;b[y>>0]=56;A=y+1|0;y=z&255;if(z>>>0>127){v=A;c=y;w=z;s=((z|0)<0)<<31>>31;while(1){b[v>>0]=c|-128;z=w;w=pzc(w|0,s|0,7)|0;t=v+1|0;x=w&255;if(!(s>>>0>0|(s|0)==0&z>>>0>16383)){C=t;D=x;break}else{v=t;c=x;s=J}}}else{C=A;D=y}b[C>>0]=D;B=C+1|0}if(!(e&16))E=B;else{C=b[a+32>>0]|0;b[B>>0]=64;b[B+1>>0]=C;E=B+2|0}if(!(e&32))F=E;else{B=f[a+36>>2]|0;b[E>>0]=77;C=E+1|0;b[C>>0]=B;b[C+1>>0]=B>>8;b[C+2>>0]=B>>16;b[C+3>>0]=B>>24;F=E+5|0}if(!(e&512))G=F;else{e=b[a+49>>0]|0;b[F>>0]=80;b[F+1>>0]=e;G=F+2|0}F=f[a+4>>2]|0;if(!(F&1)){H=G;return H|0}H=Bbc(F&-2,G)|0;return H|0}function Meb(a,b){a=a|0;b=b|0;var c=0;if((a|0)==(b|0))return;Feb(a);c=ovc(b,24728,20584,0)|0;if(!c){A9b(b,a);return}else{Bdb(a,c);return}}function Neb(a,b){a=a|0;b=b|0;var c=0;c=ovc(b,24728,20584,0)|0;if(!c){A9b(b,a);return}else{Bdb(a,c);return}}function Oeb(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function Peb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224781]|0)!=2){f[d>>2]=151624;f[d+4>>2]=21;b[d+8>>0]=0;xLb(899124,d);QKb(d)}d=540552;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function Qeb(a,b){a=a|0;b=b|0;if(!b)return;EIb(a,b,1978);return}function Reb(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=129104;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=537568?(f[224797]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=37;b[d+8>>0]=0;xLb(899188,d);QKb(d)}f[a+12>>2]=0;f[a+16>>2]=542896;f[a+20>>2]=0;n[a+24>>2]=1.0;n[a+28>>2]=1.0;u=c;return}function Seb(a,b){a=a|0;b=b|0;Teb(b,a);return}function Teb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=a+4|0;d=f[b+4>>2]|0;if(d&1|0){e=f[c>>2]|0;if(!(e&1))g=OOa(c)|0;else g=e&-2;hbc(g,d&-2)}d=f[b+8>>2]|0;if(!(d&15))return;do if(d&1|0?(g=a+8|0,f[g>>2]=f[g>>2]|1,g=a+16|0,e=f[b+16>>2]|0,c=f[g>>2]|0,(c|0)!=(e|0)):0)if((c|0)==542896){JEa(g,e);break}else{ruc(c,e)|0;break}while(0);if(d&2|0)f[a+20>>2]=f[b+20>>2];if(d&4|0)f[a+24>>2]=f[b+24>>2];if(d&8|0)f[a+28>>2]=f[b+28>>2];b=a+8|0;f[b>>2]=f[b>>2]|d;return}function Ueb(a){a=a|0;var c=0,d=0;f[a>>2]=129104;c=f[a+16>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}c=a+4|0;a=f[c>>2]|0;if(!(a&1)){f[c>>2]=0;return}d=a&-2;a=d;if((d|0)==0|(f[a+4>>2]|0)!=0){f[c>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(d);f[c>>2]=0;return}function Veb(a){a=a|0;Ueb(a);fuc(a);return}function Web(a){a=a|0;a=cuc(32)|0;Reb(a);return a|0}function Xeb(a,b){a=a|0;b=b|0;a=cuc(32)|0;Reb(a);if(!b)return a|0;hfb(b,a);return a|0}function Yeb(a){a=a|0;var c=0,d=0,e=0,g=0;c=a+8|0;d=f[c>>2]|0;do if(d&1|0){e=f[a+16>>2]|0;g=e+11|0;if((b[g>>0]|0)<0){b[f[e>>2]>>0]=0;f[e+4>>2]=0;break}else{b[e>>0]=0;b[g>>0]=0;break}}while(0);if(d&14|0){f[a+20>>2]=0;n[a+24>>2]=1.0;n[a+28>>2]=1.0}f[c>>2]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;ebc(a);return}function Zeb(a){a=a|0;return 1}function _eb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;d=u;u=u+16|0;e=d;g=c+4|0;i=a+8|0;j=a+16|0;k=a+24|0;l=a+28|0;m=a+4|0;n=a+20|0;a:while(1){b:while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){o=b[a>>0]|0;p=o&255;if(o<<24>>24>0){f[c>>2]=a+1;q=p;r=7}else{s=p;r=6}}else{s=0;r=6}if((r|0)==6){r=0;p=OJb(c,s)|0;if((p+-1|0)>>>0<127){q=p;r=7}else t=p}c:do if((r|0)==7){r=0;switch(q>>>3&536870911|0){case 1:{if((q&255|0)!=10){t=q;break c}f[i>>2]=f[i>>2]|1;p=f[j>>2]|0;if((p|0)==542896){JEa(j,542896);v=f[j>>2]|0}else v=p;if($Lb(c,v)|0)continue b;else{w=0;r=42;break a}break}case 2:{if((q&255|0)==16)break b;else{t=q;break c}break}case 3:{if((q&255|0)!=29){t=q;break c}f[i>>2]=f[i>>2]|4;p=f[c>>2]|0;if(((f[g>>2]|0)-p|0)>3){a=p;o=h[a>>0]|h[a+1>>0]<<8|h[a+2>>0]<<16|h[a+3>>0]<<24;f[e>>2]=o;f[c>>2]=p+4;x=o}else{if(!(LJb(c,e)|0)){r=29;break a}x=f[e>>2]|0}f[k>>2]=x;continue b;break}case 4:{if((q&255|0)!=37){t=q;break c}f[i>>2]=f[i>>2]|8;o=f[c>>2]|0;if(((f[g>>2]|0)-o|0)>3){p=o;a=h[p>>0]|h[p+1>>0]<<8|h[p+2>>0]<<16|h[p+3>>0]<<24;f[e>>2]=a;f[c>>2]=o+4;y=a}else{if(!(LJb(c,e)|0)){r=36;break a}y=f[e>>2]|0}f[l>>2]=y;continue b;break}default:{t=q;break c}}}while(0);if(!t){w=1;r=42;break a}a=f[m>>2]|0;if(!(a&1))z=OOa(m)|0;else z=a&-2;if(!(xbc(c,t,z)|0)){w=0;r=42;break a}}a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){o=b[a>>0]|0;p=o&255;if(o<<24>>24>-1){f[c>>2]=a+1;A=p}else{B=p;r=16}}else{B=0;r=16}if((r|0)==16){r=0;p=zJb(c,B)|0;a=J;if((a|0)>-1|(a|0)==-1&p>>>0>4294967295)A=p;else{w=0;r=42;break}}if(A>>>0<2){f[i>>2]=f[i>>2]|2;f[n>>2]=A;continue}p=f[m>>2]|0;if(!(p&1))C=OOa(m)|0;else C=p&-2;kbc(C,2,A,((A|0)<0)<<31>>31)}if((r|0)==29){w=0;u=d;return w|0}else if((r|0)==36){w=0;u=d;return w|0}else if((r|0)==42){u=d;return w|0}return 0}function $eb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=f[a+4>>2]|0;if(!(c&1))d=0;else d=Dbc(c&-2)|0;c=f[a+8>>2]|0;if(!(c&15)){e=d;g=a+12|0;f[g>>2]=e;return e|0}if(!(c&1))h=d;else{i=f[a+16>>2]|0;j=b[i+11>>0]|0;k=j<<24>>24<0?f[i+4>>2]|0:j&255;h=d+1+k+((((($(k|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(c&2))l=h;else{k=f[a+20>>2]|0;if((k|0)<0)m=11;else m=((((($(k|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;l=m+h|0}h=c&4|0?l+5|0:l;e=c&8|0?h+5|0:h;g=a+12|0;f[g>>2]=e;return e|0}function afb(a,b){a=a|0;b=b|0;var c=0;c=f[a+8>>2]|0;if(c&1|0)VLb(1,f[a+16>>2]|0,b);if(c&2|0)TLb(2,f[a+20>>2]|0,b);if(c&4|0)QLb(3,+n[a+24>>2],b);if(c&8|0)QLb(4,+n[a+28>>2],b);c=f[a+4>>2]|0;if(!(c&1))return;Abc(c&-2,b);return}function bfb(a){a=a|0;return f[a+12>>2]|0}function cfb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;c=f[a+8>>2]|0;if(!(c&1))e=d;else{g=f[a+16>>2]|0;b[d>>0]=10;e=XJb(g,d+1|0)|0}if(!(c&2))h=e;else{d=f[a+20>>2]|0;b[e>>0]=16;g=e+1|0;e=d&255;if(d>>>0>127){i=g;j=e;k=d;l=((d|0)<0)<<31>>31;while(1){b[i>>0]=j|-128;d=k;k=pzc(k|0,l|0,7)|0;m=i+1|0;n=k&255;if(!(l>>>0>0|(l|0)==0&d>>>0>16383)){o=m;p=n;break}else{i=m;j=n;l=J}}}else{o=g;p=e}b[o>>0]=p;h=o+1|0}if(!(c&4))q=h;else{o=f[a+24>>2]|0;b[h>>0]=29;p=h+1|0;b[p>>0]=o;b[p+1>>0]=o>>8;b[p+2>>0]=o>>16;b[p+3>>0]=o>>24;q=h+5|0}if(!(c&8))r=q;else{c=f[a+28>>2]|0;b[q>>0]=37;h=q+1|0;b[h>>0]=c;b[h+1>>0]=c>>8;b[h+2>>0]=c>>16;b[h+3>>0]=c>>24;r=q+5|0}q=f[a+4>>2]|0;if(!(q&1)){s=r;return s|0}s=Bbc(q&-2,r)|0;return s|0}function dfb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;if((a|0)==(c|0))return;d=a+8|0;e=f[d>>2]|0;do if(e&1|0){g=f[a+16>>2]|0;h=g+11|0;if((b[h>>0]|0)<0){b[f[g>>2]>>0]=0;f[g+4>>2]=0;break}else{b[g>>0]=0;b[h>>0]=0;break}}while(0);if(e&14|0){f[a+20>>2]=0;n[a+24>>2]=1.0;n[a+28>>2]=1.0}f[d>>2]=0;d=f[a+4>>2]|0;if(d&1|0?(e=d&-2,f[e>>2]|0):0)ebc(e);e=ovc(c,24728,20600,0)|0;if(!e){A9b(c,a);return}else{Teb(a,e);return}}function efb(a,b){a=a|0;b=b|0;var c=0;c=ovc(b,24728,20600,0)|0;if(!c){A9b(b,a);return}else{Teb(a,c);return}}function ffb(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function gfb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224781]|0)!=2){f[d>>2]=151624;f[d+4>>2]=21;b[d+8>>0]=0;xLb(899124,d);QKb(d)}d=540616;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function hfb(a,b){a=a|0;b=b|0;if(!b)return;EIb(a,b,1978);return}function ifb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;d=u;u=u+16|0;e=d;g=f[a>>2]|0;h=a+4|0;if(g>>>0<(f[h>>2]|0)>>>0?(i=b[g>>0]|0,i<<24>>24>-1):0){f[a>>2]=g+1;j=i&255}else{i=NJb(a)|0;if((i|0)>-1)j=i;else{k=0;u=d;return k|0}}i=wJb(a,j)|0;a:do if((EJb(a)|0)>0){j=c+4|0;g=c+8|0;l=e+8|0;while(1){m=f[a>>2]|0;if(m>>>0<(f[h>>2]|0)>>>0?(n=b[m>>0]|0,n<<24>>24>-1):0){f[a>>2]=m+1;o=n<<24>>24!=0}else{AJb(e,a);n=e;if(!(b[l>>0]|0)){k=0;break}else o=(f[n>>2]|0)!=0|(f[n+4>>2]|0)!=0}n=f[c>>2]|0;if((n|0)==(f[j>>2]|0)){_Oa(c,n+1|0);p=f[c>>2]|0}else p=n;n=f[g>>2]|0;f[c>>2]=p+1;b[n+4+p>>0]=o&1;if((EJb(a)|0)<=0)break a}u=d;return k|0}while(0);xJb(a,i);k=1;u=d;return k|0}function jfb(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=128564;kzc(a+4|0,0,132)|0;if((a|0)!=537600?(f[224798]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=38;b[d+8>>0]=0;xLb(899192,d);QKb(d)}f[a+136>>2]=542896;f[a+140>>2]=542896;kzc(a+144|0,0,224)|0;u=c;return}function kfb(a,b){a=a|0;b=b|0;if(!b)return;EIb(a,b,1978);return}function lfb(a){a=a|0;var c=0;c=f[a+136>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}c=f[a+140>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}if((a|0)==537600)return;c=f[a+144>>2]|0;if(c|0)bi[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+148>>2]|0;if(c|0)bi[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+152>>2]|0;if(c|0)bi[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+156>>2]|0;if(c|0)bi[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+160>>2]|0;if(c|0)bi[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+164>>2]|0;if(c|0)bi[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+168>>2]|0;if(c|0)bi[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+172>>2]|0;if(c|0)bi[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+176>>2]|0;if(c|0)bi[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+180>>2]|0;if(c|0)bi[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+184>>2]|0;if(c|0)bi[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+188>>2]|0;if(c|0)bi[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+192>>2]|0;if(c|0)bi[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+196>>2]|0;if(c|0)bi[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+200>>2]|0;if(c|0)bi[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+204>>2]|0;if(c|0)bi[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+208>>2]|0;if(c|0)bi[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+212>>2]|0;if(c|0)bi[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+216>>2]|0;if(c|0)bi[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+220>>2]|0;if(c|0)bi[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+224>>2]|0;if(c|0)bi[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+228>>2]|0;if(c|0)bi[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+232>>2]|0;if(c|0)bi[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+236>>2]|0;if(c|0)bi[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+240>>2]|0;if(c|0)bi[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+244>>2]|0;if(c|0)bi[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+248>>2]|0;if(c|0)bi[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+252>>2]|0;if(c|0)bi[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+256>>2]|0;if(c|0)bi[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+260>>2]|0;if(c|0)bi[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+264>>2]|0;if(c|0)bi[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+268>>2]|0;if(c|0)bi[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+272>>2]|0;if(c|0)bi[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+276>>2]|0;if(c|0)bi[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+280>>2]|0;if(c|0)bi[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+284>>2]|0;if(c|0)bi[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+288>>2]|0;if(c|0)bi[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+292>>2]|0;if(c|0)bi[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+296>>2]|0;if(c|0)bi[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+300>>2]|0;if(c|0)bi[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+304>>2]|0;if(c|0)bi[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+308>>2]|0;if(c|0)bi[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+312>>2]|0;if(c|0)bi[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+316>>2]|0;if(c|0)bi[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+320>>2]|0;if(c|0)bi[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+324>>2]|0;if(c|0)bi[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+328>>2]|0;if(c|0)bi[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+332>>2]|0;if(c|0)bi[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+336>>2]|0;if(c|0)bi[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+340>>2]|0;if(c|0)bi[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+344>>2]|0;if(c|0)bi[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+348>>2]|0;if(c|0)bi[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+352>>2]|0;if(c|0)bi[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+356>>2]|0;if(!c)return;bi[f[(f[c>>2]|0)+4>>2]&2047](c);return}function mfb(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(!b)return;if(f[b>>2]|0)return;fuc(b);return}function nfb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=a+12|0;c=f[b>>2]|0;if(!c){f[b>>2]=0;return}if(f[a>>2]|0){f[b>>2]=0;return}a=f[c>>2]|0;if((a|0)>0){d=0;do{e=f[c+4+(d<<2)>>2]|0;if(e|0)bi[f[(f[e>>2]|0)+4>>2]&2047](e);d=d+1|0}while((d|0)!=(a|0));g=f[b>>2]|0}else g=c;fuc(g);f[b>>2]=0;return}function ofb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0;f[a>>2]=129212;c=a+28|0;d=f[c>>2]|0;if(d|0?(f[a+16>>2]|0)==0:0){e=f[d>>2]|0;if((e|0)>0){g=0;do{h=f[d+4+(g<<2)>>2]|0;if(h|0){if((b[h+11>>0]|0)<0)fuc(f[h>>2]|0);fuc(h)}g=g+1|0}while((g|0)!=(e|0));i=f[c>>2]|0}else i=d;fuc(i)}f[c>>2]=0;c=a+4|0;a=f[c>>2]|0;if(!(a&1)){f[c>>2]=0;return}i=a&-2;a=i;if((i|0)==0|(f[a+4>>2]|0)!=0){f[c>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(i);f[c>>2]=0;return}function pfb(a){a=a|0;ofb(a);fuc(a);return}function qfb(a){a=a|0;a=cuc(40)|0;Dfb(a);return a|0}function rfb(a,b){a=a|0;b=b|0;a=cuc(40)|0;Dfb(a);if(!b)return a|0;Efb(b,a);return a|0}function sfb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0;c=a+20|0;d=f[c>>2]|0;if((d|0)>0){e=f[a+28>>2]|0;g=0;do{h=f[e+4+(g<<2)>>2]|0;g=g+1|0;i=h+11|0;if((b[i>>0]|0)<0){b[f[h>>2]>>0]=0;f[h+4>>2]=0}else{b[h>>0]=0;b[i>>0]=0}}while((g|0)!=(d|0));f[c>>2]=0}c=a+8|0;if(f[c>>2]&3|0){f[a+32>>2]=0;f[a+36>>2]=1}f[c>>2]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;ebc(a);return}function tfb(a){a=a|0;return 1}function ufb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;d=c+4|0;e=a+8|0;g=a+32|0;h=a+16|0;i=a+4|0;j=a+36|0;a:while(1){b:while(1){a=f[c>>2]|0;if(a>>>0<(f[d>>2]|0)>>>0){k=b[a>>0]|0;l=k&255;if(k<<24>>24>0){f[c>>2]=a+1;m=l;n=7}else{o=l;n=6}}else{o=0;n=6}if((n|0)==6){n=0;l=OJb(c,o)|0;if((l+-1|0)>>>0<127){m=l;n=7}else p=l}c:do if((n|0)==7){n=0;switch(m>>>3&536870911|0){case 1:{if((m&255|0)==8)break b;else{p=m;break c}break}case 2:{if((m&255|0)!=16){p=m;break c}f[e>>2]=f[e>>2]|1;l=f[c>>2]|0;if(l>>>0<(f[d>>2]|0)>>>0){a=b[l>>0]|0;k=a&255;if(a<<24>>24>-1){f[c>>2]=l+1;q=k}else{r=k;n=23}}else{r=0;n=23}if((n|0)==23){n=0;k=zJb(c,r)|0;l=J;if((l|0)>-1|(l|0)==-1&k>>>0>4294967295)q=k;else{s=0;n=32;break a}}f[g>>2]=q;continue b;break}case 3:{if((m&255|0)!=26){p=m;break c}if($Lb(c,MEa(h)|0)|0)continue b;else{s=0;n=32;break a}break}default:{p=m;break c}}}while(0);if(!p){s=1;n=32;break a}k=f[i>>2]|0;if(!(k&1))t=OOa(i)|0;else t=k&-2;if(!(xbc(c,p,t)|0)){s=0;n=32;break a}}k=f[c>>2]|0;if(k>>>0<(f[d>>2]|0)>>>0){l=b[k>>0]|0;a=l&255;if(l<<24>>24>-1){f[c>>2]=k+1;u=a}else{v=a;n=12}}else{v=0;n=12}if((n|0)==12){n=0;a=zJb(c,v)|0;k=J;if((k|0)>-1|(k|0)==-1&a>>>0>4294967295)u=a;else{s=0;n=32;break}}if(u>>>0<2){f[e>>2]=f[e>>2]|2;f[j>>2]=u;continue}a=f[i>>2]|0;if(!(a&1))w=OOa(i)|0;else w=a&-2;kbc(w,1,u,((u|0)<0)<<31>>31)}if((n|0)==32)return s|0;return 0}function vfb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;c=f[a+4>>2]|0;if(!(c&1))d=0;else d=Dbc(c&-2)|0;c=f[a+20>>2]|0;e=c+d|0;if((c|0)>0){d=f[a+28>>2]|0;g=0;h=e;while(1){i=f[d+4+(g<<2)>>2]|0;j=b[i+11>>0]|0;k=j<<24>>24<0?f[i+4>>2]|0:j&255;j=k+h+((((($(k|1|0)|0)^31)*9|0)+73|0)>>>6)|0;g=g+1|0;if((g|0)==(c|0)){l=j;break}else h=j}}else l=e;e=f[a+8>>2]|0;if(!(e&3)){m=l;n=a+12|0;f[n>>2]=m;return m|0}if(!(e&1))o=l;else{h=f[a+32>>2]|0;if((h|0)<0)p=11;else p=((((($(h|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;o=p+l|0}if(!(e&2)){m=o;n=a+12|0;f[n>>2]=m;return m|0}e=f[a+36>>2]|0;if((e|0)<0)q=11;else q=((((($(e|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;m=q+o|0;n=a+12|0;f[n>>2]=m;return m|0}function wfb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=f[a+8>>2]|0;if(c&2|0)TLb(1,f[a+36>>2]|0,b);if(c&1|0)GLb(2,f[a+32>>2]|0,b);c=f[a+20>>2]|0;if((c|0)>0){d=a+28|0;e=0;do{ULb(3,f[(f[d>>2]|0)+4+(e<<2)>>2]|0,b);e=e+1|0}while((e|0)!=(c|0))}c=f[a+4>>2]|0;if(!(c&1))return;Abc(c&-2,b);return}function xfb(a){a=a|0;return f[a+12>>2]|0}function yfb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;c=f[a+8>>2]|0;if(!(c&2))e=d;else{g=f[a+36>>2]|0;b[d>>0]=8;h=d+1|0;d=g&255;if(g>>>0>127){i=h;j=d;k=g;l=((g|0)<0)<<31>>31;while(1){b[i>>0]=j|-128;g=k;k=pzc(k|0,l|0,7)|0;m=i+1|0;n=k&255;if(!(l>>>0>0|(l|0)==0&g>>>0>16383)){o=m;p=n;break}else{i=m;j=n;l=J}}}else{o=h;p=d}b[o>>0]=p;e=o+1|0}if(!(c&1))q=e;else{c=f[a+32>>2]|0;b[e>>0]=16;o=e+1|0;e=c&255;if(c>>>0>127){p=o;d=e;h=c;l=((c|0)<0)<<31>>31;while(1){b[p>>0]=d|-128;c=h;h=pzc(h|0,l|0,7)|0;j=p+1|0;i=h&255;if(!(l>>>0>0|(l|0)==0&c>>>0>16383)){r=j;s=i;break}else{p=j;d=i;l=J}}}else{r=o;s=e}b[r>>0]=s;q=r+1|0}r=f[a+20>>2]|0;if((r|0)>0){s=a+28|0;e=0;o=q;while(1){l=f[(f[s>>2]|0)+4+(e<<2)>>2]|0;b[o>>0]=26;d=XJb(l,o+1|0)|0;e=e+1|0;if((e|0)==(r|0)){t=d;break}else o=d}}else t=q;q=f[a+4>>2]|0;if(!(q&1)){u=t;return u|0}u=Bbc(q&-2,t)|0;return u|0}function zfb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0;if((a|0)==(c|0))return;d=a+20|0;e=f[d>>2]|0;if((e|0)>0){g=f[a+28>>2]|0;h=0;do{i=f[g+4+(h<<2)>>2]|0;h=h+1|0;j=i+11|0;if((b[j>>0]|0)<0){b[f[i>>2]>>0]=0;f[i+4>>2]=0}else{b[i>>0]=0;b[j>>0]=0}}while((h|0)!=(e|0));f[d>>2]=0}d=a+8|0;if(f[d>>2]&3|0){f[a+32>>2]=0;f[a+36>>2]=1}f[d>>2]=0;d=f[a+4>>2]|0;if(d&1|0?(e=d&-2,f[e>>2]|0):0)ebc(e);Afb(a,c);return}function Afb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=ovc(b,24728,20616,0)|0;if(!c){A9b(b,a);return}b=a+4|0;d=f[c+4>>2]|0;if(d&1|0){e=f[b>>2]|0;if(!(e&1))g=OOa(b)|0;else g=e&-2;hbc(g,d&-2)}YOa(a+16|0,c+16|0);d=f[c+8>>2]|0;if(!(d&3))return;if(d&1|0)f[a+32>>2]=f[c+32>>2];if(d&2|0)f[a+36>>2]=f[c+36>>2];c=a+8|0;f[c>>2]=f[c>>2]|d;return}function Bfb(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function Cfb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224781]|0)!=2){f[d>>2]=151624;f[d+4>>2]=21;b[d+8>>0]=0;xLb(899124,d);QKb(d)}d=540600;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function Dfb(a){a=a|0;var c=0,d=0,e=0;c=u;u=u+16|0;d=c;f[a>>2]=129212;f[a+4>>2]=0;f[a+8>>2]=0;e=a+16|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((a|0)!=537464?(f[224795]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=35;b[d+8>>0]=0;xLb(899180,d);QKb(d)}f[a+12>>2]=0;f[a+32>>2]=0;f[a+36>>2]=1;u=c;return}function Efb(a,b){a=a|0;b=b|0;if(!b)return;EIb(a,b,1978);return}function Ffb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0;f[a>>2]=129320;c=f[a+32>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}c=a+28|0;d=f[c>>2]|0;if(d|0?(f[a+16>>2]|0)==0:0){e=f[d>>2]|0;if((e|0)>0){g=0;do{h=f[d+4+(g<<2)>>2]|0;if(h|0)bi[f[(f[h>>2]|0)+4>>2]&2047](h);g=g+1|0}while((g|0)!=(e|0));i=f[c>>2]|0}else i=d;fuc(i)}f[c>>2]=0;c=a+4|0;a=f[c>>2]|0;if(!(a&1)){f[c>>2]=0;return}i=a&-2;a=i;if((i|0)==0|(f[a+4>>2]|0)!=0){f[c>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(i);f[c>>2]=0;return}function Gfb(a){a=a|0;Ffb(a);fuc(a);return}function Hfb(a){a=a|0;a=cuc(44)|0;Vfb(a);return a|0}function Ifb(a,b){a=a|0;b=b|0;a=cuc(44)|0;Vfb(a);if(!b)return a|0;Wfb(b,a);return a|0}function Jfb(a){a=a|0;var c=0,d=0,e=0,g=0;c=a+20|0;d=f[c>>2]|0;if((d|0)>0){e=f[a+28>>2]|0;g=0;do{IYa(f[e+4+(g<<2)>>2]|0);g=g+1|0}while((g|0)!=(d|0));f[c>>2]=0}c=a+8|0;d=f[c>>2]|0;do if(d&1|0){g=f[a+32>>2]|0;e=g+11|0;if((b[e>>0]|0)<0){b[f[g>>2]>>0]=0;f[g+4>>2]=0;break}else{b[g>>0]=0;b[e>>0]=0;break}}while(0);if(d&6|0){d=a+36|0;f[d>>2]=0;f[d+4>>2]=0}f[c>>2]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;ebc(a);return}function Kfb(a){a=a|0;return 1}function Lfb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;d=u;u=u+16|0;e=d;g=c+4|0;h=a+8|0;i=a+36|0;j=a+32|0;k=a+16|0;l=e+4|0;m=a+40|0;n=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){o=b[a>>0]|0;p=o&255;if(o<<24>>24>0){f[c>>2]=a+1;q=p;r=6}else{s=p;r=5}}else{s=0;r=5}if((r|0)==5){r=0;p=OJb(c,s)|0;if((p+-1|0)>>>0<127){q=p;r=6}else t=p}b:do if((r|0)==6){r=0;switch(q>>>3&536870911|0){case 1:{if((q&255|0)!=8){t=q;break b}f[h>>2]=f[h>>2]|2;p=f[c>>2]|0;if(p>>>0<(f[g>>2]|0)>>>0){a=b[p>>0]|0;o=a&255;if(a<<24>>24>-1){f[c>>2]=p+1;v=o}else{w=o;r=11}}else{w=0;r=11}if((r|0)==11){r=0;o=zJb(c,w)|0;p=J;if((p|0)>-1|(p|0)==-1&o>>>0>4294967295)v=o;else{x=0;r=37;break a}}f[i>>2]=v;continue a;break}case 2:{if((q&255|0)!=18){t=q;break b}f[h>>2]=f[h>>2]|1;o=f[j>>2]|0;if((o|0)==542896){JEa(j,542896);y=f[j>>2]|0}else y=o;if($Lb(c,y)|0)continue a;else{x=0;r=37;break a}break}case 3:{if((q&255|0)!=26){t=q;break b}o=CYa(k)|0;p=f[c>>2]|0;if(p>>>0<(f[g>>2]|0)>>>0?(a=b[p>>0]|0,a<<24>>24>-1):0){f[c>>2]=p+1;z=a&255}else{a=NJb(c)|0;if((a|0)>-1)z=a;else{x=0;r=37;break a}}yJb(e,c,z);if((f[l>>2]|0)<0){r=24;break a}if(!(Th[f[(f[o>>2]|0)+44>>2]&1023](o,c)|0)){r=24;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{x=0;r=37;break a}break}case 4:{if((q&255|0)!=32){t=q;break b}f[h>>2]=f[h>>2]|4;o=f[c>>2]|0;if(o>>>0<(f[g>>2]|0)>>>0){a=b[o>>0]|0;p=a&255;if(a<<24>>24>-1){f[c>>2]=o+1;A=p}else{B=p;r=30}}else{B=0;r=30}if((r|0)==30){r=0;p=zJb(c,B)|0;o=J;if((o|0)>-1|(o|0)==-1&p>>>0>4294967295)A=p;else{x=0;r=37;break a}}f[m>>2]=A;continue a;break}default:{t=q;break b}}}while(0);if(!t){x=1;r=37;break}p=f[n>>2]|0;if(!(p&1))C=OOa(n)|0;else C=p&-2;if(!(xbc(c,t,C)|0)){x=0;r=37;break}}if((r|0)==24){x=0;u=d;return x|0}else if((r|0)==37){u=d;return x|0}return 0}function Mfb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;c=f[a+4>>2]|0;if(!(c&1))d=0;else d=Dbc(c&-2)|0;c=f[a+20>>2]|0;e=c+d|0;if(!c)g=e;else{d=a+28|0;h=0;i=e;while(1){e=f[(f[d>>2]|0)+4+(h<<2)>>2]|0;j=di[f[(f[e>>2]|0)+48>>2]&1023](e)|0;e=j+i+((((($(j|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=h+1|0;if((h|0)==(c|0)){g=e;break}else i=e}}i=f[a+8>>2]|0;if(!(i&7)){k=g;l=a+12|0;f[l>>2]=k;return k|0}if(!(i&1))m=g;else{c=f[a+32>>2]|0;h=b[c+11>>0]|0;d=h<<24>>24<0?f[c+4>>2]|0:h&255;m=g+1+d+((((($(d|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(i&2))n=m;else{d=f[a+36>>2]|0;if((d|0)<0)o=11;else o=((((($(d|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;n=o+m|0}if(!(i&4)){k=n;l=a+12|0;f[l>>2]=k;return k|0}i=f[a+40>>2]|0;if((i|0)<0)p=11;else p=((((($(i|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;k=p+n|0;l=a+12|0;f[l>>2]=k;return k|0}function Nfb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=f[a+8>>2]|0;if(c&2|0)GLb(1,f[a+36>>2]|0,b);if(c&1|0)VLb(2,f[a+32>>2]|0,b);d=f[a+20>>2]|0;if(d|0){e=a+28|0;g=0;do{_Lb(3,f[(f[e>>2]|0)+4+(g<<2)>>2]|0,b);g=g+1|0}while((g|0)!=(d|0))}if(c&4|0)GLb(4,f[a+40>>2]|0,b);c=f[a+4>>2]|0;if(!(c&1))return;Abc(c&-2,b);return}function Ofb(a){a=a|0;return f[a+12>>2]|0}function Pfb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;e=f[a+8>>2]|0;if(!(e&2))g=d;else{h=f[a+36>>2]|0;b[d>>0]=8;i=d+1|0;d=h&255;if(h>>>0>127){j=i;k=d;l=h;m=((h|0)<0)<<31>>31;while(1){b[j>>0]=k|-128;h=l;l=pzc(l|0,m|0,7)|0;n=j+1|0;o=l&255;if(!(m>>>0>0|(m|0)==0&h>>>0>16383)){p=n;q=o;break}else{j=n;k=o;m=J}}}else{p=i;q=d}b[p>>0]=q;g=p+1|0}if(!(e&1))r=g;else{p=f[a+32>>2]|0;b[g>>0]=18;r=XJb(p,g+1|0)|0}g=f[a+20>>2]|0;if(!g)s=r;else{p=a+28|0;q=0;d=r;while(1){r=f[(f[p>>2]|0)+4+(q<<2)>>2]|0;b[d>>0]=26;i=d+1|0;m=di[f[(f[r>>2]|0)+60>>2]&1023](r)|0;if(m>>>0>127){k=m;j=i;while(1){b[j>>0]=k|128;l=k>>>7;o=j+1|0;if(k>>>0>16383){k=l;j=o}else{t=o;u=l;break}}}else{t=i;u=m}b[t>>0]=u;j=li[f[(f[r>>2]|0)+64>>2]&511](r,c,t+1|0)|0;q=q+1|0;if((q|0)==(g|0)){s=j;break}else d=j}}if(!(e&4))v=s;else{e=f[a+40>>2]|0;b[s>>0]=32;d=s+1|0;s=e&255;if(e>>>0>127){g=d;q=s;t=e;c=((e|0)<0)<<31>>31;while(1){b[g>>0]=q|-128;e=t;t=pzc(t|0,c|0,7)|0;u=g+1|0;p=t&255;if(!(c>>>0>0|(c|0)==0&e>>>0>16383)){w=u;x=p;break}else{g=u;q=p;c=J}}}else{w=d;x=s}b[w>>0]=x;v=w+1|0}w=f[a+4>>2]|0;if(!(w&1)){y=v;return y|0}y=Bbc(w&-2,v)|0;return y|0}function Qfb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;if((a|0)==(c|0))return;d=a+20|0;e=f[d>>2]|0;if((e|0)>0){g=f[a+28>>2]|0;h=0;do{IYa(f[g+4+(h<<2)>>2]|0);h=h+1|0}while((h|0)!=(e|0));f[d>>2]=0}d=a+8|0;e=f[d>>2]|0;do if(e&1|0){h=f[a+32>>2]|0;g=h+11|0;if((b[g>>0]|0)<0){b[f[h>>2]>>0]=0;f[h+4>>2]=0;break}else{b[h>>0]=0;b[g>>0]=0;break}}while(0);if(e&6|0){e=a+36|0;f[e>>2]=0;f[e+4>>2]=0}f[d>>2]=0;d=f[a+4>>2]|0;if(d&1|0?(e=d&-2,f[e>>2]|0):0)ebc(e);e=ovc(c,24728,20632,0)|0;if(!e){A9b(c,a);return}else{Ufb(a,e);return}}function Rfb(a,b){a=a|0;b=b|0;var c=0;c=ovc(b,24728,20632,0)|0;if(!c){A9b(b,a);return}else{Ufb(a,c);return}}function Sfb(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function Tfb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224781]|0)!=2){f[d>>2]=151624;f[d+4>>2]=21;b[d+8>>0]=0;xLb(899124,d);QKb(d)}d=540592;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function Ufb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=a+4|0;d=f[b+4>>2]|0;if(d&1|0){e=f[c>>2]|0;if(!(e&1))g=OOa(c)|0;else g=e&-2;hbc(g,d&-2)}VEa(a+16|0,b+16|0);d=f[b+8>>2]|0;if(!(d&7))return;do if(d&1|0?(g=a+8|0,f[g>>2]=f[g>>2]|1,g=a+32|0,e=f[b+32>>2]|0,c=f[g>>2]|0,(c|0)!=(e|0)):0)if((c|0)==542896){JEa(g,e);break}else{ruc(c,e)|0;break}while(0);if(d&2|0)f[a+36>>2]=f[b+36>>2];if(d&4|0)f[a+40>>2]=f[b+40>>2];b=a+8|0;f[b>>2]=f[b>>2]|d;return}function Vfb(a){a=a|0;var c=0,d=0,e=0;c=u;u=u+16|0;d=c;f[a>>2]=129320;f[a+4>>2]=0;f[a+8>>2]=0;e=a+16|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((a|0)!=537416?(f[224794]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=34;b[d+8>>0]=0;xLb(899176,d);QKb(d)}f[a+12>>2]=0;f[a+32>>2]=542896;d=a+36|0;f[d>>2]=0;f[d+4>>2]=0;u=c;return}function Wfb(a,b){a=a|0;b=b|0;if(!b)return;EIb(a,b,1978);return}function Xfb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;f[a>>2]=129428;Qgb(a);c=f[a+84>>2]|0;if(c|0?(f[c>>2]|0)==0:0)fuc(c);c=a+72|0;d=f[c>>2]|0;if(d|0?(f[a+60>>2]|0)==0:0){e=f[d>>2]|0;if((e|0)>0){g=0;do{h=f[d+4+(g<<2)>>2]|0;if(h|0)bi[f[(f[h>>2]|0)+4>>2]&2047](h);g=g+1|0}while((g|0)!=(e|0));i=f[c>>2]|0}else i=d;fuc(i)}f[c>>2]=0;c=a+56|0;i=f[c>>2]|0;if(i|0?(f[a+44>>2]|0)==0:0){d=f[i>>2]|0;if((d|0)>0){e=0;do{g=f[i+4+(e<<2)>>2]|0;if(g|0)bi[f[(f[g>>2]|0)+4>>2]&2047](g);e=e+1|0}while((e|0)!=(d|0));j=f[c>>2]|0}else j=i;fuc(j)}f[c>>2]=0;c=f[a+40>>2]|0;if(c|0?(f[c>>2]|0)==0:0)fuc(c);c=a+28|0;j=f[c>>2]|0;if(j|0?(f[a+16>>2]|0)==0:0){i=f[j>>2]|0;if((i|0)>0){d=0;do{e=f[j+4+(d<<2)>>2]|0;if(e|0){if((b[e+11>>0]|0)<0)fuc(f[e>>2]|0);fuc(e)}d=d+1|0}while((d|0)!=(i|0));k=f[c>>2]|0}else k=j;fuc(k)}f[c>>2]=0;c=a+4|0;a=f[c>>2]|0;if(!(a&1)){f[c>>2]=0;return}k=a&-2;a=k;if((k|0)==0|(f[a+4>>2]|0)!=0){f[c>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(k);f[c>>2]=0;return}function Yfb(a){a=a|0;Xfb(a);fuc(a);return}function Zfb(a){a=a|0;a=cuc(232)|0;Ogb(a);return a|0}function _fb(a,b){a=a|0;b=b|0;a=cuc(232)|0;Ogb(a);if(!b)return a|0;Pgb(b,a);return a|0}function $fb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0;c=a+20|0;d=f[c>>2]|0;if((d|0)>0){e=f[a+28>>2]|0;g=0;do{h=f[e+4+(g<<2)>>2]|0;g=g+1|0;i=h+11|0;if((b[i>>0]|0)<0){b[f[h>>2]>>0]=0;f[h+4>>2]=0}else{b[h>>0]=0;b[i>>0]=0}}while((g|0)!=(d|0));f[c>>2]=0}f[a+32>>2]=0;c=a+48|0;d=f[c>>2]|0;if((d|0)>0){g=f[a+56>>2]|0;e=0;do{xgb(f[g+4+(e<<2)>>2]|0);e=e+1|0}while((e|0)!=(d|0));f[c>>2]=0}c=a+64|0;d=f[c>>2]|0;if((d|0)>0){e=f[a+72>>2]|0;g=0;do{i=f[e+4+(g<<2)>>2]|0;g=g+1|0;h=i+20|0;j=f[h>>2]|0;if((j|0)>0){k=f[i+28>>2]|0;l=0;do{m=f[k+4+(l<<2)>>2]|0;l=l+1|0;o=m+11|0;if((b[o>>0]|0)<0){b[f[m>>2]>>0]=0;f[m+4>>2]=0}else{b[m>>0]=0;b[o>>0]=0}}while((l|0)!=(j|0));f[h>>2]=0}j=i+8|0;if(f[j>>2]&3|0){f[i+32>>2]=0;f[i+36>>2]=1}f[j>>2]=0;j=f[i+4>>2]|0;if(j&1|0?(l=j&-2,f[l>>2]|0):0)ebc(l)}while((g|0)!=(d|0));f[c>>2]=0}f[a+76>>2]=0;c=a+8|0;d=f[c>>2]|0;if(d&255|0){do if(d&1|0){g=f[a+88>>2]|0;e=g+11|0;if((b[e>>0]|0)<0){b[f[g>>2]>>0]=0;f[g+4>>2]=0;break}else{b[g>>0]=0;b[e>>0]=0;break}}while(0);do if(d&2|0){e=f[a+92>>2]|0;g=e+11|0;if((b[g>>0]|0)<0){b[f[e>>2]>>0]=0;f[e+4>>2]=0;break}else{b[e>>0]=0;b[g>>0]=0;break}}while(0);do if(d&4|0){g=f[a+96>>2]|0;e=g+11|0;if((b[e>>0]|0)<0){b[f[g>>2]>>0]=0;f[g+4>>2]=0;break}else{b[g>>0]=0;b[e>>0]=0;break}}while(0);do if(d&8|0){e=f[a+100>>2]|0;g=e+11|0;if((b[g>>0]|0)<0){b[f[e>>2]>>0]=0;f[e+4>>2]=0;break}else{b[e>>0]=0;b[g>>0]=0;break}}while(0);if(d&16|0)ruc(f[a+104>>2]|0,540440)|0;if(d&32|0)ruc(f[a+108>>2]|0,540456)|0;if(d&64|0)xgb(f[a+112>>2]|0);if(d&128|0)xgb(f[a+116>>2]|0)}if(d&256|0){g=f[a+120>>2]|0;e=g+20|0;l=f[e>>2]|0;if((l|0)>0){j=f[g+28>>2]|0;k=0;do{o=f[j+4+(k<<2)>>2]|0;k=k+1|0;m=o+11|0;if((b[m>>0]|0)<0){b[f[o>>2]>>0]=0;f[o+4>>2]=0}else{b[o>>0]=0;b[m>>0]=0}}while((k|0)!=(l|0));f[e>>2]=0}e=g+8|0;if(f[e>>2]&3|0){f[g+32>>2]=0;f[g+36>>2]=1}f[e>>2]=0;e=f[g+4>>2]|0;if(e&1|0?(g=e&-2,f[g>>2]|0):0)ebc(g)}if(d&65024|0){g=a+124|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;f[g+16>>2]=0;f[g+20>>2]=0;f[g+24>>2]=0}if(d&16711680|0){g=a+152|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;f[g+16>>2]=0;f[g+20>>2]=0}if(d>>>0>16777215){n[a+176>>2]=.9990000128746033;d=a+184|0;f[d>>2]=-1;f[d+4>>2]=-1;f[a+192>>2]=1;b[a+196>>0]=1;b[a+197>>0]=1;n[a+200>>2]=9.99999993922529e-09;f[a+204>>2]=1;n[a+208>>2]=-1.0}if(f[a+12>>2]&7|0){f[a+212>>2]=1;f[a+216>>2]=1;n[a+220>>2]=.9900000095367432}d=c;f[d>>2]=0;f[d+4>>2]=0;d=f[a+4>>2]|0;if(!(d&1))return;a=d&-2;if(!(f[a>>2]|0))return;ebc(a);return}function agb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;b=f[a+48>>2]|0;a:do if((b|0)>0){c=f[a+56>>2]|0;d=b;b:while(1){e=d;d=d+-1|0;g=f[c+4+(d<<2)>>2]|0;h=f[g+80>>2]|0;if((h|0)>0){i=f[g+88>>2]|0;g=h;do{h=g;g=g+-1|0;j=f[i+4+(g<<2)>>2]|0;if(f[j+12>>2]&4194304|0?(f[(f[j+352>>2]|0)+8>>2]&7|0)!=7:0){k=0;break b}}while((h|0)>1)}if((e|0)<=1)break a}return k|0}while(0);b=f[a+8>>2]|0;c:do if(b&64|0?(d=f[a+112>>2]|0,c=f[d+80>>2]|0,(c|0)>0):0){g=f[d+88>>2]|0;d=c;while(1){c=d;d=d+-1|0;i=f[g+4+(d<<2)>>2]|0;if(f[i+12>>2]&4194304|0?(f[(f[i+352>>2]|0)+8>>2]&7|0)!=7:0){k=0;break}if((c|0)<=1)break c}return k|0}while(0);if(!(b&128)){k=1;return k|0}b=f[a+116>>2]|0;a=f[b+80>>2]|0;if((a|0)<=0){k=1;return k|0}d=f[b+88>>2]|0;b=a;while(1){a=b;b=b+-1|0;g=f[d+4+(b<<2)>>2]|0;if(f[g+12>>2]&4194304|0?(f[(f[g+352>>2]|0)+8>>2]&7|0)!=7:0){k=0;l=21;break}if((a|0)<=1){k=1;l=21;break}}if((l|0)==21)return k|0;return 0}function bgb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0;d=u;u=u+16|0;e=d;g=c+4|0;i=a+8|0;j=a+88|0;k=a+16|0;l=a+32|0;m=a+36|0;n=a+40|0;o=a+124|0;p=a+128|0;q=a+132|0;r=a+136|0;s=a+92|0;t=a+140|0;v=a+144|0;w=a+148|0;x=a+152|0;y=a+156|0;z=a+160|0;A=a+96|0;B=a+169|0;C=e+8|0;D=a+192|0;E=a+4|0;F=a+164|0;G=a+168|0;H=e+8|0;I=a+184|0;K=e+8|0;L=a+112|0;M=e+4|0;N=a+44|0;O=a+56|0;P=a+52|0;Q=a+48|0;R=e+4|0;S=a+170|0;T=e+8|0;U=a+100|0;V=a+116|0;W=e+4|0;X=a+120|0;Y=e+4|0;Z=a+60|0;_=a+72|0;$=a+68|0;aa=a+64|0;ba=e+4|0;ca=a+197|0;da=e+8|0;ea=a+104|0;fa=a+172|0;ga=a+200|0;ha=a+196|0;ia=e+8|0;ja=a+204|0;ka=a+76|0;la=a+80|0;ma=a+84|0;na=a+208|0;oa=a+12|0;pa=a+212|0;qa=a+216|0;ra=a+220|0;sa=a+176|0;ta=a+108|0;a:while(1){a=f[c>>2]|0;ua=f[g>>2]|0;do if(a>>>0<ua>>>0){va=b[a>>0]|0;wa=va&255;xa=a+1|0;if(va<<24>>24>0){ya=xa;za=wa}else{if(xa>>>0>=ua>>>0){Aa=wa;Ba=7;break}va=h[xa>>0]|0;if(((va^128)&wa)>>>0<=127){Aa=wa;Ba=7;break}ya=a+2|0;za=wa+-128+(va<<7)|0}f[c>>2]=ya;Ca=za;Ba=9}else{Aa=0;Ba=7}while(0);if((Ba|0)==7){Ba=0;a=OJb(c,Aa)|0;if((a+-1|0)>>>0<16383){Ca=a;Ba=9}else Da=a}b:do if((Ba|0)==9){Ba=0;do switch(Ca>>>3&536870911|0){case 1:{if((Ca&255|0)!=10){Da=Ca;break b}f[i>>2]=f[i>>2]|1;a=f[j>>2]|0;if((a|0)==542896){JEa(j,542896);Ea=f[j>>2]|0}else Ea=a;if($Lb(c,Ea)|0)continue a;else{Fa=0;Ba=331;break a}break}case 2:{if((Ca&255|0)!=18){Da=Ca;break b}if($Lb(c,MEa(k)|0)|0)continue a;else{Fa=0;Ba=331;break a}break}case 3:{switch((Ca&255)<<24>>24){case 24:break;case 26:{if(Igb(c,l)|0)continue a;else{Fa=0;Ba=331;break a}break}default:{Da=Ca;break b}}a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){ua=b[a>>0]|0;va=ua&255;if(ua<<24>>24>-1){f[c>>2]=a+1;Ga=va}else{Ha=va;Ba=20}}else{Ha=0;Ba=20}if((Ba|0)==20){Ba=0;va=zJb(c,Ha)|0;a=J;if((a|0)>-1|(a|0)==-1&va>>>0>4294967295)Ga=va;else{Fa=0;Ba=331;break a}}va=f[l>>2]|0;if((va|0)==(f[m>>2]|0)){NEa(l,va+1|0);Ia=f[l>>2]|0}else Ia=va;va=f[n>>2]|0;f[l>>2]=Ia+1;f[va+4+(Ia<<2)>>2]=Ga;a=(f[m>>2]|0)-(f[l>>2]|0)|0;if((a|0)>0){Ja=a;Ka=va}else continue a;while(1){va=f[c>>2]|0;a=f[g>>2]|0;if(va>>>0>=a>>>0)continue a;if((b[va>>0]|0)!=24)continue a;ua=va+1|0;f[c>>2]=ua;if(ua>>>0<a>>>0){a=b[ua>>0]|0;ua=a&255;if(a<<24>>24>-1){f[c>>2]=va+2;La=ua;Ma=Ka}else{Na=ua;Ba=28}}else{Na=0;Ba=28}if((Ba|0)==28){Ba=0;ua=zJb(c,Na)|0;va=J;if(!((va|0)>-1|(va|0)==-1&ua>>>0>4294967295)){Fa=0;Ba=331;break a}La=ua;Ma=f[n>>2]|0}ua=f[l>>2]|0;f[l>>2]=ua+1;f[Ma+4+(ua<<2)>>2]=La;if((Ja|0)>1){Ja=Ja+-1|0;Ka=Ma}else continue a}break}case 4:{if((Ca&255|0)!=32){Da=Ca;break b}f[i>>2]=f[i>>2]|512;ua=f[c>>2]|0;if(ua>>>0<(f[g>>2]|0)>>>0){va=b[ua>>0]|0;a=va&255;if(va<<24>>24>-1){f[c>>2]=ua+1;Oa=a}else{Pa=a;Ba=37}}else{Pa=0;Ba=37}if((Ba|0)==37){Ba=0;a=zJb(c,Pa)|0;ua=J;if((ua|0)>-1|(ua|0)==-1&a>>>0>4294967295)Oa=a;else{Fa=0;Ba=331;break a}}f[o>>2]=Oa;continue a;break}case 5:{if((Ca&255|0)!=45){Da=Ca;break b}f[i>>2]=f[i>>2]|1024;a=f[c>>2]|0;if(((f[g>>2]|0)-a|0)>3){ua=a;va=h[ua>>0]|h[ua+1>>0]<<8|h[ua+2>>0]<<16|h[ua+3>>0]<<24;f[e>>2]=va;f[c>>2]=a+4;Qa=va}else{if(!(LJb(c,e)|0)){Ba=45;break a}Qa=f[e>>2]|0}f[p>>2]=Qa;continue a;break}case 6:{if((Ca&255|0)!=48){Da=Ca;break b}f[i>>2]=f[i>>2]|2048;va=f[c>>2]|0;if(va>>>0<(f[g>>2]|0)>>>0){a=b[va>>0]|0;ua=a&255;if(a<<24>>24>-1){f[c>>2]=va+1;Ra=ua}else{Sa=ua;Ba=50}}else{Sa=0;Ba=50}if((Ba|0)==50){Ba=0;ua=zJb(c,Sa)|0;va=J;if((va|0)>-1|(va|0)==-1&ua>>>0>4294967295)Ra=ua;else{Fa=0;Ba=331;break a}}f[q>>2]=Ra;continue a;break}case 7:{if((Ca&255|0)!=56){Da=Ca;break b}f[i>>2]=f[i>>2]|4096;ua=f[c>>2]|0;if(ua>>>0<(f[g>>2]|0)>>>0){va=b[ua>>0]|0;a=va&255;if(va<<24>>24>-1){f[c>>2]=ua+1;Ta=a}else{Ua=a;Ba=56}}else{Ua=0;Ba=56}if((Ba|0)==56){Ba=0;a=zJb(c,Ua)|0;ua=J;if((ua|0)>-1|(ua|0)==-1&a>>>0>4294967295)Ta=a;else{Fa=0;Ba=331;break a}}f[r>>2]=Ta;continue a;break}case 8:{if((Ca&255|0)!=66){Da=Ca;break b}f[i>>2]=f[i>>2]|2;a=f[s>>2]|0;if((a|0)==542896){JEa(s,542896);Va=f[s>>2]|0}else Va=a;if($Lb(c,Va)|0)continue a;else{Fa=0;Ba=331;break a}break}case 9:{if((Ca&255|0)!=77){Da=Ca;break b}f[i>>2]=f[i>>2]|8192;a=f[c>>2]|0;if(((f[g>>2]|0)-a|0)>3){ua=a;va=h[ua>>0]|h[ua+1>>0]<<8|h[ua+2>>0]<<16|h[ua+3>>0]<<24;f[e>>2]=va;f[c>>2]=a+4;Wa=va}else{if(!(LJb(c,e)|0)){Ba=68;break a}Wa=f[e>>2]|0}f[t>>2]=Wa;continue a;break}case 10:{if((Ca&255|0)!=85){Da=Ca;break b}f[i>>2]=f[i>>2]|16384;va=f[c>>2]|0;if(((f[g>>2]|0)-va|0)>3){a=va;ua=h[a>>0]|h[a+1>>0]<<8|h[a+2>>0]<<16|h[a+3>>0]<<24;f[e>>2]=ua;f[c>>2]=va+4;Xa=ua}else{if(!(LJb(c,e)|0)){Ba=75;break a}Xa=f[e>>2]|0}f[v>>2]=Xa;continue a;break}case 11:{if((Ca&255|0)!=93){Da=Ca;break b}f[i>>2]=f[i>>2]|32768;ua=f[c>>2]|0;if(((f[g>>2]|0)-ua|0)>3){va=ua;a=h[va>>0]|h[va+1>>0]<<8|h[va+2>>0]<<16|h[va+3>>0]<<24;f[e>>2]=a;f[c>>2]=ua+4;Ya=a}else{if(!(LJb(c,e)|0)){Ba=82;break a}Ya=f[e>>2]|0}f[w>>2]=Ya;continue a;break}case 12:{if((Ca&255|0)!=101){Da=Ca;break b}f[i>>2]=f[i>>2]|65536;a=f[c>>2]|0;if(((f[g>>2]|0)-a|0)>3){ua=a;va=h[ua>>0]|h[ua+1>>0]<<8|h[ua+2>>0]<<16|h[ua+3>>0]<<24;f[e>>2]=va;f[c>>2]=a+4;Za=va}else{if(!(LJb(c,e)|0)){Ba=89;break a}Za=f[e>>2]|0}f[x>>2]=Za;continue a;break}case 13:{if((Ca&255|0)!=104){Da=Ca;break b}f[i>>2]=f[i>>2]|131072;va=f[c>>2]|0;if(va>>>0<(f[g>>2]|0)>>>0){a=b[va>>0]|0;ua=a&255;if(a<<24>>24>-1){f[c>>2]=va+1;_a=ua}else{$a=ua;Ba=94}}else{$a=0;Ba=94}if((Ba|0)==94){Ba=0;ua=zJb(c,$a)|0;va=J;if((va|0)>-1|(va|0)==-1&ua>>>0>4294967295)_a=ua;else{Fa=0;Ba=331;break a}}f[y>>2]=_a;continue a;break}case 14:{if((Ca&255|0)!=112){Da=Ca;break b}f[i>>2]=f[i>>2]|262144;ua=f[c>>2]|0;if(ua>>>0<(f[g>>2]|0)>>>0){va=b[ua>>0]|0;a=va&255;if(va<<24>>24>-1){f[c>>2]=ua+1;ab=a}else{bb=a;Ba=100}}else{bb=0;Ba=100}if((Ba|0)==100){Ba=0;a=zJb(c,bb)|0;ua=J;if((ua|0)>-1|(ua|0)==-1&a>>>0>4294967295)ab=a;else{Fa=0;Ba=331;break a}}f[z>>2]=ab;continue a;break}case 15:{if((Ca&255|0)!=122){Da=Ca;break b}f[i>>2]=f[i>>2]|4;a=f[A>>2]|0;if((a|0)==542896){JEa(A,542896);cb=f[A>>2]|0}else cb=a;if($Lb(c,cb)|0)continue a;else{Fa=0;Ba=331;break a}break}case 16:{if((Ca&255|0)!=128){Da=Ca;break b}f[i>>2]=f[i>>2]|2097152;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(ua=b[a>>0]|0,ua<<24>>24>-1):0){f[c>>2]=a+1;db=ua<<24>>24!=0}else{AJb(e,c);ua=e;if(!(b[C>>0]|0)){Fa=0;Ba=331;break a}else db=(f[ua>>2]|0)!=0|(f[ua+4>>2]|0)!=0}b[B>>0]=db&1;continue a;break}case 17:{if((Ca&255|0)!=136){Da=Ca;break b}ua=f[c>>2]|0;if(ua>>>0<(f[g>>2]|0)>>>0){a=b[ua>>0]|0;va=a&255;if(a<<24>>24>-1){f[c>>2]=ua+1;eb=va}else{fb=va;Ba=116}}else{fb=0;Ba=116}if((Ba|0)==116){Ba=0;va=zJb(c,fb)|0;ua=J;if((ua|0)>-1|(ua|0)==-1&va>>>0>4294967295)eb=va;else{Fa=0;Ba=331;break a}}if(eb>>>0<2){f[i>>2]=f[i>>2]|67108864;f[D>>2]=eb;continue a}va=f[E>>2]|0;if(!(va&1))gb=OOa(E)|0;else gb=va&-2;kbc(gb,17,eb,((eb|0)<0)<<31>>31);continue a;break}case 18:{if((Ca&255|0)!=144){Da=Ca;break b}f[i>>2]=f[i>>2]|524288;va=f[c>>2]|0;if(va>>>0<(f[g>>2]|0)>>>0){ua=b[va>>0]|0;a=ua&255;if(ua<<24>>24>-1){f[c>>2]=va+1;hb=a}else{ib=a;Ba=127}}else{ib=0;Ba=127}if((Ba|0)==127){Ba=0;a=zJb(c,ib)|0;va=J;if((va|0)>-1|(va|0)==-1&a>>>0>4294967295)hb=a;else{Fa=0;Ba=331;break a}}f[F>>2]=hb;continue a;break}case 19:{if((Ca&255|0)!=152){Da=Ca;break b}f[i>>2]=f[i>>2]|1048576;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(va=b[a>>0]|0,va<<24>>24>-1):0){f[c>>2]=a+1;jb=va<<24>>24!=0}else{AJb(e,c);va=e;if(!(b[H>>0]|0)){Fa=0;Ba=331;break a}else jb=(f[va>>2]|0)!=0|(f[va+4>>2]|0)!=0}b[G>>0]=jb&1;continue a;break}case 20:{if((Ca&255|0)!=160){Da=Ca;break b}f[i>>2]=f[i>>2]|33554432;va=f[c>>2]|0;if(va>>>0<(f[g>>2]|0)>>>0?(a=b[va>>0]|0,a<<24>>24>-1):0){f[c>>2]=va+1;kb=a&255;lb=0}else{AJb(e,c);a=e;if(!(b[K>>0]|0)){Fa=0;Ba=331;break a}else{kb=f[a>>2]|0;lb=f[a+4>>2]|0}}a=I;f[a>>2]=kb;f[a+4>>2]=lb;continue a;break}case 21:{if((Ca&255|0)!=170){Da=Ca;break b}f[i>>2]=f[i>>2]|64;a=f[L>>2]|0;if(!a){va=cuc(104)|0;ngb(va);f[L>>2]=va;mb=va}else mb=a;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(va=b[a>>0]|0,va<<24>>24>-1):0){f[c>>2]=a+1;nb=va&255}else{va=NJb(c)|0;if((va|0)>-1)nb=va;else{Fa=0;Ba=331;break a}}yJb(e,c,nb);if((f[M>>2]|0)<0){Ba=150;break a}if(!(Th[f[(f[mb>>2]|0)+44>>2]&1023](mb,c)|0)){Ba=150;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{Fa=0;Ba=331;break a}break}case 22:{if((Ca&255|0)!=178){Da=Ca;break b}va=f[O>>2]|0;do if(va){a=f[Q>>2]|0;ua=f[va>>2]|0;if((a|0)>=(ua|0))if((ua|0)==(f[P>>2]|0)){ob=ua;Ba=158;break}else{pb=ua;qb=va;Ba=159;break}else{f[Q>>2]=a+1;rb=f[va+4+(a<<2)>>2]|0;break}}else{ob=f[P>>2]|0;Ba=158}while(0);if((Ba|0)==158){Ba=0;LKb(N,ob+1|0);va=f[O>>2]|0;pb=f[va>>2]|0;qb=va;Ba=159}if((Ba|0)==159){Ba=0;f[qb>>2]=pb+1;va=f[N>>2]|0;if(!va){a=cuc(104)|0;ngb(a);sb=a}else{if(f[va+64>>2]|0)HIb(va,20664,104);a=GIb(va,104,1986)|0;ngb(a);sb=a}a=f[O>>2]|0;va=f[Q>>2]|0;f[Q>>2]=va+1;f[a+4+(va<<2)>>2]=sb;rb=sb}va=f[c>>2]|0;if(va>>>0<(f[g>>2]|0)>>>0?(a=b[va>>0]|0,a<<24>>24>-1):0){f[c>>2]=va+1;tb=a&255}else{a=NJb(c)|0;if((a|0)>-1)tb=a;else{Fa=0;Ba=331;break a}}yJb(e,c,tb);if((f[R>>2]|0)<0){Ba=171;break a}if(!(Th[f[(f[rb>>2]|0)+44>>2]&1023](rb,c)|0)){Ba=171;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{Fa=0;Ba=331;break a}break}case 23:{if((Ca&255|0)!=184){Da=Ca;break b}f[i>>2]=f[i>>2]|4194304;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(va=b[a>>0]|0,va<<24>>24>-1):0){f[c>>2]=a+1;ub=va<<24>>24!=0}else{AJb(e,c);va=e;if(!(b[T>>0]|0)){Fa=0;Ba=331;break a}else ub=(f[va>>2]|0)!=0|(f[va+4>>2]|0)!=0}b[S>>0]=ub&1;continue a;break}case 24:{if((Ca&255|0)!=194){Da=Ca;break b}f[i>>2]=f[i>>2]|8;va=f[U>>2]|0;if((va|0)==542896){JEa(U,542896);vb=f[U>>2]|0}else vb=va;if($Lb(c,vb)|0)continue a;else{Fa=0;Ba=331;break a}break}case 25:{if((Ca&255|0)!=202){Da=Ca;break b}f[i>>2]=f[i>>2]|128;va=f[V>>2]|0;if(!va){a=cuc(104)|0;ngb(a);f[V>>2]=a;wb=a}else wb=va;va=f[c>>2]|0;if(va>>>0<(f[g>>2]|0)>>>0?(a=b[va>>0]|0,a<<24>>24>-1):0){f[c>>2]=va+1;xb=a&255}else{a=NJb(c)|0;if((a|0)>-1)xb=a;else{Fa=0;Ba=331;break a}}yJb(e,c,xb);if((f[W>>2]|0)<0){Ba=192;break a}if(!(Th[f[(f[wb>>2]|0)+44>>2]&1023](wb,c)|0)){Ba=192;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{Fa=0;Ba=331;break a}break}case 26:{if((Ca&255|0)!=210){Da=Ca;break b}f[i>>2]=f[i>>2]|256;a=f[X>>2]|0;if(!a){va=cuc(40)|0;Dfb(va);f[X>>2]=va;yb=va}else yb=a;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(va=b[a>>0]|0,va<<24>>24>-1):0){f[c>>2]=a+1;zb=va&255}else{va=NJb(c)|0;if((va|0)>-1)zb=va;else{Fa=0;Ba=331;break a}}yJb(e,c,zb);if((f[Y>>2]|0)<0){Ba=203;break a}if(!(Th[f[(f[yb>>2]|0)+44>>2]&1023](yb,c)|0)){Ba=203;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{Fa=0;Ba=331;break a}break}case 27:{if((Ca&255|0)!=218){Da=Ca;break b}va=f[_>>2]|0;do if(va){a=f[aa>>2]|0;ua=f[va>>2]|0;if((a|0)>=(ua|0))if((ua|0)==(f[$>>2]|0)){Ab=ua;Ba=211;break}else{Bb=ua;Cb=va;Ba=212;break}else{f[aa>>2]=a+1;Db=f[va+4+(a<<2)>>2]|0;break}}else{Ab=f[$>>2]|0;Ba=211}while(0);if((Ba|0)==211){Ba=0;LKb(Z,Ab+1|0);va=f[_>>2]|0;Bb=f[va>>2]|0;Cb=va;Ba=212}if((Ba|0)==212){Ba=0;f[Cb>>2]=Bb+1;va=f[Z>>2]|0;if(!va){a=cuc(40)|0;Dfb(a);Eb=a}else{if(f[va+64>>2]|0)HIb(va,20616,40);a=GIb(va,40,1987)|0;Dfb(a);Eb=a}a=f[_>>2]|0;va=f[aa>>2]|0;f[aa>>2]=va+1;f[a+4+(va<<2)>>2]=Eb;Db=Eb}va=f[c>>2]|0;if(va>>>0<(f[g>>2]|0)>>>0?(a=b[va>>0]|0,a<<24>>24>-1):0){f[c>>2]=va+1;Fb=a&255}else{a=NJb(c)|0;if((a|0)>-1)Fb=a;else{Fa=0;Ba=331;break a}}yJb(e,c,Fb);if((f[ba>>2]|0)<0){Ba=224;break a}if(!(Th[f[(f[Db>>2]|0)+44>>2]&1023](Db,c)|0)){Ba=224;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{Fa=0;Ba=331;break a}break}case 28:{if((Ca&255|0)!=224){Da=Ca;break b}f[i>>2]=f[i>>2]|268435456;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(va=b[a>>0]|0,va<<24>>24>-1):0){f[c>>2]=a+1;Gb=va<<24>>24!=0}else{AJb(e,c);va=e;if(!(b[da>>0]|0)){Fa=0;Ba=331;break a}else Gb=(f[va>>2]|0)!=0|(f[va+4>>2]|0)!=0}b[ca>>0]=Gb&1;continue a;break}case 29:{if((Ca&255|0)!=234){Da=Ca;break b}f[i>>2]=f[i>>2]|16;va=f[ea>>2]|0;if((va|0)==540440){JEa(ea,540440);Hb=f[ea>>2]|0}else Hb=va;if($Lb(c,Hb)|0)continue a;else{Fa=0;Ba=331;break a}break}case 30:{if((Ca&255|0)!=240){Da=Ca;break b}va=f[c>>2]|0;if(va>>>0<(f[g>>2]|0)>>>0){a=b[va>>0]|0;ua=a&255;if(a<<24>>24>-1){f[c>>2]=va+1;Ib=ua}else{Jb=ua;Ba=240}}else{Jb=0;Ba=240}if((Ba|0)==240){Ba=0;ua=zJb(c,Jb)|0;va=J;if((va|0)>-1|(va|0)==-1&ua>>>0>4294967295)Ib=ua;else{Fa=0;Ba=331;break a}}if(Ib>>>0<6){f[i>>2]=f[i>>2]|8388608;f[fa>>2]=Ib;continue a}ua=f[E>>2]|0;if(!(ua&1))Kb=OOa(E)|0;else Kb=ua&-2;kbc(Kb,30,Ib,((Ib|0)<0)<<31>>31);continue a;break}case 31:{if((Ca&255|0)!=253){Da=Ca;break b}f[i>>2]=f[i>>2]|536870912;ua=f[c>>2]|0;if(((f[g>>2]|0)-ua|0)>3){va=ua;a=h[va>>0]|h[va+1>>0]<<8|h[va+2>>0]<<16|h[va+3>>0]<<24;f[e>>2]=a;f[c>>2]=ua+4;Lb=a}else{if(!(LJb(c,e)|0)){Ba=253;break a}Lb=f[e>>2]|0}f[ga>>2]=Lb;continue a;break}case 32:{if(Ca&255|0){Da=Ca;break b}f[i>>2]=f[i>>2]|134217728;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(ua=b[a>>0]|0,ua<<24>>24>-1):0){f[c>>2]=a+1;Mb=ua<<24>>24!=0}else{AJb(e,c);ua=e;if(!(b[ia>>0]|0)){Fa=0;Ba=331;break a}else Mb=(f[ua>>2]|0)!=0|(f[ua+4>>2]|0)!=0}b[ha>>0]=Mb&1;continue a;break}case 33:{if((Ca&255|0)!=8){Da=Ca;break b}f[i>>2]=f[i>>2]|1073741824;ua=f[c>>2]|0;if(ua>>>0<(f[g>>2]|0)>>>0){a=b[ua>>0]|0;va=a&255;if(a<<24>>24>-1){f[c>>2]=ua+1;Nb=va}else{Ob=va;Ba=264}}else{Ob=0;Ba=264}if((Ba|0)==264){Ba=0;va=zJb(c,Ob)|0;ua=J;if((ua|0)>-1|(ua|0)==-1&va>>>0>4294967295)Nb=va;else{Fa=0;Ba=331;break a}}f[ja>>2]=Nb;continue a;break}case 34:{switch((Ca&255)<<24>>24){case 16:break;case 18:{if(Igb(c,ka)|0)continue a;else{Fa=0;Ba=331;break a}break}default:{Da=Ca;break b}}va=f[c>>2]|0;if(va>>>0<(f[g>>2]|0)>>>0){ua=b[va>>0]|0;a=ua&255;if(ua<<24>>24>-1){f[c>>2]=va+1;Pb=a}else{Qb=a;Ba=270}}else{Qb=0;Ba=270}if((Ba|0)==270){Ba=0;a=zJb(c,Qb)|0;va=J;if((va|0)>-1|(va|0)==-1&a>>>0>4294967295)Pb=a;else{Fa=0;Ba=331;break a}}a=f[ka>>2]|0;if((a|0)==(f[la>>2]|0)){NEa(ka,a+1|0);Rb=f[ka>>2]|0}else Rb=a;a=f[ma>>2]|0;f[ka>>2]=Rb+1;f[a+4+(Rb<<2)>>2]=Pb;va=(f[la>>2]|0)-(f[ka>>2]|0)|0;if((va|0)>0){Sb=va;Tb=a}else continue a;while(1){a=f[g>>2]|0;va=f[c>>2]|0;ua=va;if((a-va|0)<=1)continue a;if((b[ua>>0]|0)!=-112)continue a;if((b[ua+1>>0]|0)!=2)continue a;va=ua+2|0;f[c>>2]=va;if(va>>>0<a>>>0){a=b[va>>0]|0;va=a&255;if(a<<24>>24>-1){f[c>>2]=ua+3;Ub=va;Vb=Tb}else{Wb=va;Ba=279}}else{Wb=0;Ba=279}if((Ba|0)==279){Ba=0;va=zJb(c,Wb)|0;ua=J;if(!((ua|0)>-1|(ua|0)==-1&va>>>0>4294967295)){Fa=0;Ba=331;break a}Ub=va;Vb=f[ma>>2]|0}va=f[ka>>2]|0;f[ka>>2]=va+1;f[Vb+4+(va<<2)>>2]=Ub;if((Sb|0)>1){Sb=Sb+-1|0;Tb=Vb}else continue a}break}case 35:{if((Ca&255|0)!=29){Da=Ca;break b}f[i>>2]=f[i>>2]|-2147483648;va=f[c>>2]|0;if(((f[g>>2]|0)-va|0)>3){ua=va;a=h[ua>>0]|h[ua+1>>0]<<8|h[ua+2>>0]<<16|h[ua+3>>0]<<24;f[e>>2]=a;f[c>>2]=va+4;Xb=a}else{if(!(LJb(c,e)|0)){Ba=290;break a}Xb=f[e>>2]|0}f[na>>2]=Xb;continue a;break}case 36:{if((Ca&255|0)!=32){Da=Ca;break b}f[oa>>2]=f[oa>>2]|1;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){va=b[a>>0]|0;ua=va&255;if(va<<24>>24>-1){f[c>>2]=a+1;Yb=ua}else{Zb=ua;Ba=295}}else{Zb=0;Ba=295}if((Ba|0)==295){Ba=0;ua=zJb(c,Zb)|0;a=J;if((a|0)>-1|(a|0)==-1&ua>>>0>4294967295)Yb=ua;else{Fa=0;Ba=331;break a}}f[pa>>2]=Yb;continue a;break}case 37:{if((Ca&255|0)!=40){Da=Ca;break b}ua=f[c>>2]|0;if(ua>>>0<(f[g>>2]|0)>>>0){a=b[ua>>0]|0;va=a&255;if(a<<24>>24>-1){f[c>>2]=ua+1;_b=va}else{$b=va;Ba=301}}else{$b=0;Ba=301}if((Ba|0)==301){Ba=0;va=zJb(c,$b)|0;ua=J;if((ua|0)>-1|(ua|0)==-1&va>>>0>4294967295)_b=va;else{Fa=0;Ba=331;break a}}if(_b>>>0<2){f[oa>>2]=f[oa>>2]|2;f[qa>>2]=_b;continue a}va=f[E>>2]|0;if(!(va&1))ac=OOa(E)|0;else ac=va&-2;kbc(ac,37,_b,((_b|0)<0)<<31>>31);continue a;break}case 38:{if((Ca&255|0)!=53){Da=Ca;break b}f[oa>>2]=f[oa>>2]|4;va=f[c>>2]|0;if(((f[g>>2]|0)-va|0)>3){ua=va;a=h[ua>>0]|h[ua+1>>0]<<8|h[ua+2>>0]<<16|h[ua+3>>0]<<24;f[e>>2]=a;f[c>>2]=va+4;bc=a}else{if(!(LJb(c,e)|0)){Ba=314;break a}bc=f[e>>2]|0}f[ra>>2]=bc;continue a;break}case 39:{if((Ca&255|0)!=61){Da=Ca;break b}f[i>>2]=f[i>>2]|16777216;a=f[c>>2]|0;if(((f[g>>2]|0)-a|0)>3){va=a;ua=h[va>>0]|h[va+1>>0]<<8|h[va+2>>0]<<16|h[va+3>>0]<<24;f[e>>2]=ua;f[c>>2]=a+4;cc=ua}else{if(!(LJb(c,e)|0)){Ba=321;break a}cc=f[e>>2]|0}f[sa>>2]=cc;continue a;break}case 40:{if((Ca&255|0)!=66){Da=Ca;break b}f[i>>2]=f[i>>2]|32;ua=f[ta>>2]|0;if((ua|0)==540456){JEa(ta,540456);dc=f[ta>>2]|0}else dc=ua;if($Lb(c,dc)|0)continue a;else{Fa=0;Ba=331;break a}break}default:{Da=Ca;break b}}while(0)}while(0);if(!Da){Fa=1;Ba=331;break}ua=f[E>>2]|0;if(!(ua&1))ec=OOa(E)|0;else ec=ua&-2;if(!(xbc(c,Da,ec)|0)){Fa=0;Ba=331;break}}switch(Ba|0){case 45:{Fa=0;u=d;return Fa|0}case 68:{Fa=0;u=d;return Fa|0}case 75:{Fa=0;u=d;return Fa|0}case 82:{Fa=0;u=d;return Fa|0}case 89:{Fa=0;u=d;return Fa|0}case 150:{Fa=0;u=d;return Fa|0}case 171:{Fa=0;u=d;return Fa|0}case 192:{Fa=0;u=d;return Fa|0}case 203:{Fa=0;u=d;return Fa|0}case 224:{Fa=0;u=d;return Fa|0}case 253:{Fa=0;u=d;return Fa|0}case 290:{Fa=0;u=d;return Fa|0}case 314:{Fa=0;u=d;return Fa|0}case 321:{Fa=0;u=d;return Fa|0}case 331:{u=d;return Fa|0}}return 0}function cgb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,aa=0;c=f[a+4>>2]|0;if(!(c&1))d=0;else d=Dbc(c&-2)|0;c=f[a+20>>2]|0;e=c+d|0;if((c|0)>0){d=f[a+28>>2]|0;g=0;h=e;while(1){i=f[d+4+(g<<2)>>2]|0;j=b[i+11>>0]|0;k=j<<24>>24<0?f[i+4>>2]|0:j&255;j=k+h+((((($(k|1|0)|0)^31)*9|0)+73|0)>>>6)|0;g=g+1|0;if((g|0)==(c|0)){l=j;break}else h=j}}else l=e;e=bMb(a+32|0)|0;h=f[a+48>>2]|0;c=e+l+(f[a+32>>2]|0)+(h<<1)|0;if(!h)m=c;else{l=a+56|0;e=0;g=c;while(1){c=f[(f[l>>2]|0)+4+(e<<2)>>2]|0;d=di[f[(f[c>>2]|0)+48>>2]&1023](c)|0;c=d+g+((((($(d|1|0)|0)^31)*9|0)+73|0)>>>6)|0;e=e+1|0;if((e|0)==(h|0)){m=c;break}else g=c}}g=f[a+64>>2]|0;h=(g<<1)+m|0;if(!g)n=h;else{m=a+72|0;e=0;l=h;while(1){h=f[(f[m>>2]|0)+4+(e<<2)>>2]|0;c=di[f[(f[h>>2]|0)+48>>2]&1023](h)|0;h=c+l+((((($(c|1|0)|0)^31)*9|0)+73|0)>>>6)|0;e=e+1|0;if((e|0)==(g|0)){n=h;break}else l=h}}l=bMb(a+76|0)|0;g=l+n+(f[a+76>>2]<<1)|0;n=a+8|0;l=f[n>>2]|0;if(l&255){if(!(l&1))o=g;else{e=f[a+88>>2]|0;m=b[e+11>>0]|0;h=m<<24>>24<0?f[e+4>>2]|0:m&255;o=g+1+h+((((($(h|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(l&2))p=o;else{h=f[a+92>>2]|0;m=b[h+11>>0]|0;e=m<<24>>24<0?f[h+4>>2]|0:m&255;p=o+1+e+((((($(e|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(l&4))q=p;else{e=f[a+96>>2]|0;o=b[e+11>>0]|0;m=o<<24>>24<0?f[e+4>>2]|0:o&255;q=p+1+m+((((($(m|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(l&8))r=q;else{m=f[a+100>>2]|0;p=b[m+11>>0]|0;o=p<<24>>24<0?f[m+4>>2]|0:p&255;r=q+2+o+((((($(o|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(l&16))s=r;else{o=f[a+104>>2]|0;q=b[o+11>>0]|0;p=q<<24>>24<0?f[o+4>>2]|0:q&255;s=r+2+p+((((($(p|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(l&32))t=s;else{p=f[a+108>>2]|0;r=b[p+11>>0]|0;q=r<<24>>24<0?f[p+4>>2]|0:r&255;t=s+2+q+((((($(q|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(l&64)){u=t;v=l}else{q=f[a+112>>2]|0;s=di[f[(f[q>>2]|0)+48>>2]&1023](q)|0;q=t+2+s+((((($(s|1|0)|0)^31)*9|0)+73|0)>>>6)|0;u=q;v=f[n>>2]|0}if(!(v&128)){w=u;x=v}else{v=f[a+116>>2]|0;q=di[f[(f[v>>2]|0)+48>>2]&1023](v)|0;v=u+2+q+((((($(q|1|0)|0)^31)*9|0)+73|0)>>>6)|0;w=v;x=f[n>>2]|0}}else{w=g;x=l}if(!(x&65280)){y=w;z=x}else{if(!(x&256)){A=w;B=x}else{x=f[a+120>>2]|0;l=di[f[(f[x>>2]|0)+48>>2]&1023](x)|0;x=w+2+l+((((($(l|1|0)|0)^31)*9|0)+73|0)>>>6)|0;A=x;B=f[n>>2]|0}if(!(B&512))C=A;else{n=f[a+124>>2]|0;if((n|0)<0)D=10;else D=(((($(n|1|0)|0)^31)*9|0)+73|0)>>>6;C=A+1+D|0}D=B&1024|0?C+5|0:C;if(!(B&2048))E=D;else{C=f[a+132>>2]|0;if((C|0)<0)F=10;else F=(((($(C|1|0)|0)^31)*9|0)+73|0)>>>6;E=D+1+F|0}if(!(B&4096))G=E;else{F=f[a+136>>2]|0;if((F|0)<0)H=10;else H=(((($(F|1|0)|0)^31)*9|0)+73|0)>>>6;G=E+1+H|0}H=B&8192|0?G+5|0:G;G=B&16384|0?H+5|0:H;y=B&32768|0?G+5|0:G;z=B}if(z&16711680){B=z&65536|0?y+5|0:y;if(!(z&131072))I=B;else{G=f[a+156>>2]|0;if((G|0)<0)J=10;else J=(((($(G|1|0)|0)^31)*9|0)+73|0)>>>6;I=B+1+J|0}if(!(z&262144))K=I;else{J=f[a+160>>2]|0;if((J|0)<0)L=10;else L=(((($(J|1|0)|0)^31)*9|0)+73|0)>>>6;K=I+1+L|0}if(!(z&524288))M=K;else{L=f[a+164>>2]|0;if((L|0)<0)N=12;else N=((((($(L|1|0)|0)^31)*9|0)+73|0)>>>6)+2|0;M=N+K|0}K=z&1048576|0?M+3|0:M;M=z&2097152|0?K+3|0:K;K=z&4194304|0?M+3|0:M;if(!(z&8388608))O=K;else{M=f[a+172>>2]|0;if((M|0)<0)P=12;else P=((((($(M|1|0)|0)^31)*9|0)+73|0)>>>6)+2|0;O=P+K|0}}else O=y;if(z>>>0>16777215){y=z&16777216|0?O+6|0:O;if(!(z&33554432))Q=y;else{K=a+184|0;P=xzc(f[K>>2]|1|0,f[K+4>>2]|0,1)|0;Q=y+2+((((P^63)*9|0)+73|0)>>>6)|0}if(!(z&67108864))R=Q;else{P=f[a+192>>2]|0;if((P|0)<0)S=12;else S=((((($(P|1|0)|0)^31)*9|0)+73|0)>>>6)+2|0;R=S+Q|0}Q=z&134217728|0?R+3|0:R;R=z&268435456|0?Q+3|0:Q;Q=z&536870912|0?R+6|0:R;if(!(z&1073741824))T=Q;else{R=f[a+204>>2]|0;if((R|0)<0)U=12;else U=((((($(R|1|0)|0)^31)*9|0)+73|0)>>>6)+2|0;T=U+Q|0}V=(z|0)<0?T+6|0:T}else V=O;O=f[a+12>>2]|0;if(!(O&7)){W=V;X=a+224|0;f[X>>2]=W;return W|0}if(!(O&1))Y=V;else{T=f[a+212>>2]|0;if((T|0)<0)Z=12;else Z=((((($(T|1|0)|0)^31)*9|0)+73|0)>>>6)+2|0;Y=Z+V|0}if(!(O&2))_=Y;else{V=f[a+216>>2]|0;if((V|0)<0)aa=12;else aa=((((($(V|1|0)|0)^31)*9|0)+73|0)>>>6)+2|0;_=aa+Y|0}W=O&4|0?_+6|0:_;X=a+224|0;f[X>>2]=W;return W|0}function dgb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0;d=a+8|0;e=f[d>>2]|0;if(e&1|0)VLb(1,f[a+88>>2]|0,c);g=f[a+20>>2]|0;if((g|0)>0){h=a+28|0;i=0;do{ULb(2,f[(f[h>>2]|0)+4+(i<<2)>>2]|0,c);i=i+1|0}while((i|0)!=(g|0))}g=f[a+32>>2]|0;if((g|0)>0){i=a+40|0;h=0;do{GLb(3,f[(f[i>>2]|0)+4+(h<<2)>>2]|0,c);h=h+1|0}while((h|0)!=(g|0))}if(e&512|0)GLb(4,f[a+124>>2]|0,c);if(e&1024|0)QLb(5,+n[a+128>>2],c);if(e&2048|0)GLb(6,f[a+132>>2]|0,c);if(e&4096|0)GLb(7,f[a+136>>2]|0,c);if(e&2|0)VLb(8,f[a+92>>2]|0,c);if(e&8192|0)QLb(9,+n[a+140>>2],c);if(e&16384|0)QLb(10,+n[a+144>>2],c);if(e&32768|0)QLb(11,+n[a+148>>2],c);if(e&65536|0)QLb(12,+n[a+152>>2],c);if(e&131072|0)GLb(13,f[a+156>>2]|0,c);if(e&262144|0)GLb(14,f[a+160>>2]|0,c);if(e&4|0)VLb(15,f[a+96>>2]|0,c);if(e&2097152|0)SLb(16,(b[a+169>>0]|0)!=0,c);if(e&67108864|0)TLb(17,f[a+192>>2]|0,c);if(e&524288|0)GLb(18,f[a+164>>2]|0,c);if(e&1048576|0)SLb(19,(b[a+168>>0]|0)!=0,c);if(e&33554432|0){g=a+184|0;HLb(20,f[g>>2]|0,f[g+4>>2]|0,c)}if(e&64|0)_Lb(21,f[a+112>>2]|0,c);g=f[a+48>>2]|0;if(g|0){h=a+56|0;i=0;do{_Lb(22,f[(f[h>>2]|0)+4+(i<<2)>>2]|0,c);i=i+1|0}while((i|0)!=(g|0))}if(e&4194304|0)SLb(23,(b[a+170>>0]|0)!=0,c);if(e&8|0)VLb(24,f[a+100>>2]|0,c);if(e&128|0)_Lb(25,f[a+116>>2]|0,c);if(e&256|0)_Lb(26,f[a+120>>2]|0,c);g=f[a+64>>2]|0;if(g|0){i=a+72|0;h=0;do{_Lb(27,f[(f[i>>2]|0)+4+(h<<2)>>2]|0,c);h=h+1|0}while((h|0)!=(g|0))}if(e&268435456|0)SLb(28,(b[a+197>>0]|0)!=0,c);if(e&16|0)VLb(29,f[a+104>>2]|0,c);if(e&8388608|0)TLb(30,f[a+172>>2]|0,c);if(e&536870912|0)QLb(31,+n[a+200>>2],c);if(e&134217728|0)SLb(32,(b[a+196>>0]|0)!=0,c);if(e&1073741824|0)GLb(33,f[a+204>>2]|0,c);g=f[a+76>>2]|0;if((g|0)>0){h=a+84|0;i=0;do{GLb(34,f[(f[h>>2]|0)+4+(i<<2)>>2]|0,c);i=i+1|0}while((i|0)!=(g|0))}if((e|0)<0)QLb(35,+n[a+208>>2],c);e=f[a+12>>2]|0;if(e&1|0)GLb(36,f[a+212>>2]|0,c);if(e&2|0)TLb(37,f[a+216>>2]|0,c);if(e&4|0)QLb(38,+n[a+220>>2],c);e=f[d>>2]|0;if(e&16777216|0)QLb(39,+n[a+176>>2],c);if(e&32|0)VLb(40,f[a+108>>2]|0,c);e=f[a+4>>2]|0;if(!(e&1))return;Abc(e&-2,c);return}function egb(a){a=a|0;return f[a+224>>2]|0}function fgb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0;e=a+8|0;g=f[e>>2]|0;if(!(g&1))h=d;else{i=f[a+88>>2]|0;b[d>>0]=10;h=XJb(i,d+1|0)|0}d=f[a+20>>2]|0;if((d|0)>0){i=a+28|0;j=0;k=h;while(1){l=f[(f[i>>2]|0)+4+(j<<2)>>2]|0;b[k>>0]=18;m=XJb(l,k+1|0)|0;j=j+1|0;if((j|0)==(d|0)){n=m;break}else k=m}}else n=h;h=f[a+32>>2]|0;if(!h)o=n;else{k=f[a+40>>2]|0;d=0;j=n;while(1){n=f[k+4+(d<<2)>>2]|0;b[j>>0]=24;i=j+1|0;m=n&255;if(n>>>0>127){l=i;p=m;q=n;r=((n|0)<0)<<31>>31;while(1){b[l>>0]=p|-128;n=q;q=pzc(q|0,r|0,7)|0;s=l+1|0;t=q&255;if(!(r>>>0>0|(r|0)==0&n>>>0>16383)){u=s;v=t;break}else{l=s;p=t;r=J}}}else{u=i;v=m}b[u>>0]=v;r=u+1|0;d=d+1|0;if((d|0)>=(h|0)){o=r;break}else j=r}}if(!(g&512))w=o;else{j=f[a+124>>2]|0;b[o>>0]=32;h=o+1|0;o=j&255;if(j>>>0>127){d=h;u=o;v=j;k=((j|0)<0)<<31>>31;while(1){b[d>>0]=u|-128;j=v;v=pzc(v|0,k|0,7)|0;r=d+1|0;p=v&255;if(!(k>>>0>0|(k|0)==0&j>>>0>16383)){x=r;y=p;break}else{d=r;u=p;k=J}}}else{x=h;y=o}b[x>>0]=y;w=x+1|0}if(!(g&1024))z=w;else{x=f[a+128>>2]|0;b[w>>0]=45;y=w+1|0;b[y>>0]=x;b[y+1>>0]=x>>8;b[y+2>>0]=x>>16;b[y+3>>0]=x>>24;z=w+5|0}if(!(g&2048))A=z;else{w=f[a+132>>2]|0;b[z>>0]=48;x=z+1|0;z=w&255;if(w>>>0>127){y=x;o=z;h=w;k=((w|0)<0)<<31>>31;while(1){b[y>>0]=o|-128;w=h;h=pzc(h|0,k|0,7)|0;u=y+1|0;d=h&255;if(!(k>>>0>0|(k|0)==0&w>>>0>16383)){B=u;C=d;break}else{y=u;o=d;k=J}}}else{B=x;C=z}b[B>>0]=C;A=B+1|0}if(!(g&4096))D=A;else{B=f[a+136>>2]|0;b[A>>0]=56;C=A+1|0;A=B&255;if(B>>>0>127){z=C;x=A;k=B;o=((B|0)<0)<<31>>31;while(1){b[z>>0]=x|-128;B=k;k=pzc(k|0,o|0,7)|0;y=z+1|0;h=k&255;if(!(o>>>0>0|(o|0)==0&B>>>0>16383)){E=y;F=h;break}else{z=y;x=h;o=J}}}else{E=C;F=A}b[E>>0]=F;D=E+1|0}if(!(g&2))G=D;else{E=f[a+92>>2]|0;b[D>>0]=66;G=XJb(E,D+1|0)|0}if(!(g&8192))H=G;else{D=f[a+140>>2]|0;b[G>>0]=77;E=G+1|0;b[E>>0]=D;b[E+1>>0]=D>>8;b[E+2>>0]=D>>16;b[E+3>>0]=D>>24;H=G+5|0}if(!(g&16384))I=H;else{G=f[a+144>>2]|0;b[H>>0]=85;D=H+1|0;b[D>>0]=G;b[D+1>>0]=G>>8;b[D+2>>0]=G>>16;b[D+3>>0]=G>>24;I=H+5|0}if(!(g&32768))K=I;else{H=f[a+148>>2]|0;b[I>>0]=93;G=I+1|0;b[G>>0]=H;b[G+1>>0]=H>>8;b[G+2>>0]=H>>16;b[G+3>>0]=H>>24;K=I+5|0}if(!(g&65536))L=K;else{I=f[a+152>>2]|0;b[K>>0]=101;H=K+1|0;b[H>>0]=I;b[H+1>>0]=I>>8;b[H+2>>0]=I>>16;b[H+3>>0]=I>>24;L=K+5|0}if(!(g&131072))M=L;else{K=f[a+156>>2]|0;b[L>>0]=104;I=L+1|0;L=K&255;if(K>>>0>127){H=I;G=L;D=K;E=((K|0)<0)<<31>>31;while(1){b[H>>0]=G|-128;K=D;D=pzc(D|0,E|0,7)|0;F=H+1|0;A=D&255;if(!(E>>>0>0|(E|0)==0&K>>>0>16383)){N=F;O=A;break}else{H=F;G=A;E=J}}}else{N=I;O=L}b[N>>0]=O;M=N+1|0}if(!(g&262144))P=M;else{N=f[a+160>>2]|0;b[M>>0]=112;O=M+1|0;M=N&255;if(N>>>0>127){L=O;I=M;E=N;G=((N|0)<0)<<31>>31;while(1){b[L>>0]=I|-128;N=E;E=pzc(E|0,G|0,7)|0;H=L+1|0;D=E&255;if(!(G>>>0>0|(G|0)==0&N>>>0>16383)){Q=H;R=D;break}else{L=H;I=D;G=J}}}else{Q=O;R=M}b[Q>>0]=R;P=Q+1|0}if(!(g&4))S=P;else{Q=f[a+96>>2]|0;b[P>>0]=122;S=XJb(Q,P+1|0)|0}if(!(g&2097152))T=S;else{P=b[a+169>>0]|0;b[S>>0]=-128;b[S+1>>0]=1;b[S+2>>0]=P;T=S+3|0}if(!(g&67108864))U=T;else{S=f[a+192>>2]|0;b[T>>0]=-120;b[T+1>>0]=1;P=T+2|0;T=S&255;if(S>>>0>127){Q=P;R=T;M=S;O=((S|0)<0)<<31>>31;while(1){b[Q>>0]=R|-128;S=M;M=pzc(M|0,O|0,7)|0;G=Q+1|0;I=M&255;if(!(O>>>0>0|(O|0)==0&S>>>0>16383)){V=G;W=I;break}else{Q=G;R=I;O=J}}}else{V=P;W=T}b[V>>0]=W;U=V+1|0}if(!(g&524288))X=U;else{V=f[a+164>>2]|0;b[U>>0]=-112;b[U+1>>0]=1;W=U+2|0;U=V&255;if(V>>>0>127){T=W;P=U;O=V;R=((V|0)<0)<<31>>31;while(1){b[T>>0]=P|-128;V=O;O=pzc(O|0,R|0,7)|0;Q=T+1|0;M=O&255;if(!(R>>>0>0|(R|0)==0&V>>>0>16383)){Y=Q;Z=M;break}else{T=Q;P=M;R=J}}}else{Y=W;Z=U}b[Y>>0]=Z;X=Y+1|0}if(!(g&1048576))_=X;else{Y=b[a+168>>0]|0;b[X>>0]=-104;b[X+1>>0]=1;b[X+2>>0]=Y;_=X+3|0}if(!(g&33554432))$=_;else{X=a+184|0;Y=f[X>>2]|0;Z=f[X+4>>2]|0;b[_>>0]=-96;b[_+1>>0]=1;X=_+2|0;_=Y&255;if(Z>>>0>0|(Z|0)==0&Y>>>0>127){U=X;W=_;R=Y;Y=Z;while(1){b[U>>0]=W|-128;Z=R;R=pzc(R|0,Y|0,7)|0;P=U+1|0;T=R&255;if(!(Y>>>0>0|(Y|0)==0&Z>>>0>16383)){aa=P;ba=T;break}else{U=P;W=T;Y=J}}}else{aa=X;ba=_}b[aa>>0]=ba;$=aa+1|0}if(!(g&64))ca=$;else{aa=f[a+112>>2]|0;b[$>>0]=-86;b[$+1>>0]=1;ba=$+2|0;$=di[f[(f[aa>>2]|0)+60>>2]&1023](aa)|0;if($>>>0>127){_=$;X=ba;while(1){b[X>>0]=_|128;Y=_>>>7;W=X+1|0;if(_>>>0>16383){_=Y;X=W}else{da=W;ea=Y;break}}}else{da=ba;ea=$}b[da>>0]=ea;ca=li[f[(f[aa>>2]|0)+64>>2]&511](aa,c,da+1|0)|0}da=f[a+48>>2]|0;if(!da)fa=ca;else{aa=a+56|0;ea=0;$=ca;while(1){ca=f[(f[aa>>2]|0)+4+(ea<<2)>>2]|0;b[$>>0]=-78;b[$+1>>0]=1;ba=$+2|0;X=di[f[(f[ca>>2]|0)+60>>2]&1023](ca)|0;if(X>>>0>127){_=X;Y=ba;while(1){b[Y>>0]=_|128;W=_>>>7;U=Y+1|0;if(_>>>0>16383){_=W;Y=U}else{ga=U;ha=W;break}}}else{ga=ba;ha=X}b[ga>>0]=ha;Y=li[f[(f[ca>>2]|0)+64>>2]&511](ca,c,ga+1|0)|0;ea=ea+1|0;if((ea|0)==(da|0)){fa=Y;break}else $=Y}}if(!(g&4194304))ia=fa;else{$=b[a+170>>0]|0;b[fa>>0]=-72;b[fa+1>>0]=1;b[fa+2>>0]=$;ia=fa+3|0}if(!(g&8))ja=ia;else{fa=f[a+100>>2]|0;b[ia>>0]=-62;b[ia+1>>0]=1;ja=XJb(fa,ia+2|0)|0}if(!(g&128))ka=ja;else{ia=f[a+116>>2]|0;b[ja>>0]=-54;b[ja+1>>0]=1;fa=ja+2|0;ja=di[f[(f[ia>>2]|0)+60>>2]&1023](ia)|0;if(ja>>>0>127){$=ja;da=fa;while(1){b[da>>0]=$|128;ea=$>>>7;ga=da+1|0;if($>>>0>16383){$=ea;da=ga}else{la=ga;ma=ea;break}}}else{la=fa;ma=ja}b[la>>0]=ma;ka=li[f[(f[ia>>2]|0)+64>>2]&511](ia,c,la+1|0)|0}if(!(g&256))na=ka;else{la=f[a+120>>2]|0;b[ka>>0]=-46;b[ka+1>>0]=1;ia=ka+2|0;ka=di[f[(f[la>>2]|0)+60>>2]&1023](la)|0;if(ka>>>0>127){ma=ka;ja=ia;while(1){b[ja>>0]=ma|128;fa=ma>>>7;da=ja+1|0;if(ma>>>0>16383){ma=fa;ja=da}else{oa=da;pa=fa;break}}}else{oa=ia;pa=ka}b[oa>>0]=pa;na=li[f[(f[la>>2]|0)+64>>2]&511](la,c,oa+1|0)|0}oa=f[a+64>>2]|0;if(!oa)qa=na;else{la=a+72|0;pa=0;ka=na;while(1){na=f[(f[la>>2]|0)+4+(pa<<2)>>2]|0;b[ka>>0]=-38;b[ka+1>>0]=1;ia=ka+2|0;ja=di[f[(f[na>>2]|0)+60>>2]&1023](na)|0;if(ja>>>0>127){ma=ja;fa=ia;while(1){b[fa>>0]=ma|128;da=ma>>>7;$=fa+1|0;if(ma>>>0>16383){ma=da;fa=$}else{ra=$;sa=da;break}}}else{ra=ia;sa=ja}b[ra>>0]=sa;fa=li[f[(f[na>>2]|0)+64>>2]&511](na,c,ra+1|0)|0;pa=pa+1|0;if((pa|0)==(oa|0)){qa=fa;break}else ka=fa}}if(!(g&268435456))ta=qa;else{ka=b[a+197>>0]|0;b[qa>>0]=-32;b[qa+1>>0]=1;b[qa+2>>0]=ka;ta=qa+3|0}if(!(g&16))ua=ta;else{qa=f[a+104>>2]|0;b[ta>>0]=-22;b[ta+1>>0]=1;ua=XJb(qa,ta+2|0)|0}if(!(g&8388608))va=ua;else{ta=f[a+172>>2]|0;b[ua>>0]=-16;b[ua+1>>0]=1;qa=ua+2|0;ua=ta&255;if(ta>>>0>127){ka=qa;oa=ua;pa=ta;ra=((ta|0)<0)<<31>>31;while(1){b[ka>>0]=oa|-128;ta=pa;pa=pzc(pa|0,ra|0,7)|0;c=ka+1|0;sa=pa&255;if(!(ra>>>0>0|(ra|0)==0&ta>>>0>16383)){wa=c;xa=sa;break}else{ka=c;oa=sa;ra=J}}}else{wa=qa;xa=ua}b[wa>>0]=xa;va=wa+1|0}if(!(g&536870912))ya=va;else{wa=f[a+200>>2]|0;b[va>>0]=-3;b[va+1>>0]=1;xa=va+2|0;b[xa>>0]=wa;b[xa+1>>0]=wa>>8;b[xa+2>>0]=wa>>16;b[xa+3>>0]=wa>>24;ya=va+6|0}if(!(g&134217728))za=ya;else{va=b[a+196>>0]|0;b[ya>>0]=-128;b[ya+1>>0]=2;b[ya+2>>0]=va;za=ya+3|0}if(!(g&1073741824))Aa=za;else{ya=f[a+204>>2]|0;b[za>>0]=-120;b[za+1>>0]=2;va=za+2|0;za=ya&255;if(ya>>>0>127){wa=va;xa=za;ua=ya;qa=((ya|0)<0)<<31>>31;while(1){b[wa>>0]=xa|-128;ya=ua;ua=pzc(ua|0,qa|0,7)|0;ra=wa+1|0;oa=ua&255;if(!(qa>>>0>0|(qa|0)==0&ya>>>0>16383)){Ba=ra;Ca=oa;break}else{wa=ra;xa=oa;qa=J}}}else{Ba=va;Ca=za}b[Ba>>0]=Ca;Aa=Ba+1|0}Ba=f[a+76>>2]|0;if(!Ba)Da=Aa;else{Ca=f[a+84>>2]|0;za=0;va=Aa;while(1){Aa=f[Ca+4+(za<<2)>>2]|0;b[va>>0]=-112;b[va+1>>0]=2;qa=va+2|0;xa=Aa&255;if(Aa>>>0>127){wa=qa;ua=xa;oa=Aa;ra=((Aa|0)<0)<<31>>31;while(1){b[wa>>0]=ua|-128;Aa=oa;oa=pzc(oa|0,ra|0,7)|0;ya=wa+1|0;ka=oa&255;if(!(ra>>>0>0|(ra|0)==0&Aa>>>0>16383)){Ea=ya;Fa=ka;break}else{wa=ya;ua=ka;ra=J}}}else{Ea=qa;Fa=xa}b[Ea>>0]=Fa;ra=Ea+1|0;za=za+1|0;if((za|0)>=(Ba|0)){Da=ra;break}else va=ra}}if((g|0)<0){g=f[a+208>>2]|0;b[Da>>0]=-99;b[Da+1>>0]=2;va=Da+2|0;b[va>>0]=g;b[va+1>>0]=g>>8;b[va+2>>0]=g>>16;b[va+3>>0]=g>>24;Ga=Da+6|0}else Ga=Da;Da=f[a+12>>2]|0;if(!(Da&1))Ha=Ga;else{g=f[a+212>>2]|0;b[Ga>>0]=-96;b[Ga+1>>0]=2;va=Ga+2|0;Ga=g&255;if(g>>>0>127){Ba=va;za=Ga;Ea=g;Fa=((g|0)<0)<<31>>31;while(1){b[Ba>>0]=za|-128;g=Ea;Ea=pzc(Ea|0,Fa|0,7)|0;Ca=Ba+1|0;ra=Ea&255;if(!(Fa>>>0>0|(Fa|0)==0&g>>>0>16383)){Ia=Ca;Ja=ra;break}else{Ba=Ca;za=ra;Fa=J}}}else{Ia=va;Ja=Ga}b[Ia>>0]=Ja;Ha=Ia+1|0}if(!(Da&2))Ka=Ha;else{Ia=f[a+216>>2]|0;b[Ha>>0]=-88;b[Ha+1>>0]=2;Ja=Ha+2|0;Ha=Ia&255;if(Ia>>>0>127){Ga=Ja;va=Ha;Fa=Ia;za=((Ia|0)<0)<<31>>31;while(1){b[Ga>>0]=va|-128;Ia=Fa;Fa=pzc(Fa|0,za|0,7)|0;Ba=Ga+1|0;Ea=Fa&255;if(!(za>>>0>0|(za|0)==0&Ia>>>0>16383)){La=Ba;Ma=Ea;break}else{Ga=Ba;va=Ea;za=J}}}else{La=Ja;Ma=Ha}b[La>>0]=Ma;Ka=La+1|0}if(!(Da&4))Na=Ka;else{Da=f[a+220>>2]|0;b[Ka>>0]=-75;b[Ka+1>>0]=2;La=Ka+2|0;b[La>>0]=Da;b[La+1>>0]=Da>>8;b[La+2>>0]=Da>>16;b[La+3>>0]=Da>>24;Na=Ka+6|0}Ka=f[e>>2]|0;if(!(Ka&16777216))Oa=Na;else{e=f[a+176>>2]|0;b[Na>>0]=-67;b[Na+1>>0]=2;Da=Na+2|0;b[Da>>0]=e;b[Da+1>>0]=e>>8;b[Da+2>>0]=e>>16;b[Da+3>>0]=e>>24;Oa=Na+6|0}if(!(Ka&32))Pa=Oa;else{Ka=f[a+108>>2]|0;b[Oa>>0]=-62;b[Oa+1>>0]=2;Pa=XJb(Ka,Oa+2|0)|0}Oa=f[a+4>>2]|0;if(!(Oa&1)){Qa=Pa;return Qa|0}Qa=Bbc(Oa&-2,Pa)|0;return Qa|0}function ggb(a,b){a=a|0;b=b|0;var c=0;if((a|0)==(b|0))return;$fb(a);c=ovc(b,24728,20648,0)|0;if(!c){A9b(b,a);return}else{kgb(a,c);return}}function hgb(a,b){a=a|0;b=b|0;var c=0;c=ovc(b,24728,20648,0)|0;if(!c){A9b(b,a);return}else{kgb(a,c);return}}function igb(a,b){a=a|0;b=b|0;f[a+224>>2]=b;return}function jgb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224781]|0)!=2){f[d>>2]=151624;f[d+4>>2]=21;b[d+8>>0]=0;xLb(899124,d);QKb(d)}d=540584;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function kgb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;d=a+4|0;e=f[c+4>>2]|0;if(e&1|0){g=f[d>>2]|0;if(!(g&1))h=OOa(d)|0;else h=g&-2;hbc(h,e&-2)}YOa(a+16|0,c+16|0);e=a+32|0;h=c+32|0;g=f[h>>2]|0;if(g|0){NEa(e,(f[e>>2]|0)+g|0);szc((f[a+40>>2]|0)+4+(f[e>>2]<<2)|0,(f[c+40>>2]|0)+4|0,f[h>>2]<<2|0)|0;f[e>>2]=(f[e>>2]|0)+(f[h>>2]|0)}lgb(a+44|0,c+44|0);mgb(a+60|0,c+60|0);h=a+76|0;e=c+76|0;g=f[e>>2]|0;if(g|0){NEa(h,(f[h>>2]|0)+g|0);szc((f[a+84>>2]|0)+4+(f[h>>2]<<2)|0,(f[c+84>>2]|0)+4|0,f[e>>2]<<2|0)|0;f[h>>2]=(f[h>>2]|0)+(f[e>>2]|0)}e=f[c+8>>2]|0;if(e&255|0){do if(e&1|0?(h=a+8|0,f[h>>2]=f[h>>2]|1,h=a+88|0,g=f[c+88>>2]|0,d=f[h>>2]|0,(d|0)!=(g|0)):0)if((d|0)==542896){JEa(h,g);break}else{ruc(d,g)|0;break}while(0);do if(e&2|0?(g=a+8|0,f[g>>2]=f[g>>2]|2,g=a+92|0,d=f[c+92>>2]|0,h=f[g>>2]|0,(h|0)!=(d|0)):0)if((h|0)==542896){JEa(g,d);break}else{ruc(h,d)|0;break}while(0);do if(e&4|0?(d=a+8|0,f[d>>2]=f[d>>2]|4,d=a+96|0,h=f[c+96>>2]|0,g=f[d>>2]|0,(g|0)!=(h|0)):0)if((g|0)==542896){JEa(d,h);break}else{ruc(g,h)|0;break}while(0);do if(e&8|0?(h=a+8|0,f[h>>2]=f[h>>2]|8,h=a+100|0,g=f[c+100>>2]|0,d=f[h>>2]|0,(d|0)!=(g|0)):0)if((d|0)==542896){JEa(h,g);break}else{ruc(d,g)|0;break}while(0);do if(e&16|0?(g=a+8|0,f[g>>2]=f[g>>2]|16,g=a+104|0,d=f[c+104>>2]|0,h=f[g>>2]|0,(h|0)!=(d|0)):0)if((h|0)==540440){JEa(g,d);break}else{ruc(h,d)|0;break}while(0);do if(e&32|0?(d=a+8|0,f[d>>2]=f[d>>2]|32,d=a+108|0,h=f[c+108>>2]|0,g=f[d>>2]|0,(g|0)!=(h|0)):0)if((g|0)==540456){JEa(d,h);break}else{ruc(g,h)|0;break}while(0);if(e&64|0){h=a+8|0;f[h>>2]=f[h>>2]|64;h=a+112|0;g=f[h>>2]|0;if(!g){d=cuc(104)|0;ngb(d);f[h>>2]=d;i=d}else i=g;g=f[c+112>>2]|0;ogb(i,g|0?g:537080)}if(e&128|0){g=a+8|0;f[g>>2]=f[g>>2]|128;g=a+116|0;i=f[g>>2]|0;if(!i){d=cuc(104)|0;ngb(d);f[g>>2]=d;j=d}else j=i;i=f[c+116>>2]|0;ogb(j,i|0?i:537080)}}if(e&65280|0){if(e&256|0){i=a+8|0;f[i>>2]=f[i>>2]|256;i=a+120|0;j=f[i>>2]|0;if(!j){d=cuc(40)|0;Dfb(d);f[i>>2]=d;k=d}else k=j;j=f[c+120>>2]|0;d=j|0?j:537464;j=k+4|0;i=f[d+4>>2]|0;if(i&1|0){g=f[j>>2]|0;if(!(g&1))l=OOa(j)|0;else l=g&-2;hbc(l,i&-2)}YOa(k+16|0,d+16|0);i=f[d+8>>2]|0;if(i&3|0){if(i&1|0)f[k+32>>2]=f[d+32>>2];if(i&2|0)f[k+36>>2]=f[d+36>>2];d=k+8|0;f[d>>2]=f[d>>2]|i}}if(e&512|0)f[a+124>>2]=f[c+124>>2];if(e&1024|0)f[a+128>>2]=f[c+128>>2];if(e&2048|0)f[a+132>>2]=f[c+132>>2];if(e&4096|0)f[a+136>>2]=f[c+136>>2];if(e&8192|0)f[a+140>>2]=f[c+140>>2];if(e&16384|0)f[a+144>>2]=f[c+144>>2];if(e&32768|0)f[a+148>>2]=f[c+148>>2];i=a+8|0;f[i>>2]=f[i>>2]|e}if(e&16711680|0){if(e&65536|0)f[a+152>>2]=f[c+152>>2];if(e&131072|0)f[a+156>>2]=f[c+156>>2];if(e&262144|0)f[a+160>>2]=f[c+160>>2];if(e&524288|0)f[a+164>>2]=f[c+164>>2];if(e&1048576|0)b[a+168>>0]=b[c+168>>0]|0;if(e&2097152|0)b[a+169>>0]=b[c+169>>0]|0;if(e&4194304|0)b[a+170>>0]=b[c+170>>0]|0;if(e&8388608|0)f[a+172>>2]=f[c+172>>2];i=a+8|0;f[i>>2]=f[i>>2]|e}if(e>>>0>16777215){if(e&16777216|0)f[a+176>>2]=f[c+176>>2];if(e&33554432|0){i=c+184|0;d=f[i+4>>2]|0;k=a+184|0;f[k>>2]=f[i>>2];f[k+4>>2]=d}if(e&67108864|0)f[a+192>>2]=f[c+192>>2];if(e&134217728|0)b[a+196>>0]=b[c+196>>0]|0;if(e&268435456|0)b[a+197>>0]=b[c+197>>0]|0;if(e&536870912|0)f[a+200>>2]=f[c+200>>2];if(e&1073741824|0)f[a+204>>2]=f[c+204>>2];if((e|0)<0)f[a+208>>2]=f[c+208>>2];d=a+8|0;f[d>>2]=f[d>>2]|e}e=f[c+12>>2]|0;if(!(e&7))return;if(e&1|0)f[a+212>>2]=f[c+212>>2];if(e&2|0)f[a+216>>2]=f[c+216>>2];if(e&4|0)f[a+220>>2]=f[c+220>>2];c=a+12|0;f[c>>2]=f[c>>2]|e;return}function lgb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=f[b+4>>2]|0;if(!c)return;d=f[b+12>>2]|0;b=KKb(a,c)|0;e=a+12|0;g=a+4|0;h=(f[f[e>>2]>>2]|0)-(f[g>>2]|0)|0;if((h|0)>0&(c|0)>0){i=0;do{Mgb(f[d+4+(i<<2)>>2]|0,f[b+(i<<2)>>2]|0);i=i+1|0}while((i|0)<(h|0)&(i|0)<(c|0))}i=f[a>>2]|0;a:do if((h|0)<(c|0)){a=i+64|0;if(!i){j=h;while(1){k=f[d+4+(j<<2)>>2]|0;l=cuc(104)|0;ngb(l);Mgb(k,l);f[b+(j<<2)>>2]=l;j=j+1|0;if((j|0)>=(c|0))break a}}else m=h;do{j=f[d+4+(m<<2)>>2]|0;if(f[a>>2]|0)HIb(i,20664,104);l=GIb(i,104,1986)|0;ngb(l);Mgb(j,l);f[b+(m<<2)>>2]=l;m=m+1|0}while((m|0)!=(c|0))}while(0);m=(f[g>>2]|0)+c|0;f[g>>2]=m;g=f[e>>2]|0;if((f[g>>2]|0)>=(m|0))return;f[g>>2]=m;return}function mgb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=f[b+4>>2]|0;if(!c)return;d=f[b+12>>2]|0;b=KKb(a,c)|0;e=a+12|0;g=a+4|0;h=(f[f[e>>2]>>2]|0)-(f[g>>2]|0)|0;if((h|0)>0&(c|0)>0){i=0;do{Kgb(f[d+4+(i<<2)>>2]|0,f[b+(i<<2)>>2]|0);i=i+1|0}while((i|0)<(h|0)&(i|0)<(c|0))}i=f[a>>2]|0;a:do if((h|0)<(c|0)){a=i+64|0;if(!i){j=h;while(1){k=f[d+4+(j<<2)>>2]|0;l=cuc(40)|0;Dfb(l);Kgb(k,l);f[b+(j<<2)>>2]=l;j=j+1|0;if((j|0)>=(c|0))break a}}else m=h;do{j=f[d+4+(m<<2)>>2]|0;if(f[a>>2]|0)HIb(i,20616,40);l=GIb(i,40,1987)|0;Dfb(l);Kgb(j,l);f[b+(m<<2)>>2]=l;m=m+1|0}while((m|0)!=(c|0))}while(0);m=(f[g>>2]|0)+c|0;f[g>>2]=m;g=f[e>>2]|0;if((f[g>>2]|0)>=(m|0))return;f[g>>2]=m;return}function ngb(a){a=a|0;var c=0,e=0,g=0,h=0,i=0;c=u;u=u+16|0;e=c;f[a>>2]=129536;f[a+4>>2]=0;f[a+8>>2]=0;g=(a|0)==537080;h=a+16|0;i=h+76|0;do{f[h>>2]=0;h=h+4|0}while((h|0)<(i|0));if(!g?(f[224792]|0)!=2:0){f[e>>2]=151624;f[e+4>>2]=32;b[e+8>>0]=0;xLb(899168,e);QKb(e)}f[a+12>>2]=0;f[a+92>>2]=542896;e=a+96|0;f[e>>2]=0;d[e+4>>1]=0;u=c;return}function ogb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;d=a+4|0;e=f[c+4>>2]|0;if(e&1|0){g=f[d>>2]|0;if(!(g&1))h=OOa(d)|0;else h=g&-2;hbc(h,e&-2)}pgb(a+16|0,c+16|0);YOa(a+32|0,c+32|0);e=a+48|0;h=c+48|0;g=f[h>>2]|0;if(g|0){NEa(e,(f[e>>2]|0)+g|0);szc((f[a+56>>2]|0)+4+(f[e>>2]<<2)|0,(f[c+56>>2]|0)+4|0,f[h>>2]<<2|0)|0;f[e>>2]=(f[e>>2]|0)+(f[h>>2]|0)}J1a(a+60|0,c+60|0);qgb(a+76|0,c+76|0);h=f[c+8>>2]|0;if(!(h&15))return;do if(h&1|0?(e=a+8|0,f[e>>2]=f[e>>2]|1,e=a+92|0,g=f[c+92>>2]|0,d=f[e>>2]|0,(d|0)!=(g|0)):0)if((d|0)==542896){JEa(e,g);break}else{ruc(d,g)|0;break}while(0);if(h&2|0){g=a+8|0;f[g>>2]=f[g>>2]|2;g=a+96|0;d=f[g>>2]|0;if(!d){e=cuc(40)|0;Dfb(e);f[g>>2]=e;i=e}else i=d;d=f[c+96>>2]|0;e=d|0?d:537464;d=i+4|0;g=f[e+4>>2]|0;if(g&1|0){j=f[d>>2]|0;if(!(j&1))k=OOa(d)|0;else k=j&-2;hbc(k,g&-2)}YOa(i+16|0,e+16|0);g=f[e+8>>2]|0;if(g&3|0){if(g&1|0)f[i+32>>2]=f[e+32>>2];if(g&2|0)f[i+36>>2]=f[e+36>>2];e=i+8|0;f[e>>2]=f[e>>2]|g}}if(h&4|0)b[a+100>>0]=b[c+100>>0]|0;if(h&8|0)b[a+101>>0]=b[c+101>>0]|0;c=a+8|0;f[c>>2]=f[c>>2]|h;return}function pgb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=f[b+4>>2]|0;if(!c)return;d=f[b+12>>2]|0;b=KKb(a,c)|0;e=a+12|0;g=a+4|0;h=(f[f[e>>2]>>2]|0)-(f[g>>2]|0)|0;if((h|0)>0&(c|0)>0){i=0;do{sgb(f[d+4+(i<<2)>>2]|0,f[b+(i<<2)>>2]|0);i=i+1|0}while((i|0)<(h|0)&(i|0)<(c|0))}i=f[a>>2]|0;a:do if((h|0)<(c|0)){a=i+64|0;if(!i){j=h;while(1){k=f[d+4+(j<<2)>>2]|0;l=cuc(296)|0;l7a(l);sgb(k,l);f[b+(j<<2)>>2]=l;j=j+1|0;if((j|0)>=(c|0))break a}}else m=h;do{j=f[d+4+(m<<2)>>2]|0;if(f[a>>2]|0)HIb(i,19736,296);l=GIb(i,296,1963)|0;l7a(l);sgb(j,l);f[b+(m<<2)>>2]=l;m=m+1|0}while((m|0)!=(c|0))}while(0);m=(f[g>>2]|0)+c|0;f[g>>2]=m;g=f[e>>2]|0;if((f[g>>2]|0)>=(m|0))return;f[g>>2]=m;return}function qgb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=f[b+4>>2]|0;if(!c)return;d=f[b+12>>2]|0;b=KKb(a,c)|0;e=a+12|0;g=a+4|0;h=(f[f[e>>2]>>2]|0)-(f[g>>2]|0)|0;if((h|0)>0&(c|0)>0){i=0;do{rgb(f[d+4+(i<<2)>>2]|0,f[b+(i<<2)>>2]|0);i=i+1|0}while((i|0)<(h|0)&(i|0)<(c|0))}i=f[a>>2]|0;a:do if((h|0)<(c|0)){a=i+64|0;if(!i){j=h;while(1){k=f[d+4+(j<<2)>>2]|0;l=cuc(368)|0;jfb(l);rgb(k,l);f[b+(j<<2)>>2]=l;j=j+1|0;if((j|0)>=(c|0))break a}}else m=h;do{j=f[d+4+(m<<2)>>2]|0;if(f[a>>2]|0)HIb(i,20520,368);l=GIb(i,368,1966)|0;jfb(l);rgb(j,l);f[b+(m<<2)>>2]=l;m=m+1|0}while((m|0)!=(c|0))}while(0);m=(f[g>>2]|0)+c|0;f[g>>2]=m;g=f[e>>2]|0;if((f[g>>2]|0)>=(m|0))return;f[g>>2]=m;return}function rgb(a,b){a=a|0;b=b|0;ydb(b,a);return}function sgb(a,b){a=a|0;b=b|0;oZa(b,a);return}function tgb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;f[a>>2]=129536;c=f[a+92>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}if((a|0)!=537080?(c=f[a+96>>2]|0,c|0):0)bi[f[(f[c>>2]|0)+4>>2]&2047](c);c=a+88|0;d=f[c>>2]|0;if(d|0?(f[a+76>>2]|0)==0:0){e=f[d>>2]|0;if((e|0)>0){g=0;do{h=f[d+4+(g<<2)>>2]|0;if(h|0)bi[f[(f[h>>2]|0)+4>>2]&2047](h);g=g+1|0}while((g|0)!=(e|0));i=f[c>>2]|0}else i=d;fuc(i)}f[c>>2]=0;c=a+72|0;i=f[c>>2]|0;if(i|0?(f[a+60>>2]|0)==0:0){d=f[i>>2]|0;if((d|0)>0){e=0;do{g=f[i+4+(e<<2)>>2]|0;if(g|0)bi[f[(f[g>>2]|0)+4>>2]&2047](g);e=e+1|0}while((e|0)!=(d|0));j=f[c>>2]|0}else j=i;fuc(j)}f[c>>2]=0;c=f[a+56>>2]|0;if(c|0?(f[c>>2]|0)==0:0)fuc(c);c=a+44|0;j=f[c>>2]|0;if(j|0?(f[a+32>>2]|0)==0:0){i=f[j>>2]|0;if((i|0)>0){d=0;do{e=f[j+4+(d<<2)>>2]|0;if(e|0){if((b[e+11>>0]|0)<0)fuc(f[e>>2]|0);fuc(e)}d=d+1|0}while((d|0)!=(i|0));k=f[c>>2]|0}else k=j;fuc(k)}f[c>>2]=0;c=a+28|0;k=f[c>>2]|0;if(k|0?(f[a+16>>2]|0)==0:0){j=f[k>>2]|0;if((j|0)>0){i=0;do{d=f[k+4+(i<<2)>>2]|0;if(d|0)bi[f[(f[d>>2]|0)+4>>2]&2047](d);i=i+1|0}while((i|0)!=(j|0));l=f[c>>2]|0}else l=k;fuc(l)}f[c>>2]=0;c=a+4|0;a=f[c>>2]|0;if(!(a&1)){f[c>>2]=0;return}l=a&-2;a=l;if((l|0)==0|(f[a+4>>2]|0)!=0){f[c>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(l);f[c>>2]=0;return}function ugb(a){a=a|0;tgb(a);fuc(a);return}function vgb(a){a=a|0;a=cuc(104)|0;ngb(a);return a|0}function wgb(a,b){a=a|0;b=b|0;a=cuc(104)|0;ngb(a);if(!b)return a|0;Jgb(b,a);return a|0}function xgb(a){a=a|0;var c=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;c=a+20|0;e=f[c>>2]|0;if((e|0)>0){g=f[a+28>>2]|0;h=0;do{dZa(f[g+4+(h<<2)>>2]|0);h=h+1|0}while((h|0)!=(e|0));f[c>>2]=0}c=a+36|0;e=f[c>>2]|0;if((e|0)>0){h=f[a+44>>2]|0;g=0;do{i=f[h+4+(g<<2)>>2]|0;g=g+1|0;j=i+11|0;if((b[j>>0]|0)<0){b[f[i>>2]>>0]=0;f[i+4>>2]=0}else{b[i>>0]=0;b[j>>0]=0}}while((g|0)!=(e|0));f[c>>2]=0}f[a+48>>2]=0;c=a+64|0;e=f[c>>2]|0;if((e|0)>0){g=f[a+72>>2]|0;h=0;do{j=f[g+4+(h<<2)>>2]|0;h=h+1|0;f[j+16>>2]=0;f[j+8>>2]=0;i=f[j+4>>2]|0;if(i&1|0?(j=i&-2,f[j>>2]|0):0)ebc(j)}while((h|0)!=(e|0));f[c>>2]=0}c=a+80|0;e=f[c>>2]|0;if((e|0)>0){h=f[a+88>>2]|0;g=0;do{ndb(f[h+4+(g<<2)>>2]|0);g=g+1|0}while((g|0)!=(e|0));f[c>>2]=0}c=a+8|0;e=f[c>>2]|0;if(e&3|0){do if(e&1|0){g=f[a+92>>2]|0;h=g+11|0;if((b[h>>0]|0)<0){b[f[g>>2]>>0]=0;f[g+4>>2]=0;break}else{b[g>>0]=0;b[h>>0]=0;break}}while(0);if(e&2|0){e=f[a+96>>2]|0;h=e+20|0;g=f[h>>2]|0;if((g|0)>0){j=f[e+28>>2]|0;i=0;do{k=f[j+4+(i<<2)>>2]|0;i=i+1|0;l=k+11|0;if((b[l>>0]|0)<0){b[f[k>>2]>>0]=0;f[k+4>>2]=0}else{b[k>>0]=0;b[l>>0]=0}}while((i|0)!=(g|0));f[h>>2]=0}h=e+8|0;if(f[h>>2]&3|0){f[e+32>>2]=0;f[e+36>>2]=1}f[h>>2]=0;h=f[e+4>>2]|0;if(h&1|0?(e=h&-2,f[e>>2]|0):0)ebc(e)}}d[a+100>>1]=0;f[c>>2]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;ebc(a);return}function ygb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=f[a+80>>2]|0;if((b|0)<=0){c=1;return c|0}d=f[a+88>>2]|0;a=b;while(1){b=a;a=a+-1|0;e=f[d+4+(a<<2)>>2]|0;if(f[e+12>>2]&4194304|0?(f[(f[e+352>>2]|0)+8>>2]&7|0)!=7:0){c=0;g=6;break}if((b|0)<=1){c=1;g=6;break}}if((g|0)==6)return c|0;return 0}function zgb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0;d=u;u=u+16|0;e=d;g=c+4|0;i=a+8|0;j=a+92|0;k=a+16|0;l=a+28|0;m=a+24|0;n=a+20|0;o=e+4|0;p=a+32|0;q=a+48|0;r=a+52|0;s=a+56|0;t=a+100|0;v=e+8|0;w=a+96|0;x=e+4|0;y=a+101|0;z=e+8|0;A=a+60|0;B=e+4|0;C=a+76|0;D=a+88|0;E=a+84|0;F=a+80|0;G=e+4|0;H=a+4|0;a:while(1){a=f[c>>2]|0;I=f[g>>2]|0;do if(a>>>0<I>>>0){K=b[a>>0]|0;L=K&255;M=a+1|0;if(K<<24>>24>0){N=M;O=L}else{if(M>>>0>=I>>>0){P=L;Q=7;break}K=h[M>>0]|0;if(((K^128)&L)>>>0<=127){P=L;Q=7;break}N=a+2|0;O=L+-128+(K<<7)|0}f[c>>2]=N;R=O;Q=9}else{P=0;Q=7}while(0);if((Q|0)==7){Q=0;a=OJb(c,P)|0;if((a+-1|0)>>>0<16383){R=a;Q=9}else S=a}b:do if((Q|0)==9){Q=0;switch(R>>>3&536870911|0){case 1:{if((R&255|0)!=10){S=R;break b}f[i>>2]=f[i>>2]|1;a=f[j>>2]|0;if((a|0)==542896){JEa(j,542896);T=f[j>>2]|0}else T=a;if($Lb(c,T)|0)continue a;else{U=0;Q=112;break a}break}case 2:{if((R&255|0)!=18){S=R;break b}a=f[l>>2]|0;do if(a){I=f[n>>2]|0;K=f[a>>2]|0;if((I|0)>=(K|0))if((K|0)==(f[m>>2]|0)){V=K;Q=20;break}else{W=K;X=a;Q=21;break}else{f[n>>2]=I+1;Y=f[a+4+(I<<2)>>2]|0;break}}else{V=f[m>>2]|0;Q=20}while(0);if((Q|0)==20){Q=0;LKb(k,V+1|0);a=f[l>>2]|0;W=f[a>>2]|0;X=a;Q=21}if((Q|0)==21){Q=0;f[X>>2]=W+1;a=f[k>>2]|0;if(!a){I=cuc(296)|0;l7a(I);Z=I}else{if(f[a+64>>2]|0)HIb(a,19736,296);I=GIb(a,296,1963)|0;l7a(I);Z=I}I=f[l>>2]|0;a=f[n>>2]|0;f[n>>2]=a+1;f[I+4+(a<<2)>>2]=Z;Y=Z}a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(I=b[a>>0]|0,I<<24>>24>-1):0){f[c>>2]=a+1;_=I&255}else{I=NJb(c)|0;if((I|0)>-1)_=I;else{U=0;Q=112;break a}}yJb(e,c,_);if((f[o>>2]|0)<0){Q=33;break a}if(!(Th[f[(f[Y>>2]|0)+44>>2]&1023](Y,c)|0)){Q=33;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{U=0;Q=112;break a}break}case 3:{if((R&255|0)!=26){S=R;break b}if($Lb(c,MEa(p)|0)|0)continue a;else{U=0;Q=112;break a}break}case 4:{switch((R&255)<<24>>24){case 32:break;case 34:{if(Igb(c,q)|0)continue a;else{U=0;Q=112;break a}break}default:{S=R;break b}}I=f[c>>2]|0;if(I>>>0<(f[g>>2]|0)>>>0){a=b[I>>0]|0;K=a&255;if(a<<24>>24>-1){f[c>>2]=I+1;$=K}else{aa=K;Q=41}}else{aa=0;Q=41}if((Q|0)==41){Q=0;K=zJb(c,aa)|0;I=J;if((I|0)>-1|(I|0)==-1&K>>>0>4294967295)$=K;else{U=0;Q=112;break a}}K=f[q>>2]|0;if((K|0)==(f[r>>2]|0)){NEa(q,K+1|0);ba=f[q>>2]|0}else ba=K;K=f[s>>2]|0;f[q>>2]=ba+1;f[K+4+(ba<<2)>>2]=$;I=(f[r>>2]|0)-(f[q>>2]|0)|0;if((I|0)>0){ca=I;da=K}else continue a;while(1){K=f[c>>2]|0;I=f[g>>2]|0;if(K>>>0>=I>>>0)continue a;if((b[K>>0]|0)!=32)continue a;a=K+1|0;f[c>>2]=a;if(a>>>0<I>>>0){I=b[a>>0]|0;a=I&255;if(I<<24>>24>-1){f[c>>2]=K+2;ea=a;fa=da}else{ga=a;Q=49}}else{ga=0;Q=49}if((Q|0)==49){Q=0;a=zJb(c,ga)|0;K=J;if(!((K|0)>-1|(K|0)==-1&a>>>0>4294967295)){U=0;Q=112;break a}ea=a;fa=f[s>>2]|0}a=f[q>>2]|0;f[q>>2]=a+1;f[fa+4+(a<<2)>>2]=ea;if((ca|0)>1){ca=ca+-1|0;da=fa}else continue a}break}case 5:{if((R&255|0)!=40){S=R;break b}f[i>>2]=f[i>>2]|4;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(K=b[a>>0]|0,K<<24>>24>-1):0){f[c>>2]=a+1;ha=K<<24>>24!=0}else{AJb(e,c);K=e;if(!(b[v>>0]|0)){U=0;Q=112;break a}else ha=(f[K>>2]|0)!=0|(f[K+4>>2]|0)!=0}b[t>>0]=ha&1;continue a;break}case 6:{if((R&255|0)!=50){S=R;break b}f[i>>2]=f[i>>2]|2;K=f[w>>2]|0;if(!K){a=cuc(40)|0;Dfb(a);f[w>>2]=a;ia=a}else ia=K;K=f[c>>2]|0;if(K>>>0<(f[g>>2]|0)>>>0?(a=b[K>>0]|0,a<<24>>24>-1):0){f[c>>2]=K+1;ja=a&255}else{a=NJb(c)|0;if((a|0)>-1)ja=a;else{U=0;Q=112;break a}}yJb(e,c,ja);if((f[x>>2]|0)<0){Q=69;break a}if(!(Th[f[(f[ia>>2]|0)+44>>2]&1023](ia,c)|0)){Q=69;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{U=0;Q=112;break a}break}case 7:{if((R&255|0)!=56){S=R;break b}f[i>>2]=f[i>>2]|8;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(K=b[a>>0]|0,K<<24>>24>-1):0){f[c>>2]=a+1;ka=K<<24>>24!=0}else{AJb(e,c);K=e;if(!(b[z>>0]|0)){U=0;Q=112;break a}else ka=(f[K>>2]|0)!=0|(f[K+4>>2]|0)!=0}b[y>>0]=ka&1;continue a;break}case 8:{if((R&255|0)!=66){S=R;break b}K=b2a(A)|0;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(I=b[a>>0]|0,I<<24>>24>-1):0){f[c>>2]=a+1;la=I&255}else{I=NJb(c)|0;if((I|0)>-1)la=I;else{U=0;Q=112;break a}}yJb(e,c,la);if((f[B>>2]|0)<0){Q=84;break a}if(!(Th[f[(f[K>>2]|0)+44>>2]&1023](K,c)|0)){Q=84;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{U=0;Q=112;break a}break}case 100:{if((R&255|0)!=34){S=R;break b}K=f[D>>2]|0;do if(K){I=f[F>>2]|0;a=f[K>>2]|0;if((I|0)>=(a|0))if((a|0)==(f[E>>2]|0)){ma=a;Q=92;break}else{na=a;oa=K;Q=93;break}else{f[F>>2]=I+1;pa=f[K+4+(I<<2)>>2]|0;break}}else{ma=f[E>>2]|0;Q=92}while(0);if((Q|0)==92){Q=0;LKb(C,ma+1|0);K=f[D>>2]|0;na=f[K>>2]|0;oa=K;Q=93}if((Q|0)==93){Q=0;f[oa>>2]=na+1;K=f[C>>2]|0;if(!K){I=cuc(368)|0;jfb(I);qa=I}else{if(f[K+64>>2]|0)HIb(K,20520,368);I=GIb(K,368,1966)|0;jfb(I);qa=I}I=f[D>>2]|0;K=f[F>>2]|0;f[F>>2]=K+1;f[I+4+(K<<2)>>2]=qa;pa=qa}K=f[c>>2]|0;if(K>>>0<(f[g>>2]|0)>>>0?(I=b[K>>0]|0,I<<24>>24>-1):0){f[c>>2]=K+1;ra=I&255}else{I=NJb(c)|0;if((I|0)>-1)ra=I;else{U=0;Q=112;break a}}yJb(e,c,ra);if((f[G>>2]|0)<0){Q=105;break a}if(!(Th[f[(f[pa>>2]|0)+44>>2]&1023](pa,c)|0)){Q=105;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{U=0;Q=112;break a}break}default:{S=R;break b}}}while(0);if(!S){U=1;Q=112;break}I=f[H>>2]|0;if(!(I&1))sa=OOa(H)|0;else sa=I&-2;if(!(xbc(c,S,sa)|0)){U=0;Q=112;break}}if((Q|0)==33){U=0;u=d;return U|0}else if((Q|0)==69){U=0;u=d;return U|0}else if((Q|0)==84){U=0;u=d;return U|0}else if((Q|0)==105){U=0;u=d;return U|0}else if((Q|0)==112){u=d;return U|0}return 0}function Agb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;c=f[a+4>>2]|0;if(!(c&1))d=0;else d=Dbc(c&-2)|0;c=f[a+20>>2]|0;e=c+d|0;if(!c)g=e;else{d=a+28|0;h=0;i=e;while(1){e=f[(f[d>>2]|0)+4+(h<<2)>>2]|0;j=di[f[(f[e>>2]|0)+48>>2]&1023](e)|0;e=j+i+((((($(j|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=h+1|0;if((h|0)==(c|0)){g=e;break}else i=e}}i=f[a+36>>2]|0;c=i+g|0;if((i|0)>0){g=f[a+44>>2]|0;h=0;d=c;while(1){e=f[g+4+(h<<2)>>2]|0;j=b[e+11>>0]|0;k=j<<24>>24<0?f[e+4>>2]|0:j&255;j=k+d+((((($(k|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=h+1|0;if((h|0)==(i|0)){l=j;break}else d=j}}else l=c;c=bMb(a+48|0)|0;d=f[a+64>>2]|0;i=c+l+(f[a+48>>2]|0)+d|0;if(!d)m=i;else{l=a+72|0;c=0;h=i;while(1){i=f[(f[l>>2]|0)+4+(c<<2)>>2]|0;g=di[f[(f[i>>2]|0)+48>>2]&1023](i)|0;i=g+h+((((($(g|1|0)|0)^31)*9|0)+73|0)>>>6)|0;c=c+1|0;if((c|0)==(d|0)){m=i;break}else h=i}}h=f[a+80>>2]|0;d=(h<<1)+m|0;if(!h)n=d;else{m=a+88|0;c=0;l=d;while(1){d=f[(f[m>>2]|0)+4+(c<<2)>>2]|0;i=di[f[(f[d>>2]|0)+48>>2]&1023](d)|0;d=i+l+((((($(i|1|0)|0)^31)*9|0)+73|0)>>>6)|0;c=c+1|0;if((c|0)==(h|0)){n=d;break}else l=d}}l=a+8|0;h=f[l>>2]|0;if(!(h&15)){o=n;p=a+12|0;f[p>>2]=o;return o|0}if(!(h&1))q=n;else{c=f[a+92>>2]|0;m=b[c+11>>0]|0;d=m<<24>>24<0?f[c+4>>2]|0:m&255;q=n+1+d+((((($(d|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(h&2)){r=q;s=h}else{h=f[a+96>>2]|0;d=di[f[(f[h>>2]|0)+48>>2]&1023](h)|0;h=q+1+d+((((($(d|1|0)|0)^31)*9|0)+73|0)>>>6)|0;r=h;s=f[l>>2]|0}l=s&4|0?r+2|0:r;o=s&8|0?l+2|0:l;p=a+12|0;f[p>>2]=o;return o|0}function Bgb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;d=f[a+8>>2]|0;if(d&1|0)VLb(1,f[a+92>>2]|0,c);e=f[a+20>>2]|0;if(e|0){g=a+28|0;h=0;do{_Lb(2,f[(f[g>>2]|0)+4+(h<<2)>>2]|0,c);h=h+1|0}while((h|0)!=(e|0))}e=f[a+36>>2]|0;if((e|0)>0){h=a+44|0;g=0;do{ULb(3,f[(f[h>>2]|0)+4+(g<<2)>>2]|0,c);g=g+1|0}while((g|0)!=(e|0))}e=f[a+48>>2]|0;if((e|0)>0){g=a+56|0;h=0;do{GLb(4,f[(f[g>>2]|0)+4+(h<<2)>>2]|0,c);h=h+1|0}while((h|0)!=(e|0))}if(d&4|0)SLb(5,(b[a+100>>0]|0)!=0,c);if(d&2|0)_Lb(6,f[a+96>>2]|0,c);if(d&8|0)SLb(7,(b[a+101>>0]|0)!=0,c);d=f[a+64>>2]|0;if(d|0){e=a+72|0;h=0;do{_Lb(8,f[(f[e>>2]|0)+4+(h<<2)>>2]|0,c);h=h+1|0}while((h|0)!=(d|0))}d=f[a+80>>2]|0;if(d|0){h=a+88|0;e=0;do{_Lb(100,f[(f[h>>2]|0)+4+(e<<2)>>2]|0,c);e=e+1|0}while((e|0)!=(d|0))}d=f[a+4>>2]|0;if(!(d&1))return;Abc(d&-2,c);return}function Cgb(a){a=a|0;return f[a+12>>2]|0}function Dgb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0;e=f[a+8>>2]|0;if(!(e&1))g=d;else{h=f[a+92>>2]|0;b[d>>0]=10;g=XJb(h,d+1|0)|0}d=f[a+20>>2]|0;if(!d)i=g;else{h=a+28|0;j=0;k=g;while(1){g=f[(f[h>>2]|0)+4+(j<<2)>>2]|0;b[k>>0]=18;l=k+1|0;m=di[f[(f[g>>2]|0)+60>>2]&1023](g)|0;if(m>>>0>127){n=m;o=l;while(1){b[o>>0]=n|128;p=n>>>7;q=o+1|0;if(n>>>0>16383){n=p;o=q}else{r=q;s=p;break}}}else{r=l;s=m}b[r>>0]=s;o=li[f[(f[g>>2]|0)+64>>2]&511](g,c,r+1|0)|0;j=j+1|0;if((j|0)==(d|0)){i=o;break}else k=o}}k=f[a+36>>2]|0;if((k|0)>0){d=a+44|0;j=0;r=i;while(1){s=f[(f[d>>2]|0)+4+(j<<2)>>2]|0;b[r>>0]=26;h=XJb(s,r+1|0)|0;j=j+1|0;if((j|0)==(k|0)){t=h;break}else r=h}}else t=i;i=f[a+48>>2]|0;if(!i)u=t;else{r=f[a+56>>2]|0;k=0;j=t;while(1){t=f[r+4+(k<<2)>>2]|0;b[j>>0]=32;d=j+1|0;h=t&255;if(t>>>0>127){s=d;o=h;n=t;p=((t|0)<0)<<31>>31;while(1){b[s>>0]=o|-128;t=n;n=pzc(n|0,p|0,7)|0;q=s+1|0;v=n&255;if(!(p>>>0>0|(p|0)==0&t>>>0>16383)){w=q;x=v;break}else{s=q;o=v;p=J}}}else{w=d;x=h}b[w>>0]=x;p=w+1|0;k=k+1|0;if((k|0)>=(i|0)){u=p;break}else j=p}}if(!(e&4))y=u;else{j=b[a+100>>0]|0;b[u>>0]=40;b[u+1>>0]=j;y=u+2|0}if(!(e&2))z=y;else{u=f[a+96>>2]|0;b[y>>0]=50;j=y+1|0;y=di[f[(f[u>>2]|0)+60>>2]&1023](u)|0;if(y>>>0>127){i=y;k=j;while(1){b[k>>0]=i|128;w=i>>>7;x=k+1|0;if(i>>>0>16383){i=w;k=x}else{A=x;B=w;break}}}else{A=j;B=y}b[A>>0]=B;z=li[f[(f[u>>2]|0)+64>>2]&511](u,c,A+1|0)|0}if(!(e&8))C=z;else{e=b[a+101>>0]|0;b[z>>0]=56;b[z+1>>0]=e;C=z+2|0}z=f[a+64>>2]|0;if(!z)D=C;else{e=a+72|0;A=0;u=C;while(1){C=f[(f[e>>2]|0)+4+(A<<2)>>2]|0;b[u>>0]=66;B=u+1|0;y=di[f[(f[C>>2]|0)+60>>2]&1023](C)|0;if(y>>>0>127){j=y;k=B;while(1){b[k>>0]=j|128;i=j>>>7;w=k+1|0;if(j>>>0>16383){j=i;k=w}else{E=w;F=i;break}}}else{E=B;F=y}b[E>>0]=F;k=li[f[(f[C>>2]|0)+64>>2]&511](C,c,E+1|0)|0;A=A+1|0;if((A|0)==(z|0)){D=k;break}else u=k}}u=f[a+80>>2]|0;if(!u)G=D;else{z=a+88|0;A=0;E=D;while(1){D=f[(f[z>>2]|0)+4+(A<<2)>>2]|0;b[E>>0]=-94;b[E+1>>0]=6;F=E+2|0;e=di[f[(f[D>>2]|0)+60>>2]&1023](D)|0;if(e>>>0>127){k=e;j=F;while(1){b[j>>0]=k|128;h=k>>>7;d=j+1|0;if(k>>>0>16383){k=h;j=d}else{H=d;I=h;break}}}else{H=F;I=e}b[H>>0]=I;j=li[f[(f[D>>2]|0)+64>>2]&511](D,c,H+1|0)|0;A=A+1|0;if((A|0)==(u|0)){G=j;break}else E=j}}E=f[a+4>>2]|0;if(!(E&1)){K=G;return K|0}K=Bbc(E&-2,G)|0;return K|0}function Egb(a,b){a=a|0;b=b|0;var c=0;if((a|0)==(b|0))return;xgb(a);c=ovc(b,24728,20664,0)|0;if(!c){A9b(b,a);return}else{ogb(a,c);return}}function Fgb(a,b){a=a|0;b=b|0;var c=0;c=ovc(b,24728,20664,0)|0;if(!c){A9b(b,a);return}else{ogb(a,c);return}}function Ggb(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function Hgb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224781]|0)!=2){f[d>>2]=151624;f[d+4>>2]=21;b[d+8>>0]=0;xLb(899124,d);QKb(d)}d=540576;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function Igb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;d=f[a>>2]|0;e=a+4|0;if(d>>>0<(f[e>>2]|0)>>>0?(g=b[d>>0]|0,g<<24>>24>-1):0){f[a>>2]=d+1;h=g&255}else{g=NJb(a)|0;if((g|0)>-1)h=g;else{i=0;return i|0}}g=wJb(a,h)|0;a:do if((EJb(a)|0)>0){h=c+4|0;d=c+8|0;while(1){j=f[a>>2]|0;if(j>>>0<(f[e>>2]|0)>>>0){k=b[j>>0]|0;l=k&255;if(k<<24>>24>-1){f[a>>2]=j+1;m=l}else{n=l;o=10}}else{n=0;o=10}if((o|0)==10){o=0;l=zJb(a,n)|0;j=J;if((j|0)>-1|(j|0)==-1&l>>>0>4294967295)m=l;else{i=0;break}}l=f[c>>2]|0;if((l|0)==(f[h>>2]|0)){NEa(c,l+1|0);p=f[c>>2]|0}else p=l;l=f[d>>2]|0;f[c>>2]=p+1;f[l+4+(p<<2)>>2]=m;if((EJb(a)|0)<=0)break a}return i|0}while(0);xJb(a,g);i=1;return i|0}function Jgb(a,b){a=a|0;b=b|0;if(!b)return;EIb(a,b,1978);return}function Kgb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=b+4|0;d=f[a+4>>2]|0;if(d&1|0){e=f[c>>2]|0;if(!(e&1))g=OOa(c)|0;else g=e&-2;hbc(g,d&-2)}YOa(b+16|0,a+16|0);d=f[a+8>>2]|0;if(!(d&3))return;if(d&1|0)f[b+32>>2]=f[a+32>>2];if(d&2|0)f[b+36>>2]=f[a+36>>2];a=b+8|0;f[a>>2]=f[a>>2]|d;return}function Lgb(a){a=a|0;bi[f[f[a>>2]>>2]&2047](a);return}function Mgb(a,b){a=a|0;b=b|0;ogb(b,a);return}function Ngb(a){a=a|0;bi[f[f[a>>2]>>2]&2047](a);return}function Ogb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0;c=u;u=u+16|0;d=c;f[a>>2]=129428;e=(a|0)==537184;g=a+4|0;h=g+84|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));if(!e?(f[224793]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=33;b[d+8>>0]=0;xLb(899172,d);QKb(d)}f[a+88>>2]=542896;f[a+92>>2]=542896;f[a+96>>2]=542896;f[a+100>>2]=542896;f[a+104>>2]=540440;f[a+108>>2]=540456;g=a+112|0;h=g+64|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));n[a+176>>2]=.9990000128746033;g=a+184|0;f[g>>2]=-1;f[g+4>>2]=-1;f[a+192>>2]=1;b[a+196>>0]=1;b[a+197>>0]=1;n[a+200>>2]=9.99999993922529e-09;f[a+204>>2]=1;n[a+208>>2]=-1.0;f[a+212>>2]=1;f[a+216>>2]=1;n[a+220>>2]=.9900000095367432;f[a+224>>2]=0;u=c;return}function Pgb(a,b){a=a|0;b=b|0;if(!b)return;EIb(a,b,1978);return}function Qgb(a){a=a|0;var c=0;c=f[a+88>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}c=f[a+92>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}c=f[a+96>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}c=f[a+100>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}c=f[a+104>>2]|0;if(!((c|0)==540440|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}c=f[a+108>>2]|0;if(!((c|0)==540456|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}if((a|0)==537184)return;c=f[a+112>>2]|0;if(c|0)bi[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+116>>2]|0;if(c|0)bi[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+120>>2]|0;if(!c)return;bi[f[(f[c>>2]|0)+4>>2]&2047](c);return}function Rgb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=a+12|0;c=f[b>>2]|0;if(!c){f[b>>2]=0;return}if(f[a>>2]|0){f[b>>2]=0;return}a=f[c>>2]|0;if((a|0)>0){d=0;do{e=f[c+4+(d<<2)>>2]|0;if(e|0)bi[f[(f[e>>2]|0)+4>>2]&2047](e);d=d+1|0}while((d|0)!=(a|0));g=f[b>>2]|0}else g=c;fuc(g);f[b>>2]=0;return}function Sgb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=a+12|0;c=f[b>>2]|0;if(!c){f[b>>2]=0;return}if(f[a>>2]|0){f[b>>2]=0;return}a=f[c>>2]|0;if((a|0)>0){d=0;do{e=f[c+4+(d<<2)>>2]|0;if(e|0)bi[f[(f[e>>2]|0)+4>>2]&2047](e);d=d+1|0}while((d|0)!=(a|0));g=f[b>>2]|0}else g=c;fuc(g);f[b>>2]=0;return}function Tgb(a){a=a|0;var c=0,d=0;f[a>>2]=129644;c=f[a+28>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}c=f[a+24>>2]|0;if(c|0?(f[c>>2]|0)==0:0)fuc(c);c=a+4|0;a=f[c>>2]|0;if(!(a&1)){f[c>>2]=0;return}d=a&-2;a=d;if((d|0)==0|(f[a+4>>2]|0)!=0){f[c>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(d);f[c>>2]=0;return}function Ugb(a){a=a|0;Tgb(a);fuc(a);return}function Vgb(a){a=a|0;a=cuc(52)|0;hhb(a);return a|0}function Wgb(a,b){a=a|0;b=b|0;a=cuc(52)|0;hhb(a);if(!b)return a|0;ihb(b,a);return a|0}function Xgb(a){a=a|0;var c=0,d=0,e=0,g=0;f[a+16>>2]=0;c=a+8|0;d=f[c>>2]|0;do if(d&1|0){e=f[a+28>>2]|0;g=e+11|0;if((b[g>>0]|0)<0){b[f[e>>2]>>0]=0;f[e+4>>2]=0;break}else{b[e>>0]=0;b[g>>0]=0;break}}while(0);if(d&62|0){d=a+32|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;b[d+16>>0]=0}f[c>>2]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;ebc(a);return}function Ygb(a){a=a|0;return 1}function Zgb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0;d=u;u=u+16|0;e=d;g=c+4|0;i=a+8|0;j=a+32|0;k=a+36|0;l=a+40|0;m=a+28|0;n=a+44|0;o=a+16|0;p=a+20|0;q=a+24|0;r=a+48|0;s=e+8|0;t=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){v=b[a>>0]|0;w=v&255;if(v<<24>>24>0){f[c>>2]=a+1;x=w;y=6}else{z=w;y=5}}else{z=0;y=5}if((y|0)==5){y=0;w=OJb(c,z)|0;if((w+-1|0)>>>0<127){x=w;y=6}else A=w}b:do if((y|0)==6){y=0;switch(x>>>3&536870911|0){case 1:{if((x&255|0)!=8){A=x;break b}f[i>>2]=f[i>>2]|2;w=f[c>>2]|0;if(w>>>0<(f[g>>2]|0)>>>0){a=b[w>>0]|0;v=a&255;if(a<<24>>24>-1){f[c>>2]=w+1;B=v}else{C=v;y=11}}else{C=0;y=11}if((y|0)==11){y=0;v=zJb(c,C)|0;w=J;if((w|0)>-1|(w|0)==-1&v>>>0>4294967295)B=v;else{D=0;y=63;break a}}f[j>>2]=B;continue a;break}case 2:{if((x&255|0)!=16){A=x;break b}f[i>>2]=f[i>>2]|4;v=f[c>>2]|0;if(v>>>0<(f[g>>2]|0)>>>0){w=b[v>>0]|0;a=w&255;if(w<<24>>24>-1){f[c>>2]=v+1;E=a}else{F=a;y=17}}else{F=0;y=17}if((y|0)==17){y=0;a=zJb(c,F)|0;v=J;if((v|0)>-1|(v|0)==-1&a>>>0>4294967295)E=a;else{D=0;y=63;break a}}f[k>>2]=E;continue a;break}case 3:{if((x&255|0)!=24){A=x;break b}f[i>>2]=f[i>>2]|8;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){v=b[a>>0]|0;w=v&255;if(v<<24>>24>-1){f[c>>2]=a+1;G=w}else{H=w;y=23}}else{H=0;y=23}if((y|0)==23){y=0;w=zJb(c,H)|0;a=J;if((a|0)>-1|(a|0)==-1&w>>>0>4294967295)G=w;else{D=0;y=63;break a}}f[l>>2]=G;continue a;break}case 4:{if((x&255|0)!=34){A=x;break b}f[i>>2]=f[i>>2]|1;w=f[m>>2]|0;if((w|0)==542896){JEa(m,542896);I=f[m>>2]|0}else I=w;if($Lb(c,I)|0)continue a;else{D=0;y=63;break a}break}case 5:{if((x&255|0)!=40){A=x;break b}f[i>>2]=f[i>>2]|16;w=f[c>>2]|0;if(w>>>0<(f[g>>2]|0)>>>0){a=b[w>>0]|0;v=a&255;if(a<<24>>24>-1){f[c>>2]=w+1;K=v}else{L=v;y=33}}else{L=0;y=33}if((y|0)==33){y=0;v=zJb(c,L)|0;w=J;if((w|0)>-1|(w|0)==-1&v>>>0>4294967295)K=v;else{D=0;y=63;break a}}f[n>>2]=K;continue a;break}case 6:{switch((x&255)<<24>>24){case 53:break;case 50:{if(DWa(c,o)|0)continue a;else{D=0;y=63;break a}break}default:{A=x;break b}}v=f[c>>2]|0;if(((f[g>>2]|0)-v|0)>3){w=v;a=h[w>>0]|h[w+1>>0]<<8|h[w+2>>0]<<16|h[w+3>>0]<<24;f[e>>2]=a;f[c>>2]=v+4;M=a}else{if(!(LJb(c,e)|0)){y=50;break a}M=f[e>>2]|0}a=f[o>>2]|0;if((a|0)==(f[p>>2]|0)){REa(o,a+1|0);N=f[o>>2]|0}else N=a;a=f[q>>2]|0;v=N+1|0;f[o>>2]=v;f[a+4+(N<<2)>>2]=M;w=f[c>>2]|0;O=(f[g>>2]|0)-w|0;if((O|0)<=0)continue a;P=w;w=(f[p>>2]|0)-v|0;Q=(O>>>0)/5|0;R=(Q|0)<(w|0)?Q:w;if((R|0)>0){S=0;T=P;U=v}else continue a;while(1){if((b[T>>0]|0)!=53){V=S;break}v=T+1|0;w=h[v>>0]|h[v+1>>0]<<8|h[v+2>>0]<<16|h[v+3>>0]<<24;v=U;U=U+1|0;f[o>>2]=U;f[a+4+(v<<2)>>2]=w;w=S+1|0;if((w|0)>=(R|0)){V=w;break}else{S=w;T=T+5|0}}R=V*5|0;if((V|0)<=0)continue a;if((O|0)<(R|0)){HJb(c,R,O)|0;continue a}else{f[c>>2]=P+R;continue a}break}case 7:{if((x&255|0)!=56){A=x;break b}f[i>>2]=f[i>>2]|32;R=f[c>>2]|0;if(R>>>0<(f[g>>2]|0)>>>0?(a=b[R>>0]|0,a<<24>>24>-1):0){f[c>>2]=R+1;W=a<<24>>24!=0}else{AJb(e,c);a=e;if(!(b[s>>0]|0)){D=0;y=63;break a}else W=(f[a>>2]|0)!=0|(f[a+4>>2]|0)!=0}b[r>>0]=W&1;continue a;break}default:{A=x;break b}}}while(0);if(!A){D=1;y=63;break}a=f[t>>2]|0;if(!(a&1))X=OOa(t)|0;else X=a&-2;if(!(xbc(c,A,X)|0)){D=0;y=63;break}}if((y|0)==50){D=0;u=d;return D|0}else if((y|0)==63){u=d;return D|0}return 0}function _gb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;c=f[a+4>>2]|0;if(!(c&1))d=0;else d=Dbc(c&-2)|0;c=f[a+16>>2]|0;e=c+d+(c<<2)|0;c=f[a+8>>2]|0;if(!(c&63)){g=e;h=a+12|0;f[h>>2]=g;return g|0}if(!(c&1))i=e;else{d=f[a+28>>2]|0;j=b[d+11>>0]|0;k=j<<24>>24<0?f[d+4>>2]|0:j&255;i=e+1+k+((((($(k|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(c&2))l=i;else{k=f[a+32>>2]|0;if((k|0)<0)m=11;else m=((((($(k|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;l=m+i|0}if(!(c&4))n=l;else{i=f[a+36>>2]|0;if((i|0)<0)o=11;else o=((((($(i|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;n=o+l|0}if(!(c&8))p=n;else{l=f[a+40>>2]|0;if((l|0)<0)q=11;else q=((((($(l|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;p=q+n|0}if(!(c&16))r=p;else{n=f[a+44>>2]|0;if((n|0)<0)s=11;else s=((((($(n|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;r=s+p|0}g=c&32|0?r+2|0:r;h=a+12|0;f[h>>2]=g;return g|0}function $gb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;d=f[a+8>>2]|0;if(d&2|0)GLb(1,f[a+32>>2]|0,c);if(d&4|0)GLb(2,f[a+36>>2]|0,c);if(d&8|0)GLb(3,f[a+40>>2]|0,c);if(d&1|0)XLb(4,f[a+28>>2]|0,c);if(d&16|0)GLb(5,f[a+44>>2]|0,c);e=f[a+16>>2]|0;if((e|0)>0){g=a+24|0;h=0;do{QLb(6,+n[(f[g>>2]|0)+4+(h<<2)>>2],c);h=h+1|0}while((h|0)!=(e|0))}if(d&32|0)SLb(7,(b[a+48>>0]|0)!=0,c);d=f[a+4>>2]|0;if(!(d&1))return;Abc(d&-2,c);return}function ahb(a){a=a|0;return f[a+12>>2]|0}function bhb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;c=f[a+8>>2]|0;if(!(c&2))e=d;else{g=f[a+32>>2]|0;b[d>>0]=8;h=d+1|0;d=g&255;if(g>>>0>127){i=h;j=d;k=g;l=((g|0)<0)<<31>>31;while(1){b[i>>0]=j|-128;g=k;k=pzc(k|0,l|0,7)|0;m=i+1|0;n=k&255;if(!(l>>>0>0|(l|0)==0&g>>>0>16383)){o=m;p=n;break}else{i=m;j=n;l=J}}}else{o=h;p=d}b[o>>0]=p;e=o+1|0}if(!(c&4))q=e;else{o=f[a+36>>2]|0;b[e>>0]=16;p=e+1|0;e=o&255;if(o>>>0>127){d=p;h=e;l=o;j=((o|0)<0)<<31>>31;while(1){b[d>>0]=h|-128;o=l;l=pzc(l|0,j|0,7)|0;i=d+1|0;k=l&255;if(!(j>>>0>0|(j|0)==0&o>>>0>16383)){r=i;s=k;break}else{d=i;h=k;j=J}}}else{r=p;s=e}b[r>>0]=s;q=r+1|0}if(!(c&8))t=q;else{r=f[a+40>>2]|0;b[q>>0]=24;s=q+1|0;q=r&255;if(r>>>0>127){e=s;p=q;j=r;h=((r|0)<0)<<31>>31;while(1){b[e>>0]=p|-128;r=j;j=pzc(j|0,h|0,7)|0;d=e+1|0;l=j&255;if(!(h>>>0>0|(h|0)==0&r>>>0>16383)){u=d;v=l;break}else{e=d;p=l;h=J}}}else{u=s;v=q}b[u>>0]=v;t=u+1|0}if(!(c&1))w=t;else{u=f[a+28>>2]|0;b[t>>0]=34;w=XJb(u,t+1|0)|0}if(!(c&16))x=w;else{t=f[a+44>>2]|0;b[w>>0]=40;u=w+1|0;w=t&255;if(t>>>0>127){v=u;q=w;s=t;h=((t|0)<0)<<31>>31;while(1){b[v>>0]=q|-128;t=s;s=pzc(s|0,h|0,7)|0;p=v+1|0;e=s&255;if(!(h>>>0>0|(h|0)==0&t>>>0>16383)){y=p;z=e;break}else{v=p;q=e;h=J}}}else{y=u;z=w}b[y>>0]=z;x=y+1|0}y=f[a+16>>2]|0;if(!y)A=x;else{z=f[a+24>>2]|0;w=0;u=x;while(1){x=f[z+4+(w<<2)>>2]|0;b[u>>0]=53;h=u+1|0;b[h>>0]=x;b[h+1>>0]=x>>8;b[h+2>>0]=x>>16;b[h+3>>0]=x>>24;x=u+5|0;w=w+1|0;if((w|0)>=(y|0)){A=x;break}else u=x}}if(!(c&32))B=A;else{c=b[a+48>>0]|0;b[A>>0]=56;b[A+1>>0]=c;B=A+2|0}A=f[a+4>>2]|0;if(!(A&1)){C=B;return C|0}C=Bbc(A&-2,B)|0;return C|0}function chb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;if((a|0)==(c|0))return;f[a+16>>2]=0;d=a+8|0;e=f[d>>2]|0;do if(e&1|0){g=f[a+28>>2]|0;h=g+11|0;if((b[h>>0]|0)<0){b[f[g>>2]>>0]=0;f[g+4>>2]=0;break}else{b[g>>0]=0;b[h>>0]=0;break}}while(0);if(e&62|0){e=a+32|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;b[e+16>>0]=0}f[d>>2]=0;d=f[a+4>>2]|0;if(d&1|0?(e=d&-2,f[e>>2]|0):0)ebc(e);e=ovc(c,24728,20680,0)|0;if(!e){A9b(c,a);return}else{ghb(a,e);return}}function dhb(a,b){a=a|0;b=b|0;var c=0;c=ovc(b,24728,20680,0)|0;if(!c){A9b(b,a);return}else{ghb(a,c);return}}function ehb(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function fhb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224781]|0)!=2){f[d>>2]=151624;f[d+4>>2]=21;b[d+8>>0]=0;xLb(899124,d);QKb(d)}d=540560;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function ghb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;d=a+4|0;e=f[c+4>>2]|0;if(e&1|0){g=f[d>>2]|0;if(!(g&1))h=OOa(d)|0;else h=g&-2;hbc(h,e&-2)}e=a+16|0;h=c+16|0;g=f[h>>2]|0;if(g|0){REa(e,(f[e>>2]|0)+g|0);szc((f[a+24>>2]|0)+4+(f[e>>2]<<2)|0,(f[c+24>>2]|0)+4|0,f[h>>2]<<2|0)|0;f[e>>2]=(f[e>>2]|0)+(f[h>>2]|0)}h=f[c+8>>2]|0;if(!(h&63))return;do if(h&1|0?(e=a+8|0,f[e>>2]=f[e>>2]|1,e=a+28|0,g=f[c+28>>2]|0,d=f[e>>2]|0,(d|0)!=(g|0)):0)if((d|0)==542896){JEa(e,g);break}else{ruc(d,g)|0;break}while(0);if(h&2|0)f[a+32>>2]=f[c+32>>2];if(h&4|0)f[a+36>>2]=f[c+36>>2];if(h&8|0)f[a+40>>2]=f[c+40>>2];if(h&16|0)f[a+44>>2]=f[c+44>>2];if(h&32|0)b[a+48>>0]=b[c+48>>0]|0;c=a+8|0;f[c>>2]=f[c>>2]|h;return}function hhb(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=129644;f[a+4>>2]=0;f[a+8>>2]=0;f[a+16>>2]=0;f[a+20>>2]=0;f[a+24>>2]=0;if((a|0)!=536976?(f[224790]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=30;b[d+8>>0]=0;xLb(899160,d);QKb(d)}f[a+12>>2]=0;f[a+28>>2]=542896;d=a+32|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;b[d+16>>0]=0;u=c;return}function ihb(a,b){a=a|0;b=b|0;if(!b)return;EIb(a,b,1978);return}function jhb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0;f[a>>2]=129752;b=a+28|0;c=f[b>>2]|0;if(c|0?(f[a+16>>2]|0)==0:0){d=f[c>>2]|0;if((d|0)>0){e=0;do{g=f[c+4+(e<<2)>>2]|0;if(g|0)bi[f[(f[g>>2]|0)+4>>2]&2047](g);e=e+1|0}while((e|0)!=(d|0));h=f[b>>2]|0}else h=c;fuc(h)}f[b>>2]=0;b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}h=a&-2;a=h;if((h|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(h);f[b>>2]=0;return}function khb(a){a=a|0;jhb(a);fuc(a);return}function lhb(a){a=a|0;a=cuc(32)|0;yhb(a);return a|0}function mhb(a,b){a=a|0;b=b|0;a=cuc(32)|0;yhb(a);if(!b)return a|0;zhb(b,a);return a|0}function nhb(a){a=a|0;var b=0,c=0,d=0,e=0;b=a+20|0;c=f[b>>2]|0;if((c|0)>0){d=f[a+28>>2]|0;e=0;do{IYa(f[d+4+(e<<2)>>2]|0);e=e+1|0}while((e|0)!=(c|0));f[b>>2]=0}f[a+8>>2]=0;b=f[a+4>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;ebc(a);return}function ohb(a){a=a|0;return 1}function phb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;d=u;u=u+16|0;e=d;g=c+4|0;h=a+16|0;i=e+4|0;j=a+4|0;while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){k=b[a>>0]|0;l=k&255;if(k<<24>>24>0){f[c>>2]=a+1;m=l;n=6}else{o=l;n=5}}else{o=0;n=5}if((n|0)==5){n=0;l=OJb(c,o)|0;if((l+-1|0)>>>0<127){m=l;n=6}else p=l}if((n|0)==6){n=0;if((m|0)==10){l=CYa(h)|0;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(k=b[a>>0]|0,k<<24>>24>-1):0){f[c>>2]=a+1;q=k&255}else{k=NJb(c)|0;if((k|0)>-1)q=k;else{r=0;n=20;break}}yJb(e,c,q);if((f[i>>2]|0)<0){n=13;break}if(!(Th[f[(f[l>>2]|0)+44>>2]&1023](l,c)|0)){n=13;break}if(DJb(c,f[e>>2]|0)|0)continue;else{r=0;n=20;break}}else p=m}if(!p){r=1;n=20;break}l=f[j>>2]|0;if(!(l&1))s=OOa(j)|0;else s=l&-2;if(!(xbc(c,p,s)|0)){r=0;n=20;break}}if((n|0)==13){r=0;u=d;return r|0}else if((n|0)==20){u=d;return r|0}return 0}function qhb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=Dbc(b&-2)|0;b=f[a+20>>2]|0;d=b+c|0;if(!b){e=d;g=a+12|0;f[g>>2]=e;return e|0}c=a+28|0;h=0;i=d;while(1){d=f[(f[c>>2]|0)+4+(h<<2)>>2]|0;j=di[f[(f[d>>2]|0)+48>>2]&1023](d)|0;d=j+i+((((($(j|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=h+1|0;if((h|0)==(b|0)){e=d;break}else i=d}g=a+12|0;f[g>>2]=e;return e|0}function rhb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=f[a+20>>2]|0;if(c|0){d=a+28|0;e=0;do{_Lb(1,f[(f[d>>2]|0)+4+(e<<2)>>2]|0,b);e=e+1|0}while((e|0)!=(c|0))}c=f[a+4>>2]|0;if(!(c&1))return;Abc(c&-2,b);return}function shb(a){a=a|0;return f[a+12>>2]|0}function thb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;e=f[a+20>>2]|0;if(!e)g=d;else{h=a+28|0;i=0;j=d;while(1){d=f[(f[h>>2]|0)+4+(i<<2)>>2]|0;b[j>>0]=10;k=j+1|0;l=di[f[(f[d>>2]|0)+60>>2]&1023](d)|0;if(l>>>0>127){m=l;n=k;while(1){b[n>>0]=m|128;o=m>>>7;p=n+1|0;if(m>>>0>16383){m=o;n=p}else{q=p;r=o;break}}}else{q=k;r=l}b[q>>0]=r;n=li[f[(f[d>>2]|0)+64>>2]&511](d,c,q+1|0)|0;i=i+1|0;if((i|0)==(e|0)){g=n;break}else j=n}}j=f[a+4>>2]|0;if(!(j&1)){s=g;return s|0}s=Bbc(j&-2,g)|0;return s|0}function uhb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0;if((a|0)==(b|0))return;c=a+20|0;d=f[c>>2]|0;if((d|0)>0){e=f[a+28>>2]|0;g=0;do{IYa(f[e+4+(g<<2)>>2]|0);g=g+1|0}while((g|0)!=(d|0));f[c>>2]=0}f[a+8>>2]=0;c=a+4|0;d=f[c>>2]|0;if(d&1|0?(g=d&-2,f[g>>2]|0):0)ebc(g);g=ovc(b,24728,20696,0)|0;if(!g){A9b(b,a);return}b=f[g+4>>2]|0;if(b&1|0){d=f[c>>2]|0;if(!(d&1))h=OOa(c)|0;else h=d&-2;hbc(h,b&-2)}VEa(a+16|0,g+16|0);return}function vhb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=ovc(b,24728,20696,0)|0;if(!c){A9b(b,a);return}b=a+4|0;d=f[c+4>>2]|0;if(d&1|0){e=f[b>>2]|0;if(!(e&1))g=OOa(b)|0;else g=e&-2;hbc(g,d&-2)}VEa(a+16|0,c+16|0);return}function whb(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function xhb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224781]|0)!=2){f[d>>2]=151624;f[d+4>>2]=21;b[d+8>>0]=0;xLb(899124,d);QKb(d)}d=540520;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function yhb(a){a=a|0;var c=0,d=0,e=0;c=u;u=u+16|0;d=c;f[a>>2]=129752;f[a+4>>2]=0;f[a+8>>2]=0;e=a+16|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((a|0)!=536696?(f[224785]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=25;b[d+8>>0]=0;xLb(899140,d);QKb(d)}f[a+12>>2]=0;u=c;return}function zhb(a,b){a=a|0;b=b|0;if(!b)return;EIb(a,b,1978);return}function Ahb(a,b){a=a|0;b=b|0;if(!b)return;EIb(a,b,1978);return}function Bhb(){var a=0,c=0;a=u;u=u+16|0;c=a;if((f[224782]|0)==2){u=a;return}f[c>>2]=151624;f[c+4>>2]=22;b[c+8>>0]=0;xLb(899128,c);QKb(c);u=a;return}function Chb(a,b){a=a|0;b=b|0;var c=0,d=0;if((b|0)==(a|0))return;c=a+8|0;d=f[c>>2]|0;if(d&1|0)ruc(f[a+16>>2]|0,540424)|0;if(d&254|0){d=a+20|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;f[a+36>>2]=-1;n[a+40>>2]=1.0;n[a+44>>2]=1.0}f[c>>2]=0;c=f[a+4>>2]|0;if(c&1|0?(d=c&-2,f[d>>2]|0):0)ebc(d);EXa(a,b);return}function Dhb(a,b){a=a|0;b=b|0;var c=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;f[a>>2]=129536;c=a+4|0;f[c>>2]=0;e=b+8|0;f[a+8>>2]=f[e>>2];g=a+12|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;f[g+16>>2]=0;pgb(a+16|0,b+16|0);g=a+32|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;YOa(g,b+32|0);g=a+48|0;f[g>>2]=0;f[a+52>>2]=0;h=a+56|0;f[h>>2]=0;i=b+48|0;j=f[i>>2]|0;if(j|0){NEa(g,j);szc((f[h>>2]|0)+4|0,(f[b+56>>2]|0)+4|0,f[i>>2]<<2|0)|0;f[g>>2]=f[i>>2]}i=a+60|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;J1a(i,b+60|0);i=a+76|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;qgb(i,b+76|0);i=f[b+4>>2]|0;if(i&1|0){g=f[c>>2]|0;if(!(g&1))k=OOa(c)|0;else k=g&-2;hbc(k,i&-2)}i=a+92|0;f[i>>2]=542896;k=f[e>>2]|0;if((k&1|0)!=0?(g=f[b+92>>2]|0,(g|0)!=542896):0){JEa(i,g);l=f[e>>2]|0}else l=k;if(!(l&2)){m=0;n=a+96|0;f[n>>2]=m;o=a+100|0;p=b+100|0;q=d[p>>1]|0;d[o>>1]=q;return}l=cuc(40)|0;Ehb(l,f[b+96>>2]|0);m=l;n=a+96|0;f[n>>2]=m;o=a+100|0;p=b+100|0;q=d[p>>1]|0;d[o>>1]=q;return}function Ehb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;f[a>>2]=129212;c=a+4|0;f[c>>2]=0;f[a+8>>2]=f[b+8>>2];d=a+12|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;f[d+16>>2]=0;YOa(a+16|0,b+16|0);d=f[b+4>>2]|0;if(d&1|0){e=f[c>>2]|0;if(!(e&1))g=OOa(c)|0;else g=e&-2;hbc(g,d&-2)}d=b+32|0;b=f[d+4>>2]|0;g=a+32|0;f[g>>2]=f[d>>2];f[g+4>>2]=b;return}function Fhb(a,b){a=a|0;b=b|0;if((b|0)==(a|0))return;xgb(a);ogb(a,b);return}function Ghb(a,b){a=a|0;b=b|0;if((b|0)==(a|0))return;_6a(a);V6a(a,b);return}function Hhb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0;f[a>>2]=126188;c=a+4|0;f[c>>2]=0;d=b+8|0;f[a+8>>2]=f[d>>2];f[a+12>>2]=0;e=f[b+4>>2]|0;if(e&1|0)hbc(OOa(c)|0,e&-2);e=a+16|0;f[e>>2]=542896;c=f[d>>2]|0;if((c&1|0)!=0?(g=f[b+16>>2]|0,(g|0)!=542896):0){JEa(e,g);h=f[d>>2]|0}else h=c;c=a+20|0;f[c>>2]=542896;if(h&2|0?(h=f[b+20>>2]|0,(h|0)!=542896):0)JEa(c,h);h=a+24|0;a=b+24|0;f[h>>2]=f[a>>2];f[h+4>>2]=f[a+4>>2];f[h+8>>2]=f[a+8>>2];f[h+12>>2]=f[a+12>>2];f[h+16>>2]=f[a+16>>2];f[h+20>>2]=f[a+20>>2];f[h+24>>2]=f[a+24>>2];return}function Ihb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0;f[a>>2]=125864;c=a+4|0;f[c>>2]=0;d=b+8|0;f[a+8>>2]=f[d>>2];f[a+12>>2]=0;e=f[b+4>>2]|0;if(e&1|0)hbc(OOa(c)|0,e&-2);e=a+16|0;f[e>>2]=542896;c=f[d>>2]|0;if((c&1|0)!=0?(g=f[b+16>>2]|0,(g|0)!=542896):0){JEa(e,g);h=f[d>>2]|0}else h=c;c=a+20|0;f[c>>2]=542896;if((h&2|0)!=0?(g=f[b+20>>2]|0,(g|0)!=542896):0){JEa(c,g);i=f[d>>2]|0}else i=h;h=a+24|0;f[h>>2]=542896;if(i&4|0?(i=f[b+24>>2]|0,(i|0)!=542896):0)JEa(h,i);i=a+28|0;a=b+28|0;f[i>>2]=f[a>>2];f[i+4>>2]=f[a+4>>2];f[i+8>>2]=f[a+8>>2];f[i+12>>2]=f[a+12>>2];f[i+16>>2]=f[a+16>>2];f[i+20>>2]=f[a+20>>2];f[i+24>>2]=f[a+24>>2];f[i+28>>2]=f[a+28>>2];return}function Jhb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0;f[a>>2]=125324;c=a+4|0;f[c>>2]=0;d=b+8|0;f[a+8>>2]=f[d>>2];f[a+12>>2]=0;e=f[b+4>>2]|0;if(e&1|0)hbc(OOa(c)|0,e&-2);e=a+16|0;f[e>>2]=542896;c=f[d>>2]|0;if((c&1|0)!=0?(g=f[b+16>>2]|0,(g|0)!=542896):0){JEa(e,g);h=f[d>>2]|0}else h=c;c=a+20|0;f[c>>2]=542896;if((h&2|0)!=0?(g=f[b+20>>2]|0,(g|0)!=542896):0){JEa(c,g);i=f[d>>2]|0}else i=h;h=a+24|0;f[h>>2]=540472;if((i&4|0)!=0?(g=f[b+24>>2]|0,(g|0)!=540472):0){JEa(h,g);j=f[d>>2]|0}else j=i;i=a+28|0;f[i>>2]=542896;if(j&8|0?(j=f[b+28>>2]|0,(j|0)!=542896):0)JEa(i,j);j=a+32|0;a=b+32|0;f[j>>2]=f[a>>2];f[j+4>>2]=f[a+4>>2];f[j+8>>2]=f[a+8>>2];f[j+12>>2]=f[a+12>>2];f[j+16>>2]=f[a+16>>2];f[j+20>>2]=f[a+20>>2];f[j+24>>2]=f[a+24>>2];f[j+28>>2]=f[a+28>>2];return}function Khb(a,c){a=a|0;c=c|0;var e=0,g=0,h=0,i=0;if((c|0)==(a|0))return;f[a+16>>2]=0;e=a+8|0;g=f[e>>2]|0;do if(g&1|0){h=f[a+28>>2]|0;i=h+11|0;if((b[i>>0]|0)<0){b[f[h>>2]>>0]=0;f[h+4>>2]=0;break}else{b[h>>0]=0;b[i>>0]=0;break}}while(0);if(g&62|0){g=a+32|0;f[g>>2]=0;d[g+4>>1]=0;b[g+6>>0]=0;n[a+40>>2]=1.0}f[e>>2]=0;e=f[a+4>>2]|0;if(e&1|0?(g=e&-2,f[g>>2]|0):0)ebc(g);YZa(a,c);return}function Lhb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0;if((c|0)==(a|0))return;d=a+8|0;if(f[d>>2]&7|0){e=a+16|0;f[e>>2]=0;b[e+4>>0]=0;f[a+24>>2]=1}f[d>>2]=0;e=a+4|0;g=f[e>>2]|0;if(g&1|0?(h=g&-2,f[h>>2]|0):0)ebc(h);h=f[c+4>>2]|0;if(h&1|0){g=f[e>>2]|0;if(!(g&1))i=OOa(e)|0;else i=g&-2;hbc(i,h&-2)}h=f[c+8>>2]|0;if(!(h&7))return;if(h&1|0)f[a+16>>2]=f[c+16>>2];if(h&2|0)b[a+20>>0]=b[c+20>>0]|0;if(h&4|0)f[a+24>>2]=f[c+24>>2];f[d>>2]=f[d>>2]|h;return}function Mhb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0;if((b|0)==(a|0))return;c=a+8|0;if(f[c>>2]&7|0){f[a+16>>2]=0;f[a+20>>2]=1;f[a+24>>2]=1}f[c>>2]=0;d=a+4|0;e=f[d>>2]|0;if(e&1|0?(g=e&-2,f[g>>2]|0):0)ebc(g);g=f[b+4>>2]|0;if(g&1|0){e=f[d>>2]|0;if(!(e&1))h=OOa(d)|0;else h=e&-2;hbc(h,g&-2)}g=f[b+8>>2]|0;if(!(g&7))return;if(g&1|0)f[a+16>>2]=f[b+16>>2];if(g&2|0)f[a+20>>2]=f[b+20>>2];if(g&4|0)f[a+24>>2]=f[b+24>>2];f[c>>2]=f[c>>2]|g;return}function Nhb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0;if((c|0)==(a|0))return;d=a+8|0;if(f[d>>2]&7|0){e=a+16|0;f[e>>2]=0;f[e+4>>2]=0;f[a+24>>2]=1}f[d>>2]=0;e=a+4|0;g=f[e>>2]|0;if(g&1|0?(h=g&-2,f[h>>2]|0):0)ebc(h);h=f[c+4>>2]|0;if(h&1|0){g=f[e>>2]|0;if(!(g&1))i=OOa(e)|0;else i=g&-2;hbc(i,h&-2)}h=f[c+8>>2]|0;if(!(h&7))return;if(h&1|0)b[a+16>>0]=b[c+16>>0]|0;if(h&2|0)f[a+20>>2]=f[c+20>>2];if(h&4|0)f[a+24>>2]=f[c+24>>2];f[d>>2]=f[d>>2]|h;return}function Ohb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0;if((b|0)==(a|0))return;c=a+8|0;if(f[c>>2]&3|0){f[a+16>>2]=1;f[a+20>>2]=1}f[c>>2]=0;d=a+4|0;e=f[d>>2]|0;if(e&1|0?(g=e&-2,f[g>>2]|0):0)ebc(g);g=f[b+4>>2]|0;if(g&1|0){e=f[d>>2]|0;if(!(e&1))h=OOa(d)|0;else h=e&-2;hbc(h,g&-2)}g=f[b+8>>2]|0;if(!(g&3))return;if(g&1|0)f[a+16>>2]=f[b+16>>2];if(g&2|0)f[a+20>>2]=f[b+20>>2];f[c>>2]=f[c>>2]|g;return}function Phb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0;if((c|0)==(a|0))return;d=a+8|0;if(f[d>>2]&3|0){b[a+16>>0]=0;n[a+20>>2]=1.0}f[d>>2]=0;e=a+4|0;g=f[e>>2]|0;if(g&1|0?(h=g&-2,f[h>>2]|0):0)ebc(h);h=f[c+4>>2]|0;if(h&1|0){g=f[e>>2]|0;if(!(g&1))i=OOa(e)|0;else i=g&-2;hbc(i,h&-2)}h=f[c+8>>2]|0;if(!(h&3))return;if(h&1|0)b[a+16>>0]=b[c+16>>0]|0;if(h&2|0)f[a+20>>2]=f[c+20>>2];f[d>>2]=f[d>>2]|h;return}function Qhb(a,b){a=a|0;b=b|0;if((b|0)==(a|0))return;r6a(a);sZa(a,b);return}function Rhb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;if((c|0)==(a|0))return;d=a+8|0;e=f[d>>2]|0;do if(e&3|0){do if(e&1|0){g=f[a+16>>2]|0;h=g+11|0;if((b[h>>0]|0)<0){b[f[g>>2]>>0]=0;f[g+4>>2]=0;break}else{b[g>>0]=0;b[h>>0]=0;break}}while(0);if(e&2|0){h=f[a+20>>2]|0;g=h+11|0;if((b[g>>0]|0)<0){b[f[h>>2]>>0]=0;f[h+4>>2]=0;break}else{b[h>>0]=0;b[g>>0]=0;break}}}while(0);if(e&252|0){g=a+24|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;f[g+16>>2]=0}if(e&768|0){n[a+44>>2]=1.0;f[a+48>>2]=4}f[d>>2]=0;d=f[a+4>>2]|0;if(d&1|0?(e=d&-2,f[e>>2]|0):0)ebc(e);uZa(a,c);return}function Shb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0;if((c|0)==(a|0))return;d=a+8|0;if(f[d>>2]&3|0){n[a+16>>2]=.5;b[a+20>>0]=1}f[d>>2]=0;e=a+4|0;g=f[e>>2]|0;if(g&1|0?(h=g&-2,f[h>>2]|0):0)ebc(h);h=f[c+4>>2]|0;if(h&1|0){g=f[e>>2]|0;if(!(g&1))i=OOa(e)|0;else i=g&-2;hbc(i,h&-2)}h=f[c+8>>2]|0;if(!(h&3))return;if(h&1|0)f[a+16>>2]=f[c+16>>2];if(h&2|0)b[a+20>>0]=b[c+20>>0]|0;f[d>>2]=f[d>>2]|h;return}function Thb(a,b){a=a|0;b=b|0;if((b|0)==(a|0))return;S1a(a);QZa(a,b);return}function Uhb(a,c){a=a|0;c=c|0;var d=0,e=0;if((c|0)==(a|0))return;f[a+16>>2]=0;d=a+8|0;if(f[d>>2]&3|0){f[a+28>>2]=1;b[a+32>>0]=1}f[d>>2]=0;d=f[a+4>>2]|0;if(d&1|0?(e=d&-2,f[e>>2]|0):0)ebc(e);NZa(a,c);return}function Vhb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0;if((b|0)==(a|0))return;c=a+8|0;if(f[c>>2]&7|0){n[a+16>>2]=0.0;n[a+20>>2]=-1.0;n[a+24>>2]=1.0}f[c>>2]=0;d=a+4|0;e=f[d>>2]|0;if(e&1|0?(g=e&-2,f[g>>2]|0):0)ebc(g);g=f[b+4>>2]|0;if(g&1|0){e=f[d>>2]|0;if(!(e&1))h=OOa(d)|0;else h=e&-2;hbc(h,g&-2)}g=f[b+8>>2]|0;if(!(g&7))return;if(g&1|0)f[a+16>>2]=f[b+16>>2];if(g&2|0)f[a+20>>2]=f[b+20>>2];if(g&4|0)f[a+24>>2]=f[b+24>>2];f[c>>2]=f[c>>2]|g;return}function Whb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;if((c|0)==(a|0))return;d=a+8|0;e=f[d>>2]|0;do if(e&1|0){g=f[a+16>>2]|0;h=g+11|0;if((b[h>>0]|0)<0){b[f[g>>2]>>0]=0;f[g+4>>2]=0;break}else{b[g>>0]=0;b[h>>0]=0;break}}while(0);if(e&6|0){e=a+20|0;f[e>>2]=0;b[e+4>>0]=0}f[d>>2]=0;d=f[a+4>>2]|0;if(d&1|0?(e=d&-2,f[e>>2]|0):0)ebc(e);xZa(a,c);return}function Xhb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0;if((c|0)==(a|0))return;d=a+8|0;do if(f[d>>2]&1|0){e=f[a+16>>2]|0;g=e+11|0;if((b[g>>0]|0)<0){b[f[e>>2]>>0]=0;f[e+4>>2]=0;break}else{b[e>>0]=0;b[g>>0]=0;break}}while(0);f[d>>2]=0;g=a+4|0;e=f[g>>2]|0;if(e&1|0?(h=e&-2,f[h>>2]|0):0)ebc(h);h=f[c+4>>2]|0;if(h&1|0){e=f[g>>2]|0;if(!(e&1))i=OOa(g)|0;else i=e&-2;hbc(i,h&-2)}if(!(f[c+8>>2]&1))return;f[d>>2]=f[d>>2]|1;d=a+16|0;a=f[c+16>>2]|0;c=f[d>>2]|0;if((c|0)==(a|0))return;if((c|0)==542896){JEa(d,a);return}else{ruc(c,a)|0;return}}function Yhb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0;if((b|0)==(a|0))return;c=a+16|0;f[c>>2]=1;d=a+8|0;f[d>>2]=0;e=a+4|0;a=f[e>>2]|0;if(a&1|0?(g=a&-2,f[g>>2]|0):0)ebc(g);g=f[b+4>>2]|0;if(g&1|0){a=f[e>>2]|0;if(!(a&1))h=OOa(e)|0;else h=a&-2;hbc(h,g&-2)}if(!(f[b+8>>2]&1))return;g=f[b+16>>2]|0;f[d>>2]=f[d>>2]|1;f[c>>2]=g;return}function Zhb(a,b){a=a|0;b=b|0;if((b|0)==(a|0))return;g5a(a);zZa(a,b);return}function _hb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0;if((c|0)==(a|0))return;d=a+8|0;do if(f[d>>2]&1|0){e=f[a+16>>2]|0;g=e+11|0;if((b[g>>0]|0)<0){b[f[e>>2]>>0]=0;f[e+4>>2]=0;break}else{b[e>>0]=0;b[g>>0]=0;break}}while(0);f[d>>2]=0;g=a+4|0;e=f[g>>2]|0;if(e&1|0?(h=e&-2,f[h>>2]|0):0)ebc(h);h=f[c+4>>2]|0;if(h&1|0){e=f[g>>2]|0;if(!(e&1))i=OOa(g)|0;else i=e&-2;hbc(i,h&-2)}if(!(f[c+8>>2]&1))return;f[d>>2]=f[d>>2]|1;d=a+16|0;a=f[c+16>>2]|0;c=f[d>>2]|0;if((c|0)==(a|0))return;if((c|0)==542896){JEa(d,a);return}else{ruc(c,a)|0;return}}function $hb(a,b){a=a|0;b=b|0;if((b|0)==(a|0))return;C4a(a);CZa(a,b);return}function aib(a,b){a=a|0;b=b|0;var c=0,d=0;if((b|0)==(a|0))return;c=a+8|0;if(f[c>>2]&63|0){d=a+16|0;f[d>>2]=0;f[d+4>>2]=0;f[a+24>>2]=5;n[a+28>>2]=1.0;n[a+32>>2]=.75;n[a+36>>2]=1.0}f[c>>2]=0;c=f[a+4>>2]|0;if(c&1|0?(d=c&-2,f[d>>2]|0):0)ebc(d);EZa(a,b);return}function bib(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0;if((b|0)==(a|0))return;c=a+8|0;if(f[c>>2]&15|0){d=a+16|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0}f[c>>2]=0;d=a+4|0;e=f[d>>2]|0;if(e&1|0?(g=e&-2,f[g>>2]|0):0)ebc(g);g=f[b+4>>2]|0;if(g&1|0){e=f[d>>2]|0;if(!(e&1))h=OOa(d)|0;else h=e&-2;hbc(h,g&-2)}g=f[b+8>>2]|0;if(!(g&15))return;if(g&1|0)f[a+16>>2]=f[b+16>>2];if(g&2|0)f[a+20>>2]=f[b+20>>2];if(g&4|0)f[a+24>>2]=f[b+24>>2];if(g&8|0)f[a+28>>2]=f[b+28>>2];f[c>>2]=f[c>>2]|g;return}function cib(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0;if((c|0)==(a|0))return;d=a+8|0;if(f[d>>2]&7|0){b[a+16>>0]=0;b[a+17>>0]=1;n[a+20>>2]=9.999999717180685e-10}f[d>>2]=0;e=a+4|0;g=f[e>>2]|0;if(g&1|0?(h=g&-2,f[h>>2]|0):0)ebc(h);h=f[c+4>>2]|0;if(h&1|0){g=f[e>>2]|0;if(!(g&1))i=OOa(e)|0;else i=g&-2;hbc(i,h&-2)}h=f[c+8>>2]|0;if(!(h&7))return;if(h&1|0)b[a+16>>0]=b[c+16>>0]|0;if(h&2|0)b[a+17>>0]=b[c+17>>0]|0;if(h&4|0)f[a+20>>2]=f[c+20>>2];f[d>>2]=f[d>>2]|h;return}function dib(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;if((c|0)==(a|0))return;d=a+8|0;e=f[d>>2]|0;if(e&255|0){g=a+16|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;f[g+16>>2]=0;f[g+20>>2]=0;f[g+24>>2]=0;f[g+28>>2]=0}if(e&7936|0){e=a+48|0;f[e>>2]=0;f[e+4>>2]=0;b[e+8>>0]=0;f[a+60>>2]=1;b[a+64>>0]=1}f[d>>2]=0;d=f[a+4>>2]|0;if(d&1|0?(e=d&-2,f[e>>2]|0):0)ebc(e);GZa(a,c);return}function eib(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0;if((b|0)==(a|0))return;c=a+8|0;if(f[c>>2]&7|0){n[a+16>>2]=0.0;n[a+20>>2]=1.0;n[a+24>>2]=1.0}f[c>>2]=0;d=a+4|0;e=f[d>>2]|0;if(e&1|0?(g=e&-2,f[g>>2]|0):0)ebc(g);g=f[b+4>>2]|0;if(g&1|0){e=f[d>>2]|0;if(!(e&1))h=OOa(d)|0;else h=e&-2;hbc(h,g&-2)}g=f[b+8>>2]|0;if(!(g&7))return;if(g&1|0)f[a+16>>2]=f[b+16>>2];if(g&2|0)f[a+20>>2]=f[b+20>>2];if(g&4|0)f[a+24>>2]=f[b+24>>2];f[c>>2]=f[c>>2]|g;return}function fib(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0;if((b|0)==(a|0))return;c=a+8|0;if(f[c>>2]&3|0){d=a+16|0;f[d>>2]=0;f[d+4>>2]=0}f[c>>2]=0;d=a+4|0;e=f[d>>2]|0;if(e&1|0?(g=e&-2,f[g>>2]|0):0)ebc(g);g=f[b+4>>2]|0;if(g&1|0){e=f[d>>2]|0;if(!(e&1))h=OOa(d)|0;else h=e&-2;hbc(h,g&-2)}g=f[b+8>>2]|0;if(!(g&3))return;if(g&1|0)f[a+16>>2]=f[b+16>>2];if(g&2|0)f[a+20>>2]=f[b+20>>2];f[c>>2]=f[c>>2]|g;return}function gib(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0;if((b|0)==(a|0))return;c=a+16|0;f[c>>2]=0;d=a+8|0;f[d>>2]=0;e=a+4|0;a=f[e>>2]|0;if(a&1|0?(g=a&-2,f[g>>2]|0):0)ebc(g);g=f[b+4>>2]|0;if(g&1|0){a=f[e>>2]|0;if(!(a&1))h=OOa(e)|0;else h=a&-2;hbc(h,g&-2)}if(!(f[b+8>>2]&1))return;g=f[b+16>>2]|0;f[d>>2]=f[d>>2]|1;f[c>>2]=g;return}function hib(a,b){a=a|0;b=b|0;var c=0,d=0;if((b|0)==(a|0))return;f[a+16>>2]=0;c=a+8|0;if(f[c>>2]&3|0){f[a+28>>2]=1;f[a+32>>2]=1}f[c>>2]=0;c=f[a+4>>2]|0;if(c&1|0?(d=c&-2,f[d>>2]|0):0)ebc(d);VZa(a,b);return}function iib(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0;if((b|0)==(a|0))return;c=a+8|0;if(f[c>>2]&3|0){f[a+16>>2]=0;f[a+20>>2]=1}f[c>>2]=0;d=a+4|0;e=f[d>>2]|0;if(e&1|0?(g=e&-2,f[g>>2]|0):0)ebc(g);g=f[b+4>>2]|0;if(g&1|0){e=f[d>>2]|0;if(!(e&1))h=OOa(d)|0;else h=e&-2;hbc(h,g&-2)}g=f[b+8>>2]|0;if(!(g&3))return;if(g&1|0)f[a+16>>2]=f[b+16>>2];if(g&2|0)f[a+20>>2]=f[b+20>>2];f[c>>2]=f[c>>2]|g;return}function jib(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0;if((b|0)==(a|0))return;c=a+16|0;f[c>>2]=0;d=a+8|0;f[d>>2]=0;e=a+4|0;a=f[e>>2]|0;if(a&1|0?(g=a&-2,f[g>>2]|0):0)ebc(g);g=f[b+4>>2]|0;if(g&1|0){a=f[e>>2]|0;if(!(a&1))h=OOa(e)|0;else h=a&-2;hbc(h,g&-2)}if(!(f[b+8>>2]&1))return;g=f[b+16>>2]|0;f[d>>2]=f[d>>2]|1;f[c>>2]=g;return}function kib(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0;if((b|0)==(a|0))return;c=a+16|0;n[c>>2]=0.0;d=a+8|0;f[d>>2]=0;e=a+4|0;a=f[e>>2]|0;if(a&1|0?(g=a&-2,f[g>>2]|0):0)ebc(g);g=f[b+4>>2]|0;if(g&1|0){a=f[e>>2]|0;if(!(a&1))h=OOa(e)|0;else h=a&-2;hbc(h,g&-2)}if(!(f[b+8>>2]&1))return;g=f[b+16>>2]|0;f[d>>2]=f[d>>2]|1;f[c>>2]=g;return}function lib(a,b){a=a|0;b=b|0;if((b|0)==(a|0))return;H3a(a);IZa(a,b);return}function mib(a,b){a=a|0;b=b|0;if((b|0)==(a|0))return;dZa(a);oZa(a,b);return}function nib(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+176|0;e=d;SEa(e,443842,443919,44,443954,443960,BFa(a,c)|0);c=e+21|0;g=e+32|0;while(1){if(!(b[c>>0]|0))break;h=aE(g,444003,31)|0;aE(h,a,jfc(a)|0)|0;TEa(e)}a=e+24|0;f[a>>2]=35348;c=e+88|0;f[c>>2]=35388;f[g>>2]=35368;g=e+36|0;f[g>>2]=35404;h=e+68|0;if((b[h+11>>0]|0)>=0){Ric(g);Zjc(a,35464);Mic(c);u=d;return}fuc(f[h>>2]|0);Ric(g);Zjc(a,35464);Mic(c);u=d;return}function oib(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0;e=u;u=u+176|0;g=e;SEa(g,443842,444035,50,443954,444072,DFa(a,c,d)|0);d=g+21|0;c=g+32|0;while(1){if(!(b[d>>0]|0))break;aE(c,444116,31)|0;TEa(g)}d=g+24|0;f[d>>2]=35348;a=g+88|0;f[a>>2]=35388;f[c>>2]=35368;c=g+36|0;f[c>>2]=35404;h=g+68|0;if((b[h+11>>0]|0)<0)fuc(f[h>>2]|0);Ric(c);Zjc(d,35464);Mic(a);u=e;return}function pib(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+176|0;e=d;SEa(e,443842,444148,56,443954,444181,lFa(a,c)|0);c=e+21|0;g=e+32|0;while(1){if(!(b[c>>0]|0))break;h=aE(g,444003,31)|0;aE(h,a,jfc(a)|0)|0;TEa(e)}a=e+24|0;f[a>>2]=35348;c=e+88|0;f[c>>2]=35388;f[g>>2]=35368;g=e+36|0;f[g>>2]=35404;h=e+68|0;if((b[h+11>>0]|0)>=0){Ric(g);Zjc(a,35464);Mic(c);u=d;return}fuc(f[h>>2]|0);Ric(g);Zjc(a,35464);Mic(c);u=d;return}function qib(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0;e=u;u=u+176|0;g=e;SEa(g,443842,444222,62,443954,444257,CFa(a,c,d)|0);d=g+21|0;c=g+32|0;while(1){if(!(b[d>>0]|0))break;aE(c,444116,31)|0;TEa(g)}d=g+24|0;f[d>>2]=35348;a=g+88|0;f[a>>2]=35388;f[c>>2]=35368;c=g+36|0;f[c>>2]=35404;h=g+68|0;if((b[h+11>>0]|0)<0)fuc(f[h>>2]|0);Ric(c);Zjc(d,35464);Mic(a);u=e;return}function rib(){return 0}function sib(a){a=a|0;var c=0,d=0,e=0,g=0;a=u;u=u+16|0;c=a;a=cuc(16)|0;f[c>>2]=a;f[c+8>>2]=-2147483632;f[c+4>>2]=15;d=a;e=444299;g=d+15|0;do{b[d>>0]=b[e>>0]|0;d=d+1|0;e=e+1|0}while((d|0)<(g|0));b[a+15>>0]=0;WD(-215,c,444315,444332,584)}function tib(){f[224854]=0;f[224855]=0;f[224856]=0;b[899427]=4;f[224854]=1635017060;b[899420]=0;Bd(1936,899416,x|0)|0;return}function uib(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0,qc=0,rc=0,sc=0,tc=0,uc=0,vc=0,wc=0,xc=0,yc=0,zc=0,Ac=0,Bc=0,Cc=0,Dc=0,Ec=0,Fc=0,Gc=0,Hc=0.0,Ic=0,Jc=0,Kc=0,Lc=0,Mc=0,Nc=0,Oc=0,Pc=0;d=u;u=u+592|0;e=d+568|0;g=d+544|0;h=d+520|0;i=d+488|0;j=d+556|0;k=d+532|0;l=d+16|0;m=d+340|0;n=d+316|0;o=d+472|0;p=d+460|0;q=d+448|0;r=d+436|0;s=d+424|0;t=d+412|0;v=d+400|0;w=d+388|0;x=d+376|0;y=d+364|0;z=d+352|0;A=d+328|0;B=d+304|0;C=d+292|0;D=d+280|0;E=d+268|0;F=d+256|0;G=d+244|0;H=d+232|0;I=d;J=d+220|0;K=d+208|0;L=d+196|0;M=d+184|0;N=d+172|0;O=d+160|0;P=d+148|0;Q=d+136|0;R=d+124|0;S=d+112|0;T=d+100|0;U=d+88|0;V=d+64|0;W=d+52|0;X=d+28|0;Z=d+76|0;_=d+40|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;$=g+11|0;aa=g+4|0;ba=e+11|0;ca=e+4|0;da=h+11|0;ea=h+4|0;fa=c+48|0;ga=c+36|0;ha=c+40|0;ia=c+40|0;ja=c+44|0;ka=i+11|0;la=i+4|0;ma=h+11|0;na=-1;oa=0;a:while(1){dkc(e,a+(f[(f[a>>2]|0)+-12>>2]|0)|0);pa=Ilc(e,901876)|0;qa=Th[f[(f[pa>>2]|0)+28>>2]&1023](pa,10)|0;Jlc(e);pa=vib(a,g,qa)|0;if(f[pa+(f[(f[pa>>2]|0)+-12>>2]|0)+16>>2]&5|0){ra=3;break};f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;pa=b[$>>0]|0;qa=f[aa>>2]|0;if(!((pa<<24>>24<0?qa:pa&255)|0))sa=pa;else{ta=0;ua=qa;qa=pa;while(1){pa=b[(qa<<24>>24<0?f[g>>2]|0:g)+ta>>0]|0;if((pa+-33&255)<90){Euc(e,pa);va=b[$>>0]|0;wa=f[aa>>2]|0}else{va=qa;wa=ua}ta=ta+1|0;if(ta>>>0>=(va<<24>>24<0?wa:va&255)>>>0){sa=va;break}else{ua=wa;qa=va}}}if(sa<<24>>24<0){b[f[g>>2]>>0]=0;f[aa>>2]=0}else{b[g>>0]=0;b[$>>0]=0}vuc(g,0);f[g>>2]=f[e>>2];f[g+4>>2]=f[e+4>>2];f[g+8>>2]=f[e+8>>2];qa=b[$>>0]|0;ua=f[aa>>2]|0;ta=qa<<24>>24<0;pa=ta?ua:qa&255;if(!pa){xa=oa;ya=na;oa=xa;na=ya;continue}za=f[g>>2]|0;switch(b[(ta?za:g)>>0]|0){case 59:case 35:case 0:{xa=oa;ya=na;oa=xa;na=ya;continue a;break}case 91:{if((pa|0)==5){if(!(Puc(g,0,-1,444406,5)|0)){ya=na;oa=1;na=ya;continue a}Aa=b[$>>0]|0;Ba=f[g>>2]|0;Ca=f[aa>>2]|0}else{Aa=qa;Ba=za;Ca=ua}ua=na+1|0;za=Aa<<24>>24<0;qa=za?Ba:g;pa=za?Ca:Aa&255;za=qa+pa|0;ta=za;Da=qa;b:do if((pa|0)<1)Ea=za;else{Fa=qa;Ga=pa;while(1){Ha=Gfc(Fa,93,Ga)|0;if(!Ha){Ea=za;break b}if((b[Ha>>0]|0)==93){Ea=Ha;break b}Fa=Ha+1|0;Ga=ta-Fa|0;if((Ga|0)<1){Ea=za;break}}}while(0);ta=(Ea|0)==(za|0)?-2:Ea-Da+-1|0;if(ta>>>0>=pa>>>0){ra=39;break a}puc(h,g,1,ta,g);ta=f[ha>>2]|0;do if(ta){qa=ia;Ga=ta;while(1){Fa=f[Ga+16>>2]|0;if((ua|0)<(Fa|0)){Ha=f[Ga>>2]|0;if(!Ha){ra=44;break}else{Ia=Ga;Ja=Ha}}else{if((Fa|0)>(na|0)){ra=48;break}Ka=Ga+4|0;Fa=f[Ka>>2]|0;if(!Fa){ra=47;break}else{Ia=Ka;Ja=Fa}}qa=Ia;Ga=Ja}if((ra|0)==44){ra=0;La=Ga;Ma=Ga;break}else if((ra|0)==47){ra=0;La=Ga;Ma=Ka;break}else if((ra|0)==48){ra=0;La=Ga;Ma=qa;break}}else{La=ha;Ma=ha}while(0);ta=f[Ma>>2]|0;if(!ta){pa=cuc(32)|0;f[pa+16>>2]=ua;Da=pa+24|0;f[Da>>2]=0;f[pa+28>>2]=0;f[pa+20>>2]=Da;f[pa>>2]=0;f[pa+4>>2]=0;f[pa+8>>2]=La;f[Ma>>2]=pa;Da=f[f[ga>>2]>>2]|0;if(!Da)Na=pa;else{f[ga>>2]=Da;Na=f[Ma>>2]|0}jI(f[ia>>2]|0,Na);f[ja>>2]=(f[ja>>2]|0)+1;Oa=pa}else Oa=ta;ta=Oa+20|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;b[ka>>0]=4;f[i>>2]=1701869940;b[la>>0]=0;pa=HIa(ta,e,i)|0;Da=f[pa>>2]|0;if(!Da){za=cuc(40)|0;Fa=za+16|0;f[Fa>>2]=f[i>>2];f[Fa+4>>2]=f[i+4>>2];f[Fa+8>>2]=f[i+8>>2];f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;Fa=za+28|0;f[Fa>>2]=0;f[Fa+4>>2]=0;f[Fa+8>>2]=0;Fa=f[e>>2]|0;f[za>>2]=0;f[za+4>>2]=0;f[za+8>>2]=Fa;f[pa>>2]=za;Fa=f[f[ta>>2]>>2]|0;if(!Fa)Pa=za;else{f[ta>>2]=Fa;Pa=f[pa>>2]|0}jI(f[Oa+24>>2]|0,Pa);pa=Oa+28|0;f[pa>>2]=(f[pa>>2]|0)+1;Qa=za}else Qa=Da;ruc(Qa+28|0,h)|0;if((b[ka>>0]|0)<0)fuc(f[i>>2]|0);if((b[ma>>0]|0)<0)fuc(f[h>>2]|0);na=ua;oa=0;continue a;break}default:{}}Da=Nuc(g,61,0)|0;za=b[$>>0]|0;if(Da>>>0>=(za<<24>>24<0?f[aa>>2]|0:za&255)>>>0){ra=63;break}puc(e,g,0,Da,g);za=Da+1|0;Da=b[$>>0]|0;puc(h,g,za,(Da<<24>>24<0?f[aa>>2]|0:Da&255)-za|0,g);f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;za=b[ba>>0]|0;Da=f[ca>>2]|0;if(!((za<<24>>24<0?Da:za&255)|0))Ra=za;else{pa=0;Fa=Da;Da=za;while(1){za=b[(Da<<24>>24<0?f[e>>2]|0:e)+pa>>0]|0;if((za+-33&255)<90){Euc(i,za);Sa=b[ba>>0]|0;Ta=f[ca>>2]|0}else{Sa=Da;Ta=Fa}pa=pa+1|0;if(pa>>>0>=(Sa<<24>>24<0?Ta:Sa&255)>>>0){Ra=Sa;break}else{Fa=Ta;Da=Sa}}}if(Ra<<24>>24<0){b[f[e>>2]>>0]=0;f[ca>>2]=0}else{b[e>>0]=0;b[ba>>0]=0}vuc(e,0);f[e>>2]=f[i>>2];f[e+4>>2]=f[i+4>>2];f[e+8>>2]=f[i+8>>2];Da=b[da>>0]|0;Fa=f[ea>>2]|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;if(!((Da<<24>>24<0?Fa:Da&255)|0))Ua=Da;else{pa=0;ua=Fa;Fa=Da;while(1){Da=b[(Fa<<24>>24<0?f[h>>2]|0:h)+pa>>0]|0;if((Da+-33&255)<90){Euc(i,Da);Va=b[da>>0]|0;Wa=f[ea>>2]|0}else{Va=Fa;Wa=ua}pa=pa+1|0;if(pa>>>0>=(Va<<24>>24<0?Wa:Va&255)>>>0){Ua=Va;break}else{ua=Wa;Fa=Va}}}if(Ua<<24>>24<0){b[f[h>>2]>>0]=0;f[ea>>2]=0}else{b[h>>0]=0;b[da>>0]=0}vuc(h,0);f[h>>2]=f[i>>2];f[h+4>>2]=f[i+4>>2];f[h+8>>2]=f[i+8>>2];Fa=b[ba>>0]|0;ua=b[da>>0]|0;pa=ua<<24>>24<0;if(!((Fa<<24>>24<0?f[ca>>2]|0:Fa&255)|0)){if(pa){fuc(f[h>>2]|0);Xa=b[ba>>0]|0}else Xa=Fa;if(Xa<<24>>24<0)fuc(f[e>>2]|0);xa=oa;ya=na;oa=xa;na=ya;continue}if(!((pa?f[ea>>2]|0:ua&255)|0)){if(pa){fuc(f[h>>2]|0);Ya=b[ba>>0]|0}else Ya=Fa;if(Ya<<24>>24<0)fuc(f[e>>2]|0);xa=oa;ya=na;oa=xa;na=ya;continue}if(oa)ruc(EIa(fa,e)|0,h)|0;else{Fa=f[ha>>2]|0;do if(Fa){pa=ia;ua=Fa;while(1){Da=f[ua+16>>2]|0;if((na|0)<(Da|0)){za=f[ua>>2]|0;if(!za){ra=86;break}else{Za=ua;_a=za}}else{if((Da|0)>=(na|0)){ra=90;break}$a=ua+4|0;Da=f[$a>>2]|0;if(!Da){ra=89;break}else{Za=$a;_a=Da}}pa=Za;ua=_a}if((ra|0)==86){ra=0;ab=ua;bb=ua;break}else if((ra|0)==89){ra=0;ab=ua;bb=$a;break}else if((ra|0)==90){ra=0;ab=ua;bb=pa;break}}else{ab=ha;bb=ha}while(0);Fa=f[bb>>2]|0;if(!Fa){qa=cuc(32)|0;f[qa+16>>2]=na;Ga=qa+24|0;f[Ga>>2]=0;f[qa+28>>2]=0;f[qa+20>>2]=Ga;f[qa>>2]=0;f[qa+4>>2]=0;f[qa+8>>2]=ab;f[bb>>2]=qa;Ga=f[f[ga>>2]>>2]|0;if(!Ga)cb=qa;else{f[ga>>2]=Ga;cb=f[bb>>2]|0}jI(f[ia>>2]|0,cb);f[ja>>2]=(f[ja>>2]|0)+1;db=qa}else db=Fa;ruc(EIa(db+20|0,e)|0,h)|0}if((b[da>>0]|0)<0)fuc(f[h>>2]|0);if((b[ba>>0]|0)<0)fuc(f[e>>2]|0);xa=oa;ya=na;oa=xa;na=ya}if((ra|0)==3){if((b[$>>0]|0)<0)fuc(f[g>>2]|0);$=(f[ja>>2]|0)+-1|0;ya=f[ha>>2]|0;do if(ya){na=ia;xa=ya;while(1){oa=f[xa+16>>2]|0;if(($|0)<(oa|0)){ba=f[xa>>2]|0;if(!ba){ra=9;break}else{eb=xa;fb=ba}}else{if((oa|0)>=($|0)){ra=13;break}gb=xa+4|0;oa=f[gb>>2]|0;if(!oa){ra=12;break}else{eb=gb;fb=oa}}na=eb;xa=fb}if((ra|0)==9){hb=xa;ib=xa;break}else if((ra|0)==12){hb=xa;ib=gb;break}else if((ra|0)==13){hb=xa;ib=na;break}}else{hb=ha;ib=ha}while(0);gb=f[ib>>2]|0;if(!gb){fb=cuc(32)|0;f[fb+16>>2]=$;$=fb+24|0;f[$>>2]=0;f[fb+28>>2]=0;f[fb+20>>2]=$;f[fb>>2]=0;f[fb+4>>2]=0;f[fb+8>>2]=hb;f[ib>>2]=fb;hb=f[f[ga>>2]>>2]|0;if(!hb)jb=fb;else{f[ga>>2]=hb;jb=f[ib>>2]|0}jI(f[ia>>2]|0,jb);f[ja>>2]=(f[ja>>2]|0)+1;kb=fb}else kb=gb;gb=kb+20|0;f[h+8>>2]=0;fb=h+11|0;b[fb>>0]=7;b[h>>0]=b[457777]|0;b[h+1>>0]=b[457778]|0;b[h+2>>0]=b[457779]|0;b[h+3>>0]=b[457780]|0;b[h+4>>0]=b[457781]|0;b[h+5>>0]=b[457782]|0;b[h+6>>0]=b[457783]|0;b[h+7>>0]=0;jb=HIa(gb,e,h)|0;ia=f[jb>>2]|0;if(!ia){ib=cuc(40)|0;hb=ib+16|0;f[hb>>2]=f[h>>2];f[hb+4>>2]=f[h+4>>2];f[hb+8>>2]=f[h+8>>2];f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;hb=ib+28|0;f[hb>>2]=0;f[hb+4>>2]=0;f[hb+8>>2]=0;hb=f[e>>2]|0;f[ib>>2]=0;f[ib+4>>2]=0;f[ib+8>>2]=hb;f[jb>>2]=ib;hb=f[f[gb>>2]>>2]|0;if(!hb)lb=ib;else{f[gb>>2]=hb;lb=f[jb>>2]|0}jI(f[kb+24>>2]|0,lb);lb=kb+28|0;f[lb>>2]=(f[lb>>2]|0)+1;mb=ib}else mb=ia;ouc(g,mb+28|0);if((b[fb>>0]|0)<0)fuc(f[h>>2]|0);wib(h,g);f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;fb=j+11|0;b[fb>>0]=5;b[j>>0]=b[461828]|0;b[j+1>>0]=b[461829]|0;b[j+2>>0]=b[461830]|0;b[j+3>>0]=b[461831]|0;b[j+4>>0]=b[461832]|0;b[j+5>>0]=0;mb=xib(fa,j,416)|0;f[c>>2]=mb;if((b[fb>>0]|0)<0)fuc(f[j>>2]|0);f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;j=k+11|0;b[j>>0]=6;b[k>>0]=b[461834]|0;b[k+1>>0]=b[461835]|0;b[k+2>>0]=b[461836]|0;b[k+3>>0]=b[461837]|0;b[k+4>>0]=b[461838]|0;b[k+5>>0]=b[461839]|0;b[k+6>>0]=0;fb=xib(fa,k,416)|0;mb=c+4|0;f[mb>>2]=fb;if((b[j>>0]|0)<0)fuc(f[k>>2]|0);f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;k=l+11|0;b[k>>0]=8;j=l;f[j>>2]=1851877475;f[j+4>>2]=1936483694;b[l+8>>0]=0;j=xib(fa,l,3)|0;fa=c+8|0;f[fa>>2]=j;if((b[k>>0]|0)<0)fuc(f[l>>2]|0);if((f[c>>2]|0)<=0){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;nb=cuc(64)|0;f[e>>2]=nb;ob=e+8|0;f[ob>>2]=-2147483584;pb=e+4|0;f[pb>>2]=54;qb=nb;rb=444576;sb=qb+54|0;do{b[qb>>0]=b[rb>>0]|0;qb=qb+1|0;rb=rb+1|0}while((qb|0)<(sb|0));tb=nb+54|0;b[tb>>0]=0;WD(-215,e,444442,444467,528)}if((f[mb>>2]|0)<=0){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;nb=cuc(64)|0;f[e>>2]=nb;ob=e+8|0;f[ob>>2]=-2147483584;pb=e+4|0;f[pb>>2]=54;qb=nb;rb=444576;sb=qb+54|0;do{b[qb>>0]=b[rb>>0]|0;qb=qb+1|0;rb=rb+1|0}while((qb|0)<(sb|0));tb=nb+54|0;b[tb>>0]=0;WD(-215,e,444442,444467,528)}mb=f[fa>>2]|0;if((mb|0)<=0){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;nb=cuc(64)|0;f[e>>2]=nb;ob=e+8|0;f[ob>>2]=-2147483584;pb=e+4|0;f[pb>>2]=54;qb=nb;rb=444576;sb=qb+54|0;do{b[qb>>0]=b[rb>>0]|0;qb=qb+1|0;rb=rb+1|0}while((qb|0)<(sb|0));tb=nb+54|0;b[tb>>0]=0;WD(-215,e,444442,444467,528)}tb=c+24|0;nb=f[ja>>2]|0;ja=c+28|0;pb=f[ja>>2]|0;ob=f[tb>>2]|0;fa=pb-ob>>2;l=ob;ob=pb;if(nb>>>0<=fa>>>0){if(nb>>>0<fa>>>0?(pb=l+(nb<<2)|0,(ob|0)!=(pb|0)):0)f[ja>>2]=ob+(~((ob+-4-pb|0)>>>2)<<2)}else OJ(tb,nb-fa|0);f[i>>2]=c;f[i+4>>2]=0;c=i+8|0;ouc(c,899416);f[i+20>>2]=0;fa=i+24|0;f[fa>>2]=0;f[i+28>>2]=0;nb=f[ga>>2]|0;c:do if((nb|0)!=(ha|0)){ga=n+11|0;pb=n+4|0;ob=m+11|0;ja=m+4|0;l=o+11|0;k=o+4|0;j=p+11|0;fb=p+3|0;ia=q+11|0;ib=q+6|0;lb=r+11|0;kb=r+7|0;jb=s+11|0;hb=s+10|0;gb=t+11|0;$=t+6|0;eb=v+8|0;ya=v+4|0;oa=v+11|0;ba=e+11|0;da=e+4|0;db=w+11|0;cb=w+7|0;bb=x+11|0;ab=x+4|0;$a=y+11|0;_a=y+6|0;Za=z+11|0;Ya=z+3|0;ea=A+11|0;Xa=A+6|0;ca=B+11|0;Ua=B+6|0;Va=C+11|0;Wa=e+11|0;Ra=e+4|0;Sa=n+4|0;Ta=D+11|0;aa=D+6|0;ma=E+11|0;ka=E+6|0;Qa=F+11|0;Oa=F+6|0;Pa=G+11|0;la=G+7|0;Na=H+11|0;Ma=H+3|0;La=I+11|0;Ka=I+8|0;Ja=J+11|0;Ia=J+7|0;Ea=K+11|0;Aa=K+4|0;Ca=L+11|0;Ba=e+11|0;sa=e+4|0;va=M+11|0;wa=M+7|0;a=N+11|0;Fa=e+11|0;qa=e+4|0;Ga=n+4|0;Da=P+11|0;za=P+4|0;ta=Q+11|0;Ha=e+11|0;ub=e+4|0;vb=R+11|0;wb=R+6|0;xb=S+11|0;yb=S+7|0;zb=T+11|0;Ab=T+3|0;Bb=U+11|0;Cb=U+7|0;Db=V+11|0;Eb=e+11|0;Fb=e+4|0;Gb=W+11|0;Hb=W+4|0;Ib=X+11|0;Jb=O+11|0;Kb=O+4|0;Lb=n+4|0;Mb=Z+4|0;Nb=p+4|0;Ob=r+8|0;Pb=w+8|0;Qb=z+4|0;Rb=G+8|0;Sb=H+4|0;Tb=J+8|0;Ub=M+8|0;Vb=S+8|0;Wb=T+4|0;Xb=U+8|0;Yb=mb;Zb=-1;_b=nb;d:while(1){Zb=Zb+1|0;$b=_b+20|0;f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;b[ga>>0]=4;f[n>>2]=1701869940;b[pb>>0]=0;ac=HIa($b,e,n)|0;bc=f[ac>>2]|0;if(!bc){cc=cuc(40)|0;dc=cc+16|0;f[dc>>2]=f[n>>2];f[dc+4>>2]=f[n+4>>2];f[dc+8>>2]=f[n+8>>2];f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;dc=cc+28|0;f[dc>>2]=0;f[dc+4>>2]=0;f[dc+8>>2]=0;dc=f[e>>2]|0;f[cc>>2]=0;f[cc+4>>2]=0;f[cc+8>>2]=dc;f[ac>>2]=cc;dc=f[f[$b>>2]>>2]|0;if(!dc)ec=cc;else{f[$b>>2]=dc;ec=f[ac>>2]|0}jI(f[_b+24>>2]|0,ec);ac=_b+28|0;f[ac>>2]=(f[ac>>2]|0)+1;fc=cc}else fc=bc;ouc(m,fc+28|0);if((b[ga>>0]|0)<0)fuc(f[n>>2]|0);bc=b[ob>>0]|0;cc=f[ja>>2]|0;do if(((bc<<24>>24<0?cc:bc&255)|0)==13){if(Puc(m,0,-1,444631,13)|0){gc=b[ob>>0]|0;hc=f[ja>>2]|0;ra=188;break};f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;b[l>>0]=4;f[o>>2]=1702521203;b[k>>0]=0;ac=xib($b,o,-1)|0;if((b[l>>0]|0)<0)fuc(f[o>>2]|0);dc=Nb;f[dc>>2]=0;f[dc+4>>2]=0;b[j>>0]=3;b[p>>0]=b[467025]|0;b[p+1>>0]=b[467026]|0;b[p+2>>0]=b[467027]|0;b[fb>>0]=0;dc=xib($b,p,0)|0;if((b[j>>0]|0)<0)fuc(f[p>>2]|0);f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;b[ia>>0]=6;b[q>>0]=b[467029]|0;b[q+1>>0]=b[467030]|0;b[q+2>>0]=b[467031]|0;b[q+3>>0]=b[467032]|0;b[q+4>>0]=b[467033]|0;b[q+5>>0]=b[467034]|0;b[ib>>0]=0;ic=xib($b,q,1)|0;if((b[ia>>0]|0)<0)fuc(f[q>>2]|0);f[Ob>>2]=0;b[lb>>0]=7;b[r>>0]=b[444645]|0;b[r+1>>0]=b[444646]|0;b[r+2>>0]=b[444647]|0;b[r+3>>0]=b[444648]|0;b[r+4>>0]=b[444649]|0;b[r+5>>0]=b[444650]|0;b[r+6>>0]=b[444651]|0;b[kb>>0]=0;jc=xib($b,r,-1)|0;if((b[lb>>0]|0)<0)fuc(f[r>>2]|0);b[jb>>0]=10;qb=s;rb=444653;sb=qb+10|0;do{b[qb>>0]=b[rb>>0]|0;qb=qb+1|0;rb=rb+1|0}while((qb|0)<(sb|0));b[hb>>0]=0;f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;b[gb>>0]=6;b[t>>0]=b[444664]|0;b[t+1>>0]=b[444665]|0;b[t+2>>0]=b[444666]|0;b[t+3>>0]=b[444667]|0;b[t+4>>0]=b[444668]|0;b[t+5>>0]=b[444669]|0;b[$>>0]=0;yib(e,$b,s,t);if((b[gb>>0]|0)<0)fuc(f[t>>2]|0);if((b[jb>>0]|0)<0)fuc(f[s>>2]|0);f[v>>2]=0;f[v+4>>2]=0;f[v+8>>2]=0;kc=cuc(16)|0;f[v>>2]=kc;f[eb>>2]=-2147483632;f[ya>>2]=15;qb=kc;rb=444671;sb=qb+15|0;do{b[qb>>0]=b[rb>>0]|0;qb=qb+1|0;rb=rb+1|0}while((qb|0)<(sb|0));b[kc+15>>0]=0;lc=(xib($b,v,0)|0)==1;if((b[oa>>0]|0)<0)fuc(f[v>>2]|0);mc=b[ba>>0]|0;nc=f[da>>2]|0;do if(((mc<<24>>24<0?nc:mc&255)|0)==6){if(!(Puc(e,0,-1,444664,6)|0))break;oc=b[ba>>0]|0;pc=f[da>>2]|0;ra=172}else{oc=mc;pc=nc;ra=172}while(0);if((ra|0)==172){ra=0;if(((oc<<24>>24<0?pc:oc&255)|0)!=5){ra=174;break d}if(Puc(e,0,-1,444687,5)|0){ra=174;break d}}f[Pb>>2]=0;b[db>>0]=7;b[w>>0]=b[444718]|0;b[w+1>>0]=b[444719]|0;b[w+2>>0]=b[444720]|0;b[w+3>>0]=b[444721]|0;b[w+4>>0]=b[444722]|0;b[w+5>>0]=b[444723]|0;b[w+6>>0]=b[444724]|0;b[cb>>0]=0;nc=xib($b,w,0)|0;if((b[db>>0]|0)<0)fuc(f[w>>2]|0);if((nc|0)==1){ra=178;break d}if(!((ac|0)>0&(jc|0)>0)){ra=180;break d}if((Yb|0)<=0){ra=182;break d}nc=b[ba>>0]|0;if(((nc<<24>>24<0?f[da>>2]|0:nc&255)|0)==5)qc=(Puc(e,0,-1,444687,5)|0)==0;else qc=0;zib(i,ac,(ac|0)<3?0:dc,ic,jc,Yb,lc&1,qc&1);if((b[ba>>0]|0)<0)fuc(f[e>>2]|0);rc=jc}else{gc=bc;hc=cc;ra=188}while(0);e:do if((ra|0)==188){ra=0;do if(((gc<<24>>24<0?hc:gc&255)|0)==7){if(Puc(m,0,-1,444833,7)|0){sc=b[ob>>0]|0;tc=f[ja>>2]|0;break};f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;b[bb>>0]=4;f[x>>2]=1702521203;b[ab>>0]=0;cc=xib($b,x,2)|0;if((b[bb>>0]|0)<0)fuc(f[x>>2]|0);f[y>>2]=0;f[y+4>>2]=0;f[y+8>>2]=0;b[$a>>0]=6;b[y>>0]=b[467029]|0;b[y+1>>0]=b[467030]|0;b[y+2>>0]=b[467031]|0;b[y+3>>0]=b[467032]|0;b[y+4>>0]=b[467033]|0;b[y+5>>0]=b[467034]|0;b[_a>>0]=0;bc=xib($b,y,2)|0;if((b[$a>>0]|0)<0)fuc(f[y>>2]|0);pa=Qb;f[pa>>2]=0;f[pa+4>>2]=0;b[Za>>0]=3;b[z>>0]=b[467025]|0;b[z+1>>0]=b[467026]|0;b[z+2>>0]=b[467027]|0;b[Ya>>0]=0;pa=xib($b,z,0)|0;if((b[Za>>0]|0)<0)fuc(f[z>>2]|0);Aib(i,cc,pa,bc);rc=Yb;break e}else{sc=gc;tc=hc}while(0);do if(((sc<<24>>24<0?tc:sc&255)|0)==7)if(!(Puc(m,0,-1,444841,7)|0)){Bib(i);rc=Yb;break e}else{uc=b[ob>>0]|0;vc=f[ja>>2]|0;break}else{uc=sc;vc=tc}while(0);do if(((uc<<24>>24<0?vc:uc&255)|0)==7){if(Puc(m,0,-1,457785,7)|0){wc=b[ob>>0]|0;xc=f[ja>>2]|0;break};f[A>>2]=0;f[A+4>>2]=0;f[A+8>>2]=0;b[ea>>0]=6;b[A>>0]=b[444849]|0;b[A+1>>0]=b[444850]|0;b[A+2>>0]=b[444851]|0;b[A+3>>0]=b[444852]|0;b[A+4>>0]=b[444853]|0;b[A+5>>0]=b[444854]|0;b[Xa>>0]=0;jc=xib($b,A,1)|0;if((b[ea>>0]|0)<0)fuc(f[A>>2]|0);if((jc|0)!=1){ra=208;break d}Cib(i);rc=Yb;break e}else{wc=uc;xc=vc}while(0);do if(((wc<<24>>24<0?xc:wc&255)|0)==5){if(Puc(m,0,-1,444894,5)|0){yc=b[ob>>0]|0;zc=f[ja>>2]|0;break};f[B>>2]=0;f[B+4>>2]=0;f[B+8>>2]=0;b[ca>>0]=6;b[B>>0]=b[444900]|0;b[B+1>>0]=b[444901]|0;b[B+2>>0]=b[444902]|0;b[B+3>>0]=b[444903]|0;b[B+4>>0]=b[444904]|0;b[B+5>>0]=b[444905]|0;b[Ua>>0]=0;f[C>>2]=0;f[C+4>>2]=0;f[C+8>>2]=0;yib(e,$b,B,C);if((b[Va>>0]|0)<0)fuc(f[C>>2]|0);if((b[ca>>0]|0)<0)fuc(f[B>>2]|0);jc=b[Wa>>0]|0;if(!((jc<<24>>24<0?f[Ra>>2]|0:jc&255)|0)){ra=218;break d}Dib(n,e);jc=f[n>>2]|0;lc=(f[Sa>>2]|0)-jc>>2;ic=jc;do if(!lc){Ac=0;Bc=0;ra=224}else{jc=f[tb>>2]|0;dc=0;ac=0;do{bc=ic+(dc<<2)|0;pa=f[bc>>2]|0;cc=((pa|0)>0?0:Zb)+pa|0;f[bc>>2]=cc;ac=(f[jc+(cc<<2)>>2]|0)+ac|0;dc=dc+1|0}while(dc>>>0<lc>>>0);if((lc|0)!=1){Ac=ac;Bc=lc;ra=224;break}Eib(i,f[ic>>2]|0);Cc=ac}while(0);if((ra|0)==224){ra=0;Fib(i,Bc,ic);Cc=Ac}lc=f[n>>2]|0;if(lc|0){dc=f[Sa>>2]|0;if((dc|0)!=(lc|0))f[Sa>>2]=dc+(~((dc+-4-lc|0)>>>2)<<2);fuc(lc)}if((b[Wa>>0]|0)<0)fuc(f[e>>2]|0);rc=Cc;break e}else{yc=wc;zc=xc}while(0);do if(((yc<<24>>24<0?zc:yc&255)|0)==5){if(Puc(m,0,-1,444930,5)|0){Dc=b[ob>>0]|0;Ec=f[ja>>2]|0;break};f[D>>2]=0;f[D+4>>2]=0;f[D+8>>2]=0;b[Ta>>0]=6;b[D>>0]=b[467029]|0;b[D+1>>0]=b[467030]|0;b[D+2>>0]=b[467031]|0;b[D+3>>0]=b[467032]|0;b[D+4>>0]=b[467033]|0;b[D+5>>0]=b[467034]|0;b[aa>>0]=0;lc=xib($b,D,2)|0;if((b[Ta>>0]|0)<0)fuc(f[D>>2]|0);Gib(i,lc);rc=Y(Y(lc,Yb)|0,lc)|0;break e}else{Dc=yc;Ec=zc}while(0);do if(((Dc<<24>>24<0?Ec:Dc&255)|0)==6){if(Puc(m,0,-1,444936,6)|0){Fc=b[ob>>0]|0;Gc=f[ja>>2]|0;break};f[E>>2]=0;f[E+4>>2]=0;f[E+8>>2]=0;b[ma>>0]=6;b[E>>0]=b[457755]|0;b[E+1>>0]=b[457756]|0;b[E+2>>0]=b[457757]|0;b[E+3>>0]=b[457758]|0;b[E+4>>0]=b[457759]|0;b[E+5>>0]=b[457760]|0;b[ka>>0]=0;Hc=+Hib($b,E,1.0000000474974513e-03);if((b[ma>>0]|0)<0)fuc(f[E>>2]|0);f[F>>2]=0;f[F+4>>2]=0;f[F+8>>2]=0;b[Qa>>0]=6;b[F>>0]=b[457762]|0;b[F+1>>0]=b[457763]|0;b[F+2>>0]=b[457764]|0;b[F+3>>0]=b[457765]|0;b[F+4>>0]=b[457766]|0;b[F+5>>0]=b[457767]|0;b[Oa>>0]=0;lc=xib($b,F,4)|0;if((b[Qa>>0]|0)<0)fuc(f[F>>2]|0);f[Rb>>2]=0;b[Pa>>0]=7;b[G>>0]=b[457769]|0;b[G+1>>0]=b[457770]|0;b[G+2>>0]=b[457771]|0;b[G+3>>0]=b[457772]|0;b[G+4>>0]=b[457773]|0;b[G+5>>0]=b[457774]|0;b[G+6>>0]=b[457775]|0;b[la>>0]=0;dc=xib($b,G,-1)|0;if((b[Pa>>0]|0)<0)fuc(f[G>>2]|0);jc=Sb;f[jc>>2]=0;f[jc+4>>2]=0;b[Na>>0]=3;b[H>>0]=b[444943]|0;b[H+1>>0]=b[444944]|0;b[H+2>>0]=b[444945]|0;b[Ma>>0]=0;jc=xib($b,H,-1)|0;if((b[Na>>0]|0)<0)fuc(f[H>>2]|0);f[I>>2]=0;f[I+4>>2]=0;f[I+8>>2]=0;b[La>>0]=8;cc=I;f[cc>>2]=1935764579;f[cc+4>>2]=2020173427;b[Ka>>0]=0;cc=xib($b,I,0)|0;if((b[La>>0]|0)<0)fuc(f[I>>2]|0);f[Tb>>2]=0;b[Ja>>0]=7;b[J>>0]=b[457785]|0;b[J+1>>0]=b[457786]|0;b[J+2>>0]=b[457787]|0;b[J+3>>0]=b[457788]|0;b[J+4>>0]=b[457789]|0;b[J+5>>0]=b[457790]|0;b[J+6>>0]=b[457791]|0;b[Ia>>0]=0;bc=(xib($b,J,0)|0)==1;if((b[Ja>>0]|0)<0)fuc(f[J>>2]|0);f[K>>2]=0;f[K+4>>2]=0;f[K+8>>2]=0;b[Ea>>0]=4;f[K>>2]=1701147252;b[Aa>>0]=0;f[L>>2]=0;f[L+4>>2]=0;f[L+8>>2]=0;yib(e,$b,K,L);pa=b[Ba>>0]|0;ua=pa<<24>>24<0;nc=((ua?f[sa>>2]|0:pa&255)|0)!=0;if(ua)fuc(f[e>>2]|0);if((b[Ca>>0]|0)<0)fuc(f[L>>2]|0);if((b[Ea>>0]|0)<0)fuc(f[K>>2]|0);f[Ub>>2]=0;b[va>>0]=7;b[M>>0]=b[457777]|0;b[M+1>>0]=b[457778]|0;b[M+2>>0]=b[457779]|0;b[M+3>>0]=b[457780]|0;b[M+4>>0]=b[457781]|0;b[M+5>>0]=b[457782]|0;b[M+6>>0]=b[457783]|0;b[wa>>0]=0;f[N>>2]=0;f[N+4>>2]=0;f[N+8>>2]=0;yib(e,$b,M,N);if((b[a>>0]|0)<0)fuc(f[N>>2]|0);if((b[va>>0]|0)<0)fuc(f[M>>2]|0);ua=b[Fa>>0]|0;if(!((ua<<24>>24<0?f[qa>>2]|0:ua&255)|0)){ra=264;break d}wib(n,e);if(!((dc|0)>0&(jc|0)>0)){ra=267;break d}if((jc<<1|0)!=((f[Ga>>2]|0)-(f[n>>2]|0)>>2|0)){ra=267;break d}Iib(i,0);Jib(i,Hc,lc,dc,jc,cc,bc&1,nc&1,f[n>>2]|0);nc=f[n>>2]|0;if(nc|0){bc=f[Ga>>2]|0;if((bc|0)!=(nc|0))f[Ga>>2]=bc+(~((bc+-4-nc|0)>>>2)<<2);fuc(nc)}if((b[Fa>>0]|0)<0)fuc(f[e>>2]|0);rc=Yb;break e}else{Fc=Dc;Gc=Ec}while(0);do if(((Fc<<24>>24<0?Gc:Fc&255)|0)==8){if(Puc(m,0,-1,445051,8)|0){Ic=b[ob>>0]|0;Jc=f[ja>>2]|0;break};f[P>>2]=0;f[P+4>>2]=0;f[P+8>>2]=0;b[Da>>0]=4;f[P>>2]=1836020326;b[za>>0]=0;f[Q>>2]=0;f[Q+4>>2]=0;f[Q+8>>2]=0;yib(e,$b,P,Q);if((b[ta>>0]|0)<0)fuc(f[Q>>2]|0);if((b[Da>>0]|0)<0)fuc(f[P>>2]|0);nc=b[Ha>>0]|0;bc=nc<<24>>24<0;if(!((bc?f[ub>>2]|0:nc&255)|0)){ra=283;break d}nc=(phc(bc?f[e>>2]|0:e)|0)+Zb|0;bc=f[(f[tb>>2]|0)+(nc<<2)>>2]|0;Kib(i,nc);if((b[Ha>>0]|0)<0)fuc(f[e>>2]|0);rc=bc;break e}else{Ic=Fc;Jc=Gc}while(0);do if(((Ic<<24>>24<0?Jc:Ic&255)|0)==8){if(Puc(m,0,-1,445082,8)|0){Kc=b[ob>>0]|0;Lc=f[ja>>2]|0;break};f[R>>2]=0;f[R+4>>2]=0;f[R+8>>2]=0;b[vb>>0]=6;b[R>>0]=b[467029]|0;b[R+1>>0]=b[467030]|0;b[R+2>>0]=b[467031]|0;b[R+3>>0]=b[467032]|0;b[R+4>>0]=b[467033]|0;b[R+5>>0]=b[467034]|0;b[wb>>0]=0;bc=xib($b,R,1)|0;if((b[vb>>0]|0)<0)fuc(f[R>>2]|0);Lib(i,bc);rc=Yb;break e}else{Kc=Ic;Lc=Jc}while(0);if(((Kc<<24>>24<0?Lc:Kc&255)|0)!=4){ra=327;break d}if(Puc(m,0,-1,445091,4)|0){ra=327;break d}f[Vb>>2]=0;b[xb>>0]=7;b[S>>0]=b[457769]|0;b[S+1>>0]=b[457770]|0;b[S+2>>0]=b[457771]|0;b[S+3>>0]=b[457772]|0;b[S+4>>0]=b[457773]|0;b[S+5>>0]=b[457774]|0;b[S+6>>0]=b[457775]|0;b[yb>>0]=0;bc=xib($b,S,-1)|0;if((b[xb>>0]|0)<0)fuc(f[S>>2]|0);nc=Wb;f[nc>>2]=0;f[nc+4>>2]=0;b[zb>>0]=3;b[T>>0]=b[444943]|0;b[T+1>>0]=b[444944]|0;b[T+2>>0]=b[444945]|0;b[Ab>>0]=0;nc=xib($b,T,-1)|0;if((b[zb>>0]|0)<0)fuc(f[T>>2]|0);f[Xb>>2]=0;b[Bb>>0]=7;b[U>>0]=b[457777]|0;b[U+1>>0]=b[457778]|0;b[U+2>>0]=b[457779]|0;b[U+3>>0]=b[457780]|0;b[U+4>>0]=b[457781]|0;b[U+5>>0]=b[457782]|0;b[U+6>>0]=b[457783]|0;b[Cb>>0]=0;f[V>>2]=0;f[V+4>>2]=0;f[V+8>>2]=0;yib(e,$b,U,V);if((b[Db>>0]|0)<0)fuc(f[V>>2]|0);if((b[Bb>>0]|0)<0)fuc(f[U>>2]|0);cc=b[Eb>>0]|0;if(!((cc<<24>>24<0?f[Fb>>2]|0:cc&255)|0)){ra=304;break d}wib(n,e);f[W>>2]=0;f[W+4>>2]=0;f[W+8>>2]=0;b[Gb>>0]=4;f[W>>2]=1802723693;b[Hb>>0]=0;f[X>>2]=0;f[X+4>>2]=0;f[X+8>>2]=0;yib(O,$b,W,X);if((b[Ib>>0]|0)<0)fuc(f[X>>2]|0);if((b[Gb>>0]|0)<0)fuc(f[W>>2]|0);cc=b[Jb>>0]|0;if(!((cc<<24>>24<0?f[Kb>>2]|0:cc&255)|0)){ra=310;break d}Dib(Z,O);if(!((bc|0)>0&(nc|0)>0)){ra=313;break d}if((nc<<1|0)!=((f[Lb>>2]|0)-(f[n>>2]|0)>>2|0)){ra=313;break d}Iib(i,0);Mib(i,bc,Z,n);bc=f[Z>>2]|0;if(bc|0){nc=f[Mb>>2]|0;if((nc|0)!=(bc|0))f[Mb>>2]=nc+(~((nc+-4-bc|0)>>>2)<<2);fuc(bc)}if((b[Jb>>0]|0)<0)fuc(f[O>>2]|0);bc=f[n>>2]|0;if(bc|0){nc=f[Lb>>2]|0;if((nc|0)!=(bc|0))f[Lb>>2]=nc+(~((nc+-4-bc|0)>>>2)<<2);fuc(bc)}if((b[Eb>>0]|0)<0)fuc(f[e>>2]|0);rc=Yb}while(0);f[(f[tb>>2]|0)+(Zb<<2)>>2]=rc;if((b[ob>>0]|0)<0)fuc(f[m>>2]|0);$b=f[_b+4>>2]|0;do if(!$b){bc=_b+8|0;nc=f[bc>>2]|0;if((f[nc>>2]|0)==(_b|0)){Mc=nc;break}else Nc=bc;do{bc=f[Nc>>2]|0;Nc=bc+8|0;nc=f[Nc>>2]|0}while((f[nc>>2]|0)!=(bc|0));Mc=nc}else{nc=$b;while(1){bc=f[nc>>2]|0;if(!bc)break;else nc=bc}Mc=nc}while(0);if((Mc|0)==(ha|0)){ra=130;break}else{Yb=rc;_b=Mc}}switch(ra|0){case 130:{_b=i+20|0;Yb=f[_b>>2]|0;if(!Yb)break c;ob=f[fa>>2]|0;if((ob|0)==(Yb|0))Oc=Yb;else{Zb=ob;while(1){ob=Zb+-12|0;f[fa>>2]=ob;if((b[ob+11>>0]|0)<0){fuc(f[ob>>2]|0);Pc=f[fa>>2]|0}else Pc=ob;if((Pc|0)==(Yb|0))break;else Zb=Pc}Oc=f[_b>>2]|0}fuc(Oc);break c;break}case 174:{nEa(n,444693,e);WD(-212,n,444442,444467,552);break}case 178:{f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;Zb=cuc(64)|0;f[n>>2]=Zb;f[n+8>>2]=-2147483584;f[n+4>>2]=54;qb=Zb;rb=444726;sb=qb+54|0;do{b[qb>>0]=b[rb>>0]|0;qb=qb+1|0;rb=rb+1|0}while((qb|0)<(sb|0));b[Zb+54>>0]=0;WD(-213,n,444442,444467,555);break}case 180:{f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;_b=cuc(32)|0;f[n>>2]=_b;f[n+8>>2]=-2147483616;f[n+4>>2]=30;qb=_b;rb=444781;sb=qb+30|0;do{b[qb>>0]=b[rb>>0]|0;qb=qb+1|0;rb=rb+1|0}while((qb|0)<(sb|0));b[_b+30>>0]=0;WD(-215,n,444442,444467,560);break}case 182:{f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;Zb=cuc(32)|0;f[n>>2]=Zb;f[n+8>>2]=-2147483616;f[n+4>>2]=20;qb=Zb;rb=444812;sb=qb+20|0;do{b[qb>>0]=b[rb>>0]|0;qb=qb+1|0;rb=rb+1|0}while((qb|0)<(sb|0));b[Zb+20>>0]=0;WD(-215,n,444442,444467,561);break}case 208:{f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;_b=cuc(48)|0;f[e>>2]=_b;f[e+8>>2]=-2147483600;f[e+4>>2]=37;qb=_b;rb=444856;sb=qb+37|0;do{b[qb>>0]=b[rb>>0]|0;qb=qb+1|0;rb=rb+1|0}while((qb|0)<(sb|0));b[_b+37>>0]=0;WD(-213,e,444442,444467,583);break}case 218:{f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;Zb=cuc(32)|0;f[n>>2]=Zb;f[n+8>>2]=-2147483616;f[n+4>>2]=22;qb=Zb;rb=444907;sb=qb+22|0;do{b[qb>>0]=b[rb>>0]|0;qb=qb+1|0;rb=rb+1|0}while((qb|0)<(sb|0));b[Zb+22>>0]=0;WD(-215,n,444442,444467,589);break}case 264:{f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;_b=cuc(32)|0;f[n>>2]=_b;f[n+8>>2]=-2147483616;f[n+4>>2]=23;qb=_b;rb=444947;sb=qb+23|0;do{b[qb>>0]=b[rb>>0]|0;qb=qb+1|0;rb=rb+1|0}while((qb|0)<(sb|0));b[_b+23>>0]=0;WD(-215,n,444442,444467,621);break}case 267:{f[O>>2]=0;f[O+4>>2]=0;f[O+8>>2]=0;Zb=cuc(80)|0;f[O>>2]=Zb;f[O+8>>2]=-2147483568;f[O+4>>2]=79;qb=Zb;rb=444971;sb=qb+79|0;do{b[qb>>0]=b[rb>>0]|0;qb=qb+1|0;rb=rb+1|0}while((qb|0)<(sb|0));b[Zb+79>>0]=0;WD(-215,O,444442,444467,624);break}case 283:{f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;_b=cuc(32)|0;f[n>>2]=_b;f[n+8>>2]=-2147483616;f[n+4>>2]=21;qb=_b;rb=445060;sb=qb+21|0;do{b[qb>>0]=b[rb>>0]|0;qb=qb+1|0;rb=rb+1|0}while((qb|0)<(sb|0));b[_b+21>>0]=0;WD(-215,n,444442,444467,632);break}case 304:{f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;Zb=cuc(32)|0;f[n>>2]=Zb;f[n+8>>2]=-2147483616;f[n+4>>2]=23;qb=Zb;rb=444947;sb=qb+23|0;do{b[qb>>0]=b[rb>>0]|0;qb=qb+1|0;rb=rb+1|0}while((qb|0)<(sb|0));b[Zb+23>>0]=0;WD(-215,n,444442,444467,651);break}case 310:{f[Z>>2]=0;f[Z+4>>2]=0;f[Z+8>>2]=0;_b=cuc(32)|0;f[Z>>2]=_b;f[Z+8>>2]=-2147483616;f[Z+4>>2]=20;qb=_b;rb=445096;sb=qb+20|0;do{b[qb>>0]=b[rb>>0]|0;qb=qb+1|0;rb=rb+1|0}while((qb|0)<(sb|0));b[_b+20>>0]=0;WD(-215,Z,444442,444467,655);break}case 313:{f[_>>2]=0;f[_+4>>2]=0;f[_+8>>2]=0;Zb=cuc(80)|0;f[_>>2]=Zb;f[_+8>>2]=-2147483568;f[_+4>>2]=79;qb=Zb;rb=444971;sb=qb+79|0;do{b[qb>>0]=b[rb>>0]|0;qb=qb+1|0;rb=rb+1|0}while((qb|0)<(sb|0));b[Zb+79>>0]=0;WD(-215,_,444442,444467,658);break}case 327:{nEa(e,445117,m);WD(-212,e,444442,444467,664);break}}}while(0);if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);c=f[h>>2]|0;if(c|0){m=h+4|0;h=f[m>>2]|0;if((h|0)!=(c|0))f[m>>2]=h+(~((h+-4-c|0)>>>2)<<2);fuc(c)}if((b[g+11>>0]|0)>=0){u=d;return 1}fuc(f[g>>2]|0);u=d;return 1}else if((ra|0)==39){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;d=cuc(32)|0;f[e>>2]=d;f[e+8>>2]=-2147483616;f[e+4>>2]=29;qb=d;rb=444412;sb=qb+29|0;do{b[qb>>0]=b[rb>>0]|0;qb=qb+1|0;rb=rb+1|0}while((qb|0)<(sb|0));b[d+29>>0]=0;WD(-215,e,444442,444467,499)}else if((ra|0)==63){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;ra=cuc(32)|0;f[e>>2]=ra;f[e+8>>2]=-2147483616;f[e+4>>2]=29;qb=ra;rb=444546;sb=qb+29|0;do{b[qb>>0]=b[rb>>0]|0;qb=qb+1|0;rb=rb+1|0}while((qb|0)<(sb|0));b[ra+29>>0]=0;WD(-215,e,444442,444467,507)}return 0}function vib(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=u;u=u+16|0;g=e;ikc(g,a,1);if(!(b[g>>0]|0)){u=e;return a|0}g=c+11|0;if((b[g>>0]|0)<0){b[f[c>>2]>>0]=0;i=c+4|0;f[i>>2]=0;j=i}else{b[c>>0]=0;b[g>>0]=0;j=c+4|0}i=0;while(1){k=f[a+(f[(f[a>>2]|0)+-12>>2]|0)+24>>2]|0;l=k+12|0;m=f[l>>2]|0;if((m|0)==(f[k+16>>2]|0)){n=di[f[(f[k>>2]|0)+40>>2]&1023](k)|0;if((n|0)==-1){o=i;p=2;break}else q=n}else{f[l>>2]=m+1;q=h[m>>0]|0}m=i+1|0;l=q&255;if(l<<24>>24==d<<24>>24){o=m;p=0;break}Euc(c,l);if((b[g>>0]|0)<0&(f[j>>2]|0)==-17){o=m;p=4;break}else i=m}i=a+(f[(f[a>>2]|0)+-12>>2]|0)|0;akc(i,f[i+16>>2]|((o|0)==0?p|4:p));u=e;return a|0}function wib(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;d=u;u=u+320|0;e=d+168|0;g=d+152|0;h=d+8|0;i=d;f[a>>2]=0;j=a+4|0;f[j>>2]=0;f[a+8>>2]=0;k=e+64|0;l=e+8|0;f[l>>2]=35368;m=e+12|0;f[e>>2]=10468;f[k>>2]=10488;f[e+4>>2]=0;bkc(e+64|0,m);f[e+136>>2]=0;f[e+140>>2]=-1;f[e>>2]=35348;f[k>>2]=35388;f[l>>2]=35368;gkc(m);f[m>>2]=35404;l=e+44|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;f[e+60>>2]=24;$D(m,c);f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;c=h+64|0;n=h+8|0;o=h+12|0;p=h+4|0;q=h+64|0;r=h+136|0;s=h+140|0;t=h+44|0;v=h+60|0;w=a+8|0;x=h+8|0;y=t+11|0;while(1){z=vib(e,g,44)|0;if(f[z+(f[(f[z>>2]|0)+-12>>2]|0)+16>>2]&5|0)break;f[n>>2]=35368;f[h>>2]=10468;f[c>>2]=10488;f[p>>2]=0;bkc(q,o);f[r>>2]=0;f[s>>2]=-1;f[h>>2]=35348;f[c>>2]=35388;f[n>>2]=35368;gkc(o);f[o>>2]=35404;f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;f[t+12>>2]=0;f[v>>2]=24;$D(o,g);okc(h,i)|0;z=f[j>>2]|0;if((z|0)==(f[w>>2]|0))us(a,i);else{f[z>>2]=f[i>>2];f[j>>2]=z+4}f[h>>2]=35348;f[c>>2]=35388;f[x>>2]=35368;f[o>>2]=35404;if((b[y>>0]|0)<0)fuc(f[t>>2]|0);Ric(o);Zjc(h,35464);Mic(c)}if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);f[e>>2]=35348;f[k>>2]=35388;f[e+8>>2]=35368;f[m>>2]=35404;if((b[l+11>>0]|0)>=0){Ric(m);Zjc(e,35464);Mic(k);u=d;return}fuc(f[l>>2]|0);Ric(m);Zjc(e,35464);Mic(k);u=d;return}function xib(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0;e=u;u=u+160|0;g=e;h=e+8|0;f[g>>2]=d;i=Rib(a,c)|0;if((i|0)==(a+4|0)){j=d;u=e;return j|0}d=h+64|0;a=h+8|0;f[a>>2]=35368;c=h+12|0;f[h>>2]=10468;f[d>>2]=10488;f[h+4>>2]=0;bkc(h+64|0,c);f[h+136>>2]=0;f[h+140>>2]=-1;f[h>>2]=35348;f[d>>2]=35388;f[a>>2]=35368;gkc(c);f[c>>2]=35404;a=h+44|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;f[h+60>>2]=24;$D(c,i+28|0);mkc(h,g)|0;f[h>>2]=35348;f[d>>2]=35388;f[h+8>>2]=35368;f[c>>2]=35404;if((b[a+11>>0]|0)<0)fuc(f[a>>2]|0);Ric(c);Zjc(h,35464);Mic(d);j=f[g>>2]|0;u=e;return j|0}function yib(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0;g=u;u=u+144|0;h=g;i=Rib(c,d)|0;if((i|0)==(c+4|0)){f[a>>2]=f[e>>2];f[a+4>>2]=f[e+4>>2];f[a+8>>2]=f[e+8>>2];f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;u=g;return}c=h+64|0;d=h+8|0;f[d>>2]=35368;j=h+12|0;f[h>>2]=10468;f[c>>2]=10488;f[h+4>>2]=0;bkc(h+64|0,j);f[h+136>>2]=0;f[h+140>>2]=-1;f[h>>2]=35348;f[c>>2]=35388;f[d>>2]=35368;gkc(j);f[j>>2]=35404;d=h+44|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;f[h+60>>2]=24;$D(j,i+28|0);Y$(h,e)|0;f[h>>2]=35348;f[c>>2]=35388;f[h+8>>2]=35368;f[j>>2]=35404;if((b[d+11>>0]|0)<0)fuc(f[d>>2]|0);Ric(j);Zjc(h,35464);Mic(c);f[a>>2]=f[e>>2];f[a+4>>2]=f[e+4>>2];f[a+8>>2]=f[e+8>>2];f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;u=g;return}function zib(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;h=u;u=u+336|0;k=h+16|0;l=h+324|0;m=h+8|0;o=h;p=h+320|0;q=h+272|0;r=h+224|0;s=h+136|0;t=h+124|0;v=h+40|0;w=h+28|0;Sib(r,a,c,d,e,g);f[s+40>>2]=0;f[s+44>>2]=0;g=s+40|0;e=s+36|0;d=s;c=d+36|0;do{f[d>>2]=0;d=d+4|0}while((d|0)<(c|0));f[e>>2]=g;d=s+48|0;c=d+36|0;do{f[d>>2]=0;d=d+4|0}while((d|0)<(c|0));g=a+4|0;f[k>>2]=f[g>>2];cE(t,445440,k);e=(i|0)!=0;if(!e){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;i=k+11|0;b[i>>0]=9;d=k;x=466098;c=d+9|0;do{b[d>>0]=b[x>>0]|0;d=d+1|0;x=x+1|0}while((d|0)<(c|0));b[k+9>>0]=0;b[l>>0]=1;zEa(r,k,l)|0;if((b[i>>0]|0)<0)fuc(f[k>>2]|0)}ruc(s,t)|0;i=r+36|0;ruc(s+12|0,i)|0;f[p>>2]=f[r>>2];y=r+4|0;f[q>>2]=y;f[l>>2]=f[p>>2];f[k>>2]=f[q>>2];Nib(s+36|0,l,k);kMa(s+48|0,f[r+12>>2]|0,f[r+16>>2]|0);z=r+24|0;ruc(s+60|0,z)|0;ruc(s+72|0,i)|0;A=a+8|0;B=s+28|0;C=f[B>>2]|0;if((C|0)==(f[s+32>>2]|0))fEa(s+24|0,A);else{ouc(C,A);f[B>>2]=(f[B>>2]|0)+12}ruc(A,t)|0;B=f[a>>2]|0;C=B+16|0;D=f[C>>2]|0;if((D|0)==(f[B+20>>2]|0))Oib(B+12|0,s);else{fKa(D,s);f[C>>2]=(f[C>>2]|0)+84}if(e){f[q+4>>2]=0;f[q+8>>2]=0;e=q+4|0;f[q>>2]=e;C=q+12|0;d=C;c=d+36|0;do{f[d>>2]=0;d=d+4|0}while((d|0)<(c|0));D=q+24|0;wuc(D,445448)|0;B=q+36|0;wuc(B,445463)|0;E=k+11|0;b[E>>0]=10;d=k;x=464450;c=d+10|0;do{b[d>>0]=b[x>>0]|0;d=d+1|0;x=x+1|0}while((d|0)<(c|0));b[k+10>>0]=0;b[l>>0]=1;zEa(q,k,l)|0;if((b[E>>0]|0)<0)fuc(f[k>>2]|0);f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;E=k+11|0;b[E>>0]=8;F=k;f[F>>2]=1601397096;f[F+4>>2]=1935763810;b[k+8>>0]=0;b[l>>0]=1;zEa(q,k,l)|0;if((b[E>>0]|0)<0)fuc(f[k>>2]|0);E=k+4|0;f[E>>2]=0;f[E+4>>2]=0;E=k+11|0;b[E>>0]=3;b[k>>0]=b[465409]|0;b[k+1>>0]=b[465410]|0;b[k+2>>0]=b[465411]|0;b[k+3>>0]=0;n[l>>2]=9.999999974752427e-07;jEa(q,k,l)|0;if((b[E>>0]|0)<0)fuc(f[k>>2]|0);f[v+40>>2]=0;f[v+44>>2]=0;E=v+40|0;F=v+36|0;d=v;c=d+36|0;do{f[d>>2]=0;d=d+4|0}while((d|0)<(c|0));f[F>>2]=E;d=v+48|0;c=d+36|0;do{f[d>>2]=0;d=d+4|0}while((d|0)<(c|0));f[o>>2]=f[g>>2];cE(w,445473,o);ruc(v,w)|0;ruc(v+12|0,B)|0;f[o>>2]=f[q>>2];f[p>>2]=e;f[l>>2]=f[o>>2];f[k>>2]=f[p>>2];Nib(v+36|0,l,k);kMa(v+48|0,f[C>>2]|0,f[q+16>>2]|0);ruc(v+60|0,D)|0;ruc(v+72|0,B)|0;C=v+28|0;o=f[C>>2]|0;if((o|0)==(f[v+32>>2]|0))fEa(v+24|0,A);else{ouc(o,A);f[C>>2]=(f[C>>2]|0)+12}ruc(A,w)|0;C=f[a>>2]|0;o=C+16|0;E=f[o>>2]|0;if((E|0)==(f[C+20>>2]|0))Oib(C+12|0,v);else{fKa(E,v);f[o>>2]=(f[o>>2]|0)+84}if((b[w+11>>0]|0)<0)fuc(f[w>>2]|0);dKa(v);if((b[B+11>>0]|0)<0)fuc(f[B>>2]|0);if((b[D+11>>0]|0)<0)fuc(f[D>>2]|0);ut(q+12|0);lEa(q,f[e>>2]|0)}if(j|0){f[q+4>>2]=0;f[q+8>>2]=0;j=q+4|0;f[q>>2]=j;e=q+12|0;d=e;c=d+36|0;do{f[d>>2]=0;d=d+4|0}while((d|0)<(c|0));f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;D=cuc(16)|0;f[k>>2]=D;f[k+8>>2]=-2147483632;f[k+4>>2]=14;d=D;x=445655;c=d+14|0;do{b[d>>0]=b[x>>0]|0;d=d+1|0;x=x+1|0}while((d|0)<(c|0));b[D+14>>0]=0;n[l>>2]=.10000000149011612;jEa(q,k,l)|0;if((b[k+11>>0]|0)<0)fuc(f[k>>2]|0);D=q+24|0;wuc(D,445479)|0;x=q+36|0;wuc(x,445489)|0;f[v+40>>2]=0;f[v+44>>2]=0;B=v+40|0;o=v+36|0;d=v;c=d+36|0;do{f[d>>2]=0;d=d+4|0}while((d|0)<(c|0));f[o>>2]=B;d=v+48|0;c=d+36|0;do{f[d>>2]=0;d=d+4|0}while((d|0)<(c|0));f[m>>2]=f[g>>2];cE(w,445494,m);ruc(v,w)|0;ruc(v+12|0,x)|0;f[m>>2]=f[q>>2];f[p>>2]=j;f[l>>2]=f[m>>2];f[k>>2]=f[p>>2];Nib(v+36|0,l,k);kMa(v+48|0,f[e>>2]|0,f[q+16>>2]|0);ruc(v+60|0,D)|0;ruc(v+72|0,x)|0;e=v+28|0;k=f[e>>2]|0;if((k|0)==(f[v+32>>2]|0))fEa(v+24|0,A);else{ouc(k,A);f[e>>2]=(f[e>>2]|0)+12}ruc(A,w)|0;e=f[a>>2]|0;k=e+16|0;l=f[k>>2]|0;if((l|0)==(f[e+20>>2]|0))Oib(e+12|0,v);else{fKa(l,v);f[k>>2]=(f[k>>2]|0)+84}if((b[w+11>>0]|0)<0)fuc(f[w>>2]|0);dKa(v);if((b[x+11>>0]|0)<0)fuc(f[x>>2]|0);if((b[D+11>>0]|0)<0)fuc(f[D>>2]|0);ut(q+12|0);lEa(q,f[j>>2]|0)}f[g>>2]=(f[g>>2]|0)+1;g=a+24|0;j=f[g>>2]|0;if((j|0)==(f[a+28>>2]|0))fEa(a+20|0,A);else{ouc(j,A);f[g>>2]=(f[g>>2]|0)+12}if((b[t+11>>0]|0)<0)fuc(f[t>>2]|0);dKa(s);if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0);if((b[z+11>>0]|0)>=0){G=r+12|0;ut(G);H=f[y>>2]|0;lEa(r,H);u=h;return}fuc(f[z>>2]|0);G=r+12|0;ut(G);H=f[y>>2]|0;lEa(r,H);u=h;return}function Aib(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;g=u;u=u+192|0;h=g+16|0;i=g;j=g+172|0;k=g+168|0;l=g+120|0;m=g+32|0;n=g+20|0;f[l+4>>2]=0;f[l+8>>2]=0;o=l+4|0;f[l>>2]=o;p=l+12|0;q=p;r=q+36|0;do{f[q>>2]=0;q=q+4|0}while((q|0)<(r|0));f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;s=i+11|0;b[s>>0]=4;f[i>>2]=1819242352;b[i+4>>0]=0;t=j+4|0;f[t>>2]=0;f[t+4>>2]=0;t=j+11|0;b[t>>0]=3;b[j>>0]=b[463157]|0;b[j+1>>0]=b[463158]|0;b[j+2>>0]=b[463159]|0;b[j+3>>0]=0;vEa(l,i,j)|0;if((b[t>>0]|0)<0)fuc(f[j>>2]|0);if((b[s>>0]|0)<0)fuc(f[i>>2]|0);f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;s=cuc(16)|0;f[i>>2]=s;f[i+8>>2]=-2147483632;f[i+4>>2]=11;q=s;t=466814;r=q+11|0;do{b[q>>0]=b[t>>0]|0;q=q+1|0;t=t+1|0}while((q|0)<(r|0));b[s+11>>0]=0;f[j>>2]=c;xEa(l,i,j)|0;if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0);c=i+4|0;f[c>>2]=0;f[c+4>>2]=0;c=i+11|0;b[c>>0]=3;b[i>>0]=b[467025]|0;b[i+1>>0]=b[467026]|0;b[i+2>>0]=b[467027]|0;b[i+3>>0]=0;f[j>>2]=d;xEa(l,i,j)|0;if((b[c>>0]|0)<0)fuc(f[i>>2]|0);f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;c=i+11|0;b[c>>0]=6;b[i>>0]=b[467029]|0;b[i+1>>0]=b[467030]|0;b[i+2>>0]=b[467031]|0;b[i+3>>0]=b[467032]|0;b[i+4>>0]=b[467033]|0;b[i+5>>0]=b[467034]|0;b[i+6>>0]=0;f[j>>2]=e;xEa(l,i,j)|0;if((b[c>>0]|0)<0)fuc(f[i>>2]|0);f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;c=i+11|0;b[c>>0]=8;e=i;f[e>>2]=1600414064;f[e+4>>2]=1701080941;b[i+8>>0]=0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;e=j+11|0;b[e>>0]=4;f[j>>2]=1162690899;b[j+4>>0]=0;vEa(l,i,j)|0;if((b[e>>0]|0)<0)fuc(f[j>>2]|0);if((b[c>>0]|0)<0)fuc(f[i>>2]|0);c=l+24|0;wuc(c,445400)|0;e=l+36|0;wuc(e,445413)|0;f[m+40>>2]=0;f[m+44>>2]=0;d=m+40|0;s=m+36|0;q=m;r=q+36|0;do{f[q>>2]=0;q=q+4|0}while((q|0)<(r|0));f[s>>2]=d;q=m+48|0;r=q+36|0;do{f[q>>2]=0;q=q+4|0}while((q|0)<(r|0));q=a+4|0;f[h>>2]=f[q>>2];cE(n,445432,h);ruc(m,n)|0;ruc(m+12|0,e)|0;f[j>>2]=f[l>>2];f[k>>2]=o;f[i>>2]=f[j>>2];f[h>>2]=f[k>>2];Nib(m+36|0,i,h);kMa(m+48|0,f[p>>2]|0,f[l+16>>2]|0);ruc(m+60|0,c)|0;ruc(m+72|0,e)|0;p=a+8|0;h=m+28|0;i=f[h>>2]|0;if((i|0)==(f[m+32>>2]|0))fEa(m+24|0,p);else{ouc(i,p);f[h>>2]=(f[h>>2]|0)+12}ruc(p,n)|0;h=f[a>>2]|0;i=h+16|0;k=f[i>>2]|0;if((k|0)==(f[h+20>>2]|0))Oib(h+12|0,m);else{fKa(k,m);f[i>>2]=(f[i>>2]|0)+84}f[q>>2]=(f[q>>2]|0)+1;q=a+24|0;i=f[q>>2]|0;if((i|0)==(f[a+28>>2]|0))fEa(a+20|0,p);else{ouc(i,p);f[q>>2]=(f[q>>2]|0)+12}if((b[n+11>>0]|0)<0)fuc(f[n>>2]|0);dKa(m);if((b[e+11>>0]|0)<0)fuc(f[e>>2]|0);if((b[c+11>>0]|0)>=0){v=l+12|0;ut(v);w=f[o>>2]|0;lEa(l,w);u=g;return}fuc(f[c>>2]|0);v=l+12|0;ut(v);w=f[o>>2]|0;lEa(l,w);u=g;return}function Bib(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;c=u;u=u+192|0;d=c;e=c+168|0;g=c+156|0;h=c+152|0;i=c+104|0;j=c+16|0;k=c+4|0;f[i+4>>2]=0;f[i+8>>2]=0;l=i+4|0;f[i>>2]=l;m=i+12|0;n=m;o=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(o|0));f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;p=e+11|0;b[p>>0]=4;f[e>>2]=1819242352;b[e+4>>0]=0;q=g+4|0;f[q>>2]=0;f[q+4>>2]=0;q=g+11|0;b[q>>0]=3;b[g>>0]=b[463161]|0;b[g+1>>0]=b[463162]|0;b[g+2>>0]=b[463163]|0;b[g+3>>0]=0;vEa(i,e,g)|0;if((b[q>>0]|0)<0)fuc(f[g>>2]|0);if((b[p>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;p=cuc(16)|0;f[e>>2]=p;f[e+8>>2]=-2147483632;f[e+4>>2]=14;n=p;q=467135;o=n+14|0;do{b[n>>0]=b[q>>0]|0;n=n+1|0;q=q+1|0}while((n|0)<(o|0));b[p+14>>0]=0;b[g>>0]=1;zEa(i,e,g)|0;if((b[e+11>>0]|0)<0)fuc(f[e>>2]|0);p=i+24|0;wuc(p,445400)|0;q=i+36|0;wuc(q,445413)|0;f[j+40>>2]=0;f[j+44>>2]=0;r=j+40|0;s=j+36|0;n=j;o=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(o|0));f[s>>2]=r;n=j+48|0;o=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(o|0));n=a+4|0;f[d>>2]=f[n>>2];cE(k,445421,d);ruc(j,k)|0;ruc(j+12|0,q)|0;f[g>>2]=f[i>>2];f[h>>2]=l;f[e>>2]=f[g>>2];f[d>>2]=f[h>>2];Nib(j+36|0,e,d);kMa(j+48|0,f[m>>2]|0,f[i+16>>2]|0);ruc(j+60|0,p)|0;ruc(j+72|0,q)|0;m=a+8|0;d=j+28|0;e=f[d>>2]|0;if((e|0)==(f[j+32>>2]|0))fEa(j+24|0,m);else{ouc(e,m);f[d>>2]=(f[d>>2]|0)+12}ruc(m,k)|0;d=f[a>>2]|0;e=d+16|0;h=f[e>>2]|0;if((h|0)==(f[d+20>>2]|0))Oib(d+12|0,j);else{fKa(h,j);f[e>>2]=(f[e>>2]|0)+84}f[n>>2]=(f[n>>2]|0)+1;n=a+24|0;e=f[n>>2]|0;if((e|0)==(f[a+28>>2]|0))fEa(a+20|0,m);else{ouc(e,m);f[n>>2]=(f[n>>2]|0)+12}if((b[k+11>>0]|0)<0)fuc(f[k>>2]|0);dKa(j);if((b[q+11>>0]|0)<0)fuc(f[q>>2]|0);if((b[p+11>>0]|0)>=0){t=i+12|0;ut(t);v=f[l>>2]|0;lEa(i,v);u=c;return}fuc(f[p>>2]|0);t=i+12|0;ut(t);v=f[l>>2]|0;lEa(i,v);u=c;return}function Cib(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;c=u;u=u+176|0;d=c;e=c+160|0;g=c+156|0;h=c+152|0;i=c+104|0;j=c+16|0;k=c+4|0;f[i+4>>2]=0;f[i+8>>2]=0;l=i+4|0;f[i>>2]=l;m=i+12|0;n=m;o=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(o|0));p=i+24|0;wuc(p,445368)|0;q=i+36|0;wuc(q,445381)|0;f[j+40>>2]=0;f[j+44>>2]=0;r=j+40|0;s=j+36|0;n=j;o=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(o|0));f[s>>2]=r;n=j+48|0;o=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(o|0));n=a+4|0;f[d>>2]=f[n>>2];cE(k,445389,d);ruc(j,k)|0;ruc(j+12|0,q)|0;f[g>>2]=f[i>>2];f[h>>2]=l;f[e>>2]=f[g>>2];f[d>>2]=f[h>>2];Nib(j+36|0,e,d);kMa(j+48|0,f[m>>2]|0,f[i+16>>2]|0);ruc(j+60|0,p)|0;ruc(j+72|0,q)|0;m=a+8|0;d=j+28|0;e=f[d>>2]|0;if((e|0)==(f[j+32>>2]|0))fEa(j+24|0,m);else{ouc(e,m);f[d>>2]=(f[d>>2]|0)+12}ruc(m,k)|0;d=f[a>>2]|0;e=d+16|0;h=f[e>>2]|0;if((h|0)==(f[d+20>>2]|0))Oib(d+12|0,j);else{fKa(h,j);f[e>>2]=(f[e>>2]|0)+84}f[n>>2]=(f[n>>2]|0)+1;n=a+24|0;e=f[n>>2]|0;if((e|0)==(f[a+28>>2]|0))fEa(a+20|0,m);else{ouc(e,m);f[n>>2]=(f[n>>2]|0)+12}if((b[k+11>>0]|0)<0)fuc(f[k>>2]|0);dKa(j);if((b[q+11>>0]|0)<0)fuc(f[q>>2]|0);if((b[p+11>>0]|0)>=0){t=i+12|0;ut(t);v=f[l>>2]|0;lEa(i,v);u=c;return}fuc(f[p>>2]|0);t=i+12|0;ut(t);v=f[l>>2]|0;lEa(i,v);u=c;return}function Dib(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;d=u;u=u+320|0;e=d+168|0;g=d+152|0;h=d+8|0;i=d;f[a>>2]=0;j=a+4|0;f[j>>2]=0;f[a+8>>2]=0;k=e+64|0;l=e+8|0;f[l>>2]=35368;m=e+12|0;f[e>>2]=10468;f[k>>2]=10488;f[e+4>>2]=0;bkc(e+64|0,m);f[e+136>>2]=0;f[e+140>>2]=-1;f[e>>2]=35348;f[k>>2]=35388;f[l>>2]=35368;gkc(m);f[m>>2]=35404;l=e+44|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;f[e+60>>2]=24;$D(m,c);f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;c=h+64|0;n=h+8|0;o=h+12|0;p=h+4|0;q=h+64|0;r=h+136|0;s=h+140|0;t=h+44|0;v=h+60|0;w=a+8|0;x=h+8|0;y=t+11|0;while(1){z=vib(e,g,44)|0;if(f[z+(f[(f[z>>2]|0)+-12>>2]|0)+16>>2]&5|0)break;f[n>>2]=35368;f[h>>2]=10468;f[c>>2]=10488;f[p>>2]=0;bkc(q,o);f[r>>2]=0;f[s>>2]=-1;f[h>>2]=35348;f[c>>2]=35388;f[n>>2]=35368;gkc(o);f[o>>2]=35404;f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;f[t+12>>2]=0;f[v>>2]=24;$D(o,g);mkc(h,i)|0;z=f[j>>2]|0;if((z|0)==(f[w>>2]|0))es(a,i);else{f[z>>2]=f[i>>2];f[j>>2]=z+4}f[h>>2]=35348;f[c>>2]=35388;f[x>>2]=35368;f[o>>2]=35404;if((b[y>>0]|0)<0)fuc(f[t>>2]|0);Ric(o);Zjc(h,35464);Mic(c)}if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);f[e>>2]=35348;f[k>>2]=35388;f[e+8>>2]=35368;f[m>>2]=35404;if((b[l+11>>0]|0)>=0){Ric(m);Zjc(e,35464);Mic(k);u=d;return}fuc(f[l>>2]|0);Ric(m);Zjc(e,35464);Mic(k);u=d;return}function Eib(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;d=u;u=u+176|0;e=d;g=d+160|0;h=d+156|0;i=d+152|0;j=d+104|0;k=d+16|0;l=d+4|0;f[j+4>>2]=0;f[j+8>>2]=0;m=j+4|0;f[j>>2]=m;n=j+12|0;o=n;p=o+36|0;do{f[o>>2]=0;o=o+4|0}while((o|0)<(p|0));q=j+24|0;wuc(q,445333)|0;r=j+36|0;wuc(r,445347)|0;f[k+40>>2]=0;f[k+44>>2]=0;s=k+40|0;t=k+36|0;o=k;p=o+36|0;do{f[o>>2]=0;o=o+4|0}while((o|0)<(p|0));f[t>>2]=s;o=k+48|0;p=o+36|0;do{f[o>>2]=0;o=o+4|0}while((o|0)<(p|0));o=a+4|0;f[e>>2]=f[o>>2];cE(l,445356,e);ruc(k,l)|0;ruc(k+12|0,r)|0;f[h>>2]=f[j>>2];f[i>>2]=m;f[g>>2]=f[h>>2];f[e>>2]=f[i>>2];Nib(k+36|0,g,e);kMa(k+48|0,f[n>>2]|0,f[j+16>>2]|0);ruc(k+60|0,q)|0;ruc(k+72|0,r)|0;n=a+20|0;e=a+24|0;g=f[n>>2]|0;if((((f[e>>2]|0)-g|0)/12|0)>>>0<=c>>>0)osc(n);i=g+(c*12|0)|0;c=k+28|0;g=f[c>>2]|0;if((g|0)==(f[k+32>>2]|0))fEa(k+24|0,i);else{ouc(g,i);f[c>>2]=(f[c>>2]|0)+12}c=a+8|0;ruc(c,l)|0;i=f[a>>2]|0;g=i+16|0;h=f[g>>2]|0;if((h|0)==(f[i+20>>2]|0))Oib(i+12|0,k);else{fKa(h,k);f[g>>2]=(f[g>>2]|0)+84}f[o>>2]=(f[o>>2]|0)+1;o=f[e>>2]|0;if((o|0)==(f[a+28>>2]|0))fEa(n,c);else{ouc(o,c);f[e>>2]=(f[e>>2]|0)+12}if((b[l+11>>0]|0)<0)fuc(f[l>>2]|0);dKa(k);if((b[r+11>>0]|0)<0)fuc(f[r>>2]|0);if((b[q+11>>0]|0)>=0){v=j+12|0;ut(v);w=f[m>>2]|0;lEa(j,w);u=d;return}fuc(f[q>>2]|0);v=j+12|0;ut(v);w=f[m>>2]|0;lEa(j,w);u=d;return}function Fib(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;e=u;u=u+176|0;g=e;h=e+160|0;i=e+156|0;j=e+152|0;k=e+104|0;l=e+16|0;m=e+4|0;f[k+4>>2]=0;f[k+8>>2]=0;n=k+4|0;f[k>>2]=n;o=k+12|0;p=o;q=p+36|0;do{f[p>>2]=0;p=p+4|0}while((p|0)<(q|0));r=k+24|0;wuc(r,445304)|0;s=k+36|0;wuc(s,445316)|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;t=h+11|0;b[t>>0]=4;f[h>>2]=1936291937;b[h+4>>0]=0;f[i>>2]=1;xEa(k,h,i)|0;if((b[t>>0]|0)<0)fuc(f[h>>2]|0);f[l+40>>2]=0;f[l+44>>2]=0;t=l+40|0;v=l+36|0;p=l;q=p+36|0;do{f[p>>2]=0;p=p+4|0}while((p|0)<(q|0));f[v>>2]=t;p=l+48|0;q=p+36|0;do{f[p>>2]=0;p=p+4|0}while((p|0)<(q|0));p=a+4|0;f[g>>2]=f[p>>2];cE(m,445323,g);ruc(l,m)|0;ruc(l+12|0,s)|0;f[i>>2]=f[k>>2];f[j>>2]=n;f[h>>2]=f[i>>2];f[g>>2]=f[j>>2];Nib(l+36|0,h,g);kMa(l+48|0,f[o>>2]|0,f[k+16>>2]|0);ruc(l+60|0,r)|0;ruc(l+72|0,s)|0;a:do if((c|0)>0){o=a+20|0;g=a+24|0;h=l+28|0;j=l+32|0;i=l+24|0;q=0;while(1){t=f[d+(q<<2)>>2]|0;v=f[o>>2]|0;if((((f[g>>2]|0)-v|0)/12|0)>>>0<=t>>>0)break;w=v+(t*12|0)|0;t=f[h>>2]|0;if((t|0)==(f[j>>2]|0))fEa(i,w);else{ouc(t,w);f[h>>2]=(f[h>>2]|0)+12}q=q+1|0;if((q|0)>=(c|0))break a}osc(o)}while(0);c=a+8|0;ruc(c,m)|0;d=f[a>>2]|0;q=d+16|0;h=f[q>>2]|0;if((h|0)==(f[d+20>>2]|0))Oib(d+12|0,l);else{fKa(h,l);f[q>>2]=(f[q>>2]|0)+84}f[p>>2]=(f[p>>2]|0)+1;p=a+24|0;q=f[p>>2]|0;if((q|0)==(f[a+28>>2]|0))fEa(a+20|0,c);else{ouc(q,c);f[p>>2]=(f[p>>2]|0)+12}if((b[m+11>>0]|0)<0)fuc(f[m>>2]|0);dKa(l);if((b[s+11>>0]|0)<0)fuc(f[s>>2]|0);if((b[r+11>>0]|0)>=0){x=k+12|0;ut(x);y=f[n>>2]|0;lEa(k,y);u=e;return}fuc(f[r>>2]|0);x=k+12|0;ut(x);y=f[n>>2]|0;lEa(k,y);u=e;return}function Gib(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;d=u;u=u+176|0;e=d;g=d+164|0;h=d+160|0;i=d+152|0;j=d+156|0;k=d+104|0;l=d+16|0;m=d+4|0;f[j>>2]=c;f[k+4>>2]=0;f[k+8>>2]=0;c=k+4|0;f[k>>2]=c;n=k+12|0;o=n;p=o+36|0;do{f[o>>2]=0;o=o+4|0}while((o|0)<(p|0));q=k+24|0;wuc(q,445278)|0;r=k+36|0;wuc(r,445289)|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;s=cuc(16)|0;f[g>>2]=s;f[g+8>>2]=-2147483632;f[g+4>>2]=12;o=s;t=459589;p=o+12|0;do{b[o>>0]=b[t>>0]|0;o=o+1|0;t=t+1|0}while((o|0)<(p|0));b[s+12>>0]=0;xEa(k,g,j)|0;if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);f[l+40>>2]=0;f[l+44>>2]=0;j=l+40|0;s=l+36|0;o=l;p=o+36|0;do{f[o>>2]=0;o=o+4|0}while((o|0)<(p|0));f[s>>2]=j;o=l+48|0;p=o+36|0;do{f[o>>2]=0;o=o+4|0}while((o|0)<(p|0));o=a+4|0;f[e>>2]=f[o>>2];cE(m,445295,e);ruc(l,m)|0;ruc(l+12|0,r)|0;f[h>>2]=f[k>>2];f[i>>2]=c;f[g>>2]=f[h>>2];f[e>>2]=f[i>>2];Nib(l+36|0,g,e);kMa(l+48|0,f[n>>2]|0,f[k+16>>2]|0);ruc(l+60|0,q)|0;ruc(l+72|0,r)|0;n=a+8|0;e=l+28|0;g=f[e>>2]|0;if((g|0)==(f[l+32>>2]|0))fEa(l+24|0,n);else{ouc(g,n);f[e>>2]=(f[e>>2]|0)+12}ruc(n,m)|0;e=f[a>>2]|0;g=e+16|0;i=f[g>>2]|0;if((i|0)==(f[e+20>>2]|0))Oib(e+12|0,l);else{fKa(i,l);f[g>>2]=(f[g>>2]|0)+84}f[o>>2]=(f[o>>2]|0)+1;o=a+24|0;g=f[o>>2]|0;if((g|0)==(f[a+28>>2]|0))fEa(a+20|0,n);else{ouc(g,n);f[o>>2]=(f[o>>2]|0)+12}if((b[m+11>>0]|0)<0)fuc(f[m>>2]|0);dKa(l);if((b[r+11>>0]|0)<0)fuc(f[r>>2]|0);if((b[q+11>>0]|0)>=0){v=k+12|0;ut(v);w=f[c>>2]|0;lEa(k,w);u=d;return}fuc(f[q>>2]|0);v=k+12|0;ut(v);w=f[c>>2]|0;lEa(k,w);u=d;return}function Hib(a,c,d){a=a|0;c=c|0;d=+d;var e=0,g=0,h=0,i=0,j=0.0,k=0;e=u;u=u+160|0;g=e;h=e+8|0;n[g>>2]=d;i=Rib(a,c)|0;if((i|0)==(a+4|0)){j=d;u=e;return +j}a=h+64|0;c=h+8|0;f[c>>2]=35368;k=h+12|0;f[h>>2]=10468;f[a>>2]=10488;f[h+4>>2]=0;bkc(h+64|0,k);f[h+136>>2]=0;f[h+140>>2]=-1;f[h>>2]=35348;f[a>>2]=35388;f[c>>2]=35368;gkc(k);f[k>>2]=35404;c=h+44|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;f[h+60>>2]=24;$D(k,i+28|0);okc(h,g)|0;f[h>>2]=35348;f[a>>2]=35388;f[h+8>>2]=35368;f[k>>2]=35404;if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);Ric(k);Zjc(h,35464);Mic(a);j=+n[g>>2];u=e;return +j}function Iib(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;d=u;u=u+192|0;e=d;g=d+168|0;h=d+164|0;i=d+160|0;j=d+112|0;k=d+104|0;l=d+16|0;m=d+4|0;f[j+4>>2]=0;f[j+8>>2]=0;n=j+4|0;f[j>>2]=n;o=j+12|0;p=o;q=p+36|0;do{f[p>>2]=0;p=p+4|0}while((p|0)<(q|0));r=j+24|0;wuc(r,445246)|0;s=j+36|0;wuc(s,445259)|0;t=cuc(16)|0;f[t>>2]=t+8;f[t+4>>2]=4;v=euc(32)|0;f[t>>2]=v;f[k>>2]=0;f[k+4>>2]=t;t=v;f[t>>2]=0;f[t+4>>2]=0;t=v+8|0;f[t>>2]=2;f[t+4>>2]=0;t=v+16|0;f[t>>2]=3;f[t+4>>2]=0;t=v+24|0;f[t>>2]=1;f[t+4>>2]=0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;t=g+11|0;b[t>>0]=5;b[g>>0]=b[471004]|0;b[g+1>>0]=b[471005]|0;b[g+2>>0]=b[471006]|0;b[g+3>>0]=b[471007]|0;b[g+4>>0]=b[471008]|0;b[g+5>>0]=0;wEa(j,g,k)|0;if((b[t>>0]|0)<0)fuc(f[g>>2]|0);f[l+40>>2]=0;f[l+44>>2]=0;t=l+40|0;v=l+36|0;p=l;q=p+36|0;do{f[p>>2]=0;p=p+4|0}while((p|0)<(q|0));f[v>>2]=t;p=l+48|0;q=p+36|0;do{f[p>>2]=0;p=p+4|0}while((p|0)<(q|0));p=a+4|0;f[e>>2]=f[p>>2];cE(m,445267,e);ruc(l,m)|0;ruc(l+12|0,s)|0;f[h>>2]=f[j>>2];f[i>>2]=n;f[g>>2]=f[h>>2];f[e>>2]=f[i>>2];Nib(l+36|0,g,e);kMa(l+48|0,f[o>>2]|0,f[j+16>>2]|0);ruc(l+60|0,r)|0;ruc(l+72|0,s)|0;o=a+8|0;e=l+28|0;g=f[e>>2]|0;if((g|0)==(f[l+32>>2]|0))fEa(l+24|0,o);else{ouc(g,o);f[e>>2]=(f[e>>2]|0)+12}ruc(o,m)|0;e=f[a>>2]|0;g=e+16|0;i=f[g>>2]|0;if((i|0)==(f[e+20>>2]|0))Oib(e+12|0,l);else{fKa(i,l);f[g>>2]=(f[g>>2]|0)+84}do if(c){f[p>>2]=(f[p>>2]|0)+1;g=a+24|0;i=f[g>>2]|0;if((i|0)==(f[a+28>>2]|0)){fEa(a+20|0,o);break}else{ouc(i,o);f[g>>2]=(f[g>>2]|0)+12;break}}while(0);if((b[m+11>>0]|0)<0)fuc(f[m>>2]|0);dKa(l);mEa(k);if((b[s+11>>0]|0)<0)fuc(f[s>>2]|0);if((b[r+11>>0]|0)>=0){w=j+12|0;ut(w);x=f[n>>2]|0;lEa(j,x);u=d;return}fuc(f[r>>2]|0);w=j+12|0;ut(w);x=f[n>>2]|0;lEa(j,x);u=d;return}function Jib(a,c,d,e,g,h,i,j,k){a=a|0;c=+c;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;l=u;u=u+304|0;m=l;o=l+248|0;p=l+244|0;q=l+240|0;r=l+236|0;s=l+232|0;t=l+176|0;v=l+172|0;w=l+168|0;x=l+184|0;y=l+112|0;z=l+28|0;A=l+16|0;n[r>>2]=c;f[s>>2]=d;f[t>>2]=e;f[v>>2]=g;f[w>>2]=h;f[x+4>>2]=0;f[x+8>>2]=0;h=x+4|0;f[x>>2]=h;g=x+12|0;e=g;d=e+36|0;do{f[e>>2]=0;e=e+4|0}while((e|0)<(d|0));B=x+24|0;wuc(B,445138)|0;C=x+36|0;wuc(C,445150)|0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;D=m+11|0;b[D>>0]=6;b[m>>0]=b[457755]|0;b[m+1>>0]=b[457756]|0;b[m+2>>0]=b[457757]|0;b[m+3>>0]=b[457758]|0;b[m+4>>0]=b[457759]|0;b[m+5>>0]=b[457760]|0;b[m+6>>0]=0;jEa(x,m,r)|0;if((b[D>>0]|0)<0)fuc(f[m>>2]|0);f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;D=m+11|0;b[D>>0]=6;b[m>>0]=b[457762]|0;b[m+1>>0]=b[457763]|0;b[m+2>>0]=b[457764]|0;b[m+3>>0]=b[457765]|0;b[m+4>>0]=b[457766]|0;b[m+5>>0]=b[457767]|0;b[m+6>>0]=0;xEa(x,m,s)|0;if((b[D>>0]|0)<0)fuc(f[m>>2]|0);f[m+8>>2]=0;D=m+11|0;b[D>>0]=7;b[m>>0]=b[457769]|0;b[m+1>>0]=b[457770]|0;b[m+2>>0]=b[457771]|0;b[m+3>>0]=b[457772]|0;b[m+4>>0]=b[457773]|0;b[m+5>>0]=b[457774]|0;b[m+6>>0]=b[457775]|0;b[m+7>>0]=0;xEa(x,m,t)|0;if((b[D>>0]|0)<0)fuc(f[m>>2]|0);f[m+8>>2]=0;D=m+11|0;b[D>>0]=7;b[m>>0]=b[457777]|0;b[m+1>>0]=b[457778]|0;b[m+2>>0]=b[457779]|0;b[m+3>>0]=b[457780]|0;b[m+4>>0]=b[457781]|0;b[m+5>>0]=b[457782]|0;b[m+6>>0]=b[457783]|0;b[m+7>>0]=0;xEa(x,m,v)|0;if((b[D>>0]|0)<0)fuc(f[m>>2]|0);f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;D=m+11|0;b[D>>0]=8;t=m;f[t>>2]=1935764579;f[t+4>>2]=2020173427;b[m+8>>0]=0;xEa(x,m,w)|0;if((b[D>>0]|0)<0)fuc(f[m>>2]|0);f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;D=cuc(16)|0;f[m>>2]=D;f[m+8>>2]=-2147483632;f[m+4>>2]=12;e=D;w=457876;d=e+12|0;do{b[e>>0]=b[w>>0]|0;e=e+1|0;w=w+1|0}while((e|0)<(d|0));b[D+12>>0]=0;b[o>>0]=(j|0)!=0&1;zEa(x,m,o)|0;if((b[m+11>>0]|0)<0)fuc(f[m>>2]|0);f[m+8>>2]=0;j=m+11|0;b[j>>0]=7;b[m>>0]=b[457785]|0;b[m+1>>0]=b[457786]|0;b[m+2>>0]=b[457787]|0;b[m+3>>0]=b[457788]|0;b[m+4>>0]=b[457789]|0;b[m+5>>0]=b[457790]|0;b[m+6>>0]=b[457791]|0;b[m+7>>0]=0;b[o>>0]=(i|0)!=0&1;zEa(x,m,o)|0;if((b[j>>0]|0)<0)fuc(f[m>>2]|0);j=f[v>>2]|0;f[o>>2]=1124007941;v=o+4|0;f[v>>2]=2;i=o+8|0;f[i>>2]=1;f[o+12>>2]=j<<1;D=o+16|0;f[D>>2]=k;f[o+20>>2]=k;t=o+24|0;s=o+40|0;f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;f[t+12>>2]=0;f[s>>2]=i;i=o+48|0;r=o+44|0;f[r>>2]=i;E=o+52|0;f[E>>2]=0;f[i>>2]=0;if((k|0)==0&(j|0)!=0){F=cuc(32)|0;f[m>>2]=F;f[m+8>>2]=-2147483616;f[m+4>>2]=28;e=F;w=466324;d=e+28|0;do{b[e>>0]=b[w>>0]|0;e=e+1|0;w=w+1|0}while((e|0)<(d|0));b[F+28>>0]=0;WD(-215,m,466353,466357,548)}F=j<<3;f[i>>2]=F;f[E>>2]=4;E=k+F|0;f[o+28>>2]=E;f[t>>2]=E+(0-F)+F;YT(o);f[y>>2]=1124007936;F=y+4|0;E=y+8|0;t=y+40|0;e=F;d=e+36|0;do{f[e>>2]=0;e=e+4|0}while((e|0)<(d|0));f[t>>2]=E;k=y+48|0;j=y+44|0;f[j>>2]=k;f[k>>2]=0;f[y+52>>2]=0;G=m+8|0;f[G>>2]=0;f[G+4>>2]=0;f[m>>2]=33619968;f[m+4>>2]=y;EI(o,m);G=o+36|0;H=f[G>>2]|0;if(H|0?(I=H+12|0,H=f[I>>2]|0,f[I>>2]=H+-1,(H|0)==1):0)aU(o);f[G>>2]=0;f[D>>2]=0;f[D+4>>2]=0;f[D+8>>2]=0;f[D+12>>2]=0;if((f[v>>2]|0)>0){D=f[s>>2]|0;s=0;do{f[D+(s<<2)>>2]=0;s=s+1|0}while((s|0)<(f[v>>2]|0))}v=f[r>>2]|0;if((v|0)!=(i|0))TC(v);v=x+16|0;i=f[v>>2]|0;if((i|0)==(f[x+20>>2]|0))ot(x+12|0,y);else{f[i>>2]=f[y>>2];r=i+4|0;f[r>>2]=f[F>>2];s=i+8|0;f[s>>2]=f[E>>2];f[i+12>>2]=f[y+12>>2];f[i+16>>2]=f[y+16>>2];f[i+20>>2]=f[y+20>>2];f[i+24>>2]=f[y+24>>2];f[i+28>>2]=f[y+28>>2];f[i+32>>2]=f[y+32>>2];E=f[y+36>>2]|0;f[i+36>>2]=E;f[i+40>>2]=s;s=i+48|0;D=i+44|0;f[D>>2]=s;f[s>>2]=0;f[i+52>>2]=0;if(E|0){s=E+12|0;f[s>>2]=(f[s>>2]|0)+1}if((f[F>>2]|0)<3){s=f[j>>2]|0;E=f[D>>2]|0;f[E>>2]=f[s>>2];f[E+4>>2]=f[s+4>>2]}else{f[r>>2]=0;$T(i,y)}f[v>>2]=(f[v>>2]|0)+56}f[z+40>>2]=0;f[z+44>>2]=0;i=z+40|0;r=z+36|0;e=z;d=e+36|0;do{f[e>>2]=0;e=e+4|0}while((e|0)<(d|0));f[r>>2]=i;e=z+48|0;d=e+36|0;do{f[e>>2]=0;e=e+4|0}while((e|0)<(d|0));f[A>>2]=0;f[A+4>>2]=0;f[A+8>>2]=0;i=cuc(16)|0;f[A>>2]=i;f[A+8>>2]=-2147483632;f[A+4>>2]=13;e=i;w=445232;d=e+13|0;do{b[e>>0]=b[w>>0]|0;e=e+1|0;w=w+1|0}while((e|0)<(d|0));b[i+13>>0]=0;ruc(z,A)|0;ruc(z+12|0,C)|0;f[p>>2]=f[x>>2];f[q>>2]=h;f[o>>2]=f[p>>2];f[m>>2]=f[q>>2];Nib(z+36|0,o,m);kMa(z+48|0,f[g>>2]|0,f[v>>2]|0);ruc(z+60|0,B)|0;ruc(z+72|0,C)|0;v=a+8|0;g=z+28|0;m=f[g>>2]|0;if((m|0)==(f[z+32>>2]|0))fEa(z+24|0,v);else{ouc(m,v);f[g>>2]=(f[g>>2]|0)+12}ruc(v,A)|0;g=f[a>>2]|0;m=g+16|0;o=f[m>>2]|0;if((o|0)==(f[g+20>>2]|0))Oib(g+12|0,z);else{fKa(o,z);f[m>>2]=(f[m>>2]|0)+84}m=a+4|0;f[m>>2]=(f[m>>2]|0)+1;m=a+24|0;o=f[m>>2]|0;if((o|0)==(f[a+28>>2]|0))fEa(a+20|0,v);else{ouc(o,v);f[m>>2]=(f[m>>2]|0)+12}if((b[A+11>>0]|0)<0)fuc(f[A>>2]|0);dKa(z);z=y+36|0;A=f[z>>2]|0;if(A|0?(m=A+12|0,A=f[m>>2]|0,f[m>>2]=A+-1,(A|0)==1):0)aU(y);f[z>>2]=0;z=y+16|0;f[z>>2]=0;f[z+4>>2]=0;f[z+8>>2]=0;f[z+12>>2]=0;if((f[F>>2]|0)>0){z=f[t>>2]|0;t=0;do{f[z+(t<<2)>>2]=0;t=t+1|0}while((t|0)<(f[F>>2]|0))}F=f[j>>2]|0;if((F|0)!=(k|0))TC(F);if((b[C+11>>0]|0)<0)fuc(f[C>>2]|0);if((b[B+11>>0]|0)>=0){J=x+12|0;ut(J);K=f[h>>2]|0;lEa(x,K);u=l;return}fuc(f[B>>2]|0);J=x+12|0;ut(J);K=f[h>>2]|0;lEa(x,K);u=l;return}function Kib(a,c){a=a|0;c=c|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;e=u;u=u+192|0;g=e;h=e+168|0;i=e+156|0;j=e+152|0;k=e+104|0;l=e+16|0;m=e+4|0;f[k+4>>2]=0;f[k+8>>2]=0;n=k+4|0;f[k>>2]=n;o=k+12|0;p=o;q=p+36|0;do{f[p>>2]=0;p=p+4|0}while((p|0)<(q|0));r=k+24|0;wuc(r,445198)|0;s=k+36|0;wuc(s,445212)|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;t=h+11|0;b[t>>0]=2;d[h>>1]=28783;b[h+2>>0]=0;v=i+4|0;f[v>>2]=0;f[v+4>>2]=0;v=i+11|0;b[v>>0]=3;b[i>>0]=b[456032]|0;b[i+1>>0]=b[456033]|0;b[i+2>>0]=b[456034]|0;b[i+3>>0]=0;vEa(k,h,i)|0;if((b[v>>0]|0)<0)fuc(f[i>>2]|0);if((b[t>>0]|0)<0)fuc(f[h>>2]|0);f[l+40>>2]=0;f[l+44>>2]=0;t=l+40|0;v=l+36|0;p=l;q=p+36|0;do{f[p>>2]=0;p=p+4|0}while((p|0)<(q|0));f[v>>2]=t;p=l+48|0;q=p+36|0;do{f[p>>2]=0;p=p+4|0}while((p|0)<(q|0));p=a+4|0;f[g>>2]=f[p>>2];cE(m,445220,g);ruc(l,m)|0;ruc(l+12|0,s)|0;f[i>>2]=f[k>>2];f[j>>2]=n;f[h>>2]=f[i>>2];f[g>>2]=f[j>>2];Nib(l+36|0,h,g);kMa(l+48|0,f[o>>2]|0,f[k+16>>2]|0);ruc(l+60|0,r)|0;ruc(l+72|0,s)|0;o=l+24|0;g=a+20|0;h=a+24|0;j=f[g>>2]|0;if((((f[h>>2]|0)-j|0)/12|0)>>>0<=c>>>0)osc(g);i=j+(c*12|0)|0;c=l+28|0;j=f[c>>2]|0;q=l+32|0;if((j|0)==(f[q>>2]|0)){fEa(o,i);w=f[c>>2]|0}else{ouc(j,i);i=(f[c>>2]|0)+12|0;f[c>>2]=i;w=i}i=a+8|0;if((w|0)==(f[q>>2]|0))fEa(o,i);else{ouc(w,i);f[c>>2]=(f[c>>2]|0)+12}ruc(i,m)|0;c=f[a>>2]|0;w=c+16|0;o=f[w>>2]|0;if((o|0)==(f[c+20>>2]|0))Oib(c+12|0,l);else{fKa(o,l);f[w>>2]=(f[w>>2]|0)+84}f[p>>2]=(f[p>>2]|0)+1;p=f[h>>2]|0;if((p|0)==(f[a+28>>2]|0))fEa(g,i);else{ouc(p,i);f[h>>2]=(f[h>>2]|0)+12}if((b[m+11>>0]|0)<0)fuc(f[m>>2]|0);dKa(l);if((b[s+11>>0]|0)<0)fuc(f[s>>2]|0);if((b[r+11>>0]|0)>=0){x=k+12|0;ut(x);y=f[n>>2]|0;lEa(k,y);u=e;return}fuc(f[r>>2]|0);x=k+12|0;ut(x);y=f[n>>2]|0;lEa(k,y);u=e;return}function Lib(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;d=u;u=u+192|0;e=d;g=d+172|0;h=d+160|0;i=d+152|0;j=d+156|0;k=d+104|0;l=d+16|0;m=d+4|0;f[j>>2]=c;f[k+4>>2]=0;f[k+8>>2]=0;c=k+4|0;f[k>>2]=c;n=k+12|0;o=n;p=o+36|0;do{f[o>>2]=0;o=o+4|0}while((o|0)<(p|0));q=k+24|0;wuc(q,445165)|0;r=k+36|0;wuc(r,445179)|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;s=cuc(16)|0;f[g>>2]=s;f[g+8>>2]=-2147483632;f[g+4>>2]=11;o=s;t=453997;p=o+11|0;do{b[o>>0]=b[t>>0]|0;o=o+1|0;t=t+1|0}while((o|0)<(p|0));b[s+11>>0]=0;xEa(k,g,j)|0;if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;j=cuc(16)|0;f[g>>2]=j;f[g+8>>2]=-2147483632;f[g+4>>2]=13;o=j;t=454253;p=o+13|0;do{b[o>>0]=b[t>>0]|0;o=o+1|0;t=t+1|0}while((o|0)<(p|0));b[j+13>>0]=0;f[h+8>>2]=0;j=h+11|0;b[j>>0]=7;b[h>>0]=b[454267]|0;b[h+1>>0]=b[454268]|0;b[h+2>>0]=b[454269]|0;b[h+3>>0]=b[454270]|0;b[h+4>>0]=b[454271]|0;b[h+5>>0]=b[454272]|0;b[h+6>>0]=b[454273]|0;b[h+7>>0]=0;vEa(k,g,h)|0;if((b[j>>0]|0)<0)fuc(f[h>>2]|0);if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);f[l+40>>2]=0;f[l+44>>2]=0;j=l+40|0;t=l+36|0;o=l;p=o+36|0;do{f[o>>2]=0;o=o+4|0}while((o|0)<(p|0));f[t>>2]=j;o=l+48|0;p=o+36|0;do{f[o>>2]=0;o=o+4|0}while((o|0)<(p|0));o=a+4|0;f[e>>2]=f[o>>2];cE(m,445186,e);ruc(l,m)|0;ruc(l+12|0,r)|0;f[h>>2]=f[k>>2];f[i>>2]=c;f[g>>2]=f[h>>2];f[e>>2]=f[i>>2];Nib(l+36|0,g,e);kMa(l+48|0,f[n>>2]|0,f[k+16>>2]|0);ruc(l+60|0,q)|0;ruc(l+72|0,r)|0;n=a+8|0;e=l+28|0;g=f[e>>2]|0;if((g|0)==(f[l+32>>2]|0))fEa(l+24|0,n);else{ouc(g,n);f[e>>2]=(f[e>>2]|0)+12}ruc(n,m)|0;e=f[a>>2]|0;g=e+16|0;i=f[g>>2]|0;if((i|0)==(f[e+20>>2]|0))Oib(e+12|0,l);else{fKa(i,l);f[g>>2]=(f[g>>2]|0)+84}f[o>>2]=(f[o>>2]|0)+1;o=a+24|0;g=f[o>>2]|0;if((g|0)==(f[a+28>>2]|0))fEa(a+20|0,n);else{ouc(g,n);f[o>>2]=(f[o>>2]|0)+12}if((b[m+11>>0]|0)<0)fuc(f[m>>2]|0);dKa(l);if((b[r+11>>0]|0)<0)fuc(f[r>>2]|0);if((b[q+11>>0]|0)>=0){v=k+12|0;ut(v);w=f[c>>2]|0;lEa(k,w);u=d;return}fuc(f[q>>2]|0);v=k+12|0;ut(v);w=f[c>>2]|0;lEa(k,w);u=d;return}function Mib(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;g=u;u=u+304|0;h=g+16|0;i=g;j=g+248|0;k=g+240|0;l=g+244|0;m=g+192|0;n=g+188|0;o=g+176|0;p=g+120|0;q=g+32|0;r=g+20|0;f[l>>2]=c;f[m+4>>2]=0;f[m+8>>2]=0;c=m+4|0;f[m>>2]=c;s=m+12|0;t=s;v=t+36|0;do{f[t>>2]=0;t=t+4|0}while((t|0)<(v|0));w=m+24|0;wuc(w,445138)|0;x=m+36|0;wuc(x,445150)|0;f[n>>2]=(f[d+4>>2]|0)-(f[d>>2]|0)>>2;f[i+8>>2]=0;y=i+11|0;b[y>>0]=7;b[i>>0]=b[457769]|0;b[i+1>>0]=b[457770]|0;b[i+2>>0]=b[457771]|0;b[i+3>>0]=b[457772]|0;b[i+4>>0]=b[457773]|0;b[i+5>>0]=b[457774]|0;b[i+6>>0]=b[457775]|0;b[i+7>>0]=0;xEa(m,i,l)|0;if((b[y>>0]|0)<0)fuc(f[i>>2]|0);f[i+8>>2]=0;y=i+11|0;b[y>>0]=7;b[i>>0]=b[457777]|0;b[i+1>>0]=b[457778]|0;b[i+2>>0]=b[457779]|0;b[i+3>>0]=b[457780]|0;b[i+4>>0]=b[457781]|0;b[i+5>>0]=b[457782]|0;b[i+6>>0]=b[457783]|0;b[i+7>>0]=0;xEa(m,i,n)|0;if((b[y>>0]|0)<0)fuc(f[i>>2]|0);f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;y=i+11|0;b[y>>0]=8;l=i;f[l>>2]=1768386412;f[l+4>>2]=1667855475;b[i+8>>0]=0;b[j>>0]=1;zEa(m,i,j)|0;if((b[y>>0]|0)<0)fuc(f[i>>2]|0);y=f[n>>2]|0;n=y<<1;f[o>>2]=0;l=o+4|0;f[l>>2]=0;f[o+8>>2]=0;if(y){if(n>>>0>1073741823)nsc(o);z=y<<3;A=cuc(z)|0;f[o>>2]=A;B=A+(n<<2)|0;f[o+8>>2]=B;kzc(A|0,0,z|0)|0;f[l>>2]=B;if((y|0)>0){B=f[d>>2]|0;d=f[e>>2]|0;e=0;do{z=f[B+(e<<2)>>2]<<1;C=e<<1;f[A+(C<<2)>>2]=f[d+(z<<2)>>2];f[A+((C|1)<<2)>>2]=f[d+((z|1)<<2)>>2];e=e+1|0}while((e|0)<(y|0));D=A}else D=A}else D=0;f[j>>2]=1124007941;A=j+4|0;f[A>>2]=2;e=j+8|0;f[e>>2]=1;f[j+12>>2]=n;n=j+16|0;f[n>>2]=D;f[j+20>>2]=D;d=j+24|0;B=j+40|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;f[B>>2]=e;e=j+48|0;z=j+44|0;f[z>>2]=e;C=j+52|0;f[C>>2]=0;f[e>>2]=0;if((y|0)!=0&(D|0)==0){E=cuc(32)|0;f[i>>2]=E;f[i+8>>2]=-2147483616;f[i+4>>2]=28;t=E;F=466324;v=t+28|0;do{b[t>>0]=b[F>>0]|0;t=t+1|0;F=F+1|0}while((t|0)<(v|0));b[E+28>>0]=0;WD(-215,i,466353,466357,548)}E=y<<3;f[e>>2]=E;f[C>>2]=4;C=D+E|0;f[j+28>>2]=C;f[d>>2]=C+(0-E)+E;YT(j);f[p>>2]=1124007936;E=p+4|0;C=p+8|0;d=p+40|0;t=E;v=t+36|0;do{f[t>>2]=0;t=t+4|0}while((t|0)<(v|0));f[d>>2]=C;D=p+48|0;y=p+44|0;f[y>>2]=D;f[D>>2]=0;f[p+52>>2]=0;F=i+8|0;f[F>>2]=0;f[F+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=p;EI(j,i);F=j+36|0;G=f[F>>2]|0;if(G|0?(H=G+12|0,G=f[H>>2]|0,f[H>>2]=G+-1,(G|0)==1):0)aU(j);f[F>>2]=0;f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;f[n+12>>2]=0;if((f[A>>2]|0)>0){n=f[B>>2]|0;B=0;do{f[n+(B<<2)>>2]=0;B=B+1|0}while((B|0)<(f[A>>2]|0))}A=f[z>>2]|0;if((A|0)!=(e|0))TC(A);A=m+16|0;e=f[A>>2]|0;if((e|0)==(f[m+20>>2]|0))ot(m+12|0,p);else{f[e>>2]=f[p>>2];z=e+4|0;f[z>>2]=f[E>>2];B=e+8|0;f[B>>2]=f[C>>2];f[e+12>>2]=f[p+12>>2];f[e+16>>2]=f[p+16>>2];f[e+20>>2]=f[p+20>>2];f[e+24>>2]=f[p+24>>2];f[e+28>>2]=f[p+28>>2];f[e+32>>2]=f[p+32>>2];C=f[p+36>>2]|0;f[e+36>>2]=C;f[e+40>>2]=B;B=e+48|0;n=e+44|0;f[n>>2]=B;f[B>>2]=0;f[e+52>>2]=0;if(C|0){B=C+12|0;f[B>>2]=(f[B>>2]|0)+1}if((f[E>>2]|0)<3){B=f[y>>2]|0;C=f[n>>2]|0;f[C>>2]=f[B>>2];f[C+4>>2]=f[B+4>>2]}else{f[z>>2]=0;$T(e,p)}f[A>>2]=(f[A>>2]|0)+56}f[q+40>>2]=0;f[q+44>>2]=0;e=q+40|0;z=q+36|0;t=q;v=t+36|0;do{f[t>>2]=0;t=t+4|0}while((t|0)<(v|0));f[z>>2]=e;t=q+48|0;v=t+36|0;do{f[t>>2]=0;t=t+4|0}while((t|0)<(v|0));t=a+4|0;f[h>>2]=f[t>>2];cE(r,445157,h);ruc(q,r)|0;ruc(q+12|0,x)|0;f[j>>2]=f[m>>2];f[k>>2]=c;f[i>>2]=f[j>>2];f[h>>2]=f[k>>2];Nib(q+36|0,i,h);kMa(q+48|0,f[s>>2]|0,f[A>>2]|0);ruc(q+60|0,w)|0;ruc(q+72|0,x)|0;A=q+24|0;s=a+8|0;h=q+28|0;i=f[h>>2]|0;k=q+32|0;if((i|0)==(f[k>>2]|0)){fEa(A,s);I=f[h>>2]|0}else{ouc(i,s);i=(f[h>>2]|0)+12|0;f[h>>2]=i;I=i}if((I|0)==(f[k>>2]|0))fEa(A,899416);else{ouc(I,899416);f[h>>2]=(f[h>>2]|0)+12}ruc(s,r)|0;h=f[a>>2]|0;I=h+16|0;A=f[I>>2]|0;if((A|0)==(f[h+20>>2]|0))Oib(h+12|0,q);else{fKa(A,q);f[I>>2]=(f[I>>2]|0)+84}f[t>>2]=(f[t>>2]|0)+1;t=a+24|0;I=f[t>>2]|0;if((I|0)==(f[a+28>>2]|0))fEa(a+20|0,s);else{ouc(I,s);f[t>>2]=(f[t>>2]|0)+12}if((b[r+11>>0]|0)<0)fuc(f[r>>2]|0);dKa(q);q=p+36|0;r=f[q>>2]|0;if(r|0?(t=r+12|0,r=f[t>>2]|0,f[t>>2]=r+-1,(r|0)==1):0)aU(p);f[q>>2]=0;q=p+16|0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;f[q+12>>2]=0;if((f[E>>2]|0)>0){q=f[d>>2]|0;d=0;do{f[q+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[E>>2]|0))}E=f[y>>2]|0;if((E|0)!=(D|0))TC(E);E=f[o>>2]|0;if(E|0){o=f[l>>2]|0;if((o|0)!=(E|0))f[l>>2]=o+(~((o+-4-E|0)>>>2)<<2);fuc(E)}if((b[x+11>>0]|0)<0)fuc(f[x>>2]|0);if((b[w+11>>0]|0)>=0){J=m+12|0;ut(J);K=f[c>>2]|0;lEa(m,K);u=g;return}fuc(f[w>>2]|0);J=m+12|0;ut(J);K=f[c>>2]|0;lEa(m,K);u=g;return}function Nib(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;e=a+8|0;a:do if(f[e>>2]|0?(g=f[a>>2]|0,h=a+4|0,f[a>>2]=h,f[(f[h>>2]|0)+8>>2]=0,f[h>>2]=0,f[e>>2]=0,i=f[g+4>>2]|0,j=(i|0)==0?g:i,j|0):0){i=a+4|0;g=j;j=f[c>>2]|0;while(1){if((j|0)==(f[d>>2]|0))break;k=g+16|0;ruc(k,j+16|0)|0;pEa(g+28|0,j+28|0)|0;l=g+8|0;m=f[l>>2]|0;do if(m){n=f[m>>2]|0;if((n|0)==(g|0)){f[m>>2]=0;o=f[m+4>>2]|0;if(!o){p=m;break}else q=o;while(1){o=f[q>>2]|0;if(o|0){q=o;continue}o=f[q+4>>2]|0;if(!o)break;else q=o}p=q;break}else{f[m+4>>2]=0;if(!n){p=m;break}else r=n;while(1){o=f[r>>2]|0;if(o|0){r=o;continue}o=f[r+4>>2]|0;if(!o)break;else r=o}p=r;break}}else p=0;while(0);m=f[h>>2]|0;do if(m){n=b[k+11>>0]|0;o=n<<24>>24<0;s=o?f[g+20>>2]|0:n&255;n=o?f[k>>2]|0:k;o=m;while(1){t=o+16|0;u=b[t+11>>0]|0;v=u<<24>>24<0;w=v?f[o+20>>2]|0:u&255;u=w>>>0<s>>>0?w:s;if((u|0)!=0?(x=ahc(n,v?f[t>>2]|0:t,u)|0,(x|0)!=0):0)if((x|0)<0)y=24;else y=26;else if(s>>>0<w>>>0)y=24;else y=26;if((y|0)==24){y=0;w=f[o>>2]|0;if(!w){y=25;break}else z=w}else if((y|0)==26){y=0;A=o+4|0;w=f[A>>2]|0;if(!w){y=28;break}else z=w}o=z}if((y|0)==25){y=0;B=o;C=o;break}else if((y|0)==28){y=0;B=A;C=o;break}}else{B=h;C=h}while(0);f[g>>2]=0;f[g+4>>2]=0;f[l>>2]=C;f[B>>2]=g;m=f[f[a>>2]>>2]|0;if(!m)D=g;else{f[a>>2]=m;D=f[B>>2]|0}jI(f[i>>2]|0,D);f[e>>2]=(f[e>>2]|0)+1;m=f[j+4>>2]|0;if(!m){k=j+8|0;s=f[k>>2]|0;if((f[s>>2]|0)==(j|0))E=s;else{s=k;do{k=f[s>>2]|0;s=k+8|0;n=f[s>>2]|0}while((f[n>>2]|0)!=(k|0));E=n}}else{s=m;while(1){l=f[s>>2]|0;if(!l)break;else s=l}E=s}f[c>>2]=E;if(!p)break a;else{g=p;j=E}}j=f[g+8>>2]|0;if(!j)F=g;else{i=j;while(1){j=f[i+8>>2]|0;if(!j)break;else i=j}F=i}lEa(a,F)}while(0);F=f[c>>2]|0;E=f[d>>2]|0;if((F|0)==(E|0))return;else G=F;while(1){Qib(a,G+16|0)|0;F=f[G+4>>2]|0;if(!F){d=G+8|0;p=f[d>>2]|0;if((f[p>>2]|0)==(G|0))H=p;else{p=d;do{d=f[p>>2]|0;p=d+8|0;e=f[p>>2]|0}while((f[e>>2]|0)!=(d|0));H=e}}else{p=F;while(1){i=f[p>>2]|0;if(!i)break;else p=i}H=p}f[c>>2]=H;if((H|0)==(E|0))break;else G=H}return}function Oib(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=u;u=u+32|0;d=c;e=f[a>>2]|0;g=((f[a+4>>2]|0)-e|0)/84|0;h=g+1|0;if(h>>>0>51130563)nsc(a);i=((f[a+8>>2]|0)-e|0)/84|0;e=i<<1;j=i>>>0<25565281?(e>>>0<h>>>0?h:e):51130563;f[d+12>>2]=0;f[d+16>>2]=a+8;do if(j)if(j>>>0>51130563){e=ze(8)|0;kuc(e,519086);f[e>>2]=167148;Hf(e|0,26888,1888)}else{k=cuc(j*84|0)|0;break}else k=0;while(0);f[d>>2]=k;e=k+(g*84|0)|0;g=d+8|0;f[g>>2]=e;h=d+4|0;f[h>>2]=e;f[d+12>>2]=k+(j*84|0);fKa(e,b);f[g>>2]=e+84;Pib(a,d);a=f[h>>2]|0;h=f[g>>2]|0;if((h|0)!=(a|0)){e=h;do{h=e+-84|0;f[g>>2]=h;dKa(h);e=f[g>>2]|0}while((e|0)!=(a|0))}a=f[d>>2]|0;if(!a){u=c;return}fuc(a);u=c;return}function Pib(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;c=f[a>>2]|0;d=a+4|0;e=f[d>>2]|0;g=b+4|0;if((e|0)==(c|0)){h=g;i=a;j=f[g>>2]|0;k=c;f[i>>2]=j;f[h>>2]=k;l=b+8|0;m=f[d>>2]|0;n=f[l>>2]|0;f[d>>2]=n;f[l>>2]=m;o=a+8|0;p=b+12|0;q=f[o>>2]|0;r=f[p>>2]|0;f[o>>2]=r;f[p>>2]=q;s=f[h>>2]|0;f[b>>2]=s;return}t=e;e=f[g>>2]|0;do{u=e+-84|0;v=t;t=t+-84|0;f[u>>2]=f[t>>2];f[u+4>>2]=f[t+4>>2];f[u+8>>2]=f[t+8>>2];f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;u=e+-72|0;w=v+-72|0;f[u>>2]=f[w>>2];f[u+4>>2]=f[w+4>>2];f[u+8>>2]=f[w+8>>2];f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;w=e+-60|0;u=v+-60|0;f[w>>2]=0;x=e+-56|0;f[x>>2]=0;f[e+-52>>2]=0;f[w>>2]=f[u>>2];w=v+-56|0;f[x>>2]=f[w>>2];x=v+-52|0;f[e+-52>>2]=f[x>>2];f[x>>2]=0;f[w>>2]=0;f[u>>2]=0;u=e+-48|0;w=v+-48|0;f[u>>2]=f[w>>2];x=f[v+-44>>2]|0;f[e+-44>>2]=x;y=v+-40|0;z=f[y>>2]|0;f[e+-40>>2]=z;A=e+-44|0;if(!z)f[u>>2]=A;else{f[x+8>>2]=A;A=v+-44|0;f[w>>2]=A;f[A>>2]=0;f[y>>2]=0}y=e+-36|0;A=v+-36|0;f[y>>2]=0;w=e+-32|0;f[w>>2]=0;f[e+-28>>2]=0;f[y>>2]=f[A>>2];y=v+-32|0;f[w>>2]=f[y>>2];w=v+-28|0;f[e+-28>>2]=f[w>>2];f[w>>2]=0;f[y>>2]=0;f[A>>2]=0;A=e+-24|0;y=v+-24|0;f[A>>2]=f[y>>2];f[A+4>>2]=f[y+4>>2];f[A+8>>2]=f[y+8>>2];f[y>>2]=0;f[y+4>>2]=0;f[y+8>>2]=0;y=e+-12|0;A=v+-12|0;f[y>>2]=f[A>>2];f[y+4>>2]=f[A+4>>2];f[y+8>>2]=f[A+8>>2];f[A>>2]=0;f[A+4>>2]=0;f[A+8>>2]=0;e=(f[g>>2]|0)+-84|0;f[g>>2]=e}while((t|0)!=(c|0));h=g;i=a;j=e;k=f[a>>2]|0;f[i>>2]=j;f[h>>2]=k;l=b+8|0;m=f[d>>2]|0;n=f[l>>2]|0;f[d>>2]=n;f[l>>2]=m;o=a+8|0;p=b+12|0;q=f[o>>2]|0;r=f[p>>2]|0;f[o>>2]=r;f[p>>2]=q;s=f[h>>2]|0;f[b>>2]=s;return}function Qib(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;d=cuc(36)|0;e=d+16|0;ouc(e,c);qEa(d+28|0,c+12|0);c=a+4|0;g=f[c>>2]|0;do if(g){h=b[d+27>>0]|0;i=h<<24>>24<0;j=i?f[d+20>>2]|0:h&255;h=i?f[e>>2]|0:e;i=g;while(1){k=i+16|0;l=b[k+11>>0]|0;m=l<<24>>24<0;n=m?f[i+20>>2]|0:l&255;l=n>>>0<j>>>0?n:j;if((l|0)!=0?(o=ahc(h,m?f[k>>2]|0:k,l)|0,(o|0)!=0):0)if((o|0)<0)p=7;else p=9;else if(j>>>0<n>>>0)p=7;else p=9;if((p|0)==7){p=0;n=f[i>>2]|0;if(!n){p=8;break}else q=n}else if((p|0)==9){p=0;r=i+4|0;n=f[r>>2]|0;if(!n){p=11;break}else q=n}i=q}if((p|0)==8){s=i;t=i;break}else if((p|0)==11){s=i;t=r;break}}else{s=c;t=c}while(0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=s;f[t>>2]=d;s=f[f[a>>2]>>2]|0;if(!s){u=d;v=a+4|0;w=f[v>>2]|0;jI(w,u);x=a+8|0;y=f[x>>2]|0;z=y+1|0;f[x>>2]=z;return d|0}f[a>>2]=s;u=f[t>>2]|0;v=a+4|0;w=f[v>>2]|0;jI(w,u);x=a+8|0;y=f[x>>2]|0;z=y+1|0;f[x>>2]=z;return d|0}function Rib(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;d=a+4|0;a=f[d>>2]|0;do if(a|0){e=b[c+11>>0]|0;g=e<<24>>24<0;h=g?f[c+4>>2]|0:e&255;e=g?f[c>>2]|0:c;g=d;i=a;a:while(1){j=i;while(1){k=j+16|0;l=b[k+11>>0]|0;m=l<<24>>24<0;n=m?f[j+20>>2]|0:l&255;l=h>>>0<n>>>0?h:n;if((l|0)!=0?(o=ahc(m?f[k>>2]|0:k,e,l)|0,(o|0)!=0):0){if((o|0)>=0)break}else p=6;if((p|0)==6?(p=0,n>>>0>=h>>>0):0)break;n=f[j+4>>2]|0;if(!n){q=g;break a}else j=n}i=f[j>>2]|0;if(!i){q=j;break}else g=j}if((q|0)!=(d|0)){g=q+16|0;i=b[g+11>>0]|0;n=i<<24>>24<0;o=n?f[q+20>>2]|0:i&255;i=o>>>0<h>>>0?o:h;if(i|0?(l=ahc(e,n?f[g>>2]|0:g,i)|0,l|0):0){if((l|0)<0)break;else r=q;return r|0}if(h>>>0>=o>>>0){r=q;return r|0}}}while(0);r=d;return r|0}function Sib(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0;c=u;u=u+32|0;i=c+12|0;j=c+8|0;k=c+4|0;l=c;m=c+16|0;n=c+28|0;f[i>>2]=d;f[j>>2]=e;f[k>>2]=g;f[l>>2]=h;f[a+4>>2]=0;f[a+8>>2]=0;f[a>>2]=a+4;h=a+12|0;g=h+36|0;do{f[h>>2]=0;h=h+4|0}while((h|0)<(g|0));wuc(a+24|0,445502)|0;wuc(a+36|0,445519)|0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;e=cuc(16)|0;f[m>>2]=e;f[m+8>>2]=-2147483632;f[m+4>>2]=11;h=e;d=466814;g=h+11|0;do{b[h>>0]=b[d>>0]|0;h=h+1|0;d=d+1|0}while((h|0)<(g|0));b[e+11>>0]=0;xEa(a,m,i)|0;if((b[m+11>>0]|0)<0)fuc(f[m>>2]|0);i=m+4|0;f[i>>2]=0;f[i+4>>2]=0;i=m+11|0;b[i>>0]=3;b[m>>0]=b[467025]|0;b[m+1>>0]=b[467026]|0;b[m+2>>0]=b[467027]|0;b[m+3>>0]=0;xEa(a,m,j)|0;if((b[i>>0]|0)<0)fuc(f[m>>2]|0);f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;i=m+11|0;b[i>>0]=6;b[m>>0]=b[467029]|0;b[m+1>>0]=b[467030]|0;b[m+2>>0]=b[467031]|0;b[m+3>>0]=b[467032]|0;b[m+4>>0]=b[467033]|0;b[m+5>>0]=b[467034]|0;b[m+6>>0]=0;xEa(a,m,k)|0;if((b[i>>0]|0)<0)fuc(f[m>>2]|0);f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;i=m+11|0;b[i>>0]=9;h=m;d=466098;g=h+9|0;do{b[h>>0]=b[d>>0]|0;h=h+1|0;d=d+1|0}while((h|0)<(g|0));b[m+9>>0]=0;b[n>>0]=0;zEa(a,m,n)|0;if((b[i>>0]|0)<0)fuc(f[m>>2]|0);i=m+11|0;b[i>>0]=10;h=m;d=473888;g=h+10|0;do{b[h>>0]=b[d>>0]|0;h=h+1|0;d=d+1|0}while((h|0)<(g|0));b[m+10>>0]=0;xEa(a,m,l)|0;if((b[i>>0]|0)>=0){u=c;return}fuc(f[m>>2]|0);u=c;return}function Tib(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0;d=u;u=u+496|0;e=d+472|0;g=d+468|0;h=d+464|0;i=d;j=d+416|0;k=d+392|0;l=d+368|0;m=d+448|0;n=d+404|0;o=d+380|0;p=d+356|0;q=d+344|0;r=d+328|0;s=d+272|0;t=d+216|0;v=d+160|0;w=d+88|0;x=d+32|0;y=d+144|0;z=d+8|0;A=d+20|0;pkc(a,g,4)|0;pkc(a,h,4)|0;pkc(a,d+460|0,4)|0;if((((f[g>>2]|0)*10|0)+(f[h>>2]|0)|0)>1)pkc(a,i,8)|0;else{f[e>>2]=0;pkc(a,e,4)|0;B=f[e>>2]|0;C=i;f[C>>2]=B;f[C+4>>2]=((B|0)<0)<<31>>31}if((f[g>>2]|0)>1e3|(f[h>>2]|0)>1e3){h=cuc(80)|0;f[e>>2]=h;f[e+8>>2]=-2147483568;f[e+4>>2]=67;D=h;E=445531;F=D+67|0;do{b[D>>0]=b[E>>0]|0;D=D+1|0;E=E+1|0}while((D|0)<(F|0));b[h+67>>0]=0;WD(-213,e,445599,444467,690)}h=f[c+8>>2]|0;f[j>>2]=c;f[j+4>>2]=0;g=j+8|0;ouc(g,899416);f[j+20>>2]=0;B=j+24|0;f[B>>2]=0;f[j+28>>2]=0;C=f[c+36>>2]|0;i=c+40|0;do if((C|0)!=(i|0)){G=l+11|0;H=l+4|0;I=k+11|0;J=k+4|0;K=m+11|0;L=m+4|0;M=n+11|0;N=n+7|0;O=o+11|0;P=o+10|0;Q=p+11|0;R=p+6|0;S=q+8|0;T=q+4|0;U=q+11|0;V=r+4|0;W=r+8|0;X=r+12|0;Z=s+4|0;_=s+8|0;$=s+40|0;aa=s+48|0;ba=s+44|0;ca=s+52|0;da=t+4|0;ea=t+8|0;fa=t+40|0;ga=t+48|0;ha=t+44|0;ia=t+52|0;ja=e+4|0;ka=v+4|0;la=v+8|0;ma=v+40|0;na=v+48|0;oa=v+44|0;pa=v+52|0;qa=w+4|0;ra=w+8|0;sa=w+40|0;ta=w+48|0;ua=w+44|0;va=w+52|0;wa=x+4|0;xa=x+8|0;ya=x+40|0;za=x+48|0;Aa=x+44|0;Ba=x+52|0;Ca=x+16|0;Da=w+16|0;Ea=t+16|0;Fa=v+16|0;Ga=s+16|0;Ha=e+4|0;Ia=e+8|0;Ja=e+8|0;Ka=z+4|0;La=z+8|0;Ma=z+8|0;Na=A+4|0;Oa=x+12|0;Pa=x+20|0;Qa=x+24|0;Ra=x+28|0;Sa=x+32|0;Ta=x+36|0;Ua=w+12|0;Va=w+20|0;Wa=w+24|0;Xa=w+28|0;Ya=w+32|0;Za=w+36|0;_a=v+12|0;$a=v+20|0;ab=v+24|0;bb=v+28|0;cb=v+32|0;db=v+36|0;eb=l+11|0;fb=l+4|0;gb=t+36|0;hb=s+36|0;ib=y+4|0;jb=c+24|0;kb=n+8|0;lb=-1;mb=h;nb=-1;ob=C;while(1){lb=lb+1|0;pb=nb+1|0;qb=ob+20|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;b[G>>0]=4;f[l>>2]=1701869940;b[H>>0]=0;rb=HIa(qb,e,l)|0;sb=f[rb>>2]|0;if(!sb){tb=cuc(40)|0;ub=tb+16|0;f[ub>>2]=f[l>>2];f[ub+4>>2]=f[l+4>>2];f[ub+8>>2]=f[l+8>>2];f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;ub=tb+28|0;f[ub>>2]=0;f[ub+4>>2]=0;f[ub+8>>2]=0;ub=f[e>>2]|0;f[tb>>2]=0;f[tb+4>>2]=0;f[tb+8>>2]=ub;f[rb>>2]=tb;ub=f[f[qb>>2]>>2]|0;if(!ub)vb=tb;else{f[qb>>2]=ub;vb=f[rb>>2]|0}jI(f[ob+24>>2]|0,vb);rb=ob+28|0;f[rb>>2]=(f[rb>>2]|0)+1;wb=tb}else wb=sb;ouc(k,wb+28|0);if((b[G>>0]|0)<0)fuc(f[l>>2]|0);sb=b[I>>0]|0;if(((sb<<24>>24<0?f[J>>2]|0:sb&255)|0)==13?(Puc(k,0,-1,444631,13)|0)==0:0){f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;b[K>>0]=4;f[m>>2]=1702521203;b[L>>0]=0;sb=xib(qb,m,-1)|0;if((b[K>>0]|0)<0)fuc(f[m>>2]|0);f[kb>>2]=0;b[M>>0]=7;b[n>>0]=b[444645]|0;b[n+1>>0]=b[444646]|0;b[n+2>>0]=b[444647]|0;b[n+3>>0]=b[444648]|0;b[n+4>>0]=b[444649]|0;b[n+5>>0]=b[444650]|0;b[n+6>>0]=b[444651]|0;b[N>>0]=0;tb=xib(qb,n,-1)|0;if((b[M>>0]|0)<0)fuc(f[n>>2]|0);b[O>>0]=10;D=o;E=444653;F=D+10|0;do{b[D>>0]=b[E>>0]|0;D=D+1|0;E=E+1|0}while((D|0)<(F|0));b[P>>0]=0;f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;b[Q>>0]=6;b[p>>0]=b[444664]|0;b[p+1>>0]=b[444665]|0;b[p+2>>0]=b[444666]|0;b[p+3>>0]=b[444667]|0;b[p+4>>0]=b[444668]|0;b[p+5>>0]=b[444669]|0;b[R>>0]=0;yib(l,qb,o,p);if((b[Q>>0]|0)<0)fuc(f[p>>2]|0);if((b[O>>0]|0)<0)fuc(f[o>>2]|0);f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;rb=cuc(16)|0;f[q>>2]=rb;f[S>>2]=-2147483632;f[T>>2]=15;D=rb;E=444671;F=D+15|0;do{b[D>>0]=b[E>>0]|0;D=D+1|0;E=E+1|0}while((D|0)<(F|0));b[rb+15>>0]=0;ub=(xib(qb,q,0)|0)==1;if((b[U>>0]|0)<0)fuc(f[q>>2]|0);if(!((sb|0)>0&(tb|0)>0)){xb=37;break}if((mb|0)<=0){xb=39;break}f[r>>2]=tb;f[V>>2]=mb;f[W>>2]=sb;f[X>>2]=sb;f[s>>2]=1124007936;D=Z;F=D+36|0;do{f[D>>2]=0;D=D+4|0}while((D|0)<(F|0));f[$>>2]=_;f[ba>>2]=aa;f[aa>>2]=0;f[ca>>2]=0;ZT(s,4,r,5);if(!(f[s>>2]&16384)){xb=41;break}f[t>>2]=1124007936;D=da;F=D+36|0;do{f[D>>2]=0;D=D+4|0}while((D|0)<(F|0));f[fa>>2]=ea;f[ha>>2]=ga;f[ga>>2]=0;f[ia>>2]=0;f[e>>2]=1;f[ja>>2]=tb;ZT(t,2,e,5);f[v>>2]=1124007936;D=ka;F=D+36|0;do{f[D>>2]=0;D=D+4|0}while((D|0)<(F|0));f[ma>>2]=la;f[oa>>2]=na;f[na>>2]=0;f[pa>>2]=0;f[e>>2]=1;f[ja>>2]=tb;ZT(v,2,e,5);f[w>>2]=1124007936;D=qa;F=D+36|0;do{f[D>>2]=0;D=D+4|0}while((D|0)<(F|0));f[sa>>2]=ra;f[ua>>2]=ta;f[ta>>2]=0;f[va>>2]=0;f[e>>2]=1;f[ja>>2]=tb;ZT(w,2,e,5);f[x>>2]=1124007936;D=wa;F=D+36|0;do{f[D>>2]=0;D=D+4|0}while((D|0)<(F|0));f[ya>>2]=xa;f[Aa>>2]=za;f[za>>2]=0;f[Ba>>2]=0;f[e>>2]=1;f[ja>>2]=tb;ZT(x,2,e,5);qb=tb<<2;pkc(a,f[Ca>>2]|0,qb)|0;if(ub){pkc(a,f[Da>>2]|0,qb)|0;pkc(a,f[Ea>>2]|0,qb)|0;pkc(a,f[Fa>>2]|0,qb)|0;yb=ub}else yb=0;pkc(a,f[Ga>>2]|0,Y(Y(Y(mb<<2,sb)|0,sb)|0,tb)|0)|0;f[e>>2]=0;f[Ha>>2]=0;f[Ia>>2]=0;ot(e,s);do if(!yb){qb=f[Ha>>2]|0;if((qb|0)==(f[Ja>>2]|0)){ot(e,x);break}f[qb>>2]=f[x>>2];rb=qb+4|0;f[rb>>2]=f[wa>>2];zb=qb+8|0;f[zb>>2]=f[xa>>2];f[qb+12>>2]=f[Oa>>2];f[qb+16>>2]=f[Ca>>2];f[qb+20>>2]=f[Pa>>2];f[qb+24>>2]=f[Qa>>2];f[qb+28>>2]=f[Ra>>2];f[qb+32>>2]=f[Sa>>2];Ab=f[Ta>>2]|0;f[qb+36>>2]=Ab;f[qb+40>>2]=zb;zb=qb+48|0;Bb=qb+44|0;f[Bb>>2]=zb;f[zb>>2]=0;f[qb+52>>2]=0;if(Ab|0){zb=Ab+12|0;f[zb>>2]=(f[zb>>2]|0)+1}if((f[wa>>2]|0)<3){zb=f[Aa>>2]|0;Ab=f[Bb>>2]|0;f[Ab>>2]=f[zb>>2];f[Ab+4>>2]=f[zb+4>>2]}else{f[rb>>2]=0;$T(qb,x)}f[Ha>>2]=(f[Ha>>2]|0)+56}while(0);iKa(y,e);tb=(f[(f[j>>2]|0)+12>>2]|0)+(pb*84|0)+48|0;if((tb|0)!=(y|0))kMa(tb,f[y>>2]|0,f[ib>>2]|0);ut(y);if(ub){tb=nb+2|0;f[z>>2]=0;f[Ka>>2]=0;f[La>>2]=0;ot(z,t);sb=f[Ka>>2]|0;if((sb|0)==(f[Ma>>2]|0)){ot(z,v);Cb=f[Ka>>2]|0}else{f[sb>>2]=f[v>>2];qb=sb+4|0;f[qb>>2]=f[ka>>2];rb=sb+8|0;f[rb>>2]=f[la>>2];f[sb+12>>2]=f[_a>>2];f[sb+16>>2]=f[Fa>>2];f[sb+20>>2]=f[$a>>2];f[sb+24>>2]=f[ab>>2];f[sb+28>>2]=f[bb>>2];f[sb+32>>2]=f[cb>>2];zb=f[db>>2]|0;f[sb+36>>2]=zb;f[sb+40>>2]=rb;rb=sb+48|0;Ab=sb+44|0;f[Ab>>2]=rb;f[rb>>2]=0;f[sb+52>>2]=0;if(zb|0){rb=zb+12|0;f[rb>>2]=(f[rb>>2]|0)+1}if((f[ka>>2]|0)<3){rb=f[oa>>2]|0;zb=f[Ab>>2]|0;f[zb>>2]=f[rb>>2];f[zb+4>>2]=f[rb+4>>2]}else{f[qb>>2]=0;$T(sb,v)}sb=(f[Ka>>2]|0)+56|0;f[Ka>>2]=sb;Cb=sb}if((Cb|0)==(f[Ma>>2]|0)){ot(z,w);Db=f[Ka>>2]|0}else{f[Cb>>2]=f[w>>2];sb=Cb+4|0;f[sb>>2]=f[qa>>2];qb=Cb+8|0;f[qb>>2]=f[ra>>2];f[Cb+12>>2]=f[Ua>>2];f[Cb+16>>2]=f[Da>>2];f[Cb+20>>2]=f[Va>>2];f[Cb+24>>2]=f[Wa>>2];f[Cb+28>>2]=f[Xa>>2];f[Cb+32>>2]=f[Ya>>2];rb=f[Za>>2]|0;f[Cb+36>>2]=rb;f[Cb+40>>2]=qb;qb=Cb+48|0;zb=Cb+44|0;f[zb>>2]=qb;f[qb>>2]=0;f[Cb+52>>2]=0;if(rb|0){qb=rb+12|0;f[qb>>2]=(f[qb>>2]|0)+1}if((f[qa>>2]|0)<3){qb=f[ua>>2]|0;rb=f[zb>>2]|0;f[rb>>2]=f[qb>>2];f[rb+4>>2]=f[qb+4>>2]}else{f[sb>>2]=0;$T(Cb,w)}sb=(f[Ka>>2]|0)+56|0;f[Ka>>2]=sb;Db=sb}if((Db|0)==(f[Ma>>2]|0))ot(z,x);else{f[Db>>2]=f[x>>2];sb=Db+4|0;f[sb>>2]=f[wa>>2];qb=Db+8|0;f[qb>>2]=f[xa>>2];f[Db+12>>2]=f[Oa>>2];f[Db+16>>2]=f[Ca>>2];f[Db+20>>2]=f[Pa>>2];f[Db+24>>2]=f[Qa>>2];f[Db+28>>2]=f[Ra>>2];f[Db+32>>2]=f[Sa>>2];rb=f[Ta>>2]|0;f[Db+36>>2]=rb;f[Db+40>>2]=qb;qb=Db+48|0;zb=Db+44|0;f[zb>>2]=qb;f[qb>>2]=0;f[Db+52>>2]=0;if(rb|0){qb=rb+12|0;f[qb>>2]=(f[qb>>2]|0)+1}if((f[wa>>2]|0)<3){qb=f[Aa>>2]|0;rb=f[zb>>2]|0;f[rb>>2]=f[qb>>2];f[rb+4>>2]=f[qb+4>>2]}else{f[sb>>2]=0;$T(Db,x)}f[Ka>>2]=(f[Ka>>2]|0)+56}iKa(A,z);sb=(f[(f[j>>2]|0)+12>>2]|0)+(tb*84|0)+48|0;if((sb|0)!=(A|0))kMa(sb,f[A>>2]|0,f[Na>>2]|0);ut(A);ut(z);Eb=tb}else Eb=pb;tb=b[eb>>0]|0;if(((tb<<24>>24<0?f[fb>>2]|0:tb&255)|0)==5)Fb=((Puc(l,0,-1,444687,5)|0)==0&1)+Eb|0;else Fb=Eb;ut(e);tb=f[Ta>>2]|0;do if(tb|0){sb=tb+12|0;qb=f[sb>>2]|0;f[sb>>2]=qb+-1;if((qb|0)!=1)break;aU(x)}while(0);f[Ta>>2]=0;f[Ca>>2]=0;f[Ca+4>>2]=0;f[Ca+8>>2]=0;f[Ca+12>>2]=0;if((f[wa>>2]|0)>0){tb=f[ya>>2]|0;ub=0;do{f[tb+(ub<<2)>>2]=0;ub=ub+1|0}while((ub|0)<(f[wa>>2]|0))}ub=f[Aa>>2]|0;if((ub|0)!=(za|0))TC(ub);ub=f[Za>>2]|0;do if(ub|0){tb=ub+12|0;qb=f[tb>>2]|0;f[tb>>2]=qb+-1;if((qb|0)!=1)break;aU(w)}while(0);f[Za>>2]=0;f[Da>>2]=0;f[Da+4>>2]=0;f[Da+8>>2]=0;f[Da+12>>2]=0;if((f[qa>>2]|0)>0){ub=f[sa>>2]|0;qb=0;do{f[ub+(qb<<2)>>2]=0;qb=qb+1|0}while((qb|0)<(f[qa>>2]|0))}qb=f[ua>>2]|0;if((qb|0)!=(ta|0))TC(qb);qb=f[db>>2]|0;do if(qb|0){ub=qb+12|0;tb=f[ub>>2]|0;f[ub>>2]=tb+-1;if((tb|0)!=1)break;aU(v)}while(0);f[db>>2]=0;f[Fa>>2]=0;f[Fa+4>>2]=0;f[Fa+8>>2]=0;f[Fa+12>>2]=0;if((f[ka>>2]|0)>0){qb=f[ma>>2]|0;tb=0;do{f[qb+(tb<<2)>>2]=0;tb=tb+1|0}while((tb|0)<(f[ka>>2]|0))}tb=f[oa>>2]|0;if((tb|0)!=(na|0))TC(tb);tb=f[gb>>2]|0;do if(tb|0){qb=tb+12|0;ub=f[qb>>2]|0;f[qb>>2]=ub+-1;if((ub|0)!=1)break;aU(t)}while(0);f[gb>>2]=0;f[Ea>>2]=0;f[Ea+4>>2]=0;f[Ea+8>>2]=0;f[Ea+12>>2]=0;if((f[da>>2]|0)>0){tb=f[fa>>2]|0;ub=0;do{f[tb+(ub<<2)>>2]=0;ub=ub+1|0}while((ub|0)<(f[da>>2]|0))}ub=f[ha>>2]|0;if((ub|0)!=(ga|0))TC(ub);ub=f[hb>>2]|0;do if(ub|0){tb=ub+12|0;qb=f[tb>>2]|0;f[tb>>2]=qb+-1;if((qb|0)!=1)break;aU(s)}while(0);f[hb>>2]=0;f[Ga>>2]=0;f[Ga+4>>2]=0;f[Ga+8>>2]=0;f[Ga+12>>2]=0;if((f[Z>>2]|0)>0){ub=f[$>>2]|0;qb=0;do{f[ub+(qb<<2)>>2]=0;qb=qb+1|0}while((qb|0)<(f[Z>>2]|0))}qb=f[ba>>2]|0;if((qb|0)!=(aa|0))TC(qb);if((b[eb>>0]|0)<0)fuc(f[l>>2]|0);Gb=Fb}else Gb=pb;qb=b[I>>0]|0;ub=f[J>>2]|0;if(((qb<<24>>24<0?ub:qb&255)|0)==6)if(!(Puc(k,0,-1,444936,6)|0))xb=133;else{Hb=b[I>>0]|0;Ib=f[J>>2]|0;xb=131}else{Hb=qb;Ib=ub;xb=131}if((xb|0)==131){xb=0;if(((Hb<<24>>24<0?Ib:Hb&255)|0)==4?(Puc(k,0,-1,445091,4)|0)==0:0)xb=133;else Jb=Gb}if((xb|0)==133){xb=0;Jb=Gb+1|0}mb=f[(f[jb>>2]|0)+(lb<<2)>>2]|0;if((b[I>>0]|0)<0)fuc(f[k>>2]|0);ub=f[ob+4>>2]|0;if(!ub){qb=ob+8|0;tb=f[qb>>2]|0;if((f[tb>>2]|0)==(ob|0))Kb=tb;else{tb=qb;do{qb=f[tb>>2]|0;tb=qb+8|0;sb=f[tb>>2]|0}while((f[sb>>2]|0)!=(qb|0));Kb=sb}}else{tb=ub;while(1){pb=f[tb>>2]|0;if(!pb)break;else tb=pb}Kb=tb}if((Kb|0)==(i|0)){xb=8;break}else{nb=Jb;ob=Kb}}if((xb|0)==8){ob=j+20|0;nb=f[ob>>2]|0;if(!nb)break;I=f[B>>2]|0;if((I|0)==(nb|0))Lb=nb;else{lb=I;while(1){I=lb+-12|0;f[B>>2]=I;if((b[I+11>>0]|0)<0){fuc(f[I>>2]|0);Mb=f[B>>2]|0}else Mb=I;if((Mb|0)==(nb|0))break;else lb=Mb}Lb=f[ob>>2]|0}fuc(Lb);break}else if((xb|0)==37){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;lb=cuc(32)|0;f[e>>2]=lb;f[e+8>>2]=-2147483616;f[e+4>>2]=30;D=lb;E=444781;F=D+30|0;do{b[D>>0]=b[E>>0]|0;D=D+1|0;E=E+1|0}while((D|0)<(F|0));b[lb+30>>0]=0;WD(-215,e,445599,444467,712)}else if((xb|0)==39){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;ob=cuc(32)|0;f[e>>2]=ob;f[e+8>>2]=-2147483616;f[e+4>>2]=20;D=ob;E=444812;F=D+20|0;do{b[D>>0]=b[E>>0]|0;D=D+1|0;E=E+1|0}while((D|0)<(F|0));b[ob+20>>0]=0;WD(-215,e,445599,444467,713)}else if((xb|0)==41){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;lb=cuc(32)|0;f[e>>2]=lb;f[e+8>>2]=-2147483616;f[e+4>>2]=26;D=lb;E=445628;F=D+26|0;do{b[D>>0]=b[E>>0]|0;D=D+1|0;E=E+1|0}while((D|0)<(F|0));b[lb+26>>0]=0;WD(-215,e,445599,444467,719)}}while(0);if((b[g+11>>0]|0)>=0){u=d;return 1}fuc(f[g>>2]|0);u=d;return 1}function Uib(a,b){a=a|0;b=b|0;uib(a,b)|0;return}function Vib(a,b){a=a|0;b=b|0;Tib(a,b)|0;return}function Wib(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0.0;d=u;u=u+16|0;e=d;g=cuc(16)|0;f[e>>2]=g;f[e+8>>2]=-2147483632;f[e+4>>2]=14;h=g;i=445655;j=h+14|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(j|0));b[g+14>>0]=0;g=gEa(c,e)|0;if((g|0)==(c+4|0))k=0.0;else k=+iEa(g+28|0,-1);if((b[e+11>>0]|0)<0)fuc(f[e>>2]|0);e=cuc(56)|0;WMa(e);f[e>>2]=129860;b[e+52>>0]=0;n[e+48>>2]=k;f[a>>2]=e;g=cuc(16)|0;f[g+4>>2]=0;f[g+8>>2]=0;f[g>>2]=129972;f[g+12>>2]=e;f[a+4>>2]=g;XMa(e,c);n[e+44>>2]=k;u=d;return}function Xib(a){a=a|0;Qtc(a);fuc(a);return}function Yib(a){a=a|0;var b=0;b=f[a+12>>2]|0;if(!b)return;bi[f[(f[b>>2]|0)+4>>2]&2047](b);return}function Zib(a,b){a=a|0;b=b|0;return ((f[b+4>>2]|0)==445670?a+12|0:0)|0}function _ib(a){a=a|0;fuc(a);return}function $ib(a){a=a|0;pKa(a);fuc(a);return}function ajb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;g=u;u=u+64|0;h=g+56|0;i=g+40|0;j=g+28|0;k=g+8|0;l=g;gV(h,129992);if((CJ(c,-1)|0)==3)JKa(a,c,d,e);else{f[i>>2]=0;e=i+4|0;f[e>>2]=0;f[i+8>>2]=0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;sJ(c,i);sJ(d,j);d=f[i>>2]|0;a:do if((f[e>>2]|0)!=(d|0)){c=a+48|0;m=k+4|0;n=k+8|0;o=k+12|0;p=k+16|0;q=l+4|0;r=0;s=d;b:while(1){t=s;v=t+(r*56|0)|0;w=f[j>>2]|0;x=w+(r*56|0)|0;y=f[t+(r*56|0)+40>>2]|0;t=f[y+-4>>2]|0;z=f[w+(r*56|0)+40>>2]|0;if((t|0)!=(f[z+-4>>2]|0))break;if((t|0)==2){if((f[y>>2]|0)!=(f[z>>2]|0))break;if((f[y+4>>2]|0)!=(f[z+4>>2]|0))break}else if((t|0)>0){w=0;do{if((f[y+(w<<2)>>2]|0)!=(f[z+(w<<2)>>2]|0))break b;w=w+1|0}while((w|0)<(t|0))}t=f[v>>2]|0;w=t&4095;z=f[x>>2]|0;if(!((w|0)==5&((w|0)==(z&4095|0)&(t&16384&z|0)!=0)))break;z=tZ()|0;f[k>>2]=130020;f[m>>2]=c;f[n>>2]=v;f[o>>2]=x;f[p>>2]=z;f[l>>2]=0;f[q>>2]=z;sZ(l,k,+(z|0));r=r+1|0;s=f[i>>2]|0;if(r>>>0>=(((f[e>>2]|0)-s|0)/56|0)>>>0)break a}f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;s=cuc(128)|0;f[k>>2]=s;f[k+8>>2]=-2147483520;f[k+4>>2]=116;r=s;q=445869;p=r+116|0;do{b[r>>0]=b[q>>0]|0;r=r+1|0;q=q+1|0}while((r|0)<(p|0));b[s+116>>0]=0;WD(-215,k,477126,445986,205)}while(0);ut(j);ut(i)}if(!(f[h+4>>2]|0)){u=g;return}u=g;return}function bjb(a,b){a=a|0;b=b|0;return (b|0)==2|(b|2|0)==3|0}function cjb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function djb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function ejb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function fjb(a,b){a=a|0;b=b|0;return 0}function gjb(a,b,c){a=a|0;b=b|0;c=c|0;return}function hjb(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;GKa(a,b,c,d,e)|0;return 1}function ijb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;c=u;u=u+16|0;a=c;e=f[d+4>>2]|0;g=f[d>>2]|0;d=g;if((e|0)==(g|0)){h=0;i=0;J=h;u=c;return i|0}j=(e-g|0)/12|0;g=0;e=0;k=0;while(1){l=f[d+(g*12|0)+4>>2]|0;m=f[d+(g*12|0)>>2]|0;n=l-m|0;o=n>>2;p=m;if((p|0)!=(l|0)){if((n|0)<=-4){q=7;break}if((n|0)>0){n=0;l=1;while(1){m=Y(f[p+(n<<2)>>2]|0,l)|0;n=n+1|0;if((n|0)>=(o|0)){r=m;break}else l=m}}else r=1}else r=0;l=hzc(r|0,0,e|0,k|0)|0;g=g+1|0;o=ozc(0,l|0,32)|0;l=J;if(g>>>0>=j>>>0){h=l;i=o;q=3;break}else{e=o;k=l}}if((q|0)==3){J=h;u=c;return i|0}else if((q|0)==7){q=cuc(80)|0;f[a>>2]=q;f[a+8>>2]=-2147483568;f[a+4>>2]=70;i=q;c=475319;h=i+70|0;do{b[i>>0]=b[c>>0]|0;i=i+1|0;c=c+1|0}while((i|0)<(h|0));b[q+70>>0]=0;WD(-215,a,475390,475396,161)}return 0}function jjb(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0.0,i=0,j=0,k=0,l=0.0;h=+n[a+48>>2];if((d|0)>0&(f|0)<(g|0)){i=f;j=c;k=b}else return;while(1){b=0;do{l=+n[k+(b<<2)>>2];n[j+(b<<2)>>2]=!(l>=0.0)?h*l:l;b=b+1|0}while((b|0)!=(d|0));i=i+1|0;if((i|0)==(g|0))break;else{j=j+(e<<2)|0;k=k+(e<<2)|0}}return}function kjb(a){a=a|0;fuc(a);return}function ljb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0.0,s=0.0;c=f[a+16>>2]|0;d=f[a+8>>2]|0;e=f[d+4>>2]|0;g=f[d+40>>2]|0;h=f[g>>2]|0;if((e|0)>1){i=f[g+4>>2]|0;if((e|0)==2){j=i;k=1;l=h}else{m=2;o=1;while(1){p=Y(f[g+(m<<2)>>2]|0,o)|0;m=m+1|0;if((m|0)>=(e|0)){j=i;k=p;l=h;break}else o=p}}}else{j=h;k=1;l=1}h=((c+-1+k|0)>>>0)/(c>>>0)|0;c=Y(f[b>>2]|0,h)|0;o=Y(f[b+4>>2]|0,h)|0;if((l|0)<=0)return;h=f[d+16>>2]|0;b=f[f[d+44>>2]>>2]|0;d=f[a+12>>2]|0;i=f[d+16>>2]|0;e=f[f[d+44>>2]>>2]|0;d=f[a+4>>2]|0;a=(k>>>0<o>>>0?k:o)-c|0;if((j|0)>0&(a|0)>0)q=0;else return;do{o=h+(Y(b,q)|0)+(c<<2)|0;m=i+(Y(e,q)|0)+(c<<2)|0;r=+n[d>>2];g=0;p=m;m=o;while(1){o=0;do{s=+n[m+(o<<2)>>2];n[p+(o<<2)>>2]=!(s>=0.0)?r*s:s;o=o+1|0}while((o|0)!=(a|0));g=g+1|0;if((g|0)==(j|0))break;else{p=p+(k<<2)|0;m=m+(k<<2)|0}}q=q+1|0}while((q|0)!=(l|0));return}function mjb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0.0,o=0.0;d=u;u=u+16|0;e=d;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;g=e+11|0;b[g>>0]=9;h=e;i=446372;j=h+9|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(j|0));b[e+9>>0]=0;k=gEa(c,e)|0;l=c+4|0;if((k|0)==(l|0))m=0.0;else m=+iEa(k+28|0,-1);if((b[g>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;g=e+11|0;b[g>>0]=9;h=e;i=446382;j=h+9|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(j|0));b[e+9>>0]=0;k=gEa(c,e)|0;if((k|0)==(l|0))o=6.0;else o=+iEa(k+28|0,-1);if((b[g>>0]|0)<0)fuc(f[e>>2]|0);g=cuc(64)|0;if(!(m<=o)){k=cuc(32)|0;f[e>>2]=k;f[e+8>>2]=-2147483616;f[e+4>>2]=20;h=k;i=446392;j=h+20|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(j|0));b[k+20>>0]=0;WD(-215,e,446413,445986,374)}else{WMa(g);f[g>>2]=130040;b[g+60>>0]=0;n[g+52>>2]=m;n[g+56>>2]=o;f[a>>2]=g;e=cuc(16)|0;f[e+4>>2]=0;f[e+8>>2]=0;f[e>>2]=130152;f[e+12>>2]=g;f[a+4>>2]=e;XMa(g,c);n[g+44>>2]=m;n[g+48>>2]=o;u=d;return}}function njb(a){a=a|0;Qtc(a);fuc(a);return}function ojb(a){a=a|0;var b=0;b=f[a+12>>2]|0;if(!b)return;bi[f[(f[b>>2]|0)+4>>2]&2047](b);return}function pjb(a,b){a=a|0;b=b|0;return ((f[b+4>>2]|0)==446426?a+12|0:0)|0}function qjb(a){a=a|0;fuc(a);return}function rjb(a){a=a|0;pKa(a);fuc(a);return}function sjb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;g=u;u=u+64|0;h=g+56|0;i=g+40|0;j=g+28|0;k=g+8|0;l=g;gV(h,130172);if((CJ(c,-1)|0)==3)JKa(a,c,d,e);else{f[i>>2]=0;e=i+4|0;f[e>>2]=0;f[i+8>>2]=0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;sJ(c,i);sJ(d,j);d=f[i>>2]|0;a:do if((f[e>>2]|0)!=(d|0)){c=a+52|0;m=k+4|0;n=k+8|0;o=k+12|0;p=k+16|0;q=l+4|0;r=0;s=d;b:while(1){t=s;v=t+(r*56|0)|0;w=f[j>>2]|0;x=w+(r*56|0)|0;y=f[t+(r*56|0)+40>>2]|0;t=f[y+-4>>2]|0;z=f[w+(r*56|0)+40>>2]|0;if((t|0)!=(f[z+-4>>2]|0))break;if((t|0)==2){if((f[y>>2]|0)!=(f[z>>2]|0))break;if((f[y+4>>2]|0)!=(f[z+4>>2]|0))break}else if((t|0)>0){w=0;do{if((f[y+(w<<2)>>2]|0)!=(f[z+(w<<2)>>2]|0))break b;w=w+1|0}while((w|0)<(t|0))}t=f[v>>2]|0;w=t&4095;z=f[x>>2]|0;if(!((w|0)==5&((w|0)==(z&4095|0)&(t&16384&z|0)!=0)))break;z=tZ()|0;f[k>>2]=130200;f[m>>2]=c;f[n>>2]=v;f[o>>2]=x;f[p>>2]=z;f[l>>2]=0;f[q>>2]=z;sZ(l,k,+(z|0));r=r+1|0;s=f[i>>2]|0;if(r>>>0>=(((f[e>>2]|0)-s|0)/56|0)>>>0)break a}f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;s=cuc(128)|0;f[k>>2]=s;f[k+8>>2]=-2147483520;f[k+4>>2]=116;r=s;q=445869;p=r+116|0;do{b[r>>0]=b[q>>0]|0;r=r+1|0;q=q+1|0}while((r|0)<(p|0));b[s+116>>0]=0;WD(-215,k,477126,445986,205)}while(0);ut(j);ut(i)}if(!(f[h+4>>2]|0)){u=g;return}u=g;return}function tjb(a,b){a=a|0;b=b|0;return (b|0)==2|(b|2|0)==3|0}function ujb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function vjb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function wjb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function xjb(a,b){a=a|0;b=b|0;return 0}function yjb(a,b,c){a=a|0;b=b|0;c=c|0;return}function zjb(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;GKa(a,b,c,d,e)|0;return 1}function Ajb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;c=u;u=u+16|0;a=c;e=f[d+4>>2]|0;g=f[d>>2]|0;d=g;if((e|0)==(g|0)){h=0;i=0;J=h;u=c;return i|0}j=(e-g|0)/12|0;g=0;e=0;k=0;while(1){l=f[d+(g*12|0)+4>>2]|0;m=f[d+(g*12|0)>>2]|0;n=l-m|0;o=n>>2;p=m;if((p|0)!=(l|0)){if((n|0)<=-4){q=7;break}if((n|0)>0){n=0;l=1;while(1){m=Y(f[p+(n<<2)>>2]|0,l)|0;n=n+1|0;if((n|0)>=(o|0)){r=m;break}else l=m}}else r=1}else r=0;l=yzc(r|0,((r|0)<0)<<31>>31|0,1)|0;o=hzc(l|0,J|0,e|0,k|0)|0;g=g+1|0;l=ozc(0,o|0,32)|0;o=J;if(g>>>0>=j>>>0){h=o;i=l;q=3;break}else{e=l;k=o}}if((q|0)==3){J=h;u=c;return i|0}else if((q|0)==7){q=cuc(80)|0;f[a>>2]=q;f[a+8>>2]=-2147483568;f[a+4>>2]=70;i=q;c=475319;h=i+70|0;do{b[i>>0]=b[c>>0]|0;i=i+1|0;c=c+1|0}while((i|0)<(h|0));b[q+70>>0]=0;WD(-215,a,475390,475396,161)}return 0}function Bjb(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0.0,o=0.0,p=0.0;if((f|0)>=(g|0))return;h=a+52|0;i=a+56|0;if((d|0)>0){j=f;k=c;l=b}else return;while(1){b=0;do{m=+n[l+(b<<2)>>2];o=+n[h>>2];if(!(m>=o))p=o;else{o=+n[i>>2];p=m<=o?m:o}n[k+(b<<2)>>2]=p;b=b+1|0}while((b|0)!=(d|0));j=j+1|0;if((j|0)==(g|0))break;else{k=k+(e<<2)|0;l=l+(e<<2)|0}}return}function Cjb(a){a=a|0;fuc(a);return}function Djb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0.0,u=0.0,v=0.0;c=f[a+16>>2]|0;d=f[a+8>>2]|0;e=f[d+4>>2]|0;g=f[d+40>>2]|0;h=f[g>>2]|0;if((e|0)>1){i=f[g+4>>2]|0;if((e|0)==2){j=i;k=1;l=h}else{m=2;o=1;while(1){p=Y(f[g+(m<<2)>>2]|0,o)|0;m=m+1|0;if((m|0)>=(e|0)){j=i;k=p;l=h;break}else o=p}}}else{j=h;k=1;l=1}h=((c+-1+k|0)>>>0)/(c>>>0)|0;c=Y(f[b>>2]|0,h)|0;o=Y(f[b+4>>2]|0,h)|0;if((l|0)<=0)return;h=f[a+12>>2]|0;b=f[a+4>>2]|0;a=(k>>>0<o>>>0?k:o)-c|0;o=(a|0)>0;i=b+4|0;if((j|0)<=0)return;e=f[h+16>>2]|0;m=f[f[h+44>>2]>>2]|0;h=f[d+16>>2]|0;g=f[f[d+44>>2]>>2]|0;d=0;do{if(o){p=0;q=e+(Y(m,d)|0)+(c<<2)|0;r=h+(Y(g,d)|0)+(c<<2)|0;while(1){s=0;do{t=+n[r+(s<<2)>>2];u=+n[b>>2];if(!(t>=u))v=u;else{u=+n[i>>2];v=t<=u?t:u}n[q+(s<<2)>>2]=v;s=s+1|0}while((s|0)!=(a|0));p=p+1|0;if((p|0)==(j|0))break;else{q=q+(k<<2)|0;r=r+(k<<2)|0}}}d=d+1|0}while((d|0)!=(l|0));return}function Ejb(a,c){a=a|0;c=c|0;var d=0,e=0;d=cuc(48)|0;WMa(d);f[d>>2]=130220;b[d+45>>0]=0;f[a>>2]=d;e=cuc(16)|0;f[e+4>>2]=0;f[e+8>>2]=0;f[e>>2]=130332;f[e+12>>2]=d;f[a+4>>2]=e;XMa(d,c);return}function Fjb(a){a=a|0;Qtc(a);fuc(a);return}function Gjb(a){a=a|0;var b=0;b=f[a+12>>2]|0;if(!b)return;bi[f[(f[b>>2]|0)+4>>2]&2047](b);return}function Hjb(a,b){a=a|0;b=b|0;return ((f[b+4>>2]|0)==446933?a+12|0:0)|0}function Ijb(a){a=a|0;fuc(a);return}function Jjb(a){a=a|0;pKa(a);fuc(a);return}function Kjb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;g=u;u=u+64|0;h=g+56|0;i=g+40|0;j=g+28|0;k=g+8|0;l=g;gV(h,130352);if((CJ(c,-1)|0)==3)JKa(a,c,d,e);else{f[i>>2]=0;e=i+4|0;f[e>>2]=0;f[i+8>>2]=0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;sJ(c,i);sJ(d,j);d=f[i>>2]|0;a:do if((f[e>>2]|0)!=(d|0)){c=a+44|0;m=k+4|0;n=k+8|0;o=k+12|0;p=k+16|0;q=l+4|0;r=0;s=d;b:while(1){t=s;v=t+(r*56|0)|0;w=f[j>>2]|0;x=w+(r*56|0)|0;y=f[t+(r*56|0)+40>>2]|0;t=f[y+-4>>2]|0;z=f[w+(r*56|0)+40>>2]|0;if((t|0)!=(f[z+-4>>2]|0))break;if((t|0)==2){if((f[y>>2]|0)!=(f[z>>2]|0))break;if((f[y+4>>2]|0)!=(f[z+4>>2]|0))break}else if((t|0)>0){w=0;do{if((f[y+(w<<2)>>2]|0)!=(f[z+(w<<2)>>2]|0))break b;w=w+1|0}while((w|0)<(t|0))}t=f[v>>2]|0;w=t&4095;z=f[x>>2]|0;if(!((w|0)==5&((w|0)==(z&4095|0)&(t&16384&z|0)!=0)))break;z=tZ()|0;f[k>>2]=130380;f[m>>2]=c;f[n>>2]=v;f[o>>2]=x;f[p>>2]=z;f[l>>2]=0;f[q>>2]=z;sZ(l,k,+(z|0));r=r+1|0;s=f[i>>2]|0;if(r>>>0>=(((f[e>>2]|0)-s|0)/56|0)>>>0)break a}f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;s=cuc(128)|0;f[k>>2]=s;f[k+8>>2]=-2147483520;f[k+4>>2]=116;r=s;q=445869;p=r+116|0;do{b[r>>0]=b[q>>0]|0;r=r+1|0;q=q+1|0}while((r|0)<(p|0));b[s+116>>0]=0;WD(-215,k,477126,445986,205)}while(0);ut(j);ut(i)}if(!(f[h+4>>2]|0)){u=g;return}u=g;return}function Ljb(a,b){a=a|0;b=b|0;return (b|0)==2|(b|2|0)==3|0}function Mjb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function Njb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function Ojb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function Pjb(a,b){a=a|0;b=b|0;return 0}function Qjb(a,b,c){a=a|0;b=b|0;c=c|0;return}function Rjb(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;GKa(a,b,c,d,e)|0;return 1}function Sjb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;c=u;u=u+16|0;a=c;e=f[d+4>>2]|0;g=f[d>>2]|0;d=g;if((e|0)==(g|0)){h=0;i=0;J=h;u=c;return i|0}j=(e-g|0)/12|0;g=0;e=0;k=0;while(1){l=f[d+(g*12|0)+4>>2]|0;m=f[d+(g*12|0)>>2]|0;n=l-m|0;o=n>>2;p=m;if((p|0)!=(l|0)){if((n|0)<=-4){q=7;break}if((n|0)>0){n=0;l=1;while(1){m=Y(f[p+(n<<2)>>2]|0,l)|0;n=n+1|0;if((n|0)>=(o|0)){r=m;break}else l=m}}else r=1}else r=0;l=hzc(r|0,0,e|0,k|0)|0;g=g+1|0;o=ozc(0,l|0,32)|0;l=J;if(g>>>0>=j>>>0){h=l;i=o;q=3;break}else{e=o;k=l}}if((q|0)==3){J=h;u=c;return i|0}else if((q|0)==7){q=cuc(80)|0;f[a>>2]=q;f[a+8>>2]=-2147483568;f[a+4>>2]=70;i=q;c=475319;h=i+70|0;do{b[i>>0]=b[c>>0]|0;i=i+1|0;c=c+1|0}while((i|0)<(h|0));b[q+70>>0]=0;WD(-215,a,475390,475396,161)}return 0}function Tjb(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0.0;if((d|0)>0&(f|0)<(g|0)){h=f;i=c;j=b}else return;while(1){b=0;do{k=+Ihc(+n[j+(b<<2)>>2]);n[i+(b<<2)>>2]=k;b=b+1|0}while((b|0)!=(d|0));h=h+1|0;if((h|0)==(g|0))break;else{i=i+(e<<2)|0;j=j+(e<<2)|0}}return}function Ujb(a){a=a|0;fuc(a);return}function Vjb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0.0;c=f[a+16>>2]|0;d=f[a+8>>2]|0;e=f[d+4>>2]|0;g=f[d+40>>2]|0;h=f[g>>2]|0;if((e|0)>1){i=f[g+4>>2]|0;if((e|0)==2){j=i;k=1;l=h}else{m=2;o=1;while(1){p=Y(f[g+(m<<2)>>2]|0,o)|0;m=m+1|0;if((m|0)>=(e|0)){j=i;k=p;l=h;break}else o=p}}}else{j=h;k=1;l=1}h=((c+-1+k|0)>>>0)/(c>>>0)|0;c=Y(f[b>>2]|0,h)|0;o=Y(f[b+4>>2]|0,h)|0;if((l|0)<=0)return;h=f[d+16>>2]|0;b=f[f[d+44>>2]>>2]|0;d=f[a+12>>2]|0;a=f[d+16>>2]|0;i=f[f[d+44>>2]>>2]|0;d=(k>>>0<o>>>0?k:o)-c|0;if((j|0)>0&(d|0)>0)q=0;else return;do{o=0;e=a+(Y(i,q)|0)+(c<<2)|0;m=h+(Y(b,q)|0)+(c<<2)|0;while(1){g=0;do{r=+Ihc(+n[m+(g<<2)>>2]);n[e+(g<<2)>>2]=r;g=g+1|0}while((g|0)!=(d|0));o=o+1|0;if((o|0)==(j|0))break;else{e=e+(k<<2)|0;m=m+(k<<2)|0}}q=q+1|0}while((q|0)!=(l|0));return}function Wjb(a,c){a=a|0;c=c|0;var d=0,e=0;d=cuc(48)|0;WMa(d);f[d>>2]=130400;b[d+45>>0]=0;f[a>>2]=d;e=cuc(16)|0;f[e+4>>2]=0;f[e+8>>2]=0;f[e>>2]=130512;f[e+12>>2]=d;f[a+4>>2]=e;XMa(d,c);return}function Xjb(a){a=a|0;Qtc(a);fuc(a);return}function Yjb(a){a=a|0;var b=0;b=f[a+12>>2]|0;if(!b)return;bi[f[(f[b>>2]|0)+4>>2]&2047](b);return}function Zjb(a,b){a=a|0;b=b|0;return ((f[b+4>>2]|0)==447432?a+12|0:0)|0}function _jb(a){a=a|0;fuc(a);return}function $jb(a){a=a|0;pKa(a);fuc(a);return}function akb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;g=u;u=u+64|0;h=g+56|0;i=g+40|0;j=g+28|0;k=g+8|0;l=g;gV(h,130532);if((CJ(c,-1)|0)==3)JKa(a,c,d,e);else{f[i>>2]=0;e=i+4|0;f[e>>2]=0;f[i+8>>2]=0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;sJ(c,i);sJ(d,j);d=f[i>>2]|0;a:do if((f[e>>2]|0)!=(d|0)){c=a+44|0;m=k+4|0;n=k+8|0;o=k+12|0;p=k+16|0;q=l+4|0;r=0;s=d;b:while(1){t=s;v=t+(r*56|0)|0;w=f[j>>2]|0;x=w+(r*56|0)|0;y=f[t+(r*56|0)+40>>2]|0;t=f[y+-4>>2]|0;z=f[w+(r*56|0)+40>>2]|0;if((t|0)!=(f[z+-4>>2]|0))break;if((t|0)==2){if((f[y>>2]|0)!=(f[z>>2]|0))break;if((f[y+4>>2]|0)!=(f[z+4>>2]|0))break}else if((t|0)>0){w=0;do{if((f[y+(w<<2)>>2]|0)!=(f[z+(w<<2)>>2]|0))break b;w=w+1|0}while((w|0)<(t|0))}t=f[v>>2]|0;w=t&4095;z=f[x>>2]|0;if(!((w|0)==5&((w|0)==(z&4095|0)&(t&16384&z|0)!=0)))break;z=tZ()|0;f[k>>2]=130560;f[m>>2]=c;f[n>>2]=v;f[o>>2]=x;f[p>>2]=z;f[l>>2]=0;f[q>>2]=z;sZ(l,k,+(z|0));r=r+1|0;s=f[i>>2]|0;if(r>>>0>=(((f[e>>2]|0)-s|0)/56|0)>>>0)break a}f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;s=cuc(128)|0;f[k>>2]=s;f[k+8>>2]=-2147483520;f[k+4>>2]=116;r=s;q=445869;p=r+116|0;do{b[r>>0]=b[q>>0]|0;r=r+1|0;q=q+1|0}while((r|0)<(p|0));b[s+116>>0]=0;WD(-215,k,477126,445986,205)}while(0);ut(j);ut(i)}if(!(f[h+4>>2]|0)){u=g;return}u=g;return}function bkb(a,b){a=a|0;b=b|0;return (b|0)==2|(b|2|0)==3|0}function ckb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function dkb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function ekb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function fkb(a,b){a=a|0;b=b|0;return 0}function gkb(a,b,c){a=a|0;b=b|0;c=c|0;return}function hkb(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;GKa(a,b,c,d,e)|0;return 1}function ikb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;c=u;u=u+16|0;a=c;e=f[d+4>>2]|0;g=f[d>>2]|0;d=g;if((e|0)==(g|0)){h=0;i=0;J=h;u=c;return i|0}j=(e-g|0)/12|0;g=0;e=0;k=0;while(1){l=f[d+(g*12|0)+4>>2]|0;m=f[d+(g*12|0)>>2]|0;n=l-m|0;o=n>>2;p=m;if((p|0)!=(l|0)){if((n|0)<=-4){q=7;break}if((n|0)>0){n=0;l=1;while(1){m=Y(f[p+(n<<2)>>2]|0,l)|0;n=n+1|0;if((n|0)>=(o|0)){r=m;break}else l=m}}else r=1}else r=0;l=Bzc(r|0,((r|0)<0)<<31>>31|0,3,0)|0;o=hzc(l|0,J|0,e|0,k|0)|0;g=g+1|0;l=ozc(0,o|0,32)|0;o=J;if(g>>>0>=j>>>0){h=o;i=l;q=3;break}else{e=l;k=o}}if((q|0)==3){J=h;u=c;return i|0}else if((q|0)==7){q=cuc(80)|0;f[a>>2]=q;f[a+8>>2]=-2147483568;f[a+4>>2]=70;i=q;c=475319;h=i+70|0;do{b[i>>0]=b[c>>0]|0;i=i+1|0;c=c+1|0}while((i|0)<(h|0));b[q+70>>0]=0;WD(-215,a,475390,475396,161)}return 0}function jkb(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0.0;if((d|0)>0&(f|0)<(g|0)){h=f;i=c;j=b}else return;while(1){b=0;do{k=1.0/(+V(+-+n[j+(b<<2)>>2])+1.0);n[i+(b<<2)>>2]=k;b=b+1|0}while((b|0)!=(d|0));h=h+1|0;if((h|0)==(g|0))break;else{i=i+(e<<2)|0;j=j+(e<<2)|0}}return}function kkb(a){a=a|0;fuc(a);return}function lkb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0.0;c=f[a+16>>2]|0;d=f[a+8>>2]|0;e=f[d+4>>2]|0;g=f[d+40>>2]|0;h=f[g>>2]|0;if((e|0)>1){i=f[g+4>>2]|0;if((e|0)==2){j=i;k=1;l=h}else{m=2;o=1;while(1){p=Y(f[g+(m<<2)>>2]|0,o)|0;m=m+1|0;if((m|0)>=(e|0)){j=i;k=p;l=h;break}else o=p}}}else{j=h;k=1;l=1}h=((c+-1+k|0)>>>0)/(c>>>0)|0;c=Y(f[b>>2]|0,h)|0;o=Y(f[b+4>>2]|0,h)|0;if((l|0)<=0)return;h=f[d+16>>2]|0;b=f[f[d+44>>2]>>2]|0;d=f[a+12>>2]|0;a=f[d+16>>2]|0;i=f[f[d+44>>2]>>2]|0;d=(k>>>0<o>>>0?k:o)-c|0;if((j|0)>0&(d|0)>0)q=0;else return;do{o=0;e=a+(Y(i,q)|0)+(c<<2)|0;m=h+(Y(b,q)|0)+(c<<2)|0;while(1){g=0;do{r=1.0/(+V(+-+n[m+(g<<2)>>2])+1.0);n[e+(g<<2)>>2]=r;g=g+1|0}while((g|0)!=(d|0));o=o+1|0;if((o|0)==(j|0))break;else{e=e+(k<<2)|0;m=m+(k<<2)|0}}q=q+1|0}while((q|0)!=(l|0));return}function mkb(a,c){a=a|0;c=c|0;var d=0,e=0;d=cuc(48)|0;WMa(d);f[d>>2]=130580;b[d+45>>0]=0;f[a>>2]=d;e=cuc(16)|0;f[e+4>>2]=0;f[e+8>>2]=0;f[e>>2]=130692;f[e+12>>2]=d;f[a+4>>2]=e;XMa(d,c);return}function nkb(a){a=a|0;Qtc(a);fuc(a);return}function okb(a){a=a|0;var b=0;b=f[a+12>>2]|0;if(!b)return;bi[f[(f[b>>2]|0)+4>>2]&2047](b);return}function pkb(a,b){a=a|0;b=b|0;return ((f[b+4>>2]|0)==447953?a+12|0:0)|0}function qkb(a){a=a|0;fuc(a);return}function rkb(a){a=a|0;pKa(a);fuc(a);return}function skb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;g=u;u=u+64|0;h=g+56|0;i=g+40|0;j=g+28|0;k=g+8|0;l=g;gV(h,130712);if((CJ(c,-1)|0)==3)JKa(a,c,d,e);else{f[i>>2]=0;e=i+4|0;f[e>>2]=0;f[i+8>>2]=0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;sJ(c,i);sJ(d,j);d=f[i>>2]|0;a:do if((f[e>>2]|0)!=(d|0)){c=a+44|0;m=k+4|0;n=k+8|0;o=k+12|0;p=k+16|0;q=l+4|0;r=0;s=d;b:while(1){t=s;v=t+(r*56|0)|0;w=f[j>>2]|0;x=w+(r*56|0)|0;y=f[t+(r*56|0)+40>>2]|0;t=f[y+-4>>2]|0;z=f[w+(r*56|0)+40>>2]|0;if((t|0)!=(f[z+-4>>2]|0))break;if((t|0)==2){if((f[y>>2]|0)!=(f[z>>2]|0))break;if((f[y+4>>2]|0)!=(f[z+4>>2]|0))break}else if((t|0)>0){w=0;do{if((f[y+(w<<2)>>2]|0)!=(f[z+(w<<2)>>2]|0))break b;w=w+1|0}while((w|0)<(t|0))}t=f[v>>2]|0;w=t&4095;z=f[x>>2]|0;if(!((w|0)==5&((w|0)==(z&4095|0)&(t&16384&z|0)!=0)))break;z=tZ()|0;f[k>>2]=130740;f[m>>2]=c;f[n>>2]=v;f[o>>2]=x;f[p>>2]=z;f[l>>2]=0;f[q>>2]=z;sZ(l,k,+(z|0));r=r+1|0;s=f[i>>2]|0;if(r>>>0>=(((f[e>>2]|0)-s|0)/56|0)>>>0)break a}f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;s=cuc(128)|0;f[k>>2]=s;f[k+8>>2]=-2147483520;f[k+4>>2]=116;r=s;q=445869;p=r+116|0;do{b[r>>0]=b[q>>0]|0;r=r+1|0;q=q+1|0}while((r|0)<(p|0));b[s+116>>0]=0;WD(-215,k,477126,445986,205)}while(0);ut(j);ut(i)}if(!(f[h+4>>2]|0)){u=g;return}u=g;return}function tkb(a,b){a=a|0;b=b|0;return (b|0)==2|(b|2|0)==3|0}function ukb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function vkb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function wkb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function xkb(a,b){a=a|0;b=b|0;return 0}function ykb(a,b,c){a=a|0;b=b|0;c=c|0;return}function zkb(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;GKa(a,b,c,d,e)|0;return 1}function Akb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;c=u;u=u+16|0;a=c;e=f[d+4>>2]|0;g=f[d>>2]|0;d=g;if((e|0)==(g|0)){h=0;i=0;J=h;u=c;return i|0}j=(e-g|0)/12|0;g=0;e=0;k=0;while(1){l=f[d+(g*12|0)+4>>2]|0;m=f[d+(g*12|0)>>2]|0;n=l-m|0;o=n>>2;p=m;if((p|0)!=(l|0)){if((n|0)<=-4){q=7;break}if((n|0)>0){n=0;l=1;while(1){m=Y(f[p+(n<<2)>>2]|0,l)|0;n=n+1|0;if((n|0)>=(o|0)){r=m;break}else l=m}}else r=1}else r=0;l=yzc(r|0,((r|0)<0)<<31>>31|0,1)|0;o=hzc(l|0,J|0,e|0,k|0)|0;g=g+1|0;l=ozc(0,o|0,32)|0;o=J;if(g>>>0>=j>>>0){h=o;i=l;q=3;break}else{e=l;k=o}}if((q|0)==3){J=h;u=c;return i|0}else if((q|0)==7){q=cuc(80)|0;f[a>>2]=q;f[a+8>>2]=-2147483568;f[a+4>>2]=70;i=q;c=475319;h=i+70|0;do{b[i>>0]=b[c>>0]|0;i=i+1|0;c=c+1|0}while((i|0)<(h|0));b[q+70>>0]=0;WD(-215,a,475390,475396,161)}return 0}function Bkb(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0.0,l=0.0;if((d|0)>0&(f|0)<(g|0)){h=f;i=c;j=b}else return;while(1){b=0;do{k=+n[j+(b<<2)>>2];if(!(k>=0.0))l=+V(+k)+-1.0;else l=k;n[i+(b<<2)>>2]=l;b=b+1|0}while((b|0)!=(d|0));h=h+1|0;if((h|0)==(g|0))break;else{i=i+(e<<2)|0;j=j+(e<<2)|0}}return}function Ckb(a){a=a|0;fuc(a);return}function Dkb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0.0,s=0.0;c=f[a+16>>2]|0;d=f[a+8>>2]|0;e=f[d+4>>2]|0;g=f[d+40>>2]|0;h=f[g>>2]|0;if((e|0)>1){i=f[g+4>>2]|0;if((e|0)==2){j=i;k=1;l=h}else{m=2;o=1;while(1){p=Y(f[g+(m<<2)>>2]|0,o)|0;m=m+1|0;if((m|0)>=(e|0)){j=i;k=p;l=h;break}else o=p}}}else{j=h;k=1;l=1}h=((c+-1+k|0)>>>0)/(c>>>0)|0;c=Y(f[b>>2]|0,h)|0;o=Y(f[b+4>>2]|0,h)|0;if((l|0)<=0)return;h=f[d+16>>2]|0;b=f[f[d+44>>2]>>2]|0;d=f[a+12>>2]|0;a=f[d+16>>2]|0;i=f[f[d+44>>2]>>2]|0;d=(k>>>0<o>>>0?k:o)-c|0;if((j|0)>0&(d|0)>0)q=0;else return;do{o=0;e=a+(Y(i,q)|0)+(c<<2)|0;m=h+(Y(b,q)|0)+(c<<2)|0;while(1){g=0;do{r=+n[m+(g<<2)>>2];if(!(r>=0.0))s=+V(+r)+-1.0;else s=r;n[e+(g<<2)>>2]=s;g=g+1|0}while((g|0)!=(d|0));o=o+1|0;if((o|0)==(j|0))break;else{e=e+(k<<2)|0;m=m+(k<<2)|0}}q=q+1|0}while((q|0)!=(l|0));return}function Ekb(a,c){a=a|0;c=c|0;var d=0,e=0;d=cuc(48)|0;WMa(d);f[d>>2]=130760;b[d+45>>0]=0;f[a>>2]=d;e=cuc(16)|0;f[e+4>>2]=0;f[e+8>>2]=0;f[e>>2]=130872;f[e+12>>2]=d;f[a+4>>2]=e;XMa(d,c);return}function Fkb(a){a=a|0;Qtc(a);fuc(a);return}function Gkb(a){a=a|0;var b=0;b=f[a+12>>2]|0;if(!b)return;bi[f[(f[b>>2]|0)+4>>2]&2047](b);return}function Hkb(a,b){a=a|0;b=b|0;return ((f[b+4>>2]|0)==448445?a+12|0:0)|0}function Ikb(a){a=a|0;fuc(a);return}function Jkb(a){a=a|0;pKa(a);fuc(a);return}function Kkb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;g=u;u=u+64|0;h=g+56|0;i=g+40|0;j=g+28|0;k=g+8|0;l=g;gV(h,130892);if((CJ(c,-1)|0)==3)JKa(a,c,d,e);else{f[i>>2]=0;e=i+4|0;f[e>>2]=0;f[i+8>>2]=0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;sJ(c,i);sJ(d,j);d=f[i>>2]|0;a:do if((f[e>>2]|0)!=(d|0)){c=a+44|0;m=k+4|0;n=k+8|0;o=k+12|0;p=k+16|0;q=l+4|0;r=0;s=d;b:while(1){t=s;v=t+(r*56|0)|0;w=f[j>>2]|0;x=w+(r*56|0)|0;y=f[t+(r*56|0)+40>>2]|0;t=f[y+-4>>2]|0;z=f[w+(r*56|0)+40>>2]|0;if((t|0)!=(f[z+-4>>2]|0))break;if((t|0)==2){if((f[y>>2]|0)!=(f[z>>2]|0))break;if((f[y+4>>2]|0)!=(f[z+4>>2]|0))break}else if((t|0)>0){w=0;do{if((f[y+(w<<2)>>2]|0)!=(f[z+(w<<2)>>2]|0))break b;w=w+1|0}while((w|0)<(t|0))}t=f[v>>2]|0;w=t&4095;z=f[x>>2]|0;if(!((w|0)==5&((w|0)==(z&4095|0)&(t&16384&z|0)!=0)))break;z=tZ()|0;f[k>>2]=130920;f[m>>2]=c;f[n>>2]=v;f[o>>2]=x;f[p>>2]=z;f[l>>2]=0;f[q>>2]=z;sZ(l,k,+(z|0));r=r+1|0;s=f[i>>2]|0;if(r>>>0>=(((f[e>>2]|0)-s|0)/56|0)>>>0)break a}f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;s=cuc(128)|0;f[k>>2]=s;f[k+8>>2]=-2147483520;f[k+4>>2]=116;r=s;q=445869;p=r+116|0;do{b[r>>0]=b[q>>0]|0;r=r+1|0;q=q+1|0}while((r|0)<(p|0));b[s+116>>0]=0;WD(-215,k,477126,445986,205)}while(0);ut(j);ut(i)}if(!(f[h+4>>2]|0)){u=g;return}u=g;return}function Lkb(a,b){a=a|0;b=b|0;return (b|2|0)==3|0}function Mkb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function Nkb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function Okb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function Pkb(a,b){a=a|0;b=b|0;return 0}function Qkb(a,b,c){a=a|0;b=b|0;c=c|0;return}function Rkb(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;GKa(a,b,c,d,e)|0;return 1}function Skb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;c=u;u=u+16|0;a=c;e=f[d+4>>2]|0;g=f[d>>2]|0;d=g;if((e|0)==(g|0)){h=0;i=0;J=h;u=c;return i|0}j=(e-g|0)/12|0;g=0;e=0;k=0;while(1){l=f[d+(g*12|0)+4>>2]|0;m=f[d+(g*12|0)>>2]|0;n=l-m|0;o=n>>2;p=m;if((p|0)!=(l|0)){if((n|0)<=-4){q=7;break}if((n|0)>0){n=0;l=1;while(1){m=Y(f[p+(n<<2)>>2]|0,l)|0;n=n+1|0;if((n|0)>=(o|0)){r=m;break}else l=m}}else r=1}else r=0;l=hzc(r|0,0,e|0,k|0)|0;g=g+1|0;o=ozc(0,l|0,32)|0;l=J;if(g>>>0>=j>>>0){h=l;i=o;q=3;break}else{e=o;k=l}}if((q|0)==3){J=h;u=c;return i|0}else if((q|0)==7){q=cuc(80)|0;f[a>>2]=q;f[a+8>>2]=-2147483568;f[a+4>>2]=70;i=q;c=475319;h=i+70|0;do{b[i>>0]=b[c>>0]|0;i=i+1|0;c=c+1|0}while((i|0)<(h|0));b[q+70>>0]=0;WD(-215,a,475390,475396,161)}return 0}function Tkb(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0.0;if((d|0)>0&(f|0)<(g|0)){h=f;i=c;j=b}else return;while(1){b=0;do{k=+L(+(+n[j+(b<<2)>>2]));n[i+(b<<2)>>2]=k;b=b+1|0}while((b|0)!=(d|0));h=h+1|0;if((h|0)==(g|0))break;else{i=i+(e<<2)|0;j=j+(e<<2)|0}}return}function Ukb(a){a=a|0;fuc(a);return}function Vkb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0.0;c=f[a+16>>2]|0;d=f[a+8>>2]|0;e=f[d+4>>2]|0;g=f[d+40>>2]|0;h=f[g>>2]|0;if((e|0)>1){i=f[g+4>>2]|0;if((e|0)==2){j=i;k=1;l=h}else{m=2;o=1;while(1){p=Y(f[g+(m<<2)>>2]|0,o)|0;m=m+1|0;if((m|0)>=(e|0)){j=i;k=p;l=h;break}else o=p}}}else{j=h;k=1;l=1}h=((c+-1+k|0)>>>0)/(c>>>0)|0;c=Y(f[b>>2]|0,h)|0;o=Y(f[b+4>>2]|0,h)|0;if((l|0)<=0)return;h=f[d+16>>2]|0;b=f[f[d+44>>2]>>2]|0;d=f[a+12>>2]|0;a=f[d+16>>2]|0;i=f[f[d+44>>2]>>2]|0;d=(k>>>0<o>>>0?k:o)-c|0;if((j|0)>0&(d|0)>0)q=0;else return;do{o=0;e=a+(Y(i,q)|0)+(c<<2)|0;m=h+(Y(b,q)|0)+(c<<2)|0;while(1){g=0;do{r=+L(+(+n[m+(g<<2)>>2]));n[e+(g<<2)>>2]=r;g=g+1|0}while((g|0)!=(d|0));o=o+1|0;if((o|0)==(j|0))break;else{e=e+(k<<2)|0;m=m+(k<<2)|0}}q=q+1|0}while((q|0)!=(l|0));return}function Wkb(a,c){a=a|0;c=c|0;var d=0,e=0;d=cuc(48)|0;WMa(d);f[d>>2]=130940;b[d+45>>0]=0;f[a>>2]=d;e=cuc(16)|0;f[e+4>>2]=0;f[e+8>>2]=0;f[e>>2]=131052;f[e+12>>2]=d;f[a+4>>2]=e;XMa(d,c);return}function Xkb(a){a=a|0;Qtc(a);fuc(a);return}function Ykb(a){a=a|0;var b=0;b=f[a+12>>2]|0;if(!b)return;bi[f[(f[b>>2]|0)+4>>2]&2047](b);return}function Zkb(a,b){a=a|0;b=b|0;return ((f[b+4>>2]|0)==448955?a+12|0:0)|0}function _kb(a){a=a|0;fuc(a);return}function $kb(a){a=a|0;pKa(a);fuc(a);return}function alb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;g=u;u=u+64|0;h=g+56|0;i=g+40|0;j=g+28|0;k=g+8|0;l=g;gV(h,131072);if((CJ(c,-1)|0)==3)JKa(a,c,d,e);else{f[i>>2]=0;e=i+4|0;f[e>>2]=0;f[i+8>>2]=0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;sJ(c,i);sJ(d,j);d=f[i>>2]|0;a:do if((f[e>>2]|0)!=(d|0)){c=a+44|0;m=k+4|0;n=k+8|0;o=k+12|0;p=k+16|0;q=l+4|0;r=0;s=d;b:while(1){t=s;v=t+(r*56|0)|0;w=f[j>>2]|0;x=w+(r*56|0)|0;y=f[t+(r*56|0)+40>>2]|0;t=f[y+-4>>2]|0;z=f[w+(r*56|0)+40>>2]|0;if((t|0)!=(f[z+-4>>2]|0))break;if((t|0)==2){if((f[y>>2]|0)!=(f[z>>2]|0))break;if((f[y+4>>2]|0)!=(f[z+4>>2]|0))break}else if((t|0)>0){w=0;do{if((f[y+(w<<2)>>2]|0)!=(f[z+(w<<2)>>2]|0))break b;w=w+1|0}while((w|0)<(t|0))}t=f[v>>2]|0;w=t&4095;z=f[x>>2]|0;if(!((w|0)==5&((w|0)==(z&4095|0)&(t&16384&z|0)!=0)))break;z=tZ()|0;f[k>>2]=131100;f[m>>2]=c;f[n>>2]=v;f[o>>2]=x;f[p>>2]=z;f[l>>2]=0;f[q>>2]=z;sZ(l,k,+(z|0));r=r+1|0;s=f[i>>2]|0;if(r>>>0>=(((f[e>>2]|0)-s|0)/56|0)>>>0)break a}f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;s=cuc(128)|0;f[k>>2]=s;f[k+8>>2]=-2147483520;f[k+4>>2]=116;r=s;q=445869;p=r+116|0;do{b[r>>0]=b[q>>0]|0;r=r+1|0;q=q+1|0}while((r|0)<(p|0));b[s+116>>0]=0;WD(-215,k,477126,445986,205)}while(0);ut(j);ut(i)}if(!(f[h+4>>2]|0)){u=g;return}u=g;return}function blb(a,b){a=a|0;b=b|0;return (b|2|0)==3|0}function clb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function dlb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function elb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function flb(a,b){a=a|0;b=b|0;return 0}function glb(a,b,c){a=a|0;b=b|0;c=c|0;return}function hlb(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;GKa(a,b,c,d,e)|0;return 1}function ilb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;c=u;u=u+16|0;a=c;e=f[d+4>>2]|0;g=f[d>>2]|0;d=g;if((e|0)==(g|0)){h=0;i=0;J=h;u=c;return i|0}j=(e-g|0)/12|0;g=0;e=0;k=0;while(1){l=f[d+(g*12|0)+4>>2]|0;m=f[d+(g*12|0)>>2]|0;n=l-m|0;o=n>>2;p=m;if((p|0)!=(l|0)){if((n|0)<=-4){q=7;break}if((n|0)>0){n=0;l=1;while(1){m=Y(f[p+(n<<2)>>2]|0,l)|0;n=n+1|0;if((n|0)>=(o|0)){r=m;break}else l=m}}else r=1}else r=0;l=Bzc(r|0,((r|0)<0)<<31>>31|0,5,0)|0;o=hzc(l|0,J|0,e|0,k|0)|0;g=g+1|0;l=ozc(0,o|0,32)|0;o=J;if(g>>>0>=j>>>0){h=o;i=l;q=3;break}else{e=l;k=o}}if((q|0)==3){J=h;u=c;return i|0}else if((q|0)==7){q=cuc(80)|0;f[a>>2]=q;f[a+8>>2]=-2147483568;f[a+4>>2]=70;i=q;c=475319;h=i+70|0;do{b[i>>0]=b[c>>0]|0;i=i+1|0;c=c+1|0}while((i|0)<(h|0));b[q+70>>0]=0;WD(-215,a,475390,475396,161)}return 0}function jlb(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0.0;if((d|0)>0&(f|0)<(g|0)){h=f;i=c;j=b}else return;while(1){b=0;do{k=+W(+(+V(+-+L(+(+n[j+(b<<2)>>2])))+1.0));n[i+(b<<2)>>2]=k;b=b+1|0}while((b|0)!=(d|0));h=h+1|0;if((h|0)==(g|0))break;else{i=i+(e<<2)|0;j=j+(e<<2)|0}}return}function klb(a){a=a|0;fuc(a);return}function llb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0.0;c=f[a+16>>2]|0;d=f[a+8>>2]|0;e=f[d+4>>2]|0;g=f[d+40>>2]|0;h=f[g>>2]|0;if((e|0)>1){i=f[g+4>>2]|0;if((e|0)==2){j=i;k=1;l=h}else{m=2;o=1;while(1){p=Y(f[g+(m<<2)>>2]|0,o)|0;m=m+1|0;if((m|0)>=(e|0)){j=i;k=p;l=h;break}else o=p}}}else{j=h;k=1;l=1}h=((c+-1+k|0)>>>0)/(c>>>0)|0;c=Y(f[b>>2]|0,h)|0;o=Y(f[b+4>>2]|0,h)|0;if((l|0)<=0)return;h=f[d+16>>2]|0;b=f[f[d+44>>2]>>2]|0;d=f[a+12>>2]|0;a=f[d+16>>2]|0;i=f[f[d+44>>2]>>2]|0;d=(k>>>0<o>>>0?k:o)-c|0;if((j|0)>0&(d|0)>0)q=0;else return;do{o=0;e=a+(Y(i,q)|0)+(c<<2)|0;m=h+(Y(b,q)|0)+(c<<2)|0;while(1){g=0;do{r=+W(+(+V(+-+L(+(+n[m+(g<<2)>>2])))+1.0));n[e+(g<<2)>>2]=r;g=g+1|0}while((g|0)!=(d|0));o=o+1|0;if((o|0)==(j|0))break;else{e=e+(k<<2)|0;m=m+(k<<2)|0}}q=q+1|0}while((q|0)!=(l|0));return}function mlb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0.0,k=0.0,l=0.0;d=u;u=u+16|0;e=d;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;g=e+11|0;b[g>>0]=5;b[e>>0]=b[449454]|0;b[e+1>>0]=b[449455]|0;b[e+2>>0]=b[449456]|0;b[e+3>>0]=b[449457]|0;b[e+4>>0]=b[449458]|0;b[e+5>>0]=0;h=gEa(c,e)|0;i=c+4|0;if((h|0)==(i|0))j=1.0;else j=+iEa(h+28|0,-1);if((b[g>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;g=e+11|0;b[g>>0]=5;b[e>>0]=b[458411]|0;b[e+1>>0]=b[458412]|0;b[e+2>>0]=b[458413]|0;b[e+3>>0]=b[458414]|0;b[e+4>>0]=b[458415]|0;b[e+5>>0]=0;h=gEa(c,e)|0;if((h|0)==(i|0))k=1.0;else k=+iEa(h+28|0,-1);if((b[g>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;g=e+11|0;b[g>>0]=5;b[e>>0]=b[449460]|0;b[e+1>>0]=b[449461]|0;b[e+2>>0]=b[449462]|0;b[e+3>>0]=b[449463]|0;b[e+4>>0]=b[449464]|0;b[e+5>>0]=0;h=gEa(c,e)|0;if((h|0)==(i|0))l=0.0;else l=+iEa(h+28|0,-1);if((b[g>>0]|0)<0)fuc(f[e>>2]|0);e=cuc(72)|0;WMa(e);f[e>>2]=131120;b[e+68>>0]=0;n[e+56>>2]=j;n[e+60>>2]=k;n[e+64>>2]=l;f[a>>2]=e;g=cuc(16)|0;f[g+4>>2]=0;f[g+8>>2]=0;f[g>>2]=131232;f[g+12>>2]=e;f[a+4>>2]=g;XMa(e,c);n[e+44>>2]=j;n[e+48>>2]=k;n[e+52>>2]=l;u=d;return}function nlb(a){a=a|0;Qtc(a);fuc(a);return}function olb(a){a=a|0;var b=0;b=f[a+12>>2]|0;if(!b)return;bi[f[(f[b>>2]|0)+4>>2]&2047](b);return}function plb(a,b){a=a|0;b=b|0;return ((f[b+4>>2]|0)==449466?a+12|0:0)|0}function qlb(a){a=a|0;fuc(a);return}function rlb(a){a=a|0;pKa(a);fuc(a);return}function slb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;g=u;u=u+64|0;h=g+56|0;i=g+40|0;j=g+28|0;k=g+8|0;l=g;gV(h,131252);if((CJ(c,-1)|0)==3)JKa(a,c,d,e);else{f[i>>2]=0;e=i+4|0;f[e>>2]=0;f[i+8>>2]=0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;sJ(c,i);sJ(d,j);d=f[i>>2]|0;a:do if((f[e>>2]|0)!=(d|0)){c=a+56|0;m=k+4|0;n=k+8|0;o=k+12|0;p=k+16|0;q=l+4|0;r=0;s=d;b:while(1){t=s;v=t+(r*56|0)|0;w=f[j>>2]|0;x=w+(r*56|0)|0;y=f[t+(r*56|0)+40>>2]|0;t=f[y+-4>>2]|0;z=f[w+(r*56|0)+40>>2]|0;if((t|0)!=(f[z+-4>>2]|0))break;if((t|0)==2){if((f[y>>2]|0)!=(f[z>>2]|0))break;if((f[y+4>>2]|0)!=(f[z+4>>2]|0))break}else if((t|0)>0){w=0;do{if((f[y+(w<<2)>>2]|0)!=(f[z+(w<<2)>>2]|0))break b;w=w+1|0}while((w|0)<(t|0))}t=f[v>>2]|0;w=t&4095;z=f[x>>2]|0;if(!((w|0)==5&((w|0)==(z&4095|0)&(t&16384&z|0)!=0)))break;z=tZ()|0;f[k>>2]=131280;f[m>>2]=c;f[n>>2]=v;f[o>>2]=x;f[p>>2]=z;f[l>>2]=0;f[q>>2]=z;sZ(l,k,+(z|0));r=r+1|0;s=f[i>>2]|0;if(r>>>0>=(((f[e>>2]|0)-s|0)/56|0)>>>0)break a}f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;s=cuc(128)|0;f[k>>2]=s;f[k+8>>2]=-2147483520;f[k+4>>2]=116;r=s;q=445869;p=r+116|0;do{b[r>>0]=b[q>>0]|0;r=r+1|0;q=q+1|0}while((r|0)<(p|0));b[s+116>>0]=0;WD(-215,k,477126,445986,205)}while(0);ut(j);ut(i)}if(!(f[h+4>>2]|0)){u=g;return}u=g;return}function tlb(a,b){a=a|0;b=b|0;var c=0;if((b|0)!=2){c=(b|2|0)==3;return c|0}if(((f[a+40>>2]|0)+-1|0)>>>0>1){c=1;return c|0}c=+n[a+56>>2]==1.0;return c|0}function ulb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function vlb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function wlb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function xlb(a,b){a=a|0;b=b|0;return Dlb(a+56|0,b)|0}function ylb(a,b,c){a=a|0;b=b|0;c=c|0;Clb(a+56|0,b,c);return}function zlb(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;GKa(a,b,c,d,e)|0;return 1}function Alb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0;c=u;u=u+16|0;e=c;g=f[d+4>>2]|0;h=f[d>>2]|0;d=h;if((g|0)==(h|0)){i=0;j=0;J=i;u=c;return j|0}k=a+56|0;a=(g-h|0)/12|0;h=0;g=0;l=0;while(1){m=f[d+(h*12|0)+4>>2]|0;o=f[d+(h*12|0)>>2]|0;p=m-o|0;q=p>>2;r=o;if((r|0)!=(m|0)){if((p|0)<=-4){s=7;break}if((p|0)>0){p=0;m=1;while(1){o=Y(f[r+(p<<2)>>2]|0,m)|0;p=p+1|0;if((p|0)>=(q|0)){t=o;break}else m=o}}else t=1}else t=0;m=+n[k>>2]==1.0;q=Bzc((m?2:10)|0,(m?0:0)|0,t|0,((t|0)<0)<<31>>31|0)|0;m=hzc(q|0,J|0,g|0,l|0)|0;h=h+1|0;q=ozc(0,m|0,32)|0;m=J;if(h>>>0>=a>>>0){i=m;j=q;s=3;break}else{g=q;l=m}}if((s|0)==3){J=i;u=c;return j|0}else if((s|0)==7){s=cuc(80)|0;f[e>>2]=s;f[e+8>>2]=-2147483568;f[e+4>>2]=70;j=s;c=475319;i=j+70|0;do{b[j>>0]=b[c>>0]|0;j=j+1|0;c=c+1|0}while((j|0)<(i|0));b[s+70>>0]=0;WD(-215,e,475390,475396,161)}return 0}function Blb(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0.0,i=0.0,j=0.0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0.0;h=+n[a+60>>2];i=+n[a+64>>2];j=+n[a+56>>2];a=(d|0)>0&(f|0)<(g|0);if(j==1.0){if(a){k=c;l=f;m=b}else return;while(1){o=0;do{n[k+(o<<2)>>2]=i+h*+n[m+(o<<2)>>2];o=o+1|0}while((o|0)!=(d|0));l=l+1|0;if((l|0)==(g|0))break;else{k=k+(e<<2)|0;m=m+(e<<2)|0}}return}else{if(a){p=f;q=c;r=b}else return;while(1){b=0;do{s=+N(+(i+h*+n[r+(b<<2)>>2]),+j);n[q+(b<<2)>>2]=s;b=b+1|0}while((b|0)!=(d|0));p=p+1|0;if((p|0)==(g|0))break;else{q=q+(e<<2)|0;r=r+(e<<2)|0}}return}}function Clb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;d=u;u=u+96|0;e=d+88|0;g=d+32|0;h=d;if(!(+n[a>>2]==1.0)){u=d;return}p[h>>3]=+n[a+4>>2];i=h+8|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;f[i+16>>2]=0;f[i+20>>2]=0;f[g>>2]=1124007936;i=g+4|0;j=g+8|0;k=g+40|0;l=i;m=l+36|0;do{f[l>>2]=0;l=l+4|0}while((l|0)<(m|0));f[k>>2]=j;o=g+48|0;q=g+44|0;f[q>>2]=o;f[o>>2]=0;f[g+52>>2]=0;f[e>>2]=1;r=e+4|0;f[r>>2]=1;ZT(g,2,e,5);GI(g,h)|0;s=b+36|0;t=f[s>>2]|0;if((g|0)==(b|0)){v=g+36|0;if((t|0)!=0?(w=t+12|0,x=f[w>>2]|0,f[w>>2]=x+-1,(x|0)==1):0){aU(g);y=v}else y=v}else{if(t|0?(v=t+12|0,t=f[v>>2]|0,f[v>>2]=t+-1,(t|0)==1):0)aU(b);f[s>>2]=0;t=b+16|0;v=b+4|0;f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;f[t+12>>2]=0;if((f[v>>2]|0)>0){x=f[b+40>>2]|0;w=0;do{f[x+(w<<2)>>2]=0;w=w+1|0}while((w|0)<(f[v>>2]|0))}f[b>>2]=f[g>>2];w=f[i>>2]|0;f[v>>2]=w;v=b+8|0;f[v>>2]=f[j>>2];f[b+12>>2]=f[g+12>>2];f[t>>2]=f[g+16>>2];f[b+20>>2]=f[g+20>>2];f[b+24>>2]=f[g+24>>2];f[b+28>>2]=f[g+28>>2];f[b+32>>2]=f[g+32>>2];t=g+36|0;f[s>>2]=f[t>>2];s=b+44|0;x=f[s>>2]|0;z=b+48|0;if((x|0)==(z|0)){A=w;B=x}else{TC(x);f[s>>2]=z;f[b+40>>2]=v;A=f[i>>2]|0;B=z}z=g+44|0;if((A|0)<3){A=f[z>>2]|0;f[B>>2]=f[A>>2];f[B+4>>2]=f[A+4>>2]}else{f[s>>2]=f[z>>2];f[b+40>>2]=f[k>>2];f[z>>2]=o;f[k>>2]=j}f[g>>2]=1124007936;l=i;m=l+36|0;do{f[l>>2]=0;l=l+4|0}while((l|0)<(m|0));y=t}f[y>>2]=0;y=g+16|0;f[y>>2]=0;f[y+4>>2]=0;f[y+8>>2]=0;f[y+12>>2]=0;if((f[i>>2]|0)>0){y=f[k>>2]|0;k=0;do{f[y+(k<<2)>>2]=0;k=k+1|0}while((k|0)<(f[i>>2]|0))}i=f[q>>2]|0;if((i|0)!=(o|0))TC(i);p[h>>3]=+n[a+8>>2];a=h+8|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;f[a+16>>2]=0;f[a+20>>2]=0;f[g>>2]=1124007936;a=g+4|0;i=g+8|0;o=g+40|0;l=a;m=l+36|0;do{f[l>>2]=0;l=l+4|0}while((l|0)<(m|0));f[o>>2]=i;q=g+48|0;k=g+44|0;f[k>>2]=q;f[q>>2]=0;f[g+52>>2]=0;f[e>>2]=1;f[r>>2]=1;ZT(g,2,e,5);GI(g,h)|0;h=c+36|0;e=f[h>>2]|0;if((g|0)==(c|0)){r=g+36|0;if((e|0)!=0?(y=e+12|0,t=f[y>>2]|0,f[y>>2]=t+-1,(t|0)==1):0){aU(g);C=r}else C=r}else{if(e|0?(r=e+12|0,e=f[r>>2]|0,f[r>>2]=e+-1,(e|0)==1):0)aU(c);f[h>>2]=0;e=c+16|0;r=c+4|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((f[r>>2]|0)>0){t=f[c+40>>2]|0;y=0;do{f[t+(y<<2)>>2]=0;y=y+1|0}while((y|0)<(f[r>>2]|0))}f[c>>2]=f[g>>2];y=f[a>>2]|0;f[r>>2]=y;r=c+8|0;f[r>>2]=f[i>>2];f[c+12>>2]=f[g+12>>2];f[e>>2]=f[g+16>>2];f[c+20>>2]=f[g+20>>2];f[c+24>>2]=f[g+24>>2];f[c+28>>2]=f[g+28>>2];f[c+32>>2]=f[g+32>>2];e=g+36|0;f[h>>2]=f[e>>2];h=c+44|0;t=f[h>>2]|0;j=c+48|0;if((t|0)==(j|0)){D=y;E=t}else{TC(t);f[h>>2]=j;f[c+40>>2]=r;D=f[a>>2]|0;E=j}j=g+44|0;if((D|0)<3){D=f[j>>2]|0;f[E>>2]=f[D>>2];f[E+4>>2]=f[D+4>>2]}else{f[h>>2]=f[j>>2];f[c+40>>2]=f[o>>2];f[j>>2]=q;f[o>>2]=i}f[g>>2]=1124007936;l=a;m=l+36|0;do{f[l>>2]=0;l=l+4|0}while((l|0)<(m|0));C=e}f[C>>2]=0;C=g+16|0;f[C>>2]=0;f[C+4>>2]=0;f[C+8>>2]=0;f[C+12>>2]=0;if((f[a>>2]|0)>0){C=f[o>>2]|0;o=0;do{f[C+(o<<2)>>2]=0;o=o+1|0}while((o|0)<(f[a>>2]|0))}a=f[k>>2]|0;if((a|0)!=(q|0))TC(a);u=d;return}function Dlb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0.0,J=0,K=0.0,L=0.0;c=u;u=u+112|0;d=c+56|0;e=c;if(+n[a>>2]!=1.0?+n[a+8>>2]!=0.0:0){g=0;u=c;return g|0}f[d>>2]=1124007936;h=d+4|0;i=d+8|0;j=d+40|0;k=h;l=k+36|0;do{f[k>>2]=0;k=k+4|0}while((k|0)<(l|0));f[j>>2]=i;m=d+48|0;o=d+44|0;f[o>>2]=m;f[m>>2]=0;f[d+52>>2]=0;f[e>>2]=1124007936;p=e+4|0;q=e+8|0;r=e+40|0;k=p;l=k+36|0;do{f[k>>2]=0;k=k+4|0}while((k|0)<(l|0));f[r>>2]=q;k=e+48|0;l=e+44|0;f[l>>2]=k;f[k>>2]=0;f[e+52>>2]=0;s=f[b>>2]|0;Zh[f[(f[s>>2]|0)+84>>2]&511](s,d,e);s=d+16|0;b=f[s>>2]|0;t=(b|0)==0;if(!t){v=f[h>>2]|0;if((v|0)<3)w=Y(f[d+12>>2]|0,f[i>>2]|0)|0;else{x=f[j>>2]|0;y=0;z=1;while(1){A=Y(f[x+(y<<2)>>2]|0,z)|0;y=y+1|0;if((y|0)==(v|0)){w=A;break}else z=A}}if(!((v|0)==0|(w|0)==0)){B=v;C=16}else C=9}else C=9;if((C|0)==9)if(f[e+16>>2]|0){v=f[p>>2]|0;if((v|0)<3)D=Y(f[e+12>>2]|0,f[q>>2]|0)|0;else{w=f[r>>2]|0;z=0;y=1;while(1){x=Y(f[w+(z<<2)>>2]|0,y)|0;z=z+1|0;if((z|0)==(v|0)){D=x;break}else y=x}}if(!((v|0)==0|(D|0)==0)){B=f[h>>2]|0;C=16}else E=0}else E=0;if((C|0)==16){C=(B|0)<3;if(C)F=Y(f[d+12>>2]|0,f[i>>2]|0)|0;else{D=f[j>>2]|0;v=0;y=1;while(1){z=Y(f[D+(v<<2)>>2]|0,y)|0;v=v+1|0;if((v|0)==(B|0)){F=z;break}else y=z}}if(F>>>0<=1){F=f[p>>2]|0;y=(F|0)<3;if(y)G=Y(f[e+12>>2]|0,f[q>>2]|0)|0;else{v=f[r>>2]|0;D=0;z=1;while(1){w=Y(f[v+(D<<2)>>2]|0,z)|0;D=D+1|0;if((D|0)==(F|0)){G=w;break}else z=w}}if(G>>>0<=1){if(!t){if(C)H=Y(f[d+12>>2]|0,f[i>>2]|0)|0;else{i=f[j>>2]|0;C=0;t=1;while(1){G=Y(f[i+(C<<2)>>2]|0,t)|0;C=C+1|0;if((C|0)==(B|0)){H=G;break}else t=G}}if(!((B|0)==0|(H|0)==0))I=+n[b>>2];else I=1.0}else I=1.0;b=f[e+16>>2]|0;if(b){if(y)J=Y(f[e+12>>2]|0,f[q>>2]|0)|0;else{q=f[r>>2]|0;y=0;H=1;while(1){B=Y(f[q+(y<<2)>>2]|0,H)|0;y=y+1|0;if((y|0)==(F|0)){J=B;break}else H=B}}if(!((F|0)==0|(J|0)==0))K=+n[b>>2];else K=0.0}else K=0.0;b=a+4|0;L=I*+N(+(+n[b>>2]),+(+n[a>>2]));n[b>>2]=L;b=a+8|0;n[b>>2]=K+I*+n[b>>2];E=1}else E=0}else E=0}b=e+36|0;a=f[b>>2]|0;if(a|0?(J=a+12|0,a=f[J>>2]|0,f[J>>2]=a+-1,(a|0)==1):0)aU(e);f[b>>2]=0;b=e+16|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;if((f[p>>2]|0)>0){b=f[r>>2]|0;r=0;do{f[b+(r<<2)>>2]=0;r=r+1|0}while((r|0)<(f[p>>2]|0))}p=f[l>>2]|0;if((p|0)!=(k|0))TC(p);p=d+36|0;k=f[p>>2]|0;if(k|0?(l=k+12|0,k=f[l>>2]|0,f[l>>2]=k+-1,(k|0)==1):0)aU(d);f[p>>2]=0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;if((f[h>>2]|0)>0){s=f[j>>2]|0;j=0;do{f[s+(j<<2)>>2]=0;j=j+1|0}while((j|0)<(f[h>>2]|0))}h=f[o>>2]|0;if((h|0)!=(m|0))TC(h);g=E;u=c;return g|0}function Elb(a){a=a|0;fuc(a);return}function Flb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0.0,s=0.0,t=0.0,u=0,v=0,w=0,x=0,y=0.0;c=f[a+16>>2]|0;d=f[a+8>>2]|0;e=f[d+4>>2]|0;g=f[d+40>>2]|0;h=f[g>>2]|0;if((e|0)>1){i=f[g+4>>2]|0;if((e|0)==2){j=i;k=1;l=h}else{m=2;o=1;while(1){p=Y(f[g+(m<<2)>>2]|0,o)|0;m=m+1|0;if((m|0)>=(e|0)){j=i;k=p;l=h;break}else o=p}}}else{j=h;k=1;l=1}h=((c+-1+k|0)>>>0)/(c>>>0)|0;c=Y(f[b>>2]|0,h)|0;o=Y(f[b+4>>2]|0,h)|0;if((l|0)<=0)return;h=f[d+16>>2]|0;b=f[f[d+44>>2]>>2]|0;d=f[a+12>>2]|0;i=f[d+16>>2]|0;e=f[f[d+44>>2]>>2]|0;d=f[a+4>>2]|0;a=(k>>>0<o>>>0?k:o)-c|0;o=d+4|0;m=d+8|0;if((j|0)>0&(a|0)>0)q=0;else return;do{g=h+(Y(b,q)|0)+(c<<2)|0;p=i+(Y(e,q)|0)+(c<<2)|0;r=+n[o>>2];s=+n[m>>2];t=+n[d>>2];if(t==1.0){u=p;v=0;w=g;while(1){x=0;do{n[u+(x<<2)>>2]=s+r*+n[w+(x<<2)>>2];x=x+1|0}while((x|0)!=(a|0));v=v+1|0;if((v|0)==(j|0))break;else{u=u+(k<<2)|0;w=w+(k<<2)|0}}}else{w=0;u=p;v=g;while(1){x=0;do{y=+N(+(s+r*+n[v+(x<<2)>>2]),+t);n[u+(x<<2)>>2]=y;x=x+1|0}while((x|0)!=(a|0));w=w+1|0;if((w|0)==(j|0))break;else{u=u+(k<<2)|0;v=v+(k<<2)|0}}}q=q+1|0}while((q|0)!=(l|0));return}function Glb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;d=u;u=u+128|0;e=d+16|0;g=d;h=c+12|0;i=f[h>>2]|0;j=i;if(((f[c+16>>2]|0)-i|0)!=56){i=cuc(32)|0;f[e>>2]=i;f[e+8>>2]=-2147483616;f[e+4>>2]=24;k=i;l=449973;m=k+24|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));b[i+24>>0]=0;WD(-215,e,458319,445986,1159)}i=f[j+4>>2]|0;if((i|0)<3)n=Y(f[j+12>>2]|0,f[j+8>>2]|0)|0;else{o=f[j+40>>2]|0;p=0;q=1;while(1){r=Y(f[o+(p<<2)>>2]|0,q)|0;p=p+1|0;if((p|0)==(i|0)){n=r;break}else q=r}}if((n|0)==1){gKa(e,c);f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;n=cuc(16)|0;f[g>>2]=n;f[g+8>>2]=-2147483632;f[g+4>>2]=14;k=n;l=445655;m=k+14|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));b[n+14>>0]=0;jEa(e,g,f[(f[h>>2]|0)+16>>2]|0)|0;if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);Wib(g,e);f[a>>2]=f[g>>2];f[a+4>>2]=f[g+4>>2];g=e+36|0;if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);g=e+24|0;if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);ut(e+12|0);lEa(e,f[e+4>>2]|0);u=d;return}g=cuc(152)|0;Hlb(e,j);Ilb(g,e);j=g;h=cuc(16)|0;f[h+4>>2]=0;f[h+8>>2]=0;f[h>>2]=131300;f[h+12>>2]=j;n=h;VH(e+56|0);h=e+36|0;l=f[h>>2]|0;if(l|0?(k=l+12|0,l=f[k>>2]|0,f[k>>2]=l+-1,(l|0)==1):0)aU(e);f[h>>2]=0;h=e+16|0;l=e+4|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;if((f[l>>2]|0)>0){h=f[e+40>>2]|0;k=0;do{f[h+(k<<2)>>2]=0;k=k+1|0}while((k|0)<(f[l>>2]|0))}l=f[e+44>>2]|0;if((l|0)!=(e+48|0))TC(l);XMa(g,c);f[a>>2]=j;f[a+4>>2]=n;u=d;return}function Hlb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;c=u;u=u+48|0;d=c;f[a>>2]=f[b>>2];e=a+4|0;g=b+4|0;f[e>>2]=f[g>>2];h=a+8|0;f[h>>2]=f[b+8>>2];f[a+12>>2]=f[b+12>>2];f[a+16>>2]=f[b+16>>2];f[a+20>>2]=f[b+20>>2];f[a+24>>2]=f[b+24>>2];f[a+28>>2]=f[b+28>>2];f[a+32>>2]=f[b+32>>2];i=f[b+36>>2]|0;f[a+36>>2]=i;f[a+40>>2]=h;h=a+48|0;j=a+44|0;f[j>>2]=h;f[h>>2]=0;f[a+52>>2]=0;if(i|0){h=i+12|0;f[h>>2]=(f[h>>2]|0)+1}if((f[g>>2]|0)<3){g=f[b+44>>2]|0;h=f[j>>2]|0;f[h>>2]=f[g>>2];f[h+4>>2]=f[g+4>>2]}else{f[e>>2]=0;$T(a,b)}b=a+56|0;f[b>>2]=1124007936;e=a+60|0;g=a+64|0;h=a+76|0;j=a+80|0;i=a+84|0;k=a+88|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;f[e+16>>2]=0;f[e+20>>2]=0;f[e+24>>2]=0;f[k>>2]=g;l=a+96|0;f[a+92>>2]=l;f[a+100>>2]=0;f[l>>2]=0;QH(d,a,16777216,0);if((b|0)==(d|0)){VH(d);u=c;return}m=f[j>>2]|0;if(m|0?(n=m+8|0,m=f[n>>2]|0,f[n>>2]=m+-1,(m|0)==1):0)WH(b);if((f[e>>2]|0)>0){m=f[k>>2]|0;n=0;do{f[m+(n<<2)>>2]=0;n=n+1|0}while((n|0)<(f[e>>2]|0))}f[b>>2]=f[d>>2];b=d+4|0;n=f[b>>2]|0;f[e>>2]=n;e=d+8|0;f[g>>2]=f[e>>2];f[a+68>>2]=f[d+12>>2];f[a+72>>2]=f[d+16>>2];f[h>>2]=f[d+20>>2];h=d+24|0;f[j>>2]=f[h>>2];j=d+28|0;f[i>>2]=f[j>>2];i=a+92|0;m=f[i>>2]|0;if((m|0)==(l|0))o=n;else{TC(m);f[i>>2]=l;f[k>>2]=g;o=f[b>>2]|0}g=d+36|0;if((o|0)<3){o=f[g>>2]|0;f[l>>2]=f[o>>2];f[a+100>>2]=f[o+4>>2]}else{f[i>>2]=f[g>>2];i=d+32|0;f[a+88>>2]=f[i>>2];f[g>>2]=d+40;f[i>>2]=e}f[d>>2]=1124007936;f[h>>2]=0;f[j>>2]=0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;VH(d);u=c;return}function Ilb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;d=u;u=u+64|0;e=d;WMa(a);f[a>>2]=131328;g=a+44|0;f[e>>2]=1124007936;h=e+4|0;i=e+8|0;j=e+40|0;k=h;l=k+36|0;do{f[k>>2]=0;k=k+4|0}while((k|0)<(l|0));f[j>>2]=i;i=e+48|0;k=e+44|0;f[k>>2]=i;f[i>>2]=0;f[e+52>>2]=0;Hlb(g,e);l=e+36|0;m=f[l>>2]|0;if(m|0?(n=m+12|0,m=f[n>>2]|0,f[n>>2]=m+-1,(m|0)==1):0)aU(e);f[l>>2]=0;l=e+16|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;if((f[h>>2]|0)>0){l=f[j>>2]|0;j=0;do{f[l+(j<<2)>>2]=0;j=j+1|0}while((j|0)<(f[h>>2]|0))}h=f[k>>2]|0;if((h|0)==(i|0)){o=a+148|0;b[o>>0]=0;Nlb(g,c)|0;u=d;return}TC(h);o=a+148|0;b[o>>0]=0;Nlb(g,c)|0;u=d;return}function Jlb(a){a=a|0;Qtc(a);fuc(a);return}function Klb(a){a=a|0;var b=0;b=f[a+12>>2]|0;if(!b)return;bi[f[(f[b>>2]|0)+4>>2]&2047](b);return}function Llb(a,b){a=a|0;b=b|0;return ((f[b+4>>2]|0)==449998?a+12|0:0)|0}function Mlb(a){a=a|0;fuc(a);return}function Nlb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=(a|0)==(b|0);if(c)return a|0;d=b+36|0;e=f[d>>2]|0;if(e|0){g=e+12|0;f[g>>2]=(f[g>>2]|0)+1}g=a+36|0;e=f[g>>2]|0;if(e|0?(h=e+12|0,e=f[h>>2]|0,f[h>>2]=e+-1,(e|0)==1):0)aU(a);f[g>>2]=0;e=a+16|0;h=a+4|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((f[h>>2]|0)>0){i=f[a+40>>2]|0;j=0;do{f[i+(j<<2)>>2]=0;j=j+1|0;k=f[h>>2]|0}while((j|0)<(k|0));f[a>>2]=f[b>>2];if((k|0)<3)l=12;else l=14}else{f[a>>2]=f[b>>2];l=12}if((l|0)==12){k=f[b+4>>2]|0;if((k|0)<3){f[h>>2]=k;f[a+8>>2]=f[b+8>>2];f[a+12>>2]=f[b+12>>2];k=f[b+44>>2]|0;h=f[a+44>>2]|0;f[h>>2]=f[k>>2];f[h+4>>2]=f[k+4>>2]}else l=14}if((l|0)==14)$T(a,b);f[e>>2]=f[b+16>>2];f[a+20>>2]=f[b+20>>2];f[a+24>>2]=f[b+24>>2];f[a+28>>2]=f[b+28>>2];f[a+32>>2]=f[b+32>>2];f[g>>2]=f[d>>2];d=a+56|0;g=b+56|0;if(c)return a|0;c=b+80|0;e=f[c>>2]|0;if(e|0){k=e+8|0;f[k>>2]=(f[k>>2]|0)+1}k=a+80|0;e=f[k>>2]|0;if(e|0?(h=e+8|0,e=f[h>>2]|0,f[h>>2]=e+-1,(e|0)==1):0)WH(d);e=a+60|0;if((f[e>>2]|0)>0){h=f[a+88>>2]|0;j=0;do{f[h+(j<<2)>>2]=0;j=j+1|0;m=f[e>>2]|0}while((j|0)<(m|0));f[k>>2]=0;f[d>>2]=f[g>>2];if((m|0)<3)l=26;else l=28}else{f[k>>2]=0;f[d>>2]=f[g>>2];l=26}if((l|0)==26){m=f[b+60>>2]|0;if((m|0)<3){f[e>>2]=m;f[a+64>>2]=f[b+64>>2];f[a+68>>2]=f[b+68>>2];m=f[b+92>>2]|0;e=f[a+92>>2]|0;f[e>>2]=f[m>>2];f[e+4>>2]=f[m+4>>2]}else l=28}if((l|0)==28)UH(d,g);f[a+72>>2]=f[b+72>>2];g=a+76|0;if(!(f[g>>2]|0))f[g>>2]=f[b+76>>2];f[k>>2]=f[c>>2];f[a+84>>2]=f[b+84>>2];return a|0}function Olb(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=131328;VH(a+100|0);b=a+44|0;c=a+80|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+60|0;b=a+48|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+84>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+88>>2]|0;if((b|0)==(a+92|0)){pKa(a);return}TC(b);pKa(a);return}function Plb(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=131328;VH(a+100|0);b=a+44|0;c=a+80|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+60|0;b=a+48|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+84>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+88>>2]|0;if((b|0)==(a+92|0)){pKa(a);fuc(a);return}TC(b);pKa(a);fuc(a);return}function Qlb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;g=u;u=u+64|0;h=g+56|0;i=g+40|0;j=g+28|0;k=g+8|0;l=g;gV(h,131432);if((CJ(c,-1)|0)==3)JKa(a,c,d,e);else{f[i>>2]=0;e=i+4|0;f[e>>2]=0;f[i+8>>2]=0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;sJ(c,i);sJ(d,j);d=f[i>>2]|0;a:do if((f[e>>2]|0)!=(d|0)){c=a+44|0;m=k+4|0;n=k+8|0;o=k+12|0;p=k+16|0;q=l+4|0;r=0;s=d;b:while(1){t=s;v=t+(r*56|0)|0;w=f[j>>2]|0;x=w+(r*56|0)|0;y=f[t+(r*56|0)+40>>2]|0;t=f[y+-4>>2]|0;z=f[w+(r*56|0)+40>>2]|0;if((t|0)!=(f[z+-4>>2]|0))break;if((t|0)==2){if((f[y>>2]|0)!=(f[z>>2]|0))break;if((f[y+4>>2]|0)!=(f[z+4>>2]|0))break}else if((t|0)>0){w=0;do{if((f[y+(w<<2)>>2]|0)!=(f[z+(w<<2)>>2]|0))break b;w=w+1|0}while((w|0)<(t|0))}t=f[v>>2]|0;w=t&4095;z=f[x>>2]|0;if(!((w|0)==5&((w|0)==(z&4095|0)&(t&16384&z|0)!=0)))break;z=tZ()|0;f[k>>2]=131460;f[m>>2]=c;f[n>>2]=v;f[o>>2]=x;f[p>>2]=z;f[l>>2]=0;f[q>>2]=z;sZ(l,k,+(z|0));r=r+1|0;s=f[i>>2]|0;if(r>>>0>=(((f[e>>2]|0)-s|0)/56|0)>>>0)break a}f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;s=cuc(128)|0;f[k>>2]=s;f[k+8>>2]=-2147483520;f[k+4>>2]=116;r=s;q=445869;p=r+116|0;do{b[r>>0]=b[q>>0]|0;r=r+1|0;q=q+1|0}while((r|0)<(p|0));b[s+116>>0]=0;WD(-215,k,477126,445986,205)}while(0);ut(j);ut(i)}if(!(f[h+4>>2]|0)){u=g;return}u=g;return}function Rlb(a,b){a=a|0;b=b|0;return (b|2|0)==3|0}function Slb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function Tlb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function Ulb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function Vlb(a,b){a=a|0;b=b|0;return 0}function Wlb(a,b,c){a=a|0;b=b|0;c=c|0;return}function Xlb(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;GKa(a,b,c,d,e)|0;return 1}function Ylb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;c=u;u=u+16|0;a=c;e=f[d+4>>2]|0;g=f[d>>2]|0;d=g;if((e|0)==(g|0)){h=0;i=0;J=h;u=c;return i|0}j=(e-g|0)/12|0;g=0;e=0;k=0;while(1){l=f[d+(g*12|0)+4>>2]|0;m=f[d+(g*12|0)>>2]|0;n=l-m|0;o=n>>2;p=m;if((p|0)!=(l|0)){if((n|0)<=-4){q=7;break}if((n|0)>0){n=0;l=1;while(1){m=Y(f[p+(n<<2)>>2]|0,l)|0;n=n+1|0;if((n|0)>=(o|0)){r=m;break}else l=m}}else r=1}else r=0;l=hzc(r|0,0,e|0,k|0)|0;g=g+1|0;o=ozc(0,l|0,32)|0;l=J;if(g>>>0>=j>>>0){h=l;i=o;q=3;break}else{e=o;k=l}}if((q|0)==3){J=h;u=c;return i|0}else if((q|0)==7){q=cuc(80)|0;f[a>>2]=q;f[a+8>>2]=-2147483568;f[a+4>>2]=70;i=q;c=475319;h=i+70|0;do{b[i>>0]=b[c>>0]|0;i=i+1|0;c=c+1|0}while((i|0)<(h|0));b[q+70>>0]=0;WD(-215,a,475390,475396,161)}return 0}function Zlb(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;_lb(a+44|0,b,c,d,e,f,g);return}function _lb(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0.0,A=0.0;j=u;u=u+16|0;k=j;if((f[a>>2]&20479|0)!=16389){l=cuc(48)|0;f[k>>2]=l;f[k+8>>2]=-2147483600;f[k+4>>2]=46;m=l;o=450215;p=m+46|0;do{b[m>>0]=b[o>>0]|0;m=m+1|0;o=o+1|0}while((m|0)<(p|0));b[l+46>>0]=0;WD(-215,k,450262,445986,986)}l=f[a+16>>2]|0;if((h|0)>-1&(h|0)<(i|0)){q=f[a+4>>2]|0;if((q|0)<3)r=Y(f[a+12>>2]|0,f[a+8>>2]|0)|0;else{s=f[a+40>>2]|0;a=0;t=1;while(1){v=Y(f[s+(a<<2)>>2]|0,t)|0;a=a+1|0;if((a|0)==(q|0)){r=v;break}else t=v}}if((r|0)>=(i|0)){if((e|0)>0){w=d;x=h;y=c}else{u=j;return}while(1){z=+n[l+(x<<2)>>2];c=0;do{A=+n[y+(c<<2)>>2];n[w+(c<<2)>>2]=!(A>=0.0)?z*A:A;c=c+1|0}while((c|0)!=(e|0));x=x+1|0;if((x|0)==(i|0))break;else{w=w+(g<<2)|0;y=y+(g<<2)|0}}u=j;return}}j=cuc(64)|0;f[k>>2]=j;f[k+8>>2]=-2147483584;f[k+4>>2]=50;m=j;o=450268;p=m+50|0;do{b[m>>0]=b[o>>0]|0;m=m+1|0;o=o+1|0}while((m|0)<(p|0));b[j+50>>0]=0;WD(-215,k,450262,445986,989)}function $lb(a){a=a|0;fuc(a);return}function amb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;c=f[a+16>>2]|0;d=a+8|0;e=f[d>>2]|0;g=f[e+4>>2]|0;h=f[e+40>>2]|0;i=f[h>>2]|0;if((g|0)>1){j=f[h+4>>2]|0;if((g|0)==2){k=j;l=1;m=i}else{n=2;o=1;while(1){p=Y(f[h+(n<<2)>>2]|0,o)|0;n=n+1|0;if((n|0)>=(g|0)){k=j;l=p;m=i;break}else o=p}}}else{k=i;l=1;m=1}i=((c+-1+l|0)>>>0)/(c>>>0)|0;c=Y(f[b>>2]|0,i)|0;o=Y(f[b+4>>2]|0,i)|0;if((m|0)<=0)return;i=a+12|0;b=a+4|0;a=(l>>>0<o>>>0?l:o)-c|0;o=0;j=e;while(1){e=(f[j+16>>2]|0)+(Y(f[f[j+44>>2]>>2]|0,o)|0)+(c<<2)|0;g=f[i>>2]|0;n=(f[g+16>>2]|0)+(Y(f[f[g+44>>2]>>2]|0,o)|0)+(c<<2)|0;_lb(f[b>>2]|0,e,n,a,l,0,k);n=o+1|0;if((n|0)==(m|0))break;o=n;j=f[d>>2]|0}return}function bmb(a,b){a=a|0;b=b|0;var c=0;c=cuc(168)|0;cmb(c,b);f[a>>2]=c;b=cuc(16)|0;f[b+4>>2]=0;f[b+8>>2]=0;f[b>>2]=131480;f[b+12>>2]=c;f[a+4>>2]=b;return}function cmb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,L=0,N=0,O=0,P=0,Q=0,R=0,S=0.0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0.0,ca=0.0,da=0.0,ea=0.0,fa=0,ga=0,ha=0,ia=0;d=u;u=u+192|0;e=d+104|0;g=d+96|0;h=d+88|0;i=d+80|0;j=d+72|0;k=d+64|0;l=d+16|0;m=d+136|0;o=d;q=d+120|0;r=d+112|0;WMa(a);f[a>>2]=131508;s=a+44|0;t=a+48|0;v=a+52|0;w=a+56|0;x=a+60|0;y=a+64|0;z=a+68|0;A=a+72|0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;f[s+16>>2]=0;f[s+20>>2]=0;f[s+24>>2]=0;f[s+28>>2]=0;f[a+92>>2]=1124007936;B=a+100|0;C=a+132|0;D=a+96|0;E=D+36|0;do{f[D>>2]=0;D=D+4|0}while((D|0)<(E|0));f[C>>2]=B;B=a+140|0;f[a+136>>2]=B;f[B>>2]=0;f[a+144>>2]=0;B=a+152|0;f[B>>2]=0;C=a+156|0;F=cuc(16)|0;G=F+8|0;f[F>>2]=G;f[F+4>>2]=1;f[C>>2]=F;F=G;f[F>>2]=0;f[F+4>>2]=0;F=a+160|0;f[F>>2]=0;G=a+164|0;H=cuc(16)|0;I=H+8|0;f[H>>2]=I;f[H+4>>2]=1;f[G>>2]=H;H=I;f[H>>2]=0;f[H+4>>2]=0;XMa(a,c);f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;H=cuc(16)|0;f[l>>2]=H;f[l+8>>2]=-2147483632;f[l+4>>2]=11;D=H;I=450826;E=D+11|0;do{b[D>>0]=b[I>>0]|0;D=D+1|0;I=I+1|0}while((D|0)<(E|0));b[H+11>>0]=0;H=gEa(c,l)|0;J=c+4|0;if((H|0)==(J|0))L=16;else{N=hEa(H+28|0,-1)|0;L=N}N=a+84|0;f[N>>2]=L;if((b[l+11>>0]|0)<0)fuc(f[l>>2]|0);f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;L=l+11|0;b[L>>0]=9;D=l;I=450838;E=D+9|0;do{b[D>>0]=b[I>>0]|0;D=D+1|0;I=I+1|0}while((D|0)<(E|0));b[l+9>>0]=0;H=gEa(c,l)|0;if((H|0)==(J|0))O=16;else{P=hEa(H+28|0,-1)|0;O=P}P=a+88|0;f[P>>2]=O;if((b[L>>0]|0)<0)fuc(f[l>>2]|0);f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;L=cuc(16)|0;f[l>>2]=L;f[l+8>>2]=-2147483632;f[l+4>>2]=12;D=L;I=450848;E=D+12|0;do{b[D>>0]=b[I>>0]|0;D=D+1|0;I=I+1|0}while((D|0)<(E|0));b[L+12>>0]=0;L=gEa(c,l)|0;if((L|0)==(J|0))Q=6e3;else{O=hEa(L+28|0,-1)|0;Q=O}O=a+76|0;f[O>>2]=Q;if((b[l+11>>0]|0)<0)fuc(f[l>>2]|0);f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;Q=cuc(16)|0;f[l>>2]=Q;f[l+8>>2]=-2147483632;f[l+4>>2]=13;D=Q;I=450861;E=D+13|0;do{b[D>>0]=b[I>>0]|0;D=D+1|0;I=I+1|0}while((D|0)<(E|0));b[Q+13>>0]=0;Q=gEa(c,l)|0;if((Q|0)==(J|0))R=300;else{L=hEa(Q+28|0,-1)|0;R=L}L=a+80|0;f[L>>2]=R;if((b[l+11>>0]|0)<0)fuc(f[l>>2]|0);R=l+11|0;b[R>>0]=10;D=l;I=450875;E=D+10|0;do{b[D>>0]=b[I>>0]|0;D=D+1|0;I=I+1|0}while((D|0)<(E|0));b[l+10>>0]=0;Q=gEa(c,l)|0;if((Q|0)==(J|0))S=.699999988079071;else S=+iEa(Q+28|0,-1);Q=a+148|0;n[Q>>2]=S;if((b[R>>0]|0)<0)fuc(f[l>>2]|0);f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;R=l+11|0;b[R>>0]=5;b[l>>0]=b[450886]|0;b[l+1>>0]=b[450887]|0;b[l+2>>0]=b[450888]|0;b[l+3>>0]=b[450889]|0;b[l+4>>0]=b[450890]|0;b[l+5>>0]=0;pEa(B,iGa(c,l)|0)|0;if((b[R>>0]|0)<0)fuc(f[l>>2]|0);f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;R=l+11|0;b[R>>0]=5;b[l>>0]=b[458411]|0;b[l+1>>0]=b[458412]|0;b[l+2>>0]=b[458413]|0;b[l+3>>0]=b[458414]|0;b[l+4>>0]=b[458415]|0;b[l+5>>0]=0;pEa(F,iGa(c,l)|0)|0;if((b[R>>0]|0)<0)fuc(f[l>>2]|0);f[m+4>>2]=0;f[m+8>>2]=0;R=m+4|0;f[m>>2]=R;D=m+12|0;E=D+36|0;do{f[D>>2]=0;D=D+4|0}while((D|0)<(E|0));f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;c=l+11|0;b[c>>0]=4;f[l>>2]=1885697139;b[l+4>>0]=0;yEa(m,l,N)|0;if((b[c>>0]|0)<0)fuc(f[l>>2]|0);f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;c=l+11|0;b[c>>0]=4;f[l>>2]=1885957222;b[l+4>>0]=0;b[o>>0]=0;zEa(m,l,o)|0;if((b[c>>0]|0)<0)fuc(f[l>>2]|0);f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;c=l+11|0;b[c>>0]=4;f[l>>2]=1885957219;b[l+4>>0]=0;b[o>>0]=0;zEa(m,l,o)|0;if((b[c>>0]|0)<0)fuc(f[l>>2]|0);f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;c=cuc(16)|0;f[l>>2]=c;f[l+8>>2]=-2147483632;f[l+4>>2]=15;D=c;I=467763;E=D+15|0;do{b[D>>0]=b[I>>0]|0;D=D+1|0;I=I+1|0}while((D|0)<(E|0));b[c+15>>0]=0;b[o>>0]=0;zEa(m,l,o)|0;if((b[l+11>>0]|0)<0)fuc(f[l>>2]|0);f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;c=l+11|0;b[c>>0]=6;b[l>>0]=b[476235]|0;b[l+1>>0]=b[476236]|0;b[l+2>>0]=b[476237]|0;b[l+3>>0]=b[476238]|0;b[l+4>>0]=b[476239]|0;b[l+5>>0]=b[476240]|0;b[l+6>>0]=0;p[o>>3]=+((f[P>>2]|0)>>>0)*.5/+((f[N>>2]|0)>>>0);AEa(m,l,o)|0;if((b[c>>0]|0)<0)fuc(f[l>>2]|0);f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;c=l+11|0;b[c>>0]=8;N=l;f[N>>2]=1769103734;f[N+4>>2]=1701015137;b[l+8>>0]=0;N=cuc(16)|0;f[N>>2]=N+8;f[N+4>>2]=4;J=euc(32)|0;f[N>>2]=J;f[o>>2]=2;f[o+4>>2]=N;p[J>>3]=.10000000149011612;p[J+8>>3]=.10000000149011612;p[J+16>>3]=.20000000298023224;p[J+24>>3]=.20000000298023224;wEa(m,l,o)|0;mEa(o);if((b[c>>0]|0)<0)fuc(f[l>>2]|0);f[o>>2]=0;c=o+4|0;f[c>>2]=0;f[o+8>>2]=0;f[q>>2]=0;J=q+4|0;f[J>>2]=0;f[q+8>>2]=0;N=f[B>>2]|0;switch(N|0){case 0:{T=(f[C>>2]|0)+4|0;break}case 3:{T=(f[a+156>>2]|0)+4|0;break}case 2:{T=(f[a+156>>2]|0)+4|0;break}default:{f[k>>2]=N;cE(l,476242,k);WD(-3,l,476262,476267,297)}}k=f[T>>2]|0;T=f[F>>2]|0;switch(T|0){case 0:{U=(f[G>>2]|0)+4|0;break}case 3:{U=(f[a+164>>2]|0)+4|0;break}case 2:{U=(f[a+164>>2]|0)+4|0;break}default:{f[j>>2]=T;cE(l,476242,j);WD(-3,l,476262,476267,297)}}vAa(o,Y(f[U>>2]|0,k)|0);k=f[B>>2]|0;switch(k|0){case 0:{V=(f[C>>2]|0)+4|0;break}case 3:{V=(f[a+156>>2]|0)+4|0;break}case 2:{V=(f[a+156>>2]|0)+4|0;break}default:{f[i>>2]=k;cE(l,476242,i);WD(-3,l,476262,476267,297)}}i=f[V>>2]|0;V=f[F>>2]|0;switch(V|0){case 0:{W=(f[G>>2]|0)+4|0;break}case 3:{W=(f[a+164>>2]|0)+4|0;break}case 2:{W=(f[a+164>>2]|0)+4|0;break}default:{f[h>>2]=V;cE(l,476242,h);WD(-3,l,476262,476267,297)}}vAa(q,Y(f[W>>2]|0,i)|0);i=o+8|0;W=q+8|0;h=a+164|0;V=a+156|0;a=0;a:while(1){X=f[B>>2]|0;switch(X|0){case 0:{Z=(f[C>>2]|0)+4|0;break}case 3:{Z=(f[V>>2]|0)+4|0;break}case 2:{Z=(f[V>>2]|0)+4|0;break}default:{_=62;break a}}if((a|0)>=(f[Z>>2]|0)){_=64;break}S=+iEa(B,a);k=0;while(1){$=f[F>>2]|0;switch($|0){case 0:{aa=(f[G>>2]|0)+4|0;break}case 3:{aa=(f[h>>2]|0)+4|0;break}case 2:{aa=(f[h>>2]|0)+4|0;break}default:{_=70;break a}}if((k|0)>=(f[aa>>2]|0))break;ba=+iEa(F,k);ca=+K(+(+((f[P>>2]|0)>>>0)/+M(+S)+.5));da=+K(+(S*ca+.5));ea=ba*ca;n[l>>2]=ea;U=f[c>>2]|0;if(U>>>0<(f[i>>2]|0)>>>0){n[U>>2]=ea;f[c>>2]=U+4}else Bw(o,l);ea=ba*da;n[l>>2]=ea;U=f[J>>2]|0;if(U>>>0<(f[W>>2]|0)>>>0){n[U>>2]=ea;f[J>>2]=U+4}else Bw(q,l);k=k+1|0}a=a+1|0}if((_|0)==62){f[g>>2]=X;cE(l,476242,g);WD(-3,l,476262,476267,297)}else if((_|0)==64){f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;g=l+11|0;b[g>>0]=5;b[l>>0]=b[461828]|0;b[l+1>>0]=b[461829]|0;b[l+2>>0]=b[461830]|0;b[l+3>>0]=b[461831]|0;b[l+4>>0]=b[461832]|0;b[l+5>>0]=0;X=f[o>>2]|0;a=(f[c>>2]|0)-X|0;W=a>>2;i=cuc(16)|0;P=i+8|0;f[i>>2]=P;f[i+4>>2]=W;if(W>>>0>1){F=euc(W>>>0>536870911?-1:W<<3)|0;f[i>>2]=F;fa=F}else fa=P;f[r>>2]=2;f[r+4>>2]=i;if((a|0)>0){a=X;X=0;while(1){p[fa+(X<<3)>>3]=+n[a>>2];X=X+1|0;if((X|0)==(W|0))break;else a=a+4|0}}wEa(m,l,r)|0;mEa(r);if((b[g>>0]|0)<0)fuc(f[l>>2]|0);f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;g=l+11|0;b[g>>0]=6;b[l>>0]=b[461834]|0;b[l+1>>0]=b[461835]|0;b[l+2>>0]=b[461836]|0;b[l+3>>0]=b[461837]|0;b[l+4>>0]=b[461838]|0;b[l+5>>0]=b[461839]|0;b[l+6>>0]=0;a=f[q>>2]|0;W=(f[J>>2]|0)-a|0;X=W>>2;fa=cuc(16)|0;i=fa+8|0;f[fa>>2]=i;f[fa+4>>2]=X;if(X>>>0>1){P=euc(X>>>0>536870911?-1:X<<3)|0;f[fa>>2]=P;ga=P}else ga=i;f[r>>2]=2;f[r+4>>2]=fa;if((W|0)>0){W=a;a=0;while(1){p[ga+(a<<3)>>3]=+n[W>>2];a=a+1|0;if((a|0)==(X|0))break;else W=W+4|0}}wEa(m,l,r)|0;mEa(r);if((b[g>>0]|0)<0)fuc(f[l>>2]|0);cqb(l,m);g=f[l>>2]|0;r=l+4|0;W=f[r>>2]|0;if(W|0)Wtc(W);f[s>>2]=g;g=f[t>>2]|0;f[t>>2]=W;if(g|0)Xtc(g);g=f[r>>2]|0;if(g|0)Xtc(g);g=f[q>>2]|0;if(g|0){q=f[J>>2]|0;if((q|0)!=(g|0))f[J>>2]=q+(~((q+-4-g|0)>>>2)<<2);fuc(g)}g=f[o>>2]|0;if(g|0){q=f[c>>2]|0;if((q|0)!=(g|0))f[c>>2]=q+(~((q+-4-g|0)>>>2)<<2);fuc(g)}g=m+36|0;if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);g=m+24|0;if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);ut(m+12|0);lEa(m,f[R>>2]|0);f[l+4>>2]=0;f[l+8>>2]=0;R=l+4|0;f[l>>2]=R;D=l+12|0;E=D+36|0;do{f[D>>2]=0;D=D+4|0}while((D|0)<(E|0));f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;g=m+11|0;b[g>>0]=5;b[m>>0]=b[471004]|0;b[m+1>>0]=b[471005]|0;b[m+2>>0]=b[471006]|0;b[m+3>>0]=b[471007]|0;b[m+4>>0]=b[471008]|0;b[m+5>>0]=0;q=cuc(16)|0;f[q>>2]=q+8;f[q+4>>2]=4;c=euc(32)|0;f[q>>2]=c;f[o>>2]=0;f[o+4>>2]=q;q=c;f[q>>2]=0;f[q+4>>2]=0;q=c+8|0;f[q>>2]=2;f[q+4>>2]=0;q=c+16|0;f[q>>2]=3;f[q+4>>2]=0;q=c+24|0;f[q>>2]=1;f[q+4>>2]=0;wEa(l,m,o)|0;mEa(o);if((b[g>>0]|0)<0)fuc(f[m>>2]|0);Ytb(m,l);g=f[m>>2]|0;q=m+4|0;c=f[q>>2]|0;if(c|0)Wtc(c);f[x>>2]=g;g=f[y>>2]|0;f[y>>2]=c;if(g|0)Xtc(g);g=f[q>>2]|0;if(g|0)Xtc(g);Ytb(m,l);g=f[m>>2]|0;q=m+4|0;c=f[q>>2]|0;if(c|0)Wtc(c);f[z>>2]=g;g=f[A>>2]|0;f[A>>2]=c;if(g|0)Xtc(g);g=f[q>>2]|0;if(g|0)Xtc(g);g=l+36|0;if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);g=l+24|0;if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);ut(l+12|0);lEa(l,f[R>>2]|0);f[l+4>>2]=0;f[l+8>>2]=0;R=l+4|0;f[l>>2]=R;D=l+12|0;E=D+36|0;do{f[D>>2]=0;D=D+4|0}while((D|0)<(E|0));f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;g=m+11|0;b[g>>0]=9;D=m;I=467944;E=D+9|0;do{b[D>>0]=b[I>>0]|0;D=D+1|0;I=I+1|0}while((D|0)<(E|0));b[m+9>>0]=0;hmb(l,m,467966)|0;if((b[g>>0]|0)<0)fuc(f[m>>2]|0);f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;g=cuc(16)|0;f[m>>2]=g;f[m+8>>2]=-2147483632;f[m+4>>2]=11;D=g;I=467631;E=D+11|0;do{b[D>>0]=b[I>>0]|0;D=D+1|0;I=I+1|0}while((D|0)<(E|0));b[g+11>>0]=0;f[o>>2]=1;xEa(l,m,o)|0;if((b[m+11>>0]|0)<0)fuc(f[m>>2]|0);f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;g=cuc(16)|0;f[m>>2]=g;f[m+8>>2]=-2147483632;f[m+4>>2]=14;D=g;I=467643;E=D+14|0;do{b[D>>0]=b[I>>0]|0;D=D+1|0;I=I+1|0}while((D|0)<(E|0));b[g+14>>0]=0;b[o>>0]=1;zEa(l,m,o)|0;if((b[m+11>>0]|0)<0)fuc(f[m>>2]|0);f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;g=cuc(32)|0;f[m>>2]=g;f[m+8>>2]=-2147483616;f[m+4>>2]=19;D=g;I=467658;E=D+19|0;do{b[D>>0]=b[I>>0]|0;D=D+1|0;I=I+1|0}while((D|0)<(E|0));b[g+19>>0]=0;f[o>>2]=1;xEa(l,m,o)|0;if((b[m+11>>0]|0)<0)fuc(f[m>>2]|0);f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;g=cuc(32)|0;f[m>>2]=g;f[m+8>>2]=-2147483616;f[m+4>>2]=26;D=g;I=467678;E=D+26|0;do{b[D>>0]=b[I>>0]|0;D=D+1|0;I=I+1|0}while((D|0)<(E|0));b[g+26>>0]=0;b[o>>0]=1;zEa(l,m,o)|0;if((b[m+11>>0]|0)<0)fuc(f[m>>2]|0);g=m+11|0;b[g>>0]=10;D=m;I=467705;E=D+10|0;do{b[D>>0]=b[I>>0]|0;D=D+1|0;I=I+1|0}while((D|0)<(E|0));b[m+10>>0]=0;yEa(l,m,L)|0;if((b[g>>0]|0)<0)fuc(f[m>>2]|0);f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;g=m+11|0;b[g>>0]=5;b[m>>0]=b[467737]|0;b[m+1>>0]=b[467738]|0;b[m+2>>0]=b[467739]|0;b[m+3>>0]=b[467740]|0;b[m+4>>0]=b[467741]|0;b[m+5>>0]=0;yEa(l,m,O)|0;if((b[g>>0]|0)<0)fuc(f[m>>2]|0);f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;g=cuc(16)|0;f[m>>2]=g;f[m+8>>2]=-2147483632;f[m+4>>2]=13;D=g;I=467796;E=D+13|0;do{b[D>>0]=b[I>>0]|0;D=D+1|0;I=I+1|0}while((D|0)<(E|0));b[g+13>>0]=0;jEa(l,m,Q)|0;if((b[m+11>>0]|0)<0)fuc(f[m>>2]|0);f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;Q=cuc(16)|0;f[m>>2]=Q;f[m+8>>2]=-2147483632;f[m+4>>2]=15;D=Q;I=467763;E=D+15|0;do{b[D>>0]=b[I>>0]|0;D=D+1|0;I=I+1|0}while((D|0)<(E|0));b[Q+15>>0]=0;b[o>>0]=0;zEa(l,m,o)|0;if((b[m+11>>0]|0)<0)fuc(f[m>>2]|0);f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;Q=m+11|0;b[Q>>0]=4;f[m>>2]=1885957219;b[m+4>>0]=0;b[o>>0]=1;zEa(l,m,o)|0;if((b[Q>>0]|0)<0)fuc(f[m>>2]|0);ksb(m,l);Q=f[m>>2]|0;o=m+4|0;m=f[o>>2]|0;if(m|0)Wtc(m);f[v>>2]=Q;Q=f[w>>2]|0;f[w>>2]=m;if(Q|0)Xtc(Q);Q=f[o>>2]|0;if(Q|0)Xtc(Q);Q=l+36|0;if((b[Q+11>>0]|0)<0)fuc(f[Q>>2]|0);Q=l+24|0;if((b[Q+11>>0]|0)>=0){ha=l+12|0;ut(ha);ia=f[R>>2]|0;lEa(l,ia);u=d;return}fuc(f[Q>>2]|0);ha=l+12|0;ut(ha);ia=f[R>>2]|0;lEa(l,ia);u=d;return}else if((_|0)==70){f[e>>2]=$;cE(l,476242,e);WD(-3,l,476262,476267,297)}}function dmb(a){a=a|0;Qtc(a);fuc(a);return}function emb(a){a=a|0;var b=0;b=f[a+12>>2]|0;if(!b)return;bi[f[(f[b>>2]|0)+4>>2]&2047](b);return}function fmb(a,b){a=a|0;b=b|0;return ((f[b+4>>2]|0)==450665?a+12|0:0)|0}function gmb(a){a=a|0;fuc(a);return}function hmb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=u;u=u+48|0;g=e+40|0;h=e+28|0;i=e+8|0;j=e;k=oEa(a,c)|0;if((k|0)!=(a+4|0)){f[g>>2]=3;l=cuc(20)|0;m=l+8|0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[l>>2]=m;f[l+4>>2]=1;f[g+4>>2]=l;wuc(m,d)|0;pEa(k+28|0,g)|0;mEa(g);u=e;return d|0}f[j>>2]=3;k=cuc(20)|0;m=k+8|0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[k>>2]=m;f[k+4>>2]=1;f[j+4>>2]=k;wuc(m,d)|0;ouc(i,c);c=i+12|0;qEa(c,j);m=rEa(a,g,i)|0;if(!(f[m>>2]|0)){sEa(h,a,i);k=f[g>>2]|0;g=f[h>>2]|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=k;f[m>>2]=g;k=f[f[a>>2]>>2]|0;if(!k)n=g;else{f[a>>2]=k;n=f[m>>2]|0}jI(f[a+4>>2]|0,n);n=a+8|0;f[n>>2]=(f[n>>2]|0)+1}mEa(c);if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0);mEa(j);u=e;return d|0}function imb(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=131508;mEa(a+160|0);mEa(a+152|0);b=a+92|0;c=a+128|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+108|0;b=a+96|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+132>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+136>>2]|0;if((b|0)!=(a+140|0))TC(b);b=f[a+72>>2]|0;if(b|0)Xtc(b);b=f[a+64>>2]|0;if(b|0)Xtc(b);b=f[a+56>>2]|0;if(b|0)Xtc(b);b=f[a+48>>2]|0;if(!b){pKa(a);return}Xtc(b);pKa(a);return}function jmb(a){a=a|0;imb(a);fuc(a);return}function kmb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;d=u;u=u+192|0;e=d+168|0;g=d+152|0;h=d+140|0;i=d+128|0;j=d+72|0;k=d+16|0;l=d;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;sJ(c,g);f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;qmb(j,f[g>>2]|0);rmb(h,1,j);c=j+40|0;m=f[c>>2]|0;n=f[m+8>>2]|0;o=f[m+12>>2]|0;p=f[m+4>>2]|0;f[e>>2]=f[m>>2];m=e+4|0;f[m>>2]=n;n=e+8|0;f[n>>2]=o;o=e+12|0;f[o>>2]=p;f[l>>2]=0;p=l+4|0;f[p>>2]=0;f[l+8>>2]=0;q=e+16|0;KKa(l,e,q);r=f[l>>2]|0;s=f[p>>2]|0;a:do if((r|0)==(s|0)){t=r;v=4}else{w=r;do{if((f[w>>2]|0)<0){t=w;v=4;break a}w=w+4|0}while((w|0)!=(s|0))}while(0);if((v|0)==4?(t|0)!=(s|0):0){r=t+4|0;if((r|0)==(s|0)){x=s;y=t}else{w=r;r=t;while(1){t=f[w>>2]|0;if((t|0)<0)z=r;else{f[r>>2]=t;z=r+4|0}w=w+4|0;if((w|0)==(s|0))break;else r=z}x=f[p>>2]|0;y=z}if((y|0)!=(x|0))f[p>>2]=x+(~((x+-4-y|0)>>>2)<<2)}f[k>>2]=1124007936;y=k+4|0;x=k+8|0;z=k+40|0;r=y;s=r+36|0;do{f[r>>2]=0;r=r+4|0}while((r|0)<(s|0));f[z>>2]=x;x=k+48|0;w=k+44|0;f[w>>2]=x;f[x>>2]=0;f[k+52>>2]=0;_T(k,l,5);rmb(i,1,k);t=k+36|0;A=f[t>>2]|0;if(A|0?(B=A+12|0,A=f[B>>2]|0,f[B>>2]=A+-1,(A|0)==1):0)aU(k);f[t>>2]=0;t=k+16|0;f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;f[t+12>>2]=0;if((f[y>>2]|0)>0){t=f[z>>2]|0;z=0;do{f[t+(z<<2)>>2]=0;z=z+1|0}while((z|0)<(f[y>>2]|0))}y=f[w>>2]|0;if((y|0)!=(x|0))TC(y);y=f[l>>2]|0;if(y|0){x=f[p>>2]|0;if((x|0)!=(y|0))f[p>>2]=x+(~((x+-4-y|0)>>>2)<<2);fuc(y)}HMa(f[a+68>>2]|0,h,i);y=f[g>>2]|0;if((f[y+60>>2]|0)!=4){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;x=cuc(32)|0;f[e>>2]=x;f[e+8>>2]=-2147483616;f[e+4>>2]=20;r=x;p=451324;s=r+20|0;do{b[r>>0]=b[p>>0]|0;r=r+1|0;p=p+1|0}while((r|0)<(s|0));b[x+20>>0]=0;WD(-215,e,476610,450911,157)}rmb(h,1,y+56|0);x=f[y+96>>2]|0;y=f[x+8>>2]|0;p=f[x+12>>2]|0;w=f[x+4>>2]|0;f[e>>2]=f[x>>2];f[m>>2]=y;f[n>>2]=p;f[o>>2]=w;f[l>>2]=0;w=l+4|0;f[w>>2]=0;f[l+8>>2]=0;KKa(l,e,q);q=f[l>>2]|0;e=f[w>>2]|0;b:do if((q|0)==(e|0)){C=q;v=29}else{o=q;do{if((f[o>>2]|0)<0){C=o;v=29;break b}o=o+4|0}while((o|0)!=(e|0))}while(0);if((v|0)==29?(C|0)!=(e|0):0){v=C+4|0;if((v|0)==(e|0)){D=e;E=C}else{q=v;v=C;while(1){C=f[q>>2]|0;if((C|0)<0)F=v;else{f[v>>2]=C;F=v+4|0}q=q+4|0;if((q|0)==(e|0))break;else v=F}D=f[w>>2]|0;E=F}if((E|0)!=(D|0))f[w>>2]=D+(~((D+-4-E|0)>>>2)<<2)}f[k>>2]=1124007936;E=k+4|0;D=k+8|0;F=k+40|0;r=E;s=r+36|0;do{f[r>>2]=0;r=r+4|0}while((r|0)<(s|0));f[F>>2]=D;D=k+48|0;r=k+44|0;f[r>>2]=D;f[D>>2]=0;f[k+52>>2]=0;_T(k,l,5);rmb(i,1,k);s=k+36|0;v=f[s>>2]|0;if(v|0?(e=v+12|0,v=f[e>>2]|0,f[e>>2]=v+-1,(v|0)==1):0)aU(k);f[s>>2]=0;s=k+16|0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;if((f[E>>2]|0)>0){s=f[F>>2]|0;F=0;do{f[s+(F<<2)>>2]=0;F=F+1|0}while((F|0)<(f[E>>2]|0))}E=f[r>>2]|0;if((E|0)!=(D|0))TC(E);E=f[l>>2]|0;if(E|0){l=f[w>>2]|0;if((l|0)!=(E|0))f[w>>2]=l+(~((l+-4-E|0)>>>2)<<2);fuc(E)}HMa(f[a+60>>2]|0,h,i);a=j+36|0;E=f[a>>2]|0;if(E|0?(l=E+12|0,E=f[l>>2]|0,f[l>>2]=E+-1,(E|0)==1):0)aU(j);f[a>>2]=0;a=j+16|0;E=j+4|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;if((f[E>>2]|0)>0){a=f[c>>2]|0;c=0;do{f[a+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[E>>2]|0))}E=f[j+44>>2]|0;if((E|0)==(j+48|0)){ut(i);ut(h);ut(g);u=d;return}TC(E);ut(i);ut(h);ut(g);u=d;return}function lmb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0.0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0;g=u;u=u+336|0;h=g+272|0;i=g;j=g+264|0;k=g+248|0;l=g+236|0;m=g+224|0;o=g+212|0;q=g+200|0;r=g+144|0;s=g+88|0;t=g+72|0;v=g+16|0;gV(j,131608);if(f[j>>2]|0){}if((CJ(c,-1)|0)==3)JKa(a,c,d,e);else{f[k>>2]=0;w=k+4|0;f[w>>2]=0;f[k+8>>2]=0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[m>>2]=0;x=m+4|0;f[x>>2]=0;f[m+8>>2]=0;sJ(c,k);sJ(d,l);sJ(e,m);e=f[k>>2]|0;d=e;if(((f[w>>2]|0)-e|0)!=168){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;e=cuc(32)|0;f[h>>2]=e;f[h+8>>2]=-2147483616;f[h+4>>2]=18;y=e;z=450892;A=y+18|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));b[e+18>>0]=0;WD(-215,h,477126,450911,268)}e=f[m>>2]|0;w=e;if(((f[x>>2]|0)-e|0)!=168){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;e=cuc(32)|0;f[h>>2]=e;f[h+8>>2]=-2147483616;f[h+4>>2]=21;y=e;z=451081;A=y+21|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));b[e+21>>0]=0;WD(-215,h,477126,450911,269)}e=d+56|0;x=w+56|0;c=w+112|0;B=f[d+116>>2]|0;if((B|0)<3)C=Y(f[d+124>>2]|0,f[d+120>>2]|0)|0;else{D=f[d+152>>2]|0;E=0;F=1;while(1){G=Y(f[D+(E<<2)>>2]|0,F)|0;E=E+1|0;if((E|0)==(B|0)){C=G;break}else F=G}}if(C>>>0<=1){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;C=cuc(32)|0;f[h>>2]=C;f[h+8>>2]=-2147483616;f[h+4>>2]=19;y=C;z=451103;A=y+19|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));b[C+19>>0]=0;WD(-215,h,477126,450911,277)}C=a+92|0;F=f[d+128>>2]|0;H=+n[F>>2];do if((f[d+112>>2]&16384|0)==0?(B=f[d+152>>2]|0,(f[B>>2]|0)!=1):0){E=f[f[d+156>>2]>>2]|0;if((f[B+4>>2]|0)==1){I=F+E|0;break}else{B=f[d+124>>2]|0;D=(B+1|0)>>>0<3?B:0;I=F+(Y(D,E)|0)+(1-(Y(D,B)|0)<<2)|0;break}}else J=20;while(0);if((J|0)==20)I=F+4|0;F=~~+n[I>>2];f[h>>2]=1;f[h+4>>2]=1;f[h+8>>2]=~~H;f[h+12>>2]=F;f[i>>2]=0;F=i+4|0;f[F>>2]=0;f[i+8>>2]=0;KKa(i,h,h+16|0);I=f[i>>2]|0;B=f[F>>2]|0;a:do if((I|0)==(B|0)){K=I;J=27}else{D=I;do{if((f[D>>2]|0)<0){K=D;J=27;break a}D=D+4|0}while((D|0)!=(B|0))}while(0);if((J|0)==27?(K|0)!=(B|0):0){I=K+4|0;if((I|0)==(B|0)){L=B;M=K}else{D=I;I=K;while(1){K=f[D>>2]|0;if((K|0)<0)N=I;else{f[I>>2]=K;N=I+4|0}D=D+4|0;if((D|0)==(B|0))break;else I=N}L=f[F>>2]|0;M=N}if((M|0)!=(L|0))f[F>>2]=L+(~((L+-4-M|0)>>>2)<<2)}_T(C,i,0);M=f[i>>2]|0;if(M|0){L=f[F>>2]|0;if((L|0)!=(M|0))f[F>>2]=L+(~((L+-4-M|0)>>>2)<<2);fuc(M)}f[o>>2]=0;M=o+4|0;f[M>>2]=0;f[o+8>>2]=0;L=cuc(112)|0;f[o>>2]=L;f[o+8>>2]=L+112;f[L>>2]=1124007936;F=L+8|0;N=L+40|0;y=L+4|0;A=y+36|0;do{f[y>>2]=0;y=y+4|0}while((y|0)<(A|0));f[N>>2]=F;F=L+48|0;f[L+44>>2]=F;f[F>>2]=0;f[L+52>>2]=0;f[L+56>>2]=1124007936;F=L+64|0;N=L+96|0;y=L+60|0;A=y+36|0;do{f[y>>2]=0;y=y+4|0}while((y|0)<(A|0));f[N>>2]=F;F=L+104|0;f[L+100>>2]=F;f[F>>2]=0;f[L+108>>2]=0;f[M>>2]=L+112;PKa(q,1,w);L=f[o>>2]|0;if((L|0)==(d|0))O=d;else{M=d+36|0;F=f[M>>2]|0;if(F|0){N=F+12|0;f[N>>2]=(f[N>>2]|0)+1}N=L+36|0;F=f[N>>2]|0;if(F|0?(I=F+12|0,F=f[I>>2]|0,f[I>>2]=F+-1,(F|0)==1):0)aU(L);f[N>>2]=0;F=L+16|0;I=L+4|0;f[F>>2]=0;f[F+4>>2]=0;f[F+8>>2]=0;f[F+12>>2]=0;if((f[I>>2]|0)>0){B=f[L+40>>2]|0;D=0;do{f[B+(D<<2)>>2]=0;D=D+1|0;P=f[I>>2]|0}while((D|0)<(P|0));f[L>>2]=f[d>>2];if((P|0)<3)J=50;else J=52}else{f[L>>2]=f[d>>2];J=50}if((J|0)==50){P=f[d+4>>2]|0;if((P|0)<3){f[I>>2]=P;f[L+8>>2]=f[d+8>>2];f[L+12>>2]=f[d+12>>2];P=f[d+44>>2]|0;I=f[L+44>>2]|0;f[I>>2]=f[P>>2];f[I+4>>2]=f[P+4>>2]}else J=52}if((J|0)==52)$T(L,d);f[F>>2]=f[d+16>>2];f[L+20>>2]=f[d+20>>2];f[L+24>>2]=f[d+24>>2];f[L+28>>2]=f[d+28>>2];f[L+32>>2]=f[d+32>>2];f[N>>2]=f[M>>2];O=f[o>>2]|0}M=O+56|0;if((M|0)!=(C|0)){N=a+128|0;L=f[N>>2]|0;if(L|0){F=L+12|0;f[F>>2]=(f[F>>2]|0)+1}F=O+92|0;L=f[F>>2]|0;if(L|0?(P=L+12|0,L=f[P>>2]|0,f[P>>2]=L+-1,(L|0)==1):0)aU(M);f[F>>2]=0;L=O+72|0;P=O+60|0;f[L>>2]=0;f[L+4>>2]=0;f[L+8>>2]=0;f[L+12>>2]=0;if((f[P>>2]|0)>0){I=f[O+96>>2]|0;D=0;do{f[I+(D<<2)>>2]=0;D=D+1|0;Q=f[P>>2]|0}while((D|0)<(Q|0));f[M>>2]=f[C>>2];if((Q|0)<3)J=65;else J=67}else{f[M>>2]=f[C>>2];J=65}if((J|0)==65){Q=f[a+96>>2]|0;if((Q|0)<3){f[P>>2]=Q;f[O+64>>2]=f[a+100>>2];f[O+68>>2]=f[a+104>>2];Q=f[a+136>>2]|0;P=f[O+100>>2]|0;f[P>>2]=f[Q>>2];f[P+4>>2]=f[Q+4>>2]}else J=67}if((J|0)==67)$T(M,C);f[L>>2]=f[a+108>>2];f[O+76>>2]=f[a+112>>2];f[O+80>>2]=f[a+116>>2];f[O+84>>2]=f[a+120>>2];f[O+88>>2]=f[a+124>>2];f[F>>2]=f[N>>2]}N=f[a+44>>2]|0;F=f[(f[N>>2]|0)+44>>2]|0;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=17104896;f[h+4>>2]=o;O=i+8|0;f[O>>2]=0;f[O+4>>2]=0;f[i>>2]=33882112;f[i+4>>2]=q;O=r+8|0;f[O>>2]=0;f[O+4>>2]=0;f[r>>2]=33882112;f[r+4>>2]=m;sh[F&255](N,h,i,r);qmb(h,d);rmb(o,1,h);d=h+36|0;N=f[d>>2]|0;if(N|0?(F=N+12|0,N=f[F>>2]|0,f[F>>2]=N+-1,(N|0)==1):0)aU(h);f[d>>2]=0;d=h+16|0;N=h+4|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[N>>2]|0)>0){d=f[h+40>>2]|0;F=0;do{f[d+(F<<2)>>2]=0;F=F+1|0}while((F|0)<(f[N>>2]|0))}N=f[h+44>>2]|0;if((N|0)!=(h+48|0))TC(N);rmb(q,1,x);N=f[a+68>>2]|0;F=f[(f[N>>2]|0)+44>>2]|0;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=17104896;f[h+4>>2]=o;d=i+8|0;f[d>>2]=0;f[d+4>>2]=0;f[i>>2]=33882112;f[i+4>>2]=q;d=r+8|0;f[d>>2]=0;f[d+4>>2]=0;f[r>>2]=33882112;f[r+4>>2]=m;sh[F&255](N,h,i,r);rmb(o,1,e);rmb(q,1,c);e=f[a+60>>2]|0;N=f[(f[e>>2]|0)+44>>2]|0;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=17104896;f[h+4>>2]=o;F=i+8|0;f[F>>2]=0;f[F+4>>2]=0;f[i>>2]=33882112;f[i+4>>2]=q;F=r+8|0;f[F>>2]=0;f[F+4>>2]=0;f[r>>2]=33882112;f[r+4>>2]=m;sh[N&255](e,h,i,r);tJ(o,4);e=f[o>>2]|0;if((e|0)!=(c|0)){N=w+148|0;F=f[N>>2]|0;if(F|0){d=F+12|0;f[d>>2]=(f[d>>2]|0)+1}d=e+36|0;F=f[d>>2]|0;do if(F|0){O=F+12|0;L=f[O>>2]|0;f[O>>2]=L+-1;if((L|0)!=1)break;aU(e)}while(0);f[d>>2]=0;F=e+16|0;L=e+4|0;f[F>>2]=0;f[F+4>>2]=0;f[F+8>>2]=0;f[F+12>>2]=0;if((f[L>>2]|0)>0){O=f[e+40>>2]|0;M=0;do{f[O+(M<<2)>>2]=0;M=M+1|0;R=f[L>>2]|0}while((M|0)<(R|0));f[e>>2]=f[c>>2];if((R|0)<3)J=88;else J=90}else{f[e>>2]=f[c>>2];J=88}do if((J|0)==88){R=f[w+116>>2]|0;if((R|0)>=3){J=90;break}f[L>>2]=R;f[e+8>>2]=f[w+120>>2];f[e+12>>2]=f[w+124>>2];R=f[w+156>>2]|0;M=f[e+44>>2]|0;f[M>>2]=f[R>>2];f[M+4>>2]=f[R+4>>2]}while(0);if((J|0)==90)$T(e,c);f[F>>2]=f[w+128>>2];f[e+20>>2]=f[w+132>>2];f[e+24>>2]=f[w+136>>2];f[e+28>>2]=f[w+140>>2];f[e+32>>2]=f[w+144>>2];f[d>>2]=f[N>>2];N=f[o>>2]|0;if((N|0)==(w|0))S=w;else{T=N;J=92}}else{T=c;J=92}if((J|0)==92){c=T+56|0;N=w+92|0;d=f[N>>2]|0;if(d|0){e=d+12|0;f[e>>2]=(f[e>>2]|0)+1}e=T+92|0;d=f[e>>2]|0;do if(d|0){F=d+12|0;L=f[F>>2]|0;f[F>>2]=L+-1;if((L|0)!=1)break;aU(c)}while(0);f[e>>2]=0;d=T+72|0;L=T+60|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[L>>2]|0)>0){F=f[T+96>>2]|0;R=0;do{f[F+(R<<2)>>2]=0;R=R+1|0;U=f[L>>2]|0}while((R|0)<(U|0));f[c>>2]=f[x>>2];if((U|0)<3)J=102;else J=104}else{f[c>>2]=f[x>>2];J=102}do if((J|0)==102){U=f[w+60>>2]|0;if((U|0)>=3){J=104;break}f[L>>2]=U;f[T+64>>2]=f[w+64>>2];f[T+68>>2]=f[w+68>>2];U=f[w+100>>2]|0;R=f[T+100>>2]|0;f[R>>2]=f[U>>2];f[R+4>>2]=f[U+4>>2]}while(0);if((J|0)==104)$T(c,x);f[d>>2]=f[w+72>>2];f[T+76>>2]=f[w+76>>2];f[T+80>>2]=f[w+80>>2];f[T+84>>2]=f[w+84>>2];f[T+88>>2]=f[w+88>>2];f[e>>2]=f[N>>2];S=f[o>>2]|0}N=S+112|0;if((N|0)==(w|0))V=S;else{e=w+36|0;T=f[e>>2]|0;if(T|0){d=T+12|0;f[d>>2]=(f[d>>2]|0)+1}d=S+148|0;T=f[d>>2]|0;do if(T|0){x=T+12|0;c=f[x>>2]|0;f[x>>2]=c+-1;if((c|0)!=1)break;aU(N)}while(0);f[d>>2]=0;T=S+128|0;c=S+116|0;f[T>>2]=0;f[T+4>>2]=0;f[T+8>>2]=0;f[T+12>>2]=0;if((f[c>>2]|0)>0){x=f[S+152>>2]|0;L=0;do{f[x+(L<<2)>>2]=0;L=L+1|0;W=f[c>>2]|0}while((L|0)<(W|0));f[N>>2]=f[w>>2];if((W|0)<3)J=117;else J=119}else{f[N>>2]=f[w>>2];J=117}do if((J|0)==117){W=f[w+4>>2]|0;if((W|0)>=3){J=119;break}f[c>>2]=W;f[S+120>>2]=f[w+8>>2];f[S+124>>2]=f[w+12>>2];W=f[w+44>>2]|0;L=f[S+156>>2]|0;f[L>>2]=f[W>>2];f[L+4>>2]=f[W+4>>2]}while(0);if((J|0)==119)$T(N,w);f[T>>2]=f[w+16>>2];f[S+132>>2]=f[w+20>>2];f[S+136>>2]=f[w+24>>2];f[S+140>>2]=f[w+28>>2];f[S+144>>2]=f[w+32>>2];f[d>>2]=f[e>>2];V=f[o>>2]|0}e=V+168|0;if((e|0)!=(C|0)){d=a+128|0;w=f[d>>2]|0;if(w|0){S=w+12|0;f[S>>2]=(f[S>>2]|0)+1}S=V+204|0;w=f[S>>2]|0;do if(w|0){T=w+12|0;N=f[T>>2]|0;f[T>>2]=N+-1;if((N|0)!=1)break;aU(e)}while(0);f[S>>2]=0;w=V+184|0;N=V+172|0;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;f[w+12>>2]=0;if((f[N>>2]|0)>0){T=f[V+208>>2]|0;c=0;do{f[T+(c<<2)>>2]=0;c=c+1|0;X=f[N>>2]|0}while((c|0)<(X|0));f[e>>2]=f[C>>2];if((X|0)<3)J=132;else J=134}else{f[e>>2]=f[C>>2];J=132}do if((J|0)==132){X=f[a+96>>2]|0;if((X|0)>=3){J=134;break}f[N>>2]=X;f[V+176>>2]=f[a+100>>2];f[V+180>>2]=f[a+104>>2];X=f[a+136>>2]|0;c=f[V+212>>2]|0;f[c>>2]=f[X>>2];f[c+4>>2]=f[X+4>>2]}while(0);if((J|0)==134)$T(e,C);f[w>>2]=f[a+108>>2];f[V+188>>2]=f[a+112>>2];f[V+192>>2]=f[a+116>>2];f[V+196>>2]=f[a+120>>2];f[V+200>>2]=f[a+124>>2];f[S>>2]=f[d>>2]}f[h>>2]=1124007936;d=h+4|0;S=h+8|0;V=h+40|0;y=d;A=y+36|0;do{f[y>>2]=0;y=y+4|0}while((y|0)<(A|0));f[V>>2]=S;w=h+48|0;f[h+44>>2]=w;f[w>>2]=0;f[h+52>>2]=0;C=f[q>>2]|0;do if((C|0)==(h|0)){f[h+36>>2]=0;e=h+16|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0}else{e=C+36|0;J=f[e>>2]|0;do if(J|0){N=J+12|0;X=f[N>>2]|0;f[N>>2]=X+-1;if((X|0)!=1)break;aU(C)}while(0);f[e>>2]=0;J=C+16|0;X=C+4|0;f[J>>2]=0;f[J+4>>2]=0;f[J+8>>2]=0;f[J+12>>2]=0;if((f[X>>2]|0)>0){N=f[C+40>>2]|0;c=0;do{f[N+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[X>>2]|0))}f[C>>2]=f[h>>2];f[X>>2]=f[d>>2];c=C+8|0;f[c>>2]=f[S>>2];f[C+12>>2]=f[h+12>>2];f[J>>2]=f[h+16>>2];f[C+20>>2]=f[h+20>>2];f[C+24>>2]=f[h+24>>2];f[C+28>>2]=f[h+28>>2];f[C+32>>2]=f[h+32>>2];N=h+36|0;f[e>>2]=f[N>>2];T=C+44|0;W=f[T>>2]|0;L=C+48|0;if((W|0)==(L|0))Z=W;else{TC(W);f[T>>2]=L;f[C+40>>2]=c;Z=L}L=h+44|0;if((f[d>>2]|0)<3){c=f[L>>2]|0;f[Z>>2]=f[c>>2];f[Z+4>>2]=f[c+4>>2];_=c}else{f[T>>2]=f[L>>2];f[C+40>>2]=f[V>>2];f[L>>2]=w;f[V>>2]=S;_=w}f[h>>2]=1124007936;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;f[d+16>>2]=0;f[d+20>>2]=0;f[d+24>>2]=0;f[d+28>>2]=0;f[N>>2]=0;N=h+16|0;f[N>>2]=0;f[N+4>>2]=0;f[N+8>>2]=0;f[N+12>>2]=0;if((_|0)==(w|0))break;TC(_)}while(0);_=f[a+52>>2]|0;w=f[(f[_>>2]|0)+44>>2]|0;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=17104896;f[h+4>>2]=o;d=i+8|0;f[d>>2]=0;f[d+4>>2]=0;f[i>>2]=33882112;f[i+4>>2]=q;d=r+8|0;f[d>>2]=0;f[d+4>>2]=0;f[r>>2]=33882112;f[r+4>>2]=m;sh[w&255](_,h,i,r);_=f[q>>2]|0;w=f[_+4>>2]|0;if((w|0)<3)$=Y(f[_+12>>2]|0,f[_+8>>2]|0)|0;else{d=f[_+40>>2]|0;S=0;V=1;while(1){C=Y(f[d+(S<<2)>>2]|0,V)|0;S=S+1|0;if((S|0)==(w|0)){$=C;break}else V=C}}V=($>>>0)/7|0;$=a+80|0;if(V>>>0>(f[$>>2]|0)>>>0){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;a=cuc(32)|0;f[h>>2]=a;f[h+8>>2]=-2147483616;f[h+4>>2]=26;y=a;z=451123;A=y+26|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));b[a+26>>0]=0;WD(-215,h,477126,450911,311)}mU(h,_,1,V);_=f[q>>2]|0;do if((_|0)==(h|0)){a=h+36|0;z=f[a>>2]|0;if(!z){aa=a;break}w=z+12|0;z=f[w>>2]|0;f[w>>2]=z+-1;if((z|0)!=1){aa=a;break}aU(h);aa=a}else{a=_+36|0;z=f[a>>2]|0;do if(z|0){w=z+12|0;S=f[w>>2]|0;f[w>>2]=S+-1;if((S|0)!=1)break;aU(_)}while(0);f[a>>2]=0;z=_+16|0;e=_+4|0;f[z>>2]=0;f[z+4>>2]=0;f[z+8>>2]=0;f[z+12>>2]=0;if((f[e>>2]|0)>0){J=f[_+40>>2]|0;X=0;do{f[J+(X<<2)>>2]=0;X=X+1|0}while((X|0)<(f[e>>2]|0))}f[_>>2]=f[h>>2];X=h+4|0;f[e>>2]=f[X>>2];J=h+8|0;S=_+8|0;f[S>>2]=f[J>>2];f[_+12>>2]=f[h+12>>2];f[z>>2]=f[h+16>>2];f[_+20>>2]=f[h+20>>2];f[_+24>>2]=f[h+24>>2];f[_+28>>2]=f[h+28>>2];f[_+32>>2]=f[h+32>>2];w=h+36|0;f[a>>2]=f[w>>2];d=_+44|0;C=f[d>>2]|0;Z=_+48|0;if((C|0)==(Z|0))ba=C;else{TC(C);f[d>>2]=Z;f[_+40>>2]=S;ba=Z}Z=h+44|0;if((f[X>>2]|0)<3){S=f[Z>>2]|0;f[ba>>2]=f[S>>2];f[ba+4>>2]=f[S+4>>2]}else{f[d>>2]=f[Z>>2];d=h+40|0;f[_+40>>2]=f[d>>2];f[Z>>2]=h+48;f[d>>2]=J}f[h>>2]=1124007936;y=X;A=y+36|0;do{f[y>>2]=0;y=y+4|0}while((y|0)<(A|0));aa=w}while(0);f[aa>>2]=0;aa=h+16|0;y=h+4|0;f[aa>>2]=0;f[aa+4>>2]=0;f[aa+8>>2]=0;f[aa+12>>2]=0;if((f[y>>2]|0)>0){aa=f[h+40>>2]|0;A=0;do{f[aa+(A<<2)>>2]=0;A=A+1|0}while((A|0)<(f[y>>2]|0))}y=f[h+44>>2]|0;if((y|0)!=(h+48|0))TC(y);y=f[l>>2]|0;f[h>>2]=0;f[h+4>>2]=V;f[i>>2]=-2147483648;f[i+4>>2]=2147483647;bU(r,y,h,i);y=f[q>>2]|0;f[h>>2]=-2147483648;f[h+4>>2]=2147483647;f[i>>2]=3;f[i+4>>2]=7;bU(s,y,h,i);f[h>>2]=-2147483648;f[h+4>>2]=2147483647;f[i>>2]=1;f[i+4>>2]=5;bU(v,r,h,i);y=t+8|0;f[y>>2]=0;f[y+4>>2]=0;f[t>>2]=-1040121856;f[t+4>>2]=v;EI(s,t);t=v+36|0;y=f[t>>2]|0;do if(y|0){A=y+12|0;aa=f[A>>2]|0;f[A>>2]=aa+-1;if((aa|0)!=1)break;aU(v)}while(0);f[t>>2]=0;t=v+16|0;y=v+4|0;f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;f[t+12>>2]=0;if((f[y>>2]|0)>0){t=f[v+40>>2]|0;aa=0;do{f[t+(aa<<2)>>2]=0;aa=aa+1|0}while((aa|0)<(f[y>>2]|0))}y=f[v+44>>2]|0;if((y|0)!=(v+48|0))TC(y);y=s+36|0;v=f[y>>2]|0;do if(v|0){aa=v+12|0;t=f[aa>>2]|0;f[aa>>2]=t+-1;if((t|0)!=1)break;aU(s)}while(0);f[y>>2]=0;y=s+16|0;v=s+4|0;f[y>>2]=0;f[y+4>>2]=0;f[y+8>>2]=0;f[y+12>>2]=0;if((f[v>>2]|0)>0){y=f[s+40>>2]|0;t=0;do{f[y+(t<<2)>>2]=0;t=t+1|0}while((t|0)<(f[v>>2]|0))}v=f[s+44>>2]|0;if((v|0)!=(s+48|0))TC(v);f[h>>2]=-2147483648;f[h+4>>2]=2147483647;f[i>>2]=0;f[i+4>>2]=1;bU(s,r,h,i);p[i>>3]=0.0;f[h>>2]=-1056833530;f[h+4>>2]=i;f[h+8>>2]=1;f[h+12>>2]=1;HI(s,h,sK()|0)|0;v=s+36|0;t=f[v>>2]|0;do if(t|0){y=t+12|0;aa=f[y>>2]|0;f[y>>2]=aa+-1;if((aa|0)!=1)break;aU(s)}while(0);f[v>>2]=0;v=s+16|0;t=s+4|0;f[v>>2]=0;f[v+4>>2]=0;f[v+8>>2]=0;f[v+12>>2]=0;if((f[t>>2]|0)>0){v=f[s+40>>2]|0;aa=0;do{f[v+(aa<<2)>>2]=0;aa=aa+1|0}while((aa|0)<(f[t>>2]|0))}t=f[s+44>>2]|0;if((t|0)!=(s+48|0))TC(t);t=(f[l>>2]|0)+56|0;f[h>>2]=0;f[h+4>>2]=V;f[i>>2]=-2147483648;f[i+4>>2]=2147483647;bU(s,t,h,i);t=r+36|0;aa=f[t>>2]|0;do if(aa|0){v=aa+12|0;y=f[v>>2]|0;f[v>>2]=y+-1;if((y|0)!=1)break;aU(r)}while(0);f[t>>2]=0;aa=r+16|0;y=r+4|0;f[aa>>2]=0;f[aa+4>>2]=0;f[aa+8>>2]=0;f[aa+12>>2]=0;if((f[y>>2]|0)>0){v=f[r+40>>2]|0;A=0;do{f[v+(A<<2)>>2]=0;A=A+1|0}while((A|0)<(f[y>>2]|0))}f[r>>2]=f[s>>2];A=s+4|0;v=f[A>>2]|0;f[y>>2]=v;_=s+8|0;ba=r+8|0;f[ba>>2]=f[_>>2];f[r+12>>2]=f[s+12>>2];a=s+16|0;f[aa>>2]=f[a>>2];f[r+20>>2]=f[s+20>>2];f[r+24>>2]=f[s+24>>2];f[r+28>>2]=f[s+28>>2];f[r+32>>2]=f[s+32>>2];z=s+36|0;f[t>>2]=f[z>>2];e=r+44|0;X=f[e>>2]|0;J=r+48|0;if((X|0)==(J|0)){ca=v;da=X}else{TC(X);f[e>>2]=J;f[r+40>>2]=ba;ca=f[A>>2]|0;da=J}ba=s+44|0;if((ca|0)<3){ca=f[ba>>2]|0;f[da>>2]=f[ca>>2];f[da+4>>2]=f[ca+4>>2];ea=ca}else{f[e>>2]=f[ba>>2];e=s+40|0;f[r+40>>2]=f[e>>2];ca=s+48|0;f[ba>>2]=ca;f[e>>2]=_;ea=ca}f[s>>2]=1124007936;f[A>>2]=0;f[A+4>>2]=0;f[A+8>>2]=0;f[A+12>>2]=0;f[A+16>>2]=0;f[A+20>>2]=0;f[A+24>>2]=0;f[A+28>>2]=0;f[z>>2]=0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;if((ea|0)!=(s+48|0))TC(ea);ea=f[q>>2]|0;f[h>>2]=-2147483648;f[h+4>>2]=2147483647;f[i>>2]=2;f[i+4>>2]=3;bU(s,ea,h,i);ea=h+8|0;f[ea>>2]=0;f[ea+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=r;EI(s,h);ea=s+36|0;a=f[ea>>2]|0;do if(a|0){z=a+12|0;A=f[z>>2]|0;f[z>>2]=A+-1;if((A|0)!=1)break;aU(s)}while(0);f[ea>>2]=0;ea=s+16|0;a=s+4|0;f[ea>>2]=0;f[ea+4>>2]=0;f[ea+8>>2]=0;f[ea+12>>2]=0;if((f[a>>2]|0)>0){ea=f[s+40>>2]|0;A=0;do{f[ea+(A<<2)>>2]=0;A=A+1|0}while((A|0)<(f[a>>2]|0))}a=f[s+44>>2]|0;if((a|0)!=(s+48|0))TC(a);a=f[$>>2]|0;if(V>>>0<a>>>0){A=h+4|0;ea=i+4|0;z=h+8|0;ca=h+12|0;_=h+4|0;e=s+36|0;ba=s+16|0;da=s+4|0;X=s+40|0;v=s+44|0;d=s+48|0;Z=f[l>>2]|0;f[h>>2]=V;f[A>>2]=a;f[i>>2]=-2147483648;f[ea>>2]=2147483647;bU(s,Z,h,i);p[i>>3]=0.0;f[h>>2]=-1056833530;f[_>>2]=i;f[z>>2]=1;f[ca>>2]=1;HI(s,h,sK()|0)|0;Z=f[e>>2]|0;do if(Z|0){a=Z+12|0;S=f[a>>2]|0;f[a>>2]=S+-1;if((S|0)!=1)break;aU(s)}while(0);f[e>>2]=0;f[ba>>2]=0;f[ba+4>>2]=0;f[ba+8>>2]=0;f[ba+12>>2]=0;if((f[da>>2]|0)>0){Z=f[X>>2]|0;S=0;do{f[Z+(S<<2)>>2]=0;S=S+1|0}while((S|0)<(f[da>>2]|0))}S=f[v>>2]|0;if((S|0)!=(d|0))TC(S);S=(f[l>>2]|0)+56|0;Z=f[$>>2]|0;f[h>>2]=V;f[A>>2]=Z;f[i>>2]=-2147483648;f[ea>>2]=2147483647;bU(s,S,h,i);p[i>>3]=0.0;f[h>>2]=-1056833530;f[_>>2]=i;f[z>>2]=1;f[ca>>2]=1;HI(s,h,sK()|0)|0;h=f[e>>2]|0;do if(h|0){ca=h+12|0;z=f[ca>>2]|0;f[ca>>2]=z+-1;if((z|0)!=1)break;aU(s)}while(0);f[e>>2]=0;f[ba>>2]=0;f[ba+4>>2]=0;f[ba+8>>2]=0;f[ba+12>>2]=0;if((f[da>>2]|0)>0){ba=f[X>>2]|0;X=0;do{f[ba+(X<<2)>>2]=0;X=X+1|0}while((X|0)<(f[da>>2]|0))}da=f[v>>2]|0;if((da|0)!=(d|0))TC(da)}da=f[t>>2]|0;do if(da|0){d=da+12|0;v=f[d>>2]|0;f[d>>2]=v+-1;if((v|0)!=1)break;aU(r)}while(0);f[t>>2]=0;f[aa>>2]=0;f[aa+4>>2]=0;f[aa+8>>2]=0;f[aa+12>>2]=0;if((f[y>>2]|0)>0){aa=f[r+40>>2]|0;t=0;do{f[aa+(t<<2)>>2]=0;t=t+1|0}while((t|0)<(f[y>>2]|0))}y=f[r+44>>2]|0;if((y|0)!=(J|0))TC(y);ut(q);ut(o);ut(m);ut(l);ut(k)}if(!(f[j+4>>2]|0)){u=g;return}u=g;return}function mmb(a,b){a=a|0;b=b|0;var c=0;switch(b|0){case 3:{c=1;break}case 2:{c=(f[a+40>>2]|0)!=3;break}default:c=0}return c|0}function nmb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function omb(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0;d=u;u=u+80|0;h=d+64|0;i=d+48|0;j=d+36|0;k=d+24|0;l=d+12|0;m=d;n=f[c>>2]|0;o=n;if(((f[c+4>>2]|0)-n|0)!=36){c=cuc(32)|0;f[h>>2]=c;f[h+8>>2]=-2147483616;f[h+4>>2]=18;p=c;q=450892;r=p+18|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(r|0));b[c+18>>0]=0;WD(-215,h,477070,450911,102)}c=o+12|0;f[i>>2]=0;s=i+4|0;f[s>>2]=0;f[i+8>>2]=0;f[j>>2]=0;t=j+4|0;f[t>>2]=0;f[j+8>>2]=0;f[k>>2]=0;v=k+4|0;f[v>>2]=0;f[k+8>>2]=0;IKa(i,1,o);w=f[a+44>>2]|0;mh[f[(f[w>>2]|0)+92>>2]&127](w,i,1,j,k)|0;w=f[j>>2]|0;x=w;if(((f[t>>2]|0)-w|0)!=12){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;w=cuc(32)|0;f[h>>2]=w;f[h+8>>2]=-2147483616;f[h+4>>2]=24;p=w;q=450993;r=p+24|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(r|0));b[w+24>>0]=0;WD(-215,h,477070,450911,112)}if((f[k>>2]|0)!=(f[v>>2]|0)){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;w=cuc(32)|0;f[h>>2]=w;f[h+8>>2]=-2147483616;f[h+4>>2]=22;p=w;q=451018;r=p+22|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(r|0));b[w+22>>0]=0;WD(-215,h,477070,450911,113)}w=g+4|0;y=f[w>>2]|0;z=g+8|0;if((y|0)==(f[z>>2]|0))uHa(g,x);else{tHa(y,x);f[w>>2]=(f[w>>2]|0)+12}if(((f[o+4>>2]|0)-(f[n>>2]|0)|0)!=16){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;n=cuc(32)|0;f[h>>2]=n;f[h+8>>2]=-2147483616;f[h+4>>2]=18;p=n;q=451041;r=p+18|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(r|0));b[n+18>>0]=0;WD(-215,h,477070,450911,117)}tHa(l,o);if(f[(f[o>>2]|0)+4>>2]&1|0){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;o=cuc(32)|0;f[h>>2]=o;f[h+8>>2]=-2147483616;f[h+4>>2]=20;p=o;q=451060;r=p+20|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(r|0));b[o+20>>0]=0;WD(-215,h,477070,450911,119)}o=(f[l>>2]|0)+4|0;f[o>>2]=(f[o>>2]|0)/2|0;IKa(i,1,l);o=f[a+68>>2]|0;mh[f[(f[o>>2]|0)+92>>2]&127](o,i,1,j,k)|0;o=f[j>>2]|0;n=o;if(((f[t>>2]|0)-o|0)!=12){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;o=cuc(32)|0;f[h>>2]=o;f[h+8>>2]=-2147483616;f[h+4>>2]=24;p=o;q=450993;r=p+24|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(r|0));b[o+24>>0]=0;WD(-215,h,477070,450911,123)}if((f[k>>2]|0)!=(f[v>>2]|0)){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;o=cuc(32)|0;f[h>>2]=o;f[h+8>>2]=-2147483616;f[h+4>>2]=22;p=o;q=451018;r=p+22|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(r|0));b[o+22>>0]=0;WD(-215,h,477070,450911,124)}o=f[w>>2]|0;if((o|0)==(f[z>>2]|0))uHa(g,n);else{tHa(o,n);f[w>>2]=(f[w>>2]|0)+12}IKa(i,1,c);c=f[a+60>>2]|0;mh[f[(f[c>>2]|0)+92>>2]&127](c,i,1,j,k)|0;c=f[j>>2]|0;n=c;if(((f[t>>2]|0)-c|0)!=12){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;c=cuc(32)|0;f[h>>2]=c;f[h+8>>2]=-2147483616;f[h+4>>2]=24;p=c;q=450993;r=p+24|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(r|0));b[c+24>>0]=0;WD(-215,h,477070,450911,130)}if((f[k>>2]|0)!=(f[v>>2]|0)){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;c=cuc(32)|0;f[h>>2]=c;f[h+8>>2]=-2147483616;f[h+4>>2]=22;p=c;q=451018;r=p+22|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(r|0));b[c+22>>0]=0;WD(-215,h,477070,450911,131)}c=f[w>>2]|0;if((c|0)==(f[z>>2]|0))uHa(g,n);else{tHa(c,n);f[w>>2]=(f[w>>2]|0)+12}w=e+4|0;n=f[w>>2]|0;c=f[e>>2]|0;g=n-c|0;z=(g|0)/12|0;q=c;c=n;if(z>>>0>=2){if((g|0)!=24?(g=q+24|0,(c|0)!=(g|0)):0){q=c;while(1){c=q+-12|0;f[w>>2]=c;n=f[c>>2]|0;if(!n)A=c;else{c=q+-8|0;p=f[c>>2]|0;if((p|0)!=(n|0))f[c>>2]=p+(~((p+-4-n|0)>>>2)<<2);fuc(n);A=f[w>>2]|0}if((A|0)==(g|0))break;else q=A}}}else pmb(e,2-z|0);z=a+80|0;f[h>>2]=f[z>>2];a=h+4|0;f[a>>2]=5;A=h+8|0;f[A>>2]=-1;q=h+12|0;f[q>>2]=-1;f[m>>2]=0;g=m+4|0;f[g>>2]=0;f[m+8>>2]=0;w=h+16|0;KKa(m,h,w);n=f[m>>2]|0;p=f[g>>2]|0;c=n;r=p;a:do if((n|0)==(p|0)){B=n;C=40}else{o=n;while(1){if((f[o>>2]|0)<0){B=o;C=40;break a}o=o+4|0;if((o|0)==(p|0)){D=r;break}}}while(0);if((C|0)==40)if((B|0)!=(p|0)){n=B+4|0;if((n|0)==(p|0)){E=p;F=B;G=r}else{o=n;n=B;while(1){B=f[o>>2]|0;if((B|0)<0)H=n;else{f[n>>2]=B;H=n+4|0}o=o+4|0;if((o|0)==(p|0))break;else n=H}n=f[g>>2]|0;E=n;F=H;G=n}if((F|0)==(E|0))D=G;else{G=E+(~((E+-4-F|0)>>>2)<<2)|0;f[g>>2]=G;D=G}}else D=r;r=f[e>>2]|0;G=f[r>>2]|0;F=r+4|0;if(!G){I=r+8|0;J=c;K=D}else{D=f[F>>2]|0;if((D|0)!=(G|0))f[F>>2]=D+(~((D+-4-G|0)>>>2)<<2);fuc(G);G=r+8|0;f[G>>2]=0;f[F>>2]=0;f[r>>2]=0;I=G;J=f[m>>2]|0;K=f[g>>2]|0}f[r>>2]=J;f[F>>2]=K;f[I>>2]=f[m+8>>2];f[h>>2]=f[z>>2];f[a>>2]=1;f[A>>2]=-1;f[q>>2]=-1;f[m>>2]=0;q=m+4|0;f[q>>2]=0;f[m+8>>2]=0;KKa(m,h,w);w=f[m>>2]|0;h=f[q>>2]|0;A=w;a=h;b:do if((w|0)==(h|0)){L=w;C=56}else{z=w;while(1){if((f[z>>2]|0)<0){L=z;C=56;break b}z=z+4|0;if((z|0)==(h|0)){M=a;break}}}while(0);if((C|0)==56)if((L|0)!=(h|0)){C=L+4|0;if((C|0)==(h|0)){N=h;O=L;P=a}else{w=C;C=L;while(1){L=f[w>>2]|0;if((L|0)<0)Q=C;else{f[C>>2]=L;Q=C+4|0}w=w+4|0;if((w|0)==(h|0))break;else C=Q}C=f[q>>2]|0;N=C;O=Q;P=C}if((O|0)==(N|0))M=P;else{P=N+(~((N+-4-O|0)>>>2)<<2)|0;f[q>>2]=P;M=P}}else M=a;a=f[e>>2]|0;e=a+12|0;P=f[e>>2]|0;O=a+16|0;if(!P){R=a+20|0;S=A;T=M}else{M=f[O>>2]|0;if((M|0)!=(P|0))f[O>>2]=M+(~((M+-4-P|0)>>>2)<<2);fuc(P);P=a+20|0;f[P>>2]=0;f[O>>2]=0;f[e>>2]=0;R=P;S=f[m>>2]|0;T=f[q>>2]|0}f[e>>2]=S;f[O>>2]=T;f[R>>2]=f[m+8>>2];m=f[l>>2]|0;if(m|0){R=l+4|0;l=f[R>>2]|0;if((l|0)!=(m|0))f[R>>2]=l+(~((l+-4-m|0)>>>2)<<2);fuc(m)}m=f[k>>2]|0;if(m|0){l=f[v>>2]|0;if((l|0)==(m|0))U=m;else{R=l;while(1){l=R+-12|0;f[v>>2]=l;T=f[l>>2]|0;if(!T)V=l;else{l=R+-8|0;O=f[l>>2]|0;if((O|0)!=(T|0))f[l>>2]=O+(~((O+-4-T|0)>>>2)<<2);fuc(T);V=f[v>>2]|0}if((V|0)==(m|0))break;else R=V}U=f[k>>2]|0}fuc(U)}U=f[j>>2]|0;if(U|0){k=f[t>>2]|0;if((k|0)==(U|0))W=U;else{V=k;while(1){k=V+-12|0;f[t>>2]=k;R=f[k>>2]|0;if(!R)X=k;else{k=V+-8|0;m=f[k>>2]|0;if((m|0)!=(R|0))f[k>>2]=m+(~((m+-4-R|0)>>>2)<<2);fuc(R);X=f[t>>2]|0}if((X|0)==(U|0))break;else V=X}W=f[j>>2]|0}fuc(W)}W=f[i>>2]|0;if(!W){u=d;return 0}j=f[s>>2]|0;if((j|0)==(W|0))Y=W;else{X=j;while(1){j=X+-12|0;f[s>>2]=j;V=f[j>>2]|0;if(!V)Z=j;else{j=X+-8|0;U=f[j>>2]|0;if((U|0)!=(V|0))f[j>>2]=U+(~((U+-4-V|0)>>>2)<<2);fuc(V);Z=f[s>>2]|0}if((Z|0)==(W|0))break;else X=Z}Y=f[i>>2]|0}fuc(Y);u=d;return 0}function pmb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;h=g;if(((d-g|0)/12|0)>>>0>=b>>>0){kzc(g|0,0,b*12|0)|0;f[e>>2]=h+(b*12|0);return}i=f[a>>2]|0;j=(g-i|0)/12|0;g=j+b|0;k=i;if(g>>>0>357913941)nsc(a);l=(d-i|0)/12|0;d=l<<1;m=l>>>0<178956970?(d>>>0<g>>>0?g:d):357913941;do if(m)if(m>>>0>357913941){d=ze(8)|0;kuc(d,519086);f[d>>2]=167148;Hf(d|0,26888,1888)}else{n=cuc(m*12|0)|0;break}else n=0;while(0);d=n+(j*12|0)|0;j=d;g=n+(m*12|0)|0;kzc(d|0,0,b*12|0)|0;m=d+(b*12|0)|0;if((h|0)==(k|0)){o=j;p=i;q=h}else{i=h;h=j;j=d;do{d=j+-12|0;b=i;i=i+-12|0;f[d>>2]=0;n=j+-8|0;f[n>>2]=0;f[j+-4>>2]=0;f[d>>2]=f[i>>2];d=b+-8|0;f[n>>2]=f[d>>2];n=b+-4|0;f[j+-4>>2]=f[n>>2];f[n>>2]=0;f[d>>2]=0;f[i>>2]=0;j=h+-12|0;h=j}while((i|0)!=(k|0));o=h;p=f[a>>2]|0;q=f[e>>2]|0}f[a>>2]=o;f[e>>2]=m;f[c>>2]=g;g=p;if((q|0)!=(g|0)){c=q;do{q=c;c=c+-12|0;m=f[c>>2]|0;if(m|0){e=q+-8|0;q=f[e>>2]|0;if((q|0)!=(m|0))f[e>>2]=q+(~((q+-4-m|0)>>>2)<<2);fuc(m)}}while((c|0)!=(g|0))}if(!p)return;fuc(p);return}function qmb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;d=u;u=u+256|0;e=d;if((f[c+4>>2]|0)!=4){g=cuc(16)|0;f[e>>2]=g;f[e+8>>2]=-2147483632;f[e+4>>2]=11;h=g;i=451150;j=h+11|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(j|0));b[g+11>>0]=0;WD(-215,e,451162,450911,364)}g=f[c+40>>2]|0;if((f[g>>2]|0)!=1){k=cuc(16)|0;f[e>>2]=k;f[e+8>>2]=-2147483632;f[e+4>>2]=14;h=k;i=451178;j=h+14|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(j|0));b[k+14>>0]=0;WD(-215,e,451162,450911,365)}k=f[g+4>>2]|0;if(!(k&1)){kzc(e|0,0,256)|0;g=e+16|0;f[g>>2]=-2147483648;f[g+4>>2]=2147483647;g=e+24|0;f[g>>2]=-2147483648;f[g+4>>2]=2147483647;g=e;f[g>>2]=-2147483648;f[g+4>>2]=2147483647;g=e+8|0;f[g>>2]=(k|0)/2|0;f[g+4>>2]=k;cU(a,c,e);u=d;return}else{d=cuc(32)|0;f[e>>2]=d;f[e+8>>2]=-2147483616;f[e+4>>2]=19;h=d;i=451193;j=h+19|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(j|0));b[d+19>>0]=0;WD(-215,e,451162,450911,367)}}function rmb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;d=a+8|0;e=f[a>>2]|0;g=e;if((((f[d>>2]|0)-e|0)/56|0)>>>0<b>>>0){yMa(a);if(b>>>0>76695844)nsc(a);h=((f[d>>2]|0)-(f[a>>2]|0)|0)/56|0;i=h<<1;j=h>>>0<38347922?(i>>>0<b>>>0?b:i):76695844;if(j>>>0>76695844)nsc(a);i=cuc(j*56|0)|0;h=a+4|0;f[h>>2]=i;f[a>>2]=i;f[d>>2]=i+(j*56|0);j=c+4|0;d=c+8|0;k=c+12|0;l=c+16|0;m=c+20|0;n=c+24|0;o=c+28|0;p=c+32|0;q=c+36|0;r=c+44|0;s=b;t=i;do{f[t>>2]=f[c>>2];i=t+4|0;f[i>>2]=f[j>>2];u=t+8|0;f[u>>2]=f[d>>2];f[t+12>>2]=f[k>>2];f[t+16>>2]=f[l>>2];f[t+20>>2]=f[m>>2];f[t+24>>2]=f[n>>2];f[t+28>>2]=f[o>>2];f[t+32>>2]=f[p>>2];v=f[q>>2]|0;f[t+36>>2]=v;f[t+40>>2]=u;u=t+48|0;w=t+44|0;f[w>>2]=u;f[u>>2]=0;f[t+52>>2]=0;if(v|0){u=v+12|0;f[u>>2]=(f[u>>2]|0)+1}if((f[j>>2]|0)<3){u=f[r>>2]|0;v=f[w>>2]|0;f[v>>2]=f[u>>2];f[v+4>>2]=f[u+4>>2]}else{f[i>>2]=0;$T(t,c)}t=(f[h>>2]|0)+56|0;f[h>>2]=t;s=s+-1|0}while((s|0)!=0);return}s=a+4|0;t=((f[s>>2]|0)-e|0)/56|0;e=t>>>0<b>>>0;h=e?t:b;if(h|0){r=c+36|0;j=c+4|0;q=c+8|0;p=c+12|0;o=c+44|0;n=c+16|0;m=c+20|0;l=c+24|0;k=c+28|0;d=c+32|0;i=h;h=g;while(1){if((h|0)!=(c|0)){g=f[r>>2]|0;if(g|0){u=g+12|0;f[u>>2]=(f[u>>2]|0)+1}u=h+36|0;g=f[u>>2]|0;if(g|0?(v=g+12|0,g=f[v>>2]|0,f[v>>2]=g+-1,(g|0)==1):0)aU(h);f[u>>2]=0;g=h+16|0;v=h+4|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;if((f[v>>2]|0)>0){w=f[h+40>>2]|0;x=0;do{f[w+(x<<2)>>2]=0;x=x+1|0;y=f[v>>2]|0}while((x|0)<(y|0));f[h>>2]=f[c>>2];if((y|0)<3)z=15;else z=17}else{f[h>>2]=f[c>>2];z=15}if((z|0)==15){z=0;x=f[j>>2]|0;if((x|0)<3){f[v>>2]=x;f[h+8>>2]=f[q>>2];f[h+12>>2]=f[p>>2];x=f[o>>2]|0;w=f[h+44>>2]|0;f[w>>2]=f[x>>2];f[w+4>>2]=f[x+4>>2]}else z=17}if((z|0)==17){z=0;$T(h,c)}f[g>>2]=f[n>>2];f[h+20>>2]=f[m>>2];f[h+24>>2]=f[l>>2];f[h+28>>2]=f[k>>2];f[h+32>>2]=f[d>>2];f[u>>2]=f[r>>2]}i=i+-1|0;if(!i)break;else h=h+56|0}}if(e){e=c+4|0;h=c+8|0;i=c+12|0;r=c+16|0;d=c+20|0;k=c+24|0;l=c+28|0;m=c+32|0;n=c+36|0;z=c+44|0;o=b-t|0;t=f[s>>2]|0;do{f[t>>2]=f[c>>2];p=t+4|0;f[p>>2]=f[e>>2];q=t+8|0;f[q>>2]=f[h>>2];f[t+12>>2]=f[i>>2];f[t+16>>2]=f[r>>2];f[t+20>>2]=f[d>>2];f[t+24>>2]=f[k>>2];f[t+28>>2]=f[l>>2];f[t+32>>2]=f[m>>2];j=f[n>>2]|0;f[t+36>>2]=j;f[t+40>>2]=q;q=t+48|0;y=t+44|0;f[y>>2]=q;f[q>>2]=0;f[t+52>>2]=0;if(j|0){q=j+12|0;f[q>>2]=(f[q>>2]|0)+1}if((f[e>>2]|0)<3){q=f[z>>2]|0;j=f[y>>2]|0;f[j>>2]=f[q>>2];f[j+4>>2]=f[q+4>>2]}else{f[p>>2]=0;$T(t,c)}t=(f[s>>2]|0)+56|0;f[s>>2]=t;o=o+-1|0}while((o|0)!=0);return}o=(f[a>>2]|0)+(b*56|0)|0;b=f[s>>2]|0;if((b|0)==(o|0))return;else A=b;do{b=A+-56|0;f[s>>2]=b;a=A+-20|0;t=f[a>>2]|0;if(t|0?(c=t+12|0,t=f[c>>2]|0,f[c>>2]=t+-1,(t|0)==1):0)aU(b);f[a>>2]=0;a=A+-40|0;b=A+-52|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;if((f[b>>2]|0)>0){a=f[A+-16>>2]|0;t=0;do{f[a+(t<<2)>>2]=0;t=t+1|0}while((t|0)<(f[b>>2]|0))}b=f[A+-12>>2]|0;if((b|0)!=(A+-8|0))TC(b);A=f[s>>2]|0}while((A|0)!=(o|0));return}function smb(a,b){a=a|0;b=b|0;var c=0;c=cuc(172)|0;tmb(c,b);f[a>>2]=c;b=cuc(16)|0;f[b+4>>2]=0;f[b+8>>2]=0;f[b>>2]=131648;f[b+12>>2]=c;f[a+4>>2]=b;return}function tmb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0;d=u;u=u+432|0;e=d+32|0;g=d;h=d+368|0;i=d+312|0;j=d+256|0;WMa(a);f[a>>2]=131676;k=a+52|0;f[k>>2]=1124007936;l=a+56|0;m=a+60|0;n=a+92|0;o=l;p=o+36|0;do{f[o>>2]=0;o=o+4|0}while((o|0)<(p|0));f[n>>2]=m;q=a+100|0;r=a+96|0;f[r>>2]=q;f[q>>2]=0;f[a+104>>2]=0;s=a+108|0;f[s>>2]=1124007936;t=a+112|0;v=a+116|0;w=a+148|0;o=t;p=o+36|0;do{f[o>>2]=0;o=o+4|0}while((o|0)<(p|0));f[w>>2]=v;x=a+156|0;y=a+152|0;f[y>>2]=x;f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;f[x+12>>2]=0;XMa(a,c);x=a+4|0;z=a+8|0;A=(f[z>>2]|0)-(f[x>>2]|0)|0;if(!((A|0)!=0&((A|0)/56|0)>>>0<3)){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;A=cuc(48)|0;f[e>>2]=A;f[e+8>>2]=-2147483600;f[e+4>>2]=38;o=A;B=451588;p=o+38|0;do{b[o>>0]=b[B>>0]|0;o=o+1|0;B=B+1|0}while((o|0)<(p|0));b[A+38>>0]=0;WD(-215,e,451627,451651,73)}A=e+11|0;b[A>>0]=10;o=e;B=473888;p=o+10|0;do{b[o>>0]=b[B>>0]|0;o=o+1|0;B=B+1|0}while((o|0)<(p|0));b[e+10>>0]=0;C=hEa(iGa(c,e)|0,-1)|0;if((b[A>>0]|0)<0)fuc(f[e>>2]|0);A=f[x>>2]|0;D=f[A+4>>2]|0;if((D|0)<3)E=Y(f[A+12>>2]|0,f[A+8>>2]|0)|0;else{F=f[A+40>>2]|0;A=0;G=1;while(1){H=Y(f[F+(A<<2)>>2]|0,G)|0;A=A+1|0;if((A|0)==(D|0)){E=H;break}else G=H}};f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;G=e+11|0;b[G>>0]=9;o=e;B=466098;p=o+9|0;do{b[o>>0]=b[B>>0]|0;o=o+1|0;B=B+1|0}while((o|0)<(p|0));b[e+9>>0]=0;D=gEa(c,e)|0;A=c+4|0;if((D|0)==(A|0))I=1;else{F=hEa(D+28|0,-1)|0;I=(F|0)!=0|(J|0)!=0}F=a+48|0;b[F>>0]=I&1;if((b[G>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;G=e+11|0;b[G>>0]=4;f[e>>2]=1936291937;b[e+4>>0]=0;I=gEa(c,e)|0;if((I|0)==(A|0))K=1;else{A=hEa(I+28|0,-1)|0;K=A}f[a+44>>2]=K;if((b[G>>0]|0)<0)fuc(f[e>>2]|0);G=f[x>>2]|0;K=f[G+4>>2]|0;A=G;if((K|0)<=1){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;L=cuc(80)|0;f[e>>2]=L;M=e+8|0;f[M>>2]=-2147483568;N=e+4|0;f[N>>2]=73;o=L;B=451740;p=o+73|0;do{b[o>>0]=b[B>>0]|0;o=o+1|0;B=B+1|0}while((o|0)<(p|0));O=L+73|0;b[O>>0]=0;WD(-215,e,451627,451651,80)}if((K|0)==2)P=Y(f[G+12>>2]|0,f[G+8>>2]|0)|0;else{I=f[G+40>>2]|0;c=0;D=1;while(1){H=Y(f[I+(c<<2)>>2]|0,D)|0;c=c+1|0;if((c|0)==(K|0)){P=H;break}else D=H}}if((E-((E|0)%(C|0)|0)|0)!=(P|0)){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;L=cuc(80)|0;f[e>>2]=L;M=e+8|0;f[M>>2]=-2147483568;N=e+4|0;f[N>>2]=73;o=L;B=451740;p=o+73|0;do{b[o>>0]=b[B>>0]|0;o=o+1|0;B=B+1|0}while((o|0)<(p|0));O=L+73|0;b[O>>0]=0;WD(-215,e,451627,451651,80)}if(b[F>>0]|0){if(((f[z>>2]|0)-A|0)!=112){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;Q=cuc(80)|0;f[e>>2]=Q;R=e+8|0;f[R>>2]=-2147483568;S=e+4|0;f[S>>2]=69;o=Q;B=451814;p=o+69|0;do{b[o>>0]=b[B>>0]|0;o=o+1|0;B=B+1|0}while((o|0)<(p|0));T=Q+69|0;b[T>>0]=0;WD(-215,e,451627,451651,81)}A=f[G+60>>2]|0;if((A|0)<3)U=Y(f[G+68>>2]|0,f[G+64>>2]|0)|0;else{z=f[G+96>>2]|0;O=0;L=1;while(1){N=Y(f[z+(O<<2)>>2]|0,L)|0;O=O+1|0;if((O|0)==(A|0)){U=N;break}else L=N}}if((C|0)!=(U|0)){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;Q=cuc(80)|0;f[e>>2]=Q;R=e+8|0;f[R>>2]=-2147483568;S=e+4|0;f[S>>2]=69;o=Q;B=451814;p=o+69|0;do{b[o>>0]=b[B>>0]|0;o=o+1|0;B=B+1|0}while((o|0)<(p|0));T=Q+69|0;b[T>>0]=0;WD(-215,e,451627,451651,81)}}mU(e,G,1,C);G=f[x>>2]|0;if((G|0)!=(e|0)){T=G+36|0;Q=f[T>>2]|0;if(Q|0?(B=Q+12|0,Q=f[B>>2]|0,f[B>>2]=Q+-1,(Q|0)==1):0)aU(G);f[T>>2]=0;Q=G+16|0;B=G+4|0;f[Q>>2]=0;f[Q+4>>2]=0;f[Q+8>>2]=0;f[Q+12>>2]=0;if((f[B>>2]|0)>0){S=f[G+40>>2]|0;R=0;do{f[S+(R<<2)>>2]=0;R=R+1|0}while((R|0)<(f[B>>2]|0))}f[G>>2]=f[e>>2];R=e+4|0;f[B>>2]=f[R>>2];B=e+8|0;S=G+8|0;f[S>>2]=f[B>>2];f[G+12>>2]=f[e+12>>2];f[Q>>2]=f[e+16>>2];f[G+20>>2]=f[e+20>>2];f[G+24>>2]=f[e+24>>2];f[G+28>>2]=f[e+28>>2];f[G+32>>2]=f[e+32>>2];f[T>>2]=f[e+36>>2];T=G+44|0;Q=f[T>>2]|0;U=G+48|0;if((Q|0)==(U|0))V=Q;else{TC(Q);f[T>>2]=U;f[G+40>>2]=S;V=U}U=e+44|0;if((f[R>>2]|0)<3){S=f[U>>2]|0;f[V>>2]=f[S>>2];f[V+4>>2]=f[S+4>>2]}else{f[T>>2]=f[U>>2];T=e+40|0;f[G+40>>2]=f[T>>2];f[U>>2]=e+48;f[T>>2]=B}f[e>>2]=1124007936;o=R;p=o+36|0;do{f[o>>2]=0;o=o+4|0}while((o|0)<(p|0))}if((k|0)!=(G|0)){R=G+36|0;B=f[R>>2]|0;if(B|0){T=B+12|0;f[T>>2]=(f[T>>2]|0)+1}T=a+88|0;B=f[T>>2]|0;if(B|0?(U=B+12|0,B=f[U>>2]|0,f[U>>2]=B+-1,(B|0)==1):0)aU(k);f[T>>2]=0;B=a+68|0;f[B>>2]=0;f[B+4>>2]=0;f[B+8>>2]=0;f[B+12>>2]=0;if((f[l>>2]|0)>0){U=f[n>>2]|0;S=0;do{f[U+(S<<2)>>2]=0;S=S+1|0;W=f[l>>2]|0}while((S|0)<(W|0));f[k>>2]=f[G>>2];if((W|0)<3)X=56;else X=58}else{f[k>>2]=f[G>>2];X=56}if((X|0)==56){W=f[G+4>>2]|0;if((W|0)<3){f[l>>2]=W;f[m>>2]=f[G+8>>2];f[a+64>>2]=f[G+12>>2];W=f[G+44>>2]|0;S=f[r>>2]|0;f[S>>2]=f[W>>2];f[S+4>>2]=f[W+4>>2]}else X=58}if((X|0)==58)$T(k,G);f[B>>2]=f[G+16>>2];f[a+72>>2]=f[G+20>>2];f[a+76>>2]=f[G+24>>2];f[a+80>>2]=f[G+28>>2];f[a+84>>2]=f[G+32>>2];f[T>>2]=f[R>>2]}R=e+36|0;T=f[R>>2]|0;if(T|0?(G=T+12|0,T=f[G>>2]|0,f[G>>2]=T+-1,(T|0)==1):0)aU(e);f[R>>2]=0;R=e+16|0;T=e+4|0;f[R>>2]=0;f[R+4>>2]=0;f[R+8>>2]=0;f[R+12>>2]=0;if((f[T>>2]|0)>0){R=f[e+40>>2]|0;G=0;do{f[R+(G<<2)>>2]=0;G=G+1|0}while((G|0)<(f[T>>2]|0))}T=f[e+44>>2]|0;if((T|0)!=(e+48|0))TC(T);T=a+64|0;G=f[T>>2]|0;if(G&7|0){R=G+7&-8;B=f[m>>2]|0;W=f[k>>2]&4095;f[h>>2]=1124007936;S=h+4|0;r=h+8|0;U=h+40|0;o=S;p=o+36|0;do{f[o>>2]=0;o=o+4|0}while((o|0)<(p|0));f[U>>2]=r;r=h+48|0;V=h+44|0;f[V>>2]=r;f[r>>2]=0;f[h+52>>2]=0;f[e>>2]=B;f[e+4>>2]=R;ZT(h,2,e,W);f[e>>2]=-2147483648;f[e+4>>2]=2147483647;f[g>>2]=G;f[g+4>>2]=R;bU(i,h,e,g);f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;f[g+16>>2]=0;f[g+20>>2]=0;f[g+24>>2]=0;f[g+28>>2]=0;f[e>>2]=-1056833530;f[e+4>>2]=g;f[e+8>>2]=1;f[e+12>>2]=4;HI(i,e,sK()|0)|0;f[e>>2]=-2147483648;f[e+4>>2]=2147483647;f[g>>2]=0;f[g+4>>2]=G;bU(j,h,e,g);do if((k|0)==(j|0)){g=j+36|0;G=f[g>>2]|0;if(!G){Z=g;break}R=G+12|0;G=f[R>>2]|0;f[R>>2]=G+-1;if((G|0)!=1){Z=g;break}aU(j);Z=g}else{g=a+88|0;G=f[g>>2]|0;do if(G|0){R=G+12|0;W=f[R>>2]|0;f[R>>2]=W+-1;if((W|0)!=1)break;aU(k)}while(0);f[g>>2]=0;G=a+68|0;f[G>>2]=0;f[G+4>>2]=0;f[G+8>>2]=0;f[G+12>>2]=0;if((f[l>>2]|0)>0){W=f[n>>2]|0;R=0;do{f[W+(R<<2)>>2]=0;R=R+1|0}while((R|0)<(f[l>>2]|0))}f[k>>2]=f[j>>2];R=j+4|0;W=f[R>>2]|0;f[l>>2]=W;B=j+8|0;f[m>>2]=f[B>>2];f[T>>2]=f[j+12>>2];f[G>>2]=f[j+16>>2];f[a+72>>2]=f[j+20>>2];f[a+76>>2]=f[j+24>>2];f[a+80>>2]=f[j+28>>2];f[a+84>>2]=f[j+32>>2];Q=j+36|0;f[g>>2]=f[Q>>2];L=a+96|0;A=f[L>>2]|0;if((A|0)==(q|0))_=W;else{TC(A);f[L>>2]=q;f[n>>2]=m;_=f[R>>2]|0}A=j+44|0;if((_|0)<3){W=f[A>>2]|0;f[q>>2]=f[W>>2];f[a+104>>2]=f[W+4>>2]}else{f[L>>2]=f[A>>2];L=j+40|0;f[a+92>>2]=f[L>>2];f[A>>2]=j+48;f[L>>2]=B}f[j>>2]=1124007936;o=R;p=o+36|0;do{f[o>>2]=0;o=o+4|0}while((o|0)<(p|0));Z=Q}while(0);f[Z>>2]=0;Z=j+16|0;q=j+4|0;f[Z>>2]=0;f[Z+4>>2]=0;f[Z+8>>2]=0;f[Z+12>>2]=0;if((f[q>>2]|0)>0){Z=f[j+40>>2]|0;_=0;do{f[Z+(_<<2)>>2]=0;_=_+1|0}while((_|0)<(f[q>>2]|0))}q=f[j+44>>2]|0;if((q|0)!=(j+48|0))TC(q);q=f[x>>2]|0;j=e+8|0;f[j>>2]=0;f[j+4>>2]=0;f[e>>2]=33619968;f[e+4>>2]=k;EI(q,e);q=i+36|0;j=f[q>>2]|0;do if(j|0){_=j+12|0;Z=f[_>>2]|0;f[_>>2]=Z+-1;if((Z|0)!=1)break;aU(i)}while(0);f[q>>2]=0;q=i+16|0;j=i+4|0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;f[q+12>>2]=0;if((f[j>>2]|0)>0){q=f[i+40>>2]|0;Z=0;do{f[q+(Z<<2)>>2]=0;Z=Z+1|0}while((Z|0)<(f[j>>2]|0))}j=f[i+44>>2]|0;if((j|0)!=(i+48|0))TC(j);j=h+36|0;i=f[j>>2]|0;do if(i|0){Z=i+12|0;q=f[Z>>2]|0;f[Z>>2]=q+-1;if((q|0)!=1)break;aU(h)}while(0);f[j>>2]=0;j=h+16|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;if((f[S>>2]|0)>0){j=f[U>>2]|0;U=0;do{f[j+(U<<2)>>2]=0;U=U+1|0}while((U|0)<(f[S>>2]|0))}S=f[V>>2]|0;if((S|0)!=(r|0))TC(S)}if(!(b[F>>0]|0)){wT(e,1,C,f[k>>2]&4095);k=f[e>>2]|0;sh[f[(f[k>>2]|0)+12>>2]&255](k,e,s,-1);Xi(e);u=d;return}mU(e,(f[x>>2]|0)+56|0,1,1);k=f[x>>2]|0;x=k+56|0;if((x|0)!=(e|0)){C=k+92|0;F=f[C>>2]|0;do if(F|0){S=F+12|0;r=f[S>>2]|0;f[S>>2]=r+-1;if((r|0)!=1)break;aU(x)}while(0);f[C>>2]=0;F=k+72|0;r=k+60|0;f[F>>2]=0;f[F+4>>2]=0;f[F+8>>2]=0;f[F+12>>2]=0;if((f[r>>2]|0)>0){S=f[k+96>>2]|0;V=0;do{f[S+(V<<2)>>2]=0;V=V+1|0}while((V|0)<(f[r>>2]|0))}f[x>>2]=f[e>>2];V=e+4|0;S=f[V>>2]|0;f[r>>2]=S;r=e+8|0;U=k+64|0;f[U>>2]=f[r>>2];f[k+68>>2]=f[e+12>>2];f[F>>2]=f[e+16>>2];f[k+76>>2]=f[e+20>>2];f[k+80>>2]=f[e+24>>2];f[k+84>>2]=f[e+28>>2];f[k+88>>2]=f[e+32>>2];f[C>>2]=f[e+36>>2];C=k+100|0;F=f[C>>2]|0;j=k+104|0;if((F|0)==(j|0)){$=S;aa=F}else{TC(F);f[C>>2]=j;f[k+96>>2]=U;$=f[V>>2]|0;aa=j}j=e+44|0;if(($|0)<3){$=f[j>>2]|0;f[aa>>2]=f[$>>2];f[aa+4>>2]=f[$+4>>2]}else{f[C>>2]=f[j>>2];C=e+40|0;f[k+96>>2]=f[C>>2];f[j>>2]=e+48;f[C>>2]=r}f[e>>2]=1124007936;o=V;p=o+36|0;do{f[o>>2]=0;o=o+4|0}while((o|0)<(p|0))}if((s|0)!=(x|0)){o=k+92|0;p=f[o>>2]|0;if(p|0){V=p+12|0;f[V>>2]=(f[V>>2]|0)+1}V=a+144|0;p=f[V>>2]|0;do if(p|0){r=p+12|0;C=f[r>>2]|0;f[r>>2]=C+-1;if((C|0)!=1)break;aU(s)}while(0);f[V>>2]=0;p=a+124|0;f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;f[p+12>>2]=0;if((f[t>>2]|0)>0){C=f[w>>2]|0;w=0;do{f[C+(w<<2)>>2]=0;w=w+1|0;ba=f[t>>2]|0}while((w|0)<(ba|0));f[s>>2]=f[x>>2];if((ba|0)<3)X=132;else X=134}else{f[s>>2]=f[x>>2];X=132}do if((X|0)==132){ba=f[k+60>>2]|0;if((ba|0)>=3){X=134;break}f[t>>2]=ba;f[v>>2]=f[k+64>>2];f[a+120>>2]=f[k+68>>2];ba=f[k+100>>2]|0;w=f[y>>2]|0;f[w>>2]=f[ba>>2];f[w+4>>2]=f[ba+4>>2]}while(0);if((X|0)==134)$T(s,x);f[p>>2]=f[k+72>>2];f[a+128>>2]=f[k+76>>2];f[a+132>>2]=f[k+80>>2];f[a+136>>2]=f[k+84>>2];f[a+140>>2]=f[k+88>>2];f[V>>2]=f[o>>2]}o=e+36|0;V=f[o>>2]|0;do if(V|0){k=V+12|0;a=f[k>>2]|0;f[k>>2]=a+-1;if((a|0)!=1)break;aU(e)}while(0);f[o>>2]=0;o=e+16|0;V=e+4|0;f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;f[o+12>>2]=0;if((f[V>>2]|0)>0){o=f[e+40>>2]|0;a=0;do{f[o+(a<<2)>>2]=0;a=a+1|0}while((a|0)<(f[V>>2]|0))}V=f[e+44>>2]|0;if((V|0)!=(e+48|0))TC(V);u=d;return}function umb(a){a=a|0;Qtc(a);fuc(a);return}function vmb(a){a=a|0;var b=0;b=f[a+12>>2]|0;if(!b)return;bi[f[(f[b>>2]|0)+4>>2]&2047](b);return}function wmb(a,b){a=a|0;b=b|0;return ((f[b+4>>2]|0)==451415?a+12|0:0)|0}function xmb(a){a=a|0;fuc(a);return}function ymb(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=131676;b=f[a+168>>2]|0;if(b|0)Xtc(b);b=a+108|0;c=a+144|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+124|0;b=a+112|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+148>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+152>>2]|0;if((b|0)!=(a+156|0))TC(b);b=a+52|0;d=a+88|0;c=f[d>>2]|0;if(c|0?(e=c+12|0,c=f[e>>2]|0,f[e>>2]=c+-1,(c|0)==1):0)aU(b);f[d>>2]=0;d=a+68|0;b=a+56|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[b>>2]|0)>0){d=f[a+92>>2]|0;c=0;do{f[d+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[b>>2]|0))}b=f[a+96>>2]|0;if((b|0)==(a+100|0)){pKa(a);return}TC(b);pKa(a);return}function zmb(a){a=a|0;ymb(a);fuc(a);return}function Amb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0;g=u;u=u+144|0;h=g+88|0;i=g+80|0;j=g+68|0;k=g+56|0;l=g;gV(i,131776);if(f[i>>2]|0){}if((CJ(c,-1)|0)==3)JKa(a,c,d,e);else{f[j>>2]=0;e=j+4|0;f[e>>2]=0;f[j+8>>2]=0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;sJ(c,j);sJ(d,k);d=f[a+44>>2]|0;c=f[j>>2]|0;m=f[c+4>>2]|0;n=((d|0)<0?m:0)+d|0;d=c;if((n|0)<0){o=cuc(48)|0;f[h>>2]=o;f[h+8>>2]=-2147483600;f[h+4>>2]=35;p=o;q=455501;r=p+35|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(r|0));b[o+35>>0]=0;WD(-215,h,475390,466357,962)}o=(m|0)<(n|0)?m:n;if((o|0)>0){n=f[c+40>>2]|0;m=1;q=0;while(1){p=Y(f[n+(q<<2)>>2]|0,m)|0;q=q+1|0;if((q|0)>=(o|0)){s=p;break}else m=p}}else s=1;if((f[e>>2]|0)!=(d|0)){d=a+52|0;m=a+108|0;o=a+164|0;a=l+36|0;q=l+16|0;n=l+4|0;p=l+40|0;r=l+44|0;t=l+48|0;v=h+36|0;w=h+16|0;x=h+4|0;y=h+40|0;z=h+44|0;A=h+48|0;B=0;C=c;do{mU(h,C+(B*56|0)|0,1,s);mU(l,(f[k>>2]|0)+(B*56|0)|0,1,s);c=tZ()|0;Imb(h,d,m,l,f[o>>2]|0,c);c=f[a>>2]|0;if(c|0?(D=c+12|0,c=f[D>>2]|0,f[D>>2]=c+-1,(c|0)==1):0)aU(l);f[a>>2]=0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;f[q+12>>2]=0;if((f[n>>2]|0)>0){c=f[p>>2]|0;D=0;do{f[c+(D<<2)>>2]=0;D=D+1|0}while((D|0)<(f[n>>2]|0))}D=f[r>>2]|0;if((D|0)!=(t|0))TC(D);D=f[v>>2]|0;if(D|0?(c=D+12|0,D=f[c>>2]|0,f[c>>2]=D+-1,(D|0)==1):0)aU(h);f[v>>2]=0;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;f[w+12>>2]=0;if((f[x>>2]|0)>0){D=f[y>>2]|0;c=0;do{f[D+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[x>>2]|0))}c=f[z>>2]|0;if((c|0)!=(A|0))TC(c);B=B+1|0;C=f[j>>2]|0}while(B>>>0<(((f[e>>2]|0)-C|0)/56|0)>>>0)}ut(k);ut(j)}if(!(f[i+4>>2]|0)){u=g;return}u=g;return}function Bmb(a,b){a=a|0;b=b|0;var c=0,d=0;switch(b|0){case 3:{c=1;break}case 1:{if(aNa()|0?(f[a+44>>2]|0)==1:0)c=1;else d=6;break}case 2:{if(rib()|0)c=(f[a+44>>2]|0)==1;else c=0;break}default:d=6}if((d|0)==6)c=0;return c|0}function Cmb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function Dmb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function Emb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0;c=a+164|0;do if(f[c>>2]|0){d=f[b>>2]|0;if(!d){e=d;break}else{g=0;return g|0}}else e=f[b>>2]|0;while(0);d=f[b+4>>2]|0;if(d|0)Wtc(d);f[c>>2]=e;b=a+168|0;a=f[b>>2]|0;f[b>>2]=d;if(!a)h=e;else{Xtc(a);h=f[c>>2]|0}g=(h|0)!=0;return g|0}function Fmb(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;g=u;u=u+32|0;d=g+12|0;h=g;i=f[c>>2]|0;j=i;if(((f[c+4>>2]|0)-i|0)!=12){c=cuc(32)|0;f[d>>2]=c;f[d+8>>2]=-2147483616;f[d+4>>2]=18;k=c;l=477051;m=k+18|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));b[c+18>>0]=0;WD(-215,d,477070,451651,112)}c=a+4|0;n=f[c>>2]|0;o=(f[a+8>>2]|0)-n|0;p=n;if(!((o|0)!=0&((o|0)/56|0)>>>0<3)){o=cuc(48)|0;f[d>>2]=o;f[d+8>>2]=-2147483600;f[d+4>>2]=38;k=o;l=451588;m=k+38|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));b[o+38>>0]=0;WD(-215,d,477070,451651,113)}if((f[p+4>>2]|0)!=2){o=cuc(32)|0;f[d>>2]=o;f[d+8>>2]=-2147483616;f[d+4>>2]=18;k=o;l=451884;m=k+18|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));b[o+18>>0]=0;WD(-215,d,477070,451651,114)}o=f[a+44>>2]|0;n=((o|0)<0?(f[j+4>>2]|0)-(f[i>>2]|0)>>2:0)+o|0;o=f[f[p+40>>2]>>2]|0;p=n+1|0;f[d>>2]=0;i=d+4|0;f[i>>2]=0;f[d+8>>2]=0;if(p>>>0>1073741823)nsc(d);q=p<<2;r=cuc(q)|0;f[d>>2]=r;s=r+(p<<2)|0;f[d+8>>2]=s;kzc(r|0,0,q|0)|0;f[i>>2]=s;if((n|0)>0){q=f[j>>2]|0;j=0;do{f[r+(j<<2)>>2]=f[q+(j<<2)>>2];j=j+1|0}while((j|0)!=(n|0))}f[s+-4>>2]=o;s=e+4|0;n=f[s>>2]|0;j=f[e>>2]|0;q=n-j|0;r=(q|0)/12|0;p=j;j=n;if(q){if(r>>>0>1?(q=p+12|0,(j|0)!=(q|0)):0){p=j;while(1){j=p+-12|0;f[s>>2]=j;n=f[j>>2]|0;if(!n)t=j;else{j=p+-8|0;v=f[j>>2]|0;if((v|0)!=(n|0))f[j>>2]=v+(~((v+-4-n|0)>>>2)<<2);fuc(n);t=f[s>>2]|0}if((t|0)==(q|0))break;else p=t}}}else Hmb(e,1-r|0,d);if(b[a+48>>0]|0){a=f[c>>2]|0;c=f[a+60>>2]|0;if((c|0)<3)w=Y(f[a+68>>2]|0,f[a+64>>2]|0)|0;else{r=f[a+96>>2]|0;a=0;e=1;while(1){t=Y(f[r+(a<<2)>>2]|0,e)|0;a=a+1|0;if((a|0)==(c|0)){w=t;break}else e=t}}if((o|0)!=(w|0)){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;w=cuc(48)|0;f[h>>2]=w;f[h+8>>2]=-2147483600;f[h+4>>2]=46;k=w;l=451903;m=k+46|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));b[w+46>>0]=0;WD(-215,h,477070,451651,125)}}h=f[d>>2]|0;if(!h){u=g;return 0}d=f[i>>2]|0;if((d|0)!=(h|0))f[i>>2]=d+(~((d+-4-h|0)>>>2)<<2);fuc(h);u=g;return 0}function Gmb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;c=u;u=u+16|0;e=c;g=f[d+4>>2]|0;h=f[d>>2]|0;d=h;if((g|0)==(h|0)){i=0;j=0;J=i;u=c;return j|0}k=f[(f[(f[a+4>>2]|0)+40>>2]|0)+4>>2]|0;a=Bzc(k|0,((k|0)<0)<<31>>31|0,3,0)|0;k=J;l=(g-h|0)/12|0;h=0;g=0;m=0;while(1){n=f[d+(h*12|0)+4>>2]|0;o=f[d+(h*12|0)>>2]|0;p=n-o|0;q=p>>2;r=o;if((r|0)!=(n|0)){if((p|0)<=-4){s=7;break}if((p|0)>0){p=0;n=1;while(1){o=Y(f[r+(p<<2)>>2]|0,n)|0;p=p+1|0;if((p|0)>=(q|0)){t=o;break}else n=o}}else t=1}else t=0;n=Bzc(a|0,k|0,t|0,((t|0)<0)<<31>>31|0)|0;q=hzc(n|0,J|0,g|0,m|0)|0;h=h+1|0;n=ozc(0,q|0,32)|0;q=J;if(h>>>0>=l>>>0){i=q;j=n;s=3;break}else{g=n;m=q}}if((s|0)==3){J=i;u=c;return j|0}else if((s|0)==7){s=cuc(80)|0;f[e>>2]=s;f[e+8>>2]=-2147483568;f[e+4>>2]=70;j=s;c=475319;i=j+70|0;do{b[j>>0]=b[c>>0]|0;j=j+1|0;c=c+1|0}while((j|0)<(i|0));b[s+70>>0]=0;WD(-215,e,475390,475396,161)}return 0}function Hmb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;d=a+8|0;e=f[d>>2]|0;g=a+4|0;h=f[g>>2]|0;if(((e-h|0)/12|0)>>>0>=b>>>0){i=b;j=h;do{tHa(j,c);j=(f[g>>2]|0)+12|0;f[g>>2]=j;i=i+-1|0}while((i|0)!=0);return}i=f[a>>2]|0;j=(h-i|0)/12|0;h=j+b|0;if(h>>>0>357913941)nsc(a);k=(e-i|0)/12|0;i=k<<1;e=k>>>0<178956970?(i>>>0<h>>>0?h:i):357913941;do if(e)if(e>>>0>357913941){i=ze(8)|0;kuc(i,519086);f[i>>2]=167148;Hf(i|0,26888,1888)}else{l=cuc(e*12|0)|0;break}else l=0;while(0);i=l+(j*12|0)|0;j=i;h=l+(e*12|0)|0;e=b;b=j;l=i;do{tHa(l,c);l=b+12|0;b=l;e=e+-1|0}while((e|0)!=0);e=f[a>>2]|0;l=f[g>>2]|0;if((l|0)==(e|0)){m=j;n=e;o=e}else{c=l;l=j;j=i;do{i=j+-12|0;k=c;c=c+-12|0;f[i>>2]=0;p=j+-8|0;f[p>>2]=0;f[j+-4>>2]=0;f[i>>2]=f[c>>2];i=k+-8|0;f[p>>2]=f[i>>2];p=k+-4|0;f[j+-4>>2]=f[p>>2];f[p>>2]=0;f[i>>2]=0;f[c>>2]=0;j=l+-12|0;l=j}while((c|0)!=(e|0));m=l;n=f[a>>2]|0;o=f[g>>2]|0}f[a>>2]=m;f[g>>2]=b;f[d>>2]=h;h=n;if((o|0)!=(h|0)){d=o;do{o=d;d=d+-12|0;b=f[d>>2]|0;if(b|0){g=o+-8|0;o=f[g>>2]|0;if((o|0)!=(b|0))f[g>>2]=o+(~((o+-4-b|0)>>>2)<<2);fuc(b)}}while((d|0)!=(h|0))}if(!n)return;fuc(n);return}function Imb(a,c,e,g,h,i){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;j=u;u=u+48|0;k=j+8|0;l=j;do if((((((f[a+4>>2]|0)==2?(f[a+12>>2]|0)==(f[c+12>>2]|0):0)?(f[g+8>>2]|0)==(f[a+8>>2]|0):0)?(m=f[g+12>>2]|0,(m|0)==(f[c+8>>2]|0)):0)?(n=f[a>>2]|0,o=n&4095,(o|0)==(f[c>>2]&4095|0)):0)?((o|0)==5?(o|0)==(f[g>>2]&4095|0):0):0){if(f[e+16>>2]|0){o=f[e+4>>2]|0;p=(o|0)<3;if(p)q=Y(f[e+12>>2]|0,f[e+8>>2]|0)|0;else{r=f[e+40>>2]|0;s=0;t=1;while(1){v=Y(f[r+(s<<2)>>2]|0,t)|0;s=s+1|0;if((s|0)==(o|0)){q=v;break}else t=v}}if(!((o|0)==0|(q|0)==0)){t=f[e>>2]|0;if(!((t&16384|0)!=0&((n^t)&4095|0)==0))break;if(p)w=Y(f[e+12>>2]|0,f[e+8>>2]|0)|0;else{t=f[e+40>>2]|0;s=0;r=1;while(1){v=Y(f[t+(s<<2)>>2]|0,r)|0;s=s+1|0;if((s|0)==(o|0)){w=v;break}else r=v}}if((w|0)!=(m|0))break}}f[k>>2]=131816;r=k+4|0;o=r+24|0;d[o>>1]=0;b[o+2>>0]=0;f[r>>2]=a;f[k+8>>2]=c;f[k+12>>2]=e;f[k+20>>2]=g;f[k+24>>2]=i;f[k+16>>2]=h;r=(xE(10)|0)&1;b[k+28>>0]=r;r=(xE(11)|0)&1;b[k+29>>0]=r;b[k+30>>0]=0;f[l>>2]=0;f[l+4>>2]=i;sZ(l,k,+(i|0));u=j;return}while(0);j=cuc(336)|0;f[k>>2]=j;f[k+8>>2]=-2147483312;f[k+4>>2]=328;szc(j|0,451950,328)|0;b[j+328>>0]=0;WD(-215,k,472820,451651,160)}function Jmb(a){a=a|0;fuc(a);return}function Kmb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0.0;c=u;u=u+1072|0;d=c;e=a+4|0;g=f[e>>2]|0;h=a+8|0;i=f[h>>2]|0;j=f[i+8>>2]|0;k=f[g+12>>2]|0;l=k+7|0;m=l&-8;o=Y(j,f[g+8>>2]|0)|0;g=f[a+24>>2]|0;p=((o+-1+g|0)>>>0)/(g>>>0)|0;q=Y(f[b>>2]|0,p)|0;r=f[b+4>>2]|0;b=Y(r,p)|0;p=(r|0)==(g|0)|o>>>0<b>>>0?o:b;b=((f[f[i+44>>2]>>2]|0)>>>0)/((675553809>>>(f[i>>2]<<2&28)&15)>>>0)|0;i=m+8|0;o=d+8|0;f[d>>2]=o;g=d+4|0;f[g>>2]=i;if(i>>>0>264){r=euc(i>>>0>1073741823?-1:i<<2)|0;f[d>>2]=r;s=r}else s=o;r=s+31&-32;s=r;if((k|0)<(m|0))kzc(s+(k<<2)|0,0,(l>>>3<<5)-(k<<2)|0)|0;a:do if(p>>>0>q>>>0){l=a+20|0;m=a+12|0;i=r;t=k<<2;v=a+16|0;if((k|0)>0)w=q;else{x=q;while(1){y=(x>>>0)/(j>>>0)|0;z=x-(Y(y,j)|0)|0;A=f[e>>2]|0;B=(f[A+16>>2]|0)+(Y(f[f[A+44>>2]>>2]|0,y)|0)|0;A=f[l>>2]|0;C=(f[A+16>>2]|0)+(Y(f[f[A+44>>2]>>2]|0,y)|0)+(z<<2)|0;y=(f[(f[m>>2]|0)+16>>2]|0)+(z<<2)|0;A=j-z|0;D=p-x|0;E=(D|0)<(A|0)?D:A;szc(i|0,B|0,t|0)|0;if((E|0)>0){B=0;do{f[C+(B<<2)>>2]=f[y+(B<<2)>>2];B=B+1|0}while((B|0)<(E|0))}B=f[v>>2]|0;if(B|0)Ph[f[(f[B>>2]|0)+100>>2]&127](B,C,C,1,1,z,E+z|0);x=E+x|0;if(p>>>0<=x>>>0)break a}}do{x=(w>>>0)/(j>>>0)|0;B=w-(Y(x,j)|0)|0;y=f[e>>2]|0;A=(f[y+16>>2]|0)+(Y(f[f[y+44>>2]>>2]|0,x)|0)|0;y=f[h>>2]|0;D=f[y+16>>2]|0;F=f[f[y+44>>2]>>2]|0;y=f[l>>2]|0;G=(f[y+16>>2]|0)+(Y(f[f[y+44>>2]>>2]|0,x)|0)+(B<<2)|0;x=(f[(f[m>>2]|0)+16>>2]|0)+(B<<2)|0;y=j-B|0;H=p-w|0;I=(H|0)<(y|0)?H:y;szc(i|0,A|0,t|0)|0;if((I|0)>0){A=0;y=D+(Y(F,B)|0)|0;while(1){J=+n[x+(A<<2)>>2];F=0;do{J=J+ +n[s+(F<<2)>>2]*+n[y+(F<<2)>>2];F=F+1|0}while((F|0)!=(k|0));n[G+(A<<2)>>2]=J;A=A+1|0;if((A|0)>=(I|0))break;else y=y+(b<<2)|0}}y=f[v>>2]|0;if(y|0)Ph[f[(f[y>>2]|0)+100>>2]&127](y,G,G,1,1,B,I+B|0);w=I+w|0}while(p>>>0>w>>>0)}while(0);w=f[d>>2]|0;if((w|0)==(o|0)){u=c;return}if(w|0)guc(w);f[d>>2]=o;f[g>>2]=264;u=c;return}function Lmb(a,b){a=a|0;b=b|0;var c=0,d=0;c=cuc(52)|0;Mmb(c,b);b=cuc(16)|0;d=c;f[b+4>>2]=0;f[b+8>>2]=0;f[b>>2]=131836;f[b+12>>2]=d;f[a>>2]=d;f[a+4>>2]=b;return}function Mmb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;d=u;u=u+16|0;e=d;WMa(a);f[a>>2]=131864;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;g=e+11|0;b[g>>0]=5;b[e>>0]=b[461828]|0;b[e+1>>0]=b[461829]|0;b[e+2>>0]=b[461830]|0;b[e+3>>0]=b[461831]|0;b[e+4>>0]=b[461832]|0;b[e+5>>0]=0;h=(cGa(c,e)|0)==0;if((b[g>>0]|0)<0)fuc(f[e>>2]|0);if(h){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;h=cuc(32)|0;f[e>>2]=h;f[e+8>>2]=-2147483616;f[e+4>>2]=19;i=h;j=452698;k=i+19|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));b[h+19>>0]=0;WD(-215,e,452718,452741,17)};f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;h=e+11|0;b[h>>0]=6;b[e>>0]=b[461834]|0;b[e+1>>0]=b[461835]|0;b[e+2>>0]=b[461836]|0;b[e+3>>0]=b[461837]|0;b[e+4>>0]=b[461838]|0;b[e+5>>0]=b[461839]|0;b[e+6>>0]=0;g=(cGa(c,e)|0)==0;if((b[h>>0]|0)<0)fuc(f[e>>2]|0);if(g){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;g=cuc(32)|0;f[e>>2]=g;f[e+8>>2]=-2147483616;f[e+4>>2]=20;i=g;j=452830;k=i+20|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));b[g+20>>0]=0;WD(-215,e,452718,452741,17)};f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;g=e+11|0;b[g>>0]=5;b[e>>0]=b[461828]|0;b[e+1>>0]=b[461829]|0;b[e+2>>0]=b[461830]|0;b[e+3>>0]=b[461831]|0;b[e+4>>0]=b[461832]|0;b[e+5>>0]=0;j=~~+iEa(iGa(c,e)|0,-1);f[a+44>>2]=j;if((b[g>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;g=e+11|0;b[g>>0]=6;b[e>>0]=b[461834]|0;b[e+1>>0]=b[461835]|0;b[e+2>>0]=b[461836]|0;b[e+3>>0]=b[461837]|0;b[e+4>>0]=b[461838]|0;b[e+5>>0]=b[461839]|0;b[e+6>>0]=0;j=~~+iEa(iGa(c,e)|0,-1);f[a+48>>2]=j;if((b[g>>0]|0)>=0){u=d;return}fuc(f[e>>2]|0);u=d;return}function Nmb(a){a=a|0;Qtc(a);fuc(a);return}function Omb(a){a=a|0;var b=0;b=f[a+12>>2]|0;if(!b)return;bi[f[(f[b>>2]|0)+4>>2]&2047](b);return}function Pmb(a,b){a=a|0;b=b|0;return ((f[b+4>>2]|0)==452527?a+12|0:0)|0}function Qmb(a){a=a|0;fuc(a);return}function Rmb(a){a=a|0;pKa(a);fuc(a);return}function Smb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0.0,E=0.0,F=0,G=0.0,H=0.0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0.0,R=0.0,S=0.0,T=0.0,U=0.0,V=0,W=0,X=0,Z=0,_=0,$=0.0,aa=0,ba=0,ca=0,da=0,ea=0.0,fa=0,ga=0,ha=0,ia=0.0,ja=0.0;g=u;u=u+192|0;h=g+176|0;i=g+164|0;j=g+152|0;k=g+96|0;l=g+80|0;m=g+24|0;o=g+8|0;q=g;gV(h,131964);if(f[h>>2]|0){}if((CJ(c,-1)|0)==3)JKa(a,c,d,e);else{f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;sJ(c,i);sJ(d,j);d=f[i>>2]|0;c=f[j>>2]|0;e=d+56|0;r=f[d+60>>2]|0;if((r|0)<3)s=Y(f[d+68>>2]|0,f[d+64>>2]|0)|0;else{t=f[d+96>>2]|0;v=0;w=1;while(1){x=Y(f[t+(v<<2)>>2]|0,w)|0;v=v+1|0;if((v|0)==(r|0)){s=x;break}else w=x}}mU(k,e,1,(s>>>0)/7|0);s=f[d+40>>2]|0;e=f[s+4>>2]|0;w=f[s+8>>2]|0;r=f[s+12>>2]|0;s=Y(r,w)|0;v=f[a+48>>2]|0;t=f[a+44>>2]|0;a=Y(t,v)|0;if(!(f[d>>2]&16384)){f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;x=cuc(32)|0;f[l>>2]=x;f[l+8>>2]=-2147483616;f[l+4>>2]=18;y=x;z=454378;A=y+18|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));b[x+18>>0]=0;WD(-215,l,477126,452741,61)}if(!(f[c>>2]&16384)){f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;x=cuc(32)|0;f[l>>2]=x;f[l+8>>2]=-2147483616;f[l+4>>2]=18;y=x;z=454397;A=y+18|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));b[x+18>>0]=0;WD(-215,l,477126,452741,61)}x=k+8|0;z=f[x>>2]|0;if((z|0)>0){y=f[c+16>>2]|0;A=f[f[c+44>>2]>>2]|0;B=f[k+16>>2]|0;C=f[f[k+44>>2]>>2]|0;D=+(w+-1|0);E=+(v+-1|0);F=r+-1|0;G=+(F|0);H=+(t+-1|0);I=(v|0)>0;J=d+16|0;K=d+44|0;L=(e|0)>0;M=(t|0)>0;N=0;do{O=y+(Y(A,N)|0)|0;P=B+(Y(C,N)|0)|0;Q=+n[P+12>>2];R=+n[P+16>>2];S=D*(+n[P+24>>2]-R)/E;T=G*(+n[P+20>>2]-Q)/H;if(I){U=D*R;P=f[J>>2]|0;V=f[(f[K>>2]|0)+8>>2]|0;R=G*Q;W=0;do{Q=U+S*+(W|0);X=~~Q;Z=P+(Y(V,X)|0)|0;_=(X+1|0)<(w|0)?Z+(r<<2)|0:Z;if(M?($=Q-+(X|0),L):0){X=O+((Y(t,W)|0)<<2)|0;aa=0;do{Q=R+T*+(aa|0);ba=~~Q;ca=ba+1|0;da=(F|0)<(ca|0)?F:ca;ea=Q-+(ba|0);ca=_;fa=Z;ga=X+(aa<<2)|0;ha=0;while(1){Q=+n[fa+(ba<<2)>>2];ia=+n[ca+(ba<<2)>>2];ja=+n[fa+(da<<2)>>2];n[ga>>2]=Q+$*(ia-Q)+ea*(ja-Q+$*(Q+(+n[ca+(da<<2)>>2]-ja-ia)));ha=ha+1|0;if((ha|0)==(e|0))break;else{ca=ca+(s<<2)|0;fa=fa+(s<<2)|0;ga=ga+(a<<2)|0}}aa=aa+1|0}while((aa|0)<(t|0))}W=W+1|0}while((W|0)<(v|0))}N=N+1|0}while((N|0)<(z|0))}N=c+40|0;if((z|0)<(f[f[N>>2]>>2]|0)){f[l>>2]=0;z=l+4|0;f[z>>2]=0;f[l+8>>2]=0;v=cuc(32)|0;f[l>>2]=v;f[l+8>>2]=v+32;t=v;f[t>>2]=-2147483648;f[t+4>>2]=2147483647;t=v+8|0;f[t>>2]=-2147483648;f[t+4>>2]=2147483647;t=v+16|0;f[t>>2]=-2147483648;f[t+4>>2]=2147483647;t=v+24|0;f[t>>2]=-2147483648;f[t+4>>2]=2147483647;f[z>>2]=v+32;t=f[f[N>>2]>>2]|0;N=v;f[N>>2]=f[x>>2];f[N+4>>2]=t;gU(m,c,l);p[q>>3]=+n[f[d+16>>2]>>2];f[o>>2]=-1056833530;f[o+4>>2]=q;f[o+8>>2]=1;f[o+12>>2]=1;HI(m,o,sK()|0)|0;o=m+36|0;q=f[o>>2]|0;if(q|0?(d=q+12|0,q=f[d>>2]|0,f[d>>2]=q+-1,(q|0)==1):0)aU(m);f[o>>2]=0;o=m+16|0;q=m+4|0;f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;f[o+12>>2]=0;if((f[q>>2]|0)>0){o=f[m+40>>2]|0;d=0;do{f[o+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[q>>2]|0))}q=f[m+44>>2]|0;if((q|0)!=(m+48|0))TC(q);q=f[l>>2]|0;if(q|0){l=f[z>>2]|0;if((l|0)!=(q|0))f[z>>2]=l+(~((l+-8-q|0)>>>3)<<3);fuc(q)}}q=k+36|0;l=f[q>>2]|0;if(l|0?(z=l+12|0,l=f[z>>2]|0,f[z>>2]=l+-1,(l|0)==1):0)aU(k);f[q>>2]=0;q=k+16|0;l=k+4|0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;f[q+12>>2]=0;if((f[l>>2]|0)>0){q=f[k+40>>2]|0;z=0;do{f[q+(z<<2)>>2]=0;z=z+1|0}while((z|0)<(f[l>>2]|0))}l=f[k+44>>2]|0;if((l|0)!=(k+48|0))TC(l);ut(j);ut(i)}if(!(f[h+4>>2]|0)){u=g;return}u=g;return}function Tmb(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;g=u;u=u+16|0;d=g;h=f[c>>2]|0;if(((f[c+4>>2]|0)-h|0)!=24){i=cuc(32)|0;f[d>>2]=i;f[d+8>>2]=-2147483616;f[d+4>>2]=18;j=i;k=476387;l=j+18|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[i+18>>0]=0;WD(-215,d,477070,452741,27)}i=f[h>>2]|0;if(((f[h+4>>2]|0)-i|0)!=16){h=cuc(32)|0;f[d>>2]=h;f[d+8>>2]=-2147483616;f[d+4>>2]=21;j=h;k=454356;l=j+21|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[h+21>>0]=0;WD(-215,d,477070,452741,27)}if((f[i>>2]|0)!=1){f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;WD(-213,d,477070,452741,29)}f[d>>2]=0;i=d+4|0;f[i>>2]=0;f[d+8>>2]=0;h=cuc(16)|0;f[d>>2]=h;k=h+16|0;f[d+8>>2]=k;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;f[i>>2]=k;k=e+4|0;j=f[k>>2]|0;l=f[e>>2]|0;m=j-l|0;n=(m|0)/12|0;o=l;l=j;if(!m){Hmb(e,1-n|0,d);m=f[d>>2]|0;if(!m){p=f[c>>2]|0;q=p+12|0;r=f[q>>2]|0;s=r+8|0;t=f[s>>2]|0;v=f[e>>2]|0;w=f[v>>2]|0;f[w>>2]=t;x=f[p>>2]|0;y=x+4|0;z=f[y>>2]|0;A=w+4|0;f[A>>2]=z;B=a+48|0;C=f[B>>2]|0;D=w+8|0;f[D>>2]=C;E=a+44|0;F=f[E>>2]|0;G=w+12|0;f[G>>2]=F;u=g;return 0}else{H=m;I=m}}else if(n>>>0>1?(n=o+12|0,(l|0)!=(n|0)):0){o=l;while(1){l=o+-12|0;f[k>>2]=l;m=f[l>>2]|0;if(!m)J=l;else{l=o+-8|0;d=f[l>>2]|0;if((d|0)!=(m|0))f[l>>2]=d+(~((d+-4-m|0)>>>2)<<2);fuc(m);J=f[k>>2]|0}if((J|0)==(n|0)){H=h;I=h;break}else o=J}}else{H=h;I=h}h=f[i>>2]|0;if((h|0)!=(H|0))f[i>>2]=h+(~((h+-4-H|0)>>>2)<<2);fuc(I);p=f[c>>2]|0;q=p+12|0;r=f[q>>2]|0;s=r+8|0;t=f[s>>2]|0;v=f[e>>2]|0;w=f[v>>2]|0;f[w>>2]=t;x=f[p>>2]|0;y=x+4|0;z=f[y>>2]|0;A=w+4|0;f[A>>2]=z;B=a+48|0;C=f[B>>2]|0;D=w+8|0;f[D>>2]=C;E=a+44|0;F=f[E>>2]|0;G=w+12|0;f[G>>2]=F;u=g;return 0}function Umb(a,b){a=a|0;b=b|0;var c=0;c=cuc(52)|0;Vmb(c,b);f[a>>2]=c;b=cuc(16)|0;f[b+4>>2]=0;f[b+8>>2]=0;f[b>>2]=132004;f[b+12>>2]=c;f[a+4>>2]=b;return}function Vmb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;d=u;u=u+16|0;e=d;WMa(a);f[a>>2]=132032;XMa(a,c);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;g=e+11|0;b[g>>0]=4;f[e>>2]=1936291937;b[e+4>>0]=0;h=gEa(c,e)|0;i=c+4|0;if((h|0)==(i|0))j=1;else{k=hEa(h+28|0,-1)|0;j=k}f[a+44>>2]=j;if((b[g>>0]|0)<0)fuc(f[e>>2]|0);f[e+8>>2]=0;g=e+11|0;b[g>>0]=7;b[e>>0]=b[453204]|0;b[e+1>>0]=b[453205]|0;b[e+2>>0]=b[453206]|0;b[e+3>>0]=b[453207]|0;b[e+4>>0]=b[453208]|0;b[e+5>>0]=b[453209]|0;b[e+6>>0]=b[453210]|0;b[e+7>>0]=0;j=gEa(c,e)|0;if((j|0)==(i|0))l=0;else{i=hEa(j+28|0,-1)|0;l=((i|0)!=0|(J|0)!=0)&1}b[a+48>>0]=l;if((b[g>>0]|0)>=0){u=d;return}fuc(f[e>>2]|0);u=d;return}function Wmb(a){a=a|0;Qtc(a);fuc(a);return}function Xmb(a){a=a|0;var b=0;b=f[a+12>>2]|0;if(!b)return;bi[f[(f[b>>2]|0)+4>>2]&2047](b);return}function Ymb(a,b){a=a|0;b=b|0;return ((f[b+4>>2]|0)==453047?a+12|0:0)|0}function Zmb(a){a=a|0;fuc(a);return}function _mb(a){a=a|0;pKa(a);fuc(a);return}function $mb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;g=u;u=u+128|0;h=g+112|0;i=g+100|0;j=g+88|0;k=g+72|0;l=g;m=g+16|0;gV(h,132132);if(f[h>>2]|0){}if((CJ(c,-1)|0)==3)JKa(a,c,d,e);else{f[i>>2]=0;e=i+4|0;f[e>>2]=0;f[i+8>>2]=0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;sJ(c,i);sJ(d,j);d=f[a+44>>2]|0;c=((d|0)<0?f[(f[i>>2]|0)+4>>2]|0:0)+d|0;d=f[j>>2]|0;n=a+48|0;if(b[n>>0]|0){p[l>>3]=0.0;f[k>>2]=-1056833530;f[k+4>>2]=l;f[k+8>>2]=1;f[k+12>>2]=1;HI(d,k,sK()|0)|0}if(((c|0)==1?(f[d+4>>2]|0)==4:0)?(b[n>>0]|0)==0:0)enb(i,d,tZ()|0);else{n=f[(f[j>>2]|0)+4>>2]|0;f[k>>2]=0;a=k+4|0;f[a>>2]=0;f[k+8>>2]=0;if(n>>>0>536870911)nsc(k);o=cuc(n<<3)|0;f[a>>2]=o;f[k>>2]=o;f[k+8>>2]=o+(n<<3);q=n;r=o;s=o;while(1){t=r;f[t>>2]=-2147483648;f[t+4>>2]=2147483647;t=s+8|0;v=q+-1|0;if(!v)break;else{q=v;r=t;s=t}}f[a>>2]=o+(n<<3);f[o+(c<<3)>>2]=0;n=f[i>>2]|0;if((f[e>>2]|0)==(n|0))w=o;else{s=d+4|0;r=l+8|0;q=l+4|0;t=m+36|0;v=m+16|0;x=m+4|0;y=m+40|0;z=m+44|0;A=m+48|0;B=d+40|0;C=0;D=n;n=f[o+(c<<3)>>2]|0;E=o;while(1){o=D;f[E+(c<<3)+4>>2]=(f[(f[o+(C*56|0)+40>>2]|0)+(c<<2)>>2]|0)+n;F=f[s>>2]|0;if((F|0)>0){G=o+(C*56|0)+40|0;H=f[k>>2]|0;I=0;do{if((I|0)!=(c|0)){J=(f[G>>2]|0)+(I<<2)|0;K=((f[(f[B>>2]|0)+(I<<2)>>2]|0)-(f[J>>2]|0)|0)/2|0;f[H+(I<<3)>>2]=K;f[H+(I<<3)+4>>2]=(f[J>>2]|0)+K}I=I+1|0}while((I|0)<(F|0))}cU(m,d,f[k>>2]|0);F=r;f[F>>2]=0;f[F+4>>2]=0;f[l>>2]=-1040121856;f[q>>2]=m;EI(o+(C*56|0)|0,l);F=f[t>>2]|0;if(F|0?(I=F+12|0,F=f[I>>2]|0,f[I>>2]=F+-1,(F|0)==1):0)aU(m);f[t>>2]=0;f[v>>2]=0;f[v+4>>2]=0;f[v+8>>2]=0;f[v+12>>2]=0;if((f[x>>2]|0)>0){F=f[y>>2]|0;I=0;do{f[F+(I<<2)>>2]=0;I=I+1|0}while((I|0)<(f[x>>2]|0))}I=f[z>>2]|0;if((I|0)!=(A|0))TC(I);I=f[k>>2]|0;n=f[I+(c<<3)+4>>2]|0;f[I+(c<<3)>>2]=n;C=C+1|0;D=f[i>>2]|0;if(C>>>0>=(((f[e>>2]|0)-D|0)/56|0)>>>0){w=I;break}else E=I}}if(w|0){E=f[a>>2]|0;if((E|0)!=(w|0))f[a>>2]=E+(~((E+-8-w|0)>>>3)<<3);fuc(w)}}ut(j);ut(i)}if(!(f[h+4>>2]|0)){u=g;return}u=g;return}function anb(a,c){a=a|0;c=c|0;var d=0,e=0;switch(c|0){case 3:{d=1;break}case 1:{if((aNa()|0?(f[a+44>>2]|0)==1:0)?(b[a+48>>0]|0)==0:0)d=1;else e=7;break}case 2:{if(rib()|0)d=(b[a+48>>0]|0)==0;else d=0;break}default:e=7}if((e|0)==7)d=0;return d|0}function bnb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function cnb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function dnb(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;g=u;u=u+32|0;d=g+12|0;h=g;i=c+4|0;j=f[c>>2]|0;k=j;if((f[i>>2]|0)==(j|0)){j=cuc(32)|0;f[d>>2]=j;f[d+8>>2]=-2147483616;f[d+4>>2]=17;l=j;m=473334;n=l+17|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));b[j+17>>0]=0;WD(-215,d,477070,453212,72)}j=e+4|0;o=f[j>>2]|0;p=f[e>>2]|0;q=o-p|0;r=(q|0)/12|0;s=p;p=o;if(q){if(r>>>0>1?(q=s+12|0,(p|0)!=(q|0)):0){s=p;while(1){p=s+-12|0;f[j>>2]=p;o=f[p>>2]|0;if(!o)t=p;else{p=s+-8|0;v=f[p>>2]|0;if((v|0)!=(o|0))f[p>>2]=v+(~((v+-4-o|0)>>>2)<<2);fuc(o);t=f[j>>2]|0}if((t|0)==(q|0))break;else s=t}}}else Hmb(e,1-r|0,k);k=f[a+44>>2]|0;r=f[c>>2]|0;t=((k|0)<0?(f[r+4>>2]|0)-(f[r>>2]|0)>>2:0)+k|0;if((f[i>>2]|0)==(r|0)){w=0;x=e;y=f[x>>2]|0;z=f[y>>2]|0;A=z+(t<<2)|0;f[A>>2]=w;u=g;return 0}k=a+48|0;a=d+4|0;s=0;q=0;j=r;a:while(1){tHa(d,j+(s*12|0)|0);if(!(b[k>>0]|0)){r=f[d>>2]|0;o=(f[a>>2]|0)-r|0;v=f[e>>2]|0;p=f[v+4>>2]|0;B=f[v>>2]|0;v=r;r=B;if((o|0)!=(p-B|0)){C=24;break}if((p|0)==(B|0)){D=v;C=29}else{B=o>>2;o=0;while(1){if((o|0)!=(t|0)?(f[r+(o<<2)>>2]|0)!=(f[v+(o<<2)>>2]|0):0){C=27;break a}o=o+1|0;if(o>>>0>=B>>>0){D=v;C=29;break}}}}else{v=f[e>>2]|0;B=f[v+4>>2]|0;o=f[v>>2]|0;v=o;r=f[d>>2]|0;if((B|0)==(o|0)){D=r;C=29}else{p=B-o>>2;o=0;do{B=v+(o<<2)|0;E=f[B>>2]|0;F=f[r+(o<<2)>>2]|0;f[B>>2]=(E|0)<(F|0)?F:E;o=o+1|0}while(o>>>0<p>>>0);G=r;H=(f[r+(t<<2)>>2]|0)+q|0;C=30}}if((C|0)==29){C=0;p=(f[D+(t<<2)>>2]|0)+q|0;if(!D)I=p;else{G=D;H=p;C=30}}if((C|0)==30){C=0;p=f[a>>2]|0;if((p|0)!=(G|0))f[a>>2]=p+(~((p+-4-G|0)>>>2)<<2);fuc(G);I=H}s=s+1|0;j=f[c>>2]|0;if(s>>>0>=(((f[i>>2]|0)-j|0)/12|0)>>>0){w=I;x=e;C=15;break}else q=I}if((C|0)==15){y=f[x>>2]|0;z=f[y>>2]|0;A=z+(t<<2)|0;f[A>>2]=w;u=g;return 0}else if((C|0)==24){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;g=cuc(48)|0;f[h>>2]=g;f[h+8>>2]=-2147483600;f[h+4>>2]=36;l=g;m=453292;n=l+36|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));b[g+36>>0]=0;WD(-215,h,477070,453212,90)}else if((C|0)==27){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;C=cuc(48)|0;f[h>>2]=C;f[h+8>>2]=-2147483600;f[h+4>>2]=34;l=C;m=453329;n=l+34|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));b[C+34>>0]=0;WD(-201,h,477070,453212,94)}return 0}function enb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;e=u;u=u+48|0;g=e+12|0;h=e;f[g>>2]=132172;i=g+4|0;j=i+12|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[i>>2]=a;f[g+8>>2]=c;f[g+12>>2]=d;i=f[a>>2]|0;j=(f[a+4>>2]|0)-i|0;k=(j|0)/56|0;l=f[c+40>>2]|0;m=f[l>>2]|0;n=(j|0)==0;j=i;a:do if(n)o=0;else{i=l+8|0;p=l+12|0;q=0;r=0;b:while(1){s=f[j+(q*56|0)>>2]|0;if(!(s&16384))break;switch(s&4095){case 3:case 5:break;default:break b}if((f[j+(q*56|0)+4>>2]|0)!=4)break;s=f[j+(q*56|0)+40>>2]|0;if((f[s>>2]|0)!=(m|0))break;if((f[s+8>>2]|0)!=(f[i>>2]|0))break;if((f[s+12>>2]|0)!=(f[p>>2]|0))break;t=(f[s+4>>2]|0)+r|0;q=q+1|0;if(q>>>0>=k>>>0){o=t;break a}else r=t}f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;r=cuc(192)|0;f[h>>2]=r;f[h+8>>2]=-2147483456;f[h+4>>2]=184;szc(r|0,453364,184)|0;b[r+184>>0]=0;WD(-215,h,472820,453212,134)}while(0);if((o|0)!=(f[l+4>>2]|0)){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;l=cuc(32)|0;f[h>>2]=l;f[h+8>>2]=-2147483616;f[h+4>>2]=27;v=l;w=453549;x=v+27|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));b[l+27>>0]=0;WD(-215,h,472820,453212,137)}l=f[c>>2]|0;if(!(l&16384)){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;y=cuc(80)|0;f[h>>2]=y;z=h+8|0;f[z>>2]=-2147483568;A=h+4|0;f[A>>2]=77;v=y;w=453577;x=v+77|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));B=y+77|0;b[B>>0]=0;WD(-215,h,472820,453212,138)}switch(l&4095){case 3:case 5:break;default:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;y=cuc(80)|0;f[h>>2]=y;z=h+8|0;f[z>>2]=-2147483568;A=h+4|0;f[A>>2]=77;v=y;w=453577;x=v+77|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));B=y+77|0;b[B>>0]=0;WD(-215,h,472820,453212,138)}}B=g+16|0;y=Y(o,m)|0;w=g+20|0;if(y|0)fnb(B,y);if(!n?(m|0)>0:0){n=0;y=0;while(1){v=f[a>>2]|0;x=v+(y*56|0)+40|0;A=v+(y*56|0)+16|0;z=v+(y*56|0)+44|0;v=0;l=f[(f[x>>2]|0)+4>>2]|0;while(1){if((l|0)>0){c=(Y(v,o)|0)+n|0;j=0;do{r=f[z>>2]|0;q=(f[A>>2]|0)+(Y(f[r>>2]|0,v)|0)|0;p=q+(Y(f[r+4>>2]|0,j)|0)|0;f[(f[B>>2]|0)+(c+j<<2)>>2]=p;j=j+1|0;p=f[(f[x>>2]|0)+4>>2]|0}while((j|0)<(p|0));C=p}else C=l;v=v+1|0;if((v|0)==(m|0))break;else l=C}y=y+1|0;if(y>>>0>=k>>>0)break;else n=C+n|0}}f[h>>2]=0;f[h+4>>2]=d;sZ(h,g,+(d|0));f[g>>2]=132172;d=f[g+16>>2]|0;if(!d){u=e;return}g=f[w>>2]|0;if((g|0)!=(d|0))f[w>>2]=g+(~((g+-4-d|0)>>>2)<<2);fuc(d);u=e;return}function fnb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(d-g>>2>>>0>=b>>>0){h=b;i=g;do{f[i>>2]=0;i=(f[e>>2]|0)+4|0;f[e>>2]=i;h=h+-1|0}while((h|0)!=0);return}h=f[a>>2]|0;i=g-h>>2;g=i+b|0;if(g>>>0>1073741823)nsc(a);j=d-h|0;h=j>>1;d=j>>2>>>0<536870911?(h>>>0<g>>>0?g:h):1073741823;do if(d)if(d>>>0>1073741823){h=ze(8)|0;kuc(h,519086);f[h>>2]=167148;Hf(h|0,26888,1888)}else{k=cuc(d<<2)|0;break}else k=0;while(0);h=k+(i<<2)|0;i=k+(d<<2)|0;d=b;b=h;k=h;do{f[k>>2]=0;k=b+4|0;b=k;d=d+-1|0}while((d|0)!=0);d=f[a>>2]|0;k=(f[e>>2]|0)-d|0;g=h+(0-(k>>2)<<2)|0;if((k|0)>0)szc(g|0,d|0,k|0)|0;f[a>>2]=g;f[e>>2]=b;f[c>>2]=i;if(!d)return;fuc(d);return}function gnb(a){a=a|0;var b=0,c=0;f[a>>2]=132172;b=f[a+16>>2]|0;if(!b)return;c=a+20|0;a=f[c>>2]|0;if((a|0)!=(b|0))f[c>>2]=a+(~((a+-4-b|0)>>>2)<<2);fuc(b);return}function hnb(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=132172;b=f[a+16>>2]|0;if(!b){fuc(a);return}c=a+20|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b);fuc(a);return}function inb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0;c=f[a+8>>2]|0;d=f[c+40>>2]|0;e=Y(f[d+12>>2]|0,f[d+8>>2]|0)|0;d=f[a+16>>2]|0;g=Y((f[a+20>>2]|0)-d>>2,e)|0;h=f[a+12>>2]|0;a=((h+-1+g|0)>>>0)/(h>>>0)|0;h=Y(f[b>>2]|0,a)|0;i=Y(f[b+4>>2]|0,a)|0;a=i>>>0<g>>>0?i:g;g=d;d=f[c+16>>2]|0;if(h>>>0<a>>>0)j=h;else return;do{h=(j>>>0)/(e>>>0)|0;c=j-(Y(h,e)|0)|0;i=e-c|0;b=i>>>0<65536?i:65536;szc(d+(j<<2)|0,(f[g+(h<<2)>>2]|0)+(c<<2)|0,b<<2|0)|0;j=b+j|0}while(j>>>0<a>>>0);return}function jnb(a,b){a=a|0;b=b|0;var c=0;c=cuc(84)|0;knb(c,b);f[a>>2]=c;b=cuc(16)|0;f[b+4>>2]=0;f[b+8>>2]=0;f[b>>2]=132192;f[b+12>>2]=c;f[a+4>>2]=b;return}function knb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0.0,o=0.0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;d=u;u=u+32|0;e=d+12|0;g=d;WMa(a);f[a>>2]=132220;h=a+52|0;i=a+56|0;j=a+60|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;f[h+16>>2]=0;f[h+20>>2]=0;f[h+24>>2]=0;XMa(a,c);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;k=e+11|0;b[k>>0]=5;b[e>>0]=b[461828]|0;b[e+1>>0]=b[461829]|0;b[e+2>>0]=b[461830]|0;b[e+3>>0]=b[461831]|0;b[e+4>>0]=b[461832]|0;b[e+5>>0]=0;l=gEa(c,e)|0;m=c+4|0;if((l|0)==(m|0))n=0.0;else n=+iEa(l+28|0,-1);f[a+44>>2]=~~n;if((b[k>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;k=e+11|0;b[k>>0]=6;b[e>>0]=b[461834]|0;b[e+1>>0]=b[461835]|0;b[e+2>>0]=b[461836]|0;b[e+3>>0]=b[461837]|0;b[e+4>>0]=b[461838]|0;b[e+5>>0]=b[461839]|0;b[e+6>>0]=0;l=gEa(c,e)|0;if((l|0)==(m|0))o=0.0;else o=+iEa(l+28|0,-1);f[a+48>>2]=~~o;if((b[k>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;k=cuc(16)|0;f[e>>2]=k;f[e+8>>2]=-2147483632;f[e+4>>2]=11;l=k;p=453997;q=l+11|0;do{b[l>>0]=b[p>>0]|0;l=l+1|0;p=p+1|0}while((l|0)<(q|0));b[k+11>>0]=0;k=(cGa(c,e)|0)==0;if((b[e+11>>0]|0)<0)fuc(f[e>>2]|0);if(k){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;k=cuc(16)|0;f[e>>2]=k;f[e+8>>2]=-2147483632;f[e+4>>2]=13;l=k;p=454009;q=l+13|0;do{b[l>>0]=b[p>>0]|0;l=l+1|0;p=p+1|0}while((l|0)<(q|0));b[k+13>>0]=0;if(!(cGa(c,e)|0)){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;k=cuc(16)|0;f[g>>2]=k;f[g+8>>2]=-2147483632;f[g+4>>2]=13;l=k;p=454023;q=l+13|0;do{b[l>>0]=b[p>>0]|0;l=l+1|0;p=p+1|0}while((l|0)<(q|0));b[k+13>>0]=0;k=(cGa(c,g)|0)!=0;if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);r=k}else r=1;if((b[e+11>>0]|0)<0)fuc(f[e>>2]|0);if(r){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;r=cuc(16)|0;f[e>>2]=r;f[e+8>>2]=-2147483632;f[e+4>>2]=13;l=r;p=454009;q=l+13|0;do{b[l>>0]=b[p>>0]|0;l=l+1|0;p=p+1|0}while((l|0)<(q|0));b[r+13>>0]=0;if(!(cGa(c,e)|0))s=0;else{f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;r=cuc(16)|0;f[g>>2]=r;f[g+8>>2]=-2147483632;f[g+4>>2]=13;l=r;p=454023;q=l+13|0;do{b[l>>0]=b[p>>0]|0;l=l+1|0;p=p+1|0}while((l|0)<(q|0));b[r+13>>0]=0;r=(cGa(c,g)|0)!=0;if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);s=r}if((b[e+11>>0]|0)<0)fuc(f[e>>2]|0);if(!s){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;s=cuc(64)|0;f[e>>2]=s;f[e+8>>2]=-2147483584;f[e+4>>2]=58;l=s;p=454194;q=l+58|0;do{b[l>>0]=b[p>>0]|0;l=l+1|0;p=p+1|0}while((l|0)<(q|0));b[s+58>>0]=0;WD(-215,e,454098,454114,29)};f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;s=cuc(16)|0;f[e>>2]=s;f[e+8>>2]=-2147483632;f[e+4>>2]=13;l=s;p=454009;q=l+13|0;do{b[l>>0]=b[p>>0]|0;l=l+1|0;p=p+1|0}while((l|0)<(q|0));b[s+13>>0]=0;s=hEa(iGa(c,e)|0,-1)|0;f[h>>2]=s;if((b[e+11>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;s=cuc(16)|0;f[e>>2]=s;f[e+8>>2]=-2147483632;f[e+4>>2]=13;l=s;p=454023;q=l+13|0;do{b[l>>0]=b[p>>0]|0;l=l+1|0;p=p+1|0}while((l|0)<(q|0));b[s+13>>0]=0;s=hEa(iGa(c,e)|0,-1)|0;f[i>>2]=s;if((b[e+11>>0]|0)<0)fuc(f[e>>2]|0)}}else{f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;s=cuc(16)|0;f[e>>2]=s;f[e+8>>2]=-2147483632;f[e+4>>2]=13;l=s;p=454009;q=l+13|0;do{b[l>>0]=b[p>>0]|0;l=l+1|0;p=p+1|0}while((l|0)<(q|0));b[s+13>>0]=0;if(!(cGa(c,e)|0)){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;s=cuc(16)|0;f[g>>2]=s;f[g+8>>2]=-2147483632;f[g+4>>2]=13;l=s;p=454023;q=l+13|0;do{b[l>>0]=b[p>>0]|0;l=l+1|0;p=p+1|0}while((l|0)<(q|0));b[s+13>>0]=0;s=(cGa(c,g)|0)==0;if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);t=s}else t=0;if((b[e+11>>0]|0)<0)fuc(f[e>>2]|0);if(!t){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;t=cuc(64)|0;f[e>>2]=t;f[e+8>>2]=-2147483584;f[e+4>>2]=60;l=t;p=454037;q=l+60|0;do{b[l>>0]=b[p>>0]|0;l=l+1|0;p=p+1|0}while((l|0)<(q|0));b[t+60>>0]=0;WD(-215,e,454098,454114,24)};f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;t=cuc(16)|0;f[e>>2]=t;f[e+8>>2]=-2147483632;f[e+4>>2]=11;l=t;p=453997;q=l+11|0;do{b[l>>0]=b[p>>0]|0;l=l+1|0;p=p+1|0}while((l|0)<(q|0));b[t+11>>0]=0;t=hEa(iGa(c,e)|0,-1)|0;f[i>>2]=t;f[h>>2]=t;if((b[e+11>>0]|0)<0)fuc(f[e>>2]|0)};f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;t=cuc(16)|0;f[g>>2]=t;f[g+8>>2]=-2147483632;f[g+4>>2]=13;l=t;p=454253;q=l+13|0;do{b[l>>0]=b[p>>0]|0;l=l+1|0;p=p+1|0}while((l|0)<(q|0));b[t+13>>0]=0;jGa(e,iGa(c,g)|0,-1);t=j+11|0;if((b[t>>0]|0)<0){b[f[j>>2]>>0]=0;f[a+64>>2]=0}else{b[j>>0]=0;b[t>>0]=0}vuc(j,0);f[j>>2]=f[e>>2];f[j+4>>2]=f[e+4>>2];f[j+8>>2]=f[e+8>>2];f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);g=b[t>>0]|0;h=a+64|0;i=f[h>>2]|0;if(((g<<24>>24<0?i:g&255)|0)==7){if(Puc(j,0,-1,454267,7)|0){v=b[t>>0]|0;w=f[h>>2]|0;x=51}}else{v=g;w=i;x=51}if((x|0)==51){if(((v<<24>>24<0?w:v&255)|0)!=8){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;y=cuc(64)|0;f[e>>2]=y;z=e+8|0;f[z>>2]=-2147483584;A=e+4|0;f[A>>2]=57;l=y;p=454284;q=l+57|0;do{b[l>>0]=b[p>>0]|0;l=l+1|0;p=p+1|0}while((l|0)<(q|0));B=y+57|0;b[B>>0]=0;WD(-215,e,454098,454114,34)}if(Puc(j,0,-1,454275,8)|0){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;y=cuc(64)|0;f[e>>2]=y;z=e+8|0;f[z>>2]=-2147483584;A=e+4|0;f[A>>2]=57;l=y;p=454284;q=l+57|0;do{b[l>>0]=b[p>>0]|0;l=l+1|0;p=p+1|0}while((l|0)<(q|0));B=y+57|0;b[B>>0]=0;WD(-215,e,454098,454114,34)}};f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;B=cuc(16)|0;f[e>>2]=B;f[e+8>>2]=-2147483632;f[e+4>>2]=13;l=B;p=454342;q=l+13|0;do{b[l>>0]=b[p>>0]|0;l=l+1|0;p=p+1|0}while((l|0)<(q|0));b[B+13>>0]=0;B=gEa(c,e)|0;if((B|0)==(m|0))C=0;else{m=hEa(B+28|0,-1)|0;C=((m|0)!=0|(J|0)!=0)&1}b[a+80>>0]=C;if((b[e+11>>0]|0)>=0){u=d;return}fuc(f[e>>2]|0);u=d;return}function lnb(a){a=a|0;Qtc(a);fuc(a);return}function mnb(a){a=a|0;var b=0;b=f[a+12>>2]|0;if(!b)return;bi[f[(f[b>>2]|0)+4>>2]&2047](b);return}function nnb(a,b){a=a|0;b=b|0;return ((f[b+4>>2]|0)==453840?a+12|0:0)|0}function onb(a){a=a|0;fuc(a);return}function pnb(a){a=a|0;var c=0;f[a>>2]=132220;c=a+60|0;if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);pKa(a);return}function qnb(a){a=a|0;var c=0;f[a>>2]=132220;c=a+60|0;if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);pKa(a);fuc(a);return}function rnb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0.0,q=0.0,r=0.0,s=0;e=u;u=u+32|0;g=e+12|0;h=e;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;sJ(c,g);sJ(d,h);d=a+44|0;c=f[d>>2]|0;if(!c){i=a+48|0;if(!(f[i>>2]|0)){j=f[(f[h>>2]|0)+40>>2]|0;f[i>>2]=f[j+8>>2];i=f[j+12>>2]|0;f[d>>2]=i;k=i}else k=0}else k=c;c=(b[a+80>>0]|0)==0;i=f[a+48>>2]|0;d=f[(f[g>>2]|0)+40>>2]|0;j=f[d+8>>2]|0;if((i|0)>1&(c^1)){n[a+76>>2]=+(j+-1|0)/+(i+-1|0);if((k|0)>1)l=7;else l=8}else{n[a+76>>2]=+(j|0)/+(i|0);if((k|0)>1&(c^1))l=7;else l=8}if((l|0)==7){m=(f[d+12>>2]|0)+-1|0;o=k+-1|0;p=+(m|0);q=+(o|0);r=p/q;s=a+72|0;n[s>>2]=r;ut(h);ut(g);u=e;return}else if((l|0)==8){m=f[d+12>>2]|0;o=k;p=+(m|0);q=+(o|0);r=p/q;s=a+72|0;n[s>>2]=r;ut(h);ut(g);u=e;return}}function snb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0.0,qa=0.0,ra=0.0,sa=0.0,ta=0.0;g=u;u=u+368|0;h=g+240|0;i=g+232|0;j=g+216|0;k=g+204|0;l=g+192|0;m=g+136|0;o=g+80|0;p=g+56|0;q=g;r=g+72|0;gV(i,132320);if(f[i>>2]|0){}if((CJ(c,-1)|0)==3)JKa(a,c,d,e);else{f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;sJ(c,j);sJ(d,k);sJ(e,l);e=a+48|0;d=f[j>>2]|0;c=d+40|0;s=f[c>>2]|0;if(!((f[e>>2]|0)==(f[s+8>>2]|0)?(f[a+44>>2]|0)==(f[s+12>>2]|0):0))t=10;a:do if((t|0)==10){s=f[k>>2]|0;v=a+60|0;w=v+11|0;x=b[w>>0]|0;y=a+64|0;z=f[y>>2]|0;do if(((x<<24>>24<0?z:x&255)|0)==7){if(Puc(v,0,-1,454267,7)|0){A=b[w>>0]|0;B=f[y>>2]|0;break}C=f[(f[j>>2]|0)+40>>2]|0;D=f[C>>2]|0;if(!D)break a;E=d+4|0;F=d+16|0;G=d+44|0;H=m+8|0;I=m+12|0;J=m+4|0;K=s+4|0;L=s+40|0;M=s+16|0;N=s+44|0;O=p+8|0;P=p+4|0;Q=a+44|0;R=r+4|0;S=q+36|0;T=q+16|0;U=q+4|0;V=q+40|0;W=q+44|0;X=q+48|0;Z=o+36|0;_=o+16|0;$=o+4|0;aa=o+40|0;ba=o+44|0;ca=o+48|0;da=0;ea=D;D=C;b:while(1){if(!(f[D+4>>2]|0)){fa=D;ga=ea}else{C=0;do{ha=f[E>>2]|0;if((ha|0)<=2){t=19;break b}ia=f[c>>2]|0;ja=2;do{f[h+(ja+-2<<2)>>2]=f[ia+(ja<<2)>>2];ja=ja+1|0}while((ja|0)!=(ha|0));ja=f[G>>2]|0;ia=(f[F>>2]|0)+(Y(f[ja>>2]|0,da)|0)|0;fU(o,ha+-2|0,h,f[d>>2]&4095,ia+(Y(f[ja+4>>2]|0,C)|0)|0,0);f[H>>2]=0;f[I>>2]=0;f[m>>2]=16842752;f[J>>2]=o;ja=f[K>>2]|0;if((ja|0)<=2){t=23;break b}ia=f[L>>2]|0;ka=2;do{f[h+(ka+-2<<2)>>2]=f[ia+(ka<<2)>>2];ka=ka+1|0}while((ka|0)!=(ja|0));ka=f[N>>2]|0;ia=(f[M>>2]|0)+(Y(f[ka>>2]|0,da)|0)|0;fU(q,ja+-2|0,h,f[s>>2]&4095,ia+(Y(f[ka+4>>2]|0,C)|0)|0,0);ka=O;f[ka>>2]=0;f[ka+4>>2]=0;f[p>>2]=-1040121856;f[P>>2]=q;ka=f[e>>2]|0;f[r>>2]=f[Q>>2];f[R>>2]=ka;Tea(m,p,r,0.0,0.0,0);ka=f[S>>2]|0;if(ka|0?(ia=ka+12|0,ka=f[ia>>2]|0,f[ia>>2]=ka+-1,(ka|0)==1):0)aU(q);f[S>>2]=0;f[T>>2]=0;f[T+4>>2]=0;f[T+8>>2]=0;f[T+12>>2]=0;if((f[U>>2]|0)>0){ka=f[V>>2]|0;ia=0;do{f[ka+(ia<<2)>>2]=0;ia=ia+1|0}while((ia|0)<(f[U>>2]|0))}ia=f[W>>2]|0;if((ia|0)!=(X|0))TC(ia);ia=f[Z>>2]|0;do if(ia|0){ka=ia+12|0;ja=f[ka>>2]|0;f[ka>>2]=ja+-1;if((ja|0)!=1)break;aU(o)}while(0);f[Z>>2]=0;f[_>>2]=0;f[_+4>>2]=0;f[_+8>>2]=0;f[_+12>>2]=0;if((f[$>>2]|0)>0){ia=f[aa>>2]|0;ja=0;do{f[ia+(ja<<2)>>2]=0;ja=ja+1|0}while((ja|0)<(f[$>>2]|0))}ja=f[ba>>2]|0;if((ja|0)!=(ca|0))TC(ja);C=C+1|0;la=f[(f[j>>2]|0)+40>>2]|0}while(C>>>0<(f[la+4>>2]|0)>>>0);fa=la;ga=f[la>>2]|0}da=da+1|0;if(da>>>0>=ga>>>0)break a;else{ea=ga;D=fa}}if((t|0)==19){b[h+11>>0]=10;ma=h;na=470571;oa=ma+10|0;do{b[ma>>0]=b[na>>0]|0;ma=ma+1|0;na=na+1|0}while((ma|0)<(oa|0));b[h+10>>0]=0;WD(-215,h,470582,475396,110)}else if((t|0)==23){b[h+11>>0]=10;ma=h;na=470571;oa=ma+10|0;do{b[ma>>0]=b[na>>0]|0;ma=ma+1|0;na=na+1|0}while((ma|0)<(oa|0));b[h+10>>0]=0;WD(-215,h,470582,475396,110)}}else{A=x;B=z}while(0);if(((A<<24>>24<0?B:A&255)|0)!=8){nEa(h,454416,v);WD(-213,h,477126,454114,155)}if(Puc(v,0,-1,454275,8)|0){nEa(h,454416,v);WD(-213,h,477126,454114,155)}z=f[c>>2]|0;x=f[z+8>>2]|0;y=f[z+12>>2]|0;w=Y(y,x)|0;D=a+44|0;ea=Y(f[D>>2]|0,f[e>>2]|0)|0;da=Y(f[z+4>>2]|0,f[z>>2]|0)|0;if(!(f[d>>2]&16384)){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;z=cuc(32)|0;f[h>>2]=z;f[h+8>>2]=-2147483616;f[h+4>>2]=18;ma=z;na=454378;oa=ma+18|0;do{b[ma>>0]=b[na>>0]|0;ma=ma+1|0;na=na+1|0}while((ma|0)<(oa|0));b[z+18>>0]=0;WD(-215,h,477126,454114,121)}if(!(f[s>>2]&16384)){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;v=cuc(32)|0;f[h>>2]=v;f[h+8>>2]=-2147483616;f[h+4>>2]=18;ma=v;na=454397;oa=ma+18|0;do{b[ma>>0]=b[na>>0]|0;ma=ma+1|0;na=na+1|0}while((ma|0)<(oa|0));b[v+18>>0]=0;WD(-215,h,477126,454114,121)}mU(h,d,1,Y(da,x)|0);mU(m,s,1,Y(f[e>>2]|0,da)|0);z=f[e>>2]|0;if((z|0)>0){ca=a+76|0;ba=f[h+16>>2]|0;$=f[f[h+44>>2]>>2]|0;aa=x+-1|0;_=f[D>>2]|0;Z=(_|0)>0;X=a+72|0;W=y+-1|0;U=f[m+16>>2]|0;V=f[m+44>>2]|0;T=V+4|0;S=(da|0)>0;R=0;do{pa=+(R|0)*+n[ca>>2];Q=~~pa;P=ba+(Y($,Q)|0)|0;O=Q+1|0;M=ba+(Y((aa|0)<(O|0)?aa:O,$)|0)|0;if(Z?(O=U+(Y(f[V>>2]|0,R)|0)|0,N=f[T>>2]|0,qa=pa-+(Q|0),S):0){Q=0;do{pa=+(Q|0)*+n[X>>2];L=~~pa;K=L+1|0;J=(W|0)<(K|0)?W:K;ra=pa-+(L|0);K=M;I=P;H=O+(Y(N,Q)|0)|0;F=0;while(1){pa=+n[I+(L<<2)>>2];sa=+n[K+(L<<2)>>2];ta=+n[I+(J<<2)>>2];n[H>>2]=pa+qa*(sa-pa)+ra*(ta-pa+qa*(pa+(+n[K+(J<<2)>>2]-ta-sa)));F=F+1|0;if((F|0)==(da|0))break;else{K=K+(w<<2)|0;I=I+(w<<2)|0;H=H+(ea<<2)|0}}Q=Q+1|0}while((Q|0)<(_|0))}R=R+1|0}while((R|0)<(z|0))}z=m+36|0;R=f[z>>2]|0;if(R|0?(_=R+12|0,R=f[_>>2]|0,f[_>>2]=R+-1,(R|0)==1):0)aU(m);f[z>>2]=0;z=m+16|0;R=m+4|0;f[z>>2]=0;f[z+4>>2]=0;f[z+8>>2]=0;f[z+12>>2]=0;if((f[R>>2]|0)>0){z=f[m+40>>2]|0;_=0;do{f[z+(_<<2)>>2]=0;_=_+1|0}while((_|0)<(f[R>>2]|0))}R=f[m+44>>2]|0;if((R|0)!=(m+48|0))TC(R);R=h+36|0;_=f[R>>2]|0;if(_|0?(z=_+12|0,_=f[z>>2]|0,f[z>>2]=_+-1,(_|0)==1):0)aU(h);f[R>>2]=0;R=h+16|0;_=h+4|0;f[R>>2]=0;f[R+4>>2]=0;f[R+8>>2]=0;f[R+12>>2]=0;if((f[_>>2]|0)>0){R=f[h+40>>2]|0;z=0;do{f[R+(z<<2)>>2]=0;z=z+1|0}while((z|0)<(f[_>>2]|0))}_=f[h+44>>2]|0;if((_|0)!=(h+48|0))TC(_)}while(0);ut(l);ut(k);ut(j)}if(!(f[i+4>>2]|0)){u=g;return}u=g;return}function tnb(a,c){a=a|0;c=c|0;var d=0,e=0;if((c|0)!=2){d=(c|0)==3;return d|0}c=a+60|0;e=b[c+11>>0]|0;if(((e<<24>>24<0?f[a+64>>2]|0:e&255)|0)!=7){d=0;return d|0}if(Puc(c,0,-1,454267,7)|0){d=0;return d|0}d=(f[a+40>>2]|0)!=3;return d|0}function unb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function vnb(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;g=u;u=u+16|0;d=g;h=f[c>>2]|0;i=h;if(((f[c+4>>2]|0)-h|0)!=12){j=cuc(32)|0;f[d>>2]=j;f[d+8>>2]=-2147483616;f[d+4>>2]=18;k=j;l=477051;m=k+18|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));b[j+18>>0]=0;WD(-215,d,477070,454114,44)}if(((f[i+4>>2]|0)-(f[h>>2]|0)|0)!=16){h=cuc(32)|0;f[d>>2]=h;f[d+8>>2]=-2147483616;f[d+4>>2]=21;k=h;l=454356;m=k+21|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));b[h+21>>0]=0;WD(-215,d,477070,454114,44)}d=e+4|0;h=f[d>>2]|0;l=f[e>>2]|0;k=h-l|0;m=(k|0)/12|0;j=l;l=h;if(k){if(m>>>0>1?(k=j+12|0,(l|0)!=(k|0)):0){j=l;while(1){l=j+-12|0;f[d>>2]=l;h=f[l>>2]|0;if(!h)n=l;else{l=j+-8|0;o=f[l>>2]|0;if((o|0)!=(h|0))f[l>>2]=o+(~((o+-4-h|0)>>>2)<<2);fuc(h);n=f[d>>2]|0}if((n|0)==(k|0))break;else j=n}}}else Hmb(e,1-m|0,i);i=f[a+48>>2]|0;m=f[f[e>>2]>>2]|0;if((i|0)>0)p=i;else p=Y(f[a+56>>2]|0,f[m+8>>2]|0)|0;f[m+8>>2]=p;i=f[a+44>>2]|0;e=m+12|0;if((i|0)>0)q=i;else q=Y(f[a+52>>2]|0,f[e>>2]|0)|0;f[e>>2]=q;e=f[f[c>>2]>>2]|0;if((p|0)!=(f[e+8>>2]|0)){r=0;u=g;return r|0}r=(q|0)==(f[e+12>>2]|0);u=g;return r|0}function wnb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0;d=u;u=u+64|0;e=d+16|0;g=d;gKa(e,c);f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;c=cuc(16)|0;f[g>>2]=c;f[g+8>>2]=-2147483632;f[g+4>>2]=13;h=c;i=454253;j=h+13|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(j|0));b[c+13>>0]=0;lGa(e,g,454275)|0;if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);g=cuc(84)|0;knb(g,e);f[g>>2]=132360;f[a>>2]=g;c=cuc(16)|0;f[c+4>>2]=0;f[c+8>>2]=0;f[c>>2]=132468;f[c+12>>2]=g;f[a+4>>2]=c;c=e+36|0;if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);c=e+24|0;if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);ut(e+12|0);lEa(e,f[e+4>>2]|0);u=d;return}function xnb(a){a=a|0;Qtc(a);fuc(a);return}function ynb(a){a=a|0;var b=0;b=f[a+12>>2]|0;if(!b)return;bi[f[(f[b>>2]|0)+4>>2]&2047](b);return}function znb(a,b){a=a|0;b=b|0;return ((f[b+4>>2]|0)==454615?a+12|0:0)|0}function Anb(a){a=a|0;fuc(a);return}function Bnb(a){a=a|0;var c=0;f[a>>2]=132220;c=a+60|0;if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);pKa(a);fuc(a);return}function Cnb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0.0,p=0.0,q=0;d=u;u=u+32|0;e=d+12|0;g=d;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;sJ(b,e);sJ(c,g);c=a+44|0;b=f[c>>2]|0;h=a+48|0;i=f[h>>2]|0;if(!b)if(!i){j=f[(f[g>>2]|0)+40>>2]|0;k=f[j+8>>2]|0;f[h>>2]=k;h=f[j+12>>2]|0;f[c>>2]=h;l=k;m=h}else{l=i;m=0}else{l=i;m=b}b=f[(f[e>>2]|0)+40>>2]|0;i=f[b+12>>2]|0;if((l|0)>1)o=+((f[b+8>>2]|0)+-1|0)/+(l+-1|0);else o=0.0;n[a+76>>2]=o;if((m|0)<=1){p=0.0;q=a+72|0;n[q>>2]=p;ut(g);ut(e);u=d;return}p=+(i+-1|0)/+(m+-1|0);q=a+72|0;n[q>>2]=p;ut(g);ut(e);u=d;return}function Dnb(a,b){a=a|0;b=b|0;return (b|1|0)==3|0}function Enb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function Fnb(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;g=u;u=u+16|0;d=g;h=f[c>>2]|0;i=h;if(((f[c+4>>2]|0)-h|0)!=12){j=cuc(32)|0;f[d>>2]=j;f[d+8>>2]=-2147483616;f[d+4>>2]=18;k=j;l=477051;m=k+18|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));b[j+18>>0]=0;WD(-215,d,477070,454114,200)}if(((f[i+4>>2]|0)-(f[h>>2]|0)|0)!=16){h=cuc(32)|0;f[d>>2]=h;f[d+8>>2]=-2147483616;f[d+4>>2]=21;k=h;l=454356;m=k+21|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));b[h+21>>0]=0;WD(-215,d,477070,454114,200)}d=e+4|0;h=f[d>>2]|0;l=f[e>>2]|0;k=h-l|0;m=(k|0)/12|0;j=l;l=h;if(k){if(m>>>0>1?(k=j+12|0,(l|0)!=(k|0)):0){j=l;while(1){l=j+-12|0;f[d>>2]=l;h=f[l>>2]|0;if(!h)n=l;else{l=j+-8|0;o=f[l>>2]|0;if((o|0)!=(h|0))f[l>>2]=o+(~((o+-4-h|0)>>>2)<<2);fuc(h);n=f[d>>2]|0}if((n|0)==(k|0))break;else j=n}}}else Hmb(e,1-m|0,i);i=f[a+48>>2]|0;if((i|0)>0){p=f[f[e>>2]>>2]|0;q=i}else{i=f[f[e>>2]>>2]|0;p=i;q=(Y((f[i+8>>2]|0)+-1|0,f[a+56>>2]|0)|0)+1|0}f[p+8>>2]=q;i=f[a+44>>2]|0;if((i|0)>0){r=p+12|0;s=i}else{i=p+12|0;r=i;s=(Y((f[i>>2]|0)+-1|0,f[a+52>>2]|0)|0)+1|0}f[r>>2]=s;r=f[f[c>>2]>>2]|0;if((q|0)!=(f[r+8>>2]|0)){t=0;u=g;return t|0}t=(s|0)==(f[r+12>>2]|0);u=g;return t|0}function Gnb(a,b){a=a|0;b=b|0;var c=0;c=cuc(80)|0;Hnb(c,b);f[a>>2]=c;b=cuc(16)|0;f[b+4>>2]=0;f[b+8>>2]=0;f[b>>2]=132496;f[b+12>>2]=c;f[a+4>>2]=b;return}function Hnb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0;d=u;u=u+16|0;e=d;WMa(a);f[a>>2]=132524;g=a+48|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;f[g+16>>2]=0;f[g+20>>2]=0;f[g+24>>2]=0;f[g+28>>2]=0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;g=e+11|0;b[g>>0]=5;b[e>>0]=b[490786]|0;b[e+1>>0]=b[490787]|0;b[e+2>>0]=b[490788]|0;b[e+3>>0]=b[490789]|0;b[e+4>>0]=b[490790]|0;b[e+5>>0]=0;h=gEa(c,e)|0;if((h|0)==(c+4|0))i=1;else{j=hEa(h+28|0,-1)|0;i=j}f[a+44>>2]=i;if((b[g>>0]|0)>=0){XMa(a,c);u=d;return}fuc(f[e>>2]|0);XMa(a,c);u=d;return}function Inb(a){a=a|0;Qtc(a);fuc(a);return}function Jnb(a){a=a|0;var b=0;b=f[a+12>>2]|0;if(!b)return;bi[f[(f[b>>2]|0)+4>>2]&2047](b);return}function Knb(a,b){a=a|0;b=b|0;return ((f[b+4>>2]|0)==454799?a+12|0:0)|0}function Lnb(a){a=a|0;fuc(a);return}function Mnb(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=132524;b=f[a+68>>2]|0;if(b|0){c=a+72|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+56>>2]|0;if(b|0){d=a+60|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+52>>2]|0;if(!b){pKa(a);return}Xtc(b);pKa(a);return}function Nnb(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=132524;b=f[a+68>>2]|0;if(b|0){c=a+72|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+56>>2]|0;if(b|0){d=a+60|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+52>>2]|0;if(!b){pKa(a);fuc(a);return}Xtc(b);pKa(a);fuc(a);return}function Onb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;e=u;u=u+208|0;g=e+188|0;h=e+176|0;i=e+128|0;j=e+112|0;k=e+56|0;l=e;m=a+44|0;if((f[m>>2]|0)==1){u=e;return}f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;sJ(c,g);sJ(d,h);f[i+4>>2]=0;f[i+8>>2]=0;d=i+4|0;f[i>>2]=d;c=i+12|0;n=c+36|0;do{f[c>>2]=0;c=c+4|0}while((c|0)<(n|0));f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;c=j+11|0;b[c>>0]=5;b[j>>0]=b[471004]|0;b[j+1>>0]=b[471005]|0;b[j+2>>0]=b[471006]|0;b[j+3>>0]=b[471007]|0;b[j+4>>0]=b[471008]|0;b[j+5>>0]=0;n=cuc(16)|0;f[n>>2]=n+8;f[n+4>>2]=4;o=euc(32)|0;f[n>>2]=o;f[k>>2]=0;f[k+4>>2]=n;n=o;f[n>>2]=0;f[n+4>>2]=0;n=o+8|0;f[n>>2]=2;f[n+4>>2]=0;n=o+16|0;f[n>>2]=1;f[n+4>>2]=0;n=o+24|0;f[n>>2]=3;f[n+4>>2]=0;wEa(i,j,k)|0;mEa(k);if((b[c>>0]|0)<0)fuc(f[j>>2]|0);Ytb(j,i);c=a+48|0;n=f[j>>2]|0;o=j+4|0;p=f[o>>2]|0;if(p|0)Wtc(p);f[c>>2]=n;n=a+52|0;q=f[n>>2]|0;f[n>>2]=p;if(q|0)Xtc(q);q=f[o>>2]|0;if(q|0)Xtc(q);q=f[g>>2]|0;o=f[h>>2]|0;p=a+56|0;n=a+60|0;r=f[n>>2]|0;s=f[p>>2]|0;t=r-s>>2;v=s;s=r;if(t>>>0>=4)if((t|0)!=4?(r=v+16|0,(s|0)!=(r|0)):0){f[n>>2]=s+(~((s+-4-r|0)>>>2)<<2);w=v}else w=v;else{OJ(p,4-t|0);w=f[p>>2]|0}t=f[q+40>>2]|0;f[w>>2]=f[t>>2];f[w+4>>2]=f[m>>2];f[w+8>>2]=(f[t+4>>2]|0)/(f[m>>2]|0)|0;m=Y(f[t+12>>2]|0,f[t+8>>2]|0)|0;f[w+12>>2]=m;m=a+68|0;t=a+72|0;a=f[t>>2]|0;v=f[m>>2]|0;r=a-v>>2;s=v;v=a;if(r>>>0>=4)if((r|0)!=4?(a=s+16|0,(v|0)!=(a|0)):0){f[t>>2]=v+(~((v+-4-a|0)>>>2)<<2);x=w;y=s}else{x=w;y=s}else{OJ(m,4-r|0);x=f[p>>2]|0;y=f[m>>2]|0}f[y>>2]=f[x>>2];f[y+4>>2]=f[x+8>>2];f[y+8>>2]=f[x+4>>2];f[y+12>>2]=f[x+12>>2];oU(k,q,1,p);PKa(j,1,k);p=k+36|0;q=f[p>>2]|0;if(q|0?(x=q+12|0,q=f[x>>2]|0,f[x>>2]=q+-1,(q|0)==1):0)aU(k);f[p>>2]=0;p=k+16|0;q=k+4|0;f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;f[p+12>>2]=0;if((f[q>>2]|0)>0){p=f[k+40>>2]|0;x=0;do{f[p+(x<<2)>>2]=0;x=x+1|0}while((x|0)<(f[q>>2]|0))}q=f[k+44>>2]|0;if((q|0)!=(k+48|0))TC(q);oU(l,o,1,m);PKa(k,1,l);m=l+36|0;o=f[m>>2]|0;if(o|0?(q=o+12|0,o=f[q>>2]|0,f[q>>2]=o+-1,(o|0)==1):0)aU(l);f[m>>2]=0;m=l+16|0;o=l+4|0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;if((f[o>>2]|0)>0){m=f[l+40>>2]|0;q=0;do{f[m+(q<<2)>>2]=0;q=q+1|0}while((q|0)<(f[o>>2]|0))}o=f[l+44>>2]|0;if((o|0)!=(l+48|0))TC(o);HMa(f[c>>2]|0,j,k);ut(k);ut(j);j=i+36|0;if((b[j+11>>0]|0)<0)fuc(f[j>>2]|0);j=i+24|0;if((b[j+11>>0]|0)<0)fuc(f[j>>2]|0);ut(i+12|0);lEa(i,f[d>>2]|0);ut(h);ut(g);u=e;return}function Pnb(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0;e=u;u=u+288|0;g=e+272|0;h=e+256|0;i=e+244|0;j=e+232|0;k=e+176|0;l=e+120|0;m=e+64|0;n=e+48|0;o=e+32|0;p=e+16|0;q=e;gV(g,132624);if(f[g>>2]|0){}if((CJ(b,-1)|0)==3)JKa(a,b,c,d);else{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;sJ(b,h);sJ(c,i);sJ(d,j);d=f[h>>2]|0;f[k>>2]=f[d>>2];c=k+4|0;b=d+4|0;f[c>>2]=f[b>>2];r=k+8|0;f[r>>2]=f[d+8>>2];s=k+12|0;f[s>>2]=f[d+12>>2];t=k+16|0;f[t>>2]=f[d+16>>2];v=k+20|0;f[v>>2]=f[d+20>>2];w=k+24|0;f[w>>2]=f[d+24>>2];x=k+28|0;f[x>>2]=f[d+28>>2];y=k+32|0;f[y>>2]=f[d+32>>2];z=k+36|0;A=f[d+36>>2]|0;f[z>>2]=A;B=k+40|0;f[B>>2]=r;C=k+48|0;D=k+44|0;f[D>>2]=C;f[C>>2]=0;f[k+52>>2]=0;if(A|0){E=A+12|0;f[E>>2]=(f[E>>2]|0)+1}if((f[b>>2]|0)<3){b=f[d+44>>2]|0;E=f[D>>2]|0;f[E>>2]=f[b>>2];f[E+4>>2]=f[b+4>>2]}else{f[c>>2]=0;$T(k,d)}d=f[i>>2]|0;f[l>>2]=f[d>>2];b=l+4|0;E=d+4|0;f[b>>2]=f[E>>2];A=l+8|0;f[A>>2]=f[d+8>>2];F=l+12|0;f[F>>2]=f[d+12>>2];G=l+16|0;f[G>>2]=f[d+16>>2];H=l+20|0;f[H>>2]=f[d+20>>2];I=l+24|0;f[I>>2]=f[d+24>>2];J=l+28|0;f[J>>2]=f[d+28>>2];K=l+32|0;f[K>>2]=f[d+32>>2];L=l+36|0;M=f[d+36>>2]|0;f[L>>2]=M;N=l+40|0;f[N>>2]=A;O=l+48|0;P=l+44|0;f[P>>2]=O;f[O>>2]=0;f[l+52>>2]=0;if(M|0){Q=M+12|0;f[Q>>2]=(f[Q>>2]|0)+1}if((f[E>>2]|0)<3){E=f[d+44>>2]|0;Q=f[P>>2]|0;f[Q>>2]=f[E>>2];f[Q+4>>2]=f[E+4>>2]}else{f[b>>2]=0;$T(l,d)}do if((f[t>>2]|0)!=(f[G>>2]|0)){d=a+48|0;if(!(f[d>>2]|0)){E=m+8|0;f[E>>2]=0;f[E+4>>2]=0;f[m>>2]=33619968;f[m+4>>2]=l;EI(k,m);break}oU(m,k,1,a+56|0);E=f[z>>2]|0;if(E|0?(Q=E+12|0,E=f[Q>>2]|0,f[Q>>2]=E+-1,(E|0)==1):0)aU(k);f[z>>2]=0;f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;f[t+12>>2]=0;if((f[c>>2]|0)>0){E=f[B>>2]|0;Q=0;do{f[E+(Q<<2)>>2]=0;Q=Q+1|0}while((Q|0)<(f[c>>2]|0))}f[k>>2]=f[m>>2];Q=m+4|0;E=f[Q>>2]|0;f[c>>2]=E;M=m+8|0;f[r>>2]=f[M>>2];f[s>>2]=f[m+12>>2];R=m+16|0;f[t>>2]=f[R>>2];f[v>>2]=f[m+20>>2];f[w>>2]=f[m+24>>2];f[x>>2]=f[m+28>>2];f[y>>2]=f[m+32>>2];S=m+36|0;f[z>>2]=f[S>>2];T=k+44|0;U=f[T>>2]|0;if((U|0)==(C|0))V=E;else{TC(U);f[T>>2]=C;f[B>>2]=r;V=f[Q>>2]|0}U=m+44|0;if((V|0)<3){E=f[U>>2]|0;f[C>>2]=f[E>>2];f[k+52>>2]=f[E+4>>2];W=E}else{f[T>>2]=f[U>>2];T=m+40|0;f[k+40>>2]=f[T>>2];E=m+48|0;f[U>>2]=E;f[T>>2]=M;W=E}f[m>>2]=1124007936;f[Q>>2]=0;f[Q+4>>2]=0;f[Q+8>>2]=0;f[Q+12>>2]=0;f[Q+16>>2]=0;f[Q+20>>2]=0;f[Q+24>>2]=0;f[Q+28>>2]=0;f[S>>2]=0;f[R>>2]=0;f[R+4>>2]=0;f[R+8>>2]=0;f[R+12>>2]=0;if((W|0)!=(m+48|0))TC(W);oU(m,l,1,a+68|0);R=f[L>>2]|0;if(R|0?(S=R+12|0,R=f[S>>2]|0,f[S>>2]=R+-1,(R|0)==1):0)aU(l);f[L>>2]=0;f[G>>2]=0;f[G+4>>2]=0;f[G+8>>2]=0;f[G+12>>2]=0;if((f[b>>2]|0)>0){R=f[N>>2]|0;S=0;do{f[R+(S<<2)>>2]=0;S=S+1|0}while((S|0)<(f[b>>2]|0))}f[l>>2]=f[m>>2];S=m+4|0;R=f[S>>2]|0;f[b>>2]=R;Q=m+8|0;f[A>>2]=f[Q>>2];f[F>>2]=f[m+12>>2];E=m+16|0;f[G>>2]=f[E>>2];f[H>>2]=f[m+20>>2];f[I>>2]=f[m+24>>2];f[J>>2]=f[m+28>>2];f[K>>2]=f[m+32>>2];M=m+36|0;f[L>>2]=f[M>>2];T=l+44|0;U=f[T>>2]|0;if((U|0)==(O|0))X=R;else{TC(U);f[T>>2]=O;f[N>>2]=A;X=f[S>>2]|0}U=m+44|0;if((X|0)<3){R=f[U>>2]|0;f[O>>2]=f[R>>2];f[l+52>>2]=f[R+4>>2];Y=R}else{f[T>>2]=f[U>>2];T=m+40|0;f[l+40>>2]=f[T>>2];R=m+48|0;f[U>>2]=R;f[T>>2]=Q;Y=R}f[m>>2]=1124007936;f[S>>2]=0;f[S+4>>2]=0;f[S+8>>2]=0;f[S+12>>2]=0;f[S+16>>2]=0;f[S+20>>2]=0;f[S+24>>2]=0;f[S+28>>2]=0;f[M>>2]=0;f[E>>2]=0;f[E+4>>2]=0;f[E+8>>2]=0;f[E+12>>2]=0;if((Y|0)!=(m+48|0))TC(Y);PKa(m,1,k);PKa(n,1,l);E=f[d>>2]|0;M=f[(f[E>>2]|0)+44>>2]|0;f[o+8>>2]=0;f[o+12>>2]=0;f[o>>2]=17104896;f[o+4>>2]=m;S=p+8|0;f[S>>2]=0;f[S+4>>2]=0;f[p>>2]=33882112;f[p+4>>2]=n;S=q+8|0;f[S>>2]=0;f[S+4>>2]=0;f[q>>2]=33882112;f[q+4>>2]=j;sh[M&255](E,o,p,q);ut(n);ut(m)}while(0);m=f[L>>2]|0;if(m|0?(n=m+12|0,m=f[n>>2]|0,f[n>>2]=m+-1,(m|0)==1):0)aU(l);f[L>>2]=0;f[G>>2]=0;f[G+4>>2]=0;f[G+8>>2]=0;f[G+12>>2]=0;if((f[b>>2]|0)>0){G=f[N>>2]|0;N=0;do{f[G+(N<<2)>>2]=0;N=N+1|0}while((N|0)<(f[b>>2]|0))}b=f[P>>2]|0;if((b|0)!=(O|0))TC(b);b=f[z>>2]|0;if(b|0?(O=b+12|0,b=f[O>>2]|0,f[O>>2]=b+-1,(b|0)==1):0)aU(k);f[z>>2]=0;f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;f[t+12>>2]=0;if((f[c>>2]|0)>0){t=f[B>>2]|0;B=0;do{f[t+(B<<2)>>2]=0;B=B+1|0}while((B|0)<(f[c>>2]|0))}c=f[D>>2]|0;if((c|0)!=(C|0))TC(c);ut(j);ut(i);ut(h)}if(!(f[g+4>>2]|0)){u=e;return}u=e;return}function Qnb(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0;h=u;u=u+16|0;i=h;j=f[c>>2]|0;if(((f[c+4>>2]|0)-j|0)==12?(k=f[j>>2]|0,((f[j+4>>2]|0)-k|0)==16):0){j=a+44|0;if(!((f[k+4>>2]|0)%(f[j>>2]|0)|0)){GKa(a,c,d,e,g)|0;u=h;return (f[j>>2]|0)==1|0}else{j=cuc(32)|0;f[i>>2]=j;f[i+8>>2]=-2147483616;f[i+4>>2]=25;l=j;m=455105;n=l+25|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));b[j+25>>0]=0;WD(-215,i,477070,455016,26)}}j=cuc(48)|0;f[i>>2]=j;f[i+8>>2]=-2147483600;f[i+4>>2]=43;l=j;m=454972;n=l+43|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));b[j+43>>0]=0;WD(-215,i,477070,455016,25);return 0}function Rnb(a,b){a=a|0;b=b|0;var c=0;c=cuc(52)|0;Snb(c,b);f[a>>2]=c;b=cuc(16)|0;f[b+4>>2]=0;f[b+8>>2]=0;f[b>>2]=132664;f[b+12>>2]=c;f[a+4>>2]=b;return}function Snb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;d=u;u=u+16|0;e=d;WMa(a);f[a>>2]=132692;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;g=e+11|0;b[g>>0]=4;f[e>>2]=1936291937;b[e+4>>0]=0;h=gEa(c,e)|0;i=c+4|0;if((h|0)==(i|0))j=1;else{k=hEa(h+28|0,-1)|0;j=k}f[a+48>>2]=j;if((b[g>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;g=cuc(16)|0;f[e>>2]=g;f[e+8>>2]=-2147483632;f[e+4>>2]=11;j=g;k=455489;h=j+11|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(h|0));b[g+11>>0]=0;g=gEa(c,e)|0;if((g|0)==(i|0))l=0;else{i=hEa(g+28|0,-1)|0;l=((i|0)!=0|(J|0)!=0)&1}b[a+44>>0]=l;if((b[e+11>>0]|0)>=0){XMa(a,c);u=d;return}fuc(f[e>>2]|0);XMa(a,c);u=d;return}function Tnb(a){a=a|0;Qtc(a);fuc(a);return}function Unb(a){a=a|0;var b=0;b=f[a+12>>2]|0;if(!b)return;bi[f[(f[b>>2]|0)+4>>2]&2047](b);return}function Vnb(a,b){a=a|0;b=b|0;return ((f[b+4>>2]|0)==455330?a+12|0:0)|0}function Wnb(a){a=a|0;fuc(a);return}function Xnb(a){a=a|0;pKa(a);fuc(a);return}function Ynb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0.0;g=u;u=u+80|0;h=g+64|0;i=g+56|0;j=g+40|0;k=g+28|0;l=g+16|0;m=g;gV(i,132792);if(f[i>>2]|0){}if((CJ(c,-1)|0)==3)JKa(a,c,d,e);else{f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;sJ(c,j);sJ(d,k);sJ(e,l);e=f[j>>2]|0;d=f[k>>2]|0;c=f[a+48>>2]|0;o=f[e+4>>2]|0;p=((c|0)<0?o:0)+c|0;if((p|0)<0){c=cuc(48)|0;f[h>>2]=c;f[h+8>>2]=-2147483600;f[h+4>>2]=35;q=c;r=455501;s=q+35|0;do{b[q>>0]=b[r>>0]|0;q=q+1|0;r=r+1|0}while((q|0)<(s|0));b[c+35>>0]=0;WD(-215,h,475390,466357,962)}c=(o|0)<(p|0)?o:p;t=f[e+40>>2]|0;if((c|0)>0){v=1;w=0;do{v=Y(f[t+(w<<2)>>2]|0,v)|0;w=w+1|0}while((w|0)<(c|0));if((p|0)<-1){c=cuc(48)|0;f[h>>2]=c;f[h+8>>2]=-2147483600;f[h+4>>2]=35;q=c;r=455501;s=q+35|0;do{b[q>>0]=b[r>>0]|0;q=q+1|0;r=r+1|0}while((q|0)<(s|0));b[c+35>>0]=0;WD(-215,h,475390,466357,962)}else x=v}else x=1;v=f[t+(p<<2)>>2]|0;c=p+1|0;w=(o|0)>(c|0);if(w){y=1;z=c;while(1){A=Y(f[t+(z<<2)>>2]|0,y)|0;z=z+1|0;if((z|0)==(o|0)){B=A;break}else y=A}}else B=1;y=f[e>>2]|0;if((y&4095|0)!=5){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;z=cuc(32)|0;f[h>>2]=z;f[h+8>>2]=-2147483616;f[h+4>>2]=20;q=z;r=455537;s=q+20|0;do{b[q>>0]=b[r>>0]|0;q=q+1|0;r=r+1|0}while((q|0)<(s|0));b[z+20>>0]=0;WD(-215,h,477126,455558,212)}if(!(y&16384)){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;C=cuc(48)|0;f[h>>2]=C;D=h+8|0;f[D>>2]=-2147483600;E=h+4|0;f[E>>2]=40;q=C;r=455639;s=q+40|0;do{b[q>>0]=b[r>>0]|0;q=q+1|0;r=r+1|0}while((q|0)<(s|0));F=C+40|0;b[F>>0]=0;WD(-215,h,477126,455558,213)}if(!(f[d>>2]&16384)){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;C=cuc(48)|0;f[h>>2]=C;D=h+8|0;f[D>>2]=-2147483600;E=h+4|0;f[E>>2]=40;q=C;r=455639;s=q+40|0;do{b[q>>0]=b[r>>0]|0;q=q+1|0;r=r+1|0}while((q|0)<(s|0));F=C+40|0;b[F>>0]=0;WD(-215,h,477126,455558,213)}F=f[e+16>>2]|0;e=f[d+16>>2]|0;C=f[(f[l>>2]|0)+16>>2]|0;if((o|0)>(p|0)){r=p+1|0;if((r|0)==(o|0))G=v;else{p=r;r=v;while(1){q=Y(f[t+(p<<2)>>2]|0,r)|0;p=p+1|0;if((p|0)==(o|0)){G=q;break}else r=q}}}else G=1;if(w){w=1;r=c;while(1){c=Y(f[t+(r<<2)>>2]|0,w)|0;r=r+1|0;if((r|0)==(o|0)){H=c;break}else w=c}}else H=1;w=(x|0)==0;if(!w){o=B<<2;r=(B|0)==0;if(v>>>0>1){t=0;do{c=Y(t,G)|0;p=Y(t,H)|0;szc(C+(p<<2)|0,F+(c<<2)|0,o|0)|0;if(!r){q=1;do{s=(Y(q,H)|0)+c|0;E=0;do{D=C+(E+p<<2)|0;y=F+(s+E<<2)|0;f[D>>2]=f[(+n[D>>2]<+n[y>>2]?y:D)>>2];E=E+1|0}while((E|0)!=(B|0));q=q+1|0}while((q|0)!=(v|0))}t=t+1|0}while((t|0)!=(x|0))}else{t=0;do{szc(C+((Y(t,H)|0)<<2)|0,F+((Y(t,G)|0)<<2)|0,o|0)|0;t=t+1|0}while((t|0)!=(x|0))}if(!w?(t=(B|0)==0,v|0):0){o=0;do{r=Y(o,G)|0;q=Y(o,H)|0;if(!t){p=0;do{c=(Y(p,H)|0)+r|0;E=0;do{s=c+E|0;n[e+(s<<2)>>2]=+n[F+(s<<2)>>2]-+n[C+(E+q<<2)>>2];E=E+1|0}while((E|0)!=(B|0));p=p+1|0}while((p|0)!=(v|0))}o=o+1|0}while((o|0)!=(x|0))}}f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=d;o=m+8|0;f[o>>2]=0;f[o+4>>2]=0;f[m>>2]=33619968;f[m+4>>2]=d;jD(h,m);if(!w){w=(B|0)==0;m=(v|0)==0;h=B<<2;d=(b[a+44>>0]|0)==0|m|w;a=0;do{o=Y(H,a)|0;F=Y(a,G)|0;if(!w)kzc(C+(o<<2)|0,0,h|0)|0;a:do if(!m){do if(!w){t=0;do{p=(Y(t,H)|0)+F|0;q=0;do{r=C+(q+o<<2)|0;n[r>>2]=+n[e+(p+q<<2)>>2]+ +n[r>>2];q=q+1|0}while((q|0)!=(B|0));t=t+1|0}while((t|0)!=(v|0));if(m)break a;if(w)break;else I=0;do{t=(Y(I,H)|0)+F|0;q=0;do{p=e+(t+q<<2)|0;n[p>>2]=+n[p>>2]/+n[C+(q+o<<2)>>2];q=q+1|0}while((q|0)!=(B|0));I=I+1|0}while((I|0)!=(v|0))}while(0);if(!d){q=0;do{t=(Y(q,H)|0)+F|0;p=0;do{r=e+(t+p<<2)|0;J=+W(+(+n[r>>2]));n[r>>2]=J;p=p+1|0}while((p|0)!=(B|0));q=q+1|0}while((q|0)!=(v|0))}}while(0);a=a+1|0}while((a|0)!=(x|0))}ut(l);ut(k);ut(j)}if(!(f[i+4>>2]|0)){u=g;return}u=g;return}function Znb(a,c){a=a|0;c=c|0;var d=0,e=0;switch(c|0){case 3:{d=1;break}case 1:{if(aNa()|0?(f[a+48>>2]|0)==1:0)d=1;else e=6;break}case 2:{if(rib()|0)d=(b[a+44>>0]|0)==0;else d=0;break}default:e=6}if((e|0)==6)d=0;return d|0}function _nb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function $nb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function aob(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0;g=u;u=u+16|0;h=g;i=GKa(a,b,c,d,e)|0;tHa(h,f[b>>2]|0);b=f[a+48>>2]|0;a=h+4|0;d=f[h>>2]|0;f[d+(((b|0)<0?(f[a>>2]|0)-d>>2:0)+b<<2)>>2]=1;IKa(e,1,h);e=f[h>>2]|0;if(!e){u=g;return i|0}h=f[a>>2]|0;if((h|0)!=(e|0))f[a>>2]=h+(~((h+-4-e|0)>>>2)<<2);fuc(e);u=g;return i|0}function bob(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;d=u;u=u+16|0;a=d;e=f[c+4>>2]|0;g=f[c>>2]|0;c=g;if((e|0)==(g|0)){h=0;i=0;J=h;u=d;return i|0}j=(e-g|0)/12|0;g=0;e=0;k=0;while(1){l=f[c+(g*12|0)+4>>2]|0;m=f[c+(g*12|0)>>2]|0;n=l-m|0;o=n>>2;p=m;if((p|0)!=(l|0)){if((n|0)<=-4){q=7;break}if((n|0)>0){n=0;l=1;while(1){m=Y(f[p+(n<<2)>>2]|0,l)|0;n=n+1|0;if((n|0)>=(o|0)){r=m;break}else l=m}}else r=1}else r=0;l=r<<2;o=hzc(l|0,((l|0)<0)<<31>>31|0,e|0,k|0)|0;l=J;g=g+1|0;if(g>>>0>=j>>>0){h=l;i=o;q=3;break}else{e=o;k=l}}if((q|0)==3){J=h;u=d;return i|0}else if((q|0)==7){q=cuc(80)|0;f[a>>2]=q;f[a+8>>2]=-2147483568;f[a+4>>2]=70;i=q;d=475319;h=i+70|0;do{b[i>>0]=b[d>>0]|0;i=i+1|0;d=d+1|0}while((i|0)<(h|0));b[q+70>>0]=0;WD(-215,a,475390,475396,161)}return 0}function cob(a,b){a=a|0;b=b|0;var c=0;c=cuc(68)|0;dob(c,b);f[a>>2]=c;b=cuc(16)|0;f[b+4>>2]=0;f[b+8>>2]=0;f[b>>2]=132832;f[b+12>>2]=c;f[a+4>>2]=b;return}function dob(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0.0;d=u;u=u+48|0;e=d;g=d+28|0;h=d+16|0;i=d+4|0;WMa(a);f[a>>2]=132860;j=a+48|0;k=a+52|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;f[j+16>>2]=0;XMa(a,c);l=a+44|0;f[l>>2]=1;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;a=g+11|0;b[a>>0]=9;m=g;o=456017;p=m+9|0;do{b[m>>0]=b[o>>0]|0;m=m+1|0;o=o+1|0}while((m|0)<(p|0));b[g+9>>0]=0;q=(cGa(c,g)|0)==0;if((b[a>>0]|0)<0)fuc(f[g>>2]|0);if(!q){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;q=i+11|0;b[q>>0]=9;m=i;o=456017;p=m+9|0;do{b[m>>0]=b[o>>0]|0;m=m+1|0;o=o+1|0}while((m|0)<(p|0));b[i+9>>0]=0;jGa(h,iGa(c,i)|0,-1);ouc(g,h);o=g+11|0;m=b[o>>0]|0;p=m<<24>>24<0;a=f[g>>2]|0;r=g+4|0;s=p?a+(f[r>>2]|0)|0:g+(m&255)|0;m=p?a:g;if((m|0)!=(s|0)){a=m;do{m=(Uec(b[a>>0]|0)|0)&255;b[a>>0]=m;a=a+1|0}while((a|0)!=(s|0))}if((b[h+11>>0]|0)<0)fuc(f[h>>2]|0);if((b[q>>0]|0)<0)fuc(f[i>>2]|0);q=b[o>>0]|0;s=f[r>>2]|0;if(((q<<24>>24<0?s:q&255)|0)==4)if(!(Puc(g,0,-1,456027,4)|0))t=0;else{v=b[o>>0]|0;w=f[r>>2]|0;x=13}else{v=q;w=s;x=13}do if((x|0)==13){if(((v<<24>>24<0?w:v&255)|0)==3){if(!(Puc(g,0,-1,456032,3)|0)){t=1;break}y=b[o>>0]|0;z=f[r>>2]|0}else{y=v;z=w}if(((y<<24>>24<0?z:y&255)|0)!=3){nEa(i,456036,g);A=Duc(i,517029)|0;f[h>>2]=f[A>>2];f[h+4>>2]=f[A+4>>2];f[h+8>>2]=f[A+8>>2];f[A>>2]=0;f[A+4>>2]=0;f[A+8>>2]=0;WD(-5,h,456061,456078,82)}if(!(Puc(g,0,-1,463157,3)|0))t=2;else{nEa(i,456036,g);A=Duc(i,517029)|0;f[h>>2]=f[A>>2];f[h+4>>2]=f[A+4>>2];f[h+8>>2]=f[A+8>>2];f[A>>2]=0;f[A+4>>2]=0;f[A+8>>2]=0;WD(-5,h,456061,456078,82)}}while(0);f[l>>2]=t;if((b[o>>0]|0)<0)fuc(f[g>>2]|0)};f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;o=g+11|0;b[o>>0]=5;b[g>>0]=b[456159]|0;b[g+1>>0]=b[456160]|0;b[g+2>>0]=b[456161]|0;b[g+3>>0]=b[456162]|0;b[g+4>>0]=b[456163]|0;b[g+5>>0]=0;t=(cGa(c,g)|0)==0;if((b[o>>0]|0)<0)fuc(f[g>>2]|0);if(t){u=d;return};f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;t=g+11|0;b[t>>0]=5;b[g>>0]=b[456159]|0;b[g+1>>0]=b[456160]|0;b[g+2>>0]=b[456161]|0;b[g+3>>0]=b[456162]|0;b[g+4>>0]=b[456163]|0;b[g+5>>0]=0;qEa(h,iGa(c,g)|0);if((b[t>>0]|0)<0)fuc(f[g>>2]|0);t=f[h>>2]|0;switch(t|0){case 0:{B=(f[h+4>>2]|0)+4|0;break}case 3:{B=(f[h+4>>2]|0)+4|0;break}case 2:{B=(f[h+4>>2]|0)+4|0;break}default:{f[e>>2]=t;cE(g,476242,e);WD(-3,g,476262,476267,297)}}g=f[B>>2]|0;B=f[k>>2]|0;e=f[j>>2]|0;t=B-e>>2;c=e;e=B;if(g>>>0<=t>>>0){if(g>>>0<t>>>0?(B=c+(g<<2)|0,(e|0)!=(B|0)):0)f[k>>2]=e+(~((e+-4-B|0)>>>2)<<2)}else EBa(j,g-t|0);if((g|0)>0){t=0;do{C=+iEa(h,t);n[(f[j>>2]|0)+(t<<2)>>2]=C;t=t+1|0}while((t|0)<(g|0))}mEa(h);u=d;return}function eob(a){a=a|0;Qtc(a);fuc(a);return}function fob(a){a=a|0;var b=0;b=f[a+12>>2]|0;if(!b)return;bi[f[(f[b>>2]|0)+4>>2]&2047](b);return}function gob(a,b){a=a|0;b=b|0;return ((f[b+4>>2]|0)==455858?a+12|0:0)|0}function hob(a){a=a|0;fuc(a);return}function iob(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=132860;b=f[a+64>>2]|0;if(b|0)Xtc(b);b=f[a+48>>2]|0;if(!b){pKa(a);return}c=a+52|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b);pKa(a);return}function job(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=132860;b=f[a+64>>2]|0;if(b|0)Xtc(b);b=f[a+48>>2]|0;if(!b){pKa(a);fuc(a);return}c=a+52|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b);pKa(a);fuc(a);return}function kob(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;g=u;u=u+48|0;h=g+40|0;i=g+24|0;j=g+12|0;k=g;gV(h,132960);if(f[h>>2]|0){}do if((CJ(c,-1)|0)!=3){f[i>>2]=0;l=i+4|0;f[l>>2]=0;f[i+8>>2]=0;f[j>>2]=0;m=j+4|0;f[m>>2]=0;f[j+8>>2]=0;sJ(c,i);sJ(d,j);if(((f[m>>2]|0)-(f[j>>2]|0)|0)==56){m=tZ()|0;n=f[i>>2]|0;rob(n,((f[l>>2]|0)-n|0)/56|0,f[j>>2]|0,a+48|0,f[a+44>>2]|0,f[a+60>>2]|0,m);ut(j);ut(i);break}else{f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;m=cuc(32)|0;f[k>>2]=m;f[k+8>>2]=-2147483616;f[k+4>>2]=19;n=m;l=472630;o=n+19|0;do{b[n>>0]=b[l>>0]|0;n=n+1|0;l=l+1|0}while((n|0)<(o|0));b[m+19>>0]=0;WD(-215,k,477126,456078,371)}}else JKa(a,c,d,e);while(0);if(!(f[h+4>>2]|0)){u=g;return}u=g;return}function lob(a,b){a=a|0;b=b|0;var c=0;if((b|2|0)==3){c=1;return c|0}if((b|0)!=2){c=0;return c|0}if((f[a+44>>2]|0)!=1){c=1;return c|0}c=(f[a+48>>2]|0)==(f[a+52>>2]|0);return c|0}function mob(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function nob(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function oob(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0;c=a+60|0;do if(f[c>>2]|0){d=f[b>>2]|0;if(!d){e=d;break}else{g=0;return g|0}}else e=f[b>>2]|0;while(0);d=f[b+4>>2]|0;if(d|0)Wtc(d);f[c>>2]=e;b=a+64|0;a=f[b>>2]|0;f[b>>2]=d;if(!a)h=e;else{Xtc(a);h=f[c>>2]|0}g=(h|0)!=0;return g|0}function pob(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;g=u;u=u+16|0;d=g;h=f[c>>2]|0;i=((f[c+4>>2]|0)-h|0)/12|0;if(i>>>0<=1){c=cuc(32)|0;f[d>>2]=c;f[d+8>>2]=-2147483616;f[d+4>>2]=18;j=c;k=456165;l=j+18|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[c+18>>0]=0;WD(-215,d,477070,456078,109)}c=f[a+52>>2]|0;m=f[a+48>>2]|0;n=c-m>>2;if(!((n|0)==0|(n|0)==(i|0))){n=cuc(64)|0;f[d>>2]=n;f[d+8>>2]=-2147483584;f[d+4>>2]=52;j=n;k=456184;l=j+52|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[n+52>>0]=0;WD(-215,d,477070,456078,110)}if(!((c|0)==(m|0)?1:(f[a+44>>2]|0)==1)){a=cuc(32)|0;f[d>>2]=a;f[d+8>>2]=-2147483616;f[d+4>>2]=31;j=a;k=456237;l=j+31|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[a+31>>0]=0;WD(-215,d,477070,456078,111)}a=h;m=f[a+4>>2]|0;c=f[h>>2]|0;h=m-c|0;n=c;c=m;m=(n|0)==(c|0);o=1;a:while(1){p=f[a+(o*12|0)>>2]|0;if((h|0)!=((f[a+(o*12|0)+4>>2]|0)-p|0)){q=14;break}if(!m){r=n;s=p;while(1){if((f[r>>2]|0)!=(f[s>>2]|0)){q=14;break a}r=r+4|0;if((r|0)==(c|0))break;else s=s+4|0}}o=o+1|0;if(o>>>0>=i>>>0){q=8;break}}if((q|0)==8){IKa(e,1,a);u=g;return 0}else if((q|0)==14){q=cuc(32)|0;f[d>>2]=q;f[d+8>>2]=-2147483616;f[d+4>>2]=22;j=q;k=456269;l=j+22|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[q+22>>0]=0;WD(-215,d,477070,456078,115)}return 0}function qob(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;d=u;u=u+16|0;a=d;e=f[c>>2]|0;g=(f[c+4>>2]|0)-e|0;c=(g|0)/12|0;if(!g){g=cuc(16)|0;f[a>>2]=g;f[a+8>>2]=-2147483632;f[a+4>>2]=13;h=g;i=462476;j=h+13|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(j|0));b[g+13>>0]=0;WD(-215,a,472206,456078,448)}g=f[e+4>>2]|0;k=f[e>>2]|0;e=g-k|0;l=e>>2;m=k;if((m|0)==(g|0)){n=0;o=Y(n,c)|0;p=(o|0)<0;q=p<<31>>31;J=q;u=d;return o|0}if((e|0)<=-4){g=cuc(80)|0;f[a>>2]=g;f[a+8>>2]=-2147483568;f[a+4>>2]=70;h=g;i=475319;j=h+70|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(j|0));b[g+70>>0]=0;WD(-215,a,475390,475396,161)}if((e|0)>0){r=0;s=1}else{n=1;o=Y(n,c)|0;p=(o|0)<0;q=p<<31>>31;J=q;u=d;return o|0}while(1){e=Y(f[m+(r<<2)>>2]|0,s)|0;r=r+1|0;if((r|0)>=(l|0)){n=e;break}else s=e}o=Y(n,c)|0;p=(o|0)<0;q=p<<31>>31;J=q;u=d;return o|0}function rob(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0.0,R=0;j=u;u=u+64|0;k=j+16|0;l=j;m=f[d+4>>2]|0;o=m+-2|0;if(o>>>0>=3)zN(m,132992);p=f[d>>2]|0;q=p&4095;if((q|0)!=5)rN(q,5,133020);if(!(p&16384)){q=cuc(32)|0;f[k>>2]=q;f[k+8>>2]=-2147483616;f[k+4>>2]=18;r=q;s=463624;t=r+18|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));b[q+18>>0]=0;WD(-215,k,472820,456078,142)}q=f[e>>2]|0;v=f[e+4>>2]|0;w=(q|0)==(v|0);x=v;v=q;if(!w?(x-v>>2|0)!=(c|0):0){y=cuc(64)|0;f[k>>2]=y;f[k+8>>2]=-2147483584;f[k+4>>2]=48;r=y;s=456292;t=r+48|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));b[y+48>>0]=0;WD(-215,k,472820,456078,143)}if((c|0)<0){y=f[d+40>>2]|0;z=f[y+-4>>2]|0;A=y+4|0;B=(z|0)==2;C=(z|0)>0;D=0;a:while(1){E=f[a+(D*56|0)+40>>2]|0;if((f[E+-4>>2]|0)!=(z|0))break;if(B){if((f[E>>2]|0)!=(f[y>>2]|0))break;if((f[E+4>>2]|0)!=(f[A>>2]|0))break}else if(C){F=0;do{if((f[E+(F<<2)>>2]|0)!=(f[y+(F<<2)>>2]|0))break a;F=F+1|0}while((F|0)<(z|0))}F=f[a+(D*56|0)>>2]|0;if(!((F&16384|0)!=0&((p^F)&4095|0)==0))break;D=D+1|0}D=cuc(96)|0;f[k>>2]=D;f[k+8>>2]=-2147483552;f[k+4>>2]=82;r=D;s=456341;t=r+82|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));b[D+82>>0]=0;WD(-215,k,472820,456078,149)}f[k>>2]=133056;D=k+4|0;p=D+12|0;f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;f[p+12>>2]=0;f[p+16>>2]=0;f[p+20>>2]=0;f[D>>2]=a;f[k+8>>2]=c;f[k+12>>2]=d;f[k+20>>2]=g;f[k+24>>2]=i;a=f[d+40>>2]|0;if((m|0)!=4){f[k+32>>2]=1;D=f[a+(m+-1<<2)>>2]|0;if((m|0)>2){G=1;H=D;I=25}else{f[k+36>>2]=D;J=Y(f[d+12>>2]|0,f[d+8>>2]|0)|0;K=1;L=D}}else{D=f[a+4>>2]|0;f[k+32>>2]=D;G=D;H=f[a+(m+-1<<2)>>2]|0;I=25}if((I|0)==25){D=Y(f[a+(o<<2)>>2]|0,H)|0;f[k+36>>2]=D;H=0;o=1;while(1){d=Y(f[a+(H<<2)>>2]|0,o)|0;H=H+1|0;if((H|0)==(m|0)){J=d;K=G;L=D;break}else o=d}}if((J|0)!=(Y(Y(K,f[a>>2]|0)|0,L)|0)){f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;L=cuc(64)|0;f[l>>2]=L;f[l+8>>2]=-2147483584;f[l+4>>2]=53;r=L;s=456424;t=r+53|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));b[L+53>>0]=0;WD(-215,l,472820,456078,161)}if((g|0)!=1|w){M=0;N=k+16|0;f[N>>2]=M;O=k+28|0;f[O>>2]=h;f[l>>2]=0;P=l+4|0;f[P>>2]=i;Q=+(i|0);sZ(l,k,Q);u=j;return}if((x-v>>2|0)==(c|0))R=0;else{f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;v=cuc(32)|0;f[l>>2]=v;f[l+8>>2]=-2147483616;f[l+4>>2]=30;r=v;s=456478;t=r+30|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));b[v+30>>0]=0;WD(-215,l,472820,456078,166)}while(1){if(+n[q+(R<<2)>>2]!=1.0){M=e;I=35;break}R=R+1|0;if(R>>>0>=c>>>0){M=0;I=35;break}}if((I|0)==35){N=k+16|0;f[N>>2]=M;O=k+28|0;f[O>>2]=h;f[l>>2]=0;P=l+4|0;f[P>>2]=i;Q=+(i|0);sZ(l,k,Q);u=j;return}}function sob(a){a=a|0;fuc(a);return}function tob(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0.0,O=0.0,P=0;c=f[a+12>>2]|0;d=a+36|0;e=f[d>>2]|0;g=Y(e,f[f[c+40>>2]>>2]|0)|0;h=f[a+24>>2]|0;i=((h+-1+g|0)>>>0)/(h>>>0)|0;h=Y(f[b>>2]|0,i)|0;j=Y(f[b+4>>2]|0,i)|0;i=g>>>0<j>>>0?g:j;j=f[a+8>>2]|0;g=f[a+16>>2]|0;if(!g)k=0;else{b=f[g>>2]|0;k=(b|0)==(f[g+4>>2]|0)?0:b}b=f[c+16>>2]|0;if(i>>>0<=h>>>0)return;c=a+32|0;g=a+28|0;l=a+4|0;m=a+20|0;a=(k|0)==0;o=(j|0)>1;p=(h>>>0)/(e>>>0)|0;q=h-(Y(p,e)|0)|0;r=i-h|0;s=e-q|0;t=(s|0)<(r|0)?s:r;r=(t|0)<4096?t:4096;if((r|0)<1)return;else{u=h;v=r;w=t;x=p;y=e;z=q}while(1){q=f[c>>2]|0;a:do if((q|0)>0){e=f[l>>2]|0;p=f[e+16>>2]|0;t=f[m>>2]|0;r=(w|0)>0;h=Y(q,x)|0;s=o&r;A=o&r;B=o&r;r=0;while(1){C=(Y(y,h+r|0)|0)+z|0;D=b+(C<<2)|0;b:do switch(t|0){case 0:{if(A){E=1;F=p;while(1){G=(f[e+(E*56|0)+16>>2]|0)+(C<<2)|0;H=F+(C<<2)|0;I=0;do{n[D+(I<<2)>>2]=+n[H+(I<<2)>>2]*+n[G+(I<<2)>>2];I=I+1|0}while((I|0)<(v|0));I=E+1|0;if((I|0)==(j|0))break;else{E=I;F=b}}}break}case 2:{if(B){F=1;E=p;while(1){I=(f[e+(F*56|0)+16>>2]|0)+(C<<2)|0;G=E+(C<<2)|0;H=0;do{J=G+(H<<2)|0;K=I+(H<<2)|0;f[D+(H<<2)>>2]=f[(+n[J>>2]<+n[K>>2]?K:J)>>2];H=H+1|0}while((H|0)<(v|0));H=F+1|0;if((H|0)==(j|0))break;else{F=H;E=b}}}break}default:{if(a){if(s){L=1;M=p}else break b;while(1){E=(f[e+(L*56|0)+16>>2]|0)+(C<<2)|0;F=M+(C<<2)|0;H=0;do{n[D+(H<<2)>>2]=+n[F+(H<<2)>>2]+ +n[E+(H<<2)>>2];H=H+1|0}while((H|0)<(v|0));H=L+1|0;if((H|0)==(j|0))break b;else{L=H;M=b}}}if(s){N=+n[k>>2];H=1;E=p;while(1){F=(f[e+(H*56|0)+16>>2]|0)+(C<<2)|0;O=+n[k+(H<<2)>>2];I=E+(C<<2)|0;G=0;do{n[D+(G<<2)>>2]=N*+n[I+(G<<2)>>2]+O*+n[F+(G<<2)>>2];G=G+1|0}while((G|0)<(v|0));G=H+1|0;if((G|0)==(j|0))break;else{N=1.0;H=G;E=b}}}}}while(0);r=r+1|0;if((r|0)>=(q|0))break a}}while(0);r=f[g>>2]|0;if(r|0){e=b+(z<<2)+((Y(Y(q,x)|0,y)|0)<<2)|0;Ph[f[(f[r>>2]|0)+100>>2]&127](r,e,e,v,y,0,q)}u=v+u|0;if(i>>>0<=u>>>0){P=31;break}y=f[d>>2]|0;x=(u>>>0)/(y>>>0)|0;z=u-(Y(x,y)|0)|0;e=i-u|0;r=y-z|0;w=(r|0)<(e|0)?r:e;v=(w|0)<4096?w:4096;if((v|0)<1){P=31;break}}if((P|0)==31)return}function uob(a,b){a=a|0;b=b|0;var c=0;c=cuc(52)|0;vob(c,b);f[a>>2]=c;b=cuc(16)|0;f[b+4>>2]=0;f[b+8>>2]=0;f[b>>2]=133076;f[b+12>>2]=c;f[a+4>>2]=b;return}function vob(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;d=u;u=u+16|0;e=d;WMa(a);f[a>>2]=133104;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;g=e+11|0;b[g>>0]=4;f[e>>2]=1936291937;b[e+4>>0]=0;h=gEa(c,e)|0;i=c+4|0;if((h|0)==(i|0))j=1;else{k=hEa(h+28|0,-1)|0;j=k}f[a+44>>2]=j;if((b[g>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;g=e+11|0;b[g>>0]=8;j=e;f[j>>2]=1600417381;f[j+4>>2]=1936291937;b[e+8>>0]=0;j=gEa(c,e)|0;if((j|0)==(i|0))l=-1;else{i=hEa(j+28|0,-1)|0;l=i}f[a+48>>2]=l;if((b[g>>0]|0)>=0){XMa(a,c);u=d;return}fuc(f[e>>2]|0);XMa(a,c);u=d;return}function wob(a){a=a|0;Qtc(a);fuc(a);return}function xob(a){a=a|0;var b=0;b=f[a+12>>2]|0;if(!b)return;bi[f[(f[b>>2]|0)+4>>2]&2047](b);return}function yob(a,b){a=a|0;b=b|0;return ((f[b+4>>2]|0)==456954?a+12|0:0)|0}function zob(a){a=a|0;fuc(a);return}function Aob(a){a=a|0;pKa(a);fuc(a);return}function Bob(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;e=u;u=u+128|0;g=e+112|0;h=e+96|0;i=e+84|0;j=e+72|0;k=e+16|0;l=e;gV(g,133204);if(f[g>>2]|0){}if((CJ(b,-1)|0)==3)JKa(a,b,c,d);else{f[h>>2]=0;d=h+4|0;f[d>>2]=0;f[h+8>>2]=0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;sJ(b,h);sJ(c,i);if((f[d>>2]|0)!=(f[h>>2]|0)){c=j+4|0;b=j+8|0;a=l+8|0;m=l+4|0;n=k+36|0;o=k+16|0;p=k+4|0;q=k+40|0;r=k+44|0;s=k+48|0;t=0;do{v=f[i>>2]|0;w=f[v+(t*56|0)+4>>2]|0;x=f[v+(t*56|0)+40>>2]|0;f[j>>2]=0;f[c>>2]=0;f[b>>2]=0;KKa(j,x,x+(w<<2)|0);w=f[h>>2]|0;if((f[w+(t*56|0)+16>>2]|0)!=(f[(f[i>>2]|0)+(t*56|0)+16>>2]|0)){x=f[j>>2]|0;nU(k,w+(t*56|0)|0,1,(f[c>>2]|0)-x>>2,x);x=(f[i>>2]|0)+(t*56|0)|0;w=a;f[w>>2]=0;f[w+4>>2]=0;f[l>>2]=33619968;f[m>>2]=x;EI(k,l);x=f[n>>2]|0;if(x|0?(w=x+12|0,x=f[w>>2]|0,f[w>>2]=x+-1,(x|0)==1):0)aU(k);f[n>>2]=0;f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;f[o+12>>2]=0;if((f[p>>2]|0)>0){x=f[q>>2]|0;w=0;do{f[x+(w<<2)>>2]=0;w=w+1|0}while((w|0)<(f[p>>2]|0))}w=f[r>>2]|0;if((w|0)!=(s|0))TC(w)}w=f[j>>2]|0;if(w|0){x=f[c>>2]|0;if((x|0)!=(w|0))f[c>>2]=x+(~((x+-4-w|0)>>>2)<<2);fuc(w)}t=t+1|0}while(t>>>0<(((f[d>>2]|0)-(f[h>>2]|0)|0)/56|0)>>>0)}ut(i);ut(h)}if(!(f[g+4>>2]|0)){u=e;return}u=e;return}function Cob(a,b){a=a|0;b=b|0;var c=0;switch(b|0){case 3:{c=1;break}case 2:{c=rib()|0;break}default:c=0}return c|0}function Dob(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function Eob(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;g=u;u=u+32|0;d=g+12|0;h=g;i=c+4|0;j=f[i>>2]|0;k=f[c>>2]|0;l=k;if((j|0)==(k|0)){m=cuc(32)|0;f[d>>2]=m;f[d+8>>2]=-2147483616;f[d+4>>2]=17;n=m;o=473334;p=n+17|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));b[m+17>>0]=0;WD(-215,d,477070,457113,76)}m=(j-k|0)/12|0;j=f[l+4>>2]|0;q=k;a:do if(m>>>0>1){k=f[q>>2]|0;r=j-k|0;s=k;k=1;b:while(1){t=f[l+(k*12|0)+4>>2]|0;v=f[l+(k*12|0)>>2]|0;w=v;x=t;if((t-v|0)!=(r|0)){y=10;break}if((w|0)!=(x|0)){v=w;w=s;while(1){if((f[v>>2]|0)!=(f[w>>2]|0)){y=10;break b}v=v+4|0;if((v|0)==(x|0))break;else w=w+4|0}}k=k+1|0;if(k>>>0>=m>>>0)break a}if((y|0)==10){k=cuc(32)|0;f[d>>2]=k;f[d+8>>2]=-2147483616;f[d+4>>2]=22;n=k;o=457194;p=n+22|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));b[k+22>>0]=0;WD(-215,d,477070,457113,79)}}while(0);m=f[q>>2]|0;q=j-m>>2;s=f[a+44>>2]|0;r=((s|0)<0?q:0)+s|0;s=f[a+48>>2]|0;a=((s|0)<0?q:0)+s|0;if((r|0)<=-1){s=cuc(16)|0;f[d>>2]=s;f[d+8>>2]=-2147483632;f[d+4>>2]=14;n=s;o=457217;p=n+14|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));b[s+14>>0]=0;WD(-215,d,477070,457113,86)}if(!((a|0)>=(r|0)&(a|0)<(q|0))){s=cuc(48)|0;f[d>>2]=s;f[d+8>>2]=-2147483600;f[d+4>>2]=46;n=s;o=457232;p=n+46|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));b[s+46>>0]=0;WD(-215,d,477070,457113,87)}s=a+1|0;if((s|0)==-1){z=q;A=m;B=m}else{m=f[l>>2]|0;z=s;A=m;B=m}if((A|0)!=(j|0)){m=j-B>>2;if((r|0)>(m|0)){C=cuc(80)|0;f[d>>2]=C;D=d+8|0;f[D>>2]=-2147483568;E=d+4|0;f[E>>2]=70;n=C;o=475319;p=n+70|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));F=C+70|0;b[F>>0]=0;WD(-215,d,475390,475396,161)}if((r|0)>(z|0)|(z|0)>(m|0)){C=cuc(80)|0;f[d>>2]=C;D=d+8|0;f[D>>2]=-2147483568;E=d+4|0;f[E>>2]=70;n=C;o=475319;p=n+70|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));F=C+70|0;b[F>>0]=0;WD(-215,d,475390,475396,161)}if((r|0)<(z|0)){F=1;C=r;while(1){E=Y(f[A+(C<<2)>>2]|0,F)|0;C=C+1|0;if((C|0)==(z|0)){G=E;break}else F=E}}else G=1}else G=0;f[d>>2]=0;F=d+4|0;f[F>>2]=0;f[d+8>>2]=0;z=d+8|0;if((r|0)>0){C=0;A=0;E=l;l=0;while(1){D=(f[E>>2]|0)+(C<<2)|0;if((l|0)==(A|0))es(d,D);else{f[l>>2]=f[D>>2];f[F>>2]=l+4}D=C+1|0;if((D|0)>=(r|0))break;C=D;A=f[z>>2]|0;E=f[c>>2]|0;l=f[F>>2]|0}l=f[F>>2]|0;E=f[z>>2]|0;f[h>>2]=G;if(l>>>0<E>>>0){f[l>>2]=G;f[F>>2]=l+4;H=h}else{I=h;y=28}}else{f[h>>2]=G;I=h;y=28}if((y|0)==28){Aw(d,h);H=I}if(s>>>0<q>>>0){I=s;do{s=(f[f[c>>2]>>2]|0)+(I<<2)|0;H=f[F>>2]|0;if((H|0)==(f[z>>2]|0))es(d,s);else{f[H>>2]=f[s>>2];f[F>>2]=H+4}I=I+1|0}while(I>>>0<q>>>0)}if((f[F>>2]|0)-(f[d>>2]|0)>>2>>>0>=5){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;q=cuc(32)|0;f[h>>2]=q;f[h+8>>2]=-2147483616;f[h+4>>2]=26;n=q;o=457279;p=n+26|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));b[q+26>>0]=0;WD(-215,h,477070,457113,101)}h=((f[i>>2]|0)-(f[c>>2]|0)|0)/12|0;c=e+4|0;i=f[c>>2]|0;q=f[e>>2]|0;o=(i-q|0)/12|0;n=q;q=i;if(h>>>0<=o>>>0){if(h>>>0<o>>>0?(i=n+(h*12|0)|0,(q|0)!=(i|0)):0){n=q;while(1){q=n+-12|0;f[c>>2]=q;p=f[q>>2]|0;if(!p)J=q;else{q=n+-8|0;I=f[q>>2]|0;if((I|0)!=(p|0))f[q>>2]=I+(~((I+-4-p|0)>>>2)<<2);fuc(p);J=f[c>>2]|0}if((J|0)==(i|0))break;else n=J}}}else Hmb(e,h-o|0,d);o=f[d>>2]|0;if(!o){u=g;return 1}d=f[F>>2]|0;if((d|0)!=(o|0))f[F>>2]=d+(~((d+-4-o|0)>>>2)<<2);fuc(o);u=g;return 1}function Fob(a,b){a=a|0;b=b|0;var c=0;c=cuc(72)|0;Gob(c,b);f[a>>2]=c;b=cuc(16)|0;f[b+4>>2]=0;f[b+8>>2]=0;f[b>>2]=133244;f[b+12>>2]=c;f[a+4>>2]=b;return}function Gob(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0.0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0.0,x=0.0,y=0;d=u;u=u+16|0;e=d;WMa(a);f[a>>2]=133272;XMa(a,c);if(((f[a+8>>2]|0)-(f[a+4>>2]|0)|0)!=56){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;g=cuc(32)|0;f[e>>2]=g;f[e+8>>2]=-2147483616;f[e+4>>2]=17;h=g;i=457641;j=h+17|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(j|0));b[g+17>>0]=0;WD(-215,e,457659,457675,67)};f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;g=e+11|0;b[g>>0]=6;b[e>>0]=b[457755]|0;b[e+1>>0]=b[457756]|0;b[e+2>>0]=b[457757]|0;b[e+3>>0]=b[457758]|0;b[e+4>>0]=b[457759]|0;b[e+5>>0]=b[457760]|0;b[e+6>>0]=0;k=gEa(c,e)|0;l=c+4|0;if((k|0)==(l|0))m=.20000000298023224;else m=+iEa(k+28|0,-1);n[a+60>>2]=m;if((b[g>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;g=e+11|0;b[g>>0]=6;b[e>>0]=b[457762]|0;b[e+1>>0]=b[457763]|0;b[e+2>>0]=b[457764]|0;b[e+3>>0]=b[457765]|0;b[e+4>>0]=b[457766]|0;b[e+5>>0]=b[457767]|0;b[e+6>>0]=0;k=gEa(c,e)|0;if((k|0)==(l|0))o=4;else{p=hEa(k+28|0,-1)|0;o=p}p=a+44|0;f[p>>2]=o;if((b[g>>0]|0)<0)fuc(f[e>>2]|0);f[e+8>>2]=0;g=e+11|0;b[g>>0]=7;b[e>>0]=b[457769]|0;b[e+1>>0]=b[457770]|0;b[e+2>>0]=b[457771]|0;b[e+3>>0]=b[457772]|0;b[e+4>>0]=b[457773]|0;b[e+5>>0]=b[457774]|0;b[e+6>>0]=b[457775]|0;b[e+7>>0]=0;o=gEa(c,e)|0;if((o|0)==(l|0))q=0;else{k=hEa(o+28|0,-1)|0;q=k}k=a+48|0;f[k>>2]=q;if((b[g>>0]|0)<0)fuc(f[e>>2]|0);f[e+8>>2]=0;g=e+11|0;b[g>>0]=7;b[e>>0]=b[457777]|0;b[e+1>>0]=b[457778]|0;b[e+2>>0]=b[457779]|0;b[e+3>>0]=b[457780]|0;b[e+4>>0]=b[457781]|0;b[e+5>>0]=b[457782]|0;b[e+6>>0]=b[457783]|0;b[e+7>>0]=0;q=gEa(c,e)|0;if((q|0)==(l|0))r=5;else{o=hEa(q+28|0,-1)|0;r=o}o=a+52|0;f[o>>2]=r;if((b[g>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;g=e+11|0;b[g>>0]=8;r=e;f[r>>2]=1935764579;f[r+4>>2]=2020173427;b[e+8>>0]=0;r=gEa(c,e)|0;if((r|0)==(l|0))s=0;else{q=hEa(r+28|0,-1)|0;s=q}f[a+56>>2]=s;if((b[g>>0]|0)<0)fuc(f[e>>2]|0);f[e+8>>2]=0;g=e+11|0;b[g>>0]=7;b[e>>0]=b[457785]|0;b[e+1>>0]=b[457786]|0;b[e+2>>0]=b[457787]|0;b[e+3>>0]=b[457788]|0;b[e+4>>0]=b[457789]|0;b[e+5>>0]=b[457790]|0;b[e+6>>0]=b[457791]|0;b[e+7>>0]=0;s=gEa(c,e)|0;if((s|0)==(l|0))t=0;else{q=hEa(s+28|0,-1)|0;t=(q|0)!=0|(J|0)!=0}q=a+68|0;b[q>>0]=t&1;if((b[g>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;g=e+11|0;b[g>>0]=8;t=e;f[t>>2]=1768386412;f[t+4>>2]=1667855475;b[e+8>>0]=0;t=gEa(c,e)|0;if((t|0)==(l|0))v=0;else{s=hEa(t+28|0,-1)|0;v=(s|0)!=0|(J|0)!=0}s=a+69|0;b[s>>0]=v&1;if((b[g>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;g=cuc(16)|0;f[e>>2]=g;f[e+8>>2]=-2147483632;f[e+4>>2]=13;h=g;i=467796;j=h+13|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(j|0));b[g+13>>0]=0;g=gEa(c,e)|0;if((g|0)==(l|0))w=.4000000059604645;else w=+iEa(g+28|0,-1);g=a+64|0;n[g>>2]=w;if((b[e+11>>0]|0)<0){fuc(f[e>>2]|0);x=+n[g>>2]}else x=w;if(!(x>=0.0)){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;g=cuc(32)|0;f[e>>2]=g;f[e+8>>2]=-2147483616;f[e+4>>2]=18;h=g;i=457793;j=h+18|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(j|0));b[g+18>>0]=0;WD(-215,e,457659,457675,78)}if((f[p>>2]|0)!=4){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;p=cuc(16)|0;f[e>>2]=p;f[e+8>>2]=-2147483632;f[e+4>>2]=11;h=p;i=457812;j=h+11|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(j|0));b[p+11>>0]=0;WD(-215,e,457659,457675,79)}if((f[k>>2]|0)<=0){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;k=cuc(16)|0;f[e>>2]=k;f[e+8>>2]=-2147483632;f[e+4>>2]=12;h=k;i=457824;j=h+12|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(j|0));b[k+12>>0]=0;WD(-215,e,457659,457675,80)}if((f[o>>2]|0)<=0){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;o=cuc(16)|0;f[e>>2]=o;f[e+8>>2]=-2147483632;f[e+4>>2]=12;h=o;i=457837;j=h+12|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(j|0));b[o+12>>0]=0;WD(-215,e,457659,457675,81)}do if(!(b[s>>0]|0)){if(b[q>>0]|0)break;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;o=cuc(32)|0;f[e>>2]=o;f[e+8>>2]=-2147483616;f[e+4>>2]=25;h=o;i=457850;j=h+25|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(j|0));b[o+25>>0]=0;WD(-215,e,457659,457675,82)}while(0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;q=cuc(16)|0;f[e>>2]=q;f[e+8>>2]=-2147483632;f[e+4>>2]=12;h=q;i=457876;j=h+12|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(j|0));b[q+12>>0]=0;q=gEa(c,e)|0;if((q|0)==(l|0))y=0;else{l=hEa(q+28|0,-1)|0;y=(l|0)!=0|(J|0)!=0}if((b[e+11>>0]|0)<0)fuc(f[e>>2]|0);if(y){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;y=cuc(32)|0;f[e>>2]=y;f[e+8>>2]=-2147483616;f[e+4>>2]=27;h=y;i=457889;j=h+27|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(j|0));b[y+27>>0]=0;WD(-213,e,457659,457675,84)}else{u=d;return}}function Hob(a){a=a|0;Qtc(a);fuc(a);return}function Iob(a){a=a|0;var b=0;b=f[a+12>>2]|0;if(!b)return;bi[f[(f[b>>2]|0)+4>>2]&2047](b);return}function Job(a,b){a=a|0;b=b|0;return ((f[b+4>>2]|0)==457484?a+12|0:0)|0}function Kob(a){a=a|0;fuc(a);return}function Lob(a){a=a|0;pKa(a);fuc(a);return}function Mob(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,W=0,X=0,Z=0,_=0,$=0,aa=0.0,ba=0,ca=0.0,da=0,ea=0.0,fa=0,ga=0.0,ha=0.0,ia=0,ja=0,ka=0.0,la=0,ma=0,na=0,oa=0,pa=0.0,qa=0.0,ra=0,sa=0,ta=0,ua=0;g=u;u=u+64|0;h=g+48|0;i=g+36|0;j=g+24|0;k=g+12|0;l=g;gV(h,133372);if(f[h>>2]|0){}if((CJ(c,-1)|0)==3)JKa(a,c,d,e);else{f[i>>2]=0;m=i+4|0;f[m>>2]=0;f[i+8>>2]=0;f[j>>2]=0;o=j+4|0;f[o>>2]=0;f[j+8>>2]=0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;sJ(c,i);sJ(d,j);sJ(e,k);e=f[i>>2]|0;d=e;if((f[m>>2]|0)==(e|0)){f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;c=cuc(32)|0;f[l>>2]=c;f[l+8>>2]=-2147483616;f[l+4>>2]=18;p=c;q=457964;r=p+18|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(r|0));b[c+18>>0]=0;WD(-215,l,477126,457675,214)}c=f[o>>2]|0;s=f[j>>2]|0;if((c-s|0)!=56){f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;t=cuc(32)|0;f[l>>2]=t;f[l+8>>2]=-2147483616;f[l+4>>2]=19;p=t;q=472630;r=p+19|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(r|0));b[t+19>>0]=0;WD(-215,l,477126,457675,215)}t=a+48|0;v=(f[t>>2]|0)+1+(f[a+44>>2]|0)|0;w=f[(f[a+4>>2]|0)+16>>2]|0;a:do if((c|0)!=(s|0)){x=a+52|0;y=a+68|0;z=a+69|0;A=a+64|0;B=a+60|0;C=a+56|0;D=0;E=e;F=c;G=s;H=d;while(1){I=G;J=f[H+(D*56|0)+40>>2]|0;K=f[J>>2]|0;L=f[J+4>>2]|0;M=f[J+8>>2]|0;N=Y(Y(L,v)|0,M)|0;O=f[x>>2]|0;P=Y(N,O)|0;N=Y(P,K)|0;Q=f[H+(D*56|0)+4>>2]|0;if((Q|0)<3)R=Y(f[H+(D*56|0)+12>>2]|0,f[H+(D*56|0)+8>>2]|0)|0;else{S=1;T=K;while(1){U=Y(f[J+(S<<2)>>2]|0,T)|0;S=S+1|0;if((S|0)==(Q|0)){R=U;break}else T=U}}if((N|0)!=(R|0)){W=19;break}T=f[I+(D*56|0)+4>>2]|0;if((T|0)<3)X=Y(f[I+(D*56|0)+12>>2]|0,f[I+(D*56|0)+8>>2]|0)|0;else{Q=f[I+(D*56|0)+40>>2]|0;S=0;J=1;while(1){U=Y(f[Q+(S<<2)>>2]|0,J)|0;S=S+1|0;if((S|0)==(T|0)){X=U;break}else J=U}}if((N|0)!=(X|0)){W=25;break}J=f[m>>2]|0;if(((J-E|0)/56|0)>>>0>=2?(f[H+60>>2]|0)!=4:0){W=28;break}if(((J-E|0)/56|0)>>>0>1)Z=f[(f[H+96>>2]|0)+8>>2]|0;else Z=L;if(((J-E|0)/56|0)>>>0>1)_=f[(f[H+96>>2]|0)+12>>2]|0;else _=M;J=f[H+(D*56|0)+16>>2]|0;T=f[I+(D*56|0)+16>>2]|0;S=Y(O,Y(Y(L,K)|0,M)|0)|0;Q=(S|0)>0;if(Q){U=0;do{$=(Y(U,v)|0)+4|0;aa=1.0/(+V(+-+n[J+($<<2)>>2])+1.0);n[T+($<<2)>>2]=aa;U=U+1|0}while((U|0)<(S|0))}if(!(b[y>>0]|0)){if(!((b[z>>0]|0)==0|Q^1)?(U=f[t>>2]|0,(U|0)>0):0){I=0;do{N=Y(I,v)|0;$=J+(N<<2)+20|0;ba=T+(N<<2)+20|0;N=0;do{aa=1.0/(+V(+-+n[$+(N<<2)>>2])+1.0);n[ba+(N<<2)>>2]=aa;N=N+1|0}while((N|0)<(U|0));I=I+1|0}while((I|0)<(S|0))}}else if(Q?(I=f[t>>2]|0,(I|0)>0):0){U=0;do{N=Y(U,v)|0;ba=J+(N<<2)+20|0;$=T+(N<<2)|0;aa=-3402823466385288598117041.0e14;N=0;do{ca=+n[ba+(N<<2)>>2];aa=ca>aa?ca:aa;N=N+1|0}while((N|0)!=(I|0));N=$+20|0;ca=0.0;da=0;do{ea=+V(+(+n[ba+(da<<2)>>2]-aa));ca=ca+ea;n[N+(da<<2)>>2]=ea;da=da+1|0}while((da|0)!=(I|0));fa=0;do{da=N+(fa<<2)|0;n[da>>2]=+n[da>>2]/ca;fa=fa+1|0}while((fa|0)!=(I|0));U=U+1|0}while((U|0)<(S|0))}S=(K|0)>0;if(S){U=(M|0)>0;I=(L|0)>0;ca=+(M|0);aa=+(L|0);ea=+(Z|0);ga=+(_|0);Q=(O|0)>0;N=0;do{if(U){da=Y(N,P)|0;ba=0;do{if(I){ha=+(ba|0);$=0;do{if(Q){ia=(Y($,M)|0)+ba|0;ja=(f[C>>2]|0)==-1;ka=+($|0);la=f[t>>2]|0;ma=(la|0)>0;na=Y(O,ia)|0;ia=0;do{oa=(Y(na+ia|0,v)|0)+da|0;pa=+n[T+(oa+4<<2)>>2];qa=pa<.5&ja?0.0:pa;pa=(ha+1.0/(+V(+-+n[J+(oa<<2)>>2])+1.0))/ca;n[T+(oa<<2)>>2]=pa;ra=oa+1|0;pa=(ka+1.0/(+V(+-+n[J+(ra<<2)>>2])+1.0))/aa;n[T+(ra<<2)>>2]=pa;ra=oa+2|0;pa=+V(+(+n[J+(ra<<2)>>2]));sa=ia<<1;n[T+(ra<<2)>>2]=pa*+n[w+(sa<<2)>>2]/ea;ra=oa+3|0;pa=+V(+(+n[J+(ra<<2)>>2]));n[T+(ra<<2)>>2]=pa*+n[w+((sa|1)<<2)>>2]/ga;sa=oa+5|0;if(ma){oa=0;do{ra=T+(sa+oa<<2)|0;pa=qa*+n[ra>>2];n[ra>>2]=pa>+n[B>>2]?pa:0.0;oa=oa+1|0}while((oa|0)<(la|0))}ia=ia+1|0}while((ia|0)<(O|0))}$=$+1|0}while(($|0)!=(L|0))}ba=ba+1|0}while((ba|0)!=(M|0))}N=N+1|0}while((N|0)!=(K|0));ga=+n[A>>2];if(ga>0.0&S){N=Y(M,L)|0;J=0;Q=O;ea=ga;while(1){I=T+((Y(J,P)|0)<<2)|0;U=Y(N,Q)|0;Pob(a,I,U,+n[B>>2],ea);U=J+1|0;if((U|0)>=(K|0))break;J=U;Q=f[x>>2]|0;ea=+n[A>>2]}ta=f[j>>2]|0;ua=f[o>>2]|0}else{ta=G;ua=F}}else{ta=G;ua=F}Q=D+1|0;if(Q>>>0>=((ua-ta|0)/56|0)>>>0)break a;J=f[i>>2]|0;D=Q;E=J;F=ua;G=ta;H=J}if((W|0)==19){f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;H=cuc(48)|0;f[l>>2]=H;f[l+8>>2]=-2147483600;f[l+4>>2]=41;p=H;q=457983;r=p+41|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(r|0));b[H+41>>0]=0;WD(-215,l,477126,457675,233)}else if((W|0)==25){f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;G=cuc(48)|0;f[l>>2]=G;f[l+8>>2]=-2147483600;f[l+4>>2]=41;p=G;q=458025;r=p+41|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(r|0));b[G+41>>0]=0;WD(-215,l,477126,457675,234)}else if((W|0)==28){f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;H=cuc(48)|0;f[l>>2]=H;f[l+8>>2]=-2147483600;f[l+4>>2]=40;p=H;q=458067;r=p+40|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(r|0));b[H+40>>0]=0;WD(-215,l,477126,457675,236)}}while(0);ut(k);ut(j);ut(i)}if(!(f[h+4>>2]|0)){u=g;return}u=g;return}function Nob(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0;g=u;u=u+32|0;d=g+16|0;h=g;i=f[c>>2]|0;if((f[c+4>>2]|0)==(i|0)){c=cuc(32)|0;f[d>>2]=c;f[d+8>>2]=-2147483616;f[d+4>>2]=17;j=c;k=473334;l=j+17|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[c+17>>0]=0;WD(-215,d,477070,457675,92)}c=f[i>>2]|0;i=f[c+12>>2]|0;m=f[a+52>>2]|0;if((i|0)!=(Y((f[a+44>>2]|0)+1+(f[a+48>>2]|0)|0,m)|0)){a=cuc(48)|0;f[d>>2]=a;f[d+8>>2]=-2147483600;f[d+4>>2]=46;j=a;k=457917;l=j+46|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[a+46>>0]=0;WD(-215,d,477070,457675,94)}a=f[c>>2]|0;if((a|0)>1){k=Y(Y(f[c+8>>2]|0,f[c+4>>2]|0)|0,m)|0;f[d>>2]=a;f[d+4>>2]=k;f[d+8>>2]=(i|0)/(m|0)|0;f[d+12>>2]=-1;f[h>>2]=0;k=h+4|0;f[k>>2]=0;f[h+8>>2]=0;KKa(h,d,d+16|0);a=f[h>>2]|0;j=f[k>>2]|0;l=j;n=a;a:do if((a|0)==(j|0)){o=a;p=9}else{q=a;while(1){if((f[q>>2]|0)<0){o=q;p=9;break a}q=q+4|0;if((q|0)==(j|0)){r=l;break}}}while(0);if((p|0)==9)if((o|0)!=(j|0)){q=o+4|0;if((q|0)==(j|0)){s=j;t=o;v=l}else{w=q;q=o;while(1){o=f[w>>2]|0;if((o|0)<0)x=q;else{f[q>>2]=o;x=q+4|0}w=w+4|0;if((w|0)==(j|0))break;else q=x}q=f[k>>2]|0;s=q;t=x;v=q}if((t|0)==(s|0))r=v;else{v=s+(~((s+-4-t|0)>>>2)<<2)|0;f[k>>2]=v;r=v}}else r=l;l=cuc(12)|0;v=l;t=l+12|0;f[l>>2]=0;s=l+4|0;f[s>>2]=0;f[l+8>>2]=0;q=r-n|0;n=q>>2;if(n){if(n>>>0>1073741823)nsc(l);x=cuc(q)|0;f[s>>2]=x;f[l>>2]=x;f[l+8>>2]=x+(n<<2);n=f[h>>2]|0;q=r-n|0;if((q|0)>0){szc(x|0,n|0,q|0)|0;f[s>>2]=x+(q>>>2<<2);y=n}else y=n}else y=a;a=l+12|0;l=f[e>>2]|0;if(!l){z=e+4|0;A=e+8|0;B=y}else{y=e+4|0;n=f[y>>2]|0;if((n|0)==(l|0))C=l;else{q=n;while(1){n=q+-12|0;f[y>>2]=n;x=f[n>>2]|0;if(!x)D=n;else{n=q+-8|0;s=f[n>>2]|0;if((s|0)!=(x|0))f[n>>2]=s+(~((s+-4-x|0)>>>2)<<2);fuc(x);D=f[y>>2]|0}if((D|0)==(l|0))break;else q=D}C=f[e>>2]|0}fuc(C);C=e+8|0;f[C>>2]=0;f[y>>2]=0;f[e>>2]=0;z=y;A=C;B=f[h>>2]|0}f[e>>2]=v;f[z>>2]=a;f[A>>2]=t;if(B|0){t=f[k>>2]|0;if((t|0)!=(B|0))f[k>>2]=t+(~((t+-4-B|0)>>>2)<<2);fuc(B)}u=g;return 0}else{B=Y(Y(f[c+8>>2]|0,f[c+4>>2]|0)|0,m)|0;f[d>>2]=B;f[d+4>>2]=(i|0)/(m|0)|0;f[d+8>>2]=-1;f[d+12>>2]=-1;f[h>>2]=0;m=h+4|0;f[m>>2]=0;f[h+8>>2]=0;KKa(h,d,d+16|0);d=f[h>>2]|0;i=f[m>>2]|0;B=i;c=d;b:do if((d|0)==(i|0)){E=d;p=40}else{t=d;while(1){if((f[t>>2]|0)<0){E=t;p=40;break b}t=t+4|0;if((t|0)==(i|0)){F=B;break}}}while(0);if((p|0)==40)if((E|0)!=(i|0)){p=E+4|0;if((p|0)==(i|0)){G=i;H=E;I=B}else{t=p;p=E;while(1){E=f[t>>2]|0;if((E|0)<0)J=p;else{f[p>>2]=E;J=p+4|0}t=t+4|0;if((t|0)==(i|0))break;else p=J}p=f[m>>2]|0;G=p;H=J;I=p}if((H|0)==(G|0))F=I;else{I=G+(~((G+-4-H|0)>>>2)<<2)|0;f[m>>2]=I;F=I}}else F=B;B=cuc(12)|0;I=B;H=B+12|0;f[B>>2]=0;G=B+4|0;f[G>>2]=0;f[B+8>>2]=0;p=F-c|0;c=p>>2;if(c){if(c>>>0>1073741823)nsc(B);J=cuc(p)|0;f[G>>2]=J;f[B>>2]=J;f[B+8>>2]=J+(c<<2);c=f[h>>2]|0;p=F-c|0;if((p|0)>0){szc(J|0,c|0,p|0)|0;f[G>>2]=J+(p>>>2<<2);K=c}else K=c}else K=d;d=B+12|0;B=f[e>>2]|0;if(!B){L=e+4|0;M=e+8|0;N=K}else{K=e+4|0;c=f[K>>2]|0;if((c|0)==(B|0))O=B;else{p=c;while(1){c=p+-12|0;f[K>>2]=c;J=f[c>>2]|0;if(!J)P=c;else{c=p+-8|0;G=f[c>>2]|0;if((G|0)!=(J|0))f[c>>2]=G+(~((G+-4-J|0)>>>2)<<2);fuc(J);P=f[K>>2]|0}if((P|0)==(B|0))break;else p=P}O=f[e>>2]|0}fuc(O);O=e+8|0;f[O>>2]=0;f[K>>2]=0;f[e>>2]=0;L=K;M=O;N=f[h>>2]|0}f[e>>2]=I;f[L>>2]=d;f[M>>2]=H;if(N|0){H=f[m>>2]|0;if((H|0)!=(N|0))f[m>>2]=H+(~((H+-4-N|0)>>>2)<<2);fuc(N)}u=g;return 0}return 0}function Oob(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;d=u;u=u+16|0;a=d;e=f[c+4>>2]|0;g=f[c>>2]|0;c=g;if((e|0)==(g|0)){h=0;i=0;J=h;u=d;return i|0}j=(e-g|0)/12|0;g=0;e=0;k=0;while(1){l=f[c+(g*12|0)+4>>2]|0;m=f[c+(g*12|0)>>2]|0;n=l-m|0;o=n>>2;p=m;if((p|0)!=(l|0)){if((n|0)<=-4){q=7;break}if((n|0)>0){n=0;l=1;while(1){m=Y(f[p+(n<<2)>>2]|0,l)|0;n=n+1|0;if((n|0)>=(o|0)){r=m;break}else l=m}}else r=1}else r=0;l=r*60|0;o=hzc(l|0,((l|0)<0)<<31>>31|0,e|0,k|0)|0;l=J;g=g+1|0;if(g>>>0>=j>>>0){h=l;i=o;q=3;break}else{e=o;k=l}}if((q|0)==3){J=h;u=d;return i|0}else if((q|0)==7){q=cuc(80)|0;f[a>>2]=q;f[a+8>>2]=-2147483568;f[a+4>>2]=70;i=q;d=475319;h=i+70|0;do{b[i>>0]=b[d>>0]|0;i=i+1|0;d=d+1|0}while((i|0)<(h|0));b[q+70>>0]=0;WD(-215,a,475390,475396,161)}return 0}function Pob(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=+d;e=+e;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0.0,B=0.0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0;g=u;u=u+48|0;h=g+24|0;i=g+12|0;j=g;f[h>>2]=0;k=h+4|0;f[k>>2]=0;f[h+8>>2]=0;l=(c|0)==0;do if(!l)if(c>>>0>134217727)nsc(h);else{m=c<<5;o=cuc(m)|0;f[h>>2]=o;f[h+8>>2]=o+(c<<5);kzc(o|0,0,m|0)|0;f[k>>2]=o+m;q=o;break}else q=0;while(0);f[i>>2]=0;o=i+4|0;f[o>>2]=0;f[i+8>>2]=0;if(l){l=a+48|0;r=l;s=0;t=0;v=f[l>>2]|0}else{l=c<<2;m=cuc(l)|0;f[i>>2]=m;w=m+(c<<2)|0;f[i+8>>2]=w;kzc(m|0,0,l|0)|0;f[o>>2]=w;w=a+48|0;l=f[w>>2]|0;x=l+1+(f[a+44>>2]|0)|0;y=0;do{z=Y(x,y)|0;A=+n[b+(z+2<<2)>>2];p[q+(y<<5)+16>>3]=A;B=+n[b+(z+3<<2)>>2];p[q+(y<<5)+24>>3]=B;p[q+(y<<5)>>3]=+n[b+(z<<2)>>2]-A*.5;p[q+(y<<5)+8>>3]=+n[b+(z+1<<2)>>2]-B*.5;y=y+1|0}while((y|0)!=(c|0));r=w;s=1;t=m;v=l}f[j>>2]=0;l=j+4|0;f[l>>2]=0;f[j+8>>2]=0;if((v|0)>0){m=a+44|0;a:do if(s){a=0;w=v;y=t;while(1){q=w+1+(f[m>>2]|0)|0;x=a+5|0;z=0;do{C=b+(x+(Y(q,z)|0)<<2)|0;f[y+(z<<2)>>2]=f[C>>2];n[C>>2]=0.0;z=z+1|0}while((z|0)!=(c|0));VGb(h,i,d,e,j,1.0,0);z=f[l>>2]|0;q=f[j>>2]|0;C=z-q|0;D=C>>2;E=q;q=f[r>>2]|0;if((C|0)>0){C=q+1+(f[m>>2]|0)|0;F=f[i>>2]|0;G=0;do{H=f[E+(G<<2)>>2]|0;I=Y(C,H)|0;f[b+(x+I<<2)>>2]=f[F+(H<<2)>>2];G=G+1|0}while((G|0)<(D|0))}D=a+1|0;if((D|0)>=(q|0)){J=z;K=E;break a}a=D;w=q;y=f[i>>2]|0}}else{y=0;do{VGb(h,i,d,e,j,1.0,0);w=f[l>>2]|0;a=f[j>>2]|0;D=w-a|0;G=D>>2;F=a;a=f[r>>2]|0;if((D|0)>0){D=a+1+(f[m>>2]|0)|0;x=f[i>>2]|0;C=y+5|0;H=0;do{I=f[F+(H<<2)>>2]|0;L=Y(D,I)|0;f[b+(C+L<<2)>>2]=f[x+(I<<2)>>2];H=H+1|0}while((H|0)<(G|0))}y=y+1|0}while((y|0)<(a|0));J=w;K=F}while(0);b=J;if(K|0){if((b|0)!=(K|0))f[l>>2]=b+(~((b+-4-K|0)>>>2)<<2);fuc(K)}}K=f[i>>2]|0;if(K|0){i=f[o>>2]|0;if((i|0)!=(K|0))f[o>>2]=i+(~((i+-4-K|0)>>>2)<<2);fuc(K)}K=f[h>>2]|0;if(!K){u=g;return}h=f[k>>2]|0;if((h|0)!=(K|0))f[k>>2]=h+(~((h+-32-K|0)>>>5)<<5);fuc(K);u=g;return}function Qob(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0.0,r=0.0;d=u;u=u+80|0;e=d+64|0;g=d+16|0;h=d;i=cuc(16)|0;f[e>>2]=i;f[e+8>>2]=-2147483632;f[e+4>>2]=11;j=i;k=458283;l=j+11|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[i+11>>0]=0;i=gEa(c,e)|0;m=c+4|0;if((i|0)==(m|0))o=1;else{p=hEa(i+28|0,-1)|0;o=(p|0)!=0|(J|0)!=0}if((b[e+11>>0]|0)<0)fuc(f[e>>2]|0);if(o){o=cuc(44)|0;WMa(o);f[o>>2]=133412;XMa(o,c);p=cuc(16)|0;i=o;f[p+4>>2]=0;f[p+8>>2]=0;f[p>>2]=133520;f[p+12>>2]=i;f[a>>2]=i;f[a+4>>2]=p;u=d;return}p=cuc(16)|0;f[g>>2]=p;f[g+8>>2]=-2147483632;f[g+4>>2]=13;j=p;k=458295;l=j+13|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[p+13>>0]=0;p=gEa(c,g)|0;if((p|0)==(m|0))q=.5;else q=+iEa(p+28|0,-1);r=1.0-q;if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);n[e>>2]=r;if(!(r>0.0)){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;b[g+11>>0]=9;j=g;k=458309;l=j+9|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[g+9>>0]=0;WD(-215,g,458319,458326,139)}f[g+4>>2]=0;f[g+8>>2]=0;k=g+4|0;f[g>>2]=k;j=g+12|0;l=j+36|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(l|0));j=g+24|0;ruc(j,c+24|0)|0;c=g+36|0;wuc(c,458405)|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;l=h+11|0;b[l>>0]=5;b[h>>0]=b[458411]|0;b[h+1>>0]=b[458412]|0;b[h+2>>0]=b[458413]|0;b[h+3>>0]=b[458414]|0;b[h+4>>0]=b[458415]|0;b[h+5>>0]=0;jEa(g,h,e)|0;if((b[l>>0]|0)<0)fuc(f[h>>2]|0);mlb(h,g);f[a>>2]=f[h>>2];f[a+4>>2]=f[h+4>>2];if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);if((b[j+11>>0]|0)<0)fuc(f[j>>2]|0);ut(g+12|0);lEa(g,f[k>>2]|0);u=d;return}function Rob(a){a=a|0;Qtc(a);fuc(a);return}function Sob(a){a=a|0;var b=0;b=f[a+12>>2]|0;if(!b)return;bi[f[(f[b>>2]|0)+4>>2]&2047](b);return}function Tob(a,b){a=a|0;b=b|0;return ((f[b+4>>2]|0)==458417?a+12|0:0)|0}function Uob(a){a=a|0;fuc(a);return}function Vob(a){a=a|0;pKa(a);fuc(a);return}function Wob(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;e=u;u=u+48|0;g=e+40|0;h=e+28|0;i=e+16|0;j=e;gV(g,133540);if(f[g>>2]|0){}if((CJ(b,-1)|0)==3)JKa(a,b,c,d);else{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[i>>2]=0;d=i+4|0;f[d>>2]=0;f[i+8>>2]=0;sJ(b,h);sJ(c,i);c=f[i>>2]|0;b=(f[d>>2]|0)-c|0;d=(b|0)/56|0;a:do if((b|0)>0){a=j+8|0;k=j+4|0;l=0;m=c;while(1){n=f[h>>2]|0;if((f[m+(l*56|0)+16>>2]|0)!=(f[n+(l*56|0)+16>>2]|0)){o=a;f[o>>2]=0;f[o+4>>2]=0;f[j>>2]=33619968;f[k>>2]=m+(l*56|0);EI(n+(l*56|0)|0,j)}n=l+1|0;if((n|0)>=(d|0))break a;l=n;m=f[i>>2]|0}}while(0);ut(i);ut(h)}if(!(f[g+4>>2]|0)){u=e;return}u=e;return}function Xob(a,b){a=a|0;b=b|0;var c=0;switch(b|0){case 3:{c=1;break}case 2:{c=rib()|0;break}default:c=0}return c|0}function Yob(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function Zob(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;GKa(a,b,c,d,e)|0;return 1}function _ob(a,b){a=a|0;b=b|0;var c=0;c=cuc(68)|0;$ob(c,b);f[a>>2]=c;b=cuc(16)|0;f[b+4>>2]=0;f[b+8>>2]=0;f[b>>2]=133580;f[b+12>>2]=c;f[a+4>>2]=b;return}function $ob(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;d=u;u=u+32|0;e=d+16|0;g=d;WMa(a);h=a+44|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;f[h+16>>2]=0;f[h+20>>2]=0;f[a>>2]=133608;XMa(a,c);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;i=e+11|0;b[i>>0]=8;j=e;f[j>>2]=1819242352;f[j+4>>2]=2002742111;b[e+8>>0]=0;j=hEa(iGa(c,e)|0,-1)|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;k=g+11|0;b[k>>0]=8;l=g;f[l>>2]=1819242352;f[l+4>>2]=1751083871;b[g+8>>0]=0;l=hEa(iGa(c,g)|0,-1)|0;f[h>>2]=j;f[a+48>>2]=l;if((b[k>>0]|0)<0)fuc(f[g>>2]|0);if((b[i>>0]|0)<0)fuc(f[e>>2]|0);i=e+11|0;b[i>>0]=10;k=e;l=458907;j=k+10|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(j|0));b[e+10>>0]=0;h=hEa(iGa(c,e)|0,-1)|0;m=g+11|0;b[m>>0]=10;k=g;l=458918;j=k+10|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(j|0));b[g+10>>0]=0;n=hEa(iGa(c,g)|0,-1)|0;f[a+52>>2]=h;f[a+56>>2]=n;if((b[m>>0]|0)<0)fuc(f[g>>2]|0);if((b[i>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;i=cuc(16)|0;f[e>>2]=i;f[e+8>>2]=-2147483632;f[e+4>>2]=13;k=i;l=458929;j=k+13|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(j|0));b[i+13>>0]=0;i=hEa(iGa(c,e)|0,-1)|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;m=cuc(16)|0;f[g>>2]=m;f[g+8>>2]=-2147483632;f[g+4>>2]=13;k=m;l=458943;j=k+13|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(j|0));b[m+13>>0]=0;m=hEa(iGa(c,g)|0,-1)|0;f[a+60>>2]=i;f[a+64>>2]=m;if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);if((b[e+11>>0]|0)>=0){u=d;return}fuc(f[e>>2]|0);u=d;return}function apb(a){a=a|0;Qtc(a);fuc(a);return}function bpb(a){a=a|0;var b=0;b=f[a+12>>2]|0;if(!b)return;bi[f[(f[b>>2]|0)+4>>2]&2047](b);return}function cpb(a,b){a=a|0;b=b|0;return ((f[b+4>>2]|0)==458744?a+12|0:0)|0}function dpb(a){a=a|0;fuc(a);return}function epb(a){a=a|0;pKa(a);fuc(a);return}function fpb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0;g=u;u=u+224|0;h=g+88|0;i=g+80|0;j=g+68|0;k=g+56|0;l=g;gV(i,133708);if(f[i>>2]|0){}if((CJ(c,-1)|0)==3)JKa(a,c,d,e);else{f[j>>2]=0;e=j+4|0;f[e>>2]=0;f[j+8>>2]=0;f[k>>2]=0;a=k+4|0;f[a>>2]=0;f[k+8>>2]=0;sJ(c,j);sJ(d,k);d=f[j>>2]|0;c=d;if(((f[e>>2]|0)-d|0)!=112){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;d=cuc(32)|0;f[h>>2]=d;f[h+8>>2]=-2147483616;f[h+4>>2]=18;m=d;o=476387;q=m+18|0;do{b[m>>0]=b[o>>0]|0;m=m+1|0;o=o+1|0}while((m|0)<(q|0));b[d+18>>0]=0;WD(-215,h,477126,458957,75)}d=f[c+4>>2]|0;if((d|0)<3)r=Y(f[c+12>>2]|0,f[c+8>>2]|0)|0;else{e=f[c+40>>2]|0;s=0;t=1;while(1){v=Y(f[e+(s<<2)>>2]|0,t)|0;s=s+1|0;if((s|0)==(d|0)){r=v;break}else t=v}}t=f[c+60>>2]|0;if((t|0)<3)w=Y(f[c+68>>2]|0,f[c+64>>2]|0)|0;else{d=f[c+96>>2]|0;s=0;e=1;while(1){v=Y(f[d+(s<<2)>>2]|0,e)|0;s=s+1|0;if((s|0)==(t|0)){w=v;break}else e=v}}if((r|0)!=(w|0)){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;w=cuc(48)|0;f[h>>2]=w;f[h+8>>2]=-2147483600;f[h+4>>2]=32;m=w;o=459044;q=m+32|0;do{b[m>>0]=b[o>>0]|0;m=m+1|0;o=o+1|0}while((m|0)<(q|0));b[w+32>>0]=0;WD(-215,h,477126,458957,79)}w=c+40|0;if((f[f[w>>2]>>2]|0)!=1){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;r=cuc(32)|0;f[h>>2]=r;f[h+8>>2]=-2147483616;f[h+4>>2]=18;m=r;o=459077;q=m+18|0;do{b[m>>0]=b[o>>0]|0;m=m+1|0;o=o+1|0}while((m|0)<(q|0));b[r+18>>0]=0;WD(-215,h,477126,458957,80)}if(!(f[c>>2]&16384)){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;r=cuc(32)|0;f[h>>2]=r;f[h+8>>2]=-2147483616;f[h+4>>2]=20;m=r;o=473073;q=m+20|0;do{b[m>>0]=b[o>>0]|0;m=m+1|0;o=o+1|0}while((m|0)<(q|0));b[r+20>>0]=0;WD(-215,h,477126,458957,81)}r=f[k>>2]|0;a:do if((f[a>>2]|0)!=(r|0)){e=h+8|0;t=h+12|0;s=h+4|0;d=c+16|0;v=c+44|0;x=c+72|0;y=c+100|0;z=l+16|0;A=l+44|0;B=l+36|0;C=l+4|0;D=l+40|0;E=l+48|0;F=0;G=r;b:while(1){H=G;I=H+(F*56|0)|0;p[l>>3]=0.0;f[h>>2]=-1056833530;f[s>>2]=l;f[e>>2]=1;f[t>>2]=1;HI(I,h,sK()|0)|0;J=f[(f[w>>2]|0)+4>>2]|0;K=H+(F*56|0)+40|0;L=f[K>>2]|0;if((J|0)!=(f[L+4>>2]|0)){M=28;break}N=Y(f[L+12>>2]|0,f[L+8>>2]|0)|0;if((J|0)>0){J=H+(F*56|0)+4|0;L=H+(F*56|0)+16|0;O=H+(F*56|0)+44|0;P=0;while(1){H=f[J>>2]|0;if((H|0)<=2){M=33;break b}Q=f[K>>2]|0;R=2;do{f[h+(R+-2<<2)>>2]=f[Q+(R<<2)>>2];R=R+1|0}while((R|0)!=(H|0));fU(l,H+-2|0,h,f[I>>2]&4095,(f[L>>2]|0)+(Y(f[(f[O>>2]|0)+4>>2]|0,P)|0)|0,0);R=f[w>>2]|0;Q=Y(f[R+12>>2]|0,f[R+8>>2]|0)|0;S=(f[d>>2]|0)+(Y(f[(f[v>>2]|0)+4>>2]|0,P)|0)|0;R=(f[x>>2]|0)+(Y(f[(f[y>>2]|0)+4>>2]|0,P)|0)|0;T=f[z>>2]|0;if((Q|0)>0){U=0;while(1){V=~~+n[R+(U<<2)>>2];if(!((V|0)>-1&(V|0)<(N|0))){M=47;break b}f[T+(V<<2)>>2]=f[S+(U<<2)>>2];W=U+1|0;if((W|0)<(Q|0))U=W;else break}}Q=f[B>>2]|0;do if(Q|0){T=Q+12|0;R=f[T>>2]|0;f[T>>2]=R+-1;if((R|0)!=1)break;aU(l)}while(0);f[B>>2]=0;f[z>>2]=0;f[z+4>>2]=0;f[z+8>>2]=0;f[z+12>>2]=0;if((f[C>>2]|0)>0){Q=f[D>>2]|0;R=0;do{f[Q+(R<<2)>>2]=0;R=R+1|0}while((R|0)<(f[C>>2]|0))}R=f[A>>2]|0;if((R|0)!=(E|0))TC(R);R=P+1|0;if((R|0)<(f[(f[w>>2]|0)+4>>2]|0))P=R;else break}}O=F+1|0;G=f[k>>2]|0;if(O>>>0>=(((f[a>>2]|0)-G|0)/56|0)>>>0)break a;else F=O}if((M|0)==28){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;G=cuc(48)|0;f[h>>2]=G;f[h+8>>2]=-2147483600;f[h+4>>2]=32;m=G;o=459096;q=m+32|0;do{b[m>>0]=b[o>>0]|0;m=m+1|0;o=o+1|0}while((m|0)<(q|0));b[G+32>>0]=0;WD(-215,h,477126,458957,87)}else if((M|0)==33){b[h+11>>0]=10;m=h;o=470571;q=m+10|0;do{b[m>>0]=b[o>>0]|0;m=m+1|0;o=o+1|0}while((m|0)<(q|0));b[h+10>>0]=0;WD(-215,h,470582,475396,110)}else if((M|0)==47){G=tkc(aE(901172,459129,4)|0,F)|0;dkc(h,G+(f[(f[G>>2]|0)+-12>>2]|0)|0);E=Ilc(h,901876)|0;A=Th[f[(f[E>>2]|0)+28>>2]&1023](E,10)|0;Jlc(h);xkc(G,A)|0;jkc(G)|0;A=tkc(aE(G,459134,4)|0,P)|0;dkc(h,A+(f[(f[A>>2]|0)+-12>>2]|0)|0);G=Ilc(h,901876)|0;E=Th[f[(f[G>>2]|0)+28>>2]&1023](G,10)|0;Jlc(h);xkc(A,E)|0;jkc(A)|0;E=tkc(aE(A,459139,5)|0,U)|0;dkc(h,E+(f[(f[E>>2]|0)+-12>>2]|0)|0);A=Ilc(h,901876)|0;G=Th[f[(f[A>>2]|0)+28>>2]&1023](A,10)|0;Jlc(h);xkc(E,G)|0;jkc(E)|0;G=tkc(aE(E,459145,6)|0,V)|0;dkc(h,G+(f[(f[G>>2]|0)+-12>>2]|0)|0);E=Ilc(h,901876)|0;A=Th[f[(f[E>>2]|0)+28>>2]&1023](E,10)|0;Jlc(h);xkc(G,A)|0;jkc(G)|0;A=aE(G,459152,7)|0;G=vkc(A,+n[S+(U<<2)>>2])|0;dkc(h,G+(f[(f[G>>2]|0)+-12>>2]|0)|0);A=Ilc(h,901876)|0;E=Th[f[(f[A>>2]|0)+28>>2]&1023](A,10)|0;Jlc(h);xkc(G,E)|0;jkc(G)|0;E=tkc(aE(G,459160,14)|0,N)|0;dkc(h,E+(f[(f[E>>2]|0)+-12>>2]|0)|0);G=Ilc(h,901876)|0;A=Th[f[(f[G>>2]|0)+28>>2]&1023](G,10)|0;Jlc(h);xkc(E,A)|0;jkc(E)|0;A=aE(E,459175,11)|0;E=f[w>>2]|0;G=f[E+-4>>2]|0;c:do if((G|0)>0){C=G+-1|0;D=0;z=E;while(1){tkc(A,f[z+(D<<2)>>2]|0)|0;if((D|0)<(C|0))aE(A,459187,3)|0;B=D+1|0;if((B|0)==(G|0))break c;D=B;z=f[w>>2]|0}}while(0);dkc(h,A+(f[(f[A>>2]|0)+-12>>2]|0)|0);G=Ilc(h,901876)|0;E=Th[f[(f[G>>2]|0)+28>>2]&1023](G,10)|0;Jlc(h);xkc(A,E)|0;jkc(A)|0;E=aE(A,459191,13)|0;G=c+96|0;F=f[G>>2]|0;z=f[F+-4>>2]|0;d:do if((z|0)>0){D=z+-1|0;C=0;B=F;while(1){tkc(E,f[B+(C<<2)>>2]|0)|0;if((C|0)<(D|0))aE(E,459187,3)|0;y=C+1|0;if((y|0)==(z|0))break d;C=y;B=f[G>>2]|0}}while(0);dkc(h,E+(f[(f[E>>2]|0)+-12>>2]|0)|0);G=Ilc(h,901876)|0;z=Th[f[(f[G>>2]|0)+28>>2]&1023](G,10)|0;Jlc(h);xkc(E,z)|0;jkc(E)|0;z=aE(E,459205,8)|0;G=f[K>>2]|0;F=f[G+-4>>2]|0;if((F|0)<=0){X=f[z>>2]|0;Z=X+-12|0;_=f[Z>>2]|0;$=z+_|0;dkc(h,$);aa=Ilc(h,901876)|0;ba=f[aa>>2]|0;ca=ba+28|0;da=f[ca>>2]|0;ea=Th[da&1023](aa,10)|0;Jlc(h);xkc(z,ea)|0;jkc(z)|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;fa=cuc(48)|0;f[h>>2]=fa;ga=h+8|0;f[ga>>2]=-2147483600;ha=h+4|0;f[ha>>2]=35;m=fa;o=459214;q=m+35|0;do{b[m>>0]=b[o>>0]|0;m=m+1|0;o=o+1|0}while((m|0)<(q|0));ia=fa+35|0;b[ia>>0]=0;WD(-215,h,477126,458957,114)}E=F+-1|0;A=0;B=G;while(1){tkc(z,f[B+(A<<2)>>2]|0)|0;if((A|0)<(E|0))aE(z,459187,3)|0;C=A+1|0;if((C|0)==(F|0))break;A=C;B=f[K>>2]|0}X=f[z>>2]|0;Z=X+-12|0;_=f[Z>>2]|0;$=z+_|0;dkc(h,$);aa=Ilc(h,901876)|0;ba=f[aa>>2]|0;ca=ba+28|0;da=f[ca>>2]|0;ea=Th[da&1023](aa,10)|0;Jlc(h);xkc(z,ea)|0;jkc(z)|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;fa=cuc(48)|0;f[h>>2]=fa;ga=h+8|0;f[ga>>2]=-2147483600;ha=h+4|0;f[ha>>2]=35;m=fa;o=459214;q=m+35|0;do{b[m>>0]=b[o>>0]|0;m=m+1|0;o=o+1|0}while((m|0)<(q|0));ia=fa+35|0;b[ia>>0]=0;WD(-215,h,477126,458957,114)}}while(0);ut(k);ut(j)}if(!(f[i+4>>2]|0)){u=g;return}u=g;return}function gpb(a,b){a=a|0;b=b|0;var c=0;switch(b|0){case 3:{c=1;break}case 1:{if(aNa()|0?(f[a+52>>2]|0)==0:0)c=(f[a+56>>2]|0)==0;else c=0;break}default:c=0}return c|0}function hpb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function ipb(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;g=u;u=u+16|0;d=g;h=f[c>>2]|0;i=h;if(((f[c+4>>2]|0)-h|0)!=24){c=cuc(32)|0;f[d>>2]=c;f[d+8>>2]=-2147483616;f[d+4>>2]=18;j=c;k=476387;l=j+18|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[c+18>>0]=0;WD(-215,d,477070,458957,47)}c=f[i+4>>2]|0;m=f[h>>2]|0;h=c-m|0;n=h>>2;o=m;if((o|0)!=(c|0)){if((h|0)<=-4){c=cuc(80)|0;f[d>>2]=c;f[d+8>>2]=-2147483568;f[d+4>>2]=70;j=c;k=475319;l=j+70|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[c+70>>0]=0;WD(-215,d,475390,475396,161)}if((h|0)>0){h=0;c=1;while(1){m=Y(f[o+(h<<2)>>2]|0,c)|0;h=h+1|0;if((h|0)>=(n|0)){p=m;break}else c=m}}else p=1}else p=0;c=f[i+16>>2]|0;n=f[i+12>>2]|0;h=c-n|0;o=h>>2;m=n;if((m|0)!=(c|0)){if((h|0)<=-4){c=cuc(80)|0;f[d>>2]=c;f[d+8>>2]=-2147483568;f[d+4>>2]=70;j=c;k=475319;l=j+70|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[c+70>>0]=0;WD(-215,d,475390,475396,161)}if((h|0)>0){h=0;c=1;while(1){n=Y(f[m+(h<<2)>>2]|0,c)|0;h=h+1|0;if((h|0)>=(o|0)){q=n;break}else c=n}}else q=1}else q=0;if((p|0)!=(q|0)){q=cuc(48)|0;f[d>>2]=q;f[d+8>>2]=-2147483600;f[d+4>>2]=36;j=q;k=460681;l=j+36|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[q+36>>0]=0;WD(-215,d,477070,458957,48)}tHa(d,i);i=f[d>>2]|0;q=i+8|0;k=Y((f[q>>2]|0)+-1|0,f[a+64>>2]|0)|0;f[q>>2]=k+(f[a+48>>2]|0)-(f[a+56>>2]<<1);k=i+12|0;i=Y((f[k>>2]|0)+-1|0,f[a+60>>2]|0)|0;f[k>>2]=i+(f[a+44>>2]|0)-(f[a+52>>2]<<1);a=f[e>>2]|0;i=e+4|0;k=f[i>>2]|0;if((k|0)!=(a|0)){q=k;while(1){k=q+-12|0;f[i>>2]=k;j=f[k>>2]|0;if(!j)r=k;else{k=q+-8|0;l=f[k>>2]|0;if((l|0)!=(j|0))f[k>>2]=l+(~((l+-4-j|0)>>>2)<<2);fuc(j);r=f[i>>2]|0}if((r|0)==(a|0))break;else q=r}}if((a|0)==(f[e+8>>2]|0)){uHa(e,d);s=f[d>>2]|0}else{f[a>>2]=0;e=a+4|0;f[e>>2]=0;f[a+8>>2]=0;r=d+4|0;q=f[d>>2]|0;j=(f[r>>2]|0)-q|0;l=j>>2;if(l){if(l>>>0>1073741823)nsc(a);k=cuc(j)|0;f[e>>2]=k;f[a>>2]=k;f[a+8>>2]=k+(l<<2);l=f[d>>2]|0;a=(f[r>>2]|0)-l|0;if((a|0)>0){szc(k|0,l|0,a|0)|0;f[e>>2]=k+(a>>>2<<2);t=l}else t=l}else t=q;f[i>>2]=(f[i>>2]|0)+12;s=t}if(!s){u=g;return 0}t=d+4|0;d=f[t>>2]|0;if((d|0)!=(s|0))f[t>>2]=d+(~((d+-4-s|0)>>>2)<<2);fuc(s);u=g;return 0}function jpb(a,b){a=a|0;b=b|0;var c=0;c=cuc(80)|0;kpb(c,b);f[a>>2]=c;b=cuc(16)|0;f[b+4>>2]=0;f[b+8>>2]=0;f[b>>2]=133748;f[b+12>>2]=c;f[a+4>>2]=b;return}function kpb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;d=u;u=u+16|0;e=d;WMa(a);f[a>>2]=133776;g=a+48|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;f[g+16>>2]=0;f[g+20>>2]=0;f[g+24>>2]=0;f[g+28>>2]=0;XMa(a,c);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;g=cuc(16)|0;f[e>>2]=g;f[e+8>>2]=-2147483632;f[e+4>>2]=12;h=g;i=459589;j=h+12|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(j|0));b[g+12>>0]=0;g=gEa(c,e)|0;if((g|0)==(c+4|0))k=2;else{c=hEa(g+28|0,-1)|0;k=c}c=a+44|0;f[c>>2]=k;if((b[e+11>>0]|0)<0){fuc(f[e>>2]|0);l=f[c>>2]|0}else l=k;if((l|0)>0){u=d;return}else{f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;d=cuc(16)|0;f[e>>2]=d;f[e+8>>2]=-2147483632;f[e+4>>2]=15;h=d;i=459602;j=h+15|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(j|0));b[d+15>>0]=0;WD(-215,e,459618,459633,67)}}function lpb(a){a=a|0;Qtc(a);fuc(a);return}function mpb(a){a=a|0;var b=0;b=f[a+12>>2]|0;if(!b)return;bi[f[(f[b>>2]|0)+4>>2]&2047](b);return}function npb(a,b){a=a|0;b=b|0;return ((f[b+4>>2]|0)==459434?a+12|0:0)|0}function opb(a){a=a|0;fuc(a);return}function ppb(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=133776;b=f[a+68>>2]|0;if(b|0){c=a+72|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+56>>2]|0;if(b|0){d=a+60|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+52>>2]|0;if(!b){pKa(a);return}Xtc(b);pKa(a);return}function qpb(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=133776;b=f[a+68>>2]|0;if(b|0){c=a+72|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+56>>2]|0;if(b|0){d=a+60|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+52>>2]|0;if(!b){pKa(a);fuc(a);return}Xtc(b);pKa(a);fuc(a);return}function rpb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0;e=u;u=u+320|0;g=e+300|0;h=e+288|0;i=e+232|0;j=e+176|0;k=e+128|0;l=e+112|0;m=e+56|0;n=e;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;sJ(c,g);sJ(d,h);d=f[g>>2]|0;f[i>>2]=f[d>>2];c=i+4|0;o=d+4|0;f[c>>2]=f[o>>2];p=i+8|0;f[p>>2]=f[d+8>>2];f[i+12>>2]=f[d+12>>2];q=i+16|0;f[q>>2]=f[d+16>>2];f[i+20>>2]=f[d+20>>2];f[i+24>>2]=f[d+24>>2];f[i+28>>2]=f[d+28>>2];f[i+32>>2]=f[d+32>>2];r=i+36|0;s=f[d+36>>2]|0;f[r>>2]=s;t=i+40|0;f[t>>2]=p;p=i+48|0;v=i+44|0;f[v>>2]=p;f[p>>2]=0;f[i+52>>2]=0;if(s|0){w=s+12|0;f[w>>2]=(f[w>>2]|0)+1}if((f[o>>2]|0)<3){o=f[d+44>>2]|0;w=f[v>>2]|0;f[w>>2]=f[o>>2];f[w+4>>2]=f[o+4>>2]}else{f[c>>2]=0;$T(i,d)}d=f[h>>2]|0;f[j>>2]=f[d>>2];o=j+4|0;w=d+4|0;f[o>>2]=f[w>>2];s=j+8|0;f[s>>2]=f[d+8>>2];f[j+12>>2]=f[d+12>>2];x=j+16|0;f[x>>2]=f[d+16>>2];f[j+20>>2]=f[d+20>>2];f[j+24>>2]=f[d+24>>2];f[j+28>>2]=f[d+28>>2];f[j+32>>2]=f[d+32>>2];y=j+36|0;z=f[d+36>>2]|0;f[y>>2]=z;A=j+40|0;f[A>>2]=s;s=j+48|0;B=j+44|0;f[B>>2]=s;f[s>>2]=0;f[j+52>>2]=0;if(z|0){C=z+12|0;f[C>>2]=(f[C>>2]|0)+1}if((f[w>>2]|0)<3){w=f[d+44>>2]|0;C=f[B>>2]|0;f[C>>2]=f[w>>2];f[C+4>>2]=f[w+4>>2]}else{f[o>>2]=0;$T(j,d)}d=f[f[t>>2]>>2]|0;f[k+4>>2]=0;f[k+8>>2]=0;w=k+4|0;f[k>>2]=w;C=k+12|0;z=C+36|0;do{f[C>>2]=0;C=C+4|0}while((C|0)<(z|0));if((d|0)==1){f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;C=l+11|0;b[C>>0]=5;b[l>>0]=b[471004]|0;b[l+1>>0]=b[471005]|0;b[l+2>>0]=b[471006]|0;b[l+3>>0]=b[471007]|0;b[l+4>>0]=b[471008]|0;b[l+5>>0]=0;z=cuc(16)|0;f[z>>2]=z+8;f[z+4>>2]=4;D=euc(32)|0;f[z>>2]=D;f[m>>2]=0;f[m+4>>2]=z;z=D;f[z>>2]=1;f[z+4>>2]=0;z=D+8|0;f[z>>2]=3;f[z+4>>2]=0;z=D+16|0;f[z>>2]=0;f[z+4>>2]=0;z=D+24|0;f[z>>2]=2;f[z+4>>2]=0;wEa(k,l,m)|0;mEa(m);if((b[C>>0]|0)<0)fuc(f[l>>2]|0);C=a+56|0;z=a+60|0;D=f[z>>2]|0;E=f[C>>2]|0;F=D-E>>2;G=E;E=D;if(F>>>0>=4)if((F|0)!=4?(D=G+16|0,(E|0)!=(D|0)):0){f[z>>2]=E+(~((E+-4-D|0)>>>2)<<2);H=G}else H=G;else{OJ(C,4-F|0);H=f[C>>2]|0}F=f[t>>2]|0;G=Y(f[F+8>>2]|0,f[F+4>>2]|0)|0;D=a+44|0;E=f[D>>2]|0;z=(G|0)/(Y(E,E)|0)|0;f[H>>2]=z;f[H+4>>2]=f[D>>2];f[H+8>>2]=f[F+12>>2];f[H+12>>2]=f[D>>2];D=a+68|0;F=a+72|0;z=f[F>>2]|0;E=f[D>>2]|0;G=z-E>>2;I=E;E=z;if(G>>>0>=4)if((G|0)!=4?(z=I+16|0,(E|0)!=(z|0)):0){f[F>>2]=E+(~((E+-4-z|0)>>>2)<<2);J=H;K=I}else{J=H;K=I}else{OJ(D,4-G|0);J=f[C>>2]|0;K=f[D>>2]|0}f[K>>2]=f[J+4>>2];f[K+4>>2]=f[J+12>>2];f[K+8>>2]=f[J>>2];L=J+8|0;M=K+12|0}else{f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;K=l+11|0;b[K>>0]=5;b[l>>0]=b[471004]|0;b[l+1>>0]=b[471005]|0;b[l+2>>0]=b[471006]|0;b[l+3>>0]=b[471007]|0;b[l+4>>0]=b[471008]|0;b[l+5>>0]=0;J=cuc(16)|0;f[J>>2]=J+8;f[J+4>>2]=5;D=euc(40)|0;f[J>>2]=D;f[m>>2]=0;f[m+4>>2]=J;J=D;f[J>>2]=0;f[J+4>>2]=0;J=D+8|0;f[J>>2]=2;f[J+4>>2]=0;J=D+16|0;f[J>>2]=4;f[J+4>>2]=0;J=D+24|0;f[J>>2]=1;f[J+4>>2]=0;J=D+32|0;f[J>>2]=3;f[J+4>>2]=0;wEa(k,l,m)|0;mEa(m);if((b[K>>0]|0)<0)fuc(f[l>>2]|0);K=a+56|0;J=a+60|0;D=f[J>>2]|0;C=f[K>>2]|0;G=D-C>>2;I=C;C=D;if(G>>>0>=5)if((G|0)!=5?(D=I+20|0,(C|0)!=(D|0)):0){f[J>>2]=C+(~((C+-4-D|0)>>>2)<<2);N=I}else N=I;else{OJ(K,5-G|0);N=f[K>>2]|0}f[N>>2]=d;d=f[t>>2]|0;G=Y(f[d+8>>2]|0,f[d+4>>2]|0)|0;I=a+44|0;D=f[I>>2]|0;C=(G|0)/(Y(D,D)|0)|0;f[N+4>>2]=C;f[N+8>>2]=f[I>>2];f[N+12>>2]=f[d+12>>2];f[N+16>>2]=f[I>>2];I=a+68|0;d=a+72|0;C=f[d>>2]|0;D=f[I>>2]|0;G=C-D>>2;J=D;D=C;if(G>>>0>=5)if((G|0)!=5?(C=J+20|0,(D|0)!=(C|0)):0){f[d>>2]=D+(~((D+-4-C|0)>>>2)<<2);O=N;P=J}else{O=N;P=J}else{OJ(I,5-G|0);O=f[K>>2]|0;P=f[I>>2]|0}f[P>>2]=f[O>>2];f[P+4>>2]=f[O+8>>2];f[P+8>>2]=f[O+16>>2];f[P+12>>2]=f[O+4>>2];L=O+12|0;M=P+16|0}f[M>>2]=f[L>>2];Ytb(l,k);L=a+48|0;M=f[l>>2]|0;P=l+4|0;O=f[P>>2]|0;if(O|0)Wtc(O);f[L>>2]=M;M=a+52|0;I=f[M>>2]|0;f[M>>2]=O;if(I|0)Xtc(I);I=f[P>>2]|0;if(I|0)Xtc(I);oU(m,i,1,a+56|0);PKa(l,1,m);I=m+36|0;P=f[I>>2]|0;if(P|0?(O=P+12|0,P=f[O>>2]|0,f[O>>2]=P+-1,(P|0)==1):0)aU(m);f[I>>2]=0;I=m+16|0;P=m+4|0;f[I>>2]=0;f[I+4>>2]=0;f[I+8>>2]=0;f[I+12>>2]=0;if((f[P>>2]|0)>0){I=f[m+40>>2]|0;O=0;do{f[I+(O<<2)>>2]=0;O=O+1|0}while((O|0)<(f[P>>2]|0))}P=f[m+44>>2]|0;if((P|0)!=(m+48|0))TC(P);oU(n,j,1,a+68|0);PKa(m,1,n);a=n+36|0;P=f[a>>2]|0;if(P|0?(O=P+12|0,P=f[O>>2]|0,f[O>>2]=P+-1,(P|0)==1):0)aU(n);f[a>>2]=0;a=n+16|0;P=n+4|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;if((f[P>>2]|0)>0){a=f[n+40>>2]|0;O=0;do{f[a+(O<<2)>>2]=0;O=O+1|0}while((O|0)<(f[P>>2]|0))}P=f[n+44>>2]|0;if((P|0)!=(n+48|0))TC(P);HMa(f[L>>2]|0,l,m);ut(m);ut(l);l=k+36|0;if((b[l+11>>0]|0)<0)fuc(f[l>>2]|0);l=k+24|0;if((b[l+11>>0]|0)<0)fuc(f[l>>2]|0);ut(k+12|0);lEa(k,f[w>>2]|0);w=f[y>>2]|0;if(w|0?(k=w+12|0,w=f[k>>2]|0,f[k>>2]=w+-1,(w|0)==1):0)aU(j);f[y>>2]=0;f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;f[x+12>>2]=0;if((f[o>>2]|0)>0){x=f[A>>2]|0;A=0;do{f[x+(A<<2)>>2]=0;A=A+1|0}while((A|0)<(f[o>>2]|0))}o=f[B>>2]|0;if((o|0)!=(s|0))TC(o);o=f[r>>2]|0;do if(o|0){s=o+12|0;B=f[s>>2]|0;f[s>>2]=B+-1;if((B|0)!=1)break;aU(i)}while(0);f[r>>2]=0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;f[q+12>>2]=0;if((f[c>>2]|0)>0){q=f[t>>2]|0;t=0;do{f[q+(t<<2)>>2]=0;t=t+1|0}while((t|0)<(f[c>>2]|0))}c=f[v>>2]|0;if((c|0)==(p|0)){ut(h);ut(g);u=e;return}TC(c);ut(h);ut(g);u=e;return}function spb(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;e=u;u=u+112|0;g=e+96|0;h=e+84|0;i=e+72|0;j=e+16|0;k=e;gV(g,133876);if(f[g>>2]|0){}if((CJ(b,-1)|0)==3)JKa(a,b,c,d);else{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;sJ(b,h);sJ(c,i);oU(j,f[h>>2]|0,1,a+56|0);c=f[h>>2]|0;if((c|0)==(j|0)){b=j+36|0;l=f[b>>2]|0;if((l|0)!=0?(m=l+12|0,l=f[m>>2]|0,f[m>>2]=l+-1,(l|0)==1):0){aU(j);n=b}else n=b}else{b=c+36|0;l=f[b>>2]|0;if(l|0?(m=l+12|0,l=f[m>>2]|0,f[m>>2]=l+-1,(l|0)==1):0)aU(c);f[b>>2]=0;l=c+16|0;m=c+4|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;if((f[m>>2]|0)>0){o=f[c+40>>2]|0;p=0;do{f[o+(p<<2)>>2]=0;p=p+1|0}while((p|0)<(f[m>>2]|0))}f[c>>2]=f[j>>2];p=j+4|0;f[m>>2]=f[p>>2];m=j+8|0;o=c+8|0;f[o>>2]=f[m>>2];f[c+12>>2]=f[j+12>>2];f[l>>2]=f[j+16>>2];f[c+20>>2]=f[j+20>>2];f[c+24>>2]=f[j+24>>2];f[c+28>>2]=f[j+28>>2];f[c+32>>2]=f[j+32>>2];l=j+36|0;f[b>>2]=f[l>>2];b=c+44|0;q=f[b>>2]|0;r=c+48|0;if((q|0)==(r|0))s=q;else{TC(q);f[b>>2]=r;f[c+40>>2]=o;s=r}r=j+44|0;if((f[p>>2]|0)<3){o=f[r>>2]|0;f[s>>2]=f[o>>2];f[s+4>>2]=f[o+4>>2]}else{f[b>>2]=f[r>>2];b=j+40|0;f[c+40>>2]=f[b>>2];f[r>>2]=j+48;f[b>>2]=m}f[j>>2]=1124007936;t=p;v=t+36|0;do{f[t>>2]=0;t=t+4|0}while((t|0)<(v|0));n=l}f[n>>2]=0;n=j+16|0;l=j+4|0;f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;f[n+12>>2]=0;if((f[l>>2]|0)>0){n=f[j+40>>2]|0;p=0;do{f[n+(p<<2)>>2]=0;p=p+1|0}while((p|0)<(f[l>>2]|0))}l=f[j+44>>2]|0;if((l|0)!=(j+48|0))TC(l);oU(j,f[i>>2]|0,1,a+68|0);l=f[i>>2]|0;if((l|0)==(j|0)){p=j+36|0;n=f[p>>2]|0;if((n|0)!=0?(m=n+12|0,n=f[m>>2]|0,f[m>>2]=n+-1,(n|0)==1):0){aU(j);w=p}else w=p}else{p=l+36|0;n=f[p>>2]|0;if(n|0?(m=n+12|0,n=f[m>>2]|0,f[m>>2]=n+-1,(n|0)==1):0)aU(l);f[p>>2]=0;n=l+16|0;m=l+4|0;f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;f[n+12>>2]=0;if((f[m>>2]|0)>0){b=f[l+40>>2]|0;r=0;do{f[b+(r<<2)>>2]=0;r=r+1|0}while((r|0)<(f[m>>2]|0))}f[l>>2]=f[j>>2];r=j+4|0;f[m>>2]=f[r>>2];m=j+8|0;b=l+8|0;f[b>>2]=f[m>>2];f[l+12>>2]=f[j+12>>2];f[n>>2]=f[j+16>>2];f[l+20>>2]=f[j+20>>2];f[l+24>>2]=f[j+24>>2];f[l+28>>2]=f[j+28>>2];f[l+32>>2]=f[j+32>>2];n=j+36|0;f[p>>2]=f[n>>2];p=l+44|0;c=f[p>>2]|0;o=l+48|0;if((c|0)==(o|0))x=c;else{TC(c);f[p>>2]=o;f[l+40>>2]=b;x=o}o=j+44|0;if((f[r>>2]|0)<3){b=f[o>>2]|0;f[x>>2]=f[b>>2];f[x+4>>2]=f[b+4>>2]}else{f[p>>2]=f[o>>2];p=j+40|0;f[l+40>>2]=f[p>>2];f[o>>2]=j+48;f[p>>2]=m}f[j>>2]=1124007936;t=r;v=t+36|0;do{f[t>>2]=0;t=t+4|0}while((t|0)<(v|0));w=n}f[w>>2]=0;w=j+16|0;n=j+4|0;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;f[w+12>>2]=0;if((f[n>>2]|0)>0){w=f[j+40>>2]|0;t=0;do{f[w+(t<<2)>>2]=0;t=t+1|0}while((t|0)<(f[n>>2]|0))}n=f[j+44>>2]|0;if((n|0)!=(j+48|0))TC(n);n=f[a+48>>2]|0;a=f[(f[n>>2]|0)+44>>2]|0;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=17104896;f[j+4>>2]=h;t=k+8|0;f[t>>2]=0;f[t+4>>2]=0;f[k>>2]=33882112;f[k+4>>2]=i;sh[a&255](n,j,k,d);ut(i);ut(h)}if(!(f[g+4>>2]|0)){u=e;return}u=e;return}function tpb(a,b){a=a|0;b=b|0;return (b|1|0)==3|0}function upb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function vpb(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0;g=u;u=u+48|0;d=g+24|0;h=g+12|0;i=g;j=f[c+4>>2]|0;k=f[c>>2]|0;if((j|0)==(k|0)){l=cuc(32)|0;f[d>>2]=l;f[d+8>>2]=-2147483616;f[d+4>>2]=17;m=l;n=473334;o=m+17|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));b[l+17>>0]=0;WD(-215,d,477070,459633,75)}l=(j-k|0)/12|0;j=f[k>>2]|0;k=f[a+44>>2]|0;a=Y(Y(k,f[j+4>>2]|0)|0,k)|0;p=(f[j+8>>2]|0)/(k|0)|0;q=(f[j+12>>2]|0)/(k|0)|0;f[d>>2]=f[j>>2];f[d+4>>2]=a;f[d+8>>2]=p;f[d+12>>2]=q;f[i>>2]=0;q=i+4|0;f[q>>2]=0;f[i+8>>2]=0;KKa(i,d,d+16|0);p=f[i>>2]|0;a=f[q>>2]|0;a:do if((p|0)==(a|0)){r=p;s=6}else{j=p;do{if((f[j>>2]|0)<0){r=j;s=6;break a}j=j+4|0}while((j|0)!=(a|0))}while(0);if((s|0)==6?(r|0)!=(a|0):0){s=r+4|0;if((s|0)==(a|0)){t=a;v=r}else{p=s;s=r;while(1){r=f[p>>2]|0;if((r|0)<0)w=s;else{f[s>>2]=r;w=s+4|0}p=p+4|0;if((p|0)==(a|0))break;else s=w}t=f[q>>2]|0;v=w}if((v|0)!=(t|0))f[q>>2]=t+(~((t+-4-v|0)>>>2)<<2)}xpb(h,l,i);l=f[e>>2]|0;if(!l){x=e+4|0;y=e+8|0}else{v=e+4|0;t=f[v>>2]|0;if((t|0)==(l|0))z=l;else{w=t;while(1){t=w+-12|0;f[v>>2]=t;s=f[t>>2]|0;if(!s)A=t;else{t=w+-8|0;a=f[t>>2]|0;if((a|0)!=(s|0))f[t>>2]=a+(~((a+-4-s|0)>>>2)<<2);fuc(s);A=f[v>>2]|0}if((A|0)==(l|0))break;else w=A}z=f[e>>2]|0}fuc(z);z=e+8|0;f[z>>2]=0;f[v>>2]=0;f[e>>2]=0;x=v;y=z}z=f[h>>2]|0;f[e>>2]=z;v=h+4|0;f[x>>2]=f[v>>2];x=h+8|0;f[y>>2]=f[x>>2];f[x>>2]=0;f[v>>2]=0;f[h>>2]=0;h=f[i>>2]|0;if(!h)B=z;else{z=f[q>>2]|0;if((z|0)!=(h|0))f[q>>2]=z+(~((z+-4-h|0)>>>2)<<2);fuc(h);B=f[e>>2]|0}e=f[B>>2]|0;h=f[e>>2]|0;z=e;if((((h|0)>0?(f[e+4>>2]|0)>0:0)?(f[e+8>>2]|0)>0:0)?(f[e+12>>2]|0)>0:0){q=f[B+4>>2]|0;B=q-z|0;z=B>>2;if((e|0)!=(q|0)){if((B|0)<=-4){q=cuc(80)|0;f[d>>2]=q;f[d+8>>2]=-2147483568;f[d+4>>2]=70;m=q;n=475319;o=m+70|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));b[q+70>>0]=0;WD(-215,d,475390,475396,161)}if((B|0)>0)if((B|0)>4){B=1;q=h;while(1){i=Y(f[e+(B<<2)>>2]|0,q)|0;B=B+1|0;if((B|0)>=(z|0)){C=i;break}else q=i}}else C=h;else C=1}else C=0;h=f[c>>2]|0;c=f[h+4>>2]|0;q=f[h>>2]|0;h=c-q|0;z=h>>2;B=q;if((B|0)!=(c|0)){if((h|0)<=-4){c=cuc(80)|0;f[d>>2]=c;f[d+8>>2]=-2147483568;f[d+4>>2]=70;m=c;n=475319;o=m+70|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));b[c+70>>0]=0;WD(-215,d,475390,475396,161)}if((h|0)>0){h=0;c=1;while(1){q=Y(f[B+(h<<2)>>2]|0,c)|0;h=h+1|0;if((h|0)>=(z|0)){D=q;break}else c=q}}else D=1}else D=0;if((C|0)==(D|0)){u=g;return 0}else{g=cuc(48)|0;f[d>>2]=g;f[d+8>>2]=-2147483600;f[d+4>>2]=37;m=g;n=459793;o=m+37|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));b[g+37>>0]=0;WD(-215,d,477070,459633,83)}}g=cuc(96)|0;f[d>>2]=g;f[d+8>>2]=-2147483552;f[d+4>>2]=80;m=g;n=459712;o=m+80|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));b[g+80>>0]=0;WD(-215,d,477070,459633,82);return 0}function wpb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;d=u;u=u+16|0;a=d;e=f[c+4>>2]|0;g=f[c>>2]|0;c=g;if((e|0)==(g|0)){h=0;i=0;J=h;u=d;return i|0}j=(e-g|0)/12|0;g=0;e=0;k=0;while(1){l=f[c+(g*12|0)+4>>2]|0;m=f[c+(g*12|0)>>2]|0;n=l-m|0;o=n>>2;p=m;if((p|0)!=(l|0)){if((n|0)<=-4){q=7;break}if((n|0)>0){n=0;l=1;while(1){m=Y(f[p+(n<<2)>>2]|0,l)|0;n=n+1|0;if((n|0)>=(o|0)){r=m;break}else l=m}}else r=1}else r=0;l=r*21|0;o=hzc(l|0,((l|0)<0)<<31>>31|0,e|0,k|0)|0;l=J;g=g+1|0;if(g>>>0>=j>>>0){h=l;i=o;q=3;break}else{e=o;k=l}}if((q|0)==3){J=h;u=d;return i|0}else if((q|0)==7){q=cuc(80)|0;f[a>>2]=q;f[a+8>>2]=-2147483568;f[a+4>>2]=70;i=q;d=475319;h=i+70|0;do{b[i>>0]=b[d>>0]|0;i=i+1|0;d=d+1|0}while((i|0)<(h|0));b[q+70>>0]=0;WD(-215,a,475390,475396,161)}return 0}function xpb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;f[a>>2]=0;d=a+4|0;f[d>>2]=0;f[a+8>>2]=0;if(!b)return;if(b>>>0>357913941)nsc(a);e=cuc(b*12|0)|0;f[d>>2]=e;f[a>>2]=e;f[a+8>>2]=e+(b*12|0);a=b;b=e;do{tHa(b,c);b=(f[d>>2]|0)+12|0;f[d>>2]=b;a=a+-1|0}while((a|0)!=0);return}function ypb(a,b){a=a|0;b=b|0;var c=0;c=cuc(64)|0;zpb(c,b);f[a>>2]=c;b=cuc(16)|0;f[b+4>>2]=0;f[b+8>>2]=0;f[b>>2]=133916;f[b+12>>2]=c;f[a+4>>2]=b;return}function zpb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;d=u;u=u+32|0;e=d+16|0;g=d;WMa(a);h=a+44|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;f[h+16>>2]=0;f[a>>2]=133944;XMa(a,c);f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;h=g+11|0;b[h>>0]=4;f[g>>2]=1936291937;b[g+4>>0]=0;i=gEa(c,g)|0;j=c+4|0;if((i|0)==(j|0))k=0;else{l=hEa(i+28|0,-1)|0;k=l}if((b[h>>0]|0)<0)fuc(f[g>>2]|0);f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;h=g+11|0;b[h>>0]=8;l=g;f[l>>2]=1601009006;f[l+4>>2]=1936029793;b[g+8>>0]=0;l=gEa(c,g)|0;if((l|0)==(j|0))m=-1;else{j=hEa(l+28|0,-1)|0;m=j}if((b[h>>0]|0)<0)fuc(f[g>>2]|0);if((m|0)<=-2){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;h=cuc(16)|0;f[g>>2]=h;f[g+8>>2]=-2147483632;f[g+4>>2]=13;j=h;l=460162;i=j+13|0;do{b[j>>0]=b[l>>0]|0;j=j+1|0;l=l+1|0}while((j|0)<(i|0));b[h+13>>0]=0;WD(-215,g,460176,460193,164)}h=(m|0)==-1;l=m+k|0;m=a+56|0;j=m;f[j>>2]=k;f[j+4>>2]=h?2147483647:l;l=a+44|0;h=f[l>>2]|0;j=a+48|0;a=f[j>>2]|0;if((a|0)!=(h|0))f[j>>2]=a+(~((a+-4-h|0)>>>2)<<2);h=g+4|0;f[h>>2]=0;f[h+4>>2]=0;h=g+11|0;b[h>>0]=3;b[g>>0]=b[460274]|0;b[g+1>>0]=b[460275]|0;b[g+2>>0]=b[460276]|0;b[g+3>>0]=0;a=(cGa(c,g)|0)==0;if((b[h>>0]|0)<0)fuc(f[g>>2]|0);if(a){u=d;return}a=g+4|0;f[a>>2]=0;f[a+4>>2]=0;a=g+11|0;b[a>>0]=3;b[g>>0]=b[460274]|0;b[g+1>>0]=b[460275]|0;b[g+2>>0]=b[460276]|0;b[g+3>>0]=0;h=iGa(c,g)|0;if((b[a>>0]|0)<0)fuc(f[g>>2]|0);a=f[h>>2]|0;switch(a|0){case 0:{n=(f[h+4>>2]|0)+4|0;break}case 3:{n=(f[h+4>>2]|0)+4|0;break}case 2:{n=(f[h+4>>2]|0)+4|0;break}default:{f[e>>2]=a;cE(g,476242,e);WD(-3,g,476262,476267,297)}}g=f[n>>2]|0;n=f[j>>2]|0;e=f[l>>2]|0;a=n-e>>2;c=e;e=n;if(g>>>0<=a>>>0){if(g>>>0<a>>>0?(n=c+(g<<2)|0,(e|0)!=(n|0)):0)f[j>>2]=e+(~((e+-4-n|0)>>>2)<<2)}else OJ(l,g-a|0);if((g|0)>0)o=0;else{u=d;return}do{a=hEa(h,o)|0;f[(f[l>>2]|0)+(o<<2)>>2]=a;o=o+1|0}while((o|0)<(g|0));u=d;return}function Apb(a){a=a|0;Qtc(a);fuc(a);return}function Bpb(a){a=a|0;var b=0;b=f[a+12>>2]|0;if(!b)return;bi[f[(f[b>>2]|0)+4>>2]&2047](b);return}function Cpb(a,b){a=a|0;b=b|0;return ((f[b+4>>2]|0)==460003?a+12|0:0)|0}function Dpb(a){a=a|0;fuc(a);return}function Epb(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=134052;b=f[a+44>>2]|0;if(!b){pKa(a);return}c=a+48|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b);pKa(a);return}function Fpb(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=134052;b=f[a+44>>2]|0;if(!b){pKa(a);fuc(a);return}c=a+48|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b);pKa(a);fuc(a);return}function Gpb(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=134052;b=f[a+44>>2]|0;if(!b){pKa(a);fuc(a);return}c=a+48|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b);pKa(a);fuc(a);return}function Hpb(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0;e=u;u=u+176|0;g=e+168|0;h=e+156|0;i=e+144|0;j=e+88|0;k=e+32|0;l=e+16|0;m=e;gV(g,134152);if(f[g>>2]|0){}if((CJ(b,-1)|0)==3)JKa(a,b,c,d);else{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[i>>2]=0;d=i+4|0;f[d>>2]=0;f[i+8>>2]=0;sJ(b,h);sJ(c,i);if((f[d>>2]|0)!=(f[i>>2]|0)){c=j+4|0;b=j+8|0;a=j+12|0;n=j+16|0;o=j+20|0;p=j+24|0;q=j+28|0;r=j+32|0;s=j+36|0;t=j+40|0;v=j+48|0;w=j+44|0;x=j+52|0;y=l+4|0;z=l+8|0;A=m+8|0;B=m+4|0;C=k+36|0;D=k+16|0;E=k+4|0;F=k+40|0;G=k+44|0;H=k+48|0;I=0;do{J=f[h>>2]|0;K=J+(I*56|0)|0;f[j>>2]=f[K>>2];L=J+(I*56|0)+4|0;f[c>>2]=f[L>>2];f[b>>2]=f[J+(I*56|0)+8>>2];f[a>>2]=f[J+(I*56|0)+12>>2];f[n>>2]=f[J+(I*56|0)+16>>2];f[o>>2]=f[J+(I*56|0)+20>>2];f[p>>2]=f[J+(I*56|0)+24>>2];f[q>>2]=f[J+(I*56|0)+28>>2];f[r>>2]=f[J+(I*56|0)+32>>2];M=f[J+(I*56|0)+36>>2]|0;f[s>>2]=M;f[t>>2]=b;f[w>>2]=v;f[v>>2]=0;f[x>>2]=0;if(M|0){N=M+12|0;f[N>>2]=(f[N>>2]|0)+1}if((f[L>>2]|0)<3){L=f[J+(I*56|0)+44>>2]|0;J=f[w>>2]|0;f[J>>2]=f[L>>2];f[J+4>>2]=f[L+4>>2]}else{f[c>>2]=0;$T(j,K)}K=f[i>>2]|0;if((f[K+(I*56|0)+16>>2]|0)!=(f[n>>2]|0)){L=f[K+(I*56|0)+4>>2]|0;J=f[K+(I*56|0)+40>>2]|0;f[l>>2]=0;f[y>>2]=0;f[z>>2]=0;KKa(l,J,J+(L<<2)|0);oU(k,j,1,l);L=(f[i>>2]|0)+(I*56|0)|0;J=A;f[J>>2]=0;f[J+4>>2]=0;f[m>>2]=33619968;f[B>>2]=L;EI(k,m);L=f[C>>2]|0;if(L|0?(J=L+12|0,L=f[J>>2]|0,f[J>>2]=L+-1,(L|0)==1):0)aU(k);f[C>>2]=0;f[D>>2]=0;f[D+4>>2]=0;f[D+8>>2]=0;f[D+12>>2]=0;if((f[E>>2]|0)>0){L=f[F>>2]|0;J=0;do{f[L+(J<<2)>>2]=0;J=J+1|0}while((J|0)<(f[E>>2]|0))}J=f[G>>2]|0;if((J|0)!=(H|0))TC(J);J=f[l>>2]|0;if(J|0){L=f[y>>2]|0;if((L|0)!=(J|0))f[y>>2]=L+(~((L+-4-J|0)>>>2)<<2);fuc(J)}}J=f[s>>2]|0;if(J|0?(L=J+12|0,J=f[L>>2]|0,f[L>>2]=J+-1,(J|0)==1):0)aU(j);f[s>>2]=0;f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;f[n+12>>2]=0;if((f[c>>2]|0)>0){J=f[t>>2]|0;L=0;do{f[J+(L<<2)>>2]=0;L=L+1|0}while((L|0)<(f[c>>2]|0))}L=f[w>>2]|0;if((L|0)!=(v|0))TC(L);I=I+1|0}while(I>>>0<(((f[d>>2]|0)-(f[i>>2]|0)|0)/56|0)>>>0)}ut(i);ut(h)}if(!(f[g+4>>2]|0)){u=e;return}u=e;return}function Ipb(a,b){a=a|0;b=b|0;var c=0;switch(b|0){case 3:{c=1;break}case 2:{c=rib()|0;break}default:c=0}return c|0}function Jpb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function Kpb(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0;g=u;u=u+16|0;h=g;i=g+4|0;j=c+4|0;k=f[j>>2]|0;l=f[c>>2]|0;m=k-l|0;n=l;if(!((m|0)==12?1:((m|0)/12|0|0)==(d|0))){if((m|0)!=24){m=cuc(32)|0;f[i>>2]=m;f[i+8>>2]=-2147483616;f[i+4>>2]=18;o=m;p=476387;q=o+18|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[m+18>>0]=0;WD(-215,i,477070,460193,200)}m=f[n+4>>2]|0;d=f[l>>2]|0;r=m-d|0;s=r>>2;t=d;if((t|0)!=(m|0)){if((r|0)<0){m=cuc(80)|0;f[i>>2]=m;f[i+8>>2]=-2147483568;f[i+4>>2]=70;o=m;p=475319;q=o+70|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[m+70>>0]=0;WD(-215,i,475390,475396,161)}if(!r)v=1;else{r=1;m=0;while(1){d=Y(f[t+(m<<2)>>2]|0,r)|0;m=m+1|0;if((m|0)==(s|0)){v=d;break}else r=d}}}else v=0;r=n+12|0;s=f[n+16>>2]|0;n=f[r>>2]|0;m=s-n|0;t=m>>2;d=n;if((d|0)!=(s|0)){if((m|0)<0){s=cuc(80)|0;f[i>>2]=s;f[i+8>>2]=-2147483568;f[i+4>>2]=70;o=s;p=475319;q=o+70|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[s+70>>0]=0;WD(-215,i,475390,475396,161)}if(!m)w=1;else{m=1;s=0;while(1){n=Y(f[d+(s<<2)>>2]|0,m)|0;s=s+1|0;if((s|0)==(t|0)){w=n;break}else m=n}}}else w=0;if((v|0)!=(w|0)){w=cuc(48)|0;f[i>>2]=w;f[i+8>>2]=-2147483600;f[i+4>>2]=36;o=w;p=460681;q=o+36|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[w+36>>0]=0;WD(-215,i,477070,460193,200)}IKa(e,1,r);u=g;return 1}r=f[e>>2]|0;w=e+4|0;v=f[w>>2]|0;if((v|0)==(r|0)){x=k;y=l}else{l=v;while(1){v=l+-12|0;f[w>>2]=v;k=f[v>>2]|0;if(!k)z=v;else{v=l+-8|0;m=f[v>>2]|0;if((m|0)!=(k|0))f[v>>2]=m+(~((m+-4-k|0)>>>2)<<2);fuc(k);z=f[w>>2]|0}if((z|0)==(r|0))break;else l=z}x=f[j>>2]|0;y=f[c>>2]|0}if((x|0)==(y|0)){u=g;return 1}y=i+4|0;x=i+8|0;z=e+8|0;l=i+8|0;k=a+44|0;m=a+56|0;v=a+48|0;a=0;t=r;a:while(1){f[i>>2]=0;f[y>>2]=0;f[x>>2]=0;if(t>>>0>=(f[z>>2]|0)>>>0){bMa(e,i);r=f[i>>2]|0;if(r|0){s=f[y>>2]|0;if((s|0)!=(r|0))f[y>>2]=s+(~((s+-4-r|0)>>>2)<<2);fuc(r)}}else{f[t>>2]=0;r=t+4|0;f[r>>2]=0;f[t+8>>2]=0;f[t>>2]=f[i>>2];f[r>>2]=f[y>>2];f[t+8>>2]=f[l>>2];f[l>>2]=0;f[y>>2]=0;f[i>>2]=0;f[w>>2]=(f[w>>2]|0)+12}r=f[c>>2]|0;s=r+(a*12|0)|0;d=m;n=f[d>>2]|0;A=f[d+4>>2]|0;d=f[w>>2]|0;B=d+-12|0;C=r+(a*12|0)+4|0;r=f[C>>2]|0;D=f[s>>2]|0;E=r-D>>2;F=f[v>>2]|0;G=f[k>>2]|0;H=F-G|0;I=H>>2;J=(A|0)==2147483647;K=G;G=F;F=r;r=D;L=(n|0)<0?E:0;M=(n|0)==-2147483648&J?0:L+n|0;n=J?E:L+A|0;A=(K|0)!=(G|0);L=(H|0)>0;if(L&A){J=0;do{N=(f[K+(J<<2)>>2]|0)>0;J=J+1|0}while((J|0)<(I|0)&N);O=N}else O=A;if(O){if((K|0)!=(G|0)){if((H|0)<0){P=23;break}if(!H)Q=1;else{J=1;N=0;while(1){R=Y(f[K+(N<<2)>>2]|0,J)|0;N=N+1|0;if((N|0)==(I|0)){Q=R;break}else J=R}}}else Q=0;J=n+-1|0;b:do if((n|0)>(M|0)){N=(r|0)==(F|0);if((n|0)==-1){if(N){K=(Q|0)==0;H=0;G=-1;A=J;while(1){if(H){if(!K){S=G;P=55;break b}if(!A){S=0;P=55;break b}else T=1}else T=K;if((A|0)>(M|0)){R=A;H=T;A=A+-1|0;G=R}else{U=M;break b}}}else{V=0;W=-1;X=J}while(1){G=(W|0)==0?0:X;if((G|0)>(E|0)){P=49;break a}if((G|0)<(E|0)){A=1;H=G;while(1){G=Y(f[r+(H<<2)>>2]|0,A)|0;H=H+1|0;if((H|0)==(E|0)){Z=G;break}else A=G}}else Z=1;A=(Z|0)==(Q|0);if(V){if(!A){S=W;P=55;break b}if(!X){S=0;P=55;break b}else _=1}else _=A;if((X|0)>(M|0)){A=X;V=_;X=X+-1|0;W=A}else{U=M;break b}}}if(N){A=(Q|0)==0;H=0;G=n;K=J;while(1){if(H){if(!A){S=G;P=55;break b}if(!K){S=0;P=55;break b}else $=1}else $=A;if((K|0)>(M|0)){R=K;H=$;K=K+-1|0;G=R}else{U=M;break b}}}if((n|0)>(E|0)){P=49;break a}else{aa=0;ba=n;ca=J}while(1){G=(ba|0)==0?0:ca;if((G|0)>(E|0)|(G|0)>(n|0)){P=49;break a}if((G|0)<(n|0)){K=1;H=G;while(1){G=Y(f[r+(H<<2)>>2]|0,K)|0;H=H+1|0;if((H|0)==(n|0)){da=G;break}else K=G}}else da=1;K=(da|0)==(Q|0);if(aa){if(!K){S=ba;P=55;break b}if(!ca){S=0;P=55;break b}else ea=1}else ea=K;if((ca|0)>(M|0)){K=ca;aa=ea;ca=ca+-1|0;ba=K}else{U=M;break}}}else U=M;while(0);while(1){if((P|0)==55){P=0;U=S}fa=(U|0)==-1?0:U;ga=(n|0)==-1?E:n;ha=(r|0)==(F|0);if(!ha){if((fa|0)>(E|0)){P=60;break a}if((ga|0)>(E|0)|(fa|0)>(ga|0)){P=60;break a}if((fa|0)<(ga|0)){J=1;K=fa;while(1){H=Y(f[r+(K<<2)>>2]|0,J)|0;K=K+1|0;if((K|0)==(ga|0)){ia=H;break}else J=H}}else ia=1}else ia=0;if(!((U|0)>0&(ia|0)!=(Q|0)))break;S=U+-1|0;P=55}if(!ha){if((fa|0)>(E|0)){P=68;break}if((ga|0)>(E|0)|(fa|0)>(ga|0)){P=68;break}if((fa|0)<(ga|0)){F=1;J=fa;while(1){K=Y(f[r+(J<<2)>>2]|0,F)|0;J=J+1|0;if((J|0)==(ga|0)){ja=K;break}else F=K}}else ja=1}else ja=0;if((ja|0)==(Q|0))ka=U;else{P=71;break}}else ka=M;if((ka|0)<=-1){P=74;break}if((n|0)>(E|0)|(ka|0)>(n|0)){P=74;break}F=I+E-n+ka|0;J=d+-8|0;K=f[J>>2]|0;H=f[B>>2]|0;G=K-H>>2;A=H;H=K;if(F>>>0<=G>>>0)if(F>>>0<G>>>0?(K=A+(F<<2)|0,(H|0)!=(K|0)):0){f[J>>2]=H+(~((H+-4-K|0)>>>2)<<2);la=r;ma=D}else{la=r;ma=D}else{OJ(B,F-G|0);G=f[s>>2]|0;la=G;ma=G}G=la+(ka<<2)|0;if(ka|0){F=f[B>>2]|0;K=la;while(1){f[F>>2]=f[K>>2];K=K+4|0;if((K|0)==(G|0))break;else F=F+4|0}}F=la+(E<<2)|0;if((n|0)!=(E|0)){G=(f[B>>2]|0)+(ka<<2)+(I<<2)|0;K=la+(n<<2)|0;while(1){f[G>>2]=f[K>>2];K=K+4|0;if((K|0)==(F|0))break;else G=G+4|0}}if(L){G=f[k>>2]|0;F=f[B>>2]|0;K=f[s>>2]|0;n=K;D=0;r=-1;while(1){d=f[G+(D<<2)>>2]|0;c:do if((d|0)>0){na=r;oa=d;pa=D+ka|0}else switch(d|0){case 0:{qa=D+ka|0;if((qa|0)>=(E|0)){P=103;break a}na=r;oa=f[K+(qa<<2)>>2]|0;pa=qa;break c;break}case -1:{if((r|0)!=-1){P=106;break a}M=D+ka|0;na=M;oa=1;pa=M;break c;break}default:{P=108;break a}}while(0);f[F+(pa<<2)>>2]=oa;D=D+1|0;if((D|0)>=(I|0)){ra=na;sa=n;break}else r=na}}else{ra=-1;sa=ma}r=f[C>>2]|0;n=r-sa|0;I=n>>2;D=sa;if((D|0)!=(r|0)){if((n|0)<0){P=91;break}if(!n)ta=1;else{n=1;r=0;while(1){F=Y(f[D+(r<<2)>>2]|0,n)|0;r=r+1|0;if((r|0)==(I|0)){ta=F;break}else n=F}}}else ta=0;n=f[J>>2]|0;I=f[B>>2]|0;r=n-I|0;D=r>>2;C=I;if((C|0)!=(n|0)){if((r|0)<0){P=96;break}if(!r)ua=1;else{r=1;n=0;while(1){I=Y(f[C+(n<<2)>>2]|0,r)|0;n=n+1|0;if((n|0)==(D|0)){ua=I;break}else r=I}}}else ua=0;if((ra|0)==-1){if((ta|0)!=(ua|0)){P=114;break}}else{if((ta>>>0)%(ua>>>0)|0|0){P=111;break}f[C+(ra<<2)>>2]=(ta>>>0)/(ua>>>0)|0}r=a+1|0;if(r>>>0>=(((f[j>>2]|0)-(f[c>>2]|0)|0)/12|0)>>>0){P=132;break}a=r;t=f[w>>2]|0}switch(P|0){case 23:{P=cuc(80)|0;f[i>>2]=P;f[i+8>>2]=-2147483568;f[i+4>>2]=70;o=P;p=475319;q=o+70|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[P+70>>0]=0;WD(-215,i,475390,475396,161);break}case 49:{P=cuc(80)|0;f[i>>2]=P;f[i+8>>2]=-2147483568;f[i+4>>2]=70;o=P;p=475319;q=o+70|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[P+70>>0]=0;WD(-215,i,475390,475396,161);break}case 60:{P=cuc(80)|0;f[i>>2]=P;f[i+8>>2]=-2147483568;f[i+4>>2]=70;o=P;p=475319;q=o+70|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[P+70>>0]=0;WD(-215,i,475390,475396,161);break}case 68:{P=cuc(80)|0;f[i>>2]=P;f[i+8>>2]=-2147483568;f[i+4>>2]=70;o=P;p=475319;q=o+70|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[P+70>>0]=0;WD(-215,i,475390,475396,161);break}case 71:{P=cuc(64)|0;f[i>>2]=P;f[i+8>>2]=-2147483584;f[i+4>>2]=58;o=P;p=460318;q=o+58|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[P+58>>0]=0;WD(-215,i,460377,460193,105);break}case 74:{P=cuc(96)|0;f[i>>2]=P;f[i+8>>2]=-2147483552;f[i+4>>2]=85;o=P;p=460403;q=o+85|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[P+85>>0]=0;WD(-215,i,460377,460193,108);break}case 91:{P=cuc(80)|0;f[i>>2]=P;f[i+8>>2]=-2147483568;f[i+4>>2]=70;o=P;p=475319;q=o+70|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[P+70>>0]=0;WD(-215,i,475390,475396,161);break}case 96:{P=cuc(80)|0;f[i>>2]=P;f[i+8>>2]=-2147483568;f[i+4>>2]=70;o=P;p=475319;q=o+70|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[P+70>>0]=0;WD(-215,i,475390,475396,161);break}case 103:{f[h>>2]=qa;cE(i,460489,h);WD(-5,i,460377,460193,125);break}case 106:{h=cuc(64)|0;f[i>>2]=h;f[i+8>>2]=-2147483584;f[i+4>>2]=50;o=h;p=460558;q=o+50|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[h+50>>0]=0;WD(-215,i,460377,460193,131);break}case 108:{h=cuc(32)|0;f[i>>2]=h;f[i+8>>2]=-2147483616;f[i+4>>2]=18;o=h;p=460609;q=o+18|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[h+18>>0]=0;WD(-5,i,460377,460193,136);break}case 111:{h=cuc(32)|0;f[i>>2]=h;f[i+8>>2]=-2147483616;f[i+4>>2]=31;o=h;p=460628;q=o+31|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[h+31>>0]=0;WD(-1,i,460377,460193,145);break}case 114:{h=cuc(32)|0;f[i>>2]=h;f[i+8>>2]=-2147483616;f[i+4>>2]=20;o=h;p=460660;q=o+20|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[h+20>>0]=0;WD(-215,i,460377,460193,151);break}case 132:{u=g;return 1}}return 0}function Lpb(a,b){a=a|0;b=b|0;var c=0;c=cuc(68)|0;Mpb(c,b);f[a>>2]=c;b=cuc(16)|0;f[b+4>>2]=0;f[b+8>>2]=0;f[b>>2]=134192;f[b+12>>2]=c;f[a+4>>2]=b;return}function Mpb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0.0,B=0.0,C=0.0,D=0;d=u;u=u+48|0;e=d+24|0;g=d+12|0;h=d;WMa(a);f[a>>2]=134220;XMa(a,c);i=a+44|0;f[i>>2]=-1;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;j=cuc(16)|0;f[g>>2]=j;f[g+8>>2]=-2147483632;f[g+4>>2]=11;k=j;l=461007;m=k+11|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));b[j+11>>0]=0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;j=cuc(16)|0;f[h>>2]=j;f[h+8>>2]=-2147483632;f[h+4>>2]=15;k=j;l=461019;m=k+15|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));b[j+15>>0]=0;j=gEa(c,g)|0;o=c+4|0;if((j|0)==(o|0))ouc(e,h);else jGa(e,j+28|0,-1);if((b[h+11>>0]|0)<0)fuc(f[h>>2]|0);if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);j=e+11|0;p=b[j>>0]|0;q=e+4|0;r=f[q>>2]|0;if(((p<<24>>24<0?r:p&255)|0)==15)if(!(Puc(e,0,-1,461019,15)|0))s=0;else{t=b[j>>0]|0;v=f[q>>2]|0;w=11}else{t=p;v=r;w=11}if((w|0)==11){if(((t<<24>>24<0?v:t&255)|0)!=14){nEa(h,461050,e);x=Duc(h,517029)|0;f[g>>2]=f[x>>2];f[g+4>>2]=f[x+4>>2];f[g+8>>2]=f[x+8>>2];f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;WD(-5,g,461072,461085,75)}if(!(Puc(e,0,-1,461035,14)|0))s=1;else{nEa(h,461050,e);x=Duc(h,517029)|0;f[g>>2]=f[x>>2];f[g+4>>2]=f[x+4>>2];f[g+8>>2]=f[x+8>>2];f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;WD(-5,g,461072,461085,75)}}f[i>>2]=s;s=g+11|0;b[s>>0]=10;k=g;l=461162;m=k+10|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));b[g+10>>0]=0;i=gEa(c,g)|0;if((i|0)==(o|0))y=5;else{x=hEa(i+28|0,-1)|0;y=x}x=a+48|0;f[x>>2]=y;if((b[s>>0]|0)<0){fuc(f[g>>2]|0);z=f[x>>2]|0}else z=y;if((z|0)<1|((z|0)%2|0|0)!=1){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;z=cuc(64)|0;f[g>>2]=z;f[g+8>>2]=-2147483584;f[g+4>>2]=58;k=z;l=461173;m=k+58|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));b[z+58>>0]=0;WD(-5,g,461072,461085,79)};f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;z=g+11|0;b[z>>0]=5;b[g>>0]=b[461232]|0;b[g+1>>0]=b[461233]|0;b[g+2>>0]=b[461234]|0;b[g+3>>0]=b[461235]|0;b[g+4>>0]=b[461236]|0;b[g+5>>0]=0;y=gEa(c,g)|0;if((y|0)==(o|0))A=1.0;else A=+iEa(y+28|0,-1);n[a+52>>2]=A;if((b[z>>0]|0)<0)fuc(f[g>>2]|0);f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;z=g+11|0;b[z>>0]=4;f[g>>2]=1635018082;b[g+4>>0]=0;y=gEa(c,g)|0;if((y|0)==(o|0))B=.75;else B=+iEa(y+28|0,-1);n[a+56>>2]=B;if((b[z>>0]|0)<0)fuc(f[g>>2]|0);f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;z=g+11|0;b[z>>0]=4;f[g>>2]=1935763810;b[g+4>>0]=0;y=gEa(c,g)|0;if((y|0)==(o|0))C=1.0;else C=+iEa(y+28|0,-1);n[a+60>>2]=C;if((b[z>>0]|0)<0)fuc(f[g>>2]|0);f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;z=cuc(16)|0;f[g>>2]=z;f[g+8>>2]=-2147483632;f[g+4>>2]=12;k=z;l=461238;m=k+12|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));b[z+12>>0]=0;z=gEa(c,g)|0;if((z|0)==(o|0))D=1;else{o=hEa(z+28|0,-1)|0;D=((o|0)!=0|(J|0)!=0)&1}b[a+64>>0]=D;if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);if((b[j>>0]|0)>=0){u=d;return}fuc(f[e>>2]|0);u=d;return}function Npb(a){a=a|0;Qtc(a);fuc(a);return}function Opb(a){a=a|0;var b=0;b=f[a+12>>2]|0;if(!b)return;bi[f[(f[b>>2]|0)+4>>2]&2047](b);return}function Ppb(a,b){a=a|0;b=b|0;return ((f[b+4>>2]|0)==460856?a+12|0:0)|0}function Qpb(a){a=a|0;fuc(a);return}function Rpb(a){a=a|0;pKa(a);fuc(a);return}function Spb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;g=u;u=u+48|0;h=g+40|0;i=g+24|0;j=g+12|0;k=g;gV(h,134320);if(f[h>>2]|0){}l=BJ(c,-1)|0;if((l|0)!=(BJ(d,-1)|0)){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;l=cuc(48)|0;f[i>>2]=l;f[i+8>>2]=-2147483600;f[i+4>>2]=41;m=l;n=461251;o=m+41|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));b[l+41>>0]=0;WD(-215,i,477126,461085,149)}if((CJ(c,-1)|0)==3)JKa(a,c,d,e);else{f[i>>2]=0;e=i+4|0;f[e>>2]=0;f[i+8>>2]=0;f[j>>2]=0;l=j+4|0;f[l>>2]=0;f[j+8>>2]=0;sJ(c,i);sJ(d,j);d=f[e>>2]|0;c=f[i>>2]|0;if((d-c|0)!=((f[l>>2]|0)-(f[j>>2]|0)|0)){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;l=cuc(32)|0;f[k>>2]=l;f[k+8>>2]=-2147483616;f[k+4>>2]=31;m=l;n=472174;o=m+31|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));b[l+31>>0]=0;WD(-215,k,477126,461085,165)}a:do if((d|0)!=(c|0)){l=a+44|0;p=0;q=c;b:while(1){r=q;s=r+(p*56|0)|0;if((f[r+(p*56|0)+4>>2]|0)!=4){t=16;break}r=(f[j>>2]|0)+(p*56|0)|0;switch(f[l>>2]|0){case 0:{Ypb(a,s,r);break}case 1:{Zpb(a,s,r);break}default:{t=20;break b}}p=p+1|0;q=f[i>>2]|0;if(p>>>0>=(((f[e>>2]|0)-q|0)/56|0)>>>0)break a}if((t|0)==16){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;q=cuc(32)|0;f[k>>2]=q;f[k+8>>2]=-2147483616;f[k+4>>2]=19;m=q;n=461293;o=m+19|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));b[q+19>>0]=0;WD(-215,k,477126,461085,169)}else if((t|0)==20){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;p=cuc(32)|0;f[k>>2]=p;f[k+8>>2]=-2147483616;f[k+4>>2]=31;m=p;n=461313;o=m+31|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));b[p+31>>0]=0;WD(-213,k,477126,461085,183)}}while(0);ut(j);ut(i)}if(!(f[h+4>>2]|0)){u=g;return}u=g;return}function Tpb(a,b){a=a|0;b=b|0;var c=0;if((b|2|0)!=3)if((b|0)==2)if((f[a+40>>2]|0)==3)c=(f[a+44>>2]|0)==0;else c=1;else c=0;else c=1;return c|0}function Upb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function Vpb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function Wpb(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return}function Xpb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0;d=u;u=u+16|0;e=d;g=f[c+4>>2]|0;h=f[c>>2]|0;c=h;if((g|0)==(h|0)){i=cuc(32)|0;f[e>>2]=i;f[e+8>>2]=-2147483616;f[e+4>>2]=17;j=i;k=473334;l=j+17|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[i+17>>0]=0;WD(-215,e,472206,461085,406)}i=(f[a+44>>2]|0)==0;m=a+48|0;a=(g-h|0)/12|0;h=0;g=0;a:while(1){n=c+(g*12|0)|0;if(i){o=f[n>>2]|0;p=f[o+4>>2]|0;q=f[m>>2]|0;r=(q+-1|0)/2|0;s=f[o>>2]|0;t=((p|0)<(r|0)?p:r)<<1;v=f[c+(g*12|0)+4>>2]|0;w=v-o|0;x=w>>2;y=(o|0)==(v|0);do if(!y){if((w|0)<8){z=11;break a}if((w|0)==8){A=1;B=p<<2;C=t;break}else{D=2;E=1}do{E=Y(f[o+(D<<2)>>2]|0,E)|0;D=D+1|0}while((D|0)!=(x|0));v=Y(t,E)|0;F=p<<2;if(!y){if((w|0)<8){z=16;break a}if((w|0)==8){A=1;B=F;C=v}else{G=2;H=1;while(1){I=Y(f[o+(G<<2)>>2]|0,H)|0;G=G+1|0;if((G|0)==(x|0)){A=I;B=F;C=v;break}else H=I}}}else{A=0;B=F;C=v}}else{A=0;B=p<<2;C=0}while(0);t=(Y((Y(B,A)|0)+C|0,s)|0)+h|0;if((r|0)<(p|0)){H=(p-q<<1)+q|0;if(!y){if((w|0)<8){z=22;break}if((w|0)==8)K=1;else{G=2;I=1;while(1){L=Y(f[o+(G<<2)>>2]|0,I)|0;G=G+1|0;if((G|0)==(x|0)){K=L;break}else I=L}}}else K=0;M=(Y(K,H)|0)+t|0}else M=t}else{I=f[c+(g*12|0)+4>>2]|0;x=f[n>>2]|0;G=I-x|0;o=G>>2;w=x;if((w|0)!=(I|0)){if((G|0)<0){z=28;break}if(!G)N=1;else{G=0;I=1;while(1){x=Y(f[w+(G<<2)>>2]|0,I)|0;G=G+1|0;if((G|0)==(o|0)){N=x;break}else I=x}}}else N=0;I=f[m>>2]|0;M=(Y((Y(I<<1,I)|0)+2|0,N)|0)+h|0}g=g+1|0;if(g>>>0>=a>>>0){z=4;break}else h=M}if((z|0)==4){J=((M|0)<0)<<31>>31;u=d;return M|0}else if((z|0)==11){M=cuc(80)|0;f[e>>2]=M;f[e+8>>2]=-2147483568;f[e+4>>2]=70;j=M;k=475319;l=j+70|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[M+70>>0]=0;WD(-215,e,475390,475396,161)}else if((z|0)==16){M=cuc(80)|0;f[e>>2]=M;f[e+8>>2]=-2147483568;f[e+4>>2]=70;j=M;k=475319;l=j+70|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[M+70>>0]=0;WD(-215,e,475390,475396,161)}else if((z|0)==22){M=cuc(80)|0;f[e>>2]=M;f[e+8>>2]=-2147483568;f[e+4>>2]=70;j=M;k=475319;l=j+70|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[M+70>>0]=0;WD(-215,e,475390,475396,161)}else if((z|0)==28){z=cuc(80)|0;f[e>>2]=z;f[e+8>>2]=-2147483568;f[e+4>>2]=70;j=z;k=475319;l=j+70|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[z+70>>0]=0;WD(-215,e,475390,475396,161)}return 0}function Ypb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0.0,o=0,p=0,q=0.0;e=u;u=u+64|0;g=e+8|0;h=e;i=f[c+40>>2]|0;j=f[i>>2]|0;k=f[i+4>>2]|0;l=f[a+48>>2]|0;m=(b[a+64>>0]|0)==0?1.0:+(l|0);o=Y(f[i+12>>2]|0,f[i+8>>2]|0)|0;i=tZ()|0;p=(i|0)>1?i:1;i=f[c+16>>2]|0;c=f[d+16>>2]|0;q=+n[a+52>>2]/m;d=f[a+60>>2]|0;m=-+n[a+56>>2];f[g>>2]=134360;f[g+4>>2]=i;f[g+8>>2]=c;f[g+28>>2]=k;f[g+32>>2]=(l+-1|0)/2|0;n[g+12>>2]=q;f[g+16>>2]=d;n[g+20>>2]=m;f[g+24>>2]=o;f[g+36>>2]=j;f[g+40>>2]=p;f[h>>2]=0;f[h+4>>2]=p;sZ(h,g,+(p|0));u=e;return}function Zpb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0.0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0.0,pa=0,qa=0,ra=0;e=u;u=u+384|0;g=e+256|0;h=e+200|0;i=e+144|0;j=e+88|0;k=e+32|0;l=e+16|0;m=e;o=f[c+40>>2]|0;p=f[o>>2]|0;q=f[o+4>>2]|0;if(!(b[a+64>>0]|0))r=1;else{o=f[a+48>>2]|0;r=Y(o,o)|0}f[h>>2]=f[c>>2];o=h+4|0;s=c+4|0;t=f[s>>2]|0;f[o>>2]=t;v=h+8|0;f[v>>2]=f[c+8>>2];f[h+12>>2]=f[c+12>>2];w=h+16|0;f[w>>2]=f[c+16>>2];f[h+20>>2]=f[c+20>>2];f[h+24>>2]=f[c+24>>2];f[h+28>>2]=f[c+28>>2];f[h+32>>2]=f[c+32>>2];x=h+36|0;y=f[c+36>>2]|0;f[x>>2]=y;z=h+40|0;f[z>>2]=v;v=h+48|0;A=h+44|0;f[A>>2]=v;f[v>>2]=0;f[h+52>>2]=0;if(!y)B=t;else{t=y+12|0;f[t>>2]=(f[t>>2]|0)+1;B=f[s>>2]|0}if((B|0)<3){B=f[c+44>>2]|0;s=f[A>>2]|0;f[s>>2]=f[B>>2];f[s+4>>2]=f[B+4>>2]}else{f[o>>2]=0;$T(h,c)}f[i>>2]=f[d>>2];c=i+4|0;B=d+4|0;s=f[B>>2]|0;f[c>>2]=s;t=i+8|0;f[t>>2]=f[d+8>>2];f[i+12>>2]=f[d+12>>2];y=i+16|0;f[y>>2]=f[d+16>>2];f[i+20>>2]=f[d+20>>2];f[i+24>>2]=f[d+24>>2];f[i+28>>2]=f[d+28>>2];f[i+32>>2]=f[d+32>>2];C=i+36|0;D=f[d+36>>2]|0;f[C>>2]=D;E=i+40|0;f[E>>2]=t;t=i+48|0;F=i+44|0;f[F>>2]=t;f[t>>2]=0;f[i+52>>2]=0;if(!D)G=s;else{s=D+12|0;f[s>>2]=(f[s>>2]|0)+1;G=f[B>>2]|0}if((G|0)<3){G=f[d+44>>2]|0;B=f[F>>2]|0;f[B>>2]=f[G>>2];f[B+4>>2]=f[G+4>>2]}else{f[c>>2]=0;$T(i,d)}a:do if((p|0)>0){d=(q|0)>0;G=g+8|0;B=g+4|0;s=a+52|0;H=+(r|0);D=a+60|0;I=g+8|0;J=g+12|0;K=g+4|0;L=a+56|0;M=l+8|0;N=l+4|0;O=g+8|0;P=g+12|0;Q=g+4|0;R=l+8|0;S=l+12|0;T=l+4|0;U=m+8|0;V=m+4|0;W=k+36|0;X=k+16|0;Z=k+4|0;_=k+40|0;$=k+44|0;aa=k+48|0;ba=j+36|0;ca=j+16|0;da=j+4|0;ea=j+40|0;fa=j+44|0;ga=j+48|0;ha=0;b:while(1){if(d){ia=0;do{ja=f[o>>2]|0;if((ja|0)<=2){ka=35;break b}la=f[z>>2]|0;ma=2;do{f[g+(ma+-2<<2)>>2]=f[la+(ma<<2)>>2];ma=ma+1|0}while((ma|0)!=(ja|0));ma=f[A>>2]|0;la=(f[w>>2]|0)+(Y(f[ma>>2]|0,ha)|0)|0;fU(j,ja+-2|0,g,f[h>>2]&4095,la+(Y(f[ma+4>>2]|0,ia)|0)|0,0);ma=f[c>>2]|0;if((ma|0)<=2){ka=39;break b}la=f[E>>2]|0;na=2;do{f[g+(na+-2<<2)>>2]=f[la+(na<<2)>>2];na=na+1|0}while((na|0)!=(ma|0));na=f[F>>2]|0;la=(f[y>>2]|0)+(Y(f[na>>2]|0,ha)|0)|0;fU(k,ma+-2|0,g,f[i>>2]&4095,la+(Y(f[na+4>>2]|0,ia)|0)|0,0);_pb(a,j,k);na=G;f[na>>2]=0;f[na+4>>2]=0;f[g>>2]=33619968;f[B>>2]=k;kQ(k,g,f[k>>2]&4095,+n[s>>2]/H,+n[D>>2]);f[I>>2]=0;f[J>>2]=0;f[g>>2]=16842752;f[K>>2]=k;oa=+n[L>>2];na=M;f[na>>2]=0;f[na+4>>2]=0;f[l>>2]=33619968;f[N>>2]=k;lD(g,oa,l);f[O>>2]=0;f[P>>2]=0;f[g>>2]=16842752;f[Q>>2]=j;f[R>>2]=0;f[S>>2]=0;f[l>>2]=16842752;f[T>>2]=k;na=U;f[na>>2]=0;f[na+4>>2]=0;f[m>>2]=33619968;f[V>>2]=k;rX(g,l,m,1.0,-1);na=f[W>>2]|0;if(na|0?(la=na+12|0,na=f[la>>2]|0,f[la>>2]=na+-1,(na|0)==1):0)aU(k);f[W>>2]=0;f[X>>2]=0;f[X+4>>2]=0;f[X+8>>2]=0;f[X+12>>2]=0;if((f[Z>>2]|0)>0){na=f[_>>2]|0;la=0;do{f[na+(la<<2)>>2]=0;la=la+1|0}while((la|0)<(f[Z>>2]|0))}la=f[$>>2]|0;if((la|0)!=(aa|0))TC(la);la=f[ba>>2]|0;if(la|0?(na=la+12|0,la=f[na>>2]|0,f[na>>2]=la+-1,(la|0)==1):0)aU(j);f[ba>>2]=0;f[ca>>2]=0;f[ca+4>>2]=0;f[ca+8>>2]=0;f[ca+12>>2]=0;if((f[da>>2]|0)>0){la=f[ea>>2]|0;na=0;do{f[la+(na<<2)>>2]=0;na=na+1|0}while((na|0)<(f[da>>2]|0))}na=f[fa>>2]|0;if((na|0)!=(ga|0))TC(na);ia=ia+1|0}while((ia|0)<(q|0))}ha=ha+1|0;if((ha|0)>=(p|0))break a}if((ka|0)==35){b[g+11>>0]=10;pa=g;qa=470571;ra=pa+10|0;do{b[pa>>0]=b[qa>>0]|0;pa=pa+1|0;qa=qa+1|0}while((pa|0)<(ra|0));b[g+10>>0]=0;WD(-215,g,470582,475396,110)}else if((ka|0)==39){b[g+11>>0]=10;pa=g;qa=470571;ra=pa+10|0;do{b[pa>>0]=b[qa>>0]|0;pa=pa+1|0;qa=qa+1|0}while((pa|0)<(ra|0));b[g+10>>0]=0;WD(-215,g,470582,475396,110)}}while(0);g=f[C>>2]|0;if(g|0?(qa=g+12|0,g=f[qa>>2]|0,f[qa>>2]=g+-1,(g|0)==1):0)aU(i);f[C>>2]=0;f[y>>2]=0;f[y+4>>2]=0;f[y+8>>2]=0;f[y+12>>2]=0;if((f[c>>2]|0)>0){y=f[E>>2]|0;E=0;do{f[y+(E<<2)>>2]=0;E=E+1|0}while((E|0)<(f[c>>2]|0))}c=f[F>>2]|0;if((c|0)!=(t|0))TC(c);c=f[x>>2]|0;if(c|0?(t=c+12|0,c=f[t>>2]|0,f[t>>2]=c+-1,(c|0)==1):0)aU(h);f[x>>2]=0;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;f[w+12>>2]=0;if((f[o>>2]|0)>0){w=f[z>>2]|0;z=0;do{f[w+(z<<2)>>2]=0;z=z+1|0}while((z|0)<(f[o>>2]|0))}o=f[A>>2]|0;if((o|0)==(v|0)){u=e;return}TC(o);u=e;return}function _pb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0;d=u;u=u+112|0;e=d+48|0;g=d+32|0;h=d+16|0;i=d+8|0;j=d;Ri(e,f[b+8>>2]|0,f[b+12>>2]|0,f[b>>2]&4095,f[b+16>>2]|0,f[f[b+44>>2]>>2]|0);f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=e;b=h+8|0;f[b>>2]=0;f[b+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=c;b=f[c>>2]&7;c=f[a+48>>2]|0;f[i>>2]=c;f[i+4>>2]=c;f[j>>2]=-1;f[j+4>>2]=-1;Vka(g,h,b,i,j,0,0);j=e+36|0;i=f[j>>2]|0;if(i|0?(b=i+12|0,i=f[b>>2]|0,f[b>>2]=i+-1,(i|0)==1):0)aU(e);f[j>>2]=0;j=e+16|0;i=e+4|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;if((f[i>>2]|0)>0){j=f[e+40>>2]|0;b=0;do{f[j+(b<<2)>>2]=0;b=b+1|0}while((b|0)<(f[i>>2]|0))}i=f[e+44>>2]|0;if((i|0)==(e+48|0)){u=d;return}TC(i);u=d;return}function $pb(a){a=a|0;fuc(a);return}function aqb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0.0,o=0.0,p=0.0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0.0,I=0.0,J=0.0,K=0.0,L=0,M=0;c=u;u=u+1072|0;d=c;e=f[a+36>>2]|0;g=f[a+40>>2]|0;h=f[a+24>>2]|0;i=Y(h,e)|0;j=((g+-1+i|0)>>>0)/(g>>>0)|0;k=Y(f[b>>2]|0,j)|0;l=f[b+4>>2]|0;b=Y(l,j)|0;j=(l|0)==(g|0)?i:b;b=i>>>0<k>>>0?i:k;k=i>>>0<j>>>0?i:j;m=+n[a+12>>2];o=+n[a+16>>2];p=+n[a+20>>2];j=f[a+28>>2]|0;i=f[a+32>>2]|0;g=(i+j<<1)+2|0;l=d+8|0;f[d>>2]=l;q=d+4|0;f[q>>2]=g;if(g>>>0>264){r=euc(g>>>0>1073741823?-1:g<<2)|0;f[d>>2]=r;s=r}else s=l;r=s+(j<<2)+(i<<2)+4|0;if((i|0)>=0){g=0;while(1){n[r+(g+j<<2)>>2]=0.0;n[r+(~g<<2)>>2]=0.0;if((g|0)==(i|0))break;else g=g+1|0}}if(k>>>0>b>>>0){g=a+4|0;t=a+8|0;a=(j|0)>0;v=(i|0)>0;w=~i;x=b;while(1){b=(x>>>0)/(h>>>0)|0;if((b|0)>=(e|0))break;y=Y(b,h)|0;b=x-y|0;z=h-b|0;A=k-x|0;B=(A>>>0<z>>>0?A:z)+x|0;z=Y(y,j)|0;y=(f[t>>2]|0)+(z<<2)+(b<<2)|0;a:do if(x>>>0<B>>>0){if(!a){A=x;while(1){if(v){C=0;do C=C+1|0;while((C|0)!=(i|0))}uH(s,s,j);sH(s,s,j);C=A+1|0;if(C>>>0<B>>>0)A=C;else{D=C;break a}}}A=y;C=(f[g>>2]|0)+(z<<2)+(b<<2)|0;E=x;while(1){F=0;do{G=C+((Y(F,h)|0)<<2)|0;f[r+(F<<2)>>2]=f[G>>2];F=F+1|0}while((F|0)!=(j|0));if(v){H=0.0;F=0;while(1){I=+n[r+(F<<2)>>2];J=H+I*I;F=F+1|0;if((F|0)==(i|0)){K=J;L=0;break}else H=J}}else{K=0.0;L=0}do{H=+n[r+(L+i<<2)>>2];J=+n[r+(L+w<<2)>>2];I=K+(H+J)*(H-J);K=I<0.0?0.0:I;n[s+(L<<2)>>2]=o+m*K;L=L+1|0}while((L|0)!=(j|0));uH(s,s,j);F=0;do{G=s+(F<<2)|0;n[G>>2]=p*+n[G>>2];F=F+1|0}while((F|0)!=(j|0));sH(s,s,j);F=0;do{G=A+((Y(F,h)|0)<<2)|0;n[G>>2]=+n[r+(F<<2)>>2]*+n[s+(F<<2)>>2];F=F+1|0}while((F|0)!=(j|0));F=E+1|0;if(F>>>0<B>>>0){A=A+4|0;C=C+4|0;E=F}else{D=F;break}}}else D=x;while(0);if(k>>>0>D>>>0)x=D;else break}M=f[d>>2]|0}else M=s;if((M|0)==(l|0)){u=c;return}if(M|0)guc(M);f[d>>2]=l;f[q>>2]=264;u=c;return}function bqb(){var a=0;f[135268]=0;f[135269]=0;f[135270]=0;b[541083]=8;a=541072;f[a>>2]=1869181520;f[a+4>>2]=2020557426;b[541080]=0;Bd(1936,541072,x|0)|0;return}function cqb(a,b){a=a|0;b=b|0;var c=0;c=cuc(140)|0;dqb(c,b);f[a>>2]=c;b=cuc(16)|0;f[b+4>>2]=0;f[b+8>>2]=0;f[b>>2]=134380;f[b+12>>2]=c;f[a+4>>2]=b;return}function dqb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0.0,C=0,D=0,E=0,F=0.0,G=0,H=0,I=0,J=0,K=0,L=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0.0,aa=0.0,ba=0.0,ca=0;d=u;u=u+64|0;e=d+32|0;g=d+52|0;h=d+16|0;i=d;j=d+48|0;k=d+44|0;WMa(a);f[a>>2]=134408;l=a+60|0;m=a+64|0;o=a+84|0;p=a+88|0;q=a+96|0;r=a+100|0;s=a+108|0;t=a+112|0;v=a+120|0;w=a+124|0;x=l;y=x+72|0;do{f[x>>2]=0;x=x+4|0}while((x|0)<(y|0));XMa(a,c);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;z=e+11|0;b[z>>0]=8;A=e;f[A>>2]=1601071469;f[A+4>>2]=1702521203;b[e+8>>0]=0;f[g>>2]=0;n[h>>2]=0.0;B=+iqb(a,c,e,g,0,h);A=a+44|0;n[A>>2]=B;if((b[z>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;z=e+11|0;b[z>>0]=4;f[e>>2]=1885957222;b[e+4>>0]=0;f[g>>2]=0;b[h>>0]=1;C=(jqb(a,c,e,g,0,h)|0)&1;b[a+132>>0]=C;if((b[z>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;z=e+11|0;b[z>>0]=4;f[e>>2]=1885957219;b[e+4>>0]=0;f[g>>2]=0;b[h>>0]=1;C=(jqb(a,c,e,g,0,h)|0)&1;b[a+133>>0]=C;if((b[z>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;z=cuc(16)|0;f[e>>2]=z;f[e+8>>2]=-2147483632;f[e+4>>2]=15;x=z;C=467763;y=x+15|0;do{b[x>>0]=b[C>>0]|0;x=x+1|0;C=C+1|0}while((x|0)<(y|0));b[z+15>>0]=0;f[g>>2]=0;b[h>>0]=1;z=(jqb(a,c,e,g,0,h)|0)&1;b[a+135>>0]=z;if((b[e+11>>0]|0)<0)fuc(f[e>>2]|0);z=f[l>>2]|0;D=f[m>>2]|0;if((D|0)!=(z|0))f[m>>2]=D+(~((D+-4-z|0)>>>2)<<2);kqb(a,c);lqb(a,c);z=a+48|0;n[z>>2]=-1.0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;D=e+11|0;b[D>>0]=8;E=e;f[E>>2]=1601724781;f[E+4>>2]=1702521203;b[e+8>>0]=0;E=(cGa(c,e)|0)==0;if((b[D>>0]|0)<0)fuc(f[e>>2]|0);if(!E){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;E=e+11|0;b[E>>0]=8;D=e;f[D>>2]=1601724781;f[D+4>>2]=1702521203;b[e+8>>0]=0;B=+iEa(iGa(c,e)|0,0);n[z>>2]=B;if((b[E>>0]|0)<0){fuc(f[e>>2]|0);F=+n[z>>2]}else F=B;if(!(F>+n[A>>2])){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;E=cuc(32)|0;f[e>>2]=E;f[e+8>>2]=-2147483616;f[e+4>>2]=19;x=E;C=461707;y=x+19|0;do{b[x>>0]=b[C>>0]|0;x=x+1|0;C=C+1|0}while((x|0)<(y|0));b[E+19>>0]=0;WD(-215,e,461727,461745,197)}}f[e>>2]=0;E=e+4|0;f[E>>2]=0;f[e+8>>2]=0;f[g>>2]=0;D=g+4|0;f[D>>2]=0;f[g+8>>2]=0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;G=h+11|0;b[G>>0]=5;b[h>>0]=b[461828]|0;b[h+1>>0]=b[461829]|0;b[h+2>>0]=b[461830]|0;b[h+3>>0]=b[461831]|0;b[h+4>>0]=b[461832]|0;b[h+5>>0]=0;mqb(h,c,e);if((b[G>>0]|0)<0)fuc(f[h>>2]|0);f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;G=h+11|0;b[G>>0]=6;b[h>>0]=b[461834]|0;b[h+1>>0]=b[461835]|0;b[h+2>>0]=b[461836]|0;b[h+3>>0]=b[461837]|0;b[h+4>>0]=b[461838]|0;b[h+5>>0]=b[461839]|0;b[h+6>>0]=0;mqb(h,c,g);if((b[G>>0]|0)<0)fuc(f[h>>2]|0);G=f[e>>2]|0;H=f[E>>2]|0;I=(G|0)!=(H|0);b[a+134>>0]=I&1;if((H-G|0)!=((f[D>>2]|0)-(f[g>>2]|0)|0)){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;G=cuc(32)|0;f[h>>2]=G;f[h+8>>2]=-2147483616;f[h+4>>2]=31;x=G;C=461841;y=x+31|0;do{b[x>>0]=b[C>>0]|0;x=x+1|0;C=C+1|0}while((x|0)<(y|0));b[G+31>>0]=0;WD(-215,h,461727,461745,204)}if(I){if((f[l>>2]|0)!=(f[m>>2]|0)){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;I=cuc(32)|0;f[h>>2]=I;f[h+8>>2]=-2147483616;f[h+4>>2]=21;x=I;C=461873;y=x+21|0;do{b[x>>0]=b[C>>0]|0;x=x+1|0;C=C+1|0}while((x|0)<(y|0));b[I+21>>0]=0;WD(-215,h,461727,461745,208)};f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;I=h+11|0;b[I>>0]=8;G=h;f[G>>2]=1601071469;f[G+4>>2]=1702521203;b[h+8>>0]=0;G=(cGa(c,h)|0)==0;if((b[I>>0]|0)<0)fuc(f[h>>2]|0);if(!G){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;G=cuc(32)|0;f[h>>2]=G;f[h+8>>2]=-2147483616;f[h+4>>2]=23;x=G;C=461895;y=x+23|0;do{b[x>>0]=b[C>>0]|0;x=x+1|0;C=C+1|0}while((x|0)<(y|0));b[G+23>>0]=0;WD(-215,h,461727,461745,209)};f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;G=h+11|0;b[G>>0]=8;I=h;f[I>>2]=1601724781;f[I+4>>2]=1702521203;b[h+8>>0]=0;I=(cGa(c,h)|0)==0;if((b[G>>0]|0)<0)fuc(f[h>>2]|0);if(!I){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;I=cuc(32)|0;f[h>>2]=I;f[h+8>>2]=-2147483616;f[h+4>>2]=23;x=I;C=461919;y=x+23|0;do{b[x>>0]=b[C>>0]|0;x=x+1|0;C=C+1|0}while((x|0)<(y|0));b[I+23>>0]=0;WD(-215,h,461727,461745,210)}if((s|0)!=(e|0))gB(s,f[e>>2]|0,f[E>>2]|0);if((v|0)!=(g|0))gB(v,f[g>>2]|0,f[D>>2]|0)}else{if(!(+n[A>>2]>0.0)){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;I=cuc(16)|0;f[h>>2]=I;f[h+8>>2]=-2147483632;f[h+4>>2]=12;x=I;C=461943;y=x+12|0;do{b[x>>0]=b[C>>0]|0;x=x+1|0;C=C+1|0}while((x|0)<(y|0));b[I+12>>0]=0;WD(-215,h,461727,461745,216)}I=((f[m>>2]|0)-(f[l>>2]|0)>>2)+(+n[z>>2]>0.0?2:1)|0;G=f[t>>2]|0;H=f[s>>2]|0;J=G-H>>2;K=H;L=G;N=H;if(I>>>0<=J>>>0)if(I>>>0<J>>>0?(O=K+(I<<2)|0,(L|0)!=(O|0)):0){P=L+(~((L+-4-O|0)>>>2)<<2)|0;f[t>>2]=P;Q=H;R=P;S=K;T=N}else{Q=H;R=G;S=K;T=N}else{EBa(s,I-J|0);J=f[s>>2]|0;Q=J;R=f[t>>2]|0;S=J;T=J}J=R-Q>>2;Q=f[w>>2]|0;R=f[v>>2]|0;I=Q-R>>2;N=R;K=Q;Q=R;if(J>>>0<=I>>>0)if(J>>>0<I>>>0?(R=N+(J<<2)|0,(K|0)!=(R|0)):0){f[w>>2]=K+(~((K+-4-R|0)>>>2)<<2);U=Q;V=T;W=N;X=S}else{U=Q;V=T;W=N;X=S}else{EBa(v,J-I|0);I=f[v>>2]|0;J=f[s>>2]|0;U=I;V=J;W=I;X=J}J=f[A>>2]|0;f[U>>2]=J;f[V>>2]=J;F=+n[z>>2];if(F>0.0){B=+M(+(F*+n[A>>2]));n[W+4>>2]=B;n[X+4>>2]=B;Z=2}else Z=1;z=f[m>>2]|0;m=f[l>>2]|0;l=m;if((z|0)!=(m|0)){J=z-m>>2;m=0;do{B=+M(+(+n[l+(m<<2)>>2]));z=m+Z|0;n[X+(z<<2)>>2]=B*+n[A>>2];n[W+(z<<2)>>2]=+n[A>>2]/B;m=m+1|0}while(m>>>0<J>>>0)}}J=(f[t>>2]|0)-(f[s>>2]|0)>>2;if((J|0)!=((f[w>>2]|0)-(f[v>>2]|0)>>2|0)){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;v=cuc(48)|0;f[h>>2]=v;f[h+8>>2]=-2147483600;f[h+4>>2]=39;x=v;C=461956;y=x+39|0;do{b[x>>0]=b[C>>0]|0;x=x+1|0;C=C+1|0}while((x|0)<(y|0));b[v+39>>0]=0;WD(-215,h,461727,461745,237)}v=a+136|0;f[v>>2]=J;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;J=h+11|0;b[J>>0]=6;b[h>>0]=b[461996]|0;b[h+1>>0]=b[461997]|0;b[h+2>>0]=b[461998]|0;b[h+3>>0]=b[461999]|0;b[h+4>>0]=b[462e3]|0;b[h+5>>0]=b[462001]|0;b[h+6>>0]=0;if(!(cGa(c,h)|0)){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;w=i+11|0;b[w>>0]=6;b[i>>0]=b[462003]|0;b[i+1>>0]=b[462004]|0;b[i+2>>0]=b[462005]|0;b[i+3>>0]=b[462006]|0;b[i+4>>0]=b[462007]|0;b[i+5>>0]=b[462008]|0;b[i+6>>0]=0;s=(cGa(c,i)|0)!=0;if((b[w>>0]|0)<0)fuc(f[i>>2]|0);_=s}else _=1;if((b[J>>0]|0)<0)fuc(f[h>>2]|0);do if(_){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;J=h+11|0;b[J>>0]=4;f[h>>2]=1885697139;b[h+4>>0]=0;s=(cGa(c,h)|0)==0;if((b[J>>0]|0)<0)fuc(f[h>>2]|0);if(!s){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;s=cuc(32)|0;f[h>>2]=s;f[h+8>>2]=-2147483616;f[h+4>>2]=19;x=s;C=462010;y=x+19|0;do{b[x>>0]=b[C>>0]|0;x=x+1|0;C=C+1|0}while((x|0)<(y|0));b[s+19>>0]=0;WD(-215,h,461727,461745,241)};f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;J=h+11|0;b[J>>0]=6;b[h>>0]=b[461996]|0;b[h+1>>0]=b[461997]|0;b[h+2>>0]=b[461998]|0;b[h+3>>0]=b[461999]|0;b[h+4>>0]=b[462e3]|0;b[h+5>>0]=b[462001]|0;b[h+6>>0]=0;f[i>>2]=0;n[j>>2]=0.0;B=+iqb(a,c,h,i,1,j);w=a+56|0;n[w>>2]=B;if((b[J>>0]|0)<0){fuc(f[h>>2]|0);$=+n[w>>2]}else $=B;if(!($>0.0)){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;w=cuc(16)|0;f[h>>2]=w;f[h+8>>2]=-2147483632;f[h+4>>2]=11;x=w;C=462030;y=x+11|0;do{b[x>>0]=b[C>>0]|0;x=x+1|0;C=C+1|0}while((x|0)<(y|0));b[w+11>>0]=0;WD(-215,h,461727,461745,243)};f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;s=h+11|0;b[s>>0]=6;b[h>>0]=b[462003]|0;b[h+1>>0]=b[462004]|0;b[h+2>>0]=b[462005]|0;b[h+3>>0]=b[462006]|0;b[h+4>>0]=b[462007]|0;b[h+5>>0]=b[462008]|0;b[h+6>>0]=0;f[i>>2]=0;n[j>>2]=0.0;B=+iqb(a,c,h,i,1,j);J=a+52|0;n[J>>2]=B;if((b[s>>0]|0)<0){fuc(f[h>>2]|0);aa=+n[J>>2]}else aa=B;if(aa>0.0)break;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;J=cuc(16)|0;f[h>>2]=J;f[h+8>>2]=-2147483632;f[h+4>>2]=11;x=J;C=462042;y=x+11|0;do{b[x>>0]=b[C>>0]|0;x=x+1|0;C=C+1|0}while((x|0)<(y|0));b[J+11>>0]=0;WD(-215,h,461727,461745,245)}else{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;w=h+11|0;b[w>>0]=4;f[h>>2]=1885697139;b[h+4>>0]=0;s=(cGa(c,h)|0)==0;if((b[w>>0]|0)<0)fuc(f[h>>2]|0);do if(s)ba=0.0;else{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;w=h+11|0;b[w>>0]=4;f[h>>2]=1885697139;b[h+4>>0]=0;f[i>>2]=0;n[j>>2]=0.0;B=+iqb(a,c,h,i,1,j);if((b[w>>0]|0)<0)fuc(f[h>>2]|0);if(B>0.0){ba=B;break};f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;b[h+11>>0]=8;w=h;f[w>>2]=1885697139;f[w+4>>2]=807419424;b[h+8>>0]=0;WD(-215,h,461727,461745,248)}while(0);n[a+56>>2]=ba;n[a+52>>2]=ba}while(0);f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;_=h+11|0;b[_>>0]=8;s=h;f[s>>2]=1936090735;f[s+4>>2]=1751086181;b[h+8>>0]=0;if(!(cGa(c,h)|0)){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;s=i+11|0;b[s>>0]=8;J=i;f[J>>2]=1936090735;f[J+4>>2]=2002744421;b[i+8>>0]=0;J=(cGa(c,i)|0)!=0;if((b[s>>0]|0)<0)fuc(f[i>>2]|0);ca=J}else ca=1;if((b[_>>0]|0)<0)fuc(f[h>>2]|0);do if(ca){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;_=h+11|0;b[_>>0]=6;b[h>>0]=b[476235]|0;b[h+1>>0]=b[476236]|0;b[h+2>>0]=b[476237]|0;b[h+3>>0]=b[476238]|0;b[h+4>>0]=b[476239]|0;b[h+5>>0]=b[476240]|0;b[h+6>>0]=0;J=(cGa(c,h)|0)==0;if((b[_>>0]|0)<0)fuc(f[h>>2]|0);if(!J){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;J=cuc(32)|0;f[h>>2]=J;f[h+8>>2]=-2147483616;f[h+4>>2]=21;x=J;C=462054;y=x+21|0;do{b[x>>0]=b[C>>0]|0;x=x+1|0;C=C+1|0}while((x|0)<(y|0));b[J+21>>0]=0;WD(-215,h,461727,461745,257)};f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;_=h+11|0;b[_>>0]=8;s=h;f[s>>2]=1936090735;f[s+4>>2]=1751086181;b[h+8>>0]=0;s=(cGa(c,h)|0)==0;if((b[_>>0]|0)<0)fuc(f[h>>2]|0);if(s){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;s=cuc(32)|0;f[h>>2]=s;f[h+8>>2]=-2147483616;f[h+4>>2]=22;x=s;C=462076;y=x+22|0;do{b[x>>0]=b[C>>0]|0;x=x+1|0;C=C+1|0}while((x|0)<(y|0));b[s+22>>0]=0;WD(-215,h,461727,461745,257)};f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;J=h+11|0;b[J>>0]=8;_=h;f[_>>2]=1936090735;f[_+4>>2]=2002744421;b[h+8>>0]=0;_=(cGa(c,h)|0)==0;if((b[J>>0]|0)<0)fuc(f[h>>2]|0);if(_){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;_=cuc(32)|0;f[h>>2]=_;f[h+8>>2]=-2147483616;f[h+4>>2]=22;x=_;C=462099;y=x+22|0;do{b[x>>0]=b[C>>0]|0;x=x+1|0;C=C+1|0}while((x|0)<(y|0));b[_+22>>0]=0;WD(-215,h,461727,461745,257)};f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;s=h+11|0;b[s>>0]=8;J=h;f[J>>2]=1936090735;f[J+4>>2]=1751086181;b[h+8>>0]=0;mqb(h,c,q);if((b[s>>0]|0)<0)fuc(f[h>>2]|0);f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;s=h+11|0;b[s>>0]=8;J=h;f[J>>2]=1936090735;f[J+4>>2]=2002744421;b[h+8>>0]=0;mqb(h,c,o);if((b[s>>0]|0)<0)fuc(f[h>>2]|0);s=(f[p>>2]|0)-(f[o>>2]|0)|0;if((s|0)==((f[r>>2]|0)-(f[q>>2]|0)|0)){J=(s>>1)+-2|0;s=Y(f[v>>2]|0,J>>>0>1?J:1)|0;f[v>>2]=s;break}else{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;s=cuc(48)|0;f[h>>2]=s;f[h+8>>2]=-2147483600;f[h+4>>2]=36;x=s;C=462122;y=x+36|0;do{b[x>>0]=b[C>>0]|0;x=x+1|0;C=C+1|0}while((x|0)<(y|0));b[s+36>>0]=0;WD(-215,h,461727,461745,260)}}else{f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;_=i+11|0;b[_>>0]=6;b[i>>0]=b[476235]|0;b[i+1>>0]=b[476236]|0;b[i+2>>0]=b[476237]|0;b[i+3>>0]=b[476238]|0;b[i+4>>0]=b[476239]|0;b[i+5>>0]=b[476240]|0;b[i+6>>0]=0;f[j>>2]=0;n[k>>2]=.5;ba=+iqb(a,c,i,j,0,k);if((b[_>>0]|0)<0)fuc(f[i>>2]|0);n[h>>2]=ba;nqb(o,1,h);nqb(q,1,h)}while(0);h=f[g>>2]|0;if(h|0){g=f[D>>2]|0;if((g|0)!=(h|0))f[D>>2]=g+(~((g+-4-h|0)>>>2)<<2);fuc(h)}h=f[e>>2]|0;if(!h){u=d;return}e=f[E>>2]|0;if((e|0)!=(h|0))f[E>>2]=e+(~((e+-4-h|0)>>>2)<<2);fuc(h);u=d;return}function eqb(a){a=a|0;Qtc(a);fuc(a);return}function fqb(a){a=a|0;var b=0;b=f[a+12>>2]|0;if(!b)return;bi[f[(f[b>>2]|0)+4>>2]&2047](b);return}function gqb(a,b){a=a|0;b=b|0;return ((f[b+4>>2]|0)==461546?a+12|0:0)|0}function hqb(a){a=a|0;fuc(a);return}function iqb(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0.0;a=u;u=u+32|0;i=a+16|0;j=a;f[i>>2]=0;k=cuc(16)|0;l=k+8|0;f[k>>2]=l;f[k+4>>2]=1;f[i+4>>2]=k;k=l;f[k>>2]=0;f[k+4>>2]=0;if(cGa(c,d)|0){pEa(i,iGa(c,d)|0)|0;m=+iEa(i,f[e>>2]|0);mEa(i);u=a;return +m}if(g){ouc(j,541072);Duc(j,467985)|0;g=b[d+11>>0]|0;e=g<<24>>24<0;Cuc(j,e?f[d>>2]|0:d,e?f[d+4>>2]|0:g&255)|0;Duc(j,468020)|0;WD(-5,j,468032,461745,92)}m=+n[h>>2];mEa(i);u=a;return +m}function jqb(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0;a=u;u=u+32|0;i=a+16|0;j=a;f[i>>2]=0;k=cuc(16)|0;l=k+8|0;f[k>>2]=l;f[k+4>>2]=1;f[i+4>>2]=k;k=l;f[k>>2]=0;f[k+4>>2]=0;if(cGa(c,d)|0){pEa(i,iGa(c,d)|0)|0;c=hEa(i,f[e>>2]|0)|0;m=(c|0)!=0|(J|0)!=0;mEa(i);u=a;return m|0}if(g){ouc(j,541072);Duc(j,467985)|0;g=b[d+11>>0]|0;c=g<<24>>24<0;Cuc(j,c?f[d>>2]|0:d,c?f[d+4>>2]|0:g&255)|0;Duc(j,468020)|0;WD(-5,j,468032,461745,92)}m=(b[h>>0]|0)!=0;mEa(i);u=a;return m|0}function kqb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0.0,v=0,w=0,x=0,y=0,z=0,A=0,B=0.0;d=u;u=u+32|0;e=d;g=d+16|0;h=d+8|0;i=d+4|0;f[h>>2]=0;j=h+4|0;k=cuc(16)|0;l=k+8|0;f[k>>2]=l;f[k+4>>2]=1;f[j>>2]=k;k=l;f[k>>2]=0;f[k+4>>2]=0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;k=cuc(16)|0;f[g>>2]=k;f[g+8>>2]=-2147483632;f[g+4>>2]=12;l=k;m=462229;o=l+12|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(o|0));b[k+12>>0]=0;if(!(cGa(c,g)|0))p=0;else{pEa(h,iGa(c,g)|0)|0;p=1}if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);if(!p){mEa(h);u=d;return}p=a+60|0;c=a+64|0;k=a+68|0;m=a+132|0;a=h+4|0;l=0;a:while(1){q=f[h>>2]|0;switch(q|0){case 0:{r=(f[j>>2]|0)+4|0;break}case 3:{r=(f[a>>2]|0)+4|0;break}case 2:{r=(f[a>>2]|0)+4|0;break}default:{s=11;break a}}if((l|0)>=(f[r>>2]|0)){s=26;break}t=+iEa(h,l);n[g>>2]=t;o=+L(+(t+-1.0))<9.999999974752427e-07;v=f[c>>2]|0;w=f[p>>2]|0;x=w;y=v;if(o|(v|0)==(w|0))z=o;else{o=v-w>>2;w=0;do{A=+L(+(t-+n[x+(w<<2)>>2]))<1.0e-06;w=w+1|0}while(!(A|w>>>0>=o>>>0));z=A}if(!z){if((y|0)==(f[k>>2]|0))us(p,g);else{n[v>>2]=t;f[c>>2]=y+4}if(b[m>>0]|0){B=1.0/+n[g>>2];n[i>>2]=B;o=f[c>>2]|0;if(o>>>0<(f[k>>2]|0)>>>0){n[o>>2]=B;f[c>>2]=o+4}else Bw(p,i)}}l=l+1|0}if((s|0)==11){f[e>>2]=q;cE(g,476242,e);WD(-3,g,476262,476267,297)}else if((s|0)==26){mEa(h);u=d;return}}function lqb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0.0;d=u;u=u+48|0;e=d+16|0;g=d;h=d+32|0;i=d+20|0;f[h>>2]=0;j=h+4|0;k=cuc(16)|0;l=k+8|0;f[k>>2]=l;f[k+4>>2]=1;f[j>>2]=k;k=l;f[k>>2]=0;f[k+4>>2]=0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;k=g+11|0;b[k>>0]=8;l=g;f[l>>2]=1769103734;f[l+4>>2]=1701015137;b[g+8>>0]=0;if(!(cGa(c,g)|0))m=0;else{pEa(h,iGa(c,g)|0)|0;m=1}if((b[k>>0]|0)<0)fuc(f[g>>2]|0);if(!m){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;m=cuc(32)|0;f[g>>2]=m;f[g+8>>2]=-2147483616;f[g+4>>2]=26;o=m;p=462159;q=o+26|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[m+26>>0]=0;WD(-215,g,462186,461745,149)}m=f[h>>2]|0;switch(m|0){case 0:{r=(f[j>>2]|0)+4|0;break}case 3:{r=(f[h+4>>2]|0)+4|0;break}case 2:{r=(f[h+4>>2]|0)+4|0;break}default:{f[e>>2]=m;cE(g,476242,e);WD(-3,g,476262,476267,297)}}e=f[r>>2]|0;if((e|0)<=1){if((e|0)!=1){n[g>>2]=.10000000149011612;r=a+76|0;m=f[r>>2]|0;if(m>>>0<(f[a+80>>2]|0)>>>0){f[m>>2]=1036831949;f[r>>2]=m+4}else Bw(a+72|0,g);mEa(h);u=d;return}s=+iEa(h,0);n[g>>2]=s;if(!(s>0.0)){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;m=cuc(16)|0;f[i>>2]=m;f[i+8>>2]=-2147483632;f[i+4>>2]=12;o=m;p=462216;q=o+12|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[m+12>>0]=0;WD(-215,i,462186,461745,169)}m=a+76|0;r=f[m>>2]|0;if((r|0)==(f[a+80>>2]|0))us(a+72|0,g);else{n[r>>2]=s;f[m>>2]=r+4}mEa(h);u=d;return}if((e|0)!=4){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;e=cuc(32)|0;f[g>>2]=e;f[g+8>>2]=-2147483616;f[g+4>>2]=17;o=e;p=462198;q=o+17|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[e+17>>0]=0;WD(-215,g,462186,461745,155)}e=a+76|0;r=a+80|0;m=a+72|0;s=+iEa(h,0);n[g>>2]=s;if(s>0.0){a=f[e>>2]|0;if((a|0)==(f[r>>2]|0))us(m,g);else{n[a>>2]=s;f[e>>2]=a+4}s=+iEa(h,1);n[g>>2]=s;if(s>0.0){a=f[e>>2]|0;if((a|0)==(f[r>>2]|0))us(m,g);else{n[a>>2]=s;f[e>>2]=a+4}s=+iEa(h,2);n[g>>2]=s;if(s>0.0){a=f[e>>2]|0;if((a|0)==(f[r>>2]|0))us(m,g);else{n[a>>2]=s;f[e>>2]=a+4}s=+iEa(h,3);n[g>>2]=s;if(s>0.0){a=f[e>>2]|0;if((a|0)==(f[r>>2]|0))us(m,g);else{n[a>>2]=s;f[e>>2]=a+4}mEa(h);u=d;return}}}};f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;d=cuc(16)|0;f[i>>2]=d;f[i+8>>2]=-2147483632;f[i+4>>2]=12;o=d;p=462216;q=o+12|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[d+12>>0]=0;WD(-215,i,462186,461745,160)}function mqb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0.0;d=u;u=u+48|0;e=d+8|0;g=d;h=d+24|0;i=d+16|0;f[i>>2]=0;j=i+4|0;k=cuc(16)|0;l=k+8|0;f[k>>2]=l;f[k+4>>2]=1;f[j>>2]=k;k=l;f[k>>2]=0;f[k+4>>2]=0;if(!(cGa(b,a)|0)){k=f[c>>2]|0;l=c+4|0;m=f[l>>2]|0;if((m|0)==(k|0)){mEa(i);u=d;return}f[l>>2]=m+(~((m+-4-k|0)>>>2)<<2);mEa(i);u=d;return}pEa(i,iGa(b,a)|0)|0;a=f[i>>2]|0;switch(a|0){case 0:{o=(f[j>>2]|0)+4|0;break}case 3:{o=(f[i+4>>2]|0)+4|0;break}case 2:{o=(f[i+4>>2]|0)+4|0;break}default:{f[g>>2]=a;cE(h,476242,g);WD(-3,h,476262,476267,297)}}g=f[o>>2]|0;o=c+4|0;a=f[o>>2]|0;b=f[c>>2]|0;k=a-b>>2;m=b;b=a;if(g>>>0<=k>>>0){if(g>>>0<k>>>0?(a=m+(g<<2)|0,(b|0)!=(a|0)):0)f[o>>2]=b+(~((b+-4-a|0)>>>2)<<2)}else EBa(c,g-k|0);k=i+4|0;g=0;a:while(1){p=f[i>>2]|0;switch(p|0){case 0:{q=(f[j>>2]|0)+4|0;break}case 3:{q=(f[k>>2]|0)+4|0;break}case 2:{q=(f[k>>2]|0)+4|0;break}default:{r=17;break a}}if((g|0)>=(f[q>>2]|0)){r=22;break}s=+iEa(i,g);n[(f[c>>2]|0)+(g<<2)>>2]=s;g=g+1|0}if((r|0)==17){f[e>>2]=p;cE(h,476242,e);WD(-3,h,476262,476267,297)}else if((r|0)==22){mEa(i);u=d;return}}function nqb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=a+8|0;e=f[d>>2]|0;g=f[a>>2]|0;h=g;if(e-g>>2>>>0>=b>>>0){i=a+4|0;j=f[i>>2]|0;k=j-g>>2;l=k>>>0<b>>>0;m=l?k:b;n=j;o=j;if(m|0){p=m;m=h;while(1){f[m>>2]=f[c>>2];p=p+-1|0;if(!p)break;else m=m+4|0}}if(l){l=b-k|0;k=o+(l<<2)|0;o=l;l=j;while(1){f[l>>2]=f[c>>2];o=o+-1|0;if(!o)break;else l=l+4|0}f[i>>2]=k;return}else{k=h+(b<<2)|0;if((n|0)==(k|0))return;f[i>>2]=n+(~((n+-4-k|0)>>>2)<<2);return}}else{k=g;if(!g)q=e;else{e=a+4|0;n=f[e>>2]|0;if((n|0)!=(h|0))f[e>>2]=n+(~((n+-4-g|0)>>>2)<<2);fuc(k);f[d>>2]=0;f[e>>2]=0;f[a>>2]=0;q=0}if(b>>>0>1073741823)nsc(a);e=q>>1;k=q>>2>>>0<536870911?(e>>>0<b>>>0?b:e):1073741823;if(k>>>0>1073741823)nsc(a);e=cuc(k<<2)|0;q=a+4|0;f[q>>2]=e;f[a>>2]=e;f[d>>2]=e+(k<<2);k=e+(b<<2)|0;d=b;b=e;while(1){f[b>>2]=f[c>>2];d=d+-1|0;if(!d)break;else b=b+4|0}f[q>>2]=k;return}}function oqb(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=134408;b=f[a+120>>2]|0;if(b|0){c=a+124|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+108>>2]|0;if(b|0){d=a+112|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+96>>2]|0;if(b|0){c=a+100|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+84>>2]|0;if(b|0){d=a+88|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+72>>2]|0;if(b|0){c=a+76|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+60>>2]|0;if(!b){pKa(a);return}d=a+64|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-4-b|0)>>>2)<<2);fuc(b);pKa(a);return}function pqb(a){a=a|0;oqb(a);fuc(a);return}function qqb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0.0,k=0.0,l=0,m=0.0,o=0,p=0.0,q=0.0,r=0.0,s=0.0;c=u;u=u+16|0;d=c;f[d>>2]=0;e=d+4|0;f[e>>2]=0;f[d+8>>2]=0;sJ(b,d);b=f[d>>2]|0;g=((f[e>>2]|0)-b|0)/56|0;e=b;if(g>>>0<=1)uN(g,1,134540);g=f[e+4>>2]|0;if((g|0)!=4)tN(g,4,134568);g=f[e+60>>2]|0;if((g|0)!=4)tN(g,4,134596);g=f[e+40>>2]|0;b=f[g+12>>2]|0;h=f[e+96>>2]|0;e=f[h+12>>2]|0;i=a+56|0;j=+n[i>>2];if(!(j==0.0)){k=j;n[i>>2]=k;l=a+52|0;m=+n[l>>2];o=m==0.0;p=+(e|0);q=+(b|0);r=p/q;s=o?r:m;n[l>>2]=s;ut(d);u=c;return}k=+(f[h+8>>2]|0)/+(f[g+8>>2]|0);n[i>>2]=k;l=a+52|0;m=+n[l>>2];o=m==0.0;p=+(e|0);q=+(b|0);r=p/q;s=o?r:m;n[l>>2]=s;ut(d);u=c;return}function rqb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0.0,D=0.0,E=0,F=0,G=0,H=0,I=0.0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0.0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0.0,ka=0.0,la=0,ma=0,na=0.0,oa=0.0,pa=0.0,qa=0.0,ra=0.0,sa=0.0,ta=0.0,ua=0.0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0;g=u;u=u+144|0;h=g+120|0;i=g+112|0;j=g+100|0;k=g+88|0;l=g+32|0;m=g;gV(i,134508);if(f[i>>2]|0){}if((CJ(c,-1)|0)==3)JKa(a,c,d,e);else{f[j>>2]=0;e=j+4|0;f[e>>2]=0;f[j+8>>2]=0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;sJ(c,j);sJ(d,k);d=f[j>>2]|0;c=d;if(((f[e>>2]|0)-d|0)!=112){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;d=cuc(32)|0;f[h>>2]=d;f[h+8>>2]=-2147483616;f[h+4>>2]=18;o=d;q=476387;r=o+18|0;do{b[o>>0]=b[q>>0]|0;o=o+1|0;q=q+1|0}while((o|0)<(r|0));b[d+18>>0]=0;WD(-215,h,477126,461745,419)}d=f[c+40>>2]|0;e=f[d+12>>2]|0;s=f[d+8>>2]|0;d=f[c+96>>2]|0;c=(s|0)==0;if(!c?(t=a+108|0,v=a+112|0,w=a+120|0,x=a+84|0,y=a+88|0,z=a+52|0,A=a+96|0,B=a+56|0,C=+(f[d+12>>2]|0),D=+(f[d+8>>2]|0),d=a+135|0,e|0):0){E=0;F=f[(f[k>>2]|0)+16>>2]|0;G=f[v>>2]|0;H=f[t>>2]|0;while(1){I=+(E>>>0);J=0;K=F;L=G;M=H;N=H;O=H;while(1){if((L|0)==(M|0)){P=K;Q=N;R=O;S=M;T=M}else{U=+(J>>>0);V=f[x>>2]|0;W=0;X=K;Z=O;_=N;$=L;aa=V;ba=f[y>>2]|0;ca=V;while(1){if((ba|0)==(ca|0)){da=X;ea=aa;fa=ca;ga=ca;ha=_;ia=$}else{ja=+n[Z+(W<<2)>>2]*.5;ka=+n[(f[w>>2]|0)+(W<<2)>>2]*.5;V=0;la=X;ma=aa;do{na=(U+ +n[ma+(V<<2)>>2])*+n[z>>2];oa=(I+ +n[(f[A>>2]|0)+(V<<2)>>2])*+n[B>>2];pa=na-ja;qa=ja+na;na=ka+oa;ra=oa-ka;if(!(b[d>>0]|0)){n[la>>2]=pa;sa=na+-1.0;ta=qa+-1.0;ua=ra}else{n[la>>2]=pa/C;sa=na/D;ta=qa/C;ua=ra/D}n[la+4>>2]=ua;n[la+8>>2]=ta;n[la+12>>2]=sa;la=la+16|0;V=V+1|0;va=f[y>>2]|0;wa=f[x>>2]|0;ma=wa}while(V>>>0<va-wa>>2>>>0);da=la;ea=ma;fa=wa;ga=va;ha=f[t>>2]|0;ia=f[v>>2]|0}W=W+1|0;V=ha;if(W>>>0>=ia-ha>>2>>>0){P=da;Q=ha;R=V;S=ha;T=ia;break}else{X=da;Z=V;_=ha;$=ia;aa=ea;ba=ga;ca=fa}}}J=J+1|0;if((J|0)==(e|0))break;else{K=P;L=T;M=S;N=Q;O=R}}E=E+1|0;if((E|0)==(s|0))break;else{F=P;G=T;H=Q}}}if(b[a+133>>0]|0){Q=Y(Y(e<<2,s)|0,f[a+136>>2]|0)|0;H=f[k>>2]|0;T=f[H+16>>2]|0;if(!Q){xa=H;ya=T}else{G=0;do{P=T+(G<<2)|0;n[h>>2]=0.0;F=+n[P>>2]<0.0?h:P;n[l>>2]=1.0;f[P>>2]=f[(+n[F>>2]>1.0?l:F)>>2];G=G+1|0}while((G|0)!=(Q|0));xa=H;ya=T}}else{T=f[k>>2]|0;xa=T;ya=f[T+16>>2]|0}T=ya+(f[(f[xa+44>>2]|0)+4>>2]|0)|0;ya=a+72|0;H=f[ya>>2]|0;Q=H;if(((f[a+76>>2]|0)-H|0)==4){G=f[(f[xa+40>>2]|0)+8>>2]|0;f[l>>2]=1124007941;xa=l+4|0;f[xa>>2]=2;F=l+8|0;f[F>>2]=1;f[l+12>>2]=G;P=l+16|0;f[P>>2]=T;f[l+20>>2]=T;E=l+24|0;R=l+40|0;f[E>>2]=0;f[E+4>>2]=0;f[E+8>>2]=0;f[E+12>>2]=0;f[R>>2]=F;F=l+48|0;S=l+44|0;f[S>>2]=F;fa=l+52|0;f[fa>>2]=0;f[F>>2]=0;if((T|0)==0&(G|0)!=0){ga=cuc(32)|0;f[h>>2]=ga;f[h+8>>2]=-2147483616;f[h+4>>2]=28;o=ga;q=466324;r=o+28|0;do{b[o>>0]=b[q>>0]|0;o=o+1|0;q=q+1|0}while((o|0)<(r|0));b[ga+28>>0]=0;WD(-215,h,466353,466357,548)}ga=G<<2;f[F>>2]=ga;f[fa>>2]=4;fa=T+ga|0;f[l+28>>2]=fa;f[E>>2]=fa+(0-ga)+ga;YT(l);sa=+n[f[ya>>2]>>2];p[m>>3]=sa;p[m+8>>3]=sa;p[m+16>>3]=sa;p[m+24>>3]=sa;f[h>>2]=-1056833530;f[h+4>>2]=m;f[h+8>>2]=1;f[h+12>>2]=4;HI(l,h,sK()|0)|0;h=l+36|0;m=f[h>>2]|0;if(m|0?(ya=m+12|0,m=f[ya>>2]|0,f[ya>>2]=m+-1,(m|0)==1):0)aU(l);f[h>>2]=0;f[P>>2]=0;f[P+4>>2]=0;f[P+8>>2]=0;f[P+12>>2]=0;if((f[xa>>2]|0)>0){P=f[R>>2]|0;R=0;do{f[P+(R<<2)>>2]=0;R=R+1|0}while((R|0)<(f[xa>>2]|0))}xa=f[S>>2]|0;if((xa|0)!=(F|0))TC(xa)}else if(!(c|(e|0)==0)){c=f[a+136>>2]|0;a=H;H=Q+4|0;xa=Q+8|0;F=Q+12|0;Q=0;S=0;R=c;while(1){if(!R){za=0;Aa=S}else{P=0;h=S;while(1){l=0;m=h;do{f[T+(m<<2)>>2]=f[a>>2];f[T+(m+1<<2)>>2]=f[H>>2];f[T+(m+2<<2)>>2]=f[xa>>2];f[T+(m+3<<2)>>2]=f[F>>2];m=m+4|0;l=l+1|0}while(l>>>0<c>>>0);P=P+1|0;if((P|0)==(e|0)){za=c;Aa=m;break}else h=m}}Q=Q+1|0;if((Q|0)==(s|0))break;else{S=Aa;R=za}}}ut(k);ut(j)}if(!(f[i+4>>2]|0)){u=g;return}u=g;return}function sqb(a,b){a=a|0;b=b|0;var c=0;switch(b|0){case 3:{c=1;break}case 2:{c=rib()|0;break}default:c=0}return c|0}function tqb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function uqb(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;g=u;u=u+32|0;d=g+16|0;h=g;i=f[c>>2]|0;if((i|0)==(f[c+4>>2]|0)){c=cuc(16)|0;f[d>>2]=c;f[d+8>>2]=-2147483632;f[d+4>>2]=15;j=c;k=464122;l=j+15|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[c+15>>0]=0;WD(-215,d,477070,461745,282)}c=f[i>>2]|0;i=Y(Y(f[c+8>>2]<<2,f[c+12>>2]|0)|0,f[a+136>>2]|0)|0;f[d>>2]=1;f[d+4>>2]=2;f[d+8>>2]=i;f[d+12>>2]=-1;f[h>>2]=0;i=h+4|0;f[i>>2]=0;f[h+8>>2]=0;KKa(h,d,d+16|0);d=f[h>>2]|0;a=f[i>>2]|0;a:do if((d|0)==(a|0)){m=d;n=6}else{c=d;do{if((f[c>>2]|0)<0){m=c;n=6;break a}c=c+4|0}while((c|0)!=(a|0))}while(0);if((n|0)==6?(m|0)!=(a|0):0){n=m+4|0;if((n|0)==(a|0)){o=a;p=m}else{d=n;n=m;while(1){m=f[d>>2]|0;if((m|0)<0)q=n;else{f[n>>2]=m;q=n+4|0}d=d+4|0;if((d|0)==(a|0))break;else n=q}o=f[i>>2]|0;p=q}if((p|0)!=(o|0))f[i>>2]=o+(~((o+-4-p|0)>>>2)<<2)}p=e+4|0;o=f[p>>2]|0;q=f[e>>2]|0;n=o-q|0;a=(n|0)/12|0;d=q;q=o;if(n){if(a>>>0>1?(n=d+12|0,(q|0)!=(n|0)):0){d=q;while(1){q=d+-12|0;f[p>>2]=q;o=f[q>>2]|0;if(!o)r=q;else{q=d+-8|0;m=f[q>>2]|0;if((m|0)!=(o|0))f[q>>2]=m+(~((m+-4-o|0)>>>2)<<2);fuc(o);r=f[p>>2]|0}if((r|0)==(n|0))break;else d=r}}}else Hmb(e,1-a|0,h);a=f[h>>2]|0;if(!a){u=g;return 0}h=f[i>>2]|0;if((h|0)!=(a|0))f[i>>2]=h+(~((h+-4-a|0)>>>2)<<2);fuc(a);u=g;return 0}function vqb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;d=u;u=u+16|0;e=d;g=f[c+4>>2]|0;h=f[c>>2]|0;c=h;if((g|0)==(h|0)){i=0;j=0;J=i;u=d;return j|0}k=a+136|0;a=(g-h|0)/12|0;h=0;g=0;do{l=f[c+(g*12|0)+4>>2]|0;m=f[c+(g*12|0)>>2]|0;n=l-m|0;o=n>>2;p=m;if((p|0)!=(l|0)){if((n|0)<=4){q=8;break}if((n|0)>8){n=2;l=1;while(1){m=Y(f[p+(n<<2)>>2]|0,l)|0;n=n+1|0;if((n|0)>=(o|0)){r=m;break}else l=m}}else r=1}else r=0;h=(Y(r<<2,f[k>>2]|0)|0)+h|0;g=g+1|0}while(g>>>0<a>>>0);if((q|0)==8){q=cuc(80)|0;f[e>>2]=q;f[e+8>>2]=-2147483568;f[e+4>>2]=70;a=q;g=475319;k=a+70|0;do{b[a>>0]=b[g>>0]|0;a=a+1|0;g=g+1|0}while((a|0)<(k|0));b[q+70>>0]=0;WD(-215,e,475390,475396,161)}i=((h|0)<0)<<31>>31;j=h;J=i;u=d;return j|0}function wqb(a,b){a=a|0;b=b|0;var c=0;c=cuc(184)|0;xqb(c,b);f[a>>2]=c;b=cuc(16)|0;f[b+4>>2]=0;f[b+8>>2]=0;f[b>>2]=134632;f[b+12>>2]=c;f[a+4>>2]=b;return}function xqb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0.0,q=0,r=0,s=0,t=0;d=u;u=u+16|0;e=d;WMa(a);f[a>>2]=134660;f[a+52>>2]=1124007936;g=a+60|0;h=a+92|0;i=a+56|0;j=i+36|0;do{f[i>>2]=0;i=i+4|0}while((i|0)<(j|0));f[h>>2]=g;g=a+100|0;f[a+96>>2]=g;f[g>>2]=0;f[a+104>>2]=0;f[a+108>>2]=1124007936;g=a+116|0;h=a+148|0;i=a+112|0;j=i+36|0;do{f[i>>2]=0;i=i+4|0}while((i|0)<(j|0));f[h>>2]=g;g=a+156|0;f[a+152>>2]=g;f[g>>2]=0;f[a+160>>2]=0;f[a+168>>2]=0;f[a+172>>2]=0;XMa(a,c);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;g=cuc(32)|0;f[e>>2]=g;f[e+8>>2]=-2147483616;f[e+4>>2]=18;i=g;h=462721;j=i+18|0;do{b[i>>0]=b[h>>0]|0;i=i+1|0;h=h+1|0}while((i|0)<(j|0));b[g+18>>0]=0;g=gEa(c,e)|0;k=c+4|0;if((g|0)==(k|0))l=1;else{m=hEa(g+28|0,-1)|0;l=(m|0)!=0|(J|0)!=0}b[a+48>>0]=l&1;if((b[e+11>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;l=cuc(16)|0;f[e>>2]=l;f[e+8>>2]=-2147483632;f[e+4>>2]=15;i=l;h=462740;j=i+15|0;do{b[i>>0]=b[h>>0]|0;i=i+1|0;h=h+1|0}while((i|0)<(j|0));b[l+15>>0]=0;l=gEa(c,e)|0;if((l|0)==(k|0))o=0;else{h=hEa(l+28|0,-1)|0;o=(h|0)!=0|(J|0)!=0}b[a+49>>0]=o&1;if((b[e+11>>0]|0)<0)fuc(f[e>>2]|0);o=e+4|0;f[o>>2]=0;f[o+4>>2]=0;o=e+11|0;b[o>>0]=3;b[e>>0]=b[465409]|0;b[e+1>>0]=b[465410]|0;b[e+2>>0]=b[465411]|0;b[e+3>>0]=0;h=gEa(c,e)|0;if((h|0)==(k|0))p=1.0e-09;else p=+iEa(h+28|0,-1);n[a+44>>2]=p;if((b[o>>0]|0)>=0){q=a+164|0;b[q>>0]=0;r=a+180|0;b[r>>0]=0;s=a+176|0;n[s>>2]=0.0;t=a+181|0;b[t>>0]=0;u=d;return}fuc(f[e>>2]|0);q=a+164|0;b[q>>0]=0;r=a+180|0;b[r>>0]=0;s=a+176|0;n[s>>2]=0.0;t=a+181|0;b[t>>0]=0;u=d;return}function yqb(a){a=a|0;Qtc(a);fuc(a);return}function zqb(a){a=a|0;var b=0;b=f[a+12>>2]|0;if(!b)return;bi[f[(f[b>>2]|0)+4>>2]&2047](b);return}function Aqb(a,b){a=a|0;b=b|0;return ((f[b+4>>2]|0)==462570?a+12|0:0)|0}function Bqb(a){a=a|0;fuc(a);return}function Cqb(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=134660;b=f[a+172>>2]|0;if(b|0)Xtc(b);b=a+108|0;c=a+144|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+124|0;b=a+112|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+148>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+152>>2]|0;if((b|0)!=(a+156|0))TC(b);b=a+52|0;d=a+88|0;c=f[d>>2]|0;if(c|0?(e=c+12|0,c=f[e>>2]|0,f[e>>2]=c+-1,(c|0)==1):0)aU(b);f[d>>2]=0;d=a+68|0;b=a+56|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[b>>2]|0)>0){d=f[a+92>>2]|0;c=0;do{f[d+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[b>>2]|0))}b=f[a+96>>2]|0;if((b|0)==(a+100|0)){pKa(a);return}TC(b);pKa(a);return}function Dqb(a){a=a|0;Cqb(a);fuc(a);return}function Eqb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;d=u;u=u+16|0;e=d;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;sJ(c,e);c=b[a+49>>0]|0?1:2;g=f[e>>2]|0;h=f[g+40>>2]|0;i=0;j=1;do{j=Y(f[h+(i<<2)>>2]|0,j)|0;i=i+1|0}while((i|0)<(c|0));c=f[g+4>>2]|0;if((c|0)<3){k=Y(f[g+12>>2]|0,f[g+8>>2]|0)|0;l=(k|0)==(j|0);m=a+181|0;n=l&1;b[m>>0]=n;ut(e);u=d;return}else{g=0;i=1;while(1){o=Y(f[h+(g<<2)>>2]|0,i)|0;g=g+1|0;if((g|0)==(c|0)){k=o;break}else i=o}l=(k|0)==(j|0);m=a+181|0;n=l&1;b[m>>0]=n;ut(e);u=d;return}}function Fqb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0.0,Wa=0.0,Xa=0.0,Ya=0,Za=0.0,_a=0.0,$a=0.0,ab=0.0;g=u;u=u+416|0;h=g+392|0;i=g+104|0;j=g+384|0;k=g+368|0;l=g+356|0;m=g+344|0;o=g+288|0;q=g+232|0;r=g+48|0;s=g+16|0;t=g+176|0;v=g+120|0;w=g;gV(j,134760);if(f[j>>2]|0){}if((CJ(c,-1)|0)==3)JKa(a,c,d,e);else{f[k>>2]=0;x=k+4|0;f[x>>2]=0;f[k+8>>2]=0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;sJ(c,k);sJ(d,l);sJ(e,m);a:do if((f[x>>2]|0)!=(f[k>>2]|0)){e=a+49|0;d=a+124|0;c=h+8|0;y=h+12|0;z=h+4|0;A=a+112|0;B=a+116|0;C=a+120|0;D=h+4|0;E=i+4|0;F=h+8|0;G=h+12|0;H=h+4|0;I=r+36|0;J=r+16|0;K=r+4|0;L=r+40|0;M=r+44|0;N=r+48|0;O=a+148|0;P=q+36|0;Q=q+16|0;R=q+4|0;S=q+40|0;T=q+44|0;U=q+48|0;V=o+36|0;W=o+16|0;X=o+4|0;Z=o+40|0;_=o+44|0;$=o+48|0;aa=h+4|0;ba=i+4|0;ca=h+4|0;da=i+4|0;ea=a+164|0;fa=h+8|0;ga=h+12|0;ha=h+4|0;ia=i+4|0;ja=i+8|0;ka=i+12|0;la=a+48|0;ma=w+8|0;na=w+12|0;oa=h+8|0;pa=h+4|0;qa=v+36|0;ra=v+16|0;sa=v+4|0;ta=v+40|0;ua=v+44|0;va=v+48|0;wa=t+36|0;xa=t+16|0;ya=t+4|0;za=t+40|0;Aa=t+44|0;Ba=t+48|0;Ca=a+44|0;Da=w+4|0;Ea=a+64|0;Fa=a+68|0;Ga=0;Ha=f[k>>2]|0;do{Ia=f[l>>2]|0;Ja=b[e>>0]|0?1:2;Ka=Ha+(Ga*56|0)+40|0;La=f[Ka>>2]|0;Ma=1;Na=0;do{Ma=Y(f[La+(Na<<2)>>2]|0,Ma)|0;Na=Na+1|0}while((Na|0)<(Ja|0));Ja=Ia+(Ga*56|0)|0;mU(o,Ha+(Ga*56|0)|0,1,Ma);mU(q,Ja,1,Ma);Na=f[Ha+(Ga*56|0)+4>>2]|0;if((Na|0)<3)Oa=Y(f[Ha+(Ga*56|0)+12>>2]|0,f[Ha+(Ga*56|0)+8>>2]|0)|0;else{La=f[Ka>>2]|0;Pa=0;Qa=1;while(1){Ra=Y(f[La+(Pa<<2)>>2]|0,Qa)|0;Pa=Pa+1|0;if((Pa|0)==(Na|0)){Oa=Ra;break}else Qa=Ra}}b:do if((Oa|0)==(Ma|0)){if(f[d>>2]|0){Qa=f[A>>2]|0;if((Qa|0)<3)Sa=Y(f[C>>2]|0,f[B>>2]|0)|0;else{Na=f[O>>2]|0;Pa=0;La=1;while(1){Ka=Y(f[Na+(Pa<<2)>>2]|0,La)|0;Pa=Pa+1|0;if((Pa|0)==(Qa|0)){Sa=Ka;break}else La=Ka}}if(!((Qa|0)==0|(Sa|0)==0)){if((Ma|0)>0)Ta=0;else{Ua=1;break}while(1){La=Ta;Ta=Ta+1|0;f[h>>2]=La;f[D>>2]=Ta;f[i>>2]=-2147483648;f[E>>2]=2147483647;bU(r,q,h,i);p[i>>3]=+n[(f[d>>2]|0)+(La<<2)>>2];f[h>>2]=-1056833530;f[H>>2]=i;f[F>>2]=1;f[G>>2]=1;HI(r,h,sK()|0)|0;La=f[I>>2]|0;if(La|0?(Pa=La+12|0,La=f[Pa>>2]|0,f[Pa>>2]=La+-1,(La|0)==1):0)aU(r);f[I>>2]=0;f[J>>2]=0;f[J+4>>2]=0;f[J+8>>2]=0;f[J+12>>2]=0;if((f[K>>2]|0)>0){La=f[L>>2]|0;Pa=0;do{f[La+(Pa<<2)>>2]=0;Pa=Pa+1|0}while((Pa|0)<(f[K>>2]|0))}Pa=f[M>>2]|0;if((Pa|0)!=(N|0))TC(Pa);if((Ta|0)>=(Ma|0)){Ua=1;break b}}}}p[i>>3]=0.0;f[h>>2]=-1056833530;f[z>>2]=i;f[c>>2]=1;f[y>>2]=1;HI(Ja,h,sK()|0)|0;Ua=1}else{f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;f[r+12>>2]=0;f[r+16>>2]=0;f[r+20>>2]=0;f[r+24>>2]=0;f[r+28>>2]=0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;f[s+16>>2]=0;f[s+20>>2]=0;f[s+24>>2]=0;f[s+28>>2]=0;if((Ma|0)>0){Qa=0;do{Pa=Qa;Qa=Qa+1|0;f[h>>2]=Pa;f[aa>>2]=Qa;f[i>>2]=-2147483648;f[ba>>2]=2147483647;bU(t,o,h,i);f[h>>2]=Pa;f[ca>>2]=Qa;f[i>>2]=-2147483648;f[da>>2]=2147483647;bU(v,q,h,i);if(b[ea>>0]|0){if((Pa|0)<(f[Ea>>2]|0))Va=+n[(f[Fa>>2]|0)+(Pa<<2)>>2];else Va=1.0;if((Pa|0)<(f[C>>2]|0)){Wa=+n[(f[d>>2]|0)+(Pa<<2)>>2];Xa=Va}else{Wa=0.0;Xa=Va}}else{Wa=0.0;Xa=1.0}f[fa>>2]=0;f[ga>>2]=0;f[h>>2]=16842752;f[ha>>2]=t;f[i>>2]=-1040056314;f[ia>>2]=r;f[ja>>2]=1;f[ka>>2]=4;if(!(b[la>>0]|0)){Pa=sK()|0;La=Pa;Na=f[La+4>>2]|0;Ka=w;f[Ka>>2]=f[La>>2];f[Ka+4>>2]=Na;f[ma>>2]=f[Pa+8>>2];Ya=f[Pa+12>>2]|0}else{f[w>>2]=-1023279098;f[Da>>2]=s;f[ma>>2]=1;Ya=4}f[na>>2]=Ya;KC(h,i,w,sK()|0);if(!(b[la>>0]|0))Za=1.0;else Za=1.0/(+n[Ca>>2]+ +p[s>>3]);if(!(b[ea>>0]|0)){_a=-(Za*+p[r>>3]);$a=Za}else{ab=Xa*Za;_a=Wa-ab*+p[r>>3];$a=ab}Pa=oa;f[Pa>>2]=0;f[Pa+4>>2]=0;f[h>>2]=33619968;f[pa>>2]=v;kQ(t,h,f[v>>2]&4095,$a,_a);Pa=f[qa>>2]|0;if(Pa|0?(Na=Pa+12|0,Pa=f[Na>>2]|0,f[Na>>2]=Pa+-1,(Pa|0)==1):0)aU(v);f[qa>>2]=0;f[ra>>2]=0;f[ra+4>>2]=0;f[ra+8>>2]=0;f[ra+12>>2]=0;if((f[sa>>2]|0)>0){Pa=f[ta>>2]|0;Na=0;do{f[Pa+(Na<<2)>>2]=0;Na=Na+1|0}while((Na|0)<(f[sa>>2]|0))}Na=f[ua>>2]|0;if((Na|0)!=(va|0))TC(Na);Na=f[wa>>2]|0;do if(Na|0){Pa=Na+12|0;Ka=f[Pa>>2]|0;f[Pa>>2]=Ka+-1;if((Ka|0)!=1)break;aU(t)}while(0);f[wa>>2]=0;f[xa>>2]=0;f[xa+4>>2]=0;f[xa+8>>2]=0;f[xa+12>>2]=0;if((f[ya>>2]|0)>0){Na=f[za>>2]|0;Ka=0;do{f[Na+(Ka<<2)>>2]=0;Ka=Ka+1|0}while((Ka|0)<(f[ya>>2]|0))}Ka=f[Aa>>2]|0;if((Ka|0)!=(Ba|0))TC(Ka)}while((Qa|0)<(Ma|0))}Ua=0}while(0);Ma=f[P>>2]|0;if(Ma|0?(Ja=Ma+12|0,Ma=f[Ja>>2]|0,f[Ja>>2]=Ma+-1,(Ma|0)==1):0)aU(q);f[P>>2]=0;f[Q>>2]=0;f[Q+4>>2]=0;f[Q+8>>2]=0;f[Q+12>>2]=0;if((f[R>>2]|0)>0){Ma=f[S>>2]|0;Ja=0;do{f[Ma+(Ja<<2)>>2]=0;Ja=Ja+1|0}while((Ja|0)<(f[R>>2]|0))}Ja=f[T>>2]|0;if((Ja|0)!=(U|0))TC(Ja);Ja=f[V>>2]|0;if(Ja|0?(Ma=Ja+12|0,Ja=f[Ma>>2]|0,f[Ma>>2]=Ja+-1,(Ja|0)==1):0)aU(o);f[V>>2]=0;f[W>>2]=0;f[W+4>>2]=0;f[W+8>>2]=0;f[W+12>>2]=0;if((f[X>>2]|0)>0){Ja=f[Z>>2]|0;Ma=0;do{f[Ja+(Ma<<2)>>2]=0;Ma=Ma+1|0}while((Ma|0)<(f[X>>2]|0))}Ma=f[_>>2]|0;if((Ma|0)!=($|0))TC(Ma);Ga=Ga+1|0;if(Ua|0)break a;Ha=f[k>>2]|0}while(Ga>>>0<(((f[x>>2]|0)-Ha|0)/56|0)>>>0)}while(0);ut(m);ut(l);ut(k)}if(!(f[j+4>>2]|0)){u=g;return}u=g;return}function Gqb(a,c){a=a|0;c=c|0;var d=0;if((c|0)!=2){d=(c|0)==3;return d|0}if(b[a+181>>0]|0){d=0;return d|0}if(!(f[a+40>>2]|0)){d=1;return d|0}d=+n[a+44>>2]<=1.0000000116860974e-07;return d|0}function Hqb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function Iqb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;d=f[c>>2]|0;e=a+180|0;if(d|0){if((b[e>>0]|0)==0?(g=a+164|0,(b[g>>0]|0)==0):0){Zh[f[(f[d>>2]|0)+84>>2]&511](d,a+52|0,a+108|0);if(f[a+68>>2]|0){h=f[a+56>>2]|0;if((h|0)<3)i=Y(f[a+64>>2]|0,f[a+60>>2]|0)|0;else{j=f[a+92>>2]|0;k=0;l=1;while(1){m=Y(f[j+(k<<2)>>2]|0,l)|0;k=k+1|0;if((k|0)==(h|0)){i=m;break}else l=m}}if(!((h|0)==0|(i|0)==0)){n=g;o=1;p=o&1;b[n>>0]=p;return o|0}}if(!(f[a+124>>2]|0)){n=g;o=0;p=o&1;b[n>>0]=p;return o|0}i=f[a+112>>2]|0;if((i|0)<3)q=Y(f[a+120>>2]|0,f[a+116>>2]|0)|0;else{h=f[a+148>>2]|0;l=0;k=1;while(1){j=Y(f[h+(l<<2)>>2]|0,k)|0;l=l+1|0;if((l|0)==(i|0)){q=j;break}else k=j}}n=g;o=(i|0)!=0&(q|0)!=0;p=o&1;b[n>>0]=p;return o|0}if((f[a+40>>2]|0)==1){q=ovc(d,19128,20760,0)|0;if(q){d=q;q=f[c+4>>2]|0;if(q|0)Wtc(q);c=a+168|0;if(!q){r=d;s=0;t=c;u=q;v=1}else{Wtc(q);r=d;s=q;t=c;u=q;v=0}}else{r=0;s=0;t=a+168|0;u=0;v=1}f[t>>2]=r;r=a+172|0;t=f[r>>2]|0;f[r>>2]=s;if(t|0)Xtc(t);if(!v)Xtc(u);u=f[a+168>>2]|0;if(u|0)f[a+176>>2]=f[u+44>>2]}}n=e;o=(f[a+168>>2]|0)!=0;p=o&1;b[n>>0]=p;return o|0}function Jqb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;d=u;u=u+16|0;e=d;g=f[c+4>>2]|0;h=f[c>>2]|0;c=h;if((g|0)==(h|0)){i=0;j=0;J=i;u=d;return j|0}k=a+48|0;a=(g-h|0)/12|0;h=0;g=0;a:while(1){l=f[c+(g*12|0)+4>>2]|0;m=f[c+(g*12|0)>>2]|0;n=l-m|0;o=n>>2;p=m;m=(p|0)==(l|0);do if(m){q=0;r=0}else{if((n|0)<0){s=9;break a}if(n){l=1;t=0;do{l=Y(f[p+(t<<2)>>2]|0,l)|0;t=t+1|0}while((t|0)!=(o|0));t=l*6|0;if(m){q=0;r=t;break}else{v=b[k>>0]|0?2:1;w=t}}else{v=b[k>>0]|0?2:1;w=6}if((n|0)<0|(v|0)>(o|0)){s=13;break a}else{x=1;y=0}while(1){t=Y(f[p+(y<<2)>>2]|0,x)|0;y=y+1|0;if((y|0)==(v|0)){q=t;r=w;break}else x=t}}while(0);h=r+h+(q*3|0)|0;g=g+1|0;if(g>>>0>=a>>>0){s=3;break}}if((s|0)==3){i=((h|0)<0)<<31>>31;j=h;J=i;u=d;return j|0}else if((s|0)==9){j=cuc(80)|0;f[e>>2]=j;f[e+8>>2]=-2147483568;f[e+4>>2]=70;z=j;A=475319;B=z+70|0;do{b[z>>0]=b[A>>0]|0;z=z+1|0;A=A+1|0}while((z|0)<(B|0));b[j+70>>0]=0;WD(-215,e,475390,475396,161)}else if((s|0)==13){s=cuc(80)|0;f[e>>2]=s;f[e+8>>2]=-2147483568;f[e+4>>2]=70;z=s;A=475319;B=z+70|0;do{b[z>>0]=b[A>>0]|0;z=z+1|0;A=A+1|0}while((z|0)<(B|0));b[s+70>>0]=0;WD(-215,e,475390,475396,161)}return 0}function Kqb(a,b){a=a|0;b=b|0;var c=0;c=cuc(124)|0;Lqb(c,b);f[a>>2]=c;b=cuc(16)|0;f[b+4>>2]=0;f[b+8>>2]=0;f[b>>2]=134800;f[b+12>>2]=c;f[a+4>>2]=b;return}function Lqb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0.0,W=0;d=u;u=u+64|0;e=d+48|0;g=d+32|0;h=d+16|0;i=d;WMa(a);j=a+48|0;k=a+80|0;f[k>>2]=0;l=a+84|0;f[l>>2]=0;m=a+92|0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;o=a+108|0;f[o>>2]=0;p=a+112|0;f[p>>2]=0;q=j;f[q>>2]=0;f[q+4>>2]=0;f[a>>2]=134828;q=a+89|0;b[q>>0]=1;r=a+88|0;b[r>>0]=0;s=a+56|0;f[s>>2]=1;t=a+60|0;f[t>>2]=1;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;v=e+11|0;b[v>>0]=4;f[e>>2]=1819242352;b[e+4>>0]=0;if(!(cGa(c,e)|0)){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;w=cuc(16)|0;f[g>>2]=w;f[g+8>>2]=-2147483632;f[g+4>>2]=11;x=w;y=466814;z=x+11|0;do{b[x>>0]=b[y>>0]|0;x=x+1|0;y=y+1|0}while((x|0)<(z|0));b[w+11>>0]=0;if(!(cGa(c,g)|0)){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;w=h+11|0;b[w>>0]=8;A=h;f[A>>2]=1852990827;f[A+4>>2]=2002742373;b[h+8>>0]=0;if(!(cGa(c,h)|0)){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;A=i+11|0;b[A>>0]=8;B=i;f[B>>2]=1852990827;f[B+4>>2]=1751084133;b[i+8>>0]=0;B=(cGa(c,i)|0)!=0;if((b[A>>0]|0)<0)fuc(f[i>>2]|0);C=B}else C=1;if((b[w>>0]|0)<0)fuc(f[h>>2]|0);D=C}else D=1;if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);E=D}else E=1;if((b[v>>0]|0)<0)fuc(f[e>>2]|0);do if(E){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;v=h+11|0;b[v>>0]=4;f[h>>2]=1819242352;b[h+4>>0]=0;D=i+4|0;f[D>>2]=0;f[D+4>>2]=0;D=i+11|0;b[D>>0]=3;b[i>>0]=b[463157]|0;b[i+1>>0]=b[463158]|0;b[i+2>>0]=b[463159]|0;b[i+3>>0]=0;C=gEa(c,h)|0;if((C|0)==(c+4|0))ouc(g,i);else jGa(g,C+28|0,-1);ouc(e,g);C=e+11|0;w=b[C>>0]|0;B=w<<24>>24<0;A=f[e>>2]|0;F=e+4|0;G=B?A+(f[F>>2]|0)|0:e+(w&255)|0;w=B?A:e;if((w|0)!=(G|0)){A=w;do{w=(Uec(b[A>>0]|0)|0)&255;b[A>>0]=w;A=A+1|0}while((A|0)!=(G|0))}if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);if((b[D>>0]|0)<0)fuc(f[i>>2]|0);if((b[v>>0]|0)<0)fuc(f[h>>2]|0);G=b[C>>0]|0;A=f[F>>2]|0;if(((G<<24>>24<0?A:G&255)|0)==3)if(!(Puc(e,0,-1,463157,3)|0))H=0;else{I=b[C>>0]|0;K=f[F>>2]|0;L=30}else{I=G;K=A;L=30}do if((L|0)==30){if(((I<<24>>24<0?K:I&255)|0)==3){if(!(Puc(e,0,-1,463161,3)|0)){H=1;break}M=b[C>>0]|0;N=f[F>>2]|0}else{M=I;N=K}if(((M<<24>>24<0?N:M&255)|0)!=10){nEa(h,463176,e);O=Duc(h,517029)|0;f[g>>2]=f[O>>2];f[g+4>>2]=f[O+4>>2];f[g+8>>2]=f[O+8>>2];f[O>>2]=0;f[O+4>>2]=0;f[O+8>>2]=0;WD(-5,g,463199,463216,87)}if(!(Puc(e,0,-1,463165,10)|0))H=2;else{nEa(h,463176,e);O=Duc(h,517029)|0;f[g>>2]=f[O>>2];f[g+4>>2]=f[O+4>>2];f[g+8>>2]=f[O+8>>2];f[O>>2]=0;f[O+4>>2]=0;f[O+8>>2]=0;WD(-5,g,463199,463216,87)}}while(0);f[a+44>>2]=H;F=a+68|0;v=a+64|0;fsb(c,a+52|0,j,r,F,v,a+76|0,a+72|0,t,s,m);f[k>>2]=f[v>>2];f[l>>2]=f[F>>2];if((b[C>>0]|0)<0)fuc(f[e>>2]|0)}else{f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;F=e+11|0;b[F>>0]=8;v=e;f[v>>2]=1819242352;f[v+4>>2]=2002740325;b[e+8>>0]=0;if(!(cGa(c,e)|0)){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;v=g+11|0;b[v>>0]=8;D=g;f[D>>2]=1819242352;f[D+4>>2]=1751082085;b[g+8>>0]=0;D=(cGa(c,g)|0)!=0;if((b[v>>0]|0)<0)fuc(f[g>>2]|0);P=D}else P=1;if((b[F>>0]|0)<0)fuc(f[e>>2]|0);if(P){f[a+44>>2]=3;b[q>>0]=0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;F=e+11|0;b[F>>0]=8;D=e;f[D>>2]=1819242352;f[D+4>>2]=2002740325;b[e+8>>0]=0;D=gEa(c,e)|0;v=c+4|0;if((D|0)==(v|0))Q=1;else{A=hEa(D+28|0,-1)|0;Q=A}f[o>>2]=Q;if((b[F>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;F=e+11|0;b[F>>0]=8;A=e;f[A>>2]=1819242352;f[A+4>>2]=1751082085;b[e+8>>0]=0;A=gEa(c,e)|0;if((A|0)==(v|0))R=1;else{v=hEa(A+28|0,-1)|0;R=v}f[p>>2]=R;if((b[F>>0]|0)<0)fuc(f[e>>2]|0);break}F=e+11|0;b[F>>0]=10;x=e;y=463297;z=x+10|0;do{b[x>>0]=b[y>>0]|0;x=x+1|0;y=y+1|0}while((x|0)<(z|0));b[e+10>>0]=0;if(!(cGa(c,e)|0))S=0;else{C=g+11|0;b[C>>0]=10;x=g;y=463308;z=x+10|0;do{b[x>>0]=b[y>>0]|0;x=x+1|0;y=y+1|0}while((x|0)<(z|0));b[g+10>>0]=0;v=(cGa(c,g)|0)!=0;if((b[C>>0]|0)<0)fuc(f[g>>2]|0);S=v}if((b[F>>0]|0)<0)fuc(f[e>>2]|0);if(!S){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;v=cuc(32)|0;f[e>>2]=v;f[e+8>>2]=-2147483616;f[e+4>>2]=29;x=v;y=463319;z=x+29|0;do{b[x>>0]=b[y>>0]|0;x=x+1|0;y=y+1|0}while((x|0)<(z|0));b[v+29>>0]=0;WD(-5,e,463199,463216,110)}f[a+44>>2]=4;F=e+11|0;b[F>>0]=10;x=e;y=463308;z=x+10|0;do{b[x>>0]=b[y>>0]|0;x=x+1|0;y=y+1|0}while((x|0)<(z|0));b[e+10>>0]=0;v=hEa(iGa(c,e)|0,-1)|0;f[o>>2]=v;if((b[F>>0]|0)<0){fuc(f[e>>2]|0);T=f[o>>2]|0}else T=v;f[p>>2]=T;v=e+11|0;b[v>>0]=10;x=e;y=463297;z=x+10|0;do{b[x>>0]=b[y>>0]|0;x=x+1|0;y=y+1|0}while((x|0)<(z|0));b[e+10>>0]=0;F=hEa(iGa(c,e)|0,-1)|0;f[a+120>>2]=F;if((b[v>>0]|0)<0)fuc(f[e>>2]|0)}while(0);XMa(a,c);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;T=e+11|0;b[T>>0]=9;x=e;y=463349;z=x+9|0;do{b[x>>0]=b[y>>0]|0;x=x+1|0;y=y+1|0}while((x|0)<(z|0));b[e+9>>0]=0;p=gEa(c,e)|0;o=c+4|0;if((p|0)==(o|0))U=1;else{S=hEa(p+28|0,-1)|0;U=((S|0)!=0|(J|0)!=0)&1}b[a+104>>0]=U;if((b[T>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;T=cuc(16)|0;f[e>>2]=T;f[e+8>>2]=-2147483632;f[e+4>>2]=13;x=T;y=463359;z=x+13|0;do{b[x>>0]=b[y>>0]|0;x=x+1|0;y=y+1|0}while((x|0)<(z|0));b[T+13>>0]=0;T=gEa(c,e)|0;if((T|0)==(o|0))V=1.0;else V=+iEa(T+28|0,-1);n[a+116>>2]=V;if((b[e+11>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;T=cuc(32)|0;f[e>>2]=T;f[e+8>>2]=-2147483616;f[e+4>>2]=20;x=T;y=463373;z=x+20|0;do{b[x>>0]=b[y>>0]|0;x=x+1|0;y=y+1|0}while((x|0)<(z|0));b[T+20>>0]=0;T=gEa(c,e)|0;if((T|0)==(o|0))W=1;else{o=hEa(T+28|0,-1)|0;W=((o|0)!=0|(J|0)!=0)&1}b[a+105>>0]=W;if((b[e+11>>0]|0)>=0){u=d;return}fuc(f[e>>2]|0);u=d;return}function Mqb(a){a=a|0;Qtc(a);fuc(a);return}function Nqb(a){a=a|0;var b=0;b=f[a+12>>2]|0;if(!b)return;bi[f[(f[b>>2]|0)+4>>2]&2047](b);return}function Oqb(a,b){a=a|0;b=b|0;return ((f[b+4>>2]|0)==462998?a+12|0:0)|0}function Pqb(a){a=a|0;fuc(a);return}function Qqb(a){a=a|0;var c=0;f[a>>2]=134944;c=a+92|0;if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);pKa(a);return}function Rqb(a){a=a|0;var c=0;f[a>>2]=134944;c=a+92|0;if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);pKa(a);fuc(a);return}function Sqb(a){a=a|0;var c=0;f[a>>2]=134944;c=a+92|0;if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);pKa(a);fuc(a);return}function Tqb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=u;u=u+64|0;g=e+40|0;h=e+28|0;i=e+16|0;j=e+8|0;k=e;f[g>>2]=0;l=g+4|0;f[l>>2]=0;f[g+8>>2]=0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;sJ(c,g);sJ(d,h);d=f[g>>2]|0;if((d|0)==(f[l>>2]|0)){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;l=cuc(16)|0;f[i>>2]=l;f[i+8>>2]=-2147483632;f[i+4>>2]=15;c=l;m=464122;n=c+15|0;do{b[c>>0]=b[m>>0]|0;c=c+1|0;m=m+1|0}while((c|0)<(n|0));b[l+15>>0]=0;WD(-215,i,476610,463216,127)}l=f[d+40>>2]|0;d=f[l+12>>2]|0;m=f[l+8>>2]|0;f[i>>2]=d;f[i+4>>2]=m;l=f[(f[h>>2]|0)+40>>2]|0;c=f[l+8>>2]|0;f[j>>2]=f[l+12>>2];f[j+4>>2]=c;if(b[a+88>>0]|0){f[a+48>>2]=d;f[a+52>>2]=m}f[k>>2]=1;f[k+4>>2]=1;m=a+68|0;d=a+64|0;isb(i,j,a+48|0,a+56|0,a+92|0,k,m,d,a+76|0,a+72|0);f[a+80>>2]=f[d>>2];f[a+84>>2]=f[m>>2];ut(h);ut(g);u=e;return}function Uqb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;g=u;u=u+48|0;h=g+40|0;i=g+24|0;j=g+12|0;k=g;gV(h,135044);if(f[h>>2]|0){}if((CJ(c,-1)|0)==3)JKa(a,c,d,e);else{f[i>>2]=0;e=i+4|0;f[e>>2]=0;f[i+8>>2]=0;f[j>>2]=0;l=j+4|0;f[l>>2]=0;f[j+8>>2]=0;sJ(c,i);sJ(d,j);a:do switch(f[a+44>>2]|0){case 0:{d=f[i>>2]|0;c=d;if(((f[e>>2]|0)-d|0)!=56){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;d=cuc(32)|0;f[k>>2]=d;f[k+8>>2]=-2147483616;f[k+4>>2]=18;m=d;n=477051;o=m+18|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));b[d+18>>0]=0;WD(-215,k,477126,463216,232)}p=f[j>>2]|0;q=p;if(((f[l>>2]|0)-p|0)==112){brb(a,c,q,q+56|0);break a}else{f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;q=cuc(32)|0;f[k>>2]=q;f[k+8>>2]=-2147483616;f[k+4>>2]=19;m=q;n=463569;o=m+19|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));b[q+19>>0]=0;WD(-215,k,477126,463216,232)}break}case 1:{c=f[i>>2]|0;d=c;if(((f[e>>2]|0)-c|0)!=56){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;c=cuc(32)|0;f[k>>2]=c;f[k+8>>2]=-2147483616;f[k+4>>2]=18;m=c;n=477051;o=m+18|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));b[c+18>>0]=0;WD(-215,k,477126,463216,236)}q=f[j>>2]|0;if(((f[l>>2]|0)-q|0)==56){crb(a,d,q);break a}else{f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;q=cuc(32)|0;f[k>>2]=q;f[k+8>>2]=-2147483616;f[k+4>>2]=19;m=q;n=472630;o=m+19|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));b[q+19>>0]=0;WD(-215,k,477126,463216,236)}break}case 4:case 3:{d=f[i>>2]|0;c=d;if(((f[e>>2]|0)-d|0)!=112){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;d=cuc(32)|0;f[k>>2]=d;f[k+8>>2]=-2147483616;f[k+4>>2]=18;m=d;n=476387;o=m+18|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));b[d+18>>0]=0;WD(-215,k,477126,463216,240)}q=f[j>>2]|0;if(((f[l>>2]|0)-q|0)==56){drb(a,c,c+56|0,q);break a}else{f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;q=cuc(32)|0;f[k>>2]=q;f[k+8>>2]=-2147483616;f[k+4>>2]=19;m=q;n=472630;o=m+19|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));b[q+19>>0]=0;WD(-215,k,477126,463216,240)}break}default:{f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;c=cuc(16)|0;f[k>>2]=c;f[k+8>>2]=-2147483632;f[k+4>>2]=15;m=c;n=463589;o=m+15|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));b[c+15>>0]=0;WD(-213,k,477126,463216,244)}}while(0);ut(j);ut(i)}if(!(f[h+4>>2]|0)){u=g;return}u=g;return}function Vqb(a,b){a=a|0;b=b|0;var c=0,d=0;a:do switch(b|0){case 2:{c=f[a+44>>2]|0;if((f[a+40>>2]|0)==3){d=(c|1|0)==1;break a}else{d=(c|0)!=2;break a}break}case 3:{d=1;break}case 1:{if(aNa()|0){switch(f[a+44>>2]|0){case 0:{d=1;break a;break}case 1:break;default:{d=0;break a}}if(((f[a+68>>2]|0)==0?(f[a+64>>2]|0)==0:0)?(f[a+76>>2]|0)==0:0)d=(f[a+72>>2]|0)==0;else d=0}else d=0;break}default:d=0}while(0);return d|0}function Wqb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function Xqb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function Yqb(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return}function Zqb(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0.0,G=0,H=0,I=0.0,J=0,L=0.0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0;g=u;u=u+64|0;d=g+40|0;h=g+32|0;i=g+16|0;j=g;k=c+4|0;l=f[c>>2]|0;m=l;if((f[k>>2]|0)==(l|0)){n=cuc(32)|0;f[d>>2]=n;f[d+8>>2]=-2147483616;f[d+4>>2]=18;o=n;p=474226;q=o+18|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[n+18>>0]=0;WD(-215,d,477070,463216,854)}n=f[m>>2]|0;r=f[n+12>>2]|0;s=f[n+8>>2]|0;f[d>>2]=r;f[d+4>>2]=s;f[h>>2]=0;t=h+4|0;f[t>>2]=0;do if(!(b[a+88>>0]|0)){v=a+44|0;if(((f[v>>2]|0)+-3|0)>>>0<2){w=f[a+112>>2]|0;f[t>>2]=w;x=f[a+108>>2]|0;f[h>>2]=x;y=v;z=n;A=w;B=x;C=l;D=m;break}x=a+92|0;w=b[x+11>>0]|0;if(w<<24>>24<0)E=f[a+96>>2]|0;else E=w&255;if(E|0){f[i>>2]=1;f[i+4>>2]=1;hsb(d,a+48|0,a+56|0,x,i,h);x=f[c>>2]|0;y=v;z=f[x>>2]|0;A=f[t>>2]|0;B=f[h>>2]|0;C=x;D=x;break}x=f[a+76>>2]|0;w=f[a+60>>2]|0;F=+((f[a+68>>2]|0)+s+x-(f[a+52>>2]|0)|0)/+(w|0);G=f[a+72>>2]|0;H=f[a+56>>2]|0;I=+((f[a+64>>2]|0)+r+G-(f[a+48>>2]|0)|0)/+(H|0);if(!(b[a+104>>0]|0)){J=~~(+K(+F)+1.0);f[t>>2]=J;L=+K(+I);M=J}else{J=~~(+X(+F)+1.0);f[t>>2]=J;L=+X(+I);M=J}J=~~(L+1.0);f[h>>2]=J;if(x|G){N=M+-1|0;O=s+x|0;if((Y(N,w)|0)<(O|0))P=M;else{f[t>>2]=N;P=N}N=J+-1|0;x=r+G|0;if((Y(N,H)|0)<(x|0))Q=J;else{f[h>>2]=N;Q=N}if((Y(P+-1|0,w)|0)>=(O|0)){O=cuc(64)|0;f[i>>2]=O;f[i+8>>2]=-2147483584;f[i+4>>2]=52;o=O;p=463394;q=o+52|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[O+52>>0]=0;WD(-215,i,477070,463216,882)}if((Y(Q+-1|0,H)|0)<(x|0)){y=v;z=n;A=P;B=Q;C=l;D=m}else{w=cuc(64)|0;f[i>>2]=w;f[i+8>>2]=-2147483584;f[i+4>>2]=49;o=w;p=463447;q=o+49|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[w+49>>0]=0;WD(-215,i,477070,463216,883)}}else{y=v;z=n;A=M;B=J;C=l;D=m}}else{f[t>>2]=1;f[h>>2]=1;y=a+44|0;z=n;A=1;B=1;C=l;D=m}while(0);f[i>>2]=f[z>>2];m=z+4|0;f[i+4>>2]=f[m>>2];f[i+8>>2]=A;f[i+12>>2]=B;B=f[y>>2]|0;a:do switch(B|0){case 3:{if(((f[k>>2]|0)-C|0)==24){R=0;S=f[f[D+12>>2]>>2]|0;T=33;break a}else{y=cuc(32)|0;f[j>>2]=y;f[j+8>>2]=-2147483616;f[j+4>>2]=18;o=y;p=476387;q=o+18|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[y+18>>0]=0;WD(-215,j,477070,463216,894)}break}case 4:{if(((f[k>>2]|0)-C|0)!=24){J=cuc(32)|0;f[j>>2]=J;f[j+8>>2]=-2147483616;f[j+4>>2]=18;o=J;p=476387;q=o+18|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[J+18>>0]=0;WD(-215,j,477070,463216,899)}y=f[a+120>>2]|0;if((Y(Y(f[a+108>>2]|0,y)|0,f[a+112>>2]|0)|0)==(f[m>>2]|0)){f[i>>2]=f[f[D+12>>2]>>2];R=1;S=y;T=33;break a}else{y=cuc(80)|0;f[j>>2]=y;f[j+8>>2]=-2147483568;f[j+4>>2]=71;o=y;p=463497;q=o+71|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[y+71>>0]=0;WD(-215,j,477070,463216,900)}break}default:{}}while(0);if((T|0)==33)f[i+(R<<2)>>2]=S;f[j>>2]=0;S=j+4|0;f[S>>2]=0;f[j+8>>2]=0;KKa(j,i,i+16|0);IKa(e,(B|0)==0?2:1,j);B=f[j>>2]|0;if(!B){u=g;return 0}j=f[S>>2]|0;if((j|0)!=(B|0))f[S>>2]=j+(~((j+-4-B|0)>>>2)<<2);fuc(B);u=g;return 0}function _qb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;c=u;u=u+16|0;e=c;g=f[d+4>>2]|0;h=f[d>>2]|0;d=h;if((g|0)==(h|0)){i=0;j=(i|0)<0;k=j<<31>>31;J=k;u=c;return i|0}l=a+48|0;m=a+52|0;n=(g-h|0)/12|0;if(f[a+44>>2]|0){a=0;h=0;while(1){g=f[d+(h*12|0)+4>>2]|0;o=f[d+(h*12|0)>>2]|0;p=g-o|0;q=p>>2;r=o;if((r|0)!=(g|0)){if((p|0)<=-4){s=15;break}if((p|0)>0){p=0;g=1;while(1){o=Y(f[r+(p<<2)>>2]|0,g)|0;p=p+1|0;if((p|0)>=(q|0)){t=o;break}else g=o}}else t=1}else t=0;g=(Y((Y(f[m>>2]|0,f[l>>2]|0)|0)+1|0,t)|0)+a|0;h=h+1|0;if(h>>>0>=n>>>0){i=g;s=10;break}else a=g}if((s|0)==10){j=(i|0)<0;k=j<<31>>31;J=k;u=c;return i|0}else if((s|0)==15){a=cuc(80)|0;f[e>>2]=a;f[e+8>>2]=-2147483568;f[e+4>>2]=70;v=a;w=475319;x=v+70|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));b[a+70>>0]=0;WD(-215,e,475390,475396,161)}}else{y=0;z=0}while(1){if(!(z&1)){a=f[d+(z*12|0)+4>>2]|0;h=f[d+(z*12|0)>>2]|0;t=a-h|0;g=t>>2;q=h;if((q|0)!=(a|0)){if((t|0)<=-4){s=12;break}if((t|0)>0){t=0;a=1;while(1){h=Y(f[q+(t<<2)>>2]|0,a)|0;t=t+1|0;if((t|0)>=(g|0)){A=h;break}else a=h}}else A=1}else A=0;B=(Y(Y(f[l>>2]|0,A)|0,f[m>>2]|0)|0)+y|0}else B=y;z=z+1|0;if(z>>>0>=n>>>0){i=B;s=10;break}else y=B}if((s|0)==10){j=(i|0)<0;k=j<<31>>31;J=k;u=c;return i|0}else if((s|0)==12){s=cuc(80)|0;f[e>>2]=s;f[e+8>>2]=-2147483568;f[e+4>>2]=70;v=s;w=475319;x=v+70|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));b[s+70>>0]=0;WD(-215,e,475390,475396,161)}return 0}function $qb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function arb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function brb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0;g=u;u=u+80|0;h=g+16|0;i=g+8|0;j=g;k=tZ()|0;f[h>>2]=1124007936;l=h+4|0;m=h+8|0;o=h+40|0;p=l;q=p+36|0;do{f[p>>2]=0;p=p+4|0}while((p|0)<(q|0));f[o>>2]=m;m=h+48|0;p=h+44|0;f[p>>2]=m;f[m>>2]=0;f[h+52>>2]=0;f[i>>2]=f[a+48>>2];f[i+4>>2]=f[a+52>>2];f[j>>2]=f[a+56>>2];f[j+4>>2]=f[a+60>>2];erb(c,h,d,e,i,j,f[a+64>>2]|0,f[a+68>>2]|0,f[a+72>>2]|0,f[a+76>>2]|0,(b[a+105>>0]|0)!=0,f[a+44>>2]|0,+n[a+116>>2],(b[a+89>>0]|0)!=0,k);k=h+36|0;a=f[k>>2]|0;if(a|0?(j=a+12|0,a=f[j>>2]|0,f[j>>2]=a+-1,(a|0)==1):0)aU(h);f[k>>2]=0;k=h+16|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;if((f[l>>2]|0)>0){k=f[o>>2]|0;o=0;do{f[k+(o<<2)>>2]=0;o=o+1|0}while((o|0)<(f[l>>2]|0))}l=f[p>>2]|0;if((l|0)==(m|0)){u=g;return}TC(l);u=g;return}function crb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;e=u;u=u+128|0;g=e+72|0;h=e+16|0;i=e+8|0;j=e;k=tZ()|0;f[g>>2]=1124007936;l=g+4|0;m=g+8|0;o=g+40|0;p=l;q=p+36|0;do{f[p>>2]=0;p=p+4|0}while((p|0)<(q|0));f[o>>2]=m;m=g+48|0;r=g+44|0;f[r>>2]=m;f[m>>2]=0;f[g+52>>2]=0;f[h>>2]=1124007936;s=h+4|0;t=h+8|0;v=h+40|0;p=s;q=p+36|0;do{f[p>>2]=0;p=p+4|0}while((p|0)<(q|0));f[v>>2]=t;t=h+48|0;p=h+44|0;f[p>>2]=t;f[t>>2]=0;f[h+52>>2]=0;f[i>>2]=f[a+48>>2];f[i+4>>2]=f[a+52>>2];f[j>>2]=f[a+56>>2];f[j+4>>2]=f[a+60>>2];erb(c,g,d,h,i,j,f[a+64>>2]|0,f[a+68>>2]|0,f[a+72>>2]|0,f[a+76>>2]|0,(b[a+105>>0]|0)!=0,f[a+44>>2]|0,+n[a+116>>2],(b[a+89>>0]|0)!=0,k);k=h+36|0;a=f[k>>2]|0;if(a|0?(j=a+12|0,a=f[j>>2]|0,f[j>>2]=a+-1,(a|0)==1):0)aU(h);f[k>>2]=0;k=h+16|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;if((f[s>>2]|0)>0){k=f[v>>2]|0;v=0;do{f[k+(v<<2)>>2]=0;v=v+1|0}while((v|0)<(f[s>>2]|0))}s=f[p>>2]|0;if((s|0)!=(t|0))TC(s);s=g+36|0;t=f[s>>2]|0;if(t|0?(p=t+12|0,t=f[p>>2]|0,f[p>>2]=t+-1,(t|0)==1):0)aU(g);f[s>>2]=0;s=g+16|0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;if((f[l>>2]|0)>0){s=f[o>>2]|0;o=0;do{f[s+(o<<2)>>2]=0;o=o+1|0}while((o|0)<(f[l>>2]|0))}l=f[r>>2]|0;if((l|0)==(m|0)){u=e;return}TC(l);u=e;return}function drb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0;g=u;u=u+80|0;h=g+16|0;i=g+8|0;j=g;k=tZ()|0;f[h>>2]=1124007936;l=h+4|0;m=h+8|0;o=h+40|0;p=l;q=p+36|0;do{f[p>>2]=0;p=p+4|0}while((p|0)<(q|0));f[o>>2]=m;m=h+48|0;p=h+44|0;f[p>>2]=m;f[m>>2]=0;f[h+52>>2]=0;f[i>>2]=f[a+48>>2];f[i+4>>2]=f[a+52>>2];f[j>>2]=f[a+56>>2];f[j+4>>2]=f[a+60>>2];erb(c,d,e,h,i,j,f[a+64>>2]|0,f[a+68>>2]|0,f[a+72>>2]|0,f[a+76>>2]|0,(b[a+105>>0]|0)!=0,f[a+44>>2]|0,+n[a+116>>2],(b[a+89>>0]|0)!=0,k);k=h+36|0;a=f[k>>2]|0;if(a|0?(j=a+12|0,a=f[j>>2]|0,f[j>>2]=a+-1,(a|0)==1):0)aU(h);f[k>>2]=0;k=h+16|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;if((f[l>>2]|0)>0){k=f[o>>2]|0;o=0;do{f[k+(o<<2)>>2]=0;o=o+1|0}while((o|0)<(f[l>>2]|0))}l=f[p>>2]|0;if((l|0)==(m|0)){u=g;return}TC(l);u=g;return}function erb(a,c,d,e,g,h,i,j,k,l,m,o,p,q,r){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;o=o|0;p=+p;q=q|0;r=r|0;var s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0;s=u;u=u+96|0;t=s+8|0;v=s;w=m&1;m=q&1;x=f[a>>2]|0;if(!(x&16384)){y=cuc(32)|0;f[t>>2]=y;f[t+8>>2]=-2147483616;f[t+4>>2]=18;z=y;A=463605;B=z+18|0;do{b[z>>0]=b[A>>0]|0;z=z+1|0;A=A+1|0}while((z|0)<(B|0));b[y+18>>0]=0;WD(-215,t,472820,463216,337)}y=f[d>>2]|0;if(!(y&16384)){C=cuc(32)|0;f[t>>2]=C;f[t+8>>2]=-2147483616;f[t+4>>2]=18;z=C;A=463624;B=z+18|0;do{b[z>>0]=b[A>>0]|0;z=z+1|0;A=A+1|0}while((z|0)<(B|0));b[C+18>>0]=0;WD(-215,t,472820,463216,337)}if((x&4095|0)!=5){C=cuc(16)|0;f[t>>2]=C;f[t+8>>2]=-2147483632;f[t+4>>2]=15;z=C;A=463643;B=z+15|0;do{b[z>>0]=b[A>>0]|0;z=z+1|0;A=A+1|0}while((z|0)<(B|0));b[C+15>>0]=0;WD(-215,t,472820,463216,337)}if((y&4095|0)!=5){y=cuc(32)|0;f[t>>2]=y;f[t+8>>2]=-2147483616;f[t+4>>2]=24;z=y;A=463659;B=z+24|0;do{b[z>>0]=b[A>>0]|0;z=z+1|0;A=A+1|0}while((z|0)<(B|0));b[y+24>>0]=0;WD(-215,t,472820,463216,337)}if((f[a+4>>2]|0)!=4){y=cuc(16)|0;f[t>>2]=y;f[t+8>>2]=-2147483632;f[t+4>>2]=13;z=y;A=463684;B=z+13|0;do{b[z>>0]=b[A>>0]|0;z=z+1|0;A=A+1|0}while((z|0)<(B|0));b[y+13>>0]=0;WD(-215,t,472820,463216,337)}if((f[d+4>>2]|0)!=4){y=cuc(16)|0;f[t>>2]=y;f[t+8>>2]=-2147483632;f[t+4>>2]=13;z=y;A=463698;B=z+13|0;do{b[z>>0]=b[A>>0]|0;z=z+1|0;A=A+1|0}while((z|0)<(B|0));b[y+13>>0]=0;WD(-215,t,472820,463216,337)}y=(o|0)==4;C=f[d+40>>2]|0;D=f[C>>2]|0;if(!((o+-3|0)>>>0<2?(D|0)==(f[f[c+40>>2]>>2]|0):0))E=15;if((E|0)==15?(f[f[a+40>>2]>>2]|0)!=(D|0):0){E=cuc(112)|0;f[t>>2]=E;f[t+8>>2]=-2147483536;f[t+4>>2]=106;z=E;A=463712;B=z+106|0;do{b[z>>0]=b[A>>0]|0;z=z+1|0;A=A+1|0}while((z|0)<(B|0));b[E+106>>0]=0;WD(-215,t,472820,463216,337)}if(!y?(f[(f[a+40>>2]|0)+4>>2]|0)!=(f[C+4>>2]|0):0){y=cuc(64)|0;f[t>>2]=y;f[t+8>>2]=-2147483584;f[t+4>>2]=50;z=y;A=463819;B=z+50|0;do{b[z>>0]=b[A>>0]|0;z=z+1|0;A=A+1|0}while((z|0)<(B|0));b[y+50>>0]=0;WD(-215,t,472820,463216,337)}a:do if(f[e+16>>2]|0){y=f[e+4>>2]|0;if((y|0)<3)F=Y(f[e+12>>2]|0,f[e+8>>2]|0)|0;else{E=f[e+40>>2]|0;G=0;H=1;while(1){I=Y(f[E+(G<<2)>>2]|0,H)|0;G=G+1|0;if((G|0)==(y|0)){F=I;break}else H=I}}if(!((y|0)==0|(F|0)==0)){do if(((x^f[e>>2])&4095|0)==0?(H=f[e+40>>2]|0,G=f[H+-4>>2]|0,(G|0)==(f[C+-4>>2]|0)):0){if((G|0)==2){if((f[H>>2]|0)!=(D|0))break;if((f[H+4>>2]|0)==(f[C+4>>2]|0))break a;else break}if((G|0)<=0)break a;if((f[H>>2]|0)==(D|0)){E=1;while(1){if((E|0)>=(G|0))break a;if((f[H+(E<<2)>>2]|0)==(f[C+(E<<2)>>2]|0))E=E+1|0;else break}}}while(0);y=cuc(80)|0;f[t>>2]=y;f[t+8>>2]=-2147483568;f[t+4>>2]=70;z=y;A=463870;B=z+70|0;do{b[z>>0]=b[A>>0]|0;z=z+1|0;A=A+1|0}while((z|0)<(B|0));b[y+70>>0]=0;WD(-215,t,472820,463216,337)}}while(0);f[t>>2]=135084;A=t+64|0;f[A>>2]=0;f[A+4>>2]=0;f[A+8>>2]=0;f[t+4>>2]=a;f[t+8>>2]=c;f[t+12>>2]=d;f[t+16>>2]=e;e=f[g>>2]|0;f[t+20>>2]=e;d=g+4|0;c=f[d>>2]|0;f[t+24>>2]=c;f[t+28>>2]=f[h>>2];f[t+32>>2]=f[h+4>>2];f[t+36>>2]=i;f[t+40>>2]=j;f[t+44>>2]=k;f[t+48>>2]=l;b[t+52>>0]=w;f[t+56>>2]=r;b[t+60>>0]=m;f[t+76>>2]=o;n[t+80>>2]=p;if(!q){q=t+64|0;o=Y(c,e)|0;if(!o)J=c;else{OJ(q,o);J=f[d>>2]|0}if((J|0)>0){o=(f[a+40>>2]|0)+12|0;a=f[q>>2]|0;q=0;c=f[g>>2]|0;e=J;while(1){if((c|0)>0){J=0;m=c;do{w=(Y(f[o>>2]|0,q)|0)+J|0;l=a+((Y(m,q)|0)+J<<2)|0;f[l>>2]=w;J=J+1|0;m=f[g>>2]|0}while((J|0)<(m|0));K=f[d>>2]|0;L=m}else{K=e;L=c}q=q+1|0;if((q|0)>=(K|0))break;else{c=L;e=K}}}}f[v>>2]=0;f[v+4>>2]=r;sZ(v,t,+(r|0));f[t>>2]=135084;r=f[A>>2]|0;if(!r){u=s;return}A=t+68|0;t=f[A>>2]|0;if((t|0)!=(r|0))f[A>>2]=t+(~((t+-4-r|0)>>>2)<<2);fuc(r);u=s;return}function frb(a){a=a|0;var b=0,c=0;f[a>>2]=135084;b=f[a+64>>2]|0;if(!b)return;c=a+68|0;a=f[c>>2]|0;if((a|0)!=(b|0))f[c>>2]=a+(~((a+-4-b|0)>>>2)<<2);fuc(b);return}function grb(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=135084;b=f[a+64>>2]|0;if(!b){fuc(a);return}c=a+68|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b);fuc(a);return}function hrb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0.0,E=0,F=0,G=0,H=0.0,I=0,J=0,L=0,M=0,N=0,O=0.0,P=0.0,Q=0,R=0.0,S=0,T=0,U=0,V=0,W=0.0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0.0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0.0,ya=0,za=0.0,Aa=0.0,Ba=0.0,Ca=0,Da=0.0,Ea=0.0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0;d=u;u=u+16|0;e=d;g=a+12|0;h=f[g>>2]|0;i=f[h+40>>2]|0;j=f[i+4>>2]|0;k=f[i+12>>2]|0;l=f[i+8>>2]|0;m=a+4|0;o=f[(f[m>>2]|0)+40>>2]|0;p=f[o+12>>2]|0;q=f[o+8>>2]|0;o=f[h+4>>2]|0;if((o|0)<3)r=Y(f[h+12>>2]|0,f[h+8>>2]|0)|0;else{h=0;t=1;while(1){v=Y(f[i+(h<<2)>>2]|0,t)|0;h=h+1|0;if((h|0)==(o|0)){r=v;break}else t=v}}t=f[a+56>>2]|0;o=((r+-1+t|0)>>>0)/(t>>>0)|0;t=Y(f[c>>2]|0,o)|0;h=Y(f[c+4>>2]|0,o)|0;o=r>>>0<h>>>0?r:h;h=f[a+20>>2]|0;r=f[a+24>>2]|0;c=f[a+28>>2]|0;i=f[a+32>>2]|0;v=(b[a+60>>0]|0)!=0;if(o>>>0<=t>>>0){u=d;return}w=a+76|0;x=f[w>>2]|0;y=a+40|0;z=a+48|0;A=a+16|0;B=a+8|0;C=a+80|0;D=+(k|0);E=a+36|0;F=a+44|0;G=a+52|0;H=+(l|0);a=t;a:while(1){t=(a>>>0)%(k>>>0)|0;I=(a>>>0)/(k>>>0)|0;J=(I>>>0)%(l>>>0)|0;L=(I>>>0)/(l>>>0)|0;I=(L>>>0)%(j>>>0)|0;M=(L>>>0)/(j>>>0)|0;switch(x|0){case 3:{L=f[B>>2]|0;N=(f[L+16>>2]|0)+(Y(f[f[L+44>>2]>>2]|0,M)|0)|0;O=+n[C>>2];P=+n[N+8>>2]*O;L=~~(P+(P>=0.0?.5:-.5));P=O*+n[N+16>>2];Q=~~(P+(P>=0.0?.5:-.5))-L+1|0;P=+(((Q|0)>1?Q:1)|0)/H;O=+(L|0);R=+n[N>>2];N=f[m>>2]|0;if(!(R<+(f[f[N+40>>2]>>2]|0))){S=10;break a}L=~~(O+ +X(+(+(J+1|0)*P)));Q=f[N+44>>2]|0;T=(f[N+16>>2]|0)+(Y(f[Q>>2]|0,~~R)|0)+(Y(f[Q+4>>2]|0,I)|0)|0;U=~~(O+ +(J|0)*P);V=L;break}case 4:{L=f[B>>2]|0;Q=(f[L+16>>2]|0)+(Y(f[f[L+44>>2]>>2]|0,M)|0)|0;P=+n[Q+8>>2];O=+n[C>>2];R=O*+(~~(P+(P>=0.0?.5:-.5))|0);P=+n[Q+16>>2]+1.0;W=O*+(~~(P+(P>=0.0?.5:-.5))|0)-R;P=(W<.10000000149011612?.10000000149011612:W)/H;T=0;U=~~+K(+(R+ +(J|0)*P));V=~~+X(+(R+ +(J+1|0)*P));break}default:{Q=(Y(J,i)|0)-(f[y>>2]|0)|0;L=Q+r|0;N=(f[z>>2]|0)+q|0;Z=f[m>>2]|0;_=f[Z+44>>2]|0;T=(f[Z+16>>2]|0)+(Y(f[_>>2]|0,M)|0)+(Y(f[_+4>>2]|0,I)|0)|0;U=Q;V=(N|0)<(L|0)?N:L}}L=V-U|0;N=(U|0)>0?U:0;Q=(q|0)<(V|0)?q:V;_=f[g>>2]|0;Z=f[_+16>>2]|0;$=f[_+44>>2]|0;_=Y(f[$>>2]|0,M)|0;aa=Y(f[$+4>>2]|0,I)|0;ba=Y(f[$+8>>2]|0,J)|0;$=Z+_+aa+ba|0;ca=f[A>>2]|0;da=f[ca+16>>2]|0;if(!da)ea=0;else{fa=f[ca+44>>2]|0;ca=da+(Y(f[fa>>2]|0,M)|0)|0;da=ca+(Y(f[fa+4>>2]|0,I)|0)|0;ea=da+(Y(f[fa+8>>2]|0,J)|0)|0}fa=o-a|0;da=k-t|0;ca=(da|0)<(fa|0)?da:fa;a=ca+a|0;fa=ca+t|0;da=f[w>>2]|0;b:do switch(da|0){case 0:{if((ca|0)>0){ga=f[E>>2]|0;ha=(Q|0)>(N|0);ia=(ea|0)==0;ja=v&(ea|0)!=0;ka=t;do{la=(Y(ka,c)|0)-ga|0;ma=la+h|0;na=(p|0)<(ma|0)?p:ma;ma=(la|0)>0?la:0;do if(ha&(ma|0)<(na|0)){if(v){oa=-1;pa=N;qa=-3402823466385288598117041.0e14}else{la=N;P=-3402823466385288598117041.0e14;ra=-8388609;while(1){sa=Y(la,p)|0;ta=ma;R=P;ua=ra;do{va=f[T+(ta+sa<<2)>>2]|0;ua=R<(f[s>>2]=va,+n[s>>2])?va:ua;ta=ta+1|0;R=(f[s>>2]=ua,+n[s>>2])}while((ta|0)<(na|0));la=la+1|0;if((la|0)>=(Q|0))break;else{P=R;ra=ua}}f[$+(ka<<2)>>2]=ua;break}while(1){ra=Y(pa,p)|0;la=ma;wa=oa;xa=qa;do{ta=la+ra|0;P=+n[T+(ta<<2)>>2];sa=P>xa;xa=sa?P:xa;wa=sa?ta:wa;la=la+1|0}while((la|0)<(na|0));pa=pa+1|0;if((pa|0)>=(Q|0))break;else{oa=wa;qa=xa}}n[$+(ka<<2)>>2]=xa;if(!ia)n[ea+(ka<<2)>>2]=+(wa|0)}else{n[$+(ka<<2)>>2]=0.0;if(ja)n[ea+(ka<<2)>>2]=-1.0}while(0);ka=ka+1|0}while((ka|0)<(fa|0))}break}case 1:{if((ca|0)>0){ka=f[E>>2]|0;ja=(f[F>>2]|0)+p|0;ia=(b[G>>0]|0)==0;ha=Q-N|0;if((Q|0)>(N|0))ya=t;else{ga=t;while(1){na=(Y(ga,c)|0)-ka|0;ma=na+h|0;la=(ja|0)<(ma|0)?ja:ma;R=1.0/+(Y(ia?((p|0)<(la|0)?p:la)-((na|0)>0?na:0)|0:L,ia?ha:la-na|0)|0)*0.0;n[$+(ga<<2)>>2]=R;ga=ga+1|0;if((ga|0)>=(fa|0))break b}}do{ga=(Y(ya,c)|0)-ka|0;na=ga+h|0;la=(ja|0)<(na|0)?ja:na;na=(ga|0)>0?ga:0;ma=(p|0)<(la|0)?p:la;R=1.0/+(Y(ia?ma-na|0:L,ia?ha:la-ga|0)|0);if((ma|0)>(na|0)){P=0.0;ga=N;while(1){la=Y(ga,p)|0;ra=na;W=P;do{W=W+ +n[T+(ra+la<<2)>>2];ra=ra+1|0}while((ra|0)<(ma|0));ga=ga+1|0;if((ga|0)>=(Q|0)){za=W;break}else P=W}}else za=0.0;n[$+(ya<<2)>>2]=R*za;ya=ya+1|0}while((ya|0)<(fa|0))}break}default:{ha=f[B>>2]|0;ia=(f[ha+16>>2]|0)+(Y(f[f[ha+44>>2]>>2]|0,M)|0)|0;if((da|0)!=3){ha=f[m>>2]|0;if(!(+n[ia>>2]<+(f[f[ha+40>>2]>>2]|0))){S=56;break a}P=+n[ia+4>>2];O=+n[C>>2];Aa=O*+(~~(P+(P>=0.0?.5:-.5))|0);P=+n[ia+12>>2]+1.0;Ba=O*+(~~(P+(P>=0.0?.5:-.5))|0)-Aa;P=(Ba<.10000000149011612?.10000000149011612:Ba)/D;if((ca|0)<=0)break b;ja=Y((Y(I,l)|0)+J|0,k)|0;ka=Q-N|0;if((Q|0)<=(N|0)){ga=t<<2;ma=t+1|0;kzc(Z+(ba+aa+_+ga)|0,0,(((fa|0)>(ma|0)?fa:ma)<<2)-ga|0)|0;break b}ga=ha+16|0;ma=ha+44|0;ha=t;while(1){na=~~+K(+(Aa+P*+(ha|0)));ra=ha;ha=ha+1|0;la=~~+X(+(Aa+P*+(ha|0)));ta=(na|0)>0?na:0;na=(p|0)<(la|0)?p:la;if((na|0)>(ta|0)){la=f[ma>>2]|0;sa=(f[ga>>2]|0)+(Y(f[la>>2]|0,~~+n[ia>>2])|0)|0;va=sa+(Y(f[la+4>>2]|0,ra+ja|0)|0)|0;la=N;Ba=0.0;while(1){sa=Y(la,p)|0;Ca=ta;Da=Ba;do{Da=Da+ +n[va+(Ca+sa<<2)>>2];Ca=Ca+1|0}while((Ca|0)<(na|0));la=la+1|0;if((la|0)>=(Q|0))break;else Ba=Da}Ea=Da/+(Y(na-ta|0,ka)|0)}else Ea=0.0;n[$+(ra<<2)>>2]=Ea;if((ha|0)>=(fa|0))break b}}P=+n[C>>2];Aa=+n[ia+4>>2]*P;ha=~~(Aa+(Aa>=0.0?.5:-.5));Aa=P*+n[ia+12>>2];ka=~~(Aa+(Aa>=0.0?.5:-.5))-ha+1|0;Aa=+(((ka|0)>1?ka:1)|0)/D;if((ca|0)>0){P=+(ha|0);ha=v&(ea|0)!=0;if((Q|0)>(N|0))Fa=t;else{ka=t;while(1){n[$+(ka<<2)>>2]=0.0;if(ha)n[ea+(ka<<2)>>2]=-1.0;ka=ka+1|0;if((ka|0)>=(fa|0))break b}}do{ka=~~(P+Aa*+(Fa|0));ia=Fa;Fa=Fa+1|0;ja=~~(P+ +X(+(Aa*+(Fa|0))));ga=(ka|0)>0?ka:0;ka=(p|0)<(ja|0)?p:ja;if((ga|0)>=(ka|0)){n[$+(ia<<2)>>2]=0.0;if(ha)n[ea+(ia<<2)>>2]=-1.0}else{ja=N;Ba=-3402823466385288598117041.0e14;ma=-8388609;while(1){la=Y(ja,p)|0;va=ga;R=Ba;Ga=ma;do{Ca=f[T+(va+la<<2)>>2]|0;Ga=R<(f[s>>2]=Ca,+n[s>>2])?Ca:Ga;va=va+1|0;R=(f[s>>2]=Ga,+n[s>>2])}while((va|0)<(ka|0));ja=ja+1|0;if((ja|0)>=(Q|0))break;else{Ba=R;ma=Ga}}f[$+(ia<<2)>>2]=Ga}}while((Fa|0)<(fa|0))}}}while(0);if(o>>>0<=a>>>0){S=7;break}}if((S|0)==7){u=d;return}else if((S|0)==10){d=cuc(32)|0;f[e>>2]=d;f[e+8>>2]=-2147483616;f[e+4>>2]=26;Ha=d;Ia=463941;Ja=Ha+26|0;do{b[Ha>>0]=b[Ia>>0]|0;Ha=Ha+1|0;Ia=Ia+1|0}while((Ha|0)<(Ja|0));b[d+26>>0]=0;WD(-215,e,531152,463216,412)}else if((S|0)==56){S=cuc(32)|0;f[e>>2]=S;f[e+8>>2]=-2147483616;f[e+4>>2]=26;Ha=S;Ia=463941;Ja=Ha+26|0;do{b[Ha>>0]=b[Ia>>0]|0;Ha=Ha+1|0;Ia=Ia+1|0}while((Ha|0)<(Ja|0));b[S+26>>0]=0;WD(-215,e,531152,463216,675)}}function irb(a,b){a=a|0;b=b|0;var c=0;c=cuc(264)|0;jrb(c,b);f[a>>2]=c;b=cuc(16)|0;f[b+4>>2]=0;f[b+8>>2]=0;f[b>>2]=135104;f[b+12>>2]=c;f[a+4>>2]=b;return}function jrb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0.0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0.0,L=0,N=0,O=0,P=0,Q=0.0,R=0,S=0,T=0,U=0,V=0,W=0.0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0.0;d=u;u=u+16|0;e=d;WMa(a);f[a>>2]=135132;g=a+52|0;f[g>>2]=1124007936;h=a+56|0;i=a+60|0;j=a+92|0;k=h;l=k+36|0;do{f[k>>2]=0;k=k+4|0}while((k|0)<(l|0));f[j>>2]=i;j=a+100|0;f[a+96>>2]=j;f[j>>2]=0;f[a+104>>2]=0;j=a+108|0;f[j>>2]=1124007936;m=a+112|0;o=a+116|0;p=a+148|0;k=m;l=k+36|0;do{f[k>>2]=0;k=k+4|0}while((k|0)<(l|0));f[p>>2]=o;p=a+156|0;f[a+152>>2]=p;f[p>>2]=0;f[a+160>>2]=0;f[a+164>>2]=1124007936;p=a+168|0;f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;f[p+12>>2]=0;f[p+16>>2]=0;f[p+20>>2]=0;f[p+24>>2]=0;f[a+196>>2]=a+172;p=a+204|0;f[a+200>>2]=p;f[a+208>>2]=0;f[p>>2]=0;f[a+212>>2]=1124007936;p=a+216|0;f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;f[p+12>>2]=0;f[p+16>>2]=0;f[p+20>>2]=0;f[p+24>>2]=0;f[a+244>>2]=a+220;p=a+252|0;f[a+248>>2]=p;f[a+256>>2]=0;f[p>>2]=0;XMa(a,c);p=a+4|0;q=a+8|0;if((((f[q>>2]|0)-(f[p>>2]|0)|0)/56|0)>>>0<=1){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;r=cuc(32)|0;f[e>>2]=r;f[e+8>>2]=-2147483616;f[e+4>>2]=17;k=r;s=464329;l=k+17|0;do{b[k>>0]=b[s>>0]|0;k=k+1|0;s=s+1|0}while((k|0)<(l|0));b[r+17>>0]=0;WD(-215,e,464347,464366,35)}r=e+11|0;b[r>>0]=10;k=e;s=464450;l=k+10|0;do{b[k>>0]=b[s>>0]|0;k=k+1|0;s=s+1|0}while((k|0)<(l|0));b[e+10>>0]=0;t=gEa(c,e)|0;v=c+4|0;if((t|0)==(v|0))w=0;else{x=hEa(t+28|0,-1)|0;w=(x|0)!=0|(J|0)!=0}x=a+44|0;b[x>>0]=w&1;if((b[r>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;r=e+11|0;b[r>>0]=8;w=e;f[w>>2]=1601397096;f[w+4>>2]=1935763810;b[e+8>>0]=0;w=gEa(c,e)|0;if((w|0)==(v|0))y=0;else{t=hEa(w+28|0,-1)|0;y=(t|0)!=0|(J|0)!=0}t=a+45|0;b[t>>0]=y&1;if((b[r>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;r=cuc(32)|0;f[e>>2]=r;f[e+8>>2]=-2147483616;f[e+4>>2]=16;k=r;s=464461;l=k+16|0;do{b[k>>0]=b[s>>0]|0;k=k+1|0;s=s+1|0}while((k|0)<(l|0));b[r+16>>0]=0;r=gEa(c,e)|0;if((r|0)==(v|0))z=1;else{y=hEa(r+28|0,-1)|0;z=(y|0)!=0|(J|0)!=0}y=a+260|0;b[y>>0]=z&1;if((b[e+11>>0]|0)<0)fuc(f[e>>2]|0);z=e+11|0;b[z>>0]=10;k=e;s=464478;l=k+10|0;do{b[k>>0]=b[s>>0]|0;k=k+1|0;s=s+1|0}while((k|0)<(l|0));b[e+10>>0]=0;r=gEa(c,e)|0;if((r|0)==(v|0))A=0;else{w=hEa(r+28|0,-1)|0;A=(w|0)!=0|(J|0)!=0}if((b[z>>0]|0)<0)fuc(f[e>>2]|0);if(A){b[t>>0]=1;b[x>>0]=1}A=e+4|0;f[A>>2]=0;f[A+4>>2]=0;A=e+11|0;b[A>>0]=3;b[e>>0]=b[465409]|0;b[e+1>>0]=b[465410]|0;b[e+2>>0]=b[465411]|0;b[e+3>>0]=0;z=gEa(c,e)|0;if((z|0)==(v|0))B=9.999999747378752e-06;else B=+iEa(z+28|0,-1);z=a+48|0;n[z>>2]=B;if((b[A>>0]|0)<0)fuc(f[e>>2]|0);A=f[p>>2]|0;p=f[A+4>>2]|0;v=A;if((p|0)<3)C=Y(f[A+12>>2]|0,f[A+8>>2]|0)|0;else{c=f[A+40>>2]|0;w=0;r=1;while(1){D=Y(f[c+(w<<2)>>2]|0,r)|0;w=w+1|0;if((w|0)==(p|0)){C=D;break}else r=D}}r=f[A+60>>2]|0;if((r|0)<3)E=Y(f[A+68>>2]|0,f[A+64>>2]|0)|0;else{p=f[A+96>>2]|0;w=0;c=1;while(1){D=Y(f[p+(w<<2)>>2]|0,c)|0;w=w+1|0;if((w|0)==(r|0)){E=D;break}else c=D}}if((E|0)!=(C|0)){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;F=cuc(144)|0;f[e>>2]=F;G=e+8|0;f[G>>2]=-2147483504;H=e+4|0;f[H>>2]=133;szc(F|0,464489,133)|0;I=F+133|0;b[I>>0]=0;WD(-215,e,464347,464366,47)}E=f[A>>2]|0;if(!(E&16384)){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;F=cuc(144)|0;f[e>>2]=F;G=e+8|0;f[G>>2]=-2147483504;H=e+4|0;f[H>>2]=133;szc(F|0,464489,133)|0;I=F+133|0;b[I>>0]=0;WD(-215,e,464347,464366,47)}if(!((E&4095|0)==5?(f[A+56>>2]&20479|0)==16389:0)){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;F=cuc(144)|0;f[e>>2]=F;G=e+8|0;f[G>>2]=-2147483504;H=e+4|0;f[H>>2]=133;szc(F|0,464489,133)|0;I=F+133|0;b[I>>0]=0;WD(-215,e,464347,464366,47)}I=(b[x>>0]|0)==0;do if(I){F=b[t>>0]|0;H=(f[q>>2]|0)-v|0;G=(H|0)/56|0;if(F<<24>>24){E=G+-1|0;K=1.0;L=H;N=E-(F&255)|0;O=E;P=59;break}if(G>>>0<=2){Q=1.0;P=48;break}if(!(b[y>>0]|0)){Q=1.0;P=48;break}if((H|0)!=168){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;H=cuc(32)|0;f[e>>2]=H;f[e+8>>2]=-2147483616;f[e+4>>2]=17;k=H;s=464623;l=k+17|0;do{b[k>>0]=b[s>>0]|0;k=k+1|0;s=s+1|0}while((k|0)<(l|0));b[H+17>>0]=0;WD(-215,e,464347,464366,51)}G=f[A+112>>2]&4095;if((G|0)!=5)rN(G,5,135236);B=+n[f[A+128>>2]>>2];if(!(B!=0.0)){Q=B;P=48;break}Q=1.0/B;P=48}else{Q=1.0;P=48}while(0);if((P|0)==48){y=b[t>>0]|0;G=(f[q>>2]|0)-v|0;v=(G|0)/56|0;q=v+-1|0;E=q-(y&255)|0;do if(!I){if(E>>>0>=v>>>0){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;F=cuc(48)|0;f[e>>2]=F;f[e+8>>2]=-2147483600;f[e+4>>2]=39;k=F;s=464641;l=k+39|0;do{b[k>>0]=b[s>>0]|0;k=k+1|0;s=s+1|0}while((k|0)<(l|0));b[F+39>>0]=0;WD(-215,e,464347,464366,62)}if((f[A+(E*56|0)>>2]&20479|0)!=16389){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;R=cuc(80)|0;f[e>>2]=R;S=e+8|0;f[S>>2]=-2147483568;T=e+4|0;f[T>>2]=64;k=R;s=464681;l=k+64|0;do{b[k>>0]=b[s>>0]|0;k=k+1|0;s=s+1|0}while((k|0)<(l|0));U=R+64|0;b[U>>0]=0;WD(-215,e,464347,464366,64)}F=f[A+(E*56|0)+4>>2]|0;if((F|0)<3)V=Y(f[A+(E*56|0)+12>>2]|0,f[A+(E*56|0)+8>>2]|0)|0;else{H=f[A+(E*56|0)+40>>2]|0;c=0;r=1;while(1){w=Y(f[H+(c<<2)>>2]|0,r)|0;c=c+1|0;if((c|0)==(F|0)){V=w;break}else r=w}}if((V|0)==(C|0))break;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;R=cuc(80)|0;f[e>>2]=R;S=e+8|0;f[S>>2]=-2147483568;T=e+4|0;f[T>>2]=64;k=R;s=464681;l=k+64|0;do{b[k>>0]=b[s>>0]|0;k=k+1|0;s=s+1|0}while((k|0)<(l|0));U=R+64|0;b[U>>0]=0;WD(-215,e,464347,464366,64)}while(0);if(!(y<<24>>24)){W=Q;X=E;Z=q;_=1}else{K=Q;L=G;N=E;O=q;P=59}}do if((P|0)==59){if(!L){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;q=cuc(48)|0;f[e>>2]=q;f[e+8>>2]=-2147483600;f[e+4>>2]=36;k=q;s=464746;l=k+36|0;do{b[k>>0]=b[s>>0]|0;k=k+1|0;s=s+1|0}while((k|0)<(l|0));b[q+36>>0]=0;WD(-215,e,464347,464366,69)}if((f[A+(N*56|0)>>2]&20479|0)!=16389){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;$=cuc(80)|0;f[e>>2]=$;aa=e+8|0;f[aa>>2]=-2147483568;ba=e+4|0;f[ba>>2]=64;k=$;s=464783;l=k+64|0;do{b[k>>0]=b[s>>0]|0;k=k+1|0;s=s+1|0}while((k|0)<(l|0));ca=$+64|0;b[ca>>0]=0;WD(-215,e,464347,464366,71)}q=f[A+(N*56|0)+4>>2]|0;if((q|0)<3)da=Y(f[A+(N*56|0)+12>>2]|0,f[A+(N*56|0)+8>>2]|0)|0;else{E=f[A+(N*56|0)+40>>2]|0;G=0;y=1;while(1){U=Y(f[E+(G<<2)>>2]|0,y)|0;G=G+1|0;if((G|0)==(q|0)){da=U;break}else y=U}}if((da|0)==(C|0)){W=K;X=N;Z=O;_=0;break};f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;$=cuc(80)|0;f[e>>2]=$;aa=e+8|0;f[aa>>2]=-2147483568;ba=e+4|0;f[ba>>2]=64;k=$;s=464783;l=k+64|0;do{b[k>>0]=b[s>>0]|0;k=k+1|0;s=s+1|0}while((k|0)<(l|0));ca=$+64|0;b[ca>>0]=0;WD(-215,e,464347,464366,71)}while(0);ca=f[A+16>>2]|0;$=f[A+72>>2]|0;if(I)ea=0;else ea=f[A+(X*56|0)+16>>2]|0;if(_)fa=0;else fa=f[A+(Z*56|0)+16>>2]|0;do if((f[h>>2]|0)<3){if((f[i>>2]|0)!=1){P=77;break}if((f[a+64>>2]|0)!=(C|0)){P=77;break}if((f[g>>2]&4095|0)!=5){P=77;break}if(!(f[a+68>>2]|0))P=77}else P=77;while(0);if((P|0)==77){f[e>>2]=1;f[e+4>>2]=C;ZT(g,2,e,5)}do if((f[m>>2]|0)<3){if((f[o>>2]|0)!=1){P=84;break}if((f[a+120>>2]|0)!=(C|0)){P=84;break}if((f[j>>2]&4095|0)!=5){P=84;break}g=f[a+124>>2]|0;if(!g){P=84;break}ga=g}else P=84;while(0);if((P|0)==84){f[e>>2]=1;f[e+4>>2]=C;ZT(j,2,e,5);ga=f[a+124>>2]|0}e=f[a+68>>2]|0;if(!C){u=d;return}a=(b[t>>0]|0)==0;if(b[x>>0]|0){x=0;do{K=+n[ea+(x<<2)>>2]/+M(+(W*+n[$+(x<<2)>>2]+ +n[z>>2]));n[e+(x<<2)>>2]=K;if(a)ha=0.0;else ha=+n[fa+(x<<2)>>2];n[ga+(x<<2)>>2]=ha-W*(K*+n[ca+(x<<2)>>2]);x=x+1|0}while((x|0)!=(C|0));u=d;return}if(a){a=0;do{ha=1.0/+M(+(W*+n[$+(a<<2)>>2]+ +n[z>>2]));n[e+(a<<2)>>2]=ha;n[ga+(a<<2)>>2]=0.0-W*(ha*+n[ca+(a<<2)>>2]);a=a+1|0}while((a|0)!=(C|0));u=d;return}else{a=0;do{ha=1.0/+M(+(W*+n[$+(a<<2)>>2]+ +n[z>>2]));n[e+(a<<2)>>2]=ha;n[ga+(a<<2)>>2]=+n[fa+(a<<2)>>2]-W*(ha*+n[ca+(a<<2)>>2]);a=a+1|0}while((a|0)!=(C|0));u=d;return}}function krb(a){a=a|0;Qtc(a);fuc(a);return}function lrb(a){a=a|0;var b=0;b=f[a+12>>2]|0;if(!b)return;bi[f[(f[b>>2]|0)+4>>2]&2047](b);return}function mrb(a,b){a=a|0;b=b|0;return ((f[b+4>>2]|0)==464166?a+12|0:0)|0}function nrb(a){a=a|0;fuc(a);return}function orb(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=135132;VH(a+212|0);VH(a+164|0);b=a+108|0;c=a+144|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+124|0;b=a+112|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+148>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+152>>2]|0;if((b|0)!=(a+156|0))TC(b);b=a+52|0;d=a+88|0;c=f[d>>2]|0;if(c|0?(e=c+12|0,c=f[e>>2]|0,f[e>>2]=c+-1,(c|0)==1):0)aU(b);f[d>>2]=0;d=a+68|0;b=a+56|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[b>>2]|0)>0){d=f[a+92>>2]|0;c=0;do{f[d+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[b>>2]|0))}b=f[a+96>>2]|0;if((b|0)==(a+100|0)){pKa(a);return}TC(b);pKa(a);return}function prb(a){a=a|0;orb(a);fuc(a);return}function qrb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0.0,za=0,Aa=0,Ba=0.0,Ca=0,Da=0,Ea=0;g=u;u=u+160|0;h=g+144|0;i=g+136|0;j=g+124|0;k=g+112|0;l=g+56|0;m=g;gV(i,135264);if(f[i>>2]|0){}if((CJ(c,-1)|0)==3)JKa(a,c,d,e);else{f[j>>2]=0;e=j+4|0;f[e>>2]=0;f[j+8>>2]=0;f[k>>2]=0;o=k+4|0;f[o>>2]=0;f[k+8>>2]=0;sJ(c,j);sJ(d,k);if((((f[a+8>>2]|0)-(f[a+4>>2]|0)|0)/56|0)>>>0<=1){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;d=cuc(32)|0;f[h>>2]=d;f[h+8>>2]=-2147483616;f[h+4>>2]=17;p=d;q=464329;r=p+17|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(r|0));b[d+17>>0]=0;WD(-215,h,477126,464366,247)}d=f[j>>2]|0;c=d;if(((f[e>>2]|0)-d|0)!=56){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;d=cuc(32)|0;f[h>>2]=d;f[h+8>>2]=-2147483616;f[h+4>>2]=18;p=d;q=477051;r=p+18|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(r|0));b[d+18>>0]=0;WD(-215,h,477126,464366,248)}d=f[c+4>>2]|0;switch(d|0){case 4:case 2:break;default:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;e=cuc(48)|0;f[h>>2]=e;f[h+8>>2]=-2147483600;f[h+4>>2]=38;p=e;q=465015;r=p+38|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(r|0));b[e+38>>0]=0;WD(-215,h,477126,464366,251)}}if((d|0)>2){d=f[c+40>>2]|0;s=f[d+8>>2]|0;t=f[d+12>>2]|0}else{s=1;t=1}d=f[k>>2]|0;a:do if((f[o>>2]|0)!=(d|0)){e=a+52|0;v=a+68|0;w=a+92|0;x=a+96|0;y=a+64|0;z=a+108|0;A=a+124|0;B=a+148|0;C=a+152|0;D=a+120|0;E=c+16|0;F=c+44|0;G=l+4|0;H=l+8|0;I=l+12|0;J=l+16|0;K=l+20|0;L=l+24|0;M=l+40|0;N=l+48|0;O=l+44|0;P=l+52|0;Q=(Y(t,s)|0)!=0;R=l+28|0;S=t<<2;T=Y(S,s)|0;U=0-S|0;V=m+4|0;W=m+8|0;X=m+12|0;Z=m+16|0;_=m+20|0;$=m+24|0;aa=m+40|0;ba=m+48|0;ca=m+44|0;da=m+52|0;ea=m+28|0;fa=h+8|0;ga=h+4|0;ha=m+36|0;ia=l+36|0;ja=0;ka=d;b:while(1){la=ka;ma=la+(ja*56|0)+40|0;na=f[ma>>2]|0;oa=f[na>>2]|0;if((oa|0)>0){pa=la+(ja*56|0)+16|0;qa=la+(ja*56|0)+44|0;la=0;ra=na;na=oa;while(1){if((f[ra+4>>2]|0)>0){oa=0;do{sa=f[v>>2]|0;do if((f[e>>2]&16384|0)==0?(ta=f[w>>2]|0,(f[ta>>2]|0)!=1):0){ua=f[f[x>>2]>>2]|0;if((f[ta+4>>2]|0)==1){va=sa+(Y(ua,oa)|0)|0;break}else{ta=f[y>>2]|0;wa=(oa|0)/(ta|0)|0;va=sa+(Y(wa,ua)|0)+(oa-(Y(wa,ta)|0)<<2)|0;break}}else xa=27;while(0);if((xa|0)==27){xa=0;va=sa+(oa<<2)|0}ya=+n[va>>2];ta=f[A>>2]|0;do if((f[z>>2]&16384|0)==0?(wa=f[B>>2]|0,(f[wa>>2]|0)!=1):0){ua=f[f[C>>2]>>2]|0;if((f[wa+4>>2]|0)==1){za=ta+(Y(ua,oa)|0)|0;break}else{wa=f[D>>2]|0;Aa=(oa|0)/(wa|0)|0;za=ta+(Y(Aa,ua)|0)+(oa-(Y(Aa,wa)|0)<<2)|0;break}}else xa=33;while(0);if((xa|0)==33){xa=0;za=ta+(oa<<2)|0}Ba=+n[za>>2];sa=f[F>>2]|0;wa=(f[E>>2]|0)+(Y(f[sa>>2]|0,la)|0)|0;Aa=wa+(Y(f[sa+4>>2]|0,oa)|0)|0;f[l>>2]=1124007941;f[G>>2]=2;f[H>>2]=s;f[I>>2]=t;f[J>>2]=Aa;f[K>>2]=Aa;f[L>>2]=0;f[L+4>>2]=0;f[L+8>>2]=0;f[L+12>>2]=0;f[M>>2]=H;f[O>>2]=N;f[P>>2]=0;f[N>>2]=0;if(Q&(Aa|0)==0){xa=38;break b}f[N>>2]=S;f[P>>2]=4;sa=Aa+T|0;f[R>>2]=sa;f[L>>2]=sa+U+S;YT(l);sa=f[qa>>2]|0;Aa=(f[pa>>2]|0)+(Y(f[sa>>2]|0,la)|0)|0;wa=Aa+(Y(f[sa+4>>2]|0,oa)|0)|0;f[m>>2]=1124007941;f[V>>2]=2;f[W>>2]=s;f[X>>2]=t;f[Z>>2]=wa;f[_>>2]=wa;f[$>>2]=0;f[$+4>>2]=0;f[$+8>>2]=0;f[$+12>>2]=0;f[aa>>2]=W;f[ca>>2]=ba;f[da>>2]=0;f[ba>>2]=0;if(Q&(wa|0)==0){xa=40;break b}f[ba>>2]=S;f[da>>2]=4;sa=wa+T|0;f[ea>>2]=sa;f[$>>2]=sa+U+S;YT(m);sa=fa;f[sa>>2]=0;f[sa+4>>2]=0;f[h>>2]=33619968;f[ga>>2]=m;kQ(l,h,5,ya,Ba);sa=f[ha>>2]|0;do if(sa|0){wa=sa+12|0;Aa=f[wa>>2]|0;f[wa>>2]=Aa+-1;if((Aa|0)!=1)break;aU(m)}while(0);f[ha>>2]=0;f[Z>>2]=0;f[Z+4>>2]=0;f[Z+8>>2]=0;f[Z+12>>2]=0;if((f[V>>2]|0)>0){sa=f[aa>>2]|0;ta=0;do{f[sa+(ta<<2)>>2]=0;ta=ta+1|0}while((ta|0)<(f[V>>2]|0))}ta=f[ca>>2]|0;if((ta|0)!=(ba|0))TC(ta);ta=f[ia>>2]|0;do if(ta|0){sa=ta+12|0;Aa=f[sa>>2]|0;f[sa>>2]=Aa+-1;if((Aa|0)!=1)break;aU(l)}while(0);f[ia>>2]=0;f[J>>2]=0;f[J+4>>2]=0;f[J+8>>2]=0;f[J+12>>2]=0;if((f[G>>2]|0)>0){ta=f[M>>2]|0;Aa=0;do{f[ta+(Aa<<2)>>2]=0;Aa=Aa+1|0}while((Aa|0)<(f[G>>2]|0))}Aa=f[O>>2]|0;if((Aa|0)!=(N|0))TC(Aa);oa=oa+1|0;Ca=f[ma>>2]|0}while((oa|0)<(f[Ca+4>>2]|0));Da=f[Ca>>2]|0;Ea=Ca}else{Da=na;Ea=ra}la=la+1|0;if((la|0)>=(Da|0))break;else{ra=Ea;na=Da}}}ja=ja+1|0;ka=f[k>>2]|0;if(ja>>>0>=(((f[o>>2]|0)-ka|0)/56|0)>>>0)break a}if((xa|0)==38){ka=cuc(32)|0;f[h>>2]=ka;f[h+8>>2]=-2147483616;f[h+4>>2]=28;p=ka;q=466324;r=p+28|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(r|0));b[ka+28>>0]=0;WD(-215,h,466353,466357,548)}else if((xa|0)==40){ja=cuc(32)|0;f[h>>2]=ja;f[h+8>>2]=-2147483616;f[h+4>>2]=28;p=ja;q=466324;r=p+28|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(r|0));b[ja+28>>0]=0;WD(-215,h,466353,466357,548)}}while(0);ut(k);ut(j)}if(!(f[i+4>>2]|0)){u=g;return}u=g;return}function rrb(a,b){a=a|0;b=b|0;var c=0,d=0;switch(b|0){case 3:{c=1;break}case 1:{if(aNa()|0)c=1;else d=4;break}case 2:{c=rib()|0;break}default:d=4}if((d|0)==4)c=0;return c|0}function srb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function trb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function urb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function vrb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0;c=u;u=u+256|0;d=c+200|0;e=c+144|0;g=c+88|0;h=c+72|0;i=c;j=c+56|0;f[d>>2]=1124007936;k=d+4|0;l=d+8|0;m=d+40|0;o=k;q=o+36|0;do{f[o>>2]=0;o=o+4|0}while((o|0)<(q|0));f[m>>2]=l;r=d+48|0;s=d+44|0;f[s>>2]=r;f[r>>2]=0;f[d+52>>2]=0;f[e>>2]=1124007936;t=e+4|0;v=e+8|0;w=e+40|0;o=t;q=o+36|0;do{f[o>>2]=0;o=o+4|0}while((o|0)<(q|0));f[w>>2]=v;o=e+48|0;q=e+44|0;f[q>>2]=o;f[o>>2]=0;f[e+52>>2]=0;x=f[b>>2]|0;Zh[f[(f[x>>2]|0)+84>>2]&511](x,d,e);x=d+16|0;b=(f[x>>2]|0)==0;if(!b){y=f[k>>2]|0;if((y|0)<3)z=Y(f[d+12>>2]|0,f[l>>2]|0)|0;else{A=f[m>>2]|0;B=0;C=1;while(1){D=Y(f[A+(B<<2)>>2]|0,C)|0;B=B+1|0;if((B|0)==(y|0)){z=D;break}else C=D}}if(!((y|0)==0|(z|0)==0))E=13;else E=7}else E=7;if((E|0)==7)if(f[e+16>>2]|0){z=f[t>>2]|0;if((z|0)<3)F=Y(f[e+12>>2]|0,f[v>>2]|0)|0;else{y=f[w>>2]|0;C=0;B=1;while(1){A=Y(f[y+(C<<2)>>2]|0,B)|0;C=C+1|0;if((C|0)==(z|0)){F=A;break}else B=A}}if(!((z|0)==0|(F|0)==0))E=13;else G=0}else G=0;do if((E|0)==13){F=a+52|0;z=f[a+56>>2]|0;if((z|0)<3)H=Y(f[a+64>>2]|0,f[a+60>>2]|0)|0;else{B=f[a+92>>2]|0;C=0;y=1;while(1){A=Y(f[B+(C<<2)>>2]|0,y)|0;C=C+1|0;if((C|0)==(z|0)){H=A;break}else y=A}}y=f[k>>2]|0;z=(y|0)<3;if(z)I=Y(f[d+12>>2]|0,f[l>>2]|0)|0;else{C=f[m>>2]|0;B=0;A=1;while(1){D=Y(f[C+(B<<2)>>2]|0,A)|0;B=B+1|0;if((B|0)==(y|0)){I=D;break}else A=D}}A=f[t>>2]|0;B=(A|0)<3;if(B)J=Y(f[e+12>>2]|0,f[v>>2]|0)|0;else{C=f[w>>2]|0;D=0;K=1;while(1){L=Y(f[C+(D<<2)>>2]|0,K)|0;D=D+1|0;if((D|0)==(A|0)){J=L;break}else K=L}}K=(I|0)==1;if(!(K|(I|0)==(H|0)|b)){if(z)M=Y(f[d+12>>2]|0,f[l>>2]|0)|0;else{D=f[m>>2]|0;C=0;L=1;while(1){N=Y(f[D+(C<<2)>>2]|0,L)|0;C=C+1|0;if((C|0)==(y|0)){M=N;break}else L=N}}if(!((y|0)==0|(M|0)==0)){G=0;break}}if((J|0)!=(H|0)&(J|0)!=1?f[e+16>>2]|0:0){if(B)O=Y(f[e+12>>2]|0,f[v>>2]|0)|0;else{L=f[w>>2]|0;C=0;D=1;while(1){N=Y(f[L+(C<<2)>>2]|0,D)|0;C=C+1|0;if((C|0)==(A|0)){O=N;break}else D=N}}if(!((A|0)==0|(O|0)==0)){G=0;break}}do if(!b){if(z)P=Y(f[d+12>>2]|0,f[l>>2]|0)|0;else{D=f[m>>2]|0;C=0;L=1;while(1){B=Y(f[D+(C<<2)>>2]|0,L)|0;C=C+1|0;if((C|0)==(y|0)){P=B;break}else L=B}}if(!((y|0)==0|(P|0)==0)){mU(g,d,1,1);L=d+36|0;C=f[L>>2]|0;if(C|0?(D=C+12|0,C=f[D>>2]|0,f[D>>2]=C+-1,(C|0)==1):0)aU(d);f[L>>2]=0;f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;f[x+12>>2]=0;if((f[k>>2]|0)>0){C=f[m>>2]|0;D=0;do{f[C+(D<<2)>>2]=0;D=D+1|0}while((D|0)<(f[k>>2]|0))}f[d>>2]=f[g>>2];D=g+4|0;C=f[D>>2]|0;f[k>>2]=C;B=g+8|0;f[l>>2]=f[B>>2];f[d+12>>2]=f[g+12>>2];N=g+16|0;f[x>>2]=f[N>>2];f[d+20>>2]=f[g+20>>2];f[d+24>>2]=f[g+24>>2];f[d+28>>2]=f[g+28>>2];f[d+32>>2]=f[g+32>>2];Q=g+36|0;f[L>>2]=f[Q>>2];R=d+44|0;S=f[R>>2]|0;if((S|0)==(r|0))T=C;else{TC(S);f[R>>2]=r;f[m>>2]=l;T=f[D>>2]|0}S=g+44|0;if((T|0)<3){C=f[S>>2]|0;f[r>>2]=f[C>>2];f[d+52>>2]=f[C+4>>2];U=C}else{f[R>>2]=f[S>>2];R=g+40|0;f[d+40>>2]=f[R>>2];C=g+48|0;f[S>>2]=C;f[R>>2]=B;U=C}f[g>>2]=1124007936;f[D>>2]=0;f[D+4>>2]=0;f[D+8>>2]=0;f[D+12>>2]=0;f[D+16>>2]=0;f[D+20>>2]=0;f[D+24>>2]=0;f[D+28>>2]=0;f[Q>>2]=0;f[N>>2]=0;f[N+4>>2]=0;f[N+8>>2]=0;f[N+12>>2]=0;if((U|0)!=(g+48|0))TC(U);if(K){f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=F;p[i>>3]=+n[f[x>>2]>>2];f[h>>2]=-1056833530;f[h+4>>2]=i;f[h+8>>2]=1;f[h+12>>2]=1;N=j+8|0;f[N>>2]=0;f[N+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=F;jX(g,h,j,1.0,-1);N=a+108|0;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=N;p[i>>3]=+n[f[x>>2]>>2];f[h>>2]=-1056833530;f[h+4>>2]=i;f[h+8>>2]=1;f[h+12>>2]=1;Q=j+8|0;f[Q>>2]=0;f[Q+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=N;jX(g,h,j,1.0,-1);break}else{f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=F;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=d;N=i+8|0;f[N>>2]=0;f[N+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=F;jX(g,h,i,1.0,-1);N=a+108|0;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=N;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=d;Q=i+8|0;f[Q>>2]=0;f[Q+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=N;jX(g,h,i,1.0,-1);break}}}while(0);F=e+16|0;if(f[F>>2]|0){K=f[t>>2]|0;if((K|0)<3)V=Y(f[e+12>>2]|0,f[v>>2]|0)|0;else{y=f[w>>2]|0;z=0;A=1;while(1){N=Y(f[y+(z<<2)>>2]|0,A)|0;z=z+1|0;if((z|0)==(K|0)){V=N;break}else A=N}}if(!((K|0)==0|(V|0)==0)){mU(g,e,1,1);A=e+36|0;z=f[A>>2]|0;if(z|0?(y=z+12|0,z=f[y>>2]|0,f[y>>2]=z+-1,(z|0)==1):0)aU(e);f[A>>2]=0;f[F>>2]=0;f[F+4>>2]=0;f[F+8>>2]=0;f[F+12>>2]=0;if((f[t>>2]|0)>0){z=f[w>>2]|0;y=0;do{f[z+(y<<2)>>2]=0;y=y+1|0}while((y|0)<(f[t>>2]|0))}f[e>>2]=f[g>>2];y=g+4|0;z=f[y>>2]|0;f[t>>2]=z;K=g+8|0;f[v>>2]=f[K>>2];f[e+12>>2]=f[g+12>>2];N=g+16|0;f[F>>2]=f[N>>2];f[e+20>>2]=f[g+20>>2];f[e+24>>2]=f[g+24>>2];f[e+28>>2]=f[g+28>>2];f[e+32>>2]=f[g+32>>2];Q=g+36|0;f[A>>2]=f[Q>>2];D=e+44|0;C=f[D>>2]|0;if((C|0)==(o|0))W=z;else{TC(C);f[D>>2]=o;f[w>>2]=v;W=f[y>>2]|0}C=g+44|0;if((W|0)<3){z=f[C>>2]|0;f[o>>2]=f[z>>2];f[e+52>>2]=f[z+4>>2];X=z}else{f[D>>2]=f[C>>2];D=g+40|0;f[e+40>>2]=f[D>>2];z=g+48|0;f[C>>2]=z;f[D>>2]=K;X=z}f[g>>2]=1124007936;f[y>>2]=0;f[y+4>>2]=0;f[y+8>>2]=0;f[y+12>>2]=0;f[y+16>>2]=0;f[y+20>>2]=0;f[y+24>>2]=0;f[y+28>>2]=0;f[Q>>2]=0;f[N>>2]=0;f[N+4>>2]=0;f[N+8>>2]=0;f[N+12>>2]=0;if((X|0)!=(g+48|0))TC(X);if((J|0)==1){N=a+108|0;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=N;p[i>>3]=+n[f[F>>2]>>2];f[h>>2]=-1056833530;f[h+4>>2]=i;f[h+8>>2]=1;f[h+12>>2]=1;Q=j+8|0;f[Q>>2]=0;f[Q+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=N;rW(g,h,j,sK()|0,-1);G=1;break}N=a+108|0;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=N;mU(i,e,1,1);f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=i;Q=j+8|0;f[Q>>2]=0;f[Q+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=N;rW(g,h,j,sK()|0,-1);N=i+36|0;Q=f[N>>2]|0;if(Q|0?(y=Q+12|0,Q=f[y>>2]|0,f[y>>2]=Q+-1,(Q|0)==1):0)aU(i);f[N>>2]=0;N=i+16|0;Q=i+4|0;f[N>>2]=0;f[N+4>>2]=0;f[N+8>>2]=0;f[N+12>>2]=0;if((f[Q>>2]|0)>0){N=f[i+40>>2]|0;y=0;do{f[N+(y<<2)>>2]=0;y=y+1|0}while((y|0)<(f[Q>>2]|0))}Q=f[i+44>>2]|0;if((Q|0)!=(i+48|0))TC(Q);G=1}else G=1}else G=1}while(0);i=e+36|0;j=f[i>>2]|0;if(j|0?(h=j+12|0,j=f[h>>2]|0,f[h>>2]=j+-1,(j|0)==1):0)aU(e);f[i>>2]=0;i=e+16|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;if((f[t>>2]|0)>0){i=f[w>>2]|0;w=0;do{f[i+(w<<2)>>2]=0;w=w+1|0}while((w|0)<(f[t>>2]|0))}t=f[q>>2]|0;if((t|0)!=(o|0))TC(t);t=d+36|0;o=f[t>>2]|0;if(o|0?(q=o+12|0,o=f[q>>2]|0,f[q>>2]=o+-1,(o|0)==1):0)aU(d);f[t>>2]=0;f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;f[x+12>>2]=0;if((f[k>>2]|0)>0){x=f[m>>2]|0;m=0;do{f[x+(m<<2)>>2]=0;m=m+1|0}while((m|0)<(f[k>>2]|0))}k=f[s>>2]|0;if((k|0)==(r|0)){u=c;return G|0}TC(k);u=c;return G|0}function wrb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;d=a+52|0;if((d|0)!=(b|0)){e=a+88|0;g=f[e>>2]|0;if(g|0){h=g+12|0;f[h>>2]=(f[h>>2]|0)+1}h=b+36|0;g=f[h>>2]|0;if(g|0?(i=g+12|0,g=f[i>>2]|0,f[i>>2]=g+-1,(g|0)==1):0)aU(b);f[h>>2]=0;g=b+16|0;i=b+4|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;if((f[i>>2]|0)>0){j=f[b+40>>2]|0;k=0;do{f[j+(k<<2)>>2]=0;k=k+1|0;l=f[i>>2]|0}while((k|0)<(l|0));f[b>>2]=f[d>>2];if((l|0)<3)m=12;else m=14}else{f[b>>2]=f[d>>2];m=12}if((m|0)==12){l=f[a+56>>2]|0;if((l|0)<3){f[i>>2]=l;f[b+8>>2]=f[a+60>>2];f[b+12>>2]=f[a+64>>2];l=f[a+96>>2]|0;i=f[b+44>>2]|0;f[i>>2]=f[l>>2];f[i+4>>2]=f[l+4>>2]}else m=14}if((m|0)==14)$T(b,d);f[g>>2]=f[a+68>>2];f[b+20>>2]=f[a+72>>2];f[b+24>>2]=f[a+76>>2];f[b+28>>2]=f[a+80>>2];f[b+32>>2]=f[a+84>>2];f[h>>2]=f[e>>2]}e=a+108|0;if((e|0)==(c|0))return;h=a+144|0;b=f[h>>2]|0;if(b|0){g=b+12|0;f[g>>2]=(f[g>>2]|0)+1}g=c+36|0;b=f[g>>2]|0;if(b|0?(d=b+12|0,b=f[d>>2]|0,f[d>>2]=b+-1,(b|0)==1):0)aU(c);f[g>>2]=0;b=c+16|0;d=c+4|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;if((f[d>>2]|0)>0){l=f[c+40>>2]|0;i=0;do{f[l+(i<<2)>>2]=0;i=i+1|0;n=f[d>>2]|0}while((i|0)<(n|0));f[c>>2]=f[e>>2];if((n|0)<3)m=27;else m=29}else{f[c>>2]=f[e>>2];m=27}if((m|0)==27){n=f[a+112>>2]|0;if((n|0)<3){f[d>>2]=n;f[c+8>>2]=f[a+116>>2];f[c+12>>2]=f[a+120>>2];n=f[a+152>>2]|0;d=f[c+44>>2]|0;f[d>>2]=f[n>>2];f[d+4>>2]=f[n+4>>2]}else m=29}if((m|0)==29)$T(c,e);f[b>>2]=f[a+124>>2];f[c+20>>2]=f[a+128>>2];f[c+24>>2]=f[a+132>>2];f[c+28>>2]=f[a+136>>2];f[c+32>>2]=f[a+140>>2];f[g>>2]=f[h>>2];return}function xrb(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0;h=u;u=u+16|0;i=h;if((b[a+260>>0]|0)==0?(f[f[f[c>>2]>>2]>>2]|0)!=1:0){j=cuc(64)|0;f[i>>2]=j;f[i+8>>2]=-2147483584;f[i+4>>2]=56;k=j;l=464958;m=k+56|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));b[j+56>>0]=0;WD(-213,i,477070,464366,145)}GKa(a,c,d,e,g)|0;u=h;return 1}function yrb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;d=u;u=u+16|0;a=d;e=f[c+4>>2]|0;g=f[c>>2]|0;c=g;if((e|0)==(g|0)){h=0;i=0;J=h;u=d;return i|0}j=(e-g|0)/12|0;g=0;e=0;k=0;while(1){l=f[c+(g*12|0)+4>>2]|0;m=f[c+(g*12|0)>>2]|0;n=l-m|0;o=n>>2;p=m;if((p|0)!=(l|0)){if((n|0)<=-4){q=7;break}if((n|0)>0){n=0;l=1;while(1){m=Y(f[p+(n<<2)>>2]|0,l)|0;n=n+1|0;if((n|0)>=(o|0)){r=m;break}else l=m}}else r=1}else r=0;l=r*3|0;o=hzc(l|0,((l|0)<0)<<31>>31|0,e|0,k|0)|0;l=J;g=g+1|0;if(g>>>0>=j>>>0){h=l;i=o;q=3;break}else{e=o;k=l}}if((q|0)==3){J=h;u=d;return i|0}else if((q|0)==7){q=cuc(80)|0;f[a>>2]=q;f[a+8>>2]=-2147483568;f[a+4>>2]=70;i=q;d=475319;h=i+70|0;do{b[i>>0]=b[d>>0]|0;i=i+1|0;d=d+1|0}while((i|0)<(h|0));b[q+70>>0]=0;WD(-215,a,475390,475396,161)}return 0}function zrb(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0.0,w=0,x=0,y=0,z=0,A=0,B=0.0,C=0,D=0;if((g|0)>=(h|0))return;i=f[a+68>>2]|0;j=a+96|0;k=a+64|0;l=(f[a+108>>2]&16384|0)==0;m=f[a+124>>2]|0;o=a+148|0;p=a+152|0;q=a+120|0;r=(d|0)>0;if(f[a+52>>2]&16384|0){s=c;t=g;u=b;while(1){v=+n[i+(t<<2)>>2];do if(l?(w=f[o>>2]|0,(f[w>>2]|0)!=1):0){x=f[f[p>>2]>>2]|0;if((f[w+4>>2]|0)==1){y=m+(Y(x,t)|0)|0;break}else{w=f[q>>2]|0;z=(t|0)/(w|0)|0;y=m+(Y(z,x)|0)+(t-(Y(z,w)|0)<<2)|0;break}}else A=21;while(0);if((A|0)==21){A=0;y=m+(t<<2)|0}B=+n[y>>2];if(r){w=0;do{n[s+(w<<2)>>2]=B+v*+n[u+(w<<2)>>2];w=w+1|0}while((w|0)!=(d|0))}t=t+1|0;if((t|0)==(h|0))break;else{s=s+(e<<2)|0;u=u+(e<<2)|0}}return}u=f[a+92>>2]|0;a=(f[u>>2]|0)==1;s=u+4|0;u=c;c=g;g=b;while(1){do if(!a){b=f[f[j>>2]>>2]|0;if((f[s>>2]|0)==1){C=i+(Y(b,c)|0)|0;break}else{t=f[k>>2]|0;y=(c|0)/(t|0)|0;C=i+(Y(y,b)|0)+(c-(Y(y,t)|0)<<2)|0;break}}else C=i+(c<<2)|0;while(0);v=+n[C>>2];do if(l?(t=f[o>>2]|0,(f[t>>2]|0)!=1):0){y=f[f[p>>2]>>2]|0;if((f[t+4>>2]|0)==1){D=m+(Y(y,c)|0)|0;break}else{t=f[q>>2]|0;b=(c|0)/(t|0)|0;D=m+(Y(b,y)|0)+(c-(Y(b,t)|0)<<2)|0;break}}else A=14;while(0);if((A|0)==14){A=0;D=m+(c<<2)|0}B=+n[D>>2];if(r){t=0;do{n[u+(t<<2)>>2]=B+v*+n[g+(t<<2)>>2];t=t+1|0}while((t|0)!=(d|0))}c=c+1|0;if((c|0)==(h|0))break;else{u=u+(e<<2)|0;g=g+(e<<2)|0}}return}function Arb(a,b){a=a|0;b=b|0;var c=0;c=cuc(64)|0;Brb(c,b);f[a>>2]=c;b=cuc(16)|0;f[b+4>>2]=0;f[b+8>>2]=0;f[b>>2]=135304;f[b+12>>2]=c;f[a+4>>2]=b;return}function Brb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0.0,l=0,m=0.0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;d=u;u=u+32|0;e=d+16|0;g=d;WMa(a);f[a>>2]=135332;XMa(a,c);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;h=e+11|0;b[h>>0]=1;b[e>>0]=112;b[e+1>>0]=0;i=gEa(c,e)|0;j=c+4|0;if((i|0)==(j|0))k=2.0;else k=+iEa(i+28|0,-1);i=a+44|0;n[i>>2]=k;if((b[h>>0]|0)<0)fuc(f[e>>2]|0);h=e+4|0;f[h>>2]=0;f[h+4>>2]=0;h=e+11|0;b[h>>0]=3;b[e>>0]=b[465409]|0;b[e+1>>0]=b[465410]|0;b[e+2>>0]=b[465411]|0;b[e+3>>0]=0;l=gEa(c,e)|0;if((l|0)==(j|0))m=1.000000013351432e-10;else m=+iEa(l+28|0,-1);n[a+48>>2]=m;if((b[h>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;h=cuc(16)|0;f[e>>2]=h;f[e+8>>2]=-2147483632;f[e+4>>2]=14;l=h;o=465413;p=l+14|0;do{b[l>>0]=b[o>>0]|0;l=l+1|0;o=o+1|0}while((l|0)<(p|0));b[h+14>>0]=0;h=gEa(c,e)|0;if((h|0)==(j|0))q=1;else{r=hEa(h+28|0,-1)|0;q=(r|0)!=0|(J|0)!=0}r=a+52|0;b[r>>0]=q&1;if((b[e+11>>0]|0)<0)fuc(f[e>>2]|0);q=e+11|0;b[q>>0]=10;l=e;o=465428;p=l+10|0;do{b[l>>0]=b[o>>0]|0;l=l+1|0;o=o+1|0}while((l|0)<(p|0));b[e+10>>0]=0;h=gEa(c,e)|0;if((h|0)==(j|0))s=1;else{t=hEa(h+28|0,-1)|0;s=t}t=a+56|0;f[t>>2]=s;if((b[q>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;q=cuc(16)|0;f[e>>2]=q;f[e+8>>2]=-2147483632;f[e+4>>2]=14;l=q;o=465413;p=l+14|0;do{b[l>>0]=b[o>>0]|0;l=l+1|0;o=o+1|0}while((l|0)<(p|0));b[q+14>>0]=0;if(!(cGa(c,e)|0))v=1;else{f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;q=g+11|0;b[q>>0]=8;s=g;f[s>>2]=1600417381;f[s+4>>2]=1936291937;b[g+8>>0]=0;s=(cGa(c,g)|0)==0;if((b[q>>0]|0)<0)fuc(f[g>>2]|0);v=s}if((b[e+11>>0]|0)<0)fuc(f[e>>2]|0);if(!v){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;v=cuc(64)|0;f[e>>2]=v;f[e+8>>2]=-2147483584;f[e+4>>2]=56;l=v;o=465439;p=l+56|0;do{b[l>>0]=b[o>>0]|0;l=l+1|0;o=o+1|0}while((l|0)<(p|0));b[v+56>>0]=0;WD(-215,e,465496,465519,59)};f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;v=e+11|0;b[v>>0]=8;s=e;f[s>>2]=1600417381;f[s+4>>2]=1936291937;b[e+8>>0]=0;if(!(b[r>>0]|0))w=f[t>>2]|0;else w=-1;t=gEa(c,e)|0;if((t|0)==(j|0))x=w;else{w=hEa(t+28|0,-1)|0;x=w}f[a+60>>2]=x;if((b[v>>0]|0)<0)fuc(f[e>>2]|0);if(+n[i>>2]>0.0){u=d;return}else{f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[e+11>>0]=9;l=e;o=465607;p=l+9|0;do{b[l>>0]=b[o>>0]|0;l=l+1|0;o=o+1|0}while((l|0)<(p|0));b[e+9>>0]=0;WD(-215,e,465496,465519,61)}}function Crb(a){a=a|0;Qtc(a);fuc(a);return}function Drb(a){a=a|0;var b=0;b=f[a+12>>2]|0;if(!b)return;bi[f[(f[b>>2]|0)+4>>2]&2047](b);return}function Erb(a,b){a=a|0;b=b|0;return ((f[b+4>>2]|0)==465238?a+12|0:0)|0}function Frb(a){a=a|0;fuc(a);return}function Grb(a){a=a|0;pKa(a);fuc(a);return}function Hrb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;d=u;u=u+32|0;e=d+12|0;g=d;f[e>>2]=0;h=e+4|0;f[h>>2]=0;f[e+8>>2]=0;sJ(c,e);c=f[e>>2]|0;i=c;if(((f[h>>2]|0)-c|0)!=56){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;c=cuc(32)|0;f[g>>2]=c;f[g+8>>2]=-2147483616;f[g+4>>2]=18;h=c;j=477051;k=h+18|0;do{b[h>>0]=b[j>>0]|0;h=h+1|0;j=j+1|0}while((h|0)<(k|0));b[c+18>>0]=0;WD(-215,g,476610,465519,96)}g=a+60|0;c=f[g>>2]|0;if((c|0)==-1)l=(f[i+4>>2]|0)+-1|0;else l=c;f[g>>2]=l;g=a+56|0;c=f[g>>2]|0;if((c|0)==-1)m=(f[i+4>>2]|0)+-1|0;else m=c;f[g>>2]=m;if((m|0)!=1){n=0;o=a+52|0;b[o>>0]=n;ut(e);u=d;return}n=(l|0)==((f[i+4>>2]|0)+-1|0)&1;o=a+52|0;b[o>>0]=n;ut(e);u=d;return}function Irb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0.0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0;g=u;u=u+544|0;h=g+520|0;i=g+80|0;j=g+64|0;k=g+512|0;l=g+496|0;m=g+484|0;o=g+472|0;q=g+416|0;r=g+360|0;s=g+32|0;t=g+304|0;v=g;gV(k,135432);if(f[k>>2]|0){}if((CJ(c,-1)|0)==3)JKa(a,c,d,e);else{f[l>>2]=0;w=l+4|0;f[w>>2]=0;f[l+8>>2]=0;f[m>>2]=0;x=m+4|0;f[x>>2]=0;f[m+8>>2]=0;f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;sJ(c,l);sJ(d,m);sJ(e,o);e=f[l>>2]|0;d=e;if(((f[w>>2]|0)-e|0)!=56){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;y=cuc(48)|0;f[h>>2]=y;z=h+8|0;f[z>>2]=-2147483600;A=h+4|0;f[A>>2]=41;B=y;C=465617;D=B+41|0;do{b[B>>0]=b[C>>0]|0;B=B+1|0;C=C+1|0}while((B|0)<(D|0));E=y+41|0;b[E>>0]=0;WD(-215,h,477126,465519,202)}e=f[m>>2]|0;w=e;if(((f[x>>2]|0)-e|0)!=56){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;y=cuc(48)|0;f[h>>2]=y;z=h+8|0;f[z>>2]=-2147483600;A=h+4|0;f[A>>2]=41;B=y;C=465617;D=B+41|0;do{b[B>>0]=b[C>>0]|0;B=B+1|0;C=C+1|0}while((B|0)<(D|0));E=y+41|0;b[E>>0]=0;WD(-215,h,477126,465519,202)}E=d+4|0;y=f[E>>2]|0;if((y|0)<3)F=Y(f[d+12>>2]|0,f[d+8>>2]|0)|0;else{A=f[d+40>>2]|0;z=0;e=1;while(1){x=Y(f[A+(z<<2)>>2]|0,e)|0;z=z+1|0;if((z|0)==(y|0)){F=x;break}else e=x}}e=f[w+4>>2]|0;if((e|0)<3)G=Y(f[w+12>>2]|0,f[w+8>>2]|0)|0;else{z=f[w+40>>2]|0;A=0;x=1;while(1){c=Y(f[z+(A<<2)>>2]|0,x)|0;A=A+1|0;if((A|0)==(e|0)){G=c;break}else x=c}}if((F|0)!=(G|0)){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;G=cuc(48)|0;f[h>>2]=G;f[h+8>>2]=-2147483600;f[h+4>>2]=39;B=G;C=465659;D=B+39|0;do{b[B>>0]=b[C>>0]|0;B=B+1|0;C=C+1|0}while((B|0)<(D|0));b[G+39>>0]=0;WD(-215,h,477126,465519,203)}G=f[o>>2]|0;F=a+56|0;x=f[F>>2]|0;f[F>>2]=((x|0)<0?y:0)+x;x=a+60|0;e=f[x>>2]|0;f[x>>2]=((e|0)<0?y:0)+e;e=f[d+16>>2]|0;y=f[w+16>>2]|0;w=d+40|0;A=f[w>>2]|0;z=f[A+-4>>2]|0;f[i>>2]=0;c=i+4|0;f[c>>2]=0;f[i+8>>2]=0;KKa(i,A,A+(z<<2)|0);z=f[F>>2]|0;if((z|0)==-1){A=f[c>>2]|0;H=f[i>>2]|0;I=A-H>>2;J=H;K=A;L=H;M=A}else{A=f[i>>2]|0;H=f[c>>2]|0;I=z;J=A;K=H;L=A;M=H}if((J|0)!=(K|0)){H=M-L|0;if((H|0)<0|I>>>0>H>>>2>>>0){H=cuc(80)|0;f[h>>2]=H;f[h+8>>2]=-2147483568;f[h+4>>2]=70;B=H;C=475319;D=B+70|0;do{b[B>>0]=b[C>>0]|0;B=B+1|0;C=C+1|0}while((B|0)<(D|0));b[H+70>>0]=0;WD(-215,h,475390,475396,161)}if((I|0)>0){H=1;L=0;while(1){M=Y(f[J+(L<<2)>>2]|0,H)|0;L=L+1|0;if((L|0)==(I|0)){O=M;break}else H=M}}else O=1}else O=0;if(J|0){if((K|0)!=(J|0))f[c>>2]=K+(~((K+-4-J|0)>>>2)<<2);fuc(J)}J=f[w>>2]|0;K=f[J+-4>>2]|0;f[i>>2]=0;c=i+4|0;f[c>>2]=0;f[i+8>>2]=0;KKa(i,J,J+(K<<2)|0);K=f[F>>2]|0;F=(f[x>>2]|0)+1|0;x=(K|0)==-1?0:K;if((F|0)==-1){K=f[c>>2]|0;J=f[i>>2]|0;P=K-J>>2;Q=J;R=K;S=J;T=K}else{K=f[i>>2]|0;J=f[c>>2]|0;P=F;Q=K;R=J;S=K;T=J}if((Q|0)!=(R|0)){J=T-S>>2;if((x|0)>(J|0)){U=cuc(80)|0;f[h>>2]=U;V=h+8|0;f[V>>2]=-2147483568;W=h+4|0;f[W>>2]=70;B=U;C=475319;D=B+70|0;do{b[B>>0]=b[C>>0]|0;B=B+1|0;C=C+1|0}while((B|0)<(D|0));X=U+70|0;b[X>>0]=0;WD(-215,h,475390,475396,161)}if((x|0)>(P|0)|(P|0)>(J|0)){U=cuc(80)|0;f[h>>2]=U;V=h+8|0;f[V>>2]=-2147483568;W=h+4|0;f[W>>2]=70;B=U;C=475319;D=B+70|0;do{b[B>>0]=b[C>>0]|0;B=B+1|0;C=C+1|0}while((B|0)<(D|0));X=U+70|0;b[X>>0]=0;WD(-215,h,475390,475396,161)}if((x|0)<(P|0)){X=1;U=x;while(1){x=Y(f[Q+(U<<2)>>2]|0,X)|0;U=U+1|0;if((U|0)==(P|0)){Z=x;break}else X=x}}else Z=1}else Z=0;if(Q|0){if((R|0)!=(Q|0))f[c>>2]=R+(~((R+-4-Q|0)>>>2)<<2);fuc(Q)}Q=Y(Z,O)|0;if(!Q){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;R=cuc(32)|0;f[h>>2]=R;f[h+8>>2]=-2147483616;f[h+4>>2]=20;B=R;C=465699;D=B+20|0;do{b[B>>0]=b[C>>0]|0;B=B+1|0;C=C+1|0}while((B|0)<(D|0));b[R+20>>0]=0;WD(-215,h,477126,465519,215)}R=f[E>>2]|0;if((R|0)<3)_=Y(f[d+12>>2]|0,f[d+8>>2]|0)|0;else{d=f[w>>2]|0;w=0;E=1;while(1){c=Y(f[d+(w<<2)>>2]|0,E)|0;w=w+1|0;if((w|0)==(R|0)){_=c;break}else E=c}}E=(_>>>0)/(Q>>>0)|0;a:do if(O|0){Q=q+4|0;_=q+8|0;R=q+12|0;w=q+16|0;d=q+20|0;c=q+24|0;X=q+40|0;P=q+48|0;U=q+44|0;x=q+52|0;W=Y(E,Z)|0;V=(W|0)!=0;J=q+28|0;S=E<<2;T=Y(S,Z)|0;K=0-S|0;F=r+4|0;H=r+8|0;I=r+12|0;L=r+16|0;M=r+20|0;A=r+24|0;z=r+40|0;$=r+48|0;aa=r+44|0;ba=r+52|0;ca=r+28|0;da=h+8|0;ea=h+12|0;fa=h+4|0;ga=a+44|0;ha=j+8|0;ia=j+4|0;ja=(E|0)==1;ka=h+8|0;la=h+12|0;ma=h+4|0;na=a+48|0;oa=h+8|0;pa=h+12|0;qa=h+4|0;ra=i+8|0;sa=i+12|0;ta=i+4|0;ua=t+8|0;va=t+4|0;wa=a+4|0;xa=a+8|0;ya=r+36|0;za=q+36|0;Aa=i+4|0;Ba=i+8|0;Ca=i+12|0;Da=i+16|0;Ea=i+20|0;Fa=i+24|0;Ga=i+28|0;Ha=i+32|0;Ia=i+36|0;Ja=i+40|0;Ka=i+48|0;La=i+44|0;Ma=i+52|0;Na=h+8|0;Oa=h+4|0;Pa=h+8|0;Qa=h+12|0;Ra=h+4|0;Sa=j+8|0;Ta=j+4|0;Ua=h+8|0;Va=h+12|0;Wa=h+4|0;Xa=j+8|0;Ya=j+12|0;Za=j+4|0;_a=t+8|0;$a=t+4|0;ab=t+4|0;bb=t+8|0;cb=t+40|0;db=t+48|0;eb=t+44|0;fb=t+52|0;gb=h+8|0;hb=h+12|0;ib=h+4|0;jb=i+8|0;kb=i+4|0;lb=v+8|0;mb=h+8|0;nb=h+12|0;ob=h+4|0;pb=i+8|0;qb=i+12|0;rb=i+4|0;sb=j+8|0;tb=j+4|0;ub=h+8|0;vb=h+12|0;wb=h+4|0;xb=i+8|0;yb=i+4|0;zb=h+8|0;Ab=h+12|0;Bb=h+4|0;Cb=i+8|0;Db=i+4|0;Eb=h+8|0;Fb=h+12|0;Gb=h+4|0;Hb=i+8|0;Ib=i+12|0;Jb=i+4|0;Kb=j+8|0;Lb=j+4|0;Mb=t+36|0;Nb=t+16|0;Ob=0;Pb=e;Qb=y;while(1){f[q>>2]=1124007941;f[Q>>2]=2;f[_>>2]=Z;f[R>>2]=E;f[w>>2]=Pb;f[d>>2]=Pb;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;f[X>>2]=_;f[U>>2]=P;f[x>>2]=0;f[P>>2]=0;if(V&(Pb|0)==0){Rb=56;break}f[P>>2]=S;f[x>>2]=4;Sb=Pb+T|0;f[J>>2]=Sb;f[c>>2]=Sb+K+S;YT(q);f[r>>2]=1124007941;f[F>>2]=2;f[H>>2]=Z;f[I>>2]=E;f[L>>2]=Qb;f[M>>2]=Qb;f[A>>2]=0;f[A+4>>2]=0;f[A+8>>2]=0;f[A+12>>2]=0;f[z>>2]=H;f[aa>>2]=$;f[ba>>2]=0;f[$>>2]=0;if(V&(Qb|0)==0){Rb=58;break}f[$>>2]=S;f[ba>>2]=4;Sb=Qb+T|0;f[ca>>2]=Sb;f[A>>2]=Sb+K+S;YT(r);qT(i,q);f[da>>2]=0;f[ea>>2]=0;f[h>>2]=-1056571392;f[fa>>2]=i;Tb=+n[ga>>2];Sb=ha;f[Sb>>2]=0;f[Sb+4>>2]=0;f[j>>2]=33619968;f[ia>>2]=G;lD(h,Tb,j);Xi(i);if(!ja){f[t>>2]=1124007936;B=ab;D=B+36|0;do{f[B>>2]=0;B=B+4|0}while((B|0)<(D|0));f[cb>>2]=bb;f[eb>>2]=db;f[db>>2]=0;f[fb>>2]=0;f[gb>>2]=0;f[hb>>2]=0;f[h>>2]=16842752;f[ib>>2]=G;Sb=jb;f[Sb>>2]=0;f[Sb+4>>2]=0;f[i>>2]=33619968;f[kb>>2]=t;bO(h,i,0,0,-1);p[v>>3]=+n[na>>2];f[lb>>2]=0;f[lb+4>>2]=0;f[lb+8>>2]=0;f[lb+12>>2]=0;f[lb+16>>2]=0;f[lb+20>>2]=0;f[mb>>2]=0;f[nb>>2]=0;f[h>>2]=16842752;f[ob>>2]=t;f[i>>2]=-1056833530;f[rb>>2]=v;f[pb>>2]=1;f[qb>>2]=4;Sb=sb;f[Sb>>2]=0;f[Sb+4>>2]=0;f[j>>2]=33619968;f[tb>>2]=t;rW(h,i,j,sK()|0,-1);f[ub>>2]=0;f[vb>>2]=0;f[h>>2]=16842752;f[wb>>2]=t;Tb=+n[ga>>2];Sb=xb;f[Sb>>2]=0;f[Sb+4>>2]=0;f[i>>2]=33619968;f[yb>>2]=t;lD(h,-1.0/Tb,i);f[zb>>2]=0;f[Ab>>2]=0;f[h>>2]=16842752;f[Bb>>2]=t;Sb=Cb;f[Sb>>2]=0;f[Sb+4>>2]=0;f[i>>2]=33619968;f[Db>>2]=G;KI(h,Z,1,i);f[Eb>>2]=0;f[Fb>>2]=0;f[h>>2]=16842752;f[Gb>>2]=q;f[Hb>>2]=0;f[Ib>>2]=0;f[i>>2]=16842752;f[Jb>>2]=G;Sb=Kb;f[Sb>>2]=0;f[Sb+4>>2]=0;f[j>>2]=33619968;f[Lb>>2]=r;jX(h,i,j,1.0,-1);Sb=f[Mb>>2]|0;do if(Sb|0){Ub=Sb+12|0;Vb=f[Ub>>2]|0;f[Ub>>2]=Vb+-1;if((Vb|0)!=1)break;aU(t)}while(0);f[Mb>>2]=0;f[Nb>>2]=0;f[Nb+4>>2]=0;f[Nb+8>>2]=0;f[Nb+12>>2]=0;if((f[ab>>2]|0)>0){Sb=f[cb>>2]|0;Vb=0;do{f[Sb+(Vb<<2)>>2]=0;Vb=Vb+1|0}while((Vb|0)<(f[ab>>2]|0))}Vb=f[eb>>2]|0;if((Vb|0)!=(db|0))TC(Vb)}else{f[ka>>2]=0;f[la>>2]=0;f[h>>2]=16842752;f[ma>>2]=G;pN(s,h);Tb=+N(+(+p[s>>3]+ +n[na>>2]),+(1.0/+n[ga>>2]));f[oa>>2]=0;f[pa>>2]=0;f[h>>2]=16842752;f[qa>>2]=q;p[j>>3]=1.0/Tb;f[i>>2]=-1056833530;f[ta>>2]=j;f[ra>>2]=1;f[sa>>2]=1;Vb=ua;f[Vb>>2]=0;f[Vb+4>>2]=0;f[t>>2]=33619968;f[va>>2]=r;jX(h,i,t,1.0,-1)}Vb=f[wa>>2]|0;if((Vb|0)!=(f[xa>>2]|0)){f[i>>2]=f[Vb>>2];Sb=Vb+4|0;f[Aa>>2]=f[Sb>>2];f[Ba>>2]=f[Vb+8>>2];f[Ca>>2]=f[Vb+12>>2];f[Da>>2]=f[Vb+16>>2];f[Ea>>2]=f[Vb+20>>2];f[Fa>>2]=f[Vb+24>>2];f[Ga>>2]=f[Vb+28>>2];f[Ha>>2]=f[Vb+32>>2];Ub=f[Vb+36>>2]|0;f[Ia>>2]=Ub;f[Ja>>2]=Ba;f[La>>2]=Ka;f[Ka>>2]=0;f[Ma>>2]=0;if(Ub|0){Wb=Ub+12|0;f[Wb>>2]=(f[Wb>>2]|0)+1}if((f[Sb>>2]|0)<3){Sb=f[Vb+44>>2]|0;Wb=f[La>>2]|0;f[Wb>>2]=f[Sb>>2];f[Wb+4>>2]=f[Sb+4>>2]}else{f[Aa>>2]=0;$T(i,Vb)}Vb=f[Aa>>2]|0;Sb=(Vb|0)<3;if(Sb)Xb=Y(f[Ca>>2]|0,f[Ba>>2]|0)|0;else{Wb=f[Ja>>2]|0;Ub=0;Yb=1;while(1){Zb=Y(f[Wb+(Ub<<2)>>2]|0,Yb)|0;Ub=Ub+1|0;if((Ub|0)==(Vb|0)){Xb=Zb;break}else Yb=Zb}}if((Xb|0)==1){Tb=+n[f[Da>>2]>>2];Yb=Na;f[Yb>>2]=0;f[Yb+4>>2]=0;f[h>>2]=33619968;f[Oa>>2]=r;kQ(r,h,-1,Tb,0.0)}else{if(Sb)_b=Y(f[Ca>>2]|0,f[Ba>>2]|0)|0;else{Yb=f[Ja>>2]|0;Ub=0;Wb=1;while(1){Zb=Y(f[Yb+(Ub<<2)>>2]|0,Wb)|0;Ub=Ub+1|0;if((Ub|0)==(Vb|0)){_b=Zb;break}else Wb=Zb}}if((_b|0)!=(Z|0)){Rb=87;break}f[Pa>>2]=0;f[Qa>>2]=0;f[h>>2]=16842752;f[Ra>>2]=i;Wb=f[I>>2]|0;Vb=Sa;f[Vb>>2]=0;f[Vb+4>>2]=0;f[j>>2]=33619968;f[Ta>>2]=G;KI(h,1,Wb,j);f[Ua>>2]=0;f[Va>>2]=0;f[h>>2]=16842752;f[Wa>>2]=r;f[Xa>>2]=0;f[Ya>>2]=0;f[j>>2]=16842752;f[Za>>2]=G;Wb=_a;f[Wb>>2]=0;f[Wb+4>>2]=0;f[t>>2]=33619968;f[$a>>2]=r;jX(h,j,t,1.0,-1)}Wb=f[Ia>>2]|0;do if(Wb|0){Vb=Wb+12|0;Ub=f[Vb>>2]|0;f[Vb>>2]=Ub+-1;if((Ub|0)!=1)break;aU(i)}while(0);f[Ia>>2]=0;f[Da>>2]=0;f[Da+4>>2]=0;f[Da+8>>2]=0;f[Da+12>>2]=0;if((f[Aa>>2]|0)>0){Wb=f[Ja>>2]|0;Ub=0;do{f[Wb+(Ub<<2)>>2]=0;Ub=Ub+1|0}while((Ub|0)<(f[Aa>>2]|0))}Ub=f[La>>2]|0;if((Ub|0)!=(Ka|0))TC(Ub)}Pb=Pb+(W<<2)|0;Qb=Qb+(W<<2)|0;Ub=f[ya>>2]|0;do if(Ub|0){Wb=Ub+12|0;Vb=f[Wb>>2]|0;f[Wb>>2]=Vb+-1;if((Vb|0)!=1)break;aU(r)}while(0);f[ya>>2]=0;f[L>>2]=0;f[L+4>>2]=0;f[L+8>>2]=0;f[L+12>>2]=0;if((f[F>>2]|0)>0){Ub=f[z>>2]|0;Vb=0;do{f[Ub+(Vb<<2)>>2]=0;Vb=Vb+1|0}while((Vb|0)<(f[F>>2]|0))}Vb=f[aa>>2]|0;if((Vb|0)!=($|0))TC(Vb);Vb=f[za>>2]|0;do if(Vb|0){Ub=Vb+12|0;Wb=f[Ub>>2]|0;f[Ub>>2]=Wb+-1;if((Wb|0)!=1)break;aU(q)}while(0);f[za>>2]=0;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;f[w+12>>2]=0;if((f[Q>>2]|0)>0){Vb=f[X>>2]|0;Wb=0;do{f[Vb+(Wb<<2)>>2]=0;Wb=Wb+1|0}while((Wb|0)<(f[Q>>2]|0))}Wb=f[U>>2]|0;if((Wb|0)!=(P|0))TC(Wb);Ob=Ob+1|0;if(Ob>>>0>=O>>>0)break a}if((Rb|0)==56){Ob=cuc(32)|0;f[h>>2]=Ob;f[h+8>>2]=-2147483616;f[h+4>>2]=28;B=Ob;C=466324;D=B+28|0;do{b[B>>0]=b[C>>0]|0;B=B+1|0;C=C+1|0}while((B|0)<(D|0));b[Ob+28>>0]=0;WD(-215,h,466353,466357,548)}else if((Rb|0)==58){P=cuc(32)|0;f[h>>2]=P;f[h+8>>2]=-2147483616;f[h+4>>2]=28;B=P;C=466324;D=B+28|0;do{b[B>>0]=b[C>>0]|0;B=B+1|0;C=C+1|0}while((B|0)<(D|0));b[P+28>>0]=0;WD(-215,h,466353,466357,548)}else if((Rb|0)==87){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;Ob=cuc(32)|0;f[h>>2]=Ob;f[h+8>>2]=-2147483616;f[h+4>>2]=26;B=Ob;C=465720;D=B+26|0;do{b[B>>0]=b[C>>0]|0;B=B+1|0;C=C+1|0}while((B|0)<(D|0));b[Ob+26>>0]=0;WD(-215,h,477126,465519,255)}}while(0);ut(o);ut(m);ut(l)}if(!(f[k+4>>2]|0)){u=g;return}u=g;return}function Jrb(a,c){a=a|0;c=c|0;var d=0;if((c|0)!=2){d=(c|0)==3;return d|0}if(+n[a+44>>2]!=2.0){d=0;return d|0}if((f[a+4>>2]|0)!=(f[a+8>>2]|0)){d=1;return d|0}if((f[a+40>>2]|0)==3){d=(b[a+52>>0]|0)==0;return d|0}if((f[a+56>>2]|0)!=1){d=0;return d|0}if(!(b[a+52>>0]|0)){d=1;return d|0}d=(f[a+60>>2]|0)>1;return d|0}function Krb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function Lrb(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;h=u;u=u+16|0;i=h;if(((f[c+4>>2]|0)-(f[c>>2]|0)|0)!=12){j=cuc(32)|0;f[i>>2]=j;f[i+8>>2]=-2147483616;f[i+4>>2]=18;k=j;l=477051;m=k+18|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));b[j+18>>0]=0;WD(-215,i,477070,465519,85)}GKa(a,c,d,e,g)|0;e=g+4|0;d=f[e>>2]|0;a=f[g>>2]|0;i=d-a|0;j=(i|0)/12|0;l=d;if(!i){Hmb(g,1-j|0,f[c>>2]|0);n=f[g>>2]|0;o=f[n>>2]|0;f[o>>2]=1;u=h;return 1}if(j>>>0<=1){n=f[g>>2]|0;o=f[n>>2]|0;f[o>>2]=1;u=h;return 1}j=a+12|0;if((l|0)==(j|0)){n=f[g>>2]|0;o=f[n>>2]|0;f[o>>2]=1;u=h;return 1}else p=l;while(1){l=p+-12|0;f[e>>2]=l;a=f[l>>2]|0;if(!a)q=l;else{l=p+-8|0;c=f[l>>2]|0;if((c|0)!=(a|0))f[l>>2]=c+(~((c+-4-a|0)>>>2)<<2);fuc(a);q=f[e>>2]|0}if((q|0)==(j|0))break;else p=q}n=f[g>>2]|0;o=f[n>>2]|0;f[o>>2]=1;u=h;return 1}function Mrb(a,b){a=a|0;b=b|0;var c=0;c=cuc(56)|0;Nrb(c,b);f[a>>2]=c;b=cuc(16)|0;f[b+4>>2]=0;f[b+8>>2]=0;f[b>>2]=135472;f[b+12>>2]=c;f[a+4>>2]=b;return}function Nrb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;d=u;u=u+16|0;e=d;WMa(a);f[a>>2]=135500;XMa(a,c);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;g=e+11|0;b[g>>0]=9;h=e;i=466098;j=h+9|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(j|0));b[e+9>>0]=0;i=gEa(c,e)|0;h=c+4|0;if((i|0)==(h|0))k=0;else{j=hEa(i+28|0,-1)|0;k=((j|0)!=0|(J|0)!=0)&1}b[a+44>>0]=k;if((b[g>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;g=e+11|0;b[g>>0]=4;f[e>>2]=1936291937;b[e+4>>0]=0;k=gEa(c,e)|0;if((k|0)==(h|0))l=1;else{h=hEa(k+28|0,-1)|0;l=h}f[a+48>>2]=l;if((b[g>>0]|0)>=0){m=a+52|0;b[m>>0]=0;u=d;return}fuc(f[e>>2]|0);m=a+52|0;b[m>>0]=0;u=d;return}function Orb(a){a=a|0;Qtc(a);fuc(a);return}function Prb(a){a=a|0;var b=0;b=f[a+12>>2]|0;if(!b)return;bi[f[(f[b>>2]|0)+4>>2]&2047](b);return}function Qrb(a,b){a=a|0;b=b|0;return ((f[b+4>>2]|0)==465943?a+12|0:0)|0}function Rrb(a){a=a|0;fuc(a);return}function Srb(a){a=a|0;pKa(a);fuc(a);return}function Trb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0;d=u;u=u+32|0;e=d+12|0;g=d;f[e>>2]=0;h=e+4|0;f[h>>2]=0;f[e+8>>2]=0;sJ(c,e);c=f[a+8>>2]|0;i=f[a+4>>2]|0;j=(c-i|0)/56|0;k=i;i=c;switch(j|0){case 2:{l=1;break}case 1:{l=b[a+44>>0]^1;break}default:l=0}b[a+52>>0]=l;if((k|0)==(i|0)?((f[h>>2]|0)-(f[e>>2]|0)|0)==112:0){ut(e);u=d;return}if((j|0)==((b[a+44>>0]|0)+l&255|0)){ut(e);u=d;return}else{f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;d=cuc(96)|0;f[g>>2]=d;f[g+8>>2]=-2147483552;f[g+4>>2]=85;e=d;l=466651;a=e+85|0;do{b[e>>0]=b[l>>0]|0;e=e+1|0;l=l+1|0}while((e|0)<(a|0));b[d+85>>0]=0;WD(-215,g,476610,466108,48)}}function Urb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0.0,Bb=0.0,Cb=0,Db=0;g=u;u=u+368|0;h=g+304|0;i=g+296|0;j=g+284|0;k=g+272|0;l=g+216|0;m=g+160|0;o=g+144|0;p=g+88|0;q=g+32|0;r=g+16|0;s=g;gV(i,135600);if(f[i>>2]|0){}do if((CJ(c,-1)|0)!=3){f[j>>2]=0;t=j+4|0;f[t>>2]=0;f[j+8>>2]=0;f[k>>2]=0;v=k+4|0;f[v>>2]=0;f[k+8>>2]=0;sJ(c,j);sJ(d,k);w=f[k>>2]|0;x=w;if(((f[v>>2]|0)-w|0)!=56){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;w=cuc(32)|0;f[h>>2]=w;f[h+8>>2]=-2147483616;f[h+4>>2]=19;y=w;z=472630;A=y+19|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));b[w+19>>0]=0;WD(-215,h,477126,466108,72)}v=f[a+4>>2]|0;B=a+8|0;do if((v|0)==(f[B>>2]|0)){C=f[j>>2]|0;D=C;if(((f[t>>2]|0)-C|0)!=112){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;C=cuc(48)|0;f[h>>2]=C;f[h+8>>2]=-2147483600;f[h+4>>2]=36;y=C;z=466187;A=y+36|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));b[C+36>>0]=0;WD(-215,h,477126,466108,72)}E=D+56|0;f[l>>2]=f[E>>2];F=l+4|0;G=D+60|0;H=f[G>>2]|0;f[F>>2]=H;I=l+8|0;f[I>>2]=f[D+64>>2];f[l+12>>2]=f[D+68>>2];f[l+16>>2]=f[D+72>>2];f[l+20>>2]=f[D+76>>2];f[l+24>>2]=f[D+80>>2];f[l+28>>2]=f[D+84>>2];f[l+32>>2]=f[D+88>>2];J=f[D+92>>2]|0;f[l+36>>2]=J;f[l+40>>2]=I;I=l+48|0;K=l+44|0;f[K>>2]=I;f[I>>2]=0;f[l+52>>2]=0;if(!J)L=H;else{H=J+12|0;f[H>>2]=(f[H>>2]|0)+1;L=f[G>>2]|0}if((L|0)<3){G=f[D+100>>2]|0;H=f[K>>2]|0;f[H>>2]=f[G>>2];f[H+4>>2]=f[G+4>>2];M=D;N=l;break}else{f[F>>2]=0;$T(l,E);M=D;N=l;break}}else{E=f[j>>2]|0;if(!(b[a+52>>0]|0)){f[l>>2]=1124007936;F=l+8|0;G=l+40|0;y=l+4|0;A=y+36|0;do{f[y>>2]=0;y=y+4|0}while((y|0)<(A|0));f[G>>2]=F;D=l+48|0;f[l+44>>2]=D;f[D>>2]=0;f[l+52>>2]=0;M=E;N=l;break}f[l>>2]=f[v>>2];D=l+4|0;C=v+4|0;f[D>>2]=f[C>>2];H=l+8|0;f[H>>2]=f[v+8>>2];f[l+12>>2]=f[v+12>>2];f[l+16>>2]=f[v+16>>2];f[l+20>>2]=f[v+20>>2];f[l+24>>2]=f[v+24>>2];f[l+28>>2]=f[v+28>>2];f[l+32>>2]=f[v+32>>2];K=f[v+36>>2]|0;f[l+36>>2]=K;f[l+40>>2]=H;H=l+48|0;J=l+44|0;f[J>>2]=H;f[H>>2]=0;f[l+52>>2]=0;if(K|0){H=K+12|0;f[H>>2]=(f[H>>2]|0)+1}if((f[C>>2]|0)<3){C=f[v+44>>2]|0;H=f[J>>2]|0;f[H>>2]=f[C>>2];f[H+4>>2]=f[C+4>>2];M=E;N=l;break}else{f[D>>2]=0;$T(l,v);M=E;N=l;break}}while(0);v=a+44|0;if(!(b[v>>0]|0)){f[m>>2]=1124007936;t=m+8|0;w=m+40|0;y=m+4|0;A=y+36|0;do{f[y>>2]=0;y=y+4|0}while((y|0)<(A|0));f[w>>2]=t;D=m+48|0;f[m+44>>2]=D;f[D>>2]=0;f[m+52>>2]=0}else mU(m,(f[B>>2]|0)+-56|0,1,1);D=l+16|0;if(f[D>>2]|0){C=l+4|0;H=f[C>>2]|0;if((H|0)<3)O=Y(f[l+12>>2]|0,f[l+8>>2]|0)|0;else{J=f[l+40>>2]|0;K=0;I=1;while(1){P=Y(f[J+(K<<2)>>2]|0,I)|0;K=K+1|0;if((K|0)==(H|0)){O=P;break}else I=P}}if(!((H|0)==0|(O|0)==0)){mU(h,l,1,1);I=l+36|0;K=f[I>>2]|0;if(K|0?(J=K+12|0,K=f[J>>2]|0,f[J>>2]=K+-1,(K|0)==1):0)aU(l);f[I>>2]=0;f[D>>2]=0;f[D+4>>2]=0;f[D+8>>2]=0;f[D+12>>2]=0;if((f[C>>2]|0)>0){K=f[l+40>>2]|0;J=0;do{f[K+(J<<2)>>2]=0;J=J+1|0}while((J|0)<(f[C>>2]|0))}f[l>>2]=f[h>>2];J=h+4|0;K=f[J>>2]|0;f[C>>2]=K;H=h+8|0;B=l+8|0;f[B>>2]=f[H>>2];f[l+12>>2]=f[h+12>>2];t=h+16|0;f[D>>2]=f[t>>2];f[l+20>>2]=f[h+20>>2];f[l+24>>2]=f[h+24>>2];f[l+28>>2]=f[h+28>>2];f[l+32>>2]=f[h+32>>2];w=h+36|0;f[I>>2]=f[w>>2];P=l+44|0;Q=f[P>>2]|0;R=l+48|0;if((Q|0)==(R|0))S=K;else{TC(Q);f[P>>2]=R;f[l+40>>2]=B;S=f[J>>2]|0}B=h+44|0;if((S|0)<3){Q=f[B>>2]|0;f[R>>2]=f[Q>>2];f[l+52>>2]=f[Q+4>>2];T=Q}else{f[P>>2]=f[B>>2];P=h+40|0;f[l+40>>2]=f[P>>2];Q=h+48|0;f[B>>2]=Q;f[P>>2]=H;T=Q}f[h>>2]=1124007936;f[J>>2]=0;f[J+4>>2]=0;f[J+8>>2]=0;f[J+12>>2]=0;f[J+16>>2]=0;f[J+20>>2]=0;f[J+24>>2]=0;f[J+28>>2]=0;f[w>>2]=0;f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;f[t+12>>2]=0;if((T|0)!=(h+48|0))TC(T)}}t=M+4|0;w=f[t>>2]|0;J=f[M+40>>2]|0;f[o>>2]=0;Q=o+4|0;f[Q>>2]=0;f[o+8>>2]=0;KKa(o,J,J+(w<<2)|0);w=f[D>>2]|0;J=(w|0)==0;do if(!J){H=f[l+4>>2]|0;P=(H|0)<3;if(P)U=Y(f[l+12>>2]|0,f[l+8>>2]|0)|0;else{B=f[l+40>>2]|0;R=0;K=1;while(1){V=Y(f[B+(R<<2)>>2]|0,K)|0;R=R+1|0;if((R|0)==(H|0)){U=V;break}else K=V}}if(!((H|0)==0|(U|0)==0)){if(P){W=Y(f[l+12>>2]|0,f[l+8>>2]|0)|0;break}K=f[l+40>>2]|0;R=0;B=1;while(1){E=Y(f[K+(R<<2)>>2]|0,B)|0;R=R+1|0;if((R|0)==(H|0)){W=E;break}else B=E}}else X=58}else X=58;while(0);do if((X|0)==58){I=f[m+4>>2]|0;if((I|0)<3){W=Y(f[m+12>>2]|0,f[m+8>>2]|0)|0;break}C=f[m+40>>2]|0;B=0;H=1;while(1){R=Y(f[C+(B<<2)>>2]|0,H)|0;B=B+1|0;if((B|0)==(I|0)){W=R;break}else H=R}}while(0);if(!W){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;H=cuc(16)|0;f[h>>2]=H;f[h+8>>2]=-2147483632;f[h+4>>2]=15;y=H;z=466224;A=y+15|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));b[H+15>>0]=0;WD(-215,h,477126,466108,84)}if(b[a+52>>0]|0?b[v>>0]|0:0){I=f[l+4>>2]|0;B=(I|0)<3;if(B)Z=Y(f[l+12>>2]|0,f[l+8>>2]|0)|0;else{C=f[l+40>>2]|0;R=0;K=1;while(1){P=Y(f[C+(R<<2)>>2]|0,K)|0;R=R+1|0;if((R|0)==(I|0)){Z=P;break}else K=P}}K=f[m+4>>2]|0;R=(K|0)<3;if(R)_=Y(f[m+12>>2]|0,f[m+8>>2]|0)|0;else{C=f[m+40>>2]|0;H=0;P=1;while(1){E=Y(f[C+(H<<2)>>2]|0,P)|0;H=H+1|0;if((H|0)==(K|0)){_=E;break}else P=E}}if((Z|0)!=(_|0)){if(B)$=Y(f[l+12>>2]|0,f[l+8>>2]|0)|0;else{P=f[l+40>>2]|0;H=0;C=1;while(1){E=Y(f[P+(H<<2)>>2]|0,C)|0;H=H+1|0;if((H|0)==(I|0)){$=E;break}else C=E}}if(R){aa=Y(f[m+12>>2]|0,f[m+8>>2]|0)|0;uN($,aa,135632)}C=f[m+40>>2]|0;I=0;H=1;while(1){P=Y(f[C+(I<<2)>>2]|0,H)|0;I=I+1|0;if((I|0)==(K|0)){aa=P;break}else H=P}uN($,aa,135632)}}H=f[a+48>>2]|0;K=f[t>>2]|0;I=f[Q>>2]|0;C=f[o>>2]|0;R=I-C|0;P=R>>2;B=C;C=I;I=(H|0)==-1?0:H;E=(B|0)==(C|0);F=(I|0)>(P|0);G=H;while(1){V=G;G=G+1|0;if((V|0)>=(K|0)){X=93;break}V=(G|0)==-1?P:G;if(!E){if(F){X=90;break}if((I|0)>(V|0)|(V|0)>(P|0)){X=90;break}if((I|0)<(V|0)){ba=1;ca=I;while(1){da=Y(f[B+(ca<<2)>>2]|0,ba)|0;ca=ca+1|0;if((ca|0)==(V|0)){ea=da;break}else ba=da}}else ea=1}else ea=0;if((ea|0)==(W|0)){X=93;break}}if((X|0)==90){I=cuc(80)|0;f[h>>2]=I;f[h+8>>2]=-2147483568;f[h+4>>2]=70;y=I;z=475319;A=y+70|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));b[I+70>>0]=0;WD(-215,h,475390,475396,161)}else if((X|0)==93){F=(H|0)==-1;E=F?0:H;t=(G|0)==-1;ba=t?P:G;V=(B|0)==(C|0);if(!V){if((E|0)>(P|0)){fa=cuc(80)|0;f[h>>2]=fa;ga=h+8|0;f[ga>>2]=-2147483568;ha=h+4|0;f[ha>>2]=70;y=fa;z=475319;A=y+70|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));ia=fa+70|0;b[ia>>0]=0;WD(-215,h,475390,475396,161)}if((E|0)>(ba|0)|(ba|0)>(P|0)){fa=cuc(80)|0;f[h>>2]=fa;ga=h+8|0;f[ga>>2]=-2147483568;ha=h+4|0;f[ha>>2]=70;y=fa;z=475319;A=y+70|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));ia=fa+70|0;b[ia>>0]=0;WD(-215,h,475390,475396,161)}if((E|0)<(ba|0)){C=1;I=E;while(1){ca=Y(f[B+(I<<2)>>2]|0,C)|0;I=I+1|0;if((I|0)==(ba|0)){ja=ca;break}else C=ca}}else ja=1}else ja=0;if((ja|0)!=(W|0)){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;C=cuc(48)|0;f[h>>2]=C;f[h+8>>2]=-2147483600;f[h+4>>2]=44;y=C;z=466240;A=y+44|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));b[C+44>>0]=0;WD(-215,h,477126,466108,94)}ba=b[v>>0]|0;if(ba<<24>>24){I=f[m+4>>2]|0;if((I|0)<3)ka=Y(f[m+12>>2]|0,f[m+8>>2]|0)|0;else{E=f[m+40>>2]|0;ca=0;da=1;while(1){la=Y(f[E+(ca<<2)>>2]|0,da)|0;ca=ca+1|0;if((ca|0)==(I|0)){ka=la;break}else da=la}}if((W|0)!=(ka|0)){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;da=cuc(48)|0;f[h>>2]=da;f[h+8>>2]=-2147483600;f[h+4>>2]=38;y=da;z=466285;A=y+38|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));b[da+38>>0]=0;WD(-215,h,477126,466108,95)}}I=f[M>>2]&4095;if((I|0)!=5)rN(I,5,135660);I=f[x>>2]&4095;if((I|0)!=5)rN(I,5,135688);I=F?P:H;do if(V)ma=0;else{if((R|0)<0){na=cuc(80)|0;f[h>>2]=na;oa=h+8|0;f[oa>>2]=-2147483568;pa=h+4|0;f[pa>>2]=70;y=na;z=475319;A=y+70|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));qa=na+70|0;b[qa>>0]=0;WD(-215,h,475390,475396,161)}if((I|0)<0|(I|0)>(P|0)){na=cuc(80)|0;f[h>>2]=na;oa=h+8|0;f[oa>>2]=-2147483568;pa=h+4|0;f[pa>>2]=70;y=na;z=475319;A=y+70|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));qa=na+70|0;b[qa>>0]=0;WD(-215,h,475390,475396,161)}if((I|0)>0){ra=1;sa=0}else{ma=1;break}while(1){ca=Y(f[B+(sa<<2)>>2]|0,ra)|0;sa=sa+1|0;if((sa|0)==(I|0)){ma=ca;break}else ra=ca}}while(0);I=f[M+16>>2]|0;R=f[x+16>>2]|0;a:do if((G|0)==(K|0)){if((ma|0)>0){H=p+4|0;F=p+8|0;da=p+12|0;ca=p+16|0;E=p+20|0;C=p+24|0;la=p+40|0;ta=p+48|0;ua=p+44|0;va=p+52|0;wa=p+28|0;xa=W<<2;ya=0-xa|0;za=q+4|0;Aa=q+8|0;Ba=q+12|0;Ca=q+16|0;Da=q+20|0;Ea=q+24|0;Fa=q+40|0;Ga=q+48|0;Ha=q+44|0;Ia=q+52|0;Ja=q+28|0;Ka=h+8|0;La=h+12|0;Ma=h+4|0;Na=r+8|0;Oa=r+12|0;Pa=r+4|0;Qa=s+8|0;Ra=s+4|0;Sa=q+36|0;Ta=p+36|0;Ua=l+4|0;Va=l+8|0;Wa=l+12|0;Xa=h+8|0;Ya=h+12|0;Za=h+4|0;_a=r+8|0;$a=r+12|0;ab=r+4|0;bb=s+8|0;cb=s+4|0;db=h+8|0;eb=h+12|0;fb=h+4|0;gb=r+8|0;hb=r+12|0;ib=r+4|0;jb=s+8|0;kb=s+4|0;lb=l+40|0;mb=0;nb=I;ob=R;while(1){f[p>>2]=1124007941;f[H>>2]=2;f[F>>2]=1;f[da>>2]=W;f[ca>>2]=nb;f[E>>2]=nb;f[C>>2]=0;f[C+4>>2]=0;f[C+8>>2]=0;f[C+12>>2]=0;f[la>>2]=F;f[ua>>2]=ta;f[va>>2]=0;f[ta>>2]=0;if(!nb){X=163;break}f[ta>>2]=xa;f[va>>2]=4;nb=nb+(W<<2)|0;f[wa>>2]=nb;f[C>>2]=nb+ya+xa;YT(p);f[q>>2]=1124007941;f[za>>2]=2;f[Aa>>2]=1;f[Ba>>2]=W;f[Ca>>2]=ob;f[Da>>2]=ob;f[Ea>>2]=0;f[Ea+4>>2]=0;f[Ea+8>>2]=0;f[Ea+12>>2]=0;f[Fa>>2]=Aa;f[Ha>>2]=Ga;f[Ia>>2]=0;f[Ga>>2]=0;if(!ob){X=165;break}f[Ga>>2]=xa;f[Ia>>2]=4;ob=ob+(W<<2)|0;f[Ja>>2]=ob;f[Ea>>2]=ob+ya+xa;YT(q);do if(!(f[D>>2]|0))X=174;else{pb=f[Ua>>2]|0;if((pb|0)<3)qb=Y(f[Wa>>2]|0,f[Va>>2]|0)|0;else{rb=f[lb>>2]|0;sb=0;tb=1;while(1){ub=Y(f[rb+(sb<<2)>>2]|0,tb)|0;sb=sb+1|0;if((sb|0)==(pb|0)){qb=ub;break}else tb=ub}}if((pb|0)==0|(qb|0)==0){X=174;break}f[Xa>>2]=0;f[Ya>>2]=0;f[h>>2]=16842752;f[Za>>2]=p;f[_a>>2]=0;f[$a>>2]=0;f[r>>2]=16842752;f[ab>>2]=l;tb=bb;f[tb>>2]=0;f[tb+4>>2]=0;f[s>>2]=33619968;f[cb>>2]=q;jX(h,r,s,1.0,-1);if(!(b[v>>0]|0))break;f[db>>2]=0;f[eb>>2]=0;f[h>>2]=16842752;f[fb>>2]=q;f[gb>>2]=0;f[hb>>2]=0;f[r>>2]=16842752;f[ib>>2]=m;tb=jb;f[tb>>2]=0;f[tb+4>>2]=0;f[s>>2]=33619968;f[kb>>2]=q;rW(h,r,s,sK()|0,-1)}while(0);do if((X|0)==174){X=0;if(!(b[v>>0]|0))break;f[Ka>>2]=0;f[La>>2]=0;f[h>>2]=16842752;f[Ma>>2]=p;f[Na>>2]=0;f[Oa>>2]=0;f[r>>2]=16842752;f[Pa>>2]=m;tb=Qa;f[tb>>2]=0;f[tb+4>>2]=0;f[s>>2]=33619968;f[Ra>>2]=q;rW(h,r,s,sK()|0,-1)}while(0);tb=f[Sa>>2]|0;do if(tb|0){sb=tb+12|0;rb=f[sb>>2]|0;f[sb>>2]=rb+-1;if((rb|0)!=1)break;aU(q)}while(0);f[Sa>>2]=0;f[Ca>>2]=0;f[Ca+4>>2]=0;f[Ca+8>>2]=0;f[Ca+12>>2]=0;if((f[za>>2]|0)>0){tb=f[Fa>>2]|0;rb=0;do{f[tb+(rb<<2)>>2]=0;rb=rb+1|0}while((rb|0)<(f[za>>2]|0))}rb=f[Ha>>2]|0;if((rb|0)!=(Ga|0))TC(rb);rb=f[Ta>>2]|0;do if(rb|0){tb=rb+12|0;sb=f[tb>>2]|0;f[tb>>2]=sb+-1;if((sb|0)!=1)break;aU(p)}while(0);f[Ta>>2]=0;f[ca>>2]=0;f[ca+4>>2]=0;f[ca+8>>2]=0;f[ca+12>>2]=0;if((f[H>>2]|0)>0){rb=f[la>>2]|0;sb=0;do{f[rb+(sb<<2)>>2]=0;sb=sb+1|0}while((sb|0)<(f[H>>2]|0))}sb=f[ua>>2]|0;if((sb|0)!=(ta|0))TC(sb);mb=mb+1|0;if((mb|0)>=(ma|0))break a}if((X|0)==163){mb=cuc(32)|0;f[h>>2]=mb;f[h+8>>2]=-2147483616;f[h+4>>2]=28;y=mb;z=466324;A=y+28|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));b[mb+28>>0]=0;WD(-215,h,466353,466357,548)}else if((X|0)==165){ta=cuc(32)|0;f[h>>2]=ta;f[h+8>>2]=-2147483616;f[h+4>>2]=28;y=ta;z=466324;A=y+28|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));b[ta+28>>0]=0;WD(-215,h,466353,466357,548)}}}else{if(!J){mb=f[l+4>>2]|0;if((mb|0)<3)vb=Y(f[l+12>>2]|0,f[l+8>>2]|0)|0;else{ua=f[l+40>>2]|0;H=0;la=1;while(1){ca=Y(f[ua+(H<<2)>>2]|0,la)|0;H=H+1|0;if((H|0)==(mb|0)){vb=ca;break}else la=ca}}if(!((mb|0)==0|(vb|0)==0))wb=w;else X=127}else X=127;if((X|0)==127)wb=0;la=ba<<24>>24?f[m+16>>2]|0:0;H=t?0:G;do if(V)xb=0;else{if((H|0)>(P|0)){ua=cuc(80)|0;f[h>>2]=ua;f[h+8>>2]=-2147483568;f[h+4>>2]=70;y=ua;z=475319;A=y+70|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));b[ua+70>>0]=0;WD(-215,h,475390,475396,161)}if((H|0)<(P|0)){yb=1;zb=H}else{xb=1;break}while(1){ta=Y(f[B+(zb<<2)>>2]|0,yb)|0;zb=zb+1|0;if((zb|0)==(P|0)){xb=ta;break}else yb=ta}}while(0);if((ma|0)<=0)break;H=(W|0)>0;mb=(wb|0)==0;ua=(la|0)==0;ta=p+4|0;ca=p+8|0;Ta=p+12|0;Ga=p+16|0;Ha=p+20|0;za=p+24|0;Fa=p+40|0;Ca=p+48|0;Sa=p+44|0;Ra=p+52|0;Qa=(xb|0)!=0;Pa=p+28|0;Oa=xb<<2;Na=0-Oa|0;Ma=q+4|0;La=q+8|0;Ka=q+12|0;kb=q+16|0;jb=q+20|0;ib=q+24|0;hb=q+40|0;gb=q+48|0;fb=q+44|0;eb=q+52|0;db=q+28|0;cb=h+8|0;bb=h+4|0;ab=q+36|0;$a=p+36|0;_a=0;Za=I;Ya=R;b:while(1){if(H){Xa=0;lb=Za;Va=Ya;while(1){if(mb)Ab=1.0;else Ab=+n[wb+(Xa<<2)>>2];if(ua)Bb=0.0;else Bb=+n[la+(Xa<<2)>>2];f[p>>2]=1124007941;f[ta>>2]=2;f[ca>>2]=1;f[Ta>>2]=xb;f[Ga>>2]=lb;f[Ha>>2]=lb;f[za>>2]=0;f[za+4>>2]=0;f[za+8>>2]=0;f[za+12>>2]=0;f[Fa>>2]=ca;f[Sa>>2]=Ca;f[Ra>>2]=0;f[Ca>>2]=0;if(Qa&(lb|0)==0){X=142;break b}f[Ca>>2]=Oa;f[Ra>>2]=4;Wa=lb+(xb<<2)|0;f[Pa>>2]=Wa;f[za>>2]=Wa+Na+Oa;YT(p);f[q>>2]=1124007941;f[Ma>>2]=2;f[La>>2]=1;f[Ka>>2]=xb;f[kb>>2]=Va;f[jb>>2]=Va;f[ib>>2]=0;f[ib+4>>2]=0;f[ib+8>>2]=0;f[ib+12>>2]=0;f[hb>>2]=La;f[fb>>2]=gb;f[eb>>2]=0;f[gb>>2]=0;if(Qa&(Va|0)==0){X=144;break b}f[gb>>2]=Oa;f[eb>>2]=4;Ua=Va+(xb<<2)|0;f[db>>2]=Ua;f[ib>>2]=Ua+Na+Oa;YT(q);xa=cb;f[xa>>2]=0;f[xa+4>>2]=0;f[h>>2]=33619968;f[bb>>2]=q;kQ(p,h,5,Ab,Bb);xa=f[ab>>2]|0;do if(xa|0){ya=xa+12|0;ob=f[ya>>2]|0;f[ya>>2]=ob+-1;if((ob|0)!=1)break;aU(q)}while(0);f[ab>>2]=0;f[kb>>2]=0;f[kb+4>>2]=0;f[kb+8>>2]=0;f[kb+12>>2]=0;if((f[Ma>>2]|0)>0){xa=f[hb>>2]|0;pb=0;do{f[xa+(pb<<2)>>2]=0;pb=pb+1|0}while((pb|0)<(f[Ma>>2]|0))}pb=f[fb>>2]|0;if((pb|0)!=(gb|0))TC(pb);pb=f[$a>>2]|0;do if(pb|0){xa=pb+12|0;ob=f[xa>>2]|0;f[xa>>2]=ob+-1;if((ob|0)!=1)break;aU(p)}while(0);f[$a>>2]=0;f[Ga>>2]=0;f[Ga+4>>2]=0;f[Ga+8>>2]=0;f[Ga+12>>2]=0;if((f[ta>>2]|0)>0){pb=f[Fa>>2]|0;ob=0;do{f[pb+(ob<<2)>>2]=0;ob=ob+1|0}while((ob|0)<(f[ta>>2]|0))}ob=f[Sa>>2]|0;if((ob|0)!=(Ca|0))TC(ob);Xa=Xa+1|0;if((Xa|0)>=(W|0)){Cb=Wa;Db=Ua;break}else{lb=Wa;Va=Ua}}}else{Cb=Za;Db=Ya}_a=_a+1|0;if((_a|0)>=(ma|0))break a;else{Za=Cb;Ya=Db}}if((X|0)==142){Ya=cuc(32)|0;f[h>>2]=Ya;f[h+8>>2]=-2147483616;f[h+4>>2]=28;y=Ya;z=466324;A=y+28|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));b[Ya+28>>0]=0;WD(-215,h,466353,466357,548)}else if((X|0)==144){Za=cuc(32)|0;f[h>>2]=Za;f[h+8>>2]=-2147483616;f[h+4>>2]=28;y=Za;z=466324;A=y+28|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));b[Za+28>>0]=0;WD(-215,h,466353,466357,548)}}while(0);R=f[o>>2]|0;if(R|0){I=f[Q>>2]|0;if((I|0)!=(R|0))f[Q>>2]=I+(~((I+-4-R|0)>>>2)<<2);fuc(R)}R=m+36|0;I=f[R>>2]|0;do if(I|0){P=I+12|0;B=f[P>>2]|0;f[P>>2]=B+-1;if((B|0)!=1)break;aU(m)}while(0);f[R>>2]=0;I=m+16|0;Q=m+4|0;f[I>>2]=0;f[I+4>>2]=0;f[I+8>>2]=0;f[I+12>>2]=0;if((f[Q>>2]|0)>0){I=f[m+40>>2]|0;B=0;do{f[I+(B<<2)>>2]=0;B=B+1|0}while((B|0)<(f[Q>>2]|0))}Q=f[m+44>>2]|0;if((Q|0)!=(m+48|0))TC(Q);Q=l+36|0;B=f[Q>>2]|0;do if(B|0){I=B+12|0;R=f[I>>2]|0;f[I>>2]=R+-1;if((R|0)!=1)break;aU(l)}while(0);f[Q>>2]=0;B=l+4|0;f[D>>2]=0;f[D+4>>2]=0;f[D+8>>2]=0;f[D+12>>2]=0;if((f[B>>2]|0)>0){R=f[l+40>>2]|0;I=0;do{f[R+(I<<2)>>2]=0;I=I+1|0}while((I|0)<(f[B>>2]|0))}B=f[l+44>>2]|0;if((B|0)!=(l+48|0))TC(B);ut(k);ut(j);break}}else JKa(a,c,d,e);while(0);if(!(f[i+4>>2]|0)){u=g;return}u=g;return}function Vrb(a,b){a=a|0;b=b|0;var c=0;if((b|2|0)!=3)if((b|0)==2)c=(f[a+48>>2]|0)==1;else c=0;else c=1;return c|0}function Wrb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function Xrb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function Yrb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function Zrb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;e=u;u=u+64|0;g=e;do if(b[a+52>>0]|0){h=f[a+4>>2]|0;f[g>>2]=f[h>>2];i=g+4|0;j=h+4|0;f[i>>2]=f[j>>2];k=g+8|0;f[k>>2]=f[h+8>>2];f[g+12>>2]=f[h+12>>2];f[g+16>>2]=f[h+16>>2];f[g+20>>2]=f[h+20>>2];f[g+24>>2]=f[h+24>>2];f[g+28>>2]=f[h+28>>2];f[g+32>>2]=f[h+32>>2];l=f[h+36>>2]|0;f[g+36>>2]=l;f[g+40>>2]=k;k=g+48|0;m=g+44|0;f[m>>2]=k;f[k>>2]=0;f[g+52>>2]=0;if(l|0){k=l+12|0;f[k>>2]=(f[k>>2]|0)+1}if((f[j>>2]|0)<3){j=f[h+44>>2]|0;k=f[m>>2]|0;f[k>>2]=f[j>>2];f[k+4>>2]=f[j+4>>2];break}else{f[i>>2]=0;$T(g,h);break}}else{f[g>>2]=1124007936;h=g+8|0;i=g+40|0;n=g+4|0;o=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(o|0));f[i>>2]=h;j=g+48|0;f[g+44>>2]=j;f[j>>2]=0;f[g+52>>2]=0}while(0);if((g|0)==(c|0)){p=g+36|0;q=f[c+36>>2]|0}else{j=g+36|0;k=f[j>>2]|0;if(k|0){m=k+12|0;f[m>>2]=(f[m>>2]|0)+1}m=c+36|0;k=f[m>>2]|0;if(k|0?(l=k+12|0,k=f[l>>2]|0,f[l>>2]=k+-1,(k|0)==1):0)aU(c);f[m>>2]=0;k=c+16|0;l=c+4|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;if((f[l>>2]|0)>0){r=f[c+40>>2]|0;s=0;do{f[r+(s<<2)>>2]=0;s=s+1|0;t=f[l>>2]|0}while((s|0)<(t|0));f[c>>2]=f[g>>2];if((t|0)<3)v=20;else v=22}else{f[c>>2]=f[g>>2];v=20}if((v|0)==20){t=f[g+4>>2]|0;if((t|0)<3){f[l>>2]=t;f[c+8>>2]=f[g+8>>2];f[c+12>>2]=f[g+12>>2];t=f[g+44>>2]|0;l=f[c+44>>2]|0;f[l>>2]=f[t>>2];f[l+4>>2]=f[t+4>>2]}else v=22}if((v|0)==22)$T(c,g);f[k>>2]=f[g+16>>2];f[c+20>>2]=f[g+20>>2];f[c+24>>2]=f[g+24>>2];f[c+28>>2]=f[g+28>>2];f[c+32>>2]=f[g+32>>2];c=f[j>>2]|0;f[m>>2]=c;p=j;q=c}if(q|0?(c=q+12|0,q=f[c>>2]|0,f[c>>2]=q+-1,(q|0)==1):0)aU(g);f[p>>2]=0;p=g+16|0;q=g+4|0;f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;f[p+12>>2]=0;if((f[q>>2]|0)>0){p=f[g+40>>2]|0;c=0;do{f[p+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[q>>2]|0))}q=f[g+44>>2]|0;if((q|0)!=(g+48|0))TC(q);do if(b[a+44>>0]|0){q=f[a+8>>2]|0;c=q+-56|0;f[g>>2]=f[c>>2];p=g+4|0;j=q+-52|0;f[p>>2]=f[j>>2];m=g+8|0;f[m>>2]=f[q+-48>>2];f[g+12>>2]=f[q+-44>>2];f[g+16>>2]=f[q+-40>>2];f[g+20>>2]=f[q+-36>>2];f[g+24>>2]=f[q+-32>>2];f[g+28>>2]=f[q+-28>>2];f[g+32>>2]=f[q+-24>>2];k=f[q+-20>>2]|0;f[g+36>>2]=k;f[g+40>>2]=m;m=g+48|0;t=g+44|0;f[t>>2]=m;f[m>>2]=0;f[g+52>>2]=0;if(k|0){m=k+12|0;f[m>>2]=(f[m>>2]|0)+1}if((f[j>>2]|0)<3){j=f[q+-12>>2]|0;q=f[t>>2]|0;f[q>>2]=f[j>>2];f[q+4>>2]=f[j+4>>2];break}else{f[p>>2]=0;$T(g,c);break}}else{f[g>>2]=1124007936;c=g+8|0;p=g+40|0;n=g+4|0;o=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(o|0));f[p>>2]=c;h=g+48|0;f[g+44>>2]=h;f[h>>2]=0;f[g+52>>2]=0}while(0);if((g|0)==(d|0)){w=g+36|0;x=f[d+36>>2]|0}else{n=g+36|0;o=f[n>>2]|0;if(o|0){a=o+12|0;f[a>>2]=(f[a>>2]|0)+1}a=d+36|0;o=f[a>>2]|0;if(o|0?(h=o+12|0,o=f[h>>2]|0,f[h>>2]=o+-1,(o|0)==1):0)aU(d);f[a>>2]=0;o=d+16|0;h=d+4|0;f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;f[o+12>>2]=0;if((f[h>>2]|0)>0){i=f[d+40>>2]|0;j=0;do{f[i+(j<<2)>>2]=0;j=j+1|0;y=f[h>>2]|0}while((j|0)<(y|0));f[d>>2]=f[g>>2];if((y|0)<3)v=51;else v=53}else{f[d>>2]=f[g>>2];v=51}if((v|0)==51){y=f[g+4>>2]|0;if((y|0)<3){f[h>>2]=y;f[d+8>>2]=f[g+8>>2];f[d+12>>2]=f[g+12>>2];y=f[g+44>>2]|0;h=f[d+44>>2]|0;f[h>>2]=f[y>>2];f[h+4>>2]=f[y+4>>2]}else v=53}if((v|0)==53)$T(d,g);f[o>>2]=f[g+16>>2];f[d+20>>2]=f[g+20>>2];f[d+24>>2]=f[g+24>>2];f[d+28>>2]=f[g+28>>2];f[d+32>>2]=f[g+32>>2];d=f[n>>2]|0;f[a>>2]=d;w=n;x=d}if(x|0?(d=x+12|0,x=f[d>>2]|0,f[d>>2]=x+-1,(x|0)==1):0)aU(g);f[w>>2]=0;w=g+16|0;x=g+4|0;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;f[w+12>>2]=0;if((f[x>>2]|0)>0){w=f[g+40>>2]|0;d=0;do{f[w+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[x>>2]|0))}x=f[g+44>>2]|0;if((x|0)==(g+48|0)){u=e;return}TC(x);u=e;return}function _rb(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;IKa(d,1,f[b>>2]|0);return 1}function $rb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=u;u=u+16|0;a=d;e=f[c+4>>2]|0;g=f[c>>2]|0;c=g;if((e|0)==(g|0)){h=0;i=0;J=h;u=d;return i|0}j=(e-g|0)/12|0;g=0;e=0;do{k=f[c+(e*12|0)+4>>2]|0;l=f[c+(e*12|0)>>2]|0;m=k-l|0;n=m>>2;o=l;if((o|0)!=(k|0)){if((m|0)<0){p=8;break}if(!m)q=1;else{m=1;k=0;while(1){l=Y(f[o+(k<<2)>>2]|0,m)|0;k=k+1|0;if((k|0)==(n|0)){q=l;break}else m=l}}}else q=0;g=(q<<1)+g|0;e=e+1|0}while(e>>>0<j>>>0);if((p|0)==8){p=cuc(80)|0;f[a>>2]=p;f[a+8>>2]=-2147483568;f[a+4>>2]=70;j=p;e=475319;q=j+70|0;do{b[j>>0]=b[e>>0]|0;j=j+1|0;e=e+1|0}while((j|0)<(q|0));b[p+70>>0]=0;WD(-215,a,475390,475396,161)}h=((g|0)<0)<<31>>31;i=g;J=h;u=d;return i|0}function asb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;d=u;u=u+64|0;e=d+16|0;g=d+4|0;h=d;f[e+4>>2]=0;f[e+8>>2]=0;i=e+4|0;f[e>>2]=i;j=e+12|0;k=j+36|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));l=e+24|0;ruc(l,c+24|0)|0;m=e+36|0;wuc(m,466801)|0;if((e|0)!=(c|0))kMa(e+12|0,f[c+12>>2]|0,f[c+16>>2]|0);f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;c=g+11|0;b[c>>0]=9;j=g;n=466098;k=j+9|0;do{b[j>>0]=b[n>>0]|0;j=j+1|0;n=n+1|0}while((j|0)<(k|0));b[g+9>>0]=0;b[h>>0]=1;zEa(e,g,h)|0;if((b[c>>0]|0)<0)fuc(f[g>>2]|0);f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;c=g+11|0;b[c>>0]=4;f[g>>2]=1936291937;b[g+4>>0]=0;f[h>>2]=0;xEa(e,g,h)|0;if((b[c>>0]|0)<0)fuc(f[g>>2]|0);g=cuc(56)|0;Nrb(g,e);c=cuc(16)|0;h=g;f[c+4>>2]=0;f[c+8>>2]=0;f[c>>2]=135472;f[c+12>>2]=h;f[a>>2]=h;f[a+4>>2]=c;if((b[m+11>>0]|0)<0)fuc(f[m>>2]|0);if((b[l+11>>0]|0)>=0){o=e+12|0;ut(o);p=f[i>>2]|0;lEa(e,p);u=d;return}fuc(f[l>>2]|0);o=e+12|0;ut(o);p=f[i>>2]|0;lEa(e,p);u=d;return}function bsb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;e=b[c+11>>0]|0;g=e<<24>>24<0;h=g?f[c+4>>2]|0:e&255;e=b[d+11>>0]|0;i=e<<24>>24<0;j=i?f[d+4>>2]|0:e&255;e=g?f[c>>2]|0:c;c=j+h|0;if(c>>>0>4294967279)muc(a);if(c>>>0<11){b[a+11>>0]=h;k=a}else{g=c+16&-16;c=cuc(g)|0;f[a>>2]=c;f[a+8>>2]=g|-2147483648;f[a+4>>2]=h;k=c}if(!h){l=k+h|0;b[l>>0]=0;m=f[d>>2]|0;n=i?m:d;Cuc(a,n,j)|0;return}szc(k|0,e|0,h|0)|0;l=k+h|0;b[l>>0]=0;m=f[d>>2]|0;n=i?m:d;Cuc(a,n,j)|0;return}function csb(a,c,e,g,h,i,j){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0;k=u;u=u+80|0;l=k+8|0;m=k;n=k+60|0;o=k+48|0;p=k+36|0;q=k+24|0;r=k+16|0;f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;s=n+11|0;b[s>>0]=2;d[n>>1]=26719;b[n+2>>0]=0;bsb(o,c,n);if((b[s>>0]|0)<0)fuc(f[n>>2]|0);f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;s=n+11|0;b[s>>0]=2;d[n>>1]=30559;b[n+2>>0]=0;bsb(p,c,n);if((b[s>>0]|0)<0)fuc(f[n>>2]|0);ouc(q,e);e=q+11|0;s=b[e>>0]|0;if(((s<<24>>24<0?f[q+4>>2]|0:s&255)|0)==0?(Puc(q,0,-1,1171380,0)|0)==0:0)ruc(q,c)|0;if((cGa(a,o)|0)!=0?(cGa(a,p)|0)!=0:0){c=hEa(iGa(a,o)|0,-1)|0;f[g>>2]=c;c=hEa(iGa(a,p)|0,-1)|0;f[h>>2]=c;t=1}else v=11;do if((v|0)==11){if(!(cGa(a,q)|0)){if(!i){t=0;break}c=f[j>>2]|0;f[h>>2]=c;f[g>>2]=c;t=1;break}qEa(r,iGa(a,q)|0);c=hEa(r,0)|0;f[g>>2]=c;s=f[r>>2]|0;switch(s|0){case 0:{w=f[r+4>>2]|0;x=w+4|0;y=w;z=w;A=w;break}case 3:{w=f[r+4>>2]|0;x=w+4|0;y=w;z=w;A=w;break}case 2:{w=f[r+4>>2]|0;x=w+4|0;y=w;z=w;A=w;break}default:{f[m>>2]=s;cE(n,476242,m);WD(-3,n,476262,476267,297)}}if((f[x>>2]|0)!=1){switch(s|0){case 0:{B=y+4|0;break}case 3:{B=z+4|0;break}case 2:{B=A+4|0;break}default:{f[l>>2]=s;cE(n,476242,l);WD(-3,n,476262,476267,297)}}if((f[B>>2]|0)==2){s=hEa(r,1)|0;C=s;v=25}else D=0}else{C=c;v=25}if((v|0)==25){f[h>>2]=C;D=1}mEa(r);t=D}while(0);if((b[e>>0]|0)<0)fuc(f[q>>2]|0);if((b[p+11>>0]|0)<0)fuc(f[p>>2]|0);if((b[o+11>>0]|0)>=0){u=k;return t|0}fuc(f[o>>2]|0);u=k;return t|0}function dsb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=u;u=u+32|0;g=e+16|0;h=e+4|0;i=e;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;j=g+11|0;b[j>>0]=6;b[g>>0]=b[466807]|0;b[g+1>>0]=b[466808]|0;b[g+2>>0]=b[466809]|0;b[g+3>>0]=b[466810]|0;b[g+4>>0]=b[466811]|0;b[g+5>>0]=b[466812]|0;b[g+6>>0]=0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;k=cuc(16)|0;f[h>>2]=k;f[h+8>>2]=-2147483632;f[h+4>>2]=11;l=k;m=466814;n=l+11|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));b[k+11>>0]=0;f[i>>2]=0;k=csb(a,g,h,c,d,0,i)|0;if((b[h+11>>0]|0)<0)fuc(f[h>>2]|0);if((b[j>>0]|0)<0)fuc(f[g>>2]|0);if(!k){k=cuc(64)|0;f[g>>2]=k;f[g+8>>2]=-2147483584;f[g+4>>2]=52;l=k;m=466826;n=l+52|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));b[k+52>>0]=0;WD(-5,g,466879,466893,115)}if((f[c>>2]|0)>0&(f[d>>2]|0)>0){u=e;return}else{e=cuc(32)|0;f[g>>2]=e;f[g+8>>2]=-2147483616;f[g+4>>2]=26;l=e;m=466974;n=l+26|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));b[e+26>>0]=0;WD(-215,g,466879,466893,118)}}function esb(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;k=u;u=u+64|0;l=k+16|0;m=k;n=k+40|0;o=k+28|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;p=l+11|0;b[p>>0]=5;b[l>>0]=b[467001]|0;b[l+1>>0]=b[467002]|0;b[l+2>>0]=b[467003]|0;b[l+3>>0]=b[467004]|0;b[l+4>>0]=b[467005]|0;b[l+5>>0]=0;if(!(cGa(a,l)|0))q=0;else{f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;r=m+11|0;b[r>>0]=5;b[m>>0]=b[467007]|0;b[m+1>>0]=b[467008]|0;b[m+2>>0]=b[467009]|0;b[m+3>>0]=b[467010]|0;b[m+4>>0]=b[467011]|0;b[m+5>>0]=0;if(!(cGa(a,m)|0))s=0;else{f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;t=n+11|0;b[t>>0]=5;b[n>>0]=b[467013]|0;b[n+1>>0]=b[467014]|0;b[n+2>>0]=b[467015]|0;b[n+3>>0]=b[467016]|0;b[n+4>>0]=b[467017]|0;b[n+5>>0]=0;if(!(cGa(a,n)|0))v=0;else{f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;w=o+11|0;b[w>>0]=5;b[o>>0]=b[467019]|0;b[o+1>>0]=b[467020]|0;b[o+2>>0]=b[467021]|0;b[o+3>>0]=b[467022]|0;b[o+4>>0]=b[467023]|0;b[o+5>>0]=0;x=(cGa(a,o)|0)!=0;if((b[w>>0]|0)<0)fuc(f[o>>2]|0);v=x}if((b[t>>0]|0)<0)fuc(f[n>>2]|0);s=v}if((b[r>>0]|0)<0)fuc(f[m>>2]|0);q=s}if((b[p>>0]|0)<0)fuc(f[l>>2]|0);if(q){f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;q=l+11|0;b[q>>0]=5;b[l>>0]=b[467007]|0;b[l+1>>0]=b[467008]|0;b[l+2>>0]=b[467009]|0;b[l+3>>0]=b[467010]|0;b[l+4>>0]=b[467011]|0;b[l+5>>0]=0;p=hEa(iGa(a,l)|0,-1)|0;f[c>>2]=p;if((b[q>>0]|0)<0)fuc(f[l>>2]|0);f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;q=l+11|0;b[q>>0]=5;b[l>>0]=b[467001]|0;b[l+1>>0]=b[467002]|0;b[l+2>>0]=b[467003]|0;b[l+3>>0]=b[467004]|0;b[l+4>>0]=b[467005]|0;b[l+5>>0]=0;p=hEa(iGa(a,l)|0,-1)|0;f[d>>2]=p;if((b[q>>0]|0)<0)fuc(f[l>>2]|0);f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;q=l+11|0;b[q>>0]=5;b[l>>0]=b[467019]|0;b[l+1>>0]=b[467020]|0;b[l+2>>0]=b[467021]|0;b[l+3>>0]=b[467022]|0;b[l+4>>0]=b[467023]|0;b[l+5>>0]=0;p=hEa(iGa(a,l)|0,-1)|0;f[e>>2]=p;if((b[q>>0]|0)<0)fuc(f[l>>2]|0);f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;q=l+11|0;b[q>>0]=5;b[l>>0]=b[467013]|0;b[l+1>>0]=b[467014]|0;b[l+2>>0]=b[467015]|0;b[l+3>>0]=b[467016]|0;b[l+4>>0]=b[467017]|0;b[l+5>>0]=0;p=hEa(iGa(a,l)|0,-1)|0;f[g>>2]=p;if((b[q>>0]|0)<0)fuc(f[l>>2]|0)}else{q=l+4|0;f[q>>2]=0;f[q+4>>2]=0;q=l+11|0;b[q>>0]=3;b[l>>0]=b[467025]|0;b[l+1>>0]=b[467026]|0;b[l+2>>0]=b[467027]|0;b[l+3>>0]=0;p=m+4|0;f[p>>2]=0;f[p+4>>2]=0;p=m+11|0;b[p>>0]=3;b[m>>0]=b[467025]|0;b[m+1>>0]=b[467026]|0;b[m+2>>0]=b[467027]|0;b[m+3>>0]=0;f[n>>2]=0;csb(a,l,m,c,d,1,n)|0;if((b[p>>0]|0)<0)fuc(f[m>>2]|0);if((b[q>>0]|0)<0)fuc(f[l>>2]|0);f[e>>2]=f[c>>2];f[g>>2]=f[d>>2]};f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;q=l+11|0;b[q>>0]=6;b[l>>0]=b[467029]|0;b[l+1>>0]=b[467030]|0;b[l+2>>0]=b[467031]|0;b[l+3>>0]=b[467032]|0;b[l+4>>0]=b[467033]|0;b[l+5>>0]=b[467034]|0;b[l+6>>0]=0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;p=m+11|0;b[p>>0]=6;b[m>>0]=b[467029]|0;b[m+1>>0]=b[467030]|0;b[m+2>>0]=b[467031]|0;b[m+3>>0]=b[467032]|0;b[m+4>>0]=b[467033]|0;b[m+5>>0]=b[467034]|0;b[m+6>>0]=0;f[n>>2]=1;csb(a,l,m,h,i,1,n)|0;if((b[p>>0]|0)<0)fuc(f[m>>2]|0);if((b[q>>0]|0)<0)fuc(f[l>>2]|0);wuc(j,1171380)|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;q=l+11|0;b[q>>0]=8;p=l;f[p>>2]=1600414064;f[p+4>>2]=1701080941;b[l+8>>0]=0;p=(cGa(a,l)|0)==0;if((b[q>>0]|0)<0)fuc(f[l>>2]|0);if(!p){f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;p=m+11|0;b[p>>0]=8;q=m;f[q>>2]=1600414064;f[q+4>>2]=1701080941;b[m+8>>0]=0;jGa(l,iGa(a,m)|0,-1);a=j+11|0;if((b[a>>0]|0)<0){b[f[j>>2]>>0]=0;f[j+4>>2]=0}else{b[j>>0]=0;b[a>>0]=0}vuc(j,0);f[j>>2]=f[l>>2];f[j+4>>2]=f[l+4>>2];f[j+8>>2]=f[l+8>>2];f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;if((b[p>>0]|0)<0)fuc(f[m>>2]|0)}if(((f[h>>2]|0)>0?(f[d>>2]|f[c>>2]|f[e>>2]|f[g>>2]|0)>-1:0)&(f[i>>2]|0)>0){u=k;return}else{k=cuc(80)|0;f[l>>2]=k;f[l+8>>2]=-2147483568;f[l+4>>2]=78;i=k;g=467036;e=i+78|0;do{b[i>>0]=b[g>>0]|0;i=i+1|0;g=g+1|0}while((i|0)<(e|0));b[k+78>>0]=0;WD(-215,l,467115,466893,142)}}function fsb(a,c,d,e,g,h,i,j,k,l,m){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;n=u;u=u+48|0;o=n+16|0;p=n;q=n+28|0;esb(a,g,h,i,j,k,l,m);m=cuc(16)|0;f[o>>2]=m;f[o+8>>2]=-2147483632;f[o+4>>2]=14;r=m;s=467135;t=r+14|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));b[m+14>>0]=0;if(cGa(a,o)|0){f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;m=cuc(16)|0;f[p>>2]=m;f[p+8>>2]=-2147483632;f[p+4>>2]=14;r=m;s=467135;t=r+14|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));b[m+14>>0]=0;m=hEa(iGa(a,p)|0,-1)|0;b[e>>0]=((m|0)!=0|(J|0)!=0)&1;if((b[p+11>>0]|0)<0)fuc(f[p>>2]|0)}else b[e>>0]=0;if((b[o+11>>0]|0)<0)fuc(f[o>>2]|0);if(!(b[e>>0]|0)){dsb(a,c,d);u=n;return};f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;d=o+11|0;b[d>>0]=8;c=o;f[c>>2]=1852990827;f[c+4>>2]=1751084133;b[o+8>>0]=0;if(!(cGa(a,o)|0)){f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;c=p+11|0;b[c>>0]=8;e=p;f[e>>2]=1852990827;f[e+4>>2]=2002742373;b[p+8>>0]=0;if(!(cGa(a,p)|0)){f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;e=cuc(16)|0;f[q>>2]=e;f[q+8>>2]=-2147483632;f[q+4>>2]=11;r=e;s=466814;t=r+11|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));b[e+11>>0]=0;e=(cGa(a,q)|0)!=0;if((b[q+11>>0]|0)<0)fuc(f[q>>2]|0);v=e}else v=1;if((b[c>>0]|0)<0)fuc(f[p>>2]|0);w=v}else w=1;if((b[d>>0]|0)<0)fuc(f[o>>2]|0);if(w){w=cuc(96)|0;f[o>>2]=w;f[o+8>>2]=-2147483552;f[o+4>>2]=82;r=w;s=467150;t=r+82|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));b[w+82>>0]=0;WD(-5,o,467233,466893,159)}if(((f[k>>2]|0)==1?(f[h>>2]|f[g>>2]|f[i>>2]|f[j>>2]|0)==0:0)&(f[l>>2]|0)==1){u=n;return}else{n=cuc(80)|0;f[o>>2]=n;f[o+8>>2]=-2147483568;f[o+4>>2]=79;r=n;s=467256;t=r+79|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));b[n+79>>0]=0;WD(-5,o,467233,466893,163)}}function gsb(a,c,d,e,g,h,i,j,k,l,m,n){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,p=0,q=0,r=0;o=u;u=u+32|0;p=o+16|0;q=o;r=o+28|0;dsb(a,c,d);esb(a,e,g,h,i,j,k,n);f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;n=p+11|0;b[n>>0]=8;k=p;f[k>>2]=1634494820;f[k+4>>2]=1852795252;b[p+8>>0]=0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;k=q+11|0;b[k>>0]=8;j=q;f[j>>2]=1634494820;f[j+4>>2]=1852795252;b[q+8>>0]=0;f[r>>2]=1;csb(a,p,q,l,m,1,r)|0;if((b[k>>0]|0)<0)fuc(f[q>>2]|0);if((b[n>>0]|0)<0)fuc(f[p>>2]|0);if((f[l>>2]|0)>0&(f[m>>2]|0)>0){u=o;return}else{o=cuc(32)|0;f[p>>2]=o;f[p+8>>2]=-2147483616;f[p+4>>2]=30;m=o;l=467336;n=m+30|0;do{b[m>>0]=b[l>>0]|0;m=m+1|0;l=l+1|0}while((m|0)<(n|0));b[o+30>>0]=0;WD(-215,p,467367,466893,179)}}function hsb(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;i=u;u=u+16|0;j=i;k=e+11|0;l=b[k>>0]|0;m=e+4|0;n=f[m>>2]|0;do if(((l<<24>>24<0?n:l&255)|0)==5){if(Puc(e,0,-1,474245,5)|0){o=b[k>>0]|0;p=f[m>>2]|0;break}q=Y((f[c+4>>2]|0)+-1|0,f[g+4>>2]|0)|0;r=f[d+4>>2]|0;f[h+4>>2]=((f[a+4>>2]|0)+-1+r-q|0)/(r|0)|0;r=Y((f[c>>2]|0)+-1|0,f[g>>2]|0)|0;q=f[d>>2]|0;s=(f[a>>2]|0)+-1+q-r|0;t=q;v=(s|0)/(t|0)|0;f[h>>2]=v;u=i;return}else{o=l;p=n}while(0);if(((o<<24>>24<0?p:o&255)|0)==4?(Puc(e,0,-1,474251,4)|0)==0:0){e=f[d+4>>2]|0;f[h+4>>2]=((f[a+4>>2]|0)+-1+e|0)/(e|0)|0;e=f[d>>2]|0;s=(f[a>>2]|0)+-1+e|0;t=e;v=(s|0)/(t|0)|0;f[h>>2]=v;u=i;return}i=cuc(32)|0;f[j>>2]=i;f[j+8>>2]=-2147483616;f[j+4>>2]=24;v=i;h=467394;t=v+24|0;do{b[v>>0]=b[h>>0]|0;v=v+1|0;h=h+1|0}while((v|0)<(t|0));b[i+24>>0]=0;WD(-2,j,467419,466893,207)}function isb(a,c,d,e,g,h,i,j,k,l){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0;m=g+11|0;n=b[m>>0]|0;o=g+4|0;p=f[o>>2]|0;do if(((n<<24>>24<0?p:n&255)|0)==5){if(Puc(g,0,-1,474245,5)|0){q=b[m>>0]|0;r=f[o>>2]|0;break}f[l>>2]=0;f[k>>2]=0;f[j>>2]=0;f[i>>2]=0;return}else{q=n;r=p}while(0);if(((q<<24>>24<0?r:q&255)|0)!=4)return;if(Puc(g,0,-1,474251,4)|0)return;g=Y((f[c+4>>2]|0)+-1|0,f[e+4>>2]|0)|0;q=Y((f[d+4>>2]|0)+-1|0,f[h+4>>2]|0)|0;r=g+1-(f[a+4>>2]|0)+q|0;q=Y((f[c>>2]|0)+-1|0,f[e>>2]|0)|0;e=Y((f[d>>2]|0)+-1|0,f[h>>2]|0)|0;h=q+1-(f[a>>2]|0)+e|0;e=((r|0)>0?r:0)>>>1;f[k>>2]=e;f[i>>2]=e;e=((h|0)>0?h:0)>>>1;f[l>>2]=e;f[j>>2]=e;return}function jsb(){var a=0,c=0,d=0,e=0;f[224908]=0;f[224909]=0;f[224910]=0;a=cuc(16)|0;f[224908]=a;f[224910]=-2147483632;f[224909]=15;c=a;d=467440;e=c+15|0;do{b[c>>0]=b[d>>0]|0;c=c+1|0;d=d+1|0}while((c|0)<(e|0));b[a+15>>0]=0;Bd(1936,899632,x|0)|0;return}function ksb(a,b){a=a|0;b=b|0;var c=0;c=cuc(96)|0;lsb(c,b);f[a>>2]=c;b=cuc(16)|0;f[b+4>>2]=0;f[b+8>>2]=0;f[b>>2]=135724;f[b+12>>2]=c;f[a+4>>2]=b;return}function lsb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0.0,s=0.0;d=u;u=u+32|0;e=d+8|0;g=d+4|0;h=d;WMa(a);f[a>>2]=135752;i=a+60|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;i=cuc(16)|0;f[e>>2]=i;f[e+8>>2]=-2147483632;f[e+4>>2]=11;j=i;k=467631;l=j+11|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[i+11>>0]=0;f[g>>2]=0;f[h>>2]=0;i=qsb(a,c,e,g,1,h)|0;m=a+44|0;f[m>>2]=i;if((b[e+11>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;i=cuc(16)|0;f[e>>2]=i;f[e+8>>2]=-2147483632;f[e+4>>2]=14;j=i;k=467643;l=j+14|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[i+14>>0]=0;f[g>>2]=0;b[h>>0]=0;i=a+48|0;o=(rsb(a,c,e,g,1,h)|0)&1;b[i>>0]=o;if((b[e+11>>0]|0)<0){fuc(f[e>>2]|0);p=b[i>>0]|0}else p=o;if(!(p<<24>>24))q=f[m>>2]|0;else q=1;f[a+52>>2]=q;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;q=cuc(32)|0;f[e>>2]=q;f[e+8>>2]=-2147483616;f[e+4>>2]=19;j=q;k=467658;l=j+19|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[q+19>>0]=0;f[g>>2]=0;f[h>>2]=0;q=ssb(a,c,e,g,1,h)|0;f[a+56>>2]=q;if((b[e+11>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;q=cuc(32)|0;f[e>>2]=q;f[e+8>>2]=-2147483616;f[e+4>>2]=26;j=q;k=467678;l=j+26|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[q+26>>0]=0;f[g>>2]=0;b[h>>0]=0;q=(rsb(a,c,e,g,0,h)|0)&1;b[a+72>>0]=q;if((b[e+11>>0]|0)<0)fuc(f[e>>2]|0);q=e+11|0;b[q>>0]=10;j=e;k=467705;l=j+10|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[e+10>>0]=0;f[g>>2]=0;f[h>>2]=0;m=ssb(a,c,e,g,1,h)|0;f[a+76>>2]=m;if((b[q>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;q=cuc(32)|0;f[e>>2]=q;f[e+8>>2]=-2147483616;f[e+4>>2]=20;j=q;k=467716;l=j+20|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[q+20>>0]=0;f[g>>2]=0;n[h>>2]=-3402823466385288598117041.0e14;r=+tsb(a,c,e,g,0,h);n[a+80>>2]=r;if((b[e+11>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;q=e+11|0;b[q>>0]=5;b[e>>0]=b[467737]|0;b[e+1>>0]=b[467738]|0;b[e+2>>0]=b[467739]|0;b[e+3>>0]=b[467740]|0;b[e+4>>0]=b[467741]|0;b[e+5>>0]=0;f[g>>2]=0;f[h>>2]=-1;m=ssb(a,c,e,g,0,h)|0;f[a+88>>2]=m;if((b[q>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;q=cuc(32)|0;f[e>>2]=q;f[e+8>>2]=-2147483616;f[e+4>>2]=19;j=q;k=467743;l=j+19|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[q+19>>0]=0;f[g>>2]=0;b[h>>0]=0;q=(rsb(a,c,e,g,0,h)|0)&1;b[a+92>>0]=q;if((b[e+11>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;q=cuc(16)|0;f[e>>2]=q;f[e+8>>2]=-2147483632;f[e+4>>2]=15;j=q;k=467763;l=j+15|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[q+15>>0]=0;f[g>>2]=0;b[h>>0]=1;q=(rsb(a,c,e,g,0,h)|0)&1;b[a+93>>0]=q;if((b[e+11>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;q=e+11|0;b[q>>0]=4;f[e>>2]=1885957219;b[e+4>>0]=0;f[g>>2]=0;b[h>>0]=0;m=(rsb(a,c,e,g,0,h)|0)&1;b[a+94>>0]=m;if((b[q>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;q=cuc(32)|0;f[e>>2]=q;f[e+8>>2]=-2147483616;f[e+4>>2]=16;j=q;k=467779;l=j+16|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[q+16>>0]=0;f[g>>2]=0;b[h>>0]=1;q=(rsb(a,c,e,g,0,h)|0)&1;b[a+95>>0]=q;if((b[e+11>>0]|0)<0)fuc(f[e>>2]|0);usb(a,c);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;q=cuc(16)|0;f[e>>2]=q;f[e+8>>2]=-2147483632;f[e+4>>2]=13;j=q;k=467796;l=j+13|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[q+13>>0]=0;f[g>>2]=0;n[h>>2]=0.0;r=+tsb(a,c,e,g,1,h);h=a+84|0;n[h>>2]=r;if((b[e+11>>0]|0)<0){fuc(f[e>>2]|0);s=+n[h>>2]}else s=r;if(s>0.0){XMa(a,c);u=d;return}else{f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;d=cuc(32)|0;f[e>>2]=d;f[e+8>>2]=-2147483616;f[e+4>>2]=18;j=d;k=467810;l=j+18|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[d+18>>0]=0;WD(-215,e,467829,467854,193)}}function msb(a){a=a|0;Qtc(a);fuc(a);return}function nsb(a){a=a|0;var b=0;b=f[a+12>>2]|0;if(!b)return;bi[f[(f[b>>2]|0)+4>>2]&2047](b);return}function osb(a,b){a=a|0;b=b|0;return ((f[b+4>>2]|0)==467456?a+12|0:0)|0}function psb(a){a=a|0;fuc(a);return}function qsb(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0;a=u;u=u+32|0;i=a+16|0;j=a;f[i>>2]=0;k=cuc(16)|0;l=k+8|0;f[k>>2]=l;f[k+4>>2]=1;f[i+4>>2]=k;k=l;f[k>>2]=0;f[k+4>>2]=0;if(cGa(c,d)|0){pEa(i,iGa(c,d)|0)|0;c=hEa(i,f[e>>2]|0)|0;m=c;mEa(i);u=a;return m|0}if(g){ouc(j,899632);Duc(j,467985)|0;g=b[d+11>>0]|0;c=g<<24>>24<0;Cuc(j,c?f[d>>2]|0:d,c?f[d+4>>2]|0:g&255)|0;Duc(j,468020)|0;WD(-5,j,468032,467854,155)}m=f[h>>2]|0;mEa(i);u=a;return m|0}function rsb(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0;a=u;u=u+32|0;i=a+16|0;j=a;f[i>>2]=0;k=cuc(16)|0;l=k+8|0;f[k>>2]=l;f[k+4>>2]=1;f[i+4>>2]=k;k=l;f[k>>2]=0;f[k+4>>2]=0;if(cGa(c,d)|0){pEa(i,iGa(c,d)|0)|0;c=hEa(i,f[e>>2]|0)|0;m=(c|0)!=0|(J|0)!=0;mEa(i);u=a;return m|0}if(g){ouc(j,899632);Duc(j,467985)|0;g=b[d+11>>0]|0;c=g<<24>>24<0;Cuc(j,c?f[d>>2]|0:d,c?f[d+4>>2]|0:g&255)|0;Duc(j,468020)|0;WD(-5,j,468032,467854,155)}m=(b[h>>0]|0)!=0;mEa(i);u=a;return m|0}function ssb(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0;a=u;u=u+32|0;i=a+16|0;j=a;f[i>>2]=0;k=cuc(16)|0;l=k+8|0;f[k>>2]=l;f[k+4>>2]=1;f[i+4>>2]=k;k=l;f[k>>2]=0;f[k+4>>2]=0;if(cGa(c,d)|0){pEa(i,iGa(c,d)|0)|0;c=hEa(i,f[e>>2]|0)|0;m=c;mEa(i);u=a;return m|0}if(g){ouc(j,899632);Duc(j,467985)|0;g=b[d+11>>0]|0;c=g<<24>>24<0;Cuc(j,c?f[d>>2]|0:d,c?f[d+4>>2]|0:g&255)|0;Duc(j,468020)|0;WD(-5,j,468032,467854,155)}m=f[h>>2]|0;mEa(i);u=a;return m|0}function tsb(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0.0;a=u;u=u+32|0;i=a+16|0;j=a;f[i>>2]=0;k=cuc(16)|0;l=k+8|0;f[k>>2]=l;f[k+4>>2]=1;f[i+4>>2]=k;k=l;f[k>>2]=0;f[k+4>>2]=0;if(cGa(c,d)|0){pEa(i,iGa(c,d)|0)|0;m=+iEa(i,f[e>>2]|0);mEa(i);u=a;return +m}if(g){ouc(j,899632);Duc(j,467985)|0;g=b[d+11>>0]|0;e=g<<24>>24<0;Cuc(j,e?f[d>>2]|0:d,e?f[d+4>>2]|0:g&255)|0;Duc(j,468020)|0;WD(-5,j,468032,467854,155)}m=+n[h>>2];mEa(i);u=a;return +m}function usb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;d=u;u=u+48|0;e=d+24|0;g=d+12|0;h=d;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;i=h+11|0;b[i>>0]=9;j=h;k=467944;l=j+9|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[h+9>>0]=0;jGa(g,iGa(c,h)|0,-1);ouc(e,g);c=e+11|0;k=b[c>>0]|0;j=k<<24>>24<0;l=f[e>>2]|0;m=e+4|0;n=j?l+(f[m>>2]|0)|0:e+(k&255)|0;k=j?l:e;if((k|0)!=(n|0)){l=k;do{k=(Uec(b[l>>0]|0)|0)&255;b[l>>0]=k;l=l+1|0}while((l|0)!=(n|0))}if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);if((b[i>>0]|0)<0)fuc(f[h>>2]|0);h=b[c>>0]|0;if(((h<<24>>24<0?f[m>>2]|0:h&255)|0)==11){h=a+60|0;if(!(Puc(e,0,-1,467954,11)|0))wuc(h,467966)|0;else{o=h;p=11}}else{o=a+60|0;p=11}if((p|0)==11)wuc(o,467978)|0;if((b[c>>0]|0)>=0){u=d;return}fuc(f[e>>2]|0);u=d;return}function vsb(a){a=a|0;var c=0;f[a>>2]=135752;c=a+60|0;if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);pKa(a);return}function wsb(a){a=a|0;var c=0;f[a>>2]=135752;c=a+60|0;if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);pKa(a);fuc(a);return}function xsb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0;g=u;u=u+224|0;h=g+208|0;i=g+192|0;j=g+180|0;k=g+168|0;l=g+156|0;m=g+144|0;o=g+112|0;q=g+56|0;r=g+40|0;s=g;t=g+24|0;gV(h,135852);if(f[h>>2]|0){}v=a+93|0;if((CJ(c,-1)|0)==3)JKa(a,c,d,e);else{f[i>>2]=0;e=i+4|0;f[e>>2]=0;f[i+8>>2]=0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;sJ(c,i);sJ(d,j);f[k>>2]=0;c=k+4|0;f[c>>2]=0;f[k+8>>2]=0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;w=f[i>>2]|0;x=f[f[w+40>>2]>>2]|0;y=(f[(f[w+152>>2]|0)+8>>2]|0)/4|0;f[m>>2]=y;z=f[w+16>>2]|0;A=f[w+72>>2]|0;B=f[w+128>>2]|0;f[o>>2]=0;w=o+4|0;f[w>>2]=0;f[o+8>>2]=0;C=a+52|0;D=a+48|0;Bsb(z,x,y,f[C>>2]|0,(b[D>>0]|0)!=0,(b[a+92>>0]|0)!=0,o);Csb(A,x,f[m>>2]|0,f[a+44>>2]|0,l);f[q>>2]=0;A=q+4|0;f[A>>2]=0;f[q+8>>2]=0;f[r>>2]=0;y=r+4|0;f[y>>2]=0;f[r+8>>2]=0;Dsb(B,m,(b[v>>0]|0)!=0,q,r);n[s+20>>2]=0.0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;b[s+16>>0]=0;B=b[a+94>>0]|0;z=b[v>>0]|0;do if(B<<24>>24){if(z<<24>>24){n[s+4>>2]=0.0;n[s>>2]=0.0;n[s+12>>2]=1.0;n[s+8>>2]=1.0;E=1;break}if((((f[e>>2]|0)-(f[i>>2]|0)|0)/56|0)>>>0<=3){f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;v=cuc(48)|0;f[t>>2]=v;f[t+8>>2]=-2147483600;f[t+4>>2]=39;F=v;G=468254;H=F+39|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));b[v+39>>0]=0;WD(-215,t,477126,467854,462)}n[s+4>>2]=0.0;n[s>>2]=0.0;I=f[i>>2]|0;if((f[I+172>>2]|0)==4){J=f[I+208>>2]|0;n[s+8>>2]=+((f[J+12>>2]|0)+-1|0);n[s+12>>2]=+((f[J+8>>2]|0)+-1|0);E=0;break}else{f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;J=cuc(32)|0;f[t>>2]=J;f[t+8>>2]=-2147483616;f[t+4>>2]=19;F=J;G=468294;H=F+19|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));b[J+19>>0]=0;WD(-215,t,477126,467854,469)}}else E=z;while(0);Esb(o,q,r,x,(b[D>>0]|0)!=0,f[C>>2]|0,f[a+56>>2]|0,a+60|0,(b[a+72>>0]|0)!=0,B<<24>>24!=0,s,E<<24>>24!=0,k);E=f[r>>2]|0;if(E|0){B=f[y>>2]|0;if((B|0)==(E|0))K=E;else{C=B;while(1){B=C+-12|0;f[y>>2]=B;D=f[B>>2]|0;if(!D)L=B;else{B=C+-8|0;z=f[B>>2]|0;if((z|0)!=(D|0))f[B>>2]=z+(~((z+-4-D|0)>>>2)<<2);fuc(D);L=f[y>>2]|0}if((L|0)==(E|0))break;else C=L}K=f[r>>2]|0}fuc(K)}K=f[q>>2]|0;if(K|0){L=f[A>>2]|0;if((L|0)!=(K|0))f[A>>2]=L+(~(((L+-24-K|0)>>>0)/24|0)*24|0);fuc(K)}K=f[o>>2]|0;if(K|0){L=f[w>>2]|0;if((L|0)==(K|0))M=K;else{A=L;do{L=A+-12|0;f[w>>2]=L;Fsb(L,f[A+-8>>2]|0);A=f[w>>2]|0}while((A|0)!=(K|0));M=f[o>>2]|0}fuc(M)}f[m>>2]=0;M=m+4|0;f[M>>2]=0;f[m+8>>2]=0;K=(x|0)>0;do if(K){A=0;w=0;do{w=(Gsb(a,(f[k>>2]|0)+(A*12|0)|0,(f[l>>2]|0)+(A*56|0)|0,m)|0)+w|0;A=A+1|0}while((A|0)<(x|0));if(w){f[o>>2]=1;f[o+4>>2]=1;f[o+8>>2]=w;f[o+12>>2]=7;ZT(f[j>>2]|0,4,o,5);A=f[(f[j>>2]|0)+16>>2]|0;if(K){J=a+95|0;L=0;C=0;while(1){E=(Hsb(a,L,A+(C*7<<2)|0,(f[k>>2]|0)+(L*12|0)|0,(f[l>>2]|0)+(L*56|0)|0,(f[m>>2]|0)+(L*12|0)|0,(b[J>>0]|0)!=0)|0)+C|0;L=L+1|0;if((L|0)>=(x|0)){N=E;break}else C=E}}else N=0;if((N|0)==(w|0)){rK(d,j);break}else{f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;C=cuc(32)|0;f[q>>2]=C;f[q+8>>2]=-2147483616;f[q+4>>2]=16;F=C;G=468314;H=F+16|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));b[C+16>>0]=0;WD(-215,q,477126,467854,505)}}else O=37}else O=37;while(0);if((O|0)==37){f[o>>2]=-2147483648;f[o+4>>2]=2147483647;f[o+8>>2]=-2147483648;f[o+12>>2]=2147483647;f[o+16>>2]=-2147483648;f[o+20>>2]=2147483647;f[o+24>>2]=2;f[o+28>>2]=3;cU(q,f[j>>2]|0,o);p[s>>3]=0.0;f[r>>2]=-1056833530;f[r+4>>2]=s;f[r+8>>2]=1;f[r+12>>2]=1;HI(q,r,sK()|0)|0;r=q+36|0;s=f[r>>2]|0;if(s|0?(o=s+12|0,s=f[o>>2]|0,f[o>>2]=s+-1,(s|0)==1):0)aU(q);f[r>>2]=0;r=q+16|0;s=q+4|0;f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;f[r+12>>2]=0;if((f[s>>2]|0)>0){r=f[q+40>>2]|0;o=0;do{f[r+(o<<2)>>2]=0;o=o+1|0}while((o|0)<(f[s>>2]|0))}s=f[q+44>>2]|0;if((s|0)!=(q+48|0))TC(s)}s=f[m>>2]|0;if(s|0){q=f[M>>2]|0;if((q|0)==(s|0))P=s;else{o=q;do{q=o+-12|0;f[M>>2]=q;GMa(q,f[o+-8>>2]|0);o=f[M>>2]|0}while((o|0)!=(s|0));P=f[m>>2]|0}fuc(P)}ut(l);l=f[k>>2]|0;if(l|0){P=f[c>>2]|0;if((P|0)==(l|0))Q=l;else{m=P;do{P=m+-12|0;f[c>>2]=P;Fsb(P,f[m+-8>>2]|0);m=f[c>>2]|0}while((m|0)!=(l|0));Q=f[k>>2]|0}fuc(Q)}ut(j);ut(i)}if(!(f[h+4>>2]|0)){u=g;return}u=g;return}function ysb(a,c){a=a|0;c=c|0;var d=0;switch(c|0){case 3:{d=1;break}case 2:{if((b[a+92>>0]|0)==0?(b[a+93>>0]|0)!=0:0)d=(b[a+94>>0]|0)==0;else d=0;break}default:d=0}return d|0}function zsb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function Asb(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;g=u;u=u+32|0;d=g+16|0;h=g;i=f[c>>2]|0;j=i;if((((f[c+4>>2]|0)-i|0)/12|0)>>>0<=2){i=cuc(32)|0;f[d>>2]=i;f[d+8>>2]=-2147483616;f[d+4>>2]=18;k=i;l=468045;m=k+18|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));b[i+18>>0]=0;WD(-215,d,477070,467854,209)}i=f[j>>2]|0;if((f[i>>2]|0)!=(f[f[j+12>>2]>>2]|0)){c=cuc(32)|0;f[d>>2]=c;f[d+8>>2]=-2147483616;f[d+4>>2]=28;k=c;l=468064;m=k+28|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));b[c+28>>0]=0;WD(-215,d,477070,467854,210)}c=f[j+24>>2]|0;n=(f[c+8>>2]|0)/4|0;o=Y(f[a+52>>2]<<2,n)|0;p=f[j+4>>2]|0;q=p-i|0;r=q>>2;if((i|0)!=(p|0)){if((q|0)<=0){p=cuc(80)|0;f[d>>2]=p;f[d+8>>2]=-2147483568;f[d+4>>2]=70;k=p;l=475319;m=k+70|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));b[p+70>>0]=0;WD(-215,d,475390,475396,161)}if((q|0)>4){q=1;p=1;while(1){s=Y(f[i+(q<<2)>>2]|0,p)|0;q=q+1|0;if((q|0)>=(r|0)){t=s;break}else p=s}}else t=1}else t=0;if((o|0)!=(t|0)){t=cuc(64)|0;f[d>>2]=t;f[d+8>>2]=-2147483584;f[d+4>>2]=55;k=t;l=468093;m=k+55|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));b[t+55>>0]=0;WD(-215,d,477070,467854,213)}t=Y(f[a+44>>2]|0,n)|0;n=f[j+16>>2]|0;o=f[j+12>>2]|0;j=n-o|0;p=j>>2;r=o;if((r|0)!=(n|0)){if((j|0)<=0){n=cuc(80)|0;f[d>>2]=n;f[d+8>>2]=-2147483568;f[d+4>>2]=70;k=n;l=475319;m=k+70|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));b[n+70>>0]=0;WD(-215,d,475390,475396,161)}if((j|0)>4){j=1;n=1;while(1){o=Y(f[r+(j<<2)>>2]|0,n)|0;j=j+1|0;if((j|0)>=(p|0)){v=o;break}else n=o}}else v=1}else v=0;if((t|0)!=(v|0)){v=cuc(64)|0;f[d>>2]=v;f[d+8>>2]=-2147483584;f[d+4>>2]=51;k=v;l=468149;m=k+51|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));b[v+51>>0]=0;WD(-215,d,477070,467854,214)}if((f[c+4>>2]|0)!=(2-(b[a+72>>0]|0)&255|0)){c=cuc(64)|0;f[d>>2]=c;f[d+8>>2]=-2147483584;f[d+4>>2]=52;k=c;l=468201;m=k+52|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));b[c+52>>0]=0;WD(-215,d,477070,467854,215)}c=f[a+76>>2]|0;f[d>>2]=1;f[d+4>>2]=1;f[d+8>>2]=c;f[d+12>>2]=7;f[h>>2]=0;c=h+4|0;f[c>>2]=0;f[h+8>>2]=0;KKa(h,d,d+16|0);d=f[h>>2]|0;a=f[c>>2]|0;a:do if((d|0)==(a|0)){w=d;x=24}else{l=d;do{if((f[l>>2]|0)<0){w=l;x=24;break a}l=l+4|0}while((l|0)!=(a|0))}while(0);if((x|0)==24?(w|0)!=(a|0):0){x=w+4|0;if((x|0)==(a|0)){y=a;z=w}else{d=x;x=w;while(1){w=f[d>>2]|0;if((w|0)<0)A=x;else{f[x>>2]=w;A=x+4|0}d=d+4|0;if((d|0)==(a|0))break;else x=A}y=f[c>>2]|0;z=A}if((z|0)!=(y|0))f[c>>2]=y+(~((y+-4-z|0)>>>2)<<2)}z=e+4|0;y=f[z>>2]|0;A=f[e>>2]|0;x=y-A|0;a=(x|0)/12|0;d=A;A=y;if(x){if(a>>>0>1?(x=d+12|0,(A|0)!=(x|0)):0){d=A;while(1){A=d+-12|0;f[z>>2]=A;y=f[A>>2]|0;if(!y)B=A;else{A=d+-8|0;w=f[A>>2]|0;if((w|0)!=(y|0))f[A>>2]=w+(~((w+-4-y|0)>>>2)<<2);fuc(y);B=f[z>>2]|0}if((B|0)==(x|0))break;else d=B}}}else Hmb(e,1-a|0,h);a=f[h>>2]|0;if(!a){u=g;return 0}h=f[c>>2]|0;if((h|0)!=(a|0))f[c>>2]=h+(~((h+-4-a|0)>>>2)<<2);fuc(a);u=g;return 0}function Bsb(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0;j=u;u=u+16|0;k=j;l=f[i>>2]|0;m=i+4|0;n=f[m>>2]|0;if((n|0)==(l|0))o=n;else{p=n;while(1){n=p+-12|0;f[m>>2]=n;Fsb(n,f[p+-8>>2]|0);n=f[m>>2]|0;if((n|0)==(l|0)){o=n;break}else p=n}}if(!((e|0)==1|g^1)){p=cuc(32)|0;f[k>>2]=p;f[k+8>>2]=-2147483616;f[k+4>>2]=18;l=p;n=468823;q=l+18|0;do{b[l>>0]=b[n>>0]|0;l=l+1|0;n=n+1|0}while((l|0)<(q|0));b[p+18>>0]=0;WD(-215,k,468842,467854,852)}k=f[i>>2]|0;p=(o-k|0)/12|0;n=k;if(p>>>0>=c>>>0){if(p>>>0>c>>>0?(k=n+(c*12|0)|0,(o|0)!=(k|0)):0){n=o;do{o=n+-12|0;f[m>>2]=o;Fsb(o,f[n+-8>>2]|0);n=f[m>>2]|0}while((n|0)!=(k|0))}}else htb(i,c-p|0);if((c|0)<=0){u=j;return}p=(d|0)>0;k=Y(d<<2,e)|0;n=(e|0)>0;m=a;a=0;while(1){o=f[i>>2]|0;l=o+(a*12|0)|0;if(p){q=o+(a*12|0)+4|0;r=o+(a*12|0)+4|0;s=o+(a*12|0)+8|0;o=0;do{t=Y(o,e)|0;if(n){v=0;do{w=g?-1:v;x=f[q>>2]|0;do if(x){y=q;z=x;a:while(1){A=z;while(1){if((f[A+16>>2]|0)>=(w|0))break;B=f[A+4>>2]|0;if(!B){C=y;break a}else A=B}z=f[A>>2]|0;if(!z){C=A;break}else y=A}if((C|0)!=(q|0)?(w|0)>=(f[C+16>>2]|0):0)break;else{D=r;E=x}while(1){y=f[E+16>>2]|0;if((w|0)<(y|0)){z=f[E>>2]|0;if(!z){F=28;break}else{G=E;H=z}}else{if((y|0)>=(w|0)){F=32;break}I=E+4|0;y=f[I>>2]|0;if(!y){F=31;break}else{G=I;H=y}}D=G;E=H}if((F|0)==28){F=0;J=E;K=E;F=33;break}else if((F|0)==31){F=0;J=E;K=I;F=33;break}else if((F|0)==32){F=0;J=E;K=D;F=33;break}}else{J=q;K=q;F=33}while(0);do if((F|0)==33){F=0;x=f[K>>2]|0;if(!x){y=cuc(32)|0;f[y+16>>2]=w;f[y+20>>2]=0;f[y+24>>2]=0;f[y+28>>2]=0;f[y>>2]=0;f[y+4>>2]=0;f[y+8>>2]=J;f[K>>2]=y;z=f[f[l>>2]>>2]|0;if(!z)L=y;else{f[l>>2]=z;L=f[K>>2]|0}jI(f[r>>2]|0,L);f[s>>2]=(f[s>>2]|0)+1;M=y}else M=x;x=M+20|0;y=M+24|0;z=f[y>>2]|0;B=f[x>>2]|0;N=(z-B|0)/24|0;O=z;if(N>>>0<d>>>0){jtb(x,d-N|0);break}if(N>>>0>d>>>0?(N=B+(d*24|0)|0,(O|0)!=(N|0)):0)f[y>>2]=O+(~(((O+-24-N|0)>>>0)/24|0)*24|0)}while(0);N=f[q>>2]|0;do if(N){O=r;y=N;while(1){B=f[y+16>>2]|0;if((w|0)<(B|0)){x=f[y>>2]|0;if(!x){F=46;break}else{P=y;Q=x}}else{if((B|0)>=(w|0)){F=50;break}R=y+4|0;B=f[R>>2]|0;if(!B){F=49;break}else{P=R;Q=B}}O=P;y=Q}if((F|0)==46){F=0;S=y;T=y;break}else if((F|0)==49){F=0;S=y;T=R;break}else if((F|0)==50){F=0;S=y;T=O;break}}else{S=q;T=q}while(0);N=f[T>>2]|0;if(!N){B=cuc(32)|0;f[B+16>>2]=w;f[B+20>>2]=0;f[B+24>>2]=0;f[B+28>>2]=0;f[B>>2]=0;f[B+4>>2]=0;f[B+8>>2]=S;f[T>>2]=B;x=f[f[l>>2]>>2]|0;if(!x)U=B;else{f[l>>2]=x;U=f[T>>2]|0}jI(f[r>>2]|0,U);f[s>>2]=(f[s>>2]|0)+1;V=B}else V=N;N=f[V+20>>2]|0;B=N+(o*24|0)|0;x=v+t<<2;z=f[m+(x<<2)>>2]|0;W=x|1;X=x|2;if(h){f[N+(o*24|0)+4>>2]=z;f[B>>2]=f[m+(W<<2)>>2];f[N+(o*24|0)+12>>2]=f[m+(X<<2)>>2];Z=N+(o*24|0)+8|0}else{f[B>>2]=z;f[N+(o*24|0)+4>>2]=f[m+(W<<2)>>2];f[N+(o*24|0)+8>>2]=f[m+(X<<2)>>2];Z=N+(o*24|0)+12|0}f[Z>>2]=f[m+((x|3)<<2)>>2];v=v+1|0}while((v|0)!=(e|0))}o=o+1|0}while((o|0)!=(d|0))}a=a+1|0;if((a|0)==(c|0))break;else m=m+(k<<2)|0}u=j;return}function Csb(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;g=u;u=u+64|0;h=g+56|0;i=g;f[h>>2]=d;f[h+4>>2]=c;j=(b|0)>0;if(!j){u=g;return}k=i+4|0;l=i+8|0;m=i+40|0;n=i+48|0;o=i+44|0;p=i+52|0;q=e+4|0;r=e+8|0;s=i+12|0;t=i+16|0;v=i+20|0;w=i+24|0;x=i+28|0;y=i+32|0;z=i+36|0;A=i+44|0;B=0;do{f[i>>2]=1124007936;C=k;D=C+36|0;do{f[C>>2]=0;C=C+4|0}while((C|0)<(D|0));f[m>>2]=l;f[o>>2]=n;f[n>>2]=0;f[p>>2]=0;ZT(i,2,h,5);E=f[q>>2]|0;if(E>>>0>=(f[r>>2]|0)>>>0){$Ia(e,i);F=f[z>>2]|0;if(F|0?(G=F+12|0,F=f[G>>2]|0,f[G>>2]=F+-1,(F|0)==1):0)aU(i)}else{f[E>>2]=f[i>>2];f[E+4>>2]=f[k>>2];F=E+8|0;f[F>>2]=f[l>>2];f[E+12>>2]=f[s>>2];f[E+16>>2]=f[t>>2];f[E+20>>2]=f[v>>2];f[E+24>>2]=f[w>>2];f[E+28>>2]=f[x>>2];f[E+32>>2]=f[y>>2];f[E+36>>2]=f[z>>2];G=E+40|0;f[G>>2]=F;F=E+44|0;H=E+48|0;f[F>>2]=H;I=E+52|0;f[I>>2]=0;f[H>>2]=0;if((f[k>>2]|0)<3){J=f[A>>2]|0;f[H>>2]=f[J>>2];f[I>>2]=f[J+4>>2]}else{f[F>>2]=f[A>>2];f[G>>2]=f[m>>2];f[A>>2]=n;f[m>>2]=l}f[i>>2]=1124007936;C=k;D=C+36|0;do{f[C>>2]=0;C=C+4|0}while((C|0)<(D|0));f[q>>2]=E+56}f[z>>2]=0;f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;f[t+12>>2]=0;if((f[k>>2]|0)>0){C=f[m>>2]|0;D=0;do{f[C+(D<<2)>>2]=0;D=D+1|0}while((D|0)<(f[k>>2]|0))}D=f[o>>2]|0;if((D|0)!=(n|0))TC(D);B=B+1|0}while((B|0)<(b|0));if(!j){u=g;return}j=i+4|0;B=i+8|0;n=i+12|0;o=i+16|0;k=i+20|0;m=i+24|0;t=i+28|0;z=i+32|0;q=i+36|0;l=i+40|0;A=i+48|0;y=i+44|0;x=i+52|0;w=(d|0)>0;v=(c|0)>0;s=Y(d,c)|0;r=0;h=a;while(1){a=f[e>>2]|0;p=a+(r*56|0)|0;f[i>>2]=f[p>>2];D=a+(r*56|0)+4|0;f[j>>2]=f[D>>2];f[B>>2]=f[a+(r*56|0)+8>>2];f[n>>2]=f[a+(r*56|0)+12>>2];f[o>>2]=f[a+(r*56|0)+16>>2];f[k>>2]=f[a+(r*56|0)+20>>2];f[m>>2]=f[a+(r*56|0)+24>>2];f[t>>2]=f[a+(r*56|0)+28>>2];f[z>>2]=f[a+(r*56|0)+32>>2];C=f[a+(r*56|0)+36>>2]|0;f[q>>2]=C;f[l>>2]=B;f[y>>2]=A;f[A>>2]=0;f[x>>2]=0;if(C|0){E=C+12|0;f[E>>2]=(f[E>>2]|0)+1}if((f[D>>2]|0)<3){D=f[a+(r*56|0)+44>>2]|0;a=f[y>>2]|0;f[a>>2]=f[D>>2];f[a+4>>2]=f[D+4>>2]}else{f[j>>2]=0;$T(i,p)}if(w?(p=f[o>>2]|0,v):0){D=f[f[y>>2]>>2]|0;a=0;do{E=p+(Y(D,a)|0)|0;C=0;do{G=h+((Y(C,d)|0)+a<<2)|0;f[E+(C<<2)>>2]=f[G>>2];C=C+1|0}while((C|0)!=(c|0));a=a+1|0}while((a|0)!=(d|0))}a=f[q>>2]|0;if(a|0?(D=a+12|0,a=f[D>>2]|0,f[D>>2]=a+-1,(a|0)==1):0)aU(i);f[q>>2]=0;f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;f[o+12>>2]=0;if((f[j>>2]|0)>0){a=f[l>>2]|0;D=0;do{f[a+(D<<2)>>2]=0;D=D+1|0}while((D|0)<(f[j>>2]|0))}D=f[y>>2]|0;if((D|0)!=(A|0))TC(D);r=r+1|0;if((r|0)>=(b|0))break;else h=h+(s<<2)|0}u=g;return}function Dsb(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,t=0.0,u=0.0,v=0.0,w=0.0,x=0.0,y=0.0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;h=f[e>>2]|0;i=e+4|0;j=f[i>>2]|0;k=h;if((j|0)==(h|0))l=j;else{m=j+(~(((j+-24-k|0)>>>0)/24|0)*24|0)|0;f[i>>2]=m;l=m}m=f[c>>2]|0;j=(l-k|0)/24|0;if(m>>>0<=j>>>0){if(m>>>0<j>>>0?(k=h+(m*24|0)|0,(l|0)!=(k|0)):0)f[i>>2]=l+(~(((l+-24-k|0)>>>0)/24|0)*24|0)}else jtb(e,m-j|0);j=f[g>>2]|0;m=g+4|0;k=f[m>>2]|0;if((k|0)==(j|0)){o=k;p=j}else{l=k;while(1){k=l+-12|0;f[m>>2]=k;i=f[k>>2]|0;if(!i)q=k;else{k=l+-8|0;h=f[k>>2]|0;if((h|0)!=(i|0))f[k>>2]=h+(~((h+-4-i|0)>>>2)<<2);fuc(i);q=f[m>>2]|0}if((q|0)==(j|0))break;else l=q}o=q;p=f[g>>2]|0}q=f[c>>2]|0;l=(o-p|0)/12|0;j=p;if(q>>>0<=l>>>0){if(q>>>0<l>>>0?(p=j+(q*12|0)|0,(o|0)!=(p|0)):0){j=o;while(1){o=j+-12|0;f[m>>2]=o;i=f[o>>2]|0;if(!i)r=o;else{o=j+-8|0;h=f[o>>2]|0;if((h|0)!=(i|0))f[o>>2]=h+(~((h+-4-i|0)>>>2)<<2);fuc(i);r=f[m>>2]|0}if((r|0)==(p|0))break;else j=r}}}else mtb(g,q-l|0);l=f[c>>2]|0;q=(l|0)>0;if(!q)return;r=f[e>>2]|0;if(d){d=0;do{e=d<<2;j=f[a+(e<<2)>>2]|0;f[r+(d*24|0)>>2]=j;p=f[a+((e|1)<<2)>>2]|0;f[r+(d*24|0)+4>>2]=p;m=f[a+((e|2)<<2)>>2]|0;f[r+(d*24|0)+8>>2]=m;i=f[a+((e|3)<<2)>>2]|0;f[r+(d*24|0)+12>>2]=i;t=(f[s>>2]=m,+n[s>>2]);u=(f[s>>2]=j,+n[s>>2]);v=(f[s>>2]=i,+n[s>>2]);w=(f[s>>2]=p,+n[s>>2]);do if(!(t<u|v<w))if(!(b[r+(d*24|0)+16>>0]|0)){x=(t-u)*(v-w);break}else{x=+n[r+(d*24|0)+20>>2];break}else x=0.0;while(0);n[r+(d*24|0)+20>>2]=x;b[r+(d*24|0)+16>>0]=1;d=d+1|0}while((d|0)<(l|0))}else{d=0;do{p=d<<2;i=f[a+(p<<2)>>2]|0;f[r+(d*24|0)>>2]=i;j=f[a+((p|1)<<2)>>2]|0;f[r+(d*24|0)+4>>2]=j;m=f[a+((p|2)<<2)>>2]|0;f[r+(d*24|0)+8>>2]=m;e=f[a+((p|3)<<2)>>2]|0;f[r+(d*24|0)+12>>2]=e;x=(f[s>>2]=m,+n[s>>2]);w=(f[s>>2]=i,+n[s>>2]);v=(f[s>>2]=e,+n[s>>2]);u=(f[s>>2]=j,+n[s>>2]);do if(!(x<w|v<u))if(!(b[r+(d*24|0)+16>>0]|0)){y=(x-w+1.0)*(v-u+1.0);break}else{y=+n[r+(d*24|0)+20>>2];break}else y=0.0;while(0);n[r+(d*24|0)+20>>2]=y;b[r+(d*24|0)+16>>0]=1;d=d+1|0}while((d|0)<(l|0))}if(q){z=0;A=l}else return;do{l=A+z<<2;q=f[g>>2]|0;d=a+(l<<2)|0;r=q+(z*12|0)+4|0;j=f[r>>2]|0;e=f[q+(z*12|0)+8>>2]|0;if((j|0)==(e|0)){us(q+(z*12|0)|0,d);i=f[g>>2]|0;B=f[i+(z*12|0)+4>>2]|0;C=f[i+(z*12|0)+8>>2]|0;D=i}else{f[j>>2]=f[d>>2];d=j+4|0;f[r>>2]=d;B=d;C=e;D=q}q=a+((l|1)<<2)|0;if((B|0)==(C|0)){us(D+(z*12|0)|0,q);e=f[g>>2]|0;E=f[e+(z*12|0)+4>>2]|0;F=f[e+(z*12|0)+8>>2]|0;G=e}else{f[B>>2]=f[q>>2];q=B+4|0;f[D+(z*12|0)+4>>2]=q;E=q;F=C;G=D}q=a+((l|2)<<2)|0;if((E|0)==(F|0)){us(G+(z*12|0)|0,q);e=f[g>>2]|0;H=f[e+(z*12|0)+4>>2]|0;I=f[e+(z*12|0)+8>>2]|0;J=e}else{f[E>>2]=f[q>>2];q=E+4|0;f[G+(z*12|0)+4>>2]=q;H=q;I=F;J=G}q=a+((l|3)<<2)|0;if((H|0)==(I|0))us(J+(z*12|0)|0,q);else{f[H>>2]=f[q>>2];f[J+(z*12|0)+4>>2]=H+4}z=z+1|0;A=f[c>>2]|0}while((z|0)<(A|0));return}function Esb(a,c,d,e,g,h,i,j,k,l,m,n,o){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;var p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0;p=u;u=u+16|0;q=p;r=p+4|0;if((((f[a+4>>2]|0)-(f[a>>2]|0)|0)/12|0|0)!=(e|0)){s=cuc(32)|0;f[r>>2]=s;f[r+8>>2]=-2147483616;f[r+4>>2]=27;t=s;v=468575;w=t+27|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));b[s+27>>0]=0;WD(-215,r,468603,467854,777)}s=f[o>>2]|0;v=o+4|0;t=f[v>>2]|0;if((t|0)==(s|0)){x=t;y=s}else{w=t;do{t=w+-12|0;f[v>>2]=t;Fsb(t,f[w+-8>>2]|0);w=f[v>>2]|0}while((w|0)!=(s|0));x=w;y=f[o>>2]|0}w=(x-y|0)/12|0;s=y;if(w>>>0>=e>>>0){if(w>>>0>e>>>0?(y=s+(e*12|0)|0,(x|0)!=(y|0)):0){s=x;do{x=s+-12|0;f[v>>2]=x;Fsb(x,f[s+-8>>2]|0);s=f[v>>2]|0}while((s|0)!=(y|0))}}else htb(o,e-w|0);if((e|0)<=0){u=p;return}w=(h|0)>0;y=(i|0)==-1;s=0;a:while(1){v=f[o>>2]|0;x=v+(s*12|0)|0;if(w){t=(f[a>>2]|0)+(s*12|0)+4|0;z=v+(s*12|0)+4|0;A=v+(s*12|0)+4|0;B=v+(s*12|0)+8|0;if(g){v=0;do{if(!y){C=f[t>>2]|0;if(!C){D=-1;E=49;break a}else{F=t;G=C}b:while(1){C=G;while(1){if((f[C+16>>2]|0)>=-1)break;H=f[C+4>>2]|0;if(!H){I=F;break b}else C=H}G=f[C>>2]|0;if(!G){I=C;break}else F=C}if((I|0)==(t|0)){D=-1;E=49;break a}if((f[I+16>>2]|0)>-1){D=-1;E=49;break a}H=I+20|0;J=f[z>>2]|0;do if(J){K=A;L=J;while(1){M=f[L+16>>2]|0;if((M|0)>-1){N=f[L>>2]|0;if(!N){E=33;break}else{O=L;P=N}}else{if((M|0)==-1){E=28;break}Q=L+4|0;M=f[Q>>2]|0;if(!M){E=30;break}else{O=Q;P=M}}K=O;L=P}if((E|0)==28){E=0;R=L;S=K;break}else if((E|0)==30){E=0;R=L;S=Q;break}else if((E|0)==33){E=0;R=L;S=L;break}}else{R=z;S=z}while(0);J=f[S>>2]|0;if(!J){C=cuc(32)|0;f[C+16>>2]=-1;f[C+20>>2]=0;f[C+24>>2]=0;f[C+28>>2]=0;f[C>>2]=0;f[C+4>>2]=0;f[C+8>>2]=R;f[S>>2]=C;M=f[f[x>>2]>>2]|0;if(!M)T=C;else{f[x>>2]=M;T=f[S>>2]|0}jI(f[A>>2]|0,T);f[B>>2]=(f[B>>2]|0)+1;U=C}else U=J;itb(c,d,j,k,l,m,n,H,U+20|0)}v=v+1|0}while((v|0)<(h|0))}else{v=0;do{if((v|0)!=(i|0)){J=f[t>>2]|0;if(!J){D=v;E=49;break a}else{V=t;W=J}c:while(1){J=W;while(1){if((f[J+16>>2]|0)>=(v|0))break;C=f[J+4>>2]|0;if(!C){X=V;break c}else J=C}W=f[J>>2]|0;if(!W){X=J;break}else V=J}if((X|0)==(t|0)){D=v;E=49;break a}if((v|0)<(f[X+16>>2]|0)){D=v;E=49;break a}H=X+20|0;L=f[z>>2]|0;do if(L){K=A;C=L;while(1){M=f[C+16>>2]|0;if((v|0)<(M|0)){N=f[C>>2]|0;if(!N){E=54;break}else{Y=C;Z=N}}else{if((M|0)>=(v|0)){E=58;break}_=C+4|0;M=f[_>>2]|0;if(!M){E=57;break}else{Y=_;Z=M}}K=Y;C=Z}if((E|0)==54){E=0;$=C;aa=C;break}else if((E|0)==57){E=0;$=C;aa=_;break}else if((E|0)==58){E=0;$=C;aa=K;break}}else{$=z;aa=z}while(0);L=f[aa>>2]|0;if(!L){J=cuc(32)|0;f[J+16>>2]=v;f[J+20>>2]=0;f[J+24>>2]=0;f[J+28>>2]=0;f[J>>2]=0;f[J+4>>2]=0;f[J+8>>2]=$;f[aa>>2]=J;M=f[f[x>>2]>>2]|0;if(!M)ba=J;else{f[x>>2]=M;ba=f[aa>>2]|0}jI(f[A>>2]|0,ba);f[B>>2]=(f[B>>2]|0)+1;ca=J}else ca=L;itb(c,d,j,k,l,m,n,H,ca+20|0)}v=v+1|0}while((v|0)<(h|0))}}s=s+1|0;if((s|0)>=(e|0)){E=14;break}}if((E|0)==14){u=p;return}else if((E|0)==49){f[q>>2]=D;cE(r,468400,q);WD(-2,r,468603,467854,792)}}function Fsb(a,b){a=a|0;b=b|0;var c=0,d=0;if(!b)return;Fsb(a,f[b>>2]|0);Fsb(a,f[b+4>>2]|0);a=f[b+20>>2]|0;if(a|0){c=b+24|0;d=f[c>>2]|0;if((d|0)!=(a|0))f[c>>2]=d+(~(((d+-24-a|0)>>>0)/24|0)*24|0);fuc(a)}fuc(b);return}function Gsb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0.0,ja=0.0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0;g=u;u=u+192|0;h=g+176|0;i=g+16|0;j=g+8|0;k=g;l=g+168|0;m=g+44|0;o=g+32|0;p=g+112|0;q=g+20|0;r=g+56|0;s=m+4|0;f[s>>2]=0;t=m+8|0;f[t>>2]=0;v=m+4|0;f[m>>2]=v;w=a+44|0;x=f[w>>2]|0;do if((x|0)>0){y=a+56|0;z=d+8|0;A=h+4|0;B=l+4|0;C=o+4|0;D=o+8|0;E=h+8|0;F=h+4|0;G=p+36|0;H=p+16|0;I=p+4|0;J=p+40|0;K=p+44|0;L=p+48|0;M=a+48|0;N=c+4|0;O=a+93|0;P=a+80|0;Q=a+84|0;R=a+88|0;S=h+4|0;T=h+8|0;U=h+4|0;V=h+8|0;W=0;X=x;Y=0;while(1){if((Y|0)==(f[y>>2]|0)){Z=W;_=Y+1|0;$=X}else{if((Y|0)>=(f[z>>2]|0)){aa=7;break}ba=Y+1|0;f[h>>2]=Y;f[A>>2]=ba;f[l>>2]=-2147483648;f[B>>2]=2147483647;bU(p,d,h,l);f[o>>2]=0;f[C>>2]=0;f[D>>2]=0;ca=E;f[ca>>2]=0;f[ca+4>>2]=0;f[h>>2]=-2113732603;f[F>>2]=o;EI(p,h);ca=f[G>>2]|0;if(ca|0?(da=ca+12|0,ca=f[da>>2]|0,f[da>>2]=ca+-1,(ca|0)==1):0)aU(p);f[G>>2]=0;f[H>>2]=0;f[H+4>>2]=0;f[H+8>>2]=0;f[H+12>>2]=0;if((f[I>>2]|0)>0){ca=f[J>>2]|0;da=0;do{f[ca+(da<<2)>>2]=0;da=da+1|0}while((da|0)<(f[I>>2]|0))}da=f[K>>2]|0;if((da|0)!=(L|0))TC(da);ea=b[M>>0]|0?-1:Y;da=f[N>>2]|0;if(!da){aa=23;break}else{fa=N;ga=da}a:while(1){da=ga;while(1){if((f[da+16>>2]|0)>=(ea|0))break;ca=f[da+4>>2]|0;if(!ca){ha=fa;break a}else da=ca}ga=f[da>>2]|0;if(!ga){ha=da;break}else fa=da}if((ha|0)==(N|0)){aa=23;break}if((ea|0)<(f[ha+16>>2]|0)){aa=23;break}ia=+n[P>>2];ja=+n[Q>>2];ca=f[R>>2]|0;ka=f[v>>2]|0;la=(ka|0)==0;if(!(b[O>>0]|0)){do if(!la){ma=s;na=ka;while(1){oa=f[na+16>>2]|0;if((Y|0)<(oa|0)){pa=f[na>>2]|0;if(!pa){aa=62;break}else{qa=na;ra=pa}}else{if((oa|0)>=(Y|0)){aa=66;break}sa=na+4|0;oa=f[sa>>2]|0;if(!oa){aa=65;break}else{qa=sa;ra=oa}}ma=qa;na=ra}if((aa|0)==62){aa=0;ta=na;ua=na;break}else if((aa|0)==65){aa=0;ta=na;ua=sa;break}else if((aa|0)==66){aa=0;ta=na;ua=ma;break}}else{ta=v;ua=v}while(0);da=f[ua>>2]|0;if(!da){oa=cuc(32)|0;f[oa+16>>2]=Y;f[oa+20>>2]=0;f[oa+24>>2]=0;f[oa+28>>2]=0;f[oa>>2]=0;f[oa+4>>2]=0;f[oa+8>>2]=ta;f[ua>>2]=oa;pa=f[f[m>>2]>>2]|0;if(!pa)va=oa;else{f[m>>2]=pa;va=f[ua>>2]|0}jI(f[s>>2]|0,va);f[t>>2]=(f[t>>2]|0)+1;wa=oa}else wa=da;da=wa+20|0;oa=ha+20|0;if((((f[ha+24>>2]|0)-(f[oa>>2]|0)|0)/24|0|0)!=((f[C>>2]|0)-(f[o>>2]|0)>>2|0)){aa=72;break}f[h>>2]=0;f[S>>2]=0;f[T>>2]=0;Psb(o,ia,ca,h);pa=f[da>>2]|0;xa=wa+24|0;ya=f[xa>>2]|0;za=pa;Aa=ya+(~((ya+-4-za|0)>>>2)<<2)|0;if((ya|0)==(pa|0))Ba=pa;else{f[xa>>2]=Aa;Ba=Aa}Aa=f[S>>2]|0;ya=f[h>>2]|0;Ca=ya;b:do if((Aa|0)==(ya|0)){Da=Aa;Ea=Ca}else{Fa=wa+28|0;Ga=0;Ha=Ca;Ia=za;Ja=Ba;Ka=Ba;La=pa;while(1){Ma=f[Ha+(Ga<<3)+4>>2]|0;f[l>>2]=Ma;if((Ja-Ia|0)>0){Na=0;Oa=La;Pa=Ma;while(1){Ma=f[oa>>2]|0;Qa=+Rsb(Ma+(Pa*24|0)|0,Ma+((f[Oa+(Na<<2)>>2]|0)*24|0)|0)<=ja;Ma=Na+1|0;Ra=f[xa>>2]|0;Sa=f[da>>2]|0;if(!(Qa&(Ma|0)<(Ra-Sa>>2|0)))break;Na=Ma;Oa=Sa;Pa=f[l>>2]|0}if(Qa){Ta=Ra;aa=85}}else{Ta=Ka;aa=85}do if((aa|0)==85){aa=0;if((Ta|0)==(f[Fa>>2]|0)){es(da,l);break}else{f[Ta>>2]=f[l>>2];f[xa>>2]=Ta+4;break}}while(0);Pa=Ga+1|0;Oa=f[S>>2]|0;Na=f[h>>2]|0;Sa=Na;if(Pa>>>0>=Oa-Na>>3>>>0){Da=Oa;Ea=Sa;break b}Oa=f[xa>>2]|0;Na=f[da>>2]|0;Ga=Pa;Ha=Sa;Ia=Na;Ja=Oa;Ka=Oa;La=Na}}while(0);da=Da;if(Ea|0){if((da|0)!=(Ea|0))f[S>>2]=da+(~((da+-8-Ea|0)>>>3)<<3);fuc(Ea)}}else{do if(!la){da=s;xa=ka;while(1){oa=f[xa+16>>2]|0;if((Y|0)<(oa|0)){pa=f[xa>>2]|0;if(!pa){aa=29;break}else{Ua=xa;Va=pa}}else{if((oa|0)>=(Y|0)){aa=33;break}Wa=xa+4|0;oa=f[Wa>>2]|0;if(!oa){aa=32;break}else{Ua=Wa;Va=oa}}da=Ua;xa=Va}if((aa|0)==29){aa=0;Xa=xa;Ya=xa;break}else if((aa|0)==32){aa=0;Xa=xa;Ya=Wa;break}else if((aa|0)==33){aa=0;Xa=xa;Ya=da;break}}else{Xa=v;Ya=v}while(0);ka=f[Ya>>2]|0;if(!ka){la=cuc(32)|0;f[la+16>>2]=Y;f[la+20>>2]=0;f[la+24>>2]=0;f[la+28>>2]=0;f[la>>2]=0;f[la+4>>2]=0;f[la+8>>2]=Xa;f[Ya>>2]=la;oa=f[f[m>>2]>>2]|0;if(!oa)Za=la;else{f[m>>2]=oa;Za=f[Ya>>2]|0}jI(f[s>>2]|0,Za);f[t>>2]=(f[t>>2]|0)+1;_a=la}else _a=ka;ka=_a+20|0;la=ha+20|0;if((((f[ha+24>>2]|0)-(f[la>>2]|0)|0)/24|0|0)!=((f[C>>2]|0)-(f[o>>2]|0)>>2|0)){aa=39;break}f[h>>2]=0;f[U>>2]=0;f[V>>2]=0;Psb(o,ia,ca,h);oa=f[ka>>2]|0;pa=_a+24|0;za=f[pa>>2]|0;Ca=oa;Aa=za+(~((za+-4-Ca|0)>>>2)<<2)|0;if((za|0)==(oa|0))$a=oa;else{f[pa>>2]=Aa;$a=Aa}Aa=f[U>>2]|0;za=f[h>>2]|0;ya=za;c:do if((Aa|0)==(za|0)){ab=Aa;bb=ya}else{La=_a+28|0;Ka=0;Ja=ya;Ia=Ca;Ha=$a;Ga=$a;Fa=oa;while(1){ma=f[Ja+(Ka<<3)+4>>2]|0;f[l>>2]=ma;if((Ha-Ia|0)>0){na=0;Na=Fa;Oa=ma;while(1){ma=f[la>>2]|0;cb=+Qsb(ma+(Oa*24|0)|0,ma+((f[Na+(na<<2)>>2]|0)*24|0)|0)<=ja;ma=na+1|0;db=f[pa>>2]|0;Sa=f[ka>>2]|0;if(!(cb&(ma|0)<(db-Sa>>2|0)))break;na=ma;Na=Sa;Oa=f[l>>2]|0}if(cb){eb=db;aa=52}}else{eb=Ga;aa=52}do if((aa|0)==52){aa=0;if((eb|0)==(f[La>>2]|0)){es(ka,l);break}else{f[eb>>2]=f[l>>2];f[pa>>2]=eb+4;break}}while(0);Oa=Ka+1|0;Na=f[U>>2]|0;na=f[h>>2]|0;Sa=na;if(Oa>>>0>=Na-na>>3>>>0){ab=Na;bb=Sa;break c}Na=f[pa>>2]|0;na=f[ka>>2]|0;Ka=Oa;Ja=Sa;Ia=na;Ha=Na;Ga=Na;Fa=na}}while(0);ka=ab;if(bb|0){if((ka|0)!=(bb|0))f[U>>2]=ka+(~((ka+-8-bb|0)>>>3)<<3);fuc(bb)}}ka=f[v>>2]|0;do if(ka){pa=s;la=ka;while(1){oa=f[la+16>>2]|0;if((Y|0)<(oa|0)){Ca=f[la>>2]|0;if(!Ca){aa=95;break}else{fb=la;gb=Ca}}else{if((oa|0)>=(Y|0)){aa=99;break}hb=la+4|0;oa=f[hb>>2]|0;if(!oa){aa=98;break}else{fb=hb;gb=oa}}pa=fb;la=gb}if((aa|0)==95){aa=0;ib=la;jb=la;break}else if((aa|0)==98){aa=0;ib=la;jb=hb;break}else if((aa|0)==99){aa=0;ib=la;jb=pa;break}}else{ib=v;jb=v}while(0);ka=f[jb>>2]|0;if(!ka){oa=cuc(32)|0;f[oa+16>>2]=Y;f[oa+20>>2]=0;f[oa+24>>2]=0;f[oa+28>>2]=0;f[oa>>2]=0;f[oa+4>>2]=0;f[oa+8>>2]=ib;f[jb>>2]=oa;Ca=f[f[m>>2]>>2]|0;if(!Ca)kb=oa;else{f[m>>2]=Ca;kb=f[jb>>2]|0}jI(f[s>>2]|0,kb);f[t>>2]=(f[t>>2]|0)+1;lb=oa}else lb=ka;ka=((f[lb+24>>2]|0)-(f[lb+20>>2]|0)>>2)+W|0;oa=f[o>>2]|0;if(oa|0){Ca=f[C>>2]|0;if((Ca|0)!=(oa|0))f[C>>2]=Ca+(~((Ca+-4-oa|0)>>>2)<<2);fuc(oa)}Z=ka;_=ba;$=f[w>>2]|0}if((_|0)<($|0)){W=Z;X=$;Y=_}else{aa=3;break}}if((aa|0)==3){X=a+76|0;W=f[X>>2]|0;if(!((W|0)>-1&Z>>>0>W>>>0)){mb=Z;break}f[o>>2]=0;W=o+4|0;f[W>>2]=0;f[o+8>>2]=0;C=f[m>>2]|0;do if((C|0)!=(v|0)){U=d+8|0;V=h+4|0;S=l+4|0;T=q+4|0;O=q+8|0;R=h+8|0;Q=h+4|0;P=r+36|0;N=r+16|0;M=r+4|0;L=r+40|0;K=r+44|0;I=r+48|0;J=h+4|0;H=h+8|0;G=o+8|0;F=C;d:while(1){nb=f[F+16>>2]|0;E=F+20|0;if((nb|0)>=(f[U>>2]|0)){aa=115;break}f[h>>2]=nb;f[V>>2]=nb+1;f[l>>2]=-2147483648;f[S>>2]=2147483647;bU(r,d,h,l);f[q>>2]=0;f[T>>2]=0;f[O>>2]=0;D=R;f[D>>2]=0;f[D+4>>2]=0;f[h>>2]=-2113732603;f[Q>>2]=q;EI(r,h);D=f[P>>2]|0;if(D|0?(B=D+12|0,D=f[B>>2]|0,f[B>>2]=D+-1,(D|0)==1):0)aU(r);f[P>>2]=0;f[N>>2]=0;f[N+4>>2]=0;f[N+8>>2]=0;f[N+12>>2]=0;if((f[M>>2]|0)>0){D=f[L>>2]|0;B=0;do{f[D+(B<<2)>>2]=0;B=B+1|0}while((B|0)<(f[M>>2]|0))}B=f[K>>2]|0;if((B|0)!=(I|0))TC(B);B=F+24|0;D=f[E>>2]|0;if((f[B>>2]|0)!=(D|0)){pa=0;la=D;do{D=f[la+(pa<<2)>>2]|0;A=f[q>>2]|0;if(D>>>0>=(f[T>>2]|0)-A>>2>>>0){aa=136;break d}f[h>>2]=f[A+(D<<2)>>2];f[J>>2]=nb;f[H>>2]=D;D=f[W>>2]|0;if(D>>>0<(f[G>>2]|0)>>>0){f[D>>2]=f[h>>2];f[D+4>>2]=f[h+4>>2];f[D+8>>2]=f[h+8>>2];f[W>>2]=(f[W>>2]|0)+12}else Usb(o,h);pa=pa+1|0;la=f[E>>2]|0}while(pa>>>0<(f[B>>2]|0)-la>>2>>>0)}la=f[q>>2]|0;if(la|0){B=f[T>>2]|0;if((B|0)!=(la|0))f[T>>2]=B+(~((B+-4-la|0)>>>2)<<2);fuc(la)}la=f[F+4>>2]|0;if(!la){B=F+8|0;pa=f[B>>2]|0;if((f[pa>>2]|0)==(F|0))ob=pa;else{pa=B;do{B=f[pa>>2]|0;pa=B+8|0;E=f[pa>>2]|0}while((f[E>>2]|0)!=(B|0));ob=E}}else{pa=la;while(1){E=f[pa>>2]|0;if(!E)break;else pa=E}ob=pa}if((ob|0)==(v|0)){aa=112;break}else F=ob}if((aa|0)==112){pb=f[o>>2]|0;qb=f[W>>2]|0;break}else if((aa|0)==115){f[i>>2]=nb;cE(h,468400,i);WD(-2,h,468449,467854,610)}else if((aa|0)==136){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;F=cuc(32)|0;f[h>>2]=F;f[h+8>>2]=-2147483616;f[h+4>>2]=19;rb=F;sb=468555;tb=rb+19|0;do{b[rb>>0]=b[sb>>0]|0;rb=rb+1|0;sb=sb+1|0}while((rb|0)<(tb|0));b[F+19>>0]=0;WD(-215,h,468449,467854,615)}}else{pb=0;qb=0}while(0);f[h>>2]=575;Tsb(pb,qb,h);C=f[X>>2]|0;T=f[W>>2]|0;G=f[o>>2]|0;H=(T-G|0)/12|0;J=G;I=T;if(C>>>0<=H>>>0)if(C>>>0<H>>>0?(K=J+(C*12|0)|0,(I|0)!=(K|0)):0){M=I+(~(((I+-12-K|0)>>>0)/12|0)*12|0)|0;f[W>>2]=M;ub=M;vb=G;wb=J}else{ub=T;vb=G;wb=J}else{Vsb(o,C-H|0);H=f[o>>2]|0;ub=f[W>>2]|0;vb=H;wb=H}H=q+4|0;f[H>>2]=0;C=q+8|0;f[C>>2]=0;J=q+4|0;f[q>>2]=J;e:do if((ub|0)!=(vb|0)){G=0;T=wb;M=0;while(1){K=f[T+(G*12|0)+4>>2]|0;f[h>>2]=f[T+(G*12|0)+8>>2];do if(M){I=H;L=M;while(1){N=f[L+16>>2]|0;if((K|0)<(N|0)){P=f[L>>2]|0;if(!P){aa=162;break}else{xb=L;yb=P}}else{if((N|0)>=(K|0)){aa=166;break}zb=L+4|0;N=f[zb>>2]|0;if(!N){aa=165;break}else{xb=zb;yb=N}}I=xb;L=yb}if((aa|0)==162){aa=0;Ab=L;Bb=L;break}else if((aa|0)==165){aa=0;Ab=L;Bb=zb;break}else if((aa|0)==166){aa=0;Ab=L;Bb=I;break}}else{Ab=J;Bb=J}while(0);pa=f[Bb>>2]|0;if(!pa){N=cuc(32)|0;f[N+16>>2]=K;f[N+20>>2]=0;f[N+24>>2]=0;f[N+28>>2]=0;f[N>>2]=0;f[N+4>>2]=0;f[N+8>>2]=Ab;f[Bb>>2]=N;P=f[f[q>>2]>>2]|0;if(!P)Cb=N;else{f[q>>2]=P;Cb=f[Bb>>2]|0}jI(f[H>>2]|0,Cb);f[C>>2]=(f[C>>2]|0)+1;Db=N}else Db=pa;pa=Db+24|0;N=f[pa>>2]|0;if((N|0)==(f[Db+28>>2]|0))es(Db+20|0,h);else{f[N>>2]=f[h>>2];f[pa>>2]=N+4}N=G+1|0;pa=f[o>>2]|0;if(N>>>0>=(((f[W>>2]|0)-pa|0)/12|0)>>>0)break e;G=N;T=pa;M=f[J>>2]|0}}while(0);C=e+4|0;H=f[C>>2]|0;if((H|0)==(f[e+8>>2]|0))Xsb(e,q);else{f[H+4>>2]=0;f[H+8>>2]=0;M=H+4|0;f[H>>2]=M;T=f[q>>2]|0;if((T|0)!=(J|0)){G=M;M=T;while(1){T=M+16|0;f[l>>2]=G;f[h>>2]=f[l>>2];Wsb(H,h,T,T)|0;T=f[M+4>>2]|0;if(!T){F=M+8|0;pa=f[F>>2]|0;if((f[pa>>2]|0)==(M|0))Eb=pa;else{pa=F;do{F=f[pa>>2]|0;pa=F+8|0;N=f[pa>>2]|0}while((f[N>>2]|0)!=(F|0));Eb=N}}else{pa=T;while(1){N=f[pa>>2]|0;if(!N)break;else pa=N}Eb=pa}if((Eb|0)==(J|0))break;else M=Eb}}f[C>>2]=(f[C>>2]|0)+12}M=f[X>>2]|0;GMa(q,f[J>>2]|0);H=f[o>>2]|0;if(H|0){G=f[W>>2]|0;if((G|0)!=(H|0))f[W>>2]=G+(~(((G+-12-H|0)>>>0)/12|0)*12|0);fuc(H)}Fb=M;Gb=f[v>>2]|0;GMa(m,Gb);u=g;return Fb|0}else if((aa|0)==7){f[k>>2]=Y;cE(h,468331,k);WD(-2,h,468449,467854,585)}else if((aa|0)==23){f[j>>2]=ea;cE(h,468400,j);WD(-2,h,468449,467854,592)}else if((aa|0)==39){M=cuc(32)|0;f[h>>2]=M;f[h+8>>2]=-2147483616;f[h+4>>2]=30;rb=M;sb=484668;tb=rb+30|0;do{b[rb>>0]=b[sb>>0]|0;rb=rb+1|0;sb=sb+1|0}while((rb|0)<(tb|0));b[M+30>>0]=0;WD(-215,h,468468,468477,72)}else if((aa|0)==72){Y=cuc(32)|0;f[h>>2]=Y;f[h+8>>2]=-2147483616;f[h+4>>2]=30;rb=Y;sb=484668;tb=rb+30|0;do{b[rb>>0]=b[sb>>0]|0;rb=rb+1|0;sb=sb+1|0}while((rb|0)<(tb|0));b[Y+30>>0]=0;WD(-215,h,468468,468477,72)}}else mb=0;while(0);sb=e+4|0;rb=f[sb>>2]|0;if((rb|0)==(f[e+8>>2]|0)){Xsb(e,m);Fb=mb;Gb=f[v>>2]|0;GMa(m,Gb);u=g;return Fb|0}f[rb+4>>2]=0;f[rb+8>>2]=0;e=rb+4|0;f[rb>>2]=e;tb=f[m>>2]|0;if((tb|0)!=(v|0)){aa=e;e=tb;while(1){tb=e+16|0;f[l>>2]=aa;f[h>>2]=f[l>>2];Wsb(rb,h,tb,tb)|0;tb=f[e+4>>2]|0;if(!tb){j=e+8|0;ea=f[j>>2]|0;if((f[ea>>2]|0)==(e|0))Hb=ea;else{ea=j;do{j=f[ea>>2]|0;ea=j+8|0;k=f[ea>>2]|0}while((f[k>>2]|0)!=(j|0));Hb=k}}else{ea=tb;while(1){Y=f[ea>>2]|0;if(!Y)break;else ea=Y}Hb=ea}if((Hb|0)==(v|0))break;else e=Hb}}f[sb>>2]=(f[sb>>2]|0)+12;Fb=mb;Gb=f[v>>2]|0;GMa(m,Gb);u=g;return Fb|0}function Hsb(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0.0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0.0,na=0,oa=0;j=u;u=u+192|0;k=j+32|0;l=j+24|0;m=j+16|0;o=j;p=j+184|0;q=j+60|0;r=j+48|0;s=j+36|0;t=j+128|0;v=j+72|0;f[q>>2]=0;w=q+4|0;f[w>>2]=0;f[q+8>>2]=0;f[r>>2]=0;x=r+4|0;f[x>>2]=0;f[r+8>>2]=0;y=f[h>>2]|0;z=h+4|0;a:do if((y|0)!=(z|0)){A=g+8|0;B=o+4|0;C=p+4|0;D=s+4|0;E=s+8|0;F=o+8|0;G=o+4|0;H=t+36|0;I=t+16|0;J=t+4|0;K=t+40|0;L=t+44|0;M=t+48|0;N=o+4|0;O=r+8|0;P=y;while(1){Q=f[P+16>>2]|0;if((f[A>>2]|0)<=(Q|0))break;f[o>>2]=Q;f[B>>2]=Q+1;f[p>>2]=-2147483648;f[C>>2]=2147483647;bU(t,g,o,p);f[s>>2]=0;f[D>>2]=0;f[E>>2]=0;R=F;f[R>>2]=0;f[R+4>>2]=0;f[o>>2]=-2113732603;f[G>>2]=s;EI(t,o);R=f[H>>2]|0;if(R|0?(S=R+12|0,R=f[S>>2]|0,f[S>>2]=R+-1,(R|0)==1):0)aU(t);f[H>>2]=0;f[I>>2]=0;f[I+4>>2]=0;f[I+8>>2]=0;f[I+12>>2]=0;if((f[J>>2]|0)>0){R=f[K>>2]|0;S=0;do{f[R+(S<<2)>>2]=0;S=S+1|0}while((S|0)<(f[J>>2]|0))}S=f[L>>2]|0;if((S|0)!=(M|0))TC(S);S=P+20|0;R=(f[x>>2]|0)-(f[r>>2]|0)>>3;T=P+24|0;Isb(r,((f[T>>2]|0)-(f[S>>2]|0)>>2)+R|0);U=f[S>>2]|0;if((f[T>>2]|0)!=(U|0)){V=0;W=U;do{f[o>>2]=f[(f[s>>2]|0)+(f[W+(V<<2)>>2]<<2)>>2];f[N>>2]=V+R;U=f[x>>2]|0;if(U>>>0<(f[O>>2]|0)>>>0){X=o;Y=f[X+4>>2]|0;Z=U;f[Z>>2]=f[X>>2];f[Z+4>>2]=Y;f[x>>2]=(f[x>>2]|0)+8}else Jsb(r,o);V=V+1|0;W=f[S>>2]|0}while(V>>>0<(f[T>>2]|0)-W>>2>>>0)}W=f[s>>2]|0;if(W|0){T=f[D>>2]|0;if((T|0)!=(W|0))f[D>>2]=T+(~((T+-4-W|0)>>>2)<<2);fuc(W)}W=f[P+4>>2]|0;if(!W){T=P+8|0;V=f[T>>2]|0;if((f[V>>2]|0)==(P|0))_=V;else{V=T;do{T=f[V>>2]|0;V=T+8|0;S=f[V>>2]|0}while((f[S>>2]|0)!=(T|0));_=S}}else{V=W;while(1){S=f[V>>2]|0;if(!S)break;else V=S}_=V}if((_|0)==(z|0))break a;else P=_}f[m>>2]=Q;cE(o,468331,m);WD(-2,o,468382,467854,523)}while(0);if(!i){i=f[r>>2]|0;m=f[x>>2]|0;f[o>>2]=576;Lsb(i,m,o)}m=(f[x>>2]|0)-(f[r>>2]|0)>>3;i=f[w>>2]|0;Q=f[q>>2]|0;_=i-Q>>2;t=Q;y=i;if(m>>>0<=_>>>0)if(m>>>0<_>>>0?(P=t+(m<<2)|0,(y|0)!=(P|0)):0){D=y+(~((y+-4-P|0)>>>2)<<2)|0;f[w>>2]=D;$=D;aa=Q;ba=t}else{$=i;aa=Q;ba=t}else{OJ(q,m-_|0);_=f[q>>2]|0;$=f[w>>2]|0;aa=_;ba=_}if(($|0)!=(aa|0)){aa=f[r>>2]|0;_=$-ba>>2;$=0;do{f[ba+(f[aa+($<<3)+4>>2]<<2)>>2]=$;$=$+1|0}while($>>>0<_>>>0)}_=f[h>>2]|0;b:do if((_|0)!=(z|0)){h=g+8|0;$=o+4|0;aa=p+4|0;ba=s+4|0;m=s+8|0;t=o+8|0;Q=o+4|0;i=v+36|0;D=v+16|0;P=v+4|0;y=v+40|0;O=v+44|0;N=v+48|0;M=a+48|0;L=e+4|0;ca=+(c|0);J=0;K=_;while(1){da=f[K+16>>2]|0;if((f[h>>2]|0)<=(da|0)){ea=50;break}f[o>>2]=da;f[$>>2]=da+1;f[p>>2]=-2147483648;f[aa>>2]=2147483647;bU(v,g,o,p);f[s>>2]=0;f[ba>>2]=0;f[m>>2]=0;I=t;f[I>>2]=0;f[I+4>>2]=0;f[o>>2]=-2113732603;f[Q>>2]=s;EI(v,o);I=f[i>>2]|0;if(I|0?(H=I+12|0,I=f[H>>2]|0,f[H>>2]=I+-1,(I|0)==1):0)aU(v);f[i>>2]=0;f[D>>2]=0;f[D+4>>2]=0;f[D+8>>2]=0;f[D+12>>2]=0;if((f[P>>2]|0)>0){I=f[y>>2]|0;H=0;do{f[I+(H<<2)>>2]=0;H=H+1|0}while((H|0)<(f[P>>2]|0))}H=f[O>>2]|0;if((H|0)!=(N|0))TC(H);fa=b[M>>0]|0?-1:da;H=f[L>>2]|0;if(!H){ea=66;break}else{ga=L;ha=H}c:while(1){H=ha;while(1){if((f[H+16>>2]|0)>=(fa|0))break;I=f[H+4>>2]|0;if(!I){ia=ga;break c}else H=I}ha=f[H>>2]|0;if(!ha){ia=H;break}else ga=H}if((ia|0)==(L|0)){ea=66;break}if((fa|0)<(f[ia+16>>2]|0)){ea=66;break}I=f[K+24>>2]|0;V=f[K+20>>2]|0;G=V;if((I|0)==(V|0)){F=f[s>>2]|0;if(!F)ja=J;else{ka=J;la=F;ea=70}}else{F=f[q>>2]|0;E=f[ia+20>>2]|0;ma=+(da|0);C=f[s>>2]|0;B=I-V>>2;V=0;I=J;while(1){A=f[G+(V<<2)>>2]|0;W=(f[F+(I<<2)>>2]|0)*7|0;n[d+(W<<2)>>2]=ca;n[d+(W+1<<2)>>2]=ma;f[d+(W+2<<2)>>2]=f[C+(A<<2)>>2];f[d+(W+3<<2)>>2]=f[E+(A*24|0)>>2];f[d+(W+4<<2)>>2]=f[E+(A*24|0)+4>>2];f[d+(W+5<<2)>>2]=f[E+(A*24|0)+8>>2];f[d+(W+6<<2)>>2]=f[E+(A*24|0)+12>>2];V=V+1|0;A=I+1|0;if(V>>>0>=B>>>0){ka=A;la=C;ea=70;break}else I=A}}if((ea|0)==70){ea=0;I=f[ba>>2]|0;if((I|0)!=(la|0))f[ba>>2]=I+(~((I+-4-la|0)>>>2)<<2);fuc(la);ja=ka}I=f[K+4>>2]|0;if(!I){C=K+8|0;B=f[C>>2]|0;if((f[B>>2]|0)==(K|0))na=B;else{B=C;do{C=f[B>>2]|0;B=C+8|0;V=f[B>>2]|0}while((f[V>>2]|0)!=(C|0));na=V}}else{B=I;while(1){V=f[B>>2]|0;if(!V)break;else B=V}na=B}if((na|0)==(z|0)){oa=ja;break b}else{J=ja;K=na}}if((ea|0)==50){f[l>>2]=da;cE(o,468331,l);WD(-2,o,468382,467854,548)}else if((ea|0)==66){f[k>>2]=fa;cE(o,468400,k);WD(-2,o,468382,467854,553)}}else oa=0;while(0);o=f[r>>2]|0;if(o|0){r=f[x>>2]|0;if((r|0)!=(o|0))f[x>>2]=r+(~((r+-8-o|0)>>>3)<<3);fuc(o)}o=f[q>>2]|0;if(!o){u=j;return oa|0}q=f[w>>2]|0;if((q|0)!=(o|0))f[w>>2]=q+(~((q+-4-o|0)>>>2)<<2);fuc(o);u=j;return oa|0}function Isb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=a+8|0;d=f[a>>2]|0;if((f[c>>2]|0)-d>>3>>>0>=b>>>0)return;e=a+4|0;if(b>>>0>536870911){g=ze(8)|0;kuc(g,519086);f[g>>2]=167148;Hf(g|0,26888,1888)}g=(f[e>>2]|0)-d|0;h=g>>3;i=cuc(b<<3)|0;j=i+(h<<3)|0;k=j+(0-h<<3)|0;if((g|0)>0)szc(k|0,d|0,g|0)|0;f[a>>2]=k;f[e>>2]=j;f[c>>2]=i+(b<<3);if(!d)return;fuc(d);return}function Jsb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+4|0;d=f[a>>2]|0;e=(f[c>>2]|0)-d|0;g=e>>3;h=g+1|0;if(h>>>0>536870911)nsc(a);i=a+8|0;j=(f[i>>2]|0)-d|0;k=j>>2;l=j>>3>>>0<268435455?(k>>>0<h>>>0?h:k):536870911;do if(l)if(l>>>0>536870911){k=ze(8)|0;kuc(k,519086);f[k>>2]=167148;Hf(k|0,26888,1888)}else{m=cuc(l<<3)|0;break}else m=0;while(0);k=m+(g<<3)|0;h=b;b=f[h+4>>2]|0;j=k;f[j>>2]=f[h>>2];f[j+4>>2]=b;b=k+(0-g<<3)|0;if((e|0)>0)szc(b|0,d|0,e|0)|0;f[a>>2]=b;f[c>>2]=k+8;f[i>>2]=m+(l<<3);if(!d)return;fuc(d);return}function Ksb(a,b){a=a|0;b=b|0;return +n[a>>2]>+n[b>>2]|0}function Lsb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0;d=u;u=u+16|0;e=d;g=a;a=b;a:while(1){b=a;h=a+-8|0;i=a+-4|0;j=g;while(1){k=j;b:while(1){l=k;m=b-l|0;n=m>>3;switch(n|0){case 2:{o=5;break a;break}case 3:{o=7;break a;break}case 4:{o=8;break a;break}case 5:{o=12;break a;break}case 1:case 0:{o=56;break a;break}default:{}}if((m|0)<56){o=14;break a}p=k+(((n|0)/2|0)<<3)|0;if((m|0)>7992){m=(n|0)/4|0;q=Nsb(k,k+(m<<3)|0,p,p+(m<<3)|0,h,c)|0}else q=Msb(k,p,h,c)|0;if(Th[f[c>>2]&1023](k,p)|0){r=h;s=q;break}else t=h;while(1){v=t+-8|0;if((k|0)==(v|0))break;if(Th[f[c>>2]&1023](v,p)|0){o=39;break b}else t=v}m=k+8|0;if(Th[f[c>>2]&1023](k,h)|0)w=m;else{if((m|0)==(h|0)){o=56;break a}else x=m;while(1){if(Th[f[c>>2]&1023](k,x)|0)break;m=x+8|0;if((m|0)==(h|0)){o=56;break a}else x=m}m=f[x>>2]|0;f[x>>2]=f[h>>2];f[h>>2]=m;m=x+4|0;n=f[m>>2]|0;f[m>>2]=f[i>>2];f[i>>2]=n;w=x+8|0}if((w|0)==(h|0)){o=56;break a}else{y=h;z=w}while(1){n=z;while(1){A=n+8|0;if(Th[f[c>>2]&1023](k,n)|0){B=y;break}else n=A}while(1){C=B+-8|0;if(Th[f[c>>2]&1023](k,C)|0)B=C;else break}if(n>>>0>=C>>>0){k=n;continue b}m=f[n>>2]|0;f[n>>2]=f[C>>2];f[C>>2]=m;m=n+4|0;D=B+-4|0;E=f[m>>2]|0;f[m>>2]=f[D>>2];f[D>>2]=E;y=C;z=A}}if((o|0)==39){o=0;E=f[k>>2]|0;f[k>>2]=f[v>>2];f[v>>2]=E;E=k+4|0;D=t+-4|0;m=f[E>>2]|0;f[E>>2]=f[D>>2];f[D>>2]=m;r=v;s=q+1|0}m=k+8|0;c:do if(m>>>0<r>>>0){D=p;E=r;F=m;G=s;while(1){H=F;while(1){I=H+8|0;if(Th[f[c>>2]&1023](H,D)|0)H=I;else{J=E;break}}while(1){K=J+-8|0;if(Th[f[c>>2]&1023](K,D)|0)break;else J=K}if(H>>>0>K>>>0){L=D;M=G;N=H;break c}n=f[H>>2]|0;f[H>>2]=f[K>>2];f[K>>2]=n;n=H+4|0;O=J+-4|0;P=f[n>>2]|0;f[n>>2]=f[O>>2];f[O>>2]=P;D=(D|0)==(H|0)?K:D;E=K;F=I;G=G+1|0}}else{L=p;M=s;N=m}while(0);if((N|0)!=(L|0)?Th[f[c>>2]&1023](L,N)|0:0){m=f[N>>2]|0;f[N>>2]=f[L>>2];f[L>>2]=m;m=N+4|0;G=L+4|0;F=f[m>>2]|0;f[m>>2]=f[G>>2];f[G>>2]=F;Q=M+1|0}else Q=M;if(!Q){R=Osb(k,N,c)|0;F=N+8|0;if(Osb(F,a,c)|0){o=55;break}if(R){j=F;continue}}F=N;if((F-l|0)>=(b-F|0)){o=54;break}Lsb(k,N,c);j=N+8|0}if((o|0)==54){o=0;Lsb(N+8|0,a,c);g=k;a=N;continue}else if((o|0)==55){o=0;if(R){o=56;break}else{g=k;a=N;continue}}}if((o|0)==5){if(!(Th[f[c>>2]&1023](h,k)|0)){u=d;return}N=f[k>>2]|0;f[k>>2]=f[h>>2];f[h>>2]=N;N=k+4|0;g=f[N>>2]|0;f[N>>2]=f[i>>2];f[i>>2]=g;u=d;return}else if((o|0)==7){Msb(k,k+8|0,h,c)|0;u=d;return}else if((o|0)==8){g=k+8|0;N=k+16|0;Msb(k,g,N,c)|0;if(!(Th[f[c>>2]&1023](h,N)|0)){u=d;return}R=f[N>>2]|0;f[N>>2]=f[h>>2];f[h>>2]=R;R=k+20|0;l=f[R>>2]|0;f[R>>2]=f[i>>2];f[i>>2]=l;if(!(Th[f[c>>2]&1023](N,g)|0)){u=d;return}l=f[g>>2]|0;f[g>>2]=f[N>>2];f[N>>2]=l;l=k+12|0;N=f[l>>2]|0;f[l>>2]=f[R>>2];f[R>>2]=N;if(!(Th[f[c>>2]&1023](g,k)|0)){u=d;return}N=f[k>>2]|0;f[k>>2]=f[g>>2];f[g>>2]=N;N=k+4|0;g=f[N>>2]|0;f[N>>2]=f[l>>2];f[l>>2]=g;u=d;return}else if((o|0)==12){Nsb(k,k+8|0,k+16|0,k+24|0,h,c)|0;u=d;return}else if((o|0)==14){h=k+16|0;Msb(k,k+8|0,h,c)|0;g=k+24|0;if((g|0)==(a|0)){u=d;return}l=e+4|0;N=g;g=h;while(1){if(Th[f[c>>2]&1023](N,g)|0){h=N;R=f[h+4>>2]|0;i=e;f[i>>2]=f[h>>2];f[i+4>>2]=R;R=g;i=N;while(1){f[i>>2]=f[R>>2];S=R+4|0;f[i+4>>2]=f[S>>2];if((R|0)==(k|0))break;h=R+-8|0;if(Th[f[c>>2]&1023](e,h)|0){Q=R;R=h;i=Q}else break}f[R>>2]=f[e>>2];f[S>>2]=f[l>>2]}i=N+8|0;if((i|0)==(a|0))break;else{Q=N;N=i;g=Q}}u=d;return}else if((o|0)==56){u=d;return}}function Msb(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0;e=Th[f[d>>2]&1023](b,a)|0;g=Th[f[d>>2]&1023](c,b)|0;if(!e){if(!g){h=0;return h|0}e=f[b>>2]|0;f[b>>2]=f[c>>2];f[c>>2]=e;e=b+4|0;i=c+4|0;j=f[e>>2]|0;f[e>>2]=f[i>>2];f[i>>2]=j;if(!(Th[f[d>>2]&1023](b,a)|0)){h=1;return h|0}j=f[a>>2]|0;f[a>>2]=f[b>>2];f[b>>2]=j;j=a+4|0;i=f[j>>2]|0;f[j>>2]=f[e>>2];f[e>>2]=i;h=2;return h|0}i=f[a>>2]|0;if(g){f[a>>2]=f[c>>2];f[c>>2]=i;g=a+4|0;e=c+4|0;j=f[g>>2]|0;f[g>>2]=f[e>>2];f[e>>2]=j;h=1;return h|0}f[a>>2]=f[b>>2];f[b>>2]=i;i=a+4|0;a=b+4|0;j=f[i>>2]|0;f[i>>2]=f[a>>2];f[a>>2]=j;if(!(Th[f[d>>2]&1023](c,b)|0)){h=1;return h|0}d=f[b>>2]|0;f[b>>2]=f[c>>2];f[c>>2]=d;d=c+4|0;c=f[a>>2]|0;f[a>>2]=f[d>>2];f[d>>2]=c;h=2;return h|0}function Nsb(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0;h=Msb(a,b,c,g)|0;if(Th[f[g>>2]&1023](d,c)|0){i=f[c>>2]|0;f[c>>2]=f[d>>2];f[d>>2]=i;i=c+4|0;j=d+4|0;k=f[i>>2]|0;f[i>>2]=f[j>>2];f[j>>2]=k;k=h+1|0;if(Th[f[g>>2]&1023](c,b)|0){j=f[b>>2]|0;f[b>>2]=f[c>>2];f[c>>2]=j;j=b+4|0;l=f[j>>2]|0;f[j>>2]=f[i>>2];f[i>>2]=l;if(Th[f[g>>2]&1023](b,a)|0){l=f[a>>2]|0;f[a>>2]=f[b>>2];f[b>>2]=l;l=a+4|0;i=f[l>>2]|0;f[l>>2]=f[j>>2];f[j>>2]=i;m=h+3|0}else m=h+2|0}else m=k}else m=h;if(!(Th[f[g>>2]&1023](e,d)|0)){n=m;return n|0}h=f[d>>2]|0;f[d>>2]=f[e>>2];f[e>>2]=h;h=d+4|0;k=e+4|0;e=f[h>>2]|0;f[h>>2]=f[k>>2];f[k>>2]=e;if(!(Th[f[g>>2]&1023](d,c)|0)){n=m+1|0;return n|0}e=f[c>>2]|0;f[c>>2]=f[d>>2];f[d>>2]=e;e=c+4|0;d=f[e>>2]|0;f[e>>2]=f[h>>2];f[h>>2]=d;if(!(Th[f[g>>2]&1023](c,b)|0)){n=m+2|0;return n|0}d=f[b>>2]|0;f[b>>2]=f[c>>2];f[c>>2]=d;d=b+4|0;c=f[d>>2]|0;f[d>>2]=f[e>>2];f[e>>2]=c;if(!(Th[f[g>>2]&1023](b,a)|0)){n=m+3|0;return n|0}g=f[a>>2]|0;f[a>>2]=f[b>>2];f[b>>2]=g;g=a+4|0;a=f[g>>2]|0;f[g>>2]=f[d>>2];f[d>>2]=a;n=m+4|0;return n|0}function Osb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;d=u;u=u+16|0;e=d;switch(b-a>>3|0){case 2:{g=b+-8|0;if(!(Th[f[c>>2]&1023](g,a)|0)){h=1;u=d;return h|0}i=f[a>>2]|0;f[a>>2]=f[g>>2];f[g>>2]=i;i=a+4|0;g=b+-4|0;j=f[i>>2]|0;f[i>>2]=f[g>>2];f[g>>2]=j;h=1;u=d;return h|0}case 3:{Msb(a,a+8|0,b+-8|0,c)|0;h=1;u=d;return h|0}case 4:{j=a+8|0;g=a+16|0;i=b+-8|0;Msb(a,j,g,c)|0;if(!(Th[f[c>>2]&1023](i,g)|0)){h=1;u=d;return h|0}k=f[g>>2]|0;f[g>>2]=f[i>>2];f[i>>2]=k;k=a+20|0;i=b+-4|0;l=f[k>>2]|0;f[k>>2]=f[i>>2];f[i>>2]=l;if(!(Th[f[c>>2]&1023](g,j)|0)){h=1;u=d;return h|0}l=f[j>>2]|0;f[j>>2]=f[g>>2];f[g>>2]=l;l=a+12|0;g=f[l>>2]|0;f[l>>2]=f[k>>2];f[k>>2]=g;if(!(Th[f[c>>2]&1023](j,a)|0)){h=1;u=d;return h|0}g=f[a>>2]|0;f[a>>2]=f[j>>2];f[j>>2]=g;g=a+4|0;j=f[g>>2]|0;f[g>>2]=f[l>>2];f[l>>2]=j;h=1;u=d;return h|0}case 5:{Nsb(a,a+8|0,a+16|0,a+24|0,b+-8|0,c)|0;h=1;u=d;return h|0}case 1:case 0:{h=1;u=d;return h|0}default:{j=a+16|0;Msb(a,a+8|0,j,c)|0;l=a+24|0;a:do if((l|0)==(b|0)){m=1;n=0}else{g=e+4|0;k=l;i=0;o=j;while(1){if(Th[f[c>>2]&1023](k,o)|0){p=k;q=f[p+4>>2]|0;r=e;f[r>>2]=f[p>>2];f[r+4>>2]=q;q=o;r=k;while(1){f[r>>2]=f[q>>2];s=q+4|0;f[r+4>>2]=f[s>>2];if((q|0)==(a|0))break;p=q+-8|0;if(Th[f[c>>2]&1023](e,p)|0){t=q;q=p;r=t}else break}f[q>>2]=f[e>>2];f[s>>2]=f[g>>2];r=i+1|0;if((r|0)==8){m=0;n=(k+8|0)==(b|0);break a}else v=r}else v=i;r=k+8|0;if((r|0)==(b|0)){m=1;n=0;break}else{t=k;k=r;i=v;o=t}}}while(0);h=n|m;u=d;return h|0}}return 0}function Psb(a,b,c,d){a=a|0;b=+b;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;e=u;u=u+32|0;g=e;h=e+20|0;i=e+16|0;j=e+12|0;k=e+8|0;l=a+4|0;m=f[l>>2]|0;o=f[a>>2]|0;if((m|0)==(o|0))p=d+4|0;else{q=g+4|0;r=d+4|0;s=d+8|0;t=o;o=m;m=0;while(1){v=t;if(+n[v+(m<<2)>>2]>b){f[g>>2]=f[v+(m<<2)>>2];f[q>>2]=m;v=f[r>>2]|0;if(v>>>0<(f[s>>2]|0)>>>0){w=g;x=f[w+4>>2]|0;y=v;f[y>>2]=f[w>>2];f[y+4>>2]=x;f[r>>2]=(f[r>>2]|0)+8}else Jsb(d,g);z=f[a>>2]|0;A=f[l>>2]|0}else{z=t;A=o}m=m+1|0;if(m>>>0>=A-z>>2>>>0){p=r;break}else{t=z;o=A}}}A=f[d>>2]|0;o=f[p>>2]|0;f[i>>2]=577;z=o-A|0;t=z>>3;if((z|0)>0){z=(t|0)<268435455?t:268435455;while(1){r=duc(z<<3,1171379)|0;if(r|0){B=r;C=z;break}z=z>>>1;if(!z){B=0;C=0;break}}D=B;E=C;F=B}else{D=0;E=0;F=0}f[j>>2]=A;f[k>>2]=o;f[h>>2]=f[j>>2];f[g>>2]=f[k>>2];ctb(h,g,i,t,D,E);if(D|0)fuc(F);if((c|0)<=0){u=e;return}F=f[p>>2]|0;D=f[d>>2]|0;E=F-D>>3;if((E|0)<=(c|0)){u=e;return}t=F;if(E>>>0<c>>>0){dtb(d,c-E|0);u=e;return}if(E>>>0<=c>>>0){u=e;return}E=D+(c<<3)|0;if((t|0)==(E|0)){u=e;return}f[p>>2]=t+(~((t+-8-E|0)>>>3)<<3);u=e;return}function Qsb(a,c){a=a|0;c=c|0;var d=0.0,e=0.0,f=0.0,g=0.0,h=0.0,i=0.0,j=0.0,k=0.0,l=0.0,m=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0.0,t=0.0;d=+n[a>>2];e=+n[c>>2];f=d<e?e:d;g=+n[c+8>>2];h=+n[a+8>>2];i=g<h?g:h;if(i<f){j=0.0;return +j}k=+n[c+12>>2];l=+n[a+12>>2];m=k<l?k:l;o=+n[a+4>>2];p=+n[c+4>>2];q=o<p?p:o;if(m<q){j=0.0;return +j}r=(i-f)*(m-q);if(!(r>0.0)){j=0.0;return +j}do if(!(h<d|l<o))if(!(b[a+16>>0]|0)){s=(h-d)*(l-o);break}else{s=+n[a+20>>2];break}else s=0.0;while(0);do if(!(g<e|k<p))if(!(b[c+16>>0]|0)){t=(g-e)*(k-p);break}else{t=+n[c+20>>2];break}else t=0.0;while(0);j=r/(s+t-r);return +j}function Rsb(a,c){a=a|0;c=c|0;var d=0.0,e=0.0,f=0.0,g=0.0,h=0.0,i=0.0,j=0.0,k=0.0,l=0.0,m=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0.0,t=0.0;d=+n[a>>2];e=+n[c>>2];f=d<e?e:d;g=+n[c+8>>2];h=+n[a+8>>2];i=g<h?g:h;if(i<f){j=0.0;return +j}k=+n[c+12>>2];l=+n[a+12>>2];m=k<l?k:l;o=+n[a+4>>2];p=+n[c+4>>2];q=o<p?p:o;if(m<q){j=0.0;return +j}r=(i-f+1.0)*(m-q+1.0);if(!(r>0.0)){j=0.0;return +j}do if(!(h<d|l<o))if(!(b[a+16>>0]|0)){s=(h-d+1.0)*(l-o+1.0);break}else{s=+n[a+20>>2];break}else s=0.0;while(0);do if(!(g<e|k<p))if(!(b[c+16>>0]|0)){t=(g-e+1.0)*(k-p+1.0);break}else{t=+n[c+20>>2];break}else t=0.0;while(0);j=r/(s+t-r);return +j}function Ssb(a,b){a=a|0;b=b|0;return +n[a>>2]>+n[b>>2]|0}function Tsb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0;d=u;u=u+16|0;e=d;g=a;a=b;a:while(1){b=a;h=a+-12|0;i=a+-8|0;j=a+-4|0;k=g;while(1){l=k;b:while(1){m=l;n=b-m|0;switch((n|0)/12|0|0){case 2:{o=5;break a;break}case 3:{o=7;break a;break}case 4:{o=8;break a;break}case 5:{o=9;break a;break}case 1:case 0:{o=53;break a;break}default:{}}if((n|0)<84){o=11;break a}p=l+(((n>>>0)/24|0)*12|0)|0;if((n|0)>11988){q=(n>>>0)/48|0;r=$sb(l,l+(q*12|0)|0,p,p+(q*12|0)|0,h,c)|0}else r=Zsb(l,p,h,c)|0;if(Th[f[c>>2]&1023](l,p)|0){s=h;t=r;break}else v=h;while(1){w=v+-12|0;if((l|0)==(w|0))break;if(Th[f[c>>2]&1023](w,p)|0){o=36;break b}else v=w}q=l+12|0;if(Th[f[c>>2]&1023](l,h)|0)x=q;else{if((q|0)==(h|0)){o=53;break a}else y=q;while(1){if(Th[f[c>>2]&1023](l,y)|0)break;q=y+12|0;if((q|0)==(h|0)){o=53;break a}else y=q}q=f[y>>2]|0;f[y>>2]=f[h>>2];f[h>>2]=q;q=y+4|0;n=f[q>>2]|0;f[q>>2]=f[i>>2];f[i>>2]=n;n=y+8|0;q=f[n>>2]|0;f[n>>2]=f[j>>2];f[j>>2]=q;x=y+12|0}if((x|0)==(h|0)){o=53;break a}else{z=h;A=x}while(1){q=A;while(1){B=q+12|0;if(Th[f[c>>2]&1023](l,q)|0){C=z;break}else q=B}while(1){D=C+-12|0;if(Th[f[c>>2]&1023](l,D)|0)C=D;else break}if(q>>>0>=D>>>0){l=q;continue b}n=f[q>>2]|0;f[q>>2]=f[D>>2];f[D>>2]=n;n=q+4|0;E=C+-8|0;F=f[n>>2]|0;f[n>>2]=f[E>>2];f[E>>2]=F;F=q+8|0;E=C+-4|0;n=f[F>>2]|0;f[F>>2]=f[E>>2];f[E>>2]=n;z=D;A=B}}if((o|0)==36){o=0;n=f[l>>2]|0;f[l>>2]=f[w>>2];f[w>>2]=n;n=l+4|0;E=v+-8|0;F=f[n>>2]|0;f[n>>2]=f[E>>2];f[E>>2]=F;F=l+8|0;E=v+-4|0;n=f[F>>2]|0;f[F>>2]=f[E>>2];f[E>>2]=n;s=w;t=r+1|0}n=l+12|0;c:do if(n>>>0<s>>>0){E=p;F=s;G=n;H=t;while(1){I=G;while(1){J=I+12|0;if(Th[f[c>>2]&1023](I,E)|0)I=J;else{K=F;break}}while(1){L=K+-12|0;if(Th[f[c>>2]&1023](L,E)|0)break;else K=L}if(I>>>0>L>>>0){M=E;N=H;O=I;break c}q=f[I>>2]|0;f[I>>2]=f[L>>2];f[L>>2]=q;q=I+4|0;P=K+-8|0;Q=f[q>>2]|0;f[q>>2]=f[P>>2];f[P>>2]=Q;Q=I+8|0;P=K+-4|0;q=f[Q>>2]|0;f[Q>>2]=f[P>>2];f[P>>2]=q;E=(E|0)==(I|0)?L:E;F=L;G=J;H=H+1|0}}else{M=p;N=t;O=n}while(0);if((O|0)!=(M|0)?Th[f[c>>2]&1023](M,O)|0:0){n=f[O>>2]|0;f[O>>2]=f[M>>2];f[M>>2]=n;n=O+4|0;H=M+4|0;G=f[n>>2]|0;f[n>>2]=f[H>>2];f[H>>2]=G;G=O+8|0;H=M+8|0;n=f[G>>2]|0;f[G>>2]=f[H>>2];f[H>>2]=n;R=N+1|0}else R=N;if(!R){S=atb(l,O,c)|0;n=O+12|0;if(atb(n,a,c)|0){o=52;break}if(S){k=n;continue}}n=O;if((n-m|0)>=(b-n|0)){o=51;break}Tsb(l,O,c);k=O+12|0}if((o|0)==51){o=0;Tsb(O+12|0,a,c);g=l;a=O;continue}else if((o|0)==52){o=0;if(S){o=53;break}else{g=l;a=O;continue}}}if((o|0)==5){if(!(Th[f[c>>2]&1023](h,l)|0)){u=d;return}O=f[l>>2]|0;f[l>>2]=f[h>>2];f[h>>2]=O;O=l+4|0;g=f[O>>2]|0;f[O>>2]=f[i>>2];f[i>>2]=g;g=l+8|0;i=f[g>>2]|0;f[g>>2]=f[j>>2];f[j>>2]=i;u=d;return}else if((o|0)==7){Zsb(l,l+12|0,h,c)|0;u=d;return}else if((o|0)==8){_sb(l,l+12|0,l+24|0,h,c)|0;u=d;return}else if((o|0)==9){$sb(l,l+12|0,l+24|0,l+36|0,h,c)|0;u=d;return}else if((o|0)==11){h=l+24|0;Zsb(l,l+12|0,h,c)|0;i=l+36|0;if((i|0)==(a|0)){u=d;return}j=e+4|0;g=e+8|0;O=i;i=h;while(1){if(Th[f[c>>2]&1023](O,i)|0){f[e>>2]=f[O>>2];f[e+4>>2]=f[O+4>>2];f[e+8>>2]=f[O+8>>2];h=i;S=O;while(1){f[S>>2]=f[h>>2];T=h+4|0;f[S+4>>2]=f[T>>2];U=h+8|0;f[S+8>>2]=f[U>>2];if((h|0)==(l|0))break;m=h+-12|0;if(Th[f[c>>2]&1023](e,m)|0){R=h;h=m;S=R}else break}f[h>>2]=f[e>>2];f[T>>2]=f[j>>2];f[U>>2]=f[g>>2]}S=O+12|0;if((S|0)==(a|0))break;else{R=O;O=S;i=R}}u=d;return}else if((o|0)==53){u=d;return}}function Usb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+4|0;d=f[a>>2]|0;e=(f[c>>2]|0)-d|0;g=(e|0)/12|0;h=g+1|0;if(h>>>0>357913941)nsc(a);i=a+8|0;j=((f[i>>2]|0)-d|0)/12|0;k=j<<1;l=j>>>0<178956970?(k>>>0<h>>>0?h:k):357913941;do if(l)if(l>>>0>357913941){k=ze(8)|0;kuc(k,519086);f[k>>2]=167148;Hf(k|0,26888,1888)}else{m=cuc(l*12|0)|0;break}else m=0;while(0);k=m+(g*12|0)|0;f[k>>2]=f[b>>2];f[k+4>>2]=f[b+4>>2];f[k+8>>2]=f[b+8>>2];b=k+(((e|0)/-12|0)*12|0)|0;if((e|0)>0)szc(b|0,d|0,e|0)|0;f[a>>2]=b;f[c>>2]=k+12;f[i>>2]=m+(l*12|0);if(!d)return;fuc(d);return}function Vsb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(((d-g|0)/12|0)>>>0>=b>>>0){kzc(g|0,0,b*12|0)|0;f[e>>2]=g+(b*12|0);return}h=f[a>>2]|0;i=g-h|0;g=(i|0)/12|0;j=g+b|0;if(j>>>0>357913941)nsc(a);k=(d-h|0)/12|0;d=k<<1;l=k>>>0<178956970?(d>>>0<j>>>0?j:d):357913941;do if(l)if(l>>>0>357913941){d=ze(8)|0;kuc(d,519086);f[d>>2]=167148;Hf(d|0,26888,1888)}else{m=cuc(l*12|0)|0;break}else m=0;while(0);d=m+(g*12|0)|0;kzc(d|0,0,b*12|0)|0;g=d+(((i|0)/-12|0)*12|0)|0;if((i|0)>0)szc(g|0,h|0,i|0)|0;f[a>>2]=g;f[e>>2]=d+(b*12|0);f[c>>2]=m+(l*12|0);if(!h)return;fuc(h);return}function Wsb(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0;e=u;u=u+16|0;g=e+12|0;h=e+8|0;i=e;f[i>>2]=f[b>>2];f[g>>2]=f[i>>2];i=Ysb(a,g,h,e+4|0,c)|0;c=f[i>>2]|0;if(c|0){j=c;u=e;return j|0}c=cuc(32)|0;f[c+16>>2]=f[d>>2];tHa(c+20|0,d+4|0);d=f[h>>2]|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=d;f[i>>2]=c;d=f[f[a>>2]>>2]|0;if(!d)k=c;else{f[a>>2]=d;k=f[i>>2]|0}jI(f[a+4>>2]|0,k);k=a+8|0;f[k>>2]=(f[k>>2]|0)+1;j=c;u=e;return j|0}function Xsb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;c=u;u=u+16|0;d=c+4|0;e=c;g=a+4|0;h=f[g>>2]|0;i=f[a>>2]|0;j=(h-i|0)/12|0;k=j+1|0;l=i;m=h;if(k>>>0>357913941)nsc(a);h=a+8|0;n=((f[h>>2]|0)-i|0)/12|0;i=n<<1;o=n>>>0<178956970?(i>>>0<k>>>0?k:i):357913941;do if(o)if(o>>>0>357913941){i=ze(8)|0;kuc(i,519086);f[i>>2]=167148;Hf(i|0,26888,1888)}else{p=cuc(o*12|0)|0;break}else p=0;while(0);i=p+(j*12|0)|0;k=i;n=p+(o*12|0)|0;f[p+(j*12|0)+4>>2]=0;f[p+(j*12|0)+8>>2]=0;o=p+(j*12|0)+4|0;f[i>>2]=o;j=f[b>>2]|0;p=b+4|0;if((j|0)==(p|0)){q=m;r=l}else{l=o;o=j;while(1){j=o+16|0;f[e>>2]=l;f[d>>2]=f[e>>2];Wsb(i,d,j,j)|0;j=f[o+4>>2]|0;if(!j){m=o+8|0;b=f[m>>2]|0;if((f[b>>2]|0)==(o|0))s=b;else{b=m;do{m=f[b>>2]|0;b=m+8|0;t=f[b>>2]|0}while((f[t>>2]|0)!=(m|0));s=t}}else{b=j;while(1){t=f[b>>2]|0;if(!t)break;else b=t}s=b}if((s|0)==(p|0))break;else o=s}q=f[g>>2]|0;r=f[a>>2]|0}s=i+12|0;if((q|0)==(r|0)){v=k;w=q;x=q}else{o=q;q=k;k=i;do{i=k+-12|0;p=o;o=o+-12|0;f[i>>2]=f[o>>2];d=f[p+-8>>2]|0;f[k+-8>>2]=d;e=p+-4|0;l=f[e>>2]|0;f[k+-4>>2]=l;j=k+-8|0;if(!l)f[i>>2]=j;else{f[d+8>>2]=j;j=p+-8|0;f[o>>2]=j;f[j>>2]=0;f[e>>2]=0}k=q+-12|0;q=k}while((o|0)!=(r|0));v=q;w=f[a>>2]|0;x=f[g>>2]|0}f[a>>2]=v;f[g>>2]=s;f[h>>2]=n;n=w;if((x|0)!=(n|0)){h=x;do{x=h;h=h+-12|0;GMa(h,f[x+-8>>2]|0)}while((h|0)!=(n|0))}if(!w){u=c;return}fuc(w);u=c;return}function Ysb(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;g=a+4|0;h=f[b>>2]|0;b=h;if((h|0)!=(g|0)?(i=f[e>>2]|0,j=f[h+16>>2]|0,(i|0)>=(j|0)):0){if((j|0)>=(i|0)){f[c>>2]=b;f[d>>2]=b;k=d;return k|0}d=h+4|0;j=f[d>>2]|0;if(!j){l=h+8|0;m=f[l>>2]|0;if((f[m>>2]|0)==(h|0))n=m;else{m=l;do{l=f[m>>2]|0;m=l+8|0;o=f[m>>2]|0}while((f[o>>2]|0)!=(l|0));n=o}}else{m=j;while(1){j=f[m>>2]|0;if(!j)break;else m=j}n=m}if((n|0)!=(g|0)?(i|0)>=(f[n+16>>2]|0):0){m=f[g>>2]|0;if(!m){f[c>>2]=g;k=g;return k|0}j=a+4|0;o=m;while(1){m=f[o+16>>2]|0;if((i|0)<(m|0)){l=f[o>>2]|0;if(!l){p=39;break}else{q=o;r=l}}else{if((m|0)>=(i|0)){p=43;break}s=o+4|0;m=f[s>>2]|0;if(!m){p=42;break}else{q=s;r=m}}j=q;o=r}if((p|0)==39){f[c>>2]=o;k=o;return k|0}else if((p|0)==42){f[c>>2]=o;k=s;return k|0}else if((p|0)==43){f[c>>2]=o;k=j;return k|0}}if(!(f[h+4>>2]|0)){f[c>>2]=b;k=d;return k|0}else{f[c>>2]=n;k=n;return k|0}}n=f[h>>2]|0;if((h|0)!=(f[a>>2]|0)){if(!n){d=h;while(1){j=f[d+8>>2]|0;if((f[j>>2]|0)==(d|0))d=j;else{t=j;break}}}else{d=n;while(1){j=f[d+4>>2]|0;if(!j){t=d;break}else d=j}}d=f[e>>2]|0;if((f[t+16>>2]|0)>=(d|0)){e=f[g>>2]|0;if(!e){f[c>>2]=g;k=g;return k|0}g=a+4|0;a=e;while(1){e=f[a+16>>2]|0;if((d|0)<(e|0)){j=f[a>>2]|0;if(!j){p=17;break}else{u=a;v=j}}else{if((e|0)>=(d|0)){p=21;break}w=a+4|0;e=f[w>>2]|0;if(!e){p=20;break}else{u=w;v=e}}g=u;a=v}if((p|0)==17){f[c>>2]=a;k=a;return k|0}else if((p|0)==20){f[c>>2]=a;k=w;return k|0}else if((p|0)==21){f[c>>2]=a;k=g;return k|0}}else x=t}else x=b;if(!n){f[c>>2]=h;k=h;return k|0}else{h=x;f[c>>2]=h;k=h+4|0;return k|0}return 0}function Zsb(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0;e=Th[f[d>>2]&1023](b,a)|0;g=Th[f[d>>2]&1023](c,b)|0;if(!e){if(!g){h=0;return h|0}e=f[b>>2]|0;f[b>>2]=f[c>>2];f[c>>2]=e;e=b+4|0;i=c+4|0;j=f[e>>2]|0;f[e>>2]=f[i>>2];f[i>>2]=j;j=b+8|0;i=c+8|0;k=f[j>>2]|0;f[j>>2]=f[i>>2];f[i>>2]=k;if(!(Th[f[d>>2]&1023](b,a)|0)){h=1;return h|0}k=f[a>>2]|0;f[a>>2]=f[b>>2];f[b>>2]=k;k=a+4|0;i=f[k>>2]|0;f[k>>2]=f[e>>2];f[e>>2]=i;i=a+8|0;e=f[i>>2]|0;f[i>>2]=f[j>>2];f[j>>2]=e;h=2;return h|0}e=f[a>>2]|0;if(g){f[a>>2]=f[c>>2];f[c>>2]=e;g=a+4|0;j=c+4|0;i=f[g>>2]|0;f[g>>2]=f[j>>2];f[j>>2]=i;i=a+8|0;j=c+8|0;g=f[i>>2]|0;f[i>>2]=f[j>>2];f[j>>2]=g;h=1;return h|0}f[a>>2]=f[b>>2];f[b>>2]=e;e=a+4|0;g=b+4|0;j=f[e>>2]|0;f[e>>2]=f[g>>2];f[g>>2]=j;j=a+8|0;a=b+8|0;e=f[j>>2]|0;f[j>>2]=f[a>>2];f[a>>2]=e;if(!(Th[f[d>>2]&1023](c,b)|0)){h=1;return h|0}d=f[b>>2]|0;f[b>>2]=f[c>>2];f[c>>2]=d;d=c+4|0;b=f[g>>2]|0;f[g>>2]=f[d>>2];f[d>>2]=b;b=c+8|0;c=f[a>>2]|0;f[a>>2]=f[b>>2];f[b>>2]=c;h=2;return h|0}function _sb(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0;g=Zsb(a,b,c,e)|0;if(!(Th[f[e>>2]&1023](d,c)|0)){h=g;return h|0}i=f[c>>2]|0;f[c>>2]=f[d>>2];f[d>>2]=i;i=c+4|0;j=d+4|0;k=f[i>>2]|0;f[i>>2]=f[j>>2];f[j>>2]=k;k=c+8|0;j=d+8|0;d=f[k>>2]|0;f[k>>2]=f[j>>2];f[j>>2]=d;if(!(Th[f[e>>2]&1023](c,b)|0)){h=g+1|0;return h|0}d=f[b>>2]|0;f[b>>2]=f[c>>2];f[c>>2]=d;d=b+4|0;c=f[d>>2]|0;f[d>>2]=f[i>>2];f[i>>2]=c;c=b+8|0;i=f[c>>2]|0;f[c>>2]=f[k>>2];f[k>>2]=i;if(!(Th[f[e>>2]&1023](b,a)|0)){h=g+2|0;return h|0}e=f[a>>2]|0;f[a>>2]=f[b>>2];f[b>>2]=e;e=a+4|0;b=f[e>>2]|0;f[e>>2]=f[d>>2];f[d>>2]=b;b=a+8|0;a=f[b>>2]|0;f[b>>2]=f[c>>2];f[c>>2]=a;h=g+3|0;return h|0}function $sb(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0;h=_sb(a,b,c,d,g)|0;if(!(Th[f[g>>2]&1023](e,d)|0)){i=h;return i|0}j=f[d>>2]|0;f[d>>2]=f[e>>2];f[e>>2]=j;j=d+4|0;k=e+4|0;l=f[j>>2]|0;f[j>>2]=f[k>>2];f[k>>2]=l;l=d+8|0;k=e+8|0;e=f[l>>2]|0;f[l>>2]=f[k>>2];f[k>>2]=e;if(!(Th[f[g>>2]&1023](d,c)|0)){i=h+1|0;return i|0}e=f[c>>2]|0;f[c>>2]=f[d>>2];f[d>>2]=e;e=c+4|0;d=f[e>>2]|0;f[e>>2]=f[j>>2];f[j>>2]=d;d=c+8|0;j=f[d>>2]|0;f[d>>2]=f[l>>2];f[l>>2]=j;if(!(Th[f[g>>2]&1023](c,b)|0)){i=h+2|0;return i|0}j=f[b>>2]|0;f[b>>2]=f[c>>2];f[c>>2]=j;j=b+4|0;c=f[j>>2]|0;f[j>>2]=f[e>>2];f[e>>2]=c;c=b+8|0;e=f[c>>2]|0;f[c>>2]=f[d>>2];f[d>>2]=e;if(!(Th[f[g>>2]&1023](b,a)|0)){i=h+3|0;return i|0}g=f[a>>2]|0;f[a>>2]=f[b>>2];f[b>>2]=g;g=a+4|0;b=f[g>>2]|0;f[g>>2]=f[j>>2];f[j>>2]=b;b=a+8|0;a=f[b>>2]|0;f[b>>2]=f[c>>2];f[c>>2]=a;i=h+4|0;return i|0}function atb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;d=u;u=u+16|0;e=d;switch((b-a|0)/12|0|0){case 2:{g=b+-12|0;if(!(Th[f[c>>2]&1023](g,a)|0)){h=1;u=d;return h|0}i=f[a>>2]|0;f[a>>2]=f[g>>2];f[g>>2]=i;i=a+4|0;g=b+-8|0;j=f[i>>2]|0;f[i>>2]=f[g>>2];f[g>>2]=j;j=a+8|0;g=b+-4|0;i=f[j>>2]|0;f[j>>2]=f[g>>2];f[g>>2]=i;h=1;u=d;return h|0}case 3:{Zsb(a,a+12|0,b+-12|0,c)|0;h=1;u=d;return h|0}case 4:{_sb(a,a+12|0,a+24|0,b+-12|0,c)|0;h=1;u=d;return h|0}case 5:{$sb(a,a+12|0,a+24|0,a+36|0,b+-12|0,c)|0;h=1;u=d;return h|0}case 1:case 0:{h=1;u=d;return h|0}default:{i=a+24|0;Zsb(a,a+12|0,i,c)|0;g=a+36|0;a:do if((g|0)==(b|0)){k=1;l=0}else{j=e+4|0;m=e+8|0;n=g;o=0;p=i;while(1){if(Th[f[c>>2]&1023](n,p)|0){f[e>>2]=f[n>>2];f[e+4>>2]=f[n+4>>2];f[e+8>>2]=f[n+8>>2];q=p;r=n;while(1){f[r>>2]=f[q>>2];s=q+4|0;f[r+4>>2]=f[s>>2];t=q+8|0;f[r+8>>2]=f[t>>2];if((q|0)==(a|0))break;v=q+-12|0;if(Th[f[c>>2]&1023](e,v)|0){w=q;q=v;r=w}else break}f[q>>2]=f[e>>2];f[s>>2]=f[j>>2];f[t>>2]=f[m>>2];r=o+1|0;if((r|0)==8){k=0;l=(n+12|0)==(b|0);break a}else x=r}else x=o;r=n+12|0;if((r|0)==(b|0)){k=1;l=0;break}else{w=n;n=r;o=x;p=w}}}while(0);h=l|k;u=d;return h|0}}return 0}function btb(a,b){a=a|0;b=b|0;return +n[a>>2]>+n[b>>2]|0}function ctb(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0;h=u;u=u+64|0;i=h;j=h+56|0;k=h+52|0;l=h+48|0;m=h+44|0;n=h+40|0;o=h+36|0;p=h+32|0;q=h+28|0;r=h+24|0;s=h+20|0;t=h+16|0;v=h+12|0;w=h+8|0;switch(d|0){case 2:{x=f[c>>2]|0;y=f[b>>2]|0;z=y+-8|0;f[b>>2]=z;A=f[a>>2]|0;if(!(Th[x&1023](z,A)|0)){u=h;return}x=f[A>>2]|0;f[A>>2]=f[z>>2];f[z>>2]=x;x=A+4|0;A=y+-4|0;y=f[x>>2]|0;f[x>>2]=f[A>>2];f[A>>2]=y;u=h;return}case 1:case 0:{u=h;return}default:{if((d|0)<1){y=f[a>>2]|0;A=f[b>>2]|0;if((y|0)==(A|0)){u=h;return}x=y+8|0;if((x|0)==(A|0)){u=h;return}z=i+4|0;B=x;do{x=B;C=B;D=f[C>>2]|0;E=f[C+4>>2]|0;C=i;f[C>>2]=D;f[C+4>>2]=E;if((B|0)==(y|0)){F=x;G=D;H=E}else{E=x;x=B;while(1){D=x;x=x+-8|0;if(!(Th[f[c>>2]&1023](i,x)|0)){I=E;break}C=E;f[E>>2]=f[x>>2];f[C+4>>2]=f[D+-4>>2];D=C+-8|0;if((x|0)==(y|0)){I=D;break}else E=D}F=I;G=f[i>>2]|0;H=f[z>>2]|0}f[F>>2]=G;f[F+4>>2]=H;B=B+8|0}while((B|0)!=(A|0));u=h;return}A=d>>>1;B=f[a>>2]|0;a=B+(A<<3)|0;H=B;if((d|0)>(g|0)){f[p>>2]=H;f[q>>2]=a;f[j>>2]=f[p>>2];f[i>>2]=f[q>>2];ctb(j,i,c,A,e,g);f[r>>2]=a;q=f[b>>2]|0;f[s>>2]=q;p=d-A|0;f[j>>2]=f[r>>2];f[i>>2]=f[s>>2];ctb(j,i,c,p,e,g);f[t>>2]=H;f[v>>2]=a;f[w>>2]=q;f[k>>2]=f[t>>2];f[j>>2]=f[v>>2];f[i>>2]=f[w>>2];ftb(k,j,i,c,A,p,e,g);u=h;return}f[l>>2]=H;f[m>>2]=a;f[j>>2]=f[l>>2];f[i>>2]=f[m>>2];etb(j,i,c,A,e);f[n>>2]=a;f[o>>2]=f[b>>2];b=e+(A<<3)|0;f[j>>2]=f[n>>2];f[i>>2]=f[o>>2];etb(j,i,c,d-A|0,b);A=e+(d<<3)|0;d=b;i=e;e=H;while(1){if((d|0)==(A|0))break;H=e;if(Th[f[c>>2]&1023](d,i)|0){f[e>>2]=f[d>>2];J=d;K=d+8|0;L=i}else{f[e>>2]=f[i>>2];J=i;K=d;L=i+8|0}f[H+4>>2]=f[J+4>>2];M=H+8|0;if((L|0)==(b|0)){N=15;break}else{d=K;i=L;e=M}}if((N|0)==15){if((K|0)==(A|0)){u=h;return}else{O=K;P=M}while(1){f[P>>2]=f[O>>2];f[P+4>>2]=f[O+4>>2];O=O+8|0;if((O|0)==(A|0))break;else P=P+8|0}u=h;return}if((i|0)==(b|0)){u=h;return}P=i;i=e;while(1){f[i>>2]=f[P>>2];f[i+4>>2]=f[P+4>>2];P=P+8|0;if((P|0)==(b|0))break;else i=i+8|0}u=h;return}}}function dtb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(d-g>>3>>>0>=b>>>0){kzc(g|0,0,b<<3|0)|0;f[e>>2]=g+(b<<3);return}h=f[a>>2]|0;i=g-h|0;g=i>>3;j=g+b|0;if(j>>>0>536870911)nsc(a);k=d-h|0;d=k>>2;l=k>>3>>>0<268435455?(d>>>0<j>>>0?j:d):536870911;do if(l)if(l>>>0>536870911){d=ze(8)|0;kuc(d,519086);f[d>>2]=167148;Hf(d|0,26888,1888)}else{m=cuc(l<<3)|0;break}else m=0;while(0);d=m+(g<<3)|0;kzc(d|0,0,b<<3|0)|0;j=d+(0-g<<3)|0;if((i|0)>0)szc(j|0,h|0,i|0)|0;f[a>>2]=j;f[e>>2]=d+(b<<3);f[c>>2]=m+(l<<3);if(!h)return;fuc(h);return}function etb(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;g=u;u=u+32|0;h=g+8|0;i=g;j=g+24|0;k=g+20|0;l=g+16|0;m=g+12|0;switch(d|0){case 1:{n=f[a>>2]|0;o=f[n+4>>2]|0;p=e;f[p>>2]=f[n>>2];f[p+4>>2]=o;u=g;return}case 2:{o=f[c>>2]|0;p=(f[b>>2]|0)+-8|0;f[b>>2]=p;n=Th[o&1023](p,f[a>>2]|0)|0;p=f[(n?b:a)>>2]|0;o=f[p+4>>2]|0;q=e;f[q>>2]=f[p>>2];f[q+4>>2]=o;o=f[(n?a:b)>>2]|0;n=f[o+4>>2]|0;q=e+8|0;f[q>>2]=f[o>>2];f[q+4>>2]=n;u=g;return}case 0:{u=g;return}default:{if((d|0)<9){n=f[a>>2]|0;q=f[b>>2]|0;if((n|0)==(q|0)){u=g;return}o=n;p=f[o+4>>2]|0;r=e;f[r>>2]=f[o>>2];f[r+4>>2]=p;p=n+8|0;if((p|0)==(q|0)){u=g;return}else{s=p;t=e}do{p=t;t=t+8|0;if(Th[f[c>>2]&1023](s,p)|0){n=p;r=f[n+4>>2]|0;o=t;f[o>>2]=f[n>>2];f[o+4>>2]=r;a:do if((p|0)==(e|0))v=e;else{r=p;while(1){o=r;r=r+-8|0;if(!(Th[f[c>>2]&1023](s,r)|0)){v=o;break a}f[o>>2]=f[r>>2];f[o+4>>2]=f[o+-4>>2];if((r|0)==(e|0)){v=e;break}}}while(0);f[v>>2]=f[s>>2];f[v+4>>2]=f[s+4>>2]}else{p=s;r=f[p+4>>2]|0;o=t;f[o>>2]=f[p>>2];f[o+4>>2]=r}s=s+8|0}while((s|0)!=(q|0));u=g;return}q=d>>>1;s=f[a>>2]|0;a=s+(q<<3)|0;t=s;f[j>>2]=t;f[k>>2]=a;f[i>>2]=f[j>>2];f[h>>2]=f[k>>2];ctb(i,h,c,q,e,q);f[l>>2]=a;k=f[b>>2]|0;f[m>>2]=k;b=d-q|0;f[i>>2]=f[l>>2];f[h>>2]=f[m>>2];ctb(i,h,c,b,e+(q<<3)|0,b);b=k;f[h>>2]=a;f[i>>2]=t;b:do if(q){if((a|0)==(b|0)){w=e;x=s}else{t=e;k=s;m=a;while(1){l=Th[f[c>>2]&1023](m,k)|0;d=l?h:i;l=f[d>>2]|0;j=l;v=f[j+4>>2]|0;r=t;f[r>>2]=f[j>>2];f[r+4>>2]=v;f[d>>2]=l+8;l=t+8|0;d=f[i>>2]|0;m=f[h>>2]|0;if((d|0)==(a|0)){y=l;z=m;A=16;break b}if((m|0)==(b|0)){w=l;x=d;break}else{t=l;k=d}}}if((x|0)!=(a|0)){k=(a+-8-x|0)>>>3;t=w;m=x;while(1){d=m;l=f[d+4>>2]|0;v=t;f[v>>2]=f[d>>2];f[v+4>>2]=l;m=m+8|0;if((m|0)==(a|0))break;else t=t+8|0}f[i>>2]=x+(k+1<<3)}}else{y=e;z=s;A=16}while(0);if((A|0)==16?(z|0)!=(b|0):0){A=(b+-8-z|0)>>>3;s=y;y=z;while(1){e=y;x=f[e+4>>2]|0;i=s;f[i>>2]=f[e>>2];f[i+4>>2]=x;y=y+8|0;if((y|0)==(b|0))break;else s=s+8|0}f[h>>2]=z+(A+1<<3)}u=g;return}}}function ftb(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0;j=u;u=u+64|0;k=j+52|0;l=j;m=j+48|0;n=j+44|0;o=j+40|0;p=j+36|0;q=j+16|0;r=j+8|0;s=j+32|0;t=j+28|0;v=j+24|0;w=j+20|0;x=j+12|0;y=j+4|0;if(!g){u=j;return}z=e;e=g;a:while(1){if(!((e|0)>(i|0)&(z|0)>(i|0))){A=6;break}if(!z){A=37;break}B=f[b>>2]|0;g=B;C=z;D=f[a>>2]|0;while(1){if(Th[f[d>>2]&1023](B,D)|0)break;E=D+8|0;f[a>>2]=E;F=C+-1|0;if(!F){A=37;break a}else{C=F;D=E}}E=D;if((C|0)<(e|0)){F=(e|0)/2|0;G=B+(F<<3)|0;f[r>>2]=G;H=g-E>>3;if(!H)I=D;else{J=H;H=D;K=D;while(1){L=(J|0)/2|0;M=K+(L<<3)|0;N=Th[f[d>>2]&1023](G,M)|0;O=M+8|0;M=N?H:O;J=N?L:J+-1-L|0;if(!J){I=M;break}else{H=M;K=N?K:O}}}K=I;f[q>>2]=K;P=K-E>>3;Q=F;R=G;S=I}else{if((C|0)==1){A=14;break}K=(C|0)/2|0;H=D+(K<<3)|0;f[q>>2]=H;J=(f[c>>2]|0)-g>>3;if(!J)T=B;else{O=J;J=B;N=B;while(1){M=(O|0)/2|0;L=N+(M<<3)|0;U=Th[f[d>>2]&1023](L,H)|0;V=L+8|0;L=U?V:J;O=U?O+-1-M|0:M;if(!O){T=L;break}else{J=L;N=U?V:N}}}N=T;f[r>>2]=N;P=K;Q=N-g>>3;R=T;S=H}N=C-P|0;J=e-Q|0;if((S|0)!=(B|0))if((B|0)==(R|0))W=S;else{f[l>>2]=g;O=S;G=l;F=k;b:while(1){f[F>>2]=f[G>>2];E=f[l>>2]|0;V=f[k>>2]|0;X=O;do{U=f[X>>2]|0;f[X>>2]=f[V>>2];f[V>>2]=U;U=X+4|0;L=V+4|0;M=f[U>>2]|0;f[U>>2]=f[L>>2];f[L>>2]=M;X=X+8|0;V=V+8|0;Y=(X|0)==(E|0);if((V|0)==(R|0))break b}while(!Y);f[k>>2]=V;O=E;G=k;F=l}f[k>>2]=R;if(!Y){F=k;G=l;O=X;while(1){f[F>>2]=f[G>>2];g=f[l>>2]|0;C=g;H=f[k>>2]|0;K=O;while(1){M=f[K>>2]|0;f[K>>2]=f[H>>2];f[H>>2]=M;M=K+4|0;L=H+4|0;U=f[M>>2]|0;f[M>>2]=f[L>>2];f[L>>2]=U;K=K+8|0;H=H+8|0;Z=(K|0)==(C|0);if((H|0)==(R|0)){A=30;break}if(Z){A=27;break}}if((A|0)==27){A=0;f[k>>2]=H;F=l;G=k;O=g;continue}else if((A|0)==30){A=0;f[k>>2]=R;if(Z)break;else{F=k;G=l;O=K;continue}}}}W=X}else W=R;f[b>>2]=W;O=W;if((P+Q|0)<(N+J|0)){f[s>>2]=f[a>>2];f[t>>2]=f[q>>2];f[v>>2]=O;f[m>>2]=f[s>>2];f[l>>2]=f[t>>2];f[k>>2]=f[v>>2];ftb(m,l,k,d,P,Q,h,i);_=J;$=N;aa=r;ba=a}else{f[w>>2]=O;f[x>>2]=f[r>>2];f[y>>2]=f[c>>2];f[m>>2]=f[w>>2];f[l>>2]=f[x>>2];f[k>>2]=f[y>>2];ftb(m,l,k,d,N,J,h,i);_=Q;$=P;aa=q;ba=c}f[ba>>2]=O;f[b>>2]=f[aa>>2];if(!_){A=37;break}else{z=$;e=_}}if((A|0)==6){f[n>>2]=f[a>>2];f[o>>2]=f[b>>2];f[p>>2]=f[c>>2];f[m>>2]=f[n>>2];f[l>>2]=f[o>>2];f[k>>2]=f[p>>2];gtb(m,l,k,d,z,e,h);u=j;return}else if((A|0)==14){h=f[D>>2]|0;f[D>>2]=f[B>>2];f[B>>2]=h;h=D+4|0;D=B+4|0;B=f[h>>2]|0;f[h>>2]=f[D>>2];f[D>>2]=B;u=j;return}else if((A|0)==37){u=j;return}}function gtb(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;i=u;u=u+16|0;j=i+4|0;k=i;if((e|0)>(g|0)){g=f[b>>2]|0;e=g;l=f[c>>2]|0;if((e|0)==(l|0))m=h;else{n=((l+-8+(0-g)|0)>>>3)+1|0;o=h;p=g;q=e;while(1){r=p;s=f[r+4>>2]|0;t=o;f[t>>2]=f[r>>2];f[t+4>>2]=s;s=q+8|0;if((s|0)==(l|0))break;else{o=o+8|0;p=s;q=s}}m=h+(n<<3)|0}n=f[a>>2]|0;f[j>>2]=g;f[k>>2]=m;a:do if((m|0)!=(h|0)){if((e|0)==(n|0)){v=m;w=l}else{g=e;q=m;p=l;while(1){o=Th[f[d>>2]&1023](g+-8|0,q+-8|0)|0;s=o?k:j;o=f[s>>2]|0;t=o+-8|0;r=p+-8|0;f[r>>2]=f[t>>2];f[p+-4>>2]=f[o+-4>>2];f[s>>2]=t;t=f[k>>2]|0;if((t|0)==(h|0))break a;g=f[j>>2]|0;if((g|0)==(n|0)){v=t;w=r;break}else{q=t;p=r}}}if((v|0)!=(h|0)){p=v;q=w;do{g=p;p=p+-8|0;r=q;q=q+-8|0;f[q>>2]=f[p>>2];f[r+-4>>2]=f[g+-4>>2]}while((p|0)!=(h|0))}}while(0);u=i;return}w=f[a>>2]|0;a=w;v=f[b>>2]|0;if((a|0)==(v|0)){u=i;return}b=((v+-8+(0-w)|0)>>>3)+1|0;n=h;j=w;k=a;while(1){a=j;l=f[a+4>>2]|0;m=n;f[m>>2]=f[a>>2];f[m+4>>2]=l;l=k+8|0;if((l|0)==(v|0))break;else{n=n+8|0;j=l;k=l}}k=h+(b<<3)|0;b=f[d>>2]|0;if((k|0)==(h|0)){u=i;return}d=f[c>>2]|0;c=h;h=w;w=v;while(1){if((w|0)==(d|0))break;v=h;if(Th[b&1023](w,c)|0){f[h>>2]=f[w>>2];x=w;y=c;z=w+8|0}else{f[h>>2]=f[c>>2];x=c;y=c+8|0;z=w}f[v+4>>2]=f[x+4>>2];if((y|0)==(k|0)){A=25;break}else{c=y;h=v+8|0;w=z}}if((A|0)==25){u=i;return}A=c;c=h;while(1){f[c>>2]=f[A>>2];f[c+4>>2]=f[A+4>>2];A=A+8|0;if((A|0)==(k|0))break;else c=c+8|0}u=i;return}function htb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(((d-g|0)/12|0)>>>0>=b>>>0){h=b;i=g;do{f[i+4>>2]=0;f[i+8>>2]=0;f[i>>2]=i+4;i=(f[e>>2]|0)+12|0;f[e>>2]=i;h=h+-1|0}while((h|0)!=0);return}h=f[a>>2]|0;i=(g-h|0)/12|0;g=i+b|0;if(g>>>0>357913941)nsc(a);j=(d-h|0)/12|0;h=j<<1;d=j>>>0<178956970?(h>>>0<g>>>0?g:h):357913941;do if(d)if(d>>>0>357913941){h=ze(8)|0;kuc(h,519086);f[h>>2]=167148;Hf(h|0,26888,1888)}else{k=cuc(d*12|0)|0;break}else k=0;while(0);h=k+(i*12|0)|0;i=h;g=k+(d*12|0)|0;d=b;b=i;k=h;do{f[k+4>>2]=0;f[k+8>>2]=0;f[k>>2]=k+4;k=b+12|0;b=k;d=d+-1|0}while((d|0)!=0);d=g;g=f[a>>2]|0;k=f[e>>2]|0;if((k|0)==(g|0)){l=i;m=g;n=g}else{j=k;k=i;i=h;do{h=i+-12|0;o=j;j=j+-12|0;f[h>>2]=f[j>>2];p=f[o+-8>>2]|0;f[i+-8>>2]=p;q=o+-4|0;r=f[q>>2]|0;f[i+-4>>2]=r;s=i+-8|0;if(!r)f[h>>2]=s;else{f[p+8>>2]=s;s=o+-8|0;f[j>>2]=s;f[s>>2]=0;f[q>>2]=0}i=k+-12|0;k=i}while((j|0)!=(g|0));l=k;m=f[a>>2]|0;n=f[e>>2]|0}f[a>>2]=l;f[e>>2]=b;f[c>>2]=d;d=m;if((n|0)!=(d|0)){c=n;do{n=c;c=c+-12|0;Fsb(c,f[n+-8>>2]|0)}while((c|0)!=(d|0))}if(!m)return;fuc(m);return}function itb(a,c,d,e,g,h,i,j,k){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;l=u;u=u+16|0;m=l;n=(f[a+4>>2]|0)-(f[a>>2]|0)|0;o=(n|0)/24|0;p=f[c>>2]|0;q=p;if((o|0)!=(((f[c+4>>2]|0)-p|0)/12|0|0)){r=cuc(48)|0;f[m>>2]=r;f[m+8>>2]=-2147483600;f[m+4>>2]=45;s=r;t=468619;v=s+45|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));b[r+45>>0]=0;WD(-215,m,468665,467854,746)}if((o|0)!=(((f[j+4>>2]|0)-(f[j>>2]|0)|0)/24|0|0)){r=cuc(48)|0;f[m>>2]=r;f[m+8>>2]=-2147483600;f[m+4>>2]=36;s=r;t=468678;v=s+36|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));b[r+36>>0]=0;WD(-215,m,468665,467854,747)}if(n|0?((f[q+4>>2]|0)-(f[p>>2]|0)|0)!=16:0){p=cuc(64)|0;f[m>>2]=p;f[m+8>>2]=-2147483584;f[m+4>>2]=49;s=p;t=468715;v=s+49|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));b[p+49>>0]=0;WD(-215,m,468665,467854,749)}m=f[k>>2]|0;p=k+4|0;t=f[p>>2]|0;s=m;if((t|0)==(m|0))w=t;else{v=t+(~(((t+-24-s|0)>>>0)/24|0)*24|0)|0;f[p>>2]=v;w=v}v=(w-s|0)/24|0;if(o>>>0<=v>>>0){if(o>>>0<v>>>0?(s=m+(o*24|0)|0,(w|0)!=(s|0)):0)f[p>>2]=w+(~(((w+-24-s|0)>>>0)/24|0)*24|0)}else jtb(k,o-v|0);v=(n|0)!=0;if(e){if(!v){u=l;return}e=0;do{ktb((f[a>>2]|0)+(e*24|0)|0,(f[c>>2]|0)+(e*12|0)|0,d,g,h,i,(f[j>>2]|0)+(e*24|0)|0,(f[k>>2]|0)+(e*24|0)|0);e=e+1|0}while(e>>>0<o>>>0);u=l;return}else{if(!v){u=l;return}v=0;do{ltb((f[a>>2]|0)+(v*24|0)|0,(f[c>>2]|0)+(v*12|0)|0,d,g,h,i,(f[j>>2]|0)+(v*24|0)|0,(f[k>>2]|0)+(v*24|0)|0);v=v+1|0}while(v>>>0<o>>>0);u=l;return}}function jtb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;d=a+8|0;e=f[d>>2]|0;g=a+4|0;h=f[g>>2]|0;if(((e-h|0)/24|0)>>>0>=c>>>0){i=c;j=h;do{n[j+20>>2]=0.0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;b[j+16>>0]=0;j=(f[g>>2]|0)+24|0;f[g>>2]=j;i=i+-1|0}while((i|0)!=0);return}i=f[a>>2]|0;j=(h-i|0)/24|0;h=j+c|0;if(h>>>0>178956970)nsc(a);k=(e-i|0)/24|0;i=k<<1;e=k>>>0<89478485?(i>>>0<h>>>0?h:i):178956970;do if(e)if(e>>>0>178956970){i=ze(8)|0;kuc(i,519086);f[i>>2]=167148;Hf(i|0,26888,1888)}else{l=cuc(e*24|0)|0;break}else l=0;while(0);i=l+(j*24|0)|0;j=l+(e*24|0)|0;e=c;c=i;l=i;do{n[l+20>>2]=0.0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;b[l+16>>0]=0;l=c+24|0;c=l;e=e+-1|0}while((e|0)!=0);e=f[a>>2]|0;l=(f[g>>2]|0)-e|0;h=i+(((l|0)/-24|0)*24|0)|0;if((l|0)>0)szc(h|0,e|0,l|0)|0;f[a>>2]=h;f[g>>2]=c;f[d>>2]=j;if(!e)return;fuc(e);return}function ktb(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0.0,m=0.0,o=0.0,p=0.0,q=0,r=0,t=0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0.0,N=0.0,O=0.0,P=0.0,Q=0.0,R=0.0,S=0.0,T=0.0,U=0.0,W=0.0,X=0.0,Y=0.0,Z=0.0;c=u;u=u+16|0;k=c;l=+n[i>>2];m=+n[i+4>>2];o=+n[i+8>>2];p=+n[i+12>>2];i=d+11|0;q=b[i>>0]|0;r=d+4|0;t=f[r>>2]|0;do if(((q<<24>>24<0?t:q&255)|0)==6)if(!(Puc(d,0,-1,467978,6)|0)){v=l+ +n[a>>2];n[j>>2]=v;w=m+ +n[a+4>>2];n[j+4>>2]=w;x=o+ +n[a+8>>2];n[j+8>>2]=x;y=p+ +n[a+12>>2];z=v;A=w;B=x;break}else{C=b[i>>0]|0;D=f[r>>2]|0;E=5;break}else{C=q;D=t;E=5}while(0);do if((E|0)==5){if(((C<<24>>24<0?D:C&255)|0)!=11){F=cuc(16)|0;f[k>>2]=F;G=k+8|0;f[G>>2]=-2147483632;H=k+4|0;f[H>>2]=13;I=F;J=468809;K=I+13|0;do{b[I>>0]=b[J>>0]|0;I=I+1|0;J=J+1|0}while((I|0)<(K|0));L=F+13|0;b[L>>0]=0;WD(-5,k,468781,467854,723)}if(Puc(d,0,-1,467966,11)|0){F=cuc(16)|0;f[k>>2]=F;G=k+8|0;f[G>>2]=-2147483632;H=k+4|0;f[H>>2]=13;I=F;J=468809;K=I+13|0;do{b[I>>0]=b[J>>0]|0;I=I+1|0;J=J+1|0}while((I|0)<(K|0));L=F+13|0;b[L>>0]=0;WD(-5,k,468781,467854,723)}x=+n[a>>2];w=+n[a+8>>2]-x;v=+n[a+4>>2];M=+n[a+12>>2]-v;N=h?M:M+1.0;M=h?w:w+1.0;if(!(M>0.0)){t=cuc(16)|0;f[k>>2]=t;f[k+8>>2]=-2147483632;f[k+4>>2]=15;I=t;J=468765;K=I+15|0;do{b[I>>0]=b[J>>0]|0;I=I+1|0;J=J+1|0}while((I|0)<(K|0));b[t+15>>0]=0;WD(-215,k,468781,467854,706)}if(N>0.0){w=N*+V(+p);O=l*M+(x+M*.5);P=M*+V(+o)*.5;Q=O-P;n[j>>2]=Q;R=m*N+(v+N*.5);S=w*.5;w=R-S;n[j+4>>2]=w;T=O+P;n[j+8>>2]=T;y=R+S;z=Q;A=w;B=T;break}else{q=cuc(32)|0;f[k>>2]=q;f[k+8>>2]=-2147483616;f[k+4>>2]=16;I=q;J=468792;K=I+16|0;do{b[I>>0]=b[J>>0]|0;I=I+1|0;J=J+1|0}while((I|0)<(K|0));b[q+16>>0]=0;WD(-215,k,468781,467854,707)}}while(0);k=j+12|0;n[k>>2]=y;if(e){e=g+8|0;J=+n[e>>2]<z?e:j;I=f[(+n[J>>2]<+n[g>>2]?g:J)>>2]|0;f[j>>2]=I;J=j+4|0;K=g+12|0;a=+n[K>>2]<A?K:J;L=g+4|0;F=f[(+n[a>>2]<+n[L>>2]?L:a)>>2]|0;f[J>>2]=F;J=j+8|0;a=+n[e>>2]<B?e:J;e=f[(+n[a>>2]<+n[g>>2]?g:a)>>2]|0;f[J>>2]=e;J=+n[K>>2]<y?K:k;K=f[(+n[J>>2]<+n[L>>2]?L:J)>>2]|0;f[k>>2]=K;m=(f[s>>2]=e,+n[s>>2]);o=(f[s>>2]=I,+n[s>>2]);l=(f[s>>2]=K,+n[s>>2]);U=o;W=m;X=(f[s>>2]=F,+n[s>>2]);Y=l}else{U=z;W=B;X=A;Y=y}F=j+20|0;n[F>>2]=0.0;K=j+16|0;b[K>>0]=0;if(W<U|Y<X){Z=0.0;n[F>>2]=Z;b[K>>0]=1;u=c;return}y=W-U;U=Y-X;if(h){Z=y*U;n[F>>2]=Z;b[K>>0]=1;u=c;return}else{Z=(y+1.0)*(U+1.0);n[F>>2]=Z;b[K>>0]=1;u=c;return}}function ltb(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,o=0.0,p=0.0,q=0.0,r=0.0,t=0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0.0,N=0.0,O=0.0,P=0.0,Q=0.0,R=0.0,S=0.0,T=0.0,U=0.0,W=0.0,X=0.0,Y=0.0,Z=0.0;k=u;u=u+16|0;l=k;m=f[c>>2]|0;o=+n[m>>2]*+n[i>>2];p=+n[m+4>>2]*+n[i+4>>2];q=+n[m+8>>2]*+n[i+8>>2];r=+n[m+12>>2]*+n[i+12>>2];i=d+11|0;m=b[i>>0]|0;c=d+4|0;t=f[c>>2]|0;do if(((m<<24>>24<0?t:m&255)|0)==6)if(!(Puc(d,0,-1,467978,6)|0)){v=o+ +n[a>>2];n[j>>2]=v;w=p+ +n[a+4>>2];n[j+4>>2]=w;x=q+ +n[a+8>>2];n[j+8>>2]=x;y=r+ +n[a+12>>2];z=v;A=w;B=x;break}else{C=b[i>>0]|0;D=f[c>>2]|0;E=5;break}else{C=m;D=t;E=5}while(0);do if((E|0)==5){if(((C<<24>>24<0?D:C&255)|0)!=11){F=cuc(16)|0;f[l>>2]=F;G=l+8|0;f[G>>2]=-2147483632;H=l+4|0;f[H>>2]=13;I=F;J=468809;K=I+13|0;do{b[I>>0]=b[J>>0]|0;I=I+1|0;J=J+1|0}while((I|0)<(K|0));L=F+13|0;b[L>>0]=0;WD(-5,l,468781,467854,723)}if(Puc(d,0,-1,467966,11)|0){F=cuc(16)|0;f[l>>2]=F;G=l+8|0;f[G>>2]=-2147483632;H=l+4|0;f[H>>2]=13;I=F;J=468809;K=I+13|0;do{b[I>>0]=b[J>>0]|0;I=I+1|0;J=J+1|0}while((I|0)<(K|0));L=F+13|0;b[L>>0]=0;WD(-5,l,468781,467854,723)}x=+n[a>>2];w=+n[a+8>>2]-x;v=+n[a+4>>2];M=+n[a+12>>2]-v;N=h?M:M+1.0;M=h?w:w+1.0;if(!(M>0.0)){t=cuc(16)|0;f[l>>2]=t;f[l+8>>2]=-2147483632;f[l+4>>2]=15;I=t;J=468765;K=I+15|0;do{b[I>>0]=b[J>>0]|0;I=I+1|0;J=J+1|0}while((I|0)<(K|0));b[t+15>>0]=0;WD(-215,l,468781,467854,706)}if(N>0.0){w=N*+V(+r);O=o*M+(x+M*.5);P=M*+V(+q)*.5;Q=O-P;n[j>>2]=Q;R=p*N+(v+N*.5);S=w*.5;w=R-S;n[j+4>>2]=w;T=O+P;n[j+8>>2]=T;y=R+S;z=Q;A=w;B=T;break}else{m=cuc(32)|0;f[l>>2]=m;f[l+8>>2]=-2147483616;f[l+4>>2]=16;I=m;J=468792;K=I+16|0;do{b[I>>0]=b[J>>0]|0;I=I+1|0;J=J+1|0}while((I|0)<(K|0));b[m+16>>0]=0;WD(-215,l,468781,467854,707)}}while(0);l=j+12|0;n[l>>2]=y;if(e){e=g+8|0;J=+n[e>>2]<z?e:j;I=f[(+n[J>>2]<+n[g>>2]?g:J)>>2]|0;f[j>>2]=I;J=j+4|0;K=g+12|0;a=+n[K>>2]<A?K:J;L=g+4|0;F=f[(+n[a>>2]<+n[L>>2]?L:a)>>2]|0;f[J>>2]=F;J=j+8|0;a=+n[e>>2]<B?e:J;e=f[(+n[a>>2]<+n[g>>2]?g:a)>>2]|0;f[J>>2]=e;J=+n[K>>2]<y?K:l;K=f[(+n[J>>2]<+n[L>>2]?L:J)>>2]|0;f[l>>2]=K;p=(f[s>>2]=e,+n[s>>2]);q=(f[s>>2]=I,+n[s>>2]);o=(f[s>>2]=K,+n[s>>2]);U=q;W=p;X=(f[s>>2]=F,+n[s>>2]);Y=o}else{U=z;W=B;X=A;Y=y}F=j+20|0;n[F>>2]=0.0;K=j+16|0;b[K>>0]=0;if(W<U|Y<X){Z=0.0;n[F>>2]=Z;b[K>>0]=1;u=k;return}y=W-U;U=Y-X;if(h){Z=y*U;n[F>>2]=Z;b[K>>0]=1;u=k;return}else{Z=(y+1.0)*(U+1.0);n[F>>2]=Z;b[K>>0]=1;u=k;return}}function mtb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;h=g;if(((d-g|0)/12|0)>>>0>=b>>>0){kzc(g|0,0,b*12|0)|0;f[e>>2]=h+(b*12|0);return}i=f[a>>2]|0;j=(g-i|0)/12|0;g=j+b|0;k=i;if(g>>>0>357913941)nsc(a);l=(d-i|0)/12|0;d=l<<1;m=l>>>0<178956970?(d>>>0<g>>>0?g:d):357913941;do if(m)if(m>>>0>357913941){d=ze(8)|0;kuc(d,519086);f[d>>2]=167148;Hf(d|0,26888,1888)}else{n=cuc(m*12|0)|0;break}else n=0;while(0);d=n+(j*12|0)|0;j=d;g=n+(m*12|0)|0;kzc(d|0,0,b*12|0)|0;m=d+(b*12|0)|0;if((h|0)==(k|0)){o=j;p=i;q=h}else{i=h;h=j;j=d;do{d=j+-12|0;b=i;i=i+-12|0;f[d>>2]=0;n=j+-8|0;f[n>>2]=0;f[j+-4>>2]=0;f[d>>2]=f[i>>2];d=b+-8|0;f[n>>2]=f[d>>2];n=b+-4|0;f[j+-4>>2]=f[n>>2];f[n>>2]=0;f[d>>2]=0;f[i>>2]=0;j=h+-12|0;h=j}while((i|0)!=(k|0));o=h;p=f[a>>2]|0;q=f[e>>2]|0}f[a>>2]=o;f[e>>2]=m;f[c>>2]=g;g=p;if((q|0)!=(g|0)){c=q;do{q=c;c=c+-12|0;m=f[c>>2]|0;if(m|0){e=q+-8|0;q=f[e>>2]|0;if((q|0)!=(m|0))f[e>>2]=q+(~((q+-4-m|0)>>>2)<<2);fuc(m)}}while((c|0)!=(g|0))}if(!p)return;fuc(p);return}function ntb(a,b){a=a|0;b=b|0;var c=0;c=cuc(60)|0;otb(c,b);f[a>>2]=c;b=cuc(16)|0;f[b+4>>2]=0;f[b+8>>2]=0;f[b>>2]=135892;f[b+12>>2]=c;f[a+4>>2]=b;return}function otb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0;d=u;u=u+80|0;e=d+40|0;g=d+32|0;h=d+24|0;i=d+16|0;j=d+8|0;k=d;l=d+68|0;m=d+56|0;n=d+44|0;WMa(a);f[a+44>>2]=0;o=a+48|0;f[o>>2]=0;f[a+52>>2]=0;f[a>>2]=135920;XMa(a,c);f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;p=l+11|0;b[p>>0]=4;f[l>>2]=1936291937;b[l+4>>0]=0;q=gEa(c,l)|0;if((q|0)==(c+4|0))r=1;else{s=hEa(q+28|0,-1)|0;r=s}s=a+56|0;f[s>>2]=r;if((b[p>>0]|0)<0)fuc(f[l>>2]|0);f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;p=cuc(16)|0;f[l>>2]=p;f[l+8>>2]=-2147483632;f[l+4>>2]=11;r=p;q=469217;t=r+11|0;do{b[r>>0]=b[q>>0]|0;r=r+1|0;q=q+1|0}while((r|0)<(t|0));b[p+11>>0]=0;p=(cGa(c,l)|0)==0;if((b[l+11>>0]|0)<0)fuc(f[l>>2]|0);if(!p){f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;p=l+11|0;b[p>>0]=5;b[l>>0]=b[469229]|0;b[l+1>>0]=b[469230]|0;b[l+2>>0]=b[469231]|0;b[l+3>>0]=b[469232]|0;b[l+4>>0]=b[469233]|0;b[l+5>>0]=0;if(!(cGa(c,l)|0)){f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;v=m+11|0;b[v>>0]=4;f[m>>2]=1702521203;b[m+4>>0]=0;if(!(cGa(c,m)|0)){w=n+4|0;f[w>>2]=0;f[w+4>>2]=0;w=n+11|0;b[w>>0]=3;b[n>>0]=b[469235]|0;b[n+1>>0]=b[469236]|0;b[n+2>>0]=b[469237]|0;b[n+3>>0]=0;x=(cGa(c,n)|0)==0;if((b[w>>0]|0)<0)fuc(f[n>>2]|0);y=x}else y=0;if((b[v>>0]|0)<0)fuc(f[m>>2]|0);z=y}else z=0;if((b[p>>0]|0)<0)fuc(f[l>>2]|0);if(!z){f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;z=cuc(80)|0;f[l>>2]=z;f[l+8>>2]=-2147483568;f[l+4>>2]=65;r=z;q=469239;t=r+65|0;do{b[r>>0]=b[q>>0]|0;r=r+1|0;q=q+1|0}while((r|0)<(t|0));b[z+65>>0]=0;WD(-215,l,469305,469320,66)};f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;z=cuc(16)|0;f[l>>2]=z;f[l+8>>2]=-2147483632;f[l+4>>2]=11;r=z;q=469217;t=r+11|0;do{b[r>>0]=b[q>>0]|0;r=r+1|0;q=q+1|0}while((r|0)<(t|0));b[z+11>>0]=0;z=iGa(c,l)|0;if((b[l+11>>0]|0)<0)fuc(f[l>>2]|0);p=a+44|0;y=f[z>>2]|0;switch(y|0){case 0:{A=(f[z+4>>2]|0)+4|0;break}case 3:{A=(f[z+4>>2]|0)+4|0;break}case 2:{A=(f[z+4>>2]|0)+4|0;break}default:{f[k>>2]=y;cE(l,476242,k);WD(-3,l,476262,476267,297)}}k=(f[A>>2]|0)+1|0;A=(f[s>>2]|0)+1|0;f[l>>2]=0;y=l+4|0;f[y>>2]=0;f[l+8>>2]=0;if(A|0){if(A>>>0>536870911)nsc(l);v=cuc(A<<3)|0;f[y>>2]=v;f[l>>2]=v;f[l+8>>2]=v+(A<<3);x=A;n=v;w=v;while(1){B=n;f[B>>2]=-2147483648;f[B+4>>2]=2147483647;B=w+8|0;C=x+-1|0;if(!C)break;else{x=C;n=B;w=B}}f[y>>2]=v+(A<<3)}A=f[o>>2]|0;v=f[p>>2]|0;w=(A-v|0)/12|0;n=v;v=A;if(k>>>0<=w>>>0){if(k>>>0<w>>>0?(A=n+(k*12|0)|0,(v|0)!=(A|0)):0){n=v;while(1){v=n+-12|0;f[o>>2]=v;x=f[v>>2]|0;if(!x)D=v;else{v=n+-8|0;B=f[v>>2]|0;if((B|0)!=(x|0))f[v>>2]=B+(~((B+-8-x|0)>>>3)<<3);fuc(x);D=f[o>>2]|0}if((D|0)==(A|0))break;else n=D}}}else ttb(p,k-w|0,l);w=f[l>>2]|0;if(w|0){k=f[y>>2]|0;if((k|0)!=(w|0))f[y>>2]=k+(~((k+-8-w|0)>>>3)<<3);fuc(w)}w=z+4|0;k=z+4|0;y=0;D=0;a:while(1){E=f[z>>2]|0;switch(E|0){case 0:{F=(f[w>>2]|0)+4|0;break}case 3:{F=(f[k>>2]|0)+4|0;break}case 2:{F=(f[k>>2]|0)+4|0;break}default:{G=51;break a}}if((y|0)>=(f[F>>2]|0))break;f[(f[(f[p>>2]|0)+(y*12|0)>>2]|0)+(f[s>>2]<<3)>>2]=D;n=hEa(z,y)|0;f[(f[(f[p>>2]|0)+(y*12|0)>>2]|0)+(f[s>>2]<<3)+4>>2]=n;y=y+1|0;D=n}if((G|0)==51){f[j>>2]=E;cE(l,476242,j);WD(-3,l,476262,476267,297)}f[(f[(f[o>>2]|0)+-12>>2]|0)+(f[s>>2]<<3)>>2]=D;u=d;return};f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;D=l+11|0;b[D>>0]=5;b[l>>0]=b[469229]|0;b[l+1>>0]=b[469230]|0;b[l+2>>0]=b[469231]|0;b[l+3>>0]=b[469232]|0;b[l+4>>0]=b[469233]|0;b[l+5>>0]=0;s=(cGa(c,l)|0)==0;if((b[D>>0]|0)<0)fuc(f[l>>2]|0);if(s){u=d;return};f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;s=l+11|0;b[s>>0]=4;f[l>>2]=1702521203;b[l+4>>0]=0;D=cGa(c,l)|0;j=m+4|0;f[j>>2]=0;f[j+4>>2]=0;j=m+11|0;b[j>>0]=3;b[m>>0]=b[469235]|0;b[m+1>>0]=b[469236]|0;b[m+2>>0]=b[469237]|0;b[m+3>>0]=0;E=(D|0)!=0^(cGa(c,m)|0)!=0;if((b[j>>0]|0)<0)fuc(f[m>>2]|0);if((b[s>>0]|0)<0)fuc(f[l>>2]|0);if(!E){f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;E=cuc(48)|0;f[l>>2]=E;f[l+8>>2]=-2147483600;f[l+4>>2]=38;r=E;q=469399;t=r+38|0;do{b[r>>0]=b[q>>0]|0;r=r+1|0;q=q+1|0}while((r|0)<(t|0));b[E+38>>0]=0;WD(-215,l,469305,469320,81)};f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;E=l+11|0;b[E>>0]=5;b[l>>0]=b[469229]|0;b[l+1>>0]=b[469230]|0;b[l+2>>0]=b[469231]|0;b[l+3>>0]=b[469232]|0;b[l+4>>0]=b[469233]|0;b[l+5>>0]=0;s=iGa(c,l)|0;if((b[E>>0]|0)<0)fuc(f[l>>2]|0);f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;E=l+11|0;b[E>>0]=4;f[l>>2]=1702521203;b[l+4>>0]=0;if(!(cGa(c,l)|0)){j=m+4|0;f[j>>2]=0;f[j+4>>2]=0;j=m+11|0;b[j>>0]=3;b[m>>0]=b[469235]|0;b[m+1>>0]=b[469236]|0;b[m+2>>0]=b[469237]|0;b[m+3>>0]=0;D=iGa(c,m)|0;if((b[j>>0]|0)<0)fuc(f[m>>2]|0);H=D}else{f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;D=m+11|0;b[D>>0]=4;f[m>>2]=1702521203;b[m+4>>0]=0;j=iGa(c,m)|0;if((b[D>>0]|0)<0)fuc(f[m>>2]|0);H=j}if((b[E>>0]|0)<0)fuc(f[l>>2]|0);E=f[s>>2]|0;switch(E|0){case 0:{I=(f[s+4>>2]|0)+4|0;break}case 3:{I=(f[s+4>>2]|0)+4|0;break}case 2:{I=(f[s+4>>2]|0)+4|0;break}default:{f[i>>2]=E;cE(l,476242,i);WD(-3,l,476262,476267,297)}}i=f[I>>2]|0;I=f[H>>2]|0;switch(I|0){case 0:{J=(f[H+4>>2]|0)+4|0;break}case 3:{J=(f[H+4>>2]|0)+4|0;break}case 2:{J=(f[H+4>>2]|0)+4|0;break}default:{f[h>>2]=I;cE(l,476242,h);WD(-3,l,476262,476267,297)}}if((i|0)!=(f[J>>2]|0)){f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;J=cuc(48)|0;f[l>>2]=J;f[l+8>>2]=-2147483600;f[l+4>>2]=35;r=J;q=469438;t=r+35|0;do{b[r>>0]=b[q>>0]|0;r=r+1|0;q=q+1|0}while((r|0)<(t|0));b[J+35>>0]=0;WD(-215,l,469305,469320,84)}J=a+44|0;a=f[o>>2]|0;i=f[J>>2]|0;h=a-i|0;I=(h|0)/12|0;E=i;i=a;if(h){if(I>>>0>1?(h=E+12|0,(i|0)!=(h|0)):0){E=i;while(1){i=E+-12|0;f[o>>2]=i;a=f[i>>2]|0;if(!a)K=i;else{i=E+-8|0;j=f[i>>2]|0;if((j|0)!=(a|0))f[i>>2]=j+(~((j+-8-a|0)>>>3)<<3);fuc(a);K=f[o>>2]|0}if((K|0)==(h|0))break;else E=K}}}else utb(J,1-I|0);I=f[J>>2]|0;K=f[s>>2]|0;switch(K|0){case 0:{L=(f[s+4>>2]|0)+4|0;break}case 3:{L=(f[s+4>>2]|0)+4|0;break}case 2:{L=(f[s+4>>2]|0)+4|0;break}default:{f[g>>2]=K;cE(l,476242,g);WD(-3,l,476262,476267,297)}}g=f[L>>2]|0;f[l>>2]=-2147483648;f[l+4>>2]=2147483647;L=I+4|0;K=f[L>>2]|0;E=f[I>>2]|0;h=K-E>>3;o=E;E=K;if(g>>>0<=h>>>0){if(g>>>0<h>>>0?(K=o+(g<<3)|0,(E|0)!=(K|0)):0)f[L>>2]=E+(~((E+-8-K|0)>>>3)<<3)}else vtb(I,g-h|0,l);h=s+4|0;g=l+11|0;I=l+4|0;K=s+4|0;E=0;b:while(1){M=f[s>>2]|0;switch(M|0){case 0:{N=(f[h>>2]|0)+4|0;break}case 3:{N=(f[K>>2]|0)+4|0;break}case 2:{N=(f[K>>2]|0)+4|0;break}default:{G=111;break b}}if((E|0)>=(f[N>>2]|0)){G=124;break}L=hEa(s,E)|0;o=hEa(H,E)|0;if((L|0)<=-1){G=114;break}f[(f[f[J>>2]>>2]|0)+(E<<3)>>2]=L;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;b[g>>0]=4;f[l>>2]=1702521203;b[I>>0]=0;a=(cGa(c,l)|0)==0;if((b[g>>0]|0)<0)fuc(f[l>>2]|0);if(a)if((o|0)<0|(o|0)>(L|0))O=o;else{G=122;break}else{a=(o|0)>0;if(!((o|0)==-1|a)){G=119;break}O=a?o+L|0:-1}f[(f[f[J>>2]>>2]|0)+(E<<3)+4>>2]=O;E=E+1|0}if((G|0)==111){f[e>>2]=M;cE(l,476242,e);WD(-3,l,476262,476267,297)}else if((G|0)==114){b[l+11>>0]=10;r=l;q=469474;t=r+10|0;do{b[r>>0]=b[q>>0]|0;r=r+1|0;q=q+1|0}while((r|0)<(t|0));b[l+10>>0]=0;WD(-215,l,469305,469320,92)}else if((G|0)==119){f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;e=cuc(32)|0;f[l>>2]=e;f[l+8>>2]=-2147483616;f[l+4>>2]=22;r=e;q=469485;t=r+22|0;do{b[r>>0]=b[q>>0]|0;r=r+1|0;q=q+1|0}while((r|0)<(t|0));b[e+22>>0]=0;WD(-215,l,469305,469320,98)}else if((G|0)==122){f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;e=cuc(32)|0;f[l>>2]=e;f[l+8>>2]=-2147483616;f[l+4>>2]=22;r=e;q=469508;t=r+22|0;do{b[r>>0]=b[q>>0]|0;r=r+1|0;q=q+1|0}while((r|0)<(t|0));b[e+22>>0]=0;WD(-215,l,469305,469320,104)}else if((G|0)==124){u=d;return}}function ptb(a){a=a|0;Qtc(a);fuc(a);return}function qtb(a){a=a|0;var b=0;b=f[a+12>>2]|0;if(!b)return;bi[f[(f[b>>2]|0)+4>>2]&2047](b);return}function rtb(a,b){a=a|0;b=b|0;return ((f[b+4>>2]|0)==469062?a+12|0:0)|0}function stb(a){a=a|0;fuc(a);return}function ttb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;d=a+8|0;e=f[d>>2]|0;g=a+4|0;h=f[g>>2]|0;if(((e-h|0)/12|0)>>>0>=b>>>0){i=b;j=h;do{ytb(j,c);j=(f[g>>2]|0)+12|0;f[g>>2]=j;i=i+-1|0}while((i|0)!=0);return}i=f[a>>2]|0;j=(h-i|0)/12|0;h=j+b|0;if(h>>>0>357913941)nsc(a);k=(e-i|0)/12|0;i=k<<1;e=k>>>0<178956970?(i>>>0<h>>>0?h:i):357913941;do if(e)if(e>>>0>357913941){i=ze(8)|0;kuc(i,519086);f[i>>2]=167148;Hf(i|0,26888,1888)}else{l=cuc(e*12|0)|0;break}else l=0;while(0);i=l+(j*12|0)|0;j=i;h=l+(e*12|0)|0;e=b;b=j;l=i;do{ytb(l,c);l=b+12|0;b=l;e=e+-1|0}while((e|0)!=0);e=f[a>>2]|0;l=f[g>>2]|0;if((l|0)==(e|0)){m=j;n=e;o=e}else{c=l;l=j;j=i;do{i=j+-12|0;k=c;c=c+-12|0;f[i>>2]=0;p=j+-8|0;f[p>>2]=0;f[j+-4>>2]=0;f[i>>2]=f[c>>2];i=k+-8|0;f[p>>2]=f[i>>2];p=k+-4|0;f[j+-4>>2]=f[p>>2];f[p>>2]=0;f[i>>2]=0;f[c>>2]=0;j=l+-12|0;l=j}while((c|0)!=(e|0));m=l;n=f[a>>2]|0;o=f[g>>2]|0}f[a>>2]=m;f[g>>2]=b;f[d>>2]=h;h=n;if((o|0)!=(h|0)){d=o;do{o=d;d=d+-12|0;b=f[d>>2]|0;if(b|0){g=o+-8|0;o=f[g>>2]|0;if((o|0)!=(b|0))f[g>>2]=o+(~((o+-8-b|0)>>>3)<<3);fuc(b)}}while((d|0)!=(h|0))}if(!n)return;fuc(n);return}function utb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;h=g;if(((d-g|0)/12|0)>>>0>=b>>>0){kzc(g|0,0,b*12|0)|0;f[e>>2]=h+(b*12|0);return}i=f[a>>2]|0;j=(g-i|0)/12|0;g=j+b|0;k=i;if(g>>>0>357913941)nsc(a);l=(d-i|0)/12|0;d=l<<1;m=l>>>0<178956970?(d>>>0<g>>>0?g:d):357913941;do if(m)if(m>>>0>357913941){d=ze(8)|0;kuc(d,519086);f[d>>2]=167148;Hf(d|0,26888,1888)}else{n=cuc(m*12|0)|0;break}else n=0;while(0);d=n+(j*12|0)|0;j=d;g=n+(m*12|0)|0;kzc(d|0,0,b*12|0)|0;m=d+(b*12|0)|0;if((h|0)==(k|0)){o=j;p=i;q=h}else{i=h;h=j;j=d;do{d=j+-12|0;b=i;i=i+-12|0;f[d>>2]=0;n=j+-8|0;f[n>>2]=0;f[j+-4>>2]=0;f[d>>2]=f[i>>2];d=b+-8|0;f[n>>2]=f[d>>2];n=b+-4|0;f[j+-4>>2]=f[n>>2];f[n>>2]=0;f[d>>2]=0;f[i>>2]=0;j=h+-12|0;h=j}while((i|0)!=(k|0));o=h;p=f[a>>2]|0;q=f[e>>2]|0}f[a>>2]=o;f[e>>2]=m;f[c>>2]=g;g=p;if((q|0)!=(g|0)){c=q;do{q=c;c=c+-12|0;m=f[c>>2]|0;if(m|0){e=q+-8|0;q=f[e>>2]|0;if((q|0)!=(m|0))f[e>>2]=q+(~((q+-8-m|0)>>>3)<<3);fuc(m)}}while((c|0)!=(g|0))}if(!p)return;fuc(p);return}function vtb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;d=a+8|0;e=f[d>>2]|0;g=a+4|0;h=f[g>>2]|0;if(e-h>>3>>>0>=b>>>0){i=b;j=h;do{k=c;l=f[k+4>>2]|0;m=j;f[m>>2]=f[k>>2];f[m+4>>2]=l;j=(f[g>>2]|0)+8|0;f[g>>2]=j;i=i+-1|0}while((i|0)!=0);return}i=f[a>>2]|0;j=h-i>>3;h=j+b|0;if(h>>>0>536870911)nsc(a);l=e-i|0;i=l>>2;e=l>>3>>>0<268435455?(i>>>0<h>>>0?h:i):536870911;do if(e)if(e>>>0>536870911){i=ze(8)|0;kuc(i,519086);f[i>>2]=167148;Hf(i|0,26888,1888)}else{n=cuc(e<<3)|0;break}else n=0;while(0);i=n+(j<<3)|0;j=n+(e<<3)|0;e=b;b=i;n=i;do{h=c;l=f[h+4>>2]|0;m=b;f[m>>2]=f[h>>2];f[m+4>>2]=l;b=n+8|0;n=b;e=e+-1|0}while((e|0)!=0);e=f[a>>2]|0;b=(f[g>>2]|0)-e|0;c=i+(0-(b>>3)<<3)|0;if((b|0)>0)szc(c|0,e|0,b|0)|0;f[a>>2]=c;f[g>>2]=n;f[d>>2]=j;if(!e)return;fuc(e);return}function wtb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;f[a>>2]=136028;b=a+44|0;c=f[b>>2]|0;if(!c){pKa(a);return}d=a+48|0;e=f[d>>2]|0;if((e|0)==(c|0))g=c;else{h=e;while(1){e=h+-12|0;f[d>>2]=e;i=f[e>>2]|0;if(!i)j=e;else{e=h+-8|0;k=f[e>>2]|0;if((k|0)!=(i|0))f[e>>2]=k+(~((k+-8-i|0)>>>3)<<3);fuc(i);j=f[d>>2]|0}if((j|0)==(c|0))break;else h=j}g=f[b>>2]|0}fuc(g);pKa(a);return}function xtb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;f[a>>2]=136028;b=a+44|0;c=f[b>>2]|0;if(!c){pKa(a);fuc(a);return}d=a+48|0;e=f[d>>2]|0;if((e|0)==(c|0))g=c;else{h=e;while(1){e=h+-12|0;f[d>>2]=e;i=f[e>>2]|0;if(!i)j=e;else{e=h+-8|0;k=f[e>>2]|0;if((k|0)!=(i|0))f[e>>2]=k+(~((k+-8-i|0)>>>3)<<3);fuc(i);j=f[d>>2]|0}if((j|0)==(c|0))break;else h=j}g=f[b>>2]|0}fuc(g);pKa(a);fuc(a);return}function ytb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0;f[a>>2]=0;c=a+4|0;f[c>>2]=0;f[a+8>>2]=0;d=b+4|0;e=(f[d>>2]|0)-(f[b>>2]|0)|0;g=e>>3;if(!g)return;if(g>>>0>536870911)nsc(a);h=cuc(e)|0;f[c>>2]=h;f[a>>2]=h;f[a+8>>2]=h+(g<<3);g=f[b>>2]|0;b=(f[d>>2]|0)-g|0;if((b|0)<=0)return;szc(h|0,g|0,b|0)|0;f[c>>2]=h+(b>>>3<<3);return}function ztb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;f[a>>2]=136028;b=a+44|0;c=f[b>>2]|0;if(!c){pKa(a);fuc(a);return}d=a+48|0;e=f[d>>2]|0;if((e|0)==(c|0))g=c;else{h=e;while(1){e=h+-12|0;f[d>>2]=e;i=f[e>>2]|0;if(!i)j=e;else{e=h+-8|0;k=f[e>>2]|0;if((k|0)!=(i|0))f[e>>2]=k+(~((k+-8-i|0)>>>3)<<3);fuc(i);j=f[d>>2]|0}if((j|0)==(c|0))break;else h=j}g=f[b>>2]|0}fuc(g);pKa(a);fuc(a);return}function Atb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0;e=u;u=u+48|0;g=e+24|0;h=e+12|0;i=e;f[g>>2]=0;j=g+4|0;f[j>>2]=0;f[g+8>>2]=0;f[h>>2]=0;k=h+4|0;f[k>>2]=0;f[h+8>>2]=0;sJ(c,g);sJ(d,h);d=f[g>>2]|0;if(((f[j>>2]|0)-d|0)!=56){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;j=cuc(32)|0;f[i>>2]=j;f[i+8>>2]=-2147483616;f[i+4>>2]=18;l=j;m=477051;n=l+18|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));b[j+18>>0]=0;WD(-215,i,476610,469320,153)}j=d+40|0;d=a+44|0;c=f[d>>2]|0;o=a+48|0;p=f[o>>2]|0;q=p;r=c;if((c|0)!=(p|0)){p=f[k>>2]|0;c=f[h>>2]|0;if(((p-c|0)/56|0|0)==((q-r|0)/12|0|0)){s=h;t=k;v=p;w=c}else{f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;c=cuc(48)|0;f[i>>2]=c;f[i+8>>2]=-2147483600;f[i+4>>2]=36;l=c;m=469765;n=l+36|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));b[c+36>>0]=0;WD(-215,i,476610,469320,171)}}else{c=a+56|0;a=f[c>>2]|0;p=((f[k>>2]|0)-(f[h>>2]|0)|0)/56|0;x=((f[(f[j>>2]|0)+(a<<2)>>2]|0)>>>0)/(p>>>0)|0;y=a+1|0;f[i>>2]=0;a=i+4|0;f[a>>2]=0;f[i+8>>2]=0;if(!y){z=r;A=q}else{if(y>>>0>536870911)nsc(i);q=cuc(y<<3)|0;f[a>>2]=q;f[i>>2]=q;f[i+8>>2]=q+(y<<3);r=y;B=q;C=q;while(1){D=B;f[D>>2]=-2147483648;f[D+4>>2]=2147483647;D=C+8|0;E=r+-1|0;if(!E)break;else{r=E;B=D;C=D}}f[a>>2]=q+(y<<3);z=f[d>>2]|0;A=f[o>>2]|0}y=(A-z|0)/12|0;q=z;z=A;if(p>>>0<=y>>>0){if(p>>>0<y>>>0?(A=q+(p*12|0)|0,(z|0)!=(A|0)):0){q=z;while(1){z=q+-12|0;f[o>>2]=z;C=f[z>>2]|0;if(!C)F=z;else{z=q+-8|0;B=f[z>>2]|0;if((B|0)!=(C|0))f[z>>2]=B+(~((B+-8-C|0)>>>3)<<3);fuc(C);F=f[o>>2]|0}if((F|0)==(A|0))break;else q=F}}}else ttb(d,p-y|0,i);y=f[i>>2]|0;if(y|0){p=f[a>>2]|0;if((p|0)!=(y|0))f[a>>2]=p+(~((p+-8-y|0)>>>3)<<3);fuc(y)}y=f[k>>2]|0;p=f[h>>2]|0;if((y|0)==(p|0)){ut(h);ut(g);u=e;return}a=f[d>>2]|0;F=f[c>>2]|0;c=(y-p|0)/56|0;q=0;A=0;do{o=f[a+(q*12|0)>>2]|0;f[o+(F<<3)>>2]=A;A=A+x|0;f[o+(F<<3)+4>>2]=A;q=q+1|0}while(q>>>0<c>>>0);s=h;t=k;v=y;w=p}if((v|0)==(w|0)){ut(h);ut(g);u=e;return}w=i+4|0;v=0;p=f[j>>2]|0;while(1){y=f[d>>2]|0;k=(f[y+(v*12|0)+4>>2]|0)-(f[y+(v*12|0)>>2]|0)>>3;c=f[p+-4>>2]|0;if(k>>>0>c>>>0){G=33;break}if(!k){H=0;I=c;J=y;K=p}else{c=0;k=y;y=p;do{Ftb(i,(f[k+(v*12|0)>>2]|0)+(c<<3)|0,f[y+(c<<2)>>2]|0);q=i;A=f[q+4>>2]|0;F=(f[(f[d>>2]|0)+(v*12|0)>>2]|0)+(c<<3)|0;f[F>>2]=f[q>>2];f[F+4>>2]=A;c=c+1|0;k=f[d>>2]|0;L=(f[k+(v*12|0)+4>>2]|0)-(f[k+(v*12|0)>>2]|0)>>3;y=f[j>>2]|0}while(c>>>0<L>>>0);H=L;I=f[y+-4>>2]|0;J=k;K=y}a:do if((H|0)<(I|0)){c=H;A=J;while(1){f[i>>2]=-2147483648;f[w>>2]=2147483647;F=A+(v*12|0)+4|0;q=f[F>>2]|0;if(q>>>0<(f[A+(v*12|0)+8>>2]|0)>>>0){x=i;a=f[x+4>>2]|0;o=q;f[o>>2]=f[x>>2];f[o+4>>2]=a;f[F>>2]=(f[F>>2]|0)+8}else Gtb(A+(v*12|0)|0,i);F=c+1|0;a=f[j>>2]|0;if((F|0)>=(f[a+-4>>2]|0)){M=a;break a}c=F;A=f[d>>2]|0}}else M=K;while(0);v=v+1|0;if(v>>>0>=(((f[t>>2]|0)-(f[s>>2]|0)|0)/56|0)>>>0){G=30;break}else p=M}if((G|0)==30){ut(h);ut(g);u=e;return}else if((G|0)==33){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;G=cuc(48)|0;f[i>>2]=G;f[i+8>>2]=-2147483600;f[i+4>>2]=40;l=G;m=469910;n=l+40|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));b[G+40>>0]=0;WD(-215,i,476610,469320,175)}}function Btb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;g=u;u=u+112|0;h=g+96|0;i=g+84|0;j=g+72|0;k=g+16|0;l=g;gV(h,136128);if(f[h>>2]|0){}if((CJ(c,-1)|0)==3)JKa(a,c,d,e);else{f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[j>>2]=0;e=j+4|0;f[e>>2]=0;f[j+8>>2]=0;sJ(c,i);sJ(d,j);d=f[i>>2]|0;c=f[e>>2]|0;m=f[j>>2]|0;n=a+44|0;o=f[n>>2]|0;p=o;if(((c-m|0)/56|0|0)!=(((f[a+48>>2]|0)-o|0)/12|0|0)){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;o=cuc(48)|0;f[k>>2]=o;f[k+8>>2]=-2147483600;f[k+4>>2]=36;a=o;q=469765;r=a+36|0;do{b[a>>0]=b[q>>0]|0;a=a+1|0;q=q+1|0}while((a|0)<(r|0));b[o+36>>0]=0;WD(-215,k,477126,469320,257)}a:do if((c|0)!=(m|0)){o=l+8|0;q=l+4|0;a=k+36|0;r=k+16|0;s=k+4|0;t=k+40|0;v=k+44|0;w=k+48|0;x=0;y=p;while(1){gU(k,d,y+(x*12|0)|0);z=(f[j>>2]|0)+(x*56|0)|0;A=o;f[A>>2]=0;f[A+4>>2]=0;f[l>>2]=33619968;f[q>>2]=z;EI(k,l);z=f[a>>2]|0;if(z|0?(A=z+12|0,z=f[A>>2]|0,f[A>>2]=z+-1,(z|0)==1):0)aU(k);f[a>>2]=0;f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;f[r+12>>2]=0;if((f[s>>2]|0)>0){z=f[t>>2]|0;A=0;do{f[z+(A<<2)>>2]=0;A=A+1|0}while((A|0)<(f[s>>2]|0))}A=f[v>>2]|0;if((A|0)!=(w|0))TC(A);A=x+1|0;if(A>>>0>=(((f[e>>2]|0)-(f[j>>2]|0)|0)/56|0)>>>0)break a;x=A;y=f[n>>2]|0}}while(0);ut(j);ut(i)}if(!(f[h+4>>2]|0)){u=g;return}u=g;return}function Ctb(a,b){a=a|0;b=b|0;var c=0;switch(b|0){case 2:{b=f[a+44>>2]|0;if(((f[a+48>>2]|0)-b|0)!=12){c=0;return c|0}c=((f[b+4>>2]|0)-(f[b>>2]|0)|0)==32;return c|0}case 3:{c=1;return c|0}default:{c=0;return c|0}}return 0}function Dtb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function Etb(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0;g=u;u=u+32|0;h=g+12|0;i=g;j=f[c>>2]|0;if(((f[c+4>>2]|0)-j|0)!=12){c=cuc(32)|0;f[h>>2]=c;f[h+8>>2]=-2147483616;f[h+4>>2]=18;k=c;l=477051;m=k+18|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));b[c+18>>0]=0;WD(-215,h,477070,469320,122)}tHa(h,j);j=a+44|0;c=f[j>>2]|0;n=f[a+48>>2]|0;a:do if((c|0)==(n|0)){o=f[a+56>>2]|0;if((o|0)<=-1){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;p=cuc(48)|0;f[i>>2]=p;q=i+8|0;f[q>>2]=-2147483600;r=i+4|0;f[r>>2]=35;k=p;l=469610;m=k+35|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));s=p+35|0;b[s>>0]=0;WD(-215,i,477070,469320,139)}t=f[h>>2]|0;v=t;if(o>>>0>=(f[h+4>>2]|0)-t>>2>>>0){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;p=cuc(48)|0;f[i>>2]=p;q=i+8|0;f[q>>2]=-2147483600;r=i+4|0;f[r>>2]=35;k=p;l=469610;m=k+35|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));s=p+35|0;b[s>>0]=0;WD(-215,i,477070,469320,139)}if((d|0)<=0){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;w=cuc(64)|0;f[i>>2]=w;x=i+8|0;f[x>>2]=-2147483584;y=i+4|0;f[y>>2]=60;k=w;l=469646;m=k+60|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));z=w+60|0;b[z>>0]=0;WD(-215,i,477070,469320,140)}t=v+(o<<2)|0;A=f[t>>2]|0;if((A|0)%(d|0)|0|0){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;w=cuc(64)|0;f[i>>2]=w;x=i+8|0;f[x>>2]=-2147483584;y=i+4|0;f[y>>2]=60;k=w;l=469646;m=k+60|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));z=w+60|0;b[z>>0]=0;WD(-215,i,477070,469320,140)}f[t>>2]=(A|0)/(d|0)|0;o=e+4|0;v=f[o>>2]|0;B=f[e>>2]|0;C=(v-B|0)/12|0;D=v;if(C>>>0<d>>>0){Hmb(e,d-C|0,h);E=h;break}if(C>>>0>d>>>0?(C=B+(d*12|0)|0,(D|0)!=(C|0)):0){B=D;while(1){D=B+-12|0;f[o>>2]=D;v=f[D>>2]|0;if(!v)F=D;else{D=B+-8|0;G=f[D>>2]|0;if((G|0)!=(v|0))f[D>>2]=G+(~((G+-4-v|0)>>>2)<<2);fuc(v);F=f[o>>2]|0}if((F|0)==(C|0)){E=h;break}else B=F}}else E=h}else{B=(n-c|0)/12|0;C=e+4|0;o=f[C>>2]|0;A=f[e>>2]|0;t=(o-A|0)/12|0;v=A;A=o;if(B>>>0<=t>>>0)if(B>>>0<t>>>0?(G=v+(B*12|0)|0,(A|0)!=(G|0)):0){v=A;while(1){A=v+-12|0;f[C>>2]=A;D=f[A>>2]|0;if(!D)H=A;else{A=v+-8|0;I=f[A>>2]|0;if((I|0)!=(D|0))f[A>>2]=I+(~((I+-4-D|0)>>>2)<<2);fuc(D);H=f[C>>2]|0}if((H|0)==(G|0))break;else v=H}J=H}else J=o;else{Hmb(e,B-t|0,h);J=f[C>>2]|0}v=f[e>>2]|0;if((J|0)==(v|0)){E=h;break}G=h+4|0;D=i+4|0;I=0;A=v;v=J;K=f[j>>2]|0;while(1){L=f[K+(I*12|0)+4>>2]|0;M=f[K+(I*12|0)>>2]|0;N=f[h>>2]|0;if(L-M>>3>>>0>(f[G>>2]|0)-N>>2>>>0)break;if((L|0)==(M|0)){O=K;P=A;Q=v}else{M=0;L=K;R=N;while(1){Ftb(i,(f[L+(I*12|0)>>2]|0)+(M<<3)|0,f[R+(M<<2)>>2]|0);S=f[e>>2]|0;f[(f[S+(I*12|0)>>2]|0)+(M<<2)>>2]=(f[D>>2]|0)-(f[i>>2]|0);N=M+1|0;T=f[j>>2]|0;if(N>>>0>=(f[T+(I*12|0)+4>>2]|0)-(f[T+(I*12|0)>>2]|0)>>3>>>0)break;M=N;L=T;R=f[h>>2]|0}O=T;P=S;Q=f[C>>2]|0}I=I+1|0;if(I>>>0>=((Q-P|0)/12|0)>>>0){E=h;break a}else{A=P;v=Q;K=O}}f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;K=cuc(48)|0;f[i>>2]=K;f[i+8>>2]=-2147483600;f[i+4>>2]=40;k=K;l=469569;m=k+40|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));b[K+40>>0]=0;WD(-215,i,477070,469320,130)}while(0);i=f[E>>2]|0;if(!i){u=g;return 0}E=h+4|0;h=f[E>>2]|0;if((h|0)!=(i|0))f[E>>2]=h+(~((h+-4-i|0)>>>2)<<2);fuc(i);u=g;return 0}function Ftb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0;e=u;u=u+16|0;g=e;h=f[c>>2]|0;i=(h|0)>0?h:0;h=f[c+4>>2]|0;c=(h|0)>0?((h|0)>(d|0)?d:h):d+1+h|0;f[a>>2]=i;f[a+4>>2]=c;if((i|0)>=(c|0)){i=cuc(32)|0;f[g>>2]=i;f[g+8>>2]=-2147483616;f[g+4>>2]=27;j=i;k=469707;l=j+27|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[i+27>>0]=0;WD(-215,g,469735,475396,212)}if((c|0)>(d|0)){d=cuc(32)|0;f[g>>2]=d;f[g+8>>2]=-2147483616;f[g+4>>2]=23;j=d;k=469741;l=j+23|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[d+23>>0]=0;WD(-215,g,469735,475396,212)}else{u=e;return}}function Gtb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+4|0;d=f[a>>2]|0;e=(f[c>>2]|0)-d|0;g=e>>3;h=g+1|0;if(h>>>0>536870911)nsc(a);i=a+8|0;j=(f[i>>2]|0)-d|0;k=j>>2;l=j>>3>>>0<268435455?(k>>>0<h>>>0?h:k):536870911;do if(l)if(l>>>0>536870911){k=ze(8)|0;kuc(k,519086);f[k>>2]=167148;Hf(k|0,26888,1888)}else{m=cuc(l<<3)|0;break}else m=0;while(0);k=m+(g<<3)|0;h=b;b=f[h+4>>2]|0;j=k;f[j>>2]=f[h>>2];f[j+4>>2]=b;b=k+(0-g<<3)|0;if((e|0)>0)szc(b|0,d|0,e|0)|0;f[a>>2]=b;f[c>>2]=k+8;f[i>>2]=m+(l<<3);if(!d)return;fuc(d);return}function Htb(a,b){a=a|0;b=b|0;var c=0;c=cuc(88)|0;Itb(c,b);f[a>>2]=c;b=cuc(16)|0;f[b+4>>2]=0;f[b+8>>2]=0;f[b>>2]=136168;f[b+12>>2]=c;f[a+4>>2]=b;return}function Itb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0.0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;d=u;u=u+64|0;e=d+40|0;g=d+32|0;h=d+16|0;i=d+44|0;j=d;WMa(a);f[a>>2]=136196;k=a+44|0;l=a+48|0;m=a+76|0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;f[k+16>>2]=0;f[k+20>>2]=0;XMa(a,c);f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;o=h+11|0;b[o>>0]=5;b[h>>0]=b[513626]|0;b[h+1>>0]=b[513627]|0;b[h+2>>0]=b[513628]|0;b[h+3>>0]=b[513629]|0;b[h+4>>0]=b[513630]|0;b[h+5>>0]=0;p=gEa(c,h)|0;q=c+4|0;if((p|0)==(q|0))r=0.0;else r=+iEa(p+28|0,-1);n[a+72>>2]=r;if((b[o>>0]|0)<0)fuc(f[h>>2]|0);o=h+11|0;b[o>>0]=10;p=h;s=470136;t=p+10|0;do{b[p>>0]=b[s>>0]|0;p=p+1|0;s=s+1|0}while((p|0)<(t|0));b[h+10>>0]=0;v=gEa(c,h)|0;if((v|0)==(q|0))w=-1;else{x=hEa(v+28|0,-1)|0;w=x}f[a+68>>2]=w;if((b[o>>0]|0)<0)fuc(f[h>>2]|0);f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;o=i+11|0;b[o>>0]=4;f[i>>2]=1701869940;b[i+4>>0]=0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;w=j+11|0;b[w>>0]=8;x=j;f[x>>2]=1936617315;f[x+4>>2]=1953390964;b[j+8>>0]=0;x=gEa(c,i)|0;if((x|0)==(q|0))ouc(h,j);else jGa(h,x+28|0,-1);x=m+11|0;if((b[x>>0]|0)<0){b[f[m>>2]>>0]=0;f[a+80>>2]=0}else{b[m>>0]=0;b[x>>0]=0}vuc(m,0);f[m>>2]=f[h>>2];f[m+4>>2]=f[h+4>>2];f[m+8>>2]=f[h+8>>2];f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;if((b[w>>0]|0)<0)fuc(f[j>>2]|0);if((b[o>>0]|0)<0)fuc(f[i>>2]|0);f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;i=h+11|0;b[i>>0]=8;o=h;f[o>>2]=1684300144;f[o+4>>2]=1936158313;b[h+8>>0]=0;o=(cGa(c,h)|0)==0;if((b[i>>0]|0)<0)fuc(f[h>>2]|0);if(o){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;o=cuc(32)|0;f[h>>2]=o;f[h+8>>2]=-2147483616;f[h+4>>2]=22;p=o;s=470147;t=p+22|0;do{b[p>>0]=b[s>>0]|0;p=p+1|0;s=s+1|0}while((p|0)<(t|0));b[o+22>>0]=0;WD(-215,h,470170,470187,32)};f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;o=h+11|0;b[o>>0]=8;i=h;f[i>>2]=1684300144;f[i+4>>2]=1936158313;b[h+8>>0]=0;i=iGa(c,h)|0;if((b[o>>0]|0)<0)fuc(f[h>>2]|0);o=f[i>>2]|0;switch(o|0){case 0:{c=f[i+4>>2]|0;y=c+4|0;z=c;A=c;B=c;break}case 3:{c=f[i+4>>2]|0;y=c+4|0;z=c;A=c;B=c;break}case 2:{c=f[i+4>>2]|0;y=c+4|0;z=c;A=c;B=c;break}default:{f[g>>2]=o;cE(h,476242,g);WD(-3,h,476262,476267,297)}}if(f[y>>2]&1|0){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;y=cuc(32)|0;f[h>>2]=y;f[h+8>>2]=-2147483616;f[h+4>>2]=31;p=y;s=470268;t=p+31|0;do{b[p>>0]=b[s>>0]|0;p=p+1|0;s=s+1|0}while((p|0)<(t|0));b[y+31>>0]=0;WD(-215,h,470170,470187,34)}switch(o|0){case 0:{C=z+4|0;break}case 3:{C=A+4|0;break}case 2:{C=B+4|0;break}default:{f[e>>2]=o;cE(h,476242,e);WD(-3,h,476262,476267,297)}}e=(f[C>>2]|0)/2|0;C=f[l>>2]|0;o=f[k>>2]|0;B=C-o>>3;A=o;z=C;if(e>>>0<=B>>>0)if(e>>>0<B>>>0?(y=A+(e<<3)|0,(z|0)!=(y|0)):0){A=z+(~((z+-8-y|0)>>>3)<<3)|0;f[l>>2]=A;D=A;E=o}else{D=C;E=o}else{Ntb(k,e-B|0);D=f[l>>2]|0;E=f[k>>2]|0}if((D|0)==(E|0)){u=d;return}else F=0;while(1){E=F<<1;D=hEa(i,E)|0;f[(f[k>>2]|0)+(F<<3)>>2]=D;D=hEa(i,E|1)|0;E=f[k>>2]|0;f[E+(F<<3)+4>>2]=D;if((f[E+(F<<3)>>2]|0)<=-1){G=46;break}F=F+1|0;if((D|0)<=-1){G=48;break}if(F>>>0>=(f[l>>2]|0)-E>>3>>>0){G=44;break}}if((G|0)==44){u=d;return}else if((G|0)==46){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;d=cuc(32)|0;f[h>>2]=d;f[h+8>>2]=-2147483616;f[h+4>>2]=22;p=d;s=470300;t=p+22|0;do{b[p>>0]=b[s>>0]|0;p=p+1|0;s=s+1|0}while((p|0)<(t|0));b[d+22>>0]=0;WD(-215,h,470170,470187,41)}else if((G|0)==48){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;G=cuc(32)|0;f[h>>2]=G;f[h+8>>2]=-2147483616;f[h+4>>2]=23;p=G;s=470323;t=p+23|0;do{b[p>>0]=b[s>>0]|0;p=p+1|0;s=s+1|0}while((p|0)<(t|0));b[G+23>>0]=0;WD(-215,h,470170,470187,41)}}function Jtb(a){a=a|0;Qtc(a);fuc(a);return}function Ktb(a){a=a|0;var b=0;b=f[a+12>>2]|0;if(!b)return;bi[f[(f[b>>2]|0)+4>>2]&2047](b);return}function Ltb(a,b){a=a|0;b=b|0;return ((f[b+4>>2]|0)==469977?a+12|0:0)|0}function Mtb(a){a=a|0;fuc(a);return}function Ntb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(d-g>>3>>>0>=b>>>0){kzc(g|0,0,b<<3|0)|0;f[e>>2]=g+(b<<3);return}h=f[a>>2]|0;i=g-h|0;g=i>>3;j=g+b|0;if(j>>>0>536870911)nsc(a);k=d-h|0;d=k>>2;l=k>>3>>>0<268435455?(d>>>0<j>>>0?j:d):536870911;do if(l)if(l>>>0>536870911){d=ze(8)|0;kuc(d,519086);f[d>>2]=167148;Hf(d|0,26888,1888)}else{m=cuc(l<<3)|0;break}else m=0;while(0);d=m+(g<<3)|0;kzc(d|0,0,b<<3|0)|0;j=d+(0-g<<3)|0;if((i|0)>0)szc(j|0,h|0,i|0)|0;f[a>>2]=j;f[e>>2]=d+(b<<3);f[c>>2]=m+(l<<3);if(!h)return;fuc(h);return}function Otb(a){a=a|0;var c=0,d=0,e=0;f[a>>2]=136196;c=a+76|0;if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);c=f[a+56>>2]|0;if(c|0){d=a+60|0;e=f[d>>2]|0;if((e|0)!=(c|0))f[d>>2]=e+(~((e+-8-c|0)>>>3)<<3);fuc(c)}c=f[a+44>>2]|0;if(!c){pKa(a);return}e=a+48|0;d=f[e>>2]|0;if((d|0)!=(c|0))f[e>>2]=d+(~((d+-8-c|0)>>>3)<<3);fuc(c);pKa(a);return}function Ptb(a){a=a|0;var c=0,d=0,e=0;f[a>>2]=136196;c=a+76|0;if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);c=f[a+56>>2]|0;if(c|0){d=a+60|0;e=f[d>>2]|0;if((e|0)!=(c|0))f[d>>2]=e+(~((e+-8-c|0)>>>3)<<3);fuc(c)}c=f[a+44>>2]|0;if(!c){pKa(a);fuc(a);return}e=a+48|0;d=f[e>>2]|0;if((d|0)!=(c|0))f[e>>2]=d+(~((d+-8-c|0)>>>3)<<3);fuc(c);pKa(a);fuc(a);return}function Qtb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;c=u;u=u+48|0;d=c;e=c+24|0;g=c+8|0;h=c+16|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;sJ(b,e);b=f[e>>2]|0;i=a+56|0;j=a+44|0;k=a+48|0;l=(f[k>>2]|0)-(f[j>>2]|0)>>3;m=a+60|0;n=f[m>>2]|0;o=f[i>>2]|0;p=n-o>>3;q=o;o=n;if(l>>>0<=p>>>0){if(l>>>0<p>>>0?(n=q+(l<<3)|0,(o|0)!=(n|0)):0)f[m>>2]=o+(~((o+-8-n|0)>>>3)<<3)}else Vtb(i,l-p|0);p=f[a+68>>2]|0;if((p|0)!=-1?(f[(f[e>>2]|0)+4>>2]|0)!=(p|0):0){f[g>>2]=f[i>>2];f[h>>2]=-2147483648;f[h+4>>2]=2147483647;f[d>>2]=f[g>>2];Wtb(i,d,h)|0;r=1}else r=0;h=f[k>>2]|0;k=f[j>>2]|0;j=k;if((h|0)==(k|0))s=f[i>>2]|0;else{g=f[i>>2]|0;p=f[b+40>>2]|0;b=h-k>>3;k=g;h=0;do{l=f[j+(h<<3)>>2]|0;n=h+r|0;f[g+(n<<3)>>2]=l;f[g+(n<<3)+4>>2]=(f[p+(n<<2)>>2]|0)+l;h=h+1|0}while(h>>>0<b>>>0);s=k}k=f[m>>2]|0;b=k-s>>3;if((b|0)>=(f[(f[e>>2]|0)+4>>2]|0)){ut(e);u=c;return}s=d+4|0;h=a+64|0;a=b;b=k;while(1){f[d>>2]=-2147483648;f[s>>2]=2147483647;if(b>>>0<(f[h>>2]|0)>>>0){k=d;p=f[k+4>>2]|0;g=b;f[g>>2]=f[k>>2];f[g+4>>2]=p;f[m>>2]=(f[m>>2]|0)+8}else Gtb(i,d);p=a+1|0;if((p|0)>=(f[(f[e>>2]|0)+4>>2]|0))break;a=p;b=f[m>>2]|0}ut(e);u=c;return}function Rtb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0;g=u;u=u+352|0;h=g+56|0;i=g+336|0;j=g+324|0;k=g+312|0;l=g;m=g+256|0;o=g+240|0;q=g+184|0;gV(i,136296);if(f[i>>2]|0){}if((CJ(c,-1)|0)==3)JKa(a,c,d,e);else{f[j>>2]=0;e=j+4|0;f[e>>2]=0;f[j+8>>2]=0;f[k>>2]=0;r=k+4|0;f[r>>2]=0;f[k+8>>2]=0;sJ(c,j);sJ(d,k);d=a+76|0;c=d+11|0;s=b[c>>0]|0;t=a+80|0;v=f[t>>2]|0;do if(((s<<24>>24<0?v:s&255)|0)==8){if(Puc(d,0,-1,470467,8)|0){w=b[c>>0]|0;x=f[t>>2]|0;y=20;break}z=f[k>>2]|0;p[l>>3]=+n[a+72>>2];f[h>>2]=-1056833530;f[h+4>>2]=l;f[h+8>>2]=1;f[h+12>>2]=1;HI(z,h,sK()|0)|0;z=f[j>>2]|0;gU(l,f[k>>2]|0,a+56|0);A=h+8|0;f[A>>2]=0;f[A+4>>2]=0;f[h>>2]=-1040121856;f[h+4>>2]=l;EI(z,h);z=l+36|0;A=f[z>>2]|0;if(A|0?(B=A+12|0,A=f[B>>2]|0,f[B>>2]=A+-1,(A|0)==1):0)aU(l);f[z>>2]=0;z=l+16|0;A=l+4|0;f[z>>2]=0;f[z+4>>2]=0;f[z+8>>2]=0;f[z+12>>2]=0;if((f[A>>2]|0)>0){z=f[l+40>>2]|0;B=0;do{f[z+(B<<2)>>2]=0;B=B+1|0}while((B|0)<(f[A>>2]|0))}A=f[l+44>>2]|0;if((A|0)!=(l+48|0))TC(A)}else{w=s;x=v;y=20}while(0);a:do if((y|0)==20){if(((w<<24>>24<0?x:w&255)|0)!=7){nEa(h,470591,d);WD(-213,h,477126,470187,150)}if(Puc(d,0,-1,470476,7)|0){nEa(h,470591,d);WD(-213,h,477126,470187,150)}v=f[j>>2]|0;s=v;if(((f[e>>2]|0)-v|0)!=56){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;v=cuc(32)|0;f[h>>2]=v;f[h+8>>2]=-2147483616;f[h+4>>2]=18;C=v;D=477051;E=C+18|0;do{b[C>>0]=b[D>>0]|0;C=C+1|0;D=D+1|0}while((C|0)<(E|0));b[v+18>>0]=0;WD(-215,h,477126,470187,119)}t=f[k>>2]|0;c=t;if(((f[r>>2]|0)-t|0)!=56){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;t=cuc(32)|0;f[h>>2]=t;f[h+8>>2]=-2147483616;f[h+4>>2]=19;C=t;D=472630;E=C+19|0;do{b[C>>0]=b[D>>0]|0;C=C+1|0;D=D+1|0}while((C|0)<(E|0));b[t+19>>0]=0;WD(-215,h,477126,470187,120)}if((f[s+4>>2]|0)!=4){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;v=cuc(32)|0;f[h>>2]=v;f[h+8>>2]=-2147483616;f[h+4>>2]=19;C=v;D=470484;E=C+19|0;do{b[C>>0]=b[D>>0]|0;C=C+1|0;D=D+1|0}while((C|0)<(E|0));b[v+19>>0]=0;WD(-215,h,477126,470187,121)}if((f[c+4>>2]|0)!=4){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;t=cuc(32)|0;f[h>>2]=t;f[h+8>>2]=-2147483616;f[h+4>>2]=20;C=t;D=470504;E=C+20|0;do{b[C>>0]=b[D>>0]|0;C=C+1|0;D=D+1|0}while((C|0)<(E|0));b[t+20>>0]=0;WD(-215,h,477126,470187,122)}v=f[s+40>>2]|0;A=f[v>>2]|0;B=f[c+40>>2]|0;if((A|0)!=(f[B>>2]|0)){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;F=cuc(48)|0;f[h>>2]=F;G=h+8|0;f[G>>2]=-2147483600;H=h+4|0;f[H>>2]=45;C=F;D=470525;E=C+45|0;do{b[C>>0]=b[D>>0]|0;C=C+1|0;D=D+1|0}while((C|0)<(E|0));I=F+45|0;b[I>>0]=0;WD(-213,h,477126,470187,125)}c=f[v+4>>2]|0;if((c|0)!=(f[B+4>>2]|0)){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;F=cuc(48)|0;f[h>>2]=F;G=h+8|0;f[G>>2]=-2147483600;H=h+4|0;f[H>>2]=45;C=F;D=470525;E=C+45|0;do{b[C>>0]=b[D>>0]|0;C=C+1|0;D=D+1|0}while((C|0)<(E|0));I=F+45|0;b[I>>0]=0;WD(-213,h,477126,470187,125)}t=f[v+8>>2]|0;z=f[v+12>>2]|0;J=f[a+56>>2]|0;K=f[J+16>>2]|0;L=(f[B+8>>2]|0)-(f[J+20>>2]|0)|0;M=f[J+24>>2]|0;N=(f[B+12>>2]|0)-(f[J+28>>2]|0)|0;if((K|0)>=(t|0))tN(K,t,136328);if((L|0)>=(t|0))tN(L,t,136356);if((M|0)>=(z|0))tN(M,z,136384);if((N|0)>=(z|0))tN(N,z,136412);if(A|0){z=l+8|0;t=l+12|0;J=l+4|0;O=o+8|0;P=o+4|0;Q=q+36|0;R=q+16|0;S=q+4|0;T=q+40|0;U=q+44|0;V=q+48|0;W=m+36|0;X=m+16|0;Z=m+4|0;_=m+40|0;$=m+44|0;aa=m+48|0;ba=0;ca=c;da=A;ea=s;b:while(1){if(!ca){fa=0;ga=da;ha=ea}else{ia=0;ja=ea;do{ka=f[ja+4>>2]|0;if((ka|0)<=2){y=47;break b}la=f[ja+40>>2]|0;ma=2;do{f[h+(ma+-2<<2)>>2]=f[la+(ma<<2)>>2];ma=ma+1|0}while((ma|0)!=(ka|0));ma=f[ja+44>>2]|0;la=(f[ja+16>>2]|0)+(Y(f[ma>>2]|0,ba)|0)|0;fU(m,ka+-2|0,h,f[ja>>2]&4095,la+(Y(f[ma+4>>2]|0,ia)|0)|0,0);f[z>>2]=0;f[t>>2]=0;f[l>>2]=16842752;f[J>>2]=m;ma=f[k>>2]|0;la=f[ma+4>>2]|0;if((la|0)<=2){y=51;break b}na=f[ma+40>>2]|0;oa=2;do{f[h+(oa+-2<<2)>>2]=f[na+(oa<<2)>>2];oa=oa+1|0}while((oa|0)!=(la|0));oa=f[ma+44>>2]|0;na=(f[ma+16>>2]|0)+(Y(f[oa>>2]|0,ba)|0)|0;fU(q,la+-2|0,h,f[ma>>2]&4095,na+(Y(f[oa+4>>2]|0,ia)|0)|0,0);oa=O;f[oa>>2]=0;f[oa+4>>2]=0;f[o>>2]=-1040121856;f[P>>2]=q;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;f[h+16>>2]=0;f[h+20>>2]=0;f[h+24>>2]=0;f[h+28>>2]=0;MI(l,o,K,L,M,N,4,h);oa=f[Q>>2]|0;do if(oa|0){na=oa+12|0;ka=f[na>>2]|0;f[na>>2]=ka+-1;if((ka|0)!=1)break;aU(q)}while(0);f[Q>>2]=0;f[R>>2]=0;f[R+4>>2]=0;f[R+8>>2]=0;f[R+12>>2]=0;if((f[S>>2]|0)>0){oa=f[T>>2]|0;ma=0;do{f[oa+(ma<<2)>>2]=0;ma=ma+1|0}while((ma|0)<(f[S>>2]|0))}ma=f[U>>2]|0;if((ma|0)!=(V|0))TC(ma);ma=f[W>>2]|0;do if(ma|0){oa=ma+12|0;la=f[oa>>2]|0;f[oa>>2]=la+-1;if((la|0)!=1)break;aU(m)}while(0);f[W>>2]=0;f[X>>2]=0;f[X+4>>2]=0;f[X+8>>2]=0;f[X+12>>2]=0;if((f[Z>>2]|0)>0){ma=f[_>>2]|0;la=0;do{f[ma+(la<<2)>>2]=0;la=la+1|0}while((la|0)<(f[Z>>2]|0))}la=f[$>>2]|0;if((la|0)!=(aa|0))TC(la);ia=ia+1|0;ja=f[j>>2]|0;pa=f[ja+40>>2]|0;qa=f[pa+4>>2]|0}while(ia>>>0<qa>>>0);fa=qa;ga=f[pa>>2]|0;ha=ja}ba=ba+1|0;if(ba>>>0>=ga>>>0)break a;else{ca=fa;da=ga;ea=ha}}if((y|0)==47){b[h+11>>0]=10;C=h;D=470571;E=C+10|0;do{b[C>>0]=b[D>>0]|0;C=C+1|0;D=D+1|0}while((C|0)<(E|0));b[h+10>>0]=0;WD(-215,h,470582,475396,110)}else if((y|0)==51){b[h+11>>0]=10;C=h;D=470571;E=C+10|0;do{b[C>>0]=b[D>>0]|0;C=C+1|0;D=D+1|0}while((C|0)<(E|0));b[h+10>>0]=0;WD(-215,h,470582,475396,110)}}}while(0);ut(k);ut(j)}if(!(f[i+4>>2]|0)){u=g;return}u=g;return}function Stb(a,b){a=a|0;b=b|0;var c=0;switch(b|0){case 3:{c=1;break}case 1:{if(aNa()|0)c=((f[a+60>>2]|0)-(f[a+56>>2]|0)|0)==32;else c=0;break}default:c=0}return c|0}function Ttb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function Utb(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;g=u;u=u+16|0;d=g;h=f[c>>2]|0;i=h;if(((f[c+4>>2]|0)-h|0)!=12){c=cuc(32)|0;f[d>>2]=c;f[d+8>>2]=-2147483616;f[d+4>>2]=18;j=c;k=477051;l=j+18|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[c+18>>0]=0;WD(-215,d,477070,470187,50)}c=i+4|0;m=h;h=(f[c>>2]|0)-(f[m>>2]|0)>>2;n=a+44|0;o=a+48|0;p=(f[o>>2]|0)-(f[n>>2]|0)>>3;if(h>>>0<p>>>0){q=cuc(48)|0;f[d>>2]=q;f[d+8>>2]=-2147483600;f[d+4>>2]=34;j=q;k=470347;l=j+34|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[q+34>>0]=0;WD(-215,d,477070,470187,52)}q=a+68|0;a=f[q>>2]|0;if(!(h>>>0>p>>>0|((a|0)==-1|(h|0)==(a|0)))){a=cuc(96)|0;f[d>>2]=a;f[d+8>>2]=-2147483552;f[d+4>>2]=84;j=a;k=470382;l=j+84|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[a+84>>0]=0;WD(-215,d,477070,470187,53)}d=e+4|0;a=f[d>>2]|0;k=f[e>>2]|0;j=a-k|0;l=(j|0)/12|0;h=k;k=a;if(j){if(l>>>0>1?(j=h+12|0,(k|0)!=(j|0)):0){h=k;while(1){k=h+-12|0;f[d>>2]=k;a=f[k>>2]|0;if(!a)r=k;else{k=h+-8|0;p=f[k>>2]|0;if((p|0)!=(a|0))f[k>>2]=p+(~((p+-4-a|0)>>>2)<<2);fuc(a);r=f[d>>2]|0}if((r|0)==(j|0))break;else h=r}}}else Hmb(e,1-l|0,i);l=f[q>>2]|0;if((l|0)==-1)s=0;else s=(f[c>>2]|0)-(f[m>>2]|0)>>2>>>0>l>>>0&1;l=f[o>>2]|0;o=f[n>>2]|0;n=o;if((l|0)==(o|0)){u=g;return 0}m=f[i>>2]|0;i=f[f[e>>2]>>2]|0;e=l-o>>3;o=0;do{l=o+s|0;f[i+(l<<2)>>2]=(f[n+(o<<3)>>2]|0)+(f[m+(l<<2)>>2]|0)+(f[n+(o<<3)+4>>2]|0);o=o+1|0}while(o>>>0<e>>>0);u=g;return 0}function Vtb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(d-g>>3>>>0>=b>>>0){kzc(g|0,0,b<<3|0)|0;f[e>>2]=g+(b<<3);return}h=f[a>>2]|0;i=g-h|0;g=i>>3;j=g+b|0;if(j>>>0>536870911)nsc(a);k=d-h|0;d=k>>2;l=k>>3>>>0<268435455?(d>>>0<j>>>0?j:d):536870911;do if(l)if(l>>>0>536870911){d=ze(8)|0;kuc(d,519086);f[d>>2]=167148;Hf(d|0,26888,1888)}else{m=cuc(l<<3)|0;break}else m=0;while(0);d=m+(g<<3)|0;kzc(d|0,0,b<<3|0)|0;j=d+(0-g<<3)|0;if((i|0)>0)szc(j|0,h|0,i|0)|0;f[a>>2]=j;f[e>>2]=d+(b<<3);f[c>>2]=m+(l<<3);if(!h)return;fuc(h);return}function Wtb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;d=u;u=u+32|0;e=d;g=f[a>>2]|0;h=g;i=(f[b>>2]|0)-h|0;b=g+(i>>3<<3)|0;g=a+4|0;j=f[g>>2]|0;k=a+8|0;l=f[k>>2]|0;m=j;n=l;if(j>>>0<l>>>0){if((b|0)==(j|0)){l=c;o=f[l+4>>2]|0;p=b;f[p>>2]=f[l>>2];f[p+4>>2]=o;f[g>>2]=(f[g>>2]|0)+8;q=b;u=d;return q|0}o=m-(b+8)|0;p=o>>3;l=b+(p<<3)|0;if(l>>>0<j>>>0){r=l;l=j;do{s=r;t=f[s+4>>2]|0;v=l;f[v>>2]=f[s>>2];f[v+4>>2]=t;r=r+8|0;l=(f[g>>2]|0)+8|0;f[g>>2]=l}while(r>>>0<j>>>0)}if(p|0)uzc(j+(0-p<<3)|0,b|0,o|0)|0;o=c;p=f[o+4>>2]|0;j=b;f[j>>2]=f[o>>2];f[j+4>>2]=p;q=b;u=d;return q|0}p=(m-h>>3)+1|0;if(p>>>0>536870911)nsc(a);m=n-h|0;h=m>>2;n=m>>3>>>0<268435455?(h>>>0<p>>>0?p:h):536870911;h=b;p=i>>3;f[e+12>>2]=0;f[e+16>>2]=a+8;do if(n)if(n>>>0>536870911){i=ze(8)|0;kuc(i,519086);f[i>>2]=167148;Hf(i|0,26888,1888)}else{w=cuc(n<<3)|0;break}else w=0;while(0);f[e>>2]=w;i=w+(p<<3)|0;p=e+8|0;f[p>>2]=i;m=e+4|0;f[m>>2]=i;i=e+12|0;f[i>>2]=w+(n<<3);Xtb(e,c);c=f[m>>2]|0;n=f[a>>2]|0;w=h-n|0;j=c+(0-(w>>3)<<3)|0;f[m>>2]=j;if((w|0)>0)szc(j|0,n|0,w|0)|0;w=f[g>>2]|0;n=w-h|0;if((n|0)>0){szc(f[p>>2]|0,b|0,n|0)|0;b=(f[p>>2]|0)+(n>>>3<<3)|0;f[p>>2]=b;x=p;y=b;z=f[g>>2]|0}else{x=p;y=f[p>>2]|0;z=w}w=f[a>>2]|0;f[a>>2]=f[m>>2];f[m>>2]=w;f[g>>2]=y;f[x>>2]=z;x=f[k>>2]|0;f[k>>2]=f[i>>2];f[i>>2]=x;f[e>>2]=w;e=z;if((e|0)!=(w|0))f[p>>2]=e+(~((e+-8-w|0)>>>3)<<3);if(w|0)fuc(w);q=c;u=d;return q|0}function Xtb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;c=a+8|0;d=f[c>>2]|0;e=a+12|0;g=f[e>>2]|0;h=g;i=d;do if((d|0)==(g|0)){j=a+4|0;k=f[j>>2]|0;l=f[a>>2]|0;m=l;if(k>>>0>l>>>0){n=k;o=((n-m>>3)+1|0)/-2|0;p=k+(o<<3)|0;q=i-n|0;n=q>>3;if(!n)r=k;else{uzc(p|0,k|0,q|0)|0;r=f[j>>2]|0}q=p+(n<<3)|0;f[c>>2]=q;f[j>>2]=r+(o<<3);s=q;break}q=h-m>>2;m=(q|0)==0?1:q;if(m>>>0>536870911){q=ze(8)|0;kuc(q,519086);f[q>>2]=167148;Hf(q|0,26888,1888)}q=cuc(m<<3)|0;o=q;n=q+(m>>>2<<3)|0;p=n;t=q+(m<<3)|0;if((k|0)==(d|0)){u=p;v=l}else{l=n;n=p;m=k;do{k=m;q=f[k+4>>2]|0;w=l;f[w>>2]=f[k>>2];f[w+4>>2]=q;l=n+8|0;n=l;m=m+8|0}while((m|0)!=(d|0));u=n;v=f[a>>2]|0}f[a>>2]=o;f[j>>2]=p;f[c>>2]=u;f[e>>2]=t;if(!v)s=u;else{fuc(v);s=f[c>>2]|0}}else s=d;while(0);d=b;b=f[d+4>>2]|0;v=s;f[v>>2]=f[d>>2];f[v+4>>2]=b;f[c>>2]=(f[c>>2]|0)+8;return}function Ytb(a,b){a=a|0;b=b|0;var c=0;c=cuc(116)|0;Ztb(c,b);f[a>>2]=c;b=cuc(16)|0;f[b+4>>2]=0;f[b+8>>2]=0;f[b>>2]=136448;f[b+12>>2]=c;f[a+4>>2]=b;return}function Ztb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;d=u;u=u+48|0;e=d+8|0;g=d;h=d+24|0;i=d+16|0;WMa(a);f[a>>2]=136476;j=a+44|0;k=a+48|0;l=a+52|0;m=a+108|0;n=a+112|0;f[n>>2]=0;o=j;p=o+64|0;do{f[o>>2]=0;o=o+4|0}while((o|0)<(p|0));b[j+64>>0]=0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;j=h+11|0;b[j>>0]=5;b[h>>0]=b[471004]|0;b[h+1>>0]=b[471005]|0;b[h+2>>0]=b[471006]|0;b[h+3>>0]=b[471007]|0;b[h+4>>0]=b[471008]|0;b[h+5>>0]=0;q=(cGa(c,h)|0)==0;if((b[j>>0]|0)<0)fuc(f[h>>2]|0);if(q){u=d;return};f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;q=h+11|0;b[q>>0]=5;b[h>>0]=b[471004]|0;b[h+1>>0]=b[471005]|0;b[h+2>>0]=b[471006]|0;b[h+3>>0]=b[471007]|0;b[h+4>>0]=b[471008]|0;b[h+5>>0]=0;qEa(i,iGa(c,h)|0);if((b[q>>0]|0)<0)fuc(f[h>>2]|0);q=f[i>>2]|0;switch(q|0){case 0:{r=(f[i+4>>2]|0)+4|0;break}case 3:{r=(f[i+4>>2]|0)+4|0;break}case 2:{r=(f[i+4>>2]|0)+4|0;break}default:{f[g>>2]=q;cE(h,476242,g);WD(-3,h,476262,476267,297)}}g=f[r>>2]|0;f[n>>2]=g;a:do if(g|0){r=a+56|0;q=0;while(1){j=hEa(i,q)|0;s=f[n>>2]|0;if((j|0)<0|j>>>0>s>>>0){t=15;break}v=f[k>>2]|0;w=f[l>>2]|0;b:do if((v|0)==(w|0)){x=v;t=19}else{y=v;do{if((f[y>>2]|0)==(j|0)){x=y;t=19;break b}y=y+4|0}while((y|0)!=(w|0))}while(0);if((t|0)==19?(t=0,(x|0)!=(w|0)):0){t=20;break}f[h>>2]=j;if(w>>>0<(f[r>>2]|0)>>>0){f[w>>2]=j;f[l>>2]=w+4}else rI(k,h);q=q+1|0;if(q>>>0>=(f[n>>2]|0)>>>0)break a}if((t|0)==15){f[e>>2]=s+-1;cE(h,471010,e);WD(-5,h,471077,471094,91)}else if((t|0)==20){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;q=cuc(64)|0;f[h>>2]=q;f[h+8>>2]=-2147483584;f[h+4>>2]=51;o=q;r=471175;p=o+51|0;do{b[o>>0]=b[r>>0]|0;o=o+1|0;r=r+1|0}while((o|0)<(p|0));b[q+51>>0]=0;WD(-5,h,471077,471094,96)}}while(0);XMa(a,c);b[m>>0]=0;c=f[n>>2]|0;c:do if(c|0){n=f[a+48>>2]|0;h=0;while(1){if((f[n+(h<<2)>>2]|0)!=(h|0))break;h=h+1|0;if(h>>>0>=c>>>0)break c}b[m>>0]=1}while(0);mEa(i);u=d;return}function _tb(a){a=a|0;Qtc(a);fuc(a);return}function $tb(a){a=a|0;var b=0;b=f[a+12>>2]|0;if(!b)return;bi[f[(f[b>>2]|0)+4>>2]&2047](b);return}function aub(a,b){a=a|0;b=b|0;return ((f[b+4>>2]|0)==470845?a+12|0:0)|0}function bub(a){a=a|0;fuc(a);return}function cub(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=136476;b=f[a+96>>2]|0;if(b|0){c=a+100|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+84>>2]|0;if(b|0){d=a+88|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+72>>2]|0;if(b|0){c=a+76|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+60>>2]|0;if(b|0){d=a+64|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+48>>2]|0;if(!b){pKa(a);return}c=a+52|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b);pKa(a);return}function dub(a){a=a|0;cub(a);fuc(a);return}function eub(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=u;u=u+48|0;g=e+36|0;h=e+24|0;i=e+12|0;j=e;if(!(b[a+108>>0]|0)){u=e;return}f[g>>2]=0;k=g+4|0;f[k>>2]=0;f[g+8>>2]=0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;sJ(c,g);sJ(d,h);d=f[g>>2]|0;c=d;if((f[k>>2]|0)==(d|0)){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;d=cuc(32)|0;f[i>>2]=d;f[i+8>>2]=-2147483616;f[i+4>>2]=17;l=d;m=473334;n=l+17|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));b[d+17>>0]=0;WD(-215,i,476610,471094,171)}d=f[a+112>>2]|0;if((d|0)!=(f[c+4>>2]|0)){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;k=cuc(32)|0;f[i>>2]=k;f[i+8>>2]=-2147483616;f[i+4>>2]=26;l=k;m=471912;n=l+26|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));b[k+26>>0]=0;WD(-215,i,476610,471094,173)}k=f[c+40>>2]|0;f[i>>2]=0;c=i+4|0;f[c>>2]=0;f[i+8>>2]=0;KKa(i,k,k+(d<<2)|0);d=f[h>>2]|0;k=f[d+4>>2]|0;m=f[d+40>>2]|0;f[j>>2]=0;d=j+4|0;f[d>>2]=0;f[j+8>>2]=0;KKa(j,m,m+(k<<2)|0);mub(a,i,j);a=f[j>>2]|0;if(a|0){j=f[d>>2]|0;if((j|0)!=(a|0))f[d>>2]=j+(~((j+-4-a|0)>>>2)<<2);fuc(a)}a=f[i>>2]|0;if(a|0){i=f[c>>2]|0;if((i|0)!=(a|0))f[c>>2]=i+(~((i+-4-a|0)>>>2)<<2);fuc(a)}ut(h);ut(g);u=e;return}function fub(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0;g=u;u=u+48|0;h=g+40|0;i=g+28|0;j=g+16|0;k=g;gV(h,136576);if(f[h>>2]|0){}if((CJ(c,-1)|0)==3)JKa(a,c,d,e);else{f[i>>2]=0;e=i+4|0;f[e>>2]=0;f[i+8>>2]=0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;sJ(c,i);sJ(d,j);d=f[i>>2]|0;c=(f[e>>2]|0)-d|0;e=(c|0)/56|0;l=d;a:do if(!(b[a+108>>0]|0)){if(c|0){d=k+8|0;m=k+4|0;n=0;while(1){o=f[j>>2]|0;p=f[o+(n*56|0)+4>>2]|0;if((p|0)<3)q=Y(f[o+(n*56|0)+12>>2]|0,f[o+(n*56|0)+8>>2]|0)|0;else{r=f[o+(n*56|0)+40>>2]|0;s=0;t=1;while(1){v=Y(f[r+(s<<2)>>2]|0,t)|0;s=s+1|0;if((s|0)==(p|0)){q=v;break}else t=v}}t=f[i>>2]|0;p=f[t+(n*56|0)+4>>2]|0;if((p|0)<3)w=Y(f[t+(n*56|0)+12>>2]|0,f[t+(n*56|0)+8>>2]|0)|0;else{s=f[t+(n*56|0)+40>>2]|0;r=0;v=1;while(1){x=Y(f[s+(r<<2)>>2]|0,v)|0;r=r+1|0;if((r|0)==(p|0)){w=x;break}else v=x}}if((q|0)!=(w|0))break;if((f[o+(n*56|0)+16>>2]|0)!=(f[t+(n*56|0)+16>>2]|0)){v=d;f[v>>2]=0;f[v+4>>2]=0;f[k>>2]=33619968;f[m>>2]=o+(n*56|0);EI(t+(n*56|0)|0,k)}n=n+1|0;if(n>>>0>=e>>>0)break a}f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;n=cuc(48)|0;f[k>>2]=n;f[k+8>>2]=-2147483600;f[k+4>>2]=39;y=n;z=471386;A=y+39|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));b[n+39>>0]=0;WD(-215,k,477126,471094,326)}}else{m=f[a+44>>2]|0;d=f[a+112>>2]|0;v=f[a+96>>2]|0;p=f[a+84>>2]|0;r=a+48|0;s=f[r>>2]|0;if(c|0){x=(d|0)==4;B=(m|0)==0;C=(d|0)==0;D=f[j>>2]|0;b:do if((f[l+4>>2]|0)==(d|0)){E=0;F=D;G=l;H=D;I=l;c:while(1){J=f[I+(E*56|0)+40>>2]|0;K=f[J+-4>>2]|0;L=f[I+40>>2]|0;if((K|0)!=(f[L+-4>>2]|0))break b;if((K|0)==2){if((f[J>>2]|0)!=(f[L>>2]|0))break b;if((f[J+4>>2]|0)!=(f[L+4>>2]|0))break b}else if((K|0)>0){M=0;do{if((f[J+(M<<2)>>2]|0)!=(f[L+(M<<2)>>2]|0))break b;M=M+1|0}while((M|0)<(K|0))}if((f[F+(E*56|0)+4>>2]|0)!=(d|0)){N=42;break}K=f[F+(E*56|0)+40>>2]|0;M=f[K+-4>>2]|0;L=f[F+40>>2]|0;if((M|0)!=(f[L+-4>>2]|0)){N=42;break}if((M|0)==2){if((f[K>>2]|0)!=(f[L>>2]|0)){N=42;break}if((f[K+4>>2]|0)!=(f[L+4>>2]|0)){N=42;break}}else if((M|0)>0){J=0;do{if((f[K+(J<<2)>>2]|0)!=(f[L+(J<<2)>>2]|0)){N=42;break c}J=J+1|0}while((J|0)<(M|0))}M=f[G>>2]|0;if(!(M&16384)){N=45;break}J=f[H>>2]|0;if(!(J&16384)){N=45;break}if(!((M&4095|0)==5&(J&4095|0)==5)){N=47;break}d:do if(!x){J=f[I+(E*56|0)+16>>2]|0;M=f[F+(E*56|0)+16>>2]|0;if(!B){if(C){L=0;while(1){f[M+(L<<2)>>2]=f[J>>2];L=L+1|0;if((L|0)==(m|0))break d}}else O=0;do{L=0;K=0;P=O;while(1){Q=f[v+(K<<2)>>2]|0;L=(Y(f[p+(f[s+(K<<2)>>2]<<2)>>2]|0,(P>>>0)/(Q>>>0)|0)|0)+L|0;K=K+1|0;if((K|0)==(d|0))break;else P=(P>>>0)%(Q>>>0)|0}f[M+(O<<2)>>2]=f[J+(L<<2)>>2];O=O+1|0}while((O|0)!=(m|0))}}else jub(G,H,r,tZ()|0);while(0);J=E+1|0;if(J>>>0>=e>>>0)break a;M=f[i>>2]|0;P=f[j>>2]|0;if((f[M+(J*56|0)+4>>2]|0)==(d|0)){E=J;F=P;G=M+(J*56|0)|0;H=P+(J*56|0)|0;I=M}else break b}if((N|0)==42){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;I=cuc(64)|0;f[k>>2]=I;f[k+8>>2]=-2147483584;f[k+4>>2]=50;y=I;z=471476;A=y+50|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));b[I+50>>0]=0;WD(-215,k,477126,471094,344)}else if((N|0)==45){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;H=cuc(48)|0;f[k>>2]=H;f[k+8>>2]=-2147483600;f[k+4>>2]=40;y=H;z=471527;A=y+40|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));b[H+40>>0]=0;WD(-215,k,477126,471094,346)}else if((N|0)==47){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;I=cuc(48)|0;f[k>>2]=I;f[k+8>>2]=-2147483600;f[k+4>>2]=44;y=I;z=471568;A=y+44|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));b[I+44>>0]=0;WD(-215,k,477126,471094,347)}}while(0);f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;d=cuc(64)|0;f[k>>2]=d;f[k+8>>2]=-2147483584;f[k+4>>2]=49;y=d;z=471426;A=y+49|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));b[d+49>>0]=0;WD(-215,k,477126,471094,343)}}while(0);ut(j);ut(i)}if(!(f[h+4>>2]|0)){u=g;return}u=g;return}function gub(a,b){a=a|0;b=b|0;var c=0;switch(b|0){case 3:{c=1;break}case 2:{c=rib()|0;break}default:c=0}return c|0}function hub(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function iub(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;h=u;u=u+48|0;i=h+24|0;j=h+12|0;k=h;if(!(b[a+108>>0]|0)){GKa(a,c,d,e,g)|0;l=1;u=h;return l|0}g=c+4|0;d=f[c>>2]|0;m=d;if((f[g>>2]|0)==(d|0)){n=cuc(32)|0;f[i>>2]=n;f[i+8>>2]=-2147483616;f[i+4>>2]=17;o=n;p=473334;q=o+17|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[n+17>>0]=0;WD(-215,i,477070,471094,122)}n=a+112|0;if((f[n>>2]|0)!=((f[m+4>>2]|0)-(f[d>>2]|0)>>2|0)){d=cuc(48)|0;f[i>>2]=d;f[i+8>>2]=-2147483600;f[i+4>>2]=33;o=d;p=471227;q=o+33|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[d+33>>0]=0;WD(-215,i,477070,471094,123)}tHa(j,m);f[k>>2]=0;m=k+4|0;f[m>>2]=0;f[k+8>>2]=0;a:do if(f[n>>2]|0){d=a+48|0;r=k+8|0;s=0;t=0;v=0;while(1){w=(f[j>>2]|0)+(f[(f[d>>2]|0)+(s<<2)>>2]<<2)|0;if((t|0)==(v|0))es(k,w);else{f[t>>2]=f[w>>2];f[m>>2]=t+4}w=s+1|0;if(w>>>0>=(f[n>>2]|0)>>>0)break a;s=w;t=f[m>>2]|0;v=f[r>>2]|0}}while(0);n=f[e>>2]|0;a=e+4|0;r=f[a>>2]|0;if((r|0)!=(n|0)){v=r;while(1){r=v+-12|0;f[a>>2]=r;t=f[r>>2]|0;if(!t)x=r;else{r=v+-8|0;s=f[r>>2]|0;if((s|0)!=(t|0))f[r>>2]=s+(~((s+-4-t|0)>>>2)<<2);fuc(t);x=f[a>>2]|0}if((x|0)==(n|0))break;else v=x}}x=f[c>>2]|0;b:do if((f[g>>2]|0)!=(x|0)){v=e+8|0;n=0;t=x;while(1){s=t;r=f[s+(n*12|0)+4>>2]|0;d=f[s+(n*12|0)>>2]|0;s=d;if((r-d|0)!=16){y=32;break}d=f[j>>2]|0;if((f[s+8>>2]|0)!=(f[d+8>>2]|0)){y=35;break}if((f[s+12>>2]|0)!=(f[d+12>>2]|0)){y=35;break}if((s|0)==(r|0))z=0;else{r=Y(f[s+4>>2]|0,f[s>>2]|0)|0;d=Y(f[s+8>>2]|0,r)|0;z=Y(f[s+12>>2]|0,d)|0}d=f[m>>2]|0;s=f[k>>2]|0;r=d-s|0;w=r>>2;A=s;if((A|0)!=(d|0)){if((r|0)<=-4){y=41;break}if((r|0)>0){r=0;d=1;while(1){s=Y(f[A+(r<<2)>>2]|0,d)|0;r=r+1|0;if((r|0)>=(w|0)){B=s;break}else d=s}}else B=1}else B=0;if((z|0)!=(B|0)){y=44;break}C=f[a>>2]|0;if((C|0)==(f[v>>2]|0))uHa(e,k);else{f[C>>2]=0;d=C+4|0;f[d>>2]=0;f[C+8>>2]=0;w=(f[m>>2]|0)-(f[k>>2]|0)|0;r=w>>2;if(r|0){if(r>>>0>1073741823){y=48;break}A=cuc(w)|0;f[d>>2]=A;f[C>>2]=A;f[C+8>>2]=A+(r<<2);r=f[k>>2]|0;w=(f[m>>2]|0)-r|0;if((w|0)>0){szc(A|0,r|0,w|0)|0;f[d>>2]=A+(w>>>2<<2)}}f[a>>2]=(f[a>>2]|0)+12}n=n+1|0;t=f[c>>2]|0;if(n>>>0>=(((f[g>>2]|0)-t|0)/12|0)>>>0)break b}if((y|0)==32){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;t=cuc(32)|0;f[i>>2]=t;f[i+8>>2]=-2147483616;f[i+4>>2]=21;o=t;p=471261;q=o+21|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[t+21>>0]=0;WD(-215,i,477070,471094,135)}else if((y|0)==35){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;n=cuc(80)|0;f[i>>2]=n;f[i+8>>2]=-2147483568;f[i+4>>2]=64;o=n;p=471283;q=o+64|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[n+64>>0]=0;WD(-215,i,477070,471094,136)}else if((y|0)==41){t=cuc(80)|0;f[i>>2]=t;f[i+8>>2]=-2147483568;f[i+4>>2]=70;o=t;p=475319;q=o+70|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[t+70>>0]=0;WD(-215,i,475390,475396,161)}else if((y|0)==44){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;n=cuc(48)|0;f[i>>2]=n;f[i+8>>2]=-2147483600;f[i+4>>2]=37;o=n;p=471348;q=o+37|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[n+37>>0]=0;WD(-215,i,477070,471094,137)}else if((y|0)==48)nsc(C)}while(0);C=f[k>>2]|0;if(C|0){k=f[m>>2]|0;if((k|0)!=(C|0))f[m>>2]=k+(~((k+-4-C|0)>>>2)<<2);fuc(C)}C=f[j>>2]|0;if(C|0){k=j+4|0;j=f[k>>2]|0;if((j|0)!=(C|0))f[k>>2]=j+(~((j+-4-C|0)>>>2)<<2);fuc(C)}l=0;u=h;return l|0}function jub(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0;g=u;u=u+32|0;h=g+12|0;i=g;f[h>>2]=136616;f[h+4>>2]=a;f[h+8>>2]=c;f[h+12>>2]=d;f[h+16>>2]=e;j=f[c+40>>2]|0;c=f[d>>2]|0;d=f[a+40>>2]|0;if((((f[j>>2]|0)==(f[d+(f[c>>2]<<2)>>2]|0)?(f[j+4>>2]|0)==(f[d+(f[c+4>>2]<<2)>>2]|0):0)?(f[j+8>>2]|0)==(f[d+(f[c+8>>2]<<2)>>2]|0):0)?(f[j+12>>2]|0)==(f[d+(f[c+12>>2]<<2)>>2]|0):0){f[i>>2]=0;f[i+4>>2]=e;sZ(i,h,+(e|0));u=g;return};f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;g=cuc(160)|0;f[i>>2]=g;f[i+8>>2]=-2147483488;f[i+4>>2]=144;szc(g|0,471613,144)|0;b[g+144>>0]=0;WD(-215,i,472820,471094,215)}function kub(a){a=a|0;fuc(a);return}function lub(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;c=f[a+8>>2]|0;d=f[c+40>>2]|0;e=f[d>>2]|0;g=f[d+4>>2]|0;h=f[d+8>>2]|0;i=f[d+12>>2]|0;d=Y(Y(g,e)|0,h)|0;j=f[a+16>>2]|0;k=((d+-1+j|0)>>>0)/(j>>>0)|0;j=Y(f[b>>2]|0,k)|0;l=Y(f[b+4>>2]|0,k)|0;k=d>>>0<l>>>0?d:l;l=f[c+44>>2]|0;d=(f[l>>2]|0)>>>2;b=(f[l+4>>2]|0)>>>2;m=(f[l+8>>2]|0)>>>2;l=f[a+12>>2]|0;n=f[l>>2]|0;if((f[l+4>>2]|0)==(n|0))osc(l);l=n;n=f[a+4>>2]|0;a=f[n+44>>2]|0;o=(f[a+(f[l>>2]<<2)>>2]|0)>>>2;p=(f[a+(f[l+4>>2]<<2)>>2]|0)>>>2;q=(f[a+(f[l+8>>2]<<2)>>2]|0)>>>2;r=(f[a+(f[l+12>>2]<<2)>>2]|0)>>>2;l=(j>>>0)/(h>>>0)|0;a=f[n+16>>2]|0;n=f[c+16>>2]|0;if(!(j>>>0<k>>>0&(i|0)>0))return;c=(j>>>0)%(h>>>0)|0;s=(l>>>0)%(g>>>0)|0;t=j;j=(l>>>0)/(g>>>0)|0;while(1){l=a+((Y(j,o)|0)<<2)+((Y(s,p)|0)<<2)+((Y(c,q)|0)<<2)|0;u=n+((Y(j,d)|0)<<2)+((Y(s,b)|0)<<2)+((Y(c,m)|0)<<2)|0;v=0;do{w=l+((Y(v,r)|0)<<2)|0;f[u+(v<<2)>>2]=f[w>>2];v=v+1|0}while((v|0)!=(i|0));v=c+1|0;if((v|0)>=(h|0)){u=s+1|0;if((u|0)>=(g|0)){l=j+1|0;if((l|0)<(e|0)){x=0;y=0;z=l}else{A=11;break}}else{x=0;y=u;z=j}}else{x=v;y=s;z=j}t=t+1|0;if(t>>>0>=k>>>0){A=11;break}else{c=x;s=y;j=z}}if((A|0)==11)return}function mub(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;d=a+84|0;e=a+112|0;g=f[e>>2]|0;h=a+88|0;i=f[h>>2]|0;j=f[d>>2]|0;k=i-j>>2;l=j;j=i;if(g>>>0<=k>>>0)if(g>>>0<k>>>0?(i=l+(g<<2)|0,(j|0)!=(i|0)):0){f[h>>2]=j+(~((j+-4-i|0)>>>2)<<2);m=g}else m=g;else{dY(d,g-k|0);m=f[e>>2]|0}k=a+96|0;g=a+100|0;i=f[g>>2]|0;j=f[k>>2]|0;h=i-j>>2;l=j;j=i;if(m>>>0<=h>>>0)if(m>>>0<h>>>0?(i=l+(m<<2)|0,(j|0)!=(i|0)):0){f[g>>2]=j+(~((j+-4-i|0)>>>2)<<2);n=m;o=l}else{n=m;o=l}else{dY(k,m-h|0);n=f[e>>2]|0;o=f[k>>2]|0}h=f[d>>2]|0;f[h+(n+-1<<2)>>2]=1;f[o+((f[e>>2]|0)+-1<<2)>>2]=1;o=(f[e>>2]|0)+-2|0;if((o|0)<=-1){p=f[b>>2]|0;q=f[h>>2]|0;r=f[p>>2]|0;s=Y(r,q)|0;t=a+44|0;f[t>>2]=s;return}e=f[b>>2]|0;b=f[k>>2]|0;k=f[c>>2]|0;c=o;while(1){o=c+1|0;n=Y(f[e+(o<<2)>>2]|0,f[h+(o<<2)>>2]|0)|0;f[h+(c<<2)>>2]=n;n=Y(f[k+(o<<2)>>2]|0,f[b+(o<<2)>>2]|0)|0;f[b+(c<<2)>>2]=n;if((c|0)>0)c=c+-1|0;else{p=e;break}}q=f[h>>2]|0;r=f[p>>2]|0;s=Y(r,q)|0;t=a+44|0;f[t>>2]=s;return}function nub(a,b){a=a|0;b=b|0;var c=0,e=0,g=0,h=0;c=cuc(204)|0;oub(c,b);f[c>>2]=136636;f[c+100>>2]=1124007936;b=c+108|0;e=c+140|0;g=c+104|0;h=g+36|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));f[e>>2]=b;b=c+148|0;f[c+144>>2]=b;g=b;h=g+52|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));d[b+52>>1]=0;b=c;c=cuc(16)|0;f[c+4>>2]=0;f[c+8>>2]=0;f[c>>2]=136856;f[c+12>>2]=b;f[a>>2]=b;f[a+4>>2]=c;return}function oub(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;d=u;u=u+32|0;e=d+24|0;g=d+20|0;h=d+16|0;i=d+12|0;j=d;WMa(a);k=a+44|0;l=k;m=l+52|0;do{f[l>>2]=0;l=l+4|0}while((l|0)<(m|0));f[a>>2]=136936;XMa(a,c);f[e>>2]=0;f[g>>2]=0;f[h>>2]=0;f[i>>2]=0;n=a+56|0;o=a+52|0;gsb(c,a+48|0,k,e,g,i,h,n,o,a+72|0,a+68|0,a+84|0);k=f[e>>2]|0;if((k|0)!=(f[i>>2]|0)){f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;p=cuc(64)|0;f[j>>2]=p;q=j+8|0;f[q>>2]=-2147483584;r=j+4|0;f[r>>2]=51;l=p;s=473743;m=l+51|0;do{b[l>>0]=b[s>>0]|0;l=l+1|0;s=s+1|0}while((l|0)<(m|0));t=p+51|0;b[t>>0]=0;WD(-213,j,473863,472215,73)}i=f[g>>2]|0;if((i|0)!=(f[h>>2]|0)){f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;p=cuc(64)|0;f[j>>2]=p;q=j+8|0;f[q>>2]=-2147483584;r=j+4|0;f[r>>2]=51;l=p;s=473743;m=l+51|0;do{b[l>>0]=b[s>>0]|0;l=l+1|0;s=s+1|0}while((l|0)<(m|0));t=p+51|0;b[t>>0]=0;WD(-213,j,473863,472215,73)}f[a+60>>2]=i;f[a+64>>2]=k;k=j+11|0;b[k>>0]=10;l=j;s=473888;m=l+10|0;do{b[l>>0]=b[s>>0]|0;l=l+1|0;s=s+1|0}while((l|0)<(m|0));b[j+10>>0]=0;i=hEa(iGa(c,j)|0,-1)|0;t=a+96|0;f[t>>2]=i;if((b[k>>0]|0)<0)fuc(f[j>>2]|0);f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;k=j+11|0;b[k>>0]=5;b[j>>0]=b[490786]|0;b[j+1>>0]=b[490787]|0;b[j+2>>0]=b[490788]|0;b[j+3>>0]=b[490789]|0;b[j+4>>0]=b[490790]|0;b[j+5>>0]=0;i=gEa(c,j)|0;p=c+4|0;if((i|0)==(p|0))v=1;else{r=hEa(i+28|0,-1)|0;v=r}if((b[k>>0]|0)<0)fuc(f[j>>2]|0);f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;k=j+11|0;b[k>>0]=5;b[j>>0]=b[473899]|0;b[j+1>>0]=b[473900]|0;b[j+2>>0]=b[473901]|0;b[j+3>>0]=b[473902]|0;b[j+4>>0]=b[473903]|0;b[j+5>>0]=0;r=gEa(c,j)|0;if((r|0)==(p|0))w=0;else{i=hEa(r+28|0,-1)|0;w=i}i=a+80|0;f[i>>2]=w;if((b[k>>0]|0)<0)fuc(f[j>>2]|0);f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;k=j+11|0;b[k>>0]=5;b[j>>0]=b[473905]|0;b[j+1>>0]=b[473906]|0;b[j+2>>0]=b[473907]|0;b[j+3>>0]=b[473908]|0;b[j+4>>0]=b[473909]|0;b[j+5>>0]=0;w=gEa(c,j)|0;if((w|0)==(p|0))x=0;else{p=hEa(w+28|0,-1)|0;x=p}p=a+76|0;f[p>>2]=x;if((b[k>>0]|0)<0)fuc(f[j>>2]|0);if((f[t>>2]|0)%(v|0)|0|0){f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;v=cuc(32)|0;f[j>>2]=v;f[j+8>>2]=-2147483616;f[j+4>>2]=24;l=v;s=473911;m=l+24|0;do{b[l>>0]=b[s>>0]|0;l=l+1|0;s=s+1|0}while((l|0)<(m|0));b[v+24>>0]=0;WD(-215,j,473863,472215,84)}if((f[p>>2]|0)>=(f[o>>2]|0)){f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;y=cuc(80)|0;f[j>>2]=y;z=j+8|0;f[z>>2]=-2147483568;A=j+4|0;f[A>>2]=66;l=y;s=473936;m=l+66|0;do{b[l>>0]=b[s>>0]|0;l=l+1|0;s=s+1|0}while((l|0)<(m|0));B=y+66|0;b[B>>0]=0;WD(-215,j,473863,472215,86)}if((f[i>>2]|0)<(f[n>>2]|0)){u=d;return}else{f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;y=cuc(80)|0;f[j>>2]=y;z=j+8|0;f[z>>2]=-2147483568;A=j+4|0;f[A>>2]=66;l=y;s=473936;m=l+66|0;do{b[l>>0]=b[s>>0]|0;l=l+1|0;s=s+1|0}while((l|0)<(m|0));B=y+66|0;b[B>>0]=0;WD(-215,j,473863,472215,86)}}function pub(a){a=a|0;Qtc(a);fuc(a);return}function qub(a){a=a|0;var b=0;b=f[a+12>>2]|0;if(!b)return;bi[f[(f[b>>2]|0)+4>>2]&2047](b);return}function rub(a,b){a=a|0;b=b|0;return ((f[b+4>>2]|0)==472007?a+12|0:0)|0}function sub(a){a=a|0;fuc(a);return}function tub(a){a=a|0;var c=0;f[a>>2]=136748;c=a+84|0;if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);pKa(a);return}function uub(a){a=a|0;var c=0;f[a>>2]=136748;c=a+84|0;if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);pKa(a);fuc(a);return}function vub(a){a=a|0;var c=0,d=0,e=0,g=0;f[a>>2]=136636;c=f[a+196>>2]|0;if(c|0)Xtc(c);c=f[a+180>>2]|0;if(c|0){d=a+184|0;e=f[d>>2]|0;if((e|0)!=(c|0))f[d>>2]=e+(~((e+-4-c|0)>>>2)<<2);fuc(c)}c=f[a+168>>2]|0;if(c|0){e=a+172|0;d=f[e>>2]|0;if((d|0)!=(c|0))f[e>>2]=d+(~((d+-4-c|0)>>>2)<<2);fuc(c)}c=f[a+156>>2]|0;if(c|0){d=a+160|0;e=f[d>>2]|0;if((e|0)!=(c|0))f[d>>2]=e+(~((e+-8-c|0)>>>3)<<3);fuc(c)}c=a+100|0;e=a+136|0;d=f[e>>2]|0;if(d|0?(g=d+12|0,d=f[g>>2]|0,f[g>>2]=d+-1,(d|0)==1):0)aU(c);f[e>>2]=0;e=a+116|0;c=a+104|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((f[c>>2]|0)>0){e=f[a+140>>2]|0;d=0;do{f[e+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[c>>2]|0))}c=f[a+144>>2]|0;if((c|0)!=(a+148|0))TC(c);f[a>>2]=136748;c=a+84|0;if((b[c+11>>0]|0)>=0){pKa(a);return}fuc(f[c>>2]|0);pKa(a);return}function wub(a){a=a|0;vub(a);fuc(a);return}function xub(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;e=u;u=u+336|0;g=e+56|0;h=e;i=e+280|0;j=e+224|0;k=e+168|0;l=e+112|0;Nub(a,c,d);d=f[a+4>>2]|0;c=a+8|0;if((d|0)==(f[c>>2]|0)){m=cuc(16)|0;f[g>>2]=m;f[g+8>>2]=-2147483632;f[g+4>>2]=14;n=m;o=473319;q=n+14|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(q|0));b[m+14>>0]=0;WD(-215,g,476610,472215,269)}m=f[f[d+40>>2]>>2]|0;mU(h,d,1,m);f[i>>2]=1124007936;d=i+4|0;o=i+8|0;r=i+40|0;n=d;q=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(q|0));f[r>>2]=o;s=i+48|0;t=i+44|0;f[t>>2]=s;f[s>>2]=0;f[i+52>>2]=0;v=g+8|0;f[v>>2]=0;f[v+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=i;EI(h,g);v=h+36|0;w=f[v>>2]|0;if(w|0?(x=w+12|0,w=f[x>>2]|0,f[x>>2]=w+-1,(w|0)==1):0)aU(h);f[v>>2]=0;v=h+16|0;w=h+4|0;f[v>>2]=0;f[v+4>>2]=0;f[v+8>>2]=0;f[v+12>>2]=0;if((f[w>>2]|0)>0){v=f[h+40>>2]|0;x=0;do{f[v+(x<<2)>>2]=0;x=x+1|0}while((x|0)<(f[w>>2]|0))}w=f[h+44>>2]|0;if((w|0)!=(h+48|0))TC(w);w=f[i>>2]|0;x=((f[f[t>>2]>>2]|0)>>>0)/((675553809>>>(w<<2&28)&15)>>>0)|0;if(x&7|0){v=x+7&-8;x=w&4095;f[j>>2]=1124007936;w=j+4|0;y=j+8|0;z=j+40|0;n=w;q=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(q|0));f[z>>2]=y;y=j+48|0;A=j+44|0;f[A>>2]=y;f[y>>2]=0;f[j+52>>2]=0;f[g>>2]=m;f[g+4>>2]=v;ZT(j,2,g,x);x=i+12|0;B=f[x>>2]|0;f[g>>2]=-2147483648;f[g+4>>2]=2147483647;f[h>>2]=B;f[h+4>>2]=v;bU(k,j,g,h);f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;f[h+16>>2]=0;f[h+20>>2]=0;f[h+24>>2]=0;f[h+28>>2]=0;f[g>>2]=-1056833530;f[g+4>>2]=h;f[g+8>>2]=1;f[g+12>>2]=4;HI(k,g,sK()|0)|0;v=f[x>>2]|0;f[g>>2]=-2147483648;f[g+4>>2]=2147483647;f[h>>2]=0;f[h+4>>2]=v;bU(l,j,g,h);h=g+8|0;f[h>>2]=0;f[h+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=l;EI(i,g);h=l+36|0;v=f[h>>2]|0;if(v|0){B=v+12|0;f[B>>2]=(f[B>>2]|0)+1}B=i+36|0;v=f[B>>2]|0;if(v|0?(C=v+12|0,v=f[C>>2]|0,f[C>>2]=v+-1,(v|0)==1):0)aU(i);f[B>>2]=0;v=i+16|0;f[v>>2]=0;f[v+4>>2]=0;f[v+8>>2]=0;f[v+12>>2]=0;if((f[d>>2]|0)>0){C=f[r>>2]|0;D=0;do{f[C+(D<<2)>>2]=0;D=D+1|0;E=f[d>>2]|0}while((D|0)<(E|0));f[i>>2]=f[l>>2];if((E|0)<3)F=22;else F=24}else{f[i>>2]=f[l>>2];F=22}if((F|0)==22){E=f[l+4>>2]|0;if((E|0)<3){f[d>>2]=E;f[o>>2]=f[l+8>>2];f[x>>2]=f[l+12>>2];x=f[l+44>>2]|0;E=f[t>>2]|0;f[E>>2]=f[x>>2];f[E+4>>2]=f[x+4>>2]}else F=24}if((F|0)==24)$T(i,l);x=l+16|0;f[v>>2]=f[x>>2];f[i+20>>2]=f[l+20>>2];f[i+24>>2]=f[l+24>>2];f[i+28>>2]=f[l+28>>2];f[i+32>>2]=f[l+32>>2];v=f[h>>2]|0;f[B>>2]=v;if(v|0?(B=v+12|0,v=f[B>>2]|0,f[B>>2]=v+-1,(v|0)==1):0)aU(l);f[h>>2]=0;h=l+4|0;f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;f[x+12>>2]=0;if((f[h>>2]|0)>0){x=f[l+40>>2]|0;v=0;do{f[x+(v<<2)>>2]=0;v=v+1|0}while((v|0)<(f[h>>2]|0))}h=f[l+44>>2]|0;if((h|0)!=(l+48|0))TC(h);h=k+36|0;l=f[h>>2]|0;if(l|0?(v=l+12|0,l=f[v>>2]|0,f[v>>2]=l+-1,(l|0)==1):0)aU(k);f[h>>2]=0;h=k+16|0;l=k+4|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;if((f[l>>2]|0)>0){h=f[k+40>>2]|0;v=0;do{f[h+(v<<2)>>2]=0;v=v+1|0}while((v|0)<(f[l>>2]|0))}l=f[k+44>>2]|0;if((l|0)!=(k+48|0))TC(l);l=j+36|0;k=f[l>>2]|0;if(k|0?(v=k+12|0,k=f[v>>2]|0,f[v>>2]=k+-1,(k|0)==1):0)aU(j);f[l>>2]=0;l=j+16|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;if((f[w>>2]|0)>0){l=f[z>>2]|0;z=0;do{f[l+(z<<2)>>2]=0;z=z+1|0}while((z|0)<(f[w>>2]|0))}w=f[A>>2]|0;if((w|0)!=(y|0))TC(w)}w=a+100|0;if((w|0)!=(i|0)){y=i+36|0;A=f[y>>2]|0;if(A|0){z=A+12|0;f[z>>2]=(f[z>>2]|0)+1}z=a+136|0;A=f[z>>2]|0;if(A|0?(l=A+12|0,A=f[l>>2]|0,f[l>>2]=A+-1,(A|0)==1):0)aU(w);f[z>>2]=0;A=a+116|0;l=a+104|0;f[A>>2]=0;f[A+4>>2]=0;f[A+8>>2]=0;f[A+12>>2]=0;if((f[l>>2]|0)>0){j=f[a+140>>2]|0;k=0;do{f[j+(k<<2)>>2]=0;k=k+1|0;G=f[l>>2]|0}while((k|0)<(G|0));f[w>>2]=f[i>>2];if((G|0)<3)F=61;else F=63}else{f[w>>2]=f[i>>2];F=61}if((F|0)==61){G=f[d>>2]|0;if((G|0)<3){f[l>>2]=G;f[a+108>>2]=f[o>>2];f[a+112>>2]=f[i+12>>2];o=f[t>>2]|0;G=f[a+144>>2]|0;f[G>>2]=f[o>>2];f[G+4>>2]=f[o+4>>2]}else F=63}if((F|0)==63)$T(w,i);f[A>>2]=f[i+16>>2];f[a+120>>2]=f[i+20>>2];f[a+124>>2]=f[i+24>>2];f[a+128>>2]=f[i+28>>2];f[a+132>>2]=f[i+32>>2];f[z>>2]=f[y>>2]}p[g>>3]=1.0;Oub(a+156|0,m,g);y=f[a+4>>2]|0;if((((f[c>>2]|0)-y|0)/56|0)>>>0>1)mU(g,y+56|0,1,m);else{f[g>>2]=1124007936;y=g+8|0;c=g+40|0;n=g+4|0;q=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(q|0));f[c>>2]=y;y=g+48|0;f[g+44>>2]=y;f[y>>2]=0;f[g+52>>2]=0}y=a+168|0;c=m+2|0;n=a+172|0;a=f[n>>2]|0;q=f[y>>2]|0;z=a-q>>2;A=q;q=a;if(c>>>0<=z>>>0){if(c>>>0<z>>>0?(a=A+(c<<2)|0,(q|0)!=(a|0)):0)f[n>>2]=q+(~((q+-4-a|0)>>>2)<<2)}else EBa(y,c-z|0);z=g+16|0;c=f[z>>2]|0;a:do if(c){a=f[g+4>>2]|0;if((a|0)<3)H=Y(f[g+12>>2]|0,f[g+8>>2]|0)|0;else{q=f[g+40>>2]|0;n=0;A=1;while(1){w=Y(f[q+(n<<2)>>2]|0,A)|0;n=n+1|0;if((n|0)==(a|0)){H=w;break}else A=w}}if(!((a|0)==0|(H|0)==0)){if((m|0)>0){A=f[g+40>>2]|0;n=A+4|0;q=f[g+44>>2]|0;w=f[g+12>>2]|0;o=f[y>>2]|0;if(f[g>>2]&16384|0){G=0;while(1){f[o+(G<<2)>>2]=f[c+(G<<2)>>2];G=G+1|0;if((G|0)==(m|0))break a}}G=(f[A>>2]|0)==1;a=0;do{do if(!G){l=f[q>>2]|0;if((f[n>>2]|0)==1){I=c+(Y(l,a)|0)|0;break}else{k=(a|0)/(w|0)|0;I=c+(Y(k,l)|0)+(a-(Y(k,w)|0)<<2)|0;break}}else I=c+(a<<2)|0;while(0);f[o+(a<<2)>>2]=f[I>>2];a=a+1|0}while((a|0)!=(m|0))}}else F=88}else F=88;while(0);if((F|0)==88?(m|0)>0:0)kzc(f[y>>2]|0,0,m<<2|0)|0;m=g+36|0;y=f[m>>2]|0;if(y|0?(F=y+12|0,y=f[F>>2]|0,f[F>>2]=y+-1,(y|0)==1):0)aU(g);f[m>>2]=0;m=g+4|0;f[z>>2]=0;f[z+4>>2]=0;f[z+8>>2]=0;f[z+12>>2]=0;if((f[m>>2]|0)>0){z=f[g+40>>2]|0;y=0;do{f[z+(y<<2)>>2]=0;y=y+1|0}while((y|0)<(f[m>>2]|0))}m=f[g+44>>2]|0;if((m|0)!=(g+48|0))TC(m);m=i+36|0;g=f[m>>2]|0;if(g|0?(y=g+12|0,g=f[y>>2]|0,f[y>>2]=g+-1,(g|0)==1):0)aU(i);f[m>>2]=0;m=i+16|0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;if((f[d>>2]|0)>0){m=f[r>>2]|0;r=0;do{f[m+(r<<2)>>2]=0;r=r+1|0}while((r|0)<(f[d>>2]|0))}d=f[t>>2]|0;if((d|0)==(s|0)){u=e;return}TC(d);u=e;return}
function qX(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;var j=0.0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,u=0.0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;j=+p[i>>3];i=b>>>3;b=d>>>3;d=f>>>3;f=h+-1|0;k=(h|0)==0;if(!(j==1.0)){if(k)return;h=g+-4|0;if((g|0)<4){if((g|0)>0){l=c;m=e;n=a;o=f}else return;while(1){q=0;do{p[m+(q<<3)>>3]=j*+p[n+(q<<3)>>3]*+p[l+(q<<3)>>3];q=q+1|0}while((q|0)!=(g|0));if(!o)break;else{l=l+(b<<3)|0;m=m+(d<<3)|0;n=n+(i<<3)|0;o=o+-1|0}}return}o=g&-4;n=(o|0)<(g|0);m=c;l=e;q=a;r=f;while(1){s=0;do{t=s|1;u=j*+p[q+(t<<3)>>3]*+p[m+(t<<3)>>3];p[l+(s<<3)>>3]=j*+p[q+(s<<3)>>3]*+p[m+(s<<3)>>3];p[l+(t<<3)>>3]=u;t=s|2;v=s|3;u=j*+p[q+(v<<3)>>3]*+p[m+(v<<3)>>3];p[l+(t<<3)>>3]=j*+p[q+(t<<3)>>3]*+p[m+(t<<3)>>3];p[l+(v<<3)>>3]=u;s=s+4|0}while((s|0)<=(h|0));if(n){s=o;do{p[l+(s<<3)>>3]=j*+p[q+(s<<3)>>3]*+p[m+(s<<3)>>3];s=s+1|0}while((s|0)!=(g|0))}if(!r)break;else{m=m+(b<<3)|0;l=l+(d<<3)|0;q=q+(i<<3)|0;r=r+-1|0}}return}if(k)return;k=g+-4|0;if((g|0)<4){if((g|0)>0){w=c;x=e;y=a;z=f}else return;while(1){r=0;do{p[x+(r<<3)>>3]=+p[y+(r<<3)>>3]*+p[w+(r<<3)>>3];r=r+1|0}while((r|0)!=(g|0));if(!z)break;else{w=w+(b<<3)|0;x=x+(d<<3)|0;y=y+(i<<3)|0;z=z+-1|0}}return}z=g&-4;if((z|0)<(g|0)){A=c;B=e;C=a;D=f}else{y=c;c=e;e=a;a=f;while(1){f=0;do{x=f|1;j=+p[e+(x<<3)>>3]*+p[y+(x<<3)>>3];p[c+(f<<3)>>3]=+p[e+(f<<3)>>3]*+p[y+(f<<3)>>3];p[c+(x<<3)>>3]=j;x=f|2;w=f|3;j=+p[e+(w<<3)>>3]*+p[y+(w<<3)>>3];p[c+(x<<3)>>3]=+p[e+(x<<3)>>3]*+p[y+(x<<3)>>3];p[c+(w<<3)>>3]=j;f=f+4|0}while((f|0)<=(k|0));if(!a)break;else{y=y+(b<<3)|0;c=c+(d<<3)|0;e=e+(i<<3)|0;a=a+-1|0}}return}while(1){a=0;do{e=a|1;j=+p[C+(e<<3)>>3]*+p[A+(e<<3)>>3];p[B+(a<<3)>>3]=+p[C+(a<<3)>>3]*+p[A+(a<<3)>>3];p[B+(e<<3)>>3]=j;e=a|2;c=a|3;j=+p[C+(c<<3)>>3]*+p[A+(c<<3)>>3];p[B+(e<<3)>>3]=+p[C+(e<<3)>>3]*+p[A+(e<<3)>>3];p[B+(c<<3)>>3]=j;a=a+4|0}while((a|0)<=(k|0));E=z;do{p[B+(E<<3)>>3]=+p[C+(E<<3)>>3]*+p[A+(E<<3)>>3];E=E+1|0}while((E|0)!=(g|0));if(!D)break;else{A=A+(b<<3)|0;B=B+(d<<3)|0;C=C+(i<<3)|0;D=D+-1|0}}return}function rX(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;var g=0,h=0,i=0;g=u;u=u+16|0;h=g;i=g+8|0;p[h>>3]=d;gV(i,48380);sW(a,b,c,sK()|0,e,48400,1,h,6);if(!(f[i+4>>2]|0)){u=g;return}u=g;return}function sX(a,c,d,e,f,g,i,j,k){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;var l=0.0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;l=+p[k>>3];k=(i|0)>0&(j|0)!=0;if(!a){if(k){m=f;n=d;o=j}else return;while(1){q=0;do{r=b[n+q>>0]|0;if(!(r<<24>>24))s=0;else{t=Ghc(l/+(r&255))|0;s=(t>>>0<256?t:(t|0)>0?255:0)&255}b[m+q>>0]=s;q=q+1|0}while((q|0)!=(i|0));o=o+-1|0;if(!o)break;else{m=m+g|0;n=n+e|0}}return}else{if(k){u=d;v=f;w=a;x=j}else return;while(1){j=0;do{a=b[u+j>>0]|0;if(!(a<<24>>24))y=0;else{f=Ghc(l*+(h[w+j>>0]|0)/+(a&255))|0;y=(f>>>0<256?f:(f|0)>0?255:0)&255}b[v+j>>0]=y;j=j+1|0}while((j|0)!=(i|0));x=x+-1|0;if(!x)break;else{u=u+e|0;v=v+g|0;w=w+c|0}}return}}function tX(a,c,d,e,f,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0.0,l=0,m=0,n=0,o=0,q=0;k=+p[j>>3];if((h|0)>0&(i|0)!=0){l=d;m=f;n=a;o=i}else return;while(1){i=0;do{a=b[l+i>>0]|0;if(!(a<<24>>24))q=0;else{f=Ghc(k*+(b[n+i>>0]|0)/+(a<<24>>24))|0;q=((f+128|0)>>>0<256?f:(f|0)>0?127:128)&255}b[m+i>>0]=q;i=i+1|0}while((i|0)!=(h|0));o=o+-1|0;if(!o)break;else{l=l+e|0;m=m+g|0;n=n+c|0}}return}function uX(a,b,c,e,f,g,h,i,k){a=a|0;b=b|0;c=c|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;k=k|0;var l=0,m=0.0,n=0,o=0,q=0,r=0,s=0;l=b>>>1;b=e>>>1;e=g>>>1;m=+p[k>>3];if((h|0)>0&(i|0)!=0){n=c;o=f;q=a;r=i}else return;while(1){i=0;do{a=d[n+(i<<1)>>1]|0;if(!(a<<16>>16))s=0;else{f=Ghc(m*+(j[q+(i<<1)>>1]|0)/+(a&65535))|0;s=(f>>>0<65536?f:(f|0)>0?65535:0)&65535}d[o+(i<<1)>>1]=s;i=i+1|0}while((i|0)!=(h|0));r=r+-1|0;if(!r)break;else{n=n+(b<<1)|0;o=o+(e<<1)|0;q=q+(l<<1)|0}}return}function vX(a,b,c,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0.0,m=0,n=0,o=0,q=0,r=0;k=b>>>1;b=e>>>1;e=g>>>1;l=+p[j>>3];if((h|0)>0&(i|0)!=0){m=c;n=f;o=a;q=i}else return;while(1){i=0;do{a=d[m+(i<<1)>>1]|0;if(!(a<<16>>16))r=0;else{f=Ghc(l*+(d[o+(i<<1)>>1]|0)/+(a<<16>>16))|0;r=((f+32768|0)>>>0<65536?f:(f|0)>0?32767:32768)&65535}d[n+(i<<1)>>1]=r;i=i+1|0}while((i|0)!=(h|0));q=q+-1|0;if(!q)break;else{m=m+(b<<1)|0;n=n+(e<<1)|0;o=o+(k<<1)|0}}return}function wX(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0.0,m=0,n=0,o=0,q=0,r=0;k=b>>>2;b=d>>>2;d=g>>>2;l=+p[j>>3];if((h|0)>0&(i|0)!=0){m=c;n=e;o=a;q=i}else return;while(1){i=0;do{a=f[m+(i<<2)>>2]|0;if(!a)r=0;else r=Ghc(l*+(f[o+(i<<2)>>2]|0)/+(a|0))|0;f[n+(i<<2)>>2]=r;i=i+1|0}while((i|0)!=(h|0));q=q+-1|0;if(!q)break;else{m=m+(b<<2)|0;n=n+(d<<2)|0;o=o+(k<<2)|0}}return}function xX(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;var j=0.0,k=0,l=0,m=0,o=0,q=0.0,r=0.0;j=+p[i>>3];i=b>>>2;b=d>>>2;d=f>>>2;if((g|0)>0&(h|0)!=0){k=c;l=e;m=a;o=h}else return;while(1){h=0;do{q=+n[k+(h<<2)>>2];if(q!=0.0)r=j*+n[m+(h<<2)>>2]/q;else r=0.0;n[l+(h<<2)>>2]=r;h=h+1|0}while((h|0)!=(g|0));o=o+-1|0;if(!o)break;else{k=k+(b<<2)|0;l=l+(d<<2)|0;m=m+(i<<2)|0}}return}function yX(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;var j=0.0,k=0,l=0,m=0,n=0,o=0.0,q=0.0;j=+p[i>>3];i=b>>>3;b=d>>>3;d=f>>>3;if((g|0)>0&(h|0)!=0){k=c;l=e;m=a;n=h}else return;while(1){h=0;do{o=+p[k+(h<<3)>>3];if(o!=0.0)q=j*+p[m+(h<<3)>>3]/o;else q=0.0;p[l+(h<<3)>>3]=q;h=h+1|0}while((h|0)!=(g|0));n=n+-1|0;if(!n)break;else{k=k+(b<<3)|0;l=l+(d<<3)|0;m=m+(i<<3)|0}}return}function zX(a,b,c,d){a=+a;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0;e=u;u=u+16|0;g=e;h=e+8|0;p[g>>3]=a;gV(h,48432);sW(b,b,c,sK()|0,d,48452,1,g,7);if(!(f[h+4>>2]|0)){u=e;return}u=e;return}function AX(a,c,d,e,f,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0.0,l=0,m=0,n=0,o=0;k=+p[j>>3];if((h|0)>0&(i|0)!=0){l=f;m=d;n=i}else return;while(1){i=0;do{d=b[m+i>>0]|0;if(!(d<<24>>24))o=0;else{f=Ghc(k/+(d&255))|0;o=(f>>>0<256?f:(f|0)>0?255:0)&255}b[l+i>>0]=o;i=i+1|0}while((i|0)!=(h|0));n=n+-1|0;if(!n)break;else{l=l+g|0;m=m+e|0}}return}function BX(a,c,d,e,f,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0.0,l=0,m=0,n=0,o=0;k=+p[j>>3];if((h|0)>0&(i|0)!=0){l=f;m=d;n=i}else return;while(1){i=0;do{d=b[m+i>>0]|0;if(!(d<<24>>24))o=0;else{f=Ghc(k/+(d<<24>>24))|0;o=((f+128|0)>>>0<256?f:(f|0)>0?127:128)&255}b[l+i>>0]=o;i=i+1|0}while((i|0)!=(h|0));n=n+-1|0;if(!n)break;else{l=l+g|0;m=m+e|0}}return}function CX(a,b,c,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0.0,l=0,m=0,n=0,o=0;b=e>>>1;e=g>>>1;k=+p[j>>3];if((h|0)>0&(i|0)!=0){l=f;m=c;n=i}else return;while(1){i=0;do{c=d[m+(i<<1)>>1]|0;if(!(c<<16>>16))o=0;else{f=Ghc(k/+(c&65535))|0;o=(f>>>0<65536?f:(f|0)>0?65535:0)&65535}d[l+(i<<1)>>1]=o;i=i+1|0}while((i|0)!=(h|0));n=n+-1|0;if(!n)break;else{l=l+(e<<1)|0;m=m+(b<<1)|0}}return}function DX(a,b,c,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0.0,l=0,m=0,n=0,o=0;b=e>>>1;e=g>>>1;k=+p[j>>3];if((h|0)>0&(i|0)!=0){l=f;m=c;n=i}else return;while(1){i=0;do{c=d[m+(i<<1)>>1]|0;if(!(c<<16>>16))o=0;else{f=Ghc(k/+(c<<16>>16))|0;o=((f+32768|0)>>>0<65536?f:(f|0)>0?32767:32768)&65535}d[l+(i<<1)>>1]=o;i=i+1|0}while((i|0)!=(h|0));n=n+-1|0;if(!n)break;else{l=l+(e<<1)|0;m=m+(b<<1)|0}}return}function EX(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0.0,l=0,m=0,n=0,o=0;b=d>>>2;d=g>>>2;k=+p[j>>3];if((h|0)>0&(i|0)!=0){l=e;m=c;n=i}else return;while(1){i=0;do{c=f[m+(i<<2)>>2]|0;if(!c)o=0;else o=Ghc(k/+(c|0))|0;f[l+(i<<2)>>2]=o;i=i+1|0}while((i|0)!=(h|0));n=n+-1|0;if(!n)break;else{l=l+(d<<2)|0;m=m+(b<<2)|0}}return}function FX(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;var j=0.0,k=0,l=0,m=0,o=0.0;j=+p[i>>3];i=d>>>2;d=f>>>2;if((g|0)>0&(h|0)!=0){k=e;l=c;m=h}else return;while(1){h=0;do{o=+n[l+(h<<2)>>2];n[k+(h<<2)>>2]=o!=0.0?j/o:0.0;h=h+1|0}while((h|0)!=(g|0));m=m+-1|0;if(!m)break;else{k=k+(d<<2)|0;l=l+(i<<2)|0}}return}function GX(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;var j=0.0,k=0,l=0,m=0,n=0.0;j=+p[i>>3];i=d>>>3;d=f>>>3;if((g|0)>0&(h|0)!=0){k=e;l=c;m=h}else return;while(1){h=0;do{n=+p[l+(h<<3)>>3];p[k+(h<<3)>>3]=n!=0.0?j/n:0.0;h=h+1|0}while((h|0)!=(g|0));m=m+-1|0;if(!m)break;else{k=k+(d<<3)|0;l=l+(i<<3)|0}}return}function HX(a,b,c,d,e,g,h){a=a|0;b=+b;c=c|0;d=+d;e=+e;g=g|0;h=h|0;var i=0,j=0,k=0;i=u;u=u+32|0;j=i+24|0;k=i;gV(j,48484);p[k>>3]=b;p[k+8>>3]=d;p[k+16>>3]=e;sW(a,c,g,sK()|0,h,48504,1,k,8);if(!(f[j+4>>2]|0)){u=i;return}u=i;return}function IX(a,c,d,e,f,g,i,j,k){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;var l=0.0,m=0.0,o=0.0,q=0,r=0,s=0,t=0,u=0,v=0.0,w=0,x=0;l=+p[k>>3];m=+p[k+8>>3];o=+p[k+16>>3];if(!j)return;k=i+-4|0;q=(i|0)<4;r=i&-4;s=d;d=f;f=a;a=j;while(1){a=a+-1|0;if(q)t=0;else{j=0;do{u=j|1;v=o+(l*+n[49160+((h[f+u>>0]|0)+128<<2)>>2]+m*+n[49160+((h[s+u>>0]|0)+128<<2)>>2]);w=Ghc(o+(l*+n[49160+((h[f+j>>0]|0)+128<<2)>>2]+m*+n[49160+((h[s+j>>0]|0)+128<<2)>>2]))|0;b[d+j>>0]=w>>>0<256?w:(w|0)>0?255:0;w=Ghc(v)|0;b[d+u>>0]=w>>>0<256?w:(w|0)>0?255:0;w=j|2;u=j|3;v=o+(l*+n[49160+((h[f+u>>0]|0)+128<<2)>>2]+m*+n[49160+((h[s+u>>0]|0)+128<<2)>>2]);x=Ghc(o+(l*+n[49160+((h[f+w>>0]|0)+128<<2)>>2]+m*+n[49160+((h[s+w>>0]|0)+128<<2)>>2]))|0;b[d+w>>0]=x>>>0<256?x:(x|0)>0?255:0;x=Ghc(v)|0;b[d+u>>0]=x>>>0<256?x:(x|0)>0?255:0;j=j+4|0}while((j|0)<=(k|0));t=r}if((t|0)<(i|0)){j=t;do{x=Ghc(o+(l*+n[49160+((h[f+j>>0]|0)+128<<2)>>2]+m*+n[49160+((h[s+j>>0]|0)+128<<2)>>2]))|0;b[d+j>>0]=x>>>0<256?x:(x|0)>0?255:0;j=j+1|0}while((j|0)!=(i|0))}if(!a)break;else{s=s+e|0;d=d+g|0;f=f+c|0}}return}function JX(a,c,d,e,f,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0.0,l=0.0,m=0.0,n=0,o=0,q=0,r=0,s=0,t=0,u=0,v=0;k=+p[j>>3];l=+p[j+8>>3];m=+p[j+16>>3];if(!i)return;j=h+-4|0;n=(h|0)<4;o=h&-4;q=d;d=f;f=a;a=i;while(1){a=a+-1|0;if(n)r=0;else{i=0;do{s=Ghc(m+(k*+(b[f+i>>0]|0)+l*+(b[q+i>>0]|0)))|0;t=i|1;u=Ghc(m+(k*+(b[f+t>>0]|0)+l*+(b[q+t>>0]|0)))|0;b[d+i>>0]=(s+128|0)>>>0<256?s:(s|0)>0?127:128;b[d+t>>0]=(u+128|0)>>>0<256?u:(u|0)>0?127:128;u=i|2;t=Ghc(m+(k*+(b[f+u>>0]|0)+l*+(b[q+u>>0]|0)))|0;s=i|3;v=Ghc(m+(k*+(b[f+s>>0]|0)+l*+(b[q+s>>0]|0)))|0;b[d+u>>0]=(t+128|0)>>>0<256?t:(t|0)>0?127:128;b[d+s>>0]=(v+128|0)>>>0<256?v:(v|0)>0?127:128;i=i+4|0}while((i|0)<=(j|0));r=o}if((r|0)<(h|0)){i=r;do{v=Ghc(m+(k*+(b[f+i>>0]|0)+l*+(b[q+i>>0]|0)))|0;b[d+i>>0]=(v+128|0)>>>0<256?v:(v|0)>0?127:128;i=i+1|0}while((i|0)!=(h|0))}if(!a)break;else{q=q+e|0;d=d+g|0;f=f+c|0}}return}function KX(a,b,c,e,f,g,h,i,k){a=a|0;b=b|0;c=c|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;k=k|0;var l=0.0,m=0.0,n=0.0,o=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;l=+p[k>>3];m=+p[k+8>>3];n=+p[k+16>>3];k=b>>>1;b=e>>>1;e=g>>>1;if(!i)return;g=h+-4|0;o=(h|0)<4;q=h&-4;r=c;c=f;f=a;a=i;while(1){a=a+-1|0;if(o)s=0;else{i=0;do{t=Ghc(n+(l*+(j[f+(i<<1)>>1]|0)+m*+(j[r+(i<<1)>>1]|0)))|0;u=i|1;v=Ghc(n+(l*+(j[f+(u<<1)>>1]|0)+m*+(j[r+(u<<1)>>1]|0)))|0;d[c+(i<<1)>>1]=t>>>0<65536?t:(t|0)>0?65535:0;d[c+(u<<1)>>1]=v>>>0<65536?v:(v|0)>0?65535:0;v=i|2;u=Ghc(n+(l*+(j[f+(v<<1)>>1]|0)+m*+(j[r+(v<<1)>>1]|0)))|0;t=i|3;w=Ghc(n+(l*+(j[f+(t<<1)>>1]|0)+m*+(j[r+(t<<1)>>1]|0)))|0;d[c+(v<<1)>>1]=u>>>0<65536?u:(u|0)>0?65535:0;d[c+(t<<1)>>1]=w>>>0<65536?w:(w|0)>0?65535:0;i=i+4|0}while((i|0)<=(g|0));s=q}if((s|0)<(h|0)){i=s;do{w=Ghc(n+(l*+(j[f+(i<<1)>>1]|0)+m*+(j[r+(i<<1)>>1]|0)))|0;d[c+(i<<1)>>1]=w>>>0<65536?w:(w|0)>0?65535:0;i=i+1|0}while((i|0)!=(h|0))}if(!a)break;else{r=r+(b<<1)|0;c=c+(e<<1)|0;f=f+(k<<1)|0}}return}function LX(a,b,c,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0.0,l=0.0,m=0.0,n=0,o=0,q=0,r=0,s=0,t=0,u=0,v=0;k=+p[j>>3];l=+p[j+8>>3];m=+p[j+16>>3];j=b>>>1;b=e>>>1;e=g>>>1;if(!i)return;g=h+-4|0;n=(h|0)<4;o=h&-4;q=c;c=f;f=a;a=i;while(1){a=a+-1|0;if(n)r=0;else{i=0;do{s=Ghc(m+(k*+(d[f+(i<<1)>>1]|0)+l*+(d[q+(i<<1)>>1]|0)))|0;t=i|1;u=Ghc(m+(k*+(d[f+(t<<1)>>1]|0)+l*+(d[q+(t<<1)>>1]|0)))|0;d[c+(i<<1)>>1]=(s+32768|0)>>>0<65536?s:(s|0)>0?32767:32768;d[c+(t<<1)>>1]=(u+32768|0)>>>0<65536?u:(u|0)>0?32767:32768;u=i|2;t=Ghc(m+(k*+(d[f+(u<<1)>>1]|0)+l*+(d[q+(u<<1)>>1]|0)))|0;s=i|3;v=Ghc(m+(k*+(d[f+(s<<1)>>1]|0)+l*+(d[q+(s<<1)>>1]|0)))|0;d[c+(u<<1)>>1]=(t+32768|0)>>>0<65536?t:(t|0)>0?32767:32768;d[c+(s<<1)>>1]=(v+32768|0)>>>0<65536?v:(v|0)>0?32767:32768;i=i+4|0}while((i|0)<=(g|0));r=o}if((r|0)<(h|0)){i=r;do{v=Ghc(m+(k*+(d[f+(i<<1)>>1]|0)+l*+(d[q+(i<<1)>>1]|0)))|0;d[c+(i<<1)>>1]=(v+32768|0)>>>0<65536?v:(v|0)>0?32767:32768;i=i+1|0}while((i|0)!=(h|0))}if(!a)break;else{q=q+(b<<1)|0;c=c+(e<<1)|0;f=f+(j<<1)|0}}return}function MX(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0.0,l=0.0,m=0.0,n=0,o=0,q=0,r=0,s=0,t=0,u=0;k=+p[j>>3];l=+p[j+8>>3];m=+p[j+16>>3];j=b>>>2;b=d>>>2;d=g>>>2;g=i+-1|0;if(!i)return;i=h+-4|0;if((h|0)<4){if((h|0)>0){n=c;o=e;q=a;r=g}else return;while(1){s=0;do{t=Fhc(m+(k*+(f[q+(s<<2)>>2]|0)+l*+(f[n+(s<<2)>>2]|0)))|0;f[o+(s<<2)>>2]=t;s=s+1|0}while((s|0)!=(h|0));if(!r)break;else{n=n+(b<<2)|0;o=o+(d<<2)|0;q=q+(j<<2)|0;r=r+-1|0}}return}r=h&-4;q=(r|0)<(h|0);o=c;c=e;e=a;a=g;while(1){g=0;do{n=Fhc(m+(k*+(f[e+(g<<2)>>2]|0)+l*+(f[o+(g<<2)>>2]|0)))|0;s=g|1;t=Fhc(m+(k*+(f[e+(s<<2)>>2]|0)+l*+(f[o+(s<<2)>>2]|0)))|0;f[c+(g<<2)>>2]=n;f[c+(s<<2)>>2]=t;t=g|2;s=Fhc(m+(k*+(f[e+(t<<2)>>2]|0)+l*+(f[o+(t<<2)>>2]|0)))|0;n=g|3;u=Fhc(m+(k*+(f[e+(n<<2)>>2]|0)+l*+(f[o+(n<<2)>>2]|0)))|0;f[c+(t<<2)>>2]=s;f[c+(n<<2)>>2]=u;g=g+4|0}while((g|0)<=(i|0));if(q){g=r;do{u=Fhc(m+(k*+(f[e+(g<<2)>>2]|0)+l*+(f[o+(g<<2)>>2]|0)))|0;f[c+(g<<2)>>2]=u;g=g+1|0}while((g|0)!=(h|0))}if(!a)break;else{o=o+(b<<2)|0;c=c+(d<<2)|0;e=e+(j<<2)|0;a=a+-1|0}}return}function NX(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;var j=0.0,k=0.0,l=0.0,m=0,o=0,q=0,r=0,s=0,t=0.0;j=+p[i>>3];k=+p[i+8>>3];l=+p[i+16>>3];i=b>>>2;b=d>>>2;d=f>>>2;f=h+-1|0;if(!h)return;h=g+-4|0;if((g|0)<4){if((g|0)>0){m=c;o=e;q=a;r=f}else return;while(1){s=0;do{n[o+(s<<2)>>2]=l+(j*+n[q+(s<<2)>>2]+k*+n[m+(s<<2)>>2]);s=s+1|0}while((s|0)!=(g|0));if(!r)break;else{m=m+(b<<2)|0;o=o+(d<<2)|0;q=q+(i<<2)|0;r=r+-1|0}}return}r=g&-4;q=(r|0)<(g|0);o=c;c=e;e=a;a=f;while(1){f=0;do{m=f|1;t=l+(j*+n[e+(m<<2)>>2]+k*+n[o+(m<<2)>>2]);n[c+(f<<2)>>2]=l+(j*+n[e+(f<<2)>>2]+k*+n[o+(f<<2)>>2]);n[c+(m<<2)>>2]=t;m=f|2;s=f|3;t=l+(j*+n[e+(s<<2)>>2]+k*+n[o+(s<<2)>>2]);n[c+(m<<2)>>2]=l+(j*+n[e+(m<<2)>>2]+k*+n[o+(m<<2)>>2]);n[c+(s<<2)>>2]=t;f=f+4|0}while((f|0)<=(h|0));if(q){f=r;do{n[c+(f<<2)>>2]=l+(j*+n[e+(f<<2)>>2]+k*+n[o+(f<<2)>>2]);f=f+1|0}while((f|0)!=(g|0))}if(!a)break;else{o=o+(b<<2)|0;c=c+(d<<2)|0;e=e+(i<<2)|0;a=a+-1|0}}return}function OX(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;var j=0.0,k=0.0,l=0.0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0.0,x=0;j=+p[i>>3];k=+p[i+8>>3];l=+p[i+16>>3];i=b>>>3;b=d>>>3;d=f>>>3;f=h+-1|0;if(!h)return;h=g+-4|0;if((g|0)<4){if((g|0)>0){m=c;n=e;o=a;q=f}else return;while(1){r=0;do{p[n+(r<<3)>>3]=l+(j*+p[o+(r<<3)>>3]+k*+p[m+(r<<3)>>3]);r=r+1|0}while((r|0)!=(g|0));if(!q)break;else{m=m+(b<<3)|0;n=n+(d<<3)|0;o=o+(i<<3)|0;q=q+-1|0}}return}q=g&-4;if((q|0)<(g|0)){s=c;t=e;u=a;v=f}else{o=c;c=e;e=a;a=f;while(1){f=0;do{n=f|1;w=l+(j*+p[e+(n<<3)>>3]+k*+p[o+(n<<3)>>3]);p[c+(f<<3)>>3]=l+(j*+p[e+(f<<3)>>3]+k*+p[o+(f<<3)>>3]);p[c+(n<<3)>>3]=w;n=f|2;m=f|3;w=l+(j*+p[e+(m<<3)>>3]+k*+p[o+(m<<3)>>3]);p[c+(n<<3)>>3]=l+(j*+p[e+(n<<3)>>3]+k*+p[o+(n<<3)>>3]);p[c+(m<<3)>>3]=w;f=f+4|0}while((f|0)<=(h|0));if(!a)break;else{o=o+(b<<3)|0;c=c+(d<<3)|0;e=e+(i<<3)|0;a=a+-1|0}}return}while(1){a=0;do{e=a|1;w=l+(j*+p[u+(e<<3)>>3]+k*+p[s+(e<<3)>>3]);p[t+(a<<3)>>3]=l+(j*+p[u+(a<<3)>>3]+k*+p[s+(a<<3)>>3]);p[t+(e<<3)>>3]=w;e=a|2;c=a|3;w=l+(j*+p[u+(c<<3)>>3]+k*+p[s+(c<<3)>>3]);p[t+(e<<3)>>3]=l+(j*+p[u+(e<<3)>>3]+k*+p[s+(e<<3)>>3]);p[t+(c<<3)>>3]=w;a=a+4|0}while((a|0)<=(h|0));x=q;do{p[t+(x<<3)>>3]=l+(j*+p[u+(x<<3)>>3]+k*+p[s+(x<<3)>>3]);x=x+1|0}while((x|0)!=(g|0));if(!v)break;else{s=s+(b<<3)|0;t=t+(d<<3)|0;u=u+(i<<3)|0;v=v+-1|0}}return}function PX(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0.0,ma=0.0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0;g=u;u=u+1440|0;h=g+1384|0;i=g+1376|0;j=g+1368|0;k=g+1304|0;l=g+1360|0;m=g+1248|0;n=g+1184|0;o=g+96|0;q=g+1152|0;r=g+112|0;s=g+88|0;t=g+1240|0;v=g+56|0;w=g;f[i>>2]=e;gV(j,48536);if(e>>>0>=6){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;e=cuc(96)|0;f[h>>2]=e;f[h+8>>2]=-2147483552;f[h+4>>2]=92;x=e;y=223117;z=x+92|0;do{b[x>>0]=b[y>>0]|0;x=x+1|0;y=y+1|0}while((x|0)<(z|0));b[e+92>>0]=0;WD(-215,h,223210,221432,1181)}e=EJ(a)|0;if(e^(EJ(c)|0)){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;e=cuc(32)|0;f[h>>2]=e;f[h+8>>2]=-2147483616;f[h+4>>2]=30;x=e;y=223218;z=x+30|0;do{b[x>>0]=b[y>>0]|0;x=x+1|0;y=y+1|0}while((x|0)<(z|0));b[e+30>>0]=0;WD(-215,h,223210,221432,1183)}if(EJ(a)|0?EJ(c)|0:0)HJ(d);else A=8;a:do if((A|0)==8){e=qJ(a)|0;if(((((qJ(c)|0)==131072&1)+((e|0)==131072&1)|0)!=1?zJ(a,c)|0:0)?(e=pJ(a,-1)|0,(e|0)==(pJ(c,-1)|0)):0)B=0;else A=11;do if((A|0)==11){e=pJ(c,-1)|0;y=qJ(a)|0;x=qJ(c)|0;if((AJ(a,-1)|0)<=2?FJ(a,-1)|0:0){oJ(h,a,-1);z=f[h>>2]|0;C=(z|0)==1;if(!C?(f[h+4>>2]|0)!=1:0)D=0;else{E=(e>>>3&511)+1|0;if(!((y|0)!=131072&(x|0)==131072)){x=f[h+4>>2]|0;y=(x|0)==1;if(!((z|0)==(E|0)&y|C&(y|(x|0)==(E|0))))if(C&(x|0)==4)D=E>>>0<5&(pJ(a,-1)|0)==6;else D=0;else D=1}else D=0}F=D}else F=0;E=pJ(a,-1)|0;x=qJ(c)|0;C=qJ(a)|0;if((AJ(c,-1)|0)<=2?FJ(c,-1)|0:0){oJ(h,c,-1);y=f[h>>2]|0;z=(y|0)==1;if(!z?(f[h+4>>2]|0)!=1:0)G=0;else{e=(E>>>3&511)+1|0;if(!((x|0)!=131072&(C|0)==131072)){C=f[h+4>>2]|0;x=(C|0)==1;if(!((y|0)==(e|0)&x|z&(x|(C|0)==(e|0))))if(z&(C|0)==4)G=e>>>0<5&(pJ(c,-1)|0)==6;else G=0;else G=1}else G=0}H=G}else H=0;if(H|F^1){if(F^H){B=1;break};f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;e=cuc(144)|0;f[h>>2]=e;f[h+8>>2]=-2147483504;f[h+4>>2]=139;szc(e|0,223249,139)|0;b[e+139>>0]=0;WD(-209,h,223210,221432,1210)}e=f[i>>2]|0;switch(e|0){case 3:{I=1;break}case 4:{I=2;break}case 2:{I=4;break}default:I=(e|0)==1?3:e}f[i>>2]=I;PX(c,a,d,I);break a}while(0);e=qJ(a)|0;C=qJ(c)|0;do if((qJ(a)|0)==65536){z=f[a+4>>2]|0;f[h>>2]=f[z>>2];x=h+4|0;y=z+4|0;f[x>>2]=f[y>>2];E=h+8|0;f[E>>2]=f[z+8>>2];f[h+12>>2]=f[z+12>>2];f[h+16>>2]=f[z+16>>2];f[h+20>>2]=f[z+20>>2];f[h+24>>2]=f[z+24>>2];f[h+28>>2]=f[z+28>>2];f[h+32>>2]=f[z+32>>2];K=f[z+36>>2]|0;f[h+36>>2]=K;f[h+40>>2]=E;E=h+48|0;L=h+44|0;f[L>>2]=E;f[E>>2]=0;f[h+52>>2]=0;if(K|0){E=K+12|0;f[E>>2]=(f[E>>2]|0)+1}if((f[y>>2]|0)<3){y=f[z+44>>2]|0;E=f[L>>2]|0;f[E>>2]=f[y>>2];f[E+4>>2]=f[y+4>>2];break}else{f[x>>2]=0;$T(h,z);break}}else nJ(h,a,-1);while(0);do if((qJ(c)|0)==65536){z=f[c+4>>2]|0;f[k>>2]=f[z>>2];x=k+4|0;y=z+4|0;f[x>>2]=f[y>>2];E=k+8|0;f[E>>2]=f[z+8>>2];f[k+12>>2]=f[z+12>>2];f[k+16>>2]=f[z+16>>2];f[k+20>>2]=f[z+20>>2];f[k+24>>2]=f[z+24>>2];f[k+28>>2]=f[z+28>>2];f[k+32>>2]=f[z+32>>2];L=f[z+36>>2]|0;f[k+36>>2]=L;f[k+40>>2]=E;E=k+48|0;K=k+44|0;f[K>>2]=E;f[E>>2]=0;f[k+52>>2]=0;if(L|0){E=L+12|0;f[E>>2]=(f[E>>2]|0)+1}if((f[y>>2]|0)<3){y=f[z+44>>2]|0;E=f[K>>2]|0;f[E>>2]=f[y>>2];f[E+4>>2]=f[y+4>>2];break}else{f[x>>2]=0;$T(k,z);break}}else nJ(k,c,-1);while(0);z=h+4|0;x=f[z>>2]|0;do if(((e|0)==(C|0)&(x|0)<3?(f[k+4>>2]|0)<3:0)?(y=f[h+40>>2]|0,E=f[y+4>>2]|0,K=f[y>>2]|0,L=f[k+40>>2]|0,(K|0)==(f[L>>2]|0)?(E|0)==(f[L+4>>2]|0):0):0){L=f[h>>2]|0;M=f[k>>2]|0;N=(L>>>3&511)+1|0;if((M^L)&4095|0){O=k;P=h+40|0;Q=L;R=M;S=N;T=y;U=h;A=76;break}f[l>>2]=E;f[l+4>>2]=K;IJ(d,l,(N<<3)+-8|0,-1,0,0);do if((qJ(d)|0)==65536){N=f[d+4>>2]|0;f[m>>2]=f[N>>2];K=m+4|0;E=N+4|0;f[K>>2]=f[E>>2];y=m+8|0;f[y>>2]=f[N+8>>2];f[m+12>>2]=f[N+12>>2];f[m+16>>2]=f[N+16>>2];f[m+20>>2]=f[N+20>>2];f[m+24>>2]=f[N+24>>2];f[m+28>>2]=f[N+28>>2];f[m+32>>2]=f[N+32>>2];M=f[N+36>>2]|0;f[m+36>>2]=M;f[m+40>>2]=y;y=m+48|0;L=m+44|0;f[L>>2]=y;f[y>>2]=0;f[m+52>>2]=0;if(M|0){y=M+12|0;f[y>>2]=(f[y>>2]|0)+1}if((f[E>>2]|0)<3){E=f[N+44>>2]|0;y=f[L>>2]|0;f[y>>2]=f[E>>2];f[y+4>>2]=f[E+4>>2];V=m;break}else{f[K>>2]=0;$T(m,N);V=m;break}}else{nJ(m,d,-1);V=m}while(0);N=f[h>>2]|0;K=(N>>>3&511)+1|0;E=f[k>>2]|0;y=f[V>>2]|0;L=f[h+12>>2]|0;M=f[h+8>>2]|0;W=Bzc(L|0,((L|0)<0)<<31>>31|0,K|0,0)|0;X=Bzc(W|0,J|0,M|0,((M|0)<0)<<31>>31|0)|0;if((N&16384&E&y|0)!=0?(X|0)==(X|0)&(((X|0)<0)<<31>>31|0)==(J|0):0){Z=1;_=X}else{Z=M;_=Y(L,K)|0}K=m+16|0;L=m+44|0;M=m+48|0;Sh[f[48556+((N&7)<<2)>>2]&127](f[h+16>>2]|0,f[h+48>>2]|0,f[k+16>>2]|0,f[k+48>>2]|0,f[K>>2]|0,f[M>>2]|0,_,Z,i);N=m+36|0;X=f[N>>2]|0;if(X|0?(y=X+12|0,X=f[y>>2]|0,f[y>>2]=X+-1,(X|0)==1):0)aU(m);f[N>>2]=0;N=m+4|0;f[K>>2]=0;f[K+4>>2]=0;f[K+8>>2]=0;f[K+12>>2]=0;if((f[N>>2]|0)>0){K=f[m+40>>2]|0;X=0;do{f[K+(X<<2)>>2]=0;X=X+1|0}while((X|0)<(f[N>>2]|0))}N=f[L>>2]|0;if((N|0)!=(M|0))TC(N);$=k+36|0}else A=54;while(0);if((A|0)==54){C=f[h>>2]|0;e=h+40|0;O=k;P=e;Q=C;R=f[k>>2]|0;S=(C>>>3&511)+1|0;T=f[e>>2]|0;U=h;A=76}if((A|0)==76){e=Q&7;C=R&7;JJ(d,x,T,(S<<3)+-8|0,-1,0,0);mU(m,h,1,0);N=h+36|0;X=f[N>>2]|0;if(X|0?(K=X+12|0,X=f[K>>2]|0,f[K>>2]=X+-1,(X|0)==1):0)aU(h);f[N>>2]=0;X=h+16|0;f[X>>2]=0;f[X+4>>2]=0;f[X+8>>2]=0;f[X+12>>2]=0;if((f[z>>2]|0)>0){K=f[h+40>>2]|0;y=0;do{f[K+(y<<2)>>2]=0;y=y+1|0}while((y|0)<(f[z>>2]|0))}f[U>>2]=f[m>>2];y=m+4|0;K=f[y>>2]|0;f[z>>2]=K;x=m+8|0;E=h+8|0;f[E>>2]=f[x>>2];f[h+12>>2]=f[m+12>>2];W=m+16|0;f[X>>2]=f[W>>2];f[h+20>>2]=f[m+20>>2];f[h+24>>2]=f[m+24>>2];f[h+28>>2]=f[m+28>>2];f[h+32>>2]=f[m+32>>2];aa=m+36|0;f[N>>2]=f[aa>>2];ba=h+44|0;ca=f[ba>>2]|0;da=h+48|0;if((ca|0)==(da|0))ea=K;else{TC(ca);f[ba>>2]=da;f[h+40>>2]=E;ea=f[y>>2]|0}E=m+44|0;if((ea|0)<3){ca=f[E>>2]|0;f[da>>2]=f[ca>>2];f[h+52>>2]=f[ca+4>>2];fa=ca}else{f[ba>>2]=f[E>>2];ba=m+40|0;f[P>>2]=f[ba>>2];ca=m+48|0;f[E>>2]=ca;f[ba>>2]=x;fa=ca}f[m>>2]=1124007936;f[y>>2]=0;f[y+4>>2]=0;f[y+8>>2]=0;f[y+12>>2]=0;f[y+16>>2]=0;f[y+20>>2]=0;f[y+24>>2]=0;f[y+28>>2]=0;f[aa>>2]=0;f[W>>2]=0;f[W+4>>2]=0;f[W+8>>2]=0;f[W+12>>2]=0;if((fa|0)!=(m+48|0))TC(fa);mU(m,k,1,0);W=k+36|0;aa=f[W>>2]|0;if(aa|0?(y=aa+12|0,aa=f[y>>2]|0,f[y>>2]=aa+-1,(aa|0)==1):0)aU(k);f[W>>2]=0;aa=k+16|0;y=k+4|0;f[aa>>2]=0;f[aa+4>>2]=0;f[aa+8>>2]=0;f[aa+12>>2]=0;if((f[y>>2]|0)>0){ca=f[k+40>>2]|0;x=0;do{f[ca+(x<<2)>>2]=0;x=x+1|0}while((x|0)<(f[y>>2]|0))}f[O>>2]=f[m>>2];x=m+4|0;ca=f[x>>2]|0;f[y>>2]=ca;N=m+8|0;X=k+8|0;f[X>>2]=f[N>>2];f[k+12>>2]=f[m+12>>2];ba=m+16|0;f[aa>>2]=f[ba>>2];f[k+20>>2]=f[m+20>>2];f[k+24>>2]=f[m+24>>2];f[k+28>>2]=f[m+28>>2];f[k+32>>2]=f[m+32>>2];E=m+36|0;f[W>>2]=f[E>>2];da=k+44|0;K=f[da>>2]|0;ga=k+48|0;if((K|0)==(ga|0))ha=ca;else{TC(K);f[da>>2]=ga;f[k+40>>2]=X;ha=f[x>>2]|0}X=m+44|0;if((ha|0)<3){K=f[X>>2]|0;f[ga>>2]=f[K>>2];f[k+52>>2]=f[K+4>>2];ia=K}else{f[da>>2]=f[X>>2];da=m+40|0;f[k+40>>2]=f[da>>2];K=m+48|0;f[X>>2]=K;f[da>>2]=N;ia=K}f[m>>2]=1124007936;f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;f[x+12>>2]=0;f[x+16>>2]=0;f[x+20>>2]=0;f[x+24>>2]=0;f[x+28>>2]=0;f[E>>2]=0;f[ba>>2]=0;f[ba+4>>2]=0;f[ba+8>>2]=0;f[ba+12>>2]=0;if((ia|0)!=(m+48|0))TC(ia);do if((qJ(d)|0)==65536){ba=f[d+4>>2]|0;f[n>>2]=f[ba>>2];E=n+4|0;x=ba+4|0;f[E>>2]=f[x>>2];K=n+8|0;f[K>>2]=f[ba+8>>2];f[n+12>>2]=f[ba+12>>2];f[n+16>>2]=f[ba+16>>2];f[n+20>>2]=f[ba+20>>2];f[n+24>>2]=f[ba+24>>2];f[n+28>>2]=f[ba+28>>2];f[n+32>>2]=f[ba+32>>2];N=f[ba+36>>2]|0;f[n+36>>2]=N;f[n+40>>2]=K;K=n+48|0;da=n+44|0;f[da>>2]=K;f[K>>2]=0;f[n+52>>2]=0;if(N|0){K=N+12|0;f[K>>2]=(f[K>>2]|0)+1}if((f[x>>2]|0)<3){x=f[ba+44>>2]|0;K=f[da>>2]|0;f[K>>2]=f[x>>2];f[K+4>>2]=f[x+4>>2];break}else{f[E>>2]=0;$T(n,ba);break}}else nJ(n,d,-1);while(0);mU(m,n,1,0);y=n+36|0;ba=f[y>>2]|0;do if(ba|0){E=ba+12|0;x=f[E>>2]|0;f[E>>2]=x+-1;if((x|0)!=1)break;aU(n)}while(0);f[y>>2]=0;ba=n+16|0;x=n+4|0;f[ba>>2]=0;f[ba+4>>2]=0;f[ba+8>>2]=0;f[ba+12>>2]=0;if((f[x>>2]|0)>0){ba=f[n+40>>2]|0;E=0;do{f[ba+(E<<2)>>2]=0;E=E+1|0}while((E|0)<(f[x>>2]|0))}x=f[n+44>>2]|0;if((x|0)!=(n+48|0))TC(x);x=f[z>>2]|0;if((x|0)>0)ja=f[(f[h+44>>2]|0)+(x+-1<<2)>>2]|0;else ja=0;x=(ja|0)==0?1:ja;E=((x+1023|0)>>>0)/(x>>>0)|0;ba=f[48556+(e<<2)>>2]|0;if(B){f[n>>2]=h;f[n+4>>2]=m;f[n+8>>2]=0;y=o;f[y>>2]=0;f[y+4>>2]=0;YC(q,n,o,-1);y=f[q+20>>2]|0;K=E>>>0<y>>>0?E:y;E=Y(K,x)|0;da=r+8|0;f[r>>2]=da;N=r+4|0;f[N>>2]=E;if(E>>>0>1032){X=euc(E)|0;f[r>>2]=X;ka=X}else ka=da;b:do if(e>>>0>4){AV(k,e,ka,K);A=147}else{p[s>>3]=0.0;X=dP(C,6)|0;E=f[aa>>2]|0;f[t>>2]=1;f[t+4>>2]=1;Gh[X&255](E,1,0,1,s,1,t,0);la=+p[s>>3];do if(la<+p[11624+(e<<3)>>3]){E=f[i>>2]|0;ma=(E|0)==5|(E+-1|0)>>>0<2?255.0:0.0;p[v>>3]=ma;p[v+8>>3]=ma;p[v+16>>3]=ma;p[v+24>>3]=ma;GI(m,v)|0}else{if(la>+p[11688+(e<<3)>>3]){ma=((f[i>>2]|0)+-3|0)>>>0<3?255.0:0.0;p[v>>3]=ma;p[v+8>>3]=ma;p[v+16>>3]=ma;p[v+24>>3]=ma;GI(m,v)|0;break}E=Fhc(la)|0;f[v>>2]=E;c:do if(la!=+(E|0)){X=f[i>>2]|0;if((X|1|0)==3){ga=~~la;f[v>>2]=(+(ga|0)<la&1)+ga;break}switch(X|0){case 1:case 4:{ga=~~la;f[v>>2]=ga-(+(ga|0)>la&1);break c;break}default:{ma=(X|0)==5?255.0:0.0;p[w>>3]=ma;p[w+8>>3]=ma;p[w+16>>3]=ma;p[w+24>>3]=ma;GI(m,w)|0;break b}}}while(0);f[w>>2]=1124007940;E=w+4|0;f[E>>2]=2;X=w+8|0;f[X>>2]=1;f[w+12>>2]=1;ga=w+16|0;f[ga>>2]=v;f[w+20>>2]=v;ca=w+24|0;na=w+40|0;oa=ca+8|0;f[oa>>2]=0;f[oa+4>>2]=0;f[na>>2]=X;X=w+48|0;oa=w+44|0;f[oa>>2]=X;f[X>>2]=4;f[w+52>>2]=4;pa=v+4|0;f[w+28>>2]=pa;f[ca>>2]=pa;YT(w);AV(w,e,ka,K);pa=w+36|0;ca=f[pa>>2]|0;do if(ca|0){qa=ca+12|0;ra=f[qa>>2]|0;f[qa>>2]=ra+-1;if((ra|0)!=1)break;aU(w)}while(0);f[pa>>2]=0;f[ga>>2]=0;f[ga+4>>2]=0;f[ga+8>>2]=0;f[ga+12>>2]=0;if((f[E>>2]|0)>0){ca=f[na>>2]|0;ra=0;do{f[ca+(ra<<2)>>2]=0;ra=ra+1|0}while((ra|0)<(f[E>>2]|0))}E=f[oa>>2]|0;if((E|0)!=(X|0))TC(E);A=147;break b}while(0)}while(0);d:do if((A|0)==147){e=q+16|0;aa=o+4|0;if(!y){C=0;while(1){if(C>>>0>=(f[e>>2]|0)>>>0)break d;ZC(q)|0;C=C+1|0}}else sa=0;while(1){if(sa>>>0>=(f[e>>2]|0)>>>0)break d;C=0;z=f[o>>2]|0;M=f[aa>>2]|0;do{L=y-C|0;E=L>>>0>K>>>0?K:L;Sh[ba&127](z,0,ka,0,M,0,E,1,i);L=Y(E,x)|0;z=(f[o>>2]|0)+L|0;f[o>>2]=z;M=(f[aa>>2]|0)+E|0;f[aa>>2]=M;C=C+K|0}while(y>>>0>C>>>0);ZC(q)|0;sa=sa+1|0}}while(0);y=f[r>>2]|0;if((y|0)!=(da|0)){if(y|0)guc(y);f[r>>2]=da;f[N>>2]=1032}}else{f[n>>2]=h;f[n+4>>2]=k;f[n+8>>2]=m;f[n+12>>2]=0;f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;YC(q,n,o,-1);y=f[q+20>>2]|0;K=q+16|0;x=o+4|0;aa=o+8|0;e=0;while(1){if(e>>>0>=(f[K>>2]|0)>>>0)break;Sh[ba&127](f[o>>2]|0,0,f[x>>2]|0,0,f[aa>>2]|0,0,y,1,i);ZC(q)|0;e=e+1|0}}e=m+36|0;y=f[e>>2]|0;do if(y|0){aa=y+12|0;x=f[aa>>2]|0;f[aa>>2]=x+-1;if((x|0)!=1)break;aU(m)}while(0);f[e>>2]=0;y=m+16|0;x=m+4|0;f[y>>2]=0;f[y+4>>2]=0;f[y+8>>2]=0;f[y+12>>2]=0;if((f[x>>2]|0)>0){y=f[m+40>>2]|0;aa=0;do{f[y+(aa<<2)>>2]=0;aa=aa+1|0}while((aa|0)<(f[x>>2]|0))}x=f[m+44>>2]|0;if((x|0)!=(m+48|0))TC(x);$=W}x=f[$>>2]|0;if(x|0?(aa=x+12|0,x=f[aa>>2]|0,f[aa>>2]=x+-1,(x|0)==1):0)aU(k);f[$>>2]=0;x=k+16|0;aa=k+4|0;f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;f[x+12>>2]=0;if((f[aa>>2]|0)>0){x=f[k+40>>2]|0;y=0;do{f[x+(y<<2)>>2]=0;y=y+1|0}while((y|0)<(f[aa>>2]|0))}aa=f[k+44>>2]|0;if((aa|0)!=(k+48|0))TC(aa);aa=h+36|0;y=f[aa>>2]|0;if(y|0?(x=y+12|0,y=f[x>>2]|0,f[x>>2]=y+-1,(y|0)==1):0)aU(h);f[aa>>2]=0;aa=h+16|0;y=h+4|0;f[aa>>2]=0;f[aa+4>>2]=0;f[aa+8>>2]=0;f[aa+12>>2]=0;if((f[y>>2]|0)>0){aa=f[h+40>>2]|0;x=0;do{f[aa+(x<<2)>>2]=0;x=x+1|0}while((x|0)<(f[y>>2]|0))}y=f[h+44>>2]|0;if((y|0)!=(h+48|0))TC(y)}while(0);if(!(f[j+4>>2]|0)){u=g;return}u=g;return}function QX(a,c,d,e,g,i,j,k,l){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;m=a;a=d;d=f[l>>2]|0;l=(d|1|0)==3;n=l?a:m;o=l?e:c;p=l?m:a;a=l?c:e;e=l?((d|0)==2?4:1):d;switch(e|0){case 1:case 4:{d=(e|0)==1?0:255;if((k|0)!=0&(j|0)>0){q=g;r=k;s=p;t=n}else return;while(1){r=r+-1|0;l=t;c=s;m=0;do{b[q+m>>0]=((h[l+m>>0]|0)>(h[c+m>>0]|0))<<31>>31^d;m=m+1|0}while((m|0)!=(j|0));if(!r)break;else{q=q+i|0;s=c+a|0;t=l+o|0}}return}case 0:case 5:{t=(e|0)==0?0:255;if((k|0)!=0&(j|0)>0){u=g;v=k;w=p;x=n}else return;while(1){v=v+-1|0;n=x;p=w;k=0;do{b[u+k>>0]=((b[n+k>>0]|0)==(b[p+k>>0]|0))<<31>>31^t;k=k+1|0}while((k|0)!=(j|0));if(!v)break;else{u=u+i|0;w=p+a|0;x=n+o|0}}return}default:return}}function RX(a,c,d,e,g,h,i,j,k){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0;l=f[k>>2]|0;k=a;a=d;d=(l|1|0)==3;m=d?e:c;n=d?k:a;o=d?c:e;e=d?a:k;k=d?((l|0)==2?4:1):l;switch(k|0){case 1:case 4:{l=(k|0)==1?0:255;d=j+-1|0;if(!j)return;a=i+-4|0;if((i|0)<4){if((i|0)>0){p=g;q=n;r=e;s=d}else return;while(1){c=r;t=q;u=0;do{b[p+u>>0]=((b[c+u>>0]|0)>(b[t+u>>0]|0))<<31>>31^l;u=u+1|0}while((u|0)!=(i|0));if(!s)break;else{p=p+h|0;q=t+o|0;r=c+m|0;s=s+-1|0}}return}s=i&-4;if((s|0)<(i|0)){v=g;w=n;x=e;y=d}else{r=g;q=n;p=e;u=d;while(1){d=p;z=q;A=0;do{B=A|1;C=((b[d+B>>0]|0)>(b[z+B>>0]|0))<<31>>31^l;b[r+A>>0]=((b[d+A>>0]|0)>(b[z+A>>0]|0))<<31>>31^l;b[r+B>>0]=C;C=A|2;B=A|3;D=((b[d+B>>0]|0)>(b[z+B>>0]|0))<<31>>31^l;b[r+C>>0]=((b[d+C>>0]|0)>(b[z+C>>0]|0))<<31>>31^l;b[r+B>>0]=D;A=A+4|0}while((A|0)<=(a|0));if(!u)break;else{r=r+h|0;q=z+o|0;p=d+m|0;u=u+-1|0}}return}while(1){u=x;p=w;q=0;do{r=q|1;A=((b[u+r>>0]|0)>(b[p+r>>0]|0))<<31>>31^l;b[v+q>>0]=((b[u+q>>0]|0)>(b[p+q>>0]|0))<<31>>31^l;b[v+r>>0]=A;A=q|2;r=q|3;c=((b[u+r>>0]|0)>(b[p+r>>0]|0))<<31>>31^l;b[v+A>>0]=((b[u+A>>0]|0)>(b[p+A>>0]|0))<<31>>31^l;b[v+r>>0]=c;q=q+4|0}while((q|0)<=(a|0));E=s;do{b[v+E>>0]=((b[u+E>>0]|0)>(b[p+E>>0]|0))<<31>>31^l;E=E+1|0}while((E|0)!=(i|0));if(!y)break;else{v=v+h|0;w=p+o|0;x=u+m|0;y=y+-1|0}}return}case 0:case 5:{y=(k|0)==0?0:255;k=j+-1|0;if(!j)return;j=i+-4|0;if((i|0)<4){if((i|0)>0){F=g;G=n;H=e;I=k}else return;while(1){x=H;w=G;v=0;do{b[F+v>>0]=((b[x+v>>0]|0)==(b[w+v>>0]|0))<<31>>31^y;v=v+1|0}while((v|0)!=(i|0));if(!I)break;else{F=F+h|0;G=w+o|0;H=x+m|0;I=I+-1|0}}return}I=i&-4;if((I|0)<(i|0)){J=g;K=n;L=e;M=k}else{H=g;g=n;n=e;e=k;while(1){k=n;G=g;F=0;do{v=F|1;u=((b[k+v>>0]|0)==(b[G+v>>0]|0))<<31>>31^y;b[H+F>>0]=((b[k+F>>0]|0)==(b[G+F>>0]|0))<<31>>31^y;b[H+v>>0]=u;u=F|2;v=F|3;p=((b[k+v>>0]|0)==(b[G+v>>0]|0))<<31>>31^y;b[H+u>>0]=((b[k+u>>0]|0)==(b[G+u>>0]|0))<<31>>31^y;b[H+v>>0]=p;F=F+4|0}while((F|0)<=(j|0));if(!e)break;else{H=H+h|0;g=G+o|0;n=k+m|0;e=e+-1|0}}return}while(1){e=L;n=K;g=0;do{H=g|1;F=((b[e+H>>0]|0)==(b[n+H>>0]|0))<<31>>31^y;b[J+g>>0]=((b[e+g>>0]|0)==(b[n+g>>0]|0))<<31>>31^y;b[J+H>>0]=F;F=g|2;H=g|3;x=((b[e+H>>0]|0)==(b[n+H>>0]|0))<<31>>31^y;b[J+F>>0]=((b[e+F>>0]|0)==(b[n+F>>0]|0))<<31>>31^y;b[J+H>>0]=x;g=g+4|0}while((g|0)<=(j|0));N=I;do{b[J+N>>0]=((b[e+N>>0]|0)==(b[n+N>>0]|0))<<31>>31^y;N=N+1|0}while((N|0)!=(i|0));if(!M)break;else{J=J+h|0;K=n+o|0;L=e+m|0;M=M+-1|0}}return}default:return}}function SX(a,c,e,g,h,i,k,l,m){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;n=f[m>>2]|0;m=a;a=e;e=c>>>1;c=g>>>1;g=(n|1|0)==3;o=g?c:e;p=g?m:a;q=g?e:c;c=g?a:m;m=g?((n|0)==2?4:1):n;switch(m|0){case 1:case 4:{n=(m|0)==1?0:255;g=l+-1|0;if(!l)return;a=k+-4|0;if((k|0)<4){if((k|0)>0){r=h;s=p;t=c;u=g}else return;while(1){e=t;v=s;w=0;do{b[r+w>>0]=((j[e+(w<<1)>>1]|0)>(j[v+(w<<1)>>1]|0))<<31>>31^n;w=w+1|0}while((w|0)!=(k|0));if(!u)break;else{r=r+i|0;s=v+(q<<1)|0;t=e+(o<<1)|0;u=u+-1|0}}return}u=k&-4;if((u|0)<(k|0)){x=h;y=p;z=c;A=g}else{t=h;s=p;r=c;w=g;while(1){g=r;B=s;C=0;do{D=C|1;E=((j[g+(D<<1)>>1]|0)>(j[B+(D<<1)>>1]|0))<<31>>31^n;b[t+C>>0]=((j[g+(C<<1)>>1]|0)>(j[B+(C<<1)>>1]|0))<<31>>31^n;b[t+D>>0]=E;E=C|2;D=C|3;F=((j[g+(D<<1)>>1]|0)>(j[B+(D<<1)>>1]|0))<<31>>31^n;b[t+E>>0]=((j[g+(E<<1)>>1]|0)>(j[B+(E<<1)>>1]|0))<<31>>31^n;b[t+D>>0]=F;C=C+4|0}while((C|0)<=(a|0));if(!w)break;else{t=t+i|0;s=B+(q<<1)|0;r=g+(o<<1)|0;w=w+-1|0}}return}while(1){w=z;r=y;s=0;do{t=s|1;C=((j[w+(t<<1)>>1]|0)>(j[r+(t<<1)>>1]|0))<<31>>31^n;b[x+s>>0]=((j[w+(s<<1)>>1]|0)>(j[r+(s<<1)>>1]|0))<<31>>31^n;b[x+t>>0]=C;C=s|2;t=s|3;e=((j[w+(t<<1)>>1]|0)>(j[r+(t<<1)>>1]|0))<<31>>31^n;b[x+C>>0]=((j[w+(C<<1)>>1]|0)>(j[r+(C<<1)>>1]|0))<<31>>31^n;b[x+t>>0]=e;s=s+4|0}while((s|0)<=(a|0));G=u;do{b[x+G>>0]=((j[w+(G<<1)>>1]|0)>(j[r+(G<<1)>>1]|0))<<31>>31^n;G=G+1|0}while((G|0)!=(k|0));if(!A)break;else{x=x+i|0;y=r+(q<<1)|0;z=w+(o<<1)|0;A=A+-1|0}}return}case 0:case 5:{A=(m|0)==0?0:255;m=l+-1|0;if(!l)return;l=k+-4|0;if((k|0)<4){if((k|0)>0){H=h;I=p;J=c;K=m}else return;while(1){z=J;y=I;x=0;do{b[H+x>>0]=((d[z+(x<<1)>>1]|0)==(d[y+(x<<1)>>1]|0))<<31>>31^A;x=x+1|0}while((x|0)!=(k|0));if(!K)break;else{H=H+i|0;I=y+(q<<1)|0;J=z+(o<<1)|0;K=K+-1|0}}return}K=k&-4;J=(K|0)<(k|0);I=h;h=p;p=c;c=m;while(1){m=p;H=h;x=0;do{w=x|1;r=((d[m+(w<<1)>>1]|0)==(d[H+(w<<1)>>1]|0))<<31>>31^A;b[I+x>>0]=((d[m+(x<<1)>>1]|0)==(d[H+(x<<1)>>1]|0))<<31>>31^A;b[I+w>>0]=r;r=x|2;w=x|3;G=((d[m+(w<<1)>>1]|0)==(d[H+(w<<1)>>1]|0))<<31>>31^A;b[I+r>>0]=((d[m+(r<<1)>>1]|0)==(d[H+(r<<1)>>1]|0))<<31>>31^A;b[I+w>>0]=G;x=x+4|0}while((x|0)<=(l|0));if(J){x=K;do{b[I+x>>0]=((d[m+(x<<1)>>1]|0)==(d[H+(x<<1)>>1]|0))<<31>>31^A;x=x+1|0}while((x|0)!=(k|0))}if(!c)break;else{I=I+i|0;h=H+(q<<1)|0;p=m+(o<<1)|0;c=c+-1|0}}return}default:return}}function TX(a,c,e,g,h,i,j,k,l){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;m=a;a=e;e=f[l>>2]|0;l=c>>>1;c=g>>>1;g=(e|1|0)==3;n=g?a:m;o=g?c:l;p=g?m:a;a=g?l:c;c=g?((e|0)==2?4:1):e;switch(c|0){case 1:case 4:{e=(c|0)==1?0:255;if((k|0)!=0&(j|0)>0){q=h;r=k;s=p;t=n}else return;while(1){r=r+-1|0;g=t;l=s;m=0;do{b[q+m>>0]=((d[g+(m<<1)>>1]|0)>(d[l+(m<<1)>>1]|0))<<31>>31^e;m=m+1|0}while((m|0)!=(j|0));if(!r)break;else{q=q+i|0;s=l+(a<<1)|0;t=g+(o<<1)|0}}return}case 0:case 5:{t=(c|0)==0?0:255;if((k|0)!=0&(j|0)>0){u=h;v=k;w=p;x=n}else return;while(1){v=v+-1|0;n=x;p=w;k=0;do{b[u+k>>0]=((d[n+(k<<1)>>1]|0)==(d[p+(k<<1)>>1]|0))<<31>>31^t;k=k+1|0}while((k|0)!=(j|0));if(!v)break;else{u=u+i|0;w=p+(a<<1)|0;x=n+(o<<1)|0}}return}default:return}}function UX(a,c,d,e,g,h,i,j,k){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;l=f[k>>2]|0;k=a;a=d;d=c>>>2;c=e>>>2;e=(l|1|0)==3;m=e?c:d;n=e?k:a;o=e?d:c;c=e?a:k;k=e?((l|0)==2?4:1):l;switch(k|0){case 1:case 4:{l=(k|0)==1?0:255;e=j+-1|0;if(!j)return;a=i+-4|0;if((i|0)<4){if((i|0)>0){p=g;q=n;r=c;s=e}else return;while(1){d=r;t=q;u=0;do{b[p+u>>0]=((f[d+(u<<2)>>2]|0)>(f[t+(u<<2)>>2]|0))<<31>>31^l;u=u+1|0}while((u|0)!=(i|0));if(!s)break;else{p=p+h|0;q=t+(o<<2)|0;r=d+(m<<2)|0;s=s+-1|0}}return}s=i&-4;if((s|0)<(i|0)){v=g;w=n;x=c;y=e}else{r=g;q=n;p=c;u=e;while(1){e=p;z=q;A=0;do{B=A|1;C=((f[e+(B<<2)>>2]|0)>(f[z+(B<<2)>>2]|0))<<31>>31^l;b[r+A>>0]=((f[e+(A<<2)>>2]|0)>(f[z+(A<<2)>>2]|0))<<31>>31^l;b[r+B>>0]=C;C=A|2;B=A|3;D=((f[e+(B<<2)>>2]|0)>(f[z+(B<<2)>>2]|0))<<31>>31^l;b[r+C>>0]=((f[e+(C<<2)>>2]|0)>(f[z+(C<<2)>>2]|0))<<31>>31^l;b[r+B>>0]=D;A=A+4|0}while((A|0)<=(a|0));if(!u)break;else{r=r+h|0;q=z+(o<<2)|0;p=e+(m<<2)|0;u=u+-1|0}}return}while(1){u=x;p=w;q=0;do{r=q|1;A=((f[u+(r<<2)>>2]|0)>(f[p+(r<<2)>>2]|0))<<31>>31^l;b[v+q>>0]=((f[u+(q<<2)>>2]|0)>(f[p+(q<<2)>>2]|0))<<31>>31^l;b[v+r>>0]=A;A=q|2;r=q|3;d=((f[u+(r<<2)>>2]|0)>(f[p+(r<<2)>>2]|0))<<31>>31^l;b[v+A>>0]=((f[u+(A<<2)>>2]|0)>(f[p+(A<<2)>>2]|0))<<31>>31^l;b[v+r>>0]=d;q=q+4|0}while((q|0)<=(a|0));E=s;do{b[v+E>>0]=((f[u+(E<<2)>>2]|0)>(f[p+(E<<2)>>2]|0))<<31>>31^l;E=E+1|0}while((E|0)!=(i|0));if(!y)break;else{v=v+h|0;w=p+(o<<2)|0;x=u+(m<<2)|0;y=y+-1|0}}return}case 0:case 5:{y=(k|0)==0?0:255;k=j+-1|0;if(!j)return;j=i+-4|0;if((i|0)<4){if((i|0)>0){F=g;G=n;H=c;I=k}else return;while(1){x=H;w=G;v=0;do{b[F+v>>0]=((f[x+(v<<2)>>2]|0)==(f[w+(v<<2)>>2]|0))<<31>>31^y;v=v+1|0}while((v|0)!=(i|0));if(!I)break;else{F=F+h|0;G=w+(o<<2)|0;H=x+(m<<2)|0;I=I+-1|0}}return}I=i&-4;H=(I|0)<(i|0);G=g;g=n;n=c;c=k;while(1){k=n;F=g;v=0;do{u=v|1;p=((f[k+(u<<2)>>2]|0)==(f[F+(u<<2)>>2]|0))<<31>>31^y;b[G+v>>0]=((f[k+(v<<2)>>2]|0)==(f[F+(v<<2)>>2]|0))<<31>>31^y;b[G+u>>0]=p;p=v|2;u=v|3;E=((f[k+(u<<2)>>2]|0)==(f[F+(u<<2)>>2]|0))<<31>>31^y;b[G+p>>0]=((f[k+(p<<2)>>2]|0)==(f[F+(p<<2)>>2]|0))<<31>>31^y;b[G+u>>0]=E;v=v+4|0}while((v|0)<=(j|0));if(H){v=I;do{b[G+v>>0]=((f[k+(v<<2)>>2]|0)==(f[F+(v<<2)>>2]|0))<<31>>31^y;v=v+1|0}while((v|0)!=(i|0))}if(!c)break;else{G=G+h|0;g=F+(o<<2)|0;n=k+(m<<2)|0;c=c+-1|0}}return}default:return}}function VX(a,c,d,e,g,h,i,j,k){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;l=f[k>>2]|0;k=a;a=d;d=c>>>2;c=e>>>2;e=(l|1|0)==3;m=e?c:d;o=e?k:a;p=e?d:c;c=e?a:k;k=e?((l|0)==2?4:1):l;switch(k|0){case 1:case 4:{l=(k|0)==1?0:255;e=j+-1|0;if(!j)return;a=i+-4|0;if((i|0)<4){if((i|0)>0){q=g;r=o;s=c;t=e}else return;while(1){d=s;u=r;v=0;do{b[q+v>>0]=(+n[d+(v<<2)>>2]>+n[u+(v<<2)>>2])<<31>>31^l;v=v+1|0}while((v|0)!=(i|0));if(!t)break;else{q=q+h|0;r=u+(p<<2)|0;s=d+(m<<2)|0;t=t+-1|0}}return}t=i&-4;if((t|0)<(i|0)){w=g;x=o;y=c;z=e}else{s=g;r=o;q=c;v=e;while(1){e=q;A=r;B=0;do{C=B|1;D=(+n[e+(C<<2)>>2]>+n[A+(C<<2)>>2])<<31>>31^l;b[s+B>>0]=(+n[e+(B<<2)>>2]>+n[A+(B<<2)>>2])<<31>>31^l;b[s+C>>0]=D;D=B|2;C=B|3;E=(+n[e+(C<<2)>>2]>+n[A+(C<<2)>>2])<<31>>31^l;b[s+D>>0]=(+n[e+(D<<2)>>2]>+n[A+(D<<2)>>2])<<31>>31^l;b[s+C>>0]=E;B=B+4|0}while((B|0)<=(a|0));if(!v)break;else{s=s+h|0;r=A+(p<<2)|0;q=e+(m<<2)|0;v=v+-1|0}}return}while(1){v=y;q=x;r=0;do{s=r|1;B=(+n[v+(s<<2)>>2]>+n[q+(s<<2)>>2])<<31>>31^l;b[w+r>>0]=(+n[v+(r<<2)>>2]>+n[q+(r<<2)>>2])<<31>>31^l;b[w+s>>0]=B;B=r|2;s=r|3;d=(+n[v+(s<<2)>>2]>+n[q+(s<<2)>>2])<<31>>31^l;b[w+B>>0]=(+n[v+(B<<2)>>2]>+n[q+(B<<2)>>2])<<31>>31^l;b[w+s>>0]=d;r=r+4|0}while((r|0)<=(a|0));F=t;do{b[w+F>>0]=(+n[v+(F<<2)>>2]>+n[q+(F<<2)>>2])<<31>>31^l;F=F+1|0}while((F|0)!=(i|0));if(!z)break;else{w=w+h|0;x=q+(p<<2)|0;y=v+(m<<2)|0;z=z+-1|0}}return}case 0:case 5:{z=(k|0)==0?0:255;k=j+-1|0;if(!j)return;j=i+-4|0;if((i|0)<4){if((i|0)>0){G=g;H=o;I=c;J=k}else return;while(1){y=I;x=H;w=0;do{b[G+w>>0]=(+n[y+(w<<2)>>2]==+n[x+(w<<2)>>2])<<31>>31^z;w=w+1|0}while((w|0)!=(i|0));if(!J)break;else{G=G+h|0;H=x+(p<<2)|0;I=y+(m<<2)|0;J=J+-1|0}}return}J=i&-4;I=(J|0)<(i|0);H=g;g=o;o=c;c=k;while(1){k=o;G=g;w=0;do{v=w|1;q=(+n[k+(v<<2)>>2]==+n[G+(v<<2)>>2])<<31>>31^z;b[H+w>>0]=(+n[k+(w<<2)>>2]==+n[G+(w<<2)>>2])<<31>>31^z;b[H+v>>0]=q;q=w|2;v=w|3;F=(+n[k+(v<<2)>>2]==+n[G+(v<<2)>>2])<<31>>31^z;b[H+q>>0]=(+n[k+(q<<2)>>2]==+n[G+(q<<2)>>2])<<31>>31^z;b[H+v>>0]=F;w=w+4|0}while((w|0)<=(j|0));if(I){w=J;do{b[H+w>>0]=(+n[k+(w<<2)>>2]==+n[G+(w<<2)>>2])<<31>>31^z;w=w+1|0}while((w|0)!=(i|0))}if(!c)break;else{H=H+h|0;g=G+(p<<2)|0;o=k+(m<<2)|0;c=c+-1|0}}return}default:return}}function WX(a,c,d,e,g,h,i,j,k){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;l=f[k>>2]|0;k=a;a=d;d=c>>>3;c=e>>>3;e=(l|1|0)==3;m=e?c:d;n=e?k:a;o=e?d:c;c=e?a:k;k=e?((l|0)==2?4:1):l;switch(k|0){case 1:case 4:{l=(k|0)==1?0:255;e=j+-1|0;if(!j)return;a=i+-4|0;if((i|0)<4){if((i|0)>0){q=g;r=n;s=c;t=e}else return;while(1){d=s;u=r;v=0;do{b[q+v>>0]=(+p[d+(v<<3)>>3]>+p[u+(v<<3)>>3])<<31>>31^l;v=v+1|0}while((v|0)!=(i|0));if(!t)break;else{q=q+h|0;r=u+(o<<3)|0;s=d+(m<<3)|0;t=t+-1|0}}return}t=i&-4;if((t|0)<(i|0)){w=g;x=n;y=c;z=e}else{s=g;r=n;q=c;v=e;while(1){e=q;A=r;B=0;do{C=B|1;D=(+p[e+(C<<3)>>3]>+p[A+(C<<3)>>3])<<31>>31^l;b[s+B>>0]=(+p[e+(B<<3)>>3]>+p[A+(B<<3)>>3])<<31>>31^l;b[s+C>>0]=D;D=B|2;C=B|3;E=(+p[e+(C<<3)>>3]>+p[A+(C<<3)>>3])<<31>>31^l;b[s+D>>0]=(+p[e+(D<<3)>>3]>+p[A+(D<<3)>>3])<<31>>31^l;b[s+C>>0]=E;B=B+4|0}while((B|0)<=(a|0));if(!v)break;else{s=s+h|0;r=A+(o<<3)|0;q=e+(m<<3)|0;v=v+-1|0}}return}while(1){v=y;q=x;r=0;do{s=r|1;B=(+p[v+(s<<3)>>3]>+p[q+(s<<3)>>3])<<31>>31^l;b[w+r>>0]=(+p[v+(r<<3)>>3]>+p[q+(r<<3)>>3])<<31>>31^l;b[w+s>>0]=B;B=r|2;s=r|3;d=(+p[v+(s<<3)>>3]>+p[q+(s<<3)>>3])<<31>>31^l;b[w+B>>0]=(+p[v+(B<<3)>>3]>+p[q+(B<<3)>>3])<<31>>31^l;b[w+s>>0]=d;r=r+4|0}while((r|0)<=(a|0));F=t;do{b[w+F>>0]=(+p[v+(F<<3)>>3]>+p[q+(F<<3)>>3])<<31>>31^l;F=F+1|0}while((F|0)!=(i|0));if(!z)break;else{w=w+h|0;x=q+(o<<3)|0;y=v+(m<<3)|0;z=z+-1|0}}return}case 0:case 5:{z=(k|0)==0?0:255;k=j+-1|0;if(!j)return;j=i+-4|0;if((i|0)<4){if((i|0)>0){G=g;H=n;I=c;J=k}else return;while(1){y=I;x=H;w=0;do{b[G+w>>0]=(+p[y+(w<<3)>>3]==+p[x+(w<<3)>>3])<<31>>31^z;w=w+1|0}while((w|0)!=(i|0));if(!J)break;else{G=G+h|0;H=x+(o<<3)|0;I=y+(m<<3)|0;J=J+-1|0}}return}J=i&-4;I=(J|0)<(i|0);H=g;g=n;n=c;c=k;while(1){k=n;G=g;w=0;do{v=w|1;q=(+p[k+(v<<3)>>3]==+p[G+(v<<3)>>3])<<31>>31^z;b[H+w>>0]=(+p[k+(w<<3)>>3]==+p[G+(w<<3)>>3])<<31>>31^z;b[H+v>>0]=q;q=w|2;v=w|3;F=(+p[k+(v<<3)>>3]==+p[G+(v<<3)>>3])<<31>>31^z;b[H+q>>0]=(+p[k+(q<<3)>>3]==+p[G+(q<<3)>>3])<<31>>31^z;b[H+v>>0]=F;w=w+4|0}while((w|0)<=(j|0));if(I){w=J;do{b[H+w>>0]=(+p[k+(w<<3)>>3]==+p[G+(w<<3)>>3])<<31>>31^z;w=w+1|0}while((w|0)!=(i|0))}if(!c)break;else{H=H+h|0;g=G+(o<<3)|0;n=k+(m<<3)|0;c=c+-1|0}}return}default:return}}function XX(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0;g=u;u=u+1504|0;h=g+1440|0;i=g+1432|0;j=g+1376|0;k=g+1320|0;l=g+1264|0;m=g+1208|0;n=g+1192|0;o=g+1160|0;q=g+1136|0;r=g+1104|0;s=g+56|0;t=g+1184|0;v=g+1152|0;w=g;x=g+1096|0;gV(i,48588);if(EJ(a)|0){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;y=cuc(16)|0;f[h>>2]=y;f[h+8>>2]=-2147483632;f[h+4>>2]=14;z=y;A=223448;B=z+14|0;do{b[z>>0]=b[A>>0]|0;z=z+1|0;A=A+1|0}while((z|0)<(B|0));b[y+14>>0]=0;WD(-215,h,223463,221432,1709)}y=qJ(a)|0;C=qJ(c)|0;D=qJ(d)|0;do if((qJ(a)|0)==65536){E=f[a+4>>2]|0;f[j>>2]=f[E>>2];F=j+4|0;G=E+4|0;f[F>>2]=f[G>>2];H=j+8|0;f[H>>2]=f[E+8>>2];f[j+12>>2]=f[E+12>>2];f[j+16>>2]=f[E+16>>2];f[j+20>>2]=f[E+20>>2];f[j+24>>2]=f[E+24>>2];f[j+28>>2]=f[E+28>>2];f[j+32>>2]=f[E+32>>2];I=f[E+36>>2]|0;f[j+36>>2]=I;f[j+40>>2]=H;H=j+48|0;J=j+44|0;f[J>>2]=H;f[H>>2]=0;f[j+52>>2]=0;if(I|0){H=I+12|0;f[H>>2]=(f[H>>2]|0)+1}if((f[G>>2]|0)<3){G=f[E+44>>2]|0;H=f[J>>2]|0;f[H>>2]=f[G>>2];f[H+4>>2]=f[G+4>>2];break}else{f[F>>2]=0;$T(j,E);break}}else nJ(j,a,-1);while(0);do if((qJ(c)|0)==65536){a=f[c+4>>2]|0;f[k>>2]=f[a>>2];E=k+4|0;F=a+4|0;f[E>>2]=f[F>>2];G=k+8|0;f[G>>2]=f[a+8>>2];f[k+12>>2]=f[a+12>>2];f[k+16>>2]=f[a+16>>2];f[k+20>>2]=f[a+20>>2];f[k+24>>2]=f[a+24>>2];f[k+28>>2]=f[a+28>>2];f[k+32>>2]=f[a+32>>2];H=f[a+36>>2]|0;f[k+36>>2]=H;f[k+40>>2]=G;G=k+48|0;J=k+44|0;f[J>>2]=G;f[G>>2]=0;f[k+52>>2]=0;if(H|0){G=H+12|0;f[G>>2]=(f[G>>2]|0)+1}if((f[F>>2]|0)<3){F=f[a+44>>2]|0;G=f[J>>2]|0;f[G>>2]=f[F>>2];f[G+4>>2]=f[F+4>>2];break}else{f[E>>2]=0;$T(k,a);break}}else nJ(k,c,-1);while(0);do if((qJ(d)|0)==65536){c=f[d+4>>2]|0;f[l>>2]=f[c>>2];a=l+4|0;E=c+4|0;f[a>>2]=f[E>>2];F=l+8|0;f[F>>2]=f[c+8>>2];f[l+12>>2]=f[c+12>>2];f[l+16>>2]=f[c+16>>2];f[l+20>>2]=f[c+20>>2];f[l+24>>2]=f[c+24>>2];f[l+28>>2]=f[c+28>>2];f[l+32>>2]=f[c+32>>2];G=f[c+36>>2]|0;f[l+36>>2]=G;f[l+40>>2]=F;F=l+48|0;J=l+44|0;f[J>>2]=F;f[F>>2]=0;f[l+52>>2]=0;if(G|0){F=G+12|0;f[F>>2]=(f[F>>2]|0)+1}if((f[E>>2]|0)<3){E=f[c+44>>2]|0;F=f[J>>2]|0;f[F>>2]=f[E>>2];f[F+4>>2]=f[E+4>>2];break}else{f[a>>2]=0;$T(l,c);break}}else nJ(l,d,-1);while(0);d=(y|0)!=131072;a:do if(!(d&(C|0)==131072)?(c=f[j+40>>2]|0,a=f[c+-4>>2]|0,E=f[k+40>>2]|0,(a|0)==(f[E+-4>>2]|0)):0){if((a|0)==2){if((f[c>>2]|0)!=(f[E>>2]|0)){K=33;break}if((f[c+4>>2]|0)!=(f[E+4>>2]|0)){K=33;break}}else if((a|0)>0){F=0;do{if((f[c+(F<<2)>>2]|0)!=(f[E+(F<<2)>>2]|0)){K=33;break a}F=F+1|0}while((F|0)<(a|0))}a=f[j>>2]|0;if(!((f[k>>2]^a)&4095)){L=0;M=a}else K=33}else K=33;while(0);if((K|0)==33){a=f[j>>2]|0;if((f[k+4>>2]|0)>2){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;N=cuc(96)|0;f[h>>2]=N;O=h+8|0;f[O>>2]=-2147483552;P=h+4|0;f[P>>2]=90;z=N;A=223471;B=z+90|0;do{b[z>>0]=b[A>>0]|0;z=z+1|0;A=A+1|0}while((z|0)<(B|0));Q=N+90|0;b[Q>>0]=0;WD(-209,h,223463,221432,1725)}F=f[k>>2]|0;if(!(F&16384)){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;N=cuc(96)|0;f[h>>2]=N;O=h+8|0;f[O>>2]=-2147483552;P=h+4|0;f[P>>2]=90;z=N;A=223471;B=z+90|0;do{b[z>>0]=b[A>>0]|0;z=z+1|0;A=A+1|0}while((z|0)<(B|0));Q=N+90|0;b[Q>>0]=0;WD(-209,h,223463,221432,1725)}E=f[k+40>>2]|0;c=f[E+4>>2]|0;J=f[E>>2]|0;E=(c|0)==1;G=(J|0)==1;if(!(E|G)){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;N=cuc(96)|0;f[h>>2]=N;O=h+8|0;f[O>>2]=-2147483552;P=h+4|0;f[P>>2]=90;z=N;A=223471;B=z+90|0;do{b[z>>0]=b[A>>0]|0;z=z+1|0;A=A+1|0}while((z|0)<(B|0));Q=N+90|0;b[Q>>0]=0;WD(-209,h,223463,221432,1725)}H=(a>>>3&511)+1|0;if((y|0)==131072&(C|0)!=131072){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;N=cuc(96)|0;f[h>>2]=N;O=h+8|0;f[O>>2]=-2147483552;P=h+4|0;f[P>>2]=90;z=N;A=223471;B=z+90|0;do{b[z>>0]=b[A>>0]|0;z=z+1|0;A=A+1|0}while((z|0)<(B|0));Q=N+90|0;b[Q>>0]=0;WD(-209,h,223463,221432,1725)}if(!((c|0)==(H|0)&G|E&(G|(J|0)==(H|0)))?H>>>0>4|(F&4095|0)!=6|E&(J|0)==4^1:0){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;N=cuc(96)|0;f[h>>2]=N;O=h+8|0;f[O>>2]=-2147483552;P=h+4|0;f[P>>2]=90;z=N;A=223471;B=z+90|0;do{b[z>>0]=b[A>>0]|0;z=z+1|0;A=A+1|0}while((z|0)<(B|0));Q=N+90|0;b[Q>>0]=0;WD(-209,h,223463,221432,1725)}else{L=1;M=a}}b:do if(!(d&(D|0)==131072)?(a=f[j+40>>2]|0,Q=f[a+-4>>2]|0,N=f[l+40>>2]|0,(Q|0)==(f[N+-4>>2]|0)):0){if((Q|0)==2){if((f[a>>2]|0)!=(f[N>>2]|0)){K=49;break}if((f[a+4>>2]|0)!=(f[N+4>>2]|0)){K=49;break}}else if((Q|0)>0){P=0;do{if((f[a+(P<<2)>>2]|0)!=(f[N+(P<<2)>>2]|0)){K=49;break b}P=P+1|0}while((P|0)<(Q|0))}if(!((f[l>>2]^M)&4095))if(L){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;R=cuc(32)|0;f[h>>2]=R;S=h+8|0;f[S>>2]=-2147483616;T=h+4|0;f[T>>2]=20;z=R;A=223653;B=z+20|0;do{b[z>>0]=b[A>>0]|0;z=z+1|0;A=A+1|0}while((z|0)<(B|0));U=R+20|0;b[U>>0]=0;WD(-215,h,223463,221432,1738)}else{Q=M>>>3;P=Q&511;V=0;W=Q;X=P;Z=P+1|0;_=j;$=0;aa=0;break}else K=49}else K=49;while(0);if((K|0)==49){if((f[l+4>>2]|0)>2){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;ba=cuc(96)|0;f[h>>2]=ba;ca=h+8|0;f[ca>>2]=-2147483552;da=h+4|0;f[da>>2]=90;z=ba;A=223562;B=z+90|0;do{b[z>>0]=b[A>>0]|0;z=z+1|0;A=A+1|0}while((z|0)<(B|0));ea=ba+90|0;b[ea>>0]=0;WD(-209,h,223463,221432,1734)}K=f[l>>2]|0;if(!(K&16384)){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;ba=cuc(96)|0;f[h>>2]=ba;ca=h+8|0;f[ca>>2]=-2147483552;da=h+4|0;f[da>>2]=90;z=ba;A=223562;B=z+90|0;do{b[z>>0]=b[A>>0]|0;z=z+1|0;A=A+1|0}while((z|0)<(B|0));ea=ba+90|0;b[ea>>0]=0;WD(-209,h,223463,221432,1734)}d=f[l+40>>2]|0;P=f[d+4>>2]|0;Q=f[d>>2]|0;d=(P|0)==1;N=(Q|0)==1;if(!(d|N)){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;ba=cuc(96)|0;f[h>>2]=ba;ca=h+8|0;f[ca>>2]=-2147483552;da=h+4|0;f[da>>2]=90;z=ba;A=223562;B=z+90|0;do{b[z>>0]=b[A>>0]|0;z=z+1|0;A=A+1|0}while((z|0)<(B|0));ea=ba+90|0;b[ea>>0]=0;WD(-209,h,223463,221432,1734)}a=M>>>3;O=a&511;J=O+1|0;if((y|0)==131072&(D|0)!=131072){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;ba=cuc(96)|0;f[h>>2]=ba;ca=h+8|0;f[ca>>2]=-2147483552;da=h+4|0;f[da>>2]=90;z=ba;A=223562;B=z+90|0;do{b[z>>0]=b[A>>0]|0;z=z+1|0;A=A+1|0}while((z|0)<(B|0));ea=ba+90|0;b[ea>>0]=0;WD(-209,h,223463,221432,1734)}if(!((P|0)==(J|0)&N|d&(N|(Q|0)==(J|0)))?J>>>0>4|(K&4095|0)!=6|d&(Q|0)==4^1:0){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;ba=cuc(96)|0;f[h>>2]=ba;ca=h+8|0;f[ca>>2]=-2147483552;da=h+4|0;f[da>>2]=90;z=ba;A=223562;B=z+90|0;do{b[z>>0]=b[A>>0]|0;z=z+1|0;A=A+1|0}while((z|0)<(B|0));ea=ba+90|0;b[ea>>0]=0;WD(-209,h,223463,221432,1734)}if(L){V=1;W=a;X=O;Z=J;_=j;$=1;aa=L&1}else{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;R=cuc(32)|0;f[h>>2]=R;S=h+8|0;f[S>>2]=-2147483616;T=h+4|0;f[T>>2]=20;z=R;A=223653;B=z+20|0;do{b[z>>0]=b[A>>0]|0;z=z+1|0;A=A+1|0}while((z|0)<(B|0));U=R+20|0;b[U>>0]=0;WD(-215,h,223463,221432,1738)}}U=M&7;M=j+4|0;R=f[M>>2]|0;if((R|0)>0)fa=f[(f[j+44>>2]|0)+(R+-1<<2)>>2]|0;else fa=0;T=((fa+1023|0)>>>0)/(fa>>>0)|0;S=j+40|0;JJ(e,R,f[S>>2]|0,0,-1,0,0);do if((qJ(e)|0)==65536){R=f[e+4>>2]|0;f[m>>2]=f[R>>2];J=m+4|0;O=R+4|0;f[J>>2]=f[O>>2];a=m+8|0;f[a>>2]=f[R+8>>2];f[m+12>>2]=f[R+12>>2];f[m+16>>2]=f[R+16>>2];f[m+20>>2]=f[R+20>>2];f[m+24>>2]=f[R+24>>2];f[m+28>>2]=f[R+28>>2];f[m+32>>2]=f[R+32>>2];ea=f[R+36>>2]|0;f[m+36>>2]=ea;f[m+40>>2]=a;a=m+48|0;ba=m+44|0;f[ba>>2]=a;f[a>>2]=0;f[m+52>>2]=0;if(ea|0){a=ea+12|0;f[a>>2]=(f[a>>2]|0)+1}if((f[O>>2]|0)<3){O=f[R+44>>2]|0;a=f[ba>>2]|0;f[a>>2]=f[O>>2];f[a+4>>2]=f[O+4>>2];break}else{f[J>>2]=0;$T(m,R);break}}else nJ(m,e,-1);while(0);e=f[48608+(U<<2)>>2]|0;f[n>>2]=j;f[n+4>>2]=m;f[n+8>>2]=0;f[o>>2]=j;f[o+4>>2]=m;f[o+8>>2]=k;f[o+12>>2]=l;f[o+16>>2]=0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;f[q+12>>2]=0;R=L&V;YC(r,R?n:o,q,-1);o=f[r+20>>2]|0;n=T>>>0<o>>>0?T:o;T=(Z<<3)+128+(Y(n,(Y(fa,aa+$|0)|0)+Z|0)|0)|0;$=s+8|0;f[s>>2]=$;aa=s+4|0;f[aa>>2]=T;if(T>>>0>1032){J=euc(T)|0;f[s>>2]=J;ga=J}else ga=$;J=ga+(Y(n,Z)|0)+15&-16;if(R){R=Y(n,fa)|0;T=J+R+15&-16;O=f[k>>2]|0;if((f[l>>2]^O)&4095|0){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;a=cuc(32)|0;f[h>>2]=a;f[h+8>>2]=-2147483616;f[h+4>>2]=22;z=a;A=223674;B=z+22|0;do{b[z>>0]=b[A>>0]|0;z=z+1|0;A=A+1|0}while((z|0)<(B|0));b[a+22>>0]=0;WD(-215,h,223463,221432,1765)}a=O&7;if(U>>>0<4&(a|0)!=(U|0)){O=T+R+15&-16;R=O;ba=O;ea=ba+(Z<<2)|0;da=dP(a,4)|0;a=k+16|0;ca=f[a>>2]|0;f[t>>2]=Z;f[t+4>>2]=1;Gh[da&255](ca,1,0,1,R,1,t,0);t=l+16|0;ca=f[t>>2]|0;f[v>>2]=Z;f[v+4>>2]=1;Gh[da&255](ca,1,0,1,ea,1,v,0);v=Fhc(+p[11624+(U<<3)>>3])|0;ca=Fhc(+p[11688+(U<<3)>>3])|0;U=v+1|0;da=0;do{Q=ba+(da<<2)|0;d=f[Q>>2]|0;K=ea+(da<<2)|0;N=f[K>>2]|0;if((N|0)<(v|0)|((d|0)>(ca|0)|(d|0)>(N|0))){f[Q>>2]=U;f[K>>2]=v}da=da+1|0}while((da|0)!=(Z|0));f[w>>2]=1124007940;da=w+4|0;f[da>>2]=2;v=w+8|0;f[v>>2]=Z;U=w+12|0;f[U>>2]=1;ca=w+16|0;f[ca>>2]=R;ba=w+20|0;f[ba>>2]=R;K=w+24|0;Q=w+28|0;N=w+40|0;f[K>>2]=0;f[K+4>>2]=0;f[K+8>>2]=0;f[K+12>>2]=0;f[N>>2]=v;d=w+48|0;f[w+44>>2]=d;P=w+52|0;f[P>>2]=0;f[d>>2]=0;if(!O){O=cuc(32)|0;f[h>>2]=O;f[h+8>>2]=-2147483616;f[h+4>>2]=28;z=O;A=466324;B=z+28|0;do{b[z>>0]=b[A>>0]|0;z=z+1|0;A=A+1|0}while((z|0)<(B|0));b[O+28>>0]=0;WD(-215,h,466353,466357,548)}f[d>>2]=4;f[P>>2]=4;P=R+(Z<<2)|0;f[Q>>2]=P;f[K>>2]=P+-4+4;YT(w);P=k+36|0;R=f[P>>2]|0;if(R|0?(O=R+12|0,R=f[O>>2]|0,f[O>>2]=R+-1,(R|0)==1):0)aU(k);f[P>>2]=0;R=k+4|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;if((f[R>>2]|0)>0){O=f[k+40>>2]|0;A=0;do{f[O+(A<<2)>>2]=0;A=A+1|0}while((A|0)<(f[R>>2]|0))}f[k>>2]=f[w>>2];A=f[da>>2]|0;f[R>>2]=A;R=k+8|0;f[R>>2]=f[v>>2];f[k+12>>2]=f[U>>2];f[a>>2]=f[ca>>2];f[k+20>>2]=f[ba>>2];f[k+24>>2]=f[K>>2];f[k+28>>2]=f[Q>>2];f[k+32>>2]=f[w+32>>2];Q=w+36|0;f[P>>2]=f[Q>>2];P=k+44|0;K=f[P>>2]|0;ba=k+48|0;if((K|0)==(ba|0))ha=A;else{TC(K);f[P>>2]=ba;f[k+40>>2]=R;ha=f[da>>2]|0}R=w+44|0;if((ha|0)<3){ha=f[R>>2]|0;f[ba>>2]=f[ha>>2];f[k+52>>2]=f[ha+4>>2];ia=ha}else{f[P>>2]=f[R>>2];f[k+40>>2]=f[N>>2];f[R>>2]=d;f[N>>2]=v;ia=d}f[w>>2]=1124007936;f[da>>2]=0;f[da+4>>2]=0;f[da+8>>2]=0;f[da+12>>2]=0;f[da+16>>2]=0;f[da+20>>2]=0;f[da+24>>2]=0;f[da+28>>2]=0;f[Q>>2]=0;f[ca>>2]=0;f[ca+4>>2]=0;f[ca+8>>2]=0;f[ca+12>>2]=0;if((ia|0)!=(d|0))TC(ia);f[h>>2]=1124007940;ia=h+4|0;f[ia>>2]=2;d=h+8|0;f[d>>2]=Z;ca=h+12|0;f[ca>>2]=1;Q=h+16|0;f[Q>>2]=ea;da=h+20|0;f[da>>2]=ea;w=h+24|0;v=h+28|0;N=h+40|0;R=w+8|0;f[R>>2]=0;f[R+4>>2]=0;f[N>>2]=d;R=h+48|0;f[h+44>>2]=R;f[R>>2]=4;f[h+52>>2]=4;P=ea+(Z<<2)|0;f[v>>2]=P;f[w>>2]=P+-4+4;YT(h);P=l+36|0;ea=f[P>>2]|0;do if(ea|0){ha=ea+12|0;ba=f[ha>>2]|0;f[ha>>2]=ba+-1;if((ba|0)!=1)break;aU(l)}while(0);f[P>>2]=0;ea=l+4|0;f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;f[t+12>>2]=0;if((f[ea>>2]|0)>0){ba=f[l+40>>2]|0;ha=0;do{f[ba+(ha<<2)>>2]=0;ha=ha+1|0}while((ha|0)<(f[ea>>2]|0))}f[l>>2]=f[h>>2];ha=f[ia>>2]|0;f[ea>>2]=ha;ea=l+8|0;f[ea>>2]=f[d>>2];f[l+12>>2]=f[ca>>2];f[t>>2]=f[Q>>2];f[l+20>>2]=f[da>>2];f[l+24>>2]=f[w>>2];f[l+28>>2]=f[v>>2];f[l+32>>2]=f[h+32>>2];v=h+36|0;f[P>>2]=f[v>>2];P=l+44|0;w=f[P>>2]|0;da=l+48|0;if((w|0)==(da|0))ja=ha;else{TC(w);f[P>>2]=da;f[l+40>>2]=ea;ja=f[ia>>2]|0}ea=h+44|0;if((ja|0)<3){ja=f[ea>>2]|0;f[da>>2]=f[ja>>2];f[l+52>>2]=f[ja+4>>2];ka=ja}else{f[P>>2]=f[ea>>2];f[l+40>>2]=f[N>>2];f[ea>>2]=R;f[N>>2]=d;ka=R}f[h>>2]=1124007936;f[ia>>2]=0;f[ia+4>>2]=0;f[ia+8>>2]=0;f[ia+12>>2]=0;f[ia+16>>2]=0;f[ia+20>>2]=0;f[ia+24>>2]=0;f[ia+28>>2]=0;f[v>>2]=0;f[Q>>2]=0;f[Q+4>>2]=0;f[Q+8>>2]=0;f[Q+12>>2]=0;if((ka|0)!=(R|0))TC(ka)}AV(k,f[_>>2]&4095,J,n);AV(l,f[_>>2]&4095,T,n);la=J;ma=T}else{la=0;ma=0}T=r+16|0;J=(o|0)==0;_=q+((L?2:3)<<2)|0;ka=(X|0)==0;R=q+4|0;Q=x+4|0;v=W+1&3;W=(v|0)==0?4:v;v=W&255;ia=W>>>0>=Z>>>0;h=q+8|0;d=0;while(1){if(d>>>0>=(f[T>>2]|0)>>>0)break;if(!J){N=0;do{ea=o-N|0;P=ea>>>0>n>>>0?n:ea;ea=Y(P,fa)|0;if(L)na=la;else{ja=f[h>>2]|0;f[h>>2]=ja+ea;na=ja}if(V)oa=ma;else{ja=f[_>>2]|0;f[_>>2]=ja+ea;oa=ja}ja=f[q>>2]|0;da=ka?f[R>>2]|0:ga;w=Y(P,Z)|0;f[x>>2]=w;f[Q>>2]=1;Sh[e&127](ja,0,na,0,oa,0,da,0,x);c:do if(!ka){da=f[R>>2]|0;switch(v&7){case 1:{if(!P)break c;else{pa=0;qa=0}while(1){b[da+pa>>0]=b[ga+qa>>0]|0;pa=pa+1|0;if((pa|0)==(P|0))break;else qa=qa+Z|0}break}case 2:{if(!P)break c;else{ra=0;sa=0}while(1){b[da+sa>>0]=b[ga+(ra+1)>>0]&b[ga+ra>>0];sa=sa+1|0;if((sa|0)==(P|0))break;else ra=ra+Z|0}break}case 3:{if(!P)break c;else{ta=0;ua=0}while(1){b[da+ua>>0]=b[ga+(ta+1)>>0]&b[ga+ta>>0]&b[ga+(ta+2)>>0];ua=ua+1|0;if((ua|0)==(P|0))break;else ta=ta+Z|0}break}default:{if(!P)break c;else{va=0;wa=0}while(1){b[da+va>>0]=b[ga+(wa+1)>>0]&b[ga+wa>>0]&b[ga+(wa+2)>>0]&b[ga+(wa+3)>>0];va=va+1|0;if((va|0)==(P|0))break;else wa=wa+Z|0}}}if(!(ia|(P|0)==0)){ja=W;do{w=0;ha=ja;while(1){t=da+w|0;b[t>>0]=b[ga+(ha+1)>>0]&b[ga+ha>>0]&b[ga+(ha+2)>>0]&b[ga+(ha+3)>>0]&b[t>>0];w=w+1|0;if((w|0)==(P|0))break;else ha=ha+Z|0}ja=ja+4|0}while((ja|0)<=(X|0))}}while(0);f[q>>2]=(f[q>>2]|0)+ea;f[R>>2]=(f[R>>2]|0)+P;N=N+n|0}while(o>>>0>N>>>0)}ZC(r)|0;d=d+1|0}d=f[s>>2]|0;if((d|0)!=($|0)){if(d|0)guc(d);f[s>>2]=$;f[aa>>2]=1032}aa=m+36|0;$=f[aa>>2]|0;if($|0?(s=$+12|0,$=f[s>>2]|0,f[s>>2]=$+-1,($|0)==1):0)aU(m);f[aa>>2]=0;aa=m+16|0;$=m+4|0;f[aa>>2]=0;f[aa+4>>2]=0;f[aa+8>>2]=0;f[aa+12>>2]=0;if((f[$>>2]|0)>0){aa=f[m+40>>2]|0;s=0;do{f[aa+(s<<2)>>2]=0;s=s+1|0}while((s|0)<(f[$>>2]|0))}$=f[m+44>>2]|0;if(($|0)!=(m+48|0))TC($);$=l+36|0;m=f[$>>2]|0;if(m|0?(s=m+12|0,m=f[s>>2]|0,f[s>>2]=m+-1,(m|0)==1):0)aU(l);f[$>>2]=0;$=l+16|0;m=l+4|0;f[$>>2]=0;f[$+4>>2]=0;f[$+8>>2]=0;f[$+12>>2]=0;if((f[m>>2]|0)>0){$=f[l+40>>2]|0;s=0;do{f[$+(s<<2)>>2]=0;s=s+1|0}while((s|0)<(f[m>>2]|0))}m=f[l+44>>2]|0;if((m|0)!=(l+48|0))TC(m);m=k+36|0;l=f[m>>2]|0;if(l|0?(s=l+12|0,l=f[s>>2]|0,f[s>>2]=l+-1,(l|0)==1):0)aU(k);f[m>>2]=0;m=k+16|0;l=k+4|0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;if((f[l>>2]|0)>0){m=f[k+40>>2]|0;s=0;do{f[m+(s<<2)>>2]=0;s=s+1|0}while((s|0)<(f[l>>2]|0))}l=f[k+44>>2]|0;if((l|0)!=(k+48|0))TC(l);l=j+36|0;k=f[l>>2]|0;do if(k|0){s=k+12|0;m=f[s>>2]|0;f[s>>2]=m+-1;if((m|0)!=1)break;aU(j)}while(0);f[l>>2]=0;l=j+16|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;if((f[M>>2]|0)>0){l=f[S>>2]|0;S=0;do{f[l+(S<<2)>>2]=0;S=S+1|0}while((S|0)<(f[M>>2]|0))}M=f[j+44>>2]|0;if((M|0)!=(j+48|0))TC(M);if(!(f[i+4>>2]|0)){u=g;return}u=g;return}function YX(a,c,d,e,g,i,j,k,l){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;m=f[l>>2]|0;n=f[l+4>>2]|0;if(!n)return;l=m+-4|0;if((m|0)<4){o=(m|0)>0;p=a;q=j;r=g;s=d;t=n;while(1){t=t+-1|0;if(o){u=0;do{v=b[p+u>>0]|0;if((h[s+u>>0]|0)>(v&255))w=0;else w=(v&255)<=(h[r+u>>0]|0);b[q+u>>0]=w<<31>>31;u=u+1|0}while((u|0)!=(m|0))}if(!t)break;else{p=p+c|0;q=q+k|0;r=r+i|0;s=s+e|0}}return}s=m&-4;r=(s|0)<(m|0);q=a;a=j;j=g;g=d;d=n;while(1){n=0;do{p=b[q+n>>0]|0;if((h[g+n>>0]|0)>(p&255))x=0;else x=(p&255)<=(h[j+n>>0]|0);p=n|1;t=b[q+p>>0]|0;if((h[g+p>>0]|0)>(t&255))y=0;else y=(t&255)<=(h[j+p>>0]|0);b[a+n>>0]=x<<31>>31;b[a+p>>0]=y<<31>>31;p=n|2;t=b[q+p>>0]|0;if((h[g+p>>0]|0)>(t&255))z=0;else z=(t&255)<=(h[j+p>>0]|0);t=n|3;w=b[q+t>>0]|0;if((h[g+t>>0]|0)>(w&255))A=0;else A=(w&255)<=(h[j+t>>0]|0);b[a+p>>0]=z<<31>>31;b[a+t>>0]=A<<31>>31;n=n+4|0}while((n|0)<=(l|0));d=d+-1|0;if(r){n=s;do{t=b[q+n>>0]|0;if((h[g+n>>0]|0)>(t&255))B=0;else B=(t&255)<=(h[j+n>>0]|0);b[a+n>>0]=B<<31>>31;n=n+1|0}while((n|0)!=(m|0))}if(!d)break;else{q=q+c|0;a=a+k|0;j=j+i|0;g=g+e|0}}return}function ZX(a,c,d,e,g,h,i,j,k){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;l=f[k>>2]|0;m=f[k+4>>2]|0;if(!m)return;k=l+-4|0;if((l|0)<4){n=(l|0)>0;o=a;p=i;q=g;r=d;s=m;while(1){s=s+-1|0;if(n){t=0;do{u=b[o+t>>0]|0;if((b[r+t>>0]|0)>u<<24>>24)v=0;else v=u<<24>>24<=(b[q+t>>0]|0);b[p+t>>0]=v<<31>>31;t=t+1|0}while((t|0)!=(l|0))}if(!s)break;else{o=o+c|0;p=p+j|0;q=q+h|0;r=r+e|0}}return}r=l&-4;q=(r|0)<(l|0);p=a;a=i;i=g;g=d;d=m;while(1){m=0;do{o=b[p+m>>0]|0;if((b[g+m>>0]|0)>o<<24>>24)w=0;else w=o<<24>>24<=(b[i+m>>0]|0);o=m|1;s=b[p+o>>0]|0;if((b[g+o>>0]|0)>s<<24>>24)x=0;else x=s<<24>>24<=(b[i+o>>0]|0);b[a+m>>0]=w<<31>>31;b[a+o>>0]=x<<31>>31;o=m|2;s=b[p+o>>0]|0;if((b[g+o>>0]|0)>s<<24>>24)y=0;else y=s<<24>>24<=(b[i+o>>0]|0);s=m|3;v=b[p+s>>0]|0;if((b[g+s>>0]|0)>v<<24>>24)z=0;else z=v<<24>>24<=(b[i+s>>0]|0);b[a+o>>0]=y<<31>>31;b[a+s>>0]=z<<31>>31;m=m+4|0}while((m|0)<=(k|0));d=d+-1|0;if(q){m=r;do{s=b[p+m>>0]|0;if((b[g+m>>0]|0)>s<<24>>24)A=0;else A=s<<24>>24<=(b[i+m>>0]|0);b[a+m>>0]=A<<31>>31;m=m+1|0}while((m|0)!=(l|0))}if(!d)break;else{p=p+c|0;a=a+j|0;i=i+h|0;g=g+e|0}}return}function _X(a,c,e,g,h,i,k,l,m){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;n=f[m>>2]|0;o=f[m+4>>2]|0;m=c>>>1;c=g>>>1;g=i>>>1;if(!o)return;i=n+-4|0;if((n|0)<4){p=(n|0)>0;q=a;r=k;s=h;t=e;u=o;while(1){u=u+-1|0;if(p){v=0;do{w=d[q+(v<<1)>>1]|0;if((j[t+(v<<1)>>1]|0)>(w&65535))x=0;else x=(w&65535)<=(j[s+(v<<1)>>1]|0);b[r+v>>0]=x<<31>>31;v=v+1|0}while((v|0)!=(n|0))}if(!u)break;else{q=q+(m<<1)|0;r=r+l|0;s=s+(g<<1)|0;t=t+(c<<1)|0}}return}t=n&-4;s=(t|0)<(n|0);r=a;a=k;k=h;h=e;e=o;while(1){o=0;do{q=d[r+(o<<1)>>1]|0;if((j[h+(o<<1)>>1]|0)>(q&65535))y=0;else y=(q&65535)<=(j[k+(o<<1)>>1]|0);q=o|1;u=d[r+(q<<1)>>1]|0;if((j[h+(q<<1)>>1]|0)>(u&65535))z=0;else z=(u&65535)<=(j[k+(q<<1)>>1]|0);b[a+o>>0]=y<<31>>31;b[a+q>>0]=z<<31>>31;q=o|2;u=d[r+(q<<1)>>1]|0;if((j[h+(q<<1)>>1]|0)>(u&65535))A=0;else A=(u&65535)<=(j[k+(q<<1)>>1]|0);u=o|3;x=d[r+(u<<1)>>1]|0;if((j[h+(u<<1)>>1]|0)>(x&65535))B=0;else B=(x&65535)<=(j[k+(u<<1)>>1]|0);b[a+q>>0]=A<<31>>31;b[a+u>>0]=B<<31>>31;o=o+4|0}while((o|0)<=(i|0));e=e+-1|0;if(s){o=t;do{u=d[r+(o<<1)>>1]|0;if((j[h+(o<<1)>>1]|0)>(u&65535))C=0;else C=(u&65535)<=(j[k+(o<<1)>>1]|0);b[a+o>>0]=C<<31>>31;o=o+1|0}while((o|0)!=(n|0))}if(!e)break;else{r=r+(m<<1)|0;a=a+l|0;k=k+(g<<1)|0;h=h+(c<<1)|0}}return}function $X(a,c,e,g,h,i,j,k,l){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;m=f[l>>2]|0;n=f[l+4>>2]|0;l=c>>>1;c=g>>>1;g=i>>>1;if(!n)return;i=m+-4|0;if((m|0)<4){o=(m|0)>0;p=a;q=j;r=h;s=e;t=n;while(1){t=t+-1|0;if(o){u=0;do{v=d[p+(u<<1)>>1]|0;if((d[s+(u<<1)>>1]|0)>v<<16>>16)w=0;else w=v<<16>>16<=(d[r+(u<<1)>>1]|0);b[q+u>>0]=w<<31>>31;u=u+1|0}while((u|0)!=(m|0))}if(!t)break;else{p=p+(l<<1)|0;q=q+k|0;r=r+(g<<1)|0;s=s+(c<<1)|0}}return}s=m&-4;r=(s|0)<(m|0);q=a;a=j;j=h;h=e;e=n;while(1){n=0;do{p=d[q+(n<<1)>>1]|0;if((d[h+(n<<1)>>1]|0)>p<<16>>16)x=0;else x=p<<16>>16<=(d[j+(n<<1)>>1]|0);p=n|1;t=d[q+(p<<1)>>1]|0;if((d[h+(p<<1)>>1]|0)>t<<16>>16)y=0;else y=t<<16>>16<=(d[j+(p<<1)>>1]|0);b[a+n>>0]=x<<31>>31;b[a+p>>0]=y<<31>>31;p=n|2;t=d[q+(p<<1)>>1]|0;if((d[h+(p<<1)>>1]|0)>t<<16>>16)z=0;else z=t<<16>>16<=(d[j+(p<<1)>>1]|0);t=n|3;w=d[q+(t<<1)>>1]|0;if((d[h+(t<<1)>>1]|0)>w<<16>>16)A=0;else A=w<<16>>16<=(d[j+(t<<1)>>1]|0);b[a+p>>0]=z<<31>>31;b[a+t>>0]=A<<31>>31;n=n+4|0}while((n|0)<=(i|0));e=e+-1|0;if(r){n=s;do{t=d[q+(n<<1)>>1]|0;if((d[h+(n<<1)>>1]|0)>t<<16>>16)B=0;else B=t<<16>>16<=(d[j+(n<<1)>>1]|0);b[a+n>>0]=B<<31>>31;n=n+1|0}while((n|0)!=(m|0))}if(!e)break;else{q=q+(l<<1)|0;a=a+k|0;j=j+(g<<1)|0;h=h+(c<<1)|0}}return}function aY(a,c,d,e,g,h,i,j,k){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;l=f[k>>2]|0;m=f[k+4>>2]|0;k=c>>>2;c=e>>>2;e=h>>>2;if(!m)return;h=l+-4|0;if((l|0)<4){n=(l|0)>0;o=a;p=i;q=g;r=d;s=m;while(1){s=s+-1|0;if(n){t=0;do{u=f[o+(t<<2)>>2]|0;if((f[r+(t<<2)>>2]|0)>(u|0))v=0;else v=(u|0)<=(f[q+(t<<2)>>2]|0);b[p+t>>0]=v<<31>>31;t=t+1|0}while((t|0)!=(l|0))}if(!s)break;else{o=o+(k<<2)|0;p=p+j|0;q=q+(e<<2)|0;r=r+(c<<2)|0}}return}r=l&-4;q=(r|0)<(l|0);p=a;a=i;i=g;g=d;d=m;while(1){m=0;do{o=f[p+(m<<2)>>2]|0;if((f[g+(m<<2)>>2]|0)>(o|0))w=0;else w=(o|0)<=(f[i+(m<<2)>>2]|0);o=m|1;s=f[p+(o<<2)>>2]|0;if((f[g+(o<<2)>>2]|0)>(s|0))x=0;else x=(s|0)<=(f[i+(o<<2)>>2]|0);b[a+m>>0]=w<<31>>31;b[a+o>>0]=x<<31>>31;o=m|2;s=f[p+(o<<2)>>2]|0;if((f[g+(o<<2)>>2]|0)>(s|0))y=0;else y=(s|0)<=(f[i+(o<<2)>>2]|0);s=m|3;v=f[p+(s<<2)>>2]|0;if((f[g+(s<<2)>>2]|0)>(v|0))z=0;else z=(v|0)<=(f[i+(s<<2)>>2]|0);b[a+o>>0]=y<<31>>31;b[a+s>>0]=z<<31>>31;m=m+4|0}while((m|0)<=(h|0));d=d+-1|0;if(q){m=r;do{s=f[p+(m<<2)>>2]|0;if((f[g+(m<<2)>>2]|0)>(s|0))A=0;else A=(s|0)<=(f[i+(m<<2)>>2]|0);b[a+m>>0]=A<<31>>31;m=m+1|0}while((m|0)!=(l|0))}if(!d)break;else{p=p+(k<<2)|0;a=a+j|0;i=i+(e<<2)|0;g=g+(c<<2)|0}}return}function bY(a,c,d,e,g,h,i,j,k){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0.0,w=0,x=0,y=0,z=0,A=0,B=0;l=f[k>>2]|0;m=f[k+4>>2]|0;k=c>>>2;c=e>>>2;e=h>>>2;if(!m)return;h=l+-4|0;if((l|0)<4){o=(l|0)>0;p=a;q=i;r=g;s=d;t=m;while(1){t=t+-1|0;if(o){u=0;do{v=+n[p+(u<<2)>>2];if(!(+n[s+(u<<2)>>2]<=v))w=0;else w=v<=+n[r+(u<<2)>>2];b[q+u>>0]=w<<31>>31;u=u+1|0}while((u|0)!=(l|0))}if(!t)break;else{p=p+(k<<2)|0;q=q+j|0;r=r+(e<<2)|0;s=s+(c<<2)|0}}return}s=l&-4;r=(s|0)<(l|0);q=a;a=i;i=g;g=d;d=m;while(1){m=0;do{v=+n[q+(m<<2)>>2];if(!(+n[g+(m<<2)>>2]<=v))x=0;else x=v<=+n[i+(m<<2)>>2];p=m|1;v=+n[q+(p<<2)>>2];if(!(+n[g+(p<<2)>>2]<=v))y=0;else y=v<=+n[i+(p<<2)>>2];b[a+m>>0]=x<<31>>31;b[a+p>>0]=y<<31>>31;p=m|2;v=+n[q+(p<<2)>>2];if(!(+n[g+(p<<2)>>2]<=v))z=0;else z=v<=+n[i+(p<<2)>>2];t=m|3;v=+n[q+(t<<2)>>2];if(!(+n[g+(t<<2)>>2]<=v))A=0;else A=v<=+n[i+(t<<2)>>2];b[a+p>>0]=z<<31>>31;b[a+t>>0]=A<<31>>31;m=m+4|0}while((m|0)<=(h|0));d=d+-1|0;if(r){m=s;do{v=+n[q+(m<<2)>>2];if(!(+n[g+(m<<2)>>2]<=v))B=0;else B=v<=+n[i+(m<<2)>>2];b[a+m>>0]=B<<31>>31;m=m+1|0}while((m|0)!=(l|0))}if(!d)break;else{q=q+(k<<2)|0;a=a+j|0;i=i+(e<<2)|0;g=g+(c<<2)|0}}return}function cY(a,c,d,e,g,h,i,j,k){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,u=0,v=0.0,w=0,x=0,y=0,z=0,A=0,B=0;l=f[k>>2]|0;m=f[k+4>>2]|0;k=c>>>3;c=e>>>3;e=h>>>3;if(!m)return;h=l+-4|0;if((l|0)<4){n=(l|0)>0;o=a;q=i;r=g;s=d;t=m;while(1){t=t+-1|0;if(n){u=0;do{v=+p[o+(u<<3)>>3];if(!(+p[s+(u<<3)>>3]<=v))w=0;else w=v<=+p[r+(u<<3)>>3];b[q+u>>0]=w<<31>>31;u=u+1|0}while((u|0)!=(l|0))}if(!t)break;else{o=o+(k<<3)|0;q=q+j|0;r=r+(e<<3)|0;s=s+(c<<3)|0}}return}s=l&-4;r=(s|0)<(l|0);q=a;a=i;i=g;g=d;d=m;while(1){m=0;do{v=+p[q+(m<<3)>>3];if(!(+p[g+(m<<3)>>3]<=v))x=0;else x=v<=+p[i+(m<<3)>>3];o=m|1;v=+p[q+(o<<3)>>3];if(!(+p[g+(o<<3)>>3]<=v))y=0;else y=v<=+p[i+(o<<3)>>3];b[a+m>>0]=x<<31>>31;b[a+o>>0]=y<<31>>31;o=m|2;v=+p[q+(o<<3)>>3];if(!(+p[g+(o<<3)>>3]<=v))z=0;else z=v<=+p[i+(o<<3)>>3];t=m|3;v=+p[q+(t<<3)>>3];if(!(+p[g+(t<<3)>>3]<=v))A=0;else A=v<=+p[i+(t<<3)>>3];b[a+o>>0]=z<<31>>31;b[a+t>>0]=A<<31>>31;m=m+4|0}while((m|0)<=(h|0));d=d+-1|0;if(r){m=s;do{v=+p[q+(m<<3)>>3];if(!(+p[g+(m<<3)>>3]<=v))B=0;else B=v<=+p[i+(m<<3)>>3];b[a+m>>0]=B<<31>>31;m=m+1|0}while((m|0)!=(l|0))}if(!d)break;else{q=q+(k<<3)|0;a=a+j|0;i=i+(e<<3)|0;g=g+(c<<3)|0}}return}function dY(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(d-g>>2>>>0>=b>>>0){kzc(g|0,0,b<<2|0)|0;f[e>>2]=g+(b<<2);return}h=f[a>>2]|0;i=g-h|0;g=i>>2;j=g+b|0;if(j>>>0>1073741823)nsc(a);k=d-h|0;d=k>>1;l=k>>2>>>0<536870911?(d>>>0<j>>>0?j:d):1073741823;do if(l)if(l>>>0>1073741823){d=ze(8)|0;kuc(d,519086);f[d>>2]=167148;Hf(d|0,26888,1888)}else{m=cuc(l<<2)|0;break}else m=0;while(0);d=m+(g<<2)|0;kzc(d|0,0,b<<2|0)|0;j=d+(0-g<<2)|0;if((i|0)>0)szc(j|0,h|0,i|0)|0;f[a>>2]=j;f[e>>2]=d+(b<<2);f[c>>2]=m+(l<<2);if(!h)return;fuc(h);return}function eY(a){a=a|0;return}function fY(a,b){a=a|0;b=b|0;var c=0,d=0;switch(b|0){case 0:{c=48816;d=48648;break}case 1:{c=48996;d=48788;break}case 2:{c=48960;d=48760;break}case 3:{c=48924;d=48732;break}case 4:{c=48888;d=48704;break}case 5:{c=48852;d=48676;break}default:{c=48816;d=48648}}b=cuc(32)|0;f[b+4>>2]=0;f[b+8>>2]=0;f[b>>2]=d;d=b+12|0;f[b+16>>2]=4;f[b+20>>2]=8;f[b+24>>2]=16;f[b+28>>2]=1;f[d>>2]=c;f[a>>2]=d;f[a+4>>2]=b;return}function gY(a){a=a|0;fuc(a);return}function hY(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0;e=u;u=u+32|0;g=e+8|0;h=e+18|0;i=e;j=e+17|0;k=e+16|0;b[h>>0]=b[223795]|0;b[h+1>>0]=b[223796]|0;b[h+2>>0]=b[223797]|0;b[h+3>>0]=b[223798]|0;b[h+4>>0]=b[223799]|0;f[i>>2]=h;if((f[d+8>>2]|0)==1)l=1;else l=(f[c+16>>2]|0)==0&1;b[j>>0]=l;b[k>>0]=1;mY(g,1171380,1171380,d,i,j,k,(f[d>>2]&7|0)==6?c+12|0:c+8|0);c=f[g+4>>2]|0;f[a>>2]=f[g>>2];f[a+4>>2]=c;u=e;return}function iY(a,b){a=a|0;b=b|0;f[a+4>>2]=b;return}function jY(a,b){a=a|0;b=b|0;f[a+8>>2]=b;return}function kY(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function lY(a,b){a=a|0;b=b|0;f[a+16>>2]=b&1;return}function mY(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;k=u;u=u+80|0;l=k+68|0;m=k+56|0;n=k;o=cuc(176)|0;f[o+4>>2]=0;f[o+8>>2]=0;f[o>>2]=49032;p=o+12|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;q=jfc(c)|0;if(q>>>0>4294967279)muc(l);if(q>>>0<11){b[l+11>>0]=q;if(!q)r=l;else{s=l;t=6}}else{v=q+16&-16;w=cuc(v)|0;f[l>>2]=w;f[l+8>>2]=v|-2147483648;f[l+4>>2]=q;s=w;t=6}if((t|0)==6){szc(s|0,c|0,q|0)|0;r=s}b[r+q>>0]=0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;q=jfc(d)|0;if(q>>>0>4294967279)muc(m);if(q>>>0<11){b[m+11>>0]=q;if(!q)x=m;else{y=m;t=12}}else{r=q+16&-16;s=cuc(r)|0;f[m>>2]=s;f[m+8>>2]=r|-2147483648;f[m+4>>2]=q;y=s;t=12}if((t|0)==12){szc(y|0,d|0,q|0)|0;x=y}b[x+q>>0]=0;f[n>>2]=f[e>>2];q=n+4|0;x=e+4|0;y=f[x>>2]|0;f[q>>2]=y;d=n+8|0;f[d>>2]=f[e+8>>2];f[n+12>>2]=f[e+12>>2];t=n+16|0;f[t>>2]=f[e+16>>2];f[n+20>>2]=f[e+20>>2];f[n+24>>2]=f[e+24>>2];f[n+28>>2]=f[e+28>>2];f[n+32>>2]=f[e+32>>2];s=n+36|0;r=f[e+36>>2]|0;f[s>>2]=r;c=n+40|0;f[c>>2]=d;d=n+48|0;w=n+44|0;f[w>>2]=d;f[d>>2]=0;f[n+52>>2]=0;if(!r)z=y;else{y=r+12|0;f[y>>2]=(f[y>>2]|0)+1;z=f[x>>2]|0}if((z|0)<3){z=f[e+44>>2]|0;x=f[w>>2]|0;f[x>>2]=f[z>>2];f[x+4>>2]=f[z+4>>2]}else{f[q>>2]=0;$T(n,e)}nY(p,l,m,n,f[g>>2]|0,(b[h>>0]|0)!=0,(b[i>>0]|0)!=0,f[j>>2]|0);j=f[s>>2]|0;if(j|0?(i=j+12|0,j=f[i>>2]|0,f[i>>2]=j+-1,(j|0)==1):0)aU(n);f[s>>2]=0;f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;f[t+12>>2]=0;if((f[q>>2]|0)>0){t=f[c>>2]|0;c=0;do{f[t+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[q>>2]|0))}q=f[w>>2]|0;if((q|0)!=(d|0))TC(q);if((b[m+11>>0]|0)<0)fuc(f[m>>2]|0);if((b[l+11>>0]|0)>=0){A=a+4|0;f[a>>2]=p;f[A>>2]=o;u=k;return}fuc(f[l>>2]|0);A=a+4|0;f[a>>2]=p;f[A>>2]=o;u=k;return}function nY(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0;k=u;u=u+16|0;l=k;m=k+4|0;n=h&1;h=i&1;f[a>>2]=49060;i=a+44|0;f[i>>2]=1124007936;o=a+48|0;p=a+52|0;q=a+84|0;r=o;s=r+36|0;do{f[r>>2]=0;r=r+4|0}while((r|0)<(s|0));f[q>>2]=p;t=a+92|0;v=a+88|0;f[v>>2]=t;f[t>>2]=0;f[a+96>>2]=0;t=a+124|0;w=a+136|0;x=e+4|0;f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;f[t+12>>2]=0;f[t+16>>2]=0;f[t+20>>2]=0;if((f[x>>2]|0)>=3){f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;y=cuc(16)|0;f[m>>2]=y;f[m+8>>2]=-2147483632;f[m+4>>2]=11;r=y;z=223800;s=r+11|0;do{b[r>>0]=b[z>>0]|0;r=r+1|0;z=z+1|0}while((r|0)<(s|0));b[y+11>>0]=0;WD(-215,m,223812,223826,87)}ruc(t,c)|0;ruc(w,d)|0;if((i|0)!=(e|0)){d=e+36|0;w=f[d>>2]|0;if(w|0){c=w+12|0;f[c>>2]=(f[c>>2]|0)+1}c=a+80|0;w=f[c>>2]|0;if(w|0?(t=w+12|0,w=f[t>>2]|0,f[t>>2]=w+-1,(w|0)==1):0)aU(i);f[c>>2]=0;w=a+60|0;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;f[w+12>>2]=0;if((f[o>>2]|0)>0){t=f[q>>2]|0;q=0;do{f[t+(q<<2)>>2]=0;q=q+1|0;A=f[o>>2]|0}while((q|0)<(A|0));f[i>>2]=f[e>>2];if((A|0)<3)B=14;else B=16}else{f[i>>2]=f[e>>2];B=14}if((B|0)==14){A=f[x>>2]|0;if((A|0)<3){f[o>>2]=A;f[p>>2]=f[e+8>>2];f[a+56>>2]=f[e+12>>2];p=f[e+44>>2]|0;A=f[v>>2]|0;f[A>>2]=f[p>>2];f[A+4>>2]=f[p+4>>2]}else B=16}if((B|0)==16)$T(i,e);f[w>>2]=f[e+16>>2];f[a+64>>2]=f[e+20>>2];f[a+68>>2]=f[e+24>>2];f[a+72>>2]=f[e+28>>2];f[a+76>>2]=f[e+32>>2];f[c>>2]=f[d>>2]}f[a+100>>2]=((f[e>>2]|0)>>>3&511)+1;e=a+148|0;b[e>>0]=b[g>>0]|0;b[e+1>>0]=b[g+1>>0]|0;b[e+2>>0]=b[g+2>>0]|0;b[e+3>>0]=b[g+3>>0]|0;b[e+4>>0]=b[g+4>>0]|0;f[a+108>>2]=0;b[a+104>>0]=n;b[a+105>>0]=h;f[a+120>>2]=0;f[a+116>>2]=0;f[a+112>>2]=0;h=a+4|0;if((j|0)<0){b[h>>0]=37;b[a+5>>0]=97;b[a+6>>0]=0}else{f[l>>2]=(j|0)<20?j:20;ZD(h,8,223891,l)|0}switch(f[i>>2]&7){case 0:{C=1939;D=0;break}case 1:{C=1938;D=0;break}case 2:{C=1940;D=0;break}case 3:{C=1941;D=0;break}case 4:{C=1942;D=0;break}case 5:{C=1943;D=0;break}case 6:{C=1944;D=0;break}default:{C=1945;D=0}}f[a+156>>2]=C;f[a+160>>2]=D;u=k;return}function oY(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=u;u=u+16|0;c=b;d=f[a+88>>2]|0;e=(f[a+60>>2]|0)+(Y(f[d>>2]|0,f[a+112>>2]|0)|0)|0;g=e+(Y(f[d+4>>2]|0,f[a+116>>2]|0)|0)|0;p[c>>3]=+p[g+(f[a+120>>2]<<3)>>3];ihc(a+12|0,a+4|0,c)|0;u=b;return}function pY(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=u;u=u+16|0;c=b;d=f[a+88>>2]|0;e=(f[a+60>>2]|0)+(Y(f[d>>2]|0,f[a+112>>2]|0)|0)|0;g=e+(Y(f[d+4>>2]|0,f[a+116>>2]|0)|0)|0;p[c>>3]=+n[g+(f[a+120>>2]<<2)>>2];ihc(a+12|0,a+4|0,c)|0;u=b;return}function qY(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=u;u=u+16|0;c=b;d=f[a+88>>2]|0;e=(f[a+60>>2]|0)+(Y(f[d>>2]|0,f[a+112>>2]|0)|0)|0;g=e+(Y(f[d+4>>2]|0,f[a+116>>2]|0)|0)|0;f[c>>2]=f[g+(f[a+120>>2]<<2)>>2];ihc(a+12|0,517292,c)|0;u=b;return}function rY(a){a=a|0;var b=0,c=0,e=0,g=0,h=0;b=u;u=u+16|0;c=b;e=f[a+88>>2]|0;g=(f[a+60>>2]|0)+(Y(f[e>>2]|0,f[a+112>>2]|0)|0)|0;h=g+(Y(f[e+4>>2]|0,f[a+116>>2]|0)|0)|0;f[c>>2]=d[h+(f[a+120>>2]<<1)>>1];ihc(a+12|0,517292,c)|0;u=b;return}function sY(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=u;u=u+16|0;c=b;d=f[a+88>>2]|0;e=(f[a+60>>2]|0)+(Y(f[d>>2]|0,f[a+112>>2]|0)|0)|0;g=e+(Y(f[d+4>>2]|0,f[a+116>>2]|0)|0)|0;f[c>>2]=j[g+(f[a+120>>2]<<1)>>1];ihc(a+12|0,517292,c)|0;u=b;return}function tY(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=u;u=u+16|0;c=b;d=f[a+88>>2]|0;e=(f[a+60>>2]|0)+(Y(f[d>>2]|0,f[a+112>>2]|0)|0)|0;g=e+(Y(f[d+4>>2]|0,f[a+116>>2]|0)|0)|0;f[c>>2]=h[g+(f[a+120>>2]|0)>>0];ihc(a+12|0,223898,c)|0;u=b;return}function uY(a){a=a|0;var c=0,d=0,e=0,g=0,h=0;c=u;u=u+16|0;d=c;e=f[a+88>>2]|0;g=(f[a+60>>2]|0)+(Y(f[e>>2]|0,f[a+112>>2]|0)|0)|0;h=g+(Y(f[e+4>>2]|0,f[a+116>>2]|0)|0)|0;f[d>>2]=b[h+(f[a+120>>2]|0)>>0];ihc(a+12|0,223898,d)|0;u=c;return}function vY(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,k=0,l=0,m=0;b=u;u=u+16|0;c=b;d=a+12|0;e=a+4|0;g=f[a+88>>2]|0;h=(f[a+60>>2]|0)+(Y(f[g>>2]|0,f[a+112>>2]|0)|0)|0;i=h+(Y(f[g+4>>2]|0,f[a+116>>2]|0)|0)|0;g=j[i+(f[a+120>>2]<<1)>>1]|0;a=g<<13;i=a&268427264;h=i+939524096|0;k=g<<16&-2147483648;l=g&31744;a:do if(l<<16>>16<31744){switch(l<<16>>16){case 0:break;default:{m=h;break a}}m=(n[s>>2]=(f[s>>2]=i+947912704,+n[s>>2])+-.00006103515625,f[s>>2]|0)}else{switch(l<<16>>16){case 31744:break;default:{m=h;break a}}m=a|1879048192}while(0);p[c>>3]=(f[s>>2]=m|k,+n[s>>2]);ihc(d,e,c)|0;u=b;return}function wY(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0;c=u;u=u+16|0;d=c+8|0;e=c;g=a+108|0;h=a+116|0;i=a+112|0;j=a+148|0;k=a+124|0;l=k+11|0;m=a+128|0;n=a+149|0;o=a+150|0;p=a+52|0;q=a+105|0;r=a+120|0;s=a+100|0;t=a+151|0;v=a+56|0;w=a+152|0;a:while(1){x=f[g>>2]|0;b:while(1){switch(x|0){case 0:{y=4;break a;break}case 2:{y=14;break a;break}case 1:{y=19;break a;break}case 7:{y=46;break a;break}case 11:{y=58;break a;break}case 10:{y=57;break a;break}case 3:{y=22;break b;break}case 4:{y=33;break b;break}case 5:{y=38;break b;break}case 6:{z=(f[h>>2]|0)+1|0;f[h>>2]=z;A=(z|0)>=(f[v>>2]|0)?4:10;f[g>>2]=A;if((f[s>>2]|0)>1){y=44;break b}else{x=A;continue b}break}case 9:break;default:{B=0;y=32;break a}}if((f[i>>2]|0)<(f[p>>2]|0)){y=56;break a}A=b[q>>0]|0?2:1;f[g>>2]=A;x=A}if((y|0)==22){y=0;f[h>>2]=0;f[g>>2]=5;c:do if((f[i>>2]|0)>0){x=0;while(1){A=b[l>>0]|0;if(A<<24>>24<0)C=f[m>>2]|0;else C=A&255;if(!(x>>>0<30&x>>>0<C>>>0)){D=x;break c}b[a+12+x>>0]=32;x=x+1|0}}else D=0;while(0);x=b[j>>0]|0;if(!(x<<24>>24))E=D;else{b[a+12+D>>0]=x;E=D+1|0}if(!E)continue;else{y=31;break}}else if((y|0)==33){y=0;f[g>>2]=9;F=(f[i>>2]|0)+1|0;f[i>>2]=F;G=b[n>>0]|0;if(G<<24>>24){y=34;break}H=b[o>>0]|0;if(!(H<<24>>24))continue;if((F|0)<(f[p>>2]|0)){y=37;break}else continue}else if((y|0)==38){y=0;f[g>>2]=7;if(!(b[q>>0]|0))f[r>>2]=0;if((f[s>>2]|0)<=1)continue;I=b[t>>0]|0;if(!(I<<24>>24))continue;else{y=42;break}}else if((y|0)==44){y=0;J=b[w>>0]|0;if(!(J<<24>>24))continue;else{y=45;break}}}switch(y|0){case 4:{f[i>>2]=0;if(f[a+60>>2]|0){y=f[a+48>>2]|0;if((y|0)<3)K=Y(f[v>>2]|0,f[p>>2]|0)|0;else{v=f[a+84>>2]|0;w=0;t=1;while(1){o=Y(f[v+(w<<2)>>2]|0,t)|0;w=w+1|0;if((w|0)==(y|0)){K=o;break}else t=o}}if(!((y|0)==0|(K|0)==0))L=b[q>>0]|0?2:3;else L=1}else L=1;f[g>>2]=L;if((b[l>>0]|0)<0){B=f[k>>2]|0;u=c;return B|0}else{B=k;u=c;return B|0}break}case 14:{f[g>>2]=3;if((f[i>>2]|0)<(f[p>>2]|0)){k=a+12|0;f[d>>2]=(f[r>>2]|0)+1;ihc(k,223918,d)|0;B=k;u=c;return B|0}k=f[r>>2]|0;d=k+1|0;f[r>>2]=d;if((d|0)<(f[s>>2]|0)){f[i>>2]=0;i=a+12|0;f[e>>2]=k+2;ihc(i,223902,e)|0;B=i;u=c;return B|0}else{f[g>>2]=1;i=a+12|0;b[i>>0]=0;B=i;u=c;return B|0}break}case 19:{f[g>>2]=8;i=a+136|0;if((b[i+11>>0]|0)<0){B=f[i>>2]|0;u=c;return B|0}else{B=i;u=c;return B|0}break}case 31:{b[a+12+E>>0]=0;B=a+12|0;u=c;return B|0}case 32:{u=c;return B|0}case 34:{E=a+12|0;b[E>>0]=G;b[a+13>>0]=(F|0)<(f[p>>2]|0)?44:0;b[a+14>>0]=0;B=E;u=c;return B|0}case 37:{E=a+12|0;b[E>>0]=H;b[a+13>>0]=0;B=E;u=c;return B|0}case 42:{E=a+12|0;b[E>>0]=I;b[a+13>>0]=0;B=E;u=c;return B|0}case 45:{E=a+12|0;b[E>>0]=J;b[a+13>>0]=0;B=E;u=c;return B|0}case 46:{E=f[a+156>>2]|0;J=f[a+160>>2]|0;I=a+(J>>1)|0;if(!(J&1))M=E;else M=f[(f[I>>2]|0)+E>>2]|0;bi[M&2047](I);f[g>>2]=6;if(b[q>>0]|0){B=a+12|0;u=c;return B|0}q=(f[r>>2]|0)+1|0;f[r>>2]=q;if((q|0)<(f[s>>2]|0))f[g>>2]=11;B=a+12|0;u=c;return B|0}case 56:{f[g>>2]=3;s=a+12|0;b[s>>0]=b[a+104>>0]|0?32:10;b[a+13>>0]=0;B=s;u=c;return B|0}case 57:{f[g>>2]=5;s=a+12|0;b[s>>0]=44;b[a+13>>0]=32;b[a+14>>0]=0;B=s;u=c;return B|0}case 58:{f[g>>2]=7;g=a+12|0;b[g>>0]=44;b[a+13>>0]=32;b[a+14>>0]=0;B=g;u=c;return B|0}}return 0}function xY(a){a=a|0;f[a+108>>2]=0;return}function yY(a){a=a|0;var c=0,d=0,e=0,g=0;f[a>>2]=49060;c=a+136|0;if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);c=a+124|0;if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);c=a+44|0;d=a+80|0;e=f[d>>2]|0;if(e|0?(g=e+12|0,e=f[g>>2]|0,f[g>>2]=e+-1,(e|0)==1):0)aU(c);f[d>>2]=0;d=a+60|0;c=a+48|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[c>>2]|0)>0){d=f[a+84>>2]|0;e=0;do{f[d+(e<<2)>>2]=0;e=e+1|0}while((e|0)<(f[c>>2]|0))}c=f[a+88>>2]|0;if((c|0)==(a+92|0))return;TC(c);return}function zY(a){a=a|0;var c=0,d=0,e=0,g=0;f[a>>2]=49060;c=a+136|0;if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);c=a+124|0;if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);c=a+44|0;d=a+80|0;e=f[d>>2]|0;if(e|0?(g=e+12|0,e=f[g>>2]|0,f[g>>2]=e+-1,(e|0)==1):0)aU(c);f[d>>2]=0;d=a+60|0;c=a+48|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[c>>2]|0)>0){d=f[a+84>>2]|0;e=0;do{f[d+(e<<2)>>2]=0;e=e+1|0}while((e|0)<(f[c>>2]|0))}c=f[a+88>>2]|0;if((c|0)==(a+92|0)){fuc(a);return}TC(c);fuc(a);return}function AY(a){a=a|0;var c=0,d=0,e=0,g=0;f[a>>2]=49032;f[a+12>>2]=49060;c=a+148|0;if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);c=a+136|0;if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);c=a+56|0;d=a+92|0;e=f[d>>2]|0;if(e|0?(g=e+12|0,e=f[g>>2]|0,f[g>>2]=e+-1,(e|0)==1):0)aU(c);f[d>>2]=0;d=a+72|0;c=a+60|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[c>>2]|0)>0){d=f[a+96>>2]|0;e=0;do{f[d+(e<<2)>>2]=0;e=e+1|0}while((e|0)<(f[c>>2]|0))}c=f[a+100>>2]|0;if((c|0)==(a+104|0)){Qtc(a);return}TC(c);Qtc(a);return}function BY(a){a=a|0;AY(a);fuc(a);return}function CY(a){a=a|0;var c=0,d=0,e=0,g=0;f[a+12>>2]=49060;c=a+148|0;if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);c=a+136|0;if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);c=a+56|0;d=a+92|0;e=f[d>>2]|0;if(e|0?(g=e+12|0,e=f[g>>2]|0,f[g>>2]=e+-1,(e|0)==1):0)aU(c);f[d>>2]=0;d=a+72|0;c=a+60|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[c>>2]|0)>0){d=f[a+96>>2]|0;e=0;do{f[d+(e<<2)>>2]=0;e=e+1|0}while((e|0)<(f[c>>2]|0))}c=f[a+100>>2]|0;if((c|0)==(a+104|0))return;TC(c);return}function DY(a){a=a|0;fuc(a);return}function EY(a){a=a|0;fuc(a);return}function FY(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;e=u;u=u+48|0;g=e+32|0;h=e+42|0;i=e+16|0;j=e+4|0;k=e;l=e+41|0;m=e+40|0;b[h>>0]=0;b[h+1>>0]=0;b[h+2>>0]=0;b[h+3>>0]=0;b[h+4>>0]=0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;n=f[d+8>>2]|0;if((n|0)<=1){f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[k>>2]=h;if((n|0)==1){o=1;p=k}else{q=k;r=4}}else{f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;b[j+11>>0]=1;b[j>>0]=10;b[j+1>>0]=0;f[k>>2]=h;q=k;r=4}if((r|0)==4){o=(f[c+16>>2]|0)==0&1;p=q}b[l>>0]=o;b[m>>0]=0;GY(g,i,j,d,k,l,m,(f[d>>2]&7|0)==6?c+12|0:c+8|0);c=f[g+4>>2]|0;f[a>>2]=f[g>>2];f[a+4>>2]=c;if((b[j+11>>0]|0)<0)fuc(f[j>>2]|0);if((b[i+11>>0]|0)>=0){u=e;return}fuc(f[i>>2]|0);u=e;return}function GY(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;k=u;u=u+80|0;l=k+68|0;m=k+56|0;n=k;o=cuc(176)|0;f[o+4>>2]=0;f[o+8>>2]=0;f[o>>2]=49032;p=o+12|0;ouc(l,c);ouc(m,d);f[n>>2]=f[e>>2];d=n+4|0;c=e+4|0;q=f[c>>2]|0;f[d>>2]=q;r=n+8|0;f[r>>2]=f[e+8>>2];f[n+12>>2]=f[e+12>>2];s=n+16|0;f[s>>2]=f[e+16>>2];f[n+20>>2]=f[e+20>>2];f[n+24>>2]=f[e+24>>2];f[n+28>>2]=f[e+28>>2];f[n+32>>2]=f[e+32>>2];t=n+36|0;v=f[e+36>>2]|0;f[t>>2]=v;w=n+40|0;f[w>>2]=r;r=n+48|0;x=n+44|0;f[x>>2]=r;f[r>>2]=0;f[n+52>>2]=0;if(!v)y=q;else{q=v+12|0;f[q>>2]=(f[q>>2]|0)+1;y=f[c>>2]|0}if((y|0)<3){y=f[e+44>>2]|0;c=f[x>>2]|0;f[c>>2]=f[y>>2];f[c+4>>2]=f[y+4>>2]}else{f[d>>2]=0;$T(n,e)}nY(p,l,m,n,f[g>>2]|0,(b[h>>0]|0)!=0,(b[i>>0]|0)!=0,f[j>>2]|0);j=f[t>>2]|0;if(j|0?(i=j+12|0,j=f[i>>2]|0,f[i>>2]=j+-1,(j|0)==1):0)aU(n);f[t>>2]=0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;if((f[d>>2]|0)>0){s=f[w>>2]|0;w=0;do{f[s+(w<<2)>>2]=0;w=w+1|0}while((w|0)<(f[d>>2]|0))}d=f[x>>2]|0;if((d|0)!=(r|0))TC(d);if((b[m+11>>0]|0)<0)fuc(f[m>>2]|0);if((b[l+11>>0]|0)>=0){z=a+4|0;f[a>>2]=p;f[z>>2]=o;u=k;return}fuc(f[l>>2]|0);z=a+4|0;f[a>>2]=p;f[z>>2]=o;u=k;return}function HY(a){a=a|0;fuc(a);return}function IY(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0;e=u;u=u+32|0;g=e+8|0;h=e+18|0;i=e;j=e+17|0;k=e+16|0;b[h>>0]=b[224090]|0;b[h+1>>0]=b[224091]|0;b[h+2>>0]=b[224092]|0;b[h+3>>0]=b[224093]|0;b[h+4>>0]=b[224094]|0;if((f[d+12>>2]|0)==1){b[h+1>>0]=0;b[h>>0]=0}f[i>>2]=h;if((f[d+8>>2]|0)==1)l=1;else l=(f[c+16>>2]|0)==0&1;b[j>>0]=l;b[k>>0]=0;JY(g,517027,530857,d,i,j,k,(f[d>>2]&7|0)==6?c+12|0:c+8|0);c=f[g+4>>2]|0;f[a>>2]=f[g>>2];f[a+4>>2]=c;u=e;return}function JY(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;k=u;u=u+80|0;l=k+68|0;m=k+56|0;n=k;o=cuc(176)|0;f[o+4>>2]=0;f[o+8>>2]=0;f[o>>2]=49032;p=o+12|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;q=jfc(c)|0;if(q>>>0>4294967279)muc(l);if(q>>>0<11){b[l+11>>0]=q;if(!q)r=l;else{s=l;t=6}}else{v=q+16&-16;w=cuc(v)|0;f[l>>2]=w;f[l+8>>2]=v|-2147483648;f[l+4>>2]=q;s=w;t=6}if((t|0)==6){szc(s|0,c|0,q|0)|0;r=s}b[r+q>>0]=0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;q=jfc(d)|0;if(q>>>0>4294967279)muc(m);if(q>>>0<11){b[m+11>>0]=q;if(!q)x=m;else{y=m;t=12}}else{r=q+16&-16;s=cuc(r)|0;f[m>>2]=s;f[m+8>>2]=r|-2147483648;f[m+4>>2]=q;y=s;t=12}if((t|0)==12){szc(y|0,d|0,q|0)|0;x=y}b[x+q>>0]=0;f[n>>2]=f[e>>2];q=n+4|0;x=e+4|0;y=f[x>>2]|0;f[q>>2]=y;d=n+8|0;f[d>>2]=f[e+8>>2];f[n+12>>2]=f[e+12>>2];t=n+16|0;f[t>>2]=f[e+16>>2];f[n+20>>2]=f[e+20>>2];f[n+24>>2]=f[e+24>>2];f[n+28>>2]=f[e+28>>2];f[n+32>>2]=f[e+32>>2];s=n+36|0;r=f[e+36>>2]|0;f[s>>2]=r;c=n+40|0;f[c>>2]=d;d=n+48|0;w=n+44|0;f[w>>2]=d;f[d>>2]=0;f[n+52>>2]=0;if(!r)z=y;else{y=r+12|0;f[y>>2]=(f[y>>2]|0)+1;z=f[x>>2]|0}if((z|0)<3){z=f[e+44>>2]|0;x=f[w>>2]|0;f[x>>2]=f[z>>2];f[x+4>>2]=f[z+4>>2]}else{f[q>>2]=0;$T(n,e)}nY(p,l,m,n,f[g>>2]|0,(b[h>>0]|0)!=0,(b[i>>0]|0)!=0,f[j>>2]|0);j=f[s>>2]|0;if(j|0?(i=j+12|0,j=f[i>>2]|0,f[i>>2]=j+-1,(j|0)==1):0)aU(n);f[s>>2]=0;f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;f[t+12>>2]=0;if((f[q>>2]|0)>0){t=f[c>>2]|0;c=0;do{f[t+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[q>>2]|0))}q=f[w>>2]|0;if((q|0)!=(d|0))TC(q);if((b[m+11>>0]|0)<0)fuc(f[m>>2]|0);if((b[l+11>>0]|0)>=0){A=a+4|0;f[a>>2]=p;f[A>>2]=o;u=k;return}fuc(f[l>>2]|0);A=a+4|0;f[a>>2]=p;f[A>>2]=o;u=k;return}function KY(a){a=a|0;fuc(a);return}function LY(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;e=u;u=u+32|0;g=e;h=e+26|0;i=e+12|0;j=e+8|0;k=e+25|0;l=e+24|0;b[h>>0]=b[224090]|0;b[h+1>>0]=b[224091]|0;b[h+2>>0]=b[224092]|0;b[h+3>>0]=b[224093]|0;b[h+4>>0]=b[224094]|0;if((f[d+12>>2]|0)==1){b[h+1>>0]=0;b[h>>0]=0}f[g>>2]=f[49076+((f[d>>2]&7)<<2)>>2];cE(i,224118,g);f[j>>2]=h;if((f[d+8>>2]|0)==1)m=1;else m=(f[c+16>>2]|0)==0&1;b[k>>0]=m;b[l>>0]=0;MY(g,224133,i,d,j,k,l,(f[d>>2]&7|0)==6?c+12|0:c+8|0);c=f[g+4>>2]|0;f[a>>2]=f[g>>2];f[a+4>>2]=c;if((b[i+11>>0]|0)>=0){u=e;return}fuc(f[i>>2]|0);u=e;return}function MY(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;k=u;u=u+80|0;l=k+68|0;m=k+56|0;n=k;o=cuc(176)|0;f[o+4>>2]=0;f[o+8>>2]=0;f[o>>2]=49032;p=o+12|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;q=jfc(c)|0;if(q>>>0>4294967279)muc(l);if(q>>>0<11){b[l+11>>0]=q;if(!q)r=l;else{s=l;t=6}}else{v=q+16&-16;w=cuc(v)|0;f[l>>2]=w;f[l+8>>2]=v|-2147483648;f[l+4>>2]=q;s=w;t=6}if((t|0)==6){szc(s|0,c|0,q|0)|0;r=s}b[r+q>>0]=0;ouc(m,d);f[n>>2]=f[e>>2];d=n+4|0;q=e+4|0;r=f[q>>2]|0;f[d>>2]=r;s=n+8|0;f[s>>2]=f[e+8>>2];f[n+12>>2]=f[e+12>>2];c=n+16|0;f[c>>2]=f[e+16>>2];f[n+20>>2]=f[e+20>>2];f[n+24>>2]=f[e+24>>2];f[n+28>>2]=f[e+28>>2];f[n+32>>2]=f[e+32>>2];t=n+36|0;w=f[e+36>>2]|0;f[t>>2]=w;v=n+40|0;f[v>>2]=s;s=n+48|0;x=n+44|0;f[x>>2]=s;f[s>>2]=0;f[n+52>>2]=0;if(!w)y=r;else{r=w+12|0;f[r>>2]=(f[r>>2]|0)+1;y=f[q>>2]|0}if((y|0)<3){y=f[e+44>>2]|0;q=f[x>>2]|0;f[q>>2]=f[y>>2];f[q+4>>2]=f[y+4>>2]}else{f[d>>2]=0;$T(n,e)}nY(p,l,m,n,f[g>>2]|0,(b[h>>0]|0)!=0,(b[i>>0]|0)!=0,f[j>>2]|0);j=f[t>>2]|0;if(j|0?(i=j+12|0,j=f[i>>2]|0,f[i>>2]=j+-1,(j|0)==1):0)aU(n);f[t>>2]=0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[d>>2]|0)>0){c=f[v>>2]|0;v=0;do{f[c+(v<<2)>>2]=0;v=v+1|0}while((v|0)<(f[d>>2]|0))}d=f[x>>2]|0;if((d|0)!=(s|0))TC(d);if((b[m+11>>0]|0)<0)fuc(f[m>>2]|0);if((b[l+11>>0]|0)>=0){z=a+4|0;f[a>>2]=p;f[z>>2]=o;u=k;return}fuc(f[l>>2]|0);z=a+4|0;f[a>>2]=p;f[z>>2]=o;u=k;return}function NY(a){a=a|0;fuc(a);return}function OY(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0;e=u;u=u+32|0;g=e+8|0;h=e+18|0;i=e;j=e+17|0;k=e+16|0;b[h>>0]=b[224211]|0;b[h+1>>0]=b[224212]|0;b[h+2>>0]=b[224213]|0;b[h+3>>0]=b[224214]|0;b[h+4>>0]=b[224215]|0;f[i>>2]=h;if((f[d+8>>2]|0)==1)l=1;else l=(f[c+16>>2]|0)==0&1;b[j>>0]=l;b[k>>0]=0;JY(g,224216,518217,d,i,j,k,(f[d>>2]&7|0)==6?c+12|0:c+8|0);c=f[g+4>>2]|0;f[a>>2]=f[g>>2];f[a+4>>2]=c;u=e;return}function PY(a){a=a|0;fuc(a);return}function QY(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0;e=u;u=u+32|0;g=e+8|0;h=e+18|0;i=e;j=e+17|0;k=e+16|0;b[h>>0]=b[223795]|0;b[h+1>>0]=b[223796]|0;b[h+2>>0]=b[223797]|0;b[h+3>>0]=b[223798]|0;b[h+4>>0]=b[223799]|0;f[i>>2]=h;if((f[d+8>>2]|0)==1)l=1;else l=(f[c+16>>2]|0)==0&1;b[j>>0]=l;b[k>>0]=0;JY(g,517027,530857,d,i,j,k,(f[d>>2]&7|0)==6?c+12|0:c+8|0);c=f[g+4>>2]|0;f[a>>2]=f[g>>2];f[a+4>>2]=c;u=e;return}function RY(a){a=a|0;Qtc(a);return}function SY(a){a=a|0;Qtc(a);fuc(a);return}function TY(a){a=a|0;return}function UY(a){a=a|0;fuc(a);return}function VY(a){a=a|0;Qtc(a);return}function WY(a){a=a|0;Qtc(a);fuc(a);return}function XY(a){a=a|0;return}function YY(a){a=a|0;fuc(a);return}function ZY(a){a=a|0;Qtc(a);return}function _Y(a){a=a|0;Qtc(a);fuc(a);return}function $Y(a){a=a|0;return}function aZ(a){a=a|0;fuc(a);return}function bZ(a){a=a|0;Qtc(a);return}function cZ(a){a=a|0;Qtc(a);fuc(a);return}function dZ(a){a=a|0;return}function eZ(a){a=a|0;fuc(a);return}function fZ(a){a=a|0;Qtc(a);return}function gZ(a){a=a|0;Qtc(a);fuc(a);return}function hZ(a){a=a|0;return}function iZ(a){a=a|0;fuc(a);return}function jZ(a){a=a|0;Qtc(a);return}function kZ(a){a=a|0;Qtc(a);fuc(a);return}function lZ(a){a=a|0;return}function mZ(a){a=a|0;fuc(a);return}function nZ(){var a=0,c=0,d=0,e=0,g=0;a=u;u=u+16|0;c=a;a=cuc(48)|0;f[c>>2]=a;f[c+8>>2]=-2147483600;f[c+4>>2]=44;d=a;e=224696;g=d+44|0;do{b[d>>0]=b[e>>0]|0;d=d+1|0;e=e+1|0}while((d|0)<(g|0));b[a+44>>0]=0;WD(-216,c,224741,224755,107)}function oZ(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;nZ()}function pZ(a){a=a|0;return}function qZ(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;nZ();return 0}function rZ(a){a=a|0;return}function sZ(a,b,c){a=a|0;b=b|0;c=+c;if((f[a>>2]|0)==(f[a+4>>2]|0))return;yh[f[(f[b>>2]|0)+8>>2]&2047](b,a);return}function tZ(){return 1}function uZ(){return 1}function vZ(){return 0}function wZ(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;d=xZ(a,b,c)|0;yZ(d);return d|0}function xZ(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0;e=u;u=u+16|0;g=e;h=d&4095;if((c|a|0)<0){i=cuc(32)|0;f[g>>2]=i;f[g+8>>2]=-2147483616;f[g+4>>2]=28;j=i;k=225066;l=j+28|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[i+28>>0]=0;WD(-201,g,225095,224870,119)}i=Y(675553809>>>(d<<2&28)&15,(d>>>3&511)+1|0)|0;if(!i){d=cuc(32)|0;f[g>>2]=d;f[g+8>>2]=-2147483616;f[g+4>>2]=19;j=d;k=225113;l=j+19|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[d+19>>0]=0;WD(-210,g,225095,224870,123)}g=Y(i,c)|0;i=UC(28)|0;f[i+4>>2]=g;f[i>>2]=h|1111638016;f[i+20>>2]=a;f[i+24>>2]=c;f[i+16>>2]=0;f[i+8>>2]=0;f[i+12>>2]=1;c=Bzc(a|0,((a|0)<0)<<31>>31|0,g|0,((g|0)<0)<<31>>31|0)|0;g=J;if(!((g|0)>0|(g|0)==0&c>>>0>2147483647)){u=e;return i|0}f[i>>2]=h|1111621632;u=e;return i|0}function yZ(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;c=u;u=u+16|0;d=c;if(!a){e=cuc(48)|0;f[d>>2]=e;g=d+8|0;f[g>>2]=-2147483600;h=d+4|0;f[h>>2]=38;i=e;j=225027;k=i+38|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));l=e+38|0;b[l>>0]=0;WD(-5,d,224963,224870,885)}m=f[a>>2]|0;n=m&-65536;if(((n|0)==1111621632?(o=f[a+24>>2]|0,(o|0)>-1):0)?(p=f[a+20>>2]|0,(p|0)>-1):0){q=f[a+4>>2]|0;if((o|0)==0|(p|0)==0){u=c;return}r=a+16|0;if(f[r>>2]|0){s=cuc(32)|0;f[d>>2]=s;f[d+8>>2]=-2147483616;f[d+4>>2]=25;i=s;j=224937;k=i+25|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));b[s+25>>0]=0;WD(-2,d,224963,224870,806)}if(!q)t=Y(Y(675553809>>>(m<<2&28)&15,(m>>>3&511)+1|0)|0,o)|0;else t=q;q=Bzc(p|0,((p|0)<0)<<31>>31|0,t|0,0)|0;t=hzc(q|0,J|0,68,0)|0;if(!((t|0)==(t|0)&(J|0)==0)){q=cuc(32)|0;f[d>>2]=q;f[d+8>>2]=-2147483616;f[d+4>>2]=27;i=q;j=224976;k=i+27|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));b[q+27>>0]=0;WD(-4,d,224963,224870,814)}q=UC(t)|0;f[a+8>>2]=q;f[r>>2]=q+4+63&-64;f[q>>2]=1;u=c;return}if((m|0)==112){q=a+68|0;if(f[q>>2]|0){r=cuc(32)|0;f[d>>2]=r;f[d+8>>2]=-2147483616;f[d+4>>2]=25;i=r;j=224937;k=i+25|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));b[r+25>>0]=0;WD(-2,d,224963,224870,824)}r=f[137629]|0;if(!r){t=f[a+72>>2]|0;p=f[a+44>>2]|0;o=Bzc(p|0,((p|0)<0)<<31>>31|0,t|0,((t|0)<0)<<31>>31|0)|0;t=f[a+64>>2]|0;if(!((t|0)==(o|0)&(((t|0)<0)<<31>>31|0)==(J|0))){o=cuc(32)|0;f[d>>2]=o;f[d+8>>2]=-2147483616;f[d+4>>2]=22;i=o;j=225004;k=i+22|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));b[o+22>>0]=0;WD(-4,d,224963,224870,830)}o=UC(t)|0;f[a+108>>2]=o;f[q>>2]=o;u=c;return}else{o=a+16|0;q=f[o>>2]|0;t=a+40|0;p=f[t>>2]|0;switch(q|0){case 32:case 64:{s=Y((q|0)==32?4:8,p)|0;f[t>>2]=s;f[o>>2]=8;break}default:{}}Zh[r&511](a,0,0);f[t>>2]=p;f[o>>2]=q;u=c;return}}if((n|0)!=1111687168){e=cuc(48)|0;f[d>>2]=e;g=d+8|0;f[g>>2]=-2147483600;h=d+4|0;f[h>>2]=38;i=e;j=225027;k=i+38|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));l=e+38|0;b[l>>0]=0;WD(-5,d,224963,224870,885)}l=Y(675553809>>>(m<<2&28)&15,(m>>>3&511)+1|0)|0;e=a+20|0;h=f[e>>2]|0;if(!h){u=c;return}g=a+16|0;if(f[g>>2]|0){n=cuc(32)|0;f[d>>2]=n;f[d+8>>2]=-2147483616;f[d+4>>2]=25;i=n;j=224937;k=i+25|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));b[n+25>>0]=0;WD(-2,d,224963,224870,860)}if(!(m&16384)){m=f[a+4>>2]|0;if((m|0)>0){d=m;m=l;while(1){n=d;d=d+-1|0;j=Y(f[e+(d<<3)>>2]|0,f[e+(d<<3)+4>>2]|0)|0;i=m>>>0<j>>>0?j:m;if((n|0)<=1){v=i;break}else m=i}}else v=l}else{m=f[a+24>>2]|0;v=Y((m|0)==0?l:m,h)|0}h=UC(v+68|0)|0;f[a+8>>2]=h;f[g>>2]=h+4+63&-64;f[h>>2]=1;u=c;return}function zZ(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;i=u;u=u+16|0;j=i;if(!a){f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;WD(-27,j,225133,224870,147)}if((d|c|0)<0){k=cuc(32)|0;f[j>>2]=k;f[j+8>>2]=-2147483616;f[j+4>>2]=25;l=k;m=225149;n=l+25|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));b[k+25>>0]=0;WD(-201,j,225133,224870,153)}k=e&4095|1111621632;f[a>>2]=k;f[a+20>>2]=c;f[a+24>>2]=d;f[a+16>>2]=g;f[a+8>>2]=0;f[a+12>>2]=0;g=Y(Y(675553809>>>(e<<2&28)&15,(e>>>3&511)+1|0)|0,d)|0;if((h|0)<2147483647)switch(h|0){case 0:{o=g;break}default:p=6}else switch(h|0){case 2147483647:{o=g;break}default:p=6}if((p|0)==6)if((g|0)>(h|0)){f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;WD(-13,j,225133,224870,169)}else o=h;f[a+4>>2]=o;h=Bzc(c|0,((c|0)<0)<<31>>31|0,o|0,((o|0)<0)<<31>>31|0)|0;j=J;f[a>>2]=k|((j|0)>0|(j|0)==0&h>>>0>2147483647?0:(o|0)==(g|0)|(c|0)==1?16384:0);u=i;return a|0}function AZ(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;b=u;u=u+16|0;c=b;if(!a){f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;WD(-9,c,225175,224870,190)}d=f[a>>2]|0;if(!d){u=b;return}e=f[d>>2]&-65536;a:do if((e|0)<1111687168){switch(e|0){case 1111621632:break;default:{g=7;break a}}if((f[d+24>>2]|0)>-1?(f[d+20>>2]|0)>-1:0){f[a>>2]=0;if(((f[d+24>>2]|0)>0?(f[d+20>>2]|0)>0:0)?(h=d+16|0,(f[h>>2]|0)!=0):0){f[h>>2]=0;h=d+8|0;i=f[h>>2]|0;if(i|0?(j=(f[i>>2]|0)+-1|0,f[i>>2]=j,(j|0)==0):0){VC(i);f[h>>2]=0}f[h>>2]=0;k=d}else k=d}else g=7}else{switch(e|0){case 1111687168:break;default:{g=7;break a}}f[a>>2]=0;h=d+16|0;if(!(f[h>>2]|0))k=d;else{f[h>>2]=0;h=d+8|0;i=f[h>>2]|0;if(i|0?(j=(f[i>>2]|0)+-1|0,f[i>>2]=j,(j|0)==0):0){VC(i);f[h>>2]=0}f[h>>2]=0;k=d}}while(0);if((g|0)==7){f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;WD(-206,c,225175,224870,197)}VC(k);u=b;return}function BZ(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0;c=u;u=u+16|0;d=c;if(((a|0?(e=f[a>>2]|0,(e&-65536|0)==1111621632):0)?(g=f[a+24>>2]|0,(g|0)>0):0)?(h=f[a+20>>2]|0,(h|0)>0):0){i=xZ(h,g,e)|0;if(!(f[a+16>>2]|0)){u=c;return i|0}yZ(i);NI(a,i,0);u=c;return i|0}i=cuc(32)|0;f[d>>2]=i;f[d+8>>2]=-2147483616;f[d+4>>2]=16;c=i;a=225188;e=c+16|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(e|0));b[i+16>>0]=0;WD(-5,d,225205,224870,212);return 0}function CZ(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;h=u;u=u+16|0;i=h;j=e&4095;k=Y(675553809>>>(e<<2&28)&15,(e>>>3&511)+1|0)|0;if(!a){e=cuc(32)|0;f[i>>2]=e;f[i+8>>2]=-2147483616;f[i+4>>2]=26;l=e;m=225216;n=l+26|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));b[e+26>>0]=0;WD(-27,i,225243,224870,238)}if(!k){e=cuc(32)|0;f[i>>2]=e;f[i+8>>2]=-2147483616;f[i+4>>2]=23;l=e;m=225261;n=l+23|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));b[e+23>>0]=0;WD(-210,i,225243,224870,241)}if(!d){e=cuc(32)|0;f[i>>2]=e;f[i+8>>2]=-2147483616;f[i+4>>2]=20;l=e;m=225285;n=l+20|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));b[e+20>>0]=0;WD(-27,i,225243,224870,244)}if((c+-1|0)>>>0>31){e=cuc(48)|0;f[i>>2]=e;f[i+8>>2]=-2147483600;f[i+4>>2]=46;l=e;m=225306;n=l+46|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));b[e+46>>0]=0;WD(-211,i,225243,224870,248)}else{o=c;p=0;q=k}while(1){k=o;o=o+-1|0;e=d+(o<<2)|0;r=f[e>>2]|0;if((r|0)<0){s=11;break}f[a+20+(o<<3)>>2]=r;if((p|0)>0|(p|0)==0&q>>>0>2147483647){s=13;break}f[a+20+(o<<3)+4>>2]=q;r=f[e>>2]|0;q=Bzc(r|0,((r|0)<0)<<31>>31|0,q|0,p|0)|0;p=J;if((k|0)<=1){s=9;break}}if((s|0)==9){f[a>>2]=((p|0)<0|(p|0)==0&q>>>0<2147483648?1111703552:1111687168)|j;f[a+4>>2]=c;f[a+16>>2]=g;f[a+8>>2]=0;f[a+12>>2]=0;u=h;return a|0}else if((s|0)==11){a=cuc(48)|0;f[i>>2]=a;f[i+8>>2]=-2147483600;f[i+4>>2]=37;l=a;m=225353;n=l+37|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));b[a+37>>0]=0;WD(-201,i,225243,224870,253)}else if((s|0)==13){s=cuc(32)|0;f[i>>2]=s;f[i+8>>2]=-2147483616;f[i+4>>2]=20;l=s;m=225391;n=l+20|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));b[s+20>>0]=0;WD(-211,i,225243,224870,256)}return 0}function DZ(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;d=EZ(a,b,c)|0;yZ(d);return d|0}function EZ(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0;e=u;u=u+16|0;g=e;if((a+-1|0)>>>0>31){h=cuc(48)|0;f[g>>2]=h;f[g+8>>2]=-2147483600;f[g+4>>2]=46;i=h;j=225306;k=i+46|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));b[h+46>>0]=0;WD(-211,g,225412,224870,287)}else{g=UC(276)|0;CZ(g,a,c,d,0)|0;f[g+12>>2]=1;u=e;return g|0}return 0}function FZ(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;c=u;u=u+256|0;d=c+128|0;e=c+72|0;g=c+16|0;h=c;if(!a){i=cuc(32)|0;f[d>>2]=i;j=d+8|0;f[j>>2]=-2147483616;k=d+4|0;f[k>>2]=18;l=i;m=225432;n=l+18|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));o=i+18|0;b[o>>0]=0;WD(-5,d,225451,224870,302)}p=f[a>>2]|0;if((p&-65536|0)!=1111687168){i=cuc(32)|0;f[d>>2]=i;j=d+8|0;f[j>>2]=-2147483616;k=d+4|0;f[k>>2]=18;l=i;m=225432;n=l+18|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));o=i+18|0;b[o>>0]=0;WD(-5,d,225451,224870,302)}o=f[a+4>>2]|0;if((o|0)>=33){i=cuc(32)|0;f[d>>2]=i;f[d+8>>2]=-2147483616;f[d+4>>2]=23;l=i;m=225464;n=l+23|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));b[i+23>>0]=0;WD(-215,d,225451,224870,304)}if((o|0)>0){i=0;do{f[d+(i<<2)>>2]=f[a+20+(i<<3)>>2];i=i+1|0}while((i|0)!=(o|0))}i=EZ(o,d,p)|0;if(!(f[a+16>>2]|0)){u=c;return i|0}yZ(i);tK(e,a,0,1,0,0);tK(g,i,0,1,0,0);a=f[i+16>>2]|0;p=h+8|0;f[p>>2]=0;f[p+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=g;EI(e,h);p=g+16|0;if((f[p>>2]|0)!=(a|0)){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;a=cuc(32)|0;f[h>>2]=a;f[h+8>>2]=-2147483616;f[h+4>>2]=18;l=a;m=225488;n=l+18|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));b[a+18>>0]=0;WD(-215,h,225451,224870,319)}h=g+36|0;a=f[h>>2]|0;if(a|0?(m=a+12|0,a=f[m>>2]|0,f[m>>2]=a+-1,(a|0)==1):0)aU(g);f[h>>2]=0;h=g+4|0;f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;f[p+12>>2]=0;if((f[h>>2]|0)>0){p=f[g+40>>2]|0;a=0;do{f[p+(a<<2)>>2]=0;a=a+1|0}while((a|0)<(f[h>>2]|0))}h=f[g+44>>2]|0;if((h|0)!=(g+48|0))TC(h);h=e+36|0;g=f[h>>2]|0;if(g|0?(a=g+12|0,g=f[a>>2]|0,f[a>>2]=g+-1,(g|0)==1):0)aU(e);f[h>>2]=0;h=e+16|0;g=e+4|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;if((f[g>>2]|0)>0){h=f[e+40>>2]|0;a=0;do{f[h+(a<<2)>>2]=0;a=a+1|0}while((a|0)<(f[g>>2]|0))}g=f[e+44>>2]|0;if((g|0)!=(e+48|0))TC(g);u=c;return i|0}function GZ(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0;i=u;u=u+32|0;j=i+12|0;k=i;if((a+-1|0)>>>0>9){l=cuc(32)|0;f[j>>2]=l;f[j+8>>2]=-2147483616;f[j+4>>2]=26;m=l;n=225507;o=m+26|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));b[l+26>>0]=0;WD(-211,j,225534,224870,394)}if(!((c|0)!=0&(e|0)!=0)){l=cuc(48)|0;f[j>>2]=l;f[j+8>>2]=-2147483600;f[j+4>>2]=39;m=l;n=225555;o=m+39|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));b[l+39>>0]=0;WD(-27,j,225534,224870,397)}if(!g){l=cuc(32)|0;f[j>>2]=l;f[j+8>>2]=-2147483616;f[j+4>>2]=24;m=l;n=225595;o=m+24|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));b[l+24>>0]=0;WD(-27,j,225534,224870,400)}if(d|0){d=cuc(48)|0;f[j>>2]=d;f[j+8>>2]=-2147483600;f[j+4>>2]=35;m=d;n=225620;o=m+35|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));b[d+35>>0]=0;WD(-5,j,225534,224870,403)}d=h&255;l=(h&4|0)==0;h=0;p=-1;q=0;a:while(1){r=f[c+(q<<2)>>2]|0;if(!r){s=11;break}if((f[r>>2]&-65536|0)==1111687168?(f[r+16>>2]|0)!=0:0)t=r;else{f[j>>2]=0;v=HZ(r,e+(q*276|0)|0,j)|0;if(f[j>>2]|0){s=15;break}t=v}v=g+184+(q<<2)|0;f[v>>2]=t;w=f[t+4>>2]|0;if((q|0)>0){if((w|0)!=(f[h+4>>2]|0)){s=19;break}switch(d&3){case 0:{if((f[h>>2]^f[t>>2])&4095|0){s=22;break a}break}case 1:{if((f[h>>2]^f[t>>2])&4088|0){s=24;break a}break}case 2:{if((f[h>>2]^f[t>>2])&4088|0){s=26;break a}break}default:{}}if(l&(w|0)>0){r=0;while(1){if((f[t+20+(r<<3)>>2]|0)!=(f[h+20+(r<<3)>>2]|0)){s=30;break a}r=r+1|0;if((r|0)>=(w|0)){x=h;break}}}else x=h}else x=t;r=f[t>>2]|0;y=Y(675553809>>>(r<<2&28)&15,(r>>>3&511)+1|0)|0;r=w+-1|0;b:do if((r|0)>(p|0)){z=w;A=r;B=y;C=0;while(1){D=f[t+20+(A<<3)+4>>2]|0;if(!((B|0)==(D|0)&(C|0)==(((D|0)<0)<<31>>31|0))){E=z;F=A;G=C;H=B;break b}D=f[t+20+(A<<3)>>2]|0;I=Bzc(D|0,((D|0)<0)<<31>>31|0,B|0,C|0)|0;D=J;K=A+-1|0;if((K|0)>(p|0)){L=A;A=K;B=I;C=D;z=L}else{E=A;F=K;G=D;H=I;break}}}else{E=w;F=r;G=0;H=y}while(0);y=(F|0)==(p|0)&((G|0)>0|(G|0)==0&H>>>0>2147483647)?E:F;p=(y|0)>(p|0)?y:p;f[v>>2]=t;f[g+16+(q<<2)>>2]=f[t+16>>2];q=q+1|0;if((q|0)>=(a|0)){s=35;break}else h=x}if((s|0)==11){h=cuc(48)|0;f[j>>2]=h;f[j+8>>2]=-2147483600;f[j+4>>2]=39;m=h;n=225555;o=m+39|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));b[h+39>>0]=0;WD(-27,j,225534,224870,411)}else if((s|0)==15){h=cuc(32)|0;f[k>>2]=h;f[k+8>>2]=-2147483616;f[k+4>>2]=27;m=h;n=225656;o=m+27|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));b[h+27>>0]=0;WD(-24,k,225534,224870,420)}else if((s|0)==19){k=cuc(48)|0;f[j>>2]=k;f[j+8>>2]=-2147483600;f[j+4>>2]=47;m=k;n=225684;o=m+47|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));b[k+47>>0]=0;WD(-209,j,225534,224870,429)}else if((s|0)==22){k=cuc(48)|0;f[j>>2]=k;f[j+8>>2]=-2147483600;f[j+4>>2]=40;m=k;n=225732;o=m+40|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));b[k+40>>0]=0;WD(-205,j,225534,224870,436)}else if((s|0)==24){k=cuc(64)|0;f[j>>2]=k;f[j+8>>2]=-2147483584;f[j+4>>2]=49;m=k;n=225773;o=m+49|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));b[k+49>>0]=0;WD(-205,j,225534,224870,441)}else if((s|0)==26){k=cuc(48)|0;f[j>>2]=k;f[j+8>>2]=-2147483600;f[j+4>>2]=36;m=k;n=225823;o=m+36|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));b[k+36>>0]=0;WD(-205,j,225534,224870,446)}else if((s|0)==30){k=cuc(48)|0;f[j>>2]=k;f[j+8>>2]=-2147483600;f[j+4>>2]=43;m=k;n=225860;o=m+43|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));b[k+43>>0]=0;WD(-209,j,225534,224870,455)}else if((s|0)==35){s=w+-1|0;if((s|0)>(p|0)){w=1;j=s;do{w=Y(f[x+20+(j<<3)>>2]|0,w)|0;j=j+-1|0}while((j|0)>(p|0));M=w;N=1}else{M=1;N=1}w=p+1|0;f[g+4>>2]=w;f[g>>2]=a;a=g+8|0;f[a>>2]=M;f[a+4>>2]=N;if((p|0)<0){u=i;return w|0}else O=0;do{f[g+56+(O<<2)>>2]=f[x+20+(O<<3)>>2];O=O+1|0}while((O|0)!=(w|0));u=i;return w|0}return 0}function HZ(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;e=u;u=u+48|0;g=e+12|0;h=e;if(d|0)f[d>>2]=0;if(!((a|0)!=0&(c|0)!=0)){i=cuc(32)|0;f[g>>2]=i;f[g+8>>2]=-2147483616;f[g+4>>2]=28;j=i;k=225904;l=j+28|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[i+28>>0]=0;WD(-27,g,225933,224870,336)}i=f[a>>2]|0;if((i&-65536|0)==1111687168)if(!(f[a+16>>2]|0)){m=cuc(48)|0;f[g>>2]=m;f[g+8>>2]=-2147483600;f[g+4>>2]=32;j=m;k=225944;l=j+32|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[m+32>>0]=0;WD(-27,g,225933,224870,341)}else{n=a;u=e;return n|0}if((i|0)==112)o=IZ(a,g,d,0)|0;else o=a;if(((o|0?(a=f[o>>2]|0,(a&-65536|0)==1111621632):0)?(d=o+24|0,(f[d>>2]|0)>0):0)?(g=o+20|0,(f[g>>2]|0)>0):0){i=f[o+16>>2]|0;if(!i){m=cuc(48)|0;f[h>>2]=m;f[h+8>>2]=-2147483600;f[h+4>>2]=33;j=m;k=226016;l=j+33|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[m+33>>0]=0;WD(-27,h,225933,224870,356)}f[c+16>>2]=i;f[c+8>>2]=0;f[c+12>>2]=0;f[c>>2]=a;f[c+4>>2]=2;f[c+20>>2]=f[g>>2];f[c+24>>2]=f[o+4>>2];f[c+28>>2]=f[d>>2];d=Y(675553809>>>(a<<2&28)&15,(a>>>3&511)+1|0)|0;f[c+32>>2]=d;n=c;u=e;return n|0}n=cuc(48)|0;f[h>>2]=n;f[h+8>>2]=-2147483600;f[h+4>>2]=38;j=n;k=225977;l=j+38|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[n+38>>0]=0;WD(-5,h,225933,224870,353);return 0}function IZ(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;g=u;u=u+16|0;h=g;if(!((a|0)!=0&(c|0)!=0)){i=cuc(32)|0;f[h>>2]=i;f[h+8>>2]=-2147483616;f[h+4>>2]=28;j=i;k=225904;l=j+28|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[i+28>>0]=0;WD(-27,h,226050,224870,2390)}i=f[a>>2]|0;m=i&-65536;if(((m|0)==1111621632?(f[a+24>>2]|0)>0:0)?(f[a+20>>2]|0)>0:0)if(!(f[a+16>>2]|0)){n=cuc(48)|0;f[h>>2]=n;f[h+8>>2]=-2147483600;f[h+4>>2]=32;j=n;k=225944;l=j+32|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[n+32>>0]=0;WD(-27,h,226050,224870,2395)}else{o=a;p=0}else q=8;do if((q|0)==8){if((i|0)!=112){if(!((e|0)!=0&(m|0)==1111687168)){n=cuc(48)|0;f[h>>2]=n;f[h+8>>2]=-2147483600;f[h+4>>2]=38;j=n;k=225977;l=j+38|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[n+38>>0]=0;WD(-206,h,226050,224870,2492)}r=a+20|0;s=f[r>>2]|0;t=a+16|0;if(!(f[t>>2]|0)){v=cuc(48)|0;f[h>>2]=v;f[h+8>>2]=-2147483600;f[h+4>>2]=33;j=v;k=226016;l=j+33|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[v+33>>0]=0;WD(-27,h,226050,224870,2465)}if(!(i&16384)){n=cuc(48)|0;f[h>>2]=n;f[h+8>>2]=-2147483600;f[h+4>>2]=44;j=n;k=226253;l=j+44|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[n+44>>0]=0;WD(-5,h,226050,224870,2468)}v=f[a+4>>2]|0;if((v|0)<=2)if((v|0)==1)w=1;else w=f[a+28>>2]|0;else{x=1;y=1;while(1){z=Y(f[r+(y<<3)>>2]|0,x)|0;y=y+1|0;if((y|0)==(v|0)){w=z;break}else x=z}}f[c+8>>2]=0;f[c+12>>2]=0;f[c+16>>2]=f[t>>2];f[c+20>>2]=s;f[c+24>>2]=w;x=f[a>>2]|0;v=x&4095;f[c>>2]=v|1111638016;y=Y(Y((x>>>3&511)+1|0,w)|0,675553809>>>(x<<2&28)&15)|0;x=(s|0)>1?y:0;f[c+4>>2]=x;y=Bzc(x|0,((x|0)<0)<<31>>31|0,s|0,((s|0)<0)<<31>>31|0)|0;x=J;if(!((x|0)>0|(x|0)==0&y>>>0>2147483647)){o=c;p=0;break}f[c>>2]=v|1111621632;o=c;p=0;break}v=f[a+68>>2]|0;if(!v){y=cuc(32)|0;f[h>>2]=y;f[h+8>>2]=-2147483616;f[h+4>>2]=31;j=y;k=226059;l=j+31|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[y+31>>0]=0;WD(-27,h,226050,224870,2405)}s=f[a+16>>2]|0;t=1125516576>>>((s>>>2&60)+(s>>31&20)|0);s=t&7;x=f[a+8>>2]|0;r=(x|0)>1?f[a+28>>2]|0:0;n=f[a+48>>2]|0;if(!n)if(!r){zZ(c,f[a+44>>2]|0,f[a+40>>2]|0,s|(x<<3)+-8,v,f[a+72>>2]|0)|0;o=c;p=0;break}else{z=cuc(48)|0;f[h>>2]=z;f[h+8>>2]=-2147483600;f[h+4>>2]=40;j=z;k=226212;l=j+40|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[z+40>>0]=0;WD(-206,h,226050,224870,2451)}y=f[n>>2]|0;if((r|0)==1)if(!y){A=cuc(64)|0;f[h>>2]=A;f[h+8>>2]=-2147483584;f[h+4>>2]=63;j=A;k=226091;l=j+63|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[A+63>>0]=0;WD(-206,h,226050,224870,2421)}else{r=v+(Y(f[a+64>>2]|0,y+-1|0)|0)|0;z=f[a+72>>2]|0;B=r+(Y(z,f[n+8>>2]|0)|0)|0;zZ(c,f[n+16>>2]|0,f[n+12>>2]|0,s,B+(Y(f[n+4>>2]|0,675553809>>>(t<<2&28)&15)|0)|0,z)|0;o=c;p=0;break}else{z=(x<<3)+-8|0;if((x|0)>512){B=cuc(64)|0;f[h>>2]=B;f[h+8>>2]=-2147483584;f[h+4>>2]=56;j=B;k=226155;l=j+56|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[B+56>>0]=0;WD(-15,h,226050,224870,2437)}else{x=f[a+72>>2]|0;A=v+(Y(x,f[n+8>>2]|0)|0)|0;zZ(c,f[n+16>>2]|0,f[n+12>>2]|0,s|z,A+(Y(Y(675553809>>>(t<<2&28)&15,(z>>>3&511)+1|0)|0,f[n+4>>2]|0)|0)|0,x)|0;o=c;p=y;break}}}while(0);if(!d){u=g;return o|0}f[d>>2]=p;u=g;return o|0}function JZ(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;b=f[a+4>>2]|0;if((b|0)<=0){c=0;return c|0}d=a+184|0;e=a+16|0;g=b;while(1){b=g;g=g+-1|0;if((f[a>>2]|0)>0){h=0;do{i=a+16+(h<<2)|0;f[i>>2]=(f[i>>2]|0)+(f[(f[a+184+(h<<2)>>2]|0)+20+(g<<3)+4>>2]|0);h=h+1|0}while((h|0)<(f[a>>2]|0))}h=a+56+(g<<2)|0;i=f[h>>2]|0;f[h>>2]=i+-1;if((i|0)>1){c=1;j=10;break}i=f[d>>2]|0;k=f[i+20+(g<<3)>>2]|0;l=f[a>>2]|0;if((l|0)>0?(m=0-k|0,n=(f[e>>2]|0)+(Y(f[i+20+(g<<3)+4>>2]|0,m)|0)|0,f[e>>2]=n,(l|0)!=1):0){n=1;do{i=a+16+(n<<2)|0;o=(f[i>>2]|0)+(Y(f[(f[a+184+(n<<2)>>2]|0)+20+(g<<3)+4>>2]|0,m)|0)|0;f[i>>2]=o;n=n+1|0}while((n|0)<(l|0))}f[h>>2]=k;if((b|0)<=1){c=0;j=10;break}}if((j|0)==10)return c|0;return 0}function KZ(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;e=u;u=u+16|0;g=e;h=d&4095;i=675553809>>>(d<<2&28)&15;j=Y(i,(d>>>3&511)+1|0)|0;if(!j){d=cuc(32)|0;f[g>>2]=d;f[g+8>>2]=-2147483616;f[g+4>>2]=23;k=d;l=225261;m=k+23|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));b[d+23>>0]=0;WD(-210,g,226298,224870,537)}if((a+-1|0)>>>0>31){d=cuc(32)|0;f[g>>2]=d;f[g+8>>2]=-2147483616;f[g+4>>2]=24;k=d;l=226316;m=k+24|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));b[d+24>>0]=0;WD(-211,g,226298,224870,540)}if(!c){d=cuc(32)|0;f[g>>2]=d;f[g+8>>2]=-2147483616;f[g+4>>2]=20;k=d;l=225285;m=k+20|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));b[d+20>>0]=0;WD(-27,g,226298,224870,543)}else n=0;while(1){if((f[c+(n<<2)>>2]|0)<1){o=9;break}n=n+1|0;if((n|0)>=(a|0)){o=10;break}}if((o|0)==9){n=cuc(48)|0;f[g>>2]=n;f[g+8>>2]=-2147483600;f[g+4>>2]=37;k=n;l=225353;m=k+37|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));b[n+37>>0]=0;WD(-201,g,226298,224870,548)}else if((o|0)==10){o=a+-32|0;g=UC((((o|0)>0?o:0)<<2)+164|0)|0;f[g>>2]=h|1111752704;f[g+4>>2]=a;f[g+8>>2]=0;f[g+12>>2]=1;h=a<<2;szc(g+36|0,c|0,h|0)|0;c=i+7&0-i;f[g+28>>2]=c;i=j+3+c&65532;f[g+32>>2]=i;c=XK(0,64,h+7+i&-8,uK(4096)|0)|0;f[g+16>>2]=c;f[g+24>>2]=1024;c=UC(4096)|0;f[g+20>>2]=c;kzc(c|0,0,4096)|0;u=e;return g|0}return 0}function LZ(a){a=a|0;var b=0,c=0,d=0;b=u;u=u+16|0;c=b;if(!a){f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;WD(-9,c,226341,224870,581)}d=f[a>>2]|0;if(!d){u=b;return}if((f[d>>2]&-65536|0)!=1111752704){f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;WD(-206,c,226341,224870,588)}f[a>>2]=0;f[c>>2]=f[(f[d+16>>2]|0)+44>>2];wK(c);c=d+20|0;VC(f[c>>2]|0);f[c>>2]=0;VC(d);u=b;return}function MZ(a){a=a|0;var c=0,d=0,e=0,g=0;c=u;u=u+16|0;d=c;if(a|0?(e=f[a>>2]|0,(e&-65536|0)==1111752704):0){g=KZ(f[a+4>>2]|0,a+36|0,e)|0;NI(a,g,0);u=c;return g|0}g=cuc(32)|0;f[d>>2]=g;f[d+8>>2]=-2147483616;f[d+4>>2]=27;c=g;a=226360;e=c+27|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(e|0));b[g+27>>0]=0;WD(-5,d,226388,224870,605);return 0}function NZ(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;d=u;u=u+16|0;e=d;if(a|0?(f[a>>2]&-65536|0)==1111752704:0){if(!c){g=cuc(32)|0;f[e>>2]=g;f[e+8>>2]=-2147483616;f[e+4>>2]=21;h=g;i=226458;j=h+21|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(j|0));b[g+21>>0]=0;WD(-27,e,226434,224870,623)}f[c>>2]=a;g=c+4|0;f[g>>2]=0;k=f[a+24>>2]|0;if((k|0)<=0){l=0;m=0;n=c+8|0;f[n>>2]=l;u=d;return m|0}o=f[a+20>>2]|0;a=0;while(1){p=f[o+(a<<2)>>2]|0;if(p|0)break;q=a+1|0;if((q|0)<(k|0))a=q;else{l=q;m=0;r=11;break}}if((r|0)==11){n=c+8|0;f[n>>2]=l;u=d;return m|0}f[g>>2]=p;l=a;m=p;n=c+8|0;f[n>>2]=l;u=d;return m|0}m=cuc(32)|0;f[e>>2]=m;f[e+8>>2]=-2147483616;f[e+4>>2]=28;h=m;i=226405;j=h+28|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(j|0));b[m+28>>0]=0;WD(-5,e,226434,224870,620);return 0}function OZ(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0;c=u;u=u+16|0;d=c;if(a|0){e=f[a>>2]|0;g=e&-65536;a:do if((g|0)<1111687168){switch(g|0){case 1111621632:break;default:break a}if((f[a+24>>2]|0)>0?(f[a+20>>2]|0)>0:0){if((f[a+24>>2]|0)<=0){u=c;return}if((f[a+20>>2]|0)<=0){u=c;return}h=a+16|0;if(!(f[h>>2]|0)){u=c;return}f[h>>2]=0;h=a+8|0;i=f[h>>2]|0;if(i|0?(j=(f[i>>2]|0)+-1|0,f[i>>2]=j,(j|0)==0):0){VC(i);f[h>>2]=0}f[h>>2]=0;u=c;return}}else{switch(g|0){case 1111687168:break;default:break a}h=a+16|0;if(!(f[h>>2]|0)){u=c;return}f[h>>2]=0;h=a+8|0;i=f[h>>2]|0;if(i|0?(j=(f[i>>2]|0)+-1|0,f[i>>2]=j,(j|0)==0):0){VC(i);f[h>>2]=0}f[h>>2]=0;u=c;return}while(0);if((e|0)==112){e=f[137630]|0;if(!e){g=a+108|0;h=f[g>>2]|0;f[g>>2]=0;f[a+68>>2]=0;VC(h);u=c;return}else{yh[e&2047](a,2);u=c;return}}}c=cuc(48)|0;f[d>>2]=c;f[d+8>>2]=-2147483600;f[d+4>>2]=38;a=c;e=225027;h=a+38|0;do{b[a>>0]=b[e>>0]|0;a=a+1|0;e=e+1|0}while((a|0)<(h|0));b[c+38>>0]=0;WD(-5,d,226480,224870,1001)}function PZ(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;g=u;u=u+16|0;h=g;if(!a){i=cuc(48)|0;f[h>>2]=i;j=h+8|0;f[j>>2]=-2147483600;k=h+4|0;f[k>>2]=38;l=i;m=225027;n=l+38|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));o=i+38|0;b[o>>0]=0;WD(-5,h,226516,224870,1838)}p=f[a>>2]|0;q=p&-65536;if((((q|0)==1111621632?(r=f[a+24>>2]|0,(r|0)>0):0)?(s=f[a+20>>2]|0,(s|0)>0):0)?(t=f[a+16>>2]|0,t|0):0){if(!(r>>>0>d>>>0&s>>>0>c>>>0)){s=cuc(32)|0;f[h>>2]=s;f[h+8>>2]=-2147483616;f[h+4>>2]=21;l=s;m=226494;n=l+21|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));b[s+21>>0]=0;WD(-211,h,226516,224870,1761)}if(e|0)f[e>>2]=p&4095;v=t+(Y(f[a+4>>2]|0,c)|0)+(Y(Y((p>>>3&511)+1|0,d)|0,675553809>>>(p<<2&28)&15)|0)|0;u=g;return v|0}if((p|0)==112?(t=f[a+68>>2]|0,t|0):0){s=f[a+16>>2]|0;r=s>>>3&31;w=(f[a+28>>2]|0)==0;if(w)x=Y(f[a+8>>2]|0,r)|0;else x=r;r=f[a+48>>2]|0;do if(r){y=f[r+12>>2]|0;z=f[r+16>>2]|0;A=Y(f[a+72>>2]|0,f[r+8>>2]|0)|0;B=t+((Y(f[r+4>>2]|0,x)|0)+A)|0;if(!w){A=f[r>>2]|0;if(!A){C=cuc(48)|0;f[h>>2]=C;f[h+8>>2]=-2147483600;f[h+4>>2]=45;l=C;m=226524;n=l+45|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));b[C+45>>0]=0;WD(-24,h,226516,224870,1792)}else{D=B+(Y(f[a+64>>2]|0,A+-1|0)|0)|0;E=z;F=y;break}}else{D=B;E=z;F=y}}else{D=t;E=f[a+44>>2]|0;F=f[a+40>>2]|0}while(0);if(!(F>>>0>d>>>0&E>>>0>c>>>0)){E=cuc(32)|0;f[h>>2]=E;f[h+8>>2]=-2147483616;f[h+4>>2]=21;l=E;m=226494;n=l+21|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));b[E+21>>0]=0;WD(-211,h,226516,224870,1804)}E=D+((Y(f[a+72>>2]|0,c)|0)+(Y(x,d)|0))|0;if(!e){v=E;u=g;return v|0}x=(f[a+8>>2]|0)+-1|0;if(x>>>0>3){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;WD(-210,h,226516,224870,1812)}f[e>>2]=1125516576>>>((s>>>2&60)+(s>>31&20)|0)&7|x<<3;v=E;u=g;return v|0}if((q|0)!=1111687168){if((q|0)!=1111752704){i=cuc(48)|0;f[h>>2]=i;j=h+8|0;f[j>>2]=-2147483600;k=h+4|0;f[k>>2]=38;l=i;m=225027;n=l+38|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));o=i+38|0;b[o>>0]=0;WD(-5,h,226516,224870,1838)}if((f[a+4>>2]|0)!=2){q=cuc(32)|0;f[h>>2]=q;f[h+8>>2]=-2147483616;f[h+4>>2]=30;l=q;m=226570;n=l+30|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));b[q+30>>0]=0;WD(-215,h,226516,224870,1832)}f[h>>2]=c;f[h+4>>2]=d;v=QZ(a,h,e,1,0)|0;u=g;return v|0}q=f[a+16>>2]|0;if(!q){i=cuc(48)|0;f[h>>2]=i;j=h+8|0;f[j>>2]=-2147483600;k=h+4|0;f[k>>2]=38;l=i;m=225027;n=l+38|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));o=i+38|0;b[o>>0]=0;WD(-5,h,226516,224870,1838)}if((f[a+4>>2]|0)!=2){G=cuc(32)|0;f[h>>2]=G;H=h+8|0;f[H>>2]=-2147483616;I=h+4|0;f[I>>2]=21;l=G;m=226494;n=l+21|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));J=G+21|0;b[J>>0]=0;WD(-211,h,226516,224870,1824)}if((f[a+20>>2]|0)>>>0<=c>>>0){G=cuc(32)|0;f[h>>2]=G;H=h+8|0;f[H>>2]=-2147483616;I=h+4|0;f[I>>2]=21;l=G;m=226494;n=l+21|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));J=G+21|0;b[J>>0]=0;WD(-211,h,226516,224870,1824)}if((f[a+28>>2]|0)>>>0<=d>>>0){G=cuc(32)|0;f[h>>2]=G;H=h+8|0;f[H>>2]=-2147483616;I=h+4|0;f[I>>2]=21;l=G;m=226494;n=l+21|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));J=G+21|0;b[J>>0]=0;WD(-211,h,226516,224870,1824)}h=q+(Y(f[a+24>>2]|0,c)|0)|0;c=h+(Y(f[a+32>>2]|0,d)|0)|0;if(!e){v=c;u=g;return v|0}f[e>>2]=p&4095;v=c;u=g;return v|0}function QZ(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;h=u;u=u+16|0;i=h;a:do if(!g){j=f[a+4>>2]|0;if((j|0)>0){k=0;l=0;while(1){m=f[c+(k<<2)>>2]|0;if(m>>>0>=(f[a+36+(k<<2)>>2]|0)>>>0)break;n=m+(Y(l,1540483477)|0)|0;k=k+1|0;if((k|0)>=(j|0)){o=n;break a}else l=n}l=cuc(32)|0;f[i>>2]=l;f[i+8>>2]=-2147483616;f[i+4>>2]=30;j=l;k=226601;n=j+30|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(n|0));b[l+30>>0]=0;WD(-211,i,226632,224870,657)}else o=0}else o=f[g>>2]|0;while(0);g=a+24|0;k=f[g>>2]|0;j=k+-1&o;n=o&2147483647;b:do if((e|0)>-2?(o=f[(f[a+20>>2]|0)+(j<<2)>>2]|0,(o|0)!=0):0){m=a+32|0;p=a+4|0;q=o;while(1){if((f[q>>2]|0)==(n|0)){o=q+(f[m>>2]|0)|0;r=f[p>>2]|0;c:do if((r|0)>0){s=0;while(1){if((f[c+(s<<2)>>2]|0)!=(f[o+(s<<2)>>2]|0)){t=s;break c}v=s+1|0;if((v|0)<(r|0))s=v;else{t=v;break}}}else t=0;while(0);if((t|0)==(r|0))break}o=f[q+4>>2]|0;if(!o){w=0;break b}else q=o}w=q+(f[a+28>>2]|0)|0}else w=0;while(0);if((e|0)!=0&(w|0)==0){t=a+16|0;p=f[t>>2]|0;if((f[p+60>>2]|0)<(k*3|0)){x=j;y=p}else{p=k<<1;k=(p|0)>1024?p:1024;p=k<<2;j=UC(p)|0;kzc(j|0,0,p|0)|0;p=NZ(a,i)|0;if(p|0){m=i+4|0;l=i+8|0;o=k+-1|0;s=p;while(1){p=f[(f[m>>2]|0)+4>>2]|0;d:do if(!p){v=(f[l>>2]|0)+1|0;f[l>>2]=v;z=f[i>>2]|0;A=f[z+24>>2]|0;if((v|0)<(A|0)){B=f[z+20>>2]|0;z=v;while(1){C=f[B+(z<<2)>>2]|0;if(C|0)break;v=z+1|0;if((v|0)<(A|0))z=v;else{D=0;break d}}f[l>>2]=z;E=C;F=27}else D=0}else{E=p;F=27}while(0);if((F|0)==27){F=0;f[m>>2]=E;D=E}p=j+((f[s>>2]&o)<<2)|0;f[s+4>>2]=f[p>>2];f[p>>2]=s;if(!D)break;else s=D}}D=a+20|0;VC(f[D>>2]|0);f[D>>2]=j;f[g>>2]=k;x=k+2147483647&n;y=f[t>>2]|0}t=y+56|0;k=f[t>>2]|0;f[i>>2]=k;if(!k){YK(y,0,i)|0;G=f[i>>2]|0}else{f[t>>2]=f[k+4>>2];f[k>>2]=f[k>>2]&67108863;t=y+60|0;f[t>>2]=(f[t>>2]|0)+1;G=k}f[G>>2]=n;n=(f[a+20>>2]|0)+(x<<2)|0;f[G+4>>2]=f[n>>2];f[n>>2]=G;szc(G+(f[a+32>>2]|0)|0,c|0,f[a+4>>2]<<2|0)|0;c=G+(f[a+28>>2]|0)|0;if((e|0)>0){e=f[a>>2]|0;kzc(c|0,0,Y(675553809>>>(e<<2&28)&15,(e>>>3&511)+1|0)|0)|0;H=c}else H=c}else H=w;if(!d){u=h;return H|0}f[d>>2]=f[a>>2]&4095;u=h;return H|0}function RZ(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0;c=u;u=u+16|0;d=c;if(a|0){e=f[a>>2]|0;g=e&-65536;a:do if((g|0)<1111687168){switch(g|0){case 1111621632:break;default:break a}if((f[a+24>>2]|0)>0?(f[a+20>>2]|0)>0:0)h=5}else if((g|0)<1111752704)switch(g|0){case 1111687168:{h=5;break a;break}default:break a}else switch(g|0){case 1111752704:{h=5;break a;break}default:break a}while(0);if((h|0)==5){i=e&4095;u=c;return i|0}if((e|0)==112?f[a+68>>2]|0:0){e=f[a+16>>2]|0;i=1125516576>>>((e>>>2&60)+(e>>31&20)|0)&7|(f[a+8>>2]<<3)+-8;u=c;return i|0}}i=cuc(48)|0;f[d>>2]=i;f[d+8>>2]=-2147483600;f[d+4>>2]=38;c=i;a=225027;e=c+38|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(e|0));b[i+38>>0]=0;WD(-5,d,226646,224870,1094);return 0}function SZ(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;d=u;u=u+16|0;e=d;a:do if(a|0){g=f[a>>2]|0;h=g&-65536;if(((h|0)==1111621632?(i=a+24|0,(f[i>>2]|0)>0):0)?(j=f[a+20>>2]|0,(j|0)>0):0){if(!c){k=2;u=d;return k|0}f[c>>2]=j;f[c+4>>2]=f[i>>2];k=2;u=d;return k|0}if((g|0)==112?f[a+68>>2]|0:0){if(!c){k=2;u=d;return k|0}f[c>>2]=f[a+44>>2];f[c+4>>2]=f[a+40>>2];k=2;u=d;return k|0}if((h|0)>=1111752704){switch(h|0){case 1111752704:break;default:break a}g=f[a+4>>2]|0;if(!c){k=g;u=d;return k|0}szc(c|0,a+36|0,g<<2|0)|0;k=g;u=d;return k|0}switch(h|0){case 1111687168:break;default:break a}h=f[a+4>>2]|0;if(!((c|0)!=0&(h|0)>0)){k=h;u=d;return k|0}g=a+20|0;i=0;do{f[c+(i<<2)>>2]=f[g+(i<<3)>>2];i=i+1|0}while((i|0)!=(h|0));k=h;u=d;return k|0}while(0);k=cuc(48)|0;f[e>>2]=k;f[e+8>>2]=-2147483600;f[e+4>>2]=38;d=k;c=225027;a=d+38|0;do{b[d>>0]=b[c>>0]|0;d=d+1|0;c=c+1|0}while((d|0)<(a|0));b[k+38>>0]=0;WD(-5,e,226660,224870,1148);return 0}function TZ(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;d=u;u=u+16|0;e=d;g=a;f[g>>2]=0;f[g+4>>2]=0;if(c|0){g=f[c>>2]|0;if(((g&-65536|0)==1111621632?(h=f[c+24>>2]|0,(h|0)>-1):0)?(i=f[c+20>>2]|0,(i|0)>-1):0){f[a>>2]=h;j=i;k=a+4|0;f[k>>2]=j;u=d;return}if((g|0)==112){g=f[c+48>>2]|0;i=(g|0)==0;f[a>>2]=f[(i?c+40|0:g+12|0)>>2];j=f[(i?c+44|0:g+16|0)>>2]|0;k=a+4|0;f[k>>2]=j;u=d;return}}d=cuc(48)|0;f[e>>2]=d;f[e+8>>2]=-2147483600;f[e+4>>2]=33;j=d;k=226670;a=j+33|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(a|0));b[d+33>>0]=0;WD(-5,e,226704,224870,1246)}function UZ(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;h=u;u=u+16|0;i=h;if(!c){j=cuc(32)|0;f[i>>2]=j;f[i+8>>2]=-2147483616;f[i+4>>2]=23;k=j;l=226714;m=k+23|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));b[j+23>>0]=0;WD(-27,i,226738,224870,1887)}a:do if(a|0){j=f[a>>2]|0;n=j&-65536;b:do if((n|0)<1111687168){switch(n|0){case 1111621632:break;default:{o=16;break b}}if((f[a+24>>2]|0)>0){if(!((f[a+20>>2]|0)>0|(j|0)==112))break a}else o=16}else{if((n|0)>=1111752704){switch(n|0){case 1111752704:break;default:{o=16;break b}}p=QZ(a,c,d,e,g)|0;u=h;return p|0}switch(n|0){case 1111687168:break;default:{o=16;break b}}q=f[a+16>>2]|0;if(!q)o=16;else{r=f[a+4>>2]|0;c:do if((r|0)>0){s=a+20|0;t=q;v=0;while(1){w=f[c+(v<<2)>>2]|0;if(w>>>0>=(f[s+(v<<3)>>2]|0)>>>0)break;x=t+(Y(f[s+(v<<3)+4>>2]|0,w)|0)|0;v=v+1|0;if((v|0)>=(r|0)){y=x;break c}else t=x}t=cuc(32)|0;f[i>>2]=t;f[i+8>>2]=-2147483616;f[i+4>>2]=21;k=t;l=226494;m=k+21|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));b[t+21>>0]=0;WD(-211,i,226738,224870,1901)}else y=q;while(0);if(!d){p=y;u=h;return p|0}f[d>>2]=j&4095;p=y;u=h;return p|0}}while(0);if((o|0)==16?(j|0)!=112:0)break;p=PZ(a,f[c>>2]|0,f[c+4>>2]|0,d)|0;u=h;return p|0}while(0);p=cuc(48)|0;f[i>>2]=p;f[i+8>>2]=-2147483600;f[i+4>>2]=38;k=p;l=225027;m=k+38|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));b[p+38>>0]=0;WD(-5,i,226738,224870,1911);return 0}function VZ(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;g=u;u=u+32|0;h=g+12|0;i=g;if(!c){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;WD(-27,h,226825,224870,2718)}if(((((a|0)!=0?(f[a>>2]&-65536|0)==1111621632:0)?(f[a+24>>2]|0)>0:0)?(f[a+20>>2]|0)>0:0)?(f[a+16>>2]|0)!=0:0)j=a;else k=8;do if((k|0)==8){f[h>>2]=0;l=IZ(a,c,h,1)|0;if(!(f[h>>2]|0)){j=l;break}else{l=cuc(32)|0;f[i>>2]=l;f[i+8>>2]=-2147483616;f[i+4>>2]=20;m=l;n=383489;o=m+20|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));b[l+20>>0]=0;WD(-24,i,226825,224870,2725)}}while(0);if(d)if((d+-1|0)>>>0>3){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;WD(-15,h,226825,224870,2731)}else p=d;else p=((f[j>>2]|0)>>>3&511)+1|0;if((j|0)!=(c|0)){d=c+12|0;i=f[d>>2]|0;f[c>>2]=f[j>>2];f[c+4>>2]=f[j+4>>2];f[c+8>>2]=f[j+8>>2];f[c+12>>2]=f[j+12>>2];f[c+16>>2]=f[j+16>>2];f[c+20>>2]=f[j+20>>2];f[c+24>>2]=f[j+24>>2];f[c+8>>2]=0;f[d>>2]=i}i=f[j>>2]|0;d=Y((i>>>3&511)+1|0,f[j+24>>2]|0)|0;a=(e|0)==0;if((p|0)>(d|0))if(a)k=20;else{q=e;k=23}else if(a&((d|0)%(p|0)|0|0)!=0)k=20;else{r=e;k=21}if((k|0)==20){r=(Y(f[j+20>>2]|0,d)|0)/(p|0)|0;k=21}if((k|0)==21)if(!r){s=f[j+20>>2]|0;k=24}else{q=r;k=23}do if((k|0)==23){r=f[j+20>>2]|0;if((q|0)!=(r|0)){e=Y(r,d)|0;if(!(i&16384)){r=cuc(80)|0;f[h>>2]=r;f[h+8>>2]=-2147483568;f[h+4>>2]=72;m=r;n=226835;o=m+72|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));b[r+72>>0]=0;WD(-13,h,226825,224870,2756)}if(q>>>0>e>>>0){l=cuc(32)|0;f[h>>2]=l;f[h+8>>2]=-2147483616;f[h+4>>2]=22;m=l;n=226908;o=m+22|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));b[l+22>>0]=0;WD(-211,h,226825,224870,2759)}r=(e|0)/(q|0)|0;if((Y(r,q)|0)==(e|0)){f[c+20>>2]=q;t=r;v=Y(675553809>>>(f[j>>2]<<2&28)&15,r)|0;break}else{r=cuc(80)|0;f[h>>2]=r;f[h+8>>2]=-2147483568;f[h+4>>2]=78;m=r;n=226746;o=m+78|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));b[r+78>>0]=0;WD(-5,h,226825,224870,2765)}}else{s=q;k=24}}while(0);if((k|0)==24){f[c+20>>2]=s;t=d;v=f[j+4>>2]|0}f[c+4>>2]=v;v=(t|0)/(p|0)|0;if((Y(v,p)|0)==(t|0)){f[c+24>>2]=v;v=f[j>>2]|0;f[c>>2]=v&7|(p<<3)+-8|v&-4096;u=g;return c|0}else{c=cuc(64)|0;f[h>>2]=c;f[h+8>>2]=-2147483584;f[h+4>>2]=62;m=c;n=226931;o=m+62|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));b[c+62>>0]=0;WD(-15,h,226825,224870,2775)}return 0}function WZ(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;i=u;u=u+16|0;j=i;if(!a){k=cuc(32)|0;f[j>>2]=k;f[j+8>>2]=-2147483616;f[j+4>>2]=22;l=k;m=226994;n=l+22|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));b[k+22>>0]=0;WD(-9,j,227017,224870,2917)}f[a>>2]=112;l=a+4|0;n=l+108|0;do{f[l>>2]=0;l=l+4|0}while((l|0)<(n|0));k=e+-1|0;if(k>>>0<4){o=f[49108+(k<<3)+4>>2]|0;p=f[49108+(k<<3)>>2]|0}else{o=1171380;p=1171380}k=p;p=0;do{q=k+p|0;b[a+20+p>>0]=b[q>>0]|0;p=p+1|0}while((b[q>>0]|0)!=0&(p|0)<4);p=o;o=0;do{k=p+o|0;b[a+24+o>>0]=b[k>>0]|0;o=o+1|0}while((b[k>>0]|0)!=0&(o|0)<4);o=f[c>>2]|0;if((o|0)<0){r=cuc(16)|0;f[j>>2]=r;s=j+8|0;f[s>>2]=-2147483632;t=j+4|0;f[t>>2]=13;l=r;m=227035;n=l+13|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));v=r+13|0;b[v>>0]=0;WD(-25,j,227017,224870,2936)}p=f[c+4>>2]|0;if((p|0)<0){r=cuc(16)|0;f[j>>2]=r;s=j+8|0;f[s>>2]=-2147483632;t=j+4|0;f[t>>2]=13;l=r;m=227035;n=l+13|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));v=r+13|0;b[v>>0]=0;WD(-25,j,227017,224870,2936)}if((e|0)<0|(d|0)!=64&((d|0)!=32&((d|0)!=-2147483616&((d|0)!=-2147483632&((d|0)!=16&((d|0)!=-2147483640&((d|0)!=1&(d|0)!=8))))))){v=cuc(32)|0;f[j>>2]=v;f[j+8>>2]=-2147483616;f[j+4>>2]=18;l=v;m=227049;n=l+18|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));b[v+18>>0]=0;WD(-17,j,227017,224870,2943)}if(g>>>0>1){v=cuc(32)|0;f[j>>2]=v;f[j+8>>2]=-2147483616;f[j+4>>2]=16;l=v;m=227068;n=l+16|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));b[v+16>>0]=0;WD(-20,j,227017,224870,2945)}switch(h|0){case 4:case 8:break;default:{v=cuc(16)|0;f[j>>2]=v;f[j+8>>2]=-2147483632;f[j+4>>2]=15;l=v;m=227085;n=l+15|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));b[v+15>>0]=0;WD(-21,j,227017,224870,2948)}}f[a+40>>2]=o;f[a+44>>2]=p;v=f[a+48>>2]|0;if(v|0){f[v>>2]=0;f[v+8>>2]=0;f[v+4>>2]=0;f[v+12>>2]=o;f[v+16>>2]=p}v=(e|0)>1?e:1;f[a+8>>2]=v;f[a+16>>2]=d;f[a+36>>2]=h;e=h+-1+(((Y(Y(v,d&2147483647)|0,o)|0)+7|0)>>>3)&0-h;f[a+72>>2]=e;f[a+32>>2]=g;g=Bzc(e|0,((e|0)<0)<<31>>31|0,p|0,((p|0)<0)<<31>>31|0)|0;f[a+64>>2]=g;if((g|0)==(g|0)&(((g|0)<0)<<31>>31|0)==(J|0)){u=i;return a|0}else{a=cuc(32)|0;f[j>>2]=a;f[j+8>>2]=-2147483616;f[j+4>>2]=22;l=a;m=225004;n=l+22|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));b[a+22>>0]=0;WD(-4,j,227017,224870,2970)}return 0}function XZ(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;d=u;u=u+16|0;e=d+8|0;g=d;h=a;a=f[h>>2]|0;i=f[h+4>>2]|0;h=f[137628]|0;if(!h){j=UC(112)|0;k=g;f[k>>2]=a;f[k+4>>2]=i;f[e>>2]=f[g>>2];f[e+4>>2]=f[g+4>>2];WZ(j,e,b,c,0,4)|0;l=j;yZ(l);u=d;return l|0}j=c+-1|0;if(j>>>0<4){m=f[49108+(j<<3)+4>>2]|0;n=f[49108+(j<<3)>>2]|0}else{m=1171380;n=1171380}l=ui[h&0](c,0,b,n,m,0,0,4,a,i,0,0,0,0)|0;yZ(l);u=d;return l|0}function YZ(a){a=a|0;var b=0,c=0,d=0;b=u;u=u+16|0;c=b;if(!a){f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;WD(-27,c,227119,224870,3004)}c=f[a>>2]|0;if(!c){u=b;return}f[a>>2]=0;OZ(c);a=f[137630]|0;if(!a){d=c+48|0;VC(f[d>>2]|0);f[d>>2]=0;VC(c);u=b;return}else{yh[a&2047](c,5);u=b;return}}function ZZ(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=u;u=u+16|0;e=d;if(!a){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;WD(-9,e,227134,224870,3021)}g=c+8|0;h=f[g>>2]|0;if((((((h|0)>-1?(i=c+12|0,j=f[i>>2]|0,(j|0)>-1):0)?(k=f[c>>2]|0,l=f[a+40>>2]|0,(k|0)<(l|0)):0)?(m=c+4|0,n=f[m>>2]|0,o=f[a+44>>2]|0,(n|0)<(o|0)):0)?(p=k+h|0,(p|0)>=((h|0)>0|0)):0)?(h=n+j|0,(h|0)>=((j|0)>0|0)):0){j=(k|0)>0?k:0;f[c>>2]=j;c=(n|0)>0?n:0;f[m>>2]=c;m=((l|0)<(p|0)?l:p)-j|0;f[g>>2]=m;g=((o|0)<(h|0)?o:h)-c|0;f[i>>2]=g;i=a+48|0;a=f[i>>2]|0;if(a|0){f[a+4>>2]=j;f[a+8>>2]=c;f[a+12>>2]=m;f[a+16>>2]=g;u=d;return}a=f[137631]|0;if(!a){h=UC(20)|0;f[h>>2]=0;f[h+4>>2]=j;f[h+8>>2]=c;f[h+12>>2]=m;f[h+16>>2]=g;q=h}else q=mh[a&127](0,j,c,m,g)|0;f[i>>2]=q;u=d;return}d=cuc(192)|0;f[e>>2]=d;f[e+8>>2]=-2147483456;f[e+4>>2]=184;szc(d|0,227148,184)|0;b[d+184>>0]=0;WD(-215,e,227134,224870,3027)}function _Z(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0;c=u;u=u+16|0;d=c;if(!a){f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;WD(-9,d,227333,224870,3094)}if((f[a+8>>2]|0)>>>0<b>>>0){f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;WD(-24,d,227333,224870,3097)}d=a+48|0;e=f[d>>2]|0;g=(e|0)!=0;if(!((b|0)!=0|g)){u=c;return}if(g){f[e>>2]=b;u=c;return}e=f[a+40>>2]|0;g=f[a+44>>2]|0;a=f[137631]|0;if(!a){h=UC(20)|0;f[h>>2]=b;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=e;f[h+16>>2]=g;i=h}else i=mh[a&127](b,0,0,e,g)|0;f[d>>2]=i;u=c;return}function $Z(a){a=a|0;var b=0,c=0,d=0;b=u;u=u+16|0;c=b;if(!a){f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;WD(-9,c,227347,224870,3117)}c=f[a+48>>2]|0;if(!c){d=0;u=b;return d|0}d=f[c>>2]|0;u=b;return d|0}function a_(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;c=u;u=u+16|0;d=c;if(a|0?(f[a>>2]|0)==112:0){e=f[137632]|0;if(e|0){g=di[e&1023](a)|0;u=c;return g|0}e=UC(112)|0;h=e;i=a;j=h+108|0;do{f[h>>2]=f[i>>2];h=h+4|0;i=i+4|0}while((h|0)<(j|0));f[e>>2]=112;f[e+108>>2]=0;k=e+68|0;f[k>>2]=0;l=e+48|0;f[l>>2]=0;m=f[a+48>>2]|0;if(m|0){n=f[m>>2]|0;o=f[m+4>>2]|0;p=f[m+8>>2]|0;q=f[m+12>>2]|0;r=f[m+16>>2]|0;m=f[137631]|0;if(!m){s=UC(20)|0;f[s>>2]=n;f[s+4>>2]=o;f[s+8>>2]=p;f[s+12>>2]=q;f[s+16>>2]=r;t=s}else t=mh[m&127](n,o,p,q,r)|0;f[l>>2]=t}t=a+68|0;if(!(f[t>>2]|0)){g=e;u=c;return g|0}l=f[a+64>>2]|0;yZ(e);szc(f[k>>2]|0,f[t>>2]|0,l|0)|0;g=e;u=c;return g|0}g=cuc(32)|0;f[d>>2]=g;f[d+8>>2]=-2147483616;f[d+4>>2]=16;h=g;i=227361;j=h+16|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(j|0));b[g+16>>0]=0;WD(-5,d,227378,224870,3129);return 0}function b_(a,b){a=a|0;b=b|0;var c=0;a=u;u=u+16|0;c=a;f[c>>2]=b;AZ(c);u=a;return}function c_(a,b){a=a|0;b=b|0;var c=0;a=u;u=u+16|0;c=a;f[c>>2]=b;wK(c);u=a;return}function d_(a,b){a=a|0;b=b|0;var c=0;a=u;u=u+16|0;c=a;f[c>>2]=b;I_(c);u=a;return}function e_(a,c,e,g){a=a|0;c=c|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,o=0;h=u;u=u+32|0;i=h+16|0;j=h;gV(i,49140);k=(e>>>3&511)+1|0;if(k>>>0>=5){f[j+8>>2]=0;b[j+11>>0]=7;b[j>>0]=b[227391]|0;b[j+1>>0]=b[227392]|0;b[j+2>>0]=b[227393]|0;b[j+3>>0]=b[227394]|0;b[j+4>>0]=b[227395]|0;b[j+5>>0]=b[227396]|0;b[j+6>>0]=b[227397]|0;b[j+7>>0]=0;WD(-215,j,227399,224870,3230)}switch(e&7){case 0:{e=0;do{j=Fhc(+p[a+(e<<3)>>3])|0;b[c+e>>0]=j>>>0<256?j:(j|0)>0?255:0;e=e+1|0}while((e|0)!=(k|0));if((k|0)<(g|0)){e=k;do{b[c+e>>0]=b[c+(e-k)>>0]|0;e=e+1|0}while((e|0)!=(g|0))}break}case 1:{e=0;do{j=Fhc(+p[a+(e<<3)>>3])|0;b[c+e>>0]=(j+128|0)>>>0<256?j:(j|0)>0?127:128;e=e+1|0}while((e|0)!=(k|0));if((k|0)<(g|0)){e=k;do{b[c+e>>0]=b[c+(e-k)>>0]|0;e=e+1|0}while((e|0)!=(g|0))}break}case 2:{e=0;do{j=Fhc(+p[a+(e<<3)>>3])|0;d[c+(e<<1)>>1]=j>>>0<65536?j:(j|0)>0?65535:0;e=e+1|0}while((e|0)!=(k|0));if((k|0)<(g|0)){e=k;do{d[c+(e<<1)>>1]=d[c+(e-k<<1)>>1]|0;e=e+1|0}while((e|0)!=(g|0))}break}case 3:{e=0;do{j=Fhc(+p[a+(e<<3)>>3])|0;d[c+(e<<1)>>1]=(j+32768|0)>>>0<65536?j:(j|0)>0?32767:32768;e=e+1|0}while((e|0)!=(k|0));if((k|0)<(g|0)){e=k;do{d[c+(e<<1)>>1]=d[c+(e-k<<1)>>1]|0;e=e+1|0}while((e|0)!=(g|0))}break}case 4:{e=0;do{j=Fhc(+p[a+(e<<3)>>3])|0;f[c+(e<<2)>>2]=j;e=e+1|0}while((e|0)!=(k|0));if((k|0)<(g|0)){e=k;do{f[c+(e<<2)>>2]=f[c+(e-k<<2)>>2];e=e+1|0}while((e|0)!=(g|0))}break}case 5:{e=0;do{n[c+(e<<2)>>2]=+p[a+(e<<3)>>3];e=e+1|0}while((e|0)!=(k|0));if((k|0)<(g|0)){e=k;do{f[c+(e<<2)>>2]=f[c+(e-k<<2)>>2];e=e+1|0}while((e|0)!=(g|0))}break}case 6:{e=0;do{p[c+(e<<3)>>3]=+p[a+(e<<3)>>3];e=e+1|0}while((e|0)!=(k|0));if((k|0)<(g|0)){e=k;do{p[c+(e<<3)>>3]=+p[c+(e-k<<3)>>3];e=e+1|0}while((e|0)!=(g|0))}break}case 7:{e=0;do{j=(n[s>>2]=+p[a+(e<<3)>>3],f[s>>2]|0);l=j&-2147483648;m=l^j;do if(m>>>0<=1199570943)if(m>>>0<947912704){o=(n[s>>2]=(f[s>>2]=m,+n[s>>2])+.5,f[s>>2]|0);break}else{o=(j+134221823+(j>>>13&1)|0)>>>13;break}else o=m>>>0>2139095040?32256:31744;while(0);d[c+(e<<1)>>1]=o|l>>>16;e=e+1|0}while((e|0)!=(k|0));if((k|0)<(g|0)){e=k;do{d[c+(e<<1)>>1]=d[c+(e-k<<1)>>1]|0;e=e+1|0}while((e|0)!=(g|0))}break}default:{}}if(!(f[i+4>>2]|0)){u=h;return}u=h;return}function f_(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0;d=c+23|0;b[d>>0]=0;c=d;d=(a|0)>-1?a:0-a|0;while(1){e=d;d=(d>>>0)/10|0;f=e+48+(Y(d,-10)|0)&255;g=c+-1|0;b[g>>0]=f;if(e>>>0<=9)break;else c=g}if((a|0)>=0){h=g;return h|0}g=c+-2|0;b[g>>0]=45;h=g;return h|0}function g_(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=u;u=u+16|0;e=d;g=f[a+268>>2]|0;if(!g){h=f[a+64>>2]|0;if(h|0){jgc(c,h)|0;u=d;return}h=f[a+68>>2]|0;if(!h){a=cuc(32)|0;f[e>>2]=a;f[e+8>>2]=-2147483616;f[e+4>>2]=25;i=a;j=227474;k=i+25|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));b[a+25>>0]=0;WD(-2,e,227500,227508,41)}UHb(h,c)|0;u=d;return}else{h=jfc(c)|0;e=c+h|0;if(!h){u=d;return}h=g+20|0;a=g+8|0;j=g+4|0;i=g+16|0;k=c;c=f[h>>2]|0;do{l=f[j>>2]|0;m=(f[a>>2]|0)-l|0;n=f[i>>2]|0;if((((m|0)==0?0:(m<<10)+-1|0)|0)==(n+c|0)){h_(g);o=f[i>>2]|0;p=f[h>>2]|0;q=f[j>>2]|0}else{o=n;p=c;q=l}l=p+o|0;b[(f[q+(l>>>12<<2)>>2]|0)+(l&4095)>>0]=b[k>>0]|0;c=(f[h>>2]|0)+1|0;f[h>>2]=c;k=k+1|0}while((k|0)!=(e|0));u=d;return}}function h_(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;b=u;u=u+32|0;c=b+4|0;d=b;e=a+16|0;g=f[e>>2]|0;if(g>>>0>4095){f[e>>2]=g+-4096;g=a+4|0;e=f[g>>2]|0;h=f[e>>2]|0;i=e+4|0;f[g>>2]=i;e=a+8|0;j=f[e>>2]|0;k=a+12|0;l=f[k>>2]|0;m=l;n=j;do if((j|0)==(l|0)){o=f[a>>2]|0;p=o;if(i>>>0>o>>>0){q=i;r=((q-p>>2)+1|0)/-2|0;s=i+(r<<2)|0;t=n-q|0;q=t>>2;if(!q)v=i;else{uzc(s|0,i|0,t|0)|0;v=f[g>>2]|0}t=s+(q<<2)|0;f[e>>2]=t;f[g>>2]=v+(r<<2);w=t;break}t=m-p>>1;p=(t|0)==0?1:t;if(p>>>0>1073741823){t=ze(8)|0;kuc(t,519086);f[t>>2]=167148;Hf(t|0,26888,1888)}t=cuc(p<<2)|0;r=t;q=t+(p>>>2<<2)|0;s=q;x=t+(p<<2)|0;if((i|0)==(j|0)){y=s;z=o}else{o=q;q=s;p=i;do{f[o>>2]=f[p>>2];o=q+4|0;q=o;p=p+4|0}while((p|0)!=(j|0));y=q;z=f[a>>2]|0}f[a>>2]=r;f[g>>2]=s;f[e>>2]=y;f[k>>2]=x;if(!z)w=y;else{fuc(z);w=f[e>>2]|0}}else w=j;while(0);f[w>>2]=h;f[e>>2]=(f[e>>2]|0)+4;u=b;return}e=a+8|0;h=f[e>>2]|0;w=a+4|0;j=h-(f[w>>2]|0)|0;z=a+12|0;y=f[z>>2]|0;k=y-(f[a>>2]|0)|0;if(j>>>0>=k>>>0){g=k>>1;k=(g|0)==0?1:g;f[c+12>>2]=0;f[c+16>>2]=a+12;if(k>>>0>1073741823){g=ze(8)|0;kuc(g,519086);f[g>>2]=167148;Hf(g|0,26888,1888)}g=cuc(k<<2)|0;f[c>>2]=g;i=g+(j>>2<<2)|0;j=c+8|0;f[j>>2]=i;m=c+4|0;f[m>>2]=i;i=c+12|0;f[i>>2]=g+(k<<2);k=cuc(4096)|0;f[d>>2]=k;k_(c,d);d=f[e>>2]|0;while(1){A=f[w>>2]|0;if((d|0)==(A|0))break;k=d+-4|0;l_(c,k);d=k}k=A;A=f[a>>2]|0;f[a>>2]=f[c>>2];f[c>>2]=A;f[w>>2]=f[m>>2];f[m>>2]=k;m=f[e>>2]|0;f[e>>2]=f[j>>2];f[j>>2]=m;g=f[z>>2]|0;f[z>>2]=f[i>>2];f[i>>2]=g;g=m;if((g|0)!=(d|0))f[j>>2]=g+(~((g+-4-k|0)>>>2)<<2);if(A|0)fuc(A);u=b;return}if((y|0)!=(h|0)){h=cuc(4096)|0;f[c>>2]=h;i_(a,c);u=b;return}h=cuc(4096)|0;f[c>>2]=h;j_(a,c);c=f[w>>2]|0;h=f[c>>2]|0;y=c+4|0;f[w>>2]=y;c=f[e>>2]|0;A=f[z>>2]|0;k=A;g=c;do if((c|0)==(A|0)){j=f[a>>2]|0;d=j;if(y>>>0>j>>>0){m=y;i=((m-d>>2)+1|0)/-2|0;v=y+(i<<2)|0;n=g-m|0;m=n>>2;if(!m)B=y;else{uzc(v|0,y|0,n|0)|0;B=f[w>>2]|0}n=v+(m<<2)|0;f[e>>2]=n;f[w>>2]=B+(i<<2);C=n;break}n=k-d>>1;d=(n|0)==0?1:n;if(d>>>0>1073741823){n=ze(8)|0;kuc(n,519086);f[n>>2]=167148;Hf(n|0,26888,1888)}n=cuc(d<<2)|0;i=n;m=n+(d>>>2<<2)|0;v=m;l=n+(d<<2)|0;if((y|0)==(c|0)){D=v;E=j}else{j=m;m=v;d=y;do{f[j>>2]=f[d>>2];j=m+4|0;m=j;d=d+4|0}while((d|0)!=(c|0));D=m;E=f[a>>2]|0}f[a>>2]=i;f[w>>2]=v;f[e>>2]=D;f[z>>2]=l;if(!E)C=D;else{fuc(E);C=f[e>>2]|0}}else C=c;while(0);f[C>>2]=h;f[e>>2]=(f[e>>2]|0)+4;u=b;return}function i_(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;c=a+8|0;d=f[c>>2]|0;e=a+12|0;g=f[e>>2]|0;h=g;i=d;do if((d|0)==(g|0)){j=a+4|0;k=f[j>>2]|0;l=f[a>>2]|0;m=l;if(k>>>0>l>>>0){n=k;o=((n-m>>2)+1|0)/-2|0;p=k+(o<<2)|0;q=i-n|0;n=q>>2;if(!n)r=k;else{uzc(p|0,k|0,q|0)|0;r=f[j>>2]|0}q=p+(n<<2)|0;f[c>>2]=q;f[j>>2]=r+(o<<2);s=q;break}q=h-m>>1;m=(q|0)==0?1:q;if(m>>>0>1073741823){q=ze(8)|0;kuc(q,519086);f[q>>2]=167148;Hf(q|0,26888,1888)}q=cuc(m<<2)|0;o=q;n=q+(m>>>2<<2)|0;p=n;t=q+(m<<2)|0;if((k|0)==(d|0)){u=p;v=l}else{l=n;n=p;m=k;do{f[l>>2]=f[m>>2];l=n+4|0;n=l;m=m+4|0}while((m|0)!=(d|0));u=n;v=f[a>>2]|0}f[a>>2]=o;f[j>>2]=p;f[c>>2]=u;f[e>>2]=t;if(!v)s=u;else{fuc(v);s=f[c>>2]|0}}else s=d;while(0);f[s>>2]=f[b>>2];f[c>>2]=(f[c>>2]|0)+4;return}function j_(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;c=a+4|0;d=f[c>>2]|0;e=f[a>>2]|0;g=e;do if((d|0)==(e|0)){h=a+8|0;i=f[h>>2]|0;j=a+12|0;k=f[j>>2]|0;l=k;if(i>>>0<k>>>0){k=i;m=((l-k>>2)+1|0)/2|0;n=i+(m<<2)|0;o=k-d|0;k=o>>2;p=n+(0-k<<2)|0;if(!k){q=n;r=i}else{uzc(p|0,d|0,o|0)|0;q=p;r=f[h>>2]|0}f[c>>2]=q;f[h>>2]=r+(m<<2);s=q;break}m=l-g>>1;l=(m|0)==0?1:m;if(l>>>0>1073741823){m=ze(8)|0;kuc(m,519086);f[m>>2]=167148;Hf(m|0,26888,1888)}m=cuc(l<<2)|0;p=m;o=m+((l+3|0)>>>2<<2)|0;n=o;k=m+(l<<2)|0;if((d|0)==(i|0)){t=n;u=d}else{l=o;m=n;v=d;do{f[l>>2]=f[v>>2];l=m+4|0;m=l;v=v+4|0}while((v|0)!=(i|0));t=m;u=f[a>>2]|0}f[a>>2]=p;f[c>>2]=n;f[h>>2]=t;f[j>>2]=k;if(!u)s=o;else{fuc(u);s=f[c>>2]|0}}else s=d;while(0);f[s+-4>>2]=f[b>>2];f[c>>2]=(f[c>>2]|0)+-4;return}function k_(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;c=a+8|0;d=f[c>>2]|0;e=a+12|0;g=f[e>>2]|0;h=g;i=d;do if((d|0)==(g|0)){j=a+4|0;k=f[j>>2]|0;l=f[a>>2]|0;m=l;if(k>>>0>l>>>0){n=k;o=((n-m>>2)+1|0)/-2|0;p=k+(o<<2)|0;q=i-n|0;n=q>>2;if(!n)r=k;else{uzc(p|0,k|0,q|0)|0;r=f[j>>2]|0}q=p+(n<<2)|0;f[c>>2]=q;f[j>>2]=r+(o<<2);s=q;break}q=h-m>>1;m=(q|0)==0?1:q;if(m>>>0>1073741823){q=ze(8)|0;kuc(q,519086);f[q>>2]=167148;Hf(q|0,26888,1888)}q=cuc(m<<2)|0;o=q;n=q+(m>>>2<<2)|0;p=n;t=q+(m<<2)|0;if((k|0)==(d|0)){u=p;v=l}else{l=n;n=p;m=k;do{f[l>>2]=f[m>>2];l=n+4|0;n=l;m=m+4|0}while((m|0)!=(d|0));u=n;v=f[a>>2]|0}f[a>>2]=o;f[j>>2]=p;f[c>>2]=u;f[e>>2]=t;if(!v)s=u;else{fuc(v);s=f[c>>2]|0}}else s=d;while(0);f[s>>2]=f[b>>2];f[c>>2]=(f[c>>2]|0)+4;return}function l_(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;c=a+4|0;d=f[c>>2]|0;e=f[a>>2]|0;g=e;do if((d|0)==(e|0)){h=a+8|0;i=f[h>>2]|0;j=a+12|0;k=f[j>>2]|0;l=k;if(i>>>0<k>>>0){k=i;m=((l-k>>2)+1|0)/2|0;n=i+(m<<2)|0;o=k-d|0;k=o>>2;p=n+(0-k<<2)|0;if(!k){q=n;r=i}else{uzc(p|0,d|0,o|0)|0;q=p;r=f[h>>2]|0}f[c>>2]=q;f[h>>2]=r+(m<<2);s=q;break}m=l-g>>1;l=(m|0)==0?1:m;if(l>>>0>1073741823){m=ze(8)|0;kuc(m,519086);f[m>>2]=167148;Hf(m|0,26888,1888)}m=cuc(l<<2)|0;p=m;o=m+((l+3|0)>>>2<<2)|0;n=o;k=m+(l<<2)|0;if((d|0)==(i|0)){t=n;u=d}else{l=o;m=n;v=d;do{f[l>>2]=f[v>>2];l=m+4|0;m=l;v=v+4|0}while((v|0)!=(i|0));t=m;u=f[a>>2]|0}f[a>>2]=p;f[c>>2]=n;f[h>>2]=t;f[j>>2]=k;if(!u)s=o;else{fuc(u);s=f[c>>2]|0}}else s=d;while(0);f[s+-4>>2]=f[b>>2];f[c>>2]=(f[c>>2]|0)+-4;return}function m_(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;e=u;u=u+16|0;g=e;h=f[a+256>>2]|0;if(h|0){i=a+264|0;j=f[a+260>>2]|0;k=d+-1|0;l=f[i>>2]|0;m=0;while(1){if(!((m|0)<(k|0)&l>>>0<j>>>0)){n=l;o=m;break}p=l+1|0;q=b[h+l>>0]|0;r=m+1|0;if(!(q<<24>>24)){n=p;o=m;break}b[c+m>>0]=q;if(q<<24>>24==10){n=p;o=r;break}else{l=p;m=r}}b[c+o>>0]=0;f[i>>2]=n;if((d|0)>256?!((o+1|0)<(k|0)|(f[a>>2]&64|0)!=0):0){k=cuc(80)|0;f[g>>2]=k;f[g+8>>2]=-2147483568;f[g+4>>2]=72;s=k;t=227581;v=s+72|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));b[k+72>>0]=0;WD(-215,g,227654,227508,63)}w=(o|0)>0?c:0;u=e;return w|0}o=f[a+64>>2]|0;if(o|0){k=xgc(c,d,o)|0;if(!((d|0)>256&(k|0)!=0)){w=k;u=e;return w|0}if(f[a>>2]&64|0){w=k;u=e;return w|0}if((Vfc(k,d)|0)>>>0<(d+-1|0)>>>0){w=k;u=e;return w|0}else{k=cuc(96)|0;f[g>>2]=k;f[g+8>>2]=-2147483552;f[g+4>>2]=83;s=k;t=227662;v=s+83|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));b[k+83>>0]=0;WD(-215,g,227654,227508,72)}}k=f[a+68>>2]|0;if(!k){o=cuc(32)|0;f[g>>2]=o;f[g+8>>2]=-2147483616;f[g+4>>2]=25;s=o;t=227474;v=s+25|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));b[o+25>>0]=0;WD(-2,g,227654,227508,88)}o=PHb(k,c,d)|0;if(!((d|0)>256&(o|0)!=0)){w=o;u=e;return w|0}if(f[a>>2]&64|0){w=o;u=e;return w|0}if((Vfc(o,d)|0)>>>0<(d+-1|0)>>>0){w=o;u=e;return w|0}else{w=cuc(96)|0;f[g>>2]=w;f[g+8>>2]=-2147483552;f[g+4>>2]=83;s=w;t=227662;v=s+83|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));b[w+83>>0]=0;WD(-215,g,227654,227508,83)}return 0}function n_(a){a=a|0;var b=0,c=0;if(f[a+256>>2]|0){b=(f[a+264>>2]|0)>>>0>=(f[a+260>>2]|0)>>>0&1;return b|0}c=f[a+64>>2]|0;if(c|0){b=ygc(c)|0;return b|0}c=f[a+68>>2]|0;if(!c){b=0;return b|0}b=LHb(c)|0;return b|0}function o_(a){a=a|0;var c=0,d=0,e=0,g=0,h=0;c=a+64|0;d=f[c>>2]|0;if(!d){e=a+68|0;g=f[e>>2]|0;if(!g)h=e;else{GHb(g)|0;h=e}}else{ugc(d)|0;h=a+68|0}f[c>>2]=0;f[h>>2]=0;f[a+256>>2]=0;f[a+264>>2]=0;b[a+300>>0]=0;return}function p_(a){a=a|0;var b=0,c=0;b=f[a+64>>2]|0;if(!b){c=f[a+68>>2]|0;if(c|0)JHb(c)|0}else Uhc(b);f[a+264>>2]=0;return}function q_(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0;h=u;u=u+16|0;i=h;if((c|0)<72){j=cuc(32)|0;f[i>>2]=j;f[i+8>>2]=-2147483616;f[i+4>>2]=25;k=j;l=227746;m=k+25|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));b[j+25>>0]=0;WD(-201,i,227772,227508,133)}else{i=(g|0)<1?16:g;g=XK(a,c,d,e)|0;f[g+64>>2]=i;d=i<<2;i=AK(e,d)|0;f[g+68>>2]=i;kzc(i|0,0,d|0)|0;u=h;return g|0}return 0}function r_(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0;h=u;u=u+32|0;i=h;j=h+12|0;h=f[a+88>>2]|0;f[i>>2]=f[a+60>>2];f[i+4>>2]=h;f[i+8>>2]=d;cE(j,227784,i);f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;d=jfc(c)|0;if(d>>>0>4294967279)muc(i);if(d>>>0<11){b[i+11>>0]=d;if(!d)k=i;else{l=i;m=6}}else{h=d+16&-16;a=cuc(h)|0;f[i>>2]=a;f[i+8>>2]=h|-2147483648;f[i+4>>2]=d;l=a;m=6}if((m|0)==6){szc(l|0,c|0,d|0)|0;k=l}b[k+d>>0]=0;WD(-212,i,(b[j+11>>0]|0)<0?f[j>>2]|0:j,e,g)}function s_(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0;d=f[a+16>>2]|0;if((b&7|0)==6){if(f[c>>2]|0)r_(a,227795,231711,227508,162);a=XK(0,72,24,d)|0;f[a+64>>2]=16;e=AK(d,64)|0;f[a+68>>2]=e;g=e;e=g+64|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(e|0));f[c+8>>2]=a;h=c;i=a;f[h>>2]=b;EK(i,8);return}else{a=DK(0,56,16,d)|0;if(f[c>>2]&7|0)RK(a,c)|0;f[c+8>>2]=a;h=c;i=a;f[h>>2]=b;EK(i,8);return}}function t_(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0;d=a+80|0;e=f[d>>2]|0;if((b+c|0)>>>0<e>>>0){g=b;return g|0}h=a+76|0;i=f[h>>2]|0;j=b-i|0;b=((e-i|0)*3|0)/2|0;i=j+c|0;c=(i|0)<(b|0)?b:i;i=UC(c+256|0)|0;b=a+72|0;a=f[h>>2]|0;f[b>>2]=i+((f[b>>2]|0)-a);if((j|0)>0)szc(i|0,a|0,j|0)|0;f[h>>2]=i;f[d>>2]=i+c;g=i+j|0;return g|0}function u_(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;c=a+72|0;d=f[c>>2]|0;e=a+76|0;g=f[e>>2]|0;h=a+56|0;i=f[h>>2]|0;if(d>>>0>(g+i|0)>>>0){b[d>>0]=10;b[d+1>>0]=0;g_(a,f[e>>2]|0);d=f[e>>2]|0;f[c>>2]=d;j=f[h>>2]|0;k=d}else{j=i;k=g}g=f[a+40>>2]|0;if((j|0)==(g|0)){l=k;m=j;n=l+m|0;f[c>>2]=n;return n|0}kzc(k|0,32,g|0)|0;f[h>>2]=g;l=f[e>>2]|0;m=g;n=l+m|0;f[c>>2]=n;return n|0}function v_(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;d=u;u=u+16|0;e=d;g=(c|0)!=0;do if(g){h=c+11|0;if((b[h>>0]|0)<0){b[f[c>>2]>>0]=0;f[c+4>>2]=0;break}else{b[c>>0]=0;b[h>>0]=0;break}}while(0);if(!a){h=cuc(48)|0;f[e>>2]=h;f[e+8>>2]=-2147483600;f[e+4>>2]=35;i=h;j=229007;k=i+35|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));b[h+35>>0]=0;WD(-27,e,227817,227508,237)}h=a+300|0;if(b[h>>0]|0){j=a+64|0;a:do if(f[a+8>>2]|0){if(((f[j>>2]|0)==0?(f[a+68>>2]|0)==0:0)?(f[a+268>>2]|0)==0:0)break;i=a+36|0;k=f[i>>2]|0;if(k|0?(f[k+24>>2]|0)>0:0)do S_(a);while((f[(f[i>>2]|0)+24>>2]|0)>0);i=a+72|0;k=f[i>>2]|0;l=a+76|0;m=f[l>>2]|0;n=a+56|0;o=f[n>>2]|0;if(k>>>0>(m+o|0)>>>0){b[k>>0]=10;b[k+1>>0]=0;g_(a,f[l>>2]|0);k=f[l>>2]|0;f[i>>2]=k;p=f[n>>2]|0;q=k}else{p=o;q=m}m=f[a+40>>2]|0;if((p|0)==(m|0)){r=q;s=p}else{kzc(q|0,32,m|0)|0;f[n>>2]=m;r=f[l>>2]|0;s=m}f[i>>2]=r+s;switch(f[a+4>>2]|0){case 8:{g_(a,227826);break a;break}case 24:{g_(a,516966);break a;break}default:break a}}while(0);s=f[j>>2]|0;if(!s){r=a+68|0;q=f[r>>2]|0;if(!q)t=r;else{GHb(q)|0;t=r}}else{ugc(s)|0;t=a+68|0}f[j>>2]=0;f[t>>2]=0;f[a+256>>2]=0;f[a+264>>2]=0;b[h>>0]=0}h=f[a+268>>2]|0;if(!(g&(h|0)!=0)){u=d;return}g=f[h+4>>2]|0;a=f[h+16>>2]|0;t=g+(a>>>12<<2)|0;if((f[h+8>>2]|0)==(g|0)){v=0;w=0;x=g+((a+(f[h+20>>2]|0)|0)>>>12<<2)|0}else{j=a+(f[h+20>>2]|0)|0;h=g+(j>>>12<<2)|0;v=(f[h>>2]|0)+(j&4095)|0;w=(f[t>>2]|0)+(a&4095)|0;x=h};f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;h=t;a=v;j=w;if((a|0)==(j|0)){b[e+11>>0]=0;y=e}else{g=(x-h<<10)-w+v-(f[x>>2]|0)+(f[t>>2]|0)|0;if(g>>>0>4294967279)muc(e);if(g>>>0<11){b[e+11>>0]=g;z=e;A=j;B=h;C=w}else{t=g+16&-16;x=cuc(t)|0;f[e>>2]=x;f[e+8>>2]=t|-2147483648;f[e+4>>2]=g;z=x;A=j;B=h;C=w}while(1){b[z>>0]=b[A>>0]|0;w=C+1|0;h=w;if((h-(f[B>>2]|0)|0)==4096){j=B+4|0;x=f[j>>2]|0;D=x;E=j;F=x}else{D=w;E=B;F=h}h=z+1|0;if((D|0)==(a|0)){y=h;break}else{z=h;A=D;B=E;C=F}}}b[y>>0]=0;y=c+11|0;if((b[y>>0]|0)<0){b[f[c>>2]>>0]=0;f[c+4>>2]=0}else{b[c>>0]=0;b[y>>0]=0}vuc(c,0);f[c>>2]=f[e>>2];f[c+4>>2]=f[e+4>>2];f[c+8>>2]=f[e+8>>2];u=d;return}function w_(a,c){a=a|0;c=+c;var d=0,e=0,g=0,h=0,i=0,j=0;d=u;u=u+16|0;e=d+8|0;g=d;p[s>>3]=c;h=f[s+4>>2]|0;if((h&2146435072|0)==2146435072)if(((h&2147483647)+((f[s>>2]|0)!=0&1)|0)>>>0>2146435072){b[a>>0]=b[227855]|0;b[a+1>>0]=b[227856]|0;b[a+2>>0]=b[227857]|0;b[a+3>>0]=b[227858]|0;b[a+4>>0]=b[227859]|0;u=d;return a|0}else{kfc(a,(h|0)<0?227860:227866)|0;u=d;return a|0}h=Fhc(c)|0;if(+(h|0)==c){f[g>>2]=h;ihc(a,227845,g)|0;u=d;return a|0}p[e>>3]=c;ihc(a,227849,e)|0;switch(b[a>>0]|0){case 45:case 43:{i=a+1|0;break}default:i=a}while(1){j=b[i>>0]|0;if((j+-48&255)<10)i=i+1|0;else break}if(j<<24>>24!=44){u=d;return a|0}b[i>>0]=46;u=d;return a|0}function x_(a,c){a=a|0;c=+c;var d=0,e=0,g=0,h=0,i=0,j=0;d=u;u=u+16|0;e=d+8|0;g=d;h=(n[s>>2]=c,f[s>>2]|0);if((h&2139095040|0)==2139095040)if((h&2147483647|0)==2139095040){kfc(a,(h|0)<0?227860:227866)|0;u=d;return a|0}else{b[a>>0]=b[227855]|0;b[a+1>>0]=b[227856]|0;b[a+2>>0]=b[227857]|0;b[a+3>>0]=b[227858]|0;b[a+4>>0]=b[227859]|0;u=d;return a|0}h=Ghc(c)|0;if(+(h|0)==c){f[g>>2]=h;ihc(a,227845,g)|0;u=d;return a|0}p[e>>3]=c;ihc(a,227871,e)|0;switch(b[a>>0]|0){case 45:case 43:{i=a+1|0;break}default:i=a}while(1){j=b[i>>0]|0;if((j+-48&255)<10)i=i+1|0;else break}if(j<<24>>24!=44){u=d;return a|0}b[i>>0]=46;u=d;return a|0}function y_(a,c,d){a=a|0;c=c|0;d=d|0;var e=0.0,g=0,h=0.0,i=0,j=0.0,k=0,l=0.0,m=0.0,n=0,o=0,p=0.0;e=+ghc(c,d);g=f[d>>2]|0;if((b[g>>0]|0)==46){b[g>>0]=44;h=+ghc(c,d);b[g>>0]=46;i=f[d>>2]|0;if(i>>>0>g>>>0){j=h;k=i}else{f[d>>2]=g;j=e;k=g}}else{j=e;k=g}if((k|0)!=(c|0)?((b[k>>0]&-33)+-65&255)>=26:0){l=j;return +l}k=b[c>>0]|0;switch(k<<24>>24){case 43:case 45:{g=c+1|0;m=k<<24>>24==45?-D:D;n=b[g>>0]|0;o=g;break}default:{m=D;n=k;o=c}}if(n<<24>>24!=46)r_(a,227876,227900,227508,350);n=b[o+1>>0]|0;if(((hfc(n)|0)==73?(hfc(b[o+2>>0]|0)|0)==78:0)?(hfc(b[o+3>>0]|0)|0)==70:0)p=m;else{if((hfc(n)|0)!=78)r_(a,227876,227900,227508,359);if((hfc(b[o+2>>0]|0)|0)!=65)r_(a,227876,227900,227508,359);if((hfc(b[o+3>>0]|0)|0)==78)p=C;else r_(a,227876,227900,227508,359)}f[d>>2]=o+4;l=p;return +l}function z_(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;d=u;u=u+16|0;e=d;g=a+280|0;switch(f[g>>2]|0){case 0:{switch(c|0){case 2:{h=cuc(16)|0;g0(h,a);f[a+272>>2]=h;f[g>>2]=c;u=d;return}case 1:case 0:{f[g>>2]=c;u=d;return}default:{h=cuc(64)|0;f[e>>2]=h;f[e+8>>2]=-2147483584;f[e+4>>2]=55;i=h;j=227938;k=i+55|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));b[h+55>>0]=0;WD(-2,e,227994,227508,407)}}break}case 2:{switch(c|0){case 1:case 2:{h=cuc(64)|0;f[e>>2]=h;f[e+8>>2]=-2147483584;f[e+4>>2]=49;i=h;j=228017;k=i+49|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));b[h+49>>0]=0;WD(-2,e,227994,227508,416);break}case 0:{h=a+272|0;a=f[h>>2]|0;if(a|0){u0(a);fuc(a)}f[h>>2]=0;f[g>>2]=c;u=d;return}default:{h=cuc(64)|0;f[e>>2]=h;f[e+8>>2]=-2147483584;f[e+4>>2]=55;i=h;j=227938;k=i+55|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));b[h+55>>0]=0;WD(-2,e,227994,227508,423)}}break}case 1:{switch(c|0){case 1:case 2:{h=cuc(64)|0;f[e>>2]=h;f[e+8>>2]=-2147483584;f[e+4>>2]=49;i=h;j=228017;k=i+49|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));b[h+49>>0]=0;WD(-2,e,227994,227508,432);break}case 0:{f[g>>2]=c;u=d;return}default:{d=cuc(64)|0;f[e>>2]=d;f[e+8>>2]=-2147483584;f[e+4>>2]=55;i=d;j=227938;k=i+55|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));b[d+55>>0]=0;WD(-2,e,227994,227508,437)}}break}default:{d=cuc(64)|0;f[e>>2]=d;f[e+8>>2]=-2147483584;f[e+4>>2]=55;i=d;j=227938;k=i+55|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));b[d+55>>0]=0;WD(-2,e,227994,227508,442)}}}function A_(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;d=u;u=u+32|0;e=d+12|0;g=d;h=a+284|0;if(!(b[h>>0]|0)){u=d;return};f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;i=a+292|0;j=f[i>>2]|0;k=a+288|0;l=f[k>>2]|0;if(l|0?b[l>>0]|0:0)wuc(e,l)|0;l=a+296|0;m=f[l>>2]|0;if(m|0?b[m>>0]|0:0)wuc(g,m)|0;m=f[k>>2]|0;if(m|0)guc(m);m=f[l>>2]|0;if(m|0)guc(m);f[k>>2]=0;f[i>>2]=0;f[l>>2]=0;b[h>>0]=0;h=f[a+228>>2]|0;l=e+11|0;i=(b[l>>0]|0)<0?f[e>>2]|0:e;if(c){sh[h&255](a,i,j,235570);if(f[a+280>>2]|0)z_(a,0);z_(a,2);n=g+11|0}else{c=g+11|0;sh[h&255](a,i,j,(b[c>>0]|0)<0?f[g>>2]|0:g);if(f[a+280>>2]|0)z_(a,0);z_(a,1);n=c}if((b[n>>0]|0)<0)fuc(f[g>>2]|0);if((b[l>>0]|0)<0)fuc(f[e>>2]|0);u=d;return}function B_(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0;g=u;u=u+16|0;h=g;i=a+284|0;if(b[i>>0]|0){j=cuc(48)|0;f[h>>2]=j;f[h+8>>2]=-2147483600;f[h+4>>2]=36;k=j;l=228067;m=k+36|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));b[j+36>>0]=0;WD(-215,h,228104,227508,496)}f[a+292>>2]=d;if(c|0){d=euc((jfc(c)|0)+1|0)|0;f[a+288>>2]=d;kfc(d,c)|0}if(!e){b[i>>0]=1;u=g;return}c=euc((jfc(e)|0)+1|0)|0;f[a+296>>2]=c;kfc(c,e)|0;b[i>>0]=1;u=g;return}function C_(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;d=u;u=u+32|0;e=d;g=d+8|0;h=(a>>>3&511)+1|0;do if((a|0)!=56){i=a&7;if((i|0)==7){j=cuc(32)|0;f[g>>2]=j;f[g+8>>2]=-2147483616;f[g+4>>2]=28;k=j;l=228130;m=k+28|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));b[j+28>>0]=0;WD(-215,g,228159,227508,524)}else{n=b[228173+i>>0]|0;o=h;break}}else{n=114;o=1}while(0);f[e>>2]=o;f[e+4>>2]=n<<24>>24;ihc(c,228182,e)|0;u=d;return c+((o|0)==1&1)|0}function D_(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0;e=u;u=u+16|0;g=e;if(!a){h=0;u=e;return h|0}i=jfc(a)|0;if(!i){h=0;u=e;return h|0}f[c>>2]=0;j=d<<1;a:do if((i|0)>0){d=~a;k=0;l=0;m=0;b:while(1){n=a+k|0;o=b[n>>0]|0;p=o<<24>>24;do if((o+-48&255)<10){if(((b[a+(k+1)>>0]|0)+-48&255)<10){f[g>>2]=0;q=gfc(n,g,10)|0;r=q;s=(f[g>>2]|0)+d|0}else{r=p+-48|0;s=k}if((r|0)<1){t=9;break b}else{v=l;w=s;x=r}}else{q=Gfc(228173,p,9)|0;if(!q){t=11;break b}y=o<<24>>24==114?56:q-228173|0;if(!m){f[c+(l<<2)>>2]=1;z=1}else z=m;f[c+(l+1<<2)>>2]=y;if((l|0)>0?(y|0)==(f[c+(l+-1<<2)>>2]|0):0){y=c+(l+-2<<2)|0;f[y>>2]=(f[y>>2]|0)+z;v=l;w=k;x=0;break}y=l+2|0;if((y|0)<(j|0)){v=y;w=k;x=0}else{t=18;break b}}while(0);f[c+(v<<2)>>2]=x;k=w+1|0;if((k|0)>=(i|0)){A=v;break a}else{l=v;m=x}}if((t|0)==9){m=cuc(32)|0;f[g>>2]=m;f[g+8>>2]=-2147483616;f[g+4>>2]=31;B=m;C=228187;D=B+31|0;do{b[B>>0]=b[C>>0]|0;B=B+1|0;C=C+1|0}while((B|0)<(D|0));b[m+31>>0]=0;WD(-5,g,228219,227508,573)}else if((t|0)==11){l=cuc(32)|0;f[g>>2]=l;f[g+8>>2]=-2147483616;f[g+4>>2]=31;B=l;C=228187;D=B+31|0;do{b[B>>0]=b[C>>0]|0;B=B+1|0;C=C+1|0}while((B|0)<(D|0));b[l+31>>0]=0;WD(-5,g,228235,227508,532)}else if((t|0)==18){m=cuc(48)|0;f[g>>2]=m;f[g+8>>2]=-2147483600;f[g+4>>2]=32;B=m;C=228251;D=B+32|0;do{b[B>>0]=b[C>>0]|0;B=B+1|0;C=C+1|0}while((B|0)<(D|0));b[m+32>>0]=0;WD(-5,g,228219,227508,589)}}else A=0;while(0);h=(A|0)/2|0;u=e;return h|0}function E_(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=u;u=u+512|0;d=c;e=D_(a,d,128)|0;a=e<<1;if((e|0)>0){e=b;g=0;while(1){h=f[d+((g|1)<<2)>>2]|0;i=Y(675553809>>>(h<<2&28)&15,(h>>>3&511)+1|0)|0;h=(e+-1+i&0-i)+(Y(i,f[d+(g<<2)>>2]|0)|0)|0;g=g+2|0;if((g|0)>=(a|0)){j=h;break}else e=h}}else j=b;if(b|0){k=j;u=c;return k|0}b=f[d+4>>2]|0;d=Y(675553809>>>(b<<2&28)&15,(b>>>3&511)+1|0)|0;k=j+-1+d&0-d;u=c;return k|0}function F_(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;d=u;u=u+512|0;e=d;g=D_(a,e,128)|0;h=g<<1;if((g|0)>0){g=c;i=0;while(1){j=f[e+((i|1)<<2)>>2]|0;k=Y(675553809>>>(j<<2&28)&15,(j>>>3&511)+1|0)|0;j=(g+-1+k&0-k)+(Y(k,f[e+(i<<2)>>2]|0)|0)|0;i=i+2|0;if((i|0)>=(h|0)){l=j;break}else g=j}}else l=c;if(!c){c=f[e+4>>2]|0;e=Y(675553809>>>(c<<2&28)&15,(c>>>3&511)+1|0)|0;m=l+-1+e&0-e}else m=l;l=b[a>>0]|0;if(!(l<<24>>24)){n=0;o=m+-1|0;p=o+n|0;q=0-n|0;r=p&q;u=d;return r|0}else{s=0;t=a;v=l}while(1){switch(v<<24>>24|0){case 117:{w=(s|0)==0?1:s;break}case 99:{w=(s|0)==0?1:s;break}case 119:{w=s>>>0>2?s:2;break}case 115:{w=s>>>0>2?s:2;break}case 105:{w=s>>>0>4?s:4;break}case 102:{w=s>>>0>4?s:4;break}case 100:{w=s>>>0>8?s:8;break}default:w=s}t=t+1|0;v=b[t>>0]|0;if(!(v<<24>>24)){n=w;break}else s=w}o=m+-1|0;p=o+n|0;q=0-n|0;r=p&q;u=d;return r|0}function G_(a){a=a|0;var c=0,d=0,e=0,g=0;c=u;u=u+528|0;d=c+16|0;e=c;if((D_(a,d,128)|0)==1?(a=f[d>>2]|0,(a|0)<=511):0){u=c;return f[d+4>>2]&7|(a<<3)+-8|0}a=cuc(48)|0;f[e>>2]=a;f[e+8>>2]=-2147483600;f[e+4>>2]=33;d=a;c=228284;g=d+33|0;do{b[d>>0]=b[c>>0]|0;d=d+1|0;c=c+1|0}while((d|0)<(g|0));b[a+33>>0]=0;WD(-2,e,228318,227508,651);return 0}function H_(a,c,e,g){a=a|0;c=c|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0;h=u;u=u+1152|0;i=h+1104|0;j=h;k=h+1136|0;l=h+1132|0;m=h+1120|0;n=h+1108|0;f[k>>2]=0;o=e&3;p=(o|0)==2;q=e&4;r=(q|0)!=0;s=(o|0)!=0;o=s&(e&64|0)!=0;f[l>>2]=0;if(!r){f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;t=jfc(a)|0;if(t>>>0>4294967279)muc(n);if(t>>>0<11){b[n+11>>0]=t;if(!t)v=n;else{w=n;x=7}}else{y=t+16&-16;z=cuc(y)|0;f[n>>2]=z;f[n+8>>2]=y|-2147483648;f[n+4>>2]=t;w=z;x=7}if((x|0)==7){szc(w|0,a|0,t|0)|0;v=w}b[v+t>>0]=0;f[m>>2]=0;t=m+4|0;f[t>>2]=0;f[m+8>>2]=0;if((Nuc(n,10,0)|0)==-1){v=Ouc(n,63,-1)|0;w=n+11|0;z=b[w>>0]|0;y=z<<24>>24<0?f[n+4>>2]|0:z&255;puc(j,n,0,v,n);z=m+8|0;Dw(m,j);if((b[j+11>>0]|0)<0)fuc(f[j>>2]|0);if((v|0)!=-1?(A=v+1|0,A>>>0<y>>>0):0){v=j+11|0;B=A;while(1){A=Nuc(n,38,B)|0;if((B+1|0)>>>0<y>>>0&((A|0)!=(B|0)|(A|0)==-1)){puc(j,n,B,A-B|0,n);C=f[t>>2]|0;if(C>>>0>=(f[z>>2]|0)>>>0){Dw(m,j);if((b[v>>0]|0)<0)fuc(f[j>>2]|0)}else{f[C>>2]=f[j>>2];f[C+4>>2]=f[j+4>>2];f[C+8>>2]=f[j+8>>2];f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[t>>2]=(f[t>>2]|0)+12}}if(A>>>0<y>>>0)B=A+1|0;else{D=w;E=z;break}}}else{D=w;E=z}}else{D=n+11|0;E=m+8|0}z=f[m>>2]|0;w=f[t>>2]|0;f[l>>2]=w;f[E>>2]=0;f[t>>2]=0;f[m>>2]=0;t=w;if((b[D>>0]|0)<0)fuc(f[n>>2]|0);n=z;D=(n|0)==(t|0);do if(!D)if((b[z+11>>0]|0)<0){F=f[n>>2]|0;break}else{F=z;break}else F=a;while(0);if(o){G=1;H=F;I=z;J=t}else{f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;b[j+11>>0]=6;b[j>>0]=b[228340]|0;b[j+1>>0]=b[228341]|0;b[j+2>>0]=b[228342]|0;b[j+3>>0]=b[228343]|0;b[j+4>>0]=b[228344]|0;b[j+5>>0]=b[228345]|0;b[j+6>>0]=0;if(((w-z|0)/12|0)>>>0<2)K=0;else{a:do if(D)L=t;else{w=f[j>>2]&255;E=n;while(1){B=b[E+11>>0]|0;y=B<<24>>24<0;v=B&255;do if(((y?f[E+4>>2]|0:v)|0)==6){B=f[E>>2]|0;if(y)if(!(ahc(B,j,6)|0)){L=E;break a}else break;if((B&255)<<24>>24==w<<24>>24){B=E;A=v;C=j;do{A=A+-1|0;B=B+1|0;if(!A){L=E;break a}C=C+1|0}while((b[B>>0]|0)==(b[C>>0]|0))}}while(0);E=E+12|0;if((E|0)==(t|0)){L=t;break}}}while(0);K=(L|0)!=(t|0)}G=K&s;H=F;I=z;J=t}}else{G=o;H=a;I=0;J=0}a=(H|0)!=0;if(a?(b[H>>0]|0)!=0:0){M=r;N=jfc(H)|0}else if(s){M=1;N=0}else{f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;o=q>>>1|20;q=cuc(32)|0;f[j>>2]=q;f[j+8>>2]=-2147483616;f[j+4>>2]=o;szc(q|0,(r?228347:228370)|0,o|0)|0;b[q+o>>0]=0;WD(-27,j,228391,228409,98)}if(p&M){f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;o=cuc(80)|0;f[j>>2]=o;f[j+8>>2]=-2147483568;f[j+4>>2]=68;O=o;P=228484;Q=O+68|0;do{b[O>>0]=b[P>>0]|0;O=O+1|0;P=P+1|0}while((O|0)<(Q|0));b[o+68>>0]=0;WD(-206,j,228391,228409,105)}o=UC(304)|0;f[k>>2]=o;if(!o){f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;b[j+11>>0]=2;d[j>>1]=29542;b[j+2>>0]=0;WD(-215,j,228391,228409,108)}kzc(o|0,0,304)|0;o=uK(262144)|0;q=f[k>>2]|0;f[q+16>>2]=o;f[q+20>>2]=(c|0)==0?o:c;f[q>>2]=1280131417;f[q+8>>2]=s&1;b:do if(!M){s=AK(o,N+1|0)|0;f[(f[k>>2]|0)+60>>2]=s;kfc(s,H)|0;s=f[k>>2]|0;c=f[s+60>>2]|0;r=bhc(c,46)|0;do if((r|0?(b[r+1>>0]|0)==103:0)?(b[r+2>>0]|0)==122:0){t=r+3|0;z=b[t>>0]|0;F=z<<24>>24==0;if(!F){if((z+-48&255)>=10)break;if(b[r+4>>0]|0)break}if(p){I_(k);f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;K=cuc(64)|0;f[j>>2]=K;f[j+8>>2]=-2147483584;f[j+4>>2]=52;O=K;P=228553;Q=O+52|0;do{b[O>>0]=b[P>>0]|0;O=O+1|0;P=P+1|0}while((O|0)<(Q|0));b[K+52>>0]=0;WD(-213,j,228391,228409,131)}if(F){R=0;S=N;T=s;U=c}else{b[t>>0]=0;L=f[k>>2]|0;R=z;S=N+-1|0;T=L;U=f[L+60>>2]|0}b[j>>0]=f[T+8>>2]|0?119:114;b[j+1>>0]=98;b[j+2>>0]=R<<24>>24?R:51;b[j+3>>0]=0;L=HHb(U,j)|0;n=f[k>>2]|0;f[n+68>>2]=L;if(!L){V=n;break b}else{W=1;X=S;Y=n;x=64;break b}}while(0);r=ogc(c,(f[s+8>>2]|0)==0?228613:p?228606:228610)|0;n=f[k>>2]|0;f[n+64>>2]=r;if(!r)V=n;else{W=0;X=N;Y=n;x=64}}else{W=0;X=N;Y=q;x=64}while(0);if((x|0)==64){f[Y+32>>2]=0;f[Y+40>>2]=0;f[Y+44>>2]=0;f[Y+84>>2]=71;if(!(f[Y+8>>2]|0)){if(M){f[Y+256>>2]=H;f[Y+260>>2]=X}m_(Y,j,14)|0;if((b[j>>0]|0)==-17?(b[j+1>>0]|0)==-69:0)Z=(b[j+2>>0]|0)==-65?j+3|0:j;else Z=j;X=Z-j|0;do if(Tfc(Z,233174,5)|0){if((b[Z>>0]|0)==123){_=24;$=f[k>>2]|0;break}q=(Tfc(Z,231331,5)|0)==0;N=f[k>>2]|0;if(!q)if((f[N+260>>2]|0)==(X|0)){f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;q=cuc(32)|0;f[m>>2]=q;f[m+8>>2]=-2147483616;f[m+4>>2]=19;O=q;P=228955;Q=O+19|0;do{b[O>>0]=b[P>>0]|0;O=O+1|0;P=P+1|0}while((O|0)<(Q|0));b[q+19>>0]=0;WD(-49,m,228391,228409,388)}else{f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;s=cuc(32)|0;f[m>>2]=s;f[m+8>>2]=-2147483616;f[m+4>>2]=31;O=s;P=228975;Q=O+31|0;do{b[O>>0]=b[P>>0]|0;O=O+1|0;P=P+1|0}while((O|0)<(Q|0));b[s+31>>0]=0;WD(-49,m,228391,228409,390)}else{_=8;$=N}}else{_=16;$=f[k>>2]|0}while(0);f[$+4>>2]=_;if(W){aa=1048576;ba=$}else{if(M){ca=f[$+260>>2]|0;da=$}else{Tgc(f[$+64>>2]|0,0,2)|0;$=Rhc(f[(f[k>>2]|0)+64>>2]|0)|0;ca=$;da=f[k>>2]|0}$=ca>>>0<1048576?ca:1048576;aa=$>>>0>9216?$:9216;ba=da}p_(ba);ba=f[k>>2]|0;f[ba+264>>2]=X;X=q_(0,72,16,f[ba+16>>2]|0,256)|0;ba=f[k>>2]|0;f[ba+28>>2]=X;X=DK(0,56,16,f[ba+16>>2]|0)|0;f[(f[k>>2]|0)+32>>2]=X;X=UC(aa+256|0)|0;ba=f[k>>2]|0;f[ba+76>>2]=X;f[ba+72>>2]=X;f[ba+80>>2]=X+aa;b[X>>0]=10;b[(f[(f[k>>2]|0)+72>>2]|0)+1>>0]=0;X=f[k>>2]|0;switch(f[X+4>>2]|0){case 8:{d$(X);break}case 16:{r$(X);break}case 24:{D$(X);break}default:{}}VC(f[(f[k>>2]|0)+76>>2]|0);X=f[k>>2]|0;f[X+76>>2]=0;f[X+80>>2]=0;f[X+72>>2]=0;ea=X}else{X=e&56;if(M){M=cuc(24)|0;f[M>>2]=0;f[M+4>>2]=0;f[M+8>>2]=0;f[M+12>>2]=0;f[M+16>>2]=0;f[M+20>>2]=0;f[Y+268>>2]=M}c:do if((X|0)==0&a){M=H;Y=0;e=0;d:while(1){switch(b[M>>0]|0){case 0:{break d;break}case 46:{fa=e;ga=M;break}default:{fa=Y;ga=e}}M=M+1|0;Y=fa;e=ga}if((((e|0)!=0?(jfc(e)|0)==3:0)?(M=Uec(b[e>>0]|0)|0,(M|0)==(Uec(46)|0)):0)?(M=Uec(b[e+1>>0]|0)|0,(M|0)==(Uec(103)|0)):0){M=Uec(b[e+2>>0]|0)|0;N=(M|0)==(Uec(122)|0);ha=N?1:0}else ha=0;N=(Y|0)!=0&ha?Y:e;if(N){if(((((jfc(N)|0)==4?(M=Uec(b[N>>0]|0)|0,(M|0)==(Uec(46)|0)):0)?(M=Uec(b[N+1>>0]|0)|0,(M|0)==(Uec(120)|0)):0)?(M=Uec(b[N+2>>0]|0)|0,(M|0)==(Uec(109)|0)):0)?(M=Uec(b[N+3>>0]|0)|0,(M|0)==(Uec(108)|0)):0){ia=8;break}do if(((((jfc(N)|0)==7?(M=Uec(b[N>>0]|0)|0,(M|0)==(Uec(46)|0)):0)?(M=Uec(b[N+1>>0]|0)|0,(M|0)==(Uec(120)|0)):0)?(M=Uec(b[N+2>>0]|0)|0,(M|0)==(Uec(109)|0)):0)?(M=Uec(b[N+3>>0]|0)|0,(M|0)==(Uec(108)|0)):0){M=Uec(b[N+4>>0]|0)|0;if((M|0)!=(Uec(46)|0))break;M=Uec(b[N+5>>0]|0)|0;if((M|0)!=(Uec(103)|0))break;M=Uec(b[N+6>>0]|0)|0;if((M|0)==(Uec(122)|0)){ia=8;break c}}while(0);do if((((jfc(N)|0)==5?(e=Uec(b[N>>0]|0)|0,(e|0)==(Uec(46)|0)):0)?(e=Uec(b[N+1>>0]|0)|0,(e|0)==(Uec(106)|0)):0)?(e=Uec(b[N+2>>0]|0)|0,(e|0)==(Uec(115)|0)):0){e=Uec(b[N+3>>0]|0)|0;if((e|0)!=(Uec(111)|0))break;e=Uec(b[N+4>>0]|0)|0;if((e|0)==(Uec(110)|0)){ia=24;break c}}while(0);if((((jfc(N)|0)==8?(e=Uec(b[N>>0]|0)|0,(e|0)==(Uec(46)|0)):0)?(e=Uec(b[N+1>>0]|0)|0,(e|0)==(Uec(106)|0)):0)?(e=Uec(b[N+2>>0]|0)|0,(e|0)==(Uec(115)|0)):0){e=Uec(b[N+3>>0]|0)|0;if((e|0)!=(Uec(111)|0)){ia=16;break}e=Uec(b[N+4>>0]|0)|0;if((e|0)!=(Uec(110)|0)){ia=16;break}e=Uec(b[N+5>>0]|0)|0;if((e|0)!=(Uec(46)|0)){ia=16;break}e=Uec(b[N+6>>0]|0)|0;if((e|0)!=(Uec(103)|0)){ia=16;break}e=Uec(b[N+7>>0]|0)|0;Y=(e|0)==(Uec(122)|0);ia=Y?24:16}else ia=16}else ia=16}else ia=X|0?X:8;while(0);X=f[k>>2]|0;f[X+4>>2]=ia;ha=(ia|0)==8?25600:17408;if(p){Tgc(f[X+64>>2]|0,0,2)|0;p=(Rhc(f[(f[k>>2]|0)+64>>2]|0)|0)!=0;ga=f[k>>2]|0;ja=p;ka=f[ga+4>>2]|0;la=ga}else{ja=0;ka=ia;la=X}X=DK(0,56,(ka|0)==8?24:4,f[la+16>>2]|0)|0;la=f[k>>2]|0;f[la+36>>2]=X;f[la+12>>2]=1;f[la+40>>2]=0;f[la+44>>2]=32;la=UC(ha+1024|0)|0;X=f[k>>2]|0;f[X+72>>2]=la;f[X+76>>2]=la;f[X+80>>2]=la+ha;f[X+272>>2]=0;b[X+276>>0]=G&1;f[X+280>>2]=0;b[X+284>>0]=0;f[X+288>>2]=0;f[X+292>>2]=0;f[X+296>>2]=0;switch(f[X+4>>2]|0){case 8:{G=f[X+64>>2]|0;if(!G){ma=X;na=0}else{ha=Rhc(G)|0;ma=f[k>>2]|0;na=ha}ha=vK(f[ma+16>>2]|0)|0;ma=f[k>>2]|0;f[ma+24>>2]=ha;do if(!((na|0)==0|ja^1)){ha=(na|0)<1024?na:1024;Tgc(f[ma+64>>2]|0,0-ha|0,2)|0;G=UC(ha+2|0)|0;la=-1;e:while(1){while(1){oa=Rhc(f[(f[k>>2]|0)+64>>2]|0)|0;pa=m_(f[k>>2]|0,G,ha)|0;if(!pa)break e;ka=Xgc(pa,228797)|0;if(ka|0){qa=ka;break}}while(1){z=Xgc(qa+17|0,228797)|0;if(!z)break;else qa=z}la=oa-pa+qa|0}VC(G);if((la|0)<0){I_(k);f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;ha=cuc(64)|0;f[j>>2]=ha;f[j+8>>2]=-2147483584;f[j+4>>2]=53;O=ha;P=228815;Q=O+53|0;do{b[O>>0]=b[P>>0]|0;O=O+1|0;P=P+1|0}while((O|0)<(Q|0));b[ha+53>>0]=0;WD(-2,j,228391,228409,287)}o_(f[k>>2]|0);G=ogc(f[(f[k>>2]|0)+60>>2]|0,228869)|0;f[(f[k>>2]|0)+64>>2]=G;if(!G){f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;b[j+11>>0]=8;N=j;f[N>>2]=1043166054;f[N+4>>2]=1701603686;b[j+8>>0]=0;WD(-215,j,228391,228409,291)}else{Tgc(G,la,0)|0;g_(f[k>>2]|0,228873);Tgc(f[(f[k>>2]|0)+64>>2]|0,0,2)|0;g_(f[k>>2]|0,517126);break}}else{do if(g){if(!(Mec(g,228616)|0)){I_(k);f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;ra=cuc(64)|0;f[j>>2]=ra;sa=j+8|0;f[sa>>2]=-2147483584;ta=j+4|0;f[ta>>2]=57;O=ra;P=228637;Q=O+57|0;do{b[O>>0]=b[P>>0]|0;O=O+1|0;P=P+1|0}while((O|0)<(Q|0));ua=ra+57|0;b[ua>>0]=0;WD(-5,j,228391,228409,246)}if(!(Mec(g,228623)|0)){I_(k);f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;ra=cuc(64)|0;f[j>>2]=ra;sa=j+8|0;f[sa>>2]=-2147483584;ta=j+4|0;f[ta>>2]=57;O=ra;P=228637;Q=O+57|0;do{b[O>>0]=b[P>>0]|0;O=O+1|0;P=P+1|0}while((O|0)<(Q|0));ua=ra+57|0;b[ua>>0]=0;WD(-5,j,228391,228409,246)}if(!(Mec(g,228630)|0)){I_(k);f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;ra=cuc(64)|0;f[j>>2]=ra;sa=j+8|0;f[sa>>2]=-2147483584;ta=j+4|0;f[ta>>2]=57;O=ra;P=228637;Q=O+57|0;do{b[O>>0]=b[P>>0]|0;O=O+1|0;P=P+1|0}while((O|0)<(Q|0));ua=ra+57|0;b[ua>>0]=0;WD(-5,j,228391,228409,246)}if((jfc(g)|0)>>>0<1e3){f[i>>2]=g;ihc(j,228719,i)|0;g_(f[k>>2]|0,j);break}else{f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;G=cuc(32)|0;f[j>>2]=G;f[j+8>>2]=-2147483616;f[j+4>>2]=23;O=G;P=228695;Q=O+23|0;do{b[O>>0]=b[P>>0]|0;O=O+1|0;P=P+1|0}while((O|0)<(Q|0));b[G+23>>0]=0;WD(-215,j,228391,228409,249)}}else g_(ma,228756);while(0);g_(f[k>>2]|0,228779)}while(0);va=f[k>>2]|0;wa=313;xa=18;ya=240;za=314;Aa=1946;Ba=1947;Ca=239;break}case 16:{if(ja)g_(X,228906);else g_(X,228891);va=f[k>>2]|0;wa=315;xa=19;ya=242;za=316;Aa=1948;Ba=1949;Ca=241;break}default:{do if(ja){if(!(Tgc(f[X+64>>2]|0,0,2)|0))Da=0;else{f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;Ea=cuc(48)|0;f[j>>2]=Ea;Fa=j+8|0;f[Fa>>2]=-2147483600;Ga=j+4|0;f[Ga>>2]=39;O=Ea;P=228915;Q=O+39|0;do{b[O>>0]=b[P>>0]|0;O=O+1|0;P=P+1|0}while((O|0)<(Q|0));Ha=Ea+39|0;b[Ha>>0]=0;WD(-2,j,228391,228409,351)}while(1){if((Shc(f[(f[k>>2]|0)+64>>2]|0)|0)==125)break;ma=Da+-1|0;if(!(Tgc(f[(f[k>>2]|0)+64>>2]|0,ma,2)|0))Da=ma;else{x=129;break}}if((x|0)==129){f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;Ea=cuc(48)|0;f[j>>2]=Ea;Fa=j+8|0;f[Fa>>2]=-2147483600;Ga=j+4|0;f[Ga>>2]=39;O=Ea;P=228915;Q=O+39|0;do{b[O>>0]=b[P>>0]|0;O=O+1|0;P=P+1|0}while((O|0)<(Q|0));Ha=Ea+39|0;b[Ha>>0]=0;WD(-2,j,228391,228409,351)}Tgc(f[(f[k>>2]|0)+64>>2]|0,Da,2)|0;o_(f[k>>2]|0);ma=ogc(f[(f[k>>2]|0)+60>>2]|0,228869)|0;f[(f[k>>2]|0)+64>>2]=ma;if(!ma){f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;b[j+11>>0]=8;i=j;f[i>>2]=1043166054;f[i+4>>2]=1701603686;b[j+8>>0]=0;WD(-215,j,228391,228409,345)}else{Tgc(ma,Da,2)|0;Ohc(44,f[(f[k>>2]|0)+64>>2]|0)|0;break}}else g_(X,496384);while(0);X=f[k>>2]|0;f[X+40>>2]=4;va=X;wa=317;xa=20;ya=244;za=318;Aa=1950;Ba=1951;Ca=243}}f[va+228>>2]=Ca;f[va+232>>2]=Aa;f[va+236>>2]=wa;f[va+240>>2]=xa;f[va+244>>2]=ya;f[va+248>>2]=za;f[va+252>>2]=Ba;ea=va}b[ea+300>>0]=1;V=ea}f:do if(!V)Ia=0;else{do if((SE()|0)>=0){ea=f[k>>2]|0;if((((f[ea+64>>2]|0)==0?(f[ea+68>>2]|0)==0:0)?(f[ea+268>>2]|0)==0:0)?(f[ea+256>>2]|0)==0:0)break;if(f[ea+8>>2]|0){Ia=ea;break f}o_(ea);ea=f[k>>2]|0;b[ea+300>>0]=1;Ia=ea;break f}while(0);I_(k);Ia=f[k>>2]|0}while(0);k=I;if(!I){u=h;return Ia|0}if((J|0)!=(k|0)){V=J;do{V=V+-12|0;f[l>>2]=V;if((b[V+11>>0]|0)<0)fuc(f[V>>2]|0)}while((V|0)!=(k|0))}fuc(I);u=h;return Ia|0}function I_(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;c=u;u=u+16|0;d=c;if(!a){e=cuc(48)|0;f[d>>2]=e;f[d+8>>2]=-2147483600;f[d+4>>2]=35;g=e;h=229007;i=g+35|0;do{b[g>>0]=b[h>>0]|0;g=g+1|0;h=h+1|0}while((g|0)<(i|0));b[e+35>>0]=0;WD(-27,d,229043,228409,469)}d=f[a>>2]|0;if(!d){u=c;return}f[a>>2]=0;v_(d,0);wK(d+24|0);a=d+76|0;VC(f[a>>2]|0);f[a>>2]=0;wK(d+16|0);a=f[d+268>>2]|0;if(a|0){e=a+4|0;h=f[e>>2]|0;g=a+16|0;i=f[g>>2]|0;j=h+(i>>>12<<2)|0;k=a+8|0;l=f[k>>2]|0;m=l;n=h;if((l|0)==(h|0)){o=0;p=a+20|0;q=0}else{l=a+20|0;r=(f[l>>2]|0)+i|0;o=(f[h+(r>>>12<<2)>>2]|0)+(r&4095)|0;p=l;q=(f[j>>2]|0)+(i&4095)|0}i=j;j=q;a:while(1){q=j;do{l=q;if((l|0)==(o|0))break a;q=l+1|0}while((q-(f[i>>2]|0)|0)!=4096);q=i+4|0;i=q;j=f[q>>2]|0}f[p>>2]=0;p=m-n>>2;if(p>>>0>2){n=h;do{fuc(f[n>>2]|0);n=(f[e>>2]|0)+4|0;f[e>>2]=n;h=(f[k>>2]|0)-n>>2}while(h>>>0>2);s=h}else s=p;switch(s|0){case 1:{t=2048;v=17;break}case 2:{t=4096;v=17;break}default:{}}if((v|0)==17)f[g>>2]=t;t=f[e>>2]|0;g=f[k>>2]|0;if((t|0)!=(g|0)){v=t;do{fuc(f[v>>2]|0);v=v+4|0}while((v|0)!=(g|0));g=f[e>>2]|0;e=f[k>>2]|0;if((e|0)!=(g|0))f[k>>2]=e+(~((e+-4-g|0)>>>2)<<2)}g=f[a>>2]|0;if(g|0)fuc(g);fuc(a)}a=f[d+272>>2]|0;if(a|0){u0(a);fuc(a)}a=f[d+288>>2]|0;if(a|0)guc(a);a=f[d+296>>2]|0;if(a|0)guc(a);kzc(d|0,0,304)|0;VC(d);u=c;return}function J_(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0;g=u;u=u+96|0;h=g+88|0;i=g+48|0;j=g+16|0;k=g;f[h>>2]=0;NM(i,H_(a,c,0,0)|0,1);if(!(DM(i)|0)){l=0;AM(i);u=g;return l|0}a=i+4|0;m=f[a>>2]|0;a:do if(!d){n=f[m+32>>2]|0;if((f[n+24>>2]|0)<=0){f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;o=cuc(48)|0;f[j>>2]=o;p=j+8|0;f[p>>2]=-2147483600;q=j+4|0;f[q>>2]=44;r=o;s=229084;t=r+44|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));v=o+44|0;b[v>>0]=0;WD(-204,j,229077,228409,544)}w=j+12|0;x=j+20|0;y=0;z=n;b:while(1){A=FK(z,y)|0;if(!A){B=7;break}c:do if((f[A>>2]&7|0)==6){C=f[A+8>>2]|0;IK(C,j,0);D=C+24|0;E=f[D>>2]|0;if((E|0)>0){F=C+28|0;C=0;G=E;while(1){H=f[w>>2]|0;if((f[H>>2]|0)>-1)break;E=H+(f[F>>2]|0)|0;f[w>>2]=E;if(E>>>0<(f[x>>2]|0)>>>0)I=G;else{QK(j,1);I=f[D>>2]|0}C=C+1|0;if((C|0)>=(I|0)){J=0;K=0;break c}else G=I}J=10;K=H}else{J=0;K=0}}else{J=1;K=A}while(0);switch(J&15){case 10:{L=K;break a;break}case 0:break;default:break b}y=y+1|0;z=f[(f[a>>2]|0)+32>>2]|0;if((y|0)>=(f[z+24>>2]|0)){L=K;break a}}if((B|0)==7){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;z=cuc(16)|0;f[k>>2]=z;f[k+8>>2]=-2147483632;f[k+4>>2]=12;r=z;s=229064;t=r+12|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));b[z+12>>0]=0;WD(-215,k,229077,228409,519)}if(!J)L=K;else{l=0;AM(i);u=g;return l|0}}else L=K_(m,0,d)|0;while(0);if(!L){f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;o=cuc(48)|0;f[j>>2]=o;p=j+8|0;f[p>>2]=-2147483600;q=j+4|0;f[q>>2]=44;r=o;s=229084;t=r+44|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));v=o+44|0;b[v>>0]=0;WD(-204,j,229077,228409,544)}if(!(f[L>>2]&64))M=0;else M=f[(f[L+16>>2]|0)+8>>2]|0;v=L_(f[a>>2]|0,L,0)|0;f[h>>2]=v;if(!((c|0)!=0|(v|0)==0)){if((f[v>>2]&-65536|0)==1117323264){f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;N=cuc(80)|0;f[j>>2]=N;O=j+8|0;f[O>>2]=-2147483568;P=j+4|0;f[P>>2]=78;r=N;s=229129;t=r+78|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));Q=N+78|0;b[Q>>0]=0;WD(-27,j,229077,228409,552)}if((f[v>>2]&-65536|0)==1117257728){f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;N=cuc(80)|0;f[j>>2]=N;O=j+8|0;f[O>>2]=-2147483568;P=j+4|0;f[P>>2]=78;r=N;s=229129;t=r+78|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));Q=N+78|0;b[Q>>0]=0;WD(-27,j,229077,228409,552)}}if((SE()|0)<0){M_(h);R=0}else R=M;do if(e|0)if(!R){f[e>>2]=0;break}else{M=UC(jfc(R)|0)|0;f[e>>2]=M;szc(M|0,R|0,jfc(R)|0)|0;break}while(0);l=f[h>>2]|0;AM(i);u=g;return l|0}function K_(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;e=u;u=u+16|0;g=e;if(!a){h=0;u=e;return h|0}if((f[a>>2]|0)!=1280131417){i=cuc(32)|0;f[g>>2]=i;f[g+8>>2]=-2147483616;f[g+4>>2]=31;j=i;k=236174;l=j+31|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[i+31>>0]=0;WD(-5,g,229336,228409,727)}if(!d){i=cuc(32)|0;f[g>>2]=i;f[g+8>>2]=-2147483616;f[g+4>>2]=17;j=i;k=229356;l=j+17|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[i+17>>0]=0;WD(-27,g,229336,228409,730)}i=b[d>>0]|0;if(!(i<<24>>24)){m=0;n=0}else{o=0;p=0;q=i;while(1){i=(q&255)+(o*33|0)|0;r=p+1|0;q=b[d+r>>0]|0;if(!(q<<24>>24)){m=i;n=r;break}else{o=i;p=r}}}p=m&2147483647;a:do if(!c){m=f[a+32>>2]|0;if(!m){h=0;u=e;return h|0}o=f[m+24>>2]|0;if((o|0)<=0){h=0;u=e;return h|0}m=a+32|0;q=0;b:while(1){s=FK(f[m>>2]|0,q)|0;switch(f[s>>2]&7){case 5:{t=22;break b;break}case 0:{h=0;t=35;break b;break}case 6:break;default:break a}r=f[s+8>>2]|0;i=f[r+64>>2]|0;v=i+-1|0;if(!(v&i))w=v&p;else w=(p>>>0)%(i>>>0)|0;i=f[(f[r+68>>2]|0)+(w<<2)>>2]|0;if(i|0){r=i;do{i=f[r+16>>2]|0;if(((f[i>>2]|0)==(p|0)?(f[i+4>>2]|0)==(n|0):0)?(ahc(f[i+8>>2]|0,d,n)|0)==0:0){x=r;t=34;break a}r=f[r+20>>2]|0}while((r|0)!=0)}q=q+1|0;if((q|0)>=(o|0)){h=0;t=35;break}}if((t|0)==22){y=s;t=23;break}else if((t|0)==35){u=e;return h|0}}else{o=c+8|0;switch(f[c>>2]&7){case 5:{y=c;t=23;break a;break}case 6:break;case 0:{h=0;u=e;return h|0}default:break a}q=f[o>>2]|0;o=f[q+64>>2]|0;m=o+-1|0;if(!(m&o))z=m&p;else z=(p>>>0)%(o>>>0)|0;o=f[(f[q+68>>2]|0)+(z<<2)>>2]|0;if(!o){h=0;u=e;return h|0}else A=o;while(1){o=f[A+16>>2]|0;if(((f[o>>2]|0)==(p|0)?(f[o+4>>2]|0)==(n|0):0)?(ahc(f[o+8>>2]|0,d,n)|0)==0:0){x=A;t=34;break a}A=f[A+20>>2]|0;if(!A){h=0;break}}u=e;return h|0}while(0);if((t|0)==23){if(!(f[(f[y+8>>2]|0)+24>>2]|0)){h=0;u=e;return h|0}}else if((t|0)==34){h=x;u=e;return h|0}h=cuc(64)|0;f[g>>2]=h;f[g+8>>2]=-2147483584;f[g+4>>2]=49;j=h;k=229374;l=j+49|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[h+49>>0]=0;WD(-2,g,229336,228409,757);return 0}function L_(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=u;u=u+16|0;g=e;h=(a|0)!=0;if(h?(f[a>>2]|0)==1280131417:0){if(!c){i=0;u=e;return i|0}if(f[c>>2]&16|0?(j=f[c+4>>2]|0,j|0):0){k=Th[f[j+28>>2]&1023](a,c)|0;if(!d){i=k;u=e;return i|0}f[d>>2]=0;f[d+4>>2]=0;i=k;u=e;return i|0}i=cuc(64)|0;f[g>>2]=i;f[g+8>>2]=-2147483584;f[g+4>>2]=57;l=i;m=229278;n=l+57|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));b[i+57>>0]=0;WD(-2,g,229271,228409,1426)}i=h?-5:-27;h=cuc(32)|0;f[g>>2]=h;f[g+8>>2]=-2147483616;f[g+4>>2]=31;l=h;m=236174;n=l+31|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));b[h+31>>0]=0;WD(i,g,229271,228409,1420);return 0}function M_(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=u;u=u+16|0;d=c;if(!a){e=cuc(32)|0;f[d>>2]=e;f[d+8>>2]=-2147483616;f[d+4>>2]=19;g=e;h=238054;i=g+19|0;do{b[g>>0]=b[h>>0]|0;g=g+1|0;h=h+1|0}while((g|0)<(i|0));b[e+19>>0]=0;WD(-27,d,229208,228409,1380)}e=f[a>>2]|0;if(!e){u=c;return}j=f[137634]|0;a:do if(j|0){k=j;while(1){if(di[f[k+20>>2]&1023](e)|0)break;l=f[k+12>>2]|0;if(!l)break a;else k=l}l=f[k+24>>2]|0;if(!l){m=cuc(48)|0;f[d>>2]=m;f[d+8>>2]=-2147483600;f[d+4>>2]=32;g=m;h=229238;i=g+32|0;do{b[g>>0]=b[h>>0]|0;g=g+1|0;h=h+1|0}while((g|0)<(i|0));b[m+32>>0]=0;WD(-2,d,229208,228409,1388)}bi[l&2047](a);f[a>>2]=0;u=c;return}while(0);c=cuc(32)|0;f[d>>2]=c;f[d+8>>2]=-2147483616;f[d+4>>2]=19;g=c;h=229218;i=g+19|0;do{b[g>>0]=b[h>>0]|0;g=g+1|0;h=h+1|0}while((g|0)<(i|0));b[c+19>>0]=0;WD(-2,d,229208,228409,1386)}function N_(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0;if(!a){c=0;return c|0}else d=a;a:while(1){e=f[d>>2]|0;if(!e){c=0;g=8;break}a=f[e>>2]|0;if(a|0){h=0;i=a;j=0;while(1){h=h+1|0;if(!(Mec(b,i)|0)){g=7;break a}a=h<<1;i=f[e+(a<<2)>>2]|0;if(!i)break;else j=a}}d=f[d+4>>2]|0;if(!d){c=0;g=8;break}}if((g|0)==7){c=f[e+((j|1)<<2)>>2]|0;return c|0}else if((g|0)==8)return c|0;return 0}function O_(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;g=u;u=u+16|0;i=g;if(!a){j=0;u=g;return j|0}k=f[a+28>>2]|0;if((d|0)<0){a=b[c>>0]|0;if(!(a<<24>>24)){l=0;m=0}else{n=0;o=0;p=a;while(1){a=(p&255)+(o*33|0)|0;q=n+1|0;p=b[c+q>>0]|0;if(!(p<<24>>24)){l=q;m=a;break}else{n=q;o=a}}}}else if(!d){l=0;m=0}else{o=0;n=0;while(1){p=(h[c+n>>0]|0)+(o*33|0)|0;n=n+1|0;if((n|0)>=(d|0)){l=d;m=p;break}else o=p}}o=m&2147483647;m=f[k+64>>2]|0;d=m+-1|0;if(!(d&m))r=d&o;else r=(o>>>0)%(m>>>0)|0;m=k+68|0;d=f[(f[m>>2]|0)+(r<<2)>>2]|0;a:do if(d|0){n=d;while(1){if(((f[n>>2]|0)==(o|0)?(f[n+4>>2]|0)==(l|0):0)?(ahc(f[n+8>>2]|0,c,l)|0)==0:0){j=n;break}n=f[n+12>>2]|0;if(!n)break a}u=g;return j|0}while(0);if(!e){j=0;u=g;return j|0}e=k+56|0;d=f[e>>2]|0;f[i>>2]=d;if(!d){YK(k,0,i)|0;s=f[i>>2]|0}else{f[e>>2]=f[d+4>>2];f[d>>2]=f[d>>2]&67108863;e=k+60|0;f[e>>2]=(f[e>>2]|0)+1;s=d}f[s>>2]=o;CK(i,f[k+44>>2]|0,c,l);l=i;i=f[l+4>>2]|0;c=s+4|0;f[c>>2]=f[l>>2];f[c+4>>2]=i;i=(f[m>>2]|0)+(r<<2)|0;f[s+12>>2]=f[i>>2];f[i>>2]=s;j=s;u=g;return j|0}function P_(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0;g=u;u=u+16|0;h=g;if(!a){i=0;u=g;return i|0}if((f[a>>2]|0)!=1280131417){j=cuc(32)|0;f[h>>2]=j;f[h+8>>2]=-2147483616;f[h+4>>2]=31;k=j;l=236174;m=k+31|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));b[j+31>>0]=0;WD(-5,h,229424,228409,653)}if(!d){j=cuc(32)|0;f[h>>2]=j;f[h+8>>2]=-2147483616;f[h+4>>2]=16;k=j;l=229438;m=k+16|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));b[j+16>>0]=0;WD(-27,h,229424,228409,656)}a:do if(c){j=f[a+32>>2]|0;if(!j){i=0;u=g;return i|0}n=f[j+24>>2]|0;if((n|0)<=0){i=0;u=g;return i|0}j=n+-1|0;o=(e|0)!=0;p=c+8|0;q=0;r=0;b:while(1){switch(f[c>>2]&7){case 5:{s=c;t=27;break a;break}case 0:{i=0;t=43;break b;break}case 6:break;default:{t=28;break b}}v=f[p>>2]|0;w=f[v+64>>2]|0;x=w+-1|0;y=f[d>>2]|0;if(!(x&w))z=y&x;else z=(y>>>0)%(w>>>0)|0;w=v+68|0;y=f[w>>2]|0;x=f[y+(z<<2)>>2]|0;if(x|0){A=x;do{if((f[A+16>>2]|0)==(d|0)){B=A;break a}A=f[A+20>>2]|0}while((A|0)!=0)}if(o&(r|0)==(j|0)){A=v+56|0;x=f[A>>2]|0;f[h>>2]=x;if(!x){YK(v,0,h)|0;C=f[h>>2]|0;D=f[w>>2]|0}else{f[A>>2]=f[x+4>>2];f[x>>2]=f[x>>2]&67108863;A=v+60|0;f[A>>2]=(f[A>>2]|0)+1;C=x;D=y}f[C+16>>2]=d;x=D+(z<<2)|0;f[C+20>>2]=f[x>>2];f[x>>2]=C;E=C}else E=q;r=r+1|0;if((r|0)>=(n|0)){i=E;t=43;break}else q=E}if((t|0)==28){F=cuc(64)|0;f[h>>2]=F;G=h+8|0;f[G>>2]=-2147483584;H=h+4|0;f[H>>2]=49;k=F;l=229374;m=k+49|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));I=F+49|0;b[I>>0]=0;WD(-2,h,229424,228409,679)}else if((t|0)==43){u=g;return i|0}}else{q=(e|0)==0;n=FK(f[a+32>>2]|0,0)|0;if(!n){r=cuc(32)|0;f[h>>2]=r;f[h+8>>2]=-2147483616;f[h+4>>2]=16;k=r;l=229455;m=k+16|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));b[r+16>>0]=0;WD(-215,h,229424,228409,674)}switch(f[n>>2]&7){case 6:{j=f[n+8>>2]|0;o=f[j+64>>2]|0;p=o+-1|0;x=f[d>>2]|0;if(!(p&o))J=x&p;else J=(x>>>0)%(o>>>0)|0;o=j+68|0;x=f[o>>2]|0;p=f[x+(J<<2)>>2]|0;if(p|0){A=p;do{if((f[A+16>>2]|0)==(d|0)){B=A;break a}A=f[A+20>>2]|0}while((A|0)!=0)}if(q){i=0;u=g;return i|0}A=j+56|0;r=f[A>>2]|0;f[h>>2]=r;if(!r){YK(j,0,h)|0;K=f[h>>2]|0;L=f[o>>2]|0}else{f[A>>2]=f[r+4>>2];f[r>>2]=f[r>>2]&67108863;A=j+60|0;f[A>>2]=(f[A>>2]|0)+1;K=r;L=x}f[K+16>>2]=d;r=L+(J<<2)|0;f[K+20>>2]=f[r>>2];f[r>>2]=K;i=K;u=g;return i|0}case 5:{s=n;t=27;break a;break}case 0:{i=0;u=g;return i|0}default:{F=cuc(64)|0;f[h>>2]=F;G=h+8|0;f[G>>2]=-2147483584;H=h+4|0;f[H>>2]=49;k=F;l=229374;m=k+49|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));I=F+49|0;b[I>>0]=0;WD(-2,h,229424,228409,679)}}}while(0);if((t|0)==27)if(!(f[(f[s+8>>2]|0)+24>>2]|0)){i=0;u=g;return i|0}else{F=cuc(64)|0;f[h>>2]=F;G=h+8|0;f[G>>2]=-2147483584;H=h+4|0;f[H>>2]=49;k=F;l=229374;m=k+49|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));I=F+49|0;b[I>>0]=0;WD(-2,h,229424,228409,679)}if(e|0)r_(a,229424,229472,228409,699);i=B;u=g;return i|0}function Q_(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0;d=u;u=u+16|0;e=d;g=(a|0)!=0;if(g?(f[a>>2]|0)==1280131417:0){h=f[a+32>>2]|0;if(!h){i=0;u=d;return i|0}if((f[h+24>>2]|0)>>>0<=c>>>0){i=0;u=d;return i|0}i=FK(h,c)|0;u=d;return i|0}i=g?-5:-27;g=cuc(32)|0;f[e>>2]=g;f[e+8>>2]=-2147483616;f[e+4>>2]=31;d=g;c=236174;h=d+31|0;do{b[d>>0]=b[c>>0]|0;d=d+1|0;c=c+1|0}while((d|0)<(h|0));b[g+31>>0]=0;WD(i,e,229487,228409,789);return 0}function R_(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;g=u;u=u+16|0;h=g;i=(a|0)!=0;if(!i){j=i?-5:-27;k=cuc(32)|0;f[h>>2]=k;l=h+8|0;f[l>>2]=-2147483616;m=h+4|0;f[m>>2]=31;n=k;o=236174;p=n+31|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));q=k+31|0;b[q>>0]=0;WD(j,h,229505,228409,801)}if((f[a>>2]|0)!=1280131417){j=i?-5:-27;k=cuc(32)|0;f[h>>2]=k;l=h+8|0;f[l>>2]=-2147483616;m=h+4|0;f[m>>2]=31;n=k;o=236174;p=n+31|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));q=k+31|0;b[q>>0]=0;WD(j,h,229505,228409,801)}if(!(f[a+8>>2]|0)){j=cuc(48)|0;f[h>>2]=j;f[h+8>>2]=-2147483600;f[h+4>>2]=38;n=j;o=236219;p=n+38|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));b[j+38>>0]=0;WD(-2,h,229505,228409,801)}A_(a,0);j=a+280|0;q=f[j>>2]|0;if((q|0)==1){z_(a,0);r=f[j>>2]|0}else r=q;q=(r|0)==0;k=(d&7|0)==5;if(k&q?(e|0)==0&(b[a+276>>0]|0)!=0:0){B_(a,c,d,0);u=g;return}if(e|0?(ahc(e,235570,6)|0)==0:0){if(!k){k=cuc(64)|0;f[h>>2]=k;f[h+8>>2]=-2147483584;f[h+4>>2]=55;n=k;o=229524;p=n+55|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));b[k+55>>0]=0;WD(-5,h,229505,228409,822)}if(!q){q=cuc(80)|0;f[h>>2]=q;f[h+8>>2]=-2147483568;f[h+4>>2]=69;n=q;o=229580;p=n+69|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));b[q+69>>0]=0;WD(-2,h,229505,228409,824)}sh[f[a+228>>2]&255](a,c,d,e);if(f[j>>2]|0)z_(a,0);z_(a,2);u=g;return}if((r|0)==2){r=cuc(64)|0;f[h>>2]=r;f[h+8>>2]=-2147483584;f[h+4>>2]=62;n=r;o=229650;p=n+62|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));b[r+62>>0]=0;WD(-2,h,229505,228409,836)}sh[f[a+228>>2]&255](a,c,d,e);if(f[j>>2]|0)z_(a,0);z_(a,1);u=g;return}function S_(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;c=u;u=u+16|0;d=c;e=(a|0)!=0;if(e?(f[a>>2]|0)==1280131417:0){if(!(f[a+8>>2]|0)){g=cuc(48)|0;f[d>>2]=g;f[d+8>>2]=-2147483600;f[d+4>>2]=38;h=g;i=236219;j=h+38|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(j|0));b[g+38>>0]=0;WD(-2,d,229713,228409,850)}A_(a,0);if(!(f[a+280>>2]|0)){k=a+232|0;l=f[k>>2]|0;bi[l&2047](a);u=c;return}z_(a,0);k=a+232|0;l=f[k>>2]|0;bi[l&2047](a);u=c;return}c=e?-5:-27;e=cuc(32)|0;f[d>>2]=e;f[d+8>>2]=-2147483616;f[d+4>>2]=31;h=e;i=236174;j=h+31|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(j|0));b[e+31>>0]=0;WD(c,d,229713,228409,850)}function T_(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0;e=u;u=u+16|0;g=e;h=(a|0)!=0;if(h?(f[a>>2]|0)==1280131417:0)if(!(f[a+8>>2]|0)){i=cuc(48)|0;f[g>>2]=i;f[g+8>>2]=-2147483600;f[g+4>>2]=38;j=i;k=236219;l=j+38|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[i+38>>0]=0;WD(-2,g,229730,228409,863)}else{Zh[f[a+236>>2]&511](a,c,d);u=e;return}e=h?-5:-27;h=cuc(32)|0;f[g>>2]=h;f[g+8>>2]=-2147483616;f[g+4>>2]=31;j=h;k=236174;l=j+31|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[h+31>>0]=0;WD(e,g,229730,228409,863)}function U_(a,c,d){a=a|0;c=c|0;d=+d;var e=0,g=0,h=0,i=0,j=0,k=0,l=0;e=u;u=u+16|0;g=e;h=(a|0)!=0;if(h?(f[a>>2]|0)==1280131417:0)if(!(f[a+8>>2]|0)){i=cuc(48)|0;f[g>>2]=i;f[g+8>>2]=-2147483600;f[g+4>>2]=38;j=i;k=236219;l=j+38|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[i+38>>0]=0;WD(-2,g,229741,228409,871)}else{$h[f[a+240>>2]&31](a,c,d);u=e;return}e=h?-5:-27;h=cuc(32)|0;f[g>>2]=h;f[g+8>>2]=-2147483616;f[g+4>>2]=31;j=h;k=236174;l=j+31|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[h+31>>0]=0;WD(e,g,229741,228409,871)}function V_(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0;g=u;u=u+16|0;h=g;i=(a|0)!=0;if(i?(f[a>>2]|0)==1280131417:0)if(!(f[a+8>>2]|0)){j=cuc(48)|0;f[h>>2]=j;f[h+8>>2]=-2147483600;f[h+4>>2]=38;k=j;l=236219;m=k+38|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));b[j+38>>0]=0;WD(-2,h,229753,228409,879)}else{sh[f[a+244>>2]&255](a,c,d,e);u=g;return}g=i?-5:-27;i=cuc(32)|0;f[h>>2]=i;f[h+8>>2]=-2147483616;f[h+4>>2]=31;k=i;l=236174;m=k+31|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));b[i+31>>0]=0;WD(g,h,229753,228409,879)}function W_(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0;e=u;u=u+16|0;g=e;h=(a|0)!=0;if(h?(f[a>>2]|0)==1280131417:0)if(!(f[a+8>>2]|0)){i=cuc(48)|0;f[g>>2]=i;f[g+8>>2]=-2147483600;f[g+4>>2]=38;j=i;k=236219;l=j+38|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[i+38>>0]=0;WD(-2,g,229767,228409,887)}else{Zh[f[a+248>>2]&511](a,c,d);u=e;return}e=h?-5:-27;h=cuc(32)|0;f[g>>2]=h;f[g+8>>2]=-2147483616;f[g+4>>2]=31;j=h;k=236174;l=j+31|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[h+31>>0]=0;WD(e,g,229767,228409,887)}function X_(a,c,e,g){a=a|0;c=c|0;e=e|0;g=g|0;var i=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0;i=u;u=u+1296|0;k=i+16|0;l=i+1040|0;m=i;a:do if(!(b[a+276>>0]|0)){switch(f[a+280>>2]|0){case 2:{break a;break}case 0:{z_(a,1);break}default:{}}kzc(l|0,0,256)|0;if((f[a>>2]|0)!=1280131417){o=cuc(32)|0;f[m>>2]=o;f[m+8>>2]=-2147483616;f[m+4>>2]=31;q=o;r=236174;s=q+31|0;do{b[q>>0]=b[r>>0]|0;q=q+1|0;r=r+1|0}while((q|0)<(s|0));b[o+31>>0]=0;WD(-5,m,229782,228409,918)}if(!(f[a+8>>2]|0)){t=cuc(48)|0;f[m>>2]=t;f[m+8>>2]=-2147483600;f[m+4>>2]=38;q=t;r=236219;s=q+38|0;do{b[q>>0]=b[r>>0]|0;q=q+1|0;r=r+1|0}while((q|0)<(s|0));b[t+38>>0]=0;WD(-2,m,229782,228409,918)}if((e|0)<0){o=cuc(32)|0;f[m>>2]=o;f[m+8>>2]=-2147483616;f[m+4>>2]=27;q=o;r=229797;s=q+27|0;do{b[q>>0]=b[r>>0]|0;q=q+1|0;r=r+1|0}while((q|0)<(s|0));b[o+27>>0]=0;WD(-211,m,229782,228409,921)}t=D_(g,k,128)|0;b:do if(e|0){if(!c){v=cuc(32)|0;f[m>>2]=v;f[m+8>>2]=-2147483616;f[m+4>>2]=17;q=v;r=229825;s=q+17|0;do{b[q>>0]=b[r>>0]|0;q=q+1|0;r=r+1|0}while((q|0)<(s|0));b[v+17>>0]=0;WD(-27,m,229782,228409,929)}if((t|0)==1){w=Y(f[k>>2]|0,e)|0;f[k>>2]=w;x=1}else x=e;w=(t|0)>0;y=a+4|0;z=c;A=0;B=x;c:while(1){B=B+-1|0;if(w){C=0;D=A;while(1){E=C<<1;F=f[k+(E<<2)>>2]|0;G=f[k+((E|1)<<2)>>2]|0;E=Y(675553809>>>(G<<2&28)&15,(G>>>3&511)+1|0)|0;H=D+-1+E&0-E;E=c+H|0;d:do if((F|0)>0){I=(G+-5|0)>>>0<2;if(!G){J=F+H|0;K=E;L=0;do{M=f_(h[K>>0]|0,l,10)|0;K=K+1|0;switch(f[y>>2]|0){case 8:{m$(a,0,M,jfc(M)|0);break}case 16:{v$(a,0,M);break}default:{do if(I){N=jfc(M)|0;if(!N)break;if((b[M+(N+-1)>>0]|0)!=46)break;b[l+N>>0]=48;b[l+(N+1)>>0]=0}while(0);I$(a,0,M)}}L=L+1|0}while((L|0)!=(F|0));O=c+J|0;break}else{P=E;Q=0}while(1){switch(G|0){case 56:{R=f_(f[P>>2]|0,l,10)|0;S=4;break}case 1:{R=f_(b[P>>0]|0,l,10)|0;S=1;break}case 2:{R=f_(j[P>>1]|0,l,10)|0;S=2;break}case 3:{R=f_(d[P>>1]|0,l,10)|0;S=2;break}case 4:{R=f_(f[P>>2]|0,l,10)|0;S=4;break}case 5:{x_(l,+n[P>>2])|0;R=l;S=4;break}case 6:{w_(l,+p[P>>3])|0;R=l;S=8;break}default:break c}L=P+S|0;switch(f[y>>2]|0){case 8:{m$(a,0,R,jfc(R)|0);break}case 16:{v$(a,0,R);break}default:{do if(I){K=jfc(R)|0;if(!K)break;if((b[R+(K+-1)>>0]|0)!=46)break;b[l+K>>0]=48;b[l+(K+1)>>0]=0}while(0);I$(a,0,R)}}Q=Q+1|0;if((Q|0)>=(F|0)){O=L;break d}else P=L}}else O=E;while(0);E=O-z|0;C=C+1|0;if((C|0)>=(t|0)){T=E;break}else D=E}}else T=A;if(!B)break b;else A=T}A=cuc(32)|0;f[m>>2]=A;f[m+8>>2]=-2147483616;f[m+4>>2]=16;q=A;r=263778;s=q+16|0;do{b[q>>0]=b[r>>0]|0;q=q+1|0;r=r+1|0}while((q|0)<(s|0));b[A+16>>0]=0;WD(-210,m,229782,228409,986)}while(0);u=i;return}while(0);F0(a,c,e,g);u=i;return}function Y_(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0;e=u;u=u+16|0;g=e;h=(a|0)!=0;if(h?(f[a>>2]|0)==1280131417:0){if(!((c|0)!=0&(d|0)!=0)){a=cuc(48)|0;f[g>>2]=a;f[g+8>>2]=-2147483600;f[g+4>>2]=42;i=a;j=229862;k=i+42|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));b[a+42>>0]=0;WD(-27,g,229843,228409,1028)}a=f[c>>2]|0;if(((a&7)+-1|0)>>>0<2){f[d+12>>2]=c;f[d+20>>2]=c+32;f[d+16>>2]=c;f[d+4>>2]=0;u=e;return}switch(a&7){case 5:{IK(f[c+8>>2]|0,d,0);u=e;return}case 0:{f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;f[d+16>>2]=0;f[d+20>>2]=0;f[d+24>>2]=0;f[d+28>>2]=0;u=e;return}default:{e=cuc(64)|0;f[g>>2]=e;f[g+8>>2]=-2147483584;f[g+4>>2]=56;i=e;j=229905;k=i+56|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));b[e+56>>0]=0;WD(-5,g,229843,228409,1048)}}}e=h?-5:-27;h=cuc(32)|0;f[g>>2]=h;f[g+8>>2]=-2147483616;f[g+4>>2]=31;i=h;j=236174;k=i+31|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));b[h+31>>0]=0;WD(e,g,229843,228409,1025)}function Z_(a,c,e,g,h){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0.0,K=0,L=0,M=0,N=0;i=u;u=u+1040|0;j=i+16|0;k=i;l=(a|0)!=0;if(!l){m=l?-5:-27;o=cuc(32)|0;f[k>>2]=o;q=k+8|0;f[q>>2]=-2147483616;r=k+4|0;f[r>>2]=31;s=o;t=236174;v=s+31|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));w=o+31|0;b[w>>0]=0;WD(m,k,229962,228409,1060)}if((f[a>>2]|0)!=1280131417){m=l?-5:-27;o=cuc(32)|0;f[k>>2]=o;q=k+8|0;f[q>>2]=-2147483616;r=k+4|0;f[r>>2]=31;s=o;t=236174;v=s+31|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));w=o+31|0;b[w>>0]=0;WD(m,k,229962,228409,1060)}if(!((c|0)!=0&(g|0)!=0)){m=cuc(48)|0;f[k>>2]=m;f[k+8>>2]=-2147483600;f[k+4>>2]=43;s=m;t=229981;v=s+43|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));b[m+43>>0]=0;WD(-27,k,229962,228409,1063)}m=c+4|0;if((e|0)!=1&(f[m>>2]|0)==0){w=cuc(64)|0;f[k>>2]=w;f[k+8>>2]=-2147483584;f[k+4>>2]=49;s=w;t=230025;v=s+49|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));b[w+49>>0]=0;WD(-201,k,229962,228409,1066)}w=D_(h,j,128)|0;o=F_(h,0)|0;h=(w|0)>0;r=c+12|0;q=c+20|0;l=e;e=g;a:while(1){if(h){g=e;x=0;a=0;y=l;while(1){z=x<<1;A=f[j+((z|1)<<2)>>2]|0;B=Y(675553809>>>(A<<2&28)&15,(A>>>3&511)+1|0)|0;C=f[j+(z<<2)>>2]|0;z=e+(a+-1+B&0-B)|0;b:do if((C|0)>0){B=z;D=y;E=0;while(1){F=f[r>>2]|0;c:do switch(f[F>>2]&7){case 1:{G=f[F+8>>2]|0;switch(A|0){case 0:{b[B>>0]=G>>>0<256?G:(G|0)>0?255:0;H=1;break c;break}case 1:{b[B>>0]=(G+128|0)>>>0<256?G:(G|0)>0?127:128;H=1;break c;break}case 2:{d[B>>1]=G>>>0<65536?G:(G|0)>0?65535:0;H=2;break c;break}case 3:{d[B>>1]=(G+32768|0)>>>0<65536?G:(G|0)>0?32767:32768;H=2;break c;break}case 4:{f[B>>2]=G;H=4;break c;break}case 5:{n[B>>2]=+(G|0);H=4;break c;break}case 6:{p[B>>3]=+(G|0);H=8;break c;break}case 56:{f[B>>2]=G;H=4;break c;break}default:{I=22;break a}}break}case 2:{J=+p[F+8>>3];switch(A|0){case 0:{G=Fhc(J)|0;b[B>>0]=G>>>0<256?G:(G|0)>0?255:0;H=1;break c;break}case 1:{G=Fhc(J)|0;b[B>>0]=(G+128|0)>>>0<256?G:(G|0)>0?127:128;H=1;break c;break}case 2:{G=Fhc(J)|0;d[B>>1]=G>>>0<65536?G:(G|0)>0?65535:0;H=2;break c;break}case 3:{G=Fhc(J)|0;d[B>>1]=(G+32768|0)>>>0<65536?G:(G|0)>0?32767:32768;H=2;break c;break}case 4:{G=Fhc(J)|0;f[B>>2]=G;H=4;break c;break}case 5:{n[B>>2]=J;H=4;break c;break}case 6:{p[B>>3]=J;H=8;break c;break}case 56:{G=Fhc(J)|0;f[B>>2]=G;H=4;break c;break}default:{I=32;break a}}break}default:{I=33;break a}}while(0);F=B+H|0;G=(f[r>>2]|0)+16|0;f[r>>2]=G;if(G>>>0>=(f[q>>2]|0)>>>0)QK(c,1);G=D+-1|0;if(!G){I=40;break a}K=E+1|0;if((K|0)<(C|0)){B=F;D=G;E=K}else{L=F;M=G;break b}}}else{L=z;M=y}while(0);z=x+1|0;if((z|0)<(w|0)){x=z;a=L-g|0;y=M}else{N=M;break}}}else N=l;l=N;e=e+o|0}if((I|0)==22){o=cuc(32)|0;f[k>>2]=o;f[k+8>>2]=-2147483616;f[k+4>>2]=16;s=o;t=263778;v=s+16|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));b[o+16>>0]=0;WD(-210,k,229962,228409,1126)}else if((I|0)==32){o=cuc(32)|0;f[k>>2]=o;f[k+8>>2]=-2147483616;f[k+4>>2]=16;s=o;t=263778;v=s+16|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));b[o+16>>0]=0;WD(-210,k,229962,228409,1176)}else if((I|0)==33){o=cuc(48)|0;f[k>>2]=o;f[k+8>>2]=-2147483600;f[k+4>>2]=46;s=o;t=230075;v=s+46|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));b[o+46>>0]=0;WD(-2,k,229962,228409,1182)}else if((I|0)==40){if(!((x|0)==(w+-1|0)&(E|0)==(C+-1|0))){C=cuc(64)|0;f[k>>2]=C;f[k+8>>2]=-2147483584;f[k+4>>2]=60;s=C;t=230122;v=s+60|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));b[C+60>>0]=0;WD(-201,k,229962,228409,1197)}if(f[m>>2]|0){u=i;return}f[r>>2]=(f[r>>2]|0)+-16;u=i;return}}function __(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;g=u;u=u+48|0;h=g+16|0;i=g;if(!((c|0)!=0&(d|0)!=0)){j=cuc(64)|0;f[i>>2]=j;f[i+8>>2]=-2147483584;f[i+4>>2]=54;k=j;l=230183;m=k+54|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));b[j+54>>0]=0;WD(-27,i,230238,228409,1211)}Y_(a,c,h);if((f[c>>2]&7|0)!=5){n=1;Z_(a,h,n,d,e);u=g;return}n=f[(f[c+8>>2]|0)+24>>2]|0;Z_(a,h,n,d,e);u=g;return}function $_(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;c=u;u=u+16|0;d=c;if(!a){e=cuc(32)|0;f[d>>2]=e;g=d+8|0;f[g>>2]=-2147483616;h=d+4|0;f[h>>2]=17;i=e;j=230252;k=i+17|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));l=e+17|0;b[l>>0]=0;WD(-201,d,230270,228409,1271)}if((f[a+4>>2]|0)!=40){e=cuc(32)|0;f[d>>2]=e;g=d+8|0;f[g>>2]=-2147483616;h=d+4|0;f[h>>2]=17;i=e;j=230252;k=i+17|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));l=e+17|0;b[l>>0]=0;WD(-201,d,230270,228409,1271)}if(((f[a+20>>2]|0?f[a+24>>2]|0:0)?f[a+28>>2]|0:0)?f[a+32>>2]|0:0){l=a+16|0;e=f[l>>2]|0;h=b[e>>0]|0;if(!(h<<24>>24==95|((h&-33)+-65&255)<26)){g=cuc(48)|0;f[d>>2]=g;f[d+8>>2]=-2147483600;f[d+4>>2]=41;i=g;j=230367;k=i+41|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));b[g+41>>0]=0;WD(-5,d,230270,228409,1281)}g=jfc(e)|0;if((g|0)>0){m=0;n=h}else{o=g+41|0;p=UC(o)|0;i=p;j=a;k=i+40|0;do{f[i>>2]=f[j>>2];i=i+4|0;j=j+4|0}while((i|0)<(k|0));q=p+40|0;r=p+16|0;f[r>>2]=q;s=f[l>>2]|0;t=g+1|0;szc(q|0,s|0,t|0)|0;f[p>>2]=0;v=f[137634]|0;w=p+12|0;f[w>>2]=v;x=p+8|0;f[x>>2]=0;y=v;z=(v|0)!=0;A=y+8|0;B=z?A:550540;f[B>>2]=p;f[137634]=p;u=c;return}a:while(1){if(!((n+-48&255)<10|((n&-33)+-65&255)<26))switch(n<<24>>24){case 45:case 95:break;default:{C=14;break a}}h=m+1|0;if((h|0)>=(g|0)){C=17;break}m=h;n=b[e+h>>0]|0}if((C|0)==14){e=cuc(64)|0;f[d>>2]=e;f[d+8>>2]=-2147483584;f[d+4>>2]=54;i=e;j=230409;k=i+54|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));b[e+54>>0]=0;WD(-5,d,230270,228409,1290)}else if((C|0)==17){o=g+41|0;p=UC(o)|0;i=p;j=a;k=i+40|0;do{f[i>>2]=f[j>>2];i=i+4|0;j=j+4|0}while((i|0)<(k|0));q=p+40|0;r=p+16|0;f[r>>2]=q;s=f[l>>2]|0;t=g+1|0;szc(q|0,s|0,t|0)|0;f[p>>2]=0;v=f[137634]|0;w=p+12|0;f[w>>2]=v;x=p+8|0;f[x>>2]=0;y=v;z=(v|0)!=0;A=y+8|0;B=z?A:550540;f[B>>2]=p;f[137634]=p;u=c;return}}c=cuc(96)|0;f[d>>2]=c;f[d+8>>2]=-2147483552;f[d+4>>2]=81;i=c;j=230285;k=i+81|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));b[c+81>>0]=0;WD(-27,d,230270,228409,1277)}function a$(a){a=a|0;var b=0,c=0,d=0;if(!a)return;b=f[137634]|0;if(!b)return;else c=b;while(1){if(!(Mec(f[c+16>>2]|0,a)|0))break;b=f[c+12>>2]|0;if(!b){d=8;break}else c=b}if((d|0)==8)return;d=c+8|0;a=f[d>>2]|0;b=c+12|0;f[((a|0)==0?550536:a+12|0)>>2]=f[b>>2];a=f[b>>2]|0;f[((a|0)==0?550540:a+8|0)>>2]=f[d>>2];if(!((f[137634]|0)!=0&(f[137635]|0)!=0)){f[137635]=0;f[137634]=0}VC(c);return}function b$(a){a=a|0;var b=0,c=0,d=0,e=0;if(!a){b=0;return b|0}c=f[137634]|0;if(!c){b=0;return b|0}else d=c;while(1){if(!(Mec(f[d+16>>2]|0,a)|0)){b=d;e=5;break}d=f[d+12>>2]|0;if(!d){b=0;e=5;break}}if((e|0)==5)return b|0;return 0}function c$(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;g=u;u=u+32|0;h=g+8|0;i=g;j=(a|0)!=0;if(!j){k=j?-5:-27;l=cuc(32)|0;f[h>>2]=l;m=h+8|0;f[m>>2]=-2147483616;n=h+4|0;f[n>>2]=31;o=l;p=236174;q=o+31|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));r=l+31|0;b[r>>0]=0;WD(k,h,230464,228409,1443)}if((f[a>>2]|0)!=1280131417){k=j?-5:-27;l=cuc(32)|0;f[h>>2]=l;m=h+8|0;f[m>>2]=-2147483616;n=h+4|0;f[n>>2]=31;o=l;p=236174;q=o+31|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));r=l+31|0;b[r>>0]=0;WD(k,h,230464,228409,1443)}if(!(f[a+8>>2]|0)){k=cuc(48)|0;f[h>>2]=k;f[h+8>>2]=-2147483600;f[h+4>>2]=38;o=k;p=236219;q=o+38|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[k+38>>0]=0;WD(-2,h,230464,228409,1443)}if(!d){k=cuc(48)|0;f[h>>2]=k;f[h+8>>2]=-2147483600;f[h+4>>2]=34;o=k;p=230472;q=o+34|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[k+34>>0]=0;WD(-27,h,230464,228409,1446)}k=f[137634]|0;if(!k){s=cuc(16)|0;f[h>>2]=s;t=h+8|0;f[t>>2]=-2147483632;v=h+4|0;f[v>>2]=14;o=s;p=230507;q=o+14|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));w=s+14|0;b[w>>0]=0;WD(-5,h,230464,228409,1450)}else x=k;while(1){if(di[f[x+20>>2]&1023](d)|0)break;k=f[x+12>>2]|0;if(!k){y=11;break}else x=k}if((y|0)==11){s=cuc(16)|0;f[h>>2]=s;t=h+8|0;f[t>>2]=-2147483632;v=h+4|0;f[v>>2]=14;o=s;p=230507;q=o+14|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));w=s+14|0;b[w>>0]=0;WD(-5,h,230464,228409,1450)}w=f[x+32>>2]|0;if(!w){x=cuc(48)|0;f[h>>2]=x;f[h+8>>2]=-2147483600;f[h+4>>2]=39;o=x;p=230522;q=o+39|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[x+39>>0]=0;WD(-5,h,230464,228409,1453)}else{x=e;e=f[x+4>>2]|0;p=i;f[p>>2]=f[x>>2];f[p+4>>2]=e;f[h>>2]=f[i>>2];f[h+4>>2]=f[i+4>>2];sh[w&255](a,c,d,h);u=g;return}}function d$(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;c=u;u=u+32|0;d=c+24|0;e=c+20|0;g=c+16|0;h=c+12|0;i=c;j=f[a+76>>2]|0;f[d>>2]=0;f[e>>2]=0;f[g>>2]=0;f[h>>2]=0;k=e$(a,j,2)|0;if(ahc(k,231331,5)|0)r_(a,231337,231349,231391,616);j=f$(a,k,d,g,h)|0;a:do if(b[j>>0]|0){k=a+32|0;l=j;while(1){m=e$(a,l,0)|0;if(!(b[m>>0]|0))break a;n=f$(a,m,d,g,h)|0;m=f[d>>2]|0;if(!((f[h>>2]|0)==1&(m|0)!=0)){o=8;break}if(Mec(f[m+8>>2]|0,231468)|0){o=8;break}p=f$(a,g$(a,n,RK(f[k>>2]|0,0)|0,0)|0,e,g,h)|0;if(!((f[h>>2]|0)==2?(m|0)==(f[e>>2]|0):0)){o=10;break}l=e$(a,p,0)|0;if(!(b[l>>0]|0))break a}if((o|0)==8)r_(a,231337,231483,231391,646);else if((o|0)==10)r_(a,231337,231515,231391,652)}while(0);if(!(f[a+92>>2]|0)){a=cuc(32)|0;f[i>>2]=a;f[i+8>>2]=-2147483616;f[i+4>>2]=18;o=a;e=231548;h=o+18|0;do{b[o>>0]=b[e>>0]|0;o=o+1|0;e=e+1|0}while((o|0)<(h|0));b[a+18>>0]=0;WD(-215,i,231337,231391,656)}else{u=c;return}}function e$(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;e=a+76|0;g=a+80|0;h=a+88|0;i=c;c=0;j=d;a:while(1){d=i+-1|0;b:do switch(j|0){case 1:{k=b[i>>0]|0;c:do if((k&255)>31|k<<24>>24==9){l=d;m=k;n=i;while(1){if((m<<24>>24==45?(b[l+2>>0]|0)==45:0)?(b[l+3>>0]|0)==62:0){o=l;p=45;q=n;break c}r=n+1|0;s=b[r>>0]|0;if((s&255)>31|s<<24>>24==9){t=n;m=s;n=r;l=t}else{o=n;p=s;q=r;break}}}else{o=d;p=k;q=i}while(0);k=p<<24>>24==45;u=(k^1)&1;v=c;w=k?o+4|0:q;break}case 3:{k=c;n=d;while(1){l=n+1|0;m=b[l>>0]|0;r=(m<<24>>24==60&1)+k+((m<<24>>24==62)<<31>>31)|0;if((r|0)<0){x=l;y=28;break a}if((m&255)>31|m<<24>>24==9){k=r;n=l}else{u=3;v=r;w=l;break}}break}default:{n=d;d:while(1){z=n+1|0;A=b[z>>0]|0;switch(A<<24>>24){case 9:case 32:{n=z;break}case 60:{break d;break}default:{y=18;break d}}}if((y|0)==18){y=0;if((A&255)>31){x=z;y=28;break a}else{u=j;v=c;w=z;break b}}if((b[n+2>>0]|0)!=33){x=z;y=28;break a}if((b[n+3>>0]|0)!=45){x=z;y=28;break a}if((b[n+4>>0]|0)!=45){x=z;y=28;break a}if(j|0){y=16;break a}u=1;v=c;w=n+5|0}}while(0);d=b[w>>0]|0;if((d&255)>31){i=w;c=v;j=u;continue}k=f[e>>2]|0;switch(d<<24>>24){case 13:case 10:case 0:break;default:{y=21;break a}}d=m_(a,k,(f[g>>2]|0)-k|0)|0;if(!d){y=27;break}k=d+((jfc(d)|0)+-1)|0;switch(b[k>>0]|0){case 13:case 10:break;default:if(!(n_(a)|0)){y=25;break a}}f[h>>2]=(f[h>>2]|0)+1;i=d;c=v;j=u}if((y|0)==16)r_(a,232544,232561,231391,65);else if((y|0)==21)r_(a,232544,235154,231391,77);else if((y|0)==25)r_(a,232544,233945,231391,90);else if((y|0)==27){u=f[e>>2]|0;b[u>>0]=0;f[a+92>>2]=1;x=u;return x|0}else if((y|0)==28)return x|0;return 0}function f$(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0;h=u;u=u+16|0;i=h;switch(b[c>>0]|0){case 0:{r_(a,232189,232204,231391,471);break}case 60:{j=c+1|0;k=b[j>>0]|0;if(k<<24>>24==0?(j|0)==((f[a+80>>2]|0)+-1|0):0){l=cuc(112)|0;f[i>>2]=l;f[i+8>>2]=-2147483536;f[i+4>>2]=98;m=l;n=234656;o=m+98|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));b[l+98>>0]=0;WD(-215,i,232189,231391,477)}a:do if(((k&-33)+-65&255)<26|(k+-48&255)<10){p=j;q=1}else switch(k<<24>>24){case 95:{p=j;q=1;break a;break}case 47:{p=c+2|0;q=2;break a;break}case 63:{p=c+2|0;q=4;break a;break}case 33:{p=c+2|0;q=5;break a;break}default:r_(a,232189,232260,231391,497)}while(0);c=a+80|0;j=(q|0)==4;k=(q|0)==1;l=i+8+4|0;r=(q|0)==2;s=a+16|0;t=b[p>>0]|0;if(((t&-33)+-65&255)<26|t<<24>>24==95){v=p;w=0;x=0;y=0;z=0}else r_(a,232189,232277,231391,504);b:while(1){p=v+-1|0;c:while(1){A=p+1|0;t=b[A>>0]|0;if((t+-48&255)<10|((t&-33)+-65&255)<26){p=A;continue}switch(t<<24>>24){case 45:case 95:{p=A;break}default:break c}}p=O_(a,v,A-v|0,1)|0;if(!p){B=19;break}if((b[A>>0]|0)==0?(A|0)==((f[c>>2]|0)+-1|0):0){B=22;break}if(!w){C=p;D=z;E=x;F=y}else{if(r){B=25;break}t=(y|0)!=0;if((z|0)>3|t^1){G=AK(f[s>>2]|0,44)|0;m=G+4|0;o=m+40|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(o|0));f[G>>2]=G+8;if(t){f[y+4>>2]=G;H=0;I=x;J=G}else{H=0;I=G;J=G}}else{H=z;I=x;J=y}f[(f[J>>2]|0)+(H<<1<<2)>>2]=f[p+8>>2];C=w;D=H;E=I;F=J}if(!F){K=A;L=D}else{if((b[A>>0]|0)!=61){M=e$(a,A,2)|0;if((b[M>>0]|0)==61)N=M;else{B=33;break}}else N=A;M=N+1|0;switch(b[M>>0]|0){case 39:case 34:{O=M;break}default:{P=e$(a,M,2)|0;switch(b[P>>0]|0){case 39:case 34:{O=P;break}default:{B=36;break b}}}}P=g$(a,O,i,3)|0;f[(f[F>>2]|0)+((D<<1|1)<<2)>>2]=f[l>>2];K=P;L=D+1|0}P=b[K>>0]|0;if(P<<24>>24==62){B=39;break}v=e$(a,K,2)|0;M=b[v>>0]|0;if(M<<24>>24==62){B=41;break}if(j&M<<24>>24==63){B=45;break}if(M<<24>>24==47?k&(b[v+1>>0]|0)==62:0){B=50;break}switch(P<<24>>24){case 0:case 9:case 10:case 11:case 12:case 13:case 32:break;default:{B=53;break b}}if(!(((M&-33)+-65&255)<26|M<<24>>24==95)){B=14;break}else{w=C;x=E;y=F;z=L}}switch(B|0){case 14:{r_(a,232189,232277,231391,504);break}case 19:{f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;b[i+11>>0]=8;B=i;f[B>>2]=1920234593;f[B+4>>2]=1701667182;b[i+8>>0]=0;WD(-215,i,232189,231391,511);break}case 22:{B=cuc(112)|0;f[i>>2]=B;f[i+8>>2]=-2147483536;f[i+4>>2]=98;m=B;n=234656;o=m+98|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));b[B+98>>0]=0;WD(-215,i,232189,231391,513);break}case 25:{r_(a,232189,232323,231391,520);break}case 33:{r_(a,232189,232369,231391,546);break}case 36:{r_(a,232189,232410,231391,554);break}case 39:{if(j)r_(a,232189,232469,231391,575);else Q=K;break}case 41:{if(j)r_(a,232189,232469,231391,575);else Q=v;break}case 45:{if((b[v+1>>0]|0)!=62)r_(a,232189,232469,231391,582);R=4;S=v+2|0;f[d>>2]=C;f[g>>2]=R;f[e>>2]=E;u=h;return S|0}case 50:{R=3;S=v+2|0;f[d>>2]=C;f[g>>2]=R;f[e>>2]=E;u=h;return S|0}case 53:{r_(a,232189,232503,231391,594);break}}R=q;S=Q+1|0;f[d>>2]=C;f[g>>2]=R;f[e>>2]=E;u=h;return S|0}default:r_(a,232189,232234,231391,474)}return 0}function g$(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0.0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0;g=u;u=u+4224|0;h=g+104|0;i=g;j=g+88|0;k=g+76|0;l=g+32|0;m=g+28|0;n=g+24|0;o=g+20|0;q=g+16|0;r=g+12|0;t=e&16;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;v=e&7;e=(v|0)==3;w=a+80|0;x=a+16|0;y=(v+-1|0)>>>0<4;z=d+8|0;A=a+92|0;B=j+4|0;C=j+8|0;D=j+8|0;E=i+11|0;F=i+4|0;G=j+11|0;H=j+4|0;I=k+4|0;J=k+8|0;K=a+76|0;L=k+8|0;M=c;c=1;N=1;a:while(1){O=b[M>>0]|0;switch(O<<24>>24){case 0:case 9:case 10:case 11:case 12:case 13:case 32:{P=5;break}case 60:{Q=b[M+1>>0]|0;if(Q<<24>>24==33)if((b[M+2>>0]|0)==45)P=5;else{R=60;S=c;T=M;U=33;P=7}else{R=60;S=c;T=M;U=Q;P=7}break}default:{V=O;W=M;X=c;P=6}}if((P|0)==5){P=0;O=e$(a,M,0)|0;V=b[O>>0]|0;W=O;X=1;P=6}b:do if((P|0)==6){P=0;O=b[W+1>>0]|0;switch(V<<24>>24){case 0:case 60:{R=V;S=X;T=W;U=O;P=7;break b;break}default:{}}if(!X){P=86;break a}Q=f[d>>2]|0;if(!Q)Y=d;else{if((Q&7)>>>0<=4)s_(a,5,d);Q=RK(f[z>>2]|0,0)|0;f[Q+4>>2]=0;Y=Q}c:do if(!e){d:do if((V+-48&255)<10)Z=V;else switch(V<<24>>24){case 43:case 45:{if(O<<24>>24==46|(O+-48&255)<10){Z=V;break d}else{P=106;break c}break}case 46:{if((O+-48&255)<10|((O&-33)+-65&255)<26){Z=46;break d}else{P=106;break c}break}default:{P=106;break c}}while(0);Q=W+((V<<24>>24==43|Z<<24>>24==45)&1)|0;while(1){f[m>>2]=Q;_=b[Q>>0]|0;if((_+-48&255)<10)Q=Q+1|0;else break}switch(_<<24>>24){case 101:case 46:{$=+y_(a,W,m);f[Y>>2]=2;p[Y+8>>3]=$;break}default:{Q=gfc(W,m,0)|0;f[Y>>2]=1;f[Y+8>>2]=Q}}Q=f[m>>2]|0;if((Q|0)==(W|0)){P=102;break a}if((b[Q>>0]|0)==0?(Q|0)==((f[w>>2]|0)+-1|0):0){P=105;break a}else aa=Q}else P=106;while(0);if((P|0)==106){P=0;kzc(h|0,0,4112)|0;f[Y>>2]=3;O=V<<24>>24==34;Q=0;ba=O?W:W+-1|0;e:while(1){ca=ba+1|0;da=b[ca>>0]|0;if(da<<24>>24==0?(ca|0)==((f[w>>2]|0)+-1|0):0){P=109;break a}f:do if(!((da+-48&255)<10|((da&-33)+-65&255)<26)){if(da<<24>>24==34){P=112;break e}if((da&255)<32|da<<24>>24==60){P=118;break e}if(O)switch(da<<24>>24){case 62:case 39:{P=121;break a;break}case 38:break;default:{ea=Q;fa=da;ga=ca;break f}}else switch(da<<24>>24){case 62:case 39:{P=121;break a;break}case 9:case 10:case 11:case 12:case 13:case 32:{ha=ca;break e;break}case 38:break;default:{ea=Q;fa=da;ga=ca;break f}}ia=ba+2|0;if((b[ia>>0]|0)==35){ja=ba+3|0;ka=(b[ja>>0]|0)==120;la=gfc(ka?ba+4|0:ja,m,ka?16:10)|0;ka=f[m>>2]|0;if(!(la>>>0<256&(ka|0)!=0)){P=125;break a}if((b[ka>>0]|0)!=59){P=125;break a}ea=Q;fa=la&255;ga=ka;break}f[m>>2]=ia;ka=ia;do{ka=ka+1|0;f[m>>2]=ka;ma=b[ka>>0]|0}while((ma+-48&255)<10|((ma&-33)+-65&255)<26);if(ma<<24>>24!=59){P=130;break a}la=ka-ia|0;switch(la|0){case 2:{if(!(ahc(ia,232116,2)|0)){ea=Q;fa=60;ga=ka;break f}if(!(ahc(ia,232119,2)|0)){ea=Q;fa=62;ga=ka;break f}break}case 3:{if(!(ahc(ia,232122,3)|0)){ea=Q;fa=38;ga=ka;break f}break}case 4:{if(!(ahc(ia,232126,4)|0)){ea=Q;fa=39;ga=ka;break f}if(!(ahc(ia,232131,4)|0)){ea=Q;fa=34;ga=ka;break f}break}default:{}}ja=la+2|0;szc(h+Q|0,ca|0,ja|0)|0;la=ja+Q|0;if((b[ka>>0]|0)==0?(ka|0)==((f[w>>2]|0)+-1|0):0){P=139;break a}else{ea=la;fa=59;ga=ka}}else{ea=Q;fa=da;ga=ca}while(0);b[h+ea>>0]=fa;if((ea|0)>4094){P=141;break a}else{Q=ea+1|0;ba=ga}}if((P|0)==112){P=0;if(!O){P=113;break a}ha=ba+2|0}else if((P|0)==118){P=0;if(O){P=119;break a}else ha=ca}CK(i,f[x>>2]|0,h,Q);da=Y+8|0;p[s>>3]=+p[i>>3];f[da>>2]=f[s>>2];f[da+4>>2]=f[s+4>>2];aa=ha}if(y){na=aa;oa=N;P=145;break a}else{pa=N;qa=0;ra=aa}}while(0);if((P|0)==7){P=0;f[n>>2]=0;f[o>>2]=0;f[q>>2]=0;f[r>>2]=0;if(!(U<<24>>24==47|R<<24>>24==0)){da=f$(a,T,n,q,r)|0;switch(f[r>>2]|0){case 5:{P=9;break a;break}case 3:{P=10;break a;break}case 1:break;default:{P=11;break a}}la=f[q>>2]|0;if((la|0)!=0?(ja=N_(la,235026)|0,(ja|0)!=0):0)if(Mec(ja,233535)|0)if(Mec(ja,233539)|0)if(Mec(ja,238206)|0)if(!(Mec(ja,235570)|0)){sa=1;ta=0;ua=0}else{la=b$(ja)|0;sa=0;ta=(la|0)==0?0:16;ua=la}else{sa=0;ta=5;ua=0}else{sa=0;ta=6;ua=0}else{sa=0;ta=3;ua=0}else{sa=0;ta=0;ua=0}la=f[n>>2]|0;if((f[la+4>>2]|0)==1)va=(b[f[la+8>>2]>>0]|0)==95;else va=0;ja=f[d>>2]&7;if(ja>>>0>4){if(va^(ja|0)==5){P=24;break}}else s_(a,va?5:6,d);if(va)wa=RK(f[z>>2]|0,0)|0;else wa=P_(a,d,la,1)|0;if(!wa){P=29;break}if(sa){ja=e$(a,da,2)|0;xa=ja;f[h>>2]=xa;if((f[A>>2]|0)==0?(ya=b[ja>>0]|0,ya<<24>>24!=60):0){if((ya&255)>31){za=1;while(1){Aa=b[ja+za>>0]|0;if((Aa&255)>31)za=za+1|0;else{Ba=za;Ca=Aa;break}}}else{Ba=0;Ca=ya}za=ja+Ba|0;if(!(Ca<<24>>24)){P=37;break}Aa=za;f[h>>2]=Aa;Da=Ba;Ea=za;Fa=Aa}else{Da=0;Ea=ja;Fa=xa}Aa=ja+Da|0;if(ja>>>0<Ea>>>0){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;if((Fa-xa|0)<32){P=41;break}f[j>>2]=0;f[B>>2]=0;f[C>>2]=0;za=cuc(25)|0;f[j>>2]=za;Ga=za+25|0;f[D>>2]=Ga;Ha=za;Ia=Ha+25|0;do{b[Ha>>0]=32;Ha=Ha+1|0}while((Ha|0)<(Ia|0));f[B>>2]=Ga;S$(ja,za,0,32)|0;if(!(X$(j,i)|0)){P=44;break}xa=b[E>>0]|0;if(!((xa<<24>>24<0?f[F>>2]|0:xa&255)|0)){P=44;break}xa=ja+32|0;ya=f[j>>2]|0;if(ya|0){if((f[B>>2]|0)!=(ya|0))f[B>>2]=ya;fuc(ya)};f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;vuc(j,131072);if((Da|0)>32){ya=Aa;Ja=Ea;Ka=xa;while(1){h$(j,Ka,ya)|0;Ka=e$(a,Ja,2)|0;f[h>>2]=Ka;do if(!(f[A>>2]|0)){xa=b[Ka>>0]|0;if(xa<<24>>24==60){La=Ka;break}if((xa&255)>31){Ma=Ka;while(1){Na=Ma+1|0;Oa=b[Na>>0]|0;if((Oa&255)>31)Ma=Na;else{Pa=Na;Qa=Oa;break}}}else{Pa=Ka;Qa=xa}if(!(Qa<<24>>24)){P=56;break a}f[h>>2]=Pa;La=Pa}else La=Ka;while(0);if(Ka>>>0>=La>>>0)break;else{ya=La;Ja=La}}}Ja=b[G>>0]|0;ya=Ja<<24>>24<0;Ka=ya?f[H>>2]|0:Ja&255;if(!Ka){P=60;break}if(!(T$(ya?f[j>>2]|0:j,0,Ka)|0)){P=60;break}Ka=b[G>>0]|0;ya=U$(Ka<<24>>24<0?f[H>>2]|0:Ka&255,1)|0;f[k>>2]=0;f[I>>2]=0;f[J>>2]=0;if(ya|0){if((ya|0)<0){P=63;break}Ka=cuc(ya)|0;f[I>>2]=Ka;f[k>>2]=Ka;f[L>>2]=Ka+ya;Ja=ya;ya=Ka;do{b[ya>>0]=0;ya=(f[I>>2]|0)+1|0;f[I>>2]=ya;Ja=Ja+-1|0}while((Ja|0)!=0)}Ja=b[G>>0]|0;ya=Ja<<24>>24<0;Ka=V$(ya?f[H>>2]|0:Ja&255,ya?f[j>>2]|0:j,0)|0;ya=f[k>>2]|0;b0(l,ya,(f[I>>2]|0)-ya|0);ya=b[G>>0]|0;Ja=ya<<24>>24<0;Aa=Ja?f[j>>2]|0:j;f0(l,Aa,Aa+(Ja?f[H>>2]|0:ya&255)|0)|0;d0(l)|0;c0(l);ya=F_((b[E>>0]|0)<0?f[i>>2]|0:i,0)|0;if((Ka|0)%(ya|0)|0|0){P=67;break}f[wa>>2]=0;s_(a,5,wa);w0(f[k>>2]|0,(Ka|0)/(ya|0)|0,(b[E>>0]|0)<0?f[i>>2]|0:i,f[wa+8>>2]|0);ya=f[((f[A>>2]|0)==0?h:K)>>2]|0;Ka=f[k>>2]|0;if(Ka|0){if((f[I>>2]|0)!=(Ka|0))f[I>>2]=Ka;fuc(Ka)}if((b[G>>0]|0)<0)fuc(f[j>>2]|0);if((b[E>>0]|0)<0)fuc(f[i>>2]|0);Ra=ya}else Ra=Ea;Sa=e$(a,Ra,0)|0}else Sa=g$(a,da,wa,ta)|0;if(!va)f[wa>>2]=f[wa>>2]|64;if(N)Ta=(f[wa>>2]&7)>>>0<5;else Ta=0;f[wa+4>>2]=ua;ya=f$(a,Sa,o,q,r)|0;if((f[r>>2]|0)==2?(f[o>>2]|0)==(la|0):0){Ua=1;Va=Ta;Wa=1;Xa=ya}else{P=83;break}}else{Ua=0;Va=N;Wa=S;Xa=T}if(Ua){pa=Va;qa=Wa;ra=Xa}else{na=Xa;oa=Va;P=145;break}}M=ra;c=qa;N=pa}switch(P|0){case 9:{r_(a,231567,231584,231391,237);break}case 10:{r_(a,231567,231620,231391,239);break}case 11:{pa=cuc(32)|0;f[h>>2]=pa;f[h+8>>2]=-2147483616;f[h+4>>2]=30;Ha=pa;Ya=231649;Ia=Ha+30|0;do{b[Ha>>0]=b[Ya>>0]|0;Ha=Ha+1|0;Ya=Ya+1|0}while((Ha|0)<(Ia|0));b[pa+30>>0]=0;WD(-215,h,231567,231391,241);break}case 24:{r_(a,231567,va?231680:231711,231391,275);break}case 29:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;b[h+11>>0]=4;f[h>>2]=1835363429;b[h+4>>0]=0;WD(-215,h,231567,231391,281);break}case 37:{r_(a,231763,233575,231391,115);break}case 41:{r_(a,231795,234571,231391,134);break}case 44:{r_(a,231795,234487,231391,139);break}case 56:{r_(a,231763,233575,231391,115);break}case 60:{r_(a,231795,234517,231391,155);break}case 63:{nsc(k);break}case 67:{r_(a,231795,231813,231391,173);break}case 83:{r_(a,231567,231848,231391,296);break}case 86:{r_(a,231567,231871,231391,302);break}case 102:{r_(a,231567,234755,231391,339);break}case 105:{k=cuc(112)|0;f[h>>2]=k;f[h+8>>2]=-2147483536;f[h+4>>2]=98;Ha=k;Ya=234656;Ia=Ha+98|0;do{b[Ha>>0]=b[Ya>>0]|0;Ha=Ha+1|0;Ya=Ya+1|0}while((Ha|0)<(Ia|0));b[k+98>>0]=0;WD(-215,h,231567,231391,342);break}case 109:{h=cuc(112)|0;f[i>>2]=h;f[i+8>>2]=-2147483536;f[i+4>>2]=98;Ha=h;Ya=234656;Ia=Ha+98|0;do{b[Ha>>0]=b[Ya>>0]|0;Ha=Ha+1|0;Ya=Ya+1|0}while((Ha|0)<(Ia|0));b[h+98>>0]=0;WD(-215,i,231567,231391,358);break}case 113:{r_(a,231567,231910,231391,364);break}case 119:{r_(a,231567,231963,231391,371);break}case 121:{r_(a,231567,231985,231391,376);break}case 125:{r_(a,231567,232036,231391,392);break}case 130:{r_(a,231567,232072,231391,401);break}case 139:{h=cuc(112)|0;f[i>>2]=h;f[i+8>>2]=-2147483536;f[i+4>>2]=98;Ha=h;Ya=234656;Ia=Ha+98|0;do{b[Ha>>0]=b[Ya>>0]|0;Ha=Ha+1|0;Ya=Ya+1|0}while((Ha|0)<(Ia|0));b[h+98>>0]=0;WD(-215,i,231567,231391,420);break}case 141:{r_(a,231567,233634,231391,425);break}case 145:{i=f[d>>2]|0;h=i&7;if(!h)if(v>>>0>4)P=148;else Za=i;else if(v>>>0>4&(h>>>0<5&(h|0)!=(v|0)))P=148;else Za=i;if((P|0)==148){s_(a,(v|0)==6?6:5,d);Za=f[d>>2]|0}P=Za&7;if(!((v|0)==0|(v|0)==(P|0)))r_(a,231567,232136,231391,447);if(P>>>0<5|oa^1){_a=Za|t;f[d>>2]=_a;u=g;return na|0}oa=f[z>>2]|0;f[oa>>2]=f[oa>>2]|256;_a=Za|t;f[d>>2]=_a;u=g;return na|0}}return 0}function h$(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;e=u;u=u+16|0;g=c;h=e;i=a+11|0;j=b[i>>0]|0;k=j<<24>>24<0;if(k){l=f[a+4>>2]|0;m=(f[a+8>>2]&2147483647)+-1|0}else{l=j&255;m=10}n=d-g|0;if(!n){u=e;return a|0}if(k){k=f[a>>2]|0;o=k;p=f[a+4>>2]|0;q=k}else{o=a;p=j&255;q=a}if(q>>>0<=c>>>0&(o+p|0)>>>0>c>>>0){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;if(n>>>0>4294967279)muc(h);if(n>>>0<11){b[h+11>>0]=n;r=h}else{p=n+16&-16;o=cuc(p)|0;f[h>>2]=o;f[h+8>>2]=p|-2147483648;f[h+4>>2]=n;r=o}if((c|0)==(d|0))s=r;else{o=r;p=c;while(1){b[o>>0]=b[p>>0]|0;p=p+1|0;if((p|0)==(d|0))break;else o=o+1|0}s=r+n|0}b[s>>0]=0;s=h+11|0;r=b[s>>0]|0;o=r<<24>>24<0;Cuc(a,o?f[h>>2]|0:h,o?f[h+4>>2]|0:r&255)|0;if((b[s>>0]|0)<0)fuc(f[h>>2]|0);u=e;return a|0}if((m-l|0)>>>0<n>>>0){zuc(a,m,l+n-m|0,l,l,0,0);t=b[i>>0]|0}else t=j;if(t<<24>>24<0)v=f[a>>2]|0;else v=a;t=v+l|0;if((c|0)==(d|0))w=t;else{j=d+(l-g)|0;g=c;c=t;while(1){b[c>>0]=b[g>>0]|0;g=g+1|0;if((g|0)==(d|0))break;else c=c+1|0}w=v+j|0}b[w>>0]=0;w=l+n|0;if((b[i>>0]|0)<0){f[a+4>>2]=w;u=e;return a|0}else{b[i>>0]=w;u=e;return a|0}return 0}function i$(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;g=u;u=u+80|0;h=g+56|0;i=g+16|0;j=g;k=d&15|32;if((d&7)>>>0<=4){l=cuc(80)|0;f[j>>2]=l;f[j+8>>2]=-2147483568;f[j+4>>2]=66;m=l;n=232591;o=m+66|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));b[l+66>>0]=0;WD(-5,j,232658,231391,762)}if((e|0)!=0?(b[e>>0]|0)!=0:0){f[i>>2]=235026;f[i+4>>2]=e;p=2}else p=0;f[i+(p<<2)>>2]=0;j$(a,c,1,i,0);i=a+44|0;f[h+20>>2]=f[i>>2]&-33;p=a+40|0;f[h+16>>2]=f[p>>2];e=a+48|0;l=e;n=f[l+4>>2]|0;m=h+8|0;f[m>>2]=f[l>>2];f[m+4>>2]=n;n=a+24|0;yK(f[n>>2]|0,h);RK(f[a+36>>2]|0,h)|0;f[p>>2]=(f[p>>2]|0)+2;if(!(d&8))u_(a)|0;f[i>>2]=k;if(!c){f[a+52>>2]=0;f[e>>2]=0;u=g;return}else{CK(j,f[n>>2]|0,c,-1);c=j;j=f[c+4>>2]|0;n=e;f[n>>2]=f[c>>2];f[n+4>>2]=j;u=g;return}}function j$(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;h=u;u=u+16|0;i=e;j=g;g=h;k=a+72|0;l=f[k>>2]|0;m=a+44|0;n=f[m>>2]|0;if(!c)o=0;else o=(b[c>>0]|0)==0?0:c;c=(d|0)==3;if((d|2|0)==3){p=n&7;if(p>>>0>4)if((p|0)==6^(o|0)!=0){p=cuc(96)|0;f[g>>2]=p;f[g+8>>2]=-2147483552;f[g+4>>2]=85;q=p;r=235276;s=q+85|0;do{b[q>>0]=b[r>>0]|0;q=q+1|0;r=r+1|0}while((q|0)<(s|0));b[p+85>>0]=0;WD(-5,g,232681,231391,682)}else t=n;else{f[a+12>>2]=0;t=o|0?38:37}if(!(t&32)){v=u_(a)|0;w=t}else{v=l;w=t}}else{v=l;w=n}if(o)if((b[o>>0]|0)==95?(b[o+1>>0]|0)==0:0){n=cuc(48)|0;f[g>>2]=n;f[g+8>>2]=-2147483600;f[g+4>>2]=33;q=n;r=232696;s=q+33|0;do{b[q>>0]=b[r>>0]|0;q=q+1|0;r=r+1|0}while((q|0)<(s|0));b[n+33>>0]=0;WD(-5,g,232681,231391,697)}else x=o;else x=406400;o=jfc(x)|0;n=v+1|0;b[v>>0]=60;do if((d|0)==2)if(!e){b[n>>0]=47;y=v+2|0;break}else{l=cuc(48)|0;f[g>>2]=l;f[g+8>>2]=-2147483600;f[g+4>>2]=45;q=l;r=232730;s=q+45|0;do{b[q>>0]=b[r>>0]|0;q=q+1|0;r=r+1|0}while((q|0)<(s|0));b[l+45>>0]=0;WD(-5,g,232681,231391,704)}else y=n;while(0);n=b[x>>0]|0;if(!(((n&-33)+-65&255)<26|n<<24>>24==95)){n=cuc(48)|0;f[g>>2]=n;f[g+8>>2]=-2147483600;f[g+4>>2]=35;q=n;r=232776;s=q+35|0;do{b[q>>0]=b[r>>0]|0;q=q+1|0;r=r+1|0}while((q|0)<(s|0));b[n+35>>0]=0;WD(-5,g,232681,231391,709)}n=t_(a,y,o)|0;a:do if((o|0)>0){y=0;b:while(1){v=b[x+y>>0]|0;if(!((v+-48&255)<10|((v&-33)+-65&255)<26))switch(v<<24>>24){case 45:case 95:break;default:break b}b[n+y>>0]=v;y=y+1|0;if((y|0)>=(o|0))break a}y=cuc(80)|0;f[g>>2]=y;f[g+8>>2]=-2147483568;f[g+4>>2]=74;q=y;r=232812;s=q+74|0;do{b[q>>0]=b[r>>0]|0;q=q+1|0;r=r+1|0}while((q|0)<(s|0));b[y+74>>0]=0;WD(-5,g,232681,231391,716)}while(0);g=n+o|0;o=i;i=j;while(1){if((o|0)!=0?(j=o,n=f[j>>2]|0,(n|0)!=0):0){r=j;j=g;q=n;while(1){n=jfc(q)|0;s=r+4|0;x=jfc(f[s>>2]|0)|0;l=t_(a,j,n+4+x|0)|0;v=l+1|0;b[l>>0]=32;szc(v|0,f[r>>2]|0,n|0)|0;l=v+n|0;n=l+1|0;b[l>>0]=61;l=n+1|0;b[n>>0]=34;szc(l|0,f[s>>2]|0,x|0)|0;s=l+x|0;x=s+1|0;b[s>>0]=34;r=r+8|0;q=f[r>>2]|0;if(!q){z=x;break}else j=x}}else z=g;if(!i)break;g=z;o=f[i>>2]|0;i=f[i+4>>2]|0}if(!c){A=z;B=A+1|0;b[A>>0]=62;f[k>>2]=B;C=w&-33;f[m>>2]=C;u=h;return}b[z>>0]=47;A=z+1|0;B=A+1|0;b[A>>0]=62;f[k>>2]=B;C=w&-33;f[m>>2]=C;u=h;return}function k$(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=u;u=u+48|0;d=c+16|0;e=c;g=a+36|0;if(!(f[(f[g>>2]|0)+24>>2]|0)){h=cuc(32)|0;f[e>>2]=h;f[e+8>>2]=-2147483616;f[e+4>>2]=20;i=h;j=232887;k=i+20|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));b[h+20>>0]=0;WD(-2,e,232908,231391,804)}else{j$(a,f[a+52>>2]|0,2,0,0);SK(f[g>>2]|0,d);f[a+40>>2]=f[d+16>>2];f[a+44>>2]=f[d+20>>2];g=d+8|0;e=f[g+4>>2]|0;h=a+48|0;f[h>>2]=f[g>>2];f[h+4>>2]=e;zK(f[a+24>>2]|0,d);u=c;return}}function l$(a){a=a|0;var b=0;if(f[a+12>>2]|0)return;b=a+36|0;if((f[(f[b>>2]|0)+24>>2]|0)>0)do k$(a);while((f[(f[b>>2]|0)+24>>2]|0)>0);f[a+40>>2]=0;u_(a)|0;g_(a,232929);f[a+72>>2]=f[a+76>>2];return}function m$(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;g=u;u=u+16|0;h=g;A_(a,0);switch(f[a+280>>2]|0){case 0:{z_(a,1);break}case 2:{i=cuc(48)|0;f[h>>2]=i;f[h+8>>2]=-2147483600;f[h+4>>2]=38;j=i;k=232952;l=j+38|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[i+38>>0]=0;WD(-2,h,232991,231391,845);break}default:{}}i=a+44|0;m=f[i>>2]&7;if((m|0)!=6?(n=(c|0)!=0,!(n&m>>>0<5)):0){m=a+72|0;o=f[m>>2]|0;p=f[a+76>>2]|0;q=o-p+e|0;if(n){n=cuc(64)|0;f[h>>2]=n;f[h+8>>2]=-2147483584;f[h+4>>2]=49;j=n;k=233009;l=j+49|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[n+49>>0]=0;WD(-5,h,232991,231391,863)}f[i>>2]=5;if((q|0)>(f[a+84>>2]|0)?(q-(f[a+40>>2]|0)|0)>10:0)r=13;else r=11;do if((r|0)==11){if(o>>>0>p>>>0?(b[o+-1>>0]|0)==62:0){r=13;break}if(o>>>0>(p+(f[a+40>>2]|0)|0)>>>0?(b[o+-1>>0]|0)!=62:0){b[o>>0]=32;s=o+1|0}else s=o}while(0);if((r|0)==13)s=u_(a)|0;szc(s|0,d|0,e|0)|0;f[m>>2]=s+e;u=g;return}j$(a,c,1,0,0);s=a+72|0;m=t_(a,f[s>>2]|0,e)|0;szc(m|0,d|0,e|0)|0;f[s>>2]=m+e;j$(a,c,2,0,0);u=g;return}function n$(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=u;u=u+128|0;e=f_(c,d,10)|0;m$(a,b,e,jfc(e)|0);u=d;return}function o$(a,b,c){a=a|0;b=b|0;c=+c;var d=0,e=0;d=u;u=u+128|0;e=d;m$(a,b,e,jfc(w_(e,c)|0)|0);u=d;return}function p$(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;g=u;u=u+24608|0;h=g;i=g+16|0;j=g+4|0;if(!d){k=cuc(32)|0;f[j>>2]=k;f[j+8>>2]=-2147483616;f[j+4>>2]=19;l=k;m=235644;n=l+19|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));b[k+19>>0]=0;WD(-27,j,233059,231391,904)}k=jfc(d)|0;if((k|0)>4096){o=cuc(32)|0;f[j>>2]=o;f[j+8>>2]=-2147483616;f[j+4>>2]=30;l=o;m=235683;n=l+30|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));b[o+30>>0]=0;WD(-5,j,233059,231391,908)}j=(e|0)!=0|(k|0)==0;if((!j?(b[d>>0]|0)==34:0)?(b[d+(k+-1)>>0]|0)==34:0){p=k;q=d;m$(a,c,q,p);u=g;return}e=j&1;j=i+1|0;b[i>>0]=34;if((k|0)>0){o=e;m=0;l=j;while(1){n=b[d+m>>0]|0;r=n&255;a:do if(n<<24>>24<0|n<<24>>24==32){b[l>>0]=n;s=l;t=1}else{b:do if((n&255)>=32){switch(n<<24>>24){case 34:case 38:case 39:case 60:case 62:{break b;break}default:{}}b[l>>0]=n;s=l;t=o;break a}while(0);v=l+1|0;b[l>>0]=38;switch(n<<24>>24){case 60:{b[v>>0]=108;b[v+1>>0]=116;w=3;break}case 62:{b[v>>0]=103;b[v+1>>0]=116;w=3;break}case 38:{b[v>>0]=b[232122]|0;b[v+1>>0]=b[232123]|0;b[v+2>>0]=b[232124]|0;w=4;break}case 39:{b[v>>0]=97;b[v+1>>0]=112;b[v+2>>0]=111;b[v+3>>0]=115;w=5;break}case 34:{b[v>>0]=113;b[v+1>>0]=117;b[v+2>>0]=111;b[v+3>>0]=116;w=5;break}default:{f[h>>2]=r;ihc(v,233077,h)|0;w=5}}v=l+w|0;b[v>>0]=59;s=v;t=1}while(0);r=s+1|0;m=m+1|0;if((m|0)==(k|0)){x=r;y=t;break}else{o=t;l=r}}}else{x=j;y=e}if(!y){e=b[d>>0]|0;if((e+-48&255)<10){z=1;A=26}else switch(e<<24>>24){case 46:case 45:case 43:{z=1;A=26;break}default:{B=x;C=1}}}else{z=y;A=26}if((A|0)==26){b[x>>0]=34;B=x+1|0;C=(z|0)==0}b[B>>0]=0;p=(C<<31>>31)-i+B|0;q=i+(C&1)|0;m$(a,c,q,p);u=g;return}function q$(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;e=u;u=u+16|0;g=e;h=e+4|0;if(!c){i=cuc(16)|0;f[h>>2]=i;f[h+8>>2]=-2147483632;f[h+4>>2]=12;j=i;k=235714;l=j+12|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[i+12>>0]=0;WD(-27,h,233084,231391,986)}if(Xgc(c,530940)|0){i=cuc(64)|0;f[h>>2]=i;f[h+8>>2]=-2147483584;f[h+4>>2]=49;j=i;k=233103;l=j+49|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[i+49>>0]=0;WD(-5,h,233084,231391,989)}h=jfc(c)|0;i=Ufc(c,10)|0;k=(i|0)!=0;j=a+72|0;l=f[j>>2]|0;if((d|0)!=0&(k^1)?((f[a+80>>2]|0)-l|0)>=(h+5|0):0)if(l>>>0>((f[a+76>>2]|0)+(f[a+40>>2]|0)|0)>>>0){b[l>>0]=32;m=l+1|0}else m=l;else m=u_(a)|0;if(!k){k=t_(a,m,h+9|0)|0;f[g>>2]=c;ihc(k,233158,g)|0;g=k+(jfc(k)|0)|0;f[j>>2]=g;u_(a)|0;u=e;return};b[m>>0]=b[233153]|0;b[m+1>>0]=b[233154]|0;b[m+2>>0]=b[233155]|0;b[m+3>>0]=b[233156]|0;b[m+4>>0]=b[233157]|0;f[j>>2]=m+4;m=i;i=c;c=u_(a)|0;while(1){if(!m)break;g=m-i|0;k=g+1|0;h=t_(a,c,k)|0;szc(h|0,i|0,k|0)|0;k=m+1|0;l=Ufc(k,10)|0;f[j>>2]=h+g;m=l;i=k;c=u_(a)|0}m=jfc(i)|0;k=t_(a,c,m)|0;szc(k|0,i|0,m|0)|0;f[j>>2]=k+m;m=u_(a)|0;b[m>>0]=45;b[m+1>>0]=45;b[m+2>>0]=62;b[m+3>>0]=0;f[j>>2]=m+3;u_(a)|0;u=e;return}function r$(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;c=s$(a,f[a+76>>2]|0,0)|0;if(!c)return;d=a+92|0;e=a+32|0;g=0;h=c;a:while(1){b:do if(!g){c=h;c:while(1){i=b[c>>0]|0;switch(i<<24>>24){case 45:{break c;break}case 37:break;default:{j=c;k=i;l=20;break b}}if(((ahc(c,233174,5)|0)==0?ahc(c,233180,8)|0:0)?ahc(c,233189,8)|0:0){l=16;break a}b[c>>0]=0;i=s$(a,c,0)|0;if(!i){l=30;break a}else c=i}if(!(ahc(c,233170,3)|0)){m=c;l=19}else n=c}else{i=h;while(1){o=b[i>>0]|0;switch(o<<24>>24){case 37:{if(((ahc(i,233174,5)|0)==0?ahc(i,233180,8)|0:0)?ahc(i,233189,8)|0:0){l=16;break a}b[i>>0]=0;break}case 45:{if(!(ahc(i,233170,3)|0)){m=i;l=19;break b}break}default:{j=i;k=o;l=20;break b}}i=s$(a,i,0)|0;if(!i){l=30;break a}}}while(0);do if((l|0)==19){l=0;n=m+3|0}else if((l|0)==20){l=0;if((k+-48&255)<10|((k&-33)+-65&255)<26|k<<24>>24==95)if(g){l=22;break a}else{n=j;break}else if(!(f[d>>2]|0)){l=24;break a}else{n=j;break}}while(0);i=s$(a,n,0)|0;if(ahc(i,532332,3)|0){c=RK(f[e>>2]|0,0)|0;o=t$(a,i,c,0,0)|0;if((f[c>>2]&7)>>>0<=4){l=27;break}c=s$(a,o,0)|0;if(!c){l=30;break}else p=c}else p=i;if(f[d>>2]|0){l=30;break}h=s$(a,p+3|0,0)|0;if(!h){l=30;break}else g=1}if((l|0)==16)r_(a,233198,233210,233252,566);else if((l|0)==22)r_(a,233198,233329,233252,582);else if((l|0)==24)r_(a,233198,233390,233252,588);else if((l|0)==27)r_(a,233198,233420,233252,599);else if((l|0)==30)return}function s$(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=a+80|0;g=a+76|0;h=a+88|0;i=c;a:while(1){j=i;b:while(1){k=b[j>>0]|0;switch(k<<24>>24){case 35:{l=5;break b;break}case 32:break;default:break b}j=j+1|0}if((l|0)==5){l=0;b[j>>0]=0;i=j;continue}if((k&255)>31){l=7;break}switch(k<<24>>24){case 13:case 10:case 0:break;default:{l=16;break a}}c=f[g>>2]|0;m=m_(a,c,(f[e>>2]|0)-c|0)|0;if(!m){l=15;break}c=m+((jfc(m)|0)+-1)|0;switch(b[c>>0]|0){case 13:case 10:break;default:if(!(n_(a)|0)){l=13;break a}}f[h>>2]=(f[h>>2]|0)+1;i=m}if((l|0)==7)if((j-(f[g>>2]|0)|0)<(d|0))r_(a,233928,233839,233252,31);else{n=j;return n|0}else if((l|0)==13)r_(a,233928,233945,233252,51);else if((l|0)==15){j=f[g>>2]|0;b[j+2>>0]=46;b[j+1>>0]=46;b[j>>0]=46;b[j+3>>0]=0;f[a+92>>2]=1;n=j;return n|0}else if((l|0)==16)r_(a,233928,k<<24>>24==9?233990:233616,233252,57);return 0}function t$(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0.0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0;h=u;u=u+5216|0;i=h;j=h+84|0;k=h+72|0;l=h+60|0;m=h+16|0;n=h+96|0;o=h+12|0;kzc(n|0,0,5120)|0;f[o>>2]=0;q=b[c>>0]|0;r=c+1|0;t=b[r>>0]|0;v=(e&8|0)!=0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;a:do if(q<<24>>24==33){switch(t<<24>>24){case 94:case 33:{w=r;x=16;break}default:{w=c;x=0}}b:do if(t<<24>>24==60){e=w+1|0;y=e;c:while(1){z=y+1|0;A=b[z>>0]|0;if((A&255)<32){B=e;C=x;break b}switch(A<<24>>24){case 32:{B=e;C=x;break b;break}case 62:{break c;break}default:y=z}}if((z-e|0)>>>0>19?(ahc(e,233482,19)|0)==0:0){b[z>>0]=32;B=w+19|0;C=16}else{B=e;C=x}}else{B=w;C=x}while(0);f[o>>2]=B;y=B;do{y=y+1|0;f[o>>2]=y;D=b[y>>0]|0}while((D&255)>=33);A=B+1|0;E=y-A|0;if(!E)r_(a,233502,233519,233252,233);b[y>>0]=0;F=(C&16|0)!=0;do if(F|(E|0)!=3){if(!(F|(E|0)!=5)){G=(ahc(A,532303,5)|0)==0;H=D;I=0;J=G?2:C;break}if((E|0)!=6|F^1){if(!F){H=D;I=0;J=C;break}G=b$(A)|0;f[d+4>>2]=G;if(G|0){H=D;I=0;J=C;break}f[d>>2]=f[d>>2]&-17;H=D;I=0;J=C;break}if(!(ahc(A,235570,6)|0)){b[f[o>>2]>>0]=D;G=f[o>>2]|0;while(1){K=G+1|0;f[o>>2]=K;if((b[K>>0]|0)==32)G=K;else break}e=G+2|0;f[o>>2]=e;K=b[e>>0]|0;b[e>>0]=0;H=K;I=1;J=5}else{H=D;I=0;J=C}}else if(ahc(A,233535,3)|0)if(ahc(A,532257,3)|0)if(!(ahc(A,238206,3)|0)){H=D;I=0;J=5}else{K=(ahc(A,233539,3)|0)==0;H=D;I=0;J=K?6:C}else{H=D;I=0;J=1}else{H=D;I=0;J=3}while(0);b[f[o>>2]>>0]=H;A=s$(a,f[o>>2]|0,g)|0;F=b[A>>0]|0;d:do if(!(J&16)){switch(J|0){case 1:{L=A;M=87;break a;break}case 2:{N=A;M=86;break a;break}case 3:break;default:{M=34;break d}}switch(F<<24>>24){case 34:case 39:break;default:{O=A;P=3;M=144;break a}}if(!I){Q=F;R=H;S=A;T=3;M=79;break a}}else M=34;while(0);if((M|0)==34?!I:0){Q=F;R=H;S=A;T=J;M=79;break}E=a+76|0;y=A-(f[E>>2]|0)|0;K=s$(a,A,0)|0;e=K;f[i>>2]=e;U=a+92|0;do if((f[U>>2]|0)==0?(e-(f[E>>2]|0)|0)==(y|0):0){V=0;while(1){W=K+V|0;X=b[W>>0]|0;if((X&255)>31)V=V+1|0;else break}if(!(X<<24>>24))r_(a,233543,233575,233252,79);else{G=W;f[i>>2]=G;Y=V;Z=W;_=G;break}}else{Y=0;Z=K;_=e}while(0);A=K+Y|0;if(K>>>0<Z>>>0){f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;if((_-e|0)<32)r_(a,233598,234571,233252,97);f[k>>2]=0;F=k+4|0;f[F>>2]=0;f[k+8>>2]=0;G=cuc(25)|0;f[k>>2]=G;$=G+25|0;f[k+8>>2]=$;aa=G;ba=aa+25|0;do{b[aa>>0]=32;aa=aa+1|0}while((aa|0)<(ba|0));f[F>>2]=$;S$(K,G,0,32)|0;if(!(X$(k,j)|0))r_(a,233598,234487,233252,102);e=j+11|0;ca=b[e>>0]|0;if(!((ca<<24>>24<0?f[j+4>>2]|0:ca&255)|0))r_(a,233598,234487,233252,102);ca=K+32|0;da=f[k>>2]|0;if(da|0){if((f[F>>2]|0)!=(da|0))f[F>>2]=da;fuc(da)};f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;vuc(k,131072);e:do if((Y|0)>32){da=A;ea=Z;fa=ca;while(1){h$(k,fa,da)|0;fa=s$(a,ea,0)|0;ga=fa;f[i>>2]=ga;if((f[U>>2]|0)==0?(ga-(f[E>>2]|0)|0)==(y|0):0){ga=fa;while(1){ha=b[ga>>0]|0;if((ha&255)>31)ga=ga+1|0;else break}if(!(ha<<24>>24))break;f[i>>2]=ga;ia=ga}else ia=fa;if(fa>>>0>=ia>>>0)break e;else{da=ia;ea=ia}}r_(a,233543,233575,233252,79)}while(0);y=k+11|0;ca=b[y>>0]|0;A=ca<<24>>24<0;F=k+4|0;K=A?f[F>>2]|0:ca&255;if(!K)r_(a,233598,234517,233252,118);if(!(T$(A?f[k>>2]|0:k,0,K)|0))r_(a,233598,234517,233252,118);K=b[y>>0]|0;A=U$(K<<24>>24<0?f[F>>2]|0:K&255,1)|0;f[l>>2]=0;K=l+4|0;f[K>>2]=0;f[l+8>>2]=0;if(A|0){if((A|0)<0)nsc(l);ca=cuc(A)|0;f[K>>2]=ca;f[l>>2]=ca;f[l+8>>2]=ca+A;G=A;A=ca;do{b[A>>0]=0;A=(f[K>>2]|0)+1|0;f[K>>2]=A;G=G+-1|0}while((G|0)!=0)}G=b[y>>0]|0;A=G<<24>>24<0;ca=V$(A?f[F>>2]|0:G&255,A?f[k>>2]|0:k,0)|0;A=f[l>>2]|0;b0(m,A,(f[K>>2]|0)-A|0);A=b[y>>0]|0;G=A<<24>>24<0;$=G?f[k>>2]|0:k;f0(m,$,$+(G?f[F>>2]|0:A&255)|0)|0;d0(m)|0;c0(m);A=F_((b[e>>0]|0)<0?f[j>>2]|0:j,0)|0;if((ca|0)%(A|0)|0|0)r_(a,233598,234538,233252,136);f[d>>2]=0;s_(a,13,d);w0(f[l>>2]|0,(ca|0)/(A|0)|0,(b[e>>0]|0)<0?f[j>>2]|0:j,f[d+8>>2]|0);A=f[((f[U>>2]|0)==0?i:E)>>2]|0;ca=f[l>>2]|0;if(ca|0){if((f[K>>2]|0)!=(ca|0))f[K>>2]=ca;fuc(ca)}if((b[y>>0]|0)<0)fuc(f[k>>2]|0);if((b[e>>0]|0)<0)fuc(f[j>>2]|0);ja=A}else ja=Z;ka=ja;u=h;return ka|0}else{Q=q;R=t;S=c;T=0;M=79}while(0);f:do if((M|0)==79){g:do if((Q+-48&255)<10)la=Q;else{switch(Q<<24>>24){case 43:case 45:{if(R<<24>>24==46|(R+-48&255)<10){la=Q;break g}else M=117;break}case 46:{if((R+-48&255)<10|((R&-33)+-65&255)<26){la=46;break g}else ma=46;break}case 34:case 39:{f[d>>2]=3;h:do if(Q<<24>>24==39){c=0;t=S;while(1){q=t+1|0;ja=b[q>>0]|0;if(!((ja+-48&255)<10|((ja&-33)+-65&255)<26)?!(ja<<24>>24!=39&(ja&255)>31):0){if(ja<<24>>24!=39){M=99;break}Z=t+2|0;if((b[Z>>0]|0)==39){na=Z;oa=39}else{pa=Z;qa=c;break h}}else{na=q;oa=ja}b[n+c>>0]=oa;c=c+1|0;if((c|0)>=4096){M=115;break}else t=na}if((M|0)==99)r_(a,233502,233616,233252,353);else if((M|0)==115)r_(a,233502,233634,233252,400)}else{t=0;c=S;i:while(1){ga=c+1|0;ja=b[ga>>0]|0;j:do if((ja+-48&255)<10|((ja&-33)+-65&255)<26){ra=ga;sa=ja;M=105}else{switch(ja<<24>>24){case 34:{M=103;break i;break}case 92:break;default:if((ja&255)>31){ra=ga;sa=ja;M=105;break j}else{M=114;break i}}q=c+2|0;Z=b[q>>0]|0;switch(Z<<24>>24){case 39:{ra=q;sa=39;M=105;break j;break}case 92:case 34:{ra=q;sa=Z;M=105;break j;break}case 110:{ra=q;sa=10;M=105;break j;break}case 114:{ra=q;sa=13;M=105;break j;break}case 116:{ra=q;sa=9;M=105;break j;break}default:{k=Z<<24>>24==120;if(!k?!(Z<<24>>24<56&(Z+-48&255)<10):0){ta=t;ua=q;break j}Z=c+5|0;l=b[Z>>0]|0;b[Z>>0]=0;m=q+(k&1)|0;ia=gfc(m,o,k?8:16)|0;b[Z>>0]=l;l=f[o>>2]|0;Z=(l|0)==(m|0);ra=Z?q:l;sa=Z?120:ia&255;M=105;break j}}}while(0);if((M|0)==105){M=0;b[n+t>>0]=sa;ta=t+1|0;ua=ra}if((ta|0)<4096){t=ta;c=ua}else{M=115;break}}if((M|0)==103){pa=c+2|0;qa=t;break}else if((M|0)==114)r_(a,233502,233616,233252,396);else if((M|0)==115)r_(a,233502,233634,233252,400)}while(0);CK(i,f[a+16>>2]|0,n,qa);ja=d+8|0;p[s>>3]=+p[i>>3];f[ja>>2]=f[s>>2];f[ja+4>>2]=f[s+4>>2];ka=pa;u=h;return ka|0}default:M=117}k:do if((M|0)==117){ja=Q<<24>>24==91;switch(Q<<24>>24){case 91:case 123:break;default:if(Q<<24>>24==45&(v^1)){va=5;wa=S;break f}else{ma=Q;break k}}ga=((v^1)&1)+g|0;ia=Q<<24>>24==123?14:13;Z=ia&7;s_(a,(f[d+4>>2]|0?16:0)|Z,d);l=d+8|0;q=(Z|0)==6;Z=1;m=S+1|0;l:while(1){f[i>>2]=0;xa=s$(a,m,ga)|0;ya=b[xa>>0]|0;switch(ya<<24>>24){case 93:case 125:{M=120;break l;break}default:{}}if(!(f[(f[l>>2]|0)+24>>2]|0))za=xa;else{if(ya<<24>>24!=44){M=125;break}za=s$(a,xa+1|0,ga)|0}if(q){k=s$(a,u$(a,za,d,i)|0,ga)|0;ha=f[i>>2]|0;Aa=k;Ba=ha;Ca=ha}else{if((b[za>>0]|0)==93){Da=za;break}ha=RK(f[l>>2]|0,0)|0;f[i>>2]=ha;Aa=za;Ba=ha;Ca=ha}if(!Ba){M=132;break}ha=t$(a,Aa,Ba,ia,ga)|0;if(q)f[Ca>>2]=f[Ca>>2]|64;if(Z)Ea=(f[Ca>>2]&7)>>>0<5;else Ea=0;Z=Ea;m=ha}do if((M|0)==120)if((ya<<24>>24|0)==((ja?93:125)|0)){Da=xa+1|0;break}else r_(a,233502,233658,233252,423);else if((M|0)==125)r_(a,233502,233684,233252,431);else if((M|0)==132){f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;b[j+11>>0]=4;f[j>>2]=1835363429;b[j+4>>0]=0;WD(-215,j,233502,233252,446)}while(0);ja=f[l>>2]|0;f[ja>>2]=f[ja>>2]|(Z?256:0);ka=Da;u=h;return ka|0}while(0);if(v){O=S;P=T;M=144;break f}switch(ma<<24>>24){case 63:{r_(a,233502,233715,233252,465);break}case 62:case 124:{r_(a,233502,233746,233252,467);break}default:{O=S;P=T;M=144;break f}}}while(0);e=S+((la<<24>>24==45|la<<24>>24==43)&1)|0;while(1){f[o>>2]=e;Fa=b[e>>0]|0;if((Fa+-48&255)<10)e=e+1|0;else break}switch(Fa<<24>>24){case 101:case 46:{N=S;M=86;break}default:{L=S;M=87}}}while(0);if((M|0)==86){Ga=+y_(a,N,o);f[d>>2]=2;p[d+8>>3]=Ga;Ha=N;M=88}else if((M|0)==87){N=gfc(L,o,0)|0;f[d>>2]=1;f[d+8>>2]=N;Ha=L;M=88}else if((M|0)==144){f[o>>2]=O;L=b[O>>0]|0;if((L&255)<=31)r_(a,233502,233616,233252,479);m:do if(v){N=L;S=O;while(1){switch(N<<24>>24){case 93:case 125:case 44:{Ia=N;Ja=S;break m;break}default:{}}Fa=S+1|0;f[o>>2]=Fa;la=b[Fa>>0]|0;if((la&255)>31){N=la;S=Fa}else{Ia=la;Ja=Fa;break m}}}else{if((P|0)==3){S=O;while(1){N=S+1|0;f[o>>2]=N;Fa=b[N>>0]|0;if((Fa&255)>31)S=N;else{Ia=Fa;Ja=N;break m}}}else{Ka=L;La=O}while(1){if(Ka<<24>>24==58){Ia=58;Ja=La;break m}S=La+1|0;f[o>>2]=S;N=b[S>>0]|0;if((N&255)>31){Ka=N;La=S}else{Ia=N;Ja=S;break}}}while(0);if((Ja|0)==(O|0))r_(a,233502,233616,233252,479);if(Ia<<24>>24==58&(v^1)){va=6;wa=O}else{f[d>>2]=3;v=Ja;while(1){Ja=v+-1|0;if(Ja>>>0<=O>>>0)break;if((b[Ja>>0]|0)==32)v=Ja;else break}CK(i,f[a+16>>2]|0,O,v-O|0);O=d+8|0;p[s>>3]=+p[i>>3];f[O>>2]=f[s>>2];f[O+4>>2]=f[s+4>>2];ka=f[o>>2]|0;u=h;return ka|0}}if((M|0)==88){O=f[o>>2]|0;if((O|0)==0|(O|0)==(Ha|0))r_(a,233502,234755,233252,331);if(b[O>>0]|0){ka=O;u=h;return ka|0}if((O|0)==((f[a+80>>2]|0)+-1|0)){Ha=cuc(112)|0;f[i>>2]=Ha;f[i+8>>2]=-2147483536;f[i+4>>2]=98;aa=Ha;o=234656;ba=aa+98|0;do{b[aa>>0]=b[o>>0]|0;aa=aa+1|0;o=o+1|0}while((aa|0)<(ba|0));b[Ha+98>>0]=0;WD(-215,i,233502,233252,334)}else{ka=O;u=h;return ka|0}}s_(a,(f[d+4>>2]|0?16:0)|va,d);O=a+76|0;Ha=wa-(f[O>>2]|0)|0;o=Ha+1|0;aa=d+8|0;n:do if((va|0)!=6){ba=1;v=wa;while(1){f[i>>2]=0;if((b[v>>0]|0)!=45){M=164;break}Ja=RK(f[aa>>2]|0,0)|0;f[i>>2]=Ja;if(!Ja){M=166;break}Ia=t$(a,s$(a,v+1|0,o)|0,Ja,va,o)|0;if(ba)Ma=(f[Ja>>2]&7)>>>0<5;else Ma=0;Ja=s$(a,Ia,0)|0;Ia=Ja-(f[O>>2]|0)|0;if((Ia|0)!=(Ha|0)){Na=Ia;Oa=Ja;Pa=Ma;M=170;break n}if(!(ahc(Ja,532332,3)|0)){Qa=Ma;Ra=Ja;break n}else{ba=Ma;v=Ja}}if((M|0)==164)r_(a,233502,233789,233252,516);else if((M|0)==166){f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;Sa=j+11|0;b[Sa>>0]=4;f[j>>2]=1835363429;Ta=j+4|0;b[Ta>>0]=0;WD(-215,j,233502,233252,520)}}else{v=1;ba=wa;while(1){f[i>>2]=0;Ja=u$(a,ba,d,i)|0;Ia=f[i>>2]|0;if(!Ia)break;La=t$(a,s$(a,Ja,o)|0,Ia,6,o)|0;Ja=f[Ia>>2]|0;f[Ia>>2]=Ja|64;Ia=v&(Ja&7)>>>0<5;Ja=s$(a,La,0)|0;La=Ja-(f[O>>2]|0)|0;if((La|0)!=(Ha|0)){Na=La;Oa=Ja;Pa=Ia;M=170;break n}if(!(ahc(Ja,532332,3)|0)){Qa=Ia;Ra=Ja;break n}else{v=Ia;ba=Ja}}f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;Sa=j+11|0;b[Sa>>0]=4;f[j>>2]=1835363429;Ta=j+4|0;b[Ta>>0]=0;WD(-215,j,233502,233252,520)}while(0);do if((M|0)==170)if((Na|0)<(Ha|0)){Qa=Pa;Ra=Oa;break}else r_(a,233502,233839,233252,533);while(0);a=f[aa>>2]|0;f[a>>2]=f[a>>2]|(Qa?256:0);ka=Ra;u=h;return ka|0}function u$(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0;if((b[c>>0]|0)==45)r_(a,233861,233876,233252,162);g=c+-1|0;while(1){h=g+1|0;i=b[h>>0]|0;j=i<<24>>24!=58;if((i&255)<32|j^1)break;else g=h}if(j)r_(a,233861,233903,233252,168);else k=h;while(1){h=k+-1|0;if((b[h>>0]|0)==32)k=h;else break}if((k|0)==(c|0))r_(a,233861,233915,233252,176);else{h=P_(a,d,O_(a,c,k-c|0,1)|0,1)|0;f[e>>2]=h;return g+2|0}return 0}function v$(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;e=u;u=u+16|0;g=e;A_(a,0);switch(f[a+280>>2]|0){case 0:{z_(a,1);break}case 2:{h=cuc(48)|0;f[g>>2]=h;f[g+8>>2]=-2147483600;f[g+4>>2]=36;i=h;j=235186;k=i+36|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));b[h+36>>0]=0;WD(-2,g,234019,233252,628);break}default:{}}h=a+44|0;l=f[h>>2]|0;if(!c)m=0;else m=(b[c>>0]|0)==0?0:c;c=l&7;n=(m|0)!=0;if(c>>>0>4)if((c|0)==6^n){c=cuc(96)|0;f[g>>2]=c;f[g+8>>2]=-2147483552;f[g+4>>2]=85;i=c;j=235276;k=i+85|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));b[c+85>>0]=0;WD(-5,g,234019,233252,645)}else o=l;else{f[a+12>>2]=0;o=n?38:37}if(n){l=jfc(m)|0;if(!l){c=cuc(32)|0;f[g>>2]=c;f[g+8>>2]=-2147483616;f[g+4>>2]=19;i=c;j=235236;k=i+19|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));b[c+19>>0]=0;WD(-5,g,234019,233252,657)}if((l|0)>4096){c=cuc(32)|0;f[g>>2]=c;f[g+8>>2]=-2147483616;f[g+4>>2]=19;i=c;j=235256;k=i+19|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));b[c+19>>0]=0;WD(-5,g,234019,233252,660)}else p=l}else p=0;l=(d|0)!=0;if(l)q=jfc(d)|0;else q=0;c=(o&8|0)==0;do if(c){r=u_(a)|0;if((o&7|0)!=6){s=r+1|0;b[r>>0]=45;if(l){b[s>>0]=32;t=r+2|0}else t=s}else t=r}else{r=a+72|0;s=f[r>>2]|0;if(!(o&32)){b[s>>0]=44;v=s+1|0}else v=s;s=q+p-(f[a+76>>2]|0)+v|0;if((s|0)>(f[a+84>>2]|0)?(s-(f[a+40>>2]|0)|0)>10:0){f[r>>2]=v;t=u_(a)|0;break}b[v>>0]=32;t=v+1|0}while(0);if(n){n=b[m>>0]|0;if(!(((n&-33)+-65&255)<26|n<<24>>24==95)){n=cuc(48)|0;f[g>>2]=n;f[g+8>>2]=-2147483600;f[g+4>>2]=33;i=n;j=235362;k=i+33|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));b[n+33>>0]=0;WD(-5,g,234019,233252,695)}n=t_(a,t,p)|0;a:do if((p|0)>0){v=0;b:while(1){r=b[m+v>>0]|0;b[n+v>>0]=r;if(!((r+-48&255)<10|((r&-33)+-65&255)<26))switch(r<<24>>24){case 32:case 45:case 95:break;default:break b}v=v+1|0;if((v|0)>=(p|0))break a}v=cuc(96)|0;f[g>>2]=v;f[g+8>>2]=-2147483552;f[g+4>>2]=80;i=v;j=235396;k=i+80|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));b[v+80>>0]=0;WD(-5,g,234019,233252,705)}while(0);g=n+p|0;p=g+1|0;b[g>>0]=58;if(l&c){b[p>>0]=32;w=p+1|0}else w=p}else w=t;if(!l){x=w;y=a+72|0;f[y>>2]=x;z=o&-33;f[h>>2]=z;u=e;return}l=t_(a,w,q)|0;szc(l|0,d|0,q|0)|0;x=l+q|0;y=a+72|0;f[y>>2]=x;z=o&-33;f[h>>2]=z;u=e;return}function w$(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;g=u;u=u+5152|0;h=g+8|0;i=g;j=g+24|0;k=g+32|0;l=g+12|0;if(!e)m=0;else m=(b[e>>0]|0)==0?0:e;e=d&15;n=e|32;o=d&7;if(o>>>0<=4){p=cuc(80)|0;f[l>>2]=p;f[l+8>>2]=-2147483568;f[l+4>>2]=68;q=p;r=235477;s=q+68|0;do{b[q>>0]=b[r>>0]|0;q=q+1|0;r=r+1|0}while((q|0)<(s|0));b[p+68>>0]=0;WD(-5,l,234031,233252,738)}l=(m|0)!=0;if(l?(ahc(m,235570,6)|0)==0:0){q=k;r=234054;s=q+11|0;do{b[q>>0]=b[r>>0]|0;q=q+1|0;r=r+1|0}while((q|0)<(s|0));t=5;v=k}else w=8;do if((w|0)==8){if(!(d&8)){if(!l){t=n;v=0;break}f[h>>2]=m;ihc(k,234073,h)|0;t=n;v=k;break}r=(o|0)==6?123:91;q=e|40;if(l){f[i>>2]=m;f[i+4>>2]=r&255;ihc(k,234065,i)|0;t=q;v=k;break}else{b[k>>0]=r;b[k+1>>0]=0;t=q;v=k;break}}while(0);v$(a,c,v);v=a+44|0;f[j>>2]=f[v>>2];RK(f[a+36>>2]|0,j)|0;f[v>>2]=t;v=a+40|0;if(f[j>>2]&8|0){u=g;return}f[v>>2]=(t>>>3&1)+3+(f[v>>2]|0);u=g;return}function x$(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;c=u;u=u+16|0;d=c+12|0;e=c;f[d>>2]=0;g=a+44|0;h=f[g>>2]|0;i=f[a+36>>2]|0;if(!(f[i+24>>2]|0)){j=cuc(48)|0;f[e>>2]=j;f[e+8>>2]=-2147483600;f[e+4>>2]=44;k=j;l=235577;m=k+44|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));b[j+44>>0]=0;WD(-2,e,234078,233252,785)}SK(i,d);i=h&8;if(!i){if(h&32|0){e=u_(a)|0;j=(h&7|0)==6?32123:23899;b[e>>0]=j;b[e+1>>0]=j>>8;n=a+72|0;o=e+2|0;p=9}}else{e=a+72|0;j=f[e>>2]|0;if((h&32|0)==0?j>>>0>((f[a+76>>2]|0)+(f[a+40>>2]|0)|0)>>>0:0){b[j>>0]=32;q=j+1|0}else q=j;b[q>>0]=(h&7|0)==6?125:93;n=e;o=q+1|0;p=9}if((p|0)==9)f[n>>2]=o;o=f[d>>2]|0;d=a+40|0;if(o&8|0){f[g>>2]=o;u=c;return}f[d>>2]=-3-(i>>>3)+(f[d>>2]|0);f[g>>2]=o;u=c;return}function y$(a){a=a|0;var b=0;if(f[a+12>>2]|0)return;b=a+36|0;if((f[(f[b>>2]|0)+24>>2]|0)>0)do x$(a);while((f[(f[b>>2]|0)+24>>2]|0)>0);f[a+40>>2]=0;u_(a)|0;g_(a,234099);g_(a,234104);f[a+72>>2]=f[a+76>>2];return}function z$(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;d=u;u=u+128|0;v$(a,b,f_(c,d,10)|0);u=d;return}function A$(a,b,c){a=a|0;b=b|0;c=+c;var d=0;d=u;u=u+128|0;v$(a,b,w_(d,c)|0);u=d;return}function B$(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;g=u;u=u+16416|0;h=g;i=g+16|0;j=g+4|0;if(!d){k=cuc(32)|0;f[j>>2]=k;f[j+8>>2]=-2147483616;f[j+4>>2]=19;l=k;m=235644;n=l+19|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));b[k+19>>0]=0;WD(-27,j,234109,233252,849)}k=jfc(d)|0;if((k|0)>4096){o=cuc(32)|0;f[j>>2]=o;f[j+8>>2]=-2147483616;f[j+4>>2]=30;l=o;m=235683;n=l+30|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));b[o+30>>0]=0;WD(-5,j,234109,233252,853)}if((e|0)!=0|(k|0)==0)p=1;else{e=b[d>>0]|0;a:do if(e<<24>>24==(b[d+(k+-1)>>0]|0)){switch(e<<24>>24){case 39:case 34:{q=d;break}default:break a}v$(a,c,q);u=g;return}while(0);p=e<<24>>24==32}e=p&1;j=i+1|0;b[i>>0]=34;if((k|0)>0){o=j;m=e;l=0;n=p;while(1){r=b[d+l>>0]|0;s=r+-48<<24>>24;b:do if(!n){t=(r&-33)+-65<<24>>24;if((s&255)<10|(t&255)<26){v=0;w=t}else{switch(r<<24>>24){case 32:case 40:case 41:case 43:case 45:case 47:case 59:case 95:{v=0;w=t;break b;break}default:{}}v=1;w=t}}else{v=m;w=(r&-33)+-65<<24>>24}while(0);c:do if((s&255)<10|(w&255)<26)x=24;else{if((r&255)>31){switch(r<<24>>24){case 34:case 39:case 92:break;default:{x=24;break c}}b[o>>0]=92;b[o+1>>0]=r;y=o+2|0;break}t=o+1|0;b[o>>0]=92;switch(r<<24>>24){case 10:{b[t>>0]=110;y=o+2|0;break c;break}case 13:{b[t>>0]=114;y=o+2|0;break c;break}case 9:{b[t>>0]=116;y=o+2|0;break c;break}default:{f[h>>2]=r<<24>>24;ihc(t,234127,h)|0;y=o+4|0;break c}}}while(0);if((x|0)==24){x=0;b[o>>0]=r;y=o+1|0}l=l+1|0;s=(v|0)!=0;if((l|0)==(k|0)){z=y;A=v;B=s;break}else{o=y;m=v;n=s}}}else{z=j;A=e;B=p}if(!B){B=b[d>>0]|0;if((B+-48&255)<10){C=1;x=29}else switch(B<<24>>24){case 46:case 45:case 43:{C=1;x=29;break}default:{D=z;E=1}}}else{C=A;x=29}if((x|0)==29){b[z>>0]=34;D=z+1|0;E=(C|0)==0}b[D>>0]=0;q=i+(E&1)|0;v$(a,c,q);u=g;return}function C$(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;e=u;u=u+16|0;g=e;if(!c){h=cuc(16)|0;f[g>>2]=h;f[g+8>>2]=-2147483632;f[g+4>>2]=12;i=h;j=235714;k=i+12|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));b[h+12>>0]=0;WD(-27,g,234133,233252,910)}g=Ufc(c,10)|0;h=a+72|0;j=f[h>>2]|0;if((!((d|0)==0|(g|0)!=0)?(d=jfc(c)|0,((f[a+80>>2]|0)-j|0)>=(d|0)):0)?(j|0)!=(f[a+76>>2]|0):0){b[j>>0]=32;l=j+1|0;m=g;n=c}else{l=u_(a)|0;m=g;n=c}while(1){b[l>>0]=35;o=l+2|0;b[l+1>>0]=32;if(!m)break;c=m-n|0;g=c+1|0;j=t_(a,o,g)|0;szc(j|0,n|0,g|0)|0;f[h>>2]=j+c;c=m+1|0;j=Ufc(c,10)|0;l=u_(a)|0;m=j;n=c}m=jfc(n)|0;l=t_(a,o,m)|0;szc(l|0,n|0,m|0)|0;f[h>>2]=l+m;u_(a)|0;u=e;return}function D$(a){a=a|0;var c=0,d=0;c=E$(a,f[a+76>>2]|0)|0;if(!c)return;d=a+92|0;if(f[d>>2]|0)return;switch(b[c>>0]|0){case 123:{F$(a,c,RK(f[a+32>>2]|0,0)|0)|0;break}case 91:{G$(a,c,RK(f[a+32>>2]|0,0)|0)|0;break}default:r_(a,234152,234165,234200,587)}if(!(f[d>>2]|0))return;else r_(a,234152,234278,234200,591)}function E$(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;d=a+76|0;e=a+80|0;g=c;a:while(1){h=g;b:while(1){i=b[h>>0]|0;switch(i<<24>>24|0){case 13:case 10:case 0:{j=22;break b;break}case 47:{c=h+1|0;k=b[c>>0]|0;if(!(k<<24>>24)){l=f[d>>2]|0;m=m_(a,l,(f[e>>2]|0)-l|0)|0;if(!m){n=1;o=0;break b}p=m;q=b[m>>0]|0}else{p=c;q=k}switch(q<<24>>24){case 47:{r=p;s=47;j=8;break b;break}case 42:break;default:{j=20;break a}}k=p+1|0;while(1){c=b[k>>0]|0;if(!(c<<24>>24)){m=f[d>>2]|0;l=m_(a,m,(f[e>>2]|0)-m|0)|0;if(!l){n=1;o=0;break b}else{k=l;continue}}l=k+1|0;if(c<<24>>24!=42){k=l;continue}c=b[l>>0]|0;if(!(c<<24>>24)){m=f[d>>2]|0;t=m_(a,m,(f[e>>2]|0)-m|0)|0;if(!t){n=1;o=0;break b}u=t;v=b[t>>0]|0}else{u=l;v=c}if(v<<24>>24==47){w=u;break}else k=u}break}case 32:case 9:{w=h;break}default:{j=24;break a}}h=w+1|0}c:do if((j|0)==8)while(1){j=0;switch(s<<24>>24){case 13:case 10:{n=0;o=r;break c;break}case 0:{k=f[d>>2]|0;c=m_(a,k,(f[e>>2]|0)-k|0)|0;if(!c){n=1;o=0;break c}else x=c;break}default:x=r+1|0}r=x;s=b[x>>0]|0;j=8}else if((j|0)==22){j=0;c=f[d>>2]|0;k=m_(a,c,(f[e>>2]|0)-c|0)|0;n=(k|0)==0;o=k}while(0);if(n){j=26;break}else g=o}if((j|0)==20)r_(a,235105,235123,234200,79);else if((j|0)==24)if((i&255)>31){y=h;return y|0}else r_(a,235105,235154,234200,97);else if((j|0)==26){j=f[d>>2]|0;b[j>>0]=0;f[a+92>>2]=1;y=j;return y|0}return 0}function F$(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;e=u;u=u+16|0;g=e;if(!c)r_(a,234890,234317,234200,490);if((b[c>>0]|0)!=123)r_(a,234890,234906,234200,493);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;s_(a,6,d);h=a+92|0;i=g+8+4|0;j=d+4|0;k=c;a:while(1){c=E$(a,k+1|0)|0;if(!c){l=43;break}if(f[h>>2]|0){m=c;l=44;break}do if((b[c>>0]|0)==34){n=c+1|0;o=c;while(1){p=o+1|0;q=b[p>>0]|0;if(!(q<<24>>24)){l=11;break a}r=q<<24>>24!=34;if((q&255)<32|r^1)break;else o=p}if(r){l=15;break a}q=E$(a,o+2|0)|0;if(!q){l=43;break a}if(f[h>>2]|0){l=43;break a}if((b[q>>0]|0)!=58){l=19;break a}if(o>>>0<=c>>>0){l=21;break a}s=p-n|0;if((s|0)==7?(ahc(n,235026,7)|0)==0:0){t=q+1|0;v=0}else{w=P_(a,d,O_(a,n,s,1)|0,1)|0;s=q+1|0;if(!(f[h>>2]|0)){t=s;v=w}else{m=s;l=44;break a}}s=E$(a,t)|0;if(!s){l=43;break a}if(f[h>>2]|0){m=s;l=44;break a}if(!v){w=H$(a,s,g)|0;if((f[g>>2]&7|0)!=3){l=32;break a}q=b$(f[i>>2]|0)|0;f[j>>2]=q;if(q|0)f[d>>2]=f[d>>2]|16;x=w;break}switch(b[s>>0]|0){case 91:{y=G$(a,s,v)|0;break}case 123:{y=F$(a,s,v)|0;break}default:y=H$(a,s,v)|0}f[v>>2]=f[v>>2]|64;x=y}else x=c;while(0);c=E$(a,x)|0;if(!c){l=43;break}if(f[h>>2]|0){m=c;l=44;break}switch(b[c>>0]|0){case 44:{k=c;break}case 125:{m=c;l=44;break a;break}default:{l=42;break a}}}if((l|0)==11)if((p|0)==((f[a+80>>2]|0)+-1|0)){p=cuc(112)|0;f[g>>2]=p;f[g+8>>2]=-2147483536;f[g+4>>2]=98;k=p;h=234656;x=k+98|0;do{b[k>>0]=b[h>>0]|0;k=k+1|0;h=h+1|0}while((k|0)<(x|0));b[p+98>>0]=0;WD(-215,g,234941,234200,129)}else r_(a,234941,234957,234200,133);else if((l|0)==15)r_(a,234941,234957,234200,133);else if((l|0)==19)r_(a,234941,234979,234200,142);else if((l|0)==21)r_(a,234941,235013,234200,146);else if((l|0)==32)r_(a,234890,235034,234200,529);else if((l|0)==42)r_(a,234890,234364,234200,553);else if((l|0)==43)r_(a,234890,234317,234200,557);else if((l|0)==44)if((b[m>>0]|0)==125){u=e;return m+1|0}else r_(a,234890,235069,234200,560);return 0}function G$(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0;if(!c)r_(a,234301,234317,234200,436);if((b[c>>0]|0)!=91)r_(a,234301,234329,234200,439);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;s_(a,5,d);e=a+92|0;g=d+8|0;d=c;a:while(1){c=E$(a,d+1|0)|0;if(!c){h=17;break}if(f[e>>2]|0){i=c;h=18;break}b:do if((b[c>>0]|0)==93)j=c;else{k=RK(f[g>>2]|0,0)|0;switch(b[c>>0]|0){case 91:{j=G$(a,c,k)|0;break b;break}case 123:{j=F$(a,c,k)|0;break b;break}default:{j=H$(a,c,k)|0;break b}}}while(0);c=E$(a,j)|0;if(!c){h=17;break}if(f[e>>2]|0){i=c;h=18;break}switch(b[c>>0]|0){case 44:{d=c;break}case 93:{i=c;h=18;break a;break}default:{h=16;break a}}}if((h|0)==16)r_(a,234301,234364,234200,473);else if((h|0)==17)r_(a,234301,234317,234200,477);else if((h|0)==18)if((b[i>>0]|0)==93)return i+1|0;else r_(a,234301,234385,234200,480);return 0}function H$(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0.0,D=0,E=0,F=0,G=0;e=u;u=u+96|0;g=e+68|0;h=e+72|0;i=e;j=e+56|0;k=e+12|0;l=E$(a,c)|0;f[g>>2]=l;if(!l)r_(a,234421,234278,234200,166);if(f[a+92>>2]|0)r_(a,234421,234278,234200,166);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;c=b[l>>0]|0;if(c<<24>>24!=34){a:do if((c+-48&255)<10)switch(c<<24>>24){case 45:case 43:{m=83;break}default:{n=c;o=l;m=81}}else{switch(c<<24>>24){case 45:case 43:{m=83;break a;break}case 46:{n=c;o=l;m=81;break a;break}default:{}}if(((c&-33)+-65&255)>=26)r_(a,234421,234871,234200,423);q=a+80|0;r=0;t=l;do{r=r+1|0;t=t+1|0;f[g>>2]=t;v=b[t>>0]|0;if(!(v<<24>>24)){m=101;break}}while(r>>>0<7&((v&-33)+-65&255)<26);if((m|0)==101?(t|0)==((f[q>>2]|0)+-1|0):0){v=cuc(112)|0;f[h>>2]=v;f[h+8>>2]=-2147483536;f[h+4>>2]=98;w=v;x=234656;y=w+98|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));b[v+98>>0]=0;WD(-215,h,234421,234200,404)}if(r>>>0<=3)r_(a,234421,234871,234200,423);if(!(ahc(l,234821,4)|0))r_(a,234421,234826,234200,409);if(ahc(l,532016,4)|0){if(r>>>0<=4)r_(a,234421,234871,234200,423);if(!(ahc(l,532010,5)|0))z=0;else r_(a,234421,234871,234200,423)}else z=1;f[d+8>>2]=z;f[d>>2]=1;A=f[g>>2]|0;u=e;return A|0}while(0);if((m|0)==83){z=l+1|0;f[g>>2]=z;c=b[z>>0]|0;if(!(c<<24>>24))if((z|0)==((f[a+80>>2]|0)+-1|0)){q=cuc(112)|0;f[h>>2]=q;f[h+8>>2]=-2147483536;f[h+4>>2]=98;w=q;x=234656;y=w+98|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));b[q+98>>0]=0;WD(-215,h,234421,234200,373)}else m=94;else{n=c;o=z;m=81}}b:do if((m|0)==81){c:do if((n+-48&255)<10){z=a+80|0;c=o;while(1){c=c+1|0;f[g>>2]=c;q=b[c>>0]|0;if(!(q<<24>>24))break;if((q+-48&255)>=10){B=q;break c}}if((c|0)!=((f[z>>2]|0)+-1|0)){m=94;break b}q=cuc(112)|0;f[h>>2]=q;f[h+8>>2]=-2147483536;f[h+4>>2]=98;w=q;x=234656;y=w+98|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));b[q+98>>0]=0;WD(-215,h,234421,234200,378)}else B=n;while(0);switch(B<<24>>24){case 101:case 46:break;default:{m=94;break b}}C=+y_(a,l,g);p[d+8>>3]=C;r=f[g>>2]|0;if((b[r>>0]|0)==0?(r|0)==((f[a+80>>2]|0)+-1|0):0){v=cuc(112)|0;f[h>>2]=v;f[h+8>>2]=-2147483536;f[h+4>>2]=98;w=v;x=234656;y=w+98|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));b[v+98>>0]=0;WD(-215,h,234421,234200,383)}else{D=2;E=r}}while(0);if((m|0)==94){B=gfc(l,g,0)|0;f[d+8>>2]=B;B=f[g>>2]|0;if((b[B>>0]|0)==0?(B|0)==((f[a+80>>2]|0)+-1|0):0){n=cuc(112)|0;f[h>>2]=n;f[h+8>>2]=-2147483536;f[h+4>>2]=98;w=n;x=234656;y=w+98|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));b[n+98>>0]=0;WD(-215,h,234421,234200,389)}else{D=1;E=B}}f[d>>2]=D;if(l>>>0<E>>>0){A=f[g>>2]|0;u=e;return A|0}else r_(a,234421,234755,234200,394)}E=l+1|0;D=0;B=E;while(1){f[g>>2]=B;n=b[B>>0]|0;if((n+-48&255)<10|((n&-33)+-65&255)<26){if(D>>>0>=10){m=11;break}}else if(!(D>>>0<10&n<<24>>24==36)){m=10;break}D=D+1|0;B=B+1|0}if((m|0)==10?D>>>0>7:0)m=11;if((m|0)==11?(ahc(E,234439,8)|0)==0:0){D=l+9|0;f[g>>2]=D;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;vuc(h,131072);l=a+76|0;B=a+80|0;n=D;D=f[g>>2]|0;d:while(1){F=D;e:while(1){switch(b[F>>0]|0){case 34:{m=17;break d;break}case 13:case 10:{m=18;break d;break}case 0:{break e;break}default:{}}x=F+1|0;f[g>>2]=x;F=x}h$(h,n,F)|0;r=f[l>>2]|0;v=m_(a,r,(f[B>>2]|0)-r|0)|0;f[g>>2]=v;if(!v){m=16;break}else{n=v;D=v}}if((m|0)==16)r_(a,234421,234448,234200,196);else if((m|0)==17){h$(h,n,F)|0;F=f[g>>2]|0;if((b[F>>0]|0)!=34)r_(a,234421,234448,234200,223);f[g>>2]=F+1;F=h+11|0;n=b[F>>0]|0;D=n<<24>>24<0;B=h+4|0;l=f[B>>2]|0;v=n&255;n=D?l:v;do if(n>>>0>31){r=D?f[h>>2]|0:h;x=r+(D?l:v)|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[j>>2]=0;w=j+4|0;f[w>>2]=0;f[j+8>>2]=0;y=cuc(25)|0;f[j>>2]=y;f[j+8>>2]=y+25;b[y>>0]=32;b[y+1>>0]=32;b[y+2>>0]=32;b[y+3>>0]=32;b[y+4>>0]=32;b[y+5>>0]=32;b[y+6>>0]=32;b[y+7>>0]=32;b[y+8>>0]=32;b[y+9>>0]=32;b[y+10>>0]=32;b[y+11>>0]=32;b[y+12>>0]=32;b[y+13>>0]=32;b[y+14>>0]=32;b[y+15>>0]=32;b[y+16>>0]=32;b[y+17>>0]=32;b[y+18>>0]=32;b[y+19>>0]=32;b[y+20>>0]=32;b[y+21>>0]=32;b[y+22>>0]=32;b[y+23>>0]=32;b[y+24>>0]=32;f[w>>2]=y+25;S$(r,f[j>>2]|0,0,32)|0;if(!(X$(j,i)|0))r_(a,234421,234487,234200,238);r=i+11|0;y=b[r>>0]|0;if(!((y<<24>>24<0?f[i+4>>2]|0:y&255)|0))r_(a,234421,234487,234200,238);y=f[j>>2]|0;if(y|0){if((f[w>>2]|0)!=(y|0))f[w>>2]=y;fuc(y)}y=b[F>>0]|0;if((y<<24>>24<0?f[B>>2]|0:y&255)>>>0>32){y=Buc(h,32)|0;w=x-y|0;if(!(T$(y,0,w)|0))r_(a,234421,234517,234200,247);o=U$(w,1)|0;f[j>>2]=0;z=j+4|0;f[z>>2]=0;f[j+8>>2]=0;if(o|0){if((o|0)<0)nsc(j);c=cuc(o)|0;f[z>>2]=c;f[j>>2]=c;f[j+8>>2]=c+o;t=o;o=c;do{b[o>>0]=0;o=(f[z>>2]|0)+1|0;f[z>>2]=o;t=t+-1|0}while((t|0)!=0)}t=V$(w,y,0)|0;o=f[j>>2]|0;b0(k,o,(f[z>>2]|0)-o|0);f0(k,y,x)|0;d0(k)|0;c0(k);o=F_((b[r>>0]|0)<0?f[i>>2]|0:i,0)|0;if((t|0)%(o|0)|0|0)r_(a,234421,234538,234200,265);s_(a,13,d);w0(f[j>>2]|0,(t|0)/(o|0)|0,(b[r>>0]|0)<0?f[i>>2]|0:i,f[d+8>>2]|0);o=f[j>>2]|0;if(o|0){if((f[z>>2]|0)!=(o|0))f[z>>2]=o;fuc(o)}}else s_(a,13,d);if((b[r>>0]|0)<0)fuc(f[i>>2]|0)}else if(!n){s_(a,13,d);break}else r_(a,234421,234571,234200,285);while(0);if((b[F>>0]|0)<0)fuc(f[h>>2]|0);A=f[g>>2]|0;u=e;return A|0}else if((m|0)==18)r_(a,234421,234448,234200,211)};f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;vuc(h,131072);f[g>>2]=E;F=a+76|0;n=a+80|0;j=E;f:while(1){G=j;g:while(1){switch(b[G>>0]|0){case 34:{m=69;break f;break}case 13:case 10:{m=70;break f;break}case 92:{break g;break}case 0:{m=67;break g;break}default:{}}E=G+1|0;f[g>>2]=E;G=E}if((m|0)==67){m=0;h$(h,j,G)|0;r=f[F>>2]|0;z=m_(a,r,(f[n>>2]|0)-r|0)|0;f[g>>2]=z;if(!z){m=68;break}else{j=z;continue}}h$(h,j,G)|0;z=(f[g>>2]|0)+1|0;f[g>>2]=z;r=b[z>>0]|0;switch(r<<24>>24|0){case 117:{m=64;break f;break}case 39:case 34:case 92:{yuc(h,1,r)|0;break}case 110:{yuc(h,1,10)|0;break}case 114:{yuc(h,1,13)|0;break}case 116:{yuc(h,1,9)|0;break}case 98:{yuc(h,1,8)|0;break}case 102:{yuc(h,1,12)|0;break}default:{m=65;break f}}r=(f[g>>2]|0)+1|0;f[g>>2]=r;j=r}if((m|0)==64)r_(a,234421,234598,234200,313);else if((m|0)==65)r_(a,234421,234631,234200,314);else if((m|0)==68)r_(a,234421,234448,234200,327);else if((m|0)==69){h$(h,j,G)|0;G=f[g>>2]|0;if((b[G>>0]|0)!=34)r_(a,234421,234448,234200,354);f[g>>2]=G+1;G=h+11|0;j=b[G>>0]|0;n=j<<24>>24<0;CK(i,f[a+16>>2]|0,n?f[h>>2]|0:h,n?f[h+4>>2]|0:j&255);j=d+8|0;p[s>>3]=+p[i>>3];f[j>>2]=f[s>>2];f[j+4>>2]=f[s+4>>2];f[d>>2]=3;if((b[G>>0]|0)<0)fuc(f[h>>2]|0);A=f[g>>2]|0;u=e;return A|0}else if((m|0)==70)r_(a,234421,234448,234200,342);return 0}function I$(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;e=u;u=u+16|0;g=e;A_(a,0);switch(f[a+280>>2]|0){case 0:{z_(a,1);break}case 2:{h=cuc(48)|0;f[g>>2]=h;f[g+8>>2]=-2147483600;f[g+4>>2]=36;i=h;j=235186;k=i+36|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));b[h+36>>0]=0;WD(-2,g,235223,234200,610);break}default:{}}if((c|0)!=0?(b[c>>0]|0)!=0:0){h=jfc(c)|0;if(!h){l=cuc(32)|0;f[g>>2]=l;f[g+8>>2]=-2147483616;f[g+4>>2]=19;i=l;j=235236;k=i+19|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));b[l+19>>0]=0;WD(-5,g,235223,234200,622)}if((h|0)>4096){l=cuc(32)|0;f[g>>2]=l;f[g+8>>2]=-2147483616;f[g+4>>2]=19;i=l;j=235256;k=i+19|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));b[l+19>>0]=0;WD(-5,g,235223,234200,624)}else{m=h;n=c;o=1}}else{m=0;n=0;o=0}c=(d|0)!=0;if(c)p=jfc(d)|0;else p=0;h=a+44|0;l=f[h>>2]|0;q=l&7;if(q>>>0>4)if(o^(q|0)==6){q=cuc(96)|0;f[g>>2]=q;f[g+8>>2]=-2147483552;f[g+4>>2]=85;i=q;j=235276;k=i+85|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));b[q+85>>0]=0;WD(-5,g,235223,234200,636)}else r=l;else{f[a+12>>2]=0;r=o?38:37}l=(r&32|0)!=0;do if(!(r&8)){if(!l){q=a+72|0;s=f[q>>2]|0;b[s>>0]=44;b[s+1>>0]=10;b[s+2>>0]=0;s=a+76|0;g_(a,f[s>>2]|0);f[q>>2]=f[s>>2]}t=u_(a)|0}else{s=a+72|0;q=f[s>>2]|0;if(l)v=q;else{b[q>>0]=44;v=q+1|0}q=p+m-(f[a+76>>2]|0)+v|0;if((q|0)>(f[a+84>>2]|0)?(q-(f[a+40>>2]|0)|0)>10:0){f[s>>2]=v;t=u_(a)|0;break}b[v>>0]=32;t=v+1|0}while(0);if(o){o=b[n>>0]|0;if(!(((o&-33)+-65&255)<26|o<<24>>24==95)){o=cuc(48)|0;f[g>>2]=o;f[g+8>>2]=-2147483600;f[g+4>>2]=33;i=o;j=235362;k=i+33|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));b[o+33>>0]=0;WD(-5,g,235223,234200,678)}o=t_(a,t,m)|0;v=o+1|0;b[o>>0]=34;a:do if(m|0){o=0;b:while(1){l=b[n+o>>0]|0;b[v+o>>0]=l;if(!((l+-48&255)<10|((l&-33)+-65&255)<26))switch(l<<24>>24){case 32:case 45:case 95:break;default:break b}o=o+1|0;if(o>>>0>=m>>>0)break a}o=cuc(96)|0;f[g>>2]=o;f[g+8>>2]=-2147483552;f[g+4>>2]=80;i=o;j=235396;k=i+80|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));b[o+80>>0]=0;WD(-5,g,235223,234200,689)}while(0);g=v+m|0;m=g+1|0;b[g>>0]=34;g=m+1|0;b[m>>0]=58;b[g>>0]=32;w=g+1|0}else w=t;if(!c){x=w;y=a+72|0;f[y>>2]=x;z=r&-33;f[h>>2]=z;u=e;return}c=t_(a,w,p)|0;szc(c|0,d|0,p|0)|0;x=c+p|0;y=a+72|0;f[y>>2]=x;z=r&-33;f[h>>2]=z;u=e;return}function J$(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;g=u;u=u+5136|0;h=g+12|0;i=g+16|0;j=g;k=d&15|32;l=d&7;if(l>>>0<=4){d=cuc(80)|0;f[j>>2]=d;f[j+8>>2]=-2147483568;f[j+4>>2]=68;m=d;n=235477;o=m+68|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));b[d+68>>0]=0;WD(-5,j,235546,234200,718)}if((e|0)!=0?(b[e>>0]|0)!=0:0)if(!(ahc(e,235570,6)|0)){p=0;q=e;r=3;s=i}else{t=1;v=e;w=6}else{t=0;v=0;w=6}if((w|0)==6){b[i>>0]=(l|0)==6?123:91;p=t;q=v;r=k;s=i+1|0}b[s>>0]=0;I$(a,c,i);i=a+44|0;f[h>>2]=f[i>>2];RK(f[a+36>>2]|0,h)|0;f[i>>2]=r;r=a+40|0;f[r>>2]=(f[r>>2]|0)+4;if(!p){u=g;return}sh[f[a+244>>2]&255](a,235026,q,1);u=g;return}function K$(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;c=u;u=u+16|0;d=c;e=f[a+36>>2]|0;if(!(f[e+24>>2]|0)){g=cuc(48)|0;f[d>>2]=g;f[d+8>>2]=-2147483600;f[d+4>>2]=44;h=g;i=235577;j=h+44|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(j|0));b[g+44>>0]=0;WD(-2,d,235622,234200,758)}f[d>>2]=0;g=a+44|0;i=f[g>>2]|0;SK(e,d);e=a+40|0;h=(f[e>>2]|0)+-4|0;f[e>>2]=h;f[g>>2]=f[d>>2]&-33;d=i&7;if(d>>>0<=4){u=c;return}g=a+72|0;if(!(i&8)){j=f[g>>2]|0;k=a+76|0;if(j>>>0<=((f[k>>2]|0)+(f[a+56>>2]|0)|0)>>>0){f[g>>2]=j+1;b[j>>0]=10;j=f[g>>2]|0;f[g>>2]=j+1;b[j>>0]=0;g_(a,f[k>>2]|0);f[g>>2]=f[k>>2]}u_(a)|0;l=k;m=f[e>>2]|0}else{l=a+76|0;m=h}h=f[g>>2]|0;if((i&32|0)==0?h>>>0>((f[l>>2]|0)+m|0)>>>0:0){b[h>>0]=32;n=h+1|0}else n=h;b[n>>0]=(d|0)==6?125:93;f[g>>2]=n+1;u=c;return}function L$(a){a=a|0;var b=0;if(f[a+12>>2]|0)return;b=a+36|0;if((f[(f[b>>2]|0)+24>>2]|0)>0)do K$(a);while((f[(f[b>>2]|0)+24>>2]|0)>0);f[a+40>>2]=4;u_(a)|0;f[a+72>>2]=f[a+76>>2];return}function M$(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;d=u;u=u+128|0;I$(a,b,f_(c,d,10)|0);u=d;return}function N$(a,c,d){a=a|0;c=c|0;d=+d;var e=0,f=0,g=0;e=u;u=u+128|0;f=e;g=jfc(w_(f,d)|0)|0;if(g|0?(b[f+(g+-1)>>0]|0)==46:0){b[f+g>>0]=48;b[f+(g+1)>>0]=0}I$(a,c,f);u=e;return}function O$(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;g=u;u=u+16416|0;h=g+16|0;i=g;if(!d){j=cuc(32)|0;f[i>>2]=j;f[i+8>>2]=-2147483616;f[i+4>>2]=19;k=j;l=235644;m=k+19|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));b[j+19>>0]=0;WD(-27,i,235664,234200,833)}j=jfc(d)|0;if((j|0)>4096){n=cuc(32)|0;f[i>>2]=n;f[i+8>>2]=-2147483616;f[i+4>>2]=30;k=n;l=235683;m=k+30|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));b[n+30>>0]=0;WD(-5,i,235664,234200,837)}a:do if(!((e|0)!=0|(j|0)==0)?(i=b[d>>0]|0,i<<24>>24==(b[d+(j+-1)>>0]|0)):0){switch(i<<24>>24){case 39:case 34:{o=d;break}default:break a}I$(a,c,o);u=g;return}while(0);e=h+1|0;b[h>>0]=34;b:do if((j|0)>0){i=0;n=e;while(1){l=b[d+i>>0]|0;switch(l<<24>>24|0){case 39:case 34:case 92:{b[n>>0]=92;b[n+1>>0]=l;p=n+2|0;break}case 10:{b[n>>0]=92;b[n+1>>0]=110;p=n+2|0;break}case 13:{b[n>>0]=92;b[n+1>>0]=114;p=n+2|0;break}case 9:{b[n>>0]=92;b[n+1>>0]=116;p=n+2|0;break}case 8:{b[n>>0]=92;b[n+1>>0]=98;p=n+2|0;break}case 12:{b[n>>0]=92;b[n+1>>0]=102;p=n+2|0;break}default:{b[n>>0]=l;p=n+1|0}}i=i+1|0;if((i|0)==(j|0)){q=p;break b}else n=p}}else q=e;while(0);b[q>>0]=34;b[q+1>>0]=0;o=h;I$(a,c,o);u=g;return}function P$(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;e=u;u=u+16|0;g=e;if(!c){h=cuc(16)|0;f[g>>2]=h;f[g+8>>2]=-2147483632;f[g+4>>2]=12;i=h;j=235714;k=i+12|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));b[h+12>>0]=0;WD(-27,g,235727,234200,875)}g=a+72|0;h=f[g>>2]|0;j=Ufc(c,10)|0;if(((d|0)!=0&(j|0)==0?(d=jfc(c)|0,((f[a+80>>2]|0)-h|0)>=(d|0)):0)?(h|0)!=(f[a+76>>2]|0):0){b[h>>0]=32;l=0;m=h+1|0;n=c}else{l=j;m=u_(a)|0;n=c}while(1){b[m>>0]=47;b[m+1>>0]=47;o=m+3|0;b[m+2>>0]=32;if(!l)break;c=l-n|0;j=c+1|0;h=t_(a,o,j)|0;szc(h|0,n|0,j|0)|0;f[g>>2]=h+c;c=l+1|0;h=Ufc(c,10)|0;l=h;m=u_(a)|0;n=c}m=jfc(n)|0;l=t_(a,o,m)|0;szc(l|0,n|0,m|0)|0;f[g>>2]=l+m;u_(a)|0;u=e;return}function Q$(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;if(!((a|0)!=0&(c|0)!=0&(e|0)!=0)){f=0;return f|0}g=a+d|0;d=e-((e>>>0)%3|0)|0;a=g+d|0;if((d|0)>0){d=c;i=g;while(1){j=b[i+1>>0]|0;k=i+3|0;l=b[i+2>>0]|0;m=h[i>>0]|0;b[d>>0]=b[235747+(m>>>2)>>0]|0;n=j&255;b[d+1>>0]=b[235747+(n>>>4|m<<4&48)>>0]|0;m=l&255;b[d+2>>0]=b[235747+(m>>>6|n<<2&60)>>0]|0;n=d+4|0;b[d+3>>0]=b[235747+(m&63)>>0]|0;if(k>>>0<a>>>0){d=n;i=k}else{o=n;p=k;break}}}else{o=c;p=g}i=g+e-p|0;switch(i|0){case 1:{e=h[p>>0]|0;b[o>>0]=b[235747+(e>>>2)>>0]|0;q=o+1|0;r=2;s=e<<4;t=48;u=7;break}case 2:{e=b[p+1>>0]|0;g=h[p>>0]|0;b[o>>0]=b[235747+(g>>>2)>>0]|0;p=e&255;b[o+1>>0]=b[235747+(g<<4&48|p>>>4)>>0]|0;q=o+2|0;r=3;s=p<<2;t=60;u=7;break}default:v=o}if((u|0)==7){b[q>>0]=b[235747+(s&t)>>0]|0;v=o+r|0}switch(i|0){case 1:{b[v>>0]=61;w=v+1|0;u=10;break}case 2:{w=v;u=10;break}default:x=v}if((u|0)==10){b[w>>0]=61;x=w+1|0}b[x>>0]=0;f=x-c|0;return f|0}function R$(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,i=0,j=0,k=0,l=0;if(!((a|0)!=0&(c|0)!=0&(e|0)!=0&(e&3|0)==0)){f=0;return f|0}g=a+d|0;i=g+e|0;if((e|0)>0){e=a+(d+4)|0;j=((((i>>>0>e>>>0?i:e)+(~a-d)|0)>>>2)*3|0)+3|0;d=c;a=g;while(1){g=b[235812+(h[a+3>>0]|0)>>0]|0;e=h[235812+(h[a+2>>0]|0)>>0]|0;k=h[235812+(h[a+1>>0]|0)>>0]|0;b[d>>0]=k>>>4&3|(h[235812+(h[a>>0]|0)>>0]|0)<<2;a=a+4|0;b[d+1>>0]=e>>>2&15|k<<4;b[d+2>>0]=g&255|e<<6;if(a>>>0>=i>>>0)break;else d=d+3|0}l=c+j|0}else l=c;b[l>>0]=0;f=l-c|0;return f|0}function S$(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;if(!d)e=jfc(a)|0;else e=d;return R$(a,b,c,e)|0}function T$(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0;if(!d)e=jfc(a)|0;else e=d;if(!a){f=0;return f|0}d=a+c|0;if(!d){f=0;return f|0}if(!e)g=jfc(a)|0;else g=e;if(!((g|0)!=0&(g&3|0)==0)){f=0;return f|0}e=d+g|0;g=e+-1|0;if((b[g>>0]|0)==61){a=g+-1|0;h=(b[a>>0]|0)==61?a:g}else h=e;if(d>>>0<h>>>0)i=d;else{f=1;return f|0}while(1){d=b[i>>0]|0;if((d&255)>126){f=0;j=14;break}i=i+1|0;if(!(d<<24>>24==65|(b[235812+(d&255)>>0]|0)!=0)){f=0;j=14;break}if(i>>>0>=h>>>0){f=1;j=14;break}}if((j|0)==14)return f|0;return 0}function U$(a,b){a=a|0;b=b|0;return ((a>>>2)*3|0)+(b&1)|0}function V$(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,f=0;e=0;f=c+a|0;while(1){f=f+-1|0;if((b[f>>0]|0)!=61)break;else e=e+1|0}return (d&1)+((a>>>2)*3|0)-e|0}function W$(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;d=u;u=u+160|0;e=d+136|0;g=d;h=g+56|0;i=g+4|0;f[g>>2]=10740;f[h>>2]=10760;bkc(g+56|0,i);f[g+128>>2]=0;f[g+132>>2]=-1;f[g>>2]=36996;f[h>>2]=37016;gkc(i);f[i>>2]=35404;j=g+36|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;f[g+52>>2]=16;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;$D(i,e);if((b[e+11>>0]|0)<0)fuc(f[e>>2]|0);k=aE(g,c,jfc(c)|0)|0;b[e>>0]=32;aE(k,e,1)|0;bE(a,i);k=a+11|0;c=b[k>>0]|0;if(c<<24>>24<0)l=f[a+4>>2]|0;else l=c&255;if(l>>>0>=24){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;l=cuc(32)|0;f[e>>2]=l;f[e+8>>2]=-2147483616;f[e+4>>2]=27;c=l;m=235939;n=c+27|0;do{b[c>>0]=b[m>>0]|0;c=c+1|0;m=m+1|0}while((c|0)<(n|0));b[l+27>>0]=0;WD(-215,e,235967,235986,303)}vuc(a,24);e=a+4|0;while(1){l=b[k>>0]|0;if(l<<24>>24<0)o=f[e>>2]|0;else o=l&255;if(o>>>0>=24)break;Euc(a,32)}f[g>>2]=36996;f[h>>2]=37016;f[i>>2]=35404;if((b[j+11>>0]|0)>=0){Ric(i);Njc(g,37028);Mic(h);u=d;return}fuc(f[j>>2]|0);Ric(i);Njc(g,37028);Mic(h);u=d;return}function X$(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;d=u;u=u+160|0;e=d+12|0;g=d;h=f[a>>2]|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;a=jfc(h)|0;if(a>>>0>4294967279)muc(g);if(a>>>0<11){b[g+11>>0]=a;if(!a)i=g;else{j=g;k=6}}else{l=a+16&-16;m=cuc(l)|0;f[g>>2]=m;f[g+8>>2]=l|-2147483648;f[g+4>>2]=a;j=m;k=6}if((k|0)==6){szc(j|0,h|0,a|0)|0;i=j}b[i+a>>0]=0;a=e+60|0;i=e+8|0;f[e>>2]=12028;f[a>>2]=12048;f[e+4>>2]=0;bkc(e+60|0,i);f[e+132>>2]=0;f[e+136>>2]=-1;f[e>>2]=50708;f[a>>2]=50728;gkc(i);f[i>>2]=35404;j=e+40|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;f[e+56>>2]=8;$D(i,g);if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);g=Y$(e,c)|0;c=(f[g+(f[(f[g>>2]|0)+-12>>2]|0)+16>>2]&5|0)==0;f[e>>2]=50708;f[a>>2]=50728;f[i>>2]=35404;if((b[j+11>>0]|0)>=0){Ric(i);Djc(e,50740);Mic(a);u=d;return c|0}fuc(f[j>>2]|0);Ric(i);Djc(e,50740);Mic(a);u=d;return c|0}function Y$(a,c){a=a|0;c=c|0;var e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;e=u;u=u+16|0;g=e+4|0;i=e;ikc(g,a,0);if(!(b[g>>0]|0)){g=a+(f[(f[a>>2]|0)+-12>>2]|0)|0;akc(g,f[g+16>>2]|4);u=e;return a|0}g=c+11|0;if((b[g>>0]|0)<0){b[f[c>>2]>>0]=0;f[c+4>>2]=0}else{b[c>>0]=0;b[g>>0]=0}g=a+(f[(f[a>>2]|0)+-12>>2]|0)|0;j=f[g+12>>2]|0;k=(j|0)<1?2147483647:j;dkc(i,g);g=Ilc(i,901876)|0;Jlc(i);a:do if((k|0)>0){i=g+8|0;j=0;while(1){l=f[a+(f[(f[a>>2]|0)+-12>>2]|0)+24>>2]|0;m=f[l+12>>2]|0;if((m|0)==(f[l+16>>2]|0)){n=di[f[(f[l>>2]|0)+36>>2]&1023](l)|0;if((n|0)==-1){o=j;p=2;break a}else q=n}else q=h[m>>0]|0;m=q&255;if(m<<24>>24>-1?d[(f[i>>2]|0)+(q<<24>>24<<1)>>1]&8192:0){o=j;p=0;break a}Euc(c,m);m=j+1|0;n=f[a+(f[(f[a>>2]|0)+-12>>2]|0)+24>>2]|0;l=n+12|0;r=f[l>>2]|0;if((r|0)==(f[n+16>>2]|0))di[f[(f[n>>2]|0)+40>>2]&1023](n)|0;else f[l>>2]=r+1;if((m|0)<(k|0))j=m;else{o=m;p=0;break}}}else{o=0;p=0}while(0);f[a+(f[(f[a>>2]|0)+-12>>2]|0)+12>>2]=0;k=a+(f[(f[a>>2]|0)+-12>>2]|0)|0;akc(k,f[k+16>>2]|((o|0)==0?p|4:p));u=e;return a|0}function Z$(a){a=a|0;var c=0,d=0,e=0;f[a>>2]=50708;c=a+60|0;f[c>>2]=50728;d=a+8|0;f[d>>2]=35404;e=a+40|0;if((b[e+11>>0]|0)<0)fuc(f[e>>2]|0);Ric(d);Djc(a,50740);Mic(c);return}function _$(a){a=a|0;var c=0,d=0,e=0;f[a>>2]=50708;c=a+60|0;f[c>>2]=50728;d=a+8|0;f[d>>2]=35404;e=a+40|0;if((b[e+11>>0]|0)<0)fuc(f[e>>2]|0);Ric(d);Djc(a,50740);Mic(c);fuc(a);return}function $$(a){a=a|0;var c=0,d=0,e=0;c=a+(f[(f[a>>2]|0)+-12>>2]|0)|0;f[c>>2]=50708;a=c+60|0;f[a>>2]=50728;d=c+8|0;f[d>>2]=35404;e=c+40|0;if((b[e+11>>0]|0)<0)fuc(f[e>>2]|0);Ric(d);Djc(c,50740);Mic(a);return}function a0(a){a=a|0;var c=0,d=0,e=0;c=a+(f[(f[a>>2]|0)+-12>>2]|0)|0;f[c>>2]=50708;a=c+60|0;f[a>>2]=50728;d=c+8|0;f[d>>2]=35404;e=c+40|0;if((b[e+11>>0]|0)<0)fuc(f[e>>2]|0);Ric(d);Djc(c,50740);Mic(a);fuc(c);return}function b0(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0;f[a>>2]=c;f[a+4>>2]=c+d;d=a+8|0;f[d>>2]=0;c=a+12|0;f[c>>2]=0;f[a+16>>2]=0;e=cuc(120)|0;f[c>>2]=e;f[d>>2]=e;f[a+16>>2]=e+120;d=120;g=e;do{b[g>>0]=0;g=(f[c>>2]|0)+1|0;f[c>>2]=g;d=d+-1|0}while((d|0)!=0);d=a+20|0;g=a+24|0;c=a+28|0;e=a+32|0;h=a+36|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;f[d+16>>2]=0;f[d+20>>2]=0;i=cuc(161)|0;f[h>>2]=i;f[e>>2]=i;f[a+40>>2]=i+161;a=161;j=i;do{b[j>>0]=0;j=(f[h>>2]|0)+1|0;f[h>>2]=j;a=a+-1|0}while((a|0)!=0);a=f[e>>2]|0;f[d>>2]=a;f[g>>2]=a;f[c>>2]=a+120;return}function c0(a){a=a|0;var b=0,c=0;if((f[a+24>>2]|0)!=(f[a+20>>2]|0))d0(a)|0;b=f[a+32>>2]|0;if(b|0){c=a+36|0;if((f[c>>2]|0)!=(b|0))f[c>>2]=b;fuc(b)}b=f[a+8>>2]|0;if(!b)return;c=a+12|0;if((f[c>>2]|0)!=(b|0))f[c>>2]=b;fuc(b);return}function d0(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;c=u;u=u+16|0;d=c;e=a+20|0;g=f[e>>2]|0;h=a+24|0;i=f[h>>2]|0;j=i-g|0;k=i;if(!g){l=0;u=c;return l|0}if(!j)m=jfc(g)|0;else m=j;if(!((m|0)!=0&(m&3|0)==0)){l=0;u=c;return l|0}i=g+m|0;m=i+-1|0;if((b[m>>0]|0)==61){n=m+-1|0;o=(b[n>>0]|0)==61?n:m}else o=i;a:do if(g>>>0<o>>>0){i=g;while(1){m=b[i>>0]|0;if((m&255)>126){l=0;p=17;break}i=i+1|0;if(!(m<<24>>24==65|(b[235812+(m&255)>>0]|0)!=0)){l=0;p=17;break}if(i>>>0>=o>>>0)break a}if((p|0)==17){u=c;return l|0}}while(0);if((k|0)==(g|0)){l=1;u=c;return l|0}k=f[a+32>>2]|0;p=R$(g,k,0,j)|0;f[h>>2]=f[e>>2];if(!p){f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;b[d+11>>0]=8;e=d;f[e>>2]=544105836;f[e+4>>2]=807419169;b[d+8>>0]=0;WD(-215,d,236136,235986,379)}e=f[a>>2]|0;if((e+p|0)>>>0>=(f[a+4>>2]|0)>>>0){h=cuc(32)|0;f[d>>2]=h;f[d+8>>2]=-2147483616;f[d+4>>2]=23;j=h;g=236142;o=j+23|0;do{b[j>>0]=b[g>>0]|0;j=j+1|0;g=g+1|0}while((j|0)<(o|0));b[h+23>>0]=0;WD(-215,d,236136,235986,382)}szc(e|0,k|0,p|0)|0;f[a>>2]=(f[a>>2]|0)+p;l=1;u=c;return l|0}function e0(a){a=a|0;var b=0,c=0;b=f[a>>2]|0;if(!b)return;c=a+4|0;if((f[c>>2]|0)!=(b|0))f[c>>2]=b;fuc(b);return}function f0(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;e=u;u=u+16|0;g=e;if(c>>>0>=d>>>0){u=e;return a|0}h=d;i=a+28|0;j=a+24|0;k=c;while(1){c=h-k|0;l=f[j>>2]|0;m=(f[i>>2]|0)-l|0;n=(m|0)<(c|0)?m:c;szc(l|0,k|0,n|0)|0;k=k+n|0;l=(f[j>>2]|0)+n|0;f[j>>2]=l;if(l>>>0>=(f[i>>2]|0)>>>0?!(d0(a)|0):0){o=6;break}if(k>>>0>=d>>>0){o=7;break}}if((o|0)==6){f[g+8>>2]=0;b[g+11>>0]=7;b[g>>0]=b[236166]|0;b[g+1>>0]=b[236167]|0;b[g+2>>0]=b[236168]|0;b[g+3>>0]=b[236169]|0;b[g+4>>0]=b[236170]|0;b[g+5>>0]=b[236171]|0;b[g+6>>0]=b[236172]|0;b[g+7>>0]=0;WD(-215,g,387641,235986,359)}else if((o|0)==7){u=e;return a|0}return 0}function g0(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0;d=u;u=u+16|0;e=d;g=cuc(40)|0;h0(g,c);f[a>>2]=g;g=a+4|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;g=(c|0)!=0;if(g?(f[c>>2]|0)==1280131417:0)if(!(f[c+8>>2]|0)){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;c=cuc(48)|0;f[e>>2]=c;f[e+8>>2]=-2147483600;f[e+4>>2]=38;h=c;i=236219;j=h+38|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(j|0));b[c+38>>0]=0;WD(-2,e,236206,235986,852)}else{u=d;return};f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;d=cuc(32)|0;f[e>>2]=d;f[e+8>>2]=-2147483616;f[e+4>>2]=31;h=d;i=236174;j=h+31|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(j|0));b[d+31>>0]=0;WD(g?-5:-27,e,236206,235986,852)}function h0(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;d=u;u=u+16|0;e=d;f[a>>2]=c;g=a+4|0;f[g>>2]=0;h=a+8|0;f[h>>2]=0;f[a+12>>2]=0;i=cuc(48)|0;f[h>>2]=i;f[g>>2]=i;f[a+12>>2]=i+48;j=48;k=i;do{b[k>>0]=0;k=(f[h>>2]|0)+1|0;f[h>>2]=k;j=j+-1|0}while((j|0)!=0);j=a+16|0;f[j>>2]=0;k=a+20|0;f[k>>2]=0;f[a+24>>2]=0;h=cuc(65)|0;f[k>>2]=h;f[j>>2]=h;f[a+24>>2]=h+65;j=65;i=h;do{b[i>>0]=0;i=(f[k>>2]|0)+1|0;f[k>>2]=i;j=j+-1|0}while((j|0)!=0);j=f[g>>2]|0;f[a+28>>2]=j;f[a+36>>2]=j+48;f[a+32>>2]=j;j=(c|0)!=0;if(!j){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;l=cuc(32)|0;f[e>>2]=l;m=e+8|0;f[m>>2]=-2147483616;n=e+4|0;f[n>>2]=31;o=l;p=236174;q=o+31|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));r=l+31|0;b[r>>0]=0;s=j?-5:-27;WD(s,e,236258,235986,417)}if((f[c>>2]|0)!=1280131417){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;l=cuc(32)|0;f[e>>2]=l;m=e+8|0;f[m>>2]=-2147483616;n=e+4|0;f[n>>2]=31;o=l;p=236174;q=o+31|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));r=l+31|0;b[r>>0]=0;s=j?-5:-27;WD(s,e,236258,235986,417)}if(!(f[c+8>>2]|0)){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;s=cuc(48)|0;f[e>>2]=s;f[e+8>>2]=-2147483600;f[e+4>>2]=38;o=s;p=236219;q=o+38|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[s+38>>0]=0;WD(-2,e,236258,235986,417)}if((f[c+4>>2]|0)==24){e=c+72|0;s=f[e>>2]|0;f[e>>2]=s+1;b[s>>0]=0;s=c+76|0;g_(c,f[s>>2]|0);f[e>>2]=f[s>>2];s=f[a>>2]|0;kzc(f[s+76>>2]|0,0,f[s+56>>2]|0)|0;g_(c,236279);u=d;return}else{u_(f[a>>2]|0)|0;u=d;return}}function i0(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;e=u;u=u+32|0;g=e;j0(a,d);k0(g,b,c,a+4|0);c=f[a>>2]|0;a=cuc(1024)|0;kzc(a|0,0,1024)|0;b=g+4|0;d=f[b>>2]|0;h=g+8|0;if(d>>>0<(f[h>>2]|0)>>>0){i=g+16|0;j=g+20|0;k=g+12|0;l=c+36|0;m=c+32|0;n=d;while(1){d=f[i>>2]|0;o=(f[j>>2]|0)-d>>3;if(!o)p=n;else{q=0;r=d;d=n;while(1){s=f[r+(q<<3)>>2]|0;Th[f[r+(q<<3)+4>>2]&1023](d+s|0,a+s|0)|0;s=q+1|0;if((s|0)==(o|0))break;q=s;r=f[i>>2]|0;d=f[b>>2]|0}p=f[b>>2]|0}d=f[k>>2]|0;r=p+d|0;f[b>>2]=r;q=a+d|0;if((d|0)>0){d=q;o=a;do{s=d-o|0;t=f[m>>2]|0;v=(f[l>>2]|0)-t|0;w=(v|0)<(s|0)?v:s;szc(t|0,o|0,w|0)|0;o=o+w|0;t=(f[m>>2]|0)+w|0;f[m>>2]=t;if(t>>>0>=(f[l>>2]|0)>>>0)l0(c)|0}while(o>>>0<q>>>0);x=f[b>>2]|0}else x=r;if(x>>>0<(f[h>>2]|0)>>>0)n=x;else break}}fuc(a);a=f[g+16>>2]|0;if(!a){u=e;return}x=g+20|0;g=f[x>>2]|0;if((g|0)!=(a|0))f[x>>2]=g+(~((g+-8-a|0)>>>3)<<3);fuc(a);u=e;return}function j0(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;d=u;u=u+16|0;e=d;if(!c){g=cuc(16)|0;f[e>>2]=g;f[e+8>>2]=-2147483632;f[e+4>>2]=13;h=g;i=236391;j=h+13|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(j|0));b[g+13>>0]=0;WD(-5,e,236405,235986,877)}g=a+4|0;k=b[g+11>>0]|0;l=k<<24>>24<0;if(l)m=f[a+8>>2]|0;else m=k&255;if(m|0){m=jfc(c)|0;if((m|0)!=((l?f[a+8>>2]|0:k&255)|0)){n=cuc(32)|0;f[e>>2]=n;o=e+8|0;f[o>>2]=-2147483616;p=e+4|0;f[p>>2]=20;h=n;i=236414;j=h+20|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(j|0));q=n+20|0;b[q>>0]=0;WD(-5,e,236405,235986,888)}if(!(Puc(g,0,-1,c,m)|0)){u=d;return}else{n=cuc(32)|0;f[e>>2]=n;o=e+8|0;f[o>>2]=-2147483616;p=e+4|0;f[p>>2]=20;h=n;i=236414;j=h+20|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(j|0));q=n+20|0;b[q>>0]=0;WD(-5,e,236405,235986,888)}}wuc(g,c)|0;W$(e,c);c=e+11|0;g=b[c>>0]|0;q=g<<24>>24<0;n=q?f[e>>2]|0:e;i=q?f[e+4>>2]|0:g&255;q=n+i|0;h=f[a>>2]|0;if((i|0)>0){i=q;a=h+36|0;j=h+32|0;p=n;do{n=i-p|0;o=f[j>>2]|0;m=(f[a>>2]|0)-o|0;k=(m|0)<(n|0)?m:n;szc(o|0,p|0,k|0)|0;p=p+k|0;o=(f[j>>2]|0)+k|0;f[j>>2]=o;if(o>>>0>=(f[a>>2]|0)>>>0)l0(h)|0}while(p>>>0<q>>>0);r=b[c>>0]|0}else r=g;if(r<<24>>24<0)fuc(f[e>>2]|0);u=d;return}function k0(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;g=u;u=u+16|0;h=g;f[a>>2]=c;i=a+4|0;f[i>>2]=0;j=a+8|0;f[j>>2]=0;f[a+16>>2]=0;f[a+20>>2]=0;f[a+24>>2]=0;if(!c){c=h+4|0;f[c>>2]=0;f[c+4>>2]=0;b[h+11>>0]=3;b[h>>0]=b[236289]|0;b[h+1>>0]=b[236290]|0;b[h+2>>0]=b[236291]|0;b[h+3>>0]=0;WD(-215,h,236293,235986,553)}c=e+11|0;k=b[c>>0]|0;if(!((k<<24>>24<0?f[e+4>>2]|0:k&255)|0)){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;k=cuc(16)|0;f[h>>2]=k;f[h+8>>2]=-2147483632;f[h+4>>2]=11;l=k;m=236318;n=l+11|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));b[k+11>>0]=0;WD(-215,h,236293,235986,554)}if((d|0)>0){m0(a,e);k=f[a>>2]|0;f[j>>2]=k;f[i>>2]=k;k=F_((b[c>>0]|0)<0?f[e>>2]|0:e,0)|0;f[a+12>>2]=k;e=(f[a>>2]|0)+(Y(k,d)|0)|0;f[j>>2]=e;u=g;return}else{f[h+8>>2]=0;b[h+11>>0]=7;b[h>>0]=b[236330]|0;b[h+1>>0]=b[236331]|0;b[h+2>>0]=b[236332]|0;b[h+3>>0]=b[236333]|0;b[h+4>>0]=b[236334]|0;b[h+5>>0]=b[236335]|0;b[h+6>>0]=b[236336]|0;b[h+7>>0]=0;WD(-215,h,236293,235986,555)}}function l0(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0;c=u;u=u+80|0;d=c;e=a+28|0;g=f[e>>2]|0;h=a+16|0;i=a+32|0;if(!(Q$(g,f[h>>2]|0,0,(f[i>>2]|0)-g|0)|0)){j=0;u=c;return j|0}f[i>>2]=f[e>>2];e=f[a>>2]|0;if((f[e+4>>2]|0)==24){g_(e,f[h>>2]|0);j=1;u=c;return j|0}else{i=f[e+40>>2]|0;kzc(d|0,32,i|0)|0;b[d+i>>0]=0;g_(e,d);g_(f[a>>2]|0,f[h>>2]|0);g_(f[a>>2]|0,517126);u_(f[a>>2]|0)|0;j=1;u=c;return j|0}return 0}function m0(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;d=u;u=u+176|0;e=d+164|0;g=d+168|0;h=d+24|0;i=d;j=d+12|0;f[e>>2]=0;b[g>>0]=0;k=h+60|0;l=h+8|0;f[h>>2]=12028;f[k>>2]=12048;f[h+4>>2]=0;bkc(h+60|0,l);f[h+132>>2]=0;f[h+136>>2]=-1;f[h>>2]=50708;f[k>>2]=50728;gkc(l);f[l>>2]=35404;m=h+40|0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;f[h+56>>2]=8;$D(l,c);c=f[h+(f[(f[h>>2]|0)+-12>>2]|0)+16>>2]|0;a:do if(!(c&2)){n=i+4|0;o=a+20|0;p=a+24|0;q=a+16|0;r=0;b:while(1){s=nkc(h,e)|0;if(!(f[s+(f[(f[s>>2]|0)+-12>>2]|0)+16>>2]&5)){if(!(f[e>>2]|0)){t=7;break}}else{akc(h+(f[(f[h>>2]|0)+-12>>2]|0)|0,0);f[e>>2]=1}s=n0(h,g)|0;if(f[s+(f[(f[s>>2]|0)+-12>>2]|0)+16>>2]&5|0){t=9;break}s=f[e>>2]|0;v=s+-1|0;f[e>>2]=v;c:do if(!s)w=r;else{x=r;y=v;while(1){switch(b[g>>0]|0){case 99:case 117:{z=1;A=554;break}case 115:case 119:{z=2;A=555;break}case 105:{z=4;A=556;break}case 102:{z=4;A=557;break}case 100:{z=8;A=558;break}default:{t=16;break b}}f[n>>2]=A;B=x+-1+z&0-z;f[i>>2]=B;C=f[o>>2]|0;if((C|0)==(f[p>>2]|0)){t0(q,i);D=f[e>>2]|0}else{E=i;F=f[E+4>>2]|0;G=C;f[G>>2]=f[E>>2];f[G+4>>2]=F;f[o>>2]=(f[o>>2]|0)+8;D=y}F=B+z|0;y=D+-1|0;f[e>>2]=y;if(!D){w=F;break c}else x=F}}while(0);v=f[h+(f[(f[h>>2]|0)+-12>>2]|0)+16>>2]|0;if(!(v&2))r=w;else{H=v;break a}}if((t|0)==7){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;b[i+11>>0]=8;r=i;f[r>>2]=544501347;f[r+4>>2]=1429217342;b[i+8>>0]=0;WD(-215,i,236338,235986,607)}else if((t|0)==9){H=f[h+(f[(f[h>>2]|0)+-12>>2]|0)+16>>2]|0;break}else if((t|0)==16){f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;r=cuc(32)|0;f[j>>2]=r;f[j+8>>2]=-2147483616;f[j+4>>2]=21;I=r;J=236359;K=I+21|0;do{b[I>>0]=b[J>>0]|0;I=I+1|0;J=J+1|0}while((I|0)<(K|0));b[r+21>>0]=0;WD(-2,j,236338,235986,642)}}else H=c;while(0);if(!(H&2)){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;b[i+11>>0]=9;I=i;J=236381;K=I+9|0;do{b[I>>0]=b[J>>0]|0;I=I+1|0;J=J+1|0}while((I|0)<(K|0));b[i+9>>0]=0;WD(-215,i,236338,235986,653)}f[h>>2]=50708;f[k>>2]=50728;f[l>>2]=35404;if((b[m+11>>0]|0)>=0){Ric(l);Djc(h,50740);Mic(k);u=d;return}fuc(f[m>>2]|0);Ric(l);Djc(h,50740);Mic(k);u=d;return}function n0(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0;d=u;u=u+16|0;e=d;ikc(e,a,0);if(!(b[e>>0]|0)){u=d;return a|0}e=f[a+(f[(f[a>>2]|0)+-12>>2]|0)+24>>2]|0;g=e+12|0;i=f[g>>2]|0;if((i|0)==(f[e+16>>2]|0)){j=di[f[(f[e>>2]|0)+40>>2]&1023](e)|0;if((j|0)==-1){e=a+(f[(f[a>>2]|0)+-12>>2]|0)|0;akc(e,f[e+16>>2]|6);u=d;return a|0}else k=j}else{f[g>>2]=i+1;k=h[i>>0]|0}b[c>>0]=k;u=d;return a|0}function o0(a,c){a=a|0;c=c|0;var d=0,e=0;d=a;a=f[d>>2]|0;e=f[d+4>>2]|0;b[c>>0]=a;d=pzc(a|0,e|0,8)|0;b[c+1>>0]=d;d=pzc(a|0,e|0,16)|0;b[c+2>>0]=d;d=pzc(a|0,e|0,24)|0;b[c+3>>0]=d;b[c+4>>0]=e;d=pzc(a|0,e|0,40)|0;b[c+5>>0]=d;d=pzc(a|0,e|0,48)|0;b[c+6>>0]=d;d=pzc(a|0,e|0,56)|0;b[c+7>>0]=d;return 8}function p0(a,c){a=a|0;c=c|0;var d=0;d=f[a>>2]|0;b[c>>0]=d;b[c+1>>0]=d>>>8;b[c+2>>0]=d>>>16;b[c+3>>0]=d>>>24;return 4}function q0(a,c){a=a|0;c=c|0;var d=0;d=f[a>>2]|0;b[c>>0]=d;b[c+1>>0]=d>>>8;b[c+2>>0]=d>>>16;b[c+3>>0]=d>>>24;return 4}function r0(a,c){a=a|0;c=c|0;var e=0;e=d[a>>1]|0;b[c>>0]=e;b[c+1>>0]=(e&65535)>>>8;return 2}function s0(a,c){a=a|0;c=c|0;b[c>>0]=b[a>>0]|0;return 1}function t0(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+4|0;d=f[a>>2]|0;e=(f[c>>2]|0)-d|0;g=e>>3;h=g+1|0;if(h>>>0>536870911)nsc(a);i=a+8|0;j=(f[i>>2]|0)-d|0;k=j>>2;l=j>>3>>>0<268435455?(k>>>0<h>>>0?h:k):536870911;do if(l)if(l>>>0>536870911){k=ze(8)|0;kuc(k,519086);f[k>>2]=167148;Hf(k|0,26888,1888)}else{m=cuc(l<<3)|0;break}else m=0;while(0);k=m+(g<<3)|0;h=b;b=f[h+4>>2]|0;j=k;f[j>>2]=f[h>>2];f[j+4>>2]=b;b=k+(0-g<<3)|0;if((e|0)>0)szc(b|0,d|0,e|0)|0;f[a>>2]=b;f[c>>2]=k+8;f[i>>2]=m+(l<<3);if(!d)return;fuc(d);return}function u0(a){a=a|0;var c=0;c=f[a>>2]|0;if(c|0){v0(c);fuc(c)}c=a+4|0;if((b[c+11>>0]|0)>=0)return;fuc(f[c>>2]|0);return}function v0(a){a=a|0;var b=0,c=0;if((f[a+32>>2]|0)!=(f[a+28>>2]|0))l0(a)|0;b=f[a>>2]|0;if((f[b+4>>2]|0)==24){g_(b,517029);b=f[a>>2]|0;f[b+72>>2]=f[b+76>>2];u_(b)|0;b=f[a>>2]|0;kzc(f[b+76>>2]|0,0,f[b+56>>2]|0)|0;b=f[a>>2]|0;f[b+72>>2]=f[b+76>>2]}b=f[a+16>>2]|0;if(b|0){c=a+20|0;if((f[c>>2]|0)!=(b|0))f[c>>2]=b;fuc(b)}b=f[a+4>>2]|0;if(!b)return;c=a+8|0;if((f[c>>2]|0)!=(b|0))f[c>>2]=b;fuc(b);return}function w0(a,c,e,g){a=a|0;c=c|0;e=e|0;g=g|0;var i=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;i=u;u=u+64|0;k=i+16|0;l=i;m=i+24|0;f[l+4>>2]=0;x0(m,a,c,e);e=m+8|0;c=m+28|0;a=m+20|0;o=m+16|0;q=m+12|0;r=l+8|0;s=l+8|0;while(1){t=f[m>>2]|0;if(t>>>0>=(f[e>>2]|0)>>>0)break;v=k;f[v>>2]=0;f[v+4>>2]=0;v=f[c>>2]|0;Th[f[v+8>>2]&1023](t+(f[v+4>>2]|0)|0,k)|0;v=f[c>>2]|0;t=f[v>>2]|0;switch(t|0){case 0:{f[r>>2]=h[k>>0];w=11;break}case 1:{f[r>>2]=b[k>>0];w=11;break}case 2:{f[r>>2]=j[k>>1];w=11;break}case 3:{f[r>>2]=d[k>>1];w=11;break}case 4:{f[r>>2]=f[k>>2];w=11;break}case 5:{p[s>>3]=+n[k>>2];w=11;break}case 6:{p[s>>3]=+p[k>>3];w=11;break}default:x=t}if((w|0)==11){w=0;x=f[v>>2]|0}switch(x|0){case 4:case 3:case 2:case 1:case 0:{y=1;w=14;break}case 6:case 5:{y=2;w=14;break}default:{}}if((w|0)==14){w=0;f[l>>2]=y}t=v+12|0;f[c>>2]=t;if((t|0)==(f[a>>2]|0)){f[c>>2]=f[o>>2];f[m>>2]=(f[m>>2]|0)+(f[q>>2]|0)}RK(g,l)|0}l=f[o>>2]|0;if(!l){u=i;return}o=f[a>>2]|0;if((o|0)!=(l|0))f[a>>2]=o+(~(((o+-12-l|0)>>>0)/12|0)*12|0);fuc(l);u=i;return}function x0(a,c,e,g){a=a|0;c=c|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0;h=u;u=u+16|0;i=h;f[a>>2]=c;j=a+4|0;f[j>>2]=c;k=a+8|0;f[k>>2]=c;l=a+16|0;f[l>>2]=0;f[a+20>>2]=0;f[a+24>>2]=0;if(!c){c=i+4|0;f[c>>2]=0;f[c+4>>2]=0;b[i+11>>0]=3;b[i>>0]=b[236289]|0;b[i+1>>0]=b[236290]|0;b[i+2>>0]=b[236291]|0;b[i+3>>0]=0;WD(-215,i,236435,235986,673)}if(!g){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;b[i+11>>0]=2;d[i>>1]=29796;b[i+2>>0]=0;WD(-215,i,236435,235986,674)}if((e|0)>-1){y0(a,g);f[a+28>>2]=f[l>>2];l=F_(g,0)|0;f[a+12>>2]=l;a=(f[j>>2]|0)+(Y(l,e)|0)|0;f[k>>2]=a;u=h;return}else{f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;b[i+11>>0]=8;h=i;f[h>>2]=544105836;f[h+4>>2]=807419198;b[i+8>>0]=0;WD(-215,i,236435,235986,675)}}function y0(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0;d=u;u=u+176|0;e=d+164|0;g=d+168|0;h=d+24|0;i=d;j=d+12|0;f[e>>2]=0;b[g>>0]=0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;k=jfc(c)|0;if(k>>>0>4294967279)muc(i);if(k>>>0<11){b[i+11>>0]=k;if(!k)l=i;else{m=i;n=6}}else{o=k+16&-16;p=cuc(o)|0;f[i>>2]=p;f[i+8>>2]=o|-2147483648;f[i+4>>2]=k;m=p;n=6}if((n|0)==6){szc(m|0,c|0,k|0)|0;l=m}b[l+k>>0]=0;k=h+60|0;l=h+8|0;f[h>>2]=12028;f[k>>2]=12048;f[h+4>>2]=0;bkc(h+60|0,l);f[h+132>>2]=0;f[h+136>>2]=-1;f[h>>2]=50708;f[k>>2]=50728;gkc(l);f[l>>2]=35404;m=h+40|0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;f[h+56>>2]=8;$D(l,i);if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0);c=f[h+(f[(f[h>>2]|0)+-12>>2]|0)+16>>2]|0;a:do if(!(c&2)){p=i+8|0;o=i+4|0;q=a+20|0;r=a+24|0;s=a+16|0;t=0;b:while(1){v=nkc(h,e)|0;if(!(f[v+(f[(f[v>>2]|0)+-12>>2]|0)+16>>2]&5)){if(!(f[e>>2]|0)){n=15;break}}else{akc(h+(f[(f[h>>2]|0)+-12>>2]|0)|0,0);f[e>>2]=1}v=n0(h,g)|0;if(f[v+(f[(f[v>>2]|0)+-12>>2]|0)+16>>2]&5|0){n=17;break}v=f[e>>2]|0;w=v+-1|0;f[e>>2]=w;c:do if(!v)x=t;else{y=t;z=w;while(1){A=b[g>>0]|0;switch(A|0){case 99:case 117:{B=1;C=562;n=25;break}case 115:case 119:{B=2;C=563;n=25;break}case 105:{f[p>>2]=559;D=y+3&-4;f[o>>2]=D;E=D+4|0;n=29;break}case 102:{f[p>>2]=560;D=y+3&-4;f[o>>2]=D;F=D+4|0;n=30;break}case 100:{f[p>>2]=561;D=y+7&-8;f[o>>2]=D;G=D+8|0;n=31;break}default:{n=24;break b}}d:do if((n|0)==25){n=0;f[p>>2]=C;D=y+-1+B&0-B;f[o>>2]=D;H=D+B|0;switch(A|0){case 99:{I=1;J=H;break d;break}case 105:{E=H;n=29;break d;break}case 102:{F=H;n=30;break d;break}case 100:{G=H;n=31;break d;break}case 117:{I=0;J=H;break d;break}case 119:{I=2;J=H;break d;break}case 115:{I=3;J=H;break d;break}default:{n=32;break b}}}while(0);if((n|0)==29){n=0;I=4;J=E}else if((n|0)==30){n=0;I=5;J=F}else if((n|0)==31){n=0;I=6;J=G}f[i>>2]=I;A=f[q>>2]|0;if((A|0)==(f[r>>2]|0)){E0(s,i);K=f[e>>2]|0}else{f[A>>2]=f[i>>2];f[A+4>>2]=f[i+4>>2];f[A+8>>2]=f[i+8>>2];f[q>>2]=(f[q>>2]|0)+12;K=z}z=K+-1|0;f[e>>2]=z;if(!K){x=J;break c}else y=J}}while(0);w=f[h+(f[(f[h>>2]|0)+-12>>2]|0)+16>>2]|0;if(!(w&2))t=x;else{L=w;break a}}if((n|0)==15){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;b[i+11>>0]=8;t=i;f[t>>2]=544501347;f[t+4>>2]=1429217342;b[i+8>>0]=0;WD(-215,i,236458,235986,766)}else if((n|0)==17){L=f[h+(f[(f[h>>2]|0)+-12>>2]|0)+16>>2]|0;break}else if((n|0)==24){f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;t=cuc(32)|0;f[j>>2]=t;f[j+8>>2]=-2147483616;f[j+4>>2]=21;M=t;N=236359;O=M+21|0;do{b[M>>0]=b[N>>0]|0;M=M+1|0;N=N+1|0}while((M|0)<(O|0));b[t+21>>0]=0;WD(-2,j,236458,235986,802)}else if((n|0)==32){f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;q=cuc(32)|0;f[j>>2]=q;f[j+8>>2]=-2147483616;f[j+4>>2]=21;M=q;N=236359;O=M+21|0;do{b[M>>0]=b[N>>0]|0;M=M+1|0;N=N+1|0}while((M|0)<(O|0));b[q+21>>0]=0;WD(-2,j,236458,235986,821)}}else L=c;while(0);if(!(L&2)){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;b[i+11>>0]=9;M=i;N=236381;O=M+9|0;do{b[M>>0]=b[N>>0]|0;M=M+1|0;N=N+1|0}while((M|0)<(O|0));b[i+9>>0]=0;WD(-215,i,236458,235986,828)}if((f[a+20>>2]|0)==(f[a+16>>2]|0)){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;a=cuc(32)|0;f[i>>2]=a;f[i+8>>2]=-2147483616;f[i+4>>2]=22;M=a;N=236469;O=M+22|0;do{b[M>>0]=b[N>>0]|0;M=M+1|0;N=N+1|0}while((M|0)<(O|0));b[a+22>>0]=0;WD(-215,i,236458,235986,829)}f[h>>2]=50708;f[k>>2]=50728;f[l>>2]=35404;if((b[m+11>>0]|0)>=0){Ric(l);Djc(h,50740);Mic(k);u=d;return}fuc(f[m>>2]|0);Ric(l);Djc(h,50740);Mic(k);u=d;return}function z0(a,b){a=a|0;b=b|0;var c=0,d=0;f[b>>2]=0;c=h[a>>0]|0;f[b>>2]=c;d=(h[a+1>>0]|0)<<8|c;f[b>>2]=d;c=(h[a+2>>0]|0)<<16|d;f[b>>2]=c;f[b>>2]=(h[a+3>>0]|0)<<24|c;return 4}function A0(a,b){a=a|0;b=b|0;f[b>>2]=(h[a+1>>0]|0)<<8|(h[a>>0]|0)|(h[a+2>>0]|0)<<16|(h[a+3>>0]|0)<<24;return 4}function B0(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,i=0,j=0,k=0,l=0;c=h[a>>0]|0;d=yzc(h[a+1>>0]|0|0,0,8)|0;e=J;g=yzc(h[a+2>>0]|0|0,0,16)|0;i=e|J;e=yzc(h[a+3>>0]|0|0,0,24)|0;j=i|J|(h[a+4>>0]|0);i=yzc(h[a+5>>0]|0|0,0,40)|0;k=j|J;j=yzc(h[a+6>>0]|0|0,0,48)|0;l=k|J;k=yzc(h[a+7>>0]|0|0,0,56)|0;a=b;f[a>>2]=d|c|g|e|i|j|k;f[a+4>>2]=l|J;return 8}function C0(a,c){a=a|0;c=c|0;var e=0;d[c>>1]=0;e=b[a>>0]|0;d[c>>1]=e&255;d[c>>1]=(h[a+1>>0]|0)<<8|e&255;return 2}function D0(a,c){a=a|0;c=c|0;b[c>>0]=0;b[c>>0]=b[a>>0]|0;return 1}function E0(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+4|0;d=f[a>>2]|0;e=(f[c>>2]|0)-d|0;g=(e|0)/12|0;h=g+1|0;if(h>>>0>357913941)nsc(a);i=a+8|0;j=((f[i>>2]|0)-d|0)/12|0;k=j<<1;l=j>>>0<178956970?(k>>>0<h>>>0?h:k):357913941;do if(l)if(l>>>0>357913941){k=ze(8)|0;kuc(k,519086);f[k>>2]=167148;Hf(k|0,26888,1888)}else{m=cuc(l*12|0)|0;break}else m=0;while(0);k=m+(g*12|0)|0;f[k>>2]=f[b>>2];f[k+4>>2]=f[b+4>>2];f[k+8>>2]=f[b+8>>2];b=k+(((e|0)/-12|0)*12|0)|0;if((e|0)>0)szc(b|0,d|0,e|0)|0;f[a>>2]=b;f[c>>2]=k+12;f[i>>2]=m+(l*12|0);if(!d)return;fuc(d);return}function F0(a,c,e,g){a=a|0;c=c|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;h=u;u=u+16|0;i=h;if(!a){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;b[i+11>>0]=2;d[i>>1]=29542;b[i+2>>0]=0;WD(-215,i,236492,235986,911)}if((f[a>>2]|0)!=1280131417){j=cuc(32)|0;f[i>>2]=j;f[i+8>>2]=-2147483616;f[i+4>>2]=31;k=j;l=236174;m=k+31|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));b[j+31>>0]=0;WD(-5,i,236492,235986,912)}if(!(f[a+8>>2]|0)){j=cuc(48)|0;f[i>>2]=j;f[i+8>>2]=-2147483600;f[i+4>>2]=38;k=j;l=236219;m=k+38|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));b[j+38>>0]=0;WD(-2,i,236492,235986,912)}A_(a,1);switch(f[a+280>>2]|0){case 0:{z_(a,2);n=a+272|0;o=f[n>>2]|0;i0(o,c,e,g);u=h;return}case 2:{n=a+272|0;o=f[n>>2]|0;i0(o,c,e,g);u=h;return}default:{h=cuc(48)|0;f[i>>2]=h;f[i+8>>2]=-2147483600;f[i+4>>2]=37;k=h;l=236513;m=k+37|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));b[h+37>>0]=0;WD(-2,i,236492,235986,922)}}}function G0(){var a=0,b=0;a=u;u=u+48|0;b=a;f[b>>2]=0;f[b+4>>2]=40;f[b+16>>2]=236551;f[b+12>>2]=0;f[b+8>>2]=0;f[b+20>>2]=827;f[b+24>>2]=1952;f[b+36>>2]=828;f[b+28>>2]=564;f[b+32>>2]=245;$_(b);f[137636]=f[137634];Bd(1953,550544,x|0)|0;f[b>>2]=0;f[b+4>>2]=40;f[b+16>>2]=236567;f[b+12>>2]=0;f[b+8>>2]=0;f[b+20>>2]=827;f[b+24>>2]=1952;f[b+36>>2]=828;f[b+28>>2]=565;f[b+32>>2]=245;$_(b);f[137637]=f[137634];Bd(1953,550548,x|0)|0;f[b>>2]=0;f[b+4>>2]=40;f[b+16>>2]=236588;f[b+12>>2]=0;f[b+8>>2]=0;f[b+20>>2]=829;f[b+24>>2]=1954;f[b+36>>2]=830;f[b+28>>2]=566;f[b+32>>2]=246;$_(b);f[137638]=f[137634];Bd(1953,550552,x|0)|0;f[b>>2]=0;f[b+4>>2]=40;f[b+16>>2]=236601;f[b+12>>2]=0;f[b+8>>2]=0;f[b+20>>2]=831;f[b+24>>2]=1955;f[b+36>>2]=832;f[b+28>>2]=567;f[b+32>>2]=247;$_(b);f[137639]=f[137634];Bd(1953,550556,x|0)|0;f[b>>2]=0;f[b+4>>2]=40;f[b+16>>2]=236622;f[b+12>>2]=0;f[b+8>>2]=0;f[b+20>>2]=833;f[b+24>>2]=1956;f[b+36>>2]=834;f[b+28>>2]=568;f[b+32>>2]=248;$_(b);f[137640]=f[137634];Bd(1953,550560,x|0)|0;f[b>>2]=0;f[b+4>>2]=40;f[b+16>>2]=236635;f[b+12>>2]=0;f[b+8>>2]=0;f[b+20>>2]=835;f[b+24>>2]=1957;f[b+36>>2]=836;f[b+28>>2]=569;f[b+32>>2]=249;$_(b);f[137641]=f[137634];Bd(1953,550564,x|0)|0;f[b>>2]=0;f[b+4>>2]=40;f[b+16>>2]=236649;f[b+12>>2]=0;f[b+8>>2]=0;f[b+20>>2]=837;f[b+24>>2]=1958;f[b+36>>2]=838;f[b+28>>2]=570;f[b+32>>2]=250;$_(b);f[137642]=f[137634];Bd(1953,550568,x|0)|0;u=a;return}function H0(a){a=a|0;var b=0;if(!a)b=0;else b=(f[a>>2]&-65536|0)==1117323264;return b&1|0}function I0(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0;c=u;u=u+16|0;d=c;if(!a){e=cuc(32)|0;f[d>>2]=e;f[d+8>>2]=-2147483616;f[d+4>>2]=19;g=e;h=238054;i=g+19|0;do{b[g>>0]=b[h>>0]|0;g=g+1|0;h=h+1|0}while((g|0)<(i|0));b[e+19>>0]=0;WD(-27,d,238526,236737,509)}else{f[a>>2]=0;u=c;return}}function J0(a){a=a|0;var b=0,c=0,d=0;b=u;u=u+16|0;c=b+8|0;d=b;f[d>>2]=0;f[d+4>>2]=1073741823;f[c>>2]=f[d>>2];f[c+4>>2]=f[d+4>>2];d=VK(a,c,0,1)|0;u=b;return d|0}function K0(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0;d=u;u=u+560|0;e=d+528|0;g=d+16|0;h=d+12|0;i=d;f[h>>2]=0;j=K_(a,c,237365)|0;if((j|0)!=0?(f[j>>2]&7|0)==3:0)k=f[j+8+4>>2]|0;else k=0;j=K_(a,c,238311)|0;a:do if(!j)l=-1;else switch(f[j>>2]&7){case 1:{l=f[j+8>>2]|0;break a;break}case 2:{l=Fhc(+p[j+8>>3])|0;break a;break}default:{l=2147483647;break a}}while(0);j=K_(a,c,236674)|0;if(!j){m=cuc(64)|0;f[i>>2]=m;n=i+8|0;f[n>>2]=-2147483584;o=i+4|0;f[o>>2]=48;q=m;r=238317;s=q+48|0;do{b[q>>0]=b[r>>0]|0;q=q+1|0;r=r+1|0}while((q|0)<(s|0));t=m+48|0;b[t>>0]=0;WD(-2,i,238366,236737,722)}if((f[j>>2]&7|0)!=3){m=cuc(64)|0;f[i>>2]=m;n=i+8|0;f[n>>2]=-2147483584;o=i+4|0;f[o>>2]=48;q=m;r=238317;s=q+48|0;do{b[q>>0]=b[r>>0]|0;q=q+1|0;r=r+1|0}while((q|0)<(s|0));t=m+48|0;b[t>>0]=0;WD(-2,i,238366,236737,722)}v=f[j+8+4>>2]|0;if(!((k|0)!=0&(l|0)!=-1&(v|0)!=0)){m=cuc(64)|0;f[i>>2]=m;n=i+8|0;f[n>>2]=-2147483584;o=i+4|0;f[o>>2]=48;q=m;r=238317;s=q+48|0;do{b[q>>0]=b[r>>0]|0;q=q+1|0;r=r+1|0}while((q|0)<(s|0));t=m+48|0;b[t>>0]=0;WD(-2,i,238366,236737,722)}do if(((b[k>>0]|0)+-48&255)<10){t=gfc(k,h,16)|0;if((t&-65536|0)==1117323264?(f[h>>2]|0)!=(k|0):0){w=t&33279|t<<2&16384|((t&3584|0)==512?1117327360:1117323264);break}else{t=cuc(32)|0;f[i>>2]=t;f[i+8>>2]=-2147483616;f[i+4>>2]=30;q=t;r=237782;s=q+30|0;do{b[q>>0]=b[r>>0]|0;q=q+1|0;r=r+1|0}while((q|0)<(s|0));b[t+30>>0]=0;WD(-2,i,238366,236737,739)}}else{m=(Xgc(k,238377)|0)==0;o=m?1117323264:1117327360;m=(Xgc(k,238383)|0)==0;n=m?o:o|16384;o=(Xgc(k,238390)|0)==0;m=o?n:n|32768;if(!(Xgc(k,238395)|0))w=G_(v)|0|m;else w=m}while(0);k=K_(a,c,237434)|0;if((k|0)!=0?(f[k>>2]&7|0)==3:0)x=f[k+8+4>>2]|0;else x=0;k=K_(a,c,237552)|0;h=(x|0)!=0;m=(k|0)!=0;if(h^m){n=cuc(80)|0;f[i>>2]=n;f[i+8>>2]=-2147483568;f[i+4>>2]=74;q=n;r=237813;s=q+74|0;do{b[q>>0]=b[r>>0]|0;q=q+1|0;r=r+1|0}while((q|0)<(s|0));b[n+74>>0]=0;WD(-2,i,238366,236737,773)}n=K_(a,c,375710)|0;o=K_(a,c,237076)|0;j=(n|0)!=0;y=(o|0)!=0;if(((j&1)+(m&1)+(y&1)|0)>>>0>1){z=cuc(80)|0;f[i>>2]=z;f[i+8>>2]=-2147483568;f[i+4>>2]=66;q=z;r=238403;s=q+66|0;do{b[q>>0]=b[r>>0]|0;q=q+1|0;r=r+1|0}while((q|0)<(s|0));b[z+66>>0]=0;WD(-2,i,238366,236737,779)}if(h)A=E_(x,56)|0;else A=j?88:y?64:56;z=E_(v,0)|0;B=DK(w,A,z,f[a+20>>2]|0)|0;do if(m)if(h){__(a,k,B+56|0,x);break}else{f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;b[i+11>>0]=9;q=i;r=237434;s=q+9|0;do{b[q>>0]=b[r>>0]|0;q=q+1|0;r=r+1|0}while((q|0)<(s|0));b[i+9>>0]=0;WD(-215,i,238366,236737,795)}else{if(!j){if(!y)break;t=K_(a,o,474635)|0;b:do if(!t)C=0;else switch(f[t>>2]&7){case 1:{C=f[t+8>>2]|0;break b;break}case 2:{C=Fhc(+p[t+8>>3])|0;break b;break}default:{C=2147483647;break b}}while(0);f[B+56>>2]=C;t=K_(a,o,237113)|0;c:do if(!t)D=0;else switch(f[t>>2]&7){case 1:{D=f[t+8>>2]|0;break c;break}case 2:{D=Fhc(+p[t+8>>3])|0;break c;break}default:{D=2147483647;break c}}while(0);f[B+60>>2]=D;break}t=K_(a,n,474635)|0;d:do if(!t)E=0;else switch(f[t>>2]&7){case 1:{E=f[t+8>>2]|0;break d;break}case 2:{E=Fhc(+p[t+8>>3])|0;break d;break}default:{E=2147483647;break d}}while(0);f[B+56>>2]=E;t=K_(a,n,237113)|0;e:do if(!t)F=0;else switch(f[t>>2]&7){case 1:{F=f[t+8>>2]|0;break e;break}case 2:{F=Fhc(+p[t+8>>3])|0;break e;break}default:{F=2147483647;break e}}while(0);f[B+60>>2]=F;t=K_(a,n,461828)|0;f:do if(!t)G=0;else switch(f[t>>2]&7){case 1:{G=f[t+8>>2]|0;break f;break}case 2:{G=Fhc(+p[t+8>>3])|0;break f;break}default:{G=2147483647;break f}}while(0);f[B+64>>2]=G;t=K_(a,n,461834)|0;g:do if(!t)H=0;else switch(f[t>>2]&7){case 1:{H=f[t+8>>2]|0;break g;break}case 2:{H=Fhc(+p[t+8>>3])|0;break g;break}default:{H=2147483647;break g}}while(0);f[B+68>>2]=H;t=K_(a,c,237538)|0;h:do if(!t)I=0;else switch(f[t>>2]&7){case 1:{I=f[t+8>>2]|0;break h;break}case 2:{I=Fhc(+p[t+8>>3])|0;break h;break}default:{I=2147483647;break h}}while(0);f[B+72>>2]=I}while(0);TK(B,0,l,0);I=D_(v,g,128)|0;H=I<<1;if((I|0)>0){I=0;n=0;while(1){G=(f[g+(I<<2)>>2]|0)+n|0;I=I+2|0;if((I|0)>=(H|0)){J=G;break}else n=G}}else J=0;n=K_(a,c,392031)|0;if(!n){c=cuc(48)|0;f[i>>2]=c;f[i+8>>2]=-2147483600;f[i+4>>2]=43;q=c;r=237214;s=q+43|0;do{b[q>>0]=b[r>>0]|0;q=q+1|0;r=r+1|0}while((q|0)<(s|0));b[c+43>>0]=0;WD(-2,i,238366,236737,822)}c=f[n>>2]&7;if(c>>>0>4)K=f[(f[n+8>>2]|0)+24>>2]|0;else K=(c|0)!=0&1;if((K|0)!=(Y(J,l)|0)){l=cuc(64)|0;f[i>>2]=l;f[i+8>>2]=-2147483584;f[i+4>>2]=55;q=l;r=238470;s=q+55|0;do{b[q>>0]=b[r>>0]|0;q=q+1|0;r=r+1|0}while((q|0)<(s|0));b[l+55>>0]=0;WD(-2,i,238366,236737,825)}Y_(a,n,e);n=B+52|0;i=f[n>>2]|0;if(!i){u=d;return B|0}else L=i;while(1){i=Y(f[L+12>>2]|0,J)|0;Z_(a,e,i,f[L+16>>2]|0,v);if((L|0)==(f[f[n>>2]>>2]|0)){M=76;break}L=f[L+4>>2]|0;if(!L){M=76;break}}if((M|0)==76){u=d;return B|0}return 0}function L0(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0;e=u;u=u+48|0;g=e+32|0;h=e+8|0;i=e+24|0;j=e;k=N_(d,238273)|0;if((((k|0?Mec(k,485111)|0:0)?Mec(k,532010)|0:0)?Mec(k,517934)|0:0)?Mec(k,238283)|0:0){f[i>>2]=0;f[i+4>>2]=0;f[g>>2]=f[i>>2];f[g+4>>2]=f[i+4>>2];R_(a,b,6,236567,g);f[j>>2]=0;f[j+4>>2]=0;f[g>>2]=f[j>>2];f[g+4>>2]=f[j+4>>2];R_(a,238090,5,0,g);dL(h,c,2147483647);g=f[h>>2]|0;if(g|0){j=d+4|0;i=h+4|0;k=g;do{h1(a,0,k,f[d>>2]|0,f[j>>2]|0,f[i>>2]|0);eL(h)|0;k=f[h>>2]|0}while((k|0)!=0)}S_(a);S_(a);u=e;return}h1(a,b,c,f[d>>2]|0,f[d+4>>2]|0,-1);u=e;return}function M0(a){a=a|0;a$(f[(f[a>>2]|0)+16>>2]|0);return}function N0(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;d=u;u=u+48|0;e=d+16|0;g=d;h=K_(a,c,238090)|0;if(!h){i=cuc(96)|0;f[g>>2]=i;j=g+8|0;f[j>>2]=-2147483552;k=g+4|0;f[k>>2]=90;l=i;m=238100;n=l+90|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));o=i+90|0;b[o>>0]=0;WD(-212,g,238191,236737,855)}if((f[h>>2]&7|0)!=5){i=cuc(96)|0;f[g>>2]=i;j=g+8|0;f[j>>2]=-2147483552;k=g+4|0;f[k>>2]=90;l=i;m=238100;n=l+90|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));o=i+90|0;b[o>>0]=0;WD(-212,g,238191,236737,855)}o=f[h+8>>2]|0;h=f[o+24>>2]|0;IK(o,e,0);if((h|0)<=0){q=0;u=d;return q|0}i=e+12|0;k=o+28|0;o=e+20|0;j=0;c=0;r=0;s=0;t=0;v=0;while(1){w=f[i>>2]|0;x=s;s=L_(a,w,0)|0;if(!s){y=7;break}z=K_(a,w,238210)|0;if(!z){y=13;break}switch(f[z>>2]&7){case 1:{A=f[z+8>>2]|0;y=12;break}case 2:{A=Fhc(+p[z+8>>3])|0;y=12;break}default:B=2147483647}if((y|0)==12){y=0;if((A|0)<0){y=13;break}else B=A}z=(j|0)==0;w=z?s:v;j=z?s:j;if((B|0)<=(r|0)){if((B|0)<(r|0)){z=r;C=x;while(1){D=f[C+16>>2]|0;if((z|0)>(B|0)){z=z+-1|0;C=D}else{E=D;F=C;break}}}else{E=c;F=x}f[s+8>>2]=F;if(!F)G=E;else{f[F+12>>2]=s;G=E}}else{if(x|0)f[x+20>>2]=s;f[s+8>>2]=0;G=x}f[s+16>>2]=G;C=(f[i>>2]|0)+(f[k>>2]|0)|0;f[i>>2]=C;if(C>>>0>=(f[o>>2]|0)>>>0)QK(e,1);t=t+1|0;if((t|0)>=(h|0)){q=w;y=25;break}else{c=G;r=B;v=w}}if((y|0)==7){v=g+4|0;f[v>>2]=0;f[v+4>>2]=0;b[g+11>>0]=3;b[g>>0]=b[238206]|0;b[g+1>>0]=b[238207]|0;b[g+2>>0]=b[238208]|0;b[g+3>>0]=0;WD(-215,g,238191,236737,867)}else if((y|0)==13){v=cuc(64)|0;f[g>>2]=v;f[g+8>>2]=-2147483584;f[g+4>>2]=56;l=v;m=238216;n=l+56|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));b[v+56>>0]=0;WD(-212,g,238191,236737,870)}else if((y|0)==25){u=d;return q|0}return 0}function O0(a){a=a|0;var b=0;if(!a)b=0;else b=(f[a>>2]&-53248|0)==1117261824;return b&1|0}function P0(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0;c=u;u=u+16|0;d=c;if(!a){e=cuc(32)|0;f[d>>2]=e;f[d+8>>2]=-2147483616;f[d+4>>2]=19;g=e;h=238054;i=g+19|0;do{b[g>>0]=b[h>>0]|0;g=g+1|0;h=h+1|0}while((g|0)<(i|0));b[e+19>>0]=0;WD(-27,d,238074,236737,911)}else{f[a>>2]=0;u=c;return}}function Q0(a){a=a|0;return bL(a,0)|0}function R0(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0;d=u;u=u+688|0;e=d;g=d+168|0;h=d+160|0;i=d+32|0;j=d+20|0;k=d+8|0;f[h>>2]=0;l=K_(a,c,237365)|0;if((l|0)!=0?(f[l>>2]&7|0)==3:0)m=f[l+8+4>>2]|0;else m=0;l=K_(a,c,237384)|0;if((l|0)!=0?(f[l>>2]&7|0)==3:0)n=f[l+8+4>>2]|0;else n=0;l=K_(a,c,237405)|0;if((l|0)!=0?(f[l>>2]&7|0)==3:0)o=f[l+8+4>>2]|0;else o=0;l=K_(a,c,237371)|0;a:do if(!l)q=-1;else switch(f[l>>2]&7){case 1:{q=f[l+8>>2]|0;break a;break}case 2:{q=Fhc(+p[l+8>>3])|0;break a;break}default:{q=2147483647;break a}}while(0);l=K_(a,c,237394)|0;b:do if(!l)r=-1;else switch(f[l>>2]&7){case 1:{r=f[l+8>>2]|0;break b;break}case 2:{r=Fhc(+p[l+8>>3])|0;break b;break}default:{r=2147483647;break b}}while(0);if(!((o|0)!=0&(((m|0)==0|(q|0)==-1|(r|0)==-1)^1))){l=cuc(48)|0;f[i>>2]=l;f[i+8>>2]=-2147483600;f[i+4>>2]=45;s=l;t=237723;v=s+45|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));b[l+45>>0]=0;WD(-2,i,237769,236737,1086)}do if($fc(b[m>>0]|0)|0){l=gfc(m,h,16)|0;if((l&-65536|0)==1117257728?(f[h>>2]|0)!=(m|0):0){w=(l&4096|0)==0;break}else{l=cuc(32)|0;f[i>>2]=l;f[i+8>>2]=-2147483616;f[i+4>>2]=30;s=l;t=237782;v=s+30|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));b[l+30>>0]=0;WD(-2,i,237769,236737,1099)}}else w=(Xgc(m,237356)|0)==0;while(0);m=w?1117261824:1117278208;w=K_(a,c,237434)|0;if((w|0)!=0?(f[w>>2]&7|0)==3:0)x=f[w+8+4>>2]|0;else x=0;w=K_(a,c,237552)|0;y=(x|0)!=0;z=(w|0)!=0;if(y^z){A=cuc(80)|0;f[i>>2]=A;f[i+8>>2]=-2147483568;f[i+4>>2]=74;s=A;t=237813;v=s+74|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));b[A+74>>0]=0;WD(-2,i,237769,236737,1114)}if(y)B=E_(x,68)|0;else B=68;A=(n|0)==0;if(!A){C=E_(n,0)|0;D=E_(n,8)|0;E=D_(o,g,128)|0;F=E<<1;if((E|0)>0){E=0;G=0;while(1){H=(f[g+(G<<2)>>2]|0)+E|0;G=G+2|0;if((G|0)>=(F|0)){I=D;J=C;K=H;L=g;break}else E=H}}else{I=D;J=C;K=0;L=g}}else{I=8;J=0;K=0;L=g}C=D_(o,L,128)|0;if(!((C|0)>1&(f[L>>2]|0)==2)){M=cuc(64)|0;f[j>>2]=M;N=j+8|0;f[N>>2]=-2147483584;O=j+4|0;f[O>>2]=52;s=M;t=237888;v=s+52|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));P=M+52|0;b[P>>0]=0;WD(-5,j,237769,236737,1140)}if((f[g+4>>2]|0)!=4){M=cuc(64)|0;f[j>>2]=M;N=j+8|0;f[N>>2]=-2147483584;O=j+4|0;f[O>>2]=52;s=M;t=237888;v=s+52|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));P=M+52|0;b[P>>0]=0;WD(-5,j,237769,236737,1140)}if((f[g+8>>2]|0)<1){M=cuc(64)|0;f[j>>2]=M;N=j+8|0;f[N>>2]=-2147483584;O=j+4|0;f[O>>2]=52;s=M;t=237888;v=s+52|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));P=M+52|0;b[P>>0]=0;WD(-5,j,237769,236737,1140)}if((f[g+12>>2]|0)!=5){M=cuc(64)|0;f[j>>2]=M;N=j+8|0;f[N>>2]=-2147483584;O=j+4|0;f[O>>2]=52;s=M;t=237888;v=s+52|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));P=M+52|0;b[P>>0]=0;WD(-5,j,237769,236737,1140)}if((C|0)>2){P=f[g+20>>2]|0;M=(Y(675553809>>>(P<<2&28)&15,(P>>>3&511)+1|0)|0)>>>0>7;Q=M?8:4}else Q=4;M=C<<1;if((M|0)>2){C=2;P=2;while(1){O=(f[g+(C<<2)>>2]|0)+P|0;C=C+2|0;if((C|0)>=(M|0)){R=O;break}else P=O}}else R=2;P=o+2|0;M=b[P>>0]|0;switch(M<<24>>24){case 102:{S=47;break}case 49:{if((b[o+3>>0]|0)==102)S=47;else S=48;break}default:S=48}if((S|0)==47)T=o+3+((M+-48&255)<10&1)|0;else if((S|0)==48){M=(gfc(P,h,10)|0)+-1|0;P=f[h>>2]|0;f[e>>2]=M;f[e+4>>2]=P;ihc(i,237941,e)|0;T=i}e=E_(T,24)|0;T=E_(o,0)|0;P=_K(m,B,I,e,f[a+20>>2]|0)|0;do if(z)if(y){__(a,w,P+68|0,x);break}else{f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;b[i+11>>0]=9;s=i;t=237434;v=s+9|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));b[i+9>>0]=0;WD(-215,i,237769,236737,1167)}while(0);x=J*3|0;w=(x|0)>65536?x:65536;x=T*3|0;y=(x|0)<(w|0)?w:x;x=UC(y)|0;w=UC(q<<2)|0;z=K_(a,c,237419)|0;l=K_(a,c,237428)|0;if(!l){c=cuc(16)|0;f[i>>2]=c;f[i+8>>2]=-2147483632;f[i+4>>2]=13;s=c;t=237947;v=s+13|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));b[c+13>>0]=0;WD(-5,i,237769,236737,1179)}if(!(A|(z|0)!=0)){A=cuc(32)|0;f[i>>2]=A;f[i+8>>2]=-2147483616;f[i+4>>2]=16;s=A;t=237961;v=s+16|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));b[A+16>>0]=0;WD(-5,i,237769,236737,1181)}A=Q+-1|0;c=0-Q|0;Q=0;c:while(1){B=(Q|0)==0;m=B?n:o;M=B?I:e;h=B?J:T;C=B?K:R;g=B?q:r;O=(y>>>0)/(((h|0)>1?h:1)>>>0)|0;N=(m|0)!=0;if(N)Y_(a,B?z:l,i);d:do if((g|0)>0){L=(M|0)>24;D=M+-24|0;if(N){U=0;V=x;W=0}else{E=x;F=0;while(1){if(!B){f[j>>2]=0;G=f[E>>2]|0;H=f[E+4>>2]|0;if(!(G>>>0<q>>>0&H>>>0<q>>>0)){S=75;break c}if(!(aL(P,f[w+(G<<2)>>2]|0,f[w+(H<<2)>>2]|0,0,j)|0)){S=77;break c}H=f[j>>2]|0;f[H+4>>2]=f[E+8>>2];if(L)szc(H+24|0,A+(E+12)&c|0,D|0)|0}else{$K(P,0,j)|0;f[w+(F<<2)>>2]=f[j>>2]}F=F+1|0;if((g|0)<=(F|0))break d;else E=E+h|0}}while(1){E=g-W|0;F=Y((E|0)>(O|0)?O:E,C)|0;if(!U){Z_(a,i,F,x,m);X=F;Z=x}else{X=U;Z=V}if(!B){f[j>>2]=0;F=f[Z>>2]|0;E=f[Z+4>>2]|0;if(!(F>>>0<q>>>0&E>>>0<q>>>0)){S=75;break c}if(!(aL(P,f[w+(F<<2)>>2]|0,f[w+(E<<2)>>2]|0,0,j)|0)){S=77;break c}E=f[j>>2]|0;f[E+4>>2]=f[Z+8>>2];if(L)szc(E+24|0,A+(Z+12)&c|0,D|0)|0}else{$K(P,0,j)|0;f[w+(W<<2)>>2]=f[j>>2];szc((f[j>>2]|0)+8|0,Z|0,h|0)|0}W=W+1|0;if((g|0)<=(W|0))break;else{U=X+-1|0;V=Z+h|0}}}while(0);Q=Q+1|0;if((Q|0)>=2){S=83;break}}if((S|0)==75){Q=cuc(48)|0;f[k>>2]=Q;f[k+8>>2]=-2147483600;f[k+4>>2]=46;s=Q;t=237978;v=s+46|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));b[Q+46>>0]=0;WD(-211,k,237769,236737,1226)}else if((S|0)==77){Q=cuc(32)|0;f[k>>2]=Q;f[k+8>>2]=-2147483616;f[k+4>>2]=28;s=Q;t=238025;v=s+28|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));b[Q+28>>0]=0;WD(-5,k,237769,236737,1232)}else if((S|0)==83){VC(x);VC(w);u=d;return P|0}return 0}function S0(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0;e=u;u=u+960|0;g=e+56|0;h=e;i=e+24|0;j=e+824|0;k=e+696|0;l=e+568|0;m=e+16|0;n=e+8|0;o=f[c+60>>2]|0;p=c+64|0;q=f[(f[p>>2]|0)+60>>2]|0;r=UC(o<<2)|0;IK(c,i,0);s=c+24|0;if((f[s>>2]|0)>0){t=i+12|0;v=c+28|0;w=i+20|0;x=0;y=0;while(1){z=f[t>>2]|0;A=f[z>>2]|0;if((A|0)>-1){f[r+(x<<2)>>2]=A;f[z>>2]=x;B=x+1|0}else B=x;A=z+(f[v>>2]|0)|0;f[t>>2]=A;if(A>>>0>=(f[w>>2]|0)>>>0)QK(i,1);y=y+1|0;if((y|0)>=(f[s>>2]|0))break;else x=B}}f[m>>2]=0;f[m+4>>2]=0;f[g>>2]=f[m>>2];f[g+4>>2]=f[m+4>>2];R_(a,b,6,236588,g);V_(a,237365,f[c>>2]&16384|0?237356:1171380,1);T_(a,237371,o);o=f1(c,237384,d,8,k)|0;if(o|0)V_(a,237384,o,0);T_(a,237394,q);q=f1(f[p>>2]|0,237405,d,24,j)|0;f[h>>2]=q|0?q:1171380;ihc(l,237413,h)|0;V_(a,237405,l,0);g1(a,c,d,68);d=c+28|0;h=(f[d>>2]|0)*3|0;q=(h|0)>65536?h:65536;h=(f[(f[p>>2]|0)+28>>2]|0)*3|0;j=(h|0)<(q|0)?q:h;h=UC(j)|0;q=g+20|0;k=n+4|0;b=i+12|0;m=i+20|0;B=0;do{x=(B|0)==0;y=x?o:l;if(y|0){if(x)C=c;else C=f[p>>2]|0;w=C+28|0;t=f[w>>2]|0;v=E_(y,0)|0;A=(j|0)/(v|0)|0;if((B|0)==1){if((D_(y,g,128)|0)>2){z=f[q>>2]|0;D=(Y(675553809>>>(z<<2&28)&15,(z>>>3&511)+1|0)|0)>>>0>7;E=D?8:4}else E=4;F=E}else F=4;f[n>>2]=0;f[k>>2]=0;f[g>>2]=f[n>>2];f[g+4>>2]=f[n+4>>2];R_(a,x?237419:237428,13,0,g);IK(C,i,0);D=C+24|0;if((f[D>>2]|0)>0){z=t+-24|0;G=F+-1|0;H=0-F|0;if(!x)if((t|0)>24){t=0;x=h;I=0;while(1){J=f[b>>2]|0;if((f[J>>2]|0)>-1){K=x+3&-4;L=K;f[K>>2]=f[f[J+16>>2]>>2];f[L+4>>2]=f[f[J+20>>2]>>2];f[L+8>>2]=f[J+4>>2];szc(G+(L+12)&H|0,J+24|0,z|0)|0;J=t+1|0;if((J|0)<(A|0)){M=J;N=L+v|0}else{X_(a,h,J,y);M=0;N=h}}else{M=t;N=x}J=(f[b>>2]|0)+(f[w>>2]|0)|0;f[b>>2]=J;if(J>>>0>=(f[m>>2]|0)>>>0)QK(i,1);I=I+1|0;if((I|0)>=(f[D>>2]|0)){O=M;break}else{t=M;x=N}}}else{x=0;t=h;I=0;while(1){z=f[b>>2]|0;if((f[z>>2]|0)>-1){H=t+3&-4;G=H;f[H>>2]=f[f[z+16>>2]>>2];f[G+4>>2]=f[f[z+20>>2]>>2];f[G+8>>2]=f[z+4>>2];H=x+1|0;if((H|0)<(A|0)){P=H;Q=G+v|0;R=z}else{X_(a,h,H,y);P=0;Q=h;R=f[b>>2]|0}}else{P=x;Q=t;R=z}z=R+(f[w>>2]|0)|0;f[b>>2]=z;if(z>>>0>=(f[m>>2]|0)>>>0)QK(i,1);I=I+1|0;if((I|0)>=(f[D>>2]|0)){O=P;break}else{x=P;t=Q}}}else{t=0;x=h;I=0;while(1){z=f[b>>2]|0;if((f[z>>2]|0)>-1){szc(x|0,z+8|0,v|0)|0;z=t+1|0;if((z|0)<(A|0)){S=z;T=x+v|0}else{X_(a,h,z,y);S=0;T=h}}else{S=t;T=x}z=(f[b>>2]|0)+(f[w>>2]|0)|0;f[b>>2]=z;if(z>>>0>=(f[m>>2]|0)>>>0)QK(i,1);I=I+1|0;if((I|0)>=(f[D>>2]|0)){O=S;break}else{t=S;x=T}}}if((O|0)>0)X_(a,h,O,y)}S_(a)}B=B+1|0}while((B|0)!=2);S_(a);IK(c,i,0);c=f[s>>2]|0;if((c|0)>0){U=0;V=0;W=c}else{VC(h);VC(r);u=e;return}while(1){c=f[b>>2]|0;if((f[c>>2]|0)>-1){f[c>>2]=f[r+(U<<2)>>2];X=U+1|0}else X=U;a=c+(f[d>>2]|0)|0;f[b>>2]=a;if(a>>>0<(f[m>>2]|0)>>>0)Z=W;else{QK(i,1);Z=f[s>>2]|0}V=V+1|0;if((V|0)>=(Z|0))break;else{U=X;W=Z}}VC(h);VC(r);u=e;return}function T0(a){a=a|0;var b=0;if(!a)b=0;else b=(f[a>>2]&-65536|0)==1111752704;return b&1|0}function U0(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;d=u;u=u+304|0;e=d+272|0;g=d+144|0;h=d+16|0;i=d;j=K_(a,c,236666)|0;k=K_(a,c,236674)|0;if((k|0?(f[k>>2]&7|0)==3:0)?(l=f[k+8+4>>2]|0,(j|0)!=0&(l|0)!=0):0){k=f[j>>2]&7;if((k|0)==5)m=f[(f[j+8>>2]|0)+24>>2]|0;else m=(k|0)==1?1:-1;k=m+-1|0;if(k>>>0>31){n=cuc(64)|0;f[h>>2]=n;f[h+8>>2]=-2147483584;f[h+4>>2]=48;o=n;p=237275;q=o+48|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[n+48>>0]=0;WD(-212,h,237258,236737,318)}__(a,j,g,236672);j=G_(l)|0;n=K_(a,c,392031)|0;if(!n){r=cuc(48)|0;f[h>>2]=r;s=h+8|0;f[s>>2]=-2147483600;t=h+4|0;f[t>>2]=44;o=r;p=236862;q=o+44|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));v=r+44|0;b[v>>0]=0;WD(-2,h,237258,236737,325)}if((f[n>>2]&7|0)!=5){r=cuc(48)|0;f[h>>2]=r;s=h+8|0;f[s>>2]=-2147483600;t=h+4|0;f[t>>2]=44;o=r;p=236862;q=o+44|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));v=r+44|0;b[v>>0]=0;WD(-2,h,237258,236737,325)}v=KZ(m,g,j)|0;g=j>>>3&511;j=g+1|0;r=f[n+8>>2]|0;Y_(a,n,e);n=r+24|0;if((f[n>>2]|0)<=0){w=v;u=d;return w|0}t=e+12|0;s=h+(k<<2)|0;c=r+28|0;r=e+20|0;x=g+2|0;g=0;a:while(1){y=f[t>>2]|0;if((f[y>>2]&7|0)!=1){z=17;break}A=f[y+8>>2]|0;B=(g|0)>0;if(!(B&(A|0)>-1)){if(B)C=k+A|0;else{f[h>>2]=A;C=1}if((C|0)<(m|0)){B=C;D=g;E=y;while(1){F=E+(f[c>>2]|0)|0;f[t>>2]=F;if(F>>>0<(f[r>>2]|0)>>>0){G=F;H=F}else{QK(e,1);F=f[t>>2]|0;G=F;H=F}F=D+1|0;if((f[H>>2]&7|0)!=1){z=28;break a}I=f[H+8>>2]|0;if((I|0)<0){z=28;break a}f[h+(B<<2)>>2]=I;B=B+1|0;if((B|0)>=(m|0)){J=F;K=G;break}else{D=F;E=H}}}else{J=g;K=y}}else{f[s>>2]=A;J=g;K=y}E=K+(f[c>>2]|0)|0;f[t>>2]=E;if(E>>>0>=(f[r>>2]|0)>>>0)QK(e,1);Z_(a,e,j,UZ(v,h,0,1,0)|0,l);g=x+J|0;if((g|0)>=(f[n>>2]|0)){w=v;z=33;break}}if((z|0)==17){v=cuc(32)|0;f[i>>2]=v;f[i+8>>2]=-2147483616;f[i+4>>2]=31;o=v;p=237324;q=o+31|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[v+31>>0]=0;WD(-212,i,237258,236737,340)}else if((z|0)==28){v=cuc(32)|0;f[i>>2]=v;f[i+8>>2]=-2147483616;f[i+4>>2]=31;o=v;p=237324;q=o+31|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[v+31>>0]=0;WD(-212,i,237258,236737,356)}else if((z|0)==33){u=d;return w|0}}w=cuc(48)|0;f[h>>2]=w;f[h+8>>2]=-2147483600;f[h+4>>2]=46;o=w;p=236677;q=o+46|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[w+46>>0]=0;WD(-2,h,237258,236737,312);return 0}function V0(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;d=u;u=u+112|0;e=d+80|0;g=d+76|0;i=d+64|0;j=d+32|0;k=d+16|0;l=d+88|0;m=d+24|0;n=d+8|0;o=d;p=uK(0)|0;f[g>>2]=p;f[m>>2]=0;f[m+4>>2]=0;f[e>>2]=f[m>>2];f[e+4>>2]=f[m+4>>2];R_(a,b,6,236601,e);b=SZ(c,0)|0;f[k>>2]=b;f[n>>2]=0;f[n+4>>2]=0;f[e>>2]=f[n>>2];f[e+4>>2]=f[n+4>>2];R_(a,236666,13,0,e);X_(a,c+36|0,b,236672);S_(a);V_(a,236674,C_(f[c>>2]&4095,l)|0,0);f[o>>2]=0;f[o+4>>2]=0;f[e>>2]=f[o>>2];f[e+4>>2]=f[o+4>>2];R_(a,392031,13,0,e);o=DK(56,56,4,p)|0;p=NZ(c,i)|0;if(p|0){b=c+32|0;n=i+4|0;m=i+8|0;q=p;a:while(1){f[e>>2]=q+(f[b>>2]|0);RK(o,e)|0;p=f[(f[n>>2]|0)+4>>2]|0;if(!p){r=(f[m>>2]|0)+1|0;f[m>>2]=r;s=f[i>>2]|0;t=f[s+24>>2]|0;if((r|0)>=(t|0))break;v=f[s+20>>2]|0;s=r;while(1){w=f[v+(s<<2)>>2]|0;if(w|0)break;r=s+1|0;if((r|0)<(t|0))s=r;else break a}f[m>>2]=s;x=w}else x=p;f[n>>2]=x;q=x}}WK(o,298,k);IK(o,j,0);x=o+24|0;if((f[x>>2]|0)<=0){S_(a);S_(a);wK(g);u=d;return}o=j+12|0;q=j+20|0;n=c+32|0;w=c+28|0;c=a+236|0;m=0;i=0;do{e=f[o>>2]|0;b=i;i=h[e>>0]|h[e+1>>0]<<8|h[e+2>>0]<<16|h[e+3>>0]<<24;t=e+4|0;f[o>>2]=t;if(t>>>0>=(f[q>>2]|0)>>>0)QK(j,1);if((m|0)>0){t=0;while(1){y=t+1|0;if((f[i+(t<<2)>>2]|0)==(f[b+(t<<2)>>2]|0))t=y;else break}b=f[k>>2]|0;if((t|0)<(b+-1|0)){Zh[f[c>>2]&511](a,0,y-b|0);z=t}else z=t}else z=0;if((z|0)<(f[k>>2]|0)){b=z;do{Zh[f[c>>2]&511](a,0,f[i+(b<<2)>>2]|0);b=b+1|0}while((b|0)<(f[k>>2]|0))}X_(a,i+(0-(f[n>>2]|0))+(f[w>>2]|0)|0,1,l);m=m+1|0}while((m|0)<(f[x>>2]|0));S_(a);S_(a);wK(g);u=d;return}function W0(a){a=a|0;var b=0;if(!a)b=0;else b=(f[a>>2]|0)==112;return b&1|0}function X0(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;d=u;u=u+80|0;e=d+56|0;g=d+16|0;h=d+48|0;i=d;j=K_(a,c,461828)|0;a:do if(!j)k=0;else switch(f[j>>2]&7){case 1:{k=f[j+8>>2]|0;break a;break}case 2:{k=Fhc(+p[j+8>>3])|0;break a;break}default:{k=2147483647;break a}}while(0);j=K_(a,c,461834)|0;b:do if(!j)l=0;else switch(f[j>>2]&7){case 1:{l=f[j+8>>2]|0;break b;break}case 2:{l=Fhc(+p[j+8>>3])|0;break b;break}default:{l=2147483647;break b}}while(0);j=K_(a,c,236674)|0;if((j|0)!=0?(f[j>>2]&7|0)==3:0)m=f[j+8+4>>2]|0;else m=0;j=K_(a,c,237076)|0;if((j|0)!=0?(f[j>>2]&7|0)==3:0)n=f[j+8+4>>2]|0;else n=0;if((k|0)==0|(l|0)==0|(m|0)==0|(n|0)==0){n=cuc(48)|0;f[e>>2]=n;f[e+8>>2]=-2147483600;f[e+4>>2]=45;o=n;q=237119;r=o+45|0;do{b[o>>0]=b[q>>0]|0;o=o+1|0;q=q+1|0}while((o|0)<(r|0));b[n+45>>0]=0;WD(-2,e,237165,236737,447)}n=G_(m)|0;j=K_(a,c,237102)|0;if(j){if((f[j>>2]&7|0)!=3){s=cuc(48)|0;f[e>>2]=s;t=e+8|0;f[t>>2]=-2147483600;v=e+4|0;f[v>>2]=35;o=s;q=237178;r=o+35|0;do{b[o>>0]=b[q>>0]|0;o=o+1|0;q=q+1|0}while((o|0)<(r|0));w=s+35|0;b[w>>0]=0;WD(-2,e,237165,236737,452)}x=f[j+8+4>>2]|0;if(!x){s=cuc(48)|0;f[e>>2]=s;t=e+8|0;f[t>>2]=-2147483600;v=e+4|0;f[v>>2]=35;o=s;q=237178;r=o+35|0;do{b[o>>0]=b[q>>0]|0;o=o+1|0;q=q+1|0}while((o|0)<(r|0));w=s+35|0;b[w>>0]=0;WD(-2,e,237165,236737,452)}else y=x}else y=237090;if(Mec(y,237090)|0){s=cuc(48)|0;f[e>>2]=s;t=e+8|0;f[t>>2]=-2147483600;v=e+4|0;f[v>>2]=35;o=s;q=237178;r=o+35|0;do{b[o>>0]=b[q>>0]|0;o=o+1|0;q=q+1|0}while((o|0)<(r|0));w=s+35|0;b[w>>0]=0;WD(-2,e,237165,236737,452)}w=K_(a,c,392031)|0;if(!w){s=cuc(48)|0;f[e>>2]=s;f[e+8>>2]=-2147483600;f[e+4>>2]=43;o=s;q=237214;r=o+43|0;do{b[o>>0]=b[q>>0]|0;o=o+1|0;q=q+1|0}while((o|0)<(r|0));b[s+43>>0]=0;WD(-2,e,237165,236737,456)}s=f[w>>2]&7;if(s>>>0>4)z=f[(f[w+8>>2]|0)+24>>2]|0;else z=(s|0)!=0&1;s=Y(l,k)|0;v=(n>>>3&511)+1|0;if((z|0)!=(Y(v,s)|0)){z=cuc(64)|0;f[e>>2]=z;f[e+8>>2]=-2147483584;f[e+4>>2]=63;o=z;q=236907;r=o+63|0;do{b[o>>0]=b[q>>0]|0;o=o+1|0;q=q+1|0}while((o|0)<(r|0));b[z+63>>0]=0;WD(-209,e,237165,236737,460)}z=n&7;f[h>>2]=k;f[h+4>>2]=l;f[e>>2]=f[h>>2];f[e+4>>2]=f[h+4>>2];h=XZ(e,675553809>>>(z<<2)<<3&120|((z|0)==4|(z|2|0)==3?-2147483648:0),v)|0;z=K_(a,c,237109)|0;if(z|0){c=K_(a,z,474635)|0;c:do if(!c)A=0;else switch(f[c>>2]&7){case 1:{A=f[c+8>>2]|0;break c;break}case 2:{A=Fhc(+p[c+8>>3])|0;break c;break}default:{A=2147483647;break c}}while(0);c=K_(a,z,237113)|0;d:do if(!c)B=0;else switch(f[c>>2]&7){case 1:{B=f[c+8>>2]|0;break d;break}case 2:{B=Fhc(+p[c+8>>3])|0;break d;break}default:{B=2147483647;break d}}while(0);c=K_(a,z,461828)|0;e:do if(!c)C=0;else switch(f[c>>2]&7){case 1:{C=f[c+8>>2]|0;break e;break}case 2:{C=Fhc(+p[c+8>>3])|0;break e;break}default:{C=2147483647;break e}}while(0);c=K_(a,z,461834)|0;f:do if(!c)D=0;else switch(f[c>>2]&7){case 1:{D=f[c+8>>2]|0;break f;break}case 2:{D=Fhc(+p[c+8>>3])|0;break f;break}default:{D=2147483647;break f}}while(0);c=K_(a,z,237115)|0;g:do if(!c)E=0;else switch(f[c>>2]&7){case 1:{E=f[c+8>>2]|0;break g;break}case 2:{E=Fhc(+p[c+8>>3])|0;break g;break}default:{E=2147483647;break g}}while(0);f[i>>2]=A;f[i+4>>2]=B;f[i+8>>2]=C;f[i+12>>2]=D;f[e>>2]=f[i>>2];f[e+4>>2]=f[i+4>>2];f[e+8>>2]=f[i+8>>2];f[e+12>>2]=f[i+12>>2];ZZ(h,e);_Z(h,E)}E=Y(Y(v,k)|0,675553809>>>(n<<2&28)&15)|0;n=h+72|0;e=(E|0)==(f[n>>2]|0);E=e?1:l;l=Y(e?s:k,v)|0;Y_(a,w,g);if((E|0)<=0){u=d;return h|0}w=h+68|0;v=0;do{Z_(a,g,l,(f[w>>2]|0)+(Y(f[n>>2]|0,v)|0)|0,m);v=v+1|0}while((v|0)!=(E|0));u=d;return h|0}function Y0(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;e=u;u=u+64|0;g=e+24|0;h=e+40|0;i=e+16|0;j=e+8|0;k=e;l=d+28|0;if((f[l>>2]|0)==1){m=cuc(64)|0;f[g>>2]=m;f[g+8>>2]=-2147483584;f[g+4>>2]=48;n=m;o=236992;p=n+48|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));b[m+48>>0]=0;WD(-210,g,237041,236737,390)}f[i>>2]=0;f[i+4>>2]=0;f[g>>2]=f[i>>2];f[g+4>>2]=f[i+4>>2];R_(a,c,6,236622,g);c=d+40|0;T_(a,461828,f[c>>2]|0);i=d+44|0;T_(a,461834,f[i>>2]|0);V_(a,237076,(f[d+32>>2]|0)==0?237055:237064,0);V_(a,237102,(f[l>>2]|0)==1?237083:237090,0);l=d+48|0;if(f[l>>2]|0){f[j>>2]=0;f[j+4>>2]=0;f[g>>2]=f[j>>2];f[g+4>>2]=f[j+4>>2];R_(a,237109,14,0,g);T_(a,474635,f[(f[l>>2]|0)+4>>2]|0);T_(a,237113,f[(f[l>>2]|0)+8>>2]|0);T_(a,461828,f[(f[l>>2]|0)+12>>2]|0);T_(a,461834,f[(f[l>>2]|0)+16>>2]|0);T_(a,237115,f[f[l>>2]>>2]|0);S_(a)}l=f[d+16>>2]|0;j=1125516576>>>((l>>>2&60)+(l>>31&20)|0);l=C_(j&7,h)|0;V_(a,236674,l,0);h=f[c>>2]|0;c=f[i>>2]|0;i=Y(Y(f[d+8>>2]|0,h)|0,675553809>>>(j<<2&28)&15)|0;j=d+72|0;m=(i|0)==(f[j>>2]|0);i=Y(m?c:1,h)|0;h=m?1:c;f[k>>2]=0;f[k+4>>2]=0;f[g>>2]=f[k>>2];f[g+4>>2]=f[k+4>>2];R_(a,392031,13,0,g);if((h|0)<=0){S_(a);S_(a);u=e;return}g=d+68|0;d=0;do{X_(a,(f[g>>2]|0)+(Y(f[j>>2]|0,d)|0)|0,i,l);d=d+1|0}while((d|0)!=(h|0));S_(a);S_(a);u=e;return}function Z0(a){a=a|0;var b=0;if(((a|0)!=0?(f[a>>2]&-65536|0)==1111621632:0)?(f[a+24>>2]|0)>-1:0)b=(f[a+20>>2]|0)>-1;else b=0;return b&1|0}function _0(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0;d=u;u=u+16|0;e=d;g=K_(a,c,236971)|0;a:do if(!g)h=-1;else switch(f[g>>2]&7){case 1:{h=f[g+8>>2]|0;break a;break}case 2:{h=Fhc(+p[g+8>>3])|0;break a;break}default:{h=2147483647;break a}}while(0);g=K_(a,c,236976)|0;b:do if(!g)i=-1;else switch(f[g>>2]&7){case 1:{i=f[g+8>>2]|0;break b;break}case 2:{i=Fhc(+p[g+8>>3])|0;break b;break}default:{i=2147483647;break b}}while(0);g=K_(a,c,236674)|0;if((g|0?(f[g>>2]&7|0)==3:0)?(j=f[g+8+4>>2]|0,(i|h|0)>-1&(j|0)!=0):0){g=G_(j)|0;k=K_(a,c,392031)|0;if(!k){c=cuc(48)|0;f[e>>2]=c;f[e+8>>2]=-2147483600;f[e+4>>2]=44;l=c;m=236862;n=l+44|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));b[c+44>>0]=0;WD(-2,e,236981,236737,88)}c=f[k>>2]&7;if(c>>>0>4)o=f[(f[k+8>>2]|0)+24>>2]|0;else o=(c|0)!=0&1;if((o|0)<=0){q=xZ(h,i,g)|0;u=d;return q|0}if((o|0)!=(Y(Y(i,h)|0,(g>>>3&511)+1|0)|0)){o=cuc(64)|0;f[e>>2]=o;f[e+8>>2]=-2147483584;f[e+4>>2]=63;l=o;m=236907;n=l+63|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));b[o+63>>0]=0;WD(-209,e,236981,236737,93)}o=wZ(h,i,g)|0;__(a,k,f[o+16>>2]|0,j);q=o;u=d;return q|0}q=cuc(48)|0;f[e>>2]=q;f[e+8>>2]=-2147483600;f[e+4>>2]=46;l=q;m=236677;n=l+46|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));b[q+46>>0]=0;WD(-2,e,236981,236737,82);return 0}function $0(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0;d=u;u=u+48|0;e=d+24|0;g=d+32|0;h=d+16|0;i=d+8|0;j=d;f[h>>2]=0;f[h+4>>2]=0;f[e>>2]=f[h>>2];f[e+4>>2]=f[h+4>>2];R_(a,b,6,236635,e);T_(a,236971,f[c+20>>2]|0);T_(a,236976,f[c+24>>2]|0);V_(a,236674,C_(f[c>>2]&4095,g)|0,0);f[i>>2]=0;f[i+4>>2]=0;f[e>>2]=f[i>>2];f[e+4>>2]=f[i+4>>2];R_(a,392031,13,0,e);TZ(j,c);e=f[j>>2]|0;i=f[j+4>>2]|0;if(!((e|0)>0&(i|0)>0)){S_(a);S_(a);u=d;return}j=c+16|0;b=f[j>>2]|0;if(!b){S_(a);S_(a);u=d;return}h=(f[c>>2]&16384|0)==0;k=Y(h?1:i,e)|0;e=h?i:1;if((e|0)<=0){S_(a);S_(a);u=d;return}i=c+4|0;X_(a,b,k,g);if((e|0)==1){S_(a);S_(a);u=d;return}else l=1;do{X_(a,(f[j>>2]|0)+(Y(f[i>>2]|0,l)|0)|0,k,g);l=l+1|0}while((l|0)!=(e|0));S_(a);S_(a);u=d;return}function a1(a){a=a|0;var b=0;if(!a)b=0;else b=(f[a>>2]&-65536|0)==1111687168;return b&1|0}function b1(a){a=a|0;AZ(a);return}function c1(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;d=u;u=u+144|0;e=d+16|0;g=d;h=e;i=h+128|0;do{f[h>>2]=0;h=h+4|0}while((h|0)<(i|0));j=K_(a,c,236666)|0;k=K_(a,c,236674)|0;if((k|0?(f[k>>2]&7|0)==3:0)?(l=f[k+8+4>>2]|0,(j|0)!=0&(l|0)!=0):0){k=f[j>>2]&7;if((k|0)==5)m=f[(f[j+8>>2]|0)+24>>2]|0;else m=(k|0)==1?1:-1;if((m+-1|0)>>>0>31){k=cuc(48)|0;f[g>>2]=k;f[g+8>>2]=-2147483600;f[g+4>>2]=45;h=k;n=236816;i=h+45|0;do{b[h>>0]=b[n>>0]|0;h=h+1|0;n=n+1|0}while((h|0)<(i|0));b[k+45>>0]=0;WD(-212,g,236724,236737,167)}__(a,j,e,236672);j=G_(l)|0;k=K_(a,c,392031)|0;if(!k){c=cuc(48)|0;f[g>>2]=c;f[g+8>>2]=-2147483600;f[g+4>>2]=44;h=c;n=236862;i=h+44|0;do{b[h>>0]=b[n>>0]|0;h=h+1|0;n=n+1|0}while((h|0)<(i|0));b[c+44>>0]=0;WD(-2,g,236724,236737,174)}c=(j>>>3&511)+1|0;o=0;do{p=f[e+(o<<2)>>2]|0;if(!p){q=14;break}c=Y(p,c)|0;o=o+1|0}while((o|0)<(m|0));if((q|0)==14){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;b[g+11>>0]=8;q=g;f[q>>2]=1702521203;f[q+4>>2]=1567185779;b[g+8>>0]=0;WD(-215,g,236724,236737,180)}q=f[k>>2]&7;if(q>>>0>4)r=f[(f[k+8>>2]|0)+24>>2]|0;else r=(q|0)!=0&1;q=(r|0)>0;if(!((r|0)==(c|0)|q^1)){c=cuc(64)|0;f[g>>2]=c;f[g+8>>2]=-2147483584;f[g+4>>2]=63;h=c;n=236907;i=h+63|0;do{b[h>>0]=b[n>>0]|0;h=h+1|0;n=n+1|0}while((h|0)<(i|0));b[c+63>>0]=0;WD(-209,g,236724,236737,188)}if(q){q=DZ(m,e,j)|0;__(a,k,f[q+16>>2]|0,l);s=q;u=d;return s|0}else{s=EZ(m,e,j)|0;u=d;return s|0}}s=cuc(48)|0;f[g>>2]=s;f[g+8>>2]=-2147483600;f[g+4>>2]=46;h=s;n=236677;i=h+46|0;do{b[h>>0]=b[n>>0]|0;h=h+1|0;n=n+1|0}while((h|0)<(i|0));b[s+46>>0]=0;WD(-2,g,236724,236737,161);return 0}function d1(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;d=u;u=u+688|0;e=d+656|0;g=d+652|0;h=d+152|0;i=d+16|0;j=d+664|0;k=d+144|0;l=d+8|0;m=d;f[g>>2]=c;f[k>>2]=0;f[k+4>>2]=0;f[e>>2]=f[k>>2];f[e+4>>2]=f[k+4>>2];R_(a,b,6,236649,e);b=SZ(c,i)|0;f[l>>2]=0;f[l+4>>2]=0;f[e>>2]=f[l>>2];f[e+4>>2]=f[l+4>>2];R_(a,236666,13,0,e);X_(a,i,b,236672);S_(a);V_(a,236674,C_(RZ(c)|0,j)|0,0);f[m>>2]=0;f[m+4>>2]=0;f[e>>2]=f[m>>2];f[e+4>>2]=f[m+4>>2];R_(a,392031,13,0,e);if((f[c+20>>2]|0)<=0){S_(a);S_(a);u=d;return}if(!(f[c+16>>2]|0)){S_(a);S_(a);u=d;return}GZ(1,g,0,d+376|0,h,0)|0;g=h+16|0;c=h+8|0;do X_(a,f[g>>2]|0,f[c>>2]|0,j);while((JZ(h)|0)!=0);S_(a);S_(a);u=d;return}function e1(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;d=f[c>>2]|0;c=f[a>>2]|0;a=f[b>>2]|0;if((d|0)>0)e=0;else{g=0;return g|0}while(1){b=(f[c+(e<<2)>>2]|0)-(f[a+(e<<2)>>2]|0)|0;e=e+1|0;if(b|0){g=b;h=4;break}if((e|0)>=(d|0)){g=0;h=4;break}}if((h|0)==4)return g|0;return 0}function f1(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=u;u=u+32|0;i=h+8|0;j=h;k=h+12|0;l=N_(d,c)|0;if(l|0){c=E_(l,e)|0;if((c|0)==(f[a+28>>2]|0)){m=l;u=h;return m|0}else{l=cuc(80)|0;f[k>>2]=l;f[k+8>>2]=-2147483568;f[k+4>>2]=71;n=l;o=237569;p=n+71|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));b[l+71>>0]=0;WD(-209,k,237641,236737,594)}}l=f[a>>2]|0;c=l&4095;d=f[a+28>>2]|0;if((c|0)!=0|(d|0)==1){if((Y(675553809>>>(l<<2&28)&15,(l>>>3&511)+1|0)|0)!=(d|0)){l=cuc(80)|0;f[k>>2]=l;f[k+8>>2]=-2147483568;f[k+4>>2]=68;n=l;o=237654;p=n+68|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));b[l+68>>0]=0;WD(-209,k,237641,236737,600)}m=C_(c,g)|0;u=h;return m|0}if((d|0)<=(e|0)){m=0;u=h;return m|0}c=d-e|0;if(!(c&3)){f[j>>2]=c>>>2;ihc(g,237544,j)|0;m=g;u=h;return m|0}else{f[i>>2]=c;ihc(g,237548,i)|0;m=g;u=h;return m|0}return 0}function g1(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;g=u;u=u+192|0;h=g+40|0;i=g+8|0;j=g;k=g+56|0;l=g+32|0;m=g+24|0;n=g+16|0;o=N_(d,237434)|0;do if(!o){d=f[c+4>>2]|0;if((d|0)<=(e|0)){u=g;return}p=f[c>>2]|0;if(((p&-65536|0)==1117323264?(d|0)==88&(p&4094|0)==12:0)?(f[c+28>>2]|0)==8:0){f[l>>2]=0;f[l+4>>2]=0;f[h>>2]=f[l>>2];f[h+4>>2]=f[l+4>>2];R_(a,375710,14,0,h);T_(a,474635,f[c+56>>2]|0);T_(a,237113,f[c+60>>2]|0);T_(a,461828,f[c+64>>2]|0);T_(a,461834,f[c+68>>2]|0);S_(a);T_(a,237538,f[c+72>>2]|0);u=g;return}if((p&-53248|0)==1117327360?((p&4095|0)==0?(f[c+28>>2]|0)==1:0):0){f[m>>2]=0;f[m+4>>2]=0;f[h>>2]=f[m>>2];f[h+4>>2]=f[m+4>>2];R_(a,237076,14,0,h);T_(a,474635,f[c+56>>2]|0);T_(a,237113,f[c+60>>2]|0);S_(a);u=g;return}p=d-e|0;if(!(p&3)){f[j>>2]=p>>>2;ihc(k,237544,j)|0;q=k;break}else{f[i>>2]=p;ihc(k,237548,i)|0;q=k;break}}else{p=E_(o,e)|0;if((p|0)>(f[c+4>>2]|0)){p=cuc(80)|0;f[h>>2]=p;f[h+8>>2]=-2147483568;f[h+4>>2]=74;d=p;r=237444;s=d+74|0;do{b[d>>0]=b[r>>0]|0;d=d+1|0;r=r+1|0}while((d|0)<(s|0));b[p+74>>0]=0;WD(-209,h,237519,236737,532)}else q=o}while(0);V_(a,237434,q,0);f[n>>2]=0;f[n+4>>2]=0;f[h>>2]=f[n>>2];f[h+4>>2]=f[n+4>>2];R_(a,237552,13,0,h);X_(a,c+56|0,1,q);S_(a);u=g;return}function h1(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0;i=u;u=u+288|0;j=i+24|0;k=i;f[k>>2]=e;f[k+4>>2]=g;g=i+160|0;e=i+16|0;l=i+8|0;f[e>>2]=0;f[e+4>>2]=0;f[j>>2]=f[e>>2];f[j+4>>2]=f[e+4>>2];R_(a,c,6,236551,j);if((h|0)>-1)T_(a,238210,h);h=f1(d,236674,k,0,i+32|0)|0;b[g>>0]=0;c=f[d>>2]|0;if(c&16384|0){e=g+(jfc(g)|0)|0;m=e;b[m>>0]=32;b[m+1>>0]=99;b[m+2>>0]=108;b[m+3>>0]=111;m=e+4|0;b[m>>0]=115;b[m+1>>0]=101;b[m+2>>0]=100;b[m+3>>0]=0}if(c&32768|0){m=g+(jfc(g)|0)|0;b[m>>0]=b[238289]|0;b[m+1>>0]=b[238290]|0;b[m+2>>0]=b[238291]|0;b[m+3>>0]=b[238292]|0;b[m+4>>0]=b[238293]|0;b[m+5>>0]=b[238294]|0}if((c&12288|0)==4096){m=g+(jfc(g)|0)|0;b[m>>0]=b[238295]|0;b[m+1>>0]=b[238296]|0;b[m+2>>0]=b[238297]|0;b[m+3>>0]=b[238298]|0;b[m+4>>0]=b[238299]|0;b[m+5>>0]=b[238300]|0;b[m+6>>0]=b[238301]|0}if((c&4095|0)==0?(f[d+28>>2]|0)!=1:0){c=g+(jfc(g)|0)|0;m=238302;e=c+9|0;do{b[c>>0]=b[m>>0]|0;c=c+1|0;m=m+1|0}while((c|0)<(e|0))}V_(a,237365,g+((b[g>>0]|0)!=0&1)|0,1);T_(a,238311,f[d+24>>2]|0);V_(a,236674,h,0);g1(a,d,k,56);f[l>>2]=0;f[l+4>>2]=0;f[j>>2]=f[l>>2];f[j+4>>2]=f[l+4>>2];R_(a,392031,13,0,j);j=d+52|0;d=f[j>>2]|0;if(!d){S_(a);S_(a);u=i;return}else n=d;while(1){X_(a,f[n+16>>2]|0,f[n+12>>2]|0,h);if((n|0)==(f[f[j>>2]>>2]|0)){o=15;break}n=f[n+4>>2]|0;if(!n){o=15;break}}if((o|0)==15){S_(a);S_(a);u=i;return}}function i1(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0;i=u;u=u+48|0;j=i;f[j>>2]=0;f[j+4>>2]=40;f[j+16>>2]=b;f[j+12>>2]=0;f[j+8>>2]=0;f[j+20>>2]=c;f[j+24>>2]=d;f[j+36>>2]=h;f[j+28>>2]=e;f[j+32>>2]=g;$_(j);f[a>>2]=f[137634];u=i;return}function j1(){var a=0;if(((((k1(1,0)|0)!=0?(k1(1,1)|0)!=0:0)?(k1(2,0)|0)!=0:0)?(k1(2,1)|0)!=0:0)?(k1(4,0)|0)!=0:0)a=(k1(4,1)|0)!=0&1;else a=0;b[1167240]=a;return}function k1(a,c){a=a|0;c=c|0;var e=0,g=0,h=0,i=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0.0,z=0,A=0.0,B=0.0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0.0,J=0.0,K=0.0,L=0.0,M=0.0,N=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0;e=u;u=u+1088|0;g=e+1064|0;h=e;switch(a|0){case 1:{i=878252;k=1067644;l=2;break}case 2:{i=550572;k=903804;l=4;break}case 4:{i=616108;k=936572;l=8;break}default:{m=cuc(48)|0;f[g>>2]=m;f[g+8>>2]=-2147483600;f[g+4>>2]=38;o=m;p=238540;q=o+38|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[m+38>>0]=0;WD(-5,g,238579,238594,226)}}m=1167241+a|0;if(b[m>>0]|0){r=i;s=k;t=c?s:r;u=e;return t|0}v=h+8|0;f[h>>2]=v;w=h+4|0;f[w>>2]=256;switch(a|0){case 1:{a=0;x=v;while(1){y=+(a|0)*.03125;n[x>>2]=1.0-y;n[x+4>>2]=y;a=a+1|0;if((a|0)==32){z=v;break}else x=x+8|0}break}case 2:{x=0;a=v;while(1){y=+(x|0)*.03125;A=y+1.0;B=A*(A*(3.75-A*.75)+-6.0)+3.0;n[a>>2]=B;A=y*(y*(y*1.25+-2.25))+1.0;n[a+4>>2]=A;C=1.0-y;y=C*(C*(C*1.25+-2.25))+1.0;n[a+8>>2]=y;n[a+12>>2]=1.0-B-A-y;x=x+1|0;if((x|0)==32){z=v;break}else a=a+16|0}break}case 4:{a=0;x=v;while(1){y=+(a|0)*.03125;if(y<1.1920928955078125e-07){f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;f[x+12>>2]=0;f[x+16>>2]=0;f[x+20>>2]=0;f[x+24>>2]=0;f[x+28>>2]=0;D=1.0}else{A=y+3.0;y=-A*3.141592653589793*.25;B=+P(+y);C=+O(+y);E=C*0.0;F=(B+E)/(y*y);y=-(A+-1.0)*3.141592653589793*.25;G=B*-.7071067811865476;H=C*-.7071067811865476;I=(G+H)/(y*y);y=-(A+-2.0)*3.141592653589793*.25;J=B*0.0;K=(J+C)/(y*y);y=-(A+-3.0)*3.141592653589793*.25;L=B*.7071067811865476;M=(L+H)/(y*y);y=-(A+-4.0)*3.141592653589793*.25;H=(E-B)/(y*y);y=-(A+-5.0)*3.141592653589793*.25;B=C*.7071067811865476;E=(L+B)/(y*y);y=-(A+-6.0)*3.141592653589793*.25;L=(J-C)/(y*y);y=-(A+-7.0)*3.141592653589793*.25;A=(G+B)/(y*y);y=1.0/(A+(L+(E+(H+(M+(K+(I+(F+0.0))))))));n[x>>2]=F*y;n[x+4>>2]=I*y;n[x+8>>2]=K*y;n[x+16>>2]=H*y;n[x+20>>2]=E*y;n[x+24>>2]=L*y;n[x+28>>2]=A*y;D=M*y}n[x+12>>2]=D;a=a+1|0;if((a|0)==32)break;else x=x+32|0}z=f[h>>2]|0;break}default:{x=cuc(32)|0;f[g>>2]=x;f[g+8>>2]=-2147483616;f[g+4>>2]=28;o=x;p=253038;q=o+28|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[x+28>>0]=0;WD(-5,g,238666,238594,209)}}g=Y(l,l)|0;x=l>>>1;p=g<<5;o=g<<10;q=i+(o<<2)|0;a=Y(x,l)|0;N=x+a|0;Q=x+1|0;R=Q+a|0;S=Y(Q,l)|0;T=x+S|0;U=Q+S|0;S=0;V=i;i=k;while(1){W=S<<5;X=(S|0)<16&1;Z=Y(S,l)|0;_=0;$=V;V=V+(p<<2)|0;aa=i;while(1){ba=_+W|0;b[1167249+(ba<<1)>>0]=(_|0)<16&1;b[1167249+(ba<<1)+1>>0]=X;ba=Y(_,l)|0;ca=0;da=0;while(1){D=+n[z+(da+Z<<2)>>2];ea=Y(da,l)|0;fa=0;ga=ca;do{y=D*+n[z+(fa+ba<<2)>>2];ha=fa+ea|0;n[$+(ha<<2)>>2]=y;ia=Ghc(y*32768.0)|0;ja=(ia+32768|0)>>>0<65536?ia:(ia|0)>0?32767:32768;d[aa+(ha<<1)>>1]=ja;ga=(ja<<16>>16)+ga|0;fa=fa+1|0}while((fa|0)<(l|0));da=da+1|0;if((da|0)>=(l|0))break;else ca=ga}if((ga|0)!=32768){ca=d[aa+(N<<1)>>1]|0;da=d[aa+(R<<1)>>1]|0;ba=da<<16>>16<ca<<16>>16;fa=ba?x:da<<16>>16>ca<<16>>16?Q:x;ca=ba?Q:x;ba=d[aa+(T<<1)>>1]|0;if(ba<<16>>16<(d[aa+(a+ca<<1)>>1]|0)){ka=x;la=Q;ma=fa;na=x}else{da=ba<<16>>16>(d[aa+(a+fa<<1)>>1]|0);ka=ca;la=x;ma=da?x:fa;na=da?Q:x}da=d[aa+(U<<1)>>1]|0;fa=aa+((Y(la,l)|0)+ka<<1)|0;if(da<<16>>16<(d[fa>>1]|0)){oa=Q;pa=Q;qa=ma;ra=na}else{fa=aa+((Y(na,l)|0)+ma<<1)|0;ca=da<<16>>16>(d[fa>>1]|0);oa=ka;pa=la;qa=ca?Q:ma;ra=ca?Q:na}if((ga|0)<32768){ca=(Y(ra,l)|0)+qa|0;sa=d[aa+(ca<<1)>>1]|0;ta=ca}else{ca=(Y(pa,l)|0)+oa|0;sa=j[aa+(ca<<1)>>1]|0;ta=ca}d[aa+(ta<<1)>>1]=-32768-ga+sa}_=_+1|0;if((_|0)==32)break;else{$=$+(g<<2)|0;aa=aa+(g<<1)|0}}S=S+1|0;if((S|0)==32)break;else i=i+(p<<1)|0}p=Y(Y(l,-1024)|0,l)|0;l=q+(p<<2)|0;q=k+(o<<1)+(p<<1)|0;b[m>>0]=1;if((z|0)!=(v|0)){if(z|0)guc(z);f[h>>2]=v;f[w>>2]=264}r=l;s=q;t=c?s:r;u=e;return t|0}function l1(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0;j=u;u=u+368|0;k=j;l=j+360|0;m=j+296|0;n=j+240|0;o=j+184|0;q=j+352|0;r=j+128|0;s=j+72|0;gV(l,50752);oJ(k,d,-1);if((Y(f[k+4>>2]|0,f[k>>2]|0)|0)<=0){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;t=cuc(32)|0;f[k>>2]=t;f[k+8>>2]=-2147483616;f[k+4>>2]=23;v=t;w=238681;x=v+23|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));b[t+23>>0]=0;WD(-215,k,238705,238594,1708)}if(!(EJ(e)|0)?(oJ(k,e,-1),oJ(m,d,-1),!((f[k>>2]|0)==(f[m>>2]|0)?(f[k+4>>2]|0)==(f[m+4>>2]|0):0)):0){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;t=cuc(48)|0;f[k>>2]=t;f[k+8>>2]=-2147483600;f[k+4>>2]=47;v=t;w=238711;x=v+47|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));b[t+47>>0]=0;WD(-215,k,238705,238594,1709)}do if((qJ(a)|0)==65536){t=f[a+4>>2]|0;f[m>>2]=f[t>>2];y=m+4|0;z=t+4|0;f[y>>2]=f[z>>2];A=m+8|0;f[A>>2]=f[t+8>>2];f[m+12>>2]=f[t+12>>2];f[m+16>>2]=f[t+16>>2];f[m+20>>2]=f[t+20>>2];f[m+24>>2]=f[t+24>>2];f[m+28>>2]=f[t+28>>2];f[m+32>>2]=f[t+32>>2];B=f[t+36>>2]|0;f[m+36>>2]=B;f[m+40>>2]=A;A=m+48|0;C=m+44|0;f[C>>2]=A;f[A>>2]=0;f[m+52>>2]=0;if(B|0){A=B+12|0;f[A>>2]=(f[A>>2]|0)+1}if((f[z>>2]|0)<3){z=f[t+44>>2]|0;A=f[C>>2]|0;f[A>>2]=f[z>>2];f[A+4>>2]=f[z+4>>2];break}else{f[y>>2]=0;$T(m,t);break}}else nJ(m,a,-1);while(0);do if((qJ(d)|0)==65536){t=f[d+4>>2]|0;f[n>>2]=f[t>>2];y=n+4|0;z=t+4|0;f[y>>2]=f[z>>2];A=n+8|0;f[A>>2]=f[t+8>>2];f[n+12>>2]=f[t+12>>2];f[n+16>>2]=f[t+16>>2];f[n+20>>2]=f[t+20>>2];f[n+24>>2]=f[t+24>>2];f[n+28>>2]=f[t+28>>2];f[n+32>>2]=f[t+32>>2];C=f[t+36>>2]|0;f[n+36>>2]=C;f[n+40>>2]=A;A=n+48|0;B=n+44|0;f[B>>2]=A;f[A>>2]=0;f[n+52>>2]=0;if(C|0){A=C+12|0;f[A>>2]=(f[A>>2]|0)+1}if((f[z>>2]|0)<3){z=f[t+44>>2]|0;A=f[B>>2]|0;f[A>>2]=f[z>>2];f[A+4>>2]=f[z+4>>2];break}else{f[y>>2]=0;$T(n,t);break}}else nJ(n,d,-1);while(0);do if((qJ(e)|0)==65536){d=f[e+4>>2]|0;f[o>>2]=f[d>>2];t=o+4|0;y=d+4|0;f[t>>2]=f[y>>2];z=o+8|0;f[z>>2]=f[d+8>>2];f[o+12>>2]=f[d+12>>2];f[o+16>>2]=f[d+16>>2];f[o+20>>2]=f[d+20>>2];f[o+24>>2]=f[d+24>>2];f[o+28>>2]=f[d+28>>2];f[o+32>>2]=f[d+32>>2];A=f[d+36>>2]|0;f[o+36>>2]=A;f[o+40>>2]=z;z=o+48|0;B=o+44|0;f[B>>2]=z;f[z>>2]=0;f[o+52>>2]=0;if(A|0){z=A+12|0;f[z>>2]=(f[z>>2]|0)+1}if((f[y>>2]|0)<3){y=f[d+44>>2]|0;z=f[B>>2]|0;f[z>>2]=f[y>>2];f[z+4>>2]=f[y+4>>2];break}else{f[t>>2]=0;$T(o,d);break}}else nJ(o,e,-1);while(0);e=n+40|0;d=f[e>>2]|0;t=f[d>>2]|0;f[q>>2]=f[d+4>>2];f[q+4>>2]=t;IJ(c,q,f[m>>2]&4095,-1,0,0);do if((qJ(c)|0)==65536){q=f[c+4>>2]|0;f[r>>2]=f[q>>2];t=r+4|0;d=q+4|0;f[t>>2]=f[d>>2];y=r+8|0;f[y>>2]=f[q+8>>2];z=r+12|0;f[z>>2]=f[q+12>>2];f[r+16>>2]=f[q+16>>2];f[r+20>>2]=f[q+20>>2];f[r+24>>2]=f[q+24>>2];f[r+28>>2]=f[q+28>>2];f[r+32>>2]=f[q+32>>2];B=f[q+36>>2]|0;f[r+36>>2]=B;f[r+40>>2]=y;y=r+48|0;A=r+44|0;f[A>>2]=y;f[y>>2]=0;f[r+52>>2]=0;if(B|0){y=B+12|0;f[y>>2]=(f[y>>2]|0)+1}if((f[d>>2]|0)<3){d=f[q+44>>2]|0;y=f[A>>2]|0;f[y>>2]=f[d>>2];f[y+4>>2]=f[d+4>>2];D=z;break}else{f[t>>2]=0;$T(r,q);D=z;break}}else{nJ(r,c,-1);D=r+12|0}while(0);if((f[D>>2]|0)>=32767){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;E=cuc(96)|0;f[k>>2]=E;F=k+8|0;f[F>>2]=-2147483552;G=k+4|0;f[G>>2]=88;v=E;w=238759;x=v+88|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));H=E+88|0;b[H>>0]=0;WD(-215,k,238705,238594,1729)}c=r+8|0;if((f[c>>2]|0)>=32767){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;E=cuc(96)|0;f[k>>2]=E;F=k+8|0;f[F>>2]=-2147483552;G=k+4|0;f[G>>2]=88;v=E;w=238759;x=v+88|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));H=E+88|0;b[H>>0]=0;WD(-215,k,238705,238594,1729)}z=m+12|0;if((f[z>>2]|0)>=32767){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;E=cuc(96)|0;f[k>>2]=E;F=k+8|0;f[F>>2]=-2147483552;G=k+4|0;f[G>>2]=88;v=E;w=238759;x=v+88|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));H=E+88|0;b[H>>0]=0;WD(-215,k,238705,238594,1729)}q=m+8|0;if((f[q>>2]|0)>=32767){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;E=cuc(96)|0;f[k>>2]=E;F=k+8|0;f[F>>2]=-2147483552;G=k+4|0;f[G>>2]=88;v=E;w=238759;x=v+88|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));H=E+88|0;b[H>>0]=0;WD(-215,k,238705,238594,1729)}H=r+16|0;E=m+16|0;if((f[H>>2]|0)==(f[E>>2]|0)){f[s>>2]=1124007936;G=s+4|0;F=s+8|0;t=s+40|0;v=G;x=v+36|0;do{f[v>>2]=0;v=v+4|0}while((v|0)<(x|0));f[t>>2]=F;d=s+48|0;f[s+44>>2]=d;f[d>>2]=0;f[s+52>>2]=0;y=k+8|0;f[y>>2]=0;f[y+4>>2]=0;f[k>>2]=33619968;f[k+4>>2]=s;EI(m,k);y=m+36|0;A=f[y>>2]|0;if(A|0?(B=A+12|0,A=f[B>>2]|0,f[B>>2]=A+-1,(A|0)==1):0)aU(m);f[y>>2]=0;A=m+4|0;f[E>>2]=0;f[E+4>>2]=0;f[E+8>>2]=0;f[E+12>>2]=0;if((f[A>>2]|0)>0){B=f[m+40>>2]|0;C=0;do{f[B+(C<<2)>>2]=0;C=C+1|0}while((C|0)<(f[A>>2]|0))}f[m>>2]=f[s>>2];C=f[G>>2]|0;f[A>>2]=C;f[q>>2]=f[F>>2];f[z>>2]=f[s+12>>2];z=s+16|0;f[E>>2]=f[z>>2];f[m+20>>2]=f[s+20>>2];f[m+24>>2]=f[s+24>>2];f[m+28>>2]=f[s+28>>2];f[m+32>>2]=f[s+32>>2];A=s+36|0;f[y>>2]=f[A>>2];y=m+44|0;B=f[y>>2]|0;I=m+48|0;if((B|0)==(I|0))J=C;else{TC(B);f[y>>2]=I;f[m+40>>2]=q;J=f[G>>2]|0}q=s+44|0;if((J|0)<3){J=f[q>>2]|0;f[I>>2]=f[J>>2];f[m+52>>2]=f[J+4>>2];K=J}else{f[y>>2]=f[q>>2];f[m+40>>2]=f[t>>2];f[q>>2]=d;f[t>>2]=F;K=d}f[s>>2]=1124007936;f[G>>2]=0;f[G+4>>2]=0;f[G+8>>2]=0;f[G+12>>2]=0;f[G+16>>2]=0;f[G+20>>2]=0;f[G+24>>2]=0;f[G+28>>2]=0;f[A>>2]=0;f[z>>2]=0;f[z+4>>2]=0;f[z+8>>2]=0;f[z+12>>2]=0;if((K|0)!=(d|0))TC(K)}K=(g|0)==3?1:g;g=f[m>>2]&7;d=(g|0)==0;switch(K|0){case 0:{z=f[50772+(g<<2)>>2]|0;if((g|0)==7){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;A=cuc(16)|0;f[k>>2]=A;f[k+8>>2]=-2147483632;f[k+4>>2]=11;v=A;w=238848;x=v+11|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));b[A+11>>0]=0;WD(-215,k,238705,238594,1789)}else{L=0;M=z;N=0}break}case 1:{O=f[50804+(g<<2)>>2]|0;P=63;break}case 2:{z=f[50836+(g<<2)>>2]|0;if((DJ(a,-1)|0)<5){O=z;P=63}else{f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;z=cuc(32)|0;f[k>>2]=z;f[k+8>>2]=-2147483616;f[k+4>>2]=20;v=z;w=238860;x=v+20|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));b[z+20>>0]=0;WD(-215,k,238705,238594,1797)}break}case 4:{z=f[50868+(g<<2)>>2]|0;if((DJ(a,-1)|0)<5){O=z;P=63}else{f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;z=cuc(32)|0;f[k>>2]=z;f[k+8>>2]=-2147483616;f[k+4>>2]=20;v=z;w=238860;x=v+20|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));b[z+20>>0]=0;WD(-215,k,238705,238594,1801)}break}default:{f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;z=cuc(32)|0;f[k>>2]=z;f[k+8>>2]=-2147483616;f[k+4>>2]=28;v=z;w=253038;x=v+28|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));b[z+28>>0]=0;WD(-5,k,238705,238594,1804)}}do if((P|0)==63)if(!O){b[k+11>>0]=10;v=k;w=238881;x=v+10|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));b[k+10>>0]=0;WD(-215,k,238705,238594,1805)}else{L=k1(K,d)|0;M=0;N=O;break}while(0);O=n;d=o;K=f[n>>2]|0;z=K&4095;a=(z|0)==11;g=f[o>>2]|0;if(a)if((g&4094|0)!=2?(f[o+16>>2]|0)!=0:0){A=f[o+4>>2]|0;if((A|0)<3)Q=Y(f[o+12>>2]|0,f[o+8>>2]|0)|0;else{G=f[o+40>>2]|0;F=0;t=1;while(1){q=Y(f[G+(F<<2)>>2]|0,t)|0;F=F+1|0;if((F|0)==(A|0)){Q=q;break}else t=q}}if(!((A|0)==0|(Q|0)==0))P=74;else P=82}else P=82;else P=74;do if((P|0)==74){Q=g&4095;if((Q|0)==11){if((K&4094|0)==2){P=82;break}if(!(f[n+16>>2]|0)){P=82;break}A=f[n+4>>2]|0;if((A|0)<3)R=Y(f[n+12>>2]|0,f[n+8>>2]|0)|0;else{t=f[e>>2]|0;F=0;G=1;while(1){q=Y(f[t+(F<<2)>>2]|0,G)|0;F=F+1|0;if((F|0)==(A|0)){R=q;break}else G=q}}if((A|0)==0|(R|0)==0){P=82;break}}switch(K&4095){case 11:case 13:{if(f[o+16>>2]|0){G=f[o+4>>2]|0;if((G|0)<3)S=Y(f[o+12>>2]|0,f[o+8>>2]|0)|0;else{F=f[o+40>>2]|0;t=0;q=1;while(1){y=Y(f[F+(t<<2)>>2]|0,q)|0;t=t+1|0;if((t|0)==(G|0)){S=y;break}else q=y}}if(!((G|0)==0|(S|0)==0))P=90}break}default:P=90}if((P|0)==90?!((z|0)==5&(Q|0)==5):0){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;q=cuc(128)|0;f[k>>2]=q;f[k+8>>2]=-2147483520;f[k+4>>2]=126;v=q;w=238892;x=v+126|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));b[q+126>>0]=0;WD(-215,k,238705,238594,1820)}T=(K&4088|0)==0;U=d;V=O}while(0);if((P|0)==82){T=0;U=a?d:O;V=a?O:d}f[k>>2]=50908;f[k+4>>2]=m;f[k+8>>2]=r;f[k+12>>2]=V;f[k+16>>2]=U;f[k+20>>2]=h;p[k+24>>3]=+p[i>>3];p[k+32>>3]=+p[i+8>>3];p[k+40>>3]=+p[i+16>>3];p[k+48>>3]=+p[i+24>>3];f[k+56>>2]=T&1;f[k+60>>2]=M;f[k+64>>2]=N;f[k+68>>2]=L;L=f[c>>2]|0;f[s>>2]=0;f[s+4>>2]=L;c=r+4|0;N=f[c>>2]|0;if((N|0)<3)W=Y(f[D>>2]|0,L)|0;else{L=f[r+40>>2]|0;D=0;M=1;while(1){T=Y(f[L+(D<<2)>>2]|0,M)|0;D=D+1|0;if((D|0)==(N|0)){W=T;break}else M=T}}sZ(s,k,+(W>>>0)*.0000152587890625);W=r+36|0;k=f[W>>2]|0;if(k|0?(s=k+12|0,k=f[s>>2]|0,f[s>>2]=k+-1,(k|0)==1):0)aU(r);f[W>>2]=0;f[H>>2]=0;f[H+4>>2]=0;f[H+8>>2]=0;f[H+12>>2]=0;if((f[c>>2]|0)>0){H=f[r+40>>2]|0;W=0;do{f[H+(W<<2)>>2]=0;W=W+1|0}while((W|0)<(f[c>>2]|0))}c=f[r+44>>2]|0;if((c|0)!=(r+48|0))TC(c);c=o+36|0;r=f[c>>2]|0;if(r|0?(W=r+12|0,r=f[W>>2]|0,f[W>>2]=r+-1,(r|0)==1):0)aU(o);f[c>>2]=0;c=o+16|0;r=o+4|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[r>>2]|0)>0){c=f[o+40>>2]|0;W=0;do{f[c+(W<<2)>>2]=0;W=W+1|0}while((W|0)<(f[r>>2]|0))}r=f[o+44>>2]|0;if((r|0)!=(o+48|0))TC(r);r=n+36|0;o=f[r>>2]|0;do if(o|0){W=o+12|0;c=f[W>>2]|0;f[W>>2]=c+-1;if((c|0)!=1)break;aU(n)}while(0);f[r>>2]=0;r=n+16|0;o=n+4|0;f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;f[r+12>>2]=0;if((f[o>>2]|0)>0){r=f[e>>2]|0;e=0;do{f[r+(e<<2)>>2]=0;e=e+1|0}while((e|0)<(f[o>>2]|0))}o=f[n+44>>2]|0;if((o|0)!=(n+48|0))TC(o);o=m+36|0;n=f[o>>2]|0;do if(n|0){e=n+12|0;r=f[e>>2]|0;f[e>>2]=r+-1;if((r|0)!=1)break;aU(m)}while(0);f[o>>2]=0;o=m+4|0;f[E>>2]=0;f[E+4>>2]=0;f[E+8>>2]=0;f[E+12>>2]=0;if((f[o>>2]|0)>0){E=f[m+40>>2]|0;n=0;do{f[E+(n<<2)>>2]=0;n=n+1|0}while((n|0)<(f[o>>2]|0))}o=f[m+44>>2]|0;if((o|0)!=(m+48|0))TC(o);if(!(f[l+4>>2]|0)){u=j;return}u=j;return}function m1(a){a=a|0;fuc(a);return}function n1(a,b){a=a|0;b=b|0;var c=0,e=0,g=0,i=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0;c=u;u=u+352|0;e=c+296|0;g=c+240|0;i=c+184|0;k=c+128|0;l=c+72|0;m=c+16|0;o=c;p=a+8|0;q=f[p>>2]|0;r=f[q+8>>2]|0;s=a+12|0;t=f[f[s>>2]>>2]&7;v=16384/(((r|0)<128?r:128)|0)|0;w=f[q+12>>2]|0;q=(w|0)<(v|0)?w:v;v=16384/(q|0)|0;w=(r|0)<(v|0)?r:v;f[g>>2]=1124007936;v=g+4|0;r=g+8|0;x=g+40|0;y=v;z=y+36|0;do{f[y>>2]=0;y=y+4|0}while((y|0)<(z|0));f[x>>2]=r;r=g+48|0;A=g+44|0;f[A>>2]=r;f[r>>2]=0;f[g+52>>2]=0;f[e>>2]=w;B=e+4|0;f[B>>2]=q;ZT(g,2,e,11);f[i>>2]=1124007936;C=i+4|0;D=i+8|0;E=i+40|0;y=C;z=y+36|0;do{f[y>>2]=0;y=y+4|0}while((y|0)<(z|0));f[E>>2]=D;D=i+48|0;y=i+44|0;f[y>>2]=D;f[D>>2]=0;f[i+52>>2]=0;z=a+60|0;if(!(f[z>>2]|0)){f[e>>2]=w;f[B>>2]=q;ZT(i,2,e,2)}B=f[b>>2]|0;F=b+4|0;if((B|0)<(f[F>>2]|0)){b=k+4|0;G=k+8|0;H=k+12|0;I=l+4|0;J=l+8|0;K=l+12|0;L=m+4|0;M=m+8|0;N=m+12|0;O=a+64|0;P=a+4|0;Q=a+68|0;R=a+20|0;S=a+24|0;T=l+36|0;U=l+16|0;V=l+4|0;W=l+40|0;X=l+44|0;Z=l+48|0;_=k+16|0;$=k+44|0;aa=a+16|0;ba=o+4|0;ca=o+8|0;da=o+12|0;ea=k+36|0;fa=k+4|0;ga=k+40|0;ha=m+4|0;ia=m+8|0;ja=k+8|0;ka=m+12|0;la=k+12|0;ma=m+16|0;na=m+20|0;oa=k+20|0;pa=m+24|0;qa=k+24|0;ra=m+28|0;sa=k+28|0;ta=m+32|0;ua=k+32|0;va=m+36|0;wa=k+44|0;xa=k+48|0;ya=m+44|0;za=m+40|0;Aa=m+48|0;Ba=k+40|0;Ca=a+56|0;a=e+36|0;Da=e+16|0;Ea=e+4|0;Fa=e+40|0;Ga=e+44|0;Ha=e+48|0;Ia=m+4|0;Ja=m+8|0;Ka=m+12|0;La=l+4|0;Ma=l+8|0;Na=l+12|0;Oa=l+16|0;Pa=l+20|0;Qa=l+24|0;Ra=l+28|0;Sa=l+32|0;Ta=l+36|0;Ua=l+44|0;Va=l+40|0;Wa=l+48|0;Xa=(t|0)==5;t=m+4|0;Ya=m+8|0;Za=m+12|0;_a=o+8|0;$a=o+4|0;ab=l+36|0;bb=l+16|0;cb=l+4|0;db=l+40|0;eb=l+44|0;fb=l+48|0;gb=k+52|0;hb=k+52|0;ib=B;B=f[p>>2]|0;while(1){jb=f[B+12>>2]|0;if((jb|0)>0){kb=0;lb=jb;jb=B;while(1){mb=(f[F>>2]|0)-ib|0;nb=(mb|0)<(w|0)?mb:w;mb=lb-kb|0;ob=(mb|0)<(q|0)?mb:q;f[k>>2]=kb;f[b>>2]=ib;f[G>>2]=ob;f[H>>2]=nb;eU(e,jb,k);f[l>>2]=0;f[I>>2]=0;f[J>>2]=ob;f[K>>2]=nb;eU(k,g,l);if(!(f[z>>2]|0)){f[m>>2]=0;f[L>>2]=0;f[M>>2]=ob;f[N>>2]=nb;eU(l,i,m);if((nb|0)>0){mb=(ob|0)>0;pb=kb<<1;qb=0;do{rb=(f[_>>2]|0)+(Y(f[f[$>>2]>>2]|0,qb)|0)|0;sb=(f[U>>2]|0)+(Y(f[f[X>>2]>>2]|0,qb)|0)|0;tb=f[s>>2]|0;do if((f[tb>>2]&4095|0)==11?(f[f[aa>>2]>>2]&4094|0)==2:0){f[o>>2]=kb;f[ba>>2]=ib;f[ca>>2]=ob;f[da>>2]=nb;eU(m,tb,o);ub=f[ea>>2]|0;if(ub|0?(vb=ub+12|0,ub=f[vb>>2]|0,f[vb>>2]=ub+-1,(ub|0)==1):0)aU(k);f[ea>>2]=0;f[_>>2]=0;f[_+4>>2]=0;f[_+8>>2]=0;f[_+12>>2]=0;if((f[fa>>2]|0)>0){ub=f[ga>>2]|0;vb=0;do{f[ub+(vb<<2)>>2]=0;vb=vb+1|0}while((vb|0)<(f[fa>>2]|0))}f[k>>2]=f[m>>2];vb=f[ha>>2]|0;f[fa>>2]=vb;f[ja>>2]=f[ia>>2];f[la>>2]=f[ka>>2];f[_>>2]=f[ma>>2];f[oa>>2]=f[na>>2];f[qa>>2]=f[pa>>2];f[sa>>2]=f[ra>>2];f[ua>>2]=f[ta>>2];f[ea>>2]=f[va>>2];ub=f[wa>>2]|0;if((ub|0)==(xa|0))wb=vb;else{TC(ub);f[wa>>2]=xa;f[ga>>2]=ja;wb=f[ha>>2]|0}if((wb|0)<3){ub=f[ya>>2]|0;f[xa>>2]=f[ub>>2];f[gb>>2]=f[ub+4>>2];xb=ub}else{f[wa>>2]=f[ya>>2];f[Ba>>2]=f[za>>2];f[ya>>2]=Aa;f[za>>2]=ia;xb=Aa}f[m>>2]=1124007936;f[ha>>2]=0;f[ha+4>>2]=0;f[ha+8>>2]=0;f[ha+12>>2]=0;f[ha+16>>2]=0;f[ha+20>>2]=0;f[ha+24>>2]=0;f[ha+28>>2]=0;f[va>>2]=0;f[ma>>2]=0;f[ma+4>>2]=0;f[ma+8>>2]=0;f[ma+12>>2]=0;if((xb|0)!=(Aa|0))TC(xb);ub=f[aa>>2]|0;vb=(f[ub+16>>2]|0)+(Y(f[f[ub+44>>2]>>2]|0,qb+ib|0)|0)+(kb<<1)|0;if(mb)yb=0;else break;do{d[sb+(yb<<1)>>1]=d[vb+(yb<<1)>>1]&1023;yb=yb+1|0}while((yb|0)<(ob|0))}else zb=70;while(0);do if((zb|0)==70){zb=0;vb=qb+ib|0;ub=(f[tb+16>>2]|0)+(Y(f[f[tb+44>>2]>>2]|0,vb)|0)|0;if(!(f[Ca>>2]|0)){Ab=ub+(pb<<2)|0;if(mb)Bb=0;else break;do{Cb=Bb<<1;Db=Ghc(+n[Ab+(Cb<<2)>>2]*32.0)|0;Eb=Cb|1;Fb=Ghc(+n[Ab+(Eb<<2)>>2]*32.0)|0;Gb=Db>>5;d[rb+(Cb<<1)>>1]=(Gb+32768|0)>>>0<65536?Gb:(Gb|0)>0?32767:32768;Gb=Fb>>5;d[rb+(Eb<<1)>>1]=(Gb+32768|0)>>>0<65536?Gb:(Gb|0)>0?32767:32768;d[sb+(Bb<<1)>>1]=Fb<<5&992|Db&31;Bb=Bb+1|0}while((Bb|0)<(ob|0))}else{Ab=ub+(kb<<2)|0;Db=f[aa>>2]|0;Fb=(f[Db+16>>2]|0)+(Y(f[f[Db+44>>2]>>2]|0,vb)|0)+(kb<<2)|0;if(mb)Hb=0;else break;do{Db=Ghc(+n[Ab+(Hb<<2)>>2]*32.0)|0;Gb=Ghc(+n[Fb+(Hb<<2)>>2]*32.0)|0;Eb=Db>>5;Cb=Hb<<1;d[rb+(Cb<<1)>>1]=(Eb+32768|0)>>>0<65536?Eb:(Eb|0)>0?32767:32768;Eb=Gb>>5;d[rb+((Cb|1)<<1)>>1]=(Eb+32768|0)>>>0<65536?Eb:(Eb|0)>0?32767:32768;d[sb+(Hb<<1)>>1]=Gb<<5&992|Db&31;Hb=Hb+1|0}while((Hb|0)<(ob|0))}}while(0);qb=qb+1|0}while((qb|0)<(nb|0))}Ph[f[O>>2]&127](f[P>>2]|0,e,k,l,f[Q>>2]|0,f[R>>2]|0,S);qb=f[T>>2]|0;if(qb|0?(mb=qb+12|0,qb=f[mb>>2]|0,f[mb>>2]=qb+-1,(qb|0)==1):0)aU(l);f[T>>2]=0;f[U>>2]=0;f[U+4>>2]=0;f[U+8>>2]=0;f[U+12>>2]=0;if((f[V>>2]|0)>0){qb=f[W>>2]|0;mb=0;do{f[qb+(mb<<2)>>2]=0;mb=mb+1|0}while((mb|0)<(f[V>>2]|0))}mb=f[X>>2]|0;if((mb|0)!=(Z|0))TC(mb)}else{mb=f[s>>2]|0;do if((f[mb>>2]&4095|0)==11){qb=f[aa>>2]|0;if(f[qb+16>>2]|0){pb=f[qb+4>>2]|0;if((pb|0)<3)Ib=Y(f[qb+12>>2]|0,f[qb+8>>2]|0)|0;else{sb=f[qb+40>>2]|0;qb=0;rb=1;while(1){tb=Y(f[sb+(qb<<2)>>2]|0,rb)|0;qb=qb+1|0;if((qb|0)==(pb|0)){Ib=tb;break}else rb=tb}}if(!((pb|0)==0|(Ib|0)==0)){zb=28;break}}f[m>>2]=kb;f[Ia>>2]=ib;f[Ja>>2]=ob;f[Ka>>2]=nb;eU(l,mb,m);rb=f[ea>>2]|0;if(rb|0?(qb=rb+12|0,rb=f[qb>>2]|0,f[qb>>2]=rb+-1,(rb|0)==1):0)aU(k);f[ea>>2]=0;f[_>>2]=0;f[_+4>>2]=0;f[_+8>>2]=0;f[_+12>>2]=0;if((f[fa>>2]|0)>0){rb=f[ga>>2]|0;qb=0;do{f[rb+(qb<<2)>>2]=0;qb=qb+1|0}while((qb|0)<(f[fa>>2]|0))}f[k>>2]=f[l>>2];qb=f[La>>2]|0;f[fa>>2]=qb;f[ja>>2]=f[Ma>>2];f[la>>2]=f[Na>>2];f[_>>2]=f[Oa>>2];f[oa>>2]=f[Pa>>2];f[qa>>2]=f[Qa>>2];f[sa>>2]=f[Ra>>2];f[ua>>2]=f[Sa>>2];f[ea>>2]=f[Ta>>2];rb=f[wa>>2]|0;if((rb|0)==(xa|0))Jb=qb;else{TC(rb);f[wa>>2]=xa;f[ga>>2]=ja;Jb=f[La>>2]|0}if((Jb|0)<3){rb=f[Ua>>2]|0;f[xa>>2]=f[rb>>2];f[hb>>2]=f[rb+4>>2];Kb=rb}else{f[wa>>2]=f[Ua>>2];f[Ba>>2]=f[Va>>2];f[Ua>>2]=Wa;f[Va>>2]=Ma;Kb=Wa}f[l>>2]=1124007936;f[La>>2]=0;f[La+4>>2]=0;f[La+8>>2]=0;f[La+12>>2]=0;f[La+16>>2]=0;f[La+20>>2]=0;f[La+24>>2]=0;f[La+28>>2]=0;f[Ta>>2]=0;f[Oa>>2]=0;f[Oa+4>>2]=0;f[Oa+8>>2]=0;f[Oa+12>>2]=0;if((Kb|0)!=(Wa|0))TC(Kb)}else zb=28;while(0);a:do if((zb|0)==28){zb=0;if(!Xa){if((nb|0)<=0)break;rb=f[_>>2]|0;qb=f[mb+16>>2]|0;pb=kb<<1;sb=f[aa>>2]|0;tb=f[sb+16>>2]|0;if((ob|0)<=0)break;Fb=f[f[$>>2]>>2]|0;Ab=f[f[mb+44>>2]>>2]|0;vb=f[f[sb+44>>2]>>2]|0;sb=0;while(1){ub=rb+(Y(Fb,sb)|0)|0;Db=sb+ib|0;Gb=qb+(Y(Ab,Db)|0)+(pb<<1)|0;Eb=tb+(Y(vb,Db)|0)+(kb<<1)|0;Db=0;do{Cb=d[Eb+(Db<<1)>>1]&1023;Lb=Db<<1;d[ub+(Lb<<1)>>1]=(h[1167249+(Cb<<1)>>0]|0)+(j[Gb+(Lb<<1)>>1]|0);Mb=Lb|1;d[ub+(Mb<<1)>>1]=(h[1167249+(Cb<<1)+1>>0]|0)+(j[Gb+(Mb<<1)>>1]|0);Db=Db+1|0}while((Db|0)<(ob|0));sb=sb+1|0;if((sb|0)>=(nb|0))break a}}if(f[Ca>>2]|0){if((nb|0)<=0)break;sb=f[_>>2]|0;vb=f[f[$>>2]>>2]|0;tb=f[mb+16>>2]|0;pb=f[f[mb+44>>2]>>2]|0;Ab=f[aa>>2]|0;qb=f[Ab+16>>2]|0;Fb=f[f[Ab+44>>2]>>2]|0;if((ob|0)>0)Nb=0;else break;while(1){Ab=sb+(Y(vb,Nb)|0)|0;rb=Nb+ib|0;Db=tb+(Y(pb,rb)|0)+(kb<<2)|0;Gb=qb+(Y(Fb,rb)|0)+(kb<<2)|0;rb=0;do{ub=Ghc(+n[Db+(rb<<2)>>2])|0;Eb=rb<<1;d[Ab+(Eb<<1)>>1]=(ub+32768|0)>>>0<65536?ub:(ub|0)>0?32767:32768;ub=Ghc(+n[Gb+(rb<<2)>>2])|0;d[Ab+((Eb|1)<<1)>>1]=(ub+32768|0)>>>0<65536?ub:(ub|0)>0?32767:32768;rb=rb+1|0}while((rb|0)<(ob|0));Nb=Nb+1|0;if((Nb|0)>=(nb|0))break a}}f[m>>2]=kb;f[t>>2]=ib;f[Ya>>2]=ob;f[Za>>2]=nb;eU(l,mb,m);Fb=_a;f[Fb>>2]=0;f[Fb+4>>2]=0;f[o>>2]=33619968;f[$a>>2]=k;kQ(l,o,f[k>>2]&7,1.0,0.0);Fb=f[ab>>2]|0;if(Fb|0?(qb=Fb+12|0,Fb=f[qb>>2]|0,f[qb>>2]=Fb+-1,(Fb|0)==1):0)aU(l);f[ab>>2]=0;f[bb>>2]=0;f[bb+4>>2]=0;f[bb+8>>2]=0;f[bb+12>>2]=0;if((f[cb>>2]|0)>0){Fb=f[db>>2]|0;qb=0;do{f[Fb+(qb<<2)>>2]=0;qb=qb+1|0}while((qb|0)<(f[cb>>2]|0))}qb=f[eb>>2]|0;if((qb|0)!=(fb|0))TC(qb)}while(0);th[f[z>>2]&255](f[P>>2]|0,e,k,f[R>>2]|0,S)}mb=f[ea>>2]|0;if(mb|0?(nb=mb+12|0,mb=f[nb>>2]|0,f[nb>>2]=mb+-1,(mb|0)==1):0)aU(k);f[ea>>2]=0;f[_>>2]=0;f[_+4>>2]=0;f[_+8>>2]=0;f[_+12>>2]=0;if((f[fa>>2]|0)>0){mb=f[ga>>2]|0;nb=0;do{f[mb+(nb<<2)>>2]=0;nb=nb+1|0}while((nb|0)<(f[fa>>2]|0))}nb=f[$>>2]|0;if((nb|0)!=(xa|0))TC(nb);nb=f[a>>2]|0;if(nb|0?(mb=nb+12|0,nb=f[mb>>2]|0,f[mb>>2]=nb+-1,(nb|0)==1):0)aU(e);f[a>>2]=0;f[Da>>2]=0;f[Da+4>>2]=0;f[Da+8>>2]=0;f[Da+12>>2]=0;if((f[Ea>>2]|0)>0){nb=f[Fa>>2]|0;mb=0;do{f[nb+(mb<<2)>>2]=0;mb=mb+1|0}while((mb|0)<(f[Ea>>2]|0))}mb=f[Ga>>2]|0;if((mb|0)!=(Ha|0))TC(mb);kb=kb+q|0;mb=f[p>>2]|0;lb=f[mb+12>>2]|0;if((lb|0)<=(kb|0)){Ob=mb;break}else jb=mb}}else Ob=B;ib=ib+w|0;if((ib|0)>=(f[F>>2]|0))break;else B=Ob}}Ob=i+36|0;B=f[Ob>>2]|0;if(B|0?(F=B+12|0,B=f[F>>2]|0,f[F>>2]=B+-1,(B|0)==1):0)aU(i);f[Ob>>2]=0;Ob=i+16|0;f[Ob>>2]=0;f[Ob+4>>2]=0;f[Ob+8>>2]=0;f[Ob+12>>2]=0;if((f[C>>2]|0)>0){Ob=f[E>>2]|0;E=0;do{f[Ob+(E<<2)>>2]=0;E=E+1|0}while((E|0)<(f[C>>2]|0))}C=f[y>>2]|0;if((C|0)!=(D|0))TC(C);C=g+36|0;D=f[C>>2]|0;if(D|0?(y=D+12|0,D=f[y>>2]|0,f[y>>2]=D+-1,(D|0)==1):0)aU(g);f[C>>2]=0;C=g+16|0;f[C>>2]=0;f[C+4>>2]=0;f[C+8>>2]=0;f[C+12>>2]=0;if((f[v>>2]|0)>0){C=f[x>>2]|0;x=0;do{f[C+(x<<2)>>2]=0;x=x+1|0}while((x|0)<(f[v>>2]|0))}v=f[A>>2]|0;if((v|0)==(r|0)){u=c;return}TC(v);u=c;return}function o1(a,c,e,g,i,k,l){a=a|0;c=c|0;e=e|0;g=g|0;i=i|0;k=k|0;l=l|0;var m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0;m=u;u=u+576|0;n=m+64|0;o=m+32|0;q=m;r=f[a+40>>2]|0;s=f[r+4>>2]|0;t=f[r>>2]|0;r=f[c+40>>2]|0;v=f[r+4>>2]|0;w=f[r>>2]|0;r=(f[a>>2]|0)>>>3;x=(r&511)+1|0;y=f[a+16>>2]|0;z=f[a+48>>2]|0;a=0;do{A=Fhc(+p[l+((a&3)<<3)>>3])|0;b[n+a>>0]=A>>>0<256?A:(A|0)>0?255:0;a=a+1|0}while((a|0)!=(x|0));a=(k|0)!=5?k:4;l=s+-7|0;A=(l|0)>0?l:0;l=t+-7|0;B=(l|0)>0?l:0;if((f[c>>2]&16384|0)!=0?(f[e>>2]&16384|0)!=0:0){l=(f[g>>2]&16384|0)!=0;C=Y(l?w:1,v)|0;if(l){D=C;E=1}else{F=C;G=6}}else{F=v;G=6}if((G|0)==6)if((w|0)>0){D=F;E=w}else{u=m;return}w=c+16|0;F=c+44|0;c=e+16|0;v=e+44|0;e=g+16|0;C=g+44|0;g=(D|0)>0;l=x<<1;H=x*3|0;I=x<<2;J=x*5|0;K=x*6|0;L=x*7|0;M=z<<3;N=1-M|0;O=(k|0)==5;k=(a|0)==0;P=o+4|0;Q=o+8|0;R=o+12|0;S=o+16|0;T=o+20|0;U=o+24|0;V=o+28|0;W=(r|-512)^511;r=q+4|0;X=q+8|0;Z=q+12|0;_=q+16|0;$=q+20|0;aa=q+24|0;ba=q+28|0;ca=0;da=y;while(1){y=f[w>>2]|0;ea=Y(f[f[F>>2]>>2]|0,ca)|0;fa=(f[c>>2]|0)+(Y(f[f[v>>2]>>2]|0,ca)|0)|0;ga=(f[e>>2]|0)+(Y(f[f[C>>2]>>2]|0,ca)|0)|0;if(g){ha=y+ea|0;ia=0;ja=da;while(1){ka=y+(ea+(Y(x,ia)|0))|0;la=ia<<1;ma=d[fa+(la<<1)>>1]|0;na=ma<<16>>16;oa=na+-3|0;pa=d[fa+((la|1)<<1)>>1]|0;la=pa+-3|0;qa=i+(j[ga+(ia<<1)>>1]<<6<<1)|0;if(oa>>>0<A>>>0&la>>>0<B>>>0){ra=0;sa=ja+(Y(la,z)|0)+(Y(oa,x)|0)|0;while(1){ta=0;ua=0;va=sa;wa=qa;while(1){xa=Y(d[wa>>1]|0,h[va>>0]|0)|0;ya=Y(d[wa+2>>1]|0,h[va+x>>0]|0)|0;za=Y(d[wa+4>>1]|0,h[va+l>>0]|0)|0;Aa=Y(d[wa+6>>1]|0,h[va+H>>0]|0)|0;Ba=Y(d[wa+8>>1]|0,h[va+I>>0]|0)|0;Ca=Y(d[wa+10>>1]|0,h[va+J>>0]|0)|0;Da=Y(d[wa+12>>1]|0,h[va+K>>0]|0)|0;ua=xa+ua+ya+za+Aa+Ba+Ca+Da+(Y(d[wa+14>>1]|0,h[va+L>>0]|0)|0)|0;ta=ta+1|0;if((ta|0)==8)break;else{va=va+z|0;wa=wa+16|0}}wa=ua+16384>>15;b[ha+ra>>0]=wa>>>0<256?wa:(wa|0)>0?255:0;ra=ra+1|0;if((ra|0)==(x|0)){Ea=ja;break}else sa=sa+M+N|0}}else{if(O?!(na>>>0<s>>>0&pa>>>0<t>>>0):0)Fa=ja;else G=19;do if((G|0)==19){G=0;if(k?(pa+5|0)<1|ma<<16>>16>-5&(oa|0)<(s|0)&(la|0)<(t|0)^1:0){szc(ka|0,n|0,x|0)|0;Fa=ja;break}sa=Y(LI(oa,s,a)|0,x)|0;f[o>>2]=sa;ra=LI(la,t,a)|0;f[q>>2]=ra;ra=Y(LI(na+-2|0,s,a)|0,x)|0;f[P>>2]=ra;wa=LI(pa+-2|0,t,a)|0;f[r>>2]=wa;wa=Y(LI(na+-1|0,s,a)|0,x)|0;f[Q>>2]=wa;va=LI(pa+-1|0,t,a)|0;f[X>>2]=va;va=Y(LI(na,s,a)|0,x)|0;f[R>>2]=va;ta=LI(pa,t,a)|0;f[Z>>2]=ta;ta=Y(LI(na+1|0,s,a)|0,x)|0;f[S>>2]=ta;Da=LI(pa+1|0,t,a)|0;f[_>>2]=Da;Da=Y(LI(na+2|0,s,a)|0,x)|0;f[T>>2]=Da;Ca=LI(pa+2|0,t,a)|0;f[$>>2]=Ca;Ca=Y(LI(na+3|0,s,a)|0,x)|0;f[U>>2]=Ca;Ba=LI(pa+3|0,t,a)|0;f[aa>>2]=Ba;Ba=Y(LI(na+4|0,s,a)|0,x)|0;f[V>>2]=Ba;Aa=LI(pa+4|0,t,a)|0;f[ba>>2]=Aa;Aa=0;za=ja;ya=sa;sa=ra;ra=wa;wa=va;va=ta;ta=Da;Da=Ca;Ca=Ba;while(1){Ba=h[n+Aa>>0]|0;xa=Ba<<15;Ga=(sa|0)>-1;Ha=(ra|0)>-1;Ia=(wa|0)>-1;Ja=(va|0)>-1;Ka=(ta|0)>-1;La=(Da|0)>-1;Ma=(Ca|0)>-1;if((ya|0)>-1){Na=0;Oa=xa;Pa=qa;while(1){Qa=f[q+(Na<<2)>>2]|0;Ra=za+(Y(Qa,z)|0)|0;do if((Qa|0)<0)Sa=Oa;else{Ta=(Y((h[Ra+ya>>0]|0)-Ba|0,d[Pa>>1]|0)|0)+Oa|0;if(Ga)Ua=(Y((h[Ra+sa>>0]|0)-Ba|0,d[Pa+2>>1]|0)|0)+Ta|0;else Ua=Ta;if(Ha)Va=(Y((h[Ra+ra>>0]|0)-Ba|0,d[Pa+4>>1]|0)|0)+Ua|0;else Va=Ua;if(Ia)Wa=(Y((h[Ra+wa>>0]|0)-Ba|0,d[Pa+6>>1]|0)|0)+Va|0;else Wa=Va;if(Ja)Xa=(Y((h[Ra+va>>0]|0)-Ba|0,d[Pa+8>>1]|0)|0)+Wa|0;else Xa=Wa;if(Ka)Ya=(Y((h[Ra+ta>>0]|0)-Ba|0,d[Pa+10>>1]|0)|0)+Xa|0;else Ya=Xa;if(La)Za=(Y((h[Ra+Da>>0]|0)-Ba|0,d[Pa+12>>1]|0)|0)+Ya|0;else Za=Ya;if(!Ma){Sa=Za;break}Sa=(Y((h[Ra+Ca>>0]|0)-Ba|0,d[Pa+14>>1]|0)|0)+Za|0}while(0);Na=Na+1|0;if((Na|0)==8){_a=Sa;break}else{Oa=Sa;Pa=Pa+16|0}}}else{Pa=0;Oa=xa;Na=qa;while(1){Ra=f[q+(Pa<<2)>>2]|0;Qa=za+(Y(Ra,z)|0)|0;do if((Ra|0)<0)$a=Oa;else{if(Ga)ab=(Y((h[Qa+sa>>0]|0)-Ba|0,d[Na+2>>1]|0)|0)+Oa|0;else ab=Oa;if(Ha)bb=(Y((h[Qa+ra>>0]|0)-Ba|0,d[Na+4>>1]|0)|0)+ab|0;else bb=ab;if(Ia)cb=(Y((h[Qa+wa>>0]|0)-Ba|0,d[Na+6>>1]|0)|0)+bb|0;else cb=bb;if(Ja)db=(Y((h[Qa+va>>0]|0)-Ba|0,d[Na+8>>1]|0)|0)+cb|0;else db=cb;if(Ka)eb=(Y((h[Qa+ta>>0]|0)-Ba|0,d[Na+10>>1]|0)|0)+db|0;else eb=db;if(La)fb=(Y((h[Qa+Da>>0]|0)-Ba|0,d[Na+12>>1]|0)|0)+eb|0;else fb=eb;if(!Ma){$a=fb;break}$a=(Y((h[Qa+Ca>>0]|0)-Ba|0,d[Na+14>>1]|0)|0)+fb|0}while(0);Pa=Pa+1|0;if((Pa|0)==8){_a=$a;break}else{Oa=$a;Na=Na+16|0}}}Na=_a+16384>>15;b[ha+Aa>>0]=Na>>>0<256?Na:(Na|0)>0?255:0;Na=Aa+1|0;if((Na|0)==(x|0))break;Aa=Na;za=za+1|0;ya=f[o>>2]|0;sa=f[P>>2]|0;ra=f[Q>>2]|0;wa=f[R>>2]|0;va=f[S>>2]|0;ta=f[T>>2]|0;Da=f[U>>2]|0;Ca=f[V>>2]|0}Fa=ja+x+W|0}while(0);Ea=Fa}ia=ia+1|0;if((ia|0)==(D|0)){gb=Ea;break}else{ha=ha+x|0;ja=Ea}}}else gb=da;ca=ca+1|0;if((ca|0)==(E|0))break;else da=gb}u=m;return}function p1(a,b,c,e,g,h,i){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;var k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0.0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0.0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0.0,Oa=0,Pa=0,Qa=0,Ra=0.0,Sa=0.0,Ta=0.0,Ua=0.0,Va=0.0,Wa=0.0,Xa=0.0,Ya=0.0,Za=0.0,_a=0.0,$a=0.0,ab=0.0,bb=0.0,cb=0.0,db=0.0,eb=0.0,fb=0;k=u;u=u+1088|0;l=k+64|0;m=k+32|0;o=k;q=f[a+40>>2]|0;r=f[q+4>>2]|0;s=f[q>>2]|0;q=f[b+40>>2]|0;t=f[q+4>>2]|0;v=f[q>>2]|0;q=(f[a>>2]|0)>>>3;w=q&511;x=w+1|0;y=f[a+16>>2]|0;z=(f[a+48>>2]|0)>>>1;a=0;do{A=Fhc(+p[i+((a&3)<<3)>>3])|0;d[l+(a<<1)>>1]=A>>>0<65536?A:(A|0)>0?65535:0;a=a+1|0}while((a|0)!=(x|0));a=(h|0)!=5?h:4;i=r+-7|0;A=(i|0)>0?i:0;i=s+-7|0;B=(i|0)>0?i:0;if((f[b>>2]&16384|0)!=0?(f[c>>2]&16384|0)!=0:0){i=(f[e>>2]&16384|0)!=0;C=Y(i?v:1,t)|0;if(i){D=C;E=1}else{F=C;G=6}}else{F=t;G=6}if((G|0)==6)if((v|0)>0){D=F;E=v}else{u=k;return}v=b+16|0;F=b+44|0;b=c+16|0;t=c+44|0;c=e+16|0;C=e+44|0;e=(D|0)>0;i=x<<1;H=x*3|0;I=x<<2;J=x*5|0;K=x*6|0;L=x*7|0;M=z<<3;N=1-M|0;O=(h|0)==5;h=(a|0)==0;P=m+4|0;Q=m+8|0;R=m+12|0;S=m+16|0;T=m+20|0;U=m+24|0;V=m+28|0;W=(q|-512)^511;q=(w<<1)+2|0;w=o+4|0;X=o+8|0;Z=o+12|0;_=o+16|0;$=o+20|0;aa=o+24|0;ba=o+28|0;ca=0;da=y;while(1){y=f[v>>2]|0;ea=Y(f[f[F>>2]>>2]|0,ca)|0;fa=(f[b>>2]|0)+(Y(f[f[t>>2]>>2]|0,ca)|0)|0;ga=(f[c>>2]|0)+(Y(f[f[C>>2]>>2]|0,ca)|0)|0;if(e){ha=y+ea|0;ia=0;ja=da;while(1){ka=y+(ea+(Y(q,ia)|0))|0;la=ia<<1;ma=d[fa+(la<<1)>>1]|0;na=ma<<16>>16;oa=na+-3|0;pa=d[fa+((la|1)<<1)>>1]|0;la=pa+-3|0;qa=g+(j[ga+(ia<<1)>>1]<<6<<2)|0;if(oa>>>0<A>>>0&la>>>0<B>>>0){ra=0;sa=ja+((Y(la,z)|0)<<1)+((Y(oa,x)|0)<<1)|0;while(1){ta=0;ua=0.0;va=sa;wa=qa;while(1){ua=ua+(+(j[va>>1]|0)*+n[wa>>2]+ +(j[va+(x<<1)>>1]|0)*+n[wa+4>>2]+ +(j[va+(i<<1)>>1]|0)*+n[wa+8>>2]+ +(j[va+(H<<1)>>1]|0)*+n[wa+12>>2]+ +(j[va+(I<<1)>>1]|0)*+n[wa+16>>2]+ +(j[va+(J<<1)>>1]|0)*+n[wa+20>>2]+ +(j[va+(K<<1)>>1]|0)*+n[wa+24>>2]+ +(j[va+(L<<1)>>1]|0)*+n[wa+28>>2]);ta=ta+1|0;if((ta|0)==8)break;else{va=va+(z<<1)|0;wa=wa+32|0}}wa=Ghc(ua)|0;d[ha+(ra<<1)>>1]=wa>>>0<65536?wa:(wa|0)>0?65535:0;ra=ra+1|0;if((ra|0)==(x|0)){xa=ja;break}else sa=sa+(M<<1)+(N<<1)|0}}else{if(O?!(na>>>0<r>>>0&pa>>>0<s>>>0):0)ya=ja;else G=19;do if((G|0)==19){G=0;if(h?(pa+5|0)<1|ma<<16>>16>-5&(oa|0)<(r|0)&(la|0)<(s|0)^1:0){szc(ka|0,l|0,q|0)|0;ya=ja;break}sa=Y(LI(oa,r,a)|0,x)|0;f[m>>2]=sa;ra=LI(la,s,a)|0;f[o>>2]=ra;ra=Y(LI(na+-2|0,r,a)|0,x)|0;f[P>>2]=ra;wa=LI(pa+-2|0,s,a)|0;f[w>>2]=wa;wa=Y(LI(na+-1|0,r,a)|0,x)|0;f[Q>>2]=wa;va=LI(pa+-1|0,s,a)|0;f[X>>2]=va;va=Y(LI(na,r,a)|0,x)|0;f[R>>2]=va;ta=LI(pa,s,a)|0;f[Z>>2]=ta;ta=Y(LI(na+1|0,r,a)|0,x)|0;f[S>>2]=ta;za=LI(pa+1|0,s,a)|0;f[_>>2]=za;za=Y(LI(na+2|0,r,a)|0,x)|0;f[T>>2]=za;Aa=LI(pa+2|0,s,a)|0;f[$>>2]=Aa;Aa=Y(LI(na+3|0,r,a)|0,x)|0;f[U>>2]=Aa;Ba=LI(pa+3|0,s,a)|0;f[aa>>2]=Ba;Ba=Y(LI(na+4|0,r,a)|0,x)|0;f[V>>2]=Ba;Ca=LI(pa+4|0,s,a)|0;f[ba>>2]=Ca;Ca=0;Da=ja;Ea=sa;sa=ra;ra=wa;wa=va;va=ta;ta=za;za=Aa;Aa=Ba;while(1){Fa=+(j[l+(Ca<<1)>>1]|0);Ba=(sa|0)>-1;Ga=(ra|0)>-1;Ha=(wa|0)>-1;Ia=(va|0)>-1;Ja=(ta|0)>-1;Ka=(za|0)>-1;La=(Aa|0)>-1;if((Ea|0)>-1){Ma=0;Na=Fa;Oa=qa;while(1){Pa=f[o+(Ma<<2)>>2]|0;Qa=Da+((Y(Pa,z)|0)<<1)|0;do if((Pa|0)<0)Ra=Na;else{Sa=Na+ +n[Oa>>2]*(+(j[Qa+(Ea<<1)>>1]|0)-Fa);if(Ba)Ta=Sa+ +n[Oa+4>>2]*(+(j[Qa+(sa<<1)>>1]|0)-Fa);else Ta=Sa;if(Ga)Ua=Ta+ +n[Oa+8>>2]*(+(j[Qa+(ra<<1)>>1]|0)-Fa);else Ua=Ta;if(Ha)Va=Ua+ +n[Oa+12>>2]*(+(j[Qa+(wa<<1)>>1]|0)-Fa);else Va=Ua;if(Ia)Wa=Va+ +n[Oa+16>>2]*(+(j[Qa+(va<<1)>>1]|0)-Fa);else Wa=Va;if(Ja)Xa=Wa+ +n[Oa+20>>2]*(+(j[Qa+(ta<<1)>>1]|0)-Fa);else Xa=Wa;if(Ka)Ya=Xa+ +n[Oa+24>>2]*(+(j[Qa+(za<<1)>>1]|0)-Fa);else Ya=Xa;if(!La){Ra=Ya;break}Ra=Ya+ +n[Oa+28>>2]*(+(j[Qa+(Aa<<1)>>1]|0)-Fa)}while(0);Ma=Ma+1|0;if((Ma|0)==8){Za=Ra;break}else{Na=Ra;Oa=Oa+32|0}}}else{Oa=0;Na=Fa;Ma=qa;while(1){Qa=f[o+(Oa<<2)>>2]|0;Pa=Da+((Y(Qa,z)|0)<<1)|0;do if((Qa|0)<0)_a=Na;else{if(Ba)$a=Na+ +n[Ma+4>>2]*(+(j[Pa+(sa<<1)>>1]|0)-Fa);else $a=Na;if(Ga)ab=$a+ +n[Ma+8>>2]*(+(j[Pa+(ra<<1)>>1]|0)-Fa);else ab=$a;if(Ha)bb=ab+ +n[Ma+12>>2]*(+(j[Pa+(wa<<1)>>1]|0)-Fa);else bb=ab;if(Ia)cb=bb+ +n[Ma+16>>2]*(+(j[Pa+(va<<1)>>1]|0)-Fa);else cb=bb;if(Ja)db=cb+ +n[Ma+20>>2]*(+(j[Pa+(ta<<1)>>1]|0)-Fa);else db=cb;if(Ka)eb=db+ +n[Ma+24>>2]*(+(j[Pa+(za<<1)>>1]|0)-Fa);else eb=db;if(!La){_a=eb;break}_a=eb+ +n[Ma+28>>2]*(+(j[Pa+(Aa<<1)>>1]|0)-Fa)}while(0);Oa=Oa+1|0;if((Oa|0)==8){Za=_a;break}else{Na=_a;Ma=Ma+32|0}}}Ma=Ghc(Za)|0;d[ha+(Ca<<1)>>1]=Ma>>>0<65536?Ma:(Ma|0)>0?65535:0;Ma=Ca+1|0;if((Ma|0)==(x|0))break;Ca=Ma;Da=Da+2|0;Ea=f[m>>2]|0;sa=f[P>>2]|0;ra=f[Q>>2]|0;wa=f[R>>2]|0;va=f[S>>2]|0;ta=f[T>>2]|0;za=f[U>>2]|0;Aa=f[V>>2]|0}ya=ja+(x<<1)+(W<<1)|0}while(0);xa=ya}ia=ia+1|0;if((ia|0)==(D|0)){fb=xa;break}else{ha=ha+(x<<1)|0;ja=xa}}}else fb=da;ca=ca+1|0;if((ca|0)==(E|0))break;else da=fb}u=k;return}function q1(a,b,c,e,g,h,i){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;var k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0.0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0.0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0.0,Oa=0,Pa=0,Qa=0,Ra=0.0,Sa=0.0,Ta=0.0,Ua=0.0,Va=0.0,Wa=0.0,Xa=0.0,Ya=0.0,Za=0.0,_a=0.0,$a=0.0,ab=0.0,bb=0.0,cb=0.0,db=0.0,eb=0.0,fb=0;k=u;u=u+1088|0;l=k+64|0;m=k+32|0;o=k;q=f[a+40>>2]|0;r=f[q+4>>2]|0;s=f[q>>2]|0;q=f[b+40>>2]|0;t=f[q+4>>2]|0;v=f[q>>2]|0;q=(f[a>>2]|0)>>>3;w=q&511;x=w+1|0;y=f[a+16>>2]|0;z=(f[a+48>>2]|0)>>>1;a=0;do{A=Fhc(+p[i+((a&3)<<3)>>3])|0;d[l+(a<<1)>>1]=(A+32768|0)>>>0<65536?A:(A|0)>0?32767:32768;a=a+1|0}while((a|0)!=(x|0));a=(h|0)!=5?h:4;i=r+-7|0;A=(i|0)>0?i:0;i=s+-7|0;B=(i|0)>0?i:0;if((f[b>>2]&16384|0)!=0?(f[c>>2]&16384|0)!=0:0){i=(f[e>>2]&16384|0)!=0;C=Y(i?v:1,t)|0;if(i){D=C;E=1}else{F=C;G=6}}else{F=t;G=6}if((G|0)==6)if((v|0)>0){D=F;E=v}else{u=k;return}v=b+16|0;F=b+44|0;b=c+16|0;t=c+44|0;c=e+16|0;C=e+44|0;e=(D|0)>0;i=x<<1;H=x*3|0;I=x<<2;J=x*5|0;K=x*6|0;L=x*7|0;M=z<<3;N=1-M|0;O=(h|0)==5;h=(a|0)==0;P=m+4|0;Q=m+8|0;R=m+12|0;S=m+16|0;T=m+20|0;U=m+24|0;V=m+28|0;W=(q|-512)^511;q=(w<<1)+2|0;w=o+4|0;X=o+8|0;Z=o+12|0;_=o+16|0;$=o+20|0;aa=o+24|0;ba=o+28|0;ca=0;da=y;while(1){y=f[v>>2]|0;ea=Y(f[f[F>>2]>>2]|0,ca)|0;fa=(f[b>>2]|0)+(Y(f[f[t>>2]>>2]|0,ca)|0)|0;ga=(f[c>>2]|0)+(Y(f[f[C>>2]>>2]|0,ca)|0)|0;if(e){ha=y+ea|0;ia=0;ja=da;while(1){ka=y+(ea+(Y(q,ia)|0))|0;la=ia<<1;ma=d[fa+(la<<1)>>1]|0;na=ma<<16>>16;oa=na+-3|0;pa=d[fa+((la|1)<<1)>>1]|0;la=pa+-3|0;qa=g+(j[ga+(ia<<1)>>1]<<6<<2)|0;if(oa>>>0<A>>>0&la>>>0<B>>>0){ra=0;sa=ja+((Y(la,z)|0)<<1)+((Y(oa,x)|0)<<1)|0;while(1){ta=0;ua=0.0;va=sa;wa=qa;while(1){ua=ua+(+(d[va>>1]|0)*+n[wa>>2]+ +(d[va+(x<<1)>>1]|0)*+n[wa+4>>2]+ +(d[va+(i<<1)>>1]|0)*+n[wa+8>>2]+ +(d[va+(H<<1)>>1]|0)*+n[wa+12>>2]+ +(d[va+(I<<1)>>1]|0)*+n[wa+16>>2]+ +(d[va+(J<<1)>>1]|0)*+n[wa+20>>2]+ +(d[va+(K<<1)>>1]|0)*+n[wa+24>>2]+ +(d[va+(L<<1)>>1]|0)*+n[wa+28>>2]);ta=ta+1|0;if((ta|0)==8)break;else{va=va+(z<<1)|0;wa=wa+32|0}}wa=Ghc(ua)|0;d[ha+(ra<<1)>>1]=(wa+32768|0)>>>0<65536?wa:(wa|0)>0?32767:32768;ra=ra+1|0;if((ra|0)==(x|0)){xa=ja;break}else sa=sa+(M<<1)+(N<<1)|0}}else{if(O?!(na>>>0<r>>>0&pa>>>0<s>>>0):0)ya=ja;else G=19;do if((G|0)==19){G=0;if(h?(pa+5|0)<1|ma<<16>>16>-5&(oa|0)<(r|0)&(la|0)<(s|0)^1:0){szc(ka|0,l|0,q|0)|0;ya=ja;break}sa=Y(LI(oa,r,a)|0,x)|0;f[m>>2]=sa;ra=LI(la,s,a)|0;f[o>>2]=ra;ra=Y(LI(na+-2|0,r,a)|0,x)|0;f[P>>2]=ra;wa=LI(pa+-2|0,s,a)|0;f[w>>2]=wa;wa=Y(LI(na+-1|0,r,a)|0,x)|0;f[Q>>2]=wa;va=LI(pa+-1|0,s,a)|0;f[X>>2]=va;va=Y(LI(na,r,a)|0,x)|0;f[R>>2]=va;ta=LI(pa,s,a)|0;f[Z>>2]=ta;ta=Y(LI(na+1|0,r,a)|0,x)|0;f[S>>2]=ta;za=LI(pa+1|0,s,a)|0;f[_>>2]=za;za=Y(LI(na+2|0,r,a)|0,x)|0;f[T>>2]=za;Aa=LI(pa+2|0,s,a)|0;f[$>>2]=Aa;Aa=Y(LI(na+3|0,r,a)|0,x)|0;f[U>>2]=Aa;Ba=LI(pa+3|0,s,a)|0;f[aa>>2]=Ba;Ba=Y(LI(na+4|0,r,a)|0,x)|0;f[V>>2]=Ba;Ca=LI(pa+4|0,s,a)|0;f[ba>>2]=Ca;Ca=0;Da=ja;Ea=sa;sa=ra;ra=wa;wa=va;va=ta;ta=za;za=Aa;Aa=Ba;while(1){Fa=+(d[l+(Ca<<1)>>1]|0);Ba=(sa|0)>-1;Ga=(ra|0)>-1;Ha=(wa|0)>-1;Ia=(va|0)>-1;Ja=(ta|0)>-1;Ka=(za|0)>-1;La=(Aa|0)>-1;if((Ea|0)>-1){Ma=0;Na=Fa;Oa=qa;while(1){Pa=f[o+(Ma<<2)>>2]|0;Qa=Da+((Y(Pa,z)|0)<<1)|0;do if((Pa|0)<0)Ra=Na;else{Sa=Na+ +n[Oa>>2]*(+(d[Qa+(Ea<<1)>>1]|0)-Fa);if(Ba)Ta=Sa+ +n[Oa+4>>2]*(+(d[Qa+(sa<<1)>>1]|0)-Fa);else Ta=Sa;if(Ga)Ua=Ta+ +n[Oa+8>>2]*(+(d[Qa+(ra<<1)>>1]|0)-Fa);else Ua=Ta;if(Ha)Va=Ua+ +n[Oa+12>>2]*(+(d[Qa+(wa<<1)>>1]|0)-Fa);else Va=Ua;if(Ia)Wa=Va+ +n[Oa+16>>2]*(+(d[Qa+(va<<1)>>1]|0)-Fa);else Wa=Va;if(Ja)Xa=Wa+ +n[Oa+20>>2]*(+(d[Qa+(ta<<1)>>1]|0)-Fa);else Xa=Wa;if(Ka)Ya=Xa+ +n[Oa+24>>2]*(+(d[Qa+(za<<1)>>1]|0)-Fa);else Ya=Xa;if(!La){Ra=Ya;break}Ra=Ya+ +n[Oa+28>>2]*(+(d[Qa+(Aa<<1)>>1]|0)-Fa)}while(0);Ma=Ma+1|0;if((Ma|0)==8){Za=Ra;break}else{Na=Ra;Oa=Oa+32|0}}}else{Oa=0;Na=Fa;Ma=qa;while(1){Qa=f[o+(Oa<<2)>>2]|0;Pa=Da+((Y(Qa,z)|0)<<1)|0;do if((Qa|0)<0)_a=Na;else{if(Ba)$a=Na+ +n[Ma+4>>2]*(+(d[Pa+(sa<<1)>>1]|0)-Fa);else $a=Na;if(Ga)ab=$a+ +n[Ma+8>>2]*(+(d[Pa+(ra<<1)>>1]|0)-Fa);else ab=$a;if(Ha)bb=ab+ +n[Ma+12>>2]*(+(d[Pa+(wa<<1)>>1]|0)-Fa);else bb=ab;if(Ia)cb=bb+ +n[Ma+16>>2]*(+(d[Pa+(va<<1)>>1]|0)-Fa);else cb=bb;if(Ja)db=cb+ +n[Ma+20>>2]*(+(d[Pa+(ta<<1)>>1]|0)-Fa);else db=cb;if(Ka)eb=db+ +n[Ma+24>>2]*(+(d[Pa+(za<<1)>>1]|0)-Fa);else eb=db;if(!La){_a=eb;break}_a=eb+ +n[Ma+28>>2]*(+(d[Pa+(Aa<<1)>>1]|0)-Fa)}while(0);Oa=Oa+1|0;if((Oa|0)==8){Za=_a;break}else{Na=_a;Ma=Ma+32|0}}}Ma=Ghc(Za)|0;d[ha+(Ca<<1)>>1]=(Ma+32768|0)>>>0<65536?Ma:(Ma|0)>0?32767:32768;Ma=Ca+1|0;if((Ma|0)==(x|0))break;Ca=Ma;Da=Da+2|0;Ea=f[m>>2]|0;sa=f[P>>2]|0;ra=f[Q>>2]|0;wa=f[R>>2]|0;va=f[S>>2]|0;ta=f[T>>2]|0;za=f[U>>2]|0;Aa=f[V>>2]|0}ya=ja+(x<<1)+(W<<1)|0}while(0);xa=ya}ia=ia+1|0;if((ia|0)==(D|0)){fb=xa;break}else{ha=ha+(x<<1)|0;ja=xa}}}else fb=da;ca=ca+1|0;if((ca|0)==(E|0))break;else da=fb}u=k;return}function r1(a,b,c,e,g,h,i){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;var k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0.0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0.0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0.0,Oa=0,Pa=0,Qa=0,Ra=0.0,Sa=0.0,Ta=0.0,Ua=0.0,Va=0.0,Wa=0.0,Xa=0.0,Ya=0.0,Za=0.0,_a=0.0,$a=0.0,ab=0.0,bb=0.0,cb=0.0,db=0.0,eb=0.0,fb=0;k=u;u=u+2112|0;l=k+64|0;m=k+32|0;o=k;q=f[a+40>>2]|0;r=f[q+4>>2]|0;s=f[q>>2]|0;q=f[b+40>>2]|0;t=f[q+4>>2]|0;v=f[q>>2]|0;q=(f[a>>2]|0)>>>3;w=q&511;x=w+1|0;y=f[a+16>>2]|0;z=(f[a+48>>2]|0)>>>2;a=0;do{n[l+(a<<2)>>2]=+p[i+((a&3)<<3)>>3];a=a+1|0}while((a|0)!=(x|0));a=(h|0)!=5?h:4;i=r+-7|0;A=(i|0)>0?i:0;i=s+-7|0;B=(i|0)>0?i:0;if((f[b>>2]&16384|0)!=0?(f[c>>2]&16384|0)!=0:0){i=(f[e>>2]&16384|0)!=0;C=Y(i?v:1,t)|0;if(i){D=C;E=1}else{F=C;G=6}}else{F=t;G=6}if((G|0)==6)if((v|0)>0){D=F;E=v}else{u=k;return}v=b+16|0;F=b+44|0;b=c+16|0;t=c+44|0;c=e+16|0;C=e+44|0;e=(D|0)>0;i=x<<1;H=x*3|0;I=x<<2;J=x*5|0;K=x*6|0;L=x*7|0;M=z<<3;N=1-M|0;O=(h|0)==5;h=(a|0)==0;P=m+4|0;Q=m+8|0;R=m+12|0;S=m+16|0;T=m+20|0;U=m+24|0;V=m+28|0;W=(q|-512)^511;q=(w<<2)+4|0;w=o+4|0;X=o+8|0;Z=o+12|0;_=o+16|0;$=o+20|0;aa=o+24|0;ba=o+28|0;ca=0;da=y;while(1){y=f[v>>2]|0;ea=Y(f[f[F>>2]>>2]|0,ca)|0;fa=(f[b>>2]|0)+(Y(f[f[t>>2]>>2]|0,ca)|0)|0;ga=(f[c>>2]|0)+(Y(f[f[C>>2]>>2]|0,ca)|0)|0;if(e){ha=y+ea|0;ia=0;ja=da;while(1){ka=y+(ea+(Y(q,ia)|0))|0;la=ia<<1;ma=d[fa+(la<<1)>>1]|0;na=ma<<16>>16;oa=na+-3|0;pa=d[fa+((la|1)<<1)>>1]|0;la=pa+-3|0;qa=g+(j[ga+(ia<<1)>>1]<<6<<2)|0;if(oa>>>0<A>>>0&la>>>0<B>>>0){ra=0;sa=ja+((Y(la,z)|0)<<2)+((Y(oa,x)|0)<<2)|0;while(1){ta=0;ua=0.0;va=sa;wa=qa;while(1){ua=ua+(+n[va>>2]*+n[wa>>2]+ +n[va+(x<<2)>>2]*+n[wa+4>>2]+ +n[va+(i<<2)>>2]*+n[wa+8>>2]+ +n[va+(H<<2)>>2]*+n[wa+12>>2]+ +n[va+(I<<2)>>2]*+n[wa+16>>2]+ +n[va+(J<<2)>>2]*+n[wa+20>>2]+ +n[va+(K<<2)>>2]*+n[wa+24>>2]+ +n[va+(L<<2)>>2]*+n[wa+28>>2]);ta=ta+1|0;if((ta|0)==8)break;else{va=va+(z<<2)|0;wa=wa+32|0}}n[ha+(ra<<2)>>2]=ua;ra=ra+1|0;if((ra|0)==(x|0)){xa=ja;break}else sa=sa+(M<<2)+(N<<2)|0}}else{if(O?!(na>>>0<r>>>0&pa>>>0<s>>>0):0)ya=ja;else G=19;do if((G|0)==19){G=0;if(h?(pa+5|0)<1|ma<<16>>16>-5&(oa|0)<(r|0)&(la|0)<(s|0)^1:0){szc(ka|0,l|0,q|0)|0;ya=ja;break}sa=Y(LI(oa,r,a)|0,x)|0;f[m>>2]=sa;ra=LI(la,s,a)|0;f[o>>2]=ra;ra=Y(LI(na+-2|0,r,a)|0,x)|0;f[P>>2]=ra;wa=LI(pa+-2|0,s,a)|0;f[w>>2]=wa;wa=Y(LI(na+-1|0,r,a)|0,x)|0;f[Q>>2]=wa;va=LI(pa+-1|0,s,a)|0;f[X>>2]=va;va=Y(LI(na,r,a)|0,x)|0;f[R>>2]=va;ta=LI(pa,s,a)|0;f[Z>>2]=ta;ta=Y(LI(na+1|0,r,a)|0,x)|0;f[S>>2]=ta;za=LI(pa+1|0,s,a)|0;f[_>>2]=za;za=Y(LI(na+2|0,r,a)|0,x)|0;f[T>>2]=za;Aa=LI(pa+2|0,s,a)|0;f[$>>2]=Aa;Aa=Y(LI(na+3|0,r,a)|0,x)|0;f[U>>2]=Aa;Ba=LI(pa+3|0,s,a)|0;f[aa>>2]=Ba;Ba=Y(LI(na+4|0,r,a)|0,x)|0;f[V>>2]=Ba;Ca=LI(pa+4|0,s,a)|0;f[ba>>2]=Ca;Ca=0;Da=ja;Ea=sa;sa=ra;ra=wa;wa=va;va=ta;ta=za;za=Aa;Aa=Ba;while(1){Fa=+n[l+(Ca<<2)>>2];Ba=(sa|0)>-1;Ga=(ra|0)>-1;Ha=(wa|0)>-1;Ia=(va|0)>-1;Ja=(ta|0)>-1;Ka=(za|0)>-1;La=(Aa|0)>-1;if((Ea|0)>-1){Ma=0;Na=Fa;Oa=qa;while(1){Pa=f[o+(Ma<<2)>>2]|0;Qa=Da+((Y(Pa,z)|0)<<2)|0;do if((Pa|0)<0)Ra=Na;else{Sa=Na+(+n[Qa+(Ea<<2)>>2]-Fa)*+n[Oa>>2];if(Ba)Ta=Sa+(+n[Qa+(sa<<2)>>2]-Fa)*+n[Oa+4>>2];else Ta=Sa;if(Ga)Ua=Ta+(+n[Qa+(ra<<2)>>2]-Fa)*+n[Oa+8>>2];else Ua=Ta;if(Ha)Va=Ua+(+n[Qa+(wa<<2)>>2]-Fa)*+n[Oa+12>>2];else Va=Ua;if(Ia)Wa=Va+(+n[Qa+(va<<2)>>2]-Fa)*+n[Oa+16>>2];else Wa=Va;if(Ja)Xa=Wa+(+n[Qa+(ta<<2)>>2]-Fa)*+n[Oa+20>>2];else Xa=Wa;if(Ka)Ya=Xa+(+n[Qa+(za<<2)>>2]-Fa)*+n[Oa+24>>2];else Ya=Xa;if(!La){Ra=Ya;break}Ra=Ya+(+n[Qa+(Aa<<2)>>2]-Fa)*+n[Oa+28>>2]}while(0);Ma=Ma+1|0;if((Ma|0)==8){Za=Ra;break}else{Na=Ra;Oa=Oa+32|0}}}else{Oa=0;Na=Fa;Ma=qa;while(1){Qa=f[o+(Oa<<2)>>2]|0;Pa=Da+((Y(Qa,z)|0)<<2)|0;do if((Qa|0)<0)_a=Na;else{if(Ba)$a=Na+(+n[Pa+(sa<<2)>>2]-Fa)*+n[Ma+4>>2];else $a=Na;if(Ga)ab=$a+(+n[Pa+(ra<<2)>>2]-Fa)*+n[Ma+8>>2];else ab=$a;if(Ha)bb=ab+(+n[Pa+(wa<<2)>>2]-Fa)*+n[Ma+12>>2];else bb=ab;if(Ia)cb=bb+(+n[Pa+(va<<2)>>2]-Fa)*+n[Ma+16>>2];else cb=bb;if(Ja)db=cb+(+n[Pa+(ta<<2)>>2]-Fa)*+n[Ma+20>>2];else db=cb;if(Ka)eb=db+(+n[Pa+(za<<2)>>2]-Fa)*+n[Ma+24>>2];else eb=db;if(!La){_a=eb;break}_a=eb+(+n[Pa+(Aa<<2)>>2]-Fa)*+n[Ma+28>>2]}while(0);Oa=Oa+1|0;if((Oa|0)==8){Za=_a;break}else{Na=_a;Ma=Ma+32|0}}}n[ha+(Ca<<2)>>2]=Za;Ma=Ca+1|0;if((Ma|0)==(x|0))break;Ca=Ma;Da=Da+4|0;Ea=f[m>>2]|0;sa=f[P>>2]|0;ra=f[Q>>2]|0;wa=f[R>>2]|0;va=f[S>>2]|0;ta=f[T>>2]|0;za=f[U>>2]|0;Aa=f[V>>2]|0}ya=ja+(x<<2)+(W<<2)|0}while(0);xa=ya}ia=ia+1|0;if((ia|0)==(D|0)){fb=xa;break}else{ha=ha+(x<<2)|0;ja=xa}}}else fb=da;ca=ca+1|0;if((ca|0)==(E|0))break;else da=fb}u=k;return}function s1(a,b,c,e,g,h,i){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;var k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0.0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0.0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0.0,Oa=0,Pa=0,Qa=0,Ra=0.0,Sa=0.0,Ta=0.0,Ua=0.0,Va=0.0,Wa=0.0,Xa=0.0,Ya=0.0,Za=0.0,_a=0.0,$a=0.0,ab=0.0,bb=0.0,cb=0.0,db=0.0,eb=0.0,fb=0;k=u;u=u+4160|0;l=k;m=k+4128|0;o=k+4096|0;q=f[a+40>>2]|0;r=f[q+4>>2]|0;s=f[q>>2]|0;q=f[b+40>>2]|0;t=f[q+4>>2]|0;v=f[q>>2]|0;q=(f[a>>2]|0)>>>3;w=q&511;x=w+1|0;y=f[a+16>>2]|0;z=(f[a+48>>2]|0)>>>3;a=0;do{p[l+(a<<3)>>3]=+p[i+((a&3)<<3)>>3];a=a+1|0}while((a|0)!=(x|0));a=(h|0)!=5?h:4;i=r+-7|0;A=(i|0)>0?i:0;i=s+-7|0;B=(i|0)>0?i:0;if((f[b>>2]&16384|0)!=0?(f[c>>2]&16384|0)!=0:0){i=(f[e>>2]&16384|0)!=0;C=Y(i?v:1,t)|0;if(i){D=C;E=1}else{F=C;G=6}}else{F=t;G=6}if((G|0)==6)if((v|0)>0){D=F;E=v}else{u=k;return}v=b+16|0;F=b+44|0;b=c+16|0;t=c+44|0;c=e+16|0;C=e+44|0;e=(D|0)>0;i=x<<1;H=x*3|0;I=x<<2;J=x*5|0;K=x*6|0;L=x*7|0;M=z<<3;N=1-M|0;O=(h|0)==5;h=(a|0)==0;P=m+4|0;Q=m+8|0;R=m+12|0;S=m+16|0;T=m+20|0;U=m+24|0;V=m+28|0;W=(q|-512)^511;q=(w<<3)+8|0;w=o+4|0;X=o+8|0;Z=o+12|0;_=o+16|0;$=o+20|0;aa=o+24|0;ba=o+28|0;ca=0;da=y;while(1){y=f[v>>2]|0;ea=Y(f[f[F>>2]>>2]|0,ca)|0;fa=(f[b>>2]|0)+(Y(f[f[t>>2]>>2]|0,ca)|0)|0;ga=(f[c>>2]|0)+(Y(f[f[C>>2]>>2]|0,ca)|0)|0;if(e){ha=y+ea|0;ia=0;ja=da;while(1){ka=y+(ea+(Y(q,ia)|0))|0;la=ia<<1;ma=d[fa+(la<<1)>>1]|0;na=ma<<16>>16;oa=na+-3|0;pa=d[fa+((la|1)<<1)>>1]|0;la=pa+-3|0;qa=g+(j[ga+(ia<<1)>>1]<<6<<2)|0;if(oa>>>0<A>>>0&la>>>0<B>>>0){ra=0;sa=ja+((Y(la,z)|0)<<3)+((Y(oa,x)|0)<<3)|0;while(1){ta=0;ua=0.0;va=sa;wa=qa;while(1){ua=ua+(+p[va>>3]*+n[wa>>2]+ +p[va+(x<<3)>>3]*+n[wa+4>>2]+ +p[va+(i<<3)>>3]*+n[wa+8>>2]+ +p[va+(H<<3)>>3]*+n[wa+12>>2]+ +p[va+(I<<3)>>3]*+n[wa+16>>2]+ +p[va+(J<<3)>>3]*+n[wa+20>>2]+ +p[va+(K<<3)>>3]*+n[wa+24>>2]+ +p[va+(L<<3)>>3]*+n[wa+28>>2]);ta=ta+1|0;if((ta|0)==8)break;else{va=va+(z<<3)|0;wa=wa+32|0}}p[ha+(ra<<3)>>3]=ua;ra=ra+1|0;if((ra|0)==(x|0)){xa=ja;break}else sa=sa+(M<<3)+(N<<3)|0}}else{if(O?!(na>>>0<r>>>0&pa>>>0<s>>>0):0)ya=ja;else G=19;do if((G|0)==19){G=0;if(h?(pa+5|0)<1|ma<<16>>16>-5&(oa|0)<(r|0)&(la|0)<(s|0)^1:0){szc(ka|0,l|0,q|0)|0;ya=ja;break}sa=Y(LI(oa,r,a)|0,x)|0;f[m>>2]=sa;ra=LI(la,s,a)|0;f[o>>2]=ra;ra=Y(LI(na+-2|0,r,a)|0,x)|0;f[P>>2]=ra;wa=LI(pa+-2|0,s,a)|0;f[w>>2]=wa;wa=Y(LI(na+-1|0,r,a)|0,x)|0;f[Q>>2]=wa;va=LI(pa+-1|0,s,a)|0;f[X>>2]=va;va=Y(LI(na,r,a)|0,x)|0;f[R>>2]=va;ta=LI(pa,s,a)|0;f[Z>>2]=ta;ta=Y(LI(na+1|0,r,a)|0,x)|0;f[S>>2]=ta;za=LI(pa+1|0,s,a)|0;f[_>>2]=za;za=Y(LI(na+2|0,r,a)|0,x)|0;f[T>>2]=za;Aa=LI(pa+2|0,s,a)|0;f[$>>2]=Aa;Aa=Y(LI(na+3|0,r,a)|0,x)|0;f[U>>2]=Aa;Ba=LI(pa+3|0,s,a)|0;f[aa>>2]=Ba;Ba=Y(LI(na+4|0,r,a)|0,x)|0;f[V>>2]=Ba;Ca=LI(pa+4|0,s,a)|0;f[ba>>2]=Ca;Ca=0;Da=ja;Ea=sa;sa=ra;ra=wa;wa=va;va=ta;ta=za;za=Aa;Aa=Ba;while(1){Fa=+p[l+(Ca<<3)>>3];Ba=(sa|0)>-1;Ga=(ra|0)>-1;Ha=(wa|0)>-1;Ia=(va|0)>-1;Ja=(ta|0)>-1;Ka=(za|0)>-1;La=(Aa|0)>-1;if((Ea|0)>-1){Ma=0;Na=Fa;Oa=qa;while(1){Pa=f[o+(Ma<<2)>>2]|0;Qa=Da+((Y(Pa,z)|0)<<3)|0;do if((Pa|0)<0)Ra=Na;else{Sa=Na+(+p[Qa+(Ea<<3)>>3]-Fa)*+n[Oa>>2];if(Ba)Ta=Sa+(+p[Qa+(sa<<3)>>3]-Fa)*+n[Oa+4>>2];else Ta=Sa;if(Ga)Ua=Ta+(+p[Qa+(ra<<3)>>3]-Fa)*+n[Oa+8>>2];else Ua=Ta;if(Ha)Va=Ua+(+p[Qa+(wa<<3)>>3]-Fa)*+n[Oa+12>>2];else Va=Ua;if(Ia)Wa=Va+(+p[Qa+(va<<3)>>3]-Fa)*+n[Oa+16>>2];else Wa=Va;if(Ja)Xa=Wa+(+p[Qa+(ta<<3)>>3]-Fa)*+n[Oa+20>>2];else Xa=Wa;if(Ka)Ya=Xa+(+p[Qa+(za<<3)>>3]-Fa)*+n[Oa+24>>2];else Ya=Xa;if(!La){Ra=Ya;break}Ra=Ya+(+p[Qa+(Aa<<3)>>3]-Fa)*+n[Oa+28>>2]}while(0);Ma=Ma+1|0;if((Ma|0)==8){Za=Ra;break}else{Na=Ra;Oa=Oa+32|0}}}else{Oa=0;Na=Fa;Ma=qa;while(1){Qa=f[o+(Oa<<2)>>2]|0;Pa=Da+((Y(Qa,z)|0)<<3)|0;do if((Qa|0)<0)_a=Na;else{if(Ba)$a=Na+(+p[Pa+(sa<<3)>>3]-Fa)*+n[Ma+4>>2];else $a=Na;if(Ga)ab=$a+(+p[Pa+(ra<<3)>>3]-Fa)*+n[Ma+8>>2];else ab=$a;if(Ha)bb=ab+(+p[Pa+(wa<<3)>>3]-Fa)*+n[Ma+12>>2];else bb=ab;if(Ia)cb=bb+(+p[Pa+(va<<3)>>3]-Fa)*+n[Ma+16>>2];else cb=bb;if(Ja)db=cb+(+p[Pa+(ta<<3)>>3]-Fa)*+n[Ma+20>>2];else db=cb;if(Ka)eb=db+(+p[Pa+(za<<3)>>3]-Fa)*+n[Ma+24>>2];else eb=db;if(!La){_a=eb;break}_a=eb+(+p[Pa+(Aa<<3)>>3]-Fa)*+n[Ma+28>>2]}while(0);Oa=Oa+1|0;if((Oa|0)==8){Za=_a;break}else{Na=_a;Ma=Ma+32|0}}}p[ha+(Ca<<3)>>3]=Za;Ma=Ca+1|0;if((Ma|0)==(x|0))break;Ca=Ma;Da=Da+8|0;Ea=f[m>>2]|0;sa=f[P>>2]|0;ra=f[Q>>2]|0;wa=f[R>>2]|0;va=f[S>>2]|0;ta=f[T>>2]|0;za=f[U>>2]|0;Aa=f[V>>2]|0}ya=ja+(x<<3)+(W<<3)|0}while(0);xa=ya}ia=ia+1|0;if((ia|0)==(D|0)){fb=xa;break}else{ha=ha+(x<<3)|0;ja=xa}}}else fb=da;ca=ca+1|0;if((ca|0)==(E|0))break;else da=fb}u=k;return}function t1(a,c,e,g,i,k,l){a=a|0;c=c|0;e=e|0;g=g|0;i=i|0;k=k|0;l=l|0;var m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0;m=u;u=u+544|0;n=m+32|0;o=m+16|0;q=m;r=f[a+40>>2]|0;s=f[r+4>>2]|0;t=f[r>>2]|0;r=f[c+40>>2]|0;v=f[r+4>>2]|0;w=f[r>>2]|0;r=(f[a>>2]|0)>>>3;x=(r&511)+1|0;y=f[a+16>>2]|0;z=f[a+48>>2]|0;a=0;do{A=Fhc(+p[l+((a&3)<<3)>>3])|0;b[n+a>>0]=A>>>0<256?A:(A|0)>0?255:0;a=a+1|0}while((a|0)!=(x|0));a=(k|0)!=5?k:4;l=s+-3|0;A=(l|0)>0?l:0;l=t+-3|0;B=(l|0)>0?l:0;if((f[c>>2]&16384|0)!=0?(f[e>>2]&16384|0)!=0:0){l=(f[g>>2]&16384|0)!=0;C=Y(l?w:1,v)|0;if(l){D=C;E=1}else{F=C;G=6}}else{F=v;G=6}if((G|0)==6)if((w|0)>0){D=F;E=w}else{u=m;return}w=c+16|0;F=c+44|0;c=e+16|0;v=e+44|0;e=g+16|0;C=g+44|0;g=(D|0)>0;l=x<<1;H=x*3|0;I=(Y(z,-3)|0)+1|0;J=(k|0)==5;k=(a|0)==0;K=o+4|0;L=o+8|0;M=o+12|0;N=(r|-512)^511;r=q+4|0;O=q+8|0;P=q+12|0;Q=0;R=y;while(1){y=f[w>>2]|0;S=Y(f[f[F>>2]>>2]|0,Q)|0;T=(f[c>>2]|0)+(Y(f[f[v>>2]>>2]|0,Q)|0)|0;U=(f[e>>2]|0)+(Y(f[f[C>>2]>>2]|0,Q)|0)|0;if(g){V=y+S|0;W=0;X=R;while(1){Z=y+(S+(Y(x,W)|0))|0;_=W<<1;$=d[T+(_<<1)>>1]|0;aa=$+-1|0;ba=d[T+((_|1)<<1)>>1]|0;_=ba+-1|0;ca=i+(j[U+(W<<1)>>1]<<4<<1)|0;if(aa>>>0<A>>>0&_>>>0<B>>>0){da=ca+2|0;ea=ca+4|0;fa=ca+6|0;ga=ca+8|0;ha=ca+10|0;ia=ca+12|0;ja=ca+14|0;ka=ca+16|0;la=ca+18|0;ma=ca+20|0;na=ca+22|0;oa=ca+24|0;pa=ca+26|0;qa=ca+28|0;ra=ca+30|0;sa=0;ta=X+(Y(_,z)|0)+(Y(aa,x)|0)|0;while(1){ua=Y(d[ca>>1]|0,h[ta>>0]|0)|0;va=Y(d[da>>1]|0,h[ta+x>>0]|0)|0;wa=Y(d[ea>>1]|0,h[ta+l>>0]|0)|0;xa=Y(d[fa>>1]|0,h[ta+H>>0]|0)|0;ya=ta+z|0;za=Y(d[ga>>1]|0,h[ya>>0]|0)|0;Aa=Y(d[ha>>1]|0,h[ya+x>>0]|0)|0;Ba=Y(d[ia>>1]|0,h[ya+l>>0]|0)|0;Ca=Y(d[ja>>1]|0,h[ya+H>>0]|0)|0;Da=ya+z|0;ya=Y(d[ka>>1]|0,h[Da>>0]|0)|0;Ea=Y(d[la>>1]|0,h[Da+x>>0]|0)|0;Fa=Y(d[ma>>1]|0,h[Da+l>>0]|0)|0;Ga=Y(d[na>>1]|0,h[Da+H>>0]|0)|0;Ha=Da+z|0;Da=Y(d[oa>>1]|0,h[Ha>>0]|0)|0;Ia=Y(d[pa>>1]|0,h[Ha+x>>0]|0)|0;Ja=Y(d[qa>>1]|0,h[Ha+l>>0]|0)|0;Ka=ua+16384+va+wa+xa+za+Aa+Ba+Ca+ya+Ea+Fa+Ga+Da+Ia+Ja+(Y(d[ra>>1]|0,h[Ha+H>>0]|0)|0)>>15;b[V+sa>>0]=Ka>>>0<256?Ka:(Ka|0)>0?255:0;sa=sa+1|0;if((sa|0)==(x|0)){La=X;break}else ta=Ha+I|0}}else{if(J?!($>>>0<s>>>0&ba>>>0<t>>>0):0)Ma=X;else G=17;do if((G|0)==17){G=0;if(k?(ba+3|0)<1|((ba|0)>(t|0)|(($|0)>(s|0)|($+3|0)<1)):0){szc(Z|0,n|0,x|0)|0;Ma=X;break}ta=Y(LI(aa,s,a)|0,x)|0;f[o>>2]=ta;sa=LI(_,t,a)|0;f[q>>2]=sa;sa=Y(LI($,s,a)|0,x)|0;f[K>>2]=sa;ra=LI(ba,t,a)|0;f[r>>2]=ra;ra=Y(LI($+1|0,s,a)|0,x)|0;f[L>>2]=ra;qa=LI(ba+1|0,t,a)|0;f[O>>2]=qa;qa=Y(LI($+2|0,s,a)|0,x)|0;f[M>>2]=qa;pa=LI(ba+2|0,t,a)|0;f[P>>2]=pa;pa=ca+8|0;oa=pa+8|0;na=oa+8|0;ma=na+2|0;la=na+4|0;ka=na+6|0;ja=oa+2|0;ia=oa+4|0;ha=oa+6|0;ga=pa+2|0;fa=pa+4|0;ea=pa+6|0;da=ca+2|0;Ha=ca+4|0;Ka=ca+6|0;Ja=ca+8|0;Ia=Ja+8|0;Da=Ia+8|0;Ga=Da+2|0;Fa=Da+4|0;Ea=Da+6|0;Da=Ia+2|0;ya=Ia+4|0;Ca=Ia+6|0;Ia=Ja+2|0;Ba=Ja+4|0;Aa=Ja+6|0;Ja=ca+2|0;za=ca+4|0;xa=ca+6|0;wa=ca+8|0;va=ca+16|0;ua=ca+24|0;Na=ua+4|0;Oa=ua+6|0;ua=va+4|0;Pa=va+6|0;va=wa+4|0;Qa=wa+6|0;wa=ca+4|0;Ra=ca+6|0;Sa=0;Ta=X;Ua=ta;ta=sa;sa=ra;ra=qa;while(1){qa=h[n+Sa>>0]|0;Va=qa<<15;Wa=(ta|0)>-1;Xa=(sa|0)>-1;Ya=(ra|0)>-1;Za=f[q>>2]|0;_a=Ta+(Y(Za,z)|0)|0;$a=(Za|0)<0;do if((Ua|0)>-1){if(!$a){Za=(Y((h[_a+Ua>>0]|0)-qa|0,d[ca>>1]|0)|0)+Va|0;if(Wa)ab=(Y((h[_a+ta>>0]|0)-qa|0,d[da>>1]|0)|0)+Za|0;else ab=Za;if(Xa)bb=(Y((h[_a+sa>>0]|0)-qa|0,d[Ha>>1]|0)|0)+ab|0;else bb=ab;if(Ya)cb=(Y((h[_a+ra>>0]|0)-qa|0,d[Ka>>1]|0)|0)+bb|0;else cb=bb}else cb=Va;Za=f[r>>2]|0;db=Ta+(Y(Za,z)|0)|0;if((Za|0)>=0){Za=(Y((h[db+Ua>>0]|0)-qa|0,d[pa>>1]|0)|0)+cb|0;if(Wa)eb=(Y((h[db+ta>>0]|0)-qa|0,d[ga>>1]|0)|0)+Za|0;else eb=Za;if(Xa)fb=(Y((h[db+sa>>0]|0)-qa|0,d[fa>>1]|0)|0)+eb|0;else fb=eb;if(Ya)gb=(Y((h[db+ra>>0]|0)-qa|0,d[ea>>1]|0)|0)+fb|0;else gb=fb}else gb=cb;db=f[O>>2]|0;Za=Ta+(Y(db,z)|0)|0;if((db|0)>=0){db=(Y((h[Za+Ua>>0]|0)-qa|0,d[oa>>1]|0)|0)+gb|0;if(Wa)hb=(Y((h[Za+ta>>0]|0)-qa|0,d[ja>>1]|0)|0)+db|0;else hb=db;if(Xa)ib=(Y((h[Za+sa>>0]|0)-qa|0,d[ia>>1]|0)|0)+hb|0;else ib=hb;if(Ya)jb=(Y((h[Za+ra>>0]|0)-qa|0,d[ha>>1]|0)|0)+ib|0;else jb=ib}else jb=gb;Za=f[P>>2]|0;db=Ta+(Y(Za,z)|0)|0;if((Za|0)>=0){Za=(Y((h[db+Ua>>0]|0)-qa|0,d[na>>1]|0)|0)+jb|0;if(Wa)kb=(Y((h[db+ta>>0]|0)-qa|0,d[ma>>1]|0)|0)+Za|0;else kb=Za;if(Xa)lb=(Y((h[db+sa>>0]|0)-qa|0,d[la>>1]|0)|0)+kb|0;else lb=kb;if(Ya)mb=(Y((h[db+ra>>0]|0)-qa|0,d[ka>>1]|0)|0)+lb|0;else mb=lb}else mb=jb}else if(Wa){if(!$a){db=(Y((h[_a+ta>>0]|0)-qa|0,d[Ja>>1]|0)|0)+Va|0;if(Xa)nb=(Y((h[_a+sa>>0]|0)-qa|0,d[za>>1]|0)|0)+db|0;else nb=db;if(Ya)ob=(Y((h[_a+ra>>0]|0)-qa|0,d[xa>>1]|0)|0)+nb|0;else ob=nb}else ob=Va;db=f[r>>2]|0;Za=Ta+(Y(db,z)|0)|0;if((db|0)>=0){db=(Y((h[Za+ta>>0]|0)-qa|0,d[Ia>>1]|0)|0)+ob|0;if(Xa)pb=(Y((h[Za+sa>>0]|0)-qa|0,d[Ba>>1]|0)|0)+db|0;else pb=db;if(Ya)qb=(Y((h[Za+ra>>0]|0)-qa|0,d[Aa>>1]|0)|0)+pb|0;else qb=pb}else qb=ob;Za=f[O>>2]|0;db=Ta+(Y(Za,z)|0)|0;do if((Za|0)<0)rb=qb;else{sb=(Y((h[db+ta>>0]|0)-qa|0,d[Da>>1]|0)|0)+qb|0;if(Xa)tb=(Y((h[db+sa>>0]|0)-qa|0,d[ya>>1]|0)|0)+sb|0;else tb=sb;if(!Ya){rb=tb;break}rb=(Y((h[db+ra>>0]|0)-qa|0,d[Ca>>1]|0)|0)+tb|0}while(0);db=f[P>>2]|0;Za=Ta+(Y(db,z)|0)|0;if((db|0)<0){mb=rb;break}db=(Y((h[Za+ta>>0]|0)-qa|0,d[Ga>>1]|0)|0)+rb|0;if(Xa)ub=(Y((h[Za+sa>>0]|0)-qa|0,d[Fa>>1]|0)|0)+db|0;else ub=db;if(!Ya){mb=ub;break}mb=(Y((h[Za+ra>>0]|0)-qa|0,d[Ea>>1]|0)|0)+ub|0;break}else{if(!$a){if(Xa)vb=(Y((h[_a+sa>>0]|0)-qa|0,d[wa>>1]|0)|0)+Va|0;else vb=Va;if(Ya)wb=(Y((h[_a+ra>>0]|0)-qa|0,d[Ra>>1]|0)|0)+vb|0;else wb=vb}else wb=Va;Za=f[r>>2]|0;db=Ta+(Y(Za,z)|0)|0;if((Za|0)>=0){if(Xa)xb=(Y((h[db+sa>>0]|0)-qa|0,d[va>>1]|0)|0)+wb|0;else xb=wb;if(Ya)yb=(Y((h[db+ra>>0]|0)-qa|0,d[Qa>>1]|0)|0)+xb|0;else yb=xb}else yb=wb;db=f[O>>2]|0;Za=Ta+(Y(db,z)|0)|0;do if((db|0)<0)zb=yb;else{if(Xa)Ab=(Y((h[Za+sa>>0]|0)-qa|0,d[ua>>1]|0)|0)+yb|0;else Ab=yb;if(!Ya){zb=Ab;break}zb=(Y((h[Za+ra>>0]|0)-qa|0,d[Pa>>1]|0)|0)+Ab|0}while(0);Za=f[P>>2]|0;db=Ta+(Y(Za,z)|0)|0;if((Za|0)<0){mb=zb;break}if(Xa)Bb=(Y((h[db+sa>>0]|0)-qa|0,d[Na>>1]|0)|0)+zb|0;else Bb=zb;if(!Ya){mb=Bb;break}mb=(Y((h[db+ra>>0]|0)-qa|0,d[Oa>>1]|0)|0)+Bb|0;break}while(0);qa=mb+16384>>15;b[V+Sa>>0]=qa>>>0<256?qa:(qa|0)>0?255:0;qa=Sa+1|0;if((qa|0)==(x|0))break;Sa=qa;Ta=Ta+1|0;Ua=f[o>>2]|0;ta=f[K>>2]|0;sa=f[L>>2]|0;ra=f[M>>2]|0}Ma=X+x+N|0}while(0);La=Ma}W=W+1|0;if((W|0)==(D|0)){Cb=La;break}else{V=V+x|0;X=La}}}else Cb=R;Q=Q+1|0;if((Q|0)==(E|0))break;else R=Cb}u=m;return}function u1(a,b,c,e,g,h,i){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;var k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0.0,fa=0.0,ga=0.0,ha=0.0,ia=0.0,ja=0.0,ka=0.0,la=0.0,ma=0.0,na=0.0,oa=0.0,pa=0.0,qa=0.0,ra=0.0,sa=0.0,ta=0.0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0.0,ob=0.0,pb=0.0,qb=0.0,rb=0.0,sb=0.0,tb=0.0,ub=0.0,vb=0.0,wb=0.0,xb=0.0,yb=0.0,zb=0.0,Ab=0.0,Bb=0.0,Cb=0,Db=0,Eb=0,Fb=0.0,Gb=0.0,Hb=0.0,Ib=0;k=u;u=u+1056|0;l=k+32|0;m=k+16|0;o=k;q=f[a+40>>2]|0;r=f[q+4>>2]|0;s=f[q>>2]|0;q=f[b+40>>2]|0;t=f[q+4>>2]|0;v=f[q>>2]|0;q=(f[a>>2]|0)>>>3;w=q&511;x=w+1|0;y=f[a+16>>2]|0;z=(f[a+48>>2]|0)>>>1;a=0;do{A=Fhc(+p[i+((a&3)<<3)>>3])|0;d[l+(a<<1)>>1]=A>>>0<65536?A:(A|0)>0?65535:0;a=a+1|0}while((a|0)!=(x|0));a=(h|0)!=5?h:4;i=r+-3|0;A=(i|0)>0?i:0;i=s+-3|0;B=(i|0)>0?i:0;if((f[b>>2]&16384|0)!=0?(f[c>>2]&16384|0)!=0:0){i=(f[e>>2]&16384|0)!=0;C=Y(i?v:1,t)|0;if(i){D=C;E=1}else{F=C;G=6}}else{F=t;G=6}if((G|0)==6)if((v|0)>0){D=F;E=v}else{u=k;return}v=b+16|0;F=b+44|0;b=c+16|0;t=c+44|0;c=e+16|0;C=e+44|0;e=(D|0)>0;i=x<<1;H=x*3|0;I=(Y(z,-3)|0)+1|0;J=(h|0)==5;h=(a|0)==0;K=m+4|0;L=m+8|0;M=m+12|0;N=(q|-512)^511;q=(w<<1)+2|0;w=o+4|0;O=o+8|0;P=o+12|0;Q=0;R=y;while(1){y=f[v>>2]|0;S=Y(f[f[F>>2]>>2]|0,Q)|0;T=(f[b>>2]|0)+(Y(f[f[t>>2]>>2]|0,Q)|0)|0;U=(f[c>>2]|0)+(Y(f[f[C>>2]>>2]|0,Q)|0)|0;if(e){V=y+S|0;W=0;X=R;while(1){Z=y+(S+(Y(q,W)|0))|0;_=W<<1;$=d[T+(_<<1)>>1]|0;aa=$+-1|0;ba=d[T+((_|1)<<1)>>1]|0;_=ba+-1|0;ca=g+(j[U+(W<<1)>>1]<<4<<2)|0;if(aa>>>0<A>>>0&_>>>0<B>>>0){da=X+((Y(_,z)|0)<<1)+((Y(aa,x)|0)<<1)|0;ea=+n[ca>>2];fa=+n[ca+4>>2];ga=+n[ca+8>>2];ha=+n[ca+12>>2];ia=+n[ca+16>>2];ja=+n[ca+20>>2];ka=+n[ca+24>>2];la=+n[ca+28>>2];ma=+n[ca+32>>2];na=+n[ca+36>>2];oa=+n[ca+40>>2];pa=+n[ca+44>>2];qa=+n[ca+48>>2];ra=+n[ca+52>>2];sa=+n[ca+56>>2];ta=+n[ca+60>>2];ua=0;va=da;while(1){da=va+(z<<1)|0;wa=da+(z<<1)|0;xa=wa+(z<<1)|0;ya=Ghc(+(j[va>>1]|0)*ea+ +(j[va+(x<<1)>>1]|0)*fa+ +(j[va+(i<<1)>>1]|0)*ga+ +(j[va+(H<<1)>>1]|0)*ha+(+(j[da>>1]|0)*ia+ +(j[da+(x<<1)>>1]|0)*ja+ +(j[da+(i<<1)>>1]|0)*ka+ +(j[da+(H<<1)>>1]|0)*la)+(+(j[wa>>1]|0)*ma+ +(j[wa+(x<<1)>>1]|0)*na+ +(j[wa+(i<<1)>>1]|0)*oa+ +(j[wa+(H<<1)>>1]|0)*pa)+(+(j[xa>>1]|0)*qa+ +(j[xa+(x<<1)>>1]|0)*ra+ +(j[xa+(i<<1)>>1]|0)*sa+ +(j[xa+(H<<1)>>1]|0)*ta))|0;d[V+(ua<<1)>>1]=ya>>>0<65536?ya:(ya|0)>0?65535:0;ua=ua+1|0;if((ua|0)==(x|0)){za=X;break}else va=xa+(I<<1)|0}}else{if(J?!($>>>0<r>>>0&ba>>>0<s>>>0):0)Aa=X;else G=17;do if((G|0)==17){G=0;if(h?(ba+3|0)<1|((ba|0)>(s|0)|(($|0)>(r|0)|($+3|0)<1)):0){szc(Z|0,l|0,q|0)|0;Aa=X;break}va=Y(LI(aa,r,a)|0,x)|0;f[m>>2]=va;ua=LI(_,s,a)|0;f[o>>2]=ua;xa=Y(LI($,r,a)|0,x)|0;f[K>>2]=xa;ya=LI(ba,s,a)|0;f[w>>2]=ya;wa=Y(LI($+1|0,r,a)|0,x)|0;f[L>>2]=wa;da=LI(ba+1|0,s,a)|0;f[O>>2]=da;Ba=Y(LI($+2|0,r,a)|0,x)|0;f[M>>2]=Ba;Ca=LI(ba+2|0,s,a)|0;f[P>>2]=Ca;Da=Y(ua,z)|0;Ea=(ua|0)<0;Fa=ca+16|0;Ga=Y(ya,z)|0;Ha=(ya|0)<0;Ia=Fa+16|0;Ja=Y(da,z)|0;Ka=(da|0)<0;La=Ia+16|0;Ma=Y(Ca,z)|0;Na=(Ca|0)<0;Oa=La+4|0;Pa=La+8|0;Qa=La+12|0;La=Ia+4|0;Ra=Ia+8|0;Sa=Ia+12|0;Ia=Fa+4|0;Ta=Fa+8|0;Ua=Fa+12|0;Fa=ca+4|0;Va=ca+8|0;Wa=ca+12|0;Xa=Y(ua,z)|0;Ya=(ua|0)<0;ua=ca+16|0;Za=Y(ya,z)|0;_a=(ya|0)<0;ya=ca+32|0;$a=Y(da,z)|0;ab=(da|0)<0;da=ca+48|0;bb=Y(Ca,z)|0;cb=(Ca|0)<0;Ca=da+8|0;db=da+12|0;da=ya+8|0;eb=ya+12|0;ya=ua+8|0;fb=ua+12|0;ua=ca+8|0;gb=ca+12|0;hb=0;ib=X;jb=va;va=xa;xa=wa;wa=Ba;while(1){ta=+(j[l+(hb<<1)>>1]|0);Ba=(va|0)>-1;kb=(xa|0)>-1;lb=(wa|0)>-1;do if((jb|0)<=-1)if(Ba){mb=ib+(Da<<1)|0;if(!Ea){sa=ta+ +n[Fa>>2]*(+(j[mb+(va<<1)>>1]|0)-ta);if(kb)nb=sa+ +n[Va>>2]*(+(j[mb+(xa<<1)>>1]|0)-ta);else nb=sa;if(lb)ob=nb+ +n[Wa>>2]*(+(j[mb+(wa<<1)>>1]|0)-ta);else ob=nb}else ob=ta;mb=ib+(Ga<<1)|0;if(!Ha){sa=ob+ +n[Ia>>2]*(+(j[mb+(va<<1)>>1]|0)-ta);if(kb)pb=sa+ +n[Ta>>2]*(+(j[mb+(xa<<1)>>1]|0)-ta);else pb=sa;if(lb)qb=pb+ +n[Ua>>2]*(+(j[mb+(wa<<1)>>1]|0)-ta);else qb=pb}else qb=ob;mb=ib+(Ja<<1)|0;do if(Ka)rb=qb;else{sa=qb+ +n[La>>2]*(+(j[mb+(va<<1)>>1]|0)-ta);if(kb)sb=sa+ +n[Ra>>2]*(+(j[mb+(xa<<1)>>1]|0)-ta);else sb=sa;if(!lb){rb=sb;break}rb=sb+ +n[Sa>>2]*(+(j[mb+(wa<<1)>>1]|0)-ta)}while(0);mb=ib+(Ma<<1)|0;if(Na){tb=rb;break}sa=rb+ +n[Oa>>2]*(+(j[mb+(va<<1)>>1]|0)-ta);if(kb)ub=sa+ +n[Pa>>2]*(+(j[mb+(xa<<1)>>1]|0)-ta);else ub=sa;if(!lb){tb=ub;break}tb=ub+ +n[Qa>>2]*(+(j[mb+(wa<<1)>>1]|0)-ta);break}else{mb=ib+(Xa<<1)|0;if(!Ya){if(kb)vb=ta+ +n[ua>>2]*(+(j[mb+(xa<<1)>>1]|0)-ta);else vb=ta;if(lb)wb=vb+ +n[gb>>2]*(+(j[mb+(wa<<1)>>1]|0)-ta);else wb=vb}else wb=ta;mb=ib+(Za<<1)|0;if(!_a){if(kb)xb=wb+ +n[ya>>2]*(+(j[mb+(xa<<1)>>1]|0)-ta);else xb=wb;if(lb)yb=xb+ +n[fb>>2]*(+(j[mb+(wa<<1)>>1]|0)-ta);else yb=xb}else yb=wb;mb=ib+($a<<1)|0;do if(ab)zb=yb;else{if(kb)Ab=yb+ +n[da>>2]*(+(j[mb+(xa<<1)>>1]|0)-ta);else Ab=yb;if(!lb){zb=Ab;break}zb=Ab+ +n[eb>>2]*(+(j[mb+(wa<<1)>>1]|0)-ta)}while(0);mb=ib+(bb<<1)|0;if(cb){tb=zb;break}if(kb)Bb=zb+ +n[Ca>>2]*(+(j[mb+(xa<<1)>>1]|0)-ta);else Bb=zb;if(!lb){tb=Bb;break}tb=Bb+ +n[db>>2]*(+(j[mb+(wa<<1)>>1]|0)-ta);break}else{mb=0;sa=ta;Cb=ca;while(1){Db=f[o+(mb<<2)>>2]|0;Eb=ib+((Y(Db,z)|0)<<1)|0;if((Db|0)>=0){ra=sa+ +n[Cb>>2]*(+(j[Eb+(jb<<1)>>1]|0)-ta);if(Ba)Fb=ra+ +n[Cb+4>>2]*(+(j[Eb+(va<<1)>>1]|0)-ta);else Fb=ra;if(kb)Gb=Fb+ +n[Cb+8>>2]*(+(j[Eb+(xa<<1)>>1]|0)-ta);else Gb=Fb;if(lb)Hb=Gb+ +n[Cb+12>>2]*(+(j[Eb+(wa<<1)>>1]|0)-ta);else Hb=Gb}else Hb=sa;mb=mb+1|0;if((mb|0)==4){tb=Hb;break}else{sa=Hb;Cb=Cb+16|0}}}while(0);lb=Ghc(tb)|0;d[V+(hb<<1)>>1]=lb>>>0<65536?lb:(lb|0)>0?65535:0;lb=hb+1|0;if((lb|0)==(x|0))break;hb=lb;ib=ib+2|0;jb=f[m>>2]|0;va=f[K>>2]|0;xa=f[L>>2]|0;wa=f[M>>2]|0}Aa=X+(x<<1)+(N<<1)|0}while(0);za=Aa}W=W+1|0;if((W|0)==(D|0)){Ib=za;break}else{V=V+(x<<1)|0;X=za}}}else Ib=R;Q=Q+1|0;if((Q|0)==(E|0))break;else R=Ib}u=k;return}function v1(a,b,c,e,g,h,i){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;var k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0.0,fa=0.0,ga=0.0,ha=0.0,ia=0.0,ja=0.0,ka=0.0,la=0.0,ma=0.0,na=0.0,oa=0.0,pa=0.0,qa=0.0,ra=0.0,sa=0.0,ta=0.0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0.0,ob=0.0,pb=0.0,qb=0.0,rb=0.0,sb=0.0,tb=0.0,ub=0.0,vb=0.0,wb=0.0,xb=0.0,yb=0.0,zb=0.0,Ab=0.0,Bb=0.0,Cb=0,Db=0,Eb=0,Fb=0.0,Gb=0.0,Hb=0.0,Ib=0;k=u;u=u+1056|0;l=k+32|0;m=k+16|0;o=k;q=f[a+40>>2]|0;r=f[q+4>>2]|0;s=f[q>>2]|0;q=f[b+40>>2]|0;t=f[q+4>>2]|0;v=f[q>>2]|0;q=(f[a>>2]|0)>>>3;w=q&511;x=w+1|0;y=f[a+16>>2]|0;z=(f[a+48>>2]|0)>>>1;a=0;do{A=Fhc(+p[i+((a&3)<<3)>>3])|0;d[l+(a<<1)>>1]=(A+32768|0)>>>0<65536?A:(A|0)>0?32767:32768;a=a+1|0}while((a|0)!=(x|0));a=(h|0)!=5?h:4;i=r+-3|0;A=(i|0)>0?i:0;i=s+-3|0;B=(i|0)>0?i:0;if((f[b>>2]&16384|0)!=0?(f[c>>2]&16384|0)!=0:0){i=(f[e>>2]&16384|0)!=0;C=Y(i?v:1,t)|0;if(i){D=C;E=1}else{F=C;G=6}}else{F=t;G=6}if((G|0)==6)if((v|0)>0){D=F;E=v}else{u=k;return}v=b+16|0;F=b+44|0;b=c+16|0;t=c+44|0;c=e+16|0;C=e+44|0;e=(D|0)>0;i=x<<1;H=x*3|0;I=(Y(z,-3)|0)+1|0;J=(h|0)==5;h=(a|0)==0;K=m+4|0;L=m+8|0;M=m+12|0;N=(q|-512)^511;q=(w<<1)+2|0;w=o+4|0;O=o+8|0;P=o+12|0;Q=0;R=y;while(1){y=f[v>>2]|0;S=Y(f[f[F>>2]>>2]|0,Q)|0;T=(f[b>>2]|0)+(Y(f[f[t>>2]>>2]|0,Q)|0)|0;U=(f[c>>2]|0)+(Y(f[f[C>>2]>>2]|0,Q)|0)|0;if(e){V=y+S|0;W=0;X=R;while(1){Z=y+(S+(Y(q,W)|0))|0;_=W<<1;$=d[T+(_<<1)>>1]|0;aa=$+-1|0;ba=d[T+((_|1)<<1)>>1]|0;_=ba+-1|0;ca=g+(j[U+(W<<1)>>1]<<4<<2)|0;if(aa>>>0<A>>>0&_>>>0<B>>>0){da=X+((Y(_,z)|0)<<1)+((Y(aa,x)|0)<<1)|0;ea=+n[ca>>2];fa=+n[ca+4>>2];ga=+n[ca+8>>2];ha=+n[ca+12>>2];ia=+n[ca+16>>2];ja=+n[ca+20>>2];ka=+n[ca+24>>2];la=+n[ca+28>>2];ma=+n[ca+32>>2];na=+n[ca+36>>2];oa=+n[ca+40>>2];pa=+n[ca+44>>2];qa=+n[ca+48>>2];ra=+n[ca+52>>2];sa=+n[ca+56>>2];ta=+n[ca+60>>2];ua=0;va=da;while(1){da=va+(z<<1)|0;wa=da+(z<<1)|0;xa=wa+(z<<1)|0;ya=Ghc(+(d[va>>1]|0)*ea+ +(d[va+(x<<1)>>1]|0)*fa+ +(d[va+(i<<1)>>1]|0)*ga+ +(d[va+(H<<1)>>1]|0)*ha+(+(d[da>>1]|0)*ia+ +(d[da+(x<<1)>>1]|0)*ja+ +(d[da+(i<<1)>>1]|0)*ka+ +(d[da+(H<<1)>>1]|0)*la)+(+(d[wa>>1]|0)*ma+ +(d[wa+(x<<1)>>1]|0)*na+ +(d[wa+(i<<1)>>1]|0)*oa+ +(d[wa+(H<<1)>>1]|0)*pa)+(+(d[xa>>1]|0)*qa+ +(d[xa+(x<<1)>>1]|0)*ra+ +(d[xa+(i<<1)>>1]|0)*sa+ +(d[xa+(H<<1)>>1]|0)*ta))|0;d[V+(ua<<1)>>1]=(ya+32768|0)>>>0<65536?ya:(ya|0)>0?32767:32768;ua=ua+1|0;if((ua|0)==(x|0)){za=X;break}else va=xa+(I<<1)|0}}else{if(J?!($>>>0<r>>>0&ba>>>0<s>>>0):0)Aa=X;else G=17;do if((G|0)==17){G=0;if(h?(ba+3|0)<1|((ba|0)>(s|0)|(($|0)>(r|0)|($+3|0)<1)):0){szc(Z|0,l|0,q|0)|0;Aa=X;break}va=Y(LI(aa,r,a)|0,x)|0;f[m>>2]=va;ua=LI(_,s,a)|0;f[o>>2]=ua;xa=Y(LI($,r,a)|0,x)|0;f[K>>2]=xa;ya=LI(ba,s,a)|0;f[w>>2]=ya;wa=Y(LI($+1|0,r,a)|0,x)|0;f[L>>2]=wa;da=LI(ba+1|0,s,a)|0;f[O>>2]=da;Ba=Y(LI($+2|0,r,a)|0,x)|0;f[M>>2]=Ba;Ca=LI(ba+2|0,s,a)|0;f[P>>2]=Ca;Da=Y(ua,z)|0;Ea=(ua|0)<0;Fa=ca+16|0;Ga=Y(ya,z)|0;Ha=(ya|0)<0;Ia=Fa+16|0;Ja=Y(da,z)|0;Ka=(da|0)<0;La=Ia+16|0;Ma=Y(Ca,z)|0;Na=(Ca|0)<0;Oa=La+4|0;Pa=La+8|0;Qa=La+12|0;La=Ia+4|0;Ra=Ia+8|0;Sa=Ia+12|0;Ia=Fa+4|0;Ta=Fa+8|0;Ua=Fa+12|0;Fa=ca+4|0;Va=ca+8|0;Wa=ca+12|0;Xa=Y(ua,z)|0;Ya=(ua|0)<0;ua=ca+16|0;Za=Y(ya,z)|0;_a=(ya|0)<0;ya=ca+32|0;$a=Y(da,z)|0;ab=(da|0)<0;da=ca+48|0;bb=Y(Ca,z)|0;cb=(Ca|0)<0;Ca=da+8|0;db=da+12|0;da=ya+8|0;eb=ya+12|0;ya=ua+8|0;fb=ua+12|0;ua=ca+8|0;gb=ca+12|0;hb=0;ib=X;jb=va;va=xa;xa=wa;wa=Ba;while(1){ta=+(d[l+(hb<<1)>>1]|0);Ba=(va|0)>-1;kb=(xa|0)>-1;lb=(wa|0)>-1;do if((jb|0)<=-1)if(Ba){mb=ib+(Da<<1)|0;if(!Ea){sa=ta+ +n[Fa>>2]*(+(d[mb+(va<<1)>>1]|0)-ta);if(kb)nb=sa+ +n[Va>>2]*(+(d[mb+(xa<<1)>>1]|0)-ta);else nb=sa;if(lb)ob=nb+ +n[Wa>>2]*(+(d[mb+(wa<<1)>>1]|0)-ta);else ob=nb}else ob=ta;mb=ib+(Ga<<1)|0;if(!Ha){sa=ob+ +n[Ia>>2]*(+(d[mb+(va<<1)>>1]|0)-ta);if(kb)pb=sa+ +n[Ta>>2]*(+(d[mb+(xa<<1)>>1]|0)-ta);else pb=sa;if(lb)qb=pb+ +n[Ua>>2]*(+(d[mb+(wa<<1)>>1]|0)-ta);else qb=pb}else qb=ob;mb=ib+(Ja<<1)|0;do if(Ka)rb=qb;else{sa=qb+ +n[La>>2]*(+(d[mb+(va<<1)>>1]|0)-ta);if(kb)sb=sa+ +n[Ra>>2]*(+(d[mb+(xa<<1)>>1]|0)-ta);else sb=sa;if(!lb){rb=sb;break}rb=sb+ +n[Sa>>2]*(+(d[mb+(wa<<1)>>1]|0)-ta)}while(0);mb=ib+(Ma<<1)|0;if(Na){tb=rb;break}sa=rb+ +n[Oa>>2]*(+(d[mb+(va<<1)>>1]|0)-ta);if(kb)ub=sa+ +n[Pa>>2]*(+(d[mb+(xa<<1)>>1]|0)-ta);else ub=sa;if(!lb){tb=ub;break}tb=ub+ +n[Qa>>2]*(+(d[mb+(wa<<1)>>1]|0)-ta);break}else{mb=ib+(Xa<<1)|0;if(!Ya){if(kb)vb=ta+ +n[ua>>2]*(+(d[mb+(xa<<1)>>1]|0)-ta);else vb=ta;if(lb)wb=vb+ +n[gb>>2]*(+(d[mb+(wa<<1)>>1]|0)-ta);else wb=vb}else wb=ta;mb=ib+(Za<<1)|0;if(!_a){if(kb)xb=wb+ +n[ya>>2]*(+(d[mb+(xa<<1)>>1]|0)-ta);else xb=wb;if(lb)yb=xb+ +n[fb>>2]*(+(d[mb+(wa<<1)>>1]|0)-ta);else yb=xb}else yb=wb;mb=ib+($a<<1)|0;do if(ab)zb=yb;else{if(kb)Ab=yb+ +n[da>>2]*(+(d[mb+(xa<<1)>>1]|0)-ta);else Ab=yb;if(!lb){zb=Ab;break}zb=Ab+ +n[eb>>2]*(+(d[mb+(wa<<1)>>1]|0)-ta)}while(0);mb=ib+(bb<<1)|0;if(cb){tb=zb;break}if(kb)Bb=zb+ +n[Ca>>2]*(+(d[mb+(xa<<1)>>1]|0)-ta);else Bb=zb;if(!lb){tb=Bb;break}tb=Bb+ +n[db>>2]*(+(d[mb+(wa<<1)>>1]|0)-ta);break}else{mb=0;sa=ta;Cb=ca;while(1){Db=f[o+(mb<<2)>>2]|0;Eb=ib+((Y(Db,z)|0)<<1)|0;if((Db|0)>=0){ra=sa+ +n[Cb>>2]*(+(d[Eb+(jb<<1)>>1]|0)-ta);if(Ba)Fb=ra+ +n[Cb+4>>2]*(+(d[Eb+(va<<1)>>1]|0)-ta);else Fb=ra;if(kb)Gb=Fb+ +n[Cb+8>>2]*(+(d[Eb+(xa<<1)>>1]|0)-ta);else Gb=Fb;if(lb)Hb=Gb+ +n[Cb+12>>2]*(+(d[Eb+(wa<<1)>>1]|0)-ta);else Hb=Gb}else Hb=sa;mb=mb+1|0;if((mb|0)==4){tb=Hb;break}else{sa=Hb;Cb=Cb+16|0}}}while(0);lb=Ghc(tb)|0;d[V+(hb<<1)>>1]=(lb+32768|0)>>>0<65536?lb:(lb|0)>0?32767:32768;lb=hb+1|0;if((lb|0)==(x|0))break;hb=lb;ib=ib+2|0;jb=f[m>>2]|0;va=f[K>>2]|0;xa=f[L>>2]|0;wa=f[M>>2]|0}Aa=X+(x<<1)+(N<<1)|0}while(0);za=Aa}W=W+1|0;if((W|0)==(D|0)){Ib=za;break}else{V=V+(x<<1)|0;X=za}}}else Ib=R;Q=Q+1|0;if((Q|0)==(E|0))break;else R=Ib}u=k;return}function w1(a,b,c,e,g,h,i){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;var k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0.0,ob=0,pb=0,qb=0,rb=0.0,sb=0.0,tb=0.0,ub=0.0,vb=0.0,wb=0.0,xb=0.0,yb=0.0,zb=0.0,Ab=0.0,Bb=0.0,Cb=0.0,Db=0.0,Eb=0.0,Fb=0.0,Gb=0.0,Hb=0.0,Ib=0.0,Jb=0.0,Kb=0.0,Lb=0.0,Mb=0.0,Nb=0.0,Ob=0.0,Pb=0.0,Qb=0.0,Rb=0.0,Sb=0;k=u;u=u+2064|0;l=k+16|0;m=k;o=f[a+40>>2]|0;q=f[o+4>>2]|0;r=f[o>>2]|0;o=f[b+40>>2]|0;s=f[o+4>>2]|0;t=f[o>>2]|0;o=(f[a>>2]|0)>>>3;v=o&511;w=v+1|0;x=f[a+16>>2]|0;y=(f[a+48>>2]|0)>>>2;a=0;do{n[l+(a<<2)>>2]=+p[i+((a&3)<<3)>>3];a=a+1|0}while((a|0)!=(w|0));a=(h|0)!=5?h:4;i=q+-3|0;z=(i|0)>0?i:0;i=r+-3|0;A=(i|0)>0?i:0;if((f[b>>2]&16384|0)!=0?(f[c>>2]&16384|0)!=0:0){i=(f[e>>2]&16384|0)!=0;B=Y(i?t:1,s)|0;if(i){C=B;D=1}else{E=B;F=6}}else{E=s;F=6}if((F|0)==6)if((t|0)>0){C=E;D=t}else{u=k;return}t=b+16|0;E=b+44|0;b=c+16|0;s=c+44|0;c=e+16|0;B=e+44|0;e=(C|0)>0;i=w<<1;G=w*3|0;H=(Y(y,-3)|0)+1|0;I=(h|0)==5;h=(a|0)==0;J=m+4|0;K=m+8|0;L=m+12|0;M=(o|-512)^511;o=(v<<2)+4|0;v=0;N=x;while(1){x=f[t>>2]|0;O=Y(f[f[E>>2]>>2]|0,v)|0;P=(f[b>>2]|0)+(Y(f[f[s>>2]>>2]|0,v)|0)|0;Q=(f[c>>2]|0)+(Y(f[f[B>>2]>>2]|0,v)|0)|0;if(e){R=x+O|0;S=0;T=N;while(1){U=x+(O+(Y(o,S)|0))|0;V=S<<1;W=d[P+(V<<1)>>1]|0;X=W+-1|0;Z=d[P+((V|1)<<1)>>1]|0;V=Z+-1|0;_=g+(j[Q+(S<<1)>>1]<<4<<2)|0;if(X>>>0<z>>>0&V>>>0<A>>>0){$=_+4|0;aa=_+8|0;ba=_+12|0;ca=_+16|0;da=_+20|0;ea=_+24|0;fa=_+28|0;ga=_+32|0;ha=_+36|0;ia=_+40|0;ja=_+44|0;ka=_+48|0;la=_+52|0;ma=_+56|0;na=_+60|0;oa=0;pa=T+((Y(V,y)|0)<<2)+((Y(X,w)|0)<<2)|0;while(1){qa=pa+(y<<2)|0;ra=qa+(y<<2)|0;sa=ra+(y<<2)|0;n[R+(oa<<2)>>2]=+n[pa>>2]*+n[_>>2]+ +n[pa+(w<<2)>>2]*+n[$>>2]+ +n[pa+(i<<2)>>2]*+n[aa>>2]+ +n[pa+(G<<2)>>2]*+n[ba>>2]+(+n[qa>>2]*+n[ca>>2]+ +n[qa+(w<<2)>>2]*+n[da>>2]+ +n[qa+(i<<2)>>2]*+n[ea>>2]+ +n[qa+(G<<2)>>2]*+n[fa>>2])+(+n[ra>>2]*+n[ga>>2]+ +n[ra+(w<<2)>>2]*+n[ha>>2]+ +n[ra+(i<<2)>>2]*+n[ia>>2]+ +n[ra+(G<<2)>>2]*+n[ja>>2])+(+n[sa>>2]*+n[ka>>2]+ +n[sa+(w<<2)>>2]*+n[la>>2]+ +n[sa+(i<<2)>>2]*+n[ma>>2]+ +n[sa+(G<<2)>>2]*+n[na>>2]);oa=oa+1|0;if((oa|0)==(w|0)){ta=T;break}else pa=sa+(H<<2)|0}}else{if(I?!(W>>>0<q>>>0&Z>>>0<r>>>0):0)ua=T;else F=17;do if((F|0)==17){F=0;if(h?(Z+3|0)<1|((Z|0)>(r|0)|((W|0)>(q|0)|(W+3|0)<1)):0){szc(U|0,l|0,o|0)|0;ua=T;break}pa=Y(LI(X,q,a)|0,w)|0;f[m>>2]=pa;oa=LI(V,r,a)|0;na=Y(LI(W,q,a)|0,w)|0;f[J>>2]=na;ma=LI(Z,r,a)|0;la=Y(LI(W+1|0,q,a)|0,w)|0;f[K>>2]=la;ka=LI(Z+1|0,r,a)|0;ja=Y(LI(W+2|0,q,a)|0,w)|0;f[L>>2]=ja;ia=LI(Z+2|0,r,a)|0;ha=Y(oa,y)|0;ga=(oa|0)<0;fa=_+16|0;ea=Y(ma,y)|0;da=(ma|0)<0;ca=fa+16|0;ba=Y(ka,y)|0;aa=(ka|0)<0;$=ca+16|0;sa=Y(ia,y)|0;ra=(ia|0)<0;qa=$+4|0;va=$+8|0;wa=$+12|0;xa=ca+4|0;ya=ca+8|0;za=ca+12|0;Aa=fa+4|0;Ba=fa+8|0;Ca=fa+12|0;Da=_+4|0;Ea=_+8|0;Fa=_+12|0;Ga=Y(oa,y)|0;Ha=(oa|0)<0;Ia=_+16|0;Ja=Y(ma,y)|0;Ka=(ma|0)<0;La=Ia+16|0;Ma=Y(ka,y)|0;Na=(ka|0)<0;Oa=La+16|0;Pa=Y(ia,y)|0;Qa=(ia|0)<0;Ra=Oa+4|0;Sa=Oa+8|0;Ta=Oa+12|0;Oa=La+4|0;Ua=La+8|0;Va=La+12|0;La=Ia+4|0;Wa=Ia+8|0;Xa=Ia+12|0;Ia=_+4|0;Ya=_+8|0;Za=_+12|0;_a=Y(oa,y)|0;$a=(oa|0)<0;oa=_+16|0;ab=Y(ma,y)|0;bb=(ma|0)<0;ma=_+32|0;cb=Y(ka,y)|0;db=(ka|0)<0;ka=_+48|0;eb=Y(ia,y)|0;fb=(ia|0)<0;ia=ka+8|0;gb=ka+12|0;ka=ma+8|0;hb=ma+12|0;ma=oa+8|0;ib=oa+12|0;oa=_+8|0;jb=_+12|0;kb=0;lb=T;mb=pa;pa=na;na=la;la=ja;while(1){nb=+n[l+(kb<<2)>>2];ja=(pa|0)>-1;ob=(na|0)>-1;pb=(la|0)>-1;do if((mb|0)>-1){qb=lb+(ha<<2)|0;if(!ga){rb=nb+(+n[qb+(mb<<2)>>2]-nb)*+n[_>>2];if(ja)sb=rb+(+n[qb+(pa<<2)>>2]-nb)*+n[Da>>2];else sb=rb;if(ob)tb=sb+(+n[qb+(na<<2)>>2]-nb)*+n[Ea>>2];else tb=sb;if(pb)ub=tb+(+n[qb+(la<<2)>>2]-nb)*+n[Fa>>2];else ub=tb}else ub=nb;qb=lb+(ea<<2)|0;if(!da){rb=ub+(+n[qb+(mb<<2)>>2]-nb)*+n[fa>>2];if(ja)vb=rb+(+n[qb+(pa<<2)>>2]-nb)*+n[Aa>>2];else vb=rb;if(ob)wb=vb+(+n[qb+(na<<2)>>2]-nb)*+n[Ba>>2];else wb=vb;if(pb)xb=wb+(+n[qb+(la<<2)>>2]-nb)*+n[Ca>>2];else xb=wb}else xb=ub;qb=lb+(ba<<2)|0;if(!aa){rb=xb+(+n[qb+(mb<<2)>>2]-nb)*+n[ca>>2];if(ja)yb=rb+(+n[qb+(pa<<2)>>2]-nb)*+n[xa>>2];else yb=rb;if(ob)zb=yb+(+n[qb+(na<<2)>>2]-nb)*+n[ya>>2];else zb=yb;if(pb)Ab=zb+(+n[qb+(la<<2)>>2]-nb)*+n[za>>2];else Ab=zb}else Ab=xb;qb=lb+(sa<<2)|0;if(!ra){rb=Ab+(+n[qb+(mb<<2)>>2]-nb)*+n[$>>2];if(ja)Bb=rb+(+n[qb+(pa<<2)>>2]-nb)*+n[qa>>2];else Bb=rb;if(ob)Cb=Bb+(+n[qb+(na<<2)>>2]-nb)*+n[va>>2];else Cb=Bb;if(pb)Db=Cb+(+n[qb+(la<<2)>>2]-nb)*+n[wa>>2];else Db=Cb}else Db=Ab}else if(ja){qb=lb+(Ga<<2)|0;if(!Ha){rb=nb+(+n[qb+(pa<<2)>>2]-nb)*+n[Ia>>2];if(ob)Eb=rb+(+n[qb+(na<<2)>>2]-nb)*+n[Ya>>2];else Eb=rb;if(pb)Fb=Eb+(+n[qb+(la<<2)>>2]-nb)*+n[Za>>2];else Fb=Eb}else Fb=nb;qb=lb+(Ja<<2)|0;if(!Ka){rb=Fb+(+n[qb+(pa<<2)>>2]-nb)*+n[La>>2];if(ob)Gb=rb+(+n[qb+(na<<2)>>2]-nb)*+n[Wa>>2];else Gb=rb;if(pb)Hb=Gb+(+n[qb+(la<<2)>>2]-nb)*+n[Xa>>2];else Hb=Gb}else Hb=Fb;qb=lb+(Ma<<2)|0;do if(Na)Ib=Hb;else{rb=Hb+(+n[qb+(pa<<2)>>2]-nb)*+n[Oa>>2];if(ob)Jb=rb+(+n[qb+(na<<2)>>2]-nb)*+n[Ua>>2];else Jb=rb;if(!pb){Ib=Jb;break}Ib=Jb+(+n[qb+(la<<2)>>2]-nb)*+n[Va>>2]}while(0);qb=lb+(Pa<<2)|0;if(Qa){Db=Ib;break}rb=Ib+(+n[qb+(pa<<2)>>2]-nb)*+n[Ra>>2];if(ob)Kb=rb+(+n[qb+(na<<2)>>2]-nb)*+n[Sa>>2];else Kb=rb;if(!pb){Db=Kb;break}Db=Kb+(+n[qb+(la<<2)>>2]-nb)*+n[Ta>>2];break}else{qb=lb+(_a<<2)|0;if(!$a){if(ob)Lb=nb+(+n[qb+(na<<2)>>2]-nb)*+n[oa>>2];else Lb=nb;if(pb)Mb=Lb+(+n[qb+(la<<2)>>2]-nb)*+n[jb>>2];else Mb=Lb}else Mb=nb;qb=lb+(ab<<2)|0;if(!bb){if(ob)Nb=Mb+(+n[qb+(na<<2)>>2]-nb)*+n[ma>>2];else Nb=Mb;if(pb)Ob=Nb+(+n[qb+(la<<2)>>2]-nb)*+n[ib>>2];else Ob=Nb}else Ob=Mb;qb=lb+(cb<<2)|0;do if(db)Pb=Ob;else{if(ob)Qb=Ob+(+n[qb+(na<<2)>>2]-nb)*+n[ka>>2];else Qb=Ob;if(!pb){Pb=Qb;break}Pb=Qb+(+n[qb+(la<<2)>>2]-nb)*+n[hb>>2]}while(0);qb=lb+(eb<<2)|0;if(fb){Db=Pb;break}if(ob)Rb=Pb+(+n[qb+(na<<2)>>2]-nb)*+n[ia>>2];else Rb=Pb;if(!pb){Db=Rb;break}Db=Rb+(+n[qb+(la<<2)>>2]-nb)*+n[gb>>2];break}while(0);n[R+(kb<<2)>>2]=Db;pb=kb+1|0;if((pb|0)==(w|0))break;kb=pb;lb=lb+4|0;mb=f[m>>2]|0;pa=f[J>>2]|0;na=f[K>>2]|0;la=f[L>>2]|0}ua=T+(w<<2)+(M<<2)|0}while(0);ta=ua}S=S+1|0;if((S|0)==(C|0)){Sb=ta;break}else{R=R+(w<<2)|0;T=ta}}}else Sb=N;v=v+1|0;if((v|0)==(D|0))break;else N=Sb}u=k;return}function x1(a,b,c,e,g,h,i){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;var k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0.0,fa=0.0,ga=0.0,ha=0.0,ia=0.0,ja=0.0,ka=0.0,la=0.0,ma=0.0,na=0.0,oa=0.0,pa=0.0,qa=0.0,ra=0.0,sa=0.0,ta=0.0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0.0,ob=0.0,pb=0.0,qb=0.0,rb=0.0,sb=0.0,tb=0.0,ub=0.0,vb=0.0,wb=0.0,xb=0.0,yb=0.0,zb=0.0,Ab=0.0,Bb=0.0,Cb=0,Db=0,Eb=0,Fb=0.0,Gb=0.0,Hb=0.0,Ib=0;k=u;u=u+4128|0;l=k;m=k+4112|0;o=k+4096|0;q=f[a+40>>2]|0;r=f[q+4>>2]|0;s=f[q>>2]|0;q=f[b+40>>2]|0;t=f[q+4>>2]|0;v=f[q>>2]|0;q=(f[a>>2]|0)>>>3;w=q&511;x=w+1|0;y=f[a+16>>2]|0;z=(f[a+48>>2]|0)>>>3;a=0;do{p[l+(a<<3)>>3]=+p[i+((a&3)<<3)>>3];a=a+1|0}while((a|0)!=(x|0));a=(h|0)!=5?h:4;i=r+-3|0;A=(i|0)>0?i:0;i=s+-3|0;B=(i|0)>0?i:0;if((f[b>>2]&16384|0)!=0?(f[c>>2]&16384|0)!=0:0){i=(f[e>>2]&16384|0)!=0;C=Y(i?v:1,t)|0;if(i){D=C;E=1}else{F=C;G=6}}else{F=t;G=6}if((G|0)==6)if((v|0)>0){D=F;E=v}else{u=k;return}v=b+16|0;F=b+44|0;b=c+16|0;t=c+44|0;c=e+16|0;C=e+44|0;e=(D|0)>0;i=x<<1;H=x*3|0;I=(Y(z,-3)|0)+1|0;J=(h|0)==5;h=(a|0)==0;K=m+4|0;L=m+8|0;M=m+12|0;N=(q|-512)^511;q=(w<<3)+8|0;w=o+4|0;O=o+8|0;P=o+12|0;Q=0;R=y;while(1){y=f[v>>2]|0;S=Y(f[f[F>>2]>>2]|0,Q)|0;T=(f[b>>2]|0)+(Y(f[f[t>>2]>>2]|0,Q)|0)|0;U=(f[c>>2]|0)+(Y(f[f[C>>2]>>2]|0,Q)|0)|0;if(e){V=y+S|0;W=0;X=R;while(1){Z=y+(S+(Y(q,W)|0))|0;_=W<<1;$=d[T+(_<<1)>>1]|0;aa=$+-1|0;ba=d[T+((_|1)<<1)>>1]|0;_=ba+-1|0;ca=g+(j[U+(W<<1)>>1]<<4<<2)|0;if(aa>>>0<A>>>0&_>>>0<B>>>0){da=X+((Y(_,z)|0)<<3)+((Y(aa,x)|0)<<3)|0;ea=+n[ca>>2];fa=+n[ca+4>>2];ga=+n[ca+8>>2];ha=+n[ca+12>>2];ia=+n[ca+16>>2];ja=+n[ca+20>>2];ka=+n[ca+24>>2];la=+n[ca+28>>2];ma=+n[ca+32>>2];na=+n[ca+36>>2];oa=+n[ca+40>>2];pa=+n[ca+44>>2];qa=+n[ca+48>>2];ra=+n[ca+52>>2];sa=+n[ca+56>>2];ta=+n[ca+60>>2];ua=0;va=da;while(1){da=va+(z<<3)|0;wa=da+(z<<3)|0;xa=wa+(z<<3)|0;p[V+(ua<<3)>>3]=+p[va>>3]*ea+ +p[va+(x<<3)>>3]*fa+ +p[va+(i<<3)>>3]*ga+ +p[va+(H<<3)>>3]*ha+(+p[da>>3]*ia+ +p[da+(x<<3)>>3]*ja+ +p[da+(i<<3)>>3]*ka+ +p[da+(H<<3)>>3]*la)+(+p[wa>>3]*ma+ +p[wa+(x<<3)>>3]*na+ +p[wa+(i<<3)>>3]*oa+ +p[wa+(H<<3)>>3]*pa)+(+p[xa>>3]*qa+ +p[xa+(x<<3)>>3]*ra+ +p[xa+(i<<3)>>3]*sa+ +p[xa+(H<<3)>>3]*ta);ua=ua+1|0;if((ua|0)==(x|0)){ya=X;break}else va=xa+(I<<3)|0}}else{if(J?!($>>>0<r>>>0&ba>>>0<s>>>0):0)za=X;else G=17;do if((G|0)==17){G=0;if(h?(ba+3|0)<1|((ba|0)>(s|0)|(($|0)>(r|0)|($+3|0)<1)):0){szc(Z|0,l|0,q|0)|0;za=X;break}va=Y(LI(aa,r,a)|0,x)|0;f[m>>2]=va;ua=LI(_,s,a)|0;f[o>>2]=ua;xa=Y(LI($,r,a)|0,x)|0;f[K>>2]=xa;wa=LI(ba,s,a)|0;f[w>>2]=wa;da=Y(LI($+1|0,r,a)|0,x)|0;f[L>>2]=da;Aa=LI(ba+1|0,s,a)|0;f[O>>2]=Aa;Ba=Y(LI($+2|0,r,a)|0,x)|0;f[M>>2]=Ba;Ca=LI(ba+2|0,s,a)|0;f[P>>2]=Ca;Da=Y(ua,z)|0;Ea=(ua|0)<0;Fa=ca+16|0;Ga=Y(wa,z)|0;Ha=(wa|0)<0;Ia=Fa+16|0;Ja=Y(Aa,z)|0;Ka=(Aa|0)<0;La=Ia+16|0;Ma=Y(Ca,z)|0;Na=(Ca|0)<0;Oa=La+4|0;Pa=La+8|0;Qa=La+12|0;La=Ia+4|0;Ra=Ia+8|0;Sa=Ia+12|0;Ia=Fa+4|0;Ta=Fa+8|0;Ua=Fa+12|0;Fa=ca+4|0;Va=ca+8|0;Wa=ca+12|0;Xa=Y(ua,z)|0;Ya=(ua|0)<0;ua=ca+16|0;Za=Y(wa,z)|0;_a=(wa|0)<0;wa=ca+32|0;$a=Y(Aa,z)|0;ab=(Aa|0)<0;Aa=ca+48|0;bb=Y(Ca,z)|0;cb=(Ca|0)<0;Ca=Aa+8|0;db=Aa+12|0;Aa=wa+8|0;eb=wa+12|0;wa=ua+8|0;fb=ua+12|0;ua=ca+8|0;gb=ca+12|0;hb=0;ib=X;jb=va;va=xa;xa=da;da=Ba;while(1){ta=+p[l+(hb<<3)>>3];Ba=(va|0)>-1;kb=(xa|0)>-1;lb=(da|0)>-1;do if((jb|0)<=-1)if(Ba){mb=ib+(Da<<3)|0;if(!Ea){sa=ta+(+p[mb+(va<<3)>>3]-ta)*+n[Fa>>2];if(kb)nb=sa+(+p[mb+(xa<<3)>>3]-ta)*+n[Va>>2];else nb=sa;if(lb)ob=nb+(+p[mb+(da<<3)>>3]-ta)*+n[Wa>>2];else ob=nb}else ob=ta;mb=ib+(Ga<<3)|0;if(!Ha){sa=ob+(+p[mb+(va<<3)>>3]-ta)*+n[Ia>>2];if(kb)pb=sa+(+p[mb+(xa<<3)>>3]-ta)*+n[Ta>>2];else pb=sa;if(lb)qb=pb+(+p[mb+(da<<3)>>3]-ta)*+n[Ua>>2];else qb=pb}else qb=ob;mb=ib+(Ja<<3)|0;do if(Ka)rb=qb;else{sa=qb+(+p[mb+(va<<3)>>3]-ta)*+n[La>>2];if(kb)sb=sa+(+p[mb+(xa<<3)>>3]-ta)*+n[Ra>>2];else sb=sa;if(!lb){rb=sb;break}rb=sb+(+p[mb+(da<<3)>>3]-ta)*+n[Sa>>2]}while(0);mb=ib+(Ma<<3)|0;if(Na){tb=rb;break}sa=rb+(+p[mb+(va<<3)>>3]-ta)*+n[Oa>>2];if(kb)ub=sa+(+p[mb+(xa<<3)>>3]-ta)*+n[Pa>>2];else ub=sa;if(!lb){tb=ub;break}tb=ub+(+p[mb+(da<<3)>>3]-ta)*+n[Qa>>2];break}else{mb=ib+(Xa<<3)|0;if(!Ya){if(kb)vb=ta+(+p[mb+(xa<<3)>>3]-ta)*+n[ua>>2];else vb=ta;if(lb)wb=vb+(+p[mb+(da<<3)>>3]-ta)*+n[gb>>2];else wb=vb}else wb=ta;mb=ib+(Za<<3)|0;if(!_a){if(kb)xb=wb+(+p[mb+(xa<<3)>>3]-ta)*+n[wa>>2];else xb=wb;if(lb)yb=xb+(+p[mb+(da<<3)>>3]-ta)*+n[fb>>2];else yb=xb}else yb=wb;mb=ib+($a<<3)|0;do if(ab)zb=yb;else{if(kb)Ab=yb+(+p[mb+(xa<<3)>>3]-ta)*+n[Aa>>2];else Ab=yb;if(!lb){zb=Ab;break}zb=Ab+(+p[mb+(da<<3)>>3]-ta)*+n[eb>>2]}while(0);mb=ib+(bb<<3)|0;if(cb){tb=zb;break}if(kb)Bb=zb+(+p[mb+(xa<<3)>>3]-ta)*+n[Ca>>2];else Bb=zb;if(!lb){tb=Bb;break}tb=Bb+(+p[mb+(da<<3)>>3]-ta)*+n[db>>2];break}else{mb=0;sa=ta;Cb=ca;while(1){Db=f[o+(mb<<2)>>2]|0;Eb=ib+((Y(Db,z)|0)<<3)|0;if((Db|0)>=0){ra=sa+(+p[Eb+(jb<<3)>>3]-ta)*+n[Cb>>2];if(Ba)Fb=ra+(+p[Eb+(va<<3)>>3]-ta)*+n[Cb+4>>2];else Fb=ra;if(kb)Gb=Fb+(+p[Eb+(xa<<3)>>3]-ta)*+n[Cb+8>>2];else Gb=Fb;if(lb)Hb=Gb+(+p[Eb+(da<<3)>>3]-ta)*+n[Cb+12>>2];else Hb=Gb}else Hb=sa;mb=mb+1|0;if((mb|0)==4){tb=Hb;break}else{sa=Hb;Cb=Cb+16|0}}}while(0);p[V+(hb<<3)>>3]=tb;lb=hb+1|0;if((lb|0)==(x|0))break;hb=lb;ib=ib+8|0;jb=f[m>>2]|0;va=f[K>>2]|0;xa=f[L>>2]|0;da=f[M>>2]|0}za=X+(x<<3)+(N<<3)|0}while(0);ya=za}W=W+1|0;if((W|0)==(D|0)){Ib=ya;break}else{V=V+(x<<3)|0;X=ya}}}else Ib=R;Q=Q+1|0;if((Q|0)==(E|0))break;else R=Ib}u=k;return}function y1(a,c,e,g,i,k,l){a=a|0;c=c|0;e=e|0;g=g|0;i=i|0;k=k|0;l=l|0;var m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0;m=u;u=u+528|0;n=m+16|0;o=m;q=f[a+40>>2]|0;r=f[q+4>>2]|0;s=f[q>>2]|0;q=f[c+40>>2]|0;t=f[q+4>>2]|0;v=f[q>>2]|0;q=(f[a>>2]|0)>>>3;w=q&511;x=w+1|0;y=f[a+16>>2]|0;z=f[a+48>>2]|0;a=0;do{A=Fhc(+p[l+((a&3)<<3)>>3])|0;b[n+a>>0]=A>>>0<256?A:(A|0)>0?255:0;a=a+1|0}while((a|0)!=(x|0));a=r+-1|0;l=(a|0)>0?a:0;A=s+-1|0;B=(A|0)>0?A:0;if((Y(s,r)|0)<=0){C=cuc(32)|0;f[o>>2]=C;f[o+8>>2]=-2147483616;f[o+4>>2]=16;D=C;E=239039;F=D+16|0;do{b[D>>0]=b[E>>0]|0;D=D+1|0;E=E+1|0}while((D|0)<(F|0));b[C+16>>0]=0;WD(-215,o,239056,238594,666)}if((v|0)<=0){u=m;return}o=c+16|0;C=c+44|0;c=e+16|0;E=e+44|0;e=g+16|0;D=g+44|0;g=(t|0)<0;F=(k|0)==5;G=F&(x|0)!=3;H=(w|0)==0;w=(k|0)==0;I=(k|0)==1;J=q&65535;q=z+1|0;K=z+2|0;L=z+3|0;M=z+4|0;N=z+5|0;O=z+6|0;P=z+7|0;Q=0;do{R=(f[c>>2]|0)+(Y(f[f[E>>2]>>2]|0,Q)|0)|0;S=(f[e>>2]|0)+(Y(f[f[D>>2]>>2]|0,Q)|0)|0;if(!g){T=(f[o>>2]|0)+(Y(f[f[C>>2]>>2]|0,Q)|0)|0;U=0;V=0;W=0;while(1){do if((W|0)<(t|0)){X=W<<1;if((d[R+(X<<1)>>1]|0)>>>0>=l>>>0)if(V){Z=18;break}else{_=T;$=W;aa=U;ba=0;break}else{ca=(d[R+((X|1)<<1)>>1]|0)>>>0<B>>>0;Z=16;break}}else{ca=V^1;Z=16}while(0);do if((Z|0)==16){Z=0;if(V^ca)if(ca){if(G){_=T+(Y(W-U|0,x)|0)|0;$=W;aa=W;ba=1;break}X=(W|0)>(U|0);if(H){if(!X){_=T;$=U;aa=W;ba=1;break}da=W-U|0;ea=U;fa=T;while(1){ga=ea<<1;ha=d[R+(ga<<1)>>1]|0;ia=ha<<16>>16;ja=d[R+((ga|1)<<1)>>1]|0;ga=ja<<16>>16;do if(w)if(ja<<16>>16<-1|ha<<16>>16>-2&(ia|0)<(r|0)&(ga|0)<(s|0)^1){ka=b[n>>0]|0;break}else{la=i+(j[S+(ea<<1)>>1]<<2<<1)|0;Z=49;break}else{ma=i+(j[S+(ea<<1)>>1]<<2<<1)|0;if(I){na=ha<<16>>16>-1?((ia|0)<(r|0)?ia:a):0;oa=ia+1|0;pa=ha<<16>>16>-2?((oa|0)<(r|0)?oa:a):0;oa=ga+1|0;qa=Y(ja<<16>>16>-1?((ga|0)<(s|0)?ga:A):0,z)|0;ra=Y(ja<<16>>16>-2?((oa|0)<(s|0)?oa:A):0,z)|0;sa=y+(ra+pa)|0;ta=y+(ra+na)|0;ua=y+(qa+pa)|0;va=y+(qa+na)|0;wa=ma;Z=50}else{la=ma;Z=49}}while(0);if((Z|0)==49){Z=0;ja=LI(ia,r,k)|0;ha=LI(ia+1|0,r,k)|0;ma=LI(ga,s,k)|0;na=LI(ga+1|0,s,k)|0;qa=Y(ma,z)|0;pa=Y(na,z)|0;sa=(na|ha|0)>-1?y+(pa+ha)|0:n;ta=(na|ja|0)>-1?y+(pa+ja)|0:n;ua=(ma|ha|0)>-1?y+(qa+ha)|0:n;va=(ma|ja|0)>-1?y+(qa+ja)|0:n;wa=la;Z=50}if((Z|0)==50){Z=0;ja=Y(d[wa>>1]|0,h[va>>0]|0)|0;qa=Y(d[wa+2>>1]|0,h[ua>>0]|0)|0;ma=Y(d[wa+4>>1]|0,h[ta>>0]|0)|0;ha=ja+16384+qa+ma+(Y(d[wa+6>>1]|0,h[sa>>0]|0)|0)>>15;ka=(ha>>>0<256?ha:(ha|0)>0?255:0)&255}b[fa>>0]=ka;ea=ea+1|0;if((ea|0)==(W|0))break;else fa=fa+1|0}_=T+da|0;$=W;aa=W;ba=1;break}if(X){fa=Y(x,W+-1-U|0)|0;ea=U;ha=T;while(1){ma=ea<<1;qa=d[R+(ma<<1)>>1]|0;ja=qa<<16>>16;pa=d[R+((ma|1)<<1)>>1]|0;ma=pa<<16>>16;do if(w)if(pa<<16>>16<-1|qa<<16>>16>-2&(ja|0)<(r|0)&(ma|0)<(s|0)^1){na=0;do{b[ha+na>>0]=b[n+na>>0]|0;na=na+1|0}while((na|0)!=(x|0))}else{xa=i+(j[S+(ea<<1)>>1]<<2<<1)|0;Z=58;break}else{na=i+(j[S+(ea<<1)>>1]<<2<<1)|0;if(I){ra=ja+1|0;oa=ma+1|0;ya=y+(Y(pa<<16>>16>-1?((ma|0)<(s|0)?ma:A):0,z)|0)|0;za=Y(qa<<16>>16>-1?((ja|0)<(r|0)?ja:a):0,x)|0;Aa=Y(qa<<16>>16>-2?((ra|0)<(r|0)?ra:a):0,x)|0;ra=y+(Y(pa<<16>>16>-2?((oa|0)<(s|0)?oa:A):0,z)|0)|0;Ba=ra+Aa|0;Ca=ra+za|0;Da=ya+Aa|0;Ea=ya+za|0;Fa=na;Z=61}else{xa=na;Z=58}}while(0);do if((Z|0)==58){Z=0;if(F?!(ja>>>0<a>>>0&ma>>>0<A>>>0):0)break;pa=LI(ja,r,k)|0;qa=LI(ja+1|0,r,k)|0;ga=LI(ma,s,k)|0;ia=LI(ma+1|0,s,k)|0;na=y+(Y(ga,z)|0)|0;za=Y(pa,x)|0;ya=Y(qa,x)|0;Aa=y+(Y(ia,z)|0)|0;Ba=(ia|qa|0)>-1?Aa+ya|0:n;Ca=(ia|pa|0)>-1?Aa+za|0:n;Da=(ga|qa|0)>-1?na+ya|0:n;Ea=(ga|pa|0)>-1?na+za|0:n;Fa=xa;Z=61}while(0);if((Z|0)==61){Z=0;ma=Fa+2|0;ja=Fa+4|0;za=Fa+6|0;na=0;do{pa=Y(d[Fa>>1]|0,h[Ea+na>>0]|0)|0;ga=Y(d[ma>>1]|0,h[Da+na>>0]|0)|0;ya=Y(d[ja>>1]|0,h[Ca+na>>0]|0)|0;qa=pa+16384+ga+ya+(Y(d[za>>1]|0,h[Ba+na>>0]|0)|0)>>15;b[ha+na>>0]=qa>>>0<256?qa:(qa|0)>0?255:0;na=na+1|0}while((na|0)!=(x|0))}ea=ea+1|0;if((ea|0)==(W|0))break;else ha=ha+x|0}_=T+x+fa|0;$=W;aa=W;ba=1}else{_=T;$=U;aa=W;ba=1}}else Z=18;else{_=T;$=W;aa=U;ba=V}}while(0);a:do if((Z|0)==18){Z=0;switch(J&511){case 0:{if((W|0)<=(U|0)){_=T;$=U;aa=W;ba=0;break a}ha=W-U|0;ea=T;X=U;while(1){da=X<<1;na=i+(j[S+(X<<1)>>1]<<2<<1)|0;za=y+(Y(d[R+((da|1)<<1)>>1]|0,z)|0)+(d[R+(da<<1)>>1]|0)|0;da=Y(d[na>>1]|0,h[za>>0]|0)|0;ja=Y(d[na+2>>1]|0,h[za+1>>0]|0)|0;ma=Y(d[na+4>>1]|0,h[za+z>>0]|0)|0;qa=da+16384+ja+ma+(Y(d[na+6>>1]|0,h[za+q>>0]|0)|0)>>15;b[ea>>0]=qa>>>0<256?qa:(qa|0)>0?255:0;X=X+1|0;if((X|0)==(W|0))break;else ea=ea+1|0}_=T+ha|0;$=W;aa=W;ba=0;break a;break}case 1:{if((W|0)<=(U|0)){_=T;$=U;aa=W;ba=0;break a}ea=W-U<<1;X=T;fa=U;while(1){qa=fa<<1;za=i+(j[S+(fa<<1)>>1]<<2<<1)|0;na=y+(Y(d[R+((qa|1)<<1)>>1]|0,z)|0)+(d[R+(qa<<1)>>1]<<1)|0;qa=d[za>>1]|0;ma=Y(qa,h[na>>0]|0)|0;ja=d[za+2>>1]|0;da=Y(ja,h[na+2>>0]|0)|0;ya=d[za+4>>1]|0;ga=Y(ya,h[na+z>>0]|0)|0;pa=d[za+6>>1]|0;za=Y(pa,h[na+K>>0]|0)|0;Aa=Y(h[na+1>>0]|0,qa)|0;qa=Y(h[na+3>>0]|0,ja)|0;ja=Y(h[na+q>>0]|0,ya)|0;ya=Y(h[na+L>>0]|0,pa)|0;pa=ma+16384+da+ga+za>>15;b[X>>0]=pa>>>0<256?pa:(pa|0)>0?255:0;pa=Aa+16384+qa+ja+ya>>15;b[X+1>>0]=pa>>>0<256?pa:(pa|0)>0?255:0;fa=fa+1|0;if((fa|0)==(W|0))break;else X=X+2|0}_=T+ea|0;$=W;aa=W;ba=0;break a;break}case 2:{if((W|0)<=(U|0)){_=T;$=U;aa=W;ba=0;break a}X=(W-U|0)*3|0;fa=T;ha=U;while(1){pa=ha<<1;ya=i+(j[S+(ha<<1)>>1]<<2<<1)|0;ja=y+(Y(d[R+((pa|1)<<1)>>1]|0,z)|0)+((d[R+(pa<<1)>>1]|0)*3|0)|0;pa=d[ya>>1]|0;qa=Y(pa,h[ja>>0]|0)|0;Aa=d[ya+2>>1]|0;za=Y(Aa,h[ja+3>>0]|0)|0;ga=d[ya+4>>1]|0;da=Y(ga,h[ja+z>>0]|0)|0;ma=d[ya+6>>1]|0;ya=Y(ma,h[ja+L>>0]|0)|0;na=Y(h[ja+1>>0]|0,pa)|0;ia=Y(h[ja+4>>0]|0,Aa)|0;ra=Y(h[ja+q>>0]|0,ga)|0;oa=Y(h[ja+M>>0]|0,ma)|0;Ga=Y(h[ja+2>>0]|0,pa)|0;pa=Y(h[ja+5>>0]|0,Aa)|0;Aa=Y(h[ja+K>>0]|0,ga)|0;ga=Y(h[ja+N>>0]|0,ma)|0;ma=qa+16384+za+da+ya>>15;b[fa>>0]=ma>>>0<256?ma:(ma|0)>0?255:0;ma=na+16384+ia+ra+oa>>15;b[fa+1>>0]=ma>>>0<256?ma:(ma|0)>0?255:0;ma=Ga+16384+pa+Aa+ga>>15;b[fa+2>>0]=ma>>>0<256?ma:(ma|0)>0?255:0;ha=ha+1|0;if((ha|0)==(W|0))break;else fa=fa+3|0}_=T+X|0;$=W;aa=W;ba=0;break a;break}case 3:{if((W|0)<=(U|0)){_=T;$=U;aa=W;ba=0;break a}fa=W-U<<2;ha=U;ea=T;while(1){ma=ha<<1;ga=i+(j[S+(ha<<1)>>1]<<2<<1)|0;Aa=y+(Y(d[R+((ma|1)<<1)>>1]|0,z)|0)+(d[R+(ma<<1)>>1]<<2)|0;ma=d[ga>>1]|0;pa=Y(ma,h[Aa>>0]|0)|0;Ga=ga+2|0;oa=d[Ga>>1]|0;ra=Y(oa,h[Aa+4>>0]|0)|0;ia=ga+4|0;na=d[ia>>1]|0;ya=Y(na,h[Aa+z>>0]|0)|0;da=ga+6|0;za=d[da>>1]|0;qa=Y(za,h[Aa+M>>0]|0)|0;ja=Y(h[Aa+1>>0]|0,ma)|0;ma=Y(h[Aa+5>>0]|0,oa)|0;oa=Y(h[Aa+q>>0]|0,na)|0;na=Y(h[Aa+N>>0]|0,za)|0;za=pa+16384+ra+ya+qa>>15;b[ea>>0]=za>>>0<256?za:(za|0)>0?255:0;za=ja+16384+ma+oa+na>>15;b[ea+1>>0]=za>>>0<256?za:(za|0)>0?255:0;za=d[ga>>1]|0;ga=Y(za,h[Aa+2>>0]|0)|0;na=d[Ga>>1]|0;Ga=Y(na,h[Aa+6>>0]|0)|0;oa=d[ia>>1]|0;ia=Y(oa,h[Aa+K>>0]|0)|0;ma=d[da>>1]|0;da=Y(ma,h[Aa+O>>0]|0)|0;ja=Y(h[Aa+3>>0]|0,za)|0;za=Y(h[Aa+7>>0]|0,na)|0;na=Y(h[Aa+L>>0]|0,oa)|0;oa=Y(h[Aa+P>>0]|0,ma)|0;ma=ga+16384+Ga+ia+da>>15;b[ea+2>>0]=ma>>>0<256?ma:(ma|0)>0?255:0;ma=ja+16384+za+na+oa>>15;b[ea+3>>0]=ma>>>0<256?ma:(ma|0)>0?255:0;ha=ha+1|0;if((ha|0)==(W|0))break;else ea=ea+4|0}_=T+fa|0;$=W;aa=W;ba=0;break a;break}default:{if((W|0)<=(U|0)){_=T;$=U;aa=W;ba=0;break a}ea=Y(x,W+-1-U|0)|0;ha=U;X=T;while(1){ma=ha<<1;oa=i+(j[S+(ha<<1)>>1]<<2<<1)|0;na=y+(Y(d[R+((ma|1)<<1)>>1]|0,z)|0)+(Y(d[R+(ma<<1)>>1]|0,x)|0)|0;ma=oa+2|0;za=oa+4|0;ja=oa+6|0;da=0;do{ia=Y(d[oa>>1]|0,h[na+da>>0]|0)|0;Ga=Y(d[ma>>1]|0,h[na+(da+x)>>0]|0)|0;ga=da+z|0;Aa=Y(d[za>>1]|0,h[na+ga>>0]|0)|0;qa=ia+16384+Ga+Aa+(Y(d[ja>>1]|0,h[na+(ga+x)>>0]|0)|0)>>15;b[X+da>>0]=qa>>>0<256?qa:(qa|0)>0?255:0;da=da+1|0}while((da|0)!=(x|0));ha=ha+1|0;if((ha|0)==(W|0))break;else X=X+x|0}_=T+x+ea|0;$=W;aa=W;ba=0;break a}}}while(0);if(($|0)<(t|0)){T=_;U=aa;V=ba;W=$+1|0}else break}}Q=Q+1|0}while((Q|0)!=(v|0));u=m;return}function z1(a,c,e,g,h,i,k){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;k=k|0;var l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0.0,Ma=0.0,Na=0.0,Oa=0.0,Pa=0.0,Qa=0.0;l=u;u=u+1040|0;m=l+16|0;o=l;q=f[a+40>>2]|0;r=f[q+4>>2]|0;s=f[q>>2]|0;q=f[c+40>>2]|0;t=f[q+4>>2]|0;v=f[q>>2]|0;q=(f[a>>2]|0)>>>3;w=q&511;x=w+1|0;y=f[a+16>>2]|0;z=f[a+48>>2]|0;a=0;do{A=Fhc(+p[k+((a&3)<<3)>>3])|0;d[m+(a<<1)>>1]=A>>>0<65536?A:(A|0)>0?65535:0;a=a+1|0}while((a|0)!=(x|0));a=z>>>1;z=r+-1|0;k=(z|0)>0?z:0;A=s+-1|0;B=(A|0)>0?A:0;if((Y(s,r)|0)<=0){C=cuc(32)|0;f[o>>2]=C;f[o+8>>2]=-2147483616;f[o+4>>2]=16;D=C;E=239039;F=D+16|0;do{b[D>>0]=b[E>>0]|0;D=D+1|0;E=E+1|0}while((D|0)<(F|0));b[C+16>>0]=0;WD(-215,o,239056,238594,666)}if((v|0)<=0){u=l;return}o=c+16|0;C=c+44|0;c=e+16|0;E=e+44|0;e=g+16|0;D=g+44|0;g=(t|0)<0;F=(i|0)==5;G=F&(x|0)!=3;H=(w|0)==0;I=(i|0)==0;J=(i|0)==1;K=q&65535;q=a+1|0;L=a+2|0;M=a+3|0;N=a+4|0;O=a+5|0;P=a+6|0;Q=a+7|0;R=(w<<1)+2|0;w=0;do{S=(f[c>>2]|0)+(Y(f[f[E>>2]>>2]|0,w)|0)|0;T=(f[e>>2]|0)+(Y(f[f[D>>2]>>2]|0,w)|0)|0;if(!g){U=(f[o>>2]|0)+(Y(f[f[C>>2]>>2]|0,w)|0)|0;V=0;W=0;X=0;while(1){do if((X|0)<(t|0)){Z=X<<1;if((d[S+(Z<<1)>>1]|0)>>>0>=k>>>0)if(W){_=18;break}else{$=U;aa=X;ba=V;ca=0;break}else{da=(d[S+((Z|1)<<1)>>1]|0)>>>0<B>>>0;_=16;break}}else{da=W^1;_=16}while(0);do if((_|0)==16){_=0;if(W^da)if(da){if(G){$=U+((Y(X-V|0,x)|0)<<1)|0;aa=X;ba=X;ca=1;break}Z=(X|0)>(V|0);if(H){if(!Z){$=U;aa=V;ba=X;ca=1;break}ea=X-V|0;fa=V;ga=U;while(1){ha=fa<<1;ia=d[S+(ha<<1)>>1]|0;ja=ia<<16>>16;ka=d[S+((ha|1)<<1)>>1]|0;ha=ka<<16>>16;do if(I)if(ka<<16>>16<-1|ia<<16>>16>-2&(ja|0)<(r|0)&(ha|0)<(s|0)^1){la=d[m>>1]|0;break}else{ma=h+(j[T+(fa<<1)>>1]<<2<<2)|0;_=49;break}else{na=h+(j[T+(fa<<1)>>1]<<2<<2)|0;if(J){oa=ia<<16>>16>-1?((ja|0)<(r|0)?ja:z):0;pa=ja+1|0;qa=ia<<16>>16>-2?((pa|0)<(r|0)?pa:z):0;pa=ha+1|0;ra=Y(ka<<16>>16>-1?((ha|0)<(s|0)?ha:A):0,a)|0;sa=Y(ka<<16>>16>-2?((pa|0)<(s|0)?pa:A):0,a)|0;ta=y+(sa+qa<<1)|0;ua=d[y+(sa+oa<<1)>>1]|0;va=d[y+(ra+qa<<1)>>1]|0;wa=d[y+(ra+oa<<1)>>1]|0;xa=na;_=57}else{ma=na;_=49}}while(0);do if((_|0)==49){_=0;ka=LI(ja,r,i)|0;ia=LI(ja+1|0,r,i)|0;na=LI(ha,s,i)|0;oa=LI(ha+1|0,s,i)|0;if((na|ka|0)>-1)ya=y+((Y(na,a)|0)+ka<<1)|0;else ya=m;ra=d[ya>>1]|0;if((na|ia|0)>-1)za=y+((Y(na,a)|0)+ia<<1)|0;else za=m;na=d[za>>1]|0;if((oa|ka|0)>-1)Aa=y+((Y(oa,a)|0)+ka<<1)|0;else Aa=m;ka=d[Aa>>1]|0;if((oa|ia|0)<=-1){ta=m;ua=ka;va=na;wa=ra;xa=ma;_=57;break}ta=y+((Y(oa,a)|0)+ia<<1)|0;ua=ka;va=na;wa=ra;xa=ma;_=57}while(0);if((_|0)==57){_=0;ha=Ghc(+(wa&65535)*+n[xa>>2]+ +(va&65535)*+n[xa+4>>2]+ +(ua&65535)*+n[xa+8>>2]+ +(j[ta>>1]|0)*+n[xa+12>>2])|0;la=(ha>>>0<65536?ha:(ha|0)>0?65535:0)&65535}d[ga>>1]=la;fa=fa+1|0;if((fa|0)==(X|0))break;else ga=ga+2|0}$=U+(ea<<1)|0;aa=X;ba=X;ca=1;break}if(Z){ga=U+(x<<1)+(Y(R,X+-1-V|0)|0)|0;fa=V;ha=U;while(1){ja=fa<<1;ra=d[S+(ja<<1)>>1]|0;na=ra<<16>>16;ka=d[S+((ja|1)<<1)>>1]|0;ja=ka<<16>>16;do if(I)if(ka<<16>>16<-1|ra<<16>>16>-2&(na|0)<(r|0)&(ja|0)<(s|0)^1){ia=0;do{d[ha+(ia<<1)>>1]=d[m+(ia<<1)>>1]|0;ia=ia+1|0}while((ia|0)!=(x|0))}else{Ba=h+(j[T+(fa<<1)>>1]<<2<<2)|0;_=65;break}else{ia=h+(j[T+(fa<<1)>>1]<<2<<2)|0;if(J){oa=na+1|0;qa=ja+1|0;sa=y+((Y(ka<<16>>16>-1?((ja|0)<(s|0)?ja:A):0,a)|0)<<1)|0;pa=Y(ra<<16>>16>-1?((na|0)<(r|0)?na:z):0,x)|0;Ca=Y(ra<<16>>16>-2?((oa|0)<(r|0)?oa:z):0,x)|0;oa=y+((Y(ka<<16>>16>-2?((qa|0)<(s|0)?qa:A):0,a)|0)<<1)|0;Da=oa+(Ca<<1)|0;Ea=oa+(pa<<1)|0;Fa=sa+(Ca<<1)|0;Ga=sa+(pa<<1)|0;Ha=ia;_=75}else{Ba=ia;_=65}}while(0);do if((_|0)==65){_=0;if(F?!(na>>>0<z>>>0&ja>>>0<A>>>0):0)break;ka=LI(na,r,i)|0;ra=LI(na+1|0,r,i)|0;ia=LI(ja,s,i)|0;pa=LI(ja+1|0,s,i)|0;if((ia|ka|0)>-1)Ia=y+((Y(ia,a)|0)<<1)+((Y(ka,x)|0)<<1)|0;else Ia=m;if((ia|ra|0)>-1)Ja=y+((Y(ia,a)|0)<<1)+((Y(ra,x)|0)<<1)|0;else Ja=m;if((pa|ka|0)>-1)Ka=y+((Y(pa,a)|0)<<1)+((Y(ka,x)|0)<<1)|0;else Ka=m;if((pa|ra|0)<=-1){Da=m;Ea=Ka;Fa=Ja;Ga=Ia;Ha=Ba;_=75;break}Da=y+((Y(pa,a)|0)<<1)+((Y(ra,x)|0)<<1)|0;Ea=Ka;Fa=Ja;Ga=Ia;Ha=Ba;_=75}while(0);if((_|0)==75){_=0;La=+n[Ha>>2];Ma=+n[Ha+4>>2];Na=+n[Ha+8>>2];Oa=+n[Ha+12>>2];ja=0;do{na=Ghc(+(j[Ga+(ja<<1)>>1]|0)*La+ +(j[Fa+(ja<<1)>>1]|0)*Ma+ +(j[Ea+(ja<<1)>>1]|0)*Na+ +(j[Da+(ja<<1)>>1]|0)*Oa)|0;d[ha+(ja<<1)>>1]=na>>>0<65536?na:(na|0)>0?65535:0;ja=ja+1|0}while((ja|0)!=(x|0))}fa=fa+1|0;if((fa|0)==(X|0))break;else ha=ha+(x<<1)|0}$=ga;aa=X;ba=X;ca=1}else{$=U;aa=V;ba=X;ca=1}}else _=18;else{$=U;aa=X;ba=V;ca=W}}while(0);a:do if((_|0)==18){_=0;switch(K&511){case 0:{if((X|0)<=(V|0)){$=U;aa=V;ba=X;ca=0;break a}ha=X-V|0;fa=U;Z=V;while(1){ea=Z<<1;ja=h+(j[T+(Z<<1)>>1]<<2<<2)|0;na=y+((Y(d[S+((ea|1)<<1)>>1]|0,a)|0)<<1)+(d[S+(ea<<1)>>1]<<1)|0;ea=Ghc(+(j[na>>1]|0)*+n[ja>>2]+ +(j[na+2>>1]|0)*+n[ja+4>>2]+ +(j[na+(a<<1)>>1]|0)*+n[ja+8>>2]+ +(j[na+(q<<1)>>1]|0)*+n[ja+12>>2])|0;d[fa>>1]=ea>>>0<65536?ea:(ea|0)>0?65535:0;Z=Z+1|0;if((Z|0)==(X|0))break;else fa=fa+2|0}$=U+(ha<<1)|0;aa=X;ba=X;ca=0;break a;break}case 1:{if((X|0)<=(V|0)){$=U;aa=V;ba=X;ca=0;break a}fa=X-V<<1;Z=U;ga=V;while(1){ea=ga<<1;ja=h+(j[T+(ga<<1)>>1]<<2<<2)|0;na=y+((Y(d[S+((ea|1)<<1)>>1]|0,a)|0)<<1)+(d[S+(ea<<1)>>1]<<1<<1)|0;Oa=+n[ja>>2];Na=+n[ja+4>>2];Ma=+n[ja+8>>2];La=+n[ja+12>>2];Pa=Oa*+(j[na+2>>1]|0)+Na*+(j[na+6>>1]|0)+Ma*+(j[na+(q<<1)>>1]|0)+La*+(j[na+(M<<1)>>1]|0);ja=Ghc(+(j[na>>1]|0)*Oa+ +(j[na+4>>1]|0)*Na+ +(j[na+(a<<1)>>1]|0)*Ma+ +(j[na+(L<<1)>>1]|0)*La)|0;d[Z>>1]=ja>>>0<65536?ja:(ja|0)>0?65535:0;ja=Ghc(Pa)|0;d[Z+2>>1]=ja>>>0<65536?ja:(ja|0)>0?65535:0;ga=ga+1|0;if((ga|0)==(X|0))break;else Z=Z+4|0}$=U+(fa<<1)|0;aa=X;ba=X;ca=0;break a;break}case 2:{if((X|0)<=(V|0)){$=U;aa=V;ba=X;ca=0;break a}Z=(X-V|0)*3|0;ga=U;ha=V;while(1){ja=ha<<1;na=h+(j[T+(ha<<1)>>1]<<2<<2)|0;ea=y+((Y(d[S+((ja|1)<<1)>>1]|0,a)|0)<<1)+((d[S+(ja<<1)>>1]|0)*3<<1)|0;Pa=+n[na>>2];La=+n[na+4>>2];Ma=+n[na+8>>2];Na=+n[na+12>>2];Oa=Pa*+(j[ea+2>>1]|0)+La*+(j[ea+8>>1]|0)+Ma*+(j[ea+(q<<1)>>1]|0)+Na*+(j[ea+(N<<1)>>1]|0);Qa=Pa*+(j[ea+4>>1]|0)+La*+(j[ea+10>>1]|0)+Ma*+(j[ea+(L<<1)>>1]|0)+Na*+(j[ea+(O<<1)>>1]|0);na=Ghc(+(j[ea>>1]|0)*Pa+ +(j[ea+6>>1]|0)*La+ +(j[ea+(a<<1)>>1]|0)*Ma+ +(j[ea+(M<<1)>>1]|0)*Na)|0;d[ga>>1]=na>>>0<65536?na:(na|0)>0?65535:0;na=Ghc(Oa)|0;d[ga+2>>1]=na>>>0<65536?na:(na|0)>0?65535:0;na=Ghc(Qa)|0;d[ga+4>>1]=na>>>0<65536?na:(na|0)>0?65535:0;ha=ha+1|0;if((ha|0)==(X|0))break;else ga=ga+6|0}$=U+(Z<<1)|0;aa=X;ba=X;ca=0;break a;break}case 3:{if((X|0)<=(V|0)){$=U;aa=V;ba=X;ca=0;break a}ga=X-V<<2;ha=V;fa=U;while(1){na=ha<<1;ea=h+(j[T+(ha<<1)>>1]<<2<<2)|0;ja=y+((Y(d[S+((na|1)<<1)>>1]|0,a)|0)<<1)+(d[S+(na<<1)>>1]<<2<<1)|0;Qa=+n[ea>>2];Oa=+n[ea+4>>2];Na=+n[ea+8>>2];Ma=+n[ea+12>>2];La=Qa*+(j[ja+2>>1]|0)+Oa*+(j[ja+10>>1]|0)+Na*+(j[ja+(q<<1)>>1]|0)+Ma*+(j[ja+(O<<1)>>1]|0);ea=Ghc(+(j[ja>>1]|0)*Qa+ +(j[ja+8>>1]|0)*Oa+ +(j[ja+(a<<1)>>1]|0)*Na+ +(j[ja+(N<<1)>>1]|0)*Ma)|0;d[fa>>1]=ea>>>0<65536?ea:(ea|0)>0?65535:0;ea=Ghc(La)|0;d[fa+2>>1]=ea>>>0<65536?ea:(ea|0)>0?65535:0;La=Qa*+(j[ja+6>>1]|0)+Oa*+(j[ja+14>>1]|0)+Na*+(j[ja+(M<<1)>>1]|0)+Ma*+(j[ja+(Q<<1)>>1]|0);ea=Ghc(+(j[ja+4>>1]|0)*Qa+ +(j[ja+12>>1]|0)*Oa+ +(j[ja+(L<<1)>>1]|0)*Na+ +(j[ja+(P<<1)>>1]|0)*Ma)|0;d[fa+4>>1]=ea>>>0<65536?ea:(ea|0)>0?65535:0;ea=Ghc(La)|0;d[fa+6>>1]=ea>>>0<65536?ea:(ea|0)>0?65535:0;ha=ha+1|0;if((ha|0)==(X|0))break;else fa=fa+8|0}$=U+(ga<<1)|0;aa=X;ba=X;ca=0;break a;break}default:{if((X|0)<=(V|0)){$=U;aa=V;ba=X;ca=0;break a}fa=U+(x<<1)+(Y(R,X+-1-V|0)|0)|0;ha=V;Z=U;while(1){ea=ha<<1;ja=h+(j[T+(ha<<1)>>1]<<2<<2)|0;na=y+((Y(d[S+((ea|1)<<1)>>1]|0,a)|0)<<1)+((Y(d[S+(ea<<1)>>1]|0,x)|0)<<1)|0;La=+n[ja>>2];Ma=+n[ja+4>>2];Na=+n[ja+8>>2];Oa=+n[ja+12>>2];ja=0;do{ea=ja+a|0;ra=Ghc(+(j[na+(ja<<1)>>1]|0)*La+ +(j[na+(ja+x<<1)>>1]|0)*Ma+ +(j[na+(ea<<1)>>1]|0)*Na+ +(j[na+(ea+x<<1)>>1]|0)*Oa)|0;d[Z+(ja<<1)>>1]=ra>>>0<65536?ra:(ra|0)>0?65535:0;ja=ja+1|0}while((ja|0)!=(x|0));ha=ha+1|0;if((ha|0)==(X|0))break;else Z=Z+(x<<1)|0}$=fa;aa=X;ba=X;ca=0;break a}}}while(0);if((aa|0)<(t|0)){U=$;V=ba;W=ca;X=aa+1|0}else break}}w=w+1|0}while((w|0)!=(v|0));u=l;return}function A1(a,c,e,g,h,i,k){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;k=k|0;var l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0.0,Ma=0.0,Na=0.0,Oa=0.0,Pa=0.0,Qa=0.0;l=u;u=u+1040|0;m=l+16|0;o=l;q=f[a+40>>2]|0;r=f[q+4>>2]|0;s=f[q>>2]|0;q=f[c+40>>2]|0;t=f[q+4>>2]|0;v=f[q>>2]|0;q=(f[a>>2]|0)>>>3;w=q&511;x=w+1|0;y=f[a+16>>2]|0;z=f[a+48>>2]|0;a=0;do{A=Fhc(+p[k+((a&3)<<3)>>3])|0;d[m+(a<<1)>>1]=(A+32768|0)>>>0<65536?A:(A|0)>0?32767:32768;a=a+1|0}while((a|0)!=(x|0));a=z>>>1;z=r+-1|0;k=(z|0)>0?z:0;A=s+-1|0;B=(A|0)>0?A:0;if((Y(s,r)|0)<=0){C=cuc(32)|0;f[o>>2]=C;f[o+8>>2]=-2147483616;f[o+4>>2]=16;D=C;E=239039;F=D+16|0;do{b[D>>0]=b[E>>0]|0;D=D+1|0;E=E+1|0}while((D|0)<(F|0));b[C+16>>0]=0;WD(-215,o,239056,238594,666)}if((v|0)<=0){u=l;return}o=c+16|0;C=c+44|0;c=e+16|0;E=e+44|0;e=g+16|0;D=g+44|0;g=(t|0)<0;F=(i|0)==5;G=F&(x|0)!=3;H=(w|0)==0;I=(i|0)==0;J=(i|0)==1;K=q&65535;q=a+1|0;L=a+2|0;M=a+3|0;N=a+4|0;O=a+5|0;P=a+6|0;Q=a+7|0;R=(w<<1)+2|0;w=0;do{S=(f[c>>2]|0)+(Y(f[f[E>>2]>>2]|0,w)|0)|0;T=(f[e>>2]|0)+(Y(f[f[D>>2]>>2]|0,w)|0)|0;if(!g){U=(f[o>>2]|0)+(Y(f[f[C>>2]>>2]|0,w)|0)|0;V=0;W=0;X=0;while(1){do if((X|0)<(t|0)){Z=X<<1;if((d[S+(Z<<1)>>1]|0)>>>0>=k>>>0)if(W){_=18;break}else{$=U;aa=X;ba=V;ca=0;break}else{da=(d[S+((Z|1)<<1)>>1]|0)>>>0<B>>>0;_=16;break}}else{da=W^1;_=16}while(0);do if((_|0)==16){_=0;if(W^da)if(da){if(G){$=U+((Y(X-V|0,x)|0)<<1)|0;aa=X;ba=X;ca=1;break}Z=(X|0)>(V|0);if(H){if(!Z){$=U;aa=V;ba=X;ca=1;break}ea=X-V|0;fa=V;ga=U;while(1){ha=fa<<1;ia=d[S+(ha<<1)>>1]|0;ja=ia<<16>>16;ka=d[S+((ha|1)<<1)>>1]|0;ha=ka<<16>>16;do if(I)if(ka<<16>>16<-1|ia<<16>>16>-2&(ja|0)<(r|0)&(ha|0)<(s|0)^1){la=d[m>>1]|0;break}else{ma=h+(j[T+(fa<<1)>>1]<<2<<2)|0;_=49;break}else{na=h+(j[T+(fa<<1)>>1]<<2<<2)|0;if(J){oa=ia<<16>>16>-1?((ja|0)<(r|0)?ja:z):0;pa=ja+1|0;qa=ia<<16>>16>-2?((pa|0)<(r|0)?pa:z):0;pa=ha+1|0;ra=Y(ka<<16>>16>-1?((ha|0)<(s|0)?ha:A):0,a)|0;sa=Y(ka<<16>>16>-2?((pa|0)<(s|0)?pa:A):0,a)|0;ta=y+(sa+qa<<1)|0;ua=d[y+(sa+oa<<1)>>1]|0;va=d[y+(ra+qa<<1)>>1]|0;wa=d[y+(ra+oa<<1)>>1]|0;xa=na;_=57}else{ma=na;_=49}}while(0);do if((_|0)==49){_=0;ka=LI(ja,r,i)|0;ia=LI(ja+1|0,r,i)|0;na=LI(ha,s,i)|0;oa=LI(ha+1|0,s,i)|0;if((na|ka|0)>-1)ya=y+((Y(na,a)|0)+ka<<1)|0;else ya=m;ra=d[ya>>1]|0;if((na|ia|0)>-1)za=y+((Y(na,a)|0)+ia<<1)|0;else za=m;na=d[za>>1]|0;if((oa|ka|0)>-1)Aa=y+((Y(oa,a)|0)+ka<<1)|0;else Aa=m;ka=d[Aa>>1]|0;if((oa|ia|0)<=-1){ta=m;ua=ka;va=na;wa=ra;xa=ma;_=57;break}ta=y+((Y(oa,a)|0)+ia<<1)|0;ua=ka;va=na;wa=ra;xa=ma;_=57}while(0);if((_|0)==57){_=0;ha=Ghc(+(wa<<16>>16)*+n[xa>>2]+ +(va<<16>>16)*+n[xa+4>>2]+ +(ua<<16>>16)*+n[xa+8>>2]+ +(d[ta>>1]|0)*+n[xa+12>>2])|0;la=((ha+32768|0)>>>0<65536?ha:(ha|0)>0?32767:32768)&65535}d[ga>>1]=la;fa=fa+1|0;if((fa|0)==(X|0))break;else ga=ga+2|0}$=U+(ea<<1)|0;aa=X;ba=X;ca=1;break}if(Z){ga=U+(x<<1)+(Y(R,X+-1-V|0)|0)|0;fa=V;ha=U;while(1){ja=fa<<1;ra=d[S+(ja<<1)>>1]|0;na=ra<<16>>16;ka=d[S+((ja|1)<<1)>>1]|0;ja=ka<<16>>16;do if(I)if(ka<<16>>16<-1|ra<<16>>16>-2&(na|0)<(r|0)&(ja|0)<(s|0)^1){ia=0;do{d[ha+(ia<<1)>>1]=d[m+(ia<<1)>>1]|0;ia=ia+1|0}while((ia|0)!=(x|0))}else{Ba=h+(j[T+(fa<<1)>>1]<<2<<2)|0;_=65;break}else{ia=h+(j[T+(fa<<1)>>1]<<2<<2)|0;if(J){oa=na+1|0;qa=ja+1|0;sa=y+((Y(ka<<16>>16>-1?((ja|0)<(s|0)?ja:A):0,a)|0)<<1)|0;pa=Y(ra<<16>>16>-1?((na|0)<(r|0)?na:z):0,x)|0;Ca=Y(ra<<16>>16>-2?((oa|0)<(r|0)?oa:z):0,x)|0;oa=y+((Y(ka<<16>>16>-2?((qa|0)<(s|0)?qa:A):0,a)|0)<<1)|0;Da=oa+(Ca<<1)|0;Ea=oa+(pa<<1)|0;Fa=sa+(Ca<<1)|0;Ga=sa+(pa<<1)|0;Ha=ia;_=75}else{Ba=ia;_=65}}while(0);do if((_|0)==65){_=0;if(F?!(na>>>0<z>>>0&ja>>>0<A>>>0):0)break;ka=LI(na,r,i)|0;ra=LI(na+1|0,r,i)|0;ia=LI(ja,s,i)|0;pa=LI(ja+1|0,s,i)|0;if((ia|ka|0)>-1)Ia=y+((Y(ia,a)|0)<<1)+((Y(ka,x)|0)<<1)|0;else Ia=m;if((ia|ra|0)>-1)Ja=y+((Y(ia,a)|0)<<1)+((Y(ra,x)|0)<<1)|0;else Ja=m;if((pa|ka|0)>-1)Ka=y+((Y(pa,a)|0)<<1)+((Y(ka,x)|0)<<1)|0;else Ka=m;if((pa|ra|0)<=-1){Da=m;Ea=Ka;Fa=Ja;Ga=Ia;Ha=Ba;_=75;break}Da=y+((Y(pa,a)|0)<<1)+((Y(ra,x)|0)<<1)|0;Ea=Ka;Fa=Ja;Ga=Ia;Ha=Ba;_=75}while(0);if((_|0)==75){_=0;La=+n[Ha>>2];Ma=+n[Ha+4>>2];Na=+n[Ha+8>>2];Oa=+n[Ha+12>>2];ja=0;do{na=Ghc(+(d[Ga+(ja<<1)>>1]|0)*La+ +(d[Fa+(ja<<1)>>1]|0)*Ma+ +(d[Ea+(ja<<1)>>1]|0)*Na+ +(d[Da+(ja<<1)>>1]|0)*Oa)|0;d[ha+(ja<<1)>>1]=(na+32768|0)>>>0<65536?na:(na|0)>0?32767:32768;ja=ja+1|0}while((ja|0)!=(x|0))}fa=fa+1|0;if((fa|0)==(X|0))break;else ha=ha+(x<<1)|0}$=ga;aa=X;ba=X;ca=1}else{$=U;aa=V;ba=X;ca=1}}else _=18;else{$=U;aa=X;ba=V;ca=W}}while(0);a:do if((_|0)==18){_=0;switch(K&511){case 0:{if((X|0)<=(V|0)){$=U;aa=V;ba=X;ca=0;break a}ha=X-V|0;fa=U;Z=V;while(1){ea=Z<<1;ja=h+(j[T+(Z<<1)>>1]<<2<<2)|0;na=y+((Y(d[S+((ea|1)<<1)>>1]|0,a)|0)<<1)+(d[S+(ea<<1)>>1]<<1)|0;ea=Ghc(+(d[na>>1]|0)*+n[ja>>2]+ +(d[na+2>>1]|0)*+n[ja+4>>2]+ +(d[na+(a<<1)>>1]|0)*+n[ja+8>>2]+ +(d[na+(q<<1)>>1]|0)*+n[ja+12>>2])|0;d[fa>>1]=(ea+32768|0)>>>0<65536?ea:(ea|0)>0?32767:32768;Z=Z+1|0;if((Z|0)==(X|0))break;else fa=fa+2|0}$=U+(ha<<1)|0;aa=X;ba=X;ca=0;break a;break}case 1:{if((X|0)<=(V|0)){$=U;aa=V;ba=X;ca=0;break a}fa=X-V<<1;Z=U;ga=V;while(1){ea=ga<<1;ja=h+(j[T+(ga<<1)>>1]<<2<<2)|0;na=y+((Y(d[S+((ea|1)<<1)>>1]|0,a)|0)<<1)+(d[S+(ea<<1)>>1]<<1<<1)|0;Oa=+n[ja>>2];Na=+n[ja+4>>2];Ma=+n[ja+8>>2];La=+n[ja+12>>2];Pa=Oa*+(d[na+2>>1]|0)+Na*+(d[na+6>>1]|0)+Ma*+(d[na+(q<<1)>>1]|0)+La*+(d[na+(M<<1)>>1]|0);ja=Ghc(+(d[na>>1]|0)*Oa+ +(d[na+4>>1]|0)*Na+ +(d[na+(a<<1)>>1]|0)*Ma+ +(d[na+(L<<1)>>1]|0)*La)|0;d[Z>>1]=(ja+32768|0)>>>0<65536?ja:(ja|0)>0?32767:32768;ja=Ghc(Pa)|0;d[Z+2>>1]=(ja+32768|0)>>>0<65536?ja:(ja|0)>0?32767:32768;ga=ga+1|0;if((ga|0)==(X|0))break;else Z=Z+4|0}$=U+(fa<<1)|0;aa=X;ba=X;ca=0;break a;break}case 2:{if((X|0)<=(V|0)){$=U;aa=V;ba=X;ca=0;break a}Z=(X-V|0)*3|0;ga=U;ha=V;while(1){ja=ha<<1;na=h+(j[T+(ha<<1)>>1]<<2<<2)|0;ea=y+((Y(d[S+((ja|1)<<1)>>1]|0,a)|0)<<1)+((d[S+(ja<<1)>>1]|0)*3<<1)|0;Pa=+n[na>>2];La=+n[na+4>>2];Ma=+n[na+8>>2];Na=+n[na+12>>2];Oa=Pa*+(d[ea+2>>1]|0)+La*+(d[ea+8>>1]|0)+Ma*+(d[ea+(q<<1)>>1]|0)+Na*+(d[ea+(N<<1)>>1]|0);Qa=Pa*+(d[ea+4>>1]|0)+La*+(d[ea+10>>1]|0)+Ma*+(d[ea+(L<<1)>>1]|0)+Na*+(d[ea+(O<<1)>>1]|0);na=Ghc(+(d[ea>>1]|0)*Pa+ +(d[ea+6>>1]|0)*La+ +(d[ea+(a<<1)>>1]|0)*Ma+ +(d[ea+(M<<1)>>1]|0)*Na)|0;d[ga>>1]=(na+32768|0)>>>0<65536?na:(na|0)>0?32767:32768;na=Ghc(Oa)|0;d[ga+2>>1]=(na+32768|0)>>>0<65536?na:(na|0)>0?32767:32768;na=Ghc(Qa)|0;d[ga+4>>1]=(na+32768|0)>>>0<65536?na:(na|0)>0?32767:32768;ha=ha+1|0;if((ha|0)==(X|0))break;else ga=ga+6|0}$=U+(Z<<1)|0;aa=X;ba=X;ca=0;break a;break}case 3:{if((X|0)<=(V|0)){$=U;aa=V;ba=X;ca=0;break a}ga=X-V<<2;ha=V;fa=U;while(1){na=ha<<1;ea=h+(j[T+(ha<<1)>>1]<<2<<2)|0;ja=y+((Y(d[S+((na|1)<<1)>>1]|0,a)|0)<<1)+(d[S+(na<<1)>>1]<<2<<1)|0;Qa=+n[ea>>2];Oa=+n[ea+4>>2];Na=+n[ea+8>>2];Ma=+n[ea+12>>2];La=Qa*+(d[ja+2>>1]|0)+Oa*+(d[ja+10>>1]|0)+Na*+(d[ja+(q<<1)>>1]|0)+Ma*+(d[ja+(O<<1)>>1]|0);ea=Ghc(+(d[ja>>1]|0)*Qa+ +(d[ja+8>>1]|0)*Oa+ +(d[ja+(a<<1)>>1]|0)*Na+ +(d[ja+(N<<1)>>1]|0)*Ma)|0;d[fa>>1]=(ea+32768|0)>>>0<65536?ea:(ea|0)>0?32767:32768;ea=Ghc(La)|0;d[fa+2>>1]=(ea+32768|0)>>>0<65536?ea:(ea|0)>0?32767:32768;La=Qa*+(d[ja+6>>1]|0)+Oa*+(d[ja+14>>1]|0)+Na*+(d[ja+(M<<1)>>1]|0)+Ma*+(d[ja+(Q<<1)>>1]|0);ea=Ghc(+(d[ja+4>>1]|0)*Qa+ +(d[ja+12>>1]|0)*Oa+ +(d[ja+(L<<1)>>1]|0)*Na+ +(d[ja+(P<<1)>>1]|0)*Ma)|0;d[fa+4>>1]=(ea+32768|0)>>>0<65536?ea:(ea|0)>0?32767:32768;ea=Ghc(La)|0;d[fa+6>>1]=(ea+32768|0)>>>0<65536?ea:(ea|0)>0?32767:32768;ha=ha+1|0;if((ha|0)==(X|0))break;else fa=fa+8|0}$=U+(ga<<1)|0;aa=X;ba=X;ca=0;break a;break}default:{if((X|0)<=(V|0)){$=U;aa=V;ba=X;ca=0;break a}fa=U+(x<<1)+(Y(R,X+-1-V|0)|0)|0;ha=V;Z=U;while(1){ea=ha<<1;ja=h+(j[T+(ha<<1)>>1]<<2<<2)|0;na=y+((Y(d[S+((ea|1)<<1)>>1]|0,a)|0)<<1)+((Y(d[S+(ea<<1)>>1]|0,x)|0)<<1)|0;La=+n[ja>>2];Ma=+n[ja+4>>2];Na=+n[ja+8>>2];Oa=+n[ja+12>>2];ja=0;do{ea=ja+a|0;ra=Ghc(+(d[na+(ja<<1)>>1]|0)*La+ +(d[na+(ja+x<<1)>>1]|0)*Ma+ +(d[na+(ea<<1)>>1]|0)*Na+ +(d[na+(ea+x<<1)>>1]|0)*Oa)|0;d[Z+(ja<<1)>>1]=(ra+32768|0)>>>0<65536?ra:(ra|0)>0?32767:32768;ja=ja+1|0}while((ja|0)!=(x|0));ha=ha+1|0;if((ha|0)==(X|0))break;else Z=Z+(x<<1)|0}$=fa;aa=X;ba=X;ca=0;break a}}}while(0);if((aa|0)<(t|0)){U=$;V=ba;W=ca;X=aa+1|0}else break}}w=w+1|0}while((w|0)!=(v|0));u=l;return}function B1(a,c,e,g,h,i,k){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;k=k|0;var l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0.0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0.0,va=0.0,wa=0.0,xa=0,ya=0,za=0.0,Aa=0,Ba=0.0,Ca=0,Da=0.0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0.0,Pa=0.0,Qa=0.0;l=u;u=u+2064|0;m=l+16|0;o=l;q=f[a+40>>2]|0;r=f[q+4>>2]|0;s=f[q>>2]|0;q=f[c+40>>2]|0;t=f[q+4>>2]|0;v=f[q>>2]|0;q=(f[a>>2]|0)>>>3;w=q&511;x=w+1|0;y=f[a+16>>2]|0;z=f[a+48>>2]|0;a=0;do{n[m+(a<<2)>>2]=+p[k+((a&3)<<3)>>3];a=a+1|0}while((a|0)!=(x|0));a=z>>>2;z=r+-1|0;k=(z|0)>0?z:0;A=s+-1|0;B=(A|0)>0?A:0;if((Y(s,r)|0)<=0){C=cuc(32)|0;f[o>>2]=C;f[o+8>>2]=-2147483616;f[o+4>>2]=16;D=C;E=239039;F=D+16|0;do{b[D>>0]=b[E>>0]|0;D=D+1|0;E=E+1|0}while((D|0)<(F|0));b[C+16>>0]=0;WD(-215,o,239056,238594,666)}if((v|0)<=0){u=l;return}o=c+16|0;C=c+44|0;c=e+16|0;E=e+44|0;e=g+16|0;D=g+44|0;g=(t|0)<0;F=(i|0)==5;G=F&(x|0)!=3;H=(w|0)==0;I=(i|0)==0;J=(i|0)==1;K=q&65535;q=a+1|0;L=a+2|0;M=a+3|0;N=a+4|0;O=a+5|0;P=a+6|0;Q=a+7|0;R=(w<<2)+4|0;w=0;do{S=(f[c>>2]|0)+(Y(f[f[E>>2]>>2]|0,w)|0)|0;T=(f[e>>2]|0)+(Y(f[f[D>>2]>>2]|0,w)|0)|0;if(!g){U=(f[o>>2]|0)+(Y(f[f[C>>2]>>2]|0,w)|0)|0;V=0;W=0;X=0;while(1){do if((X|0)<(t|0)){Z=X<<1;if((d[S+(Z<<1)>>1]|0)>>>0>=k>>>0)if(W){_=18;break}else{$=U;aa=X;ba=V;ca=0;break}else{da=(d[S+((Z|1)<<1)>>1]|0)>>>0<B>>>0;_=16;break}}else{da=W^1;_=16}while(0);do if((_|0)==16){_=0;if(W^da)if(da){if(G){$=U+((Y(X-V|0,x)|0)<<2)|0;aa=X;ba=X;ca=1;break}Z=(X|0)>(V|0);if(H){if(!Z){$=U;aa=V;ba=X;ca=1;break}ea=X-V|0;fa=V;ga=U;while(1){ha=fa<<1;ia=d[S+(ha<<1)>>1]|0;ja=ia<<16>>16;ka=d[S+((ha|1)<<1)>>1]|0;ha=ka<<16>>16;do if(I)if(ka<<16>>16<-1|ia<<16>>16>-2&(ja|0)<(r|0)&(ha|0)<(s|0)^1){la=+n[m>>2];break}else{ma=h+(j[T+(fa<<1)>>1]<<2<<2)|0;_=49;break}else{na=h+(j[T+(fa<<1)>>1]<<2<<2)|0;if(J){oa=ia<<16>>16>-1?((ja|0)<(r|0)?ja:z):0;pa=ja+1|0;qa=ia<<16>>16>-2?((pa|0)<(r|0)?pa:z):0;pa=ha+1|0;ra=Y(ka<<16>>16>-1?((ha|0)<(s|0)?ha:A):0,a)|0;sa=Y(ka<<16>>16>-2?((pa|0)<(s|0)?pa:A):0,a)|0;ta=y+(sa+qa<<2)|0;ua=+n[y+(sa+oa<<2)>>2];va=+n[y+(ra+qa<<2)>>2];wa=+n[y+(ra+oa<<2)>>2];xa=na;_=57}else{ma=na;_=49}}while(0);do if((_|0)==49){_=0;ka=LI(ja,r,i)|0;ia=LI(ja+1|0,r,i)|0;na=LI(ha,s,i)|0;oa=LI(ha+1|0,s,i)|0;if((na|ka|0)>-1)ya=y+((Y(na,a)|0)+ka<<2)|0;else ya=m;za=+n[ya>>2];if((na|ia|0)>-1)Aa=y+((Y(na,a)|0)+ia<<2)|0;else Aa=m;Ba=+n[Aa>>2];if((oa|ka|0)>-1)Ca=y+((Y(oa,a)|0)+ka<<2)|0;else Ca=m;Da=+n[Ca>>2];if((oa|ia|0)<=-1){ta=m;ua=Da;va=Ba;wa=za;xa=ma;_=57;break}ta=y+((Y(oa,a)|0)+ia<<2)|0;ua=Da;va=Ba;wa=za;xa=ma;_=57}while(0);if((_|0)==57){_=0;la=wa*+n[xa>>2]+va*+n[xa+4>>2]+ua*+n[xa+8>>2]+ +n[ta>>2]*+n[xa+12>>2]}n[ga>>2]=la;fa=fa+1|0;if((fa|0)==(X|0))break;else ga=ga+4|0}$=U+(ea<<2)|0;aa=X;ba=X;ca=1;break}if(Z){ga=U+(x<<2)+(Y(R,X+-1-V|0)|0)|0;fa=V;ha=U;while(1){ja=fa<<1;ia=d[S+(ja<<1)>>1]|0;oa=ia<<16>>16;ka=d[S+((ja|1)<<1)>>1]|0;ja=ka<<16>>16;do if(I)if(ka<<16>>16<-1|ia<<16>>16>-2&(oa|0)<(r|0)&(ja|0)<(s|0)^1){na=0;do{f[ha+(na<<2)>>2]=f[m+(na<<2)>>2];na=na+1|0}while((na|0)!=(x|0))}else{Ea=h+(j[T+(fa<<1)>>1]<<2<<2)|0;_=65;break}else{na=h+(j[T+(fa<<1)>>1]<<2<<2)|0;if(J){ra=oa+1|0;qa=ja+1|0;sa=y+((Y(ka<<16>>16>-1?((ja|0)<(s|0)?ja:A):0,a)|0)<<2)|0;pa=Y(ia<<16>>16>-1?((oa|0)<(r|0)?oa:z):0,x)|0;Fa=Y(ia<<16>>16>-2?((ra|0)<(r|0)?ra:z):0,x)|0;ra=y+((Y(ka<<16>>16>-2?((qa|0)<(s|0)?qa:A):0,a)|0)<<2)|0;Ga=ra+(Fa<<2)|0;Ha=ra+(pa<<2)|0;Ia=sa+(Fa<<2)|0;Ja=sa+(pa<<2)|0;Ka=na;_=75}else{Ea=na;_=65}}while(0);do if((_|0)==65){_=0;if(F?!(oa>>>0<z>>>0&ja>>>0<A>>>0):0)break;ka=LI(oa,r,i)|0;ia=LI(oa+1|0,r,i)|0;na=LI(ja,s,i)|0;pa=LI(ja+1|0,s,i)|0;if((na|ka|0)>-1)La=y+((Y(na,a)|0)<<2)+((Y(ka,x)|0)<<2)|0;else La=m;if((na|ia|0)>-1)Ma=y+((Y(na,a)|0)<<2)+((Y(ia,x)|0)<<2)|0;else Ma=m;if((pa|ka|0)>-1)Na=y+((Y(pa,a)|0)<<2)+((Y(ka,x)|0)<<2)|0;else Na=m;if((pa|ia|0)<=-1){Ga=m;Ha=Na;Ia=Ma;Ja=La;Ka=Ea;_=75;break}Ga=y+((Y(pa,a)|0)<<2)+((Y(ia,x)|0)<<2)|0;Ha=Na;Ia=Ma;Ja=La;Ka=Ea;_=75}while(0);if((_|0)==75){_=0;ja=Ka+4|0;oa=Ka+8|0;ia=Ka+12|0;pa=0;do{n[ha+(pa<<2)>>2]=+n[Ja+(pa<<2)>>2]*+n[Ka>>2]+ +n[Ia+(pa<<2)>>2]*+n[ja>>2]+ +n[Ha+(pa<<2)>>2]*+n[oa>>2]+ +n[Ga+(pa<<2)>>2]*+n[ia>>2];pa=pa+1|0}while((pa|0)!=(x|0))}fa=fa+1|0;if((fa|0)==(X|0))break;else ha=ha+(x<<2)|0}$=ga;aa=X;ba=X;ca=1}else{$=U;aa=V;ba=X;ca=1}}else _=18;else{$=U;aa=X;ba=V;ca=W}}while(0);a:do if((_|0)==18){_=0;switch(K&511){case 0:{if((X|0)<=(V|0)){$=U;aa=V;ba=X;ca=0;break a}ha=X-V|0;fa=U;Z=V;while(1){ea=Z<<1;pa=h+(j[T+(Z<<1)>>1]<<2<<2)|0;ia=y+((Y(d[S+((ea|1)<<1)>>1]|0,a)|0)<<2)+(d[S+(ea<<1)>>1]<<2)|0;n[fa>>2]=+n[ia>>2]*+n[pa>>2]+ +n[ia+4>>2]*+n[pa+4>>2]+ +n[ia+(a<<2)>>2]*+n[pa+8>>2]+ +n[ia+(q<<2)>>2]*+n[pa+12>>2];Z=Z+1|0;if((Z|0)==(X|0))break;else fa=fa+4|0}$=U+(ha<<2)|0;aa=X;ba=X;ca=0;break a;break}case 1:{if((X|0)<=(V|0)){$=U;aa=V;ba=X;ca=0;break a}fa=X-V<<1;Z=U;ga=V;while(1){pa=ga<<1;ia=h+(j[T+(ga<<1)>>1]<<2<<2)|0;ea=y+((Y(d[S+((pa|1)<<1)>>1]|0,a)|0)<<2)+(d[S+(pa<<1)>>1]<<1<<2)|0;za=+n[ia>>2];Ba=+n[ia+4>>2];Da=+n[ia+8>>2];Oa=+n[ia+12>>2];Pa=za*+n[ea+4>>2]+Ba*+n[ea+12>>2]+Da*+n[ea+(q<<2)>>2]+Oa*+n[ea+(M<<2)>>2];n[Z>>2]=+n[ea>>2]*za+ +n[ea+8>>2]*Ba+ +n[ea+(a<<2)>>2]*Da+ +n[ea+(L<<2)>>2]*Oa;n[Z+4>>2]=Pa;ga=ga+1|0;if((ga|0)==(X|0))break;else Z=Z+8|0}$=U+(fa<<2)|0;aa=X;ba=X;ca=0;break a;break}case 2:{if((X|0)<=(V|0)){$=U;aa=V;ba=X;ca=0;break a}Z=(X-V|0)*3|0;ga=U;ha=V;while(1){ea=ha<<1;ia=h+(j[T+(ha<<1)>>1]<<2<<2)|0;pa=y+((Y(d[S+((ea|1)<<1)>>1]|0,a)|0)<<2)+((d[S+(ea<<1)>>1]|0)*3<<2)|0;Pa=+n[ia>>2];Oa=+n[ia+4>>2];Da=+n[ia+8>>2];Ba=+n[ia+12>>2];za=Pa*+n[pa+4>>2]+Oa*+n[pa+16>>2]+Da*+n[pa+(q<<2)>>2]+Ba*+n[pa+(N<<2)>>2];Qa=Pa*+n[pa+8>>2]+Oa*+n[pa+20>>2]+Da*+n[pa+(L<<2)>>2]+Ba*+n[pa+(O<<2)>>2];n[ga>>2]=+n[pa>>2]*Pa+ +n[pa+12>>2]*Oa+ +n[pa+(a<<2)>>2]*Da+ +n[pa+(M<<2)>>2]*Ba;n[ga+4>>2]=za;n[ga+8>>2]=Qa;ha=ha+1|0;if((ha|0)==(X|0))break;else ga=ga+12|0}$=U+(Z<<2)|0;aa=X;ba=X;ca=0;break a;break}case 3:{if((X|0)<=(V|0)){$=U;aa=V;ba=X;ca=0;break a}ga=X-V<<2;ha=V;fa=U;while(1){pa=ha<<1;ia=h+(j[T+(ha<<1)>>1]<<2<<2)|0;ea=y+((Y(d[S+((pa|1)<<1)>>1]|0,a)|0)<<2)+(d[S+(pa<<1)>>1]<<2<<2)|0;Qa=+n[ia>>2];pa=ia+4|0;za=+n[pa>>2];oa=ia+8|0;Ba=+n[oa>>2];ja=ia+12|0;Da=+n[ja>>2];Oa=Qa*+n[ea+4>>2]+za*+n[ea+20>>2]+Ba*+n[ea+(q<<2)>>2]+Da*+n[ea+(O<<2)>>2];n[fa>>2]=+n[ea>>2]*Qa+ +n[ea+16>>2]*za+ +n[ea+(a<<2)>>2]*Ba+ +n[ea+(N<<2)>>2]*Da;n[fa+4>>2]=Oa;Oa=+n[ia>>2];Da=+n[pa>>2];Ba=+n[oa>>2];za=+n[ja>>2];Qa=Oa*+n[ea+12>>2]+Da*+n[ea+28>>2]+Ba*+n[ea+(M<<2)>>2]+za*+n[ea+(Q<<2)>>2];n[fa+8>>2]=+n[ea+8>>2]*Oa+ +n[ea+24>>2]*Da+ +n[ea+(L<<2)>>2]*Ba+ +n[ea+(P<<2)>>2]*za;n[fa+12>>2]=Qa;ha=ha+1|0;if((ha|0)==(X|0))break;else fa=fa+16|0}$=U+(ga<<2)|0;aa=X;ba=X;ca=0;break a;break}default:{if((X|0)<=(V|0)){$=U;aa=V;ba=X;ca=0;break a}fa=U+(x<<2)+(Y(R,X+-1-V|0)|0)|0;ha=V;Z=U;while(1){ea=ha<<1;ja=h+(j[T+(ha<<1)>>1]<<2<<2)|0;oa=y+((Y(d[S+((ea|1)<<1)>>1]|0,a)|0)<<2)+((Y(d[S+(ea<<1)>>1]|0,x)|0)<<2)|0;ea=ja+4|0;pa=ja+8|0;ia=ja+12|0;ka=0;do{na=ka+a|0;n[Z+(ka<<2)>>2]=+n[oa+(ka<<2)>>2]*+n[ja>>2]+ +n[oa+(ka+x<<2)>>2]*+n[ea>>2]+ +n[oa+(na<<2)>>2]*+n[pa>>2]+ +n[oa+(na+x<<2)>>2]*+n[ia>>2];ka=ka+1|0}while((ka|0)!=(x|0));ha=ha+1|0;if((ha|0)==(X|0))break;else Z=Z+(x<<2)|0}$=fa;aa=X;ba=X;ca=0;break a}}}while(0);if((aa|0)<(t|0)){U=$;V=ba;W=ca;X=aa+1|0}else break}}w=w+1|0}while((w|0)!=(v|0));u=l;return}function C1(a,c,e,g,h,i,k){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;k=k|0;var l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0.0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0.0,va=0.0,wa=0.0,xa=0,ya=0,za=0.0,Aa=0,Ba=0.0,Ca=0,Da=0.0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0.0,Pa=0.0,Qa=0.0;l=u;u=u+4112|0;m=l;o=l+4096|0;q=f[a+40>>2]|0;r=f[q+4>>2]|0;s=f[q>>2]|0;q=f[c+40>>2]|0;t=f[q+4>>2]|0;v=f[q>>2]|0;q=(f[a>>2]|0)>>>3;w=q&511;x=w+1|0;y=f[a+16>>2]|0;z=f[a+48>>2]|0;a=0;do{p[m+(a<<3)>>3]=+p[k+((a&3)<<3)>>3];a=a+1|0}while((a|0)!=(x|0));a=z>>>3;z=r+-1|0;k=(z|0)>0?z:0;A=s+-1|0;B=(A|0)>0?A:0;if((Y(s,r)|0)<=0){C=cuc(32)|0;f[o>>2]=C;f[o+8>>2]=-2147483616;f[o+4>>2]=16;D=C;E=239039;F=D+16|0;do{b[D>>0]=b[E>>0]|0;D=D+1|0;E=E+1|0}while((D|0)<(F|0));b[C+16>>0]=0;WD(-215,o,239056,238594,666)}if((v|0)<=0){u=l;return}o=c+16|0;C=c+44|0;c=e+16|0;E=e+44|0;e=g+16|0;D=g+44|0;g=(t|0)<0;F=(i|0)==5;G=F&(x|0)!=3;H=(w|0)==0;I=(i|0)==0;J=(i|0)==1;K=q&65535;q=a+1|0;L=a+2|0;M=a+3|0;N=a+4|0;O=a+5|0;P=a+6|0;Q=a+7|0;R=(w<<3)+8|0;w=0;do{S=(f[c>>2]|0)+(Y(f[f[E>>2]>>2]|0,w)|0)|0;T=(f[e>>2]|0)+(Y(f[f[D>>2]>>2]|0,w)|0)|0;if(!g){U=(f[o>>2]|0)+(Y(f[f[C>>2]>>2]|0,w)|0)|0;V=0;W=0;X=0;while(1){do if((X|0)<(t|0)){Z=X<<1;if((d[S+(Z<<1)>>1]|0)>>>0>=k>>>0)if(W){_=18;break}else{$=U;aa=X;ba=V;ca=0;break}else{da=(d[S+((Z|1)<<1)>>1]|0)>>>0<B>>>0;_=16;break}}else{da=W^1;_=16}while(0);do if((_|0)==16){_=0;if(W^da)if(da){if(G){$=U+((Y(X-V|0,x)|0)<<3)|0;aa=X;ba=X;ca=1;break}Z=(X|0)>(V|0);if(H){if(!Z){$=U;aa=V;ba=X;ca=1;break}ea=X-V|0;fa=V;ga=U;while(1){ha=fa<<1;ia=d[S+(ha<<1)>>1]|0;ja=ia<<16>>16;ka=d[S+((ha|1)<<1)>>1]|0;ha=ka<<16>>16;do if(I)if(ka<<16>>16<-1|ia<<16>>16>-2&(ja|0)<(r|0)&(ha|0)<(s|0)^1){la=+p[m>>3];break}else{ma=h+(j[T+(fa<<1)>>1]<<2<<2)|0;_=49;break}else{na=h+(j[T+(fa<<1)>>1]<<2<<2)|0;if(J){oa=ia<<16>>16>-1?((ja|0)<(r|0)?ja:z):0;pa=ja+1|0;qa=ia<<16>>16>-2?((pa|0)<(r|0)?pa:z):0;pa=ha+1|0;ra=Y(ka<<16>>16>-1?((ha|0)<(s|0)?ha:A):0,a)|0;sa=Y(ka<<16>>16>-2?((pa|0)<(s|0)?pa:A):0,a)|0;ta=y+(sa+qa<<3)|0;ua=+p[y+(sa+oa<<3)>>3];va=+p[y+(ra+qa<<3)>>3];wa=+p[y+(ra+oa<<3)>>3];xa=na;_=57}else{ma=na;_=49}}while(0);do if((_|0)==49){_=0;ka=LI(ja,r,i)|0;ia=LI(ja+1|0,r,i)|0;na=LI(ha,s,i)|0;oa=LI(ha+1|0,s,i)|0;if((na|ka|0)>-1)ya=y+((Y(na,a)|0)+ka<<3)|0;else ya=m;za=+p[ya>>3];if((na|ia|0)>-1)Aa=y+((Y(na,a)|0)+ia<<3)|0;else Aa=m;Ba=+p[Aa>>3];if((oa|ka|0)>-1)Ca=y+((Y(oa,a)|0)+ka<<3)|0;else Ca=m;Da=+p[Ca>>3];if((oa|ia|0)<=-1){ta=m;ua=Da;va=Ba;wa=za;xa=ma;_=57;break}ta=y+((Y(oa,a)|0)+ia<<3)|0;ua=Da;va=Ba;wa=za;xa=ma;_=57}while(0);if((_|0)==57){_=0;la=wa*+n[xa>>2]+va*+n[xa+4>>2]+ua*+n[xa+8>>2]+ +p[ta>>3]*+n[xa+12>>2]}p[ga>>3]=la;fa=fa+1|0;if((fa|0)==(X|0))break;else ga=ga+8|0}$=U+(ea<<3)|0;aa=X;ba=X;ca=1;break}if(Z){ga=U+(x<<3)+(Y(R,X+-1-V|0)|0)|0;fa=V;ha=U;while(1){ja=fa<<1;ia=d[S+(ja<<1)>>1]|0;oa=ia<<16>>16;ka=d[S+((ja|1)<<1)>>1]|0;ja=ka<<16>>16;do if(I)if(ka<<16>>16<-1|ia<<16>>16>-2&(oa|0)<(r|0)&(ja|0)<(s|0)^1){na=0;do{p[ha+(na<<3)>>3]=+p[m+(na<<3)>>3];na=na+1|0}while((na|0)!=(x|0))}else{Ea=h+(j[T+(fa<<1)>>1]<<2<<2)|0;_=65;break}else{na=h+(j[T+(fa<<1)>>1]<<2<<2)|0;if(J){ra=oa+1|0;qa=ja+1|0;sa=y+((Y(ka<<16>>16>-1?((ja|0)<(s|0)?ja:A):0,a)|0)<<3)|0;pa=Y(ia<<16>>16>-1?((oa|0)<(r|0)?oa:z):0,x)|0;Fa=Y(ia<<16>>16>-2?((ra|0)<(r|0)?ra:z):0,x)|0;ra=y+((Y(ka<<16>>16>-2?((qa|0)<(s|0)?qa:A):0,a)|0)<<3)|0;Ga=ra+(Fa<<3)|0;Ha=ra+(pa<<3)|0;Ia=sa+(Fa<<3)|0;Ja=sa+(pa<<3)|0;Ka=na;_=75}else{Ea=na;_=65}}while(0);do if((_|0)==65){_=0;if(F?!(oa>>>0<z>>>0&ja>>>0<A>>>0):0)break;ka=LI(oa,r,i)|0;ia=LI(oa+1|0,r,i)|0;na=LI(ja,s,i)|0;pa=LI(ja+1|0,s,i)|0;if((na|ka|0)>-1)La=y+((Y(na,a)|0)<<3)+((Y(ka,x)|0)<<3)|0;else La=m;if((na|ia|0)>-1)Ma=y+((Y(na,a)|0)<<3)+((Y(ia,x)|0)<<3)|0;else Ma=m;if((pa|ka|0)>-1)Na=y+((Y(pa,a)|0)<<3)+((Y(ka,x)|0)<<3)|0;else Na=m;if((pa|ia|0)<=-1){Ga=m;Ha=Na;Ia=Ma;Ja=La;Ka=Ea;_=75;break}Ga=y+((Y(pa,a)|0)<<3)+((Y(ia,x)|0)<<3)|0;Ha=Na;Ia=Ma;Ja=La;Ka=Ea;_=75}while(0);if((_|0)==75){_=0;za=+n[Ka>>2];Ba=+n[Ka+4>>2];Da=+n[Ka+8>>2];Oa=+n[Ka+12>>2];ja=0;do{p[ha+(ja<<3)>>3]=+p[Ja+(ja<<3)>>3]*za+ +p[Ia+(ja<<3)>>3]*Ba+ +p[Ha+(ja<<3)>>3]*Da+ +p[Ga+(ja<<3)>>3]*Oa;ja=ja+1|0}while((ja|0)!=(x|0))}fa=fa+1|0;if((fa|0)==(X|0))break;else ha=ha+(x<<3)|0}$=ga;aa=X;ba=X;ca=1}else{$=U;aa=V;ba=X;ca=1}}else _=18;else{$=U;aa=X;ba=V;ca=W}}while(0);a:do if((_|0)==18){_=0;switch(K&511){case 0:{if((X|0)<=(V|0)){$=U;aa=V;ba=X;ca=0;break a}ha=X-V|0;fa=U;Z=V;while(1){ea=Z<<1;ja=h+(j[T+(Z<<1)>>1]<<2<<2)|0;oa=y+((Y(d[S+((ea|1)<<1)>>1]|0,a)|0)<<3)+(d[S+(ea<<1)>>1]<<3)|0;p[fa>>3]=+p[oa>>3]*+n[ja>>2]+ +p[oa+8>>3]*+n[ja+4>>2]+ +p[oa+(a<<3)>>3]*+n[ja+8>>2]+ +p[oa+(q<<3)>>3]*+n[ja+12>>2];Z=Z+1|0;if((Z|0)==(X|0))break;else fa=fa+8|0}$=U+(ha<<3)|0;aa=X;ba=X;ca=0;break a;break}case 1:{if((X|0)<=(V|0)){$=U;aa=V;ba=X;ca=0;break a}fa=X-V<<1;Z=U;ga=V;while(1){ja=ga<<1;oa=h+(j[T+(ga<<1)>>1]<<2<<2)|0;ea=y+((Y(d[S+((ja|1)<<1)>>1]|0,a)|0)<<3)+(d[S+(ja<<1)>>1]<<1<<3)|0;Oa=+n[oa>>2];Da=+n[oa+4>>2];Ba=+n[oa+8>>2];za=+n[oa+12>>2];Pa=Oa*+p[ea+8>>3]+Da*+p[ea+24>>3]+Ba*+p[ea+(q<<3)>>3]+za*+p[ea+(M<<3)>>3];p[Z>>3]=+p[ea>>3]*Oa+ +p[ea+16>>3]*Da+ +p[ea+(a<<3)>>3]*Ba+ +p[ea+(L<<3)>>3]*za;p[Z+8>>3]=Pa;ga=ga+1|0;if((ga|0)==(X|0))break;else Z=Z+16|0}$=U+(fa<<3)|0;aa=X;ba=X;ca=0;break a;break}case 2:{if((X|0)<=(V|0)){$=U;aa=V;ba=X;ca=0;break a}Z=(X-V|0)*3|0;ga=U;ha=V;while(1){ea=ha<<1;oa=h+(j[T+(ha<<1)>>1]<<2<<2)|0;ja=y+((Y(d[S+((ea|1)<<1)>>1]|0,a)|0)<<3)+((d[S+(ea<<1)>>1]|0)*3<<3)|0;Pa=+n[oa>>2];za=+n[oa+4>>2];Ba=+n[oa+8>>2];Da=+n[oa+12>>2];Oa=Pa*+p[ja+8>>3]+za*+p[ja+32>>3]+Ba*+p[ja+(q<<3)>>3]+Da*+p[ja+(N<<3)>>3];Qa=Pa*+p[ja+16>>3]+za*+p[ja+40>>3]+Ba*+p[ja+(L<<3)>>3]+Da*+p[ja+(O<<3)>>3];p[ga>>3]=+p[ja>>3]*Pa+ +p[ja+24>>3]*za+ +p[ja+(a<<3)>>3]*Ba+ +p[ja+(M<<3)>>3]*Da;p[ga+8>>3]=Oa;p[ga+16>>3]=Qa;ha=ha+1|0;if((ha|0)==(X|0))break;else ga=ga+24|0}$=U+(Z<<3)|0;aa=X;ba=X;ca=0;break a;break}case 3:{if((X|0)<=(V|0)){$=U;aa=V;ba=X;ca=0;break a}ga=X-V<<2;ha=V;fa=U;while(1){ja=ha<<1;oa=h+(j[T+(ha<<1)>>1]<<2<<2)|0;ea=y+((Y(d[S+((ja|1)<<1)>>1]|0,a)|0)<<3)+(d[S+(ja<<1)>>1]<<2<<3)|0;Qa=+n[oa>>2];Oa=+n[oa+4>>2];Da=+n[oa+8>>2];Ba=+n[oa+12>>2];za=Qa*+p[ea+8>>3]+Oa*+p[ea+40>>3]+Da*+p[ea+(q<<3)>>3]+Ba*+p[ea+(O<<3)>>3];p[fa>>3]=+p[ea>>3]*Qa+ +p[ea+32>>3]*Oa+ +p[ea+(a<<3)>>3]*Da+ +p[ea+(N<<3)>>3]*Ba;p[fa+8>>3]=za;za=Qa*+p[ea+24>>3]+Oa*+p[ea+56>>3]+Da*+p[ea+(M<<3)>>3]+Ba*+p[ea+(Q<<3)>>3];p[fa+16>>3]=+p[ea+16>>3]*Qa+ +p[ea+48>>3]*Oa+ +p[ea+(L<<3)>>3]*Da+ +p[ea+(P<<3)>>3]*Ba;p[fa+24>>3]=za;ha=ha+1|0;if((ha|0)==(X|0))break;else fa=fa+32|0}$=U+(ga<<3)|0;aa=X;ba=X;ca=0;break a;break}default:{if((X|0)<=(V|0)){$=U;aa=V;ba=X;ca=0;break a}fa=U+(x<<3)+(Y(R,X+-1-V|0)|0)|0;ha=V;Z=U;while(1){ea=ha<<1;oa=h+(j[T+(ha<<1)>>1]<<2<<2)|0;ja=y+((Y(d[S+((ea|1)<<1)>>1]|0,a)|0)<<3)+((Y(d[S+(ea<<1)>>1]|0,x)|0)<<3)|0;za=+n[oa>>2];Ba=+n[oa+4>>2];Da=+n[oa+8>>2];Oa=+n[oa+12>>2];oa=0;do{ea=oa+a|0;p[Z+(oa<<3)>>3]=+p[ja+(oa<<3)>>3]*za+ +p[ja+(oa+x<<3)>>3]*Ba+ +p[ja+(ea<<3)>>3]*Da+ +p[ja+(ea+x<<3)>>3]*Oa;oa=oa+1|0}while((oa|0)!=(x|0));ha=ha+1|0;if((ha|0)==(X|0))break;else Z=Z+(x<<3)|0}$=fa;aa=X;ba=X;ca=0;break a}}}while(0);if((aa|0)<(t|0)){U=$;V=ba;W=ca;X=aa+1|0}else break}}w=w+1|0}while((w|0)!=(v|0));u=l;return}function D1(a,c,e,g,h){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0;i=u;u=u+512|0;j=i;k=f[a+40>>2]|0;l=f[k+4>>2]|0;m=f[k>>2]|0;k=f[c+40>>2]|0;n=f[k+4>>2]|0;o=f[k>>2]|0;k=(f[a>>2]|0)>>>3&511;q=k+1|0;r=f[a+16>>2]|0;s=f[a+48>>2]|0;a=0;do{t=Fhc(+p[h+((a&3)<<3)>>3])|0;b[j+a>>0]=t>>>0<256?t:(t|0)>0?255:0;a=a+1|0}while((a|0)!=(q|0));if(f[c>>2]&16384){a=(f[e>>2]&16384|0)!=0;h=Y(a?o:1,n)|0;if(a){v=h;w=1}else{x=h;y=5}}else{x=n;y=5}if((y|0)==5)if((o|0)>0){v=x;w=o}else{u=i;return}o=c+16|0;x=c+44|0;c=e+16|0;n=e+44|0;e=(k|0)==0;k=(v|0)>0;h=l+-1|0;a=m+-1|0;t=(q|0)==3;z=(q|0)==4;A=(g|0)==5;B=0;do{C=(f[o>>2]|0)+(Y(f[f[x>>2]>>2]|0,B)|0)|0;D=(f[c>>2]|0)+(Y(f[f[n>>2]>>2]|0,B)|0)|0;a:do if(e){if(k)switch(g|0){case 1:{E=0;do{F=E<<1;G=d[D+(F<<1)>>1]|0;H=G<<16>>16;I=d[D+((F|1)<<1)>>1]|0;F=I<<16>>16;if(H>>>0<l>>>0&F>>>0<m>>>0){J=F;K=H}else{J=I<<16>>16>-1?((F|0)<(m|0)?F:a):0;K=G<<16>>16>-1?((H|0)<(l|0)?H:h):0}H=r+((Y(J,s)|0)+K)|0;b[C+E>>0]=b[H>>0]|0;E=E+1|0}while((E|0)!=(v|0));break}case 0:{E=0;do{H=E<<1;G=d[D+(H<<1)>>1]|0;F=d[D+((H|1)<<1)>>1]|0;H=r+((Y(F,s)|0)+G)|0;b[C+E>>0]=b[(G>>>0<l>>>0&F>>>0<m>>>0?H:j)>>0]|0;E=E+1|0}while((E|0)!=(v|0));break}default:{E=0;do{H=E<<1;F=d[D+(H<<1)>>1]|0;G=d[D+((H|1)<<1)>>1]|0;if(!(F>>>0<l>>>0&G>>>0<m>>>0)){if(!A){H=LI(F,l,g)|0;L=H;M=LI(G,m,g)|0;y=28}}else{L=F;M=G;y=28}if((y|0)==28){y=0;G=r+((Y(M,s)|0)+L)|0;b[C+E>>0]=b[G>>0]|0}E=E+1|0}while((E|0)!=(v|0))}}}else if(k){if(A){E=0;G=C;while(1){F=E<<1;H=d[D+(F<<1)>>1]|0;I=d[D+((F|1)<<1)>>1]|0;do if(H>>>0<l>>>0&I>>>0<m>>>0){F=r+(Y(I,s)|0)|0;if(t){N=F+(H*3|0)|0;b[G>>0]=b[N>>0]|0;b[G+1>>0]=b[N+1>>0]|0;b[G+2>>0]=b[N+2>>0]|0;break}if(z){N=F+(H<<2)|0;b[G>>0]=b[N>>0]|0;b[G+1>>0]=b[N+1>>0]|0;b[G+2>>0]=b[N+2>>0]|0;b[G+3>>0]=b[N+3>>0]|0;break}N=F+(Y(H,q)|0)|0;F=0;do{b[G+F>>0]=b[N+F>>0]|0;F=F+1|0}while((F|0)!=(q|0))}while(0);E=E+1|0;if((E|0)==(v|0))break a;else G=G+q|0}}else{O=0;P=C}while(1){G=O<<1;E=d[D+(G<<1)>>1]|0;H=E<<16>>16;I=d[D+((G|1)<<1)>>1]|0;G=I<<16>>16;b:do if(H>>>0<l>>>0&G>>>0<m>>>0){F=r+(Y(G,s)|0)|0;if(t){N=F+(H*3|0)|0;b[P>>0]=b[N>>0]|0;b[P+1>>0]=b[N+1>>0]|0;b[P+2>>0]=b[N+2>>0]|0;break}if(z){N=F+(H<<2)|0;b[P>>0]=b[N>>0]|0;b[P+1>>0]=b[N+1>>0]|0;b[P+2>>0]=b[N+2>>0]|0;b[P+3>>0]=b[N+3>>0]|0;break}N=F+(Y(H,q)|0)|0;F=0;do{b[P+F>>0]=b[N+F>>0]|0;F=F+1|0}while((F|0)!=(q|0))}else{switch(g|0){case 5:{break b;break}case 1:{Q=r+(Y(I<<16>>16>-1?((G|0)<(m|0)?G:a):0,s)|0)+(Y(E<<16>>16>-1?((H|0)<(l|0)?H:h):0,q)|0)|0;break}case 0:{Q=j;break}default:{F=LI(H,l,g)|0;Q=r+(Y(LI(G,m,g)|0,s)|0)+(Y(F,q)|0)|0}}F=0;do{b[P+F>>0]=b[Q+F>>0]|0;F=F+1|0}while((F|0)!=(q|0))}while(0);O=O+1|0;if((O|0)==(v|0))break;else P=P+q|0}}while(0);B=B+1|0}while((B|0)!=(w|0));u=i;return}function E1(a,c,e,g,h){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0;i=u;u=u+512|0;j=i;k=f[a+40>>2]|0;l=f[k+4>>2]|0;m=f[k>>2]|0;k=f[c+40>>2]|0;n=f[k+4>>2]|0;o=f[k>>2]|0;k=(f[a>>2]|0)>>>3&511;q=k+1|0;r=f[a+16>>2]|0;s=f[a+48>>2]|0;a=0;do{t=Fhc(+p[h+((a&3)<<3)>>3])|0;b[j+a>>0]=(t+128|0)>>>0<256?t:(t|0)>0?127:128;a=a+1|0}while((a|0)!=(q|0));if(f[c>>2]&16384){a=(f[e>>2]&16384|0)!=0;h=Y(a?o:1,n)|0;if(a){v=h;w=1}else{x=h;y=5}}else{x=n;y=5}if((y|0)==5)if((o|0)>0){v=x;w=o}else{u=i;return}o=c+16|0;x=c+44|0;c=e+16|0;n=e+44|0;e=(k|0)==0;k=(v|0)>0;h=l+-1|0;a=m+-1|0;t=(q|0)==3;z=(q|0)==4;A=(g|0)==5;B=0;do{C=(f[o>>2]|0)+(Y(f[f[x>>2]>>2]|0,B)|0)|0;D=(f[c>>2]|0)+(Y(f[f[n>>2]>>2]|0,B)|0)|0;a:do if(e){if(k)switch(g|0){case 1:{E=0;do{F=E<<1;G=d[D+(F<<1)>>1]|0;H=G<<16>>16;I=d[D+((F|1)<<1)>>1]|0;F=I<<16>>16;if(H>>>0<l>>>0&F>>>0<m>>>0){J=F;K=H}else{J=I<<16>>16>-1?((F|0)<(m|0)?F:a):0;K=G<<16>>16>-1?((H|0)<(l|0)?H:h):0}H=r+((Y(J,s)|0)+K)|0;b[C+E>>0]=b[H>>0]|0;E=E+1|0}while((E|0)!=(v|0));break}case 0:{E=0;do{H=E<<1;G=d[D+(H<<1)>>1]|0;F=d[D+((H|1)<<1)>>1]|0;H=r+((Y(F,s)|0)+G)|0;b[C+E>>0]=b[(G>>>0<l>>>0&F>>>0<m>>>0?H:j)>>0]|0;E=E+1|0}while((E|0)!=(v|0));break}default:{E=0;do{H=E<<1;F=d[D+(H<<1)>>1]|0;G=d[D+((H|1)<<1)>>1]|0;if(!(F>>>0<l>>>0&G>>>0<m>>>0)){if(!A){H=LI(F,l,g)|0;L=H;M=LI(G,m,g)|0;y=28}}else{L=F;M=G;y=28}if((y|0)==28){y=0;G=r+((Y(M,s)|0)+L)|0;b[C+E>>0]=b[G>>0]|0}E=E+1|0}while((E|0)!=(v|0))}}}else if(k){if(A){E=0;G=C;while(1){F=E<<1;H=d[D+(F<<1)>>1]|0;I=d[D+((F|1)<<1)>>1]|0;do if(H>>>0<l>>>0&I>>>0<m>>>0){F=r+(Y(I,s)|0)|0;if(t){N=F+(H*3|0)|0;b[G>>0]=b[N>>0]|0;b[G+1>>0]=b[N+1>>0]|0;b[G+2>>0]=b[N+2>>0]|0;break}if(z){N=F+(H<<2)|0;b[G>>0]=b[N>>0]|0;b[G+1>>0]=b[N+1>>0]|0;b[G+2>>0]=b[N+2>>0]|0;b[G+3>>0]=b[N+3>>0]|0;break}N=F+(Y(H,q)|0)|0;F=0;do{b[G+F>>0]=b[N+F>>0]|0;F=F+1|0}while((F|0)!=(q|0))}while(0);E=E+1|0;if((E|0)==(v|0))break a;else G=G+q|0}}else{O=0;P=C}while(1){G=O<<1;E=d[D+(G<<1)>>1]|0;H=E<<16>>16;I=d[D+((G|1)<<1)>>1]|0;G=I<<16>>16;b:do if(H>>>0<l>>>0&G>>>0<m>>>0){F=r+(Y(G,s)|0)|0;if(t){N=F+(H*3|0)|0;b[P>>0]=b[N>>0]|0;b[P+1>>0]=b[N+1>>0]|0;b[P+2>>0]=b[N+2>>0]|0;break}if(z){N=F+(H<<2)|0;b[P>>0]=b[N>>0]|0;b[P+1>>0]=b[N+1>>0]|0;b[P+2>>0]=b[N+2>>0]|0;b[P+3>>0]=b[N+3>>0]|0;break}N=F+(Y(H,q)|0)|0;F=0;do{b[P+F>>0]=b[N+F>>0]|0;F=F+1|0}while((F|0)!=(q|0))}else{switch(g|0){case 5:{break b;break}case 1:{Q=r+(Y(I<<16>>16>-1?((G|0)<(m|0)?G:a):0,s)|0)+(Y(E<<16>>16>-1?((H|0)<(l|0)?H:h):0,q)|0)|0;break}case 0:{Q=j;break}default:{F=LI(H,l,g)|0;Q=r+(Y(LI(G,m,g)|0,s)|0)+(Y(F,q)|0)|0}}F=0;do{b[P+F>>0]=b[Q+F>>0]|0;F=F+1|0}while((F|0)!=(q|0))}while(0);O=O+1|0;if((O|0)==(v|0))break;else P=P+q|0}}while(0);B=B+1|0}while((B|0)!=(w|0));u=i;return}function F1(a,b,c,e,g){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0;h=u;u=u+1024|0;i=h;j=f[a+40>>2]|0;k=f[j+4>>2]|0;l=f[j>>2]|0;j=f[b+40>>2]|0;m=f[j+4>>2]|0;n=f[j>>2]|0;j=(f[a>>2]|0)>>>3&511;o=j+1|0;q=f[a+16>>2]|0;r=f[a+48>>2]|0;a=0;do{s=Fhc(+p[g+((a&3)<<3)>>3])|0;d[i+(a<<1)>>1]=s>>>0<65536?s:(s|0)>0?65535:0;a=a+1|0}while((a|0)!=(o|0));a=r>>>1;if(f[b>>2]&16384){r=(f[c>>2]&16384|0)!=0;g=Y(r?n:1,m)|0;if(r){t=g;v=1}else{w=g;x=5}}else{w=m;x=5}if((x|0)==5)if((n|0)>0){t=w;v=n}else{u=h;return}n=b+16|0;w=b+44|0;b=c+16|0;m=c+44|0;c=(j|0)==0;j=(t|0)>0;g=k+-1|0;r=l+-1|0;s=(o|0)==3;y=(o|0)==4;z=(e|0)==5;A=0;do{B=(f[n>>2]|0)+(Y(f[f[w>>2]>>2]|0,A)|0)|0;C=(f[b>>2]|0)+(Y(f[f[m>>2]>>2]|0,A)|0)|0;a:do if(c){if(j)switch(e|0){case 1:{D=0;do{E=D<<1;F=d[C+(E<<1)>>1]|0;G=F<<16>>16;H=d[C+((E|1)<<1)>>1]|0;E=H<<16>>16;if(G>>>0<k>>>0&E>>>0<l>>>0){I=E;J=G}else{I=H<<16>>16>-1?((E|0)<(l|0)?E:r):0;J=F<<16>>16>-1?((G|0)<(k|0)?G:g):0}G=q+((Y(I,a)|0)+J<<1)|0;d[B+(D<<1)>>1]=d[G>>1]|0;D=D+1|0}while((D|0)!=(t|0));break}case 0:{D=0;do{G=D<<1;F=d[C+(G<<1)>>1]|0;E=d[C+((G|1)<<1)>>1]|0;if(F>>>0<k>>>0&E>>>0<l>>>0)K=q+((Y(E,a)|0)+F<<1)|0;else K=i;d[B+(D<<1)>>1]=d[K>>1]|0;D=D+1|0}while((D|0)!=(t|0));break}default:{D=0;do{F=D<<1;E=d[C+(F<<1)>>1]|0;G=d[C+((F|1)<<1)>>1]|0;if(!(E>>>0<k>>>0&G>>>0<l>>>0)){if(!z){F=LI(E,k,e)|0;L=F;M=LI(G,l,e)|0;x=30}}else{L=E;M=G;x=30}if((x|0)==30){x=0;G=q+((Y(M,a)|0)+L<<1)|0;d[B+(D<<1)>>1]=d[G>>1]|0}D=D+1|0}while((D|0)!=(t|0))}}}else if(j){if(z){D=0;G=B;while(1){E=D<<1;F=d[C+(E<<1)>>1]|0;H=d[C+((E|1)<<1)>>1]|0;do if(F>>>0<k>>>0&H>>>0<l>>>0){E=q+((Y(H,a)|0)<<1)|0;if(s){N=E+(F*3<<1)|0;d[G>>1]=d[N>>1]|0;d[G+2>>1]=d[N+2>>1]|0;d[G+4>>1]=d[N+4>>1]|0;break}if(y){N=E+(F<<2<<1)|0;d[G>>1]=d[N>>1]|0;d[G+2>>1]=d[N+2>>1]|0;d[G+4>>1]=d[N+4>>1]|0;d[G+6>>1]=d[N+6>>1]|0;break}N=E+((Y(F,o)|0)<<1)|0;E=0;do{d[G+(E<<1)>>1]=d[N+(E<<1)>>1]|0;E=E+1|0}while((E|0)!=(o|0))}while(0);D=D+1|0;if((D|0)==(t|0))break a;else G=G+(o<<1)|0}}else{O=0;P=B}while(1){G=O<<1;D=d[C+(G<<1)>>1]|0;F=D<<16>>16;H=d[C+((G|1)<<1)>>1]|0;G=H<<16>>16;b:do if(F>>>0<k>>>0&G>>>0<l>>>0){E=q+((Y(G,a)|0)<<1)|0;if(s){N=E+(F*3<<1)|0;d[P>>1]=d[N>>1]|0;d[P+2>>1]=d[N+2>>1]|0;d[P+4>>1]=d[N+4>>1]|0;break}if(y){N=E+(F<<2<<1)|0;d[P>>1]=d[N>>1]|0;d[P+2>>1]=d[N+2>>1]|0;d[P+4>>1]=d[N+4>>1]|0;d[P+6>>1]=d[N+6>>1]|0;break}N=E+((Y(F,o)|0)<<1)|0;E=0;do{d[P+(E<<1)>>1]=d[N+(E<<1)>>1]|0;E=E+1|0}while((E|0)!=(o|0))}else{switch(e|0){case 5:{break b;break}case 1:{Q=q+((Y(H<<16>>16>-1?((G|0)<(l|0)?G:r):0,a)|0)<<1)+((Y(D<<16>>16>-1?((F|0)<(k|0)?F:g):0,o)|0)<<1)|0;break}case 0:{Q=i;break}default:{E=LI(F,k,e)|0;Q=q+((Y(LI(G,l,e)|0,a)|0)<<1)+((Y(E,o)|0)<<1)|0}}E=0;do{d[P+(E<<1)>>1]=d[Q+(E<<1)>>1]|0;E=E+1|0}while((E|0)!=(o|0))}while(0);O=O+1|0;if((O|0)==(t|0))break;else P=P+(o<<1)|0}}while(0);A=A+1|0}while((A|0)!=(v|0));u=h;return}function G1(a,b,c,e,g){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0;h=u;u=u+1024|0;i=h;j=f[a+40>>2]|0;k=f[j+4>>2]|0;l=f[j>>2]|0;j=f[b+40>>2]|0;m=f[j+4>>2]|0;n=f[j>>2]|0;j=(f[a>>2]|0)>>>3&511;o=j+1|0;q=f[a+16>>2]|0;r=f[a+48>>2]|0;a=0;do{s=Fhc(+p[g+((a&3)<<3)>>3])|0;d[i+(a<<1)>>1]=(s+32768|0)>>>0<65536?s:(s|0)>0?32767:32768;a=a+1|0}while((a|0)!=(o|0));a=r>>>1;if(f[b>>2]&16384){r=(f[c>>2]&16384|0)!=0;g=Y(r?n:1,m)|0;if(r){t=g;v=1}else{w=g;x=5}}else{w=m;x=5}if((x|0)==5)if((n|0)>0){t=w;v=n}else{u=h;return}n=b+16|0;w=b+44|0;b=c+16|0;m=c+44|0;c=(j|0)==0;j=(t|0)>0;g=k+-1|0;r=l+-1|0;s=(o|0)==3;y=(o|0)==4;z=(e|0)==5;A=0;do{B=(f[n>>2]|0)+(Y(f[f[w>>2]>>2]|0,A)|0)|0;C=(f[b>>2]|0)+(Y(f[f[m>>2]>>2]|0,A)|0)|0;a:do if(c){if(j)switch(e|0){case 1:{D=0;do{E=D<<1;F=d[C+(E<<1)>>1]|0;G=F<<16>>16;H=d[C+((E|1)<<1)>>1]|0;E=H<<16>>16;if(G>>>0<k>>>0&E>>>0<l>>>0){I=E;J=G}else{I=H<<16>>16>-1?((E|0)<(l|0)?E:r):0;J=F<<16>>16>-1?((G|0)<(k|0)?G:g):0}G=q+((Y(I,a)|0)+J<<1)|0;d[B+(D<<1)>>1]=d[G>>1]|0;D=D+1|0}while((D|0)!=(t|0));break}case 0:{D=0;do{G=D<<1;F=d[C+(G<<1)>>1]|0;E=d[C+((G|1)<<1)>>1]|0;if(F>>>0<k>>>0&E>>>0<l>>>0)K=q+((Y(E,a)|0)+F<<1)|0;else K=i;d[B+(D<<1)>>1]=d[K>>1]|0;D=D+1|0}while((D|0)!=(t|0));break}default:{D=0;do{F=D<<1;E=d[C+(F<<1)>>1]|0;G=d[C+((F|1)<<1)>>1]|0;if(!(E>>>0<k>>>0&G>>>0<l>>>0)){if(!z){F=LI(E,k,e)|0;L=F;M=LI(G,l,e)|0;x=30}}else{L=E;M=G;x=30}if((x|0)==30){x=0;G=q+((Y(M,a)|0)+L<<1)|0;d[B+(D<<1)>>1]=d[G>>1]|0}D=D+1|0}while((D|0)!=(t|0))}}}else if(j){if(z){D=0;G=B;while(1){E=D<<1;F=d[C+(E<<1)>>1]|0;H=d[C+((E|1)<<1)>>1]|0;do if(F>>>0<k>>>0&H>>>0<l>>>0){E=q+((Y(H,a)|0)<<1)|0;if(s){N=E+(F*3<<1)|0;d[G>>1]=d[N>>1]|0;d[G+2>>1]=d[N+2>>1]|0;d[G+4>>1]=d[N+4>>1]|0;break}if(y){N=E+(F<<2<<1)|0;d[G>>1]=d[N>>1]|0;d[G+2>>1]=d[N+2>>1]|0;d[G+4>>1]=d[N+4>>1]|0;d[G+6>>1]=d[N+6>>1]|0;break}N=E+((Y(F,o)|0)<<1)|0;E=0;do{d[G+(E<<1)>>1]=d[N+(E<<1)>>1]|0;E=E+1|0}while((E|0)!=(o|0))}while(0);D=D+1|0;if((D|0)==(t|0))break a;else G=G+(o<<1)|0}}else{O=0;P=B}while(1){G=O<<1;D=d[C+(G<<1)>>1]|0;F=D<<16>>16;H=d[C+((G|1)<<1)>>1]|0;G=H<<16>>16;b:do if(F>>>0<k>>>0&G>>>0<l>>>0){E=q+((Y(G,a)|0)<<1)|0;if(s){N=E+(F*3<<1)|0;d[P>>1]=d[N>>1]|0;d[P+2>>1]=d[N+2>>1]|0;d[P+4>>1]=d[N+4>>1]|0;break}if(y){N=E+(F<<2<<1)|0;d[P>>1]=d[N>>1]|0;d[P+2>>1]=d[N+2>>1]|0;d[P+4>>1]=d[N+4>>1]|0;d[P+6>>1]=d[N+6>>1]|0;break}N=E+((Y(F,o)|0)<<1)|0;E=0;do{d[P+(E<<1)>>1]=d[N+(E<<1)>>1]|0;E=E+1|0}while((E|0)!=(o|0))}else{switch(e|0){case 5:{break b;break}case 1:{Q=q+((Y(H<<16>>16>-1?((G|0)<(l|0)?G:r):0,a)|0)<<1)+((Y(D<<16>>16>-1?((F|0)<(k|0)?F:g):0,o)|0)<<1)|0;break}case 0:{Q=i;break}default:{E=LI(F,k,e)|0;Q=q+((Y(LI(G,l,e)|0,a)|0)<<1)+((Y(E,o)|0)<<1)|0}}E=0;do{d[P+(E<<1)>>1]=d[Q+(E<<1)>>1]|0;E=E+1|0}while((E|0)!=(o|0))}while(0);O=O+1|0;if((O|0)==(t|0))break;else P=P+(o<<1)|0}}while(0);A=A+1|0}while((A|0)!=(v|0));u=h;return}function H1(a,b,c,e,g){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0;h=u;u=u+2048|0;i=h;j=f[a+40>>2]|0;k=f[j+4>>2]|0;l=f[j>>2]|0;j=f[b+40>>2]|0;m=f[j+4>>2]|0;n=f[j>>2]|0;j=(f[a>>2]|0)>>>3&511;o=j+1|0;q=f[a+16>>2]|0;r=f[a+48>>2]|0;a=0;do{s=Fhc(+p[g+((a&3)<<3)>>3])|0;f[i+(a<<2)>>2]=s;a=a+1|0}while((a|0)!=(o|0));a=r>>>2;if(f[b>>2]&16384){r=(f[c>>2]&16384|0)!=0;g=Y(r?n:1,m)|0;if(r){t=g;v=1}else{w=g;x=5}}else{w=m;x=5}if((x|0)==5)if((n|0)>0){t=w;v=n}else{u=h;return}n=b+16|0;w=b+44|0;b=c+16|0;m=c+44|0;c=(j|0)==0;j=(t|0)>0;g=k+-1|0;r=l+-1|0;s=(o|0)==3;y=(o|0)==4;z=(e|0)==5;A=0;do{B=(f[n>>2]|0)+(Y(f[f[w>>2]>>2]|0,A)|0)|0;C=(f[b>>2]|0)+(Y(f[f[m>>2]>>2]|0,A)|0)|0;a:do if(c){if(j)switch(e|0){case 1:{D=0;do{E=D<<1;F=d[C+(E<<1)>>1]|0;G=F<<16>>16;H=d[C+((E|1)<<1)>>1]|0;E=H<<16>>16;if(G>>>0<k>>>0&E>>>0<l>>>0){I=E;J=G}else{I=H<<16>>16>-1?((E|0)<(l|0)?E:r):0;J=F<<16>>16>-1?((G|0)<(k|0)?G:g):0}G=q+((Y(I,a)|0)+J<<2)|0;f[B+(D<<2)>>2]=f[G>>2];D=D+1|0}while((D|0)!=(t|0));break}case 0:{D=0;do{G=D<<1;F=d[C+(G<<1)>>1]|0;E=d[C+((G|1)<<1)>>1]|0;if(F>>>0<k>>>0&E>>>0<l>>>0)K=q+((Y(E,a)|0)+F<<2)|0;else K=i;f[B+(D<<2)>>2]=f[K>>2];D=D+1|0}while((D|0)!=(t|0));break}default:{D=0;do{F=D<<1;E=d[C+(F<<1)>>1]|0;G=d[C+((F|1)<<1)>>1]|0;if(!(E>>>0<k>>>0&G>>>0<l>>>0)){if(!z){F=LI(E,k,e)|0;L=F;M=LI(G,l,e)|0;x=30}}else{L=E;M=G;x=30}if((x|0)==30){x=0;G=q+((Y(M,a)|0)+L<<2)|0;f[B+(D<<2)>>2]=f[G>>2]}D=D+1|0}while((D|0)!=(t|0))}}}else if(j){if(z){D=0;G=B;while(1){E=D<<1;F=d[C+(E<<1)>>1]|0;H=d[C+((E|1)<<1)>>1]|0;do if(F>>>0<k>>>0&H>>>0<l>>>0){E=q+((Y(H,a)|0)<<2)|0;if(s){N=E+(F*3<<2)|0;f[G>>2]=f[N>>2];f[G+4>>2]=f[N+4>>2];f[G+8>>2]=f[N+8>>2];break}if(y){N=E+(F<<2<<2)|0;f[G>>2]=f[N>>2];f[G+4>>2]=f[N+4>>2];f[G+8>>2]=f[N+8>>2];f[G+12>>2]=f[N+12>>2];break}N=E+((Y(F,o)|0)<<2)|0;E=0;do{f[G+(E<<2)>>2]=f[N+(E<<2)>>2];E=E+1|0}while((E|0)!=(o|0))}while(0);D=D+1|0;if((D|0)==(t|0))break a;else G=G+(o<<2)|0}}else{O=0;P=B}while(1){G=O<<1;D=d[C+(G<<1)>>1]|0;F=D<<16>>16;H=d[C+((G|1)<<1)>>1]|0;G=H<<16>>16;b:do if(F>>>0<k>>>0&G>>>0<l>>>0){E=q+((Y(G,a)|0)<<2)|0;if(s){N=E+(F*3<<2)|0;f[P>>2]=f[N>>2];f[P+4>>2]=f[N+4>>2];f[P+8>>2]=f[N+8>>2];break}if(y){N=E+(F<<2<<2)|0;f[P>>2]=f[N>>2];f[P+4>>2]=f[N+4>>2];f[P+8>>2]=f[N+8>>2];f[P+12>>2]=f[N+12>>2];break}N=E+((Y(F,o)|0)<<2)|0;E=0;do{f[P+(E<<2)>>2]=f[N+(E<<2)>>2];E=E+1|0}while((E|0)!=(o|0))}else{switch(e|0){case 5:{break b;break}case 1:{Q=q+((Y(H<<16>>16>-1?((G|0)<(l|0)?G:r):0,a)|0)<<2)+((Y(D<<16>>16>-1?((F|0)<(k|0)?F:g):0,o)|0)<<2)|0;break}case 0:{Q=i;break}default:{E=LI(F,k,e)|0;Q=q+((Y(LI(G,l,e)|0,a)|0)<<2)+((Y(E,o)|0)<<2)|0}}E=0;do{f[P+(E<<2)>>2]=f[Q+(E<<2)>>2];E=E+1|0}while((E|0)!=(o|0))}while(0);O=O+1|0;if((O|0)==(t|0))break;else P=P+(o<<2)|0}}while(0);A=A+1|0}while((A|0)!=(v|0));u=h;return}function I1(a,b,c,e,g){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0;h=u;u=u+2048|0;i=h;j=f[a+40>>2]|0;k=f[j+4>>2]|0;l=f[j>>2]|0;j=f[b+40>>2]|0;m=f[j+4>>2]|0;o=f[j>>2]|0;j=(f[a>>2]|0)>>>3&511;q=j+1|0;r=f[a+16>>2]|0;s=f[a+48>>2]|0;a=0;do{n[i+(a<<2)>>2]=+p[g+((a&3)<<3)>>3];a=a+1|0}while((a|0)!=(q|0));a=s>>>2;if(f[b>>2]&16384){s=(f[c>>2]&16384|0)!=0;g=Y(s?o:1,m)|0;if(s){t=g;v=1}else{w=g;x=5}}else{w=m;x=5}if((x|0)==5)if((o|0)>0){t=w;v=o}else{u=h;return}o=b+16|0;w=b+44|0;b=c+16|0;m=c+44|0;c=(j|0)==0;j=(t|0)>0;g=k+-1|0;s=l+-1|0;y=(q|0)==3;z=(q|0)==4;A=(e|0)==5;B=0;do{C=(f[o>>2]|0)+(Y(f[f[w>>2]>>2]|0,B)|0)|0;D=(f[b>>2]|0)+(Y(f[f[m>>2]>>2]|0,B)|0)|0;a:do if(c){if(j)switch(e|0){case 1:{E=0;do{F=E<<1;G=d[D+(F<<1)>>1]|0;H=G<<16>>16;I=d[D+((F|1)<<1)>>1]|0;F=I<<16>>16;if(H>>>0<k>>>0&F>>>0<l>>>0){J=F;K=H}else{J=I<<16>>16>-1?((F|0)<(l|0)?F:s):0;K=G<<16>>16>-1?((H|0)<(k|0)?H:g):0}H=r+((Y(J,a)|0)+K<<2)|0;f[C+(E<<2)>>2]=f[H>>2];E=E+1|0}while((E|0)!=(t|0));break}case 0:{E=0;do{H=E<<1;G=d[D+(H<<1)>>1]|0;F=d[D+((H|1)<<1)>>1]|0;if(G>>>0<k>>>0&F>>>0<l>>>0)L=r+((Y(F,a)|0)+G<<2)|0;else L=i;f[C+(E<<2)>>2]=f[L>>2];E=E+1|0}while((E|0)!=(t|0));break}default:{E=0;do{G=E<<1;F=d[D+(G<<1)>>1]|0;H=d[D+((G|1)<<1)>>1]|0;if(!(F>>>0<k>>>0&H>>>0<l>>>0)){if(!A){G=LI(F,k,e)|0;M=G;N=LI(H,l,e)|0;x=30}}else{M=F;N=H;x=30}if((x|0)==30){x=0;H=r+((Y(N,a)|0)+M<<2)|0;f[C+(E<<2)>>2]=f[H>>2]}E=E+1|0}while((E|0)!=(t|0))}}}else if(j){if(A){E=0;H=C;while(1){F=E<<1;G=d[D+(F<<1)>>1]|0;I=d[D+((F|1)<<1)>>1]|0;do if(G>>>0<k>>>0&I>>>0<l>>>0){F=r+((Y(I,a)|0)<<2)|0;if(y){O=F+(G*3<<2)|0;f[H>>2]=f[O>>2];f[H+4>>2]=f[O+4>>2];f[H+8>>2]=f[O+8>>2];break}if(z){O=F+(G<<2<<2)|0;f[H>>2]=f[O>>2];f[H+4>>2]=f[O+4>>2];f[H+8>>2]=f[O+8>>2];f[H+12>>2]=f[O+12>>2];break}O=F+((Y(G,q)|0)<<2)|0;F=0;do{f[H+(F<<2)>>2]=f[O+(F<<2)>>2];F=F+1|0}while((F|0)!=(q|0))}while(0);E=E+1|0;if((E|0)==(t|0))break a;else H=H+(q<<2)|0}}else{P=0;Q=C}while(1){H=P<<1;E=d[D+(H<<1)>>1]|0;G=E<<16>>16;I=d[D+((H|1)<<1)>>1]|0;H=I<<16>>16;b:do if(G>>>0<k>>>0&H>>>0<l>>>0){F=r+((Y(H,a)|0)<<2)|0;if(y){O=F+(G*3<<2)|0;f[Q>>2]=f[O>>2];f[Q+4>>2]=f[O+4>>2];f[Q+8>>2]=f[O+8>>2];break}if(z){O=F+(G<<2<<2)|0;f[Q>>2]=f[O>>2];f[Q+4>>2]=f[O+4>>2];f[Q+8>>2]=f[O+8>>2];f[Q+12>>2]=f[O+12>>2];break}O=F+((Y(G,q)|0)<<2)|0;F=0;do{f[Q+(F<<2)>>2]=f[O+(F<<2)>>2];F=F+1|0}while((F|0)!=(q|0))}else{switch(e|0){case 5:{break b;break}case 1:{R=r+((Y(I<<16>>16>-1?((H|0)<(l|0)?H:s):0,a)|0)<<2)+((Y(E<<16>>16>-1?((G|0)<(k|0)?G:g):0,q)|0)<<2)|0;break}case 0:{R=i;break}default:{F=LI(G,k,e)|0;R=r+((Y(LI(H,l,e)|0,a)|0)<<2)+((Y(F,q)|0)<<2)|0}}F=0;do{f[Q+(F<<2)>>2]=f[R+(F<<2)>>2];F=F+1|0}while((F|0)!=(q|0))}while(0);P=P+1|0;if((P|0)==(t|0))break;else Q=Q+(q<<2)|0}}while(0);B=B+1|0}while((B|0)!=(v|0));u=h;return}function J1(a,b,c,e,g){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0;h=u;u=u+4096|0;i=h;j=f[a+40>>2]|0;k=f[j+4>>2]|0;l=f[j>>2]|0;j=f[b+40>>2]|0;m=f[j+4>>2]|0;n=f[j>>2]|0;j=(f[a>>2]|0)>>>3&511;o=j+1|0;q=f[a+16>>2]|0;r=f[a+48>>2]|0;a=0;do{p[i+(a<<3)>>3]=+p[g+((a&3)<<3)>>3];a=a+1|0}while((a|0)!=(o|0));a=r>>>3;if(f[b>>2]&16384){r=(f[c>>2]&16384|0)!=0;g=Y(r?n:1,m)|0;if(r){s=g;t=1}else{v=g;w=5}}else{v=m;w=5}if((w|0)==5)if((n|0)>0){s=v;t=n}else{u=h;return}n=b+16|0;v=b+44|0;b=c+16|0;m=c+44|0;c=(j|0)==0;j=(s|0)>0;g=k+-1|0;r=l+-1|0;x=(o|0)==3;y=(o|0)==4;z=(e|0)==5;A=0;do{B=(f[n>>2]|0)+(Y(f[f[v>>2]>>2]|0,A)|0)|0;C=(f[b>>2]|0)+(Y(f[f[m>>2]>>2]|0,A)|0)|0;a:do if(c){if(j)switch(e|0){case 1:{D=0;do{E=D<<1;F=d[C+(E<<1)>>1]|0;G=F<<16>>16;H=d[C+((E|1)<<1)>>1]|0;E=H<<16>>16;if(G>>>0<k>>>0&E>>>0<l>>>0){I=E;J=G}else{I=H<<16>>16>-1?((E|0)<(l|0)?E:r):0;J=F<<16>>16>-1?((G|0)<(k|0)?G:g):0}G=q+((Y(I,a)|0)+J<<3)|0;p[B+(D<<3)>>3]=+p[G>>3];D=D+1|0}while((D|0)!=(s|0));break}case 0:{D=0;do{G=D<<1;F=d[C+(G<<1)>>1]|0;E=d[C+((G|1)<<1)>>1]|0;if(F>>>0<k>>>0&E>>>0<l>>>0)K=q+((Y(E,a)|0)+F<<3)|0;else K=i;p[B+(D<<3)>>3]=+p[K>>3];D=D+1|0}while((D|0)!=(s|0));break}default:{D=0;do{F=D<<1;E=d[C+(F<<1)>>1]|0;G=d[C+((F|1)<<1)>>1]|0;if(!(E>>>0<k>>>0&G>>>0<l>>>0)){if(!z){F=LI(E,k,e)|0;L=F;M=LI(G,l,e)|0;w=30}}else{L=E;M=G;w=30}if((w|0)==30){w=0;G=q+((Y(M,a)|0)+L<<3)|0;p[B+(D<<3)>>3]=+p[G>>3]}D=D+1|0}while((D|0)!=(s|0))}}}else if(j){if(z){D=0;G=B;while(1){E=D<<1;F=d[C+(E<<1)>>1]|0;H=d[C+((E|1)<<1)>>1]|0;do if(F>>>0<k>>>0&H>>>0<l>>>0){E=q+((Y(H,a)|0)<<3)|0;if(x){N=E+(F*3<<3)|0;p[G>>3]=+p[N>>3];p[G+8>>3]=+p[N+8>>3];p[G+16>>3]=+p[N+16>>3];break}if(y){N=E+(F<<2<<3)|0;p[G>>3]=+p[N>>3];p[G+8>>3]=+p[N+8>>3];p[G+16>>3]=+p[N+16>>3];p[G+24>>3]=+p[N+24>>3];break}N=E+((Y(F,o)|0)<<3)|0;E=0;do{p[G+(E<<3)>>3]=+p[N+(E<<3)>>3];E=E+1|0}while((E|0)!=(o|0))}while(0);D=D+1|0;if((D|0)==(s|0))break a;else G=G+(o<<3)|0}}else{O=0;P=B}while(1){G=O<<1;D=d[C+(G<<1)>>1]|0;F=D<<16>>16;H=d[C+((G|1)<<1)>>1]|0;G=H<<16>>16;b:do if(F>>>0<k>>>0&G>>>0<l>>>0){E=q+((Y(G,a)|0)<<3)|0;if(x){N=E+(F*3<<3)|0;p[P>>3]=+p[N>>3];p[P+8>>3]=+p[N+8>>3];p[P+16>>3]=+p[N+16>>3];break}if(y){N=E+(F<<2<<3)|0;p[P>>3]=+p[N>>3];p[P+8>>3]=+p[N+8>>3];p[P+16>>3]=+p[N+16>>3];p[P+24>>3]=+p[N+24>>3];break}N=E+((Y(F,o)|0)<<3)|0;E=0;do{p[P+(E<<3)>>3]=+p[N+(E<<3)>>3];E=E+1|0}while((E|0)!=(o|0))}else{switch(e|0){case 5:{break b;break}case 1:{Q=q+((Y(H<<16>>16>-1?((G|0)<(l|0)?G:r):0,a)|0)<<3)+((Y(D<<16>>16>-1?((F|0)<(k|0)?F:g):0,o)|0)<<3)|0;break}case 0:{Q=i;break}default:{E=LI(F,k,e)|0;Q=q+((Y(LI(G,l,e)|0,a)|0)<<3)+((Y(E,o)|0)<<3)|0}}E=0;do{p[P+(E<<3)>>3]=+p[Q+(E<<3)>>3];E=E+1|0}while((E|0)!=(o|0))}while(0);O=O+1|0;if((O|0)==(s|0))break;else P=P+(o<<3)|0}}while(0);A=A+1|0}while((A|0)!=(t|0));u=h;return}function K1(a,b,c,d,e,g,h,i,j,k,l,m,n){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0.0,B=0.0,C=0.0,D=0;o=u;u=u+1408|0;q=o+1352|0;r=o+1288|0;s=o+1296|0;t=o+208|0;v=o+224|0;w=o+216|0;x=o+32|0;y=o;f[r>>2]=d;f[r+4>>2]=e;zD(q,r,a,b,c);f[t>>2]=i;f[t+4>>2]=j;zD(s,t,a,g,h);h=s+12|0;g=f[h>>2]|0;a=g<<1;t=v+8|0;f[v>>2]=t;j=v+4|0;f[j>>2]=a;if(a>>>0>264){i=euc(a>>>0>1073741823?-1:a<<2)|0;f[v>>2]=i;z=i}else z=t;i=z+(g<<2)|0;if((g|0)>0){A=+p[k>>3];B=+p[k+24>>3];g=f[h>>2]|0;a=0;do{C=+(a|0);c=Fhc(C*A*1024.0)|0;f[z+(a<<2)>>2]=c;c=Fhc(C*B*1024.0)|0;f[i+(a<<2)>>2]=c;a=a+1|0}while((a|0)<(g|0))}g=s+8|0;a=f[g>>2]|0;f[w>>2]=0;f[w+4>>2]=a;B=+p[n+8>>3];A=+p[n+16>>3];C=+p[n+24>>3];p[y>>3]=+p[n>>3];p[y+8>>3]=B;p[y+16>>3]=A;p[y+24>>3]=C;L1(x,q,s,l,m,y,z,i,k);k=s+4|0;i=f[k>>2]|0;if((i|0)<3)D=Y(f[h>>2]|0,f[g>>2]|0)|0;else{g=f[s+40>>2]|0;h=0;z=1;while(1){y=Y(f[g+(h<<2)>>2]|0,z)|0;h=h+1|0;if((h|0)==(i|0)){D=y;break}else z=y}}sZ(w,x,+(D>>>0)*.0000152587890625);M1(x);x=f[v>>2]|0;if((x|0)!=(t|0)){if(x|0)guc(x);f[v>>2]=t;f[j>>2]=264}j=s+36|0;t=f[j>>2]|0;if(t|0?(v=t+12|0,t=f[v>>2]|0,f[v>>2]=t+-1,(t|0)==1):0)aU(s);f[j>>2]=0;j=s+16|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;if((f[k>>2]|0)>0){j=f[s+40>>2]|0;t=0;do{f[j+(t<<2)>>2]=0;t=t+1|0}while((t|0)<(f[k>>2]|0))}k=f[s+44>>2]|0;if((k|0)!=(s+48|0))TC(k);k=q+36|0;s=f[k>>2]|0;if(s|0?(t=s+12|0,s=f[t>>2]|0,f[t>>2]=s+-1,(s|0)==1):0)aU(q);f[k>>2]=0;k=q+16|0;s=q+4|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;if((f[s>>2]|0)>0){k=f[q+40>>2]|0;t=0;do{f[k+(t<<2)>>2]=0;t=t+1|0}while((t|0)<(f[s>>2]|0))}s=f[q+44>>2]|0;if((s|0)==(q+48|0)){u=o;return}TC(s);u=o;return}function L1(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0.0,u=0,v=0,w=0.0,x=0,y=0,z=0.0,A=0,B=0,C=0.0,D=0,E=0,F=0,G=0;f[a>>2]=50928;k=a+4|0;f[k>>2]=f[b>>2];l=a+8|0;m=b+4|0;f[l>>2]=f[m>>2];n=a+12|0;f[n>>2]=f[b+8>>2];f[a+16>>2]=f[b+12>>2];f[a+20>>2]=f[b+16>>2];f[a+24>>2]=f[b+20>>2];f[a+28>>2]=f[b+24>>2];f[a+32>>2]=f[b+28>>2];f[a+36>>2]=f[b+32>>2];o=f[b+36>>2]|0;f[a+40>>2]=o;f[a+44>>2]=n;n=a+52|0;q=a+48|0;f[q>>2]=n;f[n>>2]=0;f[a+56>>2]=0;if(o|0){n=o+12|0;f[n>>2]=(f[n>>2]|0)+1}if((f[m>>2]|0)<3){m=f[b+44>>2]|0;n=f[q>>2]|0;f[n>>2]=f[m>>2];f[n+4>>2]=f[m+4>>2]}else{f[l>>2]=0;$T(k,b)}b=a+60|0;f[b>>2]=f[c>>2];k=a+64|0;l=c+4|0;f[k>>2]=f[l>>2];m=a+68|0;f[m>>2]=f[c+8>>2];f[a+72>>2]=f[c+12>>2];f[a+76>>2]=f[c+16>>2];f[a+80>>2]=f[c+20>>2];f[a+84>>2]=f[c+24>>2];f[a+88>>2]=f[c+28>>2];f[a+92>>2]=f[c+32>>2];n=f[c+36>>2]|0;f[a+96>>2]=n;f[a+100>>2]=m;m=a+108|0;q=a+104|0;f[q>>2]=m;f[m>>2]=0;f[a+112>>2]=0;if(n|0){m=n+12|0;f[m>>2]=(f[m>>2]|0)+1}if((f[l>>2]|0)<3){l=f[c+44>>2]|0;m=f[q>>2]|0;f[m>>2]=f[l>>2];f[m+4>>2]=f[l+4>>2];r=a+116|0;f[r>>2]=d;s=a+120|0;f[s>>2]=e;t=+p[g>>3];u=a+128|0;p[u>>3]=t;v=g+8|0;w=+p[v>>3];x=a+136|0;p[x>>3]=w;y=g+16|0;z=+p[y>>3];A=a+144|0;p[A>>3]=z;B=g+24|0;C=+p[B>>3];D=a+152|0;p[D>>3]=C;E=a+160|0;f[E>>2]=h;F=a+164|0;f[F>>2]=i;G=a+168|0;f[G>>2]=j;return}else{f[k>>2]=0;$T(b,c);r=a+116|0;f[r>>2]=d;s=a+120|0;f[s>>2]=e;t=+p[g>>3];u=a+128|0;p[u>>3]=t;v=g+8|0;w=+p[v>>3];x=a+136|0;p[x>>3]=w;y=g+16|0;z=+p[y>>3];A=a+144|0;p[A>>3]=z;B=g+24|0;C=+p[B>>3];D=a+152|0;p[D>>3]=C;E=a+160|0;f[E>>2]=h;F=a+164|0;f[F>>2]=i;G=a+168|0;f[G>>2]=j;return}}function M1(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=50928;b=a+60|0;c=a+96|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+76|0;b=a+64|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+100>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+104>>2]|0;if((b|0)!=(a+108|0))TC(b);b=a+4|0;d=a+40|0;c=f[d>>2]|0;if(c|0?(e=c+12|0,c=f[e>>2]|0,f[e>>2]=c+-1,(c|0)==1):0)aU(b);f[d>>2]=0;d=a+20|0;b=a+8|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[b>>2]|0)>0){d=f[a+44>>2]|0;c=0;do{f[d+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[b>>2]|0))}b=f[a+48>>2]|0;if((b|0)==(a+52|0))return;TC(b);return}function N1(a){a=a|0;M1(a);fuc(a);return}function O1(a,b){a=a|0;b=b|0;var c=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0.0,eb=0.0,fb=0.0,gb=0.0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0.0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0;c=u;u=u+24912|0;e=c+8520|0;g=c+328|0;h=c+272|0;i=c+216|0;j=c+160|0;k=c+104|0;l=c+88|0;m=c+72|0;n=c+56|0;o=c;q=a+116|0;r=(f[q>>2]|0)==0?512:16;s=a+60|0;t=f[a+68>>2]|0;v=4096/(((t|0)<32?t:32)|0)|0;w=a+72|0;x=f[w>>2]|0;y=(x|0)<(v|0)?x:v;v=4096/(y|0)|0;x=(t|0)<(v|0)?t:v;v=f[b>>2]|0;t=b+4|0;if((v|0)>=(f[t>>2]|0)){u=c;return}b=h+4|0;z=h+8|0;A=h+12|0;B=h+16|0;C=h+20|0;D=h+24|0;E=h+28|0;F=h+40|0;G=h+48|0;H=h+44|0;I=h+52|0;J=i+4|0;K=i+8|0;L=i+40|0;M=i+48|0;N=i+44|0;O=i+52|0;P=k+4|0;Q=k+8|0;R=k+12|0;S=a+4|0;T=k+8|0;U=k+12|0;V=k+4|0;W=l+8|0;X=l+4|0;Z=m+8|0;_=m+12|0;$=m+4|0;aa=o+4|0;ba=o+8|0;ca=o+40|0;da=o+48|0;ea=o+44|0;fa=o+52|0;ga=n+8|0;ha=n+12|0;ia=n+4|0;ja=a+120|0;ka=a+128|0;la=o+36|0;ma=o+16|0;na=j+36|0;oa=j+16|0;pa=j+4|0;qa=j+40|0;ra=j+44|0;sa=j+48|0;ta=i+36|0;ua=i+16|0;va=h+36|0;wa=k+4|0;xa=k+8|0;ya=k+12|0;za=k+16|0;Aa=k+20|0;Ba=k+24|0;Ca=k+28|0;Da=k+40|0;Ea=k+48|0;Fa=k+44|0;Ga=k+52|0;Ha=l+8|0;Ia=l+12|0;Ja=l+4|0;Ka=m+8|0;La=m+4|0;Ma=n+8|0;Na=n+12|0;Oa=n+4|0;Pa=o+8|0;Qa=o+12|0;Ra=o+4|0;Sa=k+36|0;Ta=a+168|0;Ua=a+160|0;Va=a+164|0;a=D+8|0;Wa=Ba+8|0;Xa=v;v=f[w>>2]|0;while(1){if((v|0)>0){Ya=0;Za=v;while(1){_a=Za-Ya|0;$a=(_a|0)<(y|0)?_a:y;_a=(f[t>>2]|0)-Xa|0;ab=(_a|0)<(x|0)?_a:x;f[h>>2]=1124007947;f[b>>2]=2;f[z>>2]=ab;f[A>>2]=$a;f[B>>2]=e;f[C>>2]=e;_a=a;f[_a>>2]=0;f[_a+4>>2]=0;f[F>>2]=z;f[H>>2]=G;_a=$a<<2;f[G>>2]=_a;f[I>>2]=4;bb=e+(Y(ab,_a)|0)|0;f[E>>2]=bb;f[D>>2]=bb+(0-_a)+_a;YT(h);f[i>>2]=1124007936;_a=J;bb=_a+36|0;do{f[_a>>2]=0;_a=_a+4|0}while((_a|0)<(bb|0));f[L>>2]=K;f[N>>2]=M;f[M>>2]=0;f[O>>2]=0;f[k>>2]=Ya;f[P>>2]=Xa;f[Q>>2]=$a;f[R>>2]=ab;eU(j,s,k);if((ab|0)>0){cb=f[Ta>>2]|0;db=+p[cb+8>>3];eb=+p[cb+16>>3];fb=+p[cb+32>>3];gb=+p[cb+40>>3];cb=f[q>>2]|0;hb=(cb|0)==0;ib=($a|0)>0;jb=0;do{kb=Y(jb,$a)|0;lb=e+(kb<<1<<1)|0;mb=+(jb+Xa|0);nb=(Fhc((mb*db+eb)*1024.0)|0)+r|0;ob=(Fhc((mb*fb+gb)*1024.0)|0)+r|0;if(hb){if(ib){pb=f[Ua>>2]|0;qb=f[Va>>2]|0;rb=0;do{sb=rb+Ya|0;tb=(f[pb+(sb<<2)>>2]|0)+nb>>10;ub=(f[qb+(sb<<2)>>2]|0)+ob>>10;sb=rb<<1;d[lb+(sb<<1)>>1]=(tb+32768|0)>>>0<65536?tb:(tb|0)>0?32767:32768;d[lb+((sb|1)<<1)>>1]=(ub+32768|0)>>>0<65536?ub:(ub|0)>0?32767:32768;rb=rb+1|0}while((rb|0)<($a|0))}}else{rb=g+(kb<<1)|0;if(ib){qb=f[Ua>>2]|0;pb=f[Va>>2]|0;ub=0;do{sb=ub+Ya|0;tb=(f[qb+(sb<<2)>>2]|0)+nb|0;vb=(f[pb+(sb<<2)>>2]|0)+ob|0;sb=tb>>10;wb=ub<<1;d[lb+(wb<<1)>>1]=(sb+32768|0)>>>0<65536?sb:(sb|0)>0?32767:32768;sb=vb>>10;d[lb+((wb|1)<<1)>>1]=(sb+32768|0)>>>0<65536?sb:(sb|0)>0?32767:32768;d[rb+(ub<<1)>>1]=vb&992|tb>>>5&31;ub=ub+1|0}while((ub|0)<($a|0))}}jb=jb+1|0}while((jb|0)<(ab|0));xb=cb}else xb=f[q>>2]|0;if(!xb){f[T>>2]=0;f[U>>2]=0;f[k>>2]=16842752;f[V>>2]=S;cb=W;f[cb>>2]=0;f[cb+4>>2]=0;f[l>>2]=33619968;f[X>>2]=j;f[Z>>2]=0;f[_>>2]=0;f[m>>2]=16842752;f[$>>2]=h;f[o>>2]=1124007936;_a=aa;bb=_a+36|0;do{f[_a>>2]=0;_a=_a+4|0}while((_a|0)<(bb|0));f[ca>>2]=ba;f[ea>>2]=da;f[da>>2]=0;f[fa>>2]=0;f[ga>>2]=0;f[ha>>2]=0;f[n>>2]=16842752;f[ia>>2]=o;l1(k,l,m,n,0,f[ja>>2]|0,ka);_a=f[la>>2]|0;if(_a|0?(bb=_a+12|0,_a=f[bb>>2]|0,f[bb>>2]=_a+-1,(_a|0)==1):0)aU(o);f[la>>2]=0;f[ma>>2]=0;f[ma+4>>2]=0;f[ma+8>>2]=0;f[ma+12>>2]=0;if((f[aa>>2]|0)>0){_a=f[ca>>2]|0;bb=0;do{f[_a+(bb<<2)>>2]=0;bb=bb+1|0}while((bb|0)<(f[aa>>2]|0))}bb=f[ea>>2]|0;if((bb|0)!=(da|0))TC(bb)}else{f[k>>2]=1124007938;f[wa>>2]=2;f[xa>>2]=ab;f[ya>>2]=$a;f[za>>2]=g;f[Aa>>2]=g;bb=Wa;f[bb>>2]=0;f[bb+4>>2]=0;f[Da>>2]=xa;f[Fa>>2]=Ea;bb=$a<<1;f[Ea>>2]=bb;f[Ga>>2]=2;_a=g+((Y(ab,$a)|0)<<1)|0;f[Ca>>2]=_a;f[Ba>>2]=_a+(0-bb)+bb;YT(k);f[Ha>>2]=0;f[Ia>>2]=0;f[l>>2]=16842752;f[Ja>>2]=S;bb=Ka;f[bb>>2]=0;f[bb+4>>2]=0;f[m>>2]=33619968;f[La>>2]=j;f[Ma>>2]=0;f[Na>>2]=0;f[n>>2]=16842752;f[Oa>>2]=h;f[Pa>>2]=0;f[Qa>>2]=0;f[o>>2]=16842752;f[Ra>>2]=k;l1(l,m,n,o,f[q>>2]|0,f[ja>>2]|0,ka);bb=f[Sa>>2]|0;if(bb|0?(_a=bb+12|0,bb=f[_a>>2]|0,f[_a>>2]=bb+-1,(bb|0)==1):0)aU(k);f[Sa>>2]=0;f[za>>2]=0;f[za+4>>2]=0;f[za+8>>2]=0;f[za+12>>2]=0;if((f[wa>>2]|0)>0){bb=f[Da>>2]|0;_a=0;do{f[bb+(_a<<2)>>2]=0;_a=_a+1|0}while((_a|0)<(f[wa>>2]|0))}_a=f[Fa>>2]|0;if((_a|0)!=(Ea|0))TC(_a)}_a=f[na>>2]|0;if(_a|0?(bb=_a+12|0,_a=f[bb>>2]|0,f[bb>>2]=_a+-1,(_a|0)==1):0)aU(j);f[na>>2]=0;f[oa>>2]=0;f[oa+4>>2]=0;f[oa+8>>2]=0;f[oa+12>>2]=0;if((f[pa>>2]|0)>0){_a=f[qa>>2]|0;bb=0;do{f[_a+(bb<<2)>>2]=0;bb=bb+1|0}while((bb|0)<(f[pa>>2]|0))}bb=f[ra>>2]|0;if((bb|0)!=(sa|0))TC(bb);bb=f[ta>>2]|0;if(bb|0?(_a=bb+12|0,bb=f[_a>>2]|0,f[_a>>2]=bb+-1,(bb|0)==1):0)aU(i);f[ta>>2]=0;f[ua>>2]=0;f[ua+4>>2]=0;f[ua+8>>2]=0;f[ua+12>>2]=0;if((f[J>>2]|0)>0){bb=f[L>>2]|0;_a=0;do{f[bb+(_a<<2)>>2]=0;_a=_a+1|0}while((_a|0)<(f[J>>2]|0))}_a=f[N>>2]|0;if((_a|0)!=(M|0))TC(_a);_a=f[va>>2]|0;if(_a|0?(bb=_a+12|0,_a=f[bb>>2]|0,f[bb>>2]=_a+-1,(_a|0)==1):0)aU(h);f[va>>2]=0;f[B>>2]=0;f[B+4>>2]=0;f[B+8>>2]=0;f[B+12>>2]=0;if((f[b>>2]|0)>0){_a=f[F>>2]|0;bb=0;do{f[_a+(bb<<2)>>2]=0;bb=bb+1|0}while((bb|0)<(f[b>>2]|0))}bb=f[H>>2]|0;if((bb|0)!=(G|0))TC(bb);Ya=Ya+y|0;bb=f[w>>2]|0;if((bb|0)<=(Ya|0)){yb=bb;break}else Za=bb}}else yb=v;Xa=Xa+x|0;if((Xa|0)>=(f[t>>2]|0))break;else v=yb}u=c;return}function P1(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0.0,S=0.0,T=0.0,U=0.0,V=0.0,W=0.0;j=u;u=u+304|0;k=j;l=j+296|0;m=j+240|0;n=j+176|0;o=j+232|0;q=j+120|0;r=j+64|0;s=j+48|0;gV(l,50940);t=g&7;a:do if((DJ(a,-1)|0)>=5){switch(g&7){case 2:case 4:break;default:break a}f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;v=cuc(96)|0;f[k>>2]=v;f[k+8>>2]=-2147483552;f[k+4>>2]=89;w=v;x=239185;y=w+89|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));b[v+89>>0]=0;WD(-215,k,239275,238594,2597)}while(0);do if((qJ(a)|0)==65536){z=f[a+4>>2]|0;f[m>>2]=f[z>>2];A=m+4|0;B=z+4|0;f[A>>2]=f[B>>2];C=m+8|0;f[C>>2]=f[z+8>>2];f[m+12>>2]=f[z+12>>2];f[m+16>>2]=f[z+16>>2];f[m+20>>2]=f[z+20>>2];f[m+24>>2]=f[z+24>>2];f[m+28>>2]=f[z+28>>2];f[m+32>>2]=f[z+32>>2];D=f[z+36>>2]|0;f[m+36>>2]=D;f[m+40>>2]=C;C=m+48|0;E=m+44|0;f[E>>2]=C;f[C>>2]=0;f[m+52>>2]=0;if(D|0){C=D+12|0;f[C>>2]=(f[C>>2]|0)+1}if((f[B>>2]|0)<3){B=f[z+44>>2]|0;C=f[E>>2]|0;f[C>>2]=f[B>>2];f[C+4>>2]=f[B+4>>2];break}else{f[A>>2]=0;$T(m,z);break}}else nJ(m,a,-1);while(0);do if((qJ(d)|0)==65536){a=f[d+4>>2]|0;f[n>>2]=f[a>>2];z=n+4|0;A=a+4|0;f[z>>2]=f[A>>2];B=n+8|0;f[B>>2]=f[a+8>>2];f[n+12>>2]=f[a+12>>2];f[n+16>>2]=f[a+16>>2];f[n+20>>2]=f[a+20>>2];f[n+24>>2]=f[a+24>>2];f[n+28>>2]=f[a+28>>2];f[n+32>>2]=f[a+32>>2];C=f[a+36>>2]|0;f[n+36>>2]=C;f[n+40>>2]=B;B=n+48|0;E=n+44|0;f[E>>2]=B;f[B>>2]=0;f[n+52>>2]=0;if(C|0){B=C+12|0;f[B>>2]=(f[B>>2]|0)+1}if((f[A>>2]|0)<3){A=f[a+44>>2]|0;B=f[E>>2]|0;f[B>>2]=f[A>>2];f[B+4>>2]=f[A+4>>2];break}else{f[z>>2]=0;$T(n,a);break}}else nJ(n,d,-1);while(0);d=f[e>>2]|0;a=f[e+4>>2]|0;if(!(Y(a,d)|0)){e=f[m+40>>2]|0;F=f[e>>2]|0;G=f[e+4>>2]|0}else{F=a;G=d}f[o>>2]=G;f[o+4>>2]=F;IJ(c,o,f[m>>2]&4095,-1,0,0);do if((qJ(c)|0)==65536){o=f[c+4>>2]|0;f[q>>2]=f[o>>2];F=q+4|0;G=o+4|0;f[F>>2]=f[G>>2];d=q+8|0;f[d>>2]=f[o+8>>2];f[q+12>>2]=f[o+12>>2];f[q+16>>2]=f[o+16>>2];f[q+20>>2]=f[o+20>>2];f[q+24>>2]=f[o+24>>2];f[q+28>>2]=f[o+28>>2];f[q+32>>2]=f[o+32>>2];a=f[o+36>>2]|0;f[q+36>>2]=a;f[q+40>>2]=d;d=q+48|0;e=q+44|0;f[e>>2]=d;f[d>>2]=0;f[q+52>>2]=0;if(a|0){d=a+12|0;f[d>>2]=(f[d>>2]|0)+1}if((f[G>>2]|0)<3){G=f[o+44>>2]|0;d=f[e>>2]|0;f[d>>2]=f[G>>2];f[d+4>>2]=f[G+4>>2];break}else{f[F>>2]=0;$T(q,o);break}}else nJ(q,c,-1);while(0);c=m+12|0;if((f[c>>2]|0)<=0){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;H=cuc(32)|0;f[k>>2]=H;I=k+8|0;f[I>>2]=-2147483616;J=k+4|0;f[J>>2]=28;w=H;x=239286;y=w+28|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));K=H+28|0;b[K>>0]=0;WD(-215,k,239275,238594,2611)}o=m+8|0;if((f[o>>2]|0)<=0){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;H=cuc(32)|0;f[k>>2]=H;I=k+8|0;f[I>>2]=-2147483616;J=k+4|0;f[J>>2]=28;w=H;x=239286;y=w+28|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));K=H+28|0;b[K>>0]=0;WD(-215,k,239275,238594,2611)}K=q+16|0;H=m+16|0;if((f[K>>2]|0)==(f[H>>2]|0)){f[r>>2]=1124007936;J=r+4|0;I=r+8|0;F=r+40|0;w=J;y=w+36|0;do{f[w>>2]=0;w=w+4|0}while((w|0)<(y|0));f[F>>2]=I;G=r+48|0;f[r+44>>2]=G;f[G>>2]=0;f[r+52>>2]=0;d=k+8|0;f[d>>2]=0;f[d+4>>2]=0;f[k>>2]=33619968;f[k+4>>2]=r;EI(m,k);d=m+36|0;e=f[d>>2]|0;if(e|0?(a=e+12|0,e=f[a>>2]|0,f[a>>2]=e+-1,(e|0)==1):0)aU(m);f[d>>2]=0;e=m+4|0;f[H>>2]=0;f[H+4>>2]=0;f[H+8>>2]=0;f[H+12>>2]=0;if((f[e>>2]|0)>0){a=f[m+40>>2]|0;z=0;do{f[a+(z<<2)>>2]=0;z=z+1|0}while((z|0)<(f[e>>2]|0))}f[m>>2]=f[r>>2];z=f[J>>2]|0;f[e>>2]=z;f[o>>2]=f[I>>2];f[c>>2]=f[r+12>>2];e=r+16|0;f[H>>2]=f[e>>2];f[m+20>>2]=f[r+20>>2];f[m+24>>2]=f[r+24>>2];f[m+28>>2]=f[r+28>>2];f[m+32>>2]=f[r+32>>2];a=r+36|0;f[d>>2]=f[a>>2];d=m+44|0;A=f[d>>2]|0;B=m+48|0;if((A|0)==(B|0))L=z;else{TC(A);f[d>>2]=B;f[m+40>>2]=o;L=f[J>>2]|0}A=r+44|0;if((L|0)<3){L=f[A>>2]|0;f[B>>2]=f[L>>2];f[m+52>>2]=f[L+4>>2];M=L}else{f[d>>2]=f[A>>2];f[m+40>>2]=f[F>>2];f[A>>2]=G;f[F>>2]=I;M=G}f[r>>2]=1124007936;f[J>>2]=0;f[J+4>>2]=0;f[J+8>>2]=0;f[J+12>>2]=0;f[J+16>>2]=0;f[J+20>>2]=0;f[J+24>>2]=0;f[J+28>>2]=0;f[a>>2]=0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((M|0)!=(G|0))TC(M)}w=k;y=w+48|0;do{f[w>>2]=0;w=w+4|0}while((w|0)<(y|0));f[r>>2]=1124007942;M=r+4|0;f[M>>2]=2;G=r+8|0;f[G>>2]=2;f[r+12>>2]=3;e=r+16|0;f[e>>2]=k;f[r+20>>2]=k;a=r+24|0;J=r+40|0;I=a+8|0;f[I>>2]=0;f[I+4>>2]=0;f[J>>2]=G;G=r+48|0;I=r+44|0;f[I>>2]=G;f[G>>2]=24;f[r+52>>2]=8;f[r+28>>2]=k+48;f[a>>2]=k+48;YT(r);a=(t|0)==3?1:t;if(((f[n>>2]&4095)+-5|0)>>>0>=2){f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;N=cuc(80)|0;f[s>>2]=N;O=s+8|0;f[O>>2]=-2147483568;P=s+4|0;f[P>>2]=76;w=N;x=239315;y=w+76|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));Q=N+76|0;b[Q>>0]=0;WD(-215,s,239275,238594,2620)}if((f[n+8>>2]|0)!=2){f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;N=cuc(80)|0;f[s>>2]=N;O=s+8|0;f[O>>2]=-2147483568;P=s+4|0;f[P>>2]=76;w=N;x=239315;y=w+76|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));Q=N+76|0;b[Q>>0]=0;WD(-215,s,239275,238594,2620)}if((f[n+12>>2]|0)!=3){f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;N=cuc(80)|0;f[s>>2]=N;O=s+8|0;f[O>>2]=-2147483568;P=s+4|0;f[P>>2]=76;w=N;x=239315;y=w+76|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));Q=N+76|0;b[Q>>0]=0;WD(-215,s,239275,238594,2620)}Q=s+8|0;f[Q>>2]=0;f[Q+4>>2]=0;f[s>>2]=33619968;f[s+4>>2]=r;kQ(n,s,f[r>>2]&4095,1.0,0.0);if(!(g&16)){R=+p[k>>3];g=k+32|0;S=+p[g>>3];s=k+8|0;T=+p[s>>3];Q=k+24|0;U=+p[Q>>3];V=R*S-T*U;W=V!=0.0?1.0/V:0.0;V=S*W;S=R*W;p[k>>3]=V;R=-W;W=T*R;p[s>>3]=W;T=U*R;p[Q>>3]=T;p[g>>3]=S;g=k+16|0;R=+p[g>>3];Q=k+40|0;U=+p[Q>>3];p[g>>3]=-(V*R)-W*U;p[Q>>3]=-(R*T)-S*U}Q=m+48|0;g=q+48|0;K1(f[m>>2]&4095,f[H>>2]|0,f[Q>>2]|0,f[c>>2]|0,f[o>>2]|0,f[K>>2]|0,f[g>>2]|0,f[q+12>>2]|0,f[q+8>>2]|0,k,a,h,i);i=r+36|0;h=f[i>>2]|0;if(h|0?(a=h+12|0,h=f[a>>2]|0,f[a>>2]=h+-1,(h|0)==1):0)aU(r);f[i>>2]=0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((f[M>>2]|0)>0){e=f[J>>2]|0;J=0;do{f[e+(J<<2)>>2]=0;J=J+1|0}while((J|0)<(f[M>>2]|0))}M=f[I>>2]|0;if((M|0)!=(G|0))TC(M);M=q+36|0;G=f[M>>2]|0;if(G|0?(I=G+12|0,G=f[I>>2]|0,f[I>>2]=G+-1,(G|0)==1):0)aU(q);f[M>>2]=0;M=q+4|0;f[K>>2]=0;f[K+4>>2]=0;f[K+8>>2]=0;f[K+12>>2]=0;if((f[M>>2]|0)>0){K=f[q+40>>2]|0;G=0;do{f[K+(G<<2)>>2]=0;G=G+1|0}while((G|0)<(f[M>>2]|0))}M=f[q+44>>2]|0;if((M|0)!=(g|0))TC(M);M=n+36|0;g=f[M>>2]|0;do if(g|0){q=g+12|0;G=f[q>>2]|0;f[q>>2]=G+-1;if((G|0)!=1)break;aU(n)}while(0);f[M>>2]=0;M=n+16|0;g=n+4|0;f[M>>2]=0;f[M+4>>2]=0;f[M+8>>2]=0;f[M+12>>2]=0;if((f[g>>2]|0)>0){M=f[n+40>>2]|0;G=0;do{f[M+(G<<2)>>2]=0;G=G+1|0}while((G|0)<(f[g>>2]|0))}g=f[n+44>>2]|0;if((g|0)!=(n+48|0))TC(g);g=m+36|0;n=f[g>>2]|0;do if(n|0){G=n+12|0;M=f[G>>2]|0;f[G>>2]=M+-1;if((M|0)!=1)break;aU(m)}while(0);f[g>>2]=0;g=m+4|0;f[H>>2]=0;f[H+4>>2]=0;f[H+8>>2]=0;f[H+12>>2]=0;if((f[g>>2]|0)>0){H=f[m+40>>2]|0;n=0;do{f[H+(n<<2)>>2]=0;n=n+1|0}while((n|0)<(f[g>>2]|0))}g=f[m+44>>2]|0;if((g|0)!=(Q|0))TC(g);if(!(f[l+4>>2]|0)){u=j;return}u=j;return}function Q1(a,b,c,d,e,g,h,i,j,k,l,m,n){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0.0,z=0.0,A=0.0,B=0;o=u;u=u+336|0;q=o+272|0;r=o+208|0;s=o+216|0;t=o+192|0;v=o+200|0;w=o+32|0;x=o;f[r>>2]=d;f[r+4>>2]=e;zD(q,r,a,b,c);f[t>>2]=i;f[t+4>>2]=j;zD(s,t,a,g,h);h=s+8|0;g=f[h>>2]|0;f[v>>2]=0;f[v+4>>2]=g;y=+p[n+8>>3];z=+p[n+16>>3];A=+p[n+24>>3];p[x>>3]=+p[n>>3];p[x+8>>3]=y;p[x+16>>3]=z;p[x+24>>3]=A;R1(w,q,s,k,l,m,x);x=s+4|0;m=f[x>>2]|0;if((m|0)<3)B=Y(f[s+12>>2]|0,f[h>>2]|0)|0;else{h=f[s+40>>2]|0;l=0;k=1;while(1){n=Y(f[h+(l<<2)>>2]|0,k)|0;l=l+1|0;if((l|0)==(m|0)){B=n;break}else k=n}}sZ(v,w,+(B>>>0)*.0000152587890625);S1(w);w=s+36|0;B=f[w>>2]|0;if(B|0?(v=B+12|0,B=f[v>>2]|0,f[v>>2]=B+-1,(B|0)==1):0)aU(s);f[w>>2]=0;w=s+16|0;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;f[w+12>>2]=0;if((f[x>>2]|0)>0){w=f[s+40>>2]|0;B=0;do{f[w+(B<<2)>>2]=0;B=B+1|0}while((B|0)<(f[x>>2]|0))}x=f[s+44>>2]|0;if((x|0)!=(s+48|0))TC(x);x=q+36|0;s=f[x>>2]|0;if(s|0?(B=s+12|0,s=f[B>>2]|0,f[B>>2]=s+-1,(s|0)==1):0)aU(q);f[x>>2]=0;x=q+16|0;s=q+4|0;f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;f[x+12>>2]=0;if((f[s>>2]|0)>0){x=f[q+40>>2]|0;B=0;do{f[x+(B<<2)>>2]=0;B=B+1|0}while((B|0)<(f[s>>2]|0))}s=f[q+44>>2]|0;if((s|0)==(q+48|0)){u=o;return}TC(s);u=o;return}function R1(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0.0,t=0,u=0,v=0.0,w=0,x=0,y=0.0,z=0,A=0,B=0.0,C=0;f[a>>2]=50968;i=a+4|0;f[i>>2]=f[b>>2];j=a+8|0;k=b+4|0;f[j>>2]=f[k>>2];l=a+12|0;f[l>>2]=f[b+8>>2];f[a+16>>2]=f[b+12>>2];f[a+20>>2]=f[b+16>>2];f[a+24>>2]=f[b+20>>2];f[a+28>>2]=f[b+24>>2];f[a+32>>2]=f[b+28>>2];f[a+36>>2]=f[b+32>>2];m=f[b+36>>2]|0;f[a+40>>2]=m;f[a+44>>2]=l;l=a+52|0;n=a+48|0;f[n>>2]=l;f[l>>2]=0;f[a+56>>2]=0;if(m|0){l=m+12|0;f[l>>2]=(f[l>>2]|0)+1}if((f[k>>2]|0)<3){k=f[b+44>>2]|0;l=f[n>>2]|0;f[l>>2]=f[k>>2];f[l+4>>2]=f[k+4>>2]}else{f[j>>2]=0;$T(i,b)}b=a+60|0;f[b>>2]=f[c>>2];i=a+64|0;j=c+4|0;f[i>>2]=f[j>>2];k=a+68|0;f[k>>2]=f[c+8>>2];f[a+72>>2]=f[c+12>>2];f[a+76>>2]=f[c+16>>2];f[a+80>>2]=f[c+20>>2];f[a+84>>2]=f[c+24>>2];f[a+88>>2]=f[c+28>>2];f[a+92>>2]=f[c+32>>2];l=f[c+36>>2]|0;f[a+96>>2]=l;f[a+100>>2]=k;k=a+108|0;n=a+104|0;f[n>>2]=k;f[k>>2]=0;f[a+112>>2]=0;if(l|0){k=l+12|0;f[k>>2]=(f[k>>2]|0)+1}if((f[j>>2]|0)<3){j=f[c+44>>2]|0;k=f[n>>2]|0;f[k>>2]=f[j>>2];f[k+4>>2]=f[j+4>>2];o=a+116|0;f[o>>2]=d;q=a+120|0;f[q>>2]=e;r=a+124|0;f[r>>2]=g;s=+p[h>>3];t=a+128|0;p[t>>3]=s;u=h+8|0;v=+p[u>>3];w=a+136|0;p[w>>3]=v;x=h+16|0;y=+p[x>>3];z=a+144|0;p[z>>3]=y;A=h+24|0;B=+p[A>>3];C=a+152|0;p[C>>3]=B;return}else{f[i>>2]=0;$T(b,c);o=a+116|0;f[o>>2]=d;q=a+120|0;f[q>>2]=e;r=a+124|0;f[r>>2]=g;s=+p[h>>3];t=a+128|0;p[t>>3]=s;u=h+8|0;v=+p[u>>3];w=a+136|0;p[w>>3]=v;x=h+16|0;y=+p[x>>3];z=a+144|0;p[z>>3]=y;A=h+24|0;B=+p[A>>3];C=a+152|0;p[C>>3]=B;return}}function S1(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=50968;b=a+60|0;c=a+96|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+76|0;b=a+64|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+100>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+104>>2]|0;if((b|0)!=(a+108|0))TC(b);b=a+4|0;d=a+40|0;c=f[d>>2]|0;if(c|0?(e=c+12|0,c=f[e>>2]|0,f[e>>2]=c+-1,(c|0)==1):0)aU(b);f[d>>2]=0;d=a+20|0;b=a+8|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[b>>2]|0)>0){d=f[a+44>>2]|0;c=0;do{f[d+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[b>>2]|0))}b=f[a+48>>2]|0;if((b|0)==(a+52|0))return;TC(b);return}function T1(a){a=a|0;S1(a);fuc(a);return}function U1(a,b){a=a|0;b=b|0;var c=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0.0,bb=0.0,cb=0.0,db=0.0,eb=0.0,fb=0.0,gb=0.0,hb=0.0,ib=0.0,jb=0.0,kb=0.0,lb=0.0,mb=0,nb=0,ob=0,pb=0.0,qb=0.0,rb=0.0,sb=0.0,tb=0,ub=0.0,vb=0.0,wb=0.0,xb=0,yb=0,zb=0,Ab=0,Bb=0;c=u;u=u+6480|0;e=c+2376|0;g=c+328|0;h=c+272|0;i=c+216|0;j=c+160|0;k=c+104|0;l=c+88|0;m=c+72|0;n=c+56|0;o=c;q=a+60|0;r=f[a+72>>2]|0;s=f[a+68>>2]|0;t=1024/(((s|0)<16?s:16)|0)|0;v=(r|0)<(t|0)?r:t;t=1024/(v|0)|0;w=(s|0)<(t|0)?s:t;t=f[b>>2]|0;s=b+4|0;if((t|0)>=(f[s>>2]|0)){u=c;return}b=(r|0)>0;x=h+4|0;y=h+8|0;z=h+12|0;A=h+16|0;B=h+20|0;C=h+24|0;D=h+28|0;E=h+40|0;F=h+48|0;G=h+44|0;H=h+52|0;I=i+4|0;J=i+8|0;K=i+40|0;L=i+48|0;M=i+44|0;N=i+52|0;O=k+4|0;P=k+8|0;Q=k+12|0;R=a+120|0;S=a+4|0;T=k+8|0;U=k+12|0;V=k+4|0;W=l+8|0;X=l+4|0;Z=m+8|0;_=m+12|0;$=m+4|0;aa=o+4|0;ba=o+8|0;ca=o+40|0;da=o+48|0;ea=o+44|0;fa=o+52|0;ga=n+8|0;ha=n+12|0;ia=n+4|0;ja=a+124|0;ka=a+128|0;la=o+36|0;ma=o+16|0;na=j+36|0;oa=j+16|0;pa=j+4|0;qa=j+40|0;ra=j+44|0;sa=j+48|0;ta=i+36|0;ua=i+16|0;va=h+36|0;wa=k+4|0;xa=k+8|0;ya=k+12|0;za=k+16|0;Aa=k+20|0;Ba=k+24|0;Ca=k+28|0;Da=k+40|0;Ea=k+48|0;Fa=k+44|0;Ga=k+52|0;Ha=l+8|0;Ia=l+12|0;Ja=l+4|0;Ka=m+8|0;La=m+4|0;Ma=n+8|0;Na=n+12|0;Oa=n+4|0;Pa=o+8|0;Qa=o+12|0;Ra=o+4|0;Sa=k+36|0;Ta=a+116|0;a=C+8|0;Ua=Ba+8|0;Va=t;do{if(b){t=0;do{Wa=r-t|0;Xa=(Wa|0)<(v|0)?Wa:v;Wa=(f[s>>2]|0)-Va|0;Ya=(Wa|0)<(w|0)?Wa:w;f[h>>2]=1124007947;f[x>>2]=2;f[y>>2]=Ya;f[z>>2]=Xa;f[A>>2]=e;f[B>>2]=e;Wa=a;f[Wa>>2]=0;f[Wa+4>>2]=0;f[E>>2]=y;f[G>>2]=F;Wa=Xa<<2;f[F>>2]=Wa;f[H>>2]=4;Za=e+(Y(Ya,Wa)|0)|0;f[D>>2]=Za;f[C>>2]=Za+(0-Wa)+Wa;YT(h);f[i>>2]=1124007936;Wa=I;Za=Wa+36|0;do{f[Wa>>2]=0;Wa=Wa+4|0}while((Wa|0)<(Za|0));f[K>>2]=J;f[M>>2]=L;f[L>>2]=0;f[N>>2]=0;f[k>>2]=t;f[O>>2]=Va;f[P>>2]=Xa;f[Q>>2]=Ya;eU(j,q,k);_a=(f[R>>2]|0)==0;if((Ya|0)>0){$a=f[Ta>>2]|0;ab=+p[$a>>3];bb=+(t|0);cb=bb*ab;db=+p[$a+8>>3];eb=+p[$a+16>>3];fb=+p[$a+24>>3];gb=bb*fb;hb=+p[$a+32>>3];ib=+p[$a+40>>3];jb=+p[$a+48>>3];kb=bb*jb;bb=+p[$a+56>>3];lb=+p[$a+64>>3];$a=(Xa|0)>0;mb=0;do{nb=Y(mb,Xa)|0;ob=e+(nb<<1<<1)|0;pb=+(mb+Va|0);qb=eb+(cb+pb*db);rb=ib+(gb+pb*hb);sb=lb+(kb+pb*bb);if(_a){if($a){tb=0;do{pb=+(tb|0);ub=sb+pb*jb;vb=ub!=0.0?1.0/ub:0.0;ub=vb*(qb+pb*ab);wb=ub<2147483647.0?ub:2147483647.0;ub=vb*(rb+pb*fb);pb=ub<2147483647.0?ub:2147483647.0;xb=Fhc(wb>-2147483648.0?wb:-2147483648.0)|0;yb=Fhc(pb>-2147483648.0?pb:-2147483648.0)|0;zb=tb<<1;d[ob+(zb<<1)>>1]=(xb+32768|0)>>>0<65536?xb:(xb|0)>0?32767:32768;d[ob+((zb|1)<<1)>>1]=(yb+32768|0)>>>0<65536?yb:(yb|0)>0?32767:32768;tb=tb+1|0}while((tb|0)<(Xa|0))}}else{tb=g+(nb<<1)|0;if($a){yb=0;do{pb=+(yb|0);wb=sb+pb*jb;ub=wb!=0.0?32.0/wb:0.0;wb=ub*(qb+pb*ab);vb=wb<2147483647.0?wb:2147483647.0;wb=ub*(rb+pb*fb);pb=wb<2147483647.0?wb:2147483647.0;zb=Fhc(vb>-2147483648.0?vb:-2147483648.0)|0;xb=Fhc(pb>-2147483648.0?pb:-2147483648.0)|0;Ab=zb>>5;Bb=yb<<1;d[ob+(Bb<<1)>>1]=(Ab+32768|0)>>>0<65536?Ab:(Ab|0)>0?32767:32768;Ab=xb>>5;d[ob+((Bb|1)<<1)>>1]=(Ab+32768|0)>>>0<65536?Ab:(Ab|0)>0?32767:32768;d[tb+(yb<<1)>>1]=xb<<5&992|zb&31;yb=yb+1|0}while((yb|0)<(Xa|0))}}mb=mb+1|0}while((mb|0)<(Ya|0))}if(_a){f[T>>2]=0;f[U>>2]=0;f[k>>2]=16842752;f[V>>2]=S;mb=W;f[mb>>2]=0;f[mb+4>>2]=0;f[l>>2]=33619968;f[X>>2]=j;f[Z>>2]=0;f[_>>2]=0;f[m>>2]=16842752;f[$>>2]=h;f[o>>2]=1124007936;Wa=aa;Za=Wa+36|0;do{f[Wa>>2]=0;Wa=Wa+4|0}while((Wa|0)<(Za|0));f[ca>>2]=ba;f[ea>>2]=da;f[da>>2]=0;f[fa>>2]=0;f[ga>>2]=0;f[ha>>2]=0;f[n>>2]=16842752;f[ia>>2]=o;l1(k,l,m,n,0,f[ja>>2]|0,ka);Wa=f[la>>2]|0;if(Wa|0?(Za=Wa+12|0,Wa=f[Za>>2]|0,f[Za>>2]=Wa+-1,(Wa|0)==1):0)aU(o);f[la>>2]=0;f[ma>>2]=0;f[ma+4>>2]=0;f[ma+8>>2]=0;f[ma+12>>2]=0;if((f[aa>>2]|0)>0){Wa=f[ca>>2]|0;Za=0;do{f[Wa+(Za<<2)>>2]=0;Za=Za+1|0}while((Za|0)<(f[aa>>2]|0))}Za=f[ea>>2]|0;if((Za|0)!=(da|0))TC(Za)}else{f[k>>2]=1124007938;f[wa>>2]=2;f[xa>>2]=Ya;f[ya>>2]=Xa;f[za>>2]=g;f[Aa>>2]=g;Za=Ua;f[Za>>2]=0;f[Za+4>>2]=0;f[Da>>2]=xa;f[Fa>>2]=Ea;Za=Xa<<1;f[Ea>>2]=Za;f[Ga>>2]=2;Wa=g+((Y(Ya,Xa)|0)<<1)|0;f[Ca>>2]=Wa;f[Ba>>2]=Wa+(0-Za)+Za;YT(k);f[Ha>>2]=0;f[Ia>>2]=0;f[l>>2]=16842752;f[Ja>>2]=S;Za=Ka;f[Za>>2]=0;f[Za+4>>2]=0;f[m>>2]=33619968;f[La>>2]=j;f[Ma>>2]=0;f[Na>>2]=0;f[n>>2]=16842752;f[Oa>>2]=h;f[Pa>>2]=0;f[Qa>>2]=0;f[o>>2]=16842752;f[Ra>>2]=k;l1(l,m,n,o,f[R>>2]|0,f[ja>>2]|0,ka);Za=f[Sa>>2]|0;if(Za|0?(Wa=Za+12|0,Za=f[Wa>>2]|0,f[Wa>>2]=Za+-1,(Za|0)==1):0)aU(k);f[Sa>>2]=0;f[za>>2]=0;f[za+4>>2]=0;f[za+8>>2]=0;f[za+12>>2]=0;if((f[wa>>2]|0)>0){Za=f[Da>>2]|0;Wa=0;do{f[Za+(Wa<<2)>>2]=0;Wa=Wa+1|0}while((Wa|0)<(f[wa>>2]|0))}Wa=f[Fa>>2]|0;if((Wa|0)!=(Ea|0))TC(Wa)}Wa=f[na>>2]|0;if(Wa|0?(Za=Wa+12|0,Wa=f[Za>>2]|0,f[Za>>2]=Wa+-1,(Wa|0)==1):0)aU(j);f[na>>2]=0;f[oa>>2]=0;f[oa+4>>2]=0;f[oa+8>>2]=0;f[oa+12>>2]=0;if((f[pa>>2]|0)>0){Wa=f[qa>>2]|0;Za=0;do{f[Wa+(Za<<2)>>2]=0;Za=Za+1|0}while((Za|0)<(f[pa>>2]|0))}Za=f[ra>>2]|0;if((Za|0)!=(sa|0))TC(Za);Za=f[ta>>2]|0;if(Za|0?(Wa=Za+12|0,Za=f[Wa>>2]|0,f[Wa>>2]=Za+-1,(Za|0)==1):0)aU(i);f[ta>>2]=0;f[ua>>2]=0;f[ua+4>>2]=0;f[ua+8>>2]=0;f[ua+12>>2]=0;if((f[I>>2]|0)>0){Za=f[K>>2]|0;Wa=0;do{f[Za+(Wa<<2)>>2]=0;Wa=Wa+1|0}while((Wa|0)<(f[I>>2]|0))}Wa=f[M>>2]|0;if((Wa|0)!=(L|0))TC(Wa);Wa=f[va>>2]|0;if(Wa|0?(Za=Wa+12|0,Wa=f[Za>>2]|0,f[Za>>2]=Wa+-1,(Wa|0)==1):0)aU(h);f[va>>2]=0;f[A>>2]=0;f[A+4>>2]=0;f[A+8>>2]=0;f[A+12>>2]=0;if((f[x>>2]|0)>0){Wa=f[E>>2]|0;Za=0;do{f[Wa+(Za<<2)>>2]=0;Za=Za+1|0}while((Za|0)<(f[x>>2]|0))}Za=f[G>>2]|0;if((Za|0)!=(F|0))TC(Za);t=t+v|0}while((r|0)>(t|0))}Va=Va+w|0}while((Va|0)<(f[s>>2]|0));u=c;return}function V1(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0;j=u;u=u+352|0;k=j;l=j+336|0;m=j+280|0;n=j+216|0;o=j+272|0;p=j+160|0;q=j+104|0;r=j+88|0;s=j+72|0;gV(l,50980);if(!(BJ(a,-1)|0)){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;t=cuc(32)|0;f[k>>2]=t;f[k+8>>2]=-2147483616;f[k+4>>2]=16;v=t;w=239511;x=v+16|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));b[t+16>>0]=0;WD(-215,k,239528,238594,2903)}do if((qJ(a)|0)==65536){t=f[a+4>>2]|0;f[m>>2]=f[t>>2];y=m+4|0;z=t+4|0;f[y>>2]=f[z>>2];A=m+8|0;f[A>>2]=f[t+8>>2];f[m+12>>2]=f[t+12>>2];f[m+16>>2]=f[t+16>>2];f[m+20>>2]=f[t+20>>2];f[m+24>>2]=f[t+24>>2];f[m+28>>2]=f[t+28>>2];f[m+32>>2]=f[t+32>>2];B=f[t+36>>2]|0;f[m+36>>2]=B;f[m+40>>2]=A;A=m+48|0;C=m+44|0;f[C>>2]=A;f[A>>2]=0;f[m+52>>2]=0;if(B|0){A=B+12|0;f[A>>2]=(f[A>>2]|0)+1}if((f[z>>2]|0)<3){z=f[t+44>>2]|0;A=f[C>>2]|0;f[A>>2]=f[z>>2];f[A+4>>2]=f[z+4>>2];break}else{f[y>>2]=0;$T(m,t);break}}else nJ(m,a,-1);while(0);do if((qJ(d)|0)==65536){a=f[d+4>>2]|0;f[n>>2]=f[a>>2];t=n+4|0;y=a+4|0;f[t>>2]=f[y>>2];z=n+8|0;f[z>>2]=f[a+8>>2];f[n+12>>2]=f[a+12>>2];f[n+16>>2]=f[a+16>>2];f[n+20>>2]=f[a+20>>2];f[n+24>>2]=f[a+24>>2];f[n+28>>2]=f[a+28>>2];f[n+32>>2]=f[a+32>>2];A=f[a+36>>2]|0;f[n+36>>2]=A;f[n+40>>2]=z;z=n+48|0;C=n+44|0;f[C>>2]=z;f[z>>2]=0;f[n+52>>2]=0;if(A|0){z=A+12|0;f[z>>2]=(f[z>>2]|0)+1}if((f[y>>2]|0)<3){y=f[a+44>>2]|0;z=f[C>>2]|0;f[z>>2]=f[y>>2];f[z+4>>2]=f[y+4>>2];break}else{f[t>>2]=0;$T(n,a);break}}else nJ(n,d,-1);while(0);d=f[e>>2]|0;a=f[e+4>>2]|0;if(!(Y(a,d)|0)){e=f[m+40>>2]|0;D=f[e>>2]|0;E=f[e+4>>2]|0}else{D=a;E=d}f[o>>2]=E;f[o+4>>2]=D;IJ(c,o,f[m>>2]&4095,-1,0,0);do if((qJ(c)|0)==65536){o=f[c+4>>2]|0;f[p>>2]=f[o>>2];D=p+4|0;E=o+4|0;f[D>>2]=f[E>>2];d=p+8|0;f[d>>2]=f[o+8>>2];f[p+12>>2]=f[o+12>>2];a=p+16|0;f[a>>2]=f[o+16>>2];f[p+20>>2]=f[o+20>>2];f[p+24>>2]=f[o+24>>2];f[p+28>>2]=f[o+28>>2];f[p+32>>2]=f[o+32>>2];e=f[o+36>>2]|0;f[p+36>>2]=e;f[p+40>>2]=d;d=p+48|0;t=p+44|0;f[t>>2]=d;f[d>>2]=0;f[p+52>>2]=0;if(e|0){d=e+12|0;f[d>>2]=(f[d>>2]|0)+1}if((f[E>>2]|0)<3){E=f[o+44>>2]|0;d=f[t>>2]|0;f[d>>2]=f[E>>2];f[d+4>>2]=f[E+4>>2];F=a;break}else{f[D>>2]=0;$T(p,o);F=a;break}}else{nJ(p,c,-1);F=p+16|0}while(0);c=m+16|0;if((f[F>>2]|0)==(f[c>>2]|0)){f[q>>2]=1124007936;a=q+4|0;o=q+8|0;D=q+40|0;v=a;x=v+36|0;do{f[v>>2]=0;v=v+4|0}while((v|0)<(x|0));f[D>>2]=o;E=q+48|0;f[q+44>>2]=E;f[E>>2]=0;f[q+52>>2]=0;d=k+8|0;f[d>>2]=0;f[d+4>>2]=0;f[k>>2]=33619968;f[k+4>>2]=q;EI(m,k);d=m+36|0;t=f[d>>2]|0;if(t|0?(e=t+12|0,t=f[e>>2]|0,f[e>>2]=t+-1,(t|0)==1):0)aU(m);f[d>>2]=0;t=m+4|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[t>>2]|0)>0){e=f[m+40>>2]|0;y=0;do{f[e+(y<<2)>>2]=0;y=y+1|0}while((y|0)<(f[t>>2]|0))}f[m>>2]=f[q>>2];y=f[a>>2]|0;f[t>>2]=y;t=m+8|0;f[t>>2]=f[o>>2];f[m+12>>2]=f[q+12>>2];e=q+16|0;f[c>>2]=f[e>>2];f[m+20>>2]=f[q+20>>2];f[m+24>>2]=f[q+24>>2];f[m+28>>2]=f[q+28>>2];f[m+32>>2]=f[q+32>>2];z=q+36|0;f[d>>2]=f[z>>2];d=m+44|0;C=f[d>>2]|0;A=m+48|0;if((C|0)==(A|0))G=y;else{TC(C);f[d>>2]=A;f[m+40>>2]=t;G=f[a>>2]|0}t=q+44|0;if((G|0)<3){G=f[t>>2]|0;f[A>>2]=f[G>>2];f[m+52>>2]=f[G+4>>2];H=G}else{f[d>>2]=f[t>>2];f[m+40>>2]=f[D>>2];f[t>>2]=E;f[D>>2]=o;H=E}f[q>>2]=1124007936;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;f[a+16>>2]=0;f[a+20>>2]=0;f[a+24>>2]=0;f[a+28>>2]=0;f[z>>2]=0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((H|0)!=(E|0))TC(H)}f[q>>2]=1124007942;H=q+4|0;f[H>>2]=2;E=q+8|0;f[E>>2]=3;f[q+12>>2]=3;e=q+16|0;f[e>>2]=k;f[q+20>>2]=k;z=q+24|0;a=q+40|0;o=z+8|0;f[o>>2]=0;f[o+4>>2]=0;f[a>>2]=E;E=q+48|0;o=q+44|0;f[o>>2]=E;f[E>>2]=24;f[q+52>>2]=8;f[q+28>>2]=k+72;f[z>>2]=k+72;YT(q);k=g&7;z=(k|0)==3?1:k;if(((f[n>>2]&4095)+-5|0)>>>0>=2){f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;I=cuc(80)|0;f[r>>2]=I;J=r+8|0;f[J>>2]=-2147483568;K=r+4|0;f[K>>2]=76;v=I;w=239544;x=v+76|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));L=I+76|0;b[L>>0]=0;WD(-215,r,239528,238594,2927)}if((f[n+8>>2]|0)!=3){f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;I=cuc(80)|0;f[r>>2]=I;J=r+8|0;f[J>>2]=-2147483568;K=r+4|0;f[K>>2]=76;v=I;w=239544;x=v+76|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));L=I+76|0;b[L>>0]=0;WD(-215,r,239528,238594,2927)}if((f[n+12>>2]|0)!=3){f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;I=cuc(80)|0;f[r>>2]=I;J=r+8|0;f[J>>2]=-2147483568;K=r+4|0;f[K>>2]=76;v=I;w=239544;x=v+76|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));L=I+76|0;b[L>>0]=0;WD(-215,r,239528,238594,2927)}L=r+8|0;f[L>>2]=0;f[L+4>>2]=0;f[r>>2]=33619968;f[r+4>>2]=q;kQ(n,r,f[q>>2]&4095,1.0,0.0);if(!(g&16)){f[r+8>>2]=0;f[r+12>>2]=0;f[r>>2]=16842752;f[r+4>>2]=q;g=s+8|0;f[g>>2]=0;f[g+4>>2]=0;f[s>>2]=33619968;f[s+4>>2]=q;+HD(r,s,0)}s=m+48|0;r=p+48|0;Q1(f[m>>2]&4095,f[c>>2]|0,f[s>>2]|0,f[m+12>>2]|0,f[m+8>>2]|0,f[F>>2]|0,f[r>>2]|0,f[p+12>>2]|0,f[p+8>>2]|0,f[e>>2]|0,z,h,i);i=q+36|0;h=f[i>>2]|0;if(h|0?(z=h+12|0,h=f[z>>2]|0,f[z>>2]=h+-1,(h|0)==1):0)aU(q);f[i>>2]=0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((f[H>>2]|0)>0){e=f[a>>2]|0;a=0;do{f[e+(a<<2)>>2]=0;a=a+1|0}while((a|0)<(f[H>>2]|0))}H=f[o>>2]|0;if((H|0)!=(E|0))TC(H);H=p+36|0;E=f[H>>2]|0;if(E|0?(o=E+12|0,E=f[o>>2]|0,f[o>>2]=E+-1,(E|0)==1):0)aU(p);f[H>>2]=0;H=p+4|0;f[F>>2]=0;f[F+4>>2]=0;f[F+8>>2]=0;f[F+12>>2]=0;if((f[H>>2]|0)>0){F=f[p+40>>2]|0;E=0;do{f[F+(E<<2)>>2]=0;E=E+1|0}while((E|0)<(f[H>>2]|0))}H=f[p+44>>2]|0;if((H|0)!=(r|0))TC(H);H=n+36|0;r=f[H>>2]|0;if(r|0?(p=r+12|0,r=f[p>>2]|0,f[p>>2]=r+-1,(r|0)==1):0)aU(n);f[H>>2]=0;H=n+16|0;r=n+4|0;f[H>>2]=0;f[H+4>>2]=0;f[H+8>>2]=0;f[H+12>>2]=0;if((f[r>>2]|0)>0){H=f[n+40>>2]|0;p=0;do{f[H+(p<<2)>>2]=0;p=p+1|0}while((p|0)<(f[r>>2]|0))}r=f[n+44>>2]|0;if((r|0)!=(n+48|0))TC(r);r=m+36|0;n=f[r>>2]|0;do if(n|0){p=n+12|0;H=f[p>>2]|0;f[p>>2]=H+-1;if((H|0)!=1)break;aU(m)}while(0);f[r>>2]=0;r=m+4|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[r>>2]|0)>0){c=f[m+40>>2]|0;n=0;do{f[c+(n<<2)>>2]=0;n=n+1|0}while((n|0)<(f[r>>2]|0))}r=f[m+44>>2]|0;if((r|0)!=(s|0))TC(r);if(!(f[l+4>>2]|0)){u=j;return}u=j;return}function W1(a,b,c,d){a=a|0;b=b|0;c=+c;d=+d;var e=0,g=0,h=0,i=0.0,j=0.0,k=0,l=0,m=0,o=0,q=0.0;e=u;u=u+16|0;g=e+8|0;h=e;gV(h,51e3);i=c*.017453292519943295;c=+O(+i)*d;j=+P(+i)*d;f[a>>2]=1124007936;k=a+8|0;l=a+40|0;m=a+4|0;o=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(o|0));f[l>>2]=k;k=a+48|0;f[a+44>>2]=k;f[k>>2]=0;f[a+52>>2]=0;f[g>>2]=2;f[g+4>>2]=3;ZT(a,2,g,6);g=f[a+16>>2]|0;p[g>>3]=c;p[g+8>>3]=j;d=1.0-c;i=+n[b>>2];q=+n[b+4>>2];p[g+16>>3]=d*i-j*q;p[g+24>>3]=-j;p[g+32>>3]=c;p[g+40>>3]=j*i+d*q;if(!(f[h+4>>2]|0)){u=e;return}u=e;return}function X1(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0.0,K=0.0,L=0,M=0.0,N=0,O=0.0;g=u;u=u+800|0;h=g+64|0;i=g+792|0;j=g+736|0;k=g;l=g+680|0;m=g+624|0;o=g+608|0;q=g+592|0;r=g+576|0;gV(i,51020);f[a>>2]=1124007936;s=a+8|0;t=a+40|0;v=a+4|0;w=v+36|0;do{f[v>>2]=0;v=v+4|0}while((v|0)<(w|0));f[t>>2]=s;s=a+48|0;f[a+44>>2]=s;f[s>>2]=0;f[a+52>>2]=0;f[h>>2]=3;f[h+4>>2]=3;ZT(a,2,h,6);s=a+16|0;a=f[s>>2]|0;f[j>>2]=1124007942;t=j+4|0;f[t>>2]=2;x=j+8|0;f[x>>2]=8;f[j+12>>2]=1;y=j+16|0;f[y>>2]=a;f[j+20>>2]=a;z=j+24|0;A=j+40|0;f[z>>2]=0;f[z+4>>2]=0;f[z+8>>2]=0;f[z+12>>2]=0;f[A>>2]=x;x=j+48|0;B=j+44|0;f[B>>2]=x;C=j+52|0;f[C>>2]=0;f[x>>2]=0;if(!a){D=cuc(32)|0;f[h>>2]=D;f[h+8>>2]=-2147483616;f[h+4>>2]=28;v=D;E=466324;w=v+28|0;do{b[v>>0]=b[E>>0]|0;v=v+1|0;E=E+1|0}while((v|0)<(w|0));b[D+28>>0]=0;WD(-215,h,466353,466357,548)}f[x>>2]=8;f[C>>2]=8;C=a+64|0;f[j+28>>2]=C;f[z>>2]=C;YT(j);f[l>>2]=1124007942;C=l+4|0;f[C>>2]=2;z=l+8|0;f[z>>2]=8;f[l+12>>2]=8;a=l+16|0;f[a>>2]=h;f[l+20>>2]=h;D=l+24|0;E=l+40|0;v=D+8|0;f[v>>2]=0;f[v+4>>2]=0;f[E>>2]=z;z=l+48|0;v=l+44|0;f[v>>2]=z;f[z>>2]=64;f[l+52>>2]=8;f[l+28>>2]=h+512;f[D>>2]=h+512;YT(l);f[m>>2]=1124007942;D=m+4|0;f[D>>2]=2;w=m+8|0;f[w>>2]=8;f[m+12>>2]=1;F=m+16|0;f[F>>2]=k;f[m+20>>2]=k;G=m+24|0;H=m+40|0;I=G+8|0;f[I>>2]=0;f[I+4>>2]=0;f[H>>2]=w;w=m+48|0;I=m+44|0;f[I>>2]=w;f[w>>2]=8;f[m+52>>2]=8;f[m+28>>2]=k+64;f[G>>2]=k+64;YT(m);G=0;do{J=+n[c+(G<<3)>>2];K=J;L=G+4|0;p[h+(L<<6)+24>>3]=K;p[h+(G<<6)>>3]=K;K=+n[c+(G<<3)+4>>2];M=K;p[h+(L<<6)+32>>3]=M;p[h+(G<<6)+8>>3]=M;p[h+(L<<6)+40>>3]=1.0;p[h+(G<<6)+16>>3]=1.0;N=h+(L<<6)|0;f[N>>2]=0;f[N+4>>2]=0;f[N+8>>2]=0;f[N+12>>2]=0;f[N+16>>2]=0;f[N+20>>2]=0;N=h+(G<<6)+24|0;M=-J;f[N>>2]=0;f[N+4>>2]=0;f[N+8>>2]=0;f[N+12>>2]=0;f[N+16>>2]=0;f[N+20>>2]=0;J=+n[d+(G<<3)>>2];p[h+(G<<6)+48>>3]=J*M;O=-K;p[h+(G<<6)+56>>3]=J*O;K=+n[d+(G<<3)+4>>2];p[h+(L<<6)+48>>3]=K*M;p[h+(L<<6)+56>>3]=K*O;p[k+(G<<3)>>3]=J;p[k+(L<<3)>>3]=K;G=G+1|0}while((G|0)!=4);f[o+8>>2]=0;f[o+12>>2]=0;f[o>>2]=16842752;f[o+4>>2]=l;f[q+8>>2]=0;f[q+12>>2]=0;f[q>>2]=16842752;f[q+4>>2]=m;G=r+8|0;f[G>>2]=0;f[G+4>>2]=0;f[r>>2]=33619968;f[r+4>>2]=j;QD(o,q,r,e)|0;p[(f[s>>2]|0)+64>>3]=1.0;s=m+36|0;e=f[s>>2]|0;if(e|0?(r=e+12|0,e=f[r>>2]|0,f[r>>2]=e+-1,(e|0)==1):0)aU(m);f[s>>2]=0;f[F>>2]=0;f[F+4>>2]=0;f[F+8>>2]=0;f[F+12>>2]=0;if((f[D>>2]|0)>0){F=f[H>>2]|0;H=0;do{f[F+(H<<2)>>2]=0;H=H+1|0}while((H|0)<(f[D>>2]|0))}D=f[I>>2]|0;if((D|0)!=(w|0))TC(D);D=l+36|0;w=f[D>>2]|0;if(w|0?(I=w+12|0,w=f[I>>2]|0,f[I>>2]=w+-1,(w|0)==1):0)aU(l);f[D>>2]=0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;if((f[C>>2]|0)>0){a=f[E>>2]|0;E=0;do{f[a+(E<<2)>>2]=0;E=E+1|0}while((E|0)<(f[C>>2]|0))}C=f[v>>2]|0;if((C|0)!=(z|0))TC(C);C=j+36|0;z=f[C>>2]|0;if(z|0?(v=z+12|0,z=f[v>>2]|0,f[v>>2]=z+-1,(z|0)==1):0)aU(j);f[C>>2]=0;f[y>>2]=0;f[y+4>>2]=0;f[y+8>>2]=0;f[y+12>>2]=0;if((f[t>>2]|0)>0){y=f[A>>2]|0;A=0;do{f[y+(A<<2)>>2]=0;A=A+1|0}while((A|0)<(f[t>>2]|0))}t=f[B>>2]|0;if((t|0)!=(x|0))TC(t);if(!(f[i+4>>2]|0)){u=g;return}u=g;return}function Y1(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0.0;e=u;u=u+560|0;g=e+48|0;h=e+496|0;i=e;j=e+440|0;k=e+384|0;l=e+368|0;m=e+352|0;o=e+336|0;f[a>>2]=1124007936;q=a+8|0;r=a+40|0;s=a+4|0;t=s+36|0;do{f[s>>2]=0;s=s+4|0}while((s|0)<(t|0));f[r>>2]=q;q=a+48|0;f[a+44>>2]=q;f[q>>2]=0;f[a+52>>2]=0;f[g>>2]=2;f[g+4>>2]=3;ZT(a,2,g,6);q=f[a+16>>2]|0;f[h>>2]=1124007942;a=h+4|0;f[a>>2]=2;r=h+8|0;f[r>>2]=6;f[h+12>>2]=1;v=h+16|0;f[v>>2]=q;f[h+20>>2]=q;w=h+24|0;x=h+40|0;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;f[w+12>>2]=0;f[x>>2]=r;r=h+48|0;y=h+44|0;f[y>>2]=r;z=h+52|0;f[z>>2]=0;f[r>>2]=0;if(!q){A=cuc(32)|0;f[g>>2]=A;f[g+8>>2]=-2147483616;f[g+4>>2]=28;s=A;B=466324;t=s+28|0;do{b[s>>0]=b[B>>0]|0;s=s+1|0;B=B+1|0}while((s|0)<(t|0));b[A+28>>0]=0;WD(-215,g,466353,466357,548)}f[r>>2]=8;f[z>>2]=8;z=q+48|0;f[h+28>>2]=z;f[w>>2]=z;YT(h);f[j>>2]=1124007942;z=j+4|0;f[z>>2]=2;w=j+8|0;f[w>>2]=6;f[j+12>>2]=6;q=j+16|0;f[q>>2]=g;f[j+20>>2]=g;A=j+24|0;B=j+40|0;C=A+8|0;f[C>>2]=0;f[C+4>>2]=0;f[B>>2]=w;w=j+48|0;C=j+44|0;f[C>>2]=w;f[w>>2]=48;f[j+52>>2]=8;f[j+28>>2]=g+288;f[A>>2]=g+288;YT(j);f[k>>2]=1124007942;A=k+4|0;f[A>>2]=2;D=k+8|0;f[D>>2]=6;f[k+12>>2]=1;E=k+16|0;f[E>>2]=i;f[k+20>>2]=i;F=k+24|0;G=k+40|0;H=F+8|0;f[H>>2]=0;f[H+4>>2]=0;f[G>>2]=D;D=k+48|0;H=k+44|0;f[H>>2]=D;f[D>>2]=8;f[k+52>>2]=8;f[k+28>>2]=i+48;f[F>>2]=i+48;YT(k);I=+n[c>>2];p[g+72>>3]=I;p[g>>3]=I;I=+n[c+4>>2];p[g+80>>3]=I;p[g+8>>3]=I;p[g+88>>3]=1.0;p[g+16>>3]=1.0;s=g+24|0;t=s+48|0;do{f[s>>2]=0;s=s+4|0}while((s|0)<(t|0));p[i>>3]=+n[d>>2];p[i+8>>3]=+n[d+4>>2];I=+n[c+8>>2];p[g+168>>3]=I;p[g+96>>3]=I;I=+n[c+12>>2];p[g+176>>3]=I;p[g+104>>3]=I;p[g+184>>3]=1.0;p[g+112>>3]=1.0;F=d+8|0;s=g+120|0;t=s+48|0;do{f[s>>2]=0;s=s+4|0}while((s|0)<(t|0));p[i+16>>3]=+n[F>>2];p[i+24>>3]=+n[d+12>>2];I=+n[c+16>>2];p[g+264>>3]=I;p[g+192>>3]=I;I=+n[c+20>>2];p[g+272>>3]=I;p[g+200>>3]=I;p[g+280>>3]=1.0;p[g+208>>3]=1.0;c=d+16|0;s=g+216|0;t=s+48|0;do{f[s>>2]=0;s=s+4|0}while((s|0)<(t|0));p[i+32>>3]=+n[c>>2];p[i+40>>3]=+n[d+20>>2];f[l+8>>2]=0;f[l+12>>2]=0;f[l>>2]=16842752;f[l+4>>2]=j;f[m+8>>2]=0;f[m+12>>2]=0;f[m>>2]=16842752;f[m+4>>2]=k;d=o+8|0;f[d>>2]=0;f[d+4>>2]=0;f[o>>2]=33619968;f[o+4>>2]=h;QD(l,m,o,0)|0;o=k+36|0;m=f[o>>2]|0;if(m|0?(l=m+12|0,m=f[l>>2]|0,f[l>>2]=m+-1,(m|0)==1):0)aU(k);f[o>>2]=0;f[E>>2]=0;f[E+4>>2]=0;f[E+8>>2]=0;f[E+12>>2]=0;if((f[A>>2]|0)>0){E=f[G>>2]|0;G=0;do{f[E+(G<<2)>>2]=0;G=G+1|0}while((G|0)<(f[A>>2]|0))}A=f[H>>2]|0;if((A|0)!=(D|0))TC(A);A=j+36|0;D=f[A>>2]|0;if(D|0?(H=D+12|0,D=f[H>>2]|0,f[H>>2]=D+-1,(D|0)==1):0)aU(j);f[A>>2]=0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;f[q+12>>2]=0;if((f[z>>2]|0)>0){q=f[B>>2]|0;B=0;do{f[q+(B<<2)>>2]=0;B=B+1|0}while((B|0)<(f[z>>2]|0))}z=f[C>>2]|0;if((z|0)!=(w|0))TC(z);z=h+36|0;w=f[z>>2]|0;if(w|0?(C=w+12|0,w=f[C>>2]|0,f[C>>2]=w+-1,(w|0)==1):0)aU(h);f[z>>2]=0;f[v>>2]=0;f[v+4>>2]=0;f[v+8>>2]=0;f[v+12>>2]=0;if((f[a>>2]|0)>0){v=f[x>>2]|0;x=0;do{f[v+(x<<2)>>2]=0;x=x+1|0}while((x|0)<(f[a>>2]|0))}a=f[y>>2]|0;if((a|0)==(r|0)){u=e;return}TC(a);u=e;return}function Z1(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;g=u;u=u+128|0;h=g+72|0;i=g+16|0;j=g;do if((qJ(c)|0)==65536){k=f[c+4>>2]|0;f[h>>2]=f[k>>2];l=h+4|0;m=k+4|0;f[l>>2]=f[m>>2];n=h+8|0;f[n>>2]=f[k+8>>2];f[h+12>>2]=f[k+12>>2];f[h+16>>2]=f[k+16>>2];f[h+20>>2]=f[k+20>>2];f[h+24>>2]=f[k+24>>2];f[h+28>>2]=f[k+28>>2];f[h+32>>2]=f[k+32>>2];o=f[k+36>>2]|0;f[h+36>>2]=o;f[h+40>>2]=n;n=h+48|0;p=h+44|0;f[p>>2]=n;f[n>>2]=0;f[h+52>>2]=0;if(o|0){n=o+12|0;f[n>>2]=(f[n>>2]|0)+1}if((f[m>>2]|0)<3){m=f[k+44>>2]|0;n=f[p>>2]|0;f[n>>2]=f[m>>2];f[n+4>>2]=f[m+4>>2];break}else{f[l>>2]=0;$T(h,k);break}}else nJ(h,c,-1);while(0);do if((qJ(d)|0)==65536){c=f[d+4>>2]|0;f[i>>2]=f[c>>2];k=i+4|0;l=c+4|0;f[k>>2]=f[l>>2];m=i+8|0;f[m>>2]=f[c+8>>2];f[i+12>>2]=f[c+12>>2];f[i+16>>2]=f[c+16>>2];f[i+20>>2]=f[c+20>>2];f[i+24>>2]=f[c+24>>2];f[i+28>>2]=f[c+28>>2];f[i+32>>2]=f[c+32>>2];n=f[c+36>>2]|0;f[i+36>>2]=n;f[i+40>>2]=m;m=i+48|0;p=i+44|0;f[p>>2]=m;f[m>>2]=0;f[i+52>>2]=0;if(n|0){m=n+12|0;f[m>>2]=(f[m>>2]|0)+1}if((f[l>>2]|0)<3){l=f[c+44>>2]|0;m=f[p>>2]|0;f[m>>2]=f[l>>2];f[m+4>>2]=f[l+4>>2];break}else{f[k>>2]=0;$T(i,c);break}}else nJ(i,d,-1);while(0);if((qU(h,2,5,1)|0)!=4){f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;q=cuc(80)|0;f[j>>2]=q;r=j+8|0;f[r>>2]=-2147483568;s=j+4|0;f[s>>2]=66;t=q;v=239847;w=t+66|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));x=q+66|0;b[x>>0]=0;WD(-215,j,239914,238594,3157)}if((qU(i,2,5,1)|0)!=4){f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;q=cuc(80)|0;f[j>>2]=q;r=j+8|0;f[r>>2]=-2147483568;s=j+4|0;f[s>>2]=66;t=q;v=239847;w=t+66|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));x=q+66|0;b[x>>0]=0;WD(-215,j,239914,238594,3157)}j=h+16|0;x=i+16|0;X1(a,f[j>>2]|0,f[x>>2]|0,e);e=i+36|0;a=f[e>>2]|0;if(a|0?(q=a+12|0,a=f[q>>2]|0,f[q>>2]=a+-1,(a|0)==1):0)aU(i);f[e>>2]=0;e=i+4|0;f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;f[x+12>>2]=0;if((f[e>>2]|0)>0){x=f[i+40>>2]|0;a=0;do{f[x+(a<<2)>>2]=0;a=a+1|0}while((a|0)<(f[e>>2]|0))}e=f[i+44>>2]|0;if((e|0)!=(i+48|0))TC(e);e=h+36|0;i=f[e>>2]|0;if(i|0?(a=i+12|0,i=f[a>>2]|0,f[a>>2]=i+-1,(i|0)==1):0)aU(h);f[e>>2]=0;e=h+4|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;if((f[e>>2]|0)>0){j=f[h+40>>2]|0;i=0;do{f[j+(i<<2)>>2]=0;i=i+1|0}while((i|0)<(f[e>>2]|0))}e=f[h+44>>2]|0;if((e|0)==(h+48|0)){u=g;return}TC(e);u=g;return}function _1(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;e=u;u=u+128|0;g=e+72|0;h=e+16|0;i=e;do if((qJ(c)|0)==65536){j=f[c+4>>2]|0;f[g>>2]=f[j>>2];k=g+4|0;l=j+4|0;f[k>>2]=f[l>>2];m=g+8|0;f[m>>2]=f[j+8>>2];f[g+12>>2]=f[j+12>>2];f[g+16>>2]=f[j+16>>2];f[g+20>>2]=f[j+20>>2];f[g+24>>2]=f[j+24>>2];f[g+28>>2]=f[j+28>>2];f[g+32>>2]=f[j+32>>2];n=f[j+36>>2]|0;f[g+36>>2]=n;f[g+40>>2]=m;m=g+48|0;o=g+44|0;f[o>>2]=m;f[m>>2]=0;f[g+52>>2]=0;if(n|0){m=n+12|0;f[m>>2]=(f[m>>2]|0)+1}if((f[l>>2]|0)<3){l=f[j+44>>2]|0;m=f[o>>2]|0;f[m>>2]=f[l>>2];f[m+4>>2]=f[l+4>>2];break}else{f[k>>2]=0;$T(g,j);break}}else nJ(g,c,-1);while(0);do if((qJ(d)|0)==65536){c=f[d+4>>2]|0;f[h>>2]=f[c>>2];j=h+4|0;k=c+4|0;f[j>>2]=f[k>>2];l=h+8|0;f[l>>2]=f[c+8>>2];f[h+12>>2]=f[c+12>>2];f[h+16>>2]=f[c+16>>2];f[h+20>>2]=f[c+20>>2];f[h+24>>2]=f[c+24>>2];f[h+28>>2]=f[c+28>>2];f[h+32>>2]=f[c+32>>2];m=f[c+36>>2]|0;f[h+36>>2]=m;f[h+40>>2]=l;l=h+48|0;o=h+44|0;f[o>>2]=l;f[l>>2]=0;f[h+52>>2]=0;if(m|0){l=m+12|0;f[l>>2]=(f[l>>2]|0)+1}if((f[k>>2]|0)<3){k=f[c+44>>2]|0;l=f[o>>2]|0;f[l>>2]=f[k>>2];f[l+4>>2]=f[k+4>>2];break}else{f[j>>2]=0;$T(h,c);break}}else nJ(h,d,-1);while(0);if((qU(g,2,5,1)|0)!=3){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;p=cuc(80)|0;f[i>>2]=p;q=i+8|0;f[q>>2]=-2147483568;r=i+4|0;f[r>>2]=66;s=p;t=239938;v=s+66|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));w=p+66|0;b[w>>0]=0;WD(-215,i,240005,238594,3164)}if((qU(h,2,5,1)|0)!=3){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;p=cuc(80)|0;f[i>>2]=p;q=i+8|0;f[q>>2]=-2147483568;r=i+4|0;f[r>>2]=66;s=p;t=239938;v=s+66|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));w=p+66|0;b[w>>0]=0;WD(-215,i,240005,238594,3164)}i=g+16|0;w=h+16|0;Y1(a,f[i>>2]|0,f[w>>2]|0);a=h+36|0;p=f[a>>2]|0;if(p|0?(t=p+12|0,p=f[t>>2]|0,f[t>>2]=p+-1,(p|0)==1):0)aU(h);f[a>>2]=0;a=h+4|0;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;f[w+12>>2]=0;if((f[a>>2]|0)>0){w=f[h+40>>2]|0;p=0;do{f[w+(p<<2)>>2]=0;p=p+1|0}while((p|0)<(f[a>>2]|0))}a=f[h+44>>2]|0;if((a|0)!=(h+48|0))TC(a);a=g+36|0;h=f[a>>2]|0;if(h|0?(p=h+12|0,h=f[p>>2]|0,f[p>>2]=h+-1,(h|0)==1):0)aU(g);f[a>>2]=0;a=g+4|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;if((f[a>>2]|0)>0){i=f[g+40>>2]|0;h=0;do{f[i+(h<<2)>>2]=0;h=h+1|0}while((h|0)<(f[a>>2]|0))}a=f[g+44>>2]|0;if((a|0)==(g+48|0)){u=e;return}TC(a);u=e;return}function $1(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=+e;g=+g;h=+h;var i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0.0,N=0.0,O=0.0,P=0.0,Q=0.0,S=0,T=0,U=0,V=0.0,W=0.0,X=0.0,Y=0.0,Z=0.0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0.0,ka=0.0,la=0.0,ma=0.0,na=0.0,oa=0.0,pa=0.0,qa=0.0,ra=0.0,sa=0.0,ta=0.0,ua=0.0,va=0.0,wa=0.0,xa=0.0,ya=0.0,za=0.0,Aa=0.0,Ba=0.0,Ca=0.0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0.0,Ka=0.0,La=0.0,Ma=0.0,Na=0.0,Oa=0.0,Pa=0.0,Qa=0.0,Ra=0.0,Sa=0.0,Ta=0.0,Ua=0.0;i=u;u=u+1216|0;j=i+1152|0;k=i+88|0;l=i+80|0;m=i+24|0;o=i;gV(l,51040);do if((qJ(a)|0)==65536){p=f[a+4>>2]|0;f[m>>2]=f[p>>2];q=m+4|0;r=p+4|0;f[q>>2]=f[r>>2];s=m+8|0;f[s>>2]=f[p+8>>2];f[m+12>>2]=f[p+12>>2];f[m+16>>2]=f[p+16>>2];f[m+20>>2]=f[p+20>>2];f[m+24>>2]=f[p+24>>2];f[m+28>>2]=f[p+28>>2];f[m+32>>2]=f[p+32>>2];t=f[p+36>>2]|0;f[m+36>>2]=t;f[m+40>>2]=s;s=m+48|0;v=m+44|0;f[v>>2]=s;f[s>>2]=0;f[m+52>>2]=0;if(t|0){s=t+12|0;f[s>>2]=(f[s>>2]|0)+1}if((f[r>>2]|0)<3){r=f[p+44>>2]|0;s=f[v>>2]|0;f[s>>2]=f[r>>2];f[s+4>>2]=f[r+4>>2];break}else{f[q>>2]=0;$T(m,p);break}}else nJ(m,a,-1);while(0);f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;f[o+12>>2]=0;f[o+16>>2]=0;f[o+20>>2]=0;a=qU(m,2,-1,0)|0;p=qU(m,3,-1,0)|0;q=(a|0)>-1;if((p&a|0)<=-1){f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;r=cuc(32)|0;f[j>>2]=r;f[j+8>>2]=-2147483616;f[j+4>>2]=30;w=r;x=240024;y=w+30|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));b[r+30>>0]=0;WD(-215,j,240055,240063,607)}if((f[m>>2]&16391|0)==16389)z=m+16|0;else{f[j>>2]=1124007936;r=j+4|0;s=j+8|0;v=j+40|0;w=r;y=w+36|0;do{f[w>>2]=0;w=w+4|0}while((w|0)<(y|0));f[v>>2]=s;t=j+48|0;A=j+44|0;f[A>>2]=t;f[t>>2]=0;f[j+52>>2]=0;B=k+8|0;f[B>>2]=0;f[B+4>>2]=0;f[k>>2]=33619968;f[k+4>>2]=j;kQ(m,k,5,1.0,0.0);B=j+36|0;C=f[B>>2]|0;if(C|0){D=C+12|0;f[D>>2]=(f[D>>2]|0)+1}D=m+36|0;C=f[D>>2]|0;if(C|0?(E=C+12|0,C=f[E>>2]|0,f[E>>2]=C+-1,(C|0)==1):0)aU(m);f[D>>2]=0;C=m+16|0;E=m+4|0;f[C>>2]=0;f[C+4>>2]=0;f[C+8>>2]=0;f[C+12>>2]=0;if((f[E>>2]|0)>0){F=f[m+40>>2]|0;G=0;do{f[F+(G<<2)>>2]=0;G=G+1|0;H=f[E>>2]|0}while((G|0)<(H|0));f[m>>2]=f[j>>2];if((H|0)<3)I=22;else I=24}else{f[m>>2]=f[j>>2];I=22}if((I|0)==22){H=f[r>>2]|0;if((H|0)<3){f[E>>2]=H;f[m+8>>2]=f[s>>2];f[m+12>>2]=f[j+12>>2];s=f[A>>2]|0;H=f[m+44>>2]|0;f[H>>2]=f[s>>2];f[H+4>>2]=f[s+4>>2]}else I=24}if((I|0)==24)$T(m,j);s=j+16|0;f[C>>2]=f[s>>2];f[m+20>>2]=f[j+20>>2];f[m+24>>2]=f[j+24>>2];f[m+28>>2]=f[j+28>>2];f[m+32>>2]=f[j+32>>2];H=f[B>>2]|0;f[D>>2]=H;if(H|0?(D=H+12|0,H=f[D>>2]|0,f[D>>2]=H+-1,(H|0)==1):0)aU(j);f[B>>2]=0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;if((f[r>>2]|0)>0){s=f[v>>2]|0;v=0;do{f[s+(v<<2)>>2]=0;v=v+1|0}while((v|0)<(f[r>>2]|0))}r=f[A>>2]|0;if((r|0)!=(t|0))TC(r);z=C}C=f[z>>2]|0;if(q){K=e;N=g;O=h;P=+(a|0)*1.1920928955078125e-07;Q=N!=0.0?N:1.0;q=O!=0.0;f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;f[o+12>>2]=0;switch(d|0){case 2:{a2(C,a,0,o);break}case 1:{S=319;T=0;I=42;break}case 4:{S=320;T=0;I=42;break}case 5:{S=0;T=38;I=42;break}case 6:{S=0;T=39;I=42;break}case 7:{S=0;T=40;I=42;break}default:{r=cuc(32)|0;f[k>>2]=r;f[k+8>>2]=-2147483616;f[k+4>>2]=21;w=r;x=240135;y=w+21|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));b[r+21>>0]=0;WD(-5,k,240157,240063,361)}}if((I|0)==42){r=a<<1;t=k+8|0;f[k>>2]=t;A=k+4|0;f[A>>2]=r;if(r>>>0>264){v=euc(r>>>0>1073741823?-1:r<<2)|0;f[k>>2]=v;U=v}else U=t;v=U+(a<<2)|0;r=(a|0)>0;s=(a|0)<10?a:10;B=j+4|0;N=q?O:.009999999776482582;q=j+8|0;H=j+12|0;D=(S|0)==0;E=a<<2;G=(a|0)==0|r^1;F=0;O=0.0;V=1797693134862315708145274.0e284;W=0.0;X=0.0;Y=0.0;Z=0.0;_=-1;$=-1;while(1){if(r)kzc(U|0,0,E|0)|0;if(G){aa=_;ba=$}else{ca=0;da=_;ea=$;while(1){fa=da;ga=ea;do{ha=Bzc(fa|0,0,-130063606,0)|0;fa=hzc(ha|0,J|0,ga|0,0)|0;ga=J;ia=U+(((fa>>>0)%(a>>>0)|0)<<2)|0}while(!(+n[ia>>2]<1.1920928955078125e-07));ca=ca+1|0;n[ia>>2]=1.0;if((ca|0)>=(s|0)){aa=fa;ba=ga;break}else{da=fa;ea=ga}}}a2(C,a,U,j);ea=0;ja=O;da=0;ka=W;la=X;ma=Y;na=Z;while(1){if(ea){oa=+n[j>>2];pa=+n[B>>2];qa=ka*oa+la*pa;ra=qa<-1.0?-1.0:qa;if(+L(+(+R(+(ra>1.0?1.0:ra))))<N?(ra=+L(+(+n[q>>2]-ma)),qa=+L(+(+n[H>>2]-na)),(ra>qa?ra:qa)<Q):0){sa=ja;ta=ka;ua=la;va=ma;wa=na;break}else{xa=oa;ya=pa}}else{xa=+n[j>>2];ya=+n[B>>2]}pa=+n[q>>2];oa=+n[H>>2];if(r){qa=0.0;ca=0;while(1){ra=+L(+(ya*(+n[C+(ca<<3)>>2]-pa)-xa*(+n[C+(ca<<3)+4>>2]-oa)));n[v+(ca<<2)>>2]=ra;za=qa+ra;ca=ca+1|0;if((ca|0)==(a|0)){Aa=za;break}else qa=za}}else Aa=0.0;if(Aa<P){sa=Aa;ta=ka;ua=la;va=ma;wa=na;break}if(D)nh[T&63](v,a,U,K);else Zh[S&511](v,a,U);if(r){ca=0;qa=0.0;while(1){za=qa+ +n[U+(ca<<2)>>2];ca=ca+1|0;if((ca|0)==(a|0)){Ba=za;break}else qa=za}}else Ba=0.0;if(+L(+Ba)>1.1920928955078125e-07){qa=1.0/Ba;if(r){ca=0;do{ga=U+(ca<<2)|0;n[ga>>2]=qa*+n[ga>>2];ca=ca+1|0}while((ca|0)!=(a|0))}}else if(r){ca=0;do{n[U+(ca<<2)>>2]=1.0;ca=ca+1|0}while((ca|0)!=(a|0))}a2(C,a,U,j);da=da+1|0;if((da|0)>=30){sa=Aa;ta=xa;ua=ya;va=pa;wa=oa;break}else{ea=1;ja=Aa;ka=xa;la=ya;ma=pa;na=oa}}if(sa<V){f[o>>2]=f[j>>2];f[o+4>>2]=f[j+4>>2];f[o+8>>2]=f[j+8>>2];f[o+12>>2]=f[j+12>>2];if(sa<P)break;else Ca=sa}else Ca=V;F=F+1|0;if((F|0)>=20)break;else{O=sa;V=Ca;W=ta;X=ua;Y=va;Z=wa;_=aa;$=ba}}ba=f[k>>2]|0;if((ba|0)!=(t|0)){if(ba|0)guc(ba);f[k>>2]=t;f[A>>2]=264}}}else{wa=e;e=g;g=h;h=+(p|0)*1.1920928955078125e-07;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;f[j+16>>2]=0;f[j+20>>2]=0;Z=e!=0.0?e:1.0;A=g!=0.0;switch(d|0){case 2:{g2(C,p,0,o);break}case 1:{Da=319;Ea=0;I=86;break}case 4:{Da=320;Ea=0;I=86;break}case 5:{Da=0;Ea=38;I=86;break}case 6:{Da=0;Ea=39;I=86;break}case 7:{Da=0;Ea=40;I=86;break}default:{d=cuc(32)|0;f[k>>2]=d;f[k+8>>2]=-2147483616;f[k+4>>2]=16;w=d;x=240167;y=w+16|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));b[d+16>>0]=0;WD(-5,k,240184,240063,496)}}if((I|0)==86){I=p<<1;d=k+8|0;f[k>>2]=d;x=k+4|0;f[x>>2]=I;if(I>>>0>264){w=euc(I>>>0>1073741823?-1:I<<2)|0;f[k>>2]=w;Fa=w}else Fa=d;w=Fa+(p<<2)|0;I=(p|0)>0;y=(p|0)<10?p:10;t=j+4|0;ba=j+8|0;e=A?g:.009999999776482582;A=j+12|0;$=j+16|0;aa=j+20|0;_=(Da|0)==0;F=p<<2;U=(p|0)==0|I^1;r=0;g=1797693134862315708145274.0e284;va=0.0;Y=0.0;ua=0.0;X=0.0;ta=0.0;W=0.0;Ca=0.0;v=-1;S=-1;while(1){if(I)kzc(Fa|0,0,F|0)|0;if(U){Ga=v;Ha=S}else{T=0;D=v;H=S;while(1){q=D;B=H;do{s=Bzc(q|0,0,-130063606,0)|0;q=hzc(s|0,J|0,B|0,0)|0;B=J;Ia=Fa+(((q>>>0)%(p>>>0)|0)<<2)|0}while(!(+n[Ia>>2]<1.1920928955078125e-07));T=T+1|0;n[Ia>>2]=1.0;if((T|0)>=(y|0)){Ga=q;Ha=B;break}else{D=q;H=B}}}g2(C,p,Fa,j);H=0;oa=va;D=0;pa=Y;V=ua;sa=X;O=ta;P=W;ya=Ca;while(1){xa=+n[j>>2];if(H){Aa=+n[t>>2];Ba=+n[ba>>2];K=pa*xa+P*Aa+ya*Ba;Q=K<-1.0?-1.0:K;if(+L(+(+R(+(Q>1.0?1.0:Q))))<e?(Q=+n[A>>2]-V,K=+n[$>>2]-sa,N=+n[aa>>2]-O,na=xa-pa,ma=Aa-P,la=Ba-ya,ka=+L(+(la*K-ma*N)),ja=+L(+(na*N-la*Q)),la=+L(+(ma*Q-na*K)),K=ka>ja?ka:ja,(K>la?K:la)<Z):0){Ja=oa;Ka=pa;La=V;Ma=sa;Na=O;Oa=P;Pa=ya;break}else{Qa=Aa;Ra=Ba}}else{Qa=+n[t>>2];Ra=+n[ba>>2]}Ba=+n[A>>2];Aa=+n[$>>2];la=+n[aa>>2];if(I){K=0.0;T=0;while(1){ja=+n[C+(T*12|0)>>2]-Ba;ka=+n[C+(T*12|0)+4>>2]-Aa;na=+n[C+(T*12|0)+8>>2]-la;Q=Qa*na-Ra*ka;ma=Ra*ja-xa*na;na=xa*ka-Qa*ja;ja=+M(+(na*na+(Q*Q+ma*ma)));n[w+(T<<2)>>2]=ja;ma=K+ja;T=T+1|0;if((T|0)==(p|0)){Sa=ma;break}else K=ma}}else Sa=0.0;if(_)nh[Ea&63](w,p,Fa,wa);else Zh[Da&511](w,p,Fa);if(I){T=0;K=0.0;while(1){ma=K+ +n[Fa+(T<<2)>>2];T=T+1|0;if((T|0)==(p|0)){Ta=ma;break}else K=ma}}else Ta=0.0;if(+L(+Ta)>1.1920928955078125e-07){K=1.0/Ta;if(I){T=0;do{B=Fa+(T<<2)|0;n[B>>2]=K*+n[B>>2];T=T+1|0}while((T|0)!=(p|0))}}else if(I){T=0;do{n[Fa+(T<<2)>>2]=1.0;T=T+1|0}while((T|0)!=(p|0))}g2(C,p,Fa,j);D=D+1|0;if((D|0)>=30){Ja=Sa;Ka=xa;La=Ba;Ma=Aa;Na=la;Oa=Qa;Pa=Ra;break}else{H=1;oa=Sa;pa=xa;V=Ba;sa=Aa;O=la;P=Qa;ya=Ra}}if(Ja<g){f[o>>2]=f[j>>2];f[o+4>>2]=f[j+4>>2];f[o+8>>2]=f[j+8>>2];f[o+12>>2]=f[j+12>>2];f[o+16>>2]=f[j+16>>2];f[o+20>>2]=f[j+20>>2];if(Ja<h)break;else Ua=Ja}else Ua=g;r=r+1|0;if((r|0)>=20)break;else{g=Ua;va=Ja;Y=Ka;ua=La;X=Ma;ta=Na;W=Oa;Ca=Pa;v=Ga;S=Ha}}Ha=f[k>>2]|0;if((Ha|0)!=(d|0)){if(Ha|0)guc(Ha);f[k>>2]=d;f[x>>2]=264}}}x=a>>31&2|4;f[j>>2]=1124007941;a=j+4|0;f[a>>2]=2;d=j+8|0;f[d>>2]=x;f[j+12>>2]=1;k=j+16|0;f[k>>2]=o;f[j+20>>2]=o;Ha=j+24|0;S=j+40|0;Ga=Ha+8|0;f[Ga>>2]=0;f[Ga+4>>2]=0;f[S>>2]=d;d=j+48|0;Ga=j+44|0;f[Ga>>2]=d;f[d>>2]=4;f[j+52>>2]=4;v=o+(x<<2)|0;f[j+28>>2]=v;f[Ha>>2]=v;YT(j);EI(j,c);c=j+36|0;v=f[c>>2]|0;if(v|0?(Ha=v+12|0,v=f[Ha>>2]|0,f[Ha>>2]=v+-1,(v|0)==1):0)aU(j);f[c>>2]=0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;if((f[a>>2]|0)>0){k=f[S>>2]|0;S=0;do{f[k+(S<<2)>>2]=0;S=S+1|0}while((S|0)<(f[a>>2]|0))}a=f[Ga>>2]|0;if((a|0)!=(d|0))TC(a);a=m+36|0;d=f[a>>2]|0;if(d|0?(Ga=d+12|0,d=f[Ga>>2]|0,f[Ga>>2]=d+-1,(d|0)==1):0)aU(m);f[a>>2]=0;a=m+4|0;f[z>>2]=0;f[z+4>>2]=0;f[z+8>>2]=0;f[z+12>>2]=0;if((f[a>>2]|0)>0){z=f[m+40>>2]|0;d=0;do{f[z+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[a>>2]|0))}a=f[m+44>>2]|0;if((a|0)!=(m+48|0))TC(a);if(!(f[l+4>>2]|0)){u=i;return}u=i;return}function a2(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0.0,m=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0.0,t=0.0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0;g=u;u=u+16|0;h=g;if((c|0)<=0){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;b[h+11>>0]=9;i=h;j=240194;k=i+9|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));b[h+9>>0]=0;WD(-215,h,240219,240063,50)}if(!d){h=0;l=0.0;m=0.0;o=0.0;p=0.0;q=0.0;do{r=+n[a+(h<<3)>>2];q=q+r;s=+n[a+(h<<3)+4>>2];l=l+s;m=m+r*r;o=o+s*s;p=p+r*s;h=h+1|0}while((h|0)!=(c|0));t=+(c|0);v=q;w=l;x=m;y=o;z=p}else{p=0.0;h=0;o=0.0;m=0.0;l=0.0;q=0.0;s=0.0;while(1){r=+n[d+(h<<2)>>2];A=+n[a+(h<<3)>>2];B=r*A;C=s+B;D=+n[a+(h<<3)+4>>2];E=r*D;F=o+E;G=m+A*B;A=l+D*E;E=q+B*D;D=p+r;h=h+1|0;if((h|0)==(c|0)){t=D;v=C;w=F;x=G;y=A;z=E;break}else{p=D;o=F;m=G;l=A;q=E;s=C}}}s=v/t;v=w/t;w=+U(+((z/t-v*s)*2.0),+(x/t-s*s-(y/t-v*v)))*.5;t=+O(+w);n[e>>2]=t;t=+P(+w);n[e+4>>2]=t;n[e+8>>2]=s;n[e+12>>2]=v;u=g;return}function b2(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;var e=0.0,f=0;e=d<=0.0?1.3450000286102295:d;if((b|0)>0)f=0;else return;do{d=+n[a+(f<<2)>>2];n[c+(f<<2)>>2]=d<e?1.0:e/d;f=f+1|0}while((f|0)!=(b|0));return}function c2(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;var e=0.0,f=0,g=0.0;e=d==0.0?.3350532650947571:1.0/d;if((b|0)>0)f=0;else return;do{d=+n[a+(f<<2)>>2];g=+V(+-(e*(e*(d*d))));n[c+(f<<2)>>2]=g;f=f+1|0}while((f|0)!=(b|0));return}function d2(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;var e=0.0,f=0;e=d==0.0?.7143877744674683:1.0/d;if((b|0)>0)f=0;else return;do{n[c+(f<<2)>>2]=1.0/(e*+n[a+(f<<2)>>2]+1.0);f=f+1|0}while((f|0)!=(b|0));return}function e2(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0.0,f=0.0;if((b|0)>0)d=0;else return;do{e=+n[a+(d<<2)>>2];f=1.0/+M(+(e*e*.5+1.0));n[c+(d<<2)>>2]=f;d=d+1|0}while((d|0)!=(b|0));return}function f2(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0.0;if((b|0)>0)d=0;else return;do{e=+L(+(+n[a+(d<<2)>>2]));n[c+(d<<2)>>2]=1.0/(e<1.0e-06?1.0e-06:e);d=d+1|0}while((d|0)!=(b|0));return}function g2(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0.0,J=0.0,K=0.0,L=0.0,N=0.0,O=0.0,P=0.0,Q=0.0,R=0.0,S=0.0,T=0.0,U=0.0,V=0.0,W=0.0,X=0.0,Y=0.0,Z=0.0,_=0.0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0;g=u;u=u+304|0;h=g+264|0;i=g+228|0;j=g+216|0;k=g+160|0;l=g+104|0;m=g+48|0;o=g+32|0;p=g+16|0;q=g;if((c|0)<=0){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;b[h+11>>0]=9;r=h;s=240194;t=r+9|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));b[h+9>>0]=0;WD(-215,h,240204,240063,102)};f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;r=i;t=r+36|0;do{f[r>>2]=0;r=r+4|0}while((r|0)<(t|0));if(!d){r=0;v=0.0;w=0.0;x=0.0;y=0.0;z=0.0;A=0.0;B=0.0;C=0.0;D=0.0;do{E=+n[a+(r*12|0)>>2];F=+n[a+(r*12|0)+4>>2];G=+n[a+(r*12|0)+8>>2];y=y+E*E;B=B+E*F;D=D+E*G;z=z+F*F;C=C+F*G;A=A+G*G;v=v+E;w=w+F;x=x+G;r=r+1|0}while((r|0)!=(c|0));H=+(c|0);I=v;J=w;K=x;L=y;N=z;O=A;P=B;Q=C;R=D}else{r=0;D=0.0;C=0.0;B=0.0;A=0.0;z=0.0;y=0.0;x=0.0;w=0.0;v=0.0;G=0.0;while(1){F=+n[a+(r*12|0)>>2];E=+n[a+(r*12|0)+4>>2];S=+n[a+(r*12|0)+8>>2];T=+n[d+(r<<2)>>2];U=z+F*F*T;V=w+F*E*T;W=G+F*S*T;X=y+E*E*T;Y=v+E*S*T;Z=x+S*S*T;_=C+F*T;F=B+E*T;E=A+S*T;S=D+T;r=r+1|0;if((r|0)==(c|0)){H=S;I=_;J=F;K=E;L=U;N=X;O=Z;P=V;Q=Y;R=W;break}else{D=S;C=_;B=F;A=E;z=U;y=X;x=Z;w=V;v=Y;G=W}}}G=I/H;I=J/H;J=K/H;K=L/H-G*G;L=N/H-I*I;N=O/H-J*J;n[h>>2]=N+L;O=-(P/H-G*I);n[h+4>>2]=O;P=-(R/H-G*J);n[h+8>>2]=P;n[h+12>>2]=O;n[h+16>>2]=K+N;N=-(Q/H-I*J);n[h+20>>2]=N;n[h+24>>2]=P;n[h+28>>2]=N;n[h+32>>2]=L+K;f[k>>2]=1124007941;c=k+4|0;f[c>>2]=2;r=k+8|0;f[r>>2]=3;f[k+12>>2]=3;d=k+16|0;f[d>>2]=h;f[k+20>>2]=h;a=k+24|0;t=k+40|0;s=a+8|0;f[s>>2]=0;f[s+4>>2]=0;f[t>>2]=r;r=k+48|0;s=k+44|0;f[s>>2]=r;f[r>>2]=12;f[k+52>>2]=4;f[k+28>>2]=h+36;f[a>>2]=h+36;YT(k);f[l>>2]=1124007941;h=l+4|0;f[h>>2]=2;a=l+8|0;f[a>>2]=3;f[l+12>>2]=3;$=l+16|0;f[$>>2]=i;f[l+20>>2]=i;aa=l+24|0;ba=l+40|0;ca=aa+8|0;f[ca>>2]=0;f[ca+4>>2]=0;f[ba>>2]=a;a=l+48|0;ca=l+44|0;f[ca>>2]=a;f[a>>2]=12;f[l+52>>2]=4;f[l+28>>2]=i+36;f[aa>>2]=i+36;YT(l);f[m>>2]=1124007941;aa=m+4|0;f[aa>>2]=2;da=m+8|0;f[da>>2]=3;f[m+12>>2]=1;ea=m+16|0;f[ea>>2]=j;f[m+20>>2]=j;fa=m+24|0;ga=m+40|0;ha=fa+8|0;f[ha>>2]=0;f[ha+4>>2]=0;f[ga>>2]=da;da=m+48|0;ha=m+44|0;f[ha>>2]=da;f[da>>2]=4;f[m+52>>2]=4;f[m+28>>2]=j+12;f[fa>>2]=j+12;YT(m);f[o+8>>2]=0;f[o+12>>2]=0;f[o>>2]=16842752;f[o+4>>2]=k;fa=p+8|0;f[fa>>2]=0;f[fa+4>>2]=0;f[p>>2]=33619968;f[p+4>>2]=m;fa=q+8|0;f[fa>>2]=0;f[fa+4>>2]=0;f[q>>2]=33619968;f[q+4>>2]=l;KD(o,p,q)|0;q=!(+n[j>>2]<+n[j+4>>2]);p=i+((+n[j+((q&1)<<2)>>2]<+n[j+8>>2]?(q?3:0):6)<<2)|0;K=+n[p>>2];L=K;N=+n[p+4>>2];P=N;H=+n[p+8>>2];Q=H;O=+M(+(L*L+P*P+Q*Q));Q=O<1.0e-06?1.0e-06:O;n[e>>2]=K/Q;n[e+4>>2]=N/Q;n[e+8>>2]=H/Q;n[e+12>>2]=G;n[e+16>>2]=I;n[e+20>>2]=J;e=m+36|0;p=f[e>>2]|0;if(p|0?(q=p+12|0,p=f[q>>2]|0,f[q>>2]=p+-1,(p|0)==1):0)aU(m);f[e>>2]=0;f[ea>>2]=0;f[ea+4>>2]=0;f[ea+8>>2]=0;f[ea+12>>2]=0;if((f[aa>>2]|0)>0){ea=f[ga>>2]|0;ga=0;do{f[ea+(ga<<2)>>2]=0;ga=ga+1|0}while((ga|0)<(f[aa>>2]|0))}aa=f[ha>>2]|0;if((aa|0)!=(da|0))TC(aa);aa=l+36|0;da=f[aa>>2]|0;if(da|0?(ha=da+12|0,da=f[ha>>2]|0,f[ha>>2]=da+-1,(da|0)==1):0)aU(l);f[aa>>2]=0;f[$>>2]=0;f[$+4>>2]=0;f[$+8>>2]=0;f[$+12>>2]=0;if((f[h>>2]|0)>0){$=f[ba>>2]|0;ba=0;do{f[$+(ba<<2)>>2]=0;ba=ba+1|0}while((ba|0)<(f[h>>2]|0))}h=f[ca>>2]|0;if((h|0)!=(a|0))TC(h);h=k+36|0;a=f[h>>2]|0;if(a|0?(ca=a+12|0,a=f[ca>>2]|0,f[ca>>2]=a+-1,(a|0)==1):0)aU(k);f[h>>2]=0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[c>>2]|0)>0){d=f[t>>2]|0;t=0;do{f[d+(t<<2)>>2]=0;t=t+1|0}while((t|0)<(f[c>>2]|0))}c=f[s>>2]|0;if((c|0)==(r|0)){u=g;return}TC(c);u=g;return}function h2(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;d=u;u=u+48|0;e=d+32|0;g=d;f[a>>2]=1124007936;h=a+4|0;i=a+8|0;j=a+40|0;k=h;l=k+36|0;do{f[k>>2]=0;k=k+4|0}while((k|0)<(l|0));f[j>>2]=i;m=a+48|0;n=a+44|0;f[n>>2]=m;f[m>>2]=0;f[a+52>>2]=0;m=c+16|0;o=(f[m>>2]|0)==0;q=f[c+4>>2]|0;if(!o){if((q|0)<3)r=Y(f[c+12>>2]|0,f[c+8>>2]|0)|0;else{s=f[c+40>>2]|0;t=0;v=1;while(1){w=Y(f[s+(t<<2)>>2]|0,v)|0;t=t+1|0;if((t|0)==(q|0)){r=w;break}else v=w}}if(!((q|0)==0|(r|0)==0)){if((f[c>>2]&4095|0)!=6){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;x=cuc(80)|0;f[e>>2]=x;y=e+8|0;f[y>>2]=-2147483568;z=e+4|0;f[z>>2]=72;k=x;A=240305;l=k+72|0;do{b[k>>0]=b[A>>0]|0;k=k+1|0;A=A+1|0}while((k|0)<(l|0));B=x+72|0;b[B>>0]=0;WD(-5,e,240378,240382,97)}if((f[c+8>>2]|0)!=1){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;x=cuc(80)|0;f[e>>2]=x;y=e+8|0;f[y>>2]=-2147483568;z=e+4|0;f[z>>2]=72;k=x;A=240305;l=k+72|0;do{b[k>>0]=b[A>>0]|0;k=k+1|0;A=A+1|0}while((k|0)<(l|0));B=x+72|0;b[B>>0]=0;WD(-5,e,240378,240382,97)}if((f[c+12>>2]|0)!=65){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;x=cuc(80)|0;f[e>>2]=x;y=e+8|0;f[y>>2]=-2147483568;z=e+4|0;f[z>>2]=72;k=x;A=240305;l=k+72|0;do{b[k>>0]=b[A>>0]|0;k=k+1|0;A=A+1|0}while((k|0)<(l|0));B=x+72|0;b[B>>0]=0;WD(-5,e,240378,240382,97)}}else C=7}else C=7;if((C|0)==7){if(!((((q|0)<3?(f[c+8>>2]|0)==1:0)?(f[c+12>>2]|0)==65:0)?!((f[c>>2]&4095|0)!=6|o):0)){f[e>>2]=1;f[e+4>>2]=65;ZT(c,2,e,6)}f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;f[g+16>>2]=0;f[g+20>>2]=0;f[g+24>>2]=0;f[g+28>>2]=0;f[e>>2]=-1056833530;f[e+4>>2]=g;f[e+8>>2]=1;f[e+12>>2]=4;HI(c,e,sK()|0)|0}if((a|0)==(c|0))D=f[a+16>>2]|0;else{e=c+36|0;g=f[e>>2]|0;if(g|0){o=g+12|0;f[o>>2]=(f[o>>2]|0)+1}o=a+36|0;g=f[o>>2]|0;if(g|0?(q=g+12|0,g=f[q>>2]|0,f[q>>2]=g+-1,(g|0)==1):0)aU(a);f[o>>2]=0;g=a+16|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;if((f[h>>2]|0)>0){q=f[j>>2]|0;j=0;do{f[q+(j<<2)>>2]=0;j=j+1|0;E=f[h>>2]|0}while((j|0)<(E|0));f[a>>2]=f[c>>2];if((E|0)<3)C=29;else C=31}else{f[a>>2]=f[c>>2];C=29}if((C|0)==29){E=f[c+4>>2]|0;if((E|0)<3){f[h>>2]=E;f[i>>2]=f[c+8>>2];f[a+12>>2]=f[c+12>>2];i=f[c+44>>2]|0;E=f[n>>2]|0;f[E>>2]=f[i>>2];f[E+4>>2]=f[i+4>>2]}else C=31}if((C|0)==31)$T(a,c);C=f[m>>2]|0;f[g>>2]=C;f[a+20>>2]=f[c+20>>2];f[a+24>>2]=f[c+24>>2];f[a+28>>2]=f[c+28>>2];f[a+32>>2]=f[c+32>>2];f[o>>2]=f[e>>2];D=C}C=a+56|0;f[C>>2]=D;f[a+60>>2]=D+40;f[a+64>>2]=D+160;if(+p[D>>3]>0.0){i2(a,0,0.0);F=f[C>>2]|0}else F=D;if(+p[F+8>>3]>0.0){i2(a,1,0.0);G=f[C>>2]|0}else G=F;if(+p[G+16>>3]>0.0){i2(a,2,0.0);H=f[C>>2]|0}else H=G;if(+p[H+24>>3]>0.0){i2(a,3,0.0);I=f[C>>2]|0}else I=H;if(!(+p[I+32>>3]>0.0)){J=a+972|0;f[J>>2]=0;u=d;return}i2(a,4,0.0);J=a+972|0;f[J>>2]=0;u=d;return}function i2(a,c,d){a=a|0;c=c|0;d=+d;var e=0,g=0,h=0,i=0.0,j=0,k=0.0,l=0,m=0.0,n=0,o=0.0,q=0,r=0.0,s=0.0,t=0,v=0.0,w=0,x=0.0,y=0,z=0.0,A=0.0,B=0,C=0.0,D=0.0,E=0.0,F=0,G=0,H=0,I=0;e=u;u=u+16|0;g=e;if(!(+p[(f[a+56>>2]|0)+(c<<3)>>3]>0.0)){u=e;return}h=(f[a+64>>2]|0)+(c*9<<3)|0;i=+p[h>>3];j=h+32|0;k=+p[j>>3];l=h+64|0;m=+p[l>>3];n=h+40|0;o=+p[n>>3];q=h+56|0;r=+p[q>>3];s=o*r;t=h+8|0;v=+p[t>>3];w=h+24|0;x=+p[w>>3];y=h+48|0;z=+p[y>>3];A=o*z;B=h+16|0;o=+p[B>>3];C=r*x;r=o*(C-k*z)+(i*(k*m-s)-v*(m*x-A));if(d>0.0&r<=1.0e-06){D=i+d;p[h>>3]=D;i=k+d;p[j>>3]=i;k=m+d;p[l>>3]=k;E=o*(C-i*z)+(D*(i*k-s)-v*(k*x-A))}else E=r;p[a+432+(c<<3)>>3]=E;if(!(E>2.220446049250313e-16)){F=cuc(48)|0;f[g>>2]=F;f[g+8>>2]=-2147483600;f[g+4>>2]=45;G=F;H=240454;I=G+45|0;do{b[G>>0]=b[H>>0]|0;G=G+1|0;H=H+1|0}while((G|0)<(I|0));b[F+45>>0]=0;WD(-215,g,240500,240382,218)}r=1.0/E;p[a+72+(c*72|0)>>3]=r*(+p[j>>3]*+p[l>>3]-+p[n>>3]*+p[q>>3]);p[a+72+(c*72|0)+24>>3]=-(r*(+p[w>>3]*+p[l>>3]-+p[n>>3]*+p[y>>3]));p[a+72+(c*72|0)+48>>3]=r*(+p[w>>3]*+p[q>>3]-+p[j>>3]*+p[y>>3]);p[a+72+(c*72|0)+8>>3]=-(r*(+p[t>>3]*+p[l>>3]-+p[B>>3]*+p[q>>3]));p[a+72+(c*72|0)+32>>3]=r*(+p[h>>3]*+p[l>>3]-+p[B>>3]*+p[y>>3]);p[a+72+(c*72|0)+56>>3]=-(r*(+p[h>>3]*+p[q>>3]-+p[t>>3]*+p[y>>3]));p[a+72+(c*72|0)+16>>3]=r*(+p[t>>3]*+p[n>>3]-+p[B>>3]*+p[j>>3]);p[a+72+(c*72|0)+40>>3]=-(r*(+p[h>>3]*+p[n>>3]-+p[B>>3]*+p[w>>3]));p[a+72+(c*72|0)+64>>3]=r*(+p[h>>3]*+p[j>>3]-+p[t>>3]*+p[w>>3]);u=e;return}function j2(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0.0,i=0.0,j=0,k=0,l=0,m=0,n=0.0,o=0.0,q=0.0;e=u;u=u+16|0;g=e;if(!(+p[(f[a+56>>2]|0)+(c<<3)>>3]>0.0)){h=0.0;u=e;return +h}i=+p[a+432+(c<<3)>>3];if(!(i>2.220446049250313e-16)){j=cuc(64)|0;f[g>>2]=j;f[g+8>>2]=-2147483584;f[g+4>>2]=55;k=j;l=240524;m=k+55|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));b[j+55>>0]=0;WD(-215,g,531152,240382,124)}g=(f[a+60>>2]|0)+(c*3<<3)|0;n=+p[d>>3]-+p[g>>3];o=+p[d+8>>3]-+p[g+8>>3];q=+p[d+16>>3]-+p[g+16>>3];h=1.0/+M(+i)*+V(+((n*(n*+p[a+72+(c*72|0)>>3]+o*+p[a+72+(c*72|0)+24>>3]+q*+p[a+72+(c*72|0)+48>>3])+o*(n*+p[a+72+(c*72|0)+8>>3]+o*+p[a+72+(c*72|0)+32>>3]+q*+p[a+72+(c*72|0)+56>>3])+q*(n*+p[a+72+(c*72|0)+16>>3]+o*+p[a+72+(c*72|0)+40>>3]+q*+p[a+72+(c*72|0)+64>>3]))*-.5));u=e;return +h}function k2(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0.0,m=0.0,n=0,o=0;c=u;u=u+16|0;d=c;e=a+972|0;if((f[e>>2]|0)<=0){g=cuc(32)|0;f[d>>2]=g;f[d+8>>2]=-2147483616;f[d+4>>2]=20;h=g;i=240580;j=h+20|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(j|0));b[g+20>>0]=0;WD(-215,d,240601,240382,178)}d=a+56|0;g=a+60|0;i=a+64|0;h=0;do{j=f[a+952+(h<<2)>>2]|0;k=f[d>>2]|0;if(!j)p[k+(h<<3)>>3]=0.0;else{l=+(j|0);m=1.0/l;p[k+(h<<3)>>3]=l/+(f[e>>2]|0);k=(f[g>>2]|0)+(h*3<<3)|0;l=m*+p[a+472+(h*24|0)>>3];p[k>>3]=l;j=k+8|0;p[j>>3]=m*+p[a+472+(h*24|0)+8>>3];n=k+16|0;p[n>>3]=m*+p[a+472+(h*24|0)+16>>3];o=(f[i>>2]|0)+(h*9<<3)|0;p[o>>3]=m*+p[a+592+(h*72|0)>>3]-l*l;p[o+8>>3]=m*+p[a+592+(h*72|0)+8>>3]-+p[k>>3]*+p[j>>3];p[o+16>>3]=m*+p[a+592+(h*72|0)+16>>3]-+p[k>>3]*+p[n>>3];p[o+24>>3]=m*+p[a+592+(h*72|0)+24>>3]-+p[j>>3]*+p[k>>3];l=+p[j>>3];p[o+32>>3]=m*+p[a+592+(h*72|0)+32>>3]-l*l;p[o+40>>3]=m*+p[a+592+(h*72|0)+40>>3]-+p[j>>3]*+p[n>>3];p[o+48>>3]=m*+p[a+592+(h*72|0)+48>>3]-+p[n>>3]*+p[k>>3];p[o+56>>3]=m*+p[a+592+(h*72|0)+56>>3]-+p[n>>3]*+p[j>>3];l=+p[n>>3];p[o+64>>3]=m*+p[a+592+(h*72|0)+64>>3]-l*l;i2(a,h,.01)}h=h+1|0}while((h|0)!=5);u=c;return}function l2(a,c,d,e,g,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;i=i|0;j=j|0;var k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0.0,sa=0,ta=0,ua=0,va=0.0,wa=0.0,xa=0.0,ya=0.0,za=0,Aa=0.0,Ba=0.0,Ca=0.0,Da=0.0,Ea=0.0,Fa=0.0,Ga=0.0,Ha=0.0,Ia=0.0,Ja=0.0,Ka=0.0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0.0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0.0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0.0,Nb=0.0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0;k=u;u=u+2560|0;l=k+2128|0;m=k+2072|0;o=k+2016|0;q=k+2504|0;r=k+2432|0;s=k+2376|0;t=k+2320|0;v=k+1984|0;w=k+1968|0;x=k+2304|0;y=k+1952|0;z=k+2296|0;A=k+2240|0;B=k+976|0;C=k;D=k+2184|0;E=k+2488|0;gV(z,51060);do if((qJ(a)|0)==65536){F=f[a+4>>2]|0;f[A>>2]=f[F>>2];G=A+4|0;H=F+4|0;f[G>>2]=f[H>>2];I=A+8|0;f[I>>2]=f[F+8>>2];f[A+12>>2]=f[F+12>>2];f[A+16>>2]=f[F+16>>2];f[A+20>>2]=f[F+20>>2];f[A+24>>2]=f[F+24>>2];f[A+28>>2]=f[F+28>>2];f[A+32>>2]=f[F+32>>2];J=f[F+36>>2]|0;f[A+36>>2]=J;f[A+40>>2]=I;I=A+48|0;K=A+44|0;f[K>>2]=I;f[I>>2]=0;f[A+52>>2]=0;if(J|0){I=J+12|0;f[I>>2]=(f[I>>2]|0)+1}if((f[H>>2]|0)<3){H=f[F+44>>2]|0;I=f[K>>2]|0;f[I>>2]=f[H>>2];f[I+4>>2]=f[H+4>>2];break}else{f[G>>2]=0;$T(A,F);break}}else nJ(A,a,-1);while(0);a=gK(c,-1)|0;c=gK(e,-1)|0;e=gK(g,-1)|0;g=A+16|0;if(!(f[g>>2]|0)){f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;L=cuc(16)|0;f[l>>2]=L;M=l+8|0;f[M>>2]=-2147483632;N=l+4|0;f[N>>2]=14;O=L;P=240613;Q=O+14|0;do{b[O>>0]=b[P>>0]|0;O=O+1|0;P=P+1|0}while((O|0)<(Q|0));R=L+14|0;b[R>>0]=0;WD(-5,l,240628,240382,543)}F=A+4|0;G=f[F>>2]|0;if((G|0)<3)S=Y(f[A+12>>2]|0,f[A+8>>2]|0)|0;else{H=f[A+40>>2]|0;I=0;K=1;while(1){J=Y(f[H+(I<<2)>>2]|0,K)|0;I=I+1|0;if((I|0)==(G|0)){S=J;break}else K=J}}if((G|0)==0|(S|0)==0){f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;L=cuc(16)|0;f[l>>2]=L;M=l+8|0;f[M>>2]=-2147483632;N=l+4|0;f[N>>2]=14;O=L;P=240613;Q=O+14|0;do{b[O>>0]=b[P>>0]|0;O=O+1|0;P=P+1|0}while((O|0)<(Q|0));R=L+14|0;b[R>>0]=0;WD(-5,l,240628,240382,543)}if((f[A>>2]&4095|0)!=16){f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;R=cuc(32)|0;f[l>>2]=R;f[l+8>>2]=-2147483616;f[l+4>>2]=28;O=R;P=240636;Q=O+28|0;do{b[O>>0]=b[P>>0]|0;O=O+1|0;P=P+1|0}while((O|0)<(Q|0));b[R+28>>0]=0;WD(-5,l,240628,240382,545)}h2(B,c);h2(C,e);e=A+40|0;c=f[e>>2]|0;R=f[c+4>>2]|0;L=f[c>>2]|0;f[D>>2]=1124007936;c=D+4|0;N=D+8|0;M=D+40|0;O=c;Q=O+36|0;do{f[O>>2]=0;O=O+4|0}while((O|0)<(Q|0));f[M>>2]=N;N=D+48|0;S=D+44|0;f[S>>2]=N;f[N>>2]=0;f[D+52>>2]=0;f[l>>2]=L;L=l+4|0;f[L>>2]=R;ZT(D,2,l,4);R=j|1;if((R|0)==1){if(!j){G=f[e>>2]|0;K=f[G+4>>2]|0;I=f[G>>2]|0;f[E>>2]=f[d>>2];G=E+4|0;f[G>>2]=f[d+4>>2];H=E+8|0;f[H>>2]=f[d+8>>2];J=E+12|0;f[J>>2]=f[d+12>>2];if(!(((((f[a+4>>2]|0)<3?(f[a+8>>2]|0)==(I|0):0)?(f[a+12>>2]|0)==(K|0):0)?(f[a>>2]&4095|0)==0:0)?(f[a+16>>2]|0)!=0:0)){f[l>>2]=I;f[L>>2]=K;ZT(a,2,l,0)}p[m>>3]=0.0;f[l>>2]=-1056833530;f[l+4>>2]=m;f[l+8>>2]=1;f[l+12>>2]=1;HI(a,l,sK()|0)|0;d=f[E>>2]|0;T=(d|0)>0?d:0;f[E>>2]=T;d=f[G>>2]|0;U=(d|0)>0?d:0;f[G>>2]=U;G=K-T|0;T=f[H>>2]|0;f[H>>2]=(G|0)<(T|0)?G:T;T=I-U|0;U=f[J>>2]|0;f[J>>2]=(T|0)<(U|0)?T:U;eU(l,a,E);p[o>>3]=3.0;E=o+8|0;f[E>>2]=0;f[E+4>>2]=0;f[E+8>>2]=0;f[E+12>>2]=0;f[E+16>>2]=0;f[E+20>>2]=0;f[m>>2]=-1056833530;f[m+4>>2]=o;f[m+8>>2]=1;f[m+12>>2]=4;HI(l,m,sK()|0)|0;E=l+36|0;U=f[E>>2]|0;if(U|0?(T=U+12|0,U=f[T>>2]|0,f[T>>2]=U+-1,(U|0)==1):0)aU(l);f[E>>2]=0;E=l+16|0;U=l+4|0;f[E>>2]=0;f[E+4>>2]=0;f[E+8>>2]=0;f[E+12>>2]=0;if((f[U>>2]|0)>0){E=f[l+40>>2]|0;T=0;do{f[E+(T<<2)>>2]=0;T=T+1|0}while((T|0)<(f[U>>2]|0))}U=f[l+44>>2]|0;if((U|0)!=(l+48|0))TC(U);X=A+8|0}else{U=A+8|0;m2(f[U>>2]|0,f[A+12>>2]|0,a);X=U}f[m>>2]=1124007936;U=m+4|0;T=m+8|0;E=m+40|0;O=U;Q=O+36|0;do{f[O>>2]=0;O=O+4|0}while((O|0)<(Q|0));f[E>>2]=T;T=m+48|0;J=m+44|0;f[J>>2]=T;f[T>>2]=0;f[m+52>>2]=0;f[o>>2]=1124007936;I=o+4|0;G=o+8|0;H=o+40|0;O=I;Q=O+36|0;do{f[O>>2]=0;O=O+4|0}while((O|0)<(Q|0));f[H>>2]=G;G=o+48|0;K=o+44|0;f[K>>2]=G;f[G>>2]=0;f[o+52>>2]=0;f[q>>2]=0;d=q+4|0;f[d>>2]=0;f[q+8>>2]=0;f[r>>2]=0;Z=r+4|0;f[Z>>2]=0;f[r+8>>2]=0;_=f[X>>2]|0;if((_|0)<=0){f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;$=cuc(48)|0;f[l>>2]=$;aa=l+8|0;f[aa>>2]=-2147483600;ba=l+4|0;f[ba>>2]=42;O=$;P=240665;Q=O+42|0;do{b[O>>0]=b[P>>0]|0;O=O+1|0;P=P+1|0}while((O|0)<(Q|0));ca=$+42|0;b[ca>>0]=0;WD(-215,l,240708,240382,382)}da=A+12|0;ea=a+16|0;fa=a+44|0;ga=A+44|0;ha=l+4|0;ia=l+8|0;ja=r+8|0;ka=l+4|0;la=l+8|0;ma=q+8|0;na=_;_=f[da>>2]|0;oa=0;while(1){if((_|0)>0){pa=0;do{qa=(f[ea>>2]|0)+(Y(f[f[fa>>2]>>2]|0,oa)|0)+pa|0;switch(b[qa>>0]|0){case 2:case 0:{qa=(f[g>>2]|0)+(Y(f[f[ga>>2]>>2]|0,oa)|0)|0;ra=+(h[qa+(pa*3|0)>>0]|0);n[l>>2]=ra;n[ka>>2]=+(h[qa+(pa*3|0)+1>>0]|0);n[la>>2]=+(h[qa+(pa*3|0)+2>>0]|0);qa=f[d>>2]|0;if(qa>>>0<(f[ma>>2]|0)>>>0){n[qa>>2]=ra;f[qa+4>>2]=f[ka>>2];f[qa+8>>2]=f[la>>2];f[d>>2]=qa+12}else n2(q,l);break}default:{qa=(f[g>>2]|0)+(Y(f[f[ga>>2]>>2]|0,oa)|0)|0;ra=+(h[qa+(pa*3|0)>>0]|0);n[l>>2]=ra;n[ha>>2]=+(h[qa+(pa*3|0)+1>>0]|0);n[ia>>2]=+(h[qa+(pa*3|0)+2>>0]|0);qa=f[Z>>2]|0;if(qa>>>0<(f[ja>>2]|0)>>>0){n[qa>>2]=ra;f[qa+4>>2]=f[ha>>2];f[qa+8>>2]=f[ia>>2];f[Z>>2]=qa+12}else n2(r,l)}}pa=pa+1|0;sa=f[da>>2]|0}while((pa|0)<(sa|0));ta=sa;ua=f[X>>2]|0}else{ta=_;ua=na}oa=oa+1|0;if((oa|0)>=(ua|0))break;else{na=ua;_=ta}}ta=f[q>>2]|0;_=f[d>>2]|0;ua=_;na=ta;if((ta|0)==(_|0)){f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;$=cuc(48)|0;f[l>>2]=$;aa=l+8|0;f[aa>>2]=-2147483600;ba=l+4|0;f[ba>>2]=42;O=$;P=240665;Q=O+42|0;do{b[O>>0]=b[P>>0]|0;O=O+1|0;P=P+1|0}while((O|0)<(Q|0));ca=$+42|0;b[ca>>0]=0;WD(-215,l,240708,240382,382)}if((f[r>>2]|0)==(f[Z>>2]|0)){f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;$=cuc(48)|0;f[l>>2]=$;aa=l+8|0;f[aa>>2]=-2147483600;ba=l+4|0;f[ba>>2]=42;O=$;P=240665;Q=O+42|0;do{b[O>>0]=b[P>>0]|0;O=O+1|0;P=P+1|0}while((O|0)<(Q|0));ca=$+42|0;b[ca>>0]=0;WD(-215,l,240708,240382,382)}ca=ua-na|0;f[s>>2]=1124007941;na=s+4|0;f[na>>2]=2;ua=s+8|0;f[ua>>2]=(ca|0)/12|0;f[s+12>>2]=3;$=s+16|0;f[$>>2]=ta;f[s+20>>2]=ta;ba=s+24|0;aa=s+40|0;f[ba>>2]=0;f[ba+4>>2]=0;f[ba+8>>2]=0;f[ba+12>>2]=0;f[aa>>2]=ua;ua=s+48|0;_=s+44|0;f[_>>2]=ua;oa=s+52|0;f[oa>>2]=0;f[ua>>2]=0;if((ta|0)==0&(ca|0)!=0){X=cuc(32)|0;f[l>>2]=X;f[l+8>>2]=-2147483616;f[l+4>>2]=28;O=X;P=466324;Q=O+28|0;do{b[O>>0]=b[P>>0]|0;O=O+1|0;P=P+1|0}while((O|0)<(Q|0));b[X+28>>0]=0;WD(-215,l,466353,466357,548)}f[ua>>2]=12;f[oa>>2]=4;oa=ta+ca|0;f[s+28>>2]=oa;f[ba>>2]=oa+-12+12;YT(s);f[t+8>>2]=0;f[t+12>>2]=0;f[t>>2]=16842752;f[t+4>>2]=s;oa=v+8|0;f[oa>>2]=0;f[oa+4>>2]=0;f[v>>2]=50397184;f[v+4>>2]=m;f[w>>2]=1;f[w+4>>2]=10;p[w+8>>3]=0.0;oa=sK()|0;f[l>>2]=f[w>>2];f[l+4>>2]=f[w+4>>2];f[l+8>>2]=f[w+8>>2];f[l+12>>2]=f[w+12>>2];+yH(t,5,v,l,0,2,oa);oa=f[r>>2]|0;w=(f[Z>>2]|0)-oa|0;ba=oa;f[t>>2]=1124007941;ca=t+4|0;f[ca>>2]=2;ta=t+8|0;f[ta>>2]=(w|0)/12|0;f[t+12>>2]=3;X=t+16|0;f[X>>2]=ba;f[t+20>>2]=ba;sa=t+24|0;da=t+40|0;f[sa>>2]=0;f[sa+4>>2]=0;f[sa+8>>2]=0;f[sa+12>>2]=0;f[da>>2]=ta;ta=t+48|0;ia=t+44|0;f[ia>>2]=ta;ha=t+52|0;f[ha>>2]=0;f[ta>>2]=0;if((oa|0)==0&(w|0)!=0){oa=cuc(32)|0;f[l>>2]=oa;f[l+8>>2]=-2147483616;f[l+4>>2]=28;O=oa;P=466324;Q=O+28|0;do{b[O>>0]=b[P>>0]|0;O=O+1|0;P=P+1|0}while((O|0)<(Q|0));b[oa+28>>0]=0;WD(-215,l,466353,466357,548)}f[ta>>2]=12;f[ha>>2]=4;ha=ba+w|0;f[t+28>>2]=ha;f[sa>>2]=ha+-12+12;YT(t);f[v+8>>2]=0;f[v+12>>2]=0;f[v>>2]=16842752;f[v+4>>2]=t;ha=x+8|0;f[ha>>2]=0;f[ha+4>>2]=0;f[x>>2]=50397184;f[x+4>>2]=o;f[y>>2]=1;f[y+4>>2]=10;p[y+8>>3]=0.0;ha=sK()|0;f[l>>2]=f[y>>2];f[l+4>>2]=f[y+4>>2];f[l+8>>2]=f[y+8>>2];f[l+12>>2]=f[y+12>>2];+yH(v,5,x,l,0,2,ha);kzc(B+472|0,0,504)|0;ha=f[q>>2]|0;x=(f[d>>2]|0)-ha|0;y=ha;if((x|0)>0){ha=f[m+16>>2]|0;sa=f[J>>2]|0;w=B+972|0;ba=(x>>>0)/12|0;x=0;do{oa=ha+(Y(f[sa>>2]|0,x)|0)|0;ja=f[oa>>2]|0;ra=+n[y+(x*12|0)>>2];va=+n[y+(x*12|0)+4>>2];wa=+n[y+(x*12|0)+8>>2];oa=B+472+(ja*24|0)|0;p[oa>>3]=ra+ +p[oa>>3];oa=B+472+(ja*24|0)+8|0;p[oa>>3]=va+ +p[oa>>3];oa=B+472+(ja*24|0)+16|0;p[oa>>3]=wa+ +p[oa>>3];oa=B+592+(ja*72|0)|0;p[oa>>3]=ra*ra+ +p[oa>>3];xa=ra*va;oa=B+592+(ja*72|0)+8|0;p[oa>>3]=xa+ +p[oa>>3];ya=ra*wa;oa=B+592+(ja*72|0)+16|0;p[oa>>3]=ya+ +p[oa>>3];oa=B+592+(ja*72|0)+24|0;p[oa>>3]=xa+ +p[oa>>3];oa=B+592+(ja*72|0)+32|0;p[oa>>3]=va*va+ +p[oa>>3];xa=va*wa;oa=B+592+(ja*72|0)+40|0;p[oa>>3]=xa+ +p[oa>>3];oa=B+592+(ja*72|0)+48|0;p[oa>>3]=ya+ +p[oa>>3];oa=B+592+(ja*72|0)+56|0;p[oa>>3]=xa+ +p[oa>>3];oa=B+592+(ja*72|0)+64|0;p[oa>>3]=wa*wa+ +p[oa>>3];oa=B+952+(ja<<2)|0;f[oa>>2]=(f[oa>>2]|0)+1;f[w>>2]=(f[w>>2]|0)+1;x=x+1|0}while((x|0)<(ba|0))}k2(B);kzc(C+472|0,0,504)|0;ba=f[r>>2]|0;x=(f[Z>>2]|0)-ba|0;w=ba;if((x|0)>0){ba=f[o+16>>2]|0;y=f[K>>2]|0;sa=C+972|0;ha=(x>>>0)/12|0;x=0;do{oa=ba+(Y(f[y>>2]|0,x)|0)|0;ja=f[oa>>2]|0;wa=+n[w+(x*12|0)>>2];xa=+n[w+(x*12|0)+4>>2];ya=+n[w+(x*12|0)+8>>2];oa=C+472+(ja*24|0)|0;p[oa>>3]=wa+ +p[oa>>3];oa=C+472+(ja*24|0)+8|0;p[oa>>3]=xa+ +p[oa>>3];oa=C+472+(ja*24|0)+16|0;p[oa>>3]=ya+ +p[oa>>3];oa=C+592+(ja*72|0)|0;p[oa>>3]=wa*wa+ +p[oa>>3];va=wa*xa;oa=C+592+(ja*72|0)+8|0;p[oa>>3]=va+ +p[oa>>3];ra=wa*ya;oa=C+592+(ja*72|0)+16|0;p[oa>>3]=ra+ +p[oa>>3];oa=C+592+(ja*72|0)+24|0;p[oa>>3]=va+ +p[oa>>3];oa=C+592+(ja*72|0)+32|0;p[oa>>3]=xa*xa+ +p[oa>>3];va=xa*ya;oa=C+592+(ja*72|0)+40|0;p[oa>>3]=va+ +p[oa>>3];oa=C+592+(ja*72|0)+48|0;p[oa>>3]=ra+ +p[oa>>3];oa=C+592+(ja*72|0)+56|0;p[oa>>3]=va+ +p[oa>>3];oa=C+592+(ja*72|0)+64|0;p[oa>>3]=ya*ya+ +p[oa>>3];oa=C+952+(ja<<2)|0;f[oa>>2]=(f[oa>>2]|0)+1;f[sa>>2]=(f[sa>>2]|0)+1;x=x+1|0}while((x|0)<(ha|0))}k2(C);ha=t+36|0;x=f[ha>>2]|0;if(x|0?(sa=x+12|0,x=f[sa>>2]|0,f[sa>>2]=x+-1,(x|0)==1):0)aU(t);f[ha>>2]=0;f[X>>2]=0;f[X+4>>2]=0;f[X+8>>2]=0;f[X+12>>2]=0;if((f[ca>>2]|0)>0){X=f[da>>2]|0;da=0;do{f[X+(da<<2)>>2]=0;da=da+1|0}while((da|0)<(f[ca>>2]|0))}ca=f[ia>>2]|0;if((ca|0)!=(ta|0))TC(ca);ca=s+36|0;ta=f[ca>>2]|0;do if(ta|0){ia=ta+12|0;da=f[ia>>2]|0;f[ia>>2]=da+-1;if((da|0)!=1)break;aU(s)}while(0);f[ca>>2]=0;f[$>>2]=0;f[$+4>>2]=0;f[$+8>>2]=0;f[$+12>>2]=0;if((f[na>>2]|0)>0){$=f[aa>>2]|0;aa=0;do{f[$+(aa<<2)>>2]=0;aa=aa+1|0}while((aa|0)<(f[na>>2]|0))}na=f[_>>2]|0;if((na|0)!=(ua|0))TC(na);na=f[r>>2]|0;if(na|0){ua=f[Z>>2]|0;if((ua|0)!=(na|0))f[Z>>2]=ua+(~(((ua+-12-na|0)>>>0)/12|0)*12|0);fuc(na)}na=f[q>>2]|0;if(na|0){ua=f[d>>2]|0;if((ua|0)!=(na|0))f[d>>2]=ua+(~(((ua+-12-na|0)>>>0)/12|0)*12|0);fuc(na)}na=o+36|0;ua=f[na>>2]|0;do if(ua|0){d=ua+12|0;Z=f[d>>2]|0;f[d>>2]=Z+-1;if((Z|0)!=1)break;aU(o)}while(0);f[na>>2]=0;na=o+16|0;f[na>>2]=0;f[na+4>>2]=0;f[na+8>>2]=0;f[na+12>>2]=0;if((f[I>>2]|0)>0){na=f[H>>2]|0;H=0;do{f[na+(H<<2)>>2]=0;H=H+1|0}while((H|0)<(f[I>>2]|0))}I=f[K>>2]|0;if((I|0)!=(G|0))TC(I);I=m+36|0;G=f[I>>2]|0;do if(G|0){K=G+12|0;H=f[K>>2]|0;f[K>>2]=H+-1;if((H|0)!=1)break;aU(m)}while(0);f[I>>2]=0;I=m+16|0;f[I>>2]=0;f[I+4>>2]=0;f[I+8>>2]=0;f[I+12>>2]=0;if((f[U>>2]|0)>0){I=f[E>>2]|0;E=0;do{f[I+(E<<2)>>2]=0;E=E+1|0}while((E|0)<(f[U>>2]|0))}U=f[J>>2]|0;if((U|0)!=(T|0))TC(U)}if((i|0)>=1){U=(j|0)==3;j=U?1:i;i=A+8|0;if((R|0)==3)m2(f[i>>2]|0,f[A+12>>2]|0,a);R=f[i>>2]|0;T=A+12|0;J=f[T>>2]|0;if((R|0)>0){E=(J|0)>0;I=f[g>>2]|0;G=f[A+44>>2]|0;H=J+-1|0;K=0;ya=0.0;while(1){a:do if(E){na=f[G>>2]|0;ua=I+(Y(na,K)|0)|0;Z=I+(Y(na,K+-1|0)|0)|0;if((K|0)>0){za=0;Aa=ya}else{na=0;va=ya;while(1){if((na|0)>0){d=na+-1|0;ra=+(h[ua+(na*3|0)>>0]|0)-+(h[ua+(d*3|0)>>0]|0);xa=+(h[ua+(na*3|0)+1>>0]|0)-+(h[ua+(d*3|0)+1>>0]|0);wa=+(h[ua+(na*3|0)+2>>0]|0)-+(h[ua+(d*3|0)+2>>0]|0);Ba=va+(ra*ra+0.0+xa*xa+wa*wa)}else Ba=va;na=na+1|0;if((na|0)==(J|0)){Ca=Ba;break a}else va=Ba}}while(1){va=+(h[ua+(za*3|0)>>0]|0);wa=+(h[ua+(za*3|0)+1>>0]|0);xa=+(h[ua+(za*3|0)+2>>0]|0);if((za|0)>0){na=za+-1|0;ra=va-+(h[ua+(na*3|0)>>0]|0);Da=wa-+(h[ua+(na*3|0)+1>>0]|0);Ea=xa-+(h[ua+(na*3|0)+2>>0]|0);Fa=va-+(h[Z+(na*3|0)>>0]|0);Ga=wa-+(h[Z+(na*3|0)+1>>0]|0);Ha=xa-+(h[Z+(na*3|0)+2>>0]|0);Ia=Aa+(ra*ra+0.0+Da*Da+Ea*Ea)+(Fa*Fa+0.0+Ga*Ga+Ha*Ha)}else Ia=Aa;Ha=va-+(h[Z+(za*3|0)>>0]|0);Ga=wa-+(h[Z+(za*3|0)+1>>0]|0);Fa=xa-+(h[Z+(za*3|0)+2>>0]|0);Ea=Ia+(Ha*Ha+0.0+Ga*Ga+Fa*Fa);na=za;za=za+1|0;if((na|0)<(H|0)){Fa=va-+(h[Z+(za*3|0)>>0]|0);va=wa-+(h[Z+(za*3|0)+1>>0]|0);wa=xa-+(h[Z+(za*3|0)+2>>0]|0);Ja=Ea+(Fa*Fa+0.0+va*va+wa*wa)}else Ja=Ea;if((za|0)==(J|0)){Ca=Ja;break}else Aa=Ja}}else Ca=ya;while(0);K=K+1|0;if((K|0)==(R|0))break;else ya=Ca}if(!(Ca<=2.220446049250313e-16))Ka=1.0/(Ca*2.0/+((Y(R,-3)|0)+2+(Y(J,(R<<2)+-3|0)|0)|0));else Ka=0.0}else Ka=0.0;f[q>>2]=1124007936;K=q+4|0;za=q+8|0;H=q+40|0;O=K;Q=O+36|0;do{f[O>>2]=0;O=O+4|0}while((O|0)<(Q|0));f[H>>2]=za;za=q+48|0;I=q+44|0;f[I>>2]=za;f[za>>2]=0;f[q+52>>2]=0;f[r>>2]=1124007936;G=r+4|0;E=r+8|0;Z=r+40|0;O=G;Q=O+36|0;do{f[O>>2]=0;O=O+4|0}while((O|0)<(Q|0));f[Z>>2]=E;ua=r+48|0;na=r+44|0;f[na>>2]=ua;f[ua>>2]=0;f[r+52>>2]=0;f[s>>2]=1124007936;d=s+4|0;_=s+8|0;aa=s+40|0;O=d;Q=O+36|0;do{f[O>>2]=0;O=O+4|0}while((O|0)<(Q|0));f[aa>>2]=_;$=s+48|0;ca=s+44|0;f[ca>>2]=$;f[$>>2]=0;f[s+52>>2]=0;f[t>>2]=1124007936;ta=t+4|0;da=t+8|0;ia=t+40|0;O=ta;Q=O+36|0;do{f[O>>2]=0;O=O+4|0}while((O|0)<(Q|0));f[ia>>2]=da;X=t+48|0;ha=t+44|0;f[ha>>2]=X;f[X>>2]=0;f[t+52>>2]=0;f[l>>2]=R;f[L>>2]=J;ZT(q,2,l,6);J=f[i>>2]|0;R=f[T>>2]|0;x=f[E>>2]|0;if((((f[G>>2]|0)<3&(x|0)==(J|0)?(f[r+12>>2]|0)==(R|0):0)?(f[r>>2]&4095|0)==6:0)?(f[r+16>>2]|0)!=0:0){La=J;Ma=x;Na=R}else{f[l>>2]=J;f[L>>2]=R;ZT(r,2,l,6);R=f[i>>2]|0;La=R;Ma=R;Na=f[T>>2]|0}if(((((f[d>>2]|0)<3?(f[_>>2]|0)==(Ma|0):0)?(f[s+12>>2]|0)==(Na|0):0)?(f[s>>2]&4095|0)==6:0)?(f[s+16>>2]|0)!=0:0){Oa=La;Pa=Ma;Qa=Na}else{f[l>>2]=Ma;f[L>>2]=Na;ZT(s,2,l,6);Na=f[i>>2]|0;Oa=Na;Pa=Na;Qa=f[T>>2]|0}if(((((f[ta>>2]|0)<3?(f[da>>2]|0)==(Pa|0):0)?(f[t+12>>2]|0)==(Qa|0):0)?(f[t>>2]&4095|0)==6:0)?(f[t+16>>2]|0)!=0:0){Ra=Oa;Sa=Pa}else{f[l>>2]=Pa;f[L>>2]=Qa;ZT(t,2,l,6);Qa=f[i>>2]|0;Ra=Qa;Sa=Qa}if((Sa|0)>0){Qa=A+44|0;L=q+16|0;Pa=r+16|0;Oa=s+16|0;da=t+16|0;Na=f[T>>2]|0;Ma=(Na|0)>0;La=0;do{if(Ma){_=(La|0)>0;R=f[g>>2]|0;J=f[f[Qa>>2]>>2]|0;x=R+(Y(J,La)|0)|0;E=R+(Y(J,La+-1|0)|0)|0;J=0;while(1){Ca=+(h[x+(J*3|0)>>0]|0);ya=+(h[x+(J*3|0)+1>>0]|0);Ja=+(h[x+(J*3|0)+2>>0]|0);R=J+-1|0;do if((J|0)>0){Aa=Ca-+(h[x+(R*3|0)>>0]|0);Ia=ya-+(h[x+(R*3|0)+1>>0]|0);Ba=Ja-+(h[x+(R*3|0)+2>>0]|0);Ea=+V(+-(Ka*(Aa*Aa+0.0+Ia*Ia+Ba*Ba)))*50.0;sa=(f[L>>2]|0)+(Y(f[f[I>>2]>>2]|0,La)|0)+(J<<3)|0;p[sa>>3]=Ea;if(_){Ea=Ca-+(h[E+(R*3|0)>>0]|0);Ba=ya-+(h[E+(R*3|0)+1>>0]|0);Ia=Ja-+(h[E+(R*3|0)+2>>0]|0);Aa=+V(+-(Ka*(Ea*Ea+0.0+Ba*Ba+Ia*Ia)))*35.35533966440824;sa=(f[Pa>>2]|0)+(Y(f[f[na>>2]>>2]|0,La)|0)+(J<<3)|0;p[sa>>3]=Aa;Ta=151;break}else{sa=(f[Pa>>2]|0)+(Y(f[f[na>>2]>>2]|0,La)|0)+(J<<3)|0;p[sa>>3]=0.0;Ta=150;break}}else{sa=(f[L>>2]|0)+(Y(f[f[I>>2]>>2]|0,La)|0)+(J<<3)|0;p[sa>>3]=0.0;sa=(f[Pa>>2]|0)+(Y(f[f[na>>2]>>2]|0,La)|0)+(J<<3)|0;p[sa>>3]=0.0;if(_)Ta=151;else Ta=150}while(0);do if((Ta|0)==150){Ta=0;R=(f[Oa>>2]|0)+(Y(f[f[ca>>2]>>2]|0,La)|0)+(J<<3)|0;p[R>>3]=0.0;Ua=J+1|0;Va=0.0}else if((Ta|0)==151){Ta=0;Aa=Ca-+(h[E+(J*3|0)>>0]|0);Ia=ya-+(h[E+(J*3|0)+1>>0]|0);Ba=Ja-+(h[E+(J*3|0)+2>>0]|0);Ea=+V(+-(Ka*(Aa*Aa+0.0+Ia*Ia+Ba*Ba)))*50.0;R=(f[Oa>>2]|0)+(Y(f[f[ca>>2]>>2]|0,La)|0)+(J<<3)|0;p[R>>3]=Ea;R=J+1|0;if((R|0)>=(Na|0)){Ua=R;Va=0.0;break}Ea=Ca-+(h[E+(R*3|0)>>0]|0);Ba=ya-+(h[E+(R*3|0)+1>>0]|0);Ia=Ja-+(h[E+(R*3|0)+2>>0]|0);Ua=R;Va=+V(+-(Ka*(Ea*Ea+0.0+Ba*Ba+Ia*Ia)))*35.35533966440824}while(0);R=(f[da>>2]|0)+(Y(f[f[ha>>2]>>2]|0,La)|0)+(J<<3)|0;p[R>>3]=Va;if((Ua|0)<(Na|0))J=Ua;else break}}La=La+1|0}while((La|0)!=(Sa|0))}b:do if((j|0)>0){Sa=A+44|0;La=a+16|0;Ua=a+44|0;Na=l+8|0;da=l+16|0;Oa=D+16|0;Pa=l+8|0;L=l+16|0;Qa=v+12|0;Ma=v+24|0;J=v+4|0;E=v+8|0;_=B+56|0;x=l+8|0;R=l+16|0;sa=C+56|0;w=l+8|0;y=l+16|0;ba=q+16|0;oa=r+16|0;ja=s+16|0;ga=t+16|0;la=a+8|0;ka=a+12|0;ma=v+12|0;fa=v+16|0;ea=B+472|0;pa=C+472|0;qa=0;Wa=Ra;c:while(1){f[v>>2]=0;f[v+4>>2]=0;f[v+8>>2]=0;f[v+12>>2]=0;f[v+16>>2]=0;f[v+20>>2]=0;f[v+24>>2]=0;f[v+28>>2]=0;if((Wa|0)>0){Xa=f[T>>2]|0;Ya=Wa;Za=0;while(1){if((Xa|0)>0){_a=0;do{$a=(f[g>>2]|0)+(Y(f[f[Sa>>2]>>2]|0,Za)|0)|0;Va=+(h[$a+(_a*3|0)>>0]|0);Ka=+(h[$a+(_a*3|0)+1>>0]|0);Ja=+(h[$a+(_a*3|0)+2>>0]|0);$a=(f[La>>2]|0)+(Y(f[f[Ua>>2]>>2]|0,Za)|0)+_a|0;switch(b[$a>>0]|0){case 2:case 0:{p[l>>3]=Va;p[Pa>>3]=Ka;p[L>>3]=Ja;ya=+j2(B,0,l);Ca=ya>0.0?ya:0.0;p[l>>3]=Va;p[Pa>>3]=Ka;p[L>>3]=Ja;ya=+j2(B,1,l);$a=ya>Ca;Ia=$a?ya:Ca;p[l>>3]=Va;p[Pa>>3]=Ka;p[L>>3]=Ja;Ca=+j2(B,2,l);ab=Ca>Ia;ya=ab?Ca:Ia;p[l>>3]=Va;p[Pa>>3]=Ka;p[L>>3]=Ja;Ia=+j2(B,3,l);bb=Ia>ya;p[l>>3]=Va;p[Pa>>3]=Ka;p[L>>3]=Ja;Ca=+j2(B,4,l);cb=Ca>(bb?Ia:ya)?4:bb?3:ab?2:$a&1;break}default:{p[l>>3]=Va;p[Na>>3]=Ka;p[da>>3]=Ja;ya=+j2(C,0,l);Ia=ya>0.0?ya:0.0;p[l>>3]=Va;p[Na>>3]=Ka;p[da>>3]=Ja;ya=+j2(C,1,l);$a=ya>Ia;Ca=$a?ya:Ia;p[l>>3]=Va;p[Na>>3]=Ka;p[da>>3]=Ja;Ia=+j2(C,2,l);ab=Ia>Ca;ya=ab?Ia:Ca;p[l>>3]=Va;p[Na>>3]=Ka;p[da>>3]=Ja;Ca=+j2(C,3,l);bb=Ca>ya;p[l>>3]=Va;p[Na>>3]=Ka;p[da>>3]=Ja;Ja=+j2(C,4,l);cb=Ja>(bb?Ca:ya)?4:bb?3:ab?2:$a&1}}$a=(f[Oa>>2]|0)+(Y(f[f[S>>2]>>2]|0,Za)|0)+(_a<<2)|0;f[$a>>2]=cb;_a=_a+1|0;db=f[T>>2]|0}while((_a|0)<(db|0));eb=f[i>>2]|0;fb=db}else{eb=Ya;fb=Xa}Za=Za+1|0;if((Za|0)>=(eb|0)){gb=eb;break}else{Xa=fb;Ya=eb}}}else gb=Wa;if(U)hb=gb;else{kzc(ea|0,0,504)|0;kzc(pa|0,0,504)|0;Ya=0;Xa=gb;while(1){if((Xa|0)>0){Za=C+472+(Ya*24|0)|0;_a=C+472+(Ya*24|0)+8|0;$a=C+472+(Ya*24|0)+16|0;ab=C+592+(Ya*72|0)|0;bb=C+592+(Ya*72|0)+8|0;ib=C+592+(Ya*72|0)+16|0;jb=C+592+(Ya*72|0)+24|0;kb=C+592+(Ya*72|0)+32|0;lb=C+592+(Ya*72|0)+40|0;mb=C+592+(Ya*72|0)+48|0;nb=C+592+(Ya*72|0)+56|0;ob=B+472+(Ya*24|0)|0;pb=B+472+(Ya*24|0)+8|0;qb=B+472+(Ya*24|0)+16|0;rb=B+592+(Ya*72|0)|0;sb=B+592+(Ya*72|0)+8|0;tb=B+592+(Ya*72|0)+16|0;ub=B+592+(Ya*72|0)+24|0;vb=B+592+(Ya*72|0)+32|0;wb=B+592+(Ya*72|0)+40|0;xb=B+592+(Ya*72|0)+48|0;yb=B+592+(Ya*72|0)+56|0;zb=f[T>>2]|0;Ab=(zb|0)>0;Bb=Xa;Cb=0;while(1){if(Ab){Db=f[Oa>>2]|0;Eb=f[S>>2]|0;Fb=0;while(1){Gb=Db+(Y(f[Eb>>2]|0,Cb)|0)+(Fb<<2)|0;if((f[Gb>>2]|0)==(Ya|0)){Gb=(f[La>>2]|0)+(Y(f[f[Ua>>2]>>2]|0,Cb)|0)+Fb|0;switch(b[Gb>>0]|0){case 2:case 0:{Gb=(f[g>>2]|0)+(Y(f[f[Sa>>2]>>2]|0,Cb)|0)|0;ya=+(h[Gb+(Fb*3|0)>>0]|0);Ca=+(h[Gb+(Fb*3|0)+1>>0]|0);Ja=+(h[Gb+(Fb*3|0)+2>>0]|0);p[ob>>3]=ya+ +p[ob>>3];p[pb>>3]=Ca+ +p[pb>>3];p[qb>>3]=Ja+ +p[qb>>3];p[rb>>3]=ya*ya+ +p[rb>>3];Ka=ya*Ca;p[sb>>3]=Ka+ +p[sb>>3];Va=ya*Ja;p[tb>>3]=Va+ +p[tb>>3];p[ub>>3]=Ka+ +p[ub>>3];p[vb>>3]=Ca*Ca+ +p[vb>>3];Ka=Ca*Ja;p[wb>>3]=Ka+ +p[wb>>3];p[xb>>3]=Va+ +p[xb>>3];p[yb>>3]=Ka+ +p[yb>>3];Hb=Ja*Ja;Ib=B;break}default:{Gb=(f[g>>2]|0)+(Y(f[f[Sa>>2]>>2]|0,Cb)|0)|0;Ja=+(h[Gb+(Fb*3|0)>>0]|0);Ka=+(h[Gb+(Fb*3|0)+1>>0]|0);Va=+(h[Gb+(Fb*3|0)+2>>0]|0);p[Za>>3]=Ja+ +p[Za>>3];p[_a>>3]=Ka+ +p[_a>>3];p[$a>>3]=Va+ +p[$a>>3];p[ab>>3]=Ja*Ja+ +p[ab>>3];Ca=Ja*Ka;p[bb>>3]=Ca+ +p[bb>>3];ya=Ja*Va;p[ib>>3]=ya+ +p[ib>>3];p[jb>>3]=Ca+ +p[jb>>3];p[kb>>3]=Ka*Ka+ +p[kb>>3];Ca=Ka*Va;p[lb>>3]=Ca+ +p[lb>>3];p[mb>>3]=ya+ +p[mb>>3];p[nb>>3]=Ca+ +p[nb>>3];Hb=Va*Va;Ib=C}}Gb=Ib+592+(Ya*72|0)+64|0;p[Gb>>3]=Hb+ +p[Gb>>3];Gb=Ib+952+(Ya<<2)|0;f[Gb>>2]=(f[Gb>>2]|0)+1;Gb=Ib+972|0;f[Gb>>2]=(f[Gb>>2]|0)+1}Fb=Fb+1|0;if((Fb|0)>=(zb|0)){Jb=gb;break}}}else Jb=Bb;Cb=Cb+1|0;if((Cb|0)>=(Jb|0)){Kb=Jb;break}else Bb=Jb}}else Kb=Xa;Ya=Ya+1|0;if((Ya|0)==5)break;else Xa=Kb}k2(B);k2(C);hb=f[i>>2]|0}Xa=f[T>>2]|0;o2(v,Y(hb,Xa)|0);p2(Qa,((Y(hb+Xa|0,-3)|0)+(Y(Xa<<2,hb)|0)<<1)+6|0);p[Ma>>3]=0.0;Xa=f[i>>2]|0;if((Xa|0)>0){Ya=f[T>>2]|0;Bb=Xa;Xa=0;while(1){if((Ya|0)>0){Cb=(Xa|0)>0;zb=0;do{O=l;Q=O+40|0;do{f[O>>2]=0;O=O+4|0}while((O|0)<(Q|0));nb=f[J>>2]|0;if((nb|0)==(f[E>>2]|0)){q2(v,l);Lb=f[J>>2]|0}else{O=nb;P=l;Q=O+40|0;do{f[O>>2]=f[P>>2];O=O+4|0;P=P+4|0}while((O|0)<(Q|0));mb=nb+40|0;f[J>>2]=mb;Lb=mb}mb=Lb-(f[v>>2]|0)|0;lb=(mb|0)/40|0;kb=lb+-1|0;jb=(f[g>>2]|0)+(Y(f[f[Sa>>2]>>2]|0,Xa)|0)|0;ib=(f[La>>2]|0)+(Y(f[f[Ua>>2]>>2]|0,Xa)|0)+zb|0;bb=b[ib>>0]|0;if((bb&-2)<<24>>24==2){Va=+(h[jb+(zb*3|0)>>0]|0);Ca=+(h[jb+(zb*3|0)+1>>0]|0);ya=+(h[jb+(zb*3|0)+2>>0]|0);Ka=+p[f[_>>2]>>3];p[l>>3]=Va;p[x>>3]=Ca;p[R>>3]=ya;Ja=+j2(B,0,l);Ia=+p[(f[_>>2]|0)+8>>3];p[l>>3]=Va;p[x>>3]=Ca;p[R>>3]=ya;Ba=+j2(B,1,l);Ea=+p[(f[_>>2]|0)+16>>3];p[l>>3]=Va;p[x>>3]=Ca;p[R>>3]=ya;Aa=+j2(B,2,l);wa=+p[(f[_>>2]|0)+24>>3];p[l>>3]=Va;p[x>>3]=Ca;p[R>>3]=ya;va=+j2(B,3,l);Fa=+p[(f[_>>2]|0)+32>>3];p[l>>3]=Va;p[x>>3]=Ca;p[R>>3]=ya;xa=-+W(+(Ka*Ja+0.0+Ia*Ba+Ea*Aa+wa*va+Fa*+j2(B,4,l)));Fa=+p[f[sa>>2]>>3];p[l>>3]=Va;p[w>>3]=Ca;p[y>>3]=ya;va=+j2(C,0,l);wa=+p[(f[sa>>2]|0)+8>>3];p[l>>3]=Va;p[w>>3]=Ca;p[y>>3]=ya;Aa=+j2(C,1,l);Ea=+p[(f[sa>>2]|0)+16>>3];p[l>>3]=Va;p[w>>3]=Ca;p[y>>3]=ya;Ba=+j2(C,2,l);Ia=+p[(f[sa>>2]|0)+24>>3];p[l>>3]=Va;p[w>>3]=Ca;p[y>>3]=ya;Ja=+j2(C,3,l);Ka=+p[(f[sa>>2]|0)+32>>3];p[l>>3]=Va;p[w>>3]=Ca;p[y>>3]=ya;Mb=xa;Nb=-+W(+(Fa*va+0.0+wa*Aa+Ea*Ba+Ia*Ja+Ka*+j2(C,4,l)))}else{jb=bb<<24>>24==0;Mb=jb?0.0:450.0;Nb=jb?450.0:0.0}if((mb|0)<=0){Ta=222;break c}mb=f[v>>2]|0;if((((f[J>>2]|0)-mb|0)/40|0|0)<(lb|0)){Ta=222;break c}jb=mb+(kb*40|0)+24|0;Ka=+p[jb>>3];mb=Ka>0.0;Ja=mb?Nb:Nb-Ka;Ia=mb?Mb+Ka:Mb;p[Ma>>3]=+p[Ma>>3]+(Ia<Ja?Ia:Ja);p[jb>>3]=Ia-Ja;do if((zb|0)<=0){if(Cb)Ta=227}else{jb=(f[ba>>2]|0)+(Y(f[f[I>>2]>>2]|0,Xa)|0)+(zb<<3)|0;Ja=+p[jb>>3];jb=lb+-2|0;r2(v,kb,jb,Ja,Ja);if(!Cb)break;mb=(f[oa>>2]|0)+(Y(f[f[na>>2]>>2]|0,Xa)|0)+(zb<<3)|0;Ja=+p[mb>>3];r2(v,kb,jb-(f[T>>2]|0)|0,Ja,Ja);Ta=227}while(0);do if((Ta|0)==227){Ta=0;nb=(f[ja>>2]|0)+(Y(f[f[ca>>2]>>2]|0,Xa)|0)+(zb<<3)|0;Ja=+p[nb>>3];r2(v,kb,kb-(f[T>>2]|0)|0,Ja,Ja);nb=f[T>>2]|0;if((zb|0)>=(nb+-1|0))break;jb=(f[ga>>2]|0)+(Y(f[f[ha>>2]>>2]|0,Xa)|0)+(zb<<3)|0;Ja=+p[jb>>3];r2(v,kb,lb-nb|0,Ja,Ja)}while(0);zb=zb+1|0;Ob=f[T>>2]|0}while((zb|0)<(Ob|0));Pb=f[i>>2]|0;Qb=Ob}else{Pb=Bb;Qb=Ya}Xa=Xa+1|0;if((Xa|0)>=(Pb|0))break;else{Ya=Qb;Bb=Pb}}}+s2(v);Bb=f[la>>2]|0;if((Bb|0)>0){Ya=f[ka>>2]|0;Xa=Bb;Bb=0;while(1){if((Ya|0)>0){zb=Ya;Cb=0;while(1){lb=(f[La>>2]|0)+(Y(f[f[Ua>>2]>>2]|0,Bb)|0)+Cb|0;if((b[lb>>0]&-2)<<24>>24==2){kb=(Y(zb,Bb)|0)+Cb|0;if((kb|0)<=-1){Ta=238;break c}nb=f[v>>2]|0;if((((f[J>>2]|0)-nb|0)/40|0|0)<=(kb|0)){Ta=238;break c}jb=(b[nb+(kb*40|0)+32>>0]|0)==0;kb=jb?m:o;f[kb>>2]=Cb;f[kb+4>>2]=Bb;b[lb>>0]=jb?3:2;Rb=f[ka>>2]|0}else Rb=zb;Cb=Cb+1|0;if((Cb|0)>=(Rb|0))break;else zb=Rb}Sb=f[la>>2]|0;Tb=Rb}else{Sb=Xa;Tb=Ya}Bb=Bb+1|0;if((Bb|0)>=(Sb|0))break;else{Ya=Tb;Xa=Sb}}}Xa=f[ma>>2]|0;if(Xa|0){Ya=f[fa>>2]|0;if((Ya|0)!=(Xa|0))f[fa>>2]=Ya+(~((Ya+-16-Xa|0)>>>4)<<4);fuc(Xa)}Xa=f[v>>2]|0;if(Xa|0){Ya=f[J>>2]|0;if((Ya|0)!=(Xa|0))f[J>>2]=Ya+(~(((Ya+-40-Xa|0)>>>0)/40|0)*40|0);fuc(Xa)}Xa=qa+1|0;if((Xa|0)>=(j|0))break b;qa=Xa;Wa=f[i>>2]|0}if((Ta|0)==222){Wa=cuc(32)|0;f[l>>2]=Wa;f[l+8>>2]=-2147483616;f[l+4>>2]=26;O=Wa;P=240717;Q=O+26|0;do{b[O>>0]=b[P>>0]|0;O=O+1|0;P=P+1|0}while((O|0)<(Q|0));b[Wa+26>>0]=0;WD(-215,l,240744,240759,144)}else if((Ta|0)==238){qa=cuc(32)|0;f[l>>2]=qa;f[l+8>>2]=-2147483616;f[l+4>>2]=26;O=qa;P=240717;Q=O+26|0;do{b[O>>0]=b[P>>0]|0;O=O+1|0;P=P+1|0}while((O|0)<(Q|0));b[qa+26>>0]=0;WD(-215,l,240858,240759,384)}}while(0);l=t+36|0;P=f[l>>2]|0;if(P|0?(O=P+12|0,P=f[O>>2]|0,f[O>>2]=P+-1,(P|0)==1):0)aU(t);f[l>>2]=0;l=t+16|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;if((f[ta>>2]|0)>0){l=f[ia>>2]|0;ia=0;do{f[l+(ia<<2)>>2]=0;ia=ia+1|0}while((ia|0)<(f[ta>>2]|0))}ta=f[ha>>2]|0;if((ta|0)!=(X|0))TC(ta);ta=s+36|0;X=f[ta>>2]|0;do if(X|0){ha=X+12|0;ia=f[ha>>2]|0;f[ha>>2]=ia+-1;if((ia|0)!=1)break;aU(s)}while(0);f[ta>>2]=0;ta=s+16|0;f[ta>>2]=0;f[ta+4>>2]=0;f[ta+8>>2]=0;f[ta+12>>2]=0;if((f[d>>2]|0)>0){ta=f[aa>>2]|0;aa=0;do{f[ta+(aa<<2)>>2]=0;aa=aa+1|0}while((aa|0)<(f[d>>2]|0))}d=f[ca>>2]|0;if((d|0)!=($|0))TC(d);d=r+36|0;$=f[d>>2]|0;do if($|0){ca=$+12|0;aa=f[ca>>2]|0;f[ca>>2]=aa+-1;if((aa|0)!=1)break;aU(r)}while(0);f[d>>2]=0;d=r+16|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[G>>2]|0)>0){d=f[Z>>2]|0;Z=0;do{f[d+(Z<<2)>>2]=0;Z=Z+1|0}while((Z|0)<(f[G>>2]|0))}G=f[na>>2]|0;if((G|0)!=(ua|0))TC(G);G=q+36|0;ua=f[G>>2]|0;do if(ua|0){na=ua+12|0;Z=f[na>>2]|0;f[na>>2]=Z+-1;if((Z|0)!=1)break;aU(q)}while(0);f[G>>2]=0;G=q+16|0;f[G>>2]=0;f[G+4>>2]=0;f[G+8>>2]=0;f[G+12>>2]=0;if((f[K>>2]|0)>0){G=f[H>>2]|0;H=0;do{f[G+(H<<2)>>2]=0;H=H+1|0}while((H|0)<(f[K>>2]|0))}K=f[I>>2]|0;if((K|0)!=(za|0))TC(K)}K=D+36|0;za=f[K>>2]|0;if(za|0?(I=za+12|0,za=f[I>>2]|0,f[I>>2]=za+-1,(za|0)==1):0)aU(D);f[K>>2]=0;K=D+16|0;f[K>>2]=0;f[K+4>>2]=0;f[K+8>>2]=0;f[K+12>>2]=0;if((f[c>>2]|0)>0){K=f[M>>2]|0;M=0;do{f[K+(M<<2)>>2]=0;M=M+1|0}while((M|0)<(f[c>>2]|0))}c=f[S>>2]|0;if((c|0)!=(N|0))TC(c);c=C+36|0;N=f[c>>2]|0;if(N|0?(S=N+12|0,N=f[S>>2]|0,f[S>>2]=N+-1,(N|0)==1):0)aU(C);f[c>>2]=0;c=C+16|0;N=C+4|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[N>>2]|0)>0){c=f[C+40>>2]|0;S=0;do{f[c+(S<<2)>>2]=0;S=S+1|0}while((S|0)<(f[N>>2]|0))}N=f[C+44>>2]|0;if((N|0)!=(C+48|0))TC(N);N=B+36|0;C=f[N>>2]|0;if(C|0?(S=C+12|0,C=f[S>>2]|0,f[S>>2]=C+-1,(C|0)==1):0)aU(B);f[N>>2]=0;N=B+16|0;C=B+4|0;f[N>>2]=0;f[N+4>>2]=0;f[N+8>>2]=0;f[N+12>>2]=0;if((f[C>>2]|0)>0){N=f[B+40>>2]|0;S=0;do{f[N+(S<<2)>>2]=0;S=S+1|0}while((S|0)<(f[C>>2]|0))}C=f[B+44>>2]|0;if((C|0)!=(B+48|0))TC(C);C=A+36|0;B=f[C>>2]|0;if(B|0?(S=B+12|0,B=f[S>>2]|0,f[S>>2]=B+-1,(B|0)==1):0)aU(A);f[C>>2]=0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;if((f[F>>2]|0)>0){g=f[e>>2]|0;e=0;do{f[g+(e<<2)>>2]=0;e=e+1|0}while((e|0)<(f[F>>2]|0))}F=f[A+44>>2]|0;if((F|0)!=(A+48|0))TC(F);if(!(f[z+4>>2]|0)){u=k;return}u=k;return}function m2(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;e=u;u=u+16|0;g=e;i=f[d+16>>2]|0;if(!i){j=cuc(16)|0;f[g>>2]=j;k=g+8|0;f[k>>2]=-2147483632;l=g+4|0;f[l>>2]=13;m=j;n=240955;o=m+13|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));p=j+13|0;b[p>>0]=0;WD(-5,g,240969,240382,328)}q=f[d+4>>2]|0;if((q|0)<3)r=Y(f[d+12>>2]|0,f[d+8>>2]|0)|0;else{s=f[d+40>>2]|0;t=0;v=1;while(1){w=Y(f[s+(t<<2)>>2]|0,v)|0;t=t+1|0;if((t|0)==(q|0)){r=w;break}else v=w}}if((q|0)==0|(r|0)==0){j=cuc(16)|0;f[g>>2]=j;k=g+8|0;f[k>>2]=-2147483632;l=g+4|0;f[l>>2]=13;m=j;n=240955;o=m+13|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));p=j+13|0;b[p>>0]=0;WD(-5,g,240969,240382,328)}if(f[d>>2]&4095|0){p=cuc(32)|0;f[g>>2]=p;f[g+8>>2]=-2147483616;f[g+4>>2]=27;m=p;n=240979;o=m+27|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));b[p+27>>0]=0;WD(-5,g,240969,240382,330)}if((f[d+12>>2]|0)!=(c|0)){x=cuc(48)|0;f[g>>2]=x;y=g+8|0;f[y>>2]=-2147483600;z=g+4|0;f[z>>2]=43;m=x;n=241007;o=m+43|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));A=x+43|0;b[A>>0]=0;WD(-5,g,240969,240382,332)}if((f[d+8>>2]|0)!=(a|0)){x=cuc(48)|0;f[g>>2]=x;y=g+8|0;f[y>>2]=-2147483600;z=g+4|0;f[z>>2]=43;m=x;n=241007;o=m+43|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));A=x+43|0;b[A>>0]=0;WD(-5,g,240969,240382,332)}if(!((a|0)>0&(c|0)>0)){u=e;return}A=f[f[d+44>>2]>>2]|0;d=0;a:while(1){x=i+(Y(A,d)|0)|0;z=0;do{if((h[x+z>>0]|0)>=4){B=20;break a}z=z+1|0}while((z|0)<(c|0));d=d+1|0;if((d|0)>=(a|0)){B=19;break}}if((B|0)==19){u=e;return}else if((B|0)==20){B=cuc(80)|0;f[g>>2]=B;f[g+8>>2]=-2147483568;f[g+4>>2]=75;m=B;n=241051;o=m+75|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));b[B+75>>0]=0;WD(-5,g,240969,240382,340)}}function n2(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;c=a+4|0;d=f[c>>2]|0;e=f[a>>2]|0;g=(d-e|0)/12|0;h=g+1|0;i=e;j=d;if(h>>>0>357913941)nsc(a);d=a+8|0;k=((f[d>>2]|0)-e|0)/12|0;l=k<<1;m=k>>>0<178956970?(l>>>0<h>>>0?h:l):357913941;do if(m)if(m>>>0>357913941){l=ze(8)|0;kuc(l,519086);f[l>>2]=167148;Hf(l|0,26888,1888)}else{n=cuc(m*12|0)|0;break}else n=0;while(0);l=n+(g*12|0)|0;h=n+(m*12|0)|0;f[l>>2]=f[b>>2];f[n+(g*12|0)+4>>2]=f[b+4>>2];f[n+(g*12|0)+8>>2]=f[b+8>>2];b=l+12|0;if((j|0)==(i|0))o=l;else{g=j;j=l;while(1){l=j+-12|0;n=g;g=g+-12|0;f[l>>2]=f[g>>2];f[j+-8>>2]=f[n+-8>>2];f[j+-4>>2]=f[n+-4>>2];if((g|0)==(i|0)){o=l;break}else j=l}}f[a>>2]=o;f[c>>2]=b;f[d>>2]=h;if(!e)return;fuc(e);return}function o2(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0;c=a+8|0;d=f[a>>2]|0;if((((f[c>>2]|0)-d|0)/40|0)>>>0>=b>>>0)return;e=a+4|0;if(b>>>0>107374182){g=ze(8)|0;kuc(g,519086);f[g>>2]=167148;Hf(g|0,26888,1888)}g=(f[e>>2]|0)-d|0;h=cuc(b*40|0)|0;i=h+(((g|0)/40|0)*40|0)|0;j=i+(((g|0)/-40|0)*40|0)|0;if((g|0)>0)szc(j|0,d|0,g|0)|0;f[a>>2]=j;f[e>>2]=i;f[c>>2]=h+(b*40|0);if(!d)return;fuc(d);return}function p2(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=a+8|0;d=f[a>>2]|0;if((f[c>>2]|0)-d>>4>>>0>=b>>>0)return;e=a+4|0;if(b>>>0>268435455){g=ze(8)|0;kuc(g,519086);f[g>>2]=167148;Hf(g|0,26888,1888)}g=(f[e>>2]|0)-d|0;h=g>>4;i=cuc(b<<4)|0;j=i+(h<<4)|0;k=j+(0-h<<4)|0;if((g|0)>0)szc(k|0,d|0,g|0)|0;f[a>>2]=k;f[e>>2]=j;f[c>>2]=i+(b<<4);if(!d)return;fuc(d);return}function q2(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+4|0;d=f[a>>2]|0;e=(f[c>>2]|0)-d|0;g=(e|0)/40|0;h=g+1|0;if(h>>>0>107374182)nsc(a);i=a+8|0;j=((f[i>>2]|0)-d|0)/40|0;k=j<<1;l=j>>>0<53687091?(k>>>0<h>>>0?h:k):107374182;do if(l)if(l>>>0>107374182){k=ze(8)|0;kuc(k,519086);f[k>>2]=167148;Hf(k|0,26888,1888)}else{m=cuc(l*40|0)|0;break}else m=0;while(0);k=m+(g*40|0)|0;g=m+(l*40|0)|0;l=k;m=b;b=l+40|0;do{f[l>>2]=f[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(b|0));m=k+(((e|0)/-40|0)*40|0)|0;if((e|0)>0)szc(m|0,d|0,e|0)|0;f[a>>2]=m;f[c>>2]=k+40;f[i>>2]=g;if(!d)return;fuc(d);return}function r2(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=+e;g=+g;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;h=u;u=u+32|0;i=h+16|0;j=h;if((c|0)<=-1){k=cuc(32)|0;f[i>>2]=k;l=i+8|0;f[l>>2]=-2147483616;m=i+4|0;f[m>>2]=26;n=k;o=240717;q=n+26|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(q|0));r=k+26|0;b[r>>0]=0;WD(-215,i,240896,240759,119)}s=f[a>>2]|0;t=((f[a+4>>2]|0)-s|0)/40|0;v=s;if((t|0)<=(c|0)){k=cuc(32)|0;f[i>>2]=k;l=i+8|0;f[l>>2]=-2147483616;m=i+4|0;f[m>>2]=26;n=k;o=240717;q=n+26|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(q|0));r=k+26|0;b[r>>0]=0;WD(-215,i,240896,240759,119)}if(!((d|0)>-1&(t|0)>(d|0))){t=cuc(32)|0;f[i>>2]=t;f[i+8>>2]=-2147483616;f[i+4>>2]=26;n=t;o=240905;q=n+26|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(q|0));b[t+26>>0]=0;WD(-215,i,240896,240759,120)}if(!(e>=0.0&g>=0.0)){t=cuc(16)|0;f[i>>2]=t;f[i+8>>2]=-2147483632;f[i+4>>2]=15;n=t;o=240932;q=n+15|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(q|0));b[t+15>>0]=0;WD(-215,i,240896,240759,121)}if((c|0)==(d|0)){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;b[i+11>>0]=6;b[i>>0]=b[240948]|0;b[i+1>>0]=b[240949]|0;b[i+2>>0]=b[240950]|0;b[i+3>>0]=b[240951]|0;b[i+4>>0]=b[240952]|0;b[i+5>>0]=b[240953]|0;b[i+6>>0]=0;WD(-215,i,240896,240759,122)}t=a+12|0;o=a+16|0;n=f[o>>2]|0;q=f[t>>2]|0;if((n|0)==(q|0)){u2(t,2);w=f[o>>2]|0;x=a;y=f[a>>2]|0;z=f[t>>2]|0}else{w=n;x=a;y=v;z=q}f[i>>2]=d;f[i+4>>2]=f[y+(c*40|0)+8>>2];p[i+8>>3]=e;f[y+(c*40|0)+8>>2]=w-z>>4;z=a+20|0;if((w|0)==(f[z>>2]|0)){v2(t,i);a=f[o>>2]|0;A=a;B=a}else{a=w;f[a>>2]=f[i>>2];f[a+4>>2]=f[i+4>>2];f[a+8>>2]=f[i+8>>2];f[a+12>>2]=f[i+12>>2];i=(f[o>>2]|0)+16|0;f[o>>2]=i;A=i;B=i}f[j>>2]=c;c=(f[x>>2]|0)+(d*40|0)+8|0;f[j+4>>2]=f[c>>2];p[j+8>>3]=g;f[c>>2]=A-(f[t>>2]|0)>>4;if((B|0)==(f[z>>2]|0)){v2(t,j);u=h;return}else{f[B>>2]=f[j>>2];f[B+4>>2]=f[j+4>>2];f[B+8>>2]=f[j+8>>2];f[B+12>>2]=f[j+12>>2];f[o>>2]=(f[o>>2]|0)+16;u=h;return}}function s2(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0.0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0.0,X=0,Y=0.0,Z=0.0,_=0,$=0.0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0;c=u;u=u+80|0;d=c;e=c+60|0;g=c+56|0;h=c+52|0;i=c+40|0;f[d>>2]=d;j=f[a>>2]|0;k=f[a+12>>2]|0;f[e>>2]=0;l=e+4|0;f[l>>2]=0;f[e+8>>2]=0;m=(f[a+4>>2]|0)-j|0;if((m|0)>0){n=(m>>>0)/40|0;m=d;o=0;while(1){q=j+(o*40|0)|0;f[j+(o*40|0)+12>>2]=0;r=+p[j+(o*40|0)+24>>3];if(r!=0.0){f[m>>2]=q;f[j+(o*40|0)+16>>2]=1;b[j+(o*40|0)+32>>0]=r<0.0&1;s=q;t=-1}else{s=m;t=0}f[j+(o*40|0)+4>>2]=t;o=o+1|0;if((o|0)>=(n|0))break;else m=s}v=s;w=f[d>>2]|0}else{v=d;w=d}f[v>>2]=d;f[d>>2]=0;s=a+24|0;a=e+8|0;a:do if((w|0)!=(d|0)){m=w;n=0;o=v;t=0;b:while(1){q=-1;x=m;y=o;while(1){f[g>>2]=x;if(!(f[x+4>>2]|0)){z=q;A=y;B=x}else{C=b[x+32>>0]|0;D=f[x+8>>2]|0;c:do if(!D){E=q;F=y}else{G=C&255;H=D;I=y;while(1){J=H^G;do if(!(+p[k+(J<<4)+8>>3]==0.0)){K=f[k+(H<<4)>>2]|0;M=j+(K*40|0)|0;f[h>>2]=M;N=j+(K*40|0)+4|0;O=j+(K*40|0)+32|0;if(!(f[N>>2]|0)){b[O>>0]=C;f[j+(K*40|0)+4>>2]=H^1;P=f[g>>2]|0;f[j+(K*40|0)+12>>2]=f[P+12>>2];f[j+(K*40|0)+16>>2]=(f[P+16>>2]|0)+1;if(f[M>>2]|0){Q=I;break}f[M>>2]=d;M=f[h>>2]|0;f[I>>2]=M;Q=M;break}if((b[O>>0]|0)!=C<<24>>24){E=J;F=I;break c}O=f[g>>2]|0;M=(f[O+16>>2]|0)+1|0;if((f[j+(K*40|0)+16>>2]|0)>(M|0)?(P=f[O+12>>2]|0,(f[j+(K*40|0)+12>>2]|0)<=(P|0)):0){f[N>>2]=H^1;f[j+(K*40|0)+12>>2]=P;f[j+(K*40|0)+16>>2]=M;Q=I}else Q=I}else Q=I;while(0);H=f[k+(H<<4)+4>>2]|0;if(!H){E=q;F=Q;break}else I=Q}}while(0);if((E|0)>0){R=x;S=E;T=F;break}z=E;A=F;B=f[g>>2]|0}x=f[x>>2]|0;f[B>>2]=0;if((x|0)==(d|0)){U=24;break}else{q=z;y=A}}if((U|0)==24){U=0;if((z|0)<1){V=t;break a}else{R=d;S=z;T=A}}y=k+(S<<4)+8|0;r=+p[y>>3];if(!(r>0.0)){U=27;break}q=S^1;W=r;x=q;while(1){X=f[k+(x<<4)>>2]|0;x=f[j+(X*40|0)+4>>2]|0;if((x|0)<0)break;Y=+p[k+((x^1)<<4)+8>>3];Z=W>Y?Y:W;if(!(Z>0.0)){_=X;U=30;break b}else W=Z}f[g>>2]=j+(X*40|0);Z=+L(+(+p[j+(X*40|0)+24>>3]));Y=W>Z?Z:W;if(Y>0.0){$=Y;aa=S}else{U=32;break}while(1){ba=f[k+(aa<<4)>>2]|0;aa=f[j+(ba*40|0)+4>>2]|0;if((aa|0)<0)break;Y=+p[k+(aa<<4)+8>>3];Z=$>Y?Y:$;if(!(Z>0.0)){_=ba;U=30;break b}else $=Z}f[g>>2]=j+(ba*40|0);W=+L(+(+p[j+(ba*40|0)+24>>3]));Z=$>W?W:$;if(!(Z>0.0)){U=32;break}p[y>>3]=r-Z;x=k+(q<<4)+8|0;p[x>>3]=Z+ +p[x>>3];p[s>>3]=Z+ +p[s>>3];x=f[k+(q<<4)>>2]|0;C=j+(x*40|0)|0;f[g>>2]=C;D=f[j+(x*40|0)+4>>2]|0;I=C;if((D|0)<0){ca=x;da=I}else{x=D;D=I;while(1){I=k+(x<<4)+8|0;p[I>>3]=Z+ +p[I>>3];I=k+((x^1)<<4)+8|0;W=+p[I>>3]-Z;p[I>>3]=W;if(W==0.0){I=f[l>>2]|0;if((I|0)==(f[a>>2]|0))t2(e,g);else{f[I>>2]=D;f[l>>2]=(f[l>>2]|0)+4}f[(f[g>>2]|0)+4>>2]=-2}I=f[k+(x<<4)>>2]|0;C=j+(I*40|0)|0;f[g>>2]=C;x=f[j+(I*40|0)+4>>2]|0;H=C;if((x|0)<0){ca=I;da=H;break}else D=H}}D=j+(ca*40|0)+24|0;r=+p[D>>3]-Z;p[D>>3]=r;if(r==0.0){D=f[l>>2]|0;if((D|0)==(f[a>>2]|0))t2(e,g);else{f[D>>2]=da;f[l>>2]=(f[l>>2]|0)+4}f[(f[g>>2]|0)+4>>2]=-2}D=f[k+(S<<4)>>2]|0;x=j+(D*40|0)|0;f[g>>2]=x;q=f[j+(D*40|0)+4>>2]|0;y=x;if((q|0)<0){ea=D;fa=y}else{D=q;q=y;while(1){y=k+((D^1)<<4)+8|0;p[y>>3]=Z+ +p[y>>3];y=k+(D<<4)+8|0;r=+p[y>>3]-Z;p[y>>3]=r;if(r==0.0){y=f[l>>2]|0;if((y|0)==(f[a>>2]|0))t2(e,g);else{f[y>>2]=q;f[l>>2]=(f[l>>2]|0)+4}f[(f[g>>2]|0)+4>>2]=-2}y=f[k+(D<<4)>>2]|0;x=j+(y*40|0)|0;f[g>>2]=x;D=f[j+(y*40|0)+4>>2]|0;H=x;if((D|0)<0){ea=y;fa=H;break}else q=H}}q=j+(ea*40|0)+24|0;r=Z+ +p[q>>3];p[q>>3]=r;if(r==0.0){q=f[l>>2]|0;if((q|0)==(f[a>>2]|0))t2(e,g);else{f[q>>2]=fa;f[l>>2]=(f[l>>2]|0)+4}f[(f[g>>2]|0)+4>>2]=-2}n=n+1|0;q=f[e>>2]|0;D=f[l>>2]|0;d:do if((q|0)==(D|0)){ga=T;ha=q}else{H=T;y=q;x=D;while(1){I=x;while(1){I=I+-4|0;ia=f[I>>2]|0;f[l>>2]=I;ja=b[ia+32>>0]|0;ka=ia+8|0;C=f[ka>>2]|0;if(!C){U=50;break}G=(ja^1)&255;J=2147483647;M=C;C=0;while(1){e:do if(!(+p[k+((M^G)<<4)+8>>3]==0.0)?(K=f[k+(M<<4)>>2]|0,P=j+(K*40|0)|0,f[h>>2]=P,(b[j+(K*40|0)+32>>0]|0)==ja<<24>>24):0){if(!(f[j+(K*40|0)+4>>2]|0)){la=J;ma=C;break}N=j+(K*40|0)+12|0;f:do if((f[N>>2]|0)==(n|0)){na=0;oa=K;U=56}else{O=0;pa=P;qa=N;while(1){ra=f[pa+4>>2]|0;sa=O+1|0;if((ra|0)<0)break;ta=f[k+(ra<<4)>>2]|0;ua=j+(ta*40|0)|0;f[h>>2]=ua;va=j+(ta*40|0)+12|0;if((f[va>>2]|0)==(n|0)){na=sa;oa=ta;U=56;break f}else{O=sa;pa=ua;qa=va}}if((ra|0)==-2){la=J;ma=C;break e}f[qa>>2]=n;f[pa+16>>2]=1;wa=sa}while(0);if((U|0)==56){U=0;wa=(f[j+(oa*40|0)+16>>2]|0)+na|0}N=wa+1|0;if((N|0)==2147483647){la=J;ma=C;break}O=(N|0)<(J|0);va=O?M:C;ua=O?N:J;f[h>>2]=P;O=j+(K*40|0)+12|0;if((f[O>>2]|0)==(n|0)){la=ua;ma=va;break}else{xa=N;ya=K;za=O}do{f[za>>2]=n;xa=xa+-1|0;f[j+(ya*40|0)+16>>2]=xa;ya=f[k+(f[j+(ya*40|0)+4>>2]<<4)>>2]|0;za=j+(ya*40|0)+12|0}while((f[za>>2]|0)!=(n|0));f[h>>2]=j+(ya*40|0);la=ua;ma=va}else{la=J;ma=C}while(0);M=f[k+(M<<4)+4>>2]|0;if(!M)break;else{J=la;C=ma}}f[ia+4>>2]=ma;C=ia+12|0;if((ma|0)<=0){Aa=C;break}f[C>>2]=n;f[ia+16>>2]=la;if((y|0)==(I|0)){ga=H;ha=y;break d}}if((U|0)==50){U=0;f[ia+4>>2]=0;Aa=ia+12|0}f[Aa>>2]=0;C=f[ka>>2]|0;if(!C){Ba=H;Ca=I}else{J=(ja^1)&255;M=C;C=H;while(1){G=f[k+(M<<4)>>2]|0;K=j+(G*40|0)|0;f[h>>2]=K;P=f[j+(G*40|0)+4>>2]|0;do if(P|0?(b[j+(G*40|0)+32>>0]|0)==ja<<24>>24:0){do if(+p[k+((M^J)<<4)+8>>3]!=0.0){if(f[K>>2]|0){Da=C;break}f[K>>2]=d;O=f[h>>2]|0;f[C>>2]=O;Da=O}else Da=C;while(0);if((P|0)<=0){Ea=Da;break}if((j+((f[k+(P<<4)>>2]|0)*40|0)|0)!=(ia|0)){Ea=Da;break}O=f[l>>2]|0;if((O|0)==(f[a>>2]|0))t2(e,h);else{f[O>>2]=f[h>>2];f[l>>2]=(f[l>>2]|0)+4}f[(f[h>>2]|0)+4>>2]=-2;Ea=Da}else Ea=C;while(0);M=f[k+(M<<4)+4>>2]|0;if(!M)break;else C=Ea}Ba=Ea;Ca=f[l>>2]|0}y=f[e>>2]|0;if((y|0)==(Ca|0)){ga=Ba;ha=Ca;break}else{H=Ba;x=Ca}}}while(0);if((R|0)==(d|0)){V=ha;break a}else{m=R;o=ga;t=ha}}if((U|0)==27){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;t=cuc(16)|0;f[i>>2]=t;f[i+8>>2]=-2147483632;f[i+4>>2]=13;Fa=t;Ga=240874;Ha=Fa+13|0;do{b[Fa>>0]=b[Ga>>0]|0;Fa=Fa+1|0;Ga=Ga+1|0}while((Fa|0)<(Ha|0));b[t+13>>0]=0;WD(-215,i,240888,240759,247)}else if((U|0)==30){f[g>>2]=j+(_*40|0);f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;o=cuc(16)|0;f[i>>2]=o;f[i+8>>2]=-2147483632;f[i+4>>2]=13;Fa=o;Ga=240874;Ha=Fa+13|0;do{b[Fa>>0]=b[Ga>>0]|0;Fa=Fa+1|0;Ga=Ga+1|0}while((Fa|0)<(Ha|0));b[o+13>>0]=0;WD(-215,i,240888,240759,257)}else if((U|0)==32){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;t=cuc(16)|0;f[i>>2]=t;f[i+8>>2]=-2147483632;f[i+4>>2]=13;Fa=t;Ga=240874;Ha=Fa+13|0;do{b[Fa>>0]=b[Ga>>0]|0;Fa=Fa+1|0;Ga=Ga+1|0}while((Fa|0)<(Ha|0));b[t+13>>0]=0;WD(-215,i,240888,240759,261)}}else V=0;while(0);$=+p[s>>3];if(!V){u=c;return +$}s=f[l>>2]|0;if((s|0)!=(V|0))f[l>>2]=s+(~((s+-4-V|0)>>>2)<<2);fuc(V);u=c;return +$}function t2(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+4|0;d=f[a>>2]|0;e=(f[c>>2]|0)-d|0;g=e>>2;h=g+1|0;if(h>>>0>1073741823)nsc(a);i=a+8|0;j=(f[i>>2]|0)-d|0;k=j>>1;l=j>>2>>>0<536870911?(k>>>0<h>>>0?h:k):1073741823;do if(l)if(l>>>0>1073741823){k=ze(8)|0;kuc(k,519086);f[k>>2]=167148;Hf(k|0,26888,1888)}else{m=cuc(l<<2)|0;break}else m=0;while(0);k=m+(g<<2)|0;f[k>>2]=f[b>>2];b=k+(0-g<<2)|0;if((e|0)>0)szc(b|0,d|0,e|0)|0;f[a>>2]=b;f[c>>2]=k+4;f[i>>2]=m+(l<<2);if(!d)return;fuc(d);return}function u2(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(d-g>>4>>>0>=b>>>0){h=b;i=g;do{f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;i=(f[e>>2]|0)+16|0;f[e>>2]=i;h=h+-1|0}while((h|0)!=0);return}h=f[a>>2]|0;i=g-h>>4;g=i+b|0;if(g>>>0>268435455)nsc(a);j=d-h|0;h=j>>3;d=j>>4>>>0<134217727?(h>>>0<g>>>0?g:h):268435455;do if(d)if(d>>>0>268435455){h=ze(8)|0;kuc(h,519086);f[h>>2]=167148;Hf(h|0,26888,1888)}else{k=cuc(d<<4)|0;break}else k=0;while(0);h=k+(i<<4)|0;i=k+(d<<4)|0;d=b;b=h;k=h;do{f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;b=k+16|0;k=b;d=d+-1|0}while((d|0)!=0);d=f[a>>2]|0;b=(f[e>>2]|0)-d|0;g=h+(0-(b>>4)<<4)|0;if((b|0)>0)szc(g|0,d|0,b|0)|0;f[a>>2]=g;f[e>>2]=k;f[c>>2]=i;if(!d)return;fuc(d);return}function v2(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+4|0;d=f[a>>2]|0;e=(f[c>>2]|0)-d|0;g=e>>4;h=g+1|0;if(h>>>0>268435455)nsc(a);i=a+8|0;j=(f[i>>2]|0)-d|0;k=j>>3;l=j>>4>>>0<134217727?(k>>>0<h>>>0?h:k):268435455;do if(l)if(l>>>0>268435455){k=ze(8)|0;kuc(k,519086);f[k>>2]=167148;Hf(k|0,26888,1888)}else{m=cuc(l<<4)|0;break}else m=0;while(0);k=m+(g<<4)|0;f[k>>2]=f[b>>2];f[k+4>>2]=f[b+4>>2];f[k+8>>2]=f[b+8>>2];f[k+12>>2]=f[b+12>>2];b=k+(0-g<<4)|0;if((e|0)>0)szc(b|0,d|0,e|0)|0;f[a>>2]=b;f[c>>2]=k+16;f[i>>2]=m+(l<<4);if(!d)return;fuc(d);return}function w2(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,t=0,v=0,w=0,x=0,y=0,z=0.0,A=0.0,B=0.0,C=0,D=0,E=0,F=0,G=0,H=0,I=0.0,K=0.0,L=0.0,N=0.0,O=0.0,P=0.0,Q=0,R=0,S=0,T=0.0,U=0.0,V=0.0,W=0.0,X=0.0,Y=0.0,Z=0.0,_=0.0,$=0.0,aa=0.0,ba=0.0,ca=0.0,da=0.0,ea=0,fa=0.0,ga=0.0,ha=0,ia=0.0,ja=0.0,ka=0.0,la=0.0,ma=0.0,na=0.0,oa=0.0,pa=0.0,qa=0.0,ra=0.0,sa=0.0,ta=0.0,ua=0.0,va=0;e=u;u=u+80|0;g=e+72|0;h=e+16|0;i=e;gV(g,51080);do if((qJ(a)|0)==65536){j=f[a+4>>2]|0;f[h>>2]=f[j>>2];k=h+4|0;l=j+4|0;f[k>>2]=f[l>>2];m=h+8|0;f[m>>2]=f[j+8>>2];f[h+12>>2]=f[j+12>>2];f[h+16>>2]=f[j+16>>2];f[h+20>>2]=f[j+20>>2];f[h+24>>2]=f[j+24>>2];f[h+28>>2]=f[j+28>>2];f[h+32>>2]=f[j+32>>2];o=f[j+36>>2]|0;f[h+36>>2]=o;f[h+40>>2]=m;m=h+48|0;p=h+44|0;f[p>>2]=m;f[m>>2]=0;f[h+52>>2]=0;if(o|0){m=o+12|0;f[m>>2]=(f[m>>2]|0)+1}if((f[l>>2]|0)<3){l=f[j+44>>2]|0;m=f[p>>2]|0;f[m>>2]=f[l>>2];f[m+4>>2]=f[l+4>>2];break}else{f[k>>2]=0;$T(h,j);break}}else nJ(h,a,-1);while(0);a=qU(h,2,-1,1)|0;j=f[h>>2]&7;if((a|0)<=-1){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;q=cuc(64)|0;f[i>>2]=q;r=i+8|0;f[r>>2]=-2147483584;t=i+4|0;f[t>>2]=50;v=q;w=241299;x=v+50|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));y=q+50|0;b[y>>0]=0;WD(-215,i,241350,241226,103)}k=(j|0)==5;if((j|1|0)!=5){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;q=cuc(64)|0;f[i>>2]=q;r=i+8|0;f[r>>2]=-2147483584;t=i+4|0;f[t>>2]=50;v=q;w=241299;x=v+50|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));y=q+50|0;b[y>>0]=0;WD(-215,i,241350,241226,103)}z=+n[c>>2];i=Ghc(z)|0;A=+n[c+4>>2];c=Ghc(A)|0;a:do if(!a)B=d?-1797693134862315708145274.0e284:-1.0;else{y=f[h+16>>2]|0;q=a+-1|0;w=f[y+(q<<3)>>2]|0;v=f[y+(q<<3)+4>>2]|0;if(+(i|0)==z&((k|d)^1)&+(c|0)==A){q=0;x=0;t=w;r=v;while(1){j=t;t=f[y+(q<<3)>>2]|0;l=r;r=f[y+(q<<3)+4>>2]|0;m=(r|0)>(c|0);if((c|0)<(l|0))if(m)C=18;else C=17;else if(m)C=17;else C=18;if((C|0)==17){C=0;if(!((i|0)>(j|0)&(t|0)<(i|0))){m=c-l|0;p=t-j|0;o=Bzc(p|0,((p|0)<0)<<31>>31|0,m|0,((m|0)<0)<<31>>31|0)|0;m=J;p=i-j|0;D=r-l|0;E=Bzc(D|0,((D|0)<0)<<31>>31|0,p|0,((p|0)<0)<<31>>31|0)|0;p=gzc(o|0,m|0,E|0,J|0)|0;E=J;m=(r|0)<(l|0);o=gzc(0,0,p|0,E|0)|0;D=m?J:E;if((p|0)==0&(E|0)==0){B=0.0;break a}else F=(((D|0)>0|(D|0)==0&(m?o:p)>>>0>0)&1)+x|0}else C=18}if((C|0)==18){C=0;if((c|0)==(r|0)){if((i|0)==(t|0)){B=0.0;break a}if((c|0)==(l|0)){if(!((i|0)<(j|0)|(i|0)>(t|0))){B=0.0;break a}if(!((i|0)>(j|0)|(t|0)>(i|0))){B=0.0;break a}else F=x}else F=x}else F=x}q=q+1|0;if((q|0)>=(a|0))break;else x=F}B=+((F<<1&2)+-1|0);break}if(k){G=w;H=v;I=(f[s>>2]=v,+n[s>>2])}else{K=+(v|0);x=(n[s>>2]=+(w|0),f[s>>2]|0);G=x;H=(n[s>>2]=K,f[s>>2]|0);I=K}if(!d){if(k){x=0;q=0;t=G;K=I;while(1){r=t;t=f[y+(x<<3)>>2]|0;L=(f[s>>2]=t,+n[s>>2]);N=K;K=+n[y+(x<<3)+4>>2];if((!(N<=A)|!(K<=A)?!(N>A&K>A):0)?(O=(f[s>>2]=r,+n[s>>2]),!(O<z&L<z)):0){P=(L-O)*(A-N)-(K-N)*(z-O);if(P==0.0){B=0.0;break a}Q=((K<N?-P:P)>0.0&1)+q|0}else if(A==K){if(z==L){B=0.0;break a}if(A==N){N=(f[s>>2]=r,+n[s>>2]);if(!(!(N<=z)|!(z<=L))){B=0.0;break a}if(!(!(L<=z)|!(z<=N))){B=0.0;break a}else Q=q}else Q=q}else Q=q;x=x+1|0;if((x|0)>=(a|0)){R=Q;break}else q=Q}}else{q=0;x=0;t=G;K=I;while(1){N=+(f[y+(q<<3)>>2]|0);L=K;K=+(f[y+(q<<3)+4>>2]|0);w=t;t=(n[s>>2]=N,f[s>>2]|0);if((!(L<=A)|!(K<=A)?!(L>A&K>A):0)?(P=(f[s>>2]=w,+n[s>>2]),!(P<z&N<z)):0){O=(N-P)*(A-L)-(K-L)*(z-P);if(O==0.0){B=0.0;break a}S=((K<L?-O:O)>0.0&1)+x|0}else if(A==K){if(z==N){B=0.0;break a}if(A==L){L=(f[s>>2]=w,+n[s>>2]);if(!(!(L<=z)|!(z<=N))){B=0.0;break a}if(!(!(N<=z)|!(z<=L))){B=0.0;break a}else S=x}else S=x}else S=x;q=q+1|0;if((q|0)>=(a|0)){R=S;break}else x=S}}B=+((R<<1&2)+-1|0);break}b:do if(k){K=3402823466385288598117041.0e14;L=1.0;x=0;q=0;t=G;w=H;while(1){v=t;t=f[y+(x<<3)>>2]|0;N=(f[s>>2]=t,+n[s>>2]);r=w;w=f[y+(x<<3)+4>>2]|0;O=(f[s>>2]=w,+n[s>>2]);P=(f[s>>2]=v,+n[s>>2]);T=N-P;U=(f[s>>2]=r,+n[s>>2]);V=O-U;W=V;X=z-P;Y=A-U;Z=z-N;_=A-O;do if(!(T*X+W*Y<=0.0))if(!(T*Z+W*_>=0.0)){$=T*Y-W*X;aa=T*T+W*W;ba=$*$;break}else{aa=1.0;ba=Z*Z+_*_;break}else{aa=1.0;ba=X*X+Y*Y}while(0);if(L*ba<K*aa)if(ba==0.0){ca=ba;da=aa;ea=q;break b}else{fa=ba;ga=aa}else{fa=K;ga=L}if((!(U<=A)|!(O<=A)?!(U>A&O>A):0)?!(P<z&N<z):0){_=T*Y-W*X;ha=((V<0.0?-_:_)>0.0&1)+q|0}else ha=q;x=x+1|0;if((x|0)>=(a|0)){ca=fa;da=ga;ea=ha;break}else{K=fa;L=ga;q=ha}}}else{L=3402823466385288598117041.0e14;K=1.0;q=0;x=0;w=G;t=H;while(1){_=+(f[y+(q<<3)>>2]|0);Z=+(f[y+(q<<3)+4>>2]|0);r=w;w=(n[s>>2]=_,f[s>>2]|0);v=t;t=(n[s>>2]=Z,f[s>>2]|0);$=(f[s>>2]=r,+n[s>>2]);ia=_-$;ja=(f[s>>2]=v,+n[s>>2]);ka=Z-ja;la=ka;ma=z-$;na=A-ja;oa=z-_;pa=A-Z;do if(!(ia*ma+la*na<=0.0))if(!(ia*oa+la*pa>=0.0)){qa=ia*na-la*ma;ra=ia*ia+la*la;sa=qa*qa;break}else{ra=1.0;sa=oa*oa+pa*pa;break}else{ra=1.0;sa=ma*ma+na*na}while(0);if(K*sa<L*ra)if(sa==0.0){ca=sa;da=ra;ea=x;break b}else{ta=sa;ua=ra}else{ta=L;ua=K}if((!(ja<=A)|!(Z<=A)?!(ja>A&Z>A):0)?!($<z&_<z):0){pa=ia*na-la*ma;va=((ka<0.0?-pa:pa)>0.0&1)+x|0}else va=x;q=q+1|0;if((q|0)>=(a|0)){ca=ta;da=ua;ea=va;break}else{L=ta;K=ua;x=va}}}while(0);K=+M(+(ca/da));B=(ea&1|0)==0?-K:K}while(0);ea=h+36|0;va=f[ea>>2]|0;if(va|0?(a=va+12|0,va=f[a>>2]|0,f[a>>2]=va+-1,(va|0)==1):0)aU(h);f[ea>>2]=0;ea=h+16|0;va=h+4|0;f[ea>>2]=0;f[ea+4>>2]=0;f[ea+8>>2]=0;f[ea+12>>2]=0;if((f[va>>2]|0)>0){ea=f[h+40>>2]|0;a=0;do{f[ea+(a<<2)>>2]=0;a=a+1|0}while((a|0)<(f[va>>2]|0))}va=f[h+44>>2]|0;if((va|0)!=(h+48|0))TC(va);if(!(f[g+4>>2]|0)){u=e;return +B}u=e;return +B}function x2(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=+i;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0,qc=0,rc=0,sc=0,tc=0,uc=0,vc=0,wc=0,xc=0,yc=0,zc=0,Ac=0,Bc=0,Cc=0,Dc=0,Ec=0,Fc=0,Gc=0,Hc=0,Ic=0,Jc=0,Kc=0,Lc=0,Mc=0,Nc=0,Oc=0,Pc=0,Qc=0,Rc=0,Sc=0,Tc=0,Uc=0,Vc=0,Wc=0,Xc=0,Yc=0,Zc=0,_c=0,$c=0,ad=0,bd=0,cd=0,dd=0,ed=0,fd=0,gd=0,hd=0,id=0,jd=0,kd=0,ld=0,md=0,nd=0,od=0,pd=0,qd=0,rd=0,sd=0,td=0,ud=0,vd=0,wd=0,xd=0,yd=0,zd=0,Ad=0,Bd=0,Cd=0,Dd=0,Ed=0,Fd=0,Gd=0,Hd=0,Id=0,Jd=0,Kd=0,Ld=0,Md=0,Nd=0,Od=0,Pd=0,Qd=0,Rd=0,Sd=0,Td=0,Ud=0,Vd=0,Wd=0,Xd=0,Yd=0,Zd=0,_d=0,$d=0,ae=0,be=0,ce=0,de=0,ee=0,fe=0,ge=0,he=0,ie=0,je=0;k=u;u=u+832|0;l=k+112|0;m=k+816|0;n=k+760|0;o=k+756|0;p=k+752|0;q=k+696|0;r=k+640|0;s=k+632|0;t=k+576|0;v=k+520|0;w=k+464|0;x=k+56|0;y=k+408|0;z=k+352|0;A=k+296|0;B=k+240|0;C=k+184|0;D=k;E=k+168|0;f[m>>2]=0;F=m+4|0;f[F>>2]=0;f[m+8>>2]=0;f[n>>2]=f[c>>2];G=n+4|0;H=c+4|0;I=f[H>>2]|0;f[G>>2]=I;J=n+8|0;f[J>>2]=f[c+8>>2];K=n+12|0;f[K>>2]=f[c+12>>2];L=n+16|0;f[L>>2]=f[c+16>>2];M=n+20|0;f[M>>2]=f[c+20>>2];N=n+24|0;f[N>>2]=f[c+24>>2];O=n+28|0;f[O>>2]=f[c+28>>2];P=n+32|0;f[P>>2]=f[c+32>>2];Q=n+36|0;R=f[c+36>>2]|0;f[Q>>2]=R;S=n+40|0;f[S>>2]=J;T=n+48|0;U=n+44|0;f[U>>2]=T;f[T>>2]=0;f[n+52>>2]=0;if(!R)V=I;else{I=R+12|0;f[I>>2]=(f[I>>2]|0)+1;V=f[H>>2]|0}if((V|0)<3){V=f[c+44>>2]|0;H=f[U>>2]|0;f[H>>2]=f[V>>2];f[H+4>>2]=f[V+4>>2]}else{f[G>>2]=0;$T(n,c)}V=f[a>>2]|0;H=V&7;I=V>>>3;V=I&511;R=f[n>>2]|0;W=R&7;f[o>>2]=W;X=R>>>3&511;R=X+1|0;Z=g&7;f[p>>2]=Z;_=g>>>3;$=_&511;aa=a+4|0;if(!((f[aa>>2]|0)<3&(f[G>>2]|0)<3)){f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;ba=cuc(64)|0;f[l>>2]=ba;ca=l+8|0;f[ca>>2]=-2147483584;da=l+4|0;f[da>>2]=50;ea=ba;fa=241422;ga=ea+50|0;do{b[ea>>0]=b[fa>>0]|0;ea=ea+1|0;fa=fa+1|0}while((ea|0)<(ga|0));ha=ba+50|0;b[ha>>0]=0;WD(-215,l,241473,241483,579)}ia=d+4|0;if((f[ia>>2]|0)>=3){f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;ba=cuc(64)|0;f[l>>2]=ba;ca=l+8|0;f[ca>>2]=-2147483584;da=l+4|0;f[da>>2]=50;ea=ba;fa=241422;ga=ea+50|0;do{b[ea>>0]=b[fa>>0]|0;ea=ea+1|0;fa=fa+1|0}while((ea|0)<(ga|0));ha=ba+50|0;b[ha>>0]=0;WD(-215,l,241473,241483,579)}if((H|0)!=(W|0)){ha=H>>>0>5?H:5;if((W|0)==(ha|0))ja=W;else{W=l+8|0;f[W>>2]=0;f[W+4>>2]=0;f[l>>2]=33619968;f[l+4>>2]=n;kQ(c,l,ha,1.0,0.0);ha=f[n>>2]&7;f[o>>2]=ha;ja=ha}}else ja=H;if(!((H|0)==(ja|0)|(ja|0)==5)){f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;ha=cuc(48)|0;f[l>>2]=ha;f[l+8>>2]=-2147483600;f[l+4>>2]=35;ea=ha;fa=241558;ga=ea+35|0;do{b[ea>>0]=b[fa>>0]|0;ea=ea+1|0;fa=fa+1|0}while((ea|0)<(ga|0));b[ha+35>>0]=0;WD(-215,l,241473,241483,587)}ha=f[e+4>>2]|0;c=a+8|0;if((ha|0)>=((f[J>>2]|0)+(f[c>>2]|0)|0)){f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;ka=cuc(96)|0;f[l>>2]=ka;la=l+8|0;f[la>>2]=-2147483552;ma=l+4|0;f[ma>>2]=91;ea=ka;fa=241594;ga=ea+91|0;do{b[ea>>0]=b[fa>>0]|0;ea=ea+1|0;fa=fa+1|0}while((ea|0)<(ga|0));na=ka+91|0;b[na>>0]=0;WD(-215,l,241473,241483,589)}W=f[e>>2]|0;e=a+12|0;if((W|0)>=((f[K>>2]|0)+(f[e>>2]|0)|0)){f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;ka=cuc(96)|0;f[l>>2]=ka;la=l+8|0;f[la>>2]=-2147483552;ma=l+4|0;f[ma>>2]=91;ea=ka;fa=241594;ga=ea+91|0;do{b[ea>>0]=b[fa>>0]|0;ea=ea+1|0;fa=fa+1|0}while((ea|0)<(ga|0));na=ka+91|0;b[na>>0]=0;WD(-215,l,241473,241483,589)}na=($|0)==0;if(!(na|i==0.0)){f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;$=cuc(32)|0;f[l>>2]=$;f[l+8>>2]=-2147483616;f[l+4>>2]=22;ea=$;fa=241686;ga=ea+22|0;do{b[ea>>0]=b[fa>>0]|0;ea=ea+1|0;fa=fa+1|0}while((ea|0)<(ga|0));b[$+22>>0]=0;WD(-215,l,241473,241483,591)}$=g&4095;if(!(((((f[ia>>2]|0)<3?(f[d+8>>2]|0)==(ha|0):0)?(f[d+12>>2]|0)==(W|0):0)?(f[d>>2]&4095|0)==($|0):0)?(f[d+16>>2]|0)!=0:0)){f[l>>2]=ha;f[l+4>>2]=W;ZT(d,2,l,$)}if(H>>>0>1)oa=6;else{$=ja>>>0>5?ja:5;oa=($|0)<(Z|0)?Z:$}$=f[K>>2]|0;W=Fhc(+($|0)*4.5)|0;ha=256-$+1|0;ia=(W|0)<(ha|0)?ha:W;W=d+12|0;ha=f[W>>2]|0;g=f[J>>2]|0;ka=Fhc(+(g|0)*4.5)|0;ma=256-g+1|0;g=(ka|0)<(ma|0)?ma:ka;ka=d+8|0;ma=f[ka>>2]|0;la=fV($+-1+((ha|0)<(ia|0)?ha:ia)|0)|0;ia=(la|0)>2?la:2;la=fV(((ma|0)<(g|0)?ma:g)+-1+(f[J>>2]|0)|0)|0;if((ia|0)<1|(la|0)<1){f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;g=cuc(32)|0;f[l>>2]=g;f[l+8>>2]=-2147483616;f[l+4>>2]=28;ea=g;fa=241709;ga=ea+28|0;do{b[ea>>0]=b[fa>>0]|0;ea=ea+1|0;fa=fa+1|0}while((ea|0)<(ga|0));b[g+28>>0]=0;WD(-211,l,241473,241483,608)}g=ia-(f[K>>2]|0)|0;ma=f[W>>2]|0;ha=(g|0)>=(ma|0)?ma:g+1|0;g=la-(f[J>>2]|0)|0;ma=f[ka>>2]|0;$=(g|0)>=(ma|0)?ma:g+1|0;g=Y(la,R)|0;f[q>>2]=1124007936;R=q+4|0;ma=q+8|0;ba=q+40|0;ea=R;ga=ea+36|0;do{f[ea>>2]=0;ea=ea+4|0}while((ea|0)<(ga|0));f[ba>>2]=ma;ma=q+48|0;da=q+44|0;f[da>>2]=ma;f[ma>>2]=0;f[q+52>>2]=0;ca=oa&4095;f[l>>2]=g;g=l+4|0;f[g>>2]=ia;ZT(q,2,l,ca);f[r>>2]=1124007936;pa=r+4|0;qa=r+8|0;ra=r+40|0;ea=pa;ga=ea+36|0;do{f[ea>>2]=0;ea=ea+4|0}while((ea|0)<(ga|0));f[ra>>2]=qa;qa=r+48|0;sa=r+44|0;f[sa>>2]=qa;f[qa>>2]=0;f[r+52>>2]=0;f[l>>2]=la;f[g>>2]=ia;ZT(r,2,l,ca);ca=(X|0)!=0;if((ja|0)==(oa|0)|ca^1)ta=0;else ta=Y(Y(675553809>>>(ja<<2)&15,f[K>>2]|0)|0,f[J>>2]|0)|0;ja=(V|0)!=0;g=(H|0)==(oa|0);if(g|ja^1)ua=ta;else{va=Y(Y(ha+-1+(f[K>>2]|0)|0,675553809>>>(H<<2)&15)|0,$+-1+(f[J>>2]|0)|0)|0;ua=(ta|0)<(va|0)?va:ta}if(((I|_)&511|0)==0|(Z|0)==(oa|0))wa=ua;else{_=Y(Y($,ha)|0,675553809>>>(Z<<2)&15)|0;wa=(ua|0)<(_|0)?_:ua}ua=f[F>>2]|0;_=f[m>>2]|0;Z=ua-_|0;I=_;_=ua;if(wa>>>0<=Z>>>0){if(wa>>>0<Z>>>0?(ua=I+wa|0,(_|0)!=(ua|0)):0)f[F>>2]=ua}else LJ(m,wa-Z|0);QU(s,ia,la,f[q>>2]&7,1,1,1024,f[J>>2]|0);Z=t+4|0;wa=t+8|0;ua=t+12|0;_=t+16|0;I=t+20|0;ta=t+24|0;va=t+28|0;xa=t+32|0;ya=t+36|0;za=t+40|0;Aa=t+48|0;Ba=t+44|0;Ca=t+52|0;Da=l+4|0;Ea=l+8|0;Fa=l+12|0;Ga=l+4|0;Ha=l+8|0;Ia=l+12|0;Ja=x+4|0;Ka=w+4|0;La=x+8|0;Ma=w+8|0;Na=x+12|0;Oa=w+12|0;Pa=x+16|0;Qa=w+16|0;Ra=x+20|0;Sa=w+20|0;Ta=x+24|0;Ua=w+24|0;Va=x+28|0;Wa=w+28|0;Xa=x+32|0;Ya=w+32|0;Za=x+36|0;_a=w+36|0;$a=x+40|0;ab=x+48|0;bb=x+44|0;cb=x+52|0;db=w+44|0;eb=t+44|0;fb=x+44|0;gb=l+4|0;hb=t+40|0;ib=v+12|0;jb=x+4|0;kb=y+4|0;lb=l+36|0;mb=l+16|0;nb=l+4|0;ob=l+40|0;pb=l+44|0;qb=l+48|0;rb=v+16|0;sb=v+48|0;tb=w+40|0;ub=w+48|0;vb=v+36|0;wb=v+4|0;xb=v+40|0;yb=v+44|0;zb=l+8|0;Ab=l+4|0;Bb=t+52|0;Cb=0;a:while(1){Db=Y(Cb,la)|0;f[t>>2]=f[n>>2];Eb=f[G>>2]|0;f[Z>>2]=Eb;f[wa>>2]=f[J>>2];f[ua>>2]=f[K>>2];f[_>>2]=f[L>>2];f[I>>2]=f[M>>2];f[ta>>2]=f[N>>2];f[va>>2]=f[O>>2];f[xa>>2]=f[P>>2];Fb=f[Q>>2]|0;f[ya>>2]=Fb;f[za>>2]=wa;f[Ba>>2]=Aa;f[Aa>>2]=0;f[Ca>>2]=0;if(!Fb)Gb=Eb;else{Eb=Fb+12|0;f[Eb>>2]=(f[Eb>>2]|0)+1;Gb=f[G>>2]|0}if((Gb|0)<3){Eb=f[U>>2]|0;Fb=f[Ba>>2]|0;f[Fb>>2]=f[Eb>>2];f[Fb+4>>2]=f[Eb+4>>2]}else{f[Z>>2]=0;$T(t,n)}f[l>>2]=0;f[Da>>2]=Db;f[Ea>>2]=ia;f[Fa>>2]=la;eU(v,q,l);Eb=f[K>>2]|0;Fb=f[J>>2]|0;f[l>>2]=0;f[Ga>>2]=Db;f[Ha>>2]=Eb;f[Ia>>2]=Fb;eU(w,q,l);if(ca){Fb=f[o>>2]|0;do if((Fb|0)==(oa|0)){f[x>>2]=f[w>>2];Eb=f[Ka>>2]|0;f[Ja>>2]=Eb;f[La>>2]=f[Ma>>2];f[Na>>2]=f[Oa>>2];f[Pa>>2]=f[Qa>>2];f[Ra>>2]=f[Sa>>2];f[Ta>>2]=f[Ua>>2];f[Va>>2]=f[Wa>>2];f[Xa>>2]=f[Ya>>2];Db=f[_a>>2]|0;f[Za>>2]=Db;f[$a>>2]=La;f[bb>>2]=ab;f[ab>>2]=0;f[cb>>2]=0;if(!Db)Hb=Eb;else{Eb=Db+12|0;f[Eb>>2]=(f[Eb>>2]|0)+1;Hb=f[Ka>>2]|0}if((Hb|0)<3){Eb=f[db>>2]|0;Db=f[bb>>2]|0;f[Db>>2]=f[Eb>>2];f[Db+4>>2]=f[Eb+4>>2];break}else{f[Ja>>2]=0;$T(x,w);break}}else{Eb=f[S>>2]|0;Db=f[Eb+4>>2]|0;Ib=f[Eb>>2]|0;Eb=f[m>>2]|0;f[x>>2]=Fb&4095|1124007936;f[Ja>>2]=2;f[La>>2]=Ib;f[Na>>2]=Db;f[Pa>>2]=Eb;f[Ra>>2]=Eb;f[Ta>>2]=0;f[Ta+4>>2]=0;f[Ta+8>>2]=0;f[Ta+12>>2]=0;f[$a>>2]=La;f[bb>>2]=ab;f[cb>>2]=0;f[ab>>2]=0;if((Y(Ib,Db)|0)!=0&(Eb|0)==0){Jb=54;break a}Kb=Y(675553809>>>(Fb<<2&28)&15,(Fb>>>3&511)+1|0)|0;Lb=Y(Db,Kb)|0;f[ab>>2]=Lb;f[cb>>2]=Kb;Kb=Eb+(Y(Ib,Lb)|0)|0;f[Va>>2]=Kb;f[Ta>>2]=Kb+(0-Lb)+Lb;YT(x)}while(0);Fb=f[ya>>2]|0;do if(Fb|0){Lb=Fb+12|0;Kb=f[Lb>>2]|0;f[Lb>>2]=Kb+-1;if((Kb|0)!=1)break;aU(t)}while(0);f[ya>>2]=0;f[_>>2]=0;f[_+4>>2]=0;f[_+8>>2]=0;f[_+12>>2]=0;if((f[Z>>2]|0)>0){Fb=f[za>>2]|0;Kb=0;do{f[Fb+(Kb<<2)>>2]=0;Kb=Kb+1|0}while((Kb|0)<(f[Z>>2]|0))}f[t>>2]=f[x>>2];Kb=f[Ja>>2]|0;f[Z>>2]=Kb;f[wa>>2]=f[La>>2];f[ua>>2]=f[Na>>2];f[_>>2]=f[Pa>>2];f[I>>2]=f[Ra>>2];f[ta>>2]=f[Ta>>2];f[va>>2]=f[Va>>2];f[xa>>2]=f[Xa>>2];f[ya>>2]=f[Za>>2];Fb=f[eb>>2]|0;if((Fb|0)==(Aa|0))Mb=Kb;else{TC(Fb);f[eb>>2]=Aa;f[za>>2]=wa;Mb=f[Ja>>2]|0}if((Mb|0)<3){Fb=f[fb>>2]|0;f[Aa>>2]=f[Fb>>2];f[Bb>>2]=f[Fb+4>>2];Nb=Fb}else{f[eb>>2]=f[fb>>2];f[hb>>2]=f[$a>>2];f[fb>>2]=ab;f[$a>>2]=La;Nb=ab}f[x>>2]=1124007936;f[Ja>>2]=0;f[Ja+4>>2]=0;f[Ja+8>>2]=0;f[Ja+12>>2]=0;f[Ja+16>>2]=0;f[Ja+20>>2]=0;f[Ja+24>>2]=0;f[Ja+28>>2]=0;f[Za>>2]=0;f[Pa>>2]=0;f[Pa+4>>2]=0;f[Pa+8>>2]=0;f[Pa+12>>2]=0;if((Nb|0)!=(ab|0))TC(Nb);f[l>>2]=Cb;f[gb>>2]=0;jV(n,1,t,1,l,1)}if((f[Qa>>2]|0)!=(f[_>>2]|0)){Fb=zb;f[Fb>>2]=0;f[Fb+4>>2]=0;f[l>>2]=33619968;f[Ab>>2]=w;kQ(t,l,f[w>>2]&7,1.0,0.0)}Fb=f[ib>>2]|0;Kb=f[K>>2]|0;if((Fb|0)>(Kb|0)){Lb=f[J>>2]|0;f[x>>2]=0;f[jb>>2]=Lb;f[y>>2]=Kb;f[kb>>2]=Fb;bU(l,v,x,y);f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;f[x+12>>2]=0;f[x+16>>2]=0;f[x+20>>2]=0;f[x+24>>2]=0;f[x+28>>2]=0;GI(l,x)|0;Fb=f[lb>>2]|0;do if(Fb|0){Kb=Fb+12|0;Lb=f[Kb>>2]|0;f[Kb>>2]=Lb+-1;if((Lb|0)!=1)break;aU(l)}while(0);f[lb>>2]=0;f[mb>>2]=0;f[mb+4>>2]=0;f[mb+8>>2]=0;f[mb+12>>2]=0;if((f[nb>>2]|0)>0){Fb=f[ob>>2]|0;Lb=0;do{f[Fb+(Lb<<2)>>2]=0;Lb=Lb+1|0}while((Lb|0)<(f[nb>>2]|0))}Lb=f[pb>>2]|0;if((Lb|0)!=(qb|0))TC(Lb)}Lb=f[s>>2]|0;Fb=f[rb>>2]|0;Kb=f[sb>>2]|0;th[f[f[Lb>>2]>>2]&255](Lb,Fb,Kb,Fb,Kb);Kb=f[_a>>2]|0;do if(Kb|0){Fb=Kb+12|0;Lb=f[Fb>>2]|0;f[Fb>>2]=Lb+-1;if((Lb|0)!=1)break;aU(w)}while(0);f[_a>>2]=0;f[Qa>>2]=0;f[Qa+4>>2]=0;f[Qa+8>>2]=0;f[Qa+12>>2]=0;if((f[Ka>>2]|0)>0){Kb=f[tb>>2]|0;Lb=0;do{f[Kb+(Lb<<2)>>2]=0;Lb=Lb+1|0}while((Lb|0)<(f[Ka>>2]|0))}Lb=f[db>>2]|0;if((Lb|0)!=(ub|0))TC(Lb);Lb=f[vb>>2]|0;do if(Lb|0){Kb=Lb+12|0;Fb=f[Kb>>2]|0;f[Kb>>2]=Fb+-1;if((Fb|0)!=1)break;aU(v)}while(0);f[vb>>2]=0;f[rb>>2]=0;f[rb+4>>2]=0;f[rb+8>>2]=0;f[rb+12>>2]=0;if((f[wb>>2]|0)>0){Lb=f[xb>>2]|0;Fb=0;do{f[Lb+(Fb<<2)>>2]=0;Fb=Fb+1|0}while((Fb|0)<(f[wb>>2]|0))}Fb=f[yb>>2]|0;if((Fb|0)!=(sb|0))TC(Fb);Fb=f[ya>>2]|0;do if(Fb|0){Lb=Fb+12|0;Kb=f[Lb>>2]|0;f[Lb>>2]=Kb+-1;if((Kb|0)!=1)break;aU(t)}while(0);f[ya>>2]=0;f[_>>2]=0;f[_+4>>2]=0;f[_+8>>2]=0;f[_+12>>2]=0;if((f[Z>>2]|0)>0){Fb=f[za>>2]|0;Kb=0;do{f[Fb+(Kb<<2)>>2]=0;Kb=Kb+1|0}while((Kb|0)<(f[Z>>2]|0))}Kb=f[Ba>>2]|0;if((Kb|0)!=(Aa|0))TC(Kb);if((Cb|0)<(X|0))Cb=Cb+1|0;else break}if((Jb|0)==54){Cb=cuc(32)|0;f[l>>2]=Cb;f[l+8>>2]=-2147483616;f[l+4>>2]=28;ea=Cb;fa=466324;ga=ea+28|0;do{b[ea>>0]=b[fa>>0]|0;ea=ea+1|0;fa=fa+1|0}while((ea|0)<(ga|0));b[Cb+28>>0]=0;WD(-215,l,466353,466357,577)}Cb=(ha+-1+(f[W>>2]|0)|0)/(ha|0)|0;X=$+-1|0;Aa=Y((X+(f[ka>>2]|0)|0)/($|0)|0,Cb)|0;Ba=f[a+40>>2]|0;Z=f[Ba>>2]|0;f[t>>2]=f[Ba+4>>2];Ba=t+4|0;f[Ba>>2]=Z;f[v>>2]=0;Z=v+4|0;f[Z>>2]=0;f[w>>2]=f[a>>2];za=w+4|0;_=f[aa>>2]|0;f[za>>2]=_;ya=w+8|0;f[ya>>2]=f[c>>2];sb=w+12|0;f[sb>>2]=f[e>>2];yb=w+16|0;f[yb>>2]=f[a+16>>2];f[w+20>>2]=f[a+20>>2];f[w+24>>2]=f[a+24>>2];f[w+28>>2]=f[a+28>>2];f[w+32>>2]=f[a+32>>2];wb=w+36|0;xb=f[a+36>>2]|0;f[wb>>2]=xb;rb=w+40|0;f[rb>>2]=ya;vb=w+48|0;ub=w+44|0;f[ub>>2]=vb;f[vb>>2]=0;f[w+52>>2]=0;if(!xb)Ob=_;else{_=xb+12|0;f[_>>2]=(f[_>>2]|0)+1;Ob=f[aa>>2]|0}if((Ob|0)<3){Ob=f[a+44>>2]|0;aa=f[ub>>2]|0;f[aa>>2]=f[Ob>>2];f[aa+4>>2]=f[Ob+4>>2]}else{f[za>>2]=0;$T(w,a)}if(!(j&16)){kU(a,t,v);a=f[Z>>2]|0;Ob=f[v>>2]|0;lU(w,a,(f[Ba>>2]|0)-a-(f[c>>2]|0)|0,Ob,(f[t>>2]|0)-Ob-(f[e>>2]|0)|0)|0}e=j|16;QU(l,ia,la,oa,1,1,1024,X+(f[J>>2]|0)|0);X=f[l>>2]|0;j=l+4|0;Ob=f[j>>2]|0;t=(Ob|0)==0;do if(!t){Wtc(Ob);c=f[j>>2]|0;if(!c)break;Xtc(c)}while(0);QU(l,ia,la,oa,1,1,1027,$);j=f[l>>2]|0;c=l+4|0;a=f[c>>2]|0;Ba=(a|0)==0;do if(!Ba){Wtc(a);aa=f[c>>2]|0;if(!aa)break;Xtc(aa)}while(0);b:do if((Aa|0)>0){c=h+4|0;aa=l+4|0;_=y+4|0;xb=l+4|0;db=l+8|0;Ka=l+12|0;tb=l+4|0;Qa=l+8|0;_a=l+12|0;qb=l+4|0;pb=l+8|0;nb=l+12|0;ob=B+4|0;mb=x+4|0;lb=B+8|0;kb=x+8|0;jb=B+12|0;ib=x+12|0;Ab=B+16|0;zb=x+16|0;gb=B+20|0;Nb=x+20|0;ab=B+24|0;Pa=x+24|0;Za=B+28|0;Ja=x+28|0;La=B+32|0;$a=x+32|0;fb=B+36|0;hb=x+36|0;eb=B+40|0;Bb=B+48|0;Mb=B+44|0;wa=B+52|0;Xa=x+44|0;xa=C+4|0;Va=z+4|0;va=C+8|0;Ta=z+8|0;ta=C+12|0;Ra=z+12|0;I=C+16|0;Na=z+16|0;ua=C+20|0;cb=z+20|0;bb=C+24|0;Hb=z+24|0;Ya=C+28|0;Wa=z+28|0;Ua=C+32|0;Sa=z+32|0;Oa=C+36|0;Ma=z+36|0;o=C+40|0;Ia=C+48|0;Ha=C+44|0;Ga=C+52|0;Fa=z+44|0;Ea=B+44|0;Da=C+44|0;Gb=l+4|0;Ca=B+40|0;P=H|1124007936;O=675553809>>>(H<<2)&15;N=l+8|0;M=l+12|0;Kb=l+4|0;Fb=C+8|0;Lb=C+4|0;Ib=y+8|0;Eb=y+12|0;Db=r+16|0;Pb=l+4|0;Qb=l+8|0;Rb=l+12|0;Sb=l+8|0;Tb=l+12|0;Ub=l+4|0;Vb=D+8|0;Wb=D+12|0;Xb=D+4|0;Yb=E+8|0;Zb=E+4|0;_b=D+4|0;$b=D+8|0;ac=D+12|0;bc=l+4|0;cc=l+8|0;dc=l+12|0;ec=l+16|0;fc=l+20|0;gc=l+24|0;hc=l+28|0;ic=l+32|0;jc=l+36|0;kc=l+44|0;lc=l+40|0;mc=l+48|0;nc=l+8|0;oc=l+4|0;pc=l+8|0;qc=l+12|0;rc=l+4|0;sc=D+8|0;tc=D+12|0;uc=D+4|0;vc=E+8|0;wc=E+4|0;xc=D+4|0;yc=D+8|0;zc=D+12|0;Ac=D+16|0;Bc=D+20|0;Cc=D+24|0;Dc=D+28|0;Ec=D+40|0;Fc=D+48|0;Gc=D+44|0;Hc=D+52|0;Ic=l+8|0;Jc=l+4|0;Kc=D+36|0;Lc=D+32|0;Mc=C+36|0;Nc=C+16|0;Oc=C+4|0;Pc=C+40|0;Qc=C+44|0;Rc=C+48|0;Sc=l+4|0;Tc=D+4|0;Uc=D+8|0;Vc=D+12|0;Wc=D+16|0;Xc=D+20|0;Yc=D+24|0;Zc=D+28|0;_c=D+40|0;$c=D+48|0;ad=D+44|0;bd=D+52|0;cd=l+8|0;dd=l+4|0;ed=D+36|0;fd=D+32|0;gd=l+8|0;hd=l+12|0;id=l+4|0;jd=D+8|0;kd=D+4|0;ld=l+8|0;md=l+12|0;nd=l+4|0;od=C+8|0;pd=C+4|0;qd=l+8|0;rd=l+4|0;sd=A+36|0;td=A+16|0;ud=A+4|0;vd=A+40|0;wd=A+44|0;xd=A+48|0;yd=z+40|0;zd=z+48|0;Ad=y+36|0;Bd=y+16|0;Cd=y+4|0;Dd=y+40|0;Ed=y+44|0;Fd=y+48|0;Gd=x+40|0;Hd=x+48|0;Id=B+52|0;Jd=B+52|0;Kd=0;c:while(1){Ld=Y((Kd|0)%(Cb|0)|0,ha)|0;Md=Y((Kd|0)/(Cb|0)|0,$)|0;Nd=(f[W>>2]|0)-Ld|0;Od=(Nd|0)<(ha|0)?Nd:ha;Nd=(f[ka>>2]|0)-Md|0;Pd=(Nd|0)<($|0)?Nd:$;Qd=(f[K>>2]|0)+-1+Od|0;Rd=(f[J>>2]|0)+-1+Pd|0;Sd=Ld-(f[h>>2]|0)+(f[v>>2]|0)|0;Td=Md-(f[c>>2]|0)+(f[Z>>2]|0)|0;Ud=(Sd|0)>0?Sd:0;Vd=(Td|0)>0?Td:0;Wd=Sd+Qd|0;Xd=f[sb>>2]|0;Yd=(Wd|0)<(Xd|0)?Wd:Xd;Xd=Td+Rd|0;Wd=f[ya>>2]|0;Zd=(Xd|0)<(Wd|0)?Xd:Wd;f[l>>2]=Vd;f[aa>>2]=Zd;f[y>>2]=Ud;f[_>>2]=Yd;bU(x,w,l,y);f[l>>2]=0;f[xb>>2]=0;f[db>>2]=Qd;f[Ka>>2]=Rd;eU(y,r,l);Wd=Ud-Sd|0;Sd=Vd-Td|0;Td=Yd-Ud|0;Ud=Zd-Vd|0;f[l>>2]=Wd;f[tb>>2]=Sd;f[Qa>>2]=Td;f[_a>>2]=Ud;eU(z,r,l);f[l>>2]=Ld;f[qb>>2]=Md;f[pb>>2]=Od;f[nb>>2]=Pd;eU(A,d,l);Md=(Y(Ud,Td)|0)!=0;Ld=Y(Td,O)|0;Vd=Y(Ld,Ud)|0;Zd=0-Ld|0;Yd=(Td|0)<(Qd|0)|(Ud|0)<(Rd|0);Qd=($|0)<=(Nd|0);Nd=(Y(Pd,Od)|0)!=0;Xd=0;while(1){f[B>>2]=f[x>>2];_d=f[mb>>2]|0;f[ob>>2]=_d;f[lb>>2]=f[kb>>2];f[jb>>2]=f[ib>>2];f[Ab>>2]=f[zb>>2];f[gb>>2]=f[Nb>>2];f[ab>>2]=f[Pa>>2];f[Za>>2]=f[Ja>>2];f[La>>2]=f[$a>>2];$d=f[hb>>2]|0;f[fb>>2]=$d;f[eb>>2]=lb;f[Mb>>2]=Bb;f[Bb>>2]=0;f[wa>>2]=0;if(!$d)ae=_d;else{_d=$d+12|0;f[_d>>2]=(f[_d>>2]|0)+1;ae=f[mb>>2]|0}if((ae|0)<3){_d=f[Xa>>2]|0;$d=f[Mb>>2]|0;f[$d>>2]=f[_d>>2];f[$d+4>>2]=f[_d+4>>2]}else{f[ob>>2]=0;$T(B,x)};f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;f[l+16>>2]=0;f[l+20>>2]=0;f[l+24>>2]=0;f[l+28>>2]=0;GI(r,l)|0;if(ja){do if(g){f[C>>2]=f[z>>2];_d=f[Va>>2]|0;f[xa>>2]=_d;f[va>>2]=f[Ta>>2];f[ta>>2]=f[Ra>>2];f[I>>2]=f[Na>>2];f[ua>>2]=f[cb>>2];f[bb>>2]=f[Hb>>2];f[Ya>>2]=f[Wa>>2];f[Ua>>2]=f[Sa>>2];$d=f[Ma>>2]|0;f[Oa>>2]=$d;f[o>>2]=va;f[Ha>>2]=Ia;f[Ia>>2]=0;f[Ga>>2]=0;if(!$d)be=_d;else{_d=$d+12|0;f[_d>>2]=(f[_d>>2]|0)+1;be=f[Va>>2]|0}if((be|0)<3){_d=f[Fa>>2]|0;$d=f[Ha>>2]|0;f[$d>>2]=f[_d>>2];f[$d+4>>2]=f[_d+4>>2];break}else{f[xa>>2]=0;$T(C,z);break}}else{_d=f[m>>2]|0;f[C>>2]=P;f[xa>>2]=2;f[va>>2]=Ud;f[ta>>2]=Td;f[I>>2]=_d;f[ua>>2]=_d;f[bb>>2]=0;f[bb+4>>2]=0;f[bb+8>>2]=0;f[bb+12>>2]=0;f[o>>2]=va;f[Ha>>2]=Ia;f[Ga>>2]=0;f[Ia>>2]=0;if(Md&(_d|0)==0){Jb=136;break c}f[Ia>>2]=Ld;f[Ga>>2]=O;$d=_d+Vd|0;f[Ya>>2]=$d;f[bb>>2]=$d+Zd+Ld;YT(C)}while(0);$d=f[fb>>2]|0;do if($d|0){_d=$d+12|0;ce=f[_d>>2]|0;f[_d>>2]=ce+-1;if((ce|0)!=1)break;aU(B)}while(0);f[fb>>2]=0;f[Ab>>2]=0;f[Ab+4>>2]=0;f[Ab+8>>2]=0;f[Ab+12>>2]=0;if((f[ob>>2]|0)>0){$d=f[eb>>2]|0;ce=0;do{f[$d+(ce<<2)>>2]=0;ce=ce+1|0}while((ce|0)<(f[ob>>2]|0))}f[B>>2]=f[C>>2];ce=f[xa>>2]|0;f[ob>>2]=ce;f[lb>>2]=f[va>>2];f[jb>>2]=f[ta>>2];f[Ab>>2]=f[I>>2];f[gb>>2]=f[ua>>2];f[ab>>2]=f[bb>>2];f[Za>>2]=f[Ya>>2];f[La>>2]=f[Ua>>2];f[fb>>2]=f[Oa>>2];$d=f[Ea>>2]|0;if(($d|0)==(Bb|0))de=ce;else{TC($d);f[Ea>>2]=Bb;f[eb>>2]=lb;de=f[xa>>2]|0}if((de|0)<3){$d=f[Da>>2]|0;f[Bb>>2]=f[$d>>2];f[Id>>2]=f[$d+4>>2];ee=$d}else{f[Ea>>2]=f[Da>>2];f[Ca>>2]=f[o>>2];f[Da>>2]=Ia;f[o>>2]=va;ee=Ia}f[C>>2]=1124007936;f[xa>>2]=0;f[xa+4>>2]=0;f[xa+8>>2]=0;f[xa+12>>2]=0;f[xa+16>>2]=0;f[xa+20>>2]=0;f[xa+24>>2]=0;f[xa+28>>2]=0;f[Oa>>2]=0;f[I>>2]=0;f[I+4>>2]=0;f[I+8>>2]=0;f[I+12>>2]=0;if((ee|0)!=(Ia|0))TC(ee);f[l>>2]=Xd;f[Gb>>2]=0;jV(x,1,B,1,l,1)}if((f[Na>>2]|0)!=(f[Ab>>2]|0)){$d=qd;f[$d>>2]=0;f[$d+4>>2]=0;f[l>>2]=33619968;f[rd>>2]=z;kQ(B,l,f[z>>2]&7,1.0,0.0)}if(Yd){f[N>>2]=0;f[M>>2]=0;f[l>>2]=16842752;f[Kb>>2]=z;$d=Fb;f[$d>>2]=0;f[$d+4>>2]=0;f[C>>2]=33619968;f[Lb>>2]=y;$d=f[Ib>>2]|0;ce=f[Ta>>2]|0;_d=f[Eb>>2]|0;fe=f[Ra>>2]|0;f[D>>2]=0;f[D+4>>2]=0;f[D+8>>2]=0;f[D+12>>2]=0;f[D+16>>2]=0;f[D+20>>2]=0;f[D+24>>2]=0;f[D+28>>2]=0;MI(l,C,Sd,$d-Sd-ce|0,Wd,_d-Wd-fe|0,e,D)}if(Qd){fe=f[Db>>2]|0;_d=f[qa>>2]|0;th[f[f[X>>2]>>2]&255](X,fe,_d,fe,_d)}else{f[ld>>2]=0;f[md>>2]=0;f[l>>2]=16842752;f[nd>>2]=r;_d=od;f[_d>>2]=0;f[_d+4>>2]=0;f[C>>2]=33619968;f[pd>>2]=r;dV(l,C,0,Rd)}_d=Y(Xd,la)|0;f[l>>2]=0;f[Pb>>2]=ca?_d:0;f[Qb>>2]=ia;f[Rb>>2]=la;eU(C,q,l);f[Sb>>2]=0;f[Tb>>2]=0;f[l>>2]=16842752;f[Ub>>2]=r;f[Vb>>2]=0;f[Wb>>2]=0;f[D>>2]=16842752;f[Xb>>2]=C;_d=Yb;f[_d>>2]=0;f[_d+4>>2]=0;f[E>>2]=33619968;f[Zb>>2]=r;eV(l,D,E,0,1);if(Qd){_d=f[Db>>2]|0;fe=f[qa>>2]|0;th[f[f[j>>2]>>2]&255](j,_d,fe,_d,fe)}else{f[gd>>2]=0;f[hd>>2]=0;f[l>>2]=16842752;f[id>>2]=r;fe=jd;f[fe>>2]=0;f[fe+4>>2]=0;f[D>>2]=33619968;f[kd>>2]=r;dV(l,D,3,Pd)}f[D>>2]=0;f[_b>>2]=0;f[$b>>2]=Od;f[ac>>2]=Pd;eU(l,r,D);fe=f[fb>>2]|0;do if(fe|0){_d=fe+12|0;ce=f[_d>>2]|0;f[_d>>2]=ce+-1;if((ce|0)!=1)break;aU(B)}while(0);f[fb>>2]=0;f[Ab>>2]=0;f[Ab+4>>2]=0;f[Ab+8>>2]=0;f[Ab+12>>2]=0;if((f[ob>>2]|0)>0){fe=f[eb>>2]|0;ce=0;do{f[fe+(ce<<2)>>2]=0;ce=ce+1|0}while((ce|0)<(f[ob>>2]|0))}f[B>>2]=f[l>>2];ce=f[bc>>2]|0;f[ob>>2]=ce;f[lb>>2]=f[cc>>2];f[jb>>2]=f[dc>>2];f[Ab>>2]=f[ec>>2];f[gb>>2]=f[fc>>2];f[ab>>2]=f[gc>>2];f[Za>>2]=f[hc>>2];f[La>>2]=f[ic>>2];f[fb>>2]=f[jc>>2];fe=f[Ea>>2]|0;if((fe|0)==(Bb|0))ge=ce;else{TC(fe);f[Ea>>2]=Bb;f[eb>>2]=lb;ge=f[bc>>2]|0}if((ge|0)<3){fe=f[kc>>2]|0;f[Bb>>2]=f[fe>>2];f[Jd>>2]=f[fe+4>>2];he=fe}else{f[Ea>>2]=f[kc>>2];f[Ca>>2]=f[lc>>2];f[kc>>2]=mc;f[lc>>2]=cc;he=mc}f[l>>2]=1124007936;f[bc>>2]=0;f[bc+4>>2]=0;f[bc+8>>2]=0;f[bc+12>>2]=0;f[bc+16>>2]=0;f[bc+20>>2]=0;f[bc+24>>2]=0;f[bc+28>>2]=0;f[jc>>2]=0;f[ec>>2]=0;f[ec+4>>2]=0;f[ec+8>>2]=0;f[ec+12>>2]=0;if((he|0)!=(mc|0))TC(he);do if(na){if(!Xd){fe=nc;f[fe>>2]=0;f[fe+4>>2]=0;f[l>>2]=33619968;f[oc>>2]=A;kQ(B,l,f[p>>2]|0,1.0,i);break}fe=f[p>>2]|0;if((oa|0)!=(fe|0)){ce=f[m>>2]|0;f[D>>2]=fe&4095|1124007936;f[xc>>2]=2;f[yc>>2]=Pd;f[zc>>2]=Od;f[Ac>>2]=ce;f[Bc>>2]=ce;f[Cc>>2]=0;f[Cc+4>>2]=0;f[Cc+8>>2]=0;f[Cc+12>>2]=0;f[Ec>>2]=yc;f[Gc>>2]=Fc;f[Hc>>2]=0;f[Fc>>2]=0;if(Nd&(ce|0)==0){Jb=206;break c}_d=Y(675553809>>>(fe<<2&28)&15,(fe>>>3&511)+1|0)|0;$d=Y(_d,Od)|0;f[Fc>>2]=$d;f[Hc>>2]=_d;_d=ce+(Y($d,Pd)|0)|0;f[Dc>>2]=_d;f[Cc>>2]=_d+(0-$d)+$d;YT(D);$d=Ic;f[$d>>2]=0;f[$d+4>>2]=0;f[l>>2]=33619968;f[Jc>>2]=D;kQ(B,l,fe,1.0,0.0);fe=f[Kc>>2]|0;if(fe|0){$d=fe+12|0;f[$d>>2]=(f[$d>>2]|0)+1}$d=f[fb>>2]|0;do if($d|0){fe=$d+12|0;_d=f[fe>>2]|0;f[fe>>2]=_d+-1;if((_d|0)!=1)break;aU(B)}while(0);f[fb>>2]=0;f[Ab>>2]=0;f[Ab+4>>2]=0;f[Ab+8>>2]=0;f[Ab+12>>2]=0;if((f[ob>>2]|0)>0){$d=f[eb>>2]|0;_d=0;do{f[$d+(_d<<2)>>2]=0;_d=_d+1|0;ie=f[ob>>2]|0}while((_d|0)<(ie|0));f[B>>2]=f[D>>2];if((ie|0)<3)Jb=217;else Jb=219}else{f[B>>2]=f[D>>2];Jb=217}do if((Jb|0)==217){Jb=0;_d=f[xc>>2]|0;if((_d|0)>=3){Jb=219;break}f[ob>>2]=_d;f[lb>>2]=f[yc>>2];f[jb>>2]=f[zc>>2];_d=f[Gc>>2]|0;$d=f[Mb>>2]|0;f[$d>>2]=f[_d>>2];f[$d+4>>2]=f[_d+4>>2]}while(0);if((Jb|0)==219){Jb=0;$T(B,D)}f[Ab>>2]=f[Ac>>2];f[gb>>2]=f[Bc>>2];f[ab>>2]=f[Cc>>2];f[Za>>2]=f[Dc>>2];f[La>>2]=f[Lc>>2];_d=f[Kc>>2]|0;f[fb>>2]=_d;do if(_d|0){$d=_d+12|0;fe=f[$d>>2]|0;f[$d>>2]=fe+-1;if((fe|0)!=1)break;aU(D)}while(0);f[Kc>>2]=0;f[Ac>>2]=0;f[Ac+4>>2]=0;f[Ac+8>>2]=0;f[Ac+12>>2]=0;if((f[xc>>2]|0)>0){_d=f[Ec>>2]|0;fe=0;do{f[_d+(fe<<2)>>2]=0;fe=fe+1|0}while((fe|0)<(f[xc>>2]|0))}fe=f[Gc>>2]|0;if((fe|0)!=(Fc|0))TC(fe)}f[pc>>2]=0;f[qc>>2]=0;f[l>>2]=16842752;f[rc>>2]=B;f[sc>>2]=0;f[tc>>2]=0;f[D>>2]=16842752;f[uc>>2]=A;fe=vc;f[fe>>2]=0;f[fe+4>>2]=0;f[E>>2]=33619968;f[wc>>2]=A;rW(l,D,E,sK()|0,-1)}else{fe=f[p>>2]|0;if((fe|0)!=(oa|0)){_d=f[m>>2]|0;f[D>>2]=fe&4095|1124007936;f[Tc>>2]=2;f[Uc>>2]=Pd;f[Vc>>2]=Od;f[Wc>>2]=_d;f[Xc>>2]=_d;f[Yc>>2]=0;f[Yc+4>>2]=0;f[Yc+8>>2]=0;f[Yc+12>>2]=0;f[_c>>2]=Uc;f[ad>>2]=$c;f[bd>>2]=0;f[$c>>2]=0;if(Nd&(_d|0)==0){Jb=178;break c}$d=Y(675553809>>>(fe<<2&28)&15,(fe>>>3&511)+1|0)|0;ce=Y($d,Od)|0;f[$c>>2]=ce;f[bd>>2]=$d;$d=_d+(Y(ce,Pd)|0)|0;f[Zc>>2]=$d;f[Yc>>2]=$d+(0-ce)+ce;YT(D);ce=cd;f[ce>>2]=0;f[ce+4>>2]=0;f[l>>2]=33619968;f[dd>>2]=D;kQ(B,l,fe,1.0,i);fe=f[ed>>2]|0;if(fe|0){ce=fe+12|0;f[ce>>2]=(f[ce>>2]|0)+1}ce=f[fb>>2]|0;do if(ce|0){fe=ce+12|0;$d=f[fe>>2]|0;f[fe>>2]=$d+-1;if(($d|0)!=1)break;aU(B)}while(0);f[fb>>2]=0;f[Ab>>2]=0;f[Ab+4>>2]=0;f[Ab+8>>2]=0;f[Ab+12>>2]=0;if((f[ob>>2]|0)>0){ce=f[eb>>2]|0;$d=0;do{f[ce+($d<<2)>>2]=0;$d=$d+1|0;je=f[ob>>2]|0}while(($d|0)<(je|0));f[B>>2]=f[D>>2];if((je|0)<3)Jb=189;else Jb=191}else{f[B>>2]=f[D>>2];Jb=189}do if((Jb|0)==189){Jb=0;$d=f[Tc>>2]|0;if(($d|0)>=3){Jb=191;break}f[ob>>2]=$d;f[lb>>2]=f[Uc>>2];f[jb>>2]=f[Vc>>2];$d=f[ad>>2]|0;ce=f[Mb>>2]|0;f[ce>>2]=f[$d>>2];f[ce+4>>2]=f[$d+4>>2]}while(0);if((Jb|0)==191){Jb=0;$T(B,D)}f[Ab>>2]=f[Wc>>2];f[gb>>2]=f[Xc>>2];f[ab>>2]=f[Yc>>2];f[Za>>2]=f[Zc>>2];f[La>>2]=f[fd>>2];$d=f[ed>>2]|0;f[fb>>2]=$d;do if($d|0){ce=$d+12|0;fe=f[ce>>2]|0;f[ce>>2]=fe+-1;if((fe|0)!=1)break;aU(D)}while(0);f[ed>>2]=0;f[Wc>>2]=0;f[Wc+4>>2]=0;f[Wc+8>>2]=0;f[Wc+12>>2]=0;if((f[Tc>>2]|0)>0){$d=f[_c>>2]|0;fe=0;do{f[$d+(fe<<2)>>2]=0;fe=fe+1|0}while((fe|0)<(f[Tc>>2]|0))}fe=f[ad>>2]|0;if((fe|0)!=($c|0))TC(fe)}f[l>>2]=0;f[Sc>>2]=Xd;jV(B,1,A,1,l,1)}while(0);fe=f[Mc>>2]|0;do if(fe|0){$d=fe+12|0;ce=f[$d>>2]|0;f[$d>>2]=ce+-1;if((ce|0)!=1)break;aU(C)}while(0);f[Mc>>2]=0;f[Nc>>2]=0;f[Nc+4>>2]=0;f[Nc+8>>2]=0;f[Nc+12>>2]=0;if((f[Oc>>2]|0)>0){fe=f[Pc>>2]|0;ce=0;do{f[fe+(ce<<2)>>2]=0;ce=ce+1|0}while((ce|0)<(f[Oc>>2]|0))}ce=f[Qc>>2]|0;if((ce|0)!=(Rc|0))TC(ce);ce=f[fb>>2]|0;do if(ce|0){fe=ce+12|0;$d=f[fe>>2]|0;f[fe>>2]=$d+-1;if(($d|0)!=1)break;aU(B)}while(0);f[fb>>2]=0;f[Ab>>2]=0;f[Ab+4>>2]=0;f[Ab+8>>2]=0;f[Ab+12>>2]=0;if((f[ob>>2]|0)>0){ce=f[eb>>2]|0;$d=0;do{f[ce+($d<<2)>>2]=0;$d=$d+1|0}while(($d|0)<(f[ob>>2]|0))}$d=f[Mb>>2]|0;if(($d|0)!=(Bb|0))TC($d);if((Xd|0)<(V|0))Xd=Xd+1|0;else break}Xd=f[sd>>2]|0;do if(Xd|0){Pd=Xd+12|0;Od=f[Pd>>2]|0;f[Pd>>2]=Od+-1;if((Od|0)!=1)break;aU(A)}while(0);f[sd>>2]=0;f[td>>2]=0;f[td+4>>2]=0;f[td+8>>2]=0;f[td+12>>2]=0;if((f[ud>>2]|0)>0){Xd=f[vd>>2]|0;Od=0;do{f[Xd+(Od<<2)>>2]=0;Od=Od+1|0}while((Od|0)<(f[ud>>2]|0))}Od=f[wd>>2]|0;if((Od|0)!=(xd|0))TC(Od);Od=f[Ma>>2]|0;do if(Od|0){Xd=Od+12|0;Pd=f[Xd>>2]|0;f[Xd>>2]=Pd+-1;if((Pd|0)!=1)break;aU(z)}while(0);f[Ma>>2]=0;f[Na>>2]=0;f[Na+4>>2]=0;f[Na+8>>2]=0;f[Na+12>>2]=0;if((f[Va>>2]|0)>0){Od=f[yd>>2]|0;Pd=0;do{f[Od+(Pd<<2)>>2]=0;Pd=Pd+1|0}while((Pd|0)<(f[Va>>2]|0))}Pd=f[Fa>>2]|0;if((Pd|0)!=(zd|0))TC(Pd);Pd=f[Ad>>2]|0;do if(Pd|0){Od=Pd+12|0;Xd=f[Od>>2]|0;f[Od>>2]=Xd+-1;if((Xd|0)!=1)break;aU(y)}while(0);f[Ad>>2]=0;f[Bd>>2]=0;f[Bd+4>>2]=0;f[Bd+8>>2]=0;f[Bd+12>>2]=0;if((f[Cd>>2]|0)>0){Pd=f[Dd>>2]|0;Xd=0;do{f[Pd+(Xd<<2)>>2]=0;Xd=Xd+1|0}while((Xd|0)<(f[Cd>>2]|0))}Xd=f[Ed>>2]|0;if((Xd|0)!=(Fd|0))TC(Xd);Xd=f[hb>>2]|0;do if(Xd|0){Pd=Xd+12|0;Od=f[Pd>>2]|0;f[Pd>>2]=Od+-1;if((Od|0)!=1)break;aU(x)}while(0);f[hb>>2]=0;f[zb>>2]=0;f[zb+4>>2]=0;f[zb+8>>2]=0;f[zb+12>>2]=0;if((f[mb>>2]|0)>0){Xd=f[Gd>>2]|0;Od=0;do{f[Xd+(Od<<2)>>2]=0;Od=Od+1|0}while((Od|0)<(f[mb>>2]|0))}Od=f[Xa>>2]|0;if((Od|0)!=(Hd|0))TC(Od);Kd=Kd+1|0;if((Kd|0)>=(Aa|0))break b}if((Jb|0)==136){Kd=cuc(32)|0;f[l>>2]=Kd;f[l+8>>2]=-2147483616;f[l+4>>2]=28;ea=Kd;fa=466324;ga=ea+28|0;do{b[ea>>0]=b[fa>>0]|0;ea=ea+1|0;fa=fa+1|0}while((ea|0)<(ga|0));b[Kd+28>>0]=0;WD(-215,l,466353,466357,548)}else if((Jb|0)==178){Hd=cuc(32)|0;f[l>>2]=Hd;f[l+8>>2]=-2147483616;f[l+4>>2]=28;ea=Hd;fa=466324;ga=ea+28|0;do{b[ea>>0]=b[fa>>0]|0;ea=ea+1|0;fa=fa+1|0}while((ea|0)<(ga|0));b[Hd+28>>0]=0;WD(-215,l,466353,466357,577)}else if((Jb|0)==206){Kd=cuc(32)|0;f[l>>2]=Kd;f[l+8>>2]=-2147483616;f[l+4>>2]=28;ea=Kd;fa=466324;ga=ea+28|0;do{b[ea>>0]=b[fa>>0]|0;ea=ea+1|0;fa=fa+1|0}while((ea|0)<(ga|0));b[Kd+28>>0]=0;WD(-215,l,466353,466357,577)}}while(0);if(!Ba)Xtc(a);if(!t)Xtc(Ob);Ob=f[wb>>2]|0;do if(Ob|0){t=Ob+12|0;a=f[t>>2]|0;f[t>>2]=a+-1;if((a|0)!=1)break;aU(w)}while(0);f[wb>>2]=0;f[yb>>2]=0;f[yb+4>>2]=0;f[yb+8>>2]=0;f[yb+12>>2]=0;if((f[za>>2]|0)>0){yb=f[rb>>2]|0;rb=0;do{f[yb+(rb<<2)>>2]=0;rb=rb+1|0}while((rb|0)<(f[za>>2]|0))}za=f[ub>>2]|0;if((za|0)!=(vb|0))TC(za);za=f[s+4>>2]|0;if(za|0)Xtc(za);za=r+36|0;s=f[za>>2]|0;do if(s|0){vb=s+12|0;ub=f[vb>>2]|0;f[vb>>2]=ub+-1;if((ub|0)!=1)break;aU(r)}while(0);f[za>>2]=0;za=r+16|0;f[za>>2]=0;f[za+4>>2]=0;f[za+8>>2]=0;f[za+12>>2]=0;if((f[pa>>2]|0)>0){za=f[ra>>2]|0;ra=0;do{f[za+(ra<<2)>>2]=0;ra=ra+1|0}while((ra|0)<(f[pa>>2]|0))}pa=f[sa>>2]|0;if((pa|0)!=(qa|0))TC(pa);pa=q+36|0;qa=f[pa>>2]|0;do if(qa|0){sa=qa+12|0;ra=f[sa>>2]|0;f[sa>>2]=ra+-1;if((ra|0)!=1)break;aU(q)}while(0);f[pa>>2]=0;pa=q+16|0;f[pa>>2]=0;f[pa+4>>2]=0;f[pa+8>>2]=0;f[pa+12>>2]=0;if((f[R>>2]|0)>0){pa=f[ba>>2]|0;ba=0;do{f[pa+(ba<<2)>>2]=0;ba=ba+1|0}while((ba|0)<(f[R>>2]|0))}R=f[da>>2]|0;if((R|0)!=(ma|0))TC(R);R=f[Q>>2]|0;do if(R|0){ma=R+12|0;da=f[ma>>2]|0;f[ma>>2]=da+-1;if((da|0)!=1)break;aU(n)}while(0);f[Q>>2]=0;f[L>>2]=0;f[L+4>>2]=0;f[L+8>>2]=0;f[L+12>>2]=0;if((f[G>>2]|0)>0){L=f[S>>2]|0;S=0;do{f[L+(S<<2)>>2]=0;S=S+1|0}while((S|0)<(f[G>>2]|0))}G=f[U>>2]|0;if((G|0)!=(T|0))TC(G);G=f[m>>2]|0;if(!G){u=k;return}if((f[F>>2]|0)!=(G|0))f[F>>2]=G;fuc(G);u=k;return}function y2(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0.0,Ja=0.0,Ka=0.0,La=0.0,Ma=0.0,Na=0.0,Oa=0.0,Pa=0.0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0.0,Va=0.0,Wa=0.0,Xa=0.0,Ya=0.0,Za=0.0,_a=0.0,$a=0,ab=0,bb=0,cb=0;h=u;u=u+2128|0;i=h+1360|0;j=h+2072|0;k=h+1328|0;l=h+1272|0;m=h+1216|0;o=h+2016|0;q=h+1960|0;r=h+1880|0;s=h+1824|0;t=h+992|0;v=h+1768|0;w=h+768|0;x=h+1712|0;y=h+544|0;z=h+512|0;A=h+480|0;B=h+256|0;C=h+32|0;D=h+1656|0;E=h+1648|0;F=h+1640|0;G=h+1632|0;H=h+1624|0;I=h;J=h+1616|0;K=h+1608|0;N=h+1600|0;O=h+1592|0;P=h+1584|0;Q=h+1952|0;R=h+1944|0;S=h+1936|0;gV(P,51100);if(EJ(g)|0){T=pJ(a,-1)|0;U=(T>>>3&511)+1|0;if(e>>>0>=6){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;V=cuc(64)|0;f[i>>2]=V;f[i+8>>2]=-2147483584;f[i+4>>2]=55;W=V;X=241738;Z=W+55|0;do{b[W>>0]=b[X>>0]|0;W=W+1|0;X=X+1|0}while((W|0)<(Z|0));b[V+55>>0]=0;WD(-215,i,241893,241483,1101)}switch(T&7){case 0:case 5:break;default:{f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;_=cuc(96)|0;f[i>>2]=_;$=i+8|0;f[$>>2]=-2147483552;aa=i+4|0;f[aa>>2]=80;W=_;X=241812;Z=W+80|0;do{b[W>>0]=b[X>>0]|0;W=W+1|0;X=X+1|0}while((W|0)<(Z|0));ba=_+80|0;b[ba>>0]=0;WD(-215,i,241893,241483,1102)}}if((T|0)!=(pJ(c,-1)|0)){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;_=cuc(96)|0;f[i>>2]=_;$=i+8|0;f[$>>2]=-2147483552;aa=i+4|0;f[aa>>2]=80;W=_;X=241812;Z=W+80|0;do{b[W>>0]=b[X>>0]|0;W=W+1|0;X=X+1|0}while((W|0)<(Z|0));ba=_+80|0;b[ba>>0]=0;WD(-215,i,241893,241483,1102)}if((AJ(a,-1)|0)>=3){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;_=cuc(96)|0;f[i>>2]=_;$=i+8|0;f[$>>2]=-2147483552;aa=i+4|0;f[aa>>2]=80;W=_;X=241812;Z=W+80|0;do{b[W>>0]=b[X>>0]|0;W=W+1|0;X=X+1|0}while((W|0)<(Z|0));ba=_+80|0;b[ba>>0]=0;WD(-215,i,241893,241483,1102)}oJ(i,a,-1);ba=f[i+4>>2]|0;oJ(j,c,-1);if((ba|0)>=(f[j+4>>2]|0)?(oJ(k,a,-1),ba=f[k>>2]|0,oJ(l,c,-1),(ba|0)>=(f[l>>2]|0)):0)ca=0;else da=138;do if((da|0)==138){oJ(i,a,-1);ba=f[i+4>>2]|0;oJ(j,c,-1);if((ba|0)>(f[j+4>>2]|0)){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;ea=cuc(96)|0;f[i>>2]=ea;fa=i+8|0;f[fa>>2]=-2147483552;ga=i+4|0;f[ga>>2]=86;W=ea;X=241907;Z=W+86|0;do{b[W>>0]=b[X>>0]|0;W=W+1|0;X=X+1|0}while((W|0)<(Z|0));ha=ea+86|0;b[ha>>0]=0;WD(-215,i,241893,241483,1107)}else{oJ(k,a,-1);ba=f[k>>2]|0;oJ(l,c,-1);if((ba|0)<=(f[l>>2]|0)){ca=1;break};f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;ea=cuc(96)|0;f[i>>2]=ea;fa=i+8|0;f[fa>>2]=-2147483552;ga=i+4|0;f[ga>>2]=86;W=ea;X=241907;Z=W+86|0;do{b[W>>0]=b[X>>0]|0;W=W+1|0;X=X+1|0}while((W|0)<(Z|0));ha=ea+86|0;b[ha>>0]=0;WD(-215,i,241893,241483,1107)}}while(0);do if((qJ(a)|0)==65536){ha=f[a+4>>2]|0;f[r>>2]=f[ha>>2];ea=r+4|0;ga=ha+4|0;f[ea>>2]=f[ga>>2];fa=r+8|0;f[fa>>2]=f[ha+8>>2];f[r+12>>2]=f[ha+12>>2];f[r+16>>2]=f[ha+16>>2];f[r+20>>2]=f[ha+20>>2];f[r+24>>2]=f[ha+24>>2];f[r+28>>2]=f[ha+28>>2];f[r+32>>2]=f[ha+32>>2];ba=f[ha+36>>2]|0;f[r+36>>2]=ba;f[r+40>>2]=fa;fa=r+48|0;_=r+44|0;f[_>>2]=fa;f[fa>>2]=0;f[r+52>>2]=0;if(ba|0){fa=ba+12|0;f[fa>>2]=(f[fa>>2]|0)+1}if((f[ga>>2]|0)<3){ga=f[ha+44>>2]|0;fa=f[_>>2]|0;f[fa>>2]=f[ga>>2];f[fa+4>>2]=f[ga+4>>2];break}else{f[ea>>2]=0;$T(r,ha);break}}else nJ(r,a,-1);while(0);do if((qJ(c)|0)==65536){ha=f[c+4>>2]|0;f[s>>2]=f[ha>>2];ea=s+4|0;ga=ha+4|0;f[ea>>2]=f[ga>>2];fa=s+8|0;f[fa>>2]=f[ha+8>>2];f[s+12>>2]=f[ha+12>>2];f[s+16>>2]=f[ha+16>>2];f[s+20>>2]=f[ha+20>>2];f[s+24>>2]=f[ha+24>>2];f[s+28>>2]=f[ha+28>>2];f[s+32>>2]=f[ha+32>>2];_=f[ha+36>>2]|0;f[s+36>>2]=_;f[s+40>>2]=fa;fa=s+48|0;ba=s+44|0;f[ba>>2]=fa;f[fa>>2]=0;f[s+52>>2]=0;if(_|0){fa=_+12|0;f[fa>>2]=(f[fa>>2]|0)+1}if((f[ga>>2]|0)<3){ga=f[ha+44>>2]|0;fa=f[ba>>2]|0;f[fa>>2]=f[ga>>2];f[fa+4>>2]=f[ga+4>>2];break}else{f[ea>>2]=0;$T(s,ha);break}}else nJ(s,c,-1);while(0);if(ca){f[i>>2]=f[r>>2];ca=i+4|0;ha=r+4|0;ea=f[ha>>2]|0;f[ca>>2]=ea;ga=i+8|0;fa=r+8|0;f[ga>>2]=f[fa>>2];ba=i+12|0;_=r+12|0;f[ba>>2]=f[_>>2];aa=i+16|0;$=r+16|0;f[aa>>2]=f[$>>2];T=i+20|0;V=r+20|0;f[T>>2]=f[V>>2];ia=i+24|0;ja=r+24|0;f[ia>>2]=f[ja>>2];ka=i+28|0;la=r+28|0;f[ka>>2]=f[la>>2];ma=i+32|0;na=r+32|0;f[ma>>2]=f[na>>2];oa=i+36|0;pa=r+36|0;f[oa>>2]=f[pa>>2];qa=i+40|0;f[qa>>2]=ga;ra=i+44|0;sa=i+48|0;f[ra>>2]=sa;ta=i+52|0;f[ta>>2]=0;f[sa>>2]=0;ua=r+44|0;if((ea|0)<3){ea=f[ua>>2]|0;f[sa>>2]=f[ea>>2];f[ta>>2]=f[ea+4>>2];va=ea}else{f[ra>>2]=f[ua>>2];ea=r+40|0;f[qa>>2]=f[ea>>2];qa=r+48|0;f[ua>>2]=qa;f[ea>>2]=fa;va=qa}qa=s+4|0;ea=f[qa>>2]|0;ta=s+8|0;wa=f[ta>>2]|0;xa=s+12|0;ya=f[xa>>2]|0;f[r>>2]=f[s>>2];f[ha>>2]=ea;f[fa>>2]=wa;f[_>>2]=ya;ya=s+16|0;f[$>>2]=f[ya>>2];$=s+20|0;f[V>>2]=f[$>>2];V=s+24|0;f[ja>>2]=f[V>>2];ja=s+28|0;f[la>>2]=f[ja>>2];la=s+32|0;f[na>>2]=f[la>>2];na=s+36|0;f[pa>>2]=f[na>>2];pa=r+48|0;if((va|0)!=(pa|0)){TC(va);f[ua>>2]=pa;f[r+40>>2]=fa}va=s+44|0;if((f[qa>>2]|0)<3){wa=f[va>>2]|0;f[pa>>2]=f[wa>>2];f[r+52>>2]=f[wa+4>>2];za=wa}else{f[ua>>2]=f[va>>2];ua=s+40|0;f[r+40>>2]=f[ua>>2];wa=s+48|0;f[va>>2]=wa;f[ua>>2]=ta;za=wa}wa=f[ca>>2]|0;ua=f[ga>>2]|0;pa=f[ba>>2]|0;f[s>>2]=f[i>>2];f[qa>>2]=wa;f[ta>>2]=ua;f[xa>>2]=pa;f[ya>>2]=f[aa>>2];f[$>>2]=f[T>>2];f[V>>2]=f[ia>>2];f[ja>>2]=f[ka>>2];f[la>>2]=f[ma>>2];f[na>>2]=f[oa>>2];oa=s+48|0;if((za|0)==(oa|0))Aa=wa;else{TC(za);f[va>>2]=oa;f[s+40>>2]=ta;Aa=f[ca>>2]|0}if((Aa|0)<3){Aa=f[ra>>2]|0;f[oa>>2]=f[Aa>>2];f[s+52>>2]=f[Aa+4>>2];f[i>>2]=1124007936;W=ca;Z=W+36|0;do{f[W>>2]=0;W=W+4|0}while((W|0)<(Z|0));if((Aa|0)!=(sa|0))TC(Aa)}else{f[va>>2]=f[ra>>2];va=i+40|0;f[s+40>>2]=f[va>>2];f[ra>>2]=sa;f[va>>2]=ga;f[i>>2]=1124007936;W=ca;Z=W+36|0;do{f[W>>2]=0;W=W+4|0}while((W|0)<(Z|0))}Ba=_;Ca=xa;Da=fa;Ea=ta}else{Ba=r+12|0;Ca=s+12|0;Da=r+8|0;Ea=s+8|0}ta=(f[Da>>2]|0)+1-(f[Ea>>2]|0)|0;f[Q>>2]=(f[Ba>>2]|0)+1-(f[Ca>>2]|0);f[Q+4>>2]=ta;IJ(d,Q,5,-1,0,0);do if((qJ(d)|0)==65536){Q=f[d+4>>2]|0;f[t>>2]=f[Q>>2];ta=t+4|0;Ba=Q+4|0;f[ta>>2]=f[Ba>>2];Da=t+8|0;f[Da>>2]=f[Q+8>>2];f[t+12>>2]=f[Q+12>>2];f[t+16>>2]=f[Q+16>>2];f[t+20>>2]=f[Q+20>>2];f[t+24>>2]=f[Q+24>>2];f[t+28>>2]=f[Q+28>>2];f[t+32>>2]=f[Q+32>>2];fa=f[Q+36>>2]|0;f[t+36>>2]=fa;xa=t+40|0;f[xa>>2]=Da;Da=t+48|0;_=t+44|0;f[_>>2]=Da;f[Da>>2]=0;f[t+52>>2]=0;if(fa|0){Da=fa+12|0;f[Da>>2]=(f[Da>>2]|0)+1}if((f[Ba>>2]|0)<3){Ba=f[Q+44>>2]|0;Da=f[_>>2]|0;f[Da>>2]=f[Ba>>2];f[Da+4>>2]=f[Ba+4>>2];Fa=xa;Ga=t;break}else{f[ta>>2]=0;$T(t,Q);Fa=xa;Ga=t;break}}else{nJ(t,d,-1);Fa=t+40|0;Ga=t}while(0);xa=f[Fa>>2]|0;Q=f[xa>>2]|0;f[R>>2]=f[xa+4>>2];f[R+4>>2]=Q;Q=f[Ga>>2]&4095;f[S>>2]=0;f[S+4>>2]=0;x2(r,s,t,R,Q,S,0.0,0);switch(e|0){case 2:break;case 3:{Ha=0;da=182;break}default:{Ha=(e|1|0)==5?1:2;da=182}}if((da|0)==182){S=(e|0)==5;Ia=1.0/(+(f[Ea>>2]|0)*+(f[Ca>>2]|0));f[i>>2]=1124007936;Q=i+4|0;R=i+8|0;Ga=i+40|0;W=Q;Z=W+36|0;do{f[W>>2]=0;W=W+4|0}while((W|0)<(Z|0));f[Ga>>2]=R;R=i+48|0;xa=i+44|0;f[xa>>2]=R;f[R>>2]=0;f[i+52>>2]=0;f[j>>2]=1124007936;ta=j+4|0;Ba=j+8|0;Da=j+40|0;W=ta;Z=W+36|0;do{f[W>>2]=0;W=W+4|0}while((W|0)<(Z|0));f[Da>>2]=Ba;Ba=j+48|0;_=j+44|0;f[_>>2]=Ba;f[Ba>>2]=0;f[j+52>>2]=0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;f[k+16>>2]=0;f[k+20>>2]=0;f[k+24>>2]=0;f[k+28>>2]=0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;f[l+16>>2]=0;f[l+20>>2]=0;f[l+24>>2]=0;f[l+28>>2]=0;do if((e|0)!=4){f[m+8>>2]=0;f[m+12>>2]=0;f[m>>2]=16842752;f[m+4>>2]=r;fa=o+8|0;f[fa>>2]=0;f[fa+4>>2]=0;f[o>>2]=33619968;f[o+4>>2]=i;fa=q+8|0;f[fa>>2]=0;f[fa+4>>2]=0;f[q>>2]=33619968;f[q+4>>2]=j;Jaa(m,o,q,6,-1);f[m+8>>2]=0;f[m+12>>2]=0;f[m>>2]=16842752;f[m+4>>2]=s;f[o>>2]=-1040056314;f[o+4>>2]=k;f[o+8>>2]=1;f[o+12>>2]=4;f[q>>2]=-1040056314;f[q+4>>2]=l;f[q+8>>2]=1;f[q+12>>2]=4;KC(m,o,q,sK()|0);Ja=+p[l>>3];Ka=+p[l+8>>3];La=+p[l+16>>3];Ma=+p[l+24>>3];Na=Ja*Ja+Ka*Ka+La*La+Ma*Ma;if(S&Na<2.220446049250313e-16){p[m>>3]=1.0;p[m+8>>3]=1.0;p[m+16>>3]=1.0;p[m+24>>3]=1.0;GI(t,m)|0;break}Ma=+p[k>>3];La=+p[k+8>>3];Ka=+p[k+16>>3];Ja=+p[k+24>>3];Oa=Na+Ma*Ma+La*La+Ka*Ka+Ja*Ja;if((Ha|0)==1)Pa=Na;else{f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;f[k+16>>2]=0;f[k+20>>2]=0;f[k+24>>2]=0;f[k+28>>2]=0;Pa=Oa}fa=f[j+16>>2]|0;if(!fa){f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;ca=cuc(32)|0;f[m>>2]=ca;f[m+8>>2]=-2147483616;f[m+4>>2]=18;W=ca;X=241994;Z=W+18|0;do{b[W>>0]=b[X>>0]|0;W=W+1|0;X=X+1|0}while((W|0)<(Z|0));b[ca+18>>0]=0;WD(-215,m,242013,241483,892)}else{Na=+M(+Pa)/+M(+Ia);ga=Y(f[Ca>>2]|0,U)|0;va=fa+(Y(f[Ba>>2]|0,f[Ea>>2]|0)|0)|0;Qa=fa;Ra=fa+(ga<<3)|0;Sa=va;Ta=va+(ga<<3)|0;Ua=Oa/Ia;Va=Na;da=191;break}}else{f[m+8>>2]=0;f[m+12>>2]=0;f[m>>2]=16842752;f[m+4>>2]=r;ga=o+8|0;f[ga>>2]=0;f[ga+4>>2]=0;f[o>>2]=33619968;f[o+4>>2]=i;Iaa(m,o,6);f[o+8>>2]=0;f[o+12>>2]=0;f[o>>2]=16842752;f[o+4>>2]=s;JC(m,o,sK()|0);p[k>>3]=+p[m>>3];p[k+8>>3]=+p[m+8>>3];p[k+16>>3]=+p[m+16>>3];p[k+24>>3]=+p[m+24>>3];Qa=0;Ra=0;Sa=0;Ta=0;Ua=0.0;Va=0.0;da=191}while(0);if((da|0)==191){da=f[i+16>>2]|0;if(!da){f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;S=cuc(32)|0;f[m>>2]=S;f[m+8>>2]=-2147483616;f[m+4>>2]=16;W=S;X=242034;Z=W+16|0;do{b[W>>0]=b[X>>0]|0;W=W+1|0;X=X+1|0}while((W|0)<(Z|0));b[S+16>>0]=0;WD(-215,m,242013,241483,899)}S=Y(f[Ca>>2]|0,U)|0;Ca=da+(S<<3)|0;ga=f[R>>2]|0;va=da+(Y(ga,f[Ea>>2]|0)|0)|0;Ea=va+(S<<3)|0;S=ga>>>3;ga=(f[j+16>>2]|0)==0?0:(f[Ba>>2]|0)>>>3;sa=f[t+8>>2]|0;if((sa|0)>0){ra=f[t+16>>2]|0;Aa=f[f[t+44>>2]>>2]|0;oa=f[t+12>>2]|0;za=(oa|0)>0;Pa=+((e|0)==1&1);wa=Ha&255;Ha=0;do{na=ra+(Y(Ha,Aa)|0)|0;ma=Y(Ha,ga)|0;a:do if(za)switch(wa&3){case 1:{la=ma;ka=Y(Ha,S)|0;ja=0;while(1){ia=na+(ja<<2)|0;Na=0.0;Ja=+n[ia>>2];V=0;do{T=V+ka|0;Ka=+p[da+(T<<3)>>3]-+p[Ca+(T<<3)>>3]-+p[va+(T<<3)>>3]+ +p[Ea+(T<<3)>>3];Na=Na+Ka*Ka;Ja=Ja-Ka*+p[k+(V<<3)>>3];V=V+1|0}while((V|0)!=(U|0));Ka=Ia*Na;switch(e|0){case 1:case 3:case 5:{La=0.0;V=0;while(1){T=V+la|0;Ma=La+(+p[Qa+(T<<3)>>3]-+p[Ra+(T<<3)>>3]-+p[Sa+(T<<3)>>3]+ +p[Ta+(T<<3)>>3]);V=V+1|0;if((V|0)==(U|0)){Wa=Ma;break}else La=Ma}break}default:Wa=0.0}b:do switch(e|0){case 1:case 3:case 5:{La=Wa-Ka;Na=Va*+M(+(La<0.0?0.0:La));La=+L(+Ja);if(La<Na){Xa=Ja/Na;break b}if(!(La<Na*1.125)){Xa=Pa;break b}Xa=Ja>0.0?1.0:-1.0;break}default:Xa=Ja}while(0);n[ia>>2]=Xa;ja=ja+1|0;if((ja|0)==(oa|0))break a;else{la=la+U|0;ka=ka+U|0}}break}case 2:{ka=ma;la=0;while(1){ja=na+(la<<2)|0;Ja=+n[ja>>2];Ka=0.0;V=0;do{T=V+ka|0;Ka=Ka+(+p[Qa+(T<<3)>>3]-+p[Ra+(T<<3)>>3]-+p[Sa+(T<<3)>>3]+ +p[Ta+(T<<3)>>3]);V=V+1|0}while((V|0)!=(U|0));Na=Ua+(Ka-Ja*2.0);La=Na<0.0?0.0:Na;c:do switch(e|0){case 1:case 3:case 5:{Na=Va*+M(+(Ka<0.0?0.0:Ka));Ma=+L(+La);if(Ma<Na){Ya=La/Na;break c}if(!(Ma<Na*1.125)){Ya=Pa;break c}Ya=La>0.0?1.0:-1.0;break}default:Ya=La}while(0);n[ja>>2]=Ya;la=la+1|0;if((la|0)==(oa|0))break a;else ka=ka+U|0}break}default:{ka=ma;la=0;while(1){V=na+(la<<2)|0;La=+n[V>>2];Ka=La;switch(e|0){case 1:case 3:case 5:{Ja=0.0;ia=0;while(1){T=ia+ka|0;Na=Ja+(+p[Qa+(T<<3)>>3]-+p[Ra+(T<<3)>>3]-+p[Sa+(T<<3)>>3]+ +p[Ta+(T<<3)>>3]);ia=ia+1|0;if((ia|0)==(U|0)){Za=Na;break}else Ja=Na}break}default:Za=0.0}d:do switch(e|0){case 1:case 3:case 5:{Ja=Va*+M(+(Za<0.0?0.0:Za));Na=+L(+La);if(Na<Ja){_a=Ka/Ja;break d}if(!(Na<Ja*1.125)){_a=Pa;break d}_a=La>0.0?1.0:-1.0;break}default:_a=Ka}while(0);n[V>>2]=_a;la=la+1|0;if((la|0)==(oa|0))break a;else ka=ka+U|0}}}while(0);Ha=Ha+1|0}while((Ha|0)!=(sa|0))}}sa=j+36|0;Ha=f[sa>>2]|0;if(Ha|0?(U=Ha+12|0,Ha=f[U>>2]|0,f[U>>2]=Ha+-1,(Ha|0)==1):0)aU(j);f[sa>>2]=0;sa=j+16|0;f[sa>>2]=0;f[sa+4>>2]=0;f[sa+8>>2]=0;f[sa+12>>2]=0;if((f[ta>>2]|0)>0){sa=f[Da>>2]|0;Da=0;do{f[sa+(Da<<2)>>2]=0;Da=Da+1|0}while((Da|0)<(f[ta>>2]|0))}ta=f[_>>2]|0;if((ta|0)!=(Ba|0))TC(ta);ta=i+36|0;Ba=f[ta>>2]|0;if(Ba|0?(_=Ba+12|0,Ba=f[_>>2]|0,f[_>>2]=Ba+-1,(Ba|0)==1):0)aU(i);f[ta>>2]=0;ta=i+16|0;f[ta>>2]=0;f[ta+4>>2]=0;f[ta+8>>2]=0;f[ta+12>>2]=0;if((f[Q>>2]|0)>0){ta=f[Ga>>2]|0;Ga=0;do{f[ta+(Ga<<2)>>2]=0;Ga=Ga+1|0}while((Ga|0)<(f[Q>>2]|0))}Q=f[xa>>2]|0;if((Q|0)!=(R|0))TC(Q)}Q=t+36|0;R=f[Q>>2]|0;if(R|0?(xa=R+12|0,R=f[xa>>2]|0,f[xa>>2]=R+-1,(R|0)==1):0)aU(t);f[Q>>2]=0;Q=t+16|0;R=t+4|0;f[Q>>2]=0;f[Q+4>>2]=0;f[Q+8>>2]=0;f[Q+12>>2]=0;if((f[R>>2]|0)>0){Q=f[Fa>>2]|0;Fa=0;do{f[Q+(Fa<<2)>>2]=0;Fa=Fa+1|0}while((Fa|0)<(f[R>>2]|0))}R=f[t+44>>2]|0;if((R|0)!=(t+48|0))TC(R);R=s+36|0;Fa=f[R>>2]|0;if(Fa|0?(Q=Fa+12|0,Fa=f[Q>>2]|0,f[Q>>2]=Fa+-1,(Fa|0)==1):0)aU(s);f[R>>2]=0;R=s+16|0;Fa=s+4|0;f[R>>2]=0;f[R+4>>2]=0;f[R+8>>2]=0;f[R+12>>2]=0;if((f[Fa>>2]|0)>0){R=f[s+40>>2]|0;Q=0;do{f[R+(Q<<2)>>2]=0;Q=Q+1|0}while((Q|0)<(f[Fa>>2]|0))}Fa=f[s+44>>2]|0;if((Fa|0)!=(s+48|0))TC(Fa);Fa=r+36|0;Q=f[Fa>>2]|0;if(Q|0?(R=Q+12|0,Q=f[R>>2]|0,f[R>>2]=Q+-1,(Q|0)==1):0)aU(r);f[Fa>>2]=0;Fa=r+16|0;Q=r+4|0;f[Fa>>2]=0;f[Fa+4>>2]=0;f[Fa+8>>2]=0;f[Fa+12>>2]=0;if((f[Q>>2]|0)>0){Fa=f[r+40>>2]|0;R=0;do{f[Fa+(R<<2)>>2]=0;R=R+1|0}while((R|0)<(f[Q>>2]|0))}Q=f[r+44>>2]|0;if((Q|0)!=(r+48|0))TC(Q)}else{Q=pJ(a,-1)|0;R=Q&4088;if(e>>>0>=6){Fa=cuc(64)|0;f[i>>2]=Fa;f[i+8>>2]=-2147483584;f[i+4>>2]=55;W=Fa;X=241738;Z=W+55|0;do{b[W>>0]=b[X>>0]|0;W=W+1|0;X=X+1|0}while((W|0)<(Z|0));b[Fa+55>>0]=0;WD(-215,i,241794,241483,768)}Fa=(Q&7|0)==0;switch(Q&7){case 0:case 5:break;default:{$a=cuc(96)|0;f[i>>2]=$a;ab=i+8|0;f[ab>>2]=-2147483552;bb=i+4|0;f[bb>>2]=80;W=$a;X=241812;Z=W+80|0;do{b[W>>0]=b[X>>0]|0;W=W+1|0;X=X+1|0}while((W|0)<(Z|0));cb=$a+80|0;b[cb>>0]=0;WD(-215,i,241794,241483,769)}}if((Q|0)!=(pJ(c,-1)|0)){$a=cuc(96)|0;f[i>>2]=$a;ab=i+8|0;f[ab>>2]=-2147483552;bb=i+4|0;f[bb>>2]=80;W=$a;X=241812;Z=W+80|0;do{b[W>>0]=b[X>>0]|0;W=W+1|0;X=X+1|0}while((W|0)<(Z|0));cb=$a+80|0;b[cb>>0]=0;WD(-215,i,241794,241483,769)}if((AJ(a,-1)|0)>=3){$a=cuc(96)|0;f[i>>2]=$a;ab=i+8|0;f[ab>>2]=-2147483552;bb=i+4|0;f[bb>>2]=80;W=$a;X=241812;Z=W+80|0;do{b[W>>0]=b[X>>0]|0;W=W+1|0;X=X+1|0}while((W|0)<(Z|0));cb=$a+80|0;b[cb>>0]=0;WD(-215,i,241794,241483,769)}do if((qJ(a)|0)==65536){cb=f[a+4>>2]|0;f[l>>2]=f[cb>>2];$a=l+4|0;X=cb+4|0;f[$a>>2]=f[X>>2];bb=l+8|0;f[bb>>2]=f[cb+8>>2];f[l+12>>2]=f[cb+12>>2];f[l+16>>2]=f[cb+16>>2];f[l+20>>2]=f[cb+20>>2];f[l+24>>2]=f[cb+24>>2];f[l+28>>2]=f[cb+28>>2];f[l+32>>2]=f[cb+32>>2];ab=f[cb+36>>2]|0;f[l+36>>2]=ab;f[l+40>>2]=bb;bb=l+48|0;Q=l+44|0;f[Q>>2]=bb;f[bb>>2]=0;f[l+52>>2]=0;if(ab|0){bb=ab+12|0;f[bb>>2]=(f[bb>>2]|0)+1}if((f[X>>2]|0)<3){X=f[cb+44>>2]|0;bb=f[Q>>2]|0;f[bb>>2]=f[X>>2];f[bb+4>>2]=f[X+4>>2];break}else{f[$a>>2]=0;$T(l,cb);break}}else nJ(l,a,-1);while(0);do if((qJ(c)|0)==65536){a=f[c+4>>2]|0;f[m>>2]=f[a>>2];cb=m+4|0;$a=a+4|0;f[cb>>2]=f[$a>>2];X=m+8|0;f[X>>2]=f[a+8>>2];f[m+12>>2]=f[a+12>>2];f[m+16>>2]=f[a+16>>2];f[m+20>>2]=f[a+20>>2];f[m+24>>2]=f[a+24>>2];f[m+28>>2]=f[a+28>>2];f[m+32>>2]=f[a+32>>2];bb=f[a+36>>2]|0;f[m+36>>2]=bb;f[m+40>>2]=X;X=m+48|0;Q=m+44|0;f[Q>>2]=X;f[X>>2]=0;f[m+52>>2]=0;if(bb|0){X=bb+12|0;f[X>>2]=(f[X>>2]|0)+1}if((f[$a>>2]|0)<3){$a=f[a+44>>2]|0;X=f[Q>>2]|0;f[X>>2]=f[$a>>2];f[X+4>>2]=f[$a+4>>2];break}else{f[cb>>2]=0;$T(m,a);break}}else nJ(m,c,-1);while(0);do if((qJ(g)|0)==65536){c=f[g+4>>2]|0;f[o>>2]=f[c>>2];a=o+4|0;cb=c+4|0;f[a>>2]=f[cb>>2];$a=o+8|0;f[$a>>2]=f[c+8>>2];f[o+12>>2]=f[c+12>>2];f[o+16>>2]=f[c+16>>2];f[o+20>>2]=f[c+20>>2];f[o+24>>2]=f[c+24>>2];f[o+28>>2]=f[c+28>>2];f[o+32>>2]=f[c+32>>2];X=f[c+36>>2]|0;f[o+36>>2]=X;f[o+40>>2]=$a;$a=o+48|0;Q=o+44|0;f[Q>>2]=$a;f[$a>>2]=0;f[o+52>>2]=0;if(X|0){$a=X+12|0;f[$a>>2]=(f[$a>>2]|0)+1}if((f[cb>>2]|0)<3){cb=f[c+44>>2]|0;$a=f[Q>>2]|0;f[$a>>2]=f[cb>>2];f[$a+4>>2]=f[cb+4>>2];break}else{f[a>>2]=0;$T(o,c);break}}else nJ(o,g,-1);while(0);g=f[m>>2]|0;c=f[l>>2]&4088;if(Fa){a=i+8|0;f[a>>2]=0;f[a+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=l;kQ(l,i,R|5,.00392156862745098,0.0)}if(!(g&7)){R=i+8|0;f[R>>2]=0;f[R+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=m;kQ(m,i,g&4088|5,.00392156862745098,0.0)}if(Fa){f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=o;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;f[k+16>>2]=0;f[k+20>>2]=0;f[k+24>>2]=0;f[k+28>>2]=0;f[j>>2]=-1056833530;f[j+4>>2]=k;f[j+8>>2]=1;f[j+12>>2]=4;Fa=q+8|0;f[Fa>>2]=0;f[Fa+4>>2]=0;f[q>>2]=33619968;f[q+4>>2]=o;PX(i,j,q,5);Fa=i+8|0;f[Fa>>2]=0;f[Fa+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=o;kQ(o,i,c|5,.00392156862745098,0.0)}c=m+12|0;Fa=(f[l+12>>2]|0)-(f[c>>2]|0)+1|0;g=m+8|0;R=(f[l+8>>2]|0)-(f[g>>2]|0)+1|0;f[r>>2]=Fa;f[r+4>>2]=R;IJ(d,r,5,-1,0,0);do if((qJ(d)|0)==65536){r=f[d+4>>2]|0;f[q>>2]=f[r>>2];a=q+4|0;cb=r+4|0;f[a>>2]=f[cb>>2];$a=q+8|0;f[$a>>2]=f[r+8>>2];f[q+12>>2]=f[r+12>>2];f[q+16>>2]=f[r+16>>2];f[q+20>>2]=f[r+20>>2];f[q+24>>2]=f[r+24>>2];f[q+28>>2]=f[r+28>>2];f[q+32>>2]=f[r+32>>2];Q=f[r+36>>2]|0;f[q+36>>2]=Q;f[q+40>>2]=$a;$a=q+48|0;X=q+44|0;f[X>>2]=$a;f[$a>>2]=0;f[q+52>>2]=0;if(Q|0){$a=Q+12|0;f[$a>>2]=(f[$a>>2]|0)+1}if((f[cb>>2]|0)<3){cb=f[r+44>>2]|0;$a=f[X>>2]|0;f[$a>>2]=f[cb>>2];f[$a+4>>2]=f[cb+4>>2];break}else{f[a>>2]=0;$T(q,r);break}}else nJ(q,d,-1);while(0);f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=l;vT(t,l,i,1.0);f[s>>2]=1124007936;d=s+4|0;r=s+8|0;a=s+40|0;W=d;Z=W+36|0;do{f[W>>2]=0;W=W+4|0}while((W|0)<(Z|0));f[a>>2]=r;r=s+48|0;cb=s+44|0;f[cb>>2]=r;f[r>>2]=0;f[s+52>>2]=0;$a=f[t>>2]|0;sh[f[(f[$a>>2]|0)+12>>2]&255]($a,t,s,-1);Xi(t);f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=o;vT(w,o,i,1.0);f[v>>2]=1124007936;t=v+4|0;$a=v+8|0;X=v+40|0;W=t;Z=W+36|0;do{f[W>>2]=0;W=W+4|0}while((W|0)<(Z|0));f[X>>2]=$a;$a=v+48|0;Q=v+44|0;f[Q>>2]=$a;f[$a>>2]=0;f[v+52>>2]=0;bb=f[w>>2]|0;sh[f[(f[bb>>2]|0)+12>>2]&255](bb,w,v,-1);Xi(w);f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=o;vT(y,m,i,1.0);f[x>>2]=1124007936;w=x+4|0;bb=x+8|0;ab=x+40|0;W=w;Z=W+36|0;do{f[W>>2]=0;W=W+4|0}while((W|0)<(Z|0));f[ab>>2]=bb;bb=x+48|0;xa=x+44|0;f[xa>>2]=bb;f[bb>>2]=0;f[x+52>>2]=0;Ga=f[y>>2]|0;sh[f[(f[Ga>>2]|0)+12>>2]&255](Ga,y,x,-1);Xi(y);f[z>>2]=0;f[z+4>>2]=0;f[z+8>>2]=0;f[z+12>>2]=0;f[z+16>>2]=0;f[z+20>>2]=0;f[z+24>>2]=0;f[z+28>>2]=0;f[A>>2]=0;f[A+4>>2]=0;f[A+8>>2]=0;f[A+12>>2]=0;f[A+16>>2]=0;f[A+20>>2]=0;f[A+24>>2]=0;f[A+28>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=x;f[j>>2]=-1040056314;f[j+4>>2]=z;f[j+8>>2]=1;f[j+12>>2]=4;f[k>>2]=-1040056314;f[k+4>>2]=A;f[k+8>>2]=1;f[k+12>>2]=4;KC(i,j,k,sK()|0);_a=+p[A>>3];Pa=+p[A+8>>3];Za=+p[A+16>>3];Va=+p[A+24>>3];Ya=+p[z>>3];Ua=+p[z+8>>3];Xa=+p[z+16>>3];Wa=+p[z+24>>3];Ia=(_a*_a+Pa*Pa+Za*Za+Va*Va+(Ya*Ya+Ua*Ua+Xa*Xa+Wa*Wa))*(+(f[g>>2]|0)*+(f[c>>2]|0));e:do switch(e|0){case 0:{f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=v;vT(C,m,i,1.0);f[B>>2]=1124007936;c=B+4|0;g=B+8|0;z=B+40|0;W=c;Z=W+36|0;do{f[W>>2]=0;W=W+4|0}while((W|0)<(Z|0));f[z>>2]=g;A=B+48|0;y=B+44|0;f[y>>2]=A;f[A>>2]=0;f[B+52>>2]=0;Ga=f[C>>2]|0;sh[f[(f[Ga>>2]|0)+12>>2]&255](Ga,C,B,-1);Xi(C);f[D>>2]=1124007936;Ga=D+4|0;ta=D+8|0;Ba=D+40|0;W=Ga;Z=W+36|0;do{f[W>>2]=0;W=W+4|0}while((W|0)<(Z|0));f[Ba>>2]=ta;g=D+48|0;_=D+44|0;f[_>>2]=g;f[g>>2]=0;f[D+52>>2]=0;f[i>>2]=R;f[i+4>>2]=Fa;ZT(D,2,i,5);Da=f[Ba>>2]|0;sa=f[Da>>2]|0;f[E>>2]=f[Da+4>>2];f[E+4>>2]=sa;sa=f[D>>2]&4095;f[F>>2]=0;f[F+4>>2]=0;x2(l,B,D,E,sa,F,0.0,0);sa=f[q+40>>2]|0;Da=f[sa>>2]|0;f[G>>2]=f[sa+4>>2];f[G+4>>2]=Da;Da=f[q>>2]&4095;f[H>>2]=0;f[H+4>>2]=0;x2(s,o,q,G,Da,H,0.0,0);jT(i,D,2.0);Da=f[i>>2]|0;Zh[f[(f[Da>>2]|0)+28>>2]&511](Da,i,q);Xi(i);p[I>>3]=Ia;Da=I+8|0;f[Da>>2]=0;f[Da+4>>2]=0;f[Da+8>>2]=0;f[Da+12>>2]=0;f[Da+16>>2]=0;f[Da+20>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=q;f[j>>2]=-1056833530;f[j+4>>2]=I;f[j+8>>2]=1;f[j+12>>2]=4;Da=k+8|0;f[Da>>2]=0;f[Da+4>>2]=0;f[k>>2]=33619968;f[k+4>>2]=q;rW(i,j,k,sK()|0,-1);Da=D+36|0;sa=f[Da>>2]|0;if(sa|0?(Ha=sa+12|0,sa=f[Ha>>2]|0,f[Ha>>2]=sa+-1,(sa|0)==1):0)aU(D);f[Da>>2]=0;Da=D+16|0;f[Da>>2]=0;f[Da+4>>2]=0;f[Da+8>>2]=0;f[Da+12>>2]=0;if((f[Ga>>2]|0)>0){Da=f[Ba>>2]|0;sa=0;do{f[Da+(sa<<2)>>2]=0;sa=sa+1|0}while((sa|0)<(f[Ga>>2]|0))}Ga=f[_>>2]|0;if((Ga|0)!=(g|0))TC(Ga);Ga=B+36|0;sa=f[Ga>>2]|0;if(sa|0?(Da=sa+12|0,sa=f[Da>>2]|0,f[Da>>2]=sa+-1,(sa|0)==1):0)aU(B);f[Ga>>2]=0;Ga=B+16|0;f[Ga>>2]=0;f[Ga+4>>2]=0;f[Ga+8>>2]=0;f[Ga+12>>2]=0;if((f[c>>2]|0)>0){Ga=f[z>>2]|0;sa=0;do{f[Ga+(sa<<2)>>2]=0;sa=sa+1|0}while((sa|0)<(f[c>>2]|0))}c=f[y>>2]|0;if((c|0)!=(A|0))TC(c);break}case 3:{if(Ia<2.220446049250313e-16){p[i>>3]=1.0;p[i+8>>3]=1.0;p[i+16>>3]=1.0;p[i+24>>3]=1.0;GI(q,i)|0;break e}f[j>>2]=1124007936;c=j+4|0;sa=j+8|0;Ga=j+40|0;W=c;Z=W+36|0;do{f[W>>2]=0;W=W+4|0}while((W|0)<(Z|0));f[Ga>>2]=sa;A=j+48|0;y=j+44|0;f[y>>2]=A;f[A>>2]=0;f[j+52>>2]=0;f[i>>2]=R;f[i+4>>2]=Fa;ZT(j,2,i,5);z=f[Ga>>2]|0;g=f[z>>2]|0;f[J>>2]=f[z+4>>2];f[J+4>>2]=g;g=f[j>>2]&4095;f[K>>2]=0;f[K+4>>2]=0;x2(s,v,j,J,g,K,0.0,0);g=f[q+40>>2]|0;z=f[g>>2]|0;f[N>>2]=f[g+4>>2];f[N+4>>2]=z;z=f[q>>2]&4095;f[O>>2]=0;f[O+4>>2]=0;x2(l,x,q,N,z,O,0.0,0);f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=j;z=k+8|0;f[z>>2]=0;f[z+4>>2]=0;f[k>>2]=33619968;f[k+4>>2]=j;tD(i,k);mT(B,1.0,j);f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=-1056571392;f[k+4>>2]=B;vT(i,q,k,1.0);z=f[i>>2]|0;sh[f[(f[z>>2]|0)+12>>2]&255](z,i,q,-1);Xi(i);Xi(B);Wa=+M(+Ia);z=i+8|0;f[z>>2]=0;f[z+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=q;kQ(q,i,-1,1.0/Wa,0.0);z=j+36|0;g=f[z>>2]|0;if(g|0?(_=g+12|0,g=f[_>>2]|0,f[_>>2]=g+-1,(g|0)==1):0)aU(j);f[z>>2]=0;z=j+16|0;f[z>>2]=0;f[z+4>>2]=0;f[z+8>>2]=0;f[z+12>>2]=0;if((f[c>>2]|0)>0){z=f[Ga>>2]|0;g=0;do{f[z+(g<<2)>>2]=0;g=g+1|0}while((g|0)<(f[c>>2]|0))}c=f[y>>2]|0;if((c|0)!=(A|0))TC(c);break}default:{f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;WD(-213,i,241794,241483,841)}}while(0);i=x+36|0;j=f[i>>2]|0;if(j|0?(B=j+12|0,j=f[B>>2]|0,f[B>>2]=j+-1,(j|0)==1):0)aU(x);f[i>>2]=0;i=x+16|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;if((f[w>>2]|0)>0){i=f[ab>>2]|0;ab=0;do{f[i+(ab<<2)>>2]=0;ab=ab+1|0}while((ab|0)<(f[w>>2]|0))}w=f[xa>>2]|0;if((w|0)!=(bb|0))TC(w);w=v+36|0;bb=f[w>>2]|0;if(bb|0?(xa=bb+12|0,bb=f[xa>>2]|0,f[xa>>2]=bb+-1,(bb|0)==1):0)aU(v);f[w>>2]=0;w=v+16|0;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;f[w+12>>2]=0;if((f[t>>2]|0)>0){w=f[X>>2]|0;X=0;do{f[w+(X<<2)>>2]=0;X=X+1|0}while((X|0)<(f[t>>2]|0))}t=f[Q>>2]|0;if((t|0)!=($a|0))TC(t);t=s+36|0;$a=f[t>>2]|0;do if($a|0){Q=$a+12|0;X=f[Q>>2]|0;f[Q>>2]=X+-1;if((X|0)!=1)break;aU(s)}while(0);f[t>>2]=0;t=s+16|0;f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;f[t+12>>2]=0;if((f[d>>2]|0)>0){t=f[a>>2]|0;a=0;do{f[t+(a<<2)>>2]=0;a=a+1|0}while((a|0)<(f[d>>2]|0))}d=f[cb>>2]|0;if((d|0)!=(r|0))TC(d);d=q+36|0;r=f[d>>2]|0;do if(r|0){cb=r+12|0;a=f[cb>>2]|0;f[cb>>2]=a+-1;if((a|0)!=1)break;aU(q)}while(0);f[d>>2]=0;d=q+16|0;r=q+4|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[r>>2]|0)>0){d=f[q+40>>2]|0;a=0;do{f[d+(a<<2)>>2]=0;a=a+1|0}while((a|0)<(f[r>>2]|0))}r=f[q+44>>2]|0;if((r|0)!=(q+48|0))TC(r);r=o+36|0;q=f[r>>2]|0;do if(q|0){a=q+12|0;d=f[a>>2]|0;f[a>>2]=d+-1;if((d|0)!=1)break;aU(o)}while(0);f[r>>2]=0;r=o+16|0;q=o+4|0;f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;f[r+12>>2]=0;if((f[q>>2]|0)>0){r=f[o+40>>2]|0;d=0;do{f[r+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[q>>2]|0))}q=f[o+44>>2]|0;if((q|0)!=(o+48|0))TC(q);q=m+36|0;o=f[q>>2]|0;do if(o|0){d=o+12|0;r=f[d>>2]|0;f[d>>2]=r+-1;if((r|0)!=1)break;aU(m)}while(0);f[q>>2]=0;q=m+16|0;o=m+4|0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;f[q+12>>2]=0;if((f[o>>2]|0)>0){q=f[m+40>>2]|0;r=0;do{f[q+(r<<2)>>2]=0;r=r+1|0}while((r|0)<(f[o>>2]|0))}o=f[m+44>>2]|0;if((o|0)!=(m+48|0))TC(o);o=l+36|0;m=f[o>>2]|0;do if(m|0){r=m+12|0;q=f[r>>2]|0;f[r>>2]=q+-1;if((q|0)!=1)break;aU(l)}while(0);f[o>>2]=0;o=l+16|0;m=l+4|0;f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;f[o+12>>2]=0;if((f[m>>2]|0)>0){o=f[l+40>>2]|0;q=0;do{f[o+(q<<2)>>2]=0;q=q+1|0}while((q|0)<(f[m>>2]|0))}m=f[l+44>>2]|0;if((m|0)!=(l+48|0))TC(m)}if(!(f[P+4>>2]|0)){u=h;return}u=h;return}function z2(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0.0,H=0.0,I=0,J=0.0,K=0.0,L=0.0,N=0,O=0,P=0.0,Q=0,R=0,S=0,T=0,V=0.0,W=0.0,X=0.0,Y=0.0,Z=0.0,_=0,$=0,aa=0,ba=0,ca=0,da=0.0,ea=0.0,fa=0.0,ga=0,ha=0.0,ia=0.0,ja=0.0,ka=0,la=0.0;d=u;u=u+1168|0;e=d+96|0;g=d+80|0;h=d+64|0;i=d+56|0;j=d;gV(i,51120);f[j>>2]=1124007936;k=j+4|0;l=j+8|0;m=j+40|0;o=k;p=o+36|0;do{f[o>>2]=0;o=o+4|0}while((o|0)<(p|0));f[m>>2]=l;q=j+48|0;r=j+44|0;f[r>>2]=q;f[q>>2]=0;f[j+52>>2]=0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;f[a+16>>2]=0;t=e+8|0;f[t>>2]=0;f[t+4>>2]=0;f[e>>2]=33619968;f[e+4>>2]=j;Tma(c,e,1,1);if((f[j>>2]&7|0)!=5){f[e>>2]=1124007936;c=e+4|0;t=e+8|0;v=e+40|0;o=c;p=o+36|0;do{f[o>>2]=0;o=o+4|0}while((o|0)<(p|0));f[v>>2]=t;w=e+48|0;x=e+44|0;f[x>>2]=w;f[w>>2]=0;f[e+52>>2]=0;y=g+8|0;f[y>>2]=0;f[y+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=e;kQ(j,g,5,1.0,0.0);y=e+36|0;z=f[y>>2]|0;if(z|0){A=z+12|0;f[A>>2]=(f[A>>2]|0)+1}A=j+36|0;z=f[A>>2]|0;if(z|0?(B=z+12|0,z=f[B>>2]|0,f[B>>2]=z+-1,(z|0)==1):0)aU(j);f[A>>2]=0;z=j+16|0;f[z>>2]=0;f[z+4>>2]=0;f[z+8>>2]=0;f[z+12>>2]=0;if((f[k>>2]|0)>0){B=f[m>>2]|0;C=0;do{f[B+(C<<2)>>2]=0;C=C+1|0;D=f[k>>2]|0}while((C|0)<(D|0));f[j>>2]=f[e>>2];if((D|0)<3)E=12;else E=14}else{f[j>>2]=f[e>>2];E=12}if((E|0)==12){D=f[c>>2]|0;if((D|0)<3){f[k>>2]=D;f[l>>2]=f[t>>2];f[j+12>>2]=f[e+12>>2];t=f[x>>2]|0;l=f[r>>2]|0;f[l>>2]=f[t>>2];f[l+4>>2]=f[t+4>>2]}else E=14}if((E|0)==14)$T(j,e);t=e+16|0;f[z>>2]=f[t>>2];f[j+20>>2]=f[e+20>>2];f[j+24>>2]=f[e+24>>2];f[j+28>>2]=f[e+28>>2];f[j+32>>2]=f[e+32>>2];z=f[y>>2]|0;f[A>>2]=z;if(z|0?(A=z+12|0,z=f[A>>2]|0,f[A>>2]=z+-1,(z|0)==1):0)aU(e);f[y>>2]=0;f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;f[t+12>>2]=0;if((f[c>>2]|0)>0){t=f[v>>2]|0;v=0;do{f[t+(v<<2)>>2]=0;v=v+1|0}while((v|0)<(f[c>>2]|0))}c=f[x>>2]|0;if((c|0)!=(w|0))TC(c)}c=qU(j,2,-1,1)|0;w=j+16|0;x=f[w>>2]|0;a:do if((c|0)>2){v=c*3|0;t=e+8|0;f[e>>2]=t;y=e+4|0;f[y>>2]=v;if(v>>>0>264){z=euc(v>>>0>1073741823?-1:v<<2)|0;f[e>>2]=z;F=z}else F=t;z=F+(c<<2)|0;f[g>>2]=-1;f[g+4>>2]=-1;f[g+8>>2]=-1;f[g+12>>2]=-1;v=f[x>>2]|0;A=f[x+4>>2]|0;G=(f[s>>2]=v,+n[s>>2]);H=(f[s>>2]=A,+n[s>>2]);l=0;D=0;C=0;B=0;I=0;J=G;K=G;G=H;L=H;N=v;v=A;while(1){H=(f[s>>2]=N,+n[s>>2]);A=H<J;D=A?l:D;O=H>K;B=O?l:B;P=(f[s>>2]=v,+n[s>>2]);Q=P>G;I=Q?l:I;R=P<L;C=R?l:C;S=l;l=l+1|0;T=(l|0)<(c|0)?l:0;N=f[x+(T<<3)>>2]|0;v=f[x+(T<<3)+4>>2]|0;V=(f[s>>2]=N,+n[s>>2])-H;W=V;X=(f[s>>2]=v,+n[s>>2])-P;Y=X;n[z+(S<<3)>>2]=V;n[z+(S<<3)+4>>2]=X;X=1.0/+M(+(W*W+Y*Y));n[F+(S<<2)>>2]=X;if((l|0)==(c|0))break;else{J=A?H:J;K=O?H:K;G=Q?P:G;L=R?P:L}}l=c+-1|0;L=+n[z+(l<<3)>>2];G=+n[z+(l<<3)+4>>2];l=0;while(1){K=L;L=+n[z+(l<<3)>>2];J=G;G=+n[z+(l<<3)+4>>2];Z=K*G-J*L;l=l+1|0;if(Z!=0.0)break;if((l|0)>=(c|0)){E=32;break}}if((E|0)==32){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;l=cuc(32)|0;f[h>>2]=l;f[h+8>>2]=-2147483616;f[h+4>>2]=16;o=l;v=242128;p=o+16|0;do{b[o>>0]=b[v>>0]|0;o=o+1|0;v=v+1|0}while((o|0)<(p|0));b[l+16>>0]=0;WD(-215,h,242145,242162,166)}f[g>>2]=C;v=g+4|0;f[v>>2]=B;N=g+8|0;f[N>>2]=I;R=g+12|0;f[R>>2]=D;Q=0;L=Z>0.0?1.0:-1.0;G=0.0;J=3402823466385288598117041.0e14;O=0;K=0.0;P=0.0;H=0.0;A=0;X=0.0;S=C;T=B;_=I;$=D;b:while(1){Y=(L*+n[z+(S<<3)>>2]+G*+n[z+(S<<3)+4>>2])*+n[F+(S<<2)>>2];W=(L*+n[z+(T<<3)+4>>2]-G*+n[z+(T<<3)>>2])*+n[F+(T<<2)>>2];aa=W>Y;V=aa?W:Y;Y=(-(L*+n[z+(_<<3)>>2])-G*+n[z+(_<<3)+4>>2])*+n[F+(_<<2)>>2];ba=Y>V;ca=(G*+n[z+($<<3)>>2]-L*+n[z+($<<3)+4>>2])*+n[F+($<<2)>>2]>(ba?Y:V)?3:ba?2:aa&1;aa=g+(ca<<2)|0;ba=f[aa>>2]|0;V=+n[F+(ba<<2)>>2];Y=+n[z+(ba<<3)>>2]*V;W=V*+n[z+(ba<<3)+4>>2];switch(ca&3){case 0:{da=Y;ea=W;break}case 1:{da=W;ea=-Y;break}case 2:{da=-Y;ea=-W;break}case 3:{da=-W;ea=Y;break}default:{E=38;break b}}ca=ba+1|0;f[aa>>2]=(ca|0)==(c|0)?0:ca;T=f[v>>2]|0;$=f[R>>2]|0;Y=da*(+n[x+(T<<3)>>2]-+n[x+($<<3)>>2])+ea*(+n[x+(T<<3)+4>>2]-+n[x+($<<3)+4>>2]);_=f[N>>2]|0;S=f[g>>2]|0;W=da*(+n[x+(_<<3)+4>>2]-+n[x+(S<<3)+4>>2])-ea*(+n[x+(_<<3)>>2]-+n[x+(S<<3)>>2]);V=Y*W;if(!(V<=J)){fa=J;ga=O;ha=K;ia=P;ja=H;ka=A;la=X}else{fa=V;ga=$;ha=Y;ia=ea;ja=W;ka=S;la=da}Q=Q+1|0;if((Q|0)>=(c|0))break;else{L=da;G=ea;J=fa;O=ga;K=ha;P=ia;H=ja;A=ka;X=la}}X=-ia;H=la*+n[x+(ga<<3)>>2]+ia*+n[x+(ga<<3)+4>>2];P=+n[x+(ka<<3)>>2]*X+la*+n[x+(ka<<3)+4>>2];K=1.0/(la*la-ia*X);J=ha*la;G=ia*ha;L=ja*X;W=ja*la;if((F|0)!=(t|0)){guc(F);f[e>>2]=t;f[y>>2]=264}n[a>>2]=K*(la*H-ia*P)+(J+L)*.5;n[a+4>>2]=K*(la*P-H*X)+(G+W)*.5;X=J;J=G;G=+M(+(X*X+J*J));n[a+8>>2]=G;G=L;L=W;W=+M(+(G*G+L*L));n[a+12>>2]=W;W=+U(+J,+X);n[a+16>>2]=W}else switch(c|0){case 2:{W=+n[x>>2];X=+n[x+8>>2];n[a>>2]=(W+X)*.5;J=+n[x+4>>2];L=+n[x+12>>2];n[a+4>>2]=(J+L)*.5;G=X-W;W=L-J;J=+M(+(G*G+W*W));n[a+8>>2]=J;n[a+12>>2]=0.0;J=+U(+W,+G);n[a+16>>2]=J;break a;break}case 1:{f[a>>2]=f[x>>2];f[a+4>>2]=f[x+4>>2];break a;break}default:break a}while(0);x=a+16|0;n[x>>2]=+n[x>>2]*180.0/3.141592653589793;x=j+36|0;a=f[x>>2]|0;if(a|0?(c=a+12|0,a=f[c>>2]|0,f[c>>2]=a+-1,(a|0)==1):0)aU(j);f[x>>2]=0;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;f[w+12>>2]=0;if((f[k>>2]|0)>0){w=f[m>>2]|0;m=0;do{f[w+(m<<2)>>2]=0;m=m+1|0}while((m|0)<(f[k>>2]|0))}k=f[r>>2]|0;if((k|0)!=(q|0))TC(k);if(!(f[i+4>>2]|0)){u=d;return}u=d;return}function A2(a){a=a|0;return}function B2(a){a=a|0;fuc(a);return}function C2(a){a=a|0;return}function D2(a){a=a|0;fuc(a);return}function E2(a){a=a|0;return}function F2(a){a=a|0;return}function G2(a){a=a|0;fuc(a);return}function H2(a){a=a|0;return}function I2(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=51216;b=f[a+196>>2]|0;if(b|0)Xtc(b);b=f[a+188>>2]|0;if(b|0)Xtc(b);b=f[a+180>>2]|0;if(b|0)Xtc(b);b=f[a+164>>2]|0;if(b|0){c=a+168|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+128>>2]|0;if(b|0){d=a+132|0;if((f[d>>2]|0)!=(b|0))f[d>>2]=b;fuc(b)}b=f[a+116>>2]|0;if(b|0){d=a+120|0;if((f[d>>2]|0)!=(b|0))f[d>>2]=b;fuc(b)}b=f[a+104>>2]|0;if(b|0){d=a+108|0;if((f[d>>2]|0)!=(b|0))f[d>>2]=b;fuc(b)}b=f[a+92>>2]|0;if(b|0){d=a+96|0;if((f[d>>2]|0)!=(b|0))f[d>>2]=b;fuc(b)}b=f[a+76>>2]|0;if(!b)return;d=a+80|0;a=f[d>>2]|0;if((a|0)!=(b|0))f[d>>2]=a+(~((a+-4-b|0)>>>2)<<2);fuc(b);return}function J2(a){a=a|0;I2(a);fuc(a);return}function K2(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0;g=u;u=u+16|0;h=g;i=f[c>>2]|0;j=a+36|0;f[j>>2]=i;k=f[c+4>>2]|0;c=a+40|0;f[c>>2]=k;l=f[e>>2]|0;m=f[e+4>>2]|0;e=f[d>>2]|0;n=f[d+4>>2]|0;d=a+44|0;f[d>>2]=l;o=a+48|0;f[o>>2]=m;p=a+52|0;f[p>>2]=e;q=a+56|0;f[q>>2]=n;if(((e+l|0)>(i|0)?1:(l|m|e|n|0)<0)|(n+m|0)>(k|0)){k=cuc(144)|0;f[h>>2]=k;f[h+8>>2]=-2147483504;f[h+4>>2]=143;szc(k|0,242667,143)|0;b[k+143>>0]=0;WD(-215,h,242811,242392,173)}k=a+4|0;m=f[k>>2]|0;n=Y(675553809>>>(m<<2&28)&15,(m>>>3&511)+1|0)|0;l=a+12|0;i=f[l>>2]|0;r=Y(675553809>>>(i<<2&28)&15,(i>>>3&511)+1|0)|0;i=a+116|0;s=f[i>>2]|0;t=a+120|0;v=(s|0)==(f[t>>2]|0)?0:s;s=a+16|0;w=a+20|0;x=f[w>>2]|0;y=x+3|0;z=a+28|0;A=f[z>>2]|0;B=x-A+-1|0;x=((A|0)<(B|0)?B:A)<<1|1;A=(y|0)<(x|0)?x:y;y=a+32|0;x=f[y>>2]|0;if((x|0)>=(e|0)){B=a+164|0;C=a+168|0;D=f[C>>2]|0;E=f[B>>2]|0;if((A|0)==(D-E>>2|0))F=a+176|0;else{G=C;H=C;I=B;J=B;K=E;L=D;M=7}}else{D=a+168|0;E=a+164|0;G=D;H=D;I=E;J=E;K=f[E>>2]|0;L=f[D>>2]|0;M=7}do if((M|0)==7){D=L-K>>2;E=K;B=L;if(A>>>0<=D>>>0)if(A>>>0<D>>>0?(C=E+(A<<2)|0,(B|0)!=(C|0)):0){f[G>>2]=B+(~((B+-4-C|0)>>>2)<<2);N=x;O=e;P=m}else{N=x;O=e;P=m}else{O2(J,A-D|0);N=f[y>>2]|0;O=f[p>>2]|0;P=f[k>>2]|0}D=(N|0)<(O|0)?O:N;f[y>>2]=D;C=(P>>>3&511)+1|0;B=a+104|0;E=Y(D+-1+(f[s>>2]|0)|0,n)|0;D=a+108|0;Q=f[D>>2]|0;R=f[B>>2]|0;S=Q-R|0;T=R;R=Q;if(E>>>0<=S>>>0){if(E>>>0<S>>>0?(Q=T+E|0,(R|0)!=(Q|0)):0)f[D>>2]=Q}else LJ(B,E-S|0);if(!(f[a+72>>2]|0)){if(!v){S=cuc(32)|0;f[h>>2]=S;f[h+8>>2]=-2147483616;f[h+4>>2]=16;U=S;V=242817;W=U+16|0;do{b[U>>0]=b[V>>0]|0;U=U+1|0;V=V+1|0}while((U|0)<(W|0));b[S+16>>0]=0;WD(-215,h,242811,242392,191)}E=a+128|0;Q=f[l>>2]|0;D=Y(675553809>>>(Q<<2&28)&15,(Q>>>3&511)+1|0)|0;Q=f[y>>2]|0;R=f[s>>2]|0;T=Y(D,Q+63+R|0)|0;D=a+132|0;X=f[D>>2]|0;Z=f[E>>2]|0;_=X-Z|0;$=Z;aa=X;if(T>>>0<=_>>>0)if(T>>>0<_>>>0?(X=$+T|0,(aa|0)!=(X|0)):0){f[D>>2]=X;ba=Z;ca=Q;da=R}else{ba=Z;ca=Q;da=R}else{LJ(E,T-_|0);ba=f[E>>2]|0;ca=f[y>>2]|0;da=f[s>>2]|0}E=ba+63&-64;_=Y(ca+-1+da|0,n)|0;T=a+176|0;R=f[T>>2]|0;if(!R)ea=f[B>>2]|0;else ea=E;if((_|0)>0){Q=(f[t>>2]|0)-(f[i>>2]|0)|0;Z=0;do{X=_-Z|0;Q=(X|0)<(Q|0)?X:Q;if((Q|0)>0){X=0;do{b[ea+(X+Z)>>0]=b[v+X>>0]|0;X=X+1|0}while((X|0)<(Q|0))}Z=Q+Z|0}while((_|0)>(Z|0));fa=f[T>>2]|0}else fa=R;if(!fa){Z=f[a+184>>2]|0;th[f[(f[Z>>2]|0)+8>>2]&255](Z,f[B>>2]|0,E,f[y>>2]|0,C);ga=T}else ga=T}else ga=a+176|0;if(!(f[ga>>2]|0))ha=0;else ha=(f[s>>2]|0)+-1|0;Z=Y((f[y>>2]|0)+63+ha&-64,r)|0;_=a+92|0;Q=(Y(Z,(f[H>>2]|0)-(f[I>>2]|0)>>2)|0)+64|0;Z=a+96|0;S=f[Z>>2]|0;X=f[_>>2]|0;D=S-X|0;if(Q>>>0>D>>>0){LJ(_,Q-D|0);F=ga;break}if(Q>>>0<D>>>0?(D=X+Q|0,(S|0)!=(D|0)):0){f[Z>>2]=D;F=ga}else F=ga}while(0);ga=f[p>>2]|0;I=f[F>>2]|0;H=(I|0)==0;ha=f[s>>2]|0;y=Y(ga+15+(H?0:ha+-1|0)&-16,r)|0;r=a+140|0;f[r>>2]=y;y=f[a+24>>2]|0;fa=f[d>>2]|0;d=y-fa|0;ea=(d|0)>0;i=a+60|0;f[i>>2]=ea?d:0;t=f[j>>2]|0;j=ha+-1-y+fa+ga-t|0;ga=(j|0)>0;ha=a+64|0;f[ha>>2]=ga?j:0;a:do if(ea|ga){j=a+68|0;da=f[j>>2]|0;if(!da){if(!v){ca=cuc(32)|0;f[h>>2]=ca;f[h+8>>2]=-2147483616;f[h+4>>2]=16;U=ca;V=242817;W=U+16|0;do{b[U>>0]=b[V>>0]|0;U=U+1|0;V=V+1|0}while((U|0)<(W|0));b[ca+16>>0]=0;WD(-215,h,242811,242392,225)}if(!H){T=(f[a+168>>2]|0)-(f[a+164>>2]|0)|0;if((T|0)>0)ia=T>>2;else break}else ia=1;T=a+104|0;C=a+92|0;E=0;B=I;while(1){if(!B)ja=f[T>>2]|0;else ja=((f[C>>2]|0)+63&-64)+(Y(f[r>>2]|0,E)|0)|0;szc(ja|0,v|0,Y(f[i>>2]|0,n)|0)|0;R=f[ha>>2]|0;szc(ja+(Y((f[p>>2]|0)+-1+(f[s>>2]|0)-R|0,n)|0)|0,v|0,Y(R,n)|0)|0;R=E+1|0;if((R|0)==(ia|0))break a;E=R;B=f[F>>2]|0}}B=((y|0)<(fa|0)?y:fa)-fa|0;E=f[a+88>>2]|0;C=f[a+76>>2]|0;b:do if(ea){if((E|0)>0){ka=0;la=d;ma=da}else{LI(0-d|0,t,da)|0;T=f[i>>2]|0;if((T|0)>1){na=T;oa=1}else break;while(1){LI(oa-na|0,t,f[j>>2]|0)|0;oa=oa+1|0;na=f[i>>2]|0;if((oa|0)>=(na|0))break b}}while(1){T=Y((LI(ka-la|0,t,ma)|0)+B|0,E)|0;ca=Y(ka,E)|0;R=0;do{f[C+(R+ca<<2)>>2]=R+T;R=R+1|0}while((R|0)!=(E|0));R=ka+1|0;T=f[i>>2]|0;if((R|0)>=(T|0))break b;ka=R;la=T;ma=f[j>>2]|0}}while(0);if((f[ha>>2]|0)>0){if((E|0)>0)pa=0;else{da=0;while(1){LI(da+t|0,t,f[j>>2]|0)|0;da=da+1|0;if((da|0)>=(f[ha>>2]|0))break a}}do{da=Y((LI(pa+t|0,t,f[j>>2]|0)|0)+B|0,E)|0;T=0;do{R=C+((Y((f[i>>2]|0)+pa|0,E)|0)+T<<2)|0;f[R>>2]=T+da;T=T+1|0}while((T|0)!=(E|0));pa=pa+1|0}while((pa|0)<(f[ha>>2]|0))}}while(0);f[a+160>>2]=0;f[a+156>>2]=0;ha=f[o>>2]|0;o=f[z>>2]|0;z=ha-o|0;pa=(z|0)>0?z:0;f[a+148>>2]=pa;z=a+144|0;f[z>>2]=pa;pa=ha+-1+(f[q>>2]|0)+(f[w>>2]|0)-o|0;o=f[c>>2]|0;f[a+152>>2]=(o|0)<(pa|0)?o:pa;pa=f[a+192>>2]|0;if(pa|0)bi[f[(f[pa>>2]|0)+12>>2]&2047](pa);pa=f[a+176>>2]|0;if(!pa){qa=f[z>>2]|0;u=g;return qa|0}bi[f[(f[pa>>2]|0)+12>>2]&2047](pa);qa=f[z>>2]|0;u=g;return qa|0}function L2(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0;e=u;u=u+16|0;g=e;h=f[(f[a>>2]|0)+8>>2]|0;i=f[b+40>>2]|0;b=f[i>>2]|0;f[g>>2]=f[i+4>>2];f[g+4>>2]=b;Cg[h&127](a,c,g,d)|0;u=e;return (f[a+144>>2]|0)-(f[d+4>>2]|0)|0}function M2(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0;i=u;u=u+16|0;j=i;if((f[a+36>>2]|0)<=0){k=cuc(48)|0;f[j>>2]=k;l=j+8|0;f[l>>2]=-2147483600;m=j+4|0;f[m>>2]=43;n=k;o=242557;p=n+43|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));q=k+43|0;b[q>>0]=0;WD(-215,j,242601,242392,288)}r=a+40|0;if((f[r>>2]|0)<=0){k=cuc(48)|0;f[j>>2]=k;l=j+8|0;f[l>>2]=-2147483600;m=j+4|0;f[m>>2]=43;n=k;o=242557;p=n+43|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));q=k+43|0;b[q>>0]=0;WD(-215,j,242601,242392,288)}q=f[a+76>>2]|0;k=a+4|0;m=f[k>>2]|0;l=Y(675553809>>>(m<<2&28)&15,(m>>>3&511)+1|0)|0;m=f[a+88>>2]|0;s=f[a+164>>2]|0;t=(f[a+168>>2]|0)-s>>2;v=((f[a+12>>2]|0)>>>3&511)+1|0;w=a+52|0;x=f[w>>2]|0;y=f[a+16>>2]|0;z=f[a+20>>2]|0;A=f[a+28>>2]|0;B=f[a+60>>2]|0;C=f[a+64>>2]|0;D=f[a+24>>2]|0;E=f[a+44>>2]|0;F=a+176|0;G=(f[F>>2]|0)==0;if((B|0)>0|(C|0)>0)H=(f[a+68>>2]|0)!=0;else H=0;I=c+(Y((D|0)<(E|0)?D:E,0-l|0)|0)|0;E=a+144|0;D=f[E>>2]|0;c=a+156|0;J=f[c>>2]|0;K=(f[a+152>>2]|0)-D-J|0;L=(K|0)<(e|0)?K:e;if(!((g|0)!=0&(I|0)!=0&(L|0)>0)){e=cuc(32)|0;f[j>>2]=e;f[j+8>>2]=-2147483616;f[j+4>>2]=23;n=e;o=242609;p=n+23|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));b[e+23>>0]=0;WD(-215,j,242601,242392,307)}e=t-A|0;K=a+48|0;M=t+1-z|0;N=a+148|0;O=a+92|0;P=a+140|0;Q=a+104|0;R=Y(B,l)|0;S=x+-1+y-C|0;y=Y(S-B|0,l)|0;T=(m<<2|0)==(l|0);U=Y(B,m)|0;B=(U|0)>0;V=Y(C,m)|0;W=(V|0)>0;X=Y(S,m)|0;m=(R|0)>0;Z=Y(C,l)|0;C=(Z|0)>0;_=Y(S,l)|0;l=a+184|0;S=a+56|0;$=a+160|0;aa=z+-1|0;ba=a+192|0;ca=a+72|0;da=a+128|0;a=I;I=g;g=0;ea=L;L=D;D=J;a:while(1){J=e-L-D+(f[K>>2]|0)|0;fa=(J|0)>0?J:M;J=(ea|0)<(fa|0)?ea:fa;fa=ea-J|0;ga=J+-1|0;do if((J|0)>0){ha=Y(J,d)|0;if(G){ia=a;ja=L;ka=D;la=ga;while(1){ma=((f[O>>2]|0)+63&-64)+(Y(f[P>>2]|0,(ja-(f[N>>2]|0)+ka|0)%(t|0)|0)|0)|0;na=f[Q>>2]|0;f[c>>2]=ka+1;if((ka|0)>=(t|0)){f[c>>2]=ka;f[E>>2]=ja+1}szc(na+R|0,ia|0,y|0)|0;do if(H)if(T){if(B){oa=0;do{f[na+(oa<<2)>>2]=f[ia+(f[q+(oa<<2)>>2]<<2)>>2];oa=oa+1|0}while((oa|0)!=(U|0))}if(W)pa=0;else break;do{f[na+(pa+X<<2)>>2]=f[ia+(f[q+(pa+U<<2)>>2]<<2)>>2];pa=pa+1|0}while((pa|0)!=(V|0))}else{if(m){oa=0;do{b[na+oa>>0]=b[ia+(f[q+(oa<<2)>>2]|0)>>0]|0;oa=oa+1|0}while((oa|0)!=(R|0))}if(C)qa=0;else break;do{b[na+(qa+_)>>0]=b[ia+(f[q+(qa+R<<2)>>2]|0)>>0]|0;qa=qa+1|0}while((qa|0)!=(Z|0))}while(0);oa=f[l>>2]|0;th[f[(f[oa>>2]|0)+8>>2]&255](oa,na,ma,x,((f[k>>2]|0)>>>3&511)+1|0);if((la|0)<=0)break;ia=ia+d|0;ja=f[E>>2]|0;ka=f[c>>2]|0;la=la+-1|0}ra=a+ha|0;break}else{la=a;ka=L;ja=D;ia=ga;while(1){oa=((f[O>>2]|0)+63&-64)+(Y(f[P>>2]|0,(ka-(f[N>>2]|0)+ja|0)%(t|0)|0)|0)|0;f[c>>2]=ja+1;if((ja|0)>=(t|0)){f[c>>2]=ja;f[E>>2]=ka+1}szc(oa+R|0,la|0,y|0)|0;do if(H)if(T){if(B){sa=0;do{f[oa+(sa<<2)>>2]=f[la+(f[q+(sa<<2)>>2]<<2)>>2];sa=sa+1|0}while((sa|0)!=(U|0))}if(W)ta=0;else break;do{f[oa+(ta+X<<2)>>2]=f[la+(f[q+(ta+U<<2)>>2]<<2)>>2];ta=ta+1|0}while((ta|0)!=(V|0))}else{if(m){sa=0;do{b[oa+sa>>0]=b[la+(f[q+(sa<<2)>>2]|0)>>0]|0;sa=sa+1|0}while((sa|0)!=(R|0))}if(C)ua=0;else break;do{b[oa+(ua+_)>>0]=b[la+(f[q+(ua+R<<2)>>2]|0)>>0]|0;ua=ua+1|0}while((ua|0)!=(Z|0))}while(0);if((ia|0)<=0)break;la=la+d|0;ka=f[E>>2]|0;ja=f[c>>2]|0;ia=ia+-1|0}ra=a+ha|0;break}}else ra=a;while(0);ga=f[$>>2]|0;J=aa-g+(f[S>>2]|0)-ga|0;ia=(J|0)<(t|0)?J:t;b:do if((ia|0)>0){J=g-A|0;ja=0;ka=ga;while(1){la=LI(J+ja+ka+(f[K>>2]|0)|0,f[r>>2]|0,f[ca>>2]|0)|0;if((la|0)<0)va=(f[da>>2]|0)+63&-64;else{oa=f[E>>2]|0;if((la|0)<(oa|0)){wa=46;break a}if((la|0)>=((f[c>>2]|0)+oa|0)){xa=ja;break b}va=((f[O>>2]|0)+63&-64)+(Y(f[P>>2]|0,(la-(f[N>>2]|0)|0)%(t|0)|0)|0)|0}f[s+(ja<<2)>>2]=va;la=ja+1|0;if((la|0)>=(ia|0)){xa=la;break b}ja=la;ka=f[$>>2]|0}}else xa=0;while(0);if((xa|0)<(z|0))break;ia=xa-aa|0;ga=f[F>>2]|0;if(!ga){ka=f[ba>>2]|0;ja=Y(f[w>>2]|0,v)|0;Vg[f[(f[ka>>2]|0)+8>>2]&255](ka,s,I,h,ia,ja)}else Ph[f[(f[ga>>2]|0)+8>>2]&127](ga,s,I,h,ia,f[w>>2]|0,v);ga=I+(Y(ia,h)|0)|0;a=ra;I=ga;g=ia+g|0;ea=fa;L=f[E>>2]|0;D=f[c>>2]|0}if((wa|0)==46){wa=cuc(16)|0;f[j>>2]=wa;f[j+8>>2]=-2147483632;f[j+4>>2]=14;n=wa;o=242633;p=n+14|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));b[wa+14>>0]=0;WD(-215,j,242601,242392,363)}wa=(f[$>>2]|0)+g|0;f[$>>2]=wa;if((wa|0)>(f[S>>2]|0)){S=cuc(32)|0;f[j>>2]=S;f[j+8>>2]=-2147483616;f[j+4>>2]=18;n=S;o=242648;p=n+18|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));b[S+18>>0]=0;WD(-215,j,242601,242392,380)}else{u=i;return g|0}return 0}function N2(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0;h=u;u=u+32|0;i=h+16|0;j=h;gV(i,51240);if((f[c>>2]&4095|0)==(f[a+4>>2]|0)?(f[d>>2]&4095|0)==(f[a+8>>2]|0):0){k=Cg[f[(f[a>>2]|0)+12>>2]&127](a,c,e,g)|0;g=f[c+48>>2]|0;e=(f[c+16>>2]|0)+(Y(g,k)|0)|0;Wf[f[(f[a>>2]|0)+16>>2]&127](a,e,g,(f[a+152>>2]|0)-(f[a+144>>2]|0)|0,f[d+16>>2]|0,f[d+48>>2]|0)|0;if(!(f[i+4>>2]|0)){u=h;return}u=h;return};f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;h=cuc(48)|0;f[j>>2]=h;f[j+8>>2]=-2147483600;f[j+4>>2]=46;i=h;d=242345;a=i+46|0;do{b[i>>0]=b[d>>0]|0;i=i+1|0;d=d+1|0}while((i|0)<(a|0));b[h+46>>0]=0;WD(-215,j,450262,242392,388)}function O2(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(d-g>>2>>>0>=b>>>0){h=b;i=g;do{f[i>>2]=0;i=(f[e>>2]|0)+4|0;f[e>>2]=i;h=h+-1|0}while((h|0)!=0);return}h=f[a>>2]|0;i=g-h>>2;g=i+b|0;if(g>>>0>1073741823)nsc(a);j=d-h|0;h=j>>1;d=j>>2>>>0<536870911?(h>>>0<g>>>0?g:h):1073741823;do if(d)if(d>>>0>1073741823){h=ze(8)|0;kuc(h,519086);f[h>>2]=167148;Hf(h|0,26888,1888)}else{k=cuc(d<<2)|0;break}else k=0;while(0);h=k+(i<<2)|0;i=k+(d<<2)|0;d=b;b=h;k=h;do{f[k>>2]=0;k=b+4|0;b=k;d=d+-1|0}while((d|0)!=0);d=f[a>>2]|0;k=(f[e>>2]|0)-d|0;g=h+(0-(k>>2)<<2)|0;if((k|0)>0)szc(g|0,d|0,k|0)|0;f[a>>2]=g;f[e>>2]=b;f[c>>2]=i;if(!d)return;fuc(d);return}function P2(a){a=a|0;f[a>>2]=51148;f[a+8>>2]=-1;f[a+4>>2]=-1;return}function Q2(a){a=a|0;f[a>>2]=51168;f[a+8>>2]=-1;f[a+4>>2]=-1;return}function R2(a){a=a|0;var b=0;f[a>>2]=51192;b=a+4|0;f[b>>2]=-1;f[b+4>>2]=-1;f[b+8>>2]=-1;f[b+12>>2]=-1;return}function S2(a,b,c,d,e,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;var l=0,m=0;f[a>>2]=51216;f[a+4>>2]=-1;f[a+8>>2]=-1;f[a+12>>2]=-1;l=a+16|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;f[l+16>>2]=0;f[a+36>>2]=-1;f[a+40>>2]=-1;l=a+44|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;f[l+16>>2]=0;f[l+20>>2]=0;f[a+68>>2]=1;f[a+72>>2]=1;l=a+76|0;m=l+124|0;do{f[l>>2]=0;l=l+4|0}while((l|0)<(m|0));T2(a,b,c,d,e,g,h,i,j,k);return}function T2(a,c,d,e,g,h,i,j,k,l){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;m=u;u=u+16|0;n=m;o=g&4095;p=a+4|0;f[p>>2]=o;q=Y(675553809>>>(o<<2&28)&15,(g>>>3&511)+1|0)|0;f[a+8>>2]=h&4095;h=a+12|0;f[h>>2]=i&4095;i=f[c>>2]|0;g=f[c+4>>2]|0;if(g|0)Wtc(g);f[a+176>>2]=i;i=a+180|0;c=f[i>>2]|0;f[i>>2]=g;if(c|0)Xtc(c);c=a+184|0;g=f[d>>2]|0;i=f[d+4>>2]|0;if(i|0)Wtc(i);f[c>>2]=g;g=a+188|0;d=f[g>>2]|0;f[g>>2]=i;if(d|0)Xtc(d);d=a+192|0;i=f[e>>2]|0;g=f[e+4>>2]|0;if(g|0)Wtc(g);f[d>>2]=i;i=a+196|0;e=f[i>>2]|0;f[i>>2]=g;if(e|0)Xtc(e);e=(k|0)<0?j:k;k=a+68|0;f[k>>2]=j;j=a+72|0;f[j>>2]=e;if((e|0)==3){e=cuc(32)|0;f[n>>2]=e;f[n+8>>2]=-2147483616;f[n+4>>2]=31;r=e;s=242854;t=r+31|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));b[e+31>>0]=0;WD(-215,n,242886,242392,127)}e=f[a+176>>2]|0;do if(!e){g=f[c>>2]|0;if(!g){v=cuc(32)|0;f[n>>2]=v;w=n+8|0;f[w>>2]=-2147483616;x=n+4|0;f[x>>2]=25;r=v;s=242891;t=r+25|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));y=v+25|0;b[y>>0]=0;WD(-215,n,242886,242392,131)}i=f[d>>2]|0;if(!i){v=cuc(32)|0;f[n>>2]=v;w=n+8|0;f[w>>2]=-2147483616;x=n+4|0;f[x>>2]=25;r=v;s=242891;t=r+25|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));y=v+25|0;b[y>>0]=0;WD(-215,n,242886,242392,131)}else{o=f[g+4>>2]|0;z=f[i+4>>2]|0;f[a+16>>2]=o;f[a+20>>2]=z;A=f[g+8>>2]|0;B=f[i+8>>2]|0;f[a+24>>2]=A;C=B;D=A;E=o;F=z;break}}else if((f[h>>2]|0)==(f[p>>2]|0)){z=f[e+4>>2]|0;f[a+16>>2]=z;o=f[e+8>>2]|0;f[a+20>>2]=o;A=f[e+12>>2]|0;f[a+24>>2]=A;C=f[e+16>>2]|0;D=A;E=z;F=o;break}else{o=cuc(32)|0;f[n>>2]=o;f[n+8>>2]=-2147483616;f[n+4>>2]=18;r=o;s=242917;t=r+18|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));b[o+18>>0]=0;WD(-215,n,242886,242392,137)}while(0);f[a+28>>2]=C;if(!((D|C|0)>-1&(D|0)<(E|0)&(C|0)<(F|0))){F=cuc(96)|0;f[n>>2]=F;f[n+8>>2]=-2147483552;f[n+4>>2]=83;r=F;s=242936;t=r+83|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));b[F+83>>0]=0;WD(-215,n,242886,242392,143)}n=q>>>((f[p>>2]|0)>>>1&2);f[a+88>>2]=n;F=E+-1|0;E=(F|0)>1?F:1;F=a+76|0;s=Y(E,n)|0;n=a+80|0;r=f[n>>2]|0;t=f[F>>2]|0;C=r-t>>2;D=t;t=r;if(s>>>0<=C>>>0){if(s>>>0<C>>>0?(r=D+(s<<2)|0,(t|0)!=(r|0)):0)f[n>>2]=t+(~((t+-4-r|0)>>>2)<<2)}else OJ(F,s-C|0);f[a+140>>2]=0;f[a+32>>2]=0;C=f[a+128>>2]|0;s=a+132|0;if((f[s>>2]|0)!=(C|0))f[s>>2]=C;if(f[k>>2]|0?f[j>>2]|0:0){G=a+36|0;f[G>>2]=-1;H=a+40|0;f[H>>2]=-1;u=m;return}j=a+116|0;k=Y(E,q)|0;q=a+120|0;C=f[q>>2]|0;s=f[j>>2]|0;F=C-s|0;r=s;s=C;if(k>>>0<=F>>>0)if(k>>>0<F>>>0?(C=r+k|0,(s|0)!=(C|0)):0){f[q>>2]=C;I=r}else I=r;else{LJ(j,k-F|0);I=f[j>>2]|0}j=f[p>>2]|0;p=j>>>3&511;F=p+1|0;e_(l,I,(F>>>0>4?24:p<<3)|j&7,Y(F,E)|0);G=a+36|0;f[G>>2]=-1;H=a+40|0;f[H>>2]=-1;u=m;return}function U2(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0.0,v=0.0,w=0.0,x=0,y=0.0,z=0;d=u;u=u+128|0;e=d+72|0;g=d+16|0;h=d;do if((qJ(a)|0)==65536){i=f[a+4>>2]|0;f[e>>2]=f[i>>2];j=e+4|0;k=i+4|0;f[j>>2]=f[k>>2];l=e+8|0;f[l>>2]=f[i+8>>2];f[e+12>>2]=f[i+12>>2];f[e+16>>2]=f[i+16>>2];f[e+20>>2]=f[i+20>>2];f[e+24>>2]=f[i+24>>2];f[e+28>>2]=f[i+28>>2];f[e+32>>2]=f[i+32>>2];m=f[i+36>>2]|0;f[e+36>>2]=m;f[e+40>>2]=l;l=e+48|0;n=e+44|0;f[n>>2]=l;f[l>>2]=0;f[e+52>>2]=0;if(m|0){l=m+12|0;f[l>>2]=(f[l>>2]|0)+1}if((f[k>>2]|0)<3){k=f[i+44>>2]|0;l=f[n>>2]|0;f[l>>2]=f[k>>2];f[l+4>>2]=f[k+4>>2];o=e;break}else{f[j>>2]=0;$T(e,i);o=e;break}}else{nJ(e,a,-1);o=e}while(0);if(f[o>>2]&4088|0){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;o=cuc(32)|0;f[g>>2]=o;f[g+8>>2]=-2147483616;f[g+4>>2]=23;q=o;a=243020;r=q+23|0;do{b[q>>0]=b[a>>0]|0;q=q+1|0;a=a+1|0}while((q|0)<(r|0));b[o+23>>0]=0;WD(-215,g,243044,242392,407)}o=e+8|0;a=e+12|0;i=Y(f[a>>2]|0,f[o>>2]|0)|0;f[g>>2]=1124007936;j=g+4|0;k=g+8|0;l=g+40|0;q=j;r=q+36|0;do{f[q>>2]=0;q=q+4|0}while((q|0)<(r|0));f[l>>2]=k;k=g+48|0;q=g+44|0;f[q>>2]=k;f[k>>2]=0;f[g+52>>2]=0;r=h+8|0;f[r>>2]=0;f[r+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=g;kQ(e,h,6,1.0,0.0);h=g+16|0;r=f[h>>2]|0;n=f[o>>2]|0;o=f[a>>2]|0;if((n|0)==1|(o|0)==1?(f[c>>2]<<1|1|0)==(o|0):0)s=(f[c+4>>2]<<1|1|0)==(n|0)?15:12;else s=12;if((i|0)>0){n=i+-1|0;t=0.0;c=0;o=s;while(1){v=+p[r+(c<<3)>>3];w=+p[r+(n-c<<3)>>3];a=v!=w?o&-2:o;m=v!=-w?a&-3:a;a=v<0.0?m&-5:m;m=v!=+(Fhc(v)|0);x=m?a&-9:a;w=t+v;c=c+1|0;if((c|0)==(i|0)){y=w;z=x;break}else{t=w;o=x}}}else{y=0.0;z=s}s=+L(+(y+-1.0))>(+L(+y)+1.0)*1.1920928955078125e-07;o=s?z&-5:z;z=g+36|0;s=f[z>>2]|0;if(s|0?(i=s+12|0,s=f[i>>2]|0,f[i>>2]=s+-1,(s|0)==1):0)aU(g);f[z>>2]=0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;if((f[j>>2]|0)>0){h=f[l>>2]|0;l=0;do{f[h+(l<<2)>>2]=0;l=l+1|0}while((l|0)<(f[j>>2]|0))}j=f[q>>2]|0;if((j|0)!=(k|0))TC(j);j=e+36|0;k=f[j>>2]|0;if(k|0?(q=k+12|0,k=f[q>>2]|0,f[q>>2]=k+-1,(k|0)==1):0)aU(e);f[j>>2]=0;j=e+16|0;k=e+4|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;if((f[k>>2]|0)>0){j=f[e+40>>2]|0;q=0;do{f[j+(q<<2)>>2]=0;q=q+1|0}while((q|0)<(f[k>>2]|0))}k=f[e+44>>2]|0;if((k|0)==(e+48|0)){u=d;return o|0}TC(k);u=d;return o|0}function V2(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;i=u;u=u+80|0;j=i;k=i+64|0;l=i+8|0;do if((qJ(e)|0)==65536){m=f[e+4>>2]|0;f[l>>2]=f[m>>2];n=l+4|0;o=m+4|0;f[n>>2]=f[o>>2];p=l+8|0;f[p>>2]=f[m+8>>2];f[l+12>>2]=f[m+12>>2];f[l+16>>2]=f[m+16>>2];f[l+20>>2]=f[m+20>>2];f[l+24>>2]=f[m+24>>2];f[l+28>>2]=f[m+28>>2];f[l+32>>2]=f[m+32>>2];q=f[m+36>>2]|0;f[l+36>>2]=q;f[l+40>>2]=p;p=l+48|0;r=l+44|0;f[r>>2]=p;f[p>>2]=0;f[l+52>>2]=0;if(q|0){p=q+12|0;f[p>>2]=(f[p>>2]|0)+1}if((f[o>>2]|0)<3){o=f[m+44>>2]|0;p=f[r>>2]|0;f[p>>2]=f[o>>2];f[p+4>>2]=f[o+4>>2];break}else{f[n>>2]=0;$T(l,m);break}}else nJ(l,e,-1);while(0);e=c&7;m=d&7;if((d^c)&4088|0){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;s=cuc(96)|0;f[k>>2]=s;t=k+8|0;f[t>>2]=-2147483552;v=k+4|0;f[v>>2]=89;w=s;x=243058;y=w+89|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));z=s+89|0;b[z>>0]=0;WD(-215,k,243148,242392,3605)}if((m|0)<((e>>>0>4?e:4)|0)){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;s=cuc(96)|0;f[k>>2]=s;t=k+8|0;f[t>>2]=-2147483552;v=k+4|0;f[v>>2]=89;w=s;x=243058;y=w+89|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));z=s+89|0;b[z>>0]=0;WD(-215,k,243148,242392,3605)}if((f[l>>2]&4095|0)!=(m|0)){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;s=cuc(96)|0;f[k>>2]=s;t=k+8|0;f[t>>2]=-2147483552;v=k+4|0;f[v>>2]=89;w=s;x=243058;y=w+89|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));z=s+89|0;b[z>>0]=0;WD(-215,k,243148,242392,3605)}z=(e|0)==0;s=z&(m|0)==4;do if(h&3|0?((f[l+12>>2]|0)+(f[l+8>>2]|0)|0)<7:0){if(s){x=cuc(88)|0;f[x+4>>2]=0;f[x+8>>2]=0;f[x>>2]=51268;w=x+12|0;W2(w,l,g,h,k);f[a>>2]=w;f[a+4>>2]=x;break}if((e|0)==5&(m|0)==5){x=cuc(88)|0;f[x+4>>2]=0;f[x+8>>2]=0;f[x>>2]=51296;w=x+12|0;X2(w,l,g,h,k);f[a>>2]=w;f[a+4>>2]=x}else A=19}else if(s){x=cuc(84)|0;f[x+4>>2]=0;f[x+8>>2]=0;f[x>>2]=51324;w=x+12|0;Y2(w,l,g,k);f[a>>2]=w;f[a+4>>2]=x}else A=19;while(0);do if((A|0)==19){s=(m|0)==5;if(z&s){h=cuc(84)|0;f[h+4>>2]=0;f[h+8>>2]=0;f[h>>2]=51352;x=h+12|0;Z2(x,l,g,k);f[a>>2]=x;f[a+4>>2]=h;break}h=(m|0)==6;if(z&h){x=cuc(84)|0;f[x+4>>2]=0;f[x+8>>2]=0;f[x>>2]=51380;w=x+12|0;_2(w,l,g,k);f[a>>2]=w;f[a+4>>2]=x;break}x=(e|0)==2;if(x&s){w=cuc(84)|0;f[w+4>>2]=0;f[w+8>>2]=0;f[w>>2]=51408;y=w+12|0;$2(y,l,g,k);f[a>>2]=y;f[a+4>>2]=w;break}if(x&h){x=cuc(84)|0;f[x+4>>2]=0;f[x+8>>2]=0;f[x>>2]=51436;w=x+12|0;a3(w,l,g,k);f[a>>2]=w;f[a+4>>2]=x;break}x=(e|0)==3;if(x&s){w=cuc(84)|0;f[w+4>>2]=0;f[w+8>>2]=0;f[w>>2]=51464;y=w+12|0;b3(y,l,g,k);f[a>>2]=y;f[a+4>>2]=w;break}if(x&h){x=cuc(84)|0;f[x+4>>2]=0;f[x+8>>2]=0;f[x>>2]=51492;w=x+12|0;c3(w,l,g,k);f[a>>2]=w;f[a+4>>2]=x;break}x=(e|0)==5;if(x&s){s=cuc(84)|0;f[s+4>>2]=0;f[s+8>>2]=0;f[s>>2]=51520;w=s+12|0;d3(w,l,g,k);f[a>>2]=w;f[a+4>>2]=s;break}if(x&h){x=cuc(84)|0;f[x+4>>2]=0;f[x+8>>2]=0;f[x>>2]=51548;s=x+12|0;e3(s,l,g,k);f[a>>2]=s;f[a+4>>2]=x;break}if((e|0)==6&h){h=cuc(84)|0;f[h+4>>2]=0;f[h+8>>2]=0;f[h>>2]=51576;x=h+12|0;f3(x,l,g,k);f[a>>2]=x;f[a+4>>2]=h;break}else{f[j>>2]=c;f[j+4>>2]=d;cE(k,264727,j);WD(-213,k,243148,242392,3644)}}while(0);k=l+36|0;j=f[k>>2]|0;if(j|0?(d=j+12|0,j=f[d>>2]|0,f[d>>2]=j+-1,(j|0)==1):0)aU(l);f[k>>2]=0;k=l+16|0;j=l+4|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;if((f[j>>2]|0)>0){k=f[l+40>>2]|0;d=0;do{f[k+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[j>>2]|0))}j=f[l+44>>2]|0;if((j|0)==(l+48|0)){u=i;return}TC(j);u=i;return}function W2(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0;h=u;u=u+16|0;i=h;G4(a,c,d,g);f[a>>2]=51844;f[a+72>>2]=e;if(e&3|0?(f[a+4>>2]|0)<6:0){u=h;return};f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;h=cuc(96)|0;f[i>>2]=h;f[i+8>>2]=-2147483552;f[i+4>>2]=84;a=h;e=244435;g=a+84|0;do{b[a>>0]=b[e>>0]|0;a=a+1|0;e=e+1|0}while((a|0)<(g|0));b[h+84>>0]=0;WD(-215,i,244520,242392,3112)}function X2(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0;h=u;u=u+16|0;i=h;w4(a,c,d,g);f[a>>2]=51804;f[a+72>>2]=e;if(e&3|0?(f[a+4>>2]|0)<6:0){u=h;return};f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;h=cuc(96)|0;f[i>>2]=h;f[i+8>>2]=-2147483552;f[i+4>>2]=84;a=h;e=244435;g=a+84|0;do{b[a>>0]=b[e>>0]|0;a=a+1|0;e=e+1|0}while((a|0)<(g|0));b[h+84>>0]=0;WD(-215,i,244520,242392,3112)}function Y2(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;e=u;u=u+16|0;g=e;h=a+8|0;f[h>>2]=-1;i=a+4|0;f[i>>2]=-1;f[a>>2]=51784;j=a+12|0;f[j>>2]=1124007936;k=a+16|0;l=a+20|0;m=a+52|0;n=k;o=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(o|0));f[m>>2]=l;p=a+60|0;q=a+56|0;f[q>>2]=p;f[p>>2]=0;f[a+64>>2]=0;if(f[c>>2]&16384){if((j|0)!=(c|0)){p=c+36|0;r=f[p>>2]|0;if(r){s=r+12|0;f[s>>2]=(f[s>>2]|0)+1;s=a+48|0;r=f[s>>2]|0;if((r|0)!=0?(t=r+12|0,r=f[t>>2]|0,f[t>>2]=r+-1,(r|0)==1):0){aU(j);v=s}else v=s}else v=a+48|0;f[v>>2]=0;s=a+28|0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;if((f[k>>2]|0)>0){r=f[m>>2]|0;m=0;do{f[r+(m<<2)>>2]=0;m=m+1|0;w=f[k>>2]|0}while((m|0)<(w|0));f[j>>2]=f[c>>2];if((w|0)<3)x=13;else x=15}else{f[j>>2]=f[c>>2];x=13}if((x|0)==13){w=f[c+4>>2]|0;if((w|0)<3){f[k>>2]=w;f[l>>2]=f[c+8>>2];f[a+24>>2]=f[c+12>>2];w=f[c+44>>2]|0;k=f[q>>2]|0;f[k>>2]=f[w>>2];f[k+4>>2]=f[w+4>>2]}else x=15}if((x|0)==15)$T(j,c);f[s>>2]=f[c+16>>2];f[a+32>>2]=f[c+20>>2];f[a+36>>2]=f[c+24>>2];f[a+40>>2]=f[c+28>>2];f[a+44>>2]=f[c+32>>2];f[v>>2]=f[p>>2]}}else{p=g+8|0;f[p>>2]=0;f[p+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=j;EI(c,g)}f[h>>2]=d;d=f[l>>2]|0;l=f[a+24>>2]|0;f[i>>2]=d+-1+l;if((f[j>>2]&4095|0)!=4){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;y=cuc(80)|0;f[g>>2]=y;z=g+8|0;f[z>>2]=-2147483568;A=g+4|0;f[A>>2]=77;n=y;B=243167;o=n+77|0;do{b[n>>0]=b[B>>0]|0;n=n+1|0;B=B+1|0}while((n|0)<(o|0));C=y+77|0;b[C>>0]=0;WD(-215,g,243245,242392,3053)}if((d|0)==1|(l|0)==1){u=e;return}else{f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;y=cuc(80)|0;f[g>>2]=y;z=g+8|0;f[z>>2]=-2147483568;A=g+4|0;f[A>>2]=77;n=y;B=243167;o=n+77|0;do{b[n>>0]=b[B>>0]|0;n=n+1|0;B=B+1|0}while((n|0)<(o|0));C=y+77|0;b[C>>0]=0;WD(-215,g,243245,242392,3053)}}function Z2(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;e=u;u=u+16|0;g=e;h=a+8|0;f[h>>2]=-1;i=a+4|0;f[i>>2]=-1;f[a>>2]=51764;j=a+12|0;f[j>>2]=1124007936;k=a+16|0;l=a+20|0;m=a+52|0;n=k;o=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(o|0));f[m>>2]=l;p=a+60|0;q=a+56|0;f[q>>2]=p;f[p>>2]=0;f[a+64>>2]=0;if(f[c>>2]&16384){if((j|0)!=(c|0)){p=c+36|0;r=f[p>>2]|0;if(r){s=r+12|0;f[s>>2]=(f[s>>2]|0)+1;s=a+48|0;r=f[s>>2]|0;if((r|0)!=0?(t=r+12|0,r=f[t>>2]|0,f[t>>2]=r+-1,(r|0)==1):0){aU(j);v=s}else v=s}else v=a+48|0;f[v>>2]=0;s=a+28|0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;if((f[k>>2]|0)>0){r=f[m>>2]|0;m=0;do{f[r+(m<<2)>>2]=0;m=m+1|0;w=f[k>>2]|0}while((m|0)<(w|0));f[j>>2]=f[c>>2];if((w|0)<3)x=13;else x=15}else{f[j>>2]=f[c>>2];x=13}if((x|0)==13){w=f[c+4>>2]|0;if((w|0)<3){f[k>>2]=w;f[l>>2]=f[c+8>>2];f[a+24>>2]=f[c+12>>2];w=f[c+44>>2]|0;k=f[q>>2]|0;f[k>>2]=f[w>>2];f[k+4>>2]=f[w+4>>2]}else x=15}if((x|0)==15)$T(j,c);f[s>>2]=f[c+16>>2];f[a+32>>2]=f[c+20>>2];f[a+36>>2]=f[c+24>>2];f[a+40>>2]=f[c+28>>2];f[a+44>>2]=f[c+32>>2];f[v>>2]=f[p>>2]}}else{p=g+8|0;f[p>>2]=0;f[p+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=j;EI(c,g)}f[h>>2]=d;d=f[l>>2]|0;l=f[a+24>>2]|0;f[i>>2]=d+-1+l;if((f[j>>2]&4095|0)!=5){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;y=cuc(80)|0;f[g>>2]=y;z=g+8|0;f[z>>2]=-2147483568;A=g+4|0;f[A>>2]=77;n=y;B=243167;o=n+77|0;do{b[n>>0]=b[B>>0]|0;n=n+1|0;B=B+1|0}while((n|0)<(o|0));C=y+77|0;b[C>>0]=0;WD(-215,g,243245,242392,3053)}if((d|0)==1|(l|0)==1){u=e;return}else{f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;y=cuc(80)|0;f[g>>2]=y;z=g+8|0;f[z>>2]=-2147483568;A=g+4|0;f[A>>2]=77;n=y;B=243167;o=n+77|0;do{b[n>>0]=b[B>>0]|0;n=n+1|0;B=B+1|0}while((n|0)<(o|0));C=y+77|0;b[C>>0]=0;WD(-215,g,243245,242392,3053)}}function _2(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;e=u;u=u+16|0;g=e;h=a+8|0;f[h>>2]=-1;i=a+4|0;f[i>>2]=-1;f[a>>2]=51744;j=a+12|0;f[j>>2]=1124007936;k=a+16|0;l=a+20|0;m=a+52|0;n=k;o=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(o|0));f[m>>2]=l;p=a+60|0;q=a+56|0;f[q>>2]=p;f[p>>2]=0;f[a+64>>2]=0;if(f[c>>2]&16384){if((j|0)!=(c|0)){p=c+36|0;r=f[p>>2]|0;if(r){s=r+12|0;f[s>>2]=(f[s>>2]|0)+1;s=a+48|0;r=f[s>>2]|0;if((r|0)!=0?(t=r+12|0,r=f[t>>2]|0,f[t>>2]=r+-1,(r|0)==1):0){aU(j);v=s}else v=s}else v=a+48|0;f[v>>2]=0;s=a+28|0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;if((f[k>>2]|0)>0){r=f[m>>2]|0;m=0;do{f[r+(m<<2)>>2]=0;m=m+1|0;w=f[k>>2]|0}while((m|0)<(w|0));f[j>>2]=f[c>>2];if((w|0)<3)x=13;else x=15}else{f[j>>2]=f[c>>2];x=13}if((x|0)==13){w=f[c+4>>2]|0;if((w|0)<3){f[k>>2]=w;f[l>>2]=f[c+8>>2];f[a+24>>2]=f[c+12>>2];w=f[c+44>>2]|0;k=f[q>>2]|0;f[k>>2]=f[w>>2];f[k+4>>2]=f[w+4>>2]}else x=15}if((x|0)==15)$T(j,c);f[s>>2]=f[c+16>>2];f[a+32>>2]=f[c+20>>2];f[a+36>>2]=f[c+24>>2];f[a+40>>2]=f[c+28>>2];f[a+44>>2]=f[c+32>>2];f[v>>2]=f[p>>2]}}else{p=g+8|0;f[p>>2]=0;f[p+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=j;EI(c,g)}f[h>>2]=d;d=f[l>>2]|0;l=f[a+24>>2]|0;f[i>>2]=d+-1+l;if((f[j>>2]&4095|0)!=6){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;y=cuc(80)|0;f[g>>2]=y;z=g+8|0;f[z>>2]=-2147483568;A=g+4|0;f[A>>2]=77;n=y;B=243167;o=n+77|0;do{b[n>>0]=b[B>>0]|0;n=n+1|0;B=B+1|0}while((n|0)<(o|0));C=y+77|0;b[C>>0]=0;WD(-215,g,243245,242392,3053)}if((d|0)==1|(l|0)==1){u=e;return}else{f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;y=cuc(80)|0;f[g>>2]=y;z=g+8|0;f[z>>2]=-2147483568;A=g+4|0;f[A>>2]=77;n=y;B=243167;o=n+77|0;do{b[n>>0]=b[B>>0]|0;n=n+1|0;B=B+1|0}while((n|0)<(o|0));C=y+77|0;b[C>>0]=0;WD(-215,g,243245,242392,3053)}}function $2(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;e=u;u=u+16|0;g=e;h=a+8|0;f[h>>2]=-1;i=a+4|0;f[i>>2]=-1;f[a>>2]=51724;j=a+12|0;f[j>>2]=1124007936;k=a+16|0;l=a+20|0;m=a+52|0;n=k;o=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(o|0));f[m>>2]=l;p=a+60|0;q=a+56|0;f[q>>2]=p;f[p>>2]=0;f[a+64>>2]=0;if(f[c>>2]&16384){if((j|0)!=(c|0)){p=c+36|0;r=f[p>>2]|0;if(r){s=r+12|0;f[s>>2]=(f[s>>2]|0)+1;s=a+48|0;r=f[s>>2]|0;if((r|0)!=0?(t=r+12|0,r=f[t>>2]|0,f[t>>2]=r+-1,(r|0)==1):0){aU(j);v=s}else v=s}else v=a+48|0;f[v>>2]=0;s=a+28|0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;if((f[k>>2]|0)>0){r=f[m>>2]|0;m=0;do{f[r+(m<<2)>>2]=0;m=m+1|0;w=f[k>>2]|0}while((m|0)<(w|0));f[j>>2]=f[c>>2];if((w|0)<3)x=13;else x=15}else{f[j>>2]=f[c>>2];x=13}if((x|0)==13){w=f[c+4>>2]|0;if((w|0)<3){f[k>>2]=w;f[l>>2]=f[c+8>>2];f[a+24>>2]=f[c+12>>2];w=f[c+44>>2]|0;k=f[q>>2]|0;f[k>>2]=f[w>>2];f[k+4>>2]=f[w+4>>2]}else x=15}if((x|0)==15)$T(j,c);f[s>>2]=f[c+16>>2];f[a+32>>2]=f[c+20>>2];f[a+36>>2]=f[c+24>>2];f[a+40>>2]=f[c+28>>2];f[a+44>>2]=f[c+32>>2];f[v>>2]=f[p>>2]}}else{p=g+8|0;f[p>>2]=0;f[p+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=j;EI(c,g)}f[h>>2]=d;d=f[l>>2]|0;l=f[a+24>>2]|0;f[i>>2]=d+-1+l;if((f[j>>2]&4095|0)!=5){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;y=cuc(80)|0;f[g>>2]=y;z=g+8|0;f[z>>2]=-2147483568;A=g+4|0;f[A>>2]=77;n=y;B=243167;o=n+77|0;do{b[n>>0]=b[B>>0]|0;n=n+1|0;B=B+1|0}while((n|0)<(o|0));C=y+77|0;b[C>>0]=0;WD(-215,g,243245,242392,3053)}if((d|0)==1|(l|0)==1){u=e;return}else{f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;y=cuc(80)|0;f[g>>2]=y;z=g+8|0;f[z>>2]=-2147483568;A=g+4|0;f[A>>2]=77;n=y;B=243167;o=n+77|0;do{b[n>>0]=b[B>>0]|0;n=n+1|0;B=B+1|0}while((n|0)<(o|0));C=y+77|0;b[C>>0]=0;WD(-215,g,243245,242392,3053)}}function a3(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;e=u;u=u+16|0;g=e;h=a+8|0;f[h>>2]=-1;i=a+4|0;f[i>>2]=-1;f[a>>2]=51704;j=a+12|0;f[j>>2]=1124007936;k=a+16|0;l=a+20|0;m=a+52|0;n=k;o=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(o|0));f[m>>2]=l;p=a+60|0;q=a+56|0;f[q>>2]=p;f[p>>2]=0;f[a+64>>2]=0;if(f[c>>2]&16384){if((j|0)!=(c|0)){p=c+36|0;r=f[p>>2]|0;if(r){s=r+12|0;f[s>>2]=(f[s>>2]|0)+1;s=a+48|0;r=f[s>>2]|0;if((r|0)!=0?(t=r+12|0,r=f[t>>2]|0,f[t>>2]=r+-1,(r|0)==1):0){aU(j);v=s}else v=s}else v=a+48|0;f[v>>2]=0;s=a+28|0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;if((f[k>>2]|0)>0){r=f[m>>2]|0;m=0;do{f[r+(m<<2)>>2]=0;m=m+1|0;w=f[k>>2]|0}while((m|0)<(w|0));f[j>>2]=f[c>>2];if((w|0)<3)x=13;else x=15}else{f[j>>2]=f[c>>2];x=13}if((x|0)==13){w=f[c+4>>2]|0;if((w|0)<3){f[k>>2]=w;f[l>>2]=f[c+8>>2];f[a+24>>2]=f[c+12>>2];w=f[c+44>>2]|0;k=f[q>>2]|0;f[k>>2]=f[w>>2];f[k+4>>2]=f[w+4>>2]}else x=15}if((x|0)==15)$T(j,c);f[s>>2]=f[c+16>>2];f[a+32>>2]=f[c+20>>2];f[a+36>>2]=f[c+24>>2];f[a+40>>2]=f[c+28>>2];f[a+44>>2]=f[c+32>>2];f[v>>2]=f[p>>2]}}else{p=g+8|0;f[p>>2]=0;f[p+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=j;EI(c,g)}f[h>>2]=d;d=f[l>>2]|0;l=f[a+24>>2]|0;f[i>>2]=d+-1+l;if((f[j>>2]&4095|0)!=6){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;y=cuc(80)|0;f[g>>2]=y;z=g+8|0;f[z>>2]=-2147483568;A=g+4|0;f[A>>2]=77;n=y;B=243167;o=n+77|0;do{b[n>>0]=b[B>>0]|0;n=n+1|0;B=B+1|0}while((n|0)<(o|0));C=y+77|0;b[C>>0]=0;WD(-215,g,243245,242392,3053)}if((d|0)==1|(l|0)==1){u=e;return}else{f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;y=cuc(80)|0;f[g>>2]=y;z=g+8|0;f[z>>2]=-2147483568;A=g+4|0;f[A>>2]=77;n=y;B=243167;o=n+77|0;do{b[n>>0]=b[B>>0]|0;n=n+1|0;B=B+1|0}while((n|0)<(o|0));C=y+77|0;b[C>>0]=0;WD(-215,g,243245,242392,3053)}}function b3(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;e=u;u=u+16|0;g=e;h=a+8|0;f[h>>2]=-1;i=a+4|0;f[i>>2]=-1;f[a>>2]=51684;j=a+12|0;f[j>>2]=1124007936;k=a+16|0;l=a+20|0;m=a+52|0;n=k;o=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(o|0));f[m>>2]=l;p=a+60|0;q=a+56|0;f[q>>2]=p;f[p>>2]=0;f[a+64>>2]=0;if(f[c>>2]&16384){if((j|0)!=(c|0)){p=c+36|0;r=f[p>>2]|0;if(r){s=r+12|0;f[s>>2]=(f[s>>2]|0)+1;s=a+48|0;r=f[s>>2]|0;if((r|0)!=0?(t=r+12|0,r=f[t>>2]|0,f[t>>2]=r+-1,(r|0)==1):0){aU(j);v=s}else v=s}else v=a+48|0;f[v>>2]=0;s=a+28|0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;if((f[k>>2]|0)>0){r=f[m>>2]|0;m=0;do{f[r+(m<<2)>>2]=0;m=m+1|0;w=f[k>>2]|0}while((m|0)<(w|0));f[j>>2]=f[c>>2];if((w|0)<3)x=13;else x=15}else{f[j>>2]=f[c>>2];x=13}if((x|0)==13){w=f[c+4>>2]|0;if((w|0)<3){f[k>>2]=w;f[l>>2]=f[c+8>>2];f[a+24>>2]=f[c+12>>2];w=f[c+44>>2]|0;k=f[q>>2]|0;f[k>>2]=f[w>>2];f[k+4>>2]=f[w+4>>2]}else x=15}if((x|0)==15)$T(j,c);f[s>>2]=f[c+16>>2];f[a+32>>2]=f[c+20>>2];f[a+36>>2]=f[c+24>>2];f[a+40>>2]=f[c+28>>2];f[a+44>>2]=f[c+32>>2];f[v>>2]=f[p>>2]}}else{p=g+8|0;f[p>>2]=0;f[p+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=j;EI(c,g)}f[h>>2]=d;d=f[l>>2]|0;l=f[a+24>>2]|0;f[i>>2]=d+-1+l;if((f[j>>2]&4095|0)!=5){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;y=cuc(80)|0;f[g>>2]=y;z=g+8|0;f[z>>2]=-2147483568;A=g+4|0;f[A>>2]=77;n=y;B=243167;o=n+77|0;do{b[n>>0]=b[B>>0]|0;n=n+1|0;B=B+1|0}while((n|0)<(o|0));C=y+77|0;b[C>>0]=0;WD(-215,g,243245,242392,3053)}if((d|0)==1|(l|0)==1){u=e;return}else{f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;y=cuc(80)|0;f[g>>2]=y;z=g+8|0;f[z>>2]=-2147483568;A=g+4|0;f[A>>2]=77;n=y;B=243167;o=n+77|0;do{b[n>>0]=b[B>>0]|0;n=n+1|0;B=B+1|0}while((n|0)<(o|0));C=y+77|0;b[C>>0]=0;WD(-215,g,243245,242392,3053)}}function c3(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;e=u;u=u+16|0;g=e;h=a+8|0;f[h>>2]=-1;i=a+4|0;f[i>>2]=-1;f[a>>2]=51664;j=a+12|0;f[j>>2]=1124007936;k=a+16|0;l=a+20|0;m=a+52|0;n=k;o=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(o|0));f[m>>2]=l;p=a+60|0;q=a+56|0;f[q>>2]=p;f[p>>2]=0;f[a+64>>2]=0;if(f[c>>2]&16384){if((j|0)!=(c|0)){p=c+36|0;r=f[p>>2]|0;if(r){s=r+12|0;f[s>>2]=(f[s>>2]|0)+1;s=a+48|0;r=f[s>>2]|0;if((r|0)!=0?(t=r+12|0,r=f[t>>2]|0,f[t>>2]=r+-1,(r|0)==1):0){aU(j);v=s}else v=s}else v=a+48|0;f[v>>2]=0;s=a+28|0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;if((f[k>>2]|0)>0){r=f[m>>2]|0;m=0;do{f[r+(m<<2)>>2]=0;m=m+1|0;w=f[k>>2]|0}while((m|0)<(w|0));f[j>>2]=f[c>>2];if((w|0)<3)x=13;else x=15}else{f[j>>2]=f[c>>2];x=13}if((x|0)==13){w=f[c+4>>2]|0;if((w|0)<3){f[k>>2]=w;f[l>>2]=f[c+8>>2];f[a+24>>2]=f[c+12>>2];w=f[c+44>>2]|0;k=f[q>>2]|0;f[k>>2]=f[w>>2];f[k+4>>2]=f[w+4>>2]}else x=15}if((x|0)==15)$T(j,c);f[s>>2]=f[c+16>>2];f[a+32>>2]=f[c+20>>2];f[a+36>>2]=f[c+24>>2];f[a+40>>2]=f[c+28>>2];f[a+44>>2]=f[c+32>>2];f[v>>2]=f[p>>2]}}else{p=g+8|0;f[p>>2]=0;f[p+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=j;EI(c,g)}f[h>>2]=d;d=f[l>>2]|0;l=f[a+24>>2]|0;f[i>>2]=d+-1+l;if((f[j>>2]&4095|0)!=6){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;y=cuc(80)|0;f[g>>2]=y;z=g+8|0;f[z>>2]=-2147483568;A=g+4|0;f[A>>2]=77;n=y;B=243167;o=n+77|0;do{b[n>>0]=b[B>>0]|0;n=n+1|0;B=B+1|0}while((n|0)<(o|0));C=y+77|0;b[C>>0]=0;WD(-215,g,243245,242392,3053)}if((d|0)==1|(l|0)==1){u=e;return}else{f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;y=cuc(80)|0;f[g>>2]=y;z=g+8|0;f[z>>2]=-2147483568;A=g+4|0;f[A>>2]=77;n=y;B=243167;o=n+77|0;do{b[n>>0]=b[B>>0]|0;n=n+1|0;B=B+1|0}while((n|0)<(o|0));C=y+77|0;b[C>>0]=0;WD(-215,g,243245,242392,3053)}}function d3(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;e=u;u=u+16|0;g=e;h=a+8|0;f[h>>2]=-1;i=a+4|0;f[i>>2]=-1;f[a>>2]=51644;j=a+12|0;f[j>>2]=1124007936;k=a+16|0;l=a+20|0;m=a+52|0;n=k;o=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(o|0));f[m>>2]=l;p=a+60|0;q=a+56|0;f[q>>2]=p;f[p>>2]=0;f[a+64>>2]=0;if(f[c>>2]&16384){if((j|0)!=(c|0)){p=c+36|0;r=f[p>>2]|0;if(r){s=r+12|0;f[s>>2]=(f[s>>2]|0)+1;s=a+48|0;r=f[s>>2]|0;if((r|0)!=0?(t=r+12|0,r=f[t>>2]|0,f[t>>2]=r+-1,(r|0)==1):0){aU(j);v=s}else v=s}else v=a+48|0;f[v>>2]=0;s=a+28|0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;if((f[k>>2]|0)>0){r=f[m>>2]|0;m=0;do{f[r+(m<<2)>>2]=0;m=m+1|0;w=f[k>>2]|0}while((m|0)<(w|0));f[j>>2]=f[c>>2];if((w|0)<3)x=13;else x=15}else{f[j>>2]=f[c>>2];x=13}if((x|0)==13){w=f[c+4>>2]|0;if((w|0)<3){f[k>>2]=w;f[l>>2]=f[c+8>>2];f[a+24>>2]=f[c+12>>2];w=f[c+44>>2]|0;k=f[q>>2]|0;f[k>>2]=f[w>>2];f[k+4>>2]=f[w+4>>2]}else x=15}if((x|0)==15)$T(j,c);f[s>>2]=f[c+16>>2];f[a+32>>2]=f[c+20>>2];f[a+36>>2]=f[c+24>>2];f[a+40>>2]=f[c+28>>2];f[a+44>>2]=f[c+32>>2];f[v>>2]=f[p>>2]}}else{p=g+8|0;f[p>>2]=0;f[p+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=j;EI(c,g)}f[h>>2]=d;d=f[l>>2]|0;l=f[a+24>>2]|0;f[i>>2]=d+-1+l;if((f[j>>2]&4095|0)!=5){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;y=cuc(80)|0;f[g>>2]=y;z=g+8|0;f[z>>2]=-2147483568;A=g+4|0;f[A>>2]=77;n=y;B=243167;o=n+77|0;do{b[n>>0]=b[B>>0]|0;n=n+1|0;B=B+1|0}while((n|0)<(o|0));C=y+77|0;b[C>>0]=0;WD(-215,g,243245,242392,3053)}if((d|0)==1|(l|0)==1){u=e;return}else{f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;y=cuc(80)|0;f[g>>2]=y;z=g+8|0;f[z>>2]=-2147483568;A=g+4|0;f[A>>2]=77;n=y;B=243167;o=n+77|0;do{b[n>>0]=b[B>>0]|0;n=n+1|0;B=B+1|0}while((n|0)<(o|0));C=y+77|0;b[C>>0]=0;WD(-215,g,243245,242392,3053)}}function e3(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;e=u;u=u+16|0;g=e;h=a+8|0;f[h>>2]=-1;i=a+4|0;f[i>>2]=-1;f[a>>2]=51624;j=a+12|0;f[j>>2]=1124007936;k=a+16|0;l=a+20|0;m=a+52|0;n=k;o=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(o|0));f[m>>2]=l;p=a+60|0;q=a+56|0;f[q>>2]=p;f[p>>2]=0;f[a+64>>2]=0;if(f[c>>2]&16384){if((j|0)!=(c|0)){p=c+36|0;r=f[p>>2]|0;if(r){s=r+12|0;f[s>>2]=(f[s>>2]|0)+1;s=a+48|0;r=f[s>>2]|0;if((r|0)!=0?(t=r+12|0,r=f[t>>2]|0,f[t>>2]=r+-1,(r|0)==1):0){aU(j);v=s}else v=s}else v=a+48|0;f[v>>2]=0;s=a+28|0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;if((f[k>>2]|0)>0){r=f[m>>2]|0;m=0;do{f[r+(m<<2)>>2]=0;m=m+1|0;w=f[k>>2]|0}while((m|0)<(w|0));f[j>>2]=f[c>>2];if((w|0)<3)x=13;else x=15}else{f[j>>2]=f[c>>2];x=13}if((x|0)==13){w=f[c+4>>2]|0;if((w|0)<3){f[k>>2]=w;f[l>>2]=f[c+8>>2];f[a+24>>2]=f[c+12>>2];w=f[c+44>>2]|0;k=f[q>>2]|0;f[k>>2]=f[w>>2];f[k+4>>2]=f[w+4>>2]}else x=15}if((x|0)==15)$T(j,c);f[s>>2]=f[c+16>>2];f[a+32>>2]=f[c+20>>2];f[a+36>>2]=f[c+24>>2];f[a+40>>2]=f[c+28>>2];f[a+44>>2]=f[c+32>>2];f[v>>2]=f[p>>2]}}else{p=g+8|0;f[p>>2]=0;f[p+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=j;EI(c,g)}f[h>>2]=d;d=f[l>>2]|0;l=f[a+24>>2]|0;f[i>>2]=d+-1+l;if((f[j>>2]&4095|0)!=6){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;y=cuc(80)|0;f[g>>2]=y;z=g+8|0;f[z>>2]=-2147483568;A=g+4|0;f[A>>2]=77;n=y;B=243167;o=n+77|0;do{b[n>>0]=b[B>>0]|0;n=n+1|0;B=B+1|0}while((n|0)<(o|0));C=y+77|0;b[C>>0]=0;WD(-215,g,243245,242392,3053)}if((d|0)==1|(l|0)==1){u=e;return}else{f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;y=cuc(80)|0;f[g>>2]=y;z=g+8|0;f[z>>2]=-2147483568;A=g+4|0;f[A>>2]=77;n=y;B=243167;o=n+77|0;do{b[n>>0]=b[B>>0]|0;n=n+1|0;B=B+1|0}while((n|0)<(o|0));C=y+77|0;b[C>>0]=0;WD(-215,g,243245,242392,3053)}}function f3(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;e=u;u=u+16|0;g=e;h=a+8|0;f[h>>2]=-1;i=a+4|0;f[i>>2]=-1;f[a>>2]=51604;j=a+12|0;f[j>>2]=1124007936;k=a+16|0;l=a+20|0;m=a+52|0;n=k;o=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(o|0));f[m>>2]=l;p=a+60|0;q=a+56|0;f[q>>2]=p;f[p>>2]=0;f[a+64>>2]=0;if(f[c>>2]&16384){if((j|0)!=(c|0)){p=c+36|0;r=f[p>>2]|0;if(r){s=r+12|0;f[s>>2]=(f[s>>2]|0)+1;s=a+48|0;r=f[s>>2]|0;if((r|0)!=0?(t=r+12|0,r=f[t>>2]|0,f[t>>2]=r+-1,(r|0)==1):0){aU(j);v=s}else v=s}else v=a+48|0;f[v>>2]=0;s=a+28|0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;if((f[k>>2]|0)>0){r=f[m>>2]|0;m=0;do{f[r+(m<<2)>>2]=0;m=m+1|0;w=f[k>>2]|0}while((m|0)<(w|0));f[j>>2]=f[c>>2];if((w|0)<3)x=13;else x=15}else{f[j>>2]=f[c>>2];x=13}if((x|0)==13){w=f[c+4>>2]|0;if((w|0)<3){f[k>>2]=w;f[l>>2]=f[c+8>>2];f[a+24>>2]=f[c+12>>2];w=f[c+44>>2]|0;k=f[q>>2]|0;f[k>>2]=f[w>>2];f[k+4>>2]=f[w+4>>2]}else x=15}if((x|0)==15)$T(j,c);f[s>>2]=f[c+16>>2];f[a+32>>2]=f[c+20>>2];f[a+36>>2]=f[c+24>>2];f[a+40>>2]=f[c+28>>2];f[a+44>>2]=f[c+32>>2];f[v>>2]=f[p>>2]}}else{p=g+8|0;f[p>>2]=0;f[p+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=j;EI(c,g)}f[h>>2]=d;d=f[l>>2]|0;l=f[a+24>>2]|0;f[i>>2]=d+-1+l;if((f[j>>2]&4095|0)!=6){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;y=cuc(80)|0;f[g>>2]=y;z=g+8|0;f[z>>2]=-2147483568;A=g+4|0;f[A>>2]=77;n=y;B=243167;o=n+77|0;do{b[n>>0]=b[B>>0]|0;n=n+1|0;B=B+1|0}while((n|0)<(o|0));C=y+77|0;b[C>>0]=0;WD(-215,g,243245,242392,3053)}if((d|0)==1|(l|0)==1){u=e;return}else{f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;y=cuc(80)|0;f[g>>2]=y;z=g+8|0;f[z>>2]=-2147483568;A=g+4|0;f[A>>2]=77;n=y;B=243167;o=n+77|0;do{b[n>>0]=b[B>>0]|0;n=n+1|0;B=B+1|0}while((n|0)<(o|0));C=y+77|0;b[C>>0]=0;WD(-215,g,243245,242392,3053)}}function g3(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=51604;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0))return;TC(b);return}function h3(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=51604;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0)){fuc(a);return}TC(b);fuc(a);return}function i3(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0.0,n=0.0,o=0.0,q=0.0,r=0.0,s=0;g=f[a+4>>2]|0;h=f[a+28>>2]|0;a=Y(e,d)|0;d=a+-4|0;do if((a|0)<4)i=0;else{if((g|0)>1)j=0;else{k=0;do{l=b+(k<<3)|0;m=+p[h>>3];n=m*+p[l+8>>3];o=m*+p[l+16>>3];q=m*+p[l+24>>3];p[c+(k<<3)>>3]=m*+p[l>>3];p[c+((k|1)<<3)>>3]=n;p[c+((k|2)<<3)>>3]=o;p[c+((k|3)<<3)>>3]=q;k=k+4|0}while((k|0)<=(d|0));i=a&-4;break}do{k=b+(j<<3)|0;q=+p[h>>3];l=k;o=q*+p[k+24>>3];n=q*+p[k+16>>3];m=q*+p[k+8>>3];r=q*+p[k>>3];k=1;do{l=l+(e<<3)|0;q=+p[h+(k<<3)>>3];r=r+q*+p[l>>3];m=m+q*+p[l+8>>3];n=n+q*+p[l+16>>3];o=o+q*+p[l+24>>3];k=k+1|0}while((k|0)!=(g|0));p[c+(j<<3)>>3]=r;p[c+((j|1)<<3)>>3]=m;p[c+((j|2)<<3)>>3]=n;p[c+((j|3)<<3)>>3]=o;j=j+4|0}while((j|0)<=(d|0));i=a&-4}while(0);if((i|0)>=(a|0))return;if((g|0)>1)s=i;else{d=i;do{p[c+(d<<3)>>3]=+p[h>>3]*+p[b+(d<<3)>>3];d=d+1|0}while((d|0)!=(a|0));return}do{d=b+(s<<3)|0;q=+p[h>>3]*+p[d>>3];i=d;d=1;do{i=i+(e<<3)|0;q=q+ +p[h+(d<<3)>>3]*+p[i>>3];d=d+1|0}while((d|0)!=(g|0));p[c+(s<<3)>>3]=q;s=s+1|0}while((s|0)!=(a|0));return}function j3(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=51576;f[a+12>>2]=51604;b=a+24|0;c=a+60|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+40|0;b=a+28|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+64>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+68>>2]|0;if((b|0)==(a+72|0)){Qtc(a);return}TC(b);Qtc(a);return}function k3(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=51576;f[a+12>>2]=51604;b=a+24|0;c=a+60|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+40|0;b=a+28|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+64>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+68>>2]|0;if((b|0)==(a+72|0)){Qtc(a);fuc(a);return}TC(b);Qtc(a);fuc(a);return}function l3(a){a=a|0;var b=0;b=a+12|0;bi[f[f[b>>2]>>2]&2047](b);return}function m3(a){a=a|0;fuc(a);return}function n3(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=51624;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0))return;TC(b);return}function o3(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=51624;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0)){fuc(a);return}TC(b);fuc(a);return}function p3(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0.0,o=0.0,q=0.0,r=0.0,s=0.0,t=0;g=f[a+4>>2]|0;h=f[a+28>>2]|0;a=Y(e,d)|0;d=a+-4|0;do if((a|0)<4)i=0;else{if((g|0)>1)j=0;else{k=0;do{l=b+(k<<2)|0;m=+p[h>>3];o=m*+n[l+4>>2];q=m*+n[l+8>>2];r=m*+n[l+12>>2];p[c+(k<<3)>>3]=m*+n[l>>2];p[c+((k|1)<<3)>>3]=o;p[c+((k|2)<<3)>>3]=q;p[c+((k|3)<<3)>>3]=r;k=k+4|0}while((k|0)<=(d|0));i=a&-4;break}do{k=b+(j<<2)|0;r=+p[h>>3];l=k;q=r*+n[k+12>>2];o=r*+n[k+8>>2];m=r*+n[k+4>>2];s=r*+n[k>>2];k=1;do{l=l+(e<<2)|0;r=+p[h+(k<<3)>>3];s=s+r*+n[l>>2];m=m+r*+n[l+4>>2];o=o+r*+n[l+8>>2];q=q+r*+n[l+12>>2];k=k+1|0}while((k|0)!=(g|0));p[c+(j<<3)>>3]=s;p[c+((j|1)<<3)>>3]=m;p[c+((j|2)<<3)>>3]=o;p[c+((j|3)<<3)>>3]=q;j=j+4|0}while((j|0)<=(d|0));i=a&-4}while(0);if((i|0)>=(a|0))return;if((g|0)>1)t=i;else{d=i;do{p[c+(d<<3)>>3]=+p[h>>3]*+n[b+(d<<2)>>2];d=d+1|0}while((d|0)!=(a|0));return}do{d=b+(t<<2)|0;r=+p[h>>3]*+n[d>>2];i=d;d=1;do{i=i+(e<<2)|0;r=r+ +p[h+(d<<3)>>3]*+n[i>>2];d=d+1|0}while((d|0)!=(g|0));p[c+(t<<3)>>3]=r;t=t+1|0}while((t|0)!=(a|0));return}function q3(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=51548;f[a+12>>2]=51624;b=a+24|0;c=a+60|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+40|0;b=a+28|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+64>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+68>>2]|0;if((b|0)==(a+72|0)){Qtc(a);return}TC(b);Qtc(a);return}function r3(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=51548;f[a+12>>2]=51624;b=a+24|0;c=a+60|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+40|0;b=a+28|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+64>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+68>>2]|0;if((b|0)==(a+72|0)){Qtc(a);fuc(a);return}TC(b);Qtc(a);fuc(a);return}function s3(a){a=a|0;var b=0;b=a+12|0;bi[f[f[b>>2]>>2]&2047](b);return}function t3(a){a=a|0;fuc(a);return}function u3(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=51644;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0))return;TC(b);return}function v3(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=51644;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0)){fuc(a);return}TC(b);fuc(a);return}function w3(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0;g=f[a+4>>2]|0;h=f[a+28>>2]|0;a=Y(e,d)|0;d=a+-4|0;do if((a|0)<4)i=0;else{if((g|0)>1)j=0;else{k=0;do{l=b+(k<<2)|0;m=+n[h>>2];o=m*+n[l+4>>2];p=m*+n[l+8>>2];q=m*+n[l+12>>2];n[c+(k<<2)>>2]=m*+n[l>>2];n[c+((k|1)<<2)>>2]=o;n[c+((k|2)<<2)>>2]=p;n[c+((k|3)<<2)>>2]=q;k=k+4|0}while((k|0)<=(d|0));i=a&-4;break}do{k=b+(j<<2)|0;q=+n[h>>2];l=k;p=q*+n[k+12>>2];o=q*+n[k+8>>2];m=q*+n[k+4>>2];r=q*+n[k>>2];k=1;do{l=l+(e<<2)|0;q=+n[h+(k<<2)>>2];r=r+q*+n[l>>2];m=m+q*+n[l+4>>2];o=o+q*+n[l+8>>2];p=p+q*+n[l+12>>2];k=k+1|0}while((k|0)!=(g|0));n[c+(j<<2)>>2]=r;n[c+((j|1)<<2)>>2]=m;n[c+((j|2)<<2)>>2]=o;n[c+((j|3)<<2)>>2]=p;j=j+4|0}while((j|0)<=(d|0));i=a&-4}while(0);if((i|0)>=(a|0))return;if((g|0)>1)s=i;else{d=i;do{n[c+(d<<2)>>2]=+n[h>>2]*+n[b+(d<<2)>>2];d=d+1|0}while((d|0)!=(a|0));return}do{d=b+(s<<2)|0;q=+n[h>>2]*+n[d>>2];i=d;d=1;do{i=i+(e<<2)|0;q=q+ +n[h+(d<<2)>>2]*+n[i>>2];d=d+1|0}while((d|0)!=(g|0));n[c+(s<<2)>>2]=q;s=s+1|0}while((s|0)!=(a|0));return}function x3(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=51520;f[a+12>>2]=51644;b=a+24|0;c=a+60|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+40|0;b=a+28|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+64>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+68>>2]|0;if((b|0)==(a+72|0)){Qtc(a);return}TC(b);Qtc(a);return}function y3(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=51520;f[a+12>>2]=51644;b=a+24|0;c=a+60|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+40|0;b=a+28|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+64>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+68>>2]|0;if((b|0)==(a+72|0)){Qtc(a);fuc(a);return}TC(b);Qtc(a);fuc(a);return}function z3(a){a=a|0;var b=0;b=a+12|0;bi[f[f[b>>2]>>2]&2047](b);return}function A3(a){a=a|0;fuc(a);return}function B3(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=51664;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0))return;TC(b);return}function C3(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=51664;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0)){fuc(a);return}TC(b);fuc(a);return}function D3(a,b,c,e,g){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0.0,o=0.0,q=0.0,r=0.0,s=0.0,t=0;h=f[a+4>>2]|0;i=f[a+28>>2]|0;a=Y(g,e)|0;e=a+-4|0;do if((a|0)<4)j=0;else{if((h|0)>1)k=0;else{l=0;do{m=b+(l<<1)|0;n=+p[i>>3];o=n*+(d[m+2>>1]|0);q=n*+(d[m+4>>1]|0);r=n*+(d[m+6>>1]|0);p[c+(l<<3)>>3]=n*+(d[m>>1]|0);p[c+((l|1)<<3)>>3]=o;p[c+((l|2)<<3)>>3]=q;p[c+((l|3)<<3)>>3]=r;l=l+4|0}while((l|0)<=(e|0));j=a&-4;break}do{l=b+(k<<1)|0;r=+p[i>>3];m=l;q=r*+(d[l+6>>1]|0);o=r*+(d[l+4>>1]|0);n=r*+(d[l+2>>1]|0);s=r*+(d[l>>1]|0);l=1;do{m=m+(g<<1)|0;r=+p[i+(l<<3)>>3];s=s+r*+(d[m>>1]|0);n=n+r*+(d[m+2>>1]|0);o=o+r*+(d[m+4>>1]|0);q=q+r*+(d[m+6>>1]|0);l=l+1|0}while((l|0)!=(h|0));p[c+(k<<3)>>3]=s;p[c+((k|1)<<3)>>3]=n;p[c+((k|2)<<3)>>3]=o;p[c+((k|3)<<3)>>3]=q;k=k+4|0}while((k|0)<=(e|0));j=a&-4}while(0);if((j|0)>=(a|0))return;if((h|0)>1)t=j;else{e=j;do{p[c+(e<<3)>>3]=+p[i>>3]*+(d[b+(e<<1)>>1]|0);e=e+1|0}while((e|0)!=(a|0));return}do{e=b+(t<<1)|0;r=+p[i>>3]*+(d[e>>1]|0);j=e;e=1;do{j=j+(g<<1)|0;r=r+ +p[i+(e<<3)>>3]*+(d[j>>1]|0);e=e+1|0}while((e|0)!=(h|0));p[c+(t<<3)>>3]=r;t=t+1|0}while((t|0)!=(a|0));return}function E3(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=51492;f[a+12>>2]=51664;b=a+24|0;c=a+60|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+40|0;b=a+28|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+64>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+68>>2]|0;if((b|0)==(a+72|0)){Qtc(a);return}TC(b);Qtc(a);return}function F3(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=51492;f[a+12>>2]=51664;b=a+24|0;c=a+60|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+40|0;b=a+28|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+64>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+68>>2]|0;if((b|0)==(a+72|0)){Qtc(a);fuc(a);return}TC(b);Qtc(a);fuc(a);return}function G3(a){a=a|0;var b=0;b=a+12|0;bi[f[f[b>>2]>>2]&2047](b);return}function H3(a){a=a|0;fuc(a);return}function I3(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=51684;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0))return;TC(b);return}function J3(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=51684;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0)){fuc(a);return}TC(b);fuc(a);return}function K3(a,b,c,e,g){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,o=0.0,p=0.0,q=0.0,r=0.0,s=0.0,t=0;h=f[a+4>>2]|0;i=f[a+28>>2]|0;a=Y(g,e)|0;e=a+-4|0;do if((a|0)<4)j=0;else{if((h|0)>1)k=0;else{l=0;do{m=b+(l<<1)|0;o=+n[i>>2];p=o*+(d[m+2>>1]|0);q=o*+(d[m+4>>1]|0);r=o*+(d[m+6>>1]|0);n[c+(l<<2)>>2]=o*+(d[m>>1]|0);n[c+((l|1)<<2)>>2]=p;n[c+((l|2)<<2)>>2]=q;n[c+((l|3)<<2)>>2]=r;l=l+4|0}while((l|0)<=(e|0));j=a&-4;break}do{l=b+(k<<1)|0;r=+n[i>>2];m=l;q=r*+(d[l+6>>1]|0);p=r*+(d[l+4>>1]|0);o=r*+(d[l+2>>1]|0);s=r*+(d[l>>1]|0);l=1;do{m=m+(g<<1)|0;r=+n[i+(l<<2)>>2];s=s+r*+(d[m>>1]|0);o=o+r*+(d[m+2>>1]|0);p=p+r*+(d[m+4>>1]|0);q=q+r*+(d[m+6>>1]|0);l=l+1|0}while((l|0)!=(h|0));n[c+(k<<2)>>2]=s;n[c+((k|1)<<2)>>2]=o;n[c+((k|2)<<2)>>2]=p;n[c+((k|3)<<2)>>2]=q;k=k+4|0}while((k|0)<=(e|0));j=a&-4}while(0);if((j|0)>=(a|0))return;if((h|0)>1)t=j;else{e=j;do{n[c+(e<<2)>>2]=+n[i>>2]*+(d[b+(e<<1)>>1]|0);e=e+1|0}while((e|0)!=(a|0));return}do{e=b+(t<<1)|0;r=+n[i>>2]*+(d[e>>1]|0);j=e;e=1;do{j=j+(g<<1)|0;r=r+ +n[i+(e<<2)>>2]*+(d[j>>1]|0);e=e+1|0}while((e|0)!=(h|0));n[c+(t<<2)>>2]=r;t=t+1|0}while((t|0)!=(a|0));return}function L3(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=51464;f[a+12>>2]=51684;b=a+24|0;c=a+60|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+40|0;b=a+28|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+64>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+68>>2]|0;if((b|0)==(a+72|0)){Qtc(a);return}TC(b);Qtc(a);return}function M3(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=51464;f[a+12>>2]=51684;b=a+24|0;c=a+60|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+40|0;b=a+28|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+64>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+68>>2]|0;if((b|0)==(a+72|0)){Qtc(a);fuc(a);return}TC(b);Qtc(a);fuc(a);return}function N3(a){a=a|0;var b=0;b=a+12|0;bi[f[f[b>>2]>>2]&2047](b);return}function O3(a){a=a|0;fuc(a);return}function P3(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=51704;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0))return;TC(b);return}function Q3(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=51704;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0)){fuc(a);return}TC(b);fuc(a);return}function R3(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,k=0,l=0,m=0,n=0.0,o=0.0,q=0.0,r=0.0,s=0.0,t=0;g=f[a+4>>2]|0;h=f[a+28>>2]|0;a=Y(e,d)|0;d=a+-4|0;do if((a|0)<4)i=0;else{if((g|0)>1)k=0;else{l=0;do{m=b+(l<<1)|0;n=+p[h>>3];o=n*+(j[m+2>>1]|0);q=n*+(j[m+4>>1]|0);r=n*+(j[m+6>>1]|0);p[c+(l<<3)>>3]=n*+(j[m>>1]|0);p[c+((l|1)<<3)>>3]=o;p[c+((l|2)<<3)>>3]=q;p[c+((l|3)<<3)>>3]=r;l=l+4|0}while((l|0)<=(d|0));i=a&-4;break}do{l=b+(k<<1)|0;r=+p[h>>3];m=l;q=r*+(j[l+6>>1]|0);o=r*+(j[l+4>>1]|0);n=r*+(j[l+2>>1]|0);s=r*+(j[l>>1]|0);l=1;do{m=m+(e<<1)|0;r=+p[h+(l<<3)>>3];s=s+r*+(j[m>>1]|0);n=n+r*+(j[m+2>>1]|0);o=o+r*+(j[m+4>>1]|0);q=q+r*+(j[m+6>>1]|0);l=l+1|0}while((l|0)!=(g|0));p[c+(k<<3)>>3]=s;p[c+((k|1)<<3)>>3]=n;p[c+((k|2)<<3)>>3]=o;p[c+((k|3)<<3)>>3]=q;k=k+4|0}while((k|0)<=(d|0));i=a&-4}while(0);if((i|0)>=(a|0))return;if((g|0)>1)t=i;else{d=i;do{p[c+(d<<3)>>3]=+p[h>>3]*+(j[b+(d<<1)>>1]|0);d=d+1|0}while((d|0)!=(a|0));return}do{d=b+(t<<1)|0;r=+p[h>>3]*+(j[d>>1]|0);i=d;d=1;do{i=i+(e<<1)|0;r=r+ +p[h+(d<<3)>>3]*+(j[i>>1]|0);d=d+1|0}while((d|0)!=(g|0));p[c+(t<<3)>>3]=r;t=t+1|0}while((t|0)!=(a|0));return}function S3(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=51436;f[a+12>>2]=51704;b=a+24|0;c=a+60|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+40|0;b=a+28|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+64>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+68>>2]|0;if((b|0)==(a+72|0)){Qtc(a);return}TC(b);Qtc(a);return}function T3(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=51436;f[a+12>>2]=51704;b=a+24|0;c=a+60|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+40|0;b=a+28|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+64>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+68>>2]|0;if((b|0)==(a+72|0)){Qtc(a);fuc(a);return}TC(b);Qtc(a);fuc(a);return}function U3(a){a=a|0;var b=0;b=a+12|0;bi[f[f[b>>2]>>2]&2047](b);return}function V3(a){a=a|0;fuc(a);return}function W3(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=51724;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0))return;TC(b);return}function X3(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=51724;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0)){fuc(a);return}TC(b);fuc(a);return}function Y3(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,k=0,l=0,m=0,o=0.0,p=0.0,q=0.0,r=0.0,s=0.0,t=0;g=f[a+4>>2]|0;h=f[a+28>>2]|0;a=Y(e,d)|0;d=a+-4|0;do if((a|0)<4)i=0;else{if((g|0)>1)k=0;else{l=0;do{m=b+(l<<1)|0;o=+n[h>>2];p=o*+(j[m+2>>1]|0);q=o*+(j[m+4>>1]|0);r=o*+(j[m+6>>1]|0);n[c+(l<<2)>>2]=o*+(j[m>>1]|0);n[c+((l|1)<<2)>>2]=p;n[c+((l|2)<<2)>>2]=q;n[c+((l|3)<<2)>>2]=r;l=l+4|0}while((l|0)<=(d|0));i=a&-4;break}do{l=b+(k<<1)|0;r=+n[h>>2];m=l;q=r*+(j[l+6>>1]|0);p=r*+(j[l+4>>1]|0);o=r*+(j[l+2>>1]|0);s=r*+(j[l>>1]|0);l=1;do{m=m+(e<<1)|0;r=+n[h+(l<<2)>>2];s=s+r*+(j[m>>1]|0);o=o+r*+(j[m+2>>1]|0);p=p+r*+(j[m+4>>1]|0);q=q+r*+(j[m+6>>1]|0);l=l+1|0}while((l|0)!=(g|0));n[c+(k<<2)>>2]=s;n[c+((k|1)<<2)>>2]=o;n[c+((k|2)<<2)>>2]=p;n[c+((k|3)<<2)>>2]=q;k=k+4|0}while((k|0)<=(d|0));i=a&-4}while(0);if((i|0)>=(a|0))return;if((g|0)>1)t=i;else{d=i;do{n[c+(d<<2)>>2]=+n[h>>2]*+(j[b+(d<<1)>>1]|0);d=d+1|0}while((d|0)!=(a|0));return}do{d=b+(t<<1)|0;r=+n[h>>2]*+(j[d>>1]|0);i=d;d=1;do{i=i+(e<<1)|0;r=r+ +n[h+(d<<2)>>2]*+(j[i>>1]|0);d=d+1|0}while((d|0)!=(g|0));n[c+(t<<2)>>2]=r;t=t+1|0}while((t|0)!=(a|0));return}function Z3(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=51408;f[a+12>>2]=51724;b=a+24|0;c=a+60|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+40|0;b=a+28|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+64>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+68>>2]|0;if((b|0)==(a+72|0)){Qtc(a);return}TC(b);Qtc(a);return}function _3(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=51408;f[a+12>>2]=51724;b=a+24|0;c=a+60|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+40|0;b=a+28|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+64>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+68>>2]|0;if((b|0)==(a+72|0)){Qtc(a);fuc(a);return}TC(b);Qtc(a);fuc(a);return}function $3(a){a=a|0;var b=0;b=a+12|0;bi[f[f[b>>2]>>2]&2047](b);return}function a4(a){a=a|0;fuc(a);return}function b4(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=51744;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0))return;TC(b);return}function c4(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=51744;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0)){fuc(a);return}TC(b);fuc(a);return}function d4(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,i=0,j=0,k=0,l=0,m=0,n=0.0,o=0.0,q=0.0,r=0.0,s=0.0,t=0;g=f[a+4>>2]|0;i=f[a+28>>2]|0;a=Y(e,d)|0;d=a+-4|0;do if((a|0)<4)j=0;else{if((g|0)>1)k=0;else{l=0;do{m=b+l|0;n=+p[i>>3];o=n*+(h[m+1>>0]|0);q=n*+(h[m+2>>0]|0);r=n*+(h[m+3>>0]|0);p[c+(l<<3)>>3]=n*+(h[m>>0]|0);p[c+((l|1)<<3)>>3]=o;p[c+((l|2)<<3)>>3]=q;p[c+((l|3)<<3)>>3]=r;l=l+4|0}while((l|0)<=(d|0));j=a&-4;break}do{l=b+k|0;r=+p[i>>3];m=l;q=r*+(h[l+3>>0]|0);o=r*+(h[l+2>>0]|0);n=r*+(h[l+1>>0]|0);s=r*+(h[l>>0]|0);l=1;do{m=m+e|0;r=+p[i+(l<<3)>>3];s=s+r*+(h[m>>0]|0);n=n+r*+(h[m+1>>0]|0);o=o+r*+(h[m+2>>0]|0);q=q+r*+(h[m+3>>0]|0);l=l+1|0}while((l|0)!=(g|0));p[c+(k<<3)>>3]=s;p[c+((k|1)<<3)>>3]=n;p[c+((k|2)<<3)>>3]=o;p[c+((k|3)<<3)>>3]=q;k=k+4|0}while((k|0)<=(d|0));j=a&-4}while(0);if((j|0)>=(a|0))return;if((g|0)>1)t=j;else{d=j;do{p[c+(d<<3)>>3]=+p[i>>3]*+(h[b+d>>0]|0);d=d+1|0}while((d|0)!=(a|0));return}do{d=b+t|0;r=+p[i>>3]*+(h[d>>0]|0);j=d;d=1;do{j=j+e|0;r=r+ +p[i+(d<<3)>>3]*+(h[j>>0]|0);d=d+1|0}while((d|0)!=(g|0));p[c+(t<<3)>>3]=r;t=t+1|0}while((t|0)!=(a|0));return}function e4(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=51380;f[a+12>>2]=51744;b=a+24|0;c=a+60|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+40|0;b=a+28|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+64>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+68>>2]|0;if((b|0)==(a+72|0)){Qtc(a);return}TC(b);Qtc(a);return}function f4(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=51380;f[a+12>>2]=51744;b=a+24|0;c=a+60|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+40|0;b=a+28|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+64>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+68>>2]|0;if((b|0)==(a+72|0)){Qtc(a);fuc(a);return}TC(b);Qtc(a);fuc(a);return}function g4(a){a=a|0;var b=0;b=a+12|0;bi[f[f[b>>2]>>2]&2047](b);return}function h4(a){a=a|0;fuc(a);return}function i4(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=51764;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0))return;TC(b);return}function j4(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=51764;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0)){fuc(a);return}TC(b);fuc(a);return}function k4(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,i=0,j=0,k=0,l=0,m=0,o=0.0,p=0.0,q=0.0,r=0.0,s=0.0,t=0;g=f[a+4>>2]|0;i=f[a+28>>2]|0;a=Y(e,d)|0;d=a+-4|0;do if((a|0)<4)j=0;else{if((g|0)>1)k=0;else{l=0;do{m=b+l|0;o=+n[i>>2];p=o*+(h[m+1>>0]|0);q=o*+(h[m+2>>0]|0);r=o*+(h[m+3>>0]|0);n[c+(l<<2)>>2]=o*+(h[m>>0]|0);n[c+((l|1)<<2)>>2]=p;n[c+((l|2)<<2)>>2]=q;n[c+((l|3)<<2)>>2]=r;l=l+4|0}while((l|0)<=(d|0));j=a&-4;break}do{l=b+k|0;r=+n[i>>2];m=l;q=r*+(h[l+3>>0]|0);p=r*+(h[l+2>>0]|0);o=r*+(h[l+1>>0]|0);s=r*+(h[l>>0]|0);l=1;do{m=m+e|0;r=+n[i+(l<<2)>>2];s=s+r*+(h[m>>0]|0);o=o+r*+(h[m+1>>0]|0);p=p+r*+(h[m+2>>0]|0);q=q+r*+(h[m+3>>0]|0);l=l+1|0}while((l|0)!=(g|0));n[c+(k<<2)>>2]=s;n[c+((k|1)<<2)>>2]=o;n[c+((k|2)<<2)>>2]=p;n[c+((k|3)<<2)>>2]=q;k=k+4|0}while((k|0)<=(d|0));j=a&-4}while(0);if((j|0)>=(a|0))return;if((g|0)>1)t=j;else{d=j;do{n[c+(d<<2)>>2]=+n[i>>2]*+(h[b+d>>0]|0);d=d+1|0}while((d|0)!=(a|0));return}do{d=b+t|0;r=+n[i>>2]*+(h[d>>0]|0);j=d;d=1;do{j=j+e|0;r=r+ +n[i+(d<<2)>>2]*+(h[j>>0]|0);d=d+1|0}while((d|0)!=(g|0));n[c+(t<<2)>>2]=r;t=t+1|0}while((t|0)!=(a|0));return}function l4(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=51352;f[a+12>>2]=51764;b=a+24|0;c=a+60|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+40|0;b=a+28|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+64>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+68>>2]|0;if((b|0)==(a+72|0)){Qtc(a);return}TC(b);Qtc(a);return}function m4(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=51352;f[a+12>>2]=51764;b=a+24|0;c=a+60|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+40|0;b=a+28|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+64>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+68>>2]|0;if((b|0)==(a+72|0)){Qtc(a);fuc(a);return}TC(b);Qtc(a);fuc(a);return}function n4(a){a=a|0;var b=0;b=a+12|0;bi[f[f[b>>2]>>2]&2047](b);return}function o4(a){a=a|0;fuc(a);return}function p4(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=51784;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0))return;TC(b);return}function q4(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=51784;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0)){fuc(a);return}TC(b);fuc(a);return}function r4(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;g=f[a+4>>2]|0;i=f[a+28>>2]|0;a=Y(e,d)|0;d=a+-4|0;do if((a|0)<4)j=0;else{if((g|0)>1)k=0;else{l=0;do{m=b+l|0;n=f[i>>2]|0;o=Y(h[m>>0]|0,n)|0;p=Y(h[m+1>>0]|0,n)|0;q=Y(h[m+2>>0]|0,n)|0;r=Y(h[m+3>>0]|0,n)|0;f[c+(l<<2)>>2]=o;f[c+((l|1)<<2)>>2]=p;f[c+((l|2)<<2)>>2]=q;f[c+((l|3)<<2)>>2]=r;l=l+4|0}while((l|0)<=(d|0));j=a&-4;break}do{l=b+k|0;r=f[i>>2]|0;q=Y(h[l>>0]|0,r)|0;p=Y(h[l+1>>0]|0,r)|0;o=Y(h[l+2>>0]|0,r)|0;n=l;m=Y(h[l+3>>0]|0,r)|0;r=o;o=p;p=q;q=1;do{n=n+e|0;l=f[i+(q<<2)>>2]|0;p=(Y(h[n>>0]|0,l)|0)+p|0;o=(Y(h[n+1>>0]|0,l)|0)+o|0;r=(Y(h[n+2>>0]|0,l)|0)+r|0;m=(Y(h[n+3>>0]|0,l)|0)+m|0;q=q+1|0}while((q|0)!=(g|0));f[c+(k<<2)>>2]=p;f[c+((k|1)<<2)>>2]=o;f[c+((k|2)<<2)>>2]=r;f[c+((k|3)<<2)>>2]=m;k=k+4|0}while((k|0)<=(d|0));j=a&-4}while(0);if((j|0)>=(a|0))return;if((g|0)>1)s=j;else{d=j;do{j=Y(h[b+d>>0]|0,f[i>>2]|0)|0;f[c+(d<<2)>>2]=j;d=d+1|0}while((d|0)!=(a|0));return}do{d=b+s|0;j=Y(h[d>>0]|0,f[i>>2]|0)|0;k=d;d=1;do{k=k+e|0;j=(Y(h[k>>0]|0,f[i+(d<<2)>>2]|0)|0)+j|0;d=d+1|0}while((d|0)!=(g|0));f[c+(s<<2)>>2]=j;s=s+1|0}while((s|0)!=(a|0));return}function s4(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=51324;f[a+12>>2]=51784;b=a+24|0;c=a+60|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+40|0;b=a+28|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+64>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+68>>2]|0;if((b|0)==(a+72|0)){Qtc(a);return}TC(b);Qtc(a);return}function t4(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=51324;f[a+12>>2]=51784;b=a+24|0;c=a+60|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+40|0;b=a+28|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+64>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+68>>2]|0;if((b|0)==(a+72|0)){Qtc(a);fuc(a);return}TC(b);Qtc(a);fuc(a);return}function u4(a){a=a|0;var b=0;b=a+12|0;bi[f[f[b>>2]>>2]&2047](b);return}function v4(a){a=a|0;fuc(a);return}function w4(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;e=u;u=u+16|0;g=e;h=a+8|0;f[h>>2]=-1;i=a+4|0;f[i>>2]=-1;f[a>>2]=51824;j=a+12|0;f[j>>2]=1124007936;k=a+16|0;l=a+20|0;m=a+52|0;n=k;o=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(o|0));f[m>>2]=l;p=a+60|0;q=a+56|0;f[q>>2]=p;f[p>>2]=0;f[a+64>>2]=0;if(f[c>>2]&16384){if((j|0)!=(c|0)){p=c+36|0;r=f[p>>2]|0;if(r){s=r+12|0;f[s>>2]=(f[s>>2]|0)+1;s=a+48|0;r=f[s>>2]|0;if((r|0)!=0?(t=r+12|0,r=f[t>>2]|0,f[t>>2]=r+-1,(r|0)==1):0){aU(j);v=s}else v=s}else v=a+48|0;f[v>>2]=0;s=a+28|0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;if((f[k>>2]|0)>0){r=f[m>>2]|0;m=0;do{f[r+(m<<2)>>2]=0;m=m+1|0;w=f[k>>2]|0}while((m|0)<(w|0));f[j>>2]=f[c>>2];if((w|0)<3)x=13;else x=15}else{f[j>>2]=f[c>>2];x=13}if((x|0)==13){w=f[c+4>>2]|0;if((w|0)<3){f[k>>2]=w;f[l>>2]=f[c+8>>2];f[a+24>>2]=f[c+12>>2];w=f[c+44>>2]|0;k=f[q>>2]|0;f[k>>2]=f[w>>2];f[k+4>>2]=f[w+4>>2]}else x=15}if((x|0)==15)$T(j,c);f[s>>2]=f[c+16>>2];f[a+32>>2]=f[c+20>>2];f[a+36>>2]=f[c+24>>2];f[a+40>>2]=f[c+28>>2];f[a+44>>2]=f[c+32>>2];f[v>>2]=f[p>>2]}}else{p=g+8|0;f[p>>2]=0;f[p+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=j;EI(c,g)}f[h>>2]=d;d=f[l>>2]|0;l=f[a+24>>2]|0;f[i>>2]=d+-1+l;if((f[j>>2]&4095|0)!=5){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;y=cuc(80)|0;f[g>>2]=y;z=g+8|0;f[z>>2]=-2147483568;A=g+4|0;f[A>>2]=77;n=y;B=243167;o=n+77|0;do{b[n>>0]=b[B>>0]|0;n=n+1|0;B=B+1|0}while((n|0)<(o|0));C=y+77|0;b[C>>0]=0;WD(-215,g,243245,242392,3053)}if((d|0)==1|(l|0)==1){u=e;return}else{f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;y=cuc(80)|0;f[g>>2]=y;z=g+8|0;f[z>>2]=-2147483568;A=g+4|0;f[A>>2]=77;n=y;B=243167;o=n+77|0;do{b[n>>0]=b[B>>0]|0;n=n+1|0;B=B+1|0}while((n|0)<(o|0));C=y+77|0;b[C>>0]=0;WD(-215,g,243245,242392,3053)}}function x4(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=51824;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0))return;TC(b);return}function y4(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=51824;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0)){fuc(a);return}TC(b);fuc(a);return}function z4(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0;g=f[a+4>>2]|0;h=f[a+28>>2]|0;a=Y(e,d)|0;d=a+-4|0;do if((a|0)<4)i=0;else{if((g|0)>1)j=0;else{k=0;do{l=b+(k<<2)|0;m=+n[h>>2];o=m*+n[l+4>>2];p=m*+n[l+8>>2];q=m*+n[l+12>>2];n[c+(k<<2)>>2]=m*+n[l>>2];n[c+((k|1)<<2)>>2]=o;n[c+((k|2)<<2)>>2]=p;n[c+((k|3)<<2)>>2]=q;k=k+4|0}while((k|0)<=(d|0));i=a&-4;break}do{k=b+(j<<2)|0;q=+n[h>>2];l=k;p=q*+n[k+12>>2];o=q*+n[k+8>>2];m=q*+n[k+4>>2];r=q*+n[k>>2];k=1;do{l=l+(e<<2)|0;q=+n[h+(k<<2)>>2];r=r+q*+n[l>>2];m=m+q*+n[l+4>>2];o=o+q*+n[l+8>>2];p=p+q*+n[l+12>>2];k=k+1|0}while((k|0)!=(g|0));n[c+(j<<2)>>2]=r;n[c+((j|1)<<2)>>2]=m;n[c+((j|2)<<2)>>2]=o;n[c+((j|3)<<2)>>2]=p;j=j+4|0}while((j|0)<=(d|0));i=a&-4}while(0);if((i|0)>=(a|0))return;if((g|0)>1)s=i;else{d=i;do{n[c+(d<<2)>>2]=+n[h>>2]*+n[b+(d<<2)>>2];d=d+1|0}while((d|0)!=(a|0));return}do{d=b+(s<<2)|0;q=+n[h>>2]*+n[d>>2];i=d;d=1;do{i=i+(e<<2)|0;q=q+ +n[h+(d<<2)>>2]*+n[i>>2];d=d+1|0}while((d|0)!=(g|0));n[c+(s<<2)>>2]=q;s=s+1|0}while((s|0)!=(a|0));return}function A4(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=51824;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0)){fuc(a);return}TC(b);fuc(a);return}function B4(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0.0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0,z=0,A=0,B=0,C=0,D=0.0,E=0,F=0,G=0,H=0,I=0.0,J=0,K=0;g=f[a+4>>2]|0;h=(g|0)/2|0;i=Y(h,e)|0;j=(f[a+28>>2]|0)+(h<<2)|0;k=b+(i<<2)|0;l=Y(e,d)|0;if(!(f[a+72>>2]&1)){a:do switch(g|0){case 3:{m=+n[j+4>>2];a=l+-2|0;d=(l|0)<2;if(+n[j>>2]==0.0&m==1.0){if(d){o=k;p=0;break a}q=0-e|0;r=e+1|0;s=1-e|0;t=a>>>1;u=t<<1;v=b+((i<<2)+(t<<3)+8)|0;t=k;w=0;while(1){x=+n[t+(r<<2)>>2]-+n[t+(s<<2)>>2];n[c+(w<<2)>>2]=+n[t+(e<<2)>>2]-+n[t+(q<<2)>>2];n[c+((w|1)<<2)>>2]=x;w=w+2|0;if((w|0)>(a|0))break;else t=t+8|0}o=v;p=u+2|0;break a}else{if(d){o=k;p=0;break a}t=0-e|0;w=e+1|0;q=1-e|0;s=a>>>1;r=s<<1;y=b+((i<<2)+(s<<3)+8)|0;s=k;z=0;while(1){x=m*(+n[s+(w<<2)>>2]-+n[s+(q<<2)>>2]);n[c+(z<<2)>>2]=m*(+n[s+(e<<2)>>2]-+n[s+(t<<2)>>2]);n[c+((z|1)<<2)>>2]=x;z=z+2|0;if((z|0)>(a|0))break;else s=s+8|0}o=y;p=r+2|0;break a}break}case 5:{m=+n[j+4>>2];x=+n[j+8>>2];s=l+-2|0;if((l|0)<2){o=k;p=0}else{a=0-e|0;z=e<<1;t=a<<1;q=e+1|0;w=1-e|0;d=z|1;u=1-z|0;v=s>>>1;A=v<<1;B=b+((i<<2)+(v<<3)+8)|0;v=0;C=k;while(1){D=m*(+n[C+(q<<2)>>2]-+n[C+(w<<2)>>2])+x*(+n[C+(d<<2)>>2]-+n[C+(u<<2)>>2]);n[c+(v<<2)>>2]=m*(+n[C+(e<<2)>>2]-+n[C+(a<<2)>>2])+x*(+n[C+(z<<2)>>2]-+n[C+(t<<2)>>2]);n[c+((v|1)<<2)>>2]=D;v=v+2|0;if((v|0)>(s|0))break;else C=C+8|0}o=B;p=A+2|0}break}default:{o=k;p=0}}while(0);if((p|0)>=(l|0))return;if((g|0)<2){C=o;s=p;while(1){n[c+(s<<2)>>2]=+n[j>>2]*+n[C>>2];s=s+1|0;if((s|0)==(l|0))break;else C=C+4|0}return}else{E=o;F=p}while(1){x=+n[j>>2]*+n[E>>2];p=e;o=1;while(1){x=x+ +n[j+(o<<2)>>2]*(+n[E+(p<<2)>>2]-+n[E+(0-p<<2)>>2]);if((o|0)>=(h|0))break;else{p=p+e|0;o=o+1|0}}n[c+(F<<2)>>2]=x;F=F+1|0;if((F|0)==(l|0))break;else E=E+4|0}return}b:do switch(g|0){case 1:{if(+n[j>>2]==1.0?(E=l+-2|0,(l|0)>=2):0){F=E>>>1;o=F<<1;p=b+((i<<2)+(F<<3)+8)|0;F=0;A=k;while(1){B=F|1;C=f[k+(B<<2)>>2]|0;f[c+(F<<2)>>2]=f[A>>2];f[c+(B<<2)>>2]=C;C=F+2|0;if((C|0)>(E|0))break;else{F=C;A=k+(C<<2)|0}}G=p;H=o+2|0}else{G=k;H=0}break}case 3:{x=+n[j>>2];m=+n[j+4>>2];A=m==1.0;if(x==2.0&A){F=l+-2|0;if((l|0)<2){G=k;H=0;break b}E=0-e|0;C=1-e|0;B=e+1|0;s=F>>>1;v=s<<1;t=b+((i<<2)+(s<<3)+8)|0;s=k;z=0;while(1){D=+n[s+(B<<2)>>2]+(+n[s+(C<<2)>>2]+ +n[s+4>>2]*2.0);n[c+(z<<2)>>2]=+n[s+(e<<2)>>2]+(+n[s+(E<<2)>>2]+ +n[s>>2]*2.0);n[c+((z|1)<<2)>>2]=D;z=z+2|0;if((z|0)>(F|0))break;else s=s+8|0}G=t;H=v+2|0;break b}s=l+-2|0;F=(l|0)<2;if(x==-2.0&A){if(F){G=k;H=0;break b}z=0-e|0;E=1-e|0;C=e+1|0;B=s>>>1;o=B<<1;p=b+((i<<2)+(B<<3)+8)|0;B=k;a=0;while(1){D=+n[B+(C<<2)>>2]+(+n[B+(E<<2)>>2]-+n[B+4>>2]*2.0);n[c+(a<<2)>>2]=+n[B+(e<<2)>>2]+(+n[B+(z<<2)>>2]-+n[B>>2]*2.0);n[c+((a|1)<<2)>>2]=D;a=a+2|0;if((a|0)>(s|0))break;else B=B+8|0}G=p;H=o+2|0;break b}else{if(F){G=k;H=0;break b}B=0-e|0;a=1-e|0;z=e+1|0;E=s>>>1;C=E<<1;A=b+((i<<2)+(E<<3)+8)|0;E=k;v=0;while(1){D=x*+n[E+4>>2]+m*(+n[E+(a<<2)>>2]+ +n[E+(z<<2)>>2]);n[c+(v<<2)>>2]=x*+n[E>>2]+m*(+n[E+(B<<2)>>2]+ +n[E+(e<<2)>>2]);n[c+((v|1)<<2)>>2]=D;v=v+2|0;if((v|0)>(s|0))break;else E=E+8|0}G=A;H=C+2|0;break b}break}case 5:{m=+n[j>>2];x=+n[j+4>>2];D=+n[j+8>>2];E=l+-2|0;s=(l|0)<2;if(m==-2.0&x==0.0&D==1.0){if(s){G=k;H=0;break b}v=0-e<<1;B=e<<1;z=1-B|0;a=B|1;F=E>>>1;o=F<<1;p=b+((i<<2)+(F<<3)+8)|0;F=k;t=0;while(1){I=+n[F+(z<<2)>>2]-+n[F+4>>2]*2.0+ +n[F+(a<<2)>>2];n[c+(t<<2)>>2]=+n[F+(v<<2)>>2]-+n[F>>2]*2.0+ +n[F+(B<<2)>>2];n[c+((t|1)<<2)>>2]=I;t=t+2|0;if((t|0)>(E|0))break;else F=F+8|0}G=p;H=o+2|0;break b}else{if(s){G=k;H=0;break b}F=0-e|0;t=F<<1;B=e<<1;v=1-e|0;a=e+1|0;z=1-B|0;C=B|1;A=E>>>1;u=A<<1;d=b+((i<<2)+(A<<3)+8)|0;A=k;w=0;while(1){I=m*+n[A+4>>2]+x*(+n[A+(v<<2)>>2]+ +n[A+(a<<2)>>2])+D*(+n[A+(z<<2)>>2]+ +n[A+(C<<2)>>2]);n[c+(w<<2)>>2]=m*+n[A>>2]+x*(+n[A+(F<<2)>>2]+ +n[A+(e<<2)>>2])+D*(+n[A+(t<<2)>>2]+ +n[A+(B<<2)>>2]);n[c+((w|1)<<2)>>2]=I;w=w+2|0;if((w|0)>(E|0))break;else A=A+8|0}G=d;H=u+2|0;break b}break}default:{G=k;H=0}}while(0);if((H|0)>=(l|0))return;if((g|0)<2){g=G;k=H;while(1){n[c+(k<<2)>>2]=+n[j>>2]*+n[g>>2];k=k+1|0;if((k|0)==(l|0))break;else g=g+4|0}return}else{J=G;K=H}while(1){H=e;G=1;D=+n[j>>2]*+n[J>>2];while(1){D=D+ +n[j+(G<<2)>>2]*(+n[J+(H<<2)>>2]+ +n[J+(0-H<<2)>>2]);if((G|0)>=(h|0))break;else{H=H+e|0;G=G+1|0}}n[c+(K<<2)>>2]=D;K=K+1|0;if((K|0)==(l|0))break;else J=J+4|0}return}function C4(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=51296;f[a+12>>2]=51824;b=a+24|0;c=a+60|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+40|0;b=a+28|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+64>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+68>>2]|0;if((b|0)==(a+72|0)){Qtc(a);return}TC(b);Qtc(a);return}function D4(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=51296;f[a+12>>2]=51824;b=a+24|0;c=a+60|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+40|0;b=a+28|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+64>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+68>>2]|0;if((b|0)==(a+72|0)){Qtc(a);fuc(a);return}TC(b);Qtc(a);fuc(a);return}function E4(a){a=a|0;var b=0;b=a+12|0;bi[f[f[b>>2]>>2]&2047](b);return}function F4(a){a=a|0;fuc(a);return}function G4(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;e=u;u=u+16|0;g=e;h=a+8|0;f[h>>2]=-1;i=a+4|0;f[i>>2]=-1;f[a>>2]=51864;j=a+12|0;f[j>>2]=1124007936;k=a+16|0;l=a+20|0;m=a+52|0;n=k;o=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(o|0));f[m>>2]=l;p=a+60|0;q=a+56|0;f[q>>2]=p;f[p>>2]=0;f[a+64>>2]=0;if(f[c>>2]&16384){if((j|0)!=(c|0)){p=c+36|0;r=f[p>>2]|0;if(r){s=r+12|0;f[s>>2]=(f[s>>2]|0)+1;s=a+48|0;r=f[s>>2]|0;if((r|0)!=0?(t=r+12|0,r=f[t>>2]|0,f[t>>2]=r+-1,(r|0)==1):0){aU(j);v=s}else v=s}else v=a+48|0;f[v>>2]=0;s=a+28|0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;if((f[k>>2]|0)>0){r=f[m>>2]|0;m=0;do{f[r+(m<<2)>>2]=0;m=m+1|0;w=f[k>>2]|0}while((m|0)<(w|0));f[j>>2]=f[c>>2];if((w|0)<3)x=13;else x=15}else{f[j>>2]=f[c>>2];x=13}if((x|0)==13){w=f[c+4>>2]|0;if((w|0)<3){f[k>>2]=w;f[l>>2]=f[c+8>>2];f[a+24>>2]=f[c+12>>2];w=f[c+44>>2]|0;k=f[q>>2]|0;f[k>>2]=f[w>>2];f[k+4>>2]=f[w+4>>2]}else x=15}if((x|0)==15)$T(j,c);f[s>>2]=f[c+16>>2];f[a+32>>2]=f[c+20>>2];f[a+36>>2]=f[c+24>>2];f[a+40>>2]=f[c+28>>2];f[a+44>>2]=f[c+32>>2];f[v>>2]=f[p>>2]}}else{p=g+8|0;f[p>>2]=0;f[p+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=j;EI(c,g)}f[h>>2]=d;d=f[l>>2]|0;l=f[a+24>>2]|0;f[i>>2]=d+-1+l;if((f[j>>2]&4095|0)!=4){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;y=cuc(80)|0;f[g>>2]=y;z=g+8|0;f[z>>2]=-2147483568;A=g+4|0;f[A>>2]=77;n=y;B=243167;o=n+77|0;do{b[n>>0]=b[B>>0]|0;n=n+1|0;B=B+1|0}while((n|0)<(o|0));C=y+77|0;b[C>>0]=0;WD(-215,g,243245,242392,3053)}if((d|0)==1|(l|0)==1){u=e;return}else{f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;y=cuc(80)|0;f[g>>2]=y;z=g+8|0;f[z>>2]=-2147483568;A=g+4|0;f[A>>2]=77;n=y;B=243167;o=n+77|0;do{b[n>>0]=b[B>>0]|0;n=n+1|0;B=B+1|0}while((n|0)<(o|0));C=y+77|0;b[C>>0]=0;WD(-215,g,243245,242392,3053)}}function H4(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=51864;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0))return;TC(b);return}function I4(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=51864;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0)){fuc(a);return}TC(b);fuc(a);return}function J4(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;g=f[a+4>>2]|0;i=f[a+28>>2]|0;a=Y(e,d)|0;d=a+-4|0;do if((a|0)<4)j=0;else{if((g|0)>1)k=0;else{l=0;do{m=b+l|0;n=f[i>>2]|0;o=Y(h[m>>0]|0,n)|0;p=Y(h[m+1>>0]|0,n)|0;q=Y(h[m+2>>0]|0,n)|0;r=Y(h[m+3>>0]|0,n)|0;f[c+(l<<2)>>2]=o;f[c+((l|1)<<2)>>2]=p;f[c+((l|2)<<2)>>2]=q;f[c+((l|3)<<2)>>2]=r;l=l+4|0}while((l|0)<=(d|0));j=a&-4;break}do{l=b+k|0;r=f[i>>2]|0;q=Y(h[l>>0]|0,r)|0;p=Y(h[l+1>>0]|0,r)|0;o=Y(h[l+2>>0]|0,r)|0;n=l;m=Y(h[l+3>>0]|0,r)|0;r=o;o=p;p=q;q=1;do{n=n+e|0;l=f[i+(q<<2)>>2]|0;p=(Y(h[n>>0]|0,l)|0)+p|0;o=(Y(h[n+1>>0]|0,l)|0)+o|0;r=(Y(h[n+2>>0]|0,l)|0)+r|0;m=(Y(h[n+3>>0]|0,l)|0)+m|0;q=q+1|0}while((q|0)!=(g|0));f[c+(k<<2)>>2]=p;f[c+((k|1)<<2)>>2]=o;f[c+((k|2)<<2)>>2]=r;f[c+((k|3)<<2)>>2]=m;k=k+4|0}while((k|0)<=(d|0));j=a&-4}while(0);if((j|0)>=(a|0))return;if((g|0)>1)s=j;else{d=j;do{j=Y(h[b+d>>0]|0,f[i>>2]|0)|0;f[c+(d<<2)>>2]=j;d=d+1|0}while((d|0)!=(a|0));return}do{d=b+s|0;j=Y(h[d>>0]|0,f[i>>2]|0)|0;k=d;d=1;do{k=k+e|0;j=(Y(h[k>>0]|0,f[i+(d<<2)>>2]|0)|0)+j|0;d=d+1|0}while((d|0)!=(g|0));f[c+(s<<2)>>2]=j;s=s+1|0}while((s|0)!=(a|0));return}function K4(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=51864;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0)){fuc(a);return}TC(b);fuc(a);return}function L4(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0;g=f[a+4>>2]|0;i=(g|0)/2|0;j=Y(i,e)|0;k=(f[a+28>>2]|0)+(i<<2)|0;l=b+j|0;m=Y(e,d)|0;if(!(f[a+72>>2]&1)){a:do switch(g|0){case 3:{a=f[k+4>>2]|0;d=m+-2|0;n=(m|0)<2;if((f[k>>2]|0)==0&(a|0)==1){if(n){o=l;p=0;break a}q=0-e|0;r=e+1|0;s=1-e|0;t=d&-2;u=j+t+2|0;v=l;w=0;while(1){x=(h[v+r>>0]|0)-(h[v+s>>0]|0)|0;f[c+(w<<2)>>2]=(h[v+e>>0]|0)-(h[v+q>>0]|0);f[c+((w|1)<<2)>>2]=x;w=w+2|0;if((w|0)>(d|0))break;else v=v+2|0}o=b+u|0;p=t+2|0;break a}else{if(n){o=l;p=0;break a}v=0-e|0;w=e+1|0;q=1-e|0;s=d&-2;r=j+s+2|0;x=l;y=0;while(1){z=Y((h[x+e>>0]|0)-(h[x+v>>0]|0)|0,a)|0;A=Y((h[x+w>>0]|0)-(h[x+q>>0]|0)|0,a)|0;f[c+(y<<2)>>2]=z;f[c+((y|1)<<2)>>2]=A;y=y+2|0;if((y|0)>(d|0))break;else x=x+2|0}o=b+r|0;p=s+2|0;break a}break}case 5:{x=f[k+4>>2]|0;d=f[k+8>>2]|0;y=m+-2|0;if((m|0)<2){o=l;p=0}else{a=0-e|0;q=e<<1;w=a<<1;v=e+1|0;n=1-e|0;t=q|1;u=1-q|0;A=y&-2;z=j+A+2|0;B=0;C=l;while(1){D=Y((h[C+e>>0]|0)-(h[C+a>>0]|0)|0,x)|0;E=(Y((h[C+q>>0]|0)-(h[C+w>>0]|0)|0,d)|0)+D|0;D=Y((h[C+v>>0]|0)-(h[C+n>>0]|0)|0,x)|0;F=(Y((h[C+t>>0]|0)-(h[C+u>>0]|0)|0,d)|0)+D|0;f[c+(B<<2)>>2]=E;f[c+((B|1)<<2)>>2]=F;B=B+2|0;if((B|0)>(y|0))break;else C=C+2|0}o=b+z|0;p=A+2|0}break}default:{o=l;p=0}}while(0);if((p|0)>=(m|0))return;if((g|0)<2){C=o;y=p;while(1){B=Y(h[C>>0]|0,f[k>>2]|0)|0;f[c+(y<<2)>>2]=B;y=y+1|0;if((y|0)==(m|0))break;else C=C+1|0}return}else{G=o;H=p}while(1){p=Y(h[G>>0]|0,f[k>>2]|0)|0;o=e;C=1;while(1){p=(Y((h[G+o>>0]|0)-(h[G+(0-o)>>0]|0)|0,f[k+(C<<2)>>2]|0)|0)+p|0;if((C|0)>=(i|0))break;else{o=o+e|0;C=C+1|0}}f[c+(H<<2)>>2]=p;H=H+1|0;if((H|0)==(m|0))break;else G=G+1|0}return}b:do switch(g|0){case 1:{if((f[k>>2]|0)==1?(G=m+-2|0,(m|0)>=2):0){H=G&-2;C=j+H+2|0;o=0;A=l;while(1){z=o|1;y=h[l+z>>0]|0;f[c+(o<<2)>>2]=h[A>>0];f[c+(z<<2)>>2]=y;y=o+2|0;if((y|0)>(G|0))break;else{o=y;A=l+y|0}}I=b+C|0;J=H+2|0}else{I=l;J=0}break}case 3:{A=f[k>>2]|0;o=f[k+4>>2]|0;G=(o|0)==1;if((A|0)==2&G){p=m+-2|0;if((m|0)<2){I=l;J=0;break b}y=0-e|0;z=1-e|0;B=e+1|0;d=p&-2;u=j+d+2|0;t=l;x=0;while(1){n=((h[t+1>>0]|0)<<1)+(h[t+z>>0]|0)+(h[t+B>>0]|0)|0;f[c+(x<<2)>>2]=((h[t>>0]|0)<<1)+(h[t+y>>0]|0)+(h[t+e>>0]|0);f[c+((x|1)<<2)>>2]=n;x=x+2|0;if((x|0)>(p|0))break;else t=t+2|0}I=b+u|0;J=d+2|0;break b}t=m+-2|0;p=(m|0)<2;if((A|0)==-2&G){if(p){I=l;J=0;break b}x=0-e|0;y=1-e|0;B=e+1|0;z=t&-2;H=j+z+2|0;C=l;n=0;while(1){v=(h[C+y>>0]|0)-((h[C+1>>0]|0)<<1)+(h[C+B>>0]|0)|0;f[c+(n<<2)>>2]=(h[C+x>>0]|0)-((h[C>>0]|0)<<1)+(h[C+e>>0]|0);f[c+((n|1)<<2)>>2]=v;n=n+2|0;if((n|0)>(t|0))break;else C=C+2|0}I=b+H|0;J=z+2|0;break b}else{if(p){I=l;J=0;break b}C=0-e|0;n=1-e|0;x=e+1|0;B=t&-2;y=j+B+2|0;G=l;d=0;while(1){u=Y(h[G>>0]|0,A)|0;v=(Y((h[G+e>>0]|0)+(h[G+C>>0]|0)|0,o)|0)+u|0;u=Y(h[G+1>>0]|0,A)|0;w=(Y((h[G+x>>0]|0)+(h[G+n>>0]|0)|0,o)|0)+u|0;f[c+(d<<2)>>2]=v;f[c+((d|1)<<2)>>2]=w;d=d+2|0;if((d|0)>(t|0))break;else G=G+2|0}I=b+y|0;J=B+2|0;break b}break}case 5:{G=f[k>>2]|0;t=f[k+4>>2]|0;d=f[k+8>>2]|0;o=m+-2|0;n=(m|0)<2;if((G|0)==-2&(t|0)==0&(d|0)==1){if(n){I=l;J=0;break b}x=0-e<<1;A=e<<1;C=1-A|0;p=A|1;z=o&-2;H=j+z+2|0;w=l;v=0;while(1){u=Y(h[w>>0]|0,-2)|0;q=Y(h[w+1>>0]|0,-2)|0;a=q+(h[w+C>>0]|0)+(h[w+p>>0]|0)|0;f[c+(v<<2)>>2]=u+(h[w+x>>0]|0)+(h[w+A>>0]|0);f[c+((v|1)<<2)>>2]=a;v=v+2|0;if((v|0)>(o|0))break;else w=w+2|0}I=b+H|0;J=z+2|0;break b}else{if(n){I=l;J=0;break b}w=0-e|0;v=w<<1;A=e<<1;x=1-e|0;p=e+1|0;C=1-A|0;B=A|1;y=o&-2;a=j+y+2|0;u=l;q=0;while(1){s=Y(h[u>>0]|0,G)|0;r=(Y((h[u+e>>0]|0)+(h[u+w>>0]|0)|0,t)|0)+s|0;s=r+(Y((h[u+A>>0]|0)+(h[u+v>>0]|0)|0,d)|0)|0;r=Y(h[u+1>>0]|0,G)|0;F=(Y((h[u+p>>0]|0)+(h[u+x>>0]|0)|0,t)|0)+r|0;r=F+(Y((h[u+B>>0]|0)+(h[u+C>>0]|0)|0,d)|0)|0;f[c+(q<<2)>>2]=s;f[c+((q|1)<<2)>>2]=r;q=q+2|0;if((q|0)>(o|0))break;else u=u+2|0}I=b+a|0;J=y+2|0;break b}break}default:{I=l;J=0}}while(0);if((J|0)>=(m|0))return;if((g|0)<2){g=I;l=J;while(1){b=Y(h[g>>0]|0,f[k>>2]|0)|0;f[c+(l<<2)>>2]=b;l=l+1|0;if((l|0)==(m|0))break;else g=g+1|0}return}else{K=I;L=J}while(1){J=e;I=1;g=Y(h[K>>0]|0,f[k>>2]|0)|0;while(1){g=(Y((h[K+(0-J)>>0]|0)+(h[K+J>>0]|0)|0,f[k+(I<<2)>>2]|0)|0)+g|0;if((I|0)>=(i|0))break;else{J=J+e|0;I=I+1|0}}f[c+(L<<2)>>2]=g;L=L+1|0;if((L|0)==(m|0))break;else K=K+1|0}return}function M4(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=51268;f[a+12>>2]=51864;b=a+24|0;c=a+60|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+40|0;b=a+28|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+64>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+68>>2]|0;if((b|0)==(a+72|0)){Qtc(a);return}TC(b);Qtc(a);return}function N4(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=51268;f[a+12>>2]=51864;b=a+24|0;c=a+60|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+40|0;b=a+28|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+64>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+68>>2]|0;if((b|0)==(a+72|0)){Qtc(a);fuc(a);return}TC(b);Qtc(a);fuc(a);return}function O4(a){a=a|0;var b=0;b=a+12|0;bi[f[f[b>>2]>>2]&2047](b);return}function P4(a){a=a|0;fuc(a);return}function Q4(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=+i;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0;k=u;u=u+96|0;l=k;m=k+72|0;n=k+64|0;o=k+8|0;do if((qJ(e)|0)==65536){p=f[e+4>>2]|0;f[o>>2]=f[p>>2];q=o+4|0;r=p+4|0;f[q>>2]=f[r>>2];s=o+8|0;f[s>>2]=f[p+8>>2];f[o+12>>2]=f[p+12>>2];f[o+16>>2]=f[p+16>>2];f[o+20>>2]=f[p+20>>2];f[o+24>>2]=f[p+24>>2];f[o+28>>2]=f[p+28>>2];f[o+32>>2]=f[p+32>>2];t=f[p+36>>2]|0;f[o+36>>2]=t;f[o+40>>2]=s;s=o+48|0;v=o+44|0;f[v>>2]=s;f[s>>2]=0;f[o+52>>2]=0;if(t|0){s=t+12|0;f[s>>2]=(f[s>>2]|0)+1}if((f[r>>2]|0)<3){r=f[p+44>>2]|0;s=f[v>>2]|0;f[s>>2]=f[r>>2];f[s+4>>2]=f[r+4>>2];break}else{f[q>>2]=0;$T(o,p);break}}else nJ(o,e,-1);while(0);e=c&7;p=d&7;if((d^c)&4088|0){f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;w=cuc(96)|0;f[m>>2]=w;x=m+8|0;f[x>>2]=-2147483552;y=m+4|0;f[y>>2]=89;z=w;A=244941;B=z+89|0;do{b[z>>0]=b[A>>0]|0;z=z+1|0;A=A+1|0}while((z|0)<(B|0));C=w+89|0;b[C>>0]=0;WD(-215,m,245031,242392,3658)}if((e|0)<((p>>>0>4?p:4)|0)){f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;w=cuc(96)|0;f[m>>2]=w;x=m+8|0;f[x>>2]=-2147483552;y=m+4|0;f[y>>2]=89;z=w;A=244941;B=z+89|0;do{b[z>>0]=b[A>>0]|0;z=z+1|0;A=A+1|0}while((z|0)<(B|0));C=w+89|0;b[C>>0]=0;WD(-215,m,245031,242392,3658)}if((f[o>>2]&4095|0)!=(e|0)){f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;w=cuc(96)|0;f[m>>2]=w;x=m+8|0;f[x>>2]=-2147483552;y=m+4|0;f[y>>2]=89;z=w;A=244941;B=z+89|0;do{b[z>>0]=b[A>>0]|0;z=z+1|0;A=A+1|0}while((z|0)<(B|0));C=w+89|0;b[C>>0]=0;WD(-215,m,245031,242392,3658)}do if(!(h&3)){C=(p|0)==0;if((e|0)==4&C){f[n>>2]=j;f[n+4>>2]=(j|0)==0?0:1<<j+-1;w=cuc(96)|0;f[w+4>>2]=0;f[w+8>>2]=0;f[w>>2]=51884;A=w+12|0;R4(A,o,g,i,n,m);f[a>>2]=A;f[a+4>>2]=w;break}w=(e|0)==5;if(w&C){A=cuc(88)|0;f[A+4>>2]=0;f[A+8>>2]=0;f[A>>2]=51912;z=A+12|0;S4(z,o,g,i,m,n);f[a>>2]=z;f[a+4>>2]=A;break}A=(e|0)==6;if(A&C){C=cuc(96)|0;f[C+4>>2]=0;f[C+8>>2]=0;f[C>>2]=51940;z=C+16|0;T4(z,o,g,i,m,n);f[a>>2]=z;f[a+4>>2]=C;break}C=(p|0)==2;if(w&C){z=cuc(88)|0;f[z+4>>2]=0;f[z+8>>2]=0;f[z>>2]=51968;B=z+12|0;U4(B,o,g,i,m,n);f[a>>2]=B;f[a+4>>2]=z;break}if(A&C){C=cuc(96)|0;f[C+4>>2]=0;f[C+8>>2]=0;f[C>>2]=51996;z=C+16|0;V4(z,o,g,i,m,n);f[a>>2]=z;f[a+4>>2]=C;break}C=(p|0)==3;if(w&C){z=cuc(88)|0;f[z+4>>2]=0;f[z+8>>2]=0;f[z>>2]=52024;B=z+12|0;W4(B,o,g,i,m,n);f[a>>2]=B;f[a+4>>2]=z;break}if(A&C){C=cuc(96)|0;f[C+4>>2]=0;f[C+8>>2]=0;f[C>>2]=52052;z=C+16|0;X4(z,o,g,i,m,n);f[a>>2]=z;f[a+4>>2]=C;break}if(w&(p|0)==5){w=cuc(88)|0;f[w+4>>2]=0;f[w+8>>2]=0;f[w>>2]=52080;C=w+12|0;Y4(C,o,g,i,m,n);f[a>>2]=C;f[a+4>>2]=w;break}if(A&(p|0)==6){A=cuc(96)|0;f[A+4>>2]=0;f[A+8>>2]=0;f[A>>2]=52108;w=A+16|0;Z4(w,o,g,i,m,n);f[a>>2]=w;f[a+4>>2]=A;break}else{f[l>>2]=c;D=l+4|0;f[D>>2]=d;cE(m,245053,l);WD(-213,m,245031,242392,3739)}}else{if(((f[o+12>>2]|0)+(f[o+8>>2]|0)|0)==4){A=(e|0)==4;if(A&(p|0)==0){f[m>>2]=j;f[m+4>>2]=(j|0)==0?0:1<<j+-1;w=cuc(100)|0;f[w+4>>2]=0;f[w+8>>2]=0;f[w>>2]=52136;C=w+12|0;_4(C,o,g,i,h,m,n);f[a>>2]=C;f[a+4>>2]=w;break}if(A&(p|0)==3&(j|0)==0){A=cuc(92)|0;f[A+4>>2]=0;f[A+8>>2]=0;f[A>>2]=52164;w=A+12|0;$4(w,o,g,i,h,m,n);f[a>>2]=w;f[a+4>>2]=A;break}if((e|0)==5&(p|0)==5){A=cuc(92)|0;f[A+4>>2]=0;f[A+8>>2]=0;f[A>>2]=52192;w=A+12|0;a5(w,o,g,i,h,m,n);f[a>>2]=w;f[a+4>>2]=A;break}}A=(p|0)==0;w=(e|0)==4;if(w&A){f[m>>2]=j;f[m+4>>2]=(j|0)==0?0:1<<j+-1;C=cuc(100)|0;f[C+4>>2]=0;f[C+8>>2]=0;f[C>>2]=52220;z=C+12|0;b5(z,o,g,i,h,m,n);f[a>>2]=z;f[a+4>>2]=C;break}C=(e|0)==5;if(C&A){z=cuc(92)|0;f[z+4>>2]=0;f[z+8>>2]=0;f[z>>2]=52248;B=z+12|0;c5(B,o,g,i,h,m,n);f[a>>2]=B;f[a+4>>2]=z;break}z=(e|0)==6;if(z&A){A=cuc(104)|0;f[A+4>>2]=0;f[A+8>>2]=0;f[A>>2]=52276;B=A+16|0;d5(B,o,g,i,h,m,n);f[a>>2]=B;f[a+4>>2]=A;break}A=(p|0)==2;if(C&A){B=cuc(92)|0;f[B+4>>2]=0;f[B+8>>2]=0;f[B>>2]=52304;y=B+12|0;e5(y,o,g,i,h,m,n);f[a>>2]=y;f[a+4>>2]=B;break}if(z&A){A=cuc(104)|0;f[A+4>>2]=0;f[A+8>>2]=0;f[A>>2]=52332;B=A+16|0;f5(B,o,g,i,h,m,n);f[a>>2]=B;f[a+4>>2]=A;break}A=(p|0)==3;if(w&A){w=cuc(92)|0;f[w+4>>2]=0;f[w+8>>2]=0;f[w>>2]=52360;B=w+12|0;g5(B,o,g,i,h,m,n);f[a>>2]=B;f[a+4>>2]=w;break}if(C&A){w=cuc(92)|0;f[w+4>>2]=0;f[w+8>>2]=0;f[w>>2]=52388;B=w+12|0;h5(B,o,g,i,h,m,n);f[a>>2]=B;f[a+4>>2]=w;break}if(z&A){A=cuc(104)|0;f[A+4>>2]=0;f[A+8>>2]=0;f[A>>2]=52416;w=A+16|0;i5(w,o,g,i,h,m,n);f[a>>2]=w;f[a+4>>2]=A;break}if(C&(p|0)==5){C=cuc(92)|0;f[C+4>>2]=0;f[C+8>>2]=0;f[C>>2]=52444;A=C+12|0;j5(A,o,g,i,h,m,n);f[a>>2]=A;f[a+4>>2]=C;break}if(z&(p|0)==6){z=cuc(104)|0;f[z+4>>2]=0;f[z+8>>2]=0;f[z>>2]=52472;C=z+16|0;k5(C,o,g,i,h,m,n);f[a>>2]=C;f[a+4>>2]=z;break}else{f[l>>2]=c;D=l+4|0;f[D>>2]=d;cE(m,245053,l);WD(-213,m,245031,242392,3739)}}while(0);m=o+36|0;l=f[m>>2]|0;if(l|0?(d=l+12|0,l=f[d>>2]|0,f[d>>2]=l+-1,(l|0)==1):0)aU(o);f[m>>2]=0;m=o+16|0;l=o+4|0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;if((f[l>>2]|0)>0){m=f[o+40>>2]|0;d=0;do{f[m+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[l>>2]|0))}l=f[o+44>>2]|0;if((l|0)==(o+48|0)){u=k;return}TC(l);u=k;return}function R4(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;h=u;u=u+16|0;i=h;j=a+8|0;f[j>>2]=-1;k=a+4|0;f[k>>2]=-1;f[a>>2]=52956;l=a+12|0;f[l>>2]=1124007936;m=a+16|0;n=a+20|0;o=a+52|0;p=m;q=p+36|0;do{f[p>>2]=0;p=p+4|0}while((p|0)<(q|0));f[o>>2]=n;r=a+60|0;s=a+56|0;f[s>>2]=r;t=a+68|0;f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;f[r+12>>2]=0;if(f[c>>2]&16384){if((l|0)!=(c|0)){r=c+36|0;v=f[r>>2]|0;if(v){w=v+12|0;f[w>>2]=(f[w>>2]|0)+1;w=a+48|0;v=f[w>>2]|0;if((v|0)!=0?(x=v+12|0,v=f[x>>2]|0,f[x>>2]=v+-1,(v|0)==1):0){aU(l);y=w}else y=w}else y=a+48|0;f[y>>2]=0;w=a+28|0;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;f[w+12>>2]=0;if((f[m>>2]|0)>0){v=f[o>>2]|0;o=0;do{f[v+(o<<2)>>2]=0;o=o+1|0;z=f[m>>2]|0}while((o|0)<(z|0));f[l>>2]=f[c>>2];if((z|0)<3)A=13;else A=15}else{f[l>>2]=f[c>>2];A=13}if((A|0)==13){z=f[c+4>>2]|0;if((z|0)<3){f[m>>2]=z;f[n>>2]=f[c+8>>2];f[a+24>>2]=f[c+12>>2];z=f[c+44>>2]|0;m=f[s>>2]|0;f[m>>2]=f[z>>2];f[m+4>>2]=f[z+4>>2]}else A=15}if((A|0)==15)$T(l,c);f[w>>2]=f[c+16>>2];f[a+32>>2]=f[c+20>>2];f[a+36>>2]=f[c+24>>2];f[a+40>>2]=f[c+28>>2];f[a+44>>2]=f[c+32>>2];f[y>>2]=f[r>>2]}}else{r=i+8|0;f[r>>2]=0;f[r+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=l;EI(c,i)}f[j>>2]=d;d=f[n>>2]|0;n=f[a+24>>2]|0;f[k>>2]=d+-1+n;k=Fhc(e)|0;f[a+80>>2]=k;k=g;g=f[k+4>>2]|0;a=t;f[a>>2]=f[k>>2];f[a+4>>2]=g;if((f[l>>2]&4095|0)!=4){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;B=cuc(80)|0;f[i>>2]=B;C=i+8|0;f[C>>2]=-2147483568;D=i+4|0;f[D>>2]=77;p=B;E=246188;q=p+77|0;do{b[p>>0]=b[E>>0]|0;p=p+1|0;E=E+1|0}while((p|0)<(q|0));F=B+77|0;b[F>>0]=0;WD(-215,i,246266,242392,3251)}if((d|0)==1|(n|0)==1){u=h;return}else{f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;B=cuc(80)|0;f[i>>2]=B;C=i+8|0;f[C>>2]=-2147483568;D=i+4|0;f[D>>2]=77;p=B;E=246188;q=p+77|0;do{b[p>>0]=b[E>>0]|0;p=p+1|0;E=E+1|0}while((p|0)<(q|0));F=B+77|0;b[F>>0]=0;WD(-215,i,246266,242392,3251)}}function S4(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;h=u;u=u+16|0;g=h;i=a+8|0;f[i>>2]=-1;j=a+4|0;f[j>>2]=-1;f[a>>2]=52908;k=a+12|0;f[k>>2]=1124007936;l=a+16|0;m=a+20|0;o=a+52|0;p=l;q=p+36|0;do{f[p>>2]=0;p=p+4|0}while((p|0)<(q|0));f[o>>2]=m;r=a+60|0;s=a+56|0;f[s>>2]=r;f[r>>2]=0;f[a+64>>2]=0;if(f[c>>2]&16384){if((k|0)!=(c|0)){r=c+36|0;t=f[r>>2]|0;if(t){v=t+12|0;f[v>>2]=(f[v>>2]|0)+1;v=a+48|0;t=f[v>>2]|0;if((t|0)!=0?(w=t+12|0,t=f[w>>2]|0,f[w>>2]=t+-1,(t|0)==1):0){aU(k);x=v}else x=v}else x=a+48|0;f[x>>2]=0;v=a+28|0;f[v>>2]=0;f[v+4>>2]=0;f[v+8>>2]=0;f[v+12>>2]=0;if((f[l>>2]|0)>0){t=f[o>>2]|0;o=0;do{f[t+(o<<2)>>2]=0;o=o+1|0;y=f[l>>2]|0}while((o|0)<(y|0));f[k>>2]=f[c>>2];if((y|0)<3)z=13;else z=15}else{f[k>>2]=f[c>>2];z=13}if((z|0)==13){y=f[c+4>>2]|0;if((y|0)<3){f[l>>2]=y;f[m>>2]=f[c+8>>2];f[a+24>>2]=f[c+12>>2];y=f[c+44>>2]|0;l=f[s>>2]|0;f[l>>2]=f[y>>2];f[l+4>>2]=f[y+4>>2]}else z=15}if((z|0)==15)$T(k,c);f[v>>2]=f[c+16>>2];f[a+32>>2]=f[c+20>>2];f[a+36>>2]=f[c+24>>2];f[a+40>>2]=f[c+28>>2];f[a+44>>2]=f[c+32>>2];f[x>>2]=f[r>>2]}}else{r=g+8|0;f[r>>2]=0;f[r+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=k;EI(c,g)}f[i>>2]=d;d=f[m>>2]|0;m=f[a+24>>2]|0;f[j>>2]=d+-1+m;n[a+72>>2]=e;if((f[k>>2]&4095|0)!=5){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;A=cuc(80)|0;f[g>>2]=A;B=g+8|0;f[B>>2]=-2147483568;C=g+4|0;f[C>>2]=77;p=A;D=246188;q=p+77|0;do{b[p>>0]=b[D>>0]|0;p=p+1|0;D=D+1|0}while((p|0)<(q|0));E=A+77|0;b[E>>0]=0;WD(-215,g,246266,242392,3251)}if((d|0)==1|(m|0)==1){u=h;return}else{f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;A=cuc(80)|0;f[g>>2]=A;B=g+8|0;f[B>>2]=-2147483568;C=g+4|0;f[C>>2]=77;p=A;D=246188;q=p+77|0;do{b[p>>0]=b[D>>0]|0;p=p+1|0;D=D+1|0}while((p|0)<(q|0));E=A+77|0;b[E>>0]=0;WD(-215,g,246266,242392,3251)}}function T4(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;h=u;u=u+16|0;g=h;i=a+8|0;f[i>>2]=-1;j=a+4|0;f[j>>2]=-1;f[a>>2]=52860;k=a+12|0;f[k>>2]=1124007936;l=a+16|0;m=a+20|0;n=a+52|0;o=l;q=o+36|0;do{f[o>>2]=0;o=o+4|0}while((o|0)<(q|0));f[n>>2]=m;r=a+60|0;s=a+56|0;f[s>>2]=r;f[r>>2]=0;f[a+64>>2]=0;if(f[c>>2]&16384){if((k|0)!=(c|0)){r=c+36|0;t=f[r>>2]|0;if(t){v=t+12|0;f[v>>2]=(f[v>>2]|0)+1;v=a+48|0;t=f[v>>2]|0;if((t|0)!=0?(w=t+12|0,t=f[w>>2]|0,f[w>>2]=t+-1,(t|0)==1):0){aU(k);x=v}else x=v}else x=a+48|0;f[x>>2]=0;v=a+28|0;f[v>>2]=0;f[v+4>>2]=0;f[v+8>>2]=0;f[v+12>>2]=0;if((f[l>>2]|0)>0){t=f[n>>2]|0;n=0;do{f[t+(n<<2)>>2]=0;n=n+1|0;y=f[l>>2]|0}while((n|0)<(y|0));f[k>>2]=f[c>>2];if((y|0)<3)z=13;else z=15}else{f[k>>2]=f[c>>2];z=13}if((z|0)==13){y=f[c+4>>2]|0;if((y|0)<3){f[l>>2]=y;f[m>>2]=f[c+8>>2];f[a+24>>2]=f[c+12>>2];y=f[c+44>>2]|0;l=f[s>>2]|0;f[l>>2]=f[y>>2];f[l+4>>2]=f[y+4>>2]}else z=15}if((z|0)==15)$T(k,c);f[v>>2]=f[c+16>>2];f[a+32>>2]=f[c+20>>2];f[a+36>>2]=f[c+24>>2];f[a+40>>2]=f[c+28>>2];f[a+44>>2]=f[c+32>>2];f[x>>2]=f[r>>2]}}else{r=g+8|0;f[r>>2]=0;f[r+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=k;EI(c,g)}f[i>>2]=d;d=f[m>>2]|0;m=f[a+24>>2]|0;f[j>>2]=d+-1+m;p[a+72>>3]=e;if((f[k>>2]&4095|0)!=6){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;A=cuc(80)|0;f[g>>2]=A;B=g+8|0;f[B>>2]=-2147483568;C=g+4|0;f[C>>2]=77;o=A;D=246188;q=o+77|0;do{b[o>>0]=b[D>>0]|0;o=o+1|0;D=D+1|0}while((o|0)<(q|0));E=A+77|0;b[E>>0]=0;WD(-215,g,246266,242392,3251)}if((d|0)==1|(m|0)==1){u=h;return}else{f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;A=cuc(80)|0;f[g>>2]=A;B=g+8|0;f[B>>2]=-2147483568;C=g+4|0;f[C>>2]=77;o=A;D=246188;q=o+77|0;do{b[o>>0]=b[D>>0]|0;o=o+1|0;D=D+1|0}while((o|0)<(q|0));E=A+77|0;b[E>>0]=0;WD(-215,g,246266,242392,3251)}}function U4(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;h=u;u=u+16|0;g=h;i=a+8|0;f[i>>2]=-1;j=a+4|0;f[j>>2]=-1;f[a>>2]=52812;k=a+12|0;f[k>>2]=1124007936;l=a+16|0;m=a+20|0;o=a+52|0;p=l;q=p+36|0;do{f[p>>2]=0;p=p+4|0}while((p|0)<(q|0));f[o>>2]=m;r=a+60|0;s=a+56|0;f[s>>2]=r;f[r>>2]=0;f[a+64>>2]=0;if(f[c>>2]&16384){if((k|0)!=(c|0)){r=c+36|0;t=f[r>>2]|0;if(t){v=t+12|0;f[v>>2]=(f[v>>2]|0)+1;v=a+48|0;t=f[v>>2]|0;if((t|0)!=0?(w=t+12|0,t=f[w>>2]|0,f[w>>2]=t+-1,(t|0)==1):0){aU(k);x=v}else x=v}else x=a+48|0;f[x>>2]=0;v=a+28|0;f[v>>2]=0;f[v+4>>2]=0;f[v+8>>2]=0;f[v+12>>2]=0;if((f[l>>2]|0)>0){t=f[o>>2]|0;o=0;do{f[t+(o<<2)>>2]=0;o=o+1|0;y=f[l>>2]|0}while((o|0)<(y|0));f[k>>2]=f[c>>2];if((y|0)<3)z=13;else z=15}else{f[k>>2]=f[c>>2];z=13}if((z|0)==13){y=f[c+4>>2]|0;if((y|0)<3){f[l>>2]=y;f[m>>2]=f[c+8>>2];f[a+24>>2]=f[c+12>>2];y=f[c+44>>2]|0;l=f[s>>2]|0;f[l>>2]=f[y>>2];f[l+4>>2]=f[y+4>>2]}else z=15}if((z|0)==15)$T(k,c);f[v>>2]=f[c+16>>2];f[a+32>>2]=f[c+20>>2];f[a+36>>2]=f[c+24>>2];f[a+40>>2]=f[c+28>>2];f[a+44>>2]=f[c+32>>2];f[x>>2]=f[r>>2]}}else{r=g+8|0;f[r>>2]=0;f[r+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=k;EI(c,g)}f[i>>2]=d;d=f[m>>2]|0;m=f[a+24>>2]|0;f[j>>2]=d+-1+m;n[a+72>>2]=e;if((f[k>>2]&4095|0)!=5){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;A=cuc(80)|0;f[g>>2]=A;B=g+8|0;f[B>>2]=-2147483568;C=g+4|0;f[C>>2]=77;p=A;D=246188;q=p+77|0;do{b[p>>0]=b[D>>0]|0;p=p+1|0;D=D+1|0}while((p|0)<(q|0));E=A+77|0;b[E>>0]=0;WD(-215,g,246266,242392,3251)}if((d|0)==1|(m|0)==1){u=h;return}else{f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;A=cuc(80)|0;f[g>>2]=A;B=g+8|0;f[B>>2]=-2147483568;C=g+4|0;f[C>>2]=77;p=A;D=246188;q=p+77|0;do{b[p>>0]=b[D>>0]|0;p=p+1|0;D=D+1|0}while((p|0)<(q|0));E=A+77|0;b[E>>0]=0;WD(-215,g,246266,242392,3251)}}function V4(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;h=u;u=u+16|0;g=h;i=a+8|0;f[i>>2]=-1;j=a+4|0;f[j>>2]=-1;f[a>>2]=52764;k=a+12|0;f[k>>2]=1124007936;l=a+16|0;m=a+20|0;n=a+52|0;o=l;q=o+36|0;do{f[o>>2]=0;o=o+4|0}while((o|0)<(q|0));f[n>>2]=m;r=a+60|0;s=a+56|0;f[s>>2]=r;f[r>>2]=0;f[a+64>>2]=0;if(f[c>>2]&16384){if((k|0)!=(c|0)){r=c+36|0;t=f[r>>2]|0;if(t){v=t+12|0;f[v>>2]=(f[v>>2]|0)+1;v=a+48|0;t=f[v>>2]|0;if((t|0)!=0?(w=t+12|0,t=f[w>>2]|0,f[w>>2]=t+-1,(t|0)==1):0){aU(k);x=v}else x=v}else x=a+48|0;f[x>>2]=0;v=a+28|0;f[v>>2]=0;f[v+4>>2]=0;f[v+8>>2]=0;f[v+12>>2]=0;if((f[l>>2]|0)>0){t=f[n>>2]|0;n=0;do{f[t+(n<<2)>>2]=0;n=n+1|0;y=f[l>>2]|0}while((n|0)<(y|0));f[k>>2]=f[c>>2];if((y|0)<3)z=13;else z=15}else{f[k>>2]=f[c>>2];z=13}if((z|0)==13){y=f[c+4>>2]|0;if((y|0)<3){f[l>>2]=y;f[m>>2]=f[c+8>>2];f[a+24>>2]=f[c+12>>2];y=f[c+44>>2]|0;l=f[s>>2]|0;f[l>>2]=f[y>>2];f[l+4>>2]=f[y+4>>2]}else z=15}if((z|0)==15)$T(k,c);f[v>>2]=f[c+16>>2];f[a+32>>2]=f[c+20>>2];f[a+36>>2]=f[c+24>>2];f[a+40>>2]=f[c+28>>2];f[a+44>>2]=f[c+32>>2];f[x>>2]=f[r>>2]}}else{r=g+8|0;f[r>>2]=0;f[r+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=k;EI(c,g)}f[i>>2]=d;d=f[m>>2]|0;m=f[a+24>>2]|0;f[j>>2]=d+-1+m;p[a+72>>3]=e;if((f[k>>2]&4095|0)!=6){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;A=cuc(80)|0;f[g>>2]=A;B=g+8|0;f[B>>2]=-2147483568;C=g+4|0;f[C>>2]=77;o=A;D=246188;q=o+77|0;do{b[o>>0]=b[D>>0]|0;o=o+1|0;D=D+1|0}while((o|0)<(q|0));E=A+77|0;b[E>>0]=0;WD(-215,g,246266,242392,3251)}if((d|0)==1|(m|0)==1){u=h;return}else{f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;A=cuc(80)|0;f[g>>2]=A;B=g+8|0;f[B>>2]=-2147483568;C=g+4|0;f[C>>2]=77;o=A;D=246188;q=o+77|0;do{b[o>>0]=b[D>>0]|0;o=o+1|0;D=D+1|0}while((o|0)<(q|0));E=A+77|0;b[E>>0]=0;WD(-215,g,246266,242392,3251)}}function W4(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;h=u;u=u+16|0;g=h;i=a+8|0;f[i>>2]=-1;j=a+4|0;f[j>>2]=-1;f[a>>2]=52668;k=a+12|0;f[k>>2]=1124007936;l=a+16|0;m=a+20|0;o=a+52|0;p=l;q=p+36|0;do{f[p>>2]=0;p=p+4|0}while((p|0)<(q|0));f[o>>2]=m;r=a+60|0;s=a+56|0;f[s>>2]=r;f[r>>2]=0;f[a+64>>2]=0;if(f[c>>2]&16384){if((k|0)!=(c|0)){r=c+36|0;t=f[r>>2]|0;if(t){v=t+12|0;f[v>>2]=(f[v>>2]|0)+1;v=a+48|0;t=f[v>>2]|0;if((t|0)!=0?(w=t+12|0,t=f[w>>2]|0,f[w>>2]=t+-1,(t|0)==1):0){aU(k);x=v}else x=v}else x=a+48|0;f[x>>2]=0;v=a+28|0;f[v>>2]=0;f[v+4>>2]=0;f[v+8>>2]=0;f[v+12>>2]=0;if((f[l>>2]|0)>0){t=f[o>>2]|0;o=0;do{f[t+(o<<2)>>2]=0;o=o+1|0;y=f[l>>2]|0}while((o|0)<(y|0));f[k>>2]=f[c>>2];if((y|0)<3)z=13;else z=15}else{f[k>>2]=f[c>>2];z=13}if((z|0)==13){y=f[c+4>>2]|0;if((y|0)<3){f[l>>2]=y;f[m>>2]=f[c+8>>2];f[a+24>>2]=f[c+12>>2];y=f[c+44>>2]|0;l=f[s>>2]|0;f[l>>2]=f[y>>2];f[l+4>>2]=f[y+4>>2]}else z=15}if((z|0)==15)$T(k,c);f[v>>2]=f[c+16>>2];f[a+32>>2]=f[c+20>>2];f[a+36>>2]=f[c+24>>2];f[a+40>>2]=f[c+28>>2];f[a+44>>2]=f[c+32>>2];f[x>>2]=f[r>>2]}}else{r=g+8|0;f[r>>2]=0;f[r+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=k;EI(c,g)}f[i>>2]=d;d=f[m>>2]|0;m=f[a+24>>2]|0;f[j>>2]=d+-1+m;n[a+72>>2]=e;if((f[k>>2]&4095|0)!=5){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;A=cuc(80)|0;f[g>>2]=A;B=g+8|0;f[B>>2]=-2147483568;C=g+4|0;f[C>>2]=77;p=A;D=246188;q=p+77|0;do{b[p>>0]=b[D>>0]|0;p=p+1|0;D=D+1|0}while((p|0)<(q|0));E=A+77|0;b[E>>0]=0;WD(-215,g,246266,242392,3251)}if((d|0)==1|(m|0)==1){u=h;return}else{f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;A=cuc(80)|0;f[g>>2]=A;B=g+8|0;f[B>>2]=-2147483568;C=g+4|0;f[C>>2]=77;p=A;D=246188;q=p+77|0;do{b[p>>0]=b[D>>0]|0;p=p+1|0;D=D+1|0}while((p|0)<(q|0));E=A+77|0;b[E>>0]=0;WD(-215,g,246266,242392,3251)}}function X4(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;h=u;u=u+16|0;g=h;i=a+8|0;f[i>>2]=-1;j=a+4|0;f[j>>2]=-1;f[a>>2]=52620;k=a+12|0;f[k>>2]=1124007936;l=a+16|0;m=a+20|0;n=a+52|0;o=l;q=o+36|0;do{f[o>>2]=0;o=o+4|0}while((o|0)<(q|0));f[n>>2]=m;r=a+60|0;s=a+56|0;f[s>>2]=r;f[r>>2]=0;f[a+64>>2]=0;if(f[c>>2]&16384){if((k|0)!=(c|0)){r=c+36|0;t=f[r>>2]|0;if(t){v=t+12|0;f[v>>2]=(f[v>>2]|0)+1;v=a+48|0;t=f[v>>2]|0;if((t|0)!=0?(w=t+12|0,t=f[w>>2]|0,f[w>>2]=t+-1,(t|0)==1):0){aU(k);x=v}else x=v}else x=a+48|0;f[x>>2]=0;v=a+28|0;f[v>>2]=0;f[v+4>>2]=0;f[v+8>>2]=0;f[v+12>>2]=0;if((f[l>>2]|0)>0){t=f[n>>2]|0;n=0;do{f[t+(n<<2)>>2]=0;n=n+1|0;y=f[l>>2]|0}while((n|0)<(y|0));f[k>>2]=f[c>>2];if((y|0)<3)z=13;else z=15}else{f[k>>2]=f[c>>2];z=13}if((z|0)==13){y=f[c+4>>2]|0;if((y|0)<3){f[l>>2]=y;f[m>>2]=f[c+8>>2];f[a+24>>2]=f[c+12>>2];y=f[c+44>>2]|0;l=f[s>>2]|0;f[l>>2]=f[y>>2];f[l+4>>2]=f[y+4>>2]}else z=15}if((z|0)==15)$T(k,c);f[v>>2]=f[c+16>>2];f[a+32>>2]=f[c+20>>2];f[a+36>>2]=f[c+24>>2];f[a+40>>2]=f[c+28>>2];f[a+44>>2]=f[c+32>>2];f[x>>2]=f[r>>2]}}else{r=g+8|0;f[r>>2]=0;f[r+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=k;EI(c,g)}f[i>>2]=d;d=f[m>>2]|0;m=f[a+24>>2]|0;f[j>>2]=d+-1+m;p[a+72>>3]=e;if((f[k>>2]&4095|0)!=6){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;A=cuc(80)|0;f[g>>2]=A;B=g+8|0;f[B>>2]=-2147483568;C=g+4|0;f[C>>2]=77;o=A;D=246188;q=o+77|0;do{b[o>>0]=b[D>>0]|0;o=o+1|0;D=D+1|0}while((o|0)<(q|0));E=A+77|0;b[E>>0]=0;WD(-215,g,246266,242392,3251)}if((d|0)==1|(m|0)==1){u=h;return}else{f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;A=cuc(80)|0;f[g>>2]=A;B=g+8|0;f[B>>2]=-2147483568;C=g+4|0;f[C>>2]=77;o=A;D=246188;q=o+77|0;do{b[o>>0]=b[D>>0]|0;o=o+1|0;D=D+1|0}while((o|0)<(q|0));E=A+77|0;b[E>>0]=0;WD(-215,g,246266,242392,3251)}}function Y4(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;h=u;u=u+16|0;g=h;i=a+8|0;f[i>>2]=-1;j=a+4|0;f[j>>2]=-1;f[a>>2]=52572;k=a+12|0;f[k>>2]=1124007936;l=a+16|0;m=a+20|0;o=a+52|0;p=l;q=p+36|0;do{f[p>>2]=0;p=p+4|0}while((p|0)<(q|0));f[o>>2]=m;r=a+60|0;s=a+56|0;f[s>>2]=r;f[r>>2]=0;f[a+64>>2]=0;if(f[c>>2]&16384){if((k|0)!=(c|0)){r=c+36|0;t=f[r>>2]|0;if(t){v=t+12|0;f[v>>2]=(f[v>>2]|0)+1;v=a+48|0;t=f[v>>2]|0;if((t|0)!=0?(w=t+12|0,t=f[w>>2]|0,f[w>>2]=t+-1,(t|0)==1):0){aU(k);x=v}else x=v}else x=a+48|0;f[x>>2]=0;v=a+28|0;f[v>>2]=0;f[v+4>>2]=0;f[v+8>>2]=0;f[v+12>>2]=0;if((f[l>>2]|0)>0){t=f[o>>2]|0;o=0;do{f[t+(o<<2)>>2]=0;o=o+1|0;y=f[l>>2]|0}while((o|0)<(y|0));f[k>>2]=f[c>>2];if((y|0)<3)z=13;else z=15}else{f[k>>2]=f[c>>2];z=13}if((z|0)==13){y=f[c+4>>2]|0;if((y|0)<3){f[l>>2]=y;f[m>>2]=f[c+8>>2];f[a+24>>2]=f[c+12>>2];y=f[c+44>>2]|0;l=f[s>>2]|0;f[l>>2]=f[y>>2];f[l+4>>2]=f[y+4>>2]}else z=15}if((z|0)==15)$T(k,c);f[v>>2]=f[c+16>>2];f[a+32>>2]=f[c+20>>2];f[a+36>>2]=f[c+24>>2];f[a+40>>2]=f[c+28>>2];f[a+44>>2]=f[c+32>>2];f[x>>2]=f[r>>2]}}else{r=g+8|0;f[r>>2]=0;f[r+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=k;EI(c,g)}f[i>>2]=d;d=f[m>>2]|0;m=f[a+24>>2]|0;f[j>>2]=d+-1+m;n[a+72>>2]=e;if((f[k>>2]&4095|0)!=5){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;A=cuc(80)|0;f[g>>2]=A;B=g+8|0;f[B>>2]=-2147483568;C=g+4|0;f[C>>2]=77;p=A;D=246188;q=p+77|0;do{b[p>>0]=b[D>>0]|0;p=p+1|0;D=D+1|0}while((p|0)<(q|0));E=A+77|0;b[E>>0]=0;WD(-215,g,246266,242392,3251)}if((d|0)==1|(m|0)==1){u=h;return}else{f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;A=cuc(80)|0;f[g>>2]=A;B=g+8|0;f[B>>2]=-2147483568;C=g+4|0;f[C>>2]=77;p=A;D=246188;q=p+77|0;do{b[p>>0]=b[D>>0]|0;p=p+1|0;D=D+1|0}while((p|0)<(q|0));E=A+77|0;b[E>>0]=0;WD(-215,g,246266,242392,3251)}}function Z4(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;h=u;u=u+16|0;g=h;i=a+8|0;f[i>>2]=-1;j=a+4|0;f[j>>2]=-1;f[a>>2]=52524;k=a+12|0;f[k>>2]=1124007936;l=a+16|0;m=a+20|0;n=a+52|0;o=l;q=o+36|0;do{f[o>>2]=0;o=o+4|0}while((o|0)<(q|0));f[n>>2]=m;r=a+60|0;s=a+56|0;f[s>>2]=r;f[r>>2]=0;f[a+64>>2]=0;if(f[c>>2]&16384){if((k|0)!=(c|0)){r=c+36|0;t=f[r>>2]|0;if(t){v=t+12|0;f[v>>2]=(f[v>>2]|0)+1;v=a+48|0;t=f[v>>2]|0;if((t|0)!=0?(w=t+12|0,t=f[w>>2]|0,f[w>>2]=t+-1,(t|0)==1):0){aU(k);x=v}else x=v}else x=a+48|0;f[x>>2]=0;v=a+28|0;f[v>>2]=0;f[v+4>>2]=0;f[v+8>>2]=0;f[v+12>>2]=0;if((f[l>>2]|0)>0){t=f[n>>2]|0;n=0;do{f[t+(n<<2)>>2]=0;n=n+1|0;y=f[l>>2]|0}while((n|0)<(y|0));f[k>>2]=f[c>>2];if((y|0)<3)z=13;else z=15}else{f[k>>2]=f[c>>2];z=13}if((z|0)==13){y=f[c+4>>2]|0;if((y|0)<3){f[l>>2]=y;f[m>>2]=f[c+8>>2];f[a+24>>2]=f[c+12>>2];y=f[c+44>>2]|0;l=f[s>>2]|0;f[l>>2]=f[y>>2];f[l+4>>2]=f[y+4>>2]}else z=15}if((z|0)==15)$T(k,c);f[v>>2]=f[c+16>>2];f[a+32>>2]=f[c+20>>2];f[a+36>>2]=f[c+24>>2];f[a+40>>2]=f[c+28>>2];f[a+44>>2]=f[c+32>>2];f[x>>2]=f[r>>2]}}else{r=g+8|0;f[r>>2]=0;f[r+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=k;EI(c,g)}f[i>>2]=d;d=f[m>>2]|0;m=f[a+24>>2]|0;f[j>>2]=d+-1+m;p[a+72>>3]=e;if((f[k>>2]&4095|0)!=6){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;A=cuc(80)|0;f[g>>2]=A;B=g+8|0;f[B>>2]=-2147483568;C=g+4|0;f[C>>2]=77;o=A;D=246188;q=o+77|0;do{b[o>>0]=b[D>>0]|0;o=o+1|0;D=D+1|0}while((o|0)<(q|0));E=A+77|0;b[E>>0]=0;WD(-215,g,246266,242392,3251)}if((d|0)==1|(m|0)==1){u=h;return}else{f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;A=cuc(80)|0;f[g>>2]=A;B=g+8|0;f[B>>2]=-2147483568;C=g+4|0;f[C>>2]=77;o=A;D=246188;q=o+77|0;do{b[o>>0]=b[D>>0]|0;o=o+1|0;D=D+1|0}while((o|0)<(q|0));E=A+77|0;b[E>>0]=0;WD(-215,g,246266,242392,3251)}}function _4(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;i=i|0;var j=0,k=0;j=u;u=u+16|0;k=j;b5(a,c,d,e,g,h,i);f[a>>2]=53124;if((f[a+4>>2]|0)==3){u=j;return}else{f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;j=cuc(32)|0;f[k>>2]=j;f[k+8>>2]=-2147483616;f[k+4>>2]=16;a=j;i=247503;h=a+16|0;do{b[a>>0]=b[i>>0]|0;a=a+1|0;i=i+1|0}while((a|0)<(h|0));b[j+16>>0]=0;WD(-215,k,247520,242392,3420)}}function $4(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;i=i|0;var j=0,k=0;j=u;u=u+16|0;k=j;h7(a,c,d,e,g,h,i);f[a>>2]=53052;if((f[a+4>>2]|0)==3){u=j;return}else{f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;j=cuc(32)|0;f[k>>2]=j;f[k+8>>2]=-2147483616;f[k+4>>2]=16;a=j;i=247503;h=a+16|0;do{b[a>>0]=b[i>>0]|0;a=a+1|0;i=i+1|0}while((a|0)<(h|0));b[j+16>>0]=0;WD(-215,k,247520,242392,3420)}}function a5(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;i=i|0;var j=0,k=0;j=u;u=u+16|0;k=j;W6(a,c,d,e,g,h,i);f[a>>2]=52980;if((f[a+4>>2]|0)==3){u=j;return}else{f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;j=cuc(32)|0;f[k>>2]=j;f[k+8>>2]=-2147483616;f[k+4>>2]=16;a=j;i=247503;h=a+16|0;do{b[a>>0]=b[i>>0]|0;a=a+1|0;i=i+1|0}while((a|0)<(h|0));b[j+16>>0]=0;WD(-215,k,247520,242392,3420)}}function b5(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;i=i|0;var j=0,k=0;j=u;u=u+16|0;k=j;R4(a,c,d,e,h,i);f[a>>2]=52932;f[a+84>>2]=g;if(!(g&3)){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;g=cuc(80)|0;f[k>>2]=g;f[k+8>>2]=-2147483568;f[k+4>>2]=64;a=g;i=245130;h=a+64|0;do{b[a>>0]=b[i>>0]|0;a=a+1|0;i=i+1|0}while((a|0)<(h|0));b[g+64>>0]=0;WD(-215,k,245195,242392,3314)}else{u=j;return}}function c5(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;i=i|0;var j=0,k=0;j=u;u=u+16|0;k=j;S4(a,c,d,e,h,i);f[a>>2]=52884;f[a+76>>2]=g;if(!(g&3)){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;g=cuc(80)|0;f[k>>2]=g;f[k+8>>2]=-2147483568;f[k+4>>2]=64;a=g;i=245130;h=a+64|0;do{b[a>>0]=b[i>>0]|0;a=a+1|0;i=i+1|0}while((a|0)<(h|0));b[g+64>>0]=0;WD(-215,k,245195,242392,3314)}else{u=j;return}}function d5(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;i=i|0;var j=0,k=0;j=u;u=u+16|0;k=j;T4(a,c,d,e,h,i);f[a>>2]=52836;f[a+80>>2]=g;if(!(g&3)){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;g=cuc(80)|0;f[k>>2]=g;f[k+8>>2]=-2147483568;f[k+4>>2]=64;a=g;i=245130;h=a+64|0;do{b[a>>0]=b[i>>0]|0;a=a+1|0;i=i+1|0}while((a|0)<(h|0));b[g+64>>0]=0;WD(-215,k,245195,242392,3314)}else{u=j;return}}function e5(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;i=i|0;var j=0,k=0;j=u;u=u+16|0;k=j;U4(a,c,d,e,h,i);f[a>>2]=52788;f[a+76>>2]=g;if(!(g&3)){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;g=cuc(80)|0;f[k>>2]=g;f[k+8>>2]=-2147483568;f[k+4>>2]=64;a=g;i=245130;h=a+64|0;do{b[a>>0]=b[i>>0]|0;a=a+1|0;i=i+1|0}while((a|0)<(h|0));b[g+64>>0]=0;WD(-215,k,245195,242392,3314)}else{u=j;return}}function f5(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;i=i|0;var j=0,k=0;j=u;u=u+16|0;k=j;V4(a,c,d,e,h,i);f[a>>2]=52740;f[a+80>>2]=g;if(!(g&3)){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;g=cuc(80)|0;f[k>>2]=g;f[k+8>>2]=-2147483568;f[k+4>>2]=64;a=g;i=245130;h=a+64|0;do{b[a>>0]=b[i>>0]|0;a=a+1|0;i=i+1|0}while((a|0)<(h|0));b[g+64>>0]=0;WD(-215,k,245195,242392,3314)}else{u=j;return}}function g5(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;i=i|0;var j=0,k=0;j=u;u=u+16|0;k=j;V5(a,c,d,e,h,i);f[a>>2]=52692;f[a+76>>2]=g;if(!(g&3)){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;g=cuc(80)|0;f[k>>2]=g;f[k+8>>2]=-2147483568;f[k+4>>2]=64;a=g;i=245130;h=a+64|0;do{b[a>>0]=b[i>>0]|0;a=a+1|0;i=i+1|0}while((a|0)<(h|0));b[g+64>>0]=0;WD(-215,k,245195,242392,3314)}else{u=j;return}}function h5(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;i=i|0;var j=0,k=0;j=u;u=u+16|0;k=j;W4(a,c,d,e,h,i);f[a>>2]=52644;f[a+76>>2]=g;if(!(g&3)){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;g=cuc(80)|0;f[k>>2]=g;f[k+8>>2]=-2147483568;f[k+4>>2]=64;a=g;i=245130;h=a+64|0;do{b[a>>0]=b[i>>0]|0;a=a+1|0;i=i+1|0}while((a|0)<(h|0));b[g+64>>0]=0;WD(-215,k,245195,242392,3314)}else{u=j;return}}function i5(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;i=i|0;var j=0,k=0;j=u;u=u+16|0;k=j;X4(a,c,d,e,h,i);f[a>>2]=52596;f[a+80>>2]=g;if(!(g&3)){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;g=cuc(80)|0;f[k>>2]=g;f[k+8>>2]=-2147483568;f[k+4>>2]=64;a=g;i=245130;h=a+64|0;do{b[a>>0]=b[i>>0]|0;a=a+1|0;i=i+1|0}while((a|0)<(h|0));b[g+64>>0]=0;WD(-215,k,245195,242392,3314)}else{u=j;return}}function j5(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;i=i|0;var j=0,k=0;j=u;u=u+16|0;k=j;Y4(a,c,d,e,h,i);f[a>>2]=52548;f[a+76>>2]=g;if(!(g&3)){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;g=cuc(80)|0;f[k>>2]=g;f[k+8>>2]=-2147483568;f[k+4>>2]=64;a=g;i=245130;h=a+64|0;do{b[a>>0]=b[i>>0]|0;a=a+1|0;i=i+1|0}while((a|0)<(h|0));b[g+64>>0]=0;WD(-215,k,245195,242392,3314)}else{u=j;return}}function k5(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;i=i|0;var j=0,k=0;j=u;u=u+16|0;k=j;Z4(a,c,d,e,h,i);f[a>>2]=52500;f[a+80>>2]=g;if(!(g&3)){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;g=cuc(80)|0;f[k>>2]=g;f[k+8>>2]=-2147483568;f[k+4>>2]=64;a=g;i=245130;h=a+64|0;do{b[a>>0]=b[i>>0]|0;a=a+1|0;i=i+1|0}while((a|0)<(h|0));b[g+64>>0]=0;WD(-215,k,245195,242392,3314)}else{u=j;return}}function l5(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=52524;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0))return;TC(b);return}function m5(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=52524;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0)){fuc(a);return}TC(b);fuc(a);return}function n5(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0.0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0.0,t=0,u=0.0,v=0.0,w=0.0,x=0.0,y=0;h=f[a+28>>2]|0;i=+p[a+72>>3];j=f[a+4>>2]|0;if(!e)return;a=g+-4|0;k=(g|0)<4;l=(j|0)>1;m=g&-4;n=b;b=c;c=e;while(1){c=c+-1|0;a:do if(k)o=0;else{e=f[n>>2]|0;if(l)q=0;else{r=0;while(1){s=+p[h>>3];t=e+(r<<3)|0;u=i+s*+p[t+8>>3];v=i+s*+p[t+16>>3];w=i+s*+p[t+24>>3];p[b+(r<<3)>>3]=i+s*+p[t>>3];p[b+((r|1)<<3)>>3]=u;p[b+((r|2)<<3)>>3]=v;p[b+((r|3)<<3)>>3]=w;r=r+4|0;if((r|0)>(a|0)){o=m;break a}}}do{w=+p[h>>3];r=e+(q<<3)|0;v=i+w*+p[r+24>>3];u=i+w*+p[r+16>>3];s=i+w*+p[r+8>>3];x=i+w*+p[r>>3];r=1;do{t=(f[n+(r<<2)>>2]|0)+(q<<3)|0;w=+p[h+(r<<3)>>3];x=x+w*+p[t>>3];s=s+w*+p[t+8>>3];u=u+w*+p[t+16>>3];v=v+w*+p[t+24>>3];r=r+1|0}while((r|0)!=(j|0));p[b+(q<<3)>>3]=x;p[b+((q|1)<<3)>>3]=s;p[b+((q|2)<<3)>>3]=u;p[b+((q|3)<<3)>>3]=v;q=q+4|0}while((q|0)<=(a|0));o=m}while(0);b:do if((o|0)<(g|0)){e=f[n>>2]|0;if(l)y=o;else{r=o;while(1){p[b+(r<<3)>>3]=i+ +p[h>>3]*+p[e+(r<<3)>>3];r=r+1|0;if((r|0)==(g|0))break b}}do{w=i+ +p[h>>3]*+p[e+(y<<3)>>3];r=1;do{w=w+ +p[h+(r<<3)>>3]*+p[(f[n+(r<<2)>>2]|0)+(y<<3)>>3];r=r+1|0}while((r|0)!=(j|0));p[b+(y<<3)>>3]=w;y=y+1|0}while((y|0)!=(g|0))}while(0);if(!c)break;else{n=n+4|0;b=b+d|0}}return}function o5(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=52524;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0)){fuc(a);return}TC(b);fuc(a);return}function p5(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0.0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0.0,x=0.0,y=0.0,z=0.0,A=0,B=0,C=0.0,D=0,E=0,F=0,G=0.0,H=0;h=f[a+4>>2]|0;i=(h|0)/2|0;j=(f[a+28>>2]|0)+(i<<3)|0;k=+p[a+72>>3];l=b+(i<<2)|0;b=e+-1|0;m=(e|0)==0;if(!(f[a+80>>2]&1)){if(m)return;a=g+-4|0;e=(g|0)<4;n=(h|0)<2;o=g&-4;q=c;r=l;s=b;while(1){a:do if(e)t=0;else{if(n){u=0;while(1){p[q+(u<<3)>>3]=k;p[q+((u|1)<<3)>>3]=k;p[q+((u|2)<<3)>>3]=k;p[q+((u|3)<<3)>>3]=k;u=u+4|0;if((u|0)>(a|0)){t=o;break a}}}else v=0;do{w=k;x=k;y=k;z=k;u=1;while(1){A=(f[r+(u<<2)>>2]|0)+(v<<3)|0;B=(f[r+(0-u<<2)>>2]|0)+(v<<3)|0;C=+p[j+(u<<3)>>3];z=z+C*(+p[A>>3]-+p[B>>3]);y=y+C*(+p[A+8>>3]-+p[B+8>>3]);x=x+C*(+p[A+16>>3]-+p[B+16>>3]);w=w+C*(+p[A+24>>3]-+p[B+24>>3]);if((u|0)>=(i|0))break;else u=u+1|0}p[q+(v<<3)>>3]=z;p[q+((v|1)<<3)>>3]=y;p[q+((v|2)<<3)>>3]=x;p[q+((v|3)<<3)>>3]=w;v=v+4|0}while((v|0)<=(a|0));t=o}while(0);b:do if((t|0)<(g|0)){if(n){u=t;while(1){p[q+(u<<3)>>3]=k;u=u+1|0;if((u|0)==(g|0))break b}}else D=t;do{C=k;u=1;while(1){C=C+ +p[j+(u<<3)>>3]*(+p[(f[r+(u<<2)>>2]|0)+(D<<3)>>3]-+p[(f[r+(0-u<<2)>>2]|0)+(D<<3)>>3]);if((u|0)>=(i|0))break;else u=u+1|0}p[q+(D<<3)>>3]=C;D=D+1|0}while((D|0)!=(g|0))}while(0);if(!s)break;else{q=q+d|0;r=r+4|0;s=s+-1|0}}return}else{if(m)return;m=g+-4|0;s=(g|0)<4;r=(h|0)<2;h=g&-4;q=l;l=c;c=b;while(1){c:do if(s)E=0;else{b=f[q>>2]|0;if(r){D=0;while(1){w=+p[j>>3];t=b+(D<<3)|0;x=k+w*+p[t+8>>3];y=k+w*+p[t+16>>3];z=k+w*+p[t+24>>3];p[l+(D<<3)>>3]=k+w*+p[t>>3];p[l+((D|1)<<3)>>3]=x;p[l+((D|2)<<3)>>3]=y;p[l+((D|3)<<3)>>3]=z;D=D+4|0;if((D|0)>(m|0)){E=h;break c}}}else F=0;do{z=+p[j>>3];D=b+(F<<3)|0;y=k+z*+p[D+24>>3];x=k+z*+p[D+16>>3];w=k+z*+p[D+8>>3];G=k+z*+p[D>>3];D=1;while(1){t=(f[q+(D<<2)>>2]|0)+(F<<3)|0;n=(f[q+(0-D<<2)>>2]|0)+(F<<3)|0;z=+p[j+(D<<3)>>3];G=G+z*(+p[t>>3]+ +p[n>>3]);w=w+z*(+p[t+8>>3]+ +p[n+8>>3]);x=x+z*(+p[t+16>>3]+ +p[n+16>>3]);y=y+z*(+p[t+24>>3]+ +p[n+24>>3]);if((D|0)>=(i|0))break;else D=D+1|0}p[l+(F<<3)>>3]=G;p[l+((F|1)<<3)>>3]=w;p[l+((F|2)<<3)>>3]=x;p[l+((F|3)<<3)>>3]=y;F=F+4|0}while((F|0)<=(m|0));E=h}while(0);d:do if((E|0)<(g|0)){b=f[q>>2]|0;if(r){D=E;while(1){p[l+(D<<3)>>3]=k+ +p[j>>3]*+p[b+(D<<3)>>3];D=D+1|0;if((D|0)==(g|0))break d}}else H=E;do{C=k+ +p[j>>3]*+p[b+(H<<3)>>3];D=1;while(1){C=C+ +p[j+(D<<3)>>3]*(+p[(f[q+(D<<2)>>2]|0)+(H<<3)>>3]+ +p[(f[q+(0-D<<2)>>2]|0)+(H<<3)>>3]);if((D|0)>=(i|0))break;else D=D+1|0}p[l+(H<<3)>>3]=C;H=H+1|0}while((H|0)!=(g|0))}while(0);if(!c)break;else{q=q+4|0;l=l+d|0;c=c+-1|0}}return}}function q5(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=52472;f[a+16>>2]=52524;b=a+28|0;c=a+64|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+44|0;b=a+32|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+68>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+72>>2]|0;if((b|0)==(a+76|0)){Qtc(a);return}TC(b);Qtc(a);return}function r5(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=52472;f[a+16>>2]=52524;b=a+28|0;c=a+64|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+44|0;b=a+32|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+68>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+72>>2]|0;if((b|0)==(a+76|0)){Qtc(a);fuc(a);return}TC(b);Qtc(a);fuc(a);return}function s5(a){a=a|0;var b=0;b=a+16|0;bi[f[f[b>>2]>>2]&2047](b);return}function t5(a){a=a|0;fuc(a);return}function u5(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=52572;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0))return;TC(b);return}function v5(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=52572;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0)){fuc(a);return}TC(b);fuc(a);return}function w5(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0.0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0.0,t=0,u=0.0,v=0.0,w=0.0,x=0.0,y=0;h=f[a+28>>2]|0;i=+n[a+72>>2];j=f[a+4>>2]|0;if(!e)return;a=g+-4|0;k=(g|0)<4;l=(j|0)>1;m=g&-4;o=b;b=c;c=e;while(1){c=c+-1|0;a:do if(k)p=0;else{e=f[o>>2]|0;if(l)q=0;else{r=0;while(1){s=+n[h>>2];t=e+(r<<2)|0;u=i+s*+n[t+4>>2];v=i+s*+n[t+8>>2];w=i+s*+n[t+12>>2];n[b+(r<<2)>>2]=i+s*+n[t>>2];n[b+((r|1)<<2)>>2]=u;n[b+((r|2)<<2)>>2]=v;n[b+((r|3)<<2)>>2]=w;r=r+4|0;if((r|0)>(a|0)){p=m;break a}}}do{w=+n[h>>2];r=e+(q<<2)|0;v=i+w*+n[r+12>>2];u=i+w*+n[r+8>>2];s=i+w*+n[r+4>>2];x=i+w*+n[r>>2];r=1;do{t=(f[o+(r<<2)>>2]|0)+(q<<2)|0;w=+n[h+(r<<2)>>2];x=x+w*+n[t>>2];s=s+w*+n[t+4>>2];u=u+w*+n[t+8>>2];v=v+w*+n[t+12>>2];r=r+1|0}while((r|0)!=(j|0));n[b+(q<<2)>>2]=x;n[b+((q|1)<<2)>>2]=s;n[b+((q|2)<<2)>>2]=u;n[b+((q|3)<<2)>>2]=v;q=q+4|0}while((q|0)<=(a|0));p=m}while(0);b:do if((p|0)<(g|0)){e=f[o>>2]|0;if(l)y=p;else{r=p;while(1){n[b+(r<<2)>>2]=i+ +n[h>>2]*+n[e+(r<<2)>>2];r=r+1|0;if((r|0)==(g|0))break b}}do{w=i+ +n[h>>2]*+n[e+(y<<2)>>2];r=1;do{w=w+ +n[h+(r<<2)>>2]*+n[(f[o+(r<<2)>>2]|0)+(y<<2)>>2];r=r+1|0}while((r|0)!=(j|0));n[b+(y<<2)>>2]=w;y=y+1|0}while((y|0)!=(g|0))}while(0);if(!c)break;else{o=o+4|0;b=b+d|0}}return}function x5(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=52572;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0)){fuc(a);return}TC(b);fuc(a);return}function y5(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0.0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0.0,x=0.0,y=0.0,z=0.0,A=0,B=0,C=0.0,D=0,E=0,F=0,G=0.0,H=0;h=f[a+4>>2]|0;i=(h|0)/2|0;j=(f[a+28>>2]|0)+(i<<2)|0;k=+n[a+72>>2];l=b+(i<<2)|0;b=e+-1|0;m=(e|0)==0;if(!(f[a+76>>2]&1)){if(m)return;a=g+-4|0;e=(g|0)<4;o=(h|0)<2;p=g&-4;q=c;r=l;s=b;while(1){a:do if(e)t=0;else{if(o){u=0;while(1){n[q+(u<<2)>>2]=k;n[q+((u|1)<<2)>>2]=k;n[q+((u|2)<<2)>>2]=k;n[q+((u|3)<<2)>>2]=k;u=u+4|0;if((u|0)>(a|0)){t=p;break a}}}else v=0;do{w=k;x=k;y=k;z=k;u=1;while(1){A=(f[r+(u<<2)>>2]|0)+(v<<2)|0;B=(f[r+(0-u<<2)>>2]|0)+(v<<2)|0;C=+n[j+(u<<2)>>2];z=z+C*(+n[A>>2]-+n[B>>2]);y=y+C*(+n[A+4>>2]-+n[B+4>>2]);x=x+C*(+n[A+8>>2]-+n[B+8>>2]);w=w+C*(+n[A+12>>2]-+n[B+12>>2]);if((u|0)>=(i|0))break;else u=u+1|0}n[q+(v<<2)>>2]=z;n[q+((v|1)<<2)>>2]=y;n[q+((v|2)<<2)>>2]=x;n[q+((v|3)<<2)>>2]=w;v=v+4|0}while((v|0)<=(a|0));t=p}while(0);b:do if((t|0)<(g|0)){if(o){u=t;while(1){n[q+(u<<2)>>2]=k;u=u+1|0;if((u|0)==(g|0))break b}}else D=t;do{C=k;u=1;while(1){C=C+ +n[j+(u<<2)>>2]*(+n[(f[r+(u<<2)>>2]|0)+(D<<2)>>2]-+n[(f[r+(0-u<<2)>>2]|0)+(D<<2)>>2]);if((u|0)>=(i|0))break;else u=u+1|0}n[q+(D<<2)>>2]=C;D=D+1|0}while((D|0)!=(g|0))}while(0);if(!s)break;else{q=q+d|0;r=r+4|0;s=s+-1|0}}return}else{if(m)return;m=g+-4|0;s=(g|0)<4;r=(h|0)<2;h=g&-4;q=l;l=c;c=b;while(1){c:do if(s)E=0;else{b=f[q>>2]|0;if(r){D=0;while(1){w=+n[j>>2];t=b+(D<<2)|0;x=k+w*+n[t+4>>2];y=k+w*+n[t+8>>2];z=k+w*+n[t+12>>2];n[l+(D<<2)>>2]=k+w*+n[t>>2];n[l+((D|1)<<2)>>2]=x;n[l+((D|2)<<2)>>2]=y;n[l+((D|3)<<2)>>2]=z;D=D+4|0;if((D|0)>(m|0)){E=h;break c}}}else F=0;do{z=+n[j>>2];D=b+(F<<2)|0;y=k+z*+n[D+12>>2];x=k+z*+n[D+8>>2];w=k+z*+n[D+4>>2];G=k+z*+n[D>>2];D=1;while(1){t=(f[q+(D<<2)>>2]|0)+(F<<2)|0;o=(f[q+(0-D<<2)>>2]|0)+(F<<2)|0;z=+n[j+(D<<2)>>2];G=G+z*(+n[t>>2]+ +n[o>>2]);w=w+z*(+n[t+4>>2]+ +n[o+4>>2]);x=x+z*(+n[t+8>>2]+ +n[o+8>>2]);y=y+z*(+n[t+12>>2]+ +n[o+12>>2]);if((D|0)>=(i|0))break;else D=D+1|0}n[l+(F<<2)>>2]=G;n[l+((F|1)<<2)>>2]=w;n[l+((F|2)<<2)>>2]=x;n[l+((F|3)<<2)>>2]=y;F=F+4|0}while((F|0)<=(m|0));E=h}while(0);d:do if((E|0)<(g|0)){b=f[q>>2]|0;if(r){D=E;while(1){n[l+(D<<2)>>2]=k+ +n[j>>2]*+n[b+(D<<2)>>2];D=D+1|0;if((D|0)==(g|0))break d}}else H=E;do{C=k+ +n[j>>2]*+n[b+(H<<2)>>2];D=1;while(1){C=C+ +n[j+(D<<2)>>2]*(+n[(f[q+(D<<2)>>2]|0)+(H<<2)>>2]+ +n[(f[q+(0-D<<2)>>2]|0)+(H<<2)>>2]);if((D|0)>=(i|0))break;else D=D+1|0}n[l+(H<<2)>>2]=C;H=H+1|0}while((H|0)!=(g|0))}while(0);if(!c)break;else{q=q+4|0;l=l+d|0;c=c+-1|0}}return}}function z5(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=52444;f[a+12>>2]=52572;b=a+24|0;c=a+60|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+40|0;b=a+28|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+64>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+68>>2]|0;if((b|0)==(a+72|0)){Qtc(a);return}TC(b);Qtc(a);return}function A5(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=52444;f[a+12>>2]=52572;b=a+24|0;c=a+60|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+40|0;b=a+28|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+64>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+68>>2]|0;if((b|0)==(a+72|0)){Qtc(a);fuc(a);return}TC(b);Qtc(a);fuc(a);return}function B5(a){a=a|0;var b=0;b=a+12|0;bi[f[f[b>>2]>>2]&2047](b);return}function C5(a){a=a|0;fuc(a);return}function D5(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=52620;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0))return;TC(b);return}function E5(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=52620;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0)){fuc(a);return}TC(b);fuc(a);return}function F5(a,b,c,e,g,h){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;var i=0,j=0.0,k=0,l=0,m=0,n=0,o=0,q=0,r=0.0,s=0,t=0,u=0,v=0.0,w=0.0,x=0.0,y=0,z=0.0,A=0.0,B=0;i=f[a+28>>2]|0;j=+p[a+72>>3];k=f[a+4>>2]|0;if(!g)return;a=h+-4|0;l=(h|0)<4;m=(k|0)>1;n=h&-4;o=b;b=c;c=g;while(1){c=c+-1|0;a:do if(l)q=0;else{r=+p[i>>3];g=f[o>>2]|0;if(m)s=0;else{t=0;while(1){u=g+(t<<3)|0;v=j+r*+p[u+8>>3];w=j+r*+p[u+16>>3];x=j+r*+p[u+24>>3];y=Fhc(j+r*+p[u>>3])|0;d[b+(t<<1)>>1]=(y+32768|0)>>>0<65536?y:(y|0)>0?32767:32768;y=Fhc(v)|0;d[b+((t|1)<<1)>>1]=(y+32768|0)>>>0<65536?y:(y|0)>0?32767:32768;y=Fhc(w)|0;d[b+((t|2)<<1)>>1]=(y+32768|0)>>>0<65536?y:(y|0)>0?32767:32768;y=Fhc(x)|0;d[b+((t|3)<<1)>>1]=(y+32768|0)>>>0<65536?y:(y|0)>0?32767:32768;t=t+4|0;if((t|0)>(a|0)){q=n;break a}}}do{t=g+(s<<3)|0;x=j+r*+p[t+24>>3];w=j+r*+p[t+16>>3];v=j+r*+p[t+8>>3];z=j+r*+p[t>>3];t=1;do{y=(f[o+(t<<2)>>2]|0)+(s<<3)|0;A=+p[i+(t<<3)>>3];z=z+A*+p[y>>3];v=v+A*+p[y+8>>3];w=w+A*+p[y+16>>3];x=x+A*+p[y+24>>3];t=t+1|0}while((t|0)!=(k|0));t=Fhc(z)|0;d[b+(s<<1)>>1]=(t+32768|0)>>>0<65536?t:(t|0)>0?32767:32768;t=Fhc(v)|0;d[b+((s|1)<<1)>>1]=(t+32768|0)>>>0<65536?t:(t|0)>0?32767:32768;t=Fhc(w)|0;d[b+((s|2)<<1)>>1]=(t+32768|0)>>>0<65536?t:(t|0)>0?32767:32768;t=Fhc(x)|0;d[b+((s|3)<<1)>>1]=(t+32768|0)>>>0<65536?t:(t|0)>0?32767:32768;s=s+4|0}while((s|0)<=(a|0));q=n}while(0);b:do if((q|0)<(h|0)){r=+p[i>>3];g=f[o>>2]|0;if(m)B=q;else{t=q;while(1){y=Fhc(j+r*+p[g+(t<<3)>>3])|0;d[b+(t<<1)>>1]=(y+32768|0)>>>0<65536?y:(y|0)>0?32767:32768;t=t+1|0;if((t|0)==(h|0))break b}}do{A=j+r*+p[g+(B<<3)>>3];t=1;do{A=A+ +p[i+(t<<3)>>3]*+p[(f[o+(t<<2)>>2]|0)+(B<<3)>>3];t=t+1|0}while((t|0)!=(k|0));t=Fhc(A)|0;d[b+(B<<1)>>1]=(t+32768|0)>>>0<65536?t:(t|0)>0?32767:32768;B=B+1|0}while((B|0)!=(h|0))}while(0);if(!c)break;else{o=o+4|0;b=b+e|0}}return}function G5(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=52620;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0)){fuc(a);return}TC(b);fuc(a);return}function H5(a,b,c,e,g,h){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0.0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,u=0,v=0.0,w=0,x=0,y=0,z=0.0,A=0.0,B=0.0,C=0,D=0,E=0.0,F=0.0,G=0,H=0,I=0,J=0;i=f[a+4>>2]|0;j=(i|0)/2|0;k=(f[a+28>>2]|0)+(j<<3)|0;l=+p[a+72>>3];m=b+(j<<2)|0;b=g+-1|0;n=(g|0)==0;if(f[a+80>>2]&1|0){if(n)return;a=h+-4|0;g=(h|0)<4;o=(i|0)<2;q=h&-4;r=m;s=c;t=b;while(1){a:do if(g)u=0;else{v=+p[k>>3];w=f[r>>2]|0;if(o){x=0;while(1){y=w+(x<<3)|0;z=l+v*+p[y+8>>3];A=l+v*+p[y+16>>3];B=l+v*+p[y+24>>3];C=Fhc(l+v*+p[y>>3])|0;d[s+(x<<1)>>1]=(C+32768|0)>>>0<65536?C:(C|0)>0?32767:32768;C=Fhc(z)|0;d[s+((x|1)<<1)>>1]=(C+32768|0)>>>0<65536?C:(C|0)>0?32767:32768;C=Fhc(A)|0;d[s+((x|2)<<1)>>1]=(C+32768|0)>>>0<65536?C:(C|0)>0?32767:32768;C=Fhc(B)|0;d[s+((x|3)<<1)>>1]=(C+32768|0)>>>0<65536?C:(C|0)>0?32767:32768;x=x+4|0;if((x|0)>(a|0)){u=q;break a}}}else D=0;do{x=w+(D<<3)|0;B=l+v*+p[x+24>>3];A=l+v*+p[x+16>>3];z=l+v*+p[x+8>>3];E=l+v*+p[x>>3];x=1;while(1){C=(f[r+(x<<2)>>2]|0)+(D<<3)|0;y=(f[r+(0-x<<2)>>2]|0)+(D<<3)|0;F=+p[k+(x<<3)>>3];E=E+F*(+p[C>>3]+ +p[y>>3]);z=z+F*(+p[C+8>>3]+ +p[y+8>>3]);A=A+F*(+p[C+16>>3]+ +p[y+16>>3]);B=B+F*(+p[C+24>>3]+ +p[y+24>>3]);if((x|0)>=(j|0))break;else x=x+1|0}x=Fhc(E)|0;d[s+(D<<1)>>1]=(x+32768|0)>>>0<65536?x:(x|0)>0?32767:32768;x=Fhc(z)|0;d[s+((D|1)<<1)>>1]=(x+32768|0)>>>0<65536?x:(x|0)>0?32767:32768;x=Fhc(A)|0;d[s+((D|2)<<1)>>1]=(x+32768|0)>>>0<65536?x:(x|0)>0?32767:32768;x=Fhc(B)|0;d[s+((D|3)<<1)>>1]=(x+32768|0)>>>0<65536?x:(x|0)>0?32767:32768;D=D+4|0}while((D|0)<=(a|0));u=q}while(0);b:do if((u|0)<(h|0)){v=+p[k>>3];w=f[r>>2]|0;if(o){x=u;while(1){y=Fhc(l+v*+p[w+(x<<3)>>3])|0;d[s+(x<<1)>>1]=(y+32768|0)>>>0<65536?y:(y|0)>0?32767:32768;x=x+1|0;if((x|0)==(h|0))break b}}else G=u;do{F=l+v*+p[w+(G<<3)>>3];x=1;while(1){F=F+ +p[k+(x<<3)>>3]*(+p[(f[r+(x<<2)>>2]|0)+(G<<3)>>3]+ +p[(f[r+(0-x<<2)>>2]|0)+(G<<3)>>3]);if((x|0)>=(j|0))break;else x=x+1|0}x=Fhc(F)|0;d[s+(G<<1)>>1]=(x+32768|0)>>>0<65536?x:(x|0)>0?32767:32768;G=G+1|0}while((G|0)!=(h|0))}while(0);if(!t)break;else{r=r+4|0;s=s+e|0;t=t+-1|0}}return}if(n)return;n=h+-4|0;t=(h|0)<4;s=(i|0)<2;i=h&-4;r=c;c=m;m=b;while(1){c:do if(t)H=0;else{if(s){b=Fhc(l)|0;G=((b+32768|0)>>>0<65536?b:(b|0)>0?32767:32768)&65535;b=0;while(1){d[r+(b<<1)>>1]=G;d[r+((b|1)<<1)>>1]=G;d[r+((b|2)<<1)>>1]=G;d[r+((b|3)<<1)>>1]=G;b=b+4|0;if((b|0)>(n|0)){H=i;break c}}}else I=0;do{v=l;B=l;A=l;z=l;b=1;while(1){G=(f[c+(b<<2)>>2]|0)+(I<<3)|0;u=(f[c+(0-b<<2)>>2]|0)+(I<<3)|0;E=+p[k+(b<<3)>>3];z=z+E*(+p[G>>3]-+p[u>>3]);A=A+E*(+p[G+8>>3]-+p[u+8>>3]);B=B+E*(+p[G+16>>3]-+p[u+16>>3]);v=v+E*(+p[G+24>>3]-+p[u+24>>3]);if((b|0)>=(j|0))break;else b=b+1|0}b=Fhc(z)|0;d[r+(I<<1)>>1]=(b+32768|0)>>>0<65536?b:(b|0)>0?32767:32768;b=Fhc(A)|0;d[r+((I|1)<<1)>>1]=(b+32768|0)>>>0<65536?b:(b|0)>0?32767:32768;b=Fhc(B)|0;d[r+((I|2)<<1)>>1]=(b+32768|0)>>>0<65536?b:(b|0)>0?32767:32768;b=Fhc(v)|0;d[r+((I|3)<<1)>>1]=(b+32768|0)>>>0<65536?b:(b|0)>0?32767:32768;I=I+4|0}while((I|0)<=(n|0));H=i}while(0);d:do if((H|0)<(h|0)){if(s){b=Fhc(l)|0;u=((b+32768|0)>>>0<65536?b:(b|0)>0?32767:32768)&65535;b=H;while(1){d[r+(b<<1)>>1]=u;b=b+1|0;if((b|0)==(h|0))break d}}else J=H;do{F=l;b=1;while(1){F=F+ +p[k+(b<<3)>>3]*(+p[(f[c+(b<<2)>>2]|0)+(J<<3)>>3]-+p[(f[c+(0-b<<2)>>2]|0)+(J<<3)>>3]);if((b|0)>=(j|0))break;else b=b+1|0}b=Fhc(F)|0;d[r+(J<<1)>>1]=(b+32768|0)>>>0<65536?b:(b|0)>0?32767:32768;J=J+1|0}while((J|0)!=(h|0))}while(0);if(!m)break;else{r=r+e|0;c=c+4|0;m=m+-1|0}}return}function I5(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=52416;f[a+16>>2]=52620;b=a+28|0;c=a+64|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+44|0;b=a+32|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+68>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+72>>2]|0;if((b|0)==(a+76|0)){Qtc(a);return}TC(b);Qtc(a);return}function J5(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=52416;f[a+16>>2]=52620;b=a+28|0;c=a+64|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+44|0;b=a+32|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+68>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+72>>2]|0;if((b|0)==(a+76|0)){Qtc(a);fuc(a);return}TC(b);Qtc(a);fuc(a);return}function K5(a){a=a|0;var b=0;b=a+16|0;bi[f[f[b>>2]>>2]&2047](b);return}function L5(a){a=a|0;fuc(a);return}function M5(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=52668;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0))return;TC(b);return}function N5(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=52668;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0)){fuc(a);return}TC(b);fuc(a);return}function O5(a,b,c,e,g,h){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;var i=0,j=0.0,k=0,l=0,m=0,o=0,p=0,q=0,r=0.0,s=0,t=0,u=0,v=0.0,w=0.0,x=0.0,y=0,z=0.0,A=0.0,B=0;i=f[a+28>>2]|0;j=+n[a+72>>2];k=f[a+4>>2]|0;if(!g)return;a=h+-4|0;l=(h|0)<4;m=(k|0)>1;o=h&-4;p=b;b=c;c=g;while(1){c=c+-1|0;a:do if(l)q=0;else{r=+n[i>>2];g=f[p>>2]|0;if(m)s=0;else{t=0;while(1){u=g+(t<<2)|0;v=j+r*+n[u+4>>2];w=j+r*+n[u+8>>2];x=j+r*+n[u+12>>2];y=Ghc(j+r*+n[u>>2])|0;d[b+(t<<1)>>1]=(y+32768|0)>>>0<65536?y:(y|0)>0?32767:32768;y=Ghc(v)|0;d[b+((t|1)<<1)>>1]=(y+32768|0)>>>0<65536?y:(y|0)>0?32767:32768;y=Ghc(w)|0;d[b+((t|2)<<1)>>1]=(y+32768|0)>>>0<65536?y:(y|0)>0?32767:32768;y=Ghc(x)|0;d[b+((t|3)<<1)>>1]=(y+32768|0)>>>0<65536?y:(y|0)>0?32767:32768;t=t+4|0;if((t|0)>(a|0)){q=o;break a}}}do{t=g+(s<<2)|0;x=j+r*+n[t+12>>2];w=j+r*+n[t+8>>2];v=j+r*+n[t+4>>2];z=j+r*+n[t>>2];t=1;do{y=(f[p+(t<<2)>>2]|0)+(s<<2)|0;A=+n[i+(t<<2)>>2];z=z+A*+n[y>>2];v=v+A*+n[y+4>>2];w=w+A*+n[y+8>>2];x=x+A*+n[y+12>>2];t=t+1|0}while((t|0)!=(k|0));t=Ghc(z)|0;d[b+(s<<1)>>1]=(t+32768|0)>>>0<65536?t:(t|0)>0?32767:32768;t=Ghc(v)|0;d[b+((s|1)<<1)>>1]=(t+32768|0)>>>0<65536?t:(t|0)>0?32767:32768;t=Ghc(w)|0;d[b+((s|2)<<1)>>1]=(t+32768|0)>>>0<65536?t:(t|0)>0?32767:32768;t=Ghc(x)|0;d[b+((s|3)<<1)>>1]=(t+32768|0)>>>0<65536?t:(t|0)>0?32767:32768;s=s+4|0}while((s|0)<=(a|0));q=o}while(0);b:do if((q|0)<(h|0)){r=+n[i>>2];g=f[p>>2]|0;if(m)B=q;else{t=q;while(1){y=Ghc(j+r*+n[g+(t<<2)>>2])|0;d[b+(t<<1)>>1]=(y+32768|0)>>>0<65536?y:(y|0)>0?32767:32768;t=t+1|0;if((t|0)==(h|0))break b}}do{A=j+r*+n[g+(B<<2)>>2];t=1;do{A=A+ +n[i+(t<<2)>>2]*+n[(f[p+(t<<2)>>2]|0)+(B<<2)>>2];t=t+1|0}while((t|0)!=(k|0));t=Ghc(A)|0;d[b+(B<<1)>>1]=(t+32768|0)>>>0<65536?t:(t|0)>0?32767:32768;B=B+1|0}while((B|0)!=(h|0))}while(0);if(!c)break;else{p=p+4|0;b=b+e|0}}return}function P5(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=52668;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0)){fuc(a);return}TC(b);fuc(a);return}function Q5(a,b,c,e,g,h){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0.0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0.0,w=0,x=0,y=0,z=0.0,A=0.0,B=0.0,C=0,D=0,E=0.0,F=0.0,G=0,H=0,I=0,J=0;i=f[a+4>>2]|0;j=(i|0)/2|0;k=(f[a+28>>2]|0)+(j<<2)|0;l=+n[a+72>>2];m=b+(j<<2)|0;b=g+-1|0;o=(g|0)==0;if(f[a+76>>2]&1|0){if(o)return;a=h+-4|0;g=(h|0)<4;p=(i|0)<2;q=h&-4;r=m;s=c;t=b;while(1){a:do if(g)u=0;else{v=+n[k>>2];w=f[r>>2]|0;if(p){x=0;while(1){y=w+(x<<2)|0;z=l+v*+n[y+4>>2];A=l+v*+n[y+8>>2];B=l+v*+n[y+12>>2];C=Ghc(l+v*+n[y>>2])|0;d[s+(x<<1)>>1]=(C+32768|0)>>>0<65536?C:(C|0)>0?32767:32768;C=Ghc(z)|0;d[s+((x|1)<<1)>>1]=(C+32768|0)>>>0<65536?C:(C|0)>0?32767:32768;C=Ghc(A)|0;d[s+((x|2)<<1)>>1]=(C+32768|0)>>>0<65536?C:(C|0)>0?32767:32768;C=Ghc(B)|0;d[s+((x|3)<<1)>>1]=(C+32768|0)>>>0<65536?C:(C|0)>0?32767:32768;x=x+4|0;if((x|0)>(a|0)){u=q;break a}}}else D=0;do{x=w+(D<<2)|0;B=l+v*+n[x+12>>2];A=l+v*+n[x+8>>2];z=l+v*+n[x+4>>2];E=l+v*+n[x>>2];x=1;while(1){C=(f[r+(x<<2)>>2]|0)+(D<<2)|0;y=(f[r+(0-x<<2)>>2]|0)+(D<<2)|0;F=+n[k+(x<<2)>>2];E=E+F*(+n[C>>2]+ +n[y>>2]);z=z+F*(+n[C+4>>2]+ +n[y+4>>2]);A=A+F*(+n[C+8>>2]+ +n[y+8>>2]);B=B+F*(+n[C+12>>2]+ +n[y+12>>2]);if((x|0)>=(j|0))break;else x=x+1|0}x=Ghc(E)|0;d[s+(D<<1)>>1]=(x+32768|0)>>>0<65536?x:(x|0)>0?32767:32768;x=Ghc(z)|0;d[s+((D|1)<<1)>>1]=(x+32768|0)>>>0<65536?x:(x|0)>0?32767:32768;x=Ghc(A)|0;d[s+((D|2)<<1)>>1]=(x+32768|0)>>>0<65536?x:(x|0)>0?32767:32768;x=Ghc(B)|0;d[s+((D|3)<<1)>>1]=(x+32768|0)>>>0<65536?x:(x|0)>0?32767:32768;D=D+4|0}while((D|0)<=(a|0));u=q}while(0);b:do if((u|0)<(h|0)){v=+n[k>>2];w=f[r>>2]|0;if(p){x=u;while(1){y=Ghc(l+v*+n[w+(x<<2)>>2])|0;d[s+(x<<1)>>1]=(y+32768|0)>>>0<65536?y:(y|0)>0?32767:32768;x=x+1|0;if((x|0)==(h|0))break b}}else G=u;do{F=l+v*+n[w+(G<<2)>>2];x=1;while(1){F=F+ +n[k+(x<<2)>>2]*(+n[(f[r+(x<<2)>>2]|0)+(G<<2)>>2]+ +n[(f[r+(0-x<<2)>>2]|0)+(G<<2)>>2]);if((x|0)>=(j|0))break;else x=x+1|0}x=Ghc(F)|0;d[s+(G<<1)>>1]=(x+32768|0)>>>0<65536?x:(x|0)>0?32767:32768;G=G+1|0}while((G|0)!=(h|0))}while(0);if(!t)break;else{r=r+4|0;s=s+e|0;t=t+-1|0}}return}if(o)return;o=h+-4|0;t=(h|0)<4;s=(i|0)<2;i=h&-4;r=c;c=m;m=b;while(1){c:do if(t)H=0;else{if(s){b=Ghc(l)|0;G=((b+32768|0)>>>0<65536?b:(b|0)>0?32767:32768)&65535;b=0;while(1){d[r+(b<<1)>>1]=G;d[r+((b|1)<<1)>>1]=G;d[r+((b|2)<<1)>>1]=G;d[r+((b|3)<<1)>>1]=G;b=b+4|0;if((b|0)>(o|0)){H=i;break c}}}else I=0;do{v=l;B=l;A=l;z=l;b=1;while(1){G=(f[c+(b<<2)>>2]|0)+(I<<2)|0;u=(f[c+(0-b<<2)>>2]|0)+(I<<2)|0;E=+n[k+(b<<2)>>2];z=z+E*(+n[G>>2]-+n[u>>2]);A=A+E*(+n[G+4>>2]-+n[u+4>>2]);B=B+E*(+n[G+8>>2]-+n[u+8>>2]);v=v+E*(+n[G+12>>2]-+n[u+12>>2]);if((b|0)>=(j|0))break;else b=b+1|0}b=Ghc(z)|0;d[r+(I<<1)>>1]=(b+32768|0)>>>0<65536?b:(b|0)>0?32767:32768;b=Ghc(A)|0;d[r+((I|1)<<1)>>1]=(b+32768|0)>>>0<65536?b:(b|0)>0?32767:32768;b=Ghc(B)|0;d[r+((I|2)<<1)>>1]=(b+32768|0)>>>0<65536?b:(b|0)>0?32767:32768;b=Ghc(v)|0;d[r+((I|3)<<1)>>1]=(b+32768|0)>>>0<65536?b:(b|0)>0?32767:32768;I=I+4|0}while((I|0)<=(o|0));H=i}while(0);d:do if((H|0)<(h|0)){if(s){b=Ghc(l)|0;u=((b+32768|0)>>>0<65536?b:(b|0)>0?32767:32768)&65535;b=H;while(1){d[r+(b<<1)>>1]=u;b=b+1|0;if((b|0)==(h|0))break d}}else J=H;do{F=l;b=1;while(1){F=F+ +n[k+(b<<2)>>2]*(+n[(f[c+(b<<2)>>2]|0)+(J<<2)>>2]-+n[(f[c+(0-b<<2)>>2]|0)+(J<<2)>>2]);if((b|0)>=(j|0))break;else b=b+1|0}b=Ghc(F)|0;d[r+(J<<1)>>1]=(b+32768|0)>>>0<65536?b:(b|0)>0?32767:32768;J=J+1|0}while((J|0)!=(h|0))}while(0);if(!m)break;else{r=r+e|0;c=c+4|0;m=m+-1|0}}return}function R5(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=52388;f[a+12>>2]=52668;b=a+24|0;c=a+60|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+40|0;b=a+28|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+64>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+68>>2]|0;if((b|0)==(a+72|0)){Qtc(a);return}TC(b);Qtc(a);return}function S5(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=52388;f[a+12>>2]=52668;b=a+24|0;c=a+60|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+40|0;b=a+28|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+64>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+68>>2]|0;if((b|0)==(a+72|0)){Qtc(a);fuc(a);return}TC(b);Qtc(a);fuc(a);return}function T5(a){a=a|0;var b=0;b=a+12|0;bi[f[f[b>>2]>>2]&2047](b);return}function U5(a){a=a|0;fuc(a);return}function V5(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0;h=u;u=u+16|0;g=h;i=a+8|0;f[i>>2]=-1;j=a+4|0;f[j>>2]=-1;f[a>>2]=52716;k=a+12|0;f[k>>2]=1124007936;l=a+16|0;m=a+20|0;n=a+52|0;o=l;p=o+36|0;do{f[o>>2]=0;o=o+4|0}while((o|0)<(p|0));f[n>>2]=m;q=a+60|0;r=a+56|0;f[r>>2]=q;f[q>>2]=0;f[a+64>>2]=0;if(f[c>>2]&16384){if((k|0)!=(c|0)){q=c+36|0;s=f[q>>2]|0;if(s){t=s+12|0;f[t>>2]=(f[t>>2]|0)+1;t=a+48|0;s=f[t>>2]|0;if((s|0)!=0?(v=s+12|0,s=f[v>>2]|0,f[v>>2]=s+-1,(s|0)==1):0){aU(k);w=t}else w=t}else w=a+48|0;f[w>>2]=0;t=a+28|0;f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;f[t+12>>2]=0;if((f[l>>2]|0)>0){s=f[n>>2]|0;n=0;do{f[s+(n<<2)>>2]=0;n=n+1|0;x=f[l>>2]|0}while((n|0)<(x|0));f[k>>2]=f[c>>2];if((x|0)<3)y=13;else y=15}else{f[k>>2]=f[c>>2];y=13}if((y|0)==13){x=f[c+4>>2]|0;if((x|0)<3){f[l>>2]=x;f[m>>2]=f[c+8>>2];f[a+24>>2]=f[c+12>>2];x=f[c+44>>2]|0;l=f[r>>2]|0;f[l>>2]=f[x>>2];f[l+4>>2]=f[x+4>>2]}else y=15}if((y|0)==15)$T(k,c);f[t>>2]=f[c+16>>2];f[a+32>>2]=f[c+20>>2];f[a+36>>2]=f[c+24>>2];f[a+40>>2]=f[c+28>>2];f[a+44>>2]=f[c+32>>2];f[w>>2]=f[q>>2]}}else{q=g+8|0;f[q>>2]=0;f[q+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=k;EI(c,g)}f[i>>2]=d;d=f[m>>2]|0;m=f[a+24>>2]|0;f[j>>2]=d+-1+m;j=Fhc(e)|0;f[a+72>>2]=j;if((f[k>>2]&4095|0)!=4){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;z=cuc(80)|0;f[g>>2]=z;A=g+8|0;f[A>>2]=-2147483568;B=g+4|0;f[B>>2]=77;o=z;C=246188;p=o+77|0;do{b[o>>0]=b[C>>0]|0;o=o+1|0;C=C+1|0}while((o|0)<(p|0));D=z+77|0;b[D>>0]=0;WD(-215,g,246266,242392,3251)}if((d|0)==1|(m|0)==1){u=h;return}else{f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;z=cuc(80)|0;f[g>>2]=z;A=g+8|0;f[A>>2]=-2147483568;B=g+4|0;f[B>>2]=77;o=z;C=246188;p=o+77|0;do{b[o>>0]=b[C>>0]|0;o=o+1|0;C=C+1|0}while((o|0)<(p|0));D=z+77|0;b[D>>0]=0;WD(-215,g,246266,242392,3251)}}function W5(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=52716;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0))return;TC(b);return}function X5(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=52716;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0)){fuc(a);return}TC(b);fuc(a);return}function Y5(a,b,c,e,g,h){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;i=f[a+28>>2]|0;j=f[a+72>>2]|0;k=f[a+4>>2]|0;if(!g)return;a=h+-4|0;l=(h|0)<4;m=(k|0)>1;n=h&-4;o=b;b=c;c=g;while(1){c=c+-1|0;a:do if(l)p=0;else{g=f[i>>2]|0;q=f[o>>2]|0;if(m)r=0;else{s=0;while(1){t=q+(s<<2)|0;u=(Y(f[t>>2]|0,g)|0)+j|0;v=(Y(f[t+4>>2]|0,g)|0)+j|0;w=(Y(f[t+8>>2]|0,g)|0)+j|0;x=(Y(f[t+12>>2]|0,g)|0)+j|0;d[b+(s<<1)>>1]=(u+32768|0)>>>0<65536?u:(u|0)>0?32767:32768;d[b+((s|1)<<1)>>1]=(v+32768|0)>>>0<65536?v:(v|0)>0?32767:32768;d[b+((s|2)<<1)>>1]=(w+32768|0)>>>0<65536?w:(w|0)>0?32767:32768;d[b+((s|3)<<1)>>1]=(x+32768|0)>>>0<65536?x:(x|0)>0?32767:32768;s=s+4|0;if((s|0)>(a|0)){p=n;break a}}}do{s=q+(r<<2)|0;x=(Y(f[s>>2]|0,g)|0)+j|0;w=(Y(f[s+4>>2]|0,g)|0)+j|0;v=(Y(f[s+8>>2]|0,g)|0)+j|0;u=(Y(f[s+12>>2]|0,g)|0)+j|0;s=v;v=w;w=x;x=1;do{t=(f[o+(x<<2)>>2]|0)+(r<<2)|0;y=f[i+(x<<2)>>2]|0;w=(Y(f[t>>2]|0,y)|0)+w|0;v=(Y(f[t+4>>2]|0,y)|0)+v|0;s=(Y(f[t+8>>2]|0,y)|0)+s|0;u=(Y(f[t+12>>2]|0,y)|0)+u|0;x=x+1|0}while((x|0)!=(k|0));d[b+(r<<1)>>1]=(w+32768|0)>>>0<65536?w:(w|0)>0?32767:32768;d[b+((r|1)<<1)>>1]=(v+32768|0)>>>0<65536?v:(v|0)>0?32767:32768;d[b+((r|2)<<1)>>1]=(s+32768|0)>>>0<65536?s:(s|0)>0?32767:32768;d[b+((r|3)<<1)>>1]=(u+32768|0)>>>0<65536?u:(u|0)>0?32767:32768;r=r+4|0}while((r|0)<=(a|0));p=n}while(0);b:do if((p|0)<(h|0)){g=f[i>>2]|0;q=f[o>>2]|0;if(m)z=p;else{x=p;while(1){y=(Y(f[q+(x<<2)>>2]|0,g)|0)+j|0;d[b+(x<<1)>>1]=(y+32768|0)>>>0<65536?y:(y|0)>0?32767:32768;x=x+1|0;if((x|0)==(h|0))break b}}do{x=(Y(f[q+(z<<2)>>2]|0,g)|0)+j|0;y=1;do{x=(Y(f[(f[o+(y<<2)>>2]|0)+(z<<2)>>2]|0,f[i+(y<<2)>>2]|0)|0)+x|0;y=y+1|0}while((y|0)!=(k|0));d[b+(z<<1)>>1]=(x+32768|0)>>>0<65536?x:(x|0)>0?32767:32768;z=z+1|0}while((z|0)!=(h|0))}while(0);if(!c)break;else{o=o+4|0;b=b+e|0}}return}function Z5(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=52716;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0)){fuc(a);return}TC(b);fuc(a);return}function _5(a,b,c,e,g,h){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;i=f[a+4>>2]|0;j=(i|0)/2|0;k=(f[a+28>>2]|0)+(j<<2)|0;l=f[a+72>>2]|0;m=b+(j<<2)|0;b=g+-1|0;n=(g|0)==0;if(!(f[a+76>>2]&1)){if(n)return;a=h+-4|0;g=(h|0)<4;o=(i|0)<2;p=h&-4;q=((l+32768|0)>>>0<65536?l:(l|0)>0?32767:32768)&65535;r=((l+32768|0)>>>0<65536?l:(l|0)>0?32767:32768)&65535;s=c;t=m;u=b;while(1){a:do if(g)v=0;else{if(o){w=0;while(1){d[s+(w<<1)>>1]=r;d[s+((w|1)<<1)>>1]=r;d[s+((w|2)<<1)>>1]=r;d[s+((w|3)<<1)>>1]=r;w=w+4|0;if((w|0)>(a|0)){v=p;break a}}}else x=0;do{w=l;y=l;z=l;A=l;B=1;while(1){C=(f[t+(B<<2)>>2]|0)+(x<<2)|0;D=(f[t+(0-B<<2)>>2]|0)+(x<<2)|0;E=f[k+(B<<2)>>2]|0;A=(Y((f[C>>2]|0)-(f[D>>2]|0)|0,E)|0)+A|0;z=(Y((f[C+4>>2]|0)-(f[D+4>>2]|0)|0,E)|0)+z|0;y=(Y((f[C+8>>2]|0)-(f[D+8>>2]|0)|0,E)|0)+y|0;w=(Y((f[C+12>>2]|0)-(f[D+12>>2]|0)|0,E)|0)+w|0;if((B|0)>=(j|0))break;else B=B+1|0}d[s+(x<<1)>>1]=(A+32768|0)>>>0<65536?A:(A|0)>0?32767:32768;d[s+((x|1)<<1)>>1]=(z+32768|0)>>>0<65536?z:(z|0)>0?32767:32768;d[s+((x|2)<<1)>>1]=(y+32768|0)>>>0<65536?y:(y|0)>0?32767:32768;d[s+((x|3)<<1)>>1]=(w+32768|0)>>>0<65536?w:(w|0)>0?32767:32768;x=x+4|0}while((x|0)<=(a|0));v=p}while(0);b:do if((v|0)<(h|0)){if(o){B=v;while(1){d[s+(B<<1)>>1]=q;B=B+1|0;if((B|0)==(h|0))break b}}else F=v;do{B=l;E=1;while(1){B=(Y((f[(f[t+(E<<2)>>2]|0)+(F<<2)>>2]|0)-(f[(f[t+(0-E<<2)>>2]|0)+(F<<2)>>2]|0)|0,f[k+(E<<2)>>2]|0)|0)+B|0;if((E|0)>=(j|0))break;else E=E+1|0}d[s+(F<<1)>>1]=(B+32768|0)>>>0<65536?B:(B|0)>0?32767:32768;F=F+1|0}while((F|0)!=(h|0))}while(0);if(!u)break;else{s=s+e|0;t=t+4|0;u=u+-1|0}}return}else{if(n)return;n=h+-4|0;u=(h|0)<4;t=(i|0)<2;i=h&-4;s=m;m=c;c=b;while(1){c:do if(u)G=0;else{b=f[k>>2]|0;F=f[s>>2]|0;if(t){v=0;while(1){q=F+(v<<2)|0;o=(Y(f[q>>2]|0,b)|0)+l|0;p=(Y(f[q+4>>2]|0,b)|0)+l|0;a=(Y(f[q+8>>2]|0,b)|0)+l|0;x=(Y(f[q+12>>2]|0,b)|0)+l|0;d[m+(v<<1)>>1]=(o+32768|0)>>>0<65536?o:(o|0)>0?32767:32768;d[m+((v|1)<<1)>>1]=(p+32768|0)>>>0<65536?p:(p|0)>0?32767:32768;d[m+((v|2)<<1)>>1]=(a+32768|0)>>>0<65536?a:(a|0)>0?32767:32768;d[m+((v|3)<<1)>>1]=(x+32768|0)>>>0<65536?x:(x|0)>0?32767:32768;v=v+4|0;if((v|0)>(n|0)){G=i;break c}}}else H=0;do{v=F+(H<<2)|0;x=(Y(f[v>>2]|0,b)|0)+l|0;a=(Y(f[v+4>>2]|0,b)|0)+l|0;p=(Y(f[v+8>>2]|0,b)|0)+l|0;o=(Y(f[v+12>>2]|0,b)|0)+l|0;v=p;p=a;a=x;x=1;while(1){q=(f[s+(x<<2)>>2]|0)+(H<<2)|0;r=(f[s+(0-x<<2)>>2]|0)+(H<<2)|0;g=f[k+(x<<2)>>2]|0;a=(Y((f[r>>2]|0)+(f[q>>2]|0)|0,g)|0)+a|0;p=(Y((f[r+4>>2]|0)+(f[q+4>>2]|0)|0,g)|0)+p|0;v=(Y((f[r+8>>2]|0)+(f[q+8>>2]|0)|0,g)|0)+v|0;o=(Y((f[r+12>>2]|0)+(f[q+12>>2]|0)|0,g)|0)+o|0;if((x|0)>=(j|0))break;else x=x+1|0}d[m+(H<<1)>>1]=(a+32768|0)>>>0<65536?a:(a|0)>0?32767:32768;d[m+((H|1)<<1)>>1]=(p+32768|0)>>>0<65536?p:(p|0)>0?32767:32768;d[m+((H|2)<<1)>>1]=(v+32768|0)>>>0<65536?v:(v|0)>0?32767:32768;d[m+((H|3)<<1)>>1]=(o+32768|0)>>>0<65536?o:(o|0)>0?32767:32768;H=H+4|0}while((H|0)<=(n|0));G=i}while(0);d:do if((G|0)<(h|0)){b=f[k>>2]|0;F=f[s>>2]|0;if(t){x=G;while(1){B=(Y(f[F+(x<<2)>>2]|0,b)|0)+l|0;d[m+(x<<1)>>1]=(B+32768|0)>>>0<65536?B:(B|0)>0?32767:32768;x=x+1|0;if((x|0)==(h|0))break d}}else I=G;do{x=(Y(f[F+(I<<2)>>2]|0,b)|0)+l|0;B=1;while(1){x=(Y((f[(f[s+(0-B<<2)>>2]|0)+(I<<2)>>2]|0)+(f[(f[s+(B<<2)>>2]|0)+(I<<2)>>2]|0)|0,f[k+(B<<2)>>2]|0)|0)+x|0;if((B|0)>=(j|0))break;else B=B+1|0}d[m+(I<<1)>>1]=(x+32768|0)>>>0<65536?x:(x|0)>0?32767:32768;I=I+1|0}while((I|0)!=(h|0))}while(0);if(!c)break;else{s=s+4|0;m=m+e|0;c=c+-1|0}}return}}function $5(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=52360;f[a+12>>2]=52716;b=a+24|0;c=a+60|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+40|0;b=a+28|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+64>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+68>>2]|0;if((b|0)==(a+72|0)){Qtc(a);return}TC(b);Qtc(a);return}function a6(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=52360;f[a+12>>2]=52716;b=a+24|0;c=a+60|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+40|0;b=a+28|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+64>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+68>>2]|0;if((b|0)==(a+72|0)){Qtc(a);fuc(a);return}TC(b);Qtc(a);fuc(a);return}function b6(a){a=a|0;var b=0;b=a+12|0;bi[f[f[b>>2]>>2]&2047](b);return}function c6(a){a=a|0;fuc(a);return}function d6(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=52764;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0))return;TC(b);return}function e6(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=52764;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0)){fuc(a);return}TC(b);fuc(a);return}function f6(a,b,c,e,g,h){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;var i=0,j=0.0,k=0,l=0,m=0,n=0,o=0,q=0,r=0.0,s=0,t=0,u=0,v=0.0,w=0.0,x=0.0,y=0,z=0.0,A=0.0,B=0;i=f[a+28>>2]|0;j=+p[a+72>>3];k=f[a+4>>2]|0;if(!g)return;a=h+-4|0;l=(h|0)<4;m=(k|0)>1;n=h&-4;o=b;b=c;c=g;while(1){c=c+-1|0;a:do if(l)q=0;else{r=+p[i>>3];g=f[o>>2]|0;if(m)s=0;else{t=0;while(1){u=g+(t<<3)|0;v=j+r*+p[u+8>>3];w=j+r*+p[u+16>>3];x=j+r*+p[u+24>>3];y=Fhc(j+r*+p[u>>3])|0;d[b+(t<<1)>>1]=y>>>0<65536?y:(y|0)>0?65535:0;y=Fhc(v)|0;d[b+((t|1)<<1)>>1]=y>>>0<65536?y:(y|0)>0?65535:0;y=Fhc(w)|0;d[b+((t|2)<<1)>>1]=y>>>0<65536?y:(y|0)>0?65535:0;y=Fhc(x)|0;d[b+((t|3)<<1)>>1]=y>>>0<65536?y:(y|0)>0?65535:0;t=t+4|0;if((t|0)>(a|0)){q=n;break a}}}do{t=g+(s<<3)|0;x=j+r*+p[t+24>>3];w=j+r*+p[t+16>>3];v=j+r*+p[t+8>>3];z=j+r*+p[t>>3];t=1;do{y=(f[o+(t<<2)>>2]|0)+(s<<3)|0;A=+p[i+(t<<3)>>3];z=z+A*+p[y>>3];v=v+A*+p[y+8>>3];w=w+A*+p[y+16>>3];x=x+A*+p[y+24>>3];t=t+1|0}while((t|0)!=(k|0));t=Fhc(z)|0;d[b+(s<<1)>>1]=t>>>0<65536?t:(t|0)>0?65535:0;t=Fhc(v)|0;d[b+((s|1)<<1)>>1]=t>>>0<65536?t:(t|0)>0?65535:0;t=Fhc(w)|0;d[b+((s|2)<<1)>>1]=t>>>0<65536?t:(t|0)>0?65535:0;t=Fhc(x)|0;d[b+((s|3)<<1)>>1]=t>>>0<65536?t:(t|0)>0?65535:0;s=s+4|0}while((s|0)<=(a|0));q=n}while(0);b:do if((q|0)<(h|0)){r=+p[i>>3];g=f[o>>2]|0;if(m)B=q;else{t=q;while(1){y=Fhc(j+r*+p[g+(t<<3)>>3])|0;d[b+(t<<1)>>1]=y>>>0<65536?y:(y|0)>0?65535:0;t=t+1|0;if((t|0)==(h|0))break b}}do{A=j+r*+p[g+(B<<3)>>3];t=1;do{A=A+ +p[i+(t<<3)>>3]*+p[(f[o+(t<<2)>>2]|0)+(B<<3)>>3];t=t+1|0}while((t|0)!=(k|0));t=Fhc(A)|0;d[b+(B<<1)>>1]=t>>>0<65536?t:(t|0)>0?65535:0;B=B+1|0}while((B|0)!=(h|0))}while(0);if(!c)break;else{o=o+4|0;b=b+e|0}}return}function g6(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=52764;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0)){fuc(a);return}TC(b);fuc(a);return}function h6(a,b,c,e,g,h){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0.0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,u=0,v=0.0,w=0,x=0,y=0,z=0.0,A=0.0,B=0.0,C=0,D=0,E=0.0,F=0.0,G=0,H=0,I=0,J=0;i=f[a+4>>2]|0;j=(i|0)/2|0;k=(f[a+28>>2]|0)+(j<<3)|0;l=+p[a+72>>3];m=b+(j<<2)|0;b=g+-1|0;n=(g|0)==0;if(f[a+80>>2]&1|0){if(n)return;a=h+-4|0;g=(h|0)<4;o=(i|0)<2;q=h&-4;r=m;s=c;t=b;while(1){a:do if(g)u=0;else{v=+p[k>>3];w=f[r>>2]|0;if(o){x=0;while(1){y=w+(x<<3)|0;z=l+v*+p[y+8>>3];A=l+v*+p[y+16>>3];B=l+v*+p[y+24>>3];C=Fhc(l+v*+p[y>>3])|0;d[s+(x<<1)>>1]=C>>>0<65536?C:(C|0)>0?65535:0;C=Fhc(z)|0;d[s+((x|1)<<1)>>1]=C>>>0<65536?C:(C|0)>0?65535:0;C=Fhc(A)|0;d[s+((x|2)<<1)>>1]=C>>>0<65536?C:(C|0)>0?65535:0;C=Fhc(B)|0;d[s+((x|3)<<1)>>1]=C>>>0<65536?C:(C|0)>0?65535:0;x=x+4|0;if((x|0)>(a|0)){u=q;break a}}}else D=0;do{x=w+(D<<3)|0;B=l+v*+p[x+24>>3];A=l+v*+p[x+16>>3];z=l+v*+p[x+8>>3];E=l+v*+p[x>>3];x=1;while(1){C=(f[r+(x<<2)>>2]|0)+(D<<3)|0;y=(f[r+(0-x<<2)>>2]|0)+(D<<3)|0;F=+p[k+(x<<3)>>3];E=E+F*(+p[C>>3]+ +p[y>>3]);z=z+F*(+p[C+8>>3]+ +p[y+8>>3]);A=A+F*(+p[C+16>>3]+ +p[y+16>>3]);B=B+F*(+p[C+24>>3]+ +p[y+24>>3]);if((x|0)>=(j|0))break;else x=x+1|0}x=Fhc(E)|0;d[s+(D<<1)>>1]=x>>>0<65536?x:(x|0)>0?65535:0;x=Fhc(z)|0;d[s+((D|1)<<1)>>1]=x>>>0<65536?x:(x|0)>0?65535:0;x=Fhc(A)|0;d[s+((D|2)<<1)>>1]=x>>>0<65536?x:(x|0)>0?65535:0;x=Fhc(B)|0;d[s+((D|3)<<1)>>1]=x>>>0<65536?x:(x|0)>0?65535:0;D=D+4|0}while((D|0)<=(a|0));u=q}while(0);b:do if((u|0)<(h|0)){v=+p[k>>3];w=f[r>>2]|0;if(o){x=u;while(1){y=Fhc(l+v*+p[w+(x<<3)>>3])|0;d[s+(x<<1)>>1]=y>>>0<65536?y:(y|0)>0?65535:0;x=x+1|0;if((x|0)==(h|0))break b}}else G=u;do{F=l+v*+p[w+(G<<3)>>3];x=1;while(1){F=F+ +p[k+(x<<3)>>3]*(+p[(f[r+(x<<2)>>2]|0)+(G<<3)>>3]+ +p[(f[r+(0-x<<2)>>2]|0)+(G<<3)>>3]);if((x|0)>=(j|0))break;else x=x+1|0}x=Fhc(F)|0;d[s+(G<<1)>>1]=x>>>0<65536?x:(x|0)>0?65535:0;G=G+1|0}while((G|0)!=(h|0))}while(0);if(!t)break;else{r=r+4|0;s=s+e|0;t=t+-1|0}}return}if(n)return;n=h+-4|0;t=(h|0)<4;s=(i|0)<2;i=h&-4;r=c;c=m;m=b;while(1){c:do if(t)H=0;else{if(s){b=Fhc(l)|0;G=(b>>>0<65536?b:(b|0)>0?65535:0)&65535;b=0;while(1){d[r+(b<<1)>>1]=G;d[r+((b|1)<<1)>>1]=G;d[r+((b|2)<<1)>>1]=G;d[r+((b|3)<<1)>>1]=G;b=b+4|0;if((b|0)>(n|0)){H=i;break c}}}else I=0;do{v=l;B=l;A=l;z=l;b=1;while(1){G=(f[c+(b<<2)>>2]|0)+(I<<3)|0;u=(f[c+(0-b<<2)>>2]|0)+(I<<3)|0;E=+p[k+(b<<3)>>3];z=z+E*(+p[G>>3]-+p[u>>3]);A=A+E*(+p[G+8>>3]-+p[u+8>>3]);B=B+E*(+p[G+16>>3]-+p[u+16>>3]);v=v+E*(+p[G+24>>3]-+p[u+24>>3]);if((b|0)>=(j|0))break;else b=b+1|0}b=Fhc(z)|0;d[r+(I<<1)>>1]=b>>>0<65536?b:(b|0)>0?65535:0;b=Fhc(A)|0;d[r+((I|1)<<1)>>1]=b>>>0<65536?b:(b|0)>0?65535:0;b=Fhc(B)|0;d[r+((I|2)<<1)>>1]=b>>>0<65536?b:(b|0)>0?65535:0;b=Fhc(v)|0;d[r+((I|3)<<1)>>1]=b>>>0<65536?b:(b|0)>0?65535:0;I=I+4|0}while((I|0)<=(n|0));H=i}while(0);d:do if((H|0)<(h|0)){if(s){b=Fhc(l)|0;u=(b>>>0<65536?b:(b|0)>0?65535:0)&65535;b=H;while(1){d[r+(b<<1)>>1]=u;b=b+1|0;if((b|0)==(h|0))break d}}else J=H;do{F=l;b=1;while(1){F=F+ +p[k+(b<<3)>>3]*(+p[(f[c+(b<<2)>>2]|0)+(J<<3)>>3]-+p[(f[c+(0-b<<2)>>2]|0)+(J<<3)>>3]);if((b|0)>=(j|0))break;else b=b+1|0}b=Fhc(F)|0;d[r+(J<<1)>>1]=b>>>0<65536?b:(b|0)>0?65535:0;J=J+1|0}while((J|0)!=(h|0))}while(0);if(!m)break;else{r=r+e|0;c=c+4|0;m=m+-1|0}}return}function i6(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=52332;f[a+16>>2]=52764;b=a+28|0;c=a+64|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+44|0;b=a+32|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+68>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+72>>2]|0;if((b|0)==(a+76|0)){Qtc(a);return}TC(b);Qtc(a);return}function j6(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=52332;f[a+16>>2]=52764;b=a+28|0;c=a+64|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+44|0;b=a+32|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+68>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+72>>2]|0;if((b|0)==(a+76|0)){Qtc(a);fuc(a);return}TC(b);Qtc(a);fuc(a);return}function k6(a){a=a|0;var b=0;b=a+16|0;bi[f[f[b>>2]>>2]&2047](b);return}function l6(a){a=a|0;fuc(a);return}function m6(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=52812;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0))return;TC(b);return}function n6(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=52812;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0)){fuc(a);return}TC(b);fuc(a);return}function o6(a,b,c,e,g,h){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;var i=0,j=0.0,k=0,l=0,m=0,o=0,p=0,q=0,r=0.0,s=0,t=0,u=0,v=0.0,w=0.0,x=0.0,y=0,z=0.0,A=0.0,B=0;i=f[a+28>>2]|0;j=+n[a+72>>2];k=f[a+4>>2]|0;if(!g)return;a=h+-4|0;l=(h|0)<4;m=(k|0)>1;o=h&-4;p=b;b=c;c=g;while(1){c=c+-1|0;a:do if(l)q=0;else{r=+n[i>>2];g=f[p>>2]|0;if(m)s=0;else{t=0;while(1){u=g+(t<<2)|0;v=j+r*+n[u+4>>2];w=j+r*+n[u+8>>2];x=j+r*+n[u+12>>2];y=Ghc(j+r*+n[u>>2])|0;d[b+(t<<1)>>1]=y>>>0<65536?y:(y|0)>0?65535:0;y=Ghc(v)|0;d[b+((t|1)<<1)>>1]=y>>>0<65536?y:(y|0)>0?65535:0;y=Ghc(w)|0;d[b+((t|2)<<1)>>1]=y>>>0<65536?y:(y|0)>0?65535:0;y=Ghc(x)|0;d[b+((t|3)<<1)>>1]=y>>>0<65536?y:(y|0)>0?65535:0;t=t+4|0;if((t|0)>(a|0)){q=o;break a}}}do{t=g+(s<<2)|0;x=j+r*+n[t+12>>2];w=j+r*+n[t+8>>2];v=j+r*+n[t+4>>2];z=j+r*+n[t>>2];t=1;do{y=(f[p+(t<<2)>>2]|0)+(s<<2)|0;A=+n[i+(t<<2)>>2];z=z+A*+n[y>>2];v=v+A*+n[y+4>>2];w=w+A*+n[y+8>>2];x=x+A*+n[y+12>>2];t=t+1|0}while((t|0)!=(k|0));t=Ghc(z)|0;d[b+(s<<1)>>1]=t>>>0<65536?t:(t|0)>0?65535:0;t=Ghc(v)|0;d[b+((s|1)<<1)>>1]=t>>>0<65536?t:(t|0)>0?65535:0;t=Ghc(w)|0;d[b+((s|2)<<1)>>1]=t>>>0<65536?t:(t|0)>0?65535:0;t=Ghc(x)|0;d[b+((s|3)<<1)>>1]=t>>>0<65536?t:(t|0)>0?65535:0;s=s+4|0}while((s|0)<=(a|0));q=o}while(0);b:do if((q|0)<(h|0)){r=+n[i>>2];g=f[p>>2]|0;if(m)B=q;else{t=q;while(1){y=Ghc(j+r*+n[g+(t<<2)>>2])|0;d[b+(t<<1)>>1]=y>>>0<65536?y:(y|0)>0?65535:0;t=t+1|0;if((t|0)==(h|0))break b}}do{A=j+r*+n[g+(B<<2)>>2];t=1;do{A=A+ +n[i+(t<<2)>>2]*+n[(f[p+(t<<2)>>2]|0)+(B<<2)>>2];t=t+1|0}while((t|0)!=(k|0));t=Ghc(A)|0;d[b+(B<<1)>>1]=t>>>0<65536?t:(t|0)>0?65535:0;B=B+1|0}while((B|0)!=(h|0))}while(0);if(!c)break;else{p=p+4|0;b=b+e|0}}return}function p6(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=52812;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0)){fuc(a);return}TC(b);fuc(a);return}function q6(a,b,c,e,g,h){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0.0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0.0,w=0,x=0,y=0,z=0.0,A=0.0,B=0.0,C=0,D=0,E=0.0,F=0.0,G=0,H=0,I=0,J=0;i=f[a+4>>2]|0;j=(i|0)/2|0;k=(f[a+28>>2]|0)+(j<<2)|0;l=+n[a+72>>2];m=b+(j<<2)|0;b=g+-1|0;o=(g|0)==0;if(f[a+76>>2]&1|0){if(o)return;a=h+-4|0;g=(h|0)<4;p=(i|0)<2;q=h&-4;r=m;s=c;t=b;while(1){a:do if(g)u=0;else{v=+n[k>>2];w=f[r>>2]|0;if(p){x=0;while(1){y=w+(x<<2)|0;z=l+v*+n[y+4>>2];A=l+v*+n[y+8>>2];B=l+v*+n[y+12>>2];C=Ghc(l+v*+n[y>>2])|0;d[s+(x<<1)>>1]=C>>>0<65536?C:(C|0)>0?65535:0;C=Ghc(z)|0;d[s+((x|1)<<1)>>1]=C>>>0<65536?C:(C|0)>0?65535:0;C=Ghc(A)|0;d[s+((x|2)<<1)>>1]=C>>>0<65536?C:(C|0)>0?65535:0;C=Ghc(B)|0;d[s+((x|3)<<1)>>1]=C>>>0<65536?C:(C|0)>0?65535:0;x=x+4|0;if((x|0)>(a|0)){u=q;break a}}}else D=0;do{x=w+(D<<2)|0;B=l+v*+n[x+12>>2];A=l+v*+n[x+8>>2];z=l+v*+n[x+4>>2];E=l+v*+n[x>>2];x=1;while(1){C=(f[r+(x<<2)>>2]|0)+(D<<2)|0;y=(f[r+(0-x<<2)>>2]|0)+(D<<2)|0;F=+n[k+(x<<2)>>2];E=E+F*(+n[C>>2]+ +n[y>>2]);z=z+F*(+n[C+4>>2]+ +n[y+4>>2]);A=A+F*(+n[C+8>>2]+ +n[y+8>>2]);B=B+F*(+n[C+12>>2]+ +n[y+12>>2]);if((x|0)>=(j|0))break;else x=x+1|0}x=Ghc(E)|0;d[s+(D<<1)>>1]=x>>>0<65536?x:(x|0)>0?65535:0;x=Ghc(z)|0;d[s+((D|1)<<1)>>1]=x>>>0<65536?x:(x|0)>0?65535:0;x=Ghc(A)|0;d[s+((D|2)<<1)>>1]=x>>>0<65536?x:(x|0)>0?65535:0;x=Ghc(B)|0;d[s+((D|3)<<1)>>1]=x>>>0<65536?x:(x|0)>0?65535:0;D=D+4|0}while((D|0)<=(a|0));u=q}while(0);b:do if((u|0)<(h|0)){v=+n[k>>2];w=f[r>>2]|0;if(p){x=u;while(1){y=Ghc(l+v*+n[w+(x<<2)>>2])|0;d[s+(x<<1)>>1]=y>>>0<65536?y:(y|0)>0?65535:0;x=x+1|0;if((x|0)==(h|0))break b}}else G=u;do{F=l+v*+n[w+(G<<2)>>2];x=1;while(1){F=F+ +n[k+(x<<2)>>2]*(+n[(f[r+(x<<2)>>2]|0)+(G<<2)>>2]+ +n[(f[r+(0-x<<2)>>2]|0)+(G<<2)>>2]);if((x|0)>=(j|0))break;else x=x+1|0}x=Ghc(F)|0;d[s+(G<<1)>>1]=x>>>0<65536?x:(x|0)>0?65535:0;G=G+1|0}while((G|0)!=(h|0))}while(0);if(!t)break;else{r=r+4|0;s=s+e|0;t=t+-1|0}}return}if(o)return;o=h+-4|0;t=(h|0)<4;s=(i|0)<2;i=h&-4;r=c;c=m;m=b;while(1){c:do if(t)H=0;else{if(s){b=Ghc(l)|0;G=(b>>>0<65536?b:(b|0)>0?65535:0)&65535;b=0;while(1){d[r+(b<<1)>>1]=G;d[r+((b|1)<<1)>>1]=G;d[r+((b|2)<<1)>>1]=G;d[r+((b|3)<<1)>>1]=G;b=b+4|0;if((b|0)>(o|0)){H=i;break c}}}else I=0;do{v=l;B=l;A=l;z=l;b=1;while(1){G=(f[c+(b<<2)>>2]|0)+(I<<2)|0;u=(f[c+(0-b<<2)>>2]|0)+(I<<2)|0;E=+n[k+(b<<2)>>2];z=z+E*(+n[G>>2]-+n[u>>2]);A=A+E*(+n[G+4>>2]-+n[u+4>>2]);B=B+E*(+n[G+8>>2]-+n[u+8>>2]);v=v+E*(+n[G+12>>2]-+n[u+12>>2]);if((b|0)>=(j|0))break;else b=b+1|0}b=Ghc(z)|0;d[r+(I<<1)>>1]=b>>>0<65536?b:(b|0)>0?65535:0;b=Ghc(A)|0;d[r+((I|1)<<1)>>1]=b>>>0<65536?b:(b|0)>0?65535:0;b=Ghc(B)|0;d[r+((I|2)<<1)>>1]=b>>>0<65536?b:(b|0)>0?65535:0;b=Ghc(v)|0;d[r+((I|3)<<1)>>1]=b>>>0<65536?b:(b|0)>0?65535:0;I=I+4|0}while((I|0)<=(o|0));H=i}while(0);d:do if((H|0)<(h|0)){if(s){b=Ghc(l)|0;u=(b>>>0<65536?b:(b|0)>0?65535:0)&65535;b=H;while(1){d[r+(b<<1)>>1]=u;b=b+1|0;if((b|0)==(h|0))break d}}else J=H;do{F=l;b=1;while(1){F=F+ +n[k+(b<<2)>>2]*(+n[(f[c+(b<<2)>>2]|0)+(J<<2)>>2]-+n[(f[c+(0-b<<2)>>2]|0)+(J<<2)>>2]);if((b|0)>=(j|0))break;else b=b+1|0}b=Ghc(F)|0;d[r+(J<<1)>>1]=b>>>0<65536?b:(b|0)>0?65535:0;J=J+1|0}while((J|0)!=(h|0))}while(0);if(!m)break;else{r=r+e|0;c=c+4|0;m=m+-1|0}}return}function r6(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=52304;f[a+12>>2]=52812;b=a+24|0;c=a+60|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+40|0;b=a+28|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+64>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+68>>2]|0;if((b|0)==(a+72|0)){Qtc(a);return}TC(b);Qtc(a);return}function s6(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=52304;f[a+12>>2]=52812;b=a+24|0;c=a+60|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+40|0;b=a+28|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+64>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+68>>2]|0;if((b|0)==(a+72|0)){Qtc(a);fuc(a);return}TC(b);Qtc(a);fuc(a);return}function t6(a){a=a|0;var b=0;b=a+12|0;bi[f[f[b>>2]>>2]&2047](b);return}function u6(a){a=a|0;fuc(a);return}function v6(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=52860;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0))return;TC(b);return}function w6(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=52860;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0)){fuc(a);return}TC(b);fuc(a);return}function x6(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0.0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0.0,t=0,u=0.0,v=0.0,w=0.0,x=0,y=0.0,z=0;i=f[a+28>>2]|0;j=+p[a+72>>3];k=f[a+4>>2]|0;if(!g)return;a=h+-4|0;l=(h|0)<4;m=(k|0)>1;n=h&-4;o=c;c=d;d=g;while(1){d=d+-1|0;a:do if(l)q=0;else{if(m)r=0;else{g=0;while(1){s=+p[i>>3];t=(f[o>>2]|0)+(g<<3)|0;u=j+s*+p[t+8>>3];v=j+s*+p[t+16>>3];w=j+s*+p[t+24>>3];x=Fhc(j+s*+p[t>>3])|0;b[c+g>>0]=x>>>0<256?x:(x|0)>0?255:0;x=Fhc(u)|0;b[c+(g|1)>>0]=x>>>0<256?x:(x|0)>0?255:0;x=Fhc(v)|0;b[c+(g|2)>>0]=x>>>0<256?x:(x|0)>0?255:0;x=Fhc(w)|0;b[c+(g|3)>>0]=x>>>0<256?x:(x|0)>0?255:0;g=g+4|0;if((g|0)>(a|0)){q=n;break a}}}do{w=+p[i>>3];g=(f[o>>2]|0)+(r<<3)|0;v=j+w*+p[g+24>>3];u=j+w*+p[g+16>>3];s=j+w*+p[g+8>>3];y=j+w*+p[g>>3];g=1;do{x=(f[o+(g<<2)>>2]|0)+(r<<3)|0;w=+p[i+(g<<3)>>3];y=y+w*+p[x>>3];s=s+w*+p[x+8>>3];u=u+w*+p[x+16>>3];v=v+w*+p[x+24>>3];g=g+1|0}while((g|0)!=(k|0));g=Fhc(y)|0;b[c+r>>0]=g>>>0<256?g:(g|0)>0?255:0;g=Fhc(s)|0;b[c+(r|1)>>0]=g>>>0<256?g:(g|0)>0?255:0;g=Fhc(u)|0;b[c+(r|2)>>0]=g>>>0<256?g:(g|0)>0?255:0;g=Fhc(v)|0;b[c+(r|3)>>0]=g>>>0<256?g:(g|0)>0?255:0;r=r+4|0}while((r|0)<=(a|0));q=n}while(0);b:do if((q|0)<(h|0)){if(m)z=q;else{g=q;while(1){x=Fhc(j+ +p[i>>3]*+p[(f[o>>2]|0)+(g<<3)>>3])|0;b[c+g>>0]=x>>>0<256?x:(x|0)>0?255:0;g=g+1|0;if((g|0)==(h|0))break b}}do{w=j+ +p[i>>3]*+p[(f[o>>2]|0)+(z<<3)>>3];g=1;do{w=w+ +p[i+(g<<3)>>3]*+p[(f[o+(g<<2)>>2]|0)+(z<<3)>>3];g=g+1|0}while((g|0)!=(k|0));g=Fhc(w)|0;b[c+z>>0]=g>>>0<256?g:(g|0)>0?255:0;z=z+1|0}while((z|0)!=(h|0))}while(0);if(!d)break;else{o=o+4|0;c=c+e|0}}return}function y6(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=52860;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0)){fuc(a);return}TC(b);fuc(a);return}function z6(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0.0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0.0,x=0,y=0.0,z=0.0,A=0.0,B=0,C=0,D=0.0,E=0,F=0,G=0,H=0.0,I=0;i=f[a+4>>2]|0;j=(i|0)/2|0;k=(f[a+28>>2]|0)+(j<<3)|0;l=+p[a+72>>3];m=c+(j<<2)|0;c=g+-1|0;n=(g|0)==0;if(f[a+80>>2]&1|0){if(n)return;a=h+-4|0;g=(h|0)<4;o=(i|0)<2;q=h&-4;r=m;s=d;t=c;while(1){a:do if(g)u=0;else{if(o){v=0;while(1){w=+p[k>>3];x=(f[r>>2]|0)+(v<<3)|0;y=l+w*+p[x+8>>3];z=l+w*+p[x+16>>3];A=l+w*+p[x+24>>3];B=Fhc(l+w*+p[x>>3])|0;b[s+v>>0]=B>>>0<256?B:(B|0)>0?255:0;B=Fhc(y)|0;b[s+(v|1)>>0]=B>>>0<256?B:(B|0)>0?255:0;B=Fhc(z)|0;b[s+(v|2)>>0]=B>>>0<256?B:(B|0)>0?255:0;B=Fhc(A)|0;b[s+(v|3)>>0]=B>>>0<256?B:(B|0)>0?255:0;v=v+4|0;if((v|0)>(a|0)){u=q;break a}}}else C=0;do{A=+p[k>>3];v=(f[r>>2]|0)+(C<<3)|0;z=l+A*+p[v+24>>3];y=l+A*+p[v+16>>3];w=l+A*+p[v+8>>3];D=l+A*+p[v>>3];v=1;while(1){B=(f[r+(v<<2)>>2]|0)+(C<<3)|0;x=(f[r+(0-v<<2)>>2]|0)+(C<<3)|0;A=+p[k+(v<<3)>>3];D=D+A*(+p[B>>3]+ +p[x>>3]);w=w+A*(+p[B+8>>3]+ +p[x+8>>3]);y=y+A*(+p[B+16>>3]+ +p[x+16>>3]);z=z+A*(+p[B+24>>3]+ +p[x+24>>3]);if((v|0)>=(j|0))break;else v=v+1|0}v=Fhc(D)|0;b[s+C>>0]=v>>>0<256?v:(v|0)>0?255:0;v=Fhc(w)|0;b[s+(C|1)>>0]=v>>>0<256?v:(v|0)>0?255:0;v=Fhc(y)|0;b[s+(C|2)>>0]=v>>>0<256?v:(v|0)>0?255:0;v=Fhc(z)|0;b[s+(C|3)>>0]=v>>>0<256?v:(v|0)>0?255:0;C=C+4|0}while((C|0)<=(a|0));u=q}while(0);b:do if((u|0)<(h|0)){if(o){v=u;while(1){x=Fhc(l+ +p[k>>3]*+p[(f[r>>2]|0)+(v<<3)>>3])|0;b[s+v>>0]=x>>>0<256?x:(x|0)>0?255:0;v=v+1|0;if((v|0)==(h|0))break b}}else E=u;do{A=l+ +p[k>>3]*+p[(f[r>>2]|0)+(E<<3)>>3];v=1;while(1){A=A+ +p[k+(v<<3)>>3]*(+p[(f[r+(v<<2)>>2]|0)+(E<<3)>>3]+ +p[(f[r+(0-v<<2)>>2]|0)+(E<<3)>>3]);if((v|0)>=(j|0))break;else v=v+1|0}v=Fhc(A)|0;b[s+E>>0]=v>>>0<256?v:(v|0)>0?255:0;E=E+1|0}while((E|0)!=(h|0))}while(0);if(!t)break;else{r=r+4|0;s=s+e|0;t=t+-1|0}}return}if(n)return;n=h+-4|0;t=(h|0)<4;s=(i|0)<2;i=h&-4;r=d;d=m;m=c;while(1){c:do if(t)F=0;else{if(s){c=Fhc(l)|0;E=(c>>>0<256?c:(c|0)>0?255:0)&255;c=0;while(1){b[r+c>>0]=E;b[r+(c|1)>>0]=E;b[r+(c|2)>>0]=E;b[r+(c|3)>>0]=E;c=c+4|0;if((c|0)>(n|0)){F=i;break c}}}else G=0;do{z=l;y=l;w=l;D=l;c=1;while(1){E=(f[d+(c<<2)>>2]|0)+(G<<3)|0;u=(f[d+(0-c<<2)>>2]|0)+(G<<3)|0;H=+p[k+(c<<3)>>3];D=D+H*(+p[E>>3]-+p[u>>3]);w=w+H*(+p[E+8>>3]-+p[u+8>>3]);y=y+H*(+p[E+16>>3]-+p[u+16>>3]);z=z+H*(+p[E+24>>3]-+p[u+24>>3]);if((c|0)>=(j|0))break;else c=c+1|0}c=Fhc(D)|0;b[r+G>>0]=c>>>0<256?c:(c|0)>0?255:0;c=Fhc(w)|0;b[r+(G|1)>>0]=c>>>0<256?c:(c|0)>0?255:0;c=Fhc(y)|0;b[r+(G|2)>>0]=c>>>0<256?c:(c|0)>0?255:0;c=Fhc(z)|0;b[r+(G|3)>>0]=c>>>0<256?c:(c|0)>0?255:0;G=G+4|0}while((G|0)<=(n|0));F=i}while(0);d:do if((F|0)<(h|0)){if(s){c=Fhc(l)|0;u=(c>>>0<256?c:(c|0)>0?255:0)&255;c=F;while(1){b[r+c>>0]=u;c=c+1|0;if((c|0)==(h|0))break d}}else I=F;do{A=l;c=1;while(1){A=A+ +p[k+(c<<3)>>3]*(+p[(f[d+(c<<2)>>2]|0)+(I<<3)>>3]-+p[(f[d+(0-c<<2)>>2]|0)+(I<<3)>>3]);if((c|0)>=(j|0))break;else c=c+1|0}c=Fhc(A)|0;b[r+I>>0]=c>>>0<256?c:(c|0)>0?255:0;I=I+1|0}while((I|0)!=(h|0))}while(0);if(!m)break;else{r=r+e|0;d=d+4|0;m=m+-1|0}}return}function A6(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=52276;f[a+16>>2]=52860;b=a+28|0;c=a+64|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+44|0;b=a+32|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+68>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+72>>2]|0;if((b|0)==(a+76|0)){Qtc(a);return}TC(b);Qtc(a);return}function B6(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=52276;f[a+16>>2]=52860;b=a+28|0;c=a+64|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+44|0;b=a+32|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+68>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+72>>2]|0;if((b|0)==(a+76|0)){Qtc(a);fuc(a);return}TC(b);Qtc(a);fuc(a);return}function C6(a){a=a|0;var b=0;b=a+16|0;bi[f[f[b>>2]>>2]&2047](b);return}function D6(a){a=a|0;fuc(a);return}function E6(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=52908;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0))return;TC(b);return}function F6(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=52908;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0)){fuc(a);return}TC(b);fuc(a);return}function G6(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0.0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0.0,t=0,u=0.0,v=0.0,w=0.0,x=0,y=0.0,z=0;i=f[a+28>>2]|0;j=+n[a+72>>2];k=f[a+4>>2]|0;if(!g)return;a=h+-4|0;l=(h|0)<4;m=(k|0)>1;o=h&-4;p=c;c=d;d=g;while(1){d=d+-1|0;a:do if(l)q=0;else{if(m)r=0;else{g=0;while(1){s=+n[i>>2];t=(f[p>>2]|0)+(g<<2)|0;u=j+s*+n[t+4>>2];v=j+s*+n[t+8>>2];w=j+s*+n[t+12>>2];x=Ghc(j+s*+n[t>>2])|0;b[c+g>>0]=x>>>0<256?x:(x|0)>0?255:0;x=Ghc(u)|0;b[c+(g|1)>>0]=x>>>0<256?x:(x|0)>0?255:0;x=Ghc(v)|0;b[c+(g|2)>>0]=x>>>0<256?x:(x|0)>0?255:0;x=Ghc(w)|0;b[c+(g|3)>>0]=x>>>0<256?x:(x|0)>0?255:0;g=g+4|0;if((g|0)>(a|0)){q=o;break a}}}do{w=+n[i>>2];g=(f[p>>2]|0)+(r<<2)|0;v=j+w*+n[g+12>>2];u=j+w*+n[g+8>>2];s=j+w*+n[g+4>>2];y=j+w*+n[g>>2];g=1;do{x=(f[p+(g<<2)>>2]|0)+(r<<2)|0;w=+n[i+(g<<2)>>2];y=y+w*+n[x>>2];s=s+w*+n[x+4>>2];u=u+w*+n[x+8>>2];v=v+w*+n[x+12>>2];g=g+1|0}while((g|0)!=(k|0));g=Ghc(y)|0;b[c+r>>0]=g>>>0<256?g:(g|0)>0?255:0;g=Ghc(s)|0;b[c+(r|1)>>0]=g>>>0<256?g:(g|0)>0?255:0;g=Ghc(u)|0;b[c+(r|2)>>0]=g>>>0<256?g:(g|0)>0?255:0;g=Ghc(v)|0;b[c+(r|3)>>0]=g>>>0<256?g:(g|0)>0?255:0;r=r+4|0}while((r|0)<=(a|0));q=o}while(0);b:do if((q|0)<(h|0)){if(m)z=q;else{g=q;while(1){x=Ghc(j+ +n[i>>2]*+n[(f[p>>2]|0)+(g<<2)>>2])|0;b[c+g>>0]=x>>>0<256?x:(x|0)>0?255:0;g=g+1|0;if((g|0)==(h|0))break b}}do{w=j+ +n[i>>2]*+n[(f[p>>2]|0)+(z<<2)>>2];g=1;do{w=w+ +n[i+(g<<2)>>2]*+n[(f[p+(g<<2)>>2]|0)+(z<<2)>>2];g=g+1|0}while((g|0)!=(k|0));g=Ghc(w)|0;b[c+z>>0]=g>>>0<256?g:(g|0)>0?255:0;z=z+1|0}while((z|0)!=(h|0))}while(0);if(!d)break;else{p=p+4|0;c=c+e|0}}return}function H6(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=52908;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0)){fuc(a);return}TC(b);fuc(a);return}function I6(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0.0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0.0,x=0,y=0.0,z=0.0,A=0.0,B=0,C=0,D=0.0,E=0,F=0,G=0,H=0.0,I=0;i=f[a+4>>2]|0;j=(i|0)/2|0;k=(f[a+28>>2]|0)+(j<<2)|0;l=+n[a+72>>2];m=c+(j<<2)|0;c=g+-1|0;o=(g|0)==0;if(f[a+76>>2]&1|0){if(o)return;a=h+-4|0;g=(h|0)<4;p=(i|0)<2;q=h&-4;r=m;s=d;t=c;while(1){a:do if(g)u=0;else{if(p){v=0;while(1){w=+n[k>>2];x=(f[r>>2]|0)+(v<<2)|0;y=l+w*+n[x+4>>2];z=l+w*+n[x+8>>2];A=l+w*+n[x+12>>2];B=Ghc(l+w*+n[x>>2])|0;b[s+v>>0]=B>>>0<256?B:(B|0)>0?255:0;B=Ghc(y)|0;b[s+(v|1)>>0]=B>>>0<256?B:(B|0)>0?255:0;B=Ghc(z)|0;b[s+(v|2)>>0]=B>>>0<256?B:(B|0)>0?255:0;B=Ghc(A)|0;b[s+(v|3)>>0]=B>>>0<256?B:(B|0)>0?255:0;v=v+4|0;if((v|0)>(a|0)){u=q;break a}}}else C=0;do{A=+n[k>>2];v=(f[r>>2]|0)+(C<<2)|0;z=l+A*+n[v+12>>2];y=l+A*+n[v+8>>2];w=l+A*+n[v+4>>2];D=l+A*+n[v>>2];v=1;while(1){B=(f[r+(v<<2)>>2]|0)+(C<<2)|0;x=(f[r+(0-v<<2)>>2]|0)+(C<<2)|0;A=+n[k+(v<<2)>>2];D=D+A*(+n[B>>2]+ +n[x>>2]);w=w+A*(+n[B+4>>2]+ +n[x+4>>2]);y=y+A*(+n[B+8>>2]+ +n[x+8>>2]);z=z+A*(+n[B+12>>2]+ +n[x+12>>2]);if((v|0)>=(j|0))break;else v=v+1|0}v=Ghc(D)|0;b[s+C>>0]=v>>>0<256?v:(v|0)>0?255:0;v=Ghc(w)|0;b[s+(C|1)>>0]=v>>>0<256?v:(v|0)>0?255:0;v=Ghc(y)|0;b[s+(C|2)>>0]=v>>>0<256?v:(v|0)>0?255:0;v=Ghc(z)|0;b[s+(C|3)>>0]=v>>>0<256?v:(v|0)>0?255:0;C=C+4|0}while((C|0)<=(a|0));u=q}while(0);b:do if((u|0)<(h|0)){if(p){v=u;while(1){x=Ghc(l+ +n[k>>2]*+n[(f[r>>2]|0)+(v<<2)>>2])|0;b[s+v>>0]=x>>>0<256?x:(x|0)>0?255:0;v=v+1|0;if((v|0)==(h|0))break b}}else E=u;do{A=l+ +n[k>>2]*+n[(f[r>>2]|0)+(E<<2)>>2];v=1;while(1){A=A+ +n[k+(v<<2)>>2]*(+n[(f[r+(v<<2)>>2]|0)+(E<<2)>>2]+ +n[(f[r+(0-v<<2)>>2]|0)+(E<<2)>>2]);if((v|0)>=(j|0))break;else v=v+1|0}v=Ghc(A)|0;b[s+E>>0]=v>>>0<256?v:(v|0)>0?255:0;E=E+1|0}while((E|0)!=(h|0))}while(0);if(!t)break;else{r=r+4|0;s=s+e|0;t=t+-1|0}}return}if(o)return;o=h+-4|0;t=(h|0)<4;s=(i|0)<2;i=h&-4;r=d;d=m;m=c;while(1){c:do if(t)F=0;else{if(s){c=Ghc(l)|0;E=(c>>>0<256?c:(c|0)>0?255:0)&255;c=0;while(1){b[r+c>>0]=E;b[r+(c|1)>>0]=E;b[r+(c|2)>>0]=E;b[r+(c|3)>>0]=E;c=c+4|0;if((c|0)>(o|0)){F=i;break c}}}else G=0;do{z=l;y=l;w=l;D=l;c=1;while(1){E=(f[d+(c<<2)>>2]|0)+(G<<2)|0;u=(f[d+(0-c<<2)>>2]|0)+(G<<2)|0;H=+n[k+(c<<2)>>2];D=D+H*(+n[E>>2]-+n[u>>2]);w=w+H*(+n[E+4>>2]-+n[u+4>>2]);y=y+H*(+n[E+8>>2]-+n[u+8>>2]);z=z+H*(+n[E+12>>2]-+n[u+12>>2]);if((c|0)>=(j|0))break;else c=c+1|0}c=Ghc(D)|0;b[r+G>>0]=c>>>0<256?c:(c|0)>0?255:0;c=Ghc(w)|0;b[r+(G|1)>>0]=c>>>0<256?c:(c|0)>0?255:0;c=Ghc(y)|0;b[r+(G|2)>>0]=c>>>0<256?c:(c|0)>0?255:0;c=Ghc(z)|0;b[r+(G|3)>>0]=c>>>0<256?c:(c|0)>0?255:0;G=G+4|0}while((G|0)<=(o|0));F=i}while(0);d:do if((F|0)<(h|0)){if(s){c=Ghc(l)|0;u=(c>>>0<256?c:(c|0)>0?255:0)&255;c=F;while(1){b[r+c>>0]=u;c=c+1|0;if((c|0)==(h|0))break d}}else I=F;do{A=l;c=1;while(1){A=A+ +n[k+(c<<2)>>2]*(+n[(f[d+(c<<2)>>2]|0)+(I<<2)>>2]-+n[(f[d+(0-c<<2)>>2]|0)+(I<<2)>>2]);if((c|0)>=(j|0))break;else c=c+1|0}c=Ghc(A)|0;b[r+I>>0]=c>>>0<256?c:(c|0)>0?255:0;I=I+1|0}while((I|0)!=(h|0))}while(0);if(!m)break;else{r=r+e|0;d=d+4|0;m=m+-1|0}}return}function J6(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=52248;f[a+12>>2]=52908;b=a+24|0;c=a+60|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+40|0;b=a+28|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+64>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+68>>2]|0;if((b|0)==(a+72|0)){Qtc(a);return}TC(b);Qtc(a);return}function K6(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=52248;f[a+12>>2]=52908;b=a+24|0;c=a+60|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+40|0;b=a+28|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+64>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+68>>2]|0;if((b|0)==(a+72|0)){Qtc(a);fuc(a);return}TC(b);Qtc(a);fuc(a);return}function L6(a){a=a|0;var b=0;b=a+12|0;bi[f[f[b>>2]>>2]&2047](b);return}function M6(a){a=a|0;fuc(a);return}function N6(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=52956;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0))return;TC(b);return}function O6(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=52956;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0)){fuc(a);return}TC(b);fuc(a);return}function P6(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;i=f[a+28>>2]|0;j=f[a+80>>2]|0;k=f[a+4>>2]|0;l=a+68|0;a=f[l>>2]|0;m=f[l+4>>2]|0;if(!g)return;l=h+-4|0;n=(h|0)<4;o=(k|0)>1;p=h&-4;q=c;c=d;d=g;while(1){d=d+-1|0;a:do if(n)r=0;else{if(o)s=0;else{g=0;while(1){t=f[i>>2]|0;u=(f[q>>2]|0)+(g<<2)|0;v=(Y(f[u>>2]|0,t)|0)+j|0;w=(Y(f[u+4>>2]|0,t)|0)+j|0;x=(Y(f[u+8>>2]|0,t)|0)+j|0;y=(Y(f[u+12>>2]|0,t)|0)+j|0;t=v+m>>a;b[c+g>>0]=t>>>0<256?t:(t|0)>0?255:0;t=w+m>>a;b[c+(g|1)>>0]=t>>>0<256?t:(t|0)>0?255:0;t=x+m>>a;b[c+(g|2)>>0]=t>>>0<256?t:(t|0)>0?255:0;t=y+m>>a;b[c+(g|3)>>0]=t>>>0<256?t:(t|0)>0?255:0;g=g+4|0;if((g|0)>(l|0)){r=p;break a}}}do{g=f[i>>2]|0;t=(f[q>>2]|0)+(s<<2)|0;y=(Y(f[t>>2]|0,g)|0)+j|0;x=(Y(f[t+4>>2]|0,g)|0)+j|0;w=(Y(f[t+8>>2]|0,g)|0)+j|0;v=(Y(f[t+12>>2]|0,g)|0)+j|0;g=w;w=x;x=y;y=1;do{t=(f[q+(y<<2)>>2]|0)+(s<<2)|0;u=f[i+(y<<2)>>2]|0;x=(Y(f[t>>2]|0,u)|0)+x|0;w=(Y(f[t+4>>2]|0,u)|0)+w|0;g=(Y(f[t+8>>2]|0,u)|0)+g|0;v=(Y(f[t+12>>2]|0,u)|0)+v|0;y=y+1|0}while((y|0)!=(k|0));y=x+m>>a;b[c+s>>0]=y>>>0<256?y:(y|0)>0?255:0;y=w+m>>a;b[c+(s|1)>>0]=y>>>0<256?y:(y|0)>0?255:0;y=g+m>>a;b[c+(s|2)>>0]=y>>>0<256?y:(y|0)>0?255:0;y=v+m>>a;b[c+(s|3)>>0]=y>>>0<256?y:(y|0)>0?255:0;s=s+4|0}while((s|0)<=(l|0));r=p}while(0);b:do if((r|0)<(h|0)){if(o)z=r;else{y=r;while(1){u=(Y(f[(f[q>>2]|0)+(y<<2)>>2]|0,f[i>>2]|0)|0)+j+m>>a;b[c+y>>0]=u>>>0<256?u:(u|0)>0?255:0;y=y+1|0;if((y|0)==(h|0))break b}}do{y=(Y(f[(f[q>>2]|0)+(z<<2)>>2]|0,f[i>>2]|0)|0)+j|0;u=1;do{y=(Y(f[(f[q+(u<<2)>>2]|0)+(z<<2)>>2]|0,f[i+(u<<2)>>2]|0)|0)+y|0;u=u+1|0}while((u|0)!=(k|0));u=y+m>>a;b[c+z>>0]=u>>>0<256?u:(u|0)>0?255:0;z=z+1|0}while((z|0)!=(h|0))}while(0);if(!d)break;else{q=q+4|0;c=c+e|0}}return}function Q6(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=52956;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0)){fuc(a);return}TC(b);fuc(a);return}function R6(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;i=f[a+4>>2]|0;j=(i|0)/2|0;k=(f[a+28>>2]|0)+(j<<2)|0;l=f[a+80>>2]|0;m=a+68|0;n=f[m>>2]|0;o=f[m+4>>2]|0;m=c+(j<<2)|0;c=g+-1|0;p=(g|0)==0;if(!(f[a+84>>2]&1)){if(p)return;a=h+-4|0;g=(h|0)<4;q=(i|0)<2;r=h&-4;s=l+o>>n;t=(s>>>0<256?s:(s|0)>0?255:0)&255;s=l+o>>n;u=(s>>>0<256?s:(s|0)>0?255:0)&255;s=d;v=m;w=c;while(1){a:do if(g)x=0;else{if(q){y=0;while(1){b[s+y>>0]=u;b[s+(y|1)>>0]=u;b[s+(y|2)>>0]=u;b[s+(y|3)>>0]=u;y=y+4|0;if((y|0)>(a|0)){x=r;break a}}}else z=0;do{y=l;A=l;B=l;C=l;D=1;while(1){E=(f[v+(D<<2)>>2]|0)+(z<<2)|0;F=(f[v+(0-D<<2)>>2]|0)+(z<<2)|0;G=f[k+(D<<2)>>2]|0;C=(Y((f[E>>2]|0)-(f[F>>2]|0)|0,G)|0)+C|0;B=(Y((f[E+4>>2]|0)-(f[F+4>>2]|0)|0,G)|0)+B|0;A=(Y((f[E+8>>2]|0)-(f[F+8>>2]|0)|0,G)|0)+A|0;y=(Y((f[E+12>>2]|0)-(f[F+12>>2]|0)|0,G)|0)+y|0;if((D|0)>=(j|0))break;else D=D+1|0}D=C+o>>n;b[s+z>>0]=D>>>0<256?D:(D|0)>0?255:0;D=B+o>>n;b[s+(z|1)>>0]=D>>>0<256?D:(D|0)>0?255:0;D=A+o>>n;b[s+(z|2)>>0]=D>>>0<256?D:(D|0)>0?255:0;D=y+o>>n;b[s+(z|3)>>0]=D>>>0<256?D:(D|0)>0?255:0;z=z+4|0}while((z|0)<=(a|0));x=r}while(0);b:do if((x|0)<(h|0)){if(q){D=x;while(1){b[s+D>>0]=t;D=D+1|0;if((D|0)==(h|0))break b}}else H=x;do{D=l;G=1;while(1){D=(Y((f[(f[v+(G<<2)>>2]|0)+(H<<2)>>2]|0)-(f[(f[v+(0-G<<2)>>2]|0)+(H<<2)>>2]|0)|0,f[k+(G<<2)>>2]|0)|0)+D|0;if((G|0)>=(j|0))break;else G=G+1|0}G=D+o>>n;b[s+H>>0]=G>>>0<256?G:(G|0)>0?255:0;H=H+1|0}while((H|0)!=(h|0))}while(0);if(!w)break;else{s=s+e|0;v=v+4|0;w=w+-1|0}}return}else{if(p)return;p=h+-4|0;w=(h|0)<4;v=(i|0)<2;i=h&-4;s=m;m=d;d=c;while(1){c:do if(w)I=0;else{if(v){c=0;while(1){H=f[k>>2]|0;x=(f[s>>2]|0)+(c<<2)|0;t=(Y(f[x>>2]|0,H)|0)+l|0;q=(Y(f[x+4>>2]|0,H)|0)+l|0;r=(Y(f[x+8>>2]|0,H)|0)+l|0;a=(Y(f[x+12>>2]|0,H)|0)+l|0;H=t+o>>n;b[m+c>>0]=H>>>0<256?H:(H|0)>0?255:0;H=q+o>>n;b[m+(c|1)>>0]=H>>>0<256?H:(H|0)>0?255:0;H=r+o>>n;b[m+(c|2)>>0]=H>>>0<256?H:(H|0)>0?255:0;H=a+o>>n;b[m+(c|3)>>0]=H>>>0<256?H:(H|0)>0?255:0;c=c+4|0;if((c|0)>(p|0)){I=i;break c}}}else J=0;do{c=f[k>>2]|0;H=(f[s>>2]|0)+(J<<2)|0;a=(Y(f[H>>2]|0,c)|0)+l|0;r=(Y(f[H+4>>2]|0,c)|0)+l|0;q=(Y(f[H+8>>2]|0,c)|0)+l|0;t=(Y(f[H+12>>2]|0,c)|0)+l|0;c=q;q=r;r=a;a=1;while(1){H=(f[s+(a<<2)>>2]|0)+(J<<2)|0;x=(f[s+(0-a<<2)>>2]|0)+(J<<2)|0;z=f[k+(a<<2)>>2]|0;r=(Y((f[x>>2]|0)+(f[H>>2]|0)|0,z)|0)+r|0;q=(Y((f[x+4>>2]|0)+(f[H+4>>2]|0)|0,z)|0)+q|0;c=(Y((f[x+8>>2]|0)+(f[H+8>>2]|0)|0,z)|0)+c|0;t=(Y((f[x+12>>2]|0)+(f[H+12>>2]|0)|0,z)|0)+t|0;if((a|0)>=(j|0))break;else a=a+1|0}a=r+o>>n;b[m+J>>0]=a>>>0<256?a:(a|0)>0?255:0;a=q+o>>n;b[m+(J|1)>>0]=a>>>0<256?a:(a|0)>0?255:0;a=c+o>>n;b[m+(J|2)>>0]=a>>>0<256?a:(a|0)>0?255:0;a=t+o>>n;b[m+(J|3)>>0]=a>>>0<256?a:(a|0)>0?255:0;J=J+4|0}while((J|0)<=(p|0));I=i}while(0);d:do if((I|0)<(h|0)){if(v){a=I;while(1){D=(Y(f[(f[s>>2]|0)+(a<<2)>>2]|0,f[k>>2]|0)|0)+l+o>>n;b[m+a>>0]=D>>>0<256?D:(D|0)>0?255:0;a=a+1|0;if((a|0)==(h|0))break d}}else K=I;do{a=(Y(f[(f[s>>2]|0)+(K<<2)>>2]|0,f[k>>2]|0)|0)+l|0;D=1;while(1){a=(Y((f[(f[s+(0-D<<2)>>2]|0)+(K<<2)>>2]|0)+(f[(f[s+(D<<2)>>2]|0)+(K<<2)>>2]|0)|0,f[k+(D<<2)>>2]|0)|0)+a|0;if((D|0)>=(j|0))break;else D=D+1|0}D=a+o>>n;b[m+K>>0]=D>>>0<256?D:(D|0)>0?255:0;K=K+1|0}while((K|0)!=(h|0))}while(0);if(!d)break;else{s=s+4|0;m=m+e|0;d=d+-1|0}}return}}function S6(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=52220;f[a+12>>2]=52956;b=a+24|0;c=a+60|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+40|0;b=a+28|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+64>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+68>>2]|0;if((b|0)==(a+72|0)){Qtc(a);return}TC(b);Qtc(a);return}function T6(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=52220;f[a+12>>2]=52956;b=a+24|0;c=a+60|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+40|0;b=a+28|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+64>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+68>>2]|0;if((b|0)==(a+72|0)){Qtc(a);fuc(a);return}TC(b);Qtc(a);fuc(a);return}function U6(a){a=a|0;var b=0;b=a+12|0;bi[f[f[b>>2]>>2]&2047](b);return}function V6(a){a=a|0;fuc(a);return}function W6(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;i=i|0;var j=0,k=0;j=u;u=u+16|0;k=j;a7(a,c,d,e,h,i);f[a>>2]=53028;f[a+76>>2]=g;if(!(g&3)){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;g=cuc(80)|0;f[k>>2]=g;f[k+8>>2]=-2147483568;f[k+4>>2]=64;a=g;i=245130;h=a+64|0;do{b[a>>0]=b[i>>0]|0;a=a+1|0;i=i+1|0}while((a|0)<(h|0));b[g+64>>0]=0;WD(-215,k,245195,242392,3314)}else{u=j;return}}function X6(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=53004;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0))return;TC(b);return}function Y6(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=53004;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0)){fuc(a);return}TC(b);fuc(a);return}function Z6(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0.0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0.0,t=0,u=0.0,v=0.0,w=0.0,x=0.0,y=0;h=f[a+28>>2]|0;i=+n[a+72>>2];j=f[a+4>>2]|0;if(!e)return;a=g+-4|0;k=(g|0)<4;l=(j|0)>1;m=g&-4;o=b;b=c;c=e;while(1){c=c+-1|0;a:do if(k)p=0;else{e=f[o>>2]|0;if(l)q=0;else{r=0;while(1){s=+n[h>>2];t=e+(r<<2)|0;u=i+s*+n[t+4>>2];v=i+s*+n[t+8>>2];w=i+s*+n[t+12>>2];n[b+(r<<2)>>2]=i+s*+n[t>>2];n[b+((r|1)<<2)>>2]=u;n[b+((r|2)<<2)>>2]=v;n[b+((r|3)<<2)>>2]=w;r=r+4|0;if((r|0)>(a|0)){p=m;break a}}}do{w=+n[h>>2];r=e+(q<<2)|0;v=i+w*+n[r+12>>2];u=i+w*+n[r+8>>2];s=i+w*+n[r+4>>2];x=i+w*+n[r>>2];r=1;do{t=(f[o+(r<<2)>>2]|0)+(q<<2)|0;w=+n[h+(r<<2)>>2];x=x+w*+n[t>>2];s=s+w*+n[t+4>>2];u=u+w*+n[t+8>>2];v=v+w*+n[t+12>>2];r=r+1|0}while((r|0)!=(j|0));n[b+(q<<2)>>2]=x;n[b+((q|1)<<2)>>2]=s;n[b+((q|2)<<2)>>2]=u;n[b+((q|3)<<2)>>2]=v;q=q+4|0}while((q|0)<=(a|0));p=m}while(0);b:do if((p|0)<(g|0)){e=f[o>>2]|0;if(l)y=p;else{r=p;while(1){n[b+(r<<2)>>2]=i+ +n[h>>2]*+n[e+(r<<2)>>2];r=r+1|0;if((r|0)==(g|0))break b}}do{w=i+ +n[h>>2]*+n[e+(y<<2)>>2];r=1;do{w=w+ +n[h+(r<<2)>>2]*+n[(f[o+(r<<2)>>2]|0)+(y<<2)>>2];r=r+1|0}while((r|0)!=(j|0));n[b+(y<<2)>>2]=w;y=y+1|0}while((y|0)!=(g|0))}while(0);if(!c)break;else{o=o+4|0;b=b+d|0}}return}function _6(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=53004;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0)){fuc(a);return}TC(b);fuc(a);return}function $6(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0.0,l=0.0,m=0,o=0,p=0,q=0,r=0.0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0.0,D=0,E=0,F=0,G=0,H=0;h=(f[a+4>>2]|0)/2|0;i=(f[a+28>>2]|0)+(h<<2)|0;j=(f[a+76>>2]&1|0)==0;k=+n[i>>2];l=+n[i+4>>2];i=l==1.0;m=k==2.0&i;o=k==-2.0&i;p=k!=0.0;q=p|i?p^1:l==-1.0;r=+n[a+72>>2];if(!e)return;a=l<0.0;p=g+-4|0;i=(g|0)<4;s=g&-4;t=c;c=b+(h<<2)|0;h=e;while(1){h=h+-1|0;e=f[c+-4>>2]|0;b=f[c>>2]|0;c=c+4|0;u=f[c>>2]|0;a:do if(j)if(q){v=a?u:e;w=a?e:u;if(i)x=0;else{y=w;z=v;A=0;do{B=A|1;C=r+(+n[y+(B<<2)>>2]-+n[z+(B<<2)>>2]);n[t+(A<<2)>>2]=r+(+n[y+(A<<2)>>2]-+n[z+(A<<2)>>2]);n[t+(B<<2)>>2]=C;B=A|2;D=A|3;C=r+(+n[y+(D<<2)>>2]-+n[z+(D<<2)>>2]);n[t+(B<<2)>>2]=r+(+n[y+(B<<2)>>2]-+n[z+(B<<2)>>2]);n[t+(D<<2)>>2]=C;A=A+4|0}while((A|0)<=(p|0));x=s}if((x|0)>=(g|0))break;A=w;z=v;y=x;do{n[t+(y<<2)>>2]=r+(+n[A+(y<<2)>>2]-+n[z+(y<<2)>>2]);y=y+1|0}while((y|0)!=(g|0))}else{if(i)E=0;else{y=u;z=e;A=0;do{v=A|1;C=r+l*(+n[y+(v<<2)>>2]-+n[z+(v<<2)>>2]);n[t+(A<<2)>>2]=r+l*(+n[y+(A<<2)>>2]-+n[z+(A<<2)>>2]);n[t+(v<<2)>>2]=C;v=A|2;w=A|3;C=r+l*(+n[y+(w<<2)>>2]-+n[z+(w<<2)>>2]);n[t+(v<<2)>>2]=r+l*(+n[y+(v<<2)>>2]-+n[z+(v<<2)>>2]);n[t+(w<<2)>>2]=C;A=A+4|0}while((A|0)<=(p|0));E=s}if((E|0)>=(g|0))break;A=u;z=e;y=E;do{n[t+(y<<2)>>2]=r+l*(+n[A+(y<<2)>>2]-+n[z+(y<<2)>>2]);y=y+1|0}while((y|0)!=(g|0))}else{if(m){if(i)F=0;else{y=e;z=u;A=0;do{w=A|1;C=r+(+n[z+(w<<2)>>2]+(+n[y+(w<<2)>>2]+ +n[b+(w<<2)>>2]*2.0));n[t+(A<<2)>>2]=r+(+n[z+(A<<2)>>2]+(+n[y+(A<<2)>>2]+ +n[b+(A<<2)>>2]*2.0));n[t+(w<<2)>>2]=C;w=A|2;v=A|3;C=r+(+n[z+(v<<2)>>2]+(+n[y+(v<<2)>>2]+ +n[b+(v<<2)>>2]*2.0));n[t+(w<<2)>>2]=r+(+n[z+(w<<2)>>2]+(+n[y+(w<<2)>>2]+ +n[b+(w<<2)>>2]*2.0));n[t+(v<<2)>>2]=C;A=A+4|0}while((A|0)<=(p|0));F=s}if((F|0)>=(g|0))break;A=e;y=u;z=F;while(1){n[t+(z<<2)>>2]=r+(+n[y+(z<<2)>>2]+(+n[A+(z<<2)>>2]+ +n[b+(z<<2)>>2]*2.0));z=z+1|0;if((z|0)==(g|0))break a}}if(o){if(i)G=0;else{z=e;A=u;y=0;do{v=y|1;C=r+(+n[A+(v<<2)>>2]+(+n[z+(v<<2)>>2]-+n[b+(v<<2)>>2]*2.0));n[t+(y<<2)>>2]=r+(+n[A+(y<<2)>>2]+(+n[z+(y<<2)>>2]-+n[b+(y<<2)>>2]*2.0));n[t+(v<<2)>>2]=C;v=y|2;w=y|3;C=r+(+n[A+(w<<2)>>2]+(+n[z+(w<<2)>>2]-+n[b+(w<<2)>>2]*2.0));n[t+(v<<2)>>2]=r+(+n[A+(v<<2)>>2]+(+n[z+(v<<2)>>2]-+n[b+(v<<2)>>2]*2.0));n[t+(w<<2)>>2]=C;y=y+4|0}while((y|0)<=(p|0));G=s}if((G|0)>=(g|0))break;y=e;z=u;A=G;do{n[t+(A<<2)>>2]=r+(+n[z+(A<<2)>>2]+(+n[y+(A<<2)>>2]-+n[b+(A<<2)>>2]*2.0));A=A+1|0}while((A|0)!=(g|0))}else{if(i)H=0;else{A=e;y=u;z=0;do{w=z|1;C=r+(l*(+n[A+(w<<2)>>2]+ +n[y+(w<<2)>>2])+k*+n[b+(w<<2)>>2]);n[t+(z<<2)>>2]=r+(l*(+n[A+(z<<2)>>2]+ +n[y+(z<<2)>>2])+k*+n[b+(z<<2)>>2]);n[t+(w<<2)>>2]=C;w=z|2;v=z|3;C=r+(l*(+n[A+(v<<2)>>2]+ +n[y+(v<<2)>>2])+k*+n[b+(v<<2)>>2]);n[t+(w<<2)>>2]=r+(l*(+n[A+(w<<2)>>2]+ +n[y+(w<<2)>>2])+k*+n[b+(w<<2)>>2]);n[t+(v<<2)>>2]=C;z=z+4|0}while((z|0)<=(p|0));H=s}if((H|0)>=(g|0))break;z=e;y=u;A=H;do{n[t+(A<<2)>>2]=r+(l*(+n[z+(A<<2)>>2]+ +n[y+(A<<2)>>2])+k*+n[b+(A<<2)>>2]);A=A+1|0}while((A|0)!=(g|0))}}while(0);if(!h)break;else t=t+d|0}return}function a7(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;h=u;u=u+16|0;g=h;i=a+8|0;f[i>>2]=-1;j=a+4|0;f[j>>2]=-1;f[a>>2]=53004;k=a+12|0;f[k>>2]=1124007936;l=a+16|0;m=a+20|0;o=a+52|0;p=l;q=p+36|0;do{f[p>>2]=0;p=p+4|0}while((p|0)<(q|0));f[o>>2]=m;r=a+60|0;s=a+56|0;f[s>>2]=r;f[r>>2]=0;f[a+64>>2]=0;if(f[c>>2]&16384){if((k|0)!=(c|0)){r=c+36|0;t=f[r>>2]|0;if(t){v=t+12|0;f[v>>2]=(f[v>>2]|0)+1;v=a+48|0;t=f[v>>2]|0;if((t|0)!=0?(w=t+12|0,t=f[w>>2]|0,f[w>>2]=t+-1,(t|0)==1):0){aU(k);x=v}else x=v}else x=a+48|0;f[x>>2]=0;v=a+28|0;f[v>>2]=0;f[v+4>>2]=0;f[v+8>>2]=0;f[v+12>>2]=0;if((f[l>>2]|0)>0){t=f[o>>2]|0;o=0;do{f[t+(o<<2)>>2]=0;o=o+1|0;y=f[l>>2]|0}while((o|0)<(y|0));f[k>>2]=f[c>>2];if((y|0)<3)z=13;else z=15}else{f[k>>2]=f[c>>2];z=13}if((z|0)==13){y=f[c+4>>2]|0;if((y|0)<3){f[l>>2]=y;f[m>>2]=f[c+8>>2];f[a+24>>2]=f[c+12>>2];y=f[c+44>>2]|0;l=f[s>>2]|0;f[l>>2]=f[y>>2];f[l+4>>2]=f[y+4>>2]}else z=15}if((z|0)==15)$T(k,c);f[v>>2]=f[c+16>>2];f[a+32>>2]=f[c+20>>2];f[a+36>>2]=f[c+24>>2];f[a+40>>2]=f[c+28>>2];f[a+44>>2]=f[c+32>>2];f[x>>2]=f[r>>2]}}else{r=g+8|0;f[r>>2]=0;f[r+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=k;EI(c,g)}f[i>>2]=d;d=f[m>>2]|0;m=f[a+24>>2]|0;f[j>>2]=d+-1+m;n[a+72>>2]=e;if((f[k>>2]&4095|0)!=5){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;A=cuc(80)|0;f[g>>2]=A;B=g+8|0;f[B>>2]=-2147483568;C=g+4|0;f[C>>2]=77;p=A;D=246188;q=p+77|0;do{b[p>>0]=b[D>>0]|0;p=p+1|0;D=D+1|0}while((p|0)<(q|0));E=A+77|0;b[E>>0]=0;WD(-215,g,246266,242392,3251)}if((d|0)==1|(m|0)==1){u=h;return}else{f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;A=cuc(80)|0;f[g>>2]=A;B=g+8|0;f[B>>2]=-2147483568;C=g+4|0;f[C>>2]=77;p=A;D=246188;q=p+77|0;do{b[p>>0]=b[D>>0]|0;p=p+1|0;D=D+1|0}while((p|0)<(q|0));E=A+77|0;b[E>>0]=0;WD(-215,g,246266,242392,3251)}}function b7(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=53004;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0)){fuc(a);return}TC(b);fuc(a);return}function c7(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0.0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0.0,x=0.0,y=0.0,z=0.0,A=0,B=0,C=0.0,D=0,E=0,F=0,G=0.0,H=0;h=f[a+4>>2]|0;i=(h|0)/2|0;j=(f[a+28>>2]|0)+(i<<2)|0;k=+n[a+72>>2];l=b+(i<<2)|0;b=e+-1|0;m=(e|0)==0;if(!(f[a+76>>2]&1)){if(m)return;a=g+-4|0;e=(g|0)<4;o=(h|0)<2;p=g&-4;q=c;r=l;s=b;while(1){a:do if(e)t=0;else{if(o){u=0;while(1){n[q+(u<<2)>>2]=k;n[q+((u|1)<<2)>>2]=k;n[q+((u|2)<<2)>>2]=k;n[q+((u|3)<<2)>>2]=k;u=u+4|0;if((u|0)>(a|0)){t=p;break a}}}else v=0;do{w=k;x=k;y=k;z=k;u=1;while(1){A=(f[r+(u<<2)>>2]|0)+(v<<2)|0;B=(f[r+(0-u<<2)>>2]|0)+(v<<2)|0;C=+n[j+(u<<2)>>2];z=z+C*(+n[A>>2]-+n[B>>2]);y=y+C*(+n[A+4>>2]-+n[B+4>>2]);x=x+C*(+n[A+8>>2]-+n[B+8>>2]);w=w+C*(+n[A+12>>2]-+n[B+12>>2]);if((u|0)>=(i|0))break;else u=u+1|0}n[q+(v<<2)>>2]=z;n[q+((v|1)<<2)>>2]=y;n[q+((v|2)<<2)>>2]=x;n[q+((v|3)<<2)>>2]=w;v=v+4|0}while((v|0)<=(a|0));t=p}while(0);b:do if((t|0)<(g|0)){if(o){u=t;while(1){n[q+(u<<2)>>2]=k;u=u+1|0;if((u|0)==(g|0))break b}}else D=t;do{C=k;u=1;while(1){C=C+ +n[j+(u<<2)>>2]*(+n[(f[r+(u<<2)>>2]|0)+(D<<2)>>2]-+n[(f[r+(0-u<<2)>>2]|0)+(D<<2)>>2]);if((u|0)>=(i|0))break;else u=u+1|0}n[q+(D<<2)>>2]=C;D=D+1|0}while((D|0)!=(g|0))}while(0);if(!s)break;else{q=q+d|0;r=r+4|0;s=s+-1|0}}return}else{if(m)return;m=g+-4|0;s=(g|0)<4;r=(h|0)<2;h=g&-4;q=l;l=c;c=b;while(1){c:do if(s)E=0;else{b=f[q>>2]|0;if(r){D=0;while(1){w=+n[j>>2];t=b+(D<<2)|0;x=k+w*+n[t+4>>2];y=k+w*+n[t+8>>2];z=k+w*+n[t+12>>2];n[l+(D<<2)>>2]=k+w*+n[t>>2];n[l+((D|1)<<2)>>2]=x;n[l+((D|2)<<2)>>2]=y;n[l+((D|3)<<2)>>2]=z;D=D+4|0;if((D|0)>(m|0)){E=h;break c}}}else F=0;do{z=+n[j>>2];D=b+(F<<2)|0;y=k+z*+n[D+12>>2];x=k+z*+n[D+8>>2];w=k+z*+n[D+4>>2];G=k+z*+n[D>>2];D=1;while(1){t=(f[q+(D<<2)>>2]|0)+(F<<2)|0;o=(f[q+(0-D<<2)>>2]|0)+(F<<2)|0;z=+n[j+(D<<2)>>2];G=G+z*(+n[t>>2]+ +n[o>>2]);w=w+z*(+n[t+4>>2]+ +n[o+4>>2]);x=x+z*(+n[t+8>>2]+ +n[o+8>>2]);y=y+z*(+n[t+12>>2]+ +n[o+12>>2]);if((D|0)>=(i|0))break;else D=D+1|0}n[l+(F<<2)>>2]=G;n[l+((F|1)<<2)>>2]=w;n[l+((F|2)<<2)>>2]=x;n[l+((F|3)<<2)>>2]=y;F=F+4|0}while((F|0)<=(m|0));E=h}while(0);d:do if((E|0)<(g|0)){b=f[q>>2]|0;if(r){D=E;while(1){n[l+(D<<2)>>2]=k+ +n[j>>2]*+n[b+(D<<2)>>2];D=D+1|0;if((D|0)==(g|0))break d}}else H=E;do{C=k+ +n[j>>2]*+n[b+(H<<2)>>2];D=1;while(1){C=C+ +n[j+(D<<2)>>2]*(+n[(f[q+(D<<2)>>2]|0)+(H<<2)>>2]+ +n[(f[q+(0-D<<2)>>2]|0)+(H<<2)>>2]);if((D|0)>=(i|0))break;else D=D+1|0}n[l+(H<<2)>>2]=C;H=H+1|0}while((H|0)!=(g|0))}while(0);if(!c)break;else{q=q+4|0;l=l+d|0;c=c+-1|0}}return}}function d7(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=52192;f[a+12>>2]=53004;b=a+24|0;c=a+60|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+40|0;b=a+28|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+64>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+68>>2]|0;if((b|0)==(a+72|0)){Qtc(a);return}TC(b);Qtc(a);return}function e7(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=52192;f[a+12>>2]=53004;b=a+24|0;c=a+60|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+40|0;b=a+28|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+64>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+68>>2]|0;if((b|0)==(a+72|0)){Qtc(a);fuc(a);return}TC(b);Qtc(a);fuc(a);return}function f7(a){a=a|0;var b=0;b=a+12|0;bi[f[f[b>>2]>>2]&2047](b);return}function g7(a){a=a|0;fuc(a);return}function h7(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;i=i|0;var j=0,k=0;j=u;u=u+16|0;k=j;n7(a,c,d,e,h,i);f[a>>2]=53100;f[a+76>>2]=g;if(!(g&3)){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;g=cuc(80)|0;f[k>>2]=g;f[k+8>>2]=-2147483568;f[k+4>>2]=64;a=g;i=245130;h=a+64|0;do{b[a>>0]=b[i>>0]|0;a=a+1|0;i=i+1|0}while((a|0)<(h|0));b[g+64>>0]=0;WD(-215,k,245195,242392,3314)}else{u=j;return}}function i7(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=53076;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0))return;TC(b);return}function j7(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=53076;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0)){fuc(a);return}TC(b);fuc(a);return}function k7(a,b,c,e,g,h){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;i=f[a+28>>2]|0;j=f[a+72>>2]|0;k=f[a+4>>2]|0;if(!g)return;a=h+-4|0;l=(h|0)<4;m=(k|0)>1;n=h&-4;o=b;b=c;c=g;while(1){c=c+-1|0;a:do if(l)p=0;else{g=f[i>>2]|0;q=f[o>>2]|0;if(m)r=0;else{s=0;while(1){t=q+(s<<2)|0;u=(Y(f[t>>2]|0,g)|0)+j|0;v=(Y(f[t+4>>2]|0,g)|0)+j|0;w=(Y(f[t+8>>2]|0,g)|0)+j|0;x=(Y(f[t+12>>2]|0,g)|0)+j|0;d[b+(s<<1)>>1]=(u+32768|0)>>>0<65536?u:(u|0)>0?32767:32768;d[b+((s|1)<<1)>>1]=(v+32768|0)>>>0<65536?v:(v|0)>0?32767:32768;d[b+((s|2)<<1)>>1]=(w+32768|0)>>>0<65536?w:(w|0)>0?32767:32768;d[b+((s|3)<<1)>>1]=(x+32768|0)>>>0<65536?x:(x|0)>0?32767:32768;s=s+4|0;if((s|0)>(a|0)){p=n;break a}}}do{s=q+(r<<2)|0;x=(Y(f[s>>2]|0,g)|0)+j|0;w=(Y(f[s+4>>2]|0,g)|0)+j|0;v=(Y(f[s+8>>2]|0,g)|0)+j|0;u=(Y(f[s+12>>2]|0,g)|0)+j|0;s=v;v=w;w=x;x=1;do{t=(f[o+(x<<2)>>2]|0)+(r<<2)|0;y=f[i+(x<<2)>>2]|0;w=(Y(f[t>>2]|0,y)|0)+w|0;v=(Y(f[t+4>>2]|0,y)|0)+v|0;s=(Y(f[t+8>>2]|0,y)|0)+s|0;u=(Y(f[t+12>>2]|0,y)|0)+u|0;x=x+1|0}while((x|0)!=(k|0));d[b+(r<<1)>>1]=(w+32768|0)>>>0<65536?w:(w|0)>0?32767:32768;d[b+((r|1)<<1)>>1]=(v+32768|0)>>>0<65536?v:(v|0)>0?32767:32768;d[b+((r|2)<<1)>>1]=(s+32768|0)>>>0<65536?s:(s|0)>0?32767:32768;d[b+((r|3)<<1)>>1]=(u+32768|0)>>>0<65536?u:(u|0)>0?32767:32768;r=r+4|0}while((r|0)<=(a|0));p=n}while(0);b:do if((p|0)<(h|0)){g=f[i>>2]|0;q=f[o>>2]|0;if(m)z=p;else{x=p;while(1){y=(Y(f[q+(x<<2)>>2]|0,g)|0)+j|0;d[b+(x<<1)>>1]=(y+32768|0)>>>0<65536?y:(y|0)>0?32767:32768;x=x+1|0;if((x|0)==(h|0))break b}}do{x=(Y(f[q+(z<<2)>>2]|0,g)|0)+j|0;y=1;do{x=(Y(f[(f[o+(y<<2)>>2]|0)+(z<<2)>>2]|0,f[i+(y<<2)>>2]|0)|0)+x|0;y=y+1|0}while((y|0)!=(k|0));d[b+(z<<1)>>1]=(x+32768|0)>>>0<65536?x:(x|0)>0?32767:32768;z=z+1|0}while((z|0)!=(h|0))}while(0);if(!c)break;else{o=o+4|0;b=b+e|0}}return}function l7(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=53076;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0)){fuc(a);return}TC(b);fuc(a);return}function m7(a,b,c,e,g,h){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;i=(f[a+4>>2]|0)/2|0;j=(f[a+28>>2]|0)+(i<<2)|0;k=(f[a+76>>2]&1|0)==0;l=f[j>>2]|0;m=f[j+4>>2]|0;j=(m|0)==1;n=(l|0)==2&j;o=(l|0)==-2&j;p=(l|0)==0&(j|(m|0)==-1);j=f[a+72>>2]|0;if(!g)return;a=(m|0)<0;q=h+-4|0;r=(h|0)<4;s=h&-4;t=c;c=b+(i<<2)|0;i=g;while(1){i=i+-1|0;g=f[c+-4>>2]|0;b=f[c>>2]|0;c=c+4|0;u=f[c>>2]|0;a:do if(k)if(p){v=a?u:g;w=a?g:u;if(r)x=0;else{y=w;z=v;A=0;do{B=(f[y+(A<<2)>>2]|0)-(f[z+(A<<2)>>2]|0)+j|0;C=A|1;D=(f[y+(C<<2)>>2]|0)-(f[z+(C<<2)>>2]|0)+j|0;d[t+(A<<1)>>1]=(B+32768|0)>>>0<65536?B:(B|0)>0?32767:32768;d[t+(C<<1)>>1]=(D+32768|0)>>>0<65536?D:(D|0)>0?32767:32768;D=A|2;C=(f[y+(D<<2)>>2]|0)-(f[z+(D<<2)>>2]|0)+j|0;B=A|3;E=(f[y+(B<<2)>>2]|0)-(f[z+(B<<2)>>2]|0)+j|0;d[t+(D<<1)>>1]=(C+32768|0)>>>0<65536?C:(C|0)>0?32767:32768;d[t+(B<<1)>>1]=(E+32768|0)>>>0<65536?E:(E|0)>0?32767:32768;A=A+4|0}while((A|0)<=(q|0));x=s}if((x|0)>=(h|0))break;A=w;z=v;y=x;do{E=(f[A+(y<<2)>>2]|0)-(f[z+(y<<2)>>2]|0)+j|0;d[t+(y<<1)>>1]=(E+32768|0)>>>0<65536?E:(E|0)>0?32767:32768;y=y+1|0}while((y|0)!=(h|0))}else{if(r)F=0;else{y=u;z=g;A=0;do{v=(Y((f[y+(A<<2)>>2]|0)-(f[z+(A<<2)>>2]|0)|0,m)|0)+j|0;w=A|1;E=(Y((f[y+(w<<2)>>2]|0)-(f[z+(w<<2)>>2]|0)|0,m)|0)+j|0;d[t+(A<<1)>>1]=(v+32768|0)>>>0<65536?v:(v|0)>0?32767:32768;d[t+(w<<1)>>1]=(E+32768|0)>>>0<65536?E:(E|0)>0?32767:32768;E=A|2;w=(Y((f[y+(E<<2)>>2]|0)-(f[z+(E<<2)>>2]|0)|0,m)|0)+j|0;v=A|3;B=(Y((f[y+(v<<2)>>2]|0)-(f[z+(v<<2)>>2]|0)|0,m)|0)+j|0;d[t+(E<<1)>>1]=(w+32768|0)>>>0<65536?w:(w|0)>0?32767:32768;d[t+(v<<1)>>1]=(B+32768|0)>>>0<65536?B:(B|0)>0?32767:32768;A=A+4|0}while((A|0)<=(q|0));F=s}if((F|0)>=(h|0))break;A=u;z=g;y=F;do{B=(Y((f[A+(y<<2)>>2]|0)-(f[z+(y<<2)>>2]|0)|0,m)|0)+j|0;d[t+(y<<1)>>1]=(B+32768|0)>>>0<65536?B:(B|0)>0?32767:32768;y=y+1|0}while((y|0)!=(h|0))}else{if(n){if(r)G=0;else{y=g;z=u;A=0;do{B=(f[y+(A<<2)>>2]|0)+j+(f[b+(A<<2)>>2]<<1)+(f[z+(A<<2)>>2]|0)|0;v=A|1;w=(f[y+(v<<2)>>2]|0)+j+(f[b+(v<<2)>>2]<<1)+(f[z+(v<<2)>>2]|0)|0;d[t+(A<<1)>>1]=(B+32768|0)>>>0<65536?B:(B|0)>0?32767:32768;d[t+(v<<1)>>1]=(w+32768|0)>>>0<65536?w:(w|0)>0?32767:32768;w=A|2;v=(f[y+(w<<2)>>2]|0)+j+(f[b+(w<<2)>>2]<<1)+(f[z+(w<<2)>>2]|0)|0;B=A|3;E=(f[y+(B<<2)>>2]|0)+j+(f[b+(B<<2)>>2]<<1)+(f[z+(B<<2)>>2]|0)|0;d[t+(w<<1)>>1]=(v+32768|0)>>>0<65536?v:(v|0)>0?32767:32768;d[t+(B<<1)>>1]=(E+32768|0)>>>0<65536?E:(E|0)>0?32767:32768;A=A+4|0}while((A|0)<=(q|0));G=s}if((G|0)>=(h|0))break;A=g;z=u;y=G;while(1){E=(f[A+(y<<2)>>2]|0)+j+(f[b+(y<<2)>>2]<<1)+(f[z+(y<<2)>>2]|0)|0;d[t+(y<<1)>>1]=(E+32768|0)>>>0<65536?E:(E|0)>0?32767:32768;y=y+1|0;if((y|0)==(h|0))break a}}if(o){if(r)H=0;else{y=g;z=u;A=0;do{E=(f[y+(A<<2)>>2]|0)+j-(f[b+(A<<2)>>2]<<1)+(f[z+(A<<2)>>2]|0)|0;B=A|1;v=(f[y+(B<<2)>>2]|0)+j-(f[b+(B<<2)>>2]<<1)+(f[z+(B<<2)>>2]|0)|0;d[t+(A<<1)>>1]=(E+32768|0)>>>0<65536?E:(E|0)>0?32767:32768;d[t+(B<<1)>>1]=(v+32768|0)>>>0<65536?v:(v|0)>0?32767:32768;v=A|2;B=(f[y+(v<<2)>>2]|0)+j-(f[b+(v<<2)>>2]<<1)+(f[z+(v<<2)>>2]|0)|0;E=A|3;w=(f[y+(E<<2)>>2]|0)+j-(f[b+(E<<2)>>2]<<1)+(f[z+(E<<2)>>2]|0)|0;d[t+(v<<1)>>1]=(B+32768|0)>>>0<65536?B:(B|0)>0?32767:32768;d[t+(E<<1)>>1]=(w+32768|0)>>>0<65536?w:(w|0)>0?32767:32768;A=A+4|0}while((A|0)<=(q|0));H=s}if((H|0)>=(h|0))break;A=g;z=u;y=H;do{w=(f[A+(y<<2)>>2]|0)+j-(f[b+(y<<2)>>2]<<1)+(f[z+(y<<2)>>2]|0)|0;d[t+(y<<1)>>1]=(w+32768|0)>>>0<65536?w:(w|0)>0?32767:32768;y=y+1|0}while((y|0)!=(h|0))}else{if(r)I=0;else{y=g;z=u;A=0;do{w=Y((f[z+(A<<2)>>2]|0)+(f[y+(A<<2)>>2]|0)|0,m)|0;E=(Y(f[b+(A<<2)>>2]|0,l)|0)+j+w|0;w=A|1;B=Y((f[z+(w<<2)>>2]|0)+(f[y+(w<<2)>>2]|0)|0,m)|0;v=(Y(f[b+(w<<2)>>2]|0,l)|0)+j+B|0;d[t+(A<<1)>>1]=(E+32768|0)>>>0<65536?E:(E|0)>0?32767:32768;d[t+(w<<1)>>1]=(v+32768|0)>>>0<65536?v:(v|0)>0?32767:32768;v=A|2;w=Y((f[z+(v<<2)>>2]|0)+(f[y+(v<<2)>>2]|0)|0,m)|0;E=(Y(f[b+(v<<2)>>2]|0,l)|0)+j+w|0;w=A|3;B=Y((f[z+(w<<2)>>2]|0)+(f[y+(w<<2)>>2]|0)|0,m)|0;C=(Y(f[b+(w<<2)>>2]|0,l)|0)+j+B|0;d[t+(v<<1)>>1]=(E+32768|0)>>>0<65536?E:(E|0)>0?32767:32768;d[t+(w<<1)>>1]=(C+32768|0)>>>0<65536?C:(C|0)>0?32767:32768;A=A+4|0}while((A|0)<=(q|0));I=s}if((I|0)>=(h|0))break;A=g;y=u;z=I;do{C=Y((f[y+(z<<2)>>2]|0)+(f[A+(z<<2)>>2]|0)|0,m)|0;w=(Y(f[b+(z<<2)>>2]|0,l)|0)+j+C|0;d[t+(z<<1)>>1]=(w+32768|0)>>>0<65536?w:(w|0)>0?32767:32768;z=z+1|0}while((z|0)!=(h|0))}}while(0);if(!i)break;else t=t+e|0}return}function n7(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0;h=u;u=u+16|0;g=h;i=a+8|0;f[i>>2]=-1;j=a+4|0;f[j>>2]=-1;f[a>>2]=53076;k=a+12|0;f[k>>2]=1124007936;l=a+16|0;m=a+20|0;n=a+52|0;o=l;p=o+36|0;do{f[o>>2]=0;o=o+4|0}while((o|0)<(p|0));f[n>>2]=m;q=a+60|0;r=a+56|0;f[r>>2]=q;f[q>>2]=0;f[a+64>>2]=0;if(f[c>>2]&16384){if((k|0)!=(c|0)){q=c+36|0;s=f[q>>2]|0;if(s){t=s+12|0;f[t>>2]=(f[t>>2]|0)+1;t=a+48|0;s=f[t>>2]|0;if((s|0)!=0?(v=s+12|0,s=f[v>>2]|0,f[v>>2]=s+-1,(s|0)==1):0){aU(k);w=t}else w=t}else w=a+48|0;f[w>>2]=0;t=a+28|0;f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;f[t+12>>2]=0;if((f[l>>2]|0)>0){s=f[n>>2]|0;n=0;do{f[s+(n<<2)>>2]=0;n=n+1|0;x=f[l>>2]|0}while((n|0)<(x|0));f[k>>2]=f[c>>2];if((x|0)<3)y=13;else y=15}else{f[k>>2]=f[c>>2];y=13}if((y|0)==13){x=f[c+4>>2]|0;if((x|0)<3){f[l>>2]=x;f[m>>2]=f[c+8>>2];f[a+24>>2]=f[c+12>>2];x=f[c+44>>2]|0;l=f[r>>2]|0;f[l>>2]=f[x>>2];f[l+4>>2]=f[x+4>>2]}else y=15}if((y|0)==15)$T(k,c);f[t>>2]=f[c+16>>2];f[a+32>>2]=f[c+20>>2];f[a+36>>2]=f[c+24>>2];f[a+40>>2]=f[c+28>>2];f[a+44>>2]=f[c+32>>2];f[w>>2]=f[q>>2]}}else{q=g+8|0;f[q>>2]=0;f[q+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=k;EI(c,g)}f[i>>2]=d;d=f[m>>2]|0;m=f[a+24>>2]|0;f[j>>2]=d+-1+m;j=Fhc(e)|0;f[a+72>>2]=j;if((f[k>>2]&4095|0)!=4){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;z=cuc(80)|0;f[g>>2]=z;A=g+8|0;f[A>>2]=-2147483568;B=g+4|0;f[B>>2]=77;o=z;C=246188;p=o+77|0;do{b[o>>0]=b[C>>0]|0;o=o+1|0;C=C+1|0}while((o|0)<(p|0));D=z+77|0;b[D>>0]=0;WD(-215,g,246266,242392,3251)}if((d|0)==1|(m|0)==1){u=h;return}else{f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;z=cuc(80)|0;f[g>>2]=z;A=g+8|0;f[A>>2]=-2147483568;B=g+4|0;f[B>>2]=77;o=z;C=246188;p=o+77|0;do{b[o>>0]=b[C>>0]|0;o=o+1|0;C=C+1|0}while((o|0)<(p|0));D=z+77|0;b[D>>0]=0;WD(-215,g,246266,242392,3251)}}function o7(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=53076;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0)){fuc(a);return}TC(b);fuc(a);return}function p7(a,b,c,e,g,h){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;i=f[a+4>>2]|0;j=(i|0)/2|0;k=(f[a+28>>2]|0)+(j<<2)|0;l=f[a+72>>2]|0;m=b+(j<<2)|0;b=g+-1|0;n=(g|0)==0;if(!(f[a+76>>2]&1)){if(n)return;a=h+-4|0;g=(h|0)<4;o=(i|0)<2;p=h&-4;q=((l+32768|0)>>>0<65536?l:(l|0)>0?32767:32768)&65535;r=((l+32768|0)>>>0<65536?l:(l|0)>0?32767:32768)&65535;s=c;t=m;u=b;while(1){a:do if(g)v=0;else{if(o){w=0;while(1){d[s+(w<<1)>>1]=r;d[s+((w|1)<<1)>>1]=r;d[s+((w|2)<<1)>>1]=r;d[s+((w|3)<<1)>>1]=r;w=w+4|0;if((w|0)>(a|0)){v=p;break a}}}else x=0;do{w=l;y=l;z=l;A=l;B=1;while(1){C=(f[t+(B<<2)>>2]|0)+(x<<2)|0;D=(f[t+(0-B<<2)>>2]|0)+(x<<2)|0;E=f[k+(B<<2)>>2]|0;A=(Y((f[C>>2]|0)-(f[D>>2]|0)|0,E)|0)+A|0;z=(Y((f[C+4>>2]|0)-(f[D+4>>2]|0)|0,E)|0)+z|0;y=(Y((f[C+8>>2]|0)-(f[D+8>>2]|0)|0,E)|0)+y|0;w=(Y((f[C+12>>2]|0)-(f[D+12>>2]|0)|0,E)|0)+w|0;if((B|0)>=(j|0))break;else B=B+1|0}d[s+(x<<1)>>1]=(A+32768|0)>>>0<65536?A:(A|0)>0?32767:32768;d[s+((x|1)<<1)>>1]=(z+32768|0)>>>0<65536?z:(z|0)>0?32767:32768;d[s+((x|2)<<1)>>1]=(y+32768|0)>>>0<65536?y:(y|0)>0?32767:32768;d[s+((x|3)<<1)>>1]=(w+32768|0)>>>0<65536?w:(w|0)>0?32767:32768;x=x+4|0}while((x|0)<=(a|0));v=p}while(0);b:do if((v|0)<(h|0)){if(o){B=v;while(1){d[s+(B<<1)>>1]=q;B=B+1|0;if((B|0)==(h|0))break b}}else F=v;do{B=l;E=1;while(1){B=(Y((f[(f[t+(E<<2)>>2]|0)+(F<<2)>>2]|0)-(f[(f[t+(0-E<<2)>>2]|0)+(F<<2)>>2]|0)|0,f[k+(E<<2)>>2]|0)|0)+B|0;if((E|0)>=(j|0))break;else E=E+1|0}d[s+(F<<1)>>1]=(B+32768|0)>>>0<65536?B:(B|0)>0?32767:32768;F=F+1|0}while((F|0)!=(h|0))}while(0);if(!u)break;else{s=s+e|0;t=t+4|0;u=u+-1|0}}return}else{if(n)return;n=h+-4|0;u=(h|0)<4;t=(i|0)<2;i=h&-4;s=m;m=c;c=b;while(1){c:do if(u)G=0;else{b=f[k>>2]|0;F=f[s>>2]|0;if(t){v=0;while(1){q=F+(v<<2)|0;o=(Y(f[q>>2]|0,b)|0)+l|0;p=(Y(f[q+4>>2]|0,b)|0)+l|0;a=(Y(f[q+8>>2]|0,b)|0)+l|0;x=(Y(f[q+12>>2]|0,b)|0)+l|0;d[m+(v<<1)>>1]=(o+32768|0)>>>0<65536?o:(o|0)>0?32767:32768;d[m+((v|1)<<1)>>1]=(p+32768|0)>>>0<65536?p:(p|0)>0?32767:32768;d[m+((v|2)<<1)>>1]=(a+32768|0)>>>0<65536?a:(a|0)>0?32767:32768;d[m+((v|3)<<1)>>1]=(x+32768|0)>>>0<65536?x:(x|0)>0?32767:32768;v=v+4|0;if((v|0)>(n|0)){G=i;break c}}}else H=0;do{v=F+(H<<2)|0;x=(Y(f[v>>2]|0,b)|0)+l|0;a=(Y(f[v+4>>2]|0,b)|0)+l|0;p=(Y(f[v+8>>2]|0,b)|0)+l|0;o=(Y(f[v+12>>2]|0,b)|0)+l|0;v=p;p=a;a=x;x=1;while(1){q=(f[s+(x<<2)>>2]|0)+(H<<2)|0;r=(f[s+(0-x<<2)>>2]|0)+(H<<2)|0;g=f[k+(x<<2)>>2]|0;a=(Y((f[r>>2]|0)+(f[q>>2]|0)|0,g)|0)+a|0;p=(Y((f[r+4>>2]|0)+(f[q+4>>2]|0)|0,g)|0)+p|0;v=(Y((f[r+8>>2]|0)+(f[q+8>>2]|0)|0,g)|0)+v|0;o=(Y((f[r+12>>2]|0)+(f[q+12>>2]|0)|0,g)|0)+o|0;if((x|0)>=(j|0))break;else x=x+1|0}d[m+(H<<1)>>1]=(a+32768|0)>>>0<65536?a:(a|0)>0?32767:32768;d[m+((H|1)<<1)>>1]=(p+32768|0)>>>0<65536?p:(p|0)>0?32767:32768;d[m+((H|2)<<1)>>1]=(v+32768|0)>>>0<65536?v:(v|0)>0?32767:32768;d[m+((H|3)<<1)>>1]=(o+32768|0)>>>0<65536?o:(o|0)>0?32767:32768;H=H+4|0}while((H|0)<=(n|0));G=i}while(0);d:do if((G|0)<(h|0)){b=f[k>>2]|0;F=f[s>>2]|0;if(t){x=G;while(1){B=(Y(f[F+(x<<2)>>2]|0,b)|0)+l|0;d[m+(x<<1)>>1]=(B+32768|0)>>>0<65536?B:(B|0)>0?32767:32768;x=x+1|0;if((x|0)==(h|0))break d}}else I=G;do{x=(Y(f[F+(I<<2)>>2]|0,b)|0)+l|0;B=1;while(1){x=(Y((f[(f[s+(0-B<<2)>>2]|0)+(I<<2)>>2]|0)+(f[(f[s+(B<<2)>>2]|0)+(I<<2)>>2]|0)|0,f[k+(B<<2)>>2]|0)|0)+x|0;if((B|0)>=(j|0))break;else B=B+1|0}d[m+(I<<1)>>1]=(x+32768|0)>>>0<65536?x:(x|0)>0?32767:32768;I=I+1|0}while((I|0)!=(h|0))}while(0);if(!c)break;else{s=s+4|0;m=m+e|0;c=c+-1|0}}return}}function q7(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=52164;f[a+12>>2]=53076;b=a+24|0;c=a+60|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+40|0;b=a+28|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+64>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+68>>2]|0;if((b|0)==(a+72|0)){Qtc(a);return}TC(b);Qtc(a);return}function r7(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=52164;f[a+12>>2]=53076;b=a+24|0;c=a+60|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+40|0;b=a+28|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+64>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+68>>2]|0;if((b|0)==(a+72|0)){Qtc(a);fuc(a);return}TC(b);Qtc(a);fuc(a);return}function s7(a){a=a|0;var b=0;b=a+12|0;bi[f[f[b>>2]>>2]&2047](b);return}function t7(a){a=a|0;fuc(a);return}function u7(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=52956;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0)){fuc(a);return}TC(b);fuc(a);return}function v7(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;i=(f[a+4>>2]|0)/2|0;j=(f[a+28>>2]|0)+(i<<2)|0;k=(f[a+84>>2]&1|0)==0;l=f[j>>2]|0;m=f[j+4>>2]|0;j=(m|0)==1;n=(l|0)==2&j;o=(l|0)==-2&j;p=(l|0)==0&(j|(m|0)==-1);j=a+68|0;q=f[j>>2]|0;if(!g)return;r=(m|0)<0;s=h+-4|0;t=(h|0)<4;u=(f[j+4>>2]|0)+(f[a+80>>2]|0)|0;a=h&-4;j=d;d=c+(i<<2)|0;i=g;while(1){i=i+-1|0;g=f[d+-4>>2]|0;c=f[d>>2]|0;d=d+4|0;v=f[d>>2]|0;a:do if(k)if(p){w=r?v:g;x=r?g:v;if(t)y=0;else{z=x;A=w;B=0;do{C=B|1;D=f[z+(C<<2)>>2]|0;E=f[A+(C<<2)>>2]|0;F=u+(f[z+(B<<2)>>2]|0)-(f[A+(B<<2)>>2]|0)>>q;b[j+B>>0]=F>>>0<256?F:(F|0)>0?255:0;F=u+D-E>>q;b[j+C>>0]=F>>>0<256?F:(F|0)>0?255:0;F=B|2;C=B|3;E=f[z+(C<<2)>>2]|0;D=f[A+(C<<2)>>2]|0;G=u+(f[z+(F<<2)>>2]|0)-(f[A+(F<<2)>>2]|0)>>q;b[j+F>>0]=G>>>0<256?G:(G|0)>0?255:0;G=u+E-D>>q;b[j+C>>0]=G>>>0<256?G:(G|0)>0?255:0;B=B+4|0}while((B|0)<=(s|0));y=a}if((y|0)>=(h|0))break;B=x;A=w;z=y;do{G=u+(f[B+(z<<2)>>2]|0)-(f[A+(z<<2)>>2]|0)>>q;b[j+z>>0]=G>>>0<256?G:(G|0)>0?255:0;z=z+1|0}while((z|0)!=(h|0))}else{if(t)H=0;else{z=v;A=g;B=0;do{w=Y((f[z+(B<<2)>>2]|0)-(f[A+(B<<2)>>2]|0)|0,m)|0;x=B|1;G=Y((f[z+(x<<2)>>2]|0)-(f[A+(x<<2)>>2]|0)|0,m)|0;C=u+w>>q;b[j+B>>0]=C>>>0<256?C:(C|0)>0?255:0;C=u+G>>q;b[j+x>>0]=C>>>0<256?C:(C|0)>0?255:0;C=B|2;x=Y((f[z+(C<<2)>>2]|0)-(f[A+(C<<2)>>2]|0)|0,m)|0;G=B|3;w=Y((f[z+(G<<2)>>2]|0)-(f[A+(G<<2)>>2]|0)|0,m)|0;D=u+x>>q;b[j+C>>0]=D>>>0<256?D:(D|0)>0?255:0;D=u+w>>q;b[j+G>>0]=D>>>0<256?D:(D|0)>0?255:0;B=B+4|0}while((B|0)<=(s|0));H=a}if((H|0)>=(h|0))break;B=v;A=g;z=H;do{D=u+(Y((f[B+(z<<2)>>2]|0)-(f[A+(z<<2)>>2]|0)|0,m)|0)>>q;b[j+z>>0]=D>>>0<256?D:(D|0)>0?255:0;z=z+1|0}while((z|0)!=(h|0))}else{if(n){if(t)I=0;else{z=g;A=v;B=0;do{D=B|1;G=f[z+(D<<2)>>2]|0;w=f[c+(D<<2)>>2]<<1;C=f[A+(D<<2)>>2]|0;x=u+(f[z+(B<<2)>>2]|0)+(f[c+(B<<2)>>2]<<1)+(f[A+(B<<2)>>2]|0)>>q;b[j+B>>0]=x>>>0<256?x:(x|0)>0?255:0;x=u+G+w+C>>q;b[j+D>>0]=x>>>0<256?x:(x|0)>0?255:0;x=B|2;D=B|3;C=f[z+(D<<2)>>2]|0;w=f[c+(D<<2)>>2]<<1;G=f[A+(D<<2)>>2]|0;E=u+(f[z+(x<<2)>>2]|0)+(f[c+(x<<2)>>2]<<1)+(f[A+(x<<2)>>2]|0)>>q;b[j+x>>0]=E>>>0<256?E:(E|0)>0?255:0;E=u+C+w+G>>q;b[j+D>>0]=E>>>0<256?E:(E|0)>0?255:0;B=B+4|0}while((B|0)<=(s|0));I=a}if((I|0)>=(h|0))break;B=g;A=v;z=I;while(1){E=u+(f[B+(z<<2)>>2]|0)+(f[c+(z<<2)>>2]<<1)+(f[A+(z<<2)>>2]|0)>>q;b[j+z>>0]=E>>>0<256?E:(E|0)>0?255:0;z=z+1|0;if((z|0)==(h|0))break a}}if(o){if(t)J=0;else{z=g;A=v;B=0;do{E=B|1;D=f[z+(E<<2)>>2]|0;G=f[c+(E<<2)>>2]<<1;w=f[A+(E<<2)>>2]|0;C=u+(f[z+(B<<2)>>2]|0)-(f[c+(B<<2)>>2]<<1)+(f[A+(B<<2)>>2]|0)>>q;b[j+B>>0]=C>>>0<256?C:(C|0)>0?255:0;C=u+D-G+w>>q;b[j+E>>0]=C>>>0<256?C:(C|0)>0?255:0;C=B|2;E=B|3;w=f[z+(E<<2)>>2]|0;G=f[c+(E<<2)>>2]<<1;D=f[A+(E<<2)>>2]|0;x=u+(f[z+(C<<2)>>2]|0)-(f[c+(C<<2)>>2]<<1)+(f[A+(C<<2)>>2]|0)>>q;b[j+C>>0]=x>>>0<256?x:(x|0)>0?255:0;x=u+w-G+D>>q;b[j+E>>0]=x>>>0<256?x:(x|0)>0?255:0;B=B+4|0}while((B|0)<=(s|0));J=a}if((J|0)>=(h|0))break;B=g;A=v;z=J;do{x=u+(f[B+(z<<2)>>2]|0)-(f[c+(z<<2)>>2]<<1)+(f[A+(z<<2)>>2]|0)>>q;b[j+z>>0]=x>>>0<256?x:(x|0)>0?255:0;z=z+1|0}while((z|0)!=(h|0))}else{if(t)K=0;else{z=g;A=v;B=0;do{x=Y((f[A+(B<<2)>>2]|0)+(f[z+(B<<2)>>2]|0)|0,m)|0;E=Y(f[c+(B<<2)>>2]|0,l)|0;D=B|1;G=Y((f[A+(D<<2)>>2]|0)+(f[z+(D<<2)>>2]|0)|0,m)|0;w=Y(f[c+(D<<2)>>2]|0,l)|0;C=u+E+x>>q;b[j+B>>0]=C>>>0<256?C:(C|0)>0?255:0;C=u+w+G>>q;b[j+D>>0]=C>>>0<256?C:(C|0)>0?255:0;C=B|2;D=Y((f[A+(C<<2)>>2]|0)+(f[z+(C<<2)>>2]|0)|0,m)|0;G=Y(f[c+(C<<2)>>2]|0,l)|0;w=B|3;x=Y((f[A+(w<<2)>>2]|0)+(f[z+(w<<2)>>2]|0)|0,m)|0;E=Y(f[c+(w<<2)>>2]|0,l)|0;F=u+G+D>>q;b[j+C>>0]=F>>>0<256?F:(F|0)>0?255:0;F=u+E+x>>q;b[j+w>>0]=F>>>0<256?F:(F|0)>0?255:0;B=B+4|0}while((B|0)<=(s|0));K=a}if((K|0)>=(h|0))break;B=g;z=v;A=K;do{F=Y((f[z+(A<<2)>>2]|0)+(f[B+(A<<2)>>2]|0)|0,m)|0;w=u+(Y(f[c+(A<<2)>>2]|0,l)|0)+F>>q;b[j+A>>0]=w>>>0<256?w:(w|0)>0?255:0;A=A+1|0}while((A|0)!=(h|0))}}while(0);if(!i)break;else j=j+e|0}return}function w7(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=52136;f[a+12>>2]=52956;b=a+24|0;c=a+60|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+40|0;b=a+28|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+64>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+68>>2]|0;if((b|0)==(a+72|0)){Qtc(a);return}TC(b);Qtc(a);return}function x7(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=52136;f[a+12>>2]=52956;b=a+24|0;c=a+60|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+40|0;b=a+28|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+64>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+68>>2]|0;if((b|0)==(a+72|0)){Qtc(a);fuc(a);return}TC(b);Qtc(a);fuc(a);return}function y7(a){a=a|0;var b=0;b=a+12|0;bi[f[f[b>>2]>>2]&2047](b);return}function z7(a){a=a|0;fuc(a);return}function A7(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=52108;f[a+16>>2]=52524;b=a+28|0;c=a+64|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+44|0;b=a+32|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+68>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+72>>2]|0;if((b|0)==(a+76|0)){Qtc(a);return}TC(b);Qtc(a);return}function B7(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=52108;f[a+16>>2]=52524;b=a+28|0;c=a+64|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+44|0;b=a+32|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+68>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+72>>2]|0;if((b|0)==(a+76|0)){Qtc(a);fuc(a);return}TC(b);Qtc(a);fuc(a);return}function C7(a){a=a|0;var b=0;b=a+16|0;bi[f[f[b>>2]>>2]&2047](b);return}function D7(a){a=a|0;fuc(a);return}function E7(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=52080;f[a+12>>2]=52572;b=a+24|0;c=a+60|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+40|0;b=a+28|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+64>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+68>>2]|0;if((b|0)==(a+72|0)){Qtc(a);return}TC(b);Qtc(a);return}function F7(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=52080;f[a+12>>2]=52572;b=a+24|0;c=a+60|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+40|0;b=a+28|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+64>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+68>>2]|0;if((b|0)==(a+72|0)){Qtc(a);fuc(a);return}TC(b);Qtc(a);fuc(a);return}function G7(a){a=a|0;var b=0;b=a+12|0;bi[f[f[b>>2]>>2]&2047](b);return}function H7(a){a=a|0;fuc(a);return}function I7(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=52052;f[a+16>>2]=52620;b=a+28|0;c=a+64|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+44|0;b=a+32|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+68>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+72>>2]|0;if((b|0)==(a+76|0)){Qtc(a);return}TC(b);Qtc(a);return}function J7(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=52052;f[a+16>>2]=52620;b=a+28|0;c=a+64|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+44|0;b=a+32|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+68>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+72>>2]|0;if((b|0)==(a+76|0)){Qtc(a);fuc(a);return}TC(b);Qtc(a);fuc(a);return}function K7(a){a=a|0;var b=0;b=a+16|0;bi[f[f[b>>2]>>2]&2047](b);return}function L7(a){a=a|0;fuc(a);return}function M7(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=52024;f[a+12>>2]=52668;b=a+24|0;c=a+60|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+40|0;b=a+28|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+64>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+68>>2]|0;if((b|0)==(a+72|0)){Qtc(a);return}TC(b);Qtc(a);return}function N7(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=52024;f[a+12>>2]=52668;b=a+24|0;c=a+60|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+40|0;b=a+28|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+64>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+68>>2]|0;if((b|0)==(a+72|0)){Qtc(a);fuc(a);return}TC(b);Qtc(a);fuc(a);return}function O7(a){a=a|0;var b=0;b=a+12|0;bi[f[f[b>>2]>>2]&2047](b);return}function P7(a){a=a|0;fuc(a);return}function Q7(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=51996;f[a+16>>2]=52764;b=a+28|0;c=a+64|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+44|0;b=a+32|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+68>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+72>>2]|0;if((b|0)==(a+76|0)){Qtc(a);return}TC(b);Qtc(a);return}function R7(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=51996;f[a+16>>2]=52764;b=a+28|0;c=a+64|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+44|0;b=a+32|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+68>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+72>>2]|0;if((b|0)==(a+76|0)){Qtc(a);fuc(a);return}TC(b);Qtc(a);fuc(a);return}function S7(a){a=a|0;var b=0;b=a+16|0;bi[f[f[b>>2]>>2]&2047](b);return}function T7(a){a=a|0;fuc(a);return}function U7(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=51968;f[a+12>>2]=52812;b=a+24|0;c=a+60|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+40|0;b=a+28|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+64>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+68>>2]|0;if((b|0)==(a+72|0)){Qtc(a);return}TC(b);Qtc(a);return}function V7(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=51968;f[a+12>>2]=52812;b=a+24|0;c=a+60|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+40|0;b=a+28|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+64>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+68>>2]|0;if((b|0)==(a+72|0)){Qtc(a);fuc(a);return}TC(b);Qtc(a);fuc(a);return}function W7(a){a=a|0;var b=0;b=a+12|0;bi[f[f[b>>2]>>2]&2047](b);return}function X7(a){a=a|0;fuc(a);return}function Y7(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=51940;f[a+16>>2]=52860;b=a+28|0;c=a+64|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+44|0;b=a+32|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+68>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+72>>2]|0;if((b|0)==(a+76|0)){Qtc(a);return}TC(b);Qtc(a);return}function Z7(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=51940;f[a+16>>2]=52860;b=a+28|0;c=a+64|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+44|0;b=a+32|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+68>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+72>>2]|0;if((b|0)==(a+76|0)){Qtc(a);fuc(a);return}TC(b);Qtc(a);fuc(a);return}function _7(a){a=a|0;var b=0;b=a+16|0;bi[f[f[b>>2]>>2]&2047](b);return}function $7(a){a=a|0;fuc(a);return}function a8(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=51912;f[a+12>>2]=52908;b=a+24|0;c=a+60|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+40|0;b=a+28|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+64>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+68>>2]|0;if((b|0)==(a+72|0)){Qtc(a);return}TC(b);Qtc(a);return}function b8(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=51912;f[a+12>>2]=52908;b=a+24|0;c=a+60|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+40|0;b=a+28|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+64>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+68>>2]|0;if((b|0)==(a+72|0)){Qtc(a);fuc(a);return}TC(b);Qtc(a);fuc(a);return}function c8(a){a=a|0;var b=0;b=a+12|0;bi[f[f[b>>2]>>2]&2047](b);return}function d8(a){a=a|0;fuc(a);return}function e8(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=51884;f[a+12>>2]=52956;b=a+24|0;c=a+60|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+40|0;b=a+28|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+64>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+68>>2]|0;if((b|0)==(a+72|0)){Qtc(a);return}TC(b);Qtc(a);return}function f8(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=51884;f[a+12>>2]=52956;b=a+24|0;c=a+60|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+40|0;b=a+28|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+64>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+68>>2]|0;if((b|0)==(a+72|0)){Qtc(a);fuc(a);return}TC(b);Qtc(a);fuc(a);return}function g8(a){a=a|0;var b=0;b=a+12|0;bi[f[f[b>>2]>>2]&2047](b);return}function h8(a){a=a|0;fuc(a);return}function i8(a,c,d,e,g,h,i,j,k,l){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=+i;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0.0,R=0,S=0,T=0.0,U=0,V=0,W=0,X=0,Y=0,Z=0;m=u;u=u+288|0;n=m+232|0;o=m+176|0;p=m+120|0;q=m+112|0;r=m+104|0;s=m+48|0;t=m+32|0;v=m+16|0;w=m;do if((qJ(e)|0)==65536){x=f[e+4>>2]|0;f[n>>2]=f[x>>2];y=n+4|0;z=x+4|0;f[y>>2]=f[z>>2];A=n+8|0;f[A>>2]=f[x+8>>2];f[n+12>>2]=f[x+12>>2];f[n+16>>2]=f[x+16>>2];f[n+20>>2]=f[x+20>>2];f[n+24>>2]=f[x+24>>2];f[n+28>>2]=f[x+28>>2];f[n+32>>2]=f[x+32>>2];B=f[x+36>>2]|0;f[n+36>>2]=B;f[n+40>>2]=A;A=n+48|0;C=n+44|0;f[C>>2]=A;f[A>>2]=0;f[n+52>>2]=0;if(B|0){A=B+12|0;f[A>>2]=(f[A>>2]|0)+1}if((f[z>>2]|0)<3){z=f[x+44>>2]|0;A=f[C>>2]|0;f[A>>2]=f[z>>2];f[A+4>>2]=f[z+4>>2];break}else{f[y>>2]=0;$T(n,x);break}}else nJ(n,e,-1);while(0);do if((qJ(g)|0)==65536){e=f[g+4>>2]|0;f[o>>2]=f[e>>2];x=o+4|0;y=e+4|0;f[x>>2]=f[y>>2];z=o+8|0;f[z>>2]=f[e+8>>2];f[o+12>>2]=f[e+12>>2];f[o+16>>2]=f[e+16>>2];f[o+20>>2]=f[e+20>>2];f[o+24>>2]=f[e+24>>2];f[o+28>>2]=f[e+28>>2];f[o+32>>2]=f[e+32>>2];A=f[e+36>>2]|0;f[o+36>>2]=A;f[o+40>>2]=z;z=o+48|0;C=o+44|0;f[C>>2]=z;f[z>>2]=0;f[o+52>>2]=0;if(A|0){z=A+12|0;f[z>>2]=(f[z>>2]|0)+1}if((f[y>>2]|0)<3){y=f[e+44>>2]|0;z=f[C>>2]|0;f[z>>2]=f[y>>2];f[z+4>>2]=f[y+4>>2];break}else{f[x>>2]=0;$T(o,e);break}}else nJ(o,g,-1);while(0);g=c&4095;e=d&4095;x=c&7;y=d&7;z=c>>>3&511;if((z|0)!=(d>>>3&511|0)){f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;d=cuc(32)|0;f[p>>2]=d;f[p+8>>2]=-2147483616;f[p+4>>2]=25;D=d;c=249330;E=D+25|0;do{b[D>>0]=b[c>>0]|0;D=D+1|0;c=c+1|0}while((D|0)<(E|0));b[d+25>>0]=0;WD(-215,p,249356,242392,3755)}d=n+8|0;c=o+8|0;C=o+12|0;A=(f[c>>2]|0)+-1+(f[C>>2]|0)|0;B=f[h>>2]|0;if((B|0)<0){F=((f[d>>2]|0)+-1+(f[n+12>>2]|0)|0)/2|0;f[h>>2]=F;G=F}else G=B;B=h+4|0;if((f[B>>2]|0)<0)f[B>>2]=(A|0)/2|0;f[p+8>>2]=0;f[p+12>>2]=0;f[p>>2]=16842752;f[p+4>>2]=n;A=(f[d>>2]|0)==1;f[q>>2]=A?G:0;f[q+4>>2]=A?0:G;G=U2(p,q)|0;f[p+8>>2]=0;f[p+12>>2]=0;f[p>>2]=16842752;f[p+4>>2]=o;q=(f[c>>2]|0)==1;A=f[B>>2]|0;f[r>>2]=q?A:0;f[r+4>>2]=q?0:A;A=U2(p,r)|0;f[p>>2]=1124007936;r=p+4|0;q=p+8|0;F=p+40|0;D=r;E=D+36|0;do{f[D>>2]=0;D=D+4|0}while((D|0)<(E|0));f[F>>2]=q;H=p+48|0;I=p+44|0;f[I>>2]=H;f[H>>2]=0;f[p+52>>2]=0;f[s>>2]=1124007936;J=s+4|0;K=s+8|0;L=s+40|0;D=J;E=D+36|0;do{f[D>>2]=0;D=D+4|0}while((D|0)<(E|0));f[L>>2]=K;D=s+48|0;E=s+44|0;f[E>>2]=D;f[D>>2]=0;f[s+52>>2]=0;M=x>>>0<y>>>0?y:x;N=(M|0)>5?M:5;do if(!x){M=(y|0)==0;if(!((G|0)==5&(A|0)==5&M)){if((G&3|0)==0|(A&3|0)==0){O=26;break}if(!((G&8&A|0)!=0&(y|0)==3)){O=26;break}}P=M?8:0;M=t+8|0;f[M>>2]=0;f[M+4>>2]=0;f[t>>2]=33619968;f[t+4>>2]=p;Q=+(1<<P|0);kQ(n,t,4,Q,0.0);M=t+8|0;f[M>>2]=0;f[M+4>>2]=0;f[t>>2]=33619968;f[t+4>>2]=s;kQ(o,t,4,Q,0.0);M=P<<1;R=M;S=4;T=+(1<<M|0)*i}else O=26;while(0);do if((O|0)==26){if((f[n>>2]&4095|0)==(N|0)){y=n+36|0;x=f[y>>2]|0;if(x){M=x+12|0;f[M>>2]=(f[M>>2]|0)+1;M=p+36|0;x=f[M>>2]|0;if((x|0)!=0?(P=x+12|0,x=f[P>>2]|0,f[P>>2]=x+-1,(x|0)==1):0){aU(p);U=M}else U=M}else U=p+36|0;f[U>>2]=0;M=p+16|0;f[M>>2]=0;f[M+4>>2]=0;f[M+8>>2]=0;f[M+12>>2]=0;if((f[r>>2]|0)>0){x=f[F>>2]|0;P=0;do{f[x+(P<<2)>>2]=0;P=P+1|0;V=f[r>>2]|0}while((P|0)<(V|0));f[p>>2]=f[n>>2];if((V|0)<3)O=38;else O=40}else{f[p>>2]=f[n>>2];O=38}if((O|0)==38){P=f[n+4>>2]|0;if((P|0)<3){f[r>>2]=P;f[q>>2]=f[d>>2];f[p+12>>2]=f[n+12>>2];P=f[n+44>>2]|0;x=f[I>>2]|0;f[x>>2]=f[P>>2];f[x+4>>2]=f[P+4>>2]}else O=40}if((O|0)==40)$T(p,n);f[M>>2]=f[n+16>>2];f[p+20>>2]=f[n+20>>2];f[p+24>>2]=f[n+24>>2];f[p+28>>2]=f[n+28>>2];f[p+32>>2]=f[n+32>>2];f[U>>2]=f[y>>2]}else{P=t+8|0;f[P>>2]=0;f[P+4>>2]=0;f[t>>2]=33619968;f[t+4>>2]=p;kQ(n,t,N,1.0,0.0)}if((f[o>>2]&4095|0)!=(N|0)){P=t+8|0;f[P>>2]=0;f[P+4>>2]=0;f[t>>2]=33619968;f[t+4>>2]=s;kQ(o,t,N,1.0,0.0);R=0;S=N;T=i;break}P=o+36|0;x=f[P>>2]|0;if(x|0){W=x+12|0;f[W>>2]=(f[W>>2]|0)+1}W=s+36|0;x=f[W>>2]|0;if(x|0?(X=x+12|0,x=f[X>>2]|0,f[X>>2]=x+-1,(x|0)==1):0)aU(s);f[W>>2]=0;x=s+16|0;f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;f[x+12>>2]=0;if((f[J>>2]|0)>0){X=f[L>>2]|0;Y=0;do{f[X+(Y<<2)>>2]=0;Y=Y+1|0;Z=f[J>>2]|0}while((Y|0)<(Z|0));f[s>>2]=f[o>>2];if((Z|0)<3)O=54;else O=56}else{f[s>>2]=f[o>>2];O=54}if((O|0)==54){Y=f[o+4>>2]|0;if((Y|0)<3){f[J>>2]=Y;f[K>>2]=f[c>>2];f[s+12>>2]=f[C>>2];Y=f[o+44>>2]|0;X=f[E>>2]|0;f[X>>2]=f[Y>>2];f[X+4>>2]=f[Y+4>>2]}else O=56}if((O|0)==56)$T(s,o);f[x>>2]=f[o+16>>2];f[s+20>>2]=f[o+20>>2];f[s+24>>2]=f[o+24>>2];f[s+28>>2]=f[o+28>>2];f[s+32>>2]=f[o+32>>2];f[W>>2]=f[P>>2];R=0;S=N;T=i}while(0);N=S&7|z<<3;f[v+8>>2]=0;f[v+12>>2]=0;f[v>>2]=16842752;f[v+4>>2]=p;V2(t,g,N,v,f[h>>2]|0,G);f[w+8>>2]=0;f[w+12>>2]=0;f[w>>2]=16842752;f[w+4>>2]=s;Q4(v,N,e,w,f[B>>2]|0,A,T,R);R=cuc(200)|0;f[w>>2]=0;f[w+4>>2]=0;S2(R,w,t,v,g,e,N,j,k,l);f[a>>2]=R;l=cuc(16)|0;f[l+4>>2]=0;f[l+8>>2]=0;f[l>>2]=53148;f[l+12>>2]=R;f[a+4>>2]=l;l=f[v+4>>2]|0;if(l|0)Xtc(l);l=f[t+4>>2]|0;if(l|0)Xtc(l);l=s+36|0;t=f[l>>2]|0;if(t|0?(v=t+12|0,t=f[v>>2]|0,f[v>>2]=t+-1,(t|0)==1):0)aU(s);f[l>>2]=0;l=s+16|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;if((f[J>>2]|0)>0){l=f[L>>2]|0;L=0;do{f[l+(L<<2)>>2]=0;L=L+1|0}while((L|0)<(f[J>>2]|0))}J=f[E>>2]|0;if((J|0)!=(D|0))TC(J);J=p+36|0;D=f[J>>2]|0;if(D|0?(E=D+12|0,D=f[E>>2]|0,f[E>>2]=D+-1,(D|0)==1):0)aU(p);f[J>>2]=0;J=p+16|0;f[J>>2]=0;f[J+4>>2]=0;f[J+8>>2]=0;f[J+12>>2]=0;if((f[r>>2]|0)>0){J=f[F>>2]|0;F=0;do{f[J+(F<<2)>>2]=0;F=F+1|0}while((F|0)<(f[r>>2]|0))}r=f[I>>2]|0;if((r|0)!=(H|0))TC(r);r=o+36|0;H=f[r>>2]|0;if(H|0?(I=H+12|0,H=f[I>>2]|0,f[I>>2]=H+-1,(H|0)==1):0)aU(o);f[r>>2]=0;r=o+16|0;H=o+4|0;f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;f[r+12>>2]=0;if((f[H>>2]|0)>0){r=f[o+40>>2]|0;I=0;do{f[r+(I<<2)>>2]=0;I=I+1|0}while((I|0)<(f[H>>2]|0))}H=f[o+44>>2]|0;if((H|0)!=(o+48|0))TC(H);H=n+36|0;o=f[H>>2]|0;if(o|0?(I=o+12|0,o=f[I>>2]|0,f[I>>2]=o+-1,(o|0)==1):0)aU(n);f[H>>2]=0;H=n+16|0;o=n+4|0;f[H>>2]=0;f[H+4>>2]=0;f[H+8>>2]=0;f[H+12>>2]=0;if((f[o>>2]|0)>0){H=f[n+40>>2]|0;I=0;do{f[H+(I<<2)>>2]=0;I=I+1|0}while((I|0)<(f[o>>2]|0))}o=f[n+44>>2]|0;if((o|0)==(n+48|0)){u=m;return}TC(o);u=m;return}function j8(a){a=a|0;Qtc(a);fuc(a);return}function k8(a){a=a|0;var b=0;b=f[a+12>>2]|0;if(!b)return;bi[f[(f[b>>2]|0)+4>>2]&2047](b);return}function l8(a,b){a=a|0;b=b|0;return ((f[b+4>>2]|0)==249384?a+12|0:0)|0}function m8(a){a=a|0;fuc(a);return}function n8(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0.0,C=0,D=0;e=u;u=u+16|0;g=e;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=a;h=wG(g)|0;i=f[a>>2]|0;j=(h|0)==0?1:h;h=i&65535;switch(h&4095){case 0:case 4:case 5:case 6:break;default:{k=cuc(80)|0;f[g>>2]=k;f[g+8>>2]=-2147483568;f[g+4>>2]=71;l=k;m=249527;o=l+71|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(o|0));b[k+71>>0]=0;WD(-215,g,249599,242392,3822)}}g=c+4|0;k=f[g>>2]|0;m=f[c>>2]|0;l=k-m>>3;o=m;m=k;if(j>>>0<=l>>>0){if(j>>>0<l>>>0?(k=o+(j<<3)|0,(m|0)!=(k|0)):0)f[g>>2]=m+(~((m+-8-k|0)>>>3)<<3)}else CG(c,j-l|0);l=Y(Y((i>>>3&511)+1|0,j)|0,675553809>>>(i<<2&28)&15)|0;i=d+4|0;j=f[i>>2]|0;k=f[d>>2]|0;m=j-k|0;g=k;k=j;if(l>>>0<=m>>>0)if(l>>>0<m>>>0?(j=g+l|0,(k|0)!=(j|0)):0){f[i>>2]=j;q=g}else q=g;else{LJ(d,l-m|0);q=f[d>>2]|0}d=a+8|0;if((f[d>>2]|0)<=0){u=e;return}m=a+16|0;l=a+44|0;g=a+12|0;a=(h&4095)==0;j=0;i=0;k=f[g>>2]|0;while(1){o=(f[m>>2]|0)+(Y(f[f[l>>2]>>2]|0,j)|0)|0;a:do if((k|0)>0){if(a){r=0;s=i;t=k;while(1){v=b[o+r>>0]|0;if(!(v<<24>>24)){w=s;x=t}else{y=f[c>>2]|0;f[y+(s<<3)>>2]=r;f[y+(s<<3)+4>>2]=j;b[q+s>>0]=v;w=s+1|0;x=f[g>>2]|0}r=r+1|0;if((r|0)>=(x|0)){z=w;A=x;break a}else{s=w;t=x}}}t=f[c>>2]|0;s=0;r=i;v=k;while(1){switch(h&4095){case 5:{B=+n[o+(s<<2)>>2];if(B==0.0){C=r;D=v}else{f[t+(r<<3)>>2]=s;f[t+(r<<3)+4>>2]=j;n[q+(r<<2)>>2]=B;C=r+1|0;D=v}break}case 4:{y=f[o+(s<<2)>>2]|0;if(!y){C=r;D=v}else{f[t+(r<<3)>>2]=s;f[t+(r<<3)+4>>2]=j;f[q+(r<<2)>>2]=y;C=r+1|0;D=f[g>>2]|0}break}default:{B=+p[o+(s<<3)>>3];if(B==0.0){C=r;D=v}else{f[t+(r<<3)>>2]=s;f[t+(r<<3)+4>>2]=j;p[q+(r<<3)>>3]=B;C=r+1|0;D=v}}}s=s+1|0;if((s|0)>=(D|0)){z=C;A=D;break a}else{r=C;v=D}}}else{z=i;A=k}while(0);j=j+1|0;if((j|0)>=(f[d>>2]|0))break;else{i=z;k=A}}u=e;return}function o8(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=+h;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;j=u;u=u+144|0;k=j;l=j+120|0;m=j+137|0;n=j+136|0;o=j+64|0;p=j+8|0;do if((qJ(e)|0)==65536){q=f[e+4>>2]|0;f[o>>2]=f[q>>2];r=o+4|0;s=q+4|0;f[r>>2]=f[s>>2];t=o+8|0;f[t>>2]=f[q+8>>2];f[o+12>>2]=f[q+12>>2];f[o+16>>2]=f[q+16>>2];f[o+20>>2]=f[q+20>>2];f[o+24>>2]=f[q+24>>2];f[o+28>>2]=f[q+28>>2];f[o+32>>2]=f[q+32>>2];v=f[q+36>>2]|0;f[o+36>>2]=v;f[o+40>>2]=t;t=o+48|0;w=o+44|0;f[w>>2]=t;f[t>>2]=0;f[o+52>>2]=0;if(v|0){t=v+12|0;f[t>>2]=(f[t>>2]|0)+1}if((f[s>>2]|0)<3){s=f[q+44>>2]|0;t=f[w>>2]|0;f[t>>2]=f[s>>2];f[t+4>>2]=f[s+4>>2];x=o;break}else{f[r>>2]=0;$T(o,q);x=o;break}}else{nJ(o,e,-1);x=o}while(0);e=c&7;q=d&7;if(q>>>0<e>>>0|((d^c)&4088|0)!=0){f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;r=cuc(48)|0;f[l>>2]=r;f[l+8>>2]=-2147483600;f[l+4>>2]=44;y=r;z=249618;A=y+44|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));b[r+44>>0]=0;WD(-215,l,249663,242392,4428)}r=f[g>>2]|0;s=g+4|0;t=f[s>>2]|0;w=o+40|0;v=f[w>>2]|0;B=f[v+4>>2]|0;C=f[v>>2]|0;v=(r|0)==-1?(B|0)/2|0:r;r=(t|0)==-1?(C|0)/2|0:t;if(!((v|0)>-1&(v|0)<(B|0))){D=cuc(64)|0;f[l>>2]=D;E=l+8|0;f[E>>2]=-2147483584;F=l+4|0;f[F>>2]=52;y=D;z=358268;A=y+52|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));G=D+52|0;b[G>>0]=0;WD(-215,l,358321,358337,363)}if((r|0)<0|(r|0)>=(C|0)){D=cuc(64)|0;f[l>>2]=D;E=l+8|0;f[E>>2]=-2147483584;F=l+4|0;f[F>>2]=52;y=D;z=358268;A=y+52|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));G=D+52|0;b[G>>0]=0;WD(-215,l,358321,358337,363)}f[g>>2]=v;f[s>>2]=r;r=(e|0)==6;v=(q|0)==6;G=r|v?6:5;f[p>>2]=1124007936;D=p+4|0;z=p+8|0;F=p+40|0;y=D;A=y+36|0;do{f[y>>2]=0;y=y+4|0}while((y|0)<(A|0));f[F>>2]=z;y=p+48|0;A=p+44|0;f[A>>2]=y;f[y>>2]=0;f[p+52>>2]=0;E=f[x>>2]&4095;if((E|0)==(G|0)){C=o+36|0;B=f[C>>2]|0;if(B){t=B+12|0;f[t>>2]=(f[t>>2]|0)+1;t=p+36|0;B=f[t>>2]|0;if((B|0)!=0?(H=B+12|0,B=f[H>>2]|0,f[H>>2]=B+-1,(B|0)==1):0){aU(p);I=t}else I=t}else I=p+36|0;f[I>>2]=0;t=p+16|0;f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;f[t+12>>2]=0;if((f[D>>2]|0)>0){B=f[F>>2]|0;H=0;do{f[B+(H<<2)>>2]=0;H=H+1|0;J=f[D>>2]|0}while((H|0)<(J|0));f[p>>2]=f[x>>2];if((J|0)<3)K=24;else K=26}else{f[p>>2]=f[x>>2];K=24}if((K|0)==24){x=f[o+4>>2]|0;if((x|0)<3){f[D>>2]=x;f[z>>2]=f[o+8>>2];f[p+12>>2]=f[o+12>>2];z=f[o+44>>2]|0;x=f[A>>2]|0;f[x>>2]=f[z>>2];f[x+4>>2]=f[z+4>>2]}else K=26}if((K|0)==26)$T(p,o);f[t>>2]=f[o+16>>2];f[p+20>>2]=f[o+20>>2];f[p+24>>2]=f[o+24>>2];f[p+28>>2]=f[o+28>>2];f[p+32>>2]=f[o+32>>2];f[I>>2]=f[C>>2]}else{C=l+8|0;f[C>>2]=0;f[C+4>>2]=0;f[l>>2]=33619968;f[l+4>>2]=p;kQ(o,l,G,(E|0)==4?1.0/+(1<<i|0):1.0,0.0)}i=(e|0)==0;do if((d|c)&7){E=(q|0)==2;if(i&E){G=f[g>>2]|0;C=f[s>>2]|0;I=cuc(76)|0;f[I+4>>2]=0;f[I+8>>2]=0;f[I>>2]=53204;t=I+12|0;f[l>>2]=G;f[l+4>>2]=C;q8(t,p,l,h,m,n);f[a>>2]=t;f[a+4>>2]=I;break}I=(q|0)==3;if(i&I){t=f[g>>2]|0;C=f[s>>2]|0;G=cuc(76)|0;f[G+4>>2]=0;f[G+8>>2]=0;f[G>>2]=53232;K=G+12|0;f[l>>2]=t;f[l+4>>2]=C;r8(K,p,l,h,m,n);f[a>>2]=K;f[a+4>>2]=G;break}G=(q|0)==5;if(i&G){K=f[g>>2]|0;C=f[s>>2]|0;t=cuc(76)|0;f[t+4>>2]=0;f[t+8>>2]=0;f[t>>2]=53260;z=t+12|0;f[l>>2]=K;f[l+4>>2]=C;s8(z,p,l,h,m,n);f[a>>2]=z;f[a+4>>2]=t;break}if(i&v){t=f[g>>2]|0;z=f[s>>2]|0;C=cuc(88)|0;f[C+4>>2]=0;f[C+8>>2]=0;f[C>>2]=53288;K=C+16|0;f[l>>2]=t;f[l+4>>2]=z;t8(K,p,l,h,m,n);f[a>>2]=K;f[a+4>>2]=C;break}C=(e|0)==2;if(C&E){E=f[g>>2]|0;K=f[s>>2]|0;z=cuc(76)|0;f[z+4>>2]=0;f[z+8>>2]=0;f[z>>2]=53316;t=z+12|0;f[l>>2]=E;f[l+4>>2]=K;u8(t,p,l,h,m,n);f[a>>2]=t;f[a+4>>2]=z;break}if(C&G){z=f[g>>2]|0;t=f[s>>2]|0;K=cuc(76)|0;f[K+4>>2]=0;f[K+8>>2]=0;f[K>>2]=53344;E=K+12|0;f[l>>2]=z;f[l+4>>2]=t;v8(E,p,l,h,m,n);f[a>>2]=E;f[a+4>>2]=K;break}if(C&v){C=f[g>>2]|0;K=f[s>>2]|0;E=cuc(88)|0;f[E+4>>2]=0;f[E+8>>2]=0;f[E>>2]=53372;t=E+16|0;f[l>>2]=C;f[l+4>>2]=K;w8(t,p,l,h,m,n);f[a>>2]=t;f[a+4>>2]=E;break}E=(e|0)==3;if(E&I){I=f[g>>2]|0;t=f[s>>2]|0;K=cuc(76)|0;f[K+4>>2]=0;f[K+8>>2]=0;f[K>>2]=53400;C=K+12|0;f[l>>2]=I;f[l+4>>2]=t;x8(C,p,l,h,m,n);f[a>>2]=C;f[a+4>>2]=K;break}if(E&G){K=f[g>>2]|0;C=f[s>>2]|0;t=cuc(76)|0;f[t+4>>2]=0;f[t+8>>2]=0;f[t>>2]=53428;I=t+12|0;f[l>>2]=K;f[l+4>>2]=C;y8(I,p,l,h,m,n);f[a>>2]=I;f[a+4>>2]=t;break}if(E&v){E=f[g>>2]|0;t=f[s>>2]|0;I=cuc(88)|0;f[I+4>>2]=0;f[I+8>>2]=0;f[I>>2]=53456;C=I+16|0;f[l>>2]=E;f[l+4>>2]=t;z8(C,p,l,h,m,n);f[a>>2]=C;f[a+4>>2]=I;break}if((e|0)==5&G){G=f[g>>2]|0;I=f[s>>2]|0;C=cuc(76)|0;f[C+4>>2]=0;f[C+8>>2]=0;f[C>>2]=53484;t=C+12|0;f[l>>2]=G;f[l+4>>2]=I;A8(t,p,l,h,m,n);f[a>>2]=t;f[a+4>>2]=C;break}if(r&v){C=f[g>>2]|0;t=f[s>>2]|0;I=cuc(88)|0;f[I+4>>2]=0;f[I+8>>2]=0;f[I>>2]=53512;G=I+16|0;f[l>>2]=C;f[l+4>>2]=t;B8(G,p,l,h,m,n);f[a>>2]=G;f[a+4>>2]=I;break}else{f[k>>2]=c;f[k+4>>2]=d;cE(l,249679,k);WD(-213,l,249663,242392,4493)}}else{I=f[g>>2]|0;G=f[s>>2]|0;t=cuc(76)|0;f[t+4>>2]=0;f[t+8>>2]=0;f[t>>2]=53176;C=t+12|0;f[l>>2]=I;f[l+4>>2]=G;p8(C,p,l,h,m,n);f[a>>2]=C;f[a+4>>2]=t}while(0);a=p+36|0;n=f[a>>2]|0;if(n|0?(m=n+12|0,n=f[m>>2]|0,f[m>>2]=n+-1,(n|0)==1):0)aU(p);f[a>>2]=0;a=p+16|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;if((f[D>>2]|0)>0){a=f[F>>2]|0;F=0;do{f[a+(F<<2)>>2]=0;F=F+1|0}while((F|0)<(f[D>>2]|0))}D=f[A>>2]|0;if((D|0)!=(y|0))TC(D);D=o+36|0;y=f[D>>2]|0;if(y|0?(A=y+12|0,y=f[A>>2]|0,f[A>>2]=y+-1,(y|0)==1):0)aU(o);f[D>>2]=0;D=o+16|0;y=o+4|0;f[D>>2]=0;f[D+4>>2]=0;f[D+8>>2]=0;f[D+12>>2]=0;if((f[y>>2]|0)>0){D=f[w>>2]|0;w=0;do{f[D+(w<<2)>>2]=0;w=w+1|0}while((w|0)<(f[y>>2]|0))}y=f[o+44>>2]|0;if((y|0)==(o+48|0)){u=j;return}TC(y);u=j;return}function p8(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0;h=u;u=u+16|0;g=h;i=a+4|0;f[i>>2]=-1;f[i+4>>2]=-1;f[i+8>>2]=-1;f[i+12>>2]=-1;f[a>>2]=53828;j=a+20|0;k=a+24|0;l=a+32|0;m=a+44|0;o=a+48|0;p=j;q=p+36|0;do{f[p>>2]=0;p=p+4|0}while((p|0)<(q|0));f[a+12>>2]=f[d>>2];f[a+16>>2]=f[d+4>>2];d=f[c+40>>2]|0;r=f[d>>2]|0;f[i>>2]=f[d+4>>2];f[a+8>>2]=r;n[a+56>>2]=e;if((f[c>>2]&4095|0)!=5){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;a=cuc(48)|0;f[g>>2]=a;f[g+8>>2]=-2147483600;f[g+4>>2]=36;p=a;r=249756;q=p+36|0;do{b[p>>0]=b[r>>0]|0;p=p+1|0;r=r+1|0}while((p|0)<(q|0));b[a+36>>0]=0;WD(-215,g,249793,242392,3883)}n8(c,j,l);l=(f[k>>2]|0)-(f[j>>2]|0)>>3;j=f[o>>2]|0;k=f[m>>2]|0;c=j-k>>2;g=j;if(l>>>0>c>>>0){O2(m,l-c|0);u=h;return}if(l>>>0>=c>>>0){u=h;return}c=k+(l<<2)|0;if((g|0)==(c|0)){u=h;return}f[o>>2]=g+(~((g+-4-c|0)>>>2)<<2);u=h;return}function q8(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0;h=u;u=u+16|0;g=h;i=a+4|0;f[i>>2]=-1;f[i+4>>2]=-1;f[i+8>>2]=-1;f[i+12>>2]=-1;f[a>>2]=53804;j=a+20|0;k=a+24|0;l=a+32|0;m=a+44|0;o=a+48|0;p=j;q=p+36|0;do{f[p>>2]=0;p=p+4|0}while((p|0)<(q|0));f[a+12>>2]=f[d>>2];f[a+16>>2]=f[d+4>>2];d=f[c+40>>2]|0;r=f[d>>2]|0;f[i>>2]=f[d+4>>2];f[a+8>>2]=r;n[a+56>>2]=e;if((f[c>>2]&4095|0)!=5){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;a=cuc(48)|0;f[g>>2]=a;f[g+8>>2]=-2147483600;f[g+4>>2]=36;p=a;r=249756;q=p+36|0;do{b[p>>0]=b[r>>0]|0;p=p+1|0;r=r+1|0}while((p|0)<(q|0));b[a+36>>0]=0;WD(-215,g,249793,242392,3883)}n8(c,j,l);l=(f[k>>2]|0)-(f[j>>2]|0)>>3;j=f[o>>2]|0;k=f[m>>2]|0;c=j-k>>2;g=j;if(l>>>0>c>>>0){O2(m,l-c|0);u=h;return}if(l>>>0>=c>>>0){u=h;return}c=k+(l<<2)|0;if((g|0)==(c|0)){u=h;return}f[o>>2]=g+(~((g+-4-c|0)>>>2)<<2);u=h;return}function r8(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0;h=u;u=u+16|0;g=h;i=a+4|0;f[i>>2]=-1;f[i+4>>2]=-1;f[i+8>>2]=-1;f[i+12>>2]=-1;f[a>>2]=53780;j=a+20|0;k=a+24|0;l=a+32|0;m=a+44|0;o=a+48|0;p=j;q=p+36|0;do{f[p>>2]=0;p=p+4|0}while((p|0)<(q|0));f[a+12>>2]=f[d>>2];f[a+16>>2]=f[d+4>>2];d=f[c+40>>2]|0;r=f[d>>2]|0;f[i>>2]=f[d+4>>2];f[a+8>>2]=r;n[a+56>>2]=e;if((f[c>>2]&4095|0)!=5){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;a=cuc(48)|0;f[g>>2]=a;f[g+8>>2]=-2147483600;f[g+4>>2]=36;p=a;r=249756;q=p+36|0;do{b[p>>0]=b[r>>0]|0;p=p+1|0;r=r+1|0}while((p|0)<(q|0));b[a+36>>0]=0;WD(-215,g,249793,242392,3883)}n8(c,j,l);l=(f[k>>2]|0)-(f[j>>2]|0)>>3;j=f[o>>2]|0;k=f[m>>2]|0;c=j-k>>2;g=j;if(l>>>0>c>>>0){O2(m,l-c|0);u=h;return}if(l>>>0>=c>>>0){u=h;return}c=k+(l<<2)|0;if((g|0)==(c|0)){u=h;return}f[o>>2]=g+(~((g+-4-c|0)>>>2)<<2);u=h;return}function s8(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0;h=u;u=u+16|0;g=h;i=a+4|0;f[i>>2]=-1;f[i+4>>2]=-1;f[i+8>>2]=-1;f[i+12>>2]=-1;f[a>>2]=53756;j=a+20|0;k=a+24|0;l=a+32|0;m=a+44|0;o=a+48|0;p=j;q=p+36|0;do{f[p>>2]=0;p=p+4|0}while((p|0)<(q|0));f[a+12>>2]=f[d>>2];f[a+16>>2]=f[d+4>>2];d=f[c+40>>2]|0;r=f[d>>2]|0;f[i>>2]=f[d+4>>2];f[a+8>>2]=r;n[a+56>>2]=e;if((f[c>>2]&4095|0)!=5){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;a=cuc(48)|0;f[g>>2]=a;f[g+8>>2]=-2147483600;f[g+4>>2]=36;p=a;r=249756;q=p+36|0;do{b[p>>0]=b[r>>0]|0;p=p+1|0;r=r+1|0}while((p|0)<(q|0));b[a+36>>0]=0;WD(-215,g,249793,242392,3883)}n8(c,j,l);l=(f[k>>2]|0)-(f[j>>2]|0)>>3;j=f[o>>2]|0;k=f[m>>2]|0;c=j-k>>2;g=j;if(l>>>0>c>>>0){O2(m,l-c|0);u=h;return}if(l>>>0>=c>>>0){u=h;return}c=k+(l<<2)|0;if((g|0)==(c|0)){u=h;return}f[o>>2]=g+(~((g+-4-c|0)>>>2)<<2);u=h;return}function t8(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0;h=u;u=u+16|0;g=h;i=a+4|0;f[i>>2]=-1;f[i+4>>2]=-1;f[i+8>>2]=-1;f[i+12>>2]=-1;f[a>>2]=53732;j=a+20|0;k=a+24|0;l=a+32|0;m=a+44|0;n=a+48|0;o=j;q=o+36|0;do{f[o>>2]=0;o=o+4|0}while((o|0)<(q|0));f[a+12>>2]=f[d>>2];f[a+16>>2]=f[d+4>>2];d=f[c+40>>2]|0;r=f[d>>2]|0;f[i>>2]=f[d+4>>2];f[a+8>>2]=r;p[a+56>>3]=e;if((f[c>>2]&4095|0)!=6){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;a=cuc(48)|0;f[g>>2]=a;f[g+8>>2]=-2147483600;f[g+4>>2]=36;o=a;r=249756;q=o+36|0;do{b[o>>0]=b[r>>0]|0;o=o+1|0;r=r+1|0}while((o|0)<(q|0));b[a+36>>0]=0;WD(-215,g,249793,242392,3883)}n8(c,j,l);l=(f[k>>2]|0)-(f[j>>2]|0)>>3;j=f[n>>2]|0;k=f[m>>2]|0;c=j-k>>2;g=j;if(l>>>0>c>>>0){O2(m,l-c|0);u=h;return}if(l>>>0>=c>>>0){u=h;return}c=k+(l<<2)|0;if((g|0)==(c|0)){u=h;return}f[n>>2]=g+(~((g+-4-c|0)>>>2)<<2);u=h;return}function u8(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0;h=u;u=u+16|0;g=h;i=a+4|0;f[i>>2]=-1;f[i+4>>2]=-1;f[i+8>>2]=-1;f[i+12>>2]=-1;f[a>>2]=53708;j=a+20|0;k=a+24|0;l=a+32|0;m=a+44|0;o=a+48|0;p=j;q=p+36|0;do{f[p>>2]=0;p=p+4|0}while((p|0)<(q|0));f[a+12>>2]=f[d>>2];f[a+16>>2]=f[d+4>>2];d=f[c+40>>2]|0;r=f[d>>2]|0;f[i>>2]=f[d+4>>2];f[a+8>>2]=r;n[a+56>>2]=e;if((f[c>>2]&4095|0)!=5){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;a=cuc(48)|0;f[g>>2]=a;f[g+8>>2]=-2147483600;f[g+4>>2]=36;p=a;r=249756;q=p+36|0;do{b[p>>0]=b[r>>0]|0;p=p+1|0;r=r+1|0}while((p|0)<(q|0));b[a+36>>0]=0;WD(-215,g,249793,242392,3883)}n8(c,j,l);l=(f[k>>2]|0)-(f[j>>2]|0)>>3;j=f[o>>2]|0;k=f[m>>2]|0;c=j-k>>2;g=j;if(l>>>0>c>>>0){O2(m,l-c|0);u=h;return}if(l>>>0>=c>>>0){u=h;return}c=k+(l<<2)|0;if((g|0)==(c|0)){u=h;return}f[o>>2]=g+(~((g+-4-c|0)>>>2)<<2);u=h;return}function v8(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0;h=u;u=u+16|0;g=h;i=a+4|0;f[i>>2]=-1;f[i+4>>2]=-1;f[i+8>>2]=-1;f[i+12>>2]=-1;f[a>>2]=53684;j=a+20|0;k=a+24|0;l=a+32|0;m=a+44|0;o=a+48|0;p=j;q=p+36|0;do{f[p>>2]=0;p=p+4|0}while((p|0)<(q|0));f[a+12>>2]=f[d>>2];f[a+16>>2]=f[d+4>>2];d=f[c+40>>2]|0;r=f[d>>2]|0;f[i>>2]=f[d+4>>2];f[a+8>>2]=r;n[a+56>>2]=e;if((f[c>>2]&4095|0)!=5){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;a=cuc(48)|0;f[g>>2]=a;f[g+8>>2]=-2147483600;f[g+4>>2]=36;p=a;r=249756;q=p+36|0;do{b[p>>0]=b[r>>0]|0;p=p+1|0;r=r+1|0}while((p|0)<(q|0));b[a+36>>0]=0;WD(-215,g,249793,242392,3883)}n8(c,j,l);l=(f[k>>2]|0)-(f[j>>2]|0)>>3;j=f[o>>2]|0;k=f[m>>2]|0;c=j-k>>2;g=j;if(l>>>0>c>>>0){O2(m,l-c|0);u=h;return}if(l>>>0>=c>>>0){u=h;return}c=k+(l<<2)|0;if((g|0)==(c|0)){u=h;return}f[o>>2]=g+(~((g+-4-c|0)>>>2)<<2);u=h;return}function w8(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0;h=u;u=u+16|0;g=h;i=a+4|0;f[i>>2]=-1;f[i+4>>2]=-1;f[i+8>>2]=-1;f[i+12>>2]=-1;f[a>>2]=53660;j=a+20|0;k=a+24|0;l=a+32|0;m=a+44|0;n=a+48|0;o=j;q=o+36|0;do{f[o>>2]=0;o=o+4|0}while((o|0)<(q|0));f[a+12>>2]=f[d>>2];f[a+16>>2]=f[d+4>>2];d=f[c+40>>2]|0;r=f[d>>2]|0;f[i>>2]=f[d+4>>2];f[a+8>>2]=r;p[a+56>>3]=e;if((f[c>>2]&4095|0)!=6){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;a=cuc(48)|0;f[g>>2]=a;f[g+8>>2]=-2147483600;f[g+4>>2]=36;o=a;r=249756;q=o+36|0;do{b[o>>0]=b[r>>0]|0;o=o+1|0;r=r+1|0}while((o|0)<(q|0));b[a+36>>0]=0;WD(-215,g,249793,242392,3883)}n8(c,j,l);l=(f[k>>2]|0)-(f[j>>2]|0)>>3;j=f[n>>2]|0;k=f[m>>2]|0;c=j-k>>2;g=j;if(l>>>0>c>>>0){O2(m,l-c|0);u=h;return}if(l>>>0>=c>>>0){u=h;return}c=k+(l<<2)|0;if((g|0)==(c|0)){u=h;return}f[n>>2]=g+(~((g+-4-c|0)>>>2)<<2);u=h;return}function x8(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0;h=u;u=u+16|0;g=h;i=a+4|0;f[i>>2]=-1;f[i+4>>2]=-1;f[i+8>>2]=-1;f[i+12>>2]=-1;f[a>>2]=53636;j=a+20|0;k=a+24|0;l=a+32|0;m=a+44|0;o=a+48|0;p=j;q=p+36|0;do{f[p>>2]=0;p=p+4|0}while((p|0)<(q|0));f[a+12>>2]=f[d>>2];f[a+16>>2]=f[d+4>>2];d=f[c+40>>2]|0;r=f[d>>2]|0;f[i>>2]=f[d+4>>2];f[a+8>>2]=r;n[a+56>>2]=e;if((f[c>>2]&4095|0)!=5){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;a=cuc(48)|0;f[g>>2]=a;f[g+8>>2]=-2147483600;f[g+4>>2]=36;p=a;r=249756;q=p+36|0;do{b[p>>0]=b[r>>0]|0;p=p+1|0;r=r+1|0}while((p|0)<(q|0));b[a+36>>0]=0;WD(-215,g,249793,242392,3883)}n8(c,j,l);l=(f[k>>2]|0)-(f[j>>2]|0)>>3;j=f[o>>2]|0;k=f[m>>2]|0;c=j-k>>2;g=j;if(l>>>0>c>>>0){O2(m,l-c|0);u=h;return}if(l>>>0>=c>>>0){u=h;return}c=k+(l<<2)|0;if((g|0)==(c|0)){u=h;return}f[o>>2]=g+(~((g+-4-c|0)>>>2)<<2);u=h;return}function y8(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0;h=u;u=u+16|0;g=h;i=a+4|0;f[i>>2]=-1;f[i+4>>2]=-1;f[i+8>>2]=-1;f[i+12>>2]=-1;f[a>>2]=53612;j=a+20|0;k=a+24|0;l=a+32|0;m=a+44|0;o=a+48|0;p=j;q=p+36|0;do{f[p>>2]=0;p=p+4|0}while((p|0)<(q|0));f[a+12>>2]=f[d>>2];f[a+16>>2]=f[d+4>>2];d=f[c+40>>2]|0;r=f[d>>2]|0;f[i>>2]=f[d+4>>2];f[a+8>>2]=r;n[a+56>>2]=e;if((f[c>>2]&4095|0)!=5){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;a=cuc(48)|0;f[g>>2]=a;f[g+8>>2]=-2147483600;f[g+4>>2]=36;p=a;r=249756;q=p+36|0;do{b[p>>0]=b[r>>0]|0;p=p+1|0;r=r+1|0}while((p|0)<(q|0));b[a+36>>0]=0;WD(-215,g,249793,242392,3883)}n8(c,j,l);l=(f[k>>2]|0)-(f[j>>2]|0)>>3;j=f[o>>2]|0;k=f[m>>2]|0;c=j-k>>2;g=j;if(l>>>0>c>>>0){O2(m,l-c|0);u=h;return}if(l>>>0>=c>>>0){u=h;return}c=k+(l<<2)|0;if((g|0)==(c|0)){u=h;return}f[o>>2]=g+(~((g+-4-c|0)>>>2)<<2);u=h;return}function z8(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0;h=u;u=u+16|0;g=h;i=a+4|0;f[i>>2]=-1;f[i+4>>2]=-1;f[i+8>>2]=-1;f[i+12>>2]=-1;f[a>>2]=53588;j=a+20|0;k=a+24|0;l=a+32|0;m=a+44|0;n=a+48|0;o=j;q=o+36|0;do{f[o>>2]=0;o=o+4|0}while((o|0)<(q|0));f[a+12>>2]=f[d>>2];f[a+16>>2]=f[d+4>>2];d=f[c+40>>2]|0;r=f[d>>2]|0;f[i>>2]=f[d+4>>2];f[a+8>>2]=r;p[a+56>>3]=e;if((f[c>>2]&4095|0)!=6){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;a=cuc(48)|0;f[g>>2]=a;f[g+8>>2]=-2147483600;f[g+4>>2]=36;o=a;r=249756;q=o+36|0;do{b[o>>0]=b[r>>0]|0;o=o+1|0;r=r+1|0}while((o|0)<(q|0));b[a+36>>0]=0;WD(-215,g,249793,242392,3883)}n8(c,j,l);l=(f[k>>2]|0)-(f[j>>2]|0)>>3;j=f[n>>2]|0;k=f[m>>2]|0;c=j-k>>2;g=j;if(l>>>0>c>>>0){O2(m,l-c|0);u=h;return}if(l>>>0>=c>>>0){u=h;return}c=k+(l<<2)|0;if((g|0)==(c|0)){u=h;return}f[n>>2]=g+(~((g+-4-c|0)>>>2)<<2);u=h;return}function A8(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0;h=u;u=u+16|0;g=h;i=a+4|0;f[i>>2]=-1;f[i+4>>2]=-1;f[i+8>>2]=-1;f[i+12>>2]=-1;f[a>>2]=53564;j=a+20|0;k=a+24|0;l=a+32|0;m=a+44|0;o=a+48|0;p=j;q=p+36|0;do{f[p>>2]=0;p=p+4|0}while((p|0)<(q|0));f[a+12>>2]=f[d>>2];f[a+16>>2]=f[d+4>>2];d=f[c+40>>2]|0;r=f[d>>2]|0;f[i>>2]=f[d+4>>2];f[a+8>>2]=r;n[a+56>>2]=e;if((f[c>>2]&4095|0)!=5){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;a=cuc(48)|0;f[g>>2]=a;f[g+8>>2]=-2147483600;f[g+4>>2]=36;p=a;r=249756;q=p+36|0;do{b[p>>0]=b[r>>0]|0;p=p+1|0;r=r+1|0}while((p|0)<(q|0));b[a+36>>0]=0;WD(-215,g,249793,242392,3883)}n8(c,j,l);l=(f[k>>2]|0)-(f[j>>2]|0)>>3;j=f[o>>2]|0;k=f[m>>2]|0;c=j-k>>2;g=j;if(l>>>0>c>>>0){O2(m,l-c|0);u=h;return}if(l>>>0>=c>>>0){u=h;return}c=k+(l<<2)|0;if((g|0)==(c|0)){u=h;return}f[o>>2]=g+(~((g+-4-c|0)>>>2)<<2);u=h;return}function B8(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0;h=u;u=u+16|0;g=h;i=a+4|0;f[i>>2]=-1;f[i+4>>2]=-1;f[i+8>>2]=-1;f[i+12>>2]=-1;f[a>>2]=53540;j=a+20|0;k=a+24|0;l=a+32|0;m=a+44|0;n=a+48|0;o=j;q=o+36|0;do{f[o>>2]=0;o=o+4|0}while((o|0)<(q|0));f[a+12>>2]=f[d>>2];f[a+16>>2]=f[d+4>>2];d=f[c+40>>2]|0;r=f[d>>2]|0;f[i>>2]=f[d+4>>2];f[a+8>>2]=r;p[a+56>>3]=e;if((f[c>>2]&4095|0)!=6){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;a=cuc(48)|0;f[g>>2]=a;f[g+8>>2]=-2147483600;f[g+4>>2]=36;o=a;r=249756;q=o+36|0;do{b[o>>0]=b[r>>0]|0;o=o+1|0;r=r+1|0}while((o|0)<(q|0));b[a+36>>0]=0;WD(-215,g,249793,242392,3883)}n8(c,j,l);l=(f[k>>2]|0)-(f[j>>2]|0)>>3;j=f[n>>2]|0;k=f[m>>2]|0;c=j-k>>2;g=j;if(l>>>0>c>>>0){O2(m,l-c|0);u=h;return}if(l>>>0>=c>>>0){u=h;return}c=k+(l<<2)|0;if((g|0)==(c|0)){u=h;return}f[n>>2]=g+(~((g+-4-c|0)>>>2)<<2);u=h;return}function C8(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=53540;b=f[a+44>>2]|0;if(b|0){c=a+48|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+32>>2]|0;if(b|0){d=a+36|0;if((f[d>>2]|0)!=(b|0))f[d>>2]=b;fuc(b)}b=f[a+20>>2]|0;if(!b)return;d=a+24|0;a=f[d>>2]|0;if((a|0)!=(b|0))f[d>>2]=a+(~((a+-8-b|0)>>>3)<<3);fuc(b);return}function D8(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=53540;b=f[a+44>>2]|0;if(b|0){c=a+48|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+32>>2]|0;if(b|0){d=a+36|0;if((f[d>>2]|0)!=(b|0))f[d>>2]=b;fuc(b)}b=f[a+20>>2]|0;if(!b){fuc(a);return}d=a+24|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-8-b|0)>>>3)<<3);fuc(b);fuc(a);return}function E8(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0.0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,u=0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0;i=+p[a+56>>3];j=f[a+20>>2]|0;k=f[a+32>>2]|0;l=f[a+44>>2]|0;m=(f[a+24>>2]|0)-j|0;a=m>>3;n=Y(h,g)|0;if((e|0)<=0)return;g=(m|0)>0;m=n+-4|0;o=(n|0)<4;q=n&-4;r=b;b=c;c=e;while(1){if(g){e=0;do{s=(f[r+(f[j+(e<<3)+4>>2]<<2)>>2]|0)+((Y(f[j+(e<<3)>>2]|0,h)|0)<<3)|0;f[l+(e<<2)>>2]=s;e=e+1|0}while((e|0)<(a|0))}a:do if(o)t=0;else{if(g)u=0;else{e=0;while(1){p[b+(e<<3)>>3]=i;p[b+((e|1)<<3)>>3]=i;p[b+((e|2)<<3)>>3]=i;p[b+((e|3)<<3)>>3]=i;e=e+4|0;if((e|0)>(m|0)){t=q;break a}}}do{v=i;w=i;x=i;y=i;e=0;do{s=(f[l+(e<<2)>>2]|0)+(u<<3)|0;z=+p[k+(e<<3)>>3];y=y+z*+p[s>>3];x=x+z*+p[s+8>>3];w=w+z*+p[s+16>>3];v=v+z*+p[s+24>>3];e=e+1|0}while((e|0)<(a|0));p[b+(u<<3)>>3]=y;p[b+((u|1)<<3)>>3]=x;p[b+((u|2)<<3)>>3]=w;p[b+((u|3)<<3)>>3]=v;u=u+4|0}while((u|0)<=(m|0));t=q}while(0);b:do if((t|0)<(n|0)){if(g)A=t;else{e=t;while(1){p[b+(e<<3)>>3]=i;e=e+1|0;if((e|0)==(n|0))break b}}do{z=i;e=0;do{z=z+ +p[k+(e<<3)>>3]*+p[(f[l+(e<<2)>>2]|0)+(A<<3)>>3];e=e+1|0}while((e|0)<(a|0));p[b+(A<<3)>>3]=z;A=A+1|0}while((A|0)!=(n|0))}while(0);if((c|0)>1){r=r+4|0;b=b+d|0;c=c+-1|0}else break}return}function F8(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=53512;f[a+16>>2]=53540;b=f[a+60>>2]|0;if(b|0){c=a+64|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+48>>2]|0;if(b|0){d=a+52|0;if((f[d>>2]|0)!=(b|0))f[d>>2]=b;fuc(b)}b=f[a+36>>2]|0;if(!b){Qtc(a);return}d=a+40|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-8-b|0)>>>3)<<3);fuc(b);Qtc(a);return}function G8(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=53512;f[a+16>>2]=53540;b=f[a+60>>2]|0;if(b|0){c=a+64|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+48>>2]|0;if(b|0){d=a+52|0;if((f[d>>2]|0)!=(b|0))f[d>>2]=b;fuc(b)}b=f[a+36>>2]|0;if(!b){Qtc(a);fuc(a);return}d=a+40|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-8-b|0)>>>3)<<3);fuc(b);Qtc(a);fuc(a);return}function H8(a){a=a|0;var b=0;b=a+16|0;bi[f[f[b>>2]>>2]&2047](b);return}function I8(a){a=a|0;fuc(a);return}function J8(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=53564;b=f[a+44>>2]|0;if(b|0){c=a+48|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+32>>2]|0;if(b|0){d=a+36|0;if((f[d>>2]|0)!=(b|0))f[d>>2]=b;fuc(b)}b=f[a+20>>2]|0;if(!b)return;d=a+24|0;a=f[d>>2]|0;if((a|0)!=(b|0))f[d>>2]=a+(~((a+-8-b|0)>>>3)<<3);fuc(b);return}function K8(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=53564;b=f[a+44>>2]|0;if(b|0){c=a+48|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+32>>2]|0;if(b|0){d=a+36|0;if((f[d>>2]|0)!=(b|0))f[d>>2]=b;fuc(b)}b=f[a+20>>2]|0;if(!b){fuc(a);return}d=a+24|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-8-b|0)>>>3)<<3);fuc(b);fuc(a);return}function L8(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0.0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0;i=+n[a+56>>2];j=f[a+20>>2]|0;k=f[a+32>>2]|0;l=f[a+44>>2]|0;m=(f[a+24>>2]|0)-j|0;a=m>>3;o=Y(h,g)|0;if((e|0)<=0)return;g=(m|0)>0;m=o+-4|0;p=(o|0)<4;q=o&-4;r=b;b=c;c=e;while(1){if(g){e=0;do{s=(f[r+(f[j+(e<<3)+4>>2]<<2)>>2]|0)+((Y(f[j+(e<<3)>>2]|0,h)|0)<<2)|0;f[l+(e<<2)>>2]=s;e=e+1|0}while((e|0)<(a|0))}a:do if(p)t=0;else{if(g)u=0;else{e=0;while(1){n[b+(e<<2)>>2]=i;n[b+((e|1)<<2)>>2]=i;n[b+((e|2)<<2)>>2]=i;n[b+((e|3)<<2)>>2]=i;e=e+4|0;if((e|0)>(m|0)){t=q;break a}}}do{v=i;w=i;x=i;y=i;e=0;do{s=(f[l+(e<<2)>>2]|0)+(u<<2)|0;z=+n[k+(e<<2)>>2];y=y+z*+n[s>>2];x=x+z*+n[s+4>>2];w=w+z*+n[s+8>>2];v=v+z*+n[s+12>>2];e=e+1|0}while((e|0)<(a|0));n[b+(u<<2)>>2]=y;n[b+((u|1)<<2)>>2]=x;n[b+((u|2)<<2)>>2]=w;n[b+((u|3)<<2)>>2]=v;u=u+4|0}while((u|0)<=(m|0));t=q}while(0);b:do if((t|0)<(o|0)){if(g)A=t;else{e=t;while(1){n[b+(e<<2)>>2]=i;e=e+1|0;if((e|0)==(o|0))break b}}do{z=i;e=0;do{z=z+ +n[k+(e<<2)>>2]*+n[(f[l+(e<<2)>>2]|0)+(A<<2)>>2];e=e+1|0}while((e|0)<(a|0));n[b+(A<<2)>>2]=z;A=A+1|0}while((A|0)!=(o|0))}while(0);if((c|0)>1){r=r+4|0;b=b+d|0;c=c+-1|0}else break}return}function M8(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=53484;f[a+12>>2]=53564;b=f[a+56>>2]|0;if(b|0){c=a+60|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+44>>2]|0;if(b|0){d=a+48|0;if((f[d>>2]|0)!=(b|0))f[d>>2]=b;fuc(b)}b=f[a+32>>2]|0;if(!b){Qtc(a);return}d=a+36|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-8-b|0)>>>3)<<3);fuc(b);Qtc(a);return}function N8(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=53484;f[a+12>>2]=53564;b=f[a+56>>2]|0;if(b|0){c=a+60|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+44>>2]|0;if(b|0){d=a+48|0;if((f[d>>2]|0)!=(b|0))f[d>>2]=b;fuc(b)}b=f[a+32>>2]|0;if(!b){Qtc(a);fuc(a);return}d=a+36|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-8-b|0)>>>3)<<3);fuc(b);Qtc(a);fuc(a);return}function O8(a){a=a|0;var b=0;b=a+12|0;bi[f[f[b>>2]>>2]&2047](b);return}function P8(a){a=a|0;fuc(a);return}function Q8(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=53588;b=f[a+44>>2]|0;if(b|0){c=a+48|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+32>>2]|0;if(b|0){d=a+36|0;if((f[d>>2]|0)!=(b|0))f[d>>2]=b;fuc(b)}b=f[a+20>>2]|0;if(!b)return;d=a+24|0;a=f[d>>2]|0;if((a|0)!=(b|0))f[d>>2]=a+(~((a+-8-b|0)>>>3)<<3);fuc(b);return}function R8(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=53588;b=f[a+44>>2]|0;if(b|0){c=a+48|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+32>>2]|0;if(b|0){d=a+36|0;if((f[d>>2]|0)!=(b|0))f[d>>2]=b;fuc(b)}b=f[a+20>>2]|0;if(!b){fuc(a);return}d=a+24|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-8-b|0)>>>3)<<3);fuc(b);fuc(a);return}function S8(a,b,c,e,g,h,i){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0.0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0;j=+p[a+56>>3];k=f[a+20>>2]|0;l=f[a+32>>2]|0;m=f[a+44>>2]|0;n=(f[a+24>>2]|0)-k|0;a=n>>3;o=Y(i,h)|0;if((g|0)<=0)return;h=(n|0)>0;n=o+-4|0;q=(o|0)<4;r=o&-4;s=b;b=c;c=g;while(1){if(h){g=0;do{t=(f[s+(f[k+(g<<3)+4>>2]<<2)>>2]|0)+((Y(f[k+(g<<3)>>2]|0,i)|0)<<1)|0;f[m+(g<<2)>>2]=t;g=g+1|0}while((g|0)<(a|0))}a:do if(q)u=0;else{if(h)v=0;else{g=0;while(1){p[b+(g<<3)>>3]=j;p[b+((g|1)<<3)>>3]=j;p[b+((g|2)<<3)>>3]=j;p[b+((g|3)<<3)>>3]=j;g=g+4|0;if((g|0)>(n|0)){u=r;break a}}}do{w=j;x=j;y=j;z=j;g=0;do{t=(f[m+(g<<2)>>2]|0)+(v<<1)|0;A=+p[l+(g<<3)>>3];z=z+A*+(d[t>>1]|0);y=y+A*+(d[t+2>>1]|0);x=x+A*+(d[t+4>>1]|0);w=w+A*+(d[t+6>>1]|0);g=g+1|0}while((g|0)<(a|0));p[b+(v<<3)>>3]=z;p[b+((v|1)<<3)>>3]=y;p[b+((v|2)<<3)>>3]=x;p[b+((v|3)<<3)>>3]=w;v=v+4|0}while((v|0)<=(n|0));u=r}while(0);b:do if((u|0)<(o|0)){if(h)B=u;else{g=u;while(1){p[b+(g<<3)>>3]=j;g=g+1|0;if((g|0)==(o|0))break b}}do{A=j;g=0;do{A=A+ +p[l+(g<<3)>>3]*+(d[(f[m+(g<<2)>>2]|0)+(B<<1)>>1]|0);g=g+1|0}while((g|0)<(a|0));p[b+(B<<3)>>3]=A;B=B+1|0}while((B|0)!=(o|0))}while(0);if((c|0)>1){s=s+4|0;b=b+e|0;c=c+-1|0}else break}return}function T8(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=53456;f[a+16>>2]=53588;b=f[a+60>>2]|0;if(b|0){c=a+64|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+48>>2]|0;if(b|0){d=a+52|0;if((f[d>>2]|0)!=(b|0))f[d>>2]=b;fuc(b)}b=f[a+36>>2]|0;if(!b){Qtc(a);return}d=a+40|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-8-b|0)>>>3)<<3);fuc(b);Qtc(a);return}function U8(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=53456;f[a+16>>2]=53588;b=f[a+60>>2]|0;if(b|0){c=a+64|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+48>>2]|0;if(b|0){d=a+52|0;if((f[d>>2]|0)!=(b|0))f[d>>2]=b;fuc(b)}b=f[a+36>>2]|0;if(!b){Qtc(a);fuc(a);return}d=a+40|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-8-b|0)>>>3)<<3);fuc(b);Qtc(a);fuc(a);return}function V8(a){a=a|0;var b=0;b=a+16|0;bi[f[f[b>>2]>>2]&2047](b);return}function W8(a){a=a|0;fuc(a);return}function X8(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=53612;b=f[a+44>>2]|0;if(b|0){c=a+48|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+32>>2]|0;if(b|0){d=a+36|0;if((f[d>>2]|0)!=(b|0))f[d>>2]=b;fuc(b)}b=f[a+20>>2]|0;if(!b)return;d=a+24|0;a=f[d>>2]|0;if((a|0)!=(b|0))f[d>>2]=a+(~((a+-8-b|0)>>>3)<<3);fuc(b);return}function Y8(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=53612;b=f[a+44>>2]|0;if(b|0){c=a+48|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+32>>2]|0;if(b|0){d=a+36|0;if((f[d>>2]|0)!=(b|0))f[d>>2]=b;fuc(b)}b=f[a+20>>2]|0;if(!b){fuc(a);return}d=a+24|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-8-b|0)>>>3)<<3);fuc(b);fuc(a);return}function Z8(a,b,c,e,g,h,i){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0.0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0;j=+n[a+56>>2];k=f[a+20>>2]|0;l=f[a+32>>2]|0;m=f[a+44>>2]|0;o=(f[a+24>>2]|0)-k|0;a=o>>3;p=Y(i,h)|0;if((g|0)<=0)return;h=(o|0)>0;o=p+-4|0;q=(p|0)<4;r=p&-4;s=b;b=c;c=g;while(1){if(h){g=0;do{t=(f[s+(f[k+(g<<3)+4>>2]<<2)>>2]|0)+((Y(f[k+(g<<3)>>2]|0,i)|0)<<1)|0;f[m+(g<<2)>>2]=t;g=g+1|0}while((g|0)<(a|0))}a:do if(q)u=0;else{if(h)v=0;else{g=0;while(1){n[b+(g<<2)>>2]=j;n[b+((g|1)<<2)>>2]=j;n[b+((g|2)<<2)>>2]=j;n[b+((g|3)<<2)>>2]=j;g=g+4|0;if((g|0)>(o|0)){u=r;break a}}}do{w=j;x=j;y=j;z=j;g=0;do{t=(f[m+(g<<2)>>2]|0)+(v<<1)|0;A=+n[l+(g<<2)>>2];z=z+A*+(d[t>>1]|0);y=y+A*+(d[t+2>>1]|0);x=x+A*+(d[t+4>>1]|0);w=w+A*+(d[t+6>>1]|0);g=g+1|0}while((g|0)<(a|0));n[b+(v<<2)>>2]=z;n[b+((v|1)<<2)>>2]=y;n[b+((v|2)<<2)>>2]=x;n[b+((v|3)<<2)>>2]=w;v=v+4|0}while((v|0)<=(o|0));u=r}while(0);b:do if((u|0)<(p|0)){if(h)B=u;else{g=u;while(1){n[b+(g<<2)>>2]=j;g=g+1|0;if((g|0)==(p|0))break b}}do{A=j;g=0;do{A=A+ +n[l+(g<<2)>>2]*+(d[(f[m+(g<<2)>>2]|0)+(B<<1)>>1]|0);g=g+1|0}while((g|0)<(a|0));n[b+(B<<2)>>2]=A;B=B+1|0}while((B|0)!=(p|0))}while(0);if((c|0)>1){s=s+4|0;b=b+e|0;c=c+-1|0}else break}return}function _8(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=53428;f[a+12>>2]=53612;b=f[a+56>>2]|0;if(b|0){c=a+60|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+44>>2]|0;if(b|0){d=a+48|0;if((f[d>>2]|0)!=(b|0))f[d>>2]=b;fuc(b)}b=f[a+32>>2]|0;if(!b){Qtc(a);return}d=a+36|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-8-b|0)>>>3)<<3);fuc(b);Qtc(a);return}function $8(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=53428;f[a+12>>2]=53612;b=f[a+56>>2]|0;if(b|0){c=a+60|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+44>>2]|0;if(b|0){d=a+48|0;if((f[d>>2]|0)!=(b|0))f[d>>2]=b;fuc(b)}b=f[a+32>>2]|0;if(!b){Qtc(a);fuc(a);return}d=a+36|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-8-b|0)>>>3)<<3);fuc(b);Qtc(a);fuc(a);return}function a9(a){a=a|0;var b=0;b=a+12|0;bi[f[f[b>>2]>>2]&2047](b);return}function b9(a){a=a|0;fuc(a);return}function c9(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=53636;b=f[a+44>>2]|0;if(b|0){c=a+48|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+32>>2]|0;if(b|0){d=a+36|0;if((f[d>>2]|0)!=(b|0))f[d>>2]=b;fuc(b)}b=f[a+20>>2]|0;if(!b)return;d=a+24|0;a=f[d>>2]|0;if((a|0)!=(b|0))f[d>>2]=a+(~((a+-8-b|0)>>>3)<<3);fuc(b);return}function d9(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=53636;b=f[a+44>>2]|0;if(b|0){c=a+48|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+32>>2]|0;if(b|0){d=a+36|0;if((f[d>>2]|0)!=(b|0))f[d>>2]=b;fuc(b)}b=f[a+20>>2]|0;if(!b){fuc(a);return}d=a+24|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-8-b|0)>>>3)<<3);fuc(b);fuc(a);return}function e9(a,b,c,e,g,h,i){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0.0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0;j=+n[a+56>>2];k=f[a+20>>2]|0;l=f[a+32>>2]|0;m=f[a+44>>2]|0;o=(f[a+24>>2]|0)-k|0;a=o>>3;p=Y(i,h)|0;if((g|0)<=0)return;h=(o|0)>0;o=p+-4|0;q=(p|0)<4;r=p&-4;s=b;b=c;c=g;while(1){if(h){g=0;do{t=(f[s+(f[k+(g<<3)+4>>2]<<2)>>2]|0)+((Y(f[k+(g<<3)>>2]|0,i)|0)<<1)|0;f[m+(g<<2)>>2]=t;g=g+1|0}while((g|0)<(a|0))}a:do if(q)u=0;else{if(h)v=0;else{g=Ghc(j)|0;t=((g+32768|0)>>>0<65536?g:(g|0)>0?32767:32768)&65535;g=0;while(1){d[b+(g<<1)>>1]=t;d[b+((g|1)<<1)>>1]=t;d[b+((g|2)<<1)>>1]=t;d[b+((g|3)<<1)>>1]=t;g=g+4|0;if((g|0)>(o|0)){u=r;break a}}}do{w=j;x=j;y=j;z=j;g=0;do{t=(f[m+(g<<2)>>2]|0)+(v<<1)|0;A=+n[l+(g<<2)>>2];z=z+A*+(d[t>>1]|0);y=y+A*+(d[t+2>>1]|0);x=x+A*+(d[t+4>>1]|0);w=w+A*+(d[t+6>>1]|0);g=g+1|0}while((g|0)<(a|0));g=Ghc(z)|0;d[b+(v<<1)>>1]=(g+32768|0)>>>0<65536?g:(g|0)>0?32767:32768;g=Ghc(y)|0;d[b+((v|1)<<1)>>1]=(g+32768|0)>>>0<65536?g:(g|0)>0?32767:32768;g=Ghc(x)|0;d[b+((v|2)<<1)>>1]=(g+32768|0)>>>0<65536?g:(g|0)>0?32767:32768;g=Ghc(w)|0;d[b+((v|3)<<1)>>1]=(g+32768|0)>>>0<65536?g:(g|0)>0?32767:32768;v=v+4|0}while((v|0)<=(o|0));u=r}while(0);b:do if((u|0)<(p|0)){if(h)B=u;else{g=Ghc(j)|0;t=((g+32768|0)>>>0<65536?g:(g|0)>0?32767:32768)&65535;g=u;while(1){d[b+(g<<1)>>1]=t;g=g+1|0;if((g|0)==(p|0))break b}}do{A=j;g=0;do{A=A+ +n[l+(g<<2)>>2]*+(d[(f[m+(g<<2)>>2]|0)+(B<<1)>>1]|0);g=g+1|0}while((g|0)<(a|0));g=Ghc(A)|0;d[b+(B<<1)>>1]=(g+32768|0)>>>0<65536?g:(g|0)>0?32767:32768;B=B+1|0}while((B|0)!=(p|0))}while(0);if((c|0)>1){s=s+4|0;b=b+e|0;c=c+-1|0}else break}return}function f9(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=53400;f[a+12>>2]=53636;b=f[a+56>>2]|0;if(b|0){c=a+60|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+44>>2]|0;if(b|0){d=a+48|0;if((f[d>>2]|0)!=(b|0))f[d>>2]=b;fuc(b)}b=f[a+32>>2]|0;if(!b){Qtc(a);return}d=a+36|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-8-b|0)>>>3)<<3);fuc(b);Qtc(a);return}function g9(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=53400;f[a+12>>2]=53636;b=f[a+56>>2]|0;if(b|0){c=a+60|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+44>>2]|0;if(b|0){d=a+48|0;if((f[d>>2]|0)!=(b|0))f[d>>2]=b;fuc(b)}b=f[a+32>>2]|0;if(!b){Qtc(a);fuc(a);return}d=a+36|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-8-b|0)>>>3)<<3);fuc(b);Qtc(a);fuc(a);return}function h9(a){a=a|0;var b=0;b=a+12|0;bi[f[f[b>>2]>>2]&2047](b);return}function i9(a){a=a|0;fuc(a);return}function j9(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=53660;b=f[a+44>>2]|0;if(b|0){c=a+48|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+32>>2]|0;if(b|0){d=a+36|0;if((f[d>>2]|0)!=(b|0))f[d>>2]=b;fuc(b)}b=f[a+20>>2]|0;if(!b)return;d=a+24|0;a=f[d>>2]|0;if((a|0)!=(b|0))f[d>>2]=a+(~((a+-8-b|0)>>>3)<<3);fuc(b);return}function k9(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=53660;b=f[a+44>>2]|0;if(b|0){c=a+48|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+32>>2]|0;if(b|0){d=a+36|0;if((f[d>>2]|0)!=(b|0))f[d>>2]=b;fuc(b)}b=f[a+20>>2]|0;if(!b){fuc(a);return}d=a+24|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-8-b|0)>>>3)<<3);fuc(b);fuc(a);return}function l9(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0.0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0;i=+p[a+56>>3];k=f[a+20>>2]|0;l=f[a+32>>2]|0;m=f[a+44>>2]|0;n=(f[a+24>>2]|0)-k|0;a=n>>3;o=Y(h,g)|0;if((e|0)<=0)return;g=(n|0)>0;n=o+-4|0;q=(o|0)<4;r=o&-4;s=b;b=c;c=e;while(1){if(g){e=0;do{t=(f[s+(f[k+(e<<3)+4>>2]<<2)>>2]|0)+((Y(f[k+(e<<3)>>2]|0,h)|0)<<1)|0;f[m+(e<<2)>>2]=t;e=e+1|0}while((e|0)<(a|0))}a:do if(q)u=0;else{if(g)v=0;else{e=0;while(1){p[b+(e<<3)>>3]=i;p[b+((e|1)<<3)>>3]=i;p[b+((e|2)<<3)>>3]=i;p[b+((e|3)<<3)>>3]=i;e=e+4|0;if((e|0)>(n|0)){u=r;break a}}}do{w=i;x=i;y=i;z=i;e=0;do{t=(f[m+(e<<2)>>2]|0)+(v<<1)|0;A=+p[l+(e<<3)>>3];z=z+A*+(j[t>>1]|0);y=y+A*+(j[t+2>>1]|0);x=x+A*+(j[t+4>>1]|0);w=w+A*+(j[t+6>>1]|0);e=e+1|0}while((e|0)<(a|0));p[b+(v<<3)>>3]=z;p[b+((v|1)<<3)>>3]=y;p[b+((v|2)<<3)>>3]=x;p[b+((v|3)<<3)>>3]=w;v=v+4|0}while((v|0)<=(n|0));u=r}while(0);b:do if((u|0)<(o|0)){if(g)B=u;else{e=u;while(1){p[b+(e<<3)>>3]=i;e=e+1|0;if((e|0)==(o|0))break b}}do{A=i;e=0;do{A=A+ +p[l+(e<<3)>>3]*+(j[(f[m+(e<<2)>>2]|0)+(B<<1)>>1]|0);e=e+1|0}while((e|0)<(a|0));p[b+(B<<3)>>3]=A;B=B+1|0}while((B|0)!=(o|0))}while(0);if((c|0)>1){s=s+4|0;b=b+d|0;c=c+-1|0}else break}return}function m9(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=53372;f[a+16>>2]=53660;b=f[a+60>>2]|0;if(b|0){c=a+64|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+48>>2]|0;if(b|0){d=a+52|0;if((f[d>>2]|0)!=(b|0))f[d>>2]=b;fuc(b)}b=f[a+36>>2]|0;if(!b){Qtc(a);return}d=a+40|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-8-b|0)>>>3)<<3);fuc(b);Qtc(a);return}function n9(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=53372;f[a+16>>2]=53660;b=f[a+60>>2]|0;if(b|0){c=a+64|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+48>>2]|0;if(b|0){d=a+52|0;if((f[d>>2]|0)!=(b|0))f[d>>2]=b;fuc(b)}b=f[a+36>>2]|0;if(!b){Qtc(a);fuc(a);return}d=a+40|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-8-b|0)>>>3)<<3);fuc(b);Qtc(a);fuc(a);return}function o9(a){a=a|0;var b=0;b=a+16|0;bi[f[f[b>>2]>>2]&2047](b);return}function p9(a){a=a|0;fuc(a);return}function q9(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=53684;b=f[a+44>>2]|0;if(b|0){c=a+48|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+32>>2]|0;if(b|0){d=a+36|0;if((f[d>>2]|0)!=(b|0))f[d>>2]=b;fuc(b)}b=f[a+20>>2]|0;if(!b)return;d=a+24|0;a=f[d>>2]|0;if((a|0)!=(b|0))f[d>>2]=a+(~((a+-8-b|0)>>>3)<<3);fuc(b);return}function r9(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=53684;b=f[a+44>>2]|0;if(b|0){c=a+48|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+32>>2]|0;if(b|0){d=a+36|0;if((f[d>>2]|0)!=(b|0))f[d>>2]=b;fuc(b)}b=f[a+20>>2]|0;if(!b){fuc(a);return}d=a+24|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-8-b|0)>>>3)<<3);fuc(b);fuc(a);return}function s9(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0.0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0;i=+n[a+56>>2];k=f[a+20>>2]|0;l=f[a+32>>2]|0;m=f[a+44>>2]|0;o=(f[a+24>>2]|0)-k|0;a=o>>3;p=Y(h,g)|0;if((e|0)<=0)return;g=(o|0)>0;o=p+-4|0;q=(p|0)<4;r=p&-4;s=b;b=c;c=e;while(1){if(g){e=0;do{t=(f[s+(f[k+(e<<3)+4>>2]<<2)>>2]|0)+((Y(f[k+(e<<3)>>2]|0,h)|0)<<1)|0;f[m+(e<<2)>>2]=t;e=e+1|0}while((e|0)<(a|0))}a:do if(q)u=0;else{if(g)v=0;else{e=0;while(1){n[b+(e<<2)>>2]=i;n[b+((e|1)<<2)>>2]=i;n[b+((e|2)<<2)>>2]=i;n[b+((e|3)<<2)>>2]=i;e=e+4|0;if((e|0)>(o|0)){u=r;break a}}}do{w=i;x=i;y=i;z=i;e=0;do{t=(f[m+(e<<2)>>2]|0)+(v<<1)|0;A=+n[l+(e<<2)>>2];z=z+A*+(j[t>>1]|0);y=y+A*+(j[t+2>>1]|0);x=x+A*+(j[t+4>>1]|0);w=w+A*+(j[t+6>>1]|0);e=e+1|0}while((e|0)<(a|0));n[b+(v<<2)>>2]=z;n[b+((v|1)<<2)>>2]=y;n[b+((v|2)<<2)>>2]=x;n[b+((v|3)<<2)>>2]=w;v=v+4|0}while((v|0)<=(o|0));u=r}while(0);b:do if((u|0)<(p|0)){if(g)B=u;else{e=u;while(1){n[b+(e<<2)>>2]=i;e=e+1|0;if((e|0)==(p|0))break b}}do{A=i;e=0;do{A=A+ +n[l+(e<<2)>>2]*+(j[(f[m+(e<<2)>>2]|0)+(B<<1)>>1]|0);e=e+1|0}while((e|0)<(a|0));n[b+(B<<2)>>2]=A;B=B+1|0}while((B|0)!=(p|0))}while(0);if((c|0)>1){s=s+4|0;b=b+d|0;c=c+-1|0}else break}return}function t9(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=53344;f[a+12>>2]=53684;b=f[a+56>>2]|0;if(b|0){c=a+60|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+44>>2]|0;if(b|0){d=a+48|0;if((f[d>>2]|0)!=(b|0))f[d>>2]=b;fuc(b)}b=f[a+32>>2]|0;if(!b){Qtc(a);return}d=a+36|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-8-b|0)>>>3)<<3);fuc(b);Qtc(a);return}function u9(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=53344;f[a+12>>2]=53684;b=f[a+56>>2]|0;if(b|0){c=a+60|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+44>>2]|0;if(b|0){d=a+48|0;if((f[d>>2]|0)!=(b|0))f[d>>2]=b;fuc(b)}b=f[a+32>>2]|0;if(!b){Qtc(a);fuc(a);return}d=a+36|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-8-b|0)>>>3)<<3);fuc(b);Qtc(a);fuc(a);return}function v9(a){a=a|0;var b=0;b=a+12|0;bi[f[f[b>>2]>>2]&2047](b);return}function w9(a){a=a|0;fuc(a);return}function x9(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=53708;b=f[a+44>>2]|0;if(b|0){c=a+48|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+32>>2]|0;if(b|0){d=a+36|0;if((f[d>>2]|0)!=(b|0))f[d>>2]=b;fuc(b)}b=f[a+20>>2]|0;if(!b)return;d=a+24|0;a=f[d>>2]|0;if((a|0)!=(b|0))f[d>>2]=a+(~((a+-8-b|0)>>>3)<<3);fuc(b);return}function y9(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=53708;b=f[a+44>>2]|0;if(b|0){c=a+48|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+32>>2]|0;if(b|0){d=a+36|0;if((f[d>>2]|0)!=(b|0))f[d>>2]=b;fuc(b)}b=f[a+20>>2]|0;if(!b){fuc(a);return}d=a+24|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-8-b|0)>>>3)<<3);fuc(b);fuc(a);return}function z9(a,b,c,e,g,h,i){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;var k=0.0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0;k=+n[a+56>>2];l=f[a+20>>2]|0;m=f[a+32>>2]|0;o=f[a+44>>2]|0;p=(f[a+24>>2]|0)-l|0;a=p>>3;q=Y(i,h)|0;if((g|0)<=0)return;h=(p|0)>0;p=q+-4|0;r=(q|0)<4;s=q&-4;t=b;b=c;c=g;while(1){if(h){g=0;do{u=(f[t+(f[l+(g<<3)+4>>2]<<2)>>2]|0)+((Y(f[l+(g<<3)>>2]|0,i)|0)<<1)|0;f[o+(g<<2)>>2]=u;g=g+1|0}while((g|0)<(a|0))}a:do if(r)v=0;else{if(h)w=0;else{g=Ghc(k)|0;u=(g>>>0<65536?g:(g|0)>0?65535:0)&65535;g=0;while(1){d[b+(g<<1)>>1]=u;d[b+((g|1)<<1)>>1]=u;d[b+((g|2)<<1)>>1]=u;d[b+((g|3)<<1)>>1]=u;g=g+4|0;if((g|0)>(p|0)){v=s;break a}}}do{x=k;y=k;z=k;A=k;g=0;do{u=(f[o+(g<<2)>>2]|0)+(w<<1)|0;B=+n[m+(g<<2)>>2];A=A+B*+(j[u>>1]|0);z=z+B*+(j[u+2>>1]|0);y=y+B*+(j[u+4>>1]|0);x=x+B*+(j[u+6>>1]|0);g=g+1|0}while((g|0)<(a|0));g=Ghc(A)|0;d[b+(w<<1)>>1]=g>>>0<65536?g:(g|0)>0?65535:0;g=Ghc(z)|0;d[b+((w|1)<<1)>>1]=g>>>0<65536?g:(g|0)>0?65535:0;g=Ghc(y)|0;d[b+((w|2)<<1)>>1]=g>>>0<65536?g:(g|0)>0?65535:0;g=Ghc(x)|0;d[b+((w|3)<<1)>>1]=g>>>0<65536?g:(g|0)>0?65535:0;w=w+4|0}while((w|0)<=(p|0));v=s}while(0);b:do if((v|0)<(q|0)){if(h)C=v;else{g=Ghc(k)|0;u=(g>>>0<65536?g:(g|0)>0?65535:0)&65535;g=v;while(1){d[b+(g<<1)>>1]=u;g=g+1|0;if((g|0)==(q|0))break b}}do{B=k;g=0;do{B=B+ +n[m+(g<<2)>>2]*+(j[(f[o+(g<<2)>>2]|0)+(C<<1)>>1]|0);g=g+1|0}while((g|0)<(a|0));g=Ghc(B)|0;d[b+(C<<1)>>1]=g>>>0<65536?g:(g|0)>0?65535:0;C=C+1|0}while((C|0)!=(q|0))}while(0);if((c|0)>1){t=t+4|0;b=b+e|0;c=c+-1|0}else break}return}function A9(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=53316;f[a+12>>2]=53708;b=f[a+56>>2]|0;if(b|0){c=a+60|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+44>>2]|0;if(b|0){d=a+48|0;if((f[d>>2]|0)!=(b|0))f[d>>2]=b;fuc(b)}b=f[a+32>>2]|0;if(!b){Qtc(a);return}d=a+36|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-8-b|0)>>>3)<<3);fuc(b);Qtc(a);return}function B9(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=53316;f[a+12>>2]=53708;b=f[a+56>>2]|0;if(b|0){c=a+60|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+44>>2]|0;if(b|0){d=a+48|0;if((f[d>>2]|0)!=(b|0))f[d>>2]=b;fuc(b)}b=f[a+32>>2]|0;if(!b){Qtc(a);fuc(a);return}d=a+36|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-8-b|0)>>>3)<<3);fuc(b);Qtc(a);fuc(a);return}function C9(a){a=a|0;var b=0;b=a+12|0;bi[f[f[b>>2]>>2]&2047](b);return}function D9(a){a=a|0;fuc(a);return}function E9(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=53732;b=f[a+44>>2]|0;if(b|0){c=a+48|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+32>>2]|0;if(b|0){d=a+36|0;if((f[d>>2]|0)!=(b|0))f[d>>2]=b;fuc(b)}b=f[a+20>>2]|0;if(!b)return;d=a+24|0;a=f[d>>2]|0;if((a|0)!=(b|0))f[d>>2]=a+(~((a+-8-b|0)>>>3)<<3);fuc(b);return}function F9(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=53732;b=f[a+44>>2]|0;if(b|0){c=a+48|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+32>>2]|0;if(b|0){d=a+36|0;if((f[d>>2]|0)!=(b|0))f[d>>2]=b;fuc(b)}b=f[a+20>>2]|0;if(!b){fuc(a);return}d=a+24|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-8-b|0)>>>3)<<3);fuc(b);fuc(a);return}function G9(a,b,c,d,e,g,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;i=i|0;var j=0.0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0;j=+p[a+56>>3];k=f[a+20>>2]|0;l=f[a+32>>2]|0;m=f[a+44>>2]|0;n=(f[a+24>>2]|0)-k|0;a=n>>3;o=Y(i,g)|0;if((e|0)<=0)return;g=(n|0)>0;n=o+-4|0;q=(o|0)<4;r=o&-4;s=b;b=c;c=e;while(1){if(g){e=0;do{t=(f[s+(f[k+(e<<3)+4>>2]<<2)>>2]|0)+(Y(f[k+(e<<3)>>2]|0,i)|0)|0;f[m+(e<<2)>>2]=t;e=e+1|0}while((e|0)<(a|0))}a:do if(q)u=0;else{if(g)v=0;else{e=0;while(1){p[b+(e<<3)>>3]=j;p[b+((e|1)<<3)>>3]=j;p[b+((e|2)<<3)>>3]=j;p[b+((e|3)<<3)>>3]=j;e=e+4|0;if((e|0)>(n|0)){u=r;break a}}}do{w=j;x=j;y=j;z=j;e=0;do{t=(f[m+(e<<2)>>2]|0)+v|0;A=+p[l+(e<<3)>>3];z=z+A*+(h[t>>0]|0);y=y+A*+(h[t+1>>0]|0);x=x+A*+(h[t+2>>0]|0);w=w+A*+(h[t+3>>0]|0);e=e+1|0}while((e|0)<(a|0));p[b+(v<<3)>>3]=z;p[b+((v|1)<<3)>>3]=y;p[b+((v|2)<<3)>>3]=x;p[b+((v|3)<<3)>>3]=w;v=v+4|0}while((v|0)<=(n|0));u=r}while(0);b:do if((u|0)<(o|0)){if(g)B=u;else{e=u;while(1){p[b+(e<<3)>>3]=j;e=e+1|0;if((e|0)==(o|0))break b}}do{A=j;e=0;do{A=A+ +p[l+(e<<3)>>3]*+(h[(f[m+(e<<2)>>2]|0)+B>>0]|0);e=e+1|0}while((e|0)<(a|0));p[b+(B<<3)>>3]=A;B=B+1|0}while((B|0)!=(o|0))}while(0);if((c|0)>1){s=s+4|0;b=b+d|0;c=c+-1|0}else break}return}function H9(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=53288;f[a+16>>2]=53732;b=f[a+60>>2]|0;if(b|0){c=a+64|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+48>>2]|0;if(b|0){d=a+52|0;if((f[d>>2]|0)!=(b|0))f[d>>2]=b;fuc(b)}b=f[a+36>>2]|0;if(!b){Qtc(a);return}d=a+40|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-8-b|0)>>>3)<<3);fuc(b);Qtc(a);return}function I9(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=53288;f[a+16>>2]=53732;b=f[a+60>>2]|0;if(b|0){c=a+64|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+48>>2]|0;if(b|0){d=a+52|0;if((f[d>>2]|0)!=(b|0))f[d>>2]=b;fuc(b)}b=f[a+36>>2]|0;if(!b){Qtc(a);fuc(a);return}d=a+40|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-8-b|0)>>>3)<<3);fuc(b);Qtc(a);fuc(a);return}function J9(a){a=a|0;var b=0;b=a+16|0;bi[f[f[b>>2]>>2]&2047](b);return}function K9(a){a=a|0;fuc(a);return}function L9(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=53756;b=f[a+44>>2]|0;if(b|0){c=a+48|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+32>>2]|0;if(b|0){d=a+36|0;if((f[d>>2]|0)!=(b|0))f[d>>2]=b;fuc(b)}b=f[a+20>>2]|0;if(!b)return;d=a+24|0;a=f[d>>2]|0;if((a|0)!=(b|0))f[d>>2]=a+(~((a+-8-b|0)>>>3)<<3);fuc(b);return}function M9(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=53756;b=f[a+44>>2]|0;if(b|0){c=a+48|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+32>>2]|0;if(b|0){d=a+36|0;if((f[d>>2]|0)!=(b|0))f[d>>2]=b;fuc(b)}b=f[a+20>>2]|0;if(!b){fuc(a);return}d=a+24|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-8-b|0)>>>3)<<3);fuc(b);fuc(a);return}function N9(a,b,c,d,e,g,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;i=i|0;var j=0.0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0;j=+n[a+56>>2];k=f[a+20>>2]|0;l=f[a+32>>2]|0;m=f[a+44>>2]|0;o=(f[a+24>>2]|0)-k|0;a=o>>3;p=Y(i,g)|0;if((e|0)<=0)return;g=(o|0)>0;o=p+-4|0;q=(p|0)<4;r=p&-4;s=b;b=c;c=e;while(1){if(g){e=0;do{t=(f[s+(f[k+(e<<3)+4>>2]<<2)>>2]|0)+(Y(f[k+(e<<3)>>2]|0,i)|0)|0;f[m+(e<<2)>>2]=t;e=e+1|0}while((e|0)<(a|0))}a:do if(q)u=0;else{if(g)v=0;else{e=0;while(1){n[b+(e<<2)>>2]=j;n[b+((e|1)<<2)>>2]=j;n[b+((e|2)<<2)>>2]=j;n[b+((e|3)<<2)>>2]=j;e=e+4|0;if((e|0)>(o|0)){u=r;break a}}}do{w=j;x=j;y=j;z=j;e=0;do{t=(f[m+(e<<2)>>2]|0)+v|0;A=+n[l+(e<<2)>>2];z=z+A*+(h[t>>0]|0);y=y+A*+(h[t+1>>0]|0);x=x+A*+(h[t+2>>0]|0);w=w+A*+(h[t+3>>0]|0);e=e+1|0}while((e|0)<(a|0));n[b+(v<<2)>>2]=z;n[b+((v|1)<<2)>>2]=y;n[b+((v|2)<<2)>>2]=x;n[b+((v|3)<<2)>>2]=w;v=v+4|0}while((v|0)<=(o|0));u=r}while(0);b:do if((u|0)<(p|0)){if(g)B=u;else{e=u;while(1){n[b+(e<<2)>>2]=j;e=e+1|0;if((e|0)==(p|0))break b}}do{A=j;e=0;do{A=A+ +n[l+(e<<2)>>2]*+(h[(f[m+(e<<2)>>2]|0)+B>>0]|0);e=e+1|0}while((e|0)<(a|0));n[b+(B<<2)>>2]=A;B=B+1|0}while((B|0)!=(p|0))}while(0);if((c|0)>1){s=s+4|0;b=b+d|0;c=c+-1|0}else break}return}function O9(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=53260;f[a+12>>2]=53756;b=f[a+56>>2]|0;if(b|0){c=a+60|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+44>>2]|0;if(b|0){d=a+48|0;if((f[d>>2]|0)!=(b|0))f[d>>2]=b;fuc(b)}b=f[a+32>>2]|0;if(!b){Qtc(a);return}d=a+36|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-8-b|0)>>>3)<<3);fuc(b);Qtc(a);return}function P9(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=53260;f[a+12>>2]=53756;b=f[a+56>>2]|0;if(b|0){c=a+60|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+44>>2]|0;if(b|0){d=a+48|0;if((f[d>>2]|0)!=(b|0))f[d>>2]=b;fuc(b)}b=f[a+32>>2]|0;if(!b){Qtc(a);fuc(a);return}d=a+36|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-8-b|0)>>>3)<<3);fuc(b);Qtc(a);fuc(a);return}function Q9(a){a=a|0;var b=0;b=a+12|0;bi[f[f[b>>2]>>2]&2047](b);return}function R9(a){a=a|0;fuc(a);return}function S9(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=53780;b=f[a+44>>2]|0;if(b|0){c=a+48|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+32>>2]|0;if(b|0){d=a+36|0;if((f[d>>2]|0)!=(b|0))f[d>>2]=b;fuc(b)}b=f[a+20>>2]|0;if(!b)return;d=a+24|0;a=f[d>>2]|0;if((a|0)!=(b|0))f[d>>2]=a+(~((a+-8-b|0)>>>3)<<3);fuc(b);return}function T9(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=53780;b=f[a+44>>2]|0;if(b|0){c=a+48|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+32>>2]|0;if(b|0){d=a+36|0;if((f[d>>2]|0)!=(b|0))f[d>>2]=b;fuc(b)}b=f[a+20>>2]|0;if(!b){fuc(a);return}d=a+24|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-8-b|0)>>>3)<<3);fuc(b);fuc(a);return}function U9(a,b,c,e,g,i,j){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;i=i|0;j=j|0;var k=0.0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0;k=+n[a+56>>2];l=f[a+20>>2]|0;m=f[a+32>>2]|0;o=f[a+44>>2]|0;p=(f[a+24>>2]|0)-l|0;a=p>>3;q=Y(j,i)|0;if((g|0)<=0)return;i=(p|0)>0;p=q+-4|0;r=(q|0)<4;s=q&-4;t=b;b=c;c=g;while(1){if(i){g=0;do{u=(f[t+(f[l+(g<<3)+4>>2]<<2)>>2]|0)+(Y(f[l+(g<<3)>>2]|0,j)|0)|0;f[o+(g<<2)>>2]=u;g=g+1|0}while((g|0)<(a|0))}a:do if(r)v=0;else{if(i)w=0;else{g=Ghc(k)|0;u=((g+32768|0)>>>0<65536?g:(g|0)>0?32767:32768)&65535;g=0;while(1){d[b+(g<<1)>>1]=u;d[b+((g|1)<<1)>>1]=u;d[b+((g|2)<<1)>>1]=u;d[b+((g|3)<<1)>>1]=u;g=g+4|0;if((g|0)>(p|0)){v=s;break a}}}do{x=k;y=k;z=k;A=k;g=0;do{u=(f[o+(g<<2)>>2]|0)+w|0;B=+n[m+(g<<2)>>2];A=A+B*+(h[u>>0]|0);z=z+B*+(h[u+1>>0]|0);y=y+B*+(h[u+2>>0]|0);x=x+B*+(h[u+3>>0]|0);g=g+1|0}while((g|0)<(a|0));g=Ghc(A)|0;d[b+(w<<1)>>1]=(g+32768|0)>>>0<65536?g:(g|0)>0?32767:32768;g=Ghc(z)|0;d[b+((w|1)<<1)>>1]=(g+32768|0)>>>0<65536?g:(g|0)>0?32767:32768;g=Ghc(y)|0;d[b+((w|2)<<1)>>1]=(g+32768|0)>>>0<65536?g:(g|0)>0?32767:32768;g=Ghc(x)|0;d[b+((w|3)<<1)>>1]=(g+32768|0)>>>0<65536?g:(g|0)>0?32767:32768;w=w+4|0}while((w|0)<=(p|0));v=s}while(0);b:do if((v|0)<(q|0)){if(i)C=v;else{g=Ghc(k)|0;u=((g+32768|0)>>>0<65536?g:(g|0)>0?32767:32768)&65535;g=v;while(1){d[b+(g<<1)>>1]=u;g=g+1|0;if((g|0)==(q|0))break b}}do{B=k;g=0;do{B=B+ +n[m+(g<<2)>>2]*+(h[(f[o+(g<<2)>>2]|0)+C>>0]|0);g=g+1|0}while((g|0)<(a|0));g=Ghc(B)|0;d[b+(C<<1)>>1]=(g+32768|0)>>>0<65536?g:(g|0)>0?32767:32768;C=C+1|0}while((C|0)!=(q|0))}while(0);if((c|0)>1){t=t+4|0;b=b+e|0;c=c+-1|0}else break}return}function V9(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=53232;f[a+12>>2]=53780;b=f[a+56>>2]|0;if(b|0){c=a+60|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+44>>2]|0;if(b|0){d=a+48|0;if((f[d>>2]|0)!=(b|0))f[d>>2]=b;fuc(b)}b=f[a+32>>2]|0;if(!b){Qtc(a);return}d=a+36|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-8-b|0)>>>3)<<3);fuc(b);Qtc(a);return}function W9(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=53232;f[a+12>>2]=53780;b=f[a+56>>2]|0;if(b|0){c=a+60|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+44>>2]|0;if(b|0){d=a+48|0;if((f[d>>2]|0)!=(b|0))f[d>>2]=b;fuc(b)}b=f[a+32>>2]|0;if(!b){Qtc(a);fuc(a);return}d=a+36|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-8-b|0)>>>3)<<3);fuc(b);Qtc(a);fuc(a);return}function X9(a){a=a|0;var b=0;b=a+12|0;bi[f[f[b>>2]>>2]&2047](b);return}function Y9(a){a=a|0;fuc(a);return}function Z9(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=53804;b=f[a+44>>2]|0;if(b|0){c=a+48|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+32>>2]|0;if(b|0){d=a+36|0;if((f[d>>2]|0)!=(b|0))f[d>>2]=b;fuc(b)}b=f[a+20>>2]|0;if(!b)return;d=a+24|0;a=f[d>>2]|0;if((a|0)!=(b|0))f[d>>2]=a+(~((a+-8-b|0)>>>3)<<3);fuc(b);return}function _9(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=53804;b=f[a+44>>2]|0;if(b|0){c=a+48|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+32>>2]|0;if(b|0){d=a+36|0;if((f[d>>2]|0)!=(b|0))f[d>>2]=b;fuc(b)}b=f[a+20>>2]|0;if(!b){fuc(a);return}d=a+24|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-8-b|0)>>>3)<<3);fuc(b);fuc(a);return}function $9(a,b,c,e,g,i,j){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;i=i|0;j=j|0;var k=0.0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0;k=+n[a+56>>2];l=f[a+20>>2]|0;m=f[a+32>>2]|0;o=f[a+44>>2]|0;p=(f[a+24>>2]|0)-l|0;a=p>>3;q=Y(j,i)|0;if((g|0)<=0)return;i=(p|0)>0;p=q+-4|0;r=(q|0)<4;s=q&-4;t=b;b=c;c=g;while(1){if(i){g=0;do{u=(f[t+(f[l+(g<<3)+4>>2]<<2)>>2]|0)+(Y(f[l+(g<<3)>>2]|0,j)|0)|0;f[o+(g<<2)>>2]=u;g=g+1|0}while((g|0)<(a|0))}a:do if(r)v=0;else{if(i)w=0;else{g=Ghc(k)|0;u=(g>>>0<65536?g:(g|0)>0?65535:0)&65535;g=0;while(1){d[b+(g<<1)>>1]=u;d[b+((g|1)<<1)>>1]=u;d[b+((g|2)<<1)>>1]=u;d[b+((g|3)<<1)>>1]=u;g=g+4|0;if((g|0)>(p|0)){v=s;break a}}}do{x=k;y=k;z=k;A=k;g=0;do{u=(f[o+(g<<2)>>2]|0)+w|0;B=+n[m+(g<<2)>>2];A=A+B*+(h[u>>0]|0);z=z+B*+(h[u+1>>0]|0);y=y+B*+(h[u+2>>0]|0);x=x+B*+(h[u+3>>0]|0);g=g+1|0}while((g|0)<(a|0));g=Ghc(A)|0;d[b+(w<<1)>>1]=g>>>0<65536?g:(g|0)>0?65535:0;g=Ghc(z)|0;d[b+((w|1)<<1)>>1]=g>>>0<65536?g:(g|0)>0?65535:0;g=Ghc(y)|0;d[b+((w|2)<<1)>>1]=g>>>0<65536?g:(g|0)>0?65535:0;g=Ghc(x)|0;d[b+((w|3)<<1)>>1]=g>>>0<65536?g:(g|0)>0?65535:0;w=w+4|0}while((w|0)<=(p|0));v=s}while(0);b:do if((v|0)<(q|0)){if(i)C=v;else{g=Ghc(k)|0;u=(g>>>0<65536?g:(g|0)>0?65535:0)&65535;g=v;while(1){d[b+(g<<1)>>1]=u;g=g+1|0;if((g|0)==(q|0))break b}}do{B=k;g=0;do{B=B+ +n[m+(g<<2)>>2]*+(h[(f[o+(g<<2)>>2]|0)+C>>0]|0);g=g+1|0}while((g|0)<(a|0));g=Ghc(B)|0;d[b+(C<<1)>>1]=g>>>0<65536?g:(g|0)>0?65535:0;C=C+1|0}while((C|0)!=(q|0))}while(0);if((c|0)>1){t=t+4|0;b=b+e|0;c=c+-1|0}else break}return}function aaa(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=53204;f[a+12>>2]=53804;b=f[a+56>>2]|0;if(b|0){c=a+60|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+44>>2]|0;if(b|0){d=a+48|0;if((f[d>>2]|0)!=(b|0))f[d>>2]=b;fuc(b)}b=f[a+32>>2]|0;if(!b){Qtc(a);return}d=a+36|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-8-b|0)>>>3)<<3);fuc(b);Qtc(a);return}function baa(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=53204;f[a+12>>2]=53804;b=f[a+56>>2]|0;if(b|0){c=a+60|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+44>>2]|0;if(b|0){d=a+48|0;if((f[d>>2]|0)!=(b|0))f[d>>2]=b;fuc(b)}b=f[a+32>>2]|0;if(!b){Qtc(a);fuc(a);return}d=a+36|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-8-b|0)>>>3)<<3);fuc(b);Qtc(a);fuc(a);return}function caa(a){a=a|0;var b=0;b=a+12|0;bi[f[f[b>>2]>>2]&2047](b);return}function daa(a){a=a|0;fuc(a);return}function eaa(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=53828;b=f[a+44>>2]|0;if(b|0){c=a+48|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+32>>2]|0;if(b|0){d=a+36|0;if((f[d>>2]|0)!=(b|0))f[d>>2]=b;fuc(b)}b=f[a+20>>2]|0;if(!b)return;d=a+24|0;a=f[d>>2]|0;if((a|0)!=(b|0))f[d>>2]=a+(~((a+-8-b|0)>>>3)<<3);fuc(b);return}function faa(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=53828;b=f[a+44>>2]|0;if(b|0){c=a+48|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+32>>2]|0;if(b|0){d=a+36|0;if((f[d>>2]|0)!=(b|0))f[d>>2]=b;fuc(b)}b=f[a+20>>2]|0;if(!b){fuc(a);return}d=a+24|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-8-b|0)>>>3)<<3);fuc(b);fuc(a);return}function gaa(a,c,d,e,g,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;i=i|0;j=j|0;var k=0.0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0;k=+n[a+56>>2];l=f[a+20>>2]|0;m=f[a+32>>2]|0;o=f[a+44>>2]|0;p=(f[a+24>>2]|0)-l|0;a=p>>3;q=Y(j,i)|0;if((g|0)<=0)return;i=(p|0)>0;p=q+-4|0;r=(q|0)<4;s=q&-4;t=c;c=d;d=g;while(1){if(i){g=0;do{u=(f[t+(f[l+(g<<3)+4>>2]<<2)>>2]|0)+(Y(f[l+(g<<3)>>2]|0,j)|0)|0;f[o+(g<<2)>>2]=u;g=g+1|0}while((g|0)<(a|0))}a:do if(r)v=0;else{if(i)w=0;else{g=Ghc(k)|0;u=(g>>>0<256?g:(g|0)>0?255:0)&255;g=0;while(1){b[c+g>>0]=u;b[c+(g|1)>>0]=u;b[c+(g|2)>>0]=u;b[c+(g|3)>>0]=u;g=g+4|0;if((g|0)>(p|0)){v=s;break a}}}do{x=k;y=k;z=k;A=k;g=0;do{u=(f[o+(g<<2)>>2]|0)+w|0;B=+n[m+(g<<2)>>2];A=A+B*+(h[u>>0]|0);z=z+B*+(h[u+1>>0]|0);y=y+B*+(h[u+2>>0]|0);x=x+B*+(h[u+3>>0]|0);g=g+1|0}while((g|0)<(a|0));g=Ghc(A)|0;b[c+w>>0]=g>>>0<256?g:(g|0)>0?255:0;g=Ghc(z)|0;b[c+(w|1)>>0]=g>>>0<256?g:(g|0)>0?255:0;g=Ghc(y)|0;b[c+(w|2)>>0]=g>>>0<256?g:(g|0)>0?255:0;g=Ghc(x)|0;b[c+(w|3)>>0]=g>>>0<256?g:(g|0)>0?255:0;w=w+4|0}while((w|0)<=(p|0));v=s}while(0);b:do if((v|0)<(q|0)){if(i)C=v;else{g=Ghc(k)|0;u=(g>>>0<256?g:(g|0)>0?255:0)&255;g=v;while(1){b[c+g>>0]=u;g=g+1|0;if((g|0)==(q|0))break b}}do{B=k;g=0;do{B=B+ +n[m+(g<<2)>>2]*+(h[(f[o+(g<<2)>>2]|0)+C>>0]|0);g=g+1|0}while((g|0)<(a|0));g=Ghc(B)|0;b[c+C>>0]=g>>>0<256?g:(g|0)>0?255:0;C=C+1|0}while((C|0)!=(q|0))}while(0);if((d|0)>1){t=t+4|0;c=c+e|0;d=d+-1|0}else break}return}function haa(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=53176;f[a+12>>2]=53828;b=f[a+56>>2]|0;if(b|0){c=a+60|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+44>>2]|0;if(b|0){d=a+48|0;if((f[d>>2]|0)!=(b|0))f[d>>2]=b;fuc(b)}b=f[a+32>>2]|0;if(!b){Qtc(a);return}d=a+36|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-8-b|0)>>>3)<<3);fuc(b);Qtc(a);return}function iaa(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=53176;f[a+12>>2]=53828;b=f[a+56>>2]|0;if(b|0){c=a+60|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+44>>2]|0;if(b|0){d=a+48|0;if((f[d>>2]|0)!=(b|0))f[d>>2]=b;fuc(b)}b=f[a+32>>2]|0;if(!b){Qtc(a);fuc(a);return}d=a+36|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-8-b|0)>>>3)<<3);fuc(b);Qtc(a);fuc(a);return}function jaa(a){a=a|0;var b=0;b=a+12|0;bi[f[f[b>>2]>>2]&2047](b);return}function kaa(a){a=a|0;fuc(a);return}function laa(a,c,d,e,g,h,i,j,k){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=+h;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0;l=u;u=u+160|0;m=l+96|0;n=l+40|0;o=l+32|0;p=l+8|0;q=l+24|0;r=l;do if((qJ(e)|0)==65536){s=f[e+4>>2]|0;f[m>>2]=f[s>>2];t=m+4|0;v=s+4|0;f[t>>2]=f[v>>2];w=m+8|0;f[w>>2]=f[s+8>>2];f[m+12>>2]=f[s+12>>2];f[m+16>>2]=f[s+16>>2];f[m+20>>2]=f[s+20>>2];f[m+24>>2]=f[s+24>>2];f[m+28>>2]=f[s+28>>2];f[m+32>>2]=f[s+32>>2];x=f[s+36>>2]|0;f[m+36>>2]=x;f[m+40>>2]=w;w=m+48|0;y=m+44|0;f[y>>2]=w;f[w>>2]=0;f[m+52>>2]=0;if(x|0){w=x+12|0;f[w>>2]=(f[w>>2]|0)+1}if((f[v>>2]|0)<3){v=f[s+44>>2]|0;w=f[y>>2]|0;f[w>>2]=f[v>>2];f[w+4>>2]=f[v+4>>2];break}else{f[t>>2]=0;$T(m,s);break}}else nJ(m,e,-1);while(0);e=c&4095;s=d&4095;if((d^c)&4088|0){f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;c=cuc(32)|0;f[n>>2]=c;f[n+8>>2]=-2147483616;f[n+4>>2]=25;d=c;t=249330;v=d+25|0;do{b[d>>0]=b[t>>0]|0;d=d+1|0;t=t+1|0}while((d|0)<(v|0));b[c+25>>0]=0;WD(-215,n,251739,242392,4507)}f[n>>2]=f[m>>2];c=n+4|0;t=m+4|0;d=f[t>>2]|0;f[c>>2]=d;v=n+8|0;f[v>>2]=f[m+8>>2];f[n+12>>2]=f[m+12>>2];w=n+16|0;y=m+16|0;f[w>>2]=f[y>>2];f[n+20>>2]=f[m+20>>2];f[n+24>>2]=f[m+24>>2];f[n+28>>2]=f[m+28>>2];f[n+32>>2]=f[m+32>>2];x=n+36|0;z=m+36|0;A=f[z>>2]|0;f[x>>2]=A;B=n+40|0;f[B>>2]=v;v=n+48|0;C=n+44|0;f[C>>2]=v;f[v>>2]=0;f[n+52>>2]=0;if(!A)D=d;else{d=A+12|0;f[d>>2]=(f[d>>2]|0)+1;D=f[t>>2]|0}if((D|0)<3){D=f[m+44>>2]|0;d=f[C>>2]|0;f[d>>2]=f[D>>2];f[d+4>>2]=f[D+4>>2]}else{f[c>>2]=0;$T(n,m)}f[p+8>>2]=0;f[p+12>>2]=0;f[p>>2]=16842752;f[p+4>>2]=n;f[q>>2]=f[g>>2];f[q+4>>2]=f[g+4>>2];o8(o,e,s,p,q,h,0);f[p>>2]=0;f[p+4>>2]=0;f[r>>2]=0;f[r+4>>2]=0;q=cuc(212)|0;f[q+4>>2]=0;f[q+8>>2]=0;f[q>>2]=53852;g=q+12|0;S2(g,o,p,r,e,s,e,i,j,k);f[a>>2]=g;f[a+4>>2]=q;q=f[o+4>>2]|0;if(q|0)Xtc(q);q=f[x>>2]|0;if(q|0?(o=q+12|0,q=f[o>>2]|0,f[o>>2]=q+-1,(q|0)==1):0)aU(n);f[x>>2]=0;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;f[w+12>>2]=0;if((f[c>>2]|0)>0){w=f[B>>2]|0;B=0;do{f[w+(B<<2)>>2]=0;B=B+1|0}while((B|0)<(f[c>>2]|0))}c=f[C>>2]|0;if((c|0)!=(v|0))TC(c);c=f[z>>2]|0;if(c|0?(v=c+12|0,c=f[v>>2]|0,f[v>>2]=c+-1,(c|0)==1):0)aU(m);f[z>>2]=0;f[y>>2]=0;f[y+4>>2]=0;f[y+8>>2]=0;f[y+12>>2]=0;if((f[t>>2]|0)>0){y=f[m+40>>2]|0;z=0;do{f[y+(z<<2)>>2]=0;z=z+1|0}while((z|0)<(f[t>>2]|0))}t=f[m+44>>2]|0;if((t|0)==(m+48|0)){u=l;return}TC(t);u=l;return}function maa(a){a=a|0;f[a>>2]=53852;I2(a+12|0);Qtc(a);return}function naa(a){a=a|0;f[a>>2]=53852;I2(a+12|0);Qtc(a);fuc(a);return}function oaa(a){a=a|0;var b=0;b=a+12|0;bi[f[f[b>>2]>>2]&2047](b);return}function paa(a){a=a|0;fuc(a);return}function qaa(a,b,c,d,e,g,h,i,j,k,l,m,n,o,q,r,s,t,v,w,x,y){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;q=q|0;r=r|0;s=s|0;t=t|0;v=v|0;w=+w;x=x|0;y=y|0;var z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0;y=u;u=u+496|0;z=y+432|0;A=y+56|0;B=y+376|0;C=y+320|0;D=y+264|0;E=y;F=y+208|0;G=y+200|0;H=y+144|0;I=y+136|0;J=y+128|0;K=y+120|0;L=y+104|0;M=y+88|0;N=y+80|0;O=y+72|0;P=y+64|0;p[A>>3]=w;if((Y(s,r)|0)<=49){f[A>>2]=r;f[A+4>>2]=s;zD(z,A,c,o,q);f[C+8>>2]=0;f[C+12>>2]=0;f[C>>2]=16842752;f[C+4>>2]=z;f[D>>2]=t;f[D+4>>2]=v;f[E>>2]=0;f[E+4>>2]=0;f[E+8>>2]=0;f[E+12>>2]=0;f[E+16>>2]=0;f[E+20>>2]=0;f[E+24>>2]=0;f[E+28>>2]=0;laa(B,a,b,C,D,w,x&-17,-1,E);f[F>>2]=i;f[F+4>>2]=j;zD(C,F,a,d,e);f[G>>2]=i;f[G+4>>2]=j;zD(E,G,b,g,h);j=f[B>>2]|0;i=f[(f[j>>2]|0)+20>>2]|0;f[H>>2]=k;f[H+4>>2]=l;f[I>>2]=m;f[I+4>>2]=n;th[i&255](j,C,E,H,I);j=E+36|0;i=f[j>>2]|0;if(i|0?(Q=i+12|0,i=f[Q>>2]|0,f[Q>>2]=i+-1,(i|0)==1):0)aU(E);f[j>>2]=0;j=E+16|0;i=E+4|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;if((f[i>>2]|0)>0){j=f[E+40>>2]|0;Q=0;do{f[j+(Q<<2)>>2]=0;Q=Q+1|0}while((Q|0)<(f[i>>2]|0))}i=f[E+44>>2]|0;if((i|0)!=(E+48|0))TC(i);i=C+36|0;Q=f[i>>2]|0;if(Q|0?(j=Q+12|0,Q=f[j>>2]|0,f[j>>2]=Q+-1,(Q|0)==1):0)aU(C);f[i>>2]=0;i=C+16|0;Q=C+4|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;if((f[Q>>2]|0)>0){i=f[C+40>>2]|0;j=0;do{f[i+(j<<2)>>2]=0;j=j+1|0}while((j|0)<(f[Q>>2]|0))}Q=f[C+44>>2]|0;if((Q|0)!=(C+48|0))TC(Q);Q=f[B+4>>2]|0;if(Q|0)Xtc(Q);Q=z+36|0;j=f[Q>>2]|0;if(j|0?(i=j+12|0,j=f[i>>2]|0,f[i>>2]=j+-1,(j|0)==1):0)aU(z);f[Q>>2]=0;Q=z+16|0;j=z+4|0;f[Q>>2]=0;f[Q+4>>2]=0;f[Q+8>>2]=0;f[Q+12>>2]=0;if((f[j>>2]|0)>0){Q=f[z+40>>2]|0;i=0;do{f[Q+(i<<2)>>2]=0;i=i+1|0}while((i|0)<(f[j>>2]|0))}j=f[z+44>>2]|0;if((j|0)!=(z+48|0))TC(j);u=y;return}f[C>>2]=r;f[C+4>>2]=s;zD(B,C,c,o,q);f[E>>2]=k-m;f[E+4>>2]=l-n;zD(D,E,a,d,e);f[G>>2]=k;f[G+4>>2]=l;zD(F,G,b,g,h);f[H>>2]=1124007936;G=H+4|0;e=H+8|0;E=H+40|0;n=G;m=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(m|0));f[E>>2]=e;q=H+48|0;o=H+44|0;f[o>>2]=q;f[q>>2]=0;c=H+52|0;f[c>>2]=0;C=a>>>3&511;a=b&4088;s=b&7;if((C|0)!=0&+p[A>>3]!=0.0){if((s+-5|0)>>>0>1|(d|0)==(g|0)){r=(s|0)==6?6:5;f[z>>2]=l;f[z+4>>2]=k;ZT(H,2,z,r|a);R=r}else{f[I>>2]=k;f[I+4>>2]=l;zD(z,I,b,g,h);I=H+36|0;r=f[I>>2]|0;if(r|0?(a=r+12|0,r=f[a>>2]|0,f[a>>2]=r+-1,(r|0)==1):0)aU(H);f[I>>2]=0;r=H+16|0;f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;f[r+12>>2]=0;if((f[G>>2]|0)>0){a=f[E>>2]|0;j=0;do{f[a+(j<<2)>>2]=0;j=j+1|0}while((j|0)<(f[G>>2]|0))}f[H>>2]=f[z>>2];j=z+4|0;a=f[j>>2]|0;f[G>>2]=a;i=z+8|0;f[e>>2]=f[i>>2];f[H+12>>2]=f[z+12>>2];f[r>>2]=f[z+16>>2];f[H+20>>2]=f[z+20>>2];f[H+24>>2]=f[z+24>>2];f[H+28>>2]=f[z+28>>2];f[H+32>>2]=f[z+32>>2];f[I>>2]=f[z+36>>2];I=H+44|0;r=f[I>>2]|0;if((r|0)==(q|0))S=a;else{TC(r);f[I>>2]=q;f[E>>2]=e;S=f[j>>2]|0}r=z+44|0;if((S|0)<3){S=f[r>>2]|0;f[q>>2]=f[S>>2];f[c>>2]=f[S+4>>2];f[z>>2]=1124007936;a=(S|0)==(z+48|0);n=j;m=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(m|0));if(!a)TC(S)}else{f[I>>2]=f[r>>2];I=z+40|0;f[H+40>>2]=f[I>>2];f[r>>2]=z+48;f[I>>2]=i;f[z>>2]=1124007936;n=j;m=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(m|0))}R=s}j=f[D+40>>2]|0;i=f[j>>2]|0;f[J>>2]=f[j+4>>2];f[J+4>>2]=i;f[K>>2]=t;f[K+4>>2]=v;x2(D,B,H,J,R|C<<3,K,0.0,x);f[z+8>>2]=0;f[z+12>>2]=0;f[z>>2]=16842752;f[z+4>>2]=H;f[L>>2]=-1056833530;f[L+4>>2]=A;f[L+8>>2]=1;f[L+12>>2]=1;K=M+8|0;f[K>>2]=0;f[K+4>>2]=0;f[M>>2]=33619968;f[M+4>>2]=H;rW(z,L,M,sK()|0,-1);if((f[H+16>>2]|0)!=(g|0)){M=z+8|0;f[M>>2]=0;f[M+4>>2]=0;f[z>>2]=33619968;f[z+4>>2]=F;kQ(H,z,f[F>>2]&4095,1.0,0.0)}}else{if((d|0)!=(g|0)){f[N>>2]=k;f[N+4>>2]=l;zD(z,N,b,g,h);h=H+36|0;N=f[h>>2]|0;if(N|0?(d=N+12|0,N=f[d>>2]|0,f[d>>2]=N+-1,(N|0)==1):0)aU(H);f[h>>2]=0;N=H+16|0;f[N>>2]=0;f[N+4>>2]=0;f[N+8>>2]=0;f[N+12>>2]=0;if((f[G>>2]|0)>0){d=f[E>>2]|0;M=0;do{f[d+(M<<2)>>2]=0;M=M+1|0}while((M|0)<(f[G>>2]|0))}f[H>>2]=f[z>>2];M=z+4|0;d=f[M>>2]|0;f[G>>2]=d;L=z+8|0;f[e>>2]=f[L>>2];f[H+12>>2]=f[z+12>>2];f[N>>2]=f[z+16>>2];f[H+20>>2]=f[z+20>>2];f[H+24>>2]=f[z+24>>2];f[H+28>>2]=f[z+28>>2];f[H+32>>2]=f[z+32>>2];f[h>>2]=f[z+36>>2];h=H+44|0;N=f[h>>2]|0;if((N|0)==(q|0))T=d;else{TC(N);f[h>>2]=q;f[E>>2]=e;T=f[M>>2]|0}e=z+44|0;if((T|0)<3){T=f[e>>2]|0;f[q>>2]=f[T>>2];f[c>>2]=f[T+4>>2];f[z>>2]=1124007936;c=(T|0)==(z+48|0);n=M;m=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(m|0));if(!c)TC(T)}else{f[h>>2]=f[e>>2];h=z+40|0;f[H+40>>2]=f[h>>2];f[e>>2]=z+48;f[h>>2]=L;f[z>>2]=1124007936;n=M;m=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(m|0))}}else{f[z>>2]=l;f[z+4>>2]=k;ZT(H,2,z,b&4095)}b=f[D+40>>2]|0;k=f[b>>2]|0;f[O>>2]=f[b+4>>2];f[O+4>>2]=k;f[P>>2]=t;f[P+4>>2]=v;x2(D,B,H,O,C<<3|s,P,+p[A>>3],x);if((f[H+16>>2]|0)!=(g|0)){g=z+8|0;f[g>>2]=0;f[g+4>>2]=0;f[z>>2]=33619968;f[z+4>>2]=F;EI(H,z)}}z=H+36|0;g=f[z>>2]|0;if(g|0?(x=g+12|0,g=f[x>>2]|0,f[x>>2]=g+-1,(g|0)==1):0)aU(H);f[z>>2]=0;z=H+16|0;f[z>>2]=0;f[z+4>>2]=0;f[z+8>>2]=0;f[z+12>>2]=0;if((f[G>>2]|0)>0){z=f[E>>2]|0;E=0;do{f[z+(E<<2)>>2]=0;E=E+1|0}while((E|0)<(f[G>>2]|0))}G=f[o>>2]|0;if((G|0)!=(q|0))TC(G);G=F+36|0;q=f[G>>2]|0;if(q|0?(o=q+12|0,q=f[o>>2]|0,f[o>>2]=q+-1,(q|0)==1):0)aU(F);f[G>>2]=0;G=F+16|0;q=F+4|0;f[G>>2]=0;f[G+4>>2]=0;f[G+8>>2]=0;f[G+12>>2]=0;if((f[q>>2]|0)>0){G=f[F+40>>2]|0;o=0;do{f[G+(o<<2)>>2]=0;o=o+1|0}while((o|0)<(f[q>>2]|0))}q=f[F+44>>2]|0;if((q|0)!=(F+48|0))TC(q);q=D+36|0;F=f[q>>2]|0;if(F|0?(o=F+12|0,F=f[o>>2]|0,f[o>>2]=F+-1,(F|0)==1):0)aU(D);f[q>>2]=0;q=D+16|0;F=D+4|0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;f[q+12>>2]=0;if((f[F>>2]|0)>0){q=f[D+40>>2]|0;o=0;do{f[q+(o<<2)>>2]=0;o=o+1|0}while((o|0)<(f[F>>2]|0))}F=f[D+44>>2]|0;if((F|0)!=(D+48|0))TC(F);F=B+36|0;D=f[F>>2]|0;if(D|0?(o=D+12|0,D=f[o>>2]|0,f[o>>2]=D+-1,(D|0)==1):0)aU(B);f[F>>2]=0;F=B+16|0;D=B+4|0;f[F>>2]=0;f[F+4>>2]=0;f[F+8>>2]=0;f[F+12>>2]=0;if((f[D>>2]|0)>0){F=f[B+40>>2]|0;o=0;do{f[F+(o<<2)>>2]=0;o=o+1|0}while((o|0)<(f[D>>2]|0))}D=f[B+44>>2]|0;if((D|0)!=(B+48|0))TC(D);u=y;return}function raa(a,b,c,d,e,g,h,i,j,k,l,m,n,o,p,q,r,s,t,v,w){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;r=r|0;s=s|0;t=t|0;v=+v;w=w|0;var x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;x=u;u=u+320|0;y=x+256|0;z=x+248|0;A=x+192|0;B=x+184|0;C=x+176|0;D=x+120|0;E=x+64|0;F=x+56|0;G=x;H=x+48|0;I=x+40|0;J=x+32|0;f[z>>2]=p;f[z+4>>2]=1;zD(y,z,c,o,0);f[B>>2]=r;f[B+4>>2]=1;zD(A,B,c,q,0);f[D+8>>2]=0;f[D+12>>2]=0;f[D>>2]=16842752;f[D+4>>2]=y;f[E+8>>2]=0;f[E+12>>2]=0;f[E>>2]=16842752;f[E+4>>2]=A;f[F>>2]=s;f[F+4>>2]=t;f[G>>2]=0;f[G+4>>2]=0;f[G+8>>2]=0;f[G+12>>2]=0;f[G+16>>2]=0;f[G+20>>2]=0;f[G+24>>2]=0;f[G+28>>2]=0;i8(C,a,b,D,E,F,v,w&-17,-1,G);f[H>>2]=i;f[H+4>>2]=j;zD(D,H,a,d,e);f[I>>2]=i;f[I+4>>2]=j;zD(E,I,b,g,h);h=f[C>>2]|0;g=f[(f[h>>2]|0)+20>>2]|0;f[G>>2]=k;f[G+4>>2]=l;f[J>>2]=m;f[J+4>>2]=n;th[g&255](h,D,E,G,J);J=E+36|0;G=f[J>>2]|0;if(G|0?(h=G+12|0,G=f[h>>2]|0,f[h>>2]=G+-1,(G|0)==1):0)aU(E);f[J>>2]=0;J=E+16|0;G=E+4|0;f[J>>2]=0;f[J+4>>2]=0;f[J+8>>2]=0;f[J+12>>2]=0;if((f[G>>2]|0)>0){J=f[E+40>>2]|0;h=0;do{f[J+(h<<2)>>2]=0;h=h+1|0}while((h|0)<(f[G>>2]|0))}G=f[E+44>>2]|0;if((G|0)!=(E+48|0))TC(G);G=D+36|0;E=f[G>>2]|0;if(E|0?(h=E+12|0,E=f[h>>2]|0,f[h>>2]=E+-1,(E|0)==1):0)aU(D);f[G>>2]=0;G=D+16|0;E=D+4|0;f[G>>2]=0;f[G+4>>2]=0;f[G+8>>2]=0;f[G+12>>2]=0;if((f[E>>2]|0)>0){G=f[D+40>>2]|0;h=0;do{f[G+(h<<2)>>2]=0;h=h+1|0}while((h|0)<(f[E>>2]|0))}E=f[D+44>>2]|0;if((E|0)!=(D+48|0))TC(E);E=f[C+4>>2]|0;if(E|0)Xtc(E);E=A+36|0;C=f[E>>2]|0;if(C|0?(D=C+12|0,C=f[D>>2]|0,f[D>>2]=C+-1,(C|0)==1):0)aU(A);f[E>>2]=0;E=A+16|0;C=A+4|0;f[E>>2]=0;f[E+4>>2]=0;f[E+8>>2]=0;f[E+12>>2]=0;if((f[C>>2]|0)>0){E=f[A+40>>2]|0;D=0;do{f[E+(D<<2)>>2]=0;D=D+1|0}while((D|0)<(f[C>>2]|0))}C=f[A+44>>2]|0;if((C|0)!=(A+48|0))TC(C);C=y+36|0;A=f[C>>2]|0;if(A|0?(D=A+12|0,A=f[D>>2]|0,f[D>>2]=A+-1,(A|0)==1):0)aU(y);f[C>>2]=0;C=y+16|0;A=y+4|0;f[C>>2]=0;f[C+4>>2]=0;f[C+8>>2]=0;f[C+12>>2]=0;if((f[A>>2]|0)>0){C=f[y+40>>2]|0;D=0;do{f[C+(D<<2)>>2]=0;D=D+1|0}while((D|0)<(f[A>>2]|0))}A=f[y+44>>2]|0;if((A|0)==(y+48|0)){u=x;return}TC(A);u=x;return}function saa(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=+h;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;j=u;u=u+208|0;k=j+192|0;l=j+184|0;m=j+128|0;n=j+72|0;o=j+8|0;p=j+16|0;q=j;gV(l,53872);do if((qJ(a)|0)==65536){r=f[a+4>>2]|0;f[m>>2]=f[r>>2];s=m+4|0;t=r+4|0;f[s>>2]=f[t>>2];v=m+8|0;f[v>>2]=f[r+8>>2];f[m+12>>2]=f[r+12>>2];f[m+16>>2]=f[r+16>>2];f[m+20>>2]=f[r+20>>2];f[m+24>>2]=f[r+24>>2];f[m+28>>2]=f[r+28>>2];f[m+32>>2]=f[r+32>>2];w=f[r+36>>2]|0;f[m+36>>2]=w;f[m+40>>2]=v;v=m+48|0;x=m+44|0;f[x>>2]=v;f[v>>2]=0;f[m+52>>2]=0;if(w|0){v=w+12|0;f[v>>2]=(f[v>>2]|0)+1}if((f[t>>2]|0)<3){t=f[r+44>>2]|0;v=f[x>>2]|0;f[v>>2]=f[t>>2];f[v+4>>2]=f[t+4>>2];break}else{f[s>>2]=0;$T(m,r);break}}else nJ(m,a,-1);while(0);do if((qJ(e)|0)==65536){a=f[e+4>>2]|0;f[n>>2]=f[a>>2];r=n+4|0;s=a+4|0;f[r>>2]=f[s>>2];t=n+8|0;f[t>>2]=f[a+8>>2];f[n+12>>2]=f[a+12>>2];f[n+16>>2]=f[a+16>>2];f[n+20>>2]=f[a+20>>2];f[n+24>>2]=f[a+24>>2];f[n+28>>2]=f[a+28>>2];f[n+32>>2]=f[a+32>>2];v=f[a+36>>2]|0;f[n+36>>2]=v;f[n+40>>2]=t;t=n+48|0;x=n+44|0;f[x>>2]=t;f[t>>2]=0;f[n+52>>2]=0;if(v|0){t=v+12|0;f[t>>2]=(f[t>>2]|0)+1}if((f[s>>2]|0)<3){s=f[a+44>>2]|0;t=f[x>>2]|0;f[t>>2]=f[s>>2];f[t+4>>2]=f[s+4>>2];break}else{f[r>>2]=0;$T(n,a);break}}else nJ(n,e,-1);while(0);e=f[m>>2]|0;a=m+40|0;r=f[a>>2]|0;s=f[r>>2]|0;f[o>>2]=f[r+4>>2];f[o+4>>2]=s;IJ(c,o,e&4088|((d|0)<0?e:d)&7,-1,0,0);do if((qJ(c)|0)==65536){d=f[c+4>>2]|0;f[p>>2]=f[d>>2];e=p+4|0;o=d+4|0;f[e>>2]=f[o>>2];s=p+8|0;f[s>>2]=f[d+8>>2];f[p+12>>2]=f[d+12>>2];f[p+16>>2]=f[d+16>>2];f[p+20>>2]=f[d+20>>2];f[p+24>>2]=f[d+24>>2];f[p+28>>2]=f[d+28>>2];f[p+32>>2]=f[d+32>>2];r=f[d+36>>2]|0;f[p+36>>2]=r;f[p+40>>2]=s;s=p+48|0;t=p+44|0;f[t>>2]=s;f[s>>2]=0;f[p+52>>2]=0;if(r|0){s=r+12|0;f[s>>2]=(f[s>>2]|0)+1}if((f[o>>2]|0)<3){o=f[d+44>>2]|0;s=f[t>>2]|0;f[s>>2]=f[o>>2];f[s+4>>2]=f[o+4>>2];break}else{f[e>>2]=0;$T(p,d);break}}else nJ(p,c,-1);while(0);c=f[g>>2]|0;d=f[g+4>>2]|0;g=n+40|0;e=f[g>>2]|0;o=f[e+4>>2]|0;s=f[e>>2]|0;e=(c|0)==-1?(o|0)/2|0:c;c=(d|0)==-1?(s|0)/2|0:d;if(!((e|0)>-1&(e|0)<(o|0))){y=cuc(64)|0;f[k>>2]=y;z=k+8|0;f[z>>2]=-2147483584;A=k+4|0;f[A>>2]=52;B=y;C=358268;D=B+52|0;do{b[B>>0]=b[C>>0]|0;B=B+1|0;C=C+1|0}while((B|0)<(D|0));E=y+52|0;b[E>>0]=0;WD(-215,k,358321,358337,363)}if((c|0)<0|(c|0)>=(s|0)){y=cuc(64)|0;f[k>>2]=y;z=k+8|0;f[z>>2]=-2147483584;A=k+4|0;f[A>>2]=52;B=y;C=358268;D=B+52|0;do{b[B>>0]=b[C>>0]|0;B=B+1|0;C=C+1|0}while((B|0)<(D|0));E=y+52|0;b[E>>0]=0;WD(-215,k,358321,358337,363)}f[k>>2]=0;E=k+4|0;f[E>>2]=0;y=f[m+12>>2]|0;C=f[m+8>>2]|0;f[q>>2]=y;B=q+4|0;f[B>>2]=C;if(!(i&16)){kU(m,q,k);F=f[q>>2]|0;G=f[B>>2]|0;H=f[k>>2]|0;I=f[E>>2]|0}else{F=y;G=C;H=0;I=0}C=f[m>>2]|0;y=m+16|0;E=m+48|0;k=p+16|0;B=p+48|0;q=n+16|0;D=n+48|0;qaa(C&4095,f[p>>2]&4095,f[n>>2]&4095,f[y>>2]|0,f[E>>2]|0,f[k>>2]|0,f[B>>2]|0,f[p+12>>2]|0,f[p+8>>2]|0,F,G,H,I,f[q>>2]|0,f[D>>2]|0,f[n+12>>2]|0,f[n+8>>2]|0,e,c,h,i,(C&32768|0)!=0);C=p+36|0;i=f[C>>2]|0;if(i|0?(c=i+12|0,i=f[c>>2]|0,f[c>>2]=i+-1,(i|0)==1):0)aU(p);f[C>>2]=0;C=p+4|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;if((f[C>>2]|0)>0){k=f[p+40>>2]|0;i=0;do{f[k+(i<<2)>>2]=0;i=i+1|0}while((i|0)<(f[C>>2]|0))}C=f[p+44>>2]|0;if((C|0)!=(B|0))TC(C);C=n+36|0;B=f[C>>2]|0;if(B|0?(p=B+12|0,B=f[p>>2]|0,f[p>>2]=B+-1,(B|0)==1):0)aU(n);f[C>>2]=0;C=n+4|0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;f[q+12>>2]=0;if((f[C>>2]|0)>0){q=f[g>>2]|0;g=0;do{f[q+(g<<2)>>2]=0;g=g+1|0}while((g|0)<(f[C>>2]|0))}C=f[n+44>>2]|0;if((C|0)!=(D|0))TC(C);C=m+36|0;D=f[C>>2]|0;if(D|0?(n=D+12|0,D=f[n>>2]|0,f[n>>2]=D+-1,(D|0)==1):0)aU(m);f[C>>2]=0;C=m+4|0;f[y>>2]=0;f[y+4>>2]=0;f[y+8>>2]=0;f[y+12>>2]=0;if((f[C>>2]|0)>0){y=f[a>>2]|0;a=0;do{f[y+(a<<2)>>2]=0;a=a+1|0}while((a|0)<(f[C>>2]|0))}C=f[m+44>>2]|0;if((C|0)!=(E|0))TC(C);if(!(f[l+4>>2]|0)){u=j;return}u=j;return}
function gCa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0.0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0.0,na=0,oa=0,pa=0;c=u;u=u+176|0;d=c+160|0;e=c+152|0;g=c+148|0;h=c+72|0;i=c+56|0;j=c+40|0;k=c+24|0;l=c;m=c+144|0;n=c+140|0;o=c+136|0;q=c+132|0;r=c+128|0;s=c+124|0;t=c+120|0;v=c+116|0;w=c+112|0;x=c+108|0;y=c+104|0;z=c+100|0;A=c+96|0;B=c+92|0;C=c+88|0;D=c+84|0;E=c+80|0;F=c+68|0;G=c+52|0;H=c+36|0;I=c+20|0;J=c+16|0;K=c+12|0;L=c+8|0;gV(h,109592);M=a+4|0;N=f[M>>2]|0;O=f[N+8>>2]|0;P=f[N+12>>2]|0;N=a+16|0;Q=+p[N>>3];R=Fhc(+(O|0)*Q)|0;S=Fhc(+(P|0)*Q)|0;T=f[a+8>>2]|0;U=Y(T,f[b>>2]|0)|0;V=Y(f[b+4>>2]|0,T)|0;T=(f[a+32>>2]|0)+~P|0;P=(T|0)<(V|0)?T:V;if((P|0)>(U|0)?(V=f[a+36>>2]|0,(V|0)>(O+1|0)):0){T=V+~O|0;O=Q>2.0?1:2;f[i>>2]=0;V=i+4|0;f[V>>2]=0;f[i+8>>2]=0;f[j>>2]=0;b=j+4|0;f[b>>2]=0;f[j+8>>2]=0;f[k>>2]=0;W=k+4|0;f[W>>2]=0;f[k+8>>2]=0;X=(T|0)>0;Z=a+164|0;_=d+4|0;$=d+8|0;aa=d+12|0;ba=i+8|0;ca=a+172|0;da=a+160|0;ea=d+4|0;fa=d+8|0;ga=d+12|0;ha=j+8|0;ia=k+8|0;ja=a+168|0;ka=U;do{if(X){Q=+(ka|0);U=0;do{la=ZBa(f[M>>2]|0,U,ka,l,0)|0;if(!(f[Z>>2]|0)){if((la|0)>0){ma=+p[N>>3];na=Fhc(+(U|0)*ma)|0;oa=Fhc(Q*ma)|0;f[d>>2]=na;f[_>>2]=oa;f[$>>2]=R;f[aa>>2]=S;oa=f[V>>2]|0;if(oa>>>0<(f[ba>>2]|0)>>>0){f[oa>>2]=na;f[oa+4>>2]=f[_>>2];f[oa+8>>2]=f[$>>2];f[oa+12>>2]=f[aa>>2];na=oa+16|0;f[V>>2]=na;pa=na}else{Tza(i,d);pa=f[V>>2]|0}if(pa-(f[i>>2]|0)>>4>>>0>99?($tc(f[ca>>2]|0),na=f[da>>2]|0,f[x>>2]=f[na+4>>2],f[y>>2]=f[i>>2],f[z>>2]=f[V>>2],f[g>>2]=f[x>>2],f[e>>2]=f[y>>2],f[d>>2]=f[z>>2],eCa(na,g,e,d)|0,auc(f[ca>>2]|0),na=f[i>>2]|0,oa=f[V>>2]|0,(oa|0)!=(na|0)):0)f[V>>2]=oa+(~((oa+-16-na|0)>>>4)<<4)}}else{na=f[(f[M>>2]|0)+4>>2]|0;oa=(la|0)==1?0-na|0:la;if((oa+na|0)<4){ma=+p[N>>3];na=Fhc(+(U|0)*ma)|0;la=Fhc(Q*ma)|0;f[d>>2]=na;f[ea>>2]=la;f[fa>>2]=R;f[ga>>2]=S;la=f[V>>2]|0;if(la>>>0<(f[ba>>2]|0)>>>0){f[la>>2]=na;f[la+4>>2]=f[ea>>2];f[la+8>>2]=f[fa>>2];f[la+12>>2]=f[ga>>2];f[V>>2]=la+16}else Tza(i,d);la=0-oa|0;f[d>>2]=la;oa=f[b>>2]|0;if(oa>>>0<(f[ha>>2]|0)>>>0){f[oa>>2]=la;f[b>>2]=oa+4}else Aw(j,d);oa=f[W>>2]|0;if((oa|0)==(f[ia>>2]|0))Ks(k,l);else{p[oa>>3]=+p[l>>3];f[W>>2]=oa+8}if((f[V>>2]|0)-(f[i>>2]|0)>>4>>>0>99){$tc(f[ca>>2]|0);oa=f[da>>2]|0;f[m>>2]=f[oa+4>>2];f[n>>2]=f[i>>2];f[o>>2]=f[V>>2];f[g>>2]=f[m>>2];f[e>>2]=f[n>>2];f[d>>2]=f[o>>2];eCa(oa,g,e,d)|0;oa=f[Z>>2]|0;f[q>>2]=f[oa+4>>2];f[r>>2]=f[j>>2];f[s>>2]=f[b>>2];f[g>>2]=f[q>>2];f[e>>2]=f[r>>2];f[d>>2]=f[s>>2];Ava(oa,g,e,d)|0;oa=f[ja>>2]|0;f[t>>2]=f[oa+4>>2];f[v>>2]=f[k>>2];f[w>>2]=f[W>>2];f[g>>2]=f[t>>2];f[e>>2]=f[v>>2];f[d>>2]=f[w>>2];hCa(oa,g,e,d)|0;auc(f[ca>>2]|0);oa=f[i>>2]|0;la=f[V>>2]|0;if((la|0)!=(oa|0))f[V>>2]=la+(~((la+-16-oa|0)>>>4)<<4);oa=f[j>>2]|0;la=f[b>>2]|0;if((la|0)!=(oa|0))f[b>>2]=la+(~((la+-4-oa|0)>>>2)<<2);oa=f[k>>2]|0;la=f[W>>2]|0;if((la|0)!=(oa|0))f[W>>2]=la+(~((la+-8-oa|0)>>>3)<<3)}}}U=U+O|0}while((U|0)<(T|0))}ka=ka+O|0}while((ka|0)<(P|0));if((f[b>>2]|0)==(f[j>>2]|0)){if((f[V>>2]|0)!=(f[i>>2]|0)){P=a+172|0;$tc(f[P>>2]|0);ka=f[a+160>>2]|0;f[J>>2]=f[ka+4>>2];f[K>>2]=f[i>>2];f[L>>2]=f[V>>2];f[g>>2]=f[J>>2];f[e>>2]=f[K>>2];f[d>>2]=f[L>>2];eCa(ka,g,e,d)|0;auc(f[P>>2]|0)}}else{P=a+172|0;$tc(f[P>>2]|0);ka=f[a+160>>2]|0;f[A>>2]=f[ka+4>>2];f[B>>2]=f[i>>2];f[C>>2]=f[V>>2];f[g>>2]=f[A>>2];f[e>>2]=f[B>>2];f[d>>2]=f[C>>2];eCa(ka,g,e,d)|0;ka=f[a+164>>2]|0;f[D>>2]=f[ka+4>>2];f[E>>2]=f[j>>2];f[F>>2]=f[b>>2];f[g>>2]=f[D>>2];f[e>>2]=f[E>>2];f[d>>2]=f[F>>2];Ava(ka,g,e,d)|0;ka=f[a+168>>2]|0;f[G>>2]=f[ka+4>>2];f[H>>2]=f[k>>2];f[I>>2]=f[W>>2];f[g>>2]=f[G>>2];f[e>>2]=f[H>>2];f[d>>2]=f[I>>2];hCa(ka,g,e,d)|0;auc(f[P>>2]|0)}P=f[k>>2]|0;if(P|0){k=f[W>>2]|0;if((k|0)!=(P|0))f[W>>2]=k+(~((k+-8-P|0)>>>3)<<3);fuc(P)}P=f[j>>2]|0;if(P|0){j=f[b>>2]|0;if((j|0)!=(P|0))f[b>>2]=j+(~((j+-4-P|0)>>>2)<<2);fuc(P)}P=f[i>>2]|0;if(P|0){i=f[V>>2]|0;if((i|0)!=(P|0))f[V>>2]=i+(~((i+-16-P|0)>>>4)<<4);fuc(P)}}if(!(f[h+4>>2]|0)){u=c;return}u=c;return}function hCa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;e=f[a>>2]|0;g=e;h=(f[b>>2]|0)-g|0;b=e+(h>>3<<3)|0;i=f[c>>2]|0;j=f[d>>2]|0;d=j-i|0;k=d>>3;l=j;if((d|0)<=0){m=b;return m|0}d=a+8|0;n=f[d>>2]|0;o=a+4|0;q=f[o>>2]|0;r=q;if((k|0)<=(n-r>>3|0)){s=b;t=r-s|0;u=t>>3;if((k|0)>(u|0)){v=i+(u<<3)|0;u=v;if((v|0)==(l|0))w=q;else{x=l+-8-u|0;y=v;v=q;while(1){p[v>>3]=+p[y>>3];y=y+8|0;if((y|0)==(l|0))break;else v=v+8|0}v=q+((x>>>3)+1<<3)|0;f[o>>2]=v;w=v}if((t|0)>0){z=u;A=w}else{m=b;return m|0}}else{z=j;A=q}j=A-(b+(k<<3))|0;w=j>>3;u=b+(w<<3)|0;if(u>>>0<q>>>0){t=(q+(0-w<<3)+~s|0)>>>3;s=u;u=A;while(1){p[u>>3]=+p[s>>3];s=s+8|0;if(s>>>0>=q>>>0)break;else u=u+8|0}f[o>>2]=A+(t+1<<3)}if(!w)B=i;else{uzc(A+(0-w<<3)|0,b|0,j|0)|0;B=f[c>>2]|0}c=z-B|0;if(!c){m=b;return m|0}uzc(b|0,B|0,c|0)|0;m=b;return m|0}c=(r-g>>3)+k|0;if(c>>>0>536870911)nsc(a);k=n-g|0;g=k>>2;n=k>>3>>>0<268435455?(g>>>0<c>>>0?c:g):536870911;g=b;c=h>>3;do if(n)if(n>>>0>536870911){k=ze(8)|0;kuc(k,519086);f[k>>2]=167148;Hf(k|0,26888,1888)}else{C=cuc(n<<3)|0;break}else C=0;while(0);k=C+(c<<3)|0;B=C+(n<<3)|0;n=i;if((n|0)==(l|0))D=k;else{C=((l+-8-i|0)>>>3)+1|0;i=n;n=k;while(1){p[n>>3]=+p[i>>3];i=i+8|0;if((i|0)==(l|0))break;else n=n+8|0}D=k+(C<<3)|0}C=k+(0-c<<3)|0;if((h|0)>0)szc(C|0,e|0,h|0)|0;h=r-g|0;if((h|0)>0){szc(D|0,b|0,h|0)|0;E=D+(h>>>3<<3)|0}else E=D;f[a>>2]=C;f[o>>2]=E;f[d>>2]=B;if(!e){m=k;return m|0}fuc(e);m=k;return m|0}function iCa(a){a=a|0;Qtc(a);fuc(a);return}function jCa(a){a=a|0;var b=0;b=a+12|0;b_(b,f[b>>2]|0);return}function kCa(a,b){a=a|0;b=b|0;return ((f[b+4>>2]|0)==384640?a+12|0:0)|0}function lCa(a){a=a|0;fuc(a);return}function mCa(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,N=0,Q=0,R=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0.0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0,qc=0,rc=0,sc=0,tc=0,uc=0,vc=0,wc=0,xc=0,yc=0,zc=0,Ac=0,Bc=0,Cc=0,Dc=0,Ec=0,Fc=0.0,Gc=0,Hc=0,Ic=0,Jc=0,Kc=0,Lc=0,Mc=0,Nc=0,Oc=0,Pc=0,Qc=0,Rc=0,Sc=0,Tc=0,Uc=0,Vc=0,Wc=0,Xc=0,Yc=0,Zc=0,_c=0,$c=0,ad=0,bd=0,cd=0,dd=0,ed=0,fd=0,gd=0,hd=0,id=0,jd=0,kd=0,ld=0,md=0,nd=0,od=0,pd=0,qd=0,rd=0,sd=0,td=0,ud=0,vd=0,wd=0,xd=0,yd=0,zd=0,Ad=0,Bd=0,Cd=0,Dd=0,Ed=0,Fd=0,Gd=0,Hd=0,Id=0,Jd=0,Kd=0,Ld=0,Md=0,Nd=0,Od=0,Pd=0,Qd=0,Rd=0,Sd=0,Td=0,Ud=0,Vd=0,Wd=0,Xd=0,Yd=0,Zd=0,_d=0,$d=0,ae=0,be=0,ce=0,de=0,ee=0,fe=0,ge=0,he=0,ie=0,je=0,ke=0,le=0,me=0,ne=0,oe=0,pe=0,qe=0,re=0,se=0,te=0,ue=0,ve=0,we=0,xe=0,ye=0,ze=0,Ae=0,Be=0,Ce=0,De=0,Ee=0,Fe=0,Ge=0,He=0,Ie=0,Je=0,Ke=0,Le=0,Me=0,Ne=0,Oe=0,Pe=0,Qe=0,Re=0,Se=0,Te=0,Ue=0,Ve=0,We=0,Xe=0,Ye=0,Ze=0,_e=0,$e=0,af=0,bf=0,cf=0,df=0,ef=0,ff=0,gf=0,hf=0,jf=0,kf=0,lf=0,mf=0,nf=0,of=0,pf=0,qf=0,rf=0,sf=0,tf=0,uf=0,vf=0,wf=0,xf=0,yf=0,zf=0,Af=0,Bf=0,Cf=0,Df=0,Ef=0,Ff=0,Gf=0,Hf=0,If=0,Jf=0,Kf=0,Lf=0,Mf=0,Nf=0,Of=0,Pf=0,Qf=0,Rf=0,Sf=0,Tf=0,Uf=0,Vf=0,Wf=0,Xf=0,Yf=0,Zf=0,_f=0,$f=0,ag=0,bg=0,cg=0,dg=0,eg=0,fg=0,gg=0,hg=0,ig=0,jg=0,kg=0,lg=0,mg=0,ng=0,og=0,pg=0,qg=0,rg=0,sg=0,tg=0,ug=0,vg=0,wg=0,xg=0,yg=0,zg=0,Ag=0,Bg=0,Cg=0,Dg=0,Eg=0,Fg=0,Gg=0,Hg=0,Ig=0,Jg=0,Kg=0,Lg=0,Mg=0,Ng=0,Og=0,Pg=0,Qg=0,Rg=0,Sg=0,Tg=0,Ug=0,Vg=0,Wg=0,Xg=0,Yg=0,Zg=0,_g=0,$g=0,ah=0,bh=0,ch=0,dh=0,eh=0,fh=0,gh=0,hh=0,ih=0,jh=0,kh=0,lh=0,mh=0,nh=0,oh=0,ph=0,qh=0,rh=0,th=0,uh=0,vh=0,wh=0,xh=0,yh=0,zh=0,Ah=0,Bh=0,Ch=0,Dh=0,Eh=0,Fh=0,Gh=0,Hh=0,Ih=0,Jh=0,Kh=0,Lh=0,Mh=0,Nh=0,Oh=0,Ph=0,Qh=0,Rh=0,Sh=0,Th=0,Uh=0,Vh=0,Wh=0,Xh=0,Yh=0,Zh=0,_h=0,$h=0,ai=0,bi=0,ci=0,di=0,ei=0,fi=0,gi=0,hi=0,ii=0,ji=0,ki=0,li=0,mi=0,ni=0,oi=0,pi=0,qi=0,ri=0,si=0,ti=0,ui=0,vi=0,wi=0,xi=0,yi=0,zi=0,Ai=0,Bi=0,Ci=0,Di=0,Ei=0,Fi=0,Gi=0,Hi=0,Ii=0,Ji=0,Ki=0,Li=0,Mi=0,Ni=0,Oi=0,Pi=0,Qi=0,Ri=0,Si=0,Ti=0,Ui=0,Vi=0,Wi=0,Yi=0,Zi=0,_i=0,$i=0,aj=0,bj=0,cj=0,dj=0,ej=0,fj=0,gj=0,hj=0,ij=0,jj=0,kj=0,lj=0,mj=0,nj=0,oj=0,pj=0,qj=0,rj=0,sj=0,tj=0,uj=0,vj=0,wj=0,xj=0,yj=0,zj=0,Aj=0,Bj=0,Cj=0,Dj=0,Ej=0,Fj=0,Gj=0,Hj=0,Ij=0,Jj=0,Kj=0,Lj=0,Mj=0,Nj=0,Oj=0,Pj=0,Qj=0,Rj=0,Sj=0,Tj=0,Uj=0,Vj=0,Wj=0,Xj=0,Yj=0,Zj=0,_j=0,$j=0,ak=0,bk=0,ck=0,dk=0,ek=0,fk=0,gk=0,hk=0,ik=0,jk=0,kk=0,lk=0,mk=0,nk=0,ok=0,pk=0,qk=0,rk=0,sk=0,tk=0,uk=0,vk=0,wk=0,xk=0,yk=0,zk=0,Ak=0,Bk=0,Ck=0,Dk=0,Ek=0,Fk=0,Gk=0,Hk=0,Ik=0,Jk=0,Kk=0,Lk=0,Mk=0,Nk=0,Ok=0,Pk=0,Qk=0,Rk=0,Sk=0,Tk=0,Uk=0,Vk=0,Wk=0,Xk=0,Yk=0,Zk=0,_k=0.0,$k=0,al=0.0,bl=0,cl=0,dl=0.0,el=0.0,fl=0.0,gl=0.0,hl=0,il=0,jl=0,kl=0,ll=0,ml=0.0,nl=0.0,ol=0.0,pl=0.0,ql=0.0;i=u;u=u+5568|0;j=i+3264|0;k=i+3040|0;l=i+2816|0;m=i+2592|0;o=i+2144|0;q=i+1920|0;r=i+1472|0;t=i+1248|0;v=i+1024|0;w=i+800|0;x=i+576|0;y=i+352|0;z=i+5408|0;A=i+5352|0;B=i+128|0;C=i+5296|0;D=i+5240|0;E=i+5184|0;F=i+5128|0;G=i+5072|0;H=i+5016|0;I=i+4960|0;J=i+4904|0;K=i+4848|0;N=i+4792|0;Q=i+4736|0;R=i+4680|0;T=i+4624|0;U=i+4568|0;V=i+4512|0;W=i+4456|0;X=i+4400|0;Z=i+4344|0;_=i+4288|0;$=i+5560|0;aa=i+4232|0;ba=i+5552|0;ca=i+5544|0;da=i+4176|0;ea=i+2368|0;fa=i+4120|0;ga=i+1696|0;ha=i+4064|0;ia=i+4008|0;ja=i+3992|0;ka=i+5536|0;la=i+5528|0;ma=i+3936|0;na=i+3880|0;oa=i+3824|0;pa=i+3768|0;qa=i+3712|0;ra=i+3656|0;sa=i+3600|0;ta=i+3544|0;ua=i+3488|0;va=i+5520|0;wa=i+5512|0;xa=i+5504|0;ya=i+5496|0;za=i+5488|0;Aa=i+5480|0;Ba=i+5472|0;Ca=i+5464|0;Da=i+96|0;Ea=i+64|0;Fa=i+32|0;Ga=i;do if((qJ(a)|0)==65536){Ha=f[a+4>>2]|0;f[H>>2]=f[Ha>>2];Ia=H+4|0;Ja=Ha+4|0;f[Ia>>2]=f[Ja>>2];Ka=H+8|0;f[Ka>>2]=f[Ha+8>>2];f[H+12>>2]=f[Ha+12>>2];f[H+16>>2]=f[Ha+16>>2];f[H+20>>2]=f[Ha+20>>2];f[H+24>>2]=f[Ha+24>>2];f[H+28>>2]=f[Ha+28>>2];f[H+32>>2]=f[Ha+32>>2];La=f[Ha+36>>2]|0;f[H+36>>2]=La;f[H+40>>2]=Ka;Ka=H+48|0;Ma=H+44|0;f[Ma>>2]=Ka;f[Ka>>2]=0;f[H+52>>2]=0;if(La|0){Ka=La+12|0;f[Ka>>2]=(f[Ka>>2]|0)+1}if((f[Ja>>2]|0)<3){Ja=f[Ha+44>>2]|0;Ka=f[Ma>>2]|0;f[Ka>>2]=f[Ja>>2];f[Ka+4>>2]=f[Ja+4>>2];break}else{f[Ia>>2]=0;$T(H,Ha);break}}else nJ(H,a,-1);while(0);do if((qJ(c)|0)==65536){a=f[c+4>>2]|0;f[I>>2]=f[a>>2];Ha=I+4|0;Ia=a+4|0;f[Ha>>2]=f[Ia>>2];Ja=I+8|0;f[Ja>>2]=f[a+8>>2];f[I+12>>2]=f[a+12>>2];f[I+16>>2]=f[a+16>>2];f[I+20>>2]=f[a+20>>2];f[I+24>>2]=f[a+24>>2];f[I+28>>2]=f[a+28>>2];f[I+32>>2]=f[a+32>>2];Ka=f[a+36>>2]|0;f[I+36>>2]=Ka;f[I+40>>2]=Ja;Ja=I+48|0;Ma=I+44|0;f[Ma>>2]=Ja;f[Ja>>2]=0;f[I+52>>2]=0;if(Ka|0){Ja=Ka+12|0;f[Ja>>2]=(f[Ja>>2]|0)+1}if((f[Ia>>2]|0)<3){Ia=f[a+44>>2]|0;Ja=f[Ma>>2]|0;f[Ja>>2]=f[Ia>>2];f[Ja+4>>2]=f[Ia+4>>2];break}else{f[Ha>>2]=0;$T(I,a);break}}else nJ(I,c,-1);while(0);do if((qJ(d)|0)==65536){c=f[d+4>>2]|0;f[J>>2]=f[c>>2];a=J+4|0;Ha=c+4|0;f[a>>2]=f[Ha>>2];Ia=J+8|0;f[Ia>>2]=f[c+8>>2];f[J+12>>2]=f[c+12>>2];f[J+16>>2]=f[c+16>>2];f[J+20>>2]=f[c+20>>2];f[J+24>>2]=f[c+24>>2];f[J+28>>2]=f[c+28>>2];f[J+32>>2]=f[c+32>>2];Ja=f[c+36>>2]|0;f[J+36>>2]=Ja;f[J+40>>2]=Ia;Ia=J+48|0;Ma=J+44|0;f[Ma>>2]=Ia;f[Ia>>2]=0;f[J+52>>2]=0;if(Ja|0){Ia=Ja+12|0;f[Ia>>2]=(f[Ia>>2]|0)+1}if((f[Ha>>2]|0)<3){Ha=f[c+44>>2]|0;Ia=f[Ma>>2]|0;f[Ia>>2]=f[Ha>>2];f[Ia+4>>2]=f[Ha+4>>2];break}else{f[a>>2]=0;$T(J,c);break}}else nJ(J,d,-1);while(0);c=H+16|0;if(!(f[c>>2]|0)){f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;Na=cuc(16)|0;f[j>>2]=Na;Oa=j+8|0;f[Oa>>2]=-2147483632;Pa=j+4|0;f[Pa>>2]=12;Qa=Na;Ra=384929;Sa=Qa+12|0;do{b[Qa>>0]=b[Ra>>0]|0;Qa=Qa+1|0;Ra=Ra+1|0}while((Qa|0)<(Sa|0));Ta=Na+12|0;b[Ta>>0]=0;WD(-215,j,384942,384959,325)}a=H+4|0;Ha=f[a>>2]|0;if((Ha|0)<3)Ua=Y(f[H+12>>2]|0,f[H+8>>2]|0)|0;else{Ia=f[H+40>>2]|0;Ma=0;Ja=1;while(1){Ka=Y(f[Ia+(Ma<<2)>>2]|0,Ja)|0;Ma=Ma+1|0;if((Ma|0)==(Ha|0)){Ua=Ka;break}else Ja=Ka}}if((Ha|0)==0|(Ua|0)==0){f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;Na=cuc(16)|0;f[j>>2]=Na;Oa=j+8|0;f[Oa>>2]=-2147483632;Pa=j+4|0;f[Pa>>2]=12;Qa=Na;Ra=384929;Sa=Qa+12|0;do{b[Qa>>0]=b[Ra>>0]|0;Qa=Qa+1|0;Ra=Ra+1|0}while((Qa|0)<(Sa|0));Ta=Na+12|0;b[Ta>>0]=0;WD(-215,j,384942,384959,325)}Ta=I+16|0;if(!(f[Ta>>2]|0)){f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;Va=cuc(16)|0;f[j>>2]=Va;Wa=j+8|0;f[Wa>>2]=-2147483632;Xa=j+4|0;f[Xa>>2]=12;Qa=Va;Ra=385025;Sa=Qa+12|0;do{b[Qa>>0]=b[Ra>>0]|0;Qa=Qa+1|0;Ra=Ra+1|0}while((Qa|0)<(Sa|0));Ya=Va+12|0;b[Ya>>0]=0;WD(-215,j,384942,384959,326)}Na=I+4|0;Pa=f[Na>>2]|0;if((Pa|0)<3)Za=Y(f[I+12>>2]|0,f[I+8>>2]|0)|0;else{Oa=f[I+40>>2]|0;Ua=0;Ha=1;while(1){Ja=Y(f[Oa+(Ua<<2)>>2]|0,Ha)|0;Ua=Ua+1|0;if((Ua|0)==(Pa|0)){Za=Ja;break}else Ha=Ja}}if((Pa|0)==0|(Za|0)==0){f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;Va=cuc(16)|0;f[j>>2]=Va;Wa=j+8|0;f[Wa>>2]=-2147483632;Xa=j+4|0;f[Xa>>2]=12;Qa=Va;Ra=385025;Sa=Qa+12|0;do{b[Qa>>0]=b[Ra>>0]|0;Qa=Qa+1|0;Ra=Ra+1|0}while((Qa|0)<(Sa|0));Ya=Va+12|0;b[Ya>>0]=0;WD(-215,j,384942,384959,326)}Ya=J+16|0;if(f[Ya>>2]|0){Va=f[J+4>>2]|0;if((Va|0)<3)_a=Y(f[J+12>>2]|0,f[J+8>>2]|0)|0;else{Xa=f[J+40>>2]|0;Wa=0;Za=1;while(1){Pa=Y(f[Xa+(Wa<<2)>>2]|0,Za)|0;Wa=Wa+1|0;if((Wa|0)==(Va|0)){_a=Pa;break}else Za=Pa}}if((Va|0)==0|(_a|0)==0)$a=42}else $a=42;if(($a|0)==42){_a=(e|0)==3?3:2;jK(d,_a,3,5,-1,0,0);do if((qJ(d)|0)==65536){Va=f[d+4>>2]|0;f[j>>2]=f[Va>>2];Za=j+4|0;Wa=Va+4|0;f[Za>>2]=f[Wa>>2];Xa=j+8|0;f[Xa>>2]=f[Va+8>>2];f[j+12>>2]=f[Va+12>>2];f[j+16>>2]=f[Va+16>>2];f[j+20>>2]=f[Va+20>>2];f[j+24>>2]=f[Va+24>>2];f[j+28>>2]=f[Va+28>>2];f[j+32>>2]=f[Va+32>>2];Pa=f[Va+36>>2]|0;f[j+36>>2]=Pa;f[j+40>>2]=Xa;Xa=j+48|0;Ha=j+44|0;f[Ha>>2]=Xa;f[Xa>>2]=0;f[j+52>>2]=0;if(Pa|0){Xa=Pa+12|0;f[Xa>>2]=(f[Xa>>2]|0)+1}if((f[Wa>>2]|0)<3){Wa=f[Va+44>>2]|0;Xa=f[Ha>>2]|0;f[Xa>>2]=f[Wa>>2];f[Xa+4>>2]=f[Wa+4>>2];break}else{f[Za>>2]=0;$T(j,Va);break}}else nJ(j,d,-1);while(0);d=J+36|0;Va=f[d>>2]|0;if(Va|0?(Za=Va+12|0,Va=f[Za>>2]|0,f[Za>>2]=Va+-1,(Va|0)==1):0)aU(J);f[d>>2]=0;Va=J+4|0;f[Ya>>2]=0;f[Ya+4>>2]=0;f[Ya+8>>2]=0;f[Ya+12>>2]=0;if((f[Va>>2]|0)>0){Za=f[J+40>>2]|0;Wa=0;do{f[Za+(Wa<<2)>>2]=0;Wa=Wa+1|0}while((Wa|0)<(f[Va>>2]|0))}f[J>>2]=f[j>>2];Wa=j+4|0;Za=f[Wa>>2]|0;f[Va>>2]=Za;Va=j+8|0;Xa=J+8|0;f[Xa>>2]=f[Va>>2];f[J+12>>2]=f[j+12>>2];Ha=j+16|0;f[Ya>>2]=f[Ha>>2];f[J+20>>2]=f[j+20>>2];f[J+24>>2]=f[j+24>>2];f[J+28>>2]=f[j+28>>2];f[J+32>>2]=f[j+32>>2];Pa=j+36|0;f[d>>2]=f[Pa>>2];d=J+44|0;Ua=f[d>>2]|0;Oa=J+48|0;if((Ua|0)==(Oa|0))ab=Za;else{TC(Ua);f[d>>2]=Oa;f[J+40>>2]=Xa;ab=f[Wa>>2]|0}Xa=j+44|0;if((ab|0)<3){ab=f[Xa>>2]|0;f[Oa>>2]=f[ab>>2];f[J+52>>2]=f[ab+4>>2];bb=ab}else{f[d>>2]=f[Xa>>2];d=j+40|0;f[J+40>>2]=f[d>>2];ab=j+48|0;f[Xa>>2]=ab;f[d>>2]=Va;bb=ab}f[j>>2]=1124007936;f[Wa>>2]=0;f[Wa+4>>2]=0;f[Wa+8>>2]=0;f[Wa+12>>2]=0;f[Wa+16>>2]=0;f[Wa+20>>2]=0;f[Wa+24>>2]=0;f[Wa+28>>2]=0;f[Pa>>2]=0;f[Ha>>2]=0;f[Ha+4>>2]=0;f[Ha+8>>2]=0;f[Ha+12>>2]=0;if((bb|0)!=(j+48|0))TC(bb);BT(j,_a,3,5);_a=f[j>>2]|0;sh[f[(f[_a>>2]|0)+12>>2]&255](_a,j,J,-1);Xi(j)}_a=f[H>>2]|0;if((f[I>>2]^_a)&4095|0){f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;bb=cuc(48)|0;f[j>>2]=bb;f[j+8>>2]=-2147483600;f[j+4>>2]=46;Qa=bb;Ra=385038;Sa=Qa+46|0;do{b[Qa>>0]=b[Ra>>0]|0;Qa=Qa+1|0;Ra=Ra+1|0}while((Qa|0)<(Sa|0));b[bb+46>>0]=0;WD(-205,j,384942,384959,340)}switch(_a&4095){case 5:case 0:break;default:{f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;_a=cuc(48)|0;f[j>>2]=_a;f[j+8>>2]=-2147483600;f[j+4>>2]=35;Qa=_a;Ra=385085;Sa=Qa+35|0;do{b[Qa>>0]=b[Ra>>0]|0;Qa=Qa+1|0;Ra=Ra+1|0}while((Qa|0)<(Sa|0));b[_a+35>>0]=0;WD(-210,j,384942,384959,344)}}if((f[J>>2]&4095|0)!=5){f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;_a=cuc(64)|0;f[j>>2]=_a;f[j+8>>2]=-2147483584;f[j+4>>2]=55;Qa=_a;Ra=385121;Sa=Qa+55|0;do{b[Qa>>0]=b[Ra>>0]|0;Qa=Qa+1|0;Ra=Ra+1|0}while((Qa|0)<(Sa|0));b[_a+55>>0]=0;WD(-210,j,384942,384959,347)}if((f[J+12>>2]|0)!=3){f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;_a=cuc(16)|0;f[j>>2]=_a;f[j+8>>2]=-2147483632;f[j+4>>2]=13;Qa=_a;Ra=385177;Sa=Qa+13|0;do{b[Qa>>0]=b[Ra>>0]|0;Qa=Qa+1|0;Ra=Ra+1|0}while((Qa|0)<(Sa|0));b[_a+13>>0]=0;WD(-215,j,384942,384959,349)}_a=J+8|0;bb=f[_a>>2]|0;if((bb&-2|0)!=2){f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;Ha=cuc(32)|0;f[j>>2]=Ha;f[j+8>>2]=-2147483616;f[j+4>>2]=29;Qa=Ha;Ra=385191;Sa=Qa+29|0;do{b[Qa>>0]=b[Ra>>0]|0;Qa=Qa+1|0;Ra=Ra+1|0}while((Qa|0)<(Sa|0));b[Ha+29>>0]=0;WD(-215,j,384942,384959,350)}switch(e|0){case 3:{$a=75;break}case 2:case 1:case 0:break;default:{f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;Ha=cuc(144)|0;f[j>>2]=Ha;f[j+8>>2]=-2147483504;f[j+4>>2]=132;szc(Ha|0,385221,132)|0;b[Ha+132>>0]=0;WD(-215,j,384942,384959,353)}}if(($a|0)==75?(bb|0)!=3:0){f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;bb=cuc(16)|0;f[j>>2]=bb;f[j+8>>2]=-2147483632;f[j+4>>2]=12;Qa=bb;Ra=385354;Sa=Qa+12|0;do{b[Qa>>0]=b[Ra>>0]|0;Qa=Qa+1|0;Ra=Ra+1|0}while((Qa|0)<(Sa|0));b[bb+12>>0]=0;WD(-215,j,384942,384959,356)}bb=f[g>>2]|0;Ha=(bb&1|0)!=0;Pa=(bb&2|0)==0;if(Pa&(Ha^1)){f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;bb=cuc(80)|0;f[j>>2]=bb;f[j+8>>2]=-2147483568;f[j+4>>2]=72;Qa=bb;Ra=385367;Sa=Qa+72|0;do{b[Qa>>0]=b[Ra>>0]|0;Qa=Qa+1|0;Ra=Ra+1|0}while((Qa|0)<(Sa|0));b[bb+72>>0]=0;WD(-215,j,384942,384959,359)}if(Ha)cb=f[g+4>>2]|0;else cb=200;if(Pa)db=-1.0;else db=+p[g+8>>3];switch(e|0){case 0:{eb=2;break}case 1:{eb=3;break}case 3:{eb=8;break}default:eb=6}g=f[H+12>>2]|0;Pa=f[H+8>>2]|0;Ha=f[I+12>>2]|0;bb=f[I+8>>2]|0;f[K>>2]=1124007936;Wa=K+4|0;ab=K+8|0;Va=K+40|0;Qa=Wa;Sa=Qa+36|0;do{f[Qa>>2]=0;Qa=Qa+4|0}while((Qa|0)<(Sa|0));f[Va>>2]=ab;ab=K+48|0;d=K+44|0;f[d>>2]=ab;f[ab>>2]=0;f[K+52>>2]=0;f[j>>2]=1;Xa=j+4|0;f[Xa>>2]=g;ZT(K,2,j,5);f[N>>2]=1124007936;Oa=N+4|0;Ua=N+8|0;Za=N+40|0;Qa=Oa;Sa=Qa+36|0;do{f[Qa>>2]=0;Qa=Qa+4|0}while((Qa|0)<(Sa|0));f[Za>>2]=Ua;Ua=N+48|0;Ja=N+44|0;f[Ja>>2]=Ua;f[Ua>>2]=0;f[N+52>>2]=0;f[j>>2]=Pa;f[Xa>>2]=1;ZT(N,2,j,5);f[Q>>2]=1124007936;Ma=Q+4|0;Ia=Q+8|0;Ka=Q+40|0;Qa=Ma;Sa=Qa+36|0;do{f[Qa>>2]=0;Qa=Qa+4|0}while((Qa|0)<(Sa|0));f[Ka>>2]=Ia;Ia=Q+48|0;La=Q+44|0;f[La>>2]=Ia;f[Ia>>2]=0;f[Q+52>>2]=0;f[j>>2]=Pa;f[Xa>>2]=g;ZT(Q,2,j,5);f[R>>2]=1124007936;fb=R+4|0;gb=R+8|0;hb=R+40|0;Qa=fb;Sa=Qa+36|0;do{f[Qa>>2]=0;Qa=Qa+4|0}while((Qa|0)<(Sa|0));f[hb>>2]=gb;gb=R+48|0;ib=R+44|0;f[ib>>2]=gb;f[gb>>2]=0;f[R+52>>2]=0;f[j>>2]=Pa;f[Xa>>2]=g;ZT(R,2,j,5);jb=K+16|0;kb=f[jb>>2]|0;lb=N+16|0;mb=f[lb>>2]|0;if((g|0)>0){nb=0;do{n[kb+(nb<<2)>>2]=+(nb|0);nb=nb+1|0}while((nb|0)!=(g|0))}if((Pa|0)>0){nb=0;do{n[mb+(nb<<2)>>2]=+(nb|0);nb=nb+1|0}while((nb|0)!=(Pa|0))}f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=K;nb=k+8|0;f[nb>>2]=0;f[nb+4>>2]=0;f[k>>2]=33619968;f[k+4>>2]=Q;KI(j,Pa,1,k);f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=N;nb=k+8|0;f[nb>>2]=0;f[nb+4>>2]=0;f[k>>2]=33619968;f[k+4>>2]=R;KI(j,1,g,k);nb=K+36|0;mb=f[nb>>2]|0;do if(mb|0){kb=mb+12|0;ob=f[kb>>2]|0;f[kb>>2]=ob+-1;if((ob|0)!=1)break;aU(K)}while(0);f[nb>>2]=0;f[jb>>2]=0;f[jb+4>>2]=0;f[jb+8>>2]=0;f[jb+12>>2]=0;if((f[Wa>>2]|0)>0){mb=f[Va>>2]|0;ob=0;do{f[mb+(ob<<2)>>2]=0;ob=ob+1|0}while((ob|0)<(f[Wa>>2]|0))}ob=N+36|0;mb=f[ob>>2]|0;do if(mb|0){kb=mb+12|0;pb=f[kb>>2]|0;f[kb>>2]=pb+-1;if((pb|0)!=1)break;aU(N)}while(0);f[ob>>2]=0;f[lb>>2]=0;f[lb+4>>2]=0;f[lb+8>>2]=0;f[lb+12>>2]=0;if((f[Oa>>2]|0)>0){mb=f[Za>>2]|0;pb=0;do{f[mb+(pb<<2)>>2]=0;pb=pb+1|0}while((pb|0)<(f[Oa>>2]|0))}f[T>>2]=1124007936;pb=T+4|0;mb=T+8|0;kb=T+40|0;Qa=pb;Sa=Qa+36|0;do{f[Qa>>2]=0;Qa=Qa+4|0}while((Qa|0)<(Sa|0));f[kb>>2]=mb;qb=T+48|0;rb=T+44|0;f[rb>>2]=qb;f[qb>>2]=0;f[T+52>>2]=0;f[j>>2]=Pa;f[Xa>>2]=g;ZT(T,2,j,5);f[U>>2]=1124007936;sb=U+4|0;tb=U+8|0;ub=U+40|0;Qa=sb;Sa=Qa+36|0;do{f[Qa>>2]=0;Qa=Qa+4|0}while((Qa|0)<(Sa|0));f[ub>>2]=tb;tb=U+48|0;vb=U+44|0;f[vb>>2]=tb;f[tb>>2]=0;f[U+52>>2]=0;f[j>>2]=Pa;f[Xa>>2]=g;ZT(U,2,j,5);f[V>>2]=1124007936;wb=V+4|0;xb=V+8|0;yb=V+40|0;Qa=wb;Sa=Qa+36|0;do{f[Qa>>2]=0;Qa=Qa+4|0}while((Qa|0)<(Sa|0));f[yb>>2]=xb;xb=V+48|0;zb=V+44|0;f[zb>>2]=xb;f[xb>>2]=0;f[V+52>>2]=0;f[j>>2]=bb;f[Xa>>2]=Ha;ZT(V,2,j,5);f[W>>2]=1124007936;Ab=W+4|0;Bb=W+8|0;Cb=W+40|0;Qa=Ab;Sa=Qa+36|0;do{f[Qa>>2]=0;Qa=Qa+4|0}while((Qa|0)<(Sa|0));f[Cb>>2]=Bb;Bb=W+48|0;Db=W+44|0;f[Db>>2]=Bb;f[Bb>>2]=0;f[W+52>>2]=0;f[j>>2]=Pa;f[Xa>>2]=g;ZT(W,2,j,5);f[X>>2]=1124007936;Eb=X+4|0;Fb=X+8|0;Gb=X+40|0;Qa=Eb;Sa=Qa+36|0;do{f[Qa>>2]=0;Qa=Qa+4|0}while((Qa|0)<(Sa|0));f[Gb>>2]=Fb;Fb=X+48|0;Hb=X+44|0;f[Hb>>2]=Fb;f[Fb>>2]=0;f[X+52>>2]=0;f[j>>2]=Pa;f[Xa>>2]=g;ZT(X,2,j,0);do if((qJ(h)|0)==65536){Ib=f[h+4>>2]|0;f[Z>>2]=f[Ib>>2];Jb=Z+4|0;Kb=Ib+4|0;f[Jb>>2]=f[Kb>>2];Lb=Z+8|0;f[Lb>>2]=f[Ib+8>>2];f[Z+12>>2]=f[Ib+12>>2];f[Z+16>>2]=f[Ib+16>>2];f[Z+20>>2]=f[Ib+20>>2];f[Z+24>>2]=f[Ib+24>>2];f[Z+28>>2]=f[Ib+28>>2];f[Z+32>>2]=f[Ib+32>>2];Mb=f[Ib+36>>2]|0;f[Z+36>>2]=Mb;f[Z+40>>2]=Lb;Lb=Z+48|0;Nb=Z+44|0;f[Nb>>2]=Lb;f[Lb>>2]=0;f[Z+52>>2]=0;if(Mb|0){Lb=Mb+12|0;f[Lb>>2]=(f[Lb>>2]|0)+1}if((f[Kb>>2]|0)<3){Kb=f[Ib+44>>2]|0;Lb=f[Nb>>2]|0;f[Lb>>2]=f[Kb>>2];f[Lb+4>>2]=f[Kb+4>>2];break}else{f[Jb>>2]=0;$T(Z,Ib);break}}else nJ(Z,h,-1);while(0);f[_>>2]=1124007936;Ib=_+4|0;Jb=_+8|0;Kb=_+40|0;Qa=Ib;Sa=Qa+36|0;do{f[Qa>>2]=0;Qa=Qa+4|0}while((Qa|0)<(Sa|0));f[Kb>>2]=Jb;Jb=_+48|0;Lb=_+44|0;f[Lb>>2]=Jb;f[Jb>>2]=0;f[_+52>>2]=0;if(EJ(h)|0){zT(j,bb,Ha,0);Nb=f[j>>2]|0;sh[f[(f[Nb>>2]|0)+12>>2]&255](Nb,j,_,-1);Xi(j)}else{Nb=j+8|0;f[Nb>>2]=0;f[Nb+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=_;+Vea(h,j,0.0,1.0,0)}h=j+8|0;f[h>>2]=0;f[h+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=U;kQ(H,j,f[U>>2]&4095,1.0,0.0);f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=U;h=k+8|0;f[h>>2]=0;f[h+4>>2]=0;f[k>>2]=33619968;f[k+4>>2]=U;f[$>>2]=5;f[$+4>>2]=5;Ala(j,k,$,0.0,0.0,4);f[aa>>2]=1124007936;$=aa+4|0;h=aa+8|0;Nb=aa+40|0;Qa=$;Sa=Qa+36|0;do{f[Qa>>2]=0;Qa=Qa+4|0}while((Qa|0)<(Sa|0));f[Nb>>2]=h;h=aa+48|0;Mb=aa+44|0;f[Mb>>2]=h;f[h>>2]=0;f[aa+52>>2]=0;Ob=j+8|0;f[Ob>>2]=0;f[Ob+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=aa;kQ(_,j,5,1.0,0.0);f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=aa;Ob=k+8|0;f[Ob>>2]=0;f[Ob+4>>2]=0;f[k>>2]=33619968;f[k+4>>2]=aa;f[ba>>2]=5;f[ba+4>>2]=5;Ala(j,k,ba,0.0,0.0,4);ba=j+8|0;f[ba>>2]=0;f[ba+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=aa;kQ(aa,j,-1,.5263157894736842,0.0);ba=j+8|0;f[ba>>2]=0;f[ba+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=_;kQ(aa,j,f[_>>2]&4095,1.0,0.0);ba=j+8|0;f[ba>>2]=0;f[ba+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=aa;kQ(_,j,f[aa>>2]&4095,1.0,0.0);ba=j+8|0;f[ba>>2]=0;f[ba+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=V;kQ(I,j,f[V>>2]&4095,1.0,0.0);f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=V;ba=k+8|0;f[ba>>2]=0;f[ba+4>>2]=0;f[k>>2]=33619968;f[k+4>>2]=V;f[ca>>2]=5;f[ca+4>>2]=5;Ala(j,k,ca,0.0,0.0,4);wT(ea,bb,Ha,5);f[da>>2]=1124007936;ca=da+4|0;ba=da+8|0;Ob=da+40|0;Qa=ca;Sa=Qa+36|0;do{f[Qa>>2]=0;Qa=Qa+4|0}while((Qa|0)<(Sa|0));f[Ob>>2]=ba;ba=da+48|0;Pb=da+44|0;f[Pb>>2]=ba;f[ba>>2]=0;f[da+52>>2]=0;Qb=f[ea>>2]|0;sh[f[(f[Qb>>2]|0)+12>>2]&255](Qb,ea,da,-1);Xi(ea);wT(ga,bb,Ha,5);f[fa>>2]=1124007936;Ha=fa+4|0;bb=fa+8|0;ea=fa+40|0;Qa=Ha;Sa=Qa+36|0;do{f[Qa>>2]=0;Qa=Qa+4|0}while((Qa|0)<(Sa|0));f[ea>>2]=bb;bb=fa+48|0;Qb=fa+44|0;f[Qb>>2]=bb;f[bb>>2]=0;f[fa+52>>2]=0;Rb=f[ga>>2]|0;sh[f[(f[Rb>>2]|0)+12>>2]&255](Rb,ga,fa,-1);Xi(ga);f[ha>>2]=1124007936;ga=ha+4|0;Rb=ha+8|0;Sb=ha+40|0;Qa=ga;Sa=Qa+36|0;do{f[Qa>>2]=0;Qa=Qa+4|0}while((Qa|0)<(Sa|0));f[Sb>>2]=Rb;Tb=ha+48|0;Ub=ha+44|0;f[Ub>>2]=Tb;f[Tb>>2]=0;f[ha+52>>2]=0;f[j>>2]=Pa;f[Xa>>2]=g;ZT(ha,2,j,5);f[ia>>2]=1124007936;Vb=ia+4|0;Wb=ia+8|0;Xb=ia+40|0;Qa=Vb;Sa=Qa+36|0;do{f[Qa>>2]=0;Qa=Qa+4|0}while((Qa|0)<(Sa|0));f[Xb>>2]=Wb;Wb=ia+48|0;Yb=ia+44|0;f[Yb>>2]=Wb;f[Wb>>2]=0;f[ia+52>>2]=0;f[j>>2]=Pa;f[Xa>>2]=g;ZT(ia,2,j,5);n[ja>>2]=-.5;Zb=ja+4|0;n[Zb>>2]=0.0;_b=ja+8|0;n[_b>>2]=.5;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=V;$b=k+8|0;f[$b>>2]=0;f[$b+4>>2]=0;f[k>>2]=33619968;f[k+4>>2]=da;f[l>>2]=-1056833531;f[l+4>>2]=ja;f[l+8>>2]=3;f[l+12>>2]=1;f[ka>>2]=-1;f[ka+4>>2]=-1;saa(j,k,-1,l,ka,0.0,4);f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=V;ka=k+8|0;f[ka>>2]=0;f[ka+4>>2]=0;f[k>>2]=33619968;f[k+4>>2]=fa;f[m>>2]=f[ja>>2];f[m+4>>2]=f[Zb>>2];f[m+8>>2]=f[_b>>2];f[l>>2]=-1056833531;f[l+4>>2]=m;f[l+8>>2]=1;f[l+12>>2]=3;f[la>>2]=-1;f[la+4>>2]=-1;saa(j,k,-1,l,la,0.0,4);f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=16842752;f[k+4>>2]=aa;vT(j,da,k,1.0);la=f[j>>2]|0;sh[f[(f[la>>2]|0)+12>>2]&255](la,j,da,-1);Xi(j);f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=16842752;f[k+4>>2]=aa;vT(j,fa,k,1.0);la=f[j>>2]|0;sh[f[(f[la>>2]|0)+12>>2]&255](la,j,fa,-1);Xi(j);la=Y(g,eb)|0;f[ma>>2]=1124007936;_b=ma+4|0;Zb=ma+8|0;ja=ma+40|0;Qa=_b;Sa=Qa+36|0;do{f[Qa>>2]=0;Qa=Qa+4|0}while((Qa|0)<(Sa|0));f[ja>>2]=Zb;ka=ma+48|0;$b=ma+44|0;f[$b>>2]=ka;f[ka>>2]=0;f[ma+52>>2]=0;f[j>>2]=Pa;f[Xa>>2]=la;ZT(ma,2,j,5);f[na>>2]=1124007936;la=na+4|0;ac=na+8|0;bc=na+40|0;Qa=la;Sa=Qa+36|0;do{f[Qa>>2]=0;Qa=Qa+4|0}while((Qa|0)<(Sa|0));f[bc>>2]=ac;ac=na+48|0;cc=na+44|0;f[cc>>2]=ac;f[ac>>2]=0;f[na+52>>2]=0;f[j>>2]=eb;f[Xa>>2]=eb;ZT(na,2,j,5);f[oa>>2]=1124007936;dc=oa+4|0;ec=oa+8|0;fc=oa+40|0;Qa=dc;Sa=Qa+36|0;do{f[Qa>>2]=0;Qa=Qa+4|0}while((Qa|0)<(Sa|0));f[fc>>2]=ec;ec=oa+48|0;gc=oa+44|0;f[gc>>2]=ec;f[ec>>2]=0;f[oa+52>>2]=0;f[j>>2]=eb;f[Xa>>2]=eb;ZT(oa,2,j,5);f[pa>>2]=1124007936;hc=pa+4|0;ic=pa+8|0;jc=pa+40|0;Qa=hc;Sa=Qa+36|0;do{f[Qa>>2]=0;Qa=Qa+4|0}while((Qa|0)<(Sa|0));f[jc>>2]=ic;ic=pa+48|0;kc=pa+44|0;f[kc>>2]=ic;f[ic>>2]=0;f[pa+52>>2]=0;f[j>>2]=eb;f[Xa>>2]=1;ZT(pa,2,j,5);f[qa>>2]=1124007936;lc=qa+4|0;mc=qa+8|0;nc=qa+40|0;Qa=lc;Sa=Qa+36|0;do{f[Qa>>2]=0;Qa=Qa+4|0}while((Qa|0)<(Sa|0));f[nc>>2]=mc;mc=qa+48|0;oc=qa+44|0;f[oc>>2]=mc;f[mc>>2]=0;f[qa+52>>2]=0;f[j>>2]=eb;f[Xa>>2]=1;ZT(qa,2,j,5);f[ra>>2]=1124007936;pc=ra+4|0;qc=ra+8|0;rc=ra+40|0;Qa=pc;Sa=Qa+36|0;do{f[Qa>>2]=0;Qa=Qa+4|0}while((Qa|0)<(Sa|0));f[rc>>2]=qc;qc=ra+48|0;sc=ra+44|0;f[sc>>2]=qc;f[qc>>2]=0;f[ra+52>>2]=0;f[j>>2]=eb;f[Xa>>2]=1;ZT(ra,2,j,5);f[sa>>2]=1124007936;tc=sa+4|0;uc=sa+8|0;vc=sa+40|0;Qa=tc;Sa=Qa+36|0;do{f[Qa>>2]=0;Qa=Qa+4|0}while((Qa|0)<(Sa|0));f[vc>>2]=uc;uc=sa+48|0;wc=sa+44|0;f[wc>>2]=uc;f[uc>>2]=0;f[sa+52>>2]=0;f[j>>2]=eb;f[Xa>>2]=1;ZT(sa,2,j,5);f[ta>>2]=1124007936;xc=ta+4|0;yc=ta+8|0;zc=ta+40|0;Qa=xc;Sa=Qa+36|0;do{f[Qa>>2]=0;Qa=Qa+4|0}while((Qa|0)<(Sa|0));f[zc>>2]=yc;Ac=ta+48|0;Bc=ta+44|0;f[Bc>>2]=Ac;f[Ac>>2]=0;f[ta+52>>2]=0;f[j>>2]=eb;f[Xa>>2]=1;ZT(ta,2,j,5);f[ua>>2]=1124007936;eb=ua+4|0;Cc=ua+8|0;Dc=ua+40|0;Qa=eb;Sa=Qa+36|0;do{f[Qa>>2]=0;Qa=Qa+4|0}while((Qa|0)<(Sa|0));f[Dc>>2]=Cc;Cc=ua+48|0;Ec=ua+44|0;f[Ec>>2]=Cc;f[Cc>>2]=0;f[ua+52>>2]=0;f[j>>2]=Pa;f[Xa>>2]=g;ZT(ua,2,j,5);a:do if((cb|0)<1)Fc=-1.0;else{g=(e|0)==3;Xa=j+8|0;Pa=j+12|0;Gc=j+4|0;Hc=k+8|0;Ic=k+4|0;Jc=l+8|0;Kc=l+12|0;Lc=l+4|0;Mc=za+4|0;Nc=j+8|0;Oc=j+12|0;Pc=j+4|0;Qc=k+8|0;Rc=k+4|0;Sc=l+8|0;Tc=l+12|0;Uc=l+4|0;Vc=Aa+4|0;Wc=j+8|0;Xc=j+12|0;Yc=j+4|0;Zc=k+8|0;_c=k+4|0;$c=l+8|0;ad=l+12|0;bd=l+4|0;cd=Ba+4|0;dd=j+8|0;ed=j+12|0;fd=j+4|0;gd=k+8|0;hd=k+4|0;id=l+8|0;jd=l+12|0;kd=l+4|0;ld=Ca+4|0;md=j+8|0;nd=j+12|0;od=j+4|0;pd=k+4|0;qd=k+8|0;rd=k+12|0;sd=l+4|0;td=l+8|0;ud=l+12|0;vd=m+8|0;wd=m+12|0;xd=m+4|0;yd=j+8|0;zd=j+12|0;Ad=j+4|0;Bd=k+4|0;Cd=k+8|0;Dd=k+12|0;Ed=l+4|0;Fd=l+8|0;Gd=l+12|0;Hd=m+8|0;Id=m+12|0;Jd=m+4|0;Kd=j+8|0;Ld=j+12|0;Md=j+4|0;Nd=k+8|0;Od=k+12|0;Pd=k+4|0;Qd=l+8|0;Rd=l+4|0;Sd=m+8|0;Td=m+12|0;Ud=m+4|0;Vd=T+12|0;Wd=j+8|0;Xd=j+12|0;Yd=j+4|0;Zd=k+8|0;_d=k+12|0;$d=k+4|0;ae=l+8|0;be=l+4|0;ce=m+8|0;de=m+12|0;ee=m+4|0;fe=j+8|0;ge=j+12|0;he=j+4|0;ie=j+8|0;je=j+12|0;ke=j+4|0;le=j+8|0;me=j+12|0;ne=j+4|0;oe=j+8|0;pe=j+12|0;qe=j+4|0;re=j+8|0;se=j+12|0;te=j+4|0;ue=(e|0)==0;ve=(e|0)==1;we=(e|0)==2;xe=e>>>0<4;ye=ta+12|0;ze=ta+16|0;Ae=ma+12|0;Be=ha+12|0;Ce=m+8|0;De=m+12|0;Ee=m+4|0;Fe=j+4|0;Ge=k+4|0;He=o+36|0;Ie=o+16|0;Je=o+4|0;Ke=o+40|0;Le=o+44|0;Me=o+48|0;Ne=m+8|0;Oe=m+12|0;Pe=m+4|0;Qe=j+4|0;Re=k+4|0;Se=q+36|0;Te=q+16|0;Ue=q+4|0;Ve=q+40|0;We=q+44|0;Xe=q+48|0;Ye=m+8|0;Ze=m+12|0;_e=m+4|0;$e=j+4|0;af=k+4|0;bf=r+36|0;cf=r+16|0;df=r+4|0;ef=r+40|0;ff=r+44|0;gf=r+48|0;hf=m+8|0;jf=m+12|0;kf=m+4|0;lf=j+4|0;mf=k+4|0;nf=t+36|0;of=t+16|0;pf=t+4|0;qf=t+40|0;rf=t+44|0;sf=t+48|0;tf=j+4|0;uf=k+4|0;vf=l+8|0;wf=l+4|0;xf=m+36|0;yf=m+16|0;zf=m+4|0;Af=m+40|0;Bf=m+44|0;Cf=m+48|0;Df=j+4|0;Ef=k+4|0;Ff=l+8|0;Gf=l+4|0;Hf=m+36|0;If=m+16|0;Jf=m+4|0;Kf=m+40|0;Lf=m+44|0;Mf=m+48|0;Nf=q+8|0;Of=l+4|0;Pf=l+8|0;Qf=l+40|0;Rf=l+48|0;Sf=l+44|0;Tf=l+52|0;Uf=v+8|0;Vf=o+4|0;Wf=o+8|0;Xf=o+40|0;Yf=o+48|0;Zf=o+44|0;_f=o+52|0;$f=j+8|0;ag=j+12|0;bg=j+4|0;cg=k+8|0;dg=k+12|0;eg=k+4|0;fg=q+8|0;gg=q+4|0;hg=x+8|0;ig=q+4|0;jg=q+8|0;kg=q+40|0;lg=q+48|0;mg=q+44|0;ng=q+52|0;og=j+8|0;pg=j+12|0;qg=j+4|0;rg=k+8|0;sg=k+12|0;tg=k+4|0;ug=t+8|0;vg=t+4|0;wg=t+4|0;xg=t+8|0;yg=t+40|0;zg=t+48|0;Ag=t+44|0;Bg=t+52|0;Cg=v+4|0;Dg=v+8|0;Eg=v+40|0;Fg=v+48|0;Gg=v+44|0;Hg=v+52|0;Ig=j+8|0;Jg=j+12|0;Kg=j+4|0;Lg=k+8|0;Mg=k+12|0;Ng=k+4|0;Og=x+8|0;Pg=x+4|0;Qg=j+8|0;Rg=j+12|0;Sg=j+4|0;Tg=k+8|0;Ug=k+12|0;Vg=k+4|0;Wg=x+8|0;Xg=x+4|0;Yg=y+8|0;Zg=y+12|0;_g=y+4|0;$g=j+4|0;ah=k+4|0;bh=z+36|0;ch=z+16|0;dh=z+4|0;eh=z+40|0;fh=z+44|0;gh=z+48|0;hh=y+8|0;ih=y+12|0;jh=y+4|0;kh=j+4|0;lh=k+4|0;mh=A+36|0;nh=A+16|0;oh=A+4|0;ph=A+40|0;qh=A+44|0;rh=A+48|0;th=k+8|0;uh=k+12|0;vh=k+4|0;wh=C+8|0;xh=C+12|0;yh=C+4|0;zh=x+4|0;Ah=x+8|0;Bh=x+40|0;Ch=x+48|0;Dh=x+44|0;Eh=x+52|0;Fh=C+8|0;Gh=C+12|0;Hh=C+4|0;Ih=j+4|0;Jh=k+4|0;Kh=D+36|0;Lh=D+16|0;Mh=D+4|0;Nh=D+40|0;Oh=D+44|0;Ph=D+48|0;Qh=o+36|0;Rh=o+16|0;Sh=q+36|0;Th=q+16|0;Uh=C+8|0;Vh=C+12|0;Wh=C+4|0;Xh=j+4|0;Yh=k+4|0;Zh=E+36|0;_h=E+16|0;$h=E+4|0;ai=E+40|0;bi=E+44|0;ci=E+48|0;di=C+8|0;ei=C+12|0;fi=C+4|0;gi=j+4|0;hi=k+4|0;ii=F+36|0;ji=F+16|0;ki=F+4|0;li=F+40|0;mi=F+44|0;ni=F+48|0;oi=C+8|0;pi=C+12|0;qi=C+4|0;ri=j+4|0;si=k+4|0;ti=G+36|0;ui=G+16|0;vi=G+4|0;wi=G+40|0;xi=G+44|0;yi=G+48|0;zi=j+4|0;Ai=k+4|0;Bi=y+8|0;Ci=y+4|0;Di=C+36|0;Ei=C+16|0;Fi=C+4|0;Gi=C+40|0;Hi=C+44|0;Ii=C+48|0;Ji=j+4|0;Ki=k+4|0;Li=y+8|0;Mi=y+4|0;Ni=C+36|0;Oi=C+16|0;Pi=C+4|0;Qi=C+40|0;Ri=C+44|0;Si=C+48|0;Ti=x+36|0;Ui=x+16|0;Vi=v+36|0;Wi=v+16|0;Yi=t+36|0;Zi=t+16|0;_i=l+36|0;$i=l+16|0;aj=j+4|0;bj=k+4|0;cj=l+8|0;dj=l+4|0;ej=m+36|0;fj=m+16|0;gj=m+4|0;hj=m+40|0;ij=m+44|0;jj=m+48|0;kj=j+4|0;lj=k+4|0;mj=l+8|0;nj=l+4|0;oj=m+36|0;pj=m+16|0;qj=m+4|0;rj=m+40|0;sj=m+44|0;tj=m+48|0;uj=l+4|0;vj=l+8|0;wj=l+40|0;xj=l+48|0;yj=l+44|0;zj=l+52|0;Aj=o+4|0;Bj=o+8|0;Cj=o+40|0;Dj=o+48|0;Ej=o+44|0;Fj=o+52|0;Gj=v+8|0;Hj=v+12|0;Ij=v+4|0;Jj=x+8|0;Kj=x+12|0;Lj=x+4|0;Mj=j+4|0;Nj=k+4|0;Oj=y+36|0;Pj=y+16|0;Qj=y+4|0;Rj=y+40|0;Sj=y+44|0;Tj=y+48|0;Uj=j+4|0;Vj=k+4|0;Wj=r+8|0;Xj=r+4|0;Yj=t+36|0;Zj=t+16|0;_j=t+4|0;$j=t+40|0;ak=t+44|0;bk=t+48|0;ck=j+4|0;dk=k+4|0;ek=r+8|0;fk=r+4|0;gk=t+36|0;hk=t+16|0;ik=t+4|0;jk=t+40|0;kk=t+44|0;lk=t+48|0;mk=o+36|0;nk=o+16|0;ok=l+36|0;pk=l+16|0;qk=j+8|0;rk=j+12|0;sk=j+4|0;tk=k+8|0;uk=k+4|0;vk=l+8|0;wk=l+12|0;xk=l+4|0;yk=va+4|0;zk=j+8|0;Ak=j+12|0;Bk=j+4|0;Ck=k+8|0;Dk=k+4|0;Ek=l+8|0;Fk=l+12|0;Gk=l+4|0;Hk=wa+4|0;Ik=j+8|0;Jk=j+12|0;Kk=j+4|0;Lk=k+8|0;Mk=k+4|0;Nk=l+8|0;Ok=l+12|0;Pk=l+4|0;Qk=xa+4|0;Rk=j+8|0;Sk=j+12|0;Tk=j+4|0;Uk=k+8|0;Vk=k+4|0;Wk=l+8|0;Xk=l+12|0;Yk=l+4|0;Zk=ya+4|0;_k=-1.0;$k=1;al=-db;b:while(1){if(!(+L(+(_k-al))>=db)){Fc=_k;break a}if(g){f[Xa>>2]=0;f[Pa>>2]=0;f[j>>2]=16842752;f[Gc>>2]=V;bl=Hc;f[bl>>2]=0;f[bl+4>>2]=0;f[k>>2]=33619968;f[Ic>>2]=W;f[Jc>>2]=0;f[Kc>>2]=0;f[l>>2]=16842752;f[Lc>>2]=J;bl=f[Cb>>2]|0;cl=f[bl>>2]|0;f[za>>2]=f[bl+4>>2];f[Mc>>2]=cl;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;f[m+16>>2]=0;f[m+20>>2]=0;f[m+24>>2]=0;f[m+28>>2]=0;V1(j,k,l,za,17,0,m);f[Nc>>2]=0;f[Oc>>2]=0;f[j>>2]=16842752;f[Pc>>2]=da;cl=Qc;f[cl>>2]=0;f[cl+4>>2]=0;f[k>>2]=33619968;f[Rc>>2]=ha;f[Sc>>2]=0;f[Tc>>2]=0;f[l>>2]=16842752;f[Uc>>2]=J;cl=f[Sb>>2]|0;bl=f[cl>>2]|0;f[Aa>>2]=f[cl+4>>2];f[Vc>>2]=bl;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;f[m+16>>2]=0;f[m+20>>2]=0;f[m+24>>2]=0;f[m+28>>2]=0;V1(j,k,l,Aa,17,0,m);f[Wc>>2]=0;f[Xc>>2]=0;f[j>>2]=16842752;f[Yc>>2]=fa;bl=Zc;f[bl>>2]=0;f[bl+4>>2]=0;f[k>>2]=33619968;f[_c>>2]=ia;f[$c>>2]=0;f[ad>>2]=0;f[l>>2]=16842752;f[bd>>2]=J;bl=f[Xb>>2]|0;cl=f[bl>>2]|0;f[Ba>>2]=f[bl+4>>2];f[cd>>2]=cl;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;f[m+16>>2]=0;f[m+20>>2]=0;f[m+24>>2]=0;f[m+28>>2]=0;V1(j,k,l,Ba,17,0,m);f[dd>>2]=0;f[ed>>2]=0;f[j>>2]=16842752;f[fd>>2]=_;cl=gd;f[cl>>2]=0;f[cl+4>>2]=0;f[k>>2]=33619968;f[hd>>2]=X;f[id>>2]=0;f[jd>>2]=0;f[l>>2]=16842752;f[kd>>2]=J;cl=f[Gb>>2]|0;bl=f[cl>>2]|0;f[Ca>>2]=f[cl+4>>2];f[ld>>2]=bl;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;f[m+16>>2]=0;f[m+20>>2]=0;f[m+24>>2]=0;f[m+28>>2]=0;V1(j,k,l,Ca,16,0,m)}else{f[qk>>2]=0;f[rk>>2]=0;f[j>>2]=16842752;f[sk>>2]=V;bl=tk;f[bl>>2]=0;f[bl+4>>2]=0;f[k>>2]=33619968;f[uk>>2]=W;f[vk>>2]=0;f[wk>>2]=0;f[l>>2]=16842752;f[xk>>2]=J;bl=f[Cb>>2]|0;cl=f[bl>>2]|0;f[va>>2]=f[bl+4>>2];f[yk>>2]=cl;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;f[m+16>>2]=0;f[m+20>>2]=0;f[m+24>>2]=0;f[m+28>>2]=0;P1(j,k,l,va,17,0,m);f[zk>>2]=0;f[Ak>>2]=0;f[j>>2]=16842752;f[Bk>>2]=da;cl=Ck;f[cl>>2]=0;f[cl+4>>2]=0;f[k>>2]=33619968;f[Dk>>2]=ha;f[Ek>>2]=0;f[Fk>>2]=0;f[l>>2]=16842752;f[Gk>>2]=J;cl=f[Sb>>2]|0;bl=f[cl>>2]|0;f[wa>>2]=f[cl+4>>2];f[Hk>>2]=bl;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;f[m+16>>2]=0;f[m+20>>2]=0;f[m+24>>2]=0;f[m+28>>2]=0;P1(j,k,l,wa,17,0,m);f[Ik>>2]=0;f[Jk>>2]=0;f[j>>2]=16842752;f[Kk>>2]=fa;bl=Lk;f[bl>>2]=0;f[bl+4>>2]=0;f[k>>2]=33619968;f[Mk>>2]=ia;f[Nk>>2]=0;f[Ok>>2]=0;f[l>>2]=16842752;f[Pk>>2]=J;bl=f[Xb>>2]|0;cl=f[bl>>2]|0;f[xa>>2]=f[bl+4>>2];f[Qk>>2]=cl;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;f[m+16>>2]=0;f[m+20>>2]=0;f[m+24>>2]=0;f[m+28>>2]=0;P1(j,k,l,xa,17,0,m);f[Rk>>2]=0;f[Sk>>2]=0;f[j>>2]=16842752;f[Tk>>2]=_;cl=Uk;f[cl>>2]=0;f[cl+4>>2]=0;f[k>>2]=33619968;f[Vk>>2]=X;f[Wk>>2]=0;f[Xk>>2]=0;f[l>>2]=16842752;f[Yk>>2]=J;cl=f[Gb>>2]|0;bl=f[cl>>2]|0;f[ya>>2]=f[cl+4>>2];f[Zk>>2]=bl;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;f[m+16>>2]=0;f[m+20>>2]=0;f[m+24>>2]=0;f[m+28>>2]=0;P1(j,k,l,ya,16,0,m)};f[Da>>2]=0;f[Da+4>>2]=0;f[Da+8>>2]=0;f[Da+12>>2]=0;f[Da+16>>2]=0;f[Da+20>>2]=0;f[Da+24>>2]=0;f[Da+28>>2]=0;f[Ea>>2]=0;f[Ea+4>>2]=0;f[Ea+8>>2]=0;f[Ea+12>>2]=0;f[Ea+16>>2]=0;f[Ea+20>>2]=0;f[Ea+24>>2]=0;f[Ea+28>>2]=0;f[Fa>>2]=0;f[Fa+4>>2]=0;f[Fa+8>>2]=0;f[Fa+12>>2]=0;f[Fa+16>>2]=0;f[Fa+20>>2]=0;f[Fa+24>>2]=0;f[Fa+28>>2]=0;f[Ga>>2]=0;f[Ga+4>>2]=0;f[Ga+8>>2]=0;f[Ga+12>>2]=0;f[Ga+16>>2]=0;f[Ga+20>>2]=0;f[Ga+24>>2]=0;f[Ga+28>>2]=0;f[md>>2]=0;f[nd>>2]=0;f[j>>2]=16842752;f[od>>2]=W;f[k>>2]=-1040056314;f[pd>>2]=Da;f[qd>>2]=1;f[rd>>2]=4;f[l>>2]=-1040056314;f[sd>>2]=Ea;f[td>>2]=1;f[ud>>2]=4;f[vd>>2]=0;f[wd>>2]=0;f[m>>2]=16842752;f[xd>>2]=X;KC(j,k,l,m);f[yd>>2]=0;f[zd>>2]=0;f[j>>2]=16842752;f[Ad>>2]=U;f[k>>2]=-1040056314;f[Bd>>2]=Fa;f[Cd>>2]=1;f[Dd>>2]=4;f[l>>2]=-1040056314;f[Ed>>2]=Ga;f[Fd>>2]=1;f[Gd>>2]=4;f[Hd>>2]=0;f[Id>>2]=0;f[m>>2]=16842752;f[Jd>>2]=X;KC(j,k,l,m);f[Kd>>2]=0;f[Ld>>2]=0;f[j>>2]=16842752;f[Md>>2]=W;f[k>>2]=-1056833530;f[Pd>>2]=Da;f[Nd>>2]=1;f[Od>>2]=4;bl=Qd;f[bl>>2]=0;f[bl+4>>2]=0;f[l>>2]=33619968;f[Rd>>2]=W;f[Sd>>2]=0;f[Td>>2]=0;f[m>>2]=16842752;f[Ud>>2]=X;HW(j,k,l,m,-1);wT(j,f[mb>>2]|0,f[Vd>>2]|0,f[T>>2]&4095);bl=f[j>>2]|0;sh[f[(f[bl>>2]|0)+12>>2]&255](bl,j,T,-1);Xi(j);f[Wd>>2]=0;f[Xd>>2]=0;f[j>>2]=16842752;f[Yd>>2]=U;f[k>>2]=-1056833530;f[$d>>2]=Fa;f[Zd>>2]=1;f[_d>>2]=4;bl=ae;f[bl>>2]=0;f[bl+4>>2]=0;f[l>>2]=33619968;f[be>>2]=T;f[ce>>2]=0;f[de>>2]=0;f[m>>2]=16842752;f[ee>>2]=X;HW(j,k,l,m,-1);f[fe>>2]=0;f[ge>>2]=0;f[j>>2]=16842752;f[he>>2]=X;dl=+(wG(j)|0);el=+p[Ga>>3];fl=+M(+(el*(dl*el)));f[ie>>2]=0;f[je>>2]=0;f[j>>2]=16842752;f[ke>>2]=X;el=+(wG(j)|0);dl=+p[Ea>>3];gl=+M(+(dl*(el*dl)));switch(e|0){case 2:{bl=f[Sb>>2]|0;cl=f[bl+4>>2]|0;hl=f[bl>>2]|0;bl=f[Xb>>2]|0;if(!((hl|0)==(f[bl>>2]|0)?(cl|0)==(f[bl+4>>2]|0):0)){$a=346;break b}bl=f[Ka>>2]|0;if(!((hl|0)==(f[bl>>2]|0)?(cl|0)==(f[bl+4>>2]|0):0)){$a=348;break b}bl=f[hb>>2]|0;if(!((hl|0)==(f[bl>>2]|0)?(cl|0)==(f[bl+4>>2]|0):0)){$a=350;break b}if((f[Rb>>2]|0)!=(f[Zb>>2]|0)){$a=352;break b}bl=f[Ae>>2]|0;cl=f[Be>>2]|0;if((bl|0)!=(cl*6|0)){$a=354;break b}if((f[ma>>2]&4095|0)!=5){$a=356;break b}f[Ce>>2]=0;f[De>>2]=0;f[m>>2]=16842752;f[Ee>>2]=Q;vT(l,ha,m,1.0);f[j>>2]=-2147483648;f[Fe>>2]=2147483647;f[k>>2]=0;f[Ge>>2]=cl;bU(o,ma,j,k);hl=f[l>>2]|0;sh[f[(f[hl>>2]|0)+12>>2]&255](hl,l,o,-1);hl=f[He>>2]|0;do if(hl|0){il=hl+12|0;jl=f[il>>2]|0;f[il>>2]=jl+-1;if((jl|0)!=1)break;aU(o)}while(0);f[He>>2]=0;f[Ie>>2]=0;f[Ie+4>>2]=0;f[Ie+8>>2]=0;f[Ie+12>>2]=0;if((f[Je>>2]|0)>0){hl=f[Ke>>2]|0;jl=0;do{f[hl+(jl<<2)>>2]=0;jl=jl+1|0}while((jl|0)<(f[Je>>2]|0))}jl=f[Le>>2]|0;if((jl|0)!=(Me|0))TC(jl);Xi(l);f[Ne>>2]=0;f[Oe>>2]=0;f[m>>2]=16842752;f[Pe>>2]=Q;vT(l,ia,m,1.0);jl=cl<<1;f[j>>2]=-2147483648;f[Qe>>2]=2147483647;f[k>>2]=cl;f[Re>>2]=jl;bU(q,ma,j,k);hl=f[l>>2]|0;sh[f[(f[hl>>2]|0)+12>>2]&255](hl,l,q,-1);hl=f[Se>>2]|0;do if(hl|0){il=hl+12|0;kl=f[il>>2]|0;f[il>>2]=kl+-1;if((kl|0)!=1)break;aU(q)}while(0);f[Se>>2]=0;f[Te>>2]=0;f[Te+4>>2]=0;f[Te+8>>2]=0;f[Te+12>>2]=0;if((f[Ue>>2]|0)>0){hl=f[Ve>>2]|0;kl=0;do{f[hl+(kl<<2)>>2]=0;kl=kl+1|0}while((kl|0)<(f[Ue>>2]|0))}kl=f[We>>2]|0;if((kl|0)!=(Xe|0))TC(kl);Xi(l);f[Ye>>2]=0;f[Ze>>2]=0;f[m>>2]=16842752;f[_e>>2]=R;vT(l,ha,m,1.0);kl=cl*3|0;f[j>>2]=-2147483648;f[$e>>2]=2147483647;f[k>>2]=jl;f[af>>2]=kl;bU(r,ma,j,k);hl=f[l>>2]|0;sh[f[(f[hl>>2]|0)+12>>2]&255](hl,l,r,-1);hl=f[bf>>2]|0;do if(hl|0){il=hl+12|0;ll=f[il>>2]|0;f[il>>2]=ll+-1;if((ll|0)!=1)break;aU(r)}while(0);f[bf>>2]=0;f[cf>>2]=0;f[cf+4>>2]=0;f[cf+8>>2]=0;f[cf+12>>2]=0;if((f[df>>2]|0)>0){hl=f[ef>>2]|0;jl=0;do{f[hl+(jl<<2)>>2]=0;jl=jl+1|0}while((jl|0)<(f[df>>2]|0))}jl=f[ff>>2]|0;if((jl|0)!=(gf|0))TC(jl);Xi(l);f[hf>>2]=0;f[jf>>2]=0;f[m>>2]=16842752;f[kf>>2]=R;vT(l,ia,m,1.0);jl=cl<<2;f[j>>2]=-2147483648;f[lf>>2]=2147483647;f[k>>2]=kl;f[mf>>2]=jl;bU(t,ma,j,k);hl=f[l>>2]|0;sh[f[(f[hl>>2]|0)+12>>2]&255](hl,l,t,-1);hl=f[nf>>2]|0;do if(hl|0){ll=hl+12|0;il=f[ll>>2]|0;f[ll>>2]=il+-1;if((il|0)!=1)break;aU(t)}while(0);f[nf>>2]=0;f[of>>2]=0;f[of+4>>2]=0;f[of+8>>2]=0;f[of+12>>2]=0;if((f[pf>>2]|0)>0){hl=f[qf>>2]|0;kl=0;do{f[hl+(kl<<2)>>2]=0;kl=kl+1|0}while((kl|0)<(f[pf>>2]|0))}kl=f[rf>>2]|0;if((kl|0)!=(sf|0))TC(kl);Xi(l);kl=cl*5|0;f[j>>2]=-2147483648;f[tf>>2]=2147483647;f[k>>2]=jl;f[uf>>2]=kl;bU(m,ma,j,k);hl=vf;f[hl>>2]=0;f[hl+4>>2]=0;f[l>>2]=-1040121856;f[wf>>2]=m;EI(ha,l);hl=f[xf>>2]|0;do if(hl|0){il=hl+12|0;ll=f[il>>2]|0;f[il>>2]=ll+-1;if((ll|0)!=1)break;aU(m)}while(0);f[xf>>2]=0;f[yf>>2]=0;f[yf+4>>2]=0;f[yf+8>>2]=0;f[yf+12>>2]=0;if((f[zf>>2]|0)>0){hl=f[Af>>2]|0;jl=0;do{f[hl+(jl<<2)>>2]=0;jl=jl+1|0}while((jl|0)<(f[zf>>2]|0))}jl=f[Bf>>2]|0;if((jl|0)!=(Cf|0))TC(jl);f[j>>2]=-2147483648;f[Df>>2]=2147483647;f[k>>2]=kl;f[Ef>>2]=bl;bU(m,ma,j,k);jl=Ff;f[jl>>2]=0;f[jl+4>>2]=0;f[l>>2]=-1040121856;f[Gf>>2]=m;EI(ia,l);jl=f[Hf>>2]|0;do if(jl|0){hl=jl+12|0;cl=f[hl>>2]|0;f[hl>>2]=cl+-1;if((cl|0)!=1)break;aU(m)}while(0);f[Hf>>2]=0;f[If>>2]=0;f[If+4>>2]=0;f[If+8>>2]=0;f[If+12>>2]=0;if((f[Jf>>2]|0)>0){jl=f[Kf>>2]|0;bl=0;do{f[jl+(bl<<2)>>2]=0;bl=bl+1|0}while((bl|0)<(f[Jf>>2]|0))}bl=f[Lf>>2]|0;if((bl|0)!=(Mf|0))TC(bl);break}case 3:{bl=f[Ya>>2]|0;jl=f[Sb>>2]|0;kl=f[jl+4>>2]|0;cl=f[jl>>2]|0;jl=f[Xb>>2]|0;if(!((cl|0)==(f[jl>>2]|0)?(kl|0)==(f[jl+4>>2]|0):0)){$a=407;break b}jl=f[Ka>>2]|0;if(!((cl|0)==(f[jl>>2]|0)?(kl|0)==(f[jl+4>>2]|0):0)){$a=409;break b}jl=f[hb>>2]|0;if(!((cl|0)==(f[jl>>2]|0)?(kl|0)==(f[jl+4>>2]|0):0)){$a=411;break b}if((f[Rb>>2]|0)!=(f[Zb>>2]|0)){$a=413;break b}jl=f[Ae>>2]|0;kl=f[Be>>2]|0;if((jl|0)!=(kl<<3|0)){$a=415;break b}if((f[ma>>2]&4095|0)!=5){$a=417;break b}if(!(f[J>>2]&16384)){$a=419;break b}dl=+n[bl>>2];el=+n[bl+12>>2];ml=+n[bl+4>>2];nl=+n[bl+16>>2];ol=+n[bl+28>>2];pl=+n[bl+8>>2];ql=+n[bl+20>>2];jT(k,Q,+n[bl+24>>2]);jT(o,R,ol);bT(j,k,o);p[q>>3]=1.0;f[Nf>>2]=0;f[Nf+4>>2]=0;f[Nf+8>>2]=0;f[Nf+12>>2]=0;f[Nf+16>>2]=0;f[Nf+20>>2]=0;aT(m,j,q);f[l>>2]=1124007936;Qa=Of;Sa=Qa+36|0;do{f[Qa>>2]=0;Qa=Qa+4|0}while((Qa|0)<(Sa|0));f[Qf>>2]=Pf;f[Sf>>2]=Rf;f[Rf>>2]=0;f[Tf>>2]=0;bl=f[m>>2]|0;sh[f[(f[bl>>2]|0)+12>>2]&255](bl,m,l,-1);Xi(m);Xi(j);Xi(o);Xi(k);gT(q,Q);lT(k,q,dl);jT(t,R,ml);fT(j,k,t);p[v>>3]=pl;f[Uf>>2]=0;f[Uf+4>>2]=0;f[Uf+8>>2]=0;f[Uf+12>>2]=0;f[Uf+16>>2]=0;f[Uf+20>>2]=0;eT(r,j,v);f[o>>2]=1124007936;Qa=Vf;Sa=Qa+36|0;do{f[Qa>>2]=0;Qa=Qa+4|0}while((Qa|0)<(Sa|0));f[Xf>>2]=Wf;f[Zf>>2]=Yf;f[Yf>>2]=0;f[_f>>2]=0;bl=f[r>>2]|0;sh[f[(f[bl>>2]|0)+12>>2]&255](bl,r,o,-1);Xi(r);Xi(j);Xi(t);Xi(k);Xi(q);f[$f>>2]=0;f[ag>>2]=0;f[j>>2]=16842752;f[bg>>2]=o;f[cg>>2]=0;f[dg>>2]=0;f[k>>2]=16842752;f[eg>>2]=l;bl=fg;f[bl>>2]=0;f[bl+4>>2]=0;f[q>>2]=33619968;f[gg>>2]=o;rX(j,k,q,1.0,-1);gT(t,Q);lT(k,t,el);jT(v,R,nl);fT(j,k,v);p[x>>3]=ql;f[hg>>2]=0;f[hg+4>>2]=0;f[hg+8>>2]=0;f[hg+12>>2]=0;f[hg+16>>2]=0;f[hg+20>>2]=0;eT(w,j,x);f[q>>2]=1124007936;Qa=ig;Sa=Qa+36|0;do{f[Qa>>2]=0;Qa=Qa+4|0}while((Qa|0)<(Sa|0));f[kg>>2]=jg;f[mg>>2]=lg;f[lg>>2]=0;f[ng>>2]=0;bl=f[w>>2]|0;sh[f[(f[bl>>2]|0)+12>>2]&255](bl,w,q,-1);Xi(w);Xi(j);Xi(v);Xi(k);Xi(t);f[og>>2]=0;f[pg>>2]=0;f[j>>2]=16842752;f[qg>>2]=q;f[rg>>2]=0;f[sg>>2]=0;f[k>>2]=16842752;f[tg>>2]=l;bl=ug;f[bl>>2]=0;f[bl+4>>2]=0;f[t>>2]=33619968;f[vg>>2]=q;rX(j,k,t,1.0,-1);f[t>>2]=1124007936;Qa=wg;Sa=Qa+36|0;do{f[Qa>>2]=0;Qa=Qa+4|0}while((Qa|0)<(Sa|0));f[yg>>2]=xg;f[Ag>>2]=zg;f[zg>>2]=0;f[Bg>>2]=0;f[v>>2]=1124007936;Qa=Cg;Sa=Qa+36|0;do{f[Qa>>2]=0;Qa=Qa+4|0}while((Qa|0)<(Sa|0));f[Eg>>2]=Dg;f[Gg>>2]=Fg;f[Fg>>2]=0;f[Hg>>2]=0;f[Ig>>2]=0;f[Jg>>2]=0;f[j>>2]=16842752;f[Kg>>2]=ha;f[Lg>>2]=0;f[Mg>>2]=0;f[k>>2]=16842752;f[Ng>>2]=l;bl=Og;f[bl>>2]=0;f[bl+4>>2]=0;f[x>>2]=33619968;f[Pg>>2]=t;rX(j,k,x,1.0,-1);f[Qg>>2]=0;f[Rg>>2]=0;f[j>>2]=16842752;f[Sg>>2]=ia;f[Tg>>2]=0;f[Ug>>2]=0;f[k>>2]=16842752;f[Vg>>2]=l;bl=Wg;f[bl>>2]=0;f[bl+4>>2]=0;f[x>>2]=33619968;f[Xg>>2]=v;rX(j,k,x,1.0,-1);f[Yg>>2]=0;f[Zg>>2]=0;f[y>>2]=16842752;f[_g>>2]=Q;vT(x,t,y,1.0);f[j>>2]=-2147483648;f[$g>>2]=2147483647;f[k>>2]=0;f[ah>>2]=kl;bU(z,ma,j,k);bl=f[x>>2]|0;sh[f[(f[bl>>2]|0)+12>>2]&255](bl,x,z,-1);bl=f[bh>>2]|0;do if(bl|0){cl=bl+12|0;hl=f[cl>>2]|0;f[cl>>2]=hl+-1;if((hl|0)!=1)break;aU(z)}while(0);f[bh>>2]=0;f[ch>>2]=0;f[ch+4>>2]=0;f[ch+8>>2]=0;f[ch+12>>2]=0;if((f[dh>>2]|0)>0){bl=f[eh>>2]|0;hl=0;do{f[bl+(hl<<2)>>2]=0;hl=hl+1|0}while((hl|0)<(f[dh>>2]|0))}hl=f[fh>>2]|0;if((hl|0)!=(gh|0))TC(hl);Xi(x);f[hh>>2]=0;f[ih>>2]=0;f[y>>2]=16842752;f[jh>>2]=Q;vT(x,v,y,1.0);hl=kl<<1;f[j>>2]=-2147483648;f[kh>>2]=2147483647;f[k>>2]=kl;f[lh>>2]=hl;bU(A,ma,j,k);bl=f[x>>2]|0;sh[f[(f[bl>>2]|0)+12>>2]&255](bl,x,A,-1);bl=f[mh>>2]|0;do if(bl|0){cl=bl+12|0;ll=f[cl>>2]|0;f[cl>>2]=ll+-1;if((ll|0)!=1)break;aU(A)}while(0);f[mh>>2]=0;f[nh>>2]=0;f[nh+4>>2]=0;f[nh+8>>2]=0;f[nh+12>>2]=0;if((f[oh>>2]|0)>0){bl=f[ph>>2]|0;ll=0;do{f[bl+(ll<<2)>>2]=0;ll=ll+1|0}while((ll|0)<(f[oh>>2]|0))}ll=f[qh>>2]|0;if((ll|0)!=(rh|0))TC(ll);Xi(x);f[th>>2]=0;f[uh>>2]=0;f[k>>2]=16842752;f[vh>>2]=t;vT(j,o,k,1.0);f[wh>>2]=0;f[xh>>2]=0;f[C>>2]=16842752;f[yh>>2]=v;vT(y,q,C,1.0);bT(B,j,y);f[x>>2]=1124007936;Qa=zh;Sa=Qa+36|0;do{f[Qa>>2]=0;Qa=Qa+4|0}while((Qa|0)<(Sa|0));f[Bh>>2]=Ah;f[Dh>>2]=Ch;f[Ch>>2]=0;f[Eh>>2]=0;ll=f[B>>2]|0;sh[f[(f[ll>>2]|0)+12>>2]&255](ll,B,x,-1);Xi(B);Xi(y);Xi(j);f[Fh>>2]=0;f[Gh>>2]=0;f[C>>2]=16842752;f[Hh>>2]=Q;vT(y,x,C,1.0);ll=kl*3|0;f[j>>2]=-2147483648;f[Ih>>2]=2147483647;f[k>>2]=hl;f[Jh>>2]=ll;bU(D,ma,j,k);bl=f[y>>2]|0;sh[f[(f[bl>>2]|0)+12>>2]&255](bl,y,D,-1);bl=f[Kh>>2]|0;do if(bl|0){cl=bl+12|0;il=f[cl>>2]|0;f[cl>>2]=il+-1;if((il|0)!=1)break;aU(D)}while(0);f[Kh>>2]=0;f[Lh>>2]=0;f[Lh+4>>2]=0;f[Lh+8>>2]=0;f[Lh+12>>2]=0;if((f[Mh>>2]|0)>0){bl=f[Nh>>2]|0;hl=0;do{f[bl+(hl<<2)>>2]=0;hl=hl+1|0}while((hl|0)<(f[Mh>>2]|0))}hl=f[Oh>>2]|0;if((hl|0)!=(Ph|0))TC(hl);Xi(y);hl=f[Qh>>2]|0;do if(hl|0){bl=hl+12|0;il=f[bl>>2]|0;f[bl>>2]=il+-1;if((il|0)!=1)break;aU(o)}while(0);f[Qh>>2]=0;f[Rh>>2]=0;f[Rh+4>>2]=0;f[Rh+8>>2]=0;f[Rh+12>>2]=0;if((f[Vf>>2]|0)>0){hl=f[Xf>>2]|0;il=0;do{f[hl+(il<<2)>>2]=0;il=il+1|0}while((il|0)<(f[Vf>>2]|0))}il=f[Sh>>2]|0;do if(il|0){hl=il+12|0;bl=f[hl>>2]|0;f[hl>>2]=bl+-1;if((bl|0)!=1)break;aU(q)}while(0);f[Sh>>2]=0;f[Th>>2]=0;f[Th+4>>2]=0;f[Th+8>>2]=0;f[Th+12>>2]=0;if((f[ig>>2]|0)>0){il=f[kg>>2]|0;bl=0;do{f[il+(bl<<2)>>2]=0;bl=bl+1|0}while((bl|0)<(f[ig>>2]|0))}f[Uh>>2]=0;f[Vh>>2]=0;f[C>>2]=16842752;f[Wh>>2]=R;vT(y,t,C,1.0);bl=kl<<2;f[j>>2]=-2147483648;f[Xh>>2]=2147483647;f[k>>2]=ll;f[Yh>>2]=bl;bU(E,ma,j,k);il=f[y>>2]|0;sh[f[(f[il>>2]|0)+12>>2]&255](il,y,E,-1);il=f[Zh>>2]|0;do if(il|0){hl=il+12|0;cl=f[hl>>2]|0;f[hl>>2]=cl+-1;if((cl|0)!=1)break;aU(E)}while(0);f[Zh>>2]=0;f[_h>>2]=0;f[_h+4>>2]=0;f[_h+8>>2]=0;f[_h+12>>2]=0;if((f[$h>>2]|0)>0){il=f[ai>>2]|0;ll=0;do{f[il+(ll<<2)>>2]=0;ll=ll+1|0}while((ll|0)<(f[$h>>2]|0))}ll=f[bi>>2]|0;if((ll|0)!=(ci|0))TC(ll);Xi(y);f[di>>2]=0;f[ei>>2]=0;f[C>>2]=16842752;f[fi>>2]=R;vT(y,v,C,1.0);ll=kl*5|0;f[j>>2]=-2147483648;f[gi>>2]=2147483647;f[k>>2]=bl;f[hi>>2]=ll;bU(F,ma,j,k);il=f[y>>2]|0;sh[f[(f[il>>2]|0)+12>>2]&255](il,y,F,-1);il=f[ii>>2]|0;do if(il|0){cl=il+12|0;hl=f[cl>>2]|0;f[cl>>2]=hl+-1;if((hl|0)!=1)break;aU(F)}while(0);f[ii>>2]=0;f[ji>>2]=0;f[ji+4>>2]=0;f[ji+8>>2]=0;f[ji+12>>2]=0;if((f[ki>>2]|0)>0){il=f[li>>2]|0;bl=0;do{f[il+(bl<<2)>>2]=0;bl=bl+1|0}while((bl|0)<(f[ki>>2]|0))}bl=f[mi>>2]|0;if((bl|0)!=(ni|0))TC(bl);Xi(y);f[oi>>2]=0;f[pi>>2]=0;f[C>>2]=16842752;f[qi>>2]=R;vT(y,x,C,1.0);bl=kl*6|0;f[j>>2]=-2147483648;f[ri>>2]=2147483647;f[k>>2]=ll;f[si>>2]=bl;bU(G,ma,j,k);il=f[y>>2]|0;sh[f[(f[il>>2]|0)+12>>2]&255](il,y,G,-1);il=f[ti>>2]|0;do if(il|0){hl=il+12|0;cl=f[hl>>2]|0;f[hl>>2]=cl+-1;if((cl|0)!=1)break;aU(G)}while(0);f[ti>>2]=0;f[ui>>2]=0;f[ui+4>>2]=0;f[ui+8>>2]=0;f[ui+12>>2]=0;if((f[vi>>2]|0)>0){il=f[wi>>2]|0;ll=0;do{f[il+(ll<<2)>>2]=0;ll=ll+1|0}while((ll|0)<(f[vi>>2]|0))}ll=f[xi>>2]|0;if((ll|0)!=(yi|0))TC(ll);Xi(y);ll=kl*7|0;f[j>>2]=-2147483648;f[zi>>2]=2147483647;f[k>>2]=bl;f[Ai>>2]=ll;bU(C,ma,j,k);il=Bi;f[il>>2]=0;f[il+4>>2]=0;f[y>>2]=-1040121856;f[Ci>>2]=C;EI(t,y);il=f[Di>>2]|0;do if(il|0){cl=il+12|0;hl=f[cl>>2]|0;f[cl>>2]=hl+-1;if((hl|0)!=1)break;aU(C)}while(0);f[Di>>2]=0;f[Ei>>2]=0;f[Ei+4>>2]=0;f[Ei+8>>2]=0;f[Ei+12>>2]=0;if((f[Fi>>2]|0)>0){il=f[Gi>>2]|0;bl=0;do{f[il+(bl<<2)>>2]=0;bl=bl+1|0}while((bl|0)<(f[Fi>>2]|0))}bl=f[Hi>>2]|0;if((bl|0)!=(Ii|0))TC(bl);f[j>>2]=-2147483648;f[Ji>>2]=2147483647;f[k>>2]=ll;f[Ki>>2]=jl;bU(C,ma,j,k);bl=Li;f[bl>>2]=0;f[bl+4>>2]=0;f[y>>2]=-1040121856;f[Mi>>2]=C;EI(v,y);bl=f[Ni>>2]|0;do if(bl|0){il=bl+12|0;kl=f[il>>2]|0;f[il>>2]=kl+-1;if((kl|0)!=1)break;aU(C)}while(0);f[Ni>>2]=0;f[Oi>>2]=0;f[Oi+4>>2]=0;f[Oi+8>>2]=0;f[Oi+12>>2]=0;if((f[Pi>>2]|0)>0){bl=f[Qi>>2]|0;jl=0;do{f[bl+(jl<<2)>>2]=0;jl=jl+1|0}while((jl|0)<(f[Pi>>2]|0))}jl=f[Ri>>2]|0;if((jl|0)!=(Si|0))TC(jl);jl=f[Ti>>2]|0;do if(jl|0){bl=jl+12|0;ll=f[bl>>2]|0;f[bl>>2]=ll+-1;if((ll|0)!=1)break;aU(x)}while(0);f[Ti>>2]=0;f[Ui>>2]=0;f[Ui+4>>2]=0;f[Ui+8>>2]=0;f[Ui+12>>2]=0;if((f[zh>>2]|0)>0){jl=f[Bh>>2]|0;ll=0;do{f[jl+(ll<<2)>>2]=0;ll=ll+1|0}while((ll|0)<(f[zh>>2]|0))}ll=f[Dh>>2]|0;if((ll|0)!=(Ch|0))TC(ll);ll=f[Vi>>2]|0;do if(ll|0){jl=ll+12|0;bl=f[jl>>2]|0;f[jl>>2]=bl+-1;if((bl|0)!=1)break;aU(v)}while(0);f[Vi>>2]=0;f[Wi>>2]=0;f[Wi+4>>2]=0;f[Wi+8>>2]=0;f[Wi+12>>2]=0;if((f[Cg>>2]|0)>0){ll=f[Eg>>2]|0;bl=0;do{f[ll+(bl<<2)>>2]=0;bl=bl+1|0}while((bl|0)<(f[Cg>>2]|0))}bl=f[Gg>>2]|0;if((bl|0)!=(Fg|0))TC(bl);bl=f[Yi>>2]|0;do if(bl|0){ll=bl+12|0;jl=f[ll>>2]|0;f[ll>>2]=jl+-1;if((jl|0)!=1)break;aU(t)}while(0);f[Yi>>2]=0;f[Zi>>2]=0;f[Zi+4>>2]=0;f[Zi+8>>2]=0;f[Zi+12>>2]=0;if((f[wg>>2]|0)>0){bl=f[yg>>2]|0;jl=0;do{f[bl+(jl<<2)>>2]=0;jl=jl+1|0}while((jl|0)<(f[wg>>2]|0))}jl=f[Ag>>2]|0;if((jl|0)!=(zg|0))TC(jl);jl=f[Sh>>2]|0;do if(jl|0){bl=jl+12|0;ll=f[bl>>2]|0;f[bl>>2]=ll+-1;if((ll|0)!=1)break;aU(q)}while(0);f[Sh>>2]=0;f[Th>>2]=0;f[Th+4>>2]=0;f[Th+8>>2]=0;f[Th+12>>2]=0;if((f[ig>>2]|0)>0){jl=f[kg>>2]|0;ll=0;do{f[jl+(ll<<2)>>2]=0;ll=ll+1|0}while((ll|0)<(f[ig>>2]|0))}ll=f[mg>>2]|0;if((ll|0)!=(lg|0))TC(ll);ll=f[Qh>>2]|0;do if(ll|0){jl=ll+12|0;bl=f[jl>>2]|0;f[jl>>2]=bl+-1;if((bl|0)!=1)break;aU(o)}while(0);f[Qh>>2]=0;f[Rh>>2]=0;f[Rh+4>>2]=0;f[Rh+8>>2]=0;f[Rh+12>>2]=0;if((f[Vf>>2]|0)>0){ll=f[Xf>>2]|0;bl=0;do{f[ll+(bl<<2)>>2]=0;bl=bl+1|0}while((bl|0)<(f[Vf>>2]|0))}bl=f[Zf>>2]|0;if((bl|0)!=(Yf|0))TC(bl);bl=f[_i>>2]|0;do if(bl|0){ll=bl+12|0;jl=f[ll>>2]|0;f[ll>>2]=jl+-1;if((jl|0)!=1)break;aU(l)}while(0);f[_i>>2]=0;f[$i>>2]=0;f[$i+4>>2]=0;f[$i+8>>2]=0;f[$i+12>>2]=0;if((f[Of>>2]|0)>0){bl=f[Qf>>2]|0;jl=0;do{f[bl+(jl<<2)>>2]=0;jl=jl+1|0}while((jl|0)<(f[Of>>2]|0))}jl=f[Sf>>2]|0;if((jl|0)!=(Rf|0))TC(jl);break}case 0:{jl=f[Sb>>2]|0;bl=f[Xb>>2]|0;if(!((f[jl>>2]|0)==(f[bl>>2]|0)?(f[jl+4>>2]|0)==(f[bl+4>>2]|0):0)){$a=546;break b}if((f[Rb>>2]|0)!=(f[Zb>>2]|0)){$a=548;break b}bl=f[Ae>>2]|0;jl=f[Be>>2]|0;if((bl|0)!=(jl<<1|0)){$a=550;break b}if((f[ma>>2]&4095|0)!=5){$a=552;break b}f[j>>2]=-2147483648;f[aj>>2]=2147483647;f[k>>2]=0;f[bj>>2]=jl;bU(m,ma,j,k);ll=cj;f[ll>>2]=0;f[ll+4>>2]=0;f[l>>2]=-1040121856;f[dj>>2]=m;EI(ha,l);ll=f[ej>>2]|0;do if(ll|0){kl=ll+12|0;il=f[kl>>2]|0;f[kl>>2]=il+-1;if((il|0)!=1)break;aU(m)}while(0);f[ej>>2]=0;f[fj>>2]=0;f[fj+4>>2]=0;f[fj+8>>2]=0;f[fj+12>>2]=0;if((f[gj>>2]|0)>0){ll=f[hj>>2]|0;il=0;do{f[ll+(il<<2)>>2]=0;il=il+1|0}while((il|0)<(f[gj>>2]|0))}il=f[ij>>2]|0;if((il|0)!=(jj|0))TC(il);f[j>>2]=-2147483648;f[kj>>2]=2147483647;f[k>>2]=jl;f[lj>>2]=bl;bU(m,ma,j,k);il=mj;f[il>>2]=0;f[il+4>>2]=0;f[l>>2]=-1040121856;f[nj>>2]=m;EI(ia,l);il=f[oj>>2]|0;do if(il|0){ll=il+12|0;kl=f[ll>>2]|0;f[ll>>2]=kl+-1;if((kl|0)!=1)break;aU(m)}while(0);f[oj>>2]=0;f[pj>>2]=0;f[pj+4>>2]=0;f[pj+8>>2]=0;f[pj+12>>2]=0;if((f[qj>>2]|0)>0){il=f[rj>>2]|0;bl=0;do{f[il+(bl<<2)>>2]=0;bl=bl+1|0}while((bl|0)<(f[qj>>2]|0))}bl=f[sj>>2]|0;if((bl|0)!=(tj|0))TC(bl);break}case 1:{bl=f[Ya>>2]|0;il=f[Sb>>2]|0;jl=f[il+4>>2]|0;kl=f[il>>2]|0;il=f[Xb>>2]|0;if(!((kl|0)==(f[il>>2]|0)?(jl|0)==(f[il+4>>2]|0):0)){$a=571;break b}il=f[Ka>>2]|0;if(!((kl|0)==(f[il>>2]|0)?(jl|0)==(f[il+4>>2]|0):0)){$a=573;break b}il=f[hb>>2]|0;if(!((kl|0)==(f[il>>2]|0)?(jl|0)==(f[il+4>>2]|0):0)){$a=575;break b}if((f[Rb>>2]|0)!=(f[Zb>>2]|0)){$a=577;break b}il=f[Ae>>2]|0;jl=f[Be>>2]|0;if((il|0)!=(jl*3|0)){$a=579;break b}if((f[ma>>2]&4095|0)!=5){$a=581;break b}if(!(f[J>>2]&16384)){$a=583;break b}ql=+n[bl>>2];nl=+n[bl+12>>2];jT(k,Q,nl);hT(j,k);el=ql;jT(o,R,el);fT(m,j,o);f[l>>2]=1124007936;Qa=uj;Sa=Qa+36|0;do{f[Qa>>2]=0;Qa=Qa+4|0}while((Qa|0)<(Sa|0));f[wj>>2]=vj;f[yj>>2]=xj;f[xj>>2]=0;f[zj>>2]=0;bl=f[m>>2]|0;sh[f[(f[bl>>2]|0)+12>>2]&255](bl,m,l,-1);Xi(m);Xi(o);Xi(j);Xi(k);jT(j,Q,el);jT(k,R,nl);fT(q,j,k);f[o>>2]=1124007936;Qa=Aj;Sa=Qa+36|0;do{f[Qa>>2]=0;Qa=Qa+4|0}while((Qa|0)<(Sa|0));f[Cj>>2]=Bj;f[Ej>>2]=Dj;f[Dj>>2]=0;f[Fj>>2]=0;bl=f[q>>2]|0;sh[f[(f[bl>>2]|0)+12>>2]&255](bl,q,o,-1);Xi(q);Xi(k);Xi(j);f[Gj>>2]=0;f[Hj>>2]=0;f[v>>2]=16842752;f[Ij>>2]=l;vT(t,ha,v,1.0);f[Jj>>2]=0;f[Kj>>2]=0;f[x>>2]=16842752;f[Lj>>2]=o;vT(w,ia,x,1.0);bT(r,t,w);f[j>>2]=-2147483648;f[Mj>>2]=2147483647;f[k>>2]=0;f[Nj>>2]=jl;bU(y,ma,j,k);bl=f[r>>2]|0;sh[f[(f[bl>>2]|0)+12>>2]&255](bl,r,y,-1);bl=f[Oj>>2]|0;do if(bl|0){kl=bl+12|0;ll=f[kl>>2]|0;f[kl>>2]=ll+-1;if((ll|0)!=1)break;aU(y)}while(0);f[Oj>>2]=0;f[Pj>>2]=0;f[Pj+4>>2]=0;f[Pj+8>>2]=0;f[Pj+12>>2]=0;if((f[Qj>>2]|0)>0){bl=f[Rj>>2]|0;ll=0;do{f[bl+(ll<<2)>>2]=0;ll=ll+1|0}while((ll|0)<(f[Qj>>2]|0))}ll=f[Sj>>2]|0;if((ll|0)!=(Tj|0))TC(ll);Xi(r);Xi(w);Xi(t);ll=jl<<1;f[j>>2]=-2147483648;f[Uj>>2]=2147483647;f[k>>2]=jl;f[Vj>>2]=ll;bU(t,ma,j,k);bl=Wj;f[bl>>2]=0;f[bl+4>>2]=0;f[r>>2]=-1040121856;f[Xj>>2]=t;EI(ha,r);bl=f[Yj>>2]|0;do if(bl|0){kl=bl+12|0;hl=f[kl>>2]|0;f[kl>>2]=hl+-1;if((hl|0)!=1)break;aU(t)}while(0);f[Yj>>2]=0;f[Zj>>2]=0;f[Zj+4>>2]=0;f[Zj+8>>2]=0;f[Zj+12>>2]=0;if((f[_j>>2]|0)>0){bl=f[$j>>2]|0;jl=0;do{f[bl+(jl<<2)>>2]=0;jl=jl+1|0}while((jl|0)<(f[_j>>2]|0))}jl=f[ak>>2]|0;if((jl|0)!=(bk|0))TC(jl);f[j>>2]=-2147483648;f[ck>>2]=2147483647;f[k>>2]=ll;f[dk>>2]=il;bU(t,ma,j,k);jl=ek;f[jl>>2]=0;f[jl+4>>2]=0;f[r>>2]=-1040121856;f[fk>>2]=t;EI(ia,r);jl=f[gk>>2]|0;do if(jl|0){bl=jl+12|0;hl=f[bl>>2]|0;f[bl>>2]=hl+-1;if((hl|0)!=1)break;aU(t)}while(0);f[gk>>2]=0;f[hk>>2]=0;f[hk+4>>2]=0;f[hk+8>>2]=0;f[hk+12>>2]=0;if((f[ik>>2]|0)>0){jl=f[jk>>2]|0;il=0;do{f[jl+(il<<2)>>2]=0;il=il+1|0}while((il|0)<(f[ik>>2]|0))}il=f[kk>>2]|0;if((il|0)!=(lk|0))TC(il);il=f[mk>>2]|0;do if(il|0){jl=il+12|0;ll=f[jl>>2]|0;f[jl>>2]=ll+-1;if((ll|0)!=1)break;aU(o)}while(0);f[mk>>2]=0;f[nk>>2]=0;f[nk+4>>2]=0;f[nk+8>>2]=0;f[nk+12>>2]=0;if((f[Aj>>2]|0)>0){il=f[Cj>>2]|0;ll=0;do{f[il+(ll<<2)>>2]=0;ll=ll+1|0}while((ll|0)<(f[Aj>>2]|0))}ll=f[Ej>>2]|0;if((ll|0)!=(Dj|0))TC(ll);ll=f[ok>>2]|0;do if(ll|0){il=ll+12|0;jl=f[il>>2]|0;f[il>>2]=jl+-1;if((jl|0)!=1)break;aU(l)}while(0);f[ok>>2]=0;f[pk>>2]=0;f[pk+4>>2]=0;f[pk+8>>2]=0;f[pk+12>>2]=0;if((f[uj>>2]|0)>0){ll=f[wj>>2]|0;jl=0;do{f[ll+(jl<<2)>>2]=0;jl=jl+1|0}while((jl|0)<(f[uj>>2]|0))}jl=f[yj>>2]|0;if((jl|0)!=(xj|0))TC(jl);break}default:{}}nCa(ma,ma,na);uT(j,na,0);jl=f[j>>2]|0;sh[f[(f[jl>>2]|0)+12>>2]&255](jl,j,oa,-1);Xi(j);f[le>>2]=0;f[me>>2]=0;f[j>>2]=16842752;f[ne>>2]=W;nl=+uR(T,j);el=nl/(fl*gl);p[s>>3]=el;if(((f[s+4>>2]&2147483647)+((f[s>>2]|0)!=0&1)|0)>>>0>2146435072){$a=626;break}nCa(ma,W,pa);nCa(ma,T,qa);iT(j,oa,pa);jl=f[j>>2]|0;sh[f[(f[jl>>2]|0)+12>>2]&255](jl,j,ra,-1);Xi(j);f[oe>>2]=0;f[pe>>2]=0;f[j>>2]=16842752;f[qe>>2]=ra;ql=gl*gl-+uR(pa,j);f[re>>2]=0;f[se>>2]=0;f[j>>2]=16842752;f[te>>2]=ra;pl=nl-+uR(qa,j);if(pl<=0.0){$a=628;break}kT(k,ql/pl,T);dT(j,k,W);jl=f[j>>2]|0;sh[f[(f[jl>>2]|0)+12>>2]&255](jl,j,ua,-1);Xi(j);Xi(k);nCa(ma,ua,sa);iT(j,oa,sa);jl=f[j>>2]|0;sh[f[(f[jl>>2]|0)+12>>2]&255](jl,j,ta,-1);Xi(j);jl=f[J>>2]|0;if((jl&4095|0)!=5){$a=630;break}ll=f[ta>>2]|0;if((ll&4095|0)!=5){$a=632;break}if(!xe){$a=634;break}il=f[_a>>2]|0;do if(g){if(!((il|0)==3&(f[yc>>2]|0)==8)){$a=637;break b}}else{hl=(il|0)==2;bl=f[yc>>2]|0;if(we)if(hl&(bl|0)==6)break;else{$a=640;break b}if(ve)if(hl&(bl|0)==3)break;else{$a=643;break b}else if(hl&(bl|0)==2)break;else{$a=645;break b}}while(0);if((f[ye>>2]|0)!=1){$a=647;break}if(!(jl&16384)){$a=649;break}if(!(ll&16384)){$a=651;break}il=f[Ya>>2]|0;bl=f[ze>>2]|0;if(ue){hl=il+8|0;n[hl>>2]=+n[bl>>2]+ +n[hl>>2];hl=il+20|0;n[hl>>2]=+n[bl+4>>2]+ +n[hl>>2]}if(we){n[il>>2]=+n[bl>>2]+ +n[il>>2];hl=il+12|0;n[hl>>2]=+n[bl+4>>2]+ +n[hl>>2];hl=il+4|0;n[hl>>2]=+n[bl+8>>2]+ +n[hl>>2];hl=il+16|0;n[hl>>2]=+n[bl+12>>2]+ +n[hl>>2];hl=il+8|0;n[hl>>2]=+n[bl+16>>2]+ +n[hl>>2];hl=il+20|0;n[hl>>2]=+n[bl+20>>2]+ +n[hl>>2]}if(g){n[il>>2]=+n[bl>>2]+ +n[il>>2];hl=il+12|0;n[hl>>2]=+n[bl+4>>2]+ +n[hl>>2];hl=il+24|0;n[hl>>2]=+n[bl+8>>2]+ +n[hl>>2];hl=il+4|0;n[hl>>2]=+n[bl+12>>2]+ +n[hl>>2];hl=il+16|0;n[hl>>2]=+n[bl+16>>2]+ +n[hl>>2];hl=il+28|0;n[hl>>2]=+n[bl+20>>2]+ +n[hl>>2];hl=il+8|0;n[hl>>2]=+n[bl+24>>2]+ +n[hl>>2];hl=il+20|0;n[hl>>2]=+n[bl+28>>2]+ +n[hl>>2]}if(ve){hl=il+12|0;gl=+n[bl>>2]+ +S(+(+n[hl>>2]));kl=il+8|0;n[kl>>2]=+n[bl+4>>2]+ +n[kl>>2];kl=il+20|0;n[kl>>2]=+n[bl+8>>2]+ +n[kl>>2];fl=+O(+gl);n[il+16>>2]=fl;n[il>>2]=fl;fl=+P(+gl);n[hl>>2]=fl;n[il+4>>2]=-fl}if(($k|0)<(cb|0)){fl=_k;_k=el;$k=$k+1|0;al=fl}else{Fc=el;break a}}switch($a|0){case 346:{$k=cuc(32)|0;f[j>>2]=$k;f[j+8>>2]=-2147483616;f[j+4>>2]=26;Qa=$k;Ra=385440;Sa=Qa+26|0;do{b[Qa>>0]=b[Ra>>0]|0;Qa=Qa+1|0;Ra=Ra+1|0}while((Qa|0)<(Sa|0));b[$k+26>>0]=0;WD(-215,j,385467,384959,167);break}case 348:{ve=cuc(32)|0;f[j>>2]=ve;f[j+8>>2]=-2147483616;f[j+4>>2]=26;Qa=ve;Ra=385493;Sa=Qa+26|0;do{b[Qa>>0]=b[Ra>>0]|0;Qa=Qa+1|0;Ra=Ra+1|0}while((Qa|0)<(Sa|0));b[ve+26>>0]=0;WD(-215,j,385467,384959,168);break}case 350:{$k=cuc(32)|0;f[j>>2]=$k;f[j+8>>2]=-2147483616;f[j+4>>2]=26;Qa=$k;Ra=385520;Sa=Qa+26|0;do{b[Qa>>0]=b[Ra>>0]|0;Qa=Qa+1|0;Ra=Ra+1|0}while((Qa|0)<(Sa|0));b[$k+26>>0]=0;WD(-215,j,385467,384959,169);break}case 352:{ve=cuc(32)|0;f[j>>2]=ve;f[j+8>>2]=-2147483616;f[j+4>>2]=21;Qa=ve;Ra=385547;Sa=Qa+21|0;do{b[Qa>>0]=b[Ra>>0]|0;Qa=Qa+1|0;Ra=Ra+1|0}while((Qa|0)<(Sa|0));b[ve+21>>0]=0;WD(-215,j,385467,384959,171);break}case 354:{$k=cuc(32)|0;f[j>>2]=$k;f[j+8>>2]=-2147483616;f[j+4>>2]=25;Qa=$k;Ra=385569;Sa=Qa+25|0;do{b[Qa>>0]=b[Ra>>0]|0;Qa=Qa+1|0;Ra=Ra+1|0}while((Qa|0)<(Sa|0));b[$k+25>>0]=0;WD(-215,j,385467,384959,172);break}case 356:{ve=cuc(32)|0;f[j>>2]=ve;f[j+8>>2]=-2147483616;f[j+4>>2]=22;Qa=ve;Ra=385595;Sa=Qa+22|0;do{b[Qa>>0]=b[Ra>>0]|0;Qa=Qa+1|0;Ra=Ra+1|0}while((Qa|0)<(Sa|0));b[ve+22>>0]=0;WD(-215,j,385467,384959,174);break}case 407:{$k=cuc(32)|0;f[j>>2]=$k;f[j+8>>2]=-2147483616;f[j+4>>2]=26;Qa=$k;Ra=385440;Sa=Qa+26|0;do{b[Qa>>0]=b[Ra>>0]|0;Qa=Qa+1|0;Ra=Ra+1|0}while((Qa|0)<(Sa|0));b[$k+26>>0]=0;WD(-215,j,385618,384959,57);break}case 409:{ve=cuc(32)|0;f[j>>2]=ve;f[j+8>>2]=-2147483616;f[j+4>>2]=26;Qa=ve;Ra=385493;Sa=Qa+26|0;do{b[Qa>>0]=b[Ra>>0]|0;Qa=Qa+1|0;Ra=Ra+1|0}while((Qa|0)<(Sa|0));b[ve+26>>0]=0;WD(-215,j,385618,384959,58);break}case 411:{$k=cuc(32)|0;f[j>>2]=$k;f[j+8>>2]=-2147483616;f[j+4>>2]=26;Qa=$k;Ra=385520;Sa=Qa+26|0;do{b[Qa>>0]=b[Ra>>0]|0;Qa=Qa+1|0;Ra=Ra+1|0}while((Qa|0)<(Sa|0));b[$k+26>>0]=0;WD(-215,j,385618,384959,59);break}case 413:{ve=cuc(32)|0;f[j>>2]=ve;f[j+8>>2]=-2147483616;f[j+4>>2]=21;Qa=ve;Ra=385547;Sa=Qa+21|0;do{b[Qa>>0]=b[Ra>>0]|0;Qa=Qa+1|0;Ra=Ra+1|0}while((Qa|0)<(Sa|0));b[ve+21>>0]=0;WD(-215,j,385618,384959,61);break}case 415:{$k=cuc(32)|0;f[j>>2]=$k;f[j+8>>2]=-2147483616;f[j+4>>2]=25;Qa=$k;Ra=385642;Sa=Qa+25|0;do{b[Qa>>0]=b[Ra>>0]|0;Qa=Qa+1|0;Ra=Ra+1|0}while((Qa|0)<(Sa|0));b[$k+25>>0]=0;WD(-215,j,385618,384959,62);break}case 417:{ve=cuc(32)|0;f[j>>2]=ve;f[j+8>>2]=-2147483616;f[j+4>>2]=22;Qa=ve;Ra=385595;Sa=Qa+22|0;do{b[Qa>>0]=b[Ra>>0]|0;Qa=Qa+1|0;Ra=Ra+1|0}while((Qa|0)<(Sa|0));b[ve+22>>0]=0;WD(-215,j,385618,384959,63);break}case 419:{$k=cuc(32)|0;f[j>>2]=$k;f[j+8>>2]=-2147483616;f[j+4>>2]=19;Qa=$k;Ra=385668;Sa=Qa+19|0;do{b[Qa>>0]=b[Ra>>0]|0;Qa=Qa+1|0;Ra=Ra+1|0}while((Qa|0)<(Sa|0));b[$k+19>>0]=0;WD(-215,j,385618,384959,65);break}case 546:{ve=cuc(32)|0;f[j>>2]=ve;f[j+8>>2]=-2147483616;f[j+4>>2]=24;Qa=ve;Ra=385688;Sa=Qa+24|0;do{b[Qa>>0]=b[Ra>>0]|0;Qa=Qa+1|0;Ra=Ra+1|0}while((Qa|0)<(Sa|0));b[ve+24>>0]=0;WD(-215,j,385713,384959,193);break}case 548:{$k=cuc(32)|0;f[j>>2]=$k;f[j+8>>2]=-2147483616;f[j+4>>2]=21;Qa=$k;Ra=385547;Sa=Qa+21|0;do{b[Qa>>0]=b[Ra>>0]|0;Qa=Qa+1|0;Ra=Ra+1|0}while((Qa|0)<(Sa|0));b[$k+21>>0]=0;WD(-215,j,385713,384959,195);break}case 550:{ve=cuc(32)|0;f[j>>2]=ve;f[j+8>>2]=-2147483616;f[j+4>>2]=25;Qa=ve;Ra=385744;Sa=Qa+25|0;do{b[Qa>>0]=b[Ra>>0]|0;Qa=Qa+1|0;Ra=Ra+1|0}while((Qa|0)<(Sa|0));b[ve+25>>0]=0;WD(-215,j,385713,384959,196);break}case 552:{$k=cuc(32)|0;f[j>>2]=$k;f[j+8>>2]=-2147483616;f[j+4>>2]=22;Qa=$k;Ra=385595;Sa=Qa+22|0;do{b[Qa>>0]=b[Ra>>0]|0;Qa=Qa+1|0;Ra=Ra+1|0}while((Qa|0)<(Sa|0));b[$k+22>>0]=0;WD(-215,j,385713,384959,197);break}case 571:{ve=cuc(32)|0;f[j>>2]=ve;f[j+8>>2]=-2147483616;f[j+4>>2]=24;Qa=ve;Ra=385688;Sa=Qa+24|0;do{b[Qa>>0]=b[Ra>>0]|0;Qa=Qa+1|0;Ra=Ra+1|0}while((Qa|0)<(Sa|0));b[ve+24>>0]=0;WD(-215,j,385770,384959,130);break}case 573:{$k=cuc(32)|0;f[j>>2]=$k;f[j+8>>2]=-2147483616;f[j+4>>2]=24;Qa=$k;Ra=385799;Sa=Qa+24|0;do{b[Qa>>0]=b[Ra>>0]|0;Qa=Qa+1|0;Ra=Ra+1|0}while((Qa|0)<(Sa|0));b[$k+24>>0]=0;WD(-215,j,385770,384959,131);break}case 575:{ve=cuc(32)|0;f[j>>2]=ve;f[j+8>>2]=-2147483616;f[j+4>>2]=24;Qa=ve;Ra=385824;Sa=Qa+24|0;do{b[Qa>>0]=b[Ra>>0]|0;Qa=Qa+1|0;Ra=Ra+1|0}while((Qa|0)<(Sa|0));b[ve+24>>0]=0;WD(-215,j,385770,384959,132);break}case 577:{$k=cuc(32)|0;f[j>>2]=$k;f[j+8>>2]=-2147483616;f[j+4>>2]=21;Qa=$k;Ra=385547;Sa=Qa+21|0;do{b[Qa>>0]=b[Ra>>0]|0;Qa=Qa+1|0;Ra=Ra+1|0}while((Qa|0)<(Sa|0));b[$k+21>>0]=0;WD(-215,j,385770,384959,134);break}case 579:{ve=cuc(32)|0;f[j>>2]=ve;f[j+8>>2]=-2147483616;f[j+4>>2]=25;Qa=ve;Ra=385849;Sa=Qa+25|0;do{b[Qa>>0]=b[Ra>>0]|0;Qa=Qa+1|0;Ra=Ra+1|0}while((Qa|0)<(Sa|0));b[ve+25>>0]=0;WD(-215,j,385770,384959,135);break}case 581:{$k=cuc(32)|0;f[j>>2]=$k;f[j+8>>2]=-2147483616;f[j+4>>2]=22;Qa=$k;Ra=385595;Sa=Qa+22|0;do{b[Qa>>0]=b[Ra>>0]|0;Qa=Qa+1|0;Ra=Ra+1|0}while((Qa|0)<(Sa|0));b[$k+22>>0]=0;WD(-215,j,385770,384959,136);break}case 583:{ve=cuc(32)|0;f[j>>2]=ve;f[j+8>>2]=-2147483616;f[j+4>>2]=19;Qa=ve;Ra=385668;Sa=Qa+19|0;do{b[Qa>>0]=b[Ra>>0]|0;Qa=Qa+1|0;Ra=Ra+1|0}while((Qa|0)<(Sa|0));b[ve+19>>0]=0;WD(-215,j,385770,384959,138);break}case 626:{f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;$k=cuc(32)|0;f[j>>2]=$k;f[j+8>>2]=-2147483616;f[j+4>>2]=16;Qa=$k;Ra=385875;Sa=Qa+16|0;do{b[Qa>>0]=b[Ra>>0]|0;Qa=Qa+1|0;Ra=Ra+1|0}while((Qa|0)<(Sa|0));b[$k+16>>0]=0;WD(-7,j,384942,384959,525);break}case 628:{f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;ve=cuc(144)|0;f[j>>2]=ve;f[j+8>>2]=-2147483504;f[j+4>>2]=132;szc(ve|0,385892,132)|0;b[ve+132>>0]=0;WD(-7,j,384942,384959,540);break}case 630:{ve=cuc(32)|0;f[j>>2]=ve;f[j+8>>2]=-2147483616;f[j+4>>2]=29;Qa=ve;Ra=386025;Sa=Qa+29|0;do{b[Qa>>0]=b[Ra>>0]|0;Qa=Qa+1|0;Ra=Ra+1|0}while((Qa|0)<(Sa|0));b[ve+29>>0]=0;WD(-215,j,386055,384959,252);break}case 632:{$k=cuc(32)|0;f[j>>2]=$k;f[j+8>>2]=-2147483616;f[j+4>>2]=25;Qa=$k;Ra=386081;Sa=Qa+25|0;do{b[Qa>>0]=b[Ra>>0]|0;Qa=Qa+1|0;Ra=Ra+1|0}while((Qa|0)<(Sa|0));b[$k+25>>0]=0;WD(-215,j,386055,384959,253);break}case 634:{ve=cuc(144)|0;f[j>>2]=ve;f[j+8>>2]=-2147483504;f[j+4>>2]=132;szc(ve|0,386107,132)|0;b[ve+132>>0]=0;WD(-215,j,386055,384959,256);break}case 637:{ve=cuc(48)|0;f[j>>2]=ve;f[j+8>>2]=-2147483600;f[j+4>>2]=40;Qa=ve;Ra=386240;Sa=Qa+40|0;do{b[Qa>>0]=b[Ra>>0]|0;Qa=Qa+1|0;Ra=Ra+1|0}while((Qa|0)<(Sa|0));b[ve+40>>0]=0;WD(-215,j,386055,384959,259);break}case 640:{$k=cuc(48)|0;f[j>>2]=$k;f[j+8>>2]=-2147483600;f[j+4>>2]=40;Qa=$k;Ra=386281;Sa=Qa+40|0;do{b[Qa>>0]=b[Ra>>0]|0;Qa=Qa+1|0;Ra=Ra+1|0}while((Qa|0)<(Sa|0));b[$k+40>>0]=0;WD(-215,j,386055,384959,261);break}case 643:{ve=cuc(48)|0;f[j>>2]=ve;f[j+8>>2]=-2147483600;f[j+4>>2]=40;Qa=ve;Ra=386322;Sa=Qa+40|0;do{b[Qa>>0]=b[Ra>>0]|0;Qa=Qa+1|0;Ra=Ra+1|0}while((Qa|0)<(Sa|0));b[ve+40>>0]=0;WD(-215,j,386055,384959,263);break}case 645:{$k=cuc(48)|0;f[j>>2]=$k;f[j+8>>2]=-2147483600;f[j+4>>2]=40;Qa=$k;Ra=386363;Sa=Qa+40|0;do{b[Qa>>0]=b[Ra>>0]|0;Qa=Qa+1|0;Ra=Ra+1|0}while((Qa|0)<(Sa|0));b[$k+40>>0]=0;WD(-215,j,386055,384959,265);break}case 647:{ve=cuc(32)|0;f[j>>2]=ve;f[j+8>>2]=-2147483616;f[j+4>>2]=16;Qa=ve;Ra=386404;Sa=Qa+16|0;do{b[Qa>>0]=b[Ra>>0]|0;Qa=Qa+1|0;Ra=Ra+1|0}while((Qa|0)<(Sa|0));b[ve+16>>0]=0;WD(-215,j,386055,384959,267);break}case 649:{$k=cuc(32)|0;f[j>>2]=$k;f[j+8>>2]=-2147483616;f[j+4>>2]=25;Qa=$k;Ra=386421;Sa=Qa+25|0;do{b[Qa>>0]=b[Ra>>0]|0;Qa=Qa+1|0;Ra=Ra+1|0}while((Qa|0)<(Sa|0));b[$k+25>>0]=0;WD(-215,j,386055,384959,269);break}case 651:{ve=cuc(32)|0;f[j>>2]=ve;f[j+8>>2]=-2147483616;f[j+4>>2]=21;Qa=ve;Ra=386447;Sa=Qa+21|0;do{b[Qa>>0]=b[Ra>>0]|0;Qa=Qa+1|0;Ra=Ra+1|0}while((Qa|0)<(Sa|0));b[ve+21>>0]=0;WD(-215,j,386055,384959,270);break}}}while(0);j=ua+36|0;Ra=f[j>>2]|0;do if(Ra|0){Qa=Ra+12|0;Sa=f[Qa>>2]|0;f[Qa>>2]=Sa+-1;if((Sa|0)!=1)break;aU(ua)}while(0);f[j>>2]=0;j=ua+16|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;if((f[eb>>2]|0)>0){j=f[Dc>>2]|0;Dc=0;do{f[j+(Dc<<2)>>2]=0;Dc=Dc+1|0}while((Dc|0)<(f[eb>>2]|0))}eb=f[Ec>>2]|0;if((eb|0)!=(Cc|0))TC(eb);eb=ta+36|0;Cc=f[eb>>2]|0;do if(Cc|0){Ec=Cc+12|0;Dc=f[Ec>>2]|0;f[Ec>>2]=Dc+-1;if((Dc|0)!=1)break;aU(ta)}while(0);f[eb>>2]=0;eb=ta+16|0;f[eb>>2]=0;f[eb+4>>2]=0;f[eb+8>>2]=0;f[eb+12>>2]=0;if((f[xc>>2]|0)>0){eb=f[zc>>2]|0;zc=0;do{f[eb+(zc<<2)>>2]=0;zc=zc+1|0}while((zc|0)<(f[xc>>2]|0))}xc=f[Bc>>2]|0;if((xc|0)!=(Ac|0))TC(xc);xc=sa+36|0;Ac=f[xc>>2]|0;do if(Ac|0){Bc=Ac+12|0;zc=f[Bc>>2]|0;f[Bc>>2]=zc+-1;if((zc|0)!=1)break;aU(sa)}while(0);f[xc>>2]=0;xc=sa+16|0;f[xc>>2]=0;f[xc+4>>2]=0;f[xc+8>>2]=0;f[xc+12>>2]=0;if((f[tc>>2]|0)>0){xc=f[vc>>2]|0;vc=0;do{f[xc+(vc<<2)>>2]=0;vc=vc+1|0}while((vc|0)<(f[tc>>2]|0))}tc=f[wc>>2]|0;if((tc|0)!=(uc|0))TC(tc);tc=ra+36|0;uc=f[tc>>2]|0;do if(uc|0){wc=uc+12|0;vc=f[wc>>2]|0;f[wc>>2]=vc+-1;if((vc|0)!=1)break;aU(ra)}while(0);f[tc>>2]=0;tc=ra+16|0;f[tc>>2]=0;f[tc+4>>2]=0;f[tc+8>>2]=0;f[tc+12>>2]=0;if((f[pc>>2]|0)>0){tc=f[rc>>2]|0;rc=0;do{f[tc+(rc<<2)>>2]=0;rc=rc+1|0}while((rc|0)<(f[pc>>2]|0))}pc=f[sc>>2]|0;if((pc|0)!=(qc|0))TC(pc);pc=qa+36|0;qc=f[pc>>2]|0;do if(qc|0){sc=qc+12|0;rc=f[sc>>2]|0;f[sc>>2]=rc+-1;if((rc|0)!=1)break;aU(qa)}while(0);f[pc>>2]=0;pc=qa+16|0;f[pc>>2]=0;f[pc+4>>2]=0;f[pc+8>>2]=0;f[pc+12>>2]=0;if((f[lc>>2]|0)>0){pc=f[nc>>2]|0;nc=0;do{f[pc+(nc<<2)>>2]=0;nc=nc+1|0}while((nc|0)<(f[lc>>2]|0))}lc=f[oc>>2]|0;if((lc|0)!=(mc|0))TC(lc);lc=pa+36|0;mc=f[lc>>2]|0;do if(mc|0){oc=mc+12|0;nc=f[oc>>2]|0;f[oc>>2]=nc+-1;if((nc|0)!=1)break;aU(pa)}while(0);f[lc>>2]=0;lc=pa+16|0;f[lc>>2]=0;f[lc+4>>2]=0;f[lc+8>>2]=0;f[lc+12>>2]=0;if((f[hc>>2]|0)>0){lc=f[jc>>2]|0;jc=0;do{f[lc+(jc<<2)>>2]=0;jc=jc+1|0}while((jc|0)<(f[hc>>2]|0))}hc=f[kc>>2]|0;if((hc|0)!=(ic|0))TC(hc);hc=oa+36|0;ic=f[hc>>2]|0;do if(ic|0){kc=ic+12|0;jc=f[kc>>2]|0;f[kc>>2]=jc+-1;if((jc|0)!=1)break;aU(oa)}while(0);f[hc>>2]=0;hc=oa+16|0;f[hc>>2]=0;f[hc+4>>2]=0;f[hc+8>>2]=0;f[hc+12>>2]=0;if((f[dc>>2]|0)>0){hc=f[fc>>2]|0;fc=0;do{f[hc+(fc<<2)>>2]=0;fc=fc+1|0}while((fc|0)<(f[dc>>2]|0))}dc=f[gc>>2]|0;if((dc|0)!=(ec|0))TC(dc);dc=na+36|0;ec=f[dc>>2]|0;do if(ec|0){gc=ec+12|0;fc=f[gc>>2]|0;f[gc>>2]=fc+-1;if((fc|0)!=1)break;aU(na)}while(0);f[dc>>2]=0;dc=na+16|0;f[dc>>2]=0;f[dc+4>>2]=0;f[dc+8>>2]=0;f[dc+12>>2]=0;if((f[la>>2]|0)>0){dc=f[bc>>2]|0;bc=0;do{f[dc+(bc<<2)>>2]=0;bc=bc+1|0}while((bc|0)<(f[la>>2]|0))}la=f[cc>>2]|0;if((la|0)!=(ac|0))TC(la);la=ma+36|0;ac=f[la>>2]|0;do if(ac|0){cc=ac+12|0;bc=f[cc>>2]|0;f[cc>>2]=bc+-1;if((bc|0)!=1)break;aU(ma)}while(0);f[la>>2]=0;la=ma+16|0;f[la>>2]=0;f[la+4>>2]=0;f[la+8>>2]=0;f[la+12>>2]=0;if((f[_b>>2]|0)>0){la=f[ja>>2]|0;ja=0;do{f[la+(ja<<2)>>2]=0;ja=ja+1|0}while((ja|0)<(f[_b>>2]|0))}_b=f[$b>>2]|0;if((_b|0)!=(ka|0))TC(_b);_b=ia+36|0;ka=f[_b>>2]|0;do if(ka|0){$b=ka+12|0;ja=f[$b>>2]|0;f[$b>>2]=ja+-1;if((ja|0)!=1)break;aU(ia)}while(0);f[_b>>2]=0;_b=ia+16|0;f[_b>>2]=0;f[_b+4>>2]=0;f[_b+8>>2]=0;f[_b+12>>2]=0;if((f[Vb>>2]|0)>0){_b=f[Xb>>2]|0;Xb=0;do{f[_b+(Xb<<2)>>2]=0;Xb=Xb+1|0}while((Xb|0)<(f[Vb>>2]|0))}Vb=f[Yb>>2]|0;if((Vb|0)!=(Wb|0))TC(Vb);Vb=ha+36|0;Wb=f[Vb>>2]|0;do if(Wb|0){Yb=Wb+12|0;Xb=f[Yb>>2]|0;f[Yb>>2]=Xb+-1;if((Xb|0)!=1)break;aU(ha)}while(0);f[Vb>>2]=0;Vb=ha+16|0;f[Vb>>2]=0;f[Vb+4>>2]=0;f[Vb+8>>2]=0;f[Vb+12>>2]=0;if((f[ga>>2]|0)>0){Vb=f[Sb>>2]|0;Sb=0;do{f[Vb+(Sb<<2)>>2]=0;Sb=Sb+1|0}while((Sb|0)<(f[ga>>2]|0))}ga=f[Ub>>2]|0;if((ga|0)!=(Tb|0))TC(ga);ga=fa+36|0;Tb=f[ga>>2]|0;do if(Tb|0){Ub=Tb+12|0;Sb=f[Ub>>2]|0;f[Ub>>2]=Sb+-1;if((Sb|0)!=1)break;aU(fa)}while(0);f[ga>>2]=0;ga=fa+16|0;f[ga>>2]=0;f[ga+4>>2]=0;f[ga+8>>2]=0;f[ga+12>>2]=0;if((f[Ha>>2]|0)>0){ga=f[ea>>2]|0;ea=0;do{f[ga+(ea<<2)>>2]=0;ea=ea+1|0}while((ea|0)<(f[Ha>>2]|0))}Ha=f[Qb>>2]|0;if((Ha|0)!=(bb|0))TC(Ha);Ha=da+36|0;bb=f[Ha>>2]|0;do if(bb|0){Qb=bb+12|0;ea=f[Qb>>2]|0;f[Qb>>2]=ea+-1;if((ea|0)!=1)break;aU(da)}while(0);f[Ha>>2]=0;Ha=da+16|0;f[Ha>>2]=0;f[Ha+4>>2]=0;f[Ha+8>>2]=0;f[Ha+12>>2]=0;if((f[ca>>2]|0)>0){Ha=f[Ob>>2]|0;Ob=0;do{f[Ha+(Ob<<2)>>2]=0;Ob=Ob+1|0}while((Ob|0)<(f[ca>>2]|0))}ca=f[Pb>>2]|0;if((ca|0)!=(ba|0))TC(ca);ca=aa+36|0;ba=f[ca>>2]|0;do if(ba|0){Pb=ba+12|0;Ob=f[Pb>>2]|0;f[Pb>>2]=Ob+-1;if((Ob|0)!=1)break;aU(aa)}while(0);f[ca>>2]=0;ca=aa+16|0;f[ca>>2]=0;f[ca+4>>2]=0;f[ca+8>>2]=0;f[ca+12>>2]=0;if((f[$>>2]|0)>0){ca=f[Nb>>2]|0;Nb=0;do{f[ca+(Nb<<2)>>2]=0;Nb=Nb+1|0}while((Nb|0)<(f[$>>2]|0))}$=f[Mb>>2]|0;if(($|0)!=(h|0))TC($);$=_+36|0;h=f[$>>2]|0;do if(h|0){Mb=h+12|0;Nb=f[Mb>>2]|0;f[Mb>>2]=Nb+-1;if((Nb|0)!=1)break;aU(_)}while(0);f[$>>2]=0;$=_+16|0;f[$>>2]=0;f[$+4>>2]=0;f[$+8>>2]=0;f[$+12>>2]=0;if((f[Ib>>2]|0)>0){$=f[Kb>>2]|0;Kb=0;do{f[$+(Kb<<2)>>2]=0;Kb=Kb+1|0}while((Kb|0)<(f[Ib>>2]|0))}Ib=f[Lb>>2]|0;if((Ib|0)!=(Jb|0))TC(Ib);Ib=Z+36|0;Jb=f[Ib>>2]|0;do if(Jb|0){Lb=Jb+12|0;Kb=f[Lb>>2]|0;f[Lb>>2]=Kb+-1;if((Kb|0)!=1)break;aU(Z)}while(0);f[Ib>>2]=0;Ib=Z+16|0;Jb=Z+4|0;f[Ib>>2]=0;f[Ib+4>>2]=0;f[Ib+8>>2]=0;f[Ib+12>>2]=0;if((f[Jb>>2]|0)>0){Ib=f[Z+40>>2]|0;Kb=0;do{f[Ib+(Kb<<2)>>2]=0;Kb=Kb+1|0}while((Kb|0)<(f[Jb>>2]|0))}Jb=f[Z+44>>2]|0;if((Jb|0)!=(Z+48|0))TC(Jb);Jb=X+36|0;Z=f[Jb>>2]|0;do if(Z|0){Kb=Z+12|0;Ib=f[Kb>>2]|0;f[Kb>>2]=Ib+-1;if((Ib|0)!=1)break;aU(X)}while(0);f[Jb>>2]=0;Jb=X+16|0;f[Jb>>2]=0;f[Jb+4>>2]=0;f[Jb+8>>2]=0;f[Jb+12>>2]=0;if((f[Eb>>2]|0)>0){Jb=f[Gb>>2]|0;Gb=0;do{f[Jb+(Gb<<2)>>2]=0;Gb=Gb+1|0}while((Gb|0)<(f[Eb>>2]|0))}Eb=f[Hb>>2]|0;if((Eb|0)!=(Fb|0))TC(Eb);Eb=W+36|0;Fb=f[Eb>>2]|0;do if(Fb|0){Hb=Fb+12|0;Gb=f[Hb>>2]|0;f[Hb>>2]=Gb+-1;if((Gb|0)!=1)break;aU(W)}while(0);f[Eb>>2]=0;Eb=W+16|0;f[Eb>>2]=0;f[Eb+4>>2]=0;f[Eb+8>>2]=0;f[Eb+12>>2]=0;if((f[Ab>>2]|0)>0){Eb=f[Cb>>2]|0;Cb=0;do{f[Eb+(Cb<<2)>>2]=0;Cb=Cb+1|0}while((Cb|0)<(f[Ab>>2]|0))}Ab=f[Db>>2]|0;if((Ab|0)!=(Bb|0))TC(Ab);Ab=V+36|0;Bb=f[Ab>>2]|0;do if(Bb|0){Db=Bb+12|0;Cb=f[Db>>2]|0;f[Db>>2]=Cb+-1;if((Cb|0)!=1)break;aU(V)}while(0);f[Ab>>2]=0;Ab=V+16|0;f[Ab>>2]=0;f[Ab+4>>2]=0;f[Ab+8>>2]=0;f[Ab+12>>2]=0;if((f[wb>>2]|0)>0){Ab=f[yb>>2]|0;yb=0;do{f[Ab+(yb<<2)>>2]=0;yb=yb+1|0}while((yb|0)<(f[wb>>2]|0))}wb=f[zb>>2]|0;if((wb|0)!=(xb|0))TC(wb);wb=U+36|0;xb=f[wb>>2]|0;do if(xb|0){zb=xb+12|0;yb=f[zb>>2]|0;f[zb>>2]=yb+-1;if((yb|0)!=1)break;aU(U)}while(0);f[wb>>2]=0;wb=U+16|0;f[wb>>2]=0;f[wb+4>>2]=0;f[wb+8>>2]=0;f[wb+12>>2]=0;if((f[sb>>2]|0)>0){wb=f[ub>>2]|0;ub=0;do{f[wb+(ub<<2)>>2]=0;ub=ub+1|0}while((ub|0)<(f[sb>>2]|0))}sb=f[vb>>2]|0;if((sb|0)!=(tb|0))TC(sb);sb=T+36|0;tb=f[sb>>2]|0;do if(tb|0){vb=tb+12|0;ub=f[vb>>2]|0;f[vb>>2]=ub+-1;if((ub|0)!=1)break;aU(T)}while(0);f[sb>>2]=0;sb=T+16|0;f[sb>>2]=0;f[sb+4>>2]=0;f[sb+8>>2]=0;f[sb+12>>2]=0;if((f[pb>>2]|0)>0){sb=f[kb>>2]|0;kb=0;do{f[sb+(kb<<2)>>2]=0;kb=kb+1|0}while((kb|0)<(f[pb>>2]|0))}pb=f[rb>>2]|0;if((pb|0)!=(qb|0))TC(pb);pb=R+36|0;qb=f[pb>>2]|0;do if(qb|0){rb=qb+12|0;kb=f[rb>>2]|0;f[rb>>2]=kb+-1;if((kb|0)!=1)break;aU(R)}while(0);f[pb>>2]=0;pb=R+16|0;f[pb>>2]=0;f[pb+4>>2]=0;f[pb+8>>2]=0;f[pb+12>>2]=0;if((f[fb>>2]|0)>0){pb=f[hb>>2]|0;hb=0;do{f[pb+(hb<<2)>>2]=0;hb=hb+1|0}while((hb|0)<(f[fb>>2]|0))}fb=f[ib>>2]|0;if((fb|0)!=(gb|0))TC(fb);fb=Q+36|0;gb=f[fb>>2]|0;do if(gb|0){ib=gb+12|0;hb=f[ib>>2]|0;f[ib>>2]=hb+-1;if((hb|0)!=1)break;aU(Q)}while(0);f[fb>>2]=0;fb=Q+16|0;f[fb>>2]=0;f[fb+4>>2]=0;f[fb+8>>2]=0;f[fb+12>>2]=0;if((f[Ma>>2]|0)>0){fb=f[Ka>>2]|0;Ka=0;do{f[fb+(Ka<<2)>>2]=0;Ka=Ka+1|0}while((Ka|0)<(f[Ma>>2]|0))}Ma=f[La>>2]|0;if((Ma|0)!=(Ia|0))TC(Ma);Ma=f[ob>>2]|0;do if(Ma|0){Ia=Ma+12|0;La=f[Ia>>2]|0;f[Ia>>2]=La+-1;if((La|0)!=1)break;aU(N)}while(0);f[ob>>2]=0;f[lb>>2]=0;f[lb+4>>2]=0;f[lb+8>>2]=0;f[lb+12>>2]=0;if((f[Oa>>2]|0)>0){lb=f[Za>>2]|0;Za=0;do{f[lb+(Za<<2)>>2]=0;Za=Za+1|0}while((Za|0)<(f[Oa>>2]|0))}Oa=f[Ja>>2]|0;if((Oa|0)!=(Ua|0))TC(Oa);Oa=f[nb>>2]|0;do if(Oa|0){Ua=Oa+12|0;Ja=f[Ua>>2]|0;f[Ua>>2]=Ja+-1;if((Ja|0)!=1)break;aU(K)}while(0);f[nb>>2]=0;f[jb>>2]=0;f[jb+4>>2]=0;f[jb+8>>2]=0;f[jb+12>>2]=0;if((f[Wa>>2]|0)>0){jb=f[Va>>2]|0;Va=0;do{f[jb+(Va<<2)>>2]=0;Va=Va+1|0}while((Va|0)<(f[Wa>>2]|0))}Wa=f[d>>2]|0;if((Wa|0)!=(ab|0))TC(Wa);Wa=J+36|0;ab=f[Wa>>2]|0;do if(ab|0){d=ab+12|0;Va=f[d>>2]|0;f[d>>2]=Va+-1;if((Va|0)!=1)break;aU(J)}while(0);f[Wa>>2]=0;Wa=J+4|0;f[Ya>>2]=0;f[Ya+4>>2]=0;f[Ya+8>>2]=0;f[Ya+12>>2]=0;if((f[Wa>>2]|0)>0){Ya=f[J+40>>2]|0;ab=0;do{f[Ya+(ab<<2)>>2]=0;ab=ab+1|0}while((ab|0)<(f[Wa>>2]|0))}Wa=f[J+44>>2]|0;if((Wa|0)!=(J+48|0))TC(Wa);Wa=I+36|0;J=f[Wa>>2]|0;do if(J|0){ab=J+12|0;Ya=f[ab>>2]|0;f[ab>>2]=Ya+-1;if((Ya|0)!=1)break;aU(I)}while(0);f[Wa>>2]=0;f[Ta>>2]=0;f[Ta+4>>2]=0;f[Ta+8>>2]=0;f[Ta+12>>2]=0;if((f[Na>>2]|0)>0){Ta=f[I+40>>2]|0;Wa=0;do{f[Ta+(Wa<<2)>>2]=0;Wa=Wa+1|0}while((Wa|0)<(f[Na>>2]|0))}Na=f[I+44>>2]|0;if((Na|0)!=(I+48|0))TC(Na);Na=H+36|0;I=f[Na>>2]|0;do if(I|0){Wa=I+12|0;Ta=f[Wa>>2]|0;f[Wa>>2]=Ta+-1;if((Ta|0)!=1)break;aU(H)}while(0);f[Na>>2]=0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[a>>2]|0)>0){c=f[H+40>>2]|0;Na=0;do{f[c+(Na<<2)>>2]=0;Na=Na+1|0}while((Na|0)<(f[a>>2]|0))}a=f[H+44>>2]|0;if((a|0)==(H+48|0)){u=i;return +Fc}TC(a);u=i;return +Fc}function nCa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0.0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0;e=u;u=u+192|0;g=e+176|0;h=e+168|0;i=e+112|0;j=e+56|0;k=e;if((f[a+8>>2]|0)!=(f[c+8>>2]|0)){l=cuc(32)|0;f[g>>2]=l;f[g+8>>2]=-2147483616;f[g+4>>2]=22;m=l;o=386469;p=m+22|0;do{b[m>>0]=b[o>>0]|0;m=m+1|0;o=o+1|0}while((m|0)<(p|0));b[l+22>>0]=0;WD(-215,g,386492,384959,219)}l=f[a+12>>2]|0;q=f[c+12>>2]|0;if((l|0)%(q|0)|0|0){r=cuc(32)|0;f[g>>2]=r;f[g+8>>2]=-2147483616;f[g+4>>2]=28;m=r;o=386518;p=m+28|0;do{b[m>>0]=b[o>>0]|0;m=m+1|0;o=o+1|0}while((m|0)<(p|0));b[r+28>>0]=0;WD(-215,g,386492,384959,220)}r=f[d+16>>2]|0;if((l|0)!=(q|0)){s=d+8|0;if((f[s>>2]|0)<=0){u=e;return}t=g+4|0;v=h+4|0;w=i+8|0;x=i+12|0;y=i+4|0;z=j+36|0;A=j+16|0;B=j+4|0;C=j+40|0;D=j+44|0;E=j+48|0;F=0;do{G=Y(F,q)|0;H=F;F=F+1|0;I=Y(F,q)|0;f[g>>2]=-2147483648;f[t>>2]=2147483647;f[h>>2]=G;f[v>>2]=I;bU(j,a,g,h);f[w>>2]=0;f[x>>2]=0;f[i>>2]=16842752;f[y>>2]=j;J=+uR(c,i);n[r+(H<<2)>>2]=J;H=f[z>>2]|0;if(H|0?(I=H+12|0,H=f[I>>2]|0,f[I>>2]=H+-1,(H|0)==1):0)aU(j);f[z>>2]=0;f[A>>2]=0;f[A+4>>2]=0;f[A+8>>2]=0;f[A+12>>2]=0;if((f[B>>2]|0)>0){H=f[C>>2]|0;I=0;do{f[H+(I<<2)>>2]=0;I=I+1|0}while((I|0)<(f[B>>2]|0))}I=f[D>>2]|0;if((I|0)!=(E|0))TC(I)}while((F|0)<(f[s>>2]|0));u=e;return}s=d+12|0;F=f[s>>2]|0;E=d+8|0;if((F|0)!=(f[E>>2]|0)){d=cuc(32)|0;f[g>>2]=d;f[g+8>>2]=-2147483616;f[g+4>>2]=20;m=d;o=386547;p=m+20|0;do{b[m>>0]=b[o>>0]|0;m=m+1|0;o=o+1|0}while((m|0)<(p|0));b[d+20>>0]=0;WD(-215,g,386492,384959,233)}d=(l|0)/(F|0)|0;f[i>>2]=1124007936;l=i+4|0;o=i+8|0;D=i+40|0;m=l;p=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(p|0));f[D>>2]=o;m=i+48|0;p=i+44|0;f[p>>2]=m;f[m>>2]=0;f[i+52>>2]=0;if((F|0)>0){F=g+4|0;B=h+4|0;C=i+36|0;A=i+16|0;z=j+4|0;y=j+8|0;x=j+12|0;w=i+12|0;v=j+16|0;t=j+20|0;q=i+20|0;I=j+24|0;H=i+24|0;G=j+28|0;K=i+28|0;L=j+32|0;M=i+32|0;N=j+36|0;O=i+44|0;P=j+44|0;Q=j+40|0;R=j+48|0;S=g+8|0;T=g+12|0;U=g+4|0;V=g+4|0;W=h+4|0;X=j+8|0;Z=j+12|0;_=j+4|0;$=k+36|0;aa=k+16|0;ba=k+4|0;ca=k+40|0;da=k+44|0;ea=k+48|0;fa=i+40|0;ga=i+52|0;ha=0;do{ia=Y(ha,d)|0;ja=ha;ha=ha+1|0;ka=Y(ha,d)|0;f[g>>2]=-2147483648;f[F>>2]=2147483647;f[h>>2]=ia;f[B>>2]=ka;bU(j,a,g,h);ka=f[C>>2]|0;if(ka|0?(ia=ka+12|0,ka=f[ia>>2]|0,f[ia>>2]=ka+-1,(ka|0)==1):0)aU(i);f[C>>2]=0;f[A>>2]=0;f[A+4>>2]=0;f[A+8>>2]=0;f[A+12>>2]=0;if((f[l>>2]|0)>0){ka=f[D>>2]|0;ia=0;do{f[ka+(ia<<2)>>2]=0;ia=ia+1|0}while((ia|0)<(f[l>>2]|0))}f[i>>2]=f[j>>2];ia=f[z>>2]|0;f[l>>2]=ia;f[o>>2]=f[y>>2];f[w>>2]=f[x>>2];f[A>>2]=f[v>>2];f[q>>2]=f[t>>2];f[H>>2]=f[I>>2];f[K>>2]=f[G>>2];f[M>>2]=f[L>>2];f[C>>2]=f[N>>2];ka=f[O>>2]|0;if((ka|0)==(m|0))la=ia;else{TC(ka);f[O>>2]=m;f[D>>2]=o;la=f[z>>2]|0}if((la|0)<3){ka=f[P>>2]|0;f[m>>2]=f[ka>>2];f[ga>>2]=f[ka+4>>2];ma=ka}else{f[O>>2]=f[P>>2];f[fa>>2]=f[Q>>2];f[P>>2]=R;f[Q>>2]=y;ma=R}f[j>>2]=1124007936;f[z>>2]=0;f[z+4>>2]=0;f[z+8>>2]=0;f[z+12>>2]=0;f[z+16>>2]=0;f[z+20>>2]=0;f[z+24>>2]=0;f[z+28>>2]=0;f[N>>2]=0;f[v>>2]=0;f[v+4>>2]=0;f[v+8>>2]=0;f[v+12>>2]=0;if((ma|0)!=(R|0))TC(ma);f[S>>2]=0;f[T>>2]=0;f[g>>2]=16842752;f[U>>2]=i;J=+iF(g,4,sK()|0);ka=f[E>>2]|0;ia=r+((Y(ka+1|0,ja)|0)<<2)|0;n[ia>>2]=J*J;if((ha|0)<(f[s>>2]|0)){ia=ha;do{na=Y(ia,d)|0;oa=ia;ia=ia+1|0;pa=Y(ia,d)|0;f[g>>2]=-2147483648;f[V>>2]=2147483647;f[h>>2]=na;f[W>>2]=pa;bU(k,c,g,h);f[X>>2]=0;f[Z>>2]=0;f[j>>2]=16842752;f[_>>2]=k;J=+uR(i,j);pa=r+((Y(f[s>>2]|0,ja)|0)+oa<<2)|0;n[pa>>2]=J;pa=f[$>>2]|0;if(pa|0?(na=pa+12|0,pa=f[na>>2]|0,f[na>>2]=pa+-1,(pa|0)==1):0)aU(k);f[$>>2]=0;f[aa>>2]=0;f[aa+4>>2]=0;f[aa+8>>2]=0;f[aa+12>>2]=0;if((f[ba>>2]|0)>0){pa=f[ca>>2]|0;na=0;do{f[pa+(na<<2)>>2]=0;na=na+1|0}while((na|0)<(f[ba>>2]|0))}na=f[da>>2]|0;if((na|0)!=(ea|0))TC(na);na=f[s>>2]|0;pa=r+((Y(na,ja)|0)+oa<<2)|0;qa=r+((Y(na,oa)|0)+ja<<2)|0;f[qa>>2]=f[pa>>2]}while((ia|0)<(na|0));ra=f[E>>2]|0}else ra=ka}while((ha|0)<(ra|0));ra=f[C>>2]|0;if((ra|0)!=0?(ha=ra+12|0,ra=f[ha>>2]|0,f[ha>>2]=ra+-1,(ra|0)==1):0){aU(i);sa=C}else sa=C}else sa=i+36|0;f[sa>>2]=0;sa=i+16|0;f[sa>>2]=0;f[sa+4>>2]=0;f[sa+8>>2]=0;f[sa+12>>2]=0;if((f[l>>2]|0)>0){sa=f[D>>2]|0;D=0;do{f[sa+(D<<2)>>2]=0;D=D+1|0}while((D|0)<(f[l>>2]|0))}l=f[p>>2]|0;if((l|0)!=(m|0))TC(l);u=e;return}function oCa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,M=0,N=0,O=0,P=0,Q=0.0,R=0.0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0;e=u;u=u+432|0;g=e+424|0;h=e+368|0;i=e+320|0;j=e+264|0;k=e;l=e+248|0;m=e+192|0;gV(g,109612);f[h>>2]=1124007936;n=h+4|0;o=h+8|0;q=h+40|0;r=n;s=r+36|0;do{f[r>>2]=0;r=r+4|0}while((r|0)<(s|0));f[q>>2]=o;t=h+48|0;v=h+44|0;f[v>>2]=t;f[t>>2]=0;f[h+52>>2]=0;f[i>>2]=1124007936;w=i+4|0;x=i+8|0;y=i+20|0;z=i+24|0;A=i+28|0;B=i+32|0;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;f[w+12>>2]=0;f[w+16>>2]=0;f[w+20>>2]=0;f[w+24>>2]=0;f[B>>2]=x;C=i+40|0;f[i+36>>2]=C;f[i+44>>2]=0;f[C>>2]=0;D=(qJ(a)|0)==655360;if(D){rJ(j,a,-1);E=f[z>>2]|0;if(E|0?(F=E+8|0,E=f[F>>2]|0,f[F>>2]=E+-1,(E|0)==1):0)WH(i);if((f[w>>2]|0)>0){E=f[B>>2]|0;F=0;do{f[E+(F<<2)>>2]=0;F=F+1|0}while((F|0)<(f[w>>2]|0))}f[i>>2]=f[j>>2];F=j+4|0;E=f[F>>2]|0;f[w>>2]=E;w=j+8|0;f[x>>2]=f[w>>2];f[i+12>>2]=f[j+12>>2];f[i+16>>2]=f[j+16>>2];f[y>>2]=f[j+20>>2];y=j+24|0;f[z>>2]=f[y>>2];z=j+28|0;f[A>>2]=f[z>>2];A=i+36|0;G=f[A>>2]|0;if((G|0)==(C|0))H=E;else{TC(G);f[A>>2]=C;f[B>>2]=x;H=f[F>>2]|0}x=j+36|0;if((H|0)<3){H=f[x>>2]|0;f[C>>2]=f[H>>2];f[i+44>>2]=f[H+4>>2];I=f[B>>2]|0}else{f[A>>2]=f[x>>2];A=j+32|0;B=f[A>>2]|0;f[i+32>>2]=B;f[x>>2]=j+40;f[A>>2]=w;I=B}f[j>>2]=1124007936;f[y>>2]=0;f[z>>2]=0;f[F>>2]=0;f[F+4>>2]=0;f[F+8>>2]=0;f[F+12>>2]=0;F=f[i>>2]|0;z=f[I+4>>2]|0;y=f[I>>2]|0;VH(j);J=F;K=z;M=y}else{do if((qJ(a)|0)==65536){y=f[a+4>>2]|0;f[j>>2]=f[y>>2];z=j+4|0;F=y+4|0;f[z>>2]=f[F>>2];I=j+8|0;f[I>>2]=f[y+8>>2];f[j+12>>2]=f[y+12>>2];f[j+16>>2]=f[y+16>>2];f[j+20>>2]=f[y+20>>2];f[j+24>>2]=f[y+24>>2];f[j+28>>2]=f[y+28>>2];f[j+32>>2]=f[y+32>>2];B=f[y+36>>2]|0;f[j+36>>2]=B;f[j+40>>2]=I;I=j+48|0;w=j+44|0;f[w>>2]=I;f[I>>2]=0;f[j+52>>2]=0;if(B|0){I=B+12|0;f[I>>2]=(f[I>>2]|0)+1}if((f[F>>2]|0)<3){F=f[y+44>>2]|0;I=f[w>>2]|0;f[I>>2]=f[F>>2];f[I+4>>2]=f[F+4>>2];break}else{f[z>>2]=0;$T(j,y);break}}else nJ(j,a,-1);while(0);a=h+36|0;y=f[a>>2]|0;if(y|0?(z=y+12|0,y=f[z>>2]|0,f[z>>2]=y+-1,(y|0)==1):0)aU(h);f[a>>2]=0;y=h+16|0;f[y>>2]=0;f[y+4>>2]=0;f[y+8>>2]=0;f[y+12>>2]=0;if((f[n>>2]|0)>0){z=f[q>>2]|0;F=0;do{f[z+(F<<2)>>2]=0;F=F+1|0}while((F|0)<(f[n>>2]|0))}f[h>>2]=f[j>>2];F=j+4|0;z=f[F>>2]|0;f[n>>2]=z;I=j+8|0;f[o>>2]=f[I>>2];f[h+12>>2]=f[j+12>>2];w=j+16|0;f[y>>2]=f[w>>2];f[h+20>>2]=f[j+20>>2];f[h+24>>2]=f[j+24>>2];f[h+28>>2]=f[j+28>>2];f[h+32>>2]=f[j+32>>2];y=j+36|0;f[a>>2]=f[y>>2];a=h+44|0;B=f[a>>2]|0;if((B|0)==(t|0))N=z;else{TC(B);f[a>>2]=t;f[q>>2]=o;N=f[F>>2]|0}o=j+44|0;if((N|0)<3){N=f[o>>2]|0;f[t>>2]=f[N>>2];f[h+52>>2]=f[N+4>>2];O=f[q>>2]|0;P=N}else{f[a>>2]=f[o>>2];a=j+40|0;N=f[a>>2]|0;f[h+40>>2]=N;B=j+48|0;f[o>>2]=B;f[a>>2]=I;O=N;P=B}f[j>>2]=1124007936;f[F>>2]=0;f[F+4>>2]=0;f[F+8>>2]=0;f[F+12>>2]=0;f[F+16>>2]=0;f[F+20>>2]=0;f[F+24>>2]=0;f[F+28>>2]=0;F=f[h>>2]|0;B=f[O+4>>2]|0;N=f[O>>2]|0;f[y>>2]=0;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;f[w+12>>2]=0;if((P|0)!=(j+48|0))TC(P);J=F;K=B;M=N}N=f[c>>2]|0;f[j>>2]=N;B=j+4|0;F=c+4|0;P=f[F>>2]|0;f[B>>2]=P;w=j+8|0;y=c+8|0;O=f[y>>2]|0;f[w>>2]=O;I=j+12|0;a=c+12|0;o=f[a>>2]|0;f[I>>2]=o;if(J&4088|0){f[k+8>>2]=0;b[k+11>>0]=7;b[k>>0]=b[386568]|0;b[k+1>>0]=b[386569]|0;b[k+2>>0]=b[386570]|0;b[k+3>>0]=b[386571]|0;b[k+4>>0]=b[386572]|0;b[k+5>>0]=b[386573]|0;b[k+6>>0]=b[386574]|0;b[k+7>>0]=0;WD(-215,k,386576,386586,61)}if((o|0)<1|(O|0)<1){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;J=cuc(48)|0;f[k>>2]=J;f[k+8>>2]=-2147483600;f[k+4>>2]=35;r=J;z=386657;s=r+35|0;do{b[r>>0]=b[z>>0]|0;r=r+1|0;z=z+1|0}while((r|0)<(s|0));b[J+35>>0]=0;WD(-5,k,386576,386586,64)}J=(N|0)>0?N:0;z=(P|0)>0?P:0;r=N+O|0;s=((K|0)<(r|0)?K:r)-J|0;r=P+o|0;A=((M|0)<(r|0)?M:r)-z|0;r=(s|0)<1|(A|0)<1;f[c>>2]=r?0:J;f[F>>2]=r?0:z;f[y>>2]=r?0:s;f[a>>2]=r?0:A;A=f[d>>2]|0;if(!(A&2))Q=1.0;else{R=+p[d+8>>3];Q=R<0.0?0.0:R}r=Fhc(Q*Q)|0;s=((r|0)<0)<<31>>31;if(!(A&1))S=100;else{A=f[d+4>>2]|0;S=(A|0)>1?A:1}A=(K|0)/2|0;d=(M|0)/2|0;z=l+8|0;J=l+12|0;x=l+4|0;H=k+8|0;C=k+16|0;G=l+8|0;E=l+12|0;T=l+4|0;U=m+36|0;V=m+16|0;W=m+4|0;X=m+40|0;Z=m+44|0;_=m+48|0;$=0;aa=N;N=P;P=O;O=o;while(1){o=(aa|0)>0?aa:0;ba=(N|0)>0?N:0;ca=P+aa|0;da=((K|0)<(ca|0)?K:ca)-o|0;ca=O+N|0;ea=((M|0)<(ca|0)?M:ca)-ba|0;ca=(da|0)<1|(ea|0)<1;fa=ca?0:ea;ga=ca?0:da;f[j>>2]=ca?0:o;f[B>>2]=ca?0:ba;f[w>>2]=ga;f[I>>2]=fa;if((ba|o|0)==0|ca?ca|(da|ea|0)==0:0){f[j>>2]=A;f[B>>2]=d}f[w>>2]=(ga|0)>1?ga:1;f[I>>2]=(fa|0)>1?fa:1;if(!D){eU(m,h,j);f[G>>2]=0;f[E>>2]=0;f[l>>2]=16842752;f[T>>2]=m;aoa(k,l,0);fa=f[U>>2]|0;if(fa|0?(ga=fa+12|0,fa=f[ga>>2]|0,f[ga>>2]=fa+-1,(fa|0)==1):0)aU(m);f[U>>2]=0;f[V>>2]=0;f[V+4>>2]=0;f[V+8>>2]=0;f[V+12>>2]=0;if((f[W>>2]|0)>0){fa=f[X>>2]|0;ga=0;do{f[fa+(ga<<2)>>2]=0;ga=ga+1|0}while((ga|0)<(f[W>>2]|0))}ga=f[Z>>2]|0;if((ga|0)!=(_|0))TC(ga)}else{RH(m,i,j);f[z>>2]=0;f[J>>2]=0;f[l>>2]=17432576;f[x>>2]=m;aoa(k,l,0);VH(m)}Q=+p[k>>3];if(+L(+Q)<2.220446049250313e-16){ha=59;break}ga=Fhc(+p[H>>3]/Q-+(f[y>>2]|0)*.5)|0;fa=Fhc(+p[C>>3]/Q-+(f[a>>2]|0)*.5)|0;ea=f[j>>2]|0;da=ea+ga|0;ga=f[w>>2]|0;ca=K-ga|0;o=(da|0)>0?da:0;da=(ca|0)<(o|0)?ca:o;o=f[B>>2]|0;ca=o+fa|0;fa=f[I>>2]|0;ba=M-fa|0;ia=(ca|0)>0?ca:0;ca=(ba|0)<(ia|0)?ba:ia;ia=da-ea|0;ea=ca-o|0;f[j>>2]=da;f[B>>2]=ca;if(0<(s|0)|(0==(s|0)?((Y(ea,ea)|0)+(Y(ia,ia)|0)|0)>>>0<r>>>0:0)){ja=da;ka=ca;la=ga;ma=fa;ha=61;break}ia=$+1|0;if((ia|0)<(S|0)){$=ia;aa=da;N=ca;P=ga;O=fa}else{na=ia;oa=da;pa=ca;qa=ga;ra=fa;break}}if((ha|0)==59){ja=f[j>>2]|0;ka=f[B>>2]|0;la=f[w>>2]|0;ma=f[I>>2]|0;ha=61}if((ha|0)==61){na=$;oa=ja;pa=ka;qa=la;ra=ma}f[c>>2]=oa;f[F>>2]=pa;f[y>>2]=qa;f[a>>2]=ra;VH(i);i=h+36|0;ra=f[i>>2]|0;if(ra|0?(a=ra+12|0,ra=f[a>>2]|0,f[a>>2]=ra+-1,(ra|0)==1):0)aU(h);f[i>>2]=0;i=h+16|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;if((f[n>>2]|0)>0){i=f[q>>2]|0;q=0;do{f[i+(q<<2)>>2]=0;q=q+1|0}while((q|0)<(f[n>>2]|0))}n=f[v>>2]|0;if((n|0)!=(t|0))TC(n);if(!(f[g+4>>2]|0)){u=e;return na|0}u=e;return na|0}function pCa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,N=0,Q=0.0,R=0.0,S=0.0,T=0.0,V=0.0,W=0.0,X=0.0,Y=0.0,Z=0.0,_=0.0,$=0.0,aa=0.0,ba=0.0,ca=0.0,da=0.0,ea=0.0,fa=0.0,ga=0.0;e=u;u=u+384|0;g=e;h=e+368|0;i=e+312|0;j=e+264|0;k=e+248|0;l=e+192|0;gV(h,109632);f[i>>2]=1124007936;m=i+4|0;o=i+8|0;q=i+40|0;r=m;s=r+36|0;do{f[r>>2]=0;r=r+4|0}while((r|0)<(s|0));f[q>>2]=o;r=i+48|0;s=i+44|0;f[s>>2]=r;f[r>>2]=0;f[i+52>>2]=0;f[j>>2]=1124007936;t=j+4|0;v=j+8|0;w=j+20|0;x=j+24|0;y=j+28|0;z=j+32|0;f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;f[t+12>>2]=0;f[t+16>>2]=0;f[t+20>>2]=0;f[t+24>>2]=0;f[z>>2]=v;A=j+40|0;f[j+36>>2]=A;f[j+44>>2]=0;f[A>>2]=0;B=(qJ(b)|0)==655360;if(B){rJ(g,b,-1);C=f[x>>2]|0;if(C|0?(D=C+8|0,C=f[D>>2]|0,f[D>>2]=C+-1,(C|0)==1):0)WH(j);if((f[t>>2]|0)>0){C=f[z>>2]|0;D=0;do{f[C+(D<<2)>>2]=0;D=D+1|0}while((D|0)<(f[t>>2]|0))}f[j>>2]=f[g>>2];D=g+4|0;C=f[D>>2]|0;f[t>>2]=C;t=g+8|0;f[v>>2]=f[t>>2];f[j+12>>2]=f[g+12>>2];f[j+16>>2]=f[g+16>>2];f[w>>2]=f[g+20>>2];w=g+24|0;f[x>>2]=f[w>>2];x=g+28|0;f[y>>2]=f[x>>2];y=j+36|0;E=f[y>>2]|0;if((E|0)==(A|0))F=C;else{TC(E);f[y>>2]=A;f[z>>2]=v;F=f[D>>2]|0}v=g+36|0;if((F|0)<3){F=f[v>>2]|0;f[A>>2]=f[F>>2];f[j+44>>2]=f[F+4>>2];G=f[z>>2]|0}else{f[y>>2]=f[v>>2];y=g+32|0;z=f[y>>2]|0;f[j+32>>2]=z;f[v>>2]=g+40;f[y>>2]=t;G=z}f[g>>2]=1124007936;f[w>>2]=0;f[x>>2]=0;f[D>>2]=0;f[D+4>>2]=0;f[D+8>>2]=0;f[D+12>>2]=0;D=f[G+4>>2]|0;x=f[G>>2]|0;VH(g);H=D;I=x}else{do if((qJ(b)|0)==65536){x=f[b+4>>2]|0;f[g>>2]=f[x>>2];D=g+4|0;G=x+4|0;f[D>>2]=f[G>>2];w=g+8|0;f[w>>2]=f[x+8>>2];f[g+12>>2]=f[x+12>>2];f[g+16>>2]=f[x+16>>2];f[g+20>>2]=f[x+20>>2];f[g+24>>2]=f[x+24>>2];f[g+28>>2]=f[x+28>>2];f[g+32>>2]=f[x+32>>2];z=f[x+36>>2]|0;f[g+36>>2]=z;f[g+40>>2]=w;w=g+48|0;t=g+44|0;f[t>>2]=w;f[w>>2]=0;f[g+52>>2]=0;if(z|0){w=z+12|0;f[w>>2]=(f[w>>2]|0)+1}if((f[G>>2]|0)<3){G=f[x+44>>2]|0;w=f[t>>2]|0;f[w>>2]=f[G>>2];f[w+4>>2]=f[G+4>>2];break}else{f[D>>2]=0;$T(g,x);break}}else nJ(g,b,-1);while(0);x=i+36|0;D=f[x>>2]|0;if(D|0?(G=D+12|0,D=f[G>>2]|0,f[G>>2]=D+-1,(D|0)==1):0)aU(i);f[x>>2]=0;D=i+16|0;f[D>>2]=0;f[D+4>>2]=0;f[D+8>>2]=0;f[D+12>>2]=0;if((f[m>>2]|0)>0){G=f[q>>2]|0;w=0;do{f[G+(w<<2)>>2]=0;w=w+1|0}while((w|0)<(f[m>>2]|0))}f[i>>2]=f[g>>2];w=g+4|0;G=f[w>>2]|0;f[m>>2]=G;t=g+8|0;f[o>>2]=f[t>>2];f[i+12>>2]=f[g+12>>2];z=g+16|0;f[D>>2]=f[z>>2];f[i+20>>2]=f[g+20>>2];f[i+24>>2]=f[g+24>>2];f[i+28>>2]=f[g+28>>2];f[i+32>>2]=f[g+32>>2];D=g+36|0;f[x>>2]=f[D>>2];x=i+44|0;y=f[x>>2]|0;if((y|0)==(r|0))J=G;else{TC(y);f[x>>2]=r;f[q>>2]=o;J=f[w>>2]|0}o=g+44|0;if((J|0)<3){J=f[o>>2]|0;f[r>>2]=f[J>>2];f[i+52>>2]=f[J+4>>2];K=f[q>>2]|0;N=J}else{f[x>>2]=f[o>>2];x=g+40|0;J=f[x>>2]|0;f[i+40>>2]=J;y=g+48|0;f[o>>2]=y;f[x>>2]=t;K=J;N=y}f[g>>2]=1124007936;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;f[w+12>>2]=0;f[w+16>>2]=0;f[w+20>>2]=0;f[w+24>>2]=0;f[w+28>>2]=0;w=f[K+4>>2]|0;y=f[K>>2]|0;f[D>>2]=0;f[z>>2]=0;f[z+4>>2]=0;f[z+8>>2]=0;f[z+12>>2]=0;if((N|0)!=(g+48|0))TC(N);H=w;I=y};f[g>>2]=f[d>>2];f[g+4>>2]=f[d+4>>2];f[g+8>>2]=f[d+8>>2];f[g+12>>2]=f[d+12>>2];oCa(b,c,g)|0;b=f[c>>2]|0;d=(b|0)<10?0:b+-10|0;f[c>>2]=d;b=c+4|0;y=f[b>>2]|0;w=(y|0)<10?0:y+-10|0;f[b>>2]=w;y=c+8|0;N=(f[y>>2]|0)+20|0;f[y>>2]=(d+N|0)>(H|0)?H-d|0:N;N=c+12|0;d=(f[N>>2]|0)+20|0;f[N>>2]=(w+d|0)>(I|0)?I-w|0:d;if(!B){eU(l,i,c);f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=16842752;f[k+4>>2]=l;aoa(g,k,0);B=l+36|0;d=f[B>>2]|0;if(d|0?(w=d+12|0,d=f[w>>2]|0,f[w>>2]=d+-1,(d|0)==1):0)aU(l);f[B>>2]=0;B=l+16|0;d=l+4|0;f[B>>2]=0;f[B+4>>2]=0;f[B+8>>2]=0;f[B+12>>2]=0;if((f[d>>2]|0)>0){B=f[l+40>>2]|0;w=0;do{f[B+(w<<2)>>2]=0;w=w+1|0}while((w|0)<(f[d>>2]|0))}d=f[l+44>>2]|0;if((d|0)!=(l+48|0))TC(d)}else{RH(l,j,c);f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=17432576;f[k+4>>2]=l;aoa(g,k,0);VH(l)}Q=+p[g>>3];R=+p[g+88>>3];S=+p[g+80>>3];T=+p[g+96>>3];if(+L(+Q)<2.220446049250313e-16){f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;f[a+16>>2]=0}else{V=+p[g+16>>3];W=1.0/Q;l=Fhc(W*+p[g+8>>3]+ +(f[c>>2]|0))|0;g=Fhc(W*V+ +(f[b>>2]|0))|0;V=R*W;Q=W*S-W*T;X=+U(+(V*2.0),+(Q+ +M(+(V*(V*4.0)+Q*Q))));Q=+O(+X);V=+P(+X);Y=Q*Q;Z=R*(Q*2.0*V);R=V*V;_=+M(+(W*(T*R+(S*Y+Z))))*4.0;$=+M(+(W*(T*Y+(S*R-Z))))*4.0;if(_<$){aa=1.5707963267948966-X;ba=_;ca=$;da=Q;ea=V}else{aa=X;ba=$;ca=_;da=V;ea=Q}k=Fhc(+L(+(ea*ca)))|0;d=Fhc(+L(+(da*ba)))|0;w=((k|0)<(d|0)?d:k)+2|0;k=H-l<<1;d=(w|0)>(k|0)?k:w;w=Fhc(+L(+(da*ca)))|0;k=Fhc(+L(+(ea*ba)))|0;B=((w|0)<(k|0)?k:w)+2|0;w=I-g<<1;k=(B|0)>(w|0)?w:B;B=l-((d|0)/2|0)|0;l=(B|0)>0?B:0;f[c>>2]=l;c=g-((k|0)/2|0)|0;g=(c|0)>0?c:0;f[b>>2]=g;b=H-l|0;H=(b|0)>(d|0)?d:b;f[y>>2]=H;y=I-g|0;I=(y|0)>(k|0)?k:y;f[N>>2]=I;ea=ca;ca=ba;ba=(aa+1.5707963267948966)*180.0/3.141592653589793;if(ba<0.0){aa=ba;while(1){da=aa+360.0;if(da<0.0)aa=da;else{fa=da;break}}}else fa=ba;if(!(fa>=360.0))ga=fa;else{ba=fa;while(1){fa=ba+-360.0;if(!(fa>=360.0)){ga=fa;break}else ba=fa}}n[a>>2]=+(l|0)+ +(H|0)*.5;n[a+4>>2]=+(g|0)+ +(I|0)*.5;n[a+8>>2]=ca;n[a+12>>2]=ea;n[a+16>>2]=!(ga>=180.0)?ga:ga+-180.0}VH(j);j=i+36|0;a=f[j>>2]|0;if(a|0?(I=a+12|0,a=f[I>>2]|0,f[I>>2]=a+-1,(a|0)==1):0)aU(i);f[j>>2]=0;j=i+16|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;if((f[m>>2]|0)>0){j=f[q>>2]|0;q=0;do{f[j+(q<<2)>>2]=0;q=q+1|0}while((q|0)<(f[m>>2]|0))}m=f[s>>2]|0;if((m|0)!=(r|0))TC(m);if(!(f[h+4>>2]|0)){u=e;return}u=e;return}function qCa(a){a=a|0;var c=0,d=0,e=0,g=0;f[a>>2]=109660;c=a+184|0;if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);c=a+72|0;d=a+108|0;e=f[d>>2]|0;if(e|0?(g=e+12|0,e=f[g>>2]|0,f[g>>2]=e+-1,(e|0)==1):0)aU(c);f[d>>2]=0;d=a+88|0;c=a+76|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[c>>2]|0)>0){d=f[a+112>>2]|0;e=0;do{f[d+(e<<2)>>2]=0;e=e+1|0}while((e|0)<(f[c>>2]|0))}c=f[a+116>>2]|0;if((c|0)!=(a+120|0))TC(c);c=a+16|0;e=a+52|0;d=f[e>>2]|0;if(d|0?(g=d+12|0,d=f[g>>2]|0,f[g>>2]=d+-1,(d|0)==1):0)aU(c);f[e>>2]=0;e=a+32|0;c=a+20|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((f[c>>2]|0)>0){e=f[a+56>>2]|0;d=0;do{f[e+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[c>>2]|0))}c=f[a+60>>2]|0;if((c|0)==(a+64|0)){DG(a);return}TC(c);DG(a);return}function rCa(a){a=a|0;qCa(a);fuc(a);return}function sCa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0;d=u;u=u+16|0;e=d;MG(a,c);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;g=e+11|0;b[g>>0]=4;f[e>>2]=1701667182;b[e+4>>0]=0;i=PM(c,e)|0;if((b[g>>0]|0)<0)fuc(f[e>>2]|0);g=PM(i,a+184|0)|0;f[e+8>>2]=0;i=e+11|0;b[i>>0]=7;b[e>>0]=b[387646]|0;b[e+1>>0]=b[387647]|0;b[e+2>>0]=b[387648]|0;b[e+3>>0]=b[387649]|0;b[e+4>>0]=b[387650]|0;b[e+5>>0]=b[387651]|0;b[e+6>>0]=b[387652]|0;b[e+7>>0]=0;j=PM(g,e)|0;if((b[i>>0]|0)<0)fuc(f[e>>2]|0);i=a+132|0;if(di[f[(f[c>>2]|0)+12>>2]&1023](j)|0){g=c+36|0;if((f[g>>2]|0)==6){k=cuc(32)|0;f[e>>2]=k;f[e+8>>2]=-2147483616;f[e+4>>2]=30;l=k;m=387802;o=l+30|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(o|0));b[k+30>>0]=0;WD(-2,e,531329,387833,1197)}ZM(j,c+12|0,f[i>>2]|0);if(f[g>>2]&4|0)f[g>>2]=6};f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;g=e+11|0;b[g>>0]=9;l=e;m=387654;o=l+9|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(o|0));b[e+9>>0]=0;i=PM(j,e)|0;if((b[g>>0]|0)<0)fuc(f[e>>2]|0);g=a+136|0;if(di[f[(f[c>>2]|0)+12>>2]&1023](i)|0){j=c+36|0;if((f[j>>2]|0)==6){k=cuc(32)|0;f[e>>2]=k;f[e+8>>2]=-2147483616;f[e+4>>2]=30;l=k;m=387802;o=l+30|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(o|0));b[k+30>>0]=0;WD(-2,e,531329,387833,1197)}ZM(i,c+12|0,f[g>>2]|0);if(f[j>>2]&4|0)f[j>>2]=6}j=cuc(16)|0;f[e>>2]=j;f[e+8>>2]=-2147483632;f[e+4>>2]=15;l=j;m=387664;o=l+15|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(o|0));b[j+15>>0]=0;j=PM(i,e)|0;if((b[e+11>>0]|0)<0)fuc(f[e>>2]|0);i=a+152|0;if(di[f[(f[c>>2]|0)+12>>2]&1023](j)|0){g=c+36|0;if((f[g>>2]|0)==6){k=cuc(32)|0;f[e>>2]=k;f[e+8>>2]=-2147483616;f[e+4>>2]=30;l=k;m=387802;o=l+30|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(o|0));b[k+30>>0]=0;WD(-2,e,531329,387833,1197)}_M(j,c+12|0,+n[i>>2]);if(f[g>>2]&4|0)f[g>>2]=6}g=cuc(16)|0;f[e>>2]=g;f[e+8>>2]=-2147483632;f[e+4>>2]=12;l=g;m=387680;o=l+12|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(o|0));b[g+12>>0]=0;g=PM(j,e)|0;if((b[e+11>>0]|0)<0)fuc(f[e>>2]|0);j=a+144|0;if(di[f[(f[c>>2]|0)+12>>2]&1023](g)|0){i=c+36|0;if((f[i>>2]|0)==6){k=cuc(32)|0;f[e>>2]=k;f[e+8>>2]=-2147483616;f[e+4>>2]=30;l=k;m=387802;o=l+30|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(o|0));b[k+30>>0]=0;WD(-2,e,531329,387833,1197)}$M(g,c+12|0,+p[j>>3]);if(f[i>>2]&4|0)f[i>>2]=6}i=cuc(16)|0;f[e>>2]=i;f[e+8>>2]=-2147483632;f[e+4>>2]=15;l=i;m=387693;o=l+15|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(o|0));b[i+15>>0]=0;i=PM(g,e)|0;if((b[e+11>>0]|0)<0)fuc(f[e>>2]|0);g=a+156|0;if(di[f[(f[c>>2]|0)+12>>2]&1023](i)|0){j=c+36|0;if((f[j>>2]|0)==6){k=cuc(32)|0;f[e>>2]=k;f[e+8>>2]=-2147483616;f[e+4>>2]=30;l=k;m=387802;o=l+30|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(o|0));b[k+30>>0]=0;WD(-2,e,531329,387833,1197)}_M(i,c+12|0,+n[g>>2]);if(f[j>>2]&4|0)f[j>>2]=6}f[e+8>>2]=0;j=e+11|0;b[j>>0]=7;b[e>>0]=b[387709]|0;b[e+1>>0]=b[387710]|0;b[e+2>>0]=b[387711]|0;b[e+3>>0]=b[387712]|0;b[e+4>>0]=b[387713]|0;b[e+5>>0]=b[387714]|0;b[e+6>>0]=b[387715]|0;b[e+7>>0]=0;g=PM(i,e)|0;if((b[j>>0]|0)<0)fuc(f[e>>2]|0);j=a+160|0;if(di[f[(f[c>>2]|0)+12>>2]&1023](g)|0){i=c+36|0;if((f[i>>2]|0)==6){k=cuc(32)|0;f[e>>2]=k;f[e+8>>2]=-2147483616;f[e+4>>2]=30;l=k;m=387802;o=l+30|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(o|0));b[k+30>>0]=0;WD(-2,e,531329,387833,1197)}_M(g,c+12|0,+n[j>>2]);if(f[i>>2]&4|0)f[i>>2]=6};f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;i=e+11|0;b[i>>0]=6;b[e>>0]=b[387717]|0;b[e+1>>0]=b[387718]|0;b[e+2>>0]=b[387719]|0;b[e+3>>0]=b[387720]|0;b[e+4>>0]=b[387721]|0;b[e+5>>0]=b[387722]|0;b[e+6>>0]=0;j=PM(g,e)|0;if((b[i>>0]|0)<0)fuc(f[e>>2]|0);i=a+164|0;if(di[f[(f[c>>2]|0)+12>>2]&1023](j)|0){g=c+36|0;if((f[g>>2]|0)==6){k=cuc(32)|0;f[e>>2]=k;f[e+8>>2]=-2147483616;f[e+4>>2]=30;l=k;m=387802;o=l+30|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(o|0));b[k+30>>0]=0;WD(-2,e,531329,387833,1197)}_M(j,c+12|0,+n[i>>2]);if(f[g>>2]&4|0)f[g>>2]=6};f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;g=e+11|0;b[g>>0]=6;b[e>>0]=b[387724]|0;b[e+1>>0]=b[387725]|0;b[e+2>>0]=b[387726]|0;b[e+3>>0]=b[387727]|0;b[e+4>>0]=b[387728]|0;b[e+5>>0]=b[387729]|0;b[e+6>>0]=0;i=PM(j,e)|0;if((b[g>>0]|0)<0)fuc(f[e>>2]|0);g=a+168|0;if(di[f[(f[c>>2]|0)+12>>2]&1023](i)|0){j=c+36|0;if((f[j>>2]|0)==6){k=cuc(32)|0;f[e>>2]=k;f[e+8>>2]=-2147483616;f[e+4>>2]=30;l=k;m=387802;o=l+30|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(o|0));b[k+30>>0]=0;WD(-2,e,531329,387833,1197)}_M(i,c+12|0,+n[g>>2]);if(f[j>>2]&4|0)f[j>>2]=6}j=cuc(32)|0;f[e>>2]=j;f[e+8>>2]=-2147483616;f[e+4>>2]=28;l=j;m=387731;o=l+28|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(o|0));b[j+28>>0]=0;j=PM(i,e)|0;if((b[e+11>>0]|0)<0)fuc(f[e>>2]|0);i=a+172|0;do if(di[f[(f[c>>2]|0)+12>>2]&1023](j)|0){g=c+36|0;if((f[g>>2]|0)==6){k=cuc(32)|0;f[e>>2]=k;f[e+8>>2]=-2147483616;f[e+4>>2]=30;l=k;m=387802;o=l+30|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(o|0));b[k+30>>0]=0;WD(-2,e,531329,387833,1197)}_M(j,c+12|0,+n[i>>2]);if(!(f[g>>2]&4))break;f[g>>2]=6}while(0);i=cuc(16)|0;f[e>>2]=i;f[e+8>>2]=-2147483632;f[e+4>>2]=13;l=i;m=387760;o=l+13|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(o|0));b[i+13>>0]=0;i=PM(j,e)|0;if((b[e+11>>0]|0)<0)fuc(f[e>>2]|0);j=h[a+176>>0]|0;do if(di[f[(f[c>>2]|0)+12>>2]&1023](i)|0){q=c+36|0;if((f[q>>2]|0)==6){r=cuc(32)|0;f[e>>2]=r;f[e+8>>2]=-2147483616;f[e+4>>2]=30;l=r;m=387802;o=l+30|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(o|0));b[r+30>>0]=0;WD(-2,e,531329,387833,1197)}ZM(i,c+12|0,j);if(!(f[q>>2]&4))break;f[q>>2]=6}while(0);j=cuc(16)|0;f[e>>2]=j;f[e+8>>2]=-2147483632;f[e+4>>2]=11;l=j;m=387774;o=l+11|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(o|0));b[j+11>>0]=0;j=PM(i,e)|0;if((b[e+11>>0]|0)<0)fuc(f[e>>2]|0);i=h[a+177>>0]|0;do if(di[f[(f[c>>2]|0)+12>>2]&1023](j)|0){g=c+36|0;if((f[g>>2]|0)==6){k=cuc(32)|0;f[e>>2]=k;f[e+8>>2]=-2147483616;f[e+4>>2]=30;l=k;m=387802;o=l+30|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(o|0));b[k+30>>0]=0;WD(-2,e,531329,387833,1197)}ZM(j,c+12|0,i);if(!(f[g>>2]&4))break;f[g>>2]=6}while(0);i=cuc(16)|0;f[e>>2]=i;f[e+8>>2]=-2147483632;f[e+4>>2]=15;l=i;m=387786;o=l+15|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(o|0));b[i+15>>0]=0;i=PM(j,e)|0;if((b[e+11>>0]|0)<0)fuc(f[e>>2]|0);j=a+180|0;if(!(di[f[(f[c>>2]|0)+12>>2]&1023](i)|0)){u=d;return}a=c+36|0;if((f[a>>2]|0)==6){q=cuc(32)|0;f[e>>2]=q;f[e+8>>2]=-2147483616;f[e+4>>2]=30;l=q;m=387802;o=l+30|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(o|0));b[q+30>>0]=0;WD(-2,e,531329,387833,1197)}_M(i,c+12|0,+n[j>>2]);if(!(f[a>>2]&4)){u=d;return}f[a>>2]=6;u=d;return}function tCa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0;d=u;u=u+128|0;e=d;g=d+112|0;h=d+104|0;i=d+96|0;j=d+88|0;k=d+80|0;l=d+72|0;m=d+64|0;n=d+56|0;o=d+48|0;q=d+40|0;r=d+32|0;s=d+24|0;t=d+16|0;UM(g,c,477134);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;gN(g,e,e);g=a+184|0;v=b[e+11>>0]|0;w=v<<24>>24<0;x=v&255;v=w?f[e+4>>2]|0:x;y=b[g+11>>0]|0;z=y<<24>>24<0;a:do if((v|0)==((z?f[a+188>>2]|0:y&255)|0)){A=f[e>>2]|0;B=w?A:e;C=z?f[g>>2]|0:g;D=(v|0)==0;if(w)if(D){fuc(f[e>>2]|0);break}else{E=(ahc(B,C,v)|0)==0;F=11;break}if(D)break;if((A&255)<<24>>24==(b[C>>0]|0)){A=e;D=x;B=C;while(1){D=D+-1|0;A=A+1|0;if(!D){G=1;F=10;break a}B=B+1|0;if((b[A>>0]|0)!=(b[B>>0]|0)){G=0;F=10;break}}}else{G=0;F=10}}else{G=0;F=10}while(0);if((F|0)==10)if(!w){if(!G){H=cuc(32)|0;f[e>>2]=H;I=e+8|0;f[I>>2]=-2147483616;J=e+4|0;f[J>>2]=27;K=H;L=387613;M=K+27|0;do{b[K>>0]=b[L>>0]|0;K=K+1|0;L=L+1|0}while((K|0)<(M|0));N=H+27|0;b[N>>0]=0;WD(-215,e,387641,386930,307)}}else{E=G;F=11}if((F|0)==11?(fuc(f[e>>2]|0),!E):0){H=cuc(32)|0;f[e>>2]=H;I=e+8|0;f[I>>2]=-2147483616;J=e+4|0;f[J>>2]=27;K=H;L=387613;M=K+27|0;do{b[K>>0]=b[L>>0]|0;K=K+1|0;L=L+1|0}while((K|0)<(M|0));N=H+27|0;b[N>>0]=0;WD(-215,e,387641,386930,307)}UM(h,c,387646);dN(h,e,0);f[a+132>>2]=f[e>>2];UM(i,c,387654);dN(i,e,0);f[a+136>>2]=f[e>>2];UM(j,c,387664);eN(j,e,0.0);f[a+152>>2]=f[e>>2];UM(k,c,387680);fN(k,e,0.0);p[a+144>>3]=+p[e>>3];UM(l,c,387693);eN(l,e,0.0);f[a+156>>2]=f[e>>2];UM(m,c,387709);eN(m,e,0.0);f[a+160>>2]=f[e>>2];UM(n,c,387717);eN(n,e,0.0);f[a+164>>2]=f[e>>2];UM(o,c,387724);eN(o,e,0.0);f[a+168>>2]=f[e>>2];UM(q,c,387731);eN(q,e,0.0);f[a+172>>2]=f[e>>2];UM(r,c,387760);dN(r,e,0);b[a+176>>0]=(f[e>>2]|0)!=0&1;UM(s,c,387774);dN(s,e,0);s=f[e>>2]|0;b[a+177>>0]=s>>>0<256?s:(s|0)>0?255:0;UM(t,c,387786);eN(t,e,0.0);f[a+180>>2]=f[e>>2];u=d;return}function uCa(a,c,d,e){a=a|0;c=c|0;d=d|0;e=+e;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0.0,A=0.0,B=0.0,C=0.0,D=0,E=0;g=u;u=u+224|0;h=g+208|0;i=g+152|0;j=g+144|0;k=g+80|0;l=g+88|0;m=g+68|0;o=g;gV(h,109876);q=a+128|0;do if(!(e>=1.0|(f[q>>2]|0)==0)){oJ(i,c,-1);if(!((f[i>>2]|0)!=(f[a+4>>2]|0)?1:(f[i+4>>2]|0)!=(f[a+8>>2]|0))?(r=pJ(c,-1)|0,(r|0)==(f[a+12>>2]|0)):0)break;else{s=5;break}}else s=5;while(0);if((s|0)==5){oJ(j,c,-1);YCa(a,j,pJ(c,-1)|0)}do if((qJ(c)|0)==65536){j=f[c+4>>2]|0;f[i>>2]=f[j>>2];s=i+4|0;r=j+4|0;f[s>>2]=f[r>>2];t=i+8|0;f[t>>2]=f[j+8>>2];f[i+12>>2]=f[j+12>>2];f[i+16>>2]=f[j+16>>2];f[i+20>>2]=f[j+20>>2];f[i+24>>2]=f[j+24>>2];f[i+28>>2]=f[j+28>>2];f[i+32>>2]=f[j+32>>2];v=f[j+36>>2]|0;f[i+36>>2]=v;w=i+40|0;f[w>>2]=t;t=i+48|0;x=i+44|0;f[x>>2]=t;f[t>>2]=0;f[i+52>>2]=0;if(v|0){t=v+12|0;f[t>>2]=(f[t>>2]|0)+1}if((f[r>>2]|0)<3){r=f[j+44>>2]|0;t=f[x>>2]|0;f[t>>2]=f[r>>2];f[t+4>>2]=f[r+4>>2];y=w;break}else{f[s>>2]=0;$T(i,j);y=w;break}}else{nJ(i,c,-1);y=i+40|0}while(0);c=f[y>>2]|0;w=f[c>>2]|0;f[k>>2]=f[c+4>>2];f[k+4>>2]=w;IJ(d,k,0,-1,0,0);do if((qJ(d)|0)==65536){k=f[d+4>>2]|0;f[l>>2]=f[k>>2];w=l+4|0;c=k+4|0;f[w>>2]=f[c>>2];j=l+8|0;f[j>>2]=f[k+8>>2];f[l+12>>2]=f[k+12>>2];f[l+16>>2]=f[k+16>>2];f[l+20>>2]=f[k+20>>2];f[l+24>>2]=f[k+24>>2];f[l+28>>2]=f[k+28>>2];f[l+32>>2]=f[k+32>>2];s=f[k+36>>2]|0;f[l+36>>2]=s;f[l+40>>2]=j;j=l+48|0;r=l+44|0;f[r>>2]=j;f[j>>2]=0;f[l+52>>2]=0;if(s|0){j=s+12|0;f[j>>2]=(f[j>>2]|0)+1}if((f[c>>2]|0)<3){c=f[k+44>>2]|0;j=f[r>>2]|0;f[j>>2]=f[c>>2];f[j+4>>2]=f[c+4>>2];break}else{f[w>>2]=0;$T(l,k);break}}else nJ(l,d,-1);while(0);d=f[q>>2]|0;k=d+1|0;f[q>>2]=k;if(e>=0.0&(d|0)>0)z=e;else{d=k<<1;k=f[a+132>>2]|0;z=1.0/+(((k|0)<(d|0)?k:d)|0)}if(!(z>=0.0)){f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;d=cuc(32)|0;f[m>>2]=d;f[m+8>>2]=-2147483616;f[m+4>>2]=17;k=d;q=387439;w=k+17|0;do{b[k>>0]=b[q>>0]|0;k=k+1|0;q=q+1|0}while((k|0)<(w|0));b[d+17>>0]=0;WD(-215,m,450262,386930,870)}d=i+8|0;q=f[d>>2]|0;f[m>>2]=0;f[m+4>>2]=q;k=f[a+32>>2]|0;w=f[a+136>>2]|0;c=Y(w<<3,q)|0;q=f[i+12>>2]|0;j=k+(Y(c,q)|0)|0;c=f[a+88>>2]|0;e=+p[a+144>>3];r=f[a+152>>2]|0;s=f[a+156>>2]|0;t=f[a+160>>2]|0;A=+n[a+164>>2];B=+n[a+168>>2];C=-(z*+n[a+172>>2]);x=f[a+180>>2]|0;v=b[a+176>>0]|0;D=b[a+177>>0]|0;f[o>>2]=109904;f[o+4>>2]=i;f[o+8>>2]=l;f[o+12>>2]=k;f[o+16>>2]=j;f[o+20>>2]=c;f[o+24>>2]=w;n[o+28>>2]=z;n[o+32>>2]=e;f[o+36>>2]=r;f[o+40>>2]=s;f[o+44>>2]=t;n[o+48>>2]=A>B?B:A;n[o+52>>2]=A<B?B:A;n[o+56>>2]=C;f[o+60>>2]=x;b[o+64>>0]=v;b[o+65>>0]=D;D=i+4|0;v=f[D>>2]|0;if((v|0)<3)E=Y(q,f[d>>2]|0)|0;else{d=f[y>>2]|0;q=0;x=1;while(1){t=Y(f[d+(q<<2)>>2]|0,x)|0;q=q+1|0;if((q|0)==(v|0)){E=t;break}else x=t}}sZ(m,o,+(E>>>0)*.0000152587890625);E=l+36|0;o=f[E>>2]|0;if(o|0?(m=o+12|0,o=f[m>>2]|0,f[m>>2]=o+-1,(o|0)==1):0)aU(l);f[E>>2]=0;E=l+16|0;o=l+4|0;f[E>>2]=0;f[E+4>>2]=0;f[E+8>>2]=0;f[E+12>>2]=0;if((f[o>>2]|0)>0){E=f[l+40>>2]|0;m=0;do{f[E+(m<<2)>>2]=0;m=m+1|0}while((m|0)<(f[o>>2]|0))}o=f[l+44>>2]|0;if((o|0)!=(l+48|0))TC(o);o=i+36|0;l=f[o>>2]|0;if(l|0?(m=l+12|0,l=f[m>>2]|0,f[m>>2]=l+-1,(l|0)==1):0)aU(i);f[o>>2]=0;o=i+16|0;f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;f[o+12>>2]=0;if((f[D>>2]|0)>0){o=f[y>>2]|0;y=0;do{f[o+(y<<2)>>2]=0;y=y+1|0}while((y|0)<(f[D>>2]|0))}D=f[i+44>>2]|0;if((D|0)!=(i+48|0))TC(D);if(!(f[h+4>>2]|0)){u=g;return}u=g;return}function vCa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+16|0;e=d;switch(f[a+12>>2]|0){case 0:{UCa(a,c);u=d;return}case 16:{VCa(a,c);u=d;return}case 5:{WCa(a,c);u=d;return}case 21:{XCa(a,c);u=d;return}default:{d=cuc(96)|0;f[e>>2]=d;f[e+8>>2]=-2147483552;f[e+4>>2]=94;c=d;a=386816;g=c+94|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(g|0));b[d+94>>0]=0;WD(-215,e,386911,386930,929)}}}function wCa(a){a=a|0;return f[a+132>>2]|0}function xCa(a,b){a=a|0;b=b|0;f[a+132>>2]=b;return}function yCa(a){a=a|0;return f[a+136>>2]|0}function zCa(a,b){a=a|0;b=b|0;f[a+136>>2]=b;return}function ACa(a){a=a|0;return +(+n[a+152>>2])}function BCa(a,b){a=a|0;b=+b;n[a+152>>2]=b;return}function CCa(a){a=a|0;return +(+p[a+144>>3])}function DCa(a,b){a=a|0;b=+b;p[a+144>>3]=b;return}function ECa(a){a=a|0;return +(+n[a+156>>2])}function FCa(a,b){a=a|0;b=+b;n[a+156>>2]=b;return}function GCa(a){a=a|0;return +(+n[a+160>>2])}function HCa(a,b){a=a|0;b=+b;n[a+160>>2]=b;return}function ICa(a){a=a|0;return +(+n[a+164>>2])}function JCa(a,b){a=a|0;b=+b;n[a+164>>2]=b;return}function KCa(a){a=a|0;return +(+n[a+168>>2])}function LCa(a,b){a=a|0;b=+b;n[a+168>>2]=b;return}function MCa(a){a=a|0;return +(+n[a+172>>2])}function NCa(a,b){a=a|0;b=+b;n[a+172>>2]=b;return}function OCa(a){a=a|0;return (b[a+176>>0]|0)!=0|0}function PCa(a,c){a=a|0;c=c|0;var d=0;d=a+176|0;if((h[d>>0]|0|0)==(c&1|0))return;b[d>>0]=c&1;return}function QCa(a){a=a|0;return h[a+177>>0]|0|0}function RCa(a,c){a=a|0;c=c|0;b[a+177>>0]=c;return}function SCa(a){a=a|0;return +(+n[a+180>>2])}function TCa(a,b){a=a|0;b=+b;n[a+180>>2]=b;return}function UCa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0.0,J=0.0,K=0.0,M=0,N=0,O=0,P=0;d=u;u=u+112|0;e=d+96|0;g=d+88|0;h=d+32|0;i=d;gV(g,109856);j=a+4|0;k=f[j>>2]|0;l=a+8|0;m=f[l>>2]|0;o=f[a+12>>2]|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;f[i+16>>2]=0;f[i+20>>2]=0;f[i+24>>2]=0;f[i+28>>2]=0;f[h>>2]=1124007936;p=h+4|0;q=h+8|0;r=h+40|0;s=p;t=s+36|0;do{f[s>>2]=0;s=s+4|0}while((s|0)<(t|0));f[r>>2]=q;s=h+48|0;t=h+44|0;f[t>>2]=s;f[s>>2]=0;f[h+52>>2]=0;f[e>>2]=m;f[e+4>>2]=k;ZT(h,2,e,o&4095);GI(h,i)|0;i=f[a+32>>2]|0;o=Y(f[l>>2]|0,f[j>>2]|0)|0;j=a+136|0;l=i+((Y(o,f[j>>2]|0)|0)<<3)|0;o=f[q>>2]|0;if((o|0)>0){e=h+12|0;k=a+88|0;m=a+116|0;v=h+16|0;w=a+152|0;a=0;x=0;y=o;o=f[e>>2]|0;while(1){if((o|0)>0){z=0;A=a;do{B=(f[k>>2]|0)+(Y(f[f[m>>2]>>2]|0,x)|0)+z|0;C=b[B>>0]|0;B=(C&255)+A|0;if(!(C<<24>>24)){D=0.0;E=0.0}else{F=+n[w>>2];C=A;G=0.0;H=0.0;while(1){I=+n[i+(C<<3)>>2];J=H+I*+n[l+(C<<2)>>2];K=G+I;C=C+1|0;if(!(!(K>F)&(C|0)<(B|0))){D=K;E=J;break}else{G=K;H=J}}}B=+L(+D)>1.1920928955078125e-07;C=Ghc(E*(B?1.0/D:0.0))|0;B=(f[v>>2]|0)+(Y(f[f[t>>2]>>2]|0,x)|0)+z|0;b[B>>0]=C>>>0<256?C:(C|0)>0?255:0;A=(f[j>>2]|0)+A|0;z=z+1|0;M=f[e>>2]|0}while((z|0)<(M|0));N=A;O=M;P=f[q>>2]|0}else{N=a;O=o;P=y}x=x+1|0;if((x|0)>=(P|0))break;else{a=N;y=P;o=O}}}EI(h,c);c=h+36|0;O=f[c>>2]|0;if(O|0?(o=O+12|0,O=f[o>>2]|0,f[o>>2]=O+-1,(O|0)==1):0)aU(h);f[c>>2]=0;c=h+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[p>>2]|0)>0){c=f[r>>2]|0;r=0;do{f[c+(r<<2)>>2]=0;r=r+1|0}while((r|0)<(f[p>>2]|0))}p=f[t>>2]|0;if((p|0)!=(s|0))TC(p);if(!(f[g+4>>2]|0)){u=d;return}u=d;return}function VCa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0.0,J=0.0,K=0.0,M=0.0,N=0.0,O=0,P=0.0,Q=0.0,R=0.0,S=0.0,T=0,U=0,V=0,W=0,X=0;d=u;u=u+112|0;e=d+96|0;g=d+88|0;h=d+32|0;i=d;gV(g,109836);j=a+4|0;k=f[j>>2]|0;l=a+8|0;m=f[l>>2]|0;o=f[a+12>>2]|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;f[i+16>>2]=0;f[i+20>>2]=0;f[i+24>>2]=0;f[i+28>>2]=0;f[h>>2]=1124007936;p=h+4|0;q=h+8|0;r=h+40|0;s=p;t=s+36|0;do{f[s>>2]=0;s=s+4|0}while((s|0)<(t|0));f[r>>2]=q;s=h+48|0;t=h+44|0;f[t>>2]=s;f[s>>2]=0;f[h+52>>2]=0;f[e>>2]=m;f[e+4>>2]=k;ZT(h,2,e,o&4095);GI(h,i)|0;i=f[a+32>>2]|0;o=Y(f[l>>2]|0,f[j>>2]|0)|0;j=a+136|0;l=i+((Y(o,f[j>>2]|0)|0)<<3)|0;o=f[q>>2]|0;if((o|0)>0){e=h+12|0;k=a+88|0;m=a+116|0;v=h+16|0;w=a+152|0;a=0;x=0;y=o;o=f[e>>2]|0;while(1){if((o|0)>0){z=0;A=a;do{B=(f[k>>2]|0)+(Y(f[f[m>>2]>>2]|0,x)|0)+z|0;C=b[B>>0]|0;B=(C&255)+A|0;if(!(C<<24>>24)){D=0.0;E=0.0;F=0.0;G=0.0}else{H=+n[w>>2];C=A;I=0.0;J=0.0;K=0.0;M=0.0;while(1){N=+n[i+(C<<3)>>2];O=C*3|0;P=J+N*+n[l+(O<<2)>>2];Q=K+N*+n[l+(O+1<<2)>>2];R=M+N*+n[l+(O+2<<2)>>2];S=I+N;C=C+1|0;if(!(!(S>H)&(C|0)<(B|0))){D=S;E=P;F=Q;G=R;break}else{I=S;J=P;K=Q;M=R}}}B=+L(+D)>1.1920928955078125e-07;M=B?1.0/D:0.0;B=Ghc(E*M)|0;C=Ghc(F*M)|0;O=Ghc(M*G)|0;T=(f[v>>2]|0)+(Y(f[f[t>>2]>>2]|0,x)|0)|0;b[T+(z*3|0)>>0]=B>>>0<256?B:(B|0)>0?255:0;b[T+(z*3|0)+1>>0]=C>>>0<256?C:(C|0)>0?255:0;b[T+(z*3|0)+2>>0]=O>>>0<256?O:(O|0)>0?255:0;A=(f[j>>2]|0)+A|0;z=z+1|0;U=f[e>>2]|0}while((z|0)<(U|0));V=A;W=U;X=f[q>>2]|0}else{V=a;W=o;X=y}x=x+1|0;if((x|0)>=(X|0))break;else{a=V;y=X;o=W}}}EI(h,c);c=h+36|0;W=f[c>>2]|0;if(W|0?(o=W+12|0,W=f[o>>2]|0,f[o>>2]=W+-1,(W|0)==1):0)aU(h);f[c>>2]=0;c=h+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[p>>2]|0)>0){c=f[r>>2]|0;r=0;do{f[c+(r<<2)>>2]=0;r=r+1|0}while((r|0)<(f[p>>2]|0))}p=f[t>>2]|0;if((p|0)!=(s|0))TC(p);if(!(f[g+4>>2]|0)){u=d;return}u=d;return}function WCa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0.0,J=0.0,K=0.0,M=0,N=0,O=0,P=0;d=u;u=u+112|0;e=d+96|0;g=d+88|0;h=d+32|0;i=d;gV(g,109816);j=a+4|0;k=f[j>>2]|0;l=a+8|0;m=f[l>>2]|0;o=f[a+12>>2]|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;f[i+16>>2]=0;f[i+20>>2]=0;f[i+24>>2]=0;f[i+28>>2]=0;f[h>>2]=1124007936;p=h+4|0;q=h+8|0;r=h+40|0;s=p;t=s+36|0;do{f[s>>2]=0;s=s+4|0}while((s|0)<(t|0));f[r>>2]=q;s=h+48|0;t=h+44|0;f[t>>2]=s;f[s>>2]=0;f[h+52>>2]=0;f[e>>2]=m;f[e+4>>2]=k;ZT(h,2,e,o&4095);GI(h,i)|0;i=f[a+32>>2]|0;o=Y(f[l>>2]|0,f[j>>2]|0)|0;j=a+136|0;l=i+((Y(o,f[j>>2]|0)|0)<<3)|0;o=f[q>>2]|0;if((o|0)>0){e=h+12|0;k=a+88|0;m=a+116|0;v=h+16|0;w=a+152|0;a=0;x=0;y=f[e>>2]|0;z=o;while(1){if((y|0)>0){o=0;A=a;do{B=(f[k>>2]|0)+(Y(f[f[m>>2]>>2]|0,x)|0)+o|0;C=b[B>>0]|0;B=(C&255)+A|0;if(!(C<<24>>24)){D=0.0;E=0.0}else{F=+n[w>>2];C=A;G=0.0;H=0.0;while(1){I=+n[i+(C<<3)>>2];J=H+I*+n[l+(C<<2)>>2];K=G+I;C=C+1|0;if(!(!(K>F)&(C|0)<(B|0))){D=K;E=J;break}else{G=K;H=J}}}B=+L(+D)>1.1920928955078125e-07;C=(f[v>>2]|0)+(Y(f[f[t>>2]>>2]|0,x)|0)+(o<<2)|0;n[C>>2]=E*(B?1.0/D:0.0);A=(f[j>>2]|0)+A|0;o=o+1|0;M=f[e>>2]|0}while((o|0)<(M|0));N=A;O=f[q>>2]|0;P=M}else{N=a;O=z;P=y}x=x+1|0;if((x|0)>=(O|0))break;else{a=N;y=P;z=O}}}EI(h,c);c=h+36|0;O=f[c>>2]|0;if(O|0?(z=O+12|0,O=f[z>>2]|0,f[z>>2]=O+-1,(O|0)==1):0)aU(h);f[c>>2]=0;c=h+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[p>>2]|0)>0){c=f[r>>2]|0;r=0;do{f[c+(r<<2)>>2]=0;r=r+1|0}while((r|0)<(f[p>>2]|0))}p=f[t>>2]|0;if((p|0)!=(s|0))TC(p);if(!(f[g+4>>2]|0)){u=d;return}u=d;return}function XCa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0.0,J=0.0,K=0.0,M=0.0,N=0.0,O=0,P=0.0,Q=0.0,R=0.0,S=0.0,T=0,U=0,V=0,W=0;d=u;u=u+112|0;e=d+96|0;g=d+88|0;h=d+32|0;i=d;gV(g,109796);j=a+4|0;k=f[j>>2]|0;l=a+8|0;m=f[l>>2]|0;o=f[a+12>>2]|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;f[i+16>>2]=0;f[i+20>>2]=0;f[i+24>>2]=0;f[i+28>>2]=0;f[h>>2]=1124007936;p=h+4|0;q=h+8|0;r=h+40|0;s=p;t=s+36|0;do{f[s>>2]=0;s=s+4|0}while((s|0)<(t|0));f[r>>2]=q;s=h+48|0;t=h+44|0;f[t>>2]=s;f[s>>2]=0;f[h+52>>2]=0;f[e>>2]=m;f[e+4>>2]=k;ZT(h,2,e,o&4095);GI(h,i)|0;i=f[a+32>>2]|0;o=Y(f[l>>2]|0,f[j>>2]|0)|0;j=a+136|0;l=i+((Y(o,f[j>>2]|0)|0)<<3)|0;o=f[q>>2]|0;if((o|0)>0){e=h+12|0;k=a+88|0;m=a+116|0;v=h+16|0;w=a+152|0;a=0;x=0;y=o;o=f[e>>2]|0;while(1){if((o|0)>0){z=0;A=a;do{B=(f[k>>2]|0)+(Y(f[f[m>>2]>>2]|0,x)|0)+z|0;C=b[B>>0]|0;B=(C&255)+A|0;if(!(C<<24>>24)){D=0.0;E=0.0;F=0.0;G=0.0}else{H=+n[w>>2];C=A;I=0.0;J=0.0;K=0.0;M=0.0;while(1){N=+n[i+(C<<3)>>2];O=C*3|0;P=J+N*+n[l+(O<<2)>>2];Q=K+N*+n[l+(O+1<<2)>>2];R=M+N*+n[l+(O+2<<2)>>2];S=I+N;C=C+1|0;if(!(!(S>H)&(C|0)<(B|0))){D=S;E=P;F=Q;G=R;break}else{I=S;J=P;K=Q;M=R}}}B=+L(+D)>1.1920928955078125e-07;M=B?1.0/D:0.0;B=(f[v>>2]|0)+(Y(f[f[t>>2]>>2]|0,x)|0)|0;n[B+(z*12|0)>>2]=E*M;n[B+(z*12|0)+4>>2]=F*M;n[B+(z*12|0)+8>>2]=M*G;A=(f[j>>2]|0)+A|0;z=z+1|0;T=f[e>>2]|0}while((z|0)<(T|0));U=A;V=T;W=f[q>>2]|0}else{U=a;V=o;W=y}x=x+1|0;if((x|0)>=(W|0))break;else{a=U;y=W;o=V}}}EI(h,c);c=h+36|0;V=f[c>>2]|0;if(V|0?(o=V+12|0,V=f[o>>2]|0,f[o>>2]=V+-1,(V|0)==1):0)aU(h);f[c>>2]=0;c=h+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[p>>2]|0)>0){c=f[r>>2]|0;r=0;do{f[c+(r<<2)>>2]=0;r=r+1|0}while((r|0)<(f[p>>2]|0))}p=f[t>>2]|0;if((p|0)!=(s|0))TC(p);if(!(f[g+4>>2]|0)){u=d;return}u=d;return}function YCa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=u;u=u+32|0;g=e;h=f[c>>2]|0;i=a+4|0;f[i>>2]=h;j=f[c+4>>2]|0;c=a+8|0;f[c>>2]=j;f[a+12>>2]=d;f[a+128>>2]=0;k=d>>>3&511;if((k+1|0)>>>0>=513){d=cuc(32)|0;f[g>>2]=d;f[g+8>>2]=-2147483616;f[g+4>>2]=22;l=d;m=387476;n=l+22|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));b[d+22>>0]=0;WD(-215,g,387499,386930,192)}d=f[a+136>>2]|0;if((d|0)>=256){o=cuc(32)|0;f[g>>2]=o;f[g+8>>2]=-2147483616;f[g+4>>2]=16;l=o;m=387510;n=l+16|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));b[o+16>>0]=0;WD(-215,g,387499,386930,193)}o=a+16|0;m=Y(Y(Y(d,k+3|0)|0,j)|0,h)|0;if(((((f[a+20>>2]|0)<3?(f[a+24>>2]|0)==1:0)?(f[a+28>>2]|0)==(m|0):0)?(f[o>>2]&4095|0)==5:0)?(f[a+32>>2]|0)!=0:0){p=j;q=h}else{f[g>>2]=1;f[g+4>>2]=m;ZT(o,2,g,5);p=f[c>>2]|0;q=f[i>>2]|0}i=a+72|0;if(((((f[a+76>>2]|0)<3?(f[a+80>>2]|0)==(p|0):0)?(f[a+84>>2]|0)==(q|0):0)?(f[i>>2]&4095|0)==0:0)?f[a+88>>2]|0:0){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;f[g+16>>2]=0;f[g+20>>2]=0;f[g+24>>2]=0;f[g+28>>2]=0;GI(i,g)|0;u=e;return}f[g>>2]=p;f[g+4>>2]=q;ZT(i,2,g,0);f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;f[g+16>>2]=0;f[g+20>>2]=0;f[g+24>>2]=0;f[g+28>>2]=0;GI(i,g)|0;u=e;return}function ZCa(a){a=a|0;fuc(a);return}function _Ca(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0.0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0.0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0.0,Ca=0,Da=0,Ea=0.0,Fa=0.0,Ga=0,Ha=0.0,Ia=0.0,Ja=0.0,Ka=0.0,La=0.0,Ma=0,Na=0,Oa=0,Pa=0.0,Qa=0.0,Ra=0,Sa=0,Ta=0.0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0.0,eb=0.0,fb=0,gb=0,hb=0;d=u;u=u+3248|0;e=d+3224|0;g=d+3168|0;i=d+2104|0;j=d+56|0;k=d;l=f[c>>2]|0;m=f[c+4>>2]|0;c=a+4|0;o=f[c>>2]|0;p=f[o+12>>2]|0;q=((f[o>>2]|0)>>>3&511)+1|0;r=Y(p,q)|0;s=i+8|0;f[i>>2]=s;t=i+4|0;f[t>>2]=r;if(r>>>0>264){v=euc(r>>>0>1073741823?-1:r<<2)|0;f[i>>2]=v;w=v}else w=s;v=a+28|0;x=1.0-+n[v>>2];a:do if((l|0)<(m|0)){r=a+16|0;y=a+24|0;z=a+12|0;A=a+20|0;B=a+8|0;C=(p|0)>0;D=a+64|0;E=a+32|0;F=a+36|0;G=a+60|0;H=a+65|0;I=a+44|0;J=a+56|0;K=(q|0)==3;M=j+4|0;N=j+8|0;O=a+40|0;P=a+48|0;Q=a+52|0;R=e+4|0;S=g+4|0;T=(q<<3)+-3|0;U=e+8|0;V=e+4|0;W=g+36|0;X=g+16|0;Z=g+4|0;_=g+40|0;$=g+44|0;aa=g+48|0;ba=k+36|0;ca=k+16|0;da=k+4|0;ea=k+40|0;fa=k+44|0;ga=k+48|0;ha=l;ia=o;ja=w;while(1){if((f[ia>>2]&7|0)==5)ka=(f[ia+16>>2]|0)+(Y(f[f[ia+44>>2]>>2]|0,ha)|0)|0;else{f[e>>2]=ha;f[R>>2]=ha+1;f[g>>2]=-2147483648;f[S>>2]=2147483647;bU(k,ia,e,g);Ri(g,1,p,T,ja,0);la=U;f[la>>2]=0;f[la+4>>2]=0;f[e>>2]=-1040121856;f[V>>2]=g;kQ(k,e,5,1.0,0.0);la=f[W>>2]|0;if(la|0?(ma=la+12|0,la=f[ma>>2]|0,f[ma>>2]=la+-1,(la|0)==1):0)aU(g);f[W>>2]=0;f[X>>2]=0;f[X+4>>2]=0;f[X+8>>2]=0;f[X+12>>2]=0;if((f[Z>>2]|0)>0){la=f[_>>2]|0;ma=0;do{f[la+(ma<<2)>>2]=0;ma=ma+1|0}while((ma|0)<(f[Z>>2]|0))}ma=f[$>>2]|0;if((ma|0)!=(aa|0))TC(ma);ma=f[ba>>2]|0;if(ma|0?(la=ma+12|0,ma=f[la>>2]|0,f[la>>2]=ma+-1,(ma|0)==1):0)aU(k);f[ba>>2]=0;f[ca>>2]=0;f[ca+4>>2]=0;f[ca+8>>2]=0;f[ca+12>>2]=0;if((f[da>>2]|0)>0){ma=f[ea>>2]|0;la=0;do{f[ma+(la<<2)>>2]=0;la=la+1|0}while((la|0)<(f[da>>2]|0))}la=f[fa>>2]|0;if((la|0)!=(ga|0))TC(la);ka=ja}la=Y(f[y>>2]|0,p)|0;ma=(f[A>>2]|0)+(Y(ha,p)|0)|0;na=f[B>>2]|0;oa=(f[na+16>>2]|0)+(Y(f[f[na+44>>2]>>2]|0,ha)|0)|0;if(C){na=(f[z>>2]|0)+((Y(la,ha)|0)<<3)|0;pa=0;qa=na;na=(f[r>>2]|0)+((Y(Y(ha,q)|0,la)|0)<<2)|0;la=ka;while(1){ra=ma+pa|0;sa=b[ra>>0]|0;ta=sa&255;if(!(sa<<24>>24)){ua=0.0;va=ta;wa=0;xa=0}else{sa=la+4|0;ya=la+8|0;za=0;Aa=na;Ba=0.0;Ca=ta;ta=0;Da=0;Ea=+n[J>>2];while(1){Fa=x*+n[qa+(za<<3)>>2]+Ea;b:do if(!ta){Ga=qa+(za<<3)+4|0;Ha=+n[Ga>>2];if(K){Ia=+n[Aa>>2]-+n[la>>2];n[j>>2]=Ia;Ja=+n[Aa+4>>2]-+n[sa>>2];n[M>>2]=Ja;Ka=+n[Aa+8>>2]-+n[ya>>2];n[N>>2]=Ka;La=Ka*Ka+(Ia*Ia+Ja*Ja)}else{Ma=0;Ja=0.0;while(1){Ia=+n[Aa+(Ma<<2)>>2]-+n[la+(Ma<<2)>>2];n[j+(Ma<<2)>>2]=Ia;Ka=Ja+Ia*Ia;Ma=Ma+1|0;if((Ma|0)==(q|0)){La=Ka;break}else Ja=Ka}}if(Ba<+n[F>>2]?La<Ha*+n[E>>2]:0)Na=1;else Na=Da;if(La<Ha*+n[O>>2]){Ja=+n[v>>2];Ka=Fa+Ja;Ia=Ja/Ka;Ma=0;do{Oa=Aa+(Ma<<2)|0;n[Oa>>2]=+n[Oa>>2]-Ia*+n[j+(Ma<<2)>>2];Ma=Ma+1|0}while((Ma|0)!=(q|0));Ja=Ha+(La-Ha)*Ia;Pa=+n[P>>2];Qa=Ja<Pa?Pa:Ja;Ja=+n[Q>>2];n[Ga>>2]=Qa>Ja?Ja:Qa;if((za|0)>0){Ma=za;Oa=0;while(1){Ra=Ma;Ma=Ma+-1|0;Sa=qa+(Ma<<3)|0;if(Ka<+n[Sa>>2]){Ta=Ka;Ua=Oa;Va=1;Wa=Na;break b}Xa=qa+(Ra<<3)|0;Ya=Xa;Za=f[Ya>>2]|0;_a=f[Ya+4>>2]|0;Ya=Sa;$a=f[Ya+4>>2]|0;ab=Xa;f[ab>>2]=f[Ya>>2];f[ab+4>>2]=$a;$a=Sa;f[$a>>2]=Za;f[$a+4>>2]=_a;_a=Y(Ra,q)|0;$a=Y(Ma,q)|0;Za=0;do{Sa=na+(Za+_a<<2)|0;ab=na+(Za+$a<<2)|0;Ya=f[Sa>>2]|0;f[Sa>>2]=f[ab>>2];f[ab>>2]=Ya;Za=Za+1|0}while((Za|0)!=(q|0));Za=Oa+1|0;if((Ra|0)<=1){Ta=Ka;Ua=Za;Va=1;Wa=Na;break}else Oa=Za}}else{Ta=Ka;Ua=0;Va=1;Wa=Na}}else{Ta=Fa;Ua=0;Va=0;Wa=Na}}else{Ta=Fa;Ua=0;Va=1;Wa=Da}while(0);Ea=+n[J>>2];Oa=Ta<-Ea;Ma=(Oa<<31>>31)+Ca|0;Fa=Oa?0.0:Ta;n[qa+(za-Ua<<3)>>2]=Fa;Ia=Ba+Fa;za=za+1|0;if((za|0)>=(Ma|0)){ua=Ia;va=Ma;wa=Va;xa=Wa;break}else{Aa=Aa+(q<<2)|0;Ba=Ia;Ca=Ma;ta=Va;Da=Wa}}}Da=+L(+ua)>1.1920928955078125e-07;Ba=Da?1.0/ua:0.0;if((va|0)>0){Da=0;do{ta=qa+(Da<<3)|0;n[ta>>2]=Ba*+n[ta>>2];Da=Da+1|0}while((Da|0)!=(va|0))}c:do if(!wa?(Ba=+n[v>>2],Ba>0.0):0){Da=f[y>>2]|0;ta=(va|0)==(Da|0);Ca=((ta^1)&1)+va|0;Aa=ta?Da+-1|0:va;Da=qa+(Aa<<3)|0;if((Ca|0)!=1){n[Da>>2]=Ba;ta=Ca+-1|0;if((Ca|0)>1){za=0;do{ya=qa+(za<<3)|0;n[ya>>2]=x*+n[ya>>2];za=za+1|0}while((za|0)<(ta|0))}}else n[Da>>2]=1.0;ta=Y(Aa,q)|0;za=0;do{f[na+(za+ta<<2)>>2]=f[la+(za<<2)>>2];za=za+1|0}while((za|0)!=(q|0));f[qa+(Aa<<3)+4>>2]=f[I>>2];if((Ca|0)>1){za=Ca;while(1){ta=za+-2|0;za=za+-1|0;Da=qa+(ta<<3)|0;if(+n[v>>2]<+n[Da>>2]){bb=Ca;break c}ya=qa+(za<<3)|0;sa=ya;Ma=f[sa>>2]|0;Oa=f[sa+4>>2]|0;sa=Da;Ga=f[sa+4>>2]|0;Za=ya;f[Za>>2]=f[sa>>2];f[Za+4>>2]=Ga;Ga=Da;f[Ga>>2]=Ma;f[Ga+4>>2]=Oa;Oa=Y(za,q)|0;Ga=Y(ta,q)|0;ta=0;do{Ma=na+(ta+Oa<<2)|0;Da=na+(ta+Ga<<2)|0;Za=f[Ma>>2]|0;f[Ma>>2]=f[Da>>2];f[Da>>2]=Za;ta=ta+1|0}while((ta|0)!=(q|0));if((za|0)<=1){bb=Ca;break}}}else bb=Ca}else bb=va;while(0);b[ra>>0]=bb;d:do if(!xa)if((b[D>>0]|0)!=0?(Ka=+n[E>>2],Ba=+n[F>>2],Ea=+n[G>>2],(bb|0)>0):0){za=0;Aa=na;Ia=0.0;ta=0;while(1){Fa=+n[qa+(ta<<3)>>2];Ha=+n[qa+(ta<<3)+4>>2];Ga=0;Qa=0.0;Ja=0.0;do{Pa=+n[Aa+(Ga<<2)>>2];Ja=Ja+ +n[la+(Ga<<2)>>2]*Pa;Qa=Qa+Pa*Pa;Ga=Ga+1|0}while((Ga|0)!=(q|0));if(Qa==0.0){cb=255;break d}if(!(!(Ja<=Qa)|!(Ja>=Ea*Qa))){Pa=Ja/Qa;Ga=0;db=0.0;do{eb=Pa*+n[Aa+(Ga<<2)>>2]-+n[la+(Ga<<2)>>2];db=db+eb*eb;Ga=Ga+1|0}while((Ga|0)!=(q|0));Ga=db<Pa*(Ka*Ha*Pa);fb=za|Ga;if(Ga)break;else gb=fb}else gb=za;Ia=Ia+Fa;if(Ia>Ba){cb=255;break d}ta=ta+1|0;if((ta|0)>=(bb|0)){cb=255;break d}else{za=gb;Aa=Aa+(q<<2)|0}}if(fb)cb=h[H>>0]|0;else cb=255}else cb=255;else cb=0;while(0);b[oa+pa>>0]=cb;pa=pa+1|0;ra=f[y>>2]|0;na=na+((Y(ra,q)|0)<<2)|0;if((pa|0)==(p|0))break;else{qa=qa+(ra<<3)|0;la=la+(q<<2)|0}}}la=ha+1|0;qa=f[i>>2]|0;if((la|0)>=(m|0)){hb=qa;break a}ha=la;ia=f[c>>2]|0;ja=qa}}else hb=w;while(0);if((hb|0)==(s|0)){u=d;return}if(hb|0)guc(hb);f[i>>2]=s;f[t>>2]=264;u=d;return}function $Ca(a,b,c,d){a=a|0;b=b|0;c=+c;d=d|0;var e=0,g=0;e=cuc(216)|0;f[e+4>>2]=0;f[e+8>>2]=0;f[e>>2]=109924;g=e+16|0;aDa(g,b,c,d);f[a>>2]=g;f[a+4>>2]=e;return}function aDa(a,c,d,e){a=a|0;c=c|0;d=+d;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0;g=e&1;LG(a);f[a>>2]=109660;e=a+4|0;h=a+8|0;f[a+16>>2]=1124007936;i=a+24|0;j=a+56|0;k=a+20|0;l=k+36|0;do{f[k>>2]=0;k=k+4|0}while((k|0)<(l|0));f[j>>2]=i;i=a+64|0;f[a+60>>2]=i;f[i>>2]=0;f[a+68>>2]=0;f[a+72>>2]=1124007936;i=a+80|0;j=a+112|0;k=a+76|0;l=k+36|0;do{f[k>>2]=0;k=k+4|0}while((k|0)<(l|0));f[j>>2]=i;i=a+120|0;f[a+116>>2]=i;f[i>>2]=0;f[a+124>>2]=0;i=a+184|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[e>>2]=0;f[h>>2]=0;f[a+12>>2]=0;f[a+128>>2]=0;f[a+132>>2]=(c|0)>0?c:500;p[a+144>>3]=d>0.0?d:16.0;b[a+176>>0]=g;f[a+136>>2]=5;n[a+152>>2]=.8999999761581421;n[a+160>>2]=15.0;n[a+168>>2]=75.0;n[a+164>>2]=4.0;n[a+156>>2]=9.0;n[a+172>>2]=.05000000074505806;b[a+177>>0]=127;n[a+180>>2]=.5;wuc(i,387959)|0;return}function bDa(a){a=a|0;f[a>>2]=109924;qCa(a+16|0);Qtc(a);return}function cDa(a){a=a|0;f[a>>2]=109924;qCa(a+16|0);Qtc(a);fuc(a);return}function dDa(a){a=a|0;qCa(a+16|0);return}function eDa(a){a=a|0;fuc(a);return}function fDa(a){a=a|0;fuc(a);return}function gDa(a,c){a=a|0;c=c|0;var e=0,g=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0.0,t=0,v=0,w=0.0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0.0,ga=0.0,ha=0.0,ia=0.0,ja=0.0,ka=0,la=0.0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0.0,ta=0.0,ua=0.0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0.0,Ya=0.0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0.0,db=0.0,eb=0.0,fb=0,gb=0.0,hb=0.0,ib=0.0,jb=0,kb=0,lb=0.0,mb=0.0,nb=0.0,ob=0.0,pb=0.0,qb=0.0,rb=0.0,sb=0.0,tb=0.0,ub=0.0,vb=0.0,wb=0,xb=0.0,yb=0.0,zb=0.0,Ab=0.0,Bb=0.0,Cb=0.0,Db=0.0,Eb=0,Fb=0.0;e=u;u=u+1200|0;g=e+1192|0;i=e+144|0;j=e+88|0;k=e+24|0;l=e+32|0;m=e;o=e+8|0;gV(g,109964);q=a+32|0;r=f[q>>2]|0;s=+(r+-1|0)*.5;t=a+36|0;v=f[t>>2]|0;w=+(v+-1|0)*.5;x=f[a+4>>2]|0;y=f[a+8>>2]|0;z=f[a+12>>2]|0;A=((f[x>>2]|0)>>>3&511)+1|0;B=A<<1;C=Y(Y(r*3|0,v)|0,A)|0;D=i+8|0;f[i>>2]=D;E=i+4|0;f[E>>2]=C;if(C>>>0>520){F=euc(C>>>0>2147483647?-1:C<<1)|0;f[i>>2]=F;G=F}else G=D;f[k>>2]=r;f[k+4>>2]=v;zD(j,k,(A<<3)+-5|0,G,0);G=f[q>>2]|0;f[m>>2]=G;k=f[t>>2]|0;f[m+4>>2]=k;zD(l,m,(A<<4)+-5|0,(f[i>>2]|0)+((Y(Y(k,A)|0,G)|0)<<1)|0,0);G=f[c>>2]|0;k=c+4|0;a:do if((G|0)<(f[k>>2]|0)){c=a+16|0;m=a+56|0;v=a+60|0;r=a+64|0;F=a+20|0;C=a+24|0;H=a+28|0;I=z+12|0;J=z+8|0;K=z+48|0;N=x+48|0;O=y+48|0;P=x+16|0;Q=z+16|0;R=j+16|0;S=j+44|0;T=l+16|0;U=l+44|0;V=B|1;W=a+68|0;X=a+44|0;Z=y+12|0;_=y+8|0;$=y+16|0;aa=a+48|0;ba=A<<5;ca=G;b:while(1){da=f[c>>2]|0;ea=f[m>>2]|0;fa=1.0/+(1<<ea|0);ga=+n[da+(ca<<3)>>2]*fa;ha=+n[da+(ca<<3)+4>>2]*fa;if((ea|0)==(f[v>>2]|0))if(!(f[r>>2]&4)){ia=ga;ja=ha;ka=f[F>>2]|0}else{la=fa;ma=32}else{la=2.0;ma=32}if((ma|0)==32){ma=0;da=f[F>>2]|0;ia=la*+n[da+(ca<<3)>>2];ja=la*+n[da+(ca<<3)+4>>2];ka=da}da=ka+(ca<<3)|0;n[da>>2]=ia;na=ka+(ca<<3)+4|0;n[na>>2]=ja;fa=ga-s;ga=ha-w;oa=~~fa;pa=oa-(+(oa|0)>fa&1)|0;oa=~~ga;qa=oa-(+(oa|0)>ga&1)|0;oa=f[q>>2]|0;c:do if((((pa|0)>=(0-oa|0)?(pa|0)<(f[I>>2]|0):0)?(ra=f[t>>2]|0,(qa|0)>=(0-ra|0)):0)?(qa|0)<(f[J>>2]|0):0){ha=fa-+(pa|0);sa=ga-+(qa|0);ta=1.0-ha;ua=1.0-sa;va=Ghc(ta*ua*16384.0)|0;wa=Ghc(ha*ua*16384.0)|0;xa=Ghc(sa*ta*16384.0)|0;ya=16384-va-wa-xa|0;za=((f[K>>2]|0)>>>0)/((675553809>>>(f[z>>2]<<2&28)&15)>>>0)|0;Aa=((f[N>>2]|0)>>>0)/((675553809>>>(f[x>>2]<<2&28)&15)>>>0)|0;Ba=((f[O>>2]|0)>>>0)/((675553809>>>(f[y>>2]<<2&28)&15)>>>0)|0;if((ra|0)>0){Ca=Y(pa,A)|0;Da=Y(pa,B)|0;Ea=za+B|0;Fa=za+1|0;Ga=Ea+1|0;Ha=f[P>>2]|0;Ia=f[Q>>2]|0;Ja=f[R>>2]|0;Ka=f[f[S>>2]>>2]|0;La=f[T>>2]|0;Ma=f[f[U>>2]>>2]|0;Na=Y(oa,A)|0;Oa=(Na|0)>0;ta=0.0;sa=0.0;ua=0.0;Pa=0;Qa=ra;while(1){Ra=Pa+qa|0;Sa=Ha+(Y(Ra,Aa)|0)+Ca|0;Ta=Ja+(Y(Ka,Pa)|0)|0;if(Oa){Ua=La+(Y(Ma,Pa)|0)|0;Va=0;Wa=Ia+((Y(Ra,za)|0)<<1)+(Da<<1)|0;ha=ta;Xa=sa;Ya=ua;while(1){Ra=Y(h[Sa+Va>>0]|0,va)|0;Za=Y(h[Sa+(Va+A)>>0]|0,wa)|0;_a=Va+Aa|0;$a=Y(h[Sa+_a>>0]|0,xa)|0;ab=(Ra+256+Za+$a+(Y(h[Sa+(_a+A)>>0]|0,ya)|0)|0)>>>9;_a=Y(d[Wa>>1]|0,va)|0;$a=Y(d[Wa+(B<<1)>>1]|0,wa)|0;Za=Y(d[Wa+(za<<1)>>1]|0,xa)|0;Ra=_a+8192+$a+Za+(Y(d[Wa+(Ea<<1)>>1]|0,ya)|0)>>14;Za=Y(d[Wa+2>>1]|0,va)|0;$a=Y(d[Wa+(V<<1)>>1]|0,wa)|0;_a=Y(d[Wa+(Fa<<1)>>1]|0,xa)|0;bb=Za+8192+$a+_a+(Y(d[Wa+(Ga<<1)>>1]|0,ya)|0)>>14;d[Ta+(Va<<1)>>1]=ab;d[Ua>>1]=Ra;d[Ua+2>>1]=bb;ha=ha+ +(Y(Ra,Ra)|0);Xa=Xa+ +(Y(bb,Ra)|0);Ya=Ya+ +(Y(bb,bb)|0);Va=Va+1|0;if((Va|0)>=(Na|0))break;else{Ua=Ua+4|0;Wa=Wa+4|0}}cb=ha;db=Xa;eb=Ya;fb=f[t>>2]|0}else{cb=ta;db=sa;eb=ua;fb=Qa}Pa=Pa+1|0;if((Pa|0)>=(fb|0))break;else{ta=cb;sa=db;ua=eb;Qa=fb}}gb=cb;hb=db;ib=eb;jb=fb;kb=f[q>>2]|0}else{gb=0.0;hb=0.0;ib=0.0;jb=ra;kb=oa}ua=gb*9.5367431640625e-07;sa=hb*9.5367431640625e-07;ta=ib*9.5367431640625e-07;lb=ta*ua-sa*sa;mb=ua-ta;nb=(ta+ua-+M(+(sa*(sa*4.0)+mb*mb)))/+(Y(jb<<1,kb)|0);Qa=f[H>>2]|0;if(Qa|0?f[r>>2]&8|0:0)n[Qa+(ca<<2)>>2]=nb;if(lb<1.1920928955078125e-07?1:nb<+n[W>>2]){if(ea|0)break;Qa=f[C>>2]|0;if(!Qa)break;b[Qa+ca>>0]=0;break}nb=1.0/lb;Qa=f[X>>2]|0;d:do if((Qa|0)>0){Pa=0-kb|0;Na=0-jb|0;ya=(jb|0)>0;Ga=Y(kb,A)|0;xa=(Ga|0)>0;Fa=0;lb=ia-s;mb=ja-w;ob=0.0;pb=0.0;e:while(1){wa=~~lb;va=wa-(+(wa|0)>lb&1)|0;wa=~~mb;Ea=wa-(+(wa|0)>mb&1)|0;if((va|0)<(Pa|0))break;if((Ea|0)<(Na|0)?1:(va|0)>=(f[Z>>2]|0))break;if((Ea|0)>=(f[_>>2]|0))break;qb=lb-+(va|0);rb=mb-+(Ea|0);sb=1.0-qb;tb=1.0-rb;wa=Ghc(sb*tb*16384.0)|0;za=Ghc(qb*tb*16384.0)|0;Aa=Ghc(sb*rb*16384.0)|0;Da=16384-wa-za-Aa|0;do if(ya){Ia=f[$>>2]|0;Ma=Y(va,A)|0;La=f[R>>2]|0;Oa=f[f[S>>2]>>2]|0;Ka=f[T>>2]|0;Ja=f[f[U>>2]>>2]|0;if(xa){ub=0.0;vb=0.0;wb=0}else{xb=0.0;yb=0.0;break}while(1){Ca=Ia+(Y(wb+Ea|0,Ba)|0)+Ma|0;Ha=La+(Y(Oa,wb)|0)|0;Wa=Ka+(Y(Ja,wb)|0)|0;rb=ub;sb=vb;Ua=0;while(1){Va=Y(h[Ca+Ua>>0]|0,wa)|0;Ta=Y(h[Ca+(Ua+A)>>0]|0,za)|0;Sa=Ua+Ba|0;bb=Y(h[Ca+Sa>>0]|0,Aa)|0;Ra=Va+256+Ta+bb+(Y(h[Ca+(Sa+A)>>0]|0,Da)|0)>>9;Sa=Ra-(d[Ha+(Ua<<1)>>1]|0)|0;sb=sb+ +(Y(Sa,d[Wa>>1]|0)|0);rb=rb+ +(Y(Sa,d[Wa+2>>1]|0)|0);Ua=Ua+1|0;if((Ua|0)>=(Ga|0))break;else Wa=Wa+4|0}wb=wb+1|0;if((wb|0)>=(jb|0)){xb=rb;yb=sb;break}else{ub=rb;vb=sb}}}else{xb=0.0;yb=0.0}while(0);tb=yb*9.5367431640625e-07;qb=xb*9.5367431640625e-07;zb=ob;ob=nb*(sa*qb-ta*tb);Ab=pb;pb=nb*(sa*tb-ua*qb);lb=lb+ob;mb=mb+pb;Bb=s+lb;Cb=w+mb;n[da>>2]=Bb;n[na>>2]=Cb;qb=ob;tb=pb;if(qb*qb+tb*tb<=+p[aa>>3])break d;do if((Fa|0)>0){if(!(+L(+(zb+ob))<.01))break;if(+L(+(Ab+pb))<.01){ma=74;break e}}while(0);Fa=Fa+1|0;if((Fa|0)>=(Qa|0))break d}if((ma|0)==74){ma=0;n[da>>2]=Bb-ob*.5;n[na>>2]=Cb-pb*.5;break}if(!ea){Fa=f[C>>2]|0;if(!Fa){ma=77;break b}b[Fa+ca>>0]=0}}while(0);Qa=f[C>>2]|0;if(!Qa){ma=77;break b}ra=Qa+ca|0;if(((b[ra>>0]|0?(Qa=f[H>>2]|0,Qa|0):0)?(f[m>>2]|0)==0:0)?(f[r>>2]&8|0)==0:0){Fa=f[F>>2]|0;ua=+n[Fa+(ca<<3)>>2]-s;sa=+n[Fa+(ca<<3)+4>>2]-w;Fa=~~ua;Ga=Fa-(+(Fa|0)>ua&1)|0;Fa=~~sa;xa=Fa-(+(Fa|0)>sa&1)|0;Fa=f[q>>2]|0;do if((Ga|0)>=(0-Fa|0)){if((Ga|0)>=(f[Z>>2]|0))break;ya=f[t>>2]|0;if((xa|0)<(0-ya|0))break;if((xa|0)>=(f[_>>2]|0))break;nb=ua-+(Ga|0);ta=sa-+(xa|0);mb=1.0-nb;lb=1.0-ta;Na=Ghc(mb*lb*16384.0)|0;Pa=Ghc(nb*lb*16384.0)|0;Da=Ghc(mb*ta*16384.0)|0;Aa=16384-Na-Pa-Da|0;do if((ya|0)>0){za=f[$>>2]|0;wa=Y(Ga,A)|0;Ea=f[R>>2]|0;va=f[f[S>>2]>>2]|0;Ja=Y(Fa,A)|0;if((Ja|0)>0){Db=0.0;Eb=0}else{Fb=0.0;break}while(1){Ka=za+(Y(Eb+xa|0,Ba)|0)+wa|0;Oa=Ea+(Y(va,Eb)|0)|0;ta=Db;La=0;do{Ma=Y(h[Ka+La>>0]|0,Na)|0;Ia=Y(h[Ka+(La+A)>>0]|0,Pa)|0;Wa=La+Ba|0;Ua=Y(h[Ka+Wa>>0]|0,Da)|0;Ha=Ma+256+Ia+Ua+(Y(h[Ka+(Wa+A)>>0]|0,Aa)|0)>>9;ta=ta+ +L(+(+(Ha-(d[Oa+(La<<1)>>1]|0)|0)));La=La+1|0}while((La|0)<(Ja|0));Eb=Eb+1|0;if((Eb|0)>=(ya|0)){Fb=ta;break}else Db=ta}}else Fb=0.0;while(0);pb=Fb/+(Y(Y(ba,ya)|0,Fa)|0);n[Qa+(ca<<2)>>2]=pb;break c}while(0);b[ra>>0]=0}}else ma=37;while(0);if((ma|0)==37?(ma=0,(ea|0)==0):0){na=f[C>>2]|0;if(na|0)b[na+ca>>0]=0;na=f[H>>2]|0;if(na|0)n[na+(ca<<2)>>2]=0.0}ca=ca+1|0;if((ca|0)>=(f[k>>2]|0))break a}if((ma|0)==77){f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;ca=cuc(16)|0;f[o>>2]=ca;f[o+8>>2]=-2147483632;f[o+4>>2]=14;H=ca;C=388072;ba=H+14|0;do{b[H>>0]=b[C>>0]|0;H=H+1|0;C=C+1|0}while((H|0)<(ba|0));b[ca+14>>0]=0;WD(-215,o,531152,388087,655)}}while(0);o=l+36|0;ma=f[o>>2]|0;if(ma|0?(k=ma+12|0,ma=f[k>>2]|0,f[k>>2]=ma+-1,(ma|0)==1):0)aU(l);f[o>>2]=0;o=l+16|0;ma=l+4|0;f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;f[o+12>>2]=0;if((f[ma>>2]|0)>0){o=f[l+40>>2]|0;k=0;do{f[o+(k<<2)>>2]=0;k=k+1|0}while((k|0)<(f[ma>>2]|0))}ma=f[l+44>>2]|0;if((ma|0)!=(l+48|0))TC(ma);ma=j+36|0;l=f[ma>>2]|0;if(l|0?(k=l+12|0,l=f[k>>2]|0,f[k>>2]=l+-1,(l|0)==1):0)aU(j);f[ma>>2]=0;ma=j+16|0;l=j+4|0;f[ma>>2]=0;f[ma+4>>2]=0;f[ma+8>>2]=0;f[ma+12>>2]=0;if((f[l>>2]|0)>0){ma=f[j+40>>2]|0;k=0;do{f[ma+(k<<2)>>2]=0;k=k+1|0}while((k|0)<(f[l>>2]|0))}l=f[j+44>>2]|0;if((l|0)!=(j+48|0))TC(l);l=f[i>>2]|0;if((l|0)!=(D|0)){if(l|0)guc(l);f[i>>2]=D;f[E>>2]=520}if(!(f[g+4>>2]|0)){u=e;return}u=e;return}function hDa(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0;k=u;u=u+368|0;l=k+312|0;m=k+304|0;n=k+248|0;o=k+192|0;p=k+64|0;q=k+136|0;r=k+120|0;s=k+32|0;t=k;gV(m,109984);do if((qJ(a)|0)==65536){v=f[a+4>>2]|0;f[n>>2]=f[v>>2];w=n+4|0;x=v+4|0;f[w>>2]=f[x>>2];y=n+8|0;f[y>>2]=f[v+8>>2];f[n+12>>2]=f[v+12>>2];f[n+16>>2]=f[v+16>>2];f[n+20>>2]=f[v+20>>2];f[n+24>>2]=f[v+24>>2];f[n+28>>2]=f[v+28>>2];f[n+32>>2]=f[v+32>>2];z=f[v+36>>2]|0;f[n+36>>2]=z;f[n+40>>2]=y;y=n+48|0;A=n+44|0;f[A>>2]=y;f[y>>2]=0;f[n+52>>2]=0;if(z|0){y=z+12|0;f[y>>2]=(f[y>>2]|0)+1}if((f[x>>2]|0)<3){x=f[v+44>>2]|0;y=f[A>>2]|0;f[y>>2]=f[x>>2];f[y+4>>2]=f[x+4>>2];B=n;break}else{f[w>>2]=0;$T(n,v);B=n;break}}else{nJ(n,a,-1);B=n}while(0);if(f[B>>2]&7|0){f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;C=cuc(64)|0;f[l>>2]=C;D=l+8|0;f[D>>2]=-2147483584;E=l+4|0;f[E>>2]=63;F=C;G=388269;H=F+63|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));I=C+63|0;b[I>>0]=0;WD(-215,l,388333,388087,704)}if((f[d>>2]|0)<=2){f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;C=cuc(64)|0;f[l>>2]=C;D=l+8|0;f[D>>2]=-2147483584;E=l+4|0;f[E>>2]=63;F=C;G=388269;H=F+63|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));I=C+63|0;b[I>>0]=0;WD(-215,l,388333,388087,704)}a=d+4|0;if((f[a>>2]|0)<=2){f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;C=cuc(64)|0;f[l>>2]=C;D=l+8|0;f[D>>2]=-2147483584;E=l+4|0;f[E>>2]=63;F=C;G=388269;H=F+63|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));I=C+63|0;b[I>>0]=0;WD(-215,l,388333,388087,704)}I=g?2:1;jK(c,1,Y(I,e+1|0)|0,0,-1,1,0);C=f[B>>2]|0;G=C<<1&8176|11;do if(j?(h&16|0)==0&(C&32768|0)!=0:0){f[l>>2]=0;F=l+4|0;f[F>>2]=0;f[o>>2]=0;H=o+4|0;f[H>>2]=0;kU(n,l,o);E=f[o>>2]|0;D=f[d>>2]|0;if((E|0)<(D|0)){J=38;break}v=f[H>>2]|0;H=f[a>>2]|0;if((v|0)<(H|0)){J=38;break}w=n+12|0;if((D+E+(f[w>>2]|0)|0)>(f[l>>2]|0)){J=38;break}E=n+8|0;if((H+v+(f[E>>2]|0)|0)>(f[F>>2]|0)){J=38;break}F=gK(c,0)|0;if((F|0)!=(n|0)){v=n+36|0;H=f[v>>2]|0;if(H|0){D=H+12|0;f[D>>2]=(f[D>>2]|0)+1}D=F+36|0;H=f[D>>2]|0;if(H|0?(x=H+12|0,H=f[x>>2]|0,f[x>>2]=H+-1,(H|0)==1):0)aU(F);f[D>>2]=0;H=F+16|0;x=F+4|0;f[H>>2]=0;f[H+4>>2]=0;f[H+8>>2]=0;f[H+12>>2]=0;if((f[x>>2]|0)>0){y=f[F+40>>2]|0;A=0;do{f[y+(A<<2)>>2]=0;A=A+1|0;K=f[x>>2]|0}while((A|0)<(K|0));f[F>>2]=f[B>>2];if((K|0)<3)J=29;else J=31}else{f[F>>2]=f[B>>2];J=29}if((J|0)==29){A=f[n+4>>2]|0;if((A|0)<3){f[x>>2]=A;f[F+8>>2]=f[E>>2];f[F+12>>2]=f[w>>2];A=f[n+44>>2]|0;y=f[F+44>>2]|0;f[y>>2]=f[A>>2];f[y+4>>2]=f[A+4>>2]}else J=31}if((J|0)==31)$T(F,n);f[H>>2]=f[n+16>>2];f[F+20>>2]=f[n+20>>2];f[F+24>>2]=f[n+24>>2];f[F+28>>2]=f[n+28>>2];f[F+32>>2]=f[n+32>>2];f[D>>2]=f[v>>2]}}else J=38;while(0);if((J|0)==38){K=gK(c,0)|0;C=K+16|0;if(f[C>>2]|0){j=f[K+4>>2]|0;if((j|0)<3)L=Y(f[K+12>>2]|0,f[K+8>>2]|0)|0;else{A=f[K+40>>2]|0;y=0;z=1;while(1){M=Y(f[A+(y<<2)>>2]|0,z)|0;y=y+1|0;if((y|0)==(j|0)){L=M;break}else z=M}}if(!((j|0)==0|(L|0)==0)){L=f[a>>2]|0;j=f[d>>2]|0;lU(K,L,L,j,j)|0}}j=f[K>>2]|0;L=f[B>>2]|0;z=n+12|0;y=f[z>>2]|0;if(!((L^j)&4095)){A=f[d>>2]|0;if(!((f[K+12>>2]|0)==((A<<1)+y|0)?(f[K+8>>2]|0)==((f[a>>2]<<1)+(f[n+8>>2]|0)|0):0)){N=A;J=49}}else{N=f[d>>2]|0;J=49}do if((J|0)==49){A=(f[a>>2]<<1)+(f[n+8>>2]|0)|0;M=(N<<1)+y|0;O=L&4095;if((((f[K+4>>2]|0)<3?(f[K+8>>2]|0)==(A|0):0)?(f[K+12>>2]|0)==(M|0):0)?!((j&4095|0)!=(O|0)|(f[C>>2]|0)==0):0)break;f[l>>2]=A;f[l+4>>2]=M;ZT(K,2,l,O)}while(0);if((h|0)==5){C=f[a>>2]|0;j=f[z>>2]|0;z=f[n+8>>2]|0;f[p>>2]=f[d>>2];f[p+4>>2]=C;f[p+8>>2]=j;f[p+12>>2]=z;eU(o,K,p);z=l+8|0;f[z>>2]=0;f[z+4>>2]=0;f[l>>2]=-1040121856;f[l+4>>2]=o;EI(n,l);z=o+36|0;j=f[z>>2]|0;if(j|0?(C=j+12|0,j=f[C>>2]|0,f[C>>2]=j+-1,(j|0)==1):0)aU(o);f[z>>2]=0;z=o+16|0;j=o+4|0;f[z>>2]=0;f[z+4>>2]=0;f[z+8>>2]=0;f[z+12>>2]=0;if((f[j>>2]|0)>0){z=f[o+40>>2]|0;C=0;do{f[z+(C<<2)>>2]=0;C=C+1|0}while((C|0)<(f[j>>2]|0))}j=f[o+44>>2]|0;if((j|0)!=(o+48|0))TC(j)}else{f[l+8>>2]=0;f[l+12>>2]=0;f[l>>2]=16842752;f[l+4>>2]=n;j=o+8|0;f[j>>2]=0;f[j+4>>2]=0;f[o>>2]=33619968;f[o+4>>2]=K;j=f[a>>2]|0;C=f[d>>2]|0;f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;f[p+12>>2]=0;f[p+16>>2]=0;f[p+20>>2]=0;f[p+24>>2]=0;f[p+28>>2]=0;MI(l,o,j,j,C,C,h,p)}C=0-(f[a>>2]|0)|0;j=0-(f[d>>2]|0)|0;lU(K,C,C,j,j)|0}j=n+40|0;C=f[j>>2]|0;K=f[C>>2]|0;f[o>>2]=f[C+4>>2];C=o+4|0;f[C>>2]=K;K=gK(c,0)|0;f[p>>2]=f[K>>2];z=p+4|0;L=K+4|0;f[z>>2]=f[L>>2];y=p+8|0;f[y>>2]=f[K+8>>2];N=p+12|0;f[N>>2]=f[K+12>>2];O=p+16|0;f[O>>2]=f[K+16>>2];M=p+20|0;f[M>>2]=f[K+20>>2];A=p+24|0;f[A>>2]=f[K+24>>2];P=p+28|0;f[P>>2]=f[K+28>>2];Q=p+32|0;f[Q>>2]=f[K+32>>2];R=p+36|0;S=f[K+36>>2]|0;f[R>>2]=S;T=p+40|0;f[T>>2]=y;U=p+48|0;V=p+44|0;f[V>>2]=U;f[U>>2]=0;f[p+52>>2]=0;if(S|0){W=S+12|0;f[W>>2]=(f[W>>2]|0)+1}if((f[L>>2]|0)<3){L=f[K+44>>2]|0;W=f[V>>2]|0;f[W>>2]=f[L>>2];f[W+4>>2]=f[L+4>>2]}else{f[z>>2]=0;$T(p,K)}f[q>>2]=f[p>>2];K=q+4|0;L=f[z>>2]|0;f[K>>2]=L;W=q+8|0;f[W>>2]=f[y>>2];S=q+12|0;f[S>>2]=f[N>>2];X=q+16|0;f[X>>2]=f[O>>2];Z=q+20|0;f[Z>>2]=f[M>>2];_=q+24|0;f[_>>2]=f[A>>2];$=q+28|0;f[$>>2]=f[P>>2];aa=q+32|0;f[aa>>2]=f[Q>>2];ba=q+36|0;ca=f[R>>2]|0;f[ba>>2]=ca;da=q+40|0;f[da>>2]=W;ea=q+48|0;fa=q+44|0;f[fa>>2]=ea;f[ea>>2]=0;f[q+52>>2]=0;if(!ca)ga=L;else{L=ca+12|0;f[L>>2]=(f[L>>2]|0)+1;ga=f[z>>2]|0}if((ga|0)<3){ga=f[V>>2]|0;L=f[fa>>2]|0;f[L>>2]=f[ga>>2];f[L+4>>2]=f[ga+4>>2]}else{f[K>>2]=0;$T(q,p)}a:do if((e|0)<0)ha=e;else{ga=r+4|0;L=r+8|0;ca=r+12|0;ia=(i|0)==5;ja=l+36|0;ka=l+16|0;la=l+4|0;ma=l+40|0;na=l+44|0;oa=l+48|0;pa=r+8|0;qa=r+12|0;ra=r+4|0;sa=s+8|0;ta=s+4|0;ua=i|16;va=G&4091;wa=l+4|0;xa=r+4|0;ya=r+8|0;za=r+12|0;Aa=l+4|0;Ba=l+8|0;Ca=l+12|0;Da=l+16|0;Ea=l+20|0;Fa=l+24|0;Ga=l+28|0;Ha=l+32|0;Ia=l+36|0;Ja=q+44|0;Ka=l+44|0;La=l+40|0;Ma=l+48|0;Na=l+8|0;Oa=l+12|0;Pa=l+4|0;Qa=r+8|0;Ra=r+4|0;Sa=(h|0)==5;Ta=l+8|0;Ua=l+12|0;Va=l+4|0;Wa=r+8|0;Xa=r+4|0;Ya=h|16;Za=q+40|0;_a=q+52|0;$a=0;while(1){if($a|0){ab=gK(c,Y($a,I)|0)|0;bb=ab+16|0;if(f[bb>>2]|0){cb=f[ab+4>>2]|0;if((cb|0)<3)db=Y(f[ab+12>>2]|0,f[ab+8>>2]|0)|0;else{eb=f[ab+40>>2]|0;fb=0;gb=1;while(1){hb=Y(f[eb+(fb<<2)>>2]|0,gb)|0;fb=fb+1|0;if((fb|0)==(cb|0)){db=hb;break}else gb=hb}}if(!((cb|0)==0|(db|0)==0)){gb=f[a>>2]|0;fb=f[d>>2]|0;lU(ab,gb,gb,fb,fb)|0}}fb=f[ab>>2]|0;gb=f[B>>2]|0;eb=f[o>>2]|0;if(!((gb^fb)&4095)){hb=f[d>>2]|0;if((f[ab+12>>2]|0)==((hb<<1)+eb|0)?(ib=f[a>>2]|0,jb=f[C>>2]|0,(f[ab+8>>2]|0)==((ib<<1)+jb|0)):0){kb=hb;lb=ib;mb=eb;nb=jb}else{ob=hb;J=90}}else{ob=f[d>>2]|0;J=90}b:do if((J|0)==90){J=0;hb=f[C>>2]|0;jb=f[a>>2]|0;ib=(jb<<1)+hb|0;pb=(ob<<1)+eb|0;qb=gb&4095;do if((f[ab+4>>2]|0)<3?(f[ab+8>>2]|0)==(ib|0):0){if((f[ab+12>>2]|0)!=(pb|0))break;if(!((fb&4095|0)!=(qb|0)|(f[bb>>2]|0)==0)){kb=ob;lb=jb;mb=eb;nb=hb;break b}}while(0);f[l>>2]=ib;f[wa>>2]=pb;ZT(ab,2,l,qb);kb=f[d>>2]|0;lb=f[a>>2]|0;mb=f[o>>2]|0;nb=f[C>>2]|0}while(0);f[r>>2]=kb;f[xa>>2]=lb;f[ya>>2]=mb;f[za>>2]=nb;eU(l,ab,r);eb=f[ba>>2]|0;if(eb|0?(bb=eb+12|0,eb=f[bb>>2]|0,f[bb>>2]=eb+-1,(eb|0)==1):0)aU(q);f[ba>>2]=0;f[X>>2]=0;f[X+4>>2]=0;f[X+8>>2]=0;f[X+12>>2]=0;if((f[K>>2]|0)>0){eb=f[da>>2]|0;bb=0;do{f[eb+(bb<<2)>>2]=0;bb=bb+1|0}while((bb|0)<(f[K>>2]|0))}f[q>>2]=f[l>>2];bb=f[Aa>>2]|0;f[K>>2]=bb;f[W>>2]=f[Ba>>2];f[S>>2]=f[Ca>>2];f[X>>2]=f[Da>>2];f[Z>>2]=f[Ea>>2];f[_>>2]=f[Fa>>2];f[$>>2]=f[Ga>>2];f[aa>>2]=f[Ha>>2];f[ba>>2]=f[Ia>>2];eb=f[Ja>>2]|0;if((eb|0)==(ea|0))rb=bb;else{TC(eb);f[Ja>>2]=ea;f[da>>2]=W;rb=f[Aa>>2]|0}if((rb|0)<3){eb=f[Ka>>2]|0;f[ea>>2]=f[eb>>2];f[_a>>2]=f[eb+4>>2];sb=eb}else{f[Ja>>2]=f[Ka>>2];f[Za>>2]=f[La>>2];f[Ka>>2]=Ma;f[La>>2]=Ba;sb=Ma}f[l>>2]=1124007936;f[Aa>>2]=0;f[Aa+4>>2]=0;f[Aa+8>>2]=0;f[Aa+12>>2]=0;f[Aa+16>>2]=0;f[Aa+20>>2]=0;f[Aa+24>>2]=0;f[Aa+28>>2]=0;f[Ia>>2]=0;f[Da>>2]=0;f[Da+4>>2]=0;f[Da+8>>2]=0;f[Da+12>>2]=0;if((sb|0)!=(Ma|0))TC(sb);f[Na>>2]=0;f[Oa>>2]=0;f[l>>2]=16842752;f[Pa>>2]=p;eb=Qa;f[eb>>2]=0;f[eb+4>>2]=0;f[r>>2]=33619968;f[Ra>>2]=q;Sga(l,r,o,4);if(!Sa){f[Ta>>2]=0;f[Ua>>2]=0;f[l>>2]=16842752;f[Va>>2]=q;eb=Wa;f[eb>>2]=0;f[eb+4>>2]=0;f[r>>2]=33619968;f[Xa>>2]=ab;eb=f[a>>2]|0;bb=f[d>>2]|0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;f[s+16>>2]=0;f[s+20>>2]=0;f[s+24>>2]=0;f[s+28>>2]=0;MI(l,r,eb,eb,bb,bb,Ya,s)}bb=0-(f[a>>2]|0)|0;eb=0-(f[d>>2]|0)|0;lU(ab,bb,bb,eb,eb)|0}if(g){eb=gK(c,(Y($a,I)|0)+1|0)|0;bb=eb+16|0;if(f[bb>>2]|0){fb=f[eb+4>>2]|0;if((fb|0)<3)tb=Y(f[eb+12>>2]|0,f[eb+8>>2]|0)|0;else{gb=f[eb+40>>2]|0;cb=0;hb=1;while(1){jb=Y(f[gb+(cb<<2)>>2]|0,hb)|0;cb=cb+1|0;if((cb|0)==(fb|0)){tb=jb;break}else hb=jb}}if(!((fb|0)==0|(tb|0)==0)){hb=f[a>>2]|0;cb=f[d>>2]|0;lU(eb,hb,hb,cb,cb)|0}}cb=f[eb>>2]&4095;hb=f[o>>2]|0;if((cb|0)==(G|0)){gb=f[d>>2]|0;if((f[eb+12>>2]|0)==((gb<<1)+hb|0)?(ab=f[a>>2]|0,jb=f[C>>2]|0,(f[eb+8>>2]|0)==((ab<<1)+jb|0)):0){ub=gb;vb=ab;wb=hb;xb=jb}else{yb=gb;J=123}}else{yb=f[d>>2]|0;J=123}c:do if((J|0)==123){J=0;gb=f[C>>2]|0;jb=f[a>>2]|0;ab=(jb<<1)+gb|0;zb=(yb<<1)+hb|0;do if((f[eb+4>>2]|0)<3){if((f[eb+8>>2]|0)!=(ab|0))break;if((f[eb+12>>2]|0)!=(zb|0))break;if(!((cb|0)!=(va|0)|(f[bb>>2]|0)==0)){ub=yb;vb=jb;wb=hb;xb=gb;break c}}while(0);f[l>>2]=ab;f[wa>>2]=zb;ZT(eb,2,l,va);ub=f[d>>2]|0;vb=f[a>>2]|0;wb=f[o>>2]|0;xb=f[C>>2]|0}while(0);f[r>>2]=ub;f[ga>>2]=vb;f[L>>2]=wb;f[ca>>2]=xb;eU(l,eb,r);iDa(q,l);if(!ia){f[pa>>2]=0;f[qa>>2]=0;f[r>>2]=16842752;f[ra>>2]=l;hb=sa;f[hb>>2]=0;f[hb+4>>2]=0;f[s>>2]=33619968;f[ta>>2]=eb;hb=f[a>>2]|0;bb=f[d>>2]|0;f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;f[t+12>>2]=0;f[t+16>>2]=0;f[t+20>>2]=0;f[t+24>>2]=0;f[t+28>>2]=0;MI(r,s,hb,hb,bb,bb,ua,t)}bb=0-(f[a>>2]|0)|0;hb=0-(f[d>>2]|0)|0;lU(eb,bb,bb,hb,hb)|0;hb=f[ja>>2]|0;do if(hb|0){bb=hb+12|0;cb=f[bb>>2]|0;f[bb>>2]=cb+-1;if((cb|0)!=1)break;aU(l)}while(0);f[ja>>2]=0;f[ka>>2]=0;f[ka+4>>2]=0;f[ka+8>>2]=0;f[ka+12>>2]=0;if((f[la>>2]|0)>0){hb=f[ma>>2]|0;eb=0;do{f[hb+(eb<<2)>>2]=0;eb=eb+1|0}while((eb|0)<(f[la>>2]|0))}eb=f[na>>2]|0;if((eb|0)!=(oa|0))TC(eb)}eb=((f[o>>2]|0)+1|0)/2|0;hb=((f[C>>2]|0)+1|0)/2|0;f[o>>2]=eb;f[C>>2]=hb;if((eb|0)<=(f[d>>2]|0))break;if((hb|0)<=(f[a>>2]|0))break;hb=f[ba>>2]|0;if(hb|0){eb=hb+12|0;f[eb>>2]=(f[eb>>2]|0)+1}eb=f[R>>2]|0;if(eb|0?(hb=eb+12|0,eb=f[hb>>2]|0,f[hb>>2]=eb+-1,(eb|0)==1):0)aU(p);f[R>>2]=0;f[O>>2]=0;f[O+4>>2]=0;f[O+8>>2]=0;f[O+12>>2]=0;if((f[z>>2]|0)>0){eb=f[T>>2]|0;hb=0;do{f[eb+(hb<<2)>>2]=0;hb=hb+1|0;Ab=f[z>>2]|0}while((hb|0)<(Ab|0));f[p>>2]=f[q>>2];if((Ab|0)<3)J=152;else J=154}else{f[p>>2]=f[q>>2];J=152}do if((J|0)==152){J=0;hb=f[K>>2]|0;if((hb|0)>=3){J=154;break}f[z>>2]=hb;f[y>>2]=f[W>>2];f[N>>2]=f[S>>2];hb=f[fa>>2]|0;eb=f[V>>2]|0;f[eb>>2]=f[hb>>2];f[eb+4>>2]=f[hb+4>>2]}while(0);if((J|0)==154){J=0;$T(p,q)}f[O>>2]=f[X>>2];f[M>>2]=f[Z>>2];f[A>>2]=f[_>>2];f[P>>2]=f[$>>2];f[Q>>2]=f[aa>>2];f[R>>2]=f[ba>>2];if(($a|0)<(e|0))$a=$a+1|0;else{ha=e;break a}}jK(c,1,Y($a+1|0,I)|0,0,-1,1,0);ha=$a}while(0);I=f[ba>>2]|0;if(I|0?(c=I+12|0,I=f[c>>2]|0,f[c>>2]=I+-1,(I|0)==1):0)aU(q);f[ba>>2]=0;f[X>>2]=0;f[X+4>>2]=0;f[X+8>>2]=0;f[X+12>>2]=0;if((f[K>>2]|0)>0){X=f[da>>2]|0;da=0;do{f[X+(da<<2)>>2]=0;da=da+1|0}while((da|0)<(f[K>>2]|0))}K=f[fa>>2]|0;if((K|0)!=(ea|0))TC(K);K=f[R>>2]|0;if(K|0?(ea=K+12|0,K=f[ea>>2]|0,f[ea>>2]=K+-1,(K|0)==1):0)aU(p);f[R>>2]=0;f[O>>2]=0;f[O+4>>2]=0;f[O+8>>2]=0;f[O+12>>2]=0;if((f[z>>2]|0)>0){O=f[T>>2]|0;T=0;do{f[O+(T<<2)>>2]=0;T=T+1|0}while((T|0)<(f[z>>2]|0))}z=f[V>>2]|0;if((z|0)!=(U|0))TC(z);z=n+36|0;U=f[z>>2]|0;if(U|0?(V=U+12|0,U=f[V>>2]|0,f[V>>2]=U+-1,(U|0)==1):0)aU(n);f[z>>2]=0;z=n+16|0;U=n+4|0;f[z>>2]=0;f[z+4>>2]=0;f[z+8>>2]=0;f[z+12>>2]=0;if((f[U>>2]|0)>0){z=f[j>>2]|0;j=0;do{f[z+(j<<2)>>2]=0;j=j+1|0}while((j|0)<(f[U>>2]|0))}U=f[n+44>>2]|0;if((U|0)!=(n+48|0))TC(U);if(!(f[m+4>>2]|0)){u=k;return ha|0}u=k;return ha|0}function iDa(a,c){a=a|0;c=c|0;var e=0,g=0,i=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;e=u;u=u+1056|0;g=e;i=f[a+8>>2]|0;k=f[a+12>>2]|0;l=f[a>>2]|0;m=(l>>>3&511)+1|0;n=Y(m,k)|0;if(l&7|0){l=cuc(16)|0;f[g>>2]=l;f[g+8>>2]=-2147483632;f[g+4>>2]=14;o=l;p=388357;q=o+14|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[l+14>>0]=0;WD(-215,g,388372,388087,63)}l=(m<<4)+4091&4091;if(!(((((f[c+4>>2]|0)<3?(f[c+8>>2]|0)==(i|0):0)?(f[c+12>>2]|0)==(k|0):0)?(f[c>>2]&4095|0)==(l|0):0)?(f[c+16>>2]|0)!=0:0)){f[g>>2]=i;f[g+4>>2]=k;ZT(c,2,g,l)}l=(Y(m,k+2|0)|0)+15&-16;p=(l<<1)+64|0;o=g+8|0;f[g>>2]=o;q=g+4|0;f[q>>2]=p;if(p>>>0>520){r=euc(p>>>0>2147483647?-1:p<<1)|0;f[g>>2]=r;s=r}else s=o;r=s+(m<<1)+15&-16;p=r+(l<<1)|0;if((i|0)>0){l=(i|0)!=1;t=l&1;v=i+-1|0;w=l?i+-2|0:0;l=(n|0)>0;x=(k|0)>1;y=x?m:0;z=Y(m,x?k+-2|0:0)|0;k=f[a+16>>2]|0;x=f[f[a+44>>2]>>2]|0;a=f[c+16>>2]|0;A=f[f[c+44>>2]>>2]|0;c=0;do{B=k+(Y(x,(c|0)>0?c+-1|0:t)|0)|0;C=k+(Y(x,c)|0)|0;D=c;c=c+1|0;E=k+(Y(x,(D|0)<(v|0)?c:w)|0)|0;F=a+(Y(A,D)|0)|0;if(l){D=0;do{G=h[B+D>>0]|0;H=h[E+D>>0]|0;d[r+(D<<1)>>1]=((H+G|0)*3|0)+((h[C+D>>0]|0)*10|0);d[p+(D<<1)>>1]=H-G;D=D+1|0}while((D|0)!=(n|0));I=0}else I=0;do{D=I+y|0;C=I-m|0;d[r+(C<<1)>>1]=d[r+(D<<1)>>1]|0;E=I+z|0;B=I+n|0;d[r+(B<<1)>>1]=d[r+(E<<1)>>1]|0;d[p+(C<<1)>>1]=d[p+(D<<1)>>1]|0;d[p+(B<<1)>>1]=d[p+(E<<1)>>1]|0;I=I+1|0}while((I|0)!=(m|0));if(l){E=0;do{B=E+m|0;D=E-m|0;C=(((d[p+(D<<1)>>1]|0)+(d[p+(B<<1)>>1]|0)|0)*3|0)+((d[p+(E<<1)>>1]|0)*10|0)&65535;G=E<<1;d[F+(G<<1)>>1]=(j[r+(B<<1)>>1]|0)-(j[r+(D<<1)>>1]|0);d[F+((G|1)<<1)>>1]=C;E=E+1|0}while((E|0)!=(n|0))}}while((c|0)!=(i|0))}if((s|0)==(o|0)){u=e;return}guc(s);f[g>>2]=o;f[q>>2]=520;u=e;return}function jDa(a){a=a|0;DG(a);fuc(a);return}function kDa(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0.0,ya=0.0,za=0.0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0;j=u;u=u+576|0;k=j+512|0;l=j+504|0;m=j+448|0;o=j+440|0;q=j+384|0;r=j+328|0;s=j+272|0;t=j+244|0;v=j+232|0;w=j+176|0;x=j+120|0;y=j+264|0;z=j+256|0;A=j+32|0;B=j+104|0;C=j;gV(l,110116);do if((qJ(e)|0)==65536){D=f[e+4>>2]|0;f[m>>2]=f[D>>2];E=m+4|0;F=D+4|0;f[E>>2]=f[F>>2];G=m+8|0;f[G>>2]=f[D+8>>2];f[m+12>>2]=f[D+12>>2];f[m+16>>2]=f[D+16>>2];f[m+20>>2]=f[D+20>>2];f[m+24>>2]=f[D+24>>2];f[m+28>>2]=f[D+28>>2];f[m+32>>2]=f[D+32>>2];H=f[D+36>>2]|0;f[m+36>>2]=H;f[m+40>>2]=G;G=m+48|0;I=m+44|0;f[I>>2]=G;f[G>>2]=0;f[m+52>>2]=0;if(H|0){G=H+12|0;f[G>>2]=(f[G>>2]|0)+1}if((f[F>>2]|0)<3){F=f[D+44>>2]|0;G=f[I>>2]|0;f[G>>2]=f[F>>2];f[G+4>>2]=f[F+4>>2];break}else{f[E>>2]=0;$T(m,D);break}}else nJ(m,e,-1);while(0);e=a+12|0;if((f[e>>2]|0)<=-1){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;J=cuc(64)|0;f[k>>2]=J;K=k+8|0;f[K>>2]=-2147483584;L=k+4|0;f[L>>2]=56;M=J;N=388485;O=M+56|0;do{b[M>>0]=b[N>>0]|0;M=M+1|0;N=N+1|0}while((M|0)<(O|0));P=J+56|0;b[P>>0]=0;WD(-215,k,389703,388087,1239)}D=a+4|0;if((f[D>>2]|0)<=2){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;J=cuc(64)|0;f[k>>2]=J;K=k+8|0;f[K>>2]=-2147483584;L=k+4|0;f[L>>2]=56;M=J;N=388485;O=M+56|0;do{b[M>>0]=b[N>>0]|0;M=M+1|0;N=N+1|0}while((M|0)<(O|0));P=J+56|0;b[P>>0]=0;WD(-215,k,389703,388087,1239)}E=a+8|0;if((f[E>>2]|0)<=2){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;J=cuc(64)|0;f[k>>2]=J;K=k+8|0;f[K>>2]=-2147483584;L=k+4|0;f[L>>2]=56;M=J;N=388485;O=M+56|0;do{b[M>>0]=b[N>>0]|0;M=M+1|0;N=N+1|0}while((M|0)<(O|0));P=J+56|0;b[P>>0]=0;WD(-215,k,389703,388087,1239)}P=qU(m,2,5,1)|0;if((P|0)<=-1){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;J=cuc(64)|0;f[k>>2]=J;f[k+8>>2]=-2147483584;f[k+4>>2]=56;M=J;N=388542;O=M+56|0;do{b[M>>0]=b[N>>0]|0;M=M+1|0;N=N+1|0}while((M|0)<(O|0));b[J+56>>0]=0;WD(-215,k,389703,388087,1242)}if(P){J=a+32|0;if(!(f[J>>2]&4)){L=f[m+40>>2]|0;K=f[L>>2]|0;f[o>>2]=f[L+4>>2];f[o+4>>2]=K;IJ(g,o,f[m>>2]&4095,-1,1,0)}do if((qJ(g)|0)==65536){o=f[g+4>>2]|0;f[q>>2]=f[o>>2];K=q+4|0;L=o+4|0;f[K>>2]=f[L>>2];F=q+8|0;f[F>>2]=f[o+8>>2];f[q+12>>2]=f[o+12>>2];f[q+16>>2]=f[o+16>>2];f[q+20>>2]=f[o+20>>2];f[q+24>>2]=f[o+24>>2];f[q+28>>2]=f[o+28>>2];f[q+32>>2]=f[o+32>>2];G=f[o+36>>2]|0;f[q+36>>2]=G;f[q+40>>2]=F;F=q+48|0;I=q+44|0;f[I>>2]=F;f[F>>2]=0;f[q+52>>2]=0;if(G|0){F=G+12|0;f[F>>2]=(f[F>>2]|0)+1}if((f[L>>2]|0)<3){L=f[o+44>>2]|0;F=f[I>>2]|0;f[F>>2]=f[L>>2];f[F+4>>2]=f[L+4>>2];break}else{f[K>>2]=0;$T(q,o);break}}else nJ(q,g,-1);while(0);if((qU(q,2,5,1)|0)!=(P|0)){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;o=cuc(64)|0;f[k>>2]=o;f[k+8>>2]=-2147483584;f[k+4>>2]=50;M=o;N=388599;O=M+50|0;do{b[M>>0]=b[N>>0]|0;M=M+1|0;N=N+1|0}while((M|0)<(O|0));b[o+50>>0]=0;WD(-215,k,389703,388087,1256)}o=f[m+16>>2]|0;K=q+16|0;L=f[K>>2]|0;F=q+44|0;jK(h,P,1,0,-1,1,0);do if((qJ(h)|0)==65536){I=f[h+4>>2]|0;f[r>>2]=f[I>>2];G=r+4|0;H=I+4|0;f[G>>2]=f[H>>2];Q=r+8|0;f[Q>>2]=f[I+8>>2];f[r+12>>2]=f[I+12>>2];f[r+16>>2]=f[I+16>>2];f[r+20>>2]=f[I+20>>2];f[r+24>>2]=f[I+24>>2];f[r+28>>2]=f[I+28>>2];f[r+32>>2]=f[I+32>>2];R=f[I+36>>2]|0;f[r+36>>2]=R;f[r+40>>2]=Q;Q=r+48|0;S=r+44|0;f[S>>2]=Q;f[Q>>2]=0;f[r+52>>2]=0;if(R|0){Q=R+12|0;f[Q>>2]=(f[Q>>2]|0)+1}if((f[H>>2]|0)<3){H=f[I+44>>2]|0;Q=f[S>>2]|0;f[Q>>2]=f[H>>2];f[Q+4>>2]=f[H+4>>2];T=r;break}else{f[G>>2]=0;$T(r,I);T=r;break}}else{nJ(r,h,-1);T=r}while(0);f[s>>2]=1124007936;I=s+4|0;G=s+8|0;H=s+40|0;M=I;O=M+36|0;do{f[M>>2]=0;M=M+4|0}while((M|0)<(O|0));f[H>>2]=G;Q=s+48|0;S=s+44|0;f[S>>2]=Q;f[Q>>2]=0;f[s+52>>2]=0;if(!(f[T>>2]&16384)){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;T=cuc(32)|0;f[k>>2]=T;f[k+8>>2]=-2147483616;f[k+4>>2]=24;M=T;N=388650;O=M+24|0;do{b[M>>0]=b[N>>0]|0;M=M+1|0;N=N+1|0}while((M|0)<(O|0));b[T+24>>0]=0;WD(-215,k,389703,388087,1263)}T=r+16|0;R=f[T>>2]|0;U=r+44|0;if((P|0)>0)kzc(R|0,1,P|0)|0;do if(mK(i)|0){jK(i,P,1,5,-1,1,0);do if((qJ(i)|0)==65536){V=f[i+4>>2]|0;f[k>>2]=f[V>>2];W=k+4|0;X=V+4|0;f[W>>2]=f[X>>2];Z=k+8|0;f[Z>>2]=f[V+8>>2];f[k+12>>2]=f[V+12>>2];f[k+16>>2]=f[V+16>>2];f[k+20>>2]=f[V+20>>2];f[k+24>>2]=f[V+24>>2];f[k+28>>2]=f[V+28>>2];f[k+32>>2]=f[V+32>>2];_=f[V+36>>2]|0;f[k+36>>2]=_;f[k+40>>2]=Z;Z=k+48|0;$=k+44|0;f[$>>2]=Z;f[Z>>2]=0;f[k+52>>2]=0;if(_|0){Z=_+12|0;f[Z>>2]=(f[Z>>2]|0)+1}if((f[X>>2]|0)<3){X=f[V+44>>2]|0;Z=f[$>>2]|0;f[Z>>2]=f[X>>2];f[Z+4>>2]=f[X+4>>2];break}else{f[W>>2]=0;$T(k,V);break}}else nJ(k,i,-1);while(0);V=s+36|0;W=f[V>>2]|0;if(W|0?(X=W+12|0,W=f[X>>2]|0,f[X>>2]=W+-1,(W|0)==1):0)aU(s);f[V>>2]=0;W=s+16|0;f[W>>2]=0;f[W+4>>2]=0;f[W+8>>2]=0;f[W+12>>2]=0;if((f[I>>2]|0)>0){X=f[H>>2]|0;Z=0;do{f[X+(Z<<2)>>2]=0;Z=Z+1|0}while((Z|0)<(f[I>>2]|0))}f[s>>2]=f[k>>2];Z=k+4|0;X=f[Z>>2]|0;f[I>>2]=X;$=k+8|0;f[G>>2]=f[$>>2];f[s+12>>2]=f[k+12>>2];_=k+16|0;f[W>>2]=f[_>>2];f[s+20>>2]=f[k+20>>2];f[s+24>>2]=f[k+24>>2];f[s+28>>2]=f[k+28>>2];f[s+32>>2]=f[k+32>>2];aa=k+36|0;f[V>>2]=f[aa>>2];ba=s+44|0;ca=f[ba>>2]|0;if((ca|0)==(Q|0))da=X;else{TC(ca);f[ba>>2]=Q;f[H>>2]=G;da=f[Z>>2]|0}ca=k+44|0;if((da|0)<3){X=f[ca>>2]|0;f[Q>>2]=f[X>>2];f[s+52>>2]=f[X+4>>2];ea=X}else{f[ba>>2]=f[ca>>2];ba=k+40|0;f[s+40>>2]=f[ba>>2];X=k+48|0;f[ca>>2]=X;f[ba>>2]=$;ea=X}f[k>>2]=1124007936;f[Z>>2]=0;f[Z+4>>2]=0;f[Z+8>>2]=0;f[Z+12>>2]=0;f[Z+16>>2]=0;f[Z+20>>2]=0;f[Z+24>>2]=0;f[Z+28>>2]=0;f[aa>>2]=0;f[_>>2]=0;f[_+4>>2]=0;f[_+8>>2]=0;f[_+12>>2]=0;if((ea|0)!=(k+48|0))TC(ea);if(!(f[s>>2]&16384)){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;_=cuc(32)|0;f[k>>2]=_;f[k+8>>2]=-2147483616;f[k+4>>2]=21;M=_;N=388675;O=M+21|0;do{b[M>>0]=b[N>>0]|0;M=M+1|0;N=N+1|0}while((M|0)<(O|0));b[_+21>>0]=0;WD(-215,k,389703,388087,1274)}else{fa=f[W>>2]|0;break}}else fa=0;while(0);f[t>>2]=0;ea=t+4|0;f[ea>>2]=0;f[t+8>>2]=0;f[v>>2]=0;da=v+4|0;f[da>>2]=0;f[v+8>>2]=0;if((qJ(c)|0)==327680){sJ(c,t);G=f[t>>2]|0;V=(f[ea>>2]|0)-G|0;ea=((V|0)/56|0)+-1|0;aa=G;if((V|0)<=0){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;V=cuc(16)|0;f[k>>2]=V;f[k+8>>2]=-2147483632;f[k+4>>2]=12;M=V;N=388697;O=M+12|0;do{b[M>>0]=b[N>>0]|0;M=M+1|0;N=N+1|0}while((M|0)<(O|0));b[V+12>>0]=0;WD(-215,k,389703,388087,1289)}if(((ea|0)%2|0|0)==1?(V=f[aa+56>>2]|0,(V&7|0)==3?((f[aa>>2]|0)>>>2&1022|1|0)==(V>>>3&511|0):0):0){ga=2;ha=(ea|0)/2|0}else{ga=1;ha=ea}do if((ha|0)>0){f[k>>2]=0;ea=k+4|0;f[ea>>2]=0;f[w>>2]=0;V=w+4|0;f[V>>2]=0;kU(aa+(ga*56|0)|0,k,w);G=f[w>>2]|0;Z=f[D>>2]|0;if((G|0)<(Z|0)){f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;ia=cuc(192)|0;f[x>>2]=ia;ja=x+8|0;f[ja>>2]=-2147483456;ka=x+4|0;f[ka>>2]=187;szc(ia|0,388710,187)|0;la=ia+187|0;b[la>>0]=0;WD(-215,x,389703,388087,1305)}X=f[V>>2]|0;V=f[E>>2]|0;if((X|0)<(V|0)){f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;ia=cuc(192)|0;f[x>>2]=ia;ja=x+8|0;f[ja>>2]=-2147483456;ka=x+4|0;f[ka>>2]=187;szc(ia|0,388710,187)|0;la=ia+187|0;b[la>>0]=0;WD(-215,x,389703,388087,1305)}$=f[t>>2]|0;if((Z+G+(f[$+(ga*56|0)+12>>2]|0)|0)>(f[k>>2]|0)){f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;ia=cuc(192)|0;f[x>>2]=ia;ja=x+8|0;f[ja>>2]=-2147483456;ka=x+4|0;f[ka>>2]=187;szc(ia|0,388710,187)|0;la=ia+187|0;b[la>>0]=0;WD(-215,x,389703,388087,1305)}if((V+X+(f[$+(ga*56|0)+8>>2]|0)|0)>(f[ea>>2]|0)){f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;ia=cuc(192)|0;f[x>>2]=ia;ja=x+8|0;f[ja>>2]=-2147483456;ka=x+4|0;f[ka>>2]=187;szc(ia|0,388710,187)|0;la=ia+187|0;b[la>>0]=0;WD(-215,x,389703,388087,1305)}else break}while(0);if((ha|0)<(f[e>>2]|0)){f[e>>2]=ha;ma=ga;na=ha}else{ma=ga;na=ha}}else{ma=1;na=-1}do if((qJ(d)|0)==327680){sJ(d,v);ha=f[v>>2]|0;ga=(f[da>>2]|0)-ha|0;la=((ga|0)/56|0)+-1|0;ia=ha;if((ga|0)<=0){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;ga=cuc(16)|0;f[k>>2]=ga;f[k+8>>2]=-2147483632;f[k+4>>2]=12;M=ga;N=388898;O=M+12|0;do{b[M>>0]=b[N>>0]|0;M=M+1|0;N=N+1|0}while((M|0)<(O|0));b[ga+12>>0]=0;WD(-215,k,389703,388087,1317)}do if(((la|0)%2|0|0)==1){W=f[ia+56>>2]|0;if(!((W&7|0)==3?((f[ia>>2]|0)>>>2&1022|1|0)==(W>>>3&511|0):0)){oa=1;pa=la;break}oa=2;pa=(la|0)/2|0}else{oa=1;pa=la}while(0);do if((pa|0)>0){f[k>>2]=0;la=k+4|0;f[la>>2]=0;f[w>>2]=0;ga=w+4|0;f[ga>>2]=0;kU(ia+(oa*56|0)|0,k,w);W=f[w>>2]|0;_=f[D>>2]|0;if((W|0)<(_|0)){f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;qa=cuc(192)|0;f[x>>2]=qa;ra=x+8|0;f[ra>>2]=-2147483456;sa=x+4|0;f[sa>>2]=187;szc(qa|0,388911,187)|0;ta=qa+187|0;b[ta>>0]=0;WD(-215,x,389703,388087,1333)}ha=f[ga>>2]|0;ga=f[E>>2]|0;if((ha|0)<(ga|0)){f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;qa=cuc(192)|0;f[x>>2]=qa;ra=x+8|0;f[ra>>2]=-2147483456;sa=x+4|0;f[sa>>2]=187;szc(qa|0,388911,187)|0;ta=qa+187|0;b[ta>>0]=0;WD(-215,x,389703,388087,1333)}ka=f[v>>2]|0;if((_+W+(f[ka+(oa*56|0)+12>>2]|0)|0)>(f[k>>2]|0)){f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;qa=cuc(192)|0;f[x>>2]=qa;ra=x+8|0;f[ra>>2]=-2147483456;sa=x+4|0;f[sa>>2]=187;szc(qa|0,388911,187)|0;ta=qa+187|0;b[ta>>0]=0;WD(-215,x,389703,388087,1333)}if((ga+ha+(f[ka+(oa*56|0)+8>>2]|0)|0)>(f[la>>2]|0)){f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;qa=cuc(192)|0;f[x>>2]=qa;ra=x+8|0;f[ra>>2]=-2147483456;sa=x+4|0;f[sa>>2]=187;szc(qa|0,388911,187)|0;ta=qa+187|0;b[ta>>0]=0;WD(-215,x,389703,388087,1333)}else break}while(0);if((pa|0)>=(f[e>>2]|0)){ua=oa;va=pa;break}f[e>>2]=pa;ua=oa;va=pa}else{ua=1;va=-1}while(0);if((na|0)<0){na=k+8|0;f[na>>2]=0;f[na+4>>2]=0;f[k>>2]=33882112;f[k+4>>2]=t;f[y>>2]=f[D>>2];f[y+4>>2]=f[E>>2];na=hDa(c,k,y,f[e>>2]|0,0,4,0,1)|0;f[e>>2]=na}if((va|0)<0){va=k+8|0;f[va>>2]=0;f[va+4>>2]=0;f[k>>2]=33882112;f[k+4>>2]=v;f[z>>2]=f[D>>2];f[z+4>>2]=f[E>>2];va=hDa(d,k,z,f[e>>2]|0,0,4,0,1)|0;f[e>>2]=va}va=a+16|0;z=f[va>>2]|0;d=a+20|0;if(!(z&1))wa=30;else{na=f[d>>2]|0;y=(na|0)>0?na:0;wa=(y|0)<100?y:100}f[d>>2]=wa;wa=a+24|0;if(!(z&2))xa=.01;else{ya=+p[wa>>3];za=ya<0.0?0.0:ya;xa=za>10.0?10.0:za}p[wa>>3]=xa*xa;f[w>>2]=1124007936;wa=w+4|0;z=w+8|0;d=w+40|0;M=wa;O=M+36|0;do{f[M>>2]=0;M=M+4|0}while((M|0)<(O|0));f[d>>2]=z;z=w+48|0;y=w+44|0;f[y>>2]=z;f[z>>2]=0;f[w+52>>2]=0;na=(ma|0)==1;if(na){c=f[t>>2]|0;pa=(f[D>>2]<<1)+(f[c+12>>2]|0)|0;oa=f[c>>2]<<1&4080|11;f[k>>2]=(f[E>>2]<<1)+(f[c+8>>2]|0);f[k+4>>2]=pa;ZT(w,2,k,oa)}oa=f[e>>2]|0;a:do if((oa|0)>-1){pa=k+4|0;c=k+8|0;ta=k+40|0;qa=k+48|0;sa=k+44|0;ra=k+52|0;da=w+16|0;ia=B+4|0;la=B+8|0;ka=B+12|0;ha=k+36|0;ga=k+16|0;W=A+4|0;_=A+8|0;ja=A+12|0;aa=k+12|0;ea=A+16|0;$=A+20|0;X=k+20|0;V=A+24|0;G=k+24|0;Z=A+28|0;ba=k+28|0;ca=A+32|0;Aa=k+32|0;Ba=A+36|0;Ca=k+44|0;Da=A+44|0;Ea=A+40|0;Fa=A+48|0;Ga=A+8|0;Ha=A+12|0;Ia=A+4|0;Ja=B+8|0;Ka=B+4|0;La=x+36|0;Ma=x+16|0;Na=x+4|0;Oa=x+40|0;Pa=x+44|0;Qa=x+48|0;Ra=k+40|0;Sa=x+4|0;Ta=a+40|0;Ua=A+32|0;Va=A+36|0;Wa=A+40|0;Xa=A+4|0;Ya=A+12|0;Za=A+8|0;_a=A+16|0;$a=A+20|0;ab=A+24|0;bb=A+28|0;cb=A+56|0;db=A+60|0;eb=A+64|0;fb=A+68|0;gb=k+52|0;hb=oa;while(1){f[k>>2]=1124007936;M=pa;O=M+36|0;do{f[M>>2]=0;M=M+4|0}while((M|0)<(O|0));f[ta>>2]=c;f[sa>>2]=qa;f[qa>>2]=0;f[ra>>2]=0;ib=Y(hb,ma)|0;do if(na){jb=f[(f[t>>2]|0)+(ib*56|0)+40>>2]|0;kb=f[jb+4>>2]|0;lb=f[jb>>2]|0;Ri(x,(f[E>>2]<<1)+lb|0,(f[D>>2]<<1)+kb|0,f[w>>2]&4095,f[da>>2]|0,0);jb=f[E>>2]|0;f[B>>2]=f[D>>2];f[ia>>2]=jb;f[la>>2]=kb;f[ka>>2]=lb;eU(A,x,B);lb=f[ha>>2]|0;do if(lb|0){kb=lb+12|0;jb=f[kb>>2]|0;f[kb>>2]=jb+-1;if((jb|0)!=1)break;aU(k)}while(0);f[ha>>2]=0;f[ga>>2]=0;f[ga+4>>2]=0;f[ga+8>>2]=0;f[ga+12>>2]=0;if((f[pa>>2]|0)>0){lb=f[ta>>2]|0;jb=0;do{f[lb+(jb<<2)>>2]=0;jb=jb+1|0}while((jb|0)<(f[pa>>2]|0))}f[k>>2]=f[A>>2];jb=f[W>>2]|0;f[pa>>2]=jb;f[c>>2]=f[_>>2];f[aa>>2]=f[ja>>2];f[ga>>2]=f[ea>>2];f[X>>2]=f[$>>2];f[G>>2]=f[V>>2];f[ba>>2]=f[Z>>2];f[Aa>>2]=f[ca>>2];f[ha>>2]=f[Ba>>2];lb=f[Ca>>2]|0;if((lb|0)==(qa|0))mb=jb;else{TC(lb);f[Ca>>2]=qa;f[ta>>2]=c;mb=f[W>>2]|0}if((mb|0)<3){lb=f[Da>>2]|0;f[qa>>2]=f[lb>>2];f[gb>>2]=f[lb+4>>2];nb=lb}else{f[Ca>>2]=f[Da>>2];f[Ra>>2]=f[Ea>>2];f[Da>>2]=Fa;f[Ea>>2]=_;nb=Fa}f[A>>2]=1124007936;f[W>>2]=0;f[W+4>>2]=0;f[W+8>>2]=0;f[W+12>>2]=0;f[W+16>>2]=0;f[W+20>>2]=0;f[W+24>>2]=0;f[W+28>>2]=0;f[Ba>>2]=0;f[ea>>2]=0;f[ea+4>>2]=0;f[ea+8>>2]=0;f[ea+12>>2]=0;if((nb|0)!=(Fa|0))TC(nb);iDa((f[t>>2]|0)+(ib*56|0)|0,k);f[Ga>>2]=0;f[Ha>>2]=0;f[A>>2]=16842752;f[Ia>>2]=k;lb=Ja;f[lb>>2]=0;f[lb+4>>2]=0;f[B>>2]=33619968;f[Ka>>2]=x;lb=f[E>>2]|0;jb=f[D>>2]|0;f[C>>2]=0;f[C+4>>2]=0;f[C+8>>2]=0;f[C+12>>2]=0;f[C+16>>2]=0;f[C+20>>2]=0;f[C+24>>2]=0;f[C+28>>2]=0;MI(A,B,lb,lb,jb,jb,16,C);jb=f[La>>2]|0;do if(jb|0){lb=jb+12|0;kb=f[lb>>2]|0;f[lb>>2]=kb+-1;if((kb|0)!=1)break;aU(x)}while(0);f[La>>2]=0;f[Ma>>2]=0;f[Ma+4>>2]=0;f[Ma+8>>2]=0;f[Ma+12>>2]=0;if((f[Na>>2]|0)>0){jb=f[Oa>>2]|0;kb=0;do{f[jb+(kb<<2)>>2]=0;kb=kb+1|0}while((kb|0)<(f[Na>>2]|0))}kb=f[Pa>>2]|0;if((kb|0)!=(Qa|0))TC(kb)}else{kb=ib+1|0;jb=f[t>>2]|0;lb=jb+(kb*56|0)|0;if((k|0)==(lb|0))break;ob=jb+(kb*56|0)+36|0;pb=f[ob>>2]|0;do if(pb|0){qb=pb+12|0;f[qb>>2]=(f[qb>>2]|0)+1;qb=f[ha>>2]|0;if(!qb)break;rb=qb+12|0;qb=f[rb>>2]|0;f[rb>>2]=qb+-1;if((qb|0)!=1)break;aU(k)}while(0);f[ha>>2]=0;f[ga>>2]=0;f[ga+4>>2]=0;f[ga+8>>2]=0;f[ga+12>>2]=0;if((f[pa>>2]|0)>0){pb=f[ta>>2]|0;qb=0;do{f[pb+(qb<<2)>>2]=0;qb=qb+1|0;sb=f[pa>>2]|0}while((qb|0)<(sb|0));f[k>>2]=f[lb>>2];if((sb|0)<3)tb=137;else tb=139}else{f[k>>2]=f[lb>>2];tb=137}do if((tb|0)==137){tb=0;qb=f[jb+(kb*56|0)+4>>2]|0;if((qb|0)>=3){tb=139;break}f[pa>>2]=qb;f[c>>2]=f[jb+(kb*56|0)+8>>2];f[aa>>2]=f[jb+(kb*56|0)+12>>2];qb=f[jb+(kb*56|0)+44>>2]|0;pb=f[sa>>2]|0;f[pb>>2]=f[qb>>2];f[pb+4>>2]=f[qb+4>>2]}while(0);if((tb|0)==139){tb=0;$T(k,lb)}f[ga>>2]=f[jb+(kb*56|0)+16>>2];f[X>>2]=f[jb+(kb*56|0)+20>>2];f[G>>2]=f[jb+(kb*56|0)+24>>2];f[ba>>2]=f[jb+(kb*56|0)+28>>2];f[Aa>>2]=f[jb+(kb*56|0)+32>>2];f[ha>>2]=f[ob>>2]}while(0);qb=f[t>>2]|0;pb=f[qb+(ib*56|0)+40>>2]|0;rb=Y(hb,ua)|0;ub=f[v>>2]|0;vb=f[ub+(rb*56|0)+40>>2]|0;if(!((f[pb>>2]|0)==(f[vb>>2]|0)?(f[pb+4>>2]|0)==(f[vb+4>>2]|0):0)){tb=142;break}if((f[ub+(rb*56|0)>>2]^f[qb+(ib*56|0)>>2])&4095|0){tb=144;break}f[x>>2]=0;f[Sa>>2]=P;vb=f[D>>2]|0;pb=f[E>>2]|0;wb=f[e>>2]|0;xb=f[J>>2]|0;xa=+p[Ta>>3];f[A>>2]=109952;f[Xa>>2]=qb+(ib*56|0);f[Ya>>2]=k;f[Za>>2]=ub+(rb*56|0);f[_a>>2]=o;f[$a>>2]=L;f[ab>>2]=R;f[bb>>2]=fa;f[Ua>>2]=vb;f[Va>>2]=pb;f[Wa>>2]=f[va>>2];f[Wa+4>>2]=f[va+4>>2];f[Wa+8>>2]=f[va+8>>2];f[Wa+12>>2]=f[va+12>>2];f[cb>>2]=hb;f[db>>2]=wb;f[eb>>2]=xb;n[fb>>2]=xa;sZ(x,A,-1.0);xb=f[ha>>2]|0;do if(xb|0){wb=xb+12|0;pb=f[wb>>2]|0;f[wb>>2]=pb+-1;if((pb|0)!=1)break;aU(k)}while(0);f[ha>>2]=0;f[ga>>2]=0;f[ga+4>>2]=0;f[ga+8>>2]=0;f[ga+12>>2]=0;if((f[pa>>2]|0)>0){xb=f[ta>>2]|0;ib=0;do{f[xb+(ib<<2)>>2]=0;ib=ib+1|0}while((ib|0)<(f[pa>>2]|0))}ib=f[sa>>2]|0;if((ib|0)!=(qa|0))TC(ib);if((hb|0)>0)hb=hb+-1|0;else break a}if((tb|0)==142){f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;hb=cuc(80)|0;f[x>>2]=hb;f[x+8>>2]=-2147483568;f[x+4>>2]=68;M=hb;N=389099;O=M+68|0;do{b[M>>0]=b[N>>0]|0;M=M+1|0;N=N+1|0}while((M|0)<(O|0));b[hb+68>>0]=0;WD(-215,x,389703,388087,1376)}else if((tb|0)==144){f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;qa=cuc(80)|0;f[x>>2]=qa;f[x+8>>2]=-2147483568;f[x+4>>2]=68;M=qa;N=389168;O=M+68|0;do{b[M>>0]=b[N>>0]|0;M=M+1|0;N=N+1|0}while((M|0)<(O|0));b[qa+68>>0]=0;WD(-215,x,389703,388087,1377)}}while(0);x=w+36|0;N=f[x>>2]|0;do if(N|0){M=N+12|0;O=f[M>>2]|0;f[M>>2]=O+-1;if((O|0)!=1)break;aU(w)}while(0);f[x>>2]=0;x=w+16|0;f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;f[x+12>>2]=0;if((f[wa>>2]|0)>0){x=f[d>>2]|0;d=0;do{f[x+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[wa>>2]|0))}wa=f[y>>2]|0;if((wa|0)!=(z|0))TC(wa);ut(v);ut(t);t=s+36|0;v=f[t>>2]|0;do if(v|0){wa=v+12|0;z=f[wa>>2]|0;f[wa>>2]=z+-1;if((z|0)!=1)break;aU(s)}while(0);f[t>>2]=0;t=s+16|0;f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;f[t+12>>2]=0;if((f[I>>2]|0)>0){t=f[H>>2]|0;H=0;do{f[t+(H<<2)>>2]=0;H=H+1|0}while((H|0)<(f[I>>2]|0))}I=f[S>>2]|0;if((I|0)!=(Q|0))TC(I);I=r+36|0;Q=f[I>>2]|0;do if(Q|0){S=Q+12|0;H=f[S>>2]|0;f[S>>2]=H+-1;if((H|0)!=1)break;aU(r)}while(0);f[I>>2]=0;I=r+4|0;f[T>>2]=0;f[T+4>>2]=0;f[T+8>>2]=0;f[T+12>>2]=0;if((f[I>>2]|0)>0){T=f[r+40>>2]|0;Q=0;do{f[T+(Q<<2)>>2]=0;Q=Q+1|0}while((Q|0)<(f[I>>2]|0))}I=f[U>>2]|0;if((I|0)!=(r+48|0))TC(I);I=q+36|0;r=f[I>>2]|0;do if(r|0){U=r+12|0;Q=f[U>>2]|0;f[U>>2]=Q+-1;if((Q|0)!=1)break;aU(q)}while(0);f[I>>2]=0;I=q+4|0;f[K>>2]=0;f[K+4>>2]=0;f[K+8>>2]=0;f[K+12>>2]=0;if((f[I>>2]|0)>0){K=f[q+40>>2]|0;r=0;do{f[K+(r<<2)>>2]=0;r=r+1|0}while((r|0)<(f[I>>2]|0))}I=f[F>>2]|0;if((I|0)!=(q+48|0))TC(I)}else{HJ(g);HJ(h);HJ(i)}i=m+36|0;h=f[i>>2]|0;if(h|0?(g=h+12|0,h=f[g>>2]|0,f[g>>2]=h+-1,(h|0)==1):0)aU(m);f[i>>2]=0;i=m+16|0;h=m+4|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;if((f[h>>2]|0)>0){i=f[m+40>>2]|0;g=0;do{f[i+(g<<2)>>2]=0;g=g+1|0}while((g|0)<(f[h>>2]|0))}h=f[m+44>>2]|0;if((h|0)!=(m+48|0))TC(h);if(!(f[l+4>>2]|0)){u=j;return}u=j;return}function lDa(a,b){a=a|0;b=b|0;f[a>>2]=f[b+4>>2];f[a+4>>2]=f[b+8>>2];return}function mDa(a,b){a=a|0;b=b|0;f[a+4>>2]=f[b>>2];f[a+8>>2]=f[b+4>>2];return}function nDa(a){a=a|0;return f[a+12>>2]|0}function oDa(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function pDa(a,b){a=a|0;b=b|0;var c=0;c=b+16|0;f[a>>2]=f[c>>2];f[a+4>>2]=f[c+4>>2];f[a+8>>2]=f[c+8>>2];f[a+12>>2]=f[c+12>>2];return}function qDa(a,b){a=a|0;b=b|0;var c=0;c=a+16|0;f[c>>2]=f[b>>2];f[c+4>>2]=f[b+4>>2];f[c+8>>2]=f[b+8>>2];f[c+12>>2]=f[b+12>>2];return}function rDa(a){a=a|0;return f[a+32>>2]|0}function sDa(a,b){a=a|0;b=b|0;f[a+32>>2]=b;return}function tDa(a){a=a|0;return +(+p[a+40>>3])}function uDa(a,b){a=a|0;b=+b;p[a+40>>3]=b;return}function vDa(a){a=a|0;f[a>>2]=110012;DG(a+16|0);Qtc(a);return}function wDa(a){a=a|0;f[a>>2]=110012;DG(a+16|0);Qtc(a);fuc(a);return}function xDa(a){a=a|0;var b=0;b=a+16|0;bi[f[f[b>>2]>>2]&2047](b);return}function yDa(a){a=a|0;fuc(a);return}function zDa(a,b,c,d,e,g,h,i,j,k,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=+l;var m=0,n=0,o=0,q=0.0,r=0;m=f[h>>2]|0;n=f[h+4>>2]|0;h=f[j>>2]|0;o=f[j+4>>2]|0;q=+p[j+8>>3];j=cuc(64)|0;f[j+4>>2]=0;f[j+8>>2]=0;f[j>>2]=110012;r=j+16|0;LG(r);f[r>>2]=110040;f[j+20>>2]=m;f[j+24>>2]=n;f[j+28>>2]=i;f[j+32>>2]=h;f[j+36>>2]=o;p[j+40>>3]=q;f[j+48>>2]=k;p[j+56>>3]=l;kDa(r,a,b,c,d,e,g);Xtc(j);return}function ADa(a,c,d,e,g,h,i,j,k,l){a=a|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;i=i|0;j=j|0;k=+k;l=l|0;var m=0,n=0,o=0,q=0;m=u;u=u+16|0;n=m;gV(n,110136);o=cuc(64)|0;f[o+4>>2]=0;f[o+8>>2]=0;f[o>>2]=110164;q=o+16|0;LG(q);f[q>>2]=110192;f[o+20>>2]=g;p[o+24>>3]=e;b[o+32>>0]=0;f[o+36>>2]=h;f[o+40>>2]=i;f[o+44>>2]=j;p[o+48>>3]=k;f[o+56>>2]=l;Wtc(o);Xtc(o);sh[f[(f[q>>2]|0)+32>>2]&255](q,a,c,d);Xtc(o);if(!(f[n+4>>2]|0)){u=m;return}u=m;return}function BDa(a){a=a|0;DG(a);fuc(a);return}function CDa(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0.0,fa=0.0,ga=0.0,ha=0.0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0,qc=0,rc=0,sc=0,tc=0,uc=0,vc=0,wc=0,xc=0,yc=0,zc=0,Ac=0,Bc=0,Cc=0,Dc=0,Ec=0,Fc=0,Gc=0,Hc=0,Ic=0,Jc=0.0,Kc=0,Lc=0,Mc=0,Nc=0,Oc=0,Pc=0,Qc=0,Rc=0,Sc=0,Tc=0,Uc=0,Vc=0,Wc=0,Xc=0,Yc=0,Zc=0,_c=0,$c=0,ad=0,bd=0,cd=0.0,dd=0,ed=0,fd=0,gd=0,hd=0,id=0,jd=0.0,kd=0,ld=0,md=0,nd=0,od=0,pd=0,qd=0,rd=0,sd=0,td=0.0,ud=0.0,vd=0.0,wd=0,xd=0.0,yd=0.0,zd=0.0,Ad=0,Bd=0,Cd=0,Dd=0.0,Ed=0,Fd=0.0,Gd=0.0,Hd=0.0,Id=0.0,Jd=0.0,Kd=0.0,Ld=0.0,Md=0.0,Nd=0.0,Od=0.0,Pd=0.0,Qd=0.0,Rd=0.0,Sd=0.0,Td=0.0,Ud=0,Vd=0,Wd=0.0,Xd=0.0,Yd=0.0,Zd=0.0,_d=0.0,$d=0,ae=0,be=0,ce=0,de=0,ee=0,fe=0.0,ge=0,he=0,ie=0,je=0,ke=0;g=u;u=u+5968|0;h=g+1064|0;i=g+4904|0;j=g;k=g+3840|0;l=g+2768|0;m=g+2744|0;o=g+2688|0;q=g+2632|0;r=g+2616|0;s=g+2552|0;t=g+2496|0;v=g+2440|0;w=g+3832|0;x=g+2384|0;y=g+2760|0;z=g+2752|0;A=g+2272|0;B=g+2216|0;C=g+2160|0;D=g+2624|0;E=g+2608|0;gV(m,110296);do if((qJ(c)|0)==65536){F=f[c+4>>2]|0;f[o>>2]=f[F>>2];G=o+4|0;H=F+4|0;f[G>>2]=f[H>>2];I=o+8|0;f[I>>2]=f[F+8>>2];f[o+12>>2]=f[F+12>>2];f[o+16>>2]=f[F+16>>2];f[o+20>>2]=f[F+20>>2];f[o+24>>2]=f[F+24>>2];f[o+28>>2]=f[F+28>>2];f[o+32>>2]=f[F+32>>2];J=f[F+36>>2]|0;f[o+36>>2]=J;f[o+40>>2]=I;I=o+48|0;K=o+44|0;f[K>>2]=I;f[I>>2]=0;f[o+52>>2]=0;if(J|0){I=J+12|0;f[I>>2]=(f[I>>2]|0)+1}if((f[H>>2]|0)<3){H=f[F+44>>2]|0;I=f[K>>2]|0;f[I>>2]=f[H>>2];f[I+4>>2]=f[H+4>>2];break}else{f[G>>2]=0;$T(o,F);break}}else nJ(o,c,-1);while(0);do if((qJ(d)|0)==65536){c=f[d+4>>2]|0;f[q>>2]=f[c>>2];F=q+4|0;G=c+4|0;f[F>>2]=f[G>>2];H=q+8|0;f[H>>2]=f[c+8>>2];f[q+12>>2]=f[c+12>>2];f[q+16>>2]=f[c+16>>2];f[q+20>>2]=f[c+20>>2];f[q+24>>2]=f[c+24>>2];f[q+28>>2]=f[c+28>>2];f[q+32>>2]=f[c+32>>2];I=f[c+36>>2]|0;f[q+36>>2]=I;K=q+40|0;f[K>>2]=H;H=q+48|0;J=q+44|0;f[J>>2]=H;f[H>>2]=0;f[q+52>>2]=0;if(I|0){H=I+12|0;f[H>>2]=(f[H>>2]|0)+1}if((f[G>>2]|0)<3){G=f[c+44>>2]|0;H=f[J>>2]|0;f[H>>2]=f[G>>2];f[H+4>>2]=f[G+4>>2];L=K;break}else{f[F>>2]=0;$T(q,c);L=K;break}}else{nJ(q,d,-1);L=q+40|0}while(0);f[r>>2]=o;f[r+4>>2]=q;f[s>>2]=1124007936;d=s+4|0;K=s+8|0;c=s+40|0;F=d;G=F+36|0;do{f[F>>2]=0;F=F+4|0}while((F|0)<(G|0));f[c>>2]=K;H=s+48|0;J=s+44|0;f[J>>2]=H;f[H>>2]=0;f[s+52>>2]=0;f[t>>2]=1124007936;I=t+4|0;M=t+8|0;N=t+40|0;F=I;G=F+36|0;do{f[F>>2]=0;F=F+4|0}while((F|0)<(G|0));f[N>>2]=M;O=t+48|0;P=t+44|0;f[P>>2]=O;f[O>>2]=0;f[t+52>>2]=0;f[v>>2]=1124007936;Q=v+4|0;R=v+8|0;S=v+40|0;F=Q;G=F+36|0;do{f[F>>2]=0;F=F+4|0}while((F|0)<(G|0));f[S>>2]=R;R=v+48|0;T=v+44|0;f[T>>2]=R;f[R>>2]=0;f[v+52>>2]=0;U=f[a+4>>2]|0;W=o+40|0;X=f[W>>2]|0;Z=f[X+4>>2]|0;_=f[X>>2]|0;X=f[L>>2]|0;if(!((_|0)==(f[X>>2]|0)?(Z|0)==(f[X+4>>2]|0):0)){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;$=cuc(112)|0;f[h>>2]=$;aa=h+8|0;f[aa>>2]=-2147483536;ba=h+4|0;f[ba>>2]=110;F=$;ca=389592;G=F+110|0;do{b[F>>0]=b[ca>>0]|0;F=F+1|0;ca=ca+1|0}while((F|0)<(G|0));da=$+110|0;b[da>>0]=0;WD(-215,h,389703,389708,1114)}X=(f[o>>2]|0)>>>3&511;if(!((X|0)==0?(X|0)==((f[q>>2]|0)>>>3&511|0):0)){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;$=cuc(112)|0;f[h>>2]=$;aa=h+8|0;f[aa>>2]=-2147483536;ba=h+4|0;f[ba>>2]=110;F=$;ca=389592;G=F+110|0;do{b[F>>0]=b[ca>>0]|0;F=F+1|0;ca=ca+1|0}while((F|0)<(G|0));da=$+110|0;b[da>>0]=0;WD(-215,h,389703,389708,1114)}X=a+8|0;if(!(+p[X>>3]<1.0)){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;$=cuc(112)|0;f[h>>2]=$;aa=h+8|0;f[aa>>2]=-2147483536;ba=h+4|0;f[ba>>2]=110;F=$;ca=389592;G=F+110|0;do{b[F>>0]=b[ca>>0]|0;F=F+1|0;ca=ca+1|0}while((F|0)<(G|0));da=$+110|0;b[da>>0]=0;WD(-215,h,389703,389708,1114)}f[w>>2]=Z;f[w+4>>2]=_;IJ(e,w,13,-1,0,0);do if((qJ(e)|0)==65536){w=f[e+4>>2]|0;f[x>>2]=f[w>>2];_=x+4|0;Z=w+4|0;f[_>>2]=f[Z>>2];da=x+8|0;f[da>>2]=f[w+8>>2];f[x+12>>2]=f[w+12>>2];f[x+16>>2]=f[w+16>>2];f[x+20>>2]=f[w+20>>2];f[x+24>>2]=f[w+24>>2];f[x+28>>2]=f[w+28>>2];f[x+32>>2]=f[w+32>>2];$=f[w+36>>2]|0;f[x+36>>2]=$;f[x+40>>2]=da;da=x+48|0;ba=x+44|0;f[ba>>2]=da;f[da>>2]=0;f[x+52>>2]=0;if($|0){da=$+12|0;f[da>>2]=(f[da>>2]|0)+1}if((f[Z>>2]|0)<3){Z=f[w+44>>2]|0;da=f[ba>>2]|0;f[da>>2]=f[Z>>2];f[da+4>>2]=f[Z+4>>2];break}else{f[_>>2]=0;$T(x,w);break}}else nJ(x,e,-1);while(0);if((U|0)>0){ea=+p[X>>3];fa=+(f[o+12>>2]|0);ga=+(f[o+8>>2]|0);ha=1.0;e=0;while(1){ha=ha*ea;if(ha*fa<32.0|ha*ga<32.0){ia=e;break}w=e+1|0;if((w|0)>=(U|0)){ia=w;break}else e=w}if((ia|0)>-1){ja=ia;ka=30}else la=x+36|0}else{ja=0;ka=30}a:do if((ka|0)==30){ia=o+12|0;e=o+8|0;U=t+12|0;w=t+16|0;_=i+4|0;Z=s+16|0;da=a+40|0;ba=h+8|0;$=h+12|0;aa=h+4|0;ma=i+8|0;na=i+4|0;oa=y+4|0;pa=h+8|0;qa=h+4|0;ra=B+4|0;sa=B+8|0;ta=B+40|0;ua=B+48|0;va=B+44|0;wa=B+52|0;xa=C+4|0;ya=C+8|0;za=C+40|0;Aa=C+48|0;Ba=C+44|0;Ca=C+52|0;Da=h+8|0;Ea=h+4|0;Fa=h+8|0;Ga=h+12|0;Ha=h+4|0;Ia=i+8|0;Ja=i+4|0;Ka=D+4|0;La=h+8|0;Ma=h+12|0;Na=h+4|0;Oa=i+8|0;Pa=i+4|0;Qa=E+4|0;Ra=a+28|0;Sa=a+32|0;Ta=B+12|0;Ua=k+8|0;Va=k+4|0;Wa=l+8|0;Xa=l+4|0;Ya=h+4|0;Za=h+8|0;_a=h+40|0;$a=h+48|0;ab=h+44|0;bb=h+52|0;cb=i+8|0;db=i+12|0;eb=i+4|0;fb=h+16|0;gb=i+16|0;hb=i+44|0;ib=i+36|0;jb=i+4|0;kb=i+40|0;lb=i+48|0;mb=h+36|0;nb=B+16|0;ob=A+56|0;pb=a+24|0;qb=t+36|0;rb=s+36|0;sb=s+12|0;tb=t+20|0;ub=s+20|0;vb=t+24|0;wb=s+24|0;xb=t+28|0;yb=s+28|0;zb=t+32|0;Ab=s+32|0;Bb=C+36|0;Cb=C+16|0;Db=B+36|0;Eb=a+20|0;Fb=h+8|0;Gb=h+4|0;Hb=h+8|0;Ib=h+4|0;Jb=i+8|0;Kb=i+4|0;Lb=Jb;Mb=j+8|0;Nb=j+4|0;Ob=k+8|0;Pb=k+4|0;Qb=h+8|0;Rb=h+12|0;Sb=h+4|0;Tb=i+8|0;Ub=i+4|0;Vb=z+4|0;Wb=h+8|0;Xb=h+4|0;Yb=x+36|0;Zb=x+4|0;_b=x+8|0;$b=x+12|0;ac=x+44|0;bc=x+16|0;cc=x+20|0;dc=x+24|0;ec=x+28|0;fc=x+32|0;gc=A+4|0;hc=A+8|0;ic=A+40|0;jc=A+48|0;kc=A+44|0;lc=A+52|0;mc=A+56|0;nc=A+60|0;oc=A+64|0;pc=A+96|0;qc=A+104|0;rc=A+100|0;sc=A+108|0;tc=A+56|0;uc=A+92|0;vc=A+72|0;wc=A+60|0;xc=A+96|0;yc=A+100|0;zc=A+104|0;Ac=A+36|0;Bc=A+16|0;Cc=A+4|0;Dc=A+40|0;Ec=A+44|0;Fc=A+48|0;Gc=ja;b:while(1){Hc=(Gc|0)>0;if(Hc){ga=+p[X>>3];Ic=0;ha=1.0;while(1){fa=ha*ga;Ic=Ic+1|0;if((Ic|0)==(Gc|0)){Jc=fa;break}else ha=fa}}else Jc=1.0;ha=(1.0/Jc+-1.0)*.5;Ic=Fhc(ha*5.0)|0|1;Kc=(Ic|0)>3?Ic:3;Ic=Fhc(Jc*+(f[ia>>2]|0))|0;Lc=Fhc(Jc*+(f[e>>2]|0))|0;do if(Hc){if(((f[I>>2]|0)<3?(f[M>>2]|0)==(Lc|0):0)&(f[U>>2]|0)==(Ic|0)?!((f[w>>2]|0)==0?1:(f[t>>2]&4095|0)!=13):0)break;f[i>>2]=Lc;f[_>>2]=Ic;ZT(t,2,i,13)}else{Mc=f[Yb>>2]|0;if(Mc|0){Nc=Mc+12|0;f[Nc>>2]=(f[Nc>>2]|0)+1}Nc=f[qb>>2]|0;if(Nc|0?(Mc=Nc+12|0,Nc=f[Mc>>2]|0,f[Mc>>2]=Nc+-1,(Nc|0)==1):0)aU(t);f[qb>>2]=0;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;f[w+12>>2]=0;if((f[I>>2]|0)>0){Nc=f[N>>2]|0;Mc=0;do{f[Nc+(Mc<<2)>>2]=0;Mc=Mc+1|0;Oc=f[I>>2]|0}while((Mc|0)<(Oc|0));f[t>>2]=f[x>>2];if((Oc|0)<3)ka=50;else ka=52}else{f[t>>2]=f[x>>2];ka=50}if((ka|0)==50){ka=0;Mc=f[Zb>>2]|0;if((Mc|0)<3){f[I>>2]=Mc;f[M>>2]=f[_b>>2];f[U>>2]=f[$b>>2];Mc=f[ac>>2]|0;Nc=f[P>>2]|0;f[Nc>>2]=f[Mc>>2];f[Nc+4>>2]=f[Mc+4>>2]}else ka=52}if((ka|0)==52){ka=0;$T(t,x)}f[w>>2]=f[bc>>2];f[tb>>2]=f[cc>>2];f[vb>>2]=f[dc>>2];f[xb>>2]=f[ec>>2];f[zb>>2]=f[fc>>2];f[qb>>2]=f[Yb>>2]}while(0);if(f[Z>>2]|0){Mc=f[d>>2]|0;if((Mc|0)<3)Pc=Y(f[sb>>2]|0,f[K>>2]|0)|0;else{Nc=f[c>>2]|0;Qc=0;Rc=1;while(1){Sc=Y(f[Nc+(Qc<<2)>>2]|0,Rc)|0;Qc=Qc+1|0;if((Qc|0)==(Mc|0)){Pc=Sc;break}else Rc=Sc}}if(!((Mc|0)==0|(Pc|0)==0)){f[Qb>>2]=0;f[Rb>>2]=0;f[h>>2]=16842752;f[Sb>>2]=s;Rc=Tb;f[Rc>>2]=0;f[Rc+4>>2]=0;f[i>>2]=33619968;f[Ub>>2]=t;f[z>>2]=Ic;f[Vb>>2]=Lc;Tea(h,i,z,0.0,0.0,1);ga=1.0/+p[X>>3];Rc=Wb;f[Rc>>2]=0;f[Rc+4>>2]=0;f[h>>2]=33619968;f[Xb>>2]=t;kQ(t,h,-1,ga,0.0)}else ka=60}else ka=60;do if((ka|0)==60){ka=0;if(!(f[da>>2]&4)){wT(h,Lc,Ic,13);Rc=f[h>>2]|0;sh[f[(f[Rc>>2]|0)+12>>2]&255](Rc,h,t,-1);Xi(h);break}else{f[ba>>2]=0;f[$>>2]=0;f[h>>2]=16842752;f[aa>>2]=x;Rc=ma;f[Rc>>2]=0;f[Rc+4>>2]=0;f[i>>2]=33619968;f[na>>2]=t;f[y>>2]=Ic;f[oa>>2]=Lc;Tea(h,i,y,0.0,0.0,3);Rc=pa;f[Rc>>2]=0;f[Rc+4>>2]=0;f[h>>2]=33619968;f[qa>>2]=t;kQ(t,h,-1,Jc,0.0);break}}while(0);f[A>>2]=1124007936;F=gc;G=F+36|0;do{f[F>>2]=0;F=F+4|0}while((F|0)<(G|0));f[ic>>2]=hc;f[kc>>2]=jc;f[jc>>2]=0;f[lc>>2]=0;f[mc>>2]=1124007936;F=nc;G=F+36|0;do{f[F>>2]=0;F=F+4|0}while((F|0)<(G|0));f[pc>>2]=oc;f[rc>>2]=qc;f[qc>>2]=0;f[sc>>2]=0;f[B>>2]=1124007936;F=ra;G=F+36|0;do{f[F>>2]=0;F=F+4|0}while((F|0)<(G|0));f[ta>>2]=sa;f[va>>2]=ua;f[ua>>2]=0;f[wa>>2]=0;f[C>>2]=1124007936;F=xa;G=F+36|0;do{f[F>>2]=0;F=F+4|0}while((F|0)<(G|0));f[za>>2]=ya;f[Ba>>2]=Aa;f[Aa>>2]=0;f[Ca>>2]=0;Mc=0;do{Rc=f[r+(Mc<<2)>>2]|0;Qc=Da;f[Qc>>2]=0;f[Qc+4>>2]=0;f[h>>2]=33619968;f[Ea>>2]=v;kQ(Rc,h,5,1.0,0.0);f[Fa>>2]=0;f[Ga>>2]=0;f[h>>2]=16842752;f[Ha>>2]=v;Rc=Ia;f[Rc>>2]=0;f[Rc+4>>2]=0;f[i>>2]=33619968;f[Ja>>2]=v;f[D>>2]=Kc;f[Ka>>2]=Kc;Ala(h,i,D,ha,ha,4);f[La>>2]=0;f[Ma>>2]=0;f[h>>2]=16842752;f[Na>>2]=v;Rc=Oa;f[Rc>>2]=0;f[Rc+4>>2]=0;f[i>>2]=33619968;f[Pa>>2]=B;f[E>>2]=Ic;f[Qa>>2]=Lc;Tea(h,i,E,1.0,0.0,1);Rc=A+(Mc*56|0)|0;Qc=f[Ra>>2]|0;ga=+p[Sa>>3];if((f[B>>2]&4095|0)!=5)break b;Nc=f[Ta>>2]|0;Sc=f[sa>>2]|0;Tc=(Qc*6|0)+3|0;f[k>>2]=Ua;f[Va>>2]=Tc;if(Tc>>>0>264){Uc=euc(Tc>>>0>1073741823?-1:Tc<<2)|0;f[k>>2]=Uc;Vc=Uc}else Vc=Ua;Uc=Qc<<1;Tc=(Nc+Uc|0)*3|0;f[l>>2]=Wa;f[Xa>>2]=Tc;if(Tc>>>0>264){Wc=euc(Tc>>>0>1073741823?-1:Tc<<2)|0;f[l>>2]=Wc;Xc=Wc}else Xc=Wa;Wc=Vc+(Qc<<2)|0;Tc=Wc+(Uc<<2)+4|0;Yc=Tc+(Uc<<2)+4|0;Uc=Qc*3|0;Zc=Xc+(Uc<<2)|0;fa=ga<1.1920928955078125e-07?+(Qc|0)*.3:ga;_c=0-Qc|0;$c=(Qc|0)<(_c|0);if(!$c){ga=fa*(fa*2.0);ad=_c;fa=0.0;while(1){ea=+V(+(+(Y(ad,0-ad|0)|0)/ga));n[Wc+(ad<<2)>>2]=ea;fa=fa+ea;if((ad|0)>=(Qc|0))break;else ad=ad+1|0}ga=1.0/fa;ad=_c;while(1){bd=Wc+(ad<<2)|0;ea=ga*+n[bd>>2];n[bd>>2]=ea;n[Tc+(ad<<2)>>2]=+(ad|0)*ea;cd=+(Y(ad,ad)|0)*ea;n[Yc+(ad<<2)>>2]=cd;if((ad|0)<(Qc|0))ad=ad+1|0;else break}}f[h>>2]=1124007936;F=Ya;G=F+36|0;do{f[F>>2]=0;F=F+4|0}while((F|0)<(G|0));f[_a>>2]=Za;f[ab>>2]=$a;f[$a>>2]=0;f[bb>>2]=0;f[i>>2]=6;f[_>>2]=6;ZT(h,2,i,6);p[j>>3]=0.0;f[i>>2]=-1056833530;f[eb>>2]=j;f[cb>>2]=1;f[db>>2]=1;HI(h,i,sK()|0)|0;if($c){ad=f[fb>>2]|0;dd=ad;ed=ad}else{ad=f[fb>>2]|0;bd=f[f[ab>>2]>>2]|0;fd=ad+bd+8|0;gd=ad+(bd*3|0)+24|0;hd=ad+(bd*5|0)+40|0;bd=_c;while(1){ga=+n[Wc+(bd<<2)>>2];fa=+(bd|0);id=_c;while(1){cd=ga*+n[Wc+(id<<2)>>2];p[ad>>3]=+p[ad>>3]+cd;ea=+(id|0);jd=ea*(ea*cd);p[fd>>3]=+p[fd>>3]+jd;p[gd>>3]=+p[gd>>3]+ea*(ea*jd);p[hd>>3]=fa*(fa*jd)+ +p[hd>>3];if((id|0)<(Qc|0))id=id+1|0;else break}if((bd|0)<(Qc|0))bd=bd+1|0;else{dd=ad;ed=ad;break}}}ad=f[f[ab>>2]>>2]|0;fa=+p[dd+ad+8>>3];bd=dd+(ad<<2)|0;p[bd>>3]=fa;hd=dd+(ad*3|0)|0;p[hd>>3]=fa;p[ed+32>>3]=fa;p[ed+24>>3]=fa;p[ed+(ad<<1)+16>>3]=fa;p[bd+32>>3]=+p[hd+24>>3];fa=+p[dd+(ad*5|0)+40>>3];p[bd+24>>3]=fa;p[hd+32>>3]=fa;uT(j,h,3);jga(i,j);Xi(j);hd=f[gb>>2]|0;bd=f[f[hb>>2]>>2]|0;fa=+p[hd+bd+8>>3];ga=+p[hd+24>>3];jd=+p[hd+(bd*3|0)+24>>3];ea=+p[hd+(bd*5|0)+40>>3];bd=f[ib>>2]|0;do if(bd|0){hd=bd+12|0;ad=f[hd>>2]|0;f[hd>>2]=ad+-1;if((ad|0)!=1)break;aU(i)}while(0);f[ib>>2]=0;f[gb>>2]=0;f[gb+4>>2]=0;f[gb+8>>2]=0;f[gb+12>>2]=0;if((f[jb>>2]|0)>0){bd=f[kb>>2]|0;ad=0;do{f[bd+(ad<<2)>>2]=0;ad=ad+1|0}while((ad|0)<(f[jb>>2]|0))}ad=f[hb>>2]|0;if((ad|0)!=(lb|0))TC(ad);ad=f[mb>>2]|0;do if(ad|0){bd=ad+12|0;hd=f[bd>>2]|0;f[bd>>2]=hd+-1;if((hd|0)!=1)break;aU(h)}while(0);f[mb>>2]=0;f[fb>>2]=0;f[fb+4>>2]=0;f[fb+8>>2]=0;f[fb+12>>2]=0;if((f[Ya>>2]|0)>0){ad=f[_a>>2]|0;hd=0;do{f[ad+(hd<<2)>>2]=0;hd=hd+1|0}while((hd|0)<(f[Ya>>2]|0))}hd=f[ab>>2]|0;if((hd|0)!=($a|0))TC(hd);do if((f[A+(Mc*56|0)+4>>2]|0)<3){if((f[A+(Mc*56|0)+8>>2]|0)!=(Sc|0)){ka=103;break}if((f[A+(Mc*56|0)+12>>2]|0)!=(Nc|0)){ka=103;break}if((f[Rc>>2]&4095|0)!=37){ka=103;break}if(!(f[A+(Mc*56|0)+16>>2]|0))ka=103}else ka=103;while(0);if((ka|0)==103){ka=0;f[i>>2]=Sc;f[_>>2]=Nc;ZT(Rc,2,i,37)}if((Sc|0)>0){hd=f[nb>>2]|0;ad=f[f[va>>2]>>2]|0;bd=f[A+(Mc*56|0)+16>>2]|0;gd=f[f[A+(Mc*56|0)+44>>2]>>2]|0;fd=(Nc|0)>0;_c=(Qc|0)<1;$c=(Qc|0)>0;id=Nc*3|0;kd=Sc+-1|0;ld=Qc+1|0;md=_c|fd^1;nd=0;do{cd=+n[Wc>>2];od=hd+(Y(nd,ad)|0)|0;pd=bd+(Y(nd,gd)|0)|0;do if(fd){qd=0;do{rd=qd*3|0;n[Zc+(rd<<2)>>2]=cd*+n[od+(qd<<2)>>2];n[Zc+(rd+2<<2)>>2]=0.0;n[Zc+(rd+1<<2)>>2]=0.0;qd=qd+1|0}while((qd|0)!=(Nc|0));if(md)break;else sd=1;do{td=+n[Wc+(sd<<2)>>2];ud=+n[Tc+(sd<<2)>>2];vd=+n[Yc+(sd<<2)>>2];qd=nd-sd|0;rd=hd+(Y((qd|0)>0?qd:0,ad)|0)|0;qd=sd+nd|0;wd=hd+(Y((kd|0)<(qd|0)?kd:qd,ad)|0)|0;qd=0;do{xd=+n[rd+(qd<<2)>>2];yd=+n[wd+(qd<<2)>>2];zd=xd+yd;Ad=qd*3|0;Bd=Zc+(Ad<<2)|0;Cd=Zc+(Ad+1<<2)|0;Dd=+n[Cd>>2]+ud*(yd-xd);Ed=Zc+(Ad+2<<2)|0;xd=vd*zd+ +n[Ed>>2];n[Bd>>2]=+n[Bd>>2]+td*zd;n[Cd>>2]=Dd;n[Ed>>2]=xd;qd=qd+1|0}while((qd|0)!=(Nc|0));sd=sd+1|0}while((sd|0)!=(ld|0))}while(0);if($c){od=0;do{f[Zc+(~od<<2)>>2]=f[Zc+(2-od<<2)>>2];qd=od+id|0;f[Zc+(qd<<2)>>2]=f[Zc+(qd+-3<<2)>>2];od=od+1|0}while((od|0)<(Uc|0))}c:do if(fd){od=0;td=cd;while(1){qd=od*3|0;vd=td*+n[Zc+(qd<<2)>>2];ud=td*+n[Zc+(qd+1<<2)>>2];xd=td*+n[Zc+(qd+2<<2)>>2];if(_c){Fd=0.0;Gd=xd;Hd=0.0;Id=ud;Jd=0.0;Kd=vd}else{Dd=0.0;zd=xd;xd=0.0;yd=ud;ud=0.0;Ld=vd;qd=1;while(1){wd=(qd+od|0)*3|0;vd=+n[Zc+(wd<<2)>>2];rd=(od-qd|0)*3|0;Md=+n[Zc+(rd<<2)>>2];Nd=vd+Md;Od=+n[Wc+(qd<<2)>>2];Pd=Ld+Nd*Od;Qd=xd+Nd*+n[Yc+(qd<<2)>>2];Nd=+n[Tc+(qd<<2)>>2];Rd=ud+(vd-Md)*Nd;Md=+n[Zc+(wd+1<<2)>>2];vd=+n[Zc+(rd+1<<2)>>2];Sd=yd+Od*(Md+vd);Td=Dd+Nd*(Md-vd);vd=zd+Od*(+n[Zc+(wd+2<<2)>>2]+ +n[Zc+(rd+2<<2)>>2]);qd=qd+1|0;if((qd|0)==(ld|0)){Fd=Td;Gd=vd;Hd=Qd;Id=Sd;Jd=Rd;Kd=Pd;break}else{Dd=Td;zd=vd;xd=Qd;yd=Sd;ud=Rd;Ld=Pd}}}qd=od*5|0;n[pd+(qd+1<<2)>>2]=fa*Jd;n[pd+(qd<<2)>>2]=fa*Id;Ld=ga*Kd;n[pd+(qd+3<<2)>>2]=Ld+jd*Hd;n[pd+(qd+2<<2)>>2]=Ld+jd*Gd;n[pd+(qd+4<<2)>>2]=ea*Fd;qd=od+1|0;if((qd|0)==(Nc|0))break c;od=qd;td=+n[Wc>>2]}}while(0);nd=nd+1|0}while((nd|0)!=(Sc|0))}Sc=f[l>>2]|0;if((Sc|0)!=(Wa|0)){if(Sc|0)guc(Sc);f[l>>2]=Wa;f[Xa>>2]=264}Sc=f[k>>2]|0;if((Sc|0)!=(Ua|0)){if(Sc|0)guc(Sc);f[k>>2]=Ua;f[Va>>2]=264}Mc=Mc+1|0}while((Mc|0)<2);UDa(A,ob,t,C,0,f[M>>2]|0);Mc=f[pb>>2]|0;if((Mc|0)>0){Lc=0;Ic=Mc;do{Mc=f[Eb>>2]|0;Kc=(Lc|0)<(Ic+-1|0);Sc=f[U>>2]|0;nd=f[M>>2]|0;Wc=(Mc|0)/2|0;Nc=1024/(Sc|0)|0;ld=(Nc|0)<(Mc|0)?Mc:Nc;if(!(f[da>>2]&256)){ha=1.0/+(Y(Mc,Mc)|0);Nc=(((Wc<<1)+Sc|0)*5|0)+10|0;f[h>>2]=Fb;f[Gb>>2]=Nc;if(Nc>>>0>136){Zc=euc(Nc>>>0>536870911?-1:Nc<<3)|0;f[h>>2]=Zc;Ud=Zc}else Ud=Fb;Zc=(Wc*5|0)+5|0;Nc=Ud+(Zc<<3)|0;Tc=f[Cb>>2]|0;Yc=Sc*5|0;_c=(Sc|0)>0;if(_c){ea=+(Wc+2|0);fd=0;do{p[Nc+(fd<<3)>>3]=ea*+n[Tc+(fd<<2)>>2];fd=fd+1|0}while((fd|0)<(Yc|0))}fd=(Mc|0)>3;do if(fd){Uc=nd+-1|0;id=f[f[Ba>>2]>>2]|0;if(_c)Vd=1;else break;do{$c=Tc+(Y((Uc|0)<(Vd|0)?Uc:Vd,id)|0)|0;ad=0;do{kd=Nc+(ad<<3)|0;p[kd>>3]=+p[kd>>3]+ +n[$c+(ad<<2)>>2];ad=ad+1|0}while((ad|0)<(Yc|0));Vd=Vd+1|0}while((Vd|0)<(Wc|0))}while(0);if((nd|0)>0){id=nd+-1|0;Uc=(Zc|0)>0;ea=+(Wc+2|0);ad=Nc+8|0;$c=Nc+16|0;kd=Nc+24|0;hd=Nc+32|0;md=0;gd=Tc;bd=0;while(1){Qc=(f[w>>2]|0)+(Y(f[f[P>>2]>>2]|0,bd)|0)|0;Rc=bd-Wc+-1|0;pd=f[f[Ba>>2]>>2]|0;od=gd+(Y(pd,(Rc|0)>0?Rc:0)|0)|0;Rc=bd+Wc|0;qd=gd+(Y(pd,(id|0)<(Rc|0)?id:Rc)|0)|0;if(_c){Rc=0;do{pd=Nc+(Rc<<3)|0;p[pd>>3]=+p[pd>>3]+(+n[qd+(Rc<<2)>>2]-+n[od+(Rc<<2)>>2]);Rc=Rc+1|0}while((Rc|0)<(Yc|0))}if(Uc){Rc=0;do{p[Nc+(~Rc<<3)>>3]=+p[Nc+(4-Rc<<3)>>3];od=Rc+Yc|0;p[Nc+(od<<3)>>3]=+p[Nc+(od+-5<<3)>>3];Rc=Rc+1|0}while((Rc|0)!=(Zc|0))}jd=ea*+p[Nc>>3];ga=ea*+p[ad>>3];fa=ea*+p[$c>>3];cd=ea*+p[kd>>3];td=ea*+p[hd>>3];if(fd){Ld=jd;ud=ga;yd=fa;xd=td;zd=cd;Rc=1;while(1){od=Rc*5|0;Dd=Ld+ +p[Nc+(od<<3)>>3];Pd=ud+ +p[Nc+(od+1<<3)>>3];Rd=yd+ +p[Nc+(od+2<<3)>>3];Sd=zd+ +p[Nc+(od+3<<3)>>3];Qd=xd+ +p[Nc+(od+4<<3)>>3];Rc=Rc+1|0;if((Rc|0)>=(Wc|0)){Wd=Dd;Xd=Pd;Yd=Rd;Zd=Qd;_d=Sd;break}else{Ld=Dd;ud=Pd;yd=Rd;xd=Qd;zd=Sd}}}else{Wd=jd;Xd=ga;Yd=fa;Zd=td;_d=cd}if(_c){zd=Wd;xd=Xd;yd=Yd;ud=Zd;Ld=_d;Rc=0;do{od=(Rc+Wc|0)*5|0;qd=(Rc-Wc|0)*5|0;zd=zd+(+p[Nc+(od<<3)>>3]-+p[Nc+(qd+-5<<3)>>3]);xd=xd+(+p[Nc+(od+1<<3)>>3]-+p[Nc+(qd+-4<<3)>>3]);yd=yd+(+p[Nc+(od+2<<3)>>3]-+p[Nc+(qd+-3<<3)>>3]);Ld=Ld+(+p[Nc+(od+3<<3)>>3]-+p[Nc+(qd+-2<<3)>>3]);ud=ud+(+p[Nc+(od+4<<3)>>3]-+p[Nc+(qd+-1<<3)>>3]);Sd=ha*zd;Qd=ha*xd;Rd=ha*yd;Pd=ha*Ld;Dd=ha*ud;vd=1.0/(Sd*Rd-Qd*Qd+.001);qd=Rc<<1;n[Qc+(qd<<2)>>2]=vd*(Sd*Dd-Qd*Pd);n[Qc+((qd|1)<<2)>>2]=vd*(Rd*Pd-Qd*Dd);Rc=Rc+1|0}while((Rc|0)!=(Sc|0))}Rc=(bd|0)==(id|0)?nd:bd-Mc|0;do if(Kc){if((Rc|0)!=(nd|0)&(Rc|0)<(md+ld|0)){$d=md;break}UDa(A,ob,t,C,md,Rc);$d=Rc}else $d=md;while(0);Rc=bd+1|0;if((Rc|0)>=(nd|0))break;md=$d;gd=f[Cb>>2]|0;bd=Rc}ae=f[h>>2]|0}else ae=Ud;if((ae|0)!=(Fb|0)){if(ae|0)guc(ae);f[h>>2]=Fb;f[Gb>>2]=136}}else{ha=+(Wc|0)*.3;bd=Wc<<1;gd=((bd+Sc|0)*5|0)+26|0;f[h>>2]=Hb;f[Ib>>2]=gd;if(gd>>>0>264){md=euc(gd>>>0>1073741823?-1:gd<<2)|0;f[h>>2]=md;be=md}else be=Hb;md=Sc*5|0;gd=md+16|0;f[i>>2]=Jb;f[Kb>>2]=gd;if(gd>>>0>264){id=euc(gd>>>0>1073741823?-1:gd<<2)|0;f[i>>2]=id;ce=id}else ce=Lb;id=Wc*5|0;gd=id+21|0;f[j>>2]=Mb;f[Nb>>2]=gd;if(gd>>>0>264){Nc=euc(gd>>>0>1073741823?-1:gd<<2)|0;f[j>>2]=Nc;de=Nc}else de=Mb;Nc=bd|1;f[k>>2]=Ob;f[Pb>>2]=Nc;if(Nc>>>0>264){bd=euc(Nc>>>0>1073741823?-1:Nc<<2)|0;f[k>>2]=bd;ee=bd}else ee=Ob;bd=be+(id+5<<2)+15&-16;Nc=ce+15&-16;n[de>>2]=1.0;gd=(Mc|0)<2;if(gd)fe=1.0;else{ea=ha*(ha*2.0);_c=1;ha=1.0;while(1){ud=+V(+(+(Y(_c,0-_c|0)|0)/ea));n[de+(_c<<2)>>2]=ud;Ld=ha+ud*2.0;if((_c|0)<(Wc|0)){_c=_c+1|0;ha=Ld}else{fe=Ld;break}}}ha=1.0/fe;_c=(Mc|0)<-1;if(!_c){fd=0;while(1){hd=de+(fd<<2)|0;n[hd>>2]=ha*+n[hd>>2];if((fd|0)<(Wc|0))fd=fd+1|0;else break}}if((nd|0)>0){fd=(Sc|0)>0;hd=ee+(Wc<<2)|0;kd=(id|0)>0;$c=nd+-1|0;ad=0;Zc=0;while(1){Yc=(f[w>>2]|0)+(Y(f[f[P>>2]>>2]|0,ad)|0)|0;if(!_c){Uc=f[Cb>>2]|0;Tc=f[f[Ba>>2]>>2]|0;Rc=0;while(1){Qc=ad-Rc|0;qd=Uc+(Y((Qc|0)>0?Qc:0,Tc)|0)|0;f[ee+(Wc-Rc<<2)>>2]=qd;qd=Rc+ad|0;Qc=Uc+(Y(($c|0)<(qd|0)?$c:qd,Tc)|0)|0;f[ee+(Rc+Wc<<2)>>2]=Qc;if((Wc|0)>(Rc|0))Rc=Rc+1|0;else break}}d:do if(fd){Rc=f[hd>>2]|0;if(gd){Tc=0;while(1){n[bd+(Tc<<2)>>2]=+n[Rc+(Tc<<2)>>2]*+n[de>>2];Tc=Tc+1|0;if((Tc|0)>=(md|0))break d}}else ge=0;do{ha=+n[Rc+(ge<<2)>>2]*+n[de>>2];Tc=1;while(1){ha=ha+(+n[(f[ee+(Tc+Wc<<2)>>2]|0)+(ge<<2)>>2]+ +n[(f[ee+(Wc-Tc<<2)>>2]|0)+(ge<<2)>>2])*+n[de+(Tc<<2)>>2];if((Wc|0)<=(Tc|0))break;else Tc=Tc+1|0}n[bd+(ge<<2)>>2]=ha;ge=ge+1|0}while((ge|0)<(md|0))}while(0);if(kd){Rc=0;do{f[bd+(~Rc<<2)>>2]=f[bd+(4-Rc<<2)>>2];Tc=Rc+md|0;f[bd+(Tc<<2)>>2]=f[bd+(Tc+-5<<2)>>2];Rc=Rc+1|0}while((Rc|0)!=(id|0))}if(fd){if(gd){Rc=0;do{n[Nc+(Rc<<2)>>2]=+n[bd+(Rc<<2)>>2]*+n[de>>2];Rc=Rc+1|0}while((Rc|0)<(md|0));he=0}else{Rc=0;do{ea=+n[bd+(Rc<<2)>>2]*+n[de>>2];Tc=1;while(1){Uc=Tc*5|0;ea=ea+ +n[de+(Tc<<2)>>2]*(+n[bd+(Rc-Uc<<2)>>2]+ +n[bd+(Uc+Rc<<2)>>2]);if((Tc|0)>=(Wc|0))break;else Tc=Tc+1|0}n[Nc+(Rc<<2)>>2]=ea;Rc=Rc+1|0}while((Rc|0)<(md|0));he=0}do{Rc=he*5|0;Ld=+n[Nc+(Rc<<2)>>2];ud=+n[Nc+(Rc+1<<2)>>2];yd=+n[Nc+(Rc+2<<2)>>2];xd=+n[Nc+(Rc+3<<2)>>2];zd=+n[Nc+(Rc+4<<2)>>2];cd=1.0/(Ld*yd-ud*ud+.001);Rc=he<<1;n[Yc+(Rc<<2)>>2]=(Ld*zd-ud*xd)*cd;n[Yc+((Rc|1)<<2)>>2]=(yd*xd-ud*zd)*cd;he=he+1|0}while((he|0)!=(Sc|0))}Yc=(ad|0)==($c|0)?nd:ad-Mc|0;do if(Kc){if((Yc|0)!=(nd|0)&(Yc|0)<(Zc+ld|0)){ie=Zc;break}UDa(A,ob,t,C,Zc,Yc);ie=Yc}else ie=Zc;while(0);ad=ad+1|0;if((ad|0)>=(nd|0))break;else Zc=ie}je=f[k>>2]|0}else je=ee;if((je|0)!=(Ob|0)){if(je|0)guc(je);f[k>>2]=Ob;f[Pb>>2]=264}Zc=f[j>>2]|0;if((Zc|0)!=(Mb|0)){if(Zc|0)guc(Zc);f[j>>2]=Mb;f[Nb>>2]=264}Zc=f[i>>2]|0;if((Zc|0)!=(Jb|0)){if(Zc|0)guc(Zc);f[i>>2]=Jb;f[Kb>>2]=264}Zc=f[h>>2]|0;if((Zc|0)!=(Hb|0)){if(Zc|0)guc(Zc);f[h>>2]=Hb;f[Ib>>2]=264}}Lc=Lc+1|0;Ic=f[pb>>2]|0}while((Lc|0)<(Ic|0))}Ic=f[qb>>2]|0;if(Ic|0){Lc=Ic+12|0;f[Lc>>2]=(f[Lc>>2]|0)+1}Lc=f[rb>>2]|0;if(Lc|0?(Ic=Lc+12|0,Lc=f[Ic>>2]|0,f[Ic>>2]=Lc+-1,(Lc|0)==1):0)aU(s);f[rb>>2]=0;f[Z>>2]=0;f[Z+4>>2]=0;f[Z+8>>2]=0;f[Z+12>>2]=0;if((f[d>>2]|0)>0){Lc=f[c>>2]|0;Ic=0;do{f[Lc+(Ic<<2)>>2]=0;Ic=Ic+1|0;ke=f[d>>2]|0}while((Ic|0)<(ke|0));f[s>>2]=f[t>>2];if((ke|0)<3)ka=228;else ka=230}else{f[s>>2]=f[t>>2];ka=228}if((ka|0)==228){ka=0;Ic=f[I>>2]|0;if((Ic|0)<3){f[d>>2]=Ic;f[K>>2]=f[M>>2];f[sb>>2]=f[U>>2];Ic=f[P>>2]|0;Lc=f[J>>2]|0;f[Lc>>2]=f[Ic>>2];f[Lc+4>>2]=f[Ic+4>>2]}else ka=230}if((ka|0)==230){ka=0;$T(s,t)}f[Z>>2]=f[w>>2];f[ub>>2]=f[tb>>2];f[wb>>2]=f[vb>>2];f[yb>>2]=f[xb>>2];f[Ab>>2]=f[zb>>2];f[rb>>2]=f[qb>>2];Ic=f[Bb>>2]|0;if(Ic|0?(Lc=Ic+12|0,Ic=f[Lc>>2]|0,f[Lc>>2]=Ic+-1,(Ic|0)==1):0)aU(C);f[Bb>>2]=0;f[Cb>>2]=0;f[Cb+4>>2]=0;f[Cb+8>>2]=0;f[Cb+12>>2]=0;if((f[xa>>2]|0)>0){Ic=f[za>>2]|0;Lc=0;do{f[Ic+(Lc<<2)>>2]=0;Lc=Lc+1|0}while((Lc|0)<(f[xa>>2]|0))}Lc=f[Ba>>2]|0;if((Lc|0)!=(Aa|0))TC(Lc);Lc=f[Db>>2]|0;do if(Lc|0){Ic=Lc+12|0;Zc=f[Ic>>2]|0;f[Ic>>2]=Zc+-1;if((Zc|0)!=1)break;aU(B)}while(0);f[Db>>2]=0;f[nb>>2]=0;f[nb+4>>2]=0;f[nb+8>>2]=0;f[nb+12>>2]=0;if((f[ra>>2]|0)>0){Lc=f[ta>>2]|0;Zc=0;do{f[Lc+(Zc<<2)>>2]=0;Zc=Zc+1|0}while((Zc|0)<(f[ra>>2]|0))}Zc=f[va>>2]|0;if((Zc|0)!=(ua|0))TC(Zc);Zc=f[uc>>2]|0;do if(Zc|0){Lc=Zc+12|0;Ic=f[Lc>>2]|0;f[Lc>>2]=Ic+-1;if((Ic|0)!=1)break;aU(tc)}while(0);f[uc>>2]=0;f[vc>>2]=0;f[vc+4>>2]=0;f[vc+8>>2]=0;f[vc+12>>2]=0;if((f[wc>>2]|0)>0){Zc=f[xc>>2]|0;Ic=0;do{f[Zc+(Ic<<2)>>2]=0;Ic=Ic+1|0}while((Ic|0)<(f[wc>>2]|0))}Ic=f[yc>>2]|0;if((Ic|0)!=(zc|0))TC(Ic);Ic=f[Ac>>2]|0;do if(Ic|0){Zc=Ic+12|0;Lc=f[Zc>>2]|0;f[Zc>>2]=Lc+-1;if((Lc|0)!=1)break;aU(A)}while(0);f[Ac>>2]=0;f[Bc>>2]=0;f[Bc+4>>2]=0;f[Bc+8>>2]=0;f[Bc+12>>2]=0;if((f[Cc>>2]|0)>0){Ic=f[Dc>>2]|0;Lc=0;do{f[Ic+(Lc<<2)>>2]=0;Lc=Lc+1|0}while((Lc|0)<(f[Cc>>2]|0))}Lc=f[Ec>>2]|0;if((Lc|0)!=(Fc|0))TC(Lc);if(Hc)Gc=Gc+-1|0;else{la=Yb;break a}}Yb=cuc(32)|0;f[h>>2]=Yb;f[h+8>>2]=-2147483616;f[h+4>>2]=22;F=Yb;ca=389780;G=F+22|0;do{b[F>>0]=b[ca>>0]|0;F=F+1|0;ca=ca+1|0}while((F|0)<(G|0));b[Yb+22>>0]=0;WD(-215,h,389803,389708,120)}while(0);h=f[la>>2]|0;if(h|0?(ca=h+12|0,h=f[ca>>2]|0,f[ca>>2]=h+-1,(h|0)==1):0)aU(x);f[la>>2]=0;la=x+16|0;h=x+4|0;f[la>>2]=0;f[la+4>>2]=0;f[la+8>>2]=0;f[la+12>>2]=0;if((f[h>>2]|0)>0){la=f[x+40>>2]|0;ca=0;do{f[la+(ca<<2)>>2]=0;ca=ca+1|0}while((ca|0)<(f[h>>2]|0))}h=f[x+44>>2]|0;if((h|0)!=(x+48|0))TC(h);h=v+36|0;x=f[h>>2]|0;if(x|0?(ca=x+12|0,x=f[ca>>2]|0,f[ca>>2]=x+-1,(x|0)==1):0)aU(v);f[h>>2]=0;h=v+16|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;if((f[Q>>2]|0)>0){h=f[S>>2]|0;S=0;do{f[h+(S<<2)>>2]=0;S=S+1|0}while((S|0)<(f[Q>>2]|0))}Q=f[T>>2]|0;if((Q|0)!=(R|0))TC(Q);Q=t+36|0;R=f[Q>>2]|0;if(R|0?(T=R+12|0,R=f[T>>2]|0,f[T>>2]=R+-1,(R|0)==1):0)aU(t);f[Q>>2]=0;Q=t+16|0;f[Q>>2]=0;f[Q+4>>2]=0;f[Q+8>>2]=0;f[Q+12>>2]=0;if((f[I>>2]|0)>0){Q=f[N>>2]|0;N=0;do{f[Q+(N<<2)>>2]=0;N=N+1|0}while((N|0)<(f[I>>2]|0))}I=f[P>>2]|0;if((I|0)!=(O|0))TC(I);I=s+36|0;O=f[I>>2]|0;if(O|0?(P=O+12|0,O=f[P>>2]|0,f[P>>2]=O+-1,(O|0)==1):0)aU(s);f[I>>2]=0;I=s+16|0;f[I>>2]=0;f[I+4>>2]=0;f[I+8>>2]=0;f[I+12>>2]=0;if((f[d>>2]|0)>0){I=f[c>>2]|0;c=0;do{f[I+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[d>>2]|0))}d=f[J>>2]|0;if((d|0)!=(H|0))TC(d);d=q+36|0;H=f[d>>2]|0;do if(H|0){J=H+12|0;c=f[J>>2]|0;f[J>>2]=c+-1;if((c|0)!=1)break;aU(q)}while(0);f[d>>2]=0;d=q+16|0;H=q+4|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[H>>2]|0)>0){d=f[L>>2]|0;L=0;do{f[d+(L<<2)>>2]=0;L=L+1|0}while((L|0)<(f[H>>2]|0))}H=f[q+44>>2]|0;if((H|0)!=(q+48|0))TC(H);H=o+36|0;q=f[H>>2]|0;do if(q|0){L=q+12|0;d=f[L>>2]|0;f[L>>2]=d+-1;if((d|0)!=1)break;aU(o)}while(0);f[H>>2]=0;H=o+16|0;q=o+4|0;f[H>>2]=0;f[H+4>>2]=0;f[H+8>>2]=0;f[H+12>>2]=0;if((f[q>>2]|0)>0){H=f[W>>2]|0;W=0;do{f[H+(W<<2)>>2]=0;W=W+1|0}while((W|0)<(f[q>>2]|0))}q=f[o+44>>2]|0;if((q|0)!=(o+48|0))TC(q);if(!(f[m+4>>2]|0)){u=g;return}u=g;return}function DDa(a){a=a|0;return}function EDa(a){a=a|0;return f[a+4>>2]|0}function FDa(a,b){a=a|0;b=b|0;f[a+4>>2]=b;return}function GDa(a){a=a|0;return +(+p[a+8>>3])}function HDa(a,b){a=a|0;b=+b;p[a+8>>3]=b;return}function IDa(a){a=a|0;return (b[a+16>>0]|0)!=0|0}function JDa(a,c){a=a|0;c=c|0;b[a+16>>0]=c&1;return}function KDa(a){a=a|0;return f[a+20>>2]|0}function LDa(a,b){a=a|0;b=b|0;f[a+20>>2]=b;return}function MDa(a){a=a|0;return f[a+24>>2]|0}function NDa(a,b){a=a|0;b=b|0;f[a+24>>2]=b;return}function ODa(a){a=a|0;return f[a+28>>2]|0}function PDa(a,b){a=a|0;b=b|0;f[a+28>>2]=b;return}function QDa(a){a=a|0;return +(+p[a+32>>3])}function RDa(a,b){a=a|0;b=+b;p[a+32>>3]=b;return}function SDa(a){a=a|0;return f[a+40>>2]|0}function TDa(a,b){a=a|0;b=b|0;f[a+40>>2]=b;return}function UDa(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0.0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0.0,R=0.0,S=0.0,T=0.0,U=0,V=0,W=0.0,X=0.0,Z=0.0,_=0.0,$=0.0,aa=0.0,ba=0.0,ca=0.0,da=0.0,ea=0,fa=0.0,ga=0.0,ha=0.0,ia=0.0,ja=0.0,ka=0.0,la=0.0,ma=0.0,na=0.0;h=u;u=u+16|0;i=h;j=f[c+12>>2]|0;k=f[c+8>>2]|0;l=f[b+16>>2]|0;m=(f[b+48>>2]|0)>>>2;if(!(((((f[d+4>>2]|0)<3?(f[d+8>>2]|0)==(k|0):0)?(f[d+12>>2]|0)==(j|0):0)?(f[d>>2]&4095|0)==37:0)?(f[d+16>>2]|0)!=0:0)){f[i>>2]=k;f[i+4>>2]=j;ZT(d,2,i,37)}if((e|0)>=(g|0)){u=h;return}i=f[c+16>>2]|0;b=f[f[c+44>>2]>>2]|0;c=f[a+16>>2]|0;o=f[f[a+44>>2]>>2]|0;a=f[d+16>>2]|0;p=f[f[d+44>>2]>>2]|0;d=(j|0)>0;q=j+-1|0;r=k+-1|0;s=m+5|0;t=m+1|0;v=m+6|0;w=m+2|0;x=m+7|0;y=m+3|0;z=m+8|0;A=m+4|0;B=m+9|0;C=j+-10|0;D=k+-10|0;E=j+-5|0;F=k+-5|0;k=e;do{e=i+(Y(b,k)|0)|0;G=c+(Y(o,k)|0)|0;H=a+(Y(p,k)|0)|0;if(d){I=+(k|0);J=(k|0)<5;K=110316+(k<<2)|0;L=(k|0)<(F|0);M=110316+(r-k<<2)|0;N=(k+-5|0)>>>0>=D>>>0;O=0;do{P=O<<1;Q=+n[e+(P<<2)>>2];R=+n[e+((P|1)<<2)>>2];S=+(O|0)+Q;T=I+R;P=~~S;U=P-(+(P|0)>S&1)|0;P=~~T;V=P-(+(P|0)>T&1)|0;P=l+((Y(V,m)|0)<<2)+(U*5<<2)|0;W=S-+(U|0);S=T-+(V|0);if(U>>>0<q>>>0&V>>>0<r>>>0){T=1.0-W;X=1.0-S;Z=T*X;_=W*X;X=T*S;T=W*S;V=O*5|0;$=Z*+n[P>>2]+_*+n[P+20>>2]+X*+n[P+(m<<2)>>2]+T*+n[P+(s<<2)>>2];aa=(Z*+n[P+16>>2]+_*+n[P+36>>2]+X*+n[P+(A<<2)>>2]+T*+n[P+(B<<2)>>2]+ +n[G+(V+4<<2)>>2])*.25;ba=(Z*+n[P+12>>2]+_*+n[P+32>>2]+X*+n[P+(y<<2)>>2]+T*+n[P+(z<<2)>>2]+ +n[G+(V+3<<2)>>2])*.5;ca=(Z*+n[P+8>>2]+_*+n[P+28>>2]+X*+n[P+(w<<2)>>2]+T*+n[P+(x<<2)>>2]+ +n[G+(V+2<<2)>>2])*.5;da=Z*+n[P+4>>2]+_*+n[P+24>>2]+X*+n[P+(t<<2)>>2]+T*+n[P+(v<<2)>>2];ea=V}else{V=O*5|0;$=0.0;aa=+n[G+(V+4<<2)>>2]*.5;ba=+n[G+(V+3<<2)>>2];ca=+n[G+(V+2<<2)>>2];da=0.0;ea=V}V=ea+1|0;T=R*ca+Q*aa+(+n[G+(ea<<2)>>2]-$)*.5;X=Q*ba+R*aa+(+n[G+(V<<2)>>2]-da)*.5;if((O+-5|0)>>>0>=C>>>0|N){if((O|0)<5)fa=+n[110316+(O<<2)>>2];else fa=1.0;if((O|0)<(E|0))ga=1.0;else ga=+n[110316+(q-O<<2)>>2];if(J)ha=+n[K>>2];else ha=1.0;if(L)ia=1.0;else ia=+n[M>>2];R=fa*ga*ha*ia;ja=T*R;ka=aa*R;la=ba*R;ma=ca*R;na=X*R}else{ja=T;ka=aa;la=ba;ma=ca;na=X}X=ka*ka;n[H+(ea<<2)>>2]=ma*ma+X;n[H+(V<<2)>>2]=(ma+la)*ka;n[H+(ea+2<<2)>>2]=la*la+X;n[H+(ea+3<<2)>>2]=na*ka+ma*ja;n[H+(ea+4<<2)>>2]=na*la+ka*ja;O=O+1|0}while((O|0)!=(j|0))}k=k+1|0}while((k|0)!=(g|0));u=h;return}function VDa(a){a=a|0;f[a>>2]=110164;DG(a+16|0);Qtc(a);return}function WDa(a){a=a|0;f[a>>2]=110164;DG(a+16|0);Qtc(a);fuc(a);return}function XDa(a){a=a|0;var b=0;b=a+16|0;bi[f[f[b>>2]>>2]&2047](b);return}function YDa(a){a=a|0;fuc(a);return}function ZDa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=u;u=u+256|0;g=e+240|0;h=e+8|0;i=e;j=(b[c+11>>0]|0)<0?f[c>>2]|0:c;c=(b[d+11>>0]|0)<0?f[d>>2]|0:d;ngb(h);d=h+104|0;ngb(d);f[h+208>>2]=0;k=h+212|0;f[k>>2]=0;f[h+216>>2]=0;f[h+224>>2]=0;f[h+228>>2]=0;l=h+224|0;f[h+220>>2]=l;gV(g,110336);EFa(j,h);if(c|0?b[c>>0]|0:0)GFa(c,d);RKa(a);f[i>>2]=f[a>>2];c=f[a+4>>2]|0;f[i+4>>2]=c;if(c|0)Wtc(c);$Da(h,i);rLa(i);_Da(h+220|0,f[l>>2]|0);l=h+208|0;i=f[l>>2]|0;if(!i){tgb(d);tgb(h);u=e;return}c=f[k>>2]|0;if((c|0)==(i|0))m=i;else{a=c;while(1){c=a+-20|0;f[k>>2]=c;if((b[c+11>>0]|0)<0){fuc(f[c>>2]|0);n=f[k>>2]|0}else n=c;if((n|0)==(i|0))break;else a=n}m=f[l>>2]|0}fuc(m);tgb(d);tgb(h);u=e;return}function _Da(a,c){a=a|0;c=c|0;if(!c)return;_Da(a,f[c>>2]|0);_Da(a,f[c+4>>2]|0);a=c+16|0;if((b[a+11>>0]|0)<0)fuc(f[a>>2]|0);fuc(c);return}function $Da(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0.0,Mb=0,Nb=0,Ob=0,Pb=0;d=u;u=u+320|0;e=d+256|0;g=d+208|0;h=d+152|0;i=d+136|0;j=d+120|0;k=d+112|0;l=d+96|0;m=d+84|0;o=d+72|0;q=d+24|0;r=d;s=d+12|0;gV(k,110356);t=f[a+80>>2]|0;v=a+220|0;w=a+224|0;_Da(v,f[w>>2]|0);f[a+228>>2]=0;f[v>>2]=w;f[w>>2]=0;w=a+208|0;x=f[w>>2]|0;y=a+212|0;z=f[y>>2]|0;if((z|0)==(x|0)){A=z;B=w;C=x}else{D=z;while(1){z=D+-20|0;f[y>>2]=z;if((b[z+11>>0]|0)<0){fuc(f[z>>2]|0);E=f[y>>2]|0}else E=z;if((E|0)==(x|0))break;else D=E}A=E;B=w;C=f[w>>2]|0}E=A;D=t+1|0;x=a+216|0;z=C;if((((f[x>>2]|0)-C|0)/20|0)>>>0<D>>>0){if(D>>>0>214748364){F=ze(8)|0;kuc(F,519086);f[F>>2]=167148;Hf(F|0,26888,1888)}F=cuc(D*20|0)|0;G=F+(((E-C|0)/20|0)*20|0)|0;C=G;H=F+(D*20|0)|0;if((A|0)==(z|0)){I=C;K=E;L=z}else{E=A;A=C;D=G;do{G=D+-20|0;F=E;E=E+-20|0;f[G>>2]=f[E>>2];f[G+4>>2]=f[E+4>>2];f[G+8>>2]=f[E+8>>2];f[E>>2]=0;f[E+4>>2]=0;f[E+8>>2]=0;G=F+-8|0;F=f[G+4>>2]|0;M=D+-8|0;f[M>>2]=f[G>>2];f[M+4>>2]=F;D=A+-20|0;A=D}while((E|0)!=(z|0));I=A;K=f[B>>2]|0;L=f[y>>2]|0}f[B>>2]=I;f[y>>2]=C;f[x>>2]=H;H=K;if((L|0)!=(H|0)){C=L;do{C=C+-20|0;if((b[C+11>>0]|0)<0)fuc(f[C>>2]|0)}while((C|0)!=(H|0))}if(K|0)fuc(K)}K=a+36|0;aEa(l,f[K>>2]|0);a:do if((f[K>>2]|0)>0){H=a+44|0;C=e+12|0;L=e+16|0;I=e+11|0;A=0;while(1){ouc(e,f[(f[H>>2]|0)+4+(A<<2)>>2]|0);f[C>>2]=0;f[L>>2]=A;z=f[y>>2]|0;E=f[x>>2]|0;D=E;if(z>>>0>=E>>>0){E=z;F=f[B>>2]|0;M=(E-F|0)/20|0;G=M+1|0;N=F;if(G>>>0>214748364){O=26;break}P=(D-F|0)/20|0;F=P<<1;D=P>>>0<107374182?(F>>>0<G>>>0?G:F):214748364;if(!D)Q=0;else{if(D>>>0>214748364){O=29;break}Q=cuc(D*20|0)|0}F=Q+(M*20|0)|0;G=F;P=Q+(D*20|0)|0;f[F>>2]=f[e>>2];f[F+4>>2]=f[e+4>>2];f[F+8>>2]=f[e+8>>2];f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;D=C;R=f[D+4>>2]|0;S=Q+(M*20|0)+12|0;f[S>>2]=f[D>>2];f[S+4>>2]=R;R=F+20|0;if((z|0)==(N|0)){T=G;U=E;V=z}else{E=z;S=G;G=F;do{F=G+-20|0;D=E;E=E+-20|0;f[F>>2]=f[E>>2];f[F+4>>2]=f[E+4>>2];f[F+8>>2]=f[E+8>>2];f[E>>2]=0;f[E+4>>2]=0;f[E+8>>2]=0;F=D+-8|0;D=f[F+4>>2]|0;M=G+-8|0;f[M>>2]=f[F>>2];f[M+4>>2]=D;G=S+-20|0;S=G}while((E|0)!=(N|0));T=S;U=f[B>>2]|0;V=f[y>>2]|0}f[B>>2]=T;f[y>>2]=R;f[x>>2]=P;N=U;if((V|0)!=(N|0)){E=V;do{E=E+-20|0;if((b[E+11>>0]|0)<0)fuc(f[E>>2]|0)}while((E|0)!=(N|0))}if(U|0)fuc(U)}else{f[z>>2]=f[e>>2];f[z+4>>2]=f[e+4>>2];f[z+8>>2]=f[e+8>>2];f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;N=C;E=f[N+4>>2]|0;P=z+12|0;f[P>>2]=f[N>>2];f[P+4>>2]=E;f[y>>2]=(f[y>>2]|0)+20}if((b[I>>0]|0)<0)fuc(f[e>>2]|0);ruc((f[l>>2]|0)+(A*12|0)|0,f[(f[H>>2]|0)+4+(A<<2)>>2]|0)|0;A=A+1|0;if((A|0)>=(f[K>>2]|0))break a}if((O|0)==26)nsc(w);else if((O|0)==29){A=ze(8)|0;kuc(A,519086);f[A>>2]=167148;Hf(A|0,26888,1888)}}while(0);b:do if((t|0)>0){K=a+88|0;U=q+4|0;V=q+8|0;x=q+4|0;T=q+12|0;B=a+184|0;Q=a+192|0;A=q+12|0;H=g+4|0;I=g+8|0;C=g+8|0;L=e+11|0;E=e+4|0;P=i+8|0;N=i+12|0;R=i+4|0;S=j+8|0;G=j+4|0;D=h+36|0;M=h+16|0;F=h+4|0;W=h+40|0;X=h+44|0;Z=h+48|0;_=h+8|0;$=h+4|0;aa=e+36|0;ba=e+16|0;ca=e+4|0;da=e+40|0;ea=e+44|0;fa=e+48|0;ga=o+11|0;ha=o+4|0;ia=l+4|0;ja=l+8|0;ka=q+36|0;la=ka+11|0;ma=q+24|0;na=ma+11|0;oa=q+12|0;pa=m+11|0;qa=g+8|0;ra=g+4|0;sa=g+11|0;ta=g+4|0;ua=g+8|0;va=g+4|0;wa=g+12|0;xa=h+11|0;ya=h+3|0;za=j+11|0;Aa=j+3|0;Ba=j+11|0;Ca=j+3|0;Da=j+8|0;Ea=j+12|0;Fa=j+4|0;Ga=j+8|0;Ha=j+12|0;Ia=j+4|0;Ja=h+11|0;Ka=g+36|0;La=Ka+11|0;Ma=g+24|0;Na=Ma+11|0;Oa=g+12|0;Pa=r+11|0;Qa=r+1|0;Ra=s+11|0;Sa=s+4|0;Ta=j+11|0;Ua=j+4|0;Va=h+11|0;Wa=h+1|0;Xa=i+11|0;Ya=i+4|0;Za=g+11|0;_a=g+4|0;$a=h+4|0;ab=j+4|0;bb=j+4|0;cb=0;c:while(1){db=f[(f[K>>2]|0)+4+(cb<<2)>>2]|0;eb=db+136|0;ouc(m,f[eb>>2]|0);ouc(o,f[db+140>>2]|0);f[U>>2]=0;f[V>>2]=0;f[q>>2]=x;fb=T;gb=fb+36|0;do{f[fb>>2]=0;fb=fb+4|0}while((fb|0)<(gb|0));bEa(db,q,0);z=f[eb>>2]|0;hb=f[B>>2]|0;d:do if(hb){ib=f[Q>>2]|0;jb=b[z+11>>0]|0;kb=jb<<24>>24<0;lb=kb?f[z+4>>2]|0:jb&255;jb=(lb|0)==0;if(kb){if(jb){kb=0;while(1){mb=f[(f[ib+4+(kb<<2)>>2]|0)+136>>2]|0;nb=b[mb+11>>0]|0;if(!((nb<<24>>24<0?f[mb+4>>2]|0:nb&255)|0)){ob=kb;O=68;break d}kb=kb+1|0;if((kb|0)==(hb|0))break d}}else pb=0;do{kb=f[(f[ib+4+(pb<<2)>>2]|0)+136>>2]|0;nb=b[kb+11>>0]|0;mb=nb<<24>>24<0;qb=nb&255;do if(((mb?f[kb+4>>2]|0:qb)|0)==(lb|0)){nb=f[kb>>2]|0;rb=f[z>>2]|0;if(mb)if(!(ahc(nb,rb,lb)|0)){ob=pb;O=68;break d}else break;if((nb&255)<<24>>24==(b[rb>>0]|0)){nb=kb;sb=qb;tb=rb;do{sb=sb+-1|0;nb=nb+1|0;if(!sb){ob=pb;O=68;break d}tb=tb+1|0}while((b[nb>>0]|0)==(b[tb>>0]|0))}}while(0);pb=pb+1|0}while((pb|0)!=(hb|0))}else{if(jb){qb=0;while(1){kb=f[(f[ib+4+(qb<<2)>>2]|0)+136>>2]|0;mb=b[kb+11>>0]|0;if(!((mb<<24>>24<0?f[kb+4>>2]|0:mb&255)|0)){ob=qb;O=68;break d}qb=qb+1|0;if((qb|0)==(hb|0))break d}}else ub=0;do{qb=f[(f[ib+4+(ub<<2)>>2]|0)+136>>2]|0;jb=b[qb+11>>0]|0;mb=jb<<24>>24<0;kb=jb&255;do if(((mb?f[qb+4>>2]|0:kb)|0)==(lb|0)){jb=f[qb>>2]|0;if(mb)if(!(ahc(jb,z,lb)|0)){ob=ub;O=68;break d}else break;if((jb&255)<<24>>24==(b[z>>0]|0)){jb=qb;tb=kb;nb=z;do{tb=tb+-1|0;jb=jb+1|0;if(!tb){ob=ub;O=68;break d}nb=nb+1|0}while((b[jb>>0]|0)==(b[nb>>0]|0))}}while(0);ub=ub+1|0}while((ub|0)!=(hb|0))}}else{ob=0;O=68}while(0);e:do if(((O|0)==68?(O=0,(ob|0)!=(hb|0)):0)?(z=f[(f[Q>>2]|0)+4+(ob<<2)>>2]|0,eb=z+80|0,lb=f[eb>>2]|0,lb|0):0){tJ(A,lb);ib=(lb|0)>0;kb=z+88|0;if(ib){z=0;do{qb=f[(f[kb>>2]|0)+4+(z<<2)>>2]|0;mb=f[A>>2]|0;nb=mb+(z*56|0)|0;f[g>>2]=0;f[H>>2]=0;f[I>>2]=0;jb=f[qb+8>>2]|0;f:do if(!(jb&60)){if(!(jb&2)){f[e>>2]=1;fs(g,1,e);break}tb=f[qb+84>>2]|0;sb=tb|0?tb:536552;tb=sb+16|0;if((f[tb>>2]|0)>0){rb=sb+24|0;sb=0;vb=0;wb=0;while(1){xb=f[(f[rb>>2]|0)+8+(sb<<3)>>2]|0;f[e>>2]=xb;if(vb>>>0<wb>>>0){f[vb>>2]=xb;f[H>>2]=vb+4}else Aw(g,e);xb=sb+1|0;if((xb|0)>=(f[tb>>2]|0))break f;sb=xb;vb=f[H>>2]|0;wb=f[C>>2]|0}}}else{f[e>>2]=f[qb+88>>2];Aw(g,e);wb=f[H>>2]|0;vb=f[C>>2]|0;sb=f[qb+92>>2]|0;f[e>>2]=sb;if(wb>>>0<vb>>>0){f[wb>>2]=sb;sb=wb+4|0;f[H>>2]=sb;yb=sb;zb=vb}else{Aw(g,e);yb=f[H>>2]|0;zb=f[C>>2]|0}vb=f[qb+96>>2]|0;f[e>>2]=vb;if(yb>>>0<zb>>>0){f[yb>>2]=vb;vb=yb+4|0;f[H>>2]=vb;Ab=vb;Bb=zb}else{Aw(g,e);Ab=f[H>>2]|0;Bb=f[C>>2]|0}vb=f[qb+100>>2]|0;f[e>>2]=vb;if(Ab>>>0<Bb>>>0){f[Ab>>2]=vb;f[H>>2]=Ab+4}else Aw(g,e)}while(0);jb=f[g>>2]|0;ZT(nb,(f[H>>2]|0)-jb>>2,jb,5);jb=f[qb+16>>2]|0;if(!jb){if((f[qb+104>>2]|0)!=2){O=116;break c}ouc(e,f[qb+80>>2]|0);vb=b[L>>0]|0;sb=vb<<24>>24<0;wb=sb?f[E>>2]|0:vb&255;vb=f[mb+(z*56|0)+4>>2]|0;if((vb|0)<3)Cb=Y(f[mb+(z*56|0)+12>>2]|0,f[mb+(z*56|0)+8>>2]|0)|0;else{tb=f[mb+(z*56|0)+40>>2]|0;rb=0;xb=1;while(1){Db=Y(f[tb+(rb<<2)>>2]|0,xb)|0;rb=rb+1|0;if((rb|0)==(vb|0)){Cb=Db;break}else xb=Db}}if((wb>>>1|0)!=(Cb|0)){O=122;break c}xb=f[g>>2]|0;fU(h,(f[H>>2]|0)-xb>>2,xb,3,sb?f[e>>2]|0:e,0);f[P>>2]=0;f[N>>2]=0;f[i>>2]=16842752;f[R>>2]=h;xb=S;f[xb>>2]=0;f[xb+4>>2]=0;f[j>>2]=33619968;f[G>>2]=nb;lQ(i,j);xb=f[D>>2]|0;do if(xb|0){vb=xb+12|0;rb=f[vb>>2]|0;f[vb>>2]=rb+-1;if((rb|0)!=1)break;aU(h)}while(0);f[D>>2]=0;f[M>>2]=0;f[M+4>>2]=0;f[M+8>>2]=0;f[M+12>>2]=0;if((f[F>>2]|0)>0){xb=f[W>>2]|0;sb=0;do{f[xb+(sb<<2)>>2]=0;sb=sb+1|0}while((sb|0)<(f[F>>2]|0))}sb=f[X>>2]|0;if((sb|0)!=(Z|0))TC(sb);if((b[L>>0]|0)<0)fuc(f[e>>2]|0)}else{sb=f[mb+(z*56|0)+4>>2]|0;if((sb|0)<3)Eb=Y(f[mb+(z*56|0)+12>>2]|0,f[mb+(z*56|0)+8>>2]|0)|0;else{xb=f[mb+(z*56|0)+40>>2]|0;wb=0;rb=1;while(1){vb=Y(f[xb+(wb<<2)>>2]|0,rb)|0;wb=wb+1|0;if((wb|0)==(sb|0)){Eb=vb;break}else rb=vb}}if((jb|0)!=(Eb|0)){O=105;break c}rb=f[qb+24>>2]|0;fU(e,sb,f[mb+(z*56|0)+40>>2]|0,5,(rb|0)==0?0:rb+4|0,0);rb=_;f[rb>>2]=0;f[rb+4>>2]=0;f[h>>2]=33619968;f[$>>2]=nb;EI(e,h);rb=f[aa>>2]|0;do if(rb|0){wb=rb+12|0;xb=f[wb>>2]|0;f[wb>>2]=xb+-1;if((xb|0)!=1)break;aU(e)}while(0);f[aa>>2]=0;f[ba>>2]=0;f[ba+4>>2]=0;f[ba+8>>2]=0;f[ba+12>>2]=0;if((f[ca>>2]|0)>0){rb=f[da>>2]|0;nb=0;do{f[rb+(nb<<2)>>2]=0;nb=nb+1|0}while((nb|0)<(f[ca>>2]|0))}nb=f[ea>>2]|0;if((nb|0)!=(fa|0))TC(nb)}nb=f[g>>2]|0;if(nb|0){rb=f[H>>2]|0;if((rb|0)!=(nb|0))f[H>>2]=rb+(~((rb+-4-nb|0)>>>2)<<2);fuc(nb)}z=z+1|0}while((z|0)<(lb|0))}z=f[eb>>2]|0;if((z|0)>0){nb=f[kb>>2]|0;rb=0;do{IYa(f[nb+4+(rb<<2)>>2]|0);rb=rb+1|0}while((rb|0)!=(z|0));f[eb>>2]=0;Fb=0}else Fb=z;rb=f[kb>>2]|0;if(!rb)Gb=0;else Gb=(f[rb>>2]|0)-Fb|0;if((lb|0)!=(Gb|0)){O=139;break c}if(ib){nb=0;mb=rb;while(1){rb=(f[mb>>2]|0)+-1|0;f[mb>>2]=rb;sb=f[mb+4+(rb<<2)>>2]|0;if(sb|0)bi[f[(f[sb>>2]|0)+4>>2]&2047](sb);sb=nb+1|0;if((sb|0)==(lb|0))break e;nb=sb;mb=f[kb>>2]|0}}}while(0);hb=cEa(v,m)|0;kb=f[hb>>2]|0;f[hb>>2]=kb+1;f[e>>2]=kb;if(kb|0){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;b[Va>>0]=1;b[h>>0]=95;b[Wa>>0]=0;dEa(i,e);kb=b[Xa>>0]|0;hb=kb<<24>>24<0;mb=Cuc(h,hb?f[i>>2]|0:i,hb?f[Ya>>2]|0:kb&255)|0;f[g>>2]=f[mb>>2];f[g+4>>2]=f[mb+4>>2];f[g+8>>2]=f[mb+8>>2];f[mb>>2]=0;f[mb+4>>2]=0;f[mb+8>>2]=0;mb=b[Za>>0]|0;kb=mb<<24>>24<0;Cuc(m,kb?f[g>>2]|0:g,kb?f[_a>>2]|0:mb&255)|0;if((b[Za>>0]|0)<0)fuc(f[g>>2]|0);if((b[Xa>>0]|0)<0)fuc(f[i>>2]|0);if((b[Va>>0]|0)<0)fuc(f[h>>2]|0)}mb=b[ga>>0]|0;kb=f[ha>>2]|0;do if(((mb<<24>>24<0?kb:mb&255)|0)==5){if(Puc(o,0,-1,390538,5)|0){Hb=b[ga>>0]|0;Ib=f[ha>>2]|0;O=161;break}hb=db+36|0;if((f[hb>>2]|0)>0){nb=db+20|0;lb=db+28|0;ib=db+44|0;z=0;do{eEa(a,f[nb>>2]|0,f[lb>>2]|0,f[ib>>2]|0,0,z);eb=f[ia>>2]|0;sb=f[y>>2]|0;f[sb+-4>>2]=(eb-(f[l>>2]|0)|0)/12|0;rb=sb+-20|0;sb=eb;if((sb|0)==(f[ja>>2]|0))fEa(l,rb);else{ouc(sb,rb);f[ia>>2]=(f[ia>>2]|0)+12}z=z+1|0}while((z|0)<(f[hb>>2]|0))}}else{Hb=mb;Ib=kb;O=161}while(0);g:do if((O|0)==161){O=0;if(((Hb<<24>>24<0?Ib:Hb&255)|0)==9?(Puc(o,0,-1,445463,9)|0)==0:0){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;kb=cuc(32)|0;f[g>>2]=kb;f[qa>>2]=-2147483616;f[ra>>2]=16;fb=kb;Jb=464461;gb=fb+16|0;do{b[fb>>0]=b[Jb>>0]|0;fb=fb+1|0;Jb=Jb+1|0}while((fb|0)<(gb|0));b[kb+16>>0]=0;mb=gEa(q,g)|0;if((mb|0)==(x|0))Kb=1;else{hb=hEa(mb+28|0,-1)|0;Kb=(hb|0)!=0|(J|0)!=0}if((b[sa>>0]|0)<0)fuc(f[g>>2]|0);if(!Kb){hb=db+20|0;if((f[hb>>2]|0)!=1){O=169;break c}if((f[db+36>>2]|0)!=1){O=171;break c}f[ta>>2]=0;f[ua>>2]=0;f[g>>2]=va;fb=wa;gb=fb+36|0;do{f[fb>>2]=0;fb=fb+4|0}while((fb|0)<(gb|0));kb=$a;f[kb>>2]=0;f[kb+4>>2]=0;b[xa>>0]=3;b[h>>0]=b[465409]|0;b[h+1>>0]=b[465410]|0;b[h+2>>0]=b[465411]|0;b[ya>>0]=0;kb=ab;f[kb>>2]=0;f[kb+4>>2]=0;b[za>>0]=3;b[j>>0]=b[465409]|0;b[j+1>>0]=b[465410]|0;b[j+2>>0]=b[465411]|0;b[Aa>>0]=0;kb=gEa(q,j)|0;if((kb|0)==(x|0))Lb=9.999999747378752e-06;else Lb=+iEa(kb+28|0,-1);n[i>>2]=Lb;jEa(g,h,i)|0;if((b[za>>0]|0)<0)fuc(f[j>>2]|0);if((b[xa>>0]|0)<0)fuc(f[h>>2]|0);RE(h,m,390591);kb=cEa(v,h)|0;mb=f[kb>>2]|0;f[kb>>2]=mb+1;f[i>>2]=mb;if(mb|0){f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;b[Pa>>0]=1;b[r>>0]=95;b[Qa>>0]=0;dEa(s,i);mb=b[Ra>>0]|0;kb=mb<<24>>24<0;z=Cuc(r,kb?f[s>>2]|0:s,kb?f[Sa>>2]|0:mb&255)|0;f[j>>2]=f[z>>2];f[j+4>>2]=f[z+4>>2];f[j+8>>2]=f[z+8>>2];f[z>>2]=0;f[z+4>>2]=0;f[z+8>>2]=0;z=b[Ta>>0]|0;mb=z<<24>>24<0;Cuc(h,mb?f[j>>2]|0:j,mb?f[Ua>>2]|0:z&255)|0;if((b[Ta>>0]|0)<0)fuc(f[j>>2]|0);if((b[Ra>>0]|0)<0)fuc(f[s>>2]|0);if((b[Pa>>0]|0)<0)fuc(f[r>>2]|0)}z=bb;f[z>>2]=0;f[z+4>>2]=0;b[Ba>>0]=3;b[j>>0]=b[415875]|0;b[j+1>>0]=b[415876]|0;b[j+2>>0]=b[415877]|0;b[Ca>>0]=0;z=sLa(c,h,j,g)|0;if((b[Ba>>0]|0)<0)fuc(f[j>>2]|0);mb=db+28|0;kEa(a,f[(f[mb>>2]|0)+4>>2]|0,z,0,c);kb=db+44|0;eEa(a,f[hb>>2]|0,f[mb>>2]|0,f[kb>>2]|0,z,0);ruc(f[(f[(f[(f[K>>2]|0)+4+(cb<<2)>>2]|0)+28>>2]|0)+4>>2]|0,f[(f[kb>>2]|0)+4>>2]|0)|0;kb=f[T>>2]|0;p[r>>3]=0.0;f[j>>2]=-1056833530;f[Fa>>2]=r;f[Da>>2]=1;f[Ea>>2]=1;HI(kb,j,sK()|0)|0;kb=f[T>>2]|0;p[r>>3]=1.0;f[j>>2]=-1056833530;f[Ia>>2]=r;f[Ga>>2]=1;f[Ha>>2]=1;HI(kb+56|0,j,sK()|0)|0;if((b[Ja>>0]|0)<0)fuc(f[h>>2]|0);if((b[La>>0]|0)<0)fuc(f[Ka>>2]|0);if((b[Na>>0]|0)<0)fuc(f[Ma>>2]|0);ut(Oa);lEa(g,f[va>>2]|0)}}kb=sLa(c,m,o,q)|0;z=db+20|0;mb=f[z>>2]|0;if((mb|0)>0){ib=db+28|0;lb=0;do{kEa(a,f[(f[ib>>2]|0)+4+(lb<<2)>>2]|0,kb,lb,c);lb=lb+1|0;nb=f[z>>2]|0}while((lb|0)<(nb|0));Mb=nb}else Mb=mb;lb=db+36|0;if((f[lb>>2]|0)>0){ib=db+28|0;hb=db+44|0;nb=0;rb=Mb;while(1){eEa(a,rb,f[ib>>2]|0,f[hb>>2]|0,kb,nb);sb=nb+1|0;if((sb|0)>=(f[lb>>2]|0))break g;nb=sb;rb=f[z>>2]|0}}}while(0);if((b[la>>0]|0)<0)fuc(f[ka>>2]|0);if((b[na>>0]|0)<0)fuc(f[ma>>2]|0);ut(oa);lEa(q,f[x>>2]|0);if((b[ga>>0]|0)<0)fuc(f[o>>2]|0);if((b[pa>>0]|0)<0)fuc(f[m>>2]|0);cb=cb+1|0;if((cb|0)>=(t|0))break b}if((O|0)==105){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;cb=cuc(48)|0;f[e>>2]=cb;f[e+8>>2]=-2147483600;f[e+4>>2]=42;fb=cb;Jb=390245;gb=fb+42|0;do{b[fb>>0]=b[Jb>>0]|0;fb=fb+1|0;Jb=Jb+1|0}while((fb|0)<(gb|0));b[cb+42>>0]=0;WD(-215,e,390288,390302,256)}else if((O|0)==116){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;pa=cuc(48)|0;f[e>>2]=pa;f[e+8>>2]=-2147483600;f[e+4>>2]=40;fb=pa;Jb=390383;gb=fb+40|0;do{b[fb>>0]=b[Jb>>0]|0;fb=fb+1|0;Jb=Jb+1|0}while((fb|0)<(gb|0));b[pa+40>>0]=0;WD(-215,e,390288,390302,264)}else if((O|0)==122){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;cb=cuc(48)|0;f[h>>2]=cb;f[h+8>>2]=-2147483600;f[h+4>>2]=43;fb=cb;Jb=390424;gb=fb+43|0;do{b[fb>>0]=b[Jb>>0]|0;fb=fb+1|0;Jb=Jb+1|0}while((fb|0)<(gb|0));b[cb+43>>0]=0;WD(-215,h,390288,390302,267)}else if((O|0)==139){pa=cuc(48)|0;f[e>>2]=pa;f[e+8>>2]=-2147483600;f[e+4>>2]=44;fb=pa;Jb=390468;gb=fb+44|0;do{b[fb>>0]=b[Jb>>0]|0;fb=fb+1|0;Jb=Jb+1|0}while((fb|0)<(gb|0));b[pa+44>>0]=0;WD(-215,e,390513,390302,296)}else if((O|0)==169){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;cb=cuc(32)|0;f[g>>2]=cb;f[g+8>>2]=-2147483616;f[g+4>>2]=24;fb=cb;Jb=390544;gb=fb+24|0;do{b[fb>>0]=b[Jb>>0]|0;fb=fb+1|0;Jb=Jb+1|0}while((fb|0)<(gb|0));b[cb+24>>0]=0;WD(-215,g,406169,390302,362)}else if((O|0)==171){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;pa=cuc(32)|0;f[g>>2]=pa;f[g+8>>2]=-2147483616;f[g+4>>2]=21;fb=pa;Jb=390569;gb=fb+21|0;do{b[fb>>0]=b[Jb>>0]|0;fb=fb+1|0;Jb=Jb+1|0}while((fb|0)<(gb|0));b[pa+21>>0]=0;WD(-215,g,406169,390302,362)}}while(0);RMa(c,l);c=f[w>>2]|0;w=f[y>>2]|0;if((w|0)!=(c|0)){g=w;while(1){w=g+-20|0;f[y>>2]=w;if((b[w+11>>0]|0)<0){fuc(f[w>>2]|0);Nb=f[y>>2]|0}else Nb=w;if((Nb|0)==(c|0))break;else g=Nb}}Nb=f[l>>2]|0;if(Nb|0){g=l+4|0;c=f[g>>2]|0;if((c|0)==(Nb|0))Ob=Nb;else{y=c;while(1){c=y+-12|0;f[g>>2]=c;if((b[c+11>>0]|0)<0){fuc(f[c>>2]|0);Pb=f[g>>2]|0}else Pb=c;if((Pb|0)==(Nb|0))break;else y=Pb}Ob=f[l>>2]|0}fuc(Ob)}if(!(f[k+4>>2]|0)){u=d;return}u=d;return}function aEa(a,b){a=a|0;b=b|0;var c=0,d=0;f[a>>2]=0;c=a+4|0;f[c>>2]=0;f[a+8>>2]=0;if(!b)return;if(b>>>0>357913941)nsc(a);d=cuc(b*12|0)|0;f[c>>2]=d;f[a>>2]=d;f[a+8>>2]=d+(b*12|0);a=b;b=d;do{f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;b=(f[c>>2]|0)+12|0;f[c>>2]=b;a=a+-1|0}while((a|0)!=0);return}function bEa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0.0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0;e=u;u=u+64|0;g=e;i=e+48|0;j=e+44|0;k=e+32|0;l=e+28|0;m=e+16|0;yh[f[(f[a>>2]|0)+96>>2]&2047](g,a);o=f[g>>2]|0;yh[f[(f[a>>2]|0)+96>>2]&2047](g,a);q=f[g+4>>2]|0;r=o+52|0;if((f[r>>2]|0)<=0){u=e;return}s=o+20|0;o=g+4|0;t=g+4|0;v=g+4|0;w=g+4|0;y=g+4|0;z=g+4|0;A=g+4|0;B=g+4|0;C=g+11|0;D=i+4|0;E=g+4|0;F=g+8|0;G=g+12|0;H=g+4|0;I=g+8|0;J=g+12|0;K=i+11|0;L=g+11|0;M=0;a:while(1){N=f[s>>2]|0;O=N+(M*88|0)|0;if(!d){P=f[O>>2]|0;if((b[535784]|0)==0?$yc(535784)|0:0){f[224674]=0;f[224675]=0;f[224676]=0;b[898707]=6;b[898696]=b[390737]|0;b[898697]=b[390738]|0;b[898698]=b[390739]|0;b[898699]=b[390740]|0;b[898700]=b[390741]|0;b[898701]=b[390742]|0;b[898702]=0;Bd(1936,898696,x|0)|0}Q=b[P+11>>0]|0;R=Q<<24>>24<0?f[P+4>>2]|0:Q&255;Q=b[898707]|0;S=Q<<24>>24<0;T=S?f[224675]|0:Q&255;if(R>>>0>=T>>>0?(Puc(P,R-T|0,T,S?f[224674]|0:898696,T)|0)==0:0)U=10}else U=10;b:do if((U|0)==10){U=0;T=Th[f[(f[q>>2]|0)+8>>2]&1023](q,a)|0;S=N+(M*88|0)+32|0;R=f[S>>2]|0;switch(R|0){case 2:break;case 1:{if(!(li[f[(f[q>>2]|0)+20>>2]&511](q,a,O)|0)){V=f[S>>2]|0;U=13}break}default:{V=R;U=13}}do if((U|0)==13){U=0;if((V|0)==3?(li[f[(f[q>>2]|0)+24>>2]&511](q,a,O)|0)>0:0)break;if(!(f[T>>2]|0))break b}while(0);R=f[T>>2]|0;c:do if(R|0?(P=f[R>>2]|0,Q=(f[R+4>>2]|0)-P|0,W=Q>>4,X=P,(Q|0)>0):0){if((f[X+4>>2]|0)==4){Y=0;Z=X}else{U=19;break a}while(1){X=Z+(Y<<4)+8|0;ouc(g,f[(f[f[f[X>>2]>>2]>>2]|0)+8>>2]|0);ouc(i,f[(f[f[f[X>>2]>>2]>>2]|0)+24>>2]|0);vEa(c,g,i)|0;if((b[K>>0]|0)<0)fuc(f[i>>2]|0);if((b[L>>0]|0)<0)fuc(f[g>>2]|0);Y=Y+1|0;if((Y|0)>=(W|0))break c;Z=f[f[T>>2]>>2]|0;if((f[Z+(Y<<4)+4>>2]|0)!=4){U=19;break a}}}while(0);_=N+(M*88|0)+24|0;T=f[_>>2]|0;if(T|0?(f[T>>2]|0)!=2:0){f[g>>2]=110384;f[H>>2]=1962;b[I>>0]=0;f[J>>2]=O;xLb(T,g)}$=N+(M*88|0)+28|0;if((f[151812+(f[$>>2]<<2)>>2]|0)==10)if((f[S>>2]|0)==3){bEa(Cg[f[(f[q>>2]|0)+208>>2]&127](q,a,O,0)|0,c,1);break}else{bEa(Cg[f[(f[q>>2]|0)+108>>2]&127](q,a,O,0)|0,c,1);break}yh[f[(f[a>>2]|0)+96>>2]&2047](g,a);T=f[o>>2]|0;R=f[_>>2]|0;if(R|0?(f[R>>2]|0)!=2:0){f[g>>2]=110384;f[E>>2]=1962;b[F>>0]=0;f[G>>2]=O;xLb(R,g)}R=(f[S>>2]|0)==3;W=f[O>>2]|0;d:do switch(f[151812+(f[$>>2]<<2)>>2]|0){case 1:{if(!R){X=li[f[(f[T>>2]|0)+68>>2]&511](T,a,O)|0;f[g>>2]=X;xEa(c,W,g)|0;break d}X=_8b(T,a,O)|0;Q=f[X+8>>2]|0;P=f[X>>2]|0;X=cuc(16)|0;aa=X+8|0;f[X>>2]=aa;f[X+4>>2]=P;if(P>>>0>1){ba=euc(P>>>0>536870911?-1:P<<3)|0;f[X>>2]=ba;ca=ba}else ca=aa;f[g>>2]=0;f[t>>2]=X;if((P|0)>0){X=(Q|0)==0?0:Q+4|0;Q=0;while(1){aa=f[X>>2]|0;ba=ca+(Q<<3)|0;f[ba>>2]=aa;f[ba+4>>2]=((aa|0)<0)<<31>>31;Q=Q+1|0;if((Q|0)==(P|0))break;else X=X+4|0}}wEa(c,W,g)|0;mEa(g);break}case 3:{if(!R){X=li[f[(f[T>>2]|0)+76>>2]&511](T,a,O)|0;f[g>>2]=X;yEa(c,W,g)|0;break d}X=a9b(T,a,O)|0;P=f[X+8>>2]|0;Q=f[X>>2]|0;X=cuc(16)|0;aa=X+8|0;f[X>>2]=aa;f[X+4>>2]=Q;if(Q>>>0>1){ba=euc(Q>>>0>536870911?-1:Q<<3)|0;f[X>>2]=ba;da=ba}else da=aa;f[g>>2]=0;f[v>>2]=X;if((Q|0)>0){X=(P|0)==0?0:P+4|0;P=0;while(1){aa=da+(P<<3)|0;f[aa>>2]=f[X>>2];f[aa+4>>2]=0;P=P+1|0;if((P|0)==(Q|0))break;else X=X+4|0}}wEa(c,W,g)|0;mEa(g);break}case 2:{if(!R){X=li[f[(f[T>>2]|0)+68>>2]&511](T,a,O)|0;f[g>>2]=X;xEa(c,W,g)|0;break d}X=$8b(T,a,O)|0;Q=f[X+8>>2]|0;P=f[X>>2]|0;X=cuc(16)|0;aa=X+8|0;f[X>>2]=aa;f[X+4>>2]=P;if(P>>>0>1){ba=euc(P>>>0>536870911?-1:P<<3)|0;f[X>>2]=ba;ea=ba}else ea=aa;f[g>>2]=0;f[w>>2]=X;if((P|0)>0){X=(Q|0)==0?0:Q+8|0;Q=0;while(1){aa=X;ba=f[aa+4>>2]|0;fa=ea+(Q<<3)|0;f[fa>>2]=f[aa>>2];f[fa+4>>2]=ba;Q=Q+1|0;if((Q|0)==(P|0))break;else X=X+8|0}}wEa(c,W,g)|0;mEa(g);break}case 4:{if(!R){X=li[f[(f[T>>2]|0)+76>>2]&511](T,a,O)|0;f[g>>2]=X;yEa(c,W,g)|0;break d}X=b9b(T,a,O)|0;P=f[X+8>>2]|0;Q=f[X>>2]|0;X=cuc(16)|0;ba=X+8|0;f[X>>2]=ba;f[X+4>>2]=Q;if(Q>>>0>1){fa=euc(Q>>>0>536870911?-1:Q<<3)|0;f[X>>2]=fa;ga=fa}else ga=ba;f[g>>2]=0;f[y>>2]=X;if((Q|0)>0){X=(P|0)==0?0:P+8|0;P=0;while(1){ba=X;fa=f[ba+4>>2]|0;aa=ga+(P<<3)|0;f[aa>>2]=f[ba>>2];f[aa+4>>2]=fa;P=P+1|0;if((P|0)==(Q|0))break;else X=X+8|0}}wEa(c,W,g)|0;mEa(g);break}case 7:{if(!R){X=(li[f[(f[T>>2]|0)+92>>2]&511](T,a,O)|0)&1;b[g>>0]=X;zEa(c,W,g)|0;break d}X=e9b(T,a,O)|0;Q=f[X+8>>2]|0;P=f[X>>2]|0;X=cuc(16)|0;fa=X+8|0;f[X>>2]=fa;f[X+4>>2]=P;if(P>>>0>1){aa=euc(P>>>0>536870911?-1:P<<3)|0;f[X>>2]=aa;ha=aa}else ha=fa;f[g>>2]=0;f[z>>2]=X;if((P|0)>0){X=(Q|0)==0?0:Q+4|0;Q=0;while(1){fa=ha+(Q<<3)|0;f[fa>>2]=h[X>>0];f[fa+4>>2]=0;Q=Q+1|0;if((Q|0)==(P|0))break;else X=X+1|0}}wEa(c,W,g)|0;mEa(g);break}case 5:{if(!R){ia=+eh[f[(f[T>>2]|0)+88>>2]&31](T,a,O);p[g>>3]=ia;AEa(c,W,g)|0;break d}X=d9b(T,a,O)|0;P=f[X+8>>2]|0;Q=f[X>>2]|0;X=cuc(16)|0;fa=X+8|0;f[X>>2]=fa;f[X+4>>2]=Q;if(Q>>>0>1){aa=euc(Q>>>0>536870911?-1:Q<<3)|0;f[X>>2]=aa;ja=aa}else ja=fa;f[g>>2]=2;f[A>>2]=X;if((Q|0)>0){X=(P|0)==0?0:P+8|0;P=0;while(1){p[ja+(P<<3)>>3]=+p[X>>3];P=P+1|0;if((P|0)==(Q|0))break;else X=X+8|0}}wEa(c,W,g)|0;mEa(g);break}case 6:{if(!R){ia=+eh[f[(f[T>>2]|0)+84>>2]&31](T,a,O);n[g>>2]=ia;jEa(c,W,g)|0;break d}X=c9b(T,a,O)|0;Q=f[X+8>>2]|0;P=f[X>>2]|0;X=cuc(16)|0;fa=X+8|0;f[X>>2]=fa;f[X+4>>2]=P;if(P>>>0>1){aa=euc(P>>>0>536870911?-1:P<<3)|0;f[X>>2]=aa;ka=aa}else ka=fa;f[g>>2]=2;f[B>>2]=X;if((P|0)>0){X=(Q|0)==0?0:Q+4|0;Q=0;while(1){p[ka+(Q<<3)>>3]=+n[X>>2];Q=Q+1|0;if((Q|0)==(P|0))break;else X=X+4|0}}wEa(c,W,g)|0;mEa(g);break}case 9:{if(R){X=f9b(T,a,O,1)|0;P=f[X+12>>2]|0;f[j>>2]=(P|0)==0?0:P+4|0;P=f[X+4>>2]|0;f[g>>2]=f[j>>2];BEa(i,g,P);wEa(c,W,i)|0;mEa(i);break d}sh[f[(f[T>>2]|0)+96>>2]&255](g,T,a,O);vEa(c,W,g)|0;if((b[C>>0]|0)<0)fuc(f[g>>2]|0);break}case 8:{if(!R){P=li[f[(f[T>>2]|0)+100>>2]&511](T,a,O)|0;vEa(c,W,f[P>>2]|0)|0;break d}P=li[f[(f[T>>2]|0)+24>>2]&511](T,a,O)|0;aEa(i,P);if((P|0)>0){X=0;do{Q=Cg[f[(f[T>>2]|0)+200>>2]&127](T,a,O,X)|0;ruc((f[i>>2]|0)+(X*12|0)|0,f[Q>>2]|0)|0;X=X+1|0}while((X|0)<(P|0))}f[l>>2]=f[i>>2];f[g>>2]=f[l>>2];CEa(k,g,P);wEa(c,W,k)|0;mEa(k);X=f[i>>2]|0;if(X|0){Q=f[D>>2]|0;if((Q|0)==(X|0))la=X;else{fa=Q;while(1){Q=fa+-12|0;f[D>>2]=Q;if((b[Q+11>>0]|0)<0){fuc(f[Q>>2]|0);ma=f[D>>2]|0}else ma=Q;if((ma|0)==(X|0))break;else fa=ma}la=f[i>>2]|0}fuc(la)}break}default:{U=104;break a}}while(0)}while(0);M=M+1|0;if((M|0)>=(f[r>>2]|0)){U=3;break}}if((U|0)==3){u=e;return}else if((U|0)==19){e=cuc(64)|0;f[g>>2]=e;f[g+8>>2]=-2147483584;f[g+4>>2]=58;r=e;M=390744;la=r+58|0;do{b[r>>0]=b[M>>0]|0;r=r+1|0;M=M+1|0}while((r|0)<(la|0));b[e+58>>0]=0;WD(-215,g,390803,390302,112)}else if((U|0)==104){U=f[_>>2]|0;if(U|0?(f[U>>2]|0)!=2:0){f[g>>2]=110384;f[g+4>>2]=1962;b[g+8>>0]=0;f[g+12>>2]=O;xLb(U,g)}g=f[151888+(f[$>>2]<<2)>>2]|0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;$=jfc(g)|0;if($>>>0>4294967279)muc(m);if($>>>0<11){b[m+11>>0]=$;if(!$){na=m;oa=na+$|0;b[oa>>0]=0;pa=Huc(m,0,405892)|0;f[k>>2]=f[pa>>2];f[k+4>>2]=f[pa+4>>2];f[k+8>>2]=f[pa+8>>2];f[pa>>2]=0;f[pa+4>>2]=0;f[pa+8>>2]=0;qa=Duc(k,390823)|0;f[i>>2]=f[qa>>2];f[i+4>>2]=f[qa+4>>2];f[i+8>>2]=f[qa+8>>2];f[qa>>2]=0;f[qa+4>>2]=0;f[qa+8>>2]=0;WD(-2,i,390837,390302,180)}else ra=m}else{U=$+16&-16;O=cuc(U)|0;f[m>>2]=O;f[m+8>>2]=U|-2147483648;f[m+4>>2]=$;ra=O}szc(ra|0,g|0,$|0)|0;na=ra;oa=na+$|0;b[oa>>0]=0;pa=Huc(m,0,405892)|0;f[k>>2]=f[pa>>2];f[k+4>>2]=f[pa+4>>2];f[k+8>>2]=f[pa+8>>2];f[pa>>2]=0;f[pa+4>>2]=0;f[pa+8>>2]=0;qa=Duc(k,390823)|0;f[i>>2]=f[qa>>2];f[i+4>>2]=f[qa+4>>2];f[i+8>>2]=f[qa+8>>2];f[qa>>2]=0;f[qa+4>>2]=0;f[qa+8>>2]=0;WD(-2,i,390837,390302,180)}}function cEa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0;c=u;u=u+16|0;d=c;e=uEa(a,d,b)|0;g=f[e>>2]|0;if(g|0){h=g;i=h+28|0;u=c;return i|0}g=cuc(32)|0;ouc(g+16|0,b);f[g+28>>2]=0;b=f[d>>2]|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=b;f[e>>2]=g;b=f[f[a>>2]>>2]|0;if(!b)j=g;else{f[a>>2]=b;j=f[e>>2]|0}jI(f[a+4>>2]|0,j);j=a+8|0;f[j>>2]=(f[j>>2]|0)+1;h=g;i=h+28|0;u=c;return i|0}function dEa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0;d=u;u=u+160|0;e=d+136|0;g=d;h=g+56|0;i=g+4|0;f[g>>2]=10740;f[h>>2]=10760;bkc(g+56|0,i);f[g+128>>2]=0;f[g+132>>2]=-1;f[g>>2]=36996;f[h>>2]=37016;gkc(i);f[i>>2]=35404;j=g+36|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;f[g+52>>2]=16;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;$D(i,e);if((b[e+11>>0]|0)<0)fuc(f[e>>2]|0);tkc(g,f[c>>2]|0)|0;bE(a,i);f[g>>2]=36996;f[h>>2]=37016;f[i>>2]=35404;if((b[j+11>>0]|0)>=0){Ric(i);Njc(g,37028);Mic(h);u=d;return}fuc(f[j>>2]|0);Ric(i);Njc(g,37028);Mic(h);u=d;return}function eEa(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;i=u;u=u+32|0;j=i;k=f[e+4+(h<<2)>>2]|0;e=a+208|0;l=a+212|0;m=f[e>>2]|0;n=(f[l>>2]|0)-m|0;o=((n|0)/20|0)+-1|0;p=m;a:do if((n|0)>0){m=b[k+11>>0]|0;q=m<<24>>24<0;r=q?f[k+4>>2]|0:m&255;m=(r|0)==0;b:do if(q){s=o;while(1){t=p+(s*20|0)|0;v=b[t+11>>0]|0;w=v<<24>>24<0;x=v&255;do if(((w?f[p+(s*20|0)+4>>2]|0:x)|0)==(r|0)){v=f[t>>2]|0;y=w?v:t;z=f[k>>2]|0;if(w){if(m)break b;if(!(ahc(y,z,r)|0))break b;else break}if(m)break b;if((v&255)<<24>>24==(b[z>>0]|0)){v=t;y=x;A=z;do{y=y+-1|0;v=v+1|0;if(!y)break b;A=A+1|0}while((b[v>>0]|0)==(b[A>>0]|0))}}while(0);if((s|0)>0)s=s+-1|0;else break a}}else{s=o;while(1){x=p+(s*20|0)|0;t=b[x+11>>0]|0;w=t<<24>>24<0;A=t&255;do if(((w?f[p+(s*20|0)+4>>2]|0:A)|0)==(r|0)){t=f[x>>2]|0;v=w?t:x;if(w){if(m)break b;if(!(ahc(v,k,r)|0))break b;else break}if(m)break b;if((t&255)<<24>>24==(b[k>>0]|0)){t=x;v=A;y=k;do{v=v+-1|0;t=t+1|0;if(!v)break b;y=y+1|0}while((b[t>>0]|0)==(b[y>>0]|0))}}while(0);if((s|0)>0)s=s+-1|0;else break a}}while(0);do if((c|0)>(h|0)?(m=f[d+4+(h<<2)>>2]|0,s=b[m+11>>0]|0,A=s<<24>>24<0,x=s&255,((A?f[m+4>>2]|0:x)|0)==(r|0)):0){s=f[m>>2]|0;w=A?s:m;y=q?f[k>>2]|0:k;t=(r|0)==0;if(A){if(t)break a;if(!(ahc(w,y,r)|0))break a;else break}if(t)break a;if((s&255)<<24>>24==(b[y>>0]|0)){s=m;m=x;x=y;do{m=m+-1|0;s=s+1|0;if(!m)break a;x=x+1|0}while((b[s>>0]|0)==(b[x>>0]|0))}}while(0);r=cuc(48)|0;f[j>>2]=r;f[j+8>>2]=-2147483600;f[j+4>>2]=44;q=r;x=407752;s=q+44|0;do{b[q>>0]=b[x>>0]|0;q=q+1|0;x=x+1|0}while((q|0)<(s|0));b[r+44>>0]=0;WD(-5,j,407797,390302,412)}while(0);ouc(j,k);k=j+12|0;f[k>>2]=g;f[j+16>>2]=h;h=f[l>>2]|0;g=a+216|0;a=f[g>>2]|0;d=a;if(h>>>0>=a>>>0){a=h;c=f[e>>2]|0;p=(a-c|0)/20|0;o=p+1|0;n=c;if(o>>>0>214748364)nsc(e);x=(d-c|0)/20|0;c=x<<1;d=x>>>0<107374182?(c>>>0<o>>>0?o:c):214748364;do if(d)if(d>>>0>214748364){c=ze(8)|0;kuc(c,519086);f[c>>2]=167148;Hf(c|0,26888,1888)}else{B=cuc(d*20|0)|0;break}else B=0;while(0);c=B+(p*20|0)|0;o=c;x=B+(d*20|0)|0;f[c>>2]=f[j>>2];f[c+4>>2]=f[j+4>>2];f[c+8>>2]=f[j+8>>2];f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;d=k;q=f[d+4>>2]|0;s=B+(p*20|0)+12|0;f[s>>2]=f[d>>2];f[s+4>>2]=q;q=c+20|0;if((h|0)==(n|0)){C=o;D=a;E=h}else{a=h;s=o;o=c;do{c=o+-20|0;d=a;a=a+-20|0;f[c>>2]=f[a>>2];f[c+4>>2]=f[a+4>>2];f[c+8>>2]=f[a+8>>2];f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;c=d+-8|0;d=f[c+4>>2]|0;p=o+-8|0;f[p>>2]=f[c>>2];f[p+4>>2]=d;o=s+-20|0;s=o}while((a|0)!=(n|0));C=s;D=f[e>>2]|0;E=f[l>>2]|0}f[e>>2]=C;f[l>>2]=q;f[g>>2]=x;x=D;if((E|0)!=(x|0)){g=E;do{g=g+-20|0;if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0)}while((g|0)!=(x|0))}if(D|0)fuc(D)}else{f[h>>2]=f[j>>2];f[h+4>>2]=f[j+4>>2];f[h+8>>2]=f[j+8>>2];f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;D=k;k=f[D+4>>2]|0;x=h+12|0;f[x>>2]=f[D>>2];f[x+4>>2]=k;f[l>>2]=(f[l>>2]|0)+20}if((b[j+11>>0]|0)>=0){u=i;return}fuc(f[j>>2]|0);u=i;return}function fEa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;d=a+4|0;e=f[a>>2]|0;g=((f[d>>2]|0)-e|0)/12|0;h=g+1|0;if(h>>>0>357913941)nsc(a);i=a+8|0;j=((f[i>>2]|0)-e|0)/12|0;e=j<<1;k=j>>>0<178956970?(e>>>0<h>>>0?h:e):357913941;do if(k)if(k>>>0>357913941){e=ze(8)|0;kuc(e,519086);f[e>>2]=167148;Hf(e|0,26888,1888)}else{l=cuc(k*12|0)|0;break}else l=0;while(0);e=l+(g*12|0)|0;g=e;h=l+(k*12|0)|0;ouc(e,c);c=e+12|0;k=f[a>>2]|0;l=f[d>>2]|0;if((l|0)==(k|0)){m=g;n=k;o=k}else{j=l;l=g;g=e;do{e=g+-12|0;j=j+-12|0;f[e>>2]=f[j>>2];f[e+4>>2]=f[j+4>>2];f[e+8>>2]=f[j+8>>2];f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;g=l+-12|0;l=g}while((j|0)!=(k|0));m=l;n=f[a>>2]|0;o=f[d>>2]|0}f[a>>2]=m;f[d>>2]=c;f[i>>2]=h;h=n;if((o|0)!=(h|0)){i=o;do{i=i+-12|0;if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0)}while((i|0)!=(h|0))}if(!n)return;fuc(n);return}function gEa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;d=a+4|0;a=f[d>>2]|0;do if(a|0){e=b[c+11>>0]|0;g=e<<24>>24<0;h=g?f[c+4>>2]|0:e&255;e=g?f[c>>2]|0:c;g=d;i=a;a:while(1){j=i;while(1){k=j+16|0;l=b[k+11>>0]|0;m=l<<24>>24<0;n=m?f[j+20>>2]|0:l&255;l=h>>>0<n>>>0?h:n;if((l|0)!=0?(o=ahc(m?f[k>>2]|0:k,e,l)|0,(o|0)!=0):0){if((o|0)>=0)break}else p=6;if((p|0)==6?(p=0,n>>>0>=h>>>0):0)break;n=f[j+4>>2]|0;if(!n){q=g;break a}else j=n}i=f[j>>2]|0;if(!i){q=j;break}else g=j}if((q|0)!=(d|0)){g=q+16|0;i=b[g+11>>0]|0;n=i<<24>>24<0;o=n?f[q+20>>2]|0:i&255;i=o>>>0<h>>>0?o:h;if(i|0?(l=ahc(e,n?f[g>>2]|0:g,i)|0,l|0):0){if((l|0)<0)break;else r=q;return r|0}if(h>>>0>=o>>>0){r=q;return r|0}}}while(0);r=d;return r|0}function hEa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0.0,H=0;d=u;u=u+48|0;e=d+24|0;g=d+16|0;h=d;i=d+28|0;j=(c|0)==-1;if(j){k=f[a>>2]|0;switch(k|0){case 0:{l=f[a+4>>2]|0;m=l+4|0;n=l;o=l;q=l;break}case 3:{l=f[a+4>>2]|0;m=l+4|0;n=l;o=l;q=l;break}case 2:{l=f[a+4>>2]|0;m=l+4|0;n=l;o=l;q=l;break}default:{f[g>>2]=k;cE(h,476242,g);WD(-3,h,476262,476267,297)}}if((f[m>>2]|0)==1){r=k;s=n;t=o;v=q}else w=15}else if((c|0)>-1){q=f[a>>2]|0;switch(q|0){case 0:{o=f[a+4>>2]|0;x=o+4|0;y=o;z=o;A=o;break}case 3:{o=f[a+4>>2]|0;x=o+4|0;y=o;z=o;A=o;break}case 2:{o=f[a+4>>2]|0;x=o+4|0;y=o;z=o;A=o;break}default:{f[e>>2]=q;cE(h,476242,e);WD(-3,h,476262,476267,297)}}if((f[x>>2]|0)>(c|0)){r=q;s=y;t=z;v=A}else w=15}else w=15;if((w|0)==15){w=cuc(64)|0;f[h>>2]=w;f[h+8>>2]=-2147483584;f[h+4>>2]=56;B=w;C=390596;D=B+56|0;do{b[B>>0]=b[C>>0]|0;B=B+1|0;C=C+1|0}while((B|0)<(D|0));b[w+56>>0]=0;WD(-215,h,397093,476267,88)}w=j?0:c;switch(r|0){case 0:{c=(f[s>>2]|0)+(w<<3)|0;E=f[c+4>>2]|0;F=f[c>>2]|0;J=E;u=d;return F|0}case 2:{G=+p[(f[t>>2]|0)+(w<<3)>>3];if(!(+Hhc(G,h)==0.0)){t=cuc(16)|0;f[i>>2]=t;f[i+8>>2]=-2147483632;f[i+4>>2]=15;B=t;C=390687;D=B+15|0;do{b[B>>0]=b[C>>0]|0;B=B+1|0;C=C+1|0}while((B|0)<(D|0));b[t+15>>0]=0;WD(-215,i,397093,476267,101)}E=+L(G)>=1.0?(G>0.0?~~+Z(+K(G/4294967296.0),4294967295.0)>>>0:~~+X((G-+(~~G>>>0))/4294967296.0)>>>0):0;F=~~G>>>0;J=E;u=d;return F|0}case 3:{i=(f[v>>2]|0)+(w*12|0)|0;if((b[i+11>>0]|0)<0)H=f[i>>2]|0;else H=i;i=phc(H)|0;E=((i|0)<0)<<31>>31;F=i;J=E;u=d;return F|0}default:if((r|2|0)==2){E=0;F=0;J=E;u=d;return F|0}else{F=cuc(48)|0;f[h>>2]=F;f[h+8>>2]=-2147483600;f[h+4>>2]=33;B=F;C=390703;D=B+33|0;do{b[B>>0]=b[C>>0]|0;B=B+1|0;C=C+1|0}while((B|0)<(D|0));b[F+33>>0]=0;WD(-215,h,397093,476267,111)}}return 0}function iEa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0.0,E=0;d=u;u=u+32|0;e=d+8|0;g=d;h=d+12|0;i=(c|0)==-1;if(i){j=f[a>>2]|0;switch(j|0){case 0:{k=f[a+4>>2]|0;l=k+4|0;m=k;n=k;o=k;break}case 3:{k=f[a+4>>2]|0;l=k+4|0;m=k;n=k;o=k;break}case 2:{k=f[a+4>>2]|0;l=k+4|0;m=k;n=k;o=k;break}default:{f[g>>2]=j;cE(h,476242,g);WD(-3,h,476262,476267,297)}}if((f[l>>2]|0)==1){q=j;r=m;s=n;t=o}else v=15}else if((c|0)>-1){o=f[a>>2]|0;switch(o|0){case 0:{n=f[a+4>>2]|0;w=n+4|0;x=n;y=n;z=n;break}case 3:{n=f[a+4>>2]|0;w=n+4|0;x=n;y=n;z=n;break}case 2:{n=f[a+4>>2]|0;w=n+4|0;x=n;y=n;z=n;break}default:{f[e>>2]=o;cE(h,476242,e);WD(-3,h,476262,476267,297)}}if((f[w>>2]|0)>(c|0)){q=o;r=x;s=y;t=z}else v=15}else v=15;if((v|0)==15){v=cuc(64)|0;f[h>>2]=v;f[h+8>>2]=-2147483584;f[h+4>>2]=56;A=v;B=390596;C=A+56|0;do{b[A>>0]=b[B>>0]|0;A=A+1|0;B=B+1|0}while((A|0)<(C|0));b[v+56>>0]=0;WD(-215,h,397093,476267,142)}v=i?0:c;switch(q|0){case 2:{D=+p[(f[r>>2]|0)+(v<<3)>>3];u=d;return +D}case 0:{r=(f[s>>2]|0)+(v<<3)|0;D=+((f[r>>2]|0)>>>0)+4294967296.0*+(f[r+4>>2]|0);u=d;return +D}case 3:{r=(f[t>>2]|0)+(v*12|0)|0;if((b[r+11>>0]|0)<0)E=f[r>>2]|0;else E=r;D=+fhc(E);u=d;return +D}default:{d=cuc(48)|0;f[h>>2]=d;f[h+8>>2]=-2147483600;f[h+4>>2]=33;A=d;B=390653;C=A+33|0;do{b[A>>0]=b[B>>0]|0;A=A+1|0;B=B+1|0}while((A|0)<(C|0));b[d+33>>0]=0;WD(-215,h,397093,476267,159)}}return +(0.0)}function jEa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0.0,m=0,o=0,q=0;e=u;u=u+48|0;g=e+40|0;h=e+28|0;i=e+8|0;j=e;k=oEa(a,c)|0;if((k|0)!=(a+4|0)){l=+n[d>>2];f[g>>2]=2;m=cuc(16)|0;o=m+8|0;f[m>>2]=o;f[m+4>>2]=1;f[g+4>>2]=m;p[o>>3]=l;pEa(k+28|0,g)|0;mEa(g);u=e;return d|0}l=+n[d>>2];f[j>>2]=2;k=cuc(16)|0;o=k+8|0;f[k>>2]=o;f[k+4>>2]=1;f[j+4>>2]=k;p[o>>3]=l;ouc(i,c);c=i+12|0;qEa(c,j);o=rEa(a,g,i)|0;if(!(f[o>>2]|0)){sEa(h,a,i);k=f[g>>2]|0;g=f[h>>2]|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=k;f[o>>2]=g;k=f[f[a>>2]>>2]|0;if(!k)q=g;else{f[a>>2]=k;q=f[o>>2]|0}jI(f[a+4>>2]|0,q);q=a+8|0;f[q>>2]=(f[q>>2]|0)+1}mEa(c);if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0);mEa(j);u=e;return d|0}function kEa(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;h=u;u=u+32|0;i=h+12|0;j=h;k=f[a+208>>2]|0;l=(f[a+212>>2]|0)-k|0;a=k;a:do if((l|0)>0){k=b[c+11>>0]|0;m=k<<24>>24<0;n=m?f[c+4>>2]|0:k&255;k=m?f[c>>2]|0:c;m=(n|0)==0;o=(l>>>0)/20|0;b:while(1){p=o+-1|0;q=a+(p*20|0)|0;r=b[q+11>>0]|0;s=r<<24>>24<0;t=r&255;do if(((s?f[a+(p*20|0)+4>>2]|0:t)|0)==(n|0)){r=f[q>>2]|0;v=s?r:q;if(s){if(m)break b;if(!(ahc(v,k,n)|0))break b;else break}if(m)break b;if((r&255)<<24>>24==(b[k>>0]|0)){r=q;v=t;w=k;do{v=v+-1|0;r=r+1|0;if(!v){x=12;break b}w=w+1|0}while((b[r>>0]|0)==(b[w>>0]|0))}}while(0);if((o|0)>1)o=p;else break a}if((x|0)==12?(o|0)<1:0)break;uLa(g,f[a+(p*20|0)+12>>2]|0,f[a+(p*20|0)+16>>2]|0,d,e);u=h;return}while(0);nEa(j,407718,c);c=Duc(j,517029)|0;f[i>>2]=f[c>>2];f[i+4>>2]=f[c+4>>2];f[i+8>>2]=f[c+8>>2];f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;WD(-204,i,407743,390302,429)}function lEa(a,c){a=a|0;c=c|0;if(!c)return;lEa(a,f[c>>2]|0);lEa(a,f[c+4>>2]|0);a=c+16|0;mEa(c+28|0);if((b[a+11>>0]|0)<0)fuc(f[a>>2]|0);fuc(c);return}function mEa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0;switch(f[a>>2]|0){case 0:{c=f[a+4>>2]|0;if(!c)return;d=f[c>>2]|0;if(!((d|0)==(c+8|0)|(d|0)==0))guc(d);fuc(c);return}case 3:{c=f[a+4>>2]|0;if(!c)return;d=f[c>>2]|0;e=c+8|0;if((d|0)!=(e|0)){if(d|0){g=d+-4|0;h=f[g>>2]|0;if(h|0){i=d+(h*12|0)|0;do{i=i+-12|0;if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0)}while((i|0)!=(d|0))}guc(g)}f[c>>2]=e;f[c+4>>2]=1}if((b[e+11>>0]|0)<0)fuc(f[e>>2]|0);fuc(c);return}case 2:{c=f[a+4>>2]|0;if(!c)return;a=f[c>>2]|0;if(!((a|0)==(c+8|0)|(a|0)==0))guc(a);fuc(c);return}default:return}}function nEa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;e=jfc(c)|0;g=b[d+11>>0]|0;h=g<<24>>24<0;i=h?f[d+4>>2]|0:g&255;g=i+e|0;if(g>>>0>4294967279)muc(a);if(g>>>0<11){b[a+11>>0]=e;j=a}else{k=g+16&-16;g=cuc(k)|0;f[a>>2]=g;f[a+8>>2]=k|-2147483648;f[a+4>>2]=e;j=g}if(e|0)szc(j|0,c|0,e|0)|0;b[j+e>>0]=0;Cuc(a,h?f[d>>2]|0:d,i)|0;return}function oEa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;d=a+4|0;a=f[d>>2]|0;do if(a|0){e=b[c+11>>0]|0;g=e<<24>>24<0;h=g?f[c+4>>2]|0:e&255;e=g?f[c>>2]|0:c;g=d;i=a;a:while(1){j=i;while(1){k=j+16|0;l=b[k+11>>0]|0;m=l<<24>>24<0;n=m?f[j+20>>2]|0:l&255;l=h>>>0<n>>>0?h:n;if((l|0)!=0?(o=ahc(m?f[k>>2]|0:k,e,l)|0,(o|0)!=0):0){if((o|0)>=0)break}else p=6;if((p|0)==6?(p=0,n>>>0>=h>>>0):0)break;n=f[j+4>>2]|0;if(!n){q=g;break a}else j=n}i=f[j>>2]|0;if(!i){q=j;break}else g=j}if((q|0)!=(d|0)){g=q+16|0;i=b[g+11>>0]|0;n=i<<24>>24<0;o=n?f[q+20>>2]|0:i&255;i=o>>>0<h>>>0?o:h;if(i|0?(l=ahc(e,n?f[g>>2]|0:g,i)|0,l|0):0){if((l|0)<0)break;else r=q;return r|0}if(h>>>0>=o>>>0){r=q;return r|0}}}while(0);r=d;return r|0}function pEa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;if((b|0)==(a|0))return a|0;switch(f[b>>2]|0){case 0:{c=cuc(16)|0;d=f[b+4>>2]|0;e=c+8|0;f[c>>2]=e;g=c+4|0;f[g>>2]=1;h=f[d+4>>2]|0;f[g>>2]=h;if(h>>>0<=1){if(h|0){i=e;j=6}}else{e=euc(h>>>0>536870911?-1:h<<3)|0;f[c>>2]=e;i=e;j=6}if((j|0)==6){e=f[d>>2]|0;d=0;do{g=e+(d<<3)|0;k=f[g+4>>2]|0;l=i+(d<<3)|0;f[l>>2]=f[g>>2];f[l+4>>2]=k;d=d+1|0}while(d>>>0<h>>>0)}mEa(a);f[a+4>>2]=c;break}case 3:{c=cuc(20)|0;h=f[b+4>>2]|0;d=c+8|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[c>>2]=d;d=c+4|0;f[d>>2]=1;tEa(c,f[h+4>>2]|0);if(f[d>>2]|0){i=0;do{ruc((f[c>>2]|0)+(i*12|0)|0,(f[h>>2]|0)+(i*12|0)|0)|0;i=i+1|0}while(i>>>0<(f[d>>2]|0)>>>0)}mEa(a);f[a+4>>2]=c;break}case 2:{c=cuc(16)|0;d=f[b+4>>2]|0;i=c+8|0;f[c>>2]=i;h=c+4|0;f[h>>2]=1;e=f[d+4>>2]|0;f[h>>2]=e;if(e>>>0<=1){if(e|0){m=i;j=16}}else{i=euc(e>>>0>536870911?-1:e<<3)|0;f[c>>2]=i;m=i;j=16}if((j|0)==16){j=f[d>>2]|0;d=0;do{p[m+(d<<3)>>3]=+p[j+(d<<3)>>3];d=d+1|0}while(d>>>0<e>>>0)}mEa(a);f[a+4>>2]=c;break}default:{}}f[a>>2]=f[b>>2];return a|0}function qEa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;f[a>>2]=f[b>>2];switch(f[b>>2]|0){case 0:{c=cuc(16)|0;d=f[b+4>>2]|0;e=c+8|0;f[c>>2]=e;g=c+4|0;f[g>>2]=1;h=f[d+4>>2]|0;f[g>>2]=h;if(h>>>0<=1){if(h|0){i=e;j=5}}else{e=euc(h>>>0>536870911?-1:h<<3)|0;f[c>>2]=e;i=e;j=5}if((j|0)==5){e=f[d>>2]|0;d=0;do{g=e+(d<<3)|0;k=f[g+4>>2]|0;l=i+(d<<3)|0;f[l>>2]=f[g>>2];f[l+4>>2]=k;d=d+1|0}while(d>>>0<h>>>0)}f[a+4>>2]=c;return}case 3:{c=cuc(20)|0;h=f[b+4>>2]|0;d=c+8|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[c>>2]=d;d=c+4|0;f[d>>2]=1;tEa(c,f[h+4>>2]|0);if(f[d>>2]|0){i=0;do{ruc((f[c>>2]|0)+(i*12|0)|0,(f[h>>2]|0)+(i*12|0)|0)|0;i=i+1|0}while(i>>>0<(f[d>>2]|0)>>>0)}f[a+4>>2]=c;return}case 2:{c=cuc(16)|0;d=f[b+4>>2]|0;b=c+8|0;f[c>>2]=b;i=c+4|0;f[i>>2]=1;h=f[d+4>>2]|0;f[i>>2]=h;if(h>>>0<=1){if(h|0){m=b;j=15}}else{b=euc(h>>>0>536870911?-1:h<<3)|0;f[c>>2]=b;m=b;j=15}if((j|0)==15){j=f[d>>2]|0;d=0;do{p[m+(d<<3)>>3]=+p[j+(d<<3)>>3];d=d+1|0}while(d>>>0<h>>>0)}f[a+4>>2]=c;return}default:return}}function rEa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;e=a+4|0;g=f[e>>2]|0;if(!g){f[c>>2]=e;h=e;return h|0}e=b[d+11>>0]|0;i=e<<24>>24<0;j=i?f[d+4>>2]|0:e&255;e=i?f[d>>2]|0:d;d=a+4|0;a=g;while(1){g=a+16|0;i=b[g+11>>0]|0;k=i<<24>>24<0;l=k?f[a+20>>2]|0:i&255;i=l>>>0<j>>>0;m=i?l:j;if((m|0)!=0?(n=ahc(e,k?f[g>>2]|0:g,m)|0,(n|0)!=0):0)if((n|0)<0)o=8;else o=10;else if(j>>>0<l>>>0)o=8;else o=10;if((o|0)==8){o=0;n=f[a>>2]|0;if(!n){o=9;break}else{p=a;q=n}}else if((o|0)==10){o=0;n=j>>>0<l>>>0?j:l;if((n|0)!=0?(l=ahc(k?f[g>>2]|0:g,e,n)|0,(l|0)!=0):0){if((l|0)>=0){o=16;break}}else o=12;if((o|0)==12?(o=0,!i):0){o=16;break}r=a+4|0;i=f[r>>2]|0;if(!i){o=15;break}else{p=r;q=i}}d=p;a=q}if((o|0)==9){f[c>>2]=a;h=a;return h|0}else if((o|0)==15){f[c>>2]=a;h=r;return h|0}else if((o|0)==16){f[c>>2]=a;h=d;return h|0}return 0}function sEa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0;e=cuc(36)|0;f[a>>2]=e;f[a+4>>2]=c+4;c=a+8|0;b[c>>0]=0;a=e+16|0;f[a>>2]=f[d>>2];f[a+4>>2]=f[d+4>>2];f[a+8>>2]=f[d+8>>2];f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;qEa(e+28|0,d+12|0);b[c>>0]=1;return}function tEa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0;d=a+4|0;if((f[d>>2]|0)>>>0>=c>>>0){f[d>>2]=c;return}e=f[a>>2]|0;g=a+8|0;if((e|0)!=(g|0)){if(e|0){h=e+-4|0;i=f[h>>2]|0;if(i|0){j=e+(i*12|0)|0;do{j=j+-12|0;if((b[j+11>>0]|0)<0)fuc(f[j>>2]|0)}while((j|0)!=(e|0))}guc(h)}f[a>>2]=g;f[d>>2]=1}f[d>>2]=c;if(c>>>0<=1)return;d=c*12|0;g=euc(c>>>0>357913941|d>>>0>4294967291?-1:d+4|0)|0;f[g>>2]=c;c=g+4|0;g=d+-12|0;kzc(c|0,0,g-((g>>>0)%12|0)+12|0)|0;f[a>>2]=c;return}function uEa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;e=a+4|0;g=f[e>>2]|0;if(!g){f[c>>2]=e;h=e;return h|0}e=b[d+11>>0]|0;i=e<<24>>24<0;j=i?f[d+4>>2]|0:e&255;e=i?f[d>>2]|0:d;d=a+4|0;a=g;while(1){g=a+16|0;i=b[g+11>>0]|0;k=i<<24>>24<0;l=k?f[a+20>>2]|0:i&255;i=l>>>0<j>>>0;m=i?l:j;if((m|0)!=0?(n=ahc(e,k?f[g>>2]|0:g,m)|0,(n|0)!=0):0)if((n|0)<0)o=8;else o=10;else if(j>>>0<l>>>0)o=8;else o=10;if((o|0)==8){o=0;n=f[a>>2]|0;if(!n){o=9;break}else{p=a;q=n}}else if((o|0)==10){o=0;n=j>>>0<l>>>0?j:l;if((n|0)!=0?(l=ahc(k?f[g>>2]|0:g,e,n)|0,(l|0)!=0):0){if((l|0)>=0){o=16;break}}else o=12;if((o|0)==12?(o=0,!i):0){o=16;break}r=a+4|0;i=f[r>>2]|0;if(!i){o=15;break}else{p=r;q=i}}d=p;a=q}if((o|0)==9){f[c>>2]=a;h=a;return h|0}else if((o|0)==15){f[c>>2]=a;h=r;return h|0}else if((o|0)==16){f[c>>2]=a;h=d;return h|0}return 0}function vEa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=u;u=u+48|0;g=e+40|0;h=e+28|0;i=e+8|0;j=e;k=oEa(a,c)|0;if((k|0)!=(a+4|0)){f[g>>2]=3;l=cuc(20)|0;m=l+8|0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[l>>2]=m;f[l+4>>2]=1;f[g+4>>2]=l;ruc(m,d)|0;pEa(k+28|0,g)|0;mEa(g);u=e;return d|0}f[j>>2]=3;k=cuc(20)|0;m=k+8|0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[k>>2]=m;f[k+4>>2]=1;f[j+4>>2]=k;ruc(m,d)|0;ouc(i,c);c=i+12|0;qEa(c,j);m=rEa(a,g,i)|0;if(!(f[m>>2]|0)){sEa(h,a,i);k=f[g>>2]|0;g=f[h>>2]|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=k;f[m>>2]=g;k=f[f[a>>2]>>2]|0;if(!k)n=g;else{f[a>>2]=k;n=f[m>>2]|0}jI(f[a+4>>2]|0,n);n=a+8|0;f[n>>2]=(f[n>>2]|0)+1}mEa(c);if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0);mEa(j);u=e;return d|0}function wEa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;e=u;u=u+48|0;g=e+40|0;h=e+28|0;i=e+8|0;j=e;k=oEa(a,c)|0;if((k|0)!=(a+4|0)){qEa(g,d);pEa(k+28|0,g)|0;mEa(g);u=e;return d|0}qEa(j,d);ouc(i,c);c=i+12|0;qEa(c,j);k=rEa(a,g,i)|0;if(!(f[k>>2]|0)){sEa(h,a,i);l=f[g>>2]|0;g=f[h>>2]|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=l;f[k>>2]=g;l=f[f[a>>2]>>2]|0;if(!l)m=g;else{f[a>>2]=l;m=f[k>>2]|0}jI(f[a+4>>2]|0,m);m=a+8|0;f[m>>2]=(f[m>>2]|0)+1}mEa(c);if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0);mEa(j);u=e;return d|0}function xEa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;e=u;u=u+48|0;g=e+40|0;h=e+28|0;i=e+8|0;j=e;k=oEa(a,c)|0;if((k|0)!=(a+4|0)){l=f[d>>2]|0;f[g>>2]=0;m=cuc(16)|0;n=m+8|0;f[m>>2]=n;f[m+4>>2]=1;f[g+4>>2]=m;m=n;f[m>>2]=l;f[m+4>>2]=((l|0)<0)<<31>>31;pEa(k+28|0,g)|0;mEa(g);u=e;return d|0}k=f[d>>2]|0;f[j>>2]=0;l=cuc(16)|0;m=l+8|0;f[l>>2]=m;f[l+4>>2]=1;f[j+4>>2]=l;l=m;f[l>>2]=k;f[l+4>>2]=((k|0)<0)<<31>>31;ouc(i,c);c=i+12|0;qEa(c,j);k=rEa(a,g,i)|0;if(!(f[k>>2]|0)){sEa(h,a,i);l=f[g>>2]|0;g=f[h>>2]|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=l;f[k>>2]=g;l=f[f[a>>2]>>2]|0;if(!l)o=g;else{f[a>>2]=l;o=f[k>>2]|0}jI(f[a+4>>2]|0,o);o=a+8|0;f[o>>2]=(f[o>>2]|0)+1}mEa(c);if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0);mEa(j);u=e;return d|0}function yEa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;e=u;u=u+48|0;g=e+40|0;h=e+28|0;i=e+8|0;j=e;k=oEa(a,c)|0;if((k|0)!=(a+4|0)){l=f[d>>2]|0;f[g>>2]=0;m=cuc(16)|0;n=m+8|0;f[m>>2]=n;f[m+4>>2]=1;f[g+4>>2]=m;m=n;f[m>>2]=l;f[m+4>>2]=0;pEa(k+28|0,g)|0;mEa(g);u=e;return d|0}k=f[d>>2]|0;f[j>>2]=0;m=cuc(16)|0;l=m+8|0;f[m>>2]=l;f[m+4>>2]=1;f[j+4>>2]=m;m=l;f[m>>2]=k;f[m+4>>2]=0;ouc(i,c);c=i+12|0;qEa(c,j);m=rEa(a,g,i)|0;if(!(f[m>>2]|0)){sEa(h,a,i);k=f[g>>2]|0;g=f[h>>2]|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=k;f[m>>2]=g;k=f[f[a>>2]>>2]|0;if(!k)o=g;else{f[a>>2]=k;o=f[m>>2]|0}jI(f[a+4>>2]|0,o);o=a+8|0;f[o>>2]=(f[o>>2]|0)+1}mEa(c);if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0);mEa(j);u=e;return d|0}function zEa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;e=u;u=u+48|0;g=e+40|0;h=e+28|0;i=e+8|0;j=e;k=oEa(a,c)|0;if((k|0)!=(a+4|0)){l=b[d>>0]|0;f[g>>2]=0;m=cuc(16)|0;n=m+8|0;f[m>>2]=n;f[m+4>>2]=1;f[g+4>>2]=m;m=n;f[m>>2]=l&255;f[m+4>>2]=0;pEa(k+28|0,g)|0;mEa(g);u=e;return d|0}k=b[d>>0]|0;f[j>>2]=0;m=cuc(16)|0;l=m+8|0;f[m>>2]=l;f[m+4>>2]=1;f[j+4>>2]=m;m=l;f[m>>2]=k&255;f[m+4>>2]=0;ouc(i,c);c=i+12|0;qEa(c,j);m=rEa(a,g,i)|0;if(!(f[m>>2]|0)){sEa(h,a,i);k=f[g>>2]|0;g=f[h>>2]|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=k;f[m>>2]=g;k=f[f[a>>2]>>2]|0;if(!k)o=g;else{f[a>>2]=k;o=f[m>>2]|0}jI(f[a+4>>2]|0,o);o=a+8|0;f[o>>2]=(f[o>>2]|0)+1}mEa(c);if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0);mEa(j);u=e;return d|0}function AEa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0.0,m=0,n=0,o=0;e=u;u=u+48|0;g=e+40|0;h=e+28|0;i=e+8|0;j=e;k=oEa(a,c)|0;if((k|0)!=(a+4|0)){l=+p[d>>3];f[g>>2]=2;m=cuc(16)|0;n=m+8|0;f[m>>2]=n;f[m+4>>2]=1;f[g+4>>2]=m;p[n>>3]=l;pEa(k+28|0,g)|0;mEa(g);u=e;return d|0}l=+p[d>>3];f[j>>2]=2;k=cuc(16)|0;n=k+8|0;f[k>>2]=n;f[k+4>>2]=1;f[j+4>>2]=k;p[n>>3]=l;ouc(i,c);c=i+12|0;qEa(c,j);n=rEa(a,g,i)|0;if(!(f[n>>2]|0)){sEa(h,a,i);k=f[g>>2]|0;g=f[h>>2]|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=k;f[n>>2]=g;k=f[f[a>>2]>>2]|0;if(!k)o=g;else{f[a>>2]=k;o=f[n>>2]|0}jI(f[a+4>>2]|0,o);o=a+8|0;f[o>>2]=(f[o>>2]|0)+1}mEa(c);if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0);mEa(j);u=e;return d|0}function BEa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0;d=cuc(20)|0;e=d+8|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[d>>2]=e;f[d+4>>2]=1;tEa(d,c);f[a>>2]=3;e=a+4|0;f[e>>2]=d;if((c|0)<=0)return;a=f[b>>2]|0;g=0;h=d;d=a;i=a;while(1){ruc((f[h>>2]|0)+(g*12|0)|0,f[i>>2]|0)|0;a=d+4|0;f[b>>2]=a;j=g+1|0;if((j|0)>=(c|0))break;g=j;h=f[e>>2]|0;d=a;i=a}return}function CEa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0;d=cuc(20)|0;e=d+8|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[d>>2]=e;f[d+4>>2]=1;tEa(d,c);f[a>>2]=3;e=a+4|0;f[e>>2]=d;if((c|0)<=0)return;a=0;g=f[b>>2]|0;h=d;while(1){ruc((f[h>>2]|0)+(a*12|0)|0,g)|0;d=g+12|0;f[b>>2]=d;i=a+1|0;if((i|0)>=(c|0))break;a=i;g=d;h=f[e>>2]|0}return}function DEa(a){a=a|0;fuc(a);return}function EEa(a){a=a|0;var c=0;c=b[a+8>>0]|0;bi[f[a+4>>2]&2047](f[a+12>>2]|0);if((a|0)==0|c<<24>>24==0)return;bi[f[(f[a>>2]|0)+4>>2]&2047](a);return}function FEa(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=u;u=u+256|0;i=h+240|0;j=h+8|0;k=h;ngb(j);l=j+104|0;ngb(l);f[j+208>>2]=0;m=j+212|0;f[m>>2]=0;f[j+216>>2]=0;f[j+224>>2]=0;f[j+228>>2]=0;n=j+224|0;f[j+220>>2]=n;gV(i,110396);FFa(c,d,j);if((e|0)!=0&(g|0)!=0)HFa(e,g,l);RKa(a);f[k>>2]=f[a>>2];g=f[a+4>>2]|0;f[k+4>>2]=g;if(g|0)Wtc(g);$Da(j,k);rLa(k);_Da(j+220|0,f[n>>2]|0);n=j+208|0;k=f[n>>2]|0;if(!k){tgb(l);tgb(j);u=h;return}g=f[m>>2]|0;if((g|0)==(k|0))o=k;else{a=g;while(1){g=a+-20|0;f[m>>2]=g;if((b[g+11>>0]|0)<0){fuc(f[g>>2]|0);p=f[m>>2]|0}else p=g;if((p|0)==(k|0))break;else a=p}o=f[n>>2]|0}fuc(o);tgb(l);tgb(j);u=h;return}function GEa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;d=f[b>>2]|0;e=f[c>>2]|0;g=f[c+4>>2]|0;FEa(a,d,(f[b+4>>2]|0)-d|0,(e|0)==(g|0)?0:e,g-e|0);return}function HEa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;d=u;u=u+112|0;e=d;ngb(e);IEa(a,e);xgb(c);a=e+8|0;do if(f[a>>2]&1|0){g=f[e+92>>2]|0;h=c+8|0;f[h>>2]=f[h>>2]|1;h=c+92|0;i=f[h>>2]|0;if((i|0)==542896){JEa(h,g);break}else{ruc(i,g)|0;break}}while(0);g=e+20|0;if((f[g>>2]|0)>0){i=e+28|0;h=0;j=1;while(1){k=f[(f[i>>2]|0)+4+(h<<2)>>2]|0;l=j&(LEa(k,KEa(c)|0)|0);h=h+1|0;if((h|0)>=(f[g>>2]|0)){m=l;break}else j=l}}else m=1;j=e+36|0;if((f[j>>2]|0)>0){g=e+44|0;h=c+32|0;i=0;do{l=f[(f[g>>2]|0)+4+(i<<2)>>2]|0;ruc(MEa(h)|0,l)|0;i=i+1|0}while((i|0)<(f[j>>2]|0))}j=e+48|0;if((f[j>>2]|0)>0){i=e+56|0;h=c+48|0;g=c+52|0;l=c+56|0;k=0;do{n=f[(f[i>>2]|0)+4+(k<<2)>>2]|0;o=f[h>>2]|0;if((o|0)==(f[g>>2]|0)){NEa(h,o+1|0);p=f[h>>2]|0}else p=o;o=f[l>>2]|0;f[h>>2]=p+1;f[o+4+(p<<2)>>2]=n;k=k+1|0}while((k|0)<(f[j>>2]|0))}if(!(f[a>>2]&4)){tgb(e);u=d;return m|0}a=b[e+100>>0]|0;j=c+8|0;f[j>>2]=f[j>>2]|4;b[c+100>>0]=a;tgb(e);u=d;return m|0}function IEa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0;d=u;u=u+192|0;e=d+168|0;g=d;xgb(c);Fhb(c,a);h=c+20|0;i=f[h>>2]|0;if((i|0)>0){j=f[c+28>>2]|0;k=0;do{dZa(f[j+4+(k<<2)>>2]|0);k=k+1|0}while((k|0)!=(i|0));f[h>>2]=0}f[e+4>>2]=0;f[e+8>>2]=0;i=e+4|0;f[e>>2]=i;k=a+36|0;if((f[k>>2]|0)>0){j=a+44|0;l=0;do{m=cEa(e,f[(f[j>>2]|0)+4+(l<<2)>>2]|0)|0;f[m>>2]=-1;l=l+1|0}while((l|0)<(f[k>>2]|0))}k=a+20|0;if((f[k>>2]|0)<=0){n=e;o=f[i>>2]|0;_Da(n,o);u=d;return}l=a+28|0;a=g+21|0;j=g+32|0;m=g+24|0;p=g+88|0;q=g+36|0;r=g+68|0;s=r+11|0;t=g+21|0;v=g+32|0;w=g+24|0;x=g+88|0;y=g+36|0;z=g+68|0;A=z+11|0;B=g+21|0;C=g+32|0;D=g+24|0;E=g+88|0;F=g+36|0;G=g+68|0;H=G+11|0;I=g+21|0;J=g+32|0;K=g+24|0;L=g+88|0;M=g+36|0;N=g+68|0;O=N+11|0;P=g+21|0;Q=g+32|0;R=g+24|0;S=g+88|0;T=g+36|0;U=g+68|0;V=U+11|0;W=c+28|0;X=0;do{Y=f[(f[l>>2]|0)+4+(X<<2)>>2]|0;Z=f[Y+164>>2]|0;_=(Z|0?Z:540024)+60|0;Z=f[_>>2]|0;$=b[Z+11>>0]|0;if(!((($<<24>>24<0?f[Z+4>>2]|0:$&255)|0)==7?!(Puc(Z,0,-1,453204,7)|0):0))mib(KEa(c)|0,Y);Z=Y+20|0;if((f[Z>>2]|0)>0){$=Y+28|0;aa=0;do{ba=f[(f[$>>2]|0)+4+(aa<<2)>>2]|0;if((ZEa(e,ba)|0)==(i|0)){SEa(g,391307,392859,235,490347,0,1);ca=ba+11|0;da=ba+4|0;while(1){if(!(b[a>>0]|0))break;ea=aE(j,392882,19)|0;fa=b[ca>>0]|0;ga=fa<<24>>24<0;tkc(aE(aE(ea,ga?f[ba>>2]|0:ba,ga?f[da>>2]|0:fa&255)|0,392902,10)|0,aa)|0;TEa(g)}f[m>>2]=35348;f[p>>2]=35388;f[j>>2]=35368;f[q>>2]=35404;if((b[s>>0]|0)<0)fuc(f[r>>2]|0);Ric(q);Zjc(m,35464);Mic(p)}da=cEa(e,ba)|0;ca=f[da>>2]|0;if(((ca|0)!=-1?(da=f[(f[l>>2]|0)+4+(ca<<2)>>2]|0,ca=da+164|0,fa=f[ca>>2]|0,ga=f[(fa|0?fa:540024)+60>>2]|0,fa=b[ga+11>>0]|0,((fa<<24>>24<0?f[ga+4>>2]|0:fa&255)|0)==7):0)?(Puc(ga,0,-1,453204,7)|0)==0:0){ga=f[_>>2]|0;fa=b[ga+11>>0]|0;ea=f[ga+4>>2]|0;if(((fa<<24>>24<0?ea:fa&255)|0)==4)if(!(Puc(ga,0,-1,391382,4)|0))ha=1;else{ia=f[_>>2]|0;ja=b[ia+11>>0]|0;ka=f[ia+4>>2]|0;la=ia;ma=32}else{ja=fa;ka=ea;la=ga;ma=32}if((ma|0)==32){ma=0;if(((ja<<24>>24<0?ka:ja&255)|0)==4)ha=(Puc(la,0,-1,391582,4)|0)==0;else ha=0}SEa(g,391307,392859,247,443954,392913,ha);while(1){if(!(b[t>>0]|0))break;ga=aE(v,393011,66)|0;ea=f[_>>2]|0;fa=b[ea+11>>0]|0;ia=fa<<24>>24<0;aE(ga,ia?f[ea>>2]|0:ea,ia?f[ea+4>>2]|0:fa&255)|0;TEa(g)}f[w>>2]=35348;f[x>>2]=35388;f[v>>2]=35368;f[y>>2]=35404;if((b[A>>0]|0)<0)fuc(f[z>>2]|0);Ric(y);Zjc(w,35464);Mic(x);SEa(g,391307,392859,251,443954,392978,(f[Z>>2]|0)==1);while(1){if(!(b[B>>0]|0))break;aE(C,393107,40)|0;TEa(g)}f[D>>2]=35348;f[E>>2]=35388;f[C>>2]=35368;f[F>>2]=35404;if((b[H>>0]|0)<0)fuc(f[G>>2]|0);Ric(F);Zjc(D,35464);Mic(E);SEa(g,391307,392859,253,443954,393078,(f[da+20>>2]|0)==1);while(1){if(!(b[I>>0]|0))break;aE(J,393174,43)|0;TEa(g)}f[K>>2]=35348;f[L>>2]=35388;f[J>>2]=35368;f[M>>2]=35404;if((b[O>>0]|0)<0)fuc(f[N>>2]|0);Ric(M);Zjc(K,35464);Mic(L);SEa(g,391307,392859,255,443954,393148,(f[da+36>>2]|0)==1);while(1){if(!(b[P>>0]|0))break;aE(Q,393218,47)|0;TEa(g)}f[R>>2]=35348;f[S>>2]=35388;f[Q>>2]=35368;f[T>>2]=35404;if((b[V>>0]|0)<0)fuc(f[U>>2]|0);Ric(T);Zjc(R,35464);Mic(S);ba=(f[h>>2]|0)+-1|0;fa=f[(f[W>>2]|0)+4+(ba<<2)>>2]|0;ea=fa+8|0;f[ea>>2]=f[ea>>2]|2;ea=fa+164|0;ia=f[ea>>2]|0;if(!ia){ga=cuc(196)|0;WYa(ga);f[ea>>2]=ga;na=ga;oa=f[(f[W>>2]|0)+4+(ba<<2)>>2]|0}else{na=ia;oa=fa}fa=f[ca>>2]|0;ia=f[(fa|0?fa:540024)+92>>2]|0;fa=na+8|0;f[fa>>2]=f[fa>>2]|512;f[na+92>>2]=ia;ruc(f[(f[oa+28>>2]|0)+4+(aa<<2)>>2]|0,f[(f[da+28>>2]|0)+4>>2]|0)|0}aa=aa+1|0}while((aa|0)<(f[Z>>2]|0))}Z=Y+36|0;if((f[Z>>2]|0)>0){aa=Y+44|0;_=0;do{$=cEa(e,f[(f[aa>>2]|0)+4+(_<<2)>>2]|0)|0;f[$>>2]=X;_=_+1|0}while((_|0)<(f[Z>>2]|0))}X=X+1|0}while((X|0)<(f[k>>2]|0));n=e;o=f[i>>2]|0;_Da(n,o);u=d;return}function JEa(a,b){a=a|0;b=b|0;var c=0;c=cuc(12)|0;ouc(c,b);f[a>>2]=c;return}function KEa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;b=a+16|0;c=a+28|0;d=f[c>>2]|0;do if(!d){e=a+20|0;g=f[a+24>>2]|0;h=6}else{i=a+20|0;j=f[i>>2]|0;k=f[d>>2]|0;if((j|0)>=(k|0))if((k|0)==(f[a+24>>2]|0)){e=i;g=k;h=6;break}else{l=i;m=k;n=d;break}f[i>>2]=j+1;o=f[d+4+(j<<2)>>2]|0;return o|0}while(0);if((h|0)==6){LKb(b,g+1|0);g=f[c>>2]|0;l=e;m=f[g>>2]|0;n=g}f[n>>2]=m+1;m=f[b>>2]|0;if(!m){b=cuc(296)|0;l7a(b);p=b}else{if(f[m+64>>2]|0)HIb(m,19736,296);b=GIb(m,296,1963)|0;l7a(b);p=b}b=f[c>>2]|0;c=f[l>>2]|0;f[l>>2]=c+1;f[b+4+(c<<2)>>2]=p;o=p;return o|0}function LEa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0;d=u;u=u+176|0;e=d;if(!a){g=cuc(32)|0;f[e>>2]=g;f[e+8>>2]=-2147483616;f[e+4>>2]=28;h=g;i=391254;j=h+28|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(j|0));b[g+28>>0]=0;WD(-215,e,391283,391307,273)}dZa(c);g=a+20|0;if((f[g>>2]|0)>0){i=a+28|0;h=c+16|0;j=0;do{k=f[(f[i>>2]|0)+4+(j<<2)>>2]|0;ruc(MEa(h)|0,k)|0;j=j+1|0}while((j|0)<(f[g>>2]|0))}g=a+36|0;if((f[g>>2]|0)>0){j=a+44|0;h=c+32|0;i=0;do{k=f[(f[j>>2]|0)+4+(i<<2)>>2]|0;ruc(MEa(h)|0,k)|0;i=i+1|0}while((i|0)<(f[g>>2]|0))}if(!(f[a+8>>2]&2)){l=1;u=d;return l|0}g=f[a+164>>2]|0;i=g|0?g:540024;g=i+8|0;do if(f[g>>2]&1|0){h=f[i+56>>2]|0;j=c+8|0;f[j>>2]=f[j>>2]|1;j=c+160|0;k=f[j>>2]|0;if((k|0)==542896){JEa(j,h);break}else{ruc(k,h)|0;break}}while(0);h=f[i+60>>2]|0;if(f[g>>2]&2|0){k=PEa(h)|0;j=c+12|0;f[j>>2]=f[j>>2]|1;f[c+288>>2]=k}k=c+48|0;j=a+48|0;do if((c|0)!=(a|0))if((f[j>>2]|0)==(f[k>>2]|0)){m=c+60|0;n=a+60|0;o=f[m>>2]|0;f[m>>2]=f[n>>2];f[n>>2]=o;o=c+52|0;n=a+52|0;m=f[o>>2]|0;f[o>>2]=f[n>>2];f[n>>2]=m;m=c+56|0;n=a+56|0;o=f[m>>2]|0;f[m>>2]=f[n>>2];f[n>>2]=o;break}else{QEa(k,j);break}while(0);j=i+32|0;if((f[j>>2]|0)>0){k=i+40|0;a=c+64|0;o=c+68|0;n=c+72|0;m=0;p=f[a>>2]|0;do{q=f[(f[k>>2]|0)+4+(m<<2)>>2]|0;if((p|0)==(f[o>>2]|0)){REa(a,p+1|0);r=f[a>>2]|0}else r=p;s=f[n>>2]|0;p=r+1|0;f[a>>2]=p;f[s+4+(r<<2)>>2]=q;m=m+1|0}while((m|0)<(f[j>>2]|0))}j=i+44|0;if((f[j>>2]|0)>0){m=i+52|0;r=c+76|0;p=c+80|0;a=c+84|0;n=0;o=f[r>>2]|0;do{k=f[(f[m>>2]|0)+4+(n<<2)>>2]|0;if((o|0)==(f[p>>2]|0)){REa(r,o+1|0);t=f[r>>2]|0}else t=o;q=f[a>>2]|0;o=t+1|0;f[r>>2]=o;f[q+4+(t<<2)>>2]=k;n=n+1|0}while((n|0)<(f[j>>2]|0))}a:do if(!(f[g>>2]&256))v=1;else{j=h+11|0;n=b[j>>0]|0;t=h+4|0;o=f[t>>2]|0;do if(((n<<24>>24<0?o:n&255)|0)==4){if(Puc(h,0,-1,391382,4)|0){w=b[j>>0]|0;x=f[t>>2]|0;break}r=c+8|0;f[r>>2]=f[r>>2]|8;r=c+172|0;a=f[r>>2]|0;if(!a){p=cuc(120)|0;rZa(p);f[r>>2]=p;y=p}else y=a;a=f[i+88>>2]|0;p=y+8|0;f[p>>2]=f[p>>2]|4;f[y+72>>2]=a;v=1;break a}else{w=n;x=o}while(0);if(((w<<24>>24<0?x:w&255)|0)==12?(Puc(h,0,-1,391387,12)|0)==0:0){o=c+8|0;f[o>>2]=f[o>>2]|1024;o=c+200|0;n=f[o>>2]|0;if(!n){a=cuc(36)|0;BZa(a);f[o>>2]=a;z=a}else z=n;n=f[i+88>>2]|0;a=z+8|0;f[a>>2]=f[a>>2]|4;f[z+24>>2]=n;v=1;break}SEa(e,391307,391283,307,490738,0,1);n=e+21|0;a=e+32|0;while(1){if(!(b[n>>0]|0))break;o=aE(a,391400,44)|0;p=b[j>>0]|0;r=p<<24>>24<0;aE(o,r?f[h>>2]|0:h,r?f[t>>2]|0:p&255)|0;TEa(e)}t=e+24|0;f[t>>2]=35348;j=e+88|0;f[j>>2]=35388;f[a>>2]=35368;n=e+36|0;f[n>>2]=35404;p=e+68|0;if((b[p+11>>0]|0)<0)fuc(f[p>>2]|0);Ric(n);Zjc(t,35464);Mic(j);v=0}while(0);b:do if(!(f[g>>2]&8388608))A=v;else{z=h+11|0;w=b[z>>0]|0;x=h+4|0;y=f[x>>2]|0;do if(((w<<24>>24<0?y:w&255)|0)==4){if(Puc(h,0,-1,391382,4)|0){B=b[z>>0]|0;C=f[x>>2]|0;break}j=c+8|0;f[j>>2]=f[j>>2]|8;j=c+172|0;t=f[j>>2]|0;if(!t){n=cuc(120)|0;rZa(n);f[j>>2]=n;D=n}else D=t;t=b[i+144>>0]|0;n=D+8|0;f[n>>2]=f[n>>2]|4096;b[D+112>>0]=t;A=v;break b}else{B=w;C=y}while(0);if(((B<<24>>24<0?C:B&255)|0)==12?(Puc(h,0,-1,391387,12)|0)==0:0){y=c+8|0;f[y>>2]=f[y>>2]|1024;y=c+200|0;w=f[y>>2]|0;if(!w){a=cuc(36)|0;BZa(a);f[y>>2]=a;E=a}else E=w;w=b[i+144>>0]|0;a=E+8|0;f[a>>2]=f[a>>2]|16;b[E+29>>0]=w;A=v;break}SEa(e,391307,391283,319,490738,0,1);w=e+21|0;a=e+32|0;while(1){if(!(b[w>>0]|0))break;y=aE(a,391445,42)|0;t=b[z>>0]|0;n=t<<24>>24<0;aE(y,n?f[h>>2]|0:h,n?f[x>>2]|0:t&255)|0;TEa(e)}x=e+24|0;f[x>>2]=35348;z=e+88|0;f[z>>2]=35388;f[a>>2]=35368;w=e+36|0;f[w>>2]=35404;t=e+68|0;if((b[t+11>>0]|0)<0)fuc(f[t>>2]|0);Ric(w);Zjc(x,35464);Mic(z);A=0}while(0);c:do if(!(f[g>>2]&32))F=A;else{v=h+11|0;E=b[v>>0]|0;B=h+4|0;C=f[B>>2]|0;do if(((E<<24>>24<0?C:E&255)|0)==4){if(Puc(h,0,-1,391382,4)|0){G=b[v>>0]|0;H=f[B>>2]|0;break}D=c+8|0;f[D>>2]=f[D>>2]|8;D=c+172|0;z=f[D>>2]|0;if(!z){x=cuc(120)|0;rZa(x);f[D>>2]=x;I=x}else I=z;z=I+8|0;f[z>>2]=f[z>>2]|1;z=I+64|0;x=f[z>>2]|0;if(!x){D=cuc(48)|0;DXa(D);f[z>>2]=D;J=D}else J=x;x=f[i+76>>2]|0;Chb(J,x|0?x:537032);F=A;break c}else{G=E;H=C}while(0);if(((G<<24>>24<0?H:G&255)|0)==12?(Puc(h,0,-1,391387,12)|0)==0:0){C=c+8|0;f[C>>2]=f[C>>2]|1024;C=c+200|0;E=f[C>>2]|0;if(!E){a=cuc(36)|0;BZa(a);f[C>>2]=a;K=a}else K=E;E=K+8|0;f[E>>2]=f[E>>2]|1;E=K+16|0;a=f[E>>2]|0;if(!a){C=cuc(48)|0;DXa(C);f[E>>2]=C;L=C}else L=a;a=f[i+76>>2]|0;Chb(L,a|0?a:537032);F=A;break}SEa(e,391307,391283,331,490738,0,1);a=e+21|0;C=e+32|0;while(1){if(!(b[a>>0]|0))break;E=aE(C,391488,47)|0;x=b[v>>0]|0;D=x<<24>>24<0;aE(E,D?f[h>>2]|0:h,D?f[B>>2]|0:x&255)|0;TEa(e)}B=e+24|0;f[B>>2]=35348;v=e+88|0;f[v>>2]=35388;f[C>>2]=35368;a=e+36|0;f[a>>2]=35404;x=e+68|0;if((b[x+11>>0]|0)<0)fuc(f[x>>2]|0);Ric(a);Zjc(B,35464);Mic(v);F=0}while(0);d:do if(!(f[g>>2]&64))M=F;else{A=h+11|0;L=b[A>>0]|0;K=h+4|0;G=f[K>>2]|0;do if(((L<<24>>24<0?G:L&255)|0)==4){if(Puc(h,0,-1,391382,4)|0){N=b[A>>0]|0;O=f[K>>2]|0;break}H=c+8|0;f[H>>2]=f[H>>2]|8;H=c+172|0;J=f[H>>2]|0;if(!J){I=cuc(120)|0;rZa(I);f[H>>2]=I;P=I}else P=J;J=P+8|0;f[J>>2]=f[J>>2]|2;J=P+68|0;I=f[J>>2]|0;if(!I){H=cuc(48)|0;DXa(H);f[J>>2]=H;Q=H}else Q=I;I=f[i+80>>2]|0;Chb(Q,I|0?I:537032);M=F;break d}else{N=L;O=G}while(0);if(((N<<24>>24<0?O:N&255)|0)==12?(Puc(h,0,-1,391387,12)|0)==0:0){G=c+8|0;f[G>>2]=f[G>>2]|1024;G=c+200|0;L=f[G>>2]|0;if(!L){C=cuc(36)|0;BZa(C);f[G>>2]=C;R=C}else R=L;L=R+8|0;f[L>>2]=f[L>>2]|2;L=R+20|0;C=f[L>>2]|0;if(!C){G=cuc(48)|0;DXa(G);f[L>>2]=G;S=G}else S=C;C=f[i+80>>2]|0;Chb(S,C|0?C:537032);M=F;break}SEa(e,391307,391283,343,490738,0,1);C=e+21|0;G=e+32|0;while(1){if(!(b[C>>0]|0))break;L=aE(G,391536,45)|0;I=b[A>>0]|0;H=I<<24>>24<0;aE(L,H?f[h>>2]|0:h,H?f[K>>2]|0:I&255)|0;TEa(e)}K=e+24|0;f[K>>2]=35348;A=e+88|0;f[A>>2]=35388;f[G>>2]=35368;C=e+36|0;f[C>>2]=35404;I=e+68|0;if((b[I+11>>0]|0)<0)fuc(f[I>>2]|0);Ric(C);Zjc(K,35464);Mic(A);M=0}while(0);e:do if(!(f[g>>2]&512))T=M;else{F=h+11|0;S=b[F>>0]|0;R=h+4|0;N=f[R>>2]|0;do if(((S<<24>>24<0?N:S&255)|0)==4){if(Puc(h,0,-1,391382,4)|0){U=b[F>>0]|0;V=f[R>>2]|0;break}O=c+8|0;f[O>>2]=f[O>>2]|8;O=c+172|0;Q=f[O>>2]|0;if(!Q){P=cuc(120)|0;rZa(P);f[O>>2]=P;W=P}else W=Q;Q=f[i+92>>2]|0;P=W+16|0;O=f[P>>2]|0;if((O|0)==(f[W+20>>2]|0)){UEa(P,O+1|0);X=f[P>>2]|0}else X=O;O=f[W+24>>2]|0;f[P>>2]=X+1;f[O+4+(X<<2)>>2]=Q;T=M;break e}else{U=S;V=N}while(0);if(((U<<24>>24<0?V:U&255)|0)==4?(Puc(h,0,-1,391582,4)|0)==0:0){N=c+8|0;f[N>>2]=f[N>>2]|4096;N=c+208|0;S=f[N>>2]|0;if(!S){G=cuc(68)|0;FZa(G);f[N>>2]=G;Y=G}else Y=S;S=f[i+92>>2]|0;G=Y+8|0;f[G>>2]=f[G>>2]|4;f[Y+24>>2]=S;T=M;break}SEa(e,391307,391283,353,490738,0,1);S=e+21|0;G=e+32|0;while(1){if(!(b[S>>0]|0))break;N=aE(G,391587,37)|0;Q=b[F>>0]|0;O=Q<<24>>24<0;aE(N,O?f[h>>2]|0:h,O?f[R>>2]|0:Q&255)|0;TEa(e)}R=e+24|0;f[R>>2]=35348;F=e+88|0;f[F>>2]=35388;f[G>>2]=35368;S=e+36|0;f[S>>2]=35404;Q=e+68|0;if((b[Q+11>>0]|0)<0)fuc(f[Q>>2]|0);Ric(S);Zjc(R,35464);Mic(F);T=0}while(0);f:do if(!(f[g>>2]&1024))Z=T;else{M=h+11|0;Y=b[M>>0]|0;U=h+4|0;V=f[U>>2]|0;do if(((Y<<24>>24<0?V:Y&255)|0)==4){if(Puc(h,0,-1,391382,4)|0){_=b[M>>0]|0;$=f[U>>2]|0;break}X=c+8|0;f[X>>2]=f[X>>2]|8;X=c+172|0;W=f[X>>2]|0;if(!W){F=cuc(120)|0;rZa(F);f[X>>2]=F;aa=F}else aa=W;W=f[i+96>>2]|0;F=aa+28|0;X=f[F>>2]|0;if((X|0)==(f[aa+32>>2]|0)){UEa(F,X+1|0);ba=f[F>>2]|0}else ba=X;X=f[aa+36>>2]|0;f[F>>2]=ba+1;f[X+4+(ba<<2)>>2]=W;Z=T;break f}else{_=Y;$=V}while(0);if(((_<<24>>24<0?$:_&255)|0)==4?(Puc(h,0,-1,391582,4)|0)==0:0){V=c+8|0;f[V>>2]=f[V>>2]|4096;V=c+208|0;Y=f[V>>2]|0;if(!Y){G=cuc(68)|0;FZa(G);f[V>>2]=G;ca=G}else ca=Y;Y=f[i+96>>2]|0;G=ca+8|0;f[G>>2]=f[G>>2]|2;f[ca+20>>2]=Y;Z=T;break}SEa(e,391307,391283,365,490738,0,1);Y=e+21|0;G=e+32|0;while(1){if(!(b[Y>>0]|0))break;V=aE(G,391625,44)|0;W=b[M>>0]|0;X=W<<24>>24<0;aE(V,X?f[h>>2]|0:h,X?f[U>>2]|0:W&255)|0;TEa(e)}U=e+24|0;f[U>>2]=35348;M=e+88|0;f[M>>2]=35388;f[G>>2]=35368;Y=e+36|0;f[Y>>2]=35404;W=e+68|0;if((b[W+11>>0]|0)<0)fuc(f[W>>2]|0);Ric(Y);Zjc(U,35464);Mic(M);Z=0}while(0);do if(!(f[g>>2]&16777216))da=Z;else{T=h+11|0;ca=b[T>>0]|0;_=h+4|0;if(((ca<<24>>24<0?f[_>>2]|0:ca&255)|0)==4?(Puc(h,0,-1,391382,4)|0)==0:0){ca=c+8|0;f[ca>>2]=f[ca>>2]|8;ca=c+172|0;$=f[ca>>2]|0;if(!$){ba=cuc(120)|0;rZa(ba);f[ca>>2]=ba;ea=ba}else ea=$;$=f[i+148>>2]|0;ba=ea+8|0;f[ba>>2]=f[ba>>2]|8192;f[ea+116>>2]=$;da=Z;break}SEa(e,391307,391283,374,490738,0,1);$=e+21|0;ba=e+32|0;while(1){if(!(b[$>>0]|0))break;ca=aE(ba,391670,39)|0;aa=b[T>>0]|0;M=aa<<24>>24<0;aE(ca,M?f[h>>2]|0:h,M?f[_>>2]|0:aa&255)|0;TEa(e)}_=e+24|0;f[_>>2]=35348;T=e+88|0;f[T>>2]=35388;f[ba>>2]=35368;$=e+36|0;f[$>>2]=35404;G=e+68|0;if((b[G+11>>0]|0)<0)fuc(f[G>>2]|0);Ric($);Zjc(_,35464);Mic(T);da=0}while(0);g:do if(!(f[g>>2]&33554432))fa=da;else{Z=h+11|0;ea=b[Z>>0]|0;T=h+4|0;_=f[T>>2]|0;do if(((ea<<24>>24<0?_:ea&255)|0)==4){if(Puc(h,0,-1,391382,4)|0){ga=b[Z>>0]|0;ha=f[T>>2]|0;break}$=c+8|0;f[$>>2]=f[$>>2]|8;$=c+172|0;G=f[$>>2]|0;if(!G){aa=cuc(120)|0;rZa(aa);f[$>>2]=aa;ia=aa}else ia=G;G=f[i+152>>2]|0;aa=ia+40|0;$=f[aa>>2]|0;if(($|0)==(f[ia+44>>2]|0)){UEa(aa,$+1|0);ja=f[aa>>2]|0}else ja=$;$=f[ia+48>>2]|0;f[aa>>2]=ja+1;f[$+4+(ja<<2)>>2]=G;fa=da;break g}else{ga=ea;ha=_}while(0);do if(((ga<<24>>24<0?ha:ga&255)|0)==4){if(Puc(h,0,-1,391582,4)|0)break;_=c+8|0;f[_>>2]=f[_>>2]|4096;_=c+208|0;ea=f[_>>2]|0;if(!ea){ba=cuc(68)|0;FZa(ba);f[_>>2]=ba;ka=ba}else ka=ea;ea=f[i+152>>2]|0;ba=ka+8|0;f[ba>>2]=f[ba>>2]|2048;f[ka+60>>2]=ea;fa=da;break g}while(0);SEa(e,391307,391283,386,490738,0,1);ea=e+21|0;ba=e+32|0;while(1){if(!(b[ea>>0]|0))break;_=aE(ba,391710,40)|0;G=b[Z>>0]|0;$=G<<24>>24<0;aE(_,$?f[h>>2]|0:h,$?f[T>>2]|0:G&255)|0;TEa(e)}T=e+24|0;f[T>>2]=35348;Z=e+88|0;f[Z>>2]=35388;f[ba>>2]=35368;ea=e+36|0;f[ea>>2]=35404;G=e+68|0;if((b[G+11>>0]|0)<0)fuc(f[G>>2]|0);Ric(ea);Zjc(T,35464);Mic(Z);fa=0}while(0);h:do if(!(f[g>>2]&2048))la=fa;else{da=h+11|0;ka=b[da>>0]|0;ga=h+4|0;do if(((ka<<24>>24<0?f[ga>>2]|0:ka&255)|0)==4){if(Puc(h,0,-1,391582,4)|0)break;ha=f[i+100>>2]|0;switch(ha|0){case 0:{ja=c+8|0;f[ja>>2]=f[ja>>2]|4096;ja=c+208|0;ia=f[ja>>2]|0;if(!ia){Z=cuc(68)|0;FZa(Z);f[ja>>2]=Z;ma=Z}else ma=ia;ia=ma+8|0;f[ia>>2]=f[ia>>2]|1;f[ma+16>>2]=0;la=fa;break h;break}case 1:{ia=c+8|0;f[ia>>2]=f[ia>>2]|4096;ia=c+208|0;Z=f[ia>>2]|0;if(!Z){ja=cuc(68)|0;FZa(ja);f[ia>>2]=ja;na=ja}else na=Z;Z=na+8|0;f[Z>>2]=f[Z>>2]|1;f[na+16>>2]=1;la=fa;break h;break}case 2:{Z=c+8|0;f[Z>>2]=f[Z>>2]|4096;Z=c+208|0;ja=f[Z>>2]|0;if(!ja){ia=cuc(68)|0;FZa(ia);f[Z>>2]=ia;oa=ia}else oa=ja;ja=oa+8|0;f[ja>>2]=f[ja>>2]|1;f[oa+16>>2]=2;la=fa;break h;break}default:{SEa(e,391307,391283,407,490738,0,1);ja=e+21|0;ia=e+32|0;while(1){if(!(b[ja>>0]|0))break;tkc(aE(ia,391751,20)|0,ha)|0;TEa(e)}ha=e+24|0;f[ha>>2]=35348;ja=e+88|0;f[ja>>2]=35388;f[ia>>2]=35368;Z=e+36|0;f[Z>>2]=35404;T=e+68|0;if((b[T+11>>0]|0)<0)fuc(f[T>>2]|0);Ric(Z);Zjc(ha,35464);Mic(ja);la=0;break h}}}while(0);SEa(e,391307,391283,411,490738,0,1);ka=e+21|0;ba=e+32|0;while(1){if(!(b[ka>>0]|0))break;ja=aE(ba,391772,38)|0;ha=b[da>>0]|0;Z=ha<<24>>24<0;aE(ja,Z?f[h>>2]|0:h,Z?f[ga>>2]|0:ha&255)|0;TEa(e)}ga=e+24|0;f[ga>>2]=35348;da=e+88|0;f[da>>2]=35388;f[ba>>2]=35368;ka=e+36|0;f[ka>>2]=35404;ha=e+68|0;if((b[ha+11>>0]|0)<0)fuc(f[ha>>2]|0);Ric(ka);Zjc(ga,35464);Mic(da);la=0}while(0);i:do if(!(f[g>>2]&67108864))pa=la;else{fa=h+11|0;oa=b[fa>>0]|0;na=h+4|0;do if(((oa<<24>>24<0?f[na>>2]|0:oa&255)|0)==7){if(Puc(h,0,-1,391811,7)|0)break;ma=c+8|0;f[ma>>2]=f[ma>>2]|32;ma=c+180|0;da=f[ma>>2]|0;if(!da){ga=cuc(24)|0;vZa(ga);f[ma>>2]=ga;qa=ga}else qa=da;da=f[i+156>>2]|0;ga=qa+8|0;f[ga>>2]=f[ga>>2]|1;f[qa+16>>2]=da;pa=la;break i}while(0);SEa(e,391307,391283,420,490738,0,1);oa=e+21|0;ba=e+32|0;while(1){if(!(b[oa>>0]|0))break;da=aE(ba,391819,47)|0;ga=b[fa>>0]|0;ma=ga<<24>>24<0;aE(da,ma?f[h>>2]|0:h,ma?f[na>>2]|0:ga&255)|0;TEa(e)}na=e+24|0;f[na>>2]=35348;fa=e+88|0;f[fa>>2]=35388;f[ba>>2]=35368;oa=e+36|0;f[oa>>2]=35404;ga=e+68|0;if((b[ga+11>>0]|0)<0)fuc(f[ga>>2]|0);Ric(oa);Zjc(na,35464);Mic(fa);pa=0}while(0);j:do if(!(f[g>>2]&134217728))ra=pa;else{la=h+11|0;qa=b[la>>0]|0;fa=h+4|0;do if(((qa<<24>>24<0?f[fa>>2]|0:qa&255)|0)==3){if(Puc(h,0,-1,391867,3)|0)break;na=c+8|0;f[na>>2]=f[na>>2]|2048;na=c+204|0;oa=f[na>>2]|0;if(!oa){ga=cuc(40)|0;DZa(ga);f[na>>2]=ga;sa=ga}else sa=oa;oa=f[i+160>>2]|0;ga=sa+8|0;f[ga>>2]=f[ga>>2]|4;f[sa+24>>2]=oa;ra=pa;break j}while(0);SEa(e,391307,391283,429,490738,0,1);qa=e+21|0;ba=e+32|0;while(1){if(!(b[qa>>0]|0))break;oa=aE(ba,391871,44)|0;ga=b[la>>0]|0;na=ga<<24>>24<0;aE(oa,na?f[h>>2]|0:h,na?f[fa>>2]|0:ga&255)|0;TEa(e)}fa=e+24|0;f[fa>>2]=35348;la=e+88|0;f[la>>2]=35388;f[ba>>2]=35368;qa=e+36|0;f[qa>>2]=35404;ga=e+68|0;if((b[ga+11>>0]|0)<0)fuc(f[ga>>2]|0);Ric(qa);Zjc(fa,35464);Mic(la);ra=0}while(0);k:do if(!(f[g>>2]&268435456))ta=ra;else{pa=h+11|0;sa=b[pa>>0]|0;la=h+4|0;do if(((sa<<24>>24<0?f[la>>2]|0:sa&255)|0)==3){if(Puc(h,0,-1,391867,3)|0)break;fa=c+8|0;f[fa>>2]=f[fa>>2]|2048;fa=c+204|0;qa=f[fa>>2]|0;if(!qa){ga=cuc(40)|0;DZa(ga);f[fa>>2]=ga;ua=ga}else ua=qa;qa=f[i+164>>2]|0;ga=ua+8|0;f[ga>>2]=f[ga>>2]|8;f[ua+28>>2]=qa;ta=ra;break k}while(0);SEa(e,391307,391283,437,490738,0,1);sa=e+21|0;ba=e+32|0;while(1){if(!(b[sa>>0]|0))break;qa=aE(ba,391916,39)|0;ga=b[pa>>0]|0;fa=ga<<24>>24<0;aE(qa,fa?f[h>>2]|0:h,fa?f[la>>2]|0:ga&255)|0;TEa(e)}la=e+24|0;f[la>>2]=35348;pa=e+88|0;f[pa>>2]=35388;f[ba>>2]=35368;sa=e+36|0;f[sa>>2]=35404;ga=e+68|0;if((b[ga+11>>0]|0)<0)fuc(f[ga>>2]|0);Ric(sa);Zjc(la,35464);Mic(pa);ta=0}while(0);ra=f[g>>2]|0;if(!(ra&536870912)){va=ta;wa=ra}else{ra=h+11|0;ua=b[ra>>0]|0;pa=h+4|0;do if(((ua<<24>>24<0?f[pa>>2]|0:ua&255)|0)==3){if(Puc(h,0,-1,391867,3)|0){xa=249;break}la=c+8|0;f[la>>2]=f[la>>2]|2048;la=c+204|0;sa=f[la>>2]|0;if(!sa){ga=cuc(40)|0;DZa(ga);f[la>>2]=ga;ya=ga}else ya=sa;sa=f[i+168>>2]|0;ga=ya+8|0;f[ga>>2]=f[ga>>2]|16;f[ya+32>>2]=sa;za=ta}else xa=249;while(0);if((xa|0)==249){SEa(e,391307,391283,445,490738,0,1);xa=e+21|0;ta=e+32|0;while(1){if(!(b[xa>>0]|0))break;ya=aE(ta,391956,38)|0;ua=b[ra>>0]|0;sa=ua<<24>>24<0;aE(ya,sa?f[h>>2]|0:h,sa?f[pa>>2]|0:ua&255)|0;TEa(e)}pa=e+24|0;f[pa>>2]=35348;ra=e+88|0;f[ra>>2]=35388;f[ta>>2]=35368;ta=e+36|0;f[ta>>2]=35404;xa=e+68|0;if((b[xa+11>>0]|0)<0)fuc(f[xa>>2]|0);Ric(ta);Zjc(pa,35464);Mic(ra);za=0}va=za;wa=f[g>>2]|0}l:do if((wa|0)<0){za=h+11|0;ra=b[za>>0]|0;pa=h+4|0;do if(((ra<<24>>24<0?f[pa>>2]|0:ra&255)|0)==3){if(Puc(h,0,-1,391867,3)|0)break;ta=c+8|0;f[ta>>2]=f[ta>>2]|2048;ta=c+204|0;xa=f[ta>>2]|0;if(!xa){ua=cuc(40)|0;DZa(ua);f[ta>>2]=ua;Aa=ua}else Aa=xa;xa=f[i+176>>2]|0;ua=Aa+8|0;f[ua>>2]=f[ua>>2]|32;f[Aa+36>>2]=xa;Ba=va;break l}while(0);SEa(e,391307,391283,453,490738,0,1);ra=e+21|0;ba=e+32|0;while(1){if(!(b[ra>>0]|0))break;xa=aE(ba,391995,35)|0;ua=b[za>>0]|0;ta=ua<<24>>24<0;aE(xa,ta?f[h>>2]|0:h,ta?f[pa>>2]|0:ua&255)|0;TEa(e)}pa=e+24|0;f[pa>>2]=35348;za=e+88|0;f[za>>2]=35388;f[ba>>2]=35368;ra=e+36|0;f[ra>>2]=35404;ua=e+68|0;if((b[ua+11>>0]|0)<0)fuc(f[ua>>2]|0);Ric(ra);Zjc(pa,35464);Mic(za);Ba=0}else Ba=va;while(0);m:do if(!(f[g>>2]&4))Ca=Ba;else{va=h+11|0;Aa=b[va>>0]|0;wa=h+4|0;za=f[wa>>2]|0;do if(((Aa<<24>>24<0?za:Aa&255)|0)==4){if(Puc(h,0,-1,392031,4)|0){Da=b[va>>0]|0;Ea=f[wa>>2]|0;break}pa=c+8|0;f[pa>>2]=f[pa>>2]|16;pa=c+176|0;ra=f[pa>>2]|0;if(!ra){ua=cuc(52)|0;tZa(ua);f[pa>>2]=ua;Fa=ua}else Fa=ra;ra=f[i+64>>2]|0;ua=Fa+8|0;f[ua>>2]=f[ua>>2]|1;ua=Fa+16|0;pa=f[ua>>2]|0;if((pa|0)==542896){JEa(ua,ra);Ca=Ba;break m}else{ruc(pa,ra)|0;Ca=Ba;break m}}else{Da=Aa;Ea=za}while(0);do if(((Da<<24>>24<0?Ea:Da&255)|0)==9){if(Puc(h,0,-1,392036,9)|0){Ga=b[va>>0]|0;Ha=f[wa>>2]|0;break}za=c+8|0;f[za>>2]=f[za>>2]|64;za=c+184|0;Aa=f[za>>2]|0;if(!Aa){ba=cuc(28)|0;wZa(ba);f[za>>2]=ba;Ia=ba}else Ia=Aa;Aa=f[i+64>>2]|0;ba=Ia+8|0;f[ba>>2]=f[ba>>2]|1;ba=Ia+16|0;za=f[ba>>2]|0;if((za|0)==542896){JEa(ba,Aa);Ca=Ba;break m}else{ruc(za,Aa)|0;Ca=Ba;break m}}else{Ga=Da;Ha=Ea}while(0);do if(((Ga<<24>>24<0?Ha:Ga&255)|0)==6){if(Puc(h,0,-1,392046,6)|0){Ja=b[va>>0]|0;Ka=f[wa>>2]|0;break}Aa=c+8|0;f[Aa>>2]=f[Aa>>2]|256;Aa=c+192|0;za=f[Aa>>2]|0;if(!za){ba=cuc(60)|0;yZa(ba);f[Aa>>2]=ba;La=ba}else La=za;za=f[i+64>>2]|0;ba=La+8|0;f[ba>>2]=f[ba>>2]|1;ba=La+16|0;Aa=f[ba>>2]|0;if((Aa|0)==542896){JEa(ba,za);Ca=Ba;break m}else{ruc(Aa,za)|0;Ca=Ba;break m}}else{Ja=Ga;Ka=Ha}while(0);do if(((Ja<<24>>24<0?Ka:Ja&255)|0)==11){if(Puc(h,0,-1,392053,11)|0){Ma=b[va>>0]|0;Na=f[wa>>2]|0;break}za=c+8|0;f[za>>2]=f[za>>2]|8192;za=c+212|0;Aa=f[za>>2]|0;if(!Aa){ba=cuc(64)|0;HZa(ba);f[za>>2]=ba;Oa=ba}else Oa=Aa;Aa=f[i+64>>2]|0;ba=Oa+8|0;f[ba>>2]=f[ba>>2]|1;ba=Oa+16|0;za=f[ba>>2]|0;if((za|0)==542896){JEa(ba,Aa);Ca=Ba;break m}else{ruc(za,Aa)|0;Ca=Ba;break m}}else{Ma=Ja;Na=Ka}while(0);do if(((Ma<<24>>24<0?Na:Ma&255)|0)==13){if(Puc(h,0,-1,392065,13)|0)break;Aa=c+8|0;f[Aa>>2]=f[Aa>>2]|512;Aa=c+196|0;za=f[Aa>>2]|0;if(!za){ba=cuc(20)|0;AZa(ba);f[Aa>>2]=ba;Pa=ba}else Pa=za;za=f[i+64>>2]|0;ba=Pa+8|0;f[ba>>2]=f[ba>>2]|1;ba=Pa+16|0;Aa=f[ba>>2]|0;if((Aa|0)==542896){JEa(ba,za);Ca=Ba;break m}else{ruc(Aa,za)|0;Ca=Ba;break m}}while(0);SEa(e,391307,391283,473,490738,0,1);za=e+21|0;Aa=e+32|0;while(1){if(!(b[za>>0]|0))break;ba=aE(Aa,392079,40)|0;ra=b[va>>0]|0;pa=ra<<24>>24<0;aE(ba,pa?f[h>>2]|0:h,pa?f[wa>>2]|0:ra&255)|0;TEa(e)}wa=e+24|0;f[wa>>2]=35348;va=e+88|0;f[va>>2]=35388;f[Aa>>2]=35368;za=e+36|0;f[za>>2]=35404;ra=e+68|0;if((b[ra+11>>0]|0)<0)fuc(f[ra>>2]|0);Ric(za);Zjc(wa,35464);Mic(va);Ca=0}while(0);Ba=f[g>>2]|0;if(!(Ba&1073741824))Qa=Ba;else{Ba=c+8|0;f[Ba>>2]=f[Ba>>2]|33554432;Ba=c+260|0;Pa=f[Ba>>2]|0;if(!Pa){Ma=cuc(44)|0;XZa(Ma);f[Ba>>2]=Ma;Ra=Ma}else Ra=Pa;Pa=f[i+172>>2]|0;Ma=Ra+8|0;f[Ma>>2]=f[Ma>>2]|32;f[Ra+40>>2]=Pa;Qa=f[g>>2]|0}do if(Qa&8|0){Pa=c+8|0;f[Pa>>2]=f[Pa>>2]|33554432;Pa=c+260|0;Ra=f[Pa>>2]|0;if(!Ra){Ma=cuc(44)|0;XZa(Ma);f[Pa>>2]=Ma;Sa=Ma}else Sa=Ra;Ra=f[i+68>>2]|0;Ma=Sa+8|0;f[Ma>>2]=f[Ma>>2]|1;Ma=Sa+28|0;Pa=f[Ma>>2]|0;if((Pa|0)==542896){JEa(Ma,Ra);break}else{ruc(Pa,Ra)|0;break}}while(0);n:do if(!(f[g>>2]&4096))Ta=Ca;else{Sa=h+11|0;Qa=b[Sa>>0]|0;Ra=h+4|0;Pa=f[Ra>>2]|0;do if(((Qa<<24>>24<0?Pa:Qa&255)|0)==4){if(Puc(h,0,-1,392031,4)|0){Ua=b[Sa>>0]|0;Va=f[Ra>>2]|0;break}Ma=c+8|0;f[Ma>>2]=f[Ma>>2]|16;Ma=c+176|0;Ba=f[Ma>>2]|0;if(!Ba){Na=cuc(52)|0;tZa(Na);f[Ma>>2]=Na;Wa=Na}else Wa=Ba;Ba=f[i+104>>2]|0;Na=Wa+8|0;f[Na>>2]=f[Na>>2]|4;f[Wa+24>>2]=Ba;Ta=Ca;break n}else{Ua=Qa;Va=Pa}while(0);do if(((Ua<<24>>24<0?Va:Ua&255)|0)==9){if(Puc(h,0,-1,392036,9)|0){Xa=b[Sa>>0]|0;Ya=f[Ra>>2]|0;break}Pa=c+8|0;f[Pa>>2]=f[Pa>>2]|64;Pa=c+184|0;Qa=f[Pa>>2]|0;if(!Qa){Aa=cuc(28)|0;wZa(Aa);f[Pa>>2]=Aa;Za=Aa}else Za=Qa;Qa=f[i+104>>2]|0;Aa=Za+8|0;f[Aa>>2]=f[Aa>>2]|2;f[Za+20>>2]=Qa;Ta=Ca;break n}else{Xa=Ua;Ya=Va}while(0);do if(((Xa<<24>>24<0?Ya:Xa&255)|0)==6){if(Puc(h,0,-1,392046,6)|0){_a=b[Sa>>0]|0;$a=f[Ra>>2]|0;break}Qa=c+8|0;f[Qa>>2]=f[Qa>>2]|256;Qa=c+192|0;Aa=f[Qa>>2]|0;if(!Aa){Pa=cuc(60)|0;yZa(Pa);f[Qa>>2]=Pa;ab=Pa}else ab=Aa;Aa=f[i+104>>2]|0;Pa=ab+8|0;f[Pa>>2]=f[Pa>>2]|2048;f[ab+56>>2]=Aa;Ta=Ca;break n}else{_a=Xa;$a=Ya}while(0);do if(((_a<<24>>24<0?$a:_a&255)|0)==11){if(Puc(h,0,-1,392053,11)|0)break;Aa=c+8|0;f[Aa>>2]=f[Aa>>2]|8192;Aa=c+212|0;Pa=f[Aa>>2]|0;if(!Pa){Qa=cuc(64)|0;HZa(Qa);f[Aa>>2]=Qa;bb=Qa}else bb=Pa;Pa=f[i+104>>2]|0;Qa=bb+8|0;f[Qa>>2]=f[Qa>>2]|16;f[bb+32>>2]=Pa;Ta=Ca;break n}while(0);SEa(e,391307,391283,499,490738,0,1);Pa=e+21|0;Qa=e+32|0;while(1){if(!(b[Pa>>0]|0))break;Aa=aE(Qa,392120,43)|0;Ba=b[Sa>>0]|0;Na=Ba<<24>>24<0;aE(Aa,Na?f[h>>2]|0:h,Na?f[Ra>>2]|0:Ba&255)|0;TEa(e)}Ra=e+24|0;f[Ra>>2]=35348;Sa=e+88|0;f[Sa>>2]=35388;f[Qa>>2]=35368;Pa=e+36|0;f[Pa>>2]=35404;Ba=e+68|0;if((b[Ba+11>>0]|0)<0)fuc(f[Ba>>2]|0);Ric(Pa);Zjc(Ra,35464);Mic(Sa);Ta=0}while(0);Ca=f[g>>2]|0;if(!(Ca&8192))cb=Ca;else{Ca=c+8|0;f[Ca>>2]=f[Ca>>2]|33554432;Ca=c+260|0;bb=f[Ca>>2]|0;if(!bb){_a=cuc(44)|0;XZa(_a);f[Ca>>2]=_a;db=_a}else db=bb;bb=f[i+108>>2]|0;_a=db+8|0;f[_a>>2]=f[_a>>2]|2;f[db+32>>2]=bb;cb=f[g>>2]|0}if(!(cb&32768))eb=cb;else{cb=c+8|0;f[cb>>2]=f[cb>>2]|33554432;cb=c+260|0;bb=f[cb>>2]|0;if(!bb){db=cuc(44)|0;XZa(db);f[cb>>2]=db;fb=db}else fb=bb;bb=b[i+116>>0]|0;db=fb+8|0;f[db>>2]=f[db>>2]|4;b[fb+36>>0]=bb;eb=f[g>>2]|0}o:do if(!(eb&131072))gb=Ta;else{bb=h+11|0;fb=b[bb>>0]|0;db=h+4|0;cb=f[db>>2]|0;do if(((fb<<24>>24<0?cb:fb&255)|0)==4){if(Puc(h,0,-1,392031,4)|0){hb=b[bb>>0]|0;ib=f[db>>2]|0;break}_a=c+8|0;f[_a>>2]=f[_a>>2]|16;_a=c+176|0;Ca=f[_a>>2]|0;if(!Ca){$a=cuc(52)|0;tZa($a);f[_a>>2]=$a;jb=$a}else jb=Ca;Ca=f[i+120>>2]|0;$a=jb+8|0;f[$a>>2]=f[$a>>2]|16;f[jb+32>>2]=Ca;gb=Ta;break o}else{hb=fb;ib=cb}while(0);do if(((hb<<24>>24<0?ib:hb&255)|0)==6){if(Puc(h,0,-1,392046,6)|0)break;cb=c+8|0;f[cb>>2]=f[cb>>2]|256;cb=c+192|0;fb=f[cb>>2]|0;if(!fb){Qa=cuc(60)|0;yZa(Qa);f[cb>>2]=Qa;kb=Qa}else kb=fb;fb=f[i+120>>2]|0;Qa=kb+8|0;f[Qa>>2]=f[Qa>>2]|16;f[kb+32>>2]=fb;gb=Ta;break o}while(0);SEa(e,391307,391283,519,490738,0,1);fb=e+21|0;Qa=e+32|0;while(1){if(!(b[fb>>0]|0))break;cb=aE(Qa,392164,43)|0;Ca=b[bb>>0]|0;$a=Ca<<24>>24<0;aE(cb,$a?f[h>>2]|0:h,$a?f[db>>2]|0:Ca&255)|0;TEa(e)}db=e+24|0;f[db>>2]=35348;bb=e+88|0;f[bb>>2]=35388;f[Qa>>2]=35368;fb=e+36|0;f[fb>>2]=35404;Ca=e+68|0;if((b[Ca+11>>0]|0)<0)fuc(f[Ca>>2]|0);Ric(fb);Zjc(db,35464);Mic(bb);gb=0}while(0);p:do if(!(f[g>>2]&65536))lb=gb;else{Ta=h+11|0;kb=b[Ta>>0]|0;hb=h+4|0;do if(((kb<<24>>24<0?f[hb>>2]|0:kb&255)|0)==6){if(Puc(h,0,-1,392046,6)|0)break;ib=c+8|0;f[ib>>2]=f[ib>>2]|256;ib=c+192|0;jb=f[ib>>2]|0;if(!jb){eb=cuc(60)|0;yZa(eb);f[ib>>2]=eb;mb=eb}else mb=jb;jb=b[i+117>>0]|0;eb=mb+8|0;f[eb>>2]=f[eb>>2]|32;b[mb+36>>0]=jb;lb=gb;break p}while(0);SEa(e,391307,391283,528,490738,0,1);kb=e+21|0;Qa=e+32|0;while(1){if(!(b[kb>>0]|0))break;jb=aE(Qa,392208,41)|0;eb=b[Ta>>0]|0;ib=eb<<24>>24<0;aE(jb,ib?f[h>>2]|0:h,ib?f[hb>>2]|0:eb&255)|0;TEa(e)}hb=e+24|0;f[hb>>2]=35348;Ta=e+88|0;f[Ta>>2]=35388;f[Qa>>2]=35368;kb=e+36|0;f[kb>>2]=35404;eb=e+68|0;if((b[eb+11>>0]|0)<0)fuc(f[eb>>2]|0);Ric(kb);Zjc(hb,35464);Mic(Ta);lb=0}while(0);q:do if(!(f[g>>2]&2097152))nb=lb;else{gb=h+11|0;mb=b[gb>>0]|0;Ta=h+4|0;do if(((mb<<24>>24<0?f[Ta>>2]|0:mb&255)|0)==6){if(Puc(h,0,-1,392046,6)|0)break;hb=c+8|0;f[hb>>2]=f[hb>>2]|256;hb=c+192|0;kb=f[hb>>2]|0;if(!kb){eb=cuc(60)|0;yZa(eb);f[hb>>2]=eb;ob=eb}else ob=kb;kb=f[i+136>>2]|0;eb=ob+8|0;f[eb>>2]=f[eb>>2]|128;f[ob+40>>2]=kb;nb=lb;break q}while(0);SEa(e,391307,391283,537,490738,0,1);mb=e+21|0;Qa=e+32|0;while(1){if(!(b[mb>>0]|0))break;kb=aE(Qa,392250,44)|0;eb=b[gb>>0]|0;hb=eb<<24>>24<0;aE(kb,hb?f[h>>2]|0:h,hb?f[Ta>>2]|0:eb&255)|0;TEa(e)}Ta=e+24|0;f[Ta>>2]=35348;gb=e+88|0;f[gb>>2]=35388;f[Qa>>2]=35368;mb=e+36|0;f[mb>>2]=35404;eb=e+68|0;if((b[eb+11>>0]|0)<0)fuc(f[eb>>2]|0);Ric(mb);Zjc(Ta,35464);Mic(gb);nb=0}while(0);r:do if(!(f[g>>2]&16384))pb=nb;else{lb=h+11|0;ob=b[lb>>0]|0;gb=h+4|0;do if(((ob<<24>>24<0?f[gb>>2]|0:ob&255)|0)==6){if(Puc(h,0,-1,392046,6)|0)break;Ta=c+8|0;f[Ta>>2]=f[Ta>>2]|256;Ta=c+192|0;mb=f[Ta>>2]|0;if(!mb){eb=cuc(60)|0;yZa(eb);f[Ta>>2]=eb;qb=eb}else qb=mb;mb=f[i+112>>2]|0;eb=qb+8|0;f[eb>>2]=f[eb>>2]|256;f[qb+44>>2]=mb;pb=nb;break r}while(0);SEa(e,391307,391283,546,490738,0,1);ob=e+21|0;Qa=e+32|0;while(1){if(!(b[ob>>0]|0))break;mb=aE(Qa,392295,43)|0;eb=b[lb>>0]|0;Ta=eb<<24>>24<0;aE(mb,Ta?f[h>>2]|0:h,Ta?f[gb>>2]|0:eb&255)|0;TEa(e)}gb=e+24|0;f[gb>>2]=35348;lb=e+88|0;f[lb>>2]=35388;f[Qa>>2]=35368;ob=e+36|0;f[ob>>2]=35404;eb=e+68|0;if((b[eb+11>>0]|0)<0)fuc(f[eb>>2]|0);Ric(ob);Zjc(gb,35464);Mic(lb);pb=0}while(0);s:do if(!(f[g>>2]&4194304))rb=pb;else{nb=h+11|0;qb=b[nb>>0]|0;lb=h+4|0;do if(((qb<<24>>24<0?f[lb>>2]|0:qb&255)|0)==6){if(Puc(h,0,-1,392339,6)|0)break;gb=c+8|0;f[gb>>2]=f[gb>>2]|4;gb=c+168|0;ob=f[gb>>2]|0;if(!ob){eb=cuc(24)|0;qZa(eb);f[gb>>2]=eb;sb=eb}else sb=ob;ob=f[i+140>>2]|0;eb=sb+8|0;f[eb>>2]=f[eb>>2]|1;f[sb+16>>2]=ob;rb=pb;break s}while(0);SEa(e,391307,391283,555,490738,0,1);qb=e+21|0;Qa=e+32|0;while(1){if(!(b[qb>>0]|0))break;ob=aE(Qa,392346,44)|0;eb=b[nb>>0]|0;gb=eb<<24>>24<0;aE(ob,gb?f[h>>2]|0:h,gb?f[lb>>2]|0:eb&255)|0;TEa(e)}lb=e+24|0;f[lb>>2]=35348;nb=e+88|0;f[nb>>2]=35388;f[Qa>>2]=35368;qb=e+36|0;f[qb>>2]=35404;eb=e+68|0;if((b[eb+11>>0]|0)<0)fuc(f[eb>>2]|0);Ric(qb);Zjc(lb,35464);Mic(nb);rb=0}while(0);pb=i+12|0;t:do if(!(f[pb>>2]&1))tb=rb;else{sb=h+11|0;nb=b[sb>>0]|0;lb=h+4|0;do if(((nb<<24>>24<0?f[lb>>2]|0:nb&255)|0)==11){if(Puc(h,0,-1,392053,11)|0)break;qb=c+8|0;f[qb>>2]=f[qb>>2]|8192;qb=c+212|0;eb=f[qb>>2]|0;if(!eb){gb=cuc(64)|0;HZa(gb);f[qb>>2]=gb;ub=gb}else ub=eb;eb=f[i+180>>2]|0;gb=ub+8|0;f[gb>>2]=f[gb>>2]|1024;f[ub+52>>2]=eb;tb=rb;break t}while(0);SEa(e,391307,391283,564,490738,0,1);nb=e+21|0;Qa=e+32|0;while(1){if(!(b[nb>>0]|0))break;eb=aE(Qa,392391,50)|0;gb=b[sb>>0]|0;qb=gb<<24>>24<0;aE(eb,qb?f[h>>2]|0:h,qb?f[lb>>2]|0:gb&255)|0;TEa(e)}lb=e+24|0;f[lb>>2]=35348;sb=e+88|0;f[sb>>2]=35388;f[Qa>>2]=35368;nb=e+36|0;f[nb>>2]=35404;gb=e+68|0;if((b[gb+11>>0]|0)<0)fuc(f[gb>>2]|0);Ric(nb);Zjc(lb,35464);Mic(sb);tb=0}while(0);u:do if(!(f[pb>>2]&2))vb=tb;else{rb=h+11|0;ub=b[rb>>0]|0;sb=h+4|0;do if(((ub<<24>>24<0?f[sb>>2]|0:ub&255)|0)==11){if(Puc(h,0,-1,392053,11)|0)break;lb=c+8|0;f[lb>>2]=f[lb>>2]|8192;lb=c+212|0;nb=f[lb>>2]|0;if(!nb){gb=cuc(64)|0;HZa(gb);f[lb>>2]=gb;wb=gb}else wb=nb;nb=f[i+184>>2]|0;gb=wb+8|0;f[gb>>2]=f[gb>>2]|2048;f[wb+56>>2]=nb;vb=tb;break u}while(0);SEa(e,391307,391283,574,490738,0,1);ub=e+21|0;Qa=e+32|0;while(1){if(!(b[ub>>0]|0))break;nb=aE(Qa,392442,50)|0;gb=b[rb>>0]|0;lb=gb<<24>>24<0;aE(nb,lb?f[h>>2]|0:h,lb?f[sb>>2]|0:gb&255)|0;TEa(e)}sb=e+24|0;f[sb>>2]=35348;rb=e+88|0;f[rb>>2]=35388;f[Qa>>2]=35368;ub=e+36|0;f[ub>>2]=35404;gb=e+68|0;if((b[gb+11>>0]|0)<0)fuc(f[gb>>2]|0);Ric(ub);Zjc(sb,35464);Mic(rb);vb=0}while(0);v:do if(!(f[pb>>2]&4))xb=vb;else{tb=h+11|0;wb=b[tb>>0]|0;rb=h+4|0;do if(((wb<<24>>24<0?f[rb>>2]|0:wb&255)|0)==11){if(Puc(h,0,-1,392053,11)|0)break;sb=c+8|0;f[sb>>2]=f[sb>>2]|8192;sb=c+212|0;ub=f[sb>>2]|0;if(!ub){gb=cuc(64)|0;HZa(gb);f[sb>>2]=gb;yb=gb}else yb=ub;ub=f[i+188>>2]|0;gb=yb+8|0;f[gb>>2]=f[gb>>2]|4096;f[yb+60>>2]=ub;xb=vb;break v}while(0);SEa(e,391307,391283,584,490738,0,1);wb=e+21|0;Qa=e+32|0;while(1){if(!(b[wb>>0]|0))break;ub=aE(Qa,392493,49)|0;gb=b[tb>>0]|0;sb=gb<<24>>24<0;aE(ub,sb?f[h>>2]|0:h,sb?f[rb>>2]|0:gb&255)|0;TEa(e)}rb=e+24|0;f[rb>>2]=35348;tb=e+88|0;f[tb>>2]=35388;f[Qa>>2]=35368;wb=e+36|0;f[wb>>2]=35404;gb=e+68|0;if((b[gb+11>>0]|0)<0)fuc(f[gb>>2]|0);Ric(wb);Zjc(rb,35464);Mic(tb);xb=0}while(0);w:do if(!(f[g>>2]&262144))zb=xb;else{vb=h+11|0;yb=b[vb>>0]|0;pb=h+4|0;do if(((yb<<24>>24<0?f[pb>>2]|0:yb&255)|0)==11){if(Puc(h,0,-1,392053,11)|0)break;tb=c+8|0;f[tb>>2]=f[tb>>2]|8192;tb=c+212|0;rb=f[tb>>2]|0;if(!rb){wb=cuc(64)|0;HZa(wb);f[tb>>2]=wb;Ab=wb}else Ab=rb;rb=f[i+124>>2]|0;wb=Ab+8|0;f[wb>>2]=f[wb>>2]|256;f[Ab+44>>2]=rb;zb=xb;break w}while(0);SEa(e,391307,391283,594,490738,0,1);yb=e+21|0;Qa=e+32|0;while(1){if(!(b[yb>>0]|0))break;rb=aE(Qa,392543,49)|0;wb=b[vb>>0]|0;tb=wb<<24>>24<0;aE(rb,tb?f[h>>2]|0:h,tb?f[pb>>2]|0:wb&255)|0;TEa(e)}pb=e+24|0;f[pb>>2]=35348;vb=e+88|0;f[vb>>2]=35388;f[Qa>>2]=35368;yb=e+36|0;f[yb>>2]=35404;wb=e+68|0;if((b[wb+11>>0]|0)<0)fuc(f[wb>>2]|0);Ric(yb);Zjc(pb,35464);Mic(vb);zb=0}while(0);x:do if(!(f[g>>2]&16))Bb=zb;else{xb=h+11|0;Ab=b[xb>>0]|0;vb=h+4|0;do if(((Ab<<24>>24<0?f[vb>>2]|0:Ab&255)|0)==11){if(Puc(h,0,-1,392053,11)|0)break;pb=c+8|0;f[pb>>2]=f[pb>>2]|8192;pb=c+212|0;yb=f[pb>>2]|0;if(!yb){wb=cuc(64)|0;HZa(wb);f[pb>>2]=wb;Cb=wb}else Cb=yb;yb=f[i+72>>2]|0;wb=Cb+8|0;f[wb>>2]=f[wb>>2]|4;wb=Cb+24|0;pb=f[wb>>2]|0;if((pb|0)==540472){JEa(wb,yb);Bb=zb;break x}else{ruc(pb,yb)|0;Bb=zb;break x}}while(0);SEa(e,391307,391283,604,490738,0,1);Ab=e+21|0;Qa=e+32|0;while(1){if(!(b[Ab>>0]|0))break;yb=aE(Qa,392593,47)|0;pb=b[xb>>0]|0;wb=pb<<24>>24<0;aE(yb,wb?f[h>>2]|0:h,wb?f[vb>>2]|0:pb&255)|0;TEa(e)}vb=e+24|0;f[vb>>2]=35348;xb=e+88|0;f[xb>>2]=35388;f[Qa>>2]=35368;Ab=e+36|0;f[Ab>>2]=35404;pb=e+68|0;if((b[pb+11>>0]|0)<0)fuc(f[pb>>2]|0);Ric(Ab);Zjc(vb,35464);Mic(xb);Bb=0}while(0);y:do if(!(f[g>>2]&128))Db=Bb;else{zb=h+11|0;Cb=b[zb>>0]|0;xb=h+4|0;do if(((Cb<<24>>24<0?f[xb>>2]|0:Cb&255)|0)==11){if(Puc(h,0,-1,392641,11)|0)break;vb=c+8|0;f[vb>>2]=f[vb>>2]|128;vb=c+188|0;Ab=f[vb>>2]|0;if(!Ab){pb=cuc(20)|0;lYa(pb);f[vb>>2]=pb;Eb=pb}else Eb=Ab;Ab=f[i+84>>2]|0;Xhb(Eb,Ab|0?Ab:538816);Db=Bb;break y}while(0);SEa(e,391307,391283,614,490738,0,1);Cb=e+21|0;Qa=e+32|0;while(1){if(!(b[Cb>>0]|0))break;Ab=aE(Qa,392653,51)|0;pb=b[zb>>0]|0;vb=pb<<24>>24<0;aE(Ab,vb?f[h>>2]|0:h,vb?f[xb>>2]|0:pb&255)|0;TEa(e)}xb=e+24|0;f[xb>>2]=35348;zb=e+88|0;f[zb>>2]=35388;f[Qa>>2]=35368;Cb=e+36|0;f[Cb>>2]=35404;pb=e+68|0;if((b[pb+11>>0]|0)<0)fuc(f[pb>>2]|0);Ric(Cb);Zjc(xb,35464);Mic(zb);Db=0}while(0);l=(Db&1)!=0;u=d;return l|0}function MEa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;b=a+12|0;c=f[b>>2]|0;do if(!c){d=f[a+8>>2]|0;e=6}else{g=a+4|0;h=f[g>>2]|0;i=f[c>>2]|0;if((h|0)>=(i|0))if((i|0)==(f[a+8>>2]|0)){d=i;e=6;break}else{j=i;k=c;break}f[g>>2]=h+1;l=f[c+4+(h<<2)>>2]|0;return l|0}while(0);if((e|0)==6){LKb(a,d+1|0);d=f[b>>2]|0;j=f[d>>2]|0;k=d}f[k>>2]=j+1;j=f[a>>2]|0;if(!j){d=cuc(12)|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;m=d;n=k}else{if(f[j+64>>2]|0)HIb(j,9552,16);k=GIb(j,16,1964)|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;m=k;n=f[b>>2]|0}b=a+4|0;a=f[b>>2]|0;f[b>>2]=a+1;f[n+4+(a<<2)>>2]=m;l=m;return l|0}function NEa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=a+4|0;d=f[c>>2]|0;if((d|0)>=(b|0))return;e=a+8|0;g=f[e>>2]|0;h=(g|0)==0;if(h)i=0;else i=f[g>>2]|0;j=d<<1;d=(j|0)<(b|0)?b:j;j=(d|0)>4?d:4;d=j<<2;if(!i)k=cuc(d+4|0)|0;else{b=d+11&-8;if(f[i+64>>2]|0)HIb(i,27008,b);k=FIb(i,b)|0}f[e>>2]=k;f[k>>2]=i;f[c>>2]=j;j=f[a>>2]|0;if((j|0)>0)szc(k+4|0,g+4|0,j<<2|0)|0;if(h)return;if(f[g>>2]|0)return;fuc(g);return}function OEa(a){a=a|0;if((b[a+11>>0]|0)>=0)return;fuc(f[a>>2]|0);return}function PEa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0;c=u;u=u+176|0;d=c;e=a+11|0;g=b[e>>0]|0;h=a+4|0;i=f[h>>2]|0;do if(((g<<24>>24<0?i:g&255)|0)==8)if(!(Puc(a,0,-1,392717,8)|0)){j=1;u=c;return j|0}else{k=b[e>>0]|0;l=f[h>>2]|0;break}else{k=g;l=i}while(0);do if(((k<<24>>24<0?l:k&255)|0)==4)if(!(Puc(a,0,-1,392726,4)|0)){j=2;u=c;return j|0}else{m=b[e>>0]|0;n=f[h>>2]|0;break}else{m=k;n=l}while(0);do if(((m<<24>>24<0?n:m&255)|0)==6)if(!(Puc(a,0,-1,392339,6)|0)){j=3;u=c;return j|0}else{o=b[e>>0]|0;p=f[h>>2]|0;break}else{o=m;p=n}while(0);do if(((o<<24>>24<0?p:o&255)|0)==4)if(!(Puc(a,0,-1,391382,4)|0)){j=4;u=c;return j|0}else{q=b[e>>0]|0;r=f[h>>2]|0;break}else{q=o;r=p}while(0);do if(((q<<24>>24<0?r:q&255)|0)==4)if(!(Puc(a,0,-1,392031,4)|0)){j=5;u=c;return j|0}else{s=b[e>>0]|0;t=f[h>>2]|0;break}else{s=q;t=r}while(0);do if(((s<<24>>24<0?t:s&255)|0)==7)if(!(Puc(a,0,-1,391811,7)|0)){j=6;u=c;return j|0}else{v=b[e>>0]|0;w=f[h>>2]|0;break}else{v=s;w=t}while(0);do if(((v<<24>>24<0?w:v&255)|0)==14)if(!(Puc(a,0,-1,392731,14)|0)){j=7;u=c;return j|0}else{x=b[e>>0]|0;y=f[h>>2]|0;break}else{x=v;y=w}while(0);do if(((x<<24>>24<0?y:x&255)|0)==7)if(!(Puc(a,0,-1,392746,7)|0)){j=8;u=c;return j|0}else{z=b[e>>0]|0;A=f[h>>2]|0;break}else{z=x;A=y}while(0);do if(((z<<24>>24<0?A:z&255)|0)==9)if(!(Puc(a,0,-1,392036,9)|0)){j=9;u=c;return j|0}else{B=b[e>>0]|0;C=f[h>>2]|0;break}else{B=z;C=A}while(0);do if(((B<<24>>24<0?C:B&255)|0)==11)if(!(Puc(a,0,-1,392641,11)|0)){j=10;u=c;return j|0}else{D=b[e>>0]|0;E=f[h>>2]|0;break}else{D=B;E=C}while(0);do if(((D<<24>>24<0?E:D&255)|0)==6)if(!(Puc(a,0,-1,392754,6)|0)){j=11;u=c;return j|0}else{F=b[e>>0]|0;G=f[h>>2]|0;break}else{F=D;G=E}while(0);do if(((F<<24>>24<0?G:F&255)|0)==6)if(!(Puc(a,0,-1,392046,6)|0)){j=12;u=c;return j|0}else{H=b[e>>0]|0;I=f[h>>2]|0;break}else{H=F;I=G}while(0);do if(((H<<24>>24<0?I:H&255)|0)==13)if(!(Puc(a,0,-1,392065,13)|0)){j=13;u=c;return j|0}else{J=b[e>>0]|0;K=f[h>>2]|0;break}else{J=H;K=I}while(0);do if(((J<<24>>24<0?K:J&255)|0)==12)if(!(Puc(a,0,-1,391387,12)|0)){j=14;u=c;return j|0}else{L=b[e>>0]|0;M=f[h>>2]|0;break}else{L=J;M=K}while(0);do if(((L<<24>>24<0?M:L&255)|0)==3)if(!(Puc(a,0,-1,391867,3)|0)){j=15;u=c;return j|0}else{N=b[e>>0]|0;O=f[h>>2]|0;break}else{N=L;O=M}while(0);do if(((N<<24>>24<0?O:N&255)|0)==25)if(!(Puc(a,0,-1,392761,25)|0)){j=16;u=c;return j|0}else{P=b[e>>0]|0;Q=f[h>>2]|0;break}else{P=N;Q=O}while(0);do if(((P<<24>>24<0?Q:P&255)|0)==4)if(!(Puc(a,0,-1,391582,4)|0)){j=17;u=c;return j|0}else{R=b[e>>0]|0;S=f[h>>2]|0;break}else{R=P;S=Q}while(0);do if(((R<<24>>24<0?S:R&255)|0)==4)if(!(Puc(a,0,-1,392787,4)|0)){j=18;u=c;return j|0}else{T=b[e>>0]|0;U=f[h>>2]|0;break}else{T=R;U=S}while(0);do if(((T<<24>>24<0?U:T&255)|0)==7)if(!(Puc(a,0,-1,392792,7)|0)){j=19;u=c;return j|0}else{V=b[e>>0]|0;W=f[h>>2]|0;break}else{V=T;W=U}while(0);do if(((V<<24>>24<0?W:V&255)|0)==7)if(!(Puc(a,0,-1,457785,7)|0)){j=20;u=c;return j|0}else{X=b[e>>0]|0;Y=f[h>>2]|0;break}else{X=V;Y=W}while(0);do if(((X<<24>>24<0?Y:X&255)|0)==12)if(!(Puc(a,0,-1,392800,12)|0)){j=21;u=c;return j|0}else{Z=b[e>>0]|0;_=f[h>>2]|0;break}else{Z=X;_=Y}while(0);do if(((Z<<24>>24<0?_:Z&255)|0)==5)if(!(Puc(a,0,-1,392813,5)|0)){j=22;u=c;return j|0}else{$=b[e>>0]|0;aa=f[h>>2]|0;break}else{$=Z;aa=_}while(0);do if((($<<24>>24<0?aa:$&255)|0)==4)if(!(Puc(a,0,-1,475803,4)|0)){j=23;u=c;return j|0}else{ba=b[e>>0]|0;ca=f[h>>2]|0;break}else{ba=$;ca=aa}while(0);do if(((ba<<24>>24<0?ca:ba&255)|0)==11){if(!(Puc(a,0,-1,392053,11)|0))j=24;else break;u=c;return j|0}while(0);SEa(d,391307,392819,673,490347,0,1);ba=d+21|0;ca=d+32|0;while(1){if(!(b[ba>>0]|0))break;aa=aE(ca,392838,20)|0;$=b[e>>0]|0;_=$<<24>>24<0;aE(aa,_?f[a>>2]|0:a,_?f[h>>2]|0:$&255)|0;TEa(d)}h=d+24|0;f[h>>2]=35348;a=d+88|0;f[a>>2]=35388;f[ca>>2]=35368;ca=d+36|0;f[ca>>2]=35404;e=d+68|0;if((b[e+11>>0]|0)<0)fuc(f[e>>2]|0);Ric(ca);Zjc(h,35464);Mic(a);j=0;u=c;return j|0}function QEa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;c=u;u=u+16|0;d=c;f[d>>2]=f[b>>2];e=d+4|0;f[e>>2]=0;g=d+8|0;f[g>>2]=0;h=d+12|0;f[h>>2]=0;VEa(d,a);i=a+4|0;j=f[i>>2]|0;if((j|0)>0){k=f[a+12>>2]|0;l=0;do{IYa(f[k+4+(l<<2)>>2]|0);l=l+1|0}while((l|0)!=(j|0));f[i>>2]=0}VEa(a,b);a=b+4|0;i=f[a>>2]|0;j=b+12|0;if((i|0)>0){l=f[j>>2]|0;k=0;do{IYa(f[l+4+(k<<2)>>2]|0);k=k+1|0}while((k|0)!=(i|0));f[a>>2]=0;m=0}else m=i;i=f[j>>2]|0;f[j>>2]=f[h>>2];f[h>>2]=i;f[a>>2]=f[e>>2];f[e>>2]=m;m=b+8|0;b=f[m>>2]|0;f[m>>2]=f[g>>2];f[g>>2]=b;b=i;if(!((i|0)!=0&(f[d>>2]|0)==0)){u=c;return}d=i;i=f[b>>2]|0;if((i|0)>0){g=0;do{m=f[b+4+(g<<2)>>2]|0;if(m|0)bi[f[(f[m>>2]|0)+4>>2]&2047](m);g=g+1|0}while((g|0)!=(i|0));n=f[h>>2]|0}else n=d;fuc(n);u=c;return}function REa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=a+4|0;d=f[c>>2]|0;if((d|0)>=(b|0))return;e=a+8|0;g=f[e>>2]|0;h=(g|0)==0;if(h)i=0;else i=f[g>>2]|0;j=d<<1;d=(j|0)<(b|0)?b:j;j=(d|0)>4?d:4;d=j<<2;if(!i)k=cuc(d+4|0)|0;else{b=d+11&-8;if(f[i+64>>2]|0)HIb(i,27008,b);k=FIb(i,b)|0}f[e>>2]=k;f[k>>2]=i;f[c>>2]=j;j=f[a>>2]|0;if((j|0)>0)szc(k+4|0,g+4|0,j<<2|0)|0;if(h)return;if(f[g>>2]|0)return;fuc(g);return}function SEa(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0;j=u;u=u+16|0;k=j;f[a>>2]=c;f[a+4>>2]=d;f[a+8>>2]=g;f[a+12>>2]=h;f[a+16>>2]=e;b[a+20>>0]=i&1;b[a+21>>0]=1;i=a+24|0;e=a+88|0;h=a+32|0;f[h>>2]=35368;g=a+36|0;f[i>>2]=10468;f[e>>2]=10488;f[a+28>>2]=0;bkc(a+88|0,g);f[a+160>>2]=0;f[a+164>>2]=-1;f[i>>2]=35348;f[e>>2]=35388;f[h>>2]=35368;gkc(g);f[g>>2]=35404;h=a+68|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;f[a+84>>2]=24;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;$D(g,k);if((b[k+11>>0]|0)>=0){u=j;return}fuc(f[k>>2]|0);u=j;return}function TEa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;c=u;u=u+64|0;d=c+48|0;e=c+36|0;g=c+24|0;h=c+12|0;i=c;b[a+21>>0]=0;j=f[a+12>>2]|0;if(!j){u=c;return}if(b[a+20>>0]|0){u=c;return};f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;c=jfc(j)|0;if(c>>>0>4294967279)muc(h);if(c>>>0<11){b[h+11>>0]=c;if(!c)k=h;else{l=h;m=8}}else{n=c+16&-16;o=cuc(n)|0;f[h>>2]=o;f[h+8>>2]=n|-2147483648;f[h+4>>2]=c;l=o;m=8}if((m|0)==8){szc(l|0,j|0,c|0)|0;k=l}b[k+c>>0]=0;c=Huc(h,0,392705)|0;f[g>>2]=f[c>>2];f[g+4>>2]=f[c+4>>2];f[g+8>>2]=f[c+8>>2];f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;c=Duc(g,392714)|0;f[e>>2]=f[c>>2];f[e+4>>2]=f[c+4>>2];f[e+8>>2]=f[c+8>>2];f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;bE(i,a+36|0);c=b[i+11>>0]|0;g=c<<24>>24<0;h=Cuc(e,g?f[i>>2]|0:i,g?f[i+4>>2]|0:c&255)|0;f[d>>2]=f[h>>2];f[d+4>>2]=f[h+4>>2];f[d+8>>2]=f[h+8>>2];f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;WD(-2,d,f[a+4>>2]|0,f[a>>2]|0,f[a+16>>2]|0)}function UEa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=a+4|0;d=f[c>>2]|0;if((d|0)>=(b|0))return;e=a+8|0;g=f[e>>2]|0;h=(g|0)==0;if(h)i=0;else i=f[g>>2]|0;j=d<<1;d=(j|0)<(b|0)?b:j;j=(d|0)>4?d:4;d=j<<2;if(!i)k=cuc(d+4|0)|0;else{b=d+11&-8;if(f[i+64>>2]|0)HIb(i,27008,b);k=FIb(i,b)|0}f[e>>2]=k;f[k>>2]=i;f[c>>2]=j;j=f[a>>2]|0;if((j|0)>0)szc(k+4|0,g+4|0,j<<2|0)|0;if(h)return;if(f[g>>2]|0)return;fuc(g);return}function VEa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=f[b+4>>2]|0;if(!c)return;d=f[b+12>>2]|0;b=KKb(a,c)|0;e=a+12|0;g=a+4|0;h=(f[f[e>>2]>>2]|0)-(f[g>>2]|0)|0;if((h|0)>0&(c|0)>0){i=0;do{WEa(f[d+4+(i<<2)>>2]|0,f[b+(i<<2)>>2]|0);i=i+1|0}while((i|0)<(h|0)&(i|0)<(c|0))}i=f[a>>2]|0;a:do if((h|0)<(c|0)){a=i+64|0;if(!i){j=h;while(1){k=f[d+4+(j<<2)>>2]|0;l=cuc(108)|0;DYa(l);WEa(k,l);f[b+(j<<2)>>2]=l;j=j+1|0;if((j|0)>=(c|0))break a}}else m=h;do{j=f[d+4+(m<<2)>>2]|0;if(f[a>>2]|0)HIb(i,19720,112);l=GIb(i,112,1965)|0;DYa(l);WEa(j,l);f[b+(m<<2)>>2]=l;m=m+1|0}while((m|0)!=(c|0))}while(0);m=(f[g>>2]|0)+c|0;f[g>>2]=m;g=f[e>>2]|0;if((f[g>>2]|0)>=(m|0))return;f[g>>2]=m;return}function WEa(a,b){a=a|0;b=b|0;TYa(b,a);return}function XEa(a){a=a|0;bi[f[f[a>>2]>>2]&2047](a);return}function YEa(a){a=a|0;bi[f[f[a>>2]>>2]&2047](a);return}function ZEa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;d=a+4|0;a=f[d>>2]|0;do if(a|0){e=b[c+11>>0]|0;g=e<<24>>24<0;h=g?f[c+4>>2]|0:e&255;e=g?f[c>>2]|0:c;g=d;i=a;a:while(1){j=i;while(1){k=j+16|0;l=b[k+11>>0]|0;m=l<<24>>24<0;n=m?f[j+20>>2]|0:l&255;l=h>>>0<n>>>0?h:n;if((l|0)!=0?(o=ahc(m?f[k>>2]|0:k,e,l)|0,(o|0)!=0):0){if((o|0)>=0)break}else p=6;if((p|0)==6?(p=0,n>>>0>=h>>>0):0)break;n=f[j+4>>2]|0;if(!n){q=g;break a}else j=n}i=f[j>>2]|0;if(!i){q=j;break}else g=j}if((q|0)!=(d|0)){g=q+16|0;i=b[g+11>>0]|0;n=i<<24>>24<0;o=n?f[q+20>>2]|0:i&255;i=o>>>0<h>>>0?o:h;if(i|0?(l=ahc(e,n?f[g>>2]|0:g,i)|0,l|0):0){if((l|0)<0)break;else r=q;return r|0}if(h>>>0>=o>>>0){r=q;return r|0}}}while(0);r=d;return r|0}function _Ea(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;b=u;u=u+64|0;c=b;d=a+20|0;if((f[d>>2]|0)<=0){e=0;u=b;return e|0}g=a+28|0;a=c+8|0;h=c+8|0;i=c+8|0;j=0;while(1){k=f[(f[g>>2]|0)+4+(j<<2)>>2]|0;l=f[k+288>>2]|0;if((l|0)==5){m=f[k+176>>2]|0;Hhb(c,m|0?m:538376);m=f[a>>2]|0;if(!(m&258))n=m&8|0?1:m>>>5&1;else n=1;Z5a(c);if(n|0){e=1;o=18;break}m=f[(f[g>>2]|0)+4+(j<<2)>>2]|0;p=f[m+288>>2]|0;q=m}else{p=l;q=k}if((p|0)==12){k=f[q+192>>2]|0;Ihb(c,k|0?k:538864);k=f[h>>2]|0;if(!(k&1026))r=k&8|0?1:k>>>6&1;else r=1;c5a(c);if(r|0){e=1;o=18;break}k=f[(f[g>>2]|0)+4+(j<<2)>>2]|0;s=f[k+288>>2]|0;t=k}else{s=p;t=q}if((s|0)==24){k=f[t+212>>2]|0;Jhb(c,k|0?k:539632);k=f[i>>2]|0;if(!(k&514))v=k&32|0?1:k>>>6&1;else v=1;D3a(c);if(v|0){e=1;o=18;break}}j=j+1|0;if((j|0)>=(f[d>>2]|0)){e=0;o=18;break}}if((o|0)==18){u=b;return e|0}return 0}function $Ea(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;c=a+20|0;if((f[c>>2]|0)<=0)return;d=a+28|0;a=0;do{e=f[(f[d>>2]|0)+4+(a<<2)>>2]|0;if((f[e+288>>2]|0)==5){g=e+8|0;h=f[g>>2]|16;f[g>>2]=h;g=e+176|0;i=f[g>>2]|0;if(!i){j=cuc(52)|0;tZa(j);f[g>>2]=j;g=f[(f[d>>2]|0)+4+(a<<2)>>2]|0;k=g;l=f[g+8>>2]|0;m=j}else{k=e;l=h;m=i}f[k+8>>2]=l|33554432;i=k+260|0;h=f[i>>2]|0;if(!h){e=cuc(44)|0;XZa(e);f[i>>2]=e;o=e}else o=h;h=m+8|0;e=f[h>>2]|0;if(!(e&256))p=e;else{e=m+44|0;i=f[e>>2]|0;j=o+8|0;f[j>>2]=f[j>>2]|32;f[o+40>>2]=i;n[e>>2]=1.0;e=f[h>>2]&-257;f[h>>2]=e;p=e}if(!(p&2))q=p;else{e=m+20|0;i=f[e>>2]|0;j=o+8|0;f[j>>2]=f[j>>2]|1;j=o+28|0;g=f[j>>2]|0;if((g|0)==542896)JEa(j,i);else ruc(g,i)|0;i=f[e>>2]|0;do if((i|0)!=542896){e=i+11|0;if((b[e>>0]|0)<0){b[f[i>>2]>>0]=0;f[i+4>>2]=0;break}else{b[i>>0]=0;b[e>>0]=0;break}}while(0);i=f[h>>2]&-3;f[h>>2]=i;q=i}if(!(q&8))r=q;else{i=m+28|0;e=f[i>>2]|0;g=o+8|0;f[g>>2]=f[g>>2]|2;f[o+32>>2]=e;f[i>>2]=0;i=f[h>>2]&-9;f[h>>2]=i;r=i}if(r&32|0){i=m+36|0;e=b[i>>0]|0;g=o+8|0;f[g>>2]=f[g>>2]|4;b[o+36>>0]=e;b[i>>0]=0;f[h>>2]=f[h>>2]&-33}}i=f[(f[d>>2]|0)+4+(a<<2)>>2]|0;if((f[i+288>>2]|0)==12){e=i+8|0;g=f[e>>2]|256;f[e>>2]=g;e=i+192|0;j=f[e>>2]|0;if(!j){s=cuc(60)|0;yZa(s);f[e>>2]=s;e=f[(f[d>>2]|0)+4+(a<<2)>>2]|0;t=s;u=e;v=f[e+8>>2]|0}else{t=j;u=i;v=g}f[u+8>>2]=v|33554432;g=u+260|0;i=f[g>>2]|0;if(!i){j=cuc(44)|0;XZa(j);f[g>>2]=j;w=j}else w=i;i=t+8|0;j=f[i>>2]|0;if(!(j&1024))x=j;else{j=t+52|0;g=f[j>>2]|0;e=w+8|0;f[e>>2]=f[e>>2]|32;f[w+40>>2]=g;n[j>>2]=1.0;j=f[i>>2]&-1025;f[i>>2]=j;x=j}if(!(x&2))y=x;else{j=t+20|0;g=f[j>>2]|0;e=w+8|0;f[e>>2]=f[e>>2]|1;e=w+28|0;s=f[e>>2]|0;if((s|0)==542896)JEa(e,g);else ruc(s,g)|0;g=f[j>>2]|0;do if((g|0)!=542896){j=g+11|0;if((b[j>>0]|0)<0){b[f[g>>2]>>0]=0;f[g+4>>2]=0;break}else{b[g>>0]=0;b[j>>0]=0;break}}while(0);g=f[i>>2]&-3;f[i>>2]=g;y=g}if(!(y&8))z=y;else{g=t+28|0;h=f[g>>2]|0;j=w+8|0;f[j>>2]=f[j>>2]|2;f[w+32>>2]=h;f[g>>2]=0;g=f[i>>2]&-9;f[i>>2]=g;z=g}if(z&64|0){g=t+37|0;h=b[g>>0]|0;j=w+8|0;f[j>>2]=f[j>>2]|4;b[w+36>>0]=h;b[g>>0]=0;f[i>>2]=f[i>>2]&-65}}g=f[(f[d>>2]|0)+4+(a<<2)>>2]|0;if((f[g+288>>2]|0)==24){h=g+8|0;j=f[h>>2]|8192;f[h>>2]=j;h=g+212|0;s=f[h>>2]|0;if(!s){e=cuc(64)|0;HZa(e);f[h>>2]=e;h=f[(f[d>>2]|0)+4+(a<<2)>>2]|0;A=h;B=f[h+8>>2]|0;C=e}else{A=g;B=j;C=s}f[A+8>>2]=B|33554432;s=A+260|0;j=f[s>>2]|0;if(!j){g=cuc(44)|0;XZa(g);f[s>>2]=g;D=g}else D=j;j=C+8|0;g=f[j>>2]|0;if(!(g&512))E=g;else{g=C+48|0;s=f[g>>2]|0;e=D+8|0;f[e>>2]=f[e>>2]|32;f[D+40>>2]=s;n[g>>2]=1.0;g=f[j>>2]&-513;f[j>>2]=g;E=g}if(!(E&2))F=E;else{g=C+20|0;s=f[g>>2]|0;e=D+8|0;f[e>>2]=f[e>>2]|1;e=D+28|0;h=f[e>>2]|0;if((h|0)==542896)JEa(e,s);else ruc(h,s)|0;s=f[g>>2]|0;do if((s|0)!=542896){g=s+11|0;if((b[g>>0]|0)<0){b[f[s>>2]>>0]=0;f[s+4>>2]=0;break}else{b[s>>0]=0;b[g>>0]=0;break}}while(0);s=f[j>>2]&-3;f[j>>2]=s;F=s}if(!(F&32))G=F;else{s=C+36|0;i=f[s>>2]|0;g=D+8|0;f[g>>2]=f[g>>2]|2;f[D+32>>2]=i;f[s>>2]=0;s=f[j>>2]&-33;f[j>>2]=s;G=s}if(G&64|0){s=C+40|0;i=b[s>>0]|0;g=D+8|0;f[g>>2]=f[g>>2]|4;b[D+36>>0]=i;b[s>>0]=0;f[j>>2]=f[j>>2]&-65}}a=a+1|0}while((a|0)<(f[c>>2]|0));return}function aFa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;d=u;u=u+336|0;e=d+168|0;g=d;h=c+20|0;i=f[h>>2]|0;a:do if((i|0)>0){j=f[c+28>>2]|0;k=0;while(1){if(f[(f[j+4+(k<<2)>>2]|0)+8>>2]&2|0)break;k=k+1|0;if((k|0)>=(i|0)){l=1;break a}}SEa(e,391307,393266,744,490738,0,1);k=e+21|0;j=e+32|0;m=a+11|0;n=a+4|0;while(1){if(!(b[k>>0]|0))break;o=aE(aE(j,393285,60)|0,393346,18)|0;p=b[m>>0]|0;q=p<<24>>24<0;aE(o,q?f[a>>2]|0:a,q?f[n>>2]|0:p&255)|0;TEa(e)}n=e+24|0;f[n>>2]=35348;m=e+88|0;f[m>>2]=35388;f[j>>2]=35368;k=e+36|0;f[k>>2]=35404;p=e+68|0;if((b[p+11>>0]|0)<0)fuc(f[p>>2]|0);Ric(k);Zjc(n,35464);Mic(m);Dhb(e,c);if(HEa(e,c)|0){SEa(g,391307,393266,752,490334,0,1);m=g+21|0;n=g+32|0;while(1){if(!(b[m>>0]|0))break;aE(aE(n,393473,54)|0,393528,16)|0;TEa(g)}m=g+24|0;f[m>>2]=35348;j=g+88|0;f[j>>2]=35388;f[n>>2]=35368;k=g+36|0;f[k>>2]=35404;p=g+68|0;if((b[p+11>>0]|0)<0)fuc(f[p>>2]|0);Ric(k);Zjc(m,35464);Mic(j);r=1}else{SEa(g,391307,393266,749,490738,0,1);j=g+21|0;m=g+32|0;while(1){if(!(b[j>>0]|0))break;aE(aE(m,393365,44)|0,393410,62)|0;TEa(g)}j=g+24|0;f[j>>2]=35348;n=g+88|0;f[n>>2]=35388;f[m>>2]=35368;k=g+36|0;f[k>>2]=35404;p=g+68|0;if((b[p+11>>0]|0)<0)fuc(f[p>>2]|0);Ric(k);Zjc(j,35464);Mic(n);r=0}SEa(g,391307,393266,755,490738,0,1);n=g+21|0;j=g+32|0;while(1){if(!(b[n>>0]|0))break;aE(aE(aE(aE(j,393545,49)|0,393595,61)|0,393657,62)|0,393720,64)|0;TEa(g)}n=g+24|0;f[n>>2]=35348;m=g+88|0;f[m>>2]=35388;f[j>>2]=35368;k=g+36|0;f[k>>2]=35404;p=g+68|0;if((b[p+11>>0]|0)<0)fuc(f[p>>2]|0);Ric(k);Zjc(n,35464);Mic(m);tgb(e);l=r}else l=1;while(0);if(_Ea(c)|0){SEa(e,391307,393266,762,490738,0,1);r=e+21|0;g=e+32|0;i=a+11|0;m=a+4|0;while(1){if(!(b[r>>0]|0))break;n=aE(aE(g,393285,60)|0,393785,27)|0;k=b[i>>0]|0;p=k<<24>>24<0;aE(n,p?f[a>>2]|0:a,p?f[m>>2]|0:k&255)|0;TEa(e)}m=e+24|0;f[m>>2]=35348;i=e+88|0;f[i>>2]=35388;f[g>>2]=35368;g=e+36|0;f[g>>2]=35404;r=e+68|0;if((b[r+11>>0]|0)<0)fuc(f[r>>2]|0);Ric(g);Zjc(m,35464);Mic(i);$Ea(c);SEa(e,391307,393266,765,490334,0,1);i=e+21|0;m=e+32|0;while(1){if(!(b[i>>0]|0))break;aE(aE(m,393473,54)|0,393813,31)|0;TEa(e)}i=e+24|0;f[i>>2]=35348;g=e+88|0;f[g>>2]=35388;f[m>>2]=35368;m=e+36|0;f[m>>2]=35404;r=e+68|0;if((b[r+11>>0]|0)<0)fuc(f[r>>2]|0);Ric(m);Zjc(i,35464);Mic(g);SEa(e,391307,393266,767,490738,0,1);g=e+21|0;i=e+32|0;while(1){if(!(b[g>>0]|0))break;aE(aE(i,393845,50)|0,393896,51)|0;TEa(e)}g=e+24|0;f[g>>2]=35348;m=e+88|0;f[m>>2]=35388;f[i>>2]=35368;i=e+36|0;f[i>>2]=35404;r=e+68|0;if((b[r+11>>0]|0)<0)fuc(f[r>>2]|0);Ric(i);Zjc(g,35464);Mic(m)}do if((f[h>>2]|0)>0){SEa(e,391307,393266,771,490738,0,1);m=e+21|0;g=e+32|0;i=a+11|0;r=a+4|0;while(1){if(!(b[m>>0]|0))break;k=aE(aE(g,393285,60)|0,393948,18)|0;p=b[i>>0]|0;n=p<<24>>24<0;aE(k,n?f[a>>2]|0:a,n?f[r>>2]|0:p&255)|0;TEa(e)}r=e+24|0;f[r>>2]=35348;i=e+88|0;f[i>>2]=35388;f[g>>2]=35368;m=e+36|0;f[m>>2]=35404;j=e+68|0;if((b[j+11>>0]|0)<0)fuc(f[j>>2]|0);Ric(m);Zjc(r,35464);Mic(i);if(bFa(c)|0){SEa(e,391307,393266,778,490334,0,1);i=e+21|0;r=e+32|0;while(1){if(!(b[i>>0]|0))break;aE(aE(r,393473,54)|0,394016,16)|0;TEa(e)}i=e+24|0;f[i>>2]=35348;g=e+88|0;f[g>>2]=35388;f[r>>2]=35368;m=e+36|0;f[m>>2]=35404;j=e+68|0;if((b[j+11>>0]|0)<0)fuc(f[j>>2]|0);Ric(m);Zjc(i,35464);Mic(g);s=l;break}else{SEa(e,391307,393266,775,490738,0,1);g=e+21|0;i=e+32|0;while(1){if(!(b[g>>0]|0))break;aE(aE(i,393365,44)|0,393967,48)|0;TEa(e)}g=e+24|0;f[g>>2]=35348;r=e+88|0;f[r>>2]=35388;f[i>>2]=35368;m=e+36|0;f[m>>2]=35404;j=e+68|0;if((b[j+11>>0]|0)<0)fuc(f[j>>2]|0);Ric(m);Zjc(g,35464);Mic(r);s=0;break}}else s=l;while(0);l=c+80|0;if((f[l>>2]|0)<=0){u=d;return s|0}h=c+88|0;r=0;while(1){g=f[(f[(f[h>>2]|0)+4+(r<<2)>>2]|0)+140>>2]|0;m=b[g+11>>0]|0;if((((m<<24>>24<0?f[g+4>>2]|0:m&255)|0)==9?(Puc(g,0,-1,445463,9)|0)==0:0)?(f[(f[(f[h>>2]|0)+4+(r<<2)>>2]|0)+64>>2]|0)==3:0)break;r=r+1|0;if((r|0)>=(f[l>>2]|0)){t=82;break}}if((t|0)==82){u=d;return s|0}SEa(e,391307,393266,784,490334,0,1);t=e+21|0;l=e+32|0;r=a+11|0;h=a+4|0;while(1){if(!(b[t>>0]|0))break;g=aE(aE(l,394033,57)|0,394091,8)|0;m=b[r>>0]|0;j=m<<24>>24<0;aE(g,j?f[a>>2]|0:a,j?f[h>>2]|0:m&255)|0;TEa(e)}h=e+24|0;f[h>>2]=35348;a=e+88|0;f[a>>2]=35388;f[l>>2]=35368;l=e+36|0;f[l>>2]=35404;r=e+68|0;if((b[r+11>>0]|0)<0)fuc(f[r>>2]|0);Ric(l);Zjc(h,35464);Mic(a);cFa(c);SEa(e,391307,393266,787,490334,0,1);c=e+21|0;a=e+32|0;while(1){if(!(b[c>>0]|0))break;aE(aE(a,394100,57)|0,394158,7)|0;TEa(e)}c=e+24|0;f[c>>2]=35348;h=e+88|0;f[h>>2]=35388;f[a>>2]=35368;a=e+36|0;f[a>>2]=35404;l=e+68|0;if((b[l+11>>0]|0)<0)fuc(f[l>>2]|0);Ric(a);Zjc(c,35464);Mic(h);u=d;return s|0}function bFa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;c=u;u=u+176|0;d=c;if(!a){e=cuc(32)|0;f[d>>2]=e;f[d+8>>2]=-2147483616;f[d+4>>2]=17;g=e;h=394166;i=g+17|0;do{b[g>>0]=b[h>>0]|0;g=g+1|0;h=h+1|0}while((g|0)<(i|0));b[e+17>>0]=0;WD(-215,d,394184,391307,795)}e=a+80|0;if((f[e>>2]|0)>0){SEa(d,391307,394184,798,490738,0,1);h=d+21|0;g=d+32|0;while(1){if(!(b[h>>0]|0))break;aE(aE(g,394197,60)|0,394258,46)|0;TEa(d)}h=d+24|0;f[h>>2]=35348;i=d+88|0;f[i>>2]=35388;f[g>>2]=35368;g=d+36|0;f[g>>2]=35404;j=d+68|0;if((b[j+11>>0]|0)<0)fuc(f[j>>2]|0);Ric(g);Zjc(h,35464);Mic(i);i=f[e>>2]|0;if((i|0)>0){h=f[a+88>>2]|0;g=0;do{ndb(f[h+4+(g<<2)>>2]|0);g=g+1|0}while((g|0)!=(i|0));f[e>>2]=0;k=0}else k=0}else k=1;i=a+20|0;if((f[i>>2]|0)<=0){l=k;u=c;return l|0}g=a+28|0;h=a+76|0;j=a+88|0;m=a+84|0;n=d+21|0;o=d+32|0;p=d+24|0;q=d+88|0;r=d+36|0;s=d+68|0;t=s+11|0;v=0;w=k;while(1){k=f[(f[g>>2]|0)+4+(v<<2)>>2]|0;x=f[j>>2]|0;do if(x){y=f[e>>2]|0;z=f[x>>2]|0;if((y|0)>=(z|0))if((z|0)==(f[m>>2]|0)){A=z;B=25;break}else{C=z;D=x;B=26;break}else{f[e>>2]=y+1;E=f[x+4+(y<<2)>>2]|0;break}}else{A=f[m>>2]|0;B=25}while(0);if((B|0)==25){B=0;LKb(h,A+1|0);x=f[j>>2]|0;C=f[x>>2]|0;D=x;B=26}if((B|0)==26){B=0;f[D>>2]=C+1;x=f[h>>2]|0;if(!x){y=cuc(368)|0;jfb(y);F=y}else{if(f[x+64>>2]|0)HIb(x,20520,368);y=GIb(x,368,1966)|0;jfb(y);F=y}y=f[j>>2]|0;x=f[e>>2]|0;f[e>>2]=x+1;f[y+4+(x<<2)>>2]=F;E=F}if(eFa(k,E)|0)G=w;else{SEa(d,391307,394184,806,490738,0,1);while(1){if(!(b[n>>0]|0))break;aE(tkc(aE(o,394305,23)|0,v)|0,394329,8)|0;TEa(d)}f[p>>2]=35348;f[q>>2]=35388;f[o>>2]=35368;f[r>>2]=35404;if((b[t>>0]|0)<0)fuc(f[s>>2]|0);Ric(r);Zjc(p,35464);Mic(q);G=0}v=v+1|0;H=f[i>>2]|0;if((v|0)>=(H|0))break;else w=G}if((H|0)<=0){l=G;u=c;return l|0}w=f[a+28>>2]|0;a=0;do{dZa(f[w+4+(a<<2)>>2]|0);a=a+1|0}while((a|0)!=(H|0));f[i>>2]=0;l=G;u=c;return l|0}function cFa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0;c=a+80|0;if((f[c>>2]|0)<=0)return;d=a+88|0;a=0;do{e=f[(f[(f[d>>2]|0)+4+(a<<2)>>2]|0)+140>>2]|0;g=b[e+11>>0]|0;if((((g<<24>>24<0?f[e+4>>2]|0:g&255)|0)==9?(Puc(e,0,-1,445463,9)|0)==0:0)?(e=f[(f[d>>2]|0)+4+(a<<2)>>2]|0,g=e+64|0,(f[g>>2]|0)==3):0){h=f[e+72>>2]|0;Yeb(f[h+4>>2]|0);Yeb(f[h+8>>2]|0);Yeb(f[h+12>>2]|0);f[g>>2]=0}a=a+1|0}while((a|0)<(f[c>>2]|0));return}function dFa(a){a=a|0;bi[f[f[a>>2]>>2]&2047](a);return}function eFa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0;d=u;u=u+176|0;e=d;if(!a){g=cuc(32)|0;f[e>>2]=g;f[e+8>>2]=-2147483616;f[e+4>>2]=23;h=g;i=394338;j=h+23|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(j|0));b[g+23>>0]=0;WD(-215,e,394362,391307,839)}ndb(c);g=a+20|0;if((f[g>>2]|0)>0){i=a+28|0;h=c+16|0;j=0;do{k=f[(f[i>>2]|0)+4+(j<<2)>>2]|0;ruc(MEa(h)|0,k)|0;j=j+1|0}while((j|0)<(f[g>>2]|0))}g=a+36|0;if((f[g>>2]|0)>0){j=a+44|0;h=c+32|0;i=0;do{k=f[(f[j>>2]|0)+4+(i<<2)>>2]|0;ruc(MEa(h)|0,k)|0;i=i+1|0}while((i|0)<(f[g>>2]|0))}g=a+8|0;do if(f[g>>2]&1|0){i=f[a+160>>2]|0;h=c+8|0;f[h>>2]=f[h>>2]|1;h=c+136|0;j=f[h>>2]|0;if((j|0)==542896){JEa(h,i);break}else{ruc(j,i)|0;break}}while(0);i=a+92|0;if((f[i>>2]|0)>0){j=c+92|0;h=a+100|0;k=0;do{l=fFa(j)|0;Ghb(l,f[(f[h>>2]|0)+4+(k<<2)>>2]|0);k=k+1|0}while((k|0)<(f[i>>2]|0))}i=a+108|0;if((f[i>>2]|0)>0){k=c+108|0;h=a+116|0;j=0;do{l=fFa(k)|0;Ghb(l,f[(f[h>>2]|0)+4+(j<<2)>>2]|0);j=j+1|0}while((j|0)<(f[i>>2]|0))}if(f[a+12>>2]&1|0)hFa(c,gFa(f[a+288>>2]|0)|0);i=c+76|0;j=a+48|0;do if((i|0)!=(j|0))if((f[j>>2]|0)==(f[i>>2]|0)){h=c+88|0;k=a+60|0;l=f[h>>2]|0;f[h>>2]=f[k>>2];f[k>>2]=l;l=c+80|0;k=a+52|0;h=f[l>>2]|0;f[l>>2]=f[k>>2];f[k>>2]=h;h=c+84|0;k=a+56|0;l=f[h>>2]|0;f[h>>2]=f[k>>2];f[k>>2]=l;break}else{QEa(i,j);break}while(0);j=a+136|0;if((f[j>>2]|0)>0){i=c+64|0;l=c+72|0;k=a+144|0;h=0;do{if((f[i>>2]|0)<=(h|0))do iFa(c)|0;while((f[i>>2]|0)<=(h|0));m=f[(f[l>>2]|0)+4+(h<<2)>>2]|0;n=f[(f[k>>2]|0)+4+(h<<2)>>2]|0;o=m+8|0;f[o>>2]=f[o>>2]|1;o=m+16|0;m=f[o>>2]|0;if((m|0)==542896)JEa(o,n);else ruc(m,n)|0;h=h+1|0}while((h|0)<(f[j>>2]|0))}j=a+148|0;if((f[j>>2]|0)>0){h=c+64|0;k=a+156|0;l=c+72|0;i=e+21|0;n=e+32|0;m=e+24|0;o=e+88|0;p=e+36|0;q=e+68|0;r=q+11|0;s=0;t=0;while(1){if((f[h>>2]|0)<=(s|0))do iFa(c)|0;while((f[h>>2]|0)<=(s|0));v=f[(f[k>>2]|0)+4+(s<<2)>>2]|0;if(v>>>0<2)w=v;else{SEa(e,391307,394362,877,490347,0,1);while(1){if(!(b[i>>0]|0))break;v=aE(n,394386,25)|0;tkc(v,f[(f[k>>2]|0)+4+(s<<2)>>2]|0)|0;TEa(e)}f[m>>2]=35348;f[o>>2]=35388;f[n>>2]=35368;f[p>>2]=35404;if((b[r>>0]|0)<0)fuc(f[q>>2]|0);Ric(p);Zjc(m,35464);Mic(o);w=t}v=f[(f[l>>2]|0)+4+(s<<2)>>2]|0;x=v+8|0;f[x>>2]=f[x>>2]|2;f[v+20>>2]=w;s=s+1|0;if((s|0)>=(f[j>>2]|0))break;else t=w}}w=a+64|0;if((f[w>>2]|0)>0){t=c+64|0;j=c+72|0;s=a+72|0;l=0;do{if((f[t>>2]|0)<=(l|0))do iFa(c)|0;while((f[t>>2]|0)<=(l|0));o=f[(f[j>>2]|0)+4+(l<<2)>>2]|0;m=f[(f[s>>2]|0)+4+(l<<2)>>2]|0;p=o+8|0;f[p>>2]=f[p>>2]|4;f[o+24>>2]=m;l=l+1|0}while((l|0)<(f[w>>2]|0))}w=a+76|0;if((f[w>>2]|0)>0){l=c+64|0;s=c+72|0;j=a+84|0;t=0;do{if((f[l>>2]|0)<=(t|0))do iFa(c)|0;while((f[l>>2]|0)<=(t|0));m=f[(f[s>>2]|0)+4+(t<<2)>>2]|0;o=f[(f[j>>2]|0)+4+(t<<2)>>2]|0;p=m+8|0;f[p>>2]=f[p>>2]|8;f[m+28>>2]=o;t=t+1|0}while((t|0)<(f[w>>2]|0))}w=a+120|0;if((f[w>>2]|0)>0){t=a+128|0;j=c+48|0;s=c+52|0;l=c+56|0;o=0;m=f[j>>2]|0;do{p=f[(f[t>>2]|0)+4+(o<<2)>>2]|0;if((m|0)==(f[s>>2]|0)){REa(j,m+1|0);y=f[j>>2]|0}else y=m;q=f[l>>2]|0;m=y+1|0;f[j>>2]=m;f[q+4+(y<<2)>>2]=p;o=o+1|0}while((o|0)<(f[w>>2]|0))}w=f[g>>2]|0;if(!(w&1048576))z=w;else{w=c+8|0;f[w>>2]=f[w>>2]|16;w=c+152|0;o=f[w>>2]|0;if(!o){y=cuc(28)|0;RZa(y);f[w>>2]=y;A=y}else A=o;o=f[a+240>>2]|0;Mhb(A,o|0?o:538048);z=f[g>>2]|0}if(!(z&65536))B=z;else{z=c+8|0;f[z>>2]=f[z>>2]|32;z=c+156|0;o=f[z>>2]|0;if(!o){A=cuc(28)|0;LZa(A);f[z>>2]=A;C=A}else C=o;o=f[a+224>>2]|0;Nhb(C,o|0?o:538080);B=f[g>>2]|0}if(!(B&4))D=B;else{B=c+8|0;f[B>>2]=f[B>>2]|64;B=c+160|0;o=f[B>>2]|0;if(!o){C=cuc(24)|0;qZa(C);f[B>>2]=C;E=C}else E=o;o=f[a+168>>2]|0;Ohb(E,o|0?o:538112);D=f[g>>2]|0}if(!(D&536870912))F=D;else{D=c+8|0;f[D>>2]=f[D>>2]|128;D=c+164|0;o=f[D>>2]|0;if(!o){E=cuc(24)|0;a_a(E);f[D>>2]=E;G=E}else G=o;o=f[a+276>>2]|0;Phb(G,o|0?o:538200);F=f[g>>2]|0}if(!(F&8))H=F;else{F=c+8|0;f[F>>2]=f[F>>2]|256;F=c+168|0;o=f[F>>2]|0;if(!o){G=cuc(120)|0;rZa(G);f[F>>2]=G;I=G}else I=o;o=f[a+172>>2]|0;Qhb(I,o|0?o:538224);H=f[g>>2]|0}if(!(H&16))J=H;else{H=c+8|0;f[H>>2]=f[H>>2]|512;H=c+172|0;o=f[H>>2]|0;if(!o){I=cuc(52)|0;tZa(I);f[H>>2]=I;K=I}else K=o;o=f[a+176>>2]|0;Rhb(K,o|0?o:538376);J=f[g>>2]|0}if(!(J&32))L=J;else{J=c+8|0;f[J>>2]=f[J>>2]|1024;J=c+176|0;o=f[J>>2]|0;if(!o){K=cuc(24)|0;vZa(K);f[J>>2]=K;M=K}else M=o;o=f[a+180>>2]|0;Shb(M,o|0?o:538504);L=f[g>>2]|0}if(!(L&524288))N=L;else{L=c+8|0;f[L>>2]=f[L>>2]|2048;L=c+180|0;o=f[L>>2]|0;if(!o){M=cuc(96)|0;PZa(M);f[L>>2]=M;O=M}else O=o;o=f[a+236>>2]|0;Thb(O,o|0?o:538528);N=f[g>>2]|0}if(!(N&131072))P=N;else{N=c+8|0;f[N>>2]=f[N>>2]|4096;N=c+184|0;o=f[N>>2]|0;if(!o){O=cuc(36)|0;MZa(O);f[N>>2]=O;Q=O}else Q=o;o=f[a+228>>2]|0;Uhb(Q,o|0?o:538624);P=f[g>>2]|0}if(!(P&1073741824))R=P;else{P=c+8|0;f[P>>2]=f[P>>2]|8192;P=c+188|0;o=f[P>>2]|0;if(!o){Q=cuc(28)|0;b_a(Q);f[P>>2]=Q;S=Q}else S=o;o=f[a+280>>2]|0;Vhb(S,o|0?o:538728);R=f[g>>2]|0}if(!(R&64))T=R;else{R=c+8|0;f[R>>2]=f[R>>2]|16384;R=c+192|0;o=f[R>>2]|0;if(!o){S=cuc(28)|0;wZa(S);f[R>>2]=S;U=S}else U=o;o=f[a+184>>2]|0;Whb(U,o|0?o:538784);T=f[g>>2]|0}if(!(T&128))V=T;else{T=c+8|0;f[T>>2]=f[T>>2]|32768;T=c+196|0;o=f[T>>2]|0;if(!o){U=cuc(20)|0;lYa(U);f[T>>2]=U;W=U}else W=o;o=f[a+188>>2]|0;Xhb(W,o|0?o:538816);V=f[g>>2]|0}if(!(V&2097152))X=V;else{V=c+8|0;f[V>>2]=f[V>>2]|65536;V=c+200|0;o=f[V>>2]|0;if(!o){W=cuc(20)|0;SZa(W);f[V>>2]=W;Y=W}else Y=o;o=f[a+244>>2]|0;Yhb(Y,o|0?o:538840);X=f[g>>2]|0}if(!(X&256))Z=X;else{X=c+8|0;f[X>>2]=f[X>>2]|131072;X=c+204|0;o=f[X>>2]|0;if(!o){Y=cuc(60)|0;yZa(Y);f[X>>2]=Y;_=Y}else _=o;o=f[a+192>>2]|0;Zhb(_,o|0?o:538864);Z=f[g>>2]|0}if(!(Z&512))$=Z;else{Z=c+8|0;f[Z>>2]=f[Z>>2]|262144;Z=c+208|0;o=f[Z>>2]|0;if(!o){_=cuc(20)|0;AZa(_);f[Z>>2]=_;aa=_}else aa=o;o=f[a+196>>2]|0;_hb(aa,o|0?o:538928);$=f[g>>2]|0}if(!($&1024))ba=$;else{$=c+8|0;f[$>>2]=f[$>>2]|524288;$=c+212|0;o=f[$>>2]|0;if(!o){aa=cuc(36)|0;BZa(aa);f[$>>2]=aa;ca=aa}else ca=o;o=f[a+200>>2]|0;$hb(ca,o|0?o:538952);ba=f[g>>2]|0}if(!(ba&2048))da=ba;else{ba=c+8|0;f[ba>>2]=f[ba>>2]|1048576;ba=c+216|0;o=f[ba>>2]|0;if(!o){ca=cuc(40)|0;DZa(ca);f[ba>>2]=ca;ea=ca}else ea=o;o=f[a+204>>2]|0;aib(ea,o|0?o:539056);da=f[g>>2]|0}if(!(da&32768))fa=da;else{da=c+8|0;f[da>>2]=f[da>>2]|2097152;da=c+220|0;o=f[da>>2]|0;if(!o){ea=cuc(32)|0;KZa(ea);f[da>>2]=ea;ga=ea}else ga=o;o=f[a+220>>2]|0;bib(ga,o|0?o:539096);fa=f[g>>2]|0}if(!(fa&16777216))ha=fa;else{fa=c+8|0;f[fa>>2]=f[fa>>2]|4194304;fa=c+224|0;o=f[fa>>2]|0;if(!o){ga=cuc(24)|0;WZa(ga);f[fa>>2]=ga;ia=ga}else ia=o;o=f[a+256>>2]|0;cib(ia,o|0?o:539128);ha=f[g>>2]|0}if(!(ha&4096))ja=ha;else{ha=c+8|0;f[ha>>2]=f[ha>>2]|8388608;ha=c+228|0;o=f[ha>>2]|0;if(!o){ia=cuc(68)|0;FZa(ia);f[ha>>2]=ia;ka=ia}else ka=o;o=f[a+208>>2]|0;dib(ka,o|0?o:539176);ja=f[g>>2]|0}if(!(ja&16384))la=ja;else{ja=c+8|0;f[ja>>2]=f[ja>>2]|16777216;ja=c+232|0;o=f[ja>>2]|0;if(!o){ka=cuc(28)|0;JZa(ka);f[ja>>2]=ka;ma=ka}else ma=o;o=f[a+216>>2]|0;eib(ma,o|0?o:539248);la=f[g>>2]|0}if(!(la&4194304))na=la;else{la=c+8|0;f[la>>2]=f[la>>2]|33554432;la=c+236|0;o=f[la>>2]|0;if(!o){ma=cuc(24)|0;TZa(ma);f[la>>2]=ma;oa=ma}else oa=o;o=f[a+248>>2]|0;fib(oa,o|0?o:539376);na=f[g>>2]|0}if(!(na&134217728))pa=na;else{na=c+8|0;f[na>>2]=f[na>>2]|67108864;na=c+240|0;o=f[na>>2]|0;if(!o){oa=cuc(20)|0;_Za(oa);f[na>>2]=oa;qa=oa}else qa=o;o=f[a+268>>2]|0;gib(qa,o|0?o:539472);pa=f[g>>2]|0}if(!(pa&268435456))ra=pa;else{pa=c+8|0;f[pa>>2]=f[pa>>2]|134217728;pa=c+244|0;o=f[pa>>2]|0;if(!o){qa=cuc(24)|0;$Za(qa);f[pa>>2]=qa;sa=qa}else sa=o;o=f[a+272>>2]|0;iib(sa,o|0?o:539536);ra=f[g>>2]|0}if(!(ra&8388608))ta=ra;else{ra=c+8|0;f[ra>>2]=f[ra>>2]|268435456;ra=c+248|0;o=f[ra>>2]|0;if(!o){sa=cuc(36)|0;UZa(sa);f[ra>>2]=sa;ua=sa}else ua=o;o=f[a+252>>2]|0;hib(ua,o|0?o:539496);ta=f[g>>2]|0}if(!(ta&67108864))va=ta;else{ta=c+8|0;f[ta>>2]=f[ta>>2]|536870912;ta=c+252|0;o=f[ta>>2]|0;if(!o){ua=cuc(20)|0;ZZa(ua);f[ta>>2]=ua;wa=ua}else wa=o;o=f[a+264>>2]|0;jib(wa,o|0?o:539560);va=f[g>>2]|0}if(!(va&262144))xa=va;else{va=c+8|0;f[va>>2]=f[va>>2]|1073741824;va=c+256|0;o=f[va>>2]|0;if(!o){wa=cuc(20)|0;OZa(wa);f[va>>2]=wa;ya=wa}else ya=o;o=f[a+232>>2]|0;kib(ya,o|0?o:539608);xa=f[g>>2]|0}if(!(xa&8192))za=xa;else{xa=c+8|0;f[xa>>2]=f[xa>>2]|-2147483648;xa=c+260|0;o=f[xa>>2]|0;if(!o){ya=cuc(64)|0;HZa(ya);f[xa>>2]=ya;Aa=ya}else Aa=o;o=f[a+212>>2]|0;lib(Aa,o|0?o:539632);za=f[g>>2]|0}if(!(za&33554432))Ba=za;else{za=c+8|0;f[za>>2]=f[za>>2]|4;za=c+144|0;o=f[za>>2]|0;if(!o){Aa=cuc(44)|0;XZa(Aa);f[za>>2]=Aa;Ca=Aa}else Ca=o;o=f[a+260>>2]|0;Khb(Ca,o|0?o:537968);Ba=f[g>>2]|0}if((Ba|0)<0){o=c+8|0;f[o>>2]=f[o>>2]|8;o=c+148|0;c=f[o>>2]|0;if(!c){Ca=cuc(28)|0;c_a(Ca);f[o>>2]=Ca;Da=Ca}else Da=c;c=f[a+284>>2]|0;Lhb(Da,c|0?c:538016);Ea=f[g>>2]|0}else Ea=Ba;if(!(Ea&2)){Fa=1;u=d;return Fa|0}SEa(e,391307,394362,1016,490738,0,1);Ea=e+21|0;Ba=e+32|0;while(1){if(!(b[Ea>>0]|0))break;aE(Ba,394412,44)|0;TEa(e)}Ea=e+24|0;f[Ea>>2]=35348;g=e+88|0;f[g>>2]=35388;f[Ba>>2]=35368;Ba=e+36|0;f[Ba>>2]=35404;c=e+68|0;if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);Ric(Ba);Zjc(Ea,35464);Mic(g);Fa=0;u=d;return Fa|0}function fFa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;b=a+12|0;c=f[b>>2]|0;do if(!c){d=a+4|0;e=f[a+8>>2]|0;g=6}else{h=a+4|0;i=f[h>>2]|0;j=f[c>>2]|0;if((i|0)>=(j|0))if((j|0)==(f[a+8>>2]|0)){d=h;e=j;g=6;break}else{k=h;l=j;m=c;break}f[h>>2]=i+1;n=f[c+4+(i<<2)>>2]|0;return n|0}while(0);if((g|0)==6){LKb(a,e+1|0);e=f[b>>2]|0;k=d;l=f[e>>2]|0;m=e}f[m>>2]=l+1;l=f[a>>2]|0;if(!l){a=cuc(60)|0;T6a(a);o=a}else{if(f[l+64>>2]|0)HIb(l,20216,64);a=GIb(l,64,1967)|0;T6a(a);o=a}a=f[b>>2]|0;b=f[k>>2]|0;f[k>>2]=b+1;f[a+4+(b<<2)>>2]=o;n=o;return n|0}function gFa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=u;u=u+176|0;d=c;do switch(a|0){case 0:{e=1171380;break}case 35:{e=415917;break}case 1:{e=394727;break}case 30:{e=394720;break}case 2:{e=394715;break}case 3:{e=445316;break}case 37:{e=394699;break}case 4:{e=445519;break}case 39:{e=415820;break}case 5:{e=394694;break}case 6:{e=415934;break}case 32:{e=394684;break}case 7:{e=394670;break}case 25:{e=445212;break}case 38:{e=401787;break}case 8:{e=415791;break}case 9:{e=394661;break}case 10:{e=394650;break}case 28:{e=394640;break}case 11:{e=394633;break}case 12:{e=394623;break}case 13:{e=394610;break}case 14:{e=415862;break}case 15:{e=415858;break}case 29:{e=394599;break}case 16:{e=394575;break}case 34:{e=415875;break}case 17:{e=445413;break}case 26:{e=458405;break}case 18:{e=445489;break}case 19:{e=415905;break}case 27:{e=394551;break}case 36:{e=415942;break}case 20:{e=445381;break}case 21:{e=394535;break}case 22:{e=415777;break}case 33:{e=415771;break}case 23:{e=413190;break}case 24:{e=394524;break}case 31:{e=394514;break}default:{SEa(d,391307,394457,1105,490347,0,1);g=d+21|0;h=d+32|0;while(1){if(!(b[g>>0]|0))break;tkc(aE(h,394476,37)|0,a)|0;TEa(d)}g=d+24|0;f[g>>2]=35348;i=d+88|0;f[i>>2]=35388;f[h>>2]=35368;j=d+36|0;f[j>>2]=35404;k=d+68|0;if((b[k+11>>0]|0)<0)fuc(f[k>>2]|0);Ric(j);Zjc(g,35464);Mic(i);e=1171380}}while(0);u=c;return e|0}function hFa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;d=u;u=u+16|0;e=d;g=a+8|0;f[g>>2]=f[g>>2]|2;g=a+140|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;a=jfc(c)|0;if(a>>>0>4294967279)muc(e);if(a>>>0<11){b[e+11>>0]=a;if(!a)h=e;else{i=e;j=6}}else{k=a+16&-16;l=cuc(k)|0;f[e>>2]=l;f[e+8>>2]=k|-2147483648;f[e+4>>2]=a;i=l;j=6}if((j|0)==6){szc(i|0,c|0,a|0)|0;h=i}b[h+a>>0]=0;a=f[g>>2]|0;if((a|0)==542896){h=cuc(12)|0;f[h>>2]=f[e>>2];f[h+4>>2]=f[e+4>>2];f[h+8>>2]=f[e+8>>2];f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[g>>2]=h;u=d;return}h=a+11|0;if((b[h>>0]|0)<0){b[f[a>>2]>>0]=0;f[a+4>>2]=0}else{b[a>>0]=0;b[h>>0]=0}vuc(a,0);f[a>>2]=f[e>>2];f[a+4>>2]=f[e+4>>2];f[a+8>>2]=f[e+8>>2];f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;u=d;return}function iFa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;b=a+60|0;c=a+72|0;d=f[c>>2]|0;do if(!d){e=a+64|0;g=f[a+68>>2]|0;h=6}else{i=a+64|0;j=f[i>>2]|0;k=f[d>>2]|0;if((j|0)>=(k|0))if((k|0)==(f[a+68>>2]|0)){e=i;g=k;h=6;break}else{l=i;m=k;n=d;break}f[i>>2]=j+1;o=f[d+4+(j<<2)>>2]|0;return o|0}while(0);if((h|0)==6){LKb(b,g+1|0);g=f[c>>2]|0;l=e;m=f[g>>2]|0;n=g}f[n>>2]=m+1;m=f[b>>2]|0;if(!m){b=cuc(32)|0;Reb(b);p=b}else{if(f[m+64>>2]|0)HIb(m,20600,32);b=GIb(m,32,1968)|0;Reb(b);p=b}b=f[c>>2]|0;c=f[l>>2]|0;f[l>>2]=c+1;f[b+4+(c<<2)>>2]=p;o=p;return o|0}function jFa(a){a=a|0;bi[f[f[a>>2]>>2]&2047](a);return}function kFa(a){a=a|0;bi[f[f[a>>2]>>2]&2047](a);return}function lFa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;d=u;u=u+384|0;e=d+188|0;g=d;h=d+168|0;i=e+108|0;j=e+8|0;f[e>>2]=18460;f[i>>2]=18480;f[e+4>>2]=0;bkc(e+108|0,j);f[e+180>>2]=0;f[e+184>>2]=-1;f[e>>2]=110428;f[i>>2]=110448;mFa(j);k=e+72|0;if((f[k>>2]|0)==0?(l=ogc(a,407569)|0,f[k>>2]=l,(l|0)!=0):0){f[e+96>>2]=8;m=l}else{l=e+(f[(f[e>>2]|0)+-12>>2]|0)|0;akc(l,f[l+16>>2]|4);m=f[k>>2]|0}SEa(g,391307,394736,1121,443954,394758,(m|0)!=0);m=g+21|0;k=g+32|0;while(1){if(!(b[m>>0]|0))break;l=aE(k,394771,12)|0;aE(aE(l,a,jfc(a)|0)|0,517029,1)|0;TEa(g)}a=g+24|0;f[a>>2]=35348;m=g+88|0;f[m>>2]=35388;f[k>>2]=35368;k=g+36|0;f[k>>2]=35404;l=g+68|0;if((b[l+11>>0]|0)<0)fuc(f[l>>2]|0);Ric(k);Zjc(a,35464);Mic(m);x4b(g,e,-1);wac(h,1);m=yac(h,g,c)|0;xac(h);f[g>>2]=157692;mKb(g+16|0);u4b(g+4|0);f[e>>2]=110428;f[i>>2]=110448;nFa(j);Djc(e,110460);Mic(i);u=d;return m|0}function mFa(a){a=a|0;var c=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;c=u;u=u+16|0;e=c;gkc(a);f[a>>2]=110480;f[a+32>>2]=0;f[a+36>>2]=0;f[a+40>>2]=0;g=a+52|0;h=a+68|0;i=a+98|0;j=g;k=j+44|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));d[g+44>>1]=0;b[g+46>>0]=0;g=a+4|0;Ktc(e,g);j=Ntc(e,903668)|0;Jlc(e);if(!j){l=f[a>>2]|0;m=l+12|0;n=f[m>>2]|0;li[n&511](a,0,4096)|0;u=c;return}Ktc(e,g);g=Ilc(e,903668)|0;f[h>>2]=g;Jlc(e);e=f[h>>2]|0;h=(di[f[(f[e>>2]|0)+28>>2]&1023](e)|0)&1;b[i>>0]=h;l=f[a>>2]|0;m=l+12|0;n=f[m>>2]|0;li[n&511](a,0,4096)|0;u=c;return}function nFa(a){a=a|0;var c=0,d=0;f[a>>2]=110480;c=a+64|0;d=f[c>>2]|0;if(d|0?(oFa(a)|0,(ugc(d)|0)==0):0)f[c>>2]=0;if(b[a+96>>0]|0?(c=f[a+32>>2]|0,c|0):0)guc(c);if(b[a+97>>0]|0?(c=f[a+56>>2]|0,c|0):0)guc(c);Ric(a);return}function oFa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;c=u;u=u+16|0;d=c;e=a+64|0;if(!(f[e>>2]|0)){g=0;u=c;return g|0}h=a+68|0;i=f[h>>2]|0;if(!i){j=ze(4)|0;Zvc(j);Hf(j|0,26920,1892)}j=a+92|0;k=f[j>>2]|0;do if(!(k&16)){if(k&8|0){l=a+80|0;m=f[l+4>>2]|0;n=d;f[n>>2]=f[l>>2];f[n+4>>2]=m;do if(!(b[a+98>>0]|0)){m=di[f[(f[i>>2]|0)+24>>2]&1023](i)|0;n=a+36|0;l=f[n>>2]|0;o=(f[a+40>>2]|0)-l|0;if((m|0)>0){p=0;q=(Y((f[a+16>>2]|0)-(f[a+12>>2]|0)|0,m)|0)+o|0;break}m=f[a+12>>2]|0;if((m|0)==(f[a+16>>2]|0)){p=0;q=o}else{r=f[h>>2]|0;s=a+32|0;t=mh[f[(f[r>>2]|0)+32>>2]&127](r,d,f[s>>2]|0,l,m-(f[a+8>>2]|0)|0)|0;p=1;q=o-t+(f[n>>2]|0)-(f[s>>2]|0)|0}}else{p=0;q=(f[a+16>>2]|0)-(f[a+12>>2]|0)|0}while(0);if(Vgc(f[e>>2]|0,0-q|0,1)|0){g=-1;u=c;return g|0}if(p){s=d;n=f[s+4>>2]|0;t=a+72|0;f[t>>2]=f[s>>2];f[t+4>>2]=n}n=f[a+32>>2]|0;f[a+40>>2]=n;f[a+36>>2]=n;f[a+8>>2]=0;f[a+12>>2]=0;f[a+16>>2]=0;f[j>>2]=0}}else{if((f[a+24>>2]|0)!=(f[a+20>>2]|0)?(Th[f[(f[a>>2]|0)+52>>2]&1023](a,-1)|0)==-1:0){g=-1;u=c;return g|0}n=a+72|0;t=a+32|0;s=a+52|0;a:while(1){o=f[h>>2]|0;m=f[t>>2]|0;l=mh[f[(f[o>>2]|0)+20>>2]&127](o,n,m,m+(f[s>>2]|0)|0,d)|0;m=f[t>>2]|0;o=(f[d>>2]|0)-m|0;if((kgc(m,1,o,f[e>>2]|0)|0)!=(o|0)){g=-1;v=24;break}switch(l|0){case 1:break;case 2:{g=-1;v=24;break a;break}default:{v=10;break a}}}if((v|0)==10){if(!(vgc(f[e>>2]|0)|0))break;else g=-1;u=c;return g|0}else if((v|0)==24){u=c;return g|0}}while(0);g=0;u=c;return g|0}function pFa(a){a=a|0;nFa(a);fuc(a);return}function qFa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0;di[f[(f[a>>2]|0)+24>>2]&1023](a)|0;d=Ilc(c,903668)|0;f[a+68>>2]=d;c=a+98|0;e=b[c>>0]|0;g=di[f[(f[d>>2]|0)+28>>2]&1023](d)|0;b[c>>0]=g&1;if((e&255|0)==(g&1|0))return;e=a+8|0;c=a+96|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;f[e+16>>2]=0;f[e+20>>2]=0;e=(b[c>>0]|0)!=0;if(g){g=a+32|0;if(e?(d=f[g>>2]|0,d|0):0)guc(d);d=a+97|0;b[c>>0]=b[d>>0]|0;h=a+60|0;f[a+52>>2]=f[h>>2];i=a+56|0;f[g>>2]=f[i>>2];f[h>>2]=0;f[i>>2]=0;b[d>>0]=0;return}d=f[a+52>>2]|0;f[a+60>>2]=d;if(!e?(e=a+32|0,i=f[e>>2]|0,(i|0)!=(a+44|0)):0){f[a+56>>2]=i;b[a+97>>0]=0;i=euc(d)|0;f[e>>2]=i;b[c>>0]=1;return}c=euc(d)|0;f[a+56>>2]=c;b[a+97>>0]=1;return}function rFa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;e=a+8|0;g=a+96|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;f[e+16>>2]=0;f[e+20>>2]=0;if(b[g>>0]|0?(e=f[a+32>>2]|0,e|0):0)guc(e);e=a+97|0;if(b[e>>0]|0?(h=f[a+56>>2]|0,h|0):0)guc(h);h=a+52|0;f[h>>2]=d;if(d>>>0>8){i=b[a+98>>0]|0;if((c|0)!=0&i<<24>>24!=0){j=0;k=c}else{j=1;k=euc(d)|0}f[a+32>>2]=k;l=j;m=i}else{f[a+32>>2]=a+44;f[h>>2]=8;l=0;m=b[a+98>>0]|0}b[g>>0]=l;if(m<<24>>24){f[a+60>>2]=0;n=0;o=0;p=a+56|0;f[p>>2]=o;b[e>>0]=n;return a|0}m=(d|0)>8?d:8;f[a+60>>2]=m;if((c|0)!=0&m>>>0>7){n=0;o=c;p=a+56|0;f[p>>2]=o;b[e>>0]=n;return a|0}n=1;o=euc(m)|0;p=a+56|0;f[p>>2]=o;b[e>>0]=n;return a|0}function sFa(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0;g=f[b+68>>2]|0;if(!g){h=ze(4)|0;Zvc(h);Hf(h|0,26920,1892)}h=di[f[(f[g>>2]|0)+24>>2]&1023](g)|0;g=b+64|0;if((((f[g>>2]|0)!=0?!(((c|0)!=0|(d|0)!=0)&(h|0)<1):0)?e>>>0<3&(di[f[(f[b>>2]|0)+24>>2]&1023](b)|0)==0:0)?(i=f[g>>2]|0,j=Bzc(h|0,((h|0)<0)<<31>>31|0,c|0,d|0)|0,(Vgc(i,(h|0)>0?j:0,e)|0)==0):0){e=Qhc(f[g>>2]|0)|0;g=b+72|0;k=f[g>>2]|0;l=f[g+4>>2]|0;m=e;n=((e|0)<0)<<31>>31}else{k=0;l=0;m=-1;n=-1}e=a;f[e>>2]=k;f[e+4>>2]=l;l=a+8|0;f[l>>2]=m;f[l+4>>2]=n;return}function tFa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0;d=b+64|0;if(f[d>>2]|0?(di[f[(f[b>>2]|0)+24>>2]&1023](b)|0)==0:0)if(!(Vgc(f[d>>2]|0,f[c+8>>2]|0,0)|0)){d=c;e=f[d+4>>2]|0;g=b+72|0;f[g>>2]=f[d>>2];f[g+4>>2]=e;f[a>>2]=f[c>>2];f[a+4>>2]=f[c+4>>2];f[a+8>>2]=f[c+8>>2];f[a+12>>2]=f[c+12>>2];return}else{c=a;f[c>>2]=0;f[c+4>>2]=0;c=a+8|0;f[c>>2]=-1;f[c+4>>2]=-1;return}c=a;f[c>>2]=0;f[c+4>>2]=0;c=a+8|0;f[c>>2]=-1;f[c+4>>2]=-1;return}function uFa(a){a=a|0;var c=0,d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;c=u;u=u+16|0;d=c+4|0;e=c;g=a+64|0;if(!(f[g>>2]|0)){i=-1;u=c;return i|0}j=a+92|0;if(!(f[j>>2]&8)){f[a+24>>2]=0;f[a+20>>2]=0;f[a+28>>2]=0;k=(b[a+98>>0]|0)==0;l=f[(k?a+56|0:a+32|0)>>2]|0;m=l+(f[(k?a+60|0:a+52|0)>>2]|0)|0;f[a+8>>2]=l;l=a+12|0;f[l>>2]=m;f[a+16>>2]=m;f[j>>2]=8;n=1;o=l;p=m}else{m=a+12|0;n=0;o=m;p=f[m>>2]|0}if(!p){m=d+1|0;f[a+8>>2]=d;f[o>>2]=m;f[a+16>>2]=m;q=m}else q=p;p=a+16|0;if(n){r=f[p>>2]|0;s=0}else{n=f[p>>2]|0;m=(n-(f[a+8>>2]|0)|0)/2|0;r=n;s=m>>>0<4?m:4}do if((q|0)==(r|0)){m=a+8|0;uzc(f[m>>2]|0,q+(0-s)|0,s|0)|0;if(b[a+98>>0]|0){n=f[m>>2]|0;l=Thc(n+s|0,1,(f[p>>2]|0)-s-n|0,f[g>>2]|0)|0;if(!l){t=-1;v=m;break}n=(f[m>>2]|0)+s|0;f[o>>2]=n;f[p>>2]=n+l;t=h[n>>0]|0;v=m;break}n=a+40|0;l=f[n>>2]|0;j=a+36|0;k=f[j>>2]|0;w=l;x=k;if((l|0)==(k|0)){y=a+32|0;z=x;A=w}else{l=a+32|0;uzc(f[l>>2]|0,k|0,w-x|0)|0;y=l;z=f[j>>2]|0;A=f[n>>2]|0}l=f[y>>2]|0;x=l+(A-z)|0;f[j>>2]=x;if((l|0)==(a+44|0))B=8;else B=f[a+52>>2]|0;w=l+B|0;f[n>>2]=w;l=a+60|0;k=(f[l>>2]|0)-s|0;C=w-x|0;w=a+72|0;D=w;E=f[D+4>>2]|0;F=a+80|0;f[F>>2]=f[D>>2];f[F+4>>2]=E;E=Thc(x,1,C>>>0<k>>>0?C:k,f[g>>2]|0)|0;if(!E){t=-1;v=m}else{k=f[a+68>>2]|0;if(!k){C=ze(4)|0;Zvc(C);Hf(C|0,26920,1892)}C=(f[j>>2]|0)+E|0;f[n>>2]=C;E=f[m>>2]|0;if((Ei[f[(f[k>>2]|0)+16>>2]&15](k,w,f[y>>2]|0,C,j,E+s|0,E+(f[l>>2]|0)|0,e)|0)!=3){l=f[e>>2]|0;E=(f[m>>2]|0)+s|0;if((l|0)==(E|0))G=-1;else{H=l;I=E;J=25}}else{E=f[y>>2]|0;l=f[n>>2]|0;f[m>>2]=E;H=l;I=E;J=25}if((J|0)==25){f[o>>2]=I;f[p>>2]=H;G=h[I>>0]|0}t=G;v=m}}else{t=h[q>>0]|0;v=a+8|0}while(0);if((f[v>>2]|0)==(d|0)){f[v>>2]=0;f[o>>2]=0;f[p>>2]=0}i=t;u=c;return i|0}function vFa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0;if(!(f[a+64>>2]|0)){d=-1;return d|0}e=a+12|0;g=f[e>>2]|0;if((f[a+8>>2]|0)>>>0>=g>>>0){d=-1;return d|0}if((c|0)==-1){f[e>>2]=g+-1;d=0;return d|0}if(!(f[a+88>>2]&16)){a=c&255;h=g+-1|0;if(a<<24>>24==(b[h>>0]|0)){i=a;j=h}else{d=-1;return d|0}}else{i=c&255;j=g+-1|0}f[e>>2]=j;b[j>>0]=i;d=c;return d|0}function wFa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;d=u;u=u+16|0;e=d+8|0;g=d+4|0;h=d;i=a+64|0;if(!(f[i>>2]|0)){j=-1;u=d;return j|0}k=a+92|0;if(!(f[k>>2]&16)){f[a+8>>2]=0;f[a+12>>2]=0;f[a+16>>2]=0;l=f[a+52>>2]|0;do if(l>>>0>8)if(!(b[a+98>>0]|0)){m=f[a+56>>2]|0;n=m+((f[a+60>>2]|0)+-1)|0;o=m;break}else{m=f[a+32>>2]|0;n=m+(l+-1)|0;o=m;break}else{n=0;o=0}while(0);f[a+24>>2]=o;l=a+20|0;f[l>>2]=o;m=a+28|0;f[m>>2]=n;f[k>>2]=16;p=l;q=m;r=m;s=l;t=o;v=n;w=o}else{o=a+20|0;n=f[o>>2]|0;l=a+28|0;p=o;q=l;r=l;s=o;t=n;v=f[l>>2]|0;w=n}n=(c|0)==-1;l=a+24|0;o=f[l>>2]|0;if(n){x=o;y=w}else{if(!o){f[l>>2]=e;f[s>>2]=e;f[q>>2]=e+1;z=e}else z=o;b[z>>0]=c;z=(f[l>>2]|0)+1|0;f[l>>2]=z;x=z;y=f[s>>2]|0}a:do if((x|0)==(y|0))A=32;else{b:do if(!(b[a+98>>0]|0)){z=a+32|0;o=f[z>>2]|0;f[g>>2]=o;e=a+68|0;w=f[e>>2]|0;if(!w){B=ze(4)|0;Zvc(B);Hf(B|0,26920,1892)}m=o;o=a+72|0;k=a+52|0;C=Ei[f[(f[w>>2]|0)+12>>2]&15](w,o,y,x,h,m,m+(f[k>>2]|0)|0,g)|0;m=f[s>>2]|0;c:do if((f[h>>2]|0)!=(m|0)){w=C;D=m;while(1){if((w|0)==3){A=21;break}if((w|1|0)!=1)break c;E=f[z>>2]|0;F=(f[g>>2]|0)-E|0;if((kgc(E,1,F,f[i>>2]|0)|0)!=(F|0))break c;if((w|0)!=1){A=28;break}F=f[h>>2]|0;E=f[l>>2]|0;f[p>>2]=F;f[q>>2]=E;G=F;H=G+(E-F)|0;f[l>>2]=H;F=f[e>>2]|0;if(!F){A=19;break}E=f[z>>2]|0;w=Ei[f[(f[F>>2]|0)+12>>2]&15](F,o,G,H,h,E,E+(f[k>>2]|0)|0,g)|0;E=f[s>>2]|0;if((f[h>>2]|0)==(E|0))break c;else D=E}if((A|0)==19){B=ze(4)|0;Zvc(B);Hf(B|0,26920,1892)}else if((A|0)==21){w=(f[l>>2]|0)-D|0;if((kgc(D,1,w,f[i>>2]|0)|0)!=(w|0))break}I=l;break b}while(0);J=-1;break a}else{k=x-y|0;if((kgc(y,1,k,f[i>>2]|0)|0)!=(k|0)){J=-1;break a}I=l}while(0);f[I>>2]=t;f[p>>2]=t;f[r>>2]=v;A=32}while(0);if((A|0)==32)J=n?0:c;j=J;u=d;return j|0}function xFa(a){a=a|0;var b=0;f[a>>2]=110428;b=a+108|0;f[b>>2]=110448;nFa(a+8|0);Djc(a,110460);Mic(b);return}function yFa(a){a=a|0;var b=0;f[a>>2]=110428;b=a+108|0;f[b>>2]=110448;nFa(a+8|0);Djc(a,110460);Mic(b);fuc(a);return}function zFa(a){a=a|0;var b=0;b=a+(f[(f[a>>2]|0)+-12>>2]|0)|0;f[b>>2]=110428;a=b+108|0;f[a>>2]=110448;nFa(b+8|0);Djc(b,110460);Mic(a);return}function AFa(a){a=a|0;var b=0;b=a+(f[(f[a>>2]|0)+-12>>2]|0)|0;f[b>>2]=110428;a=b+108|0;f[a>>2]=110448;nFa(b+8|0);Djc(b,110460);Mic(a);fuc(b);return}function BFa(a,c){a=a|0;c=c|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=u;u=u+416|0;g=e+248|0;h=e+56|0;i=e;j=h+108|0;k=h+8|0;f[h>>2]=18460;f[j>>2]=18480;f[h+4>>2]=0;bkc(h+108|0,k);f[h+180>>2]=0;f[h+184>>2]=-1;f[h>>2]=110428;f[j>>2]=110448;mFa(k);l=h+72|0;if((f[l>>2]|0)==0?(m=ogc(a,407711)|0,f[l>>2]=m,(m|0)!=0):0){f[h+96>>2]=12;n=m}else{m=h+(f[(f[h>>2]|0)+-12>>2]|0)|0;akc(m,f[m+16>>2]|4);n=f[l>>2]|0}SEa(g,391307,394879,1132,443954,394758,(n|0)!=0);n=g+21|0;l=g+32|0;while(1){if(!(b[n>>0]|0))break;m=aE(l,394771,12)|0;aE(aE(m,a,jfc(a)|0)|0,517029,1)|0;TEa(g)}a=g+24|0;f[a>>2]=35348;n=g+88|0;f[n>>2]=35388;f[l>>2]=35368;l=g+36|0;f[l>>2]=35404;m=g+68|0;if((b[m+11>>0]|0)<0)fuc(f[m>>2]|0);Ric(l);Zjc(a,35464);Mic(n);x4b(i,h,-1);f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=i;n=g+12|0;f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;d[n+12>>1]=0;f[g+28>>2]=2147483647;f[g+32>>2]=0;f[g+36>>2]=2147483647;n=f[37864]|0;f[g+40>>2]=n;f[g+44>>2]=n;b[g+48>>0]=1;f[g+52>>2]=0;f[g+56>>2]=0;BJb(g)|0;FJb(g,2147483647,536870912);n=AKb(c,g)|0;vJb(g);f[i>>2]=157692;mKb(i+16|0);u4b(i+4|0);f[h>>2]=110428;f[j>>2]=110448;nFa(k);Djc(h,110460);Mic(j);u=e;return n|0}function CFa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=u;u=u+32|0;e=d;uKb(e,a,b,-1);b=Yac(e,c)|0;u=d;return b|0}function DFa(a,c,e){a=a|0;c=c|0;e=e|0;var g=0,h=0,i=0;g=u;u=u+96|0;h=g+24|0;i=g;uKb(i,a,c,-1);f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=i;i=h+12|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;d[i+12>>1]=0;f[h+28>>2]=2147483647;f[h+32>>2]=0;f[h+36>>2]=2147483647;i=f[37864]|0;f[h+40>>2]=i;f[h+44>>2]=i;b[h+48>>0]=1;f[h+52>>2]=0;f[h+56>>2]=0;BJb(h)|0;FJb(h,2147483647,536870912);i=AKb(e,h)|0;vJb(h);u=g;return i|0}function EFa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;d=u;u=u+176|0;e=d;SEa(e,391307,394903,1151,443954,444181,lFa(a,c)|0);g=e+21|0;h=e+32|0;while(1){if(!(b[g>>0]|0))break;i=aE(h,407571,35)|0;aE(i,a,jfc(a)|0)|0;TEa(e)}g=e+24|0;f[g>>2]=35348;i=e+88|0;f[i>>2]=35388;f[h>>2]=35368;h=e+36|0;f[h>>2]=35404;j=e+68|0;if((b[j+11>>0]|0)<0)fuc(f[j>>2]|0);Ric(h);Zjc(g,35464);Mic(i);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;i=jfc(a)|0;if(i>>>0>4294967279)muc(e);if(i>>>0<11){b[e+11>>0]=i;if(!i)k=e;else{l=e;m=10}}else{g=i+16&-16;h=cuc(g)|0;f[e>>2]=h;f[e+8>>2]=g|-2147483648;f[e+4>>2]=i;l=h;m=10}if((m|0)==10){szc(l|0,a|0,i|0)|0;k=l}b[k+i>>0]=0;aFa(e,c)|0;if((b[e+11>>0]|0)>=0){u=d;return}fuc(f[e>>2]|0);u=d;return}function FFa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0;e=u;u=u+192|0;g=e+168|0;h=e;uKb(g,a,c,-1);SEa(h,391307,394934,1158,443954,444257,Yac(g,d)|0);c=h+21|0;a=h+32|0;while(1){if(!(b[c>>0]|0))break;aE(a,394981,35)|0;TEa(h)}c=h+24|0;f[c>>2]=35348;i=h+88|0;f[i>>2]=35388;f[a>>2]=35368;a=h+36|0;f[a>>2]=35404;j=h+68|0;if((b[j+11>>0]|0)<0)fuc(f[j>>2]|0);Ric(a);Zjc(c,35464);Mic(i);i=cuc(16)|0;f[g>>2]=i;f[g+8>>2]=-2147483632;f[g+4>>2]=13;c=i;a=394967;j=c+13|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(j|0));b[i+13>>0]=0;aFa(g,d)|0;if((b[g+11>>0]|0)>=0){u=e;return}fuc(f[g>>2]|0);u=e;return}function GFa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;d=u;u=u+176|0;e=d;SEa(e,391307,395017,1165,443954,443960,BFa(a,c)|0);g=e+21|0;h=e+32|0;while(1){if(!(b[g>>0]|0))break;i=aE(h,407571,35)|0;aE(i,a,jfc(a)|0)|0;TEa(e)}g=e+24|0;f[g>>2]=35348;i=e+88|0;f[i>>2]=35388;f[h>>2]=35368;h=e+36|0;f[h>>2]=35404;j=e+68|0;if((b[j+11>>0]|0)<0)fuc(f[j>>2]|0);Ric(h);Zjc(g,35464);Mic(i);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;i=jfc(a)|0;if(i>>>0>4294967279)muc(e);if(i>>>0<11){b[e+11>>0]=i;if(!i)k=e;else{l=e;m=10}}else{g=i+16&-16;h=cuc(g)|0;f[e>>2]=h;f[e+8>>2]=g|-2147483648;f[e+4>>2]=i;l=h;m=10}if((m|0)==10){szc(l|0,a|0,i|0)|0;k=l}b[k+i>>0]=0;aFa(e,c)|0;if((b[e+11>>0]|0)>=0){u=d;return}fuc(f[e>>2]|0);u=d;return}function HFa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0;e=u;u=u+176|0;g=e;SEa(g,391307,395050,1172,443954,444072,DFa(a,c,d)|0);c=g+21|0;a=g+32|0;while(1){if(!(b[c>>0]|0))break;aE(a,394981,35)|0;TEa(g)}c=g+24|0;f[c>>2]=35348;h=g+88|0;f[h>>2]=35388;f[a>>2]=35368;a=g+36|0;f[a>>2]=35404;i=g+68|0;if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0);Ric(a);Zjc(c,35464);Mic(h);h=cuc(16)|0;f[g>>2]=h;f[g+8>>2]=-2147483632;f[g+4>>2]=13;c=h;a=394967;i=c+13|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(i|0));b[h+13>>0]=0;aFa(g,d)|0;if((b[g+11>>0]|0)>=0){u=e;return}fuc(f[g>>2]|0);u=e;return}function IFa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0;e=u;u=u+112|0;g=e+8|0;h=e;i=(b[c+11>>0]|0)<0?f[c>>2]|0:c;c=(b[d+11>>0]|0)<0?f[d>>2]|0:d;lTa(g);d=g+40|0;lTa(d);f[g+80>>2]=0;j=g+84|0;f[j>>2]=0;f[g+88>>2]=0;if(i|0?b[i>>0]|0:0)nib(i,g);if(c|0?b[c>>0]|0:0)pib(c,d);RKa(a);f[h>>2]=f[a>>2];c=f[a+4>>2]|0;f[h+4>>2]=c;if(c|0)Wtc(c);JFa(g,h);rLa(h);h=g+80|0;c=f[h>>2]|0;if(!c){xRa(d);xRa(g);u=e;return}a=f[j>>2]|0;if((a|0)==(c|0))k=c;else{i=a;while(1){a=i+-12|0;f[j>>2]=a;if((b[a+11>>0]|0)<0){fuc(f[a>>2]|0);l=f[j>>2]|0}else l=a;if((l|0)==(c|0))break;else i=l}k=f[h>>2]|0}fuc(k);xRa(d);xRa(g);u=e;return}function JFa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0,qc=0,rc=0,sc=0,tc=0,uc=0,vc=0,wc=0,xc=0,yc=0,zc=0,Ac=0,Bc=0,Cc=0,Dc=0,Ec=0,Fc=0,Gc=0,Hc=0,Ic=0,Jc=0,Kc=0,Lc=0,Mc=0,Nc=0,Oc=0,Pc=0,Qc=0,Rc=0,Sc=0,Tc=0,Uc=0,Vc=0,Wc=0,Xc=0,Yc=0,Zc=0,_c=0,$c=0,ad=0,bd=0,cd=0,dd=0,ed=0,fd=0,gd=0,hd=0,id=0,jd=0,kd=0,ld=0,md=0,nd=0,od=0,pd=0,qd=0,rd=0,sd=0,td=0,ud=0,vd=0,wd=0,xd=0,yd=0,zd=0,Ad=0,Bd=0,Cd=0,Dd=0,Ed=0,Fd=0,Gd=0,Hd=0,Id=0,Jd=0,Kd=0,Ld=0,Md=0,Nd=0,Od=0,Pd=0,Qd=0,Rd=0,Sd=0,Td=0,Ud=0,Vd=0,Wd=0,Xd=0,Yd=0,Zd=0,_d=0,$d=0,ae=0,be=0,ce=0,de=0,ee=0,fe=0,ge=0,he=0,ie=0,je=0,ke=0,le=0,me=0,ne=0,oe=0,pe=0,qe=0,re=0,se=0,te=0,ue=0,ve=0,we=0,xe=0,ye=0,ze=0,Ae=0,Be=0,Ce=0,De=0,Ee=0,Fe=0,Ge=0,He=0,Ie=0,Je=0,Ke=0,Le=0,Me=0,Ne=0,Oe=0,Pe=0,Qe=0,Re=0,Se=0,Te=0,Ue=0,Ve=0,We=0,Xe=0,Ye=0,Ze=0,_e=0,$e=0,af=0,bf=0,cf=0,df=0,ef=0,ff=0,gf=0,hf=0,jf=0,kf=0,lf=0,mf=0,nf=0,of=0,pf=0,qf=0,rf=0,sf=0,tf=0,uf=0,vf=0,wf=0,xf=0,yf=0,zf=0,Af=0,Bf=0,Cf=0,Df=0,Ef=0,Ff=0,Gf=0,Hf=0,If=0,Jf=0,Kf=0,Lf=0,Mf=0,Nf=0,Of=0,Pf=0,Qf=0,Rf=0,Sf=0,Tf=0,Uf=0,Vf=0,Wf=0,Xf=0,Yf=0,Zf=0,_f=0,$f=0,ag=0,bg=0,cg=0,dg=0,eg=0,fg=0,gg=0,hg=0,ig=0,jg=0,kg=0,lg=0,mg=0,ng=0,og=0,pg=0,qg=0,rg=0,sg=0,tg=0,ug=0,vg=0,wg=0,xg=0,yg=0,zg=0,Ag=0,Bg=0,Cg=0,Dg=0,Eg=0,Fg=0,Gg=0,Hg=0,Ig=0,Jg=0,Kg=0,Lg=0,Mg=0,Ng=0,Og=0,Pg=0,Qg=0,Rg=0,Sg=0,Tg=0,Ug=0,Vg=0,Wg=0,Xg=0,Yg=0,Zg=0,_g=0,$g=0,ah=0,bh=0,ch=0,dh=0,eh=0,fh=0,gh=0,hh=0,ih=0,jh=0,kh=0,lh=0,mh=0,nh=0,oh=0,ph=0,qh=0,rh=0,th=0,uh=0,vh=0,wh=0,xh=0,yh=0,zh=0,Ah=0,Bh=0,Ch=0,Dh=0,Eh=0,Fh=0,Gh=0,Hh=0,Ih=0,Jh=0,Kh=0,Lh=0,Mh=0,Nh=0,Oh=0,Ph=0,Qh=0,Rh=0,Sh=0,Th=0,Uh=0,Vh=0,Wh=0,Xh=0,Yh=0,Zh=0,_h=0,$h=0,ai=0,bi=0,ci=0,ei=0,fi=0,gi=0,hi=0,ii=0,ji=0,ki=0,li=0,mi=0,ni=0,oi=0,pi=0,qi=0,ri=0,si=0,ti=0,ui=0,vi=0,wi=0,xi=0,yi=0,zi=0,Ai=0,Bi=0,Ci=0,Di=0,Ei=0,Fi=0,Gi=0,Hi=0,Ii=0,Ji=0,Ki=0,Li=0,Mi=0,Ni=0,Oi=0,Pi=0,Qi=0,Ri=0,Si=0,Ti=0,Ui=0,Vi=0,Wi=0,Yi=0,Zi=0,_i=0,$i=0,aj=0,bj=0,cj=0,dj=0,ej=0,fj=0,gj=0,hj=0,ij=0,jj=0,kj=0,lj=0,mj=0,nj=0,oj=0,pj=0,qj=0,rj=0,sj=0,tj=0,uj=0,vj=0,wj=0,xj=0,yj=0,zj=0,Aj=0,Bj=0,Cj=0,Dj=0,Ej=0,Fj=0,Gj=0,Hj=0,Ij=0,Jj=0,Kj=0,Lj=0,Mj=0,Nj=0,Oj=0,Pj=0,Qj=0,Rj=0,Sj=0,Tj=0,Uj=0,Vj=0,Wj=0,Xj=0,Yj=0,Zj=0,_j=0,$j=0,ak=0,bk=0,ck=0,dk=0,ek=0,fk=0,gk=0,hk=0,ik=0,jk=0,kk=0,lk=0,mk=0,nk=0,ok=0,pk=0,qk=0,rk=0,sk=0,tk=0,uk=0,vk=0,wk=0,xk=0,yk=0,zk=0,Ak=0,Bk=0,Ck=0,Dk=0,Ek=0,Fk=0,Gk=0,Hk=0,Ik=0,Jk=0,Kk=0,Lk=0,Mk=0,Nk=0,Ok=0,Pk=0,Qk=0,Rk=0,Sk=0,Tk=0,Uk=0,Vk=0,Wk=0,Xk=0,Yk=0,Zk=0,_k=0,$k=0,al=0,bl=0,cl=0,dl=0,el=0,fl=0,gl=0,hl=0,il=0,jl=0,kl=0,ll=0,ml=0,nl=0,ol=0,pl=0,ql=0,rl=0,sl=0,tl=0,ul=0,vl=0,wl=0,xl=0,yl=0,zl=0,Al=0,Bl=0,Cl=0,Dl=0,El=0,Fl=0,Gl=0,Hl=0,Il=0,Jl=0,Kl=0,Ll=0,Ml=0,Nl=0,Ol=0,Pl=0,Ql=0,Rl=0,Sl=0,Tl=0,Ul=0,Vl=0,Wl=0,Xl=0,Yl=0,Zl=0,_l=0,$l=0,am=0,bm=0,cm=0,dm=0,em=0,fm=0,gm=0,hm=0,im=0,jm=0,km=0,lm=0,mm=0,nm=0,om=0,pm=0,qm=0,rm=0,sm=0,tm=0,um=0,vm=0,wm=0,xm=0,ym=0,zm=0,Am=0,Bm=0,Cm=0,Dm=0,Em=0,Fm=0,Gm=0,Hm=0,Im=0,Jm=0,Km=0,Lm=0,Mm=0,Nm=0,Om=0,Pm=0,Qm=0,Rm=0,Sm=0,Tm=0,Um=0,Vm=0,Wm=0,Xm=0,Ym=0,Zm=0,_m=0,$m=0,an=0,bn=0,cn=0,dn=0,en=0,fn=0,gn=0,hn=0,jn=0,kn=0,ln=0,mn=0,nn=0,on=0,pn=0,qn=0,rn=0,sn=0,tn=0,un=0,vn=0,wn=0,xn=0,yn=0,zn=0,An=0,Bn=0,Cn=0,Dn=0,En=0,Fn=0,Gn=0,Hn=0,In=0,Jn=0,Kn=0,Ln=0,Mn=0,Nn=0,On=0,Pn=0,Qn=0,Rn=0,Sn=0,Tn=0,Un=0,Vn=0,Wn=0,Xn=0,Yn=0,Zn=0,_n=0,$n=0,ao=0,bo=0,co=0,eo=0,fo=0,go=0,ho=0,io=0,jo=0,ko=0,lo=0,mo=0,no=0,oo=0,po=0,qo=0,ro=0,so=0,to=0,uo=0,vo=0,wo=0,xo=0,yo=0,zo=0,Ao=0,Bo=0,Co=0,Do=0,Eo=0,Fo=0,Go=0,Ho=0,Io=0,Jo=0,Ko=0,Lo=0,Mo=0,No=0,Oo=0,Po=0,Qo=0,Ro=0,So=0,To=0,Uo=0,Vo=0,Wo=0,Xo=0,Yo=0,Zo=0,_o=0,$o=0,ap=0,bp=0,cp=0,dp=0,ep=0,fp=0,gp=0,hp=0,ip=0,jp=0,kp=0,lp=0,mp=0,np=0,op=0,pp=0,qp=0,rp=0,sp=0,tp=0,up=0,vp=0,wp=0,xp=0,yp=0,zp=0,Ap=0,Bp=0,Cp=0,Dp=0,Ep=0,Fp=0,Gp=0,Hp=0,Ip=0,Jp=0,Kp=0,Lp=0,Mp=0,Np=0,Op=0,Pp=0,Qp=0,Rp=0,Sp=0,Tp=0,Up=0,Vp=0,Wp=0,Xp=0,Yp=0,Zp=0,_p=0,$p=0,aq=0,bq=0,cq=0,dq=0,eq=0,fq=0,gq=0,hq=0,iq=0,jq=0,kq=0,lq=0,mq=0,nq=0,oq=0,pq=0,qq=0,rq=0,sq=0,tq=0,uq=0,vq=0,wq=0,xq=0,yq=0,zq=0,Aq=0,Bq=0,Cq=0,Dq=0,Eq=0,Fq=0,Gq=0,Hq=0,Iq=0,Jq=0,Kq=0,Lq=0,Mq=0,Nq=0,Oq=0,Pq=0,Qq=0,Rq=0,Sq=0,Tq=0,Uq=0,Vq=0,Wq=0,Xq=0,Yq=0,Zq=0,_q=0,$q=0,ar=0,br=0,cr=0,dr=0,er=0,fr=0,gr=0,hr=0,ir=0,jr=0,kr=0,lr=0,mr=0,nr=0,or=0,pr=0,qr=0,rr=0,sr=0,tr=0,ur=0,vr=0,wr=0,xr=0,yr=0,zr=0,Ar=0,Br=0,Cr=0,Dr=0,Er=0,Fr=0,Gr=0,Hr=0,Ir=0,Jr=0,Kr=0,Lr=0,Mr=0,Nr=0,Or=0,Pr=0,Qr=0,Rr=0,Sr=0,Tr=0,Ur=0,Vr=0,Wr=0,Xr=0,Yr=0,Zr=0,_r=0,$r=0,as=0,bs=0,cs=0,ds=0,es=0,fs=0,gs=0,hs=0,is=0,js=0,ks=0,ls=0,ms=0,ns=0,os=0,ps=0,qs=0,rs=0,ss=0,ts=0,us=0,vs=0,ws=0,xs=0,ys=0,zs=0,As=0,Bs=0,Cs=0,Ds=0,Es=0,Fs=0,Gs=0,Hs=0,Is=0,Js=0,Ks=0,Ls=0,Ms=0,Ns=0,Os=0,Ps=0,Qs=0,Rs=0,Ss=0,Ts=0,Us=0,Vs=0,Ws=0,Xs=0,Ys=0,Zs=0,_s=0,$s=0,at=0,bt=0,ct=0,dt=0,et=0,ft=0,gt=0,ht=0,it=0,jt=0,lt=0,mt=0,nt=0,pt=0,qt=0,rt=0,st=0,tt=0,vt=0,wt=0,xt=0,yt=0,zt=0,At=0,Bt=0,Ct=0,Dt=0,Et=0,Ft=0,Gt=0,Ht=0,It=0,Jt=0,Kt=0,Lt=0,Mt=0,Nt=0,Ot=0,Pt=0,Qt=0,Rt=0,St=0,Tt=0,Ut=0,Vt=0,Wt=0,Xt=0,Yt=0,Zt=0,_t=0,$t=0,au=0,bu=0,cu=0,du=0,eu=0,fu=0,gu=0,hu=0,iu=0,ju=0,ku=0,lu=0,mu=0,nu=0,ou=0,pu=0,qu=0,ru=0,su=0,tu=0,uu=0,vu=0,wu=0,xu=0,yu=0,zu=0,Au=0,Bu=0,Cu=0,Du=0,Eu=0,Fu=0,Gu=0,Hu=0,Iu=0,Ju=0,Ku=0,Lu=0,Mu=0,Nu=0,Ou=0,Pu=0,Qu=0,Ru=0,Su=0,Tu=0,Uu=0,Vu=0,Wu=0,Xu=0,Yu=0,Zu=0,_u=0,$u=0,av=0,bv=0,cv=0,dv=0,ev=0,fv=0,gv=0,hv=0,iv=0,jv=0,kv=0,lv=0,mv=0,nv=0,ov=0,pv=0,qv=0,rv=0,sv=0,tv=0,uv=0,vv=0,wv=0,xv=0,yv=0,zv=0,Av=0,Bv=0,Cv=0,Dv=0,Ev=0,Fv=0,Gv=0,Hv=0,Iv=0,Jv=0,Kv=0,Lv=0,Mv=0,Nv=0,Ov=0,Pv=0,Qv=0,Rv=0,Sv=0,Tv=0,Uv=0,Vv=0,Wv=0,Xv=0,Yv=0,Zv=0,_v=0,$v=0,aw=0,bw=0,cw=0,dw=0,ew=0,fw=0,gw=0,hw=0,iw=0,jw=0,kw=0,lw=0,mw=0,nw=0,ow=0,pw=0,qw=0,rw=0,sw=0,tw=0,uw=0,vw=0,ww=0,xw=0,yw=0,zw=0,Aw=0,Bw=0,Cw=0,Dw=0,Ew=0,Fw=0,Gw=0,Hw=0,Iw=0,Jw=0,Kw=0,Lw=0,Mw=0,Nw=0,Ow=0,Pw=0,Qw=0,Rw=0,Sw=0,Tw=0,Uw=0,Vw=0,Ww=0,Xw=0,Yw=0,Zw=0,_w=0,$w=0,ax=0,bx=0,cx=0,dx=0,ex=0,fx=0,gx=0,hx=0,ix=0,jx=0,kx=0,lx=0,mx=0,nx=0,ox=0,px=0,qx=0,rx=0,sx=0,tx=0,ux=0,vx=0,wx=0,xx=0,yx=0,zx=0,Ax=0,Bx=0,Cx=0,Dx=0,Ex=0,Fx=0,Gx=0,Hx=0,Ix=0,Jx=0,Kx=0,Lx=0,Mx=0,Nx=0,Ox=0,Px=0,Qx=0,Rx=0,Sx=0,Tx=0,Ux=0,Vx=0,Wx=0,Xx=0,Yx=0,Zx=0,_x=0,$x=0,ay=0,by=0,cy=0,dy=0,ey=0,fy=0,gy=0,hy=0,iy=0,jy=0,ky=0,ly=0,my=0,ny=0,oy=0,py=0,qy=0,ry=0,sy=0,ty=0,uy=0,vy=0,wy=0,xy=0,yy=0,zy=0,Ay=0,By=0,Cy=0,Dy=0,Ey=0,Fy=0,Gy=0,Hy=0,Iy=0,Jy=0,Ky=0,Ly=0,My=0,Ny=0,Oy=0,Py=0,Qy=0,Ry=0,Sy=0,Ty=0,Uy=0,Vy=0,Wy=0,Xy=0,Yy=0,Zy=0,_y=0,$y=0,az=0,bz=0,cz=0,dz=0,ez=0,fz=0,gz=0,hz=0,iz=0,jz=0,kz=0,lz=0,mz=0,nz=0,oz=0,pz=0,qz=0,rz=0,sz=0,tz=0,uz=0,vz=0,wz=0,xz=0,yz=0,zz=0,Az=0,Bz=0,Cz=0,Dz=0,Ez=0,Fz=0,Gz=0,Hz=0,Iz=0,Jz=0,Kz=0,Lz=0,Mz=0,Nz=0,Oz=0,Pz=0,Qz=0,Rz=0,Sz=0,Tz=0,Uz=0,Vz=0,Wz=0,Xz=0,Yz=0,Zz=0,_z=0,$z=0,aA=0,bA=0,cA=0,dA=0,eA=0,fA=0.0,gA=0,hA=0,iA=0,jA=0,kA=0,lA=0,mA=0,nA=0,oA=0,pA=0,qA=0,rA=0,sA=0,tA=0,uA=0,vA=0,wA=0,xA=0,yA=0,zA=0,AA=0,BA=0,CA=0,DA=0,EA=0,FA=0,GA=0,HA=0,IA=0,JA=0,KA=0,LA=0,MA=0,NA=0,OA=0,PA=0,QA=0,RA=0,SA=0,TA=0,UA=0,VA=0,WA=0,XA=0,YA=0,ZA=0,_A=0,$A=0,aB=0,bB=0,cB=0,dB=0,eB=0,fB=0,gB=0,hB=0,iB=0,jB=0,kB=0,lB=0,mB=0,nB=0,oB=0,pB=0,qB=0,rB=0,sB=0,tB=0,uB=0,vB=0,wB=0,xB=0,yB=0,zB=0,AB=0,BB=0,CB=0,DB=0,EB=0,FB=0,GB=0,HB=0,IB=0,JB=0,KB=0,LB=0,MB=0,NB=0,OB=0,PB=0,QB=0,RB=0,SB=0.0,TB=0,UB=0,VB=0,WB=0,XB=0,YB=0,ZB=0,_B=0,$B=0,aC=0,bC=0,cC=0,dC=0,eC=0,fC=0,gC=0,hC=0,iC=0,jC=0,kC=0,lC=0,mC=0,nC=0,oC=0,pC=0,qC=0,rC=0,sC=0,tC=0,uC=0,vC=0,wC=0,xC=0,yC=0,zC=0,AC=0,BC=0,CC=0,DC=0,EC=0,FC=0,GC=0,HC=0,IC=0,JC=0,KC=0,LC=0,MC=0,NC=0,OC=0,PC=0,QC=0,RC=0,SC=0,UC=0,VC=0,WC=0,XC=0,YC=0,ZC=0,aD=0,bD=0,cD=0,dD=0,eD=0,fD=0,gD=0,hD=0,iD=0,jD=0,kD=0,lD=0,mD=0,nD=0,oD=0,pD=0,qD=0,rD=0,sD=0,tD=0,uD=0,vD=0,wD=0,xD=0,yD=0,zD=0,AD=0,BD=0,CD=0,DD=0,ED=0,FD=0,GD=0,HD=0,ID=0,JD=0,KD=0,LD=0,MD=0,ND=0,OD=0,PD=0,QD=0,RD=0,SD=0,TD=0,UD=0,VD=0,XD=0,YD=0,ZD=0,_D=0,$D=0,aE=0,bE=0,dE=0,eE=0,fE=0,gE=0,hE=0,iE=0,jE=0,kE=0,lE=0,mE=0,nE=0,oE=0,pE=0,qE=0,rE=0,sE=0,tE=0,uE=0,vE=0,wE=0,xE=0,yE=0,zE=0,AE=0,BE=0,CE=0,DE=0,EE=0;d=u;u=u+1792|0;e=d+632|0;g=d+400|0;h=d+344|0;i=d+280|0;j=d+1220|0;k=d+1208|0;l=d+1196|0;m=d+1184|0;o=d+1172|0;q=d+1096|0;r=d+1084|0;s=d+1072|0;t=d+1024|0;v=d+224|0;w=d+968|0;x=d+912|0;y=d+1772|0;z=d;A=d+1760|0;B=d+1748|0;C=d+1736|0;D=d+1724|0;E=d+1704|0;F=d+1684|0;G=d+1664|0;H=d+1652|0;I=d+1640|0;J=d+1628|0;K=d+1616|0;L=d+408|0;M=d+1596|0;N=d+1576|0;O=d+1556|0;P=d+1544|0;Q=d+1532|0;R=d+1520|0;S=d+1508|0;T=d+1496|0;U=d+1484|0;V=d+1472|0;W=d+1460|0;X=d+1448|0;Z=d+1436|0;_=d+1424|0;$=d+1412|0;aa=d+1400|0;ba=d+1388|0;ca=d+1376|0;da=d+1364|0;ea=d+1352|0;fa=d+856|0;ga=d+1340|0;ha=d+1328|0;ia=d+1316|0;ja=d+1304|0;ka=d+1292|0;la=d+1280|0;ma=d+1268|0;na=d+1256|0;oa=d+1244|0;pa=d+1232|0;DIa(a);qa=a+40|0;DIa(qa);if(!(di[f[(f[qa>>2]|0)+48>>2]&1023](qa)|0))VGa(a);f[j+4>>2]=0;f[j+8>>2]=0;ra=j+4|0;f[j>>2]=ra;sa=(di[f[(f[qa>>2]|0)+48>>2]&1023](qa)|0)!=0;ta=sa?qa:a;sa=f[ta+12>>2]|0;f[k+4>>2]=0;f[k+8>>2]=0;ua=k+4|0;f[k>>2]=ua;va=(sa|0)>0;if(va){wa=ta+20|0;xa=e+11|0;ya=e+4|0;za=sa;do{Aa=za;za=za+-1|0;Ba=f[(f[wa>>2]|0)+4+(za<<2)>>2]|0;ouc(e,f[Ba+60>>2]|0);Ca=LFa(Ba)|0;Da=ZEa(k,e)|0;do if((Da|0)!=(ua|0)){Ea=Da+28|0;Fa=f[Ea>>2]|0;if((Ca|0)!=2){if((Fa|0)==2){f[Ea>>2]=Ca;Ga=Ca;break}if((Fa|0)==(Ca|0))Ga=Ca;else{f[Ea>>2]=2;Ga=2}}else Ga=Fa}else{Fa=cEa(k,e)|0;f[Fa>>2]=Ca;Ga=Ca}while(0);Ca=Ba+12|0;a:do if((f[Ca>>2]|0)>0){Da=Ba+20|0;if((Ga|0)==2){Fa=0;while(1){Ea=f[(f[Da>>2]|0)+4+(Fa<<2)>>2]|0;puc(h,Ea,0,Ouc(Ea,58,-1)|0,Ea);if((b[xa>>0]|0)<0){b[f[e>>2]>>0]=0;f[ya>>2]=0}else{b[e>>0]=0;b[xa>>0]=0}vuc(e,0);f[e>>2]=f[h>>2];f[e+4>>2]=f[h+4>>2];f[e+8>>2]=f[h+8>>2];if((ZEa(k,e)|0)==(ua|0)){Ea=cEa(k,e)|0;f[Ea>>2]=2}Fa=Fa+1|0;if((Fa|0)>=(f[Ca>>2]|0))break a}}else Ha=0;do{Fa=f[(f[Da>>2]|0)+4+(Ha<<2)>>2]|0;puc(h,Fa,0,Ouc(Fa,58,-1)|0,Fa);if((b[xa>>0]|0)<0){b[f[e>>2]>>0]=0;f[ya>>2]=0}else{b[e>>0]=0;b[xa>>0]=0}vuc(e,0);f[e>>2]=f[h>>2];f[e+4>>2]=f[h+4>>2];f[e+8>>2]=f[h+8>>2];Fa=ZEa(k,e)|0;do if((Fa|0)!=(ua|0)){Ea=Fa+28|0;Ia=f[Ea>>2]|0;if((Ia|0)==2){f[Ea>>2]=Ga;break}if((Ia|0)!=(Ga|0))f[Ea>>2]=2}else{Ea=cEa(k,e)|0;f[Ea>>2]=Ga}while(0);Ha=Ha+1|0}while((Ha|0)<(f[Ca>>2]|0))}while(0);if((b[xa>>0]|0)<0)fuc(f[e>>2]|0)}while((Aa|0)>1)}f[l+4>>2]=0;f[l+8>>2]=0;xa=l+4|0;f[l>>2]=xa;f[m+4>>2]=0;f[m+8>>2]=0;Ha=m+4|0;f[m>>2]=Ha;KFa(a,l,j);KFa(qa,l,j);f[o+4>>2]=0;f[o+8>>2]=0;qa=o+4|0;f[o>>2]=qa;if(!va){Ja=a+80|0;RMa(c,Ja);Ka=f[qa>>2]|0;_Da(o,Ka);La=f[Ha>>2]|0;nGa(m,La);Ma=f[xa>>2]|0;_Da(l,Ma);Na=f[ua>>2]|0;_Da(k,Na);Oa=f[ra>>2]|0;gI(j,Oa);u=d;return}va=ta+20|0;Ga=q+60|0;ya=q+64|0;za=t+4|0;wa=t+8|0;Ca=t+4|0;Ba=t+12|0;Da=q+12|0;Fa=q+20|0;Ea=e+11|0;Ia=s+11|0;Pa=s+4|0;Qa=h+11|0;Ra=h+6|0;Sa=e+4|0;Ta=h+8|0;Ua=h+4|0;Va=e+4|0;Wa=e+8|0;Xa=y+4|0;Ya=y+8|0;Za=y+4|0;_a=e+4|0;$a=e+8|0;ab=h+16|0;bb=h+4|0;cb=h+8|0;db=h+12|0;eb=x+4|0;fb=h+36|0;gb=h+40|0;hb=h+44|0;ib=h+48|0;jb=x+4|0;kb=e+11|0;lb=e+10|0;mb=e+11|0;nb=e+10|0;ob=z+4|0;pb=z+8|0;qb=z+40|0;rb=z+48|0;sb=z+44|0;tb=z+52|0;ub=A+4|0;vb=A+8|0;wb=A+4|0;xb=e+4|0;yb=e+8|0;zb=h+4|0;Ab=h+8|0;Bb=h+12|0;Cb=z+12|0;Db=z+16|0;Eb=h+16|0;Fb=h+36|0;Gb=h+40|0;Hb=h+44|0;Ib=h+48|0;Jb=e+11|0;Kb=e+5|0;Lb=e+11|0;Mb=e+5|0;Nb=z+36|0;Ob=wb;Pb=Za;Qb=i+8|0;Rb=i+4|0;Sb=q+24|0;Tb=q+48|0;Ub=h+8|0;Vb=i+11|0;Wb=e+11|0;Xb=e+9|0;Yb=t+12|0;Zb=h+11|0;_b=h+7|0;$b=e+4|0;ac=e+11|0;bc=e+9|0;cc=C+4|0;dc=C+8|0;ec=C+4|0;fc=ec;gc=D+4|0;hc=D+8|0;ic=D+4|0;jc=h+4|0;kc=h+8|0;lc=h+40|0;mc=h+48|0;nc=h+44|0;oc=h+52|0;pc=e+8|0;qc=e+4|0;rc=h+16|0;sc=h+36|0;tc=h+4|0;uc=h+8|0;vc=h+12|0;wc=h+16|0;xc=h+20|0;yc=h+24|0;zc=h+40|0;Ac=h+48|0;Bc=h+44|0;Cc=h+52|0;Dc=h+28|0;Ec=i+4|0;Fc=i+8|0;Gc=i+12|0;Hc=i+16|0;Ic=i+20|0;Jc=i+24|0;Kc=i+40|0;Lc=i+48|0;Mc=i+44|0;Nc=i+52|0;Oc=i+28|0;Pc=E+4|0;Qc=E+8|0;Rc=E+12|0;Sc=E+16|0;Tc=F+4|0;Uc=F+8|0;Vc=F+12|0;Wc=F+16|0;Xc=G+4|0;Yc=G+8|0;Zc=G+12|0;_c=G+16|0;$c=i+36|0;ad=h+36|0;bd=e+11|0;cd=e+8|0;dd=e+11|0;ed=e+8|0;fd=e+11|0;gd=e+10|0;hd=e+11|0;id=e+5|0;jd=h+11|0;kd=h+5|0;ld=h+8|0;md=h+4|0;nd=e+4|0;od=e+8|0;pd=e+8|0;qd=e+4|0;rd=e+11|0;sd=e+11|0;td=e+11|0;ud=z+11|0;vd=ic;wd=e+8|0;xd=e+4|0;yd=e+11|0;zd=v+11|0;Ad=B+4|0;Bd=B+8|0;Cd=B+4|0;Dd=i+4|0;Ed=i+8|0;Fd=i+12|0;Gd=i+16|0;Hd=i+40|0;Id=i+44|0;Jd=e+11|0;Kd=e+8|0;Ld=h+4|0;Md=e+11|0;Nd=e+7|0;Od=e+11|0;Pd=i+36|0;Qd=i+48|0;Rd=e+11|0;Sd=e+5|0;Td=e+11|0;Ud=e+5|0;Vd=Cd;Wd=e+11|0;Xd=H+4|0;Yd=H+8|0;Zd=H+4|0;_d=i+4|0;$d=i+8|0;ae=i+12|0;be=e+11|0;ce=e+5|0;de=i+16|0;ee=e+11|0;fe=e+5|0;ge=e+11|0;he=i+36|0;ie=i+40|0;je=i+44|0;ke=i+48|0;le=e+11|0;me=e+5|0;ne=Zd;oe=e+11|0;pe=e+9|0;qe=e+11|0;re=e+7|0;se=e+11|0;te=e+11|0;ue=I+4|0;ve=I+8|0;we=I+4|0;xe=e+8|0;ye=e+4|0;ze=i+4|0;Ae=i+8|0;Be=i+12|0;Ce=e+11|0;De=e+5|0;Ee=i+16|0;Fe=e+11|0;Ge=e+5|0;He=e+11|0;Ie=i+36|0;Je=i+40|0;Ke=i+44|0;Le=i+48|0;Me=e+11|0;Ne=e+5|0;Oe=we;Pe=i+8|0;Qe=i+4|0;Re=h+8|0;Se=i+11|0;Te=e+11|0;Ue=e+9|0;Ve=e+11|0;We=e+7|0;Xe=i+4|0;Ye=h+11|0;Ze=h+3|0;_e=i+8|0;$e=e+4|0;af=e+8|0;bf=e+11|0;cf=e+9|0;df=J+4|0;ef=J+8|0;ff=J+4|0;gf=ff;hf=K+4|0;jf=K+8|0;kf=K+4|0;lf=h+4|0;mf=h+8|0;nf=h+40|0;of=h+48|0;pf=h+44|0;qf=h+52|0;rf=w+4|0;sf=w+8|0;tf=w+40|0;uf=w+48|0;vf=w+44|0;wf=w+52|0;xf=e+8|0;yf=e+4|0;zf=w+36|0;Af=w+16|0;Bf=h+36|0;Cf=h+16|0;Df=w+12|0;Ef=w+20|0;Ff=w+24|0;Gf=w+28|0;Hf=w+32|0;If=w+44|0;Jf=e+11|0;Kf=e+10|0;Lf=e+4|0;Mf=h+4|0;Nf=e+4|0;Of=h+4|0;Pf=M+4|0;Qf=w+4|0;Rf=w+44|0;Sf=M+8|0;Tf=M+12|0;Uf=M+16|0;Vf=N+4|0;Wf=N+8|0;Xf=N+12|0;Yf=N+16|0;Zf=w+8|0;_f=w+12|0;$f=O+4|0;ag=x+4|0;bg=x+44|0;cg=O+8|0;dg=O+12|0;eg=O+16|0;fg=x+36|0;gg=x+16|0;hg=x+40|0;ig=x+48|0;jg=w+36|0;kg=w+16|0;lg=w+40|0;mg=w+48|0;ng=x+8|0;og=x+12|0;pg=e+8|0;qg=e+4|0;rg=e+11|0;sg=e+11|0;tg=kf;ug=e+8|0;vg=e+4|0;wg=e+11|0;xg=e+11|0;yg=e+11|0;zg=e+7|0;Ag=e+11|0;Bg=i+11|0;Cg=P+4|0;Dg=P+8|0;Eg=P+4|0;Fg=v+4|0;Gg=v+8|0;Hg=v+12|0;Ig=e+4|0;Jg=e+8|0;Kg=e+4|0;Lg=e+12|0;Mg=h+11|0;Ng=h+5|0;Og=w+4|0;Pg=w+11|0;Qg=w+7|0;Rg=w+12|0;Sg=i+4|0;Tg=i+12|0;Ug=h+11|0;Vg=e+36|0;Wg=Vg+11|0;Xg=e+24|0;Yg=Xg+11|0;Zg=e+12|0;_g=e+11|0;$g=e+3|0;ah=v+16|0;bh=v+44|0;ch=h+4|0;dh=e+11|0;eh=e+7|0;fh=v+36|0;gh=v+40|0;hh=v+48|0;ih=Eg;jh=e+11|0;kh=v+8|0;lh=v+4|0;mh=h+8|0;nh=v+11|0;oh=e+8|0;ph=e+4|0;qh=e+11|0;rh=e+4|0;th=e+8|0;uh=e+4|0;vh=e+12|0;wh=h+11|0;xh=h+5|0;yh=v+4|0;zh=v+11|0;Ah=v+7|0;Bh=v+12|0;Ch=i+11|0;Dh=i+4|0;Eh=i+12|0;Fh=h+11|0;Gh=e+36|0;Hh=Gh+11|0;Ih=e+24|0;Jh=Ih+11|0;Kh=e+12|0;Lh=e+11|0;Mh=e+7|0;Nh=Q+4|0;Oh=Q+8|0;Ph=Q+4|0;Qh=i+16|0;Rh=i+4|0;Sh=i+8|0;Th=i+12|0;Uh=e+11|0;Vh=e+11|0;Wh=e+8|0;Xh=e+11|0;Yh=i+36|0;Zh=i+40|0;_h=i+44|0;$h=i+48|0;ai=e+11|0;bi=e+5|0;ci=h+4|0;ei=e+11|0;fi=e+7|0;gi=e+11|0;hi=Ph;ii=i+11|0;ji=i+5|0;ki=h+8|0;li=i+11|0;mi=i+4|0;ni=h+8|0;oi=i+8|0;pi=i+4|0;qi=h+8|0;ri=i+11|0;si=i+11|0;ti=i+4|0;ui=h+8|0;vi=e+8|0;wi=e+4|0;xi=e+11|0;yi=e+11|0;zi=e+3|0;Ai=e+11|0;Bi=e+11|0;Ci=e+4|0;Di=i+11|0;Ei=i+4|0;Fi=e+8|0;Gi=e+4|0;Hi=e+11|0;Ii=e+11|0;Ji=e+10|0;Ki=e+11|0;Li=e+4|0;Mi=i+11|0;Ni=i+4|0;Oi=e+11|0;Pi=e+5|0;Qi=i+11|0;Ri=i+5|0;Si=R+4|0;Ti=R+8|0;Ui=R+4|0;Vi=e+11|0;Wi=e+11|0;Yi=e+4|0;Zi=e+11|0;_i=e+6|0;$i=e+11|0;aj=Ui;bj=e+11|0;cj=e+4|0;dj=e+11|0;ej=e+7|0;fj=e+11|0;gj=e+11|0;hj=e+4|0;ij=e+8|0;jj=e+4|0;kj=e+11|0;lj=e+11|0;mj=e+7|0;nj=e+11|0;oj=i+11|0;pj=i+5|0;qj=h+8|0;rj=a+84|0;sj=a+88|0;tj=a+80|0;uj=e+11|0;vj=e+5|0;wj=S+4|0;xj=S+8|0;yj=S+4|0;zj=h+11|0;Aj=h+4|0;Bj=e+11|0;Cj=e+5|0;Dj=e+11|0;Ej=yj;Fj=T+4|0;Gj=T+8|0;Hj=T+4|0;Ij=U+4|0;Jj=U+8|0;Kj=U+4|0;Lj=i+16|0;Mj=i+4|0;Nj=i+8|0;Oj=i+12|0;Pj=v+16|0;Qj=v+4|0;Rj=v+8|0;Sj=v+12|0;Tj=e+11|0;Uj=i+44|0;Vj=v+44|0;Wj=e+11|0;Xj=e+5|0;Yj=h+4|0;Zj=e+11|0;_j=e+4|0;$j=h+4|0;ak=e+11|0;bk=e+5|0;ck=e+11|0;dk=v+36|0;ek=v+40|0;fk=v+48|0;gk=i+36|0;hk=i+40|0;ik=i+48|0;jk=Kj;kk=Hj;lk=e+11|0;mk=V+4|0;nk=V+8|0;ok=V+4|0;pk=i+4|0;qk=i+8|0;rk=i+12|0;sk=e+11|0;tk=e+7|0;uk=h+4|0;vk=e+11|0;wk=e+5|0;xk=i+16|0;yk=e+11|0;zk=e+5|0;Ak=r+11|0;Bk=r+4|0;Ck=e+8|0;Dk=e+4|0;Ek=e+11|0;Fk=e+11|0;Gk=e+4|0;Hk=h+11|0;Ik=e+11|0;Jk=i+36|0;Kk=i+40|0;Lk=i+44|0;Mk=i+48|0;Nk=h+11|0;Ok=e+11|0;Pk=e+3|0;Qk=v+4|0;Rk=w+11|0;Sk=w+4|0;Tk=h+8|0;Uk=e+11|0;Vk=e+5|0;Wk=e+11|0;Xk=e+4|0;Yk=w+11|0;Zk=w+4|0;_k=e+11|0;$k=e+9|0;al=W+4|0;bl=W+8|0;cl=W+4|0;dl=t+16|0;el=cl;fl=ok;gl=e+11|0;hl=e+9|0;il=e+11|0;jl=e+7|0;kl=e+11|0;ll=v+8|0;ml=v+4|0;nl=h+8|0;ol=v+11|0;pl=X+4|0;ql=X+8|0;rl=X+4|0;sl=e+11|0;tl=e+10|0;ul=Z+4|0;vl=Z+8|0;wl=Z+4|0;xl=e+11|0;yl=e+8|0;zl=v+4|0;Al=v+8|0;Bl=v+40|0;Cl=v+48|0;Dl=v+44|0;El=v+52|0;Fl=w+4|0;Gl=w+8|0;Hl=w+40|0;Il=w+48|0;Jl=w+44|0;Kl=w+52|0;Ll=e+4|0;Ml=e+8|0;Nl=e+4|0;Ol=e+12|0;Pl=x+11|0;Ql=x+3|0;Rl=x+12|0;Sl=i+11|0;Tl=i+4|0;Ul=i+12|0;Vl=h+11|0;Wl=e+36|0;Xl=Wl+11|0;Yl=e+24|0;Zl=Yl+11|0;_l=e+12|0;$l=x+11|0;am=x+7|0;bm=h+8|0;cm=e+11|0;dm=e+9|0;em=w+36|0;fm=w+16|0;gm=v+36|0;hm=v+16|0;im=e+11|0;jm=e+3|0;km=x+11|0;lm=x+7|0;mm=w+12|0;nm=w+20|0;om=w+24|0;pm=w+28|0;qm=w+32|0;rm=v+12|0;sm=v+20|0;tm=v+24|0;um=v+28|0;vm=v+32|0;wm=_+4|0;xm=_+8|0;ym=_+4|0;zm=$+4|0;Am=$+8|0;Bm=$+4|0;Cm=Bm;Dm=ym;Em=e+11|0;Fm=e+8|0;Gm=wl;Hm=e+11|0;Im=e+10|0;Jm=rl;Km=e+8|0;Lm=e+4|0;Mm=e+11|0;Nm=e+11|0;Om=e+9|0;Pm=e+11|0;Qm=e+7|0;Rm=i+4|0;Sm=e+11|0;Tm=e+9|0;Um=aa+4|0;Vm=aa+8|0;Wm=aa+4|0;Xm=Wm;Ym=ba+4|0;Zm=ba+8|0;_m=ba+4|0;$m=e+11|0;an=e+8|0;bn=e+11|0;cn=e+8|0;dn=e+11|0;en=e+10|0;fn=e+11|0;gn=e+8|0;hn=e+11|0;jn=e+8|0;kn=ca+4|0;ln=ca+8|0;mn=ca+4|0;nn=x+16|0;on=x+40|0;pn=x+44|0;qn=x+12|0;rn=h+11|0;sn=h+8|0;tn=e+11|0;un=e+4|0;vn=e+11|0;wn=e+5|0;xn=e+11|0;yn=e+5|0;zn=e+8|0;An=e+4|0;Bn=e+11|0;Cn=e+11|0;Dn=x+36|0;En=x+4|0;Fn=x+48|0;Gn=h+11|0;Hn=h+8|0;In=e+11|0;Jn=e+4|0;Kn=e+11|0;Ln=e+5|0;Mn=e+11|0;Nn=e+5|0;On=mn;Pn=_m;Qn=i+8|0;Rn=i+4|0;Sn=h+8|0;Tn=i+11|0;Un=i+8|0;Vn=i+4|0;Wn=h+8|0;Xn=i+11|0;Yn=i+4|0;Zn=i+8|0;_n=i+40|0;$n=i+48|0;ao=i+44|0;bo=i+52|0;co=v+4|0;eo=v+8|0;fo=v+40|0;go=v+48|0;ho=v+44|0;io=v+52|0;jo=w+4|0;ko=w+8|0;lo=w+40|0;mo=w+48|0;no=w+44|0;oo=w+52|0;po=x+4|0;qo=x+8|0;ro=x+40|0;so=x+48|0;to=x+44|0;uo=x+52|0;vo=da+4|0;wo=da+8|0;xo=da+4|0;yo=ea+4|0;zo=ea+8|0;Ao=ea+4|0;Bo=i+12|0;Co=i+16|0;Do=e+4|0;Eo=h+4|0;Fo=fa+36|0;Go=fa+16|0;Ho=fa+4|0;Io=fa+40|0;Jo=fa+44|0;Ko=fa+48|0;Lo=e+4|0;Mo=h+4|0;No=fa+36|0;Oo=fa+16|0;Po=fa+4|0;Qo=fa+40|0;Ro=fa+44|0;So=fa+48|0;To=z+8|0;Uo=z+4|0;Vo=h+8|0;Wo=z+11|0;Xo=e+11|0;Yo=e+4|0;Zo=e+11|0;_o=x+36|0;$o=x+16|0;ap=w+36|0;bp=w+16|0;cp=v+36|0;dp=v+16|0;ep=i+36|0;fp=e+8|0;gp=e+4|0;hp=e+11|0;ip=e+8|0;jp=e+4|0;kp=e+11|0;lp=z+4|0;mp=z+8|0;np=z+40|0;op=z+48|0;pp=z+44|0;qp=z+52|0;rp=ga+4|0;sp=ga+8|0;tp=ga+4|0;up=z+12|0;vp=z+36|0;wp=z+16|0;xp=e+4|0;yp=e+8|0;zp=e+12|0;Ap=e+16|0;Bp=e+20|0;Cp=z+20|0;Dp=e+24|0;Ep=z+24|0;Fp=e+28|0;Gp=z+28|0;Hp=e+32|0;Ip=z+32|0;Jp=e+36|0;Kp=z+44|0;Lp=e+44|0;Mp=e+40|0;Np=e+48|0;Op=e+4|0;Pp=e+8|0;Qp=e+12|0;Rp=e+16|0;Sp=e+20|0;Tp=e+24|0;Up=e+28|0;Vp=e+32|0;Wp=e+36|0;Xp=e+44|0;Yp=e+40|0;Zp=e+48|0;_p=z+40|0;$p=tp;aq=x+12|0;bq=x+20|0;cq=x+24|0;dq=x+28|0;eq=x+32|0;fq=w+12|0;gq=w+20|0;hq=w+24|0;iq=w+28|0;jq=w+32|0;kq=v+12|0;lq=v+20|0;mq=v+24|0;nq=v+28|0;oq=v+32|0;pq=Ao;qq=xo;rq=h+11|0;sq=h+9|0;tq=h+8|0;uq=h+4|0;vq=h+11|0;wq=h+11|0;xq=h+9|0;yq=e+8|0;zq=e+4|0;Aq=i+8|0;Bq=i+4|0;Cq=i+11|0;Dq=e+11|0;Eq=ha+4|0;Fq=ha+8|0;Gq=ha+4|0;Hq=i+4|0;Iq=i+8|0;Jq=i+12|0;Kq=e+11|0;Lq=e+6|0;Mq=i+16|0;Nq=i+44|0;Oq=e+11|0;Pq=e+5|0;Qq=i+36|0;Rq=i+40|0;Sq=i+48|0;Tq=Gq;Uq=e+8|0;Vq=e+4|0;Wq=e+11|0;Xq=i+8|0;Yq=i+4|0;Zq=h+8|0;_q=i+11|0;$q=e+11|0;ar=e+6|0;br=e+11|0;cr=e+8|0;dr=e+4|0;er=i+8|0;fr=i+4|0;gr=i+11|0;hr=e+11|0;ir=e+8|0;jr=e+4|0;kr=e+11|0;lr=ia+4|0;mr=ia+8|0;nr=ia+4|0;or=ja+4|0;pr=ja+8|0;qr=ja+4|0;rr=i+4|0;sr=i+8|0;tr=i+12|0;ur=v+4|0;vr=v+8|0;wr=v+12|0;xr=e+8|0;yr=e+4|0;zr=v+16|0;Ar=e+11|0;Br=e+8|0;Cr=e+4|0;Dr=i+16|0;Er=e+11|0;Fr=v+36|0;Gr=v+40|0;Hr=v+44|0;Ir=v+48|0;Jr=i+36|0;Kr=i+40|0;Lr=i+44|0;Mr=i+48|0;Nr=qr;Or=nr;Pr=ka+4|0;Qr=ka+8|0;Rr=ka+4|0;Sr=i+4|0;Tr=i+8|0;Ur=i+12|0;Vr=e+11|0;Wr=e+8|0;Xr=e+12|0;Yr=e+4|0;Zr=h+8|0;_r=h+4|0;$r=i+16|0;as=i+40|0;bs=i+44|0;cs=e+11|0;ds=e+10|0;es=e+11|0;fs=e+8|0;gs=e+11|0;hs=e+9|0;is=e+11|0;js=i+36|0;ks=i+48|0;ls=Rr;ms=i+11|0;ns=i+8|0;os=h+8|0;ps=i+11|0;qs=i+8|0;rs=h+8|0;ss=i+11|0;ts=i+4|0;us=h+8|0;vs=i+11|0;ws=i+4|0;xs=h+8|0;ys=i+11|0;zs=i+6|0;As=h+8|0;Bs=i+11|0;Cs=i+4|0;Ds=h+8|0;Es=i+11|0;Fs=i+8|0;Gs=i+12|0;Hs=i+20|0;Is=i+16|0;Js=i+24|0;Ks=Js+11|0;Ls=Js+6|0;Ms=i+36|0;Ns=Ms+11|0;Os=Ms+5|0;Ps=i+48|0;Qs=Ps+11|0;Rs=Ps+6|0;Ss=h+8|0;Ts=e+16|0;Us=e+4|0;Vs=e+8|0;Ws=e+12|0;Xs=h+4|0;Ys=e+36|0;Zs=e+40|0;_s=e+44|0;$s=e+48|0;at=e+11|0;bt=e+8|0;ct=e+11|0;dt=e+11|0;et=e+11|0;ft=e+4|0;gt=i+11|0;ht=i+4|0;it=e+11|0;jt=e+6|0;lt=i+11|0;mt=i+6|0;nt=e+11|0;pt=e+4|0;qt=i+11|0;rt=i+4|0;st=e+11|0;tt=e+4|0;vt=i+11|0;wt=i+4|0;xt=e+11|0;yt=e+8|0;zt=i+11|0;At=i+8|0;Bt=e+11|0;Ct=e+8|0;Dt=i+11|0;Et=i+8|0;Ft=i+11|0;Gt=i+4|0;Ht=h+8|0;It=e+11|0;Jt=e+7|0;Kt=e+11|0;Lt=e+11|0;Mt=e+4|0;Nt=i+11|0;Ot=i+4|0;Pt=la+4|0;Qt=la+8|0;Rt=la+4|0;St=i+4|0;Tt=i+8|0;Ut=i+12|0;Vt=e+11|0;Wt=e+6|0;Xt=i+16|0;Yt=e+11|0;Zt=e+5|0;_t=i+40|0;$t=i+44|0;au=e+8|0;bu=e+4|0;cu=e+11|0;du=e+11|0;eu=e+11|0;fu=i+36|0;gu=i+48|0;hu=Rt;iu=ma+4|0;ju=ma+8|0;ku=ma+4|0;lu=i+4|0;mu=i+8|0;nu=i+12|0;ou=i+16|0;pu=i+40|0;qu=i+44|0;ru=e+11|0;su=e+4|0;tu=e+8|0;uu=e+4|0;vu=e+11|0;wu=e+11|0;xu=e+7|0;yu=e+11|0;zu=v+11|0;Au=v+8|0;Bu=h+8|0;Cu=v+11|0;Du=v+9|0;Eu=h+8|0;Fu=e+11|0;Gu=e+9|0;Hu=e+4|0;Iu=e+8|0;Ju=e+4|0;Ku=e+12|0;Lu=v+11|0;Mu=v+7|0;Nu=v+12|0;Ou=v+11|0;Pu=h+11|0;Qu=e+36|0;Ru=Qu+11|0;Su=e+24|0;Tu=Su+11|0;Uu=e+12|0;Vu=i+36|0;Wu=i+48|0;Xu=e+11|0;Yu=e+8|0;Zu=ku;_u=na+4|0;$u=na+8|0;av=na+4|0;bv=oa+4|0;cv=oa+8|0;dv=oa+4|0;ev=i+4|0;fv=i+8|0;gv=i+12|0;hv=v+4|0;iv=v+8|0;jv=v+12|0;kv=e+11|0;lv=e+9|0;mv=i+16|0;nv=e+11|0;ov=e+9|0;pv=v+16|0;qv=e+11|0;rv=e+5|0;sv=e+11|0;tv=v+36|0;uv=v+40|0;vv=v+44|0;wv=v+48|0;xv=i+36|0;yv=i+40|0;zv=i+44|0;Av=i+48|0;Bv=dv;Cv=av;Dv=h+11|0;Ev=e+11|0;Fv=i+8|0;Gv=e+4|0;Hv=e+8|0;Iv=v+4|0;Jv=v+8|0;Kv=v+8|0;Lv=pa+4|0;Mv=pa+8|0;Nv=pa+4|0;Ov=t+20|0;Pv=w+36|0;Qv=w+16|0;Rv=w+4|0;Sv=w+40|0;Tv=w+44|0;Uv=w+48|0;Vv=w+8|0;Wv=w+12|0;Xv=w+20|0;Yv=w+24|0;Zv=w+28|0;_v=w+32|0;$v=Nv;aw=e+11|0;bw=t+36|0;cw=bw+11|0;dw=t+24|0;ew=dw+11|0;fw=t+12|0;gw=h+8|0;hw=e+8|0;iw=e+8|0;jw=e+8|0;kw=h+4|0;lw=e+8|0;mw=w+8|0;nw=e+4|0;ow=e+8|0;pw=v+8|0;qw=e+8|0;rw=e+8|0;sw=e+4|0;tw=e+8|0;uw=e+8|0;vw=e+8|0;ww=e+4|0;xw=e+8|0;yw=x+4|0;zw=x+8|0;Aw=e+4|0;Bw=x+8|0;Cw=e+8|0;Dw=z+52|0;Ew=z+52|0;Fw=i+48|0;Gw=Fw+11|0;Hw=i+36|0;Iw=Hw+11|0;Jw=i+24|0;Kw=Jw+11|0;Lw=i+12|0;Mw=Lw+11|0;Nw=i+11|0;Ow=e+8|0;Pw=e+8|0;Qw=v+8|0;Rw=0;b:while(1){pTa(q,f[(f[va>>2]|0)+4+(Rw<<2)>>2]|0);ouc(r,f[Ga>>2]|0);ouc(s,f[ya>>2]|0);f[za>>2]=0;f[wa>>2]=0;f[t>>2]=Ca;Sw=Ba;Tw=Sw+36|0;do{f[Sw>>2]=0;Sw=Sw+4|0}while((Sw|0)<(Tw|0));c:do if((MFa(j,r)|0)==(ra|0)){Aa=LFa(q)|0;d:do if((Aa|0)==2){Uw=f[Da>>2]|0;if((Uw|0)>0){Vw=2;Ww=0;while(1){Xw=f[(f[Fa>>2]|0)+4+(Ww<<2)>>2]|0;puc(e,Xw,0,Ouc(Xw,58,-1)|0,Xw);Xw=NFa(k,e)|0;if((b[Ea>>0]|0)<0)fuc(f[e>>2]|0);if((Xw|0)!=(ua|0)){Yw=f[Xw+28>>2]|0;if((Vw|0)!=2)if((Yw|0)==(Vw|0)|(Yw|0)==2)Zw=Vw;else{_w=2;break d}else Zw=Yw}else Zw=Vw;Ww=Ww+1|0;if((Ww|0)>=(Uw|0))break;else Vw=Zw}if((Zw|0)!=2){_w=Zw;break}}Vw=NFa(k,f[Ga>>2]|0)|0;if((Vw|0)==(ua|0)){$w=48;break b}_w=f[Vw+28>>2]|0}else _w=Aa;while(0);Aa=cEa(k,r)|0;f[Aa>>2]=_w;Aa=b[Ia>>0]|0;Vw=f[Pa>>2]|0;if(((Aa<<24>>24<0?Vw:Aa&255)|0)==6){if(Puc(s,0,-1,395217,6)|0){ax=b[Ia>>0]|0;bx=f[Pa>>2]|0;$w=53}}else{ax=Aa;bx=Vw;$w=53}do if(($w|0)==53){$w=0;if(((ax<<24>>24<0?bx:ax&255)|0)==14){if(!(Puc(s,0,-1,395224,14)|0))break;cx=b[Ia>>0]|0;dx=f[Pa>>2]|0}else{cx=ax;dx=bx}if(((cx<<24>>24<0?dx:cx&255)|0)==21){if(!(Puc(s,0,-1,395239,21)|0))break;ex=b[Ia>>0]|0;fx=f[Pa>>2]|0}else{ex=cx;fx=dx}if(((ex<<24>>24<0?fx:ex&255)|0)==3){if(!(Puc(s,0,-1,395261,3)|0))break;gx=b[Ia>>0]|0;hx=f[Pa>>2]|0}else{gx=ex;hx=fx}if(((gx<<24>>24<0?hx:gx&255)|0)==7){if(Puc(s,0,-1,395516,7)|0){ix=b[Ia>>0]|0;jx=f[Pa>>2]|0;$w=533}}else{ix=gx;jx=hx;$w=533}do if(($w|0)==533){$w=0;if(((ix<<24>>24<0?jx:ix&255)|0)==3){if(!(Puc(s,0,-1,400694,3)|0))break;kx=b[Ia>>0]|0;lx=f[Pa>>2]|0}else{kx=ix;lx=jx}do if(((kx<<24>>24<0?lx:kx&255)|0)==3){if(!(Puc(s,0,-1,401783,3)|0))mx=0;else{nx=b[Ia>>0]|0;ox=f[Pa>>2]|0;break}while(1){if((mx|0)>=(f[Da>>2]|0)){$w=593;break b}SFa(e,f[(f[Fa>>2]|0)+4+(mx<<2)>>2]|0);Vw=(ZEa(l,e)|0)==(xa|0);if((b[te>>0]|0)<0)fuc(f[e>>2]|0);if(Vw)mx=mx+1|0;else break}f[ue>>2]=0;f[ve>>2]=0;f[I>>2]=we;Vw=f[l>>2]|0;if((Vw|0)!=(xa|0)){Aa=Vw;while(1){Vw=Aa+16|0;f[h>>2]=Oe;f[e>>2]=f[h>>2];PFa(I,e,Vw,Vw)|0;Vw=f[Aa+4>>2]|0;do if(!Vw){Uw=Aa+8|0;Ww=f[Uw>>2]|0;if((f[Ww>>2]|0)==(Aa|0)){px=Ww;break}else qx=Uw;do{Uw=f[qx>>2]|0;qx=Uw+8|0;Ww=f[qx>>2]|0}while((f[Ww>>2]|0)!=(Uw|0));px=Ww}else{Ww=Vw;while(1){Uw=f[Ww>>2]|0;if(!Uw)break;else Ww=Uw}px=Ww}while(0);if((px|0)==(xa|0))break;else Aa=px}}CHa(i,QFa(a,q,I,-1,0)|0);_Da(I,f[we>>2]|0);if((f[i>>2]&4095|0)!=5){$w=602;break b}Aa=xe;f[Aa>>2]=0;f[Aa+4>>2]=0;f[e>>2]=33619968;f[ye>>2]=i;kQ(i,e,-1,-1.0,0.0);Aa=f[ze>>2]|0;if((Aa|0)<3)rx=Y(f[Be>>2]|0,f[Ae>>2]|0)|0;else{Vw=f[Je>>2]|0;Uw=0;Yw=1;while(1){Xw=Y(f[Vw+(Uw<<2)>>2]|0,Yw)|0;Uw=Uw+1|0;if((Uw|0)==(Aa|0)){rx=Xw;break}else Yw=Xw}}if((rx|0)==1){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[Ce>>0]=5;b[e>>0]=b[449460]|0;b[e+1>>0]=b[449461]|0;b[e+2>>0]=b[449462]|0;b[e+3>>0]=b[449463]|0;b[e+4>>0]=b[449464]|0;b[De>>0]=0;jEa(t,e,f[Ee>>2]|0)|0;if((b[Ce>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[Fe>>0]=5;b[e>>0]=b[458405]|0;b[e+1>>0]=b[458406]|0;b[e+2>>0]=b[458407]|0;b[e+3>>0]=b[458408]|0;b[e+4>>0]=b[458409]|0;b[Ge>>0]=0;Yw=sLa(c,r,e,t)|0;if((b[Fe>>0]|0)<0)fuc(f[e>>2]|0);sx=Yw}else{kt(Yb,1,i);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[Me>>0]=5;b[e>>0]=b[416007]|0;b[e+1>>0]=b[416008]|0;b[e+2>>0]=b[416009]|0;b[e+3>>0]=b[416010]|0;b[e+4>>0]=b[416011]|0;b[Ne>>0]=0;Yw=sLa(c,r,e,t)|0;if((b[Me>>0]|0)<0)fuc(f[e>>2]|0);sx=Yw}Yw=cEa(o,r)|0;f[Yw>>2]=sx;SFa(e,f[(f[Fa>>2]|0)+4>>2]|0);TFa(a,o,c,e,sx,0);if((b[He>>0]|0)<0)fuc(f[e>>2]|0);Yw=f[Ie>>2]|0;do if(Yw|0){Aa=Yw+12|0;Uw=f[Aa>>2]|0;f[Aa>>2]=Uw+-1;if((Uw|0)!=1)break;aU(i)}while(0);f[Ie>>2]=0;f[Ee>>2]=0;f[Ee+4>>2]=0;f[Ee+8>>2]=0;f[Ee+12>>2]=0;if((f[ze>>2]|0)>0){Yw=f[Je>>2]|0;Uw=0;do{f[Yw+(Uw<<2)>>2]=0;Uw=Uw+1|0}while((Uw|0)<(f[ze>>2]|0))}Uw=f[Ke>>2]|0;if((Uw|0)!=(Le|0))TC(Uw);break c}else{nx=kx;ox=lx}while(0);do if(((nx<<24>>24<0?ox:nx&255)|0)==6){if(Puc(s,0,-1,395676,6)|0){tx=b[Ia>>0]|0;ux=f[Pa>>2]|0;break}if((f[Da>>2]|0)!=2){$w=631;break b};f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;Uw=cuc(32)|0;f[i>>2]=Uw;f[Pe>>2]=-2147483616;f[Qe>>2]=19;Sw=Uw;vx=467743;Tw=Sw+19|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[Uw+19>>0]=0;T5b(Sb);UFa(h,Tb);VFa(e,f[Re>>2]|0,i,0);Yw=(f[e>>2]|0)==0;WFa(h);if(Yw)wx=0;else{f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;Yw=cuc(32)|0;f[e>>2]=Yw;f[ug>>2]=-2147483616;f[vg>>2]=19;Sw=Yw;vx=467743;Tw=Sw+19|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[Yw+19>>0]=0;T5b(Sb);Uw=XFa(Tb,e)|0;Aa=b[Uw+8>>0]|0?(f[Uw+20>>2]|0)==5:0;if((b[wg>>0]|0)<0)fuc(f[e>>2]|0);wx=Aa}if((b[Se>>0]|0)<0)fuc(f[i>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[Te>>0]=9;Sw=e;vx=466098;Tw=Sw+9|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[Ue>>0]=0;b[h>>0]=0;zEa(t,e,h)|0;if((b[Te>>0]|0)<0)fuc(f[e>>2]|0);tJ(Yb,1);f[jw>>2]=0;b[Ve>>0]=7;b[e>>0]=b[395516]|0;b[e+1>>0]=b[395517]|0;b[e+2>>0]=b[395518]|0;b[e+3>>0]=b[395519]|0;b[e+4>>0]=b[395520]|0;b[e+5>>0]=b[395521]|0;b[e+6>>0]=b[395522]|0;b[We>>0]=0;OFa(i,ta,r,e);Yw=f[i>>2]|0;Aa=f[Xe>>2]|0;Uw=Aa;Vw=Yw;if((Yw|0)==(Aa|0)){Aa=kw;f[Aa>>2]=0;f[Aa+4>>2]=0;b[Ye>>0]=3;b[h>>0]=b[400694]|0;b[h+1>>0]=b[400695]|0;b[h+2>>0]=b[400696]|0;b[Ze>>0]=0;OFa(e,ta,r,h);Aa=f[i>>2]|0;if(Aa|0){Yw=f[Xe>>2]|0;if((Yw|0)==(Aa|0))xx=Aa;else{Xw=Yw;while(1){Yw=Xw+-16|0;f[Xe>>2]=Yw;if((b[Yw+11>>0]|0)<0){fuc(f[Yw>>2]|0);yx=f[Xe>>2]|0}else yx=Yw;if((yx|0)==(Aa|0))break;else Xw=yx}xx=f[i>>2]|0}fuc(xx);f[_e>>2]=0;f[Xe>>2]=0;f[i>>2]=0}Xw=f[e>>2]|0;f[i>>2]=Xw;Aa=f[$e>>2]|0;f[Xe>>2]=Aa;f[_e>>2]=f[af>>2];zx=Xw;Ax=Aa}else{zx=Vw;Ax=Uw}do if((Ax-zx|0)==16){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[bf>>0]=9;Sw=e;vx=466098;Tw=Sw+9|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[cf>>0]=0;b[h>>0]=1;zEa(t,e,h)|0;if((b[bf>>0]|0)<0)fuc(f[e>>2]|0);tJ(Yb,2);Aa=f[(f[i>>2]|0)+12>>2]|0;Xw=f[(f[va>>2]|0)+4+(Aa<<2)>>2]|0;f[df>>2]=0;f[ef>>2]=0;f[J>>2]=ff;Yw=f[l>>2]|0;if((Yw|0)!=(xa|0)){Bx=Yw;while(1){Yw=Bx+16|0;f[h>>2]=gf;f[e>>2]=f[h>>2];PFa(J,e,Yw,Yw)|0;Yw=f[Bx+4>>2]|0;do if(!Yw){Cx=Bx+8|0;Dx=f[Cx>>2]|0;if((f[Dx>>2]|0)==(Bx|0)){Ex=Dx;break}else Fx=Cx;do{Cx=f[Fx>>2]|0;Fx=Cx+8|0;Dx=f[Fx>>2]|0}while((f[Dx>>2]|0)!=(Cx|0));Ex=Dx}else{Dx=Yw;while(1){Cx=f[Dx>>2]|0;if(!Cx)break;else Dx=Cx}Ex=Dx}while(0);if((Ex|0)==(xa|0))break;else Bx=Ex}}Bx=QFa(a,Xw,J,-1,0)|0;YFa(Bx,(f[Yb>>2]|0)+56|0);_Da(J,f[ff>>2]|0);ZFa(ta,Aa,0);Bx=f[i>>2]|0;hI(e,j,Bx,Bx);if(!wx){Gx=0;break}Bx=f[Yb>>2]|0;Yw=f[Bx+60>>2]|0;if((Yw|0)<3)Hx=Y(f[Bx+68>>2]|0,f[Bx+64>>2]|0)|0;else{Ww=f[Bx+96>>2]|0;Cx=0;Ix=1;while(1){Jx=Y(f[Ww+(Cx<<2)>>2]|0,Ix)|0;Cx=Cx+1|0;if((Cx|0)==(Yw|0)){Hx=Jx;break}else Ix=Jx}}Ix=f[Bx+72>>2]|0;if(Hx&3|0){$w=666;break b}if((Hx|0)>0)Kx=0;else{Gx=1;break}do{Yw=Ix+(Kx<<2)|0;Cx=Ix+((Kx|1)<<2)|0;Ww=f[Yw>>2]|0;f[Yw>>2]=f[Cx>>2];f[Cx>>2]=Ww;Kx=Kx+2|0}while((Kx|0)<(Hx|0));Gx=1}else Gx=wx;while(0);f[v>>2]=-1;f[hf>>2]=0;f[jf>>2]=0;f[K>>2]=kf;Uw=f[l>>2]|0;if((Uw|0)!=(xa|0)){Vw=Uw;while(1){Uw=Vw+16|0;f[h>>2]=tg;f[e>>2]=f[h>>2];PFa(K,e,Uw,Uw)|0;Uw=f[Vw+4>>2]|0;do if(!Uw){Ix=Vw+8|0;Bx=f[Ix>>2]|0;if((f[Bx>>2]|0)==(Vw|0)){Lx=Bx;break}else Mx=Ix;do{Ix=f[Mx>>2]|0;Mx=Ix+8|0;Bx=f[Mx>>2]|0}while((f[Bx>>2]|0)!=(Ix|0));Lx=Bx}else{Bx=Uw;while(1){Ix=f[Bx>>2]|0;if(!Ix)break;else Bx=Ix}Lx=Bx}while(0);if((Lx|0)==(xa|0))break;else Vw=Lx}}Vw=QFa(a,q,K,-1,v)|0;_Da(K,f[kf>>2]|0);YFa(Vw,f[Yb>>2]|0);IIa(Vw);if((f[v>>2]|0)==1){tT(L,f[Yb>>2]|0);f[h>>2]=1124007936;Sw=lf;Tw=Sw+36|0;do{f[Sw>>2]=0;Sw=Sw+4|0}while((Sw|0)<(Tw|0));f[nf>>2]=mf;f[pf>>2]=of;f[of>>2]=0;f[qf>>2]=0;Vw=f[L>>2]|0;sh[f[(f[Vw>>2]|0)+12>>2]&255](Vw,L,h,-1);Xi(L);f[w>>2]=1124007936;Sw=rf;Tw=Sw+36|0;do{f[Sw>>2]=0;Sw=Sw+4|0}while((Sw|0)<(Tw|0));f[tf>>2]=sf;f[vf>>2]=uf;f[uf>>2]=0;f[wf>>2]=0;Vw=xf;f[Vw>>2]=0;f[Vw+4>>2]=0;f[e>>2]=33619968;f[yf>>2]=w;EI(h,e);Vw=f[Yb>>2]|0;do if((Vw|0)==(w|0)){Uw=f[zf>>2]|0;if(!Uw)break;Ix=Uw+12|0;Uw=f[Ix>>2]|0;f[Ix>>2]=Uw+-1;if((Uw|0)!=1)break;aU(w)}else{Uw=Vw+36|0;Ix=f[Uw>>2]|0;do if(Ix|0){Ww=Ix+12|0;Cx=f[Ww>>2]|0;f[Ww>>2]=Cx+-1;if((Cx|0)!=1)break;aU(Vw)}while(0);f[Uw>>2]=0;Ix=Vw+16|0;Cx=Vw+4|0;f[Ix>>2]=0;f[Ix+4>>2]=0;f[Ix+8>>2]=0;f[Ix+12>>2]=0;if((f[Cx>>2]|0)>0){Ww=f[Vw+40>>2]|0;Yw=0;do{f[Ww+(Yw<<2)>>2]=0;Yw=Yw+1|0}while((Yw|0)<(f[Cx>>2]|0))}f[Vw>>2]=f[w>>2];f[Cx>>2]=f[rf>>2];Yw=Vw+8|0;f[Yw>>2]=f[sf>>2];f[Vw+12>>2]=f[Df>>2];f[Ix>>2]=f[Af>>2];f[Vw+20>>2]=f[Ef>>2];f[Vw+24>>2]=f[Ff>>2];f[Vw+28>>2]=f[Gf>>2];f[Vw+32>>2]=f[Hf>>2];f[Uw>>2]=f[zf>>2];Ww=Vw+44|0;Aa=f[Ww>>2]|0;Xw=Vw+48|0;if((Aa|0)==(Xw|0))Nx=Aa;else{TC(Aa);f[Ww>>2]=Xw;f[Vw+40>>2]=Yw;Nx=Xw}if((f[rf>>2]|0)<3){Xw=f[If>>2]|0;f[Nx>>2]=f[Xw>>2];f[Nx+4>>2]=f[Xw+4>>2]}else{f[Ww>>2]=f[If>>2];f[Vw+40>>2]=f[tf>>2];f[If>>2]=uf;f[tf>>2]=sf}f[w>>2]=1124007936;Sw=rf;Tw=Sw+36|0;do{f[Sw>>2]=0;Sw=Sw+4|0}while((Sw|0)<(Tw|0))}while(0);f[zf>>2]=0;f[Af>>2]=0;f[Af+4>>2]=0;f[Af+8>>2]=0;f[Af+12>>2]=0;if((f[rf>>2]|0)>0){Vw=f[tf>>2]|0;Uw=0;do{f[Vw+(Uw<<2)>>2]=0;Uw=Uw+1|0}while((Uw|0)<(f[rf>>2]|0))}Uw=f[vf>>2]|0;if((Uw|0)!=(uf|0))TC(Uw);Uw=f[Bf>>2]|0;do if(Uw|0){Vw=Uw+12|0;Ix=f[Vw>>2]|0;f[Vw>>2]=Ix+-1;if((Ix|0)!=1)break;aU(h)}while(0);f[Bf>>2]=0;f[Cf>>2]=0;f[Cf+4>>2]=0;f[Cf+8>>2]=0;f[Cf+12>>2]=0;if((f[lf>>2]|0)>0){Uw=f[nf>>2]|0;Ix=0;do{f[Uw+(Ix<<2)>>2]=0;Ix=Ix+1|0}while((Ix|0)<(f[lf>>2]|0))}Ix=f[pf>>2]|0;if((Ix|0)!=(of|0))TC(Ix)}b[Jf>>0]=10;Sw=e;vx=473888;Tw=Sw+10|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[Kf>>0]=0;xEa(t,e,f[(f[Yb>>2]|0)+40>>2]|0)|0;if((b[Jf>>0]|0)<0)fuc(f[e>>2]|0);do if(Gx){Ix=f[Yb>>2]|0;if((f[Ix+4>>2]|0)!=2){$w=711;break b}if((f[f[Ix+40>>2]>>2]|0)>0){Ox=0;Px=Ix}else break;do{Ix=Ox|1;f[e>>2]=Ox;f[Lf>>2]=Ix;f[h>>2]=-2147483648;f[Mf>>2]=2147483647;bU(w,Px,e,h);Uw=f[Yb>>2]|0;f[e>>2]=Ix;f[Nf>>2]=Ix+1;f[h>>2]=-2147483648;f[Of>>2]=2147483647;bU(x,Uw,e,h);f[M>>2]=w;Uw=f[Qf>>2]|0;if((Uw|0)>0)Qx=f[(f[Rf>>2]|0)+(Uw+-1<<2)>>2]|0;else Qx=0;f[Pf>>2]=Qx;f[Sf>>2]=0;f[Tf>>2]=0;f[Uf>>2]=0;if(f[w>>2]&16384|0){Ix=f[kg>>2]|0;f[Tf>>2]=Ix;if((Uw|0)<3)Rx=Y(f[_f>>2]|0,f[Zf>>2]|0)|0;else{Vw=f[lg>>2]|0;Cx=0;Ww=1;while(1){Xw=Y(f[Vw+(Cx<<2)>>2]|0,Ww)|0;Cx=Cx+1|0;if((Cx|0)==(Uw|0)){Rx=Xw;break}else Ww=Xw}}Ww=Ix+(Y(Rx,Qx)|0)|0;f[Uf>>2]=Ww}$C(M,0,0);f[N>>2]=w;Ww=f[Qf>>2]|0;if((Ww|0)>0)Sx=f[(f[Rf>>2]|0)+(Ww+-1<<2)>>2]|0;else Sx=0;f[Vf>>2]=Sx;f[Wf>>2]=0;f[Xf>>2]=0;f[Yf>>2]=0;if(f[w>>2]&16384|0){Uw=f[kg>>2]|0;f[Xf>>2]=Uw;if((Ww|0)<3)Tx=Y(f[_f>>2]|0,f[Zf>>2]|0)|0;else{Cx=f[lg>>2]|0;Vw=0;Bx=1;while(1){Xw=Y(f[Cx+(Vw<<2)>>2]|0,Bx)|0;Vw=Vw+1|0;if((Vw|0)==(Ww|0)){Tx=Xw;break}else Bx=Xw}}Bx=Uw+(Y(Tx,Sx)|0)|0;f[Yf>>2]=Bx}$C(N,0,0);Bx=f[Qf>>2]|0;if((Bx|0)<3)Ux=Y(f[_f>>2]|0,f[Zf>>2]|0)|0;else{Ww=f[lg>>2]|0;Vw=0;Cx=1;while(1){Ix=Y(f[Ww+(Vw<<2)>>2]|0,Cx)|0;Vw=Vw+1|0;if((Vw|0)==(Bx|0)){Ux=Ix;break}else Cx=Ix}}do if(!((Ux|0)==0|(f[N>>2]|0)==0)){Cx=Y(f[Vf>>2]|0,Ux)|0;Bx=(f[Wf>>2]|0)+Cx|0;f[Wf>>2]=Bx;if(Bx>>>0>=(f[Xf>>2]|0)>>>0?(f[Yf>>2]|0)>>>0>Bx>>>0:0)break;f[Wf>>2]=Bx+(0-Cx);_C(N,Ux,1)}while(0);f[O>>2]=x;Cx=f[ag>>2]|0;if((Cx|0)>0)Vx=f[(f[bg>>2]|0)+(Cx+-1<<2)>>2]|0;else Vx=0;f[$f>>2]=Vx;f[cg>>2]=0;f[dg>>2]=0;f[eg>>2]=0;if(f[x>>2]&16384|0){Bx=f[gg>>2]|0;f[dg>>2]=Bx;if((Cx|0)<3)Wx=Y(f[og>>2]|0,f[ng>>2]|0)|0;else{Vw=f[hg>>2]|0;Ww=0;Uw=1;while(1){Ix=Y(f[Vw+(Ww<<2)>>2]|0,Uw)|0;Ww=Ww+1|0;if((Ww|0)==(Cx|0)){Wx=Ix;break}else Uw=Ix}}Uw=Bx+(Y(Wx,Vx)|0)|0;f[eg>>2]=Uw}$C(O,0,0);while(1){Uw=f[M>>2]|0;if((Uw|0)==(f[N>>2]|0)){Cx=f[Sf>>2]|0;if((Cx|0)==(f[Wf>>2]|0))break;else{Xx=Cx;Yx=Cx}}else{Cx=f[Sf>>2]|0;Xx=Cx;Yx=Cx}Cx=f[cg>>2]|0;Ww=f[Xx>>2]|0;f[Xx>>2]=f[Cx>>2];f[Cx>>2]=Ww;do if(Uw|0){Ww=f[Pf>>2]|0;Cx=Yx+Ww|0;f[Sf>>2]=Cx;if(Cx>>>0<(f[Uf>>2]|0)>>>0)break;f[Sf>>2]=Cx+(0-Ww);_C(M,1,1)}while(0);if(!(f[O>>2]|0))continue;Uw=f[$f>>2]|0;Dx=(f[cg>>2]|0)+Uw|0;f[cg>>2]=Dx;if(Dx>>>0<(f[eg>>2]|0)>>>0)continue;f[cg>>2]=Dx+(0-Uw);_C(O,1,1)}Bx=f[fg>>2]|0;do if(Bx|0){Uw=Bx+12|0;Dx=f[Uw>>2]|0;f[Uw>>2]=Dx+-1;if((Dx|0)!=1)break;aU(x)}while(0);f[fg>>2]=0;f[gg>>2]=0;f[gg+4>>2]=0;f[gg+8>>2]=0;f[gg+12>>2]=0;if((f[ag>>2]|0)>0){Bx=f[hg>>2]|0;Dx=0;do{f[Bx+(Dx<<2)>>2]=0;Dx=Dx+1|0}while((Dx|0)<(f[ag>>2]|0))}Dx=f[bg>>2]|0;if((Dx|0)!=(ig|0))TC(Dx);Dx=f[jg>>2]|0;do if(Dx|0){Bx=Dx+12|0;Uw=f[Bx>>2]|0;f[Bx>>2]=Uw+-1;if((Uw|0)!=1)break;aU(w)}while(0);f[jg>>2]=0;f[kg>>2]=0;f[kg+4>>2]=0;f[kg+8>>2]=0;f[kg+12>>2]=0;if((f[Qf>>2]|0)>0){Dx=f[lg>>2]|0;Uw=0;do{f[Dx+(Uw<<2)>>2]=0;Uw=Uw+1|0}while((Uw|0)<(f[Qf>>2]|0))}Uw=f[Rf>>2]|0;if((Uw|0)!=(mg|0))TC(Uw);Ox=Ox+2|0;Px=f[Yb>>2]|0}while((Ox|0)<(f[f[Px+40>>2]>>2]|0))}while(0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;Uw=cuc(16)|0;f[e>>2]=Uw;f[pg>>2]=-2147483632;f[qg>>2]=12;Sw=Uw;vx=415862;Tw=Sw+12|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[Uw+12>>0]=0;Dx=sLa(c,r,e,t)|0;if((b[rg>>0]|0)<0)fuc(f[e>>2]|0);Bx=cEa(o,r)|0;f[Bx>>2]=Dx;SFa(e,f[(f[Fa>>2]|0)+4+(((f[v>>2]|0)==0&1)<<2)>>2]|0);TFa(a,o,c,e,Dx,0);if((b[sg>>0]|0)<0)fuc(f[e>>2]|0);Dx=cEa(k,r)|0;f[Dx>>2]=3;Dx=f[i>>2]|0;if(Dx|0){Bx=f[Xe>>2]|0;if((Bx|0)==(Dx|0))Zx=Dx;else{Ww=Bx;while(1){Bx=Ww+-16|0;f[Xe>>2]=Bx;if((b[Bx+11>>0]|0)<0){fuc(f[Bx>>2]|0);_x=f[Xe>>2]|0}else _x=Bx;if((_x|0)==(Dx|0))break;else Ww=_x}Zx=f[i>>2]|0}fuc(Zx)}break c}else{tx=nx;ux=ox}while(0);do if(((tx<<24>>24<0?ux:tx&255)|0)==7){if(Puc(s,0,-1,415783,7)|0){$x=b[Ia>>0]|0;ay=f[Pa>>2]|0;break}SFa(i,f[(f[Fa>>2]|0)+4>>2]|0);Ww=f[(f[Fa>>2]|0)+4>>2]|0;puc(e,Ww,0,Ouc(Ww,58,-1)|0,Ww);Ww=NFa(k,e)|0;if((b[xg>>0]|0)<0)fuc(f[e>>2]|0);if((Ww|0)==(ua|0))by=2;else by=f[Ww+28>>2]|0;if((ZEa(l,f[(f[Fa>>2]|0)+8>>2]|0)|0)!=(xa|0)){f[Cg>>2]=0;f[Dg>>2]=0;f[P>>2]=Eg;Ww=f[l>>2]|0;if((Ww|0)!=(xa|0)){Dx=Ww;while(1){Ww=Dx+16|0;f[h>>2]=ih;f[e>>2]=f[h>>2];PFa(P,e,Ww,Ww)|0;Ww=f[Dx+4>>2]|0;do if(!Ww){Uw=Dx+8|0;Bx=f[Uw>>2]|0;if((f[Bx>>2]|0)==(Dx|0)){cy=Bx;break}else dy=Uw;do{Uw=f[dy>>2]|0;dy=Uw+8|0;Bx=f[dy>>2]|0}while((f[Bx>>2]|0)!=(Uw|0));cy=Bx}else{Bx=Ww;while(1){Uw=f[Bx>>2]|0;if(!Uw)break;else Bx=Uw}cy=Bx}while(0);if((cy|0)==(xa|0))break;else Dx=cy}}CHa(v,QFa(a,q,P,1,0)|0);_Da(P,f[Eg>>2]|0);Dx=f[Fg>>2]|0;Ww=(Dx|0)<3;if(Ww)ey=Y(f[Hg>>2]|0,f[Gg>>2]|0)|0;else{Uw=f[gh>>2]|0;Cx=0;Vw=1;while(1){Ix=Y(f[Uw+(Cx<<2)>>2]|0,Vw)|0;Cx=Cx+1|0;if((Cx|0)==(Dx|0)){ey=Ix;break}else Vw=Ix}}Vw=(by|0)==0;do if(Vw&(ey|0)!=4){f[Ig>>2]=0;f[Jg>>2]=0;f[e>>2]=Kg;Sw=Lg;Tw=Sw+36|0;do{f[Sw>>2]=0;Sw=Sw+4|0}while((Sw|0)<(Tw|0));f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;b[Mg>>0]=5;b[h>>0]=b[471004]|0;b[h+1>>0]=b[471005]|0;b[h+2>>0]=b[471006]|0;b[h+3>>0]=b[471007]|0;b[h+4>>0]=b[471008]|0;b[Ng>>0]=0;Cx=cuc(16)|0;f[Cx>>2]=Cx+8;f[Cx+4>>2]=4;Uw=euc(32)|0;f[Cx>>2]=Uw;f[w>>2]=0;f[Og>>2]=Cx;Cx=Uw;f[Cx>>2]=0;f[Cx+4>>2]=0;Cx=Uw+8|0;f[Cx>>2]=2;f[Cx+4>>2]=0;Cx=Uw+16|0;f[Cx>>2]=3;f[Cx+4>>2]=0;Cx=Uw+24|0;f[Cx>>2]=1;f[Cx+4>>2]=0;wEa(e,h,w)|0;mEa(w);if((b[Mg>>0]|0)<0)fuc(f[h>>2]|0);RE(h,r,395707);if((ZEa(o,h)|0)!=(qa|0)){$w=805;break b}f[mw>>2]=0;b[Pg>>0]=7;b[w>>0]=b[445259]|0;b[w+1>>0]=b[445260]|0;b[w+2>>0]=b[445261]|0;b[w+3>>0]=b[445262]|0;b[w+4>>0]=b[445263]|0;b[w+5>>0]=b[445264]|0;b[w+6>>0]=b[445265]|0;b[Qg>>0]=0;Cx=sLa(c,h,w,e)|0;if((b[Pg>>0]|0)<0)fuc(f[w>>2]|0);Uw=cEa(o,h)|0;f[Uw>>2]=Cx;TFa(a,o,c,i,Cx,0);ouc(w,h);f[Rg>>2]=0;if((b[Bg>>0]|0)<0){b[f[i>>2]>>0]=0;f[Sg>>2]=0}else{b[i>>0]=0;b[Bg>>0]=0}vuc(i,0);f[i>>2]=f[w>>2];f[i+4>>2]=f[w+4>>2];f[i+8>>2]=f[w+8>>2];f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;f[Tg>>2]=f[Rg>>2];if((b[Ug>>0]|0)<0)fuc(f[h>>2]|0);if((b[Wg>>0]|0)<0)fuc(f[Vg>>2]|0);if((b[Yg>>0]|0)<0)fuc(f[Xg>>2]|0);ut(Zg);lEa(e,f[Kg>>2]|0);fy=1}else{if(Ww)gy=Y(f[Hg>>2]|0,f[Gg>>2]|0)|0;else{Cx=f[gh>>2]|0;Uw=0;Ix=1;while(1){Xw=Y(f[Cx+(Uw<<2)>>2]|0,Ix)|0;Uw=Uw+1|0;if((Uw|0)==(Dx|0)){gy=Xw;break}else Ix=Xw}}if(!(Vw&(gy|0)==4)){fy=by;break}Ix=f[ah>>2]|0;Uw=(f[bh>>2]|0)+4|0;Cx=f[Uw>>2]|0;Xw=Ix+(Cx<<1)|0;Yw=Ix+(Cx*3|0)|0;Cx=f[Xw>>2]|0;f[Xw>>2]=f[Yw>>2];f[Yw>>2]=Cx;Cx=f[Uw>>2]|0;Uw=Ix+Cx|0;Yw=Ix+(Cx<<1)|0;Cx=f[Uw>>2]|0;f[Uw>>2]=f[Yw>>2];f[Yw>>2]=Cx;fy=0}while(0);Vw=nw;f[Vw>>2]=0;f[Vw+4>>2]=0;b[_g>>0]=3;b[e>>0]=b[460274]|0;b[e+1>>0]=b[460275]|0;b[e+2>>0]=b[460276]|0;b[$g>>0]=0;Vw=f[ah>>2]|0;Dx=f[Fg>>2]|0;if((Dx|0)<3)hy=Y(f[Hg>>2]|0,f[Gg>>2]|0)|0;else{Ww=f[gh>>2]|0;Cx=0;Yw=1;while(1){Uw=Y(f[Ww+(Cx<<2)>>2]|0,Yw)|0;Cx=Cx+1|0;if((Cx|0)==(Dx|0)){hy=Uw;break}else Yw=Uw}}Yw=cuc(16)|0;Dx=Yw+8|0;f[Yw>>2]=Dx;f[Yw+4>>2]=hy;if(hy>>>0>1){Cx=euc(hy>>>0>536870911?-1:hy<<3)|0;f[Yw>>2]=Cx;iy=Cx}else iy=Dx;f[h>>2]=0;f[ch>>2]=Yw;if((hy|0)>0){Yw=Vw;Dx=0;while(1){Cx=f[Yw>>2]|0;Ww=iy+(Dx<<3)|0;f[Ww>>2]=Cx;f[Ww+4>>2]=((Cx|0)<0)<<31>>31;Dx=Dx+1|0;if((Dx|0)==(hy|0))break;else Yw=Yw+4|0}}wEa(t,e,h)|0;mEa(h);if((b[_g>>0]|0)<0)fuc(f[e>>2]|0);f[ow>>2]=0;b[dh>>0]=7;b[e>>0]=b[415783]|0;b[e+1>>0]=b[415784]|0;b[e+2>>0]=b[415785]|0;b[e+3>>0]=b[415786]|0;b[e+4>>0]=b[415787]|0;b[e+5>>0]=b[415788]|0;b[e+6>>0]=b[415789]|0;b[eh>>0]=0;Yw=sLa(c,r,e,t)|0;if((b[dh>>0]|0)<0)fuc(f[e>>2]|0);Dx=cEa(o,r)|0;f[Dx>>2]=Yw;TFa(a,o,c,i,Yw,0);Yw=f[Fg>>2]|0;if((Yw|0)<3)jy=Y(f[Hg>>2]|0,f[Gg>>2]|0)|0;else{Dx=f[gh>>2]|0;Vw=0;Cx=1;while(1){Ww=Y(f[Dx+(Vw<<2)>>2]|0,Cx)|0;Vw=Vw+1|0;if((Vw|0)==(Yw|0)){jy=Ww;break}else Cx=Ww}}Cx=cEa(k,r)|0;f[Cx>>2]=(jy|0)==2?3:fy;Cx=f[fh>>2]|0;do if(Cx|0){Yw=Cx+12|0;Vw=f[Yw>>2]|0;f[Yw>>2]=Vw+-1;if((Vw|0)!=1)break;aU(v)}while(0);f[fh>>2]=0;f[ah>>2]=0;f[ah+4>>2]=0;f[ah+8>>2]=0;f[ah+12>>2]=0;if((f[Fg>>2]|0)>0){Cx=f[gh>>2]|0;Vw=0;do{f[Cx+(Vw<<2)>>2]=0;Vw=Vw+1|0}while((Vw|0)<(f[Fg>>2]|0))}Vw=f[bh>>2]|0;if((Vw|0)!=(hh|0))TC(Vw)}else{f[lw>>2]=0;b[yg>>0]=7;b[e>>0]=b[415783]|0;b[e+1>>0]=b[415784]|0;b[e+2>>0]=b[415785]|0;b[e+3>>0]=b[415786]|0;b[e+4>>0]=b[415787]|0;b[e+5>>0]=b[415788]|0;b[e+6>>0]=b[415789]|0;b[zg>>0]=0;Vw=sLa(c,r,e,t)|0;if((b[yg>>0]|0)<0)fuc(f[e>>2]|0);Cx=cEa(o,r)|0;f[Cx>>2]=Vw;TFa(a,o,c,i,Vw,0);SFa(e,f[(f[Fa>>2]|0)+8>>2]|0);TFa(a,o,c,e,Vw,1);if((b[Ag>>0]|0)<0)fuc(f[e>>2]|0);Vw=cEa(k,r)|0;f[Vw>>2]=by}if((b[Bg>>0]|0)<0)fuc(f[i>>2]|0);break c}else{$x=tx;ay=ux}while(0);do if((($x<<24>>24<0?ay:$x&255)|0)==7){if(!(Puc(s,0,-1,415791,7)|0))break;ky=b[Ia>>0]|0;ly=f[Pa>>2]|0;$w=860}else{ky=$x;ly=ay;$w=860}while(0);do if(($w|0)==860){$w=0;if(((ky<<24>>24<0?ly:ky&255)|0)==7){if(!(Puc(s,0,-1,395755,7)|0))break;my=b[Ia>>0]|0;ny=f[Pa>>2]|0}else{my=ky;ny=ly}do if(((my<<24>>24<0?ny:my&255)|0)==9){if(Puc(s,0,-1,395846,9)|0){oy=b[Ia>>0]|0;py=f[Pa>>2]|0;break}f[Nh>>2]=0;f[Oh>>2]=0;f[Q>>2]=Ph;Vw=f[l>>2]|0;if((Vw|0)!=(xa|0)){Cx=Vw;while(1){Vw=Cx+16|0;f[h>>2]=hi;f[e>>2]=f[h>>2];PFa(Q,e,Vw,Vw)|0;Vw=f[Cx+4>>2]|0;do if(!Vw){Yw=Cx+8|0;Dx=f[Yw>>2]|0;if((f[Dx>>2]|0)==(Cx|0)){qy=Dx;break}else ry=Yw;do{Yw=f[ry>>2]|0;ry=Yw+8|0;Dx=f[ry>>2]|0}while((f[Dx>>2]|0)!=(Yw|0));qy=Dx}else{Dx=Vw;while(1){Yw=f[Dx>>2]|0;if(!Yw)break;else Dx=Yw}qy=Dx}while(0);if((qy|0)==(xa|0))break;else Cx=qy}}CHa(i,QFa(a,q,Q,1,0)|0);_Da(Q,f[Ph>>2]|0);if((f[i>>2]&4095|0)!=4){$w=918;break b}Cx=f[Qh>>2]|0;Vw=f[Rh>>2]|0;Bx=(Vw|0)<3;if(Bx)sy=Y(f[Th>>2]|0,f[Sh>>2]|0)|0;else{Yw=f[Zh>>2]|0;Ww=0;Uw=1;while(1){Ix=Y(f[Yw+(Ww<<2)>>2]|0,Uw)|0;Ww=Ww+1|0;if((Ww|0)==(Vw|0)){sy=Ix;break}else Uw=Ix}}if((sy|0)==4){Uw=f[(f[Fa>>2]|0)+4>>2]|0;puc(e,Uw,0,Ouc(Uw,58,-1)|0,Uw);Uw=NFa(k,e)|0;if((b[Uh>>0]|0)<0)fuc(f[e>>2]|0);e:do if((Uw|0)!=(ua|0))switch(f[Uw+28>>2]|0){case 0:{if(f[Cx>>2]|0){$w=936;break b}switch(f[Cx+4>>2]|0){case 3:{if((f[Cx+8>>2]|0)!=1){$w=936;break b}if((f[Cx+12>>2]|0)!=2){$w=936;break b}Ww=cEa(k,r)|0;f[Ww>>2]=1;break e;break}case 1:{if((f[Cx+8>>2]|0)!=2){$w=936;break b}if((f[Cx+12>>2]|0)!=3){$w=936;break b}Ww=cEa(k,r)|0;f[Ww>>2]=0;break e;break}default:{$w=936;break b}}break}case 1:{if(f[Cx>>2]|0){$w=945;break b}switch(f[Cx+4>>2]|0){case 2:{if((f[Cx+8>>2]|0)!=3){$w=945;break b}if((f[Cx+12>>2]|0)!=1){$w=945;break b}Ww=cEa(k,r)|0;f[Ww>>2]=0;break e;break}case 1:{if((f[Cx+8>>2]|0)!=2){$w=945;break b}if((f[Cx+12>>2]|0)!=3){$w=945;break b}Ww=cEa(k,r)|0;f[Ww>>2]=1;break e;break}default:{$w=945;break b}}break}default:break e}while(0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[Vh>>0]=8;Uw=e;f[Uw>>2]=1852138569;f[Uw+4>>2]=2037672308;b[Wh>>0]=0;Uw=sLa(c,r,e,t)|0;if((b[Vh>>0]|0)<0)fuc(f[e>>2]|0);Ww=cEa(o,r)|0;f[Ww>>2]=Uw;SFa(e,f[(f[Fa>>2]|0)+4>>2]|0);TFa(a,o,c,e,Uw,0);if((b[Xh>>0]|0)<0)fuc(f[e>>2]|0)}else{f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[ai>>0]=5;b[e>>0]=b[471004]|0;b[e+1>>0]=b[471005]|0;b[e+2>>0]=b[471006]|0;b[e+3>>0]=b[471007]|0;b[e+4>>0]=b[471008]|0;b[bi>>0]=0;if(Bx)ty=Y(f[Th>>2]|0,f[Sh>>2]|0)|0;else{Uw=f[Zh>>2]|0;Ww=0;Yw=1;while(1){Ix=Y(f[Uw+(Ww<<2)>>2]|0,Yw)|0;Ww=Ww+1|0;if((Ww|0)==(Vw|0)){ty=Ix;break}else Yw=Ix}}Yw=cuc(16)|0;Vw=Yw+8|0;f[Yw>>2]=Vw;f[Yw+4>>2]=ty;if(ty>>>0>1){Ww=euc(ty>>>0>536870911?-1:ty<<3)|0;f[Yw>>2]=Ww;uy=Ww}else uy=Vw;f[h>>2]=0;f[ci>>2]=Yw;if((ty|0)>0){Yw=Cx;Vw=0;while(1){Ww=f[Yw>>2]|0;Uw=uy+(Vw<<3)|0;f[Uw>>2]=Ww;f[Uw+4>>2]=((Ww|0)<0)<<31>>31;Vw=Vw+1|0;if((Vw|0)==(ty|0))break;else Yw=Yw+4|0}}wEa(t,e,h)|0;mEa(h);if((b[ai>>0]|0)<0)fuc(f[e>>2]|0);f[rw>>2]=0;b[ei>>0]=7;b[e>>0]=b[445259]|0;b[e+1>>0]=b[445260]|0;b[e+2>>0]=b[445261]|0;b[e+3>>0]=b[445262]|0;b[e+4>>0]=b[445263]|0;b[e+5>>0]=b[445264]|0;b[e+6>>0]=b[445265]|0;b[fi>>0]=0;Yw=sLa(c,r,e,t)|0;if((b[ei>>0]|0)<0)fuc(f[e>>2]|0);Vw=cEa(o,r)|0;f[Vw>>2]=Yw;SFa(e,f[(f[Fa>>2]|0)+4>>2]|0);TFa(a,o,c,e,Yw,0);if((b[gi>>0]|0)<0)fuc(f[e>>2]|0);Yw=cEa(k,r)|0;f[Yw>>2]=2}Yw=f[Yh>>2]|0;do if(Yw|0){Vw=Yw+12|0;Cx=f[Vw>>2]|0;f[Vw>>2]=Cx+-1;if((Cx|0)!=1)break;aU(i)}while(0);f[Yh>>2]=0;f[Qh>>2]=0;f[Qh+4>>2]=0;f[Qh+8>>2]=0;f[Qh+12>>2]=0;if((f[Rh>>2]|0)>0){Yw=f[Zh>>2]|0;Cx=0;do{f[Yw+(Cx<<2)>>2]=0;Cx=Cx+1|0}while((Cx|0)<(f[Rh>>2]|0))}Cx=f[_h>>2]|0;if((Cx|0)!=($h|0))TC(Cx);break c}else{oy=my;py=ny}while(0);if(((oy<<24>>24<0?py:oy&255)|0)==5){if(!(Puc(s,0,-1,399120,5)|0))break c;vy=b[Ia>>0]|0;wy=f[Pa>>2]|0}else{vy=oy;wy=py}do if(((vy<<24>>24<0?wy:vy&255)|0)==3){if(Puc(s,0,-1,415858,3)|0){xy=b[Ia>>0]|0;yy=f[Pa>>2]|0;break};f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;b[ii>>0]=5;b[i>>0]=b[461232]|0;b[i+1>>0]=b[461233]|0;b[i+2>>0]=b[461234]|0;b[i+3>>0]=b[461235]|0;b[i+4>>0]=b[461236]|0;b[ji>>0]=0;T5b(Sb);UFa(h,Tb);VFa(e,f[ki>>2]|0,i,0);Cx=(f[e>>2]|0)==0;WFa(h);if((b[ii>>0]|0)<0)fuc(f[i>>2]|0);if(!Cx){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[Oi>>0]=5;b[e>>0]=b[461232]|0;b[e+1>>0]=b[461233]|0;b[e+2>>0]=b[461234]|0;b[e+3>>0]=b[461235]|0;b[e+4>>0]=b[461236]|0;b[Pi>>0]=0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;b[Qi>>0]=5;b[i>>0]=b[461232]|0;b[i+1>>0]=b[461233]|0;b[i+2>>0]=b[461234]|0;b[i+3>>0]=b[461235]|0;b[i+4>>0]=b[461236]|0;b[Ri>>0]=0;T5b(Sb);Cx=XFa(Tb,i)|0;n[h>>2]=(f[Cx+20>>2]|0)==4?+n[Cx+8>>2]:0.0;jEa(t,e,h)|0;if((b[Qi>>0]|0)<0)fuc(f[i>>2]|0);if((b[Oi>>0]|0)<0)fuc(f[e>>2]|0)};f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;b[li>>0]=4;f[i>>2]=1635018082;b[mi>>0]=0;T5b(Sb);UFa(h,Tb);VFa(e,f[ni>>2]|0,i,0);Cx=(f[e>>2]|0)==0;WFa(h);if((b[li>>0]|0)<0)fuc(f[i>>2]|0);if(!Cx){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[Ki>>0]=4;f[e>>2]=1635018082;b[Li>>0]=0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;b[Mi>>0]=4;f[i>>2]=1635018082;b[Ni>>0]=0;T5b(Sb);Cx=XFa(Tb,i)|0;n[h>>2]=(f[Cx+20>>2]|0)==4?+n[Cx+8>>2]:0.0;jEa(t,e,h)|0;if((b[Mi>>0]|0)<0)fuc(f[i>>2]|0);if((b[Ki>>0]|0)<0)fuc(f[e>>2]|0)};f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;Cx=cuc(16)|0;f[i>>2]=Cx;f[oi>>2]=-2147483632;f[pi>>2]=12;Sw=Cx;vx=395925;Tw=Sw+12|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[Cx+12>>0]=0;T5b(Sb);UFa(h,Tb);VFa(e,f[qi>>2]|0,i,0);Yw=(f[e>>2]|0)==0;WFa(h);if((b[ri>>0]|0)<0)fuc(f[i>>2]|0);if(!Yw){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;Yw=cuc(16)|0;f[e>>2]=Yw;f[Fi>>2]=-2147483632;f[Gi>>2]=12;Sw=Yw;vx=395925;Tw=Sw+12|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[Yw+12>>0]=0;T5b(Sb);Cx=XFa(Tb,e)|0;Vw=(f[Cx+20>>2]|0)==3;Ww=f[Cx+8>>2]|0;if((b[Hi>>0]|0)<0)fuc(f[e>>2]|0);b[Ii>>0]=10;Sw=e;vx=461162;Tw=Sw+10|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[Ji>>0]=0;f[h>>2]=Vw?Ww<<1|1:1;xEa(t,e,h)|0;if((b[Ii>>0]|0)<0)fuc(f[e>>2]|0)};f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;b[si>>0]=4;f[i>>2]=1935763810;b[ti>>0]=0;T5b(Sb);UFa(h,Tb);VFa(e,f[ui>>2]|0,i,0);Yw=(f[e>>2]|0)==0;WFa(h);if((b[si>>0]|0)<0)fuc(f[i>>2]|0);if(!Yw){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[Bi>>0]=4;f[e>>2]=1935763810;b[Ci>>0]=0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;b[Di>>0]=4;f[i>>2]=1935763810;b[Ei>>0]=0;T5b(Sb);Yw=XFa(Tb,i)|0;n[h>>2]=(f[Yw+20>>2]|0)==4?+n[Yw+8>>2]:0.0;jEa(t,e,h)|0;if((b[Di>>0]|0)<0)fuc(f[i>>2]|0);if((b[Bi>>0]|0)<0)fuc(f[e>>2]|0)};f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;Yw=cuc(16)|0;f[e>>2]=Yw;f[vi>>2]=-2147483632;f[wi>>2]=12;Sw=Yw;vx=461238;Tw=Sw+12|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[Yw+12>>0]=0;b[h>>0]=0;zEa(t,e,h)|0;if((b[xi>>0]|0)<0)fuc(f[e>>2]|0);Ww=sw;f[Ww>>2]=0;f[Ww+4>>2]=0;b[yi>>0]=3;b[e>>0]=b[415858]|0;b[e+1>>0]=b[415859]|0;b[e+2>>0]=b[415860]|0;b[zi>>0]=0;Ww=sLa(c,r,e,t)|0;if((b[yi>>0]|0)<0)fuc(f[e>>2]|0);Vw=cEa(o,r)|0;f[Vw>>2]=Ww;SFa(e,f[(f[Fa>>2]|0)+4>>2]|0);Vw=f[Da>>2]|0;if((Vw|0)>0){Cx=0;do{TFa(a,o,c,e,Ww,Cx);Cx=Cx+1|0}while((Cx|0)!=(Vw|0))}if((b[Ai>>0]|0)<0)fuc(f[e>>2]|0);break c}else{xy=vy;yy=wy}while(0);do if(((xy<<24>>24<0?yy:xy&255)|0)==6){if(!(Puc(s,0,-1,445316,6)|0))break;zy=b[Ia>>0]|0;Ay=f[Pa>>2]|0;$w=1025}else{zy=xy;Ay=yy;$w=1025}while(0);do if(($w|0)==1025){$w=0;if(((zy<<24>>24<0?Ay:zy&255)|0)==8){if(!(Puc(s,0,-1,395938,8)|0))break;By=b[Ia>>0]|0;Cy=f[Pa>>2]|0}else{By=zy;Cy=Ay}do if(((By<<24>>24<0?Cy:By&255)|0)==7){if(Puc(s,0,-1,395975,7)|0){Dy=b[Ia>>0]|0;Ey=f[Pa>>2]|0;break};f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[bj>>0]=4;f[e>>2]=1819242352;b[cj>>0]=0;eGa(t,e,463157)|0;if((b[bj>>0]|0)<0)fuc(f[e>>2]|0);fGa(t,q);bGa(t,q);dGa(t,q);f[tw>>2]=0;b[dj>>0]=7;b[e>>0]=b[445413]|0;b[e+1>>0]=b[445414]|0;b[e+2>>0]=b[445415]|0;b[e+3>>0]=b[445416]|0;b[e+4>>0]=b[445417]|0;b[e+5>>0]=b[445418]|0;b[e+6>>0]=b[445419]|0;b[ej>>0]=0;Vw=sLa(c,r,e,t)|0;if((b[dj>>0]|0)<0)fuc(f[e>>2]|0);Cx=cEa(o,r)|0;f[Cx>>2]=Vw;SFa(e,f[(f[Fa>>2]|0)+4>>2]|0);Cx=f[Da>>2]|0;if((Cx|0)>0){Ww=0;do{TFa(a,o,c,e,Vw,Ww);Ww=Ww+1|0}while((Ww|0)!=(Cx|0))}if((b[fj>>0]|0)<0)fuc(f[e>>2]|0);break c}else{Dy=By;Ey=Cy}while(0);do if(((Dy<<24>>24<0?Ey:Dy&255)|0)==7){if(Puc(s,0,-1,395983,7)|0){Fy=b[Ia>>0]|0;Gy=f[Pa>>2]|0;break};f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[gj>>0]=4;f[e>>2]=1819242352;b[hj>>0]=0;eGa(t,e,463161)|0;if((b[gj>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;Cx=cuc(32)|0;f[e>>2]=Cx;f[ij>>2]=-2147483616;f[jj>>2]=20;Sw=Cx;vx=463373;Tw=Sw+20|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[Cx+20>>0]=0;b[h>>0]=0;zEa(t,e,h)|0;if((b[kj>>0]|0)<0)fuc(f[e>>2]|0);fGa(t,q);bGa(t,q);dGa(t,q);f[uw>>2]=0;b[lj>>0]=7;b[e>>0]=b[445413]|0;b[e+1>>0]=b[445414]|0;b[e+2>>0]=b[445415]|0;b[e+3>>0]=b[445416]|0;b[e+4>>0]=b[445417]|0;b[e+5>>0]=b[445418]|0;b[e+6>>0]=b[445419]|0;b[mj>>0]=0;Ww=sLa(c,r,e,t)|0;if((b[lj>>0]|0)<0)fuc(f[e>>2]|0);Vw=cEa(o,r)|0;f[Vw>>2]=Ww;SFa(e,f[(f[Fa>>2]|0)+4>>2]|0);Vw=f[Da>>2]|0;if((Vw|0)>0){Yw=0;do{TFa(a,o,c,e,Ww,Yw);Yw=Yw+1|0}while((Yw|0)!=(Vw|0))}if((b[nj>>0]|0)<0)fuc(f[e>>2]|0);break c}else{Fy=Dy;Gy=Ey}while(0);do if(((Fy<<24>>24<0?Gy:Fy&255)|0)==11){if(Puc(s,0,-1,395991,11)|0){Hy=b[Ia>>0]|0;Iy=f[Pa>>2]|0;break};f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;b[oj>>0]=5;b[i>>0]=b[396003]|0;b[i+1>>0]=b[396004]|0;b[i+2>>0]=b[396005]|0;b[i+3>>0]=b[396006]|0;b[i+4>>0]=b[396007]|0;b[pj>>0]=0;T5b(Sb);UFa(h,Tb);VFa(e,f[qj>>2]|0,i,0);Vw=(f[e>>2]|0)==0;WFa(h);if(Vw)Jy=1;else{f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[uj>>0]=5;b[e>>0]=b[396003]|0;b[e+1>>0]=b[396004]|0;b[e+2>>0]=b[396005]|0;b[e+3>>0]=b[396006]|0;b[e+4>>0]=b[396007]|0;b[vj>>0]=0;T5b(Sb);Vw=XFa(Tb,e)|0;Yw=(f[Vw+20>>2]|0)!=6?1:(f[Vw+8>>2]|0)!=10;if((b[uj>>0]|0)<0)fuc(f[e>>2]|0);Jy=Yw}if((b[oj>>0]|0)<0)fuc(f[i>>2]|0);if(!Jy)break c;Yw=f[rj>>2]|0;if((Yw|0)==(f[sj>>2]|0))fEa(tj,r);else{ouc(Yw,r);f[rj>>2]=(f[rj>>2]|0)+12}Yw=cEa(o,r)|0;f[Yw>>2]=0;break c}else{Hy=Fy;Iy=Gy}while(0);do if(((Hy<<24>>24<0?Iy:Hy&255)|0)==5){if(Puc(s,0,-1,415777,5)|0){Ky=b[Ia>>0]|0;Ly=f[Pa>>2]|0;break}if((f[Da>>2]|0)!=2){$w=1110;break b}f[wj>>2]=0;f[xj>>2]=0;f[S>>2]=yj;Yw=f[l>>2]|0;if((Yw|0)!=(xa|0)){Vw=Yw;while(1){Yw=Vw+16|0;f[h>>2]=Ej;f[e>>2]=f[h>>2];PFa(S,e,Yw,Yw)|0;Yw=f[Vw+4>>2]|0;do if(!Yw){Ww=Vw+8|0;Cx=f[Ww>>2]|0;if((f[Cx>>2]|0)==(Vw|0)){My=Cx;break}else Ny=Ww;do{Ww=f[Ny>>2]|0;Ny=Ww+8|0;Cx=f[Ny>>2]|0}while((f[Cx>>2]|0)!=(Ww|0));My=Cx}else{Cx=Yw;while(1){Ww=f[Cx>>2]|0;if(!Ww)break;else Cx=Ww}My=Cx}while(0);if((My|0)==(xa|0))break;else Vw=My}}Vw=(QFa(a,q,S,0,0)|0)+48|0;Yw=f[(f[Vw>>2]|0)+4>>2]|0;_Da(S,f[yj>>2]|0);f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;b[zj>>0]=4;f[h>>2]=1936291937;b[Aj>>0]=0;Vw=Yw+4|0;if(Vw>>>0>=8){$w=1119;break b}do if(Yw)if((Yw|0)>0){Oy=((Yw>>>0)%3|0)+1|0;break}else{Oy=((Vw>>>0)%3|0)+1|0;break}else Oy=0;while(0);f[i>>2]=Oy;xEa(t,h,i)|0;if((b[zj>>0]|0)<0)fuc(f[h>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[Bj>>0]=5;b[e>>0]=b[415771]|0;b[e+1>>0]=b[415772]|0;b[e+2>>0]=b[415773]|0;b[e+3>>0]=b[415774]|0;b[e+4>>0]=b[415775]|0;b[Cj>>0]=0;Vw=sLa(c,r,e,t)|0;if((b[Bj>>0]|0)<0)fuc(f[e>>2]|0);Yw=cEa(o,r)|0;f[Yw>>2]=Vw;SFa(e,f[(f[Fa>>2]|0)+8>>2]|0);TFa(a,o,c,e,Vw,0);if((b[Dj>>0]|0)<0)fuc(f[e>>2]|0);break c}else{Ky=Hy;Ly=Iy}while(0);do if(((Ky<<24>>24<0?Ly:Ky&255)|0)==5){if(Puc(s,0,-1,415771,5)|0){Py=b[Ia>>0]|0;Qy=f[Pa>>2]|0;break}if((f[Da>>2]|0)!=3){$w=1135;break b}f[Fj>>2]=0;f[Gj>>2]=0;f[T>>2]=Hj;Vw=f[l>>2]|0;if((Vw|0)!=(xa|0)){Yw=Vw;while(1){Vw=Yw+16|0;f[h>>2]=kk;f[e>>2]=f[h>>2];PFa(T,e,Vw,Vw)|0;Vw=f[Yw+4>>2]|0;do if(!Vw){Dx=Yw+8|0;Ww=f[Dx>>2]|0;if((f[Ww>>2]|0)==(Yw|0)){Ry=Ww;break}else Sy=Dx;do{Dx=f[Sy>>2]|0;Sy=Dx+8|0;Ww=f[Sy>>2]|0}while((f[Ww>>2]|0)!=(Dx|0));Ry=Ww}else{Cx=Vw;while(1){Ww=f[Cx>>2]|0;if(!Ww)break;else Cx=Ww}Ry=Cx}while(0);if((Ry|0)==(xa|0))break;else Yw=Ry}}CHa(i,QFa(a,q,T,1,0)|0);_Da(T,f[Hj>>2]|0);f[Ij>>2]=0;f[Jj>>2]=0;f[U>>2]=Kj;Yw=f[l>>2]|0;if((Yw|0)!=(xa|0)){Vw=Yw;while(1){Yw=Vw+16|0;f[h>>2]=jk;f[e>>2]=f[h>>2];PFa(U,e,Yw,Yw)|0;Yw=f[Vw+4>>2]|0;do if(!Yw){Ww=Vw+8|0;Dx=f[Ww>>2]|0;if((f[Dx>>2]|0)==(Vw|0)){Ty=Dx;break}else Uy=Ww;do{Ww=f[Uy>>2]|0;Uy=Ww+8|0;Dx=f[Uy>>2]|0}while((f[Dx>>2]|0)!=(Ww|0));Ty=Dx}else{Cx=Yw;while(1){Dx=f[Cx>>2]|0;if(!Dx)break;else Cx=Dx}Ty=Cx}while(0);if((Ty|0)==(xa|0))break;else Vw=Ty}}CHa(v,QFa(a,q,U,2,0)|0);_Da(U,f[Kj>>2]|0);if(!(f[Lj>>2]|0)){$w=1156;break b}Vw=f[Mj>>2]|0;Yw=(Vw|0)<3;if(Yw)Vy=Y(f[Oj>>2]|0,f[Nj>>2]|0)|0;else{Dx=f[hk>>2]|0;Ww=0;Uw=1;while(1){Bx=Y(f[Dx+(Ww<<2)>>2]|0,Uw)|0;Ww=Ww+1|0;if((Ww|0)==(Vw|0)){Vy=Bx;break}else Uw=Bx}}if((Vw|0)==0|(Vy|0)==0){$w=1156;break b}if(!(f[Pj>>2]|0)){$w=1163;break b}Uw=f[Qj>>2]|0;if((Uw|0)<3)Wy=Y(f[Sj>>2]|0,f[Rj>>2]|0)|0;else{Ww=f[ek>>2]|0;Dx=0;Bx=1;while(1){Ix=Y(f[Ww+(Dx<<2)>>2]|0,Bx)|0;Dx=Dx+1|0;if((Dx|0)==(Uw|0)){Wy=Ix;break}else Bx=Ix}}if((Uw|0)==0|(Wy|0)==0){$w=1163;break b}Xy=f[i>>2]&4095;if((Xy|0)!=4){$w=1165;break b}Yy=f[v>>2]&4095;if((Yy|0)!=4){$w=1167;break b}if(Yw)Zy=Y(f[Oj>>2]|0,f[Nj>>2]|0)|0;else{Bx=f[hk>>2]|0;Dx=0;Ww=1;while(1){Ix=Y(f[Bx+(Dx<<2)>>2]|0,Ww)|0;Dx=Dx+1|0;if((Dx|0)==(Vw|0)){Zy=Ix;break}else Ww=Ix}}do if((Zy|0)==4){puc(e,r,0,Ouc(r,58,-1)|0,r);Ww=NFa(k,e)|0;if((b[Tj>>0]|0)<0)fuc(f[e>>2]|0);if((Ww|0)==(ua|0))break;if(f[Ww+28>>2]|0)break;Ww=f[Lj>>2]|0;Vw=(f[Uj>>2]|0)+4|0;Dx=f[Vw>>2]|0;Bx=Ww+(Dx<<1)|0;Yw=Ww+(Dx*3|0)|0;Dx=f[Bx>>2]|0;f[Bx>>2]=f[Yw>>2];f[Yw>>2]=Dx;Dx=f[Vw>>2]|0;Vw=Ww+Dx|0;Yw=Ww+(Dx<<1)|0;Dx=f[Vw>>2]|0;f[Vw>>2]=f[Yw>>2];f[Yw>>2]=Dx;Dx=f[Pj>>2]|0;Yw=(f[Vj>>2]|0)+4|0;Vw=f[Yw>>2]|0;Ww=Dx+(Vw<<1)|0;Bx=Dx+(Vw*3|0)|0;Vw=f[Ww>>2]|0;f[Ww>>2]=f[Bx>>2];f[Bx>>2]=Vw;Vw=f[Yw>>2]|0;Yw=Dx+Vw|0;Bx=Dx+(Vw<<1)|0;Vw=f[Yw>>2]|0;f[Yw>>2]=f[Bx>>2];f[Bx>>2]=Vw}while(0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[Wj>>0]=5;b[e>>0]=b[469229]|0;b[e+1>>0]=b[469230]|0;b[e+2>>0]=b[469231]|0;b[e+3>>0]=b[469232]|0;b[e+4>>0]=b[469233]|0;b[Xj>>0]=0;Vw=f[Lj>>2]|0;Bx=f[Mj>>2]|0;if((Bx|0)<3)_y=Y(f[Oj>>2]|0,f[Nj>>2]|0)|0;else{Yw=f[hk>>2]|0;Dx=0;Ww=1;while(1){Uw=Y(f[Yw+(Dx<<2)>>2]|0,Ww)|0;Dx=Dx+1|0;if((Dx|0)==(Bx|0)){_y=Uw;break}else Ww=Uw}}Ww=cuc(16)|0;Bx=Ww+8|0;f[Ww>>2]=Bx;f[Ww+4>>2]=_y;if(_y>>>0>1){Dx=euc(_y>>>0>536870911?-1:_y<<3)|0;f[Ww>>2]=Dx;$y=Dx}else $y=Bx;f[h>>2]=0;f[Yj>>2]=Ww;if((_y|0)>0){Ww=Vw;Bx=0;while(1){Dx=f[Ww>>2]|0;Yw=$y+(Bx<<3)|0;f[Yw>>2]=Dx;f[Yw+4>>2]=((Dx|0)<0)<<31>>31;Bx=Bx+1|0;if((Bx|0)==(_y|0))break;else Ww=Ww+4|0}}wEa(t,e,h)|0;mEa(h);if((b[Wj>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[Zj>>0]=4;f[e>>2]=1702521203;b[_j>>0]=0;Ww=f[Pj>>2]|0;Bx=f[Qj>>2]|0;if((Bx|0)<3)az=Y(f[Sj>>2]|0,f[Rj>>2]|0)|0;else{Vw=f[ek>>2]|0;Dx=0;Yw=1;while(1){Uw=Y(f[Vw+(Dx<<2)>>2]|0,Yw)|0;Dx=Dx+1|0;if((Dx|0)==(Bx|0)){az=Uw;break}else Yw=Uw}}Yw=cuc(16)|0;Bx=Yw+8|0;f[Yw>>2]=Bx;f[Yw+4>>2]=az;if(az>>>0>1){Dx=euc(az>>>0>536870911?-1:az<<3)|0;f[Yw>>2]=Dx;bz=Dx}else bz=Bx;f[h>>2]=0;f[$j>>2]=Yw;if((az|0)>0){Yw=Ww;Bx=0;while(1){Dx=f[Yw>>2]|0;Vw=bz+(Bx<<3)|0;f[Vw>>2]=Dx;f[Vw+4>>2]=((Dx|0)<0)<<31>>31;Bx=Bx+1|0;if((Bx|0)==(az|0))break;else Yw=Yw+4|0}}wEa(t,e,h)|0;mEa(h);if((b[Zj>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[ak>>0]=5;b[e>>0]=b[415771]|0;b[e+1>>0]=b[415772]|0;b[e+2>>0]=b[415773]|0;b[e+3>>0]=b[415774]|0;b[e+4>>0]=b[415775]|0;b[bk>>0]=0;Yw=sLa(c,r,e,t)|0;if((b[ak>>0]|0)<0)fuc(f[e>>2]|0);Bx=cEa(o,r)|0;f[Bx>>2]=Yw;SFa(e,f[(f[Fa>>2]|0)+4>>2]|0);TFa(a,o,c,e,Yw,0);if((b[ck>>0]|0)<0)fuc(f[e>>2]|0);Yw=f[dk>>2]|0;do if(Yw|0){Bx=Yw+12|0;Ww=f[Bx>>2]|0;f[Bx>>2]=Ww+-1;if((Ww|0)!=1)break;aU(v)}while(0);f[dk>>2]=0;f[Pj>>2]=0;f[Pj+4>>2]=0;f[Pj+8>>2]=0;f[Pj+12>>2]=0;if((f[Qj>>2]|0)>0){Yw=f[ek>>2]|0;Ww=0;do{f[Yw+(Ww<<2)>>2]=0;Ww=Ww+1|0}while((Ww|0)<(f[Qj>>2]|0))}Ww=f[Vj>>2]|0;if((Ww|0)!=(fk|0))TC(Ww);Ww=f[gk>>2]|0;do if(Ww|0){Yw=Ww+12|0;Bx=f[Yw>>2]|0;f[Yw>>2]=Bx+-1;if((Bx|0)!=1)break;aU(i)}while(0);f[gk>>2]=0;f[Lj>>2]=0;f[Lj+4>>2]=0;f[Lj+8>>2]=0;f[Lj+12>>2]=0;if((f[Mj>>2]|0)>0){Ww=f[hk>>2]|0;Bx=0;do{f[Ww+(Bx<<2)>>2]=0;Bx=Bx+1|0}while((Bx|0)<(f[Mj>>2]|0))}Bx=f[Uj>>2]|0;if((Bx|0)!=(ik|0))TC(Bx);break c}else{Py=Ky;Qy=Ly}while(0);do if(((Py<<24>>24<0?Qy:Py&255)|0)==3){if(Puc(s,0,-1,399475,3)|0){cz=b[Ia>>0]|0;dz=f[Pa>>2]|0;break}Bx=0;Ww=f[Da>>2]|0;while(1){if((Bx|0)>=(Ww|0)){$w=1319;break}SFa(e,f[(f[Fa>>2]|0)+4+(Bx<<2)>>2]|0);Yw=(ZEa(l,e)|0)==(xa|0);if((b[lk>>0]|0)<0)fuc(f[e>>2]|0);Ww=f[Da>>2]|0;if(!Yw)break;else Bx=Bx+1|0}if(($w|0)==1319){$w=0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[gl>>0]=9;Sw=e;vx=456017;Tw=Sw+9|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[hl>>0]=0;hGa(t,e,456027)|0;if((b[gl>>0]|0)<0)fuc(f[e>>2]|0);f[xw>>2]=0;b[il>>0]=7;b[e>>0]=b[445212]|0;b[e+1>>0]=b[445213]|0;b[e+2>>0]=b[445214]|0;b[e+3>>0]=b[445215]|0;b[e+4>>0]=b[445216]|0;b[e+5>>0]=b[445217]|0;b[e+6>>0]=b[445218]|0;b[jl>>0]=0;Bx=sLa(c,r,e,t)|0;if((b[il>>0]|0)<0)fuc(f[e>>2]|0);Yw=cEa(o,r)|0;f[Yw>>2]=Bx;if((f[Da>>2]|0)>0)ez=0;else break c;while(1){SFa(e,f[(f[Fa>>2]|0)+4+(ez<<2)>>2]|0);if((ZEa(o,e)|0)==(qa|0)){$w=1325;break b}TFa(a,o,c,e,Bx,ez);if((b[kl>>0]|0)<0)fuc(f[e>>2]|0);ez=ez+1|0;if((ez|0)>=(f[Da>>2]|0))break c}}if((Ww|0)!=2){$w=1228;break b}f[mk>>2]=0;f[nk>>2]=0;f[V>>2]=ok;Bx=f[l>>2]|0;if((Bx|0)!=(xa|0)){Yw=Bx;while(1){Bx=Yw+16|0;f[h>>2]=fl;f[e>>2]=f[h>>2];PFa(V,e,Bx,Bx)|0;Bx=f[Yw+4>>2]|0;do if(!Bx){Dx=Yw+8|0;Vw=f[Dx>>2]|0;if((f[Vw>>2]|0)==(Yw|0)){fz=Vw;break}else gz=Dx;do{Dx=f[gz>>2]|0;gz=Dx+8|0;Vw=f[gz>>2]|0}while((f[Vw>>2]|0)!=(Dx|0));fz=Vw}else{Cx=Bx;while(1){Vw=f[Cx>>2]|0;if(!Vw)break;else Cx=Vw}fz=Cx}while(0);if((fz|0)==(xa|0))break;else Yw=fz}}CHa(i,QFa(a,q,V,-1,0)|0);_Da(V,f[ok>>2]|0);if((f[i>>2]&4095|0)!=5){$w=1237;break b}Yw=f[pk>>2]|0;if((Yw|0)<3)hz=Y(f[rk>>2]|0,f[qk>>2]|0)|0;else{Ww=f[Kk>>2]|0;Bx=0;Vw=1;while(1){Dx=Y(f[Ww+(Bx<<2)>>2]|0,Vw)|0;Bx=Bx+1|0;if((Bx|0)==(Yw|0)){hz=Dx;break}else Vw=Dx}}if((hz|0)==1){f[vw>>2]=0;b[sk>>0]=7;b[e>>0]=b[401005]|0;b[e+1>>0]=b[401006]|0;b[e+2>>0]=b[401007]|0;b[e+3>>0]=b[401008]|0;b[e+4>>0]=b[401009]|0;b[e+5>>0]=b[401010]|0;b[e+6>>0]=b[401011]|0;b[tk>>0]=0;OFa(h,ta,r,e);Vw=f[h>>2]|0;if((Vw|0)==(f[uk>>2]|0)){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[vk>>0]=5;b[e>>0]=b[458411]|0;b[e+1>>0]=b[458412]|0;b[e+2>>0]=b[458413]|0;b[e+3>>0]=b[458414]|0;b[e+4>>0]=b[458415]|0;b[wk>>0]=0;jEa(t,e,f[xk>>2]|0)|0;if((b[vk>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[yk>>0]=5;b[e>>0]=b[458405]|0;b[e+1>>0]=b[458406]|0;b[e+2>>0]=b[458407]|0;b[e+3>>0]=b[458408]|0;b[e+4>>0]=b[458409]|0;b[zk>>0]=0;Yw=sLa(c,r,e,t)|0;if((b[yk>>0]|0)<0)fuc(f[e>>2]|0);iz=Yw}else{Yw=f[Vw+12>>2]|0;Vw=f[(f[va>>2]|0)+4+(Yw<<2)>>2]|0;if((f[Vw+12>>2]|0)!=2){$w=1245;break b}Bx=f[(f[Vw+20>>2]|0)+4>>2]|0;Vw=b[Bx+11>>0]|0;Ww=Vw<<24>>24<0;Dx=Vw&255;Vw=Ww?f[Bx+4>>2]|0:Dx;Uw=b[Ak>>0]|0;Ix=Uw<<24>>24<0;f:do if((Vw|0)==((Ix?f[Bk>>2]|0:Uw&255)|0)){Xw=f[Bx>>2]|0;Aa=Ww?Xw:Bx;Jx=Ix?f[r>>2]|0:r;jz=(Vw|0)==0;if(Ww){if(jz){kz=1;break}kz=(ahc(Aa,Jx,Vw)|0)==0;break}if(jz){kz=1;break}if((Xw&255)<<24>>24==(b[Jx>>0]|0)){lz=Bx;mz=Dx;nz=Jx}else{kz=0;break}while(1){mz=mz+-1|0;lz=lz+1|0;if(!mz){kz=1;break f}nz=nz+1|0;if((b[lz>>0]|0)!=(b[nz>>0]|0)){kz=0;break}}}else kz=0;while(0);ZFa(ta,Yw,(kz^1)&1);Dx=f[h>>2]|0;hI(e,j,Dx,Dx);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;Dx=cuc(16)|0;f[e>>2]=Dx;f[Ck>>2]=-2147483632;f[Dk>>2]=14;Sw=Dx;vx=445655;Tw=Sw+14|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[Dx+14>>0]=0;jEa(t,e,f[xk>>2]|0)|0;if((b[Ek>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[Fk>>0]=4;f[e>>2]=1431070034;b[Gk>>0]=0;Yw=sLa(c,r,e,t)|0;if((b[Fk>>0]|0)<0)fuc(f[e>>2]|0);iz=Yw}Yw=f[h>>2]|0;if(Yw|0){Bx=f[uk>>2]|0;if((Bx|0)==(Yw|0))oz=Yw;else{Vw=Bx;while(1){Bx=Vw+-16|0;f[uk>>2]=Bx;if((b[Bx+11>>0]|0)<0){fuc(f[Bx>>2]|0);pz=f[uk>>2]|0}else pz=Bx;if((pz|0)==(Yw|0))break;else Vw=pz}oz=f[h>>2]|0}fuc(oz)}qz=iz}else{kt(Yb,1,i);Vw=ww;f[Vw>>2]=0;f[Vw+4>>2]=0;b[Ok>>0]=3;b[e>>0]=b[400694]|0;b[e+1>>0]=b[400695]|0;b[e+2>>0]=b[400696]|0;b[Pk>>0]=0;OFa(v,ta,r,e);if((f[v>>2]|0)!=(f[Qk>>2]|0)){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[_k>>0]=9;Sw=e;vx=466098;Tw=Sw+9|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[$k>>0]=0;b[h>>0]=1;zEa(t,e,h)|0;if((b[_k>>0]|0)<0)fuc(f[e>>2]|0);tJ(Yb,2);Vw=f[(f[v>>2]|0)+12>>2]|0;Yw=f[(f[va>>2]|0)+4+(Vw<<2)>>2]|0;f[al>>2]=0;f[bl>>2]=0;f[W>>2]=cl;Dx=f[l>>2]|0;if((Dx|0)!=(xa|0)){Bx=Dx;while(1){Dx=Bx+16|0;f[h>>2]=el;f[e>>2]=f[h>>2];PFa(W,e,Dx,Dx)|0;Dx=f[Bx+4>>2]|0;do if(!Dx){Ww=Bx+8|0;Ix=f[Ww>>2]|0;if((f[Ix>>2]|0)==(Bx|0)){rz=Ix;break}else sz=Ww;do{Ww=f[sz>>2]|0;sz=Ww+8|0;Ix=f[sz>>2]|0}while((f[Ix>>2]|0)!=(Ww|0));rz=Ix}else{Cx=Dx;while(1){Ix=f[Cx>>2]|0;if(!Ix)break;else Cx=Ix}rz=Cx}while(0);if((rz|0)==(xa|0))break;else Bx=rz}}Bx=QFa(a,Yw,W,-1,0)|0;YFa(Bx,(f[dl>>2]|0)+-56|0);_Da(W,f[cl>>2]|0);ZFa(ta,Vw,0);Bx=f[v>>2]|0;hI(e,j,Bx,Bx)};f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;b[Rk>>0]=4;f[w>>2]=1936291937;b[Sk>>0]=0;T5b(Sb);UFa(h,Tb);VFa(e,f[Tk>>2]|0,w,0);Bx=(f[e>>2]|0)==0;WFa(h);if((b[Rk>>0]|0)<0)fuc(f[w>>2]|0);if(!Bx){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[Wk>>0]=4;f[e>>2]=1936291937;b[Xk>>0]=0;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;b[Yk>>0]=4;f[w>>2]=1936291937;b[Zk>>0]=0;T5b(Sb);Bx=XFa(Tb,w)|0;Dx=(f[Bx+20>>2]|0)==3;Ix=Bx+8|0;Bx=Dx?f[Ix+4>>2]|0:0;Ww=h;f[Ww>>2]=Dx?f[Ix>>2]|0:0;f[Ww+4>>2]=Bx;gGa(t,e,h)|0;if((b[Yk>>0]|0)<0)fuc(f[w>>2]|0);if((b[Wk>>0]|0)<0)fuc(f[e>>2]|0)};f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[Uk>>0]=5;b[e>>0]=b[466801]|0;b[e+1>>0]=b[466802]|0;b[e+2>>0]=b[466803]|0;b[e+3>>0]=b[466804]|0;b[e+4>>0]=b[466805]|0;b[Vk>>0]=0;Bx=sLa(c,r,e,t)|0;if((b[Uk>>0]|0)<0)fuc(f[e>>2]|0);Ww=f[v>>2]|0;if(Ww|0){Ix=f[Qk>>2]|0;if((Ix|0)==(Ww|0))tz=Ww;else{Dx=Ix;while(1){Ix=Dx+-16|0;f[Qk>>2]=Ix;if((b[Ix+11>>0]|0)<0){fuc(f[Ix>>2]|0);uz=f[Qk>>2]|0}else uz=Ix;if((uz|0)==(Ww|0))break;else Dx=uz}tz=f[v>>2]|0}fuc(tz)}qz=Bx}Dx=cEa(o,r)|0;f[Dx>>2]=qz;SFa(e,f[(f[Fa>>2]|0)+4>>2]|0);if((ZEa(o,e)|0)==(qa|0)){SFa(h,f[(f[Fa>>2]|0)+8>>2]|0);TFa(a,o,c,h,qz,0);if((b[Hk>>0]|0)<0)fuc(f[h>>2]|0)}else{SFa(h,f[(f[Fa>>2]|0)+4>>2]|0);TFa(a,o,c,h,qz,0);if((b[Nk>>0]|0)<0)fuc(f[h>>2]|0)}if((b[Ik>>0]|0)<0)fuc(f[e>>2]|0);Dx=f[Jk>>2]|0;do if(Dx|0){Ww=Dx+12|0;Vw=f[Ww>>2]|0;f[Ww>>2]=Vw+-1;if((Vw|0)!=1)break;aU(i)}while(0);f[Jk>>2]=0;f[xk>>2]=0;f[xk+4>>2]=0;f[xk+8>>2]=0;f[xk+12>>2]=0;if((f[pk>>2]|0)>0){Dx=f[Kk>>2]|0;Bx=0;do{f[Dx+(Bx<<2)>>2]=0;Bx=Bx+1|0}while((Bx|0)<(f[pk>>2]|0))}Bx=f[Lk>>2]|0;if((Bx|0)!=(Mk|0))TC(Bx);break c}else{cz=Py;dz=Qy}while(0);do if(((cz<<24>>24<0?dz:cz&255)|0)==14){if(Puc(s,0,-1,402533,14)|0){vz=b[Ia>>0]|0;wz=f[Pa>>2]|0;break}if((f[Da>>2]|0)!=5){$w=1333;break b}SFa(i,f[(f[Fa>>2]|0)+4>>2]|0);f[v>>2]=0;f[v+4>>2]=0;f[v+8>>2]=0;Bx=cuc(16)|0;f[v>>2]=Bx;f[ll>>2]=-2147483632;f[ml>>2]=11;Sw=Bx;vx=396147;Tw=Sw+11|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[Bx+11>>0]=0;T5b(Sb);UFa(h,Tb);VFa(e,f[nl>>2]|0,v,0);Dx=(f[e>>2]|0)==0;WFa(h);if(Dx)xz=0;else{f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;Dx=cuc(16)|0;f[e>>2]=Dx;f[Km>>2]=-2147483632;f[Lm>>2]=11;Sw=Dx;vx=396147;Tw=Sw+11|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[Dx+11>>0]=0;T5b(Sb);Bx=XFa(Tb,e)|0;Vw=b[Bx+8>>0]|0?(f[Bx+20>>2]|0)==5:0;if((b[Mm>>0]|0)<0)fuc(f[e>>2]|0);xz=Vw}if((b[ol>>0]|0)<0)fuc(f[v>>2]|0);tJ(Yb,2);f[pl>>2]=0;f[ql>>2]=0;f[X>>2]=rl;Vw=f[l>>2]|0;if((Vw|0)!=(xa|0)){Bx=Vw;while(1){Vw=Bx+16|0;f[h>>2]=Jm;f[e>>2]=f[h>>2];PFa(X,e,Vw,Vw)|0;Vw=f[Bx+4>>2]|0;do if(!Vw){Ww=Bx+8|0;Yw=f[Ww>>2]|0;if((f[Yw>>2]|0)==(Bx|0)){yz=Yw;break}else zz=Ww;do{Ww=f[zz>>2]|0;zz=Ww+8|0;Yw=f[zz>>2]|0}while((f[Yw>>2]|0)!=(Ww|0));yz=Yw}else{Cx=Vw;while(1){Yw=f[Cx>>2]|0;if(!Yw)break;else Cx=Yw}yz=Cx}while(0);if((yz|0)==(xa|0))break;else Bx=yz}}Bx=QFa(a,q,X,1,0)|0;_Da(X,f[rl>>2]|0);Dx=f[Bx+152>>2]|0;Vw=b[Dx+11>>0]|0;if(Vw<<24>>24<0)Az=f[Dx+4>>2]|0;else Az=Vw&255;if(!Az){b[sl>>0]=10;Sw=e;vx=464450;Tw=Sw+10|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[tl>>0]=0;b[h>>0]=0;zEa(t,e,h)|0;if((b[sl>>0]|0)<0)fuc(f[e>>2]|0)}else{tJ(Yb,(((f[dl>>2]|0)-(f[Yb>>2]|0)|0)/56|0)+1|0);b[Hm>>0]=10;Sw=e;vx=464450;Tw=Sw+10|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[Im>>0]=0;b[h>>0]=1;zEa(t,e,h)|0;if((b[Hm>>0]|0)<0)fuc(f[e>>2]|0);YFa(Bx,(f[dl>>2]|0)+-56|0)}f[ul>>2]=0;f[vl>>2]=0;f[Z>>2]=wl;Vw=f[l>>2]|0;if((Vw|0)!=(xa|0)){Dx=Vw;while(1){Vw=Dx+16|0;f[h>>2]=Gm;f[e>>2]=f[h>>2];PFa(Z,e,Vw,Vw)|0;Vw=f[Dx+4>>2]|0;do if(!Vw){Yw=Dx+8|0;Ww=f[Yw>>2]|0;if((f[Ww>>2]|0)==(Dx|0)){Bz=Ww;break}else Cz=Yw;do{Yw=f[Cz>>2]|0;Cz=Yw+8|0;Ww=f[Cz>>2]|0}while((f[Ww>>2]|0)!=(Yw|0));Bz=Ww}else{Cx=Vw;while(1){Ww=f[Cx>>2]|0;if(!Ww)break;else Cx=Ww}Bz=Cx}while(0);if((Bz|0)==(xa|0))break;else Dx=Bz}}Dx=QFa(a,q,Z,2,0)|0;_Da(Z,f[wl>>2]|0);Bx=f[Dx+152>>2]|0;Vw=b[Bx+11>>0]|0;if(Vw<<24>>24<0)Dz=f[Bx+4>>2]|0;else Dz=Vw&255;if(!Dz){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[xl>>0]=8;Vw=e;f[Vw>>2]=1601397096;f[Vw+4>>2]=1935763810;b[yl>>0]=0;b[h>>0]=0;zEa(t,e,h)|0;if((b[xl>>0]|0)<0)fuc(f[e>>2]|0)}else{tJ(Yb,(((f[dl>>2]|0)-(f[Yb>>2]|0)|0)/56|0)+1|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[Em>>0]=8;Vw=e;f[Vw>>2]=1601397096;f[Vw+4>>2]=1935763810;b[Fm>>0]=0;b[h>>0]=1;zEa(t,e,h)|0;if((b[Em>>0]|0)<0)fuc(f[e>>2]|0);YFa(Dx,(f[dl>>2]|0)+-56|0)}f[v>>2]=1124007936;Sw=zl;Tw=Sw+36|0;do{f[Sw>>2]=0;Sw=Sw+4|0}while((Sw|0)<(Tw|0));f[Bl>>2]=Al;f[Dl>>2]=Cl;f[Cl>>2]=0;f[El>>2]=0;f[w>>2]=1124007936;Sw=Fl;Tw=Sw+36|0;do{f[Sw>>2]=0;Sw=Sw+4|0}while((Sw|0)<(Tw|0));f[Hl>>2]=Gl;f[Jl>>2]=Il;f[Il>>2]=0;f[Kl>>2]=0;if(xz){Dx=f[Yb>>2]|0;Vw=Dx;if(((f[dl>>2]|0)-Dx|0)==112){$w=1376;break b}Dx=f[Vw+172>>2]|0;if((Dx|0)<3)Ez=Y(f[Vw+180>>2]|0,f[Vw+176>>2]|0)|0;else{Bx=f[Vw+208>>2]|0;Vw=0;Ww=1;while(1){Yw=Y(f[Bx+(Vw<<2)>>2]|0,Ww)|0;Vw=Vw+1|0;if((Vw|0)==(Dx|0)){Ez=Yw;break}else Ww=Yw}}wT(e,1,Ez,5);Ww=f[e>>2]|0;sh[f[(f[Ww>>2]|0)+12>>2]&255](Ww,e,v,-1);Xi(e);Ww=f[Yb>>2]|0;Dx=f[Ww+172>>2]|0;if((Dx|0)<3)Fz=Y(f[Ww+180>>2]|0,f[Ww+176>>2]|0)|0;else{Vw=f[Ww+208>>2]|0;Ww=0;Bx=1;while(1){Yw=Y(f[Vw+(Ww<<2)>>2]|0,Bx)|0;Ww=Ww+1|0;if((Ww|0)==(Dx|0)){Fz=Yw;break}else Bx=Yw}}zT(e,1,Fz,5);Bx=f[e>>2]|0;sh[f[(f[Bx>>2]|0)+12>>2]&255](Bx,e,w,-1);Xi(e);f[Ll>>2]=0;f[Ml>>2]=0;f[e>>2]=Nl;Sw=Ol;Tw=Sw+36|0;do{f[Sw>>2]=0;Sw=Sw+4|0}while((Sw|0)<(Tw|0));RE(h,r,396228);if((ZEa(o,h)|0)!=(qa|0)){$w=1386;break b}Bx=yw;f[Bx>>2]=0;f[Bx+4>>2]=0;b[Pl>>0]=3;b[x>>0]=b[415875]|0;b[x+1>>0]=b[415876]|0;b[x+2>>0]=b[415877]|0;b[Ql>>0]=0;Bx=sLa(c,h,x,e)|0;if((b[Pl>>0]|0)<0)fuc(f[x>>2]|0);Dx=cEa(o,h)|0;f[Dx>>2]=Bx;TFa(a,o,c,i,Bx,0);ouc(x,h);f[Rl>>2]=0;if((b[Sl>>0]|0)<0){b[f[i>>2]>>0]=0;f[Tl>>2]=0}else{b[i>>0]=0;b[Sl>>0]=0}vuc(i,0);f[i>>2]=f[x>>2];f[i+4>>2]=f[x+4>>2];f[i+8>>2]=f[x+8>>2];f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;f[Ul>>2]=f[Rl>>2];if((b[Vl>>0]|0)<0)fuc(f[h>>2]|0);if((b[Xl>>0]|0)<0)fuc(f[Wl>>2]|0);if((b[Zl>>0]|0)<0)fuc(f[Yl>>2]|0);ut(_l);lEa(e,f[Nl>>2]|0)}else{f[wm>>2]=0;f[xm>>2]=0;f[_>>2]=ym;Bx=f[l>>2]|0;if((Bx|0)!=(xa|0)){Dx=Bx;while(1){Bx=Dx+16|0;f[h>>2]=Dm;f[e>>2]=f[h>>2];PFa(_,e,Bx,Bx)|0;Bx=f[Dx+4>>2]|0;do if(!Bx){Ww=Dx+8|0;Vw=f[Ww>>2]|0;if((f[Vw>>2]|0)==(Dx|0)){Gz=Vw;break}else Hz=Ww;do{Ww=f[Hz>>2]|0;Hz=Ww+8|0;Vw=f[Hz>>2]|0}while((f[Vw>>2]|0)!=(Ww|0));Gz=Vw}else{Cx=Bx;while(1){Vw=f[Cx>>2]|0;if(!Vw)break;else Cx=Vw}Gz=Cx}while(0);if((Gz|0)==(xa|0))break;else Dx=Gz}}YFa(QFa(a,q,_,3,0)|0,v);_Da(_,f[ym>>2]|0);f[zm>>2]=0;f[Am>>2]=0;f[$>>2]=Bm;Dx=f[l>>2]|0;if((Dx|0)!=(xa|0)){Bx=Dx;while(1){Dx=Bx+16|0;f[h>>2]=Cm;f[e>>2]=f[h>>2];PFa($,e,Dx,Dx)|0;Dx=f[Bx+4>>2]|0;do if(!Dx){Vw=Bx+8|0;Ww=f[Vw>>2]|0;if((f[Ww>>2]|0)==(Bx|0)){Iz=Ww;break}else Jz=Vw;do{Vw=f[Jz>>2]|0;Jz=Vw+8|0;Ww=f[Jz>>2]|0}while((f[Ww>>2]|0)!=(Vw|0));Iz=Ww}else{Cx=Dx;while(1){Ww=f[Cx>>2]|0;if(!Ww)break;else Cx=Ww}Iz=Cx}while(0);if((Iz|0)==(xa|0))break;else Bx=Iz}}YFa(QFa(a,q,$,4,0)|0,w);_Da($,f[Bm>>2]|0)}Bx=f[Yb>>2]|0;if((Bx|0)==(v|0))Kz=v;else{Dx=f[gm>>2]|0;if(Dx|0){Ww=Dx+12|0;f[Ww>>2]=(f[Ww>>2]|0)+1}Ww=Bx+36|0;Dx=f[Ww>>2]|0;do if(Dx|0){Vw=Dx+12|0;Yw=f[Vw>>2]|0;f[Vw>>2]=Yw+-1;if((Yw|0)!=1)break;aU(Bx)}while(0);f[Ww>>2]=0;Dx=Bx+16|0;Yw=Bx+4|0;f[Dx>>2]=0;f[Dx+4>>2]=0;f[Dx+8>>2]=0;f[Dx+12>>2]=0;if((f[Yw>>2]|0)>0){Vw=f[Bx+40>>2]|0;Ix=0;do{f[Vw+(Ix<<2)>>2]=0;Ix=Ix+1|0;Lz=f[Yw>>2]|0}while((Ix|0)<(Lz|0));f[Bx>>2]=f[v>>2];if((Lz|0)<3)$w=1425;else $w=1427}else{f[Bx>>2]=f[v>>2];$w=1425}do if(($w|0)==1425){$w=0;Ix=f[zl>>2]|0;if((Ix|0)>=3){$w=1427;break}f[Yw>>2]=Ix;f[Bx+8>>2]=f[Al>>2];f[Bx+12>>2]=f[rm>>2];Ix=f[Dl>>2]|0;Vw=f[Bx+44>>2]|0;f[Vw>>2]=f[Ix>>2];f[Vw+4>>2]=f[Ix+4>>2]}while(0);if(($w|0)==1427){$w=0;$T(Bx,v)}f[Dx>>2]=f[hm>>2];f[Bx+20>>2]=f[sm>>2];f[Bx+24>>2]=f[tm>>2];f[Bx+28>>2]=f[um>>2];f[Bx+32>>2]=f[vm>>2];f[Ww>>2]=f[gm>>2];Kz=f[Yb>>2]|0}Yw=Kz+56|0;if((Yw|0)!=(w|0)){Ix=f[em>>2]|0;if(Ix|0){Vw=Ix+12|0;f[Vw>>2]=(f[Vw>>2]|0)+1}Vw=Kz+92|0;Ix=f[Vw>>2]|0;do if(Ix|0){Uw=Ix+12|0;Jx=f[Uw>>2]|0;f[Uw>>2]=Jx+-1;if((Jx|0)!=1)break;aU(Yw)}while(0);f[Vw>>2]=0;Ix=Kz+72|0;Ww=Kz+60|0;f[Ix>>2]=0;f[Ix+4>>2]=0;f[Ix+8>>2]=0;f[Ix+12>>2]=0;if((f[Ww>>2]|0)>0){Bx=f[Kz+96>>2]|0;Dx=0;do{f[Bx+(Dx<<2)>>2]=0;Dx=Dx+1|0;Mz=f[Ww>>2]|0}while((Dx|0)<(Mz|0));f[Yw>>2]=f[w>>2];if((Mz|0)<3)$w=1440;else $w=1442}else{f[Yw>>2]=f[w>>2];$w=1440}do if(($w|0)==1440){$w=0;Dx=f[Fl>>2]|0;if((Dx|0)>=3){$w=1442;break}f[Ww>>2]=Dx;f[Kz+64>>2]=f[Gl>>2];f[Kz+68>>2]=f[mm>>2];Dx=f[Jl>>2]|0;Bx=f[Kz+100>>2]|0;f[Bx>>2]=f[Dx>>2];f[Bx+4>>2]=f[Dx+4>>2]}while(0);if(($w|0)==1442){$w=0;$T(Yw,w)}f[Ix>>2]=f[fm>>2];f[Kz+76>>2]=f[nm>>2];f[Kz+80>>2]=f[om>>2];f[Kz+84>>2]=f[pm>>2];f[Kz+88>>2]=f[qm>>2];f[Vw>>2]=f[em>>2]}f[zw>>2]=0;b[$l>>0]=7;b[x>>0]=b[402548]|0;b[x+1>>0]=b[402549]|0;b[x+2>>0]=b[402550]|0;b[x+3>>0]=b[402551]|0;b[x+4>>0]=b[402552]|0;b[x+5>>0]=b[402553]|0;b[x+6>>0]=b[402554]|0;b[am>>0]=0;T5b(Sb);UFa(h,Tb);VFa(e,f[bm>>2]|0,x,0);Ww=(f[e>>2]|0)==0;WFa(h);if((b[$l>>0]|0)<0)fuc(f[x>>2]|0);if(!Ww){Ww=Aw;f[Ww>>2]=0;f[Ww+4>>2]=0;b[im>>0]=3;b[e>>0]=b[465409]|0;b[e+1>>0]=b[465410]|0;b[e+2>>0]=b[465411]|0;b[jm>>0]=0;f[Bw>>2]=0;b[km>>0]=7;b[x>>0]=b[402548]|0;b[x+1>>0]=b[402549]|0;b[x+2>>0]=b[402550]|0;b[x+3>>0]=b[402551]|0;b[x+4>>0]=b[402552]|0;b[x+5>>0]=b[402553]|0;b[x+6>>0]=b[402554]|0;b[lm>>0]=0;T5b(Sb);Ww=XFa(Tb,x)|0;n[h>>2]=(f[Ww+20>>2]|0)==4?+n[Ww+8>>2]:0.0;jEa(t,e,h)|0;if((b[km>>0]|0)<0)fuc(f[x>>2]|0);if((b[im>>0]|0)<0)fuc(f[e>>2]|0)};f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[cm>>0]=9;Sw=e;vx=445463;Tw=Sw+9|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[dm>>0]=0;Vw=sLa(c,r,e,t)|0;if((b[cm>>0]|0)<0)fuc(f[e>>2]|0);Ix=cEa(o,r)|0;f[Ix>>2]=Vw;TFa(a,o,c,i,Vw,0);Vw=f[em>>2]|0;do if(Vw|0){Ix=Vw+12|0;Yw=f[Ix>>2]|0;f[Ix>>2]=Yw+-1;if((Yw|0)!=1)break;aU(w)}while(0);f[em>>2]=0;f[fm>>2]=0;f[fm+4>>2]=0;f[fm+8>>2]=0;f[fm+12>>2]=0;if((f[Fl>>2]|0)>0){Vw=f[Hl>>2]|0;Yw=0;do{f[Vw+(Yw<<2)>>2]=0;Yw=Yw+1|0}while((Yw|0)<(f[Fl>>2]|0))}Yw=f[Jl>>2]|0;if((Yw|0)!=(Il|0))TC(Yw);Yw=f[gm>>2]|0;do if(Yw|0){Vw=Yw+12|0;Ix=f[Vw>>2]|0;f[Vw>>2]=Ix+-1;if((Ix|0)!=1)break;aU(v)}while(0);f[gm>>2]=0;f[hm>>2]=0;f[hm+4>>2]=0;f[hm+8>>2]=0;f[hm+12>>2]=0;if((f[zl>>2]|0)>0){Yw=f[Bl>>2]|0;Ix=0;do{f[Yw+(Ix<<2)>>2]=0;Ix=Ix+1|0}while((Ix|0)<(f[zl>>2]|0))}Ix=f[Dl>>2]|0;if((Ix|0)!=(Cl|0))TC(Ix);if((b[Sl>>0]|0)<0)fuc(f[i>>2]|0);break c}else{vz=cz;wz=dz}while(0);do if(((vz<<24>>24<0?wz:vz&255)|0)==19){if(Puc(s,0,-1,400347,19)|0){Nz=b[Ia>>0]|0;Oz=f[Pa>>2]|0;break}if((f[Da>>2]|0)!=3){$w=1477;break b};f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[Nm>>0]=9;Sw=e;vx=466098;Tw=Sw+9|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[Om>>0]=0;b[h>>0]=0;zEa(t,e,h)|0;if((b[Nm>>0]|0)<0)fuc(f[e>>2]|0);tJ(Yb,1);f[Cw>>2]=0;b[Pm>>0]=7;b[e>>0]=b[395516]|0;b[e+1>>0]=b[395517]|0;b[e+2>>0]=b[395518]|0;b[e+3>>0]=b[395519]|0;b[e+4>>0]=b[395520]|0;b[e+5>>0]=b[395521]|0;b[e+6>>0]=b[395522]|0;b[Qm>>0]=0;OFa(i,ta,r,e);if(((f[Rm>>2]|0)-(f[i>>2]|0)|0)==16){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[Sm>>0]=9;Sw=e;vx=466098;Tw=Sw+9|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[Tm>>0]=0;b[h>>0]=1;zEa(t,e,h)|0;if((b[Sm>>0]|0)<0)fuc(f[e>>2]|0);tJ(Yb,2);Ix=f[(f[i>>2]|0)+12>>2]|0;Yw=f[(f[va>>2]|0)+4+(Ix<<2)>>2]|0;f[Um>>2]=0;f[Vm>>2]=0;f[aa>>2]=Wm;Vw=f[l>>2]|0;if((Vw|0)!=(xa|0)){Ww=Vw;while(1){Vw=Ww+16|0;f[h>>2]=Xm;f[e>>2]=f[h>>2];PFa(aa,e,Vw,Vw)|0;Vw=f[Ww+4>>2]|0;do if(!Vw){Dx=Ww+8|0;Bx=f[Dx>>2]|0;if((f[Bx>>2]|0)==(Ww|0)){Pz=Bx;break}else Qz=Dx;do{Dx=f[Qz>>2]|0;Qz=Dx+8|0;Bx=f[Qz>>2]|0}while((f[Bx>>2]|0)!=(Dx|0));Pz=Bx}else{Cx=Vw;while(1){Bx=f[Cx>>2]|0;if(!Bx)break;else Cx=Bx}Pz=Cx}while(0);if((Pz|0)==(xa|0))break;else Ww=Pz}}Ww=QFa(a,Yw,aa,-1,0)|0;YFa(Ww,(f[Yb>>2]|0)+56|0);_Da(aa,f[Wm>>2]|0);ZFa(ta,Ix,0);Ww=f[i>>2]|0;hI(e,j,Ww,Ww)}f[Ym>>2]=0;f[Zm>>2]=0;f[ba>>2]=_m;Ww=f[l>>2]|0;if((Ww|0)!=(xa|0)){Vw=Ww;while(1){Ww=Vw+16|0;f[h>>2]=Pn;f[e>>2]=f[h>>2];PFa(ba,e,Ww,Ww)|0;Ww=f[Vw+4>>2]|0;do if(!Ww){Bx=Vw+8|0;Dx=f[Bx>>2]|0;if((f[Dx>>2]|0)==(Vw|0)){Rz=Dx;break}else Sz=Bx;do{Bx=f[Sz>>2]|0;Sz=Bx+8|0;Dx=f[Sz>>2]|0}while((f[Dx>>2]|0)!=(Bx|0));Rz=Dx}else{Cx=Ww;while(1){Dx=f[Cx>>2]|0;if(!Dx)break;else Cx=Dx}Rz=Cx}while(0);if((Rz|0)==(xa|0))break;else Vw=Rz}}Vw=QFa(a,q,ba,1,0)|0;$Fa(Vw,f[Yb>>2]|0);_Da(ba,f[_m>>2]|0);Vw=f[(f[Yb>>2]|0)+40>>2]|0;f[v>>2]=f[Vw+8>>2];f[w>>2]=f[Vw+12>>2];f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[$m>>0]=8;Ix=e;f[Ix>>2]=1852990827;f[Ix+4>>2]=1751084133;b[an>>0]=0;xEa(t,e,v)|0;if((b[$m>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[bn>>0]=8;Ix=e;f[Ix>>2]=1852990827;f[Ix+4>>2]=2002742373;b[cn>>0]=0;xEa(t,e,w)|0;if((b[bn>>0]|0)<0)fuc(f[e>>2]|0);b[dn>>0]=10;Sw=e;vx=473888;Tw=Sw+10|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[en>>0]=0;xEa(t,e,Vw+4|0)|0;if((b[dn>>0]|0)<0)fuc(f[e>>2]|0);bGa(t,q);dGa(t,q);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[fn>>0]=8;Ix=e;f[Ix>>2]=1769108595;f[Ix+4>>2]=1751082340;b[gn>>0]=0;Ix=hEa(iGa(t,e)|0,-1)|0;if((b[fn>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[hn>>0]=8;Yw=e;f[Yw>>2]=1769108595;f[Yw+4>>2]=2002740580;b[jn>>0]=0;Yw=hEa(iGa(t,e)|0,-1)|0;if((b[hn>>0]|0)<0)fuc(f[e>>2]|0);f[kn>>2]=0;f[ln>>2]=0;f[ca>>2]=mn;Ww=f[l>>2]|0;if((Ww|0)!=(xa|0)){Dx=Ww;while(1){Ww=Dx+16|0;f[h>>2]=On;f[e>>2]=f[h>>2];PFa(ca,e,Ww,Ww)|0;Ww=f[Dx+4>>2]|0;do if(!Ww){Bx=Dx+8|0;Jx=f[Bx>>2]|0;if((f[Jx>>2]|0)==(Dx|0)){Tz=Jx;break}else Uz=Bx;do{Bx=f[Uz>>2]|0;Uz=Bx+8|0;Jx=f[Uz>>2]|0}while((f[Jx>>2]|0)!=(Bx|0));Tz=Jx}else{Cx=Ww;while(1){Jx=f[Cx>>2]|0;if(!Jx)break;else Cx=Jx}Tz=Cx}while(0);if((Tz|0)==(xa|0))break;else Dx=Tz}}CHa(x,QFa(a,q,ca,0,0)|0);_Da(ca,f[mn>>2]|0);Dx=f[nn>>2]|0;do if(!(f[x>>2]&16384)){Vw=f[on>>2]|0;do if((f[Vw>>2]|0)!=1){Ww=f[f[pn>>2]>>2]|0;if((f[Vw+4>>2]|0)==1){Vz=Dx+Ww|0;break}else{Jx=f[qn>>2]|0;Bx=(Jx+1|0)>>>0<3?Jx:0;Vz=Dx+(Y(Bx,Ww)|0)+(1-(Y(Bx,Jx)|0)<<2)|0;break}}else Vz=Dx+4|0;while(0);Vw=f[Vz>>2]|0;Jx=f[on>>2]|0;if((f[Jx>>2]|0)==1){Wz=Vw;$w=1523;break}Bx=f[f[pn>>2]>>2]|0;if((f[Jx+4>>2]|0)==1){Xz=Dx+(Bx<<1)|0;Yz=Vw;break}else{Jx=f[qn>>2]|0;Ww=2/(Jx|0)|0;Xz=Dx+(Y(Ww,Bx)|0)+(2-(Y(Ww,Jx)|0)<<2)|0;Yz=Vw;break}}else{Wz=f[Dx+4>>2]|0;$w=1523}while(0);if(($w|0)==1523){$w=0;Xz=Dx+8|0;Yz=Wz}Vw=f[Xz>>2]|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;b[rn>>0]=8;Jx=h;f[Jx>>2]=1600414064;f[Jx+4>>2]=1701080941;b[sn>>0]=0;jGa(e,iGa(t,h)|0,-1);Jx=b[tn>>0]|0;if(((Jx<<24>>24<0?f[un>>2]|0:Jx&255)|0)==4){Ww=(Puc(e,0,-1,474251,4)|0)==0;Zz=Ww;_z=b[tn>>0]|0}else{Zz=0;_z=Jx}if(_z<<24>>24<0)fuc(f[e>>2]|0);if((b[rn>>0]|0)<0)fuc(f[h>>2]|0);do if(Zz){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[vn>>0]=5;b[e>>0]=b[473905]|0;b[e+1>>0]=b[473906]|0;b[e+2>>0]=b[473907]|0;b[e+3>>0]=b[473908]|0;b[e+4>>0]=b[473909]|0;b[wn>>0]=0;f[h>>2]=(Vw+-1|0)%(Yw|0)|0;xEa(t,e,h)|0;if((b[vn>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[xn>>0]=5;b[e>>0]=b[473899]|0;b[e+1>>0]=b[473900]|0;b[e+2>>0]=b[473901]|0;b[e+3>>0]=b[473902]|0;b[e+4>>0]=b[473903]|0;b[yn>>0]=0;f[h>>2]=(Yz+-1|0)%(Ix|0)|0;xEa(t,e,h)|0;if((b[xn>>0]|0)<0)fuc(f[e>>2]|0)}else{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;b[Gn>>0]=8;Jx=h;f[Jx>>2]=1600414064;f[Jx+4>>2]=1701080941;b[Hn>>0]=0;jGa(e,iGa(t,h)|0,-1);Jx=b[In>>0]|0;if(((Jx<<24>>24<0?f[Jn>>2]|0:Jx&255)|0)==5){Ww=(Puc(e,0,-1,474245,5)|0)==0;$z=Ww;aA=b[In>>0]|0}else{$z=0;aA=Jx}if(aA<<24>>24<0)fuc(f[e>>2]|0);if((b[Gn>>0]|0)<0)fuc(f[h>>2]|0);if(!$z)break;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[Kn>>0]=5;b[e>>0]=b[473905]|0;b[e+1>>0]=b[473906]|0;b[e+2>>0]=b[473907]|0;b[e+3>>0]=b[473908]|0;b[e+4>>0]=b[473909]|0;b[Ln>>0]=0;f[h>>2]=(Vw-(f[w>>2]|0)|0)%(Yw|0)|0;xEa(t,e,h)|0;if((b[Kn>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[Mn>>0]=5;b[e>>0]=b[473899]|0;b[e+1>>0]=b[473900]|0;b[e+2>>0]=b[473901]|0;b[e+3>>0]=b[473902]|0;b[e+4>>0]=b[473903]|0;b[Nn>>0]=0;f[h>>2]=(Yz-(f[v>>2]|0)|0)%(Ix|0)|0;xEa(t,e,h)|0;if((b[Mn>>0]|0)<0)fuc(f[e>>2]|0)}while(0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;Ix=cuc(16)|0;f[e>>2]=Ix;f[zn>>2]=-2147483632;f[An>>2]=13;Sw=Ix;vx=415820;Tw=Sw+13|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[Ix+13>>0]=0;Yw=sLa(c,r,e,t)|0;if((b[Bn>>0]|0)<0)fuc(f[e>>2]|0);Vw=cEa(o,r)|0;f[Vw>>2]=Yw;SFa(e,f[(f[Fa>>2]|0)+12>>2]|0);TFa(a,o,c,e,Yw,0);if((b[Cn>>0]|0)<0)fuc(f[e>>2]|0);Yw=f[Dn>>2]|0;do if(Yw|0){Vw=Yw+12|0;Dx=f[Vw>>2]|0;f[Vw>>2]=Dx+-1;if((Dx|0)!=1)break;aU(x)}while(0);f[Dn>>2]=0;f[nn>>2]=0;f[nn+4>>2]=0;f[nn+8>>2]=0;f[nn+12>>2]=0;if((f[En>>2]|0)>0){Yw=f[on>>2]|0;Ix=0;do{f[Yw+(Ix<<2)>>2]=0;Ix=Ix+1|0}while((Ix|0)<(f[En>>2]|0))}Ix=f[pn>>2]|0;if((Ix|0)!=(Fn|0))TC(Ix);Ix=f[i>>2]|0;if(Ix|0){Yw=f[Rm>>2]|0;if((Yw|0)==(Ix|0))bA=Ix;else{Dx=Yw;while(1){Yw=Dx+-16|0;f[Rm>>2]=Yw;if((b[Yw+11>>0]|0)<0){fuc(f[Yw>>2]|0);cA=f[Rm>>2]|0}else cA=Yw;if((cA|0)==(Ix|0))break;else Dx=cA}bA=f[i>>2]|0}fuc(bA)}break c}else{Nz=vz;Oz=wz}while(0);do if(((Nz<<24>>24<0?Oz:Nz&255)|0)==9){if(Puc(s,0,-1,396321,9)|0){dA=b[Ia>>0]|0;eA=f[Pa>>2]|0;break}if((f[Da>>2]|0)!=9){$w=1575;break b};f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;Dx=cuc(16)|0;f[i>>2]=Dx;f[Qn>>2]=-2147483632;f[Rn>>2]=11;Sw=Dx;vx=475219;Tw=Sw+11|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[Dx+11>>0]=0;T5b(Sb);UFa(h,Tb);VFa(e,f[Sn>>2]|0,i,0);Ix=(f[e>>2]|0)==0;WFa(h);if((b[Tn>>0]|0)<0)fuc(f[i>>2]|0);if(!Ix){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;Ix=cuc(16)|0;f[e>>2]=Ix;f[yq>>2]=-2147483632;f[zq>>2]=11;Sw=Ix;vx=475219;Tw=Sw+11|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[Ix+11>>0]=0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;Dx=cuc(16)|0;f[i>>2]=Dx;f[Aq>>2]=-2147483632;f[Bq>>2]=11;Sw=Dx;vx=475219;Tw=Sw+11|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[Dx+11>>0]=0;T5b(Sb);Ix=XFa(Tb,i)|0;n[h>>2]=(f[Ix+20>>2]|0)==4?+n[Ix+8>>2]:0.0;jEa(t,e,h)|0;if((b[Cq>>0]|0)<0)fuc(f[i>>2]|0);if((b[Dq>>0]|0)<0)fuc(f[e>>2]|0)};f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;Ix=cuc(16)|0;f[i>>2]=Ix;f[Un>>2]=-2147483632;f[Vn>>2]=11;Sw=Ix;vx=475219;Tw=Sw+11|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[Ix+11>>0]=0;T5b(Sb);UFa(h,Tb);VFa(e,f[Wn>>2]|0,i,0);Dx=(f[e>>2]|0)==0;WFa(h);if((b[Xn>>0]|0)<0)fuc(f[i>>2]|0);if(!Dx){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;b[rq>>0]=9;Sw=h;vx=475231;Tw=Sw+9|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[sq>>0]=0;T5b(Sb);Ix=XFa(Tb,h)|0;fA=(f[Ix+20>>2]|0)==4?+n[Ix+8>>2]:0.0;if((b[rq>>0]|0)<0)fuc(f[h>>2]|0);n[e>>2]=fA;if(fA>=0.0){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;Ix=cuc(16)|0;f[h>>2]=Ix;f[tq>>2]=-2147483632;f[uq>>2]=13;Sw=Ix;vx=475241;Tw=Sw+13|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[Ix+13>>0]=0;b[i>>0]=1;zEa(t,h,i)|0;if((b[vq>>0]|0)<0)fuc(f[h>>2]|0);f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;b[wq>>0]=9;Sw=h;vx=475231;Tw=Sw+9|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[xq>>0]=0;jEa(t,h,e)|0;if((b[wq>>0]|0)<0)fuc(f[h>>2]|0)}}f[i>>2]=1124007936;Sw=Yn;Tw=Sw+36|0;do{f[Sw>>2]=0;Sw=Sw+4|0}while((Sw|0)<(Tw|0));f[_n>>2]=Zn;f[ao>>2]=$n;f[$n>>2]=0;f[bo>>2]=0;f[v>>2]=1124007936;Sw=co;Tw=Sw+36|0;do{f[Sw>>2]=0;Sw=Sw+4|0}while((Sw|0)<(Tw|0));f[fo>>2]=eo;f[ho>>2]=go;f[go>>2]=0;f[io>>2]=0;f[w>>2]=1124007936;Sw=jo;Tw=Sw+36|0;do{f[Sw>>2]=0;Sw=Sw+4|0}while((Sw|0)<(Tw|0));f[lo>>2]=ko;f[no>>2]=mo;f[mo>>2]=0;f[oo>>2]=0;f[x>>2]=1124007936;Sw=po;Tw=Sw+36|0;do{f[Sw>>2]=0;Sw=Sw+4|0}while((Sw|0)<(Tw|0));f[ro>>2]=qo;f[to>>2]=so;f[so>>2]=0;f[uo>>2]=0;f[vo>>2]=0;f[wo>>2]=0;f[da>>2]=xo;Ix=f[l>>2]|0;if((Ix|0)!=(xa|0)){Dx=Ix;while(1){Ix=Dx+16|0;f[h>>2]=qq;f[e>>2]=f[h>>2];PFa(da,e,Ix,Ix)|0;Ix=f[Dx+4>>2]|0;do if(!Ix){Yw=Dx+8|0;Vw=f[Yw>>2]|0;if((f[Vw>>2]|0)==(Dx|0)){gA=Vw;break}else hA=Yw;do{Yw=f[hA>>2]|0;hA=Yw+8|0;Vw=f[hA>>2]|0}while((f[Vw>>2]|0)!=(Yw|0));gA=Vw}else{Cx=Ix;while(1){Vw=f[Cx>>2]|0;if(!Vw)break;else Cx=Vw}gA=Cx}while(0);if((gA|0)==(xa|0))break;else Dx=gA}}YFa(QFa(a,q,da,4,0)|0,i);_Da(da,f[xo>>2]|0);f[yo>>2]=0;f[zo>>2]=0;f[ea>>2]=Ao;Dx=f[l>>2]|0;if((Dx|0)!=(xa|0)){Ix=Dx;while(1){Dx=Ix+16|0;f[h>>2]=pq;f[e>>2]=f[h>>2];PFa(ea,e,Dx,Dx)|0;Dx=f[Ix+4>>2]|0;do if(!Dx){Vw=Ix+8|0;Yw=f[Vw>>2]|0;if((f[Yw>>2]|0)==(Ix|0)){iA=Yw;break}else jA=Vw;do{Vw=f[jA>>2]|0;jA=Vw+8|0;Yw=f[jA>>2]|0}while((f[Yw>>2]|0)!=(Vw|0));iA=Yw}else{Cx=Dx;while(1){Yw=f[Cx>>2]|0;if(!Yw)break;else Cx=Yw}iA=Cx}while(0);if((iA|0)==(xa|0))break;else Ix=iA}}YFa(QFa(a,q,ea,8,0)|0,x);_Da(ea,f[Ao>>2]|0);Ix=f[Bo>>2]|0;Dx=(Ix|0)/4|0;Yw=f[Co>>2]|0;Vw=f[Zn>>2]|0;do if((Vw|0)>0){Jx=Dx<<1;Ww=Dx*3|0;if((Ix|0)>3)kA=0;else break;do{Bx=Y(Ix,kA)|0;Uw=0;do{Xw=Yw+(Uw+Dx+Bx<<2)|0;jz=Yw+(Uw+Jx+Bx<<2)|0;Aa=f[Xw>>2]|0;f[Xw>>2]=f[jz>>2];f[jz>>2]=Aa;Xw=Yw+(Uw+Ww+Bx<<2)|0;f[jz>>2]=f[Xw>>2];f[Xw>>2]=Aa;Uw=Uw+1|0}while((Uw|0)<(Dx|0));kA=kA+1|0}while((kA|0)<(Vw|0))}while(0);f[e>>2]=0;f[Do>>2]=Vw-Dx;f[h>>2]=-2147483648;f[Eo>>2]=2147483647;bU(fa,i,e,h);tT(z,fa);Yw=f[z>>2]|0;sh[f[(f[Yw>>2]|0)+12>>2]&255](Yw,z,w,-1);Xi(z);Yw=f[Fo>>2]|0;do if(Yw|0){Ix=Yw+12|0;Ww=f[Ix>>2]|0;f[Ix>>2]=Ww+-1;if((Ww|0)!=1)break;aU(fa)}while(0);f[Fo>>2]=0;f[Go>>2]=0;f[Go+4>>2]=0;f[Go+8>>2]=0;f[Go+12>>2]=0;if((f[Ho>>2]|0)>0){Yw=f[Io>>2]|0;Vw=0;do{f[Yw+(Vw<<2)>>2]=0;Vw=Vw+1|0}while((Vw|0)<(f[Ho>>2]|0))}Vw=f[Jo>>2]|0;if((Vw|0)!=(Ko|0))TC(Vw);Vw=f[Zn>>2]|0;f[e>>2]=Vw-Dx;f[Lo>>2]=Vw;f[h>>2]=-2147483648;f[Mo>>2]=2147483647;bU(fa,i,e,h);tT(z,fa);Vw=f[z>>2]|0;sh[f[(f[Vw>>2]|0)+12>>2]&255](Vw,z,v,-1);Xi(z);Vw=f[No>>2]|0;do if(Vw|0){Yw=Vw+12|0;Ww=f[Yw>>2]|0;f[Yw>>2]=Ww+-1;if((Ww|0)!=1)break;aU(fa)}while(0);f[No>>2]=0;f[Oo>>2]=0;f[Oo+4>>2]=0;f[Oo+8>>2]=0;f[Oo+12>>2]=0;if((f[Po>>2]|0)>0){Vw=f[Qo>>2]|0;Dx=0;do{f[Vw+(Dx<<2)>>2]=0;Dx=Dx+1|0}while((Dx|0)<(f[Po>>2]|0))}Dx=f[Ro>>2]|0;if((Dx|0)!=(So|0))TC(Dx);tJ(Yb,3);Dx=f[Yb>>2]|0;if((Dx|0)==(v|0))lA=v;else{Vw=f[cp>>2]|0;if(Vw|0){Ww=Vw+12|0;f[Ww>>2]=(f[Ww>>2]|0)+1}Ww=Dx+36|0;Vw=f[Ww>>2]|0;do if(Vw|0){Yw=Vw+12|0;Ix=f[Yw>>2]|0;f[Yw>>2]=Ix+-1;if((Ix|0)!=1)break;aU(Dx)}while(0);f[Ww>>2]=0;Vw=Dx+16|0;Ix=Dx+4|0;f[Vw>>2]=0;f[Vw+4>>2]=0;f[Vw+8>>2]=0;f[Vw+12>>2]=0;if((f[Ix>>2]|0)>0){Yw=f[Dx+40>>2]|0;Jx=0;do{f[Yw+(Jx<<2)>>2]=0;Jx=Jx+1|0;mA=f[Ix>>2]|0}while((Jx|0)<(mA|0));f[Dx>>2]=f[v>>2];if((mA|0)<3)$w=1642;else $w=1644}else{f[Dx>>2]=f[v>>2];$w=1642}do if(($w|0)==1642){$w=0;Jx=f[co>>2]|0;if((Jx|0)>=3){$w=1644;break}f[Ix>>2]=Jx;f[Dx+8>>2]=f[eo>>2];f[Dx+12>>2]=f[kq>>2];Jx=f[ho>>2]|0;Yw=f[Dx+44>>2]|0;f[Yw>>2]=f[Jx>>2];f[Yw+4>>2]=f[Jx+4>>2]}while(0);if(($w|0)==1644){$w=0;$T(Dx,v)}f[Vw>>2]=f[dp>>2];f[Dx+20>>2]=f[lq>>2];f[Dx+24>>2]=f[mq>>2];f[Dx+28>>2]=f[nq>>2];f[Dx+32>>2]=f[oq>>2];f[Ww>>2]=f[cp>>2];lA=f[Yb>>2]|0}Ix=lA+56|0;if((Ix|0)==(w|0))nA=lA;else{Jx=f[ap>>2]|0;if(Jx|0){Yw=Jx+12|0;f[Yw>>2]=(f[Yw>>2]|0)+1}Yw=lA+92|0;Jx=f[Yw>>2]|0;do if(Jx|0){Uw=Jx+12|0;Bx=f[Uw>>2]|0;f[Uw>>2]=Bx+-1;if((Bx|0)!=1)break;aU(Ix)}while(0);f[Yw>>2]=0;Jx=lA+72|0;Ww=lA+60|0;f[Jx>>2]=0;f[Jx+4>>2]=0;f[Jx+8>>2]=0;f[Jx+12>>2]=0;if((f[Ww>>2]|0)>0){Dx=f[lA+96>>2]|0;Vw=0;do{f[Dx+(Vw<<2)>>2]=0;Vw=Vw+1|0;oA=f[Ww>>2]|0}while((Vw|0)<(oA|0));f[Ix>>2]=f[w>>2];if((oA|0)<3)$w=1657;else $w=1659}else{f[Ix>>2]=f[w>>2];$w=1657}do if(($w|0)==1657){$w=0;Vw=f[jo>>2]|0;if((Vw|0)>=3){$w=1659;break}f[Ww>>2]=Vw;f[lA+64>>2]=f[ko>>2];f[lA+68>>2]=f[fq>>2];Vw=f[no>>2]|0;Dx=f[lA+100>>2]|0;f[Dx>>2]=f[Vw>>2];f[Dx+4>>2]=f[Vw+4>>2]}while(0);if(($w|0)==1659){$w=0;$T(Ix,w)}f[Jx>>2]=f[bp>>2];f[lA+76>>2]=f[gq>>2];f[lA+80>>2]=f[hq>>2];f[lA+84>>2]=f[iq>>2];f[lA+88>>2]=f[jq>>2];f[Yw>>2]=f[ap>>2];nA=f[Yb>>2]|0}Ww=nA+112|0;if((Ww|0)!=(x|0)){Vw=f[_o>>2]|0;if(Vw|0){Dx=Vw+12|0;f[Dx>>2]=(f[Dx>>2]|0)+1}Dx=nA+148|0;Vw=f[Dx>>2]|0;do if(Vw|0){Bx=Vw+12|0;Uw=f[Bx>>2]|0;f[Bx>>2]=Uw+-1;if((Uw|0)!=1)break;aU(Ww)}while(0);f[Dx>>2]=0;Vw=nA+128|0;Yw=nA+116|0;f[Vw>>2]=0;f[Vw+4>>2]=0;f[Vw+8>>2]=0;f[Vw+12>>2]=0;if((f[Yw>>2]|0)>0){Jx=f[nA+152>>2]|0;Ix=0;do{f[Jx+(Ix<<2)>>2]=0;Ix=Ix+1|0;pA=f[Yw>>2]|0}while((Ix|0)<(pA|0));f[Ww>>2]=f[x>>2];if((pA|0)<3)$w=1672;else $w=1674}else{f[Ww>>2]=f[x>>2];$w=1672}do if(($w|0)==1672){$w=0;Ix=f[po>>2]|0;if((Ix|0)>=3){$w=1674;break}f[Yw>>2]=Ix;f[nA+120>>2]=f[qo>>2];f[nA+124>>2]=f[aq>>2];Ix=f[to>>2]|0;Jx=f[nA+156>>2]|0;f[Jx>>2]=f[Ix>>2];f[Jx+4>>2]=f[Ix+4>>2]}while(0);if(($w|0)==1674){$w=0;$T(Ww,x)}f[Vw>>2]=f[$o>>2];f[nA+132>>2]=f[bq>>2];f[nA+136>>2]=f[cq>>2];f[nA+140>>2]=f[dq>>2];f[nA+144>>2]=f[eq>>2];f[Dx>>2]=f[_o>>2]};f[z>>2]=0;f[z+4>>2]=0;f[z+8>>2]=0;Yw=cuc(16)|0;f[z>>2]=Yw;f[To>>2]=-2147483632;f[Uo>>2]=12;Sw=Yw;vx=475255;Tw=Sw+12|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[Yw+12>>0]=0;T5b(Sb);UFa(h,Tb);VFa(e,f[Vo>>2]|0,z,0);Dx=(f[e>>2]|0)==0;WFa(h);if((b[Wo>>0]|0)<0)fuc(f[z>>2]|0);do if(!Dx){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;Vw=cuc(16)|0;f[e>>2]=Vw;f[fp>>2]=-2147483632;f[gp>>2]=12;Sw=Vw;vx=475255;Tw=Sw+12|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[Vw+12>>0]=0;T5b(Sb);Ww=XFa(Tb,e)|0;Ix=b[Ww+8>>0]|0?(f[Ww+20>>2]|0)==5:0;if((b[hp>>0]|0)<0)fuc(f[e>>2]|0);if(!Ix)break;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;Ix=cuc(16)|0;f[e>>2]=Ix;f[ip>>2]=-2147483632;f[jp>>2]=12;Sw=Ix;vx=475255;Tw=Sw+12|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[Ix+12>>0]=0;b[h>>0]=1;zEa(t,e,h)|0;if((b[kp>>0]|0)<0)fuc(f[e>>2]|0);tJ(Yb,6);Vw=0;do{f[z>>2]=1124007936;Sw=lp;Tw=Sw+36|0;do{f[Sw>>2]=0;Sw=Sw+4|0}while((Sw|0)<(Tw|0));f[np>>2]=mp;f[pp>>2]=op;f[op>>2]=0;f[qp>>2]=0;f[rp>>2]=0;f[sp>>2]=0;f[ga>>2]=tp;Ww=f[l>>2]|0;if((Ww|0)!=(xa|0)){Jx=Ww;while(1){Ww=Jx+16|0;f[h>>2]=$p;f[e>>2]=f[h>>2];PFa(ga,e,Ww,Ww)|0;Ww=f[Jx+4>>2]|0;do if(!Ww){Uw=Jx+8|0;Bx=f[Uw>>2]|0;if((f[Bx>>2]|0)==(Jx|0)){qA=Bx;break}else rA=Uw;do{Uw=f[rA>>2]|0;rA=Uw+8|0;Bx=f[rA>>2]|0}while((f[Bx>>2]|0)!=(Uw|0));qA=Bx}else{Bx=Ww;while(1){Uw=f[Bx>>2]|0;if(!Uw)break;else Bx=Uw}qA=Bx}while(0);if((qA|0)==(xa|0))break;else Jx=qA}}YFa(QFa(a,q,ga,Vw+5|0,0)|0,z);_Da(ga,f[tp>>2]|0);Jx=f[lp>>2]|0;if((Jx|0)<3)sA=Y(f[up>>2]|0,f[mp>>2]|0)|0;else{Ww=f[np>>2]|0;Uw=0;Cx=1;while(1){Aa=Y(f[Ww+(Uw<<2)>>2]|0,Cx)|0;Uw=Uw+1|0;if((Uw|0)==(Jx|0)){sA=Aa;break}else Cx=Aa}}mU(e,z,1,sA);Cx=f[vp>>2]|0;do if(Cx|0){Jx=Cx+12|0;Uw=f[Jx>>2]|0;f[Jx>>2]=Uw+-1;if((Uw|0)!=1)break;aU(z)}while(0);f[vp>>2]=0;f[wp>>2]=0;f[wp+4>>2]=0;f[wp+8>>2]=0;f[wp+12>>2]=0;if((f[lp>>2]|0)>0){Cx=f[np>>2]|0;Uw=0;do{f[Cx+(Uw<<2)>>2]=0;Uw=Uw+1|0}while((Uw|0)<(f[lp>>2]|0))}f[z>>2]=f[e>>2];Uw=f[xp>>2]|0;f[lp>>2]=Uw;f[mp>>2]=f[yp>>2];f[up>>2]=f[zp>>2];f[wp>>2]=f[Ap>>2];f[Cp>>2]=f[Bp>>2];f[Ep>>2]=f[Dp>>2];f[Gp>>2]=f[Fp>>2];f[Ip>>2]=f[Hp>>2];f[vp>>2]=f[Jp>>2];Cx=f[Kp>>2]|0;if((Cx|0)==(op|0))tA=Uw;else{TC(Cx);f[Kp>>2]=op;f[np>>2]=mp;tA=f[xp>>2]|0}if((tA|0)<3){Cx=f[Lp>>2]|0;f[op>>2]=f[Cx>>2];f[Dw>>2]=f[Cx+4>>2];uA=Cx}else{f[Kp>>2]=f[Lp>>2];f[_p>>2]=f[Mp>>2];f[Lp>>2]=Np;f[Mp>>2]=yp;uA=Np}f[e>>2]=1124007936;f[xp>>2]=0;f[xp+4>>2]=0;f[xp+8>>2]=0;f[xp+12>>2]=0;f[xp+16>>2]=0;f[xp+20>>2]=0;f[xp+24>>2]=0;f[xp+28>>2]=0;f[Jp>>2]=0;f[Ap>>2]=0;f[Ap+4>>2]=0;f[Ap+8>>2]=0;f[Ap+12>>2]=0;if((uA|0)!=(Np|0))TC(uA);pU(e,z);Cx=f[vp>>2]|0;do if(Cx|0){Uw=Cx+12|0;Jx=f[Uw>>2]|0;f[Uw>>2]=Jx+-1;if((Jx|0)!=1)break;aU(z)}while(0);f[vp>>2]=0;f[wp>>2]=0;f[wp+4>>2]=0;f[wp+8>>2]=0;f[wp+12>>2]=0;if((f[lp>>2]|0)>0){Cx=f[np>>2]|0;Jx=0;do{f[Cx+(Jx<<2)>>2]=0;Jx=Jx+1|0}while((Jx|0)<(f[lp>>2]|0))}f[z>>2]=f[e>>2];Jx=f[Op>>2]|0;f[lp>>2]=Jx;f[mp>>2]=f[Pp>>2];f[up>>2]=f[Qp>>2];f[wp>>2]=f[Rp>>2];f[Cp>>2]=f[Sp>>2];f[Ep>>2]=f[Tp>>2];f[Gp>>2]=f[Up>>2];f[Ip>>2]=f[Vp>>2];f[vp>>2]=f[Wp>>2];Cx=f[Kp>>2]|0;if((Cx|0)==(op|0))vA=Jx;else{TC(Cx);f[Kp>>2]=op;f[np>>2]=mp;vA=f[Op>>2]|0}if((vA|0)<3){Cx=f[Xp>>2]|0;f[op>>2]=f[Cx>>2];f[Ew>>2]=f[Cx+4>>2];wA=Cx}else{f[Kp>>2]=f[Xp>>2];f[_p>>2]=f[Yp>>2];f[Xp>>2]=Zp;f[Yp>>2]=Pp;wA=Zp}f[e>>2]=1124007936;f[Op>>2]=0;f[Op+4>>2]=0;f[Op+8>>2]=0;f[Op+12>>2]=0;f[Op+16>>2]=0;f[Op+20>>2]=0;f[Op+24>>2]=0;f[Op+28>>2]=0;f[Wp>>2]=0;f[Rp>>2]=0;f[Rp+4>>2]=0;f[Rp+8>>2]=0;f[Rp+12>>2]=0;if((wA|0)!=(Zp|0))TC(wA);Cx=Vw+3|0;Jx=f[Yb>>2]|0;Uw=Jx+(Cx*56|0)|0;if((Uw|0)!=(z|0)){Ww=f[vp>>2]|0;if(Ww|0){Aa=Ww+12|0;f[Aa>>2]=(f[Aa>>2]|0)+1}Aa=Jx+(Cx*56|0)+36|0;Ww=f[Aa>>2]|0;do if(Ww|0){Xw=Ww+12|0;jz=f[Xw>>2]|0;f[Xw>>2]=jz+-1;if((jz|0)!=1)break;aU(Uw)}while(0);f[Aa>>2]=0;Ww=Jx+(Cx*56|0)+16|0;jz=Jx+(Cx*56|0)+4|0;f[Ww>>2]=0;f[Ww+4>>2]=0;f[Ww+8>>2]=0;f[Ww+12>>2]=0;if((f[jz>>2]|0)>0){Xw=f[Jx+(Cx*56|0)+40>>2]|0;xA=0;do{f[Xw+(xA<<2)>>2]=0;xA=xA+1|0;yA=f[jz>>2]|0}while((xA|0)<(yA|0));f[Uw>>2]=f[z>>2];if((yA|0)<3)$w=1733;else $w=1735}else{f[Uw>>2]=f[z>>2];$w=1733}do if(($w|0)==1733){$w=0;xA=f[lp>>2]|0;if((xA|0)>=3){$w=1735;break}f[jz>>2]=xA;f[Jx+(Cx*56|0)+8>>2]=f[mp>>2];f[Jx+(Cx*56|0)+12>>2]=f[up>>2];xA=f[pp>>2]|0;Xw=f[Jx+(Cx*56|0)+44>>2]|0;f[Xw>>2]=f[xA>>2];f[Xw+4>>2]=f[xA+4>>2]}while(0);if(($w|0)==1735){$w=0;$T(Uw,z)}f[Ww>>2]=f[wp>>2];f[Jx+(Cx*56|0)+20>>2]=f[Cp>>2];f[Jx+(Cx*56|0)+24>>2]=f[Ep>>2];f[Jx+(Cx*56|0)+28>>2]=f[Gp>>2];f[Jx+(Cx*56|0)+32>>2]=f[Ip>>2];f[Aa>>2]=f[vp>>2]}jz=f[vp>>2]|0;do if(jz|0){xA=jz+12|0;Xw=f[xA>>2]|0;f[xA>>2]=Xw+-1;if((Xw|0)!=1)break;aU(z)}while(0);f[vp>>2]=0;f[wp>>2]=0;f[wp+4>>2]=0;f[wp+8>>2]=0;f[wp+12>>2]=0;if((f[lp>>2]|0)>0){jz=f[np>>2]|0;Aa=0;do{f[jz+(Aa<<2)>>2]=0;Aa=Aa+1|0}while((Aa|0)<(f[lp>>2]|0))}Aa=f[pp>>2]|0;if((Aa|0)!=(op|0))TC(Aa);Vw=Vw+1|0}while((Vw|0)<3)}while(0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[Xo>>0]=4;f[e>>2]=1297371980;b[Yo>>0]=0;Dx=sLa(c,r,e,t)|0;if((b[Xo>>0]|0)<0)fuc(f[e>>2]|0);Yw=cEa(o,r)|0;f[Yw>>2]=Dx;SFa(e,f[(f[Fa>>2]|0)+8>>2]|0);TFa(a,o,c,e,Dx,0);if((b[Zo>>0]|0)<0)fuc(f[e>>2]|0);Dx=cEa(k,r)|0;f[Dx>>2]=2;Dx=f[_o>>2]|0;do if(Dx|0){Yw=Dx+12|0;Vw=f[Yw>>2]|0;f[Yw>>2]=Vw+-1;if((Vw|0)!=1)break;aU(x)}while(0);f[_o>>2]=0;f[$o>>2]=0;f[$o+4>>2]=0;f[$o+8>>2]=0;f[$o+12>>2]=0;if((f[po>>2]|0)>0){Dx=f[ro>>2]|0;Vw=0;do{f[Dx+(Vw<<2)>>2]=0;Vw=Vw+1|0}while((Vw|0)<(f[po>>2]|0))}Vw=f[to>>2]|0;if((Vw|0)!=(so|0))TC(Vw);Vw=f[ap>>2]|0;do if(Vw|0){Dx=Vw+12|0;Yw=f[Dx>>2]|0;f[Dx>>2]=Yw+-1;if((Yw|0)!=1)break;aU(w)}while(0);f[ap>>2]=0;f[bp>>2]=0;f[bp+4>>2]=0;f[bp+8>>2]=0;f[bp+12>>2]=0;if((f[jo>>2]|0)>0){Vw=f[lo>>2]|0;Yw=0;do{f[Vw+(Yw<<2)>>2]=0;Yw=Yw+1|0}while((Yw|0)<(f[jo>>2]|0))}Yw=f[no>>2]|0;if((Yw|0)!=(mo|0))TC(Yw);Yw=f[cp>>2]|0;do if(Yw|0){Vw=Yw+12|0;Dx=f[Vw>>2]|0;f[Vw>>2]=Dx+-1;if((Dx|0)!=1)break;aU(v)}while(0);f[cp>>2]=0;f[dp>>2]=0;f[dp+4>>2]=0;f[dp+8>>2]=0;f[dp+12>>2]=0;if((f[co>>2]|0)>0){Yw=f[fo>>2]|0;Dx=0;do{f[Yw+(Dx<<2)>>2]=0;Dx=Dx+1|0}while((Dx|0)<(f[co>>2]|0))}Dx=f[ho>>2]|0;if((Dx|0)!=(go|0))TC(Dx);Dx=f[ep>>2]|0;do if(Dx|0){Yw=Dx+12|0;Vw=f[Yw>>2]|0;f[Yw>>2]=Vw+-1;if((Vw|0)!=1)break;aU(i)}while(0);f[ep>>2]=0;f[Co>>2]=0;f[Co+4>>2]=0;f[Co+8>>2]=0;f[Co+12>>2]=0;if((f[Yn>>2]|0)>0){Dx=f[_n>>2]|0;Vw=0;do{f[Dx+(Vw<<2)>>2]=0;Vw=Vw+1|0}while((Vw|0)<(f[Yn>>2]|0))}Vw=f[ao>>2]|0;if((Vw|0)!=($n|0))TC(Vw);break c}else{dA=Nz;eA=Oz}while(0);do if(((dA<<24>>24<0?eA:dA&255)|0)==21){if(!(Puc(s,0,-1,399479,21)|0))break;zA=b[Ia>>0]|0;AA=f[Pa>>2]|0;$w=1786}else{zA=dA;AA=eA;$w=1786}while(0);do if(($w|0)==1786){$w=0;if(((zA<<24>>24<0?AA:zA&255)|0)==14){if(!(Puc(s,0,-1,400063,14)|0))break;BA=b[Ia>>0]|0;CA=f[Pa>>2]|0}else{BA=zA;CA=AA}do if(((BA<<24>>24<0?CA:BA&255)|0)==11){if(Puc(s,0,-1,401019,11)|0){DA=b[Ia>>0]|0;EA=f[Pa>>2]|0;break}if((f[Da>>2]|0)!=2){$w=1907;break b}f[Pr>>2]=0;f[Qr>>2]=0;f[ka>>2]=Rr;Vw=f[l>>2]|0;if((Vw|0)!=(xa|0)){Dx=Vw;while(1){Vw=Dx+16|0;f[h>>2]=ls;f[e>>2]=f[h>>2];PFa(ka,e,Vw,Vw)|0;Vw=f[Dx+4>>2]|0;do if(!Vw){Yw=Dx+8|0;Ix=f[Yw>>2]|0;if((f[Ix>>2]|0)==(Dx|0)){FA=Ix;break}else GA=Yw;do{Yw=f[GA>>2]|0;GA=Yw+8|0;Ix=f[GA>>2]|0}while((f[Ix>>2]|0)!=(Yw|0));FA=Ix}else{Ix=Vw;while(1){Yw=f[Ix>>2]|0;if(!Yw)break;else Ix=Yw}FA=Ix}while(0);if((FA|0)==(xa|0))break;else Dx=FA}}CHa(i,QFa(a,q,ka,1,0)|0);_Da(ka,f[Rr>>2]|0);if((f[i>>2]&4095|0)!=4){$w=1916;break b}Dx=f[Sr>>2]|0;if((Dx|0)<3)HA=Y(f[Ur>>2]|0,f[Tr>>2]|0)|0;else{Vw=f[as>>2]|0;Yw=0;Aa=1;while(1){jz=Y(f[Vw+(Yw<<2)>>2]|0,Aa)|0;Yw=Yw+1|0;if((Yw|0)==(Dx|0)){HA=jz;break}else Aa=jz}}puc(e,r,0,Ouc(r,58,-1)|0,r);Aa=NFa(k,e)|0;if((b[Vr>>0]|0)<0)fuc(f[e>>2]|0);do if((Aa|0)!=(ua|0)){if(!((f[Aa+28>>2]|0)==0&(HA|0)>0))break;Dx=f[$r>>2]|0;Yw=f[as>>2]|0;Vw=Yw+4|0;jz=f[bs>>2]|0;Cx=0;do{Jx=(f[i>>2]&16384|0)==0;do if(Jx){if((f[Yw>>2]|0)==1){$w=1928;break}Ww=f[jz>>2]|0;if((f[Vw>>2]|0)==1){IA=Dx+(Y(Ww,Cx)|0)|0;break}else{Uw=f[Ur>>2]|0;Xw=(Cx|0)/(Uw|0)|0;IA=Dx+(Y(Xw,Ww)|0)+(Cx-(Y(Xw,Uw)|0)<<2)|0;break}}else $w=1928;while(0);if(($w|0)==1928){$w=0;IA=Dx+(Cx<<2)|0}Ix=f[IA>>2]|0;Uw=Ix+4|0;if(Uw>>>0>=8){$w=1933;break b}do if(Ix)if((Ix|0)>0){JA=((Ix>>>0)%3|0)+1|0;break}else{JA=((Uw>>>0)%3|0)+1|0;break}else JA=0;while(0);do if(Jx){if((f[Yw>>2]|0)==1){$w=1940;break}Uw=f[jz>>2]|0;if((f[Vw>>2]|0)==1){KA=Dx+(Y(Uw,Cx)|0)|0;break}else{Ix=f[Ur>>2]|0;Xw=(Cx|0)/(Ix|0)|0;KA=Dx+(Y(Xw,Uw)|0)+(Cx-(Y(Xw,Ix)|0)<<2)|0;break}}else $w=1940;while(0);if(($w|0)==1940){$w=0;KA=Dx+(Cx<<2)|0}f[KA>>2]=JA;Cx=Cx+1|0}while((Cx|0)<(HA|0))}while(0);f[Wr>>2]=0;f[Xr>>2]=0;f[e>>2]=16842752;f[Yr>>2]=i;Aa=Zr;f[Aa>>2]=0;f[Aa+4>>2]=0;f[h>>2]=33619968;f[_r>>2]=i;QO(e,h,0);g:do if((HA|0)>1){Aa=f[$r>>2]|0;Cx=f[as>>2]|0;Dx=Cx+4|0;Vw=f[bs>>2]|0;jz=f[Ur>>2]|0;if(f[i>>2]&16384|0){Yw=1;while(1){Jx=f[Aa+(Yw<<2)>>2]|0;Ix=Yw+-1|0;if((Jx|0)!=((f[Aa+(Ix<<2)>>2]|0)+1|0)){$w=1975;break b}Yw=Yw+1|0;if((Y(f[Aa+(Ix<<2)>>2]|0,Jx)|0)<=-1){$w=1977;break b}if((Yw|0)>=(HA|0)){LA=Aa;break g}}}Yw=1;Jx=f[Cx>>2]|0;while(1){do if((Jx|0)!=1){Ix=f[Vw>>2]|0;if((f[Dx>>2]|0)==1){MA=Aa+(Y(Ix,Yw)|0)|0;break}else{Xw=(Yw|0)/(jz|0)|0;MA=Aa+(Y(Xw,Ix)|0)+(Yw-(Y(Xw,jz)|0)<<2)|0;break}}else MA=Aa+(Yw<<2)|0;while(0);Xw=f[MA>>2]|0;Ix=Yw+-1|0;do if((Jx|0)!=1){Uw=f[Vw>>2]|0;if((f[Dx>>2]|0)==1){NA=Aa+(Y(Uw,Ix)|0)|0;break}else{Ww=(Ix|0)/(jz|0)|0;NA=Aa+(Y(Ww,Uw)|0)+(Ix-(Y(Ww,jz)|0)<<2)|0;break}}else NA=Aa+(Ix<<2)|0;while(0);if((Xw|0)!=((f[NA>>2]|0)+1|0)){$w=1975;break b}do if((Jx|0)!=1){Ww=f[Vw>>2]|0;if((f[Dx>>2]|0)==1){OA=Aa+(Y(Ww,Yw)|0)|0;break}else{Uw=(Yw|0)/(jz|0)|0;OA=Aa+(Y(Uw,Ww)|0)+(Yw-(Y(Uw,jz)|0)<<2)|0;break}}else OA=Aa+(Yw<<2)|0;while(0);Xw=f[OA>>2]|0;do if((Jx|0)!=1){Uw=f[Vw>>2]|0;if((f[Dx>>2]|0)==1){PA=Aa+(Y(Uw,Ix)|0)|0;QA=Jx;break}else{Ww=(Ix|0)/(jz|0)|0;PA=Aa+(Y(Ww,Uw)|0)+(Ix-(Y(Ww,jz)|0)<<2)|0;QA=Jx;break}}else{PA=Aa+(Ix<<2)|0;QA=1}while(0);Yw=Yw+1|0;if((Y(f[PA>>2]|0,Xw)|0)<=-1){$w=1977;break b}if((Yw|0)>=(HA|0)){LA=Aa;break}else Jx=QA}}else LA=f[$r>>2]|0;while(0);b[cs>>0]=10;Sw=e;vx=465428;Tw=Sw+10|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[ds>>0]=0;xEa(t,e,LA)|0;if((b[cs>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[es>>0]=8;Jx=e;f[Jx>>2]=1600417381;f[Jx+4>>2]=1936291937;b[fs>>0]=0;Jx=HA+-1|0;Aa=f[$r>>2]|0;do if(!(f[i>>2]&16384)){Yw=f[as>>2]|0;if((f[Yw>>2]|0)==1){$w=1981;break}jz=f[f[bs>>2]>>2]|0;if((f[Yw+4>>2]|0)==1){RA=Aa+(Y(jz,Jx)|0)|0;break}else{Yw=f[Ur>>2]|0;Dx=(Jx|0)/(Yw|0)|0;RA=Aa+(Y(Dx,jz)|0)+(Jx-(Y(Dx,Yw)|0)<<2)|0;break}}else $w=1981;while(0);if(($w|0)==1981){$w=0;RA=Aa+(Jx<<2)|0}xEa(t,e,RA)|0;if((b[es>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[gs>>0]=9;Sw=e;vx=415997;Tw=Sw+9|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[hs>>0]=0;Jx=sLa(c,r,e,t)|0;if((b[gs>>0]|0)<0)fuc(f[e>>2]|0);Aa=cEa(o,r)|0;f[Aa>>2]=Jx;SFa(e,f[(f[Fa>>2]|0)+4>>2]|0);TFa(a,o,c,e,Jx,0);if((b[is>>0]|0)<0)fuc(f[e>>2]|0);Jx=f[js>>2]|0;do if(Jx|0){Aa=Jx+12|0;Yw=f[Aa>>2]|0;f[Aa>>2]=Yw+-1;if((Yw|0)!=1)break;aU(i)}while(0);f[js>>2]=0;f[$r>>2]=0;f[$r+4>>2]=0;f[$r+8>>2]=0;f[$r+12>>2]=0;if((f[Sr>>2]|0)>0){Jx=f[as>>2]|0;Yw=0;do{f[Jx+(Yw<<2)>>2]=0;Yw=Yw+1|0}while((Yw|0)<(f[Sr>>2]|0))}Yw=f[bs>>2]|0;if((Yw|0)!=(ks|0))TC(Yw);break c}else{DA=BA;EA=CA}while(0);do if(((DA<<24>>24<0?EA:DA&255)|0)==8){if(Puc(s,0,-1,396585,8)|0){SA=b[Ia>>0]|0;TA=f[Pa>>2]|0;break};f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;b[ms>>0]=8;Yw=i;f[Yw>>2]=1601071469;f[Yw+4>>2]=1702521203;b[ns>>0]=0;T5b(Sb);UFa(h,Tb);VFa(e,f[os>>2]|0,i,0);Yw=(f[e>>2]|0)==0;WFa(h);if((b[ms>>0]|0)<0)fuc(f[i>>2]|0);if(!Yw){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[Bt>>0]=8;Yw=e;f[Yw>>2]=1601071469;f[Yw+4>>2]=1702521203;b[Ct>>0]=0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;b[Dt>>0]=8;Yw=i;f[Yw>>2]=1601071469;f[Yw+4>>2]=1702521203;b[Et>>0]=0;T5b(Sb);Yw=XFa(Tb,i)|0;Jx=(f[Yw+20>>2]|0)==3;Aa=Yw+8|0;Yw=Jx?f[Aa+4>>2]|0:0;Dx=h;f[Dx>>2]=Jx?f[Aa>>2]|0:0;f[Dx+4>>2]=Yw;gGa(t,e,h)|0;if((b[Dt>>0]|0)<0)fuc(f[i>>2]|0);if((b[Bt>>0]|0)<0)fuc(f[e>>2]|0)};f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;b[ps>>0]=8;Yw=i;f[Yw>>2]=1601724781;f[Yw+4>>2]=1702521203;b[qs>>0]=0;T5b(Sb);UFa(h,Tb);VFa(e,f[rs>>2]|0,i,0);Yw=(f[e>>2]|0)==0;WFa(h);if((b[ps>>0]|0)<0)fuc(f[i>>2]|0);if(!Yw){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[xt>>0]=8;Yw=e;f[Yw>>2]=1601724781;f[Yw+4>>2]=1702521203;b[yt>>0]=0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;b[zt>>0]=8;Yw=i;f[Yw>>2]=1601724781;f[Yw+4>>2]=1702521203;b[At>>0]=0;T5b(Sb);Yw=XFa(Tb,i)|0;Dx=(f[Yw+20>>2]|0)==3;Aa=Yw+8|0;Yw=Dx?f[Aa+4>>2]|0:0;Jx=h;f[Jx>>2]=Dx?f[Aa>>2]|0:0;f[Jx+4>>2]=Yw;gGa(t,e,h)|0;if((b[zt>>0]|0)<0)fuc(f[i>>2]|0);if((b[xt>>0]|0)<0)fuc(f[e>>2]|0)};f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;b[ss>>0]=4;f[i>>2]=1885957222;b[ts>>0]=0;T5b(Sb);UFa(h,Tb);VFa(e,f[us>>2]|0,i,0);Yw=(f[e>>2]|0)==0;WFa(h);if((b[ss>>0]|0)<0)fuc(f[i>>2]|0);if(!Yw){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[st>>0]=4;f[e>>2]=1885957222;b[tt>>0]=0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;b[vt>>0]=4;f[i>>2]=1885957222;b[wt>>0]=0;T5b(Sb);Yw=XFa(Tb,i)|0;b[h>>0]=(b[Yw+8>>0]|0?(f[Yw+20>>2]|0)==5:0)&1;zEa(t,e,h)|0;if((b[vt>>0]|0)<0)fuc(f[i>>2]|0);if((b[st>>0]|0)<0)fuc(f[e>>2]|0)};f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;b[vs>>0]=4;f[i>>2]=1885957219;b[ws>>0]=0;T5b(Sb);UFa(h,Tb);VFa(e,f[xs>>2]|0,i,0);Yw=(f[e>>2]|0)==0;WFa(h);if((b[vs>>0]|0)<0)fuc(f[i>>2]|0);if(!Yw){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[nt>>0]=4;f[e>>2]=1885957219;b[pt>>0]=0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;b[qt>>0]=4;f[i>>2]=1885957219;b[rt>>0]=0;T5b(Sb);Yw=XFa(Tb,i)|0;b[h>>0]=(b[Yw+8>>0]|0?(f[Yw+20>>2]|0)==5:0)&1;zEa(t,e,h)|0;if((b[qt>>0]|0)<0)fuc(f[i>>2]|0);if((b[nt>>0]|0)<0)fuc(f[e>>2]|0)};f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;b[ys>>0]=6;b[i>>0]=b[476235]|0;b[i+1>>0]=b[476236]|0;b[i+2>>0]=b[476237]|0;b[i+3>>0]=b[476238]|0;b[i+4>>0]=b[476239]|0;b[i+5>>0]=b[476240]|0;b[zs>>0]=0;T5b(Sb);UFa(h,Tb);VFa(e,f[As>>2]|0,i,0);Yw=(f[e>>2]|0)==0;WFa(h);if((b[ys>>0]|0)<0)fuc(f[i>>2]|0);if(!Yw){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[it>>0]=6;b[e>>0]=b[476235]|0;b[e+1>>0]=b[476236]|0;b[e+2>>0]=b[476237]|0;b[e+3>>0]=b[476238]|0;b[e+4>>0]=b[476239]|0;b[e+5>>0]=b[476240]|0;b[jt>>0]=0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;b[lt>>0]=6;b[i>>0]=b[476235]|0;b[i+1>>0]=b[476236]|0;b[i+2>>0]=b[476237]|0;b[i+3>>0]=b[476238]|0;b[i+4>>0]=b[476239]|0;b[i+5>>0]=b[476240]|0;b[mt>>0]=0;T5b(Sb);Yw=XFa(Tb,i)|0;n[h>>2]=(f[Yw+20>>2]|0)==4?+n[Yw+8>>2]:0.0;jEa(t,e,h)|0;if((b[lt>>0]|0)<0)fuc(f[i>>2]|0);if((b[it>>0]|0)<0)fuc(f[e>>2]|0)};f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;b[Bs>>0]=4;f[i>>2]=1885697139;b[Cs>>0]=0;T5b(Sb);UFa(h,Tb);VFa(e,f[Ds>>2]|0,i,0);Yw=(f[e>>2]|0)==0;WFa(h);if((b[Bs>>0]|0)<0)fuc(f[i>>2]|0);if(!Yw){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[et>>0]=4;f[e>>2]=1885697139;b[ft>>0]=0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;b[gt>>0]=4;f[i>>2]=1885697139;b[ht>>0]=0;T5b(Sb);Yw=XFa(Tb,i)|0;n[h>>2]=(f[Yw+20>>2]|0)==4?+n[Yw+8>>2]:0.0;jEa(t,e,h)|0;if((b[gt>>0]|0)<0)fuc(f[i>>2]|0);if((b[et>>0]|0)<0)fuc(f[e>>2]|0)};f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;b[Es>>0]=8;Yw=i;f[Yw>>2]=1769103734;f[Yw+4>>2]=1701015137;b[Fs>>0]=0;f[Gs>>2]=0;f[Gs+4>>2]=0;f[Gs+8>>2]=0;Yw=cuc(16)|0;f[Gs>>2]=Yw;f[Hs>>2]=-2147483632;f[Is>>2]=12;Sw=Yw;vx=462229;Tw=Sw+12|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[Yw+12>>0]=0;f[Js>>2]=0;f[Js+4>>2]=0;f[Js+8>>2]=0;b[Ks>>0]=6;b[Js>>0]=b[396594]|0;b[Js+1>>0]=b[396595]|0;b[Js+2>>0]=b[396596]|0;b[Js+3>>0]=b[396597]|0;b[Js+4>>0]=b[396598]|0;b[Js+5>>0]=b[396599]|0;b[Ls>>0]=0;f[Ms>>2]=0;f[Ms+4>>2]=0;f[Ms+8>>2]=0;b[Ns>>0]=5;b[Ms>>0]=b[461828]|0;b[Ms+1>>0]=b[461829]|0;b[Ms+2>>0]=b[461830]|0;b[Ms+3>>0]=b[461831]|0;b[Ms+4>>0]=b[461832]|0;b[Os>>0]=0;f[Ps>>2]=0;f[Ps+4>>2]=0;f[Ps+8>>2]=0;b[Qs>>0]=6;b[Ps>>0]=b[461834]|0;b[Ps+1>>0]=b[461835]|0;b[Ps+2>>0]=b[461836]|0;b[Ps+3>>0]=b[461837]|0;b[Ps+4>>0]=b[461838]|0;b[Ps+5>>0]=b[461839]|0;b[Rs>>0]=0;Jx=0;do{Aa=i+(Jx*12|0)|0;T5b(Sb);UFa(h,Tb);VFa(e,f[Ss>>2]|0,Aa,0);Dx=(f[e>>2]|0)==0;WFa(h);if(!Dx){T5b(Sb);Dx=XFa(Tb,Aa)|0;CHa(e,(f[Dx+20>>2]|0)==8?f[Dx+8>>2]|0:536120);Dx=f[Ts>>2]|0;jz=f[Us>>2]|0;if((jz|0)<3)UA=Y(f[Ws>>2]|0,f[Vs>>2]|0)|0;else{Vw=f[Zs>>2]|0;Cx=0;Ix=1;while(1){Ww=Y(f[Vw+(Cx<<2)>>2]|0,Ix)|0;Cx=Cx+1|0;if((Cx|0)==(jz|0)){UA=Ww;break}else Ix=Ww}}Ix=cuc(16)|0;jz=Ix+8|0;f[Ix>>2]=jz;f[Ix+4>>2]=UA;if(UA>>>0>1){Cx=euc(UA>>>0>536870911?-1:UA<<3)|0;f[Ix>>2]=Cx;VA=Cx}else VA=jz;f[h>>2]=2;f[Xs>>2]=Ix;if((UA|0)>0){Ix=Dx;jz=0;while(1){p[VA+(jz<<3)>>3]=+n[Ix>>2];jz=jz+1|0;if((jz|0)==(UA|0))break;else Ix=Ix+4|0}}wEa(t,Aa,h)|0;mEa(h);Ix=f[Ys>>2]|0;do if(Ix|0){jz=Ix+12|0;Dx=f[jz>>2]|0;f[jz>>2]=Dx+-1;if((Dx|0)!=1)break;aU(e)}while(0);f[Ys>>2]=0;f[Ts>>2]=0;f[Ts+4>>2]=0;f[Ts+8>>2]=0;f[Ts+12>>2]=0;if((f[Us>>2]|0)>0){Ix=f[Zs>>2]|0;Aa=0;do{f[Ix+(Aa<<2)>>2]=0;Aa=Aa+1|0}while((Aa|0)<(f[Us>>2]|0))}Aa=f[_s>>2]|0;if((Aa|0)!=($s|0))TC(Aa)}Jx=Jx+1|0}while((Jx|0)<5);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[at>>0]=8;Jx=e;f[Jx>>2]=1869181520;f[Jx+4>>2]=2020557426;b[bt>>0]=0;Jx=sLa(c,r,e,t)|0;if((b[at>>0]|0)<0)fuc(f[e>>2]|0);Yw=cEa(o,r)|0;f[Yw>>2]=Jx;SFa(e,f[(f[Fa>>2]|0)+4>>2]|0);TFa(a,o,c,e,Jx,0);if((b[ct>>0]|0)<0)fuc(f[e>>2]|0);SFa(e,f[(f[Fa>>2]|0)+8>>2]|0);TFa(a,o,c,e,Jx,1);if((b[dt>>0]|0)<0)fuc(f[e>>2]|0);Jx=cEa(k,r)|0;f[Jx>>2]=2;if((b[Gw>>0]|0)<0)fuc(f[Fw>>2]|0);if((b[Iw>>0]|0)<0)fuc(f[Hw>>2]|0);if((b[Kw>>0]|0)<0)fuc(f[Jw>>2]|0);if((b[Mw>>0]|0)<0)fuc(f[Lw>>2]|0);if((b[Nw>>0]|0)<0)fuc(f[i>>2]|0);break c}else{SA=DA;TA=EA}while(0);do if(((SA<<24>>24<0?TA:SA&255)|0)==7){if(Puc(s,0,-1,445381,7)|0){WA=b[Ia>>0]|0;XA=f[Pa>>2]|0;break};f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;b[Ft>>0]=4;f[i>>2]=1936291937;b[Gt>>0]=0;T5b(Sb);UFa(h,Tb);VFa(e,f[Ht>>2]|0,i,0);Jx=(f[e>>2]|0)==0;WFa(h);if((b[Ft>>0]|0)<0)fuc(f[i>>2]|0);if(!Jx){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[Lt>>0]=4;f[e>>2]=1936291937;b[Mt>>0]=0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;b[Nt>>0]=4;f[i>>2]=1936291937;b[Ot>>0]=0;T5b(Sb);Jx=XFa(Tb,i)|0;Yw=(f[Jx+20>>2]|0)==3;Aa=Jx+8|0;Jx=Yw?f[Aa+4>>2]|0:0;Ix=h;f[Ix>>2]=Yw?f[Aa>>2]|0:0;f[Ix+4>>2]=Jx;gGa(t,e,h)|0;if((b[Nt>>0]|0)<0)fuc(f[i>>2]|0);if((b[Lt>>0]|0)<0)fuc(f[e>>2]|0)}f[Ow>>2]=0;b[It>>0]=7;b[e>>0]=b[445381]|0;b[e+1>>0]=b[445382]|0;b[e+2>>0]=b[445383]|0;b[e+3>>0]=b[445384]|0;b[e+4>>0]=b[445385]|0;b[e+5>>0]=b[445386]|0;b[e+6>>0]=b[445387]|0;b[Jt>>0]=0;Jx=sLa(c,r,e,t)|0;if((b[It>>0]|0)<0)fuc(f[e>>2]|0);Ix=cEa(o,r)|0;f[Ix>>2]=Jx;SFa(e,f[(f[Fa>>2]|0)+4>>2]|0);Ix=f[Da>>2]|0;if((Ix|0)>0){Aa=0;do{TFa(a,o,c,e,Jx,Aa);Aa=Aa+1|0}while((Aa|0)!=(Ix|0))}if((b[Kt>>0]|0)<0)fuc(f[e>>2]|0);break c}else{WA=SA;XA=TA}while(0);do if(((WA<<24>>24<0?XA:WA&255)|0)==13){if(Puc(s,0,-1,415806,13)|0){YA=b[Ia>>0]|0;ZA=f[Pa>>2]|0;break}if((f[Da>>2]|0)!=3){$w=2102;break b}f[Pt>>2]=0;f[Qt>>2]=0;f[la>>2]=Rt;Ix=f[l>>2]|0;if((Ix|0)!=(xa|0)){Aa=Ix;while(1){Ix=Aa+16|0;f[h>>2]=hu;f[e>>2]=f[h>>2];PFa(la,e,Ix,Ix)|0;Ix=f[Aa+4>>2]|0;do if(!Ix){Jx=Aa+8|0;Yw=f[Jx>>2]|0;if((f[Yw>>2]|0)==(Aa|0)){_A=Yw;break}else $A=Jx;do{Jx=f[$A>>2]|0;$A=Jx+8|0;Yw=f[$A>>2]|0}while((f[Yw>>2]|0)!=(Jx|0));_A=Yw}else{Xw=Ix;while(1){Yw=f[Xw>>2]|0;if(!Yw)break;else Xw=Yw}_A=Xw}while(0);if((_A|0)==(xa|0))break;else Aa=_A}}CHa(i,QFa(a,q,la,2,0)|0);_Da(la,f[Rt>>2]|0);aB=f[i>>2]&4095;if((aB|0)!=4){$w=2111;break b}bB=f[St>>2]|0;cB=(bB|0)<3;if(cB)dB=Y(f[Ut>>2]|0,f[Tt>>2]|0)|0;else{Aa=f[_t>>2]|0;Ix=0;Yw=1;while(1){Jx=Y(f[Aa+(Ix<<2)>>2]|0,Yw)|0;Ix=Ix+1|0;if((Ix|0)==(bB|0)){dB=Jx;break}else Yw=Jx}}if((dB|0)!=2){$w=2117;break b};f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[Vt>>0]=6;b[e>>0]=b[461834]|0;b[e+1>>0]=b[461835]|0;b[e+2>>0]=b[461836]|0;b[e+3>>0]=b[461837]|0;b[e+4>>0]=b[461838]|0;b[e+5>>0]=b[461839]|0;b[Wt>>0]=0;xEa(t,e,f[Xt>>2]|0)|0;if((b[Vt>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[Yt>>0]=5;b[e>>0]=b[461828]|0;b[e+1>>0]=b[461829]|0;b[e+2>>0]=b[461830]|0;b[e+3>>0]=b[461831]|0;b[e+4>>0]=b[461832]|0;b[Zt>>0]=0;Yw=f[Xt>>2]|0;do if(!(f[i>>2]&16384)){Ix=f[_t>>2]|0;if((f[Ix>>2]|0)==1){$w=2126;break}Aa=f[f[$t>>2]>>2]|0;if((f[Ix+4>>2]|0)==1){eB=Yw+Aa|0;break}else{Ix=f[Ut>>2]|0;Jx=(Ix+1|0)>>>0<3?Ix:0;eB=Yw+(Y(Jx,Aa)|0)+(1-(Y(Jx,Ix)|0)<<2)|0;break}}else $w=2126;while(0);if(($w|0)==2126){$w=0;eB=Yw+4|0}xEa(t,e,eB)|0;if((b[Yt>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;Ix=cuc(16)|0;f[e>>2]=Ix;f[au>>2]=-2147483632;f[bu>>2]=13;Sw=Ix;vx=415806;Tw=Sw+13|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[Ix+13>>0]=0;Yw=sLa(c,r,e,t)|0;if((b[cu>>0]|0)<0)fuc(f[e>>2]|0);Jx=cEa(o,r)|0;f[Jx>>2]=Yw;SFa(e,f[(f[Fa>>2]|0)+4>>2]|0);TFa(a,o,c,e,Yw,0);if((b[du>>0]|0)<0)fuc(f[e>>2]|0);SFa(e,f[(f[Fa>>2]|0)+8>>2]|0);TFa(a,o,c,e,Yw,1);if((b[eu>>0]|0)<0)fuc(f[e>>2]|0);Yw=f[fu>>2]|0;do if(Yw|0){Jx=Yw+12|0;Aa=f[Jx>>2]|0;f[Jx>>2]=Aa+-1;if((Aa|0)!=1)break;aU(i)}while(0);f[fu>>2]=0;f[Xt>>2]=0;f[Xt+4>>2]=0;f[Xt+8>>2]=0;f[Xt+12>>2]=0;if((f[St>>2]|0)>0){Yw=f[_t>>2]|0;Ix=0;do{f[Yw+(Ix<<2)>>2]=0;Ix=Ix+1|0}while((Ix|0)<(f[St>>2]|0))}Ix=f[$t>>2]|0;if((Ix|0)!=(gu|0))TC(Ix);break c}else{YA=WA;ZA=XA}while(0);do if(((YA<<24>>24<0?ZA:YA&255)|0)==4){if(Puc(s,0,-1,396601,4)|0){fB=b[Ia>>0]|0;gB=f[Pa>>2]|0;break}f[iu>>2]=0;f[ju>>2]=0;f[ma>>2]=ku;Ix=f[l>>2]|0;if((Ix|0)!=(xa|0)){Yw=Ix;while(1){Ix=Yw+16|0;f[h>>2]=Zu;f[e>>2]=f[h>>2];PFa(ma,e,Ix,Ix)|0;Ix=f[Yw+4>>2]|0;do if(!Ix){Aa=Yw+8|0;Jx=f[Aa>>2]|0;if((f[Jx>>2]|0)==(Yw|0)){hB=Jx;break}else iB=Aa;do{Aa=f[iB>>2]|0;iB=Aa+8|0;Jx=f[iB>>2]|0}while((f[Jx>>2]|0)!=(Aa|0));hB=Jx}else{Xw=Ix;while(1){Jx=f[Xw>>2]|0;if(!Jx)break;else Xw=Jx}hB=Xw}while(0);if((hB|0)==(xa|0))break;else Yw=hB}}CHa(i,QFa(a,q,ma,1,0)|0);_Da(ma,f[ku>>2]|0);Yw=f[i>>2]|0;if((Yw&4095|0)!=4){$w=2158;break b}Ix=f[lu>>2]|0;if((Ix|0)<3)jB=Y(f[nu>>2]|0,f[mu>>2]|0)|0;else{Jx=f[pu>>2]|0;Aa=0;Dx=1;while(1){jz=Y(f[Jx+(Aa<<2)>>2]|0,Dx)|0;Aa=Aa+1|0;if((Aa|0)==(Ix|0)){jB=jz;break}else Dx=jz}}if((jB|0)!=2){$w=2172;break b}Dx=f[ou>>2]|0;if((f[Dx>>2]|0)!=1){$w=2172;break b}do if(!(Yw&16384)){Ix=f[pu>>2]|0;if((f[Ix>>2]|0)==1){$w=2167;break}Aa=f[f[qu>>2]>>2]|0;if((f[Ix+4>>2]|0)==1){kB=Dx+Aa|0;break}else{Ix=f[nu>>2]|0;Jx=(Ix+1|0)>>>0<3?Ix:0;kB=Dx+(Y(Jx,Aa)|0)+(1-(Y(Jx,Ix)|0)<<2)|0;break}}else $w=2167;while(0);if(($w|0)==2167){$w=0;kB=Dx+4|0}if((f[kB>>2]|0)!=2){$w=2172;break b};f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[ru>>0]=4;f[e>>2]=1819242352;b[su>>0]=0;eGa(t,e,463161)|0;if((b[ru>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;Yw=cuc(16)|0;f[e>>2]=Yw;f[tu>>2]=-2147483632;f[uu>>2]=14;Sw=Yw;vx=467135;Tw=Sw+14|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[Yw+14>>0]=0;b[h>>0]=1;zEa(t,e,h)|0;if((b[vu>>0]|0)<0)fuc(f[e>>2]|0);f[Pw>>2]=0;b[wu>>0]=7;b[e>>0]=b[445413]|0;b[e+1>>0]=b[445414]|0;b[e+2>>0]=b[445415]|0;b[e+3>>0]=b[445416]|0;b[e+4>>0]=b[445417]|0;b[e+5>>0]=b[445418]|0;b[e+6>>0]=b[445419]|0;b[xu>>0]=0;Dx=sLa(c,r,e,t)|0;if((b[wu>>0]|0)<0)fuc(f[e>>2]|0);Ix=cEa(o,r)|0;f[Ix>>2]=Dx;SFa(e,f[(f[Fa>>2]|0)+4>>2]|0);TFa(a,o,c,e,Dx,0);if((b[yu>>0]|0)<0)fuc(f[e>>2]|0);f[v>>2]=0;f[v+4>>2]=0;f[v+8>>2]=0;b[zu>>0]=8;Dx=v;f[Dx>>2]=1885693291;f[Dx+4>>2]=1936550244;b[Au>>0]=0;T5b(Sb);UFa(h,Tb);VFa(e,f[Bu>>2]|0,v,0);Dx=(f[e>>2]|0)==0;WFa(h);if((b[zu>>0]|0)<0)fuc(f[v>>2]|0);do if(Dx){f[v>>2]=0;f[v+4>>2]=0;f[v+8>>2]=0;b[Cu>>0]=9;Sw=v;vx=396676;Tw=Sw+9|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[Du>>0]=0;T5b(Sb);UFa(h,Tb);VFa(e,f[Eu>>2]|0,v,0);Ix=(f[e>>2]|0)==0;WFa(h);if((b[Cu>>0]|0)<0)fuc(f[v>>2]|0);if(Ix){$w=2193;break};f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[Fu>>0]=9;Sw=e;vx=396676;Tw=Sw+9|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[Gu>>0]=0;T5b(Sb);Ix=XFa(Tb,e)|0;Jx=b[Ix+8>>0]|0?(f[Ix+20>>2]|0)==5:0;if((b[Fu>>0]|0)<0)fuc(f[e>>2]|0);if(!Jx)$w=2193}else{f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[Xu>>0]=8;Jx=e;f[Jx>>2]=1885693291;f[Jx+4>>2]=1936550244;b[Yu>>0]=0;T5b(Sb);Jx=XFa(Tb,e)|0;Ix=b[Jx+8>>0]|0?(f[Jx+20>>2]|0)==5:0;if((b[Xu>>0]|0)<0)fuc(f[e>>2]|0);if(!Ix)$w=2193}while(0);if(($w|0)==2193){$w=0;f[Hu>>2]=0;f[Iu>>2]=0;f[e>>2]=Ju;Sw=Ku;Tw=Sw+36|0;do{f[Sw>>2]=0;Sw=Sw+4|0}while((Sw|0)<(Tw|0));RE(h,r,396686);if((ZEa(o,h)|0)!=(qa|0)){$w=2194;break b}f[Qw>>2]=0;b[Lu>>0]=7;b[v>>0]=b[415791]|0;b[v+1>>0]=b[415792]|0;b[v+2>>0]=b[415793]|0;b[v+3>>0]=b[415794]|0;b[v+4>>0]=b[415795]|0;b[v+5>>0]=b[415796]|0;b[v+6>>0]=b[415797]|0;b[Mu>>0]=0;Dx=sLa(c,h,v,e)|0;if((b[Lu>>0]|0)<0)fuc(f[v>>2]|0);Yw=cEa(o,h)|0;f[Yw>>2]=Dx;ouc(v,r);f[Nu>>2]=0;TFa(a,o,c,v,Dx,0);if((b[Ou>>0]|0)<0)fuc(f[v>>2]|0);if((b[Pu>>0]|0)<0)fuc(f[h>>2]|0);if((b[Ru>>0]|0)<0)fuc(f[Qu>>2]|0);if((b[Tu>>0]|0)<0)fuc(f[Su>>2]|0);ut(Uu);lEa(e,f[Ju>>2]|0)}Dx=f[Vu>>2]|0;do if(Dx|0){Yw=Dx+12|0;Ix=f[Yw>>2]|0;f[Yw>>2]=Ix+-1;if((Ix|0)!=1)break;aU(i)}while(0);f[Vu>>2]=0;f[ou>>2]=0;f[ou+4>>2]=0;f[ou+8>>2]=0;f[ou+12>>2]=0;if((f[lu>>2]|0)>0){Dx=f[pu>>2]|0;Ix=0;do{f[Dx+(Ix<<2)>>2]=0;Ix=Ix+1|0}while((Ix|0)<(f[lu>>2]|0))}Ix=f[qu>>2]|0;if((Ix|0)!=(Wu|0))TC(Ix);break c}else{fB=YA;gB=ZA}while(0);do if(((fB<<24>>24<0?gB:fB&255)|0)==11){if(Puc(s,0,-1,396740,11)|0){lB=b[Ia>>0]|0;mB=f[Pa>>2]|0;break}if((f[Da>>2]|0)!=3){$w=2219;break b}f[_u>>2]=0;f[$u>>2]=0;f[na>>2]=av;Ix=f[l>>2]|0;if((Ix|0)!=(xa|0)){Dx=Ix;while(1){Ix=Dx+16|0;f[h>>2]=Cv;f[e>>2]=f[h>>2];PFa(na,e,Ix,Ix)|0;Ix=f[Dx+4>>2]|0;do if(!Ix){Yw=Dx+8|0;Jx=f[Yw>>2]|0;if((f[Jx>>2]|0)==(Dx|0)){nB=Jx;break}else oB=Yw;do{Yw=f[oB>>2]|0;oB=Yw+8|0;Jx=f[oB>>2]|0}while((f[Jx>>2]|0)!=(Yw|0));nB=Jx}else{Xw=Ix;while(1){Jx=f[Xw>>2]|0;if(!Jx)break;else Xw=Jx}nB=Xw}while(0);if((nB|0)==(xa|0))break;else Dx=nB}}CHa(i,QFa(a,q,na,1,0)|0);_Da(na,f[av>>2]|0);f[bv>>2]=0;f[cv>>2]=0;f[oa>>2]=dv;Dx=f[l>>2]|0;if((Dx|0)!=(xa|0)){Ix=Dx;while(1){Dx=Ix+16|0;f[h>>2]=Bv;f[e>>2]=f[h>>2];PFa(oa,e,Dx,Dx)|0;Dx=f[Ix+4>>2]|0;do if(!Dx){Jx=Ix+8|0;Yw=f[Jx>>2]|0;if((f[Yw>>2]|0)==(Ix|0)){pB=Yw;break}else qB=Jx;do{Jx=f[qB>>2]|0;qB=Jx+8|0;Yw=f[qB>>2]|0}while((f[Yw>>2]|0)!=(Jx|0));pB=Yw}else{Xw=Dx;while(1){Yw=f[Xw>>2]|0;if(!Yw)break;else Xw=Yw}pB=Xw}while(0);if((pB|0)==(xa|0))break;else Ix=pB}}CHa(v,QFa(a,q,oa,2,0)|0);_Da(oa,f[dv>>2]|0);rB=f[ev>>2]|0;sB=(rB|0)<3;if(sB)tB=Y(f[gv>>2]|0,f[fv>>2]|0)|0;else{Ix=f[yv>>2]|0;Dx=0;Yw=1;while(1){Jx=Y(f[Ix+(Dx<<2)>>2]|0,Yw)|0;Dx=Dx+1|0;if((Dx|0)==(rB|0)){tB=Jx;break}else Yw=Jx}}if((tB|0)!=1){$w=2239;break b}uB=f[i>>2]&4095;if((uB|0)!=5){$w=2245;break b}vB=f[hv>>2]|0;wB=(vB|0)<3;if(wB)xB=Y(f[jv>>2]|0,f[iv>>2]|0)|0;else{Yw=f[uv>>2]|0;Dx=0;Ix=1;while(1){Jx=Y(f[Yw+(Dx<<2)>>2]|0,Ix)|0;Dx=Dx+1|0;if((Dx|0)==(vB|0)){xB=Jx;break}else Ix=Jx}}if((xB|0)!=1){$w=2251;break b}yB=f[v>>2]&4095;if((yB|0)!=5){$w=2257;break b};f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[kv>>0]=9;Sw=e;vx=446372;Tw=Sw+9|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[lv>>0]=0;jEa(t,e,f[mv>>2]|0)|0;if((b[kv>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[nv>>0]=9;Sw=e;vx=446382;Tw=Sw+9|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[ov>>0]=0;jEa(t,e,f[pv>>2]|0)|0;if((b[nv>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[qv>>0]=5;b[e>>0]=b[415879]|0;b[e+1>>0]=b[415880]|0;b[e+2>>0]=b[415881]|0;b[e+3>>0]=b[415882]|0;b[e+4>>0]=b[415883]|0;b[rv>>0]=0;Ix=sLa(c,r,e,t)|0;if((b[qv>>0]|0)<0)fuc(f[e>>2]|0);Dx=cEa(o,r)|0;f[Dx>>2]=Ix;SFa(e,f[(f[Fa>>2]|0)+4>>2]|0);TFa(a,o,c,e,Ix,0);if((b[sv>>0]|0)<0)fuc(f[e>>2]|0);Ix=f[tv>>2]|0;do if(Ix|0){Dx=Ix+12|0;Yw=f[Dx>>2]|0;f[Dx>>2]=Yw+-1;if((Yw|0)!=1)break;aU(v)}while(0);f[tv>>2]=0;f[pv>>2]=0;f[pv+4>>2]=0;f[pv+8>>2]=0;f[pv+12>>2]=0;if((f[hv>>2]|0)>0){Ix=f[uv>>2]|0;Yw=0;do{f[Ix+(Yw<<2)>>2]=0;Yw=Yw+1|0}while((Yw|0)<(f[hv>>2]|0))}Yw=f[vv>>2]|0;if((Yw|0)!=(wv|0))TC(Yw);Yw=f[xv>>2]|0;do if(Yw|0){Ix=Yw+12|0;Dx=f[Ix>>2]|0;f[Ix>>2]=Dx+-1;if((Dx|0)!=1)break;aU(i)}while(0);f[xv>>2]=0;f[mv>>2]=0;f[mv+4>>2]=0;f[mv+8>>2]=0;f[mv+12>>2]=0;if((f[ev>>2]|0)>0){Yw=f[yv>>2]|0;Dx=0;do{f[Yw+(Dx<<2)>>2]=0;Dx=Dx+1|0}while((Dx|0)<(f[ev>>2]|0))}Dx=f[zv>>2]|0;if((Dx|0)!=(Av|0))TC(Dx);break c}else{lB=fB;mB=gB}while(0);do if(((lB<<24>>24<0?mB:lB&255)|0)==3){if(!(Puc(s,0,-1,396752,3)|0))break;zB=b[Ia>>0]|0;AB=f[Pa>>2]|0;$w=2286}else{zB=lB;AB=mB;$w=2286}while(0);do if(($w|0)==2286){$w=0;if(((zB<<24>>24<0?AB:zB&255)|0)==4){if(!(Puc(s,0,-1,403763,4)|0))break;BB=b[Ia>>0]|0;CB=f[Pa>>2]|0}else{BB=zB;CB=AB}if(((BB<<24>>24<0?CB:BB&255)|0)==7){if(!(Puc(s,0,-1,415905,7)|0))break;DB=b[Ia>>0]|0;EB=f[Pa>>2]|0}else{DB=BB;EB=CB}if(((DB<<24>>24<0?EB:DB&255)|0)==4){if(!(Puc(s,0,-1,396756,4)|0))break;FB=b[Ia>>0]|0;GB=f[Pa>>2]|0}else{FB=DB;GB=EB}if(((FB<<24>>24<0?GB:FB&255)|0)==3){if(!(Puc(s,0,-1,396761,3)|0))break;HB=b[Ia>>0]|0;IB=f[Pa>>2]|0}else{HB=FB;IB=GB}if(((HB<<24>>24<0?IB:HB&255)|0)==8){if(!(Puc(s,0,-1,445347,8)|0))break;JB=b[Ia>>0]|0;KB=f[Pa>>2]|0}else{JB=HB;KB=IB}if(((JB<<24>>24<0?KB:JB&255)|0)==5?(Puc(s,0,-1,401528,5)|0)==0:0)break;T5b(Sb);UFa(i,Tb);Dx=f[Fv>>2]|0;Yw=f[Dx+12>>2]|0;Ix=f[Dx+4>>2]|0;h:do if(Ix>>>0>Yw>>>0){Jx=f[Dx+16>>2]|0;Aa=Yw;while(1){LB=f[Jx+(Aa<<2)>>2]|0;if(LB|0)break;jz=Aa+1|0;if(jz>>>0<Ix>>>0)Aa=jz;else{MB=0;NB=jz;break h}}if((LB|0)==(f[Jx+((Aa^1)<<2)>>2]|0)){MB=f[(f[LB>>2]|0)+16>>2]|0;NB=Aa;break}else{MB=LB;NB=Aa;break}}else{MB=0;NB=Yw}while(0);f[e>>2]=MB;f[Gv>>2]=Dx;f[Hv>>2]=NB;if(MB|0){Yw=MB;do{Ix=f[Yw+12>>2]|0;if((f[Ix+36>>2]|0)==2){vEa(t,Ix,f[Ix+24>>2]|0)|0;OB=f[e>>2]|0}else OB=Yw;Ix=f[OB+12>>2]|0;if((f[Ix+36>>2]|0)==3){jz=f[OB+12>>2]|0;if((f[jz+36>>2]|0)==3){Cx=jz+24|0;PB=f[Cx>>2]|0;QB=f[Cx+4>>2]|0}else{PB=0;QB=0}Cx=h;f[Cx>>2]=PB;f[Cx+4>>2]=QB;gGa(t,Ix,h)|0;RB=f[e>>2]|0}else RB=OB;Ix=f[RB+12>>2]|0;if((f[Ix+36>>2]|0)==4){Cx=f[RB+12>>2]|0;if((f[Cx+36>>2]|0)==4)SB=+n[Cx+24>>2];else SB=0.0;n[h>>2]=SB;jEa(t,Ix,h)|0;TB=f[e>>2]|0}else TB=RB;Ix=f[TB+12>>2]|0;if((f[Ix+36>>2]|0)==5){Cx=f[TB+12>>2]|0;if((f[Cx+36>>2]|0)==5)UB=(b[Cx+24>>0]|0)!=0;else UB=0;b[h>>0]=UB&1;zEa(t,Ix,h)|0}mGa(e)|0;Yw=f[e>>2]|0}while((Yw|0)!=0)}f[v>>2]=0;f[Iv>>2]=0;f[Jv>>2]=0;if((f[Da>>2]|0)>0){Yw=0;do{do if((ZEa(l,f[(f[Fa>>2]|0)+4+(Yw<<2)>>2]|0)|0)==(xa|0)){Dx=f[(f[Fa>>2]|0)+4+(Yw<<2)>>2]|0;Ix=f[Iv>>2]|0;if((Ix|0)==(f[Kv>>2]|0)){fEa(v,Dx);break}else{ouc(Ix,Dx);f[Iv>>2]=(f[Iv>>2]|0)+12;break}}else{f[Lv>>2]=0;f[Mv>>2]=0;f[pa>>2]=Nv;Dx=f[l>>2]|0;if((Dx|0)!=(xa|0)){Ix=Dx;while(1){Dx=Ix+16|0;f[h>>2]=$v;f[e>>2]=f[h>>2];PFa(pa,e,Dx,Dx)|0;Dx=f[Ix+4>>2]|0;do if(!Dx){Cx=Ix+8|0;jz=f[Cx>>2]|0;if((f[jz>>2]|0)==(Ix|0)){VB=jz;break}else WB=Cx;do{Cx=f[WB>>2]|0;WB=Cx+8|0;jz=f[WB>>2]|0}while((f[jz>>2]|0)!=(Cx|0));VB=jz}else{jz=Dx;while(1){Cx=f[jz>>2]|0;if(!Cx)break;else jz=Cx}VB=jz}while(0);if((VB|0)==(xa|0))break;else Ix=VB}}CHa(w,QFa(a,q,pa,Yw,0)|0);_Da(pa,f[Nv>>2]|0);Ix=f[dl>>2]|0;if((Ix|0)==(f[Ov>>2]|0))ot(Yb,w);else{f[Ix>>2]=f[w>>2];Xw=Ix+4|0;f[Xw>>2]=f[Rv>>2];Dx=Ix+8|0;f[Dx>>2]=f[Vv>>2];f[Ix+12>>2]=f[Wv>>2];f[Ix+16>>2]=f[Qv>>2];f[Ix+20>>2]=f[Xv>>2];f[Ix+24>>2]=f[Yv>>2];f[Ix+28>>2]=f[Zv>>2];f[Ix+32>>2]=f[_v>>2];Bx=f[Pv>>2]|0;f[Ix+36>>2]=Bx;f[Ix+40>>2]=Dx;Dx=Ix+48|0;Cx=Ix+44|0;f[Cx>>2]=Dx;f[Dx>>2]=0;f[Ix+52>>2]=0;if(Bx|0){Dx=Bx+12|0;f[Dx>>2]=(f[Dx>>2]|0)+1}if((f[Rv>>2]|0)<3){Dx=f[Tv>>2]|0;Bx=f[Cx>>2]|0;f[Bx>>2]=f[Dx>>2];f[Bx+4>>2]=f[Dx+4>>2]}else{f[Xw>>2]=0;$T(Ix,w)}f[dl>>2]=(f[dl>>2]|0)+56}Ix=f[Pv>>2]|0;do if(Ix|0){Xw=Ix+12|0;Dx=f[Xw>>2]|0;f[Xw>>2]=Dx+-1;if((Dx|0)!=1)break;aU(w)}while(0);f[Pv>>2]=0;f[Qv>>2]=0;f[Qv+4>>2]=0;f[Qv+8>>2]=0;f[Qv+12>>2]=0;if((f[Rv>>2]|0)>0){Ix=f[Sv>>2]|0;Dx=0;do{f[Ix+(Dx<<2)>>2]=0;Dx=Dx+1|0}while((Dx|0)<(f[Rv>>2]|0))}Dx=f[Tv>>2]|0;if((Dx|0)!=(Uv|0))TC(Dx)}while(0);Yw=Yw+1|0}while((Yw|0)<(f[Da>>2]|0))}Yw=sLa(c,r,s,t)|0;Aa=cEa(o,r)|0;f[Aa>>2]=Yw;Aa=f[Iv>>2]|0;Jx=f[v>>2]|0;Dx=Jx;if((Aa|0)==(Jx|0)){XB=Aa;YB=Dx}else{Aa=0;Jx=Dx;while(1){SFa(e,Jx+(Aa*12|0)|0);TFa(a,o,c,e,Yw,Aa);if((b[aw>>0]|0)<0)fuc(f[e>>2]|0);Aa=Aa+1|0;Dx=f[Iv>>2]|0;Ix=f[v>>2]|0;Xw=Ix;if(Aa>>>0>=((Dx-Ix|0)/12|0)>>>0){XB=Dx;YB=Xw;break}else Jx=Xw}}Jx=XB;if(YB|0){if((Jx|0)==(YB|0))ZB=YB;else{Aa=Jx;while(1){Jx=Aa+-12|0;f[Iv>>2]=Jx;if((b[Jx+11>>0]|0)<0){fuc(f[Jx>>2]|0);_B=f[Iv>>2]|0}else _B=Jx;if((_B|0)==(YB|0))break;else Aa=_B}ZB=f[v>>2]|0}fuc(ZB)}WFa(i);break c}while(0);ouc(e,s);Aa=b[Ia>>0]|0;Jx=f[Pa>>2]|0;do if(((Aa<<24>>24<0?Jx:Aa&255)|0)==3)if(!(Puc(s,0,-1,396752,3)|0)){wuc(e,415917)|0;break}else{$B=b[Ia>>0]|0;aC=f[Pa>>2]|0;$w=2307;break}else{$B=Aa;aC=Jx;$w=2307}while(0);i:do if(($w|0)==2307){$w=0;do if((($B<<24>>24<0?aC:$B&255)|0)==4)if(!(Puc(s,0,-1,403763,4)|0)){wuc(e,413190)|0;break i}else{bC=b[Ia>>0]|0;cC=f[Pa>>2]|0;break}else{bC=$B;cC=aC}while(0);do if(((bC<<24>>24<0?cC:bC&255)|0)==4)if(!(Puc(s,0,-1,396756,4)|0)){wuc(e,445489)|0;break i}else{dC=b[Ia>>0]|0;eC=f[Pa>>2]|0;break}else{dC=bC;eC=cC}while(0);do if(((dC<<24>>24<0?eC:dC&255)|0)==5)if(!(Puc(s,0,-1,401528,5)|0)){wuc(e,415879)|0;break i}else{fC=b[Ia>>0]|0;gC=f[Pa>>2]|0;break}else{fC=dC;gC=eC}while(0);if(((fC<<24>>24<0?gC:fC&255)|0)!=3)break;if(Puc(s,0,-1,396761,3)|0)break;wuc(e,415913)|0}while(0);Jx=sLa(c,r,e,t)|0;Aa=cEa(o,r)|0;f[Aa>>2]=Jx;SFa(h,f[(f[Fa>>2]|0)+4>>2]|0);Aa=f[Da>>2]|0;if((Aa|0)>0){Yw=0;do{TFa(a,o,c,h,Jx,Yw);Yw=Yw+1|0}while((Yw|0)!=(Aa|0))}if((b[Dv>>0]|0)<0)fuc(f[h>>2]|0);if((b[Ev>>0]|0)<0)fuc(f[e>>2]|0);break c}while(0);switch(f[Da>>2]|0){case 2:{f[Eq>>2]=0;f[Fq>>2]=0;f[ha>>2]=Gq;Aa=f[l>>2]|0;if((Aa|0)!=(xa|0)){Yw=Aa;while(1){Aa=Yw+16|0;f[h>>2]=Tq;f[e>>2]=f[h>>2];PFa(ha,e,Aa,Aa)|0;Aa=f[Yw+4>>2]|0;do if(!Aa){Jx=Yw+8|0;Xw=f[Jx>>2]|0;if((f[Xw>>2]|0)==(Yw|0)){hC=Xw;break}else iC=Jx;do{Jx=f[iC>>2]|0;iC=Jx+8|0;Xw=f[iC>>2]|0}while((f[Xw>>2]|0)!=(Jx|0));hC=Xw}else{Xw=Aa;while(1){Jx=f[Xw>>2]|0;if(!Jx)break;else Xw=Jx}hC=Xw}while(0);if((hC|0)==(xa|0))break;else Yw=hC}}CHa(i,QFa(a,q,ha,1,0)|0);_Da(ha,f[Gq>>2]|0);jC=f[i>>2]&4095;if((jC|0)!=4){$w=1798;break b}kC=f[Hq>>2]|0;lC=(kC|0)<3;if(lC)mC=Y(f[Jq>>2]|0,f[Iq>>2]|0)|0;else{Yw=f[Rq>>2]|0;Aa=0;Jx=1;while(1){Dx=Y(f[Yw+(Aa<<2)>>2]|0,Jx)|0;Aa=Aa+1|0;if((Aa|0)==(kC|0)){mC=Dx;break}else Jx=Dx}}if((mC|0)!=2){$w=1804;break b};f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[Kq>>0]=6;b[e>>0]=b[461834]|0;b[e+1>>0]=b[461835]|0;b[e+2>>0]=b[461836]|0;b[e+3>>0]=b[461837]|0;b[e+4>>0]=b[461838]|0;b[e+5>>0]=b[461839]|0;b[Lq>>0]=0;xEa(t,e,f[Mq>>2]|0)|0;if((b[Kq>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[Oq>>0]=5;b[e>>0]=b[461828]|0;b[e+1>>0]=b[461829]|0;b[e+2>>0]=b[461830]|0;b[e+3>>0]=b[461831]|0;b[e+4>>0]=b[461832]|0;b[Pq>>0]=0;xEa(t,e,(f[Mq>>2]|0)+4|0)|0;if((b[Oq>>0]|0)<0)fuc(f[e>>2]|0);Jx=f[Qq>>2]|0;do if(Jx|0){Aa=Jx+12|0;Yw=f[Aa>>2]|0;f[Aa>>2]=Yw+-1;if((Yw|0)!=1)break;aU(i)}while(0);f[Qq>>2]=0;f[Mq>>2]=0;f[Mq+4>>2]=0;f[Mq+8>>2]=0;f[Mq+12>>2]=0;if((f[Hq>>2]|0)>0){Jx=f[Rq>>2]|0;Yw=0;do{f[Jx+(Yw<<2)>>2]=0;Yw=Yw+1|0}while((Yw|0)<(f[Hq>>2]|0))}Yw=f[Nq>>2]|0;if((Yw|0)!=(Sq|0))TC(Yw);break}case 3:{f[lr>>2]=0;f[mr>>2]=0;f[ia>>2]=nr;Yw=f[l>>2]|0;if((Yw|0)!=(xa|0)){Jx=Yw;while(1){Yw=Jx+16|0;f[h>>2]=Or;f[e>>2]=f[h>>2];PFa(ia,e,Yw,Yw)|0;Yw=f[Jx+4>>2]|0;do if(!Yw){Aa=Jx+8|0;Dx=f[Aa>>2]|0;if((f[Dx>>2]|0)==(Jx|0)){nC=Dx;break}else oC=Aa;do{Aa=f[oC>>2]|0;oC=Aa+8|0;Dx=f[oC>>2]|0}while((f[Dx>>2]|0)!=(Aa|0));nC=Dx}else{Xw=Yw;while(1){Dx=f[Xw>>2]|0;if(!Dx)break;else Xw=Dx}nC=Xw}while(0);if((nC|0)==(xa|0))break;else Jx=nC}}CHa(i,QFa(a,q,ia,1,0)|0);_Da(ia,f[nr>>2]|0);f[or>>2]=0;f[pr>>2]=0;f[ja>>2]=qr;Jx=f[l>>2]|0;if((Jx|0)!=(xa|0)){Yw=Jx;while(1){Jx=Yw+16|0;f[h>>2]=Nr;f[e>>2]=f[h>>2];PFa(ja,e,Jx,Jx)|0;Jx=f[Yw+4>>2]|0;do if(!Jx){Dx=Yw+8|0;Aa=f[Dx>>2]|0;if((f[Aa>>2]|0)==(Yw|0)){pC=Aa;break}else qC=Dx;do{Dx=f[qC>>2]|0;qC=Dx+8|0;Aa=f[qC>>2]|0}while((f[Aa>>2]|0)!=(Dx|0));pC=Aa}else{Xw=Jx;while(1){Aa=f[Xw>>2]|0;if(!Aa)break;else Xw=Aa}pC=Xw}while(0);if((pC|0)==(xa|0))break;else Yw=pC}}CHa(v,QFa(a,q,ja,2,0)|0);_Da(ja,f[qr>>2]|0);rC=f[i>>2]&4095;if((rC|0)!=4){$w=1837;break b}sC=f[rr>>2]|0;tC=(sC|0)<3;if(tC)uC=Y(f[tr>>2]|0,f[sr>>2]|0)|0;else{Yw=f[Kr>>2]|0;Jx=0;Aa=1;while(1){Dx=Y(f[Yw+(Jx<<2)>>2]|0,Aa)|0;Jx=Jx+1|0;if((Jx|0)==(sC|0)){uC=Dx;break}else Aa=Dx}}if((uC|0)!=1){$w=1843;break b}vC=f[v>>2]&4095;if((vC|0)!=4){$w=1849;break b}wC=f[ur>>2]|0;xC=(wC|0)<3;if(xC)yC=Y(f[wr>>2]|0,f[vr>>2]|0)|0;else{Aa=f[Gr>>2]|0;Jx=0;Yw=1;while(1){Dx=Y(f[Aa+(Jx<<2)>>2]|0,Yw)|0;Jx=Jx+1|0;if((Jx|0)==(wC|0)){yC=Dx;break}else Yw=Dx}}if((yC|0)!=1){$w=1855;break b};f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;Yw=cuc(16)|0;f[e>>2]=Yw;f[xr>>2]=-2147483632;f[yr>>2]=13;Sw=Yw;vx=454009;Tw=Sw+13|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[Yw+13>>0]=0;xEa(t,e,f[zr>>2]|0)|0;if((b[Ar>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;Jx=cuc(16)|0;f[e>>2]=Jx;f[Br>>2]=-2147483632;f[Cr>>2]=13;Sw=Jx;vx=454023;Tw=Sw+13|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[Jx+13>>0]=0;xEa(t,e,f[Dr>>2]|0)|0;if((b[Er>>0]|0)<0)fuc(f[e>>2]|0);Yw=f[Fr>>2]|0;do if(Yw|0){Aa=Yw+12|0;Dx=f[Aa>>2]|0;f[Aa>>2]=Dx+-1;if((Dx|0)!=1)break;aU(v)}while(0);f[Fr>>2]=0;f[zr>>2]=0;f[zr+4>>2]=0;f[zr+8>>2]=0;f[zr+12>>2]=0;if((f[ur>>2]|0)>0){Yw=f[Gr>>2]|0;Jx=0;do{f[Yw+(Jx<<2)>>2]=0;Jx=Jx+1|0}while((Jx|0)<(f[ur>>2]|0))}Jx=f[Hr>>2]|0;if((Jx|0)!=(Ir|0))TC(Jx);Jx=f[Jr>>2]|0;do if(Jx|0){Yw=Jx+12|0;Dx=f[Yw>>2]|0;f[Yw>>2]=Dx+-1;if((Dx|0)!=1)break;aU(i)}while(0);f[Jr>>2]=0;f[Dr>>2]=0;f[Dr+4>>2]=0;f[Dr+8>>2]=0;f[Dr+12>>2]=0;if((f[rr>>2]|0)>0){Jx=f[Kr>>2]|0;Dx=0;do{f[Jx+(Dx<<2)>>2]=0;Dx=Dx+1|0}while((Dx|0)<(f[rr>>2]|0))}Dx=f[Lr>>2]|0;if((Dx|0)!=(Mr|0))TC(Dx);break}default:{$w=1881;break b}}Dx=b[Ia>>0]|0;do if(((Dx<<24>>24<0?f[Pa>>2]|0:Dx&255)|0)==21){if(Puc(s,0,-1,399479,21)|0){$w=1887;break};f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;Jx=cuc(16)|0;f[e>>2]=Jx;f[Uq>>2]=-2147483632;f[Vq>>2]=13;Sw=Jx;vx=454253;Tw=Sw+13|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[Jx+13>>0]=0;kGa(t,e,454267)|0;if((b[Wq>>0]|0)<0)fuc(f[e>>2]|0)}else $w=1887;while(0);if(($w|0)==1887){$w=0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;Dx=cuc(16)|0;f[e>>2]=Dx;f[ir>>2]=-2147483632;f[jr>>2]=13;Sw=Dx;vx=454253;Tw=Sw+13|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[Dx+13>>0]=0;lGa(t,e,454275)|0;if((b[kr>>0]|0)<0)fuc(f[e>>2]|0)};f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;Yw=cuc(16)|0;f[i>>2]=Yw;f[Xq>>2]=-2147483632;f[Yq>>2]=13;Sw=Yw;vx=454342;Tw=Sw+13|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[Yw+13>>0]=0;T5b(Sb);UFa(h,Tb);VFa(e,f[Zq>>2]|0,i,0);Dx=(f[e>>2]|0)==0;WFa(h);if((b[_q>>0]|0)<0)fuc(f[i>>2]|0);if(!Dx){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;Dx=cuc(16)|0;f[e>>2]=Dx;f[cr>>2]=-2147483632;f[dr>>2]=13;Sw=Dx;vx=454342;Tw=Sw+13|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[Dx+13>>0]=0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;Yw=cuc(16)|0;f[i>>2]=Yw;f[er>>2]=-2147483632;f[fr>>2]=13;Sw=Yw;vx=454342;Tw=Sw+13|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[Yw+13>>0]=0;T5b(Sb);Dx=XFa(Tb,i)|0;b[h>>0]=(b[Dx+8>>0]|0?(f[Dx+20>>2]|0)==5:0)&1;zEa(t,e,h)|0;if((b[gr>>0]|0)<0)fuc(f[i>>2]|0);if((b[hr>>0]|0)<0)fuc(f[e>>2]|0)};f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[$q>>0]=6;b[e>>0]=b[445179]|0;b[e+1>>0]=b[445180]|0;b[e+2>>0]=b[445181]|0;b[e+3>>0]=b[445182]|0;b[e+4>>0]=b[445183]|0;b[e+5>>0]=b[445184]|0;b[ar>>0]=0;Dx=sLa(c,r,e,t)|0;if((b[$q>>0]|0)<0)fuc(f[e>>2]|0);Aa=cEa(o,r)|0;f[Aa>>2]=Dx;SFa(e,f[(f[Fa>>2]|0)+4>>2]|0);TFa(a,o,c,e,Dx,0);if((b[br>>0]|0)<0)fuc(f[e>>2]|0);break c}while(0);Dx=b[Ia>>0]|0;if(((Dx<<24>>24<0?f[Pa>>2]|0:Dx&255)|0)==6?(Puc(s,0,-1,445316,6)|0)==0:0)zC=0;else zC=(f[Da>>2]|0)+-1|0;f[Si>>2]=0;f[Ti>>2]=0;f[R>>2]=Ui;Dx=f[l>>2]|0;if((Dx|0)!=(xa|0)){Aa=Dx;while(1){Dx=Aa+16|0;f[h>>2]=aj;f[e>>2]=f[h>>2];PFa(R,e,Dx,Dx)|0;Dx=f[Aa+4>>2]|0;do if(!Dx){Ix=Aa+8|0;Bx=f[Ix>>2]|0;if((f[Bx>>2]|0)==(Aa|0)){AC=Bx;break}else BC=Ix;do{Ix=f[BC>>2]|0;BC=Ix+8|0;Bx=f[BC>>2]|0}while((f[Bx>>2]|0)!=(Ix|0));AC=Bx}else{Jx=Dx;while(1){Bx=f[Jx>>2]|0;if(!Bx)break;else Jx=Bx}AC=Jx}while(0);if((AC|0)==(xa|0))break;else Aa=AC}}Aa=(QFa(a,q,R,zC,0)|0)+48|0;Dx=f[(f[Aa>>2]|0)+4>>2]|0;_Da(R,f[Ui>>2]|0);f[i>>2]=Dx;puc(e,r,0,Ouc(r,58,-1)|0,r);Dx=NFa(k,e)|0;if((b[Vi>>0]|0)<0)fuc(f[e>>2]|0);do if((Dx|0)!=(ua|0)){if(f[Dx+28>>2]|0)break;Aa=f[i>>2]|0;Yw=Aa+4|0;if(Yw>>>0>=8){$w=1043;break b}do if(Aa)if((Aa|0)>0){CC=((Aa>>>0)%3|0)+1|0;break}else{CC=((Yw>>>0)%3|0)+1|0;break}else CC=0;while(0);f[i>>2]=CC}while(0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[Wi>>0]=4;f[e>>2]=1936291937;b[Yi>>0]=0;xEa(t,e,i)|0;if((b[Wi>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[Zi>>0]=6;b[e>>0]=b[445316]|0;b[e+1>>0]=b[445317]|0;b[e+2>>0]=b[445318]|0;b[e+3>>0]=b[445319]|0;b[e+4>>0]=b[445320]|0;b[e+5>>0]=b[445321]|0;b[_i>>0]=0;Dx=sLa(c,r,e,t)|0;if((b[Zi>>0]|0)<0)fuc(f[e>>2]|0);Yw=cEa(o,r)|0;f[Yw>>2]=Dx;Yw=b[Ia>>0]|0;Aa=f[Pa>>2]|0;if(((Yw<<24>>24<0?Aa:Yw&255)|0)==6){Bx=(Puc(s,0,-1,445316,6)|0)==0;DC=Bx;EC=b[Ia>>0]|0;FC=f[Pa>>2]|0}else{DC=0;EC=Yw;FC=Aa}Aa=DC&1;do if(((EC<<24>>24<0?FC:EC&255)|0)==6){if(Puc(s,0,-1,445316,6)|0){$w=1058;break}GC=f[Da>>2]|0}else $w=1058;while(0);if(($w|0)==1058){$w=0;GC=(f[Da>>2]|0)+-1|0}if((Aa|0)<(GC|0)){Yw=Aa;do{SFa(e,f[(f[Fa>>2]|0)+4+(Yw<<2)>>2]|0);if((ZEa(o,e)|0)==(qa|0)){$w=1062;break b}TFa(a,o,c,e,Dx,Yw-Aa|0);if((b[$i>>0]|0)<0)fuc(f[e>>2]|0);Yw=Yw+1|0}while((Yw|0)<(GC|0))}break c}while(0);SFa(i,f[(f[Fa>>2]|0)+4>>2]|0);Yw=f[(f[Fa>>2]|0)+4>>2]|0;puc(e,Yw,0,Ouc(Yw,58,-1)|0,Yw);Yw=NFa(k,e)|0;if((b[jh>>0]|0)<0)fuc(f[e>>2]|0);if((Yw|0)==(ua|0))HC=2;else HC=f[Yw+28>>2]|0;Yw=b[Ia>>0]|0;j:do if(((Yw<<24>>24<0?f[Pa>>2]|0:Yw&255)|0)==7){if(Puc(s,0,-1,395755,7)|0){$w=885;break};f[v>>2]=0;f[v+4>>2]=0;f[v+8>>2]=0;Aa=cuc(16)|0;f[v>>2]=Aa;f[kh>>2]=-2147483632;f[lh>>2]=12;Sw=Aa;vx=395763;Tw=Sw+12|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[Aa+12>>0]=0;T5b(Sb);UFa(h,Tb);VFa(e,f[mh>>2]|0,v,0);Dx=(f[e>>2]|0)==0;WFa(h);if((b[nh>>0]|0)<0)fuc(f[v>>2]|0);if(Dx){$w=872;break b};f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;Dx=cuc(16)|0;f[e>>2]=Dx;f[oh>>2]=-2147483632;f[ph>>2]=12;Sw=Dx;vx=395763;Tw=Sw+12|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[Dx+12>>0]=0;T5b(Sb);Aa=XFa(Tb,e)|0;if((b[qh>>0]|0)<0)fuc(f[e>>2]|0);switch(HC|0){case 0:{Bx=(f[Aa+20>>2]|0)==1?f[Aa+8>>2]|0:535808;if((f[Bx+24>>2]|0)!=2){$w=879;break b}Ix=f[Bx+32>>2]|0;Bx=Ix+8|0;if(!((f[Bx>>2]|0)==1&(f[Bx+4>>2]|0)==0)){$w=879;break b}Bx=Ix+16|0;if((f[Bx>>2]|0)==2&(f[Bx+4>>2]|0)==0){$w=886;break j}else{$w=879;break b}break}case 1:{Bx=(f[Aa+20>>2]|0)==1?f[Aa+8>>2]|0:535808;if((f[Bx+24>>2]|0)!=2){$w=883;break b}Aa=f[Bx+32>>2]|0;Bx=Aa+8|0;if(!((f[Bx>>2]|0)==2&(f[Bx+4>>2]|0)==0)){$w=883;break b}Bx=Aa+16|0;if((f[Bx>>2]|0)==3&(f[Bx+4>>2]|0)==0)break j;else{$w=883;break b}break}default:{$w=884;break b}}}else $w=885;while(0);if(($w|0)==885?($w=0,(HC|0)==0):0)$w=886;if(($w|0)==886){$w=0;f[rh>>2]=0;f[th>>2]=0;f[e>>2]=uh;Sw=vh;Tw=Sw+36|0;do{f[Sw>>2]=0;Sw=Sw+4|0}while((Sw|0)<(Tw|0));f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;b[wh>>0]=5;b[h>>0]=b[471004]|0;b[h+1>>0]=b[471005]|0;b[h+2>>0]=b[471006]|0;b[h+3>>0]=b[471007]|0;b[h+4>>0]=b[471008]|0;b[xh>>0]=0;Yw=cuc(16)|0;f[Yw>>2]=Yw+8;f[Yw+4>>2]=4;Bx=euc(32)|0;f[Yw>>2]=Bx;f[v>>2]=0;f[yh>>2]=Yw;Yw=Bx;f[Yw>>2]=0;f[Yw+4>>2]=0;Yw=Bx+8|0;f[Yw>>2]=2;f[Yw+4>>2]=0;Yw=Bx+16|0;f[Yw>>2]=3;f[Yw+4>>2]=0;Yw=Bx+24|0;f[Yw>>2]=1;f[Yw+4>>2]=0;wEa(e,h,v)|0;mEa(v);if((b[wh>>0]|0)<0)fuc(f[h>>2]|0);RE(h,r,395707);if((ZEa(o,h)|0)!=(qa|0)){$w=889;break b}f[pw>>2]=0;b[zh>>0]=7;b[v>>0]=b[445259]|0;b[v+1>>0]=b[445260]|0;b[v+2>>0]=b[445261]|0;b[v+3>>0]=b[445262]|0;b[v+4>>0]=b[445263]|0;b[v+5>>0]=b[445264]|0;b[v+6>>0]=b[445265]|0;b[Ah>>0]=0;Yw=sLa(c,h,v,e)|0;if((b[zh>>0]|0)<0)fuc(f[v>>2]|0);Bx=cEa(o,h)|0;f[Bx>>2]=Yw;TFa(a,o,c,i,Yw,0);ouc(v,h);f[Bh>>2]=0;if((b[Ch>>0]|0)<0){b[f[i>>2]>>0]=0;f[Dh>>2]=0}else{b[i>>0]=0;b[Ch>>0]=0}vuc(i,0);f[i>>2]=f[v>>2];f[i+4>>2]=f[v+4>>2];f[i+8>>2]=f[v+8>>2];f[v>>2]=0;f[v+4>>2]=0;f[v+8>>2]=0;f[Eh>>2]=f[Bh>>2];if((b[Fh>>0]|0)<0)fuc(f[h>>2]|0);if((b[Hh>>0]|0)<0)fuc(f[Gh>>2]|0);if((b[Jh>>0]|0)<0)fuc(f[Ih>>2]|0);ut(Kh);lEa(e,f[uh>>2]|0)}f[qw>>2]=0;b[Lh>>0]=7;b[e>>0]=b[415791]|0;b[e+1>>0]=b[415792]|0;b[e+2>>0]=b[415793]|0;b[e+3>>0]=b[415794]|0;b[e+4>>0]=b[415795]|0;b[e+5>>0]=b[415796]|0;b[e+6>>0]=b[415797]|0;b[Mh>>0]=0;Yw=sLa(c,r,e,t)|0;if((b[Lh>>0]|0)<0)fuc(f[e>>2]|0);Bx=cEa(o,r)|0;f[Bx>>2]=Yw;TFa(a,o,c,i,Yw,0);Yw=cEa(k,r)|0;f[Yw>>2]=3;if((b[Ch>>0]|0)<0)fuc(f[i>>2]|0);break c}while(0);Yw=0;Bx=f[Da>>2]|0;while(1){if((Yw|0)>=(Bx|0)){$w=576;break}SFa(e,f[(f[Fa>>2]|0)+4+(Yw<<2)>>2]|0);Aa=(ZEa(l,e)|0)==(xa|0);if((b[Wd>>0]|0)<0)fuc(f[e>>2]|0);Bx=f[Da>>2]|0;if(!Aa)break;else Yw=Yw+1|0}if(($w|0)==576){$w=0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[oe>>0]=9;Sw=e;vx=456017;Tw=Sw+9|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[pe>>0]=0;eGa(t,e,456032)|0;if((b[oe>>0]|0)<0)fuc(f[e>>2]|0);f[iw>>2]=0;b[qe>>0]=7;b[e>>0]=b[445212]|0;b[e+1>>0]=b[445213]|0;b[e+2>>0]=b[445214]|0;b[e+3>>0]=b[445215]|0;b[e+4>>0]=b[445216]|0;b[e+5>>0]=b[445217]|0;b[e+6>>0]=b[445218]|0;b[re>>0]=0;Yw=sLa(c,r,e,t)|0;if((b[qe>>0]|0)<0)fuc(f[e>>2]|0);Aa=cEa(o,r)|0;f[Aa>>2]=Yw;if((f[Da>>2]|0)>0)IC=0;else break c;while(1){SFa(e,f[(f[Fa>>2]|0)+4+(IC<<2)>>2]|0);if((ZEa(o,e)|0)==(qa|0)){$w=582;break b}TFa(a,o,c,e,Yw,IC);if((b[se>>0]|0)<0)fuc(f[e>>2]|0);IC=IC+1|0;if((IC|0)>=(f[Da>>2]|0))break c}}if((Bx|0)!=2){$w=542;break b}f[Xd>>2]=0;f[Yd>>2]=0;f[H>>2]=Zd;Yw=f[l>>2]|0;if((Yw|0)!=(xa|0)){Aa=Yw;while(1){Yw=Aa+16|0;f[h>>2]=ne;f[e>>2]=f[h>>2];PFa(H,e,Yw,Yw)|0;Yw=f[Aa+4>>2]|0;if(!Yw){Ix=Aa+8|0;Cx=f[Ix>>2]|0;if((f[Cx>>2]|0)==(Aa|0))JC=Cx;else{Cx=Ix;do{Ix=f[Cx>>2]|0;Cx=Ix+8|0;Vw=f[Cx>>2]|0}while((f[Vw>>2]|0)!=(Ix|0));JC=Vw}}else{Cx=Yw;while(1){Vw=f[Cx>>2]|0;if(!Vw)break;else Cx=Vw}JC=Cx}if((JC|0)==(xa|0))break;else Aa=JC}}CHa(i,QFa(a,q,H,-1,0)|0);_Da(H,f[Zd>>2]|0);if((f[i>>2]&4095|0)!=5){$w=551;break b}Aa=f[_d>>2]|0;if((Aa|0)<3)KC=Y(f[ae>>2]|0,f[$d>>2]|0)|0;else{Bx=f[ie>>2]|0;Yw=0;Vw=1;while(1){Ix=Y(f[Bx+(Yw<<2)>>2]|0,Vw)|0;Yw=Yw+1|0;if((Yw|0)==(Aa|0)){KC=Ix;break}else Vw=Ix}}if((KC|0)==1){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[be>>0]=5;b[e>>0]=b[449460]|0;b[e+1>>0]=b[449461]|0;b[e+2>>0]=b[449462]|0;b[e+3>>0]=b[449463]|0;b[e+4>>0]=b[449464]|0;b[ce>>0]=0;jEa(t,e,f[de>>2]|0)|0;if((b[be>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[ee>>0]=5;b[e>>0]=b[458405]|0;b[e+1>>0]=b[458406]|0;b[e+2>>0]=b[458407]|0;b[e+3>>0]=b[458408]|0;b[e+4>>0]=b[458409]|0;b[fe>>0]=0;Vw=sLa(c,r,e,t)|0;if((b[ee>>0]|0)<0)fuc(f[e>>2]|0);LC=Vw}else{kt(Yb,1,i);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[le>>0]=5;b[e>>0]=b[416007]|0;b[e+1>>0]=b[416008]|0;b[e+2>>0]=b[416009]|0;b[e+3>>0]=b[416010]|0;b[e+4>>0]=b[416011]|0;b[me>>0]=0;Vw=sLa(c,r,e,t)|0;if((b[le>>0]|0)<0)fuc(f[e>>2]|0);LC=Vw}Vw=cEa(o,r)|0;f[Vw>>2]=LC;SFa(e,f[(f[Fa>>2]|0)+4>>2]|0);TFa(a,o,c,e,LC,0);if((b[ge>>0]|0)<0)fuc(f[e>>2]|0);Vw=f[he>>2]|0;do if(Vw|0){Aa=Vw+12|0;Yw=f[Aa>>2]|0;f[Aa>>2]=Yw+-1;if((Yw|0)!=1)break;aU(i)}while(0);f[he>>2]=0;f[de>>2]=0;f[de+4>>2]=0;f[de+8>>2]=0;f[de+12>>2]=0;if((f[_d>>2]|0)>0){Vw=f[ie>>2]|0;Yw=0;do{f[Vw+(Yw<<2)>>2]=0;Yw=Yw+1|0}while((Yw|0)<(f[_d>>2]|0))}Yw=f[je>>2]|0;if((Yw|0)!=(ke|0))TC(Yw);break c}while(0);ouc(v,f[(f[Fa>>2]|0)+4>>2]|0);f[w>>2]=0;Yw=b[Ia>>0]|0;Vw=f[Pa>>2]|0;if(((Yw<<24>>24<0?Vw:Yw&255)|0)==14)if(!(Puc(s,0,-1,395224,14)|0))$w=67;else{MC=b[Ia>>0]|0;NC=f[Pa>>2]|0;$w=65}else{MC=Yw;NC=Vw;$w=65}if(($w|0)==65){$w=0;if(((MC<<24>>24<0?NC:MC&255)|0)==3?(Puc(s,0,-1,395261,3)|0)==0:0)$w=67;else{OC=0;PC=0}}if(($w|0)==67){$w=0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;b[Qa>>0]=6;b[h>>0]=b[395217]|0;b[h+1>>0]=b[395218]|0;b[h+2>>0]=b[395219]|0;b[h+3>>0]=b[395220]|0;b[h+4>>0]=b[395221]|0;b[h+5>>0]=b[395222]|0;b[Ra>>0]=0;OFa(e,ta,r,h);Vw=f[e>>2]|0;Yw=f[Sa>>2]|0;f[w>>2]=Yw;Aa=Yw;if((Vw|0)==(Aa|0)){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;Yw=cuc(32)|0;f[h>>2]=Yw;f[Ta>>2]=-2147483616;f[Ua>>2]=21;Sw=Yw;vx=395239;Tw=Sw+21|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[Yw+21>>0]=0;OFa(e,ta,r,h);if(Vw|0){fuc(Vw);f[w>>2]=0}Bx=f[e>>2]|0;Ix=f[Va>>2]|0;f[w>>2]=Ix;f[Wa>>2]=0;f[Va>>2]=0;f[e>>2]=0;fuc(Yw);OC=Bx;PC=Ix}else{OC=Vw;PC=Aa}}Ix=b[Ia>>0]|0;Bx=f[Pa>>2]|0;do if(((Ix<<24>>24<0?Bx:Ix&255)|0)==14){if(Puc(s,0,-1,395224,14)|0){QC=b[Ia>>0]|0;RC=f[Pa>>2]|0;$w=189;break}if((f[Da>>2]|0)!=3){$w=75;break b}f[Xa>>2]=0;f[Ya>>2]=0;f[y>>2]=Za;Ww=f[l>>2]|0;if((Ww|0)!=(xa|0)){Uw=Ww;while(1){Ww=Uw+16|0;f[h>>2]=Pb;f[e>>2]=f[h>>2];PFa(y,e,Ww,Ww)|0;Ww=f[Uw+4>>2]|0;if(!Ww){xA=Uw+8|0;SC=f[xA>>2]|0;if((f[SC>>2]|0)==(Uw|0))UC=SC;else{SC=xA;do{xA=f[SC>>2]|0;SC=xA+8|0;VC=f[SC>>2]|0}while((f[VC>>2]|0)!=(xA|0));UC=VC}}else{SC=Ww;while(1){Cx=f[SC>>2]|0;if(!Cx)break;else SC=Cx}UC=SC}if((UC|0)==(xa|0))break;else Uw=UC}}Uw=QFa(a,q,y,1,0)|0;f[e>>2]=0;f[_a>>2]=0;f[$a>>2]=0;RFa(Uw,e);if((f[Uw+160>>2]|0)!=3){$w=84;break b}if(((f[_a>>2]|0)-(f[e>>2]|0)|0)!=4){$w=86;break b}CHa(h,Uw);if((f[h>>2]&4095|0)!=4){$w=88;break b}Uw=f[ab>>2]|0;Ww=f[bb>>2]|0;if((Ww|0)<3)WC=Y(f[db>>2]|0,f[cb>>2]|0)|0;else{Cx=f[gb>>2]|0;VC=0;xA=1;while(1){XC=Y(f[Cx+(VC<<2)>>2]|0,xA)|0;VC=VC+1|0;if((VC|0)==(Ww|0)){WC=XC;break}else xA=XC}}xA=cuc(16)|0;Ww=xA+8|0;f[xA>>2]=Ww;f[xA+4>>2]=WC;if(WC>>>0>1){VC=euc(WC>>>0>536870911?-1:WC<<3)|0;f[xA>>2]=VC;YC=VC}else YC=Ww;f[x>>2]=0;f[eb>>2]=xA;if((WC|0)>0){xA=Uw;Ww=0;while(1){VC=f[xA>>2]|0;Cx=YC+(Ww<<3)|0;f[Cx>>2]=VC;f[Cx+4>>2]=((VC|0)<0)<<31>>31;Ww=Ww+1|0;if((Ww|0)==(WC|0))break;else xA=xA+4|0}}xA=f[fb>>2]|0;do if(xA|0){Ww=xA+12|0;Uw=f[Ww>>2]|0;f[Ww>>2]=Uw+-1;if((Uw|0)!=1)break;aU(h)}while(0);f[fb>>2]=0;f[ab>>2]=0;f[ab+4>>2]=0;f[ab+8>>2]=0;f[ab+12>>2]=0;if((f[bb>>2]|0)>0){xA=f[gb>>2]|0;Uw=0;do{f[xA+(Uw<<2)>>2]=0;Uw=Uw+1|0}while((Uw|0)<(f[bb>>2]|0))}Uw=f[hb>>2]|0;if((Uw|0)!=(ib|0))TC(Uw);Uw=f[e>>2]|0;if(Uw|0){xA=f[_a>>2]|0;if((xA|0)!=(Uw|0))f[_a>>2]=xA+(~((xA+-4-Uw|0)>>>2)<<2);fuc(Uw)}_Da(y,f[Za>>2]|0);ZC=f[x>>2]|0;switch(ZC|0){case 0:{aD=(f[jb>>2]|0)+4|0;break}case 3:{aD=(f[eb>>2]|0)+4|0;break}case 2:{aD=(f[eb>>2]|0)+4|0;break}default:{$w=113;break b}}if((f[aD>>2]|0)!=2){$w=115;break b}b[kb>>0]=10;Sw=e;vx=404520;Tw=Sw+10|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[lb>>0]=0;Uw=hEa(x,0)|0;f[h>>2]=Uw;xEa(t,e,h)|0;if((b[kb>>0]|0)<0)fuc(f[e>>2]|0);b[mb>>0]=10;Sw=e;vx=404509;Tw=Sw+10|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[nb>>0]=0;Uw=hEa(x,1)|0;f[h>>2]=Uw;xEa(t,e,h)|0;if((b[mb>>0]|0)<0)fuc(f[e>>2]|0);f[z>>2]=1124007936;Sw=ob;Tw=Sw+36|0;do{f[Sw>>2]=0;Sw=Sw+4|0}while((Sw|0)<(Tw|0));f[qb>>2]=pb;f[sb>>2]=rb;f[rb>>2]=0;f[tb>>2]=0;f[ub>>2]=0;f[vb>>2]=0;f[A>>2]=wb;Uw=f[l>>2]|0;if((Uw|0)!=(xa|0)){xA=Uw;while(1){Uw=xA+16|0;f[h>>2]=Ob;f[e>>2]=f[h>>2];PFa(A,e,Uw,Uw)|0;Uw=f[xA+4>>2]|0;do if(!Uw){Ww=xA+8|0;VC=f[Ww>>2]|0;if((f[VC>>2]|0)==(xA|0)){bD=VC;break}else cD=Ww;do{Ww=f[cD>>2]|0;cD=Ww+8|0;VC=f[cD>>2]|0}while((f[VC>>2]|0)!=(Ww|0));bD=VC}else{Dx=Uw;while(1){VC=f[Dx>>2]|0;if(!VC)break;else Dx=VC}bD=Dx}while(0);if((bD|0)==(xa|0))break;else xA=bD}}xA=QFa(a,q,A,2,0)|0;f[e>>2]=0;f[xb>>2]=0;f[yb>>2]=0;RFa(xA,e);Uw=f[e>>2]|0;SC=((f[xb>>2]|0)-Uw|0)==16;VC=Uw;if(SC){Uw=VC+8|0;Ww=VC+12|0;Cx=f[Ww>>2]|0;f[Ww>>2]=f[Uw>>2];Ww=VC+4|0;VC=f[Ww>>2]|0;f[Ww>>2]=Cx;f[Uw>>2]=VC}_T(z,e,5);CHa(h,xA);xA=f[zb>>2]|0;if((xA|0)<3)dD=Y(f[Bb>>2]|0,f[Ab>>2]|0)|0;else{VC=f[Gb>>2]|0;Uw=0;Cx=1;while(1){Ww=Y(f[VC+(Uw<<2)>>2]|0,Cx)|0;Uw=Uw+1|0;if((Uw|0)==(xA|0)){dD=Ww;break}else Cx=Ww}}Cx=f[ob>>2]|0;if((Cx|0)<3)eD=Y(f[Cb>>2]|0,f[pb>>2]|0)|0;else{xA=f[qb>>2]|0;Uw=0;VC=1;while(1){Ww=Y(f[xA+(Uw<<2)>>2]|0,VC)|0;Uw=Uw+1|0;if((Uw|0)==(Cx|0)){eD=Ww;break}else VC=Ww}}if((dD|0)!=(eD|0)){$w=138;break b}VC=f[Db>>2]|0;Cx=f[Eb>>2]|0;do if(SC){Uw=f[e>>2]|0;xA=f[Uw>>2]|0;Ww=f[Uw+4>>2]|0;XC=f[Uw+8>>2]|0;fD=f[Uw+12>>2]|0;Uw=Y(Y(Y(Ww,xA)|0,XC)|0,fD)|0;if((xA|0)<=0)break;gD=Y(Y(XC,Ww)|0,fD)|0;hD=(Ww|0)>0;iD=(XC|0)>0;jD=(fD|0)>0;kD=0;do{do if(hD){lD=Y(gD,kD)|0;if(iD)mD=0;else break;do{nD=Y(mD,XC)|0;oD=mD+lD|0;if(jD){pD=0;do{qD=(Y(pD+nD|0,fD)|0)+lD|0;rD=Y(pD,fD)|0;sD=0;do{tD=qD+sD|0;uD=oD+(Y(sD+rD|0,Ww)|0)|0;if((tD|0)>=(Uw|0)){$w=153;break b}if((uD|0)>=(Uw|0)){$w=154;break b}n[VC+(tD<<2)>>2]=+(f[Cx+(uD<<2)>>2]|0);sD=sD+1|0}while((sD|0)<(fD|0));pD=pD+1|0}while((pD|0)<(XC|0))}mD=mD+1|0}while((mD|0)<(Ww|0))}while(0);kD=kD+1|0}while((kD|0)<(xA|0))}else{if((dD|0)>0)vD=0;else break;do{n[VC+(vD<<2)>>2]=+(f[Cx+(vD<<2)>>2]|0);vD=vD+1|0}while((vD|0)!=(dD|0))}while(0);Cx=f[Fb>>2]|0;do if(Cx|0){VC=Cx+12|0;SC=f[VC>>2]|0;f[VC>>2]=SC+-1;if((SC|0)!=1)break;aU(h)}while(0);f[Fb>>2]=0;f[Eb>>2]=0;f[Eb+4>>2]=0;f[Eb+8>>2]=0;f[Eb+12>>2]=0;if((f[zb>>2]|0)>0){Cx=f[Gb>>2]|0;SC=0;do{f[Cx+(SC<<2)>>2]=0;SC=SC+1|0}while((SC|0)<(f[zb>>2]|0))}SC=f[Hb>>2]|0;if((SC|0)!=(Ib|0))TC(SC);SC=f[e>>2]|0;if(SC|0){Cx=f[xb>>2]|0;if((Cx|0)!=(SC|0))f[xb>>2]=Cx+(~((Cx+-4-SC|0)>>>2)<<2);fuc(SC)}_Da(A,f[wb>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[Jb>>0]=5;b[e>>0]=b[404503]|0;b[e+1>>0]=b[404504]|0;b[e+2>>0]=b[404505]|0;b[e+3>>0]=b[404506]|0;b[e+4>>0]=b[404507]|0;b[Kb>>0]=0;jEa(t,e,f[Db>>2]|0)|0;if((b[Jb>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[Lb>>0]=5;b[e>>0]=b[404497]|0;b[e+1>>0]=b[404498]|0;b[e+2>>0]=b[404499]|0;b[e+3>>0]=b[404500]|0;b[e+4>>0]=b[404501]|0;b[Mb>>0]=0;SC=f[Db>>2]|0;do if(!(f[z>>2]&16384)){Cx=f[qb>>2]|0;if((f[Cx>>2]|0)==1){$w=172;break}VC=f[f[sb>>2]>>2]|0;if((f[Cx+4>>2]|0)==1){wD=SC+(VC<<1)|0;break}else{Cx=f[Cb>>2]|0;xA=2/(Cx|0)|0;wD=SC+(Y(xA,VC)|0)+(2-(Y(xA,Cx)|0)<<2)|0;break}}else $w=172;while(0);if(($w|0)==172){$w=0;wD=SC+8|0}jEa(t,e,wD)|0;if((b[Lb>>0]|0)<0)fuc(f[e>>2]|0);if(((f[w>>2]|0)-OC|0)!=16){$w=179;break b}Cx=OC;qTa(q,f[(f[va>>2]|0)+4+(f[Cx+12>>2]<<2)>>2]|0);hI(e,j,Cx,Cx);ruc(r,f[Ga>>2]|0)|0;ruc(s,f[ya>>2]|0)|0;Cx=f[Nb>>2]|0;do if(Cx|0){xA=Cx+12|0;VC=f[xA>>2]|0;f[xA>>2]=VC+-1;if((VC|0)!=1)break;aU(z)}while(0);f[Nb>>2]=0;f[Db>>2]=0;f[Db+4>>2]=0;f[Db+8>>2]=0;f[Db+12>>2]=0;if((f[ob>>2]|0)>0){Cx=f[qb>>2]|0;SC=0;do{f[Cx+(SC<<2)>>2]=0;SC=SC+1|0}while((SC|0)<(f[ob>>2]|0))}SC=f[sb>>2]|0;if((SC|0)!=(rb|0))TC(SC);mEa(x);$w=329}else{QC=Ix;RC=Bx;$w=189}while(0);if(($w|0)==189){$w=0;if(((QC<<24>>24<0?RC:QC&255)|0)==3?(Puc(s,0,-1,395261,3)|0)==0:0){f[Ad>>2]=0;f[Bd>>2]=0;f[B>>2]=Cd;Bx=f[l>>2]|0;if((Bx|0)!=(xa|0)){Ix=Bx;while(1){Bx=Ix+16|0;f[h>>2]=Vd;f[e>>2]=f[h>>2];PFa(B,e,Bx,Bx)|0;Bx=f[Ix+4>>2]|0;if(!Bx){Aa=Ix+8|0;Vw=f[Aa>>2]|0;if((f[Vw>>2]|0)==(Ix|0))xD=Vw;else{Vw=Aa;do{Aa=f[Vw>>2]|0;Vw=Aa+8|0;Yw=f[Vw>>2]|0}while((f[Yw>>2]|0)!=(Aa|0));xD=Yw}}else{Vw=Bx;while(1){Yw=f[Vw>>2]|0;if(!Yw)break;else Vw=Yw}xD=Vw}if((xD|0)==(xa|0))break;else Ix=xD}}CHa(i,QFa(a,q,B,1,0)|0);_Da(B,f[Cd>>2]|0);Ix=f[i>>2]|0;if((Ix&4095|0)!=4){$w=199;break b}Bx=f[Dd>>2]|0;if((Bx|0)<3)yD=Y(f[Fd>>2]|0,f[Ed>>2]|0)|0;else{Yw=f[Hd>>2]|0;Aa=0;SC=1;while(1){Cx=Y(f[Yw+(Aa<<2)>>2]|0,SC)|0;Aa=Aa+1|0;if((Aa|0)==(Bx|0)){yD=Cx;break}else SC=Cx}}if((yD|0)==8){SC=f[Gd>>2]|0;do if(!(Ix&16384)){Bx=f[Hd>>2]|0;do if((f[Bx>>2]|0)!=1){Aa=f[f[Id>>2]>>2]|0;if((f[Bx+4>>2]|0)==1){zD=SC+(Aa<<1)|0;break}else{Yw=f[Fd>>2]|0;Cx=2/(Yw|0)|0;zD=SC+(Y(Cx,Aa)|0)+(2-(Y(Cx,Yw)|0)<<2)|0;break}}else zD=SC+8|0;while(0);Bx=f[Hd>>2]|0;if((f[Bx>>2]|0)==1){AD=zD;$w=213;break}Vw=f[f[Id>>2]>>2]|0;if((f[Bx+4>>2]|0)==1){BD=zD;CD=SC+(Vw*6|0)|0;break}else{Bx=f[Fd>>2]|0;Yw=6/(Bx|0)|0;BD=zD;CD=SC+(Y(Yw,Vw)|0)+(6-(Y(Yw,Bx)|0)<<2)|0;break}}else{AD=SC+8|0;$w=213}while(0);if(($w|0)==213){$w=0;BD=AD;CD=SC+24|0}Ix=f[BD>>2]|0;f[BD>>2]=f[CD>>2];f[CD>>2]=Ix;do if(!(f[i>>2]&16384)){Ix=f[Hd>>2]|0;do if((f[Ix>>2]|0)!=1){Bx=f[f[Id>>2]>>2]|0;if((f[Ix+4>>2]|0)==1){DD=SC+(Bx*3|0)|0;break}else{Yw=f[Fd>>2]|0;Vw=3/(Yw|0)|0;DD=SC+(Y(Vw,Bx)|0)+(3-(Y(Vw,Yw)|0)<<2)|0;break}}else DD=SC+12|0;while(0);Ix=f[Hd>>2]|0;if((f[Ix>>2]|0)==1){ED=DD;$w=225;break}Yw=f[f[Id>>2]>>2]|0;if((f[Ix+4>>2]|0)==1){FD=DD;GD=SC+(Yw*7|0)|0;break}else{Ix=f[Fd>>2]|0;Vw=7/(Ix|0)|0;FD=DD;GD=SC+(Y(Vw,Yw)|0)+(7-(Y(Vw,Ix)|0)<<2)|0;break}}else{ED=SC+12|0;$w=225}while(0);if(($w|0)==225){$w=0;FD=ED;GD=SC+28|0}Ix=f[FD>>2]|0;f[FD>>2]=f[GD>>2];f[GD>>2]=Ix;do if(!(f[i>>2]&16384)){Ix=f[Hd>>2]|0;do if((f[Ix>>2]|0)!=1){Vw=f[f[Id>>2]>>2]|0;if((f[Ix+4>>2]|0)==1){HD=SC+(Vw<<2)|0;break}else{Yw=f[Fd>>2]|0;Bx=4/(Yw|0)|0;HD=SC+(Y(Bx,Vw)|0)+(4-(Y(Bx,Yw)|0)<<2)|0;break}}else HD=SC+16|0;while(0);Ix=f[Hd>>2]|0;if((f[Ix>>2]|0)==1){ID=HD;$w=237;break}Yw=f[f[Id>>2]>>2]|0;if((f[Ix+4>>2]|0)==1){JD=HD;KD=SC+(Yw*6|0)|0;break}else{Ix=f[Fd>>2]|0;Bx=6/(Ix|0)|0;JD=HD;KD=SC+(Y(Bx,Yw)|0)+(6-(Y(Bx,Ix)|0)<<2)|0;break}}else{ID=SC+16|0;$w=237}while(0);if(($w|0)==237){$w=0;JD=ID;KD=SC+24|0}Ix=f[JD>>2]|0;f[JD>>2]=f[KD>>2];f[KD>>2]=Ix;do if(!(f[i>>2]&16384)){Ix=f[Hd>>2]|0;do if((f[Ix>>2]|0)!=1){Bx=f[f[Id>>2]>>2]|0;if((f[Ix+4>>2]|0)==1){LD=SC+(Bx*5|0)|0;break}else{Yw=f[Fd>>2]|0;Vw=5/(Yw|0)|0;LD=SC+(Y(Vw,Bx)|0)+(5-(Y(Vw,Yw)|0)<<2)|0;break}}else LD=SC+20|0;while(0);Ix=f[Hd>>2]|0;if((f[Ix>>2]|0)==1){MD=LD;$w=249;break}Yw=f[f[Id>>2]>>2]|0;if((f[Ix+4>>2]|0)==1){ND=LD;OD=SC+(Yw*7|0)|0;break}else{Ix=f[Fd>>2]|0;Vw=7/(Ix|0)|0;ND=LD;OD=SC+(Y(Vw,Yw)|0)+(7-(Y(Vw,Ix)|0)<<2)|0;break}}else{MD=SC+20|0;$w=249}while(0);if(($w|0)==249){$w=0;ND=MD;OD=SC+28|0}Ix=f[ND>>2]|0;f[ND>>2]=f[OD>>2];f[OD>>2]=Ix}Ix=OC;Vw=PC;Yw=f[Dd>>2]|0;do if((Ix|0)==(PC|0))$w=286;else{if((Yw|0)<3)PD=Y(f[Fd>>2]|0,f[Ed>>2]|0)|0;else{Bx=f[Hd>>2]|0;Cx=0;Aa=1;while(1){VC=Y(f[Bx+(Cx<<2)>>2]|0,Aa)|0;Cx=Cx+1|0;if((Cx|0)==(Yw|0)){PD=VC;break}else Aa=VC}}if((PD|0)!=8){$w=286;break}Aa=(f[i>>2]&16384|0)==0;Cx=f[Gd>>2]|0;do if(Aa){Bx=f[Hd>>2]|0;do if((f[Bx>>2]|0)!=1){VC=f[f[Id>>2]>>2]|0;if((f[Bx+4>>2]|0)==1){QD=Cx+(VC<<2)|0;break}else{xA=f[Fd>>2]|0;kD=4/(xA|0)|0;QD=Cx+(Y(kD,VC)|0)+(4-(Y(kD,xA)|0)<<2)|0;break}}else QD=Cx+16|0;while(0);Bx=f[QD>>2]|0;xA=f[Hd>>2]|0;if((f[xA>>2]|0)==1){RD=Bx;$w=268;break}kD=f[f[Id>>2]>>2]|0;if((f[xA+4>>2]|0)==1){SD=Cx+(kD*5|0)|0;TD=Bx;break}else{xA=f[Fd>>2]|0;VC=5/(xA|0)|0;SD=Cx+(Y(VC,kD)|0)+(5-(Y(VC,xA)|0)<<2)|0;TD=Bx;break}}else{RD=f[Cx+16>>2]|0;$w=268}while(0);if(($w|0)==268){$w=0;SD=Cx+20|0;TD=RD}if((TD|0)!=(f[SD>>2]|0)){$w=286;break}do if(Aa){Bx=f[Hd>>2]|0;do if((f[Bx>>2]|0)!=1){xA=f[f[Id>>2]>>2]|0;if((f[Bx+4>>2]|0)==1){UD=Cx+(xA*6|0)|0;break}else{VC=f[Fd>>2]|0;kD=6/(VC|0)|0;UD=Cx+(Y(kD,xA)|0)+(6-(Y(kD,VC)|0)<<2)|0;break}}else UD=Cx+24|0;while(0);Bx=f[UD>>2]|0;VC=f[Hd>>2]|0;if((f[VC>>2]|0)==1){VD=Bx;$w=281;break}kD=f[f[Id>>2]>>2]|0;if((f[VC+4>>2]|0)==1){XD=Cx+(kD*7|0)|0;YD=Bx;break}else{VC=f[Fd>>2]|0;xA=7/(VC|0)|0;XD=Cx+(Y(xA,kD)|0)+(7-(Y(xA,VC)|0)<<2)|0;YD=Bx;break}}else{VD=f[Cx+24>>2]|0;$w=281}while(0);if(($w|0)==281){$w=0;XD=Cx+28|0;YD=VD}if((YD|0)!=(f[XD>>2]|0)){$w=286;break}if((Vw-OC|0)!=16){$w=302;break b};f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[Rd>>0]=5;b[e>>0]=b[404503]|0;b[e+1>>0]=b[404504]|0;b[e+2>>0]=b[404505]|0;b[e+3>>0]=b[404506]|0;b[e+4>>0]=b[404507]|0;b[Sd>>0]=0;do if(Aa){Bx=f[Hd>>2]|0;if((f[Bx>>2]|0)==1){$w=305;break}VC=f[f[Id>>2]>>2]|0;if((f[Bx+4>>2]|0)==1){ZD=Cx+(VC<<2)|0;break}else{Bx=f[Fd>>2]|0;xA=4/(Bx|0)|0;ZD=Cx+(Y(xA,VC)|0)+(4-(Y(xA,Bx)|0)<<2)|0;break}}else $w=305;while(0);if(($w|0)==305){$w=0;ZD=Cx+16|0}xEa(t,e,ZD)|0;if((b[Rd>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[Td>>0]=5;b[e>>0]=b[404497]|0;b[e+1>>0]=b[404498]|0;b[e+2>>0]=b[404499]|0;b[e+3>>0]=b[404500]|0;b[e+4>>0]=b[404501]|0;b[Ud>>0]=0;Aa=f[Gd>>2]|0;do if(!(f[i>>2]&16384)){Bx=f[Hd>>2]|0;if((f[Bx>>2]|0)==1){$w=313;break}xA=f[f[Id>>2]>>2]|0;if((f[Bx+4>>2]|0)==1){_D=Aa+(xA*6|0)|0;break}else{Bx=f[Fd>>2]|0;VC=6/(Bx|0)|0;_D=Aa+(Y(VC,xA)|0)+(6-(Y(VC,Bx)|0)<<2)|0;break}}else $w=313;while(0);if(($w|0)==313){$w=0;_D=Aa+24|0}xEa(t,e,_D)|0;if((b[Td>>0]|0)<0)fuc(f[e>>2]|0);qTa(q,f[(f[va>>2]|0)+4+(f[Ix+12>>2]<<2)>>2]|0);hI(e,j,Ix,Ix);ruc(r,f[Ga>>2]|0)|0;ruc(s,f[ya>>2]|0)|0;$D=0}while(0);if(($w|0)==286){$w=0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[Jd>>0]=8;Ix=e;f[Ix>>2]=1684300144;f[Ix+4>>2]=1936158313;b[Kd>>0]=0;Ix=f[Gd>>2]|0;if((Yw|0)<3)aE=Y(f[Fd>>2]|0,f[Ed>>2]|0)|0;else{Vw=f[Hd>>2]|0;SC=0;Cx=1;while(1){Bx=Y(f[Vw+(SC<<2)>>2]|0,Cx)|0;SC=SC+1|0;if((SC|0)==(Yw|0)){aE=Bx;break}else Cx=Bx}}Cx=cuc(16)|0;Yw=Cx+8|0;f[Cx>>2]=Yw;f[Cx+4>>2]=aE;if(aE>>>0>1){SC=euc(aE>>>0>536870911?-1:aE<<3)|0;f[Cx>>2]=SC;bE=SC}else bE=Yw;f[h>>2]=0;f[Ld>>2]=Cx;if((aE|0)>0){Cx=Ix;Yw=0;while(1){SC=f[Cx>>2]|0;Vw=bE+(Yw<<3)|0;f[Vw>>2]=SC;f[Vw+4>>2]=((SC|0)<0)<<31>>31;Yw=Yw+1|0;if((Yw|0)==(aE|0))break;else Cx=Cx+4|0}}wEa(t,e,h)|0;mEa(h);if((b[Jd>>0]|0)<0)fuc(f[e>>2]|0);f[hw>>2]=0;b[Md>>0]=7;b[e>>0]=b[416013]|0;b[e+1>>0]=b[416014]|0;b[e+2>>0]=b[416015]|0;b[e+3>>0]=b[416016]|0;b[e+4>>0]=b[416017]|0;b[e+5>>0]=b[416018]|0;b[e+6>>0]=b[416019]|0;b[Nd>>0]=0;Cx=sLa(c,r,e,t)|0;if((b[Md>>0]|0)<0)fuc(f[e>>2]|0);Yw=cEa(o,r)|0;f[Yw>>2]=Cx;SFa(e,v);TFa(a,o,c,e,Cx,0);if((b[Od>>0]|0)<0)fuc(f[e>>2]|0);$D=10}Cx=f[Pd>>2]|0;do if(Cx|0){Yw=Cx+12|0;Ix=f[Yw>>2]|0;f[Yw>>2]=Ix+-1;if((Ix|0)!=1)break;aU(i)}while(0);f[Pd>>2]=0;f[Gd>>2]=0;f[Gd+4>>2]=0;f[Gd+8>>2]=0;f[Gd+12>>2]=0;if((f[Dd>>2]|0)>0){Cx=f[Hd>>2]|0;Ix=0;do{f[Cx+(Ix<<2)>>2]=0;Ix=Ix+1|0}while((Ix|0)<(f[Dd>>2]|0))}Ix=f[Id>>2]|0;if((Ix|0)!=(Qd|0))TC(Ix);if($D)dE=OC;else $w=329}else $w=329}if(($w|0)==329){$w=0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;Ix=cuc(32)|0;f[i>>2]=Ix;f[Qb>>2]=-2147483616;f[Rb>>2]=19;Sw=Ix;vx=467743;Tw=Sw+19|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[Ix+19>>0]=0;T5b(Sb);UFa(h,Tb);VFa(e,f[Ub>>2]|0,i,0);Cx=(f[e>>2]|0)==0;WFa(h);if(Cx)eE=0;else{f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;Cx=cuc(32)|0;f[e>>2]=Cx;f[wd>>2]=-2147483616;f[xd>>2]=19;Sw=Cx;vx=467743;Tw=Sw+19|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[Cx+19>>0]=0;T5b(Sb);Ix=XFa(Tb,e)|0;Yw=b[Ix+8>>0]|0?(f[Ix+20>>2]|0)==5:0;if((b[yd>>0]|0)<0)fuc(f[e>>2]|0);eE=Yw}if((b[Vb>>0]|0)<0)fuc(f[i>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[Wb>>0]=9;Sw=e;vx=466098;Tw=Sw+9|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[Xb>>0]=0;b[h>>0]=0;zEa(t,e,h)|0;if((b[Wb>>0]|0)<0)fuc(f[e>>2]|0);tJ(Yb,1);f[gw>>2]=0;b[Zb>>0]=7;b[h>>0]=b[395516]|0;b[h+1>>0]=b[395517]|0;b[h+2>>0]=b[395518]|0;b[h+3>>0]=b[395519]|0;b[h+4>>0]=b[395520]|0;b[h+5>>0]=b[395521]|0;b[h+6>>0]=b[395522]|0;b[_b>>0]=0;OFa(e,ta,r,h);Cx=OC;if(OC|0){Yw=f[w>>2]|0;if((Yw|0)!=(Cx|0)){Ix=Yw;do{Ix=Ix+-16|0;f[w>>2]=Ix;if((b[Ix+11>>0]|0)<0)fuc(f[Ix>>2]|0)}while((Ix|0)!=(Cx|0))}fuc(OC);f[w>>2]=0}Cx=f[e>>2]|0;Ix=f[$b>>2]|0;f[w>>2]=Ix;do if((Ix-Cx|0)==16){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[ac>>0]=9;Sw=e;vx=466098;Tw=Sw+9|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[bc>>0]=0;b[h>>0]=1;zEa(t,e,h)|0;if((b[ac>>0]|0)<0)fuc(f[e>>2]|0);tJ(Yb,2);Aa=Cx;Yw=f[Aa+12>>2]|0;SC=f[(f[va>>2]|0)+4+(Yw<<2)>>2]|0;f[cc>>2]=0;f[dc>>2]=0;f[C>>2]=ec;Vw=f[l>>2]|0;if((Vw|0)!=(xa|0)){Bx=Vw;while(1){Vw=Bx+16|0;f[h>>2]=fc;f[e>>2]=f[h>>2];PFa(C,e,Vw,Vw)|0;Vw=f[Bx+4>>2]|0;do if(!Vw){VC=Bx+8|0;xA=f[VC>>2]|0;if((f[xA>>2]|0)==(Bx|0)){fE=xA;break}else gE=VC;do{VC=f[gE>>2]|0;gE=VC+8|0;xA=f[gE>>2]|0}while((f[xA>>2]|0)!=(VC|0));fE=xA}else{xA=Vw;while(1){VC=f[xA>>2]|0;if(!VC)break;else xA=VC}fE=xA}while(0);if((fE|0)==(xa|0))break;else Bx=fE}}Bx=QFa(a,SC,C,-1,0)|0;YFa(Bx,(f[Yb>>2]|0)+56|0);_Da(C,f[ec>>2]|0);ZFa(ta,Yw,0);hI(e,j,Aa,Aa);if(eE){Bx=f[Yb>>2]|0;Vw=f[Bx+60>>2]|0;if((Vw|0)<3)hE=Y(f[Bx+68>>2]|0,f[Bx+64>>2]|0)|0;else{VC=f[Bx+96>>2]|0;kD=0;Ww=1;while(1){XC=Y(f[VC+(kD<<2)>>2]|0,Ww)|0;kD=kD+1|0;if((kD|0)==(Vw|0)){hE=XC;break}else Ww=XC}}Ww=f[Bx+72>>2]|0;if(hE&3|0){$w=360;break b}if((hE|0)>0)iE=0;else{jE=1;break}do{Vw=Ww+(iE<<2)|0;kD=Ww+((iE|1)<<2)|0;VC=f[Vw>>2]|0;f[Vw>>2]=f[kD>>2];f[kD>>2]=VC;iE=iE+2|0}while((iE|0)<(hE|0));jE=1}else jE=0}else jE=eE;while(0);f[x>>2]=-1;f[gc>>2]=0;f[hc>>2]=0;f[D>>2]=ic;Ix=f[l>>2]|0;if((Ix|0)!=(xa|0)){Ww=Ix;while(1){Ix=Ww+16|0;f[h>>2]=vd;f[e>>2]=f[h>>2];PFa(D,e,Ix,Ix)|0;Ix=f[Ww+4>>2]|0;do if(!Ix){Bx=Ww+8|0;VC=f[Bx>>2]|0;if((f[VC>>2]|0)==(Ww|0)){kE=VC;break}else lE=Bx;do{Bx=f[lE>>2]|0;lE=Bx+8|0;VC=f[lE>>2]|0}while((f[VC>>2]|0)!=(Bx|0));kE=VC}else{VC=Ix;while(1){Bx=f[VC>>2]|0;if(!Bx)break;else VC=Bx}kE=VC}while(0);if((kE|0)==(xa|0))break;else Ww=kE}}Ww=QFa(a,q,D,-1,x)|0;_Da(D,f[ic>>2]|0);ouc(z,f[(f[Fa>>2]|0)+4+(f[x>>2]<<2)>>2]|0);Ix=_Fa(m,z)|0;do if((Ix|0)!=(Ha|0)){Bx=Ix+28|0;kD=f[Yb>>2]|0;if((kD|0)!=(Bx|0)){Vw=Ix+64|0;Aa=f[Vw>>2]|0;if(Aa|0){Yw=Aa+12|0;f[Yw>>2]=(f[Yw>>2]|0)+1}Yw=kD+36|0;Aa=f[Yw>>2]|0;do if(Aa|0){SC=Aa+12|0;XC=f[SC>>2]|0;f[SC>>2]=XC+-1;if((XC|0)!=1)break;aU(kD)}while(0);f[Yw>>2]=0;Aa=kD+16|0;XC=kD+4|0;f[Aa>>2]=0;f[Aa+4>>2]=0;f[Aa+8>>2]=0;f[Aa+12>>2]=0;if((f[XC>>2]|0)>0){SC=f[kD+40>>2]|0;fD=0;do{f[SC+(fD<<2)>>2]=0;fD=fD+1|0;mE=f[XC>>2]|0}while((fD|0)<(mE|0));f[kD>>2]=f[Bx>>2];if((mE|0)<3)$w=481;else $w=483}else{f[kD>>2]=f[Bx>>2];$w=481}do if(($w|0)==481){$w=0;fD=f[Ix+32>>2]|0;if((fD|0)>=3){$w=483;break}f[XC>>2]=fD;f[kD+8>>2]=f[Ix+36>>2];f[kD+12>>2]=f[Ix+40>>2];fD=f[Ix+72>>2]|0;SC=f[kD+44>>2]|0;f[SC>>2]=f[fD>>2];f[SC+4>>2]=f[fD+4>>2]}while(0);if(($w|0)==483){$w=0;$T(kD,Bx)}f[Aa>>2]=f[Ix+44>>2];f[kD+20>>2]=f[Ix+48>>2];f[kD+24>>2]=f[Ix+52>>2];f[kD+28>>2]=f[Ix+56>>2];f[kD+32>>2]=f[Ix+60>>2];f[Yw>>2]=f[Vw>>2]}}else{$Fa(Ww,f[Yb>>2]|0);IIa(Ww);XC=f[(f[Yb>>2]|0)+40>>2]|0;fD=f[XC>>2]|0;SC=XC+4|0;Uw=f[SC>>2]|0;jD=f[XC+8>>2]|0;iD=f[XC+12>>2]|0;gD=b[Ia>>0]|0;do if(((gD<<24>>24<0?f[Pa>>2]|0:gD&255)|0)==21){if(Puc(s,0,-1,395239,21)|0)break;if(jE){$w=373;break b}hD=f[XC>>2]|0;Dx=f[Yb>>2]|0;f[h>>2]=1124007936;Sw=jc;Tw=Sw+36|0;do{f[Sw>>2]=0;Sw=Sw+4|0}while((Sw|0)<(Tw|0));f[lc>>2]=kc;f[nc>>2]=mc;f[mc>>2]=0;f[oc>>2]=0;VC=pc;f[VC>>2]=0;f[VC+4>>2]=0;f[e>>2]=33619968;f[qc>>2]=h;EI(Dx,e);VC=f[rc>>2]|0;lD=f[Yb>>2]|0;pD=f[lD+16>>2]|0;do if((hD|0)>0){oD=Y(iD,jD)|0;nD=(oD|0)>0;if((Uw|0)>0)nE=0;else break;do{Jx=Y(nE,Uw)|0;if(nD){sD=0;do{rD=Y(oD,sD+Jx|0)|0;qD=Y(oD,(Y(sD,hD)|0)+nE|0)|0;Xw=0;do{f[pD+(Xw+qD<<2)>>2]=f[VC+(Xw+rD<<2)>>2];Xw=Xw+1|0}while((Xw|0)!=(oD|0));sD=sD+1|0}while((sD|0)!=(Uw|0))}nE=nE+1|0}while((nE|0)!=(hD|0))}while(0);VC=Y(hD,Uw)|0;f[XC>>2]=VC;f[SC>>2]=1;VC=f[lD+44>>2]|0;f[VC>>2]=f[VC+4>>2];VC=f[sc>>2]|0;do if(VC|0){pD=VC+12|0;Dx=f[pD>>2]|0;f[pD>>2]=Dx+-1;if((Dx|0)!=1)break;aU(h)}while(0);f[sc>>2]=0;f[rc>>2]=0;f[rc+4>>2]=0;f[rc+8>>2]=0;f[rc+12>>2]=0;if((f[jc>>2]|0)>0){VC=f[lc>>2]|0;lD=0;do{f[VC+(lD<<2)>>2]=0;lD=lD+1|0}while((lD|0)<(f[jc>>2]|0))}lD=f[nc>>2]|0;if((lD|0)!=(mc|0))TC(lD)}while(0);do if(jE){SC=Y(Y(jD,Uw)|0,iD)|0;if((fD|0)<=0)break;XC=(SC|0)!=0;gD=SC<<2;Vw=0-gD|0;Yw=0;do{kD=f[Yb>>2]|0;Aa=(f[kD+16>>2]|0)+(Y(f[f[kD+44>>2]>>2]|0,Yw)|0)|0;f[h>>2]=1124007941;f[tc>>2]=2;f[uc>>2]=1;f[vc>>2]=SC;f[wc>>2]=Aa;f[xc>>2]=Aa;f[yc>>2]=0;f[yc+4>>2]=0;f[yc+8>>2]=0;f[yc+12>>2]=0;f[zc>>2]=uc;f[Bc>>2]=Ac;f[Cc>>2]=0;f[Ac>>2]=0;if(XC&(Aa|0)==0){$w=394;break b}f[Ac>>2]=gD;f[Cc>>2]=4;kD=Aa+gD|0;f[Dc>>2]=kD;f[yc>>2]=kD+Vw+gD;YT(h);kD=f[Yb>>2]|0;Aa=(f[kD+16>>2]|0)+(Y(f[f[kD+44>>2]>>2]|0,Yw|1)|0)|0;f[i>>2]=1124007941;f[Ec>>2]=2;f[Fc>>2]=1;f[Gc>>2]=SC;f[Hc>>2]=Aa;f[Ic>>2]=Aa;f[Jc>>2]=0;f[Jc+4>>2]=0;f[Jc+8>>2]=0;f[Jc+12>>2]=0;f[Kc>>2]=Fc;f[Mc>>2]=Lc;f[Nc>>2]=0;f[Lc>>2]=0;if(XC&(Aa|0)==0){$w=396;break b}f[Lc>>2]=gD;f[Nc>>2]=4;kD=Aa+gD|0;f[Oc>>2]=kD;f[Jc>>2]=kD+Vw+gD;YT(i);f[E>>2]=h;kD=f[tc>>2]|0;if((kD|0)>0)oE=f[(f[Bc>>2]|0)+(kD+-1<<2)>>2]|0;else oE=0;f[Pc>>2]=oE;f[Qc>>2]=0;f[Rc>>2]=0;f[Sc>>2]=0;if(f[h>>2]&16384|0){Aa=f[wc>>2]|0;f[Rc>>2]=Aa;if((kD|0)<3)pE=Y(f[vc>>2]|0,f[uc>>2]|0)|0;else{Bx=f[zc>>2]|0;lD=0;VC=1;while(1){hD=Y(f[Bx+(lD<<2)>>2]|0,VC)|0;lD=lD+1|0;if((lD|0)==(kD|0)){pE=hD;break}else VC=hD}}VC=Aa+(Y(pE,oE)|0)|0;f[Sc>>2]=VC}$C(E,0,0);f[F>>2]=h;VC=f[tc>>2]|0;if((VC|0)>0)qE=f[(f[Bc>>2]|0)+(VC+-1<<2)>>2]|0;else qE=0;f[Tc>>2]=qE;f[Uc>>2]=0;f[Vc>>2]=0;f[Wc>>2]=0;if(f[h>>2]&16384|0){kD=f[wc>>2]|0;f[Vc>>2]=kD;if((VC|0)<3)rE=Y(f[vc>>2]|0,f[uc>>2]|0)|0;else{lD=f[zc>>2]|0;Bx=0;hD=1;while(1){Dx=Y(f[lD+(Bx<<2)>>2]|0,hD)|0;Bx=Bx+1|0;if((Bx|0)==(VC|0)){rE=Dx;break}else hD=Dx}}hD=kD+(Y(rE,qE)|0)|0;f[Wc>>2]=hD}$C(F,0,0);hD=f[tc>>2]|0;if((hD|0)<3)sE=Y(f[vc>>2]|0,f[uc>>2]|0)|0;else{VC=f[zc>>2]|0;Bx=0;lD=1;while(1){Aa=Y(f[VC+(Bx<<2)>>2]|0,lD)|0;Bx=Bx+1|0;if((Bx|0)==(hD|0)){sE=Aa;break}else lD=Aa}}do if(!((sE|0)==0|(f[F>>2]|0)==0)){lD=Y(f[Tc>>2]|0,sE)|0;hD=(f[Uc>>2]|0)+lD|0;f[Uc>>2]=hD;if(hD>>>0>=(f[Vc>>2]|0)>>>0?(f[Wc>>2]|0)>>>0>hD>>>0:0)break;f[Uc>>2]=hD+(0-lD);_C(F,sE,1)}while(0);f[G>>2]=i;lD=f[Ec>>2]|0;if((lD|0)>0)tE=f[(f[Mc>>2]|0)+(lD+-1<<2)>>2]|0;else tE=0;f[Xc>>2]=tE;f[Yc>>2]=0;f[Zc>>2]=0;f[_c>>2]=0;if(f[i>>2]&16384|0){hD=f[Hc>>2]|0;f[Zc>>2]=hD;if((lD|0)<3)uE=Y(f[Gc>>2]|0,f[Fc>>2]|0)|0;else{Bx=f[Kc>>2]|0;VC=0;kD=1;while(1){Aa=Y(f[Bx+(VC<<2)>>2]|0,kD)|0;VC=VC+1|0;if((VC|0)==(lD|0)){uE=Aa;break}else kD=Aa}}kD=hD+(Y(uE,tE)|0)|0;f[_c>>2]=kD}$C(G,0,0);while(1){kD=f[E>>2]|0;if((kD|0)==(f[F>>2]|0)){lD=f[Qc>>2]|0;if((lD|0)==(f[Uc>>2]|0))break;else{vE=lD;wE=lD}}else{lD=f[Qc>>2]|0;vE=lD;wE=lD}lD=f[Yc>>2]|0;VC=f[vE>>2]|0;f[vE>>2]=f[lD>>2];f[lD>>2]=VC;do if(kD|0){VC=f[Pc>>2]|0;lD=wE+VC|0;f[Qc>>2]=lD;if(lD>>>0<(f[Sc>>2]|0)>>>0)break;f[Qc>>2]=lD+(0-VC);_C(E,1,1)}while(0);if(!(f[G>>2]|0))continue;kD=f[Xc>>2]|0;VC=(f[Yc>>2]|0)+kD|0;f[Yc>>2]=VC;if(VC>>>0<(f[_c>>2]|0)>>>0)continue;f[Yc>>2]=VC+(0-kD);_C(G,1,1)}hD=f[$c>>2]|0;do if(hD|0){kD=hD+12|0;VC=f[kD>>2]|0;f[kD>>2]=VC+-1;if((VC|0)!=1)break;aU(i)}while(0);f[$c>>2]=0;f[Hc>>2]=0;f[Hc+4>>2]=0;f[Hc+8>>2]=0;f[Hc+12>>2]=0;if((f[Ec>>2]|0)>0){hD=f[Kc>>2]|0;VC=0;do{f[hD+(VC<<2)>>2]=0;VC=VC+1|0}while((VC|0)<(f[Ec>>2]|0))}VC=f[Mc>>2]|0;if((VC|0)!=(Lc|0))TC(VC);VC=f[ad>>2]|0;do if(VC|0){hD=VC+12|0;kD=f[hD>>2]|0;f[hD>>2]=kD+-1;if((kD|0)!=1)break;aU(h)}while(0);f[ad>>2]=0;f[wc>>2]=0;f[wc+4>>2]=0;f[wc+8>>2]=0;f[wc+12>>2]=0;if((f[tc>>2]|0)>0){VC=f[zc>>2]|0;kD=0;do{f[VC+(kD<<2)>>2]=0;kD=kD+1|0}while((kD|0)<(f[tc>>2]|0))}kD=f[Bc>>2]|0;if((kD|0)!=(Ac|0))TC(kD);Yw=Yw+2|0}while((Yw|0)<(fD|0))}while(0);fD=f[Yb>>2]|0;f[h>>2]=z;aGa(e,m,z,1169299,h,i);iD=f[e>>2]|0;Uw=iD+28|0;if((Uw|0)==(fD|0))break;jD=fD+36|0;Yw=f[jD>>2]|0;if(Yw|0){gD=Yw+12|0;f[gD>>2]=(f[gD>>2]|0)+1}gD=iD+64|0;Yw=f[gD>>2]|0;do if(Yw|0){Vw=Yw+12|0;XC=f[Vw>>2]|0;f[Vw>>2]=XC+-1;if((XC|0)!=1)break;aU(Uw)}while(0);f[gD>>2]=0;Yw=iD+44|0;XC=iD+32|0;f[Yw>>2]=0;f[Yw+4>>2]=0;f[Yw+8>>2]=0;f[Yw+12>>2]=0;if((f[XC>>2]|0)>0){Vw=f[iD+68>>2]|0;SC=0;do{f[Vw+(SC<<2)>>2]=0;SC=SC+1|0;xE=f[XC>>2]|0}while((SC|0)<(xE|0));f[Uw>>2]=f[fD>>2];if((xE|0)<3)$w=466;else $w=468}else{f[Uw>>2]=f[fD>>2];$w=466}do if(($w|0)==466){$w=0;SC=f[fD+4>>2]|0;if((SC|0)>=3){$w=468;break}f[XC>>2]=SC;f[iD+36>>2]=f[fD+8>>2];f[iD+40>>2]=f[fD+12>>2];SC=f[fD+44>>2]|0;Vw=f[iD+72>>2]|0;f[Vw>>2]=f[SC>>2];f[Vw+4>>2]=f[SC+4>>2]}while(0);if(($w|0)==468){$w=0;$T(Uw,fD)}f[Yw>>2]=f[fD+16>>2];f[iD+48>>2]=f[fD+20>>2];f[iD+52>>2]=f[fD+24>>2];f[iD+56>>2]=f[fD+28>>2];f[iD+60>>2]=f[fD+32>>2];f[gD>>2]=f[jD>>2]}while(0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[bd>>0]=8;Ww=e;f[Ww>>2]=1852990827;f[Ww+4>>2]=1751084133;b[cd>>0]=0;xEa(t,e,(f[(f[Yb>>2]|0)+40>>2]|0)+8|0)|0;if((b[bd>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[dd>>0]=8;Ww=e;f[Ww>>2]=1852990827;f[Ww+4>>2]=2002742373;b[ed>>0]=0;xEa(t,e,(f[(f[Yb>>2]|0)+40>>2]|0)+12|0)|0;if((b[dd>>0]|0)<0)fuc(f[e>>2]|0);b[fd>>0]=10;Sw=e;vx=473888;Tw=Sw+10|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[gd>>0]=0;xEa(t,e,f[(f[Yb>>2]|0)+40>>2]|0)|0;if((b[fd>>0]|0)<0)fuc(f[e>>2]|0);bGa(t,q);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[hd>>0]=5;b[e>>0]=b[404497]|0;b[e+1>>0]=b[404498]|0;b[e+2>>0]=b[404499]|0;b[e+3>>0]=b[404500]|0;b[e+4>>0]=b[404501]|0;b[id>>0]=0;if(!(cGa(t,e)|0)){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;b[jd>>0]=5;b[h>>0]=b[404503]|0;b[h+1>>0]=b[404504]|0;b[h+2>>0]=b[404505]|0;b[h+3>>0]=b[404506]|0;b[h+4>>0]=b[404507]|0;b[kd>>0]=0;Ww=(cGa(t,h)|0)==0;if((b[jd>>0]|0)<0)fuc(f[h>>2]|0);yE=Ww}else yE=0;if((b[hd>>0]|0)<0)fuc(f[e>>2]|0);if(yE)dGa(t,q);f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;Ww=cuc(16)|0;f[h>>2]=Ww;f[ld>>2]=-2147483632;f[md>>2]=14;Sw=Ww;vx=395563;Tw=Sw+14|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[Ww+14>>0]=0;OFa(e,ta,r,h);Ix=Cx;if(Cx|0){XC=f[w>>2]|0;if((XC|0)!=(Ix|0)){SC=XC;do{SC=SC+-16|0;f[w>>2]=SC;if((b[SC+11>>0]|0)<0)fuc(f[SC>>2]|0)}while((SC|0)!=(Ix|0))}fuc(Cx);f[w>>2]=0}Ix=f[e>>2]|0;SC=f[nd>>2]|0;f[w>>2]=SC;f[od>>2]=0;f[nd>>2]=0;f[e>>2]=0;fuc(Ww);XC=Ix;if((XC|0)!=(SC|0)){if((SC-Ix|0)!=16){$w=507;break b}ZFa(ta,f[XC+12>>2]|0,0);hI(e,j,XC,XC)};f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;XC=cuc(16)|0;f[e>>2]=XC;f[pd>>2]=-2147483632;f[qd>>2]=11;Sw=XC;vx=445519;Tw=Sw+11|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[XC+11>>0]=0;Ww=sLa(c,r,e,t)|0;if((b[rd>>0]|0)<0)fuc(f[e>>2]|0);Cx=cEa(o,r)|0;f[Cx>>2]=Ww;SFa(e,v);TFa(a,o,c,e,Ww,0);if((b[sd>>0]|0)<0)fuc(f[e>>2]|0);puc(e,r,0,Ouc(r,58,-1)|0,r);Ww=NFa(k,e)|0;if((b[td>>0]|0)<0)fuc(f[e>>2]|0);if(!((Ww|0)!=(ua|0)?(f[Ww+28>>2]|0)!=2:0)){Ww=cEa(k,r)|0;f[Ww>>2]=0}if((b[ud>>0]|0)<0)fuc(f[z>>2]|0);dE=Ix}Ww=dE;if(dE|0){Cx=f[w>>2]|0;if((Cx|0)!=(Ww|0)){SC=Cx;do{SC=SC+-16|0;f[w>>2]=SC;if((b[SC+11>>0]|0)<0)fuc(f[SC>>2]|0)}while((SC|0)!=(Ww|0))}fuc(dE)}if((b[zd>>0]|0)<0)fuc(f[v>>2]|0)}while(0);if((b[cw>>0]|0)<0)fuc(f[bw>>2]|0);if((b[ew>>0]|0)<0)fuc(f[dw>>2]|0);ut(fw);lEa(t,f[Ca>>2]|0);if((b[Ia>>0]|0)<0)fuc(f[s>>2]|0);if((b[Ak>>0]|0)<0)fuc(f[r>>2]|0);GSa(q);Rw=Rw+1|0;if((Rw|0)>=(sa|0)){Ja=tj;$w=36;break}}switch($w|0){case 36:{RMa(c,Ja);Ka=f[qa>>2]|0;_Da(o,Ka);La=f[Ha>>2]|0;nGa(m,La);Ma=f[xa>>2]|0;_Da(l,Ma);Na=f[ua>>2]|0;_Da(k,Na);Oa=f[ra>>2]|0;gI(j,Oa);u=d;return}case 48:{d=cuc(32)|0;f[e>>2]=d;f[e+8>>2]=-2147483616;f[e+4>>2]=24;Sw=d;vx=395085;Tw=Sw+24|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[d+24>>0]=0;WD(-215,e,395110,395134,652);break}case 75:{f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;d=cuc(32)|0;f[e>>2]=d;f[e+8>>2]=-2147483616;f[e+4>>2]=23;Sw=d;vx=395265;Tw=Sw+23|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[d+23>>0]=0;WD(-215,e,406169,395134,758);break}case 84:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;d=cuc(48)|0;f[h>>2]=d;f[h+8>>2]=-2147483600;f[h+4>>2]=38;Sw=d;vx=395289;Tw=Sw+38|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[d+38>>0]=0;WD(-215,h,395328,395134,305);break}case 86:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;b[h+11>>0]=9;Sw=h;vx=395338;Tw=Sw+9|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[h+9>>0]=0;WD(-215,h,395328,395134,306);break}case 88:{f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;d=cuc(32)|0;f[i>>2]=d;f[i+8>>2]=-2147483616;f[i+4>>2]=25;Sw=d;vx=395348;Tw=Sw+25|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[d+25>>0]=0;WD(-215,i,395328,395134,309);break}case 113:{f[g>>2]=ZC;cE(e,476242,g);WD(-3,e,476262,476267,297);break}case 115:{f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;g=cuc(32)|0;f[e>>2]=g;f[e+8>>2]=-2147483616;f[e+4>>2]=20;Sw=g;vx=395374;Tw=Sw+20|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[g+20>>0]=0;WD(-215,e,406169,395134,761);break}case 138:{f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;g=cuc(32)|0;f[i>>2]=g;f[i+8>>2]=-2147483616;f[i+4>>2]=28;Sw=g;vx=395395;Tw=Sw+28|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[g+28>>0]=0;WD(-215,i,395424,395134,113);break}case 153:{f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;g=cuc(16)|0;f[i>>2]=g;f[i+8>>2]=-2147483632;f[i+4>>2]=13;Sw=g;vx=395436;Tw=Sw+13|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[g+13>>0]=0;WD(-215,i,395424,395134,129);break}case 154:{f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;g=cuc(16)|0;f[i>>2]=g;f[i+8>>2]=-2147483632;f[i+4>>2]=13;Sw=g;vx=395450;Tw=Sw+13|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[g+13>>0]=0;WD(-215,i,395424,395134,130);break}case 179:{f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;i=cuc(32)|0;f[e>>2]=i;f[e+8>>2]=-2147483616;f[e+4>>2]=23;Sw=i;vx=395464;Tw=Sw+23|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[i+23>>0]=0;WD(-215,e,406169,395134,772);break}case 199:{f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;i=cuc(32)|0;f[e>>2]=i;f[e+8>>2]=-2147483616;f[e+4>>2]=27;Sw=i;vx=395488;Tw=Sw+27|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[i+27>>0]=0;WD(-215,e,406169,395134,781);break}case 302:{f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;i=cuc(32)|0;f[e>>2]=i;f[e+8>>2]=-2147483616;f[e+4>>2]=23;Sw=i;vx=395464;Tw=Sw+23|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[i+23>>0]=0;WD(-215,e,406169,395134,812);break}case 360:{f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;i=cuc(32)|0;f[e>>2]=i;f[e+8>>2]=-2147483616;f[e+4>>2]=19;Sw=i;vx=395524;Tw=Sw+19|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[i+19>>0]=0;WD(-215,e,406169,395134,850);break}case 373:{f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;i=cuc(32)|0;f[e>>2]=i;f[e+8>>2]=-2147483616;f[e+4>>2]=18;Sw=i;vx=395544;Tw=Sw+18|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[i+18>>0]=0;WD(-215,e,406169,395134,874);break}case 394:{i=cuc(32)|0;f[e>>2]=i;f[e+8>>2]=-2147483616;f[e+4>>2]=28;Sw=i;vx=466324;Tw=Sw+28|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[i+28>>0]=0;WD(-215,e,466353,466357,548);break}case 396:{i=cuc(32)|0;f[e>>2]=i;f[e+8>>2]=-2147483616;f[e+4>>2]=28;Sw=i;vx=466324;Tw=Sw+28|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[i+28>>0]=0;WD(-215,e,466353,466357,548);break}case 507:{f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;i=cuc(32)|0;f[e>>2]=i;f[e+8>>2]=-2147483616;f[e+4>>2]=23;Sw=i;vx=395464;Tw=Sw+23|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[i+23>>0]=0;WD(-215,e,406169,395134,925);break}case 542:{f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;i=cuc(48)|0;f[e>>2]=i;f[e+8>>2]=-2147483600;f[e+4>>2]=37;Sw=i;vx=395578;Tw=Sw+37|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[i+37>>0]=0;WD(-215,e,406169,395134,948);break}case 551:{f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;i=cuc(32)|0;f[e>>2]=i;f[e+8>>2]=-2147483616;f[e+4>>2]=25;Sw=i;vx=395616;Tw=Sw+25|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[i+25>>0]=0;WD(-215,e,406169,395134,953);break}case 582:{nEa(h,395642,e);WD(-2,h,406169,395134,981);break}case 593:{f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[e+11>>0]=9;Sw=e;vx=395666;Tw=Sw+9|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[e+9>>0]=0;WD(-215,e,406169,395134,994);break}case 602:{f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;i=cuc(32)|0;f[e>>2]=i;f[e+8>>2]=-2147483616;f[e+4>>2]=25;Sw=i;vx=395616;Tw=Sw+25|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[i+25>>0]=0;WD(-215,e,406169,395134,997);break}case 631:{f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;i=cuc(32)|0;f[e>>2]=i;f[e+8>>2]=-2147483616;f[e+4>>2]=23;Sw=i;vx=395683;Tw=Sw+23|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[i+23>>0]=0;WD(-215,e,406169,395134,1018);break}case 666:{f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;i=cuc(32)|0;f[e>>2]=i;f[e+8>>2]=-2147483616;f[e+4>>2]=19;Sw=i;vx=395524;Tw=Sw+19|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[i+19>>0]=0;WD(-215,e,406169,395134,1048);break}case 711:{f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;i=cuc(32)|0;f[e>>2]=i;f[e+8>>2]=-2147483616;f[e+4>>2]=30;Sw=i;vx=403548;Tw=Sw+30|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[i+30>>0]=0;WD(-215,e,406169,395134,1069);break}case 805:{f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;i=cuc(48)|0;f[w>>2]=i;f[w+8>>2]=-2147483600;f[w+4>>2]=41;Sw=i;vx=395713;Tw=Sw+41|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[i+41>>0]=0;WD(-215,w,406169,395134,1103);break}case 872:{f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;w=cuc(48)|0;f[e>>2]=w;f[e+8>>2]=-2147483600;f[e+4>>2]=35;Sw=w;vx=395776;Tw=Sw+35|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[w+35>>0]=0;WD(-215,e,406169,395134,1140);break}case 879:{f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;w=cuc(48)|0;f[e>>2]=w;f[e+8>>2]=-2147483600;f[e+4>>2]=33;Sw=w;vx=395812;Tw=Sw+33|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[w+33>>0]=0;WD(-213,e,406169,395134,1145);break}case 883:{f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;w=cuc(48)|0;f[e>>2]=w;f[e+8>>2]=-2147483600;f[e+4>>2]=33;Sw=w;vx=395812;Tw=Sw+33|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[w+33>>0]=0;WD(-213,e,406169,395134,1150);break}case 884:{f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;w=cuc(48)|0;f[e>>2]=w;f[e+8>>2]=-2147483600;f[e+4>>2]=33;Sw=w;vx=395812;Tw=Sw+33|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[w+33>>0]=0;WD(-213,e,406169,395134,1153);break}case 889:{f[v>>2]=0;f[v+4>>2]=0;f[v+8>>2]=0;w=cuc(48)|0;f[v>>2]=w;f[v+8>>2]=-2147483600;f[v+4>>2]=41;Sw=w;vx=395713;Tw=Sw+41|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[w+41>>0]=0;WD(-215,v,406169,395134,1162);break}case 918:{f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;w=cuc(32)|0;f[e>>2]=w;f[e+8>>2]=-2147483616;f[e+4>>2]=23;Sw=w;vx=395856;Tw=Sw+23|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[w+23>>0]=0;WD(-215,e,406169,395134,1176);break}case 936:{f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;w=cuc(48)|0;f[e>>2]=w;f[e+8>>2]=-2147483600;f[e+4>>2]=44;Sw=w;vx=395880;Tw=Sw+44|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[w+44>>0]=0;WD(-212,e,406169,395134,1198);break}case 945:{f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;w=cuc(48)|0;f[e>>2]=w;f[e+8>>2]=-2147483600;f[e+4>>2]=44;Sw=w;vx=395880;Tw=Sw+44|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[w+44>>0]=0;WD(-212,e,406169,395134,1215);break}case 1043:{w=cuc(32)|0;f[e>>2]=w;f[e+8>>2]=-2147483616;f[e+4>>2]=20;Sw=w;vx=395947;Tw=Sw+20|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[w+20>>0]=0;WD(-215,e,395968,395134,43);break}case 1062:{nEa(h,395642,e);WD(-2,h,406169,395134,1279);break}case 1110:{f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;w=cuc(32)|0;f[e>>2]=w;f[e+8>>2]=-2147483616;f[e+4>>2]=23;Sw=w;vx=395683;Tw=Sw+23|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[w+23>>0]=0;WD(-215,e,406169,395134,1324);break}case 1119:{w=cuc(32)|0;f[e>>2]=w;f[e+8>>2]=-2147483616;f[e+4>>2]=20;Sw=w;vx=395947;Tw=Sw+20|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[w+20>>0]=0;WD(-215,e,395968,395134,43);break}case 1135:{f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;w=cuc(32)|0;f[e>>2]=w;f[e+8>>2]=-2147483616;f[e+4>>2]=23;Sw=w;vx=395265;Tw=Sw+23|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[w+23>>0]=0;WD(-215,e,406169,395134,1342);break}case 1156:{f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;w=cuc(16)|0;f[e>>2]=w;f[e+8>>2]=-2147483632;f[e+4>>2]=15;Sw=w;vx=396009;Tw=Sw+15|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[w+15>>0]=0;WD(-215,e,406169,395134,1345);break}case 1163:{f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;w=cuc(16)|0;f[e>>2]=w;f[e+8>>2]=-2147483632;f[e+4>>2]=14;Sw=w;vx=396025;Tw=Sw+14|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[w+14>>0]=0;WD(-215,e,406169,395134,1345);break}case 1165:{rN(Xy,4,110536);break}case 1167:{rN(Yy,4,110564);break}case 1228:{f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;Yy=cuc(48)|0;f[e>>2]=Yy;f[e+8>>2]=-2147483600;f[e+4>>2]=37;Sw=Yy;vx=395578;Tw=Sw+37|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[Yy+37>>0]=0;WD(-215,e,406169,395134,1373);break}case 1237:{f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;Yy=cuc(32)|0;f[e>>2]=Yy;f[e+8>>2]=-2147483616;f[e+4>>2]=27;Sw=Yy;vx=396040;Tw=Sw+27|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[Yy+27>>0]=0;WD(-215,e,406169,395134,1380);break}case 1245:{f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;Yy=cuc(48)|0;f[e>>2]=Yy;f[e+8>>2]=-2147483600;f[e+4>>2]=43;Sw=Yy;vx=396068;Tw=Sw+43|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[Yy+43>>0]=0;WD(-215,e,406169,395134,1403);break}case 1325:{nEa(h,395642,e);WD(-2,h,406169,395134,1461);break}case 1333:{f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;h=cuc(48)|0;f[e>>2]=h;f[e+8>>2]=-2147483600;f[e+4>>2]=34;Sw=h;vx=396112;Tw=Sw+34|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[h+34>>0]=0;WD(-213,e,406169,395134,1476);break}case 1376:{f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;h=cuc(80)|0;f[e>>2]=h;f[e+8>>2]=-2147483568;f[e+4>>2]=68;Sw=h;vx=396159;Tw=Sw+68|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[h+68>>0]=0;WD(-213,e,406169,395134,1508);break}case 1386:{f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;h=cuc(48)|0;f[x>>2]=h;f[x+8>>2]=-2147483600;f[x+4>>2]=40;Sw=h;vx=396233;Tw=Sw+40|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[h+40>>0]=0;WD(-215,x,406169,395134,1515);break}case 1477:{f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;x=cuc(48)|0;f[e>>2]=x;f[e+8>>2]=-2147483600;f[e+4>>2]=46;Sw=x;vx=396274;Tw=Sw+46|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[x+46>>0]=0;WD(-213,e,406169,395134,1546);break}case 1575:{f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;x=cuc(48)|0;f[e>>2]=x;f[e+8>>2]=-2147483600;f[e+4>>2]=32;Sw=x;vx=396331;Tw=Sw+32|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[x+32>>0]=0;WD(-213,e,406169,395134,1622);break}case 1798:{rN(jC,4,110592);break}case 1804:{if(lC){zE=Y(f[Jq>>2]|0,f[Iq>>2]|0)|0;uN(zE,2,110620)}Iq=f[Rq>>2]|0;Rq=0;Jq=1;while(1){lC=Y(f[Iq+(Rq<<2)>>2]|0,Jq)|0;Rq=Rq+1|0;if((Rq|0)==(kC|0)){zE=lC;break}else Jq=lC}uN(zE,2,110620);break}case 1837:{rN(rC,4,110648);break}case 1843:{if(tC){AE=Y(f[tr>>2]|0,f[sr>>2]|0)|0;uN(AE,1,110676)}sr=f[Kr>>2]|0;Kr=0;tr=1;while(1){tC=Y(f[sr+(Kr<<2)>>2]|0,tr)|0;Kr=Kr+1|0;if((Kr|0)==(sC|0)){AE=tC;break}else tr=tC}uN(AE,1,110676);break}case 1849:{rN(vC,4,110704);break}case 1855:{if(xC){BE=Y(f[wr>>2]|0,f[vr>>2]|0)|0;uN(BE,1,110732)}vr=f[Gr>>2]|0;Gr=0;wr=1;while(1){xC=Y(f[vr+(Gr<<2)>>2]|0,wr)|0;Gr=Gr+1|0;if((Gr|0)==(wC|0)){BE=xC;break}else wr=xC}uN(BE,1,110732);break}case 1881:{f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;BE=cuc(64)|0;f[e>>2]=BE;f[e+8>>2]=-2147483584;f[e+4>>2]=50;Sw=BE;vx=396364;Tw=Sw+50|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[BE+50>>0]=0;WD(-215,e,406169,395134,1705);break}case 1907:{f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;BE=cuc(32)|0;f[e>>2]=BE;f[e+8>>2]=-2147483616;f[e+4>>2]=23;Sw=BE;vx=395683;Tw=Sw+23|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[BE+23>>0]=0;WD(-215,e,406169,395134,1725);break}case 1916:{f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;BE=cuc(48)|0;f[e>>2]=BE;f[e+8>>2]=-2147483600;f[e+4>>2]=35;Sw=BE;vx=396415;Tw=Sw+35|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[BE+35>>0]=0;WD(-215,e,406169,395134,1727);break}case 1933:{BE=cuc(32)|0;f[e>>2]=BE;f[e+8>>2]=-2147483616;f[e+4>>2]=20;Sw=BE;vx=395947;Tw=Sw+20|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[BE+20>>0]=0;WD(-215,e,395968,395134,43);break}case 1975:{f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;BE=cuc(80)|0;f[e>>2]=BE;f[e+8>>2]=-2147483568;f[e+4>>2]=66;Sw=BE;vx=396451;Tw=Sw+66|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[BE+66>>0]=0;WD(-215,e,406169,395134,1737);break}case 1977:{f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;BE=cuc(80)|0;f[e>>2]=BE;f[e+8>>2]=-2147483568;f[e+4>>2]=66;Sw=BE;vx=396518;Tw=Sw+66|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[BE+66>>0]=0;WD(-215,e,406169,395134,1739);break}case 2102:{f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;BE=cuc(32)|0;f[e>>2]=BE;f[e+8>>2]=-2147483616;f[e+4>>2]=23;Sw=BE;vx=395265;Tw=Sw+23|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[BE+23>>0]=0;WD(-215,e,406169,395134,1795);break}case 2111:{rN(aB,4,110760);break}case 2117:{if(cB){CE=Y(f[Ut>>2]|0,f[Tt>>2]|0)|0;uN(CE,2,110788)}Tt=f[_t>>2]|0;_t=0;Ut=1;while(1){cB=Y(f[Tt+(_t<<2)>>2]|0,Ut)|0;_t=_t+1|0;if((_t|0)==(bB|0)){CE=cB;break}else Ut=cB}uN(CE,2,110788);break}case 2158:{f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;CE=cuc(32)|0;f[e>>2]=CE;f[e+8>>2]=-2147483616;f[e+4>>2]=26;Sw=CE;vx=396606;Tw=Sw+26|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[CE+26>>0]=0;WD(-215,e,406169,395134,1812);break}case 2172:{f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;CE=cuc(48)|0;f[e>>2]=CE;f[e+8>>2]=-2147483600;f[e+4>>2]=42;Sw=CE;vx=396633;Tw=Sw+42|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[CE+42>>0]=0;WD(-213,e,406169,395134,1815);break}case 2194:{f[v>>2]=0;f[v+4>>2]=0;f[v+8>>2]=0;CE=cuc(48)|0;f[v>>2]=CE;f[v+8>>2]=-2147483600;f[v+4>>2]=44;Sw=CE;vx=396695;Tw=Sw+44|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[CE+44>>0]=0;WD(-215,v,406169,395134,1836);break}case 2219:{f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;v=cuc(32)|0;f[e>>2]=v;f[e+8>>2]=-2147483616;f[e+4>>2]=23;Sw=v;vx=395265;Tw=Sw+23|0;do{b[Sw>>0]=b[vx>>0]|0;Sw=Sw+1|0;vx=vx+1|0}while((Sw|0)<(Tw|0));b[v+23>>0]=0;WD(-215,e,406169,395134,1848);break}case 2239:{if(sB){DE=Y(f[gv>>2]|0,f[fv>>2]|0)|0;uN(DE,1,110816)}fv=f[yv>>2]|0;yv=0;gv=1;while(1){sB=Y(f[fv+(yv<<2)>>2]|0,gv)|0;yv=yv+1|0;if((yv|0)==(rB|0)){DE=sB;break}else gv=sB}uN(DE,1,110816);break}case 2245:{rN(uB,5,110844);break}case 2251:{if(wB){EE=Y(f[jv>>2]|0,f[iv>>2]|0)|0;uN(EE,1,110872)}iv=f[uv>>2]|0;uv=0;jv=1;while(1){wB=Y(f[iv+(uv<<2)>>2]|0,jv)|0;uv=uv+1|0;if((uv|0)==(vB|0)){EE=wB;break}else jv=wB}uN(EE,1,110872);break}case 2257:{rN(yB,5,110900);break}}}function KFa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0.0,Ga=0.0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0;e=u;u=u+224|0;g=e+208|0;h=e+152|0;i=e+140|0;j=e+128|0;k=e+72|0;l=e+16|0;m=e;o=a+12|0;if((f[o>>2]|0)<=0){u=e;return}p=a+20|0;a=j+11|0;q=j+4|0;r=c+4|0;s=k+11|0;t=k+4|0;v=h+8|0;w=g+11|0;x=g+5|0;y=g+11|0;z=g+5|0;A=g+11|0;B=g+5|0;C=h+4|0;D=h+8|0;E=h+12|0;F=k+4|0;G=k+8|0;H=k+12|0;I=h+16|0;J=k+16|0;K=g+8|0;L=g+4|0;M=l+16|0;N=l+4|0;O=l+8|0;P=l+12|0;Q=m+12|0;R=c+4|0;S=c+8|0;T=m+11|0;U=l+36|0;V=l+40|0;W=l+44|0;X=l+48|0;Z=k+36|0;_=k+40|0;$=k+44|0;aa=k+48|0;ba=h+36|0;ca=h+40|0;da=h+44|0;ea=h+48|0;fa=g+11|0;ga=g+4|0;ha=i+11|0;ia=h+11|0;ja=h+5|0;ka=h+12|0;la=h+11|0;ma=0;a:while(1){na=f[(f[p>>2]|0)+4+(ma<<2)>>2]|0;ouc(i,f[na+60>>2]|0);ouc(j,f[na+64>>2]|0);oa=b[a>>0]|0;pa=f[q>>2]|0;do if(((oa<<24>>24<0?pa:oa&255)|0)==10){if(Puc(j,0,-1,398160,10)|0){qa=b[a>>0]|0;ra=f[q>>2]|0;sa=90;break}if((f[na+12>>2]|0)!=3){sa=9;break a}ta=na+20|0;if((ZEa(c,f[(f[ta>>2]|0)+4>>2]|0)|0)==(r|0)){sa=11;break a}if((ZEa(c,f[(f[ta>>2]|0)+8>>2]|0)|0)==(r|0)){sa=11;break a}if((ZEa(c,f[(f[ta>>2]|0)+12>>2]|0)|0)==(r|0)){sa=11;break a};f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;b[s>>0]=4;f[k>>2]=1701080941;b[t>>0]=0;ua=na+24|0;T5b(ua);va=na+48|0;UFa(h,va);VFa(g,f[v>>2]|0,k,0);wa=(f[g>>2]|0)==0;WFa(h);if(wa)xa=0;else{f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;b[fa>>0]=4;f[g>>2]=1701080941;b[ga>>0]=0;T5b(ua);ua=XFa(va,g)|0;va=(f[ua+20>>2]|0)==2?f[ua+8>>2]|0:542896;ua=b[va+11>>0]|0;if(((ua<<24>>24<0?f[va+4>>2]|0:ua&255)|0)==9)ya=(Puc(va,0,-1,398241,9)|0)==0;else ya=0;if((b[fa>>0]|0)<0)fuc(f[g>>2]|0);xa=ya}if((b[s>>0]|0)<0)fuc(f[k>>2]|0);if(!xa){sa=20;break a}va=cEa(c,f[(f[ta>>2]|0)+4>>2]|0)|0;ua=f[va>>2]|0;va=cEa(c,f[(f[ta>>2]|0)+8>>2]|0)|0;wa=f[va>>2]|0;va=cEa(c,f[(f[ta>>2]|0)+12>>2]|0)|0;ta=f[va>>2]|0;va=f[(f[p>>2]|0)+4+(ua<<2)>>2]|0;za=va+24|0;T5b(za);S5b(za);f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;b[w>>0]=5;b[g>>0]=b[513626]|0;b[g+1>>0]=b[513627]|0;b[g+2>>0]=b[513628]|0;b[g+3>>0]=b[513629]|0;b[g+4>>0]=b[513630]|0;b[x>>0]=0;za=OGa(NGa(va+48|0,g)|0)|0;if((b[w>>0]|0)<0)fuc(f[g>>2]|0);va=za+160|0;if((f[va>>2]|0)!=12){sa=24;break a}Aa=f[(f[p>>2]|0)+4+(wa<<2)>>2]|0;T5b(Aa+24|0);f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;b[y>>0]=5;b[g>>0]=b[513626]|0;b[g+1>>0]=b[513627]|0;b[g+2>>0]=b[513628]|0;b[g+3>>0]=b[513629]|0;b[g+4>>0]=b[513630]|0;b[z>>0]=0;wa=XFa(Aa+48|0,g)|0;CHa(h,(f[wa+20>>2]|0)==8?f[wa+8>>2]|0:536120);if((b[y>>0]|0)<0)fuc(f[g>>2]|0);wa=f[(f[p>>2]|0)+4+(ta<<2)>>2]|0;T5b(wa+24|0);f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;b[A>>0]=5;b[g>>0]=b[513626]|0;b[g+1>>0]=b[513627]|0;b[g+2>>0]=b[513628]|0;b[g+3>>0]=b[513629]|0;b[g+4>>0]=b[513630]|0;b[B>>0]=0;ta=XFa(wa+48|0,g)|0;CHa(k,(f[ta+20>>2]|0)==8?f[ta+8>>2]|0:536120);if((b[A>>0]|0)<0)fuc(f[g>>2]|0);ta=f[C>>2]|0;if((ta|0)<3)Ba=Y(f[E>>2]|0,f[D>>2]|0)|0;else{wa=f[ca>>2]|0;Aa=0;Ca=1;while(1){Da=Y(f[wa+(Aa<<2)>>2]|0,Ca)|0;Aa=Aa+1|0;if((Aa|0)==(ta|0)){Ba=Da;break}else Ca=Da}}if((Ba|0)!=1){sa=34;break a}if((f[h>>2]&4095|0)!=5){sa=36;break a}Ca=f[F>>2]|0;if((Ca|0)<3)Ea=Y(f[H>>2]|0,f[G>>2]|0)|0;else{ta=f[_>>2]|0;Aa=0;wa=1;while(1){Da=Y(f[ta+(Aa<<2)>>2]|0,wa)|0;Aa=Aa+1|0;if((Aa|0)==(Ca|0)){Ea=Da;break}else wa=Da}}if((Ea|0)!=1){sa=42;break a}if((f[k>>2]&4095|0)!=5){sa=44;break a}CHa(l,za);Fa=+n[f[I>>2]>>2];Ga=(+n[f[J>>2]>>2]-Fa)/255.0;if(!(Ga>=0.0)){sa=46;break a}wa=K;f[wa>>2]=0;f[wa+4>>2]=0;f[g>>2]=33619968;f[L>>2]=l;kQ(l,g,5,Ga,Ga*+(Ghc(Fa/Ga)|0));f[va>>2]=1;wa=f[M>>2]|0;Ca=f[N>>2]|0;if((Ca|0)<3)Ha=Y(f[P>>2]|0,f[O>>2]|0)|0;else{Aa=f[V>>2]|0;ta=0;Da=1;while(1){Ia=Y(f[Aa+(ta<<2)>>2]|0,Da)|0;ta=ta+1|0;if((ta|0)==(Ca|0)){Ha=Ia;break}else Da=Ia}}PGa(za,wa,Y(675553809>>>(f[l>>2]<<2&28)&15,Ha)|0);Da=f[(f[p>>2]|0)+4+(ua<<2)>>2]|0;Ca=Da+60|0;ta=f[Da+4>>2]|0;Da=ta&-2;if(!(ta&1))Ja=Da;else Ja=f[Da+4>>2]|0;Da=f[Ca>>2]|0;if((Da|0)==542896)QGa(Ca,Ja,i);else ruc(Da,i)|0;ouc(m,i);f[Q>>2]=ua;Da=uEa(c,g,m)|0;if(!(f[Da>>2]|0)){Ca=cuc(32)|0;ta=Ca+16|0;f[ta>>2]=f[m>>2];f[ta+4>>2]=f[m+4>>2];f[ta+8>>2]=f[m+8>>2];f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[Ca+28>>2]=f[Q>>2];ta=f[g>>2]|0;f[Ca>>2]=0;f[Ca+4>>2]=0;f[Ca+8>>2]=ta;f[Da>>2]=Ca;ta=f[f[c>>2]>>2]|0;if(!ta)Ka=Ca;else{f[c>>2]=ta;Ka=f[Da>>2]|0}jI(f[R>>2]|0,Ka);f[S>>2]=(f[S>>2]|0)+1;La=0}else La=1;if((b[T>>0]|0)<0)fuc(f[m>>2]|0);if(La){sa=64;break a}hI(g,d,i,i);Da=f[U>>2]|0;do if(Da|0){ta=Da+12|0;Ca=f[ta>>2]|0;f[ta>>2]=Ca+-1;if((Ca|0)!=1)break;aU(l)}while(0);f[U>>2]=0;f[M>>2]=0;f[M+4>>2]=0;f[M+8>>2]=0;f[M+12>>2]=0;if((f[N>>2]|0)>0){Da=f[V>>2]|0;ua=0;do{f[Da+(ua<<2)>>2]=0;ua=ua+1|0}while((ua|0)<(f[N>>2]|0))}ua=f[W>>2]|0;if((ua|0)!=(X|0))TC(ua);ua=f[Z>>2]|0;do if(ua|0){Da=ua+12|0;wa=f[Da>>2]|0;f[Da>>2]=wa+-1;if((wa|0)!=1)break;aU(k)}while(0);f[Z>>2]=0;f[J>>2]=0;f[J+4>>2]=0;f[J+8>>2]=0;f[J+12>>2]=0;if((f[F>>2]|0)>0){ua=f[_>>2]|0;wa=0;do{f[ua+(wa<<2)>>2]=0;wa=wa+1|0}while((wa|0)<(f[F>>2]|0))}wa=f[$>>2]|0;if((wa|0)!=(aa|0))TC(wa);wa=f[ba>>2]|0;do if(wa|0){ua=wa+12|0;Da=f[ua>>2]|0;f[ua>>2]=Da+-1;if((Da|0)!=1)break;aU(h)}while(0);f[ba>>2]=0;f[I>>2]=0;f[I+4>>2]=0;f[I+8>>2]=0;f[I+12>>2]=0;if((f[C>>2]|0)>0){wa=f[ca>>2]|0;Da=0;do{f[wa+(Da<<2)>>2]=0;Da=Da+1|0}while((Da|0)<(f[C>>2]|0))}Da=f[da>>2]|0;if((Da|0)!=(ea|0))TC(Da)}else{qa=oa;ra=pa;sa=90}while(0);if(((sa|0)==90?(sa=0,((qa<<24>>24<0?ra:qa&255)|0)==5):0)?(Puc(j,0,-1,399120,5)|0)==0:0){pa=na+24|0;T5b(pa);f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;b[ia>>0]=5;b[h>>0]=b[513626]|0;b[h+1>>0]=b[513627]|0;b[h+2>>0]=b[513628]|0;b[h+3>>0]=b[513629]|0;b[h+4>>0]=b[513630]|0;b[ja>>0]=0;VFa(g,f[na+56>>2]|0,h,0);oa=f[g>>2]|0;T5b(pa);if((b[ia>>0]|0)<0)fuc(f[h>>2]|0);if(oa|0){ouc(h,i);f[ka>>2]=ma;oa=uEa(c,g,h)|0;if(!(f[oa>>2]|0)){pa=cuc(32)|0;Da=pa+16|0;f[Da>>2]=f[h>>2];f[Da+4>>2]=f[h+4>>2];f[Da+8>>2]=f[h+8>>2];f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[pa+28>>2]=f[ka>>2];Da=f[g>>2]|0;f[pa>>2]=0;f[pa+4>>2]=0;f[pa+8>>2]=Da;f[oa>>2]=pa;Da=f[f[c>>2]>>2]|0;if(!Da)Ma=pa;else{f[c>>2]=Da;Ma=f[oa>>2]|0}jI(f[R>>2]|0,Ma);f[S>>2]=(f[S>>2]|0)+1;Na=0}else Na=1;if((b[la>>0]|0)<0)fuc(f[h>>2]|0);if(Na){sa=102;break}}hI(g,d,i,i)}if((b[a>>0]|0)<0)fuc(f[j>>2]|0);if((b[ha>>0]|0)<0)fuc(f[i>>2]|0);ma=ma+1|0;if((ma|0)>=(f[o>>2]|0)){sa=3;break}}switch(sa|0){case 3:{u=e;return}case 9:{f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;e=cuc(32)|0;f[g>>2]=e;f[g+8>>2]=-2147483616;f[g+4>>2]=23;Oa=e;Pa=395265;Qa=Oa+23|0;do{b[Oa>>0]=b[Pa>>0]|0;Oa=Oa+1|0;Pa=Pa+1|0}while((Oa|0)<(Qa|0));b[e+23>>0]=0;WD(-215,g,398171,395134,573);break}case 11:{f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;e=cuc(64)|0;f[g>>2]=e;f[g+8>>2]=-2147483584;f[g+4>>2]=55;Oa=e;Pa=398185;Qa=Oa+55|0;do{b[Oa>>0]=b[Pa>>0]|0;Oa=Oa+1|0;Pa=Pa+1|0}while((Oa|0)<(Qa|0));b[e+55>>0]=0;WD(-215,g,398171,395134,575);break}case 20:{f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;e=cuc(80)|0;f[g>>2]=e;f[g+8>>2]=-2147483568;f[g+4>>2]=77;Oa=e;Pa=398251;Qa=Oa+77|0;do{b[Oa>>0]=b[Pa>>0]|0;Oa=Oa+1|0;Pa=Pa+1|0}while((Oa|0)<(Qa|0));b[e+77>>0]=0;WD(-215,g,398171,395134,577);break}case 24:{f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;e=cuc(48)|0;f[g>>2]=e;f[g+8>>2]=-2147483600;f[g+4>>2]=40;Oa=e;Pa=398329;Qa=Oa+40|0;do{b[Oa>>0]=b[Pa>>0]|0;Oa=Oa+1|0;Pa=Pa+1|0}while((Oa|0)<(Qa|0));b[e+40>>0]=0;WD(-215,g,398171,395134,586);break}case 34:{f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;e=cuc(32)|0;f[g>>2]=e;f[g+8>>2]=-2147483616;f[g+4>>2]=17;Oa=e;Pa=398370;Qa=Oa+17|0;do{b[Oa>>0]=b[Pa>>0]|0;Oa=Oa+1|0;Pa=Pa+1|0}while((Oa|0)<(Qa|0));b[e+17>>0]=0;WD(-215,g,398171,395134,591);break}case 36:{f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;e=cuc(64)|0;f[g>>2]=e;f[g+8>>2]=-2147483584;f[g+4>>2]=56;Oa=e;Pa=398388;Qa=Oa+56|0;do{b[Oa>>0]=b[Pa>>0]|0;Oa=Oa+1|0;Pa=Pa+1|0}while((Oa|0)<(Qa|0));b[e+56>>0]=0;WD(-215,g,398171,395134,591);break}case 42:{f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;e=cuc(32)|0;f[g>>2]=e;f[g+8>>2]=-2147483616;f[g+4>>2]=17;Oa=e;Pa=398445;Qa=Oa+17|0;do{b[Oa>>0]=b[Pa>>0]|0;Oa=Oa+1|0;Pa=Pa+1|0}while((Oa|0)<(Qa|0));b[e+17>>0]=0;WD(-215,g,398171,395134,591);break}case 44:{f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;e=cuc(64)|0;f[g>>2]=e;f[g+8>>2]=-2147483584;f[g+4>>2]=56;Oa=e;Pa=398463;Qa=Oa+56|0;do{b[Oa>>0]=b[Pa>>0]|0;Oa=Oa+1|0;Pa=Pa+1|0}while((Oa|0)<(Qa|0));b[e+56>>0]=0;WD(-215,g,398171,395134,591);break}case 46:{f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;e=cuc(16)|0;f[g>>2]=e;f[g+8>>2]=-2147483632;f[g+4>>2]=15;Oa=e;Pa=398520;Qa=Oa+15|0;do{b[Oa>>0]=b[Pa>>0]|0;Oa=Oa+1|0;Pa=Pa+1|0}while((Oa|0)<(Qa|0));b[e+15>>0]=0;WD(-215,g,398171,395134,597);break}case 64:{f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;e=cuc(64)|0;f[g>>2]=e;f[g+8>>2]=-2147483584;f[g+4>>2]=58;Oa=e;Pa=398536;Qa=Oa+58|0;do{b[Oa>>0]=b[Pa>>0]|0;Oa=Oa+1|0;Pa=Pa+1|0}while((Oa|0)<(Qa|0));b[e+58>>0]=0;WD(-215,g,398171,395134,605);break}case 102:{f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;e=cuc(64)|0;f[g>>2]=e;f[g+8>>2]=-2147483584;f[g+4>>2]=52;Oa=e;Pa=398595;Qa=Oa+52|0;do{b[Oa>>0]=b[Pa>>0]|0;Oa=Oa+1|0;Pa=Pa+1|0}while((Oa|0)<(Qa|0));b[e+52>>0]=0;WD(-215,g,398171,395134,614);break}}}function LFa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;c=u;u=u+48|0;d=c+24|0;e=c+12|0;g=c;h=cuc(16)|0;f[g>>2]=h;f[g+8>>2]=-2147483632;f[g+4>>2]=11;i=h;j=398067;k=i+11|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));b[h+11>>0]=0;h=a+24|0;T5b(h);l=a+48|0;UFa(e,l);VFa(d,f[e+8>>2]|0,g,0);a=(f[d>>2]|0)==0;WFa(e);if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);if(a){m=2;u=c;return m|0}a=cuc(16)|0;f[e>>2]=a;f[e+8>>2]=-2147483632;f[e+4>>2]=11;i=a;j=398067;k=i+11|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));b[a+11>>0]=0;T5b(h);h=XFa(l,e)|0;ouc(d,(f[h+20>>2]|0)==2?f[h+8>>2]|0:542896);if((b[e+11>>0]|0)<0)fuc(f[e>>2]|0);h=d+11|0;l=b[h>>0]|0;a=d+4|0;j=f[a>>2]|0;if(((l<<24>>24<0?j:l&255)|0)==4)if(!(Puc(d,0,-1,398079,4)|0))n=0;else{o=b[h>>0]|0;p=f[a>>2]|0;q=9}else{o=l;p=j;q=9}do if((q|0)==9){if(((o<<24>>24<0?p:o&255)|0)==13){if(!(Puc(d,0,-1,398084,13)|0)){n=0;break}r=b[h>>0]|0;s=f[a>>2]|0}else{r=o;s=p}if(((r<<24>>24<0?s:r&255)|0)==4){if(!(Puc(d,0,-1,398098,4)|0)){n=1;break}t=b[h>>0]|0;v=f[a>>2]|0}else{t=r;v=s}if(((t<<24>>24<0?v:t&255)|0)!=14){nEa(e,398118,d);WD(-212,e,398146,395134,260)}if(!(Puc(d,0,-1,398103,14)|0))n=1;else{nEa(e,398118,d);WD(-212,e,398146,395134,260)}}while(0);if((b[h>>0]|0)<0)fuc(f[d>>2]|0);m=n;u=c;return m|0}function MFa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;d=a+4|0;a=f[d>>2]|0;do if(a|0){e=b[c+11>>0]|0;g=e<<24>>24<0;h=g?f[c+4>>2]|0:e&255;e=g?f[c>>2]|0:c;g=d;i=a;a:while(1){j=i;while(1){k=j+16|0;l=b[k+11>>0]|0;m=l<<24>>24<0;n=m?f[j+20>>2]|0:l&255;l=h>>>0<n>>>0?h:n;if((l|0)!=0?(o=ahc(m?f[k>>2]|0:k,e,l)|0,(o|0)!=0):0){if((o|0)>=0)break}else p=6;if((p|0)==6?(p=0,n>>>0>=h>>>0):0)break;n=f[j+4>>2]|0;if(!n){q=g;break a}else j=n}i=f[j>>2]|0;if(!i){q=j;break}else g=j}if((q|0)!=(d|0)){g=q+16|0;i=b[g+11>>0]|0;n=i<<24>>24<0;o=n?f[q+20>>2]|0:i&255;i=o>>>0<h>>>0?o:h;if(i|0?(l=ahc(e,n?f[g>>2]|0:g,i)|0,l|0):0){if((l|0)<0)break;else r=q;return r|0}if(h>>>0>=o>>>0){r=q;return r|0}}}while(0);r=d;return r|0}function NFa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;d=a+4|0;a=f[d>>2]|0;do if(a|0){e=b[c+11>>0]|0;g=e<<24>>24<0;h=g?f[c+4>>2]|0:e&255;e=g?f[c>>2]|0:c;g=d;i=a;a:while(1){j=i;while(1){k=j+16|0;l=b[k+11>>0]|0;m=l<<24>>24<0;n=m?f[j+20>>2]|0:l&255;l=h>>>0<n>>>0?h:n;if((l|0)!=0?(o=ahc(m?f[k>>2]|0:k,e,l)|0,(o|0)!=0):0){if((o|0)>=0)break}else p=6;if((p|0)==6?(p=0,n>>>0>=h>>>0):0)break;n=f[j+4>>2]|0;if(!n){q=g;break a}else j=n}i=f[j>>2]|0;if(!i){q=j;break}else g=j}if((q|0)!=(d|0)){g=q+16|0;i=b[g+11>>0]|0;n=i<<24>>24<0;o=n?f[q+20>>2]|0:i&255;i=o>>>0<h>>>0?o:h;if(i|0?(l=ahc(e,n?f[g>>2]|0:g,i)|0,l|0):0){if((l|0)<0)break;else r=q;return r|0}if(h>>>0>=o>>>0){r=q;return r|0}}}while(0);r=d;return r|0}function OFa(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0;g=u;u=u+32|0;h=g+16|0;i=g;f[a>>2]=0;j=a+4|0;f[j>>2]=0;f[a+8>>2]=0;k=c+12|0;if((f[k>>2]|0)<=0){u=g;return}l=c+20|0;c=e+11|0;m=e+4|0;n=h+11|0;o=h+4|0;p=d+11|0;q=d+4|0;r=i+12|0;s=a+8|0;t=i+11|0;v=0;do{w=f[(f[l>>2]|0)+4+(v<<2)>>2]|0;x=w+12|0;if((f[x>>2]|0)>0){y=w+20|0;z=w+60|0;A=w+64|0;w=0;do{SFa(i,f[(f[y>>2]|0)+4+(w<<2)>>2]|0);f[h>>2]=f[i>>2];f[h+4>>2]=f[i+4>>2];f[h+8>>2]=f[i+8>>2];B=b[c>>0]|0;C=B<<24>>24<0;D=B&255;B=C?f[m>>2]|0:D;a:do if(B){E=f[A>>2]|0;F=b[E+11>>0]|0;G=F<<24>>24<0;if((B|0)==((G?f[E+4>>2]|0:F&255)|0)){F=f[e>>2]|0;H=G?f[E>>2]|0:E;if(C){I=(ahc(F,H,B)|0)==0;break}if((F&255)<<24>>24==(b[H>>0]|0)){F=e;E=D;G=H;while(1){E=E+-1|0;F=F+1|0;if(!E){I=1;break a}G=G+1|0;if((b[F>>0]|0)!=(b[G>>0]|0)){I=0;break}}}else I=0}else I=0}else I=1;while(0);D=b[n>>0]|0;B=D<<24>>24<0;C=D&255;D=B?f[o>>2]|0:C;G=b[p>>0]|0;F=G<<24>>24<0;b:do if((D|0)==((F?f[q>>2]|0:G&255)|0)){E=f[h>>2]|0;H=B?E:h;J=F?f[d>>2]|0:d;K=(D|0)==0;c:do if(B)if(K)L=1;else L=(ahc(H,J,D)|0)==0;else if(K)L=1;else{if((E&255)<<24>>24==(b[J>>0]|0)){M=h;N=C;O=J}else break b;while(1){N=N+-1|0;M=M+1|0;if(!N){L=1;break c}O=O+1|0;if((b[M>>0]|0)!=(b[O>>0]|0))break b}}while(0);if(I&L){ouc(i,f[z>>2]|0);f[r>>2]=v;J=f[j>>2]|0;if(J>>>0>=(f[s>>2]|0)>>>0){MGa(a,i);if((b[t>>0]|0)<0)fuc(f[i>>2]|0)}else{f[J>>2]=f[i>>2];f[J+4>>2]=f[i+4>>2];f[J+8>>2]=f[i+8>>2];f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[J+12>>2]=f[r>>2];f[j>>2]=(f[j>>2]|0)+16}}}while(0);if(B)fuc(f[h>>2]|0);w=w+1|0}while((w|0)<(f[x>>2]|0))}v=v+1|0}while((v|0)<(f[k>>2]|0));u=g;return}function PFa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0;e=u;u=u+16|0;g=e+12|0;h=e+8|0;i=e;f[i>>2]=f[b>>2];f[g>>2]=f[i>>2];i=LGa(a,g,h,e+4|0,c)|0;c=f[i>>2]|0;if(c|0){j=c;u=e;return j|0}c=cuc(32)|0;ouc(c+16|0,d);f[c+28>>2]=f[d+12>>2];d=f[h>>2]|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=d;f[i>>2]=c;d=f[f[a>>2]>>2]|0;if(!d)k=c;else{f[a>>2]=d;k=f[i>>2]|0}jI(f[a+4>>2]|0,k);k=a+8|0;f[k>>2]=(f[k>>2]|0)+1;j=c;u=e;return j|0}function QFa(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0;h=u;u=u+80|0;i=h+56|0;j=h+40|0;k=h+24|0;l=h+12|0;m=h;if((e|0)==-1){n=c+12|0;if((f[n>>2]|0)<=0){o=cuc(48)|0;f[i>>2]=o;p=i+8|0;f[p>>2]=-2147483600;q=i+4|0;f[q>>2]=38;r=o;s=397870;t=r+38|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));v=o+38|0;b[v>>0]=0;WD(-2,i,397857,395134,528)}w=c+20|0;x=d+4|0;y=i+11|0;z=0;A=-1;while(1){SFa(i,f[(f[w>>2]|0)+4+(z<<2)>>2]|0);if((ZEa(d,i)|0)!=(x|0))if((A|0)==-1)B=z;else{C=6;break}else B=A;if((b[y>>0]|0)<0)fuc(f[i>>2]|0);z=z+1|0;if((z|0)>=(f[n>>2]|0))break;else A=B}if((C|0)==6){f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;A=cuc(32)|0;f[j>>2]=A;f[j+8>>2]=-2147483616;f[j+4>>2]=31;r=A;s=397825;t=r+31|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));b[A+31>>0]=0;WD(-2,j,397857,395134,520)}if((B|0)==-1){o=cuc(48)|0;f[i>>2]=o;p=i+8|0;f[p>>2]=-2147483600;q=i+4|0;f[q>>2]=38;r=o;s=397870;t=r+38|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));v=o+38|0;b[v>>0]=0;WD(-2,i,397857,395134,528)}else D=B}else D=e;e=c+20|0;SFa(j,f[(f[e>>2]|0)+4+(D<<2)>>2]|0);if((ZEa(d,j)|0)==(d+4|0)){nEa(m,397909,f[(f[e>>2]|0)+4+(D<<2)>>2]|0);e=Duc(m,397917)|0;f[l>>2]=f[e>>2];f[l+4>>2]=f[e+4>>2];f[l+8>>2]=f[e+8>>2];f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;e=f[c+60>>2]|0;c=b[e+11>>0]|0;m=c<<24>>24<0;B=Cuc(l,m?f[e>>2]|0:e,m?f[e+4>>2]|0:c&255)|0;f[k>>2]=f[B>>2];f[k+4>>2]=f[B+4>>2];f[k+8>>2]=f[B+8>>2];f[B>>2]=0;f[B+4>>2]=0;f[B+8>>2]=0;B=Duc(k,397930)|0;f[i>>2]=f[B>>2];f[i+4>>2]=f[B+4>>2];f[i+8>>2]=f[B+8>>2];f[B>>2]=0;f[B+4>>2]=0;f[B+8>>2]=0;WD(-2,i,397857,395134,533)}if(f[j+12>>2]|0){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;B=cuc(32)|0;f[i>>2]=B;f[i+8>>2]=-2147483616;f[i+4>>2]=24;r=B;s=397942;t=r+24|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));b[B+24>>0]=0;WD(-2,i,397857,395134,535)}if(g|0)f[g>>2]=D;D=uEa(d,i,j)|0;d=f[D>>2]|0;if(!d){D=ze(8)|0;kuc(D,397967);f[D>>2]=167168;Hf(D|0,26904,1888)}D=f[d+28>>2]|0;a:do if((D|0)<(f[a+12>>2]|0)?(d=f[(f[a+20>>2]|0)+4+(D<<2)>>2]|0,g=f[d+60>>2]|0,B=b[g+11>>0]|0,k=B<<24>>24<0,c=B&255,B=k?f[g+4>>2]|0:c,e=j+11|0,m=b[e>>0]|0,l=m<<24>>24<0,(B|0)==((l?f[j+4>>2]|0:m&255)|0)):0){m=f[g>>2]|0;v=k?m:g;o=l?f[j>>2]|0:j;l=(B|0)==0;b:do if(k){if(!l?ahc(v,o,B)|0:0){C=32;break a}}else if(!l){if((m&255)<<24>>24==(b[o>>0]|0)){E=g;F=c;G=o}else{C=32;break a}while(1){F=F+-1|0;E=E+1|0;if(!F)break b;G=G+1|0;if((b[E>>0]|0)!=(b[G>>0]|0)){C=32;break a}}}while(0);T5b(d+24|0);f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;o=i+11|0;b[o>>0]=5;b[i>>0]=b[513626]|0;b[i+1>>0]=b[513627]|0;b[i+2>>0]=b[513628]|0;b[i+3>>0]=b[513629]|0;b[i+4>>0]=b[513630]|0;b[i+5>>0]=0;c=XFa(d+48|0,i)|0;g=(f[c+20>>2]|0)==8?f[c+8>>2]|0:536120;if((b[o>>0]|0)<0)fuc(f[i>>2]|0);H=g;I=e}else C=32;while(0);if((C|0)==32){if((D|0)>=(f[a+52>>2]|0)){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;C=cuc(32)|0;f[i>>2]=C;f[i+8>>2]=-2147483616;f[i+4>>2]=28;r=C;s=397991;t=r+28|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));b[C+28>>0]=0;WD(-215,i,397857,395134,549)}C=f[(f[a+60>>2]|0)+4+(D<<2)>>2]|0;D=f[C+60>>2]|0;a=b[D+11>>0]|0;G=a<<24>>24<0;E=a&255;a=G?f[D+4>>2]|0:E;F=j+11|0;g=b[F>>0]|0;o=g<<24>>24<0;if((a|0)!=((o?f[j+4>>2]|0:g&255)|0)){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;J=cuc(48)|0;f[i>>2]=J;K=i+8|0;f[K>>2]=-2147483600;L=i+4|0;f[L>>2]=46;r=J;s=398020;t=r+46|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));M=J+46|0;b[M>>0]=0;WD(-215,i,397857,395134,549)}g=f[D>>2]|0;c=G?g:D;m=o?f[j>>2]|0:j;o=(a|0)==0;c:do if(G){if(!o?ahc(c,m,a)|0:0){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;J=cuc(48)|0;f[i>>2]=J;K=i+8|0;f[K>>2]=-2147483600;L=i+4|0;f[L>>2]=46;r=J;s=398020;t=r+46|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));M=J+46|0;b[M>>0]=0;WD(-215,i,397857,395134,549)}}else if(!o){if((g&255)<<24>>24==(b[m>>0]|0)){N=D;O=E;P=m}else{f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;J=cuc(48)|0;f[i>>2]=J;K=i+8|0;f[K>>2]=-2147483600;L=i+4|0;f[L>>2]=46;r=J;s=398020;t=r+46|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));M=J+46|0;b[M>>0]=0;WD(-215,i,397857,395134,549)}do{O=O+-1|0;N=N+1|0;if(!O)break c;P=P+1|0}while((b[N>>0]|0)==(b[P>>0]|0));f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;J=cuc(48)|0;f[i>>2]=J;K=i+8|0;f[K>>2]=-2147483600;L=i+4|0;f[L>>2]=46;r=J;s=398020;t=r+46|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));M=J+46|0;b[M>>0]=0;WD(-215,i,397857,395134,549)}while(0);T5b(C+24|0);f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;M=i+11|0;b[M>>0]=5;b[i>>0]=b[513626]|0;b[i+1>>0]=b[513627]|0;b[i+2>>0]=b[513628]|0;b[i+3>>0]=b[513629]|0;b[i+4>>0]=b[513630]|0;b[i+5>>0]=0;J=XFa(C+48|0,i)|0;C=(f[J+20>>2]|0)==8?f[J+8>>2]|0:536120;if((b[M>>0]|0)<0)fuc(f[i>>2]|0);H=C;I=F}if((b[I>>0]|0)>=0){u=h;return H|0}fuc(f[j>>2]|0);u=h;return H|0}function RFa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;d=u;u=u+16|0;e=d;g=f[c>>2]|0;h=c+4|0;i=f[h>>2]|0;j=g;if((i|0)==(g|0))k=i;else{l=i+(~((i+-4-j|0)>>>2)<<2)|0;f[h>>2]=l;k=l}l=k;if((a|0)!=536120?(i=f[a+156>>2]|0,i|0):0){a=f[i+12>>2]|0;if(!a){f[e>>2]=1;switch(l-j>>2|0){case 0:{fs(c,1,e);break}case 1:break;default:{m=g+4|0;if((k|0)!=(m|0))f[h>>2]=k+(~((k+-4-m|0)>>>2)<<2)}}u=d;return}m=l-j>>2;if(a>>>0<=m>>>0){if(a>>>0<m>>>0?(j=g+(a<<2)|0,(k|0)!=(j|0)):0)f[h>>2]=k+(~((k+-4-j|0)>>>2)<<2)}else OJ(c,a-m|0);if((a|0)<=0){u=d;return}m=f[i+20>>2]|0;i=f[c>>2]|0;c=0;do{f[i+(c<<2)>>2]=f[(f[m+4+(c<<2)>>2]|0)+16>>2];c=c+1|0}while((c|0)!=(a|0));u=d;return}d=cuc(32)|0;f[e>>2]=d;f[e+8>>2]=-2147483616;f[e+4>>2]=29;a=d;c=397775;m=a+29|0;do{b[a>>0]=b[c>>0]|0;a=a+1|0;c=c+1|0}while((a|0)<(m|0));b[d+29>>0]=0;WD(-2,e,397805,395134,91)}function SFa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;d=u;u=u+160|0;e=d+140|0;g=d;ouc(a,c);h=a+12|0;f[h>>2]=0;i=b[c+11>>0]|0;j=i<<24>>24<0;k=j?f[c>>2]|0:c;l=j?f[c+4>>2]|0:i&255;if(!l){u=d;return}i=k+l|0;l=k;while(1){if((b[l>>0]|0)==58)break;j=l+1|0;if((j|0)==(i|0)){m=14;break}else l=j}if((m|0)==14){u=d;return}m=l-k|0;if((l|0)==(i|0)|(m|0)==-1){u=d;return}puc(e,c,0,m,c);i=a+11|0;if((b[i>>0]|0)<0){b[f[a>>2]>>0]=0;f[a+4>>2]=0}else{b[a>>0]=0;b[i>>0]=0}vuc(a,0);f[a>>2]=f[e>>2];f[a+4>>2]=f[e+4>>2];f[a+8>>2]=f[e+8>>2];puc(e,c,m+1|0,-1,c);c=g+60|0;m=g+8|0;f[g>>2]=12028;f[c>>2]=12048;f[g+4>>2]=0;bkc(g+60|0,m);f[g+132>>2]=0;f[g+136>>2]=-1;f[g>>2]=50708;f[c>>2]=50728;gkc(m);f[m>>2]=35404;a=g+40|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;f[g+56>>2]=8;$D(m,e);mkc(g,h)|0;f[g>>2]=50708;f[c>>2]=50728;f[m>>2]=35404;if((b[a+11>>0]|0)<0)fuc(f[a>>2]|0);Ric(m);Djc(g,50740);Mic(c);if((b[e+11>>0]|0)<0)fuc(f[e>>2]|0);u=d;return}function TFa(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;i=u;u=u+16|0;j=i;k=NFa(c,e)|0;if((k|0)==(c+4|0)){nEa(j,395642,e);WD(-2,j,410683,395134,495)}j=f[a+80>>2]|0;c=f[a+84>>2]|0;a=j;a:do if((j|0)==(c|0)){l=j;m=14}else{n=b[e+11>>0]|0;o=n<<24>>24<0;p=o?f[e+4>>2]|0:n&255;n=o?f[e>>2]|0:e;o=(p|0)==0;q=j;do{r=b[q+11>>0]|0;s=r<<24>>24<0;t=r&255;do if(((s?f[q+4>>2]|0:t)|0)==(p|0)){r=f[q>>2]|0;v=s?r:q;if(s){if(o){l=q;m=14;break a}if(!(ahc(v,n,p)|0)){l=q;m=14;break a}else break}if(o){l=q;m=14;break a}if((r&255)<<24>>24==(b[n>>0]|0)){r=q;v=t;w=n;do{v=v+-1|0;r=r+1|0;if(!v){l=q;m=14;break a}w=w+1|0}while((b[r>>0]|0)==(b[w>>0]|0))}}while(0);q=q+12|0}while((q|0)!=(c|0))}while(0);if((m|0)==14?(l|0)!=(c|0):0){x=(l-a|0)/12|0;y=k+28|0;z=f[y>>2]|0;uLa(d,z,x,g,h);u=i;return}x=f[e+12>>2]|0;y=k+28|0;z=f[y>>2]|0;uLa(d,z,x,g,h);u=i;return}function UFa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;c=u;u=u+32|0;d=c+16|0;e=c;f[a>>2]=0;f[a+4>>2]=f[b+4>>2];xGa(a);g=f[b+8>>2]|0;b=f[g+12>>2]|0;h=f[g+4>>2]|0;a:do if(h>>>0>b>>>0){i=f[g+16>>2]|0;j=b;while(1){k=f[i+(j<<2)>>2]|0;if(k|0)break;l=j+1|0;if(l>>>0<h>>>0)j=l;else{m=0;n=l;break a}}if((k|0)==(f[i+((j^1)<<2)>>2]|0)){m=f[(f[k>>2]|0)+16>>2]|0;n=j;break}else{m=k;n=j;break}}else{m=0;n=b}while(0);f[e>>2]=m;f[e+4>>2]=g;f[e+8>>2]=n;if(!m){u=c;return}n=a+8|0;g=m;do{VFa(d,f[n>>2]|0,f[g+12>>2]|0,0);if(!(f[d>>2]|0)){m=f[(f[e>>2]|0)+12>>2]|0;OQa(yGa(a,m)|0,m+16|0)}mGa(e)|0;g=f[e>>2]|0}while((g|0)!=0);u=c;return}function VFa(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;g=u;u=u+16|0;h=g;i=b[d+11>>0]|0;j=i<<24>>24<0;k=j?f[d>>2]|0:d;l=b[k>>0]|0;if(!(l<<24>>24))m=0;else{n=k;o=0;p=l;while(1){q=(o*5|0)+(p<<24>>24)|0;n=n+1|0;p=b[n>>0]|0;if(!(p<<24>>24)){m=q;break}else o=q}}o=(f[c+4>>2]|0)+-1&(f[c+8>>2]|0)+m;m=f[c+16>>2]|0;p=f[m+(o<<2)>>2]|0;a:do if(!p)r=o;else{if((p|0)==(f[m+((o^1)<<2)>>2]|0)){if((p|0)!=(f[m+((o^1)<<2)>>2]|0)){r=o;break}n=o&-2;q=f[m+(n<<2)>>2]|0;f[h>>2]=d;s=q+4|0;t=wGa(q,h,f[s>>2]|0,s)|0;do if((t|0)!=(s|0)){q=f[h>>2]|0;v=t+16|0;w=f[v>>2]|0;x=b[w+11>>0]|0;y=x<<24>>24<0;z=y?f[w+4>>2]|0:x&255;x=b[q+11>>0]|0;A=x<<24>>24<0;B=A?f[q+4>>2]|0:x&255;x=z>>>0<B>>>0?z:B;C=w;if((x|0)!=0?(D=ahc(A?f[q>>2]|0:q,y?f[w>>2]|0:w,x)|0,(D|0)!=0):0){if((D|0)<0)break}else E=20;if((E|0)==20?B>>>0<z>>>0:0)break;if(!e)F=C;else{f[e>>2]=t;F=f[v>>2]|0}f[a>>2]=F;f[a+4>>2]=c;f[a+8>>2]=n;f[a+12>>2]=n;u=g;return}while(0);r=n;break}t=j?f[d+4>>2]|0:i&255;s=(t|0)==0;v=p;b:while(1){C=b[v+11>>0]|0;z=C<<24>>24<0;B=C&255;do if(((z?f[v+4>>2]|0:B)|0)==(t|0)){C=f[v>>2]|0;D=z?C:v;if(z){if(s)break b;if(!(ahc(D,k,t)|0))break b;else break}if(s)break b;if((C&255)<<24>>24==l<<24>>24){C=v;D=B;x=k;do{D=D+-1|0;C=C+1|0;if(!D)break b;x=x+1|0}while((b[C>>0]|0)==(b[x>>0]|0))}}while(0);B=f[v+16>>2]|0;if(!B){r=o;break a}else v=B}f[a>>2]=v;f[a+4>>2]=c;f[a+8>>2]=o;f[a+12>>2]=o;u=g;return}while(0);f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=r;u=g;return}function WFa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;c=u;u=u+48|0;d=c+28|0;e=c+16|0;g=c;h=a+8|0;i=f[h>>2]|0;j=f[i+12>>2]|0;k=f[i+4>>2]|0;a:do if(k>>>0>j>>>0){l=f[i+16>>2]|0;m=j;while(1){n=f[l+(m<<2)>>2]|0;if(n|0)break;o=m+1|0;if(o>>>0<k>>>0)m=o;else{p=9;break a}}if((n|0)==(f[l+((m^1)<<2)>>2]|0))q=f[(f[n>>2]|0)+16>>2]|0;else q=n;if(q){o=g+4|0;r=g+8|0;s=q;t=i;v=m;while(1){f[g>>2]=s;f[o>>2]=t;f[r>>2]=v;if((f[a>>2]|0)==0?(w=f[s+12>>2]|0,w|0):0){gPa(w+16|0);if((b[w+11>>0]|0)<0)fuc(f[w>>2]|0);fuc(w)};f[e>>2]=f[g>>2];f[e+4>>2]=f[g+4>>2];f[e+8>>2]=f[g+8>>2];pGa(g)|0;w=f[h>>2]|0;f[d>>2]=f[e>>2];f[d+4>>2]=f[e+4>>2];f[d+8>>2]=f[e+8>>2];qGa(w,d);s=f[g>>2]|0;if(!s){x=a;break}else{t=f[o>>2]|0;v=f[r>>2]|0}}}else p=9}else p=9;while(0);if((p|0)==9)x=a;if(f[x>>2]|0){u=c;return}x=f[h>>2]|0;if(!x){u=c;return}h=x+16|0;if(f[h>>2]|0?(rGa(x),(f[x+20>>2]|0)==0):0)fuc(f[h>>2]|0);fuc(x);u=c;return}function XFa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0;c=u;u=u+48|0;d=c+24|0;e=c;VFa(d,f[a+8>>2]|0,b,0);a=f[d>>2]|0;if(a|0){g=a+12|0;h=f[g>>2]|0;i=h+16|0;u=c;return i|0}iLb(e,3,397428,1059);fLb(c+40|0,eLb(dLb(dLb(e,397512)|0,397540)|0,b)|0);jLb(e);g=a+12|0;h=f[g>>2]|0;i=h+16|0;u=c;return i|0}function YFa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0;d=u;u=u+96|0;e=d+72|0;g=d+16|0;h=d;switch(f[a+160>>2]|0){case 19:case 1:{f[e>>2]=0;i=e+4|0;f[i>>2]=0;f[e+8>>2]=0;RFa(a,e);j=f[e>>2]|0;k=((f[i>>2]|0)-j|0)==16;l=j;if(k){j=l+8|0;m=l+12|0;o=f[m>>2]|0;f[m>>2]=f[j>>2];m=l+4|0;l=f[m>>2]|0;f[m>>2]=o;f[j>>2]=l}_T(c,e,5);CHa(g,a);l=g+4|0;j=f[l>>2]|0;if((j|0)<3)q=Y(f[g+12>>2]|0,f[g+8>>2]|0)|0;else{o=f[g+40>>2]|0;m=0;r=1;while(1){s=Y(f[o+(m<<2)>>2]|0,r)|0;m=m+1|0;if((m|0)==(j|0)){q=s;break}else r=s}}r=f[c+4>>2]|0;if((r|0)<3)t=Y(f[c+12>>2]|0,f[c+8>>2]|0)|0;else{j=f[c+40>>2]|0;m=0;o=1;while(1){s=Y(f[j+(m<<2)>>2]|0,o)|0;m=m+1|0;if((m|0)==(r|0)){t=s;break}else o=s}}if((q|0)!=(t|0)){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;t=cuc(32)|0;f[h>>2]=t;f[h+8>>2]=-2147483616;f[h+4>>2]=28;v=t;w=395395;x=v+28|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));b[t+28>>0]=0;WD(-215,h,395424,395134,113)}t=f[c+16>>2]|0;o=g+16|0;r=f[o>>2]|0;a:do if(k){m=f[e>>2]|0;j=f[m>>2]|0;s=f[m+4>>2]|0;y=f[m+8>>2]|0;z=f[m+12>>2]|0;m=Y(Y(Y(s,j)|0,y)|0,z)|0;if((j|0)>0?(A=Y(Y(y,s)|0,z)|0,(s|0)>0):0){B=(y|0)<1|(z|0)<1;C=0;b:while(1){D=Y(A,C)|0;if(!B){E=0;do{F=Y(E,y)|0;G=E+D|0;H=0;do{I=(Y(H+F|0,z)|0)+D|0;J=Y(H,z)|0;K=0;do{L=I+K|0;M=G+(Y(K+J|0,s)|0)|0;if((L|0)>=(m|0)){N=28;break b}if((M|0)>=(m|0)){N=29;break b}f[t+(L<<2)>>2]=f[r+(M<<2)>>2];K=K+1|0}while((K|0)<(z|0));H=H+1|0}while((H|0)<(y|0));E=E+1|0}while((E|0)<(s|0))}C=C+1|0;if((C|0)>=(j|0))break a}if((N|0)==28){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;j=cuc(16)|0;f[h>>2]=j;f[h+8>>2]=-2147483632;f[h+4>>2]=13;v=j;w=395436;x=v+13|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));b[j+13>>0]=0;WD(-215,h,395424,395134,129)}else if((N|0)==29){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;C=cuc(16)|0;f[h>>2]=C;f[h+8>>2]=-2147483632;f[h+4>>2]=13;v=C;w=395450;x=v+13|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));b[C+13>>0]=0;WD(-215,h,395424,395134,130)}}}else if((q|0)>0){j=0;do{f[t+(j<<2)>>2]=f[r+(j<<2)>>2];j=j+1|0}while((j|0)!=(q|0))}while(0);q=g+36|0;r=f[q>>2]|0;if(r|0?(t=r+12|0,r=f[t>>2]|0,f[t>>2]=r+-1,(r|0)==1):0)aU(g);f[q>>2]=0;f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;f[o+12>>2]=0;if((f[l>>2]|0)>0){o=f[g+40>>2]|0;q=0;do{f[o+(q<<2)>>2]=0;q=q+1|0}while((q|0)<(f[l>>2]|0))}l=f[g+44>>2]|0;if((l|0)!=(g+48|0))TC(l);l=f[e>>2]|0;if(l|0){q=f[i>>2]|0;if((q|0)!=(l|0))f[i>>2]=q+(~((q+-4-l|0)>>>2)<<2);fuc(l)}u=d;return}case 2:{f[e>>2]=0;l=e+4|0;f[l>>2]=0;f[e+8>>2]=0;RFa(a,e);q=f[e>>2]|0;i=((f[l>>2]|0)-q|0)==16;o=q;if(i){q=o+8|0;r=o+12|0;t=f[r>>2]|0;f[r>>2]=f[q>>2];r=o+4|0;o=f[r>>2]|0;f[r>>2]=t;f[q>>2]=o}_T(c,e,5);CHa(g,a);a=g+4|0;o=f[a>>2]|0;if((o|0)<3)O=Y(f[g+12>>2]|0,f[g+8>>2]|0)|0;else{q=f[g+40>>2]|0;t=0;r=1;while(1){k=Y(f[q+(t<<2)>>2]|0,r)|0;t=t+1|0;if((t|0)==(o|0)){O=k;break}else r=k}}r=f[c+4>>2]|0;if((r|0)<3)P=Y(f[c+12>>2]|0,f[c+8>>2]|0)|0;else{o=f[c+40>>2]|0;t=0;q=1;while(1){k=Y(f[o+(t<<2)>>2]|0,q)|0;t=t+1|0;if((t|0)==(r|0)){P=k;break}else q=k}}if((O|0)!=(P|0)){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;P=cuc(32)|0;f[h>>2]=P;f[h+8>>2]=-2147483616;f[h+4>>2]=28;v=P;w=395395;x=v+28|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));b[P+28>>0]=0;WD(-215,h,395424,395134,113)}P=f[c+16>>2]|0;c=g+16|0;q=f[c>>2]|0;c:do if(i){r=f[e>>2]|0;t=f[r>>2]|0;o=f[r+4>>2]|0;k=f[r+8>>2]|0;j=f[r+12>>2]|0;r=Y(Y(Y(o,t)|0,k)|0,j)|0;if((t|0)>0?(C=Y(Y(k,o)|0,j)|0,(o|0)>0):0){s=(k|0)<1|(j|0)<1;y=0;d:while(1){z=Y(C,y)|0;if(!s){m=0;do{B=Y(m,k)|0;A=m+z|0;E=0;do{D=(Y(E+B|0,j)|0)+z|0;H=Y(E,j)|0;G=0;do{F=D+G|0;K=A+(Y(G+H|0,o)|0)|0;if((F|0)>=(r|0)){N=70;break d}if((K|0)>=(r|0)){N=71;break d}n[P+(F<<2)>>2]=+p[q+(K<<3)>>3];G=G+1|0}while((G|0)<(j|0));E=E+1|0}while((E|0)<(k|0));m=m+1|0}while((m|0)<(o|0))}y=y+1|0;if((y|0)>=(t|0))break c}if((N|0)==70){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;t=cuc(16)|0;f[h>>2]=t;f[h+8>>2]=-2147483632;f[h+4>>2]=13;v=t;w=395436;x=v+13|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));b[t+13>>0]=0;WD(-215,h,395424,395134,129)}else if((N|0)==71){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;y=cuc(16)|0;f[h>>2]=y;f[h+8>>2]=-2147483632;f[h+4>>2]=13;v=y;w=395450;x=v+13|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));b[y+13>>0]=0;WD(-215,h,395424,395134,130)}}}else if((O|0)>0){t=0;do{n[P+(t<<2)>>2]=+p[q+(t<<3)>>3];t=t+1|0}while((t|0)!=(O|0))}while(0);O=g+36|0;q=f[O>>2]|0;if(q|0?(P=q+12|0,q=f[P>>2]|0,f[P>>2]=q+-1,(q|0)==1):0)aU(g);f[O>>2]=0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[a>>2]|0)>0){c=f[g+40>>2]|0;O=0;do{f[c+(O<<2)>>2]=0;O=O+1|0}while((O|0)<(f[a>>2]|0))}a=f[g+44>>2]|0;if((a|0)!=(g+48|0))TC(a);a=f[e>>2]|0;if(a|0){g=f[l>>2]|0;if((g|0)!=(a|0))f[l>>2]=g+(~((g+-4-a|0)>>>2)<<2);fuc(a)}u=d;return}default:{d=cuc(48)|0;f[e>>2]=d;f[e+8>>2]=-2147483600;f[e+4>>2]=35;v=d;w=399773;x=v+35|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));b[d+35>>0]=0;WD(-2,e,397413,395134,154)}}}function ZFa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0;e=u;u=u+48|0;g=e+36|0;h=e+24|0;i=e+12|0;j=e;k=a+20|0;ouc(g,f[(f[(f[k>>2]|0)+4+(c<<2)>>2]|0)+60>>2]|0);f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;OFa(h,a,g,i);ouc(i,f[(f[(f[(f[k>>2]|0)+4+(c<<2)>>2]|0)+20>>2]|0)+4+(d<<2)>>2]|0);d=h+4|0;c=f[d>>2]|0;a=f[h>>2]|0;l=a;if((c|0)==(a|0))m=l;else{n=j+11|0;o=j+4|0;p=g+11|0;q=g+4|0;r=0;s=l;t=a;a=c;c=l;while(1){l=f[(f[k>>2]|0)+4+(f[c+(r<<4)+12>>2]<<2)>>2]|0;v=l+12|0;if((f[v>>2]|0)>0){w=l+20|0;l=0;do{ouc(j,f[(f[w>>2]|0)+4+(l<<2)>>2]|0);x=b[n>>0]|0;y=x<<24>>24<0;z=x&255;A=y?f[o>>2]|0:z;B=b[p>>0]|0;C=B<<24>>24<0;a:do if((A|0)==((C?f[q>>2]|0:B&255)|0)){D=f[j>>2]|0;E=y?D:j;F=C?f[g>>2]|0:g;G=(A|0)==0;b:do if(y){if(!G?ahc(E,F,A)|0:0){H=17;break a}}else if(!G){if((D&255)<<24>>24==(b[F>>0]|0)){I=j;J=z;K=F}else{L=x;H=16;break a}while(1){J=J+-1|0;I=I+1|0;if(!J)break b;K=K+1|0;if((b[I>>0]|0)!=(b[K>>0]|0)){L=x;H=16;break a}}}while(0);ruc(f[(f[w>>2]|0)+4+(l<<2)>>2]|0,i)|0;L=b[n>>0]|0;H=16}else{L=x;H=16}while(0);if((H|0)==16?(H=0,L<<24>>24<0):0)H=17;if((H|0)==17){H=0;fuc(f[j>>2]|0)}l=l+1|0}while((l|0)<(f[v>>2]|0));v=f[h>>2]|0;M=v;N=v;O=f[d>>2]|0}else{M=s;N=t;O=a}r=r+1|0;if(r>>>0>=O-N>>4>>>0){m=M;break}else{s=M;t=N;a=O;c=N}}}if((b[i+11>>0]|0)<0){fuc(f[i>>2]|0);P=f[h>>2]|0}else P=m;if(P|0){m=f[d>>2]|0;if((m|0)==(P|0))Q=P;else{i=m;while(1){m=i+-16|0;f[d>>2]=m;if((b[m+11>>0]|0)<0){fuc(f[m>>2]|0);R=f[d>>2]|0}else R=m;if((R|0)==(P|0))break;else i=R}Q=f[h>>2]|0}fuc(Q)}if((b[g+11>>0]|0)>=0){u=e;return}fuc(f[g>>2]|0);u=e;return}function _Fa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;d=a+4|0;a=f[d>>2]|0;do if(a|0){e=b[c+11>>0]|0;g=e<<24>>24<0;h=g?f[c+4>>2]|0:e&255;e=g?f[c>>2]|0:c;g=d;i=a;a:while(1){j=i;while(1){k=j+16|0;l=b[k+11>>0]|0;m=l<<24>>24<0;n=m?f[j+20>>2]|0:l&255;l=h>>>0<n>>>0?h:n;if((l|0)!=0?(o=ahc(m?f[k>>2]|0:k,e,l)|0,(o|0)!=0):0){if((o|0)>=0)break}else p=6;if((p|0)==6?(p=0,n>>>0>=h>>>0):0)break;n=f[j+4>>2]|0;if(!n){q=g;break a}else j=n}i=f[j>>2]|0;if(!i){q=j;break}else g=j}if((q|0)!=(d|0)){g=q+16|0;i=b[g+11>>0]|0;n=i<<24>>24<0;o=n?f[q+20>>2]|0:i&255;i=o>>>0<h>>>0?o:h;if(i|0?(l=ahc(e,n?f[g>>2]|0:g,i)|0,l|0):0){if((l|0)<0)break;else r=q;return r|0}if(h>>>0>=o>>>0){r=q;return r|0}}}while(0);r=d;return r|0}function $Fa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;d=u;u=u+96|0;e=d+72|0;g=d+16|0;h=d;f[e>>2]=0;i=e+4|0;f[i>>2]=0;f[e+8>>2]=0;RFa(a,e);switch(f[a+160>>2]|0){case 19:case 1:break;default:{f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;j=cuc(80)|0;f[g>>2]=j;f[g+8>>2]=-2147483568;f[g+4>>2]=79;k=j;l=397306;m=k+79|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));b[j+79>>0]=0;WD(-215,g,397386,395134,456)}}j=f[e>>2]|0;n=j;if(((f[i>>2]|0)-j|0)!=16){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;b[g+11>>0]=9;k=g;l=397403;m=k+9|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));b[g+9>>0]=0;WD(-215,g,397386,395134,457)}j=n+8|0;o=f[n>>2]|0;f[n>>2]=f[j>>2];f[j>>2]=o;o=n+4|0;j=n+12|0;p=f[j>>2]|0;f[j>>2]=f[o>>2];j=f[n>>2]|0;f[n>>2]=p;f[o>>2]=j;_T(c,e,5);CHa(g,a);a=g+4|0;j=f[a>>2]|0;if((j|0)<3)q=Y(f[g+12>>2]|0,f[g+8>>2]|0)|0;else{o=f[g+40>>2]|0;p=0;n=1;while(1){r=Y(f[o+(p<<2)>>2]|0,n)|0;p=p+1|0;if((p|0)==(j|0)){q=r;break}else n=r}}n=f[c+4>>2]|0;if((n|0)<3)s=Y(f[c+12>>2]|0,f[c+8>>2]|0)|0;else{j=f[c+40>>2]|0;p=0;o=1;while(1){r=Y(f[j+(p<<2)>>2]|0,o)|0;p=p+1|0;if((p|0)==(n|0)){s=r;break}else o=r}}if((q|0)!=(s|0)){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;s=cuc(32)|0;f[h>>2]=s;f[h+8>>2]=-2147483616;f[h+4>>2]=28;k=s;l=395395;m=k+28|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));b[s+28>>0]=0;WD(-215,h,397386,395134,468)}s=f[c+16>>2]|0;c=g+16|0;q=f[c>>2]|0;o=f[e>>2]|0;n=f[o>>2]|0;p=f[o+4>>2]|0;j=f[o+8>>2]|0;r=f[o+12>>2]|0;o=Y(p,n)|0;t=Y(Y(o,j)|0,r)|0;a:do if((n|0)>0){v=(p|0)>0;w=(j|0)>0;x=(r|0)>0;y=0;b:while(1){if(v?(z=Y(y,p)|0,w):0){A=0;do{B=Y(A+z|0,j)|0;C=(Y(A,n)|0)+y|0;if(x){D=0;do{E=Y(B+D|0,r)|0;F=Y(D,r)|0;G=0;do{H=G+E|0;I=C+(Y(G+F|0,o)|0)|0;if((H|0)>=(t|0)){J=40;break b}if((I|0)>=(t|0)){J=41;break b}f[s+(H<<2)>>2]=f[q+(I<<2)>>2];G=G+1|0}while((G|0)<(r|0));D=D+1|0}while((D|0)<(j|0))}A=A+1|0}while((A|0)<(p|0))}y=y+1|0;if((y|0)>=(n|0))break a}if((J|0)==40){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;y=cuc(16)|0;f[h>>2]=y;f[h+8>>2]=-2147483632;f[h+4>>2]=13;k=y;l=395436;m=k+13|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));b[y+13>>0]=0;WD(-215,h,397386,395134,481)}else if((J|0)==41){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;x=cuc(16)|0;f[h>>2]=x;f[h+8>>2]=-2147483632;f[h+4>>2]=13;k=x;l=395450;m=k+13|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));b[x+13>>0]=0;WD(-215,h,397386,395134,482)}}while(0);h=g+36|0;l=f[h>>2]|0;if(l|0?(k=l+12|0,l=f[k>>2]|0,f[k>>2]=l+-1,(l|0)==1):0)aU(g);f[h>>2]=0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[a>>2]|0)>0){c=f[g+40>>2]|0;h=0;do{f[c+(h<<2)>>2]=0;h=h+1|0}while((h|0)<(f[a>>2]|0))}a=f[g+44>>2]|0;if((a|0)!=(g+48|0))TC(a);a=f[e>>2]|0;if(!a){u=d;return}e=f[i>>2]|0;if((e|0)!=(a|0))f[i>>2]=e+(~((e+-4-a|0)>>>2)<<2);fuc(a);u=d;return}function aGa(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;h=u;u=u+16|0;e=h;i=oGa(c,e,d)|0;d=f[i>>2]|0;if(d|0){j=d;k=0;l=j;f[a>>2]=l;m=a+4|0;b[m>>0]=k;u=h;return}d=cuc(84)|0;ouc(d+16|0,f[g>>2]|0);f[d+28>>2]=1124007936;g=d+36|0;n=d+68|0;o=d+32|0;p=o+36|0;do{f[o>>2]=0;o=o+4|0}while((o|0)<(p|0));f[n>>2]=g;g=d+76|0;f[d+72>>2]=g;f[g>>2]=0;f[d+80>>2]=0;g=f[e>>2]|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=g;f[i>>2]=d;g=f[f[c>>2]>>2]|0;if(!g)q=d;else{f[c>>2]=g;q=f[i>>2]|0}jI(f[c+4>>2]|0,q);q=c+8|0;f[q>>2]=(f[q>>2]|0)+1;j=d;k=1;l=j;f[a>>2]=l;m=a+4|0;b[m>>0]=k;u=h;return}function bGa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;d=u;u=u+48|0;e=d;g=d+28|0;h=d+16|0;f[h+8>>2]=0;i=h+11|0;b[i>>0]=7;b[h>>0]=b[400385]|0;b[h+1>>0]=b[400386]|0;b[h+2>>0]=b[400387]|0;b[h+3>>0]=b[400388]|0;b[h+4>>0]=b[400389]|0;b[h+5>>0]=b[400390]|0;b[h+6>>0]=b[400391]|0;b[h+7>>0]=0;j=c+24|0;T5b(j);k=c+48|0;UFa(g,k);VFa(e,f[g+8>>2]|0,h,0);l=(f[e>>2]|0)==0;WFa(g);if((b[i>>0]|0)<0)fuc(f[h>>2]|0);if(l){u=d;return}f[e+8>>2]=0;l=e+11|0;b[l>>0]=7;b[e>>0]=b[400385]|0;b[e+1>>0]=b[400386]|0;b[e+2>>0]=b[400387]|0;b[e+3>>0]=b[400388]|0;b[e+4>>0]=b[400389]|0;b[e+5>>0]=b[400390]|0;b[e+6>>0]=b[400391]|0;b[e+7>>0]=0;T5b(j);j=XFa(k,e)|0;if((b[l>>0]|0)<0)fuc(f[e>>2]|0);l=(LFa(c)|0)==1;c=l?3:2;k=l?2:1;h=l?1:3;l=j+20|0;i=(f[l>>2]|0)==1;m=j+8|0;j=i?f[m>>2]|0:535808;if((f[j+24>>2]|0)!=4){n=cuc(32)|0;f[e>>2]=n;o=e+8|0;f[o>>2]=-2147483616;p=e+4|0;f[p>>2]=19;q=n;r=397275;s=q+19|0;do{b[q>>0]=b[r>>0]|0;q=q+1|0;r=r+1|0}while((q|0)<(s|0));t=n+19|0;b[t>>0]=0;WD(-2,e,397295,395134,294)}v=f[j+32>>2]|0;j=v+8|0;if(!((f[j>>2]|0)==1&(f[j+4>>2]|0)==0)){n=cuc(32)|0;f[e>>2]=n;o=e+8|0;f[o>>2]=-2147483616;p=e+4|0;f[p>>2]=19;q=n;r=397275;s=q+19|0;do{b[q>>0]=b[r>>0]|0;q=q+1|0;r=r+1|0}while((q|0)<(s|0));t=n+19|0;b[t>>0]=0;WD(-2,e,397295,395134,294)}j=v+8+(h<<3)|0;if(!((f[j>>2]|0)==1&(f[j+4>>2]|0)==0)){n=cuc(32)|0;f[e>>2]=n;o=e+8|0;f[o>>2]=-2147483616;p=e+4|0;f[p>>2]=19;q=n;r=397275;s=q+19|0;do{b[q>>0]=b[r>>0]|0;q=q+1|0;r=r+1|0}while((q|0)<(s|0));t=n+19|0;b[t>>0]=0;WD(-2,e,397295,395134,294)};f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;t=e+11|0;b[t>>0]=8;n=e;f[n>>2]=1769108595;f[n+4>>2]=1751082340;b[e+8>>0]=0;f[g>>2]=f[(f[(i?f[m>>2]|0:535808)+32>>2]|0)+8+(k<<3)>>2];xEa(a,e,g)|0;if((b[t>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;t=e+11|0;b[t>>0]=8;k=e;f[k>>2]=1769108595;f[k+4>>2]=2002740580;b[e+8>>0]=0;f[g>>2]=f[(f[((f[l>>2]|0)==1?f[m>>2]|0:535808)+32>>2]|0)+8+(c<<3)>>2];xEa(a,e,g)|0;if((b[t>>0]|0)<0)fuc(f[e>>2]|0);u=d;return}function cGa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;d=f[a+4>>2]|0;if(!d){e=0;return e|0}a=b[c+11>>0]|0;g=a<<24>>24<0;h=g?f[c+4>>2]|0:a&255;a=g?f[c>>2]|0:c;c=d;while(1){d=c+16|0;g=b[d+11>>0]|0;i=g<<24>>24<0;j=i?f[c+20>>2]|0:g&255;g=j>>>0<h>>>0;k=g?j:h;if((k|0)!=0?(l=ahc(a,i?f[d>>2]|0:d,k)|0,(l|0)!=0):0)if((l|0)<0)m=7;else m=8;else if(h>>>0<j>>>0)m=7;else m=8;if((m|0)==7){m=0;n=c}else if((m|0)==8){m=0;l=h>>>0<j>>>0?h:j;if((l|0)!=0?(j=ahc(i?f[d>>2]|0:d,a,l)|0,(j|0)!=0):0){if((j|0)>=0){e=1;m=14;break}}else m=10;if((m|0)==10?(m=0,!g):0){e=1;m=14;break}n=c+4|0}c=f[n>>2]|0;if(!c){e=0;m=14;break}}if((m|0)==14)return e|0;return 0}function dGa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;d=u;u=u+48|0;e=d;g=d+28|0;h=d+16|0;f[h+8>>2]=0;i=h+11|0;b[i>>0]=7;b[h>>0]=b[453204]|0;b[h+1>>0]=b[453205]|0;b[h+2>>0]=b[453206]|0;b[h+3>>0]=b[453207]|0;b[h+4>>0]=b[453208]|0;b[h+5>>0]=b[453209]|0;b[h+6>>0]=b[453210]|0;b[h+7>>0]=0;j=c+24|0;T5b(j);k=c+48|0;UFa(g,k);VFa(e,f[g+8>>2]|0,h,0);c=(f[e>>2]|0)==0;WFa(g);if((b[i>>0]|0)<0)fuc(f[h>>2]|0);if(c){u=d;return};f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;c=e+11|0;b[c>>0]=8;h=e;f[h>>2]=1600414064;f[h+4>>2]=1701080941;b[e+8>>0]=0;f[g+8>>2]=0;h=g+11|0;b[h>>0]=7;b[g>>0]=b[453204]|0;b[g+1>>0]=b[453205]|0;b[g+2>>0]=b[453206]|0;b[g+3>>0]=b[453207]|0;b[g+4>>0]=b[453208]|0;b[g+5>>0]=b[453209]|0;b[g+6>>0]=b[453210]|0;b[g+7>>0]=0;T5b(j);j=XFa(k,g)|0;vEa(a,e,(f[j+20>>2]|0)==2?f[j+8>>2]|0:542896)|0;if((b[h>>0]|0)<0)fuc(f[g>>2]|0);if((b[c>>0]|0)<0)fuc(f[e>>2]|0);u=d;return}function eGa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=u;u=u+48|0;g=e+40|0;h=e+28|0;i=e+8|0;j=e;k=oEa(a,c)|0;if((k|0)!=(a+4|0)){f[g>>2]=3;l=cuc(20)|0;m=l+8|0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[l>>2]=m;f[l+4>>2]=1;f[g+4>>2]=l;wuc(m,d)|0;pEa(k+28|0,g)|0;mEa(g);u=e;return d|0}f[j>>2]=3;k=cuc(20)|0;m=k+8|0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[k>>2]=m;f[k+4>>2]=1;f[j+4>>2]=k;wuc(m,d)|0;ouc(i,c);c=i+12|0;qEa(c,j);m=rEa(a,g,i)|0;if(!(f[m>>2]|0)){sEa(h,a,i);k=f[g>>2]|0;g=f[h>>2]|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=k;f[m>>2]=g;k=f[f[a>>2]>>2]|0;if(!k)n=g;else{f[a>>2]=k;n=f[m>>2]|0}jI(f[a+4>>2]|0,n);n=a+8|0;f[n>>2]=(f[n>>2]|0)+1}mEa(c);if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0);mEa(j);u=e;return d|0}function fGa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;d=u;u=u+48|0;e=d;g=d+28|0;h=d+16|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;i=h+11|0;b[i>>0]=5;b[h>>0]=b[397242]|0;b[h+1>>0]=b[397243]|0;b[h+2>>0]=b[397244]|0;b[h+3>>0]=b[397245]|0;b[h+4>>0]=b[397246]|0;b[h+5>>0]=0;j=c+24|0;T5b(j);k=c+48|0;UFa(g,k);VFa(e,f[g+8>>2]|0,h,0);l=(f[e>>2]|0)==0;WFa(g);if((b[i>>0]|0)<0)fuc(f[h>>2]|0);if(l){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;l=e+11|0;b[l>>0]=8;h=e;f[h>>2]=1852990827;f[h+4>>2]=1751084133;b[e+8>>0]=0;f[g>>2]=1;xEa(a,e,g)|0;if((b[l>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;l=e+11|0;b[l>>0]=8;h=e;f[h>>2]=1852990827;f[h+4>>2]=2002742373;b[e+8>>0]=0;f[g>>2]=1;xEa(a,e,g)|0;if((b[l>>0]|0)<0)fuc(f[e>>2]|0);u=d;return};f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;l=e+11|0;b[l>>0]=5;b[e>>0]=b[397242]|0;b[e+1>>0]=b[397243]|0;b[e+2>>0]=b[397244]|0;b[e+3>>0]=b[397245]|0;b[e+4>>0]=b[397246]|0;b[e+5>>0]=0;T5b(j);j=XFa(k,e)|0;if((b[l>>0]|0)<0)fuc(f[e>>2]|0);l=(LFa(c)|0)==1;c=l?3:2;k=l?2:1;h=l?1:3;l=j+20|0;i=(f[l>>2]|0)==1;m=j+8|0;j=i?f[m>>2]|0:535808;if((f[j+24>>2]|0)!=4){n=cuc(32)|0;f[e>>2]=n;o=e+8|0;f[o>>2]=-2147483616;p=e+4|0;f[p>>2]=17;q=n;r=397248;s=q+17|0;do{b[q>>0]=b[r>>0]|0;q=q+1|0;r=r+1|0}while((q|0)<(s|0));t=n+17|0;b[t>>0]=0;WD(-2,e,397266,395134,331)}v=f[j+32>>2]|0;j=v+8|0;if(!((f[j>>2]|0)==1&(f[j+4>>2]|0)==0)){n=cuc(32)|0;f[e>>2]=n;o=e+8|0;f[o>>2]=-2147483616;p=e+4|0;f[p>>2]=17;q=n;r=397248;s=q+17|0;do{b[q>>0]=b[r>>0]|0;q=q+1|0;r=r+1|0}while((q|0)<(s|0));t=n+17|0;b[t>>0]=0;WD(-2,e,397266,395134,331)}j=v+8+(h<<3)|0;if(!((f[j>>2]|0)==1&(f[j+4>>2]|0)==0)){n=cuc(32)|0;f[e>>2]=n;o=e+8|0;f[o>>2]=-2147483616;p=e+4|0;f[p>>2]=17;q=n;r=397248;s=q+17|0;do{b[q>>0]=b[r>>0]|0;q=q+1|0;r=r+1|0}while((q|0)<(s|0));t=n+17|0;b[t>>0]=0;WD(-2,e,397266,395134,331)};f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;t=e+11|0;b[t>>0]=8;n=e;f[n>>2]=1852990827;f[n+4>>2]=1751084133;b[e+8>>0]=0;f[g>>2]=f[(f[(i?f[m>>2]|0:535808)+32>>2]|0)+8+(k<<3)>>2];xEa(a,e,g)|0;if((b[t>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;t=e+11|0;b[t>>0]=8;k=e;f[k>>2]=1852990827;f[k+4>>2]=2002742373;b[e+8>>0]=0;f[g>>2]=f[(f[((f[l>>2]|0)==1?f[m>>2]|0:535808)+32>>2]|0)+8+(c<<3)>>2];xEa(a,e,g)|0;if((b[t>>0]|0)<0)fuc(f[e>>2]|0);u=d;return}function gGa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;e=u;u=u+48|0;g=e+40|0;h=e+28|0;i=e+8|0;j=e;k=oEa(a,c)|0;if((k|0)!=(a+4|0)){l=d;m=f[l>>2]|0;n=f[l+4>>2]|0;f[g>>2]=0;l=cuc(16)|0;o=l+8|0;f[l>>2]=o;f[l+4>>2]=1;f[g+4>>2]=l;l=o;f[l>>2]=m;f[l+4>>2]=n;pEa(k+28|0,g)|0;mEa(g);u=e;return d|0}k=d;n=f[k>>2]|0;l=f[k+4>>2]|0;f[j>>2]=0;k=cuc(16)|0;m=k+8|0;f[k>>2]=m;f[k+4>>2]=1;f[j+4>>2]=k;k=m;f[k>>2]=n;f[k+4>>2]=l;ouc(i,c);c=i+12|0;qEa(c,j);l=rEa(a,g,i)|0;if(!(f[l>>2]|0)){sEa(h,a,i);k=f[g>>2]|0;g=f[h>>2]|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=k;f[l>>2]=g;k=f[f[a>>2]>>2]|0;if(!k)p=g;else{f[a>>2]=k;p=f[l>>2]|0}jI(f[a+4>>2]|0,p);p=a+8|0;f[p>>2]=(f[p>>2]|0)+1}mEa(c);if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0);mEa(j);u=e;return d|0}function hGa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=u;u=u+48|0;g=e+40|0;h=e+28|0;i=e+8|0;j=e;k=oEa(a,c)|0;if((k|0)!=(a+4|0)){f[g>>2]=3;l=cuc(20)|0;m=l+8|0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[l>>2]=m;f[l+4>>2]=1;f[g+4>>2]=l;wuc(m,d)|0;pEa(k+28|0,g)|0;mEa(g);u=e;return d|0}f[j>>2]=3;k=cuc(20)|0;m=k+8|0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[k>>2]=m;f[k+4>>2]=1;f[j+4>>2]=k;wuc(m,d)|0;ouc(i,c);c=i+12|0;qEa(c,j);m=rEa(a,g,i)|0;if(!(f[m>>2]|0)){sEa(h,a,i);k=f[g>>2]|0;g=f[h>>2]|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=k;f[m>>2]=g;k=f[f[a>>2]>>2]|0;if(!k)n=g;else{f[a>>2]=k;n=f[m>>2]|0}jI(f[a+4>>2]|0,n);n=a+8|0;f[n>>2]=(f[n>>2]|0)+1}mEa(c);if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0);mEa(j);u=e;return d|0}function iGa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=u;u=u+32|0;d=c+12|0;e=c;g=gEa(a,b)|0;if((g|0)==(a+4|0)){nEa(e,397167,b);b=Duc(e,397187)|0;f[d>>2]=f[b>>2];f[d+4>>2]=f[b+4>>2];f[d+8>>2]=f[b+8>>2];f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;WD(-204,d,397093,476267,349)}else{u=c;return g+28|0}return 0}function jGa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;e=u;u=u+16|0;g=e;if((f[c>>2]|0)!=3){b[g+11>>0]=10;h=g;i=397082;j=h+10|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(j|0));b[g+10>>0]=0;WD(-215,g,397093,476267,178)}k=(d|0)==-1;if(k){l=f[c+4>>2]|0;if((f[l+4>>2]|0)==1){m=l;n=k?0:d;o=f[m>>2]|0;p=o+(n*12|0)|0;ouc(a,p);u=e;return}}else if((d|0)>-1?(l=f[c+4>>2]|0,(f[l+4>>2]|0)>(d|0)):0){m=l;n=k?0:d;o=f[m>>2]|0;p=o+(n*12|0)|0;ouc(a,p);u=e;return}e=cuc(80)|0;f[g>>2]=e;f[g+8>>2]=-2147483568;f[g+4>>2]=69;h=e;i=397097;j=h+69|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(j|0));b[e+69>>0]=0;WD(-215,g,397093,476267,179)}function kGa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=u;u=u+48|0;g=e+40|0;h=e+28|0;i=e+8|0;j=e;k=oEa(a,c)|0;if((k|0)!=(a+4|0)){f[g>>2]=3;l=cuc(20)|0;m=l+8|0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[l>>2]=m;f[l+4>>2]=1;f[g+4>>2]=l;wuc(m,d)|0;pEa(k+28|0,g)|0;mEa(g);u=e;return d|0}f[j>>2]=3;k=cuc(20)|0;m=k+8|0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[k>>2]=m;f[k+4>>2]=1;f[j+4>>2]=k;wuc(m,d)|0;ouc(i,c);c=i+12|0;qEa(c,j);m=rEa(a,g,i)|0;if(!(f[m>>2]|0)){sEa(h,a,i);k=f[g>>2]|0;g=f[h>>2]|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=k;f[m>>2]=g;k=f[f[a>>2]>>2]|0;if(!k)n=g;else{f[a>>2]=k;n=f[m>>2]|0}jI(f[a+4>>2]|0,n);n=a+8|0;f[n>>2]=(f[n>>2]|0)+1}mEa(c);if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0);mEa(j);u=e;return d|0}function lGa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=u;u=u+48|0;g=e+40|0;h=e+28|0;i=e+8|0;j=e;k=oEa(a,c)|0;if((k|0)!=(a+4|0)){f[g>>2]=3;l=cuc(20)|0;m=l+8|0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[l>>2]=m;f[l+4>>2]=1;f[g+4>>2]=l;wuc(m,d)|0;pEa(k+28|0,g)|0;mEa(g);u=e;return d|0}f[j>>2]=3;k=cuc(20)|0;m=k+8|0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[k>>2]=m;f[k+4>>2]=1;f[j+4>>2]=k;wuc(m,d)|0;ouc(i,c);c=i+12|0;qEa(c,j);m=rEa(a,g,i)|0;if(!(f[m>>2]|0)){sEa(h,a,i);k=f[g>>2]|0;g=f[h>>2]|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=k;f[m>>2]=g;k=f[f[a>>2]>>2]|0;if(!k)n=g;else{f[a>>2]=k;n=f[m>>2]|0}jI(f[a+4>>2]|0,n);n=a+8|0;f[n>>2]=(f[n>>2]|0)+1}mEa(c);if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0);mEa(j);u=e;return d|0}function mGa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;b=u;u=u+32|0;c=b+8|0;d=b;e=f[a>>2]|0;g=f[e+16>>2]|0;if(g|0){f[a>>2]=g;u=b;return a|0}g=a+4|0;h=f[g>>2]|0;i=a+8|0;j=f[i>>2]&(f[h+4>>2]|0)+-1;f[i>>2]=j;k=f[h+16>>2]|0;l=f[k+(j<<2)>>2]|0;a:do if((l|0)!=(e|0)){b:do if(l|0?(l|0)!=(f[k+((j^1)<<2)>>2]|0):0){m=l;while(1){m=f[m+16>>2]|0;if(!m)break b;if((m|0)==(e|0)){n=j;o=h;p=9;break a}}}while(0);VFa(c,h,e,d);m=f[c+8>>2]|0;f[i>>2]=m;q=f[g>>2]|0;r=f[q+16>>2]|0;s=f[r+(m<<2)>>2]|0;if((s|0)!=0?(s|0)==(f[r+((m^1)<<2)>>2]|0):0){t=f[d>>2]|0;v=f[t+4>>2]|0;if(!v){w=t+8|0;x=f[w>>2]|0;if((f[x>>2]|0)==(t|0))y=x;else{x=w;do{w=f[x>>2]|0;x=w+8|0;t=f[x>>2]|0}while((f[t>>2]|0)!=(w|0));y=t}}else{x=v;while(1){t=f[x>>2]|0;if(!t)break;else x=t}y=x}f[d>>2]=y;if((y|0)!=(s+4|0)){f[a>>2]=f[y+16>>2];break}v=m+2|0;f[a>>2]=0;f[i>>2]=v;t=f[q+4>>2]|0;if(t>>>0>v>>>0){w=v;while(1){z=f[r+(w<<2)>>2]|0;if(z|0)break;v=w+1|0;f[i>>2]=v;if(v>>>0<t>>>0)w=v;else break a}if((z|0)==(f[r+((w^1)<<2)>>2]|0))A=f[(f[z>>2]|0)+16>>2]|0;else A=z;f[a>>2]=A}}else{n=m;o=q;p=9}}else{n=j;o=h;p=9}while(0);c:do if((p|0)==9?(h=n+1|0,f[a>>2]=0,f[i>>2]=h,j=f[o+4>>2]|0,j>>>0>h>>>0):0){A=f[o+16>>2]|0;z=h;while(1){B=f[A+(z<<2)>>2]|0;if(B|0)break;h=z+1|0;f[i>>2]=h;if(h>>>0<j>>>0)z=h;else break c}if((B|0)==(f[A+((z^1)<<2)>>2]|0))C=f[(f[B>>2]|0)+16>>2]|0;else C=B;f[a>>2]=C}while(0);u=b;return a|0}function nGa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;if(!c)return;nGa(a,f[c>>2]|0);nGa(a,f[c+4>>2]|0);a=c+16|0;d=c+28|0;e=c+64|0;g=f[e>>2]|0;if(g|0?(h=g+12|0,g=f[h>>2]|0,f[h>>2]=g+-1,(g|0)==1):0)aU(d);f[e>>2]=0;e=c+44|0;d=c+32|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((f[d>>2]|0)>0){e=f[c+68>>2]|0;g=0;do{f[e+(g<<2)>>2]=0;g=g+1|0}while((g|0)<(f[d>>2]|0))}d=f[c+72>>2]|0;if((d|0)!=(c+76|0))TC(d);if((b[a+11>>0]|0)<0)fuc(f[a>>2]|0);fuc(c);return}function oGa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;e=a+4|0;g=f[e>>2]|0;if(!g){f[c>>2]=e;h=e;return h|0}e=b[d+11>>0]|0;i=e<<24>>24<0;j=i?f[d+4>>2]|0:e&255;e=i?f[d>>2]|0:d;d=a+4|0;a=g;while(1){g=a+16|0;i=b[g+11>>0]|0;k=i<<24>>24<0;l=k?f[a+20>>2]|0:i&255;i=l>>>0<j>>>0;m=i?l:j;if((m|0)!=0?(n=ahc(e,k?f[g>>2]|0:g,m)|0,(n|0)!=0):0)if((n|0)<0)o=8;else o=10;else if(j>>>0<l>>>0)o=8;else o=10;if((o|0)==8){o=0;n=f[a>>2]|0;if(!n){o=9;break}else{p=a;q=n}}else if((o|0)==10){o=0;n=j>>>0<l>>>0?j:l;if((n|0)!=0?(l=ahc(k?f[g>>2]|0:g,e,n)|0,(l|0)!=0):0){if((l|0)>=0){o=16;break}}else o=12;if((o|0)==12?(o=0,!i):0){o=16;break}r=a+4|0;i=f[r>>2]|0;if(!i){o=15;break}else{p=r;q=i}}d=p;a=q}if((o|0)==9){f[c>>2]=a;h=a;return h|0}else if((o|0)==15){f[c>>2]=a;h=r;return h|0}else if((o|0)==16){f[c>>2]=a;h=d;return h|0}return 0}function pGa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;b=u;u=u+32|0;c=b+8|0;d=b;e=f[a>>2]|0;g=f[e+16>>2]|0;if(g|0){f[a>>2]=g;u=b;return a|0}g=a+4|0;h=f[g>>2]|0;i=a+8|0;j=f[i>>2]&(f[h+4>>2]|0)+-1;f[i>>2]=j;k=f[h+16>>2]|0;l=f[k+(j<<2)>>2]|0;a:do if((l|0)!=(e|0)){b:do if(l|0?(l|0)!=(f[k+((j^1)<<2)>>2]|0):0){m=l;while(1){m=f[m+16>>2]|0;if(!m)break b;if((m|0)==(e|0)){n=j;o=h;p=9;break a}}}while(0);VFa(c,h,e,d);m=f[c+8>>2]|0;f[i>>2]=m;q=f[g>>2]|0;r=f[q+16>>2]|0;s=f[r+(m<<2)>>2]|0;if((s|0)!=0?(s|0)==(f[r+((m^1)<<2)>>2]|0):0){t=f[d>>2]|0;v=f[t+4>>2]|0;if(!v){w=t+8|0;x=f[w>>2]|0;if((f[x>>2]|0)==(t|0))y=x;else{x=w;do{w=f[x>>2]|0;x=w+8|0;t=f[x>>2]|0}while((f[t>>2]|0)!=(w|0));y=t}}else{x=v;while(1){t=f[x>>2]|0;if(!t)break;else x=t}y=x}f[d>>2]=y;if((y|0)!=(s+4|0)){f[a>>2]=f[y+16>>2];break}v=m+2|0;f[a>>2]=0;f[i>>2]=v;t=f[q+4>>2]|0;if(t>>>0>v>>>0){w=v;while(1){z=f[r+(w<<2)>>2]|0;if(z|0)break;v=w+1|0;f[i>>2]=v;if(v>>>0<t>>>0)w=v;else break a}if((z|0)==(f[r+((w^1)<<2)>>2]|0))A=f[(f[z>>2]|0)+16>>2]|0;else A=z;f[a>>2]=A}}else{n=m;o=q;p=9}}else{n=j;o=h;p=9}while(0);c:do if((p|0)==9?(h=n+1|0,f[a>>2]=0,f[i>>2]=h,j=f[o+4>>2]|0,j>>>0>h>>>0):0){A=f[o+16>>2]|0;z=h;while(1){B=f[A+(z<<2)>>2]|0;if(B|0)break;h=z+1|0;f[i>>2]=h;if(h>>>0<j>>>0)z=h;else break c}if((B|0)==(f[A+((z^1)<<2)>>2]|0))C=f[(f[B>>2]|0)+16>>2]|0;else C=B;f[a>>2]=C}while(0);u=b;return a|0}function qGa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;d=u;u=u+32|0;e=d+8|0;g=d;h=f[c+4>>2]|0;i=c+8|0;j=f[i>>2]&(f[h+4>>2]|0)+-1;f[i>>2]=j;k=h+16|0;l=f[k>>2]|0;m=f[l+(j<<2)>>2]|0;n=f[c>>2]|0;a:do if((m|0)!=(n|0)){b:do if(m|0?(m|0)!=(f[l+((j^1)<<2)>>2]|0):0){c=m;while(1){c=f[c+16>>2]|0;if(!c)break b;if((c|0)==(n|0)){o=j;p=7;break a}}}while(0);VFa(e,h,n,g);c=f[e+8>>2]|0;f[i>>2]=c;q=f[k>>2]|0;r=f[q+(c<<2)>>2]|0;if(r){s=a+16|0;t=(f[s>>2]|0)+(c<<2)|0;if((r|0)==(f[q+((c^1)<<2)>>2]|0)){q=f[t>>2]|0;vGa(q,(f[g>>2]|0)+16|0)|0;if(!(f[q+12>>2]|0)){r=c&-2;v=f[a+20>>2]|0;tGa(q,f[q+4>>2]|0);if(!v)fuc(q);f[(f[s>>2]|0)+((c|1)<<2)>>2]=0;f[(f[s>>2]|0)+(r<<2)>>2]=0;w=r;x=s}else{w=c;x=s}}else{y=t;z=s;A=c;p=9}}else{o=c;p=7}}else{o=j;p=7}while(0);if((p|0)==7){j=a+16|0;y=(f[j>>2]|0)+(o<<2)|0;z=j;A=o;p=9}if((p|0)==9){o=uGa(a,n,f[y>>2]|0)|0;f[(f[z>>2]|0)+(A<<2)>>2]=o;w=A;x=z}if((b[n+11>>0]|0)<0)fuc(f[n>>2]|0);if(!(f[a+20>>2]|0))fuc(n);f[a>>2]=(f[a>>2]|0)+-1;n=a+12|0;if((w|0)!=(f[n>>2]|0)){u=d;return}z=f[a+4>>2]|0;if(w>>>0>=z>>>0){u=d;return}a=f[x>>2]|0;x=w;while(1){if(f[a+(x<<2)>>2]|0){p=23;break}x=x+1|0;f[n>>2]=x;if(x>>>0>=z>>>0){p=23;break}}if((p|0)==23){u=d;return}}function rGa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;c=a+4|0;if(!(f[c>>2]|0)){d=0;f[a>>2]=0;e=a+12|0;f[e>>2]=d;return}g=a+16|0;h=a+20|0;i=0;while(1){j=f[g>>2]|0;k=j+(i<<2)|0;l=f[k>>2]|0;a:do if(l){if((l|0)!=(f[j+((i^1)<<2)>>2]|0)){f[k>>2]=0;m=l;while(1){n=m;m=f[m+16>>2]|0;if((b[n+11>>0]|0)<0)fuc(f[n>>2]|0);if(!(f[h>>2]|0))fuc(n);if(!m){o=i;break a}}}if((l|0)==(f[j+((i^1)<<2)>>2]|0)){m=i+1|0;f[j+(m<<2)>>2]=0;f[(f[g>>2]|0)+(i<<2)>>2]=0;n=l+12|0;p=l+4|0;q=l+8|0;r=l+4|0;s=f[l>>2]|0;do{t=s;u=f[t+16>>2]|0;v=s;w=f[v+4>>2]|0;if(!w){x=v+8|0;y=f[x>>2]|0;if((f[y>>2]|0)==(v|0))z=y;else{y=x;do{x=f[y>>2]|0;y=x+8|0;A=f[y>>2]|0}while((f[A>>2]|0)!=(x|0));z=A}}else{y=w;while(1){A=f[y>>2]|0;if(!A)break;else y=A}z=y}w=f[t+4>>2]|0;if(!w){A=t+8|0;x=f[A>>2]|0;if((f[x>>2]|0)==(v|0))B=x;else{x=A;do{A=f[x>>2]|0;x=A+8|0;C=f[x>>2]|0}while((f[C>>2]|0)!=(A|0));B=C}}else{x=w;while(1){y=f[x>>2]|0;if(!y)break;else x=y}B=x}if((f[l>>2]|0)==(t|0))f[l>>2]=B;f[n>>2]=(f[n>>2]|0)+-1;sGa(f[p>>2]|0,v);if(!(f[q>>2]|0))fuc(s);s=z;if((b[u+11>>0]|0)<0)fuc(f[u>>2]|0);if(!(f[h>>2]|0))fuc(u)}while((z|0)!=(r|0));s=f[h>>2]|0;tGa(l,f[r>>2]|0);if(!s){fuc(l);o=m}else o=m}else o=i}else o=i;while(0);i=o+1|0;l=f[c>>2]|0;if(i>>>0>=l>>>0){d=l;break}}f[a>>2]=0;e=a+12|0;f[e>>2]=d;return}function sGa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0;d=f[c>>2]|0;if(d){e=f[c+4>>2]|0;if(!e){g=c;h=d}else{d=e;while(1){e=f[d>>2]|0;if(!e){g=d;h=0;break}else d=e}}}else{g=c;h=0}d=g+4|0;e=f[(h|0?g:d)>>2]|0;h=(e|0)!=0;i=g+8|0;if(h)f[e+8>>2]=f[i>>2];j=f[i>>2]|0;if((f[j>>2]|0)==(g|0)){f[j>>2]=e;if((g|0)==(a|0)){k=e;l=0}else{m=j+4|0;n=10}}else{f[j+4>>2]=e;m=j;n=10}if((n|0)==10){k=a;l=f[m>>2]|0}m=g+12|0;a=(b[m>>0]|0)!=0;if((g|0)==(c|0))o=k;else{j=c+8|0;p=f[j>>2]|0;f[i>>2]=p;f[((f[f[j>>2]>>2]|0)==(c|0)?p:p+4|0)>>2]=g;p=f[c>>2]|0;f[g>>2]=p;f[p+8>>2]=g;p=f[c+4>>2]|0;f[d>>2]=p;if(p|0)f[p+8>>2]=g;b[m>>0]=b[c+12>>0]|0;o=(k|0)==(c|0)?g:k}if(!(a&(o|0)!=0))return;if(h){b[e+12>>0]=1;return}else{q=l;r=o}while(1){o=f[q+8>>2]|0;l=q+12|0;e=(b[l>>0]|0)!=0;if((f[o>>2]|0)==(q|0)){if(e){s=q;t=r}else{b[l>>0]=1;b[o+12>>0]=0;h=f[o>>2]|0;a=h+4|0;k=f[a>>2]|0;f[o>>2]=k;if(k|0)f[k+8>>2]=o;k=o+8|0;f[h+8>>2]=f[k>>2];g=f[k>>2]|0;f[((f[g>>2]|0)==(o|0)?g:g+4|0)>>2]=h;f[a>>2]=o;f[k>>2]=h;h=f[q+4>>2]|0;s=f[h>>2]|0;t=(r|0)==(h|0)?q:r}u=f[s>>2]|0;v=(u|0)==0;if(!v?(b[u+12>>0]|0)==0:0){w=s;x=u;n=55;break}y=s+4|0;z=f[y>>2]|0;if(z|0?(b[z+12>>0]|0)==0:0){n=49;break}b[s+12>>0]=0;h=f[s+8>>2]|0;A=h+12|0;if((h|0)==(t|0)|(b[A>>0]|0)==0){n=48;break}else{B=t;C=h}}else{if(e){D=q;E=r}else{b[l>>0]=1;b[o+12>>0]=0;l=o+4|0;e=f[l>>2]|0;h=f[e>>2]|0;f[l>>2]=h;if(h|0)f[h+8>>2]=o;h=o+8|0;f[e+8>>2]=f[h>>2];l=f[h>>2]|0;f[((f[l>>2]|0)==(o|0)?l:l+4|0)>>2]=e;f[e>>2]=o;f[h>>2]=e;e=f[q>>2]|0;D=f[e+4>>2]|0;E=(r|0)==(e|0)?q:r}F=f[D>>2]|0;if(F|0?(b[F+12>>0]|0)==0:0){n=31;break}e=f[D+4>>2]|0;if(e|0?(b[e+12>>0]|0)==0:0){G=e;n=32;break}b[D+12>>0]=0;e=f[D+8>>2]|0;if((e|0)==(E|0)){H=E;n=30;break}if(!(b[e+12>>0]|0)){H=e;n=30;break}else{B=E;C=e}}e=f[C+8>>2]|0;q=f[((f[e>>2]|0)==(C|0)?e+4|0:e)>>2]|0;r=B}do if((n|0)==30){b[H+12>>0]=1;return}else if((n|0)==31){B=f[D+4>>2]|0;if(!B)n=33;else{G=B;n=32}}else if((n|0)==48){b[A>>0]=1;return}else if((n|0)==49){if(v){I=y;J=z}else{if(!(b[u+12>>0]|0)){w=s;x=u;n=55;break}B=s+4|0;I=B;J=f[B>>2]|0}b[J+12>>0]=1;b[s+12>>0]=0;B=f[J>>2]|0;f[I>>2]=B;if(B|0)f[B+8>>2]=s;B=s+8|0;f[J+8>>2]=f[B>>2];r=f[B>>2]|0;f[((f[r>>2]|0)==(s|0)?r:r+4|0)>>2]=J;f[J>>2]=s;f[B>>2]=J;w=J;x=s;n=55}while(0);if((n|0)==32)if(!(b[G+12>>0]|0)){K=D;L=G}else n=33;else if((n|0)==55){G=f[w+8>>2]|0;s=G+12|0;b[w+12>>0]=b[s>>0]|0;b[s>>0]=1;b[x+12>>0]=1;x=f[G>>2]|0;s=x+4|0;w=f[s>>2]|0;f[G>>2]=w;if(w|0)f[w+8>>2]=G;w=G+8|0;f[x+8>>2]=f[w>>2];J=f[w>>2]|0;f[((f[J>>2]|0)==(G|0)?J:J+4|0)>>2]=x;f[s>>2]=G;f[w>>2]=x;return}if((n|0)==33){b[F+12>>0]=1;b[D+12>>0]=0;n=F+4|0;x=f[n>>2]|0;f[D>>2]=x;if(x|0)f[x+8>>2]=D;x=D+8|0;f[F+8>>2]=f[x>>2];w=f[x>>2]|0;f[((f[w>>2]|0)==(D|0)?w:w+4|0)>>2]=F;f[n>>2]=D;f[x>>2]=F;K=F;L=D}D=f[K+8>>2]|0;F=D+12|0;b[K+12>>0]=b[F>>0]|0;b[F>>0]=1;b[L+12>>0]=1;L=D+4|0;F=f[L>>2]|0;K=f[F>>2]|0;f[L>>2]=K;if(K|0)f[K+8>>2]=D;K=D+8|0;f[F+8>>2]=f[K>>2];L=f[K>>2]|0;f[((f[L>>2]|0)==(D|0)?L:L+4|0)>>2]=F;f[F>>2]=D;f[K>>2]=F;return}function tGa(a,b){a=a|0;b=b|0;if(!b)return;tGa(a,f[b>>2]|0);tGa(a,f[b+4>>2]|0);if(f[a+8>>2]|0)return;fuc(b);return}function uGa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;d=c+16|0;e=f[d>>2]|0;if((c|0)==(b|0))return e|0;else{g=uGa(a,b,e)|0;f[d>>2]=g;return c|0}return 0}function vGa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;d=a+4|0;e=wGa(a,c,f[d>>2]|0,d)|0;if((e|0)==(d|0)){g=0;return g|0}d=f[c>>2]|0;c=f[e+16>>2]|0;h=b[c+11>>0]|0;i=h<<24>>24<0;j=i?f[c+4>>2]|0:h&255;h=b[d+11>>0]|0;k=h<<24>>24<0;l=k?f[d+4>>2]|0:h&255;h=j>>>0<l>>>0?j:l;if((h|0)!=0?(m=ahc(k?f[d>>2]|0:d,i?f[c>>2]|0:c,h)|0,(m|0)!=0):0){if((m|0)<0){g=0;return g|0}}else n=4;if((n|0)==4?l>>>0<j>>>0:0){g=0;return g|0}j=f[e+4>>2]|0;if(!j){l=e+8|0;n=f[l>>2]|0;if((f[n>>2]|0)==(e|0))o=n;else{n=l;do{l=f[n>>2]|0;n=l+8|0;m=f[n>>2]|0}while((f[m>>2]|0)!=(l|0));o=m}}else{n=j;while(1){j=f[n>>2]|0;if(!j)break;else n=j}o=n}if((f[a>>2]|0)==(e|0))f[a>>2]=o;o=a+12|0;f[o>>2]=(f[o>>2]|0)+-1;sGa(f[a+4>>2]|0,e);if(f[a+8>>2]|0){g=1;return g|0}fuc(e);g=1;return g|0}function wGa(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;if(!d){g=e;return g|0}a=f[c>>2]|0;c=b[a+11>>0]|0;h=c<<24>>24<0;i=h?f[a+4>>2]|0:c&255;if(h){h=e;c=d;a:while(1){j=c;while(1){k=f[j+16>>2]|0;l=b[k+11>>0]|0;m=l<<24>>24<0;n=m?f[k+4>>2]|0:l&255;l=i>>>0<n>>>0?i:n;if((l|0)!=0?(o=ahc(m?f[k>>2]|0:k,f[a>>2]|0,l)|0,(o|0)!=0):0){if((o|0)>=0)break}else p=7;if((p|0)==7?(p=0,n>>>0>=i>>>0):0)break;n=f[j+4>>2]|0;if(!n){g=h;p=17;break a}else j=n}c=f[j>>2]|0;if(!c){g=j;p=17;break}else h=j}if((p|0)==17)return g|0}else{h=e;e=d;b:while(1){d=e;while(1){c=f[d+16>>2]|0;n=b[c+11>>0]|0;o=n<<24>>24<0;l=o?f[c+4>>2]|0:n&255;n=i>>>0<l>>>0?i:l;if((n|0)!=0?(k=ahc(o?f[c>>2]|0:c,a,n)|0,(k|0)!=0):0){if((k|0)>=0)break}else p=13;if((p|0)==13?(p=0,l>>>0>=i>>>0):0)break;l=f[d+4>>2]|0;if(!l){g=h;p=17;break b}else d=l}e=f[d>>2]|0;if(!e){g=d;p=17;break}else h=d}if((p|0)==17)return g|0}return 0}function xGa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;b=f[a>>2]|0;c=b;if(!b){d=cuc(24)|0;f[d>>2]=0;f[d+8>>2]=d;e=d+16|0;f[e>>2]=0;f[d+20>>2]=c;g=cuc(32)|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;f[g+16>>2]=0;f[g+20>>2]=0;f[g+24>>2]=0;f[g+28>>2]=0;h=g;i=d;j=e;f[j>>2]=h;k=i+12|0;f[k>>2]=8;l=i+4|0;f[l>>2]=8;m=a+8|0;f[m>>2]=i;return}e=b+64|0;if(f[e>>2]|0)HIb(b,18520,24);d=GIb(b,24,1969)|0;f[d>>2]=0;f[d+8>>2]=d;g=d+16|0;f[g>>2]=0;f[d+20>>2]=c;if(f[e>>2]|0)HIb(b,27016,32);e=FIb(b,32)|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;f[e+16>>2]=0;f[e+20>>2]=0;f[e+24>>2]=0;f[e+28>>2]=0;h=e;i=d;j=g;f[j>>2]=h;k=i+12|0;f[k>>2]=8;l=i+4|0;f[l>>2]=8;m=a+8|0;f[m>>2]=i;return}function yGa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0;d=u;u=u+32|0;e=d+16|0;g=d;h=f[a+8>>2]|0;ouc(e,c);f[e+12>>2]=0;zGa(g,h,e);h=(f[g>>2]|0)+12|0;if((b[e+11>>0]|0)<0)fuc(f[e>>2]|0);e=f[h>>2]|0;if(e|0){i=e;j=i+16|0;u=d;return j|0}e=AGa(a,c)|0;f[h>>2]=e;i=e;j=i+16|0;u=d;return j|0}function zGa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=u;u=u+32|0;g=e+16|0;h=e;VFa(g,c,d,0);i=f[g>>2]|0;if(i|0){j=f[g+4>>2]|0;k=f[g+8>>2]|0;f[a>>2]=i;f[a+4>>2]=j;f[a+8>>2]=k;b[a+12>>0]=0;u=e;return}k=(f[c>>2]|0)+1|0;j=f[c+4>>2]|0;i=j*12|0;l=i>>>4;if(l>>>0>k>>>0){if(j>>>0>8&i>>>6>>>0>=k>>>0){i=((k*5|0)>>>2)+1|0;k=1;while(1)if(i<<k>>>0<l>>>0)k=k+1|0;else break;l=j>>>k;k=l>>>0>8?l:8;if((k|0)!=(j|0)){CGa(c,k);m=11}}}else if(j>>>0<=134217728){CGa(c,j<<1);m=11}if((m|0)==11){VFa(h,c,d,0);f[g>>2]=f[h>>2];f[g+4>>2]=f[h+4>>2];f[g+8>>2]=f[h+8>>2];f[g+12>>2]=f[h+12>>2]}m=f[g+12>>2]|0;g=f[c+20>>2]|0;if(!g)n=cuc(20)|0;else{if(f[g+64>>2]|0)HIb(g,27016,24);n=FIb(g,24)|0}ouc(n,d);f[n+12>>2]=f[d+12>>2];DGa(h,c,m,n);f[c>>2]=(f[c>>2]|0)+1;f[a>>2]=f[h>>2];f[a+4>>2]=f[h+4>>2];f[a+8>>2]=f[h+8>>2];b[a+12>>0]=1;u=e;return}function AGa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=f[a>>2]|0;if(!c){d=cuc(40)|0;ouc(d,b);kPa(d+16|0);e=d;return e|0}if(f[c+64>>2]|0)HIb(c,27016,40);d=FIb(c,40)|0;c=f[a>>2]|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;BGa(c,d);lPa(d+16|0,f[a>>2]|0);ruc(d,b)|0;e=d;return e|0}function BGa(a,b){a=a|0;b=b|0;if(!b)return;EIb(a,b,1964);return}function CGa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;d=u;u=u+16|0;e=d;g=a+16|0;h=f[g>>2]|0;i=a+4|0;j=f[i>>2]|0;f[i>>2]=c;k=a+20|0;l=f[k>>2]|0;m=c<<2;if(!l)n=cuc(m)|0;else{c=m+7&-8;if(f[l+64>>2]|0)HIb(l,27016,c);n=FIb(l,c)|0}kzc(n|0,0,m|0)|0;f[g>>2]=n;n=a+12|0;g=f[n>>2]|0;f[n>>2]=f[i>>2];if(g>>>0<j>>>0){n=a+8|0;m=g;do{g=f[h+(m<<2)>>2]|0;do if(!g)o=m;else{if((g|0)==(f[h+((m^1)<<2)>>2]|0)){JGa(a,h,m);o=m+1|0;break}c=g;do{l=c;c=f[c+16>>2]|0;p=(b[l+11>>0]|0)<0?f[l>>2]|0:l;q=b[p>>0]|0;if(!(q<<24>>24))r=0;else{s=p;p=0;t=q;while(1){q=(p*5|0)+(t<<24>>24)|0;s=s+1|0;t=b[s>>0]|0;if(!(t<<24>>24)){r=q;break}else p=q}}DGa(e,a,(f[i>>2]|0)+-1&(f[n>>2]|0)+r,l)}while((c|0)!=0);o=m}while(0);m=o+1|0}while(m>>>0<j>>>0)}if(f[k>>2]|0){u=d;return}fuc(h);u=d;return}function DGa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=u;u=u+16|0;g=e+8|0;h=e;i=b+16|0;j=f[i>>2]|0;k=j+(c<<2)|0;l=f[k>>2]|0;m=l;do if(!l){f[d+16>>2]=m;f[k>>2]=d;n=d;o=c}else{if((l|0)==(f[j+((c^1)<<2)>>2]|0)){f[d+16>>2]=0;p=f[k>>2]|0;f[h>>2]=d;FGa(g,p,h,h);f[a>>2]=f[(f[g>>2]|0)+16>>2];f[a+4>>2]=b;f[a+8>>2]=c&-2;u=e;return}p=l;q=0;do{q=q+1|0;p=f[p+16>>2]|0}while((p|0)!=0);if(q>>>0>7){EGa(b,c);f[d+16>>2]=0;p=f[(f[i>>2]|0)+(c<<2)>>2]|0;f[h>>2]=d;FGa(g,p,h,h);n=f[(f[g>>2]|0)+16>>2]|0;o=c&-2;break}f[d+16>>2]=m;f[k>>2]=d;f[a>>2]=d;f[a+4>>2]=b;f[a+8>>2]=c;u=e;return}while(0);c=b+12|0;d=f[c>>2]|0;f[c>>2]=o>>>0<d>>>0?o:d;f[a>>2]=n;f[a+4>>2]=b;f[a+8>>2]=o;u=e;return}function EGa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;c=u;u=u+32|0;d=c+24|0;e=c+16|0;g=c;h=a+20|0;i=f[h>>2]|0;if(!i)j=cuc(16)|0;else{if(f[i+64>>2]|0)HIb(i,27016,16);j=FIb(i,16)|0}i=f[h>>2]|0;f[g+4>>2]=0;f[g+8>>2]=i;f[g+12>>2]=0;i=g+4|0;f[g>>2]=i;f[j>>2]=0;h=f[g+8>>2]|0;k=j+4|0;f[k>>2]=0;f[j+8>>2]=h;f[j+12>>2]=0;f[j>>2]=k;h=f[g>>2]|0;if((h|0)!=(i|0)){l=k;k=h;while(1){h=k+16|0;f[e>>2]=l;f[d>>2]=f[e>>2];HGa(j,d,h,h)|0;h=f[k+4>>2]|0;if(!h){m=k+8|0;n=f[m>>2]|0;if((f[n>>2]|0)==(k|0))o=n;else{n=m;do{m=f[n>>2]|0;n=m+8|0;p=f[n>>2]|0}while((f[p>>2]|0)!=(m|0));o=p}}else{n=h;while(1){p=f[n>>2]|0;if(!p)break;else n=p}o=n}if((o|0)==(i|0))break;else k=o}}tGa(g,f[i>>2]|0);i=a+16|0;a=f[i>>2]|0;g=f[a+(b<<2)>>2]|0;if(!g)q=a;else{a=g;do{f[e>>2]=a;FGa(d,j,e,e);g=a+16|0;a=f[g>>2]|0;f[g>>2]=0}while((a|0)!=0);q=f[i>>2]|0}a=b^1;g=f[q+(a<<2)>>2]|0;if(!g){r=q;s=r+(a<<2)|0;f[s>>2]=j;t=f[i>>2]|0;v=t+(b<<2)|0;f[v>>2]=j;u=c;return}q=g;do{f[e>>2]=q;FGa(d,j,e,e);g=q+16|0;q=f[g>>2]|0;f[g>>2]=0}while((q|0)!=0);r=f[i>>2]|0;s=r+(a<<2)|0;f[s>>2]=j;t=f[i>>2]|0;v=t+(b<<2)|0;f[v>>2]=j;u=c;return}function FGa(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;g=u;u=u+16|0;h=g;i=GGa(c,h,d)|0;d=f[i>>2]|0;if(d|0){j=d;k=0;l=j;f[a>>2]=l;m=a+4|0;b[m>>0]=k;u=g;return}d=f[c+8>>2]|0;if(!d)n=cuc(20)|0;else{if(f[d+64>>2]|0)HIb(d,27016,24);n=FIb(d,24)|0}f[n+16>>2]=f[e>>2];e=f[h>>2]|0;f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=e;f[i>>2]=n;e=f[f[c>>2]>>2]|0;if(!e)o=n;else{f[c>>2]=e;o=f[i>>2]|0}jI(f[c+4>>2]|0,o);o=c+12|0;f[o>>2]=(f[o>>2]|0)+1;j=n;k=1;l=j;f[a>>2]=l;m=a+4|0;b[m>>0]=k;u=g;return}function GGa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;e=a+4|0;g=f[e>>2]|0;h=a+4|0;if(!g){f[c>>2]=e;i=e;return i|0}e=f[d>>2]|0;d=b[e+11>>0]|0;a=d<<24>>24<0;j=f[e+4>>2]|0;k=d&255;d=a?j:k;a:do if(a){l=h;m=g;while(1){n=f[m+16>>2]|0;o=b[n+11>>0]|0;p=o<<24>>24<0;q=p?f[n+4>>2]|0:o&255;o=q>>>0<d>>>0?q:d;if((o|0)!=0?(r=ahc(f[e>>2]|0,p?f[n>>2]|0:n,o)|0,(r|0)!=0):0)if((r|0)<0)s=12;else s=7;else if(d>>>0<q>>>0)s=12;else s=7;if((s|0)==7){s=0;r=j>>>0<q>>>0?j:q;if((r|0)!=0?(o=ahc(p?f[n>>2]|0:n,f[e>>2]|0,r)|0,(o|0)!=0):0){if((o|0)>=0){t=l;u=m;s=27;break a}}else s=10;if((s|0)==10?(s=0,q>>>0>=j>>>0):0){t=l;u=m;s=27;break a}q=m+4|0;o=f[q>>2]|0;if(!o){v=m;w=q;s=26;break a}else{x=q;y=o}}else if((s|0)==12){s=0;o=f[m>>2]|0;if(!o){z=m;A=m;s=20;break a}else{x=m;y=o}}l=x;m=y}}else{m=h;l=g;while(1){o=f[l+16>>2]|0;q=b[o+11>>0]|0;r=q<<24>>24<0;n=r?f[o+4>>2]|0:q&255;q=n>>>0<d>>>0?n:d;if((q|0)!=0?(p=ahc(e,r?f[o>>2]|0:o,q)|0,(p|0)!=0):0)if((p|0)<0)s=19;else s=21;else if(d>>>0<n>>>0)s=19;else s=21;if((s|0)==19){s=0;p=f[l>>2]|0;if(!p){z=l;A=l;s=20;break a}else{B=l;C=p}}else if((s|0)==21){s=0;p=k>>>0<n>>>0?k:n;if((p|0)!=0?(q=ahc(r?f[o>>2]|0:o,e,p)|0,(q|0)!=0):0){if((q|0)>=0){t=m;u=l;s=27;break a}}else s=23;if((s|0)==23?(s=0,n>>>0>=k>>>0):0){t=m;u=l;s=27;break a}n=l+4|0;q=f[n>>2]|0;if(!q){v=l;w=n;s=26;break a}else{B=n;C=q}}m=B;l=C}}while(0);if((s|0)==20){f[c>>2]=z;i=A;return i|0}else if((s|0)==26){f[c>>2]=v;i=w;return i|0}else if((s|0)==27){f[c>>2]=u;i=t;return i|0}return 0}function HGa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0;e=u;u=u+16|0;g=e+12|0;h=e+8|0;i=e;f[i>>2]=f[b>>2];f[g>>2]=f[i>>2];i=IGa(a,g,h,e+4|0,c)|0;c=f[i>>2]|0;if(c|0){j=c;u=e;return j|0}c=f[a+8>>2]|0;if(!c)k=cuc(20)|0;else{if(f[c+64>>2]|0)HIb(c,27016,24);k=FIb(c,24)|0}f[k+16>>2]=f[d>>2];d=f[h>>2]|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=d;f[i>>2]=k;d=f[f[a>>2]>>2]|0;if(!d)l=k;else{f[a>>2]=d;l=f[i>>2]|0}jI(f[a+4>>2]|0,l);l=a+12|0;f[l>>2]=(f[l>>2]|0)+1;j=k;u=e;return j|0}function IGa(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;h=a+4|0;i=f[c>>2]|0;c=i;do if((i|0)!=(h|0)){j=f[g>>2]|0;k=f[i+16>>2]|0;l=b[k+11>>0]|0;m=l<<24>>24<0;n=m?f[k+4>>2]|0:l&255;l=b[j+11>>0]|0;o=l<<24>>24<0;p=o?f[j+4>>2]|0:l&255;l=n>>>0<p>>>0;q=l?n:p;if((q|0)!=0?(r=ahc(o?f[j>>2]|0:j,m?f[k>>2]|0:k,q)|0,(r|0)!=0):0){if((r|0)<0)break}else s=4;if((s|0)==4?p>>>0<n>>>0:0)break;r=p>>>0<n>>>0?p:n;if((r|0)!=0?(n=ahc(m?f[k>>2]|0:k,o?f[j>>2]|0:j,r)|0,(n|0)!=0):0){if((n|0)>=0)s=36}else s=20;if((s|0)==20?!l:0)s=36;if((s|0)==36){f[d>>2]=c;f[e>>2]=c;t=e;return t|0}l=i+4|0;n=f[l>>2]|0;if(!n){r=i+8|0;k=f[r>>2]|0;if((f[k>>2]|0)==(i|0))u=k;else{k=r;do{r=f[k>>2]|0;k=r+8|0;m=f[k>>2]|0}while((f[m>>2]|0)!=(r|0));u=m}}else{k=n;while(1){m=f[k>>2]|0;if(!m)break;else k=m}u=k}do if((u|0)!=(h|0)){n=f[u+16>>2]|0;m=b[n+11>>0]|0;r=m<<24>>24<0;q=r?f[n+4>>2]|0:m&255;m=q>>>0<p>>>0?q:p;if((m|0)!=0?(v=ahc(o?f[j>>2]|0:j,r?f[n>>2]|0:n,m)|0,(v|0)!=0):0){if((v|0)<0)break}else s=30;if((s|0)==30?p>>>0<q>>>0:0)break;t=GGa(a,d,g)|0;return t|0}while(0);if(!(f[i+4>>2]|0)){f[d>>2]=c;t=l;return t|0}else{f[d>>2]=u;t=u;return t|0}}while(0);u=f[i>>2]|0;do if((i|0)==(f[a>>2]|0))w=c;else{if(!u){h=i;while(1){e=f[h+8>>2]|0;if((f[e>>2]|0)==(h|0))h=e;else{x=e;break}}}else{h=u;while(1){l=f[h+4>>2]|0;if(!l){x=h;break}else h=l}}h=x;l=f[x+16>>2]|0;e=f[g>>2]|0;p=b[e+11>>0]|0;j=p<<24>>24<0;o=j?f[e+4>>2]|0:p&255;p=b[l+11>>0]|0;k=p<<24>>24<0;q=k?f[l+4>>2]|0:p&255;p=o>>>0<q>>>0?o:q;if((p|0)!=0?(v=ahc(k?f[l>>2]|0:l,j?f[e>>2]|0:e,p)|0,(v|0)!=0):0){if((v|0)<0){w=h;break}}else s=12;if((s|0)==12?q>>>0<o>>>0:0){w=h;break}t=GGa(a,d,g)|0;return t|0}while(0);if(!u){f[d>>2]=i;t=i;return t|0}else{i=w;f[d>>2]=i;t=i+4|0;return t|0}return 0}function JGa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=u;u=u+16|0;g=e;h=f[c+(d<<2)>>2]|0;d=a+8|0;c=a+4|0;i=h+4|0;j=f[h>>2]|0;while(1){k=f[j+16>>2]|0;l=(b[k+11>>0]|0)<0?f[k>>2]|0:k;m=b[l>>0]|0;if(!(m<<24>>24))n=0;else{o=l;l=0;p=m;while(1){m=(l*5|0)+(p<<24>>24)|0;o=o+1|0;p=b[o>>0]|0;if(!(p<<24>>24)){n=m;break}else l=m}}DGa(g,a,(f[c>>2]|0)+-1&(f[d>>2]|0)+n,k);l=f[j+4>>2]|0;if(!l){p=j+8|0;o=f[p>>2]|0;if((f[o>>2]|0)==(j|0))q=o;else{o=p;do{p=f[o>>2]|0;o=p+8|0;m=f[o>>2]|0}while((f[m>>2]|0)!=(p|0));q=m}}else{o=l;while(1){k=f[o>>2]|0;if(!k)break;else o=k}q=o}if((q|0)==(i|0))break;else j=q}q=f[a+20>>2]|0;tGa(h,f[i>>2]|0);if(q|0){u=e;return}fuc(h);u=e;return}function KGa(a){a=a|0;var b=0;b=a+16|0;if(!(f[b>>2]|0))return;rGa(a);if(f[a+20>>2]|0)return;fuc(f[b>>2]|0);return}function LGa(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;h=a+4|0;i=f[c>>2]|0;c=i;do if((i|0)!=(h|0)){j=i+16|0;k=b[j+11>>0]|0;l=k<<24>>24<0;m=l?f[i+20>>2]|0:k&255;k=b[g+11>>0]|0;n=k<<24>>24<0;o=n?f[g+4>>2]|0:k&255;k=m>>>0<o>>>0;p=k?m:o;if((p|0)!=0?(q=ahc(n?f[g>>2]|0:g,l?f[j>>2]|0:j,p)|0,(q|0)!=0):0){if((q|0)<0)break}else r=4;if((r|0)==4?o>>>0<m>>>0:0)break;q=o>>>0<m>>>0?o:m;if((q|0)!=0?(m=ahc(l?f[j>>2]|0:j,n?f[g>>2]|0:g,q)|0,(m|0)!=0):0){if((m|0)>=0)r=36}else r=20;if((r|0)==20?!k:0)r=36;if((r|0)==36){f[d>>2]=c;f[e>>2]=c;s=e;return s|0}k=i+4|0;m=f[k>>2]|0;if(!m){q=i+8|0;j=f[q>>2]|0;if((f[j>>2]|0)==(i|0))t=j;else{j=q;do{q=f[j>>2]|0;j=q+8|0;l=f[j>>2]|0}while((f[l>>2]|0)!=(q|0));t=l}}else{j=m;while(1){l=f[j>>2]|0;if(!l)break;else j=l}t=j}do if((t|0)!=(h|0)){m=t+16|0;l=b[m+11>>0]|0;q=l<<24>>24<0;p=q?f[t+20>>2]|0:l&255;l=p>>>0<o>>>0?p:o;if((l|0)!=0?(u=ahc(n?f[g>>2]|0:g,q?f[m>>2]|0:m,l)|0,(u|0)!=0):0){if((u|0)<0)break}else r=30;if((r|0)==30?o>>>0<p>>>0:0)break;s=uEa(a,d,g)|0;return s|0}while(0);if(!(f[i+4>>2]|0)){f[d>>2]=c;s=k;return s|0}else{f[d>>2]=t;s=t;return s|0}}while(0);t=f[i>>2]|0;do if((i|0)==(f[a>>2]|0))v=c;else{if(!t){h=i;while(1){e=f[h+8>>2]|0;if((f[e>>2]|0)==(h|0))h=e;else{w=e;break}}}else{h=t;while(1){k=f[h+4>>2]|0;if(!k){w=h;break}else h=k}}h=w;k=w+16|0;e=b[g+11>>0]|0;o=e<<24>>24<0;n=o?f[g+4>>2]|0:e&255;e=b[k+11>>0]|0;j=e<<24>>24<0;p=j?f[w+20>>2]|0:e&255;e=n>>>0<p>>>0?n:p;if((e|0)!=0?(u=ahc(j?f[k>>2]|0:k,o?f[g>>2]|0:g,e)|0,(u|0)!=0):0){if((u|0)<0){v=h;break}}else r=12;if((r|0)==12?p>>>0<n>>>0:0){v=h;break}s=uEa(a,d,g)|0;return s|0}while(0);if(!t){f[d>>2]=i;s=i;return s|0}else{i=v;f[d>>2]=i;s=i+4|0;return s|0}return 0}function MGa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;d=a+4|0;e=f[a>>2]|0;g=(f[d>>2]|0)-e>>4;h=g+1|0;if(h>>>0>268435455)nsc(a);i=a+8|0;j=(f[i>>2]|0)-e|0;e=j>>3;k=j>>4>>>0<134217727?(e>>>0<h>>>0?h:e):268435455;do if(k)if(k>>>0>268435455){e=ze(8)|0;kuc(e,519086);f[e>>2]=167148;Hf(e|0,26888,1888)}else{l=cuc(k<<4)|0;break}else l=0;while(0);e=l+(g<<4)|0;h=e;j=l+(k<<4)|0;f[e>>2]=f[c>>2];f[e+4>>2]=f[c+4>>2];f[e+8>>2]=f[c+8>>2];f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[l+(g<<4)+12>>2]=f[c+12>>2];c=e+16|0;g=f[a>>2]|0;l=f[d>>2]|0;if((l|0)==(g|0)){m=h;n=g;o=g}else{k=l;l=h;h=e;do{e=h+-16|0;p=k;k=k+-16|0;f[e>>2]=f[k>>2];f[e+4>>2]=f[k+4>>2];f[e+8>>2]=f[k+8>>2];f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[h+-4>>2]=f[p+-4>>2];h=l+-16|0;l=h}while((k|0)!=(g|0));m=l;n=f[a>>2]|0;o=f[d>>2]|0}f[a>>2]=m;f[d>>2]=c;f[i>>2]=j;j=n;if((o|0)!=(j|0)){i=o;do{i=i+-16|0;if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0)}while((i|0)!=(j|0))}if(!n)return;fuc(n);return}function NGa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0;c=u;u=u+48|0;d=c+24|0;e=c;VFa(d,f[a+8>>2]|0,b,0);a=f[d>>2]|0;if(a|0){g=a+12|0;h=f[g>>2]|0;i=h+16|0;u=c;return i|0}iLb(e,3,397428,1064);fLb(c+40|0,eLb(dLb(dLb(e,397512)|0,397540)|0,b)|0);jLb(e);g=a+12|0;h=f[g>>2]|0;i=h+16|0;u=c;return i|0}function OGa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=a+20|0;if((f[b>>2]|0)==8){c=f[a+8>>2]|0;return c|0}MOa(a);f[b>>2]=8;b=f[a+4>>2]|0;d=b&-2;if(!(b&1))e=d;else e=f[d+4>>2]|0;if(!e){d=cuc(172)|0;sRa(d);g=d}else{if(f[e+64>>2]|0)HIb(e,19416,176);d=FIb(e,176)|0;tRa(d,e);g=d}f[a+8>>2]=g;c=g;return c|0}function PGa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;e=u;u=u+16|0;g=e;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;if(d>>>0>4294967279)muc(g);if(d>>>0<11){b[g+11>>0]=d;if(!d)h=g;else{i=g;j=6}}else{k=d+16&-16;l=cuc(k)|0;f[g>>2]=l;f[g+8>>2]=k|-2147483648;f[g+4>>2]=d;i=l;j=6}if((j|0)==6){szc(i|0,c|0,d|0)|0;h=i}b[h+d>>0]=0;d=f[a+4>>2]|0;h=d&-2;if(!(d&1))m=h;else m=f[h+4>>2]|0;h=a+152|0;a=f[h>>2]|0;if((a|0)==542896)QGa(h,m,g);else ruc(a,g)|0;if((b[g+11>>0]|0)>=0){u=e;return}fuc(f[g>>2]|0);u=e;return}function QGa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;d=cuc(12)|0;ouc(d,c);f[a>>2]=d;if(!b)return;RGa(b,d);return}function RGa(a,b){a=a|0;b=b|0;if(!b)return;EIb(a,b,1970);return}function SGa(a){a=a|0;if(!a)return;if((b[a+11>>0]|0)<0)fuc(f[a>>2]|0);fuc(a);return}function TGa(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0;h=u;u=u+112|0;i=h+8|0;j=h;lTa(i);k=i+40|0;lTa(k);f[i+80>>2]=0;l=i+84|0;f[l>>2]=0;f[i+88>>2]=0;if((c|0)!=0&(d|0)!=0)oib(c,d,i);if((e|0)!=0&(g|0)!=0)qib(e,g,k);RKa(a);f[j>>2]=f[a>>2];g=f[a+4>>2]|0;f[j+4>>2]=g;if(g|0)Wtc(g);JFa(i,j);rLa(j);j=i+80|0;g=f[j>>2]|0;if(!g){xRa(k);xRa(i);u=h;return}a=f[l>>2]|0;if((a|0)==(g|0))m=g;else{e=a;while(1){a=e+-12|0;f[l>>2]=a;if((b[a+11>>0]|0)<0){fuc(f[a>>2]|0);n=f[l>>2]|0}else n=a;if((n|0)==(g|0))break;else e=n}m=f[j>>2]|0}fuc(m);xRa(k);xRa(i);u=h;return}function UGa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;d=f[b>>2]|0;e=f[c>>2]|0;g=f[c+4>>2]|0;TGa(a,d,(f[b+4>>2]|0)-d|0,(e|0)==(g|0)?0:e,g-e|0);return}function VGa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;b=u;u=u+32|0;c=b+12|0;d=b;f[c>>2]=0;e=c+4|0;f[e>>2]=0;f[c+8>>2]=0;g=cuc(64)|0;WGa(g);f[d>>2]=g;h=g;g=cuc(16)|0;f[g+4>>2]=0;f[g+8>>2]=0;f[g>>2]=110936;f[g+12>>2]=h;i=d+4|0;f[i>>2]=g;j=f[e>>2]|0;k=c+8|0;if(j>>>0>=(f[k>>2]|0)>>>0){YGa(c,d);l=f[i>>2]|0;if(l|0)Xtc(l)}else{f[j>>2]=h;f[j+4>>2]=g;f[d>>2]=0;f[i>>2]=0;f[e>>2]=j+8}j=cuc(64)|0;ZGa(j);f[d>>2]=j;i=j;j=cuc(16)|0;f[j+4>>2]=0;f[j+8>>2]=0;f[j>>2]=110964;f[j+12>>2]=i;g=d+4|0;f[g>>2]=j;h=f[e>>2]|0;if(h>>>0>=(f[k>>2]|0)>>>0){YGa(c,d);l=f[g>>2]|0;if(l|0)Xtc(l)}else{f[h>>2]=i;f[h+4>>2]=j;f[d>>2]=0;f[g>>2]=0;f[e>>2]=h+8}h=cuc(64)|0;_Ga(h);f[d>>2]=h;g=h;h=cuc(16)|0;f[h+4>>2]=0;f[h+8>>2]=0;f[h>>2]=110992;f[h+12>>2]=g;j=d+4|0;f[j>>2]=h;i=f[e>>2]|0;if(i>>>0>=(f[k>>2]|0)>>>0){YGa(c,d);l=f[j>>2]|0;if(l|0)Xtc(l)}else{f[i>>2]=g;f[i+4>>2]=h;f[d>>2]=0;f[j>>2]=0;f[e>>2]=i+8}i=cuc(64)|0;$Ga(i);f[d>>2]=i;j=i;i=cuc(16)|0;f[i+4>>2]=0;f[i+8>>2]=0;f[i>>2]=111020;f[i+12>>2]=j;h=d+4|0;f[h>>2]=i;g=f[e>>2]|0;if(g>>>0>=(f[k>>2]|0)>>>0){YGa(c,d);l=f[h>>2]|0;if(l|0)Xtc(l)}else{f[g>>2]=j;f[g+4>>2]=i;f[d>>2]=0;f[h>>2]=0;f[e>>2]=g+8}g=cuc(64)|0;aHa(g);f[d>>2]=g;h=g;g=cuc(16)|0;f[g+4>>2]=0;f[g+8>>2]=0;f[g>>2]=111048;f[g+12>>2]=h;i=d+4|0;f[i>>2]=g;j=f[e>>2]|0;if(j>>>0>=(f[k>>2]|0)>>>0){YGa(c,d);l=f[i>>2]|0;if(l|0)Xtc(l)}else{f[j>>2]=h;f[j+4>>2]=g;f[d>>2]=0;f[i>>2]=0;f[e>>2]=j+8}j=cuc(64)|0;bHa(j);f[d>>2]=j;i=j;j=cuc(16)|0;f[j+4>>2]=0;f[j+8>>2]=0;f[j>>2]=111076;f[j+12>>2]=i;g=d+4|0;f[g>>2]=j;h=f[e>>2]|0;if(h>>>0>=(f[k>>2]|0)>>>0){YGa(c,d);l=f[g>>2]|0;if(l|0)Xtc(l)}else{f[h>>2]=i;f[h+4>>2]=j;f[d>>2]=0;f[g>>2]=0;f[e>>2]=h+8}h=cuc(68)|0;cHa(h,3);f[d>>2]=h;g=h;h=cuc(16)|0;f[h+4>>2]=0;f[h+8>>2]=0;f[h>>2]=111104;f[h+12>>2]=g;j=d+4|0;f[j>>2]=h;i=f[e>>2]|0;if(i>>>0>=(f[k>>2]|0)>>>0){YGa(c,d);l=f[j>>2]|0;if(l|0)Xtc(l)}else{f[i>>2]=g;f[i+4>>2]=h;f[d>>2]=0;f[j>>2]=0;f[e>>2]=i+8}i=cuc(64)|0;dHa(i);f[d>>2]=i;j=i;i=cuc(16)|0;f[i+4>>2]=0;f[i+8>>2]=0;f[i>>2]=111132;f[i+12>>2]=j;h=d+4|0;f[h>>2]=i;g=f[e>>2]|0;if(g>>>0>=(f[k>>2]|0)>>>0){YGa(c,d);l=f[h>>2]|0;if(l|0)Xtc(l)}else{f[g>>2]=j;f[g+4>>2]=i;f[d>>2]=0;f[h>>2]=0;f[e>>2]=g+8}g=cuc(64)|0;eHa(g);f[d>>2]=g;h=g;g=cuc(16)|0;f[g+4>>2]=0;f[g+8>>2]=0;f[g>>2]=111160;f[g+12>>2]=h;i=d+4|0;f[i>>2]=g;j=f[e>>2]|0;if(j>>>0>=(f[k>>2]|0)>>>0){YGa(c,d);l=f[i>>2]|0;if(l|0)Xtc(l)}else{f[j>>2]=h;f[j+4>>2]=g;f[d>>2]=0;f[i>>2]=0;f[e>>2]=j+8}j=cuc(64)|0;fHa(j);f[d>>2]=j;i=j;j=cuc(16)|0;f[j+4>>2]=0;f[j+8>>2]=0;f[j>>2]=111188;f[j+12>>2]=i;g=d+4|0;f[g>>2]=j;h=f[e>>2]|0;if(h>>>0>=(f[k>>2]|0)>>>0){YGa(c,d);l=f[g>>2]|0;if(l|0)Xtc(l)}else{f[h>>2]=i;f[h+4>>2]=j;f[d>>2]=0;f[g>>2]=0;f[e>>2]=h+8}h=cuc(64)|0;gHa(h);f[d>>2]=h;g=h;h=cuc(16)|0;f[h+4>>2]=0;f[h+8>>2]=0;f[h>>2]=111216;f[h+12>>2]=g;j=d+4|0;f[j>>2]=h;i=f[e>>2]|0;if(i>>>0>=(f[k>>2]|0)>>>0){YGa(c,d);l=f[j>>2]|0;if(l|0)Xtc(l)}else{f[i>>2]=g;f[i+4>>2]=h;f[d>>2]=0;f[j>>2]=0;f[e>>2]=i+8}i=cuc(64)|0;hHa(i);f[d>>2]=i;j=i;i=cuc(16)|0;f[i+4>>2]=0;f[i+8>>2]=0;f[i>>2]=111244;f[i+12>>2]=j;h=d+4|0;f[h>>2]=i;g=f[e>>2]|0;if(g>>>0>=(f[k>>2]|0)>>>0){YGa(c,d);l=f[h>>2]|0;if(l|0)Xtc(l)}else{f[g>>2]=j;f[g+4>>2]=i;f[d>>2]=0;f[h>>2]=0;f[e>>2]=g+8}g=cuc(64)|0;iHa(g);f[d>>2]=g;h=g;g=cuc(16)|0;f[g+4>>2]=0;f[g+8>>2]=0;f[g>>2]=111272;f[g+12>>2]=h;i=d+4|0;f[i>>2]=g;j=f[e>>2]|0;if(j>>>0>=(f[k>>2]|0)>>>0){YGa(c,d);k=f[i>>2]|0;if(k|0)Xtc(k)}else{f[j>>2]=h;f[j+4>>2]=g;f[d>>2]=0;f[i>>2]=0;f[e>>2]=j+8}j=f[a+12>>2]|0;f[d>>2]=0;i=d+4|0;f[i>>2]=0;f[d+8>>2]=0;if((j|0)>0){g=0;h=j;while(1){j=f[c>>2]|0;a:do if((f[e>>2]|0)==(j|0))m=h;else{k=0;l=j;while(1){n=f[l+(k<<3)>>2]|0;if(Cg[f[f[n>>2]>>2]&127](n,a,g,d)|0)break;n=k+1|0;l=f[c>>2]|0;if(n>>>0>=(f[e>>2]|0)-l>>3>>>0){m=h;break a}else k=n}jHa(f[(f[c>>2]|0)+(k<<3)>>2]|0,a,d);m=h+1-((f[i>>2]|0)-(f[d>>2]|0)>>2)|0}while(0);g=g+1|0;if((g|0)>=(m|0))break;else h=m}m=f[d>>2]|0;if(m|0){d=f[i>>2]|0;if((d|0)!=(m|0))f[i>>2]=d+(~((d+-4-m|0)>>>2)<<2);fuc(m)}}m=f[c>>2]|0;if(!m){u=b;return}d=f[e>>2]|0;if((d|0)==(m|0))o=m;else{i=d;while(1){d=i+-8|0;f[e>>2]=d;h=f[i+-4>>2]|0;if(!h)p=d;else{Xtc(h);p=f[e>>2]|0}if((p|0)==(m|0))break;else i=p}o=f[c>>2]|0}fuc(o);u=b;return}function WGa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;c=u;u=u+32|0;d=c+12|0;e=c;g=a+4|0;h=g+60|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));f[a>>2]=111620;i=e+11|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[d>>2]=0;j=d+4|0;f[j>>2]=0;f[d+8>>2]=0;k=pHa(a,e,d)|0;l=f[d>>2]|0;if(l|0){m=f[j>>2]|0;if((m|0)!=(l|0))f[j>>2]=m+(~((m+-4-l|0)>>>2)<<2);fuc(l)}if((b[i>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;i=e+11|0;b[i>>0]=5;b[e>>0]=b[399120]|0;b[e+1>>0]=b[399121]|0;b[e+2>>0]=b[399122]|0;b[e+3>>0]=b[399123]|0;b[e+4>>0]=b[399124]|0;b[e+5>>0]=0;f[d>>2]=0;l=d+4|0;f[l>>2]=0;f[d+8>>2]=0;m=pHa(a,e,d)|0;j=f[d>>2]|0;if(j|0){n=f[l>>2]|0;if((n|0)!=(j|0))f[l>>2]=n+(~((n+-4-j|0)>>>2)<<2);fuc(j)}if((b[i>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;i=e+11|0;b[i>>0]=5;b[e>>0]=b[399120]|0;b[e+1>>0]=b[399121]|0;b[e+2>>0]=b[399122]|0;b[e+3>>0]=b[399123]|0;b[e+4>>0]=b[399124]|0;b[e+5>>0]=0;f[d>>2]=0;j=d+4|0;f[j>>2]=0;f[d+8>>2]=0;n=pHa(a,e,d)|0;l=f[d>>2]|0;if(l|0){o=f[j>>2]|0;if((o|0)!=(l|0))f[j>>2]=o+(~((o+-4-l|0)>>>2)<<2);fuc(l)}if((b[i>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;i=e+11|0;b[i>>0]=5;b[e>>0]=b[399120]|0;b[e+1>>0]=b[399121]|0;b[e+2>>0]=b[399122]|0;b[e+3>>0]=b[399123]|0;b[e+4>>0]=b[399124]|0;b[e+5>>0]=0;f[d>>2]=0;l=d+4|0;f[l>>2]=0;f[d+8>>2]=0;o=pHa(a,e,d)|0;j=f[d>>2]|0;if(j|0){p=f[l>>2]|0;if((p|0)!=(j|0))f[l>>2]=p+(~((p+-4-j|0)>>>2)<<2);fuc(j)}if((b[i>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;i=e+11|0;b[i>>0]=5;b[e>>0]=b[399120]|0;b[e+1>>0]=b[399121]|0;b[e+2>>0]=b[399122]|0;b[e+3>>0]=b[399123]|0;b[e+4>>0]=b[399124]|0;b[e+5>>0]=0;f[d>>2]=0;j=d+4|0;f[j>>2]=0;f[d+8>>2]=0;p=pHa(a,e,d)|0;l=f[d>>2]|0;if(l|0){q=f[j>>2]|0;if((q|0)!=(l|0))f[j>>2]=q+(~((q+-4-l|0)>>>2)<<2);fuc(l)}if((b[i>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;i=e+11|0;b[i>>0]=5;b[e>>0]=b[399120]|0;b[e+1>>0]=b[399121]|0;b[e+2>>0]=b[399122]|0;b[e+3>>0]=b[399123]|0;b[e+4>>0]=b[399124]|0;b[e+5>>0]=0;f[d>>2]=0;l=d+4|0;f[l>>2]=0;f[d+8>>2]=0;q=pHa(a,e,d)|0;j=f[d>>2]|0;if(j|0){r=f[l>>2]|0;if((r|0)!=(j|0))f[l>>2]=r+(~((r+-4-j|0)>>>2)<<2);fuc(j)}if((b[i>>0]|0)<0)fuc(f[e>>2]|0);e=d+4|0;f[e>>2]=0;f[e+4>>2]=0;e=d+11|0;b[e>>0]=3;b[d>>0]=b[400694]|0;b[d+1>>0]=b[400695]|0;b[d+2>>0]=b[400696]|0;b[d+3>>0]=0;i=qHa(a,d,n,m,-1,-1)|0;if((b[e>>0]|0)<0)fuc(f[d>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;e=d+11|0;b[e>>0]=5;b[d>>0]=b[401013]|0;b[d+1>>0]=b[401014]|0;b[d+2>>0]=b[401015]|0;b[d+3>>0]=b[401016]|0;b[d+4>>0]=b[401017]|0;b[d+5>>0]=0;j=qHa(a,d,i,-1,-1,-1)|0;if((b[e>>0]|0)<0)fuc(f[d>>2]|0);e=d+4|0;f[e>>2]=0;f[e+4>>2]=0;e=d+11|0;b[e>>0]=3;b[d>>0]=b[399475]|0;b[d+1>>0]=b[399476]|0;b[d+2>>0]=b[399477]|0;b[d+3>>0]=0;i=qHa(a,d,j,q,-1,-1)|0;if((b[e>>0]|0)<0)fuc(f[d>>2]|0);e=d+4|0;f[e>>2]=0;f[e+4>>2]=0;e=d+11|0;b[e>>0]=3;b[d>>0]=b[399475]|0;b[d+1>>0]=b[399476]|0;b[d+2>>0]=b[399477]|0;b[d+3>>0]=0;j=qHa(a,d,k,i,-1,-1)|0;if((b[e>>0]|0)<0)fuc(f[d>>2]|0);e=d+4|0;f[e>>2]=0;f[e+4>>2]=0;e=d+11|0;b[e>>0]=3;b[d>>0]=b[399475]|0;b[d+1>>0]=b[399476]|0;b[d+2>>0]=b[399477]|0;b[d+3>>0]=0;r=qHa(a,d,o,i,-1,-1)|0;if((b[e>>0]|0)<0)fuc(f[d>>2]|0);e=d+4|0;f[e>>2]=0;f[e+4>>2]=0;e=d+11|0;b[e>>0]=3;b[d>>0]=b[401783]|0;b[d+1>>0]=b[401784]|0;b[d+2>>0]=b[401785]|0;b[d+3>>0]=0;i=qHa(a,d,p,r,-1,-1)|0;if((b[e>>0]|0)<0)fuc(f[d>>2]|0);e=d+4|0;f[e>>2]=0;f[e+4>>2]=0;e=d+11|0;b[e>>0]=3;b[d>>0]=b[400694]|0;b[d+1>>0]=b[400695]|0;b[d+2>>0]=b[400696]|0;b[d+3>>0]=0;qHa(a,d,j,i,-1,-1)|0;if((b[e>>0]|0)<0)fuc(f[d>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;e=cuc(16)|0;f[d>>2]=e;f[d+8>>2]=-2147483632;f[d+4>>2]=14;g=e;i=402533;h=g+14|0;do{b[g>>0]=b[i>>0]|0;g=g+1|0;i=i+1|0}while((g|0)<(h|0));b[e+14>>0]=0;rHa(a,d,k,q,p,o,n,m);if((b[d+11>>0]|0)>=0){u=c;return}fuc(f[d>>2]|0);u=c;return}function XGa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;f[a>>2]=111604;c=f[a+52>>2]|0;if(c|0){d=a+56|0;e=f[d>>2]|0;if((e|0)!=(c|0))f[d>>2]=e+(~((e+-4-c|0)>>>2)<<2);fuc(c)}c=f[a+40>>2]|0;if(c|0){e=a+44|0;d=f[e>>2]|0;if((d|0)!=(c|0))f[e>>2]=d+(~((d+-4-c|0)>>>2)<<2);fuc(c)}c=a+28|0;if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);c=a+16|0;d=f[c>>2]|0;if(d|0){e=a+20|0;g=f[e>>2]|0;if((g|0)==(d|0))h=d;else{i=g;while(1){g=i+-12|0;f[e>>2]=g;j=f[g>>2]|0;if(!j)k=g;else{g=i+-8|0;l=f[g>>2]|0;if((l|0)!=(j|0))f[g>>2]=l+(~((l+-4-j|0)>>>2)<<2);fuc(j);k=f[e>>2]|0}if((k|0)==(d|0))break;else i=k}h=f[c>>2]|0}fuc(h)}h=a+4|0;c=f[h>>2]|0;if(!c)return;k=a+8|0;a=f[k>>2]|0;if((a|0)==(c|0))m=c;else{i=a;while(1){a=i+-12|0;f[k>>2]=a;if((b[a+11>>0]|0)<0){fuc(f[a>>2]|0);n=f[k>>2]|0}else n=a;if((n|0)==(c|0))break;else i=n}m=f[h>>2]|0}fuc(m);return}function YGa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;c=a+4|0;d=f[c>>2]|0;e=f[a>>2]|0;g=d-e>>3;h=g+1|0;i=e;j=d;if(h>>>0>536870911)nsc(a);d=a+8|0;k=(f[d>>2]|0)-e|0;l=k>>2;m=k>>3>>>0<268435455?(l>>>0<h>>>0?h:l):536870911;do if(m)if(m>>>0>536870911){l=ze(8)|0;kuc(l,519086);f[l>>2]=167148;Hf(l|0,26888,1888)}else{n=cuc(m<<3)|0;break}else n=0;while(0);l=n+(g<<3)|0;h=l;k=n+(m<<3)|0;f[l>>2]=f[b>>2];m=b+4|0;f[n+(g<<3)+4>>2]=f[m>>2];f[b>>2]=0;f[m>>2]=0;m=l+8|0;if((j|0)==(i|0)){o=h;p=e}else{e=j;j=h;h=l;do{l=e;e=e+-8|0;f[h+-8>>2]=f[e>>2];b=l+-4|0;f[h+-4>>2]=f[b>>2];f[e>>2]=0;f[b>>2]=0;h=j+-8|0;j=h}while((e|0)!=(i|0));o=j;p=f[a>>2]|0}f[a>>2]=o;o=f[c>>2]|0;f[c>>2]=m;f[d>>2]=k;k=p;if((o|0)!=(k|0)){d=o;do{o=f[d+-4>>2]|0;d=d+-8|0;if(o|0)Xtc(o)}while((d|0)!=(k|0))}if(!p)return;fuc(p);return}function ZGa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;c=u;u=u+32|0;d=c+12|0;e=c;g=a+4|0;h=g+60|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));f[a>>2]=111532;i=e+11|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[d>>2]=0;j=d+4|0;f[j>>2]=0;f[d+8>>2]=0;k=pHa(a,e,d)|0;l=f[d>>2]|0;if(l|0){m=f[j>>2]|0;if((m|0)!=(l|0))f[j>>2]=m+(~((m+-4-l|0)>>>2)<<2);fuc(l)}if((b[i>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;i=e+11|0;b[i>>0]=5;b[e>>0]=b[399120]|0;b[e+1>>0]=b[399121]|0;b[e+2>>0]=b[399122]|0;b[e+3>>0]=b[399123]|0;b[e+4>>0]=b[399124]|0;b[e+5>>0]=0;f[d>>2]=0;l=d+4|0;f[l>>2]=0;f[d+8>>2]=0;m=pHa(a,e,d)|0;j=f[d>>2]|0;if(j|0){n=f[l>>2]|0;if((n|0)!=(j|0))f[l>>2]=n+(~((n+-4-j|0)>>>2)<<2);fuc(j)}if((b[i>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;i=e+11|0;b[i>>0]=5;b[e>>0]=b[399120]|0;b[e+1>>0]=b[399121]|0;b[e+2>>0]=b[399122]|0;b[e+3>>0]=b[399123]|0;b[e+4>>0]=b[399124]|0;b[e+5>>0]=0;f[d>>2]=0;j=d+4|0;f[j>>2]=0;f[d+8>>2]=0;n=pHa(a,e,d)|0;l=f[d>>2]|0;if(l|0){o=f[j>>2]|0;if((o|0)!=(l|0))f[j>>2]=o+(~((o+-4-l|0)>>>2)<<2);fuc(l)}if((b[i>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;i=e+11|0;b[i>>0]=5;b[e>>0]=b[399120]|0;b[e+1>>0]=b[399121]|0;b[e+2>>0]=b[399122]|0;b[e+3>>0]=b[399123]|0;b[e+4>>0]=b[399124]|0;b[e+5>>0]=0;f[d>>2]=0;l=d+4|0;f[l>>2]=0;f[d+8>>2]=0;o=pHa(a,e,d)|0;j=f[d>>2]|0;if(j|0){p=f[l>>2]|0;if((p|0)!=(j|0))f[l>>2]=p+(~((p+-4-j|0)>>>2)<<2);fuc(j)}if((b[i>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;i=e+11|0;b[i>>0]=5;b[e>>0]=b[399120]|0;b[e+1>>0]=b[399121]|0;b[e+2>>0]=b[399122]|0;b[e+3>>0]=b[399123]|0;b[e+4>>0]=b[399124]|0;b[e+5>>0]=0;f[d>>2]=0;j=d+4|0;f[j>>2]=0;f[d+8>>2]=0;p=pHa(a,e,d)|0;l=f[d>>2]|0;if(l|0){q=f[j>>2]|0;if((q|0)!=(l|0))f[j>>2]=q+(~((q+-4-l|0)>>>2)<<2);fuc(l)}if((b[i>>0]|0)<0)fuc(f[e>>2]|0);e=d+4|0;f[e>>2]=0;f[e+4>>2]=0;e=d+11|0;b[e>>0]=3;b[d>>0]=b[400694]|0;b[d+1>>0]=b[400695]|0;b[d+2>>0]=b[400696]|0;b[d+3>>0]=0;i=qHa(a,d,n,m,-1,-1)|0;if((b[e>>0]|0)<0)fuc(f[d>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;e=d+11|0;b[e>>0]=5;b[d>>0]=b[401013]|0;b[d+1>>0]=b[401014]|0;b[d+2>>0]=b[401015]|0;b[d+3>>0]=b[401016]|0;b[d+4>>0]=b[401017]|0;b[d+5>>0]=0;l=qHa(a,d,i,-1,-1,-1)|0;if((b[e>>0]|0)<0)fuc(f[d>>2]|0);e=d+4|0;f[e>>2]=0;f[e+4>>2]=0;e=d+11|0;b[e>>0]=3;b[d>>0]=b[399475]|0;b[d+1>>0]=b[399476]|0;b[d+2>>0]=b[399477]|0;b[d+3>>0]=0;i=qHa(a,d,k,l,-1,-1)|0;if((b[e>>0]|0)<0)fuc(f[d>>2]|0);e=d+4|0;f[e>>2]=0;f[e+4>>2]=0;e=d+11|0;b[e>>0]=3;b[d>>0]=b[399475]|0;b[d+1>>0]=b[399476]|0;b[d+2>>0]=b[399477]|0;b[d+3>>0]=0;q=qHa(a,d,o,l,-1,-1)|0;if((b[e>>0]|0)<0)fuc(f[d>>2]|0);e=d+4|0;f[e>>2]=0;f[e+4>>2]=0;e=d+11|0;b[e>>0]=3;b[d>>0]=b[401783]|0;b[d+1>>0]=b[401784]|0;b[d+2>>0]=b[401785]|0;b[d+3>>0]=0;l=qHa(a,d,p,q,-1,-1)|0;if((b[e>>0]|0)<0)fuc(f[d>>2]|0);e=d+4|0;f[e>>2]=0;f[e+4>>2]=0;e=d+11|0;b[e>>0]=3;b[d>>0]=b[400694]|0;b[d+1>>0]=b[400695]|0;b[d+2>>0]=b[400696]|0;b[d+3>>0]=0;qHa(a,d,i,l,-1,-1)|0;if((b[e>>0]|0)<0)fuc(f[d>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;e=cuc(16)|0;f[d>>2]=e;f[d+8>>2]=-2147483632;f[d+4>>2]=14;g=e;l=402533;h=g+14|0;do{b[g>>0]=b[l>>0]|0;g=g+1|0;l=l+1|0}while((g|0)<(h|0));b[e+14>>0]=0;rHa(a,d,k,p,p,o,n,m);if((b[d+11>>0]|0)>=0){u=c;return}fuc(f[d>>2]|0);u=c;return}function _Ga(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;c=u;u=u+32|0;d=c+12|0;e=c;g=a+4|0;h=g+60|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));f[a>>2]=111516;i=e+11|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[d>>2]=0;j=d+4|0;f[j>>2]=0;f[d+8>>2]=0;k=pHa(a,e,d)|0;l=f[d>>2]|0;if(l|0){m=f[j>>2]|0;if((m|0)!=(l|0))f[j>>2]=m+(~((m+-4-l|0)>>>2)<<2);fuc(l)}if((b[i>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;i=e+11|0;b[i>>0]=5;b[e>>0]=b[399120]|0;b[e+1>>0]=b[399121]|0;b[e+2>>0]=b[399122]|0;b[e+3>>0]=b[399123]|0;b[e+4>>0]=b[399124]|0;b[e+5>>0]=0;f[d>>2]=0;l=d+4|0;f[l>>2]=0;f[d+8>>2]=0;m=pHa(a,e,d)|0;j=f[d>>2]|0;if(j|0){n=f[l>>2]|0;if((n|0)!=(j|0))f[l>>2]=n+(~((n+-4-j|0)>>>2)<<2);fuc(j)}if((b[i>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;i=e+11|0;b[i>>0]=5;b[e>>0]=b[399120]|0;b[e+1>>0]=b[399121]|0;b[e+2>>0]=b[399122]|0;b[e+3>>0]=b[399123]|0;b[e+4>>0]=b[399124]|0;b[e+5>>0]=0;f[d>>2]=0;j=d+4|0;f[j>>2]=0;f[d+8>>2]=0;n=pHa(a,e,d)|0;l=f[d>>2]|0;if(l|0){o=f[j>>2]|0;if((o|0)!=(l|0))f[j>>2]=o+(~((o+-4-l|0)>>>2)<<2);fuc(l)}if((b[i>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;i=e+11|0;b[i>>0]=5;b[e>>0]=b[399120]|0;b[e+1>>0]=b[399121]|0;b[e+2>>0]=b[399122]|0;b[e+3>>0]=b[399123]|0;b[e+4>>0]=b[399124]|0;b[e+5>>0]=0;f[d>>2]=0;l=d+4|0;f[l>>2]=0;f[d+8>>2]=0;o=pHa(a,e,d)|0;j=f[d>>2]|0;if(j|0){p=f[l>>2]|0;if((p|0)!=(j|0))f[l>>2]=p+(~((p+-4-j|0)>>>2)<<2);fuc(j)}if((b[i>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;i=e+11|0;b[i>>0]=5;b[e>>0]=b[399120]|0;b[e+1>>0]=b[399121]|0;b[e+2>>0]=b[399122]|0;b[e+3>>0]=b[399123]|0;b[e+4>>0]=b[399124]|0;b[e+5>>0]=0;f[d>>2]=0;j=d+4|0;f[j>>2]=0;f[d+8>>2]=0;p=pHa(a,e,d)|0;l=f[d>>2]|0;if(l|0){q=f[j>>2]|0;if((q|0)!=(l|0))f[j>>2]=q+(~((q+-4-l|0)>>>2)<<2);fuc(l)}if((b[i>>0]|0)<0)fuc(f[e>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;i=cuc(16)|0;f[d>>2]=i;f[d+8>>2]=-2147483632;f[d+4>>2]=12;g=i;l=399462;h=g+12|0;do{b[g>>0]=b[l>>0]|0;g=g+1|0;l=l+1|0}while((g|0)<(h|0));b[i+12>>0]=0;i=qHa(a,d,m,n,o,p)|0;if((b[d+11>>0]|0)<0)fuc(f[d>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;p=e+11|0;b[p>>0]=5;b[e>>0]=b[399120]|0;b[e+1>>0]=b[399121]|0;b[e+2>>0]=b[399122]|0;b[e+3>>0]=b[399123]|0;b[e+4>>0]=b[399124]|0;b[e+5>>0]=0;f[d>>2]=0;o=d+4|0;f[o>>2]=0;f[d+8>>2]=0;n=pHa(a,e,d)|0;m=f[d>>2]|0;if(m|0){l=f[o>>2]|0;if((l|0)!=(m|0))f[o>>2]=l+(~((l+-4-m|0)>>>2)<<2);fuc(m)}if((b[p>>0]|0)<0)fuc(f[e>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;e=d+11|0;b[e>>0]=4;f[d>>2]=1801675088;b[d+4>>0]=0;p=qHa(a,d,i,n,-1,-1)|0;if((b[e>>0]|0)<0)fuc(f[d>>2]|0);f[d+8>>2]=0;e=d+11|0;b[e>>0]=7;b[d>>0]=b[415783]|0;b[d+1>>0]=b[415784]|0;b[d+2>>0]=b[415785]|0;b[d+3>>0]=b[415786]|0;b[d+4>>0]=b[415787]|0;b[d+5>>0]=b[415788]|0;b[d+6>>0]=b[415789]|0;b[d+7>>0]=0;qHa(a,d,k,p,-1,-1)|0;if((b[e>>0]|0)<0)fuc(f[d>>2]|0);f[d+8>>2]=0;e=d+11|0;b[e>>0]=7;b[d>>0]=b[415791]|0;b[d+1>>0]=b[415792]|0;b[d+2>>0]=b[415793]|0;b[d+3>>0]=b[415794]|0;b[d+4>>0]=b[415795]|0;b[d+5>>0]=b[415796]|0;b[d+6>>0]=b[415797]|0;b[d+7>>0]=0;rHa(a,d,k,-1,-1,-1,-1,-1);if((b[e>>0]|0)>=0){u=c;return}fuc(f[d>>2]|0);u=c;return}function $Ga(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;c=u;u=u+32|0;d=c+12|0;e=c;g=a+4|0;h=g+60|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));f[a>>2]=111500;i=e+11|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[d>>2]=0;j=d+4|0;f[j>>2]=0;f[d+8>>2]=0;k=pHa(a,e,d)|0;l=f[d>>2]|0;if(l|0){m=f[j>>2]|0;if((m|0)!=(l|0))f[j>>2]=m+(~((m+-4-l|0)>>>2)<<2);fuc(l)}if((b[i>>0]|0)<0)fuc(f[e>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;i=d+11|0;b[i>>0]=5;b[d>>0]=b[399067]|0;b[d+1>>0]=b[399068]|0;b[d+2>>0]=b[399069]|0;b[d+3>>0]=b[399070]|0;b[d+4>>0]=b[399071]|0;b[d+5>>0]=0;l=qHa(a,d,k,-1,-1,-1)|0;if((b[i>>0]|0)<0)fuc(f[d>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;i=e+11|0;b[i>>0]=5;b[e>>0]=b[399120]|0;b[e+1>>0]=b[399121]|0;b[e+2>>0]=b[399122]|0;b[e+3>>0]=b[399123]|0;b[e+4>>0]=b[399124]|0;b[e+5>>0]=0;f[d>>2]=0;m=d+4|0;f[m>>2]=0;f[d+8>>2]=0;j=pHa(a,e,d)|0;n=f[d>>2]|0;if(n|0){o=f[m>>2]|0;if((o|0)!=(n|0))f[m>>2]=o+(~((o+-4-n|0)>>>2)<<2);fuc(n)}if((b[i>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;i=e+11|0;b[i>>0]=5;b[e>>0]=b[399120]|0;b[e+1>>0]=b[399121]|0;b[e+2>>0]=b[399122]|0;b[e+3>>0]=b[399123]|0;b[e+4>>0]=b[399124]|0;b[e+5>>0]=0;f[d>>2]=0;n=d+4|0;f[n>>2]=0;f[d+8>>2]=0;o=pHa(a,e,d)|0;m=f[d>>2]|0;if(m|0){p=f[n>>2]|0;if((p|0)!=(m|0))f[n>>2]=p+(~((p+-4-m|0)>>>2)<<2);fuc(m)}if((b[i>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;i=e+11|0;b[i>>0]=5;b[e>>0]=b[399120]|0;b[e+1>>0]=b[399121]|0;b[e+2>>0]=b[399122]|0;b[e+3>>0]=b[399123]|0;b[e+4>>0]=b[399124]|0;b[e+5>>0]=0;f[d>>2]=0;m=d+4|0;f[m>>2]=0;f[d+8>>2]=0;p=pHa(a,e,d)|0;n=f[d>>2]|0;if(n|0){q=f[m>>2]|0;if((q|0)!=(n|0))f[m>>2]=q+(~((q+-4-n|0)>>>2)<<2);fuc(n)}if((b[i>>0]|0)<0)fuc(f[e>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;i=cuc(16)|0;f[d>>2]=i;f[d+8>>2]=-2147483632;f[d+4>>2]=12;g=i;n=399462;h=g+12|0;do{b[g>>0]=b[n>>0]|0;g=g+1|0;n=n+1|0}while((g|0)<(h|0));b[i+12>>0]=0;i=qHa(a,d,l,j,o,p)|0;if((b[d+11>>0]|0)<0)fuc(f[d>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;p=e+11|0;b[p>>0]=5;b[e>>0]=b[399120]|0;b[e+1>>0]=b[399121]|0;b[e+2>>0]=b[399122]|0;b[e+3>>0]=b[399123]|0;b[e+4>>0]=b[399124]|0;b[e+5>>0]=0;f[d>>2]=0;o=d+4|0;f[o>>2]=0;f[d+8>>2]=0;j=pHa(a,e,d)|0;l=f[d>>2]|0;if(l|0){n=f[o>>2]|0;if((n|0)!=(l|0))f[o>>2]=n+(~((n+-4-l|0)>>>2)<<2);fuc(l)}if((b[p>>0]|0)<0)fuc(f[e>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;e=d+11|0;b[e>>0]=4;f[d>>2]=1801675088;b[d+4>>0]=0;p=qHa(a,d,i,j,-1,-1)|0;if((b[e>>0]|0)<0)fuc(f[d>>2]|0);f[d+8>>2]=0;e=d+11|0;b[e>>0]=7;b[d>>0]=b[415783]|0;b[d+1>>0]=b[415784]|0;b[d+2>>0]=b[415785]|0;b[d+3>>0]=b[415786]|0;b[d+4>>0]=b[415787]|0;b[d+5>>0]=b[415788]|0;b[d+6>>0]=b[415789]|0;b[d+7>>0]=0;qHa(a,d,k,p,-1,-1)|0;if((b[e>>0]|0)<0)fuc(f[d>>2]|0);f[d+8>>2]=0;e=d+11|0;b[e>>0]=7;b[d>>0]=b[415791]|0;b[d+1>>0]=b[415792]|0;b[d+2>>0]=b[415793]|0;b[d+3>>0]=b[415794]|0;b[d+4>>0]=b[415795]|0;b[d+5>>0]=b[415796]|0;b[d+6>>0]=b[415797]|0;b[d+7>>0]=0;rHa(a,d,k,-1,-1,-1,-1,-1);if((b[e>>0]|0)>=0){u=c;return}fuc(f[d>>2]|0);u=c;return}function aHa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=u;u=u+32|0;d=c+12|0;e=c;g=a+4|0;h=g+60|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));f[a>>2]=111484;g=e+11|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[d>>2]=0;h=d+4|0;f[h>>2]=0;f[d+8>>2]=0;i=pHa(a,e,d)|0;j=f[d>>2]|0;if(j|0){k=f[h>>2]|0;if((k|0)!=(j|0))f[h>>2]=k+(~((k+-4-j|0)>>>2)<<2);fuc(j)}if((b[g>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;g=e+11|0;b[g>>0]=5;b[e>>0]=b[399120]|0;b[e+1>>0]=b[399121]|0;b[e+2>>0]=b[399122]|0;b[e+3>>0]=b[399123]|0;b[e+4>>0]=b[399124]|0;b[e+5>>0]=0;f[d>>2]=0;j=d+4|0;f[j>>2]=0;f[d+8>>2]=0;k=pHa(a,e,d)|0;h=f[d>>2]|0;if(h|0){l=f[j>>2]|0;if((l|0)!=(h|0))f[j>>2]=l+(~((l+-4-h|0)>>>2)<<2);fuc(h)}if((b[g>>0]|0)<0)fuc(f[e>>2]|0);g=d+4|0;f[g>>2]=0;f[g+4>>2]=0;g=d+11|0;b[g>>0]=3;b[d>>0]=b[401779]|0;b[d+1>>0]=b[401780]|0;b[d+2>>0]=b[401781]|0;b[d+3>>0]=0;h=qHa(a,d,i,k,-1,-1)|0;if((b[g>>0]|0)<0)fuc(f[d>>2]|0);g=d+4|0;f[g>>2]=0;f[g+4>>2]=0;g=d+11|0;b[g>>0]=3;b[d>>0]=b[401783]|0;b[d+1>>0]=b[401784]|0;b[d+2>>0]=b[401785]|0;b[d+3>>0]=0;k=qHa(a,d,i,h,-1,-1)|0;if((b[g>>0]|0)<0)fuc(f[d>>2]|0);g=d+4|0;f[g>>2]=0;f[g+4>>2]=0;g=d+11|0;b[g>>0]=3;b[d>>0]=b[401787]|0;b[d+1>>0]=b[401788]|0;b[d+2>>0]=b[401789]|0;b[d+3>>0]=0;h=qHa(a,d,k,-1,-1,-1)|0;if((b[g>>0]|0)<0)fuc(f[d>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;g=e+11|0;b[g>>0]=5;b[e>>0]=b[399120]|0;b[e+1>>0]=b[399121]|0;b[e+2>>0]=b[399122]|0;b[e+3>>0]=b[399123]|0;b[e+4>>0]=b[399124]|0;b[e+5>>0]=0;f[d>>2]=0;k=d+4|0;f[k>>2]=0;f[d+8>>2]=0;l=pHa(a,e,d)|0;j=f[d>>2]|0;if(j|0){m=f[k>>2]|0;if((m|0)!=(j|0))f[k>>2]=m+(~((m+-4-j|0)>>>2)<<2);fuc(j)}if((b[g>>0]|0)<0)fuc(f[e>>2]|0);e=d+4|0;f[e>>2]=0;f[e+4>>2]=0;e=d+11|0;b[e>>0]=3;b[d>>0]=b[401001]|0;b[d+1>>0]=b[401002]|0;b[d+2>>0]=b[401003]|0;b[d+3>>0]=0;g=qHa(a,d,h,l,-1,-1)|0;if((b[e>>0]|0)<0)fuc(f[d>>2]|0);f[d+8>>2]=0;e=d+11|0;b[e>>0]=7;b[d>>0]=b[401791]|0;b[d+1>>0]=b[401792]|0;b[d+2>>0]=b[401793]|0;b[d+3>>0]=b[401794]|0;b[d+4>>0]=b[401795]|0;b[d+5>>0]=b[401796]|0;b[d+6>>0]=b[401797]|0;b[d+7>>0]=0;qHa(a,d,h,g,-1,-1)|0;if((b[e>>0]|0)<0)fuc(f[d>>2]|0);f[d+8>>2]=0;e=d+11|0;b[e>>0]=7;b[d>>0]=b[445381]|0;b[d+1>>0]=b[445382]|0;b[d+2>>0]=b[445383]|0;b[d+3>>0]=b[445384]|0;b[d+4>>0]=b[445385]|0;b[d+5>>0]=b[445386]|0;b[d+6>>0]=b[445387]|0;b[d+7>>0]=0;rHa(a,d,i,-1,-1,-1,-1,-1);if((b[e>>0]|0)>=0){u=c;return}fuc(f[d>>2]|0);u=c;return}function bHa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;c=u;u=u+32|0;d=c+12|0;e=c;g=a+4|0;h=g+60|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));f[a>>2]=111468;g=e+11|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[d>>2]=0;h=d+4|0;f[h>>2]=0;f[d+8>>2]=0;i=pHa(a,e,d)|0;j=f[d>>2]|0;if(j|0){k=f[h>>2]|0;if((k|0)!=(j|0))f[h>>2]=k+(~((k+-4-j|0)>>>2)<<2);fuc(j)}if((b[g>>0]|0)<0)fuc(f[e>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;g=d+11|0;b[g>>0]=4;f[d>>2]=1970038098;b[d+4>>0]=0;j=qHa(a,d,i,-1,-1,-1)|0;if((b[g>>0]|0)<0)fuc(f[d>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;g=e+11|0;b[g>>0]=5;b[e>>0]=b[399120]|0;b[e+1>>0]=b[399121]|0;b[e+2>>0]=b[399122]|0;b[e+3>>0]=b[399123]|0;b[e+4>>0]=b[399124]|0;b[e+5>>0]=0;f[d>>2]=0;k=d+4|0;f[k>>2]=0;f[d+8>>2]=0;h=pHa(a,e,d)|0;l=f[d>>2]|0;if(l|0){m=f[k>>2]|0;if((m|0)!=(l|0))f[k>>2]=m+(~((m+-4-l|0)>>>2)<<2);fuc(l)}if((b[g>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;g=e+11|0;b[g>>0]=5;b[e>>0]=b[399120]|0;b[e+1>>0]=b[399121]|0;b[e+2>>0]=b[399122]|0;b[e+3>>0]=b[399123]|0;b[e+4>>0]=b[399124]|0;b[e+5>>0]=0;f[d>>2]=0;l=d+4|0;f[l>>2]=0;f[d+8>>2]=0;m=pHa(a,e,d)|0;k=f[d>>2]|0;if(k|0){n=f[l>>2]|0;if((n|0)!=(k|0))f[l>>2]=n+(~((n+-4-k|0)>>>2)<<2);fuc(k)}if((b[g>>0]|0)<0)fuc(f[e>>2]|0);f[d+8>>2]=0;e=d+11|0;b[e>>0]=7;b[d>>0]=b[401520]|0;b[d+1>>0]=b[401521]|0;b[d+2>>0]=b[401522]|0;b[d+3>>0]=b[401523]|0;b[d+4>>0]=b[401524]|0;b[d+5>>0]=b[401525]|0;b[d+6>>0]=b[401526]|0;b[d+7>>0]=0;g=qHa(a,d,j,h,-1,-1)|0;if((b[e>>0]|0)<0)fuc(f[d>>2]|0);f[d+8>>2]=0;e=d+11|0;b[e>>0]=7;b[d>>0]=b[401005]|0;b[d+1>>0]=b[401006]|0;b[d+2>>0]=b[401007]|0;b[d+3>>0]=b[401008]|0;b[d+4>>0]=b[401009]|0;b[d+5>>0]=b[401010]|0;b[d+6>>0]=b[401011]|0;b[d+7>>0]=0;qHa(a,d,g,m,-1,-1)|0;if((b[e>>0]|0)<0)fuc(f[d>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;e=d+11|0;b[e>>0]=5;b[d>>0]=b[401528]|0;b[d+1>>0]=b[401529]|0;b[d+2>>0]=b[401530]|0;b[d+3>>0]=b[401531]|0;b[d+4>>0]=b[401532]|0;b[d+5>>0]=0;rHa(a,d,i,-1,-1,-1,-1,-1);if((b[e>>0]|0)>=0){u=c;return}fuc(f[d>>2]|0);u=c;return}function cHa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;d=u;u=u+48|0;e=d+24|0;g=d+12|0;h=d;i=a+4|0;j=i+60|0;do{f[i>>2]=0;i=i+4|0}while((i|0)<(j|0));f[a>>2]=111452;k=a+64|0;f[k>>2]=c;c=g+11|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[e>>2]=0;l=e+4|0;f[l>>2]=0;f[e+8>>2]=0;m=pHa(a,g,e)|0;n=f[e>>2]|0;if(n|0){o=f[l>>2]|0;if((o|0)!=(n|0))f[l>>2]=o+(~((o+-4-n|0)>>>2)<<2);fuc(n)}if((b[c>>0]|0)<0)fuc(f[g>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;c=e+11|0;b[c>>0]=5;b[e>>0]=b[399067]|0;b[e+1>>0]=b[399068]|0;b[e+2>>0]=b[399069]|0;b[e+3>>0]=b[399070]|0;b[e+4>>0]=b[399071]|0;b[e+5>>0]=0;n=qHa(a,e,m,-1,-1,-1)|0;if((b[c>>0]|0)<0)fuc(f[e>>2]|0);f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;c=g+11|0;b[c>>0]=5;b[g>>0]=b[399120]|0;b[g+1>>0]=b[399121]|0;b[g+2>>0]=b[399122]|0;b[g+3>>0]=b[399123]|0;b[g+4>>0]=b[399124]|0;b[g+5>>0]=0;f[e>>2]=0;o=e+4|0;f[o>>2]=0;f[e+8>>2]=0;l=pHa(a,g,e)|0;p=f[e>>2]|0;if(p|0){q=f[o>>2]|0;if((q|0)!=(p|0))f[o>>2]=q+(~((q+-4-p|0)>>>2)<<2);fuc(p)}if((b[c>>0]|0)<0)fuc(f[g>>2]|0);f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;c=g+11|0;b[c>>0]=5;b[g>>0]=b[399120]|0;b[g+1>>0]=b[399121]|0;b[g+2>>0]=b[399122]|0;b[g+3>>0]=b[399123]|0;b[g+4>>0]=b[399124]|0;b[g+5>>0]=0;f[e>>2]=0;p=e+4|0;f[p>>2]=0;f[e+8>>2]=0;q=pHa(a,g,e)|0;o=f[e>>2]|0;if(o|0){r=f[p>>2]|0;if((r|0)!=(o|0))f[p>>2]=r+(~((r+-4-o|0)>>>2)<<2);fuc(o)}if((b[c>>0]|0)<0)fuc(f[g>>2]|0);f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;c=g+11|0;b[c>>0]=5;b[g>>0]=b[399120]|0;b[g+1>>0]=b[399121]|0;b[g+2>>0]=b[399122]|0;b[g+3>>0]=b[399123]|0;b[g+4>>0]=b[399124]|0;b[g+5>>0]=0;f[e>>2]=0;o=e+4|0;f[o>>2]=0;f[e+8>>2]=0;r=pHa(a,g,e)|0;p=f[e>>2]|0;if(p|0){s=f[o>>2]|0;if((s|0)!=(p|0))f[o>>2]=s+(~((s+-4-p|0)>>>2)<<2);fuc(p)}if((b[c>>0]|0)<0)fuc(f[g>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;c=cuc(16)|0;f[e>>2]=c;f[e+8>>2]=-2147483632;f[e+4>>2]=12;i=c;p=399462;j=i+12|0;do{b[i>>0]=b[p>>0]|0;i=i+1|0;p=p+1|0}while((i|0)<(j|0));b[c+12>>0]=0;c=qHa(a,e,n,l,q,r)|0;if((b[e+11>>0]|0)<0)fuc(f[e>>2]|0);r=(f[k>>2]|0)+1|0;f[g>>2]=0;q=g+4|0;f[q>>2]=0;f[g+8>>2]=0;if(r>>>0>1073741823)nsc(g);l=r<<2;n=cuc(l)|0;f[g>>2]=n;p=n+(r<<2)|0;f[g+8>>2]=p;kzc(n|0,0,l|0)|0;f[q>>2]=p;f[n>>2]=c;if((f[k>>2]|0)>0){c=h+11|0;n=h+5|0;p=e+4|0;l=e+8|0;r=0;do{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;b[c>>0]=5;b[h>>0]=b[399120]|0;b[h+1>>0]=b[399121]|0;b[h+2>>0]=b[399122]|0;b[h+3>>0]=b[399123]|0;b[h+4>>0]=b[399124]|0;b[n>>0]=0;f[e>>2]=0;f[p>>2]=0;f[l>>2]=0;i=pHa(a,h,e)|0;j=f[e>>2]|0;if(j|0){s=f[p>>2]|0;if((s|0)!=(j|0))f[p>>2]=s+(~((s+-4-j|0)>>>2)<<2);fuc(j)}r=r+1|0;f[(f[g>>2]|0)+(r<<2)>>2]=i;if((b[c>>0]|0)<0)fuc(f[h>>2]|0)}while((r|0)<(f[k>>2]|0))};f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;k=e+11|0;b[k>>0]=4;f[e>>2]=1801675088;b[e+4>>0]=0;r=pHa(a,e,g)|0;if((b[k>>0]|0)<0)fuc(f[e>>2]|0);f[e+8>>2]=0;k=e+11|0;b[k>>0]=7;b[e>>0]=b[415783]|0;b[e+1>>0]=b[415784]|0;b[e+2>>0]=b[415785]|0;b[e+3>>0]=b[415786]|0;b[e+4>>0]=b[415787]|0;b[e+5>>0]=b[415788]|0;b[e+6>>0]=b[415789]|0;b[e+7>>0]=0;qHa(a,e,m,r,-1,-1)|0;if((b[k>>0]|0)<0)fuc(f[e>>2]|0);f[f[g>>2]>>2]=m;f[e+8>>2]=0;m=e+11|0;b[m>>0]=7;b[e>>0]=b[415783]|0;b[e+1>>0]=b[415784]|0;b[e+2>>0]=b[415785]|0;b[e+3>>0]=b[415786]|0;b[e+4>>0]=b[415787]|0;b[e+5>>0]=b[415788]|0;b[e+6>>0]=b[415789]|0;b[e+7>>0]=0;sHa(a,e,g);if((b[m>>0]|0)<0)fuc(f[e>>2]|0);e=f[g>>2]|0;if(!e){u=d;return}g=f[q>>2]|0;if((g|0)!=(e|0))f[q>>2]=g+(~((g+-4-e|0)>>>2)<<2);fuc(e);u=d;return}function dHa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;c=u;u=u+32|0;d=c+12|0;e=c;g=a+4|0;h=g+60|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));f[a>>2]=111436;i=e+11|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[d>>2]=0;j=d+4|0;f[j>>2]=0;f[d+8>>2]=0;k=pHa(a,e,d)|0;l=f[d>>2]|0;if(l|0){m=f[j>>2]|0;if((m|0)!=(l|0))f[j>>2]=m+(~((m+-4-l|0)>>>2)<<2);fuc(l)}if((b[i>>0]|0)<0)fuc(f[e>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;i=d+11|0;b[i>>0]=6;b[d>>0]=b[404957]|0;b[d+1>>0]=b[404958]|0;b[d+2>>0]=b[404959]|0;b[d+3>>0]=b[404960]|0;b[d+4>>0]=b[404961]|0;b[d+5>>0]=b[404962]|0;b[d+6>>0]=0;l=qHa(a,d,k,-1,-1,-1)|0;if((b[i>>0]|0)<0)fuc(f[d>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;i=e+11|0;b[i>>0]=5;b[e>>0]=b[399120]|0;b[e+1>>0]=b[399121]|0;b[e+2>>0]=b[399122]|0;b[e+3>>0]=b[399123]|0;b[e+4>>0]=b[399124]|0;b[e+5>>0]=0;f[d>>2]=0;m=d+4|0;f[m>>2]=0;f[d+8>>2]=0;j=pHa(a,e,d)|0;n=f[d>>2]|0;if(n|0){o=f[m>>2]|0;if((o|0)!=(n|0))f[m>>2]=o+(~((o+-4-n|0)>>>2)<<2);fuc(n)}if((b[i>>0]|0)<0)fuc(f[e>>2]|0);i=d+4|0;f[i>>2]=0;f[i+4>>2]=0;i=d+11|0;b[i>>0]=3;b[d>>0]=b[401001]|0;b[d+1>>0]=b[401002]|0;b[d+2>>0]=b[401003]|0;b[d+3>>0]=0;n=qHa(a,d,l,j,-1,-1)|0;if((b[i>>0]|0)<0)fuc(f[d>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;i=e+11|0;b[i>>0]=5;b[e>>0]=b[399120]|0;b[e+1>>0]=b[399121]|0;b[e+2>>0]=b[399122]|0;b[e+3>>0]=b[399123]|0;b[e+4>>0]=b[399124]|0;b[e+5>>0]=0;f[d>>2]=0;l=d+4|0;f[l>>2]=0;f[d+8>>2]=0;o=pHa(a,e,d)|0;m=f[d>>2]|0;if(m|0){p=f[l>>2]|0;if((p|0)!=(m|0))f[l>>2]=p+(~((p+-4-m|0)>>>2)<<2);fuc(m)}if((b[i>>0]|0)<0)fuc(f[e>>2]|0);f[d+8>>2]=0;e=d+11|0;b[e>>0]=7;b[d>>0]=b[401005]|0;b[d+1>>0]=b[401006]|0;b[d+2>>0]=b[401007]|0;b[d+3>>0]=b[401008]|0;b[d+4>>0]=b[401009]|0;b[d+5>>0]=b[401010]|0;b[d+6>>0]=b[401011]|0;b[d+7>>0]=0;i=qHa(a,d,n,o,-1,-1)|0;if((b[e>>0]|0)<0)fuc(f[d>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;e=d+11|0;b[e>>0]=5;b[d>>0]=b[401013]|0;b[d+1>>0]=b[401014]|0;b[d+2>>0]=b[401015]|0;b[d+3>>0]=b[401016]|0;b[d+4>>0]=b[401017]|0;b[d+5>>0]=0;o=qHa(a,d,i,-1,-1,-1)|0;if((b[e>>0]|0)<0)fuc(f[d>>2]|0);e=d+4|0;f[e>>2]=0;f[e+4>>2]=0;e=d+11|0;b[e>>0]=3;b[d>>0]=b[399475]|0;b[d+1>>0]=b[399476]|0;b[d+2>>0]=b[399477]|0;b[d+3>>0]=0;qHa(a,d,k,o,-1,-1)|0;if((b[e>>0]|0)<0)fuc(f[d>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;e=cuc(16)|0;f[d>>2]=e;f[d+8>>2]=-2147483632;f[d+4>>2]=11;g=e;o=401019;h=g+11|0;do{b[g>>0]=b[o>>0]|0;g=g+1|0;o=o+1|0}while((g|0)<(h|0));b[e+11>>0]=0;rHa(a,d,k,j,-1,-1,-1,-1);if((b[d+11>>0]|0)>=0){u=c;return}fuc(f[d>>2]|0);u=c;return}function eHa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;c=u;u=u+48|0;d=c+24|0;e=c+12|0;g=c;h=a+4|0;i=h+60|0;do{f[h>>2]=0;h=h+4|0}while((h|0)<(i|0));f[a>>2]=111420;j=e+11|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[d>>2]=0;k=d+4|0;f[k>>2]=0;f[d+8>>2]=0;l=pHa(a,e,d)|0;m=f[d>>2]|0;if(m|0){n=f[k>>2]|0;if((n|0)!=(m|0))f[k>>2]=n+(~((n+-4-m|0)>>>2)<<2);fuc(m)}if((b[j>>0]|0)<0)fuc(f[e>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;j=d+11|0;b[j>>0]=5;b[d>>0]=b[399067]|0;b[d+1>>0]=b[399068]|0;b[d+2>>0]=b[399069]|0;b[d+3>>0]=b[399070]|0;b[d+4>>0]=b[399071]|0;b[d+5>>0]=0;m=qHa(a,d,l,-1,-1,-1)|0;if((b[j>>0]|0)<0)fuc(f[d>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;j=e+11|0;b[j>>0]=5;b[e>>0]=b[399120]|0;b[e+1>>0]=b[399121]|0;b[e+2>>0]=b[399122]|0;b[e+3>>0]=b[399123]|0;b[e+4>>0]=b[399124]|0;b[e+5>>0]=0;f[d>>2]=0;n=d+4|0;f[n>>2]=0;f[d+8>>2]=0;k=pHa(a,e,d)|0;o=f[d>>2]|0;if(o|0){p=f[n>>2]|0;if((p|0)!=(o|0))f[n>>2]=p+(~((p+-4-o|0)>>>2)<<2);fuc(o)}if((b[j>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;j=e+11|0;b[j>>0]=5;b[e>>0]=b[399120]|0;b[e+1>>0]=b[399121]|0;b[e+2>>0]=b[399122]|0;b[e+3>>0]=b[399123]|0;b[e+4>>0]=b[399124]|0;b[e+5>>0]=0;f[d>>2]=0;o=d+4|0;f[o>>2]=0;f[d+8>>2]=0;p=pHa(a,e,d)|0;n=f[d>>2]|0;if(n|0){q=f[o>>2]|0;if((q|0)!=(n|0))f[o>>2]=q+(~((q+-4-n|0)>>>2)<<2);fuc(n)}if((b[j>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;j=e+11|0;b[j>>0]=5;b[e>>0]=b[399120]|0;b[e+1>>0]=b[399121]|0;b[e+2>>0]=b[399122]|0;b[e+3>>0]=b[399123]|0;b[e+4>>0]=b[399124]|0;b[e+5>>0]=0;f[d>>2]=0;n=d+4|0;f[n>>2]=0;f[d+8>>2]=0;q=pHa(a,e,d)|0;o=f[d>>2]|0;if(o|0){r=f[n>>2]|0;if((r|0)!=(o|0))f[n>>2]=r+(~((r+-4-o|0)>>>2)<<2);fuc(o)}if((b[j>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;j=e+11|0;b[j>>0]=5;b[e>>0]=b[399120]|0;b[e+1>>0]=b[399121]|0;b[e+2>>0]=b[399122]|0;b[e+3>>0]=b[399123]|0;b[e+4>>0]=b[399124]|0;b[e+5>>0]=0;f[d>>2]=0;o=d+4|0;f[o>>2]=0;f[d+8>>2]=0;r=pHa(a,e,d)|0;n=f[d>>2]|0;if(n|0){s=f[o>>2]|0;if((s|0)!=(n|0))f[o>>2]=s+(~((s+-4-n|0)>>>2)<<2);fuc(n)}if((b[j>>0]|0)<0)fuc(f[e>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;j=cuc(16)|0;f[d>>2]=j;f[d+8>>2]=-2147483632;f[d+4>>2]=12;h=j;n=399462;i=h+12|0;do{b[h>>0]=b[n>>0]|0;h=h+1|0;n=n+1|0}while((h|0)<(i|0));b[j+12>>0]=0;j=qHa(a,d,m,p,q,r)|0;if((b[d+11>>0]|0)<0)fuc(f[d>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;r=e+11|0;b[r>>0]=5;b[e>>0]=b[399120]|0;b[e+1>>0]=b[399121]|0;b[e+2>>0]=b[399122]|0;b[e+3>>0]=b[399123]|0;b[e+4>>0]=b[399124]|0;b[e+5>>0]=0;f[d>>2]=0;q=d+4|0;f[q>>2]=0;f[d+8>>2]=0;p=pHa(a,e,d)|0;s=f[d>>2]|0;if(s|0){o=f[q>>2]|0;if((o|0)!=(s|0))f[q>>2]=o+(~((o+-4-s|0)>>>2)<<2);fuc(s)}if((b[r>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;r=e+11|0;b[r>>0]=5;b[e>>0]=b[399120]|0;b[e+1>>0]=b[399121]|0;b[e+2>>0]=b[399122]|0;b[e+3>>0]=b[399123]|0;b[e+4>>0]=b[399124]|0;b[e+5>>0]=0;f[d>>2]=0;s=d+4|0;f[s>>2]=0;f[d+8>>2]=0;o=pHa(a,e,d)|0;q=f[d>>2]|0;if(q|0){t=f[s>>2]|0;if((t|0)!=(q|0))f[s>>2]=t+(~((t+-4-q|0)>>>2)<<2);fuc(q)}if((b[r>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;r=e+11|0;b[r>>0]=5;b[e>>0]=b[399120]|0;b[e+1>>0]=b[399121]|0;b[e+2>>0]=b[399122]|0;b[e+3>>0]=b[399123]|0;b[e+4>>0]=b[399124]|0;b[e+5>>0]=0;f[d>>2]=0;q=d+4|0;f[q>>2]=0;f[d+8>>2]=0;t=pHa(a,e,d)|0;s=f[d>>2]|0;if(s|0){v=f[q>>2]|0;if((v|0)!=(s|0))f[q>>2]=v+(~((v+-4-s|0)>>>2)<<2);fuc(s)}if((b[r>>0]|0)<0)fuc(f[e>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;r=cuc(16)|0;f[d>>2]=r;f[d+8>>2]=-2147483632;f[d+4>>2]=12;h=r;n=399462;i=h+12|0;do{b[h>>0]=b[n>>0]|0;h=h+1|0;n=n+1|0}while((h|0)<(i|0));b[r+12>>0]=0;r=qHa(a,d,m,p,o,t)|0;if((b[d+11>>0]|0)<0)fuc(f[d>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;t=e+11|0;b[t>>0]=5;b[e>>0]=b[399120]|0;b[e+1>>0]=b[399121]|0;b[e+2>>0]=b[399122]|0;b[e+3>>0]=b[399123]|0;b[e+4>>0]=b[399124]|0;b[e+5>>0]=0;f[d>>2]=0;o=d+4|0;f[o>>2]=0;f[d+8>>2]=0;p=pHa(a,e,d)|0;s=f[d>>2]|0;if(s|0){v=f[o>>2]|0;if((v|0)!=(s|0))f[o>>2]=v+(~((v+-4-s|0)>>>2)<<2);fuc(s)}if((b[t>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;t=e+11|0;b[t>>0]=5;b[e>>0]=b[399120]|0;b[e+1>>0]=b[399121]|0;b[e+2>>0]=b[399122]|0;b[e+3>>0]=b[399123]|0;b[e+4>>0]=b[399124]|0;b[e+5>>0]=0;f[d>>2]=0;s=d+4|0;f[s>>2]=0;f[d+8>>2]=0;v=pHa(a,e,d)|0;o=f[d>>2]|0;if(o|0){q=f[s>>2]|0;if((q|0)!=(o|0))f[s>>2]=q+(~((q+-4-o|0)>>>2)<<2);fuc(o)}if((b[t>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;t=e+11|0;b[t>>0]=5;b[e>>0]=b[399120]|0;b[e+1>>0]=b[399121]|0;b[e+2>>0]=b[399122]|0;b[e+3>>0]=b[399123]|0;b[e+4>>0]=b[399124]|0;b[e+5>>0]=0;f[d>>2]=0;o=d+4|0;f[o>>2]=0;f[d+8>>2]=0;q=pHa(a,e,d)|0;s=f[d>>2]|0;if(s|0){w=f[o>>2]|0;if((w|0)!=(s|0))f[o>>2]=w+(~((w+-4-s|0)>>>2)<<2);fuc(s)}if((b[t>>0]|0)<0)fuc(f[e>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;t=cuc(16)|0;f[d>>2]=t;f[d+8>>2]=-2147483632;f[d+4>>2]=12;h=t;n=399462;i=h+12|0;do{b[h>>0]=b[n>>0]|0;h=h+1|0;n=n+1|0}while((h|0)<(i|0));b[t+12>>0]=0;t=qHa(a,d,m,p,v,q)|0;if((b[d+11>>0]|0)<0)fuc(f[d>>2]|0);q=e+4|0;f[q>>2]=0;f[q+4>>2]=0;q=e+11|0;b[q>>0]=3;b[e>>0]=b[399475]|0;b[e+1>>0]=b[399476]|0;b[e+2>>0]=b[399477]|0;b[e+3>>0]=0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;v=g+11|0;b[v>>0]=5;b[g>>0]=b[399120]|0;b[g+1>>0]=b[399121]|0;b[g+2>>0]=b[399122]|0;b[g+3>>0]=b[399123]|0;b[g+4>>0]=b[399124]|0;b[g+5>>0]=0;f[d>>2]=0;m=d+4|0;f[m>>2]=0;f[d+8>>2]=0;s=pHa(a,g,d)|0;w=f[d>>2]|0;if(w|0){o=f[m>>2]|0;if((o|0)!=(w|0))f[m>>2]=o+(~((o+-4-w|0)>>>2)<<2);fuc(w)}w=qHa(a,e,r,s,-1,-1)|0;if((b[v>>0]|0)<0)fuc(f[g>>2]|0);if((b[q>>0]|0)<0)fuc(f[e>>2]|0);q=e+4|0;f[q>>2]=0;f[q+4>>2]=0;q=e+11|0;b[q>>0]=3;b[e>>0]=b[400694]|0;b[e+1>>0]=b[400695]|0;b[e+2>>0]=b[400696]|0;b[e+3>>0]=0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;v=g+11|0;b[v>>0]=5;b[g>>0]=b[399120]|0;b[g+1>>0]=b[399121]|0;b[g+2>>0]=b[399122]|0;b[g+3>>0]=b[399123]|0;b[g+4>>0]=b[399124]|0;b[g+5>>0]=0;f[d>>2]=0;s=d+4|0;f[s>>2]=0;f[d+8>>2]=0;r=pHa(a,g,d)|0;o=f[d>>2]|0;if(o|0){m=f[s>>2]|0;if((m|0)!=(o|0))f[s>>2]=m+(~((m+-4-o|0)>>>2)<<2);fuc(o)}o=qHa(a,e,w,r,-1,-1)|0;if((b[v>>0]|0)<0)fuc(f[g>>2]|0);if((b[q>>0]|0)<0)fuc(f[e>>2]|0);q=e+4|0;f[q>>2]=0;f[q+4>>2]=0;q=e+11|0;b[q>>0]=3;b[e>>0]=b[399475]|0;b[e+1>>0]=b[399476]|0;b[e+2>>0]=b[399477]|0;b[e+3>>0]=0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;v=g+11|0;b[v>>0]=5;b[g>>0]=b[399120]|0;b[g+1>>0]=b[399121]|0;b[g+2>>0]=b[399122]|0;b[g+3>>0]=b[399123]|0;b[g+4>>0]=b[399124]|0;b[g+5>>0]=0;f[d>>2]=0;r=d+4|0;f[r>>2]=0;f[d+8>>2]=0;w=pHa(a,g,d)|0;m=f[d>>2]|0;if(m|0){s=f[r>>2]|0;if((s|0)!=(m|0))f[r>>2]=s+(~((s+-4-m|0)>>>2)<<2);fuc(m)}m=qHa(a,e,t,w,-1,-1)|0;if((b[v>>0]|0)<0)fuc(f[g>>2]|0);if((b[q>>0]|0)<0)fuc(f[e>>2]|0);q=e+4|0;f[q>>2]=0;f[q+4>>2]=0;q=e+11|0;b[q>>0]=3;b[e>>0]=b[400694]|0;b[e+1>>0]=b[400695]|0;b[e+2>>0]=b[400696]|0;b[e+3>>0]=0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;v=g+11|0;b[v>>0]=5;b[g>>0]=b[399120]|0;b[g+1>>0]=b[399121]|0;b[g+2>>0]=b[399122]|0;b[g+3>>0]=b[399123]|0;b[g+4>>0]=b[399124]|0;b[g+5>>0]=0;f[d>>2]=0;w=d+4|0;f[w>>2]=0;f[d+8>>2]=0;t=pHa(a,g,d)|0;s=f[d>>2]|0;if(s|0){r=f[w>>2]|0;if((r|0)!=(s|0))f[w>>2]=r+(~((r+-4-s|0)>>>2)<<2);fuc(s)}s=qHa(a,e,m,t,-1,-1)|0;if((b[v>>0]|0)<0)fuc(f[g>>2]|0);if((b[q>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;q=e+11|0;b[q>>0]=4;f[e>>2]=1801675088;b[e+4>>0]=0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;v=g+11|0;b[v>>0]=5;b[g>>0]=b[399120]|0;b[g+1>>0]=b[399121]|0;b[g+2>>0]=b[399122]|0;b[g+3>>0]=b[399123]|0;b[g+4>>0]=b[399124]|0;b[g+5>>0]=0;f[d>>2]=0;t=d+4|0;f[t>>2]=0;f[d+8>>2]=0;m=pHa(a,g,d)|0;r=f[d>>2]|0;if(r|0){w=f[t>>2]|0;if((w|0)!=(r|0))f[t>>2]=w+(~((w+-4-r|0)>>>2)<<2);fuc(r)}r=qHa(a,e,j,o,s,m)|0;if((b[v>>0]|0)<0)fuc(f[g>>2]|0);if((b[q>>0]|0)<0)fuc(f[e>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;e=cuc(32)|0;f[d>>2]=e;f[d+8>>2]=-2147483616;f[d+4>>2]=19;h=e;n=400347;i=h+19|0;do{b[h>>0]=b[n>>0]|0;h=h+1|0;n=n+1|0}while((h|0)<(i|0));b[e+19>>0]=0;qHa(a,d,r,k,l,-1)|0;if((b[d+11>>0]|0)<0)fuc(f[d>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;r=cuc(32)|0;f[d>>2]=r;f[d+8>>2]=-2147483616;f[d+4>>2]=19;h=r;n=400347;i=h+19|0;do{b[h>>0]=b[n>>0]|0;h=h+1|0;n=n+1|0}while((h|0)<(i|0));b[r+19>>0]=0;rHa(a,d,p,k,l,-1,-1,-1);if((b[d+11>>0]|0)>=0){u=c;return}fuc(f[d>>2]|0);u=c;return}function fHa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;c=u;u=u+48|0;d=c+24|0;e=c+12|0;g=c;h=a+4|0;i=h+60|0;do{f[h>>2]=0;h=h+4|0}while((h|0)<(i|0));f[a>>2]=111404;j=e+11|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[d>>2]=0;k=d+4|0;f[k>>2]=0;f[d+8>>2]=0;l=pHa(a,e,d)|0;m=f[d>>2]|0;if(m|0){n=f[k>>2]|0;if((n|0)!=(m|0))f[k>>2]=n+(~((n+-4-m|0)>>>2)<<2);fuc(m)}if((b[j>>0]|0)<0)fuc(f[e>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;j=d+11|0;b[j>>0]=5;b[d>>0]=b[399067]|0;b[d+1>>0]=b[399068]|0;b[d+2>>0]=b[399069]|0;b[d+3>>0]=b[399070]|0;b[d+4>>0]=b[399071]|0;b[d+5>>0]=0;m=qHa(a,d,l,-1,-1,-1)|0;if((b[j>>0]|0)<0)fuc(f[d>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;j=e+11|0;b[j>>0]=5;b[e>>0]=b[399120]|0;b[e+1>>0]=b[399121]|0;b[e+2>>0]=b[399122]|0;b[e+3>>0]=b[399123]|0;b[e+4>>0]=b[399124]|0;b[e+5>>0]=0;f[d>>2]=0;n=d+4|0;f[n>>2]=0;f[d+8>>2]=0;k=pHa(a,e,d)|0;o=f[d>>2]|0;if(o|0){p=f[n>>2]|0;if((p|0)!=(o|0))f[n>>2]=p+(~((p+-4-o|0)>>>2)<<2);fuc(o)}if((b[j>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;j=e+11|0;b[j>>0]=5;b[e>>0]=b[399120]|0;b[e+1>>0]=b[399121]|0;b[e+2>>0]=b[399122]|0;b[e+3>>0]=b[399123]|0;b[e+4>>0]=b[399124]|0;b[e+5>>0]=0;f[d>>2]=0;o=d+4|0;f[o>>2]=0;f[d+8>>2]=0;p=pHa(a,e,d)|0;n=f[d>>2]|0;if(n|0){q=f[o>>2]|0;if((q|0)!=(n|0))f[o>>2]=q+(~((q+-4-n|0)>>>2)<<2);fuc(n)}if((b[j>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;j=e+11|0;b[j>>0]=5;b[e>>0]=b[399120]|0;b[e+1>>0]=b[399121]|0;b[e+2>>0]=b[399122]|0;b[e+3>>0]=b[399123]|0;b[e+4>>0]=b[399124]|0;b[e+5>>0]=0;f[d>>2]=0;n=d+4|0;f[n>>2]=0;f[d+8>>2]=0;q=pHa(a,e,d)|0;o=f[d>>2]|0;if(o|0){r=f[n>>2]|0;if((r|0)!=(o|0))f[n>>2]=r+(~((r+-4-o|0)>>>2)<<2);fuc(o)}if((b[j>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;j=e+11|0;b[j>>0]=5;b[e>>0]=b[399120]|0;b[e+1>>0]=b[399121]|0;b[e+2>>0]=b[399122]|0;b[e+3>>0]=b[399123]|0;b[e+4>>0]=b[399124]|0;b[e+5>>0]=0;f[d>>2]=0;o=d+4|0;f[o>>2]=0;f[d+8>>2]=0;r=pHa(a,e,d)|0;n=f[d>>2]|0;if(n|0){s=f[o>>2]|0;if((s|0)!=(n|0))f[o>>2]=s+(~((s+-4-n|0)>>>2)<<2);fuc(n)}if((b[j>>0]|0)<0)fuc(f[e>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;j=cuc(16)|0;f[d>>2]=j;f[d+8>>2]=-2147483632;f[d+4>>2]=12;h=j;n=399462;i=h+12|0;do{b[h>>0]=b[n>>0]|0;h=h+1|0;n=n+1|0}while((h|0)<(i|0));b[j+12>>0]=0;j=qHa(a,d,m,p,q,r)|0;if((b[d+11>>0]|0)<0)fuc(f[d>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;r=e+11|0;b[r>>0]=5;b[e>>0]=b[399120]|0;b[e+1>>0]=b[399121]|0;b[e+2>>0]=b[399122]|0;b[e+3>>0]=b[399123]|0;b[e+4>>0]=b[399124]|0;b[e+5>>0]=0;f[d>>2]=0;q=d+4|0;f[q>>2]=0;f[d+8>>2]=0;p=pHa(a,e,d)|0;s=f[d>>2]|0;if(s|0){o=f[q>>2]|0;if((o|0)!=(s|0))f[q>>2]=o+(~((o+-4-s|0)>>>2)<<2);fuc(s)}if((b[r>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;r=e+11|0;b[r>>0]=5;b[e>>0]=b[399120]|0;b[e+1>>0]=b[399121]|0;b[e+2>>0]=b[399122]|0;b[e+3>>0]=b[399123]|0;b[e+4>>0]=b[399124]|0;b[e+5>>0]=0;f[d>>2]=0;s=d+4|0;f[s>>2]=0;f[d+8>>2]=0;o=pHa(a,e,d)|0;q=f[d>>2]|0;if(q|0){t=f[s>>2]|0;if((t|0)!=(q|0))f[s>>2]=t+(~((t+-4-q|0)>>>2)<<2);fuc(q)}if((b[r>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;r=e+11|0;b[r>>0]=5;b[e>>0]=b[399120]|0;b[e+1>>0]=b[399121]|0;b[e+2>>0]=b[399122]|0;b[e+3>>0]=b[399123]|0;b[e+4>>0]=b[399124]|0;b[e+5>>0]=0;f[d>>2]=0;q=d+4|0;f[q>>2]=0;f[d+8>>2]=0;t=pHa(a,e,d)|0;s=f[d>>2]|0;if(s|0){v=f[q>>2]|0;if((v|0)!=(s|0))f[q>>2]=v+(~((v+-4-s|0)>>>2)<<2);fuc(s)}if((b[r>>0]|0)<0)fuc(f[e>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;r=cuc(16)|0;f[d>>2]=r;f[d+8>>2]=-2147483632;f[d+4>>2]=12;h=r;n=399462;i=h+12|0;do{b[h>>0]=b[n>>0]|0;h=h+1|0;n=n+1|0}while((h|0)<(i|0));b[r+12>>0]=0;r=qHa(a,d,m,p,o,t)|0;if((b[d+11>>0]|0)<0)fuc(f[d>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;t=e+11|0;b[t>>0]=5;b[e>>0]=b[399120]|0;b[e+1>>0]=b[399121]|0;b[e+2>>0]=b[399122]|0;b[e+3>>0]=b[399123]|0;b[e+4>>0]=b[399124]|0;b[e+5>>0]=0;f[d>>2]=0;o=d+4|0;f[o>>2]=0;f[d+8>>2]=0;p=pHa(a,e,d)|0;s=f[d>>2]|0;if(s|0){v=f[o>>2]|0;if((v|0)!=(s|0))f[o>>2]=v+(~((v+-4-s|0)>>>2)<<2);fuc(s)}if((b[t>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;t=e+11|0;b[t>>0]=5;b[e>>0]=b[399120]|0;b[e+1>>0]=b[399121]|0;b[e+2>>0]=b[399122]|0;b[e+3>>0]=b[399123]|0;b[e+4>>0]=b[399124]|0;b[e+5>>0]=0;f[d>>2]=0;s=d+4|0;f[s>>2]=0;f[d+8>>2]=0;v=pHa(a,e,d)|0;o=f[d>>2]|0;if(o|0){q=f[s>>2]|0;if((q|0)!=(o|0))f[s>>2]=q+(~((q+-4-o|0)>>>2)<<2);fuc(o)}if((b[t>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;t=e+11|0;b[t>>0]=5;b[e>>0]=b[399120]|0;b[e+1>>0]=b[399121]|0;b[e+2>>0]=b[399122]|0;b[e+3>>0]=b[399123]|0;b[e+4>>0]=b[399124]|0;b[e+5>>0]=0;f[d>>2]=0;o=d+4|0;f[o>>2]=0;f[d+8>>2]=0;q=pHa(a,e,d)|0;s=f[d>>2]|0;if(s|0){w=f[o>>2]|0;if((w|0)!=(s|0))f[o>>2]=w+(~((w+-4-s|0)>>>2)<<2);fuc(s)}if((b[t>>0]|0)<0)fuc(f[e>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;t=cuc(16)|0;f[d>>2]=t;f[d+8>>2]=-2147483632;f[d+4>>2]=12;h=t;n=399462;i=h+12|0;do{b[h>>0]=b[n>>0]|0;h=h+1|0;n=n+1|0}while((h|0)<(i|0));b[t+12>>0]=0;t=qHa(a,d,m,p,v,q)|0;if((b[d+11>>0]|0)<0)fuc(f[d>>2]|0);q=e+4|0;f[q>>2]=0;f[q+4>>2]=0;q=e+11|0;b[q>>0]=3;b[e>>0]=b[399475]|0;b[e+1>>0]=b[399476]|0;b[e+2>>0]=b[399477]|0;b[e+3>>0]=0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;v=g+11|0;b[v>>0]=5;b[g>>0]=b[399120]|0;b[g+1>>0]=b[399121]|0;b[g+2>>0]=b[399122]|0;b[g+3>>0]=b[399123]|0;b[g+4>>0]=b[399124]|0;b[g+5>>0]=0;f[d>>2]=0;m=d+4|0;f[m>>2]=0;f[d+8>>2]=0;s=pHa(a,g,d)|0;w=f[d>>2]|0;if(w|0){o=f[m>>2]|0;if((o|0)!=(w|0))f[m>>2]=o+(~((o+-4-w|0)>>>2)<<2);fuc(w)}w=qHa(a,e,r,s,-1,-1)|0;if((b[v>>0]|0)<0)fuc(f[g>>2]|0);if((b[q>>0]|0)<0)fuc(f[e>>2]|0);q=e+4|0;f[q>>2]=0;f[q+4>>2]=0;q=e+11|0;b[q>>0]=3;b[e>>0]=b[399475]|0;b[e+1>>0]=b[399476]|0;b[e+2>>0]=b[399477]|0;b[e+3>>0]=0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;v=g+11|0;b[v>>0]=5;b[g>>0]=b[399120]|0;b[g+1>>0]=b[399121]|0;b[g+2>>0]=b[399122]|0;b[g+3>>0]=b[399123]|0;b[g+4>>0]=b[399124]|0;b[g+5>>0]=0;f[d>>2]=0;s=d+4|0;f[s>>2]=0;f[d+8>>2]=0;r=pHa(a,g,d)|0;o=f[d>>2]|0;if(o|0){m=f[s>>2]|0;if((m|0)!=(o|0))f[s>>2]=m+(~((m+-4-o|0)>>>2)<<2);fuc(o)}o=qHa(a,e,t,r,-1,-1)|0;if((b[v>>0]|0)<0)fuc(f[g>>2]|0);if((b[q>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;q=e+11|0;b[q>>0]=4;f[e>>2]=1801675088;b[e+4>>0]=0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;v=g+11|0;b[v>>0]=5;b[g>>0]=b[399120]|0;b[g+1>>0]=b[399121]|0;b[g+2>>0]=b[399122]|0;b[g+3>>0]=b[399123]|0;b[g+4>>0]=b[399124]|0;b[g+5>>0]=0;f[d>>2]=0;r=d+4|0;f[r>>2]=0;f[d+8>>2]=0;t=pHa(a,g,d)|0;m=f[d>>2]|0;if(m|0){s=f[r>>2]|0;if((s|0)!=(m|0))f[r>>2]=s+(~((s+-4-m|0)>>>2)<<2);fuc(m)}m=qHa(a,e,j,w,o,t)|0;if((b[v>>0]|0)<0)fuc(f[g>>2]|0);if((b[q>>0]|0)<0)fuc(f[e>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;e=cuc(32)|0;f[d>>2]=e;f[d+8>>2]=-2147483616;f[d+4>>2]=19;h=e;n=400347;i=h+19|0;do{b[h>>0]=b[n>>0]|0;h=h+1|0;n=n+1|0}while((h|0)<(i|0));b[e+19>>0]=0;qHa(a,d,m,k,l,-1)|0;if((b[d+11>>0]|0)<0)fuc(f[d>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;m=cuc(32)|0;f[d>>2]=m;f[d+8>>2]=-2147483616;f[d+4>>2]=19;h=m;n=400347;i=h+19|0;do{b[h>>0]=b[n>>0]|0;h=h+1|0;n=n+1|0}while((h|0)<(i|0));b[m+19>>0]=0;rHa(a,d,p,k,l,-1,-1,-1);if((b[d+11>>0]|0)>=0){u=c;return}fuc(f[d>>2]|0);u=c;return}function gHa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;c=u;u=u+32|0;d=c+12|0;e=c;g=a+4|0;h=g+60|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));f[a>>2]=111388;i=e+11|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[d>>2]=0;j=d+4|0;f[j>>2]=0;f[d+8>>2]=0;k=pHa(a,e,d)|0;l=f[d>>2]|0;if(l|0){m=f[j>>2]|0;if((m|0)!=(l|0))f[j>>2]=m+(~((m+-4-l|0)>>>2)<<2);fuc(l)}if((b[i>>0]|0)<0)fuc(f[e>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;i=d+11|0;b[i>>0]=5;b[d>>0]=b[399067]|0;b[d+1>>0]=b[399068]|0;b[d+2>>0]=b[399069]|0;b[d+3>>0]=b[399070]|0;b[d+4>>0]=b[399071]|0;b[d+5>>0]=0;l=qHa(a,d,k,-1,-1,-1)|0;if((b[i>>0]|0)<0)fuc(f[d>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;i=e+11|0;b[i>>0]=5;b[e>>0]=b[399120]|0;b[e+1>>0]=b[399121]|0;b[e+2>>0]=b[399122]|0;b[e+3>>0]=b[399123]|0;b[e+4>>0]=b[399124]|0;b[e+5>>0]=0;f[d>>2]=0;m=d+4|0;f[m>>2]=0;f[d+8>>2]=0;j=pHa(a,e,d)|0;n=f[d>>2]|0;if(n|0){o=f[m>>2]|0;if((o|0)!=(n|0))f[m>>2]=o+(~((o+-4-n|0)>>>2)<<2);fuc(n)}if((b[i>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;i=e+11|0;b[i>>0]=5;b[e>>0]=b[399120]|0;b[e+1>>0]=b[399121]|0;b[e+2>>0]=b[399122]|0;b[e+3>>0]=b[399123]|0;b[e+4>>0]=b[399124]|0;b[e+5>>0]=0;f[d>>2]=0;n=d+4|0;f[n>>2]=0;f[d+8>>2]=0;o=pHa(a,e,d)|0;m=f[d>>2]|0;if(m|0){p=f[n>>2]|0;if((p|0)!=(m|0))f[n>>2]=p+(~((p+-4-m|0)>>>2)<<2);fuc(m)}if((b[i>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;i=e+11|0;b[i>>0]=5;b[e>>0]=b[399120]|0;b[e+1>>0]=b[399121]|0;b[e+2>>0]=b[399122]|0;b[e+3>>0]=b[399123]|0;b[e+4>>0]=b[399124]|0;b[e+5>>0]=0;f[d>>2]=0;m=d+4|0;f[m>>2]=0;f[d+8>>2]=0;p=pHa(a,e,d)|0;n=f[d>>2]|0;if(n|0){q=f[m>>2]|0;if((q|0)!=(n|0))f[m>>2]=q+(~((q+-4-n|0)>>>2)<<2);fuc(n)}if((b[i>>0]|0)<0)fuc(f[e>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;i=cuc(16)|0;f[d>>2]=i;f[d+8>>2]=-2147483632;f[d+4>>2]=12;g=i;n=399462;h=g+12|0;do{b[g>>0]=b[n>>0]|0;g=g+1|0;n=n+1|0}while((g|0)<(h|0));b[i+12>>0]=0;i=qHa(a,d,l,j,o,p)|0;if((b[d+11>>0]|0)<0)fuc(f[d>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;p=e+11|0;b[p>>0]=5;b[e>>0]=b[399120]|0;b[e+1>>0]=b[399121]|0;b[e+2>>0]=b[399122]|0;b[e+3>>0]=b[399123]|0;b[e+4>>0]=b[399124]|0;b[e+5>>0]=0;f[d>>2]=0;o=d+4|0;f[o>>2]=0;f[d+8>>2]=0;j=pHa(a,e,d)|0;l=f[d>>2]|0;if(l|0){q=f[o>>2]|0;if((q|0)!=(l|0))f[o>>2]=q+(~((q+-4-l|0)>>>2)<<2);fuc(l)}if((b[p>>0]|0)<0)fuc(f[e>>2]|0);p=d+4|0;f[p>>2]=0;f[p+4>>2]=0;p=d+11|0;b[p>>0]=3;b[d>>0]=b[399475]|0;b[d+1>>0]=b[399476]|0;b[d+2>>0]=b[399477]|0;b[d+3>>0]=0;l=qHa(a,d,i,j,-1,-1)|0;if((b[p>>0]|0)<0)fuc(f[d>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;p=d+11|0;b[p>>0]=5;b[d>>0]=b[399067]|0;b[d+1>>0]=b[399068]|0;b[d+2>>0]=b[399069]|0;b[d+3>>0]=b[399070]|0;b[d+4>>0]=b[399071]|0;b[d+5>>0]=0;i=qHa(a,d,k,-1,-1,-1)|0;if((b[p>>0]|0)<0)fuc(f[d>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;p=e+11|0;b[p>>0]=5;b[e>>0]=b[399120]|0;b[e+1>>0]=b[399121]|0;b[e+2>>0]=b[399122]|0;b[e+3>>0]=b[399123]|0;b[e+4>>0]=b[399124]|0;b[e+5>>0]=0;f[d>>2]=0;q=d+4|0;f[q>>2]=0;f[d+8>>2]=0;o=pHa(a,e,d)|0;m=f[d>>2]|0;if(m|0){r=f[q>>2]|0;if((r|0)!=(m|0))f[q>>2]=r+(~((r+-4-m|0)>>>2)<<2);fuc(m)}if((b[p>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;p=e+11|0;b[p>>0]=5;b[e>>0]=b[399120]|0;b[e+1>>0]=b[399121]|0;b[e+2>>0]=b[399122]|0;b[e+3>>0]=b[399123]|0;b[e+4>>0]=b[399124]|0;b[e+5>>0]=0;f[d>>2]=0;m=d+4|0;f[m>>2]=0;f[d+8>>2]=0;r=pHa(a,e,d)|0;q=f[d>>2]|0;if(q|0){s=f[m>>2]|0;if((s|0)!=(q|0))f[m>>2]=s+(~((s+-4-q|0)>>>2)<<2);fuc(q)}if((b[p>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;p=e+11|0;b[p>>0]=5;b[e>>0]=b[399120]|0;b[e+1>>0]=b[399121]|0;b[e+2>>0]=b[399122]|0;b[e+3>>0]=b[399123]|0;b[e+4>>0]=b[399124]|0;b[e+5>>0]=0;f[d>>2]=0;q=d+4|0;f[q>>2]=0;f[d+8>>2]=0;s=pHa(a,e,d)|0;m=f[d>>2]|0;if(m|0){t=f[q>>2]|0;if((t|0)!=(m|0))f[q>>2]=t+(~((t+-4-m|0)>>>2)<<2);fuc(m)}if((b[p>>0]|0)<0)fuc(f[e>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;p=cuc(16)|0;f[d>>2]=p;f[d+8>>2]=-2147483632;f[d+4>>2]=12;g=p;n=399462;h=g+12|0;do{b[g>>0]=b[n>>0]|0;g=g+1|0;n=n+1|0}while((g|0)<(h|0));b[p+12>>0]=0;p=qHa(a,d,i,o,r,s)|0;if((b[d+11>>0]|0)<0)fuc(f[d>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;s=e+11|0;b[s>>0]=5;b[e>>0]=b[399120]|0;b[e+1>>0]=b[399121]|0;b[e+2>>0]=b[399122]|0;b[e+3>>0]=b[399123]|0;b[e+4>>0]=b[399124]|0;b[e+5>>0]=0;f[d>>2]=0;r=d+4|0;f[r>>2]=0;f[d+8>>2]=0;o=pHa(a,e,d)|0;i=f[d>>2]|0;if(i|0){m=f[r>>2]|0;if((m|0)!=(i|0))f[r>>2]=m+(~((m+-4-i|0)>>>2)<<2);fuc(i)}if((b[s>>0]|0)<0)fuc(f[e>>2]|0);e=d+4|0;f[e>>2]=0;f[e+4>>2]=0;e=d+11|0;b[e>>0]=3;b[d>>0]=b[399475]|0;b[d+1>>0]=b[399476]|0;b[d+2>>0]=b[399477]|0;b[d+3>>0]=0;s=qHa(a,d,p,o,-1,-1)|0;if((b[e>>0]|0)<0)fuc(f[d>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;e=d+11|0;b[e>>0]=4;f[d>>2]=1801675088;b[d+4>>0]=0;p=qHa(a,d,l,s,-1,-1)|0;if((b[e>>0]|0)<0)fuc(f[d>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;e=cuc(16)|0;f[d>>2]=e;f[d+8>>2]=-2147483632;f[d+4>>2]=14;g=e;n=400063;h=g+14|0;do{b[g>>0]=b[n>>0]|0;g=g+1|0;n=n+1|0}while((g|0)<(h|0));b[e+14>>0]=0;qHa(a,d,k,p,-1,-1)|0;if((b[d+11>>0]|0)<0)fuc(f[d>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;p=cuc(16)|0;f[d>>2]=p;f[d+8>>2]=-2147483632;f[d+4>>2]=14;g=p;n=400063;h=g+14|0;do{b[g>>0]=b[n>>0]|0;g=g+1|0;n=n+1|0}while((g|0)<(h|0));b[p+14>>0]=0;rHa(a,d,k,j,o,-1,-1,-1);if((b[d+11>>0]|0)>=0){u=c;return}fuc(f[d>>2]|0);u=c;return}function hHa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;c=u;u=u+32|0;d=c+12|0;e=c;g=a+4|0;h=g+60|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));f[a>>2]=111316;i=e+11|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[d>>2]=0;j=d+4|0;f[j>>2]=0;f[d+8>>2]=0;k=pHa(a,e,d)|0;l=f[d>>2]|0;if(l|0){m=f[j>>2]|0;if((m|0)!=(l|0))f[j>>2]=m+(~((m+-4-l|0)>>>2)<<2);fuc(l)}if((b[i>>0]|0)<0)fuc(f[e>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;i=d+11|0;b[i>>0]=5;b[d>>0]=b[399067]|0;b[d+1>>0]=b[399068]|0;b[d+2>>0]=b[399069]|0;b[d+3>>0]=b[399070]|0;b[d+4>>0]=b[399071]|0;b[d+5>>0]=0;l=qHa(a,d,k,-1,-1,-1)|0;if((b[i>>0]|0)<0)fuc(f[d>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;i=e+11|0;b[i>>0]=5;b[e>>0]=b[399120]|0;b[e+1>>0]=b[399121]|0;b[e+2>>0]=b[399122]|0;b[e+3>>0]=b[399123]|0;b[e+4>>0]=b[399124]|0;b[e+5>>0]=0;f[d>>2]=0;m=d+4|0;f[m>>2]=0;f[d+8>>2]=0;j=pHa(a,e,d)|0;n=f[d>>2]|0;if(n|0){o=f[m>>2]|0;if((o|0)!=(n|0))f[m>>2]=o+(~((o+-4-n|0)>>>2)<<2);fuc(n)}if((b[i>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;i=e+11|0;b[i>>0]=5;b[e>>0]=b[399120]|0;b[e+1>>0]=b[399121]|0;b[e+2>>0]=b[399122]|0;b[e+3>>0]=b[399123]|0;b[e+4>>0]=b[399124]|0;b[e+5>>0]=0;f[d>>2]=0;n=d+4|0;f[n>>2]=0;f[d+8>>2]=0;o=pHa(a,e,d)|0;m=f[d>>2]|0;if(m|0){p=f[n>>2]|0;if((p|0)!=(m|0))f[n>>2]=p+(~((p+-4-m|0)>>>2)<<2);fuc(m)}if((b[i>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;i=e+11|0;b[i>>0]=5;b[e>>0]=b[399120]|0;b[e+1>>0]=b[399121]|0;b[e+2>>0]=b[399122]|0;b[e+3>>0]=b[399123]|0;b[e+4>>0]=b[399124]|0;b[e+5>>0]=0;f[d>>2]=0;m=d+4|0;f[m>>2]=0;f[d+8>>2]=0;p=pHa(a,e,d)|0;n=f[d>>2]|0;if(n|0){q=f[m>>2]|0;if((q|0)!=(n|0))f[m>>2]=q+(~((q+-4-n|0)>>>2)<<2);fuc(n)}if((b[i>>0]|0)<0)fuc(f[e>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;i=cuc(16)|0;f[d>>2]=i;f[d+8>>2]=-2147483632;f[d+4>>2]=12;g=i;n=399462;h=g+12|0;do{b[g>>0]=b[n>>0]|0;g=g+1|0;n=n+1|0}while((g|0)<(h|0));b[i+12>>0]=0;i=qHa(a,d,l,j,o,p)|0;if((b[d+11>>0]|0)<0)fuc(f[d>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;p=e+11|0;b[p>>0]=5;b[e>>0]=b[399120]|0;b[e+1>>0]=b[399121]|0;b[e+2>>0]=b[399122]|0;b[e+3>>0]=b[399123]|0;b[e+4>>0]=b[399124]|0;b[e+5>>0]=0;f[d>>2]=0;o=d+4|0;f[o>>2]=0;f[d+8>>2]=0;j=pHa(a,e,d)|0;l=f[d>>2]|0;if(l|0){q=f[o>>2]|0;if((q|0)!=(l|0))f[o>>2]=q+(~((q+-4-l|0)>>>2)<<2);fuc(l)}if((b[p>>0]|0)<0)fuc(f[e>>2]|0);e=d+4|0;f[e>>2]=0;f[e+4>>2]=0;e=d+11|0;b[e>>0]=3;b[d>>0]=b[399475]|0;b[d+1>>0]=b[399476]|0;b[d+2>>0]=b[399477]|0;b[d+3>>0]=0;p=qHa(a,d,i,j,-1,-1)|0;if((b[e>>0]|0)<0)fuc(f[d>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;e=cuc(32)|0;f[d>>2]=e;f[d+8>>2]=-2147483616;f[d+4>>2]=21;g=e;n=399479;h=g+21|0;do{b[g>>0]=b[n>>0]|0;g=g+1|0;n=n+1|0}while((g|0)<(h|0));b[e+21>>0]=0;qHa(a,d,k,p,-1,-1)|0;if((b[d+11>>0]|0)<0)fuc(f[d>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;p=cuc(32)|0;f[d>>2]=p;f[d+8>>2]=-2147483616;f[d+4>>2]=21;g=p;n=399479;h=g+21|0;do{b[g>>0]=b[n>>0]|0;g=g+1|0;n=n+1|0}while((g|0)<(h|0));b[p+21>>0]=0;rHa(a,d,k,j,-1,-1,-1,-1);if((b[d+11>>0]|0)>=0){u=c;return}fuc(f[d>>2]|0);u=c;return}function iHa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;c=u;u=u+32|0;d=c+12|0;e=c;g=a+4|0;h=g+60|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));f[a>>2]=111300;g=e+11|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[d>>2]=0;h=d+4|0;f[h>>2]=0;f[d+8>>2]=0;i=pHa(a,e,d)|0;j=f[d>>2]|0;if(j|0){k=f[h>>2]|0;if((k|0)!=(j|0))f[h>>2]=k+(~((k+-4-j|0)>>>2)<<2);fuc(j)}if((b[g>>0]|0)<0)fuc(f[e>>2]|0);g=e+11|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[d>>2]=0;j=d+4|0;f[j>>2]=0;f[d+8>>2]=0;k=pHa(a,e,d)|0;h=f[d>>2]|0;if(h|0){l=f[j>>2]|0;if((l|0)!=(h|0))f[j>>2]=l+(~((l+-4-h|0)>>>2)<<2);fuc(h)}if((b[g>>0]|0)<0)fuc(f[e>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;e=d+11|0;b[e>>0]=5;b[d>>0]=b[399067]|0;b[d+1>>0]=b[399068]|0;b[d+2>>0]=b[399069]|0;b[d+3>>0]=b[399070]|0;b[d+4>>0]=b[399071]|0;b[d+5>>0]=0;g=qHa(a,d,k,-1,-1,-1)|0;if((b[e>>0]|0)<0)fuc(f[d>>2]|0);f[d+8>>2]=0;e=d+11|0;b[e>>0]=7;b[d>>0]=b[415783]|0;b[d+1>>0]=b[415784]|0;b[d+2>>0]=b[415785]|0;b[d+3>>0]=b[415786]|0;b[d+4>>0]=b[415787]|0;b[d+5>>0]=b[415788]|0;b[d+6>>0]=b[415789]|0;b[d+7>>0]=0;qHa(a,d,i,g,-1,-1)|0;if((b[e>>0]|0)<0)fuc(f[d>>2]|0);f[d+8>>2]=0;e=d+11|0;b[e>>0]=7;b[d>>0]=b[415783]|0;b[d+1>>0]=b[415784]|0;b[d+2>>0]=b[415785]|0;b[d+3>>0]=b[415786]|0;b[d+4>>0]=b[415787]|0;b[d+5>>0]=b[415788]|0;b[d+6>>0]=b[415789]|0;b[d+7>>0]=0;rHa(a,d,i,k,-1,-1,-1,-1);if((b[e>>0]|0)>=0){u=c;return}fuc(f[d>>2]|0);u=c;return}function jHa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0;e=u;u=u+48|0;g=e+24|0;h=e+12|0;i=e;j=a+52|0;k=a+56|0;aEa(g,(f[k>>2]|0)-(f[j>>2]|0)>>2);a:do if((f[k>>2]|0)!=(f[j>>2]|0)){l=d+4|0;m=h+11|0;n=h+4|0;o=c+20|0;p=a+40|0;q=a+16|0;r=0;b:while(1){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;s=f[l>>2]|0;t=f[d>>2]|0;c:do if((s|0)==(t|0)){v=0;w=0}else{x=0;y=s;z=0;A=0;B=t;while(1){if((z<<24>>24<0?A:z&255)|0){v=z;w=A;break c}C=f[(f[o>>2]|0)+4+(f[B+(x<<2)>>2]<<2)>>2]|0;D=f[(f[p>>2]|0)+(x<<2)>>2]|0;E=f[q>>2]|0;F=f[C+12>>2]|0;G=f[E+(D*12|0)+4>>2]|0;H=f[E+(D*12|0)>>2]|0;D=H;if((F|0)!=(G-H>>2|0)){I=10;break b}d:do if((G|0)==(H|0)){J=B;K=y}else{E=f[(f[j>>2]|0)+(r<<2)>>2]|0;L=0;while(1){if((f[D+(L<<2)>>2]|0)==(E|0))break;M=L+1|0;if(M>>>0<F>>>0)L=M;else{J=B;K=y;break d}}ruc(h,f[(f[C+20>>2]|0)+4+(L<<2)>>2]|0)|0;J=f[d>>2]|0;K=f[l>>2]|0}while(0);x=x+1|0;C=b[m>>0]|0;F=f[n>>2]|0;if(x>>>0>=K-J>>2>>>0){v=C;w=F;break}else{y=K;z=C;A=F;B=J}}}while(0);if(!((v<<24>>24<0?w:v&255)|0)){I=15;break}ruc((f[g>>2]|0)+(r*12|0)|0,h)|0;if((b[m>>0]|0)<0)fuc(f[h>>2]|0);r=r+1|0;if(r>>>0>=(f[k>>2]|0)-(f[j>>2]|0)>>2>>>0){N=o;O=d;P=l;break a}}if((I|0)==10){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;l=cuc(48)|0;f[i>>2]=l;f[i+8>>2]=-2147483600;f[i+4>>2]=38;Q=l;R=398648;S=Q+38|0;do{b[Q>>0]=b[R>>0]|0;Q=Q+1|0;R=R+1|0}while((Q|0)<(S|0));b[l+38>>0]=0;WD(-215,i,398687,398695,151)}else if((I|0)==15){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;o=cuc(32)|0;f[i>>2]=o;f[i+8>>2]=-2147483616;f[i+4>>2]=16;Q=o;R=398786;S=Q+16|0;do{b[Q>>0]=b[R>>0]|0;Q=Q+1|0;R=R+1|0}while((Q|0)<(S|0));b[o+16>>0]=0;WD(-215,i,398687,398695,161)}}else{N=c+20|0;O=d;P=d+4|0}while(0);i=f[P>>2]|0;P=f[N>>2]|0;R=f[P+4+(f[i+-4>>2]<<2)>>2]|0;Q=f[O>>2]|0;O=(i-Q>>2)+-2|0;e:do if((O|0)>-1){i=c+8|0;S=O;I=Q;j=P;while(1){k=f[I+(S<<2)>>2]|0;v=f[j+4+(k<<2)>>2]|0;if(!((v|0)==0|(f[i>>2]|0)!=0))bi[f[(f[v>>2]|0)+4>>2]&2047](v);MKb(i,k,1);if((S|0)<=0)break e;S=S+-1|0;I=f[d>>2]|0;j=f[N>>2]|0}}while(0);N=a+28|0;d=R+64|0;P=f[R+4>>2]|0;Q=P&-2;if(!(P&1))T=Q;else T=f[Q+4>>2]|0;Q=f[d>>2]|0;if((Q|0)==542896)QGa(d,T,N);else ruc(Q,N)|0;N=R+12|0;Q=f[N>>2]|0;if((Q|0)>0){T=f[R+20>>2]|0;d=0;do{P=f[T+4+(d<<2)>>2]|0;d=d+1|0;O=P+11|0;if((b[O>>0]|0)<0){b[f[P>>2]>>0]=0;f[P+4>>2]=0}else{b[P>>0]=0;b[O>>0]=0}}while((d|0)!=(Q|0));f[N>>2]=0}N=g+4|0;Q=f[N>>2]|0;d=f[g>>2]|0;if((Q|0)==(d|0)){U=Q;V=Q}else{Q=R+8|0;T=0;O=d;while(1){ruc(MEa(Q)|0,O+(T*12|0)|0)|0;T=T+1|0;d=f[N>>2]|0;P=f[g>>2]|0;if(T>>>0>=((d-P|0)/12|0)>>>0){U=P;V=d;break}else O=P}}O=V-U|0;T=(O|0)/12|0;f[h>>2]=0;Q=h+4|0;f[Q>>2]=0;f[h+8>>2]=0;if(!O)W=V;else{if(T>>>0>1073741823)nsc(h);V=cuc(T<<2)|0;f[Q>>2]=V;f[h>>2]=V;f[h+8>>2]=V+(T<<2);O=T;T=V;do{f[T>>2]=0;T=(f[Q>>2]|0)+4|0;f[Q>>2]=T;O=O+-1|0}while((O|0)!=0);W=f[N>>2]|0}if((W|0)!=(U|0)){U=0;do{W=kHa(c,R,U)|0;f[(f[h>>2]|0)+(U<<2)>>2]=W;U=U+1|0}while(U>>>0<(((f[N>>2]|0)-(f[g>>2]|0)|0)/12|0)>>>0)}sh[f[(f[a>>2]|0)+4>>2]&255](a,c,R,h);R=f[h>>2]|0;if(R|0){h=f[Q>>2]|0;if((h|0)!=(R|0))f[Q>>2]=h+(~((h+-4-R|0)>>>2)<<2);fuc(R)}R=f[g>>2]|0;if(!R){u=e;return}h=f[N>>2]|0;if((h|0)==(R|0))X=R;else{Q=h;while(1){h=Q+-12|0;f[N>>2]=h;if((b[h+11>>0]|0)<0){fuc(f[h>>2]|0);Y=f[N>>2]|0}else Y=h;if((Y|0)==(R|0))break;else Q=Y}X=f[g>>2]|0}fuc(X);u=e;return}function kHa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;e=u;u=u+48|0;g=e+24|0;h=e+12|0;i=e;if((f[c+12>>2]|0)<=(d|0)){j=cuc(32)|0;f[g>>2]=j;f[g+8>>2]=-2147483616;f[g+4>>2]=25;k=j;l=398803;m=k+25|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));b[j+25>>0]=0;WD(-215,g,398829,398695,83)}ouc(g,f[(f[c+20>>2]|0)+4+(d<<2)>>2]|0);puc(h,g,0,Ouc(g,58,-1)|0,g);d=g+11|0;if((b[d>>0]|0)<0){b[f[g>>2]>>0]=0;f[g+4>>2]=0}else{b[g>>0]=0;b[d>>0]=0}vuc(g,0);f[g>>2]=f[h>>2];f[g+4>>2]=f[h+4>>2];f[g+8>>2]=f[h+8>>2];c=f[a+12>>2]|0;if((c|0)<=0){nEa(i,398842,g);n=Duc(i,517413)|0;f[h>>2]=f[n>>2];f[h+4>>2]=f[n+4>>2];f[h+8>>2]=f[n+8>>2];f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;WD(-212,h,398829,398695,94)}j=f[a+20>>2]|0;a=b[d>>0]|0;d=a<<24>>24<0;l=d?f[g+4>>2]|0:a&255;a=f[g>>2]|0;k=d?a:g;m=(l|0)==0;o=0;a:while(1){p=f[j+4+(o<<2)>>2]|0;q=f[p+60>>2]|0;r=b[q+11>>0]|0;s=r<<24>>24<0;t=r&255;do if(((s?f[q+4>>2]|0:t)|0)==(l|0)){r=f[q>>2]|0;v=s?r:q;if(s){if(m)break a;if(!(ahc(v,k,l)|0))break a;else break}if(m)break a;if((r&255)<<24>>24==(b[k>>0]|0)){r=q;v=t;w=k;do{v=v+-1|0;r=r+1|0;if(!v)break a;w=w+1|0}while((b[r>>0]|0)==(b[w>>0]|0))}}while(0);o=o+1|0;if((o|0)>=(c|0)){x=17;break}}if((x|0)==17){nEa(i,398842,g);n=Duc(i,517413)|0;f[h>>2]=f[n>>2];f[h+4>>2]=f[n+4>>2];f[h+8>>2]=f[n+8>>2];f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;WD(-212,h,398829,398695,94)}if(!d){u=e;return p|0}fuc(a);u=e;return p|0}function lHa(a){a=a|0;Qtc(a);fuc(a);return}function mHa(a){a=a|0;var b=0;b=f[a+12>>2]|0;if(!b)return;XGa(b);fuc(b);return}function nHa(a,b){a=a|0;b=b|0;return ((f[b+4>>2]|0)==398864?a+12|0:0)|0}function oHa(a){a=a|0;fuc(a);return}function pHa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;e=u;u=u+16|0;g=e;h=f[d+4>>2]|0;i=f[d>>2]|0;j=i;a:do if((h|0)==(i|0)){k=a+8|0;l=k;m=a+4|0;n=f[k>>2]|0}else{k=a+4|0;o=a+8|0;p=f[o>>2]|0;q=(p-(f[k>>2]|0)|0)/12|0;r=h-i>>2;s=p;p=0;while(1){if((f[j+(p<<2)>>2]|0)>=(q|0))break;p=p+1|0;if(p>>>0>=r>>>0){l=o;m=k;n=s;break a}}s=cuc(32)|0;f[g>>2]=s;f[g+8>>2]=-2147483616;f[g+4>>2]=30;k=s;o=399126;r=k+30|0;do{b[k>>0]=b[o>>0]|0;k=k+1|0;o=o+1|0}while((k|0)<(r|0));b[s+30>>0]=0;WD(-215,g,399157,398695,42)}while(0);if((n|0)==(f[a+12>>2]|0))fEa(m,c);else{ouc(n,c);f[l>>2]=(f[l>>2]|0)+12}c=a+20|0;n=f[c>>2]|0;if((n|0)==(f[a+24>>2]|0)){uHa(a+16|0,d);t=f[l>>2]|0;v=f[m>>2]|0;w=t-v|0;x=(w|0)/12|0;y=x+-1|0;u=e;return y|0}else{tHa(n,d);f[c>>2]=(f[c>>2]|0)+12;t=f[l>>2]|0;v=f[m>>2]|0;w=t-v|0;x=(w|0)/12|0;y=x+-1|0;u=e;return y|0}return 0}function qHa(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0;h=u;u=u+32|0;i=h+16|0;j=h;f[i>>2]=c;f[i+4>>2]=d;f[i+8>>2]=e;f[i+12>>2]=g;k=((g|0)!=-1&1)+(((e|0)!=-1&1)+(((d|0)!=-1&1)+((c|0)!=-1&1)))|0;f[j>>2]=0;c=j+4|0;f[c>>2]=0;f[j+8>>2]=0;d=k<<2;if(k|0){e=cuc(d)|0;f[j>>2]=e;f[j+8>>2]=e+(k<<2);szc(e|0,i|0,d|0)|0;f[c>>2]=e+(k<<2)}k=pHa(a,b,j)|0;b=f[j>>2]|0;if(!b){u=h;return k|0}j=f[c>>2]|0;if((j|0)!=(b|0))f[c>>2]=j+(~((j+-4-b|0)>>>2)<<2);fuc(b);u=h;return k|0}function rHa(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0;k=u;u=u+48|0;l=k+16|0;m=k;f[l>>2]=d;f[l+4>>2]=e;f[l+8>>2]=g;f[l+12>>2]=h;f[l+16>>2]=i;f[l+20>>2]=j;n=((f[a+8>>2]|0)-(f[a+4>>2]|0)|0)/12|0;if(!((n|0)>(d|0)&(n|0)>(e|0)&(n|0)>(g|0)&(n|0)>(h|0)&(n|0)>(i|0)&(n|0)>(j|0))){n=cuc(48)|0;f[m>>2]=n;f[m+8>>2]=-2147483600;f[m+4>>2]=33;o=n;p=399073;q=o+33|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[n+33>>0]=0;WD(-215,m,399107,398695,60)}n=((j|0)!=-1&1)+(((i|0)!=-1&1)+(((h|0)!=-1&1)+(((g|0)!=-1&1)+(((e|0)!=-1&1)+((d|0)!=-1&1)))))|0;f[m>>2]=0;d=m+4|0;f[d>>2]=0;f[m+8>>2]=0;e=n<<2;if(n|0){g=cuc(e)|0;f[m>>2]=g;f[m+8>>2]=g+(n<<2);szc(g|0,l|0,e|0)|0;f[d>>2]=g+(n<<2)}sHa(a,c,m);c=f[m>>2]|0;if(!c){u=k;return}m=f[d>>2]|0;if((m|0)!=(c|0))f[d>>2]=m+(~((m+-4-c|0)>>>2)<<2);fuc(c);u=k;return}function sHa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;e=u;u=u+16|0;g=e;h=a+52|0;if((h|0)!=(d|0))zva(h,f[d>>2]|0,f[d+4>>2]|0);ruc(a+28|0,c)|0;c=a+40|0;d=f[c>>2]|0;i=a+44|0;j=f[i>>2]|0;if((j|0)!=(d|0))f[i>>2]=j+(~((j+-4-d|0)>>>2)<<2);f[g>>2]=0;d=a+4|0;j=a+8|0;k=f[d>>2]|0;if((f[j>>2]|0)==(k|0)){u=e;return}l=a+56|0;m=a+48|0;a=k;k=0;do{n=a;o=f[h>>2]|0;p=f[l>>2]|0;a:do if((o|0)==(p|0)){q=o;r=11}else{s=o;while(1){if((f[s>>2]|0)==(k|0)){q=s;r=11;break a}s=s+4|0;if((s|0)==(p|0)){r=12;break}}}while(0);if((r|0)==11?(r=0,(q|0)==(p|0)):0)r=12;do if((r|0)==12){r=0;o=n+(k*12|0)|0;s=b[o+11>>0]|0;if(((s<<24>>24<0?f[n+(k*12|0)+4>>2]|0:s&255)|0)==5?(Puc(o,0,-1,399120,5)|0)==0:0)break;o=f[i>>2]|0;if((o|0)==(f[m>>2]|0)){es(c,g);break}else{f[o>>2]=f[g>>2];f[i>>2]=o+4;break}}while(0);k=(f[g>>2]|0)+1|0;f[g>>2]=k;a=f[d>>2]|0}while(k>>>0<(((f[j>>2]|0)-a|0)/12|0)>>>0);u=e;return}function tHa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0;f[a>>2]=0;c=a+4|0;f[c>>2]=0;f[a+8>>2]=0;d=b+4|0;e=(f[d>>2]|0)-(f[b>>2]|0)|0;g=e>>2;if(!g)return;if(g>>>0>1073741823)nsc(a);h=cuc(e)|0;f[c>>2]=h;f[a>>2]=h;f[a+8>>2]=h+(g<<2);g=f[b>>2]|0;b=(f[d>>2]|0)-g|0;if((b|0)<=0)return;szc(h|0,g|0,b|0)|0;f[c>>2]=h+(b>>>2<<2);return}function uHa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;c=a+4|0;d=f[a>>2]|0;e=((f[c>>2]|0)-d|0)/12|0;g=e+1|0;if(g>>>0>357913941)nsc(a);h=a+8|0;i=((f[h>>2]|0)-d|0)/12|0;d=i<<1;j=i>>>0<178956970?(d>>>0<g>>>0?g:d):357913941;do if(j)if(j>>>0>357913941){d=ze(8)|0;kuc(d,519086);f[d>>2]=167148;Hf(d|0,26888,1888)}else{k=cuc(j*12|0)|0;break}else k=0;while(0);d=k+(e*12|0)|0;e=d;g=k+(j*12|0)|0;tHa(d,b);b=d+12|0;j=f[a>>2]|0;k=f[c>>2]|0;if((k|0)==(j|0)){l=e;m=j;n=j}else{i=k;k=e;e=d;do{d=e+-12|0;o=i;i=i+-12|0;f[d>>2]=0;p=e+-8|0;f[p>>2]=0;f[e+-4>>2]=0;f[d>>2]=f[i>>2];d=o+-8|0;f[p>>2]=f[d>>2];p=o+-4|0;f[e+-4>>2]=f[p>>2];f[p>>2]=0;f[d>>2]=0;f[i>>2]=0;e=k+-12|0;k=e}while((i|0)!=(j|0));l=k;m=f[a>>2]|0;n=f[c>>2]|0}f[a>>2]=l;f[c>>2]=b;f[h>>2]=g;g=m;if((n|0)!=(g|0)){h=n;do{n=h;h=h+-12|0;b=f[h>>2]|0;if(b|0){c=n+-8|0;n=f[c>>2]|0;if((n|0)!=(b|0))f[c>>2]=n+(~((n+-4-b|0)>>>2)<<2);fuc(b)}}while((h|0)!=(g|0))}if(!m)return;fuc(m);return}function vHa(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0;g=u;u=u+16|0;h=g;f[h>>2]=d;i=f[e>>2]|0;j=e+4|0;k=f[j>>2]|0;if((k|0)!=(i|0))f[j>>2]=k+(~((k+-4-i|0)>>>2)<<2);i=a+40|0;k=a+44|0;wAa(e,(f[k>>2]|0)-(f[i>>2]|0)>>2);l=f[c+12>>2]|0;if((f[k>>2]|0)==(f[i>>2]|0)){m=1;u=g;return m|0}n=c+20|0;o=a+4|0;p=a+16|0;a=e+8|0;q=0;r=d;a:while(1){b:do if((r|0)<(l|0)){d=r;while(1){s=f[(f[(f[n>>2]|0)+4+(d<<2)>>2]|0)+64>>2]|0;t=b[s+11>>0]|0;if(((t<<24>>24<0?f[s+4>>2]|0:t&255)|0)!=5){v=d;break b}t=(Puc(s,0,-1,399120,5)|0)==0;s=f[h>>2]|0;if(!t){v=s;break b}t=s+1|0;f[h>>2]=t;if((t|0)<(l|0))d=t;else{v=t;break}}}else v=r;while(0);if((v|0)>=(l|0)){m=0;w=38;break}d=f[(f[n>>2]|0)+4+(v<<2)>>2]|0;t=f[d+64>>2]|0;s=f[(f[i>>2]|0)+(q<<2)>>2]|0;x=f[o>>2]|0;y=x+(s*12|0)|0;z=b[t+11>>0]|0;A=z<<24>>24<0;B=z&255;z=A?f[t+4>>2]|0:B;C=b[y+11>>0]|0;D=C<<24>>24<0;if((z|0)!=((D?f[x+(s*12|0)+4>>2]|0:C&255)|0)){m=0;w=38;break}C=f[t>>2]|0;E=A?C:t;F=D?f[y>>2]|0:y;y=(z|0)==0;c:do if(A){if(!y?ahc(E,F,z)|0:0){m=0;w=38;break a}}else if(!y){if((C&255)<<24>>24==(b[F>>0]|0)){G=t;H=B;I=F}else{m=0;w=38;break a}while(1){H=H+-1|0;G=G+1|0;if(!H)break c;I=I+1|0;if((b[G>>0]|0)!=(b[I>>0]|0)){m=0;w=38;break a}}}while(0);F=f[p>>2]|0;B=F+(s*12|0)|0;t=F+(s*12|0)+4|0;F=f[t>>2]|0;C=f[B>>2]|0;if((F-C>>2|0)!=(f[d+12>>2]|0)){m=0;w=38;break}if((F|0)!=(C|0)){F=0;y=C;C=x;while(1){z=f[y+(F<<2)>>2]|0;E=b[C+(z*12|0)+11>>0]|0;if(E<<24>>24<0)J=f[C+(z*12|0)+4>>2]|0;else J=E&255;d:do if(J){E=(kHa(c,d,F)|0)+64|0;z=f[E>>2]|0;E=f[B>>2]|0;A=f[E+(F<<2)>>2]|0;D=f[o>>2]|0;K=D+(A*12|0)|0;L=b[z+11>>0]|0;M=L<<24>>24<0;N=L&255;L=M?f[z+4>>2]|0:N;O=b[K+11>>0]|0;P=O<<24>>24<0;Q=E;if((L|0)!=((P?f[D+(A*12|0)+4>>2]|0:O&255)|0)){m=0;w=38;break a}O=f[z>>2]|0;A=M?O:z;E=P?f[K>>2]|0:K;K=(L|0)==0;if(M){if(K){R=Q;S=D;break}if(!(ahc(A,E,L)|0)){R=Q;S=D;break}else{m=0;w=38;break a}}if(K){R=Q;S=D}else{if((O&255)<<24>>24==(b[E>>0]|0)){T=z;U=N;V=E}else{m=0;w=38;break a}while(1){U=U+-1|0;T=T+1|0;if(!U){R=Q;S=D;break d}V=V+1|0;if((b[T>>0]|0)!=(b[V>>0]|0)){m=0;w=38;break a}}}}else{R=y;S=C}while(0);F=F+1|0;if(F>>>0>=(f[t>>2]|0)-R>>2>>>0)break;else{y=R;C=S}}}C=f[j>>2]|0;if((C|0)==(f[a>>2]|0))es(e,h);else{f[C>>2]=f[h>>2];f[j>>2]=C+4}r=(f[h>>2]|0)+1|0;f[h>>2]=r;q=q+1|0;if(q>>>0>=(f[k>>2]|0)-(f[i>>2]|0)>>2>>>0){m=1;w=38;break}}if((w|0)==38){u=g;return m|0}return 0}function wHa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return}function xHa(a){a=a|0;Qtc(a);fuc(a);return}function yHa(a){a=a|0;var b=0;b=f[a+12>>2]|0;if(!b)return;XGa(b);fuc(b);return}function zHa(a,b){a=a|0;b=b|0;return ((f[b+4>>2]|0)==399257?a+12|0:0)|0}function AHa(a){a=a|0;fuc(a);return}function BHa(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;a=u;u=u+160|0;g=a+136|0;h=a+80|0;i=a+40|0;j=a;k=a+64|0;l=f[(f[e>>2]|0)+4>>2]|0;T5b(l+24|0);f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;m=g+11|0;b[m>>0]=5;b[g>>0]=b[513626]|0;b[g+1>>0]=b[513627]|0;b[g+2>>0]=b[513628]|0;b[g+3>>0]=b[513629]|0;b[g+4>>0]=b[513630]|0;b[g+5>>0]=0;n=XFa(l+48|0,g)|0;CHa(h,(f[n+20>>2]|0)==8?f[n+8>>2]|0:536120);if((b[m>>0]|0)<0)fuc(f[g>>2]|0);m=h+4|0;n=f[m>>2]|0;l=(n|0)<3;if(l)o=Y(f[h+12>>2]|0,f[h+8>>2]|0)|0;else{p=f[h+40>>2]|0;q=0;r=1;while(1){s=Y(f[p+(q<<2)>>2]|0,r)|0;q=q+1|0;if((q|0)==(n|0)){o=s;break}else r=s}}if((o|0)!=2){if(l){t=Y(f[h+12>>2]|0,f[h+8>>2]|0)|0;uN(t,2,111324)}l=f[h+40>>2]|0;o=0;r=1;while(1){q=Y(f[l+(o<<2)>>2]|0,r)|0;o=o+1|0;if((o|0)==(n|0)){t=q;break}else r=q}uN(t,2,111324)}t=f[h>>2]&4095;if((t|0)!=4)rN(t,4,111352);t=f[(f[e>>2]|0)+4>>2]|0;e=t+24|0;T5b(e);S5b(e);f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;e=g+11|0;b[e>>0]=5;b[g>>0]=b[513626]|0;b[g+1>>0]=b[513627]|0;b[g+2>>0]=b[513628]|0;b[g+3>>0]=b[513629]|0;b[g+4>>0]=b[513630]|0;b[g+5>>0]=0;r=OGa(NGa(t+48|0,g)|0)|0;if((b[e>>0]|0)<0)fuc(f[g>>2]|0);f[r+40>>2]=0;e=f[r+152>>2]|0;do if((e|0)!=542896){t=e+11|0;if((b[t>>0]|0)<0){b[f[e>>2]>>0]=0;f[e+4>>2]=0;break}else{b[e>>0]=0;b[t>>0]=0;break}}while(0);e=h+16|0;t=h+44|0;n=f[f[e>>2]>>2]|0;o=r+40|0;l=f[o>>2]|0;if((l|0)==(f[r+44>>2]|0)){NEa(o,l+1|0);v=f[o>>2]|0}else v=l;l=f[r+48>>2]|0;f[o>>2]=v+1;f[l+4+(v<<2)>>2]=n;n=DHa(c)|0;EHa(n,399120);RE(g,f[d+60>>2]|0,399501);c=n+60|0;v=f[n+4>>2]|0;l=v&-2;if(!(v&1))w=l;else w=f[l+4>>2]|0;l=f[c>>2]|0;if((l|0)==542896)QGa(c,w,g);else ruc(l,g)|0;if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);kPa(i);l=(OGa(i)|0)+160|0;f[l>>2]=3;l=OGa(i)|0;w=f[(f[e>>2]|0)+4>>2]|0;c=l+40|0;v=f[c>>2]|0;if((v|0)==(f[l+44>>2]|0)){NEa(c,v+1|0);x=f[c>>2]|0}else x=v;v=f[l+48>>2]|0;f[c>>2]=x+1;f[v+4+(x<<2)>>2]=w;w=n+24|0;T5b(w);S5b(w);f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;w=k+11|0;b[w>>0]=5;b[k>>0]=b[513626]|0;b[k+1>>0]=b[513627]|0;b[k+2>>0]=b[513628]|0;b[k+3>>0]=b[513629]|0;b[k+4>>0]=b[513630]|0;b[k+5>>0]=0;ouc(j,k);x=j+16|0;NQa(x,i);FHa(g,f[n+56>>2]|0,j);if(b[g+12>>0]|0){v=GHa(n+48|0,j)|0;f[(f[g>>2]|0)+12>>2]=v}gPa(x);if((b[j+11>>0]|0)<0)fuc(f[j>>2]|0);if((b[w>>0]|0)<0)fuc(f[k>>2]|0);k=f[n+60>>2]|0;ruc(MEa(d+8|0)|0,k)|0;gPa(i);i=h+36|0;k=f[i>>2]|0;if(k|0?(d=k+12|0,k=f[d>>2]|0,f[d>>2]=k+-1,(k|0)==1):0)aU(h);f[i>>2]=0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((f[m>>2]|0)>0){e=f[h+40>>2]|0;i=0;do{f[e+(i<<2)>>2]=0;i=i+1|0}while((i|0)<(f[m>>2]|0))}m=f[t>>2]|0;if((m|0)==(h+48|0)){u=a;return}TC(m);u=a;return}function CHa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0;d=u;u=u+144|0;e=d+128|0;g=d+72|0;h=d+16|0;i=d;j=f[c+152>>2]|0;switch(f[c+160>>2]|0){case 1:{k=b[j+11>>0]|0;l=k<<24>>24<0;if(l)m=f[j+4>>2]|0;else m=k&255;if(!m){m=f[c+8>>2]|0;if(!m){n=cuc(16)|0;f[e>>2]=n;f[e+8>>2]=-2147483632;f[e+4>>2]=14;o=n;p=399724;q=o+14|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[n+14>>0]=0;WD(-215,e,399739,398695,718)}n=f[c+16>>2]|0;r=(n|0)==0?0:n+4|0;f[g>>2]=1124007941;n=g+4|0;f[n>>2]=2;s=g+8|0;f[s>>2]=1;f[g+12>>2]=m;t=g+16|0;f[t>>2]=r;f[g+20>>2]=r;v=g+24|0;w=g+40|0;f[v>>2]=0;f[v+4>>2]=0;f[v+8>>2]=0;f[v+12>>2]=0;f[w>>2]=s;s=g+48|0;x=g+44|0;f[x>>2]=s;y=g+52|0;f[y>>2]=0;f[s>>2]=0;if(!r){z=cuc(32)|0;f[e>>2]=z;f[e+8>>2]=-2147483616;f[e+4>>2]=28;o=z;p=466324;q=o+28|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[z+28>>0]=0;WD(-215,e,466353,466357,548)}z=m<<2;f[s>>2]=z;f[y>>2]=4;y=r+z|0;f[g+28>>2]=y;f[v>>2]=y+(0-z)+z;YT(g);f[a>>2]=1124007936;z=a+8|0;y=a+40|0;o=a+4|0;q=o+36|0;do{f[o>>2]=0;o=o+4|0}while((o|0)<(q|0));f[y>>2]=z;z=a+48|0;f[a+44>>2]=z;f[z>>2]=0;f[a+52>>2]=0;z=e+8|0;f[z>>2]=0;f[z+4>>2]=0;f[e>>2]=33619968;f[e+4>>2]=a;EI(g,e);z=g+36|0;y=f[z>>2]|0;if(y|0?(v=y+12|0,y=f[v>>2]|0,f[v>>2]=y+-1,(y|0)==1):0)aU(g);f[z>>2]=0;f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;f[t+12>>2]=0;if((f[n>>2]|0)>0){t=f[w>>2]|0;w=0;do{f[t+(w<<2)>>2]=0;w=w+1|0}while((w|0)<(f[n>>2]|0))}n=f[x>>2]|0;if((n|0)!=(s|0))TC(n);u=d;return}if(l){A=f[j+4>>2]|0;B=f[j>>2]|0}else{A=k&255;B=j}k=A>>>2;f[g>>2]=1124007941;A=g+4|0;f[A>>2]=2;l=g+8|0;f[l>>2]=1;f[g+12>>2]=k;n=g+16|0;f[n>>2]=B;f[g+20>>2]=B;s=g+24|0;x=g+40|0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;f[x>>2]=l;l=g+48|0;w=g+44|0;f[w>>2]=l;t=g+52|0;f[t>>2]=0;f[l>>2]=0;if((k|0)!=0&(B|0)==0){z=cuc(32)|0;f[e>>2]=z;f[e+8>>2]=-2147483616;f[e+4>>2]=28;o=z;p=466324;q=o+28|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[z+28>>0]=0;WD(-215,e,466353,466357,548)}z=k<<2;f[l>>2]=z;f[t>>2]=4;t=B+z|0;f[g+28>>2]=t;f[s>>2]=t+(0-z)+z;YT(g);f[a>>2]=1124007936;z=a+8|0;t=a+40|0;o=a+4|0;q=o+36|0;do{f[o>>2]=0;o=o+4|0}while((o|0)<(q|0));f[t>>2]=z;z=a+48|0;f[a+44>>2]=z;f[z>>2]=0;f[a+52>>2]=0;z=e+8|0;f[z>>2]=0;f[z+4>>2]=0;f[e>>2]=33619968;f[e+4>>2]=a;EI(g,e);z=g+36|0;t=f[z>>2]|0;if(t|0?(s=t+12|0,t=f[s>>2]|0,f[s>>2]=t+-1,(t|0)==1):0)aU(g);f[z>>2]=0;f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;f[n+12>>2]=0;if((f[A>>2]|0)>0){n=f[x>>2]|0;x=0;do{f[n+(x<<2)>>2]=0;x=x+1|0}while((x|0)<(f[A>>2]|0))}A=f[w>>2]|0;if((A|0)!=(l|0))TC(A);u=d;return}case 2:{A=b[j+11>>0]|0;l=A<<24>>24<0;if(l)C=f[j+4>>2]|0;else C=A&255;if(!C){C=f[c+24>>2]|0;if(!C){w=cuc(16)|0;f[e>>2]=w;f[e+8>>2]=-2147483632;f[e+4>>2]=14;o=w;p=399724;q=o+14|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[w+14>>0]=0;WD(-215,e,399739,398695,729)}w=f[c+32>>2]|0;x=(w|0)==0?0:w+8|0;f[g>>2]=1124007942;w=g+4|0;f[w>>2]=2;n=g+8|0;f[n>>2]=1;f[g+12>>2]=C;z=g+16|0;f[z>>2]=x;f[g+20>>2]=x;t=g+24|0;s=g+40|0;f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;f[t+12>>2]=0;f[s>>2]=n;n=g+48|0;B=g+44|0;f[B>>2]=n;k=g+52|0;f[k>>2]=0;f[n>>2]=0;if(!x){y=cuc(32)|0;f[e>>2]=y;f[e+8>>2]=-2147483616;f[e+4>>2]=28;o=y;p=466324;q=o+28|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[y+28>>0]=0;WD(-215,e,466353,466357,548)}y=C<<3;f[n>>2]=y;f[k>>2]=8;k=x+y|0;f[g+28>>2]=k;f[t>>2]=k+(0-y)+y;YT(g);f[a>>2]=1124007936;y=a+8|0;k=a+40|0;o=a+4|0;q=o+36|0;do{f[o>>2]=0;o=o+4|0}while((o|0)<(q|0));f[k>>2]=y;y=a+48|0;f[a+44>>2]=y;f[y>>2]=0;f[a+52>>2]=0;y=e+8|0;f[y>>2]=0;f[y+4>>2]=0;f[e>>2]=33619968;f[e+4>>2]=a;EI(g,e);y=g+36|0;k=f[y>>2]|0;if(k|0?(t=k+12|0,k=f[t>>2]|0,f[t>>2]=k+-1,(k|0)==1):0)aU(g);f[y>>2]=0;f[z>>2]=0;f[z+4>>2]=0;f[z+8>>2]=0;f[z+12>>2]=0;if((f[w>>2]|0)>0){z=f[s>>2]|0;s=0;do{f[z+(s<<2)>>2]=0;s=s+1|0}while((s|0)<(f[w>>2]|0))}w=f[B>>2]|0;if((w|0)!=(n|0))TC(w);u=d;return}if(l){D=f[j+4>>2]|0;E=f[j>>2]|0}else{D=A&255;E=j}A=D>>>3;f[g>>2]=1124007942;D=g+4|0;f[D>>2]=2;l=g+8|0;f[l>>2]=1;f[g+12>>2]=A;w=g+16|0;f[w>>2]=E;f[g+20>>2]=E;n=g+24|0;B=g+40|0;f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;f[n+12>>2]=0;f[B>>2]=l;l=g+48|0;s=g+44|0;f[s>>2]=l;z=g+52|0;f[z>>2]=0;f[l>>2]=0;if((A|0)!=0&(E|0)==0){y=cuc(32)|0;f[e>>2]=y;f[e+8>>2]=-2147483616;f[e+4>>2]=28;o=y;p=466324;q=o+28|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[y+28>>0]=0;WD(-215,e,466353,466357,548)}y=A<<3;f[l>>2]=y;f[z>>2]=8;z=E+y|0;f[g+28>>2]=z;f[n>>2]=z+(0-y)+y;YT(g);f[a>>2]=1124007936;y=a+8|0;z=a+40|0;o=a+4|0;q=o+36|0;do{f[o>>2]=0;o=o+4|0}while((o|0)<(q|0));f[z>>2]=y;y=a+48|0;f[a+44>>2]=y;f[y>>2]=0;f[a+52>>2]=0;y=e+8|0;f[y>>2]=0;f[y+4>>2]=0;f[e>>2]=33619968;f[e+4>>2]=a;EI(g,e);y=g+36|0;z=f[y>>2]|0;if(z|0?(n=z+12|0,z=f[n>>2]|0,f[n>>2]=z+-1,(z|0)==1):0)aU(g);f[y>>2]=0;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;f[w+12>>2]=0;if((f[D>>2]|0)>0){w=f[B>>2]|0;B=0;do{f[w+(B<<2)>>2]=0;B=B+1|0}while((B|0)<(f[D>>2]|0))}D=f[s>>2]|0;if((D|0)!=(l|0))TC(D);u=d;return}case 3:{D=b[j+11>>0]|0;l=D<<24>>24<0;if(l)F=f[j+4>>2]|0;else F=D&255;if(!F){F=f[c+40>>2]|0;if(!F){s=cuc(16)|0;f[e>>2]=s;f[e+8>>2]=-2147483632;f[e+4>>2]=14;o=s;p=399724;q=o+14|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[s+14>>0]=0;WD(-215,e,399739,398695,740)}s=f[c+48>>2]|0;B=(s|0)==0?0:s+4|0;f[g>>2]=1124007940;s=g+4|0;f[s>>2]=2;w=g+8|0;f[w>>2]=1;f[g+12>>2]=F;y=g+16|0;f[y>>2]=B;f[g+20>>2]=B;z=g+24|0;n=g+40|0;f[z>>2]=0;f[z+4>>2]=0;f[z+8>>2]=0;f[z+12>>2]=0;f[n>>2]=w;w=g+48|0;E=g+44|0;f[E>>2]=w;A=g+52|0;f[A>>2]=0;f[w>>2]=0;if(!B){k=cuc(32)|0;f[e>>2]=k;f[e+8>>2]=-2147483616;f[e+4>>2]=28;o=k;p=466324;q=o+28|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[k+28>>0]=0;WD(-215,e,466353,466357,548)}k=F<<2;f[w>>2]=k;f[A>>2]=4;A=B+k|0;f[g+28>>2]=A;f[z>>2]=A+(0-k)+k;YT(g);f[a>>2]=1124007936;k=a+8|0;A=a+40|0;o=a+4|0;q=o+36|0;do{f[o>>2]=0;o=o+4|0}while((o|0)<(q|0));f[A>>2]=k;k=a+48|0;f[a+44>>2]=k;f[k>>2]=0;f[a+52>>2]=0;k=e+8|0;f[k>>2]=0;f[k+4>>2]=0;f[e>>2]=33619968;f[e+4>>2]=a;EI(g,e);k=g+36|0;A=f[k>>2]|0;if(A|0?(z=A+12|0,A=f[z>>2]|0,f[z>>2]=A+-1,(A|0)==1):0)aU(g);f[k>>2]=0;f[y>>2]=0;f[y+4>>2]=0;f[y+8>>2]=0;f[y+12>>2]=0;if((f[s>>2]|0)>0){y=f[n>>2]|0;n=0;do{f[y+(n<<2)>>2]=0;n=n+1|0}while((n|0)<(f[s>>2]|0))}s=f[E>>2]|0;if((s|0)!=(w|0))TC(s);u=d;return}if(l){G=f[j+4>>2]|0;H=f[j>>2]|0}else{G=D&255;H=j}D=G>>>2;f[g>>2]=1124007940;G=g+4|0;f[G>>2]=2;l=g+8|0;f[l>>2]=1;f[g+12>>2]=D;s=g+16|0;f[s>>2]=H;f[g+20>>2]=H;w=g+24|0;E=g+40|0;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;f[w+12>>2]=0;f[E>>2]=l;l=g+48|0;n=g+44|0;f[n>>2]=l;y=g+52|0;f[y>>2]=0;f[l>>2]=0;if((D|0)!=0&(H|0)==0){k=cuc(32)|0;f[e>>2]=k;f[e+8>>2]=-2147483616;f[e+4>>2]=28;o=k;p=466324;q=o+28|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[k+28>>0]=0;WD(-215,e,466353,466357,548)}k=D<<2;f[l>>2]=k;f[y>>2]=4;y=H+k|0;f[g+28>>2]=y;f[w>>2]=y+(0-k)+k;YT(g);f[a>>2]=1124007936;k=a+8|0;y=a+40|0;o=a+4|0;q=o+36|0;do{f[o>>2]=0;o=o+4|0}while((o|0)<(q|0));f[y>>2]=k;k=a+48|0;f[a+44>>2]=k;f[k>>2]=0;f[a+52>>2]=0;k=e+8|0;f[k>>2]=0;f[k+4>>2]=0;f[e>>2]=33619968;f[e+4>>2]=a;EI(g,e);k=g+36|0;y=f[k>>2]|0;if(y|0?(w=y+12|0,y=f[w>>2]|0,f[w>>2]=y+-1,(y|0)==1):0)aU(g);f[k>>2]=0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;if((f[G>>2]|0)>0){s=f[E>>2]|0;E=0;do{f[s+(E<<2)>>2]=0;E=E+1|0}while((E|0)<(f[G>>2]|0))}G=f[n>>2]|0;if((G|0)!=(l|0))TC(G);u=d;return}case 19:{f[g>>2]=1124007936;G=g+4|0;l=g+8|0;n=g+40|0;o=G;q=o+36|0;do{f[o>>2]=0;o=o+4|0}while((o|0)<(q|0));f[n>>2]=l;E=g+48|0;s=g+44|0;f[s>>2]=E;f[E>>2]=0;f[g+52>>2]=0;k=b[j+11>>0]|0;y=k<<24>>24<0;if(y)I=f[j+4>>2]|0;else I=k&255;if(!I){I=f[c+136>>2]|0;if(!I){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;w=cuc(16)|0;f[e>>2]=w;f[e+8>>2]=-2147483632;f[e+4>>2]=14;o=w;p=399724;q=o+14|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[w+14>>0]=0;WD(-215,e,399739,398695,755)}w=f[c+144>>2]|0;c=(w|0)==0?0:w+4|0;f[h>>2]=1124007940;w=h+4|0;f[w>>2]=2;H=h+8|0;f[H>>2]=1;f[h+12>>2]=I;D=h+16|0;f[D>>2]=c;f[h+20>>2]=c;A=h+24|0;z=h+40|0;f[A>>2]=0;f[A+4>>2]=0;f[A+8>>2]=0;f[A+12>>2]=0;f[z>>2]=H;H=h+48|0;B=h+44|0;f[B>>2]=H;F=h+52|0;f[F>>2]=0;f[H>>2]=0;if(!c){t=cuc(32)|0;f[e>>2]=t;f[e+8>>2]=-2147483616;f[e+4>>2]=28;o=t;p=466324;q=o+28|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[t+28>>0]=0;WD(-215,e,466353,466357,548)}t=I<<2;f[H>>2]=t;f[F>>2]=4;F=c+t|0;f[h+28>>2]=F;f[A>>2]=F+(0-t)+t;YT(h);t=e+8|0;f[t>>2]=0;f[t+4>>2]=0;f[e>>2]=33619968;f[e+4>>2]=g;kQ(h,e,2,1.0,0.0);t=h+36|0;F=f[t>>2]|0;if(F|0?(A=F+12|0,F=f[A>>2]|0,f[A>>2]=F+-1,(F|0)==1):0)aU(h);f[t>>2]=0;f[D>>2]=0;f[D+4>>2]=0;f[D+8>>2]=0;f[D+12>>2]=0;if((f[w>>2]|0)>0){D=f[z>>2]|0;z=0;do{f[D+(z<<2)>>2]=0;z=z+1|0}while((z|0)<(f[w>>2]|0))}w=f[B>>2]|0;if((w|0)!=(H|0))TC(w);J=g+16|0}else{if(y){K=f[j+4>>2]|0;L=f[j>>2]|0}else{K=k&255;L=j}k=K>>>1;f[h>>2]=1124007938;K=h+4|0;f[K>>2]=2;y=h+8|0;f[y>>2]=1;w=h+12|0;f[w>>2]=k;H=h+16|0;f[H>>2]=L;B=h+20|0;f[B>>2]=L;z=h+24|0;D=h+28|0;t=h+40|0;f[z>>2]=0;f[z+4>>2]=0;f[z+8>>2]=0;f[z+12>>2]=0;f[t>>2]=y;F=h+48|0;f[h+44>>2]=F;A=h+52|0;f[A>>2]=0;f[F>>2]=0;if((k|0)!=0&(L|0)==0){c=cuc(32)|0;f[e>>2]=c;f[e+8>>2]=-2147483616;f[e+4>>2]=28;o=c;p=466324;q=o+28|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[c+28>>0]=0;WD(-215,e,466353,466357,548)}c=k<<1;f[F>>2]=c;f[A>>2]=2;A=L+c|0;f[D>>2]=A;f[z>>2]=A+(0-c)+c;YT(h);c=g+36|0;A=f[c>>2]|0;if(A|0?(L=A+12|0,A=f[L>>2]|0,f[L>>2]=A+-1,(A|0)==1):0)aU(g);f[c>>2]=0;A=g+16|0;f[A>>2]=0;f[A+4>>2]=0;f[A+8>>2]=0;f[A+12>>2]=0;if((f[G>>2]|0)>0){L=f[n>>2]|0;k=0;do{f[L+(k<<2)>>2]=0;k=k+1|0}while((k|0)<(f[G>>2]|0))}f[g>>2]=f[h>>2];k=f[K>>2]|0;f[G>>2]=k;f[l>>2]=f[y>>2];f[g+12>>2]=f[w>>2];f[A>>2]=f[H>>2];f[g+20>>2]=f[B>>2];f[g+24>>2]=f[z>>2];f[g+28>>2]=f[D>>2];f[g+32>>2]=f[h+32>>2];D=h+36|0;f[c>>2]=f[D>>2];c=g+44|0;z=f[c>>2]|0;if((z|0)==(E|0))M=k;else{TC(z);f[c>>2]=E;f[n>>2]=l;M=f[K>>2]|0}l=h+44|0;if((M|0)<3){M=f[l>>2]|0;f[E>>2]=f[M>>2];f[g+52>>2]=f[M+4>>2];N=M}else{f[c>>2]=f[l>>2];f[g+40>>2]=f[t>>2];f[l>>2]=F;f[t>>2]=y;N=F}f[h>>2]=1124007936;f[K>>2]=0;f[K+4>>2]=0;f[K+8>>2]=0;f[K+12>>2]=0;f[K+16>>2]=0;f[K+20>>2]=0;f[K+24>>2]=0;f[K+28>>2]=0;f[D>>2]=0;f[H>>2]=0;f[H+4>>2]=0;f[H+8>>2]=0;f[H+12>>2]=0;if((N|0)!=(F|0))TC(N);J=A}A=f[n>>2]|0;N=f[A+4>>2]|0;F=f[A>>2]|0;A=f[J>>2]|0;f[h>>2]=1124007939;H=h+4|0;f[H>>2]=2;D=h+8|0;f[D>>2]=F;f[h+12>>2]=N;K=h+16|0;f[K>>2]=A;f[h+20>>2]=A;y=h+24|0;t=h+40|0;f[y>>2]=0;f[y+4>>2]=0;f[y+8>>2]=0;f[y+12>>2]=0;f[t>>2]=D;D=h+48|0;l=h+44|0;f[l>>2]=D;c=h+52|0;f[c>>2]=0;f[D>>2]=0;if((Y(F,N)|0)!=0&(A|0)==0){M=cuc(32)|0;f[e>>2]=M;f[e+8>>2]=-2147483616;f[e+4>>2]=28;o=M;p=466324;q=o+28|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[M+28>>0]=0;WD(-215,e,466353,466357,577)}M=N<<1;f[D>>2]=M;f[c>>2]=2;c=A+(Y(F,M)|0)|0;f[h+28>>2]=c;f[y>>2]=c+(0-M)+M;YT(h);M=f[n>>2]|0;c=f[M+4>>2]|0;y=f[M>>2]|0;f[a>>2]=1124007936;M=a+8|0;F=a+40|0;o=a+4|0;q=o+36|0;do{f[o>>2]=0;o=o+4|0}while((o|0)<(q|0));f[F>>2]=M;M=a+48|0;f[a+44>>2]=M;f[M>>2]=0;f[a+52>>2]=0;f[e>>2]=y;f[e+4>>2]=c;ZT(a,2,e,5);f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=h;c=i+8|0;f[c>>2]=0;f[c+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=a;lQ(e,i);i=h+36|0;c=f[i>>2]|0;if(c|0?(y=c+12|0,c=f[y>>2]|0,f[y>>2]=c+-1,(c|0)==1):0)aU(h);f[i>>2]=0;f[K>>2]=0;f[K+4>>2]=0;f[K+8>>2]=0;f[K+12>>2]=0;if((f[H>>2]|0)>0){K=f[t>>2]|0;t=0;do{f[K+(t<<2)>>2]=0;t=t+1|0}while((t|0)<(f[H>>2]|0))}H=f[l>>2]|0;if((H|0)!=(D|0))TC(H);H=g+36|0;D=f[H>>2]|0;if(D|0?(l=D+12|0,D=f[l>>2]|0,f[l>>2]=D+-1,(D|0)==1):0)aU(g);f[H>>2]=0;f[J>>2]=0;f[J+4>>2]=0;f[J+8>>2]=0;f[J+12>>2]=0;if((f[G>>2]|0)>0){J=f[n>>2]|0;n=0;do{f[J+(n<<2)>>2]=0;n=n+1|0}while((n|0)<(f[G>>2]|0))}G=f[s>>2]|0;if((G|0)!=(E|0))TC(G);u=d;return}case 12:{G=b[j+11>>0]|0;E=G<<24>>24<0;if(E)O=f[j+4>>2]|0;else O=G&255;if(!O){O=cuc(32)|0;f[e>>2]=O;f[e+8>>2]=-2147483616;f[e+4>>2]=16;o=O;p=399756;q=o+16|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[O+16>>0]=0;WD(-215,e,399739,398695,767)}if(E){P=f[j+4>>2]|0;Q=f[j>>2]|0}else{P=G&255;Q=j}f[g>>2]=1124007936;j=g+4|0;f[j>>2]=2;G=g+8|0;f[G>>2]=1;f[g+12>>2]=P;E=g+16|0;f[E>>2]=Q;f[g+20>>2]=Q;O=g+24|0;s=g+40|0;f[O>>2]=0;f[O+4>>2]=0;f[O+8>>2]=0;f[O+12>>2]=0;f[s>>2]=G;G=g+48|0;n=g+44|0;f[n>>2]=G;J=g+52|0;f[J>>2]=0;f[G>>2]=0;if((P|0)!=0&(Q|0)==0){H=cuc(32)|0;f[e>>2]=H;f[e+8>>2]=-2147483616;f[e+4>>2]=28;o=H;p=466324;q=o+28|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[H+28>>0]=0;WD(-215,e,466353,466357,548)}f[G>>2]=P;f[J>>2]=1;J=Q+P|0;f[g+28>>2]=J;f[O>>2]=J+(0-P)+P;YT(g);f[a>>2]=1124007936;P=a+8|0;J=a+40|0;o=a+4|0;q=o+36|0;do{f[o>>2]=0;o=o+4|0}while((o|0)<(q|0));f[J>>2]=P;P=a+48|0;f[a+44>>2]=P;f[P>>2]=0;f[a+52>>2]=0;P=e+8|0;f[P>>2]=0;f[P+4>>2]=0;f[e>>2]=33619968;f[e+4>>2]=a;EI(g,e);a=g+36|0;P=f[a>>2]|0;if(P|0?(J=P+12|0,P=f[J>>2]|0,f[J>>2]=P+-1,(P|0)==1):0)aU(g);f[a>>2]=0;f[E>>2]=0;f[E+4>>2]=0;f[E+8>>2]=0;f[E+12>>2]=0;if((f[j>>2]|0)>0){E=f[s>>2]|0;s=0;do{f[E+(s<<2)>>2]=0;s=s+1|0}while((s|0)<(f[j>>2]|0))}j=f[n>>2]|0;if((j|0)!=(G|0))TC(j);u=d;return}default:{d=cuc(48)|0;f[e>>2]=d;f[e+8>>2]=-2147483600;f[e+4>>2]=35;o=d;p=399773;q=o+35|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[d+35>>0]=0;WD(-2,e,399739,398695,771)}}}function DHa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;b=a+8|0;c=a+20|0;d=f[c>>2]|0;do if(!d){e=a+12|0;g=f[a+16>>2]|0;h=6}else{i=a+12|0;j=f[i>>2]|0;k=f[d>>2]|0;if((j|0)>=(k|0))if((k|0)==(f[a+16>>2]|0)){e=i;g=k;h=6;break}else{l=i;m=k;n=d;break}f[i>>2]=j+1;o=f[d+4+(j<<2)>>2]|0;return o|0}while(0);if((h|0)==6){LKb(b,g+1|0);g=f[c>>2]|0;l=e;m=f[g>>2]|0;n=g}f[n>>2]=m+1;m=f[b>>2]|0;if(!m){b=cuc(76)|0;VRa(b);p=b}else{if(f[m+64>>2]|0)HIb(m,19512,80);b=FIb(m,80)|0;dTa(b,m);p=b}b=f[c>>2]|0;c=f[l>>2]|0;f[l>>2]=c+1;f[b+4+(c<<2)>>2]=p;o=p;return o|0}function EHa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;d=u;u=u+16|0;e=d;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;g=jfc(c)|0;if(g>>>0>4294967279)muc(e);if(g>>>0<11){b[e+11>>0]=g;if(!g)h=e;else{i=e;j=6}}else{k=g+16&-16;l=cuc(k)|0;f[e>>2]=l;f[e+8>>2]=k|-2147483648;f[e+4>>2]=g;i=l;j=6}if((j|0)==6){szc(i|0,c|0,g|0)|0;h=i}b[h+g>>0]=0;g=f[a+4>>2]|0;h=g&-2;if(!(g&1))m=h;else m=f[h+4>>2]|0;h=a+64|0;a=f[h>>2]|0;if((a|0)==542896)QGa(h,m,e);else ruc(a,e)|0;if((b[e+11>>0]|0)>=0){u=d;return}fuc(f[e>>2]|0);u=d;return}function FHa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=u;u=u+32|0;g=e+16|0;h=e;VFa(g,c,d,0);i=f[g>>2]|0;if(i|0){j=f[g+4>>2]|0;k=f[g+8>>2]|0;f[a>>2]=i;f[a+4>>2]=j;f[a+8>>2]=k;b[a+12>>0]=0;u=e;return}k=(f[c>>2]|0)+1|0;j=f[c+4>>2]|0;i=j*12|0;l=i>>>4;if(l>>>0>k>>>0){if(j>>>0>8&i>>>6>>>0>=k>>>0){i=((k*5|0)>>>2)+1|0;k=1;while(1)if(i<<k>>>0<l>>>0)k=k+1|0;else break;l=j>>>k;k=l>>>0>8?l:8;if((k|0)!=(j|0)){CGa(c,k);m=11}}}else if(j>>>0<=134217728){CGa(c,j<<1);m=11}if((m|0)==11){VFa(h,c,d,0);f[g>>2]=f[h>>2];f[g+4>>2]=f[h+4>>2];f[g+8>>2]=f[h+8>>2];f[g+12>>2]=f[h+12>>2]}m=f[g+12>>2]|0;g=f[c+20>>2]|0;if(!g)n=cuc(20)|0;else{if(f[g+64>>2]|0)HIb(g,27016,24);n=FIb(g,24)|0}ouc(n,d);DGa(h,c,m,n);f[c>>2]=(f[c>>2]|0)+1;f[a>>2]=f[h>>2];f[a+4>>2]=f[h+4>>2];f[a+8>>2]=f[h+8>>2];b[a+12>>0]=1;u=e;return}function GHa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=f[a>>2]|0;if(!c){d=cuc(40)|0;ouc(d,b);NQa(d+16|0,b+16|0);e=d;return e|0}if(f[c+64>>2]|0)HIb(c,27016,40);d=FIb(c,40)|0;c=f[a>>2]|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;BGa(c,d);c=d+16|0;lPa(c,f[a>>2]|0);ruc(d,b)|0;OQa(c,b+16|0);e=d;return e|0}function HHa(a){a=a|0;Qtc(a);fuc(a);return}function IHa(a){a=a|0;var b=0;b=f[a+12>>2]|0;if(!b)return;XGa(b);fuc(b);return}function JHa(a,b){a=a|0;b=b|0;return ((f[b+4>>2]|0)==399860?a+12|0:0)|0}function KHa(a){a=a|0;fuc(a);return}function LHa(a){a=a|0;Qtc(a);fuc(a);return}function MHa(a){a=a|0;var b=0;b=f[a+12>>2]|0;if(!b)return;XGa(b);fuc(b);return}function NHa(a,b){a=a|0;b=b|0;return ((f[b+4>>2]|0)==400128?a+12|0:0)|0}function OHa(a){a=a|0;fuc(a);return}function PHa(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;c=u;u=u+32|0;a=c+12|0;g=c;h=d+24|0;T5b(h);i=d+48|0;f[g+8>>2]=0;d=g+11|0;b[d>>0]=7;b[g>>0]=b[453204]|0;b[g+1>>0]=b[453205]|0;b[g+2>>0]=b[453206]|0;b[g+3>>0]=b[453207]|0;b[g+4>>0]=b[453208]|0;b[g+5>>0]=b[453209]|0;b[g+6>>0]=b[453210]|0;b[g+7>>0]=0;j=XFa(i,g)|0;ouc(a,(f[j+20>>2]|0)==2?f[j+8>>2]|0:542896);if((b[d>>0]|0)<0)fuc(f[g>>2]|0);d=a+11|0;j=b[d>>0]|0;if(((j<<24>>24<0?f[a+4>>2]|0:j&255)|0)!=4){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;k=cuc(32)|0;f[g>>2]=k;l=g+8|0;f[l>>2]=-2147483616;m=g+4|0;f[m>>2]=17;n=k;o=400367;p=n+17|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));q=k+17|0;b[q>>0]=0;WD(-215,g,476610,398695,526)}if(Puc(a,0,-1,474251,4)|0){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;k=cuc(32)|0;f[g>>2]=k;l=g+8|0;f[l>>2]=-2147483616;m=g+4|0;f[m>>2]=17;n=k;o=400367;p=n+17|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));q=k+17|0;b[q>>0]=0;WD(-215,g,476610,398695,526)}T5b(h);f[g+8>>2]=0;h=g+11|0;b[h>>0]=7;b[g>>0]=b[400385]|0;b[g+1>>0]=b[400386]|0;b[g+2>>0]=b[400387]|0;b[g+3>>0]=b[400388]|0;b[g+4>>0]=b[400389]|0;b[g+5>>0]=b[400390]|0;b[g+6>>0]=b[400391]|0;b[g+7>>0]=0;q=XFa(i,g)|0;i=(f[q+20>>2]|0)==1?f[q+8>>2]|0:535808;if((b[h>>0]|0)<0)fuc(f[g>>2]|0);if((f[i+24>>2]|0)!=4){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;h=cuc(32)|0;f[g>>2]=h;f[g+8>>2]=-2147483616;f[g+4>>2]=21;n=h;o=400393;p=n+21|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));b[h+21>>0]=0;WD(-215,g,476610,398695,529)}h=f[i+32>>2]|0;i=f[h+16>>2]|0;o=f[h+24>>2]|0;h=f[f[e>>2]>>2]|0;e=h+24|0;T5b(e);S5b(e);f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;e=g+11|0;b[e>>0]=5;b[g>>0]=b[513626]|0;b[g+1>>0]=b[513627]|0;b[g+2>>0]=b[513628]|0;b[g+3>>0]=b[513629]|0;b[g+4>>0]=b[513630]|0;b[g+5>>0]=0;n=OGa(NGa(h+48|0,g)|0)|0;if((b[e>>0]|0)<0)fuc(f[g>>2]|0);f[n+40>>2]=0;g=n+40|0;e=n+44|0;if(!(f[e>>2]|0)){NEa(g,1);r=f[g>>2]|0}else r=0;h=n+48|0;n=f[h>>2]|0;f[g>>2]=r+1;f[n+4+(r<<2)>>2]=-1;r=f[g>>2]|0;if((r|0)==(f[e>>2]|0)){NEa(g,r+1|0);s=f[g>>2]|0;t=f[h>>2]|0}else{s=r;t=n}f[g>>2]=s+1;f[t+4+(s<<2)>>2]=i;i=f[g>>2]|0;if((i|0)==(f[e>>2]|0)){NEa(g,i+1|0);v=f[g>>2]|0;w=f[h>>2]|0}else{v=i;w=t}f[g>>2]=v+1;f[w+4+(v<<2)>>2]=o;o=f[g>>2]|0;if((o|0)==(f[e>>2]|0)){NEa(g,o+1|0);x=f[g>>2]|0;y=f[h>>2]|0}else{x=o;y=w}f[g>>2]=x+1;f[y+4+(x<<2)>>2]=-1;if((b[d>>0]|0)>=0){u=c;return}fuc(f[a>>2]|0);u=c;return}function QHa(a){a=a|0;Qtc(a);fuc(a);return}function RHa(a){a=a|0;var b=0;b=f[a+12>>2]|0;if(!b)return;XGa(b);fuc(b);return}function SHa(a,b){a=a|0;b=b|0;return ((f[b+4>>2]|0)==400473?a+12|0:0)|0}function THa(a){a=a|0;fuc(a);return}function UHa(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;c=u;u=u+32|0;a=c+12|0;g=c;T5b(d+24|0);f[g+8>>2]=0;h=g+11|0;b[h>>0]=7;b[g>>0]=b[453204]|0;b[g+1>>0]=b[453205]|0;b[g+2>>0]=b[453206]|0;b[g+3>>0]=b[453207]|0;b[g+4>>0]=b[453208]|0;b[g+5>>0]=b[453209]|0;b[g+6>>0]=b[453210]|0;b[g+7>>0]=0;i=XFa(d+48|0,g)|0;ouc(a,(f[i+20>>2]|0)==2?f[i+8>>2]|0:542896);if((b[h>>0]|0)<0)fuc(f[g>>2]|0);h=a+11|0;i=b[h>>0]|0;if(((i<<24>>24<0?f[a+4>>2]|0:i&255)|0)!=5){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;j=cuc(32)|0;f[g>>2]=j;k=g+8|0;f[k>>2]=-2147483616;l=g+4|0;f[l>>2]=18;m=j;n=400698;o=m+18|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));p=j+18|0;b[p>>0]=0;WD(-215,g,476610,398695,467)}if(Puc(a,0,-1,474245,5)|0){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;j=cuc(32)|0;f[g>>2]=j;k=g+8|0;f[k>>2]=-2147483616;l=g+4|0;f[l>>2]=18;m=j;n=400698;o=m+18|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));p=j+18|0;b[p>>0]=0;WD(-215,g,476610,398695,467)}p=f[(f[e>>2]|0)+4>>2]|0;j=p+24|0;T5b(j);S5b(j);f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;j=g+11|0;b[j>>0]=5;b[g>>0]=b[513626]|0;b[g+1>>0]=b[513627]|0;b[g+2>>0]=b[513628]|0;b[g+3>>0]=b[513629]|0;b[g+4>>0]=b[513630]|0;b[g+5>>0]=0;l=NGa(p+48|0,g)|0;p=f[((f[l+20>>2]|0)==8?f[l+8>>2]|0:536120)+156>>2]|0;l=p|0?p:536504;if((b[j>>0]|0)<0)fuc(f[g>>2]|0);if((f[l+12>>2]|0)!=4){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;j=cuc(32)|0;f[g>>2]=j;f[g+8>>2]=-2147483616;f[g+4>>2]=27;m=j;n=400717;o=m+27|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));b[j+27>>0]=0;WD(-215,g,476610,398695,472)}j=f[l+20>>2]|0;l=f[(f[j+4>>2]|0)+16>>2]|0;n=f[(f[j+8>>2]|0)+16>>2]|0;j=f[f[e>>2]>>2]|0;e=j+24|0;T5b(e);S5b(e);f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;e=g+11|0;b[e>>0]=5;b[g>>0]=b[513626]|0;b[g+1>>0]=b[513627]|0;b[g+2>>0]=b[513628]|0;b[g+3>>0]=b[513629]|0;b[g+4>>0]=b[513630]|0;b[g+5>>0]=0;m=OGa(NGa(j+48|0,g)|0)|0;if((b[e>>0]|0)<0)fuc(f[g>>2]|0);f[m+40>>2]=0;g=m+40|0;e=m+44|0;if(!(f[e>>2]|0)){NEa(g,1);q=f[g>>2]|0}else q=0;j=m+48|0;m=f[j>>2]|0;f[g>>2]=q+1;f[m+4+(q<<2)>>2]=-1;q=f[g>>2]|0;if((q|0)==(f[e>>2]|0)){NEa(g,q+1|0);r=f[g>>2]|0;s=f[j>>2]|0}else{r=q;s=m}f[g>>2]=r+1;f[s+4+(r<<2)>>2]=l;l=f[g>>2]|0;if((l|0)==(f[e>>2]|0)){NEa(g,l+1|0);t=f[g>>2]|0;v=f[j>>2]|0}else{t=l;v=s}f[g>>2]=t+1;f[v+4+(t<<2)>>2]=n;n=f[g>>2]|0;if((n|0)==(f[e>>2]|0)){NEa(g,n+1|0);w=f[g>>2]|0;x=f[j>>2]|0}else{w=n;x=v}f[g>>2]=w+1;f[x+4+(w<<2)>>2]=-1;if((b[h>>0]|0)>=0){u=c;return}fuc(f[a>>2]|0);u=c;return}function VHa(a){a=a|0;Qtc(a);fuc(a);return}function WHa(a){a=a|0;var b=0;b=f[a+12>>2]|0;if(!b)return;XGa(b);fuc(b);return}function XHa(a,b){a=a|0;b=b|0;return ((f[b+4>>2]|0)==400804?a+12|0:0)|0}function YHa(a){a=a|0;fuc(a);return}function ZHa(a){a=a|0;Qtc(a);fuc(a);return}function _Ha(a){a=a|0;var b=0;b=f[a+12>>2]|0;if(!b)return;XGa(b);fuc(b);return}function $Ha(a,b){a=a|0;b=b|0;return ((f[b+4>>2]|0)==401078?a+12|0:0)|0}function aIa(a){a=a|0;fuc(a);return}function bIa(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;c=u;u=u+32|0;g=c+12|0;h=c;i=a+64|0;a=(f[i>>2]|0)+1|0;f[g>>2]=0;j=g+4|0;f[j>>2]=0;f[g+8>>2]=0;if(a>>>0>1073741823)nsc(g);k=a<<2;l=cuc(k)|0;f[g>>2]=l;m=l+(a<<2)|0;f[g+8>>2]=m;kzc(l|0,0,k|0)|0;f[j>>2]=m;f[l>>2]=-1;if((f[i>>2]|0)>0){l=h+11|0;m=h+5|0;k=0;do{k=k+1|0;a=f[(f[e>>2]|0)+(k<<2)>>2]|0;T5b(a+24|0);f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;b[l>>0]=5;b[h>>0]=b[513626]|0;b[h+1>>0]=b[513627]|0;b[h+2>>0]=b[513628]|0;b[h+3>>0]=b[513629]|0;b[h+4>>0]=b[513630]|0;b[m>>0]=0;n=XFa(a+48|0,h)|0;f[(f[g>>2]|0)+(k<<2)>>2]=f[(f[((f[n+20>>2]|0)==8?f[n+8>>2]|0:536120)+48>>2]|0)+4>>2];if((b[l>>0]|0)<0)fuc(f[h>>2]|0)}while((k|0)<(f[i>>2]|0))}k=f[(f[e>>2]|0)+4>>2]|0;e=k+24|0;T5b(e);S5b(e);f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;e=h+11|0;b[e>>0]=5;b[h>>0]=b[513626]|0;b[h+1>>0]=b[513627]|0;b[h+2>>0]=b[513628]|0;b[h+3>>0]=b[513629]|0;b[h+4>>0]=b[513630]|0;b[h+5>>0]=0;l=OGa(NGa(k+48|0,h)|0)|0;if((b[e>>0]|0)<0)fuc(f[h>>2]|0);h=d+8|0;e=f[i>>2]|0;i=e+-1|0;if((e|0)>1){e=d+20|0;d=0;do{k=f[(f[e>>2]|0)+4+(d+2<<2)>>2]|0;if(!((k|0)==0|(f[h>>2]|0)!=0)){if((b[k+11>>0]|0)<0)fuc(f[k>>2]|0);fuc(k)}d=d+1|0}while((d|0)!=(i|0));MKb(h,2,i)}f[l+40>>2]=0;i=f[j>>2]|0;h=f[g>>2]|0;d=h;e=i;a:do if((i|0)==(h|0)){o=d;p=e}else{k=l+40|0;m=l+44|0;n=l+48|0;a=0;q=e;r=d;s=h;t=i;v=d;w=0;while(1){x=f[v+(a<<2)>>2]|0;if((w|0)==(f[m>>2]|0)){NEa(k,w+1|0);y=f[j>>2]|0;z=f[g>>2]|0;A=f[k>>2]|0;B=z;C=y;D=y;E=z}else{A=w;B=s;C=t;D=q;E=r}z=f[n>>2]|0;f[k>>2]=A+1;f[z+4+(A<<2)>>2]=x;x=a+1|0;if(x>>>0>=C-B>>2>>>0){o=E;p=D;break a}a=x;q=D;r=E;s=B;t=C;v=B;w=f[k>>2]|0}}while(0);if(!o){u=c;return}if((p|0)!=(o|0))f[j>>2]=p+(~((p+-4-o|0)>>>2)<<2);fuc(o);u=c;return}function cIa(a){a=a|0;Qtc(a);fuc(a);return}function dIa(a){a=a|0;var b=0;b=f[a+12>>2]|0;if(!b)return;XGa(b);fuc(b);return}function eIa(a,b){a=a|0;b=b|0;return ((f[b+4>>2]|0)==401325?a+12|0:0)|0}function fIa(a){a=a|0;fuc(a);return}function gIa(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0;g=u;u=u+80|0;h=g+16|0;i=g;if(!(vHa(a,c,d,e)|0)){j=0;u=g;return j|0}e=f[(f[c+20>>2]|0)+4+(d+1<<2)>>2]|0;T5b(e+24|0);f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;d=i+11|0;b[d>>0]=5;b[i>>0]=b[513626]|0;b[i+1>>0]=b[513627]|0;b[i+2>>0]=b[513628]|0;b[i+3>>0]=b[513629]|0;b[i+4>>0]=b[513630]|0;b[i+5>>0]=0;c=XFa(e+48|0,i)|0;CHa(h,(f[c+20>>2]|0)==8?f[c+8>>2]|0:536120);if((b[d>>0]|0)<0)fuc(f[i>>2]|0);if((f[h>>2]&4095|0)==5){i=f[h+4>>2]|0;if((i|0)<3)k=Y(f[h+12>>2]|0,f[h+8>>2]|0)|0;else{d=f[h+40>>2]|0;c=0;e=1;while(1){a=Y(f[d+(c<<2)>>2]|0,e)|0;c=c+1|0;if((c|0)==(i|0)){k=a;break}else e=a}}if((k|0)==1)l=+n[f[h+16>>2]>>2]==6.0;else l=0}else l=0;k=h+36|0;e=f[k>>2]|0;if(e|0?(i=e+12|0,e=f[i>>2]|0,f[i>>2]=e+-1,(e|0)==1):0)aU(h);f[k>>2]=0;k=h+16|0;e=h+4|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;if((f[e>>2]|0)>0){k=f[h+40>>2]|0;i=0;do{f[k+(i<<2)>>2]=0;i=i+1|0}while((i|0)<(f[e>>2]|0))}e=f[h+44>>2]|0;if((e|0)!=(h+48|0))TC(e);j=l;u=g;return j|0}function hIa(a){a=a|0;Qtc(a);fuc(a);return}function iIa(a){a=a|0;var b=0;b=f[a+12>>2]|0;if(!b)return;XGa(b);fuc(b);return}function jIa(a,b){a=a|0;b=b|0;return ((f[b+4>>2]|0)==401580?a+12|0:0)|0}function kIa(a){a=a|0;fuc(a);return}function lIa(a){a=a|0;Qtc(a);fuc(a);return}function mIa(a){a=a|0;var b=0;b=f[a+12>>2]|0;if(!b)return;XGa(b);fuc(b);return}function nIa(a,b){a=a|0;b=b|0;return ((f[b+4>>2]|0)==401847?a+12|0:0)|0}function oIa(a){a=a|0;fuc(a);return}function pIa(a){a=a|0;Qtc(a);fuc(a);return}function qIa(a){a=a|0;var b=0;b=f[a+12>>2]|0;if(!b)return;XGa(b);fuc(b);return}function rIa(a,b){a=a|0;b=b|0;return ((f[b+4>>2]|0)==402094?a+12|0:0)|0}function sIa(a){a=a|0;fuc(a);return}function tIa(a){a=a|0;Qtc(a);fuc(a);return}function uIa(a){a=a|0;var b=0;b=f[a+12>>2]|0;if(!b)return;XGa(b);fuc(b);return}function vIa(a,b){a=a|0;b=b|0;return ((f[b+4>>2]|0)==402326?a+12|0:0)|0}function wIa(a){a=a|0;fuc(a);return}function xIa(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;a=u;u=u+160|0;g=a+136|0;h=a+80|0;i=a+40|0;j=a;k=a+64|0;l=f[(f[e+4>>2]|0)+-4>>2]|0;T5b(l+24|0);f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;e=g+11|0;b[e>>0]=5;b[g>>0]=b[513626]|0;b[g+1>>0]=b[513627]|0;b[g+2>>0]=b[513628]|0;b[g+3>>0]=b[513629]|0;b[g+4>>0]=b[513630]|0;b[g+5>>0]=0;m=XFa(l+48|0,g)|0;CHa(h,(f[m+20>>2]|0)==8?f[m+8>>2]|0:536120);if((b[e>>0]|0)<0)fuc(f[g>>2]|0);e=h+4|0;m=f[e>>2]|0;l=(m|0)<3;if(l)n=Y(f[h+12>>2]|0,f[h+8>>2]|0)|0;else{o=f[h+40>>2]|0;p=0;q=1;while(1){r=Y(f[o+(p<<2)>>2]|0,q)|0;p=p+1|0;if((p|0)==(m|0)){n=r;break}else q=r}}if((n|0)!=1){if(l){s=Y(f[h+12>>2]|0,f[h+8>>2]|0)|0;uN(s,1,111540)}l=f[h+40>>2]|0;n=0;q=1;while(1){p=Y(f[l+(n<<2)>>2]|0,q)|0;n=n+1|0;if((n|0)==(m|0)){s=p;break}else q=p}uN(s,1,111540)}s=f[h>>2]&4095;if((s|0)!=5)rN(s,5,111568);s=d+20|0;q=f[s>>2]|0;m=d+12|0;n=(f[m>>2]|0)+-1|0;f[m>>2]=n;m=f[q+4+(n<<2)>>2]|0;n=m+11|0;if((b[n>>0]|0)<0){b[f[m>>2]>>0]=0;f[m+4>>2]=0}else{b[m>>0]=0;b[n>>0]=0}oTa(d);kPa(i);n=h+16|0;m=f[f[n>>2]>>2]|0;q=i+20|0;if((f[q>>2]|0)!=4){MOa(i);f[q>>2]=4}f[i+8>>2]=m;m=d+24|0;T5b(m);S5b(m);f[k+8>>2]=0;m=k+11|0;b[m>>0]=7;b[k>>0]=b[402548]|0;b[k+1>>0]=b[402549]|0;b[k+2>>0]=b[402550]|0;b[k+3>>0]=b[402551]|0;b[k+4>>0]=b[402552]|0;b[k+5>>0]=b[402553]|0;b[k+6>>0]=b[402554]|0;b[k+7>>0]=0;ouc(j,k);q=j+16|0;NQa(q,i);FHa(g,f[d+56>>2]|0,j);if(b[g+12>>0]|0){l=GHa(d+48|0,j)|0;f[(f[g>>2]|0)+12>>2]=l}gPa(q);if((b[j+11>>0]|0)<0)fuc(f[j>>2]|0);if((b[m>>0]|0)<0)fuc(f[k>>2]|0);m=DHa(c)|0;EHa(m,399120);RE(g,f[d+60>>2]|0,402556);d=m+60|0;c=f[m+4>>2]|0;q=c&-2;if(!(c&1))t=q;else t=f[q+4>>2]|0;q=f[d>>2]|0;if((q|0)==542896)QGa(d,t,g);else ruc(q,g)|0;if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);q=m+24|0;T5b(q);S5b(q);f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;q=k+11|0;b[q>>0]=5;b[k>>0]=b[513626]|0;b[k+1>>0]=b[513627]|0;b[k+2>>0]=b[513628]|0;b[k+3>>0]=b[513629]|0;b[k+4>>0]=b[513630]|0;b[k+5>>0]=0;ouc(j,k);t=j+16|0;NQa(t,i);FHa(g,f[m+56>>2]|0,j);if(b[g+12>>0]|0){d=GHa(m+48|0,j)|0;f[(f[g>>2]|0)+12>>2]=d}gPa(t);if((b[j+11>>0]|0)<0)fuc(f[j>>2]|0);if((b[q>>0]|0)<0)fuc(f[k>>2]|0);ruc(f[(f[s>>2]|0)+8>>2]|0,f[m+60>>2]|0)|0;gPa(i);i=h+36|0;m=f[i>>2]|0;if(m|0?(s=m+12|0,m=f[s>>2]|0,f[s>>2]=m+-1,(m|0)==1):0)aU(h);f[i>>2]=0;f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;f[n+12>>2]=0;if((f[e>>2]|0)>0){n=f[h+40>>2]|0;i=0;do{f[n+(i<<2)>>2]=0;i=i+1|0}while((i|0)<(f[e>>2]|0))}e=f[h+44>>2]|0;if((e|0)==(h+48|0)){u=a;return}TC(e);u=a;return}function yIa(a){a=a|0;Qtc(a);fuc(a);return}function zIa(a){a=a|0;var b=0;b=f[a+12>>2]|0;if(!b)return;XGa(b);fuc(b);return}function AIa(a,b){a=a|0;b=b|0;return ((f[b+4>>2]|0)==402802?a+12|0:0)|0}function BIa(a){a=a|0;fuc(a);return}function CIa(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;c=u;u=u+160|0;a=c+136|0;g=c+80|0;h=c+40|0;i=c;j=c+64|0;k=f[(f[e+4>>2]|0)+-4>>2]|0;T5b(k+24|0);f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;e=a+11|0;b[e>>0]=5;b[a>>0]=b[513626]|0;b[a+1>>0]=b[513627]|0;b[a+2>>0]=b[513628]|0;b[a+3>>0]=b[513629]|0;b[a+4>>0]=b[513630]|0;b[a+5>>0]=0;l=XFa(k+48|0,a)|0;CHa(g,(f[l+20>>2]|0)==8?f[l+8>>2]|0:536120);if((b[e>>0]|0)<0)fuc(f[a>>2]|0);e=g+4|0;l=f[e>>2]|0;k=(l|0)<3;if(k)m=Y(f[g+12>>2]|0,f[g+8>>2]|0)|0;else{n=f[g+40>>2]|0;o=0;p=1;while(1){q=Y(f[n+(o<<2)>>2]|0,p)|0;o=o+1|0;if((o|0)==(l|0)){m=q;break}else p=q}}if((m|0)!=1){if(k){r=Y(f[g+12>>2]|0,f[g+8>>2]|0)|0;uN(r,1,111628)}k=f[g+40>>2]|0;m=0;p=1;while(1){o=Y(f[k+(m<<2)>>2]|0,p)|0;m=m+1|0;if((m|0)==(l|0)){r=o;break}else p=o}uN(r,1,111628)}r=f[g>>2]&4095;if((r|0)!=5)rN(r,5,111656);r=f[d+20>>2]|0;p=d+12|0;l=(f[p>>2]|0)+-1|0;f[p>>2]=l;p=f[r+4+(l<<2)>>2]|0;l=p+11|0;if((b[l>>0]|0)<0){b[f[p>>2]>>0]=0;f[p+4>>2]=0}else{b[p>>0]=0;b[l>>0]=0}oTa(d);kPa(h);l=g+16|0;p=f[f[l>>2]>>2]|0;r=h+20|0;if((f[r>>2]|0)!=4){MOa(h);f[r>>2]=4}f[h+8>>2]=p;p=d+24|0;T5b(p);S5b(p);f[j+8>>2]=0;p=j+11|0;b[p>>0]=7;b[j>>0]=b[402548]|0;b[j+1>>0]=b[402549]|0;b[j+2>>0]=b[402550]|0;b[j+3>>0]=b[402551]|0;b[j+4>>0]=b[402552]|0;b[j+5>>0]=b[402553]|0;b[j+6>>0]=b[402554]|0;b[j+7>>0]=0;ouc(i,j);r=i+16|0;NQa(r,h);FHa(a,f[d+56>>2]|0,i);if(b[a+12>>0]|0){m=GHa(d+48|0,i)|0;f[(f[a>>2]|0)+12>>2]=m}gPa(r);if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0);if((b[p>>0]|0)<0)fuc(f[j>>2]|0);gPa(h);h=g+36|0;j=f[h>>2]|0;if(j|0?(p=j+12|0,j=f[p>>2]|0,f[p>>2]=j+-1,(j|0)==1):0)aU(g);f[h>>2]=0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;if((f[e>>2]|0)>0){l=f[g+40>>2]|0;h=0;do{f[l+(h<<2)>>2]=0;h=h+1|0}while((h|0)<(f[e>>2]|0))}e=f[g+44>>2]|0;if((e|0)==(g+48|0)){u=c;return}TC(e);u=c;return}function DIa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;c=u;u=u+48|0;d=c;e=c+36|0;g=c+24|0;h=c+12|0;f[e+4>>2]=0;f[e+8>>2]=0;i=e+4|0;f[e>>2]=i;f[g>>2]=0;j=g+4|0;f[j>>2]=0;f[g+8>>2]=0;k=f[a+12>>2]|0;f[d>>2]=0;l=(k|0)>0;if(l){m=a+20|0;n=h+11|0;o=h+4|0;p=g+8|0;q=0;do{r=f[(f[m>>2]|0)+4+(q<<2)>>2]|0;ouc(h,f[r+64>>2]|0);s=b[n>>0]|0;t=f[o>>2]|0;if(((s<<24>>24<0?t:s&255)|0)==8)if(!(Puc(h,0,-1,445347,8)|0))v=11;else{w=b[n>>0]|0;x=f[o>>2]|0;v=9}else{w=s;x=t;v=9}if(((v|0)==9?(v=0,((w<<24>>24<0?x:w&255)|0)==7):0)?(Puc(h,0,-1,415934,7)|0)==0:0)v=11;if((v|0)==11){v=0;t=f[j>>2]|0;if((t|0)==(f[p>>2]|0))es(g,d);else{f[t>>2]=f[d>>2];f[j>>2]=t+4}t=f[(f[r+20>>2]|0)+4>>2]|0;ruc(EIa(e,f[r+60>>2]|0)|0,t)|0}if((b[n>>0]|0)<0)fuc(f[h>>2]|0);q=(f[d>>2]|0)+1|0;f[d>>2]=q}while((q|0)<(k|0));if(l){l=a+20|0;q=d+11|0;h=0;do{n=f[(f[l>>2]|0)+4+(h<<2)>>2]|0;p=n+12|0;if((f[p>>2]|0)>0){v=n+20|0;n=0;do{ouc(d,f[(f[v>>2]|0)+4+(n<<2)>>2]|0);w=FIa(e,d)|0;if((w|0)!=(i|0))ruc(f[(f[v>>2]|0)+4+(n<<2)>>2]|0,w+28|0)|0;if((b[q>>0]|0)<0)fuc(f[d>>2]|0);n=n+1|0}while((n|0)<(f[p>>2]|0))}h=h+1|0}while((h|0)<(k|0))}}sic(f[g>>2]|0,f[j>>2]|0,d);d=f[j>>2]|0;k=f[g>>2]|0;h=k;if((d|0)==(k|0)){y=d;z=h}else{d=a+8|0;k=a+20|0;a=0;q=h;while(1){h=(f[q+(a<<2)>>2]|0)-a|0;l=f[(f[k>>2]|0)+4+(h<<2)>>2]|0;if(!((l|0)==0|(f[d>>2]|0)!=0))bi[f[(f[l>>2]|0)+4>>2]&2047](l);MKb(d,h,1);a=a+1|0;h=f[j>>2]|0;l=f[g>>2]|0;p=l;if(a>>>0>=h-l>>2>>>0){y=h;z=p;break}else q=p}}q=y;if(!z){A=f[i>>2]|0;GIa(e,A);u=c;return}if((q|0)!=(z|0))f[j>>2]=q+(~((q+-4-z|0)>>>2)<<2);fuc(z);A=f[i>>2]|0;GIa(e,A);u=c;return}function EIa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0;c=u;u=u+16|0;d=c;e=HIa(a,d,b)|0;g=f[e>>2]|0;if(g|0){h=g;i=h+28|0;u=c;return i|0}g=cuc(40)|0;ouc(g+16|0,b);b=g+28|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;b=f[d>>2]|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=b;f[e>>2]=g;b=f[f[a>>2]>>2]|0;if(!b)j=g;else{f[a>>2]=b;j=f[e>>2]|0}jI(f[a+4>>2]|0,j);j=a+8|0;f[j>>2]=(f[j>>2]|0)+1;h=g;i=h+28|0;u=c;return i|0}function FIa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;d=a+4|0;a=f[d>>2]|0;do if(a|0){e=b[c+11>>0]|0;g=e<<24>>24<0;h=g?f[c+4>>2]|0:e&255;e=g?f[c>>2]|0:c;g=d;i=a;a:while(1){j=i;while(1){k=j+16|0;l=b[k+11>>0]|0;m=l<<24>>24<0;n=m?f[j+20>>2]|0:l&255;l=h>>>0<n>>>0?h:n;if((l|0)!=0?(o=ahc(m?f[k>>2]|0:k,e,l)|0,(o|0)!=0):0){if((o|0)>=0)break}else p=6;if((p|0)==6?(p=0,n>>>0>=h>>>0):0)break;n=f[j+4>>2]|0;if(!n){q=g;break a}else j=n}i=f[j>>2]|0;if(!i){q=j;break}else g=j}if((q|0)!=(d|0)){g=q+16|0;i=b[g+11>>0]|0;n=i<<24>>24<0;o=n?f[q+20>>2]|0:i&255;i=o>>>0<h>>>0?o:h;if(i|0?(l=ahc(e,n?f[g>>2]|0:g,i)|0,l|0):0){if((l|0)<0)break;else r=q;return r|0}if(h>>>0>=o>>>0){r=q;return r|0}}}while(0);r=d;return r|0}function GIa(a,c){a=a|0;c=c|0;var d=0;if(!c)return;GIa(a,f[c>>2]|0);GIa(a,f[c+4>>2]|0);a=c+16|0;d=c+28|0;if((b[d+11>>0]|0)<0)fuc(f[d>>2]|0);if((b[a+11>>0]|0)<0)fuc(f[a>>2]|0);fuc(c);return}function HIa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;e=a+4|0;g=f[e>>2]|0;if(!g){f[c>>2]=e;h=e;return h|0}e=b[d+11>>0]|0;i=e<<24>>24<0;j=i?f[d+4>>2]|0:e&255;e=i?f[d>>2]|0:d;d=a+4|0;a=g;while(1){g=a+16|0;i=b[g+11>>0]|0;k=i<<24>>24<0;l=k?f[a+20>>2]|0:i&255;i=l>>>0<j>>>0;m=i?l:j;if((m|0)!=0?(n=ahc(e,k?f[g>>2]|0:g,m)|0,(n|0)!=0):0)if((n|0)<0)o=8;else o=10;else if(j>>>0<l>>>0)o=8;else o=10;if((o|0)==8){o=0;n=f[a>>2]|0;if(!n){o=9;break}else{p=a;q=n}}else if((o|0)==10){o=0;n=j>>>0<l>>>0?j:l;if((n|0)!=0?(l=ahc(k?f[g>>2]|0:g,e,n)|0,(l|0)!=0):0){if((l|0)>=0){o=16;break}}else o=12;if((o|0)==12?(o=0,!i):0){o=16;break}r=a+4|0;i=f[r>>2]|0;if(!i){o=15;break}else{p=r;q=i}}d=p;a=q}if((o|0)==9){f[c>>2]=a;h=a;return h|0}else if((o|0)==15){f[c>>2]=a;h=r;return h|0}else if((o|0)==16){f[c>>2]=a;h=d;return h|0}return 0}function IIa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+152|0;d=a+4|0;e=f[d>>2]|0;g=e&-2;if(!(e&1))h=g;else h=f[g+4>>2]|0;g=f[c>>2]|0;if((g|0)==542896){QGa(c,h,542896);i=f[c>>2]|0}else i=g;g=b[i+11>>0]|0;if(g<<24>>24<0)j=f[i+4>>2]|0;else j=g&255;if(!j)return;j=f[d>>2]|0;d=j&-2;if(!(j&1))k=d;else k=f[d+4>>2]|0;d=a+152|0;if((i|0)==542896)return;if(!k){f[d>>2]=542896;if(!i)return;else{l=i;m=g}}else{g=cuc(12)|0;f[g>>2]=f[i>>2];f[g+4>>2]=f[i+4>>2];f[g+8>>2]=f[i+8>>2];f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[d>>2]=542896;l=g;m=b[g+11>>0]|0}if(m<<24>>24<0)fuc(f[l>>2]|0);fuc(l);return}function JIa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0;e=u;u=u+32|0;g=e+16|0;h=e;RKa(a);i=a+8|0;f[i>>2]=0;j=a+12|0;f[j>>2]=0;f[a+20>>2]=0;f[a+24>>2]=0;f[a+16>>2]=a+20;f[a+32>>2]=0;f[a+36>>2]=0;f[a+28>>2]=a+32;f[a+44>>2]=0;f[a+48>>2]=0;f[a+40>>2]=a+44;f[a+52>>2]=0;f[a+56>>2]=0;f[a+60>>2]=0;gV(g,111732);f[a+68>>2]=0;f[a+64>>2]=0;f[a+72>>2]=0;a=wJa(c,407569,0)|0;c=cuc(20)|0;f[c+4>>2]=0;f[c+8>>2]=0;f[c>>2]=111760;k=c+12|0;f[k>>2]=a;f[k+4>>2]=1971;Wtc(c);f[i>>2]=a;a=f[j>>2]|0;f[j>>2]=c;if(a|0)Xtc(a);Xtc(c);c=f[i>>2]|0;if(c|0?VJa(c)|0:0){c=f[i>>2]|0;if(d)WJa(c);else XJa(c);if(!(f[g+4>>2]|0)){u=e;return}u=e;return};f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;e=cuc(32)|0;f[h>>2]=e;f[h+8>>2]=-2147483616;f[h+4>>2]=29;g=e;c=405944;d=g+29|0;do{b[g>>0]=b[c>>0]|0;g=g+1|0;c=c+1|0}while((g|0)<(d|0));b[e+29>>0]=0;WD(-215,h,405974,403191,141)}function KIa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;c=u;u=u+32|0;d=c;e=c+12|0;g=a+8|0;switch(YJa(f[g>>2]|0)|0){case 4:{h=YJa(f[g>>2]|0)|0;NIa(a,h);i=a+16|0;j=a+20|0;k=f[j>>2]|0;do if(k){l=a+20|0;m=k;while(1){n=f[m+16>>2]|0;if((h|0)<(n|0)){o=f[m>>2]|0;if(!o){p=7;break}else{q=m;r=o}}else{if((n|0)>=(h|0)){p=11;break}s=m+4|0;n=f[s>>2]|0;if(!n){p=10;break}else{q=s;r=n}}l=q;m=r}if((p|0)==7){t=m;v=m;break}else if((p|0)==10){t=m;v=s;break}else if((p|0)==11){t=m;v=l;break}}else{t=j;v=j}while(0);if(f[v>>2]|0){u=c;return}j=cuc(20)|0;f[j+16>>2]=h;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=t;f[v>>2]=j;t=f[f[i>>2]>>2]|0;if(!t)w=j;else{f[i>>2]=t;w=f[v>>2]|0}jI(f[a+20>>2]|0,w);w=a+24|0;f[w>>2]=(f[w>>2]|0)+1;u=c;return}case 1:{+_Ja(f[g>>2]|0);u=c;return}case 5:{YJa(f[g>>2]|0)|0;u=c;return}case 2:{w=YJa(f[g>>2]|0)|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;if(w>>>0>4294967279)muc(d);if(w>>>0<11){v=d+11|0;b[v>>0]=w;if(!w){x=d;y=v}else{z=d;A=v;p=24}}else{v=w+16&-16;t=cuc(v)|0;f[d>>2]=t;f[d+8>>2]=v|-2147483648;f[d+4>>2]=w;z=t;A=d+11|0;p=24}if((p|0)==24){kzc(z|0,0,w|0)|0;x=z;y=A}b[x+w>>0]=0;MJa(f[g>>2]|0,(b[y>>0]|0)<0?f[d>>2]|0:d,w)|0;if((b[d+11>>0]|0)>=0){u=c;return}fuc(f[d>>2]|0);u=c;return}case 3:{OIa(a,-1);u=c;return}case 0:{u=c;return}default:{c=cuc(32)|0;f[e>>2]=c;f[e+8>>2]=-2147483616;f[e+4>>2]=20;a=c;d=403272;w=a+20|0;do{b[a>>0]=b[d>>0]|0;a=a+1|0;d=d+1|0}while((a|0)<(w|0));b[c+20>>0]=0;WD(-213,e,403293,403191,1019)}}}function LIa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;if(!b)return;LIa(a,f[b>>2]|0);LIa(a,f[b+4>>2]|0);a=b+20|0;c=b+56|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(a);f[c>>2]=0;c=b+36|0;a=b+24|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[a>>2]|0)>0){c=f[b+60>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[a>>2]|0))}a=f[b+64>>2]|0;if((a|0)!=(b+68|0))TC(a);fuc(b);return}function MIa(a,b){a=a|0;b=b|0;if(!b)return;else{MIa(a,f[b>>2]|0);MIa(a,f[b+4>>2]|0);fuc(b);return}}function NIa(a,c){a=a|0;c=c|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0.0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0,qc=0,rc=0,sc=0,tc=0,uc=0,vc=0,wc=0,xc=0,yc=0,zc=0,Ac=0,Bc=0,Cc=0,Dc=0,Ec=0,Fc=0,Gc=0,Hc=0,Ic=0,Jc=0,Kc=0,Lc=0,Mc=0,Nc=0,Oc=0,Pc=0,Qc=0,Rc=0,Sc=0,Tc=0,Uc=0,Vc=0,Wc=0,Xc=0,Yc=0,Zc=0,_c=0,$c=0,ad=0,bd=0,cd=0,dd=0,ed=0.0,fd=0,gd=0,hd=0,id=0,jd=0,kd=0,ld=0,md=0,nd=0,od=0,pd=0,qd=0,rd=0,sd=0,td=0,ud=0,vd=0,wd=0,xd=0,yd=0,zd=0,Ad=0,Bd=0,Cd=0,Dd=0,Ed=0,Fd=0,Gd=0,Hd=0,Id=0,Jd=0,Kd=0,Ld=0,Md=0,Nd=0,Od=0,Pd=0,Qd=0,Rd=0,Sd=0,Td=0,Ud=0,Vd=0,Wd=0,Xd=0,Yd=0,Zd=0;e=u;u=u+768|0;g=e+576|0;h=e+752|0;i=e+740|0;j=e+728|0;k=e+716|0;l=e+704|0;m=e+696|0;o=e+72|0;q=e+16|0;r=e;s=e+352|0;t=e+680|0;v=e+128|0;w=e+668|0;x=e+656|0;y=e+644|0;z=e+632|0;f[h>>2]=c;A=a+16|0;B=a+20|0;C=f[B>>2]|0;a:do if(C|0){D=C;while(1){E=f[D+16>>2]|0;if((E|0)>(c|0))F=D;else{if((E|0)>=(c|0))break;F=D+4|0}D=f[F>>2]|0;if(!D)break a}u=e;return}while(0);PIa(i,a);f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;F=QIa(i,403304,403311)|0;do if((F|0)>-1)RIa(a,f[h>>2]|0,F);else{c=QIa(i,403318,403311)|0;if((c|0)>-1){SIa(a,f[h>>2]|0,c);break}if(!(TIa(i,j)|0)){nEa(k,405322,i);c=Duc(k,517029)|0;f[g>>2]=f[c>>2];f[g+4>>2]=f[c+4>>2];f[g+8>>2]=f[c+8>>2];f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;WD(-213,g,403519,403191,992)}f[k+4>>2]=0;f[k+8>>2]=0;c=k+4|0;f[k>>2]=c;C=l+4|0;f[C>>2]=0;D=l+8|0;f[D>>2]=0;E=l+4|0;f[l>>2]=E;G=cuc(84)|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;ouc(G,j);ouc(G+12|0,g);H=G+28|0;f[H>>2]=0;f[G+32>>2]=0;f[G+24>>2]=H;H=G+36|0;I=H+48|0;do{f[H>>2]=0;H=H+4|0}while((H|0)<(I|0));f[m>>2]=G;K=cuc(16)|0;f[K+4>>2]=0;f[K+8>>2]=0;f[K>>2]=111692;f[K+12>>2]=G;L=m+4|0;f[L>>2]=K;if((b[g+11>>0]|0)<0){fuc(f[g>>2]|0);M=f[m>>2]|0}else M=G;K=M+24|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;N=cuc(16)|0;f[g>>2]=N;f[g+8>>2]=-2147483632;f[g+4>>2]=11;H=N;O=403326;I=H+11|0;do{b[H>>0]=b[O>>0]|0;H=H+1|0;O=O+1|0}while((H|0)<(I|0));b[N+11>>0]=0;xEa(K,g,h)|0;if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);G=j+11|0;P=b[G>>0]|0;Q=j+4|0;R=f[Q>>2]|0;if(((P<<24>>24<0?R:P&255)|0)==10)if(!(Puc(j,0,-1,403338,10)|0))S=37;else{T=b[G>>0]|0;U=f[Q>>2]|0;S=19}else{T=P;U=R;S=19}b:do if((S|0)==19){if(((T<<24>>24<0?U:T&255)|0)==8){if(!(Puc(j,0,-1,403349,8)|0)){S=37;break}V=b[G>>0]|0;W=f[Q>>2]|0}else{V=T;W=U}if(((V<<24>>24<0?W:V&255)|0)==6){if(!(Puc(j,0,-1,445316,6)|0)){S=37;break}X=b[G>>0]|0;Z=f[Q>>2]|0}else{X=V;Z=W}if(((X<<24>>24<0?Z:X&255)|0)==11){if(!(Puc(j,0,-1,403358,11)|0)){S=37;break}_=b[G>>0]|0;$=f[Q>>2]|0}else{_=X;$=Z}if(((_<<24>>24<0?$:_&255)|0)==9){if(!(Puc(j,0,-1,403370,9)|0)){S=37;break}aa=b[G>>0]|0;ba=f[Q>>2]|0}else{aa=_;ba=$}if(((aa<<24>>24<0?ba:aa&255)|0)==11){if(!(Puc(j,0,-1,403380,11)|0)){S=37;break}ca=b[G>>0]|0;da=f[Q>>2]|0}else{ca=aa;da=ba}if(((ca<<24>>24<0?da:ca&255)|0)==9){if(!(Puc(j,0,-1,403392,9)|0)){S=37;break}ea=b[G>>0]|0;fa=f[Q>>2]|0}else{ea=ca;fa=da}if(((ea<<24>>24<0?fa:ea&255)|0)==18){if(Puc(j,0,-1,403443,18)|0){ga=b[G>>0]|0;ha=f[Q>>2]|0;S=70}}else{ga=ea;ha=fa;S=70}do if((S|0)==70){if(((ga<<24>>24<0?ha:ga&255)|0)==20){if(!(Puc(j,0,-1,403462,20)|0))break;ia=b[G>>0]|0;ja=f[Q>>2]|0}else{ia=ga;ja=ha}do if(((ia<<24>>24<0?ja:ia&255)|0)==16)if(!(Puc(j,0,-1,403579,16)|0)){WIa(a,k,l);break b}else{ka=b[G>>0]|0;la=f[Q>>2]|0;break}else{ka=ia;la=ja}while(0);do if(((ka<<24>>24<0?la:ka&255)|0)==17){if(!(Puc(j,0,-1,403596,17)|0))break;ma=b[G>>0]|0;na=f[Q>>2]|0;S=162}else{ma=ka;na=la;S=162}while(0);do if((S|0)==162){if(((ma<<24>>24<0?na:ma&255)|0)==21){if(!(Puc(j,0,-1,403614,21)|0))break;oa=b[G>>0]|0;pa=f[Q>>2]|0}else{oa=ma;pa=na}do if(((oa<<24>>24<0?pa:oa&255)|0)==6){if(Puc(j,0,-1,403716,6)|0){qa=b[G>>0]|0;ra=f[Q>>2]|0;break}wuc((f[m>>2]|0)+12|0,415862)|0;WIa(a,k,l);f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;R=g+11|0;b[R>>0]=6;b[g>>0]=b[403483]|0;b[g+1>>0]=b[403484]|0;b[g+2>>0]=b[403485]|0;b[g+3>>0]=b[403486]|0;b[g+4>>0]=b[403487]|0;b[g+5>>0]=b[403488]|0;b[g+6>>0]=0;P=(XIa(l,g)|0)==0;if((b[R>>0]|0)<0)fuc(f[g>>2]|0);if(P){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;P=cuc(32)|0;f[g>>2]=P;f[g+8>>2]=-2147483616;f[g+4>>2]=28;H=P;O=403490;I=H+28|0;do{b[H>>0]=b[O>>0]|0;H=H+1|0;O=O+1|0}while((H|0)<(I|0));b[P+28>>0]=0;WD(-215,g,403519,403191,593)};f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;R=q+11|0;b[R>>0]=6;b[q>>0]=b[403483]|0;b[q+1>>0]=b[403484]|0;b[q+2>>0]=b[403485]|0;b[q+3>>0]=b[403486]|0;b[q+4>>0]=b[403487]|0;b[q+5>>0]=b[403488]|0;b[q+6>>0]=0;sa=YIa(l,g,q)|0;ta=f[sa>>2]|0;if(!ta){ua=cuc(88)|0;va=ua+16|0;f[va>>2]=f[q>>2];f[va+4>>2]=f[q+4>>2];f[va+8>>2]=f[q+8>>2];f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;f[ua+28>>2]=0;f[ua+32>>2]=1124007936;va=ua+40|0;wa=ua+72|0;H=ua+36|0;I=H+36|0;do{f[H>>2]=0;H=H+4|0}while((H|0)<(I|0));f[wa>>2]=va;P=ua+80|0;f[ua+76>>2]=P;f[P>>2]=0;f[ua+84>>2]=0;P=f[g>>2]|0;f[ua>>2]=0;f[ua+4>>2]=0;f[ua+8>>2]=P;f[sa>>2]=ua;P=f[f[l>>2]>>2]|0;if(!P)xa=ua;else{f[l>>2]=P;xa=f[sa>>2]|0}jI(f[C>>2]|0,xa);f[D>>2]=(f[D>>2]|0)+1;ya=ua}else ya=ta;P=ya+32|0;f[o>>2]=f[P>>2];za=o+4|0;Aa=ya+36|0;f[za>>2]=f[Aa>>2];Ba=o+8|0;f[Ba>>2]=f[ya+40>>2];Ca=o+12|0;f[Ca>>2]=f[ya+44>>2];Da=o+16|0;f[Da>>2]=f[ya+48>>2];Ea=o+20|0;f[Ea>>2]=f[ya+52>>2];Fa=o+24|0;f[Fa>>2]=f[ya+56>>2];Ga=o+28|0;f[Ga>>2]=f[ya+60>>2];Ha=o+32|0;f[Ha>>2]=f[ya+64>>2];Ia=o+36|0;Ja=f[ya+68>>2]|0;f[Ia>>2]=Ja;Ka=o+40|0;f[Ka>>2]=Ba;La=o+48|0;Ma=o+44|0;f[Ma>>2]=La;f[La>>2]=0;f[o+52>>2]=0;if(Ja|0){Na=Ja+12|0;f[Na>>2]=(f[Na>>2]|0)+1}if((f[Aa>>2]|0)<3){Aa=f[ya+76>>2]|0;Na=f[Ma>>2]|0;f[Na>>2]=f[Aa>>2];f[Na+4>>2]=f[Aa+4>>2]}else{f[za>>2]=0;$T(o,P)}if((b[R>>0]|0)<0)fuc(f[q>>2]|0);P=M+36|0;Aa=M+40|0;Na=f[Aa>>2]|0;Ja=M+44|0;if((Na|0)==(f[Ja>>2]|0))ot(P,o);else{f[Na>>2]=f[o>>2];Oa=Na+4|0;f[Oa>>2]=f[za>>2];Pa=Na+8|0;f[Pa>>2]=f[Ba>>2];f[Na+12>>2]=f[Ca>>2];f[Na+16>>2]=f[Da>>2];f[Na+20>>2]=f[Ea>>2];f[Na+24>>2]=f[Fa>>2];f[Na+28>>2]=f[Ga>>2];f[Na+32>>2]=f[Ha>>2];Ha=f[Ia>>2]|0;f[Na+36>>2]=Ha;f[Na+40>>2]=Pa;Pa=Na+48|0;Ga=Na+44|0;f[Ga>>2]=Pa;f[Pa>>2]=0;f[Na+52>>2]=0;if(Ha|0){Pa=Ha+12|0;f[Pa>>2]=(f[Pa>>2]|0)+1}if((f[za>>2]|0)<3){Pa=f[Ma>>2]|0;Ha=f[Ga>>2]|0;f[Ha>>2]=f[Pa>>2];f[Ha+4>>2]=f[Pa+4>>2]}else{f[Oa>>2]=0;$T(Na,o)}f[Aa>>2]=(f[Aa>>2]|0)+56};f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;Na=g+11|0;b[Na>>0]=4;f[g>>2]=1935763810;b[g+4>>0]=0;Oa=(XIa(l,g)|0)!=0;if((b[Na>>0]|0)<0)fuc(f[g>>2]|0);b[q>>0]=Oa&1;if(Oa){f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;Oa=r+11|0;b[Oa>>0]=4;f[r>>2]=1935763810;b[r+4>>0]=0;Na=YIa(l,g,r)|0;Pa=f[Na>>2]|0;if(!Pa){Ha=cuc(88)|0;Ga=Ha+16|0;f[Ga>>2]=f[r>>2];f[Ga+4>>2]=f[r+4>>2];f[Ga+8>>2]=f[r+8>>2];f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;f[Ha+28>>2]=0;f[Ha+32>>2]=1124007936;Ga=Ha+40|0;Fa=Ha+72|0;H=Ha+36|0;I=H+36|0;do{f[H>>2]=0;H=H+4|0}while((H|0)<(I|0));f[Fa>>2]=Ga;R=Ha+80|0;f[Ha+76>>2]=R;f[R>>2]=0;f[Ha+84>>2]=0;R=f[g>>2]|0;f[Ha>>2]=0;f[Ha+4>>2]=0;f[Ha+8>>2]=R;f[Na>>2]=Ha;R=f[f[l>>2]>>2]|0;if(!R)Qa=Ha;else{f[l>>2]=R;Qa=f[Na>>2]|0}jI(f[C>>2]|0,Qa);f[D>>2]=(f[D>>2]|0)+1;Ra=Ha}else Ra=Pa;R=Ra+32|0;ta=f[Aa>>2]|0;if((ta|0)==(f[Ja>>2]|0))ot(P,R);else{f[ta>>2]=f[R>>2];ua=ta+4|0;sa=Ra+36|0;f[ua>>2]=f[sa>>2];va=ta+8|0;f[va>>2]=f[Ra+40>>2];f[ta+12>>2]=f[Ra+44>>2];f[ta+16>>2]=f[Ra+48>>2];f[ta+20>>2]=f[Ra+52>>2];f[ta+24>>2]=f[Ra+56>>2];f[ta+28>>2]=f[Ra+60>>2];f[ta+32>>2]=f[Ra+64>>2];wa=f[Ra+68>>2]|0;f[ta+36>>2]=wa;f[ta+40>>2]=va;va=ta+48|0;Ea=ta+44|0;f[Ea>>2]=va;f[va>>2]=0;f[ta+52>>2]=0;if(wa|0){va=wa+12|0;f[va>>2]=(f[va>>2]|0)+1}if((f[sa>>2]|0)<3){sa=f[Ra+76>>2]|0;va=f[Ea>>2]|0;f[va>>2]=f[sa>>2];f[va+4>>2]=f[sa+4>>2]}else{f[ua>>2]=0;$T(ta,R)}f[Aa>>2]=(f[Aa>>2]|0)+56}if((b[Oa>>0]|0)<0)fuc(f[r>>2]|0)};f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;R=g+11|0;b[R>>0]=9;H=g;O=466098;I=H+9|0;do{b[H>>0]=b[O>>0]|0;H=H+1|0;O=O+1|0}while((H|0)<(I|0));b[g+9>>0]=0;zEa(K,g,q)|0;if((b[R>>0]|0)<0)fuc(f[g>>2]|0);Oa=g+11|0;b[Oa>>0]=10;H=g;O=473888;I=H+10|0;do{b[H>>0]=b[O>>0]|0;H=H+1|0;O=O+1|0}while((H|0)<(I|0));b[g+10>>0]=0;xEa(K,g,f[Ka>>2]|0)|0;if((b[Oa>>0]|0)<0)fuc(f[g>>2]|0);R=f[a+68>>2]|0;Aa=R+76|0;P=f[Aa>>2]|0;if((P|0)==(f[R+80>>2]|0))VIa(R+72|0,m);else{f[P>>2]=f[m>>2];R=f[L>>2]|0;f[P+4>>2]=R;if(!R)Sa=P;else{Wtc(R);Sa=f[Aa>>2]|0}f[Aa>>2]=Sa+8}Aa=f[Ia>>2]|0;do if(Aa|0){R=Aa+12|0;P=f[R>>2]|0;f[R>>2]=P+-1;if((P|0)!=1)break;aU(o)}while(0);f[Ia>>2]=0;f[Da>>2]=0;f[Da+4>>2]=0;f[Da+8>>2]=0;f[Da+12>>2]=0;if((f[za>>2]|0)>0){Aa=f[Ka>>2]|0;Oa=0;do{f[Aa+(Oa<<2)>>2]=0;Oa=Oa+1|0}while((Oa|0)<(f[za>>2]|0))}za=f[Ma>>2]|0;if((za|0)!=(La|0))TC(za);break b}else{qa=oa;ra=pa}while(0);do if(((qa<<24>>24<0?ra:qa&255)|0)==7){if(!(Puc(j,0,-1,415783,7)|0))break;Ta=b[G>>0]|0;Ua=f[Q>>2]|0;S=270}else{Ta=qa;Ua=ra;S=270}while(0);do if((S|0)==270){if(((Ta<<24>>24<0?Ua:Ta&255)|0)==4){if(!(Puc(j,0,-1,403723,4)|0))break;Va=b[G>>0]|0;Wa=f[Q>>2]|0}else{Va=Ta;Wa=Ua}do if(((Va<<24>>24<0?Wa:Va&255)|0)==4){if(Puc(j,0,-1,445489,4)|0){Xa=b[G>>0]|0;Ya=f[Q>>2]|0;break}za=f[a+68>>2]|0;Oa=za+72|0;Aa=cuc(84)|0;f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;Ka=o+11|0;b[Ka>>0]=4;f[o>>2]=1431070034;b[o+4>>0]=0;ouc(Aa,j);ouc(Aa+12|0,o);Da=Aa+28|0;f[Da>>2]=0;f[Aa+32>>2]=0;f[Aa+24>>2]=Da;H=Aa+36|0;I=H+48|0;do{f[H>>2]=0;H=H+4|0}while((H|0)<(I|0));f[g>>2]=Aa;Da=Aa;Ia=cuc(16)|0;f[Ia+4>>2]=0;f[Ia+8>>2]=0;f[Ia>>2]=111692;f[Ia+12>>2]=Da;P=g+4|0;f[P>>2]=Ia;R=za+76|0;Ja=f[R>>2]|0;do if(Ja>>>0<(f[za+80>>2]|0)>>>0){f[Ja>>2]=Da;f[Ja+4>>2]=Ia;f[g>>2]=0;f[P>>2]=0;f[R>>2]=Ja+8}else{_Ia(Oa,g);Pa=f[P>>2]|0;if(!Pa)break;Xtc(Pa)}while(0);if((b[Ka>>0]|0)<0)fuc(f[o>>2]|0);KIa(a);break b}else{Xa=Va;Ya=Wa}while(0);do if(((Xa<<24>>24<0?Ya:Xa&255)|0)==4){if(Puc(j,0,-1,403763,4)|0){Za=b[G>>0]|0;_a=f[Q>>2]|0;break}La=f[a+68>>2]|0;Ma=La+72|0;P=cuc(84)|0;f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;Oa=o+11|0;b[Oa>>0]=4;f[o>>2]=1215193428;b[o+4>>0]=0;ouc(P,j);ouc(P+12|0,o);Ja=P+28|0;f[Ja>>2]=0;f[P+32>>2]=0;f[P+24>>2]=Ja;H=P+36|0;I=H+48|0;do{f[H>>2]=0;H=H+4|0}while((H|0)<(I|0));f[g>>2]=P;Ka=P;Ja=cuc(16)|0;f[Ja+4>>2]=0;f[Ja+8>>2]=0;f[Ja>>2]=111692;f[Ja+12>>2]=Ka;R=g+4|0;f[R>>2]=Ja;Ia=La+76|0;Da=f[Ia>>2]|0;do if(Da>>>0<(f[La+80>>2]|0)>>>0){f[Da>>2]=Ka;f[Da+4>>2]=Ja;f[g>>2]=0;f[R>>2]=0;f[Ia>>2]=Da+8}else{_Ia(Ma,g);za=f[R>>2]|0;if(!za)break;Xtc(za)}while(0);if((b[Oa>>0]|0)<0)fuc(f[o>>2]|0);KIa(a);break b}else{Za=Xa;_a=Ya}while(0);do if(((Za<<24>>24<0?_a:Za&255)|0)==7){if(Puc(j,0,-1,415905,7)|0){$a=b[G>>0]|0;ab=f[Q>>2]|0;break}R=f[a+68>>2]|0;Ma=R+72|0;Da=cuc(84)|0;f[o+8>>2]=0;Ia=o+11|0;b[Ia>>0]=7;b[o>>0]=b[415905]|0;b[o+1>>0]=b[415906]|0;b[o+2>>0]=b[415907]|0;b[o+3>>0]=b[415908]|0;b[o+4>>0]=b[415909]|0;b[o+5>>0]=b[415910]|0;b[o+6>>0]=b[415911]|0;b[o+7>>0]=0;ouc(Da,j);ouc(Da+12|0,o);Ja=Da+28|0;f[Ja>>2]=0;f[Da+32>>2]=0;f[Da+24>>2]=Ja;H=Da+36|0;I=H+48|0;do{f[H>>2]=0;H=H+4|0}while((H|0)<(I|0));f[g>>2]=Da;Oa=Da;Ja=cuc(16)|0;f[Ja+4>>2]=0;f[Ja+8>>2]=0;f[Ja>>2]=111692;f[Ja+12>>2]=Oa;Ka=g+4|0;f[Ka>>2]=Ja;La=R+76|0;P=f[La>>2]|0;do if(P>>>0<(f[R+80>>2]|0)>>>0){f[P>>2]=Oa;f[P+4>>2]=Ja;f[g>>2]=0;f[Ka>>2]=0;f[La>>2]=P+8}else{_Ia(Ma,g);za=f[Ka>>2]|0;if(!za)break;Xtc(za)}while(0);if((b[Ia>>0]|0)<0)fuc(f[o>>2]|0);KIa(a);break b}else{$a=Za;ab=_a}while(0);do if((($a<<24>>24<0?ab:$a&255)|0)==25){if(!(Puc(j,0,-1,403768,25)|0))break;bb=b[G>>0]|0;cb=f[Q>>2]|0;S=326}else{bb=$a;cb=ab;S=326}while(0);do if((S|0)==326){if(((bb<<24>>24<0?cb:bb&255)|0)==21){if(!(Puc(j,0,-1,403794,21)|0))break;db=b[G>>0]|0;eb=f[Q>>2]|0}else{db=bb;eb=cb}if(((db<<24>>24<0?eb:db&255)|0)==18){if(!(Puc(j,0,-1,403816,18)|0))break;fb=b[G>>0]|0;gb=f[Q>>2]|0}else{fb=db;gb=eb}do if(((fb<<24>>24<0?gb:fb&255)|0)==5){if(Puc(j,0,-1,415899,5)|0){hb=b[G>>0]|0;ib=f[Q>>2]|0;break}WIa(a,k,l);f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;Ka=g+11|0;b[Ka>>0]=6;b[g>>0]=b[403483]|0;b[g+1>>0]=b[403484]|0;b[g+2>>0]=b[403485]|0;b[g+3>>0]=b[403486]|0;b[g+4>>0]=b[403487]|0;b[g+5>>0]=b[403488]|0;b[g+6>>0]=0;Ma=(XIa(l,g)|0)==0;if((b[Ka>>0]|0)<0)fuc(f[g>>2]|0);if(Ma){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;Ma=cuc(32)|0;f[g>>2]=Ma;f[g+8>>2]=-2147483616;f[g+4>>2]=28;H=Ma;O=403490;I=H+28|0;do{b[H>>0]=b[O>>0]|0;H=H+1|0;O=O+1|0}while((H|0)<(I|0));b[Ma+28>>0]=0;WD(-215,g,403519,403191,699)};f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;Ka=cuc(16)|0;f[g>>2]=Ka;f[g+8>>2]=-2147483632;f[g+4>>2]=12;H=Ka;O=403535;I=H+12|0;do{b[H>>0]=b[O>>0]|0;H=H+1|0;O=O+1|0}while((H|0)<(I|0));b[Ka+12>>0]=0;Ma=~~+iEa(iGa(k,g)|0,-1);if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);if(!Ma){f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;P=o+11|0;b[P>>0]=6;b[o>>0]=b[403483]|0;b[o+1>>0]=b[403484]|0;b[o+2>>0]=b[403485]|0;b[o+3>>0]=b[403486]|0;b[o+4>>0]=b[403487]|0;b[o+5>>0]=b[403488]|0;b[o+6>>0]=0;La=YIa(l,g,o)|0;Ja=f[La>>2]|0;if(!Ja){Oa=cuc(88)|0;R=Oa+16|0;f[R>>2]=f[o>>2];f[R+4>>2]=f[o+4>>2];f[R+8>>2]=f[o+8>>2];f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;f[Oa+28>>2]=0;f[Oa+32>>2]=1124007936;R=Oa+40|0;Da=Oa+72|0;H=Oa+36|0;I=H+36|0;do{f[H>>2]=0;H=H+4|0}while((H|0)<(I|0));f[Da>>2]=R;Ka=Oa+80|0;f[Oa+76>>2]=Ka;f[Ka>>2]=0;f[Oa+84>>2]=0;Ka=f[g>>2]|0;f[Oa>>2]=0;f[Oa+4>>2]=0;f[Oa+8>>2]=Ka;f[La>>2]=Oa;Ka=f[f[l>>2]>>2]|0;if(!Ka)jb=Oa;else{f[l>>2]=Ka;jb=f[La>>2]|0}jI(f[C>>2]|0,jb);f[D>>2]=(f[D>>2]|0)+1;kb=Oa}else kb=Ja;Ka=f[kb+36>>2]|0;if((Ka|0)<3)lb=Y(f[kb+44>>2]|0,f[kb+40>>2]|0)|0;else{za=f[kb+72>>2]|0;Aa=0;Pa=1;while(1){Ha=Y(f[za+(Aa<<2)>>2]|0,Pa)|0;Aa=Aa+1|0;if((Aa|0)==(Ka|0)){lb=Ha;break}else Pa=Ha}}if((b[P>>0]|0)<0)fuc(f[o>>2]|0);if((lb|0)!=1){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;Pa=cuc(48)|0;f[g>>2]=Pa;f[g+8>>2]=-2147483600;f[g+4>>2]=42;H=Pa;O=403988;I=H+42|0;do{b[H>>0]=b[O>>0]|0;H=H+1|0;O=O+1|0}while((H|0)<(I|0));b[Pa+42>>0]=0;WD(-215,g,403519,403191,710)};f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;P=q+11|0;b[P>>0]=6;b[q>>0]=b[403483]|0;b[q+1>>0]=b[403484]|0;b[q+2>>0]=b[403485]|0;b[q+3>>0]=b[403486]|0;b[q+4>>0]=b[403487]|0;b[q+5>>0]=b[403488]|0;b[q+6>>0]=0;Ka=YIa(l,g,q)|0;Aa=f[Ka>>2]|0;if(!Aa){za=cuc(88)|0;Ja=za+16|0;f[Ja>>2]=f[q>>2];f[Ja+4>>2]=f[q+4>>2];f[Ja+8>>2]=f[q+8>>2];f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;f[za+28>>2]=0;f[za+32>>2]=1124007936;Ja=za+40|0;Oa=za+72|0;H=za+36|0;I=H+36|0;do{f[H>>2]=0;H=H+4|0}while((H|0)<(I|0));f[Oa>>2]=Ja;Pa=za+80|0;f[za+76>>2]=Pa;f[Pa>>2]=0;f[za+84>>2]=0;Pa=f[g>>2]|0;f[za>>2]=0;f[za+4>>2]=0;f[za+8>>2]=Pa;f[Ka>>2]=za;Pa=f[f[l>>2]>>2]|0;if(!Pa)mb=za;else{f[l>>2]=Pa;mb=f[Ka>>2]|0}jI(f[C>>2]|0,mb);f[D>>2]=(f[D>>2]|0)+1;nb=za}else nb=Aa;Pa=f[f[nb+48>>2]>>2]|0;if((b[P>>0]|0)<0)fuc(f[q>>2]|0);f[o>>2]=Pa;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;Pa=cuc(16)|0;f[g>>2]=Pa;f[g+8>>2]=-2147483632;f[g+4>>2]=14;H=Pa;O=445655;I=H+14|0;do{b[H>>0]=b[O>>0]|0;H=H+1|0;O=O+1|0}while((H|0)<(I|0));b[Pa+14>>0]=0;jEa(K,g,o)|0;if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);wuc((f[m>>2]|0)+12|0,445489)|0}else{f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;P=o+11|0;b[P>>0]=6;b[o>>0]=b[403483]|0;b[o+1>>0]=b[403484]|0;b[o+2>>0]=b[403485]|0;b[o+3>>0]=b[403486]|0;b[o+4>>0]=b[403487]|0;b[o+5>>0]=b[403488]|0;b[o+6>>0]=0;Aa=YIa(l,g,o)|0;za=f[Aa>>2]|0;if(!za){Ka=cuc(88)|0;Ja=Ka+16|0;f[Ja>>2]=f[o>>2];f[Ja+4>>2]=f[o+4>>2];f[Ja+8>>2]=f[o+8>>2];f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;f[Ka+28>>2]=0;f[Ka+32>>2]=1124007936;Ja=Ka+40|0;Oa=Ka+72|0;H=Ka+36|0;I=H+36|0;do{f[H>>2]=0;H=H+4|0}while((H|0)<(I|0));f[Oa>>2]=Ja;Pa=Ka+80|0;f[Ka+76>>2]=Pa;f[Pa>>2]=0;f[Ka+84>>2]=0;Pa=f[g>>2]|0;f[Ka>>2]=0;f[Ka+4>>2]=0;f[Ka+8>>2]=Pa;f[Aa>>2]=Ka;Pa=f[f[l>>2]>>2]|0;if(!Pa)ob=Ka;else{f[l>>2]=Pa;ob=f[Aa>>2]|0}jI(f[C>>2]|0,ob);f[D>>2]=(f[D>>2]|0)+1;pb=Ka}else pb=za;Pa=f[pb+36>>2]|0;if((Pa|0)<3)qb=Y(f[pb+44>>2]|0,f[pb+40>>2]|0)|0;else{La=f[pb+72>>2]|0;R=0;Da=1;while(1){Ha=Y(f[La+(R<<2)>>2]|0,Da)|0;R=R+1|0;if((R|0)==(Pa|0)){qb=Ha;break}else Da=Ha}}if((b[P>>0]|0)<0)fuc(f[o>>2]|0);if((qb|0)!=(Ma|0)){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;Da=cuc(64)|0;f[g>>2]=Da;f[g+8>>2]=-2147483584;f[g+4>>2]=55;H=Da;O=403932;I=H+55|0;do{b[H>>0]=b[O>>0]|0;H=H+1|0;O=O+1|0}while((H|0)<(I|0));b[Da+55>>0]=0;WD(-215,g,403519,403191,704)}Ma=M+36|0;f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;P=o+11|0;b[P>>0]=6;b[o>>0]=b[403483]|0;b[o+1>>0]=b[403484]|0;b[o+2>>0]=b[403485]|0;b[o+3>>0]=b[403486]|0;b[o+4>>0]=b[403487]|0;b[o+5>>0]=b[403488]|0;b[o+6>>0]=0;Pa=YIa(l,g,o)|0;R=f[Pa>>2]|0;if(!R){La=cuc(88)|0;za=La+16|0;f[za>>2]=f[o>>2];f[za+4>>2]=f[o+4>>2];f[za+8>>2]=f[o+8>>2];f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;f[La+28>>2]=0;f[La+32>>2]=1124007936;za=La+40|0;Ka=La+72|0;H=La+36|0;I=H+36|0;do{f[H>>2]=0;H=H+4|0}while((H|0)<(I|0));f[Ka>>2]=za;Da=La+80|0;f[La+76>>2]=Da;f[Da>>2]=0;f[La+84>>2]=0;Da=f[g>>2]|0;f[La>>2]=0;f[La+4>>2]=0;f[La+8>>2]=Da;f[Pa>>2]=La;Da=f[f[l>>2]>>2]|0;if(!Da)rb=La;else{f[l>>2]=Da;rb=f[Pa>>2]|0}jI(f[C>>2]|0,rb);f[D>>2]=(f[D>>2]|0)+1;sb=La}else sb=R;Da=sb+32|0;Aa=M+40|0;Ja=f[Aa>>2]|0;if((Ja|0)==(f[M+44>>2]|0))ot(Ma,Da);else{f[Ja>>2]=f[Da>>2];Oa=Ja+4|0;Ha=sb+36|0;f[Oa>>2]=f[Ha>>2];Na=Ja+8|0;f[Na>>2]=f[sb+40>>2];f[Ja+12>>2]=f[sb+44>>2];f[Ja+16>>2]=f[sb+48>>2];f[Ja+20>>2]=f[sb+52>>2];f[Ja+24>>2]=f[sb+56>>2];f[Ja+28>>2]=f[sb+60>>2];f[Ja+32>>2]=f[sb+64>>2];Ga=f[sb+68>>2]|0;f[Ja+36>>2]=Ga;f[Ja+40>>2]=Na;Na=Ja+48|0;Fa=Ja+44|0;f[Fa>>2]=Na;f[Na>>2]=0;f[Ja+52>>2]=0;if(Ga|0){Na=Ga+12|0;f[Na>>2]=(f[Na>>2]|0)+1}if((f[Ha>>2]|0)<3){Ha=f[sb+76>>2]|0;Na=f[Fa>>2]|0;f[Na>>2]=f[Ha>>2];f[Na+4>>2]=f[Ha+4>>2]}else{f[Oa>>2]=0;$T(Ja,Da)}f[Aa>>2]=(f[Aa>>2]|0)+56}if((b[P>>0]|0)<0)fuc(f[o>>2]|0);wuc((f[m>>2]|0)+12|0,415885)|0}Aa=f[a+68>>2]|0;Da=Aa+76|0;Ja=f[Da>>2]|0;if((Ja|0)==(f[Aa+80>>2]|0)){VIa(Aa+72|0,m);break b}f[Ja>>2]=f[m>>2];Aa=f[L>>2]|0;f[Ja+4>>2]=Aa;if(!Aa)tb=Ja;else{Wtc(Aa);tb=f[Da>>2]|0}f[Da>>2]=tb+8;break b}else{hb=fb;ib=gb}while(0);do if(((hb<<24>>24<0?ib:hb&255)|0)==14){if(!(Puc(j,0,-1,404031,14)|0))break;ub=b[G>>0]|0;vb=f[Q>>2]|0;S=558}else{ub=hb;vb=ib;S=558}while(0);do if((S|0)==558){if(((ub<<24>>24<0?vb:ub&255)|0)==7){if(!(Puc(j,0,-1,415934,7)|0))break;wb=b[G>>0]|0;xb=f[Q>>2]|0}else{wb=ub;xb=vb}do if(((wb<<24>>24<0?xb:wb&255)|0)==8){if(!(Puc(j,0,-1,445347,8)|0))break;yb=b[G>>0]|0;zb=f[Q>>2]|0;S=588}else{yb=wb;zb=xb;S=588}while(0);do if((S|0)==588){if(((yb<<24>>24<0?zb:yb&255)|0)==14){if(!(Puc(j,0,-1,404068,14)|0))break;Ab=b[G>>0]|0;Bb=f[Q>>2]|0}else{Ab=yb;Bb=zb}do if(((Ab<<24>>24<0?Bb:Ab&255)|0)==9){if(Puc(j,0,-1,415997,9)|0){Cb=b[G>>0]|0;Db=f[Q>>2]|0;break}WIa(a,k,l);f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;P=g+11|0;b[P>>0]=1;b[g>>0]=112;b[g+1>>0]=0;Ma=(cGa(k,g)|0)==0;if((b[P>>0]|0)<0)fuc(f[g>>2]|0);if(Ma){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;Ma=cuc(32)|0;f[g>>2]=Ma;f[g+8>>2]=-2147483616;f[g+4>>2]=21;H=Ma;O=404046;I=H+21|0;do{b[H>>0]=b[O>>0]|0;H=H+1|0;O=O+1|0}while((H|0)<(I|0));b[Ma+21>>0]=0;WD(-215,g,403519,403191,750)};f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;P=g+11|0;b[P>>0]=1;b[g>>0]=112;b[g+1>>0]=0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;R=q+11|0;b[R>>0]=1;b[q>>0]=112;b[q+1>>0]=0;Eb=+iEa(iGa(k,q)|0,-1);n[o>>2]=Eb;jEa(K,g,o)|0;if((b[R>>0]|0)<0)fuc(f[q>>2]|0);if((b[P>>0]|0)<0)fuc(f[g>>2]|0);P=g+4|0;f[P>>2]=0;f[P+4>>2]=0;P=g+11|0;b[P>>0]=3;b[g>>0]=b[465409]|0;b[g+1>>0]=b[465410]|0;b[g+2>>0]=b[465411]|0;b[g+3>>0]=0;R=(cGa(k,g)|0)==0;if((b[P>>0]|0)<0)fuc(f[g>>2]|0);if(!R){R=g+4|0;f[R>>2]=0;f[R+4>>2]=0;R=g+11|0;b[R>>0]=3;b[g>>0]=b[465409]|0;b[g+1>>0]=b[465410]|0;b[g+2>>0]=b[465411]|0;b[g+3>>0]=0;P=q+4|0;f[P>>2]=0;f[P+4>>2]=0;P=q+11|0;b[P>>0]=3;b[q>>0]=b[465409]|0;b[q+1>>0]=b[465410]|0;b[q+2>>0]=b[465411]|0;b[q+3>>0]=0;Eb=+iEa(iGa(k,q)|0,-1);n[o>>2]=Eb;jEa(K,g,o)|0;if((b[P>>0]|0)<0)fuc(f[q>>2]|0);if((b[R>>0]|0)<0)fuc(f[g>>2]|0)}wuc((f[m>>2]|0)+12|0,415997)|0;R=f[a+68>>2]|0;P=R+76|0;La=f[P>>2]|0;if((La|0)==(f[R+80>>2]|0)){VIa(R+72|0,m);break b}f[La>>2]=f[m>>2];R=f[L>>2]|0;f[La+4>>2]=R;if(!R)Fb=La;else{Wtc(R);Fb=f[P>>2]|0}f[P>>2]=Fb+8;break b}else{Cb=Ab;Db=Bb}while(0);do if(((Cb<<24>>24<0?Db:Cb&255)|0)==7){if(Puc(j,0,-1,416013,7)|0){Gb=b[G>>0]|0;Hb=f[Q>>2]|0;break}WIa(a,k,l);wuc((f[m>>2]|0)+12|0,416013)|0;P=g+4|0;f[P>>2]=0;f[P+4>>2]=0;P=g+11|0;b[P>>0]=3;b[g>>0]=b[467025]|0;b[g+1>>0]=b[467026]|0;b[g+2>>0]=b[467027]|0;b[g+3>>0]=0;if(!(cGa(k,g)|0))Ib=0;else{R=o+4|0;f[R>>2]=0;f[R+4>>2]=0;R=o+11|0;b[R>>0]=3;b[o>>0]=b[460274]|0;b[o+1>>0]=b[460275]|0;b[o+2>>0]=b[460276]|0;b[o+3>>0]=0;La=(cGa(k,o)|0)!=0;if((b[R>>0]|0)<0)fuc(f[o>>2]|0);Ib=La}if((b[P>>0]|0)<0)fuc(f[g>>2]|0);if(!Ib){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;P=cuc(64)|0;f[g>>2]=P;f[g+8>>2]=-2147483584;f[g+4>>2]=50;H=P;O=404083;I=H+50|0;do{b[H>>0]=b[O>>0]|0;H=H+1|0;O=O+1|0}while((H|0)<(I|0));b[P+50>>0]=0;WD(-215,g,403519,403191,764)};f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;Ma=g+11|0;b[Ma>>0]=5;b[g>>0]=b[404134]|0;b[g+1>>0]=b[404135]|0;b[g+2>>0]=b[404136]|0;b[g+3>>0]=b[404137]|0;b[g+4>>0]=b[404138]|0;b[g+5>>0]=0;if(!(cGa(k,g)|0))Jb=0;else{f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;La=o+11|0;b[La>>0]=5;b[o>>0]=b[404134]|0;b[o+1>>0]=b[404135]|0;b[o+2>>0]=b[404136]|0;b[o+3>>0]=b[404137]|0;b[o+4>>0]=b[404138]|0;b[o+5>>0]=0;R=hEa(iGa(k,o)|0,-1)|0;if((b[La>>0]|0)<0)fuc(f[o>>2]|0);Jb=(R|0)!=1}if((b[Ma>>0]|0)<0)fuc(f[g>>2]|0);if(Jb){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;Ma=cuc(48)|0;f[g>>2]=Ma;f[g+8>>2]=-2147483600;f[g+4>>2]=38;H=Ma;O=404140;I=H+38|0;do{b[H>>0]=b[O>>0]|0;H=H+1|0;O=O+1|0}while((H|0)<(I|0));b[Ma+38>>0]=0;WD(-213,g,403519,403191,766)};f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;P=g+11|0;b[P>>0]=5;b[g>>0]=b[513626]|0;b[g+1>>0]=b[513627]|0;b[g+2>>0]=b[513628]|0;b[g+3>>0]=b[513629]|0;b[g+4>>0]=b[513630]|0;b[g+5>>0]=0;R=(cGa(k,g)|0)==0;if((b[P>>0]|0)<0)fuc(f[g>>2]|0);if(!R){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;R=g+11|0;b[R>>0]=5;b[g>>0]=b[513626]|0;b[g+1>>0]=b[513627]|0;b[g+2>>0]=b[513628]|0;b[g+3>>0]=b[513629]|0;b[g+4>>0]=b[513630]|0;b[g+5>>0]=0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;P=q+11|0;b[P>>0]=5;b[q>>0]=b[513626]|0;b[q+1>>0]=b[513627]|0;b[q+2>>0]=b[513628]|0;b[q+3>>0]=b[513629]|0;b[q+4>>0]=b[513630]|0;b[q+5>>0]=0;Eb=+iEa(iGa(k,q)|0,-1);n[o>>2]=Eb;jEa(K,g,o)|0;if((b[P>>0]|0)<0)fuc(f[q>>2]|0);if((b[R>>0]|0)<0)fuc(f[g>>2]|0)};f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;R=g+11|0;b[R>>0]=9;H=g;O=404179;I=H+9|0;do{b[H>>0]=b[O>>0]|0;H=H+1|0;O=O+1|0}while((H|0)<(I|0));b[g+9>>0]=0;Ma=(cGa(k,g)|0)==0;if((b[R>>0]|0)<0)fuc(f[g>>2]|0);if(!Ma){Ma=g+11|0;b[Ma>>0]=10;H=g;O=470136;I=H+10|0;do{b[H>>0]=b[O>>0]|0;H=H+1|0;O=O+1|0}while((H|0)<(I|0));b[g+10>>0]=0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;R=q+11|0;b[R>>0]=9;H=q;O=404179;I=H+9|0;do{b[H>>0]=b[O>>0]|0;H=H+1|0;O=O+1|0}while((H|0)<(I|0));b[q+9>>0]=0;P=hEa(iGa(k,q)|0,-1)|0;f[o>>2]=P;xEa(K,g,o)|0;if((b[R>>0]|0)<0)fuc(f[q>>2]|0);if((b[Ma>>0]|0)<0)fuc(f[g>>2]|0)}P=g+4|0;f[P>>2]=0;f[P+4>>2]=0;P=g+11|0;b[P>>0]=3;b[g>>0]=b[460274]|0;b[g+1>>0]=b[460275]|0;b[g+2>>0]=b[460276]|0;b[g+3>>0]=0;La=hEa(iGa(k,g)|0,-1)|0;if((b[P>>0]|0)<0)fuc(f[g>>2]|0);P=g+4|0;f[P>>2]=0;f[P+4>>2]=0;P=g+11|0;b[P>>0]=3;b[g>>0]=b[467025]|0;b[g+1>>0]=b[467026]|0;b[g+2>>0]=b[467027]|0;b[g+3>>0]=0;Pa=hEa(iGa(k,g)|0,-1)|0;if((b[P>>0]|0)<0)fuc(f[g>>2]|0);P=La<<1;f[g>>2]=0;za=g+4|0;f[za>>2]=0;f[g+8>>2]=0;if(P>>>0>1073741823)nsc(g);Ka=La<<3;La=cuc(Ka)|0;f[g>>2]=La;Ia=La+(P<<2)|0;f[g+8>>2]=Ia;kzc(La|0,0,Ka|0)|0;f[za>>2]=Ia;Ka=(Pa|0)>0;f[La+((Ka?-1:-2)+P<<2)>>2]=Ka?Pa:0-Pa|0;f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;Pa=o+11|0;b[Pa>>0]=8;Ka=o;f[Ka>>2]=1684300144;f[Ka+4>>2]=1936158313;b[o+8>>0]=0;Ka=Ia-La|0;Ia=Ka>>2;P=cuc(16)|0;Da=P+8|0;f[P>>2]=Da;f[P+4>>2]=Ia;if(Ia>>>0>1){Aa=euc(Ia>>>0>536870911?-1:Ia<<3)|0;f[P>>2]=Aa;Kb=Aa}else Kb=Da;f[q>>2]=0;f[q+4>>2]=P;if((Ka|0)>0){Ka=La;La=0;while(1){P=f[Ka>>2]|0;Da=Kb+(La<<3)|0;f[Da>>2]=P;f[Da+4>>2]=((P|0)<0)<<31>>31;La=La+1|0;if((La|0)==(Ia|0))break;else Ka=Ka+4|0}}wEa(K,o,q)|0;mEa(q);if((b[Pa>>0]|0)<0)fuc(f[o>>2]|0);Ka=f[a+68>>2]|0;Ia=Ka+76|0;La=f[Ia>>2]|0;if((La|0)==(f[Ka+80>>2]|0))VIa(Ka+72|0,m);else{f[La>>2]=f[m>>2];Ka=f[L>>2]|0;f[La+4>>2]=Ka;if(!Ka)Lb=La;else{Wtc(Ka);Lb=f[Ia>>2]|0}f[Ia>>2]=Lb+8}Ia=f[g>>2]|0;if(Ia|0){Ka=f[za>>2]|0;if((Ka|0)!=(Ia|0))f[za>>2]=Ka+(~((Ka+-4-Ia|0)>>>2)<<2);fuc(Ia)}break b}else{Gb=Cb;Hb=Db}while(0);do if(((Gb<<24>>24<0?Hb:Gb&255)|0)==9){if(Puc(j,0,-1,404189,9)|0){Mb=b[G>>0]|0;Nb=f[Q>>2]|0;break}Ia=f[a+68>>2]|0;Ka=Ia+76|0;La=f[Ka>>2]|0;if((La|0)==(f[Ia+80>>2]|0))VIa(Ia+72|0,m);else{f[La>>2]=f[m>>2];Ia=f[L>>2]|0;f[La+4>>2]=Ia;if(!Ia)Ob=La;else{Wtc(Ia);Ob=f[Ka>>2]|0}f[Ka>>2]=Ob+8}KIa(a);break b}else{Mb=Gb;Nb=Hb}while(0);do if(((Mb<<24>>24<0?Nb:Mb&255)|0)==25){if(Puc(j,0,-1,404199,25)|0){Pb=b[G>>0]|0;Qb=f[Q>>2]|0;break}WIa(a,k,l);wuc((f[m>>2]|0)+12|0,445519)|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;Ka=g+11|0;b[Ka>>0]=4;f[g>>2]=1466196336;b[g+4>>0]=0;if(!(cGa(k,g)|0))Rb=0;else{f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;Ia=o+11|0;b[Ia>>0]=4;f[o>>2]=1214538096;b[o+4>>0]=0;if(!(cGa(k,o)|0))Sb=0;else{f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;La=q+11|0;b[La>>0]=2;d[q>>1]=22372;b[q+2>>0]=0;if(!(cGa(k,q)|0))Tb=0;else{f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;Ma=r+11|0;b[Ma>>0]=2;d[r>>1]=18532;b[r+2>>0]=0;if(!(cGa(k,r)|0))Ub=0;else{f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;R=t+11|0;b[R>>0]=9;H=t;O=404225;I=H+9|0;do{b[H>>0]=b[O>>0]|0;H=H+1|0;O=O+1|0}while((H|0)<(I|0));b[t+9>>0]=0;if(!(cGa(k,t)|0))Vb=0;else{f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;za=w+11|0;b[za>>0]=9;H=w;O=404235;I=H+9|0;do{b[H>>0]=b[O>>0]|0;H=H+1|0;O=O+1|0}while((H|0)<(I|0));b[w+9>>0]=0;if(!(cGa(k,w)|0))Wb=0;else{f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;Pa=x+11|0;b[Pa>>0]=2;d[x>>1]=22379;b[x+2>>0]=0;if(!(cGa(k,x)|0))Xb=0;else{f[y>>2]=0;f[y+4>>2]=0;f[y+8>>2]=0;P=y+11|0;b[P>>0]=2;d[y>>1]=18539;b[y+2>>0]=0;if(!(cGa(k,y)|0))Yb=0;else{f[z>>2]=0;f[z+4>>2]=0;f[z+8>>2]=0;Da=cuc(16)|0;f[z>>2]=Da;f[z+8>>2]=-2147483632;f[z+4>>2]=12;H=Da;O=403535;I=H+12|0;do{b[H>>0]=b[O>>0]|0;H=H+1|0;O=O+1|0}while((H|0)<(I|0));b[Da+12>>0]=0;Aa=(cGa(k,z)|0)!=0;if((b[z+11>>0]|0)<0)fuc(f[z>>2]|0);Yb=Aa}if((b[P>>0]|0)<0)fuc(f[y>>2]|0);Xb=Yb}if((b[Pa>>0]|0)<0)fuc(f[x>>2]|0);Wb=Xb}if((b[za>>0]|0)<0)fuc(f[w>>2]|0);Vb=Wb}if((b[R>>0]|0)<0)fuc(f[t>>2]|0);Ub=Vb}if((b[Ma>>0]|0)<0)fuc(f[r>>2]|0);Tb=Ub}if((b[La>>0]|0)<0)fuc(f[q>>2]|0);Sb=Tb}if((b[Ia>>0]|0)<0)fuc(f[o>>2]|0);Rb=Sb}if((b[Ka>>0]|0)<0)fuc(f[g>>2]|0);if(!Rb){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;Aa=cuc(256)|0;f[g>>2]=Aa;f[g+8>>2]=-2147483392;f[g+4>>2]=251;szc(Aa|0,404245,251)|0;b[Aa+251>>0]=0;WD(-215,g,403519,403191,803)};f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;Aa=g+11|0;b[Aa>>0]=8;Ja=g;f[Ja>>2]=1852990827;f[Ja+4>>2]=2002742373;b[g+8>>0]=0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;Ja=q+11|0;b[Ja>>0]=2;d[q>>1]=22379;b[q+2>>0]=0;Oa=~~+iEa(iGa(k,q)|0,-1);f[o>>2]=Oa;xEa(K,g,o)|0;if((b[Ja>>0]|0)<0)fuc(f[q>>2]|0);if((b[Aa>>0]|0)<0)fuc(f[g>>2]|0);f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;Aa=g+11|0;b[Aa>>0]=8;Ja=g;f[Ja>>2]=1852990827;f[Ja+4>>2]=1751084133;b[g+8>>0]=0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;Ja=q+11|0;b[Ja>>0]=2;d[q>>1]=18539;b[q+2>>0]=0;Oa=~~+iEa(iGa(k,q)|0,-1);f[o>>2]=Oa;xEa(K,g,o)|0;if((b[Ja>>0]|0)<0)fuc(f[q>>2]|0);if((b[Aa>>0]|0)<0)fuc(f[g>>2]|0);f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;Aa=g+11|0;b[Aa>>0]=5;b[g>>0]=b[404497]|0;b[g+1>>0]=b[404498]|0;b[g+2>>0]=b[404499]|0;b[g+3>>0]=b[404500]|0;b[g+4>>0]=b[404501]|0;b[g+5>>0]=0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;Ja=q+11|0;b[Ja>>0]=4;f[q>>2]=1466196336;b[q+4>>0]=0;Oa=~~+iEa(iGa(k,q)|0,-1);f[o>>2]=Oa;xEa(K,g,o)|0;if((b[Ja>>0]|0)<0)fuc(f[q>>2]|0);if((b[Aa>>0]|0)<0)fuc(f[g>>2]|0);f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;Aa=g+11|0;b[Aa>>0]=5;b[g>>0]=b[404503]|0;b[g+1>>0]=b[404504]|0;b[g+2>>0]=b[404505]|0;b[g+3>>0]=b[404506]|0;b[g+4>>0]=b[404507]|0;b[g+5>>0]=0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;Ja=q+11|0;b[Ja>>0]=4;f[q>>2]=1214538096;b[q+4>>0]=0;Oa=~~+iEa(iGa(k,q)|0,-1);f[o>>2]=Oa;xEa(K,g,o)|0;if((b[Ja>>0]|0)<0)fuc(f[q>>2]|0);if((b[Aa>>0]|0)<0)fuc(f[g>>2]|0);f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;Aa=g+11|0;b[Aa>>0]=8;Ja=g;f[Ja>>2]=1769108595;f[Ja+4>>2]=2002740580;b[g+8>>0]=0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;Ja=q+11|0;b[Ja>>0]=2;d[q>>1]=22372;b[q+2>>0]=0;Oa=~~+iEa(iGa(k,q)|0,-1);f[o>>2]=Oa;xEa(K,g,o)|0;if((b[Ja>>0]|0)<0)fuc(f[q>>2]|0);if((b[Aa>>0]|0)<0)fuc(f[g>>2]|0);f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;Aa=g+11|0;b[Aa>>0]=8;Ja=g;f[Ja>>2]=1769108595;f[Ja+4>>2]=1751082340;b[g+8>>0]=0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;Ja=q+11|0;b[Ja>>0]=2;d[q>>1]=18532;b[q+2>>0]=0;Oa=~~+iEa(iGa(k,q)|0,-1);f[o>>2]=Oa;xEa(K,g,o)|0;if((b[Ja>>0]|0)<0)fuc(f[q>>2]|0);if((b[Aa>>0]|0)<0)fuc(f[g>>2]|0);Aa=g+11|0;b[Aa>>0]=10;H=g;O=404509;I=H+10|0;do{b[H>>0]=b[O>>0]|0;H=H+1|0;O=O+1|0}while((H|0)<(I|0));b[g+10>>0]=0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;Ka=q+11|0;b[Ka>>0]=9;H=q;O=404225;I=H+9|0;do{b[H>>0]=b[O>>0]|0;H=H+1|0;O=O+1|0}while((H|0)<(I|0));b[q+9>>0]=0;Ia=~~+iEa(iGa(k,q)|0,-1);f[o>>2]=Ia;xEa(K,g,o)|0;if((b[Ka>>0]|0)<0)fuc(f[q>>2]|0);if((b[Aa>>0]|0)<0)fuc(f[g>>2]|0);Ia=g+11|0;b[Ia>>0]=10;H=g;O=404520;I=H+10|0;do{b[H>>0]=b[O>>0]|0;H=H+1|0;O=O+1|0}while((H|0)<(I|0));b[g+10>>0]=0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;Aa=q+11|0;b[Aa>>0]=9;H=q;O=404235;I=H+9|0;do{b[H>>0]=b[O>>0]|0;H=H+1|0;O=O+1|0}while((H|0)<(I|0));b[q+9>>0]=0;Ka=~~+iEa(iGa(k,q)|0,-1);f[o>>2]=Ka;xEa(K,g,o)|0;if((b[Aa>>0]|0)<0)fuc(f[q>>2]|0);if((b[Ia>>0]|0)<0)fuc(f[g>>2]|0);Ka=g+11|0;b[Ka>>0]=10;H=g;O=473888;I=H+10|0;do{b[H>>0]=b[O>>0]|0;H=H+1|0;O=O+1|0}while((H|0)<(I|0));b[g+10>>0]=0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;Ia=cuc(16)|0;f[q>>2]=Ia;f[q+8>>2]=-2147483632;f[q+4>>2]=12;H=Ia;O=403535;I=H+12|0;do{b[H>>0]=b[O>>0]|0;H=H+1|0;O=O+1|0}while((H|0)<(I|0));b[Ia+12>>0]=0;Aa=~~+iEa(iGa(k,q)|0,-1);f[o>>2]=Aa;xEa(K,g,o)|0;if((b[q+11>>0]|0)<0)fuc(f[q>>2]|0);if((b[Ka>>0]|0)<0)fuc(f[g>>2]|0);Aa=M+36|0;f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;La=o+11|0;b[La>>0]=6;b[o>>0]=b[403483]|0;b[o+1>>0]=b[403484]|0;b[o+2>>0]=b[403485]|0;b[o+3>>0]=b[403486]|0;b[o+4>>0]=b[403487]|0;b[o+5>>0]=b[403488]|0;b[o+6>>0]=0;Ma=YIa(l,g,o)|0;R=f[Ma>>2]|0;if(!R){za=cuc(88)|0;Pa=za+16|0;f[Pa>>2]=f[o>>2];f[Pa+4>>2]=f[o+4>>2];f[Pa+8>>2]=f[o+8>>2];f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;f[za+28>>2]=0;f[za+32>>2]=1124007936;Pa=za+40|0;P=za+72|0;H=za+36|0;I=H+36|0;do{f[H>>2]=0;H=H+4|0}while((H|0)<(I|0));f[P>>2]=Pa;Ka=za+80|0;f[za+76>>2]=Ka;f[Ka>>2]=0;f[za+84>>2]=0;Ka=f[g>>2]|0;f[za>>2]=0;f[za+4>>2]=0;f[za+8>>2]=Ka;f[Ma>>2]=za;Ka=f[f[l>>2]>>2]|0;if(!Ka)Zb=za;else{f[l>>2]=Ka;Zb=f[Ma>>2]|0}jI(f[C>>2]|0,Zb);f[D>>2]=(f[D>>2]|0)+1;_b=za}else _b=R;Ka=_b+32|0;Ia=M+40|0;Da=f[Ia>>2]|0;Ja=M+44|0;if((Da|0)==(f[Ja>>2]|0))ot(Aa,Ka);else{f[Da>>2]=f[Ka>>2];Oa=Da+4|0;Ha=_b+36|0;f[Oa>>2]=f[Ha>>2];Na=Da+8|0;f[Na>>2]=f[_b+40>>2];f[Da+12>>2]=f[_b+44>>2];f[Da+16>>2]=f[_b+48>>2];f[Da+20>>2]=f[_b+52>>2];f[Da+24>>2]=f[_b+56>>2];f[Da+28>>2]=f[_b+60>>2];f[Da+32>>2]=f[_b+64>>2];Fa=f[_b+68>>2]|0;f[Da+36>>2]=Fa;f[Da+40>>2]=Na;Na=Da+48|0;Ga=Da+44|0;f[Ga>>2]=Na;f[Na>>2]=0;f[Da+52>>2]=0;if(Fa|0){Na=Fa+12|0;f[Na>>2]=(f[Na>>2]|0)+1}if((f[Ha>>2]|0)<3){Ha=f[_b+76>>2]|0;Na=f[Ga>>2]|0;f[Na>>2]=f[Ha>>2];f[Na+4>>2]=f[Ha+4>>2]}else{f[Oa>>2]=0;$T(Da,Ka)}f[Ia>>2]=(f[Ia>>2]|0)+56}if((b[La>>0]|0)<0)fuc(f[o>>2]|0);f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;Ka=g+11|0;b[Ka>>0]=4;f[g>>2]=1935763810;b[g+4>>0]=0;Da=(XIa(l,g)|0)!=0;if((b[Ka>>0]|0)<0)fuc(f[g>>2]|0);b[o>>0]=Da&1;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;Da=g+11|0;b[Da>>0]=9;H=g;O=466098;I=H+9|0;do{b[H>>0]=b[O>>0]|0;H=H+1|0;O=O+1|0}while((H|0)<(I|0));b[g+9>>0]=0;zEa(K,g,o)|0;if((b[Da>>0]|0)<0)fuc(f[g>>2]|0);if(b[o>>0]|0){f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;La=q+11|0;b[La>>0]=4;f[q>>2]=1935763810;b[q+4>>0]=0;R=YIa(l,g,q)|0;za=f[R>>2]|0;if(!za){Ma=cuc(88)|0;Pa=Ma+16|0;f[Pa>>2]=f[q>>2];f[Pa+4>>2]=f[q+4>>2];f[Pa+8>>2]=f[q+8>>2];f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;f[Ma+28>>2]=0;f[Ma+32>>2]=1124007936;Pa=Ma+40|0;P=Ma+72|0;H=Ma+36|0;I=H+36|0;do{f[H>>2]=0;H=H+4|0}while((H|0)<(I|0));f[P>>2]=Pa;Da=Ma+80|0;f[Ma+76>>2]=Da;f[Da>>2]=0;f[Ma+84>>2]=0;Da=f[g>>2]|0;f[Ma>>2]=0;f[Ma+4>>2]=0;f[Ma+8>>2]=Da;f[R>>2]=Ma;Da=f[f[l>>2]>>2]|0;if(!Da)$b=Ma;else{f[l>>2]=Da;$b=f[R>>2]|0}jI(f[C>>2]|0,$b);f[D>>2]=(f[D>>2]|0)+1;ac=Ma}else ac=za;Da=ac+32|0;Ka=f[Ia>>2]|0;if((Ka|0)==(f[Ja>>2]|0))ot(Aa,Da);else{f[Ka>>2]=f[Da>>2];Oa=Ka+4|0;Ha=ac+36|0;f[Oa>>2]=f[Ha>>2];Na=Ka+8|0;f[Na>>2]=f[ac+40>>2];f[Ka+12>>2]=f[ac+44>>2];f[Ka+16>>2]=f[ac+48>>2];f[Ka+20>>2]=f[ac+52>>2];f[Ka+24>>2]=f[ac+56>>2];f[Ka+28>>2]=f[ac+60>>2];f[Ka+32>>2]=f[ac+64>>2];Ga=f[ac+68>>2]|0;f[Ka+36>>2]=Ga;f[Ka+40>>2]=Na;Na=Ka+48|0;Fa=Ka+44|0;f[Fa>>2]=Na;f[Na>>2]=0;f[Ka+52>>2]=0;if(Ga|0){Na=Ga+12|0;f[Na>>2]=(f[Na>>2]|0)+1}if((f[Ha>>2]|0)<3){Ha=f[ac+76>>2]|0;Na=f[Fa>>2]|0;f[Na>>2]=f[Ha>>2];f[Na+4>>2]=f[Ha+4>>2]}else{f[Oa>>2]=0;$T(Ka,Da)}f[Ia>>2]=(f[Ia>>2]|0)+56}if((b[La>>0]|0)<0)fuc(f[q>>2]|0)}Da=f[a+68>>2]|0;Ka=Da+76|0;Oa=f[Ka>>2]|0;if((Oa|0)==(f[Da+80>>2]|0))VIa(Da+72|0,m);else{f[Oa>>2]=f[m>>2];Da=f[L>>2]|0;f[Oa+4>>2]=Da;if(!Da)bc=Oa;else{Wtc(Da);bc=f[Ka>>2]|0}f[Ka>>2]=bc+8}break b}else{Pb=Mb;Qb=Nb}while(0);do if(((Pb<<24>>24<0?Qb:Pb&255)|0)==22){if(Puc(j,0,-1,404531,22)|0){cc=b[G>>0]|0;dc=f[Q>>2]|0;break}WIa(a,k,l);wuc((f[m>>2]|0)+12|0,415820)|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;Ka=g+11|0;b[Ka>>0]=4;f[g>>2]=1466196336;b[g+4>>0]=0;if(!(cGa(k,g)|0))ec=0;else{f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;Da=o+11|0;b[Da>>0]=4;f[o>>2]=1214538096;b[o+4>>0]=0;if(!(cGa(k,o)|0))fc=0;else{f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;Oa=q+11|0;b[Oa>>0]=2;d[q>>1]=22372;b[q+2>>0]=0;if(!(cGa(k,q)|0))gc=0;else{f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;Ha=r+11|0;b[Ha>>0]=2;d[r>>1]=18532;b[r+2>>0]=0;if(!(cGa(k,r)|0))hc=0;else{f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;Na=t+11|0;b[Na>>0]=4;f[t>>2]=1466590305;b[t+4>>0]=0;if(!(cGa(k,t)|0))ic=0;else{f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;Fa=w+11|0;b[Fa>>0]=4;f[w>>2]=1214932065;b[w+4>>0]=0;if(!(cGa(k,w)|0))jc=0;else{f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;Ga=x+11|0;b[Ga>>0]=2;d[x>>1]=22379;b[x+2>>0]=0;if(!(cGa(k,x)|0))kc=0;else{f[y>>2]=0;f[y+4>>2]=0;f[y+8>>2]=0;ta=y+11|0;b[ta>>0]=2;d[y>>1]=18539;b[y+2>>0]=0;if(!(cGa(k,y)|0))lc=0;else{f[z>>2]=0;f[z+4>>2]=0;f[z+8>>2]=0;ua=cuc(16)|0;f[z>>2]=ua;f[z+8>>2]=-2147483632;f[z+4>>2]=12;H=ua;O=403535;I=H+12|0;do{b[H>>0]=b[O>>0]|0;H=H+1|0;O=O+1|0}while((H|0)<(I|0));b[ua+12>>0]=0;La=(cGa(k,z)|0)!=0;if((b[z+11>>0]|0)<0)fuc(f[z>>2]|0);lc=La}if((b[ta>>0]|0)<0)fuc(f[y>>2]|0);kc=lc}if((b[Ga>>0]|0)<0)fuc(f[x>>2]|0);jc=kc}if((b[Fa>>0]|0)<0)fuc(f[w>>2]|0);ic=jc}if((b[Na>>0]|0)<0)fuc(f[t>>2]|0);hc=ic}if((b[Ha>>0]|0)<0)fuc(f[r>>2]|0);gc=hc}if((b[Oa>>0]|0)<0)fuc(f[q>>2]|0);fc=gc}if((b[Da>>0]|0)<0)fuc(f[o>>2]|0);ec=fc}if((b[Ka>>0]|0)<0)fuc(f[g>>2]|0);if(!ec){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;La=cuc(256)|0;f[g>>2]=La;f[g+8>>2]=-2147483392;f[g+4>>2]=241;szc(La|0,404554,241)|0;b[La+241>>0]=0;WD(-215,g,403519,403191,836)};f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;La=g+11|0;b[La>>0]=8;Ia=g;f[Ia>>2]=1852990827;f[Ia+4>>2]=2002742373;b[g+8>>0]=0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;Ia=q+11|0;b[Ia>>0]=2;d[q>>1]=22379;b[q+2>>0]=0;Aa=~~+iEa(iGa(k,q)|0,-1);f[o>>2]=Aa;xEa(K,g,o)|0;if((b[Ia>>0]|0)<0)fuc(f[q>>2]|0);if((b[La>>0]|0)<0)fuc(f[g>>2]|0);f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;La=g+11|0;b[La>>0]=8;Ia=g;f[Ia>>2]=1852990827;f[Ia+4>>2]=1751084133;b[g+8>>0]=0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;Ia=q+11|0;b[Ia>>0]=2;d[q>>1]=18539;b[q+2>>0]=0;Aa=~~+iEa(iGa(k,q)|0,-1);f[o>>2]=Aa;xEa(K,g,o)|0;if((b[Ia>>0]|0)<0)fuc(f[q>>2]|0);if((b[La>>0]|0)<0)fuc(f[g>>2]|0);f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;La=g+11|0;b[La>>0]=5;b[g>>0]=b[404497]|0;b[g+1>>0]=b[404498]|0;b[g+2>>0]=b[404499]|0;b[g+3>>0]=b[404500]|0;b[g+4>>0]=b[404501]|0;b[g+5>>0]=0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;Ia=q+11|0;b[Ia>>0]=4;f[q>>2]=1466196336;b[q+4>>0]=0;Aa=~~+iEa(iGa(k,q)|0,-1);f[o>>2]=Aa;xEa(K,g,o)|0;if((b[Ia>>0]|0)<0)fuc(f[q>>2]|0);if((b[La>>0]|0)<0)fuc(f[g>>2]|0);f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;La=g+11|0;b[La>>0]=5;b[g>>0]=b[404503]|0;b[g+1>>0]=b[404504]|0;b[g+2>>0]=b[404505]|0;b[g+3>>0]=b[404506]|0;b[g+4>>0]=b[404507]|0;b[g+5>>0]=0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;Ia=q+11|0;b[Ia>>0]=4;f[q>>2]=1214538096;b[q+4>>0]=0;Aa=~~+iEa(iGa(k,q)|0,-1);f[o>>2]=Aa;xEa(K,g,o)|0;if((b[Ia>>0]|0)<0)fuc(f[q>>2]|0);if((b[La>>0]|0)<0)fuc(f[g>>2]|0);f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;La=g+11|0;b[La>>0]=8;Ia=g;f[Ia>>2]=1769108595;f[Ia+4>>2]=2002740580;b[g+8>>0]=0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;Ia=q+11|0;b[Ia>>0]=2;d[q>>1]=22372;b[q+2>>0]=0;Aa=~~+iEa(iGa(k,q)|0,-1);f[o>>2]=Aa;xEa(K,g,o)|0;if((b[Ia>>0]|0)<0)fuc(f[q>>2]|0);if((b[La>>0]|0)<0)fuc(f[g>>2]|0);f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;La=g+11|0;b[La>>0]=8;Ia=g;f[Ia>>2]=1769108595;f[Ia+4>>2]=1751082340;b[g+8>>0]=0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;Ia=q+11|0;b[Ia>>0]=2;d[q>>1]=18532;b[q+2>>0]=0;Aa=~~+iEa(iGa(k,q)|0,-1);f[o>>2]=Aa;xEa(K,g,o)|0;if((b[Ia>>0]|0)<0)fuc(f[q>>2]|0);if((b[La>>0]|0)<0)fuc(f[g>>2]|0);f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;La=g+11|0;b[La>>0]=5;b[g>>0]=b[473905]|0;b[g+1>>0]=b[473906]|0;b[g+2>>0]=b[473907]|0;b[g+3>>0]=b[473908]|0;b[g+4>>0]=b[473909]|0;b[g+5>>0]=0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;Ia=q+11|0;b[Ia>>0]=4;f[q>>2]=1466590305;b[q+4>>0]=0;Aa=~~+iEa(iGa(k,q)|0,-1);f[o>>2]=Aa;xEa(K,g,o)|0;if((b[Ia>>0]|0)<0)fuc(f[q>>2]|0);if((b[La>>0]|0)<0)fuc(f[g>>2]|0);f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;La=g+11|0;b[La>>0]=5;b[g>>0]=b[473899]|0;b[g+1>>0]=b[473900]|0;b[g+2>>0]=b[473901]|0;b[g+3>>0]=b[473902]|0;b[g+4>>0]=b[473903]|0;b[g+5>>0]=0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;Ia=q+11|0;b[Ia>>0]=4;f[q>>2]=1214932065;b[q+4>>0]=0;Aa=~~+iEa(iGa(k,q)|0,-1);f[o>>2]=Aa;xEa(K,g,o)|0;if((b[Ia>>0]|0)<0)fuc(f[q>>2]|0);if((b[La>>0]|0)<0)fuc(f[g>>2]|0);La=g+11|0;b[La>>0]=10;H=g;O=473888;I=H+10|0;do{b[H>>0]=b[O>>0]|0;H=H+1|0;O=O+1|0}while((H|0)<(I|0));b[g+10>>0]=0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;Ka=cuc(16)|0;f[q>>2]=Ka;f[q+8>>2]=-2147483632;f[q+4>>2]=12;H=Ka;O=403535;I=H+12|0;do{b[H>>0]=b[O>>0]|0;H=H+1|0;O=O+1|0}while((H|0)<(I|0));b[Ka+12>>0]=0;Da=~~+iEa(iGa(k,q)|0,-1);f[o>>2]=Da;xEa(K,g,o)|0;if((b[q+11>>0]|0)<0)fuc(f[q>>2]|0);if((b[La>>0]|0)<0)fuc(f[g>>2]|0);Da=M+36|0;f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;Oa=o+11|0;b[Oa>>0]=6;b[o>>0]=b[403483]|0;b[o+1>>0]=b[403484]|0;b[o+2>>0]=b[403485]|0;b[o+3>>0]=b[403486]|0;b[o+4>>0]=b[403487]|0;b[o+5>>0]=b[403488]|0;b[o+6>>0]=0;Ha=YIa(l,g,o)|0;Na=f[Ha>>2]|0;if(!Na){Fa=cuc(88)|0;Ga=Fa+16|0;f[Ga>>2]=f[o>>2];f[Ga+4>>2]=f[o+4>>2];f[Ga+8>>2]=f[o+8>>2];f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;f[Fa+28>>2]=0;f[Fa+32>>2]=1124007936;Ga=Fa+40|0;ta=Fa+72|0;H=Fa+36|0;I=H+36|0;do{f[H>>2]=0;H=H+4|0}while((H|0)<(I|0));f[ta>>2]=Ga;La=Fa+80|0;f[Fa+76>>2]=La;f[La>>2]=0;f[Fa+84>>2]=0;La=f[g>>2]|0;f[Fa>>2]=0;f[Fa+4>>2]=0;f[Fa+8>>2]=La;f[Ha>>2]=Fa;La=f[f[l>>2]>>2]|0;if(!La)mc=Fa;else{f[l>>2]=La;mc=f[Ha>>2]|0}jI(f[C>>2]|0,mc);f[D>>2]=(f[D>>2]|0)+1;nc=Fa}else nc=Na;La=nc+32|0;Ka=M+40|0;ua=f[Ka>>2]|0;Ia=M+44|0;if((ua|0)==(f[Ia>>2]|0))ot(Da,La);else{f[ua>>2]=f[La>>2];Aa=ua+4|0;Ja=nc+36|0;f[Aa>>2]=f[Ja>>2];za=ua+8|0;f[za>>2]=f[nc+40>>2];f[ua+12>>2]=f[nc+44>>2];f[ua+16>>2]=f[nc+48>>2];f[ua+20>>2]=f[nc+52>>2];f[ua+24>>2]=f[nc+56>>2];f[ua+28>>2]=f[nc+60>>2];f[ua+32>>2]=f[nc+64>>2];Ma=f[nc+68>>2]|0;f[ua+36>>2]=Ma;f[ua+40>>2]=za;za=ua+48|0;R=ua+44|0;f[R>>2]=za;f[za>>2]=0;f[ua+52>>2]=0;if(Ma|0){za=Ma+12|0;f[za>>2]=(f[za>>2]|0)+1}if((f[Ja>>2]|0)<3){Ja=f[nc+76>>2]|0;za=f[R>>2]|0;f[za>>2]=f[Ja>>2];f[za+4>>2]=f[Ja+4>>2]}else{f[Aa>>2]=0;$T(ua,La)}f[Ka>>2]=(f[Ka>>2]|0)+56}if((b[Oa>>0]|0)<0)fuc(f[o>>2]|0);f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;La=g+11|0;b[La>>0]=4;f[g>>2]=1935763810;b[g+4>>0]=0;ua=(XIa(l,g)|0)!=0;if((b[La>>0]|0)<0)fuc(f[g>>2]|0);b[o>>0]=ua&1;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;ua=g+11|0;b[ua>>0]=9;H=g;O=466098;I=H+9|0;do{b[H>>0]=b[O>>0]|0;H=H+1|0;O=O+1|0}while((H|0)<(I|0));b[g+9>>0]=0;zEa(K,g,o)|0;if((b[ua>>0]|0)<0)fuc(f[g>>2]|0);if(b[o>>0]|0){f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;Oa=q+11|0;b[Oa>>0]=4;f[q>>2]=1935763810;b[q+4>>0]=0;Na=YIa(l,g,q)|0;Fa=f[Na>>2]|0;if(!Fa){Ha=cuc(88)|0;Ga=Ha+16|0;f[Ga>>2]=f[q>>2];f[Ga+4>>2]=f[q+4>>2];f[Ga+8>>2]=f[q+8>>2];f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;f[Ha+28>>2]=0;f[Ha+32>>2]=1124007936;Ga=Ha+40|0;ta=Ha+72|0;H=Ha+36|0;I=H+36|0;do{f[H>>2]=0;H=H+4|0}while((H|0)<(I|0));f[ta>>2]=Ga;ua=Ha+80|0;f[Ha+76>>2]=ua;f[ua>>2]=0;f[Ha+84>>2]=0;ua=f[g>>2]|0;f[Ha>>2]=0;f[Ha+4>>2]=0;f[Ha+8>>2]=ua;f[Na>>2]=Ha;ua=f[f[l>>2]>>2]|0;if(!ua)oc=Ha;else{f[l>>2]=ua;oc=f[Na>>2]|0}jI(f[C>>2]|0,oc);f[D>>2]=(f[D>>2]|0)+1;pc=Ha}else pc=Fa;ua=pc+32|0;La=f[Ka>>2]|0;if((La|0)==(f[Ia>>2]|0))ot(Da,ua);else{f[La>>2]=f[ua>>2];Aa=La+4|0;Ja=pc+36|0;f[Aa>>2]=f[Ja>>2];za=La+8|0;f[za>>2]=f[pc+40>>2];f[La+12>>2]=f[pc+44>>2];f[La+16>>2]=f[pc+48>>2];f[La+20>>2]=f[pc+52>>2];f[La+24>>2]=f[pc+56>>2];f[La+28>>2]=f[pc+60>>2];f[La+32>>2]=f[pc+64>>2];R=f[pc+68>>2]|0;f[La+36>>2]=R;f[La+40>>2]=za;za=La+48|0;Ma=La+44|0;f[Ma>>2]=za;f[za>>2]=0;f[La+52>>2]=0;if(R|0){za=R+12|0;f[za>>2]=(f[za>>2]|0)+1}if((f[Ja>>2]|0)<3){Ja=f[pc+76>>2]|0;za=f[Ma>>2]|0;f[za>>2]=f[Ja>>2];f[za+4>>2]=f[Ja+4>>2]}else{f[Aa>>2]=0;$T(La,ua)}f[Ka>>2]=(f[Ka>>2]|0)+56}if((b[Oa>>0]|0)<0)fuc(f[q>>2]|0)}ua=f[a+68>>2]|0;La=ua+76|0;Aa=f[La>>2]|0;if((Aa|0)==(f[ua+80>>2]|0))VIa(ua+72|0,m);else{f[Aa>>2]=f[m>>2];ua=f[L>>2]|0;f[Aa+4>>2]=ua;if(!ua)qc=Aa;else{Wtc(ua);qc=f[La>>2]|0}f[La>>2]=qc+8}break b}else{cc=Pb;dc=Qb}while(0);do if(((cc<<24>>24<0?dc:cc&255)|0)==19){if(Puc(j,0,-1,404796,19)|0){rc=b[G>>0]|0;sc=f[Q>>2]|0;break}WIa(a,k,l);f[g+8>>2]=0;La=g+11|0;b[La>>0]=7;b[g>>0]=b[403656]|0;b[g+1>>0]=b[403657]|0;b[g+2>>0]=b[403658]|0;b[g+3>>0]=b[403659]|0;b[g+4>>0]=b[403660]|0;b[g+5>>0]=b[403661]|0;b[g+6>>0]=b[403662]|0;b[g+7>>0]=0;ua=(XIa(l,g)|0)==0;if((b[La>>0]|0)<0)fuc(f[g>>2]|0);if(ua){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;ua=cuc(32)|0;f[g>>2]=ua;f[g+8>>2]=-2147483616;f[g+4>>2]=29;H=ua;O=404816;I=H+29|0;do{b[H>>0]=b[O>>0]|0;H=H+1|0;O=O+1|0}while((H|0)<(I|0));b[ua+29>>0]=0;WD(-215,g,403519,403191,860)};f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;Oa=cuc(16)|0;f[o>>2]=Oa;f[o+8>>2]=-2147483632;f[o+4>>2]=15;H=Oa;O=403640;I=H+15|0;do{b[H>>0]=b[O>>0]|0;H=H+1|0;O=O+1|0}while((H|0)<(I|0));b[Oa+15>>0]=0;f[q+8>>2]=0;ua=q+11|0;b[ua>>0]=7;b[q>>0]=b[403656]|0;b[q+1>>0]=b[403657]|0;b[q+2>>0]=b[403658]|0;b[q+3>>0]=b[403659]|0;b[q+4>>0]=b[403660]|0;b[q+5>>0]=b[403661]|0;b[q+6>>0]=b[403662]|0;b[q+7>>0]=0;Ka=YIa(l,g,q)|0;Da=f[Ka>>2]|0;if(!Da){Ia=cuc(88)|0;Fa=Ia+16|0;f[Fa>>2]=f[q>>2];f[Fa+4>>2]=f[q+4>>2];f[Fa+8>>2]=f[q+8>>2];f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;f[Ia+28>>2]=0;f[Ia+32>>2]=1124007936;Fa=Ia+40|0;Ha=Ia+72|0;H=Ia+36|0;I=H+36|0;do{f[H>>2]=0;H=H+4|0}while((H|0)<(I|0));f[Ha>>2]=Fa;Oa=Ia+80|0;f[Ia+76>>2]=Oa;f[Oa>>2]=0;f[Ia+84>>2]=0;Oa=f[g>>2]|0;f[Ia>>2]=0;f[Ia+4>>2]=0;f[Ia+8>>2]=Oa;f[Ka>>2]=Ia;Oa=f[f[l>>2]>>2]|0;if(!Oa)tc=Ia;else{f[l>>2]=Oa;tc=f[Ka>>2]|0}jI(f[C>>2]|0,tc);f[D>>2]=(f[D>>2]|0)+1;uc=Ia}else uc=Da;xEa(K,o,uc+28|0)|0;if((b[ua>>0]|0)<0)fuc(f[q>>2]|0);if((b[o+11>>0]|0)<0)fuc(f[o>>2]|0);Oa=f[a+68>>2]|0;Na=Oa+76|0;Ga=f[Na>>2]|0;if((Ga|0)==(f[Oa+80>>2]|0)){VIa(Oa+72|0,m);break b}f[Ga>>2]=f[m>>2];Oa=f[L>>2]|0;f[Ga+4>>2]=Oa;if(!Oa)vc=Ga;else{Wtc(Oa);vc=f[Na>>2]|0}f[Na>>2]=vc+8;break b}else{rc=cc;sc=dc}while(0);do if(((rc<<24>>24<0?sc:rc&255)|0)==7){if(Puc(j,0,-1,404846,7)|0){wc=b[G>>0]|0;xc=f[Q>>2]|0;break}wuc((f[m>>2]|0)+12|0,404846)|0;Na=f[a+68>>2]|0;Oa=Na+76|0;Ga=f[Oa>>2]|0;if((Ga|0)==(f[Na+80>>2]|0)){VIa(Na+72|0,m);break b}f[Ga>>2]=f[m>>2];Na=f[L>>2]|0;f[Ga+4>>2]=Na;if(!Na)yc=Ga;else{Wtc(Na);yc=f[Oa>>2]|0}f[Oa>>2]=yc+8;break b}else{wc=rc;xc=sc}while(0);do if(((wc<<24>>24<0?xc:wc&255)|0)==10){if(Puc(j,0,-1,404854,10)|0){zc=b[G>>0]|0;Ac=f[Q>>2]|0;break}wuc((f[m>>2]|0)+12|0,404846)|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;Oa=cuc(16)|0;f[g>>2]=Oa;f[g+8>>2]=-2147483632;f[g+4>>2]=11;H=Oa;O=455489;I=H+11|0;do{b[H>>0]=b[O>>0]|0;H=H+1|0;O=O+1|0}while((H|0)<(I|0));b[Oa+11>>0]=0;b[o>>0]=1;zEa(K,g,o)|0;if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);ua=f[a+68>>2]|0;Da=ua+76|0;Ia=f[Da>>2]|0;if((Ia|0)==(f[ua+80>>2]|0)){VIa(ua+72|0,m);break b}f[Ia>>2]=f[m>>2];ua=f[L>>2]|0;f[Ia+4>>2]=ua;if(!ua)Bc=Ia;else{Wtc(ua);Bc=f[Da>>2]|0}f[Da>>2]=Bc+8;break b}else{zc=wc;Ac=xc}while(0);do if(((zc<<24>>24<0?Ac:zc&255)|0)==18){if(Puc(j,0,-1,404865,18)|0){Cc=b[G>>0]|0;Dc=f[Q>>2]|0;break}wuc((f[m>>2]|0)+12|0,415858)|0;WIa(a,k,l);f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;Da=g+11|0;b[Da>>0]=5;b[g>>0]=b[461232]|0;b[g+1>>0]=b[461233]|0;b[g+2>>0]=b[461234]|0;b[g+3>>0]=b[461235]|0;b[g+4>>0]=b[461236]|0;b[g+5>>0]=0;ua=(cGa(k,g)|0)==0;if((b[Da>>0]|0)<0)fuc(f[g>>2]|0);if(ua){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;ua=cuc(32)|0;f[g>>2]=ua;f[g+8>>2]=-2147483616;f[g+4>>2]=25;H=ua;O=404884;I=H+25|0;do{b[H>>0]=b[O>>0]|0;H=H+1|0;O=O+1|0}while((H|0)<(I|0));b[ua+25>>0]=0;WD(-215,g,403519,403191,881)};f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;Oa=g+11|0;b[Oa>>0]=4;f[g>>2]=1635018082;b[g+4>>0]=0;Da=(cGa(k,g)|0)==0;if((b[Oa>>0]|0)<0)fuc(f[g>>2]|0);if(Da){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;Da=cuc(32)|0;f[g>>2]=Da;f[g+8>>2]=-2147483616;f[g+4>>2]=24;H=Da;O=404910;I=H+24|0;do{b[H>>0]=b[O>>0]|0;H=H+1|0;O=O+1|0}while((H|0)<(I|0));b[Da+24>>0]=0;WD(-215,g,403519,403191,882)};f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;ua=g+11|0;b[ua>>0]=1;b[g>>0]=107;b[g+1>>0]=0;Oa=(cGa(k,g)|0)==0;if((b[ua>>0]|0)<0)fuc(f[g>>2]|0);if(Oa){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;Oa=cuc(32)|0;f[g>>2]=Oa;f[g+8>>2]=-2147483616;f[g+4>>2]=21;H=Oa;O=404935;I=H+21|0;do{b[H>>0]=b[O>>0]|0;H=H+1|0;O=O+1|0}while((H|0)<(I|0));b[Oa+21>>0]=0;WD(-215,g,403519,403191,883)};f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;Da=g+11|0;b[Da>>0]=4;f[g>>2]=1702521203;b[g+4>>0]=0;ua=(cGa(k,g)|0)==0;if((b[Da>>0]|0)<0)fuc(f[g>>2]|0);if(ua){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;ua=cuc(32)|0;f[g>>2]=ua;f[g+8>>2]=-2147483616;f[g+4>>2]=24;H=ua;O=403728;I=H+24|0;do{b[H>>0]=b[O>>0]|0;H=H+1|0;O=O+1|0}while((H|0)<(I|0));b[ua+24>>0]=0;WD(-215,g,403519,403191,884)};f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;Oa=cuc(16)|0;f[g>>2]=Oa;f[g+8>>2]=-2147483632;f[g+4>>2]=11;H=Oa;O=461007;I=H+11|0;do{b[H>>0]=b[O>>0]|0;H=H+1|0;O=O+1|0}while((H|0)<(I|0));b[Oa+11>>0]=0;aJa(K,g,461019)|0;if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;ua=g+11|0;b[ua>>0]=5;b[g>>0]=b[461232]|0;b[g+1>>0]=b[461233]|0;b[g+2>>0]=b[461234]|0;b[g+3>>0]=b[461235]|0;b[g+4>>0]=b[461236]|0;b[g+5>>0]=0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;Da=q+11|0;b[Da>>0]=5;b[q>>0]=b[461232]|0;b[q+1>>0]=b[461233]|0;b[q+2>>0]=b[461234]|0;b[q+3>>0]=b[461235]|0;b[q+4>>0]=b[461236]|0;b[q+5>>0]=0;Eb=+iEa(iGa(k,q)|0,-1);n[o>>2]=Eb;jEa(K,g,o)|0;if((b[Da>>0]|0)<0)fuc(f[q>>2]|0);if((b[ua>>0]|0)<0)fuc(f[g>>2]|0);f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;ua=g+11|0;b[ua>>0]=4;f[g>>2]=1635018082;b[g+4>>0]=0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;Da=q+11|0;b[Da>>0]=4;f[q>>2]=1635018082;b[q+4>>0]=0;Eb=+iEa(iGa(k,q)|0,-1);n[o>>2]=Eb;jEa(K,g,o)|0;if((b[Da>>0]|0)<0)fuc(f[q>>2]|0);if((b[ua>>0]|0)<0)fuc(f[g>>2]|0);f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;ua=g+11|0;b[ua>>0]=4;f[g>>2]=1935763810;b[g+4>>0]=0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;Da=q+11|0;b[Da>>0]=1;b[q>>0]=107;b[q+1>>0]=0;Eb=+iEa(iGa(k,q)|0,-1);n[o>>2]=Eb;jEa(K,g,o)|0;if((b[Da>>0]|0)<0)fuc(f[q>>2]|0);if((b[ua>>0]|0)<0)fuc(f[g>>2]|0);ua=g+11|0;b[ua>>0]=10;H=g;O=461162;I=H+10|0;do{b[H>>0]=b[O>>0]|0;H=H+1|0;O=O+1|0}while((H|0)<(I|0));b[g+10>>0]=0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;Oa=q+11|0;b[Oa>>0]=4;f[q>>2]=1702521203;b[q+4>>0]=0;Da=hEa(iGa(k,q)|0,-1)|0;f[o>>2]=Da;xEa(K,g,o)|0;if((b[Oa>>0]|0)<0)fuc(f[q>>2]|0);if((b[ua>>0]|0)<0)fuc(f[g>>2]|0);f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;Oa=cuc(16)|0;f[g>>2]=Oa;f[g+8>>2]=-2147483632;f[g+4>>2]=12;H=Oa;O=461238;I=H+12|0;do{b[H>>0]=b[O>>0]|0;H=H+1|0;O=O+1|0}while((H|0)<(I|0));b[Oa+12>>0]=0;b[o>>0]=1;zEa(K,g,o)|0;if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);ua=f[a+68>>2]|0;Da=ua+76|0;Ia=f[Da>>2]|0;if((Ia|0)==(f[ua+80>>2]|0)){VIa(ua+72|0,m);break b}f[Ia>>2]=f[m>>2];ua=f[L>>2]|0;f[Ia+4>>2]=ua;if(!ua)Ec=Ia;else{Wtc(ua);Ec=f[Da>>2]|0}f[Da>>2]=Ec+8;break b}else{Cc=zc;Dc=Ac}while(0);do if(((Cc<<24>>24<0?Dc:Cc&255)|0)==6){if(!(Puc(j,0,-1,404957,6)|0))break;Fc=b[G>>0]|0;Gc=f[Q>>2]|0;S=1001}else{Fc=Cc;Gc=Dc;S=1001}while(0);do if((S|0)==1001){if(((Fc<<24>>24<0?Gc:Fc&255)|0)==4){if(!(Puc(j,0,-1,404964,4)|0))break;Hc=b[G>>0]|0;Ic=f[Q>>2]|0}else{Hc=Fc;Ic=Gc}if(((Hc<<24>>24<0?Ic:Hc&255)|0)==5){if(!(Puc(j,0,-1,458405,5)|0))break;Jc=b[G>>0]|0;Kc=f[Q>>2]|0}else{Jc=Hc;Kc=Ic}do if(((Jc<<24>>24<0?Kc:Jc&255)|0)==11){if(Puc(j,0,-1,404973,11)|0){Lc=b[G>>0]|0;Mc=f[Q>>2]|0;break}WIa(a,k,l);f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;Da=cuc(16)|0;f[g>>2]=Da;f[g+8>>2]=-2147483632;f[g+4>>2]=15;H=Da;O=404985;I=H+15|0;do{b[H>>0]=b[O>>0]|0;H=H+1|0;O=O+1|0}while((H|0)<(I|0));b[Da+15>>0]=0;ua=(cGa(k,g)|0)==0;if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);if(ua){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;ua=cuc(48)|0;f[g>>2]=ua;f[g+8>>2]=-2147483600;f[g+4>>2]=35;H=ua;O=405001;I=H+35|0;do{b[H>>0]=b[O>>0]|0;H=H+1|0;O=O+1|0}while((H|0)<(I|0));b[ua+35>>0]=0;WD(-215,g,403519,403191,911)}wuc((f[m>>2]|0)+12|0,458405)|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;Da=g+11|0;b[Da>>0]=5;b[g>>0]=b[458411]|0;b[g+1>>0]=b[458412]|0;b[g+2>>0]=b[458413]|0;b[g+3>>0]=b[458414]|0;b[g+4>>0]=b[458415]|0;b[g+5>>0]=0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;Ia=cuc(16)|0;f[q>>2]=Ia;f[q+8>>2]=-2147483632;f[q+4>>2]=15;H=Ia;O=404985;I=H+15|0;do{b[H>>0]=b[O>>0]|0;H=H+1|0;O=O+1|0}while((H|0)<(I|0));b[Ia+15>>0]=0;Eb=+iEa(iGa(k,q)|0,-1);n[o>>2]=Eb;jEa(K,g,o)|0;if((b[q+11>>0]|0)<0)fuc(f[q>>2]|0);if((b[Da>>0]|0)<0)fuc(f[g>>2]|0);ua=f[a+68>>2]|0;Ka=ua+76|0;Fa=f[Ka>>2]|0;if((Fa|0)==(f[ua+80>>2]|0)){VIa(ua+72|0,m);break b}f[Fa>>2]=f[m>>2];ua=f[L>>2]|0;f[Fa+4>>2]=ua;if(!ua)Nc=Fa;else{Wtc(ua);Nc=f[Ka>>2]|0}f[Ka>>2]=Nc+8;break b}else{Lc=Jc;Mc=Kc}while(0);do if(((Lc<<24>>24<0?Mc:Lc&255)|0)==18){if(!(Puc(j,0,-1,405037,18)|0))break;Oc=b[G>>0]|0;Pc=f[Q>>2]|0;S=1049}else{Oc=Lc;Pc=Mc;S=1049}while(0);do if((S|0)==1049){if(((Oc<<24>>24<0?Pc:Oc&255)|0)==24){if(!(Puc(j,0,-1,405056,24)|0))break;Qc=b[G>>0]|0;Rc=f[Q>>2]|0}else{Qc=Oc;Rc=Pc}do if(((Qc<<24>>24<0?Rc:Qc&255)|0)==10){if(Puc(j,0,-1,405240,10)|0){Sc=b[G>>0]|0;Tc=f[Q>>2]|0;break}WIa(a,k,l);f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;Oa=g+11|0;b[Oa>>0]=4;f[g>>2]=1702521203;b[g+4>>0]=0;Ka=(cGa(k,g)|0)==0;if((b[Oa>>0]|0)<0)fuc(f[g>>2]|0);if(Ka){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;Ka=cuc(32)|0;f[g>>2]=Ka;f[g+8>>2]=-2147483616;f[g+4>>2]=24;H=Ka;O=403728;I=H+24|0;do{b[H>>0]=b[O>>0]|0;H=H+1|0;O=O+1|0}while((H|0)<(I|0));b[Ka+24>>0]=0;WD(-215,g,403519,403191,950)};f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;Oa=g+11|0;b[Oa>>0]=4;f[g>>2]=1702521203;b[g+4>>0]=0;ua=hEa(iGa(k,g)|0,-1)|0;if((b[Oa>>0]|0)<0)fuc(f[g>>2]|0);Oa=~ua;wuc((f[m>>2]|0)+12|0,415771)|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;Fa=g+11|0;b[Fa>>0]=5;b[g>>0]=b[469229]|0;b[g+1>>0]=b[469230]|0;b[g+2>>0]=b[469231]|0;b[g+3>>0]=b[469232]|0;b[g+4>>0]=b[469233]|0;b[g+5>>0]=0;Ha=cuc(16)|0;f[Ha>>2]=Ha+8;f[Ha+4>>2]=4;Na=euc(32)|0;f[Ha>>2]=Na;f[o>>2]=0;f[o+4>>2]=Ha;Ha=((ua|0)<0)<<31>>31;f[Na>>2]=0;f[Na+4>>2]=0;f[Na+8>>2]=0;f[Na+12>>2]=0;Ga=Na+16|0;f[Ga>>2]=ua;f[Ga+4>>2]=Ha;Ga=Na+24|0;f[Ga>>2]=ua;f[Ga+4>>2]=Ha;wEa(K,g,o)|0;mEa(o);if((b[Fa>>0]|0)<0)fuc(f[g>>2]|0);Fa=g+4|0;f[Fa>>2]=0;f[Fa+4>>2]=0;Fa=g+11|0;b[Fa>>0]=3;b[g>>0]=b[469235]|0;b[g+1>>0]=b[469236]|0;b[g+2>>0]=b[469237]|0;b[g+3>>0]=0;Ha=cuc(16)|0;f[Ha>>2]=Ha+8;f[Ha+4>>2]=4;Ga=euc(32)|0;f[Ha>>2]=Ga;f[o>>2]=0;f[o+4>>2]=Ha;Ha=((Oa|0)<0)<<31>>31;f[Ga>>2]=-1;f[Ga+4>>2]=-1;f[Ga+8>>2]=-1;f[Ga+12>>2]=-1;ua=Ga+16|0;f[ua>>2]=Oa;f[ua+4>>2]=Ha;ua=Ga+24|0;f[ua>>2]=Oa;f[ua+4>>2]=Ha;wEa(K,g,o)|0;mEa(o);if((b[Fa>>0]|0)<0)fuc(f[g>>2]|0);Fa=f[a+68>>2]|0;Ha=Fa+76|0;ua=f[Ha>>2]|0;if((ua|0)==(f[Fa+80>>2]|0)){VIa(Fa+72|0,m);break b}f[ua>>2]=f[m>>2];Fa=f[L>>2]|0;f[ua+4>>2]=Fa;if(!Fa)Uc=ua;else{Wtc(Fa);Uc=f[Ha>>2]|0}f[Ha>>2]=Uc+8;break b}else{Sc=Qc;Tc=Rc}while(0);do if(((Sc<<24>>24<0?Tc:Sc&255)|0)==24){if(Puc(j,0,-1,405251,24)|0)break;WIa(a,k,l);f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;Da=cuc(16)|0;f[g>>2]=Da;f[g+8>>2]=-2147483632;f[g+4>>2]=12;H=Da;O=405276;I=H+12|0;do{b[H>>0]=b[O>>0]|0;H=H+1|0;O=O+1|0}while((H|0)<(I|0));b[Da+12>>0]=0;Ka=(cGa(k,g)|0)==0;if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);if(Ka){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;Ka=cuc(48)|0;f[g>>2]=Ka;f[g+8>>2]=-2147483600;f[g+4>>2]=32;H=Ka;O=405289;I=H+32|0;do{b[H>>0]=b[O>>0]|0;H=H+1|0;O=O+1|0}while((H|0)<(I|0));b[Ka+32>>0]=0;WD(-215,g,403519,403191,964)};f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;Da=cuc(16)|0;f[o>>2]=Da;f[o+8>>2]=-2147483632;f[o+4>>2]=12;H=Da;O=405276;I=H+12|0;do{b[H>>0]=b[O>>0]|0;H=H+1|0;O=O+1|0}while((H|0)<(I|0));b[Da+12>>0]=0;Ka=hEa(iGa(k,o)|0,-1)|0;if((b[o+11>>0]|0)<0)fuc(f[o>>2]|0);f[g>>2]=Ka;wuc((f[m>>2]|0)+12|0,445179)|0;f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;Ka=cuc(16)|0;f[o>>2]=Ka;f[o+8>>2]=-2147483632;f[o+4>>2]=13;H=Ka;O=454253;I=H+13|0;do{b[H>>0]=b[O>>0]|0;H=H+1|0;O=O+1|0}while((H|0)<(I|0));b[Ka+13>>0]=0;kGa(K,o,454267)|0;if((b[o+11>>0]|0)<0)fuc(f[o>>2]|0);f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;Da=cuc(16)|0;f[o>>2]=Da;f[o+8>>2]=-2147483632;f[o+4>>2]=11;H=Da;O=453997;I=H+11|0;do{b[H>>0]=b[O>>0]|0;H=H+1|0;O=O+1|0}while((H|0)<(I|0));b[Da+11>>0]=0;xEa(K,o,g)|0;if((b[o+11>>0]|0)<0)fuc(f[o>>2]|0);Ka=f[a+68>>2]|0;Ia=Ka+76|0;Ha=f[Ia>>2]|0;if((Ha|0)==(f[Ka+80>>2]|0))VIa(Ka+72|0,m);else{f[Ha>>2]=f[m>>2];Ka=f[L>>2]|0;f[Ha+4>>2]=Ka;if(!Ka)Vc=Ha;else{Wtc(Ka);Vc=f[Ia>>2]|0}f[Ia>>2]=Vc+8}break b}while(0);WIa(a,k,l);Ia=f[k>>2]|0;if((Ia|0)!=(c|0)){Ka=Ia;while(1){wEa(K,Ka+16|0,Ka+28|0)|0;Ia=f[Ka+4>>2]|0;do if(!Ia){Ha=Ka+8|0;Fa=f[Ha>>2]|0;if((f[Fa>>2]|0)==(Ka|0)){Wc=Fa;break}else Xc=Ha;do{Ha=f[Xc>>2]|0;Xc=Ha+8|0;Fa=f[Xc>>2]|0}while((f[Fa>>2]|0)!=(Ha|0));Wc=Fa}else{Fa=Ia;while(1){Ha=f[Fa>>2]|0;if(!Ha)break;else Fa=Ha}Wc=Fa}while(0);if((Wc|0)==(c|0))break;else Ka=Wc}}Ka=f[l>>2]|0;if((Ka|0)!=(E|0)){Ia=M+40|0;Da=M+44|0;Ha=M+36|0;ua=Ka;while(1){Ka=ua+32|0;Oa=f[Ia>>2]|0;if((Oa|0)==(f[Da>>2]|0))ot(Ha,Ka);else{f[Oa>>2]=f[Ka>>2];Ga=Oa+4|0;Na=ua+36|0;f[Ga>>2]=f[Na>>2];ta=Oa+8|0;f[ta>>2]=f[ua+40>>2];f[Oa+12>>2]=f[ua+44>>2];f[Oa+16>>2]=f[ua+48>>2];f[Oa+20>>2]=f[ua+52>>2];f[Oa+24>>2]=f[ua+56>>2];f[Oa+28>>2]=f[ua+60>>2];f[Oa+32>>2]=f[ua+64>>2];La=f[ua+68>>2]|0;f[Oa+36>>2]=La;f[Oa+40>>2]=ta;ta=Oa+48|0;Aa=Oa+44|0;f[Aa>>2]=ta;f[ta>>2]=0;f[Oa+52>>2]=0;if(La|0){ta=La+12|0;f[ta>>2]=(f[ta>>2]|0)+1}if((f[Na>>2]|0)<3){Na=f[ua+76>>2]|0;ta=f[Aa>>2]|0;f[ta>>2]=f[Na>>2];f[ta+4>>2]=f[Na+4>>2]}else{f[Ga>>2]=0;$T(Oa,Ka)}f[Ia>>2]=(f[Ia>>2]|0)+56}Ka=f[ua+4>>2]|0;do if(!Ka){Oa=ua+8|0;Ga=f[Oa>>2]|0;if((f[Ga>>2]|0)==(ua|0)){Yc=Ga;break}else Zc=Oa;do{Oa=f[Zc>>2]|0;Zc=Oa+8|0;Ga=f[Zc>>2]|0}while((f[Ga>>2]|0)!=(Oa|0));Yc=Ga}else{Fa=Ka;while(1){Ga=f[Fa>>2]|0;if(!Ga)break;else Fa=Ga}Yc=Fa}while(0);if((Yc|0)==(E|0))break;else ua=Yc}}ruc((f[m>>2]|0)+12|0,j)|0;ua=f[a+68>>2]|0;Ia=ua+76|0;Ha=f[Ia>>2]|0;if((Ha|0)==(f[ua+80>>2]|0)){VIa(ua+72|0,m);break b}f[Ha>>2]=f[m>>2];ua=f[L>>2]|0;f[Ha+4>>2]=ua;if(!ua)_c=Ha;else{Wtc(ua);_c=f[Ia>>2]|0}f[Ia>>2]=_c+8;break b}while(0);WIa(a,k,l);f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;Ia=g+11|0;b[Ia>>0]=5;b[g>>0]=b[467001]|0;b[g+1>>0]=b[467002]|0;b[g+2>>0]=b[467003]|0;b[g+3>>0]=b[467004]|0;b[g+4>>0]=b[467005]|0;b[g+5>>0]=0;ua=(cGa(k,g)|0)==0;if((b[Ia>>0]|0)<0)fuc(f[g>>2]|0);if(ua){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;ua=cuc(32)|0;f[g>>2]=ua;f[g+8>>2]=-2147483616;f[g+4>>2]=25;H=ua;O=405081;I=H+25|0;do{b[H>>0]=b[O>>0]|0;H=H+1|0;O=O+1|0}while((H|0)<(I|0));b[ua+25>>0]=0;WD(-215,g,403519,403191,920)};f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;Ia=g+11|0;b[Ia>>0]=5;b[g>>0]=b[467013]|0;b[g+1>>0]=b[467014]|0;b[g+2>>0]=b[467015]|0;b[g+3>>0]=b[467016]|0;b[g+4>>0]=b[467017]|0;b[g+5>>0]=0;Ha=(cGa(k,g)|0)==0;if((b[Ia>>0]|0)<0)fuc(f[g>>2]|0);if(Ha){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;Ha=cuc(32)|0;f[g>>2]=Ha;f[g+8>>2]=-2147483616;f[g+4>>2]=25;H=Ha;O=405107;I=H+25|0;do{b[H>>0]=b[O>>0]|0;H=H+1|0;O=O+1|0}while((H|0)<(I|0));b[Ha+25>>0]=0;WD(-215,g,403519,403191,920)};f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;ua=g+11|0;b[ua>>0]=5;b[g>>0]=b[467007]|0;b[g+1>>0]=b[467008]|0;b[g+2>>0]=b[467009]|0;b[g+3>>0]=b[467010]|0;b[g+4>>0]=b[467011]|0;b[g+5>>0]=0;Ia=(cGa(k,g)|0)==0;if((b[ua>>0]|0)<0)fuc(f[g>>2]|0);if(Ia){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;Ia=cuc(32)|0;f[g>>2]=Ia;f[g+8>>2]=-2147483616;f[g+4>>2]=25;H=Ia;O=405133;I=H+25|0;do{b[H>>0]=b[O>>0]|0;H=H+1|0;O=O+1|0}while((H|0)<(I|0));b[Ia+25>>0]=0;WD(-215,g,403519,403191,920)};f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;Ha=g+11|0;b[Ha>>0]=5;b[g>>0]=b[467019]|0;b[g+1>>0]=b[467020]|0;b[g+2>>0]=b[467021]|0;b[g+3>>0]=b[467022]|0;b[g+4>>0]=b[467023]|0;b[g+5>>0]=0;ua=(cGa(k,g)|0)==0;if((b[Ha>>0]|0)<0)fuc(f[g>>2]|0);if(ua){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;ua=cuc(32)|0;f[g>>2]=ua;f[g+8>>2]=-2147483616;f[g+4>>2]=25;H=ua;O=405159;I=H+25|0;do{b[H>>0]=b[O>>0]|0;H=H+1|0;O=O+1|0}while((H|0)<(I|0));b[ua+25>>0]=0;WD(-215,g,403519,403191,920)};f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;Ia=g+11|0;b[Ia>>0]=5;b[g>>0]=b[467007]|0;b[g+1>>0]=b[467008]|0;b[g+2>>0]=b[467009]|0;b[g+3>>0]=b[467010]|0;b[g+4>>0]=b[467011]|0;b[g+5>>0]=0;Ha=hEa(iGa(k,g)|0,-1)|0;Da=J;if((b[Ia>>0]|0)<0)fuc(f[g>>2]|0);f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;Ia=g+11|0;b[Ia>>0]=5;b[g>>0]=b[467001]|0;b[g+1>>0]=b[467002]|0;b[g+2>>0]=b[467003]|0;b[g+3>>0]=b[467004]|0;b[g+4>>0]=b[467005]|0;b[g+5>>0]=0;Da=hEa(iGa(k,g)|0,-1)|0;Ka=J;if((b[Ia>>0]|0)<0)fuc(f[g>>2]|0);f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;Ia=g+11|0;b[Ia>>0]=5;b[g>>0]=b[467013]|0;b[g+1>>0]=b[467014]|0;b[g+2>>0]=b[467015]|0;b[g+3>>0]=b[467016]|0;b[g+4>>0]=b[467017]|0;b[g+5>>0]=0;Ka=hEa(iGa(k,g)|0,-1)|0;Ga=J;if((b[Ia>>0]|0)<0)fuc(f[g>>2]|0);f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;Ia=g+11|0;b[Ia>>0]=5;b[g>>0]=b[467019]|0;b[g+1>>0]=b[467020]|0;b[g+2>>0]=b[467021]|0;b[g+3>>0]=b[467022]|0;b[g+4>>0]=b[467023]|0;b[g+5>>0]=0;Ga=hEa(iGa(k,g)|0,-1)|0;Oa=J;if((b[Ia>>0]|0)<0)fuc(f[g>>2]|0);if((Da|Ha|Ka|Ga|0)<0){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;Ia=cuc(64)|0;f[g>>2]=Ia;f[g+8>>2]=-2147483584;f[g+4>>2]=54;H=Ia;O=405185;I=H+54|0;do{b[H>>0]=b[O>>0]|0;H=H+1|0;O=O+1|0}while((H|0)<(I|0));b[Ia+54>>0]=0;WD(-213,g,403519,403191,926)}wuc((f[m>>2]|0)+12|0,416013)|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;ua=g+11|0;b[ua>>0]=8;Oa=g;f[Oa>>2]=1684300144;f[Oa+4>>2]=1936158313;b[g+8>>0]=0;Oa=cuc(16)|0;f[Oa>>2]=Oa+8;f[Oa+4>>2]=6;Na=euc(48)|0;f[Oa>>2]=Na;f[o>>2]=0;f[o+4>>2]=Oa;Oa=ozc(0,Ha|0,32)|0;f[Na>>2]=0;f[Na+4>>2]=0;f[Na+8>>2]=0;f[Na+12>>2]=0;ta=Na+16|0;f[ta>>2]=Oa;f[ta+4>>2]=J;ta=ozc(0,Ga|0,32)|0;Oa=Na+24|0;f[Oa>>2]=ta;f[Oa+4>>2]=J;Oa=ozc(0,Da|0,32)|0;ta=Na+32|0;f[ta>>2]=Oa;f[ta+4>>2]=J;ta=ozc(0,Ka|0,32)|0;Oa=Na+40|0;f[Oa>>2]=ta;f[Oa+4>>2]=J;wEa(K,g,o)|0;mEa(o);if((b[ua>>0]|0)<0)fuc(f[g>>2]|0);ua=g+11|0;b[ua>>0]=10;H=g;O=470136;I=H+10|0;do{b[H>>0]=b[O>>0]|0;H=H+1|0;O=O+1|0}while((H|0)<(I|0));b[g+10>>0]=0;f[o>>2]=3;xEa(K,g,o)|0;if((b[ua>>0]|0)<0)fuc(f[g>>2]|0);Ka=b[G>>0]|0;do if(((Ka<<24>>24<0?f[Q>>2]|0:Ka&255)|0)==24){if(Puc(j,0,-1,405056,24)|0)break;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;Da=g+11|0;b[Da>>0]=4;f[g>>2]=1701869940;b[g+4>>0]=0;kGa(K,g,470476)|0;if((b[Da>>0]|0)<0)fuc(f[g>>2]|0)}while(0);Ka=f[a+68>>2]|0;ua=Ka+76|0;Da=f[ua>>2]|0;if((Da|0)==(f[Ka+80>>2]|0)){VIa(Ka+72|0,m);break b}f[Da>>2]=f[m>>2];Ka=f[L>>2]|0;f[Da+4>>2]=Ka;if(!Ka)$c=Da;else{Wtc(Ka);$c=f[ua>>2]|0}f[ua>>2]=$c+8;break b}while(0);WIa(a,k,l);ua=b[G>>0]|0;Ka=f[Q>>2]|0;do if(((ua<<24>>24<0?Ka:ua&255)|0)==6)if(!(Puc(j,0,-1,404957,6)|0)){n[g>>2]=2.0;break}else{ad=b[G>>0]|0;bd=f[Q>>2]|0;S=1011;break}else{ad=ua;bd=Ka;S=1011}while(0);c:do if((S|0)==1011){do if(((ad<<24>>24<0?bd:ad&255)|0)==4)if(!(Puc(j,0,-1,404964,4)|0)){n[g>>2]=.5;break c}else{cd=b[G>>0]|0;dd=f[Q>>2]|0;break}else{cd=ad;dd=bd}while(0);if(((cd<<24>>24<0?dd:cd&255)|0)!=5)break;if(Puc(j,0,-1,458405,5)|0)break;Ka=o+4|0;f[Ka>>2]=0;f[Ka+4>>2]=0;Ka=o+11|0;b[Ka>>0]=3;b[o>>0]=b[404969]|0;b[o+1>>0]=b[404970]|0;b[o+2>>0]=b[404971]|0;b[o+3>>0]=0;ua=gEa(k,o)|0;if((ua|0)==(c|0))ed=1.0;else ed=+iEa(ua+28|0,-1);n[g>>2]=ed;if((b[Ka>>0]|0)<0)fuc(f[o>>2]|0)}while(0);wuc((f[m>>2]|0)+12|0,458405)|0;f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;Ka=o+11|0;b[Ka>>0]=5;b[o>>0]=b[449454]|0;b[o+1>>0]=b[449455]|0;b[o+2>>0]=b[449456]|0;b[o+3>>0]=b[449457]|0;b[o+4>>0]=b[449458]|0;b[o+5>>0]=0;jEa(K,o,g)|0;if((b[Ka>>0]|0)<0)fuc(f[o>>2]|0);Ka=f[a+68>>2]|0;ua=Ka+76|0;Da=f[ua>>2]|0;if((Da|0)==(f[Ka+80>>2]|0))VIa(Ka+72|0,m);else{f[Da>>2]=f[m>>2];Ka=f[L>>2]|0;f[Da+4>>2]=Ka;if(!Ka)fd=Da;else{Wtc(Ka);fd=f[ua>>2]|0}f[ua>>2]=fd+8}break b}while(0);WIa(a,k,l);wuc((f[m>>2]|0)+12|0,445347)|0;ua=f[a+68>>2]|0;Ka=ua+76|0;Da=f[Ka>>2]|0;if((Da|0)==(f[ua+80>>2]|0)){VIa(ua+72|0,m);break b}f[Da>>2]=f[m>>2];ua=f[L>>2]|0;f[Da+4>>2]=ua;if(!ua)gd=Da;else{Wtc(ua);gd=f[Ka>>2]|0}f[Ka>>2]=gd+8;break b}while(0);WIa(a,k,l);f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;Ka=g+11|0;b[Ka>>0]=1;b[g>>0]=112;b[g+1>>0]=0;ua=(cGa(k,g)|0)==0;if((b[Ka>>0]|0)<0)fuc(f[g>>2]|0);if(ua){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;ua=cuc(32)|0;f[g>>2]=ua;f[g+8>>2]=-2147483616;f[g+4>>2]=21;H=ua;O=404046;I=H+21|0;do{b[H>>0]=b[O>>0]|0;H=H+1|0;O=O+1|0}while((H|0)<(I|0));b[ua+21>>0]=0;WD(-215,g,403519,403191,722)};f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;Ka=g+11|0;b[Ka>>0]=2;d[g>>1]=12918;b[g+2>>0]=0;if(!(cGa(k,g)|0))hd=0;else{f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;Da=o+11|0;b[Da>>0]=2;d[o>>1]=12918;b[o+2>>0]=0;Ga=hEa(iGa(k,o)|0,-1)|0;Ha=(Ga|0)!=0|(J|0)!=0;if((b[Da>>0]|0)<0)fuc(f[o>>2]|0);hd=Ha}if((b[Ka>>0]|0)<0)fuc(f[g>>2]|0);if(!hd){f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;Ka=o+11|0;b[Ka>>0]=1;b[o>>0]=112;b[o+1>>0]=0;Eb=1.0-+iEa(iGa(k,o)|0,-1);if((b[Ka>>0]|0)<0)fuc(f[o>>2]|0);n[g>>2]=Eb;if(!(Eb>0.0)){f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;b[o+11>>0]=9;H=o;O=458309;I=H+9|0;do{b[H>>0]=b[O>>0]|0;H=H+1|0;O=O+1|0}while((H|0)<(I|0));b[o+9>>0]=0;WD(-215,o,403519,403191,732)}wuc((f[m>>2]|0)+12|0,458405)|0;f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;ua=o+11|0;b[ua>>0]=5;b[o>>0]=b[458411]|0;b[o+1>>0]=b[458412]|0;b[o+2>>0]=b[458413]|0;b[o+3>>0]=b[458414]|0;b[o+4>>0]=b[458415]|0;b[o+5>>0]=0;jEa(K,o,g)|0;if((b[ua>>0]|0)<0)fuc(f[o>>2]|0)}else wuc((f[m>>2]|0)+12|0,445347)|0;ua=f[a+68>>2]|0;Ka=ua+76|0;Ha=f[Ka>>2]|0;if((Ha|0)==(f[ua+80>>2]|0)){VIa(ua+72|0,m);break b}f[Ha>>2]=f[m>>2];ua=f[L>>2]|0;f[Ha+4>>2]=ua;if(!ua)id=Ha;else{Wtc(ua);id=f[Ka>>2]|0}f[Ka>>2]=id+8;break b}while(0);wuc((f[m>>2]|0)+12|0,445463)|0;WIa(a,k,l);Ka=g+4|0;f[Ka>>2]=0;f[Ka+4>>2]=0;Ka=g+11|0;b[Ka>>0]=3;b[g>>0]=b[465409]|0;b[g+1>>0]=b[465410]|0;b[g+2>>0]=b[465411]|0;b[g+3>>0]=0;ua=(cGa(k,g)|0)==0;if((b[Ka>>0]|0)<0)fuc(f[g>>2]|0);if(ua){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;ua=cuc(32)|0;f[g>>2]=ua;f[g+8>>2]=-2147483616;f[g+4>>2]=23;H=ua;O=403835;I=H+23|0;do{b[H>>0]=b[O>>0]|0;H=H+1|0;O=O+1|0}while((H|0)<(I|0));b[ua+23>>0]=0;WD(-215,g,403519,403191,641)}Ka=g+4|0;f[Ka>>2]=0;f[Ka+4>>2]=0;Ka=g+11|0;b[Ka>>0]=3;b[g>>0]=b[465409]|0;b[g+1>>0]=b[465410]|0;b[g+2>>0]=b[465411]|0;b[g+3>>0]=0;Eb=+iEa(iGa(k,g)|0,-1);if((b[Ka>>0]|0)<0)fuc(f[g>>2]|0);n[o>>2]=Eb;Ka=g+4|0;f[Ka>>2]=0;f[Ka+4>>2]=0;Ka=g+11|0;b[Ka>>0]=3;b[g>>0]=b[465409]|0;b[g+1>>0]=b[465410]|0;b[g+2>>0]=b[465411]|0;b[g+3>>0]=0;jEa(K,g,o)|0;if((b[Ka>>0]|0)<0)fuc(f[g>>2]|0);f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;Ka=cuc(16)|0;f[g>>2]=Ka;f[g+8>>2]=-2147483632;f[g+4>>2]=12;H=Ka;O=403859;I=H+12|0;do{b[H>>0]=b[O>>0]|0;H=H+1|0;O=O+1|0}while((H|0)<(I|0));b[Ka+12>>0]=0;ua=(XIa(l,g)|0)==0;if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);if(ua){f[g+8>>2]=0;ua=g+11|0;b[ua>>0]=7;b[g>>0]=b[403872]|0;b[g+1>>0]=b[403873]|0;b[g+2>>0]=b[403874]|0;b[g+3>>0]=b[403875]|0;b[g+4>>0]=b[403876]|0;b[g+5>>0]=b[403877]|0;b[g+6>>0]=b[403878]|0;b[g+7>>0]=0;Ha=(cGa(k,g)|0)==0;if((b[ua>>0]|0)<0)fuc(f[g>>2]|0);if(Ha){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;Ha=cuc(32)|0;f[g>>2]=Ha;f[g+8>>2]=-2147483616;f[g+4>>2]=27;H=Ha;O=403880;I=H+27|0;do{b[H>>0]=b[O>>0]|0;H=H+1|0;O=O+1|0}while((H|0)<(I|0));b[Ha+27>>0]=0;WD(-215,g,403519,403191,651)}Ka=M+36|0;f[q+8>>2]=0;ua=q+11|0;b[ua>>0]=7;b[q>>0]=b[403872]|0;b[q+1>>0]=b[403873]|0;b[q+2>>0]=b[403874]|0;b[q+3>>0]=b[403875]|0;b[q+4>>0]=b[403876]|0;b[q+5>>0]=b[403877]|0;b[q+6>>0]=b[403878]|0;b[q+7>>0]=0;Da=hEa(iGa(k,q)|0,-1)|0;wT(s,1,Da,5);f[g>>2]=1124007936;Da=g+4|0;Ga=g+8|0;Ia=g+40|0;H=Da;I=H+36|0;do{f[H>>2]=0;H=H+4|0}while((H|0)<(I|0));f[Ia>>2]=Ga;Ha=g+48|0;Oa=g+44|0;f[Oa>>2]=Ha;f[Ha>>2]=0;f[g+52>>2]=0;ta=f[s>>2]|0;sh[f[(f[ta>>2]|0)+12>>2]&255](ta,s,g,-1);ta=M+40|0;Na=f[ta>>2]|0;do if(Na>>>0<(f[M+44>>2]|0)>>>0){f[Na>>2]=f[g>>2];f[Na+4>>2]=f[Da>>2];Aa=Na+8|0;f[Aa>>2]=f[Ga>>2];f[Na+12>>2]=f[g+12>>2];f[Na+16>>2]=f[g+16>>2];f[Na+20>>2]=f[g+20>>2];f[Na+24>>2]=f[g+24>>2];f[Na+28>>2]=f[g+28>>2];f[Na+32>>2]=f[g+32>>2];La=g+36|0;f[Na+36>>2]=f[La>>2];Ja=Na+40|0;f[Ja>>2]=Aa;Aa=Na+44|0;za=Na+48|0;f[Aa>>2]=za;Ma=Na+52|0;f[Ma>>2]=0;f[za>>2]=0;R=g+44|0;if((f[Da>>2]|0)<3){Pa=f[R>>2]|0;f[za>>2]=f[Pa>>2];f[Ma>>2]=f[Pa+4>>2]}else{f[Aa>>2]=f[R>>2];f[Ja>>2]=f[Ia>>2];f[R>>2]=Ha;f[Ia>>2]=Ga}f[g>>2]=1124007936;H=Da;I=H+36|0;do{f[H>>2]=0;H=H+4|0}while((H|0)<(I|0));f[ta>>2]=Na+56;jd=La}else{$Ia(Ka,g);R=g+36|0;Ja=f[R>>2]|0;if(!Ja){jd=R;break}Aa=Ja+12|0;Ja=f[Aa>>2]|0;f[Aa>>2]=Ja+-1;if((Ja|0)!=1){jd=R;break}aU(g);jd=R}while(0);f[jd>>2]=0;Ka=g+16|0;f[Ka>>2]=0;f[Ka+4>>2]=0;f[Ka+8>>2]=0;f[Ka+12>>2]=0;if((f[Da>>2]|0)>0){Ka=f[Ia>>2]|0;Na=0;do{f[Ka+(Na<<2)>>2]=0;Na=Na+1|0}while((Na|0)<(f[Da>>2]|0))}Da=f[Oa>>2]|0;if((Da|0)!=(Ha|0))TC(Da);Xi(s);if((b[ua>>0]|0)<0)fuc(f[q>>2]|0)}else{Da=M+36|0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;Na=cuc(16)|0;f[q>>2]=Na;f[q+8>>2]=-2147483632;f[q+4>>2]=12;H=Na;O=403859;I=H+12|0;do{b[H>>0]=b[O>>0]|0;H=H+1|0;O=O+1|0}while((H|0)<(I|0));b[Na+12>>0]=0;ua=YIa(l,g,q)|0;Ha=f[ua>>2]|0;if(!Ha){Oa=cuc(88)|0;Ka=Oa+16|0;f[Ka>>2]=f[q>>2];f[Ka+4>>2]=f[q+4>>2];f[Ka+8>>2]=f[q+8>>2];f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;f[Oa+28>>2]=0;f[Oa+32>>2]=1124007936;Ka=Oa+40|0;Ia=Oa+72|0;H=Oa+36|0;I=H+36|0;do{f[H>>2]=0;H=H+4|0}while((H|0)<(I|0));f[Ia>>2]=Ka;Na=Oa+80|0;f[Oa+76>>2]=Na;f[Na>>2]=0;f[Oa+84>>2]=0;Na=f[g>>2]|0;f[Oa>>2]=0;f[Oa+4>>2]=0;f[Oa+8>>2]=Na;f[ua>>2]=Oa;Na=f[f[l>>2]>>2]|0;if(!Na)kd=Oa;else{f[l>>2]=Na;kd=f[ua>>2]|0}jI(f[C>>2]|0,kd);f[D>>2]=(f[D>>2]|0)+1;ld=Oa}else ld=Ha;Na=ld+32|0;ta=M+40|0;Ga=f[ta>>2]|0;if((Ga|0)==(f[M+44>>2]|0))ot(Da,Na);else{f[Ga>>2]=f[Na>>2];R=Ga+4|0;Ja=ld+36|0;f[R>>2]=f[Ja>>2];Aa=Ga+8|0;f[Aa>>2]=f[ld+40>>2];f[Ga+12>>2]=f[ld+44>>2];f[Ga+16>>2]=f[ld+48>>2];f[Ga+20>>2]=f[ld+52>>2];f[Ga+24>>2]=f[ld+56>>2];f[Ga+28>>2]=f[ld+60>>2];f[Ga+32>>2]=f[ld+64>>2];Pa=f[ld+68>>2]|0;f[Ga+36>>2]=Pa;f[Ga+40>>2]=Aa;Aa=Ga+48|0;Ma=Ga+44|0;f[Ma>>2]=Aa;f[Aa>>2]=0;f[Ga+52>>2]=0;if(Pa|0){Aa=Pa+12|0;f[Aa>>2]=(f[Aa>>2]|0)+1}if((f[Ja>>2]|0)<3){Ja=f[ld+76>>2]|0;Aa=f[Ma>>2]|0;f[Aa>>2]=f[Ja>>2];f[Aa+4>>2]=f[Ja+4>>2]}else{f[R>>2]=0;$T(Ga,Na)}f[ta>>2]=(f[ta>>2]|0)+56}if((b[q+11>>0]|0)<0)fuc(f[q>>2]|0)};f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;ta=cuc(16)|0;f[g>>2]=ta;f[g+8>>2]=-2147483632;f[g+4>>2]=11;H=ta;O=403908;I=H+11|0;do{b[H>>0]=b[O>>0]|0;H=H+1|0;O=O+1|0}while((H|0)<(I|0));b[ta+11>>0]=0;Da=(XIa(l,g)|0)==0;if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);do if(Da){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;Ha=cuc(16)|0;f[g>>2]=Ha;f[g+8>>2]=-2147483632;f[g+4>>2]=11;H=Ha;O=403920;I=H+11|0;do{b[H>>0]=b[O>>0]|0;H=H+1|0;O=O+1|0}while((H|0)<(I|0));b[Ha+11>>0]=0;La=(XIa(l,g)|0)==0;if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);if(!La){La=M+36|0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;Oa=cuc(16)|0;f[q>>2]=Oa;f[q+8>>2]=-2147483632;f[q+4>>2]=11;H=Oa;O=403920;I=H+11|0;do{b[H>>0]=b[O>>0]|0;H=H+1|0;O=O+1|0}while((H|0)<(I|0));b[Oa+11>>0]=0;Ha=YIa(l,g,q)|0;ua=f[Ha>>2]|0;if(!ua){Ka=cuc(88)|0;Ia=Ka+16|0;f[Ia>>2]=f[q>>2];f[Ia+4>>2]=f[q+4>>2];f[Ia+8>>2]=f[q+8>>2];f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;f[Ka+28>>2]=0;f[Ka+32>>2]=1124007936;Ia=Ka+40|0;Na=Ka+72|0;H=Ka+36|0;I=H+36|0;do{f[H>>2]=0;H=H+4|0}while((H|0)<(I|0));f[Na>>2]=Ia;Oa=Ka+80|0;f[Ka+76>>2]=Oa;f[Oa>>2]=0;f[Ka+84>>2]=0;Oa=f[g>>2]|0;f[Ka>>2]=0;f[Ka+4>>2]=0;f[Ka+8>>2]=Oa;f[Ha>>2]=Ka;Oa=f[f[l>>2]>>2]|0;if(!Oa)md=Ka;else{f[l>>2]=Oa;md=f[Ha>>2]|0}jI(f[C>>2]|0,md);f[D>>2]=(f[D>>2]|0)+1;nd=Ka}else nd=ua;Oa=nd+32|0;Ga=M+40|0;R=f[Ga>>2]|0;if((R|0)==(f[M+44>>2]|0))ot(La,Oa);else{f[R>>2]=f[Oa>>2];Ja=R+4|0;Aa=nd+36|0;f[Ja>>2]=f[Aa>>2];Ma=R+8|0;f[Ma>>2]=f[nd+40>>2];f[R+12>>2]=f[nd+44>>2];f[R+16>>2]=f[nd+48>>2];f[R+20>>2]=f[nd+52>>2];f[R+24>>2]=f[nd+56>>2];f[R+28>>2]=f[nd+60>>2];f[R+32>>2]=f[nd+64>>2];Pa=f[nd+68>>2]|0;f[R+36>>2]=Pa;f[R+40>>2]=Ma;Ma=R+48|0;za=R+44|0;f[za>>2]=Ma;f[Ma>>2]=0;f[R+52>>2]=0;if(Pa|0){Ma=Pa+12|0;f[Ma>>2]=(f[Ma>>2]|0)+1}if((f[Aa>>2]|0)<3){Aa=f[nd+76>>2]|0;Ma=f[za>>2]|0;f[Ma>>2]=f[Aa>>2];f[Ma+4>>2]=f[Aa+4>>2]}else{f[Ja>>2]=0;$T(R,Oa)}f[Ga>>2]=(f[Ga>>2]|0)+56}if((b[q+11>>0]|0)<0)fuc(f[q>>2]|0);Oa=(f[Ga>>2]|0)+-56|0;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=Oa;R=q+8|0;f[R>>2]=0;f[R+4>>2]=0;f[q>>2]=33619968;f[q+4>>2]=Oa;lD(g,-2.0,q);Oa=(f[Ga>>2]|0)+-56|0;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=Oa;p[r>>3]=+n[o>>2];f[q>>2]=-1056833530;f[q+4>>2]=r;f[q+8>>2]=1;f[q+12>>2]=1;Ga=t+8|0;f[Ga>>2]=0;f[Ga+4>>2]=0;f[t>>2]=33619968;f[t+4>>2]=Oa;HW(g,q,t,sK()|0,-1);break}f[g+8>>2]=0;Oa=g+11|0;b[Oa>>0]=7;b[g>>0]=b[403872]|0;b[g+1>>0]=b[403873]|0;b[g+2>>0]=b[403874]|0;b[g+3>>0]=b[403875]|0;b[g+4>>0]=b[403876]|0;b[g+5>>0]=b[403877]|0;b[g+6>>0]=b[403878]|0;b[g+7>>0]=0;Ga=(cGa(k,g)|0)==0;if((b[Oa>>0]|0)<0)fuc(f[g>>2]|0);if(Ga){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;Ga=cuc(32)|0;f[g>>2]=Ga;f[g+8>>2]=-2147483616;f[g+4>>2]=27;H=Ga;O=403880;I=H+27|0;do{b[H>>0]=b[O>>0]|0;H=H+1|0;O=O+1|0}while((H|0)<(I|0));b[Ga+27>>0]=0;WD(-215,g,403519,403191,667)}La=M+36|0;f[q+8>>2]=0;ua=q+11|0;b[ua>>0]=7;b[q>>0]=b[403872]|0;b[q+1>>0]=b[403873]|0;b[q+2>>0]=b[403874]|0;b[q+3>>0]=b[403875]|0;b[q+4>>0]=b[403876]|0;b[q+5>>0]=b[403877]|0;b[q+6>>0]=b[403878]|0;b[q+7>>0]=0;Ka=hEa(iGa(k,q)|0,-1)|0;zT(v,1,Ka,5);f[g>>2]=1124007936;Ka=g+4|0;Ha=g+8|0;Ia=g+40|0;H=Ka;I=H+36|0;do{f[H>>2]=0;H=H+4|0}while((H|0)<(I|0));f[Ia>>2]=Ha;Ga=g+48|0;Na=g+44|0;f[Na>>2]=Ga;f[Ga>>2]=0;f[g+52>>2]=0;Oa=f[v>>2]|0;sh[f[(f[Oa>>2]|0)+12>>2]&255](Oa,v,g,-1);Oa=M+40|0;R=f[Oa>>2]|0;do if(R>>>0<(f[M+44>>2]|0)>>>0){f[R>>2]=f[g>>2];f[R+4>>2]=f[Ka>>2];Ja=R+8|0;f[Ja>>2]=f[Ha>>2];f[R+12>>2]=f[g+12>>2];f[R+16>>2]=f[g+16>>2];f[R+20>>2]=f[g+20>>2];f[R+24>>2]=f[g+24>>2];f[R+28>>2]=f[g+28>>2];f[R+32>>2]=f[g+32>>2];Aa=g+36|0;f[R+36>>2]=f[Aa>>2];Ma=R+40|0;f[Ma>>2]=Ja;Ja=R+44|0;za=R+48|0;f[Ja>>2]=za;Pa=R+52|0;f[Pa>>2]=0;f[za>>2]=0;P=g+44|0;if((f[Ka>>2]|0)<3){sa=f[P>>2]|0;f[za>>2]=f[sa>>2];f[Pa>>2]=f[sa+4>>2]}else{f[Ja>>2]=f[P>>2];f[Ma>>2]=f[Ia>>2];f[P>>2]=Ga;f[Ia>>2]=Ha}f[g>>2]=1124007936;H=Ka;I=H+36|0;do{f[H>>2]=0;H=H+4|0}while((H|0)<(I|0));f[Oa>>2]=R+56;od=Aa}else{$Ia(La,g);P=g+36|0;Ma=f[P>>2]|0;if(!Ma){od=P;break}Ja=Ma+12|0;Ma=f[Ja>>2]|0;f[Ja>>2]=Ma+-1;if((Ma|0)!=1){od=P;break}aU(g);od=P}while(0);f[od>>2]=0;La=g+16|0;f[La>>2]=0;f[La+4>>2]=0;f[La+8>>2]=0;f[La+12>>2]=0;if((f[Ka>>2]|0)>0){La=f[Ia>>2]|0;R=0;do{f[La+(R<<2)>>2]=0;R=R+1|0}while((R|0)<(f[Ka>>2]|0))}Ka=f[Na>>2]|0;if((Ka|0)!=(Ga|0))TC(Ka);Xi(v);if((b[ua>>0]|0)<0)fuc(f[q>>2]|0)}else{Ka=M+36|0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;R=cuc(16)|0;f[q>>2]=R;f[q+8>>2]=-2147483632;f[q+4>>2]=11;H=R;O=403908;I=H+11|0;do{b[H>>0]=b[O>>0]|0;H=H+1|0;O=O+1|0}while((H|0)<(I|0));b[R+11>>0]=0;ua=YIa(l,g,q)|0;Ga=f[ua>>2]|0;if(!Ga){Na=cuc(88)|0;La=Na+16|0;f[La>>2]=f[q>>2];f[La+4>>2]=f[q+4>>2];f[La+8>>2]=f[q+8>>2];f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;f[Na+28>>2]=0;f[Na+32>>2]=1124007936;La=Na+40|0;Ia=Na+72|0;H=Na+36|0;I=H+36|0;do{f[H>>2]=0;H=H+4|0}while((H|0)<(I|0));f[Ia>>2]=La;R=Na+80|0;f[Na+76>>2]=R;f[R>>2]=0;f[Na+84>>2]=0;R=f[g>>2]|0;f[Na>>2]=0;f[Na+4>>2]=0;f[Na+8>>2]=R;f[ua>>2]=Na;R=f[f[l>>2]>>2]|0;if(!R)pd=Na;else{f[l>>2]=R;pd=f[ua>>2]|0}jI(f[C>>2]|0,pd);f[D>>2]=(f[D>>2]|0)+1;qd=Na}else qd=Ga;R=qd+32|0;Oa=M+40|0;Ha=f[Oa>>2]|0;if((Ha|0)==(f[M+44>>2]|0))ot(Ka,R);else{f[Ha>>2]=f[R>>2];P=Ha+4|0;Ma=qd+36|0;f[P>>2]=f[Ma>>2];Ja=Ha+8|0;f[Ja>>2]=f[qd+40>>2];f[Ha+12>>2]=f[qd+44>>2];f[Ha+16>>2]=f[qd+48>>2];f[Ha+20>>2]=f[qd+52>>2];f[Ha+24>>2]=f[qd+56>>2];f[Ha+28>>2]=f[qd+60>>2];f[Ha+32>>2]=f[qd+64>>2];sa=f[qd+68>>2]|0;f[Ha+36>>2]=sa;f[Ha+40>>2]=Ja;Ja=Ha+48|0;Pa=Ha+44|0;f[Pa>>2]=Ja;f[Ja>>2]=0;f[Ha+52>>2]=0;if(sa|0){Ja=sa+12|0;f[Ja>>2]=(f[Ja>>2]|0)+1}if((f[Ma>>2]|0)<3){Ma=f[qd+76>>2]|0;Ja=f[Pa>>2]|0;f[Ja>>2]=f[Ma>>2];f[Ja+4>>2]=f[Ma+4>>2]}else{f[P>>2]=0;$T(Ha,R)}f[Oa>>2]=(f[Oa>>2]|0)+56}if((b[q+11>>0]|0)<0)fuc(f[q>>2]|0)}while(0);f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;Da=g+11|0;b[Da>>0]=6;b[g>>0]=b[403483]|0;b[g+1>>0]=b[403484]|0;b[g+2>>0]=b[403485]|0;b[g+3>>0]=b[403486]|0;b[g+4>>0]=b[403487]|0;b[g+5>>0]=b[403488]|0;b[g+6>>0]=0;ta=(XIa(l,g)|0)==0;if((b[Da>>0]|0)<0)fuc(f[g>>2]|0);if(!ta){ta=g+11|0;b[ta>>0]=10;H=g;O=464450;I=H+10|0;do{b[H>>0]=b[O>>0]|0;H=H+1|0;O=O+1|0}while((H|0)<(I|0));b[g+10>>0]=0;b[q>>0]=1;zEa(K,g,q)|0;if((b[ta>>0]|0)<0)fuc(f[g>>2]|0);Da=M+36|0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;Oa=q+11|0;b[Oa>>0]=6;b[q>>0]=b[403483]|0;b[q+1>>0]=b[403484]|0;b[q+2>>0]=b[403485]|0;b[q+3>>0]=b[403486]|0;b[q+4>>0]=b[403487]|0;b[q+5>>0]=b[403488]|0;b[q+6>>0]=0;R=YIa(l,g,q)|0;Ha=f[R>>2]|0;if(!Ha){P=cuc(88)|0;Ma=P+16|0;f[Ma>>2]=f[q>>2];f[Ma+4>>2]=f[q+4>>2];f[Ma+8>>2]=f[q+8>>2];f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;f[P+28>>2]=0;f[P+32>>2]=1124007936;Ma=P+40|0;Ja=P+72|0;H=P+36|0;I=H+36|0;do{f[H>>2]=0;H=H+4|0}while((H|0)<(I|0));f[Ja>>2]=Ma;ta=P+80|0;f[P+76>>2]=ta;f[ta>>2]=0;f[P+84>>2]=0;ta=f[g>>2]|0;f[P>>2]=0;f[P+4>>2]=0;f[P+8>>2]=ta;f[R>>2]=P;ta=f[f[l>>2]>>2]|0;if(!ta)rd=P;else{f[l>>2]=ta;rd=f[R>>2]|0}jI(f[C>>2]|0,rd);f[D>>2]=(f[D>>2]|0)+1;sd=P}else sd=Ha;ta=sd+32|0;Pa=M+40|0;sa=f[Pa>>2]|0;if((sa|0)==(f[M+44>>2]|0))ot(Da,ta);else{f[sa>>2]=f[ta>>2];za=sa+4|0;va=sd+36|0;f[za>>2]=f[va>>2];Ea=sa+8|0;f[Ea>>2]=f[sd+40>>2];f[sa+12>>2]=f[sd+44>>2];f[sa+16>>2]=f[sd+48>>2];f[sa+20>>2]=f[sd+52>>2];f[sa+24>>2]=f[sd+56>>2];f[sa+28>>2]=f[sd+60>>2];f[sa+32>>2]=f[sd+64>>2];wa=f[sd+68>>2]|0;f[sa+36>>2]=wa;f[sa+40>>2]=Ea;Ea=sa+48|0;Ca=sa+44|0;f[Ca>>2]=Ea;f[Ea>>2]=0;f[sa+52>>2]=0;if(wa|0){Ea=wa+12|0;f[Ea>>2]=(f[Ea>>2]|0)+1}if((f[va>>2]|0)<3){va=f[sd+76>>2]|0;Ea=f[Ca>>2]|0;f[Ea>>2]=f[va>>2];f[Ea+4>>2]=f[va+4>>2]}else{f[za>>2]=0;$T(sa,ta)}f[Pa>>2]=(f[Pa>>2]|0)+56}if((b[Oa>>0]|0)<0)fuc(f[q>>2]|0)};f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;Pa=g+11|0;b[Pa>>0]=4;f[g>>2]=1935763810;b[g+4>>0]=0;ta=(XIa(l,g)|0)==0;if((b[Pa>>0]|0)<0)fuc(f[g>>2]|0);if(!ta){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;ta=g+11|0;b[ta>>0]=8;Pa=g;f[Pa>>2]=1601397096;f[Pa+4>>2]=1935763810;b[g+8>>0]=0;b[q>>0]=1;zEa(K,g,q)|0;if((b[ta>>0]|0)<0)fuc(f[g>>2]|0);ta=M+36|0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;Pa=q+11|0;b[Pa>>0]=4;f[q>>2]=1935763810;b[q+4>>0]=0;sa=YIa(l,g,q)|0;za=f[sa>>2]|0;if(!za){va=cuc(88)|0;Ea=va+16|0;f[Ea>>2]=f[q>>2];f[Ea+4>>2]=f[q+4>>2];f[Ea+8>>2]=f[q+8>>2];f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;f[va+28>>2]=0;f[va+32>>2]=1124007936;Ea=va+40|0;Ca=va+72|0;H=va+36|0;I=H+36|0;do{f[H>>2]=0;H=H+4|0}while((H|0)<(I|0));f[Ca>>2]=Ea;Oa=va+80|0;f[va+76>>2]=Oa;f[Oa>>2]=0;f[va+84>>2]=0;Oa=f[g>>2]|0;f[va>>2]=0;f[va+4>>2]=0;f[va+8>>2]=Oa;f[sa>>2]=va;Oa=f[f[l>>2]>>2]|0;if(!Oa)td=va;else{f[l>>2]=Oa;td=f[sa>>2]|0}jI(f[C>>2]|0,td);f[D>>2]=(f[D>>2]|0)+1;ud=va}else ud=za;Oa=ud+32|0;Da=M+40|0;Ha=f[Da>>2]|0;if((Ha|0)==(f[M+44>>2]|0))ot(ta,Oa);else{f[Ha>>2]=f[Oa>>2];P=Ha+4|0;R=ud+36|0;f[P>>2]=f[R>>2];Ma=Ha+8|0;f[Ma>>2]=f[ud+40>>2];f[Ha+12>>2]=f[ud+44>>2];f[Ha+16>>2]=f[ud+48>>2];f[Ha+20>>2]=f[ud+52>>2];f[Ha+24>>2]=f[ud+56>>2];f[Ha+28>>2]=f[ud+60>>2];f[Ha+32>>2]=f[ud+64>>2];Ja=f[ud+68>>2]|0;f[Ha+36>>2]=Ja;f[Ha+40>>2]=Ma;Ma=Ha+48|0;wa=Ha+44|0;f[wa>>2]=Ma;f[Ma>>2]=0;f[Ha+52>>2]=0;if(Ja|0){Ma=Ja+12|0;f[Ma>>2]=(f[Ma>>2]|0)+1}if((f[R>>2]|0)<3){R=f[ud+76>>2]|0;Ma=f[wa>>2]|0;f[Ma>>2]=f[R>>2];f[Ma+4>>2]=f[R+4>>2]}else{f[P>>2]=0;$T(Ha,Oa)}f[Da>>2]=(f[Da>>2]|0)+56}if((b[Pa>>0]|0)<0)fuc(f[q>>2]|0)}Da=b[G>>0]|0;do if(((Da<<24>>24<0?f[Q>>2]|0:Da&255)|0)==21){if(Puc(j,0,-1,403794,21)|0)break;Oa=cuc(84)|0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;ouc(Oa,j);ouc(Oa+12|0,q);Ha=Oa+28|0;f[Ha>>2]=0;f[Oa+32>>2]=0;f[Oa+24>>2]=Ha;H=Oa+36|0;I=H+48|0;do{f[H>>2]=0;H=H+4|0}while((H|0)<(I|0));f[g>>2]=Oa;Ka=cuc(16)|0;f[Ka+4>>2]=0;f[Ka+8>>2]=0;f[Ka>>2]=111692;f[Ka+12>>2]=Oa;Ga=g+4|0;f[Ga>>2]=Ka;if((b[q+11>>0]|0)<0){fuc(f[q>>2]|0);vd=f[g>>2]|0}else vd=Oa;wuc(vd+12|0,415875)|0;Ka=f[a+68>>2]|0;Na=Ka+76|0;ua=f[Na>>2]|0;if((ua|0)==(f[Ka+80>>2]|0))VIa(Ka+72|0,g);else{f[ua>>2]=f[g>>2];Ka=f[Ga>>2]|0;f[ua+4>>2]=Ka;if(!Ka)wd=ua;else{Wtc(Ka);wd=f[Na>>2]|0}f[Na>>2]=wd+8}Na=M+36|0;Ka=f[Na>>2]|0;p[r>>3]=0.0;f[q>>2]=-1056833530;f[q+4>>2]=r;f[q+8>>2]=1;f[q+12>>2]=1;HI(Ka,q,sK()|0)|0;Ka=f[Na>>2]|0;p[r>>3]=1.0;f[q>>2]=-1056833530;f[q+4>>2]=r;f[q+8>>2]=1;f[q+12>>2]=1;HI(Ka+56|0,q,sK()|0)|0;Ka=f[Ga>>2]|0;if(Ka|0)Xtc(Ka)}while(0);Da=f[a+68>>2]|0;Pa=Da+76|0;ta=f[Pa>>2]|0;if((ta|0)==(f[Da+80>>2]|0))VIa(Da+72|0,m);else{f[ta>>2]=f[m>>2];Da=f[L>>2]|0;f[ta+4>>2]=Da;if(!Da)xd=ta;else{Wtc(Da);xd=f[Pa>>2]|0}f[Pa>>2]=xd+8}break b}while(0);wuc((f[m>>2]|0)+12|0,415783)|0;WIa(a,k,l);f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;Pa=g+11|0;b[Pa>>0]=4;f[g>>2]=1702521203;b[g+4>>0]=0;Da=(cGa(k,g)|0)==0;if((b[Pa>>0]|0)<0)fuc(f[g>>2]|0);if(Da){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;Da=cuc(32)|0;f[g>>2]=Da;f[g+8>>2]=-2147483616;f[g+4>>2]=24;H=Da;O=403728;I=H+24|0;do{b[H>>0]=b[O>>0]|0;H=H+1|0;O=O+1|0}while((H|0)<(I|0));b[Da+24>>0]=0;WD(-215,g,403519,403191,610)};f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;Pa=o+11|0;b[Pa>>0]=4;f[o>>2]=1702521203;b[o+4>>0]=0;qEa(g,iGa(k,o)|0);if((b[Pa>>0]|0)<0)fuc(f[o>>2]|0);Pa=o+4|0;f[Pa>>2]=0;f[Pa+4>>2]=0;Pa=o+11|0;b[Pa>>0]=3;b[o>>0]=b[460274]|0;b[o+1>>0]=b[460275]|0;b[o+2>>0]=b[460276]|0;b[o+3>>0]=0;wEa(K,o,g)|0;if((b[Pa>>0]|0)<0)fuc(f[o>>2]|0);f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;Pa=q+11|0;b[Pa>>0]=9;H=q;O=403753;I=H+9|0;do{b[H>>0]=b[O>>0]|0;H=H+1|0;O=O+1|0}while((H|0)<(I|0));b[q+9>>0]=0;Da=gEa(k,q)|0;if((Da|0)==(c|0))yd=1;else{ta=hEa(Da+28|0,-1)|0;yd=(ta|0)!=0|(J|0)!=0}if((b[Pa>>0]|0)<0)fuc(f[q>>2]|0);f[o>>2]=yd&1;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;ta=q+11|0;b[ta>>0]=4;f[q>>2]=1936291937;b[q+4>>0]=0;xEa(K,q,o)|0;if((b[ta>>0]|0)<0)fuc(f[q>>2]|0);ta=f[a+68>>2]|0;Da=ta+76|0;za=f[Da>>2]|0;if((za|0)==(f[ta+80>>2]|0))VIa(ta+72|0,m);else{f[za>>2]=f[m>>2];ta=f[L>>2]|0;f[za+4>>2]=ta;if(!ta)zd=za;else{Wtc(ta);zd=f[Da>>2]|0}f[Da>>2]=zd+8}mEa(g);break b}while(0);wuc((f[m>>2]|0)+12|0,445413)|0;WIa(a,k,l);Da=b[G>>0]|0;do if(((Da<<24>>24<0?f[Q>>2]|0:Da&255)|0)==17){if(Puc(j,0,-1,403596,17)|0)break;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;ta=g+11|0;b[ta>>0]=4;f[g>>2]=1819242352;b[g+4>>0]=0;eGa(K,g,403636)|0;if((b[ta>>0]|0)<0)fuc(f[g>>2]|0);f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;ta=cuc(16)|0;f[o>>2]=ta;f[o+8>>2]=-2147483632;f[o+4>>2]=15;H=ta;O=403640;I=H+15|0;do{b[H>>0]=b[O>>0]|0;H=H+1|0;O=O+1|0}while((H|0)<(I|0));b[ta+15>>0]=0;f[q+8>>2]=0;Pa=q+11|0;b[Pa>>0]=7;b[q>>0]=b[403656]|0;b[q+1>>0]=b[403657]|0;b[q+2>>0]=b[403658]|0;b[q+3>>0]=b[403659]|0;b[q+4>>0]=b[403660]|0;b[q+5>>0]=b[403661]|0;b[q+6>>0]=b[403662]|0;b[q+7>>0]=0;za=YIa(l,g,q)|0;va=f[za>>2]|0;if(!va){sa=cuc(88)|0;Ea=sa+16|0;f[Ea>>2]=f[q>>2];f[Ea+4>>2]=f[q+4>>2];f[Ea+8>>2]=f[q+8>>2];f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;f[sa+28>>2]=0;f[sa+32>>2]=1124007936;Ea=sa+40|0;Ca=sa+72|0;H=sa+36|0;I=H+36|0;do{f[H>>2]=0;H=H+4|0}while((H|0)<(I|0));f[Ca>>2]=Ea;ta=sa+80|0;f[sa+76>>2]=ta;f[ta>>2]=0;f[sa+84>>2]=0;ta=f[g>>2]|0;f[sa>>2]=0;f[sa+4>>2]=0;f[sa+8>>2]=ta;f[za>>2]=sa;ta=f[f[l>>2]>>2]|0;if(!ta)Ad=sa;else{f[l>>2]=ta;Ad=f[za>>2]|0}jI(f[C>>2]|0,Ad);f[D>>2]=(f[D>>2]|0)+1;Bd=sa}else Bd=va;xEa(K,o,Bd+28|0)|0;if((b[Pa>>0]|0)<0)fuc(f[q>>2]|0);if((b[o+11>>0]|0)<0)fuc(f[o>>2]|0)}while(0);Da=b[G>>0]|0;do if(((Da<<24>>24<0?f[Q>>2]|0:Da&255)|0)==21){if(Puc(j,0,-1,403614,21)|0)break;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;ta=g+11|0;b[ta>>0]=4;f[g>>2]=1819242352;b[g+4>>0]=0;eGa(K,g,403664)|0;if((b[ta>>0]|0)<0)fuc(f[g>>2]|0);f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;ta=cuc(32)|0;f[g>>2]=ta;f[g+8>>2]=-2147483616;f[g+4>>2]=20;H=ta;O=463373;I=H+20|0;do{b[H>>0]=b[O>>0]|0;H=H+1|0;O=O+1|0}while((H|0)<(I|0));b[ta+20>>0]=0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;Pa=cuc(32)|0;f[q>>2]=Pa;f[q+8>>2]=-2147483616;f[q+4>>2]=17;H=Pa;O=403668;I=H+17|0;do{b[H>>0]=b[O>>0]|0;H=H+1|0;O=O+1|0}while((H|0)<(I|0));b[Pa+17>>0]=0;if(cGa(k,q)|0){f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;ta=cuc(32)|0;f[r>>2]=ta;f[r+8>>2]=-2147483616;f[r+4>>2]=17;H=ta;O=403668;I=H+17|0;do{b[H>>0]=b[O>>0]|0;H=H+1|0;O=O+1|0}while((H|0)<(I|0));b[ta+17>>0]=0;Pa=hEa(iGa(k,r)|0,-1)|0;b[o>>0]=((Pa|0)!=0|(J|0)!=0)&1;zEa(K,g,o)|0;if((b[r+11>>0]|0)<0)fuc(f[r>>2]|0)}else{b[o>>0]=0;zEa(K,g,o)|0}if((b[q+11>>0]|0)<0)fuc(f[q>>2]|0);if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0)}while(0);ZIa(k,K);f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;Da=g+11|0;b[Da>>0]=9;H=g;O=463349;I=H+9|0;do{b[H>>0]=b[O>>0]|0;H=H+1|0;O=O+1|0}while((H|0)<(I|0));b[g+9>>0]=0;Pa=(cGa(k,g)|0)==0;if((b[Da>>0]|0)<0)fuc(f[g>>2]|0);if(Pa){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;Pa=cuc(32)|0;f[g>>2]=Pa;f[g+8>>2]=-2147483616;f[g+4>>2]=29;H=Pa;O=403686;I=H+29|0;do{b[H>>0]=b[O>>0]|0;H=H+1|0;O=O+1|0}while((H|0)<(I|0));b[Pa+29>>0]=0;WD(-215,g,403519,403191,583)};f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;Da=g+11|0;b[Da>>0]=9;H=g;O=463349;I=H+9|0;do{b[H>>0]=b[O>>0]|0;H=H+1|0;O=O+1|0}while((H|0)<(I|0));b[g+9>>0]=0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;Pa=q+11|0;b[Pa>>0]=9;H=q;O=463349;I=H+9|0;do{b[H>>0]=b[O>>0]|0;H=H+1|0;O=O+1|0}while((H|0)<(I|0));b[q+9>>0]=0;va=hEa(iGa(k,q)|0,-1)|0;b[o>>0]=((va|0)!=0|(J|0)!=0)&1;zEa(K,g,o)|0;if((b[Pa>>0]|0)<0)fuc(f[q>>2]|0);if((b[Da>>0]|0)<0)fuc(f[g>>2]|0);va=f[a+68>>2]|0;sa=va+76|0;za=f[sa>>2]|0;if((za|0)==(f[va+80>>2]|0)){VIa(va+72|0,m);break b}f[za>>2]=f[m>>2];va=f[L>>2]|0;f[za+4>>2]=va;if(!va)Cd=za;else{Wtc(va);Cd=f[sa>>2]|0}f[sa>>2]=Cd+8;break b}while(0);wuc((f[m>>2]|0)+12|0,445519)|0;WIa(a,k,l);f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;sa=g+11|0;b[sa>>0]=6;b[g>>0]=b[403483]|0;b[g+1>>0]=b[403484]|0;b[g+2>>0]=b[403485]|0;b[g+3>>0]=b[403486]|0;b[g+4>>0]=b[403487]|0;b[g+5>>0]=b[403488]|0;b[g+6>>0]=0;va=(XIa(l,g)|0)==0;if((b[sa>>0]|0)<0)fuc(f[g>>2]|0);if(va){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;va=cuc(32)|0;f[g>>2]=va;f[g+8>>2]=-2147483616;f[g+4>>2]=28;H=va;O=403490;I=H+28|0;do{b[H>>0]=b[O>>0]|0;H=H+1|0;O=O+1|0}while((H|0)<(I|0));b[va+28>>0]=0;WD(-215,g,403519,403191,524)}sa=M+36|0;f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;za=o+11|0;b[za>>0]=6;b[o>>0]=b[403483]|0;b[o+1>>0]=b[403484]|0;b[o+2>>0]=b[403485]|0;b[o+3>>0]=b[403486]|0;b[o+4>>0]=b[403487]|0;b[o+5>>0]=b[403488]|0;b[o+6>>0]=0;Ea=YIa(l,g,o)|0;Ca=f[Ea>>2]|0;if(!Ca){Ka=cuc(88)|0;Ga=Ka+16|0;f[Ga>>2]=f[o>>2];f[Ga+4>>2]=f[o+4>>2];f[Ga+8>>2]=f[o+8>>2];f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;f[Ka+28>>2]=0;f[Ka+32>>2]=1124007936;Ga=Ka+40|0;Na=Ka+72|0;H=Ka+36|0;I=H+36|0;do{f[H>>2]=0;H=H+4|0}while((H|0)<(I|0));f[Na>>2]=Ga;va=Ka+80|0;f[Ka+76>>2]=va;f[va>>2]=0;f[Ka+84>>2]=0;va=f[g>>2]|0;f[Ka>>2]=0;f[Ka+4>>2]=0;f[Ka+8>>2]=va;f[Ea>>2]=Ka;va=f[f[l>>2]>>2]|0;if(!va)Dd=Ka;else{f[l>>2]=va;Dd=f[Ea>>2]|0}jI(f[C>>2]|0,Dd);f[D>>2]=(f[D>>2]|0)+1;Ed=Ka}else Ed=Ca;va=Ed+32|0;ua=M+40|0;La=f[ua>>2]|0;Ia=M+44|0;if((La|0)==(f[Ia>>2]|0))ot(sa,va);else{f[La>>2]=f[va>>2];Ha=La+4|0;P=Ed+36|0;f[Ha>>2]=f[P>>2];R=La+8|0;f[R>>2]=f[Ed+40>>2];f[La+12>>2]=f[Ed+44>>2];f[La+16>>2]=f[Ed+48>>2];f[La+20>>2]=f[Ed+52>>2];f[La+24>>2]=f[Ed+56>>2];f[La+28>>2]=f[Ed+60>>2];f[La+32>>2]=f[Ed+64>>2];Ma=f[Ed+68>>2]|0;f[La+36>>2]=Ma;f[La+40>>2]=R;R=La+48|0;wa=La+44|0;f[wa>>2]=R;f[R>>2]=0;f[La+52>>2]=0;if(Ma|0){R=Ma+12|0;f[R>>2]=(f[R>>2]|0)+1}if((f[P>>2]|0)<3){P=f[Ed+76>>2]|0;R=f[wa>>2]|0;f[R>>2]=f[P>>2];f[R+4>>2]=f[P+4>>2]}else{f[Ha>>2]=0;$T(La,va)}f[ua>>2]=(f[ua>>2]|0)+56}if((b[za>>0]|0)<0)fuc(f[o>>2]|0);f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;va=g+11|0;b[va>>0]=4;f[g>>2]=1935763810;b[g+4>>0]=0;La=(XIa(l,g)|0)!=0;if((b[va>>0]|0)<0)fuc(f[g>>2]|0);b[o>>0]=La&1;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;La=g+11|0;b[La>>0]=9;H=g;O=466098;I=H+9|0;do{b[H>>0]=b[O>>0]|0;H=H+1|0;O=O+1|0}while((H|0)<(I|0));b[g+9>>0]=0;zEa(K,g,o)|0;if((b[La>>0]|0)<0)fuc(f[g>>2]|0);if(b[o>>0]|0){f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;za=q+11|0;b[za>>0]=4;f[q>>2]=1935763810;b[q+4>>0]=0;Ca=YIa(l,g,q)|0;Ka=f[Ca>>2]|0;if(!Ka){Ea=cuc(88)|0;Ga=Ea+16|0;f[Ga>>2]=f[q>>2];f[Ga+4>>2]=f[q+4>>2];f[Ga+8>>2]=f[q+8>>2];f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;f[Ea+28>>2]=0;f[Ea+32>>2]=1124007936;Ga=Ea+40|0;Na=Ea+72|0;H=Ea+36|0;I=H+36|0;do{f[H>>2]=0;H=H+4|0}while((H|0)<(I|0));f[Na>>2]=Ga;La=Ea+80|0;f[Ea+76>>2]=La;f[La>>2]=0;f[Ea+84>>2]=0;La=f[g>>2]|0;f[Ea>>2]=0;f[Ea+4>>2]=0;f[Ea+8>>2]=La;f[Ca>>2]=Ea;La=f[f[l>>2]>>2]|0;if(!La)Fd=Ea;else{f[l>>2]=La;Fd=f[Ca>>2]|0}jI(f[C>>2]|0,Fd);f[D>>2]=(f[D>>2]|0)+1;Gd=Ea}else Gd=Ka;La=Gd+32|0;va=f[ua>>2]|0;if((va|0)==(f[Ia>>2]|0))ot(sa,La);else{f[va>>2]=f[La>>2];Ha=va+4|0;P=Gd+36|0;f[Ha>>2]=f[P>>2];R=va+8|0;f[R>>2]=f[Gd+40>>2];f[va+12>>2]=f[Gd+44>>2];f[va+16>>2]=f[Gd+48>>2];f[va+20>>2]=f[Gd+52>>2];f[va+24>>2]=f[Gd+56>>2];f[va+28>>2]=f[Gd+60>>2];f[va+32>>2]=f[Gd+64>>2];wa=f[Gd+68>>2]|0;f[va+36>>2]=wa;f[va+40>>2]=R;R=va+48|0;Ma=va+44|0;f[Ma>>2]=R;f[R>>2]=0;f[va+52>>2]=0;if(wa|0){R=wa+12|0;f[R>>2]=(f[R>>2]|0)+1}if((f[P>>2]|0)<3){P=f[Gd+76>>2]|0;R=f[Ma>>2]|0;f[R>>2]=f[P>>2];f[R+4>>2]=f[P+4>>2]}else{f[Ha>>2]=0;$T(va,La)}f[ua>>2]=(f[ua>>2]|0)+56}if((b[za>>0]|0)<0)fuc(f[q>>2]|0)}La=g+11|0;b[La>>0]=10;H=g;O=473888;I=H+10|0;do{b[H>>0]=b[O>>0]|0;H=H+1|0;O=O+1|0}while((H|0)<(I|0));b[g+10>>0]=0;f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;za=cuc(16)|0;f[r>>2]=za;f[r+8>>2]=-2147483632;f[r+4>>2]=12;H=za;O=403535;I=H+12|0;do{b[H>>0]=b[O>>0]|0;H=H+1|0;O=O+1|0}while((H|0)<(I|0));b[za+12>>0]=0;ua=hEa(iGa(k,r)|0,-1)|0;f[q>>2]=ua;xEa(K,g,q)|0;if((b[r+11>>0]|0)<0)fuc(f[r>>2]|0);if((b[La>>0]|0)<0)fuc(f[g>>2]|0);ZIa(k,K);ua=b[G>>0]|0;do if(((ua<<24>>24<0?f[Q>>2]|0:ua&255)|0)==20){if(Puc(j,0,-1,403462,20)|0)break;Ia=f[sa>>2]|0;if((f[Ia+4>>2]|0)!=2){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;Ka=cuc(32)|0;f[g>>2]=Ka;f[g+8>>2]=-2147483616;f[g+4>>2]=30;H=Ka;O=403548;I=H+30|0;do{b[H>>0]=b[O>>0]|0;H=H+1|0;O=O+1|0}while((H|0)<(I|0));b[Ka+30>>0]=0;WD(-215,g,403519,403191,539)}Da=f[(f[Ia+40>>2]|0)+4>>2]|0;f[g>>2]=0;Pa=g+4|0;f[Pa>>2]=0;f[g+8>>2]=0;Ea=cuc(16)|0;f[g>>2]=Ea;Ca=Ea+16|0;f[g+8>>2]=Ca;f[Ea>>2]=0;f[Ea+4>>2]=0;f[Ea+8>>2]=0;f[Ea+12>>2]=0;f[Pa>>2]=Ca;f[Ea>>2]=f[f[(f[sa>>2]|0)+40>>2]>>2];f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;Ea=q+11|0;b[Ea>>0]=8;Ca=q;f[Ca>>2]=1852990827;f[Ca+4>>2]=1751084133;b[q+8>>0]=0;Ca=hEa(iGa(K,q)|0,-1)|0;f[(f[g>>2]|0)+8>>2]=Ca;if((b[Ea>>0]|0)<0)fuc(f[q>>2]|0);f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;Ea=q+11|0;b[Ea>>0]=8;Ca=q;f[Ca>>2]=1852990827;f[Ca+4>>2]=2002742373;b[q+8>>0]=0;Ca=hEa(iGa(K,q)|0,-1)|0;Ga=f[g>>2]|0;f[Ga+12>>2]=Ca;if((b[Ea>>0]|0)<0){fuc(f[q>>2]|0);Ea=f[g>>2]|0;Hd=Ea;Id=f[Ea+12>>2]|0}else{Hd=Ga;Id=Ca}Ca=(Da|0)/(Y(Id,f[Hd+8>>2]|0)|0)|0;f[Hd+4>>2]=Ca;oU(q,f[sa>>2]|0,1,g);Ca=f[sa>>2]|0;do if((Ca|0)==(q|0)){Da=q+36|0;Ga=f[Da>>2]|0;if(!Ga){Jd=Da;break}Ea=Ga+12|0;Ga=f[Ea>>2]|0;f[Ea>>2]=Ga+-1;if((Ga|0)!=1){Jd=Da;break}aU(q);Jd=Da}else{Da=Ca+36|0;Ga=f[Da>>2]|0;do if(Ga|0){Ea=Ga+12|0;Na=f[Ea>>2]|0;f[Ea>>2]=Na+-1;if((Na|0)!=1)break;aU(Ca)}while(0);f[Da>>2]=0;Ga=Ca+16|0;ta=Ca+4|0;f[Ga>>2]=0;f[Ga+4>>2]=0;f[Ga+8>>2]=0;f[Ga+12>>2]=0;if((f[ta>>2]|0)>0){Na=f[Ca+40>>2]|0;Ea=0;do{f[Na+(Ea<<2)>>2]=0;Ea=Ea+1|0}while((Ea|0)<(f[ta>>2]|0))}f[Ca>>2]=f[q>>2];Ea=q+4|0;f[ta>>2]=f[Ea>>2];Na=q+8|0;va=Ca+8|0;f[va>>2]=f[Na>>2];f[Ca+12>>2]=f[q+12>>2];f[Ga>>2]=f[q+16>>2];f[Ca+20>>2]=f[q+20>>2];f[Ca+24>>2]=f[q+24>>2];f[Ca+28>>2]=f[q+28>>2];f[Ca+32>>2]=f[q+32>>2];Ha=q+36|0;f[Da>>2]=f[Ha>>2];P=Ca+44|0;R=f[P>>2]|0;Ma=Ca+48|0;if((R|0)==(Ma|0))Kd=R;else{TC(R);f[P>>2]=Ma;f[Ca+40>>2]=va;Kd=Ma}Ma=q+44|0;if((f[Ea>>2]|0)<3){va=f[Ma>>2]|0;f[Kd>>2]=f[va>>2];f[Kd+4>>2]=f[va+4>>2]}else{f[P>>2]=f[Ma>>2];P=q+40|0;f[Ca+40>>2]=f[P>>2];f[Ma>>2]=q+48;f[P>>2]=Na}f[q>>2]=1124007936;H=Ea;I=H+36|0;do{f[H>>2]=0;H=H+4|0}while((H|0)<(I|0));Jd=Ha}while(0);f[Jd>>2]=0;Ca=q+16|0;Ia=q+4|0;f[Ca>>2]=0;f[Ca+4>>2]=0;f[Ca+8>>2]=0;f[Ca+12>>2]=0;if((f[Ia>>2]|0)>0){Ca=f[q+40>>2]|0;Ka=0;do{f[Ca+(Ka<<2)>>2]=0;Ka=Ka+1|0}while((Ka|0)<(f[Ia>>2]|0))}Ia=f[q+44>>2]|0;if((Ia|0)!=(q+48|0))TC(Ia);Ia=f[g>>2]|0;if(Ia|0){Ka=f[Pa>>2]|0;if((Ka|0)!=(Ia|0))f[Pa>>2]=Ka+(~((Ka+-4-Ia|0)>>>2)<<2);fuc(Ia)}}while(0);sa=f[a+68>>2]|0;ua=sa+76|0;La=f[ua>>2]|0;if((La|0)==(f[sa+80>>2]|0))VIa(sa+72|0,m);else{f[La>>2]=f[m>>2];sa=f[L>>2]|0;f[La+4>>2]=sa;if(!sa)Ld=La;else{Wtc(sa);Ld=f[ua>>2]|0}f[ua>>2]=Ld+8}}while(0);d:do if((S|0)==37){D=a+68|0;C=f[D>>2]|0;N=C+76|0;ua=f[N>>2]|0;if((ua|0)==(f[C+80>>2]|0)){VIa(C+72|0,m);Md=m}else{f[ua>>2]=f[m>>2];sa=f[L>>2]|0;f[ua+4>>2]=sa;if(!sa)Nd=ua;else{Wtc(sa);Nd=f[N>>2]|0}f[N>>2]=Nd+8;Md=m}f[D>>2]=f[Md>>2];WIa(a,k,l);f[D>>2]=C;C=b[G>>0]|0;D=f[Q>>2]|0;do if(((C<<24>>24<0?D:C&255)|0)==8){if(Puc(j,0,-1,403349,8)|0){Od=b[G>>0]|0;Pd=f[Q>>2]|0;break};f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;N=cuc(16)|0;f[g>>2]=N;f[g+8>>2]=-2147483632;f[g+4>>2]=14;H=N;O=403402;I=H+14|0;do{b[H>>0]=b[O>>0]|0;H=H+1|0;O=O+1|0}while((H|0)<(I|0));b[N+14>>0]=0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;Pa=cuc(16)|0;f[q>>2]=Pa;f[q+8>>2]=-2147483632;f[q+4>>2]=14;H=Pa;O=403402;I=H+14|0;do{b[H>>0]=b[O>>0]|0;H=H+1|0;O=O+1|0}while((H|0)<(I|0));b[Pa+14>>0]=0;N=hEa(iGa(k,q)|0,-1)|0;f[o>>2]=N;xEa(K,g,o)|0;if((b[q+11>>0]|0)<0)fuc(f[q>>2]|0);if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;N=cuc(16)|0;f[g>>2]=N;f[g+8>>2]=-2147483632;f[g+4>>2]=15;H=N;O=403417;I=H+15|0;do{b[H>>0]=b[O>>0]|0;H=H+1|0;O=O+1|0}while((H|0)<(I|0));b[N+15>>0]=0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;Pa=cuc(16)|0;f[q>>2]=Pa;f[q+8>>2]=-2147483632;f[q+4>>2]=15;H=Pa;O=403417;I=H+15|0;do{b[H>>0]=b[O>>0]|0;H=H+1|0;O=O+1|0}while((H|0)<(I|0));b[Pa+15>>0]=0;N=hEa(iGa(k,q)|0,-1)|0;f[o>>2]=N;xEa(K,g,o)|0;if((b[q+11>>0]|0)<0)fuc(f[q>>2]|0);if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);break d}else{Od=C;Pd=D}while(0);if(((Od<<24>>24<0?Pd:Od&255)|0)==6){if(Puc(j,0,-1,445316,6)|0){Qd=b[G>>0]|0;Rd=f[Q>>2]|0;S=57}}else{Qd=Od;Rd=Pd;S=57}do if((S|0)==57){if(((Qd<<24>>24<0?Rd:Qd&255)|0)==9){if(!(Puc(j,0,-1,403370,9)|0))break;Sd=b[G>>0]|0;Td=f[Q>>2]|0}else{Sd=Qd;Td=Rd}if(((Sd<<24>>24<0?Td:Sd&255)|0)!=11)break d;if(Puc(j,0,-1,403380,11)|0)break d}while(0);f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;D=g+11|0;b[D>>0]=9;H=g;O=403433;I=H+9|0;do{b[H>>0]=b[O>>0]|0;H=H+1|0;O=O+1|0}while((H|0)<(I|0));b[g+9>>0]=0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;C=q+11|0;b[C>>0]=9;H=q;O=403433;I=H+9|0;do{b[H>>0]=b[O>>0]|0;H=H+1|0;O=O+1|0}while((H|0)<(I|0));b[q+9>>0]=0;N=hEa(iGa(k,q)|0,-1)|0;f[o>>2]=N;xEa(K,g,o)|0;if((b[C>>0]|0)<0)fuc(f[q>>2]|0);if((b[D>>0]|0)<0)fuc(f[g>>2]|0)}while(0);K=f[L>>2]|0;if(K|0)Xtc(K);bJa(l,f[E>>2]|0);lEa(k,f[c>>2]|0)}while(0);k=f[B>>2]|0;do if(k){l=f[h>>2]|0;g=a+20|0;q=k;while(1){o=f[q+16>>2]|0;if((l|0)<(o|0)){Sd=f[q>>2]|0;if(!Sd){S=1165;break}else{Ud=q;Vd=Sd}}else{if((o|0)>=(l|0)){S=1169;break}Wd=q+4|0;o=f[Wd>>2]|0;if(!o){S=1168;break}else{Ud=Wd;Vd=o}}g=Ud;q=Vd}if((S|0)==1165){Xd=q;Yd=q;break}else if((S|0)==1168){Xd=q;Yd=Wd;break}else if((S|0)==1169){Xd=q;Yd=g;break}}else{Xd=B;Yd=B}while(0);if(!(f[Yd>>2]|0)){B=cuc(20)|0;f[B+16>>2]=f[h>>2];f[B>>2]=0;f[B+4>>2]=0;f[B+8>>2]=Xd;f[Yd>>2]=B;Xd=f[f[A>>2]>>2]|0;if(!Xd)Zd=B;else{f[A>>2]=Xd;Zd=f[Yd>>2]|0}jI(f[a+20>>2]|0,Zd);Zd=a+24|0;f[Zd>>2]=(f[Zd>>2]|0)+1}if((b[j+11>>0]|0)<0)fuc(f[j>>2]|0);if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0);u=e;return}function OIa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;if((b|0)<0)c=YJa(f[a+8>>2]|0)|0;else c=b;b=a+16|0;d=a+20|0;e=f[d>>2]|0;do if(e){g=e;do{h=f[g+16>>2]|0;if((c|0)<(h|0))i=g;else{if((h|0)>=(c|0)){j=25;break}i=g+4|0}g=f[i>>2]|0}while((g|0)!=0);if((j|0)==25)return;g=a+20|0;h=e;while(1){k=f[h+16>>2]|0;if((c|0)<(k|0)){l=f[h>>2]|0;if(!l){j=13;break}else{m=h;n=l}}else{if((k|0)>=(c|0)){j=17;break}o=h+4|0;k=f[o>>2]|0;if(!k){j=16;break}else{m=o;n=k}}g=m;h=n}if((j|0)==13){p=h;q=h;break}else if((j|0)==16){p=h;q=o;break}else if((j|0)==17){p=h;q=g;break}}else{p=d;q=d}while(0);if(!(f[q>>2]|0)){d=cuc(20)|0;f[d+16>>2]=c;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=p;f[q>>2]=d;p=f[f[b>>2]>>2]|0;if(!p)r=d;else{f[b>>2]=p;r=f[q>>2]|0}jI(f[a+20>>2]|0,r);r=a+24|0;f[r>>2]=(f[r>>2]|0)+1}r=YJa(f[a+8>>2]|0)|0;if((r|0)>0)s=0;else return;do{KIa(a);KIa(a);s=s+1|0}while((s|0)!=(r|0));return}function PIa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;d=u;u=u+16|0;e=d;g=c+8|0;c=YJa(f[g>>2]|0)|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;if(c>>>0>4294967279)muc(e);if(c>>>0<11){h=e+11|0;b[h>>0]=c;if(!c){i=e;j=h}else{k=e;l=h;m=6}}else{h=c+16&-16;n=cuc(h)|0;f[e>>2]=n;f[e+8>>2]=h|-2147483648;f[e+4>>2]=c;k=n;l=e+11|0;m=6}if((m|0)==6){kzc(k|0,0,c|0)|0;i=k;j=l}b[i+c>>0]=0;MJa(f[g>>2]|0,(b[j>>0]|0)<0?f[e>>2]|0:e,c)|0;c=e+11|0;j=b[c>>0]|0;i=j<<24>>24<0;l=i?f[e>>2]|0:e;k=i?f[e+4>>2]|0:j&255;j=l+k|0;i=j;a:do if((k|0)>=2){n=l;h=k;while(1){o=h+-1|0;if(!o){m=22;break a}p=Gfc(n,86,o)|0;if(!p){m=22;break a}if(!(ahc(p,405941,2)|0))break;n=p+1|0;h=i-n|0;if((h|0)<2){m=22;break a}}if((p|0)==(l|0)&(p|0)!=(j|0)){h=YJa(f[g>>2]|0)|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;if(h>>>0>4294967279)muc(a);if(h>>>0<11){n=a+11|0;b[n>>0]=h;if(!h){q=a;r=n}else{s=a;t=n;m=18}}else{n=h+16&-16;o=cuc(n)|0;f[a>>2]=o;f[a+8>>2]=n|-2147483648;f[a+4>>2]=h;s=o;t=a+11|0;m=18}if((m|0)==18){kzc(s|0,0,h|0)|0;q=s;r=t}b[q+h>>0]=0;if((b[r>>0]|0)<0)v=f[a>>2]|0;else v=a;MJa(f[g>>2]|0,v,h)|0}else m=22}else m=22;while(0);if((m|0)==22)ouc(a,e);if((b[c>>0]|0)>=0){u=d;return}fuc(f[e>>2]|0);u=d;return}function QIa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0;e=u;u=u+64|0;g=e+48|0;i=e+36|0;j=e+24|0;k=e+12|0;l=e;m=a+11|0;n=b[m>>0]|0;o=n<<24>>24<0;p=o?f[a>>2]|0:a;q=jfc(d)|0;r=a+4|0;s=f[r>>2]|0;t=n&255;do if(q|0){n=o?s:t;v=p+n|0;w=v;if((n|0)<(q|0)){x=-1;u=e;return x|0}y=h[d>>0]|0;z=p;A=n;while(1){n=A-q+1|0;if(!n){x=-1;B=44;break}C=Gfc(z,y,n)|0;if(!C){x=-1;B=44;break}if(!(ahc(C,d,q)|0)){B=8;break}z=C+1|0;A=w-z|0;if((A|0)<(q|0)){x=-1;B=44;break}}if((B|0)==8){if((C|0)==(p|0)&(C|0)!=(v|0))break;else x=-1;u=e;return x|0}else if((B|0)==44){u=e;return x|0}}while(0);C=o?s:t;t=jfc(c)|0;s=p+C|0;a:do if((t|0)==0|(C|0)<(t|0))D=s;else{o=p+(t+-1)|0;q=c+t+-1|0;A=s;b:while(1){z=A;while(1){if((o|0)==(z|0)){D=s;break a}E=z+-1|0;if((b[E>>0]|0)==(b[q>>0]|0)){F=q;G=E;break}else z=E}while(1){if((F|0)==(c|0)){D=G;break a}z=G+-1|0;w=F+-1|0;if((b[z>>0]|0)==(b[w>>0]|0)){F=w;G=z}else{A=E;continue b}}}}while(0);if((((t|0)!=0&(D|0)==(s|0)?-1:D-p|0)|0)!=(C-(jfc(c)|0)|0)){x=-1;u=e;return x|0}p=jfc(d)|0;puc(g,a,p,C-p-(jfc(c)|0)|0,a);c=g+11|0;p=b[c>>0]|0;C=g+4|0;d=f[C>>2]|0;if(((p<<24>>24<0?d:p&255)|0)==6)if(!(Puc(g,0,-1,405849,6)|0))H=6;else{I=b[c>>0]|0;J=f[C>>2]|0;B=20}else{I=p;J=d;B=20}do if((B|0)==20){if(((I<<24>>24<0?J:I&255)|0)==5){if(!(Puc(g,0,-1,405856,5)|0)){H=5;break}K=b[c>>0]|0;L=f[C>>2]|0}else{K=I;L=J}if(((K<<24>>24<0?L:K&255)|0)==4){if(!(Puc(g,0,-1,405862,4)|0)){H=5;break}M=b[c>>0]|0;N=f[C>>2]|0}else{M=K;N=L}if(((M<<24>>24<0?N:M&255)|0)==4){if(!(Puc(g,0,-1,405867,4)|0)){H=0;break}O=f[C>>2]|0;P=b[c>>0]|0}else{O=N;P=M}if(((P<<24>>24<0?O:P&255)|0)==4){if(!(Puc(g,0,-1,405872,4)|0)){H=1;break}Q=b[c>>0]|0;R=f[C>>2]|0}else{Q=P;R=O}if(((Q<<24>>24<0?R:Q&255)|0)==5){if(!(Puc(g,0,-1,405877,5)|0)){H=3;break}S=b[c>>0]|0;T=f[C>>2]|0}else{S=Q;T=R}if(((S<<24>>24<0?T:S&255)|0)==3){if(!(Puc(g,0,-1,405883,3)|0)){H=4;break}U=b[c>>0]|0;V=f[C>>2]|0}else{U=S;V=T}if(((U<<24>>24<0?V:U&255)|0)==4?(Puc(g,0,-1,405887,4)|0)==0:0){H=12;break}nEa(l,405892,g);d=Duc(l,405907)|0;f[k>>2]=f[d>>2];f[k+4>>2]=f[d+4>>2];f[k+8>>2]=f[d+8>>2];f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;d=b[m>>0]|0;p=d<<24>>24<0;D=Cuc(k,p?f[a>>2]|0:a,p?f[r>>2]|0:d&255)|0;f[j>>2]=f[D>>2];f[j+4>>2]=f[D+4>>2];f[j+8>>2]=f[D+8>>2];f[D>>2]=0;f[D+4>>2]=0;f[D+8>>2]=0;D=Duc(j,517029)|0;f[i>>2]=f[D>>2];f[i+4>>2]=f[D+4>>2];f[i+8>>2]=f[D+8>>2];f[D>>2]=0;f[D+4>>2]=0;f[D+8>>2]=0;WD(-213,i,405926,403191,232)}while(0);if((b[c>>0]|0)<0)fuc(f[g>>2]|0);x=H;u=e;return x|0}function RIa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0;e=u;u=u+400|0;g=e+376|0;h=e+40|0;i=e;j=e+312|0;k=e+256|0;l=e+200|0;m=e+144|0;n=e+80|0;o=a+8|0;p=YJa(f[o>>2]|0)|0;q=h+8|0;f[h>>2]=q;r=h+4|0;s=p>>>0>4;f[r>>2]=p;if(s){t=euc(p>>>0>536870911?-1:p<<3)|0;f[h>>2]=t;v=t}else v=q;t=i+8|0;f[i>>2]=t;w=i+4|0;f[w>>2]=p;if(s){x=euc(p>>>0>536870911?-1:p<<3)|0;f[i>>2]=x}PJa(f[o>>2]|0,v,p)|0;PJa(f[o>>2]|0,f[i>>2]|0,p)|0;v=ZJa(f[o>>2]|0)|0;x=v+-1|0;v=YJa(f[o>>2]|0)|0;if(!((v|0)==4|(v|p|0)==0)){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;y=cuc(64)|0;f[g>>2]=y;f[g+8>>2]=-2147483584;f[g+4>>2]=60;z=y;A=405661;B=z+60|0;do{b[z>>0]=b[A>>0]|0;z=z+1|0;A=A+1|0}while((z|0)<(B|0));b[y+60>>0]=0;WD(-215,g,405722,403191,399)}if(!v){v=k+4|0;y=k+40|0;f[y>>2]=k+8;C=k+48|0;D=k+44|0;f[D>>2]=C;f[C>>2]=0;f[k+52>>2]=0;f[j>>2]=c;f[j+4>>2]=1124007936;E=j+8|0;F=j+12|0;G=j+20|0;H=k+16|0;I=j+40|0;J=k+36|0;K=j+44|0;z=E;B=z+36|0;do{f[z>>2]=0;z=z+4|0}while((z|0)<(B|0));f[K>>2]=F;F=j+52|0;f[j+48>>2]=F;f[F>>2]=0;f[j+56>>2]=0;f[k>>2]=1124007936;z=v;B=z+36|0;do{f[z>>2]=0;z=z+4|0}while((z|0)<(B|0));hJa(g,a+40|0,j,j);K=j+4|0;L=f[I>>2]|0;if(L|0?(M=L+12|0,L=f[M>>2]|0,f[M>>2]=L+-1,(L|0)==1):0)aU(K);f[I>>2]=0;f[G>>2]=0;f[G+4>>2]=0;f[G+8>>2]=0;f[G+12>>2]=0;if((f[E>>2]|0)>0){G=f[j+44>>2]|0;I=0;do{f[G+(I<<2)>>2]=0;I=I+1|0}while((I|0)<(f[E>>2]|0))}E=f[j+48>>2]|0;if((E|0)!=(F|0))TC(E);E=f[J>>2]|0;if(E|0?(F=E+12|0,E=f[F>>2]|0,f[F>>2]=E+-1,(E|0)==1):0)aU(k);f[J>>2]=0;f[H>>2]=0;f[H+4>>2]=0;f[H+8>>2]=0;f[H+12>>2]=0;if((f[v>>2]|0)>0){H=f[y>>2]|0;y=0;do{f[H+(y<<2)>>2]=0;y=y+1|0}while((y|0)<(f[v>>2]|0))}v=f[D>>2]|0;if((v|0)!=(C|0))TC(v)}else{v=YJa(f[o>>2]|0)|0;o=a+16|0;C=a+20|0;D=f[C>>2]|0;a:do if(!D)N=31;else{y=D;while(1){H=f[y+16>>2]|0;if((v|0)<(H|0))O=y;else{if((H|0)>=(v|0))break;O=y+4|0}y=f[O>>2]|0;if(!y){N=31;break a}}y=a+32|0;P=d;Q=y;R=y;S=a+28|0}while(0);if((N|0)==31){PIa(g,a);O=QIa(g,403318,403311)|0;if(!((O|0)>-1&(O|0)==(d|0))){f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;O=cuc(48)|0;f[j>>2]=O;f[j+8>>2]=-2147483600;f[j+4>>2]=45;z=O;A=405738;B=z+45|0;do{b[z>>0]=b[A>>0]|0;z=z+1|0;A=A+1|0}while((z|0)<(B|0));b[O+45>>0]=0;WD(-215,j,405722,403191,412)}SIa(a,v,d);d=a+28|0;O=a+32|0;D=f[O>>2]|0;do if(D){y=a+32|0;H=D;while(1){J=f[H+16>>2]|0;if((v|0)<(J|0)){E=f[H>>2]|0;if(!E){N=38;break}else{T=H;U=E}}else{if((J|0)>=(v|0)){N=42;break}V=H+4|0;J=f[V>>2]|0;if(!J){N=41;break}else{T=V;U=J}}y=T;H=U}if((N|0)==38){W=H;X=H;break}else if((N|0)==41){W=H;X=V;break}else if((N|0)==42){W=H;X=y;break}}else{W=O;X=O}while(0);V=f[X>>2]|0;if(!V){U=cuc(76)|0;f[U+16>>2]=v;f[U+20>>2]=1124007936;T=U+28|0;D=U+60|0;z=U+24|0;B=z+36|0;do{f[z>>2]=0;z=z+4|0}while((z|0)<(B|0));f[D>>2]=T;T=U+68|0;f[U+64>>2]=T;f[T>>2]=0;f[U+72>>2]=0;f[U>>2]=0;f[U+4>>2]=0;f[U+8>>2]=W;f[X>>2]=U;W=f[f[d>>2]>>2]|0;if(!W)Z=U;else{f[d>>2]=W;Z=f[X>>2]|0}jI(f[a+32>>2]|0,Z);Z=a+36|0;f[Z>>2]=(f[Z>>2]|0)+1;_=U}else _=V;V=f[_+20>>2]&4095;_=f[C>>2]|0;do if(_){U=a+20|0;Z=_;while(1){X=f[Z+16>>2]|0;if((v|0)<(X|0)){W=f[Z>>2]|0;if(!W){N=53;break}else{$=Z;aa=W}}else{if((X|0)>=(v|0)){N=57;break}ba=Z+4|0;X=f[ba>>2]|0;if(!X){N=56;break}else{$=ba;aa=X}}U=$;Z=aa}if((N|0)==53){ca=Z;da=Z;break}else if((N|0)==56){ca=Z;da=ba;break}else if((N|0)==57){ca=Z;da=U;break}}else{ca=C;da=C}while(0);if(!(f[da>>2]|0)){C=cuc(20)|0;f[C+16>>2]=v;f[C>>2]=0;f[C+4>>2]=0;f[C+8>>2]=ca;f[da>>2]=C;ca=f[f[o>>2]>>2]|0;if(!ca)ea=C;else{f[o>>2]=ca;ea=f[da>>2]|0}jI(f[a+20>>2]|0,ea);ea=a+24|0;f[ea>>2]=(f[ea>>2]|0)+1}if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);P=V;Q=O;R=O;S=d}d=f[f[i>>2]>>2]|0;O=f[f[h>>2]>>2]|0;V=f[R>>2]|0;ea=a+32|0;do if(V){da=ea;ca=V;while(1){o=f[ca+16>>2]|0;if((v|0)<(o|0)){C=f[ca>>2]|0;if(!C){N=71;break}else{fa=ca;ga=C}}else{if((o|0)>=(v|0)){N=75;break}ha=ca+4|0;o=f[ha>>2]|0;if(!o){N=74;break}else{fa=ha;ga=o}}da=fa;ca=ga}if((N|0)==71){ia=ca;ja=ca;break}else if((N|0)==74){ia=ca;ja=ha;break}else if((N|0)==75){ia=ca;ja=da;break}}else{ia=Q;ja=ea}while(0);ea=f[ja>>2]|0;if(!ea){ha=cuc(76)|0;f[ha+16>>2]=v;f[ha+20>>2]=1124007936;ga=ha+28|0;fa=ha+60|0;z=ha+24|0;B=z+36|0;do{f[z>>2]=0;z=z+4|0}while((z|0)<(B|0));f[fa>>2]=ga;ga=ha+68|0;f[ha+64>>2]=ga;f[ga>>2]=0;f[ha+72>>2]=0;f[ha>>2]=0;f[ha+4>>2]=0;f[ha+8>>2]=ia;f[ja>>2]=ha;ia=f[f[a+28>>2]>>2]|0;if(!ia)ka=ha;else{f[S>>2]=ia;ka=f[ja>>2]|0}jI(f[a+32>>2]|0,ka);ka=a+36|0;f[ka>>2]=(f[ka>>2]|0)+1;la=ha}else la=ea;ea=(Y(O,d)|0)+x|0;d=f[la+24>>2]|0;if((d|0)<3)ma=Y(f[la+32>>2]|0,f[la+28>>2]|0)|0;else{O=f[la+60>>2]|0;la=0;ha=1;while(1){ka=Y(f[O+(la<<2)>>2]|0,ha)|0;la=la+1|0;if((la|0)==(d|0)){ma=ka;break}else ha=ka}}if(ea>>>0>ma>>>0){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;ma=cuc(80)|0;f[g>>2]=ma;f[g+8>>2]=-2147483568;f[g+4>>2]=64;z=ma;A=405784;B=z+64|0;do{b[z>>0]=b[A>>0]|0;z=z+1|0;A=A+1|0}while((z|0)<(B|0));b[ma+64>>0]=0;WD(-201,g,405722,403191,422)}ma=j+8|0;f[j>>2]=ma;A=j+4|0;f[A>>2]=p;if(s){ea=euc(p>>>0>1073741823?-1:p<<2)|0;f[j>>2]=ea;na=ea}else na=ma;ea=k+8|0;f[k>>2]=ea;ha=k+4|0;f[ha>>2]=p;if(s){s=euc(p>>>0>1073741823?-1:p<<2)|0;f[k>>2]=s;oa=s}else oa=ea;if((p|0)>0){s=f[h>>2]|0;d=f[i>>2]|0;la=Y(675553809>>>(P<<2&28)&15,(P>>>3&511)+1|0)|0;O=p;do{ka=O;O=O+-1|0;f[na+(O<<2)>>2]=f[s+(O<<3)>>2];ja=Y(la,f[d+(O<<3)>>2]|0)|0;f[oa+(O<<2)>>2]=ja}while((ka|0)>1)}O=f[R>>2]|0;R=a+32|0;do if(O){d=R;la=O;while(1){s=f[la+16>>2]|0;if((v|0)<(s|0)){ka=f[la>>2]|0;if(!ka){N=96;break}else{pa=la;qa=ka}}else{if((s|0)>=(v|0)){N=100;break}ra=la+4|0;s=f[ra>>2]|0;if(!s){N=99;break}else{pa=ra;qa=s}}d=pa;la=qa}if((N|0)==96){sa=la;ta=la;break}else if((N|0)==99){sa=la;ta=ra;break}else if((N|0)==100){sa=la;ta=d;break}}else{sa=Q;ta=R}while(0);R=f[ta>>2]|0;if(!R){Q=cuc(76)|0;f[Q+16>>2]=v;f[Q+20>>2]=1124007936;v=Q+28|0;N=Q+60|0;z=Q+24|0;B=z+36|0;do{f[z>>2]=0;z=z+4|0}while((z|0)<(B|0));f[N>>2]=v;v=Q+68|0;f[Q+64>>2]=v;f[v>>2]=0;f[Q+72>>2]=0;f[Q>>2]=0;f[Q+4>>2]=0;f[Q+8>>2]=sa;f[ta>>2]=Q;sa=f[f[a+28>>2]>>2]|0;if(!sa)ua=Q;else{f[S>>2]=sa;ua=f[ta>>2]|0}jI(f[a+32>>2]|0,ua);ua=a+36|0;f[ua>>2]=(f[ua>>2]|0)+1;va=Q;wa=f[k>>2]|0}else{va=R;wa=oa}fU(l,p,na,P,(f[va+36>>2]|0)+(Y(Y((P>>>3&511)+1|0,x)|0,675553809>>>(P<<2&28)&15)|0)|0,wa);f[m>>2]=1124007936;wa=m+4|0;P=m+8|0;x=m+40|0;z=wa;B=z+36|0;do{f[z>>2]=0;z=z+4|0}while((z|0)<(B|0));f[x>>2]=P;z=m+48|0;B=m+44|0;f[B>>2]=z;f[z>>2]=0;f[m+52>>2]=0;va=g+8|0;f[va>>2]=0;f[va+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=m;kQ(l,g,5,1.0,0.0);f[n>>2]=c;c=n+4|0;f[c>>2]=f[m>>2];va=n+8|0;na=f[wa>>2]|0;f[va>>2]=na;p=n+12|0;f[p>>2]=f[P>>2];f[n+16>>2]=f[m+12>>2];P=n+20|0;oa=m+16|0;f[P>>2]=f[oa>>2];f[n+24>>2]=f[m+20>>2];f[n+28>>2]=f[m+24>>2];f[n+32>>2]=f[m+28>>2];f[n+36>>2]=f[m+32>>2];R=n+40|0;Q=m+36|0;ua=f[Q>>2]|0;f[R>>2]=ua;ta=n+44|0;f[ta>>2]=p;p=n+52|0;sa=n+48|0;f[sa>>2]=p;f[p>>2]=0;f[n+56>>2]=0;if(!ua)xa=na;else{na=ua+12|0;f[na>>2]=(f[na>>2]|0)+1;xa=f[wa>>2]|0}if((xa|0)<3){xa=f[B>>2]|0;na=f[sa>>2]|0;f[na>>2]=f[xa>>2];f[na+4>>2]=f[xa+4>>2]}else{f[va>>2]=0;$T(c,m)}hJa(g,a+40|0,n,n);n=f[R>>2]|0;if(n|0?(a=n+12|0,n=f[a>>2]|0,f[a>>2]=n+-1,(n|0)==1):0)aU(c);f[R>>2]=0;f[P>>2]=0;f[P+4>>2]=0;f[P+8>>2]=0;f[P+12>>2]=0;if((f[va>>2]|0)>0){P=f[ta>>2]|0;ta=0;do{f[P+(ta<<2)>>2]=0;ta=ta+1|0}while((ta|0)<(f[va>>2]|0))}va=f[sa>>2]|0;if((va|0)!=(p|0))TC(va);va=f[Q>>2]|0;do if(va|0){p=va+12|0;sa=f[p>>2]|0;f[p>>2]=sa+-1;if((sa|0)!=1)break;aU(m)}while(0);f[Q>>2]=0;f[oa>>2]=0;f[oa+4>>2]=0;f[oa+8>>2]=0;f[oa+12>>2]=0;if((f[wa>>2]|0)>0){oa=f[x>>2]|0;x=0;do{f[oa+(x<<2)>>2]=0;x=x+1|0}while((x|0)<(f[wa>>2]|0))}wa=f[B>>2]|0;if((wa|0)!=(z|0))TC(wa);wa=l+36|0;z=f[wa>>2]|0;do if(z|0){B=z+12|0;x=f[B>>2]|0;f[B>>2]=x+-1;if((x|0)!=1)break;aU(l)}while(0);f[wa>>2]=0;wa=l+16|0;z=l+4|0;f[wa>>2]=0;f[wa+4>>2]=0;f[wa+8>>2]=0;f[wa+12>>2]=0;if((f[z>>2]|0)>0){wa=f[l+40>>2]|0;x=0;do{f[wa+(x<<2)>>2]=0;x=x+1|0}while((x|0)<(f[z>>2]|0))}z=f[l+44>>2]|0;if((z|0)!=(l+48|0))TC(z);z=f[k>>2]|0;if((z|0)!=(ea|0)){if(z|0)guc(z);f[k>>2]=ea;f[ha>>2]=4}ha=f[j>>2]|0;if((ha|0)!=(ma|0)){if(ha|0)guc(ha);f[j>>2]=ma;f[A>>2]=4}}A=f[i>>2]|0;if((A|0)!=(t|0)){if(A|0)guc(A);f[i>>2]=t;f[w>>2]=4}w=f[h>>2]|0;if((w|0)==(q|0)){u=e;return}if(w|0)guc(w);f[h>>2]=q;f[r>>2]=4;u=e;return}function SIa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;d=u;u=u+144|0;e=d+120|0;g=d+64|0;h=d;i=a+8|0;j=ZJa(f[i>>2]|0)|0;f[g>>2]=1124007936;k=g+4|0;l=g+8|0;m=g+40|0;n=k;o=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(o|0));f[m>>2]=l;n=g+48|0;o=g+44|0;f[o>>2]=n;f[n>>2]=0;f[g+52>>2]=0;switch(c|0){case 5:{f[e>>2]=1;f[e+4>>2]=j;ZT(g,2,e,5);c=g+16|0;QJa(f[i>>2]|0,f[c>>2]|0,j)|0;q=c;break}case 6:{f[e>>2]=1;f[e+4>>2]=j;ZT(g,2,e,6);c=g+16|0;RJa(f[i>>2]|0,f[c>>2]|0,j)|0;q=c;break}case 1:{f[e>>2]=1;f[e+4>>2]=j;ZT(g,2,e,1);c=g+16|0;LJa(f[i>>2]|0,f[c>>2]|0,j)|0;q=c;break}case 0:{f[e>>2]=1;f[e+4>>2]=j;ZT(g,2,e,0);c=g+16|0;LJa(f[i>>2]|0,f[c>>2]|0,j)|0;q=c;break}case 3:{f[e>>2]=1;f[e+4>>2]=j;ZT(g,2,e,3);c=g+16|0;NJa(f[i>>2]|0,f[c>>2]|0,j)|0;q=c;break}case 4:{f[e>>2]=1;f[e+4>>2]=j;ZT(g,2,e,4);c=g+16|0;OJa(f[i>>2]|0,f[c>>2]|0,j)|0;q=c;break}case 12:{f[e>>2]=1;f[e+4>>2]=j;ZT(g,2,e,6);c=g+16|0;r=f[c>>2]|0;PJa(f[i>>2]|0,r,j)|0;if(!j)q=c;else{i=j;do{i=i+-1|0;j=r+(i<<3)|0;s=j;p[j>>3]=+((f[s>>2]|0)>>>0)+4294967296.0*+(f[s+4>>2]|0)}while((i|0)!=0);q=c}break}default:{f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;WD(-3,e,405644,403191,290)}}f[h>>2]=b;b=h+4|0;f[b>>2]=f[g>>2];c=h+8|0;i=f[k>>2]|0;f[c>>2]=i;r=h+12|0;f[r>>2]=f[l>>2];f[h+16>>2]=f[g+12>>2];l=h+20|0;f[l>>2]=f[q>>2];f[h+24>>2]=f[g+20>>2];f[h+28>>2]=f[g+24>>2];f[h+32>>2]=f[g+28>>2];f[h+36>>2]=f[g+32>>2];s=h+40|0;j=g+36|0;t=f[j>>2]|0;f[s>>2]=t;v=h+44|0;f[v>>2]=r;r=h+52|0;w=h+48|0;f[w>>2]=r;f[r>>2]=0;f[h+56>>2]=0;if(!t)x=i;else{i=t+12|0;f[i>>2]=(f[i>>2]|0)+1;x=f[k>>2]|0}if((x|0)<3){x=f[o>>2]|0;i=f[w>>2]|0;f[i>>2]=f[x>>2];f[i+4>>2]=f[x+4>>2]}else{f[c>>2]=0;$T(b,g)}hJa(e,a+28|0,h,h);h=f[s>>2]|0;if(h|0?(a=h+12|0,h=f[a>>2]|0,f[a>>2]=h+-1,(h|0)==1):0)aU(b);f[s>>2]=0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;if((f[c>>2]|0)>0){l=f[v>>2]|0;v=0;do{f[l+(v<<2)>>2]=0;v=v+1|0}while((v|0)<(f[c>>2]|0))}c=f[w>>2]|0;if((c|0)!=(r|0))TC(c);c=f[j>>2]|0;if(c|0?(r=c+12|0,c=f[r>>2]|0,f[r>>2]=c+-1,(c|0)==1):0)aU(g);f[j>>2]=0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;f[q+12>>2]=0;if((f[k>>2]|0)>0){q=f[m>>2]|0;m=0;do{f[q+(m<<2)>>2]=0;m=m+1|0}while((m|0)<(f[k>>2]|0))}k=f[o>>2]|0;if((k|0)==(n|0)){u=d;return}TC(k);u=d;return}function TIa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;d=u;u=u+16|0;e=d;g=b[a+11>>0]|0;h=g<<24>>24<0;i=h?f[a>>2]|0:a;j=h?f[a+4>>2]|0:g&255;g=i+j|0;h=g;if((j|0)<3){k=0;u=d;return k|0}else{l=i;m=j}while(1){n=m+-2|0;if(!n){o=12;break}p=Gfc(l,110,n)|0;if(!p){o=12;break}if(!(ahc(p,405619,3)|0)){o=6;break}l=p+1|0;m=h-l|0;if((m|0)<3){o=12;break}}if((o|0)==6)if((p|0)==(i|0)&(p|0)!=(g|0))q=111712;else o=12;do if((o|0)==12){if((j|0)<5){k=0;u=d;return k|0}else{r=i;s=j}do{p=s+-4|0;if(!p)break;t=Gfc(r,99,p)|0;if(!t)break;if(!(ahc(t,405623,5)|0)){o=17;break}r=t+1|0;s=h-r|0}while((s|0)>=5);if((o|0)==17?(t|0)==(i|0)&(t|0)!=(g|0):0){q=111716;break}if((j|0)<6){k=0;u=d;return k|0}else{v=i;w=j}do{p=w+-5|0;if(!p)break;x=Gfc(v,99,p)|0;if(!x)break;if(!(ahc(x,405629,6)|0)){o=23;break}v=x+1|0;w=h-v|0}while((w|0)>=6);if((o|0)==23?(x|0)==(i|0)&(x|0)!=(g|0):0){q=111720;break}if((j|0)<7){k=0;u=d;return k|0}else{y=i;z=j}while(1){p=z+-6|0;if(!p){k=0;o=11;break}A=Gfc(y,102,p)|0;if(!A){k=0;o=11;break}if(!(ahc(A,405636,7)|0)){o=29;break}y=A+1|0;z=h-y|0;if((z|0)<7){k=0;o=11;break}}if((o|0)==11){u=d;return k|0}else if((o|0)==29){if((A|0)==(i|0)&(A|0)!=(g|0)){q=111724;break}else k=0;u=d;return k|0}}while(0);puc(e,a,jfc(f[q>>2]|0)|0,-1,a);a=c+11|0;if((b[a>>0]|0)<0){b[f[c>>2]>>0]=0;f[c+4>>2]=0}else{b[c>>0]=0;b[a>>0]=0}vuc(c,0);f[c>>2]=f[e>>2];f[c+4>>2]=f[e+4>>2];f[c+8>>2]=f[e+8>>2];k=1;u=d;return k|0}function UIa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=a+72|0;d=f[c>>2]|0;if(d|0){e=a+76|0;g=f[e>>2]|0;if((g|0)==(d|0))h=d;else{i=g;while(1){g=i+-8|0;f[e>>2]=g;j=f[i+-4>>2]|0;if(!j)k=g;else{Xtc(j);k=f[e>>2]|0}if((k|0)==(d|0))break;else i=k}h=f[c>>2]|0}fuc(h)}h=a+60|0;if((b[h+11>>0]|0)<0)fuc(f[h>>2]|0);h=a+48|0;if((b[h+11>>0]|0)<0)fuc(f[h>>2]|0);ut(a+36|0);lEa(a+24|0,f[a+28>>2]|0);h=a+12|0;if((b[h+11>>0]|0)<0)fuc(f[h>>2]|0);if((b[a+11>>0]|0)>=0)return;fuc(f[a>>2]|0);return}function VIa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;c=a+4|0;d=f[c>>2]|0;e=f[a>>2]|0;g=d-e>>3;h=g+1|0;i=e;j=d;if(h>>>0>536870911)nsc(a);d=a+8|0;k=(f[d>>2]|0)-e|0;e=k>>2;l=k>>3>>>0<268435455?(e>>>0<h>>>0?h:e):536870911;do if(l)if(l>>>0>536870911){e=ze(8)|0;kuc(e,519086);f[e>>2]=167148;Hf(e|0,26888,1888)}else{m=cuc(l<<3)|0;break}else m=0;while(0);e=m+(g<<3)|0;h=e;k=m+(l<<3)|0;f[e>>2]=f[b>>2];l=f[b+4>>2]|0;f[m+(g<<3)+4>>2]=l;if(!l){n=j;o=i}else{Wtc(l);n=f[c>>2]|0;o=f[a>>2]|0}l=e+8|0;if((n|0)==(o|0)){p=h;q=o;r=n}else{i=n;n=h;h=e;do{e=i;i=i+-8|0;f[h+-8>>2]=f[i>>2];j=e+-4|0;f[h+-4>>2]=f[j>>2];f[i>>2]=0;f[j>>2]=0;h=n+-8|0;n=h}while((i|0)!=(o|0));p=n;q=f[a>>2]|0;r=f[c>>2]|0}f[a>>2]=p;f[c>>2]=l;f[d>>2]=k;k=q;if((r|0)!=(k|0)){d=r;do{r=f[d+-4>>2]|0;d=d+-8|0;if(r|0)Xtc(r)}while((d|0)!=(k|0))}if(!q)return;fuc(q);return}function WIa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0.0,kb=0,lb=0;e=u;u=u+208|0;g=e;h=e+192|0;i=e+120|0;j=e+56|0;k=a+8|0;l=YJa(f[k>>2]|0)|0;m=YJa(f[k>>2]|0)|0;if((l|0)!=3){n=cuc(64)|0;f[g>>2]=n;o=g+8|0;f[o>>2]=-2147483584;q=g+4|0;f[q>>2]=56;r=n;s=405348;t=r+56|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));v=n+56|0;b[v>>0]=0;WD(-215,g,405405,403191,302)}l=a+16|0;w=a+20|0;x=f[w>>2]|0;do if(x){y=x;do{z=f[y+16>>2]|0;if((m|0)<(z|0))A=y;else{if((z|0)>=(m|0)){B=8;break}A=y+4|0}y=f[A>>2]|0}while((y|0)!=0);if((B|0)==8){n=cuc(64)|0;f[g>>2]=n;o=g+8|0;f[o>>2]=-2147483584;q=g+4|0;f[q>>2]=56;r=n;s=405348;t=r+56|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));v=n+56|0;b[v>>0]=0;WD(-215,g,405405,403191,302)}y=a+20|0;z=x;while(1){C=f[z+16>>2]|0;if((m|0)<(C|0)){D=f[z>>2]|0;if(!D){B=13;break}else{E=z;F=D}}else{if((C|0)>=(m|0)){B=17;break}G=z+4|0;C=f[G>>2]|0;if(!C){B=16;break}else{E=G;F=C}}y=E;z=F}if((B|0)==13){H=z;I=z;break}else if((B|0)==16){H=z;I=G;break}else if((B|0)==17){H=z;I=y;break}}else{H=w;I=w}while(0);if(!(f[I>>2]|0)){w=cuc(20)|0;f[w+16>>2]=m;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=H;f[I>>2]=w;H=f[f[l>>2]>>2]|0;if(!H)J=w;else{f[l>>2]=H;J=f[I>>2]|0}jI(f[a+20>>2]|0,J);J=a+24|0;f[J>>2]=(f[J>>2]|0)+1}J=YJa(f[k>>2]|0)|0;if((J|0)<=0){u=e;return}I=h+11|0;H=a+68|0;l=a+40|0;w=a+44|0;m=a+28|0;G=a+32|0;F=a+32|0;E=a+36|0;x=g+4|0;v=g+8|0;n=g+40|0;s=g+48|0;q=g+44|0;o=g+52|0;A=i+8|0;C=i+4|0;D=g+16|0;K=g+12|0;L=i+4|0;M=g+36|0;N=a+44|0;O=a+48|0;P=j+4|0;Q=j+8|0;R=j+12|0;S=j+16|0;T=j+20|0;U=j+24|0;V=j+28|0;W=j+32|0;X=j+36|0;Z=j+40|0;_=j+44|0;$=j+52|0;aa=j+48|0;ba=j+56|0;ca=i+12|0;da=i+16|0;ea=j+4|0;fa=i+20|0;ga=i+24|0;ha=i+28|0;ia=i+32|0;ja=i+36|0;ka=i+40|0;la=i+44|0;ma=i+48|0;na=i+52|0;oa=i+56|0;pa=i+60|0;qa=i+64|0;ra=i+68|0;sa=j+48|0;ta=i+16|0;ua=i+56|0;va=i+60|0;wa=i+11|0;xa=g+11|0;ya=g+8|0;za=g+4|0;Aa=h+8|0;Ba=h+4|0;Ca=0;a:while(1){Da=TJa(f[k>>2]|0)|0;if((YJa(f[k>>2]|0)|0)==2){Ea=YJa(f[k>>2]|0)|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;if(Ea>>>0>4294967279){B=28;break}if(Ea>>>0<11){b[I>>0]=Ea;if(!Ea)Fa=h;else{Ga=h;B=32}}else{Ha=Ea+16&-16;Ia=cuc(Ha)|0;f[h>>2]=Ia;f[Aa>>2]=Ha|-2147483648;f[Ba>>2]=Ea;Ga=Ia;B=32}if((B|0)==32){B=0;kzc(Ga|0,0,Ea|0)|0;Fa=Ga}b[Fa+Ea>>0]=0;MJa(f[k>>2]|0,(b[I>>0]|0)<0?f[h>>2]|0:h,Ea)|0;Ea=TJa(f[k>>2]|0)|0;b:do switch(YJa(f[k>>2]|0)|0){case 4:{Ia=YJa(f[k>>2]|0)|0;Ha=f[H>>2]|0;Ja=(f[Ha+76>>2]|0)-(f[Ha+72>>2]|0)|0;NIa(a,Ia);Ha=f[w>>2]|0;c:do if(Ha|0){Ka=Ha;while(1){La=f[Ka+16>>2]|0;if((Ia|0)<(La|0))Ma=Ka;else{if((La|0)>=(Ia|0))break;Ma=Ka+4|0}Ka=f[Ma>>2]|0;if(!Ka)break c}Ka=N;La=Ha;while(1){Na=f[La+16>>2]|0;if((Ia|0)<(Na|0)){Oa=f[La>>2]|0;if(!Oa){Pa=La;break}else{Qa=La;Ra=Oa}}else{if((Na|0)>=(Ia|0)){Pa=Ka;break}Na=La+4|0;Oa=f[Na>>2]|0;if(!Oa){Pa=Na;break}else{Qa=Na;Ra=Oa}}Ka=Qa;La=Ra}Ka=f[Pa>>2]|0;if(!Ka){Oa=cuc(76)|0;f[Oa+16>>2]=Ia;f[Oa+20>>2]=1124007936;Na=Oa+28|0;Sa=Oa+60|0;r=Oa+24|0;t=r+36|0;do{f[r>>2]=0;r=r+4|0}while((r|0)<(t|0));f[Sa>>2]=Na;Ta=Oa+68|0;f[Oa+64>>2]=Ta;f[Ta>>2]=0;f[Oa+72>>2]=0;f[Oa>>2]=0;f[Oa+4>>2]=0;f[Oa+8>>2]=La;f[Pa>>2]=Oa;Ta=f[f[l>>2]>>2]|0;if(!Ta)Ua=Oa;else{f[l>>2]=Ta;Ua=f[Pa>>2]|0}jI(f[N>>2]|0,Ua);f[O>>2]=(f[O>>2]|0)+1;Va=Oa}else Va=Ka;Ta=Va+20|0;f[j>>2]=Ia;f[P>>2]=f[Ta>>2];Wa=Va+24|0;Xa=f[Wa>>2]|0;f[Q>>2]=Xa;f[R>>2]=f[Va+28>>2];f[S>>2]=f[Va+32>>2];f[T>>2]=f[Va+36>>2];f[U>>2]=f[Va+40>>2];f[V>>2]=f[Va+44>>2];f[W>>2]=f[Va+48>>2];f[X>>2]=f[Va+52>>2];Ya=f[Va+56>>2]|0;f[Z>>2]=Ya;f[_>>2]=R;f[aa>>2]=$;f[$>>2]=0;f[ba>>2]=0;if(!Ya)Za=Xa;else{Xa=Ya+12|0;f[Xa>>2]=(f[Xa>>2]|0)+1;Za=f[Wa>>2]|0}if((Za|0)<3){Wa=f[Va+64>>2]|0;Xa=f[aa>>2]|0;f[Xa>>2]=f[Wa>>2];f[Xa+4>>2]=f[Wa+4>>2]}else{f[Q>>2]=0;$T(P,Ta)}ouc(i,h);f[ca>>2]=f[j>>2];f[da>>2]=f[ea>>2];Ta=f[Q>>2]|0;f[fa>>2]=Ta;f[ga>>2]=f[R>>2];f[ha>>2]=f[S>>2];f[ia>>2]=f[T>>2];f[ja>>2]=f[U>>2];f[ka>>2]=f[V>>2];f[la>>2]=f[W>>2];f[ma>>2]=f[X>>2];f[na>>2]=f[Z>>2];f[oa>>2]=ga;f[pa>>2]=qa;f[ra>>2]=0;f[qa>>2]=0;if((Ta|0)<3){Ta=f[sa>>2]|0;f[qa>>2]=f[Ta>>2];f[ra>>2]=f[Ta+4>>2]}else{f[pa>>2]=f[sa>>2];f[oa>>2]=f[_>>2];f[sa>>2]=$;f[_>>2]=R}f[ea>>2]=1124007936;r=Q;t=r+36|0;do{f[r>>2]=0;r=r+4|0}while((r|0)<(t|0));cJa(g,d,i,i);Ka=f[na>>2]|0;if(Ka|0?(Oa=Ka+12|0,Ka=f[Oa>>2]|0,f[Oa>>2]=Ka+-1,(Ka|0)==1):0)aU(ta);f[na>>2]=0;f[ia>>2]=0;f[ia+4>>2]=0;f[ia+8>>2]=0;f[ia+12>>2]=0;if((f[fa>>2]|0)>0){Ka=f[ua>>2]|0;Oa=0;do{f[Ka+(Oa<<2)>>2]=0;Oa=Oa+1|0}while((Oa|0)<(f[fa>>2]|0))}Oa=f[va>>2]|0;if((Oa|0)!=(qa|0))TC(Oa);if((b[wa>>0]|0)<0)fuc(f[i>>2]|0);Oa=f[Z>>2]|0;do if(Oa|0){Ka=Oa+12|0;La=f[Ka>>2]|0;f[Ka>>2]=La+-1;if((La|0)!=1)break;aU(P)}while(0);f[Z>>2]=0;f[T>>2]=0;f[T+4>>2]=0;f[T+8>>2]=0;f[T+12>>2]=0;if((f[Q>>2]|0)>0){Oa=f[_>>2]|0;La=0;do{f[Oa+(La<<2)>>2]=0;La=La+1|0}while((La|0)<(f[Q>>2]|0))}La=f[aa>>2]|0;if((La|0)!=($|0))TC(La);break b}while(0);Ha=f[G>>2]|0;d:do if(Ha|0){La=Ha;while(1){Oa=f[La+16>>2]|0;if((Ia|0)<(Oa|0))_a=La;else{if((Oa|0)>=(Ia|0)){$a=F;ab=Ha;break}_a=La+4|0}La=f[_a>>2]|0;if(!La)break d}while(1){La=f[ab+16>>2]|0;if((Ia|0)<(La|0)){Oa=f[ab>>2]|0;if(!Oa){bb=ab;break}else{cb=ab;db=Oa}}else{if((La|0)>=(Ia|0)){bb=$a;break}La=ab+4|0;Oa=f[La>>2]|0;if(!Oa){bb=La;break}else{cb=La;db=Oa}}$a=cb;ab=db}Oa=f[bb>>2]|0;if(!Oa){La=cuc(76)|0;f[La+16>>2]=Ia;f[La+20>>2]=1124007936;Ka=La+28|0;Na=La+60|0;r=La+24|0;t=r+36|0;do{f[r>>2]=0;r=r+4|0}while((r|0)<(t|0));f[Na>>2]=Ka;Sa=La+68|0;f[La+64>>2]=Sa;f[Sa>>2]=0;f[La+72>>2]=0;f[La>>2]=0;f[La+4>>2]=0;f[La+8>>2]=ab;f[bb>>2]=La;Sa=f[f[m>>2]>>2]|0;if(!Sa)eb=La;else{f[m>>2]=Sa;eb=f[bb>>2]|0}jI(f[F>>2]|0,eb);f[E>>2]=(f[E>>2]|0)+1;fb=La}else fb=Oa;Sa=fb+20|0;f[g>>2]=1124007936;r=x;t=r+36|0;do{f[r>>2]=0;r=r+4|0}while((r|0)<(t|0));f[n>>2]=v;f[q>>2]=s;f[s>>2]=0;f[o>>2]=0;Oa=A;f[Oa>>2]=0;f[Oa+4>>2]=0;f[i>>2]=33619968;f[C>>2]=g;kQ(Sa,i,6,1.0,0.0);Oa=f[D>>2]|0;La=f[x>>2]|0;if((La|0)<3)gb=Y(f[K>>2]|0,f[v>>2]|0)|0;else{Ka=f[n>>2]|0;Na=0;Ta=1;while(1){Wa=Y(f[Ka+(Na<<2)>>2]|0,Ta)|0;Na=Na+1|0;if((Na|0)==(La|0)){gb=Wa;break}else Ta=Wa}}Ta=cuc(16)|0;La=Ta+8|0;f[Ta>>2]=La;f[Ta+4>>2]=gb;if(gb>>>0>1){Na=euc(gb>>>0>536870911?-1:gb<<3)|0;f[Ta>>2]=Na;hb=Na}else hb=La;f[i>>2]=2;f[L>>2]=Ta;if((gb|0)>0){Ta=Oa;La=0;while(1){p[hb+(La<<3)>>3]=+p[Ta>>3];La=La+1|0;if((La|0)==(gb|0))break;else Ta=Ta+8|0}}wEa(c,h,i)|0;mEa(i);Ta=f[M>>2]|0;if(Ta|0?(La=Ta+12|0,Ta=f[La>>2]|0,f[La>>2]=Ta+-1,(Ta|0)==1):0)aU(g);f[M>>2]=0;f[D>>2]=0;f[D+4>>2]=0;f[D+8>>2]=0;f[D+12>>2]=0;if((f[x>>2]|0)>0){Ta=f[n>>2]|0;La=0;do{f[Ta+(La<<2)>>2]=0;La=La+1|0}while((La|0)<(f[x>>2]|0))}La=f[q>>2]|0;if((La|0)!=(s|0))TC(La);break b}while(0);Ia=f[H>>2]|0;Ha=Ia+76|0;La=f[Ha>>2]|0;if((La-(f[Ia+72>>2]|0)|0)>>>0>Ja>>>0){Ia=La;La=Ha;do{Ha=Ia;Ta=Ha+-8|0;Oa=Ha;while(1){Ha=Oa+-8|0;f[La>>2]=Ha;Na=f[Oa+-4>>2]|0;if(!Na)ib=Ha;else{Xtc(Na);ib=f[La>>2]|0}if((ib|0)==(Ta|0))break;else Oa=ib}Oa=f[H>>2]|0;La=Oa+76|0;Ia=f[La>>2]|0}while((Ia-(f[Oa+72>>2]|0)|0)>>>0>Ja>>>0)}break}case 1:{jb=+_Ja(f[k>>2]|0);p[g>>3]=jb;AEa(c,h,g)|0;break}case 2:{Ja=YJa(f[k>>2]|0)|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;if(Ja>>>0>4294967279){B=117;break a}if(Ja>>>0<11){b[xa>>0]=Ja;if(!Ja)kb=g;else{lb=g;B=121}}else{Ia=Ja+16&-16;La=cuc(Ia)|0;f[g>>2]=La;f[ya>>2]=Ia|-2147483648;f[za>>2]=Ja;lb=La;B=121}if((B|0)==121){B=0;kzc(lb|0,0,Ja|0)|0;kb=lb}b[kb+Ja>>0]=0;MJa(f[k>>2]|0,(b[xa>>0]|0)<0?f[g>>2]|0:g,Ja)|0;vEa(c,h,g)|0;if((b[xa>>0]|0)<0)fuc(f[g>>2]|0);break}case 5:{Ja=(YJa(f[k>>2]|0)|0)!=0&1;b[g>>0]=Ja;zEa(c,h,g)|0;break}default:{SJa(f[k>>2]|0,Ea);KIa(a)}}while(0);if((b[I>>0]|0)<0)fuc(f[h>>2]|0)}else{SJa(f[k>>2]|0,Da);KIa(a);KIa(a)}Ca=Ca+1|0;if((Ca|0)>=(J|0)){B=131;break}}if((B|0)==28)muc(h);else if((B|0)==117)muc(g);else if((B|0)==131){u=e;return}}function XIa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;d=f[a+4>>2]|0;if(!d){e=0;return e|0}a=b[c+11>>0]|0;g=a<<24>>24<0;h=g?f[c+4>>2]|0:a&255;a=g?f[c>>2]|0:c;c=d;while(1){d=c+16|0;g=b[d+11>>0]|0;i=g<<24>>24<0;j=i?f[c+20>>2]|0:g&255;g=j>>>0<h>>>0;k=g?j:h;if((k|0)!=0?(l=ahc(a,i?f[d>>2]|0:d,k)|0,(l|0)!=0):0)if((l|0)<0)m=7;else m=8;else if(h>>>0<j>>>0)m=7;else m=8;if((m|0)==7){m=0;n=c}else if((m|0)==8){m=0;l=h>>>0<j>>>0?h:j;if((l|0)!=0?(j=ahc(i?f[d>>2]|0:d,a,l)|0,(j|0)!=0):0){if((j|0)>=0){e=1;m=14;break}}else m=10;if((m|0)==10?(m=0,!g):0){e=1;m=14;break}n=c+4|0}c=f[n>>2]|0;if(!c){e=0;m=14;break}}if((m|0)==14)return e|0;return 0}function YIa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;e=a+4|0;g=f[e>>2]|0;if(!g){f[c>>2]=e;h=e;return h|0}e=b[d+11>>0]|0;i=e<<24>>24<0;j=i?f[d+4>>2]|0:e&255;e=i?f[d>>2]|0:d;d=a+4|0;a=g;while(1){g=a+16|0;i=b[g+11>>0]|0;k=i<<24>>24<0;l=k?f[a+20>>2]|0:i&255;i=l>>>0<j>>>0;m=i?l:j;if((m|0)!=0?(n=ahc(e,k?f[g>>2]|0:g,m)|0,(n|0)!=0):0)if((n|0)<0)o=8;else o=10;else if(j>>>0<l>>>0)o=8;else o=10;if((o|0)==8){o=0;n=f[a>>2]|0;if(!n){o=9;break}else{p=a;q=n}}else if((o|0)==10){o=0;n=j>>>0<l>>>0?j:l;if((n|0)!=0?(l=ahc(k?f[g>>2]|0:g,e,n)|0,(l|0)!=0):0){if((l|0)>=0){o=16;break}}else o=12;if((o|0)==12?(o=0,!i):0){o=16;break}r=a+4|0;i=f[r>>2]|0;if(!i){o=15;break}else{p=r;q=i}}d=p;a=q}if((o|0)==9){f[c>>2]=a;h=a;return h|0}else if((o|0)==15){f[c>>2]=a;h=r;return h|0}else if((o|0)==16){f[c>>2]=a;h=d;return h|0}return 0}function ZIa(a,c){a=a|0;c=c|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;e=u;u=u+32|0;g=e;h=e+24|0;i=e+12|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;j=g+11|0;b[j>>0]=8;k=g;f[k>>2]=1852990827;f[k+4>>2]=1751084133;b[g+8>>0]=0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;k=i+11|0;b[k>>0]=2;d[i>>1]=18539;b[i+2>>0]=0;l=hEa(iGa(a,i)|0,-1)|0;f[h>>2]=l;xEa(c,g,h)|0;if((b[k>>0]|0)<0)fuc(f[i>>2]|0);if((b[j>>0]|0)<0)fuc(f[g>>2]|0);f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;j=g+11|0;b[j>>0]=8;k=g;f[k>>2]=1852990827;f[k+4>>2]=2002742373;b[g+8>>0]=0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;k=i+11|0;b[k>>0]=2;d[i>>1]=22379;b[i+2>>0]=0;l=hEa(iGa(a,i)|0,-1)|0;f[h>>2]=l;xEa(c,g,h)|0;if((b[k>>0]|0)<0)fuc(f[i>>2]|0);if((b[j>>0]|0)<0)fuc(f[g>>2]|0);f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;j=g+11|0;b[j>>0]=8;k=g;f[k>>2]=1769108595;f[k+4>>2]=1751082340;b[g+8>>0]=0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;k=i+11|0;b[k>>0]=2;d[i>>1]=18532;b[i+2>>0]=0;l=hEa(iGa(a,i)|0,-1)|0;f[h>>2]=l;xEa(c,g,h)|0;if((b[k>>0]|0)<0)fuc(f[i>>2]|0);if((b[j>>0]|0)<0)fuc(f[g>>2]|0);f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;j=g+11|0;b[j>>0]=8;k=g;f[k>>2]=1769108595;f[k+4>>2]=2002740580;b[g+8>>0]=0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;k=i+11|0;b[k>>0]=2;d[i>>1]=22372;b[i+2>>0]=0;l=hEa(iGa(a,i)|0,-1)|0;f[h>>2]=l;xEa(c,g,h)|0;if((b[k>>0]|0)<0)fuc(f[i>>2]|0);if((b[j>>0]|0)<0)fuc(f[g>>2]|0);f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;j=g+11|0;b[j>>0]=5;b[g>>0]=b[404503]|0;b[g+1>>0]=b[404504]|0;b[g+2>>0]=b[404505]|0;b[g+3>>0]=b[404506]|0;b[g+4>>0]=b[404507]|0;b[g+5>>0]=0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;k=i+11|0;b[k>>0]=4;f[i>>2]=1214538096;b[i+4>>0]=0;l=gEa(a,i)|0;m=a+4|0;if((l|0)==(m|0))n=0;else{o=hEa(l+28|0,-1)|0;n=o}f[h>>2]=n;xEa(c,g,h)|0;if((b[k>>0]|0)<0)fuc(f[i>>2]|0);if((b[j>>0]|0)<0)fuc(f[g>>2]|0);f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;j=g+11|0;b[j>>0]=5;b[g>>0]=b[404497]|0;b[g+1>>0]=b[404498]|0;b[g+2>>0]=b[404499]|0;b[g+3>>0]=b[404500]|0;b[g+4>>0]=b[404501]|0;b[g+5>>0]=0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;k=i+11|0;b[k>>0]=4;f[i>>2]=1466196336;b[i+4>>0]=0;n=gEa(a,i)|0;if((n|0)==(m|0))p=0;else{m=hEa(n+28|0,-1)|0;p=m}f[h>>2]=p;xEa(c,g,h)|0;if((b[k>>0]|0)<0)fuc(f[i>>2]|0);if((b[j>>0]|0)>=0){u=e;return}fuc(f[g>>2]|0);u=e;return}function _Ia(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;c=a+4|0;d=f[c>>2]|0;e=f[a>>2]|0;g=d-e>>3;h=g+1|0;i=e;j=d;if(h>>>0>536870911)nsc(a);d=a+8|0;k=(f[d>>2]|0)-e|0;l=k>>2;m=k>>3>>>0<268435455?(l>>>0<h>>>0?h:l):536870911;do if(m)if(m>>>0>536870911){l=ze(8)|0;kuc(l,519086);f[l>>2]=167148;Hf(l|0,26888,1888)}else{n=cuc(m<<3)|0;break}else n=0;while(0);l=n+(g<<3)|0;h=l;k=n+(m<<3)|0;f[l>>2]=f[b>>2];m=b+4|0;f[n+(g<<3)+4>>2]=f[m>>2];f[b>>2]=0;f[m>>2]=0;m=l+8|0;if((j|0)==(i|0)){o=h;p=e}else{e=j;j=h;h=l;do{l=e;e=e+-8|0;f[h+-8>>2]=f[e>>2];b=l+-4|0;f[h+-4>>2]=f[b>>2];f[e>>2]=0;f[b>>2]=0;h=j+-8|0;j=h}while((e|0)!=(i|0));o=j;p=f[a>>2]|0}f[a>>2]=o;o=f[c>>2]|0;f[c>>2]=m;f[d>>2]=k;k=p;if((o|0)!=(k|0)){d=o;do{o=f[d+-4>>2]|0;d=d+-8|0;if(o|0)Xtc(o)}while((d|0)!=(k|0))}if(!p)return;fuc(p);return}function $Ia(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;c=u;u=u+32|0;d=c;e=f[a>>2]|0;g=((f[a+4>>2]|0)-e|0)/56|0;h=g+1|0;if(h>>>0>76695844)nsc(a);i=((f[a+8>>2]|0)-e|0)/56|0;e=i<<1;j=i>>>0<38347922?(e>>>0<h>>>0?h:e):76695844;f[d+12>>2]=0;f[d+16>>2]=a+8;do if(j)if(j>>>0>76695844){e=ze(8)|0;kuc(e,519086);f[e>>2]=167148;Hf(e|0,26888,1888)}else{k=cuc(j*56|0)|0;break}else k=0;while(0);f[d>>2]=k;e=k+(g*56|0)|0;h=d+8|0;f[h>>2]=e;f[d+4>>2]=e;f[d+12>>2]=k+(j*56|0);f[e>>2]=f[b>>2];j=b+4|0;i=f[j>>2]|0;f[k+(g*56|0)+4>>2]=i;l=k+(g*56|0)+8|0;m=b+8|0;f[l>>2]=f[m>>2];f[k+(g*56|0)+12>>2]=f[b+12>>2];f[k+(g*56|0)+16>>2]=f[b+16>>2];f[k+(g*56|0)+20>>2]=f[b+20>>2];f[k+(g*56|0)+24>>2]=f[b+24>>2];f[k+(g*56|0)+28>>2]=f[b+28>>2];f[k+(g*56|0)+32>>2]=f[b+32>>2];f[k+(g*56|0)+36>>2]=f[b+36>>2];n=k+(g*56|0)+40|0;f[n>>2]=l;l=k+(g*56|0)+44|0;o=k+(g*56|0)+48|0;f[l>>2]=o;p=k+(g*56|0)+52|0;f[p>>2]=0;f[o>>2]=0;g=b+44|0;if((i|0)<3){i=f[g>>2]|0;f[o>>2]=f[i>>2];f[p>>2]=f[i+4>>2];f[b>>2]=1124007936;q=j;r=q+36|0;do{f[q>>2]=0;q=q+4|0}while((q|0)<(r|0));s=e+56|0;f[h>>2]=s;pt(a,d);qt(d);u=c;return}else{f[l>>2]=f[g>>2];l=b+40|0;f[n>>2]=f[l>>2];f[g>>2]=b+48;f[l>>2]=m;f[b>>2]=1124007936;q=j;r=q+36|0;do{f[q>>2]=0;q=q+4|0}while((q|0)<(r|0));s=e+56|0;f[h>>2]=s;pt(a,d);qt(d);u=c;return}}function aJa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=u;u=u+48|0;g=e+40|0;h=e+28|0;i=e+8|0;j=e;k=oEa(a,c)|0;if((k|0)!=(a+4|0)){f[g>>2]=3;l=cuc(20)|0;m=l+8|0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[l>>2]=m;f[l+4>>2]=1;f[g+4>>2]=l;wuc(m,d)|0;pEa(k+28|0,g)|0;mEa(g);u=e;return d|0}f[j>>2]=3;k=cuc(20)|0;m=k+8|0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[k>>2]=m;f[k+4>>2]=1;f[j+4>>2]=k;wuc(m,d)|0;ouc(i,c);c=i+12|0;qEa(c,j);m=rEa(a,g,i)|0;if(!(f[m>>2]|0)){sEa(h,a,i);k=f[g>>2]|0;g=f[h>>2]|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=k;f[m>>2]=g;k=f[f[a>>2]>>2]|0;if(!k)n=g;else{f[a>>2]=k;n=f[m>>2]|0}jI(f[a+4>>2]|0,n);n=a+8|0;f[n>>2]=(f[n>>2]|0)+1}mEa(c);if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0);mEa(j);u=e;return d|0}function bJa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;if(!c)return;bJa(a,f[c>>2]|0);bJa(a,f[c+4>>2]|0);a=c+16|0;d=c+32|0;e=c+68|0;g=f[e>>2]|0;if(g|0?(h=g+12|0,g=f[h>>2]|0,f[h>>2]=g+-1,(g|0)==1):0)aU(d);f[e>>2]=0;e=c+48|0;d=c+36|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((f[d>>2]|0)>0){e=f[c+72>>2]|0;g=0;do{f[e+(g<<2)>>2]=0;g=g+1|0}while((g|0)<(f[d>>2]|0))}d=f[c+76>>2]|0;if((d|0)!=(c+80|0))TC(d);if((b[a+11>>0]|0)<0)fuc(f[a>>2]|0);fuc(c);return}function cJa(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;g=u;u=u+16|0;h=g;i=YIa(c,h,d)|0;d=f[i>>2]|0;if(d|0){j=d;k=0;l=j;f[a>>2]=l;m=a+4|0;b[m>>0]=k;u=g;return}d=cuc(88)|0;n=d+16|0;f[n>>2]=f[e>>2];f[n+4>>2]=f[e+4>>2];f[n+8>>2]=f[e+8>>2];f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[d+28>>2]=f[e+12>>2];n=e+16|0;f[d+32>>2]=f[n>>2];o=e+20|0;p=f[o>>2]|0;f[d+36>>2]=p;q=d+40|0;r=e+24|0;f[q>>2]=f[r>>2];f[d+44>>2]=f[e+28>>2];f[d+48>>2]=f[e+32>>2];f[d+52>>2]=f[e+36>>2];f[d+56>>2]=f[e+40>>2];f[d+60>>2]=f[e+44>>2];f[d+64>>2]=f[e+48>>2];f[d+68>>2]=f[e+52>>2];s=d+72|0;f[s>>2]=q;q=d+76|0;t=d+80|0;f[q>>2]=t;v=d+84|0;f[v>>2]=0;f[t>>2]=0;w=e+60|0;if((p|0)<3){p=f[w>>2]|0;f[t>>2]=f[p>>2];f[v>>2]=f[p+4>>2]}else{f[q>>2]=f[w>>2];q=e+56|0;f[s>>2]=f[q>>2];f[w>>2]=e+64;f[q>>2]=r}f[n>>2]=1124007936;n=o;o=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(o|0));n=f[h>>2]|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=n;f[i>>2]=d;n=f[f[c>>2]>>2]|0;if(!n)x=d;else{f[c>>2]=n;x=f[i>>2]|0}jI(f[c+4>>2]|0,x);x=c+8|0;f[x>>2]=(f[x>>2]|0)+1;j=d;k=1;l=j;f[a>>2]=l;m=a+4|0;b[m>>0]=k;u=g;return}function dJa(a){a=a|0;Qtc(a);fuc(a);return}function eJa(a){a=a|0;var b=0;b=f[a+12>>2]|0;if(!b)return;UIa(b);fuc(b);return}function fJa(a,b){a=a|0;b=b|0;return ((f[b+4>>2]|0)==405420?a+12|0:0)|0}function gJa(a){a=a|0;fuc(a);return}function hJa(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;g=c+4|0;h=f[g>>2]|0;do if(h){i=f[d>>2]|0;j=c+4|0;k=h;while(1){l=f[k+16>>2]|0;if((i|0)<(l|0)){m=f[k>>2]|0;if(!m){n=6;break}else{o=k;p=m}}else{if((l|0)>=(i|0)){n=10;break}q=k+4|0;l=f[q>>2]|0;if(!l){n=9;break}else{o=q;p=l}}j=o;k=p}if((n|0)==6){r=k;s=k;break}else if((n|0)==9){r=k;s=q;break}else if((n|0)==10){r=k;s=j;break}}else{r=g;s=g}while(0);g=f[s>>2]|0;if(g|0){t=g;u=0;v=t;f[a>>2]=v;w=a+4|0;b[w>>0]=u;return}g=cuc(76)|0;f[g+16>>2]=f[e>>2];n=e+4|0;f[g+20>>2]=f[n>>2];q=e+8|0;p=f[q>>2]|0;f[g+24>>2]=p;o=g+28|0;h=e+12|0;f[o>>2]=f[h>>2];f[g+32>>2]=f[e+16>>2];f[g+36>>2]=f[e+20>>2];f[g+40>>2]=f[e+24>>2];f[g+44>>2]=f[e+28>>2];f[g+48>>2]=f[e+32>>2];f[g+52>>2]=f[e+36>>2];f[g+56>>2]=f[e+40>>2];d=g+60|0;f[d>>2]=o;o=g+64|0;i=g+68|0;f[o>>2]=i;l=g+72|0;f[l>>2]=0;f[i>>2]=0;m=e+48|0;if((p|0)<3){p=f[m>>2]|0;f[i>>2]=f[p>>2];f[l>>2]=f[p+4>>2]}else{f[o>>2]=f[m>>2];o=e+44|0;f[d>>2]=f[o>>2];f[m>>2]=e+52;f[o>>2]=h}f[n>>2]=1124007936;n=q;q=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(q|0));f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=r;f[s>>2]=g;r=f[f[c>>2]>>2]|0;if(!r)x=g;else{f[c>>2]=r;x=f[s>>2]|0}jI(f[c+4>>2]|0,x);x=c+8|0;f[x>>2]=(f[x>>2]|0)+1;t=g;u=1;v=t;f[a>>2]=v;w=a+4|0;b[w>>0]=u;return}function iJa(a){a=a|0;Qtc(a);fuc(a);return}function jJa(a){a=a|0;bi[f[a+16>>2]&2047](f[a+12>>2]|0);return}function kJa(a,b){a=a|0;b=b|0;return ((f[b+4>>2]|0)==405988?a+16|0:0)|0}function lJa(a){a=a|0;fuc(a);return}function mJa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0;e=u;u=u+112|0;g=e+96|0;h=e+20|0;i=e+8|0;j=e;gV(g,111780);ouc(i,c);JIa(h,i,d);if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0);RKa(a);f[j>>2]=f[a>>2];i=f[a+4>>2]|0;f[j+4>>2]=i;if(i|0)Wtc(i);nJa(h,j);rLa(j);j=f[h+52>>2]|0;if(j|0){i=h+56|0;a=f[i>>2]|0;if((a|0)!=(j|0))f[i>>2]=a+(~((a+-4-j|0)>>>2)<<2);fuc(j)}LIa(h+40|0,f[h+44>>2]|0);LIa(h+28|0,f[h+32>>2]|0);MIa(h+16|0,f[h+20>>2]|0);j=f[h+12>>2]|0;if(j|0)Xtc(j);rLa(h);if(!(f[g+4>>2]|0)){u=e;return}u=e;return}function nJa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;d=u;u=u+32|0;e=d+8|0;g=d;gV(g,111800);h=a+64|0;if(f[h>>2]|0){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;i=cuc(32)|0;f[e>>2]=i;f[e+8>>2]=-2147483616;f[e+4>>2]=18;j=i;k=406150;l=j+18|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[i+18>>0]=0;WD(-215,e,406169,403191,1227)}oJa(e,403338);i=f[e>>2]|0;k=f[e+4>>2]|0;f[h>>2]=i;j=a+68|0;f[j>>2]=i;SJa(f[a+8>>2]|0,0);KIa(a);i=f[c>>2]|0;l=f[c+4>>2]|0;if(l|0)Wtc(l);f[a>>2]=i;i=a+4|0;c=f[i>>2]|0;f[i>>2]=l;if(c|0)Xtc(c);f[e>>2]=0;c=e+4|0;f[c>>2]=0;f[e+8>>2]=0;pJa(a,f[h>>2]|0,e,0,0)|0;f[h>>2]=0;f[j>>2]=0;j=f[e>>2]|0;if(j|0){e=f[c>>2]|0;if((e|0)!=(j|0))f[c>>2]=e+(~((e+-8-j|0)>>>3)<<3);fuc(j)}if(k|0)Xtc(k);if(!(f[g+4>>2]|0)){u=d;return}u=d;return}function oJa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;d=u;u=u+32|0;e=d+12|0;g=d;h=cuc(96)|0;f[h+4>>2]=0;f[h+8>>2]=0;f[h>>2]=111828;i=h+12|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;j=jfc(c)|0;if(j>>>0>4294967279)muc(e);if(j>>>0<11){b[e+11>>0]=j;if(!j)k=e;else{l=e;m=6}}else{n=j+16&-16;o=cuc(n)|0;f[e>>2]=o;f[e+8>>2]=n|-2147483648;f[e+4>>2]=j;l=o;m=6}if((m|0)==6){szc(l|0,c|0,j|0)|0;k=l}b[k+j>>0]=0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;ouc(i,e);ouc(h+24|0,g);j=h+40|0;f[j>>2]=0;f[h+44>>2]=0;f[h+36>>2]=j;j=h+48|0;k=j+48|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);if((b[e+11>>0]|0)>=0){p=a+4|0;f[a>>2]=i;f[p>>2]=h;u=d;return}fuc(f[e>>2]|0);p=a+4|0;f[a>>2]=i;f[p>>2]=h;u=d;return}function pJa(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0;h=u;u=u+224|0;i=h+128|0;j=h+168|0;k=h+80|0;l=h+32|0;m=h+16|0;n=h;o=h+152|0;p=h+140|0;q=c;if(!c){r=e;u=h;return r|0}s=c+12|0;t=b[s+11>>0]|0;if(t<<24>>24<0)v=f[c+16>>2]|0;else v=t&255;if(v|0){qJa(i,a,s);v=sLa(a,i,s,c+24|0)|0;if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0);uLa(a,e,g,v,0);f[i>>2]=v;f[i+4>>2]=q;s=d+4|0;t=f[s>>2]|0;if(t>>>0<(f[d+8>>2]|0)>>>0){w=i;x=f[w+4>>2]|0;y=t;f[y>>2]=f[w>>2];f[y+4>>2]=x;f[s>>2]=(f[s>>2]|0)+8}else rJa(d,i);r=v;u=h;return r|0}v=c+11|0;s=b[v>>0]|0;x=c+4|0;y=f[x>>2]|0;if(((s<<24>>24<0?y:s&255)|0)==10){if(Puc(c,0,-1,403338,10)|0){z=b[v>>0]|0;A=f[x>>2]|0;B=15}}else{z=s;A=y;B=15}do if((B|0)==15){if(((z<<24>>24<0?A:z&255)|0)==9){if(!(Puc(c,0,-1,403392,9)|0))break;C=b[v>>0]|0;D=f[x>>2]|0}else{C=z;D=A}do if(((C<<24>>24<0?D:C&255)|0)==6){if(Puc(c,0,-1,445316,6)|0){E=b[v>>0]|0;F=f[x>>2]|0;break}f[j+4>>2]=0;f[j+8>>2]=0;y=j+4|0;f[j>>2]=y;G=j+12|0;H=G+36|0;do{f[G>>2]=0;G=G+4|0}while((G|0)<(H|0));f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;s=k+11|0;b[s>>0]=4;f[k>>2]=1936291937;b[k+4>>0]=0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;w=m+11|0;b[w>>0]=9;G=m;I=403433;H=G+9|0;do{b[G>>0]=b[I>>0]|0;G=G+1|0;I=I+1|0}while((G|0)<(H|0));b[m+9>>0]=0;t=hEa(iGa(c+24|0,m)|0,-1)|0;f[l>>2]=t+-1;xEa(j,k,l)|0;if((b[w>>0]|0)<0)fuc(f[m>>2]|0);if((b[s>>0]|0)<0)fuc(f[k>>2]|0);f[k>>2]=0;t=k+4|0;f[t>>2]=0;f[k+8>>2]=0;J=c+72|0;K=c+76|0;L=f[J>>2]|0;if(((f[K>>2]|0)-L|0)>0){M=k+8|0;N=0;O=L;do{L=pJa(a,f[O+(N<<3)>>2]|0,d,e,g)|0;f[i>>2]=L;P=f[t>>2]|0;if((P|0)==(f[M>>2]|0))es(k,i);else{f[P>>2]=L;f[t>>2]=P+4}N=N+1|0;O=f[J>>2]|0}while((N|0)<((f[K>>2]|0)-O>>3|0))}O=a+72|0;f[O>>2]=(f[O>>2]|0)+1;O=m+11|0;b[O>>0]=10;G=m;I=406181;H=G+10|0;do{b[G>>0]=b[I>>0]|0;G=G+1|0;I=I+1|0}while((G|0)<(H|0));b[m+10>>0]=0;qJa(l,a,m);f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;K=n+11|0;b[K>>0]=6;b[n>>0]=b[445316]|0;b[n+1>>0]=b[445317]|0;b[n+2>>0]=b[445318]|0;b[n+3>>0]=b[445319]|0;b[n+4>>0]=b[445320]|0;b[n+5>>0]=b[445321]|0;b[n+6>>0]=0;N=sLa(a,l,n,j)|0;if((b[K>>0]|0)<0)fuc(f[n>>2]|0);if((b[l+11>>0]|0)<0)fuc(f[l>>2]|0);if((b[O>>0]|0)<0)fuc(f[m>>2]|0);K=f[k>>2]|0;if((f[t>>2]|0)!=(K|0)){J=0;M=K;do{uLa(a,f[M+(J<<2)>>2]|0,0,N,J);J=J+1|0;M=f[k>>2]|0}while(J>>>0<(f[t>>2]|0)-M>>2>>>0)}f[l>>2]=N;f[l+4>>2]=q;M=d+4|0;J=f[M>>2]|0;if(J>>>0<(f[d+8>>2]|0)>>>0){O=l;K=f[O+4>>2]|0;s=J;f[s>>2]=f[O>>2];f[s+4>>2]=K;f[M>>2]=(f[M>>2]|0)+8}else rJa(d,l);M=f[k>>2]|0;if(M|0){K=f[t>>2]|0;if((K|0)!=(M|0))f[t>>2]=K+(~((K+-4-M|0)>>>2)<<2);fuc(M)}M=j+36|0;if((b[M+11>>0]|0)<0)fuc(f[M>>2]|0);M=j+24|0;if((b[M+11>>0]|0)<0)fuc(f[M>>2]|0);ut(j+12|0);lEa(j,f[y>>2]|0);r=N;u=h;return r|0}else{E=C;F=D}while(0);do if(((E<<24>>24<0?F:E&255)|0)==11){if(Puc(c,0,-1,403380,11)|0){Q=b[v>>0]|0;R=f[x>>2]|0;break}f[j+4>>2]=0;f[j+8>>2]=0;M=j+4|0;f[j>>2]=M;G=j+12|0;H=G+36|0;do{f[G>>2]=0;G=G+4|0}while((G|0)<(H|0));f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;N=k+11|0;b[N>>0]=4;f[k>>2]=1936291937;b[k+4>>0]=0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;y=m+11|0;b[y>>0]=9;G=m;I=403433;H=G+9|0;do{b[G>>0]=b[I>>0]|0;G=G+1|0;I=I+1|0}while((G|0)<(H|0));b[m+9>>0]=0;t=hEa(iGa(c+24|0,m)|0,-1)|0;f[l>>2]=t+-1;xEa(j,k,l)|0;if((b[y>>0]|0)<0)fuc(f[m>>2]|0);if((b[N>>0]|0)<0)fuc(f[k>>2]|0);f[k+8>>2]=0;t=k+11|0;b[t>>0]=7;b[k>>0]=b[453204]|0;b[k+1>>0]=b[453205]|0;b[k+2>>0]=b[453206]|0;b[k+3>>0]=b[453207]|0;b[k+4>>0]=b[453208]|0;b[k+5>>0]=b[453209]|0;b[k+6>>0]=b[453210]|0;b[k+7>>0]=0;b[l>>0]=1;zEa(j,k,l)|0;if((b[t>>0]|0)<0)fuc(f[k>>2]|0);f[k>>2]=0;t=k+4|0;f[t>>2]=0;f[k+8>>2]=0;K=c+72|0;s=c+76|0;O=f[K>>2]|0;if(((f[s>>2]|0)-O|0)>0){J=k+8|0;w=0;P=O;do{O=pJa(a,f[P+(w<<3)>>2]|0,d,e,g)|0;f[i>>2]=O;L=f[t>>2]|0;if((L|0)==(f[J>>2]|0))es(k,i);else{f[L>>2]=O;f[t>>2]=L+4}w=w+1|0;P=f[K>>2]|0}while((w|0)<((f[s>>2]|0)-P>>3|0))}P=m+11|0;b[P>>0]=10;G=m;I=406181;H=G+10|0;do{b[G>>0]=b[I>>0]|0;G=G+1|0;I=I+1|0}while((G|0)<(H|0));b[m+10>>0]=0;qJa(l,a,m);f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;s=n+11|0;b[s>>0]=6;b[n>>0]=b[445316]|0;b[n+1>>0]=b[445317]|0;b[n+2>>0]=b[445318]|0;b[n+3>>0]=b[445319]|0;b[n+4>>0]=b[445320]|0;b[n+5>>0]=b[445321]|0;b[n+6>>0]=0;w=sLa(a,l,n,j)|0;if((b[s>>0]|0)<0)fuc(f[n>>2]|0);if((b[l+11>>0]|0)<0)fuc(f[l>>2]|0);if((b[P>>0]|0)<0)fuc(f[m>>2]|0);s=f[k>>2]|0;if((f[t>>2]|0)!=(s|0)){K=0;J=s;do{uLa(a,f[J+(K<<2)>>2]|0,0,w,K);K=K+1|0;J=f[k>>2]|0}while(K>>>0<(f[t>>2]|0)-J>>2>>>0)}f[l>>2]=w;f[l+4>>2]=q;J=d+4|0;K=f[J>>2]|0;if(K>>>0<(f[d+8>>2]|0)>>>0){P=l;s=f[P+4>>2]|0;N=K;f[N>>2]=f[P>>2];f[N+4>>2]=s;f[J>>2]=(f[J>>2]|0)+8}else rJa(d,l);J=f[k>>2]|0;if(J|0){s=f[t>>2]|0;if((s|0)!=(J|0))f[t>>2]=s+(~((s+-4-J|0)>>>2)<<2);fuc(J)}J=j+36|0;if((b[J+11>>0]|0)<0)fuc(f[J>>2]|0);J=j+24|0;if((b[J+11>>0]|0)<0)fuc(f[J>>2]|0);ut(j+12|0);lEa(j,f[M>>2]|0);r=w;u=h;return r|0}else{Q=E;R=F}while(0);do if(((Q<<24>>24<0?R:Q&255)|0)==8){if(Puc(c,0,-1,403349,8)|0){S=b[v>>0]|0;T=f[x>>2]|0;break}f[j+4>>2]=0;f[j+8>>2]=0;J=j+4|0;f[j>>2]=J;G=j+12|0;H=G+36|0;do{f[G>>2]=0;G=G+4|0}while((G|0)<(H|0));f[k+4>>2]=0;f[k+8>>2]=0;w=k+4|0;f[k>>2]=w;G=k+12|0;H=G+36|0;do{f[G>>2]=0;G=G+4|0}while((G|0)<(H|0));f[l+4>>2]=0;f[l+8>>2]=0;M=l+4|0;f[l>>2]=M;G=l+12|0;H=G+36|0;do{f[G>>2]=0;G=G+4|0}while((G|0)<(H|0));f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;t=m+11|0;b[t>>0]=4;f[m>>2]=1936291937;b[m+4>>0]=0;f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;s=cuc(16)|0;f[o>>2]=s;f[o+8>>2]=-2147483632;f[o+4>>2]=14;G=s;I=403402;H=G+14|0;do{b[G>>0]=b[I>>0]|0;G=G+1|0;I=I+1|0}while((G|0)<(H|0));b[s+14>>0]=0;N=c+24|0;P=hEa(iGa(N,o)|0,-1)|0;f[n>>2]=P+-1;xEa(j,m,n)|0;if((b[o+11>>0]|0)<0)fuc(f[o>>2]|0);if((b[t>>0]|0)<0)fuc(f[m>>2]|0);f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;P=m+11|0;b[P>>0]=4;f[m>>2]=1936291937;b[m+4>>0]=0;f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;K=cuc(16)|0;f[o>>2]=K;f[o+8>>2]=-2147483632;f[o+4>>2]=15;G=K;I=403417;H=G+15|0;do{b[G>>0]=b[I>>0]|0;G=G+1|0;I=I+1|0}while((G|0)<(H|0));b[K+15>>0]=0;t=hEa(iGa(N,o)|0,-1)|0;f[n>>2]=t+-1;xEa(k,m,n)|0;if((b[o+11>>0]|0)<0)fuc(f[o>>2]|0);if((b[P>>0]|0)<0)fuc(f[m>>2]|0);f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;t=m+11|0;b[t>>0]=4;f[m>>2]=1936291937;b[m+4>>0]=0;f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;s=o+11|0;b[s>>0]=4;f[o>>2]=1936291937;b[o+4>>0]=0;y=hEa(iGa(j,o)|0,-1)|0;f[n>>2]=y;xEa(l,m,n)|0;if((b[s>>0]|0)<0)fuc(f[o>>2]|0);if((b[t>>0]|0)<0)fuc(f[m>>2]|0);f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;t=m+11|0;b[t>>0]=8;s=m;f[s>>2]=1601009006;f[s+4>>2]=1936029793;b[m+8>>0]=0;f[n>>2]=1;xEa(l,m,n)|0;if((b[t>>0]|0)<0)fuc(f[m>>2]|0);t=n+11|0;b[t>>0]=10;G=n;I=406192;H=G+10|0;do{b[G>>0]=b[I>>0]|0;G=G+1|0;I=I+1|0}while((G|0)<(H|0));b[n+10>>0]=0;qJa(m,a,n);f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;P=o+11|0;b[P>>0]=5;b[o>>0]=b[415771]|0;b[o+1>>0]=b[415772]|0;b[o+2>>0]=b[415773]|0;b[o+3>>0]=b[415774]|0;b[o+4>>0]=b[415775]|0;b[o+5>>0]=0;N=sLa(a,m,o,j)|0;if((b[P>>0]|0)<0)fuc(f[o>>2]|0);if((b[m+11>>0]|0)<0)fuc(f[m>>2]|0);if((b[t>>0]|0)<0)fuc(f[n>>2]|0);f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;P=cuc(16)|0;f[n>>2]=P;f[n+8>>2]=-2147483632;f[n+4>>2]=12;G=P;I=406203;H=G+12|0;do{b[G>>0]=b[I>>0]|0;G=G+1|0;I=I+1|0}while((G|0)<(H|0));b[P+12>>0]=0;qJa(m,a,n);f[o+8>>2]=0;t=o+11|0;b[t>>0]=7;b[o>>0]=b[415783]|0;b[o+1>>0]=b[415784]|0;b[o+2>>0]=b[415785]|0;b[o+3>>0]=b[415786]|0;b[o+4>>0]=b[415787]|0;b[o+5>>0]=b[415788]|0;b[o+6>>0]=b[415789]|0;b[o+7>>0]=0;K=sLa(a,m,o,l)|0;if((b[t>>0]|0)<0)fuc(f[o>>2]|0);if((b[m+11>>0]|0)<0)fuc(f[m>>2]|0);if((b[n+11>>0]|0)<0)fuc(f[n>>2]|0);uLa(a,e,g,N,0);f[m>>2]=0;t=m+4|0;f[t>>2]=0;f[m+8>>2]=0;s=c+72|0;y=c+76|0;if(((f[y>>2]|0)-(f[s>>2]|0)|0)>0){L=m+8|0;O=0;do{uLa(a,N,O,K,O);U=pJa(a,f[(f[s>>2]|0)+(O<<3)>>2]|0,d,K,O)|0;f[i>>2]=U;V=f[t>>2]|0;if((V|0)==(f[L>>2]|0))es(m,i);else{f[V>>2]=U;f[t>>2]=V+4}O=O+1|0}while((O|0)<((f[y>>2]|0)-(f[s>>2]|0)>>3|0))}s=o+11|0;b[s>>0]=10;G=o;I=406181;H=G+10|0;do{b[G>>0]=b[I>>0]|0;G=G+1|0;I=I+1|0}while((G|0)<(H|0));b[o+10>>0]=0;qJa(n,a,o);f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;y=p+11|0;b[y>>0]=6;b[p>>0]=b[445316]|0;b[p+1>>0]=b[445317]|0;b[p+2>>0]=b[445318]|0;b[p+3>>0]=b[445319]|0;b[p+4>>0]=b[445320]|0;b[p+5>>0]=b[445321]|0;b[p+6>>0]=0;O=sLa(a,n,p,k)|0;if((b[y>>0]|0)<0)fuc(f[p>>2]|0);if((b[n+11>>0]|0)<0)fuc(f[n>>2]|0);if((b[s>>0]|0)<0)fuc(f[o>>2]|0);y=f[m>>2]|0;if((f[t>>2]|0)!=(y|0)){L=0;K=y;do{uLa(a,f[K+(L<<2)>>2]|0,0,O,L);L=L+1|0;K=f[m>>2]|0}while(L>>>0<(f[t>>2]|0)-K>>2>>>0)}f[n>>2]=O;f[n+4>>2]=q;K=d+4|0;L=f[K>>2]|0;if(L>>>0<(f[d+8>>2]|0)>>>0){s=n;y=f[s+4>>2]|0;N=L;f[N>>2]=f[s>>2];f[N+4>>2]=y;f[K>>2]=(f[K>>2]|0)+8}else rJa(d,n);K=f[m>>2]|0;if(K|0){y=f[t>>2]|0;if((y|0)!=(K|0))f[t>>2]=y+(~((y+-4-K|0)>>>2)<<2);fuc(K)}K=l+36|0;if((b[K+11>>0]|0)<0)fuc(f[K>>2]|0);K=l+24|0;if((b[K+11>>0]|0)<0)fuc(f[K>>2]|0);ut(l+12|0);lEa(l,f[M>>2]|0);K=k+36|0;if((b[K+11>>0]|0)<0)fuc(f[K>>2]|0);K=k+24|0;if((b[K+11>>0]|0)<0)fuc(f[K>>2]|0);ut(k+12|0);lEa(k,f[w>>2]|0);K=j+36|0;if((b[K+11>>0]|0)<0)fuc(f[K>>2]|0);K=j+24|0;if((b[K+11>>0]|0)<0)fuc(f[K>>2]|0);ut(j+12|0);lEa(j,f[J>>2]|0);r=O;u=h;return r|0}else{S=Q;T=R}while(0);do if(((S<<24>>24<0?T:S&255)|0)==11){if(Puc(c,0,-1,403358,11)|0){W=b[v>>0]|0;X=f[x>>2]|0;break}K=a+72|0;f[K>>2]=(f[K>>2]|0)+1;K=c+72|0;y=c+76|0;N=f[y>>2]|0;s=f[K>>2]|0;if((N-s|0)>0){L=0;P=s;while(1){V=pJa(a,f[P+(L<<3)>>2]|0,d,e,g)|0;L=L+1|0;U=f[y>>2]|0;Y=f[K>>2]|0;if((L|0)>=(U-Y>>3|0)){Z=V;_=Y;$=U;break}else P=Y}}else{Z=-1;_=s;$=N}P=$-_>>3;f[i>>2]=P;L=a+56|0;K=f[L>>2]|0;if(K>>>0<(f[a+60>>2]|0)>>>0){f[K>>2]=P;f[L>>2]=K+4}else Aw(a+52|0,i);r=Z;u=h;return r|0}else{W=S;X=T}while(0);do if(((W<<24>>24<0?X:W&255)|0)==9){if(Puc(c,0,-1,403370,9)|0){aa=b[v>>0]|0;ba=f[x>>2]|0;break}VMa(i,a);f[j+4>>2]=0;f[j+8>>2]=0;K=j+4|0;f[j>>2]=K;G=j+12|0;H=G+36|0;do{f[G>>2]=0;G=G+4|0}while((G|0)<(H|0));f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;N=k+11|0;b[N>>0]=4;f[k>>2]=1936291937;b[k+4>>0]=0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;s=m+11|0;b[s>>0]=9;G=m;I=403433;H=G+9|0;do{b[G>>0]=b[I>>0]|0;G=G+1|0;I=I+1|0}while((G|0)<(H|0));b[m+9>>0]=0;L=hEa(iGa(c+24|0,m)|0,-1)|0;f[l>>2]=L+-1;xEa(j,k,l)|0;if((b[s>>0]|0)<0)fuc(f[m>>2]|0);if((b[N>>0]|0)<0)fuc(f[k>>2]|0);L=l+11|0;b[L>>0]=10;G=l;I=406181;H=G+10|0;do{b[G>>0]=b[I>>0]|0;G=G+1|0;I=I+1|0}while((G|0)<(H|0));b[l+10>>0]=0;qJa(k,a,l);f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;N=m+11|0;b[N>>0]=6;b[m>>0]=b[445316]|0;b[m+1>>0]=b[445317]|0;b[m+2>>0]=b[445318]|0;b[m+3>>0]=b[445319]|0;b[m+4>>0]=b[445320]|0;b[m+5>>0]=b[445321]|0;b[m+6>>0]=0;s=sLa(a,k,m,j)|0;if((b[N>>0]|0)<0)fuc(f[m>>2]|0);if((b[k+11>>0]|0)<0)fuc(f[k>>2]|0);if((b[L>>0]|0)<0)fuc(f[l>>2]|0);f[k>>2]=s;f[k+4>>2]=q;N=d+4|0;P=f[N>>2]|0;if(P>>>0<(f[d+8>>2]|0)>>>0){y=k;O=f[y+4>>2]|0;J=P;f[J>>2]=f[y>>2];f[J+4>>2]=O;f[N>>2]=(f[N>>2]|0)+8}else rJa(d,k);N=a+56|0;O=f[N>>2]|0;if((f[a+52>>2]|0)==(O|0)){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;J=cuc(32)|0;f[k>>2]=J;f[k+8>>2]=-2147483616;f[k+4>>2]=29;G=J;I=406216;H=G+29|0;do{b[G>>0]=b[I>>0]|0;G=G+1|0;I=I+1|0}while((G|0)<(H|0));b[J+29>>0]=0;WD(-215,k,406246,403191,1151)}L=O+-4|0;y=f[L>>2]|0;f[N>>2]=L;L=i+4|0;P=f[L>>2]|0;w=f[i>>2]|0;if(y>>>0>P-w>>2>>>0){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;M=cuc(32)|0;f[k>>2]=M;f[k+8>>2]=-2147483616;f[k+4>>2]=23;G=M;I=406251;H=G+23|0;do{b[G>>0]=b[I>>0]|0;G=G+1|0;I=I+1|0}while((G|0)<(H|0));b[M+23>>0]=0;WD(-215,k,406246,403191,1154)}a:do if((y|0)>0){N=0;O=w;J=P;while(1){uLa(a,f[O+(N-y+(J-O>>2)<<2)>>2]|0,0,s,N);t=N+1|0;if((t|0)>=(y|0))break a;N=t;O=f[i>>2]|0;J=f[L>>2]|0}}while(0);y=j+36|0;if((b[y+11>>0]|0)<0)fuc(f[y>>2]|0);y=j+24|0;if((b[y+11>>0]|0)<0)fuc(f[y>>2]|0);ut(j+12|0);lEa(j,f[K>>2]|0);y=f[i>>2]|0;if(y|0){P=f[L>>2]|0;if((P|0)!=(y|0))f[L>>2]=P+(~((P+-4-y|0)>>>2)<<2);fuc(y)}r=s;u=h;return r|0}else{aa=W;ba=X}while(0);do if(((aa<<24>>24<0?ba:aa&255)|0)==9){if(Puc(c,0,-1,404189,9)|0){ca=b[v>>0]|0;da=f[x>>2]|0;break}y=cuc(16)|0;f[j>>2]=y;f[j+8>>2]=-2147483632;f[j+4>>2]=14;G=y;I=406275;H=G+14|0;do{b[G>>0]=b[I>>0]|0;G=G+1|0;I=I+1|0}while((G|0)<(H|0));b[y+14>>0]=0;qJa(i,a,j);if((b[j+11>>0]|0)<0)fuc(f[j>>2]|0);VMa(j,a);f[k+4>>2]=0;f[k+8>>2]=0;s=k+4|0;f[k>>2]=s;G=k+12|0;H=G+36|0;do{f[G>>2]=0;G=G+4|0}while((G|0)<(H|0));f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;y=l+11|0;b[y>>0]=9;G=l;I=456017;H=G+9|0;do{b[G>>0]=b[I>>0]|0;G=G+1|0;I=I+1|0}while((G|0)<(H|0));b[l+9>>0]=0;eGa(k,l,456032)|0;if((b[y>>0]|0)<0)fuc(f[l>>2]|0);f[l+8>>2]=0;L=l+11|0;b[L>>0]=7;b[l>>0]=b[445212]|0;b[l+1>>0]=b[445213]|0;b[l+2>>0]=b[445214]|0;b[l+3>>0]=b[445215]|0;b[l+4>>0]=b[445216]|0;b[l+5>>0]=b[445217]|0;b[l+6>>0]=b[445218]|0;b[l+7>>0]=0;K=sLa(a,i,l,k)|0;if((b[L>>0]|0)<0)fuc(f[l>>2]|0);L=a+56|0;P=f[L>>2]|0;if((f[a+52>>2]|0)==(P|0)){f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;w=cuc(32)|0;f[l>>2]=w;f[l+8>>2]=-2147483616;f[l+4>>2]=29;G=w;I=406216;H=G+29|0;do{b[G>>0]=b[I>>0]|0;G=G+1|0;I=I+1|0}while((G|0)<(H|0));b[w+29>>0]=0;WD(-215,l,406246,403191,1172)}y=P+-4|0;M=f[y>>2]|0;f[L>>2]=y;y=j+4|0;J=f[y>>2]|0;O=f[j>>2]|0;if(M>>>0>J-O>>2>>>0){f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;N=cuc(32)|0;f[l>>2]=N;f[l+8>>2]=-2147483616;f[l+4>>2]=23;G=N;I=406251;H=G+23|0;do{b[G>>0]=b[I>>0]|0;G=G+1|0;I=I+1|0}while((G|0)<(H|0));b[N+23>>0]=0;WD(-215,l,406246,403191,1175)}b:do if((M|0)>0){L=0;P=O;w=J;while(1){uLa(a,f[P+(L-M+(w-P>>2)<<2)>>2]|0,0,K,L);t=L+1|0;if((t|0)>=(M|0))break b;L=t;P=f[j>>2]|0;w=f[y>>2]|0}}while(0);f[l>>2]=K;f[l+4>>2]=q;M=d+4|0;J=f[M>>2]|0;if(J>>>0<(f[d+8>>2]|0)>>>0){O=l;N=f[O+4>>2]|0;w=J;f[w>>2]=f[O>>2];f[w+4>>2]=N;f[M>>2]=(f[M>>2]|0)+8}else rJa(d,l);M=k+36|0;if((b[M+11>>0]|0)<0)fuc(f[M>>2]|0);M=k+24|0;if((b[M+11>>0]|0)<0)fuc(f[M>>2]|0);ut(k+12|0);lEa(k,f[s>>2]|0);M=f[j>>2]|0;if(M|0){N=f[y>>2]|0;if((N|0)!=(M|0))f[y>>2]=N+(~((N+-4-M|0)>>>2)<<2);fuc(M)}if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0);r=K;u=h;return r|0}else{ca=aa;da=ba}while(0);if(((ca<<24>>24<0?da:ca&255)|0)!=19){nEa(i,406371,c);WD(-3,i,406246,403191,1219)}if(Puc(c,0,-1,404796,19)|0){nEa(i,406371,c);WD(-3,i,406246,403191,1219)}M=c+24|0;N=cuc(16)|0;f[i>>2]=N;f[i+8>>2]=-2147483632;f[i+4>>2]=15;G=N;I=403640;H=G+15|0;do{b[G>>0]=b[I>>0]|0;G=G+1|0;I=I+1|0}while((G|0)<(H|0));b[N+15>>0]=0;w=(cGa(M,i)|0)==0;if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0);if(w){w=cuc(48)|0;f[i>>2]=w;f[i+8>>2]=-2147483600;f[i+4>>2]=37;G=w;I=406290;H=G+37|0;do{b[G>>0]=b[I>>0]|0;G=G+1|0;I=I+1|0}while((G|0)<(H|0));b[w+37>>0]=0;WD(-215,i,406246,403191,1185)}N=cuc(16)|0;f[i>>2]=N;f[i+8>>2]=-2147483632;f[i+4>>2]=15;G=N;I=403640;H=G+15|0;do{b[G>>0]=b[I>>0]|0;G=G+1|0;I=I+1|0}while((G|0)<(H|0));b[N+15>>0]=0;w=hEa(iGa(M,i)|0,-1)|0;if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0);O=d+4|0;J=f[d>>2]|0;c:do if((f[O>>2]|0)==(J|0)){ea=-1;fa=0}else{P=i+8|0;L=i+4|0;t=i+11|0;Y=j+8|0;U=j+4|0;V=j+11|0;ga=0;ha=J;d:while(1){ia=f[ha+(ga<<3)+4>>2]|0;ja=ia+12|0;ka=b[ja+11>>0]|0;do if(((ka<<24>>24<0?f[ia+16>>2]|0:ka&255)|0)==7){if(Puc(ja,0,-1,445413,7)|0)break;la=f[(f[d>>2]|0)+(ga<<3)+4>>2]|0;ma=cuc(16)|0;f[i>>2]=ma;f[P>>2]=-2147483632;f[L>>2]=15;G=ma;I=403640;H=G+15|0;do{b[G>>0]=b[I>>0]|0;G=G+1|0;I=I+1|0}while((G|0)<(H|0));b[ma+15>>0]=0;if(!(cGa(la+24|0,i)|0))na=0;else{oa=f[(f[d>>2]|0)+(ga<<3)+4>>2]|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;pa=cuc(16)|0;f[j>>2]=pa;f[Y>>2]=-2147483632;f[U>>2]=15;G=pa;I=403640;H=G+15|0;do{b[G>>0]=b[I>>0]|0;G=G+1|0;I=I+1|0}while((G|0)<(H|0));b[pa+15>>0]=0;la=hEa(iGa(oa+24|0,j)|0,-1)|0;if((b[V>>0]|0)<0)fuc(f[j>>2]|0);na=(la|0)==(w|0)}if((b[t>>0]|0)<0)fuc(f[i>>2]|0);if(na)break d}while(0);ja=ga+1|0;ha=f[d>>2]|0;if(ja>>>0>=(f[O>>2]|0)-ha>>3>>>0){ea=-1;fa=0;break c}else ga=ja}ha=f[d>>2]|0;ea=f[ha+(ga<<3)>>2]|0;fa=f[ha+(ga<<3)+4>>2]|0}while(0);f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;O=i+11|0;b[O>>0]=8;w=i;f[w>>2]=1819242352;f[w+4>>2]=1751083871;b[i+8>>0]=0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;w=k+11|0;b[w>>0]=8;J=k;f[J>>2]=1852990827;f[J+4>>2]=1751084133;b[k+8>>0]=0;J=fa+24|0;N=hEa(iGa(J,k)|0,-1)|0;f[j>>2]=N;xEa(M,i,j)|0;if((b[w>>0]|0)<0)fuc(f[k>>2]|0);if((b[O>>0]|0)<0)fuc(f[i>>2]|0);f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;O=i+11|0;b[O>>0]=8;w=i;f[w>>2]=1819242352;f[w+4>>2]=2002742111;b[i+8>>0]=0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;w=k+11|0;b[w>>0]=8;N=k;f[N>>2]=1852990827;f[N+4>>2]=2002742373;b[k+8>>0]=0;N=hEa(iGa(J,k)|0,-1)|0;f[j>>2]=N;xEa(M,i,j)|0;if((b[w>>0]|0)<0)fuc(f[k>>2]|0);if((b[O>>0]|0)<0)fuc(f[i>>2]|0);O=cuc(16)|0;f[i>>2]=O;f[i+8>>2]=-2147483632;f[i+4>>2]=13;G=O;I=458943;H=G+13|0;do{b[G>>0]=b[I>>0]|0;G=G+1|0;I=I+1|0}while((G|0)<(H|0));b[O+13>>0]=0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;w=k+11|0;b[w>>0]=8;N=k;f[N>>2]=1769108595;f[N+4>>2]=1751082340;b[k+8>>0]=0;N=hEa(iGa(J,k)|0,-1)|0;f[j>>2]=N;xEa(M,i,j)|0;if((b[w>>0]|0)<0)fuc(f[k>>2]|0);if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0);w=cuc(16)|0;f[i>>2]=w;f[i+8>>2]=-2147483632;f[i+4>>2]=13;G=w;I=458929;H=G+13|0;do{b[G>>0]=b[I>>0]|0;G=G+1|0;I=I+1|0}while((G|0)<(H|0));b[w+13>>0]=0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;O=k+11|0;b[O>>0]=8;N=k;f[N>>2]=1769108595;f[N+4>>2]=2002740580;b[k+8>>0]=0;N=hEa(iGa(J,k)|0,-1)|0;f[j>>2]=N;xEa(M,i,j)|0;if((b[O>>0]|0)<0)fuc(f[k>>2]|0);if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0);O=i+11|0;b[O>>0]=10;G=i;I=458918;H=G+10|0;do{b[G>>0]=b[I>>0]|0;G=G+1|0;I=I+1|0}while((G|0)<(H|0));b[i+10>>0]=0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;w=k+11|0;b[w>>0]=5;b[k>>0]=b[404503]|0;b[k+1>>0]=b[404504]|0;b[k+2>>0]=b[404505]|0;b[k+3>>0]=b[404506]|0;b[k+4>>0]=b[404507]|0;b[k+5>>0]=0;N=hEa(iGa(J,k)|0,-1)|0;f[j>>2]=N;xEa(M,i,j)|0;if((b[w>>0]|0)<0)fuc(f[k>>2]|0);if((b[O>>0]|0)<0)fuc(f[i>>2]|0);w=i+11|0;b[w>>0]=10;G=i;I=458907;H=G+10|0;do{b[G>>0]=b[I>>0]|0;G=G+1|0;I=I+1|0}while((G|0)<(H|0));b[i+10>>0]=0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;O=k+11|0;b[O>>0]=5;b[k>>0]=b[404497]|0;b[k+1>>0]=b[404498]|0;b[k+2>>0]=b[404499]|0;b[k+3>>0]=b[404500]|0;b[k+4>>0]=b[404501]|0;b[k+5>>0]=0;N=hEa(iGa(J,k)|0,-1)|0;f[j>>2]=N;xEa(M,i,j)|0;if((b[O>>0]|0)<0)fuc(f[k>>2]|0);if((b[w>>0]|0)<0)fuc(f[i>>2]|0);O=cuc(32)|0;f[j>>2]=O;f[j+8>>2]=-2147483616;f[j+4>>2]=17;G=O;I=406328;H=G+17|0;do{b[G>>0]=b[I>>0]|0;G=G+1|0;I=I+1|0}while((G|0)<(H|0));b[O+17>>0]=0;qJa(i,a,j);if((b[j+11>>0]|0)<0)fuc(f[j>>2]|0);f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;w=j+11|0;b[w>>0]=9;G=j;I=415924;H=G+9|0;do{b[G>>0]=b[I>>0]|0;G=G+1|0;I=I+1|0}while((G|0)<(H|0));b[j+9>>0]=0;O=sLa(a,i,j,c+24|0)|0;if((b[w>>0]|0)<0)fuc(f[j>>2]|0);uLa(a,e,0,O,0);if((ea|0)==-1){f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;M=cuc(32)|0;f[j>>2]=M;f[j+8>>2]=-2147483616;f[j+4>>2]=24;G=M;I=406346;H=G+24|0;do{b[G>>0]=b[I>>0]|0;G=G+1|0;I=I+1|0}while((G|0)<(H|0));b[M+24>>0]=0;WD(-215,j,406246,403191,1212)}uLa(a,ea,1,O,1);if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0);r=O;u=h;return r|0}while(0);i=c+72|0;ea=c+76|0;c=f[i>>2]|0;if((f[ea>>2]|0)==(c|0)){r=e;u=h;return r|0}else{qa=e;ra=g;sa=0;ta=c}while(1){c=pJa(a,f[ta+(sa<<3)>>2]|0,d,qa,ra)|0;sa=sa+1|0;ta=f[i>>2]|0;if(sa>>>0>=(f[ea>>2]|0)-ta>>3>>>0){r=c;break}else{qa=c;ra=0}}u=h;return r|0}function qJa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=u;u=u+192|0;g=e+176|0;h=e+40|0;i=e+24|0;j=e+12|0;k=e;l=c+72|0;f[l>>2]=(f[l>>2]|0)+1;c=h+56|0;m=h+4|0;f[h>>2]=10740;f[c>>2]=10760;bkc(h+56|0,m);f[h+128>>2]=0;f[h+132>>2]=-1;f[h>>2]=36996;f[c>>2]=37016;gkc(m);f[m>>2]=35404;n=h+36|0;f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;f[n+12>>2]=0;f[h+52>>2]=16;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;$D(m,g);if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);tkc(h,f[l>>2]|0)|0;bE(k,m);f[h>>2]=36996;f[c>>2]=37016;f[m>>2]=35404;if((b[n+11>>0]|0)<0)fuc(f[n>>2]|0);Ric(m);Njc(h,37028);Mic(c);c=Huc(k,0,532075)|0;f[j>>2]=f[c>>2];f[j+4>>2]=f[c+4>>2];f[j+8>>2]=f[c+8>>2];f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;c=Duc(j,406400)|0;f[i>>2]=f[c>>2];f[i+4>>2]=f[c+4>>2];f[i+8>>2]=f[c+8>>2];f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;c=b[d+11>>0]|0;h=c<<24>>24<0;m=Cuc(i,h?f[d>>2]|0:d,h?f[d+4>>2]|0:c&255)|0;f[a>>2]=f[m>>2];f[a+4>>2]=f[m+4>>2];f[a+8>>2]=f[m+8>>2];f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0);if((b[j+11>>0]|0)<0)fuc(f[j>>2]|0);if((b[k+11>>0]|0)>=0){u=e;return}fuc(f[k>>2]|0);u=e;return}function rJa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+4|0;d=f[a>>2]|0;e=(f[c>>2]|0)-d|0;g=e>>3;h=g+1|0;if(h>>>0>536870911)nsc(a);i=a+8|0;j=(f[i>>2]|0)-d|0;k=j>>2;l=j>>3>>>0<268435455?(k>>>0<h>>>0?h:k):536870911;do if(l)if(l>>>0>536870911){k=ze(8)|0;kuc(k,519086);f[k>>2]=167148;Hf(k|0,26888,1888)}else{m=cuc(l<<3)|0;break}else m=0;while(0);k=m+(g<<3)|0;h=b;b=f[h+4>>2]|0;j=k;f[j>>2]=f[h>>2];f[j+4>>2]=b;b=k+(0-g<<3)|0;if((e|0)>0)szc(b|0,d|0,e|0)|0;f[a>>2]=b;f[c>>2]=k+8;f[i>>2]=m+(l<<3);if(!d)return;fuc(d);return}function sJa(a){a=a|0;f[a>>2]=111828;UIa(a+12|0);Qtc(a);return}function tJa(a){a=a|0;f[a>>2]=111828;UIa(a+12|0);Qtc(a);fuc(a);return}function uJa(a){a=a|0;UIa(a+12|0);return}function vJa(a){a=a|0;fuc(a);return}function wJa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;e=u;u=u+32|0;g=e+16|0;h=e;i=e+20|0;a:do switch(jfc(c)|0){case 1:{switch(b[c>>0]|0){case 114:break;case 119:{j=cuc(32)|0;f[i>>2]=j;k=i+8|0;f[k>>2]=-2147483616;l=i+4|0;f[l>>2]=25;m=j;n=406842;o=m+25|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));p=j+25|0;b[p>>0]=0;WD(-215,i,406827,406702,482);break}default:break a}q=a+11|0;r=ogc((b[q>>0]|0)<0?f[a>>2]|0:a,407711)|0;if(!r)if(!d){f[h>>2]=(b[q>>0]|0)<0?f[a>>2]|0:a;f[h+4>>2]=114;f[h+8>>2]=32;cE(i,406868,h);WD(-2,i,406827,406702,496)}else{s=0;u=e;return s|0}q=pec(40)|0;if(!q){cE(i,406898,g);WD(-2,i,406827,406702,501)}f[q+28>>2]=r;f[q+32>>2]=1;f[q+36>>2]=0;f[q>>2]=111848;f[q+4>>2]=d;f[q+8>>2]=1;f[q+12>>2]=0;f[q+16>>2]=0;f[q+20>>2]=1;f[q+24>>2]=0;s=q;u=e;return s|0}case 2:{if((b[c>>0]|0)==114?(b[c+1>>0]|0)==119:0){j=cuc(32)|0;f[i>>2]=j;k=i+8|0;f[k>>2]=-2147483616;l=i+4|0;f[l>>2]=25;m=j;n=406842;o=m+25|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));p=j+25|0;b[p>>0]=0;WD(-215,i,406827,406702,482)}break}default:{}}while(0);p=cuc(48)|0;f[i>>2]=p;f[i+8>>2]=-2147483600;f[i+4>>2]=47;m=p;n=406779;o=m+47|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));b[p+47>>0]=0;WD(-215,i,406827,406702,480);return 0}function xJa(a){a=a|0;return (f[a+28>>2]|0)!=0|0}function yJa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;e=u;u=u+32|0;g=e;h=e+8|0;i=a+28|0;j=f[i>>2]|0;if(!j){k=cuc(32)|0;f[h>>2]=k;f[h+8>>2]=-2147483616;f[h+4>>2]=20;l=k;m=406681;n=l+20|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));b[k+20>>0]=0;WD(-215,h,407549,406702,266)}if(!(f[a+8>>2]|0)){k=cuc(32)|0;f[h>>2]=k;f[h+8>>2]=-2147483616;f[h+4>>2]=23;l=k;m=407151;n=l+23|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));b[k+23>>0]=0;WD(-215,h,407549,406702,266)}a:do if(!(f[a+16>>2]|0))if((d|0)>0){k=Thc(c,1,d,j)|0;if(!(f[a+20>>2]|0))o=k;else{m=Shc(f[i>>2]|0)|0;switch(m|0){case 10:case -1:{o=k;break a;break}default:{}}Vhc(m,f[i>>2]|0)|0;o=k}}else o=0;else o=Thc(c,1,d,j)|0;while(0);if((o|0)==(d|0)){u=e;return o|0}f[a+24>>2]=1;if(!(f[a+4>>2]|0)){f[g>>2]=o;f[g+4>>2]=d;cE(h,407367,g);WD(-2,h,407549,406702,266)}else{u=e;return o|0}return 0}function zJa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;e=u;u=u+32|0;g=e;h=e+8|0;i=a+28|0;j=f[i>>2]|0;if(!j){k=cuc(32)|0;f[h>>2]=k;f[h+8>>2]=-2147483616;f[h+4>>2]=20;l=k;m=406681;n=l+20|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));b[k+20>>0]=0;WD(-215,h,407529,406702,270)}if(!(f[a+8>>2]|0)){k=cuc(32)|0;f[h>>2]=k;f[h+8>>2]=-2147483616;f[h+4>>2]=23;l=k;m=407151;n=l+23|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));b[k+23>>0]=0;WD(-215,h,407529,406702,270)}a:do if(!(f[a+16>>2]|0))if((d|0)>0){k=Thc(c,1,d,j)|0;if(!(f[a+20>>2]|0))o=k;else{m=Shc(f[i>>2]|0)|0;switch(m|0){case 10:case -1:{o=k;break a;break}default:{}}Vhc(m,f[i>>2]|0)|0;o=k}}else o=0;else o=Thc(c,1,d,j)|0;while(0);if((o|0)==(d|0)){u=e;return o|0}f[a+24>>2]=1;if(!(f[a+4>>2]|0)){f[g>>2]=o;f[g+4>>2]=d;cE(h,407367,g);WD(-2,h,407529,406702,270)}else{u=e;return o|0}return 0}function AJa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;e=u;u=u+48|0;g=e+16|0;h=e+8|0;i=e;j=e+24|0;k=a+28|0;l=f[k>>2]|0;if(!l){m=cuc(32)|0;f[j>>2]=m;f[j+8>>2]=-2147483616;f[j+4>>2]=20;n=m;o=406681;p=n+20|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));b[m+20>>0]=0;WD(-215,j,407504,406702,274)}if(!(f[a+8>>2]|0)){m=cuc(32)|0;f[j>>2]=m;f[j+8>>2]=-2147483616;f[j+4>>2]=23;n=m;o=407151;p=n+23|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));b[m+23>>0]=0;WD(-215,j,407504,406702,274)}a:do if(!(f[a+16>>2]|0)){m=(d|0)>0;if(m){f[i>>2]=c;o=(zgc(l,407525,i)|0)>0;n=o&1;if(o&(d|0)!=1){o=n;p=1;while(1){q=f[k>>2]|0;f[h>>2]=c+(p<<1);r=(zgc(q,407525,h)|0)>0;q=(r&1)+o|0;p=p+1|0;if(!(r&(p|0)<(d|0))){s=q;break}else o=q}}else s=n;if(m&(f[a+20>>2]|0)!=0){o=Shc(f[k>>2]|0)|0;switch(o|0){case 10:case -1:{t=s;break a;break}default:{}}Vhc(o,f[k>>2]|0)|0;t=s}else t=s}else t=0}else{o=Thc(c,2,d,l)|0;if((o|0)>0&(f[a+32>>2]|0)==0){p=0;q=c;while(1){r=b[q>>0]|0;v=q+1|0;b[q>>0]=b[v>>0]|0;b[v>>0]=r;p=p+1|0;if((p|0)==(o|0)){t=o;break}else q=q+2|0}}else t=o}while(0);if((t|0)==(d|0)){u=e;return t|0}f[a+24>>2]=1;if(!(f[a+4>>2]|0)){f[g>>2]=t;f[g+4>>2]=d;cE(j,407367,g);WD(-2,j,407504,406702,274)}else{u=e;return t|0}return 0}function BJa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;e=u;u=u+48|0;g=e+16|0;h=e+8|0;i=e;j=e+24|0;k=a+28|0;l=f[k>>2]|0;if(!l){m=cuc(32)|0;f[j>>2]=m;f[j+8>>2]=-2147483616;f[j+4>>2]=20;n=m;o=406681;p=n+20|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));b[m+20>>0]=0;WD(-215,j,407480,406702,278)}if(!(f[a+8>>2]|0)){m=cuc(32)|0;f[j>>2]=m;f[j+8>>2]=-2147483616;f[j+4>>2]=23;n=m;o=407151;p=n+23|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));b[m+23>>0]=0;WD(-215,j,407480,406702,278)}a:do if(!(f[a+16>>2]|0)){m=(d|0)>0;if(m){f[i>>2]=c;o=(zgc(l,407499,i)|0)>0;n=o&1;if(o&(d|0)!=1){o=n;p=1;while(1){q=f[k>>2]|0;f[h>>2]=c+(p<<2);r=(zgc(q,407499,h)|0)>0;q=(r&1)+o|0;p=p+1|0;if(!(r&(p|0)<(d|0))){s=q;break}else o=q}}else s=n;if(m&(f[a+20>>2]|0)!=0){o=Shc(f[k>>2]|0)|0;switch(o|0){case 10:case -1:{t=s;break a;break}default:{}}Vhc(o,f[k>>2]|0)|0;t=s}else t=s}else t=0}else{o=Thc(c,4,d,l)|0;if((o|0)>0&(f[a+32>>2]|0)==0){p=0;q=c;while(1){r=b[q>>0]|0;v=q+3|0;b[q>>0]=b[v>>0]|0;b[v>>0]=r;r=q+1|0;v=b[r>>0]|0;w=q+2|0;b[r>>0]=b[w>>0]|0;b[w>>0]=v;p=p+1|0;if((p|0)==(o|0)){t=o;break}else q=q+4|0}}else t=o}while(0);if((t|0)==(d|0)){u=e;return t|0}f[a+24>>2]=1;if(!(f[a+4>>2]|0)){f[g>>2]=t;f[g+4>>2]=d;cE(j,407367,g);WD(-2,j,407480,406702,278)}else{u=e;return t|0}return 0}function CJa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;e=u;u=u+48|0;g=e+24|0;h=e+16|0;i=e+8|0;j=e;k=e+32|0;l=a+28|0;m=f[l>>2]|0;if(!m){n=cuc(32)|0;f[k>>2]=n;f[k+8>>2]=-2147483616;f[k+4>>2]=20;o=n;p=406681;q=o+20|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[n+20>>0]=0;WD(-215,k,407432,406702,299)}if(!(f[a+8>>2]|0)){n=cuc(32)|0;f[k>>2]=n;f[k+8>>2]=-2147483616;f[k+4>>2]=23;o=n;p=407151;q=o+23|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[n+23>>0]=0;WD(-215,k,407432,406702,300)}a:do if(!(f[a+16>>2]|0)){n=(d|0)>0;if(n){f[j>>2]=k;b:do if((zgc(m,407452,j)|0)<1){r=0;s=23}else{p=0;while(1){o=p+1|0;q=f[k>>2]|0;t=c+(p<<3)|0;f[t>>2]=q;f[t+4>>2]=((q|0)<0)<<31>>31;if((o|0)>=(d|0)){v=o;break b}q=f[l>>2]|0;f[h>>2]=k;if((zgc(q,407452,h)|0)<1){r=o;s=23;break}else p=o}}while(0);if((s|0)==23)v=r;if(n&(f[a+20>>2]|0)!=0){p=Shc(f[l>>2]|0)|0;switch(p|0){case 10:case -1:{w=v;break a;break}default:{}}Vhc(p,f[l>>2]|0)|0;w=v}else w=v}else w=0}else switch(f[a+36>>2]|0){case 8:case 0:{p=Thc(c,8,d,m)|0;if((p|0)>0&(f[a+32>>2]|0)==0){x=0;y=c}else{w=p;break a}while(1){o=b[y>>0]|0;q=y+7|0;b[y>>0]=b[q>>0]|0;b[q>>0]=o;o=y+1|0;q=b[o>>0]|0;t=y+6|0;b[o>>0]=b[t>>0]|0;b[t>>0]=q;q=y+2|0;t=b[q>>0]|0;o=y+5|0;b[q>>0]=b[o>>0]|0;b[o>>0]=t;t=y+3|0;o=b[t>>0]|0;q=y+4|0;b[t>>0]=b[q>>0]|0;b[q>>0]=o;x=x+1|0;if((x|0)==(p|0)){w=p;break}else y=y+8|0}break}case 4:{p=Thc(c,4,d,m)|0;n=(p|0)>0;if(n&(f[a+32>>2]|0)==0){o=0;q=c;while(1){t=b[q>>0]|0;z=q+3|0;b[q>>0]=b[z>>0]|0;b[z>>0]=t;t=q+1|0;z=b[t>>0]|0;A=q+2|0;b[t>>0]=b[A>>0]|0;b[A>>0]=z;o=o+1|0;if((o|0)==(p|0))break;else q=q+4|0}}if(!n){w=p;break a}q=p;do{o=q;q=q+-1|0;z=f[c+(q<<2)>>2]|0;A=c+(q<<3)|0;f[A>>2]=z;f[A+4>>2]=((z|0)<0)<<31>>31}while((o|0)>1);w=p;break}default:{p=pec(d<<3)|0;if(!p){cE(k,407456,i);WD(-2,k,407432,406702,323)}q=Thc(p,8,d,m)|0;n=(q|0)>0;if(n){o=q;do{z=o;o=o+-1|0;A=f[p+(o<<1<<2)>>2]|0;t=c+(o<<3)|0;f[t>>2]=A;f[t+4>>2]=((A|0)<0)<<31>>31}while((z|0)>1)}qec(p);if(!(n&(f[a+32>>2]|0)==0)){w=q;break a}o=0;z=c;while(1){A=b[z>>0]|0;t=z+3|0;b[z>>0]=b[t>>0]|0;b[t>>0]=A;A=z+1|0;t=b[A>>0]|0;B=z+2|0;b[A>>0]=b[B>>0]|0;b[B>>0]=t;o=o+1|0;if((o|0)==(q|0)){w=q;break}else z=z+4|0}}}while(0);if((w|0)==(d|0)){u=e;return w|0}f[a+24>>2]=1;if(!(f[a+4>>2]|0)){f[g>>2]=w;f[g+4>>2]=d;cE(k,407367,g);WD(-2,k,407432,406702,354)}else{u=e;return w|0}return 0}function DJa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;e=u;u=u+48|0;g=e+16|0;h=e+8|0;i=e;j=e+24|0;k=a+28|0;l=f[k>>2]|0;if(!l){m=cuc(32)|0;f[j>>2]=m;f[j+8>>2]=-2147483616;f[j+4>>2]=20;n=m;o=406681;p=n+20|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));b[m+20>>0]=0;WD(-215,j,407408,406702,286)}if(!(f[a+8>>2]|0)){m=cuc(32)|0;f[j>>2]=m;f[j+8>>2]=-2147483616;f[j+4>>2]=23;n=m;o=407151;p=n+23|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));b[m+23>>0]=0;WD(-215,j,407408,406702,286)}a:do if(!(f[a+16>>2]|0)){m=(d|0)>0;if(m){f[i>>2]=c;o=(zgc(l,407429,i)|0)>0;n=o&1;if(o&(d|0)!=1){o=n;p=1;while(1){q=f[k>>2]|0;f[h>>2]=c+(p<<2);r=(zgc(q,407429,h)|0)>0;q=(r&1)+o|0;p=p+1|0;if(!(r&(p|0)<(d|0))){s=q;break}else o=q}}else s=n;if(m&(f[a+20>>2]|0)!=0){o=Shc(f[k>>2]|0)|0;switch(o|0){case 10:case -1:{t=s;break a;break}default:{}}Vhc(o,f[k>>2]|0)|0;t=s}else t=s}else t=0}else{o=Thc(c,4,d,l)|0;if((o|0)>0&(f[a+32>>2]|0)==0){p=0;q=c;while(1){r=b[q>>0]|0;v=q+3|0;b[q>>0]=b[v>>0]|0;b[v>>0]=r;r=q+1|0;v=b[r>>0]|0;w=q+2|0;b[r>>0]=b[w>>0]|0;b[w>>0]=v;p=p+1|0;if((p|0)==(o|0)){t=o;break}else q=q+4|0}}else t=o}while(0);if((t|0)==(d|0)){u=e;return t|0}f[a+24>>2]=1;if(!(f[a+4>>2]|0)){f[g>>2]=t;f[g+4>>2]=d;cE(j,407367,g);WD(-2,j,407408,406702,286)}else{u=e;return t|0}return 0}function EJa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;e=u;u=u+48|0;g=e+16|0;h=e+8|0;i=e;j=e+24|0;k=a+28|0;l=f[k>>2]|0;if(!l){m=cuc(32)|0;f[j>>2]=m;f[j+8>>2]=-2147483616;f[j+4>>2]=20;n=m;o=406681;p=n+20|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));b[m+20>>0]=0;WD(-215,j,407341,406702,290)}if(!(f[a+8>>2]|0)){m=cuc(32)|0;f[j>>2]=m;f[j+8>>2]=-2147483616;f[j+4>>2]=23;n=m;o=407151;p=n+23|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));b[m+23>>0]=0;WD(-215,j,407341,406702,290)}a:do if(!(f[a+16>>2]|0)){m=(d|0)>0;if(m){f[i>>2]=c;o=(zgc(l,407363,i)|0)>0;n=o&1;if(o&(d|0)!=1){o=n;p=1;while(1){q=f[k>>2]|0;f[h>>2]=c+(p<<3);r=(zgc(q,407363,h)|0)>0;q=(r&1)+o|0;p=p+1|0;if(!(r&(p|0)<(d|0))){s=q;break}else o=q}}else s=n;if(m&(f[a+20>>2]|0)!=0){o=Shc(f[k>>2]|0)|0;switch(o|0){case 10:case -1:{t=s;break a;break}default:{}}Vhc(o,f[k>>2]|0)|0;t=s}else t=s}else t=0}else{o=Thc(c,8,d,l)|0;if((o|0)>0&(f[a+32>>2]|0)==0){p=0;q=c;while(1){r=b[q>>0]|0;v=q+7|0;b[q>>0]=b[v>>0]|0;b[v>>0]=r;r=q+1|0;v=b[r>>0]|0;w=q+6|0;b[r>>0]=b[w>>0]|0;b[w>>0]=v;v=q+2|0;w=b[v>>0]|0;r=q+5|0;b[v>>0]=b[r>>0]|0;b[r>>0]=w;w=q+3|0;r=b[w>>0]|0;v=q+4|0;b[w>>0]=b[v>>0]|0;b[v>>0]=r;p=p+1|0;if((p|0)==(o|0)){t=o;break}else q=q+8|0}}else t=o}while(0);if((t|0)==(d|0)){u=e;return t|0}f[a+24>>2]=1;if(!(f[a+4>>2]|0)){f[g>>2]=t;f[g+4>>2]=d;cE(j,407367,g);WD(-2,j,407341,406702,290)}else{u=e;return t|0}return 0}function FJa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;e=u;u=u+48|0;g=e+24|0;h=e+16|0;i=e+8|0;j=e;k=e+28|0;l=a+28|0;if(!(f[l>>2]|0)){m=cuc(32)|0;f[k>>2]=m;f[k+8>>2]=-2147483616;f[k+4>>2]=20;n=m;o=406681;p=n+20|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));b[m+20>>0]=0;WD(-215,k,407129,406702,364)}if(!(f[a+8>>2]|0)){m=cuc(32)|0;f[k>>2]=m;f[k+8>>2]=-2147483616;f[k+4>>2]=23;n=m;o=407151;p=n+23|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));b[m+23>>0]=0;WD(-215,k,407129,406702,365)}if(((jfc(c)|0)>>>0>1?(b[c>>0]|0)==42:0)?(m=b[c+1>>0]|0,c=m<<24>>24==97,!(c^m<<24>>24!=108)):0){m=pec(1024)|0;if(c){c=0;q=1024;r=m;while(1){s=q+1024|0;if((q|0)==(c|0)){t=s;v=rec(r,s)|0}else{t=q;v=r}if(!v){w=13;break}c=(Thc(v+c|0,1,t-c|0,f[l>>2]|0)|0)+c|0;if((c|0)<(t|0))break;else{q=t;r=v}}if((w|0)==13){cE(k,407264,j);WD(-2,k,407129,406702,386)}if(c|0){x=v;y=c;f[d>>2]=x;u=e;return y|0}qec(v);f[a+24>>2]=1;if(!(f[a+4>>2]|0)){cE(k,407302,i);WD(-2,k,407129,406702,395)}else{x=0;y=0;f[d>>2]=x;u=e;return y|0}}else{z=0;A=1024;B=m}while(1){m=A+1024|0;if((A-z|0)<2){C=m;D=rec(B,m)|0}else{C=A;D=B}if(!D){w=21;break}m=D+z|0;if(!(xgc(m,C-z|0,f[l>>2]|0)|0)){w=23;break}i=jfc(m)|0;if(i|0?(E=i+-1|0,(b[m+E>>0]|0)==10):0){w=29;break}z=i+z|0;A=C;B=D}if((w|0)==21){cE(k,407264,h);WD(-2,k,407129,406702,420)}else if((w|0)==23){if(z|0){x=D;y=z;f[d>>2]=x;u=e;return y|0}qec(D);f[a+24>>2]=1;if(!(f[a+4>>2]|0)){cE(k,407302,g);WD(-2,k,407129,406702,428)}else{x=0;y=0;f[d>>2]=x;u=e;return y|0}}else if((w|0)==29){x=D;y=E+z|0;f[d>>2]=x;u=e;return y|0}}y=cuc(96)|0;f[k>>2]=y;f[k+8>>2]=-2147483552;f[k+4>>2]=88;n=y;o=407175;p=n+88|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));b[y+88>>0]=0;WD(-215,k,407129,406702,366);return 0}function GJa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;d=u;u=u+16|0;e=d;g=d+4|0;h=f[a+28>>2]|0;if(!h){i=cuc(32)|0;f[g>>2]=i;f[g+8>>2]=-2147483616;f[g+4>>2]=20;j=i;k=406681;l=j+20|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[i+20>>0]=0;WD(-215,g,407083,406702,111)}if((Vgc(h,c,0)|0)>=0){u=d;return}f[a+24>>2]=1;if(!(f[a+4>>2]|0)){f[e>>2]=c;cE(g,407099,e);WD(-2,g,407083,406702,123)}else{u=d;return}}function HJa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=u;u=u+16|0;d=c;e=c+4|0;g=f[a+28>>2]|0;if(!g){h=cuc(32)|0;f[e>>2]=h;f[e+8>>2]=-2147483616;f[e+4>>2]=20;i=h;j=406681;k=i+20|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));b[h+20>>0]=0;WD(-215,e,407034,406702,131)}if((Vgc(g,0,2)|0)>=0){u=c;return}f[a+24>>2]=1;if(!(f[a+4>>2]|0)){cE(e,407053,d);WD(-2,e,407034,406702,143)}else{u=c;return}}function IJa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;c=u;u=u+16|0;d=c;e=c+4|0;g=f[a+28>>2]|0;if(!g){h=cuc(32)|0;f[e>>2]=h;f[e+8>>2]=-2147483616;f[e+4>>2]=20;i=h;j=406681;k=i+20|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));b[h+20>>0]=0;WD(-215,e,406947,406702,150)}h=Qhc(g)|0;if((h|0)>-1){l=h;u=c;return l|0}if(!(f[a+4>>2]|0)){cE(e,406967,d);WD(-2,e,406947,406702,162)}else{l=0;u=c;return l|0}return 0}function JJa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0;c=u;u=u+16|0;d=c;e=a+28|0;a=f[e>>2]|0;if(!a){g=cuc(32)|0;f[d>>2]=g;f[d+8>>2]=-2147483616;f[d+4>>2]=20;h=g;i=406681;j=h+20|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(j|0));b[g+20>>0]=0;WD(-215,d,406930,406702,170)}else{ugc(a)|0;f[e>>2]=0;u=c;return}}function KJa(a){a=a|0;var b=0;b=f[a+28>>2]|0;if(!b){qec(a);return}ugc(b)|0;qec(a);return}function LJa(a,b,c){a=a|0;b=b|0;c=c|0;return li[f[(f[a>>2]|0)+4>>2]&511](a,b,c)|0}function MJa(a,b,c){a=a|0;b=b|0;c=c|0;return li[f[(f[a>>2]|0)+8>>2]&511](a,b,c)|0}function NJa(a,b,c){a=a|0;b=b|0;c=c|0;return li[f[(f[a>>2]|0)+12>>2]&511](a,b,c)|0}function OJa(a,b,c){a=a|0;b=b|0;c=c|0;return li[f[(f[a>>2]|0)+16>>2]&511](a,b,c)|0}function PJa(a,b,c){a=a|0;b=b|0;c=c|0;return li[f[(f[a>>2]|0)+20>>2]&511](a,b,c)|0}function QJa(a,b,c){a=a|0;b=b|0;c=c|0;return li[f[(f[a>>2]|0)+24>>2]&511](a,b,c)|0}function RJa(a,b,c){a=a|0;b=b|0;c=c|0;return li[f[(f[a>>2]|0)+28>>2]&511](a,b,c)|0}function SJa(a,b){a=a|0;b=b|0;yh[f[(f[a>>2]|0)+36>>2]&2047](a,b);return}function TJa(a){a=a|0;return di[f[(f[a>>2]|0)+44>>2]&1023](a)|0}function UJa(a){a=a|0;bi[f[(f[a>>2]|0)+52>>2]&2047](a);return}function VJa(a){a=a|0;return di[f[f[a>>2]>>2]&1023](a)|0}function WJa(a){a=a|0;f[a+16>>2]=1;return}function XJa(a){a=a|0;f[a+16>>2]=0;return}function YJa(a){a=a|0;var b=0,c=0;b=u;u=u+16|0;c=b;li[f[(f[a>>2]|0)+16>>2]&511](a,c,1)|0;u=b;return f[c>>2]|0}function ZJa(a){a=a|0;var b=0,c=0;b=u;u=u+16|0;c=b;li[f[(f[a>>2]|0)+20>>2]&511](a,c,1)|0;a=c;J=f[a+4>>2]|0;u=b;return f[a>>2]|0}function _Ja(a){a=a|0;var b=0,c=0;b=u;u=u+16|0;c=b;li[f[(f[a>>2]|0)+28>>2]&511](a,c,1)|0;u=b;return +(+p[c>>3])}function $Ja(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=u;u=u+400|0;g=e+212|0;h=e+24|0;i=e+12|0;j=e;k=(b[c+11>>0]|0)<0?f[c>>2]|0:c;l=g+108|0;m=g+8|0;f[g>>2]=18460;f[l>>2]=18480;f[g+4>>2]=0;bkc(g+108|0,m);f[g+180>>2]=0;f[g+184>>2]=-1;f[g>>2]=110428;f[l>>2]=110448;mFa(m);n=g+72|0;if((f[n>>2]|0)==0?(o=ogc(k,407569)|0,f[n>>2]=o,(o|0)!=0):0)f[g+96>>2]=8;else p=4;if((p|0)==4?(o=g+(f[(f[g>>2]|0)+-12>>2]|0)|0,akc(o,f[o+16>>2]|4),(f[n>>2]|0)==0):0){ouc(i,c);c=Huc(i,0,407571)|0;f[h>>2]=f[c>>2];f[h+4>>2]=f[c+4>>2];f[h+8>>2]=f[c+8>>2];f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;WD(-212,h,407607,407626,207)}c=b[d+11>>0]|0;n=c<<24>>24<0;if(!((n?f[d+4>>2]|0:c&255)|0)){bKa(a,g);f[g>>2]=110428;f[l>>2]=110448;nFa(m);Djc(g,110460);Mic(l);u=e;return}c=n?f[d>>2]|0:d;n=h+108|0;o=h+8|0;f[h>>2]=18460;f[n>>2]=18480;f[h+4>>2]=0;bkc(h+108|0,o);f[h+180>>2]=0;f[h+184>>2]=-1;f[h>>2]=110428;f[n>>2]=110448;mFa(o);k=h+72|0;if((f[k>>2]|0)==0?(q=ogc(c,407711)|0,f[k>>2]=q,(q|0)!=0):0)f[h+96>>2]=12;else p=10;if((p|0)==10?(p=h+(f[(f[h>>2]|0)+-12>>2]|0)|0,akc(p,f[p+16>>2]|4),(f[k>>2]|0)==0):0){ouc(j,d);d=Huc(j,0,407571)|0;f[i>>2]=f[d>>2];f[i+4>>2]=f[d+4>>2];f[i+8>>2]=f[d+8>>2];f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;WD(-212,i,407607,407626,214)}aKa(a,g,h);f[h>>2]=110428;f[n>>2]=110448;nFa(o);Djc(h,110460);Mic(n);f[g>>2]=110428;f[l>>2]=110448;nFa(m);Djc(g,110460);Mic(l);u=e;return}function aKa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;e=u;u=u+112|0;g=e+96|0;h=e+8|0;i=e;RKa(a);f[h+40>>2]=0;f[h+44>>2]=0;j=h+40|0;k=h+36|0;l=h;m=l+36|0;do{f[l>>2]=0;l=l+4|0}while((l|0)<(m|0));f[k>>2]=j;f[h+52>>2]=0;f[h+56>>2]=0;k=h+52|0;f[h+48>>2]=k;f[h+60>>2]=0;l=h+64|0;f[l>>2]=0;f[h+68>>2]=0;f[h+76>>2]=0;f[h+80>>2]=0;m=h+76|0;f[h+72>>2]=m;gV(g,111944);Uib(c,h);Vib(d,h);f[i>>2]=f[a>>2];d=f[a+4>>2]|0;f[i+4>>2]=d;if(d|0)Wtc(d);eKa(h,i);rLa(i);_Da(h+72|0,f[m>>2]|0);m=h+60|0;i=f[m>>2]|0;if(i|0){d=f[l>>2]|0;if((d|0)==(i|0))n=i;else{a=d;while(1){d=a+-20|0;f[l>>2]=d;if((b[d+11>>0]|0)<0){fuc(f[d>>2]|0);o=f[l>>2]|0}else o=d;if((o|0)==(i|0))break;else a=o}n=f[m>>2]|0}fuc(n)}GIa(h+48|0,f[k>>2]|0);cKa(h+36|0,f[j>>2]|0);j=f[h+24>>2]|0;if(j|0){k=h+28|0;n=f[k>>2]|0;if((n|0)!=(j|0))f[k>>2]=n+(~((n+-4-j|0)>>>2)<<2);fuc(j)}j=h+12|0;n=f[j>>2]|0;if(!n){u=e;return}k=h+16|0;h=f[k>>2]|0;if((h|0)==(n|0))p=n;else{m=h;do{h=m+-84|0;f[k>>2]=h;dKa(h);m=f[k>>2]|0}while((m|0)!=(n|0));p=f[j>>2]|0}fuc(p);u=e;return}function bKa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;d=u;u=u+112|0;e=d+96|0;g=d+8|0;h=d;RKa(a);f[g+40>>2]=0;f[g+44>>2]=0;i=g+40|0;j=g+36|0;k=g;l=k+36|0;do{f[k>>2]=0;k=k+4|0}while((k|0)<(l|0));f[j>>2]=i;f[g+52>>2]=0;f[g+56>>2]=0;j=g+52|0;f[g+48>>2]=j;f[g+60>>2]=0;k=g+64|0;f[k>>2]=0;f[g+68>>2]=0;f[g+76>>2]=0;f[g+80>>2]=0;l=g+76|0;f[g+72>>2]=l;gV(e,111904);Uib(c,g);f[h>>2]=f[a>>2];c=f[a+4>>2]|0;f[h+4>>2]=c;if(c|0)Wtc(c);eKa(g,h);rLa(h);_Da(g+72|0,f[l>>2]|0);l=g+60|0;h=f[l>>2]|0;if(h|0){c=f[k>>2]|0;if((c|0)==(h|0))m=h;else{a=c;while(1){c=a+-20|0;f[k>>2]=c;if((b[c+11>>0]|0)<0){fuc(f[c>>2]|0);n=f[k>>2]|0}else n=c;if((n|0)==(h|0))break;else a=n}m=f[l>>2]|0}fuc(m)}GIa(g+48|0,f[j>>2]|0);cKa(g+36|0,f[i>>2]|0);i=f[g+24>>2]|0;if(i|0){j=g+28|0;m=f[j>>2]|0;if((m|0)!=(i|0))f[j>>2]=m+(~((m+-4-i|0)>>>2)<<2);fuc(i)}i=g+12|0;m=f[i>>2]|0;if(!m){u=d;return}j=g+16|0;g=f[j>>2]|0;if((g|0)==(m|0))o=m;else{l=g;do{g=l+-84|0;f[j>>2]=g;dKa(g);l=f[j>>2]|0}while((l|0)!=(m|0));o=f[i>>2]|0}fuc(o);u=d;return}function cKa(a,b){a=a|0;b=b|0;if(!b)return;else{cKa(a,f[b>>2]|0);cKa(a,f[b+4>>2]|0);GIa(b+20|0,f[b+24>>2]|0);fuc(b);return}}function dKa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0;c=a+72|0;if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);c=a+60|0;if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);ut(a+48|0);lEa(a+36|0,f[a+40>>2]|0);c=a+24|0;d=f[c>>2]|0;if(d|0){e=a+28|0;g=f[e>>2]|0;if((g|0)==(d|0))h=d;else{i=g;while(1){g=i+-12|0;f[e>>2]=g;if((b[g+11>>0]|0)<0){fuc(f[g>>2]|0);j=f[e>>2]|0}else j=g;if((j|0)==(d|0))break;else i=j}h=f[c>>2]|0}fuc(h)}h=a+12|0;if((b[h+11>>0]|0)<0)fuc(f[h>>2]|0);if((b[a+11>>0]|0)>=0)return;fuc(f[a>>2]|0);return}function eKa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0;d=u;u=u+224|0;e=d;g=d+212|0;h=d+192|0;i=d+184|0;j=d+88|0;k=d+76|0;l=d+64|0;m=d+16|0;n=d+4|0;o=d+172|0;gV(i,111924);p=a+12|0;q=a+16|0;r=(f[q>>2]|0)-(f[p>>2]|0)|0;s=(r|0)/84|0;t=a+72|0;v=a+76|0;_Da(t,f[v>>2]|0);f[a+80>>2]=0;f[t>>2]=v;f[v>>2]=0;v=a+60|0;w=f[v>>2]|0;x=a+64|0;y=f[x>>2]|0;if((y|0)==(w|0)){z=y;A=v;B=w}else{C=y;while(1){y=C+-20|0;f[x>>2]=y;if((b[y+11>>0]|0)<0){fuc(f[y>>2]|0);D=f[x>>2]|0}else D=y;if((D|0)==(w|0))break;else C=D}z=D;A=v;B=f[v>>2]|0}D=z;C=s+1|0;w=a+68|0;a=B;if((((f[w>>2]|0)-B|0)/20|0)>>>0<C>>>0){if(C>>>0>214748364){y=ze(8)|0;kuc(y,519086);f[y>>2]=167148;Hf(y|0,26888,1888)}y=cuc(C*20|0)|0;E=y+(((D-B|0)/20|0)*20|0)|0;B=E;F=y+(C*20|0)|0;if((z|0)==(a|0)){G=B;H=D;I=a}else{D=z;z=B;C=E;do{E=C+-20|0;y=D;D=D+-20|0;f[E>>2]=f[D>>2];f[E+4>>2]=f[D+4>>2];f[E+8>>2]=f[D+8>>2];f[D>>2]=0;f[D+4>>2]=0;f[D+8>>2]=0;E=y+-8|0;y=f[E+4>>2]|0;J=C+-8|0;f[J>>2]=f[E>>2];f[J+4>>2]=y;C=z+-20|0;z=C}while((D|0)!=(a|0));G=z;H=f[A>>2]|0;I=f[x>>2]|0}f[A>>2]=G;f[x>>2]=B;f[w>>2]=F;F=H;if((I|0)!=(F|0)){B=I;do{B=B+-20|0;if((b[B+11>>0]|0)<0)fuc(f[B>>2]|0)}while((B|0)!=(F|0))}if(H|0)fuc(H)}f[g>>2]=0;H=g+4|0;f[H>>2]=0;f[g+8>>2]=0;F=cuc(12)|0;f[g>>2]=F;f[g+8>>2]=F+12;f[F>>2]=0;f[F+4>>2]=0;f[F+8>>2]=0;f[H>>2]=F+12;F=j+11|0;B=h+12|0;I=h+11|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;b[F>>0]=4;f[j>>2]=1635017060;b[j+4>>0]=0;ouc(h,j);f[B>>2]=0;f[h+16>>2]=0;G=f[x>>2]|0;z=f[w>>2]|0;a=z;if(G>>>0>=z>>>0){z=G;D=f[A>>2]|0;C=(z-D|0)/20|0;y=C+1|0;J=D;if(y>>>0>214748364)nsc(v);E=(a-D|0)/20|0;D=E<<1;a=E>>>0<107374182?(D>>>0<y>>>0?y:D):214748364;do if(a)if(a>>>0>214748364){D=ze(8)|0;kuc(D,519086);f[D>>2]=167148;Hf(D|0,26888,1888)}else{K=cuc(a*20|0)|0;break}else K=0;while(0);D=K+(C*20|0)|0;y=D;E=K+(a*20|0)|0;f[D>>2]=f[h>>2];f[D+4>>2]=f[h+4>>2];f[D+8>>2]=f[h+8>>2];f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;a=B;L=f[a+4>>2]|0;M=K+(C*20|0)+12|0;f[M>>2]=f[a>>2];f[M+4>>2]=L;L=D+20|0;if((G|0)==(J|0)){N=y;O=z;P=G}else{z=G;M=y;y=D;do{D=y+-20|0;a=z;z=z+-20|0;f[D>>2]=f[z>>2];f[D+4>>2]=f[z+4>>2];f[D+8>>2]=f[z+8>>2];f[z>>2]=0;f[z+4>>2]=0;f[z+8>>2]=0;D=a+-8|0;a=f[D+4>>2]|0;C=y+-8|0;f[C>>2]=f[D>>2];f[C+4>>2]=a;y=M+-20|0;M=y}while((z|0)!=(J|0));N=M;O=f[A>>2]|0;P=f[x>>2]|0}f[A>>2]=N;f[x>>2]=L;f[w>>2]=E;E=O;if((P|0)!=(E|0)){L=P;do{L=L+-20|0;if((b[L+11>>0]|0)<0)fuc(f[L>>2]|0)}while((L|0)!=(E|0))}if(O|0)fuc(O)}else{f[G>>2]=f[h>>2];f[G+4>>2]=f[h+4>>2];f[G+8>>2]=f[h+8>>2];f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;O=B;B=f[O+4>>2]|0;E=G+12|0;f[E>>2]=f[O>>2];f[E+4>>2]=B;f[x>>2]=(f[x>>2]|0)+20}if((b[I>>0]|0)<0)fuc(f[h>>2]|0);if((b[F>>0]|0)<0)fuc(f[j>>2]|0);b[h>>0]=0;b[h+1>>0]=0;b[h+2>>0]=0;b[h+3>>0]=0;b[h+4>>0]=0;b[h+5>>0]=0;F=f[g>>2]|0;I=F+11|0;if((b[I>>0]|0)<0){b[f[F>>2]>>0]=0;f[F+4>>2]=0}else{b[F>>0]=0;b[I>>0]=0}vuc(F,0);f[F>>2]=1635017060;b[F+4>>0]=0;I=F+5|0;b[I>>0]=b[h>>0]|0;b[I+1>>0]=b[h+1>>0]|0;b[I+2>>0]=b[h+2>>0]|0;b[I+3>>0]=b[h+3>>0]|0;b[I+4>>0]=b[h+4>>0]|0;b[I+5>>0]=b[h+5>>0]|0;b[F+11>>0]=4;RMa(c,g);F=f[g>>2]|0;if(F|0){I=f[H>>2]|0;if((I|0)==(F|0))Q=F;else{B=I;while(1){I=B+-12|0;f[H>>2]=I;if((b[I+11>>0]|0)<0){fuc(f[I>>2]|0);R=f[H>>2]|0}else R=I;if((R|0)==(F|0))break;else B=R}Q=f[g>>2]|0}fuc(Q)}a:do if((r|0)>0){Q=j+12|0;R=j+36|0;B=j+24|0;F=j+28|0;H=n+11|0;I=n+4|0;E=o+11|0;O=g+11|0;G=g+4|0;L=h+11|0;P=h+4|0;N=h+12|0;M=h+16|0;J=h+11|0;z=m+36|0;y=z+11|0;a=m+24|0;C=a+11|0;D=m+12|0;K=m+4|0;S=l+11|0;T=k+11|0;U=g+11|0;V=g+4|0;W=0;b:while(1){X=f[p>>2]|0;if((((f[q>>2]|0)-X|0)/84|0)>>>0<=W>>>0){Y=60;break}fKa(j,X+(W*84|0)|0);ouc(k,j);ouc(l,Q);gKa(m,R);X=cEa(t,k)|0;Z=f[X>>2]|0;f[X>>2]=Z+1;if(Z|0?(f[e>>2]=Z,cE(g,407714,e),Z=b[U>>0]|0,X=Z<<24>>24<0,Cuc(k,X?f[g>>2]|0:g,X?f[V>>2]|0:Z&255)|0,(b[U>>0]|0)<0):0)fuc(f[g>>2]|0);Z=sLa(c,k,l,m)|0;X=f[F>>2]|0;_=f[B>>2]|0;if((X-_|0)>0){$=0;aa=_;_=X;do{if(((_-aa|0)/12|0)>>>0<=$>>>0){Y=67;break b}ouc(n,aa+($*12|0)|0);ouc(o,j);X=f[A>>2]|0;ba=(f[x>>2]|0)-X|0;ca=X;if((ba|0)<=0){Y=81;break b}X=(ba>>>0)/20|0;ba=b[H>>0]|0;da=ba<<24>>24<0;ea=da?f[I>>2]|0:ba&255;ba=da?f[n>>2]|0:n;c:do if(ea){da=X;d:while(1){fa=da+-1|0;ga=ca+(fa*20|0)|0;ha=b[ga+11>>0]|0;ia=ha<<24>>24<0;ja=ha&255;do if(((ia?f[ca+(fa*20|0)+4>>2]|0:ja)|0)==(ea|0)){ha=f[ga>>2]|0;if(ia)if(!(ahc(ha,ba,ea)|0)){ka=fa;break c}else break;if((ha&255)<<24>>24!=(b[ba>>0]|0))break;ha=ga;la=ja;ma=ba;do{la=la+-1|0;ha=ha+1|0;if(!la)break d;ma=ma+1|0}while((b[ha>>0]|0)==(b[ma>>0]|0))}while(0);if((da|0)>1)da=fa;else{Y=81;break b}}if((da|0)<1){Y=81;break b}else ka=fa}else{ja=X;while(1){ga=ja;ja=ja+-1|0;ia=b[ca+(ja*20|0)+11>>0]|0;if(!((ia<<24>>24<0?f[ca+(ja*20|0)+4>>2]|0:ia&255)|0)){ka=ja;break c}if((ga|0)<=1){Y=81;break b}}}while(0);uLa(c,f[ca+(ka*20|0)+12>>2]|0,f[ca+(ka*20|0)+16>>2]|0,Z,$);if((b[E>>0]|0)<0)fuc(f[o>>2]|0);if((b[H>>0]|0)<0)fuc(f[n>>2]|0);$=$+1|0;_=f[F>>2]|0;aa=f[B>>2]|0}while(($|0)<((_-aa|0)/12|0|0))}ouc(g,j);aa=f[A>>2]|0;_=(f[x>>2]|0)-aa|0;$=aa;e:do if((_|0)>0){aa=(_>>>0)/20|0;X=b[O>>0]|0;ba=X<<24>>24<0;ea=ba?f[G>>2]|0:X&255;X=ba?f[g>>2]|0:g;f:do if(!ea){ba=aa;while(1){ja=ba;ba=ba+-1|0;da=b[$+(ba*20|0)+11>>0]|0;if(!((da<<24>>24<0?f[$+(ba*20|0)+4>>2]|0:da&255)|0))break f;if((ja|0)<=1)break e}}else{ba=aa;while(1){ja=ba;ba=ba+-1|0;da=$+(ba*20|0)|0;ga=b[da+11>>0]|0;ia=ga<<24>>24<0;ma=ga&255;do if(((ia?f[$+(ba*20|0)+4>>2]|0:ma)|0)==(ea|0)){ga=f[da>>2]|0;if(ia)if(!(ahc(ga,X,ea)|0))break f;else break;if((ga&255)<<24>>24!=(b[X>>0]|0))break;ga=da;ha=ma;la=X;do{ha=ha+-1|0;ga=ga+1|0;if(!ha)break f;la=la+1|0}while((b[ga>>0]|0)==(b[la>>0]|0))}while(0);if((ja|0)<=1)break e}}while(0);X=f[B>>2]|0;if(((f[F>>2]|0)-X|0)<=0){Y=122;break b}ouc(h,X);X=b[L>>0]|0;ea=X<<24>>24<0;aa=X&255;X=ea?f[P>>2]|0:aa;ca=b[O>>0]|0;ba=ca<<24>>24<0;g:do if((X|0)==((ba?f[G>>2]|0:ca&255)|0)){ma=f[h>>2]|0;da=ea?ma:h;ia=ba?f[g>>2]|0:g;la=(X|0)==0;if(ea)if(!la){ga=(ahc(da,ia,X)|0)==0;fuc(ma);if(ga)break e;else{Y=122;break b}}else{fuc(ma);break e}if(la)break e;if((ma&255)<<24>>24==(b[ia>>0]|0)){na=h;oa=aa;pa=ia}else{Y=113;break b}while(1){oa=oa+-1|0;na=na+1|0;if(!oa){qa=1;break g}pa=pa+1|0;if((b[na>>0]|0)!=(b[pa>>0]|0)){qa=0;break}}}else qa=0;while(0);if(ea){fuc(f[h>>2]|0);if(qa)break;else{Y=122;break b}}else if(qa)break;else{Y=122;break b}}while(0);ouc(h,g);f[N>>2]=Z;f[M>>2]=0;$=f[x>>2]|0;_=f[w>>2]|0;aa=_;do if($>>>0<_>>>0){f[$>>2]=f[h>>2];f[$+4>>2]=f[h+4>>2];f[$+8>>2]=f[h+8>>2];f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;X=N;ba=f[X+4>>2]|0;ca=$+12|0;f[ca>>2]=f[X>>2];f[ca+4>>2]=ba;f[x>>2]=(f[x>>2]|0)+20}else{ba=$;ca=f[A>>2]|0;X=(ba-ca|0)/20|0;ia=X+1|0;ma=ca;if(ia>>>0>214748364){Y=127;break b}la=(aa-ca|0)/20|0;ca=la<<1;ga=la>>>0<107374182?(ca>>>0<ia>>>0?ia:ca):214748364;if(!ga)ra=0;else{if(ga>>>0>214748364){Y=130;break b}ra=cuc(ga*20|0)|0}ca=ra+(X*20|0)|0;ia=ca;la=ra+(ga*20|0)|0;f[ca>>2]=f[h>>2];f[ca+4>>2]=f[h+4>>2];f[ca+8>>2]=f[h+8>>2];f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;ga=N;da=f[ga+4>>2]|0;ha=ra+(X*20|0)+12|0;f[ha>>2]=f[ga>>2];f[ha+4>>2]=da;da=ca+20|0;if(($|0)==(ma|0)){sa=ia;ta=ba;ua=$}else{ba=$;ha=ia;ia=ca;do{ca=ia+-20|0;ga=ba;ba=ba+-20|0;f[ca>>2]=f[ba>>2];f[ca+4>>2]=f[ba+4>>2];f[ca+8>>2]=f[ba+8>>2];f[ba>>2]=0;f[ba+4>>2]=0;f[ba+8>>2]=0;ca=ga+-8|0;ga=f[ca+4>>2]|0;X=ia+-8|0;f[X>>2]=f[ca>>2];f[X+4>>2]=ga;ia=ha+-20|0;ha=ia}while((ba|0)!=(ma|0));sa=ha;ta=f[A>>2]|0;ua=f[x>>2]|0}f[A>>2]=sa;f[x>>2]=da;f[w>>2]=la;ma=ta;if((ua|0)!=(ma|0)){ba=ua;do{ba=ba+-20|0;if((b[ba+11>>0]|0)<0)fuc(f[ba>>2]|0)}while((ba|0)!=(ma|0))}if(!ta)break;fuc(ta)}while(0);if((b[J>>0]|0)<0)fuc(f[h>>2]|0);if((b[O>>0]|0)<0)fuc(f[g>>2]|0);if((b[y>>0]|0)<0)fuc(f[z>>2]|0);if((b[C>>0]|0)<0)fuc(f[a>>2]|0);ut(D);lEa(m,f[K>>2]|0);if((b[S>>0]|0)<0)fuc(f[l>>2]|0);if((b[T>>0]|0)<0)fuc(f[k>>2]|0);dKa(j);W=W+1|0;if((W|0)>=(s|0))break a}if((Y|0)==60)osc(p);else if((Y|0)==67)osc(B);else if((Y|0)==81){nEa(h,407718,n);W=Duc(h,517029)|0;f[g>>2]=f[W>>2];f[g+4>>2]=f[W+4>>2];f[g+8>>2]=f[W+8>>2];f[W>>2]=0;f[W+4>>2]=0;f[W+8>>2]=0;WD(-204,g,407743,407626,176)}else if((Y|0)==113){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;va=cuc(48)|0;f[h>>2]=va;wa=h+8|0;f[wa>>2]=-2147483600;xa=h+4|0;f[xa>>2]=44;ya=va;za=407752;Aa=ya+44|0;do{b[ya>>0]=b[za>>0]|0;ya=ya+1|0;za=za+1|0}while((ya|0)<(Aa|0));Ba=va+44|0;b[Ba>>0]=0;WD(-5,h,407797,407626,159)}else if((Y|0)==122){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;va=cuc(48)|0;f[h>>2]=va;wa=h+8|0;f[wa>>2]=-2147483600;xa=h+4|0;f[xa>>2]=44;ya=va;za=407752;Aa=ya+44|0;do{b[ya>>0]=b[za>>0]|0;ya=ya+1|0;za=za+1|0}while((ya|0)<(Aa|0));Ba=va+44|0;b[Ba>>0]=0;WD(-5,h,407797,407626,159)}else if((Y|0)==127)nsc(v);else if((Y|0)==130){B=ze(8)|0;kuc(B,519086);f[B>>2]=167148;Hf(B|0,26888,1888)}}while(0);Y=f[v>>2]|0;v=f[x>>2]|0;if((v|0)!=(Y|0)){h=v;while(1){v=h+-20|0;f[x>>2]=v;if((b[v+11>>0]|0)<0){fuc(f[v>>2]|0);Ca=f[x>>2]|0}else Ca=v;if((Ca|0)==(Y|0))break;else h=Ca}}if(!(f[i+4>>2]|0)){u=d;return}u=d;return}function fKa(a,b){a=a|0;b=b|0;ouc(a,b);ouc(a+12|0,b+12|0);kKa(a+24|0,b+24|0);gKa(a+36|0,b+36|0);return}function gKa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;c=u;u=u+16|0;d=c+4|0;e=c;f[a+4>>2]=0;f[a+8>>2]=0;g=a+4|0;f[a>>2]=g;h=f[b>>2]|0;i=b+4|0;if((h|0)!=(i|0)){j=g;g=h;while(1){h=g+16|0;f[e>>2]=j;f[d>>2]=f[e>>2];hKa(a,d,h,h)|0;h=f[g+4>>2]|0;if(!h){k=g+8|0;l=f[k>>2]|0;if((f[l>>2]|0)==(g|0))m=l;else{l=k;do{k=f[l>>2]|0;l=k+8|0;n=f[l>>2]|0}while((f[n>>2]|0)!=(k|0));m=n}}else{l=h;while(1){n=f[l>>2]|0;if(!n)break;else l=n}m=l}if((m|0)==(i|0))break;else g=m}}iKa(a+12|0,b+12|0);ouc(a+24|0,b+24|0);ouc(a+36|0,b+36|0);u=c;return}function hKa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0;e=u;u=u+16|0;g=e+12|0;h=e+8|0;i=e;f[i>>2]=f[b>>2];f[g>>2]=f[i>>2];i=jKa(a,g,h,e+4|0,c)|0;c=f[i>>2]|0;if(c|0){j=c;u=e;return j|0}c=cuc(36)|0;ouc(c+16|0,d);qEa(c+28|0,d+12|0);d=f[h>>2]|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=d;f[i>>2]=c;d=f[f[a>>2]>>2]|0;if(!d)k=c;else{f[a>>2]=d;k=f[i>>2]|0}jI(f[a+4>>2]|0,k);k=a+8|0;f[k>>2]=(f[k>>2]|0)+1;j=c;u=e;return j|0}function iKa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0;f[a>>2]=0;c=a+4|0;f[c>>2]=0;f[a+8>>2]=0;d=b+4|0;e=(f[d>>2]|0)-(f[b>>2]|0)|0;g=(e|0)/56|0;if(!e)return;if(g>>>0>76695844)nsc(a);h=cuc(e)|0;f[c>>2]=h;f[a>>2]=h;f[a+8>>2]=h+(g*56|0);g=f[b>>2]|0;b=f[d>>2]|0;if((g|0)==(b|0))return;d=g;g=h;do{f[g>>2]=f[d>>2];h=g+4|0;a=d+4|0;f[h>>2]=f[a>>2];e=g+8|0;f[e>>2]=f[d+8>>2];f[g+12>>2]=f[d+12>>2];f[g+16>>2]=f[d+16>>2];f[g+20>>2]=f[d+20>>2];f[g+24>>2]=f[d+24>>2];f[g+28>>2]=f[d+28>>2];f[g+32>>2]=f[d+32>>2];i=f[d+36>>2]|0;f[g+36>>2]=i;f[g+40>>2]=e;e=g+48|0;j=g+44|0;f[j>>2]=e;f[e>>2]=0;f[g+52>>2]=0;if(i|0){e=i+12|0;f[e>>2]=(f[e>>2]|0)+1}if((f[a>>2]|0)<3){a=f[d+44>>2]|0;e=f[j>>2]|0;f[e>>2]=f[a>>2];f[e+4>>2]=f[a+4>>2]}else{f[h>>2]=0;$T(g,d)}d=d+56|0;g=(f[c>>2]|0)+56|0;f[c>>2]=g}while((d|0)!=(b|0));return}function jKa(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;h=a+4|0;i=f[c>>2]|0;c=i;do if((i|0)!=(h|0)){j=i+16|0;k=b[j+11>>0]|0;l=k<<24>>24<0;m=l?f[i+20>>2]|0:k&255;k=b[g+11>>0]|0;n=k<<24>>24<0;o=n?f[g+4>>2]|0:k&255;k=m>>>0<o>>>0;p=k?m:o;if((p|0)!=0?(q=ahc(n?f[g>>2]|0:g,l?f[j>>2]|0:j,p)|0,(q|0)!=0):0){if((q|0)<0)break}else r=4;if((r|0)==4?o>>>0<m>>>0:0)break;q=o>>>0<m>>>0?o:m;if((q|0)!=0?(m=ahc(l?f[j>>2]|0:j,n?f[g>>2]|0:g,q)|0,(m|0)!=0):0){if((m|0)>=0)r=36}else r=20;if((r|0)==20?!k:0)r=36;if((r|0)==36){f[d>>2]=c;f[e>>2]=c;s=e;return s|0}k=i+4|0;m=f[k>>2]|0;if(!m){q=i+8|0;j=f[q>>2]|0;if((f[j>>2]|0)==(i|0))t=j;else{j=q;do{q=f[j>>2]|0;j=q+8|0;l=f[j>>2]|0}while((f[l>>2]|0)!=(q|0));t=l}}else{j=m;while(1){l=f[j>>2]|0;if(!l)break;else j=l}t=j}do if((t|0)!=(h|0)){m=t+16|0;l=b[m+11>>0]|0;q=l<<24>>24<0;p=q?f[t+20>>2]|0:l&255;l=p>>>0<o>>>0?p:o;if((l|0)!=0?(u=ahc(n?f[g>>2]|0:g,q?f[m>>2]|0:m,l)|0,(u|0)!=0):0){if((u|0)<0)break}else r=30;if((r|0)==30?o>>>0<p>>>0:0)break;s=rEa(a,d,g)|0;return s|0}while(0);if(!(f[i+4>>2]|0)){f[d>>2]=c;s=k;return s|0}else{f[d>>2]=t;s=t;return s|0}}while(0);t=f[i>>2]|0;do if((i|0)==(f[a>>2]|0))v=c;else{if(!t){h=i;while(1){e=f[h+8>>2]|0;if((f[e>>2]|0)==(h|0))h=e;else{w=e;break}}}else{h=t;while(1){k=f[h+4>>2]|0;if(!k){w=h;break}else h=k}}h=w;k=w+16|0;e=b[g+11>>0]|0;o=e<<24>>24<0;n=o?f[g+4>>2]|0:e&255;e=b[k+11>>0]|0;j=e<<24>>24<0;p=j?f[w+20>>2]|0:e&255;e=n>>>0<p>>>0?n:p;if((e|0)!=0?(u=ahc(j?f[k>>2]|0:k,o?f[g>>2]|0:g,e)|0,(u|0)!=0):0){if((u|0)<0){v=h;break}}else r=12;if((r|0)==12?p>>>0<n>>>0:0){v=h;break}s=rEa(a,d,g)|0;return s|0}while(0);if(!t){f[d>>2]=i;s=i;return s|0}else{i=v;f[d>>2]=i;s=i+4|0;return s|0}return 0}function kKa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0;f[a>>2]=0;c=a+4|0;f[c>>2]=0;f[a+8>>2]=0;d=b+4|0;e=(f[d>>2]|0)-(f[b>>2]|0)|0;g=(e|0)/12|0;if(!e)return;if(g>>>0>357913941)nsc(a);h=cuc(e)|0;f[c>>2]=h;f[a>>2]=h;f[a+8>>2]=h+(g*12|0);g=f[b>>2]|0;b=f[d>>2]|0;if((g|0)==(b|0))return;d=g;g=h;do{ouc(g,d);d=d+12|0;g=(f[c>>2]|0)+12|0;f[c>>2]=g}while((d|0)!=(b|0));return}function lKa(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0;g=u;u=u+240|0;h=g+208|0;i=g+120|0;j=g+88|0;k=g;gkc(h);f[h>>2]=111972;f[h+8>>2]=b;f[h+12>>2]=b;f[h+16>>2]=b+c;f[i>>2]=163712;f[i+8>>2]=163732;f[i+4>>2]=0;c=f[40925]|0;b=i+c|0;bkc(b,h);f[b+72>>2]=0;f[b+76>>2]=-1;if(!e){bKa(a,i);zjc(i);Ric(h);u=g;return}else{gkc(j);f[j>>2]=111972;f[j+8>>2]=d;f[j+12>>2]=d;f[j+16>>2]=d+e;f[k>>2]=163712;f[k+8>>2]=163732;f[k+4>>2]=0;e=k+c|0;bkc(e,j);f[e+72>>2]=0;f[e+76>>2]=-1;aKa(a,i,k);zjc(k);Ric(j);zjc(i);Ric(h);u=g;return}}function mKa(a){a=a|0;Ric(a);return}function nKa(a){a=a|0;Ric(a);fuc(a);return}function oKa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;d=f[b>>2]|0;e=f[c>>2]|0;g=f[c+4>>2]|0;lKa(a,d,(f[b+4>>2]|0)-d|0,(e|0)==(g|0)?0:e,g-e|0);return}function pKa(a){a=a|0;var c=0;f[a>>2]=112036;c=a+28|0;if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);c=a+16|0;if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);ut(a+4|0);DG(a);return}function qKa(a){a=a|0;var c=0;f[a>>2]=112036;c=a+28|0;if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);c=a+16|0;if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);ut(a+4|0);DG(a);fuc(a);return}function rKa(a,b,c){a=a|0;b=b|0;c=c|0;return}function sKa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;d=u;u=u+48|0;e=d+40|0;g=d+24|0;h=d+12|0;i=d;gV(e,112200);f[g>>2]=0;j=g+4|0;f[j>>2]=0;f[g+8>>2]=0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;sJ(b,g);sJ(c,h);f[i>>2]=0;c=i+4|0;f[c>>2]=0;f[i+8>>2]=0;b=f[j>>2]|0;k=f[g>>2]|0;l=b-k|0;if(!l){m=k;n=b}else{LKa(i,(l|0)/56|0);m=f[g>>2]|0;n=f[j>>2]|0}if((n|0)!=(m|0)){n=0;l=m;do{f[(f[i>>2]|0)+(n<<2)>>2]=l+(n*56|0);n=n+1|0;l=f[g>>2]|0}while(n>>>0<(((f[j>>2]|0)-l|0)/56|0)>>>0)}Zh[f[(f[a>>2]|0)+32>>2]&511](a,i,h);a=f[i>>2]|0;if(a|0){i=f[c>>2]|0;if((i|0)!=(a|0))f[c>>2]=i+(~((i+-4-a|0)>>>2)<<2);fuc(a)}ut(h);ut(g);if(!(f[e+4>>2]|0)){u=d;return}u=d;return}function tKa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return}function uKa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0;e=u;u=u+16|0;g=e;gV(g,112136);if(f[g>>2]|0){}JKa(a,b,c,d);if(!(f[g+4>>2]|0)){u=e;return}u=e;return}function vKa(a,b){a=a|0;b=b|0;return -1}function wKa(a,b){a=a|0;b=b|0;return 0}function xKa(a,b){a=a|0;b=b|0;return (b|0)==3|0}function yKa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;c=u;u=u+32|0;a=c+12|0;d=c;nEa(d,408301,b+28|0);b=Duc(d,408263)|0;f[a>>2]=f[b>>2];f[a+4>>2]=f[b+4>>2];f[a+8>>2]=f[b+8>>2];f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;WD(-213,a,408321,408169,3078)}function zKa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;c=u;u=u+32|0;a=c+12|0;d=c;nEa(d,408233,b+28|0);b=Duc(d,408263)|0;f[a>>2]=f[b>>2];f[a+4>>2]=f[b+4>>2];f[a+8>>2]=f[b+8>>2];f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;WD(-213,a,408287,408169,3085)}function AKa(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return}function BKa(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function CKa(a,b){a=a|0;b=b|0;return 0}function DKa(a,b){a=a|0;b=b|0;return 0}function EKa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;a=u;u=u+64|0;d=a;f[d>>2]=1124007936;e=d+4|0;g=d+8|0;h=d+40|0;i=e;j=i+36|0;do{f[i>>2]=0;i=i+4|0}while((i|0)<(j|0));f[h>>2]=g;k=d+48|0;f[d+44>>2]=k;f[k>>2]=0;f[d+52>>2]=0;if((d|0)!=(b|0)){l=b+36|0;m=f[l>>2]|0;if(m|0?(n=m+12|0,m=f[n>>2]|0,f[n>>2]=m+-1,(m|0)==1):0)aU(b);f[l>>2]=0;m=b+16|0;n=b+4|0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;if((f[n>>2]|0)>0){o=f[b+40>>2]|0;p=0;do{f[o+(p<<2)>>2]=0;p=p+1|0}while((p|0)<(f[n>>2]|0))}f[b>>2]=f[d>>2];p=f[e>>2]|0;f[n>>2]=p;n=b+8|0;f[n>>2]=f[g>>2];f[b+12>>2]=f[d+12>>2];f[m>>2]=f[d+16>>2];f[b+20>>2]=f[d+20>>2];f[b+24>>2]=f[d+24>>2];f[b+28>>2]=f[d+28>>2];f[b+32>>2]=f[d+32>>2];m=d+36|0;f[l>>2]=f[m>>2];l=b+44|0;o=f[l>>2]|0;q=b+48|0;if((o|0)==(q|0)){r=p;s=o}else{TC(o);f[l>>2]=q;f[b+40>>2]=n;r=f[e>>2]|0;s=q}q=d+44|0;if((r|0)<3){r=f[q>>2]|0;f[s>>2]=f[r>>2];f[s+4>>2]=f[r+4>>2];t=r}else{f[l>>2]=f[q>>2];f[b+40>>2]=f[h>>2];f[q>>2]=k;f[h>>2]=g;t=k}f[d>>2]=1124007936;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;f[e+16>>2]=0;f[e+20>>2]=0;f[e+24>>2]=0;f[e+28>>2]=0;f[m>>2]=0;m=d+16|0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;if((t|0)!=(k|0))TC(t)}else{f[d+36>>2]=0;t=d+16|0;f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;f[t+12>>2]=0}f[d>>2]=1124007936;t=d+4|0;k=d+8|0;m=d+40|0;i=t;j=i+36|0;do{f[i>>2]=0;i=i+4|0}while((i|0)<(j|0));f[m>>2]=k;i=d+48|0;f[d+44>>2]=i;f[i>>2]=0;f[d+52>>2]=0;if((d|0)==(c|0)){f[d+36>>2]=0;j=d+16|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;u=a;return}j=c+36|0;e=f[j>>2]|0;if(e|0?(g=e+12|0,e=f[g>>2]|0,f[g>>2]=e+-1,(e|0)==1):0)aU(c);f[j>>2]=0;e=c+16|0;g=c+4|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((f[g>>2]|0)>0){h=f[c+40>>2]|0;q=0;do{f[h+(q<<2)>>2]=0;q=q+1|0}while((q|0)<(f[g>>2]|0))}f[c>>2]=f[d>>2];q=f[t>>2]|0;f[g>>2]=q;g=c+8|0;f[g>>2]=f[k>>2];f[c+12>>2]=f[d+12>>2];f[e>>2]=f[d+16>>2];f[c+20>>2]=f[d+20>>2];f[c+24>>2]=f[d+24>>2];f[c+28>>2]=f[d+28>>2];f[c+32>>2]=f[d+32>>2];e=d+36|0;f[j>>2]=f[e>>2];j=c+44|0;h=f[j>>2]|0;b=c+48|0;if((h|0)==(b|0)){v=q;w=h}else{TC(h);f[j>>2]=b;f[c+40>>2]=g;v=f[t>>2]|0;w=b}b=d+44|0;if((v|0)<3){v=f[b>>2]|0;f[w>>2]=f[v>>2];f[w+4>>2]=f[v+4>>2];x=v}else{f[j>>2]=f[b>>2];f[c+40>>2]=f[m>>2];f[b>>2]=i;f[m>>2]=k;x=i}f[d>>2]=1124007936;f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;f[t+12>>2]=0;f[t+16>>2]=0;f[t+20>>2]=0;f[t+24>>2]=0;f[t+28>>2]=0;f[e>>2]=0;e=d+16|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((x|0)==(i|0)){u=a;return}TC(x);u=a;return}function FKa(a){a=a|0;var b=0,c=0,d=0,e=0;b=u;u=u+16|0;c=b;d=f[(f[a>>2]|0)+76>>2]|0;f[c>>2]=0;e=c+4|0;f[e>>2]=0;Th[d&1023](a,c)|0;c=f[e>>2]|0;if(!c){u=b;return}Xtc(c);u=b;return}function GKa(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0;g=u;u=u+16|0;a=g;h=f[c>>2]|0;i=(f[c+4>>2]|0)-h|0;c=(i|0)/12|0;if(!i){i=cuc(16)|0;f[a>>2]=i;f[a+8>>2]=-2147483632;f[a+4>>2]=13;j=i;k=462476;l=j+13|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[i+13>>0]=0;WD(-215,a,477070,408169,3306)}else{IKa(e,(c|0)>(d|0)?c:d,h);u=g;return 0}return 0}function HKa(a,b,c){a=a|0;b=b|0;c=c|0;J=0;return 0}function IKa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=a+8|0;e=f[d>>2]|0;g=f[a>>2]|0;h=g;if(((e-g|0)/12|0)>>>0<b>>>0){if(!g)i=e;else{e=a+4|0;j=f[e>>2]|0;if((j|0)==(h|0))k=g;else{l=j;while(1){j=l+-12|0;f[e>>2]=j;m=f[j>>2]|0;if(!m)n=j;else{j=l+-8|0;o=f[j>>2]|0;if((o|0)!=(m|0))f[j>>2]=o+(~((o+-4-m|0)>>>2)<<2);fuc(m);n=f[e>>2]|0}if((n|0)==(h|0))break;else l=n}k=f[a>>2]|0}fuc(k);f[d>>2]=0;f[e>>2]=0;f[a>>2]=0;i=0}if(b>>>0>357913941)nsc(a);e=(i|0)/12|0;i=e<<1;k=e>>>0<178956970?(i>>>0<b>>>0?b:i):357913941;if(k>>>0>357913941)nsc(a);i=cuc(k*12|0)|0;e=a+4|0;f[e>>2]=i;f[a>>2]=i;f[d>>2]=i+(k*12|0);k=b;d=i;do{tHa(d,c);d=(f[e>>2]|0)+12|0;f[e>>2]=d;k=k+-1|0}while((k|0)!=0);return}k=a+4|0;d=((f[k>>2]|0)-g|0)/12|0;g=d>>>0<b>>>0;e=g?d:b;if(e|0){i=c+4|0;n=e;e=h;while(1){if((e|0)!=(c|0))zva(e,f[c>>2]|0,f[i>>2]|0);n=n+-1|0;if(!n)break;else e=e+12|0}}if(g){g=b-d|0;d=f[k>>2]|0;do{tHa(d,c);d=(f[k>>2]|0)+12|0;f[k>>2]=d;g=g+-1|0}while((g|0)!=0);return}g=(f[a>>2]|0)+(b*12|0)|0;b=f[k>>2]|0;if((b|0)==(g|0))return;else p=b;while(1){b=p+-12|0;f[k>>2]=b;a=f[b>>2]|0;if(!a)q=b;else{b=p+-8|0;d=f[b>>2]|0;if((d|0)!=(a|0))f[b>>2]=d+(~((d+-4-a|0)>>>2)<<2);fuc(a);q=f[k>>2]|0}if((q|0)==(g|0))break;else p=q}return}function JKa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0;e=u;u=u+128|0;g=e+120|0;h=e+108|0;i=e+96|0;j=e+84|0;k=e+72|0;l=e+60|0;m=e+48|0;n=e+32|0;o=e+16|0;p=e;gV(g,112168);if(f[g>>2]|0){}if((f[a+40>>2]|0)==2?(CJ(b,-1)|0)==3:0){f[h>>2]=0;q=h+4|0;f[q>>2]=0;f[h+8>>2]=0;f[i>>2]=0;r=i+4|0;f[r>>2]=0;f[i+8>>2]=0;f[j>>2]=0;s=j+4|0;f[s>>2]=0;f[j+8>>2]=0;f[k>>2]=0;t=k+4|0;f[t>>2]=0;f[k+8>>2]=0;f[l>>2]=0;v=l+4|0;f[v>>2]=0;f[l+8>>2]=0;f[m>>2]=0;w=m+4|0;f[w>>2]=0;f[m+8>>2]=0;vJ(b,k);vJ(c,l);vJ(d,m);x=((f[t>>2]|0)-(f[k>>2]|0)|0)/48|0;y=f[q>>2]|0;z=f[h>>2]|0;A=(y-z|0)/48|0;B=z;z=y;if(x>>>0<=A>>>0){if(x>>>0<A>>>0?(y=B+(x*48|0)|0,(z|0)!=(y|0)):0){B=z;do{z=B+-48|0;f[q>>2]=z;VH(z);B=f[q>>2]|0}while((B|0)!=(y|0))}}else wJ(h,x-A|0);A=f[k>>2]|0;if((f[t>>2]|0)!=(A|0)){x=n+8|0;y=n+12|0;B=n+4|0;z=o+8|0;C=o+4|0;D=0;E=A;do{f[x>>2]=0;f[y>>2]=0;f[n>>2]=17432576;f[B>>2]=E+(D*48|0);A=(f[h>>2]|0)+(D*48|0)|0;F=z;f[F>>2]=0;f[F+4>>2]=0;f[o>>2]=34209792;f[C>>2]=A;lQ(n,o);D=D+1|0;E=f[k>>2]|0}while(D>>>0<(((f[t>>2]|0)-E|0)/48|0)>>>0)}E=((f[v>>2]|0)-(f[l>>2]|0)|0)/48|0;D=f[r>>2]|0;C=f[i>>2]|0;z=(D-C|0)/48|0;B=C;C=D;if(E>>>0<=z>>>0){if(E>>>0<z>>>0?(D=B+(E*48|0)|0,(C|0)!=(D|0)):0){B=C;do{C=B+-48|0;f[r>>2]=C;VH(C);B=f[r>>2]|0}while((B|0)!=(D|0))}}else wJ(i,E-z|0);z=f[l>>2]|0;if((f[v>>2]|0)!=(z|0)){E=n+4|0;D=n+8|0;B=0;C=z;do{z=C;y=f[i>>2]|0;x=f[z+(B*48|0)+4>>2]|0;A=f[z+(B*48|0)+32>>2]|0;f[n>>2]=0;f[E>>2]=0;f[D>>2]=0;KKa(n,A,A+(x<<2)|0);TH(y+(B*48|0)|0,n,5,0);y=f[n>>2]|0;if(y|0){x=f[E>>2]|0;if((x|0)!=(y|0))f[E>>2]=x+(~((x+-4-y|0)>>>2)<<2);fuc(y)}B=B+1|0;C=f[l>>2]|0}while(B>>>0<(((f[v>>2]|0)-C|0)/48|0)>>>0)}C=((f[w>>2]|0)-(f[m>>2]|0)|0)/48|0;B=f[s>>2]|0;E=f[j>>2]|0;D=(B-E|0)/48|0;y=E;E=B;if(C>>>0<=D>>>0){if(C>>>0<D>>>0?(B=y+(C*48|0)|0,(E|0)!=(B|0)):0){y=E;do{E=y+-48|0;f[s>>2]=E;VH(E);y=f[s>>2]|0}while((y|0)!=(B|0))}}else wJ(j,C-D|0);D=f[m>>2]|0;if((f[w>>2]|0)!=(D|0)){C=n+4|0;B=n+8|0;y=0;E=D;do{D=E;x=f[j>>2]|0;A=f[D+(y*48|0)+4>>2]|0;z=f[D+(y*48|0)+32>>2]|0;f[n>>2]=0;f[C>>2]=0;f[B>>2]=0;KKa(n,z,z+(A<<2)|0);TH(x+(y*48|0)|0,n,5,0);x=f[n>>2]|0;if(x|0){A=f[C>>2]|0;if((A|0)!=(x|0))f[C>>2]=A+(~((A+-4-x|0)>>>2)<<2);fuc(x)}y=y+1|0;E=f[m>>2]|0}while(y>>>0<(((f[w>>2]|0)-E|0)/48|0)>>>0)}E=f[(f[a>>2]|0)+44>>2]|0;f[n+8>>2]=0;f[n+12>>2]=0;f[n>>2]=17498112;f[n+4>>2]=h;y=o+8|0;f[y>>2]=0;f[y+4>>2]=0;f[o>>2]=34275328;f[o+4>>2]=i;y=p+8|0;f[y>>2]=0;f[y+4>>2]=0;f[p>>2]=34275328;f[p+4>>2]=j;sh[E&255](a,n,o,p);p=f[i>>2]|0;if((f[r>>2]|0)!=(p|0)){E=n+8|0;y=n+12|0;C=n+4|0;B=o+8|0;x=o+4|0;A=0;z=p;do{f[E>>2]=0;f[y>>2]=0;f[n>>2]=17432576;f[C>>2]=z+(A*48|0);p=(f[l>>2]|0)+(A*48|0)|0;D=B;f[D>>2]=0;f[D+4>>2]=0;f[o>>2]=34209792;f[x>>2]=p;lQ(n,o);A=A+1|0;z=f[i>>2]|0}while(A>>>0<(((f[r>>2]|0)-z|0)/48|0)>>>0)}qK(c,l);qK(d,m);z=f[m>>2]|0;if(z|0){A=f[w>>2]|0;if((A|0)==(z|0))G=z;else{o=A;do{A=o+-48|0;f[w>>2]=A;VH(A);o=f[w>>2]|0}while((o|0)!=(z|0));G=f[m>>2]|0}fuc(G)}G=f[l>>2]|0;if(G|0){m=f[v>>2]|0;if((m|0)==(G|0))H=G;else{z=m;do{m=z+-48|0;f[v>>2]=m;VH(m);z=f[v>>2]|0}while((z|0)!=(G|0));H=f[l>>2]|0}fuc(H)}H=f[k>>2]|0;if(H|0){l=f[t>>2]|0;if((l|0)==(H|0))I=H;else{G=l;do{l=G+-48|0;f[t>>2]=l;VH(l);G=f[t>>2]|0}while((G|0)!=(H|0));I=f[k>>2]|0}fuc(I)}I=f[j>>2]|0;if(I|0){H=f[s>>2]|0;if((H|0)==(I|0))J=I;else{G=H;do{H=G+-48|0;f[s>>2]=H;VH(H);G=f[s>>2]|0}while((G|0)!=(I|0));J=f[j>>2]|0}fuc(J)}J=f[i>>2]|0;if(J|0){I=f[r>>2]|0;if((I|0)==(J|0))K=J;else{G=I;do{I=G+-48|0;f[r>>2]=I;VH(I);G=f[r>>2]|0}while((G|0)!=(J|0));K=f[i>>2]|0}fuc(K)}K=f[h>>2]|0;if(K|0){J=f[q>>2]|0;if((J|0)==(K|0))L=K;else{G=J;do{J=G+-48|0;f[q>>2]=J;VH(J);G=f[q>>2]|0}while((G|0)!=(K|0));L=f[h>>2]|0}fuc(L)}}else{f[h>>2]=0;L=h+4|0;f[L>>2]=0;f[h+8>>2]=0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;sJ(b,h);sJ(c,i);sJ(d,j);b=f[L>>2]|0;K=f[h>>2]|0;G=b-K|0;q=(G|0)/56|0;f[k>>2]=0;J=k+4|0;f[J>>2]=0;f[k+8>>2]=0;if(!G){M=b;N=0}else{if(q>>>0>1073741823)nsc(k);b=cuc(q<<2)|0;f[J>>2]=b;f[k>>2]=b;f[k+8>>2]=b+(q<<2);G=q;q=b;do{f[q>>2]=0;q=(f[J>>2]|0)+4|0;f[J>>2]=q;G=G+-1|0}while((G|0)!=0);M=f[L>>2]|0;N=b}if((M|0)!=(K|0)?(f[N>>2]=K,K=f[h>>2]|0,(((f[L>>2]|0)-K|0)/56|0)>>>0>1):0){N=K;K=1;do{f[(f[k>>2]|0)+(K<<2)>>2]=N+(K*56|0);K=K+1|0;N=f[h>>2]|0}while(K>>>0<(((f[L>>2]|0)-N|0)/56|0)>>>0)}sh[f[(f[a>>2]|0)+40>>2]&255](a,k,i,j);rK(c,i);rK(d,j);d=f[k>>2]|0;if(d|0){k=f[J>>2]|0;if((k|0)!=(d|0))f[J>>2]=k+(~((k+-4-d|0)>>>2)<<2);fuc(d)}ut(j);ut(i);ut(h)}if(!(f[g+4>>2]|0)){u=e;return}u=e;return}function KKa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;d=b;e=c-d>>2;g=a+8|0;h=f[g>>2]|0;i=f[a>>2]|0;j=i;if(e>>>0<=h-i>>2>>>0){k=a+4|0;l=(f[k>>2]|0)-i>>2;m=e>>>0>l>>>0;n=b+(l<<2)|0;l=m?n:c;o=l;p=o-d|0;q=p>>2;if(q|0)uzc(i|0,b|0,p|0)|0;p=j+(q<<2)|0;if(!m){m=f[k>>2]|0;if((m|0)==(p|0))return;f[k>>2]=m+(~((m+-4-p|0)>>>2)<<2);return}if((l|0)==(c|0))return;l=f[k>>2]|0;p=c+-4-o|0;o=n;n=l;while(1){f[n>>2]=f[o>>2];o=o+4|0;if((o|0)==(c|0))break;else n=n+4|0}f[k>>2]=l+((p>>>2)+1<<2);return}p=i;if(!i)r=h;else{h=a+4|0;l=f[h>>2]|0;if((l|0)!=(j|0))f[h>>2]=l+(~((l+-4-i|0)>>>2)<<2);fuc(p);f[g>>2]=0;f[h>>2]=0;f[a>>2]=0;r=0}if(e>>>0>1073741823)nsc(a);h=r>>1;p=r>>2>>>0<536870911?(h>>>0<e>>>0?e:h):1073741823;if(p>>>0>1073741823)nsc(a);h=cuc(p<<2)|0;e=a+4|0;f[e>>2]=h;f[a>>2]=h;f[g>>2]=h+(p<<2);if((b|0)==(c|0))return;p=c+-4-d|0;d=b;b=h;while(1){f[b>>2]=f[d>>2];d=d+4|0;if((d|0)==(c|0))break;else b=b+4|0}f[e>>2]=h+((p>>>2)+1<<2);return}function LKa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(d-g>>2>>>0>=b>>>0){h=b;i=g;do{f[i>>2]=0;i=(f[e>>2]|0)+4|0;f[e>>2]=i;h=h+-1|0}while((h|0)!=0);return}h=f[a>>2]|0;i=g-h>>2;g=i+b|0;if(g>>>0>1073741823)nsc(a);j=d-h|0;h=j>>1;d=j>>2>>>0<536870911?(h>>>0<g>>>0?g:h):1073741823;do if(d)if(d>>>0>1073741823){h=ze(8)|0;kuc(h,519086);f[h>>2]=167148;Hf(h|0,26888,1888)}else{k=cuc(d<<2)|0;break}else k=0;while(0);h=k+(i<<2)|0;i=k+(d<<2)|0;d=b;b=h;k=h;do{f[k>>2]=0;k=b+4|0;b=k;d=d+-1|0}while((d|0)!=0);d=f[a>>2]|0;k=(f[e>>2]|0)-d|0;g=h+(0-(k>>2)<<2)|0;if((k|0)>0)szc(g|0,d|0,k|0)|0;f[a>>2]=g;f[e>>2]=b;f[c>>2]=i;if(!d)return;fuc(d);return}function MKa(){var a=0;a=(sE(408732,0)|0)&1;b[1169300]=a;a=ZE(408772,3)|0;f[224691]=a;a=(sE(408799,0)|0)&1;b[1169301]=a;a=(sE(408824,0)|0)&1;b[1169302]=a;a=(sE(408854,0)|0)&1;b[1169303]=a;return}function NKa(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=+c;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0;j=u;u=u+32|0;k=j+16|0;l=j;gV(k,112220);f[a>>2]=1124007936;m=a+8|0;n=a+40|0;o=a+4|0;p=o+36|0;do{f[o>>2]=0;o=o+4|0}while((o|0)<(p|0));f[n>>2]=m;m=a+48|0;f[a+44>>2]=m;f[m>>2]=0;f[a+52>>2]=0;m=l+8|0;f[m>>2]=0;f[m+4>>2]=0;f[l>>2]=33619968;f[l+4>>2]=a;OKa(b,l,c,d,e,g,h,i);if(!(f[k+4>>2]|0)){u=j;return}u=j;return}function OKa(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=+c;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;j=u;u=u+96|0;k=j+80|0;l=j+64|0;m=j+8|0;n=j;gV(k,112240);do if((qJ(a)|0)==65536){o=f[a+4>>2]|0;f[m>>2]=f[o>>2];p=m+4|0;q=o+4|0;f[p>>2]=f[q>>2];r=m+8|0;f[r>>2]=f[o+8>>2];f[m+12>>2]=f[o+12>>2];f[m+16>>2]=f[o+16>>2];f[m+20>>2]=f[o+20>>2];f[m+24>>2]=f[o+24>>2];f[m+28>>2]=f[o+28>>2];f[m+32>>2]=f[o+32>>2];s=f[o+36>>2]|0;f[m+36>>2]=s;f[m+40>>2]=r;r=m+48|0;t=m+44|0;f[t>>2]=r;f[r>>2]=0;f[m+52>>2]=0;if(s|0){r=s+12|0;f[r>>2]=(f[r>>2]|0)+1}if((f[q>>2]|0)<3){q=f[o+44>>2]|0;r=f[t>>2]|0;f[r>>2]=f[q>>2];f[r+4>>2]=f[q+4>>2];break}else{f[p>>2]=0;$T(m,o);break}}else nJ(m,a,-1);while(0);PKa(l,1,m);a=m+36|0;o=f[a>>2]|0;if(o|0?(p=o+12|0,o=f[p>>2]|0,f[p>>2]=o+-1,(o|0)==1):0)aU(m);f[a>>2]=0;a=m+16|0;o=m+4|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;if((f[o>>2]|0)>0){a=f[m+40>>2]|0;p=0;do{f[a+(p<<2)>>2]=0;p=p+1|0}while((p|0)<(f[o>>2]|0))}o=f[m+44>>2]|0;if((o|0)!=(m+48|0))TC(o);f[m+8>>2]=0;f[m+12>>2]=0;f[m>>2]=17104896;f[m+4>>2]=l;f[n>>2]=f[d>>2];f[n+4>>2]=f[d+4>>2];QKa(m,b,c,n,e,g,h,i);ut(l);if(!(f[k+4>>2]|0)){u=j;return}u=j;return}function PKa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;f[a>>2]=0;d=a+4|0;f[d>>2]=0;f[a+8>>2]=0;if(!b)return;if(b>>>0>76695844)nsc(a);e=cuc(b*56|0)|0;f[d>>2]=e;f[a>>2]=e;f[a+8>>2]=e+(b*56|0);a=c+4|0;g=c+8|0;h=c+12|0;i=c+16|0;j=c+20|0;k=c+24|0;l=c+28|0;m=c+32|0;n=c+36|0;o=c+44|0;p=b;b=e;do{f[b>>2]=f[c>>2];e=b+4|0;f[e>>2]=f[a>>2];q=b+8|0;f[q>>2]=f[g>>2];f[b+12>>2]=f[h>>2];f[b+16>>2]=f[i>>2];f[b+20>>2]=f[j>>2];f[b+24>>2]=f[k>>2];f[b+28>>2]=f[l>>2];f[b+32>>2]=f[m>>2];r=f[n>>2]|0;f[b+36>>2]=r;f[b+40>>2]=q;q=b+48|0;s=b+44|0;f[s>>2]=q;f[q>>2]=0;f[b+52>>2]=0;if(r|0){q=r+12|0;f[q>>2]=(f[q>>2]|0)+1}if((f[a>>2]|0)<3){q=f[o>>2]|0;r=f[s>>2]|0;f[r>>2]=f[q>>2];f[r+4>>2]=f[q+4>>2]}else{f[e>>2]=0;$T(b,c)}b=(f[d>>2]|0)+56|0;f[d>>2]=b;p=p+-1|0}while((p|0)!=0);return}function QKa(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=+d;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0.0,Ia=0.0,Ja=0.0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0;k=u;u=u+608|0;l=k+56|0;m=k+544|0;n=k+488|0;o=k+472|0;q=k+448|0;r=k+480|0;s=k+464|0;t=k;v=k+392|0;w=k+168|0;x=k+112|0;gV(o,112260);y=(j|0)==5;switch(j|0){case 0:{z=3;break}case 5:break;default:xN(j,112280)}if((z|0)==3){if(!(d==1.0))vN(d,1.0,112308);if(!(+p[g>>3]==0.0)){f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;A=cuc(80)|0;f[l>>2]=A;B=l+8|0;f[B>>2]=-2147483568;C=l+4|0;f[C>>2]=77;D=A;E=408891;F=D+77|0;do{b[D>>0]=b[E>>0]|0;D=D+1|0;E=E+1|0}while((D|0)<(F|0));G=A+77|0;b[G>>0]=0;WD(-215,l,408969,408169,137)}if(!(+p[g+8>>3]==0.0)){f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;A=cuc(80)|0;f[l>>2]=A;B=l+8|0;f[B>>2]=-2147483568;C=l+4|0;f[C>>2]=77;D=A;E=408891;F=D+77|0;do{b[D>>0]=b[E>>0]|0;D=D+1|0;E=E+1|0}while((D|0)<(F|0));G=A+77|0;b[G>>0]=0;WD(-215,l,408969,408169,137)}if(!(+p[g+16>>3]==0.0)){f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;A=cuc(80)|0;f[l>>2]=A;B=l+8|0;f[B>>2]=-2147483568;C=l+4|0;f[C>>2]=77;D=A;E=408891;F=D+77|0;do{b[D>>0]=b[E>>0]|0;D=D+1|0;E=E+1|0}while((D|0)<(F|0));G=A+77|0;b[G>>0]=0;WD(-215,l,408969,408169,137)}if(!(+p[g+24>>3]==0.0)){f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;A=cuc(80)|0;f[l>>2]=A;B=l+8|0;f[B>>2]=-2147483568;C=l+4|0;f[C>>2]=77;D=A;E=408891;F=D+77|0;do{b[D>>0]=b[E>>0]|0;D=D+1|0;E=E+1|0}while((D|0)<(F|0));G=A+77|0;b[G>>0]=0;WD(-215,l,408969,408169,137)}}f[q>>2]=0;G=q+4|0;f[G>>2]=0;f[q+8>>2]=0;sJ(a,q);a=f[q>>2]|0;A=f[G>>2]|0;if((a|0)==(A|0)){f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;C=cuc(16)|0;f[l>>2]=C;f[l+8>>2]=-2147483632;f[l+4>>2]=15;D=C;E=408984;F=D+15|0;do{b[D>>0]=b[E>>0]|0;D=D+1|0;E=E+1|0}while((D|0)<(F|0));b[C+15>>0]=0;WD(-215,l,408969,408169,142)}C=A-a|0;if(!C){H=(C|0)/56|0;I=a}else{a=e+4|0;C=l+8|0;A=l+12|0;B=l+4|0;J=m+8|0;K=m+4|0;L=r+4|0;M=l+4|0;N=l+8|0;O=l+12|0;P=m+36|0;Q=m+16|0;R=m+4|0;S=m+40|0;T=m+44|0;U=m+48|0;V=m+8|0;W=m+12|0;X=m+20|0;Z=m+24|0;_=m+28|0;$=m+32|0;aa=m+44|0;ba=l+8|0;ca=l+12|0;da=l+4|0;ea=m+8|0;fa=m+4|0;ga=s+4|0;ha=l+8|0;ia=l+4|0;ja=g+8|0;ka=t+8|0;la=g+16|0;ma=t+16|0;na=g+24|0;oa=t+24|0;pa=l+8|0;qa=l+12|0;ra=l+4|0;sa=m+8|0;ta=m+12|0;ua=m+4|0;va=n+8|0;wa=n+4|0;xa=l+8|0;ya=l+4|0;za=0;Aa=f[q>>2]|0;while(1){Ba=f[Aa+(za*56|0)+40>>2]|0;Ca=f[Ba+4>>2]|0;Da=f[Ba>>2]|0;Ba=f[e>>2]|0;Ea=f[a>>2]|0;if(!(Ea|Ba)){f[e>>2]=Ca;f[a>>2]=Da;Fa=Ca;Ga=Da}else{Fa=Ba;Ga=Ea}do if((Fa|0)!=(Ca|0)|(Ga|0)!=(Da|0)){if(!i){f[ba>>2]=0;f[ca>>2]=0;f[l>>2]=16842752;f[da>>2]=Aa+(za*56|0);Ea=ea;f[Ea>>2]=0;f[Ea+4>>2]=0;f[m>>2]=33619968;f[fa>>2]=Aa+(za*56|0);f[s>>2]=Fa;f[ga>>2]=Ga;Tea(l,m,s,0.0,0.0,1);break}Ha=+(Fa|0)/+(Ca|0);Ia=+(Ga|0)/+(Da|0);f[C>>2]=0;f[A>>2]=0;f[l>>2]=16842752;f[B>>2]=Aa+(za*56|0);Ea=J;f[Ea>>2]=0;f[Ea+4>>2]=0;f[m>>2]=33619968;f[K>>2]=Aa+(za*56|0);f[r>>2]=0;f[L>>2]=0;Ja=Ha<Ia?Ia:Ha;Tea(l,m,r,Ja,Ja,1);Ea=f[q>>2]|0;Ba=f[e>>2]|0;Ka=f[a>>2]|0;La=~~(+((f[Ea+(za*56|0)+8>>2]|0)-Ka|0)*.5);f[l>>2]=~~(+((f[Ea+(za*56|0)+12>>2]|0)-Ba|0)*.5);f[M>>2]=La;f[N>>2]=Ba;f[O>>2]=Ka;eU(m,Ea+(za*56|0)|0,l);Ea=f[q>>2]|0;Ka=Ea+(za*56|0)|0;if((Ka|0)==(m|0)){Ba=f[P>>2]|0;if(Ba|0?(La=Ba+12|0,Ba=f[La>>2]|0,f[La>>2]=Ba+-1,(Ba|0)==1):0)aU(m)}else{Ba=Ea+(za*56|0)+36|0;La=f[Ba>>2]|0;if(La|0?(Ma=La+12|0,La=f[Ma>>2]|0,f[Ma>>2]=La+-1,(La|0)==1):0)aU(Ka);f[Ba>>2]=0;La=Ea+(za*56|0)+16|0;Ma=Ea+(za*56|0)+4|0;f[La>>2]=0;f[La+4>>2]=0;f[La+8>>2]=0;f[La+12>>2]=0;if((f[Ma>>2]|0)>0){Na=f[Ea+(za*56|0)+40>>2]|0;Oa=0;do{f[Na+(Oa<<2)>>2]=0;Oa=Oa+1|0}while((Oa|0)<(f[Ma>>2]|0))}f[Ka>>2]=f[m>>2];f[Ma>>2]=f[R>>2];Oa=Ea+(za*56|0)+8|0;f[Oa>>2]=f[V>>2];f[Ea+(za*56|0)+12>>2]=f[W>>2];f[La>>2]=f[Q>>2];f[Ea+(za*56|0)+20>>2]=f[X>>2];f[Ea+(za*56|0)+24>>2]=f[Z>>2];f[Ea+(za*56|0)+28>>2]=f[_>>2];f[Ea+(za*56|0)+32>>2]=f[$>>2];f[Ba>>2]=f[P>>2];Na=Ea+(za*56|0)+44|0;Pa=f[Na>>2]|0;Qa=Ea+(za*56|0)+48|0;if((Pa|0)==(Qa|0))Ra=Pa;else{TC(Pa);f[Na>>2]=Qa;f[Ea+(za*56|0)+40>>2]=Oa;Ra=Qa}if((f[R>>2]|0)<3){Qa=f[aa>>2]|0;f[Ra>>2]=f[Qa>>2];f[Ra+4>>2]=f[Qa+4>>2]}else{f[Na>>2]=f[aa>>2];f[Ea+(za*56|0)+40>>2]=f[S>>2];f[aa>>2]=U;f[S>>2]=V}f[m>>2]=1124007936;D=R;F=D+36|0;do{f[D>>2]=0;D=D+4|0}while((D|0)<(F|0))}f[P>>2]=0;f[Q>>2]=0;f[Q+4>>2]=0;f[Q+8>>2]=0;f[Q+12>>2]=0;if((f[R>>2]|0)>0){Ea=f[S>>2]|0;Ba=0;do{f[Ea+(Ba<<2)>>2]=0;Ba=Ba+1|0}while((Ba|0)<(f[R>>2]|0))}Ba=f[T>>2]|0;if((Ba|0)!=(U|0))TC(Ba)}while(0);Da=(f[q>>2]|0)+(za*56|0)|0;if(y&(f[Da>>2]&7|0)==0){Ca=ha;f[Ca>>2]=0;f[Ca+4>>2]=0;f[l>>2]=33619968;f[ia>>2]=Da;kQ(Da,l,5,1.0,0.0)}Ja=+p[g>>3];p[t>>3]=Ja;p[ka>>3]=+p[ja>>3];Ha=+p[la>>3];p[ma>>3]=Ha;p[oa>>3]=+p[na>>3];if(h){p[t>>3]=Ha;p[ma>>3]=Ja}Da=(f[q>>2]|0)+(za*56|0)|0;f[pa>>2]=0;f[qa>>2]=0;f[l>>2]=16842752;f[ra>>2]=Da;f[m>>2]=-1056833530;f[ua>>2]=t;f[sa>>2]=1;f[ta>>2]=4;Ca=va;f[Ca>>2]=0;f[Ca+4>>2]=0;f[n>>2]=33619968;f[wa>>2]=Da;HW(l,m,n,sK()|0,-1);Da=(f[q>>2]|0)+(za*56|0)|0;Ca=xa;f[Ca>>2]=0;f[Ca+4>>2]=0;f[l>>2]=33619968;f[ya>>2]=Da;kQ(Da,l,-1,d,0.0);za=za+1|0;Da=f[q>>2]|0;Ca=((f[G>>2]|0)-Da|0)/56|0;Ba=Da;if(za>>>0>=Ca>>>0){H=Ca;I=Ba;break}else Aa=Ba}}f[m>>2]=f[I>>2];Aa=m+4|0;za=I+4|0;f[Aa>>2]=f[za>>2];G=m+8|0;f[G>>2]=f[I+8>>2];ya=m+12|0;f[ya>>2]=f[I+12>>2];xa=m+16|0;f[xa>>2]=f[I+16>>2];f[m+20>>2]=f[I+20>>2];f[m+24>>2]=f[I+24>>2];f[m+28>>2]=f[I+28>>2];f[m+32>>2]=f[I+32>>2];wa=m+36|0;va=f[I+36>>2]|0;f[wa>>2]=va;ta=m+40|0;f[ta>>2]=G;sa=m+48|0;ua=m+44|0;f[ua>>2]=sa;f[sa>>2]=0;f[m+52>>2]=0;if(va|0){ra=va+12|0;f[ra>>2]=(f[ra>>2]|0)+1}if((f[za>>2]|0)<3){za=f[I+44>>2]|0;ra=f[ua>>2]|0;f[ra>>2]=f[za>>2];f[ra+4>>2]=f[za+4>>2]}else{f[Aa>>2]=0;$T(m,I)}I=(f[m>>2]|0)>>>3;za=I&511;ra=za+1|0;if((f[Aa>>2]|0)!=2){f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;va=cuc(32)|0;f[l>>2]=va;f[l+8>>2]=-2147483616;f[l+4>>2]=16;D=va;E=409e3;F=D+16|0;do{b[D>>0]=b[E>>0]|0;D=D+1|0;E=E+1|0}while((D|0)<(F|0));b[va+16>>0]=0;WD(-215,l,408969,408169,176)}f[n>>2]=1124007936;va=n+4|0;qa=n+8|0;pa=n+40|0;D=va;F=D+36|0;do{f[D>>2]=0;D=D+4|0}while((D|0)<(F|0));f[pa>>2]=qa;ma=n+48|0;na=n+44|0;f[na>>2]=ma;f[ma>>2]=0;f[n+52>>2]=0;if((I&510|0)==2){f[t>>2]=H;f[t+4>>2]=ra;f[t+8>>2]=f[G>>2];f[t+12>>2]=f[ya>>2];JJ(c,4,t,j,-1,0,0);do if((qJ(c)|0)==65536){ra=f[c+4>>2]|0;f[v>>2]=f[ra>>2];I=v+4|0;oa=ra+4|0;f[I>>2]=f[oa>>2];la=v+8|0;f[la>>2]=f[ra+8>>2];f[v+12>>2]=f[ra+12>>2];f[v+16>>2]=f[ra+16>>2];f[v+20>>2]=f[ra+20>>2];f[v+24>>2]=f[ra+24>>2];f[v+28>>2]=f[ra+28>>2];f[v+32>>2]=f[ra+32>>2];ja=f[ra+36>>2]|0;f[v+36>>2]=ja;f[v+40>>2]=la;la=v+48|0;ka=v+44|0;f[ka>>2]=la;f[la>>2]=0;f[v+52>>2]=0;if(ja|0){la=ja+12|0;f[la>>2]=(f[la>>2]|0)+1}if((f[oa>>2]|0)<3){oa=f[ra+44>>2]|0;la=f[ka>>2]|0;f[la>>2]=f[oa>>2];f[la+4>>2]=f[oa+4>>2];break}else{f[I>>2]=0;$T(v,ra);break}}else nJ(v,c,-1);while(0);f[w>>2]=1124007936;ra=w+4|0;I=w+8|0;oa=w+40|0;D=ra;F=D+36|0;do{f[D>>2]=0;D=D+4|0}while((D|0)<(F|0));f[oa>>2]=I;la=w+48|0;f[w+44>>2]=la;f[la>>2]=0;f[w+52>>2]=0;f[w+56>>2]=1124007936;ka=w+64|0;ja=w+96|0;D=w+60|0;F=D+36|0;do{f[D>>2]=0;D=D+4|0}while((D|0)<(F|0));f[ja>>2]=ka;ka=w+104|0;f[w+100>>2]=ka;f[ka>>2]=0;f[w+108>>2]=0;f[w+112>>2]=1124007936;ka=w+116|0;ja=w+120|0;g=w+152|0;D=ka;F=D+36|0;do{f[D>>2]=0;D=D+4|0}while((D|0)<(F|0));f[g>>2]=ja;ia=w+160|0;f[w+156>>2]=ia;f[ia>>2]=0;f[w+164>>2]=0;f[w+168>>2]=1124007936;ha=w+176|0;y=w+208|0;D=w+172|0;F=D+36|0;do{f[D>>2]=0;D=D+4|0}while((D|0)<(F|0));f[y>>2]=ha;ha=w+216|0;f[w+212>>2]=ha;f[ha>>2]=0;f[w+220>>2]=0;do if(H){ha=n+12|0;y=v+16|0;U=v+44|0;T=l+36|0;R=l+16|0;S=l+4|0;Q=l+40|0;P=l+44|0;V=l+48|0;aa=l+8|0;Ra=l+12|0;$=l+20|0;_=l+24|0;Z=l+28|0;X=l+32|0;W=l+44|0;O=w+112|0;N=l+4|0;M=l+8|0;a=l+12|0;e=w+12|0;r=l+16|0;L=w+16|0;K=l+20|0;J=w+20|0;B=l+24|0;A=w+24|0;C=l+28|0;Ga=w+28|0;Fa=l+32|0;s=w+32|0;ga=l+36|0;fa=w+36|0;ea=l+40|0;da=l+44|0;ca=l+48|0;ba=l+52|0;i=w+44|0;Ba=w+148|0;Ca=w+128|0;Da=w+124|0;Ea=w+132|0;La=w+136|0;Ma=w+140|0;Ka=w+144|0;Na=w+156|0;Qa=l+40|0;Oa=w+152|0;Pa=n+36|0;Sa=n+16|0;Ta=n+20|0;Ua=n+24|0;Va=n+28|0;Wa=n+32|0;Xa=w+164|0;Ya=0;while(1){Za=f[q>>2]|0;_a=Za+(Ya*56|0)|0;if((n|0)!=(_a|0)){$a=Za+(Ya*56|0)+36|0;ab=f[$a>>2]|0;if(ab|0){bb=ab+12|0;f[bb>>2]=(f[bb>>2]|0)+1}bb=f[Pa>>2]|0;if(bb|0?(ab=bb+12|0,bb=f[ab>>2]|0,f[ab>>2]=bb+-1,(bb|0)==1):0)aU(n);f[Pa>>2]=0;f[Sa>>2]=0;f[Sa+4>>2]=0;f[Sa+8>>2]=0;f[Sa+12>>2]=0;if((f[va>>2]|0)>0){bb=f[pa>>2]|0;ab=0;do{f[bb+(ab<<2)>>2]=0;ab=ab+1|0;cb=f[va>>2]|0}while((ab|0)<(cb|0));f[n>>2]=f[_a>>2];if((cb|0)<3)z=75;else z=77}else{f[n>>2]=f[_a>>2];z=75}if((z|0)==75){z=0;ab=f[Za+(Ya*56|0)+4>>2]|0;if((ab|0)<3){f[va>>2]=ab;f[qa>>2]=f[Za+(Ya*56|0)+8>>2];f[ha>>2]=f[Za+(Ya*56|0)+12>>2];ab=f[Za+(Ya*56|0)+44>>2]|0;bb=f[na>>2]|0;f[bb>>2]=f[ab>>2];f[bb+4>>2]=f[ab+4>>2]}else z=77}if((z|0)==77){z=0;$T(n,_a)}f[Sa>>2]=f[Za+(Ya*56|0)+16>>2];f[Ta>>2]=f[Za+(Ya*56|0)+20>>2];f[Ua>>2]=f[Za+(Ya*56|0)+24>>2];f[Va>>2]=f[Za+(Ya*56|0)+28>>2];f[Wa>>2]=f[Za+(Ya*56|0)+32>>2];f[Pa>>2]=f[$a>>2]}ab=f[n>>2]|0;if((ab&7|0)!=(CJ(c,-1)|0)){z=80;break}ab=(f[n>>2]|0)>>>3;bb=ab&511;if(!((f[va>>2]|0)==2&(ab&510|0)==2)){z=82;break}ab=f[pa>>2]|0;db=f[ta>>2]|0;if((f[ab>>2]|0)==(f[db>>2]|0)?(f[ab+4>>2]|0)==(f[db+4>>2]|0):0)eb=0;else{z=84;break}while(1){db=f[U>>2]|0;ab=(f[y>>2]|0)+(Y(f[db>>2]|0,Ya)|0)|0;Ri(l,f[qa>>2]|0,f[ha>>2]|0,j,ab+(Y(f[db+4>>2]|0,eb)|0)|0,0);db=w+(eb*56|0)|0;if((db|0)==(l|0)){ab=f[T>>2]|0;if(ab|0?(fb=ab+12|0,ab=f[fb>>2]|0,f[fb>>2]=ab+-1,(ab|0)==1):0)aU(l)}else{ab=w+(eb*56|0)+36|0;fb=f[ab>>2]|0;do if(fb|0){gb=fb+12|0;hb=f[gb>>2]|0;f[gb>>2]=hb+-1;if((hb|0)!=1)break;aU(db)}while(0);f[ab>>2]=0;fb=w+(eb*56|0)+16|0;hb=w+(eb*56|0)+4|0;f[fb>>2]=0;f[fb+4>>2]=0;f[fb+8>>2]=0;f[fb+12>>2]=0;if((f[hb>>2]|0)>0){gb=f[w+(eb*56|0)+40>>2]|0;ib=0;do{f[gb+(ib<<2)>>2]=0;ib=ib+1|0}while((ib|0)<(f[hb>>2]|0))}f[db>>2]=f[l>>2];ib=f[S>>2]|0;f[hb>>2]=ib;gb=w+(eb*56|0)+8|0;f[gb>>2]=f[aa>>2];f[w+(eb*56|0)+12>>2]=f[Ra>>2];f[fb>>2]=f[R>>2];f[w+(eb*56|0)+20>>2]=f[$>>2];f[w+(eb*56|0)+24>>2]=f[_>>2];f[w+(eb*56|0)+28>>2]=f[Z>>2];f[w+(eb*56|0)+32>>2]=f[X>>2];f[ab>>2]=f[T>>2];jb=w+(eb*56|0)+44|0;kb=f[jb>>2]|0;lb=w+(eb*56|0)+48|0;if((kb|0)==(lb|0)){mb=ib;nb=kb}else{TC(kb);f[jb>>2]=lb;f[w+(eb*56|0)+40>>2]=gb;mb=f[S>>2]|0;nb=lb}if((mb|0)<3){lb=f[W>>2]|0;f[nb>>2]=f[lb>>2];f[nb+4>>2]=f[lb+4>>2]}else{f[jb>>2]=f[W>>2];f[w+(eb*56|0)+40>>2]=f[Q>>2];f[W>>2]=V;f[Q>>2]=aa}f[l>>2]=1124007936;D=S;F=D+36|0;do{f[D>>2]=0;D=D+4|0}while((D|0)<(F|0))}f[T>>2]=0;f[R>>2]=0;f[R+4>>2]=0;f[R+8>>2]=0;f[R+12>>2]=0;if((f[S>>2]|0)>0){ab=f[Q>>2]|0;fb=0;do{f[ab+(fb<<2)>>2]=0;fb=fb+1|0}while((fb|0)<(f[S>>2]|0))}fb=f[P>>2]|0;if((fb|0)!=(V|0))TC(fb);if((eb|0)<(bb|0))eb=eb+1|0;else break}if(h){f[l>>2]=f[w>>2];bb=f[ra>>2]|0;f[N>>2]=bb;f[M>>2]=f[I>>2];f[a>>2]=f[e>>2];f[r>>2]=f[L>>2];f[K>>2]=f[J>>2];f[B>>2]=f[A>>2];f[C>>2]=f[Ga>>2];f[Fa>>2]=f[s>>2];f[ga>>2]=f[fa>>2];f[ea>>2]=M;f[da>>2]=ca;f[ba>>2]=0;f[ca>>2]=0;if((bb|0)<3){bb=f[i>>2]|0;f[ca>>2]=f[bb>>2];f[ba>>2]=f[bb+4>>2]}else{f[da>>2]=f[i>>2];f[ea>>2]=f[oa>>2];f[i>>2]=la;f[oa>>2]=I}f[w>>2]=1124007936;D=ra;F=D+36|0;do{f[D>>2]=0;D=D+4|0}while((D|0)<(F|0));oga(w,O)|0;bb=f[Ba>>2]|0;do if(bb|0){$a=bb+12|0;Za=f[$a>>2]|0;f[$a>>2]=Za+-1;if((Za|0)!=1)break;aU(O)}while(0);f[Ba>>2]=0;f[Ca>>2]=0;f[Ca+4>>2]=0;f[Ca+8>>2]=0;f[Ca+12>>2]=0;if((f[ka>>2]|0)>0){bb=f[g>>2]|0;Za=0;do{f[bb+(Za<<2)>>2]=0;Za=Za+1|0}while((Za|0)<(f[ka>>2]|0))}f[O>>2]=f[l>>2];Za=f[N>>2]|0;f[ka>>2]=Za;f[ja>>2]=f[M>>2];f[Da>>2]=f[a>>2];f[Ca>>2]=f[r>>2];f[Ea>>2]=f[K>>2];f[La>>2]=f[B>>2];f[Ma>>2]=f[C>>2];f[Ka>>2]=f[Fa>>2];f[Ba>>2]=f[ga>>2];bb=f[Na>>2]|0;if((bb|0)==(ia|0))ob=Za;else{TC(bb);f[Na>>2]=ia;f[g>>2]=ja;ob=f[N>>2]|0}do if((ob|0)<3){bb=f[da>>2]|0;f[ia>>2]=f[bb>>2];f[Xa>>2]=f[bb+4>>2];f[l>>2]=1124007936;D=N;F=D+36|0;do{f[D>>2]=0;D=D+4|0}while((D|0)<(F|0));if((bb|0)==(ca|0))break;TC(bb)}else{f[Na>>2]=f[da>>2];f[Oa>>2]=f[Qa>>2];f[da>>2]=ca;f[Qa>>2]=M;f[l>>2]=1124007936;D=N;F=D+36|0;do{f[D>>2]=0;D=D+4|0}while((D|0)<(F|0))}while(0)}qQ(n,w);Ya=Ya+1|0;if(Ya>>>0>=H>>>0){z=125;break}}if((z|0)==80){f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;Ya=cuc(32)|0;f[l>>2]=Ya;f[l+8>>2]=-2147483616;f[l+4>>2]=30;D=Ya;E=409017;F=D+30|0;do{b[D>>0]=b[E>>0]|0;D=D+1|0;E=E+1|0}while((D|0)<(F|0));b[Ya+30>>0]=0;WD(-215,l,408969,408169,188)}else if((z|0)==82){f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;N=cuc(48)|0;f[l>>2]=N;f[l+8>>2]=-2147483600;f[l+4>>2]=41;D=N;E=409048;F=D+41|0;do{b[D>>0]=b[E>>0]|0;D=D+1|0;E=E+1|0}while((D|0)<(F|0));b[N+41>>0]=0;WD(-215,l,408969,408169,190)}else if((z|0)==84){f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;Ya=cuc(32)|0;f[l>>2]=Ya;f[l+8>>2]=-2147483616;f[l+4>>2]=29;D=Ya;E=409090;F=D+29|0;do{b[D>>0]=b[E>>0]|0;D=D+1|0;E=E+1|0}while((D|0)<(F|0));b[Ya+29>>0]=0;WD(-215,l,408969,408169,191)}else if((z|0)==125){N=w+204|0;M=f[N>>2]|0;if(!M){pb=N;break}Qa=M+12|0;M=f[Qa>>2]|0;f[Qa>>2]=M+-1;if((M|0)!=1){pb=N;break}aU(w+168|0);pb=N;break}}else pb=w+204|0;while(0);f[pb>>2]=0;pb=w+184|0;ia=w+172|0;f[pb>>2]=0;f[pb+4>>2]=0;f[pb+8>>2]=0;f[pb+12>>2]=0;if((f[ia>>2]|0)>0){pb=f[w+208>>2]|0;ob=0;do{f[pb+(ob<<2)>>2]=0;ob=ob+1|0}while((ob|0)<(f[ia>>2]|0))}ia=f[w+212>>2]|0;if((ia|0)!=(w+216|0))TC(ia);ia=w+112|0;ob=w+148|0;pb=f[ob>>2]|0;if(pb|0?(ja=pb+12|0,pb=f[ja>>2]|0,f[ja>>2]=pb+-1,(pb|0)==1):0)aU(ia);f[ob>>2]=0;ob=w+128|0;ia=w+116|0;f[ob>>2]=0;f[ob+4>>2]=0;f[ob+8>>2]=0;f[ob+12>>2]=0;if((f[ia>>2]|0)>0){ob=f[w+152>>2]|0;pb=0;do{f[ob+(pb<<2)>>2]=0;pb=pb+1|0}while((pb|0)<(f[ia>>2]|0))}ia=f[w+156>>2]|0;if((ia|0)!=(w+160|0))TC(ia);ia=w+56|0;pb=w+92|0;ob=f[pb>>2]|0;if(ob|0?(ja=ob+12|0,ob=f[ja>>2]|0,f[ja>>2]=ob+-1,(ob|0)==1):0)aU(ia);f[pb>>2]=0;pb=w+72|0;ia=w+60|0;f[pb>>2]=0;f[pb+4>>2]=0;f[pb+8>>2]=0;f[pb+12>>2]=0;if((f[ia>>2]|0)>0){pb=f[w+96>>2]|0;ob=0;do{f[pb+(ob<<2)>>2]=0;ob=ob+1|0}while((ob|0)<(f[ia>>2]|0))}ia=f[w+100>>2]|0;if((ia|0)!=(w+104|0))TC(ia);ia=w+36|0;ob=f[ia>>2]|0;if(ob|0?(pb=ob+12|0,ob=f[pb>>2]|0,f[pb>>2]=ob+-1,(ob|0)==1):0)aU(w);f[ia>>2]=0;ia=w+16|0;ob=w+4|0;f[ia>>2]=0;f[ia+4>>2]=0;f[ia+8>>2]=0;f[ia+12>>2]=0;if((f[ob>>2]|0)>0){ia=f[w+40>>2]|0;pb=0;do{f[ia+(pb<<2)>>2]=0;pb=pb+1|0}while((pb|0)<(f[ob>>2]|0))}ob=f[w+44>>2]|0;if((ob|0)!=(w+48|0))TC(ob);ob=v+36|0;pb=f[ob>>2]|0;do if(pb|0){ia=pb+12|0;ja=f[ia>>2]|0;f[ia>>2]=ja+-1;if((ja|0)!=1)break;aU(v)}while(0);f[ob>>2]=0;ob=v+16|0;pb=v+4|0;f[ob>>2]=0;f[ob+4>>2]=0;f[ob+8>>2]=0;f[ob+12>>2]=0;if((f[pb>>2]|0)>0){ob=f[v+40>>2]|0;ja=0;do{f[ob+(ja<<2)>>2]=0;ja=ja+1|0}while((ja|0)<(f[pb>>2]|0))}pb=f[v+44>>2]|0;if((pb|0)!=(v+48|0))TC(pb)}else{if(za|0){f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;b[l+11>>0]=8;za=l;f[za>>2]=543712110;f[za+4>>2]=824196413;b[l+8>>0]=0;WD(-215,l,408969,408169,202)}f[l>>2]=H;f[l+4>>2]=1;f[l+8>>2]=f[G>>2];f[l+12>>2]=f[ya>>2];JJ(c,4,l,j,-1,0,0);do if((qJ(c)|0)==65536){l=f[c+4>>2]|0;f[t>>2]=f[l>>2];ya=t+4|0;G=l+4|0;f[ya>>2]=f[G>>2];za=t+8|0;f[za>>2]=f[l+8>>2];f[t+12>>2]=f[l+12>>2];f[t+16>>2]=f[l+16>>2];f[t+20>>2]=f[l+20>>2];f[t+24>>2]=f[l+24>>2];f[t+28>>2]=f[l+28>>2];f[t+32>>2]=f[l+32>>2];pb=f[l+36>>2]|0;f[t+36>>2]=pb;f[t+40>>2]=za;za=t+48|0;ja=t+44|0;f[ja>>2]=za;f[za>>2]=0;f[t+52>>2]=0;if(pb|0){za=pb+12|0;f[za>>2]=(f[za>>2]|0)+1}if((f[G>>2]|0)<3){G=f[l+44>>2]|0;za=f[ja>>2]|0;f[za>>2]=f[G>>2];f[za+4>>2]=f[G+4>>2];break}else{f[ya>>2]=0;$T(t,l);break}}else nJ(t,c,-1);while(0);a:do if(H|0){l=v+4|0;ya=v+8|0;G=v+12|0;za=v+16|0;ja=v+20|0;pb=v+24|0;ob=v+28|0;ia=v+32|0;g=v+36|0;ka=v+40|0;ra=v+48|0;I=v+44|0;oa=v+52|0;la=t+16|0;h=t+44|0;eb=w+8|0;nb=w+4|0;mb=x+36|0;qa=x+16|0;cb=x+4|0;N=x+40|0;M=x+44|0;Qa=x+48|0;ca=0;while(1){da=f[q>>2]|0;Oa=da+(ca*56|0)|0;f[v>>2]=f[Oa>>2];Na=da+(ca*56|0)+4|0;f[l>>2]=f[Na>>2];f[ya>>2]=f[da+(ca*56|0)+8>>2];f[G>>2]=f[da+(ca*56|0)+12>>2];f[za>>2]=f[da+(ca*56|0)+16>>2];f[ja>>2]=f[da+(ca*56|0)+20>>2];f[pb>>2]=f[da+(ca*56|0)+24>>2];f[ob>>2]=f[da+(ca*56|0)+28>>2];f[ia>>2]=f[da+(ca*56|0)+32>>2];Xa=f[da+(ca*56|0)+36>>2]|0;f[g>>2]=Xa;f[ka>>2]=ya;f[I>>2]=ra;f[ra>>2]=0;f[oa>>2]=0;if(Xa|0){ga=Xa+12|0;f[ga>>2]=(f[ga>>2]|0)+1}if((f[Na>>2]|0)<3){Na=f[da+(ca*56|0)+44>>2]|0;da=f[I>>2]|0;f[da>>2]=f[Na>>2];f[da+4>>2]=f[Na+4>>2]}else{f[l>>2]=0;$T(v,Oa)}Oa=f[v>>2]|0;if((Oa&7|0)!=(CJ(c,-1)|0)){z=159;break}if(!((f[l>>2]|0)==2&(f[v>>2]&4088|0)==0)){z=161;break}Oa=f[ka>>2]|0;Na=f[ta>>2]|0;if(!((f[Oa>>2]|0)==(f[Na>>2]|0)?(f[Oa+4>>2]|0)==(f[Na+4>>2]|0):0)){z=163;break}Ri(x,f[ya>>2]|0,f[G>>2]|0,j,(f[la>>2]|0)+(Y(f[f[h>>2]>>2]|0,ca)|0)|0,0);Na=eb;f[Na>>2]=0;f[Na+4>>2]=0;f[w>>2]=-1040121856;f[nb>>2]=x;EI(v,w);Na=f[mb>>2]|0;if(Na|0?(Oa=Na+12|0,Na=f[Oa>>2]|0,f[Oa>>2]=Na+-1,(Na|0)==1):0)aU(x);f[mb>>2]=0;f[qa>>2]=0;f[qa+4>>2]=0;f[qa+8>>2]=0;f[qa+12>>2]=0;if((f[cb>>2]|0)>0){Na=f[N>>2]|0;Oa=0;do{f[Na+(Oa<<2)>>2]=0;Oa=Oa+1|0}while((Oa|0)<(f[cb>>2]|0))}Oa=f[M>>2]|0;if((Oa|0)!=(Qa|0))TC(Oa);Oa=f[g>>2]|0;do if(Oa|0){Na=Oa+12|0;da=f[Na>>2]|0;f[Na>>2]=da+-1;if((da|0)!=1)break;aU(v)}while(0);f[g>>2]=0;f[za>>2]=0;f[za+4>>2]=0;f[za+8>>2]=0;f[za+12>>2]=0;if((f[l>>2]|0)>0){Oa=f[ka>>2]|0;da=0;do{f[Oa+(da<<2)>>2]=0;da=da+1|0}while((da|0)<(f[l>>2]|0))}da=f[I>>2]|0;if((da|0)!=(ra|0))TC(da);ca=ca+1|0;if(ca>>>0>=H>>>0)break a}if((z|0)==159){f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;ca=cuc(32)|0;f[w>>2]=ca;f[w+8>>2]=-2147483616;f[w+4>>2]=30;D=ca;E=409017;F=D+30|0;do{b[D>>0]=b[E>>0]|0;D=D+1|0;E=E+1|0}while((D|0)<(F|0));b[ca+30>>0]=0;WD(-215,w,408969,408169,210)}else if((z|0)==161){f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;ra=cuc(32)|0;f[w>>2]=ra;f[w+8>>2]=-2147483616;f[w+4>>2]=29;D=ra;E=409120;F=D+29|0;do{b[D>>0]=b[E>>0]|0;D=D+1|0;E=E+1|0}while((D|0)<(F|0));b[ra+29>>0]=0;WD(-215,w,408969,408169,212)}else if((z|0)==163){f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;ca=cuc(32)|0;f[w>>2]=ca;f[w+8>>2]=-2147483616;f[w+4>>2]=29;D=ca;E=409090;F=D+29|0;do{b[D>>0]=b[E>>0]|0;D=D+1|0;E=E+1|0}while((D|0)<(F|0));b[ca+29>>0]=0;WD(-215,w,408969,408169,213)}}while(0);w=t+36|0;E=f[w>>2]|0;if(E|0?(D=E+12|0,E=f[D>>2]|0,f[D>>2]=E+-1,(E|0)==1):0)aU(t);f[w>>2]=0;w=t+16|0;E=t+4|0;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;f[w+12>>2]=0;if((f[E>>2]|0)>0){w=f[t+40>>2]|0;D=0;do{f[w+(D<<2)>>2]=0;D=D+1|0}while((D|0)<(f[E>>2]|0))}E=f[t+44>>2]|0;if((E|0)!=(t+48|0))TC(E)}E=n+36|0;t=f[E>>2]|0;if(t|0?(D=t+12|0,t=f[D>>2]|0,f[D>>2]=t+-1,(t|0)==1):0)aU(n);f[E>>2]=0;E=n+16|0;f[E>>2]=0;f[E+4>>2]=0;f[E+8>>2]=0;f[E+12>>2]=0;if((f[va>>2]|0)>0){E=f[pa>>2]|0;pa=0;do{f[E+(pa<<2)>>2]=0;pa=pa+1|0}while((pa|0)<(f[va>>2]|0))}va=f[na>>2]|0;if((va|0)!=(ma|0))TC(va);va=f[wa>>2]|0;if(va|0?(ma=va+12|0,va=f[ma>>2]|0,f[ma>>2]=va+-1,(va|0)==1):0)aU(m);f[wa>>2]=0;f[xa>>2]=0;f[xa+4>>2]=0;f[xa+8>>2]=0;f[xa+12>>2]=0;if((f[Aa>>2]|0)>0){xa=f[ta>>2]|0;ta=0;do{f[xa+(ta<<2)>>2]=0;ta=ta+1|0}while((ta|0)<(f[Aa>>2]|0))}Aa=f[ua>>2]|0;if((Aa|0)!=(sa|0))TC(Aa);ut(q);if(!(f[o+4>>2]|0)){u=k;return}u=k;return}function RKa(a){a=a|0;var b=0,c=0;b=cuc(192)|0;SKa(b);f[a>>2]=b;c=cuc(16)|0;f[c+4>>2]=0;f[c+8>>2]=0;f[c>>2]=112344;f[c+12>>2]=b;f[a+4>>2]=c;return}function SKa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0;c=u;u=u+464|0;d=c+224|0;e=c;g=a+4|0;h=a+20|0;i=a+24|0;f[i>>2]=0;j=a+28|0;f[j>>2]=0;k=a+24|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;f[a+16>>2]=0;f[h>>2]=k;l=a+32|0;m=a+36|0;f[m>>2]=0;n=a+40|0;f[n>>2]=0;f[l>>2]=a+36;f[a+48>>2]=0;f[a+52>>2]=0;f[a+44>>2]=a+48;f[a+60>>2]=0;f[a+64>>2]=0;f[a+56>>2]=a+60;f[a+72>>2]=0;f[a+76>>2]=0;f[a+68>>2]=a+72;o=a+88|0;f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;f[a+108>>2]=0;f[a+112>>2]=0;f[a+104>>2]=a+108;f[a+124>>2]=0;f[a+128>>2]=0;f[a+132>>2]=0;f[a+136>>2]=1124007936;o=a+144|0;p=a+176|0;q=a+140|0;r=q+36|0;do{f[q>>2]=0;q=q+4|0}while((q|0)<(r|0));f[p>>2]=o;o=a+184|0;f[a+180>>2]=o;f[o>>2]=0;f[a+188>>2]=0;o=cuc(96)|0;LG(o);q=o+4|0;r=q+40|0;do{f[q>>2]=0;q=q+4|0}while((q|0)<(r|0));f[o>>2]=112372;p=o+44|0;q=p;r=q+48|0;do{f[q>>2]=0;q=q+4|0}while((q|0)<(r|0));b[p+48>>0]=0;p=o;o=cuc(16)|0;f[o+4>>2]=0;f[o+8>>2]=0;f[o>>2]=112480;f[o+12>>2]=p;Wtc(o);f[a>>2]=p;p=f[g>>2]|0;f[g>>2]=o;if(p|0)Xtc(p);Xtc(o);f[e>>2]=-1;o=e+4|0;f[e+32>>2]=0;f[e+36>>2]=0;f[e+28>>2]=e+32;p=e+40|0;f[e+92>>2]=0;f[e+96>>2]=0;s=p+24|0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[e+88>>2]=e+92;f[e+104>>2]=0;f[e+108>>2]=0;f[e+100>>2]=e+104;s=e+112|0;f[e+208>>2]=0;t=e+212|0;f[t>>2]=0;v=e+208|0;w=e+204|0;q=s+36|0;r=q+56|0;do{f[q>>2]=0;q=q+4|0}while((q|0)<(r|0));f[w>>2]=v;w=e+216|0;b[w>>0]=0;f[e+220>>2]=0;f[d>>2]=0;q=d+4|0;f[q>>2]=-1;r=d+8|0;f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;o=d+20|0;r=e+16|0;f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;f[d+36>>2]=0;f[d+40>>2]=0;f[d+32>>2]=d+36;r=d+44|0;f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;f[e+48>>2]=0;f[e+44>>2]=0;f[p>>2]=0;p=d+56|0;r=e+52|0;f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;r=d+68|0;p=e+64|0;f[r>>2]=f[p>>2];f[r+4>>2]=f[p+4>>2];f[r+8>>2]=f[p+8>>2];f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;p=d+80|0;f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;f[e+84>>2]=0;f[e+80>>2]=0;f[e+76>>2]=0;f[d+96>>2]=0;f[d+100>>2]=0;f[d+92>>2]=d+96;f[d+108>>2]=0;f[d+112>>2]=0;f[d+104>>2]=d+108;p=d+116|0;f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;f[e+120>>2]=0;f[e+116>>2]=0;f[s>>2]=0;s=d+128|0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[e+132>>2]=0;f[e+128>>2]=0;f[e+124>>2]=0;s=d+140|0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[e+144>>2]=0;f[e+140>>2]=0;f[e+136>>2]=0;s=d+152|0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[e+156>>2]=0;f[e+152>>2]=0;f[e+148>>2]=0;s=e+160|0;f[d+164>>2]=f[s>>2];p=e+164|0;f[d+168>>2]=f[p>>2];f[s>>2]=0;f[p>>2]=0;p=e+168|0;f[d+172>>2]=f[p>>2];s=e+172|0;f[d+176>>2]=f[s>>2];r=e+176|0;f[d+180>>2]=f[r>>2];f[r>>2]=0;f[s>>2]=0;f[p>>2]=0;p=e+180|0;f[d+184>>2]=f[p>>2];s=e+184|0;f[d+188>>2]=f[s>>2];r=e+188|0;f[d+192>>2]=f[r>>2];f[r>>2]=0;f[s>>2]=0;f[p>>2]=0;p=e+192|0;f[d+196>>2]=f[p>>2];s=e+196|0;f[d+200>>2]=f[s>>2];r=e+200|0;f[d+204>>2]=f[r>>2];f[r>>2]=0;f[s>>2]=0;f[p>>2]=0;p=d+208|0;s=e+204|0;f[p>>2]=f[s>>2];r=f[e+208>>2]|0;f[d+212>>2]=r;o=f[t>>2]|0;f[d+216>>2]=o;x=d+212|0;if(!o)f[p>>2]=x;else{f[r+8>>2]=x;f[s>>2]=v;f[v>>2]=0;f[t>>2]=0}t=w;w=f[t+4>>2]|0;v=d+220|0;f[v>>2]=f[t>>2];f[v+4>>2]=w;w=f[k>>2]|0;do if(w){v=f[d>>2]|0;t=i;s=w;while(1){x=f[s+16>>2]|0;if((v|0)<(x|0)){r=f[s>>2]|0;if(!r){y=11;break}else{z=s;A=r}}else{if((x|0)>=(v|0)){y=15;break}B=s+4|0;x=f[B>>2]|0;if(!x){y=14;break}else{z=B;A=x}}t=z;s=A}if((y|0)==11){C=s;D=s;break}else if((y|0)==14){C=s;D=B;break}else if((y|0)==15){C=s;D=t;break}}else{C=k;D=k}while(0);k=f[D>>2]|0;if(!k){y=cuc(244)|0;f[y+16>>2]=f[d>>2];dLa(y+20|0,q);f[y>>2]=0;f[y+4>>2]=0;f[y+8>>2]=C;f[D>>2]=y;C=f[f[h>>2]>>2]|0;if(!C)E=y;else{f[h>>2]=C;E=f[D>>2]|0}jI(f[i>>2]|0,E);f[j>>2]=(f[j>>2]|0)+1;F=y}else F=k;bLa(q);bLa(e);q=F+20|0;f[q>>2]=0;k=F+24|0;y=wuc(k,409828)|0;ruc((f[a>>2]|0)+16|0,y)|0;wuc(F+36|0,409835)|0;y=f[a>>2]|0;j=f[g>>2]|0;if(j|0)Wtc(j);f[F+180>>2]=y;y=F+184|0;F=f[y>>2]|0;f[y>>2]=j;if(F|0)Xtc(F);ouc(e,k);k=e+12|0;f[k>>2]=f[q>>2];q=uEa(l,d,e)|0;if(!(f[q>>2]|0)){F=cuc(32)|0;j=F+16|0;f[j>>2]=f[e>>2];f[j+4>>2]=f[e+4>>2];f[j+8>>2]=f[e+8>>2];f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[F+28>>2]=f[k>>2];k=f[d>>2]|0;f[F>>2]=0;f[F+4>>2]=0;f[F+8>>2]=k;f[q>>2]=F;k=f[f[l>>2]>>2]|0;if(!k)G=F;else{f[l>>2]=k;G=f[q>>2]|0}jI(f[m>>2]|0,G);f[n>>2]=(f[n>>2]|0)+1}if((b[e+11>>0]|0)>=0){H=a+116|0;f[H>>2]=0;I=a+120|0;b[I>>0]=0;J=a+121|0;b[J>>0]=1;K=a+80|0;f[K>>2]=0;L=a+84|0;f[L>>2]=0;M=a+100|0;b[M>>0]=0;u=c;return}fuc(f[e>>2]|0);H=a+116|0;f[H>>2]=0;I=a+120|0;b[I>>0]=0;J=a+121|0;b[J>>0]=1;K=a+80|0;f[K>>2]=0;L=a+84|0;f[L>>2]=0;M=a+100|0;b[M>>0]=0;u=c;return}function TKa(a){a=a|0;var c=0,d=0,e=0,g=0;c=a+136|0;d=a+172|0;e=f[d>>2]|0;if(e|0?(g=e+12|0,e=f[g>>2]|0,f[g>>2]=e+-1,(e|0)==1):0)aU(c);f[d>>2]=0;d=a+152|0;c=a+140|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[c>>2]|0)>0){d=f[a+176>>2]|0;e=0;do{f[d+(e<<2)>>2]=0;e=e+1|0}while((e|0)<(f[c>>2]|0))}c=f[a+180>>2]|0;if((c|0)!=(a+184|0))TC(c);c=f[a+124>>2]|0;if(c|0){e=a+128|0;d=f[e>>2]|0;if((d|0)!=(c|0))f[e>>2]=d+(~((d+-8-c|0)>>>3)<<3);fuc(c)}YKa(a+104|0,f[a+108>>2]|0);c=a+88|0;if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);ZKa(a+68|0,f[a+72>>2]|0);_Ka(a+56|0,f[a+60>>2]|0);$Ka(a+44|0,f[a+48>>2]|0);_Da(a+32|0,f[a+36>>2]|0);aLa(a+20|0,f[a+24>>2]|0);c=f[a+8>>2]|0;if(c|0){d=a+12|0;e=f[d>>2]|0;if((e|0)!=(c|0))f[d>>2]=e+(~((e+-8-c|0)>>>3)<<3);fuc(c)}c=f[a+4>>2]|0;if(!c)return;Xtc(c);return}function UKa(a){a=a|0;Qtc(a);fuc(a);return}function VKa(a){a=a|0;var b=0;b=f[a+12>>2]|0;if(!b)return;TKa(b);fuc(b);return}function WKa(a,b){a=a|0;b=b|0;return ((f[b+4>>2]|0)==409655?a+12|0:0)|0}function XKa(a){a=a|0;fuc(a);return}function YKa(a,b){a=a|0;b=b|0;if(!b)return;YKa(a,f[b>>2]|0);YKa(a,f[b+4>>2]|0);a=f[b+24>>2]|0;if(a|0)Xtc(a);fuc(b);return}function ZKa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;if(!b)return;ZKa(a,f[b>>2]|0);ZKa(a,f[b+4>>2]|0);a=b+24|0;c=b+60|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(a);f[c>>2]=0;c=b+40|0;a=b+28|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[a>>2]|0)>0){c=f[b+64>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[a>>2]|0))}a=f[b+68>>2]|0;if((a|0)!=(b+72|0))TC(a);fuc(b);return}function _Ka(a,b){a=a|0;b=b|0;if(!b)return;else{_Ka(a,f[b>>2]|0);_Ka(a,f[b+4>>2]|0);fuc(b);return}}function $Ka(a,b){a=a|0;b=b|0;if(!b)return;else{$Ka(a,f[b>>2]|0);$Ka(a,f[b+4>>2]|0);fuc(b);return}}function aLa(a,b){a=a|0;b=b|0;if(!b)return;else{aLa(a,f[b>>2]|0);aLa(a,f[b+4>>2]|0);bLa(b+20|0);fuc(b);return}}function bLa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;cLa(a+204|0,f[a+208>>2]|0);ut(a+192|0);c=f[a+180>>2]|0;if(c|0){d=a+184|0;e=f[d>>2]|0;if((e|0)!=(c|0))f[d>>2]=e+(~((e+-4-c|0)>>>2)<<2);fuc(c)}ut(a+168|0);c=f[a+164>>2]|0;if(c|0)Xtc(c);c=a+148|0;e=f[c>>2]|0;if(e|0){d=a+152|0;g=f[d>>2]|0;if((g|0)==(e|0))h=e;else{i=g;while(1){g=i+-8|0;f[d>>2]=g;j=f[i+-4>>2]|0;if(!j)k=g;else{Xtc(j);k=f[d>>2]|0}if((k|0)==(e|0))break;else i=k}h=f[c>>2]|0}fuc(h)}h=a+136|0;c=f[h>>2]|0;if(c|0){k=a+140|0;i=f[k>>2]|0;if((i|0)==(c|0))l=c;else{e=i;while(1){i=e+-8|0;f[k>>2]=i;d=f[e+-4>>2]|0;if(!d)m=i;else{Xtc(d);m=f[k>>2]|0}if((m|0)==(c|0))break;else e=m}l=f[h>>2]|0}fuc(l)}l=a+124|0;h=f[l>>2]|0;if(h|0){m=a+128|0;e=f[m>>2]|0;if((e|0)==(h|0))n=h;else{c=e;while(1){e=c+-8|0;f[m>>2]=e;k=f[c+-4>>2]|0;if(!k)o=e;else{Xtc(k);o=f[m>>2]|0}if((o|0)==(h|0))break;else c=o}n=f[l>>2]|0}fuc(n)}n=f[a+112>>2]|0;if(n|0){l=a+116|0;o=f[l>>2]|0;if((o|0)!=(n|0))f[l>>2]=o+(~((o+-8-n|0)>>>3)<<3);fuc(n)}MIa(a+100|0,f[a+104>>2]|0);MIa(a+88|0,f[a+92>>2]|0);n=f[a+76>>2]|0;if(n|0){o=a+80|0;l=f[o>>2]|0;if((l|0)!=(n|0))f[o>>2]=l+(~((l+-8-n|0)>>>3)<<3);fuc(n)}n=a+64|0;if((b[n+11>>0]|0)<0)fuc(f[n>>2]|0);n=a+52|0;if((b[n+11>>0]|0)<0)fuc(f[n>>2]|0);ut(a+40|0);lEa(a+28|0,f[a+32>>2]|0);n=a+16|0;if((b[n+11>>0]|0)<0)fuc(f[n>>2]|0);n=a+4|0;if((b[n+11>>0]|0)>=0)return;fuc(f[n>>2]|0);return}function cLa(a,b){a=a|0;b=b|0;if(!b)return;cLa(a,f[b>>2]|0);cLa(a,f[b+4>>2]|0);a=f[b+24>>2]|0;if(a|0)Xtc(a);fuc(b);return}function dLa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;f[a>>2]=f[b>>2];c=a+4|0;d=b+4|0;f[c>>2]=f[d>>2];f[c+4>>2]=f[d+4>>2];f[c+8>>2]=f[d+8>>2];f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;d=a+16|0;c=b+16|0;f[d>>2]=f[c>>2];f[d+4>>2]=f[c+4>>2];f[d+8>>2]=f[c+8>>2];f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;c=a+28|0;d=b+28|0;f[c>>2]=f[d>>2];e=f[b+32>>2]|0;f[a+32>>2]=e;g=b+36|0;h=f[g>>2]|0;f[a+36>>2]=h;i=a+32|0;if(!h)f[c>>2]=i;else{f[e+8>>2]=i;i=b+32|0;f[d>>2]=i;f[i>>2]=0;f[g>>2]=0}g=a+40|0;i=b+40|0;f[g>>2]=0;d=a+44|0;f[d>>2]=0;f[a+48>>2]=0;f[g>>2]=f[i>>2];g=b+44|0;f[d>>2]=f[g>>2];d=b+48|0;f[a+48>>2]=f[d>>2];f[d>>2]=0;f[g>>2]=0;f[i>>2]=0;i=a+52|0;g=b+52|0;f[i>>2]=f[g>>2];f[i+4>>2]=f[g+4>>2];f[i+8>>2]=f[g+8>>2];f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;g=a+64|0;i=b+64|0;f[g>>2]=f[i>>2];f[g+4>>2]=f[i+4>>2];f[g+8>>2]=f[i+8>>2];f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;i=a+76|0;g=b+76|0;f[i>>2]=0;d=a+80|0;f[d>>2]=0;f[a+84>>2]=0;f[i>>2]=f[g>>2];i=b+80|0;f[d>>2]=f[i>>2];d=b+84|0;f[a+84>>2]=f[d>>2];f[d>>2]=0;f[i>>2]=0;f[g>>2]=0;g=a+88|0;i=b+88|0;f[g>>2]=f[i>>2];d=f[b+92>>2]|0;f[a+92>>2]=d;e=b+96|0;c=f[e>>2]|0;f[a+96>>2]=c;h=a+92|0;if(!c)f[g>>2]=h;else{f[d+8>>2]=h;h=b+92|0;f[i>>2]=h;f[h>>2]=0;f[e>>2]=0}e=a+100|0;h=b+100|0;f[e>>2]=f[h>>2];i=f[b+104>>2]|0;f[a+104>>2]=i;d=b+108|0;g=f[d>>2]|0;f[a+108>>2]=g;c=a+104|0;if(!g)f[e>>2]=c;else{f[i+8>>2]=c;c=b+104|0;f[h>>2]=c;f[c>>2]=0;f[d>>2]=0}d=a+112|0;c=b+112|0;f[d>>2]=0;h=a+116|0;f[h>>2]=0;f[a+120>>2]=0;f[d>>2]=f[c>>2];d=b+116|0;f[h>>2]=f[d>>2];h=b+120|0;f[a+120>>2]=f[h>>2];f[h>>2]=0;f[d>>2]=0;f[c>>2]=0;c=a+124|0;d=b+124|0;f[c>>2]=0;h=a+128|0;f[h>>2]=0;f[a+132>>2]=0;f[c>>2]=f[d>>2];c=b+128|0;f[h>>2]=f[c>>2];h=b+132|0;f[a+132>>2]=f[h>>2];f[h>>2]=0;f[c>>2]=0;f[d>>2]=0;d=a+136|0;c=b+136|0;f[d>>2]=0;h=a+140|0;f[h>>2]=0;f[a+144>>2]=0;f[d>>2]=f[c>>2];d=b+140|0;f[h>>2]=f[d>>2];h=b+144|0;f[a+144>>2]=f[h>>2];f[h>>2]=0;f[d>>2]=0;f[c>>2]=0;c=a+148|0;d=b+148|0;f[c>>2]=0;h=a+152|0;f[h>>2]=0;f[a+156>>2]=0;f[c>>2]=f[d>>2];c=b+152|0;f[h>>2]=f[c>>2];h=b+156|0;f[a+156>>2]=f[h>>2];f[h>>2]=0;f[c>>2]=0;f[d>>2]=0;d=b+160|0;f[a+160>>2]=f[d>>2];c=b+164|0;f[a+164>>2]=f[c>>2];f[d>>2]=0;f[c>>2]=0;c=a+168|0;d=b+168|0;f[c>>2]=0;h=a+172|0;f[h>>2]=0;f[a+176>>2]=0;f[c>>2]=f[d>>2];c=b+172|0;f[h>>2]=f[c>>2];h=b+176|0;f[a+176>>2]=f[h>>2];f[h>>2]=0;f[c>>2]=0;f[d>>2]=0;d=a+180|0;c=b+180|0;f[d>>2]=0;h=a+184|0;f[h>>2]=0;f[a+188>>2]=0;f[d>>2]=f[c>>2];d=b+184|0;f[h>>2]=f[d>>2];h=b+188|0;f[a+188>>2]=f[h>>2];f[h>>2]=0;f[d>>2]=0;f[c>>2]=0;c=a+192|0;d=b+192|0;f[c>>2]=0;h=a+196|0;f[h>>2]=0;f[a+200>>2]=0;f[c>>2]=f[d>>2];c=b+196|0;f[h>>2]=f[c>>2];h=b+200|0;f[a+200>>2]=f[h>>2];f[h>>2]=0;f[c>>2]=0;f[d>>2]=0;d=a+204|0;c=b+204|0;f[d>>2]=f[c>>2];h=f[b+208>>2]|0;f[a+208>>2]=h;i=b+212|0;e=f[i>>2]|0;f[a+212>>2]=e;g=a+208|0;if(!e){f[d>>2]=g;j=a+216|0;k=b+216|0;l=k;m=l;n=f[m>>2]|0;o=l+4|0;p=o;q=f[p>>2]|0;r=j;s=r;f[s>>2]=n;t=r+4|0;u=t;f[u>>2]=q;return}else{f[h+8>>2]=g;g=b+208|0;f[c>>2]=g;f[g>>2]=0;f[i>>2]=0;j=a+216|0;k=b+216|0;l=k;m=l;n=f[m>>2]|0;o=l+4|0;p=o;q=f[p>>2]|0;r=j;s=r;f[s>>2]=n;t=r+4|0;u=t;f[u>>2]=q;return}}function eLa(a){a=a|0;Qtc(a);fuc(a);return}function fLa(a){a=a|0;var b=0;b=f[a+12>>2]|0;if(!b)return;bi[f[(f[b>>2]|0)+4>>2]&2047](b);return}function gLa(a,b){a=a|0;b=b|0;return ((f[b+4>>2]|0)==409853?a+12|0:0)|0}function hLa(a){a=a|0;fuc(a);return}function iLa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;f[a>>2]=112372;ut(a+80|0);c=f[a+68>>2]|0;if(c|0){d=a+72|0;e=f[d>>2]|0;if((e|0)!=(c|0))f[d>>2]=e+(~((e+-32-c|0)>>>5)<<5);fuc(c)}c=f[a+56>>2]|0;if(c|0){e=a+60|0;d=f[e>>2]|0;if((d|0)!=(c|0))f[e>>2]=d+(~((d+-8-c|0)>>>3)<<3);fuc(c)}c=a+44|0;d=f[c>>2]|0;if(d|0){e=a+48|0;g=f[e>>2]|0;if((g|0)==(d|0))h=d;else{i=g;while(1){g=i+-12|0;f[e>>2]=g;if((b[g+11>>0]|0)<0){fuc(f[g>>2]|0);j=f[e>>2]|0}else j=g;if((j|0)==(d|0))break;else i=j}h=f[c>>2]|0}fuc(h)}f[a>>2]=112036;h=a+28|0;if((b[h+11>>0]|0)<0)fuc(f[h>>2]|0);h=a+16|0;if((b[h+11>>0]|0)>=0){k=a+4|0;ut(k);DG(a);return}fuc(f[h>>2]|0);k=a+4|0;ut(k);DG(a);return}function jLa(a){a=a|0;iLa(a);fuc(a);return}function kLa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0;c=u;u=u+32|0;e=c+12|0;g=c;f[e>>2]=0;h=e+4|0;f[h>>2]=0;f[e+8>>2]=0;sJ(d,e);d=f[e>>2]|0;i=(f[h>>2]|0)-d|0;h=(i|0)/56|0;j=f[a+56>>2]|0;k=d;d=j;if((h|0)!=((f[a+60>>2]|0)-j>>3|0)){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;j=cuc(48)|0;f[g>>2]=j;f[g+8>>2]=-2147483600;f[g+4>>2]=37;l=j;m=410245;n=l+37|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));b[j+37>>0]=0;WD(-215,g,476610,408169,581)}j=f[a+68>>2]|0;o=j;if((h|0)!=((f[a+72>>2]|0)-j>>5|0)){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;j=cuc(32)|0;f[g>>2]=j;f[g+8>>2]=-2147483616;f[g+4>>2]=30;l=j;m=410283;n=l+30|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));b[j+30>>0]=0;WD(-215,g,476610,408169,581)}j=f[a+80>>2]|0;q=j;if((((f[a+84>>2]|0)-j|0)/56|0|0)!=(h|0)){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;j=cuc(48)|0;f[g>>2]=j;f[g+8>>2]=-2147483600;f[g+4>>2]=35;l=j;m=410314;n=l+35|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));b[j+35>>0]=0;WD(-215,g,476610,408169,581)}g=a+92|0;b[g>>0]=1;if(!i){ut(e);u=c;return}else r=0;while(1){if((f[q+(r*56|0)+16>>2]|0)!=(f[k+(r*56|0)+16>>2]|0))break;if(+p[d+(r<<3)>>3]!=1.0)break;if(+p[o+(r<<5)>>3]!=0.0)break;if(+p[o+(r<<5)+8>>3]!=0.0)break;if(+p[o+(r<<5)+16>>3]!=0.0)break;if(+p[o+(r<<5)+24>>3]!=0.0)break;r=r+1|0;if(r>>>0>=h>>>0){s=9;break}}if((s|0)==9){ut(e);u=c;return}b[g>>0]=0;ut(e);u=c;return}
function A9b(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0.0,D=0;d=u;u=u+96|0;e=d+64|0;g=d+40|0;h=d+16|0;i=d;if((a|0)==(c|0)){iLb(g,3,516465,56);fLb(d+81|0,dLb(g,516561)|0);jLb(g)}yh[f[(f[a>>2]|0)+96>>2]&2047](e,a);g=f[e>>2]|0;yh[f[(f[c>>2]|0)+96>>2]&2047](e,c);if((f[e>>2]|0)!=(g|0)){iLb(h,3,516465,59);j=dLb(dLb(dLb(h,516593)|0,516647)|0,516691)|0;k=dLb(eLb(j,f[g+4>>2]|0)|0,516699)|0;yh[f[(f[c>>2]|0)+96>>2]&2047](e,c);fLb(d+80|0,dLb(eLb(k,f[(f[e>>2]|0)+4>>2]|0)|0,530808)|0);jLb(h)}yh[f[(f[a>>2]|0)+96>>2]&2047](e,a);h=f[e+4>>2]|0;yh[f[(f[c>>2]|0)+96>>2]&2047](e,c);k=f[e+4>>2]|0;f[i>>2]=0;g=i+4|0;f[g>>2]=0;f[i+8>>2]=0;Zh[f[(f[h>>2]|0)+64>>2]&511](h,a,i);j=f[i>>2]|0;if((f[g>>2]|0)!=(j|0)){l=e+11|0;m=e+4|0;n=e+8|0;o=e+12|0;p=e+11|0;q=e+4|0;r=e+8|0;s=e+12|0;t=0;v=j;do{j=f[v+(t<<2)>>2]|0;a:do if((f[j+32>>2]|0)==3){w=li[f[(f[h>>2]|0)+24>>2]&511](h,a,j)|0;if((w|0)>0){x=j+24|0;y=j+28|0;z=0;while(1){A=f[x>>2]|0;if(A|0?(f[A>>2]|0)!=2:0){f[e>>2]=110384;f[m>>2]=1962;b[n>>0]=0;f[o>>2]=j;xLb(A,e)}do switch(f[151812+(f[y>>2]<<2)>>2]|0){case 1:{A=f[(f[k>>2]|0)+260>>2]|0;B=Cg[f[(f[h>>2]|0)+168>>2]&127](h,a,j,z)|0;sh[A&255](k,c,j,B);break}case 2:{B=f[(f[k>>2]|0)+264>>2]|0;A=Cg[f[(f[h>>2]|0)+172>>2]&127](h,a,j,z)|0;th[B&255](k,c,j,A,J);break}case 3:{A=f[(f[k>>2]|0)+268>>2]|0;B=Cg[f[(f[h>>2]|0)+176>>2]&127](h,a,j,z)|0;sh[A&255](k,c,j,B);break}case 4:{B=f[(f[k>>2]|0)+272>>2]|0;A=Cg[f[(f[h>>2]|0)+180>>2]&127](h,a,j,z)|0;th[B&255](k,c,j,A,J);break}case 6:{A=f[(f[k>>2]|0)+276>>2]|0;C=+Jh[f[(f[h>>2]|0)+184>>2]&15](h,a,j,z);nh[A&63](k,c,j,C);break}case 5:{A=f[(f[k>>2]|0)+280>>2]|0;C=+Jh[f[(f[h>>2]|0)+188>>2]&15](h,a,j,z);nh[A&63](k,c,j,C);break}case 7:{A=f[(f[k>>2]|0)+284>>2]|0;B=Cg[f[(f[h>>2]|0)+192>>2]&127](h,a,j,z)|0;sh[A&255](k,c,j,B);break}case 9:{B=f[(f[k>>2]|0)+288>>2]|0;th[f[(f[h>>2]|0)+196>>2]&255](e,h,a,j,z);sh[B&255](k,c,j,e);if((b[l>>0]|0)<0)fuc(f[e>>2]|0);break}case 8:{B=f[(f[k>>2]|0)+292>>2]|0;A=Cg[f[(f[h>>2]|0)+200>>2]&127](h,a,j,z)|0;sh[B&255](k,c,j,A);break}case 10:{A=Cg[f[(f[k>>2]|0)+300>>2]&127](k,c,j,0)|0;B=f[(f[A>>2]|0)+76>>2]|0;D=Cg[f[(f[h>>2]|0)+208>>2]&127](h,a,j,z)|0;yh[B&2047](A,D);break}default:{}}while(0);z=z+1|0;if((z|0)>=(w|0))break a}}}else{w=f[j+24>>2]|0;if(w|0?(f[w>>2]|0)!=2:0){f[e>>2]=110384;f[q>>2]=1962;b[r>>0]=0;f[s>>2]=j;xLb(w,e)}do switch(f[151812+(f[j+28>>2]<<2)>>2]|0){case 1:{w=f[(f[k>>2]|0)+116>>2]|0;z=li[f[(f[h>>2]|0)+68>>2]&511](h,a,j)|0;sh[w&255](k,c,j,z);break a;break}case 2:{z=f[(f[k>>2]|0)+120>>2]|0;w=li[f[(f[h>>2]|0)+72>>2]&511](h,a,j)|0;th[z&255](k,c,j,w,J);break a;break}case 3:{w=f[(f[k>>2]|0)+124>>2]|0;z=li[f[(f[h>>2]|0)+76>>2]&511](h,a,j)|0;sh[w&255](k,c,j,z);break a;break}case 4:{z=f[(f[k>>2]|0)+128>>2]|0;w=li[f[(f[h>>2]|0)+80>>2]&511](h,a,j)|0;th[z&255](k,c,j,w,J);break a;break}case 6:{w=f[(f[k>>2]|0)+132>>2]|0;C=+eh[f[(f[h>>2]|0)+84>>2]&31](h,a,j);nh[w&63](k,c,j,C);break a;break}case 5:{w=f[(f[k>>2]|0)+136>>2]|0;C=+eh[f[(f[h>>2]|0)+88>>2]&31](h,a,j);nh[w&63](k,c,j,C);break a;break}case 7:{w=f[(f[k>>2]|0)+140>>2]|0;z=li[f[(f[h>>2]|0)+92>>2]&511](h,a,j)|0;sh[w&255](k,c,j,z);break a;break}case 9:{z=f[(f[k>>2]|0)+144>>2]|0;sh[f[(f[h>>2]|0)+96>>2]&255](e,h,a,j);sh[z&255](k,c,j,e);if((b[p>>0]|0)<0)fuc(f[e>>2]|0);break a;break}case 8:{z=f[(f[k>>2]|0)+148>>2]|0;w=li[f[(f[h>>2]|0)+100>>2]&511](h,a,j)|0;sh[z&255](k,c,j,w);break a;break}case 10:{w=Cg[f[(f[k>>2]|0)+156>>2]&127](k,c,j,0)|0;z=f[(f[w>>2]|0)+76>>2]|0;y=Cg[f[(f[h>>2]|0)+108>>2]&127](h,a,j,0)|0;yh[z&2047](w,y);break a;break}default:break a}while(0)}while(0);t=t+1|0;v=f[i>>2]|0}while(t>>>0<(f[g>>2]|0)-v>>2>>>0)}v=Th[f[(f[k>>2]|0)+12>>2]&1023](k,c)|0;hbc(v,Th[f[(f[h>>2]|0)+8>>2]&1023](h,a)|0);a=f[i>>2]|0;if(!a){u=d;return}i=f[g>>2]|0;if((i|0)!=(a|0))f[g>>2]=i+(~((i+-4-a|0)>>>2)<<2);fuc(a);u=d;return}function B9b(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0;c=u;u=u+80|0;d=c+32|0;e=c+64|0;g=c;yh[f[(f[a>>2]|0)+96>>2]&2047](d,a);h=f[d>>2]|0;yh[f[(f[a>>2]|0)+96>>2]&2047](d,a);i=f[d+4>>2]|0;j=h+52|0;k=f[j>>2]|0;a:do if((k|0)>0){l=h+20|0;m=0;n=k;while(1){o=f[l>>2]|0;if((f[o+(m*88|0)+32>>2]|0)==2){if(!(li[f[(f[i>>2]|0)+20>>2]&511](i,a,o+(m*88|0)|0)|0)){p=0;break}q=f[j>>2]|0}else q=n;m=m+1|0;if((m|0)>=(q|0))break a;else n=q}u=c;return p|0}while(0);f[e>>2]=0;q=e+4|0;f[q>>2]=0;f[e+8>>2]=0;Zh[f[(f[i>>2]|0)+64>>2]&511](i,a,e);j=f[e>>2]|0;k=j;if((f[q>>2]|0)==(j|0)){r=5;s=k}else{j=d+4|0;h=d+24|0;n=g+4|0;m=g+16|0;l=g+8|0;o=d+16|0;t=d+8|0;v=d+4|0;w=d+8|0;x=d+12|0;y=d+4|0;z=d+8|0;A=d+12|0;B=d+4|0;C=d+8|0;D=d+12|0;E=0;F=k;b:while(1){k=f[F+(E<<2)>>2]|0;G=k+24|0;H=f[G>>2]|0;if(H|0?(f[H>>2]|0)!=2:0){f[d>>2]=110384;f[B>>2]=1962;b[C>>0]=0;f[D>>2]=k;xLb(H,d)}H=k+28|0;do if((f[151812+(f[H>>2]<<2)>>2]|0)==10){I=f[G>>2]|0;if(I|0?(f[I>>2]|0)!=2:0){f[d>>2]=110384;f[y>>2]=1962;b[z>>0]=0;f[A>>2]=k;xLb(I,d)}if((f[H>>2]|0)==11?rQb(k)|0:0){I=(tQb(k)|0)+20|0;J=f[I>>2]|0;I=J+88|0;K=f[J+112>>2]|0;if(K|0?(f[K>>2]|0)!=2:0){f[d>>2]=110384;f[v>>2]=1962;b[w>>0]=0;f[x>>2]=I;xLb(K,d)}if((f[151812+(f[J+116>>2]<<2)>>2]|0)!=10)break;J=li[f[(f[i>>2]|0)+364>>2]&511](i,a,k)|0;if(R5b(J)|0){i3b(d,a,k);i3b(g,a,k);yh[f[(f[J>>2]|0)+24>>2]&2047](J,d);yh[f[(f[J>>2]|0)+28>>2]&2047](J,g);while(1){J=f[j>>2]|0;if(li[f[(f[J>>2]|0)+20>>2]&511](J,d,g)|0){L=7;break}J=K5b(h)|0;if(!(di[f[(f[J>>2]|0)+32>>2]&1023](J)|0)){L=1;break}J=f[j>>2]|0;yh[f[(f[J>>2]|0)+60>>2]&2047](J,d)}J=f[n>>2]|0;yh[f[(f[J>>2]|0)+52>>2]&2047](J,g);if((f[m>>2]|0)==9?(J=f[l>>2]|0,J|0):0){if((b[J+11>>0]|0)<0)fuc(f[J>>2]|0);fuc(J)}J=f[j>>2]|0;yh[f[(f[J>>2]|0)+52>>2]&2047](J,d);if((f[o>>2]|0)==9?(J=f[t>>2]|0,J|0):0){if((b[J+11>>0]|0)<0)fuc(f[J>>2]|0);fuc(J)}if((L|0)==7)break;else{M=L;break b}}}if((f[k+32>>2]|0)!=3){J=Cg[f[(f[i>>2]|0)+108>>2]&127](i,a,k,0)|0;if(di[f[(f[J>>2]|0)+32>>2]&1023](J)|0)break;else{M=1;break b}}J=li[f[(f[i>>2]|0)+24>>2]&511](i,a,k)|0;if((J|0)>0){K=0;do{I=Cg[f[(f[i>>2]|0)+208>>2]&127](i,a,k,K)|0;K=K+1|0;if(!(di[f[(f[I>>2]|0)+32>>2]&1023](I)|0)){M=1;break b}}while((K|0)<(J|0))}}while(0);E=E+1|0;F=f[e>>2]|0;if(E>>>0>=(f[q>>2]|0)-F>>2>>>0){M=5;break}}r=M;s=f[e>>2]|0}e=(r|0)==5;if(s|0){r=f[q>>2]|0;if((r|0)!=(s|0))f[q>>2]=r+(~((r+-4-s|0)>>>2)<<2);fuc(s)}p=e;u=c;return p|0}function C9b(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;c=u;u=u+32|0;d=c+16|0;e=c;yh[f[(f[a>>2]|0)+96>>2]&2047](d,a);g=f[d+4>>2]|0;h=Th[f[(f[g>>2]|0)+12>>2]&1023](g,a)|0;if(f[h>>2]|0)ebc(h);f[e>>2]=0;h=e+4|0;f[h>>2]=0;f[e+8>>2]=0;Zh[f[(f[g>>2]|0)+64>>2]&511](g,a,e);i=f[h>>2]|0;j=f[e>>2]|0;k=j;if((i|0)==(j|0)){l=i;m=k}else{i=d+4|0;j=d+8|0;n=d+12|0;o=0;p=k;while(1){k=f[p+(o<<2)>>2]|0;q=f[k+24>>2]|0;if(q|0?(f[q>>2]|0)!=2:0){f[d>>2]=110384;f[i>>2]=1962;b[j>>0]=0;f[n>>2]=k;xLb(q,d)}do if((f[151812+(f[k+28>>2]<<2)>>2]|0)==10){if((f[k+32>>2]|0)!=3){q=Cg[f[(f[g>>2]|0)+156>>2]&127](g,a,k,0)|0;bi[f[(f[q>>2]|0)+80>>2]&2047](q);break}q=li[f[(f[g>>2]|0)+24>>2]&511](g,a,k)|0;if((q|0)>0){r=0;do{s=Cg[f[(f[g>>2]|0)+256>>2]&127](g,a,k,r)|0;bi[f[(f[s>>2]|0)+80>>2]&2047](s);r=r+1|0}while((r|0)<(q|0))}}while(0);o=o+1|0;k=f[h>>2]|0;q=f[e>>2]|0;r=q;if(o>>>0>=k-q>>2>>>0){l=k;m=r;break}else p=r}}p=l;if(!m){u=c;return}if((p|0)!=(m|0))f[h>>2]=p+(~((p+-4-m|0)>>>2)<<2);fuc(m);u=c;return}function D9b(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;e=u;u=u+32|0;g=e+16|0;h=e;yh[f[(f[a>>2]|0)+96>>2]&2047](g,a);i=f[g>>2]|0;yh[f[(f[a>>2]|0)+96>>2]&2047](g,a);j=f[g+4>>2]|0;k=i+52|0;if((f[k>>2]|0)>0){l=i+20|0;i=d+4|0;m=d+8|0;n=g+11|0;o=0;do{p=f[l>>2]|0;if((f[p+(o*88|0)+32>>2]|0)==2?!(li[f[(f[j>>2]|0)+20>>2]&511](j,a,p+(o*88|0)|0)|0):0){bsb(g,c,f[(f[l>>2]|0)+(o*88|0)>>2]|0);p=f[i>>2]|0;if(p>>>0>=(f[m>>2]|0)>>>0){Dw(d,g);if((b[n>>0]|0)<0)fuc(f[g>>2]|0)}else{f[p>>2]=f[g>>2];f[p+4>>2]=f[g+4>>2];f[p+8>>2]=f[g+8>>2];f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[i>>2]=(f[i>>2]|0)+12}}o=o+1|0}while((o|0)<(f[k>>2]|0))}f[h>>2]=0;k=h+4|0;f[k>>2]=0;f[h+8>>2]=0;Zh[f[(f[j>>2]|0)+64>>2]&511](j,a,h);o=f[k>>2]|0;i=f[h>>2]|0;n=i;if((o|0)==(i|0)){q=o;r=n}else{o=g+11|0;i=g+11|0;m=g+4|0;l=g+8|0;p=g+12|0;s=0;t=n;while(1){n=f[t+(s<<2)>>2]|0;v=f[n+24>>2]|0;if(v|0?(f[v>>2]|0)!=2:0){f[g>>2]=110384;f[m>>2]=1962;b[l>>0]=0;f[p>>2]=n;xLb(v,g)}do if((f[151812+(f[n+28>>2]<<2)>>2]|0)==10){if((f[n+32>>2]|0)!=3){v=Cg[f[(f[j>>2]|0)+108>>2]&127](j,a,n,0)|0;E9b(g,c,n,-1);D9b(v,g,d);if((b[i>>0]|0)<0)fuc(f[g>>2]|0);break}v=li[f[(f[j>>2]|0)+24>>2]&511](j,a,n)|0;if((v|0)>0){w=0;do{x=Cg[f[(f[j>>2]|0)+208>>2]&127](j,a,n,w)|0;E9b(g,c,n,w);D9b(x,g,d);if((b[o>>0]|0)<0)fuc(f[g>>2]|0);w=w+1|0}while((w|0)<(v|0))}}while(0);s=s+1|0;n=f[k>>2]|0;v=f[h>>2]|0;w=v;if(s>>>0>=n-v>>2>>>0){q=n;r=w;break}else t=w}}t=q;if(!r){u=e;return}if((t|0)!=(r|0))f[k>>2]=t+(~((t+-4-r|0)>>>2)<<2);fuc(r);u=e;return}function E9b(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0;g=u;u=u+16|0;h=g;ouc(a,c);if(!(b[d+38>>0]|0)){c=f[d>>2]|0;i=b[c+11>>0]|0;j=i<<24>>24<0;Cuc(a,j?f[c>>2]|0:c,j?f[c+4>>2]|0:i&255)|0}else{Duc(a,530810)|0;i=f[d+4>>2]|0;d=b[i+11>>0]|0;c=d<<24>>24<0;Cuc(a,c?f[i>>2]|0:i,c?f[i+4>>2]|0:d&255)|0;Duc(a,530808)|0}if((e|0)==-1){Duc(a,531099)|0;u=g;return}Duc(a,517027)|0;_dc(h,e);e=h+11|0;d=b[e>>0]|0;i=d<<24>>24<0;Cuc(a,i?f[h>>2]|0:h,i?f[h+4>>2]|0:d&255)|0;if((b[e>>0]|0)<0)fuc(f[h>>2]|0);Duc(a,530857)|0;Duc(a,531099)|0;u=g;return}function F9b(a,b,c,d,e,g,h,i,j,k,l,m){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;G9b(a,b,c,d,e,g,h,i,j,k,l,m);return}function G9b(a,c,d,e,g,h,i,j,k,l,m,n){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;o=u;u=u+128|0;p=o+76|0;q=o+40|0;r=o+64|0;s=o+24|0;t=o+121|0;v=o;w=o+120|0;f[p>>2]=d;f[p+4>>2]=e;f[p+8>>2]=g;f[p+12>>2]=h;f[p+16>>2]=i;f[p+20>>2]=j;f[p+24>>2]=k;f[p+28>>2]=l;f[p+32>>2]=m;f[p+36>>2]=n;f[p+40>>2]=0;n=0;m=0;a:while(1){b:do switch(b[c+m>>0]|0){case 0:{x=32;break a;break}case 36:{l=m+1|0;k=b[c+l>>0]|0;if((k+-48&255)<10){y=(k<<24>>24)+-48|0;j=f[(f[p+(y<<2)>>2]|0)+4>>2]|0;if((j|0)==-1){x=5;break a}else{z=l;A=j;break b}}else if(k<<24>>24==36){z=l;A=1;break b}else{x=20;break a}break}default:{z=m;A=1}}while(0);n=A+n|0;m=z+1|0}if((x|0)==5){iLb(q,2,516704,84);z=dLb(gLb(dLb(q,516802)|0,y)|0,516858)|0;y=0;m=d;while(1){if((f[m+4>>2]|0)==-1){B=y;break}d=y+1|0;m=f[p+(d<<2)>>2]|0;if(!m){B=d;break}else y=d}y=dLb(gLb(z,B)|0,516871)|0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;B=jfc(c)|0;if(B>>>0>4294967279)muc(s);if(B>>>0<11){b[s+11>>0]=B;if(!B)C=s;else{D=s;x=13}}else{z=B+16&-16;m=cuc(z)|0;f[s>>2]=m;f[s+8>>2]=z|-2147483648;f[s+4>>2]=B;D=m;x=13}if((x|0)==13){szc(D|0,c|0,B|0)|0;C=D}b[C+B>>0]=0;Udc(r,s);fLb(t,dLb(eLb(y,r)|0,517668)|0);if((b[r+11>>0]|0)<0)fuc(f[r>>2]|0);if((b[s+11>>0]|0)<0)fuc(f[s>>2]|0);jLb(q);u=o;return}else if((x|0)==20){iLb(v,2,516704,97);q=dLb(v,516916)|0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;y=jfc(c)|0;if(y>>>0>4294967279)muc(s);if(y>>>0<11){b[s+11>>0]=y;if(!y)E=s;else{F=s;x=25}}else{t=y+16&-16;B=cuc(t)|0;f[s>>2]=B;f[s+8>>2]=t|-2147483648;f[s+4>>2]=y;F=B;x=25}if((x|0)==25){szc(F|0,c|0,y|0)|0;E=F}b[E+y>>0]=0;Udc(r,s);fLb(w,dLb(eLb(q,r)|0,517668)|0);if((b[r+11>>0]|0)<0)fuc(f[r>>2]|0);if((b[s+11>>0]|0)<0)fuc(f[s>>2]|0);jLb(v);u=o;return}else if((x|0)==32){if(!n){u=o;return}x=a+11|0;v=b[x>>0]|0;if(v<<24>>24<0)G=f[a+4>>2]|0;else G=v&255;xuc(a,G+n|0,0);n=b[x>>0]|0;x=n<<24>>24<0;if(x)H=f[a+4>>2]|0;else H=n&255;do if(H)if(x){I=f[a>>2]|0;break}else{I=a;break}else I=0;while(0);a=0;x=I+G|0;c:while(1){G=b[c+a>>0]|0;d:do switch(G<<24>>24){case 0:{break c;break}case 36:{I=a+1|0;H=b[c+I>>0]|0;if((H+-48&255)<10){n=f[p+((H<<24>>24)+-48<<2)>>2]|0;v=n+4|0;szc(x|0,f[n>>2]|0,f[v>>2]|0)|0;J=I;K=x+(f[v>>2]|0)|0;break d}if(H<<24>>24==36){b[x>>0]=36;J=I;K=x+1|0}else{J=a;K=x}break}default:{b[x>>0]=G;J=a;K=x+1|0}}while(0);a=J+1|0;x=K}u=o;return}}function H9b(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0;d=u;u=u+16|0;c=d;if(!(b[e+38>>0]|0)){a=f[e+24>>2]|0;if(a|0?(f[a>>2]|0)!=2:0){f[c>>2]=110384;f[c+4>>2]=1962;b[c+8>>0]=0;f[c+12>>2]=e;xLb(a,c)}if((f[e+28>>2]|0)==10){a=tQb(e)|0;h=f[a>>2]|0;a=b[h+11>>0]|0;i=a<<24>>24<0;Zh[f[(f[g>>2]|0)+8>>2]&511](g,i?f[h>>2]|0:h,i?f[h+4>>2]|0:a&255);u=d;return}else{a=f[e>>2]|0;h=b[a+11>>0]|0;i=h<<24>>24<0;Zh[f[(f[g>>2]|0)+8>>2]&511](g,i?f[a>>2]|0:a,i?f[a+4>>2]|0:h&255);u=d;return}}Zh[f[(f[g>>2]|0)+8>>2]&511](g,517027,1);if(b[(f[(f[e+48>>2]|0)+16>>2]|0)+48>>0]|0){h=f[e+24>>2]|0;if(h|0?(f[h>>2]|0)!=2:0){f[c>>2]=110384;f[c+4>>2]=1962;b[c+8>>0]=0;f[c+12>>2]=e;xLb(h,c)}if(((f[e+28>>2]|0)==11?(f[e+32>>2]|0)==1:0)?(c=f[e+56>>2]|0,(c|0)==(tQb(e)|0)):0){c=(tQb(e)|0)+4|0;h=f[c>>2]|0;c=b[h+11>>0]|0;a=c<<24>>24<0;Zh[f[(f[g>>2]|0)+8>>2]&511](g,a?f[h>>2]|0:h,a?f[h+4>>2]|0:c&255)}else j=10}else j=10;if((j|0)==10){j=f[e+4>>2]|0;e=b[j+11>>0]|0;c=e<<24>>24<0;Zh[f[(f[g>>2]|0)+8>>2]&511](g,c?f[j>>2]|0:j,c?f[j+4>>2]|0:e&255)}Zh[f[(f[g>>2]|0)+8>>2]&511](g,530857,1);u=d;return}function I9b(a){a=a|0;return}function J9b(a){a=a|0;fuc(a);return}function K9b(a,b,c){a=a|0;b=b|0;c=c|0;a=f[(f[c>>2]|0)+8>>2]|0;if(b){Zh[a&511](c,532016,4);return}else{Zh[a&511](c,532010,5);return}}function L9b(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0;a=u;u=u+16|0;e=a;_dc(e,c);c=e+11|0;g=b[c>>0]|0;h=g<<24>>24<0;Zh[f[(f[d>>2]|0)+8>>2]&511](d,h?f[e>>2]|0:e,h?f[e+4>>2]|0:g&255);if((b[c>>0]|0)>=0){u=a;return}fuc(f[e>>2]|0);u=a;return}function M9b(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0;a=u;u=u+16|0;e=a;$dc(e,c);c=e+11|0;g=b[c>>0]|0;h=g<<24>>24<0;Zh[f[(f[d>>2]|0)+8>>2]&511](d,h?f[e>>2]|0:e,h?f[e+4>>2]|0:g&255);if((b[c>>0]|0)>=0){u=a;return}fuc(f[e>>2]|0);u=a;return}function N9b(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0;a=u;u=u+16|0;g=a;aec(g,c,d);d=g+11|0;c=b[d>>0]|0;h=c<<24>>24<0;Zh[f[(f[e>>2]|0)+8>>2]&511](e,h?f[g>>2]|0:g,h?f[g+4>>2]|0:c&255);if((b[d>>0]|0)>=0){u=a;return}fuc(f[g>>2]|0);u=a;return}function O9b(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0;a=u;u=u+16|0;g=a;bec(g,c,d);d=g+11|0;c=b[d>>0]|0;h=c<<24>>24<0;Zh[f[(f[e>>2]|0)+8>>2]&511](e,h?f[g>>2]|0:g,h?f[g+4>>2]|0:c&255);if((b[d>>0]|0)>=0){u=a;return}fuc(f[g>>2]|0);u=a;return}function P9b(a,c,d){a=a|0;c=+c;d=d|0;var e=0,g=0,h=0,i=0;a=u;u=u+16|0;e=a;eec(e,c);g=e+11|0;h=b[g>>0]|0;i=h<<24>>24<0;Zh[f[(f[d>>2]|0)+8>>2]&511](d,i?f[e>>2]|0:e,i?f[e+4>>2]|0:h&255);if((b[g>>0]|0)>=0){u=a;return}fuc(f[e>>2]|0);u=a;return}function Q9b(a,c,d){a=a|0;c=+c;d=d|0;var e=0,g=0,h=0,i=0;a=u;u=u+16|0;e=a;cec(e,c);g=e+11|0;h=b[g>>0]|0;i=h<<24>>24<0;Zh[f[(f[d>>2]|0)+8>>2]&511](d,i?f[e>>2]|0:e,i?f[e+4>>2]|0:h&255);if((b[g>>0]|0)>=0){u=a;return}fuc(f[e>>2]|0);u=a;return}function R9b(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0;a=u;u=u+16|0;e=a;Zh[f[(f[d>>2]|0)+8>>2]&511](d,517029,1);Udc(e,c);c=e+11|0;g=b[c>>0]|0;h=g<<24>>24<0;Zh[f[(f[d>>2]|0)+8>>2]&511](d,h?f[e>>2]|0:e,h?f[e+4>>2]|0:g&255);if((b[c>>0]|0)>=0){i=f[d>>2]|0;j=i+8|0;k=f[j>>2]|0;Zh[k&511](d,517029,1);u=a;return}fuc(f[e>>2]|0);i=f[d>>2]|0;j=i+8|0;k=f[j>>2]|0;Zh[k&511](d,517029,1);u=a;return}function S9b(a,b,c){a=a|0;b=b|0;c=c|0;Zh[f[(f[a>>2]|0)+36>>2]&511](a,b,c);return}function T9b(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;c=b[d+11>>0]|0;a=c<<24>>24<0;Zh[f[(f[e>>2]|0)+8>>2]&511](e,a?f[d>>2]|0:d,a?f[d+4>>2]|0:c&255);return}function U9b(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;d=f[(f[g>>2]|0)+8>>2]|0;if(e){Zh[d&511](g,517019,3);return}else{Zh[d&511](g,517023,3);return}}function V9b(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;d=f[(f[g>>2]|0)+8>>2]|0;if(e){Zh[d&511](g,516963,2);return}else{Zh[d&511](g,516966,2);return}}function W9b(a){a=a|0;return}function X9b(a,b){a=a|0;b=b|0;if(!b)return;else{X9b(a,f[b>>2]|0);X9b(a,f[b+4>>2]|0);fuc(b);return}}function Y9b(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;e=u;u=u+16|0;g=e;yh[f[(f[c>>2]|0)+96>>2]&2047](g,c);h=f[g>>2]|0;yh[f[(f[c>>2]|0)+96>>2]&2047](g,c);i=f[g+4>>2]|0;j=f[h+4>>2]|0;h=jfc(523199)|0;k=b[j+11>>0]|0;if((((h|0)==((k<<24>>24<0?f[j+4>>2]|0:k&255)|0)?(Puc(j,0,-1,523199,h)|0)==0:0)?b[a+9>>0]|0:0)?Z9b(a,c,d)|0:0){u=e;return}f[g>>2]=0;h=g+4|0;f[h>>2]=0;f[g+8>>2]=0;Zh[f[(f[i>>2]|0)+64>>2]&511](i,c,g);if(b[a+8>>0]|0)_9b(f[g>>2]|0,f[h>>2]|0);j=f[g>>2]|0;k=j;if((f[h>>2]|0)==(j|0))l=k;else{j=0;m=k;while(1){$9b(a,c,i,f[m+(j<<2)>>2]|0,d);j=j+1|0;k=f[g>>2]|0;n=k;if(j>>>0>=(f[h>>2]|0)-k>>2>>>0){l=n;break}else m=n}}if(!(b[a+7>>0]|0)){aac(a,Th[f[(f[i>>2]|0)+8>>2]&1023](i,c)|0,d);o=f[g>>2]|0}else o=l;if(o|0){l=f[h>>2]|0;if((l|0)!=(o|0))f[h>>2]=l+(~((l+-4-o|0)>>>2)<<2);fuc(o)}u=e;return}function Z9b(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;e=u;u=u+144|0;g=e+112|0;h=e+138|0;i=e+108|0;j=e+104|0;k=e+68|0;l=e+56|0;m=e+80|0;n=e+137|0;o=e+36|0;p=e+24|0;q=e;r=e+136|0;if(!(lec(c,i,j)|0)){s=0;u=e;return s|0}yh[f[(f[c>>2]|0)+96>>2]&2047](g,c);t=f[g+4>>2]|0;sh[f[(f[t>>2]|0)+96>>2]&255](k,t,c,f[i>>2]|0);f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;do if(kec(k,l)|0){yh[f[(f[c>>2]|0)+96>>2]&2047](g,c);i=cQb(f[(f[(f[g>>2]|0)+8>>2]|0)+8>>2]|0,l)|0;if(!i){iLb(m,1,517133,1820);fLb(n,dLb(eLb(dLb(m,517401)|0,k)|0,517413)|0);jLb(m);v=0;break}f1b(o);w=d1b(o,i)|0;i=di[f[(f[w>>2]|0)+12>>2]&1023](w)|0;sh[f[(f[t>>2]|0)+96>>2]&255](p,t,c,f[j>>2]|0);if(BKb(i,p)|0){Zh[f[(f[d>>2]|0)+8>>2]&511](d,517027,1);w=b[k+11>>0]|0;x=w<<24>>24<0;Zh[f[(f[d>>2]|0)+8>>2]&511](d,x?f[k>>2]|0:k,x?f[k+4>>2]|0:w&255);Zh[f[(f[d>>2]|0)+8>>2]&511](d,530857,1);w=f[a+24>>2]|0;x=a+32|0;y=f[x>>2]|0;if(y){z=f[j>>2]|0;A=x;B=y;a:while(1){y=B;while(1){if((f[y+16>>2]|0)>>>0>=z>>>0)break;C=f[y+4>>2]|0;if(!C){D=A;break a}else y=C}B=f[y>>2]|0;if(!B){D=y;break}else A=y}if((D|0)!=(x|0)?z>>>0>=(f[D+16>>2]|0)>>>0:0)E=f[D+20>>2]|0;else E=w}else E=w;A=a+4|0;Vg[f[(f[E>>2]|0)+52>>2]&255](E,c,-1,0,(b[A>>0]|0)!=0,d);B=d+20|0;f[B>>2]=(f[B>>2]|0)+1;Y9b(a,i,d);C=f[B>>2]|0;if((C|0)!=0?(C|0)>=(f[d+24>>2]|0):0)f[B>>2]=C+-1;else{iLb(g,2,517133,1200);fLb(h,dLb(g,517226)|0);jLb(g)}Vg[f[(f[E>>2]|0)+56>>2]&255](E,c,-1,0,(b[A>>0]|0)!=0,d);F=1}else{iLb(q,1,517133,1828);fLb(r,dLb(eLb(q,k)|0,517424)|0);jLb(q);F=0}if((b[p+11>>0]|0)<0)fuc(f[p>>2]|0);if(i|0)bi[f[(f[i>>2]|0)+4>>2]&2047](i);b1b(o);v=F}else v=0;while(0);if((b[l+11>>0]|0)<0)fuc(f[l>>2]|0);if((b[k+11>>0]|0)<0)fuc(f[k>>2]|0);s=v;u=e;return s|0}function _9b(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0;d=a;a=c;a:while(1){c=a;e=a+-4|0;g=d;while(1){h=g;b:while(1){i=h;j=c-i|0;k=j>>2;switch(k|0){case 2:{l=5;break a;break}case 3:{l=17;break a;break}case 4:{l=18;break a;break}case 5:{l=19;break a;break}case 1:case 0:{l=207;break a;break}default:{}}if((j|0)<124){l=21;break a}m=h+(((k|0)/2|0)<<2)|0;if((j|0)>3996){j=(k|0)/4|0;n=mac(h,h+(j<<2)|0,m,m+(j<<2)|0,e)|0}else n=kac(h,m,e)|0;j=f[h>>2]|0;k=f[m>>2]|0;o=(b[j+38>>0]|0)==0;p=j;do if(!o){q=f[j+56>>2]|0;if(!q){r=(f[j+20>>2]|0)+80|0;break}else{r=q+40|0;break}}else r=(f[j+48>>2]|0)+20|0;while(0);q=p-(f[r>>2]|0)|0;s=(b[k+38>>0]|0)==0;do if(!s){t=f[k+56>>2]|0;u=k;if(!t){v=u-(f[(f[k+20>>2]|0)+80>>2]|0)|0;break}else{v=u-(f[t+40>>2]|0)|0;break}}else v=k-(f[(f[k+48>>2]|0)+20>>2]|0)|0;while(0);if((q|0)<(v|0)){w=e;x=n;break}t=k+48|0;u=k;y=k+56|0;z=k;A=k+20|0;B=e;while(1){B=B+-4|0;if((h|0)==(B|0))break;C=f[B>>2]|0;D=C;do if(b[C+38>>0]|0){E=f[C+56>>2]|0;if(!E){F=(f[C+20>>2]|0)+80|0;break}else{F=E+40|0;break}}else F=(f[C+48>>2]|0)+20|0;while(0);C=D-(f[F>>2]|0)|0;do if(!s){E=f[y>>2]|0;if(!E){G=z;H=(f[A>>2]|0)+80|0;break}else{G=z;H=E+40|0;break}}else{G=u;H=(f[t>>2]|0)+20|0}while(0);if((C|0)<(G-(f[H>>2]|0)|0)){l=149;break b}}t=h+4|0;u=f[e>>2]|0;z=u;do if(!o){A=f[j+56>>2]|0;if(!A){I=(f[j+20>>2]|0)+80|0;break}else{I=A+40|0;break}}else I=(f[j+48>>2]|0)+20|0;while(0);A=p-(f[I>>2]|0)|0;do if(b[u+38>>0]|0){y=f[u+56>>2]|0;if(!y){J=(f[u+20>>2]|0)+80|0;break}else{J=y+40|0;break}}else J=(f[u+48>>2]|0)+20|0;while(0);if((A|0)<(z-(f[J>>2]|0)|0))K=t;else{if((t|0)==(e|0)){l=207;break a}u=j+20|0;c:do if(o){y=p-(f[(f[j+48>>2]|0)+20>>2]|0)|0;s=t;while(1){k=f[s>>2]|0;do if(b[k+38>>0]|0){q=f[k+56>>2]|0;E=k;if(!q){L=E-(f[(f[k+20>>2]|0)+80>>2]|0)|0;break}else{L=E-(f[q+40>>2]|0)|0;break}}else L=k-(f[(f[k+48>>2]|0)+20>>2]|0)|0;while(0);if((y|0)<(L|0)){M=s;break c}s=s+4|0;if((s|0)==(e|0)){l=207;break a}}}else{s=f[j+56>>2]|0;y=(s|0)==0;C=s+40|0;s=t;while(1){k=f[s>>2]|0;if(y)N=(f[u>>2]|0)+80|0;else N=C;q=p-(f[N>>2]|0)|0;do if(b[k+38>>0]|0){E=f[k+56>>2]|0;O=k;if(!E){P=O-(f[(f[k+20>>2]|0)+80>>2]|0)|0;break}else{P=O-(f[E+40>>2]|0)|0;break}}else P=k-(f[(f[k+48>>2]|0)+20>>2]|0)|0;while(0);if((q|0)<(P|0)){M=s;break c}s=s+4|0;if((s|0)==(e|0)){l=207;break a}}}while(0);u=f[M>>2]|0;f[M>>2]=z;f[e>>2]=u;K=M+4|0}if((K|0)==(e|0)){l=207;break a}else{Q=e;R=K}while(1){u=f[h>>2]|0;t=(b[u+38>>0]|0)==0;j=u+48|0;o=u;A=u+56|0;s=u+20|0;if(t){u=o-(f[(f[j>>2]|0)+20>>2]|0)|0;C=R;while(1){y=f[C>>2]|0;do if(b[y+38>>0]|0){k=f[y+56>>2]|0;E=y;if(!k){S=E-(f[(f[y+20>>2]|0)+80>>2]|0)|0;break}else{S=E-(f[k+40>>2]|0)|0;break}}else S=y-(f[(f[y+48>>2]|0)+20>>2]|0)|0;while(0);if((u|0)<(S|0)){T=C;break}else C=C+4|0}}else{C=f[A>>2]|0;u=(C|0)==0;y=C+40|0;C=R;while(1){q=f[C>>2]|0;if(u)U=(f[s>>2]|0)+80|0;else U=y;k=o-(f[U>>2]|0)|0;do if(b[q+38>>0]|0){E=f[q+56>>2]|0;O=q;if(!E){V=O-(f[(f[q+20>>2]|0)+80>>2]|0)|0;break}else{V=O-(f[E+40>>2]|0)|0;break}}else V=q-(f[(f[q+48>>2]|0)+20>>2]|0)|0;while(0);if((k|0)<(V|0)){T=C;break}else C=C+4|0}}if(t){C=o-(f[(f[j>>2]|0)+20>>2]|0)|0;y=Q;while(1){u=y+-4|0;q=f[u>>2]|0;do if(b[q+38>>0]|0){E=f[q+56>>2]|0;O=q;if(!E){W=O-(f[(f[q+20>>2]|0)+80>>2]|0)|0;break}else{W=O-(f[E+40>>2]|0)|0;break}}else W=q-(f[(f[q+48>>2]|0)+20>>2]|0)|0;while(0);if((C|0)<(W|0))y=u;else{X=u;break}}}else{y=f[A>>2]|0;C=(y|0)==0;j=y+40|0;y=Q;while(1){t=y+-4|0;q=f[t>>2]|0;if(C)Y=(f[s>>2]|0)+80|0;else Y=j;k=o-(f[Y>>2]|0)|0;do if(b[q+38>>0]|0){E=f[q+56>>2]|0;O=q;if(!E){Z=O-(f[(f[q+20>>2]|0)+80>>2]|0)|0;break}else{Z=O-(f[E+40>>2]|0)|0;break}}else Z=q-(f[(f[q+48>>2]|0)+20>>2]|0)|0;while(0);if((k|0)<(Z|0))y=t;else{X=t;break}}}if(T>>>0>=X>>>0){h=T;continue b}y=f[T>>2]|0;f[T>>2]=f[X>>2];f[X>>2]=y;Q=X;R=T+4|0}}if((l|0)==149){l=0;f[h>>2]=D;f[B>>2]=p;w=B;x=n+1|0}z=h+4|0;d:do if(z>>>0<w>>>0){y=m;o=w;j=z;s=x;while(1){C=f[y>>2]|0;A=(b[C+38>>0]|0)==0;q=C+48|0;u=C;E=C+56|0;O=C+20|0;if(A){C=u-(f[(f[q>>2]|0)+20>>2]|0)|0;_=j;while(1){$=f[_>>2]|0;do if(b[$+38>>0]|0){aa=f[$+56>>2]|0;ba=$;if(!aa){ca=ba-(f[(f[$+20>>2]|0)+80>>2]|0)|0;break}else{ca=ba-(f[aa+40>>2]|0)|0;break}}else ca=$-(f[(f[$+48>>2]|0)+20>>2]|0)|0;while(0);if((ca|0)<(C|0))_=_+4|0;else{da=_;break}}}else{_=f[E>>2]|0;C=(_|0)==0;$=_+40|0;_=j;while(1){t=f[_>>2]|0;do if(b[t+38>>0]|0){k=f[t+56>>2]|0;aa=t;if(!k){ea=aa-(f[(f[t+20>>2]|0)+80>>2]|0)|0;break}else{ea=aa-(f[k+40>>2]|0)|0;break}}else ea=t-(f[(f[t+48>>2]|0)+20>>2]|0)|0;while(0);if(C)fa=(f[O>>2]|0)+80|0;else fa=$;if((ea|0)<(u-(f[fa>>2]|0)|0))_=_+4|0;else{da=_;break}}}if(A){_=u-(f[(f[q>>2]|0)+20>>2]|0)|0;$=o;while(1){C=$+-4|0;t=f[C>>2]|0;do if(b[t+38>>0]|0){k=f[t+56>>2]|0;aa=t;if(!k){ga=aa-(f[(f[t+20>>2]|0)+80>>2]|0)|0;break}else{ga=aa-(f[k+40>>2]|0)|0;break}}else ga=t-(f[(f[t+48>>2]|0)+20>>2]|0)|0;while(0);if((ga|0)<(_|0)){ha=C;break}else $=C}}else{$=f[E>>2]|0;_=($|0)==0;q=$+40|0;$=o;while(1){A=$+-4|0;t=f[A>>2]|0;do if(b[t+38>>0]|0){k=f[t+56>>2]|0;aa=t;if(!k){ia=aa-(f[(f[t+20>>2]|0)+80>>2]|0)|0;break}else{ia=aa-(f[k+40>>2]|0)|0;break}}else ia=t-(f[(f[t+48>>2]|0)+20>>2]|0)|0;while(0);if(_)ja=(f[O>>2]|0)+80|0;else ja=q;if((ia|0)<(u-(f[ja>>2]|0)|0)){ha=A;break}else $=A}}if(da>>>0>ha>>>0){ka=y;la=s;ma=da;break d}$=f[da>>2]|0;f[da>>2]=f[ha>>2];f[ha>>2]=$;y=(y|0)==(da|0)?ha:y;o=ha;j=da+4|0;s=s+1|0}}else{ka=m;la=x;ma=z}while(0);if((ma|0)!=(ka|0)){z=f[ka>>2]|0;s=f[ma>>2]|0;j=s;o=z;do if(b[z+38>>0]|0){y=f[z+56>>2]|0;if(!y){na=(f[z+20>>2]|0)+80|0;break}else{na=y+40|0;break}}else na=(f[z+48>>2]|0)+20|0;while(0);z=o-(f[na>>2]|0)|0;do if(b[s+38>>0]|0){y=f[s+56>>2]|0;if(!y){oa=(f[s+20>>2]|0)+80|0;break}else{oa=y+40|0;break}}else oa=(f[s+48>>2]|0)+20|0;while(0);if((z|0)<(j-(f[oa>>2]|0)|0)){f[ma>>2]=o;f[ka>>2]=j;pa=la+1|0}else pa=la}else pa=la;if(!pa){qa=nac(h,ma)|0;s=ma+4|0;if(nac(s,a)|0){l=206;break}if(qa){g=s;continue}}s=ma;if((s-i|0)>=(c-s|0)){l=205;break}_9b(h,ma);g=ma+4|0}if((l|0)==205){l=0;_9b(ma+4|0,a);d=h;a=ma;continue}else if((l|0)==206){l=0;if(qa){l=207;break}else{d=h;a=ma;continue}}}if((l|0)==5){ma=f[e>>2]|0;d=f[h>>2]|0;qa=d;i=ma;do if(b[ma+38>>0]|0){pa=f[ma+56>>2]|0;if(!pa){ra=(f[ma+20>>2]|0)+80|0;break}else{ra=pa+40|0;break}}else ra=(f[ma+48>>2]|0)+20|0;while(0);ma=i-(f[ra>>2]|0)|0;do if(b[d+38>>0]|0){ra=f[d+56>>2]|0;if(!ra){sa=(f[d+20>>2]|0)+80|0;break}else{sa=ra+40|0;break}}else sa=(f[d+48>>2]|0)+20|0;while(0);if((ma|0)>=(qa-(f[sa>>2]|0)|0))return;f[h>>2]=i;f[e>>2]=qa;return}else if((l|0)==17){kac(h,h+4|0,e)|0;return}else if((l|0)==18){lac(h,h+4|0,h+8|0,e)|0;return}else if((l|0)==19){mac(h,h+4|0,h+8|0,h+12|0,e)|0;return}else if((l|0)==21){e=h+8|0;kac(h,h+4|0,e)|0;qa=h+12|0;if((qa|0)==(a|0))return;else{ta=qa;ua=e}while(1){e=f[ta>>2]|0;qa=f[ua>>2]|0;i=(b[e+38>>0]|0)==0;sa=e;do if(!i){ma=f[e+56>>2]|0;if(!ma){va=(f[e+20>>2]|0)+80|0;break}else{va=ma+40|0;break}}else va=(f[e+48>>2]|0)+20|0;while(0);ma=sa-(f[va>>2]|0)|0;do if(b[qa+38>>0]|0){d=f[qa+56>>2]|0;ra=qa;if(!d){wa=ra-(f[(f[qa+20>>2]|0)+80>>2]|0)|0;break}else{wa=ra-(f[d+40>>2]|0)|0;break}}else wa=qa-(f[(f[qa+48>>2]|0)+20>>2]|0)|0;while(0);if((ma|0)<(wa|0)){qa=e+48|0;d=e+56|0;ra=e+20|0;e:do if(i){pa=ua;la=ta;while(1){f[la>>2]=f[pa>>2];if((pa|0)==(h|0)){xa=pa;break e}ka=pa+-4|0;oa=f[ka>>2]|0;na=sa-(f[(f[qa>>2]|0)+20>>2]|0)|0;do if(b[oa+38>>0]|0){x=f[oa+56>>2]|0;m=oa;if(!x){ya=m-(f[(f[oa+20>>2]|0)+80>>2]|0)|0;break}else{ya=m-(f[x+40>>2]|0)|0;break}}else ya=oa-(f[(f[oa+48>>2]|0)+20>>2]|0)|0;while(0);if((na|0)<(ya|0)){oa=pa;pa=ka;la=oa}else{xa=pa;break}}}else{pa=ua;la=ta;while(1){f[la>>2]=f[pa>>2];if((pa|0)==(h|0)){xa=pa;break e}j=pa+-4|0;o=f[j>>2]|0;z=f[d>>2]|0;if(!z)za=(f[ra>>2]|0)+80|0;else za=z+40|0;z=sa-(f[za>>2]|0)|0;do if(b[o+38>>0]|0){oa=f[o+56>>2]|0;x=o;if(!oa){Aa=x-(f[(f[o+20>>2]|0)+80>>2]|0)|0;break}else{Aa=x-(f[oa+40>>2]|0)|0;break}}else Aa=o-(f[(f[o+48>>2]|0)+20>>2]|0)|0;while(0);if((z|0)<(Aa|0)){o=pa;pa=j;la=o}else{xa=pa;break}}}while(0);f[xa>>2]=sa}ra=ta+4|0;if((ra|0)==(a|0))break;else{d=ta;ta=ra;ua=d}}return}else if((l|0)==207)return}function $9b(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;h=u;u=u+32|0;i=h;j=h+24|0;k=e+32|0;if(b[a+6>>0]|0?(f[k>>2]|0)==3:0){l=e+24|0;m=f[l>>2]|0;if(m|0?(f[m>>2]|0)!=2:0){f[i>>2]=110384;f[i+4>>2]=1962;b[i+8>>0]=0;f[i+12>>2]=e;xLb(m,i)}m=e+28|0;if((f[151812+(f[m>>2]<<2)>>2]|0)!=9){n=f[l>>2]|0;if(n|0?(f[n>>2]|0)!=2:0){f[i>>2]=110384;f[i+4>>2]=1962;b[i+8>>0]=0;f[i+12>>2]=e;xLb(n,i)}if((f[151812+(f[m>>2]<<2)>>2]|0)!=10){bac(a,c,d,e,g);u=h;return}}}if((f[k>>2]|0)==3)o=li[f[(f[d>>2]|0)+24>>2]&511](d,c,e)|0;else o=(li[f[(f[d>>2]|0)+20>>2]&511](d,c,e)|0)&1;m=e+24|0;n=f[m>>2]|0;if(n|0?(f[n>>2]|0)!=2:0){f[i>>2]=110384;f[i+4>>2]=1962;b[i+8>>0]=0;f[i+12>>2]=e;xLb(n,i)}n=e+28|0;if((f[n>>2]|0)==11?rQb(e)|0:0){cac(i,c,o,d,e);p=1;q=f[i>>2]|0}else{p=0;q=0}if((o|0)>0){l=a+24|0;r=a+32|0;s=q;t=a+4|0;v=g+20|0;w=g+24|0;x=i+4|0;y=i+8|0;z=i+12|0;A=0;do{B=(f[k>>2]|0)==3?A:-1;dac(a,c,d,e,g);C=f[m>>2]|0;if(C|0?(f[C>>2]|0)!=2:0){f[i>>2]=110384;f[x>>2]=1962;b[y>>0]=0;f[z>>2]=e;xLb(C,i)}do if((f[151812+(f[n>>2]<<2)>>2]|0)!=10){Zh[f[(f[g>>2]|0)+8>>2]&511](g,517123,2);eac(a,c,d,e,B,g);C=f[(f[g>>2]|0)+8>>2]|0;if(!(b[t>>0]|0)){Zh[C&511](g,517126,1);break}else{Zh[C&511](g,530842,1);break}}else{C=f[l>>2]|0;D=f[r>>2]|0;if(D){E=r;F=D;a:while(1){D=F;while(1){if((f[D+16>>2]|0)>>>0>=e>>>0)break;G=f[D+4>>2]|0;if(!G){H=E;break a}else D=G}F=f[D>>2]|0;if(!F){H=D;break}else E=D}if((H|0)!=(r|0)?(f[H+16>>2]|0)>>>0<=e>>>0:0)I=f[H+20>>2]|0;else I=C}else I=C;do if((f[k>>2]|0)==3)if(p){J=f[s+(A<<2)>>2]|0;break}else{J=Cg[f[(f[d>>2]|0)+208>>2]&127](d,c,e,A)|0;break}else J=Cg[f[(f[d>>2]|0)+108>>2]&127](d,c,e,0)|0;while(0);Vg[f[(f[I>>2]|0)+52>>2]&255](I,J,B,o,(b[t>>0]|0)!=0,g);f[v>>2]=(f[v>>2]|0)+1;Y9b(a,J,g);C=f[v>>2]|0;if((C|0)!=0?(C|0)>=(f[w>>2]|0):0)f[v>>2]=C+-1;else{iLb(i,2,517133,1200);fLb(j,dLb(i,517226)|0);jLb(i)}Vg[f[(f[I>>2]|0)+56>>2]&255](I,J,B,o,(b[t>>0]|0)!=0,g)}while(0);A=A+1|0}while((A|0)<(o|0))}if(!q){u=h;return}fuc(q);u=h;return}function aac(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0;e=u;u=u+128|0;g=e+32|0;h=e+108|0;i=e+96|0;j=e+56|0;k=e+16|0;l=e;m=i+11|0;n=i+4|0;o=g+11|0;p=g+4|0;q=a+4|0;r=k+8|0;s=j+4|0;t=h+11|0;v=h+4|0;w=h+8|0;x=l+8|0;y=j+4|0;z=h+11|0;A=h+4|0;B=h+8|0;C=g+11|0;D=g+4|0;E=d+20|0;F=d+24|0;G=0;a:while(1){H=f[c>>2]|0;if(!H)I=0;else I=(f[H+4>>2]|0)-(f[H>>2]|0)>>4;if((G|0)>=(I|0)){J=5;break}K=f[H>>2]|0;_dc(i,f[K+(G<<4)>>2]|0);b:do switch(f[K+(G<<4)+4>>2]|0){case 0:{H=b[m>>0]|0;L=H<<24>>24<0;Zh[f[(f[d>>2]|0)+8>>2]&511](d,L?f[i>>2]|0:i,L?f[n>>2]|0:H&255);Zh[f[(f[d>>2]|0)+8>>2]&511](d,517123,2);H=K+(G<<4)+8|0;bec(g,f[H>>2]|0,f[H+4>>2]|0);H=b[o>>0]|0;L=H<<24>>24<0;Zh[f[(f[d>>2]|0)+8>>2]&511](d,L?f[g>>2]|0:g,L?f[p>>2]|0:H&255);if((b[o>>0]|0)<0)fuc(f[g>>2]|0);H=f[(f[d>>2]|0)+8>>2]|0;if(!(b[q>>0]|0)){Zh[H&511](d,517126,1);break b}else{Zh[H&511](d,530842,1);break b}break}case 1:{H=b[m>>0]|0;L=H<<24>>24<0;Zh[f[(f[d>>2]|0)+8>>2]&511](d,L?f[i>>2]|0:i,L?f[n>>2]|0:H&255);Zh[f[(f[d>>2]|0)+8>>2]&511](d,517128,4);H=f[K+(G<<4)+8>>2]|0;f[r>>2]=8;L=k;f[L>>2]=H;f[L+4>>2]=0;f[g>>2]=f[k>>2];f[g+4>>2]=f[k+4>>2];f[g+8>>2]=f[k+8>>2];f[g+12>>2]=f[k+12>>2];iec(j,g);L=f[j>>2]|0;H=f[s>>2]|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;if(H>>>0>4294967279){J=13;break a}if(H>>>0<11){b[t>>0]=H;if(!H)M=h;else{N=h;J=17}}else{O=H+16&-16;P=cuc(O)|0;f[h>>2]=P;f[w>>2]=O|-2147483648;f[v>>2]=H;N=P;J=17}if((J|0)==17){J=0;szc(N|0,L|0,H|0)|0;M=N}b[M+H>>0]=0;H=b[t>>0]|0;L=H<<24>>24<0;Zh[f[(f[d>>2]|0)+8>>2]&511](d,L?f[h>>2]|0:h,L?f[v>>2]|0:H&255);if((b[t>>0]|0)<0)fuc(f[h>>2]|0);H=f[(f[d>>2]|0)+8>>2]|0;if(!(b[q>>0]|0)){Zh[H&511](d,517126,1);break b}else{Zh[H&511](d,530842,1);break b}break}case 2:{H=b[m>>0]|0;L=H<<24>>24<0;Zh[f[(f[d>>2]|0)+8>>2]&511](d,L?f[i>>2]|0:i,L?f[n>>2]|0:H&255);Zh[f[(f[d>>2]|0)+8>>2]&511](d,517128,4);H=K+(G<<4)+8|0;L=f[H>>2]|0;P=f[H+4>>2]|0;f[x>>2]=16;H=l;f[H>>2]=L;f[H+4>>2]=P;f[g>>2]=f[l>>2];f[g+4>>2]=f[l+4>>2];f[g+8>>2]=f[l+8>>2];f[g+12>>2]=f[l+12>>2];iec(j,g);P=f[j>>2]|0;H=f[y>>2]|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;if(H>>>0>4294967279){J=24;break a}if(H>>>0<11){b[z>>0]=H;if(!H)Q=h;else{R=h;J=28}}else{L=H+16&-16;O=cuc(L)|0;f[h>>2]=O;f[B>>2]=L|-2147483648;f[A>>2]=H;R=O;J=28}if((J|0)==28){J=0;szc(R|0,P|0,H|0)|0;Q=R}b[Q+H>>0]=0;H=b[z>>0]|0;P=H<<24>>24<0;Zh[f[(f[d>>2]|0)+8>>2]&511](d,P?f[h>>2]|0:h,P?f[A>>2]|0:H&255);if((b[z>>0]|0)<0)fuc(f[h>>2]|0);H=f[(f[d>>2]|0)+8>>2]|0;if(!(b[q>>0]|0)){Zh[H&511](d,517126,1);break b}else{Zh[H&511](d,530842,1);break b}break}case 3:{H=b[m>>0]|0;P=H<<24>>24<0;Zh[f[(f[d>>2]|0)+8>>2]&511](d,P?f[i>>2]|0:i,P?f[n>>2]|0:H&255);H=f[K+(G<<4)+8>>2]|0;f[j>>2]=0;P=b[H+11>>0]|0;O=P<<24>>24<0;if(O)S=f[H+4>>2]|0;else S=P&255;do if((S|0)!=0?rbc(j,O?f[H>>2]|0:H,O?f[H+4>>2]|0:P&255)|0:0){L=f[(f[d>>2]|0)+8>>2]|0;if(!(b[q>>0]|0)){Zh[L&511](d,517023,3);f[E>>2]=(f[E>>2]|0)+1}else Zh[L&511](d,517019,3);aac(a,j,d);if(b[q>>0]|0){Zh[f[(f[d>>2]|0)+8>>2]&511](d,516963,2);break}L=f[E>>2]|0;if((L|0)!=0?(L|0)>=(f[F>>2]|0):0)f[E>>2]=L+-1;else{iLb(g,2,517133,1200);fLb(h,dLb(g,517226)|0);jLb(g)}Zh[f[(f[d>>2]|0)+8>>2]&511](d,516966,2)}else J=49;while(0);do if((J|0)==49){J=0;Zh[f[(f[d>>2]|0)+8>>2]&511](d,517264,3);Udc(g,H);P=b[C>>0]|0;O=P<<24>>24<0;Zh[f[(f[d>>2]|0)+8>>2]&511](d,O?f[g>>2]|0:g,O?f[D>>2]|0:P&255);if((b[C>>0]|0)<0)fuc(f[g>>2]|0);P=f[(f[d>>2]|0)+8>>2]|0;if(!(b[q>>0]|0)){Zh[P&511](d,517271,2);break}else{Zh[P&511](d,517268,2);break}}while(0);if(f[j>>2]|0)ebc(j);break}case 4:{H=b[m>>0]|0;P=H<<24>>24<0;Zh[f[(f[d>>2]|0)+8>>2]&511](d,P?f[i>>2]|0:i,P?f[n>>2]|0:H&255);H=f[(f[d>>2]|0)+8>>2]|0;if(!(b[q>>0]|0)){Zh[H&511](d,517023,3);f[E>>2]=(f[E>>2]|0)+1}else Zh[H&511](d,517019,3);aac(a,f[K+(G<<4)+8>>2]|0,d);if(b[q>>0]|0){Zh[f[(f[d>>2]|0)+8>>2]&511](d,516963,2);break b}H=f[E>>2]|0;if((H|0)!=0?(H|0)>=(f[F>>2]|0):0)f[E>>2]=H+-1;else{iLb(g,2,517133,1200);fLb(h,dLb(g,517226)|0);jLb(g)}Zh[f[(f[d>>2]|0)+8>>2]&511](d,516966,2);break}default:{}}while(0);if((b[m>>0]|0)<0)fuc(f[i>>2]|0);G=G+1|0}if((J|0)==5){u=e;return}else if((J|0)==13)muc(h);else if((J|0)==24)muc(h)}function bac(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0;dac(a,c,d,e,g);h=li[f[(f[d>>2]|0)+24>>2]&511](d,c,e)|0;Zh[f[(f[g>>2]|0)+8>>2]&511](g,517391,3);if((h|0)>0){i=0;do{if((i|0)>0)Zh[f[(f[g>>2]|0)+8>>2]&511](g,531032,2);eac(a,c,d,e,i,g);i=i+1|0}while((i|0)!=(h|0))}h=f[(f[g>>2]|0)+8>>2]|0;if(!(b[a+4>>0]|0)){Zh[h&511](g,517398,2);return}else{Zh[h&511](g,517395,2);return}}function cac(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;g=u;u=u+32|0;h=g+16|0;i=g+12|0;j=g+8|0;k=g+4|0;l=g;f[a>>2]=0;m=a+4|0;f[m>>2]=0;f[a+8>>2]=0;if(c|0){if(c>>>0>1073741823)nsc(a);n=cuc(c<<2)|0;f[m>>2]=n;f[a>>2]=n;f[a+8>>2]=n+(c<<2);o=c;c=n;do{f[c>>2]=0;c=(f[m>>2]|0)+4|0;f[m>>2]=c;o=o+-1|0}while((o|0)!=0)}o=Wf[f[(f[d>>2]|0)+328>>2]&127](d,b,e,10,-1,0)|0;b=o+12|0;d=f[b>>2]|0;c=f[o+4>>2]|0;if(c|0){o=0;n=(d|0)==0?0:d+4|0;while(1){f[(f[a>>2]|0)+(o<<2)>>2]=f[n>>2];n=n+4|0;d=f[b>>2]|0;if((n|0)==(((d|0)==0?0:d+4|0)+(c<<2)|0))break;else o=o+1|0}}o=(tQb(e)|0)+20|0;e=f[a>>2]|0;a=f[m>>2]|0;f[l>>2]=f[o>>2];o=a-e|0;m=o>>2;if((o|0)>512){o=(m|0)<536870911?m:536870911;while(1){c=duc(o<<2,1171379)|0;if(c|0){p=c;q=o;break}o=o>>>1;if(!o){p=0;q=0;break}}r=p;s=q;t=p}else{r=0;s=0;t=0}f[j>>2]=e;f[k>>2]=a;f[i>>2]=f[j>>2];f[h>>2]=f[k>>2];fac(i,h,l,m,r,s);if(!r){u=g;return}fuc(t);u=g;return}function dac(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;h=u;u=u+16|0;i=h;if(b[a+5>>0]|0){_dc(i,f[e+40>>2]|0);j=i+11|0;k=b[j>>0]|0;l=k<<24>>24<0;Zh[f[(f[g>>2]|0)+8>>2]&511](g,l?f[i>>2]|0:i,l?f[i+4>>2]|0:k&255);if((b[j>>0]|0)<0)fuc(f[i>>2]|0);u=h;return}i=f[a+24>>2]|0;j=a+32|0;a=f[j>>2]|0;if(a){k=j;l=a;a:while(1){a=l;while(1){if((f[a+16>>2]|0)>>>0>=e>>>0)break;m=f[a+4>>2]|0;if(!m){n=k;break a}else a=m}l=f[a>>2]|0;if(!l){n=a;break}else k=a}if((n|0)!=(j|0)?(f[n+16>>2]|0)>>>0<=e>>>0:0)o=f[n+20>>2]|0;else o=i}else o=i;th[f[(f[o>>2]|0)+48>>2]&255](o,c,d,e,g);u=h;return}function eac(a,c,e,g,h,i){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0.0,F=0.0,G=0,H=0,I=0,K=0,L=0,M=0;j=u;u=u+64|0;k=j;l=j+40|0;m=j+28|0;n=j+16|0;o=j+4|0;p=f[a+24>>2]|0;q=a+32|0;r=f[q>>2]|0;if(r){s=q;t=r;a:while(1){r=t;while(1){if((f[r+16>>2]|0)>>>0>=g>>>0)break;v=f[r+4>>2]|0;if(!v){w=s;break a}else r=v}t=f[r>>2]|0;if(!t){w=r;break}else s=r}if((w|0)!=(q|0)?(f[w+16>>2]|0)>>>0<=g>>>0:0)x=f[w+20>>2]|0;else x=p}else x=p;p=g+24|0;w=f[p>>2]|0;if(w|0?(f[w>>2]|0)!=2:0){f[l>>2]=110384;f[l+4>>2]=1962;b[l+8>>0]=0;f[l+12>>2]=g;xLb(w,l)}w=g+28|0;do switch(f[151812+(f[w>>2]<<2)>>2]|0){case 1:{q=f[(f[x>>2]|0)+12>>2]|0;if((f[g+32>>2]|0)==3)y=Cg[f[(f[e>>2]|0)+168>>2]&127](e,c,g,h)|0;else y=li[f[(f[e>>2]|0)+68>>2]&511](e,c,g)|0;Zh[q&511](x,y,i);u=j;return}case 2:{q=f[(f[x>>2]|0)+20>>2]|0;if((f[g+32>>2]|0)==3){s=Cg[f[(f[e>>2]|0)+172>>2]&127](e,c,g,h)|0;z=s;A=J}else{s=li[f[(f[e>>2]|0)+72>>2]&511](e,c,g)|0;z=s;A=J}sh[q&255](x,z,A,i);u=j;return}case 3:{q=f[(f[x>>2]|0)+16>>2]|0;if((f[g+32>>2]|0)==3)B=Cg[f[(f[e>>2]|0)+176>>2]&127](e,c,g,h)|0;else B=li[f[(f[e>>2]|0)+76>>2]&511](e,c,g)|0;Zh[q&511](x,B,i);u=j;return}case 4:{q=f[(f[x>>2]|0)+24>>2]|0;if((f[g+32>>2]|0)==3){s=Cg[f[(f[e>>2]|0)+180>>2]&127](e,c,g,h)|0;C=s;D=J}else{s=li[f[(f[e>>2]|0)+80>>2]&511](e,c,g)|0;C=s;D=J}sh[q&255](x,C,D,i);u=j;return}case 6:{q=f[(f[x>>2]|0)+28>>2]|0;if((f[g+32>>2]|0)==3)E=+Jh[f[(f[e>>2]|0)+184>>2]&15](e,c,g,h);else E=+eh[f[(f[e>>2]|0)+84>>2]&31](e,c,g);eg[q&7](x,E,i);u=j;return}case 5:{q=f[(f[x>>2]|0)+32>>2]|0;if((f[g+32>>2]|0)==3)F=+Jh[f[(f[e>>2]|0)+188>>2]&15](e,c,g,h);else F=+eh[f[(f[e>>2]|0)+88>>2]&31](e,c,g);eg[q&7](x,F,i);u=j;return}case 7:{q=f[(f[x>>2]|0)+8>>2]|0;if((f[g+32>>2]|0)==3)G=Cg[f[(f[e>>2]|0)+192>>2]&127](e,c,g,h)|0;else G=li[f[(f[e>>2]|0)+92>>2]&511](e,c,g)|0;Zh[q&511](x,G,i);u=j;return}case 9:{f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;if((f[g+32>>2]|0)==3)H=mh[f[(f[e>>2]|0)+212>>2]&127](e,c,g,h,m)|0;else H=Cg[f[(f[e>>2]|0)+112>>2]&127](e,c,g,m)|0;f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;q=a+16|0;s=f[q>>2]|0;t=f[q+4>>2]|0;if((t|0)>0|(t|0)==0&s>>>0>0){q=b[H+11>>0]|0;if(q<<24>>24<0)I=f[H+4>>2]|0;else I=q&255;if((t|0)<0|(t|0)==0&s>>>0<I>>>0){puc(o,H,0,s,H);s=Duc(o,517274)|0;t=f[s>>2]|0;q=s+4|0;f[l>>2]=f[q>>2];d[l+4>>1]=d[q+4>>1]|0;b[l+6>>0]=b[q+6>>0]|0;q=b[s+11>>0]|0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;s=n+11|0;if((b[s>>0]|0)<0){b[f[n>>2]>>0]=0;f[n+4>>2]=0}else{b[n>>0]=0;b[s>>0]=0}vuc(n,0);f[n>>2]=t;t=n+4|0;f[t>>2]=f[l>>2];d[t+4>>1]=d[l+4>>1]|0;b[t+6>>0]=b[l+6>>0]|0;b[n+11>>0]=q;f[l>>2]=0;d[l+4>>1]=0;b[l+6>>0]=0;if((b[o+11>>0]|0)<0)fuc(f[o>>2]|0);K=n}else K=H}else K=H;q=f[p>>2]|0;if(q|0?(f[q>>2]|0)!=2:0){f[l>>2]=110384;f[l+4>>2]=1962;b[l+8>>0]=0;f[l+12>>2]=g;xLb(q,l)}q=f[x>>2]|0;if((f[w>>2]|0)==9)Zh[f[q+36>>2]&511](x,K,i);else Zh[f[q+40>>2]&511](x,K,i);if((b[n+11>>0]|0)<0)fuc(f[n>>2]|0);if((b[m+11>>0]|0)<0)fuc(f[m>>2]|0);u=j;return}case 8:{if((f[g+32>>2]|0)==3)L=Cg[f[(f[e>>2]|0)+204>>2]&127](e,c,g,h)|0;else L=li[f[(f[e>>2]|0)+104>>2]&511](e,c,g)|0;q=mQb(uQb(g)|0,L)|0;t=f[(f[x>>2]|0)+44>>2]|0;if(q|0){sh[t&255](x,L,f[q>>2]|0,i);u=j;return}f[k>>2]=L;Ldc(l,517292,k);sh[t&255](x,L,l,i);if((b[l+11>>0]|0)<0)fuc(f[l>>2]|0);u=j;return}case 10:{if((f[g+32>>2]|0)==3)M=Cg[f[(f[e>>2]|0)+208>>2]&127](e,c,g,h)|0;else M=Cg[f[(f[e>>2]|0)+108>>2]&127](e,c,g,0)|0;Y9b(a,M,i);u=j;return}default:{u=j;return}}while(0)}function fac(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0;h=u;u=u+64|0;i=h+52|0;j=h+48|0;k=h+44|0;l=h+40|0;m=h+36|0;n=h+32|0;o=h+28|0;p=h+24|0;q=h+20|0;r=h+16|0;s=h+12|0;t=h+8|0;v=h+4|0;w=h;switch(d|0){case 2:{x=(f[b>>2]|0)+-4|0;f[b>>2]=x;y=f[a>>2]|0;if(!(gac(c,f[x>>2]|0,f[y>>2]|0)|0)){u=h;return}z=f[y>>2]|0;f[y>>2]=f[x>>2];f[x>>2]=z;u=h;return}case 1:case 0:{u=h;return}default:{if((d|0)<129){z=f[a>>2]|0;x=f[b>>2]|0;if((z|0)==(x|0)){u=h;return}y=z+4|0;if((y|0)==(x|0)){u=h;return}else A=y;do{y=A;B=f[A>>2]|0;a:do if((A|0)==(z|0))C=y;else{D=B;E=y;F=A;while(1){F=F+-4|0;if(!(gac(c,D,f[F>>2]|0)|0)){C=E;break a}f[E>>2]=f[F>>2];G=E+-4|0;if((F|0)==(z|0)){C=G;break}else E=G}}while(0);f[C>>2]=B;A=A+4|0}while((A|0)!=(x|0));u=h;return}x=d>>>1;A=f[a>>2]|0;a=A+(x<<2)|0;C=A;if((d|0)>(g|0)){f[p>>2]=C;f[q>>2]=a;f[j>>2]=f[p>>2];f[i>>2]=f[q>>2];fac(j,i,c,x,e,g);f[r>>2]=a;q=f[b>>2]|0;f[s>>2]=q;p=d-x|0;f[j>>2]=f[r>>2];f[i>>2]=f[s>>2];fac(j,i,c,p,e,g);f[t>>2]=C;f[v>>2]=a;f[w>>2]=q;f[k>>2]=f[t>>2];f[j>>2]=f[v>>2];f[i>>2]=f[w>>2];iac(k,j,i,c,x,p,e,g);u=h;return}f[l>>2]=C;f[m>>2]=a;f[j>>2]=f[l>>2];f[i>>2]=f[m>>2];hac(j,i,c,x,e);f[n>>2]=a;f[o>>2]=f[b>>2];b=e+(x<<2)|0;f[j>>2]=f[n>>2];f[i>>2]=f[o>>2];hac(j,i,c,d-x|0,b);x=e+(d<<2)|0;d=b;i=e;e=C;while(1){if((d|0)==(x|0))break;if(gac(c,f[d>>2]|0,f[i>>2]|0)|0){C=e;f[C>>2]=f[d>>2];H=d+4|0;I=i;J=C}else{C=e;f[C>>2]=f[i>>2];H=d;I=i+4|0;J=C}K=J+4|0;if((I|0)==(b|0)){L=14;break}else{d=H;i=I;e=K}}if((L|0)==14){if((H|0)==(x|0)){u=h;return}else{M=H;N=K}while(1){f[N>>2]=f[M>>2];M=M+4|0;if((M|0)==(x|0))break;else N=N+4|0}u=h;return}if((i|0)==(b|0)){u=h;return}N=i;i=e;while(1){f[i>>2]=f[N>>2];N=N+4|0;if((N|0)==(b|0))break;else i=i+4|0}u=h;return}}}function gac(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;e=u;u=u+64|0;g=e+40|0;h=e;i=e+16|0;j=e+56|0;yh[f[(f[c>>2]|0)+96>>2]&2047](g,c);k=f[g+4>>2]|0;l=f[a>>2]|0;m=f[l+24>>2]|0;if(m|0?(f[m>>2]|0)!=2:0){f[g>>2]=110384;f[g+4>>2]=1962;b[g+8>>0]=0;f[g+12>>2]=l;xLb(m,g)}switch(f[151812+(f[l+28>>2]<<2)>>2]|0){case 7:{l=li[f[(f[k>>2]|0)+92>>2]&511](k,c,f[a>>2]|0)|0;n=(li[f[(f[k>>2]|0)+92>>2]&511](k,d,f[a>>2]|0)|0)&(l^1);u=e;return n|0}case 1:{n=(li[f[(f[k>>2]|0)+68>>2]&511](k,c,f[a>>2]|0)|0)<(li[f[(f[k>>2]|0)+68>>2]&511](k,d,f[a>>2]|0)|0);u=e;return n|0}case 2:{l=li[f[(f[k>>2]|0)+72>>2]&511](k,c,f[a>>2]|0)|0;m=J;o=li[f[(f[k>>2]|0)+72>>2]&511](k,d,f[a>>2]|0)|0;p=J;n=(m|0)<(p|0)|(m|0)==(p|0)&l>>>0<o>>>0;u=e;return n|0}case 3:{n=(li[f[(f[k>>2]|0)+76>>2]&511](k,c,f[a>>2]|0)|0)>>>0<(li[f[(f[k>>2]|0)+76>>2]&511](k,d,f[a>>2]|0)|0)>>>0;u=e;return n|0}case 4:{o=li[f[(f[k>>2]|0)+80>>2]&511](k,c,f[a>>2]|0)|0;l=J;p=li[f[(f[k>>2]|0)+80>>2]&511](k,d,f[a>>2]|0)|0;m=J;n=l>>>0<m>>>0|(l|0)==(m|0)&o>>>0<p>>>0;u=e;return n|0}case 9:{sh[f[(f[k>>2]|0)+96>>2]&255](g,k,c,f[a>>2]|0);sh[f[(f[k>>2]|0)+96>>2]&255](h,k,d,f[a>>2]|0);a=b[h+11>>0]|0;d=a<<24>>24<0;k=d?f[h+4>>2]|0:a&255;a=g+11|0;c=b[a>>0]|0;p=c<<24>>24<0;o=p?f[g+4>>2]|0:c&255;m=k>>>0<o>>>0;l=m?k:o;if((l|0)!=0?(q=ahc(p?f[g>>2]|0:g,d?f[h>>2]|0:h,l)|0,(q|0)!=0):0)r=q;else r=o>>>0<k>>>0?-1:m&1;if(d){fuc(f[h>>2]|0);s=b[a>>0]|0}else s=c;if(s<<24>>24<0)fuc(f[g>>2]|0);n=(r|0)<0;u=e;return n|0}default:{iLb(i,2,517295,223);fLb(j,dLb(i,519154)|0);jLb(i);n=1;u=e;return n|0}}return 0}function hac(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;g=u;u=u+32|0;h=g+8|0;i=g;j=g+24|0;k=g+20|0;l=g+16|0;m=g+12|0;switch(d|0){case 1:{f[e>>2]=f[f[a>>2]>>2];u=g;return}case 2:{n=(f[b>>2]|0)+-4|0;f[b>>2]=n;o=gac(c,f[n>>2]|0,f[f[a>>2]>>2]|0)|0;f[e>>2]=f[f[(o?b:a)>>2]>>2];f[e+4>>2]=f[f[(o?a:b)>>2]>>2];u=g;return}case 0:{u=g;return}default:{if((d|0)>=9){o=d>>>1;n=f[a>>2]|0;p=n+(o<<2)|0;q=n;f[j>>2]=q;f[k>>2]=p;f[i>>2]=f[j>>2];f[h>>2]=f[k>>2];fac(i,h,c,o,e,o);f[l>>2]=p;k=f[b>>2]|0;f[m>>2]=k;j=d-o|0;f[i>>2]=f[l>>2];f[h>>2]=f[m>>2];fac(i,h,c,j,e+(o<<2)|0,j);f[h>>2]=p;f[i>>2]=q;q=k;a:do if(o){if((p|0)==(q|0)){r=e;s=n}else{k=e;j=p;m=n;while(1){l=gac(c,f[j>>2]|0,f[m>>2]|0)|0;d=l?h:i;l=f[d>>2]|0;f[k>>2]=f[l>>2];f[d>>2]=l+4;l=k+4|0;d=f[i>>2]|0;j=f[h>>2]|0;if((d|0)==(p|0)){t=l;v=j;w=16;break a}if((j|0)==(q|0)){r=l;s=d;break}else{k=l;m=d}}}if((s|0)!=(p|0)){m=r;k=s;while(1){f[m>>2]=f[k>>2];k=(f[i>>2]|0)+4|0;f[i>>2]=k;if((k|0)==(p|0))break;else m=m+4|0}}}else{t=e;v=n;w=16}while(0);if((w|0)==16?(v|0)!=(q|0):0){w=t;t=v;while(1){f[w>>2]=f[t>>2];t=(f[h>>2]|0)+4|0;f[h>>2]=t;if((t|0)==(q|0))break;else w=w+4|0}}u=g;return}w=f[a>>2]|0;a=f[b>>2]|0;if((w|0)==(a|0)){u=g;return}b=f[w>>2]|0;f[e>>2]=b;q=w+4|0;if((q|0)==(a|0)){u=g;return}w=e;t=q;q=b;while(1){b=w+4|0;b:do if(gac(c,f[t>>2]|0,q)|0){f[b>>2]=f[w>>2];if((w|0)==(e|0))x=e;else{h=w;while(1){v=h;h=h+-4|0;if(!(gac(c,f[t>>2]|0,f[h>>2]|0)|0)){x=v;break b}f[v>>2]=f[h>>2];if((h|0)==(e|0)){x=e;break}}}}else x=b;while(0);f[x>>2]=f[t>>2];h=t+4|0;if((h|0)==(a|0))break;w=b;t=h;q=f[b>>2]|0}u=g;return}}}function iac(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0;j=u;u=u+64|0;k=j+52|0;l=j+48|0;m=j+44|0;n=j+40|0;o=j+36|0;p=j+32|0;q=j+20|0;r=j+12|0;s=j+28|0;t=j+24|0;v=j+16|0;w=j+8|0;x=j+4|0;y=j;if(!g){u=j;return}z=e;e=g;a:while(1){if(!((e|0)>(i|0)&(z|0)>(i|0))){A=6;break}if(!z){A=42;break}B=f[b>>2]|0;g=B;C=z;D=f[a>>2]|0;while(1){if(gac(d,f[B>>2]|0,f[D>>2]|0)|0)break;E=D+4|0;f[a>>2]=E;F=C+-1|0;if(!F){A=42;break a}else{C=F;D=E}}E=D;if((C|0)<(e|0)){F=(e|0)/2|0;G=B+(F<<2)|0;H=G;f[r>>2]=H;I=g-E>>2;if(!I)J=D;else{K=I;I=D;L=D;while(1){M=(K|0)/2|0;N=L+(M<<2)|0;O=gac(d,f[G>>2]|0,f[N>>2]|0)|0;P=N+4|0;N=O?I:P;K=O?M:K+-1-M|0;if(!K){J=N;break}else{I=N;L=O?L:P}}}L=J;f[q>>2]=L;Q=L-E>>2;R=F;S=H;T=L}else{if((C|0)==1){A=14;break}L=(C|0)/2|0;I=D+(L<<2)|0;K=I;f[q>>2]=K;G=(f[c>>2]|0)-g>>2;if(!G)U=B;else{P=G;G=B;O=B;while(1){N=(P|0)/2|0;M=O+(N<<2)|0;V=gac(d,f[M>>2]|0,f[I>>2]|0)|0;W=M+4|0;M=V?W:G;P=V?P+-1-N|0:N;if(!P){U=M;break}else{G=M;O=V?W:O}}}O=U;f[r>>2]=O;Q=L;R=O-g>>2;S=O;T=K}O=C-Q|0;G=e-R|0;P=T;I=S;b:do if((P|0)!=(B|0))if((B|0)==(I|0))X=P;else{if((P+4|0)==(B|0)){H=f[T>>2]|0;F=S-g|0;E=F>>2;if(E|0)uzc(T|0,B|0,F|0)|0;F=P+(E<<2)|0;f[F>>2]=H;X=F;break}if((B+4|0)==(I|0)){F=f[B>>2]|0;H=g-T|0;E=H>>2;W=I+(0-E<<2)|0;if(!E)Y=I;else{uzc(W|0,T|0,H|0)|0;Y=W}f[T>>2]=F;X=Y;break}F=g-T>>2;W=S-g>>2;if((F|0)==(W|0)){H=P;E=B;while(1){V=f[H>>2]|0;f[H>>2]=f[E>>2];f[E>>2]=V;H=H+4|0;if((H|0)==(B|0)){X=B;break b}else E=E+4|0}}else{Z=F;_=W}while(1){E=(Z|0)%(_|0)|0;if(!E)break;else{H=_;_=E;Z=H}}if(!_)$=P;else{H=(_<<2)+-4|0;E=P+(_<<2)|0;do{E=E+-4|0;V=f[E>>2]|0;M=E+(F<<2)|0;N=E;while(1){f[N>>2]=f[M>>2];N=M;aa=S-N>>2;ba=(F|0)<(aa|0)?M+(F<<2)|0:P+(F-aa<<2)|0;if((ba|0)==(E|0))break;else M=ba}f[M>>2]=V}while((E|0)!=(P|0));$=P+(_+-1-(H>>>2)<<2)|0}X=$+(W<<2)|0}else X=I;while(0);f[b>>2]=X;I=X;if((Q+R|0)<(O+G|0)){f[s>>2]=f[a>>2];f[t>>2]=f[q>>2];f[v>>2]=I;f[m>>2]=f[s>>2];f[l>>2]=f[t>>2];f[k>>2]=f[v>>2];iac(m,l,k,d,Q,R,h,i);ca=G;da=O;ea=r;fa=a}else{f[w>>2]=I;f[x>>2]=f[r>>2];f[y>>2]=f[c>>2];f[m>>2]=f[w>>2];f[l>>2]=f[x>>2];f[k>>2]=f[y>>2];iac(m,l,k,d,O,G,h,i);ca=R;da=Q;ea=q;fa=c}f[fa>>2]=I;f[b>>2]=f[ea>>2];if(!ca){A=42;break}else{z=da;e=ca}}if((A|0)==6){f[n>>2]=f[a>>2];f[o>>2]=f[b>>2];f[p>>2]=f[c>>2];f[m>>2]=f[n>>2];f[l>>2]=f[o>>2];f[k>>2]=f[p>>2];jac(m,l,k,d,z,e,h);u=j;return}else if((A|0)==14){h=f[D>>2]|0;f[D>>2]=f[B>>2];f[B>>2]=h;u=j;return}else if((A|0)==42){u=j;return}}function jac(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;i=u;u=u+16|0;j=i;k=i+4|0;if((e|0)>(g|0)){g=f[b>>2]|0;e=g;l=f[c>>2]|0;if((e|0)==(l|0)){m=h;n=l;o=g}else{l=h;p=g;g=e;while(1){f[l>>2]=f[p>>2];e=g+4|0;q=l+4|0;r=f[c>>2]|0;if((e|0)==(r|0))break;else{l=q;p=e;g=e}}m=q;n=r;o=f[b>>2]|0}r=f[a>>2]|0;f[j>>2]=o;f[k>>2]=m;a:do if((m|0)!=(h|0)){q=o;if((q|0)==(r|0)){s=m;t=n}else{g=q;q=m;p=n;while(1){l=gac(d,f[g+-4>>2]|0,f[q+-4>>2]|0)|0;e=l?k:j;l=(f[e>>2]|0)+-4|0;v=p+-4|0;f[v>>2]=f[l>>2];f[e>>2]=l;l=f[k>>2]|0;if((l|0)==(h|0))break a;g=f[j>>2]|0;if((g|0)==(r|0)){s=l;t=v;break}else{q=l;p=v}}}if((s|0)!=(h|0)){p=s;q=t;do{p=p+-4|0;q=q+-4|0;f[q>>2]=f[p>>2]}while((p|0)!=(h|0))}}while(0);u=i;return}t=f[a>>2]|0;s=t;if((s|0)==(f[b>>2]|0)){w=h;x=t;y=s}else{r=h;k=t;t=s;while(1){f[r>>2]=f[k>>2];z=t+4|0;A=r+4|0;if((z|0)==(f[b>>2]|0))break;else{r=A;k=z;t=z}}w=A;x=f[a>>2]|0;y=z}z=f[c>>2]|0;f[j>>2]=f[d>>2];b:do if((w|0)!=(h|0)){d=h;c=x;a=y;A=y;while(1){if((a|0)==(z|0))break;if(gac(j,f[a>>2]|0,f[d>>2]|0)|0){t=c;f[t>>2]=f[A>>2];k=A+4|0;B=d;C=t;D=k;E=k}else{k=c;f[k>>2]=f[d>>2];B=d+4|0;C=k;D=A;E=a}if((B|0)==(w|0))break b;else{d=B;c=C+4|0;a=E;A=D}}A=w-d|0;if(A|0)uzc(c|0,d|0,A|0)|0}while(0);u=i;return}function kac(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;e=f[c>>2]|0;g=f[a>>2]|0;h=(b[e+38>>0]|0)==0;i=e;j=g;do if(!h){k=f[e+56>>2]|0;if(!k){l=(f[e+20>>2]|0)+80|0;break}else{l=k+40|0;break}}else l=(f[e+48>>2]|0)+20|0;while(0);k=i-(f[l>>2]|0)|0;l=(b[g+38>>0]|0)==0;do if(!l){m=f[g+56>>2]|0;if(!m){n=(f[g+20>>2]|0)+80|0;break}else{n=m+40|0;break}}else n=(f[g+48>>2]|0)+20|0;while(0);m=(k|0)<(j-(f[n>>2]|0)|0);n=f[d>>2]|0;k=n;do if(b[n+38>>0]|0){o=f[n+56>>2]|0;if(!o){p=(f[n+20>>2]|0)+80|0;break}else{p=o+40|0;break}}else p=(f[n+48>>2]|0)+20|0;while(0);n=k-(f[p>>2]|0)|0;do if(!h){p=f[e+56>>2]|0;if(!p){q=(f[e+20>>2]|0)+80|0;break}else{q=p+40|0;break}}else q=(f[e+48>>2]|0)+20|0;while(0);e=(n|0)<(i-(f[q>>2]|0)|0);if(!m){if(!e){r=0;return r|0}f[c>>2]=k;f[d>>2]=i;m=f[c>>2]|0;q=f[a>>2]|0;n=q;h=m;do if(b[m+38>>0]|0){p=f[m+56>>2]|0;if(!p){s=(f[m+20>>2]|0)+80|0;break}else{s=p+40|0;break}}else s=(f[m+48>>2]|0)+20|0;while(0);m=h-(f[s>>2]|0)|0;do if(b[q+38>>0]|0){s=f[q+56>>2]|0;if(!s){t=(f[q+20>>2]|0)+80|0;break}else{t=s+40|0;break}}else t=(f[q+48>>2]|0)+20|0;while(0);if((m|0)>=(n-(f[t>>2]|0)|0)){r=1;return r|0}f[a>>2]=h;f[c>>2]=n;r=2;return r|0}if(e){f[a>>2]=k;f[d>>2]=j;r=1;return r|0}f[a>>2]=i;f[c>>2]=j;i=f[d>>2]|0;a=i;do if(b[i+38>>0]|0){k=f[i+56>>2]|0;if(!k){u=(f[i+20>>2]|0)+80|0;break}else{u=k+40|0;break}}else u=(f[i+48>>2]|0)+20|0;while(0);i=a-(f[u>>2]|0)|0;do if(!l){u=f[g+56>>2]|0;if(!u){v=(f[g+20>>2]|0)+80|0;break}else{v=u+40|0;break}}else v=(f[g+48>>2]|0)+20|0;while(0);if((i|0)>=(j-(f[v>>2]|0)|0)){r=1;return r|0}f[c>>2]=a;f[d>>2]=j;r=2;return r|0}function lac(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;g=kac(a,c,d)|0;h=f[e>>2]|0;i=f[d>>2]|0;j=i;k=h;do if(b[h+38>>0]|0){l=f[h+56>>2]|0;if(!l){m=(f[h+20>>2]|0)+80|0;break}else{m=l+40|0;break}}else m=(f[h+48>>2]|0)+20|0;while(0);h=k-(f[m>>2]|0)|0;do if(b[i+38>>0]|0){m=f[i+56>>2]|0;if(!m){n=(f[i+20>>2]|0)+80|0;break}else{n=m+40|0;break}}else n=(f[i+48>>2]|0)+20|0;while(0);if((h|0)>=(j-(f[n>>2]|0)|0)){o=g;return o|0}f[d>>2]=k;f[e>>2]=j;j=g+1|0;e=f[d>>2]|0;k=f[c>>2]|0;n=k;h=e;do if(b[e+38>>0]|0){i=f[e+56>>2]|0;if(!i){p=(f[e+20>>2]|0)+80|0;break}else{p=i+40|0;break}}else p=(f[e+48>>2]|0)+20|0;while(0);e=h-(f[p>>2]|0)|0;do if(b[k+38>>0]|0){p=f[k+56>>2]|0;if(!p){q=(f[k+20>>2]|0)+80|0;break}else{q=p+40|0;break}}else q=(f[k+48>>2]|0)+20|0;while(0);if((e|0)>=(n-(f[q>>2]|0)|0)){o=j;return o|0}f[c>>2]=h;f[d>>2]=n;n=g+2|0;d=f[c>>2]|0;h=f[a>>2]|0;j=h;q=d;do if(b[d+38>>0]|0){e=f[d+56>>2]|0;if(!e){r=(f[d+20>>2]|0)+80|0;break}else{r=e+40|0;break}}else r=(f[d+48>>2]|0)+20|0;while(0);d=q-(f[r>>2]|0)|0;do if(b[h+38>>0]|0){r=f[h+56>>2]|0;if(!r){s=(f[h+20>>2]|0)+80|0;break}else{s=r+40|0;break}}else s=(f[h+48>>2]|0)+20|0;while(0);if((d|0)>=(j-(f[s>>2]|0)|0)){o=n;return o|0}f[a>>2]=q;f[c>>2]=j;o=g+3|0;return o|0}function mac(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;h=lac(a,c,d,e)|0;i=f[g>>2]|0;j=f[e>>2]|0;k=j;l=i;do if(b[i+38>>0]|0){m=f[i+56>>2]|0;if(!m){n=(f[i+20>>2]|0)+80|0;break}else{n=m+40|0;break}}else n=(f[i+48>>2]|0)+20|0;while(0);i=l-(f[n>>2]|0)|0;do if(b[j+38>>0]|0){n=f[j+56>>2]|0;if(!n){o=(f[j+20>>2]|0)+80|0;break}else{o=n+40|0;break}}else o=(f[j+48>>2]|0)+20|0;while(0);if((i|0)>=(k-(f[o>>2]|0)|0)){p=h;return p|0}f[e>>2]=l;f[g>>2]=k;k=h+1|0;g=f[e>>2]|0;l=f[d>>2]|0;o=l;i=g;do if(b[g+38>>0]|0){j=f[g+56>>2]|0;if(!j){q=(f[g+20>>2]|0)+80|0;break}else{q=j+40|0;break}}else q=(f[g+48>>2]|0)+20|0;while(0);g=i-(f[q>>2]|0)|0;do if(b[l+38>>0]|0){q=f[l+56>>2]|0;if(!q){r=(f[l+20>>2]|0)+80|0;break}else{r=q+40|0;break}}else r=(f[l+48>>2]|0)+20|0;while(0);if((g|0)>=(o-(f[r>>2]|0)|0)){p=k;return p|0}f[d>>2]=i;f[e>>2]=o;o=h+2|0;e=f[d>>2]|0;i=f[c>>2]|0;k=i;r=e;do if(b[e+38>>0]|0){g=f[e+56>>2]|0;if(!g){s=(f[e+20>>2]|0)+80|0;break}else{s=g+40|0;break}}else s=(f[e+48>>2]|0)+20|0;while(0);e=r-(f[s>>2]|0)|0;do if(b[i+38>>0]|0){s=f[i+56>>2]|0;if(!s){t=(f[i+20>>2]|0)+80|0;break}else{t=s+40|0;break}}else t=(f[i+48>>2]|0)+20|0;while(0);if((e|0)>=(k-(f[t>>2]|0)|0)){p=o;return p|0}f[c>>2]=r;f[d>>2]=k;k=h+3|0;d=f[c>>2]|0;r=f[a>>2]|0;o=r;t=d;do if(b[d+38>>0]|0){e=f[d+56>>2]|0;if(!e){u=(f[d+20>>2]|0)+80|0;break}else{u=e+40|0;break}}else u=(f[d+48>>2]|0)+20|0;while(0);d=t-(f[u>>2]|0)|0;do if(b[r+38>>0]|0){u=f[r+56>>2]|0;if(!u){v=(f[r+20>>2]|0)+80|0;break}else{v=u+40|0;break}}else v=(f[r+48>>2]|0)+20|0;while(0);if((d|0)>=(o-(f[v>>2]|0)|0)){p=k;return p|0}f[a>>2]=t;f[c>>2]=o;p=h+4|0;return p|0}function nac(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;switch(c-a>>2|0){case 2:{d=c+-4|0;e=f[d>>2]|0;g=f[a>>2]|0;h=g;i=e;do if(b[e+38>>0]|0){j=f[e+56>>2]|0;if(!j){k=(f[e+20>>2]|0)+80|0;break}else{k=j+40|0;break}}else k=(f[e+48>>2]|0)+20|0;while(0);e=i-(f[k>>2]|0)|0;do if(b[g+38>>0]|0){k=f[g+56>>2]|0;if(!k){l=(f[g+20>>2]|0)+80|0;break}else{l=k+40|0;break}}else l=(f[g+48>>2]|0)+20|0;while(0);if((e|0)>=(h-(f[l>>2]|0)|0)){m=1;return m|0}f[a>>2]=i;f[d>>2]=h;m=1;return m|0}case 3:{kac(a,a+4|0,c+-4|0)|0;m=1;return m|0}case 4:{lac(a,a+4|0,a+8|0,c+-4|0)|0;m=1;return m|0}case 5:{mac(a,a+4|0,a+8|0,a+12|0,c+-4|0)|0;m=1;return m|0}case 1:case 0:{m=1;return m|0}default:{h=a+8|0;kac(a,a+4|0,h)|0;d=a+12|0;a:do if((d|0)==(c|0)){n=1;o=0}else{i=d;l=0;e=h;while(1){g=f[i>>2]|0;k=f[e>>2]|0;j=(b[g+38>>0]|0)==0;p=g;do if(!j){q=f[g+56>>2]|0;if(!q){r=(f[g+20>>2]|0)+80|0;break}else{r=q+40|0;break}}else r=(f[g+48>>2]|0)+20|0;while(0);q=p-(f[r>>2]|0)|0;do if(b[k+38>>0]|0){s=f[k+56>>2]|0;t=k;if(!s){u=t-(f[(f[k+20>>2]|0)+80>>2]|0)|0;break}else{u=t-(f[s+40>>2]|0)|0;break}}else u=k-(f[(f[k+48>>2]|0)+20>>2]|0)|0;while(0);if((q|0)<(u|0)){k=g+48|0;s=g+56|0;t=g+20|0;v=e;w=i;while(1){f[w>>2]=f[v>>2];if((v|0)==(a|0))break;x=v+-4|0;y=f[x>>2]|0;do if(!j){z=f[s>>2]|0;if(!z){A=(f[t>>2]|0)+80|0;break}else{A=z+40|0;break}}else A=(f[k>>2]|0)+20|0;while(0);z=p-(f[A>>2]|0)|0;do if(b[y+38>>0]|0){B=f[y+56>>2]|0;C=y;if(!B){D=C-(f[(f[y+20>>2]|0)+80>>2]|0)|0;break}else{D=C-(f[B+40>>2]|0)|0;break}}else D=y-(f[(f[y+48>>2]|0)+20>>2]|0)|0;while(0);if((z|0)<(D|0)){y=v;v=x;w=y}else break}f[v>>2]=p;w=l+1|0;if((w|0)==8){n=0;o=(i+4|0)==(c|0);break a}else E=w}else E=l;w=i+4|0;if((w|0)==(c|0)){n=1;o=0;break}else{k=i;i=w;l=E;e=k}}}while(0);m=o|n;return m|0}}return 0}function oac(a){a=a|0;var c=0,d=0;f[a>>2]=158884;if(b[a+17>>0]|0)return;c=f[a+12>>2]|0;if((c|0)<=0)return;d=f[a+4>>2]|0;yh[f[(f[d>>2]|0)+12>>2]&2047](d,c);return}function pac(a){a=a|0;var c=0,d=0;f[a>>2]=158884;if(b[a+17>>0]|0){fuc(a);return}c=f[a+12>>2]|0;if((c|0)<=0){fuc(a);return}d=f[a+4>>2]|0;yh[f[(f[d>>2]|0)+12>>2]&2047](d,c);fuc(a);return}function qac(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0;if((f[a+20>>2]|0)<=0){rac(a,c,d);if(!d)return;if((b[c+(d+-1)>>0]|0)!=10)return;b[a+16>>0]=1;return}if(!d)e=0;else{g=a+16|0;h=0;i=0;while(1){j=i;i=i+1|0;if((b[c+j>>0]|0)==10){rac(a,c+h|0,1-h+j|0);b[g>>0]=1;k=i}else k=h;if((i|0)==(d|0)){e=k;break}else h=k}}rac(a,c+e|0,d-e|0);return}function rac(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;e=u;u=u+16|0;g=e;h=a+17|0;if((d|0)==0|(b[h>>0]|0)!=0){u=e;return}i=a+16|0;if(b[i>>0]|0?(b[i>>0]=0,i=f[a+20>>2]|0,i|0):0){j=i<<1;i=a+12|0;k=f[i>>2]|0;l=a+8|0;m=f[l>>2]|0;a:do if((j|0)>(k|0)){n=a+4|0;o=j;p=m;q=k;while(1){kzc(p|0,32,q|0)|0;r=f[i>>2]|0;s=f[n>>2]|0;t=li[f[(f[s>>2]|0)+8>>2]&511](s,g,i)|0;v=(t^1)&1;b[h>>0]=v;if(!t)break;t=o-r|0;r=f[g>>2]|0;f[l>>2]=r;q=f[i>>2]|0;s=r;if((t|0)<=(q|0)){w=t;x=s;y=9;break a}else{o=t;p=s}}z=v}else{w=j;x=m;y=9}while(0);if((y|0)==9){kzc(x|0,32,w|0)|0;f[l>>2]=(f[l>>2]|0)+w;f[i>>2]=(f[i>>2]|0)-w;z=b[h>>0]|0}if(z<<24>>24){u=e;return}}z=a+12|0;w=f[z>>2]|0;i=a+8|0;do if(w>>>0<d>>>0){l=a+4|0;x=d;m=c;j=w;while(1){if((j|0)>0){szc(f[i>>2]|0,m|0,j|0)|0;v=f[z>>2]|0;A=x-v|0;B=m+v|0}else{A=x;B=m}f[g>>2]=0;v=f[l>>2]|0;k=li[f[(f[v>>2]|0)+8>>2]&511](v,g,z)|0;b[h>>0]=(k^1)&1;if(!k)break;C=f[g>>2]|0;f[i>>2]=C;j=f[z>>2]|0;if(A>>>0<=j>>>0){y=19;break}else{x=A;m=B}}if((y|0)==19){D=A;E=B;F=C;break}u=e;return}else{D=d;E=c;F=f[i>>2]|0}while(0);szc(F|0,E|0,D|0)|0;f[i>>2]=(f[i>>2]|0)+D;f[z>>2]=(f[z>>2]|0)-D;u=e;return}function sac(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;d=b;e=a+4|0;g=f[e>>2]|0;do if(g){h=a+4|0;i=g;while(1){j=f[i+16>>2]|0;if(j>>>0>b>>>0){k=f[i>>2]|0;if(!k){l=6;break}else{m=i;n=k}}else{if(j>>>0>=b>>>0){l=10;break}o=i+4|0;j=f[o>>2]|0;if(!j){l=9;break}else{m=o;n=j}}h=m;i=n}if((l|0)==6){p=i;q=i;break}else if((l|0)==9){p=i;q=o;break}else if((l|0)==10){p=i;q=h;break}}else{p=e;q=e}while(0);e=f[q>>2]|0;if(!e){l=cuc(32)|0;f[l+16>>2]=d;f[l+20>>2]=0;f[l+24>>2]=0;f[l+28>>2]=0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=p;f[q>>2]=l;p=f[f[a>>2]>>2]|0;if(!p)r=l;else{f[a>>2]=p;r=f[q>>2]|0}jI(f[a+4>>2]|0,r);r=a+8|0;f[r>>2]=(f[r>>2]|0)+1;s=l}else s=e;e=s+24|0;l=f[e>>2]|0;if((l|0)==(f[s+28>>2]|0)){tac(s+20|0,c);return}else{s=c;c=f[s+4>>2]|0;r=l;f[r>>2]=f[s>>2];f[r+4>>2]=c;f[e>>2]=(f[e>>2]|0)+8;return}}function tac(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+4|0;d=f[a>>2]|0;e=(f[c>>2]|0)-d|0;g=e>>3;h=g+1|0;if(h>>>0>536870911)nsc(a);i=a+8|0;j=(f[i>>2]|0)-d|0;k=j>>2;l=j>>3>>>0<268435455?(k>>>0<h>>>0?h:k):536870911;do if(l)if(l>>>0>536870911){k=ze(8)|0;kuc(k,519086);f[k>>2]=167148;Hf(k|0,26888,1888)}else{m=cuc(l<<3)|0;break}else m=0;while(0);k=m+(g<<3)|0;h=b;b=f[h+4>>2]|0;j=k;f[j>>2]=f[h>>2];f[j+4>>2]=b;b=k+(0-g<<3)|0;if((e|0)>0)szc(b|0,d|0,e|0)|0;f[a>>2]=b;f[c>>2]=k+8;f[i>>2]=m+(l<<3);if(!d)return;fuc(d);return}function uac(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;c=u;u=u+16|0;d=c;e=b;g=cuc(24)|0;h=g+4|0;f[h>>2]=0;f[g+8>>2]=0;f[g>>2]=h;h=g+16|0;f[h>>2]=0;f[g+20>>2]=0;f[g+12>>2]=h;f[d>>2]=g;g=a+12|0;h=a+16|0;i=f[h>>2]|0;do if(i){j=a+16|0;k=i;while(1){l=f[k+16>>2]|0;if(l>>>0>b>>>0){m=f[k>>2]|0;if(!m){n=6;break}else{o=k;p=m}}else{if(l>>>0>=b>>>0){n=10;break}q=k+4|0;l=f[q>>2]|0;if(!l){n=9;break}else{o=q;p=l}}j=o;k=p}if((n|0)==6){r=k;s=k;break}else if((n|0)==9){r=k;s=q;break}else if((n|0)==10){r=k;s=j;break}}else{r=h;s=h}while(0);h=f[s>>2]|0;if(!h){n=cuc(32)|0;f[n+16>>2]=e;f[n+20>>2]=0;f[n+24>>2]=0;f[n+28>>2]=0;f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=r;f[s>>2]=n;r=f[f[g>>2]>>2]|0;if(!r)t=n;else{f[g>>2]=r;t=f[s>>2]|0}jI(f[a+16>>2]|0,t);t=a+20|0;f[t>>2]=(f[t>>2]|0)+1;v=n}else v=h;h=v+24|0;n=f[h>>2]|0;if((n|0)==(f[v+28>>2]|0)){vac(v+20|0,d);w=f[d>>2]|0;u=c;return w|0}else{f[n>>2]=f[d>>2];f[h>>2]=(f[h>>2]|0)+4;w=f[d>>2]|0;u=c;return w|0}return 0}function vac(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+4|0;d=f[a>>2]|0;e=(f[c>>2]|0)-d|0;g=e>>2;h=g+1|0;if(h>>>0>1073741823)nsc(a);i=a+8|0;j=(f[i>>2]|0)-d|0;k=j>>1;l=j>>2>>>0<536870911?(k>>>0<h>>>0?h:k):1073741823;do if(l)if(l>>>0>1073741823){k=ze(8)|0;kuc(k,519086);f[k>>2]=167148;Hf(k|0,26888,1888)}else{m=cuc(l<<2)|0;break}else m=0;while(0);k=m+(g<<2)|0;f[k>>2]=f[b>>2];b=k+(0-g<<2)|0;if((e|0)>0)szc(b|0,d|0,e|0)|0;f[a>>2]=b;f[c>>2]=k+4;f[i>>2]=m+(l<<2);if(!d)return;fuc(d);return}function wac(a,c){a=a|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;d[a+12>>1]=0;b[a+14>>0]=c&1;c=a+15|0;b[c>>0]=0;b[c+1>>0]=0;b[c+2>>0]=0;b[c+3>>0]=0;return}function xac(a){a=a|0;return}function yac(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;e=u;u=u+160|0;g=e+152|0;h=e;bi[f[(f[d>>2]|0)+28>>2]&2047](d);i=b[a+18>>0]|0;yh[f[(f[d>>2]|0)+96>>2]&2047](g,d);j=f[g>>2]|0;g=f[a+4>>2]|0;k=f[a+8>>2]|0;l=b[a+13>>0]|0;m=b[a+14>>0]|0;n=b[a+15>>0]|0;o=b[a+16>>0]|0;p=b[a+17>>0]|0;q=b[a+12>>0]|0;f[h>>2]=f[a>>2];f[h+4>>2]=g;f[h+8>>2]=k;k=h+12|0;f[k>>2]=158904;f[h+16>>2]=h;g=h+20|0;b4b(g,c,k);f[h+132>>2]=j;f[h+136>>2]=(i^1)&255;b[h+140>>0]=l;b[h+141>>0]=m;b[h+142>>0]=n;b[h+143>>0]=o;b[h+144>>0]=q;b[h+145>>0]=0;b[h+120>>0]=1;f[h+124>>2]=1;if(!(p<<24>>24)){j4b(g)|0;r=zac(a,0,d,h)|0;c4b(g);u=e;return r|0}b[h+128>>0]=0;b[h+129>>0]=1;j4b(g)|0;r=zac(a,0,d,h)|0;c4b(g);u=e;return r|0}function zac(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;c=u;u=u+80|0;g=c+40|0;h=c+24|0;i=c+12|0;j=c;k=e+20|0;while(1){if((f[k>>2]|0)==1)break;if(!(Aac(e,d)|0)){l=0;m=24;break}}if((m|0)==24){u=c;return l|0}if(b[e+145>>0]|0){l=0;u=c;return l|0}if(b[a+12>>0]|0){l=1;u=c;return l|0}if(di[f[(f[d>>2]|0)+32>>2]&1023](d)|0){l=1;u=c;return l|0}f[h>>2]=0;a=h+4|0;f[a>>2]=0;f[h+8>>2]=0;Z8b(d,h);f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;d=f[h>>2]|0;m=f[a>>2]|0;if((d|0)!=(m|0)){k=g+4|0;n=d;do{if((n|0)!=(d|0))Duc(j,531032)|0;o=b[n+11>>0]|0;p=o<<24>>24<0;f[g>>2]=p?f[n>>2]|0:n;f[k>>2]=p?f[n+4>>2]|0:o&255;jec(j,g);n=n+12|0}while((n|0)!=(m|0))}m=Huc(j,0,517505)|0;f[i>>2]=f[m>>2];f[i+4>>2]=f[m+4>>2];f[i+8>>2]=f[m+8>>2];f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;Bac(e,-1,0,i);if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0);if((b[j+11>>0]|0)<0)fuc(f[j>>2]|0);j=f[h>>2]|0;if(j|0){i=f[a>>2]|0;if((i|0)==(j|0))q=j;else{e=i;while(1){i=e+-12|0;f[a>>2]=i;if((b[i+11>>0]|0)<0){fuc(f[i>>2]|0);r=f[a>>2]|0}else r=i;if((r|0)==(j|0))break;else e=r}q=f[h>>2]|0}fuc(q)}l=0;u=c;return l|0}function Aac(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0;d=u;u=u+128|0;e=d+104|0;g=d;h=d+68|0;i=d+64|0;j=d+60|0;k=d+48|0;l=d+36|0;m=d+24|0;n=d+80|0;o=d+120|0;p=d+12|0;yh[f[(f[c>>2]|0)+96>>2]&2047](e,c);q=f[e+4>>2]|0;yh[f[(f[c>>2]|0)+96>>2]&2047](e,c);r=f[e>>2]|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;s=a+20|0;t=a+36|0;v=f[t>>2]|0;w=a+40|0;x=f[w>>2]|0;a:do if(lec(c,i,j)|0){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[e+11>>0]=1;b[e>>0]=91;b[e+1>>0]=0;y=a+24|0;z=y+11|0;A=b[z>>0]|0;B=A<<24>>24<0;C=a+28|0;D=A&255;b:do if(((B?f[C>>2]|0:D)|0)==1){A=f[y>>2]|0;c:do if(B){if((b[A>>0]|0)!=(b[e>>0]|0))break b}else{if((A&255)<<24>>24!=(f[e>>2]&255)<<24>>24)break b;E=y;F=D;G=e;while(1){F=F+-1|0;E=E+1|0;if(!F)break c;G=G+1|0;if((b[E>>0]|0)!=(b[G>>0]|0))break b}}while(0);j4b(s)|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;if(Cac(a,g,k)|0){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;A=e+11|0;b[A>>0]=1;b[e>>0]=93;b[e+1>>0]=0;G=Dac(a,e)|0;if((b[A>>0]|0)<0)fuc(f[e>>2]|0);if(G){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[e+11>>0]=1;b[e>>0]=58;b[e+1>>0]=0;G=b[z>>0]|0;A=G<<24>>24<0;E=G&255;d:do if(((A?f[C>>2]|0:E)|0)==1){G=f[y>>2]|0;e:do if(A){if((b[G>>0]|0)!=(b[e>>0]|0))break d}else{if((G&255)<<24>>24!=(f[e>>2]&255)<<24>>24)break d;F=y;H=E;I=e;while(1){H=H+-1|0;F=F+1|0;if(!H)break e;I=I+1|0;if((b[F>>0]|0)!=(b[I>>0]|0))break d}}while(0);j4b(s)|0}while(0);E=f[(f[c>>2]|0)+96>>2]|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;yh[E&2047](e,c);f:do if(Eac(a,g,f[(f[(f[e>>2]|0)+8>>2]|0)+8>>2]|0,l)|0){do if((f[a+136>>2]|0)==1){E=f[i>>2]|0;if(!((f[E+32>>2]|0)!=3?li[f[(f[q>>2]|0)+20>>2]&511](q,c,E)|0:0))J=27;if((J|0)==27){E=f[j>>2]|0;if((f[E+32>>2]|0)==3)break;if(!(li[f[(f[q>>2]|0)+20>>2]&511](q,c,E)|0))break};f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;E=cuc(48)|0;f[e>>2]=E;f[e+8>>2]=-2147483600;f[e+4>>2]=42;A=E;G=517568;I=A+42|0;do{b[A>>0]=b[G>>0]|0;A=A+1|0;G=G+1|0}while((A|0)<(I|0));b[E+42>>0]=0;Bac(a,f[t>>2]|0,f[w>>2]|0,e);if((b[e+11>>0]|0)<0)fuc(f[e>>2]|0);K=0;break f}while(0);G=f[(f[q>>2]|0)+144>>2]|0;A=f[i>>2]|0;bsb(e,k,g);sh[G&255](q,c,A,e);if((b[e+11>>0]|0)<0)fuc(f[e>>2]|0);sh[f[(f[q>>2]|0)+144>>2]&255](q,c,f[j>>2]|0,l);K=1}else K=0;while(0);if((b[l+11>>0]|0)<0)fuc(f[l>>2]|0);L=K}else L=0}else L=0;if((b[k+11>>0]|0)<0)fuc(f[k>>2]|0);if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);M=L;break a}while(0);N=y;O=z;P=C;J=43}else{D=a+24|0;N=D;O=D+11|0;P=a+28|0;J=43}while(0);g:do if((J|0)==43){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[e+11>>0]=1;b[e>>0]=91;b[e+1>>0]=0;L=b[O>>0]|0;K=L<<24>>24<0;j=L&255;h:do if(((K?f[P>>2]|0:j)|0)==1){L=f[a+24>>2]|0;i:do if(K){if((b[L>>0]|0)!=(b[e>>0]|0)){J=77;break h}}else{if((L&255)<<24>>24!=(f[e>>2]&255)<<24>>24){J=77;break h}i=N;D=j;B=e;while(1){D=D+-1|0;i=i+1|0;if(!D)break i;B=B+1|0;if((b[i>>0]|0)!=(b[B>>0]|0)){J=77;break h}}}while(0);j4b(s)|0;if(!(Fac(a,h)|0)){M=0;break g};f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;L=e+11|0;b[L>>0]=1;b[e>>0]=93;b[e+1>>0]=0;B=Dac(a,e)|0;if((b[L>>0]|0)<0)fuc(f[e>>2]|0);if(!B){M=0;break g}B=f[a+4>>2]|0;if(!B)Q=Th[f[(f[q>>2]|0)+308>>2]&1023](q,h)|0;else Q=li[f[(f[B>>2]|0)+8>>2]&511](B,c,h)|0;if(!Q)if(!(b[a+141>>0]|0)){nEa(l,517611,h);B=Duc(l,517623)|0;f[k>>2]=f[B>>2];f[k+4>>2]=f[B+4>>2];f[k+8>>2]=f[B+8>>2];f[B>>2]=0;f[B+4>>2]=0;f[B+8>>2]=0;B=f[r+4>>2]|0;L=b[B+11>>0]|0;i=L<<24>>24<0;D=Cuc(k,i?f[B>>2]|0:B,i?f[B+4>>2]|0:L&255)|0;f[g>>2]=f[D>>2];f[g+4>>2]=f[D+4>>2];f[g+8>>2]=f[D+8>>2];f[D>>2]=0;f[D+4>>2]=0;f[D+8>>2]=0;D=Duc(g,517668)|0;f[e>>2]=f[D>>2];f[e+4>>2]=f[D+4>>2];f[e+8>>2]=f[D+8>>2];f[D>>2]=0;f[D+4>>2]=0;f[D+8>>2]=0;Bac(a,f[t>>2]|0,f[w>>2]|0,e);if((b[e+11>>0]|0)<0)fuc(f[e>>2]|0);if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);if((b[k+11>>0]|0)<0)fuc(f[k>>2]|0);if((b[l+11>>0]|0)<0)fuc(f[l>>2]|0);M=0;break g}else{nEa(l,517611,h);D=Duc(l,517623)|0;f[k>>2]=f[D>>2];f[k+4>>2]=f[D+4>>2];f[k+8>>2]=f[D+8>>2];f[D>>2]=0;f[D+4>>2]=0;f[D+8>>2]=0;D=f[r+4>>2]|0;L=b[D+11>>0]|0;B=L<<24>>24<0;i=Cuc(k,B?f[D>>2]|0:D,B?f[D+4>>2]|0:L&255)|0;f[g>>2]=f[i>>2];f[g+4>>2]=f[i+4>>2];f[g+8>>2]=f[i+8>>2];f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;i=Duc(g,517668)|0;f[e>>2]=f[i>>2];f[e+4>>2]=f[i+4>>2];f[e+8>>2]=f[i+8>>2];f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;Gac(a,f[t>>2]|0,f[w>>2]|0,e);if((b[e+11>>0]|0)<0)fuc(f[e>>2]|0);if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);if((b[k+11>>0]|0)<0)fuc(f[k>>2]|0);if((b[l+11>>0]|0)<0)fuc(f[l>>2]|0);R=0;J=133;break}else S=Q}else J=77;while(0);j:do if((J|0)==77){if(!(Hac(a,h)|0)){M=0;break g}do if((b[a+143>>0]|0)!=0?gec(h,g)|0:0){j=(pQb(r,f[g>>2]|0)|0)==0;K=f[g>>2]|0;if(!j){T=0;U=Th[f[(f[q>>2]|0)+312>>2]&1023](q,K)|0;J=119;break}if(!(qQb(r,K)|0)){T=0;U=gQb(r,f[g>>2]|0)|0;J=119}else V=1}else J=84;while(0);k:do if((J|0)==84){K=kQb(r,h)|0;if(!K){ouc(k,h);j=k+11|0;C=b[j>>0]|0;z=C<<24>>24<0;y=f[k>>2]|0;i=z?y+(f[k+4>>2]|0)|0:k+(C&255)|0;C=z?y:k;if((C|0)!=(i|0)){y=C;do{C=b[y>>0]|0;if((C+-65&255)<26)b[y>>0]=(C&255)+32;y=y+1|0}while((y|0)!=(i|0))}i=kQb(r,k)|0;if(!i)W=0;else{y=f[i+24>>2]|0;if(y|0?(f[y>>2]|0)!=2:0){f[e>>2]=110384;f[e+4>>2]=1962;b[e+8>>0]=0;f[e+12>>2]=i;xLb(y,e)}W=(f[i+28>>2]|0)==10?i:0}if((b[j>>0]|0)<0)fuc(f[k>>2]|0);if(!W)J=110;else{X=W;J=97}}else{X=K;J=97}l:do if((J|0)==97){i=f[X+24>>2]|0;if(i|0?(f[i>>2]|0)!=2:0){f[e>>2]=110384;f[e+4>>2]=1962;b[e+8>>0]=0;f[e+12>>2]=X;xLb(i,e)}if((f[X+28>>2]|0)==10){i=tQb(X)|0;y=f[i>>2]|0;i=b[y+11>>0]|0;C=i<<24>>24<0;z=i&255;i=C?f[y+4>>2]|0:z;L=b[h+11>>0]|0;D=L<<24>>24<0;if((i|0)==((D?f[h+4>>2]|0:L&255)|0)){L=f[y>>2]|0;B=C?L:y;A=D?f[h>>2]|0:h;D=(i|0)==0;if(C){if(D){Y=X;break}if(!(ahc(B,A,i)|0)){Y=X;break}else{J=110;break}}if(!D)if((L&255)<<24>>24==(b[A>>0]|0)){L=y;y=z;z=A;while(1){y=y+-1|0;L=L+1|0;if(!y)break;z=z+1|0;if((b[L>>0]|0)!=(b[z>>0]|0)){J=110;break l}}if(X)Y=X;else J=110}else J=110;else Y=X}else J=110}else Y=X}while(0);do if((J|0)==110){if(b[a+140>>0]|0){ouc(e,h);K=e+11|0;j=b[K>>0]|0;z=j<<24>>24<0;L=f[e>>2]|0;y=z?L+(f[e+4>>2]|0)|0:e+(j&255)|0;j=z?L:e;if((j|0)!=(y|0)){L=j;do{j=b[L>>0]|0;if((j+-65&255)<26)b[L>>0]=(j&255)+32;L=L+1|0}while((L|0)!=(y|0))}y=hQb(r,e)|0;if((b[K>>0]|0)<0)fuc(f[e>>2]|0);if(y|0){Y=y;break}}T=Iac(r,h)|0;U=0;J=119;break k}while(0);S=Y;break j}while(0);if((J|0)==119){if((U|0)!=0|T)if(!U){R=T;J=133;break}else{S=U;break}if(!(b[a+141>>0]|0)){nEa(m,517671,f[r+4>>2]|0);y=Duc(m,517686)|0;f[l>>2]=f[y>>2];f[l+4>>2]=f[y+4>>2];f[l+8>>2]=f[y+8>>2];f[y>>2]=0;f[y+4>>2]=0;f[y+8>>2]=0;y=b[h+11>>0]|0;L=y<<24>>24<0;j=Cuc(l,L?f[h>>2]|0:h,L?f[h+4>>2]|0:y&255)|0;f[k>>2]=f[j>>2];f[k+4>>2]=f[j+4>>2];f[k+8>>2]=f[j+8>>2];f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;j=Duc(k,517668)|0;f[e>>2]=f[j>>2];f[e+4>>2]=f[j+4>>2];f[e+8>>2]=f[j+8>>2];f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;Bac(a,f[t>>2]|0,f[w>>2]|0,e);if((b[e+11>>0]|0)<0)fuc(f[e>>2]|0);if((b[k+11>>0]|0)<0)fuc(f[k>>2]|0);if((b[l+11>>0]|0)<0)fuc(f[l>>2]|0);if((b[m+11>>0]|0)<0)fuc(f[m>>2]|0);M=0;break g}else V=0}R=V;J=133}while(0);if((J|0)==133){if(!(R|(b[a+141>>0]|0)!=0)){iLb(n,3,517133,481);fLb(o,dLb(n,517709)|0);jLb(n)}j=Th[f[(f[q>>2]|0)+12>>2]&1023](q,c)|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[e+11>>0]=1;b[e>>0]=58;b[e+1>>0]=0;y=b[O>>0]|0;L=y<<24>>24<0;z=y&255;m:do if(((L?f[P>>2]|0:z)|0)==1){y=a+24|0;E=f[y>>2]|0;n:do if(L){if((b[E>>0]|0)!=(b[e>>0]|0)){J=153;break m}}else{if((E&255)<<24>>24==(f[e>>2]&255)<<24>>24){Z=N;_=z;$=e}else{J=153;break m}while(1){_=_+-1|0;Z=Z+1|0;if(!_)break n;$=$+1|0;if((b[Z>>0]|0)!=(b[$>>0]|0)){J=153;break m}}}while(0);j4b(s)|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;b[g+11>>0]=1;b[g>>0]=123;b[g+1>>0]=0;E=b[O>>0]|0;A=E<<24>>24<0;D=E&255;E=((A?f[P>>2]|0:D)|0)==1;o:do if(E){i=f[y>>2]|0;p:do if(A){if((b[i>>0]|0)!=(b[g>>0]|0))break o}else{if((i&255)<<24>>24==(f[g>>2]&255)<<24>>24){aa=N;ba=D;ca=g}else break o;while(1){ba=ba+-1|0;aa=aa+1|0;if(!ba)break p;ca=ca+1|0;if((b[aa>>0]|0)!=(b[ca>>0]|0))break o}}while(0);break m}while(0);f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;b[k+11>>0]=1;b[k>>0]=60;b[k+1>>0]=0;q:do if(E){i=f[y>>2]|0;if(A)if((b[i>>0]|0)==(b[k>>0]|0))break m;else break;if((i&255)<<24>>24==(f[k>>2]&255)<<24>>24){i=N;K=D;B=k;while(1){K=K+-1|0;i=i+1|0;if(!K)break;B=B+1|0;if((b[i>>0]|0)!=(b[B>>0]|0)){J=155;break q}}break m}else J=155}else J=155;while(0);D=f[j>>2]|0;if(!D)da=0;else da=(f[D+4>>2]|0)-(f[D>>2]|0)>>4;D=obc(j,da)|0;ruc(nbc(D,0)|0,h)|0;M=Jac(a,D)|0;break g}else J=153;while(0);M=Kac(a,j)|0;break}if((f[a+136>>2]|0)==1){if((f[S+32>>2]|0)!=3?li[f[(f[q>>2]|0)+20>>2]&511](q,c,S)|0:0){nEa(g,517764,h);z=Duc(g,517785)|0;f[e>>2]=f[z>>2];f[e+4>>2]=f[z+4>>2];f[e+8>>2]=f[z+8>>2];f[z>>2]=0;f[z+4>>2]=0;f[z+8>>2]=0;Bac(a,f[t>>2]|0,f[w>>2]|0,e);if((b[e+11>>0]|0)<0)fuc(f[e>>2]|0);if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);M=0;break}z=f[S+52>>2]|0;if(z|0?li[f[(f[q>>2]|0)+32>>2]&511](q,c,z)|0:0){L=li[f[(f[q>>2]|0)+40>>2]&511](q,c,z)|0;nEa(p,517816,h);D=Duc(p,517824)|0;f[m>>2]=f[D>>2];f[m+4>>2]=f[D+4>>2];f[m+8>>2]=f[D+8>>2];f[D>>2]=0;f[D+4>>2]=0;f[D+8>>2]=0;D=f[L>>2]|0;L=b[D+11>>0]|0;A=L<<24>>24<0;y=Cuc(m,A?f[D>>2]|0:D,A?f[D+4>>2]|0:L&255)|0;f[l>>2]=f[y>>2];f[l+4>>2]=f[y+4>>2];f[l+8>>2]=f[y+8>>2];f[y>>2]=0;f[y+4>>2]=0;f[y+8>>2]=0;y=Duc(l,517858)|0;f[k>>2]=f[y>>2];f[k+4>>2]=f[y+4>>2];f[k+8>>2]=f[y+8>>2];f[y>>2]=0;f[y+4>>2]=0;f[y+8>>2]=0;y=f[z>>2]|0;z=b[y+11>>0]|0;L=z<<24>>24<0;D=Cuc(k,L?f[y>>2]|0:y,L?f[y+4>>2]|0:z&255)|0;f[g>>2]=f[D>>2];f[g+4>>2]=f[D+4>>2];f[g+8>>2]=f[D+8>>2];f[D>>2]=0;f[D+4>>2]=0;f[D+8>>2]=0;D=Duc(g,517668)|0;f[e>>2]=f[D>>2];f[e+4>>2]=f[D+4>>2];f[e+8>>2]=f[D+8>>2];f[D>>2]=0;f[D+4>>2]=0;f[D+8>>2]=0;Bac(a,f[t>>2]|0,f[w>>2]|0,e);if((b[e+11>>0]|0)<0)fuc(f[e>>2]|0);if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);if((b[k+11>>0]|0)<0)fuc(f[k>>2]|0);if((b[l+11>>0]|0)<0)fuc(f[l>>2]|0);if((b[m+11>>0]|0)<0)fuc(f[m>>2]|0);if((b[p+11>>0]|0)<0)fuc(f[p>>2]|0);M=0;break}}D=S+24|0;z=f[D>>2]|0;if(z|0?(f[z>>2]|0)!=2:0){f[e>>2]=110384;f[e+4>>2]=1962;b[e+8>>0]=0;f[e+12>>2]=S;xLb(z,e)}z=S+28|0;r:do if((f[151812+(f[z>>2]<<2)>>2]|0)!=10){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;y=e+11|0;b[y>>0]=1;b[e>>0]=58;b[e+1>>0]=0;L=Dac(a,e)|0;if((b[y>>0]|0)<0)fuc(f[e>>2]|0);if(L)J=206;else{M=0;break g}}else{f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[e+11>>0]=1;b[e>>0]=58;b[e+1>>0]=0;L=b[O>>0]|0;y=L<<24>>24<0;A=L&255;s:do if(((y?f[P>>2]|0:A)|0)==1){L=f[a+24>>2]|0;t:do if(y){if((b[L>>0]|0)!=(b[e>>0]|0))break s}else{if((L&255)<<24>>24!=(f[e>>2]&255)<<24>>24)break s;E=N;B=A;i=e;while(1){B=B+-1|0;E=E+1|0;if(!B)break t;i=i+1|0;if((b[E>>0]|0)!=(b[i>>0]|0))break s}}while(0);j4b(s)|0;if(!(b[(f[S+68>>2]|0)+55>>0]|0)){J=206;break r}if((f[a+20>>2]|0)!=5){J=206;break r};f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;if(Lac(a,e)|0){BKb(Cg[f[(f[q>>2]|0)+156>>2]&127](q,c,S,0)|0,e)|0;ea=2}else ea=1;if((b[e+11>>0]|0)<0)fuc(f[e>>2]|0);if((ea&3)==2)break r;else{M=0;break g}}while(0);J=206}while(0);u:do if((J|0)==206){if((f[S+32>>2]|0)==3){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[e+11>>0]=1;b[e>>0]=91;b[e+1>>0]=0;j=b[O>>0]|0;A=j<<24>>24<0;y=j&255;v:do if(((A?f[P>>2]|0:y)|0)==1){j=f[a+24>>2]|0;w:do if(A){if((b[j>>0]|0)!=(b[e>>0]|0))break v}else{if((j&255)<<24>>24!=(f[e>>2]&255)<<24>>24)break v;L=N;i=y;E=e;while(1){i=i+-1|0;L=L+1|0;if(!i)break w;E=E+1|0;if((b[L>>0]|0)!=(b[E>>0]|0))break v}}while(0);j4b(s)|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[e+11>>0]=1;b[e>>0]=93;b[e+1>>0]=0;j=b[O>>0]|0;E=j<<24>>24<0;L=j&255;x:do if(((E?f[P>>2]|0:L)|0)==1){j=f[a+24>>2]|0;y:do if(E){if((b[j>>0]|0)!=(b[e>>0]|0))break x}else{if((j&255)<<24>>24!=(f[e>>2]&255)<<24>>24)break x;i=N;B=L;K=e;while(1){B=B+-1|0;i=i+1|0;if(!B)break y;K=K+1|0;if((b[i>>0]|0)!=(b[K>>0]|0))break x}}while(0);j4b(s)|0;break u}while(0);L=e+11|0;E=e+1|0;j=a+24|0;K=e+11|0;i=e+1|0;B=e+4|0;C=e+8|0;G=e+12|0;z:while(1){I=f[D>>2]|0;if(I|0?(f[I>>2]|0)!=2:0){f[e>>2]=110384;f[B>>2]=1962;b[C>>0]=0;f[G>>2]=S;xLb(I,e)}if((f[151812+(f[z>>2]<<2)>>2]|0)==10){if(!(Mac(a,c,q,S)|0)){M=0;break g}}else if(!(Nac(a,c,q,S)|0)){M=0;break g};f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[L>>0]=1;b[e>>0]=93;b[E>>0]=0;I=b[O>>0]|0;F=I<<24>>24<0;H=I&255;do if(((F?f[P>>2]|0:H)|0)==1){I=f[j>>2]|0;if(F)if((b[I>>0]|0)==(b[e>>0]|0))break z;else break;if((I&255)<<24>>24==(f[e>>2]&255)<<24>>24){I=N;fa=H;ga=e;do{fa=fa+-1|0;I=I+1|0;if(!fa)break z;ga=ga+1|0}while((b[I>>0]|0)==(b[ga>>0]|0))}}while(0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[K>>0]=1;b[e>>0]=44;b[i>>0]=0;H=Dac(a,e)|0;if((b[K>>0]|0)<0)fuc(f[e>>2]|0);if(!H){M=0;break g}}j4b(s)|0;break u}while(0)}y=f[D>>2]|0;if(y|0?(f[y>>2]|0)!=2:0){f[e>>2]=110384;f[e+4>>2]=1962;b[e+8>>0]=0;f[e+12>>2]=S;xLb(y,e)}if((f[151812+(f[z>>2]<<2)>>2]|0)==10)if(Mac(a,c,q,S)|0)break;else{M=0;break g}else if(Nac(a,c,q,S)|0)break;else{M=0;break g}}while(0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[e+11>>0]=1;b[e>>0]=59;b[e+1>>0]=0;z=b[O>>0]|0;D=z<<24>>24<0;y=z&255;z=((D?f[P>>2]|0:y)|0)==1;A:do if(z){A=f[a+24>>2]|0;B:do if(D){if((b[A>>0]|0)!=(b[e>>0]|0)){J=254;break A}}else{if((A&255)<<24>>24!=(f[e>>2]&255)<<24>>24){J=254;break A}K=N;i=y;j=e;while(1){i=i+-1|0;K=K+1|0;if(!i)break B;j=j+1|0;if((b[K>>0]|0)!=(b[j>>0]|0)){J=254;break A}}}while(0);j4b(s)|0}else J=254;while(0);if((J|0)==254){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;b[g+11>>0]=1;b[g>>0]=44;b[g+1>>0]=0;C:do if(z){A=f[a+24>>2]|0;D:do if(D){if((b[A>>0]|0)!=(b[g>>0]|0))break C}else{if((A&255)<<24>>24!=(f[g>>2]&255)<<24>>24)break C;j=N;K=y;i=g;while(1){K=K+-1|0;j=j+1|0;if(!K)break D;i=i+1|0;if((b[j>>0]|0)!=(b[i>>0]|0))break C}}while(0);j4b(s)|0}while(0)}if(b[(f[S+68>>2]|0)+54>>0]|0){nEa(g,517887,h);y=Duc(g,517029)|0;f[e>>2]=f[y>>2];f[e+4>>2]=f[y+4>>2];f[e+8>>2]=f[y+8>>2];f[y>>2]=0;f[y+4>>2]=0;f[y+8>>2]=0;Gac(a,f[t>>2]|0,f[w>>2]|0,e);if((b[e+11>>0]|0)<0)fuc(f[e>>2]|0);if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0)}y=f[a+8>>2]|0;if(!y)M=1;else{D=g;f[D>>2]=v;f[D+4>>2]=x;f[e>>2]=f[g>>2];f[e+4>>2]=f[g+4>>2];sac(y,S,e);M=1}}while(0);if((b[h+11>>0]|0)>=0){u=d;return M|0}fuc(f[h>>2]|0);u=d;return M|0}function Bac(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0;g=u;u=u+64|0;h=g+24|0;i=g;b[a+145>>0]=1;j=f[a>>2]|0;if(j|0){sh[f[(f[j>>2]|0)+8>>2]&255](j,c,d,e);u=g;return}if((c|0)>-1){iLb(h,2,517133,288);j=dLb(h,517539)|0;fLb(g+49|0,eLb(dLb(gLb(dLb(gLb(dLb(eLb(j,f[(f[a+132>>2]|0)+4>>2]|0)|0,517123)|0,c+1|0)|0,517566)|0,d+1|0)|0,517123)|0,e)|0);jLb(h);u=g;return}else{iLb(i,2,517133,293);h=dLb(i,517539)|0;fLb(g+48|0,eLb(dLb(eLb(h,f[(f[a+132>>2]|0)+4>>2]|0)|0,517123)|0,e)|0);jLb(i);u=g;return}}function Cac(a,c,e){a=a|0;c=c|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;g=u;u=u+96|0;h=g+84|0;i=g+72|0;j=g+60|0;k=g+48|0;l=g+36|0;m=g+24|0;n=g+12|0;o=g;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;do if(Hac(a,h)|0){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;p=k+11|0;b[p>>0]=1;b[k>>0]=46;b[k+1>>0]=0;q=Dac(a,k)|0;if((b[p>>0]|0)<0)fuc(f[k>>2]|0);if(q?Hac(a,i)|0:0){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;q=k+11|0;b[q>>0]=1;b[k>>0]=46;b[k+1>>0]=0;p=Dac(a,k)|0;if((b[q>>0]|0)<0)fuc(f[k>>2]|0);if(p?Hac(a,j)|0:0){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;p=k+11|0;b[p>>0]=1;b[k>>0]=47;b[k+1>>0]=0;q=Dac(a,k)|0;if((b[p>>0]|0)<0)fuc(f[k>>2]|0);if(q?Fac(a,c)|0:0){RE(o,h,531099);q=b[i+11>>0]|0;p=q<<24>>24<0;r=Cuc(o,p?f[i>>2]|0:i,p?f[i+4>>2]|0:q&255)|0;f[n>>2]=f[r>>2];f[n+4>>2]=f[r+4>>2];f[n+8>>2]=f[r+8>>2];f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;r=Duc(n,531099)|0;f[m>>2]=f[r>>2];f[m+4>>2]=f[r+4>>2];f[m+8>>2]=f[r+8>>2];f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;r=b[j+11>>0]|0;q=r<<24>>24<0;p=Cuc(m,q?f[j>>2]|0:j,q?f[j+4>>2]|0:r&255)|0;f[l>>2]=f[p>>2];f[l+4>>2]=f[p+4>>2];f[l+8>>2]=f[p+8>>2];f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;p=Duc(l,530903)|0;r=f[p>>2]|0;q=p+4|0;f[k>>2]=f[q>>2];d[k+4>>1]=d[q+4>>1]|0;b[k+6>>0]=b[q+6>>0]|0;q=b[p+11>>0]|0;f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;p=e+11|0;if((b[p>>0]|0)<0){b[f[e>>2]>>0]=0;f[e+4>>2]=0}else{b[e>>0]=0;b[p>>0]=0}vuc(e,0);f[e>>2]=r;r=e+4|0;f[r>>2]=f[k>>2];d[r+4>>1]=d[k+4>>1]|0;b[r+6>>0]=b[k+6>>0]|0;b[e+11>>0]=q;f[k>>2]=0;d[k+4>>1]=0;b[k+6>>0]=0;if((b[l+11>>0]|0)<0)fuc(f[l>>2]|0);if((b[m+11>>0]|0)<0)fuc(f[m>>2]|0);if((b[n+11>>0]|0)<0)fuc(f[n>>2]|0);if((b[o+11>>0]|0)<0)fuc(f[o>>2]|0);q=jfc(523219)|0;s=b[p>>0]|0;t=f[r>>2]|0;if((q|0)==((s<<24>>24<0?t:s&255)|0)){if(!(Puc(e,0,-1,523219,q)|0)){v=1;break}w=b[p>>0]|0;x=f[r>>2]|0}else{w=s;x=t}t=jfc(523240)|0;if((t|0)==((w<<24>>24<0?x:w&255)|0)?(Puc(e,0,-1,523240,t)|0)==0:0){v=1;break}nEa(l,518474,e);t=Duc(l,517029)|0;f[k>>2]=f[t>>2];f[k+4>>2]=f[t+4>>2];f[k+8>>2]=f[t+8>>2];f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;Bac(a,f[a+36>>2]|0,f[a+40>>2]|0,k);if((b[k+11>>0]|0)<0)fuc(f[k>>2]|0);if((b[l+11>>0]|0)<0)fuc(f[l>>2]|0);v=0}else v=0}else v=0}else v=0}else v=0;while(0);if((b[j+11>>0]|0)<0)fuc(f[j>>2]|0);if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0);if((b[h+11>>0]|0)>=0){u=g;return v|0}fuc(f[h>>2]|0);u=g;return v|0}function Dac(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;d=u;u=u+48|0;e=d+36|0;g=d+24|0;h=d+12|0;i=d;j=a+20|0;k=a+24|0;l=k+11|0;m=b[l>>0]|0;n=m<<24>>24<0;o=a+28|0;p=m&255;m=n?f[o>>2]|0:p;q=b[c+11>>0]|0;r=q<<24>>24<0;a:do if((m|0)==((r?f[c+4>>2]|0:q&255)|0)){s=f[k>>2]|0;t=n?s:k;v=r?f[c>>2]|0:c;w=(m|0)==0;b:do if(n){if(!w?ahc(t,v,m)|0:0)break a}else if(!w){if((s&255)<<24>>24==(b[v>>0]|0)){x=k;y=p;z=v}else break a;while(1){y=y+-1|0;x=x+1|0;if(!y)break b;z=z+1|0;if((b[x>>0]|0)!=(b[z>>0]|0))break a}}while(0);j4b(j)|0;A=1;u=d;return A|0}while(0);nEa(i,518452,c);c=Duc(i,518463)|0;f[h>>2]=f[c>>2];f[h+4>>2]=f[c+4>>2];f[h+8>>2]=f[c+8>>2];f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;c=b[l>>0]|0;l=c<<24>>24<0;j=Cuc(h,l?f[k>>2]|0:k,l?f[o>>2]|0:c&255)|0;f[g>>2]=f[j>>2];f[g+4>>2]=f[j+4>>2];f[g+8>>2]=f[j+8>>2];f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;j=Duc(g,517668)|0;f[e>>2]=f[j>>2];f[e+4>>2]=f[j+4>>2];f[e+8>>2]=f[j+8>>2];f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;Bac(a,f[a+36>>2]|0,f[a+40>>2]|0,e);if((b[e+11>>0]|0)<0)fuc(f[e>>2]|0);if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);if((b[h+11>>0]|0)<0)fuc(f[h>>2]|0);if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0);A=0;u=d;return A|0}function Eac(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;g=u;u=u+80|0;h=g+48|0;i=g+36|0;j=g+24|0;k=g+12|0;l=g;m=cQb(d,c)|0;if(!m){nEa(i,518321,c);d=Duc(i,518343)|0;f[h>>2]=f[d>>2];f[h+4>>2]=f[d+4>>2];f[h+8>>2]=f[d+8>>2];f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;Bac(a,f[a+36>>2]|0,f[a+40>>2]|0,h);if((b[h+11>>0]|0)<0)fuc(f[h>>2]|0);if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0);n=0;u=g;return n|0}f1b(h);d=d1b(h,m)|0;if(d){m=di[f[(f[d>>2]|0)+12>>2]&1023](d)|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;do if(Rac(a,i)|0){ouc(j,i);d=Sac(a,m,j)|0;if((b[j+11>>0]|0)<0)fuc(f[j>>2]|0);if(d){if(b[a+144>>0]|0){GKb(m,e)|0;o=1;break}if(di[f[(f[m>>2]|0)+32>>2]&1023](m)|0){FKb(m,e)|0;o=1;break}nEa(l,518376,c);d=Duc(l,518392)|0;f[k>>2]=f[d>>2];f[k+4>>2]=f[d+4>>2];f[k+8>>2]=f[d+8>>2];f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;Bac(a,f[a+36>>2]|0,f[a+40>>2]|0,k);if((b[k+11>>0]|0)<0)fuc(f[k>>2]|0);if((b[l+11>>0]|0)<0)fuc(f[l>>2]|0);o=0}else o=0}else o=0;while(0);if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0);if(!m)p=o;else{bi[f[(f[m>>2]|0)+4>>2]&2047](m);p=o}}else p=0;b1b(h);n=p;u=g;return n|0}function Fac(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;d=u;u=u+16|0;e=d;if(!(Hac(a,c)|0)){g=0;u=d;return g|0}h=e+11|0;i=e+1|0;j=a+20|0;k=a+24|0;l=k+11|0;m=a+28|0;n=e+11|0;o=e+4|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[h>>0]=1;b[e>>0]=46;b[i>>0]=0;p=b[l>>0]|0;q=p<<24>>24<0;r=p&255;a:do if(((q?f[m>>2]|0:r)|0)==1){p=r;s=q;while(1){t=f[k>>2]|0;b:do if(s){if((b[t>>0]|0)!=(b[e>>0]|0))break a}else{if((t&255)<<24>>24==(f[e>>2]&255)<<24>>24){v=k;w=p;x=e}else break a;while(1){w=w+-1|0;v=v+1|0;if(!w)break b;x=x+1|0;if((b[v>>0]|0)!=(b[x>>0]|0))break a}}while(0);j4b(j)|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;if(!(Hac(a,e)|0))break;Duc(c,531099)|0;t=b[n>>0]|0;y=t<<24>>24<0;Cuc(c,y?f[e>>2]|0:e,y?f[o>>2]|0:t&255)|0;if((b[n>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[h>>0]=1;b[e>>0]=46;b[i>>0]=0;t=b[l>>0]|0;s=t<<24>>24<0;p=t&255;if(((s?f[m>>2]|0:p)|0)!=1)break a}if((b[n>>0]|0)<0)fuc(f[e>>2]|0);g=0;u=d;return g|0}while(0);g=1;u=d;return g|0}function Gac(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0;e=u;u=u+64|0;g=e+24|0;h=e;i=f[a>>2]|0;if(i|0){sh[f[(f[i>>2]|0)+12>>2]&255](i,b,c,d);u=e;return}if((b|0)>-1){iLb(g,1,517133,305);i=dLb(g,518292)|0;fLb(e+49|0,eLb(dLb(gLb(dLb(gLb(dLb(eLb(i,f[(f[a+132>>2]|0)+4>>2]|0)|0,517123)|0,b+1|0)|0,517566)|0,c+1|0)|0,517123)|0,d)|0);jLb(g);u=e;return}else{iLb(h,1,517133,310);g=dLb(h,518292)|0;fLb(e+48|0,eLb(dLb(eLb(g,f[(f[a+132>>2]|0)+4>>2]|0)|0,517123)|0,d)|0);jLb(h);u=e;return}}function Hac(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0;d=u;u=u+16|0;e=d;g=f[a+20>>2]|0;if((g|0)==2){ruc(c,a+24|0)|0;j4b(a+20|0)|0;h=1;u=d;return h|0}if(!(b[a+143>>0]|0)){if((b[a+141>>0]|0)!=0&(g|0)==3)i=6}else if((g|0)==3)i=6;if((i|0)==6){ruc(c,a+24|0)|0;j4b(a+20|0)|0;h=1;u=d;return h|0}nEa(e,518265,a+24|0);Bac(a,f[a+36>>2]|0,f[a+40>>2]|0,e);if((b[e+11>>0]|0)<0)fuc(f[e>>2]|0);h=0;u=d;return h|0}function Iac(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;d=f[a+80>>2]|0;if((d|0)<=0){e=0;return e|0}g=f[a+48>>2]|0;a=b[c+11>>0]|0;h=a<<24>>24<0;i=a&255;a=h?f[c+4>>2]|0:i;j=h?f[c>>2]|0:c;k=(a|0)==0;if(h){if(k){h=0;while(1){l=f[g+(h<<2)>>2]|0;m=b[l+11>>0]|0;if(!((m<<24>>24<0?f[l+4>>2]|0:m&255)|0)){e=1;n=17;break}h=h+1|0;if((h|0)>=(d|0)){e=0;n=17;break}}if((n|0)==17)return e|0}else o=0;while(1){h=f[g+(o<<2)>>2]|0;m=b[h+11>>0]|0;l=m<<24>>24<0;if((a|0)==((l?f[h+4>>2]|0:m&255)|0)?(ahc(j,l?f[h>>2]|0:h,a)|0)==0:0){e=1;n=17;break}o=o+1|0;if((o|0)>=(d|0)){e=0;n=17;break}}if((n|0)==17)return e|0}if(k){k=0;while(1){o=f[g+(k<<2)>>2]|0;j=b[o+11>>0]|0;if(!((j<<24>>24<0?f[o+4>>2]|0:j&255)|0)){e=1;n=17;break}k=k+1|0;if((k|0)>=(d|0)){e=0;n=17;break}}if((n|0)==17)return e|0}else p=0;a:while(1){k=f[g+(p<<2)>>2]|0;j=b[k+11>>0]|0;o=j<<24>>24<0;b:do if((a|0)==((o?f[k+4>>2]|0:j&255)|0)){h=c;l=i;m=o?f[k>>2]|0:k;while(1){if((b[h>>0]|0)!=(b[m>>0]|0))break b;l=l+-1|0;if(!l){e=1;n=17;break a}else{h=h+1|0;m=m+1|0}}}while(0);p=p+1|0;if((p|0)>=(d|0)){e=0;n=17;break}}if((n|0)==17)return e|0;return 0}function Jac(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0;d=u;u=u+32|0;e=d+12|0;g=d;h=a+20|0;if((f[h>>2]|0)==5){i=a+20|0;do j4b(i)|0;while((f[h>>2]|0)==5);j=1;u=d;return j|0};f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[e+11>>0]=1;b[e>>0]=91;b[e+1>>0]=0;i=a+20|0;k=a+24|0;l=k+11|0;m=b[l>>0]|0;n=m<<24>>24<0;o=a+28|0;p=m&255;a:do if(((n?f[o>>2]|0:p)|0)==1){m=f[k>>2]|0;b:do if(n){if((b[m>>0]|0)!=(b[e>>0]|0))break a}else{if((m&255)<<24>>24!=(f[e>>2]&255)<<24>>24)break a;q=k;r=p;s=e;while(1){r=r+-1|0;q=q+1|0;if(!r)break b;s=s+1|0;if((b[q>>0]|0)!=(b[s>>0]|0))break a}}while(0);j4b(i)|0;m=e+11|0;s=e+1|0;q=e+11|0;r=e+1|0;t=e+11|0;v=e+1|0;w=g+11|0;x=g+1|0;c:while(1){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[m>>0]=1;b[e>>0]=123;b[s>>0]=0;y=b[l>>0]|0;z=y<<24>>24<0;A=y&255;y=((z?f[o>>2]|0:A)|0)==1;d:do if(y){B=f[k>>2]|0;e:do if(z)if((b[B>>0]|0)==(b[e>>0]|0))C=24;else C=18;else if((B&255)<<24>>24==(f[e>>2]&255)<<24>>24){D=k;E=A;F=e;while(1){E=E+-1|0;D=D+1|0;if(!E){C=24;break e}F=F+1|0;if((b[D>>0]|0)!=(b[F>>0]|0)){C=18;break}}}else C=18;while(0);do if((C|0)==18){C=0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;b[w>>0]=1;b[g>>0]=60;b[x>>0]=0;if(!y){C=26;break d}B=f[k>>2]|0;if(z)if((b[B>>0]|0)==(b[g>>0]|0))break;else{C=28;break d}if((B&255)<<24>>24==(f[g>>2]&255)<<24>>24){G=k;H=A;I=g}else{C=26;break d}while(1){H=H+-1|0;G=G+1|0;if(!H)break;I=I+1|0;if((b[G>>0]|0)!=(b[I>>0]|0)){C=26;break d}}}else if((C|0)==24)C=0;while(0);if(!(Kac(a,c)|0)){j=0;C=72;break c}}else{f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;b[w>>0]=1;b[g>>0]=60;b[x>>0]=0;C=26}while(0);if((C|0)==26){C=0;C=28}if((C|0)==28?(C=0,!(Jac(a,c)|0)):0){j=0;C=72;break};f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[q>>0]=1;b[e>>0]=93;b[r>>0]=0;A=b[l>>0]|0;z=A<<24>>24<0;y=A&255;do if(((z?f[o>>2]|0:y)|0)==1){A=f[k>>2]|0;if(z)if((b[A>>0]|0)==(b[e>>0]|0)){C=36;break c}else break;if((A&255)<<24>>24==(f[e>>2]&255)<<24>>24){A=k;B=y;F=e;do{B=B+-1|0;A=A+1|0;if(!B){C=36;break c}F=F+1|0}while((b[A>>0]|0)==(b[F>>0]|0))}}while(0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[t>>0]=1;b[e>>0]=44;b[v>>0]=0;y=Dac(a,e)|0;if((b[t>>0]|0)<0)fuc(f[e>>2]|0);if(!y){j=0;C=72;break}}if((C|0)==36){j4b(i)|0;j=1;u=d;return j|0}else if((C|0)==72){u=d;return j|0}}while(0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[e+11>>0]=1;b[e>>0]=45;b[e+1>>0]=0;I=b[l>>0]|0;l=I<<24>>24<0;G=I&255;f:do if(((l?f[o>>2]|0:G)|0)==1){I=f[k>>2]|0;g:do if(l){if((b[I>>0]|0)!=(b[e>>0]|0)){J=0;break f}}else{if((I&255)<<24>>24!=(f[e>>2]&255)<<24>>24){J=0;break f}H=k;p=G;n=e;while(1){p=p+-1|0;H=H+1|0;if(!p)break g;n=n+1|0;if((b[H>>0]|0)!=(b[n>>0]|0)){J=0;break f}}}while(0);j4b(i)|0;J=1}else J=0;while(0);G=f[h>>2]|0;if((G+-2|0)>>>0>=3){j=0;u=d;return j|0}if(J&(G|0)==2){ouc(e,k);G=e+11|0;J=b[G>>0]|0;h=J<<24>>24<0;l=f[e>>2]|0;o=e+4|0;I=f[o>>2]|0;n=h?l+I|0:e+(J&255)|0;H=h?l:e;if((H|0)==(n|0)){K=J;L=I}else{I=H;do{H=b[I>>0]|0;if((H+-65&255)<26)b[I>>0]=(H&255)+32;I=I+1|0}while((I|0)!=(n|0));K=b[G>>0]|0;L=f[o>>2]|0}if(((K<<24>>24<0?L:K&255)|0)==3){if(Puc(e,0,-1,526874,3)|0){M=b[G>>0]|0;N=f[o>>2]|0;C=58}}else{M=K;N=L;C=58}do if((C|0)==58){if(((M<<24>>24<0?N:M&255)|0)==8){if(!(Puc(e,0,-1,527017,8)|0))break;O=b[G>>0]|0;P=f[o>>2]|0}else{O=M;P=N}if(((O<<24>>24<0?P:O&255)|0)==3?(Puc(e,0,-1,527026,3)|0)==0:0)break;nEa(g,518242,e);Bac(a,f[a+36>>2]|0,f[a+40>>2]|0,g);if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);if((b[G>>0]|0)<0)fuc(f[e>>2]|0);j=0;u=d;return j|0}while(0);if((b[G>>0]|0)<0)fuc(f[e>>2]|0)}ruc(nbc(c,1)|0,k)|0;j4b(i)|0;j=1;u=d;return j|0}function Kac(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;d=u;u=u+48|0;e=d+24|0;g=d+12|0;h=d;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;a:do if(Rac(a,e)|0){i=g+11|0;j=g+1|0;k=a+24|0;l=k+11|0;m=a+28|0;n=h+11|0;o=h+1|0;b:while(1){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;b[i>>0]=1;b[g>>0]=62;b[j>>0]=0;p=b[l>>0]|0;q=p<<24>>24<0;r=p&255;p=((q?f[m>>2]|0:r)|0)==1;do if(p){s=f[k>>2]|0;if(q){if((b[s>>0]|0)==(b[g>>0]|0)){t=15;break b}}else if((s&255)<<24>>24==(f[g>>2]&255)<<24>>24){s=k;v=r;w=g;do{v=v+-1|0;s=s+1|0;if(!v){t=15;break b}w=w+1|0}while((b[s>>0]|0)==(b[w>>0]|0))};f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;b[n>>0]=1;b[h>>0]=125;b[o>>0]=0;if(p){w=f[k>>2]|0;if(q)if((b[w>>0]|0)==(b[h>>0]|0))break b;else break;if((w&255)<<24>>24==(f[h>>2]&255)<<24>>24){w=k;s=r;v=h;while(1){s=s+-1|0;w=w+1|0;if(!s){t=13;break b}v=v+1|0;if((b[w>>0]|0)!=(b[v>>0]|0)){t=17;break}}}else t=17}else t=17}else{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;b[n>>0]=1;b[h>>0]=125;b[o>>0]=0;t=17}while(0);if((t|0)==17)t=0;if(!(Tac(a,c)|0)){x=0;break a}}x=Dac(a,e)|0}else x=0;while(0);if((b[e+11>>0]|0)>=0){u=d;return x|0}fuc(f[e>>2]|0);u=d;return x|0}function Lac(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0;d=u;u=u+16|0;e=d;g=a+20|0;if((f[g>>2]|0)!=5){nEa(e,518219,a+24|0);Bac(a,f[a+36>>2]|0,f[a+40>>2]|0,e);if((b[e+11>>0]|0)<0)fuc(f[e>>2]|0);h=0;u=d;return h|0}e=c+11|0;if((b[e>>0]|0)<0){b[f[c>>2]>>0]=0;f[c+4>>2]=0}else{b[c>>0]=0;b[e>>0]=0}if((f[g>>2]|0)!=5){h=1;u=d;return h|0}e=a+20|0;i=a+24|0;do{m4b(i,c);j4b(e)|0}while((f[g>>2]|0)==5);h=1;u=d;return h|0}function Mac(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;g=u;u=u+48|0;h=g+24|0;i=g+12|0;j=g;k=a+8|0;l=f[k>>2]|0;if(l|0){m=uac(l,e)|0;f[k>>2]=m};f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;do if(Rac(a,h)|0){m=f[d>>2]|0;if((f[e+32>>2]|0)==3){n=Cg[f[m+300>>2]&127](d,c,e,0)|0;ouc(i,h);o=Sac(a,n,i)|0;if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0);if(!o){p=0;break}}else{o=Cg[f[m+156>>2]&127](d,c,e,0)|0;ouc(j,h);m=Sac(a,o,j)|0;if((b[j+11>>0]|0)<0)fuc(f[j>>2]|0);if(!m){p=0;break}}f[k>>2]=l;p=1}else p=0;while(0);if((b[h+11>>0]|0)>=0){u=g;return p|0}fuc(f[h>>2]|0);u=g;return p|0}function Nac(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0.0,C=0.0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0;g=u;u=u+96|0;h=g;i=g+52|0;j=g+40|0;k=g+28|0;l=g+16|0;m=g+64|0;n=g+88|0;o=f[e+24>>2]|0;if(o|0?(f[o>>2]|0)!=2:0){f[h>>2]=110384;f[h+4>>2]=1962;b[h+8>>0]=0;f[h+12>>2]=e;xLb(o,h)}a:do switch(f[151812+(f[e+28>>2]<<2)>>2]|0){case 1:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;b[h+11>>0]=1;b[h>>0]=45;b[h+1>>0]=0;o=a+20|0;q=a+24|0;r=b[q+11>>0]|0;s=r<<24>>24<0;t=r&255;b:do if(((s?f[a+28>>2]|0:t)|0)==1){r=f[q>>2]|0;c:do if(s){if((b[r>>0]|0)!=45){v=0;break b}}else{if((r&255)<<24>>24!=(f[h>>2]&255)<<24>>24){v=0;break b}w=q;x=t;y=h;while(1){x=x+-1|0;w=w+1|0;if(!x)break c;y=y+1|0;if((b[w>>0]|0)!=(b[y>>0]|0)){v=0;break b}}}while(0);j4b(o)|0;v=1}else v=0;while(0);if(!(Oac(a,h,v?-2147483648:2147483647,v?0:0)|0)){z=0;u=g;return z|0}o=h;t=f[o>>2]|0;q=f[o+4>>2]|0;o=(t|0)==0&(q|0)==-2147483648;s=gzc(0,0,t|0,q|0)|0;q=v?(o?0:s):t;t=f[d>>2]|0;if((f[e+32>>2]|0)==3){sh[f[t+260>>2]&255](d,c,e,q);break a}else{sh[f[t+116>>2]&255](d,c,e,q);break a}break}case 3:{if(!(Oac(a,h,-1,0)|0)){z=0;u=g;return z|0}q=f[d>>2]|0;t=f[h>>2]|0;if((f[e+32>>2]|0)==3)sh[f[q+268>>2]&255](d,c,e,t);else sh[f[q+124>>2]&255](d,c,e,t);break}case 2:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;b[h+11>>0]=1;b[h>>0]=45;b[h+1>>0]=0;t=a+20|0;q=a+24|0;s=b[q+11>>0]|0;o=s<<24>>24<0;r=s&255;d:do if(((o?f[a+28>>2]|0:r)|0)==1){s=f[q>>2]|0;e:do if(o){if((b[s>>0]|0)!=45){A=0;break d}}else{if((s&255)<<24>>24!=(f[h>>2]&255)<<24>>24){A=0;break d}y=q;w=r;x=h;while(1){w=w+-1|0;y=y+1|0;if(!w)break e;x=x+1|0;if((b[y>>0]|0)!=(b[x>>0]|0)){A=0;break d}}}while(0);j4b(t)|0;A=1}else A=0;while(0);if(!(Oac(a,h,A?0:-1,A?-2147483648:2147483647)|0)){z=0;u=g;return z|0}t=h;r=f[t>>2]|0;q=f[t+4>>2]|0;t=(r|0)==0&(q|0)==-2147483648;o=gzc(0,0,r|0,q|0)|0;s=A?(t?0:o):r;r=A?(t?-2147483648:J):q;q=f[d>>2]|0;if((f[e+32>>2]|0)==3){th[f[q+264>>2]&255](d,c,e,s,r);break a}else{th[f[q+120>>2]&255](d,c,e,s,r);break a}break}case 4:{if(!(Oac(a,h,-1,-1)|0)){z=0;u=g;return z|0}r=f[d>>2]|0;s=h;q=f[s>>2]|0;t=f[s+4>>2]|0;if((f[e+32>>2]|0)==3)th[f[r+272>>2]&255](d,c,e,q,t);else th[f[r+128>>2]&255](d,c,e,q,t);break}case 6:{if(!(Pac(a,h)|0)){z=0;u=g;return z|0}t=f[d>>2]|0;B=+p[h>>3];if((f[e+32>>2]|0)==3){q=f[t+276>>2]|0;C=+$3b(B);nh[q&63](d,c,e,C)}else{q=f[t+132>>2]|0;C=+$3b(B);nh[q&63](d,c,e,C)}break}case 5:{if(!(Pac(a,h)|0)){z=0;u=g;return z|0}q=f[d>>2]|0;C=+p[h>>3];if((f[e+32>>2]|0)==3)nh[f[q+280>>2]&63](d,c,e,C);else nh[f[q+136>>2]&63](d,c,e,C);break}case 9:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;if(!(Lac(a,h)|0)){if((b[h+11>>0]|0)<0)fuc(f[h>>2]|0);z=0;u=g;return z|0}q=f[d>>2]|0;if((f[e+32>>2]|0)==3)sh[f[q+288>>2]&255](d,c,e,h);else sh[f[q+144>>2]&255](d,c,e,h);if((b[h+11>>0]|0)<0)fuc(f[h>>2]|0);break}case 7:{if((f[a+20>>2]|0)==3){if(!(Oac(a,h,1,0)|0)){z=0;u=g;return z|0}q=f[d>>2]|0;t=h;r=(f[t>>2]|0)!=0|(f[t+4>>2]|0)!=0;if((f[e+32>>2]|0)==3)sh[f[q+284>>2]&255](d,c,e,r);else sh[f[q+140>>2]&255](d,c,e,r);break a};f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;r=Hac(a,h)|0;q=h+11|0;t=b[q>>0]|0;s=t<<24>>24<0;if(!r){if(s)fuc(f[h>>2]|0);z=0;u=g;return z|0}r=h+4|0;o=f[r>>2]|0;if(((s?o:t&255)|0)==4)if(!(Puc(h,0,-1,532016,4)|0))D=72;else{E=b[q>>0]|0;F=f[r>>2]|0;D=66}else{E=t;F=o;D=66}do if((D|0)==66){if(((E<<24>>24<0?F:E&255)|0)==4){if(!(Puc(h,0,-1,517927,4)|0)){D=72;break}G=b[q>>0]|0;H=f[r>>2]|0}else{G=E;H=F}if(((G<<24>>24<0?H:G&255)|0)==1){if(!(Puc(h,0,-1,517932,1)|0)){D=72;break}I=b[q>>0]|0;K=f[r>>2]|0}else{I=G;K=H}if(((I<<24>>24<0?K:I&255)|0)==5){if(Puc(h,0,-1,532010,5)|0){L=b[q>>0]|0;M=f[r>>2]|0;D=78}}else{L=I;M=K;D=78}do if((D|0)==78){if(((L<<24>>24<0?M:L&255)|0)==5){if(!(Puc(h,0,-1,517934,5)|0))break;N=b[q>>0]|0;O=f[r>>2]|0}else{N=L;O=M}if(((N<<24>>24<0?O:N&255)|0)==1?(Puc(h,0,-1,517940,1)|0)==0:0)break;nEa(l,517942,f[e>>2]|0);o=Duc(l,517976)|0;f[k>>2]=f[o>>2];f[k+4>>2]=f[o+4>>2];f[k+8>>2]=f[o+8>>2];f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;o=b[q>>0]|0;t=o<<24>>24<0;s=Cuc(k,t?f[h>>2]|0:h,t?f[r>>2]|0:o&255)|0;f[j>>2]=f[s>>2];f[j+4>>2]=f[s+4>>2];f[j+8>>2]=f[s+8>>2];f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;s=Duc(j,517668)|0;f[i>>2]=f[s>>2];f[i+4>>2]=f[s+4>>2];f[i+8>>2]=f[s+8>>2];f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;Bac(a,f[a+36>>2]|0,f[a+40>>2]|0,i);if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0);if((b[j+11>>0]|0)<0)fuc(f[j>>2]|0);if((b[k+11>>0]|0)<0)fuc(f[k>>2]|0);if((b[l+11>>0]|0)<0)fuc(f[l>>2]|0);if((b[q>>0]|0)<0)fuc(f[h>>2]|0);z=0;u=g;return z|0}while(0);s=f[d>>2]|0;if((f[e+32>>2]|0)==3){sh[f[s+284>>2]&255](d,c,e,0);break}else{sh[f[s+140>>2]&255](d,c,e,0);break}}while(0);do if((D|0)==72){r=f[d>>2]|0;if((f[e+32>>2]|0)==3){sh[f[r+284>>2]&255](d,c,e,1);break}else{sh[f[r+140>>2]&255](d,c,e,1);break}}while(0);if((b[q>>0]|0)<0)fuc(f[h>>2]|0);break}case 8:{f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;r=uQb(e)|0;s=f[a+20>>2]|0;do if((s|0)==2)if(Hac(a,i)|0){P=lQb(r,i)|0;D=129}else{Q=1;R=0}else{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;b[h+11>>0]=1;b[h>>0]=45;b[h+1>>0]=0;o=a+24|0;t=b[o+11>>0]|0;x=t<<24>>24<0;y=t&255;t=((x?f[a+28>>2]|0:y)|0)==1;f:do if(t){w=f[o>>2]|0;g:do if(x){if((b[w>>0]|0)!=(b[h>>0]|0)){D=110;break f}}else{if((w&255)<<24>>24!=(f[h>>2]&255)<<24>>24){D=110;break f}S=o;T=y;U=h;while(1){T=T+-1|0;S=S+1|0;if(!T)break g;U=U+1|0;if((b[S>>0]|0)!=(b[U>>0]|0)){D=110;break f}}}while(0)}else D=110;while(0);if((D|0)==110?(s|0)!=3:0){nEa(h,517988,o);Bac(a,f[a+36>>2]|0,f[a+40>>2]|0,h);if((b[h+11>>0]|0)<0)fuc(f[h>>2]|0);Q=1;R=0;break};f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;b[h+11>>0]=1;b[h>>0]=45;b[h+1>>0]=0;w=a+20|0;h:do if(t){U=f[o>>2]|0;i:do if(x){if((b[U>>0]|0)!=45){V=0;break h}}else{if((U&255)<<24>>24!=(f[h>>2]&255)<<24>>24){V=0;break h}S=o;T=y;W=h;while(1){T=T+-1|0;S=S+1|0;if(!T)break i;W=W+1|0;if((b[S>>0]|0)!=(b[W>>0]|0)){V=0;break h}}}while(0);j4b(w)|0;V=1}else V=0;while(0);if(!(Oac(a,h,V?-2147483648:2147483647,V?0:0)|0)){Q=1;R=0;break}w=h;y=f[w>>2]|0;o=f[w+4>>2]|0;w=(y|0)==0&(o|0)==-2147483648;x=gzc(0,0,y|0,o|0)|0;t=V?(w?0:x):y;aec(h,t,V?(w?-2147483648:J):o);o=i+11|0;if((b[o>>0]|0)<0){b[f[i>>2]>>0]=0;f[i+4>>2]=0}else{b[i>>0]=0;b[o>>0]=0}vuc(i,0);f[i>>2]=f[h>>2];f[i+4>>2]=f[h+4>>2];f[i+8>>2]=f[h+8>>2];P=mQb(r,t)|0;D=129}while(0);do if((D|0)==129){if(P|0){r=f[d>>2]|0;if((f[e+32>>2]|0)==3){sh[f[r+292>>2]&255](d,c,e,P);Q=2;R=0;break}else{sh[f[r+148>>2]&255](d,c,e,P);Q=2;R=0;break}}if(!(b[a+142>>0]|0)){nEa(l,518026,i);r=Duc(l,518057)|0;f[k>>2]=f[r>>2];f[k+4>>2]=f[r+4>>2];f[k+8>>2]=f[r+8>>2];f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;r=f[e>>2]|0;s=b[r+11>>0]|0;q=s<<24>>24<0;t=Cuc(k,q?f[r>>2]|0:r,q?f[r+4>>2]|0:s&255)|0;f[j>>2]=f[t>>2];f[j+4>>2]=f[t+4>>2];f[j+8>>2]=f[t+8>>2];f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;t=Duc(j,517668)|0;f[h>>2]=f[t>>2];f[h+4>>2]=f[t+4>>2];f[h+8>>2]=f[t+8>>2];f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;Bac(a,f[a+36>>2]|0,f[a+40>>2]|0,h);if((b[h+11>>0]|0)<0)fuc(f[h>>2]|0);if((b[j+11>>0]|0)<0)fuc(f[j>>2]|0);if((b[k+11>>0]|0)<0)fuc(f[k>>2]|0);if((b[l+11>>0]|0)<0)fuc(f[l>>2]|0);Q=1;R=0;break}else{nEa(l,518026,i);t=Duc(l,518057)|0;f[k>>2]=f[t>>2];f[k+4>>2]=f[t+4>>2];f[k+8>>2]=f[t+8>>2];f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;t=f[e>>2]|0;s=b[t+11>>0]|0;r=s<<24>>24<0;q=Cuc(k,r?f[t>>2]|0:t,r?f[t+4>>2]|0:s&255)|0;f[j>>2]=f[q>>2];f[j+4>>2]=f[q+4>>2];f[j+8>>2]=f[q+8>>2];f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;q=Duc(j,517668)|0;f[h>>2]=f[q>>2];f[h+4>>2]=f[q+4>>2];f[h+8>>2]=f[q+8>>2];f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;Gac(a,f[a+36>>2]|0,f[a+40>>2]|0,h);if((b[h+11>>0]|0)<0)fuc(f[h>>2]|0);if((b[j+11>>0]|0)<0)fuc(f[j>>2]|0);if((b[k+11>>0]|0)<0)fuc(f[k>>2]|0);if((b[l+11>>0]|0)<0)fuc(f[l>>2]|0);Q=1;R=1;break}}while(0);if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0);if((Q|0)==1){z=R;u=g;return z|0}break}case 10:{iLb(m,3,517133,770);fLb(n,dLb(m,518071)|0);jLb(m);break}default:{}}while(0);z=1;u=g;return z|0}function Oac(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0;g=u;u=u+32|0;h=g+12|0;i=g;if((f[a+20>>2]|0)!=3){nEa(h,518139,a+24|0);Bac(a,f[a+36>>2]|0,f[a+40>>2]|0,h);if((b[h+11>>0]|0)<0)fuc(f[h>>2]|0);j=0;u=g;return j|0}k=a+24|0;if(k4b(k,d,e,c)|0){j4b(a+20|0)|0;j=1;u=g;return j|0}nEa(i,518194,k);k=Duc(i,530808)|0;f[h>>2]=f[k>>2];f[h+4>>2]=f[k+4>>2];f[h+8>>2]=f[k+8>>2];f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;Bac(a,f[a+36>>2]|0,f[a+40>>2]|0,h);if((b[h+11>>0]|0)<0)fuc(f[h>>2]|0);if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0);j=0;u=g;return j|0}function Pac(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0.0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,E=0;d=u;u=u+32|0;e=d;g=d+12|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[e+11>>0]=1;b[e>>0]=45;b[e+1>>0]=0;h=a+20|0;i=a+24|0;j=b[i+11>>0]|0;k=j<<24>>24<0;l=j&255;a:do if(((k?f[a+28>>2]|0:l)|0)==1){j=f[i>>2]|0;b:do if(k){if((b[j>>0]|0)!=(b[e>>0]|0)){m=0;break a}}else{if((j&255)<<24>>24!=(f[e>>2]&255)<<24>>24){m=0;break a}n=i;o=l;q=e;while(1){o=o+-1|0;n=n+1|0;if(!o)break b;q=q+1|0;if((b[n>>0]|0)!=(b[q>>0]|0)){m=0;break a}}}while(0);j4b(h)|0;m=1}else m=0;while(0);c:do switch(f[a+20>>2]|0){case 3:{if(Qac(a,e,-1,-1)|0){l=e;p[c>>3]=+((f[l>>2]|0)>>>0)+4294967296.0*+((f[l+4>>2]|0)>>>0);break c}r=0;u=d;return r|0}case 4:{s=+l4b(i);p[c>>3]=s;j4b(h)|0;break}case 2:{ouc(e,i);l=e+11|0;k=b[l>>0]|0;j=k<<24>>24<0;q=f[e>>2]|0;n=e+4|0;o=f[n>>2]|0;t=j?q+o|0:e+(k&255)|0;v=j?q:e;if((v|0)==(t|0)){w=k;x=o}else{o=v;do{v=b[o>>0]|0;if((v+-65&255)<26)b[o>>0]=(v&255)+32;o=o+1|0}while((o|0)!=(t|0));w=b[l>>0]|0;x=f[n>>2]|0}if(((w<<24>>24<0?x:w&255)|0)==3)if(!(Puc(e,0,-1,526874,3)|0))y=25;else{z=b[l>>0]|0;A=f[n>>2]|0;y=22}else{z=w;A=x;y=22}do if((y|0)==22){if(((z<<24>>24<0?A:z&255)|0)==8){if(!(Puc(e,0,-1,527017,8)|0)){y=25;break}B=b[l>>0]|0;E=f[n>>2]|0}else{B=z;E=A}if(((B<<24>>24<0?E:B&255)|0)==3?(Puc(e,0,-1,527026,3)|0)==0:0){p[c>>3]=C;j4b(h)|0;break}nEa(g,518116,e);Bac(a,f[a+36>>2]|0,f[a+40>>2]|0,g);if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);if((b[l>>0]|0)<0)fuc(f[e>>2]|0);r=0;u=d;return r|0}while(0);if((y|0)==25){p[c>>3]=D;j4b(h)|0}if((b[l>>0]|0)<0)fuc(f[e>>2]|0);break}default:{nEa(e,518116,i);Bac(a,f[a+36>>2]|0,f[a+40>>2]|0,e);if((b[e+11>>0]|0)<0)fuc(f[e>>2]|0);r=0;u=d;return r|0}}while(0);if(!m){r=1;u=d;return r|0}p[c>>3]=-+p[c>>3];r=1;u=d;return r|0}function Qac(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;g=u;u=u+32|0;h=g+12|0;i=g;if((f[a+20>>2]|0)!=3){nEa(h,518139,a+24|0);Bac(a,f[a+36>>2]|0,f[a+40>>2]|0,h);if((b[h+11>>0]|0)<0)fuc(f[h>>2]|0);j=0;u=g;return j|0}k=a+20|0;l=a+24|0;m=b[l+11>>0]|0;n=m<<24>>24<0;do if((n?f[a+28>>2]|0:m&255)>>>0>1){o=n?f[l>>2]|0:l;if(!((b[o>>0]|0)==48?(b[o+1>>0]|32)<<24>>24==120:0)){o=n?f[l>>2]|0:l;if((b[o>>0]|0)!=48)break;if((b[o+1>>0]&-8)<<24>>24!=48)break}nEa(h,518163,l);Bac(a,f[a+36>>2]|0,f[a+40>>2]|0,h);if((b[h+11>>0]|0)<0)fuc(f[h>>2]|0);j=0;u=g;return j|0}while(0);if(k4b(l,d,e,c)|0){j4b(k)|0;j=1;u=g;return j|0}nEa(i,518194,l);l=Duc(i,530808)|0;f[h>>2]=f[l>>2];f[h+4>>2]=f[l+4>>2];f[h+8>>2]=f[l+8>>2];f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;Bac(a,f[a+36>>2]|0,f[a+40>>2]|0,h);if((b[h+11>>0]|0)<0)fuc(f[h>>2]|0);if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0);j=0;u=g;return j|0}function Rac(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;d=u;u=u+16|0;e=d;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[e+11>>0]=1;b[e>>0]=60;b[e+1>>0]=0;g=a+20|0;h=a+24|0;i=b[h+11>>0]|0;j=i<<24>>24<0;k=i&255;a:do if(((j?f[a+28>>2]|0:k)|0)==1){i=f[h>>2]|0;b:do if(j){if((b[i>>0]|0)!=(b[e>>0]|0))break a}else{if((i&255)<<24>>24!=(f[e>>2]&255)<<24>>24)break a;l=h;m=k;n=e;while(1){m=m+-1|0;l=l+1|0;if(!m)break b;n=n+1|0;if((b[l>>0]|0)!=(b[n>>0]|0))break a}}while(0);j4b(g)|0;wuc(c,530846)|0;o=1;u=d;return o|0}while(0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;g=e+11|0;b[g>>0]=1;b[e>>0]=123;b[e+1>>0]=0;k=Dac(a,e)|0;if((b[g>>0]|0)<0)fuc(f[e>>2]|0);if(!k){o=0;u=d;return o|0}wuc(c,518217)|0;o=1;u=d;return o|0}function Sac(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;e=u;u=u+32|0;g=e+12|0;h=e;i=g+11|0;j=g+1|0;k=a+24|0;l=k+11|0;m=a+28|0;n=h+11|0;o=h+1|0;a:while(1){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;b[i>>0]=1;b[g>>0]=62;b[j>>0]=0;p=b[l>>0]|0;q=p<<24>>24<0;r=p&255;p=((q?f[m>>2]|0:r)|0)==1;do if(p){s=f[k>>2]|0;if(q){if((b[s>>0]|0)==(b[g>>0]|0)){t=14;break a}}else if((s&255)<<24>>24==(f[g>>2]&255)<<24>>24){s=k;v=r;w=g;do{v=v+-1|0;s=s+1|0;if(!v){t=14;break a}w=w+1|0}while((b[s>>0]|0)==(b[w>>0]|0))};f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;b[n>>0]=1;b[h>>0]=125;b[o>>0]=0;if(p){w=f[k>>2]|0;if(q)if((b[w>>0]|0)==(b[h>>0]|0))break a;else break;if((w&255)<<24>>24==(f[h>>2]&255)<<24>>24){w=k;s=r;v=h;while(1){s=s+-1|0;w=w+1|0;if(!s){t=12;break a}v=v+1|0;if((b[w>>0]|0)!=(b[v>>0]|0)){t=16;break}}}else t=16}else t=16}else{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;b[n>>0]=1;b[h>>0]=125;b[o>>0]=0;t=16}while(0);if((t|0)==16)t=0;if(!(Aac(a,c)|0)){x=0;t=20;break}}if((t|0)!=12)if((t|0)!=14)if((t|0)==20){u=e;return x|0}x=Dac(a,d)|0;u=e;return x|0}function Tac(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;d=u;u=u+48|0;e=d+36|0;g=d+24|0;h=d+12|0;i=d;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;b[g+11>>0]=1;b[g>>0]=91;b[g+1>>0]=0;j=a+20|0;k=a+24|0;l=k+11|0;m=b[l>>0]|0;n=m<<24>>24<0;o=a+28|0;p=m&255;a:do if(((n?f[o>>2]|0:p)|0)==1){m=f[k>>2]|0;b:do if(n){if((b[m>>0]|0)!=(b[g>>0]|0)){q=12;break a}}else{if((m&255)<<24>>24!=(f[g>>2]&255)<<24>>24){q=12;break a}r=k;s=p;t=g;while(1){s=s+-1|0;r=r+1|0;if(!s)break b;t=t+1|0;if((b[r>>0]|0)!=(b[t>>0]|0)){q=12;break a}}}while(0);j4b(j)|0;if(Fac(a,e)|0){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;m=g+11|0;b[m>>0]=1;b[g>>0]=93;b[g+1>>0]=0;t=Dac(a,g)|0;if((b[m>>0]|0)<0)fuc(f[g>>2]|0);if(t)q=13;else v=0}else v=0}else q=12;while(0);if((q|0)==12)if(Hac(a,e)|0)q=13;else v=0;c:do if((q|0)==13){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;b[g+11>>0]=1;b[g>>0]=58;b[g+1>>0]=0;p=b[l>>0]|0;n=p<<24>>24<0;t=p&255;d:do if(((n?f[o>>2]|0:t)|0)==1){p=f[k>>2]|0;e:do if(n){if((b[p>>0]|0)!=(b[g>>0]|0)){q=31;break d}}else{if((p&255)<<24>>24==(f[g>>2]&255)<<24>>24){w=k;x=t;y=g}else{q=31;break d}while(1){x=x+-1|0;w=w+1|0;if(!x)break e;y=y+1|0;if((b[w>>0]|0)!=(b[y>>0]|0)){q=31;break d}}}while(0);j4b(j)|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;b[h+11>>0]=1;b[h>>0]=123;b[h+1>>0]=0;p=b[l>>0]|0;m=p<<24>>24<0;r=p&255;p=((m?f[o>>2]|0:r)|0)==1;f:do if(p){s=f[k>>2]|0;g:do if(m){if((b[s>>0]|0)!=(b[h>>0]|0))break f}else{if((s&255)<<24>>24==(f[h>>2]&255)<<24>>24){z=k;A=r;B=h}else break f;while(1){A=A+-1|0;z=z+1|0;if(!A)break g;B=B+1|0;if((b[z>>0]|0)!=(b[B>>0]|0))break f}}while(0);q=40;break d}while(0);f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;b[i+11>>0]=1;b[i>>0]=60;b[i+1>>0]=0;do if(p){s=f[k>>2]|0;if(m)if((b[s>>0]|0)==(b[i>>0]|0)){q=40;break d}else break;if((s&255)<<24>>24==(f[i>>2]&255)<<24>>24){C=k;D=r;E=i}else break;while(1){D=D+-1|0;C=C+1|0;if(!D){q=39;break}E=E+1|0;if((b[C>>0]|0)!=(b[E>>0]|0)){q=35;break}}if((q|0)==35)break;else if((q|0)==39){q=40;break d}}while(0);r=f[c>>2]|0;if(!r)F=0;else F=(f[r+4>>2]|0)-(f[r>>2]|0)>>4;r=obc(c,F)|0;ruc(nbc(r,0)|0,e)|0;if(!(Jac(a,r)|0)){v=0;break c}}else q=31;while(0);if((q|0)==31)q=40;if((q|0)==40?!(Kac(a,c)|0):0){v=0;break};f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;b[g+11>>0]=1;b[g>>0]=59;b[g+1>>0]=0;t=b[l>>0]|0;n=t<<24>>24<0;r=t&255;t=((n?f[o>>2]|0:r)|0)==1;h:do if(t){m=f[k>>2]|0;i:do if(n){if((b[m>>0]|0)!=(b[g>>0]|0)){q=49;break h}}else{if((m&255)<<24>>24!=(f[g>>2]&255)<<24>>24){q=49;break h}p=k;s=r;G=g;while(1){s=s+-1|0;p=p+1|0;if(!s)break i;G=G+1|0;if((b[p>>0]|0)!=(b[G>>0]|0)){q=49;break h}}}while(0);j4b(j)|0}else q=49;while(0);if((q|0)==49){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;b[h+11>>0]=1;b[h>>0]=44;b[h+1>>0]=0;j:do if(t){m=f[k>>2]|0;k:do if(n){if((b[m>>0]|0)!=(b[h>>0]|0))break j}else{if((m&255)<<24>>24!=(f[h>>2]&255)<<24>>24)break j;G=k;p=r;s=h;while(1){p=p+-1|0;G=G+1|0;if(!p)break k;s=s+1|0;if((b[G>>0]|0)!=(b[s>>0]|0))break j}}while(0);j4b(j)|0}while(0)}v=1}while(0);if((b[e+11>>0]|0)>=0){u=d;return v|0}fuc(f[e>>2]|0);u=d;return v|0}function Uac(a){a=a|0;fuc(a);return}function Vac(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;Bac(f[a+4>>2]|0,b,c,d);return}function Wac(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;Gac(f[a+4>>2]|0,b,c,d);return}function Xac(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0;e=u;u=u+32|0;g=e;h=b[c+11>>0]|0;i=h<<24>>24<0;uKb(g,i?f[c>>2]|0:c,i?f[c+4>>2]|0:h&255,-1);h=yac(a,g,d)|0;u=e;return h|0}function Yac(a,c){a=a|0;c=c|0;var e=0,g=0,h=0;e=u;u=u+32|0;g=e;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;d[g+16>>1]=0;b[g+18>>0]=0;h=yac(g,a,c)|0;u=e;return h|0}function Zac(a){a=a|0;var b=0;b=a+16|0;f[b>>2]=0;f[b+4>>2]=0;b=a+24|0;f[b>>2]=0;f[a+32>>2]=0;f[a+36>>2]=0;f[a>>2]=0;f[a+4>>2]=0;d[a+8>>1]=0;f[a+28>>2]=a+32;a=cuc(4)|0;f[a>>2]=158816;f[b>>2]=a;return}function _ac(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0;b=a+28|0;c=f[b>>2]|0;d=a+32|0;if((c|0)!=(d|0)){e=c;while(1){c=f[e+20>>2]|0;if(c|0)bi[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[e+4>>2]|0;if(!c){g=e+8|0;h=f[g>>2]|0;if((f[h>>2]|0)==(e|0))i=h;else{h=g;do{g=f[h>>2]|0;h=g+8|0;j=f[h>>2]|0}while((f[j>>2]|0)!=(g|0));i=j}}else{h=c;while(1){j=f[h>>2]|0;if(!j)break;else h=j}i=h}if((i|0)==(d|0))break;else e=i}}X9b(b,f[d>>2]|0);f[a+36>>2]=0;f[b>>2]=d;f[d>>2]=0;X9b(b,0);b=f[a+24>>2]|0;if(!b)return;bi[f[(f[b>>2]|0)+4>>2]&2047](b);return}function $ac(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0;h=u;u=u+48|0;i=h+40|0;j=h+32|0;k=h;l=g+11|0;if((b[l>>0]|0)<0){b[f[g>>2]>>0]=0;f[g+4>>2]=0}else{b[g>>0]=0;b[l>>0]=0}wKb(j,g);g=f[a>>2]|0;f[k>>2]=158884;l=k+4|0;f[l>>2]=j;f[k+8>>2]=0;j=k+12|0;f[j>>2]=0;b[k+16>>0]=1;m=k+17|0;b[m>>0]=0;f[k+20>>2]=g;f[k+24>>2]=g;yh[f[(f[c>>2]|0)+96>>2]&2047](i,c);eac(a,c,f[i+4>>2]|0,d,e,k);f[k>>2]=158884;if(b[m>>0]|0){u=h;return}m=f[j>>2]|0;if((m|0)<=0){u=h;return}j=f[l>>2]|0;yh[f[(f[j>>2]|0)+12>>2]&2047](j,m);u=h;return}function abc(a,b,c,e){a=a|0;b=b|0;c=c|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;g=u;u=u+48|0;h=g;i=h+16|0;f[i>>2]=0;f[i+4>>2]=0;i=h+24|0;f[i>>2]=0;j=h+28|0;f[h+32>>2]=0;k=h+36|0;f[k>>2]=0;l=h+32|0;f[h>>2]=0;f[h+4>>2]=0;d[h+8>>1]=0;f[j>>2]=l;m=cuc(4)|0;f[m>>2]=158816;f[i>>2]=m;$ac(h,a,b,c,e);e=f[j>>2]|0;if((e|0)!=(l|0)){c=e;while(1){e=f[c+20>>2]|0;if(e|0)bi[f[(f[e>>2]|0)+4>>2]&2047](e);e=f[c+4>>2]|0;if(!e){b=c+8|0;a=f[b>>2]|0;if((f[a>>2]|0)==(c|0))n=a;else{a=b;do{b=f[a>>2]|0;a=b+8|0;h=f[a>>2]|0}while((f[h>>2]|0)!=(b|0));n=h}}else{a=e;while(1){h=f[a>>2]|0;if(!h)break;else a=h}n=a}if((n|0)==(l|0))break;else c=n}}X9b(j,f[l>>2]|0);f[k>>2]=0;f[j>>2]=l;f[l>>2]=0;l=f[i>>2]|0;if(!l){u=g;return}bi[f[(f[l>>2]|0)+4>>2]&2047](l);u=g;return}function bbc(){var a=0,c=0,d=0;a=u;u=u+16|0;c=a;if((f[225050]|0)==2){d=f[225051]|0;u=a;return d|0}f[c>>2]=151624;f[c+4>>2]=178;b[c+8>>0]=0;xLb(900200,c);QKb(c);d=f[225051]|0;u=a;return d|0}function cbc(){var a=0;a=cuc(4)|0;f[a>>2]=0;f[225051]=a;$Kb(179);return}function dbc(){var a=0;a=f[225051]|0;if(!a)return;if(f[a>>2]|0)ebc(a);fuc(a);return}function ebc(a){a=a|0;var c=0,d=0,e=0,g=0,h=0;c=f[a>>2]|0;d=(f[c+4>>2]|0)-(f[c>>2]|0)>>4;e=c;do{c=d;d=d+-1|0;g=f[e>>2]|0;switch(f[g+(d<<4)+4>>2]|0){case 3:{h=f[g+(d<<4)+8>>2]|0;if(h|0){if((b[h+11>>0]|0)<0)fuc(f[h>>2]|0);fuc(h)}break}case 4:{h=f[g+(d<<4)+8>>2]|0;if(h|0){if(f[h>>2]|0)ebc(h);fuc(h)}break}default:{}}e=f[a>>2]|0}while((c|0)>1);if(!e){f[a>>2]=0;return}d=f[e>>2]|0;if(d|0){c=e+4|0;h=f[c>>2]|0;if((h|0)!=(d|0))f[c>>2]=h+(~((h+-16-d|0)>>>4)<<4);fuc(d)}fuc(e);f[a>>2]=0;return}function fbc(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;c=f[b>>2]|0;if(!c)return;d=(f[c+4>>2]|0)-(f[c>>2]|0)|0;c=d>>4;if((d|0)<=0)return;d=cuc(12)|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[a>>2]=d;e=0;g=d;while(1){d=(f[f[b>>2]>>2]|0)+(e<<4)|0;h=g+4|0;i=f[h>>2]|0;if((i|0)==(f[g+8>>2]|0))gbc(g,d);else{f[i>>2]=f[d>>2];f[i+4>>2]=f[d+4>>2];f[i+8>>2]=f[d+8>>2];f[i+12>>2]=f[d+12>>2];f[h>>2]=(f[h>>2]|0)+16}h=f[(f[a>>2]|0)+4>>2]|0;switch(f[h+-12>>2]|0){case 3:{d=cuc(12)|0;i=h+-8|0;ouc(d,f[i>>2]|0);j=d;k=i;l=10;break}case 4:{i=cuc(4)|0;f[i>>2]=0;d=h+-8|0;fbc(i,f[d>>2]|0);j=i;k=d;l=10;break}default:{}}if((l|0)==10){l=0;f[k>>2]=j}d=e+1|0;if((d|0)>=(c|0))break;e=d;g=f[a>>2]|0}return}function gbc(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+4|0;d=f[a>>2]|0;e=(f[c>>2]|0)-d|0;g=e>>4;h=g+1|0;if(h>>>0>268435455)nsc(a);i=a+8|0;j=(f[i>>2]|0)-d|0;k=j>>3;l=j>>4>>>0<134217727?(k>>>0<h>>>0?h:k):268435455;do if(l)if(l>>>0>268435455){k=ze(8)|0;kuc(k,519086);f[k>>2]=167148;Hf(k|0,26888,1888)}else{m=cuc(l<<4)|0;break}else m=0;while(0);k=m+(g<<4)|0;f[k>>2]=f[b>>2];f[k+4>>2]=f[b+4>>2];f[k+8>>2]=f[b+8>>2];f[k+12>>2]=f[b+12>>2];b=k+(0-g<<4)|0;if((e|0)>0)szc(b|0,d|0,e|0)|0;f[a>>2]=b;f[c>>2]=k+16;f[i>>2]=m+(l<<4);if(!d)return;fuc(d);return}function hbc(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;c=f[b>>2]|0;if(!c)return;d=(f[c+4>>2]|0)-(f[c>>2]|0)|0;c=d>>4;if((d|0)<=0)return;d=f[a>>2]|0;if(!d){e=cuc(12)|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[a>>2]=e;g=0;h=e}else{g=0;h=d}while(1){d=(f[f[b>>2]>>2]|0)+(g<<4)|0;e=h+4|0;i=f[e>>2]|0;if((i|0)==(f[h+8>>2]|0))gbc(h,d);else{f[i>>2]=f[d>>2];f[i+4>>2]=f[d+4>>2];f[i+8>>2]=f[d+8>>2];f[i+12>>2]=f[d+12>>2];f[e>>2]=(f[e>>2]|0)+16}e=f[(f[a>>2]|0)+4>>2]|0;switch(f[e+-12>>2]|0){case 3:{d=cuc(12)|0;i=e+-8|0;ouc(d,f[i>>2]|0);j=d;k=i;l=11;break}case 4:{i=cuc(4)|0;f[i>>2]=0;d=e+-8|0;fbc(i,f[d>>2]|0);j=i;k=d;l=11;break}default:{}}if((l|0)==11){l=0;f[k>>2]=j}d=g+1|0;if((d|0)>=(c|0))break;g=d;h=f[a>>2]|0}return}function ibc(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0;c=f[b>>2]|0;if(!c){f[b>>2]=0;return}d=(f[c+4>>2]|0)-(f[c>>2]|0)|0;c=d>>4;a:do if((d|0)>0){e=f[a>>2]|0;if(!e){g=cuc(12)|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[a>>2]=g;h=0;i=g}else{h=0;i=e}while(1){e=(f[f[b>>2]>>2]|0)+(h<<4)|0;g=i+4|0;j=f[g>>2]|0;if((j|0)==(f[i+8>>2]|0))gbc(i,e);else{f[j>>2]=f[e>>2];f[j+4>>2]=f[e+4>>2];f[j+8>>2]=f[e+8>>2];f[j+12>>2]=f[e+12>>2];f[g>>2]=(f[g>>2]|0)+16}g=f[f[b>>2]>>2]|0;switch(f[g+(h<<4)+4>>2]|0){case 3:{f[g+(h<<4)+8>>2]=0;break}case 4:{f[g+(h<<4)+8>>2]=0;break}default:{}}g=h+1|0;if((g|0)>=(c|0))break a;h=g;i=f[a>>2]|0}}while(0);a=f[b>>2]|0;if(!a){f[b>>2]=0;return}i=f[a>>2]|0;if(i|0){h=a+4|0;c=f[h>>2]|0;if((c|0)!=(i|0))f[h>>2]=c+(~((c+-16-i|0)>>>4)<<4);fuc(i)}fuc(a);f[b>>2]=0;return}function jbc(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;b=f[a>>2]|0;if(!b){c=0;return c|0}d=f[b+4>>2]|0;e=f[b>>2]|0;g=d-e|12;if((d|0)==(e|0)){c=g;return c|0}else{h=0;i=g;j=b}while(1){b=f[j>>2]|0;switch(f[b+(h<<4)+4>>2]|0){case 3:{k=i+12+(KIb(f[b+(h<<4)+8>>2]|0)|0)|0;break}case 4:{k=i+4+(jbc(f[b+(h<<4)+8>>2]|0)|0)|0;break}default:k=i}h=h+1|0;j=f[a>>2]|0;if(h>>>0>=(f[j+4>>2]|0)-(f[j>>2]|0)>>4>>>0){c=k;break}else i=k}return c|0}function kbc(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0;e=u;u=u+16|0;g=e;f[g>>2]=b;f[g+4>>2]=0;b=g+8|0;f[b>>2]=c;f[b+4>>2]=d;d=f[a>>2]|0;if(!d){b=cuc(12)|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[a>>2]=b;h=b}else h=d;d=h+4|0;b=f[d>>2]|0;if((b|0)==(f[h+8>>2]|0)){gbc(h,g);u=e;return}else{f[b>>2]=f[g>>2];f[b+4>>2]=f[g+4>>2];f[b+8>>2]=f[g+8>>2];f[b+12>>2]=f[g+12>>2];f[d>>2]=(f[d>>2]|0)+16;u=e;return}}function lbc(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+16|0;e=d;f[e>>2]=b;f[e+4>>2]=1;f[e+8>>2]=c;c=f[a>>2]|0;if(!c){b=cuc(12)|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[a>>2]=b;g=b}else g=c;c=g+4|0;b=f[c>>2]|0;if((b|0)==(f[g+8>>2]|0)){gbc(g,e);u=d;return}else{f[b>>2]=f[e>>2];f[b+4>>2]=f[e+4>>2];f[b+8>>2]=f[e+8>>2];f[b+12>>2]=f[e+12>>2];f[c>>2]=(f[c>>2]|0)+16;u=d;return}}function mbc(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0;e=u;u=u+16|0;g=e;f[g>>2]=b;f[g+4>>2]=2;b=g+8|0;f[b>>2]=c;f[b+4>>2]=d;d=f[a>>2]|0;if(!d){b=cuc(12)|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[a>>2]=b;h=b}else h=d;d=h+4|0;b=f[d>>2]|0;if((b|0)==(f[h+8>>2]|0)){gbc(h,g);u=e;return}else{f[b>>2]=f[g>>2];f[b+4>>2]=f[g+4>>2];f[b+8>>2]=f[g+8>>2];f[b+12>>2]=f[g+12>>2];f[d>>2]=(f[d>>2]|0)+16;u=e;return}}function nbc(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0;c=u;u=u+16|0;d=c;f[d>>2]=b;f[d+4>>2]=3;b=cuc(12)|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;e=d+8|0;f[e>>2]=b;b=f[a>>2]|0;if(!b){g=cuc(12)|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[a>>2]=g;h=g}else h=b;b=h+4|0;g=f[b>>2]|0;if((g|0)==(f[h+8>>2]|0)){gbc(h,d);i=f[e>>2]|0;u=c;return i|0}else{f[g>>2]=f[d>>2];f[g+4>>2]=f[d+4>>2];f[g+8>>2]=f[d+8>>2];f[g+12>>2]=f[d+12>>2];f[b>>2]=(f[b>>2]|0)+16;i=f[e>>2]|0;u=c;return i|0}return 0}function obc(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0;c=u;u=u+16|0;d=c;f[d>>2]=b;f[d+4>>2]=4;b=cuc(4)|0;f[b>>2]=0;e=d+8|0;f[e>>2]=b;b=f[a>>2]|0;if(!b){g=cuc(12)|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[a>>2]=g;h=g}else h=b;b=h+4|0;g=f[b>>2]|0;if((g|0)==(f[h+8>>2]|0)){gbc(h,d);i=f[e>>2]|0;u=c;return i|0}else{f[g>>2]=f[d>>2];f[g+4>>2]=f[d+4>>2];f[g+8>>2]=f[d+8>>2];f[g+12>>2]=f[d+12>>2];f[b>>2]=(f[b>>2]|0)+16;i=f[e>>2]|0;u=c;return i|0}return 0}function pbc(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+16|0;e=d;f[e>>2]=0;if(ybc(c,e)|0?(b[c+24>>0]|0)!=0:0){ibc(a,e);g=1}else g=0;if(!(f[e>>2]|0)){u=d;return g|0}ebc(e);u=d;return g|0}function qbc(a,c){a=a|0;c=c|0;var e=0,g=0;e=u;u=u+64|0;g=e;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=c;c=g+12|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;d[c+12>>1]=0;f[g+28>>2]=2147483647;f[g+32>>2]=0;f[g+36>>2]=2147483647;c=f[37864]|0;f[g+40>>2]=c;f[g+44>>2]=c;b[g+48>>0]=1;f[g+52>>2]=0;f[g+56>>2]=0;BJb(g)|0;if(f[a>>2]|0)ebc(a);c=pbc(a,g)|0;a=c&(b[g+24>>0]|0)!=0;vJb(g);u=e;return a|0}function rbc(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=u;u=u+32|0;e=d;uKb(e,b,c,-1);c=qbc(a,e)|0;u=d;return c|0}function sbc(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=f[a+8>>2]|0;a=d+11|0;e=b[a>>0]|0;if(e<<24>>24<0)g=f[d+4>>2]|0;else g=e&255;e=c+8|0;if((f[e>>2]|0)>4){h=c+4|0;i=f[h>>2]|0;if(g>>>0>127){j=g;k=i;while(1){b[k>>0]=j|128;l=j>>>7;m=k+1|0;if(j>>>0>16383){j=l;k=m}else{n=m;o=l;break}}}else{n=i;o=g}b[n>>0]=o;o=n+1-i|0;f[h>>2]=(f[h>>2]|0)+o;f[e>>2]=(f[e>>2]|0)-o}else VJb(c,g);g=b[a>>0]|0;if(g<<24>>24<0){p=f[d>>2]|0;q=f[d+4>>2]|0}else{p=d;q=g&255}if(!(b[c+17>>0]|0)){RJb(c,p,q);return}else{SJb(c,p,q);return}}function tbc(a){a=a|0;fuc(a);return}function ubc(a,b,c){a=a|0;b=b|0;c=c|0;return xbc(b,c,f[a+4>>2]|0)|0}function vbc(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;d=f[a+4>>2]|0;a=c+4|0;e=c+20|0;while(1){g=f[c>>2]|0;if(g>>>0<(f[a>>2]|0)>>>0){h=b[g>>0]|0;i=h&255;if(h<<24>>24>-1){f[c>>2]=g+1;j=i}else{k=i;l=5}}else{k=0;l=5}if((l|0)==5){l=0;j=OJb(c,k)|0}f[e>>2]=j;if((j|0)==0|(j&7|0)==4){m=1;l=8;break}if(!(xbc(c,j,d)|0)){m=0;l=8;break}}if((l|0)==8)return m|0;return 0}function wbc(a,b,c){a=a|0;b=b|0;c=c|0;kbc(f[a+4>>2]|0,b,c,((c|0)<0)<<31>>31);return}function xbc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;e=u;u=u+16|0;g=e;i=c>>>3;if(!i){j=0;u=e;return j|0}switch(c&7){case 0:{c=f[a>>2]|0;if(c>>>0<(f[a+4>>2]|0)>>>0?(k=b[c>>0]|0,k<<24>>24>-1):0){f[a>>2]=c+1;l=k&255;m=0}else{AJb(g,a);k=g;if(!(b[g+8>>0]|0)){j=0;u=e;return j|0}else{l=f[k>>2]|0;m=f[k+4>>2]|0}}if(!d){j=1;u=e;return j|0}kbc(d,i,l,m);j=1;u=e;return j|0}case 1:{m=f[a>>2]|0;if(((f[a+4>>2]|0)-m|0)<=7)if(MJb(a,g)|0)n=12;else o=0;else{l=m;k=l;c=l+4|0;l=h[c>>0]|h[c+1>>0]<<8|h[c+2>>0]<<16|h[c+3>>0]<<24;c=g;f[c>>2]=h[k>>0]|h[k+1>>0]<<8|h[k+2>>0]<<16|h[k+3>>0]<<24;f[c+4>>2]=l;f[a>>2]=m+8;n=12}if((n|0)==12)if(!d)o=1;else{m=g;mbc(d,i,f[m>>2]|0,f[m+4>>2]|0);o=1}j=o;u=e;return j|0}case 2:{o=f[a>>2]|0;m=a+4|0;if(o>>>0<(f[m>>2]|0)>>>0){l=b[o>>0]|0;c=l&255;if(l<<24>>24>-1){f[a>>2]=o+1;p=c}else{q=c;n=18}}else{q=0;n=18}if((n|0)==18){c=zJb(a,q)|0;q=J;if((q|0)>-1|(q|0)==-1&c>>>0>4294967295)p=c;else{j=0;u=e;return j|0}}do if(!d){if((p|0)<0){j=0;u=e;return j|0}c=f[a>>2]|0;q=(f[m>>2]|0)-c|0;if((q|0)>=(p|0)){f[a>>2]=c+p;break}if(!(HJb(a,p,q)|0)){j=0;u=e;return j|0}}else if(!(JJb(a,nbc(d,i)|0,p)|0)){j=0;u=e;return j|0}while(0);j=1;u=e;return j|0}case 3:{p=a+40|0;m=f[p>>2]|0;f[p>>2]=m+-1;if((m|0)<=0){j=0;u=e;return j|0}if(!d)r=0;else r=obc(d,i)|0;m=a+4|0;q=a+20|0;while(1){c=f[a>>2]|0;if(c>>>0<(f[m>>2]|0)>>>0){o=b[c>>0]|0;l=o&255;if(o<<24>>24>-1){f[a>>2]=c+1;s=l}else{t=l;n=33}}else{t=0;n=33}if((n|0)==33){n=0;s=OJb(a,t)|0}f[q>>2]=s;if((s|0)==0|(s&7|0)==4)break;if(!(xbc(a,s,r)|0)){j=0;n=45;break}}if((n|0)==45){u=e;return j|0}r=f[p>>2]|0;if((r|0)<(f[a+44>>2]|0))f[p>>2]=r+1;j=(s|0)==(i<<3|4|0);u=e;return j|0}case 5:{s=f[a>>2]|0;if(((f[a+4>>2]|0)-s|0)<=3)if(LJb(a,g)|0)n=42;else v=0;else{r=s;f[g>>2]=h[r>>0]|h[r+1>>0]<<8|h[r+2>>0]<<16|h[r+3>>0]<<24;f[a>>2]=s+4;n=42}if((n|0)==42)if(!d)v=1;else{lbc(d,i,f[g>>2]|0);v=1}j=v;u=e;return j|0}default:{j=0;u=e;return j|0}}return 0}function ybc(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;d=a+4|0;e=a+20|0;while(1){g=f[a>>2]|0;if(g>>>0<(f[d>>2]|0)>>>0){h=b[g>>0]|0;i=h&255;if(h<<24>>24>-1){f[a>>2]=g+1;j=i}else{k=i;l=5}}else{k=0;l=5}if((l|0)==5){l=0;j=OJb(a,k)|0}f[e>>2]=j;if((j|0)==0|(j&7|0)==4){m=1;l=8;break}if(!(xbc(a,j,c)|0)){m=0;l=8;break}}if((l|0)==8)return m|0;return 0}function zbc(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;h=f[a>>2]|0;i=a+4|0;if(h>>>0<(f[i>>2]|0)>>>0){j=b[h>>0]|0;k=j&255;if(j<<24>>24>-1){f[a>>2]=h+1;l=k}else{m=k;n=4}}else{m=0;n=4}if((n|0)==4){k=zJb(a,m)|0;m=J;if((m|0)>-1|(m|0)==-1&k>>>0>4294967295)l=k;else{o=0;return o|0}}k=wJb(a,l)|0;a:do if((EJb(a)|0)>0){l=g+4|0;m=g+8|0;if(!d){while(1){h=f[a>>2]|0;if(h>>>0<(f[i>>2]|0)>>>0){j=b[h>>0]|0;p=j&255;if(j<<24>>24>-1){f[a>>2]=h+1;q=p}else{r=p;n=9}}else{r=0;n=9}if((n|0)==9){n=0;p=zJb(a,r)|0;h=J;if((h|0)>-1|(h|0)==-1&p>>>0>4294967295)q=p;else{o=0;break}}p=f[g>>2]|0;if((p|0)==(f[l>>2]|0)){NEa(g,p+1|0);s=f[g>>2]|0}else s=p;p=f[m>>2]|0;f[g>>2]=s+1;f[p+4+(s<<2)>>2]=q;if((EJb(a)|0)<=0)break a}return o|0}while(1){p=f[a>>2]|0;if(p>>>0<(f[i>>2]|0)>>>0){h=b[p>>0]|0;j=h&255;if(h<<24>>24>-1){f[a>>2]=p+1;t=j}else{u=j;n=17}}else{u=0;n=17}if((n|0)==17){n=0;j=zJb(a,u)|0;p=J;if((p|0)>-1|(p|0)==-1&j>>>0>4294967295)t=j;else{o=0;break}}if(di[d&1023](t)|0){j=f[g>>2]|0;if((j|0)==(f[l>>2]|0)){NEa(g,j+1|0);v=f[g>>2]|0}else v=j;j=f[m>>2]|0;f[g>>2]=v+1;f[j+4+(v<<2)>>2]=t}else kbc(e,c,t,((t|0)<0)<<31>>31);if((EJb(a)|0)<=0)break a}return o|0}while(0);xJb(a,k);o=1;return o|0}function Abc(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0;d=c+8|0;e=c+4|0;g=c+17|0;h=0;while(1){i=f[a>>2]|0;if(!i)j=0;else j=(f[i+4>>2]|0)-(f[i>>2]|0)>>4;if((h|0)>=(j|0))break;k=f[i>>2]|0;i=k+(h<<4)|0;a:do switch(f[k+(h<<4)+4>>2]|0){case 0:{l=f[i>>2]<<3;if((f[d>>2]|0)>4){m=f[e>>2]|0;if(l>>>0>127){n=l;o=m;while(1){b[o>>0]=n|128;p=n>>>7;q=o+1|0;if(n>>>0>16383){n=p;o=q}else{r=q;s=p;break}}}else{r=m;s=l}b[r>>0]=s;o=r+1-m|0;f[e>>2]=(f[e>>2]|0)+o;n=(f[d>>2]|0)-o|0;f[d>>2]=n;t=n}else{VJb(c,l);t=f[d>>2]|0}n=k+(h<<4)+8|0;o=f[n>>2]|0;p=f[n+4>>2]|0;if((t|0)<=9){WJb(c,o,p);break a}n=f[e>>2]|0;q=o&255;if(p>>>0>0|(p|0)==0&o>>>0>127){u=n;v=q;w=o;o=p;while(1){b[u>>0]=v|-128;p=w;w=pzc(w|0,o|0,7)|0;x=u+1|0;y=w&255;if(!(o>>>0>0|(o|0)==0&p>>>0>16383)){z=x;A=y;break}else{u=x;v=y;o=J}}}else{z=n;A=q}b[z>>0]=A;o=z+1-n|0;f[e>>2]=(f[e>>2]|0)+o;f[d>>2]=(f[d>>2]|0)-o;break}case 1:{o=f[i>>2]<<3|5;if((f[d>>2]|0)>4){v=f[e>>2]|0;if(o>>>0>127){u=o;w=v;while(1){b[w>>0]=u|128;l=u>>>7;m=w+1|0;if(u>>>0>16383){u=l;w=m}else{B=m;C=l;break}}}else{B=v;C=o}b[B>>0]=C;w=B+1-v|0;f[e>>2]=(f[e>>2]|0)+w;f[d>>2]=(f[d>>2]|0)-w}else VJb(c,o);TJb(c,f[k+(h<<4)+8>>2]|0);break}case 2:{w=f[i>>2]<<3|1;if((f[d>>2]|0)>4){u=f[e>>2]|0;if(w>>>0>127){n=w;q=u;while(1){b[q>>0]=n|128;l=n>>>7;m=q+1|0;if(n>>>0>16383){n=l;q=m}else{D=m;E=l;break}}}else{D=u;E=w}b[D>>0]=E;q=D+1-u|0;f[e>>2]=(f[e>>2]|0)+q;f[d>>2]=(f[d>>2]|0)-q}else VJb(c,w);q=k+(h<<4)+8|0;UJb(c,f[q>>2]|0,f[q+4>>2]|0);break}case 3:{q=f[i>>2]<<3|2;if((f[d>>2]|0)>4){n=f[e>>2]|0;if(q>>>0>127){o=q;v=n;while(1){b[v>>0]=o|128;l=o>>>7;m=v+1|0;if(o>>>0>16383){o=l;v=m}else{F=m;G=l;break}}}else{F=n;G=q}b[F>>0]=G;v=F+1-n|0;f[e>>2]=(f[e>>2]|0)+v;f[d>>2]=(f[d>>2]|0)-v}else VJb(c,q);v=k+(h<<4)+8|0;o=f[v>>2]|0;w=b[o+11>>0]|0;if(w<<24>>24<0)H=f[o+4>>2]|0;else H=w&255;if((f[d>>2]|0)>4){w=f[e>>2]|0;if(H>>>0>127){o=H;u=w;while(1){b[u>>0]=o|128;l=o>>>7;m=u+1|0;if(o>>>0>16383){o=l;u=m}else{I=m;K=l;break}}}else{I=w;K=H}b[I>>0]=K;u=I+1-w|0;f[e>>2]=(f[e>>2]|0)+u;f[d>>2]=(f[d>>2]|0)-u}else VJb(c,H);u=f[v>>2]|0;o=b[u+11>>0]|0;if(o<<24>>24<0){L=f[u>>2]|0;M=f[u+4>>2]|0}else{L=u;M=o&255}if(!(b[g>>0]|0)){RJb(c,L,M);break a}else{SJb(c,L,M);break a}break}case 4:{o=f[i>>2]<<3|3;if((f[d>>2]|0)>4){u=f[e>>2]|0;if(o>>>0>127){q=o;n=u;while(1){b[n>>0]=q|128;l=q>>>7;m=n+1|0;if(q>>>0>16383){q=l;n=m}else{N=m;O=l;break}}}else{N=u;O=o}b[N>>0]=O;n=N+1-u|0;f[e>>2]=(f[e>>2]|0)+n;f[d>>2]=(f[d>>2]|0)-n}else VJb(c,o);Abc(f[k+(h<<4)+8>>2]|0,c);n=f[i>>2]<<3|4;if((f[d>>2]|0)<=4){VJb(c,n);break a}q=f[e>>2]|0;if(n>>>0>127){v=n;w=q;while(1){b[w>>0]=v|128;l=v>>>7;m=w+1|0;if(v>>>0>16383){v=l;w=m}else{P=m;Q=l;break}}}else{P=q;Q=n}b[P>>0]=Q;w=P+1-q|0;f[e>>2]=(f[e>>2]|0)+w;f[d>>2]=(f[d>>2]|0)-w;break}default:{}}while(0);h=h+1|0}return}function Bbc(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;d=c;c=0;while(1){e=f[a>>2]|0;if(!e)g=0;else g=(f[e+4>>2]|0)-(f[e>>2]|0)>>4;if((c|0)>=(g|0))break;h=f[e>>2]|0;e=h+(c<<4)|0;switch(f[h+(c<<4)+4>>2]|0){case 0:{i=h+(c<<4)+8|0;j=f[i>>2]|0;k=f[i+4>>2]|0;i=f[e>>2]<<3;if(i>>>0>127){l=i;m=d;while(1){b[m>>0]=l|128;n=l>>>7;o=m+1|0;if(l>>>0>16383){l=n;m=o}else{p=o;q=n;break}}}else{p=d;q=i}b[p>>0]=q;m=p+1|0;l=j&255;if(k>>>0>0|(k|0)==0&j>>>0>127){n=m;o=l;r=j;s=k;while(1){b[n>>0]=o|-128;t=r;r=pzc(r|0,s|0,7)|0;u=n+1|0;v=r&255;if(!(s>>>0>0|(s|0)==0&t>>>0>16383)){w=u;x=v;break}else{n=u;o=v;s=J}}}else{w=m;x=l}b[w>>0]=x;y=w+1|0;break}case 1:{s=f[h+(c<<4)+8>>2]|0;o=f[e>>2]<<3|5;if(o>>>0>127){n=o;r=d;while(1){b[r>>0]=n|128;k=n>>>7;j=r+1|0;if(n>>>0>16383){n=k;r=j}else{z=j;A=k;break}}}else{z=d;A=o}b[z>>0]=A;r=z+1|0;b[r>>0]=s;b[r+1>>0]=s>>8;b[r+2>>0]=s>>16;b[r+3>>0]=s>>24;y=z+5|0;break}case 2:{r=h+(c<<4)+8|0;n=f[r>>2]|0;l=f[r+4>>2]|0;r=f[e>>2]<<3|1;if(r>>>0>127){m=r;k=d;while(1){b[k>>0]=m|128;j=m>>>7;i=k+1|0;if(m>>>0>16383){m=j;k=i}else{B=i;C=j;break}}}else{B=d;C=r}b[B>>0]=C;k=B+1|0;m=k;b[m>>0]=n;b[m+1>>0]=n>>8;b[m+2>>0]=n>>16;b[m+3>>0]=n>>24;m=k+4|0;b[m>>0]=l;b[m+1>>0]=l>>8;b[m+2>>0]=l>>16;b[m+3>>0]=l>>24;y=B+9|0;break}case 3:{m=f[h+(c<<4)+8>>2]|0;k=f[e>>2]<<3|2;if(k>>>0>127){s=k;o=d;while(1){b[o>>0]=s|128;j=s>>>7;i=o+1|0;if(s>>>0>16383){s=j;o=i}else{D=i;E=j;break}}}else{D=d;E=k}b[D>>0]=E;y=XJb(m,D+1|0)|0;break}case 4:{o=f[e>>2]<<3|3;if(o>>>0>127){s=o;l=d;while(1){b[l>>0]=s|128;n=s>>>7;r=l+1|0;if(s>>>0>16383){s=n;l=r}else{F=r;G=n;break}}}else{F=d;G=o}b[F>>0]=G;l=Bbc(f[h+(c<<4)+8>>2]|0,F+1|0)|0;s=f[e>>2]<<3|4;if(s>>>0>127){m=s;k=l;while(1){b[k>>0]=m|128;n=m>>>7;r=k+1|0;if(m>>>0>16383){m=n;k=r}else{H=r;I=n;break}}}else{H=l;I=s}b[H>>0]=I;y=H+1|0;break}default:y=d}d=y;c=c+1|0}return d|0}function Cbc(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;d=c+8|0;e=c+4|0;g=0;while(1){h=f[a>>2]|0;if(!h)i=0;else i=(f[h+4>>2]|0)-(f[h>>2]|0)>>4;if((g|0)>=(i|0))break;j=f[h>>2]|0;h=j+(g<<4)|0;do if((f[j+(g<<4)+4>>2]|0)==3){if((f[d>>2]|0)>4){b[f[e>>2]>>0]=11;f[e>>2]=(f[e>>2]|0)+1;k=(f[d>>2]|0)+-1|0;f[d>>2]=k;l=k}else{VJb(c,11);l=f[d>>2]|0}if((l|0)>4){b[f[e>>2]>>0]=16;f[e>>2]=(f[e>>2]|0)+1;k=(f[d>>2]|0)+-1|0;f[d>>2]=k;m=k}else{VJb(c,16);m=f[d>>2]|0}k=f[h>>2]|0;if((m|0)>4){n=f[e>>2]|0;if(k>>>0>127){o=k;p=n;while(1){b[p>>0]=o|128;q=o>>>7;r=p+1|0;if(o>>>0>16383){o=q;p=r}else{s=r;t=q;break}}}else{s=n;t=k}b[s>>0]=t;p=s+1-n|0;f[e>>2]=(f[e>>2]|0)+p;o=(f[d>>2]|0)-p|0;f[d>>2]=o;u=o}else{VJb(c,k);u=f[d>>2]|0}if((u|0)>4){b[f[e>>2]>>0]=26;f[e>>2]=(f[e>>2]|0)+1;f[d>>2]=(f[d>>2]|0)+-1}else VJb(c,26);sbc(h,c);if((f[d>>2]|0)>4){b[f[e>>2]>>0]=12;f[e>>2]=(f[e>>2]|0)+1;f[d>>2]=(f[d>>2]|0)+-1;break}else{VJb(c,12);break}}while(0);g=g+1|0}return}function Dbc(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;c=f[a>>2]|0;a=(c|0)==0;d=c+4|0;e=0;g=0;while(1){if(a)h=0;else h=(f[d>>2]|0)-(f[c>>2]|0)>>4;if((g|0)>=(h|0))break;i=f[c>>2]|0;j=i+(g<<4)|0;switch(f[i+(g<<4)+4>>2]|0){case 0:{k=((((($(f[j>>2]<<3|1|0)|0)^31)*9|0)+73|0)>>>6)+e|0;l=i+(g<<4)+8|0;m=k+(((((xzc(f[l>>2]|1|0,f[l+4>>2]|0,1)|0)^63)*9|0)+73|0)>>>6)|0;break}case 1:{m=e+4+((((($(f[j>>2]<<3|5|0)|0)^31)*9|0)+73|0)>>>6)|0;break}case 2:{m=e+8+((((($(f[j>>2]<<3|1|0)|0)^31)*9|0)+73|0)>>>6)|0;break}case 3:{l=((((($(f[j>>2]<<3|3|0)|0)^31)*9|0)+73|0)>>>6)+e|0;k=f[i+(g<<4)+8>>2]|0;n=b[k+11>>0]|0;o=n<<24>>24<0;if(o)p=f[k+4>>2]|0;else p=n&255;q=l+((((($(p|1|0)|0)^31)*9|0)+73|0)>>>6)|0;if(o)r=f[k+4>>2]|0;else r=n&255;m=q+r|0;break}case 4:{q=f[j>>2]<<3;m=((((($(q|3|0)|0)^31)*9|0)+73|0)>>>6)+((Dbc(f[i+(g<<4)+8>>2]|0)|0)+e)+((((($(q|5|0)|0)^31)*9|0)+73|0)>>>6)|0;break}default:m=e}e=m;g=g+1|0}return e|0}function Ebc(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;d=u;u=u+16|0;e=d;yh[f[(f[c>>2]|0)+96>>2]&2047](e,c);g=f[e>>2]|0;yh[f[(f[c>>2]|0)+96>>2]&2047](e,c);h=f[e+4>>2]|0;e=a+4|0;i=a+20|0;j=g+16|0;k=a+52|0;if(!g){l=0;while(1){m=f[a>>2]|0;if(m>>>0<(f[e>>2]|0)>>>0){n=b[m>>0]|0;o=n&255;if(n<<24>>24>-1){f[a>>2]=m+1;p=o}else{q=o;r=4}}else{q=0;r=4}if((r|0)==4){r=0;p=OJb(a,q)|0}f[i>>2]=p;if((p|0)==0|(p&7|0)==4){s=1;r=23;break}o=Fbc(p,0,c,a)|0;m=l&o;if(o)l=m;else{s=m;r=23;break}}if((r|0)==23){u=d;return s|0}}else t=0;a:while(1){l=f[a>>2]|0;if(l>>>0<(f[e>>2]|0)>>>0){p=b[l>>0]|0;q=p&255;if(p<<24>>24>-1){f[a>>2]=l+1;v=q}else{w=q;r=11}}else{w=0;r=11}if((r|0)==11){r=0;v=OJb(a,w)|0}f[i>>2]=v;if((v|0)==0|(v&7|0)==4){s=1;r=23;break}q=v>>>3;l=gQb(g,q)|0;do if(!l){if(pQb(g,q)|0){p=f[k>>2]|0;if(!p)x=Th[f[(f[h>>2]|0)+312>>2]&1023](h,q)|0;else x=eQb(p,g,q)|0;if(x|0){y=x;r=21;break}}if((v|0)==11?(b[(f[j>>2]|0)+48>>0]|0)!=0:0){p=Gbc(a,c)|0;z=p?2:1;A=p}else{y=0;r=21}}else{y=l;r=21}while(0);if((r|0)==21){r=0;l=Fbc(v,y,c,a)|0;z=(l^1)&1;A=l}l=t&A;switch(z&3){case 2:case 0:{t=l;break}default:{s=l;r=23;break a}}}if((r|0)==23){u=d;return s|0}return 0}function Fbc(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0.0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0.0,sa=0.0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0;g=u;u=u+16|0;i=g;yh[f[(f[d>>2]|0)+96>>2]&2047](i,d);j=f[i+4>>2]|0;do if(c|0){k=a&7;l=c+24|0;m=f[l>>2]|0;if(m|0?(f[m>>2]|0)!=2:0){f[i>>2]=110384;f[i+4>>2]=1962;b[i+8>>0]=0;f[i+12>>2]=c;xLb(m,i)}m=c+28|0;if((k|0)!=(f[151736+(f[m>>2]<<2)>>2]|0)){if((f[c+32>>2]|0)!=3)break;o=f[l>>2]|0;if(o|0?(f[o>>2]|0)!=2:0){f[i>>2]=110384;f[i+4>>2]=1962;b[i+8>>0]=0;f[i+12>>2]=c;xLb(o,i)}if(!((k|0)==2?((f[m>>2]|0)+-9|0)>>>0>3:0))break;k=f[e>>2]|0;o=e+4|0;if(k>>>0<(f[o>>2]|0)>>>0){q=b[k>>0]|0;r=q&255;if(q<<24>>24>-1){f[e>>2]=k+1;t=r}else{v=r;w=15}}else{v=0;w=15}if((w|0)==15){r=zJb(e,v)|0;k=J;if((k|0)>-1|(k|0)==-1&r>>>0>4294967295)t=r;else{x=0;u=g;return x|0}}r=wJb(e,t)|0;k=f[l>>2]|0;if(k|0?(f[k>>2]|0)!=2:0){f[i>>2]=110384;f[i+4>>2]=1962;b[i+8>>0]=0;f[i+12>>2]=c;xLb(k,i)}a:do switch(f[m>>2]|0){case 5:{if((EJb(e)|0)>0){while(1){k=f[e>>2]|0;if(k>>>0<(f[o>>2]|0)>>>0){q=b[k>>0]|0;y=q&255;if(q<<24>>24>-1){f[e>>2]=k+1;z=y}else{A=y;w=51}}else{A=0;w=51}if((w|0)==51){w=0;y=zJb(e,A)|0;k=J;if((k|0)>-1|(k|0)==-1&y>>>0>4294967295)z=y;else{x=0;break}}sh[f[(f[j>>2]|0)+260>>2]&255](j,d,c,z);if((EJb(e)|0)<=0)break a}u=g;return x|0}break}case 3:{if((EJb(e)|0)>0){y=i+8|0;while(1){k=f[e>>2]|0;if(k>>>0<(f[o>>2]|0)>>>0?(q=b[k>>0]|0,q<<24>>24>-1):0){f[e>>2]=k+1;B=q&255;C=0}else{AJb(i,e);q=i;if(!(b[y>>0]|0)){x=0;break}else{B=f[q>>2]|0;C=f[q+4>>2]|0}}th[f[(f[j>>2]|0)+264>>2]&255](j,d,c,B,C);if((EJb(e)|0)<=0)break a}u=g;return x|0}break}case 17:{if((EJb(e)|0)>0){while(1){y=f[e>>2]|0;if(y>>>0<(f[o>>2]|0)>>>0){q=b[y>>0]|0;k=q&255;if(q<<24>>24>-1){f[e>>2]=y+1;D=k>>>1^0-(k&1)}else{E=k;w=61}}else{E=0;w=61}if((w|0)==61){w=0;k=zJb(e,E)|0;y=J;if((y|0)>-1|(y|0)==-1&k>>>0>4294967295)D=k>>>1^0-(k&1);else{x=0;break}}sh[f[(f[j>>2]|0)+260>>2]&255](j,d,c,D);if((EJb(e)|0)<=0)break a}u=g;return x|0}break}case 18:{if((EJb(e)|0)>0){k=i+8|0;while(1){y=f[e>>2]|0;if(y>>>0<(f[o>>2]|0)>>>0?(q=b[y>>0]|0,q<<24>>24>-1):0){F=q&255;f[e>>2]=y+1;y=pzc(F|0,0,1)|0;q=J;G=gzc(0,0,F&1|0,0)|0;H=y^G;I=q^J}else{AJb(i,e);q=i;G=f[q>>2]|0;y=(b[k>>0]|0)==0;F=pzc(G|0,f[q+4>>2]|0,1)|0;q=J;K=gzc(0,0,G&1|0,0)|0;if(y){x=0;break}else{H=F^K;I=q^J}}th[f[(f[j>>2]|0)+264>>2]&255](j,d,c,H,I);if((EJb(e)|0)<=0)break a}u=g;return x|0}break}case 13:{if((EJb(e)|0)>0){while(1){k=f[e>>2]|0;if(k>>>0<(f[o>>2]|0)>>>0){q=b[k>>0]|0;K=q&255;if(q<<24>>24>-1){f[e>>2]=k+1;L=K}else{M=K;w=71}}else{M=0;w=71}if((w|0)==71){w=0;K=zJb(e,M)|0;k=J;if((k|0)>-1|(k|0)==-1&K>>>0>4294967295)L=K;else{x=0;break}}sh[f[(f[j>>2]|0)+268>>2]&255](j,d,c,L);if((EJb(e)|0)<=0)break a}u=g;return x|0}break}case 4:{if((EJb(e)|0)>0){K=i+8|0;while(1){k=f[e>>2]|0;if(k>>>0<(f[o>>2]|0)>>>0?(q=b[k>>0]|0,q<<24>>24>-1):0){f[e>>2]=k+1;N=q&255;O=0}else{AJb(i,e);q=i;if(!(b[K>>0]|0)){x=0;break}else{N=f[q>>2]|0;O=f[q+4>>2]|0}}th[f[(f[j>>2]|0)+272>>2]&255](j,d,c,N,O);if((EJb(e)|0)<=0)break a}u=g;return x|0}break}case 7:{if((EJb(e)|0)>0){while(1){K=f[e>>2]|0;if(((f[o>>2]|0)-K|0)>3){q=K;k=h[q>>0]|h[q+1>>0]<<8|h[q+2>>0]<<16|h[q+3>>0]<<24;f[i>>2]=k;f[e>>2]=K+4;P=k}else{if(!(LJb(e,i)|0))break;P=f[i>>2]|0}sh[f[(f[j>>2]|0)+268>>2]&255](j,d,c,P);if((EJb(e)|0)<=0)break a}x=0;u=g;return x|0}break}case 6:{if((EJb(e)|0)>0){while(1){k=f[e>>2]|0;if(((f[o>>2]|0)-k|0)>7){K=k;q=K;F=h[q>>0]|h[q+1>>0]<<8|h[q+2>>0]<<16|h[q+3>>0]<<24;q=K+4|0;K=h[q>>0]|h[q+1>>0]<<8|h[q+2>>0]<<16|h[q+3>>0]<<24;q=i;f[q>>2]=F;f[q+4>>2]=K;f[e>>2]=k+8;Q=F;R=K}else{if(!(MJb(e,i)|0))break;K=i;Q=f[K>>2]|0;R=f[K+4>>2]|0}th[f[(f[j>>2]|0)+272>>2]&255](j,d,c,Q,R);if((EJb(e)|0)<=0)break a}x=0;u=g;return x|0}break}case 15:{if((EJb(e)|0)>0){while(1){K=f[e>>2]|0;if(((f[o>>2]|0)-K|0)>3){F=K;k=h[F>>0]|h[F+1>>0]<<8|h[F+2>>0]<<16|h[F+3>>0]<<24;f[i>>2]=k;f[e>>2]=K+4;S=k}else{if(!(LJb(e,i)|0))break;S=f[i>>2]|0}sh[f[(f[j>>2]|0)+260>>2]&255](j,d,c,S);if((EJb(e)|0)<=0)break a}x=0;u=g;return x|0}break}case 16:{if((EJb(e)|0)>0){while(1){k=f[e>>2]|0;if(((f[o>>2]|0)-k|0)>7){K=k;F=K;q=h[F>>0]|h[F+1>>0]<<8|h[F+2>>0]<<16|h[F+3>>0]<<24;F=K+4|0;K=h[F>>0]|h[F+1>>0]<<8|h[F+2>>0]<<16|h[F+3>>0]<<24;F=i;f[F>>2]=q;f[F+4>>2]=K;f[e>>2]=k+8;T=q;U=K}else{if(!(MJb(e,i)|0))break;K=i;T=f[K>>2]|0;U=f[K+4>>2]|0}th[f[(f[j>>2]|0)+264>>2]&255](j,d,c,T,U);if((EJb(e)|0)<=0)break a}x=0;u=g;return x|0}break}case 2:{if((EJb(e)|0)>0){while(1){K=f[e>>2]|0;if(((f[o>>2]|0)-K|0)>3){q=K;k=h[q>>0]|h[q+1>>0]<<8|h[q+2>>0]<<16|h[q+3>>0]<<24;f[i>>2]=k;f[e>>2]=K+4;V=k}else{if(!(LJb(e,i)|0))break;V=f[i>>2]|0}nh[f[(f[j>>2]|0)+276>>2]&63](j,d,c,(f[s>>2]=V,+n[s>>2]));if((EJb(e)|0)<=0)break a}x=0;u=g;return x|0}break}case 1:{if((EJb(e)|0)>0){while(1){k=f[e>>2]|0;if(((f[o>>2]|0)-k|0)>7){K=k;q=K;F=h[q>>0]|h[q+1>>0]<<8|h[q+2>>0]<<16|h[q+3>>0]<<24;q=K+4|0;K=h[q>>0]|h[q+1>>0]<<8|h[q+2>>0]<<16|h[q+3>>0]<<24;q=i;f[q>>2]=F;f[q+4>>2]=K;f[e>>2]=k+8;f[s>>2]=F;f[s+4>>2]=K;W=+p[s>>3]}else{if(!(MJb(e,i)|0))break;W=+p[i>>3]}nh[f[(f[j>>2]|0)+280>>2]&63](j,d,c,W);if((EJb(e)|0)<=0)break a}x=0;u=g;return x|0}break}case 8:{if((EJb(e)|0)>0){K=i+8|0;while(1){F=f[e>>2]|0;if(F>>>0<(f[o>>2]|0)>>>0?(k=b[F>>0]|0,k<<24>>24>-1):0){f[e>>2]=F+1;X=k<<24>>24!=0}else{AJb(i,e);k=i;if(!(b[K>>0]|0)){x=0;break}else X=(f[k>>2]|0)!=0|(f[k+4>>2]|0)!=0}sh[f[(f[j>>2]|0)+284>>2]&255](j,d,c,X);if((EJb(e)|0)<=0)break a}u=g;return x|0}break}case 14:{if((EJb(e)|0)>0){K=a>>>3;while(1){k=f[e>>2]|0;if(k>>>0<(f[o>>2]|0)>>>0){F=b[k>>0]|0;q=F&255;if(F<<24>>24>-1){f[e>>2]=k+1;Y=q}else{Z=q;w=122}}else{Z=0;w=122}if((w|0)==122){w=0;q=zJb(e,Z)|0;k=J;if((k|0)>-1|(k|0)==-1&q>>>0>4294967295)Y=q;else{x=0;break}}yh[f[(f[d>>2]|0)+96>>2]&2047](i,d);do if((f[(f[(f[i>>2]|0)+8>>2]|0)+44>>2]|0)!=3){q=mQb(uQb(c)|0,Y)|0;if(!q){kbc(Th[f[(f[j>>2]|0)+12>>2]&1023](j,d)|0,K,Y,((Y|0)<0)<<31>>31);break}else{sh[f[(f[j>>2]|0)+292>>2]&255](j,d,c,q);break}}else sh[f[(f[j>>2]|0)+296>>2]&255](j,d,c,Y);while(0);if((EJb(e)|0)<=0)break a}u=g;return x|0}break}case 12:case 11:case 10:case 9:{x=0;u=g;return x|0}default:{}}while(0);xJb(e,r);x=1;u=g;return x|0}o=f[l>>2]|0;if(o|0?(f[o>>2]|0)!=2:0){f[i>>2]=110384;f[i+4>>2]=1962;b[i+8>>0]=0;f[i+12>>2]=c;xLb(o,i)}do switch(f[m>>2]|0){case 5:{o=f[e>>2]|0;if(o>>>0<(f[e+4>>2]|0)>>>0){K=b[o>>0]|0;q=K&255;if(K<<24>>24>-1){f[e>>2]=o+1;_=q}else{$=q;w=137}}else{$=0;w=137}if((w|0)==137){q=zJb(e,$)|0;o=J;if((o|0)>-1|(o|0)==-1&q>>>0>4294967295)_=q;else{x=0;u=g;return x|0}}q=f[j>>2]|0;if((f[c+32>>2]|0)==3){sh[f[q+260>>2]&255](j,d,c,_);x=1;u=g;return x|0}else{sh[f[q+116>>2]&255](j,d,c,_);x=1;u=g;return x|0}break}case 3:{q=f[e>>2]|0;if(q>>>0<(f[e+4>>2]|0)>>>0?(o=b[q>>0]|0,o<<24>>24>-1):0){f[e>>2]=q+1;aa=o&255;ba=0}else{AJb(i,e);o=i;if(!(b[i+8>>0]|0)){x=0;u=g;return x|0}else{aa=f[o>>2]|0;ba=f[o+4>>2]|0}}o=f[j>>2]|0;if((f[c+32>>2]|0)==3){th[f[o+264>>2]&255](j,d,c,aa,ba);x=1;u=g;return x|0}else{th[f[o+120>>2]&255](j,d,c,aa,ba);x=1;u=g;return x|0}break}case 17:{o=f[e>>2]|0;if(o>>>0<(f[e+4>>2]|0)>>>0){q=b[o>>0]|0;K=q&255;if(q<<24>>24>-1){f[e>>2]=o+1;ca=K>>>1^0-(K&1)}else{da=K;w=151}}else{da=0;w=151}if((w|0)==151){K=zJb(e,da)|0;o=J;if((o|0)>-1|(o|0)==-1&K>>>0>4294967295)ca=K>>>1^0-(K&1);else{x=0;u=g;return x|0}}K=f[j>>2]|0;if((f[c+32>>2]|0)==3){sh[f[K+260>>2]&255](j,d,c,ca);x=1;u=g;return x|0}else{sh[f[K+116>>2]&255](j,d,c,ca);x=1;u=g;return x|0}break}case 18:{K=f[e>>2]|0;if(K>>>0<(f[e+4>>2]|0)>>>0?(o=b[K>>0]|0,o<<24>>24>-1):0){q=o&255;f[e>>2]=K+1;K=pzc(q|0,0,1)|0;o=J;k=gzc(0,0,q&1|0,0)|0;ea=K^k;fa=o^J}else{AJb(i,e);o=i;k=f[o>>2]|0;K=(b[i+8>>0]|0)==0;q=pzc(k|0,f[o+4>>2]|0,1)|0;o=J;F=gzc(0,0,k&1|0,0)|0;k=o^J;if(K){x=0;u=g;return x|0}else{ea=q^F;fa=k}}k=f[j>>2]|0;if((f[c+32>>2]|0)==3){th[f[k+264>>2]&255](j,d,c,ea,fa);x=1;u=g;return x|0}else{th[f[k+120>>2]&255](j,d,c,ea,fa);x=1;u=g;return x|0}break}case 13:{k=f[e>>2]|0;if(k>>>0<(f[e+4>>2]|0)>>>0){F=b[k>>0]|0;q=F&255;if(F<<24>>24>-1){f[e>>2]=k+1;ga=q}else{ha=q;w=165}}else{ha=0;w=165}if((w|0)==165){q=zJb(e,ha)|0;k=J;if((k|0)>-1|(k|0)==-1&q>>>0>4294967295)ga=q;else{x=0;u=g;return x|0}}q=f[j>>2]|0;if((f[c+32>>2]|0)==3){sh[f[q+268>>2]&255](j,d,c,ga);x=1;u=g;return x|0}else{sh[f[q+124>>2]&255](j,d,c,ga);x=1;u=g;return x|0}break}case 4:{q=f[e>>2]|0;if(q>>>0<(f[e+4>>2]|0)>>>0?(k=b[q>>0]|0,k<<24>>24>-1):0){f[e>>2]=q+1;ia=k&255;ja=0}else{AJb(i,e);k=i;if(!(b[i+8>>0]|0)){x=0;u=g;return x|0}else{ia=f[k>>2]|0;ja=f[k+4>>2]|0}}k=f[j>>2]|0;if((f[c+32>>2]|0)==3){th[f[k+272>>2]&255](j,d,c,ia,ja);x=1;u=g;return x|0}else{th[f[k+128>>2]&255](j,d,c,ia,ja);x=1;u=g;return x|0}break}case 7:{k=f[e>>2]|0;do if(((f[e+4>>2]|0)-k|0)>3){q=k;F=h[q>>0]|h[q+1>>0]<<8|h[q+2>>0]<<16|h[q+3>>0]<<24;f[i>>2]=F;f[e>>2]=k+4;ka=F}else{if(LJb(e,i)|0){ka=f[i>>2]|0;break}x=0;u=g;return x|0}while(0);k=f[j>>2]|0;if((f[c+32>>2]|0)==3)sh[f[k+268>>2]&255](j,d,c,ka);else sh[f[k+124>>2]&255](j,d,c,ka);x=1;u=g;return x|0}case 6:{k=f[e>>2]|0;do if(((f[e+4>>2]|0)-k|0)>7){F=k;q=F;K=h[q>>0]|h[q+1>>0]<<8|h[q+2>>0]<<16|h[q+3>>0]<<24;q=F+4|0;F=h[q>>0]|h[q+1>>0]<<8|h[q+2>>0]<<16|h[q+3>>0]<<24;q=i;f[q>>2]=K;f[q+4>>2]=F;f[e>>2]=k+8;la=K;ma=F}else{if(MJb(e,i)|0){F=i;la=f[F>>2]|0;ma=f[F+4>>2]|0;break}x=0;u=g;return x|0}while(0);k=f[j>>2]|0;if((f[c+32>>2]|0)==3)th[f[k+272>>2]&255](j,d,c,la,ma);else th[f[k+128>>2]&255](j,d,c,la,ma);x=1;u=g;return x|0}case 15:{k=f[e>>2]|0;do if(((f[e+4>>2]|0)-k|0)>3){F=k;K=h[F>>0]|h[F+1>>0]<<8|h[F+2>>0]<<16|h[F+3>>0]<<24;f[i>>2]=K;f[e>>2]=k+4;na=K}else{if(LJb(e,i)|0){na=f[i>>2]|0;break}x=0;u=g;return x|0}while(0);k=f[j>>2]|0;if((f[c+32>>2]|0)==3){sh[f[k+260>>2]&255](j,d,c,na);x=1;u=g;return x|0}else{sh[f[k+116>>2]&255](j,d,c,na);x=1;u=g;return x|0}break}case 16:{k=f[e>>2]|0;do if(((f[e+4>>2]|0)-k|0)>7){K=k;F=K;q=h[F>>0]|h[F+1>>0]<<8|h[F+2>>0]<<16|h[F+3>>0]<<24;F=K+4|0;K=h[F>>0]|h[F+1>>0]<<8|h[F+2>>0]<<16|h[F+3>>0]<<24;F=i;f[F>>2]=q;f[F+4>>2]=K;f[e>>2]=k+8;oa=q;pa=K}else{if(MJb(e,i)|0){K=i;oa=f[K>>2]|0;pa=f[K+4>>2]|0;break}x=0;u=g;return x|0}while(0);k=f[j>>2]|0;if((f[c+32>>2]|0)==3){th[f[k+264>>2]&255](j,d,c,oa,pa);x=1;u=g;return x|0}else{th[f[k+120>>2]&255](j,d,c,oa,pa);x=1;u=g;return x|0}break}case 2:{k=f[e>>2]|0;do if(((f[e+4>>2]|0)-k|0)>3){K=k;q=h[K>>0]|h[K+1>>0]<<8|h[K+2>>0]<<16|h[K+3>>0]<<24;f[i>>2]=q;f[e>>2]=k+4;qa=q}else{if(LJb(e,i)|0){qa=f[i>>2]|0;break}x=0;u=g;return x|0}while(0);k=f[j>>2]|0;ra=(f[s>>2]=qa,+n[s>>2]);if((f[c+32>>2]|0)==3){nh[f[k+276>>2]&63](j,d,c,ra);x=1;u=g;return x|0}else{nh[f[k+132>>2]&63](j,d,c,ra);x=1;u=g;return x|0}break}case 1:{k=f[e>>2]|0;do if(((f[e+4>>2]|0)-k|0)>7){q=k;K=q;F=h[K>>0]|h[K+1>>0]<<8|h[K+2>>0]<<16|h[K+3>>0]<<24;K=q+4|0;q=h[K>>0]|h[K+1>>0]<<8|h[K+2>>0]<<16|h[K+3>>0]<<24;K=i;f[K>>2]=F;f[K+4>>2]=q;f[e>>2]=k+8;f[s>>2]=F;f[s+4>>2]=q;sa=+p[s>>3]}else{if(MJb(e,i)|0){sa=+p[i>>3];break}x=0;u=g;return x|0}while(0);k=f[j>>2]|0;if((f[c+32>>2]|0)==3){nh[f[k+280>>2]&63](j,d,c,sa);x=1;u=g;return x|0}else{nh[f[k+136>>2]&63](j,d,c,sa);x=1;u=g;return x|0}break}case 8:{k=f[e>>2]|0;if(k>>>0<(f[e+4>>2]|0)>>>0?(q=b[k>>0]|0,q<<24>>24>-1):0){f[e>>2]=k+1;ta=q<<24>>24!=0}else{AJb(i,e);q=i;if(!(b[i+8>>0]|0)){x=0;u=g;return x|0}else ta=(f[q>>2]|0)!=0|(f[q+4>>2]|0)!=0}q=f[j>>2]|0;if((f[c+32>>2]|0)==3){sh[f[q+284>>2]&255](j,d,c,ta);x=1;u=g;return x|0}else{sh[f[q+140>>2]&255](j,d,c,ta);x=1;u=g;return x|0}break}case 14:{q=f[e>>2]|0;if(q>>>0<(f[e+4>>2]|0)>>>0){k=b[q>>0]|0;F=k&255;if(k<<24>>24>-1){f[e>>2]=q+1;ua=F}else{va=F;w=230}}else{va=0;w=230}if((w|0)==230){F=zJb(e,va)|0;q=J;if((q|0)>-1|(q|0)==-1&F>>>0>4294967295)ua=F;else{x=0;u=g;return x|0}}yh[f[(f[d>>2]|0)+96>>2]&2047](i,d);if((f[(f[(f[i>>2]|0)+8>>2]|0)+44>>2]|0)==3){F=f[j>>2]|0;if((f[c+32>>2]|0)==3){sh[f[F+296>>2]&255](j,d,c,ua);x=1;u=g;return x|0}else{sh[f[F+152>>2]&255](j,d,c,ua);x=1;u=g;return x|0}}F=mQb(uQb(c)|0,ua)|0;if(!F){kbc(Th[f[(f[j>>2]|0)+12>>2]&1023](j,d)|0,a>>>3,ua,((ua|0)<0)<<31>>31);x=1;u=g;return x|0}q=f[j>>2]|0;if((f[c+32>>2]|0)==3){sh[f[q+292>>2]&255](j,d,c,F);x=1;u=g;return x|0}else{sh[f[q+148>>2]&255](j,d,c,F);x=1;u=g;return x|0}break}case 9:{F=(f[(f[c+20>>2]|0)+44>>2]|0)==3;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;q=$Lb(e,i)|0;k=i+11|0;K=b[k>>0]|0;o=K<<24>>24<0;if(!q){if(o)fuc(f[i>>2]|0);x=0;u=g;return x|0}q=f[c+4>>2]|0;if((b[q+11>>0]|0)<0)wa=f[q>>2]|0;else wa=q;if(F?!(aMb(o?f[i>>2]|0:i,o?f[i+4>>2]|0:K&255,0,wa)|0):0){if((b[k>>0]|0)<0)fuc(f[i>>2]|0);x=0;u=g;return x|0}K=f[j>>2]|0;if((f[c+32>>2]|0)==3)sh[f[K+288>>2]&255](j,d,c,i);else sh[f[K+144>>2]&255](j,d,c,i);if((b[k>>0]|0)<0)fuc(f[i>>2]|0);x=1;u=g;return x|0}case 12:{f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;if(!($Lb(e,i)|0)){if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0);x=0;u=g;return x|0}k=f[j>>2]|0;if((f[c+32>>2]|0)==3)sh[f[k+288>>2]&255](j,d,c,i);else sh[f[k+144>>2]&255](j,d,c,i);if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0);x=1;u=g;return x|0}case 10:{k=f[j>>2]|0;K=f[e+56>>2]|0;if((f[c+32>>2]|0)==3)xa=Cg[f[k+300>>2]&127](j,d,c,K)|0;else xa=Cg[f[k+156>>2]&127](j,d,c,K)|0;K=a&-8;k=e+40|0;o=f[k>>2]|0;f[k>>2]=o+-1;if((o|0)>0?Th[f[(f[xa>>2]|0)+44>>2]&1023](xa,e)|0:0){o=f[k>>2]|0;if((o|0)<(f[e+44>>2]|0))f[k>>2]=o+1;if((f[e+20>>2]|0)==(K|4|0)){x=1;u=g;return x|0}}x=0;u=g;return x|0}case 11:{K=f[j>>2]|0;o=f[e+56>>2]|0;if((f[c+32>>2]|0)==3)ya=Cg[f[K+300>>2]&127](j,d,c,o)|0;else ya=Cg[f[K+156>>2]&127](j,d,c,o)|0;o=f[e>>2]|0;if(o>>>0<(f[e+4>>2]|0)>>>0?(K=b[o>>0]|0,K<<24>>24>-1):0){f[e>>2]=o+1;za=K&255;w=275}else w=274;if((w|0)==274?(K=NJb(e)|0,(K|0)>-1):0){za=K;w=275}do if(((w|0)==275?(yJb(i,e,za),(f[i+4>>2]|0)>=0):0)?Th[f[(f[ya>>2]|0)+44>>2]&1023](ya,e)|0:0){if(DJb(e,f[i>>2]|0)|0)x=1;else break;u=g;return x|0}while(0);x=0;u=g;return x|0}default:{x=1;u=g;return x|0}}while(0)}while(0);x=xbc(e,a,Th[f[(f[j>>2]|0)+12>>2]&1023](j,d)|0)|0;u=g;return x|0}function Gbc(a,c){a=a|0;c=c|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0;e=u;u=u+128|0;g=e+104|0;h=e+80|0;i=e+20|0;j=e;yh[f[(f[c>>2]|0)+96>>2]&2047](g,c);k=f[g+4>>2]|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;l=a+4|0;m=a+20|0;n=j+8|0;o=j+4|0;p=h+11|0;q=h+4|0;r=g+11|0;s=g+4|0;t=i+4|0;v=i+8|0;w=i+12|0;x=i+28|0;y=i+32|0;z=i+36|0;A=i+40|0;B=i+44|0;C=i+48|0;D=i+52|0;E=i+56|0;F=0;G=0;a:while(1){H=(G|0)==0;b:while(1){if(!H){I=10;break}c:while(1){K=f[a>>2]|0;if(K>>>0<(f[l>>2]|0)>>>0){L=b[K>>0]|0;M=L&255;if(L<<24>>24>-1){f[a>>2]=K+1;N=M}else{O=M;I=6}}else{O=0;I=6}if((I|0)==6){I=0;N=OJb(a,O)|0}f[m>>2]=N;switch(N|0){case 12:{P=1;break a;break}case 0:{I=42;break a;break}case 16:{break b;break}case 26:{break c;break}default:{}}if(!(xbc(a,N,0)|0)){I=42;break a}}f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;M=f[a>>2]|0;if(M>>>0<(f[l>>2]|0)>>>0){K=b[M>>0]|0;L=K&255;if(K<<24>>24>-1){f[a>>2]=M+1;Q=L;I=29}else{R=L;I=28}}else{R=0;I=28}if((I|0)==28){I=0;L=zJb(a,R)|0;M=J;if((M|0)>-1|(M|0)==-1&L>>>0>4294967295){Q=L;I=29}else S=1}if((I|0)==29){I=0;if(JJb(a,h,Q)|0){wKb(i,g);PJb(j,i);if((f[n>>2]|0)>4){L=f[o>>2]|0;if(Q>>>0>127){M=Q;K=L;while(1){b[K>>0]=M|128;T=M>>>7;U=K+1|0;if(M>>>0>16383){M=T;K=U}else{V=U;W=T;break}}}else{V=L;W=Q}b[V>>0]=W;K=V+1-L|0;f[o>>2]=(f[o>>2]|0)+K;f[n>>2]=(f[n>>2]|0)-K}else VJb(j,Q);K=b[p>>0]|0;M=K<<24>>24<0;RJb(j,M?f[h>>2]|0:h,M?f[q>>2]|0:K&255);QJb(j);S=0}else S=1}if((b[p>>0]|0)<0)fuc(f[h>>2]|0);if(S|0){P=0;break a}}d:do if((I|0)==10)e:while(1){I=0;H=f[a>>2]|0;if(H>>>0<(f[l>>2]|0)>>>0){K=b[H>>0]|0;M=K&255;if(K<<24>>24>-1){f[a>>2]=H+1;X=M}else{Y=M;I=13}}else{Y=0;I=13}if((I|0)==13){I=0;X=OJb(a,Y)|0}f[m>>2]=X;switch(X|0){case 12:{P=1;break a;break}case 0:{I=43;break a;break}case 16:{break d;break}case 26:{if(Hbc(G,F,c,a)|0){I=10;continue e}else{I=43;break a}break}default:if(xbc(a,X,0)|0){I=10;continue e}else{I=43;break a}}}while(0);L=f[a>>2]|0;if(L>>>0<(f[l>>2]|0)>>>0){M=b[L>>0]|0;H=M&255;if(M<<24>>24>-1){f[a>>2]=L+1;Z=H}else{_=H;I=18}}else{_=0;I=18}if((I|0)==18){I=0;H=zJb(a,_)|0;L=J;if((L|0)>-1|(L|0)==-1&H>>>0>4294967295)Z=H;else{P=0;break}}H=Th[f[(f[k>>2]|0)+312>>2]&1023](k,Z)|0;L=b[r>>0]|0;M=L<<24>>24<0;K=f[s>>2]|0;T=L&255;if(!((M?K:T)|0)){F=H;G=Z;continue}uKb(h,M?f[g>>2]|0:g,M?K:T,-1);f[i>>2]=0;f[t>>2]=0;f[v>>2]=h;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;d[w+12>>1]=0;f[x>>2]=2147483647;f[y>>2]=0;f[z>>2]=2147483647;T=f[37864]|0;f[A>>2]=T;f[B>>2]=T;b[C>>0]=1;f[D>>2]=0;f[E>>2]=0;BJb(i)|0;if(!(Hbc(Z,H,c,i)|0)){I=41;break}if((b[r>>0]|0)<0){b[f[g>>2]>>0]=0;f[s>>2]=0}else{b[g>>0]=0;b[r>>0]=0}vJb(i);F=H;G=Z}if((I|0)==41){vJb(i);P=0}else if((I|0)==42)P=0;else if((I|0)==43)P=0;if((b[r>>0]|0)>=0){u=e;return P|0}fuc(f[g>>2]|0);u=e;return P|0}function Hbc(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;g=u;u=u+48|0;h=g+24|0;i=g;j=g+40|0;yh[f[(f[d>>2]|0)+96>>2]&2047](h,d);k=f[h+4>>2]|0;if(!c){l=Th[f[(f[k>>2]|0)+12>>2]&1023](k,d)|0;m=f[e>>2]|0;if(m>>>0<(f[e+4>>2]|0)>>>0){n=b[m>>0]|0;o=n&255;if(n<<24>>24>-1){f[e>>2]=m+1;p=o}else{q=o;r=5}}else{q=0;r=5}if((r|0)==5){r=zJb(e,q)|0;q=J;if((q|0)>-1|(q|0)==-1&r>>>0>4294967295)p=r;else{s=0;u=g;return s|0}}s=JJb(e,nbc(l,a)|0,p)|0;u=g;return s|0}if((f[c+32>>2]|0)!=3){p=f[c+24>>2]|0;if(p|0?(f[p>>2]|0)!=2:0){f[h>>2]=110384;f[h+4>>2]=1962;b[h+8>>0]=0;f[h+12>>2]=c;xLb(p,h)}if((f[c+28>>2]|0)==11){p=Cg[f[(f[k>>2]|0)+156>>2]&127](k,d,c,f[e+56>>2]|0)|0;c=f[e>>2]|0;if(c>>>0<(f[e+4>>2]|0)>>>0?(d=b[c>>0]|0,d<<24>>24>-1):0){f[e>>2]=c+1;t=d&255}else{d=NJb(e)|0;if((d|0)>-1)t=d;else{s=0;u=g;return s|0}}yJb(h,e,t);if((f[h+4>>2]|0)>=0?Th[f[(f[p>>2]|0)+44>>2]&1023](p,e)|0:0)v=DJb(e,f[h>>2]|0)|0;else v=0;s=v;u=g;return s|0}}iLb(i,2,518701,467);fLb(j,dLb(i,518794)|0);jLb(i);s=0;u=g;return s|0}function Ibc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;e=u;u=u+48|0;g=e+32|0;h=e;i=e+8|0;j=e+44|0;yh[f[(f[a>>2]|0)+96>>2]&2047](g,a);k=f[g>>2]|0;yh[f[(f[a>>2]|0)+96>>2]&2047](g,a);l=f[g+4>>2]|0;m=d+12|0;n=d+8|0;o=(f[m>>2]|0)+c-(f[n>>2]|0)|0;f[g>>2]=0;c=g+4|0;f[c>>2]=0;f[g+8>>2]=0;p=k+16|0;a:do if(b[(f[p>>2]|0)+51>>0]|0){q=k+52|0;r=f[q>>2]|0;if((r|0)>0){s=k+20|0;t=g+8|0;v=0;w=0;x=0;y=r;while(1){r=(f[s>>2]|0)+(v*88|0)|0;f[h>>2]=r;if(w>>>0<x>>>0){f[w>>2]=r;f[c>>2]=(f[c>>2]|0)+4;z=y}else{k1b(g,h);z=f[q>>2]|0}r=v+1|0;if((r|0)>=(z|0))break a;v=r;w=f[c>>2]|0;x=f[t>>2]|0;y=z}}}else Zh[f[(f[l>>2]|0)+64>>2]&511](l,a,g);while(0);z=f[g>>2]|0;if((f[c>>2]|0)!=(z|0)){h=0;k=z;do{Jbc(f[k+(h<<2)>>2]|0,a,d);h=h+1|0;k=f[g>>2]|0}while(h>>>0<(f[c>>2]|0)-k>>2>>>0)}k=(b[(f[p>>2]|0)+48>>0]|0)==0;p=Th[f[(f[l>>2]|0)+8>>2]&1023](l,a)|0;if(k)Abc(p,d);else Cbc(p,d);if(((f[m>>2]|0)-(f[n>>2]|0)|0)!=(o|0)){iLb(i,3,518701,830);fLb(j,dLb(dLb(i,518847)|0,518908)|0);jLb(i)}i=f[g>>2]|0;if(!i){u=e;return}g=f[c>>2]|0;if((g|0)!=(i|0))f[c>>2]=g+(~((g+-4-i|0)>>>2)<<2);fuc(i);u=e;return}function Jbc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0.0,xa=0.0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0;e=u;u=u+64|0;g=e+32|0;h=e;yh[f[(f[c>>2]|0)+96>>2]&2047](g,c);i=f[g+4>>2]|0;if(b[a+38>>0]|0?b[(f[(f[a+48>>2]|0)+16>>2]|0)+48>>0]|0:0){j=f[a+24>>2]|0;if(j|0?(f[j>>2]|0)!=2:0){f[g>>2]=110384;f[g+4>>2]=1962;b[g+8>>0]=0;f[g+12>>2]=a;xLb(j,g)}if((f[151812+(f[a+28>>2]<<2)>>2]|0)==10?(f[a+32>>2]|0)!=3:0){Kbc(a,c,d);u=e;return}}j=a+24|0;k=f[j>>2]|0;if(k|0?(f[k>>2]|0)!=2:0){f[g>>2]=110384;f[g+4>>2]=1962;b[g+8>>0]=0;f[g+12>>2]=a;xLb(k,g)}k=a+28|0;if(((f[k>>2]|0)==11?rQb(a)|0:0)?R5b(li[f[(f[i>>2]|0)+364>>2]&511](i,c,a)|0)|0:0){if(!(b[d+18>>0]|0)){if(!(f[224967]|0))l=33}else if(!(b[d+19>>0]|0))l=33;if((l|0)==33){sh[f[(f[i>>2]|0)+352>>2]&255](g,i,c,a);l=g+4|0;m=h+4|0;o=h+16|0;q=h+8|0;r=g+8|0;t=g+24|0;while(1){sh[f[(f[i>>2]|0)+356>>2]&255](h,i,c,a);v=f[l>>2]|0;w=li[f[(f[v>>2]|0)+20>>2]&511](v,g,h)|0;v=f[m>>2]|0;yh[f[(f[v>>2]|0)+52>>2]&2047](v,h);if((f[o>>2]|0)==9?(v=f[q>>2]|0,v|0):0){if((b[v+11>>0]|0)<0)fuc(f[v>>2]|0);fuc(v)}if(w)break;Mbc(a,r,t,d);w=f[l>>2]|0;yh[f[(f[w>>2]|0)+60>>2]&2047](w,g)}t=f[l>>2]|0;yh[f[(f[t>>2]|0)+52>>2]&2047](t,g);if((f[g+16>>2]|0)==9?(t=f[r>>2]|0,t|0):0){if((b[t+11>>0]|0)<0)fuc(f[t>>2]|0);fuc(t)}u=e;return}Lbc(g,c,i,a);t=f[g>>2]|0;r=g+4|0;if((t|0)==(f[r>>2]|0)){x=t;y=t}else{l=h+4|0;q=t;do{f[h>>2]=0;f[l>>2]=0;mh[f[(f[i>>2]|0)+344>>2]&127](i,c,a,q,h)|0;Mbc(a,q,h,d);q=q+16|0}while((q|0)!=(f[r>>2]|0));x=f[g>>2]|0;y=q}if(x|0){if((y|0)==(x|0))z=x;else{q=y;while(1){y=q+-16|0;f[r>>2]=y;if((f[q+-8>>2]|0)==9?(l=f[y>>2]|0,(l|0)!=0):0){if((b[l+11>>0]|0)<0)fuc(f[l>>2]|0);fuc(l);A=f[r>>2]|0}else A=y;if((A|0)==(x|0))break;else q=A}z=f[g>>2]|0}fuc(z)}u=e;return}z=a+32|0;do if((f[z>>2]|0)==3){A=li[f[(f[i>>2]|0)+24>>2]&511](i,c,a)|0;f[h>>2]=0;if((A|0)>1){q=f[j>>2]|0;if(q|0?(f[q>>2]|0)!=2:0){f[g>>2]=110384;f[g+4>>2]=1962;b[g+8>>0]=0;f[g+12>>2]=a;xLb(q,g)}if((f[k>>2]|0)==11?rQb(a)|0:0){if(!(b[d+18>>0]|0)){if(!(f[224967]|0)){B=A;C=0;D=0;E=h;break}}else if(!(b[d+19>>0]|0)){B=A;C=0;D=0;E=h;break}cac(g,c,A,i,a);q=f[g>>2]|0;x=f[g+4>>2]|0;f[h>>2]=f[g+8>>2];B=A;C=q;D=x;E=h}else{B=A;C=0;D=0;E=h}}else{B=A;C=0;D=0;E=h}}else{if(!(b[(f[(f[a+48>>2]|0)+16>>2]|0)+51>>0]|0))F=(li[f[(f[i>>2]|0)+20>>2]&511](i,c,a)|0)&1;else F=1;f[h>>2]=0;B=F;C=0;D=0;E=h}while(0);h=vQb(a)|0;E=(B|0)>0;do if(E&h){F=f[a+40>>2]<<3|2;A=d+8|0;if((f[A>>2]|0)>4){x=d+4|0;q=f[x>>2]|0;if(F>>>0>127){r=F;y=q;while(1){b[y>>0]=r|128;l=r>>>7;t=y+1|0;if(r>>>0>16383){r=l;y=t}else{G=t;H=l;break}}}else{G=q;H=F}b[G>>0]=H;y=G+1-q|0;f[x>>2]=(f[x>>2]|0)+y;f[A>>2]=(f[A>>2]|0)-y}else VJb(d,F);y=Nbc(a,c)|0;if((f[A>>2]|0)<=4){VJb(d,y);break}r=d+4|0;l=f[r>>2]|0;if(y>>>0>127){t=y;o=l;while(1){b[o>>0]=t|128;m=t>>>7;w=o+1|0;if(t>>>0>16383){t=m;o=w}else{I=w;K=m;break}}}else{I=l;K=y}b[I>>0]=K;o=I+1-l|0;f[r>>2]=(f[r>>2]|0)+o;f[A>>2]=(f[A>>2]|0)-o}while(0);a:do if(E){I=d+8|0;K=d+4|0;G=a+40|0;H=C;o=(H|0)==(D|0);t=a+20|0;F=a+4|0;x=g+11|0;q=g+11|0;m=g+4|0;w=g+8|0;v=g+12|0;L=0;while(1){M=f[j>>2]|0;if(M|0?(f[M>>2]|0)!=2:0){f[g>>2]=110384;f[m>>2]=1962;b[w>>0]=0;f[v>>2]=a;xLb(M,g)}b:do switch(f[k>>2]|0){case 5:{if((f[z>>2]|0)==3)N=Cg[f[(f[i>>2]|0)+168>>2]&127](i,c,a,L)|0;else N=li[f[(f[i>>2]|0)+68>>2]&511](i,c,a)|0;if(!h){GLb(f[G>>2]|0,N,d);break b}M=((N|0)<0)<<31>>31;if((f[I>>2]|0)<=9){WJb(d,N,M);break b}O=f[K>>2]|0;P=N&255;if(N>>>0>127){Q=O;R=P;S=N;T=M;while(1){b[Q>>0]=R|-128;M=S;S=pzc(S|0,T|0,7)|0;U=Q+1|0;V=S&255;if(!(T>>>0>0|(T|0)==0&M>>>0>16383)){W=U;X=V;break}else{Q=U;R=V;T=J}}}else{W=O;X=P}b[W>>0]=X;T=W+1-O|0;f[K>>2]=(f[K>>2]|0)+T;f[I>>2]=(f[I>>2]|0)-T;break}case 3:{if((f[z>>2]|0)==3){T=Cg[f[(f[i>>2]|0)+172>>2]&127](i,c,a,L)|0;Y=J;Z=T}else{T=li[f[(f[i>>2]|0)+72>>2]&511](i,c,a)|0;Y=J;Z=T}if(!h){HLb(f[G>>2]|0,Z,Y,d);break b}if((f[I>>2]|0)<=9){WJb(d,Z,Y);break b}T=f[K>>2]|0;R=Z&255;if(Y>>>0>0|(Y|0)==0&Z>>>0>127){Q=T;S=R;V=Z;U=Y;while(1){b[Q>>0]=S|-128;M=V;V=pzc(V|0,U|0,7)|0;_=Q+1|0;$=V&255;if(!(U>>>0>0|(U|0)==0&M>>>0>16383)){aa=_;ba=$;break}else{Q=_;S=$;U=J}}}else{aa=T;ba=R}b[aa>>0]=ba;U=aa+1-T|0;f[K>>2]=(f[K>>2]|0)+U;f[I>>2]=(f[I>>2]|0)-U;break}case 17:{if((f[z>>2]|0)==3)ca=Cg[f[(f[i>>2]|0)+168>>2]&127](i,c,a,L)|0;else ca=li[f[(f[i>>2]|0)+68>>2]&511](i,c,a)|0;if(!h){KLb(f[G>>2]|0,ca,d);break b}U=ca<<1^ca>>31;if((f[I>>2]|0)<=4){VJb(d,U);break b}S=f[K>>2]|0;if(U>>>0>127){Q=U;V=S;while(1){b[V>>0]=Q|128;O=Q>>>7;P=V+1|0;if(Q>>>0>16383){Q=O;V=P}else{da=P;ea=O;break}}}else{da=S;ea=U}b[da>>0]=ea;V=da+1-S|0;f[K>>2]=(f[K>>2]|0)+V;f[I>>2]=(f[I>>2]|0)-V;break}case 18:{if((f[z>>2]|0)==3){V=Cg[f[(f[i>>2]|0)+172>>2]&127](i,c,a,L)|0;fa=V;ga=J}else{V=li[f[(f[i>>2]|0)+72>>2]&511](i,c,a)|0;fa=V;ga=J}if(!h){LLb(f[G>>2]|0,fa,ga,d);break b}V=yzc(fa|0,ga|0,1)|0;Q=J;T=ozc(fa|0,ga|0,63)|0;R=V^T;T=Q^J;if((f[I>>2]|0)<=9){WJb(d,R,T);break b}Q=f[K>>2]|0;V=R&255;if(T>>>0>0|(T|0)==0&R>>>0>127){O=Q;P=V;$=R;R=T;while(1){b[O>>0]=P|-128;T=$;$=pzc($|0,R|0,7)|0;_=O+1|0;M=$&255;if(!(R>>>0>0|(R|0)==0&T>>>0>16383)){ha=_;ia=M;break}else{O=_;P=M;R=J}}}else{ha=Q;ia=V}b[ha>>0]=ia;R=ha+1-Q|0;f[K>>2]=(f[K>>2]|0)+R;f[I>>2]=(f[I>>2]|0)-R;break}case 13:{if((f[z>>2]|0)==3)ja=Cg[f[(f[i>>2]|0)+176>>2]&127](i,c,a,L)|0;else ja=li[f[(f[i>>2]|0)+76>>2]&511](i,c,a)|0;if(!h){ILb(f[G>>2]|0,ja,d);break b}if((f[I>>2]|0)<=4){VJb(d,ja);break b}R=f[K>>2]|0;if(ja>>>0>127){P=ja;O=R;while(1){b[O>>0]=P|128;$=P>>>7;S=O+1|0;if(P>>>0>16383){P=$;O=S}else{ka=S;la=$;break}}}else{ka=R;la=ja}b[ka>>0]=la;O=ka+1-R|0;f[K>>2]=(f[K>>2]|0)+O;f[I>>2]=(f[I>>2]|0)-O;break}case 4:{if((f[z>>2]|0)==3){O=Cg[f[(f[i>>2]|0)+180>>2]&127](i,c,a,L)|0;ma=J;na=O}else{O=li[f[(f[i>>2]|0)+80>>2]&511](i,c,a)|0;ma=J;na=O}if(!h){JLb(f[G>>2]|0,na,ma,d);break b}if((f[I>>2]|0)<=9){WJb(d,na,ma);break b}O=f[K>>2]|0;P=na&255;if(ma>>>0>0|(ma|0)==0&na>>>0>127){Q=O;V=P;$=na;S=ma;while(1){b[Q>>0]=V|-128;U=$;$=pzc($|0,S|0,7)|0;M=Q+1|0;_=$&255;if(!(S>>>0>0|(S|0)==0&U>>>0>16383)){oa=M;pa=_;break}else{Q=M;V=_;S=J}}}else{oa=O;pa=P}b[oa>>0]=pa;S=oa+1-O|0;f[K>>2]=(f[K>>2]|0)+S;f[I>>2]=(f[I>>2]|0)-S;break}case 7:{if((f[z>>2]|0)==3)qa=Cg[f[(f[i>>2]|0)+176>>2]&127](i,c,a,L)|0;else qa=li[f[(f[i>>2]|0)+76>>2]&511](i,c,a)|0;if(h){TJb(d,qa);break b}else{MLb(f[G>>2]|0,qa,d);break b}break}case 6:{if((f[z>>2]|0)==3){S=Cg[f[(f[i>>2]|0)+180>>2]&127](i,c,a,L)|0;ra=S;sa=J}else{S=li[f[(f[i>>2]|0)+80>>2]&511](i,c,a)|0;ra=S;sa=J}if(h){UJb(d,ra,sa);break b}else{NLb(f[G>>2]|0,ra,sa,d);break b}break}case 15:{if((f[z>>2]|0)==3)ta=Cg[f[(f[i>>2]|0)+168>>2]&127](i,c,a,L)|0;else ta=li[f[(f[i>>2]|0)+68>>2]&511](i,c,a)|0;if(h){TJb(d,ta);break b}else{OLb(f[G>>2]|0,ta,d);break b}break}case 16:{if((f[z>>2]|0)==3){S=Cg[f[(f[i>>2]|0)+172>>2]&127](i,c,a,L)|0;ua=S;va=J}else{S=li[f[(f[i>>2]|0)+72>>2]&511](i,c,a)|0;ua=S;va=J}if(h){UJb(d,ua,va);break b}else{PLb(f[G>>2]|0,ua,va,d);break b}break}case 2:{if((f[z>>2]|0)==3)wa=+Jh[f[(f[i>>2]|0)+184>>2]&15](i,c,a,L);else wa=+eh[f[(f[i>>2]|0)+84>>2]&31](i,c,a);if(h){TJb(d,(n[s>>2]=wa,f[s>>2]|0));break b}else{QLb(f[G>>2]|0,wa,d);break b}break}case 1:{if((f[z>>2]|0)==3)xa=+Jh[f[(f[i>>2]|0)+188>>2]&15](i,c,a,L);else xa=+eh[f[(f[i>>2]|0)+88>>2]&31](i,c,a);if(h){p[s>>3]=xa;UJb(d,f[s>>2]|0,f[s+4>>2]|0);break b}else{RLb(f[G>>2]|0,xa,d);break b}break}case 8:{if((f[z>>2]|0)==3)ya=Cg[f[(f[i>>2]|0)+192>>2]&127](i,c,a,L)|0;else ya=li[f[(f[i>>2]|0)+92>>2]&511](i,c,a)|0;if(!h){SLb(f[G>>2]|0,ya,d);break b}if((f[I>>2]|0)>4){b[f[K>>2]>>0]=ya&1;f[K>>2]=(f[K>>2]|0)+1;f[I>>2]=(f[I>>2]|0)+-1;break b}else{VJb(d,ya&1);break b}break}case 10:{S=f[G>>2]|0;do if((f[z>>2]|0)==3)if(o){za=Cg[f[(f[i>>2]|0)+208>>2]&127](i,c,a,L)|0;break}else{za=f[H+(L<<2)>>2]|0;break}else za=Cg[f[(f[i>>2]|0)+108>>2]&127](i,c,a,0)|0;while(0);YLb(S,za,d);break}case 11:{O=f[G>>2]|0;do if((f[z>>2]|0)==3)if(o){Aa=Cg[f[(f[i>>2]|0)+208>>2]&127](i,c,a,L)|0;break}else{Aa=f[H+(L<<2)>>2]|0;break}else Aa=Cg[f[(f[i>>2]|0)+108>>2]&127](i,c,a,0)|0;while(0);ZLb(O,Aa,d);break}case 14:{if((f[z>>2]|0)==3)Ba=Cg[f[(f[i>>2]|0)+200>>2]&127](i,c,a,L)|0;else Ba=li[f[(f[i>>2]|0)+100>>2]&511](i,c,a)|0;if(!h){TLb(f[G>>2]|0,f[Ba+8>>2]|0,d);break b}S=f[Ba+8>>2]|0;P=((S|0)<0)<<31>>31;if((f[I>>2]|0)<=9){WJb(d,S,P);break b}V=f[K>>2]|0;Q=S&255;if(S>>>0>127){$=V;R=Q;_=S;S=P;while(1){b[$>>0]=R|-128;P=_;_=pzc(_|0,S|0,7)|0;M=$+1|0;U=_&255;if(!(S>>>0>0|(S|0)==0&P>>>0>16383)){Ca=M;Da=U;break}else{$=M;R=U;S=J}}}else{Ca=V;Da=Q}b[Ca>>0]=Da;S=Ca+1-V|0;f[K>>2]=(f[K>>2]|0)+S;f[I>>2]=(f[I>>2]|0)-S;break}case 9:{S=(f[(f[t>>2]|0)+44>>2]|0)==3;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;if((f[z>>2]|0)==3)Ea=mh[f[(f[i>>2]|0)+212>>2]&127](i,c,a,L,g)|0;else Ea=Cg[f[(f[i>>2]|0)+112>>2]&127](i,c,a,g)|0;R=b[Ea+11>>0]|0;if(R<<24>>24<0){Fa=f[Ea>>2]|0;Ga=f[Ea+4>>2]|0}else{Fa=Ea;Ga=R&255}R=f[F>>2]|0;if((b[R+11>>0]|0)<0)Ha=f[R>>2]|0;else Ha=R;if(S)aMb(Fa,Ga,1,Ha)|0;ULb(f[G>>2]|0,Ea,d);if((b[x>>0]|0)<0)fuc(f[g>>2]|0);break}case 12:{f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;if((f[z>>2]|0)==3)Ia=mh[f[(f[i>>2]|0)+212>>2]&127](i,c,a,L,g)|0;else Ia=Cg[f[(f[i>>2]|0)+112>>2]&127](i,c,a,g)|0;WLb(f[G>>2]|0,Ia,d);if((b[q>>0]|0)<0)fuc(f[g>>2]|0);break}default:{}}while(0);L=L+1|0;if((L|0)>=(B|0))break a}}while(0);if(C|0)fuc(C);u=e;return}function Kbc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;e=u;u=u+16|0;g=e;yh[f[(f[c>>2]|0)+96>>2]&2047](g,c);h=f[g+4>>2]|0;g=d+8|0;if((f[g>>2]|0)>4){i=d+4|0;b[f[i>>2]>>0]=11;f[i>>2]=(f[i>>2]|0)+1;i=(f[g>>2]|0)+-1|0;f[g>>2]=i;j=i}else{VJb(d,11);j=f[g>>2]|0}if((j|0)>4){j=d+4|0;b[f[j>>2]>>0]=16;f[j>>2]=(f[j>>2]|0)+1;j=(f[g>>2]|0)+-1|0;f[g>>2]=j;k=j}else{VJb(d,16);k=f[g>>2]|0}j=f[a+40>>2]|0;if((k|0)>4){k=d+4|0;i=f[k>>2]|0;if(j>>>0>127){l=j;m=i;while(1){b[m>>0]=l|128;n=l>>>7;o=m+1|0;if(l>>>0>16383){l=n;m=o}else{p=o;q=n;break}}}else{p=i;q=j}b[p>>0]=q;q=p+1-i|0;f[k>>2]=(f[k>>2]|0)+q;k=(f[g>>2]|0)-q|0;f[g>>2]=k;r=k}else{VJb(d,j);r=f[g>>2]|0}if((r|0)>4){r=d+4|0;b[f[r>>2]>>0]=26;f[r>>2]=(f[r>>2]|0)+1;f[g>>2]=(f[g>>2]|0)+-1}else VJb(d,26);r=Cg[f[(f[h>>2]|0)+108>>2]&127](h,c,a,0)|0;a=di[f[(f[r>>2]|0)+60>>2]&1023](r)|0;if((f[g>>2]|0)>4){c=d+4|0;h=f[c>>2]|0;if(a>>>0>127){j=a;k=h;while(1){b[k>>0]=j|128;q=j>>>7;i=k+1|0;if(j>>>0>16383){j=q;k=i}else{s=i;t=q;break}}}else{s=h;t=a}b[s>>0]=t;t=s+1-h|0;f[c>>2]=(f[c>>2]|0)+t;f[g>>2]=(f[g>>2]|0)-t}else VJb(d,a);yh[f[(f[r>>2]|0)+52>>2]&2047](r,d);if((f[g>>2]|0)>4){r=d+4|0;b[f[r>>2]>>0]=12;f[r>>2]=(f[r>>2]|0)+1;f[g>>2]=(f[g>>2]|0)+-1;u=e;return}else{VJb(d,12);u=e;return}}function Lbc(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;g=u;u=u+64|0;h=g+32|0;i=g;f[a>>2]=0;j=a+4|0;f[j>>2]=0;f[a+8>>2]=0;sh[f[(f[d>>2]|0)+352>>2]&255](h,d,c,e);k=h+4|0;l=i+4|0;m=i+16|0;n=i+8|0;o=h+8|0;p=a+8|0;while(1){sh[f[(f[d>>2]|0)+356>>2]&255](i,d,c,e);q=f[k>>2]|0;r=li[f[(f[q>>2]|0)+20>>2]&511](q,h,i)|0;q=f[l>>2]|0;yh[f[(f[q>>2]|0)+52>>2]&2047](q,i);if((f[m>>2]|0)==9?(q=f[n>>2]|0,q|0):0){if((b[q+11>>0]|0)<0)fuc(f[q>>2]|0);fuc(q)}if(r)break;r=f[j>>2]|0;if((r|0)==(f[p>>2]|0))Rbc(a,o);else{f[r+8>>2]=0;W4b(r,o);f[j>>2]=(f[j>>2]|0)+16}r=f[k>>2]|0;yh[f[(f[r>>2]|0)+60>>2]&2047](r,h)}p=f[k>>2]|0;yh[f[(f[p>>2]|0)+52>>2]&2047](p,h);if((f[h+16>>2]|0)!=9){s=f[a>>2]|0;t=f[j>>2]|0;Qbc(s,t,h);u=g;return}p=f[o>>2]|0;if(!p){s=f[a>>2]|0;t=f[j>>2]|0;Qbc(s,t,h);u=g;return}if((b[p+11>>0]|0)<0)fuc(f[p>>2]|0);fuc(p);s=f[a>>2]|0;t=f[j>>2]|0;Qbc(s,t,h);u=g;return}function Mbc(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;g=u;u=u+48|0;h=g+24|0;i=g;j=g+40|0;k=(tQb(a)|0)+20|0;l=f[k>>2]|0;k=(tQb(a)|0)+20|0;m=f[k>>2]|0;k=m+88|0;n=f[a+40>>2]<<3|2;a=e+8|0;if((f[a>>2]|0)>4){o=e+4|0;p=f[o>>2]|0;if(n>>>0>127){q=n;r=p;while(1){b[r>>0]=q|128;s=q>>>7;t=r+1|0;if(q>>>0>16383){q=s;r=t}else{v=t;w=s;break}}}else{v=p;w=n}b[v>>0]=w;w=v+1-p|0;f[o>>2]=(f[o>>2]|0)+w;f[a>>2]=(f[a>>2]|0)-w}else VJb(e,n);n=(Obc(l,c)|0)+2|0;w=n+(Pbc(k,d)|0)|0;if((f[a>>2]|0)>4){n=e+4|0;o=f[n>>2]|0;if(w>>>0>127){p=w;v=o;while(1){b[v>>0]=p|128;r=p>>>7;q=v+1|0;if(p>>>0>16383){p=r;v=q}else{x=q;y=r;break}}}else{x=o;y=w}b[x>>0]=y;y=x+1-o|0;f[n>>2]=(f[n>>2]|0)+y;f[a>>2]=(f[a>>2]|0)-y}else VJb(e,w);w=f[l+24>>2]|0;if(w|0?(f[w>>2]|0)!=2:0){f[h>>2]=110384;f[h+4>>2]=1962;b[h+8>>0]=0;f[h+12>>2]=l;xLb(w,h)}do switch(f[l+28>>2]|0){case 14:case 12:case 11:case 10:case 2:case 1:{iLb(i,3,518701,846);fLb(j,dLb(i,519058)|0);jLb(i);break}case 3:{HLb(1,a5b(c)|0,J,e);break}case 4:{JLb(1,c5b(c)|0,J,e);break}case 5:{GLb(1,b5b(c)|0,e);break}case 6:{NLb(1,c5b(c)|0,J,e);break}case 7:{MLb(1,d5b(c)|0,e);break}case 8:{SLb(1,e5b(c)|0,e);break}case 13:{ILb(1,d5b(c)|0,e);break}case 15:{OLb(1,b5b(c)|0,e);break}case 16:{PLb(1,a5b(c)|0,J,e);break}case 17:{KLb(1,b5b(c)|0,e);break}case 18:{LLb(1,a5b(c)|0,J,e);break}case 9:{ULb(1,qPa(c)|0,e);break}default:{}}while(0);c=f[m+112>>2]|0;if(c|0?(f[c>>2]|0)!=2:0){f[h>>2]=110384;f[h+4>>2]=1962;b[h+8>>0]=0;f[h+12>>2]=k;xLb(c,h)}do switch(f[m+116>>2]|0){case 3:{HLb(2,C5b(d)|0,J,e);u=g;return}case 4:{JLb(2,E5b(d)|0,J,e);u=g;return}case 5:{GLb(2,D5b(d)|0,e);u=g;return}case 6:{NLb(2,E5b(d)|0,J,e);u=g;return}case 7:{MLb(2,F5b(d)|0,e);u=g;return}case 8:{SLb(2,G5b(d)|0,e);u=g;return}case 13:{ILb(2,F5b(d)|0,e);u=g;return}case 15:{OLb(2,D5b(d)|0,e);u=g;return}case 16:{PLb(2,C5b(d)|0,J,e);u=g;return}case 17:{KLb(2,D5b(d)|0,e);u=g;return}case 18:{LLb(2,C5b(d)|0,J,e);u=g;return}case 14:{TLb(2,J5b(d)|0,e);u=g;return}case 1:{RLb(2,+H5b(d),e);u=g;return}case 2:{QLb(2,+I5b(d),e);u=g;return}case 9:{ULb(2,B5b(d)|0,e);u=g;return}case 12:{WLb(2,B5b(d)|0,e);u=g;return}case 11:{ZLb(2,K5b(d)|0,e);u=g;return}case 10:{YLb(2,K5b(d)|0,e);u=g;return}default:{u=g;return}}while(0)}function Nbc(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;d=u;u=u+64|0;e=d+32|0;g=d;yh[f[(f[c>>2]|0)+96>>2]&2047](e,c);h=f[e+4>>2]|0;i=a+24|0;j=f[i>>2]|0;if(j|0?(f[j>>2]|0)!=2:0){f[e>>2]=110384;f[e+4>>2]=1962;b[e+8>>0]=0;f[e+12>>2]=a;xLb(j,e)}j=a+28|0;if(((f[j>>2]|0)==11?rQb(a)|0:0)?(k=li[f[(f[h>>2]|0)+364>>2]&511](h,c,a)|0,R5b(k)|0):0){i3b(e,c,a);i3b(g,c,a);l=(tQb(a)|0)+20|0;m=f[l>>2]|0;l=(tQb(a)|0)+20|0;n=(f[l>>2]|0)+88|0;yh[f[(f[k>>2]|0)+24>>2]&2047](k,e);yh[f[(f[k>>2]|0)+28>>2]&2047](k,g);k=e+4|0;l=e+8|0;o=e+24|0;p=0;while(1){q=f[k>>2]|0;if(li[f[(f[q>>2]|0)+20>>2]&511](q,e,g)|0)break;q=Obc(m,l)|0;r=q+2+(Pbc(n,o)|0)|0;q=r+p+((((($(r|1|0)|0)^31)*9|0)+73|0)>>>6)|0;r=f[k>>2]|0;yh[f[(f[r>>2]|0)+60>>2]&2047](r,e);p=q}o=f[g+4>>2]|0;yh[f[(f[o>>2]|0)+52>>2]&2047](o,g);if((f[g+16>>2]|0)==9?(o=f[g+8>>2]|0,o|0):0){if((b[o+11>>0]|0)<0)fuc(f[o>>2]|0);fuc(o)}o=f[k>>2]|0;yh[f[(f[o>>2]|0)+52>>2]&2047](o,e);if((f[e+16>>2]|0)==9?(o=f[l>>2]|0,o|0):0){if((b[o+11>>0]|0)<0)fuc(f[o>>2]|0);fuc(o)}s=p;u=d;return s|0}p=a+32|0;if((f[p>>2]|0)!=3)if(!(b[(f[(f[a+48>>2]|0)+16>>2]|0)+51>>0]|0))t=(li[f[(f[h>>2]|0)+20>>2]&511](h,c,a)|0)&1;else t=1;else t=li[f[(f[h>>2]|0)+24>>2]&511](h,c,a)|0;o=f[i>>2]|0;if(o|0?(f[o>>2]|0)!=2:0){f[e>>2]=110384;f[e+4>>2]=1962;b[e+8>>0]=0;f[e+12>>2]=a;xLb(o,e)}do switch(f[j>>2]|0){case 5:{if((f[p>>2]|0)!=3){o=li[f[(f[h>>2]|0)+68>>2]&511](h,c,a)|0;if((o|0)<0){s=10;u=d;return s|0}s=(((($(o|1|0)|0)^31)*9|0)+73|0)>>>6;u=d;return s|0}if(!t){s=0;u=d;return s|0}o=0;i=0;while(1){l=Cg[f[(f[h>>2]|0)+168>>2]&127](h,c,a,o)|0;if((l|0)<0)v=10;else v=(((($(l|1|0)|0)^31)*9|0)+73|0)>>>6;l=v+i|0;o=o+1|0;if((o|0)==(t|0)){s=l;break}else i=l}u=d;return s|0}case 3:{if((f[p>>2]|0)!=3){i=li[f[(f[h>>2]|0)+72>>2]&511](h,c,a)|0;o=xzc(i|1|0,J|0,1)|0;s=(((o^63)*9|0)+73|0)>>>6;u=d;return s|0}if(!t){s=0;u=d;return s|0}o=0;i=0;while(1){l=Cg[f[(f[h>>2]|0)+172>>2]&127](h,c,a,o)|0;k=xzc(l|1|0,J|0,1)|0;l=((((k^63)*9|0)+73|0)>>>6)+i|0;o=o+1|0;if((o|0)==(t|0)){s=l;break}else i=l}u=d;return s|0}case 17:{if((f[p>>2]|0)!=3){i=li[f[(f[h>>2]|0)+68>>2]&511](h,c,a)|0;s=(((($(i<<1^i>>31|1|0)|0)^31)*9|0)+73|0)>>>6;u=d;return s|0}if(!t){s=0;u=d;return s|0}i=0;o=0;while(1){l=Cg[f[(f[h>>2]|0)+168>>2]&127](h,c,a,i)|0;k=((((($(l<<1^l>>31|1|0)|0)^31)*9|0)+73|0)>>>6)+o|0;i=i+1|0;if((i|0)==(t|0)){s=k;break}else o=k}u=d;return s|0}case 18:{if((f[p>>2]|0)!=3){o=li[f[(f[h>>2]|0)+72>>2]&511](h,c,a)|0;i=J;k=yzc(o|0,i|0,1)|0;l=J;g=ozc(o|0,i|0,63)|0;i=xzc(k^g|1|0,l^J|0,1)|0;s=(((i^63)*9|0)+73|0)>>>6;u=d;return s|0}if(!t){s=0;u=d;return s|0}i=0;l=0;while(1){g=Cg[f[(f[h>>2]|0)+172>>2]&127](h,c,a,i)|0;k=J;o=yzc(g|0,k|0,1)|0;n=J;m=ozc(g|0,k|0,63)|0;k=xzc(o^m|1|0,n^J|0,1)|0;n=((((k^63)*9|0)+73|0)>>>6)+l|0;i=i+1|0;if((i|0)==(t|0)){s=n;break}else l=n}u=d;return s|0}case 13:{if((f[p>>2]|0)!=3){s=(((($(li[f[(f[h>>2]|0)+76>>2]&511](h,c,a)|0|1|0)|0)^31)*9|0)+73|0)>>>6;u=d;return s|0}if(!t){s=0;u=d;return s|0}l=0;i=0;while(1){n=((((($(Cg[f[(f[h>>2]|0)+176>>2]&127](h,c,a,l)|0|1|0)|0)^31)*9|0)+73|0)>>>6)+i|0;l=l+1|0;if((l|0)==(t|0)){s=n;break}else i=n}u=d;return s|0}case 4:{if((f[p>>2]|0)!=3){i=li[f[(f[h>>2]|0)+80>>2]&511](h,c,a)|0;l=xzc(i|1|0,J|0,1)|0;s=(((l^63)*9|0)+73|0)>>>6;u=d;return s|0}if(!t){s=0;u=d;return s|0}l=0;i=0;while(1){n=Cg[f[(f[h>>2]|0)+180>>2]&127](h,c,a,l)|0;k=xzc(n|1|0,J|0,1)|0;n=((((k^63)*9|0)+73|0)>>>6)+i|0;l=l+1|0;if((l|0)==(t|0)){s=n;break}else i=n}u=d;return s|0}case 7:{s=t<<2;u=d;return s|0}case 6:{s=t<<3;u=d;return s|0}case 15:{s=t<<2;u=d;return s|0}case 16:{s=t<<3;u=d;return s|0}case 2:{s=t<<2;u=d;return s|0}case 1:{s=t<<3;u=d;return s|0}case 8:{s=t;u=d;return s|0}case 10:{if((f[p>>2]|0)!=3){i=Cg[f[(f[h>>2]|0)+108>>2]&127](h,c,a,0)|0;s=di[f[(f[i>>2]|0)+48>>2]&1023](i)|0;u=d;return s|0}if(!t){s=0;u=d;return s|0}i=0;l=0;while(1){n=Cg[f[(f[h>>2]|0)+208>>2]&127](h,c,a,i)|0;k=(di[f[(f[n>>2]|0)+48>>2]&1023](n)|0)+l|0;i=i+1|0;if((i|0)==(t|0)){s=k;break}else l=k}u=d;return s|0}case 11:{if((f[p>>2]|0)!=3){l=Cg[f[(f[h>>2]|0)+108>>2]&127](h,c,a,0)|0;i=di[f[(f[l>>2]|0)+48>>2]&1023](l)|0;s=((((($(i|1|0)|0)^31)*9|0)+73|0)>>>6)+i|0;u=d;return s|0}if(!t){s=0;u=d;return s|0}i=0;l=0;while(1){k=Cg[f[(f[h>>2]|0)+208>>2]&127](h,c,a,i)|0;n=di[f[(f[k>>2]|0)+48>>2]&1023](k)|0;k=n+l+((((($(n|1|0)|0)^31)*9|0)+73|0)>>>6)|0;i=i+1|0;if((i|0)==(t|0)){s=k;break}else l=k}u=d;return s|0}case 14:{if((f[p>>2]|0)!=3){l=(li[f[(f[h>>2]|0)+100>>2]&511](h,c,a)|0)+8|0;i=f[l>>2]|0;if((i|0)<0){s=10;u=d;return s|0}s=(((($(i|1|0)|0)^31)*9|0)+73|0)>>>6;u=d;return s|0}if(!t){s=0;u=d;return s|0}i=0;l=0;while(1){k=(Cg[f[(f[h>>2]|0)+200>>2]&127](h,c,a,i)|0)+8|0;n=f[k>>2]|0;if((n|0)<0)w=10;else w=(((($(n|1|0)|0)^31)*9|0)+73|0)>>>6;n=w+l|0;i=i+1|0;if((i|0)==(t|0)){s=n;break}else l=n}u=d;return s|0}case 12:case 9:{if(!t){s=0;u=d;return s|0}l=e+11|0;i=0;n=0;while(1){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;if((f[p>>2]|0)==3)x=mh[f[(f[h>>2]|0)+212>>2]&127](h,c,a,i,e)|0;else x=Cg[f[(f[h>>2]|0)+112>>2]&127](h,c,a,e)|0;k=b[x+11>>0]|0;m=k<<24>>24<0?f[x+4>>2]|0:k&255;k=m+n+((((($(m|1|0)|0)^31)*9|0)+73|0)>>>6)|0;if((b[l>>0]|0)<0)fuc(f[e>>2]|0);i=i+1|0;if(i>>>0>=t>>>0){s=k;break}else n=k}u=d;return s|0}default:{s=0;u=d;return s|0}}while(0);return 0}function Obc(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;d=u;u=u+80|0;e=d+48|0;g=d+24|0;h=d+65|0;i=d;j=d+64|0;k=f[a+24>>2]|0;if(k|0?(f[k>>2]|0)!=2:0){f[e>>2]=110384;f[e+4>>2]=1962;b[e+8>>0]=0;f[e+12>>2]=a;xLb(k,e)}do switch(f[a+28>>2]|0){case 14:case 12:case 11:case 10:case 2:case 1:{iLb(g,3,518701,1245);fLb(h,dLb(g,519058)|0);jLb(g);l=0;u=d;return l|0}case 5:{e=b5b(c)|0;if((e|0)<0){l=10;u=d;return l|0}l=(((($(e|1|0)|0)^31)*9|0)+73|0)>>>6;u=d;return l|0}case 3:{l=((((xzc(a5b(c)|0|1|0,J|0,1)|0)^63)*9|0)+73|0)>>>6;u=d;return l|0}case 13:{l=(((($(d5b(c)|0|1|0)|0)^31)*9|0)+73|0)>>>6;u=d;return l|0}case 4:{l=((((xzc(c5b(c)|0|1|0,J|0,1)|0)^63)*9|0)+73|0)>>>6;u=d;return l|0}case 17:{e=b5b(c)|0;l=(((($(e<<1^e>>31|1|0)|0)^31)*9|0)+73|0)>>>6;u=d;return l|0}case 18:{e=a5b(c)|0;k=J;m=yzc(e|0,k|0,1)|0;n=J;l=((((xzc(m^(ozc(e|0,k|0,63)|0)|1|0,n^J|0,1)|0)^63)*9|0)+73|0)>>>6;u=d;return l|0}case 9:{n=qPa(c)|0;k=b[n+11>>0]|0;e=k<<24>>24<0?f[n+4>>2]|0:k&255;l=((((($(e|1|0)|0)^31)*9|0)+73|0)>>>6)+e|0;u=d;return l|0}case 6:{l=8;u=d;return l|0}case 16:{l=8;u=d;return l|0}case 8:{l=1;u=d;return l|0}case 15:case 7:{l=4;u=d;return l|0}default:{iLb(i,3,518701,1272);fLb(j,dLb(i,519070)|0);jLb(i);l=0;u=d;return l|0}}while(0);return 0}function Pbc(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;d=u;u=u+80|0;e=d+48|0;g=d+24|0;h=d+65|0;i=d;j=d+64|0;k=f[a+24>>2]|0;if(k|0?(f[k>>2]|0)!=2:0){f[e>>2]=110384;f[e+4>>2]=1962;b[e+8>>0]=0;f[e+12>>2]=a;xLb(k,e)}do switch(f[a+28>>2]|0){case 10:{iLb(g,3,518701,1280);fLb(h,dLb(g,519058)|0);jLb(g);l=0;u=d;return l|0}case 5:{e=D5b(c)|0;if((e|0)<0){l=10;u=d;return l|0}l=(((($(e|1|0)|0)^31)*9|0)+73|0)>>>6;u=d;return l|0}case 3:{l=((((xzc(C5b(c)|0|1|0,J|0,1)|0)^63)*9|0)+73|0)>>>6;u=d;return l|0}case 13:{l=(((($(F5b(c)|0|1|0)|0)^31)*9|0)+73|0)>>>6;u=d;return l|0}case 4:{l=((((xzc(E5b(c)|0|1|0,J|0,1)|0)^63)*9|0)+73|0)>>>6;u=d;return l|0}case 17:{e=D5b(c)|0;l=(((($(e<<1^e>>31|1|0)|0)^31)*9|0)+73|0)>>>6;u=d;return l|0}case 18:{e=C5b(c)|0;k=J;m=yzc(e|0,k|0,1)|0;n=J;l=((((xzc(m^(ozc(e|0,k|0,63)|0)|1|0,n^J|0,1)|0)^63)*9|0)+73|0)>>>6;u=d;return l|0}case 9:{n=B5b(c)|0;k=b[n+11>>0]|0;e=k<<24>>24<0?f[n+4>>2]|0:k&255;l=((((($(e|1|0)|0)^31)*9|0)+73|0)>>>6)+e|0;u=d;return l|0}case 12:{e=B5b(c)|0;k=b[e+11>>0]|0;n=k<<24>>24<0?f[e+4>>2]|0:k&255;l=((((($(n|1|0)|0)^31)*9|0)+73|0)>>>6)+n|0;u=d;return l|0}case 14:{n=J5b(c)|0;if((n|0)<0){l=10;u=d;return l|0}l=(((($(n|1|0)|0)^31)*9|0)+73|0)>>>6;u=d;return l|0}case 11:{n=K5b(c)|0;k=di[f[(f[n>>2]|0)+48>>2]&1023](n)|0;l=((((($(k|1|0)|0)^31)*9|0)+73|0)>>>6)+k|0;u=d;return l|0}case 6:{l=8;u=d;return l|0}case 16:{l=8;u=d;return l|0}case 1:{l=8;u=d;return l|0}case 8:{l=1;u=d;return l|0}case 2:case 15:case 7:{l=4;u=d;return l|0}default:{iLb(i,3,518701,1312);fLb(j,dLb(i,519070)|0);jLb(i);l=0;u=d;return l|0}}while(0);return 0}function Qbc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0;e=u;u=u+16|0;g=e;h=g+8|0;i=g+8|0;j=g+8|0;k=g+8|0;l=g+8|0;m=a;a=c;a:while(1){c=a;n=a+-16|0;o=m;while(1){p=o;b:while(1){q=p;r=c-q|0;s=r>>4;switch(s|0){case 2:{t=5;break a;break}case 3:{t=12;break a;break}case 4:{t=13;break a;break}case 5:{t=14;break a;break}case 1:case 0:{t=76;break a;break}default:{}}if((r|0)<112){t=16;break a}v=p+(((s|0)/2|0)<<4)|0;if((r|0)>15984){r=(s|0)/4|0;w=Vbc(p,p+(r<<4)|0,v,v+(r<<4)|0,n,d)|0}else w=Tbc(p,v,n,d)|0;if(Sbc(d,p,v)|0){x=n;y=w;break}else z=n;while(1){z=z+-16|0;if((p|0)==(z|0))break;if(Sbc(d,z,v)|0){t=44;break b}}r=p+16|0;if(Sbc(d,p,n)|0)A=r;else{if((r|0)==(n|0)){t=76;break a}else B=r;while(1){if(Sbc(d,p,B)|0)break;r=B+16|0;if((r|0)==(n|0)){t=76;break a}else B=r}f[i>>2]=0;W4b(g,B);W4b(B,n);W4b(n,g);if((f[i>>2]|0)==9?(r=f[g>>2]|0,r|0):0){if((b[r+11>>0]|0)<0)fuc(f[r>>2]|0);fuc(r)}A=B+16|0}if((A|0)==(n|0)){t=76;break a}else{C=n;D=A}while(1){r=D;while(1){E=r+16|0;if(Sbc(d,p,r)|0){F=C;break}else r=E}do F=F+-16|0;while(Sbc(d,p,F)|0);if(r>>>0>=F>>>0){p=r;continue b}f[h>>2]=0;W4b(g,r);W4b(r,F);W4b(F,g);if((f[h>>2]|0)==9?(s=f[g>>2]|0,s|0):0){if((b[s+11>>0]|0)<0)fuc(f[s>>2]|0);fuc(s)}C=F;D=E}}if((t|0)==44){t=0;f[l>>2]=0;W4b(g,p);W4b(p,z);W4b(z,g);if((f[l>>2]|0)==9?(s=f[g>>2]|0,s|0):0){if((b[s+11>>0]|0)<0)fuc(f[s>>2]|0);fuc(s)}x=z;y=w+1|0}s=p+16|0;c:do if(s>>>0<x>>>0){G=v;H=x;I=s;J=y;while(1){K=I;while(1){L=K+16|0;if(Sbc(d,K,G)|0)K=L;else{M=H;break}}do M=M+-16|0;while(!(Sbc(d,M,G)|0));if(K>>>0>M>>>0){N=G;O=J;P=K;break c}f[k>>2]=0;W4b(g,K);W4b(K,M);W4b(M,g);if((f[k>>2]|0)==9?(r=f[g>>2]|0,r|0):0){if((b[r+11>>0]|0)<0)fuc(f[r>>2]|0);fuc(r)}G=(G|0)==(K|0)?M:G;H=M;I=L;J=J+1|0}}else{N=v;O=y;P=s}while(0);if((P|0)!=(N|0)?Sbc(d,N,P)|0:0){f[j>>2]=0;W4b(g,P);W4b(P,N);W4b(N,g);if((f[j>>2]|0)==9?(s=f[g>>2]|0,s|0):0){if((b[s+11>>0]|0)<0)fuc(f[s>>2]|0);fuc(s)}Q=O+1|0}else Q=O;if(!Q){R=Xbc(p,P,d)|0;s=P+16|0;if(Xbc(s,a,d)|0){t=75;break}if(R){o=s;continue}}s=P;if((s-q|0)>=(c-s|0)){t=74;break}Qbc(p,P,d);o=P+16|0}if((t|0)==74){t=0;Qbc(P+16|0,a,d);m=p;a=P;continue}else if((t|0)==75){t=0;if(R){t=76;break}else{m=p;a=P;continue}}}if((t|0)==5){if(!(Sbc(d,n,p)|0)){u=e;return}P=g+8|0;f[P>>2]=0;W4b(g,p);W4b(p,n);W4b(n,g);if((f[P>>2]|0)==9?(P=f[g>>2]|0,P|0):0){if((b[P+11>>0]|0)<0)fuc(f[P>>2]|0);fuc(P)}u=e;return}else if((t|0)==12){Tbc(p,p+16|0,n,d)|0;u=e;return}else if((t|0)==13){Ubc(p,p+16|0,p+32|0,n,d)|0;u=e;return}else if((t|0)==14){Vbc(p,p+16|0,p+32|0,p+48|0,n,d)|0;u=e;return}else if((t|0)==16){Wbc(p,a,d);u=e;return}else if((t|0)==76){u=e;return}}function Rbc(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;d=a+4|0;e=f[a>>2]|0;g=(f[d>>2]|0)-e>>4;h=g+1|0;if(h>>>0>268435455)nsc(a);i=a+8|0;j=(f[i>>2]|0)-e|0;e=j>>3;k=j>>4>>>0<134217727?(e>>>0<h>>>0?h:e):268435455;if(k>>>0>268435455){e=ze(8)|0;kuc(e,519086);f[e>>2]=167148;Hf(e|0,26888,1888)}e=cuc(k<<4)|0;h=e+(g<<4)|0;j=h;l=e+(k<<4)|0;f[e+(g<<4)+8>>2]=0;W4b(h,c);c=h+16|0;g=f[a>>2]|0;e=f[d>>2]|0;if((e|0)==(g|0)){m=j;n=g;o=g}else{k=e;e=j;j=h;do{k=k+-16|0;f[j+-8>>2]=0;W4b(j+-16|0,k);j=e+-16|0;e=j}while((k|0)!=(g|0));m=e;n=f[a>>2]|0;o=f[d>>2]|0}f[a>>2]=m;f[d>>2]=c;f[i>>2]=l;l=n;if((o|0)!=(l|0)){i=o;do{o=i;i=i+-16|0;if((f[o+-8>>2]|0)==9?(o=f[i>>2]|0,o|0):0){if((b[o+11>>0]|0)<0)fuc(f[o>>2]|0);fuc(o)}}while((i|0)!=(l|0))}if(!n)return;fuc(n);return}function Sbc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;a=u;u=u+32|0;e=a;g=a+24|0;switch(KOa(c)|0){case 9:{h=qPa(c)|0;i=qPa(d)|0;j=b[i+11>>0]|0;k=j<<24>>24<0;l=k?f[i+4>>2]|0:j&255;j=b[h+11>>0]|0;m=j<<24>>24<0;n=m?f[h+4>>2]|0:j&255;j=l>>>0<n>>>0;o=j?l:n;if((o|0)!=0?(p=ahc(m?f[h>>2]|0:h,k?f[i>>2]|0:i,o)|0,(p|0)!=0):0)q=p;else q=n>>>0<l>>>0?-1:j&1;r=(q|0)<0;u=a;return r|0}case 2:{q=a5b(c)|0;j=J;l=a5b(d)|0;n=J;r=(j|0)<(n|0)|(j|0)==(n|0)&q>>>0<l>>>0;u=a;return r|0}case 1:{r=(b5b(c)|0)<(b5b(d)|0);u=a;return r|0}case 4:{l=c5b(c)|0;q=J;n=c5b(d)|0;j=J;r=q>>>0<j>>>0|(q|0)==(j|0)&l>>>0<n>>>0;u=a;return r|0}case 3:{r=(d5b(c)|0)>>>0<(d5b(d)|0)>>>0;u=a;return r|0}case 7:{n=e5b(c)|0;r=(e5b(d)|0)&(n^1);u=a;return r|0}default:{iLb(e,2,518701,936);fLb(g,dLb(e,519154)|0);jLb(e);r=1;u=a;return r|0}}return 0}function Tbc(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0;g=u;u=u+16|0;h=g;i=Sbc(e,c,a)|0;j=Sbc(e,d,c)|0;if(!i){if(!j){k=0;u=g;return k|0}i=h+8|0;f[i>>2]=0;W4b(h,c);W4b(c,d);W4b(d,h);if((f[i>>2]|0)==9?(i=f[h>>2]|0,i|0):0){if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0);fuc(i)}if(!(Sbc(e,c,a)|0)){k=1;u=g;return k|0}i=h+8|0;f[i>>2]=0;W4b(h,a);W4b(a,c);W4b(c,h);if((f[i>>2]|0)==9?(i=f[h>>2]|0,i|0):0){if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0);fuc(i)}k=2;u=g;return k|0}if(j){j=h+8|0;f[j>>2]=0;W4b(h,a);W4b(a,d);W4b(d,h);if((f[j>>2]|0)==9?(j=f[h>>2]|0,j|0):0){if((b[j+11>>0]|0)<0)fuc(f[j>>2]|0);fuc(j)}k=1;u=g;return k|0}j=h+8|0;f[j>>2]=0;W4b(h,a);W4b(a,c);W4b(c,h);if((f[j>>2]|0)==9?(j=f[h>>2]|0,j|0):0){if((b[j+11>>0]|0)<0)fuc(f[j>>2]|0);fuc(j)}if(!(Sbc(e,d,c)|0)){k=1;u=g;return k|0}e=h+8|0;f[e>>2]=0;W4b(h,c);W4b(c,d);W4b(d,h);if((f[e>>2]|0)==9?(e=f[h>>2]|0,e|0):0){if((b[e+11>>0]|0)<0)fuc(f[e>>2]|0);fuc(e)}k=2;u=g;return k|0}function Ubc(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0;h=u;u=u+16|0;i=h;j=Tbc(a,c,d,g)|0;if(!(Sbc(g,e,d)|0)){k=j;u=h;return k|0}l=i+8|0;f[l>>2]=0;W4b(i,d);W4b(d,e);W4b(e,i);if((f[l>>2]|0)==9?(l=f[i>>2]|0,l|0):0){if((b[l+11>>0]|0)<0)fuc(f[l>>2]|0);fuc(l)}if(!(Sbc(g,d,c)|0)){k=j+1|0;u=h;return k|0}l=i+8|0;f[l>>2]=0;W4b(i,c);W4b(c,d);W4b(d,i);if((f[l>>2]|0)==9?(l=f[i>>2]|0,l|0):0){if((b[l+11>>0]|0)<0)fuc(f[l>>2]|0);fuc(l)}if(!(Sbc(g,c,a)|0)){k=j+2|0;u=h;return k|0}g=i+8|0;f[g>>2]=0;W4b(i,a);W4b(a,c);W4b(c,i);if((f[g>>2]|0)==9?(g=f[i>>2]|0,g|0):0){if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);fuc(g)}k=j+3|0;u=h;return k|0}function Vbc(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0;i=u;u=u+16|0;j=i;k=Ubc(a,c,d,e,h)|0;if(!(Sbc(h,g,e)|0)){l=k;u=i;return l|0}m=j+8|0;f[m>>2]=0;W4b(j,e);W4b(e,g);W4b(g,j);if((f[m>>2]|0)==9?(m=f[j>>2]|0,m|0):0){if((b[m+11>>0]|0)<0)fuc(f[m>>2]|0);fuc(m)}if(!(Sbc(h,e,d)|0)){l=k+1|0;u=i;return l|0}m=j+8|0;f[m>>2]=0;W4b(j,d);W4b(d,e);W4b(e,j);if((f[m>>2]|0)==9?(m=f[j>>2]|0,m|0):0){if((b[m+11>>0]|0)<0)fuc(f[m>>2]|0);fuc(m)}if(!(Sbc(h,d,c)|0)){l=k+2|0;u=i;return l|0}m=j+8|0;f[m>>2]=0;W4b(j,c);W4b(c,d);W4b(d,j);if((f[m>>2]|0)==9?(m=f[j>>2]|0,m|0):0){if((b[m+11>>0]|0)<0)fuc(f[m>>2]|0);fuc(m)}if(!(Sbc(h,c,a)|0)){l=k+3|0;u=i;return l|0}h=j+8|0;f[h>>2]=0;W4b(j,a);W4b(a,c);W4b(c,j);if((f[h>>2]|0)==9?(h=f[j>>2]|0,h|0):0){if((b[h+11>>0]|0)<0)fuc(f[h>>2]|0);fuc(h)}l=k+4|0;u=i;return l|0}function Wbc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;e=u;u=u+16|0;g=e;h=a+32|0;Tbc(a,a+16|0,h,d)|0;i=a+48|0;if((i|0)==(c|0)){u=e;return}j=g+8|0;k=i;i=h;while(1){if(Sbc(d,k,i)|0){f[j>>2]=0;W4b(g,k);h=i;l=k;while(1){W4b(l,h);if((h|0)==(a|0)){m=a;break}n=h+-16|0;if(Sbc(d,g,n)|0){o=h;h=n;l=o}else{m=h;break}}W4b(m,g);if((f[j>>2]|0)==9?(h=f[g>>2]|0,h|0):0){if((b[h+11>>0]|0)<0)fuc(f[h>>2]|0);fuc(h)}}h=k+16|0;if((h|0)==(c|0))break;else{l=k;k=h;i=l}}u=e;return}function Xbc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;e=u;u=u+16|0;g=e;switch(c-a>>4|0){case 2:{h=c+-16|0;if(!(Sbc(d,h,a)|0)){i=1;u=e;return i|0}j=g+8|0;f[j>>2]=0;W4b(g,a);W4b(a,h);W4b(h,g);if((f[j>>2]|0)==9?(j=f[g>>2]|0,j|0):0){if((b[j+11>>0]|0)<0)fuc(f[j>>2]|0);fuc(j)}i=1;u=e;return i|0}case 3:{Tbc(a,a+16|0,c+-16|0,d)|0;i=1;u=e;return i|0}case 4:{Ubc(a,a+16|0,a+32|0,c+-16|0,d)|0;i=1;u=e;return i|0}case 5:{Vbc(a,a+16|0,a+32|0,a+48|0,c+-16|0,d)|0;i=1;u=e;return i|0}case 1:case 0:{i=1;u=e;return i|0}default:{j=a+32|0;Tbc(a,a+16|0,j,d)|0;h=a+48|0;a:do if((h|0)==(c|0)){k=1;l=0}else{m=g+8|0;n=h;o=0;p=j;while(1){if(Sbc(d,n,p)|0){f[m>>2]=0;W4b(g,n);q=p;r=n;while(1){W4b(r,q);if((q|0)==(a|0)){s=a;break}t=q+-16|0;if(Sbc(d,g,t)|0){v=q;q=t;r=v}else{s=q;break}}W4b(s,g);q=o+1|0;r=(q|0)==8;v=(n+16|0)==(c|0);if((f[m>>2]|0)==9?(t=f[g>>2]|0,t|0):0){if((b[t+11>>0]|0)<0)fuc(f[t>>2]|0);fuc(t)}if(r){k=0;l=v;break a}else w=q}else w=o;q=n+16|0;if((q|0)==(c|0)){k=1;l=0;break}else{v=n;n=q;o=w;p=v}}}while(0);i=k|l;u=e;return i|0}}return 0}function Ybc(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;c=u;u=u+16|0;d=c+4|0;e=c;yh[f[(f[a>>2]|0)+96>>2]&2047](d,a);g=f[d>>2]|0;yh[f[(f[a>>2]|0)+96>>2]&2047](d,a);h=f[d+4>>2]|0;f[d>>2]=0;i=d+4|0;f[i>>2]=0;f[d+8>>2]=0;j=g+16|0;a:do if(b[(f[j>>2]|0)+51>>0]|0){k=g+52|0;l=f[k>>2]|0;if((l|0)>0){m=g+20|0;n=d+8|0;o=0;p=l;l=0;q=0;while(1){r=(f[m>>2]|0)+(o*88|0)|0;f[e>>2]=r;if(l>>>0<q>>>0){f[l>>2]=r;f[i>>2]=(f[i>>2]|0)+4;s=p}else{k1b(d,e);s=f[k>>2]|0}r=o+1|0;if((r|0)>=(s|0))break a;o=r;p=s;l=f[i>>2]|0;q=f[n>>2]|0}}}else Zh[f[(f[h>>2]|0)+64>>2]&511](h,a,d);while(0);s=f[d>>2]|0;if((f[i>>2]|0)==(s|0))t=0;else{e=0;g=0;n=s;while(1){s=(Zbc(f[n+(g<<2)>>2]|0,a)|0)+e|0;g=g+1|0;n=f[d>>2]|0;if(g>>>0>=(f[i>>2]|0)-n>>2>>>0){t=s;break}else e=s}}e=(b[(f[j>>2]|0)+48>>0]|0)==0;j=Th[f[(f[h>>2]|0)+8>>2]&1023](h,a)|0;if(!e){e=f[j>>2]|0;a=f[37914]|0;if((e|0)!=0?(h=f[e>>2]|0,n=h,g=(f[e+4>>2]|0)-h|0,h=g>>4,(g|0)>0):0){g=0;e=0;while(1){if((f[n+(e<<4)+4>>2]|0)==3){s=g+a+((((($(f[n+(e<<4)>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;q=f[n+(e<<4)+8>>2]|0;l=b[q+11>>0]|0;if(l<<24>>24<0)v=f[q+4>>2]|0;else v=l&255;w=s+v+((((($(v|1|0)|0)^31)*9|0)+73|0)>>>6)|0}else w=g;e=e+1|0;if((e|0)>=(h|0)){x=w;break}else g=w}}else x=0}else x=Dbc(j)|0;j=x+t|0;t=f[d>>2]|0;if(!t){u=c;return j|0}d=f[i>>2]|0;if((d|0)!=(t|0))f[i>>2]=d+(~((d+-4-t|0)>>>2)<<2);fuc(t);u=c;return j|0}function Zbc(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;d=u;u=u+16|0;e=d;yh[f[(f[c>>2]|0)+96>>2]&2047](e,c);g=f[e+4>>2]|0;if(b[a+38>>0]|0?b[(f[(f[a+48>>2]|0)+16>>2]|0)+48>>0]|0:0){h=f[a+24>>2]|0;if(h|0?(f[h>>2]|0)!=2:0){f[e>>2]=110384;f[e+4>>2]=1962;b[e+8>>0]=0;f[e+12>>2]=a;xLb(h,e)}if((f[151812+(f[a+28>>2]<<2)>>2]|0)==10?(f[a+32>>2]|0)!=3:0){yh[f[(f[c>>2]|0)+96>>2]&2047](e,c);h=f[e+4>>2]|0;i=((((($(f[a+40>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)+(f[37914]|0)|0;j=Cg[f[(f[h>>2]|0)+108>>2]&127](h,c,a,0)|0;h=di[f[(f[j>>2]|0)+48>>2]&1023](j)|0;k=i+h+((((($(h|1|0)|0)^31)*9|0)+73|0)>>>6)|0;u=d;return k|0}}if((f[a+32>>2]|0)!=3)if(!(b[(f[(f[a+48>>2]|0)+16>>2]|0)+51>>0]|0))l=(li[f[(f[g>>2]|0)+20>>2]&511](g,c,a)|0)&1;else l=1;else l=li[f[(f[g>>2]|0)+24>>2]&511](g,c,a)|0;g=Nbc(a,c)|0;if(vQb(a)|0){if(!g){k=0;u=d;return k|0}k=((((($(g|1|0)|0)^31)*9|0)+73|0)>>>6)+g+((((($(f[a+40>>2]<<3|1|0)|0)^31)*9|0)+73|0)>>>6)|0;u=d;return k|0}c=f[a+40>>2]|0;h=f[a+24>>2]|0;if(h|0?(f[h>>2]|0)!=2:0){f[e>>2]=110384;f[e+4>>2]=1962;b[e+8>>0]=0;f[e+12>>2]=a;xLb(h,e)}k=(Y((((($(c<<3|1|0)|0)^31)*9|0)+73|0)>>>6<<((f[a+28>>2]|0)==10&1),l)|0)+g|0;u=d;return k|0}function _bc(a){a=a|0;return}function $bc(a){a=a|0;fuc(a);return}function acc(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=f[a+4>>2]|0;a=f[225052]|0;if(!a){e=0;return e|0}g=(d*65535|0)+b|0;h=f[a+4>>2]|0;if(!h){e=0;return e|0}i=h+-1|0;j=(i&h|0)==0;if(!j)if(g>>>0<h>>>0)k=g;else k=(g>>>0)%(h>>>0)|0;else k=i&g;l=f[(f[a>>2]|0)+(k<<2)>>2]|0;if(!l){e=0;return e|0}a=f[l>>2]|0;if(!a){e=0;return e|0}a:do if(j){l=a;while(1){m=f[l+4>>2]|0;n=(m|0)==(g|0);if(!(n|(m&i|0)==(k|0))){e=0;o=23;break}if((n?(f[l+8>>2]|0)==(d|0):0)?(f[l+12>>2]|0)==(b|0):0){p=l;break a}l=f[l>>2]|0;if(!l){e=0;o=23;break}}if((o|0)==23)return e|0}else{l=a;while(1){n=f[l+4>>2]|0;if((n|0)==(g|0)){if((f[l+8>>2]|0)==(d|0)?(f[l+12>>2]|0)==(b|0):0){p=l;break a}}else{if(n>>>0<h>>>0)q=n;else q=(n>>>0)%(h>>>0)|0;if((q|0)!=(k|0)){e=0;o=23;break}}l=f[l>>2]|0;if(!l){e=0;o=23;break}}if((o|0)==23)return e|0}while(0);o=p+16|0;f[c>>2]=f[o>>2];f[c+4>>2]=f[o+4>>2];f[c+8>>2]=f[o+8>>2];f[c+12>>2]=f[o+12>>2];e=1;return e|0}function bcc(a,b){a=a|0;b=b|0;f[a+4>>2]=0;f[a+8>>2]=0;f[a>>2]=a+4;f[a+12>>2]=b;if(!b)return;ccc(b,a);return}function ccc(a,b){a=a|0;b=b|0;if(!b)return;EIb(a,b,2010);return}function dcc(a,b){a=a|0;b=b|0;if(!b)return;else{dcc(a,f[b>>2]|0);dcc(a,f[b+4>>2]|0);fuc(b);return}}function ecc(a){a=a|0;dcc(a,f[a+4>>2]|0);return}function fcc(a){a=a|0;f[a+4>>2]=0;f[a+8>>2]=0;f[a>>2]=a+4;f[a+12>>2]=0;return}function gcc(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0;if(!(f[a+12>>2]|0)){b=f[a>>2]|0;c=a+4|0;if((b|0)==(c|0))d=c;else{e=b;while(1){hcc(e+24|0);b=f[e+4>>2]|0;if(!b){g=e+8|0;h=f[g>>2]|0;if((f[h>>2]|0)==(e|0))i=h;else{h=g;do{g=f[h>>2]|0;h=g+8|0;j=f[h>>2]|0}while((f[j>>2]|0)!=(g|0));i=j}}else{h=b;while(1){j=f[h>>2]|0;if(!j)break;else h=j}i=h}if((i|0)==(c|0)){d=c;break}else e=i}}}else d=a+4|0;dcc(a,f[d>>2]|0);return}function hcc(a){a=a|0;var c=0,d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;c=f[151660+(h[a+8>>0]<<2)>>2]|0;if(!(b[a+9>>0]|0))switch(c|0){case 9:{d=f[a>>2]|0;if(!d)return;if((b[d+11>>0]|0)<0)fuc(f[d>>2]|0);fuc(d);return}case 10:{d=f[a>>2]|0;e=(d|0)==0;if(!(b[a+10>>0]&16)){if(e)return;bi[f[(f[d>>2]|0)+4>>2]&2047](d);return}else{if(e)return;bi[f[(f[d>>2]|0)+4>>2]&2047](d);return}break}default:return}do switch(c|0){case 1:{d=f[a>>2]|0;if(!d)return;e=f[d+8>>2]|0;if(e|0?(f[e>>2]|0)==0:0)fuc(e);fuc(d);return}case 2:{d=f[a>>2]|0;if(!d)return;e=f[d+8>>2]|0;if(e|0?(f[e>>2]|0)==0:0)fuc(e);fuc(d);return}case 3:{d=f[a>>2]|0;if(!d)return;e=f[d+8>>2]|0;if(e|0?(f[e>>2]|0)==0:0)fuc(e);fuc(d);return}case 4:{d=f[a>>2]|0;if(!d)return;e=f[d+8>>2]|0;if(e|0?(f[e>>2]|0)==0:0)fuc(e);fuc(d);return}case 6:{d=f[a>>2]|0;if(!d)return;e=f[d+8>>2]|0;if(e|0?(f[e>>2]|0)==0:0)fuc(e);fuc(d);return}case 5:{d=f[a>>2]|0;if(!d)return;e=f[d+8>>2]|0;if(e|0?(f[e>>2]|0)==0:0)fuc(e);fuc(d);return}case 7:{d=f[a>>2]|0;if(!d)return;e=f[d+8>>2]|0;if(e|0?(f[e>>2]|0)==0:0)fuc(e);fuc(d);return}case 8:{d=f[a>>2]|0;if(!d)return;e=f[d+8>>2]|0;if(e|0?(f[e>>2]|0)==0:0)fuc(e);fuc(d);return}case 9:{d=f[a>>2]|0;if(!d)return;e=d+12|0;g=f[e>>2]|0;if(g|0?(f[d>>2]|0)==0:0){i=f[g>>2]|0;if((i|0)>0){j=0;do{k=f[g+4+(j<<2)>>2]|0;if(k|0){if((b[k+11>>0]|0)<0)fuc(f[k>>2]|0);fuc(k)}j=j+1|0}while((j|0)!=(i|0));l=f[e>>2]|0}else l=g;fuc(l)}fuc(d);return}case 10:{i=f[a>>2]|0;if(!i)return;j=i+12|0;k=f[j>>2]|0;if(k|0?(f[i>>2]|0)==0:0){m=f[k>>2]|0;if((m|0)>0){n=0;do{o=f[k+4+(n<<2)>>2]|0;if(o|0)bi[f[(f[o>>2]|0)+4>>2]&2047](o);n=n+1|0}while((n|0)!=(m|0));p=f[j>>2]|0}else p=k;fuc(p)}fuc(i);return}default:return}while(0)}function icc(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0;d=a+4|0;a=f[d>>2]|0;if(!a){e=0;return e|0}else{g=d;h=a}a:while(1){a=h;while(1){if((f[a+16>>2]|0)>=(c|0))break;i=f[a+4>>2]|0;if(!i){j=g;break a}else a=i}h=f[a>>2]|0;if(!h){j=a;break}else g=a}if((j|0)==(d|0)){e=0;return e|0}d=j+16|0;if((f[d>>2]|0)>(c|0)){e=0;return e|0}e=(b[d+18>>0]&1)==0;return e|0}function jcc(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0;c=a+4|0;a=f[c>>2]|0;if(!a){d=0;return d|0}else{e=c;g=a}a:while(1){a=g;while(1){if((f[a+16>>2]|0)>=(b|0))break;h=f[a+4>>2]|0;if(!h){i=e;break a}else a=h}g=f[a>>2]|0;if(!g){i=a;break}else e=a}if((i|0)==(c|0)){d=0;return d|0}if((f[i+16>>2]|0)>(b|0)){d=0;return d|0}d=kcc(i+24|0)|0;return d|0}function kcc(a){a=a|0;var b=0,c=0,d=0;b=u;u=u+32|0;c=b;do switch(f[151660+((h[a+8>>0]|0)<<2)>>2]|0){case 1:{d=f[f[a>>2]>>2]|0;break}case 2:{d=f[f[a>>2]>>2]|0;break}case 3:{d=f[f[a>>2]>>2]|0;break}case 4:{d=f[f[a>>2]>>2]|0;break}case 6:{d=f[f[a>>2]>>2]|0;break}case 5:{d=f[f[a>>2]>>2]|0;break}case 7:{d=f[f[a>>2]>>2]|0;break}case 8:{d=f[f[a>>2]>>2]|0;break}case 9:{d=f[(f[a>>2]|0)+4>>2]|0;break}case 10:{d=f[(f[a>>2]|0)+4>>2]|0;break}default:{iLb(c,3,519280,1703);fLb(b+24|0,dLb(c,519375)|0);jLb(c);d=0}}while(0);u=b;return d|0}function lcc(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0;c=a+4|0;a=f[c>>2]|0;if(!a)return;else{d=c;e=a}a:while(1){a=e;while(1){if((f[a+16>>2]|0)>=(b|0))break;g=f[a+4>>2]|0;if(!g){h=d;break a}else a=g}e=f[a>>2]|0;if(!e){h=a;break}else d=a}if((h|0)==(c|0))return;if((f[h+16>>2]|0)>(b|0))return;mcc(h+24|0);return}function mcc(a){a=a|0;var c=0,d=0,e=0,g=0,i=0,j=0;if(!(b[a+9>>0]|0)){c=a+10|0;d=b[c>>0]|0;if(d&1)return;a:do switch(f[151660+(h[a+8>>0]<<2)>>2]|0){case 9:{e=f[a>>2]|0;g=e+11|0;if((b[g>>0]|0)<0){b[f[e>>2]>>0]=0;f[e+4>>2]=0;break a}else{b[e>>0]=0;b[g>>0]=0;break a}break}case 10:{g=f[a>>2]|0;e=f[g>>2]|0;if(!(d&16)){bi[f[e+28>>2]&2047](g);break a}else{bi[f[e+52>>2]&2047](g);break a}break}default:{}}while(0);b[c>>0]=b[c>>0]&-16|1;return}do switch(f[151660+(h[a+8>>0]<<2)>>2]|0){case 1:{f[f[a>>2]>>2]=0;return}case 2:{f[f[a>>2]>>2]=0;return}case 3:{f[f[a>>2]>>2]=0;return}case 4:{f[f[a>>2]>>2]=0;return}case 6:{f[f[a>>2]>>2]=0;return}case 5:{f[f[a>>2]>>2]=0;return}case 7:{f[f[a>>2]>>2]=0;return}case 8:{f[f[a>>2]>>2]=0;return}case 9:{c=f[a>>2]|0;d=c+4|0;g=f[d>>2]|0;if((g|0)<=0)return;e=f[c+12>>2]|0;c=0;do{i=f[e+4+(c<<2)>>2]|0;c=c+1|0;j=i+11|0;if((b[j>>0]|0)<0){b[f[i>>2]>>0]=0;f[i+4>>2]=0}else{b[i>>0]=0;b[j>>0]=0}}while((c|0)!=(g|0));f[d>>2]=0;return}case 10:{g=f[a>>2]|0;c=g+4|0;e=f[c>>2]|0;if((e|0)<=0)return;j=f[g+12>>2]|0;g=0;do{i=f[j+4+(g<<2)>>2]|0;g=g+1|0;bi[f[(f[i>>2]|0)+28>>2]&2047](i)}while((g|0)!=(e|0));f[c>>2]=0;return}default:return}while(0)}function ncc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0;e=a+4|0;a=f[e>>2]|0;if(!a){g=d;return g|0}else{h=e;i=a}a:while(1){a=i;while(1){if((f[a+16>>2]|0)>=(c|0))break;j=f[a+4>>2]|0;if(!j){k=h;break a}else a=j}i=f[a>>2]|0;if(!i){k=a;break}else h=a}if((k|0)==(e|0)){g=d;return g|0}e=k+16|0;if((f[e>>2]|0)>(c|0)){g=d;return g|0}if(b[e+18>>0]&1){g=d;return g|0}g=f[k+24>>2]|0;return g|0}function occ(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;h=u;u=u+32|0;i=h+4|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;f[i+16>>2]=0;f[i+20>>2]=0;j=a+4|0;k=f[j>>2]|0;do if(k){l=a+4|0;m=k;while(1){n=f[m+16>>2]|0;if((n|0)>(c|0)){o=f[m>>2]|0;if(!o){p=5;break}else{q=m;r=o}}else{if((n|0)>=(c|0)){p=10;break}s=m+4|0;n=f[s>>2]|0;if(!n){p=9;break}else{q=s;r=n}}l=q;m=r}if((p|0)==5){t=m;v=m;break}else if((p|0)==9){t=m;v=s;break}else if((p|0)==10){t=m;v=l;break}}else{t=j;v=j}while(0);j=f[v>>2]|0;if(j|0){f[j+40>>2]=g;w=j+24|0;x=w+10|0;y=b[x>>0]|0;z=y&-16;b[x>>0]=z;f[w>>2]=e;u=h;return}j=cuc(48)|0;f[j+16>>2]=c;c=j+24|0;f[c>>2]=f[i>>2];f[c+4>>2]=f[i+4>>2];f[c+8>>2]=f[i+8>>2];f[c+12>>2]=f[i+12>>2];f[c+16>>2]=f[i+16>>2];f[c+20>>2]=f[i+20>>2];f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=t;f[v>>2]=j;t=f[f[a>>2]>>2]|0;if(!t)A=j;else{f[a>>2]=t;A=f[v>>2]|0}jI(f[a+4>>2]|0,A);A=a+8|0;f[A>>2]=(f[A>>2]|0)+1;f[j+40>>2]=g;b[j+32>>0]=d;b[j+33>>0]=0;w=c;x=w+10|0;y=b[x>>0]|0;z=y&-16;b[x>>0]=z;f[w>>2]=e;u=h;return}function pcc(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;e=u;u=u+32|0;g=e+4|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;f[g+16>>2]=0;f[g+20>>2]=0;h=a+4|0;i=f[h>>2]|0;do if(i){j=a+4|0;k=i;while(1){l=f[k+16>>2]|0;if((l|0)>(b|0)){m=f[k>>2]|0;if(!m){n=5;break}else{o=k;p=m}}else{if((l|0)>=(b|0)){n=10;break}q=k+4|0;l=f[q>>2]|0;if(!l){n=9;break}else{o=q;p=l}}j=o;k=p}if((n|0)==5){r=k;s=k;break}else if((n|0)==9){r=k;s=q;break}else if((n|0)==10){r=k;s=j;break}}else{r=h;s=h}while(0);h=f[s>>2]|0;if(h|0){t=h;v=0;w=t+24|0;f[d>>2]=w;x=t+40|0;f[x>>2]=c;u=e;return v|0}h=cuc(48)|0;f[h+16>>2]=b;b=h+24|0;f[b>>2]=f[g>>2];f[b+4>>2]=f[g+4>>2];f[b+8>>2]=f[g+8>>2];f[b+12>>2]=f[g+12>>2];f[b+16>>2]=f[g+16>>2];f[b+20>>2]=f[g+20>>2];f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=r;f[s>>2]=h;r=f[f[a>>2]>>2]|0;if(!r)y=h;else{f[a>>2]=r;y=f[s>>2]|0}jI(f[a+4>>2]|0,y);y=a+8|0;f[y>>2]=(f[y>>2]|0)+1;t=h;v=1;w=t+24|0;f[d>>2]=w;x=t+40|0;f[x>>2]=c;u=e;return v|0}function qcc(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;d=u;u=u+32|0;e=d;g=d+24|0;h=a+4|0;a=f[h>>2]|0;if(a){i=h;j=a;a:while(1){a=j;while(1){if((f[a+16>>2]|0)>=(b|0))break;k=f[a+4>>2]|0;if(!k){l=i;break a}else a=k}j=f[a>>2]|0;if(!j){l=a;break}else i=a}if((l|0)!=(h|0)?(f[l+16>>2]|0)<=(b|0):0)m=l;else n=8}else n=8;if((n|0)==8){iLb(e,3,519280,326);fLb(g,dLb(dLb(e,519391)|0,519433)|0);jLb(e);m=h}u=d;return f[(f[(f[m+24>>2]|0)+8>>2]|0)+4+(c<<2)>>2]|0}function rcc(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;e=u;u=u+32|0;g=e;h=e+24|0;i=a+4|0;a=f[i>>2]|0;if(a|0){j=i;k=a;a:while(1){a=k;while(1){if((f[a+16>>2]|0)>=(b|0))break;l=f[a+4>>2]|0;if(!l){m=j;break a}else a=l}k=f[a>>2]|0;if(!k){m=a;break}else j=a}if((m|0)!=(i|0)?(f[m+16>>2]|0)<=(b|0):0){n=m;o=n+24|0;p=f[o>>2]|0;q=p+8|0;r=f[q>>2]|0;s=r+4+(c<<2)|0;f[s>>2]=d;u=e;return}}iLb(g,3,519280,326);fLb(h,dLb(dLb(g,519391)|0,519433)|0);jLb(g);n=i;o=n+24|0;p=f[o>>2]|0;q=p+8|0;r=f[q>>2]|0;s=r+4+(c<<2)|0;f[s>>2]=d;u=e;return}function scc(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;i=u;u=u+32|0;j=i+4|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;f[j+16>>2]=0;f[j+20>>2]=0;k=a+4|0;l=f[k>>2]|0;do if(l){m=a+4|0;n=l;while(1){o=f[n+16>>2]|0;if((o|0)>(c|0)){p=f[n>>2]|0;if(!p){q=5;break}else{r=n;s=p}}else{if((o|0)>=(c|0)){q=10;break}t=n+4|0;o=f[t>>2]|0;if(!o){q=9;break}else{r=t;s=o}}m=r;n=s}if((q|0)==5){v=n;w=n;break}else if((q|0)==9){v=n;w=t;break}else if((q|0)==10){v=n;w=m;break}}else{v=k;w=k}while(0);k=f[w>>2]|0;if(!k){q=cuc(48)|0;f[q+16>>2]=c;c=q+24|0;f[c>>2]=f[j>>2];f[c+4>>2]=f[j+4>>2];f[c+8>>2]=f[j+8>>2];f[c+12>>2]=f[j+12>>2];f[c+16>>2]=f[j+16>>2];f[c+20>>2]=f[j+20>>2];f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=v;f[w>>2]=q;v=f[f[a>>2]>>2]|0;if(!v)x=q;else{f[a>>2]=v;x=f[w>>2]|0}jI(f[a+4>>2]|0,x);x=a+8|0;f[x>>2]=(f[x>>2]|0)+1;f[q+40>>2]=h;b[q+32>>0]=d;b[q+33>>0]=1;b[q+35>>0]=e&1;e=f[a+12>>2]|0;if(!e){a=cuc(12)|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;y=a}else{a=e+64|0;if(f[a>>2]|0)HIb(e,25200,16);q=GIb(e,16,2011)|0;f[q>>2]=0;f[q+4>>2]=0;d=q+8|0;f[d>>2]=0;if(f[a>>2]|0)HIb(e,27008,8);a=FIb(e,8)|0;f[d>>2]=a;f[a>>2]=e;y=q}f[c>>2]=y;z=c}else{f[k+40>>2]=h;z=k+24|0}k=f[z>>2]|0;z=f[k>>2]|0;if((z|0)!=(f[k+4>>2]|0)){A=z;B=k+8|0;C=f[B>>2]|0;D=A+1|0;f[k>>2]=D;E=C+4+(A<<2)|0;f[E>>2]=g;u=i;return}NEa(k,z+1|0);A=f[k>>2]|0;B=k+8|0;C=f[B>>2]|0;D=A+1|0;f[k>>2]=D;E=C+4+(A<<2)|0;f[E>>2]=g;u=i;return}function tcc(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(!b)return;if(f[b>>2]|0)return;fuc(b);return}function ucc(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0;g=a+4|0;a=f[g>>2]|0;if(a){h=g;i=a;a:while(1){a=i;while(1){if((f[a+16>>2]|0)>=(c|0))break;j=f[a+4>>2]|0;if(!j){k=h;break a}else a=j}i=f[a>>2]|0;if(!i){k=a;break}else h=a}if(((k|0)!=(g|0)?(g=k+16|0,(f[g>>2]|0)<=(c|0)):0)?(b[g+18>>0]&1)==0:0){g=k+24|0;l=f[g+4>>2]|0;m=f[g>>2]|0}else{l=e;m=d}}else{l=e;m=d}J=l;return m|0}function vcc(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;i=u;u=u+32|0;j=i+4|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;f[j+16>>2]=0;f[j+20>>2]=0;k=a+4|0;l=f[k>>2]|0;do if(l){m=a+4|0;n=l;while(1){o=f[n+16>>2]|0;if((o|0)>(c|0)){p=f[n>>2]|0;if(!p){q=5;break}else{r=n;s=p}}else{if((o|0)>=(c|0)){q=10;break}t=n+4|0;o=f[t>>2]|0;if(!o){q=9;break}else{r=t;s=o}}m=r;n=s}if((q|0)==5){v=n;w=n;break}else if((q|0)==9){v=n;w=t;break}else if((q|0)==10){v=n;w=m;break}}else{v=k;w=k}while(0);k=f[w>>2]|0;if(k|0){f[k+40>>2]=h;x=k+24|0;y=x+10|0;z=b[y>>0]|0;A=z&-16;b[y>>0]=A;B=x;C=B;f[C>>2]=e;D=B+4|0;E=D;f[E>>2]=g;u=i;return}k=cuc(48)|0;f[k+16>>2]=c;c=k+24|0;f[c>>2]=f[j>>2];f[c+4>>2]=f[j+4>>2];f[c+8>>2]=f[j+8>>2];f[c+12>>2]=f[j+12>>2];f[c+16>>2]=f[j+16>>2];f[c+20>>2]=f[j+20>>2];f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=v;f[w>>2]=k;v=f[f[a>>2]>>2]|0;if(!v)F=k;else{f[a>>2]=v;F=f[w>>2]|0}jI(f[a+4>>2]|0,F);F=a+8|0;f[F>>2]=(f[F>>2]|0)+1;f[k+40>>2]=h;b[k+32>>0]=d;b[k+33>>0]=0;x=c;y=x+10|0;z=b[y>>0]|0;A=z&-16;b[y>>0]=A;B=x;C=B;f[C>>2]=e;D=B+4|0;E=D;f[E>>2]=g;u=i;return}function wcc(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;d=u;u=u+32|0;e=d;g=d+24|0;h=a+4|0;a=f[h>>2]|0;if(a){i=h;j=a;a:while(1){a=j;while(1){if((f[a+16>>2]|0)>=(b|0))break;k=f[a+4>>2]|0;if(!k){l=i;break a}else a=k}j=f[a>>2]|0;if(!j){l=a;break}else i=a}if((l|0)!=(h|0)?(f[l+16>>2]|0)<=(b|0):0)m=l;else n=8}else n=8;if((n|0)==8){iLb(e,3,519280,327);fLb(g,dLb(dLb(e,519391)|0,519433)|0);jLb(e);m=h}h=(f[(f[m+24>>2]|0)+8>>2]|0)+8+(c<<3)|0;J=f[h+4>>2]|0;u=d;return f[h>>2]|0}function xcc(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;g=u;u=u+32|0;h=g;i=g+24|0;j=a+4|0;a=f[j>>2]|0;if(a){k=j;l=a;a:while(1){a=l;while(1){if((f[a+16>>2]|0)>=(b|0))break;m=f[a+4>>2]|0;if(!m){n=k;break a}else a=m}l=f[a>>2]|0;if(!l){n=a;break}else k=a}if((n|0)!=(j|0)?(f[n+16>>2]|0)<=(b|0):0)o=n;else p=8}else p=8;if((p|0)==8){iLb(h,3,519280,327);fLb(i,dLb(dLb(h,519391)|0,519433)|0);jLb(h);o=j}j=(f[(f[o+24>>2]|0)+8>>2]|0)+8+(c<<3)|0;f[j>>2]=d;f[j+4>>2]=e;u=g;return}function ycc(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;j=u;u=u+32|0;k=j+4|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;f[k+16>>2]=0;f[k+20>>2]=0;l=a+4|0;m=f[l>>2]|0;do if(m){n=a+4|0;o=m;while(1){p=f[o+16>>2]|0;if((p|0)>(c|0)){q=f[o>>2]|0;if(!q){r=5;break}else{s=o;t=q}}else{if((p|0)>=(c|0)){r=10;break}v=o+4|0;p=f[v>>2]|0;if(!p){r=9;break}else{s=v;t=p}}n=s;o=t}if((r|0)==5){w=o;x=o;break}else if((r|0)==9){w=o;x=v;break}else if((r|0)==10){w=o;x=n;break}}else{w=l;x=l}while(0);l=f[x>>2]|0;if(!l){r=cuc(48)|0;f[r+16>>2]=c;c=r+24|0;f[c>>2]=f[k>>2];f[c+4>>2]=f[k+4>>2];f[c+8>>2]=f[k+8>>2];f[c+12>>2]=f[k+12>>2];f[c+16>>2]=f[k+16>>2];f[c+20>>2]=f[k+20>>2];f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=w;f[x>>2]=r;w=f[f[a>>2]>>2]|0;if(!w)y=r;else{f[a>>2]=w;y=f[x>>2]|0}jI(f[a+4>>2]|0,y);y=a+8|0;f[y>>2]=(f[y>>2]|0)+1;f[r+40>>2]=i;b[r+32>>0]=d;b[r+33>>0]=1;b[r+35>>0]=e&1;e=f[a+12>>2]|0;if(!e){a=cuc(12)|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;z=a}else{a=e+64|0;if(f[a>>2]|0)HIb(e,25208,16);r=GIb(e,16,2012)|0;f[r>>2]=0;f[r+4>>2]=0;d=r+8|0;f[d>>2]=0;if(f[a>>2]|0)HIb(e,27008,8);a=FIb(e,8)|0;f[d>>2]=a;f[a>>2]=e;z=r}f[c>>2]=z;A=c}else{f[l+40>>2]=i;A=l+24|0}l=f[A>>2]|0;A=f[l>>2]|0;if((A|0)!=(f[l+4>>2]|0)){B=A;C=l+8|0;D=f[C>>2]|0;E=B+1|0;f[l>>2]=E;F=D+8+(B<<3)|0;G=F;H=G;f[H>>2]=g;I=G+4|0;J=I;f[J>>2]=h;u=j;return}ZOa(l,A+1|0);B=f[l>>2]|0;C=l+8|0;D=f[C>>2]|0;E=B+1|0;f[l>>2]=E;F=D+8+(B<<3)|0;G=F;H=G;f[H>>2]=g;I=G+4|0;J=I;f[J>>2]=h;u=j;return}function zcc(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(!b)return;if(f[b>>2]|0)return;fuc(b);return}function Acc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0;e=a+4|0;a=f[e>>2]|0;if(!a){g=d;return g|0}else{h=e;i=a}a:while(1){a=i;while(1){if((f[a+16>>2]|0)>=(c|0))break;j=f[a+4>>2]|0;if(!j){k=h;break a}else a=j}i=f[a>>2]|0;if(!i){k=a;break}else h=a}if((k|0)==(e|0)){g=d;return g|0}e=k+16|0;if((f[e>>2]|0)>(c|0)){g=d;return g|0}if(b[e+18>>0]&1){g=d;return g|0}g=f[k+24>>2]|0;return g|0}function Bcc(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;h=u;u=u+32|0;i=h+4|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;f[i+16>>2]=0;f[i+20>>2]=0;j=a+4|0;k=f[j>>2]|0;do if(k){l=a+4|0;m=k;while(1){n=f[m+16>>2]|0;if((n|0)>(c|0)){o=f[m>>2]|0;if(!o){p=5;break}else{q=m;r=o}}else{if((n|0)>=(c|0)){p=10;break}s=m+4|0;n=f[s>>2]|0;if(!n){p=9;break}else{q=s;r=n}}l=q;m=r}if((p|0)==5){t=m;v=m;break}else if((p|0)==9){t=m;v=s;break}else if((p|0)==10){t=m;v=l;break}}else{t=j;v=j}while(0);j=f[v>>2]|0;if(j|0){f[j+40>>2]=g;w=j+24|0;x=w+10|0;y=b[x>>0]|0;z=y&-16;b[x>>0]=z;f[w>>2]=e;u=h;return}j=cuc(48)|0;f[j+16>>2]=c;c=j+24|0;f[c>>2]=f[i>>2];f[c+4>>2]=f[i+4>>2];f[c+8>>2]=f[i+8>>2];f[c+12>>2]=f[i+12>>2];f[c+16>>2]=f[i+16>>2];f[c+20>>2]=f[i+20>>2];f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=t;f[v>>2]=j;t=f[f[a>>2]>>2]|0;if(!t)A=j;else{f[a>>2]=t;A=f[v>>2]|0}jI(f[a+4>>2]|0,A);A=a+8|0;f[A>>2]=(f[A>>2]|0)+1;f[j+40>>2]=g;b[j+32>>0]=d;b[j+33>>0]=0;w=c;x=w+10|0;y=b[x>>0]|0;z=y&-16;b[x>>0]=z;f[w>>2]=e;u=h;return}function Ccc(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;d=u;u=u+32|0;e=d;g=d+24|0;h=a+4|0;a=f[h>>2]|0;if(a){i=h;j=a;a:while(1){a=j;while(1){if((f[a+16>>2]|0)>=(b|0))break;k=f[a+4>>2]|0;if(!k){l=i;break a}else a=k}j=f[a>>2]|0;if(!j){l=a;break}else i=a}if((l|0)!=(h|0)?(f[l+16>>2]|0)<=(b|0):0)m=l;else n=8}else n=8;if((n|0)==8){iLb(e,3,519280,328);fLb(g,dLb(dLb(e,519391)|0,519433)|0);jLb(e);m=h}u=d;return f[(f[(f[m+24>>2]|0)+8>>2]|0)+4+(c<<2)>>2]|0}function Dcc(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;e=u;u=u+32|0;g=e;h=e+24|0;i=a+4|0;a=f[i>>2]|0;if(a|0){j=i;k=a;a:while(1){a=k;while(1){if((f[a+16>>2]|0)>=(b|0))break;l=f[a+4>>2]|0;if(!l){m=j;break a}else a=l}k=f[a>>2]|0;if(!k){m=a;break}else j=a}if((m|0)!=(i|0)?(f[m+16>>2]|0)<=(b|0):0){n=m;o=n+24|0;p=f[o>>2]|0;q=p+8|0;r=f[q>>2]|0;s=r+4+(c<<2)|0;f[s>>2]=d;u=e;return}}iLb(g,3,519280,328);fLb(h,dLb(dLb(g,519391)|0,519433)|0);jLb(g);n=i;o=n+24|0;p=f[o>>2]|0;q=p+8|0;r=f[q>>2]|0;s=r+4+(c<<2)|0;f[s>>2]=d;u=e;return}function Ecc(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;i=u;u=u+32|0;j=i+4|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;f[j+16>>2]=0;f[j+20>>2]=0;k=a+4|0;l=f[k>>2]|0;do if(l){m=a+4|0;n=l;while(1){o=f[n+16>>2]|0;if((o|0)>(c|0)){p=f[n>>2]|0;if(!p){q=5;break}else{r=n;s=p}}else{if((o|0)>=(c|0)){q=10;break}t=n+4|0;o=f[t>>2]|0;if(!o){q=9;break}else{r=t;s=o}}m=r;n=s}if((q|0)==5){v=n;w=n;break}else if((q|0)==9){v=n;w=t;break}else if((q|0)==10){v=n;w=m;break}}else{v=k;w=k}while(0);k=f[w>>2]|0;if(!k){q=cuc(48)|0;f[q+16>>2]=c;c=q+24|0;f[c>>2]=f[j>>2];f[c+4>>2]=f[j+4>>2];f[c+8>>2]=f[j+8>>2];f[c+12>>2]=f[j+12>>2];f[c+16>>2]=f[j+16>>2];f[c+20>>2]=f[j+20>>2];f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=v;f[w>>2]=q;v=f[f[a>>2]>>2]|0;if(!v)x=q;else{f[a>>2]=v;x=f[w>>2]|0}jI(f[a+4>>2]|0,x);x=a+8|0;f[x>>2]=(f[x>>2]|0)+1;f[q+40>>2]=h;b[q+32>>0]=d;b[q+33>>0]=1;b[q+35>>0]=e&1;e=f[a+12>>2]|0;if(!e){a=cuc(12)|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;y=a}else{a=e+64|0;if(f[a>>2]|0)HIb(e,25216,16);q=GIb(e,16,2013)|0;f[q>>2]=0;f[q+4>>2]=0;d=q+8|0;f[d>>2]=0;if(f[a>>2]|0)HIb(e,27008,8);a=FIb(e,8)|0;f[d>>2]=a;f[a>>2]=e;y=q}f[c>>2]=y;z=c}else{f[k+40>>2]=h;z=k+24|0}k=f[z>>2]|0;z=f[k>>2]|0;if((z|0)!=(f[k+4>>2]|0)){A=z;B=k+8|0;C=f[B>>2]|0;D=A+1|0;f[k>>2]=D;E=C+4+(A<<2)|0;f[E>>2]=g;u=i;return}UEa(k,z+1|0);A=f[k>>2]|0;B=k+8|0;C=f[B>>2]|0;D=A+1|0;f[k>>2]=D;E=C+4+(A<<2)|0;f[E>>2]=g;u=i;return}function Fcc(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(!b)return;if(f[b>>2]|0)return;fuc(b);return}function Gcc(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0;g=a+4|0;a=f[g>>2]|0;if(a){h=g;i=a;a:while(1){a=i;while(1){if((f[a+16>>2]|0)>=(c|0))break;j=f[a+4>>2]|0;if(!j){k=h;break a}else a=j}i=f[a>>2]|0;if(!i){k=a;break}else h=a}if(((k|0)!=(g|0)?(g=k+16|0,(f[g>>2]|0)<=(c|0)):0)?(b[g+18>>0]&1)==0:0){g=k+24|0;l=f[g+4>>2]|0;m=f[g>>2]|0}else{l=e;m=d}}else{l=e;m=d}J=l;return m|0}function Hcc(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;i=u;u=u+32|0;j=i+4|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;f[j+16>>2]=0;f[j+20>>2]=0;k=a+4|0;l=f[k>>2]|0;do if(l){m=a+4|0;n=l;while(1){o=f[n+16>>2]|0;if((o|0)>(c|0)){p=f[n>>2]|0;if(!p){q=5;break}else{r=n;s=p}}else{if((o|0)>=(c|0)){q=10;break}t=n+4|0;o=f[t>>2]|0;if(!o){q=9;break}else{r=t;s=o}}m=r;n=s}if((q|0)==5){v=n;w=n;break}else if((q|0)==9){v=n;w=t;break}else if((q|0)==10){v=n;w=m;break}}else{v=k;w=k}while(0);k=f[w>>2]|0;if(k|0){f[k+40>>2]=h;x=k+24|0;y=x+10|0;z=b[y>>0]|0;A=z&-16;b[y>>0]=A;B=x;C=B;f[C>>2]=e;D=B+4|0;E=D;f[E>>2]=g;u=i;return}k=cuc(48)|0;f[k+16>>2]=c;c=k+24|0;f[c>>2]=f[j>>2];f[c+4>>2]=f[j+4>>2];f[c+8>>2]=f[j+8>>2];f[c+12>>2]=f[j+12>>2];f[c+16>>2]=f[j+16>>2];f[c+20>>2]=f[j+20>>2];f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=v;f[w>>2]=k;v=f[f[a>>2]>>2]|0;if(!v)F=k;else{f[a>>2]=v;F=f[w>>2]|0}jI(f[a+4>>2]|0,F);F=a+8|0;f[F>>2]=(f[F>>2]|0)+1;f[k+40>>2]=h;b[k+32>>0]=d;b[k+33>>0]=0;x=c;y=x+10|0;z=b[y>>0]|0;A=z&-16;b[y>>0]=A;B=x;C=B;f[C>>2]=e;D=B+4|0;E=D;f[E>>2]=g;u=i;return}function Icc(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;d=u;u=u+32|0;e=d;g=d+24|0;h=a+4|0;a=f[h>>2]|0;if(a){i=h;j=a;a:while(1){a=j;while(1){if((f[a+16>>2]|0)>=(b|0))break;k=f[a+4>>2]|0;if(!k){l=i;break a}else a=k}j=f[a>>2]|0;if(!j){l=a;break}else i=a}if((l|0)!=(h|0)?(f[l+16>>2]|0)<=(b|0):0)m=l;else n=8}else n=8;if((n|0)==8){iLb(e,3,519280,329);fLb(g,dLb(dLb(e,519391)|0,519433)|0);jLb(e);m=h}h=(f[(f[m+24>>2]|0)+8>>2]|0)+8+(c<<3)|0;J=f[h+4>>2]|0;u=d;return f[h>>2]|0}function Jcc(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;g=u;u=u+32|0;h=g;i=g+24|0;j=a+4|0;a=f[j>>2]|0;if(a){k=j;l=a;a:while(1){a=l;while(1){if((f[a+16>>2]|0)>=(b|0))break;m=f[a+4>>2]|0;if(!m){n=k;break a}else a=m}l=f[a>>2]|0;if(!l){n=a;break}else k=a}if((n|0)!=(j|0)?(f[n+16>>2]|0)<=(b|0):0)o=n;else p=8}else p=8;if((p|0)==8){iLb(h,3,519280,329);fLb(i,dLb(dLb(h,519391)|0,519433)|0);jLb(h);o=j}j=(f[(f[o+24>>2]|0)+8>>2]|0)+8+(c<<3)|0;f[j>>2]=d;f[j+4>>2]=e;u=g;return}function Kcc(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;j=u;u=u+32|0;k=j+4|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;f[k+16>>2]=0;f[k+20>>2]=0;l=a+4|0;m=f[l>>2]|0;do if(m){n=a+4|0;o=m;while(1){p=f[o+16>>2]|0;if((p|0)>(c|0)){q=f[o>>2]|0;if(!q){r=5;break}else{s=o;t=q}}else{if((p|0)>=(c|0)){r=10;break}v=o+4|0;p=f[v>>2]|0;if(!p){r=9;break}else{s=v;t=p}}n=s;o=t}if((r|0)==5){w=o;x=o;break}else if((r|0)==9){w=o;x=v;break}else if((r|0)==10){w=o;x=n;break}}else{w=l;x=l}while(0);l=f[x>>2]|0;if(!l){r=cuc(48)|0;f[r+16>>2]=c;c=r+24|0;f[c>>2]=f[k>>2];f[c+4>>2]=f[k+4>>2];f[c+8>>2]=f[k+8>>2];f[c+12>>2]=f[k+12>>2];f[c+16>>2]=f[k+16>>2];f[c+20>>2]=f[k+20>>2];f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=w;f[x>>2]=r;w=f[f[a>>2]>>2]|0;if(!w)y=r;else{f[a>>2]=w;y=f[x>>2]|0}jI(f[a+4>>2]|0,y);y=a+8|0;f[y>>2]=(f[y>>2]|0)+1;f[r+40>>2]=i;b[r+32>>0]=d;b[r+33>>0]=1;b[r+35>>0]=e&1;e=f[a+12>>2]|0;if(!e){a=cuc(12)|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;z=a}else{a=e+64|0;if(f[a>>2]|0)HIb(e,25224,16);r=GIb(e,16,2014)|0;f[r>>2]=0;f[r+4>>2]=0;d=r+8|0;f[d>>2]=0;if(f[a>>2]|0)HIb(e,27008,8);a=FIb(e,8)|0;f[d>>2]=a;f[a>>2]=e;z=r}f[c>>2]=z;A=c}else{f[l+40>>2]=i;A=l+24|0}l=f[A>>2]|0;A=f[l>>2]|0;if((A|0)!=(f[l+4>>2]|0)){B=A;C=l+8|0;D=f[C>>2]|0;E=B+1|0;f[l>>2]=E;F=D+8+(B<<3)|0;G=F;H=G;f[H>>2]=g;I=G+4|0;J=I;f[J>>2]=h;u=j;return}eEb(l,A+1|0);B=f[l>>2]|0;C=l+8|0;D=f[C>>2]|0;E=B+1|0;f[l>>2]=E;F=D+8+(B<<3)|0;G=F;H=G;f[H>>2]=g;I=G+4|0;J=I;f[J>>2]=h;u=j;return}function Lcc(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(!b)return;if(f[b>>2]|0)return;fuc(b);return}function Mcc(a,c,d){a=a|0;c=c|0;d=+d;var e=0,g=0.0,h=0,i=0,j=0,k=0;e=a+4|0;a=f[e>>2]|0;if(!a){g=d;return +g}else{h=e;i=a}a:while(1){a=i;while(1){if((f[a+16>>2]|0)>=(c|0))break;j=f[a+4>>2]|0;if(!j){k=h;break a}else a=j}i=f[a>>2]|0;if(!i){k=a;break}else h=a}if((k|0)==(e|0)){g=d;return +g}e=k+16|0;if((f[e>>2]|0)>(c|0)){g=d;return +g}if(b[e+18>>0]&1){g=d;return +g}g=+n[k+24>>2];return +g}function Ncc(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=+e;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;h=u;u=u+32|0;i=h+4|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;f[i+16>>2]=0;f[i+20>>2]=0;j=a+4|0;k=f[j>>2]|0;do if(k){l=a+4|0;m=k;while(1){o=f[m+16>>2]|0;if((o|0)>(c|0)){p=f[m>>2]|0;if(!p){q=5;break}else{r=m;s=p}}else{if((o|0)>=(c|0)){q=10;break}t=m+4|0;o=f[t>>2]|0;if(!o){q=9;break}else{r=t;s=o}}l=r;m=s}if((q|0)==5){v=m;w=m;break}else if((q|0)==9){v=m;w=t;break}else if((q|0)==10){v=m;w=l;break}}else{v=j;w=j}while(0);j=f[w>>2]|0;if(j|0){f[j+40>>2]=g;x=j+24|0;y=x+10|0;z=b[y>>0]|0;A=z&-16;b[y>>0]=A;n[x>>2]=e;u=h;return}j=cuc(48)|0;f[j+16>>2]=c;c=j+24|0;f[c>>2]=f[i>>2];f[c+4>>2]=f[i+4>>2];f[c+8>>2]=f[i+8>>2];f[c+12>>2]=f[i+12>>2];f[c+16>>2]=f[i+16>>2];f[c+20>>2]=f[i+20>>2];f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=v;f[w>>2]=j;v=f[f[a>>2]>>2]|0;if(!v)B=j;else{f[a>>2]=v;B=f[w>>2]|0}jI(f[a+4>>2]|0,B);B=a+8|0;f[B>>2]=(f[B>>2]|0)+1;f[j+40>>2]=g;b[j+32>>0]=d;b[j+33>>0]=0;x=c;y=x+10|0;z=b[y>>0]|0;A=z&-16;b[y>>0]=A;n[x>>2]=e;u=h;return}function Occ(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0;d=u;u=u+32|0;e=d;g=d+24|0;h=a+4|0;a=f[h>>2]|0;if(a){i=h;j=a;a:while(1){a=j;while(1){if((f[a+16>>2]|0)>=(b|0))break;k=f[a+4>>2]|0;if(!k){l=i;break a}else a=k}j=f[a>>2]|0;if(!j){l=a;break}else i=a}if((l|0)!=(h|0)?(f[l+16>>2]|0)<=(b|0):0)m=l;else o=8}else o=8;if((o|0)==8){iLb(e,3,519280,330);fLb(g,dLb(dLb(e,519391)|0,519433)|0);jLb(e);m=h}u=d;return +(+n[(f[(f[m+24>>2]|0)+8>>2]|0)+4+(c<<2)>>2])}function Pcc(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0;e=u;u=u+32|0;g=e;h=e+24|0;i=a+4|0;a=f[i>>2]|0;if(a|0){j=i;k=a;a:while(1){a=k;while(1){if((f[a+16>>2]|0)>=(b|0))break;l=f[a+4>>2]|0;if(!l){m=j;break a}else a=l}k=f[a>>2]|0;if(!k){m=a;break}else j=a}if((m|0)!=(i|0)?(f[m+16>>2]|0)<=(b|0):0){o=m;p=o+24|0;q=f[p>>2]|0;r=q+8|0;s=f[r>>2]|0;t=s+4+(c<<2)|0;n[t>>2]=d;u=e;return}}iLb(g,3,519280,330);fLb(h,dLb(dLb(g,519391)|0,519433)|0);jLb(g);o=i;p=o+24|0;q=f[p>>2]|0;r=q+8|0;s=f[r>>2]|0;t=s+4+(c<<2)|0;n[t>>2]=d;u=e;return}function Qcc(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=+g;h=h|0;var i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;i=u;u=u+32|0;j=i+4|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;f[j+16>>2]=0;f[j+20>>2]=0;k=a+4|0;l=f[k>>2]|0;do if(l){m=a+4|0;o=l;while(1){p=f[o+16>>2]|0;if((p|0)>(c|0)){q=f[o>>2]|0;if(!q){r=5;break}else{s=o;t=q}}else{if((p|0)>=(c|0)){r=10;break}v=o+4|0;p=f[v>>2]|0;if(!p){r=9;break}else{s=v;t=p}}m=s;o=t}if((r|0)==5){w=o;x=o;break}else if((r|0)==9){w=o;x=v;break}else if((r|0)==10){w=o;x=m;break}}else{w=k;x=k}while(0);k=f[x>>2]|0;if(!k){r=cuc(48)|0;f[r+16>>2]=c;c=r+24|0;f[c>>2]=f[j>>2];f[c+4>>2]=f[j+4>>2];f[c+8>>2]=f[j+8>>2];f[c+12>>2]=f[j+12>>2];f[c+16>>2]=f[j+16>>2];f[c+20>>2]=f[j+20>>2];f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=w;f[x>>2]=r;w=f[f[a>>2]>>2]|0;if(!w)y=r;else{f[a>>2]=w;y=f[x>>2]|0}jI(f[a+4>>2]|0,y);y=a+8|0;f[y>>2]=(f[y>>2]|0)+1;f[r+40>>2]=h;b[r+32>>0]=d;b[r+33>>0]=1;b[r+35>>0]=e&1;e=f[a+12>>2]|0;if(!e){a=cuc(12)|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;z=a}else{a=e+64|0;if(f[a>>2]|0)HIb(e,25232,16);r=GIb(e,16,2015)|0;f[r>>2]=0;f[r+4>>2]=0;d=r+8|0;f[d>>2]=0;if(f[a>>2]|0)HIb(e,27008,8);a=FIb(e,8)|0;f[d>>2]=a;f[a>>2]=e;z=r}f[c>>2]=z;A=c}else{f[k+40>>2]=h;A=k+24|0}k=f[A>>2]|0;A=f[k>>2]|0;if((A|0)!=(f[k+4>>2]|0)){B=A;C=k+8|0;D=f[C>>2]|0;E=B+1|0;f[k>>2]=E;F=D+4+(B<<2)|0;n[F>>2]=g;u=i;return}REa(k,A+1|0);B=f[k>>2]|0;C=k+8|0;D=f[C>>2]|0;E=B+1|0;f[k>>2]=E;F=D+4+(B<<2)|0;n[F>>2]=g;u=i;return}function Rcc(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(!b)return;if(f[b>>2]|0)return;fuc(b);return}function Scc(a,c,d){a=a|0;c=c|0;d=+d;var e=0,g=0.0,h=0,i=0,j=0,k=0;e=a+4|0;a=f[e>>2]|0;if(!a){g=d;return +g}else{h=e;i=a}a:while(1){a=i;while(1){if((f[a+16>>2]|0)>=(c|0))break;j=f[a+4>>2]|0;if(!j){k=h;break a}else a=j}i=f[a>>2]|0;if(!i){k=a;break}else h=a}if((k|0)==(e|0)){g=d;return +g}e=k+16|0;if((f[e>>2]|0)>(c|0)){g=d;return +g}if(b[e+18>>0]&1){g=d;return +g}g=+p[k+24>>3];return +g}function Tcc(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=+e;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;h=u;u=u+32|0;i=h+4|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;f[i+16>>2]=0;f[i+20>>2]=0;j=a+4|0;k=f[j>>2]|0;do if(k){l=a+4|0;m=k;while(1){n=f[m+16>>2]|0;if((n|0)>(c|0)){o=f[m>>2]|0;if(!o){q=5;break}else{r=m;s=o}}else{if((n|0)>=(c|0)){q=10;break}t=m+4|0;n=f[t>>2]|0;if(!n){q=9;break}else{r=t;s=n}}l=r;m=s}if((q|0)==5){v=m;w=m;break}else if((q|0)==9){v=m;w=t;break}else if((q|0)==10){v=m;w=l;break}}else{v=j;w=j}while(0);j=f[w>>2]|0;if(j|0){f[j+40>>2]=g;x=j+24|0;y=x+10|0;z=b[y>>0]|0;A=z&-16;b[y>>0]=A;p[x>>3]=e;u=h;return}j=cuc(48)|0;f[j+16>>2]=c;c=j+24|0;f[c>>2]=f[i>>2];f[c+4>>2]=f[i+4>>2];f[c+8>>2]=f[i+8>>2];f[c+12>>2]=f[i+12>>2];f[c+16>>2]=f[i+16>>2];f[c+20>>2]=f[i+20>>2];f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=v;f[w>>2]=j;v=f[f[a>>2]>>2]|0;if(!v)B=j;else{f[a>>2]=v;B=f[w>>2]|0}jI(f[a+4>>2]|0,B);B=a+8|0;f[B>>2]=(f[B>>2]|0)+1;f[j+40>>2]=g;b[j+32>>0]=d;b[j+33>>0]=0;x=c;y=x+10|0;z=b[y>>0]|0;A=z&-16;b[y>>0]=A;p[x>>3]=e;u=h;return}function Ucc(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;d=u;u=u+32|0;e=d;g=d+24|0;h=a+4|0;a=f[h>>2]|0;if(a){i=h;j=a;a:while(1){a=j;while(1){if((f[a+16>>2]|0)>=(b|0))break;k=f[a+4>>2]|0;if(!k){l=i;break a}else a=k}j=f[a>>2]|0;if(!j){l=a;break}else i=a}if((l|0)!=(h|0)?(f[l+16>>2]|0)<=(b|0):0)m=l;else n=8}else n=8;if((n|0)==8){iLb(e,3,519280,331);fLb(g,dLb(dLb(e,519391)|0,519433)|0);jLb(e);m=h}u=d;return +(+p[(f[(f[m+24>>2]|0)+8>>2]|0)+8+(c<<3)>>3])}function Vcc(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0;e=u;u=u+32|0;g=e;h=e+24|0;i=a+4|0;a=f[i>>2]|0;if(a|0){j=i;k=a;a:while(1){a=k;while(1){if((f[a+16>>2]|0)>=(b|0))break;l=f[a+4>>2]|0;if(!l){m=j;break a}else a=l}k=f[a>>2]|0;if(!k){m=a;break}else j=a}if((m|0)!=(i|0)?(f[m+16>>2]|0)<=(b|0):0){n=m;o=n+24|0;q=f[o>>2]|0;r=q+8|0;s=f[r>>2]|0;t=s+8+(c<<3)|0;p[t>>3]=d;u=e;return}}iLb(g,3,519280,331);fLb(h,dLb(dLb(g,519391)|0,519433)|0);jLb(g);n=i;o=n+24|0;q=f[o>>2]|0;r=q+8|0;s=f[r>>2]|0;t=s+8+(c<<3)|0;p[t>>3]=d;u=e;return}function Wcc(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=+g;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;i=u;u=u+32|0;j=i+4|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;f[j+16>>2]=0;f[j+20>>2]=0;k=a+4|0;l=f[k>>2]|0;do if(l){m=a+4|0;n=l;while(1){o=f[n+16>>2]|0;if((o|0)>(c|0)){q=f[n>>2]|0;if(!q){r=5;break}else{s=n;t=q}}else{if((o|0)>=(c|0)){r=10;break}v=n+4|0;o=f[v>>2]|0;if(!o){r=9;break}else{s=v;t=o}}m=s;n=t}if((r|0)==5){w=n;x=n;break}else if((r|0)==9){w=n;x=v;break}else if((r|0)==10){w=n;x=m;break}}else{w=k;x=k}while(0);k=f[x>>2]|0;if(!k){r=cuc(48)|0;f[r+16>>2]=c;c=r+24|0;f[c>>2]=f[j>>2];f[c+4>>2]=f[j+4>>2];f[c+8>>2]=f[j+8>>2];f[c+12>>2]=f[j+12>>2];f[c+16>>2]=f[j+16>>2];f[c+20>>2]=f[j+20>>2];f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=w;f[x>>2]=r;w=f[f[a>>2]>>2]|0;if(!w)y=r;else{f[a>>2]=w;y=f[x>>2]|0}jI(f[a+4>>2]|0,y);y=a+8|0;f[y>>2]=(f[y>>2]|0)+1;f[r+40>>2]=h;b[r+32>>0]=d;b[r+33>>0]=1;b[r+35>>0]=e&1;e=f[a+12>>2]|0;if(!e){a=cuc(12)|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;z=a}else{a=e+64|0;if(f[a>>2]|0)HIb(e,25240,16);r=GIb(e,16,2016)|0;f[r>>2]=0;f[r+4>>2]=0;d=r+8|0;f[d>>2]=0;if(f[a>>2]|0)HIb(e,27008,8);a=FIb(e,8)|0;f[d>>2]=a;f[a>>2]=e;z=r}f[c>>2]=z;A=c}else{f[k+40>>2]=h;A=k+24|0}k=f[A>>2]|0;A=f[k>>2]|0;if((A|0)!=(f[k+4>>2]|0)){B=A;C=k+8|0;D=f[C>>2]|0;E=B+1|0;f[k>>2]=E;F=D+8+(B<<3)|0;p[F>>3]=g;u=i;return}oRa(k,A+1|0);B=f[k>>2]|0;C=k+8|0;D=f[C>>2]|0;E=B+1|0;f[k>>2]=E;F=D+8+(B<<3)|0;p[F>>3]=g;u=i;return}function Xcc(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(!b)return;if(f[b>>2]|0)return;fuc(b);return}function Ycc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0;e=a+4|0;a=f[e>>2]|0;if(!a){g=d;return g|0}else{h=e;i=a}a:while(1){a=i;while(1){if((f[a+16>>2]|0)>=(c|0))break;j=f[a+4>>2]|0;if(!j){k=h;break a}else a=j}i=f[a>>2]|0;if(!i){k=a;break}else h=a}if((k|0)==(e|0)){g=d;return g|0}e=k+16|0;if((f[e>>2]|0)>(c|0)){g=d;return g|0}if(b[e+18>>0]&1){g=d;return g|0}g=(b[k+24>>0]|0)!=0;return g|0}function Zcc(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;h=u;u=u+32|0;i=e&1;e=h+4|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;f[e+16>>2]=0;f[e+20>>2]=0;j=a+4|0;k=f[j>>2]|0;do if(k){l=a+4|0;m=k;while(1){n=f[m+16>>2]|0;if((n|0)>(c|0)){o=f[m>>2]|0;if(!o){p=5;break}else{q=m;r=o}}else{if((n|0)>=(c|0)){p=10;break}s=m+4|0;n=f[s>>2]|0;if(!n){p=9;break}else{q=s;r=n}}l=q;m=r}if((p|0)==5){t=m;v=m;break}else if((p|0)==9){t=m;v=s;break}else if((p|0)==10){t=m;v=l;break}}else{t=j;v=j}while(0);j=f[v>>2]|0;if(j|0){f[j+40>>2]=g;w=j+24|0;x=w+10|0;y=b[x>>0]|0;z=y&-16;b[x>>0]=z;b[w>>0]=i;u=h;return}j=cuc(48)|0;f[j+16>>2]=c;c=j+24|0;f[c>>2]=f[e>>2];f[c+4>>2]=f[e+4>>2];f[c+8>>2]=f[e+8>>2];f[c+12>>2]=f[e+12>>2];f[c+16>>2]=f[e+16>>2];f[c+20>>2]=f[e+20>>2];f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=t;f[v>>2]=j;t=f[f[a>>2]>>2]|0;if(!t)A=j;else{f[a>>2]=t;A=f[v>>2]|0}jI(f[a+4>>2]|0,A);A=a+8|0;f[A>>2]=(f[A>>2]|0)+1;f[j+40>>2]=g;b[j+32>>0]=d;b[j+33>>0]=0;w=c;x=w+10|0;y=b[x>>0]|0;z=y&-16;b[x>>0]=z;b[w>>0]=i;u=h;return}function _cc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;e=u;u=u+32|0;g=e;h=e+24|0;i=a+4|0;a=f[i>>2]|0;if(a){j=i;k=a;a:while(1){a=k;while(1){if((f[a+16>>2]|0)>=(c|0))break;l=f[a+4>>2]|0;if(!l){m=j;break a}else a=l}k=f[a>>2]|0;if(!k){m=a;break}else j=a}if((m|0)!=(i|0)?(f[m+16>>2]|0)<=(c|0):0)n=m;else o=8}else o=8;if((o|0)==8){iLb(g,3,519280,332);fLb(h,dLb(dLb(g,519391)|0,519433)|0);jLb(g);n=i}u=e;return (b[(f[(f[n+24>>2]|0)+8>>2]|0)+4+d>>0]|0)!=0|0}function $cc(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;g=u;u=u+32|0;h=g;i=g+24|0;j=e&1;e=a+4|0;a=f[e>>2]|0;if(a|0){k=e;l=a;a:while(1){a=l;while(1){if((f[a+16>>2]|0)>=(c|0))break;m=f[a+4>>2]|0;if(!m){n=k;break a}else a=m}l=f[a>>2]|0;if(!l){n=a;break}else k=a}if((n|0)!=(e|0)?(f[n+16>>2]|0)<=(c|0):0){o=n;p=o+24|0;q=f[p>>2]|0;r=q+8|0;s=f[r>>2]|0;t=s+4+d|0;b[t>>0]=j;u=g;return}}iLb(h,3,519280,332);fLb(i,dLb(dLb(h,519391)|0,519433)|0);jLb(h);o=e;p=o+24|0;q=f[p>>2]|0;r=q+8|0;s=f[r>>2]|0;t=s+4+d|0;b[t>>0]=j;u=g;return}function adc(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;i=u;u=u+32|0;j=g&1;g=i+4|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;f[g+16>>2]=0;f[g+20>>2]=0;k=a+4|0;l=f[k>>2]|0;do if(l){m=a+4|0;n=l;while(1){o=f[n+16>>2]|0;if((o|0)>(c|0)){p=f[n>>2]|0;if(!p){q=5;break}else{r=n;s=p}}else{if((o|0)>=(c|0)){q=10;break}t=n+4|0;o=f[t>>2]|0;if(!o){q=9;break}else{r=t;s=o}}m=r;n=s}if((q|0)==5){v=n;w=n;break}else if((q|0)==9){v=n;w=t;break}else if((q|0)==10){v=n;w=m;break}}else{v=k;w=k}while(0);k=f[w>>2]|0;if(!k){q=cuc(48)|0;f[q+16>>2]=c;c=q+24|0;f[c>>2]=f[g>>2];f[c+4>>2]=f[g+4>>2];f[c+8>>2]=f[g+8>>2];f[c+12>>2]=f[g+12>>2];f[c+16>>2]=f[g+16>>2];f[c+20>>2]=f[g+20>>2];f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=v;f[w>>2]=q;v=f[f[a>>2]>>2]|0;if(!v)x=q;else{f[a>>2]=v;x=f[w>>2]|0}jI(f[a+4>>2]|0,x);x=a+8|0;f[x>>2]=(f[x>>2]|0)+1;f[q+40>>2]=h;b[q+32>>0]=d;b[q+33>>0]=1;b[q+35>>0]=e&1;e=f[a+12>>2]|0;if(!e){a=cuc(12)|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;y=a}else{a=e+64|0;if(f[a>>2]|0)HIb(e,25248,16);q=GIb(e,16,2017)|0;f[q>>2]=0;f[q+4>>2]=0;d=q+8|0;f[d>>2]=0;if(f[a>>2]|0)HIb(e,27008,8);a=FIb(e,8)|0;f[d>>2]=a;f[a>>2]=e;y=q}f[c>>2]=y;z=c}else{f[k+40>>2]=h;z=k+24|0}k=f[z>>2]|0;z=f[k>>2]|0;if((z|0)!=(f[k+4>>2]|0)){A=z;B=k+8|0;C=f[B>>2]|0;D=A+1|0;f[k>>2]=D;E=C+4+A|0;b[E>>0]=j;u=i;return}_Oa(k,z+1|0);A=f[k>>2]|0;B=k+8|0;C=f[B>>2]|0;D=A+1|0;f[k>>2]=D;E=C+4+A|0;b[E>>0]=j;u=i;return}function bdc(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(!b)return;if(f[b>>2]|0)return;fuc(b);return}function cdc(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;h=u;u=u+32|0;i=h+4|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;f[i+16>>2]=0;f[i+20>>2]=0;j=a+4|0;k=f[j>>2]|0;do if(k){l=a+4|0;m=k;while(1){n=f[m+16>>2]|0;if((n|0)>(c|0)){o=f[m>>2]|0;if(!o){p=5;break}else{q=m;r=o}}else{if((n|0)>=(c|0)){p=10;break}s=m+4|0;n=f[s>>2]|0;if(!n){p=9;break}else{q=s;r=n}}l=q;m=r}if((p|0)==5){t=m;v=m;break}else if((p|0)==9){t=m;v=s;break}else if((p|0)==10){t=m;v=l;break}}else{t=j;v=j}while(0);j=f[v>>2]|0;if(j|0){f[j+40>>2]=g;w=j+24|0;x=f[w>>2]|0;u=h;return x|0}j=cuc(48)|0;f[j+16>>2]=c;c=j+24|0;f[c>>2]=f[i>>2];f[c+4>>2]=f[i+4>>2];f[c+8>>2]=f[i+8>>2];f[c+12>>2]=f[i+12>>2];f[c+16>>2]=f[i+16>>2];f[c+20>>2]=f[i+20>>2];f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=t;f[v>>2]=j;t=f[f[a>>2]>>2]|0;if(!t)y=j;else{f[a>>2]=t;y=f[v>>2]|0}jI(f[a+4>>2]|0,y);y=a+8|0;f[y>>2]=(f[y>>2]|0)+1;f[j+40>>2]=g;b[j+33>>0]=1;b[j+32>>0]=d;b[j+35>>0]=e&1;do switch(f[151660+((d&255)<<2)>>2]|0){case 1:{e=f[a+12>>2]|0;if(!e){j=cuc(12)|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;z=j}else{j=e+64|0;if(f[j>>2]|0)HIb(e,25200,16);g=GIb(e,16,2011)|0;f[g>>2]=0;f[g+4>>2]=0;y=g+8|0;f[y>>2]=0;if(f[j>>2]|0)HIb(e,27008,8);j=FIb(e,8)|0;f[y>>2]=j;f[j>>2]=e;z=g}f[c>>2]=z;w=c;x=f[w>>2]|0;u=h;return x|0}case 2:{g=f[a+12>>2]|0;if(!g){e=cuc(12)|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;A=e}else{e=g+64|0;if(f[e>>2]|0)HIb(g,25208,16);j=GIb(g,16,2012)|0;f[j>>2]=0;f[j+4>>2]=0;y=j+8|0;f[y>>2]=0;if(f[e>>2]|0)HIb(g,27008,8);e=FIb(g,8)|0;f[y>>2]=e;f[e>>2]=g;A=j}f[c>>2]=A;w=c;x=f[w>>2]|0;u=h;return x|0}case 3:{j=f[a+12>>2]|0;if(!j){g=cuc(12)|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;B=g}else{g=j+64|0;if(f[g>>2]|0)HIb(j,25216,16);e=GIb(j,16,2013)|0;f[e>>2]=0;f[e+4>>2]=0;y=e+8|0;f[y>>2]=0;if(f[g>>2]|0)HIb(j,27008,8);g=FIb(j,8)|0;f[y>>2]=g;f[g>>2]=j;B=e}f[c>>2]=B;w=c;x=f[w>>2]|0;u=h;return x|0}case 4:{e=f[a+12>>2]|0;if(!e){j=cuc(12)|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;C=j}else{j=e+64|0;if(f[j>>2]|0)HIb(e,25224,16);g=GIb(e,16,2014)|0;f[g>>2]=0;f[g+4>>2]=0;y=g+8|0;f[y>>2]=0;if(f[j>>2]|0)HIb(e,27008,8);j=FIb(e,8)|0;f[y>>2]=j;f[j>>2]=e;C=g}f[c>>2]=C;w=c;x=f[w>>2]|0;u=h;return x|0}case 5:{g=f[a+12>>2]|0;if(!g){e=cuc(12)|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;D=e}else{e=g+64|0;if(f[e>>2]|0)HIb(g,25240,16);j=GIb(g,16,2016)|0;f[j>>2]=0;f[j+4>>2]=0;y=j+8|0;f[y>>2]=0;if(f[e>>2]|0)HIb(g,27008,8);e=FIb(g,8)|0;f[y>>2]=e;f[e>>2]=g;D=j}f[c>>2]=D;w=c;x=f[w>>2]|0;u=h;return x|0}case 6:{j=f[a+12>>2]|0;if(!j){g=cuc(12)|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;E=g}else{g=j+64|0;if(f[g>>2]|0)HIb(j,25232,16);e=GIb(j,16,2015)|0;f[e>>2]=0;f[e+4>>2]=0;y=e+8|0;f[y>>2]=0;if(f[g>>2]|0)HIb(j,27008,8);g=FIb(j,8)|0;f[y>>2]=g;f[g>>2]=j;E=e}f[c>>2]=E;w=c;x=f[w>>2]|0;u=h;return x|0}case 7:{e=f[a+12>>2]|0;if(!e){j=cuc(12)|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;F=j}else{j=e+64|0;if(f[j>>2]|0)HIb(e,25248,16);g=GIb(e,16,2017)|0;f[g>>2]=0;f[g+4>>2]=0;y=g+8|0;f[y>>2]=0;if(f[j>>2]|0)HIb(e,27008,8);j=FIb(e,8)|0;f[y>>2]=j;f[j>>2]=e;F=g}f[c>>2]=F;w=c;x=f[w>>2]|0;u=h;return x|0}case 8:{g=f[a+12>>2]|0;if(!g){e=cuc(12)|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;G=e}else{e=g+64|0;if(f[e>>2]|0)HIb(g,25200,16);j=GIb(g,16,2011)|0;f[j>>2]=0;f[j+4>>2]=0;y=j+8|0;f[y>>2]=0;if(f[e>>2]|0)HIb(g,27008,8);e=FIb(g,8)|0;f[y>>2]=e;f[e>>2]=g;G=j}f[c>>2]=G;w=c;x=f[w>>2]|0;u=h;return x|0}case 9:{j=f[a+12>>2]|0;if(!j){g=cuc(16)|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;H=g}else{if(f[j+64>>2]|0)HIb(j,25256,16);g=GIb(j,16,2018)|0;f[g>>2]=j;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;H=g}f[c>>2]=H;w=c;x=f[w>>2]|0;u=h;return x|0}case 10:{g=f[a+12>>2]|0;if(!g){j=cuc(16)|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;I=j}else{if(f[g+64>>2]|0)HIb(g,24584,16);j=GIb(g,16,2006)|0;f[j>>2]=g;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;I=j}f[c>>2]=I;w=c;x=f[w>>2]|0;u=h;return x|0}default:{w=c;x=f[w>>2]|0;u=h;return x|0}}while(0);return 0}function ddc(a){a=a|0;var c=0,d=0,e=0,g=0,h=0;c=a+12|0;d=f[c>>2]|0;if(!d){f[c>>2]=0;return}if(f[a>>2]|0){f[c>>2]=0;return}a=f[d>>2]|0;if((a|0)>0){e=0;do{g=f[d+4+(e<<2)>>2]|0;if(g|0){if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);fuc(g)}e=e+1|0}while((e|0)!=(a|0));h=f[c>>2]|0}else h=d;fuc(h);f[c>>2]=0;return}function edc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0;e=a+4|0;a=f[e>>2]|0;if(!a){g=d;return g|0}else{h=e;i=a}a:while(1){a=i;while(1){if((f[a+16>>2]|0)>=(c|0))break;j=f[a+4>>2]|0;if(!j){k=h;break a}else a=j}i=f[a>>2]|0;if(!i){k=a;break}else h=a}if((k|0)==(e|0)){g=d;return g|0}e=k+16|0;if((f[e>>2]|0)>(c|0)){g=d;return g|0}if(b[e+18>>0]&1){g=d;return g|0}g=f[k+24>>2]|0;return g|0}function fdc(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;h=u;u=u+32|0;i=h+4|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;f[i+16>>2]=0;f[i+20>>2]=0;j=a+4|0;k=f[j>>2]|0;do if(k){l=a+4|0;m=k;while(1){n=f[m+16>>2]|0;if((n|0)>(c|0)){o=f[m>>2]|0;if(!o){p=5;break}else{q=m;r=o}}else{if((n|0)>=(c|0)){p=10;break}s=m+4|0;n=f[s>>2]|0;if(!n){p=9;break}else{q=s;r=n}}l=q;m=r}if((p|0)==5){t=m;v=m;break}else if((p|0)==9){t=m;v=s;break}else if((p|0)==10){t=m;v=l;break}}else{t=j;v=j}while(0);j=f[v>>2]|0;if(j|0){f[j+40>>2]=g;w=j+24|0;x=w+10|0;y=b[x>>0]|0;z=y&-16;b[x>>0]=z;f[w>>2]=e;u=h;return}j=cuc(48)|0;f[j+16>>2]=c;c=j+24|0;f[c>>2]=f[i>>2];f[c+4>>2]=f[i+4>>2];f[c+8>>2]=f[i+8>>2];f[c+12>>2]=f[i+12>>2];f[c+16>>2]=f[i+16>>2];f[c+20>>2]=f[i+20>>2];f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=t;f[v>>2]=j;t=f[f[a>>2]>>2]|0;if(!t)A=j;else{f[a>>2]=t;A=f[v>>2]|0}jI(f[a+4>>2]|0,A);A=a+8|0;f[A>>2]=(f[A>>2]|0)+1;f[j+40>>2]=g;b[j+32>>0]=d;b[j+33>>0]=0;w=c;x=w+10|0;y=b[x>>0]|0;z=y&-16;b[x>>0]=z;f[w>>2]=e;u=h;return}function gdc(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;d=u;u=u+32|0;e=d;g=d+24|0;h=a+4|0;a=f[h>>2]|0;if(a){i=h;j=a;a:while(1){a=j;while(1){if((f[a+16>>2]|0)>=(b|0))break;k=f[a+4>>2]|0;if(!k){l=i;break a}else a=k}j=f[a>>2]|0;if(!j){l=a;break}else i=a}if((l|0)!=(h|0)?(f[l+16>>2]|0)<=(b|0):0)m=l;else n=8}else n=8;if((n|0)==8){iLb(e,3,519280,450);fLb(g,dLb(dLb(e,519391)|0,519433)|0);jLb(e);m=h}u=d;return f[(f[(f[m+24>>2]|0)+8>>2]|0)+4+(c<<2)>>2]|0}function hdc(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;e=u;u=u+32|0;g=e;h=e+24|0;i=a+4|0;a=f[i>>2]|0;if(a|0){j=i;k=a;a:while(1){a=k;while(1){if((f[a+16>>2]|0)>=(b|0))break;l=f[a+4>>2]|0;if(!l){m=j;break a}else a=l}k=f[a>>2]|0;if(!k){m=a;break}else j=a}if((m|0)!=(i|0)?(f[m+16>>2]|0)<=(b|0):0){n=m;o=n+24|0;p=f[o>>2]|0;q=p+8|0;r=f[q>>2]|0;s=r+4+(c<<2)|0;f[s>>2]=d;u=e;return}}iLb(g,3,519280,457);fLb(h,dLb(dLb(g,519391)|0,519433)|0);jLb(g);n=i;o=n+24|0;p=f[o>>2]|0;q=p+8|0;r=f[q>>2]|0;s=r+4+(c<<2)|0;f[s>>2]=d;u=e;return}function idc(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;i=u;u=u+32|0;j=i+4|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;f[j+16>>2]=0;f[j+20>>2]=0;k=a+4|0;l=f[k>>2]|0;do if(l){m=a+4|0;n=l;while(1){o=f[n+16>>2]|0;if((o|0)>(c|0)){p=f[n>>2]|0;if(!p){q=5;break}else{r=n;s=p}}else{if((o|0)>=(c|0)){q=10;break}t=n+4|0;o=f[t>>2]|0;if(!o){q=9;break}else{r=t;s=o}}m=r;n=s}if((q|0)==5){v=n;w=n;break}else if((q|0)==9){v=n;w=t;break}else if((q|0)==10){v=n;w=m;break}}else{v=k;w=k}while(0);k=f[w>>2]|0;if(!k){q=cuc(48)|0;f[q+16>>2]=c;c=q+24|0;f[c>>2]=f[j>>2];f[c+4>>2]=f[j+4>>2];f[c+8>>2]=f[j+8>>2];f[c+12>>2]=f[j+12>>2];f[c+16>>2]=f[j+16>>2];f[c+20>>2]=f[j+20>>2];f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=v;f[w>>2]=q;v=f[f[a>>2]>>2]|0;if(!v)x=q;else{f[a>>2]=v;x=f[w>>2]|0}jI(f[a+4>>2]|0,x);x=a+8|0;f[x>>2]=(f[x>>2]|0)+1;f[q+40>>2]=h;b[q+32>>0]=d;b[q+33>>0]=1;b[q+35>>0]=e&1;e=f[a+12>>2]|0;if(!e){a=cuc(12)|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;y=a}else{a=e+64|0;if(f[a>>2]|0)HIb(e,25200,16);q=GIb(e,16,2011)|0;f[q>>2]=0;f[q+4>>2]=0;d=q+8|0;f[d>>2]=0;if(f[a>>2]|0)HIb(e,27008,8);a=FIb(e,8)|0;f[d>>2]=a;f[a>>2]=e;y=q}f[c>>2]=y;z=c}else{f[k+40>>2]=h;z=k+24|0}k=f[z>>2]|0;z=f[k>>2]|0;if((z|0)!=(f[k+4>>2]|0)){A=z;B=k+8|0;C=f[B>>2]|0;D=A+1|0;f[k>>2]=D;E=C+4+(A<<2)|0;f[E>>2]=g;u=i;return}NEa(k,z+1|0);A=f[k>>2]|0;B=k+8|0;C=f[B>>2]|0;D=A+1|0;f[k>>2]=D;E=C+4+(A<<2)|0;f[E>>2]=g;u=i;return}function jdc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0;e=a+4|0;a=f[e>>2]|0;if(!a){g=d;return g|0}else{h=e;i=a}a:while(1){a=i;while(1){if((f[a+16>>2]|0)>=(c|0))break;j=f[a+4>>2]|0;if(!j){k=h;break a}else a=j}i=f[a>>2]|0;if(!i){k=a;break}else h=a}if((k|0)==(e|0)){g=d;return g|0}e=k+16|0;if((f[e>>2]|0)>(c|0)){g=d;return g|0}if(b[e+18>>0]&1){g=d;return g|0}g=f[k+24>>2]|0;return g|0}function kdc(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;g=u;u=u+32|0;h=g+4|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;f[h+16>>2]=0;f[h+20>>2]=0;i=a+4|0;j=f[i>>2]|0;do if(j){k=a+4|0;l=j;while(1){m=f[l+16>>2]|0;if((m|0)>(c|0)){n=f[l>>2]|0;if(!n){o=5;break}else{p=l;q=n}}else{if((m|0)>=(c|0)){o=10;break}r=l+4|0;m=f[r>>2]|0;if(!m){o=9;break}else{p=r;q=m}}k=p;l=q}if((o|0)==5){s=l;t=l;break}else if((o|0)==9){s=l;t=r;break}else if((o|0)==10){s=l;t=k;break}}else{s=i;t=i}while(0);i=f[t>>2]|0;if(i|0){f[i+40>>2]=e;v=i+24|0;w=v+10|0;x=b[w>>0]|0;y=x&-16;b[w>>0]=y;z=f[v>>2]|0;u=g;return z|0}i=cuc(48)|0;f[i+16>>2]=c;c=i+24|0;f[c>>2]=f[h>>2];f[c+4>>2]=f[h+4>>2];f[c+8>>2]=f[h+8>>2];f[c+12>>2]=f[h+12>>2];f[c+16>>2]=f[h+16>>2];f[c+20>>2]=f[h+20>>2];f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=s;f[t>>2]=i;s=f[f[a>>2]>>2]|0;if(!s)A=i;else{f[a>>2]=s;A=f[t>>2]|0}jI(f[a+4>>2]|0,A);A=a+8|0;f[A>>2]=(f[A>>2]|0)+1;f[i+40>>2]=e;b[i+32>>0]=d;b[i+33>>0]=0;i=f[a+12>>2]|0;if(!i){a=cuc(12)|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;B=a}else{if(f[i+64>>2]|0)HIb(i,9552,16);a=GIb(i,16,1964)|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;B=a}f[c>>2]=B;v=c;w=v+10|0;x=b[w>>0]|0;y=x&-16;b[w>>0]=y;z=f[v>>2]|0;u=g;return z|0}function ldc(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;d=u;u=u+32|0;e=d;g=d+24|0;h=a+4|0;a=f[h>>2]|0;if(a){i=h;j=a;a:while(1){a=j;while(1){if((f[a+16>>2]|0)>=(b|0))break;k=f[a+4>>2]|0;if(!k){l=i;break a}else a=k}j=f[a>>2]|0;if(!j){l=a;break}else i=a}if((l|0)!=(h|0)?(f[l+16>>2]|0)<=(b|0):0)m=l;else n=8}else n=8;if((n|0)==8){iLb(e,3,519280,512);fLb(g,dLb(dLb(e,519391)|0,519433)|0);jLb(e);m=h}u=d;return f[(f[(f[m+24>>2]|0)+12>>2]|0)+4+(c<<2)>>2]|0}function mdc(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;d=u;u=u+32|0;e=d;g=d+24|0;h=a+4|0;a=f[h>>2]|0;if(a){i=h;j=a;a:while(1){a=j;while(1){if((f[a+16>>2]|0)>=(b|0))break;k=f[a+4>>2]|0;if(!k){l=i;break a}else a=k}j=f[a>>2]|0;if(!j){l=a;break}else i=a}if((l|0)!=(h|0)?(f[l+16>>2]|0)<=(b|0):0)m=l;else n=8}else n=8;if((n|0)==8){iLb(e,3,519280,519);fLb(g,dLb(dLb(e,519391)|0,519433)|0);jLb(e);m=h}u=d;return f[(f[(f[m+24>>2]|0)+12>>2]|0)+4+(c<<2)>>2]|0}function ndc(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;g=u;u=u+32|0;h=g+4|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;f[h+16>>2]=0;f[h+20>>2]=0;i=a+4|0;j=f[i>>2]|0;do if(j){k=a+4|0;l=j;while(1){m=f[l+16>>2]|0;if((m|0)>(c|0)){n=f[l>>2]|0;if(!n){o=5;break}else{p=l;q=n}}else{if((m|0)>=(c|0)){o=10;break}r=l+4|0;m=f[r>>2]|0;if(!m){o=9;break}else{p=r;q=m}}k=p;l=q}if((o|0)==5){s=l;t=l;break}else if((o|0)==9){s=l;t=r;break}else if((o|0)==10){s=l;t=k;break}}else{s=i;t=i}while(0);i=f[t>>2]|0;if(i|0){f[i+40>>2]=e;v=i+24|0;w=f[v>>2]|0;x=MEa(w)|0;u=g;return x|0}i=cuc(48)|0;f[i+16>>2]=c;c=i+24|0;f[c>>2]=f[h>>2];f[c+4>>2]=f[h+4>>2];f[c+8>>2]=f[h+8>>2];f[c+12>>2]=f[h+12>>2];f[c+16>>2]=f[h+16>>2];f[c+20>>2]=f[h+20>>2];f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=s;f[t>>2]=i;s=f[f[a>>2]>>2]|0;if(!s)y=i;else{f[a>>2]=s;y=f[t>>2]|0}jI(f[a+4>>2]|0,y);y=a+8|0;f[y>>2]=(f[y>>2]|0)+1;f[i+40>>2]=e;b[i+32>>0]=d;b[i+33>>0]=1;b[i+35>>0]=0;i=f[a+12>>2]|0;if(!i){a=cuc(16)|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;z=a}else{if(f[i+64>>2]|0)HIb(i,25256,16);a=GIb(i,16,2018)|0;f[a>>2]=i;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;z=a}f[c>>2]=z;v=c;w=f[v>>2]|0;x=MEa(w)|0;u=g;return x|0}function odc(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;h=u;u=u+32|0;i=h+4|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;f[i+16>>2]=0;f[i+20>>2]=0;j=a+4|0;k=f[j>>2]|0;do if(k){l=a+4|0;m=k;while(1){n=f[m+16>>2]|0;if((n|0)>(c|0)){o=f[m>>2]|0;if(!o){p=5;break}else{q=m;r=o}}else{if((n|0)>=(c|0)){p=10;break}s=m+4|0;n=f[s>>2]|0;if(!n){p=9;break}else{q=s;r=n}}l=q;m=r}if((p|0)==5){t=m;v=m;break}else if((p|0)==9){t=m;v=s;break}else if((p|0)==10){t=m;v=l;break}}else{t=j;v=j}while(0);j=f[v>>2]|0;if(!j){p=cuc(48)|0;f[p+16>>2]=c;c=p+24|0;f[c>>2]=f[i>>2];f[c+4>>2]=f[i+4>>2];f[c+8>>2]=f[i+8>>2];f[c+12>>2]=f[i+12>>2];f[c+16>>2]=f[i+16>>2];f[c+20>>2]=f[i+20>>2];f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=t;f[v>>2]=p;t=f[f[a>>2]>>2]|0;if(!t)w=p;else{f[a>>2]=t;w=f[v>>2]|0}jI(f[a+4>>2]|0,w);w=a+8|0;f[w>>2]=(f[w>>2]|0)+1;f[p+40>>2]=g;b[p+32>>0]=d;b[p+33>>0]=0;d=p+34|0;b[d>>0]=b[d>>0]&15;p=Th[f[(f[e>>2]|0)+16>>2]&1023](e,f[a+12>>2]|0)|0;f[c>>2]=p;b[d>>0]=b[d>>0]&-16;x=p;u=h;return x|0}else{f[j+40>>2]=g;g=j+34|0;p=b[g>>0]|0;b[g>>0]=p&-16;g=f[j+24>>2]|0;if(!(p&16)){x=g;u=h;return x|0}x=Th[f[(f[g>>2]|0)+16>>2]&1023](g,e)|0;u=h;return x|0}return 0}function pdc(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;h=u;u=u+32|0;i=h;if(!g){j=a+4|0;k=f[j>>2]|0;if(!k){u=h;return}else{l=j;m=k}a:while(1){k=m;while(1){if((f[k+16>>2]|0)>=(c|0))break;n=f[k+4>>2]|0;if(!n){o=l;break a}else k=n}m=f[k>>2]|0;if(!m){o=k;break}else l=k}if((o|0)==(j|0)){u=h;return}if((f[o+16>>2]|0)>(c|0)){u=h;return}mcc(o+24|0);u=h;return}o=i+4|0;f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;f[o+12>>2]=0;f[o+16>>2]=0;f[o+20>>2]=0;i=a+4|0;j=f[i>>2]|0;do if(j){l=a+4|0;m=j;while(1){n=f[m+16>>2]|0;if((n|0)>(c|0)){p=f[m>>2]|0;if(!p){q=14;break}else{r=m;s=p}}else{if((n|0)>=(c|0)){q=19;break}t=m+4|0;n=f[t>>2]|0;if(!n){q=18;break}else{r=t;s=n}}l=r;m=s}if((q|0)==14){v=m;w=m;break}else if((q|0)==18){v=m;w=t;break}else if((q|0)==19){v=m;w=l;break}}else{v=i;w=i}while(0);i=f[w>>2]|0;do if(!i){q=cuc(48)|0;f[q+16>>2]=c;t=q+24|0;f[t>>2]=f[o>>2];f[t+4>>2]=f[o+4>>2];f[t+8>>2]=f[o+8>>2];f[t+12>>2]=f[o+12>>2];f[t+16>>2]=f[o+16>>2];f[t+20>>2]=f[o+20>>2];f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=v;f[w>>2]=q;s=f[f[a>>2]>>2]|0;if(!s)x=q;else{f[a>>2]=s;x=f[w>>2]|0}jI(f[a+4>>2]|0,x);s=a+8|0;f[s>>2]=(f[s>>2]|0)+1;f[q+40>>2]=e;b[q+32>>0]=d;b[q+33>>0]=0;s=q+34|0;b[s>>0]=b[s>>0]&15;f[t>>2]=g;y=q}else{q=i+24|0;f[i+40>>2]=e;if(b[i+34>>0]&16){t=f[q>>2]|0;yh[f[(f[t>>2]|0)+24>>2]&2047](t,g);y=i;break}if((f[a+12>>2]|0)==0?(t=f[q>>2]|0,t|0):0)bi[f[(f[t>>2]|0)+4>>2]&2047](t);f[q>>2]=g;y=i}while(0);i=y+34|0;b[i>>0]=b[i>>0]&-16;u=h;return}function qdc(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;d=u;u=u+32|0;e=d;g=d+24|0;h=a+4|0;a=f[h>>2]|0;if(a){i=h;j=a;a:while(1){a=j;while(1){if((f[a+16>>2]|0)>=(b|0))break;k=f[a+4>>2]|0;if(!k){l=i;break a}else a=k}j=f[a>>2]|0;if(!j){l=a;break}else i=a}if((l|0)!=(h|0)?(f[l+16>>2]|0)<=(b|0):0)m=l;else n=8}else n=8;if((n|0)==8){iLb(e,3,519280,725);fLb(g,dLb(dLb(e,519391)|0,519433)|0);jLb(e);m=h}u=d;return f[(f[(f[m+24>>2]|0)+12>>2]|0)+4+(c<<2)>>2]|0}function rdc(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;d=u;u=u+32|0;e=d;g=d+24|0;h=a+4|0;a=f[h>>2]|0;if(a){i=h;j=a;a:while(1){a=j;while(1){if((f[a+16>>2]|0)>=(b|0))break;k=f[a+4>>2]|0;if(!k){l=i;break a}else a=k}j=f[a>>2]|0;if(!j){l=a;break}else i=a}if((l|0)!=(h|0)?(f[l+16>>2]|0)<=(b|0):0)m=l;else n=8}else n=8;if((n|0)==8){iLb(e,3,519280,732);fLb(g,dLb(dLb(e,519391)|0,519433)|0);jLb(e);m=h}u=d;return f[(f[(f[m+24>>2]|0)+12>>2]|0)+4+(c<<2)>>2]|0}function sdc(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;h=u;u=u+32|0;i=h+4|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;f[i+16>>2]=0;f[i+20>>2]=0;j=a+4|0;k=f[j>>2]|0;do if(k){l=a+4|0;m=k;while(1){n=f[m+16>>2]|0;if((n|0)>(c|0)){o=f[m>>2]|0;if(!o){p=5;break}else{q=m;r=o}}else{if((n|0)>=(c|0)){p=10;break}s=m+4|0;n=f[s>>2]|0;if(!n){p=9;break}else{q=s;r=n}}l=q;m=r}if((p|0)==5){t=m;v=m;break}else if((p|0)==9){t=m;v=s;break}else if((p|0)==10){t=m;v=l;break}}else{t=j;v=j}while(0);j=f[v>>2]|0;if(!j){p=cuc(48)|0;f[p+16>>2]=c;c=p+24|0;f[c>>2]=f[i>>2];f[c+4>>2]=f[i+4>>2];f[c+8>>2]=f[i+8>>2];f[c+12>>2]=f[i+12>>2];f[c+16>>2]=f[i+16>>2];f[c+20>>2]=f[i+20>>2];f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=t;f[v>>2]=p;t=f[f[a>>2]>>2]|0;if(!t)w=p;else{f[a>>2]=t;w=f[v>>2]|0}jI(f[a+4>>2]|0,w);w=a+8|0;f[w>>2]=(f[w>>2]|0)+1;f[p+40>>2]=g;b[p+32>>0]=d;b[p+33>>0]=1;p=f[a+12>>2]|0;if(!p){d=cuc(16)|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;x=d}else{if(f[p+64>>2]|0)HIb(p,24584,16);d=GIb(p,16,2006)|0;f[d>>2]=p;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;x=d}f[c>>2]=x;y=c}else{f[j+40>>2]=g;y=j+24|0}j=f[y>>2]|0;g=f[j+12>>2]|0;if((g|0?(c=j+4|0,j=f[c>>2]|0,(j|0)<(f[g>>2]|0)):0)?(f[c>>2]=j+1,c=f[g+4+(j<<2)>>2]|0,c|0):0){z=c;u=h;return z|0}c=Th[f[(f[e>>2]|0)+16>>2]&1023](e,f[a+12>>2]|0)|0;r1b(f[y>>2]|0,c);z=c;u=h;return z|0}function tdc(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;d=u;u=u+32|0;e=d;g=d+24|0;i=a+4|0;a=f[i>>2]|0;if(a){j=i;k=a;a:while(1){a=k;while(1){if((f[a+16>>2]|0)>=(c|0))break;l=f[a+4>>2]|0;if(!l){m=j;break a}else a=l}k=f[a>>2]|0;if(!k){m=a;break}else j=a}if((m|0)!=(i|0)?(f[m+16>>2]|0)<=(c|0):0)n=m;else o=8}else o=8;if((o|0)==8){iLb(e,3,519280,771);fLb(g,dLb(dLb(e,519391)|0,519433)|0);jLb(e);n=i}i=n+24|0;do switch(f[151660+(h[n+32>>0]<<2)>>2]|0){case 1:{e=f[i>>2]|0;f[e>>2]=(f[e>>2]|0)+-1;u=d;return}case 2:{e=f[i>>2]|0;f[e>>2]=(f[e>>2]|0)+-1;u=d;return}case 3:{e=f[i>>2]|0;f[e>>2]=(f[e>>2]|0)+-1;u=d;return}case 4:{e=f[i>>2]|0;f[e>>2]=(f[e>>2]|0)+-1;u=d;return}case 6:{e=f[i>>2]|0;f[e>>2]=(f[e>>2]|0)+-1;u=d;return}case 5:{e=f[i>>2]|0;f[e>>2]=(f[e>>2]|0)+-1;u=d;return}case 7:{e=f[i>>2]|0;f[e>>2]=(f[e>>2]|0)+-1;u=d;return}case 8:{e=f[i>>2]|0;f[e>>2]=(f[e>>2]|0)+-1;u=d;return}case 9:{e=f[i>>2]|0;g=f[e+12>>2]|0;o=e+4|0;e=(f[o>>2]|0)+-1|0;f[o>>2]=e;o=f[g+4+(e<<2)>>2]|0;e=o+11|0;if((b[e>>0]|0)<0){b[f[o>>2]>>0]=0;f[o+4>>2]=0;u=d;return}else{b[o>>0]=0;b[e>>0]=0;u=d;return}break}case 10:{e=f[i>>2]|0;o=f[e+12>>2]|0;g=e+4|0;e=(f[g>>2]|0)+-1|0;f[g>>2]=e;g=f[o+4+(e<<2)>>2]|0;bi[f[(f[g>>2]|0)+28>>2]&2047](g);u=d;return}default:{u=d;return}}while(0)}function udc(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=u;u=u+32|0;d=c;e=c+24|0;g=a+4|0;a=f[g>>2]|0;if(a){h=g;i=a;a:while(1){a=i;while(1){if((f[a+16>>2]|0)>=(b|0))break;j=f[a+4>>2]|0;if(!j){k=h;break a}else a=j}i=f[a>>2]|0;if(!i){k=a;break}else h=a}if((k|0)!=(g|0)?(f[k+16>>2]|0)<=(b|0):0)l=k;else m=8}else m=8;if((m|0)==8){iLb(d,3,519280,812);fLb(e,dLb(dLb(d,519391)|0,519433)|0);jLb(d);l=g}g=f[l+24>>2]|0;l=f[g+12>>2]|0;d=g+4|0;g=f[d>>2]|0;e=g+-1|0;f[d>>2]=e;d=l+4+(e<<2)|0;e=f[d>>2]|0;m=f[l>>2]|0;k=m+-1|0;f[l>>2]=k;if((g|0)>=(m|0)){u=c;return e|0}f[d>>2]=f[l+4+(k<<2)>>2];u=c;return e|0}function vdc(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0.0;g=u;u=u+32|0;i=g;j=g+24|0;k=a+4|0;a=f[k>>2]|0;if(a){l=k;m=a;a:while(1){a=m;while(1){if((f[a+16>>2]|0)>=(c|0))break;n=f[a+4>>2]|0;if(!n){o=l;break a}else a=n}m=f[a>>2]|0;if(!m){o=a;break}else l=a}if((o|0)!=(k|0)?(f[o+16>>2]|0)<=(c|0):0)q=o;else r=8}else r=8;if((r|0)==8){iLb(i,3,519280,822);fLb(j,dLb(dLb(i,519391)|0,519433)|0);jLb(i);q=k}k=q+24|0;do switch(f[151660+((h[q+32>>0]|0)<<2)>>2]|0){case 1:{i=f[(f[k>>2]|0)+8>>2]|0;j=i+4+(d<<2)|0;r=i+4+(e<<2)|0;i=f[j>>2]|0;f[j>>2]=f[r>>2];f[r>>2]=i;u=g;return}case 2:{i=f[(f[k>>2]|0)+8>>2]|0;r=i+8+(d<<3)|0;j=i+8+(e<<3)|0;i=r;o=f[i>>2]|0;c=f[i+4>>2]|0;i=j;l=f[i+4>>2]|0;m=r;f[m>>2]=f[i>>2];f[m+4>>2]=l;l=j;f[l>>2]=o;f[l+4>>2]=c;u=g;return}case 3:{c=f[(f[k>>2]|0)+8>>2]|0;l=c+4+(d<<2)|0;o=c+4+(e<<2)|0;c=f[l>>2]|0;f[l>>2]=f[o>>2];f[o>>2]=c;u=g;return}case 4:{c=f[(f[k>>2]|0)+8>>2]|0;o=c+8+(d<<3)|0;l=c+8+(e<<3)|0;c=o;j=f[c>>2]|0;m=f[c+4>>2]|0;c=l;i=f[c+4>>2]|0;r=o;f[r>>2]=f[c>>2];f[r+4>>2]=i;i=l;f[i>>2]=j;f[i+4>>2]=m;u=g;return}case 6:{m=f[(f[k>>2]|0)+8>>2]|0;i=m+4+(d<<2)|0;j=m+4+(e<<2)|0;m=f[i>>2]|0;f[i>>2]=f[j>>2];f[j>>2]=m;u=g;return}case 5:{m=f[(f[k>>2]|0)+8>>2]|0;j=m+8+(d<<3)|0;i=m+8+(e<<3)|0;s=+p[j>>3];p[j>>3]=+p[i>>3];p[i>>3]=s;u=g;return}case 7:{i=f[(f[k>>2]|0)+8>>2]|0;j=i+4+d|0;m=i+4+e|0;i=b[j>>0]|0;b[j>>0]=b[m>>0]|0;b[m>>0]=i;u=g;return}case 8:{i=f[(f[k>>2]|0)+8>>2]|0;m=i+4+(d<<2)|0;j=i+4+(e<<2)|0;i=f[m>>2]|0;f[m>>2]=f[j>>2];f[j>>2]=i;u=g;return}case 9:{i=f[(f[k>>2]|0)+12>>2]|0;j=i+4+(d<<2)|0;m=i+4+(e<<2)|0;i=f[j>>2]|0;f[j>>2]=f[m>>2];f[m>>2]=i;u=g;return}case 10:{i=f[(f[k>>2]|0)+12>>2]|0;m=i+4+(d<<2)|0;j=i+4+(e<<2)|0;i=f[m>>2]|0;f[m>>2]=f[j>>2];f[j>>2]=i;u=g;return}default:{u=g;return}}while(0)}function wdc(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0;b=f[a>>2]|0;c=a+4|0;if((b|0)==(c|0))return;else d=b;while(1){mcc(d+24|0);b=f[d+4>>2]|0;if(!b){a=d+8|0;e=f[a>>2]|0;if((f[e>>2]|0)==(d|0))g=e;else{e=a;do{a=f[e>>2]|0;e=a+8|0;h=f[e>>2]|0}while((f[h>>2]|0)!=(a|0));g=h}}else{e=b;while(1){h=f[e>>2]|0;if(!h)break;else e=h}g=e}if((g|0)==(c|0))break;else d=g}return}function xdc(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0;c=f[b>>2]|0;d=b+4|0;if((c|0)==(d|0))return;else e=c;while(1){ydc(a,f[e+16>>2]|0,e+24|0);c=f[e+4>>2]|0;if(!c){b=e+8|0;g=f[b>>2]|0;if((f[g>>2]|0)==(e|0))h=g;else{g=b;do{b=f[g>>2]|0;g=b+8|0;i=f[g>>2]|0}while((f[i>>2]|0)!=(b|0));h=i}}else{g=c;while(1){i=f[g>>2]|0;if(!i)break;else g=i}h=g}if((h|0)==(d|0))break;else e=h}return}function ydc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0.0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0;e=u;u=u+32|0;g=e;if(b[d+9>>0]|0){h=f[d+16>>2]|0;i=g+4|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;f[i+16>>2]=0;f[i+20>>2]=0;j=a+4|0;k=f[j>>2]|0;do if(k){l=a+4|0;m=k;while(1){n=f[m+16>>2]|0;if((n|0)>(c|0)){o=f[m>>2]|0;if(!o){q=6;break}else{r=m;s=o}}else{if((n|0)>=(c|0)){q=11;break}t=m+4|0;n=f[t>>2]|0;if(!n){q=10;break}else{r=t;s=n}}l=r;m=s}if((q|0)==6){v=m;w=m;break}else if((q|0)==10){v=m;w=t;break}else if((q|0)==11){v=m;w=l;break}}else{v=j;w=j}while(0);j=f[w>>2]|0;if(!j){t=cuc(48)|0;f[t+16>>2]=c;s=t+24|0;f[s>>2]=f[i>>2];f[s+4>>2]=f[i+4>>2];f[s+8>>2]=f[i+8>>2];f[s+12>>2]=f[i+12>>2];f[s+16>>2]=f[i+16>>2];f[s+20>>2]=f[i+20>>2];f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=v;f[w>>2]=t;v=f[f[a>>2]>>2]|0;if(!v)x=t;else{f[a>>2]=v;x=f[w>>2]|0}jI(f[a+4>>2]|0,x);x=a+8|0;f[x>>2]=(f[x>>2]|0)+1;f[t+40>>2]=h;x=b[d+8>>0]|0;b[t+32>>0]=x;b[t+35>>0]=b[d+11>>0]|0;b[t+33>>0]=1;y=1;z=x;A=s}else{f[j+40>>2]=h;y=0;z=b[d+8>>0]|0;A=j+24|0}do switch(f[151660+((z&255)<<2)>>2]|0){case 1:{if(y){j=f[a+12>>2]|0;if(!j){h=cuc(12)|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;B=h}else{h=j+64|0;if(f[h>>2]|0)HIb(j,25200,16);s=GIb(j,16,2011)|0;f[s>>2]=0;f[s+4>>2]=0;x=s+8|0;f[x>>2]=0;if(f[h>>2]|0)HIb(j,27008,8);h=FIb(j,8)|0;f[x>>2]=h;f[h>>2]=j;B=s}f[A>>2]=B;C=B}else C=f[A>>2]|0;s=f[d>>2]|0;j=f[s>>2]|0;if(!j){u=e;return}NEa(C,(f[C>>2]|0)+j|0);szc((f[C+8>>2]|0)+4+(f[C>>2]<<2)|0,(f[s+8>>2]|0)+4|0,f[s>>2]<<2|0)|0;f[C>>2]=(f[C>>2]|0)+(f[s>>2]|0);u=e;return}case 2:{if(y){s=f[a+12>>2]|0;if(!s){j=cuc(12)|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;D=j}else{j=s+64|0;if(f[j>>2]|0)HIb(s,25208,16);h=GIb(s,16,2012)|0;f[h>>2]=0;f[h+4>>2]=0;x=h+8|0;f[x>>2]=0;if(f[j>>2]|0)HIb(s,27008,8);j=FIb(s,8)|0;f[x>>2]=j;f[j>>2]=s;D=h}f[A>>2]=D;E=D}else E=f[A>>2]|0;h=f[d>>2]|0;s=f[h>>2]|0;if(!s){u=e;return}ZOa(E,(f[E>>2]|0)+s|0);szc((f[E+8>>2]|0)+8+(f[E>>2]<<3)|0,(f[h+8>>2]|0)+8|0,f[h>>2]<<3|0)|0;f[E>>2]=(f[E>>2]|0)+(f[h>>2]|0);u=e;return}case 3:{if(y){h=f[a+12>>2]|0;if(!h){s=cuc(12)|0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;F=s}else{s=h+64|0;if(f[s>>2]|0)HIb(h,25216,16);j=GIb(h,16,2013)|0;f[j>>2]=0;f[j+4>>2]=0;x=j+8|0;f[x>>2]=0;if(f[s>>2]|0)HIb(h,27008,8);s=FIb(h,8)|0;f[x>>2]=s;f[s>>2]=h;F=j}f[A>>2]=F;G=F}else G=f[A>>2]|0;j=f[d>>2]|0;h=f[j>>2]|0;if(!h){u=e;return}UEa(G,(f[G>>2]|0)+h|0);szc((f[G+8>>2]|0)+4+(f[G>>2]<<2)|0,(f[j+8>>2]|0)+4|0,f[j>>2]<<2|0)|0;f[G>>2]=(f[G>>2]|0)+(f[j>>2]|0);u=e;return}case 4:{if(y){j=f[a+12>>2]|0;if(!j){h=cuc(12)|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;H=h}else{h=j+64|0;if(f[h>>2]|0)HIb(j,25224,16);s=GIb(j,16,2014)|0;f[s>>2]=0;f[s+4>>2]=0;x=s+8|0;f[x>>2]=0;if(f[h>>2]|0)HIb(j,27008,8);h=FIb(j,8)|0;f[x>>2]=h;f[h>>2]=j;H=s}f[A>>2]=H;I=H}else I=f[A>>2]|0;s=f[d>>2]|0;j=f[s>>2]|0;if(!j){u=e;return}eEb(I,(f[I>>2]|0)+j|0);szc((f[I+8>>2]|0)+8+(f[I>>2]<<3)|0,(f[s+8>>2]|0)+8|0,f[s>>2]<<3|0)|0;f[I>>2]=(f[I>>2]|0)+(f[s>>2]|0);u=e;return}case 6:{if(y){s=f[a+12>>2]|0;if(!s){j=cuc(12)|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;J=j}else{j=s+64|0;if(f[j>>2]|0)HIb(s,25232,16);h=GIb(s,16,2015)|0;f[h>>2]=0;f[h+4>>2]=0;x=h+8|0;f[x>>2]=0;if(f[j>>2]|0)HIb(s,27008,8);j=FIb(s,8)|0;f[x>>2]=j;f[j>>2]=s;J=h}f[A>>2]=J;K=J}else K=f[A>>2]|0;h=f[d>>2]|0;s=f[h>>2]|0;if(!s){u=e;return}REa(K,(f[K>>2]|0)+s|0);szc((f[K+8>>2]|0)+4+(f[K>>2]<<2)|0,(f[h+8>>2]|0)+4|0,f[h>>2]<<2|0)|0;f[K>>2]=(f[K>>2]|0)+(f[h>>2]|0);u=e;return}case 5:{if(y){h=f[a+12>>2]|0;if(!h){s=cuc(12)|0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;L=s}else{s=h+64|0;if(f[s>>2]|0)HIb(h,25240,16);j=GIb(h,16,2016)|0;f[j>>2]=0;f[j+4>>2]=0;x=j+8|0;f[x>>2]=0;if(f[s>>2]|0)HIb(h,27008,8);s=FIb(h,8)|0;f[x>>2]=s;f[s>>2]=h;L=j}f[A>>2]=L;M=L}else M=f[A>>2]|0;j=f[d>>2]|0;h=f[j>>2]|0;if(!h){u=e;return}oRa(M,(f[M>>2]|0)+h|0);szc((f[M+8>>2]|0)+8+(f[M>>2]<<3)|0,(f[j+8>>2]|0)+8|0,f[j>>2]<<3|0)|0;f[M>>2]=(f[M>>2]|0)+(f[j>>2]|0);u=e;return}case 7:{if(y){j=f[a+12>>2]|0;if(!j){h=cuc(12)|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;N=h}else{h=j+64|0;if(f[h>>2]|0)HIb(j,25248,16);s=GIb(j,16,2017)|0;f[s>>2]=0;f[s+4>>2]=0;x=s+8|0;f[x>>2]=0;if(f[h>>2]|0)HIb(j,27008,8);h=FIb(j,8)|0;f[x>>2]=h;f[h>>2]=j;N=s}f[A>>2]=N;O=N}else O=f[A>>2]|0;s=f[d>>2]|0;j=f[s>>2]|0;if(!j){u=e;return}_Oa(O,(f[O>>2]|0)+j|0);szc((f[O>>2]|0)+((f[O+8>>2]|0)+4)|0,(f[s+8>>2]|0)+4|0,f[s>>2]|0)|0;f[O>>2]=(f[O>>2]|0)+(f[s>>2]|0);u=e;return}case 8:{if(y){s=f[a+12>>2]|0;if(!s){j=cuc(12)|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;P=j}else{j=s+64|0;if(f[j>>2]|0)HIb(s,25200,16);h=GIb(s,16,2011)|0;f[h>>2]=0;f[h+4>>2]=0;x=h+8|0;f[x>>2]=0;if(f[j>>2]|0)HIb(s,27008,8);j=FIb(s,8)|0;f[x>>2]=j;f[j>>2]=s;P=h}f[A>>2]=P;Q=P}else Q=f[A>>2]|0;h=f[d>>2]|0;s=f[h>>2]|0;if(!s){u=e;return}NEa(Q,(f[Q>>2]|0)+s|0);szc((f[Q+8>>2]|0)+4+(f[Q>>2]<<2)|0,(f[h+8>>2]|0)+4|0,f[h>>2]<<2|0)|0;f[Q>>2]=(f[Q>>2]|0)+(f[h>>2]|0);u=e;return}case 9:{if(y){h=f[a+12>>2]|0;if(!h){s=cuc(16)|0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;R=s}else{if(f[h+64>>2]|0)HIb(h,25256,16);s=GIb(h,16,2018)|0;f[s>>2]=h;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;R=s}f[A>>2]=R;S=R}else S=f[A>>2]|0;YOa(S,f[d>>2]|0);u=e;return}case 10:{if(y){s=f[a+12>>2]|0;if(!s){h=cuc(16)|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;T=h}else{if(f[s+64>>2]|0)HIb(s,24584,16);h=GIb(s,16,2006)|0;f[h>>2]=s;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;T=h}f[A>>2]=T}h=f[d>>2]|0;s=h+4|0;if((f[s>>2]|0)<=0){u=e;return}j=h+12|0;h=a+12|0;x=0;do{t=f[(f[j>>2]|0)+4+(x<<2)>>2]|0;w=f[A>>2]|0;v=f[w+12>>2]|0;if(((v|0)!=0?(i=w+4|0,w=f[i>>2]|0,(w|0)<(f[v>>2]|0)):0)?(f[i>>2]=w+1,i=f[v+4+(w<<2)>>2]|0,(i|0)!=0):0)U=i;else{i=Th[f[(f[t>>2]|0)+16>>2]&1023](t,f[h>>2]|0)|0;r1b(f[A>>2]|0,i);U=i}yh[f[(f[U>>2]|0)+40>>2]&2047](U,t);x=x+1|0}while((x|0)<(f[s>>2]|0));u=e;return}default:{u=e;return}}while(0)}U=d+10|0;if(b[U>>0]&1){u=e;return}A=d+8|0;T=b[A>>0]|0;do switch(f[151660+((T&255)<<2)>>2]|0){case 1:{y=f[d>>2]|0;S=f[d+16>>2]|0;R=g+4|0;f[R>>2]=0;f[R+4>>2]=0;f[R+8>>2]=0;f[R+12>>2]=0;f[R+16>>2]=0;f[R+20>>2]=0;Q=a+4|0;P=f[Q>>2]|0;do if(P){O=a+4|0;N=P;while(1){M=f[N+16>>2]|0;if((M|0)>(c|0)){L=f[N>>2]|0;if(!L){q=144;break}else{V=N;W=L}}else{if((M|0)>=(c|0)){q=149;break}X=N+4|0;M=f[X>>2]|0;if(!M){q=148;break}else{V=X;W=M}}O=V;N=W}if((q|0)==144){Y=N;Z=N;break}else if((q|0)==148){Y=N;Z=X;break}else if((q|0)==149){Y=N;Z=O;break}}else{Y=Q;Z=Q}while(0);Q=f[Z>>2]|0;if(!Q){P=cuc(48)|0;f[P+16>>2]=c;M=P+24|0;f[M>>2]=f[R>>2];f[M+4>>2]=f[R+4>>2];f[M+8>>2]=f[R+8>>2];f[M+12>>2]=f[R+12>>2];f[M+16>>2]=f[R+16>>2];f[M+20>>2]=f[R+20>>2];f[P>>2]=0;f[P+4>>2]=0;f[P+8>>2]=Y;f[Z>>2]=P;L=f[f[a>>2]>>2]|0;if(!L)_=P;else{f[a>>2]=L;_=f[Z>>2]|0}jI(f[a+4>>2]|0,_);L=a+8|0;f[L>>2]=(f[L>>2]|0)+1;f[P+40>>2]=S;b[P+32>>0]=T;b[P+33>>0]=0;$=M}else{f[Q+40>>2]=S;$=Q+24|0}Q=$+10|0;b[Q>>0]=b[Q>>0]&-16;f[$>>2]=y;u=e;return}case 2:{Q=d;M=f[Q>>2]|0;P=f[Q+4>>2]|0;Q=f[d+16>>2]|0;L=g+4|0;f[L>>2]=0;f[L+4>>2]=0;f[L+8>>2]=0;f[L+12>>2]=0;f[L+16>>2]=0;f[L+20>>2]=0;K=a+4|0;J=f[K>>2]|0;do if(J){I=a+4|0;H=J;while(1){G=f[H+16>>2]|0;if((G|0)>(c|0)){F=f[H>>2]|0;if(!F){q=161;break}else{aa=H;ba=F}}else{if((G|0)>=(c|0)){q=166;break}ca=H+4|0;G=f[ca>>2]|0;if(!G){q=165;break}else{aa=ca;ba=G}}I=aa;H=ba}if((q|0)==161){da=H;ea=H;break}else if((q|0)==165){da=H;ea=ca;break}else if((q|0)==166){da=H;ea=I;break}}else{da=K;ea=K}while(0);K=f[ea>>2]|0;if(!K){J=cuc(48)|0;f[J+16>>2]=c;y=J+24|0;f[y>>2]=f[L>>2];f[y+4>>2]=f[L+4>>2];f[y+8>>2]=f[L+8>>2];f[y+12>>2]=f[L+12>>2];f[y+16>>2]=f[L+16>>2];f[y+20>>2]=f[L+20>>2];f[J>>2]=0;f[J+4>>2]=0;f[J+8>>2]=da;f[ea>>2]=J;S=f[f[a>>2]>>2]|0;if(!S)fa=J;else{f[a>>2]=S;fa=f[ea>>2]|0}jI(f[a+4>>2]|0,fa);S=a+8|0;f[S>>2]=(f[S>>2]|0)+1;f[J+40>>2]=Q;b[J+32>>0]=T;b[J+33>>0]=0;ga=y}else{f[K+40>>2]=Q;ga=K+24|0}K=ga+10|0;b[K>>0]=b[K>>0]&-16;K=ga;f[K>>2]=M;f[K+4>>2]=P;u=e;return}case 3:{K=f[d>>2]|0;y=f[d+16>>2]|0;J=g+4|0;f[J>>2]=0;f[J+4>>2]=0;f[J+8>>2]=0;f[J+12>>2]=0;f[J+16>>2]=0;f[J+20>>2]=0;S=a+4|0;R=f[S>>2]|0;do if(R){O=a+4|0;N=R;while(1){G=f[N+16>>2]|0;if((G|0)>(c|0)){F=f[N>>2]|0;if(!F){q=178;break}else{ha=N;ia=F}}else{if((G|0)>=(c|0)){q=183;break}ja=N+4|0;G=f[ja>>2]|0;if(!G){q=182;break}else{ha=ja;ia=G}}O=ha;N=ia}if((q|0)==178){ka=N;la=N;break}else if((q|0)==182){ka=N;la=ja;break}else if((q|0)==183){ka=N;la=O;break}}else{ka=S;la=S}while(0);S=f[la>>2]|0;if(!S){R=cuc(48)|0;f[R+16>>2]=c;P=R+24|0;f[P>>2]=f[J>>2];f[P+4>>2]=f[J+4>>2];f[P+8>>2]=f[J+8>>2];f[P+12>>2]=f[J+12>>2];f[P+16>>2]=f[J+16>>2];f[P+20>>2]=f[J+20>>2];f[R>>2]=0;f[R+4>>2]=0;f[R+8>>2]=ka;f[la>>2]=R;M=f[f[a>>2]>>2]|0;if(!M)ma=R;else{f[a>>2]=M;ma=f[la>>2]|0}jI(f[a+4>>2]|0,ma);M=a+8|0;f[M>>2]=(f[M>>2]|0)+1;f[R+40>>2]=y;b[R+32>>0]=T;b[R+33>>0]=0;na=P}else{f[S+40>>2]=y;na=S+24|0}S=na+10|0;b[S>>0]=b[S>>0]&-16;f[na>>2]=K;u=e;return}case 4:{S=d;P=f[S>>2]|0;R=f[S+4>>2]|0;S=f[d+16>>2]|0;M=g+4|0;f[M>>2]=0;f[M+4>>2]=0;f[M+8>>2]=0;f[M+12>>2]=0;f[M+16>>2]=0;f[M+20>>2]=0;Q=a+4|0;L=f[Q>>2]|0;do if(L){I=a+4|0;H=L;while(1){G=f[H+16>>2]|0;if((G|0)>(c|0)){F=f[H>>2]|0;if(!F){q=195;break}else{oa=H;pa=F}}else{if((G|0)>=(c|0)){q=200;break}qa=H+4|0;G=f[qa>>2]|0;if(!G){q=199;break}else{oa=qa;pa=G}}I=oa;H=pa}if((q|0)==195){ra=H;sa=H;break}else if((q|0)==199){ra=H;sa=qa;break}else if((q|0)==200){ra=H;sa=I;break}}else{ra=Q;sa=Q}while(0);Q=f[sa>>2]|0;if(!Q){L=cuc(48)|0;f[L+16>>2]=c;K=L+24|0;f[K>>2]=f[M>>2];f[K+4>>2]=f[M+4>>2];f[K+8>>2]=f[M+8>>2];f[K+12>>2]=f[M+12>>2];f[K+16>>2]=f[M+16>>2];f[K+20>>2]=f[M+20>>2];f[L>>2]=0;f[L+4>>2]=0;f[L+8>>2]=ra;f[sa>>2]=L;y=f[f[a>>2]>>2]|0;if(!y)ta=L;else{f[a>>2]=y;ta=f[sa>>2]|0}jI(f[a+4>>2]|0,ta);y=a+8|0;f[y>>2]=(f[y>>2]|0)+1;f[L+40>>2]=S;b[L+32>>0]=T;b[L+33>>0]=0;ua=K}else{f[Q+40>>2]=S;ua=Q+24|0}Q=ua+10|0;b[Q>>0]=b[Q>>0]&-16;Q=ua;f[Q>>2]=P;f[Q+4>>2]=R;u=e;return}case 6:{Q=f[d>>2]|0;K=f[d+16>>2]|0;L=g+4|0;f[L>>2]=0;f[L+4>>2]=0;f[L+8>>2]=0;f[L+12>>2]=0;f[L+16>>2]=0;f[L+20>>2]=0;y=a+4|0;J=f[y>>2]|0;do if(J){O=a+4|0;N=J;while(1){G=f[N+16>>2]|0;if((G|0)>(c|0)){F=f[N>>2]|0;if(!F){q=212;break}else{va=N;wa=F}}else{if((G|0)>=(c|0)){q=217;break}xa=N+4|0;G=f[xa>>2]|0;if(!G){q=216;break}else{va=xa;wa=G}}O=va;N=wa}if((q|0)==212){ya=N;za=N;break}else if((q|0)==216){ya=N;za=xa;break}else if((q|0)==217){ya=N;za=O;break}}else{ya=y;za=y}while(0);y=f[za>>2]|0;if(!y){J=cuc(48)|0;f[J+16>>2]=c;R=J+24|0;f[R>>2]=f[L>>2];f[R+4>>2]=f[L+4>>2];f[R+8>>2]=f[L+8>>2];f[R+12>>2]=f[L+12>>2];f[R+16>>2]=f[L+16>>2];f[R+20>>2]=f[L+20>>2];f[J>>2]=0;f[J+4>>2]=0;f[J+8>>2]=ya;f[za>>2]=J;P=f[f[a>>2]>>2]|0;if(!P)Aa=J;else{f[a>>2]=P;Aa=f[za>>2]|0}jI(f[a+4>>2]|0,Aa);P=a+8|0;f[P>>2]=(f[P>>2]|0)+1;f[J+40>>2]=K;b[J+32>>0]=T;b[J+33>>0]=0;Ba=R}else{f[y+40>>2]=K;Ba=y+24|0}y=Ba+10|0;b[y>>0]=b[y>>0]&-16;f[Ba>>2]=Q;u=e;return}case 5:{Ca=+p[d>>3];y=f[d+16>>2]|0;R=g+4|0;f[R>>2]=0;f[R+4>>2]=0;f[R+8>>2]=0;f[R+12>>2]=0;f[R+16>>2]=0;f[R+20>>2]=0;J=a+4|0;P=f[J>>2]|0;do if(P){S=a+4|0;M=P;while(1){I=f[M+16>>2]|0;if((I|0)>(c|0)){H=f[M>>2]|0;if(!H){q=229;break}else{Da=M;Ea=H}}else{if((I|0)>=(c|0)){q=234;break}Fa=M+4|0;I=f[Fa>>2]|0;if(!I){q=233;break}else{Da=Fa;Ea=I}}S=Da;M=Ea}if((q|0)==229){Ga=M;Ha=M;break}else if((q|0)==233){Ga=M;Ha=Fa;break}else if((q|0)==234){Ga=M;Ha=S;break}}else{Ga=J;Ha=J}while(0);J=f[Ha>>2]|0;if(!J){P=cuc(48)|0;f[P+16>>2]=c;Q=P+24|0;f[Q>>2]=f[R>>2];f[Q+4>>2]=f[R+4>>2];f[Q+8>>2]=f[R+8>>2];f[Q+12>>2]=f[R+12>>2];f[Q+16>>2]=f[R+16>>2];f[Q+20>>2]=f[R+20>>2];f[P>>2]=0;f[P+4>>2]=0;f[P+8>>2]=Ga;f[Ha>>2]=P;K=f[f[a>>2]>>2]|0;if(!K)Ia=P;else{f[a>>2]=K;Ia=f[Ha>>2]|0}jI(f[a+4>>2]|0,Ia);K=a+8|0;f[K>>2]=(f[K>>2]|0)+1;f[P+40>>2]=y;b[P+32>>0]=T;b[P+33>>0]=0;Ja=Q}else{f[J+40>>2]=y;Ja=J+24|0}J=Ja+10|0;b[J>>0]=b[J>>0]&-16;p[Ja>>3]=Ca;u=e;return}case 7:{J=b[d>>0]|0;Q=f[d+16>>2]|0;P=g+4|0;f[P>>2]=0;f[P+4>>2]=0;f[P+8>>2]=0;f[P+12>>2]=0;f[P+16>>2]=0;f[P+20>>2]=0;K=a+4|0;L=f[K>>2]|0;do if(L){O=a+4|0;N=L;while(1){I=f[N+16>>2]|0;if((I|0)>(c|0)){H=f[N>>2]|0;if(!H){q=246;break}else{Ka=N;La=H}}else{if((I|0)>=(c|0)){q=251;break}Ma=N+4|0;I=f[Ma>>2]|0;if(!I){q=250;break}else{Ka=Ma;La=I}}O=Ka;N=La}if((q|0)==246){Na=N;Oa=N;break}else if((q|0)==250){Na=N;Oa=Ma;break}else if((q|0)==251){Na=N;Oa=O;break}}else{Na=K;Oa=K}while(0);K=f[Oa>>2]|0;if(!K){L=cuc(48)|0;f[L+16>>2]=c;y=L+24|0;f[y>>2]=f[P>>2];f[y+4>>2]=f[P+4>>2];f[y+8>>2]=f[P+8>>2];f[y+12>>2]=f[P+12>>2];f[y+16>>2]=f[P+16>>2];f[y+20>>2]=f[P+20>>2];f[L>>2]=0;f[L+4>>2]=0;f[L+8>>2]=Na;f[Oa>>2]=L;R=f[f[a>>2]>>2]|0;if(!R)Pa=L;else{f[a>>2]=R;Pa=f[Oa>>2]|0}jI(f[a+4>>2]|0,Pa);R=a+8|0;f[R>>2]=(f[R>>2]|0)+1;f[L+40>>2]=Q;b[L+32>>0]=T;b[L+33>>0]=0;Qa=y}else{f[K+40>>2]=Q;Qa=K+24|0}K=Qa+10|0;b[K>>0]=b[K>>0]&-16;b[Qa>>0]=J;u=e;return}case 8:{K=f[d>>2]|0;y=f[d+16>>2]|0;L=g+4|0;f[L>>2]=0;f[L+4>>2]=0;f[L+8>>2]=0;f[L+12>>2]=0;f[L+16>>2]=0;f[L+20>>2]=0;R=a+4|0;S=f[R>>2]|0;do if(S){M=a+4|0;I=S;while(1){H=f[I+16>>2]|0;if((H|0)>(c|0)){G=f[I>>2]|0;if(!G){q=263;break}else{Ra=I;Sa=G}}else{if((H|0)>=(c|0)){q=268;break}Ta=I+4|0;H=f[Ta>>2]|0;if(!H){q=267;break}else{Ra=Ta;Sa=H}}M=Ra;I=Sa}if((q|0)==263){Ua=I;Va=I;break}else if((q|0)==267){Ua=I;Va=Ta;break}else if((q|0)==268){Ua=I;Va=M;break}}else{Ua=R;Va=R}while(0);R=f[Va>>2]|0;if(!R){S=cuc(48)|0;f[S+16>>2]=c;J=S+24|0;f[J>>2]=f[L>>2];f[J+4>>2]=f[L+4>>2];f[J+8>>2]=f[L+8>>2];f[J+12>>2]=f[L+12>>2];f[J+16>>2]=f[L+16>>2];f[J+20>>2]=f[L+20>>2];f[S>>2]=0;f[S+4>>2]=0;f[S+8>>2]=Ua;f[Va>>2]=S;Q=f[f[a>>2]>>2]|0;if(!Q)Wa=S;else{f[a>>2]=Q;Wa=f[Va>>2]|0}jI(f[a+4>>2]|0,Wa);Q=a+8|0;f[Q>>2]=(f[Q>>2]|0)+1;f[S+40>>2]=y;b[S+32>>0]=T;b[S+33>>0]=0;Xa=J}else{f[R+40>>2]=y;Xa=R+24|0}R=Xa+10|0;b[R>>0]=b[R>>0]&-16;f[Xa>>2]=K;u=e;return}case 9:{R=f[d>>2]|0;ruc(kdc(a,c,T,f[d+16>>2]|0)|0,R)|0;u=e;return}case 10:{R=f[d+16>>2]|0;J=g+4|0;f[J>>2]=0;f[J+4>>2]=0;f[J+8>>2]=0;f[J+12>>2]=0;f[J+16>>2]=0;f[J+20>>2]=0;S=a+4|0;Q=f[S>>2]|0;do if(Q){P=a+4|0;O=Q;while(1){N=f[O+16>>2]|0;if((N|0)>(c|0)){H=f[O>>2]|0;if(!H){q=281;break}else{Ya=O;Za=H}}else{if((N|0)>=(c|0)){q=286;break}_a=O+4|0;N=f[_a>>2]|0;if(!N){q=285;break}else{Ya=_a;Za=N}}P=Ya;O=Za}if((q|0)==281){$a=O;ab=O;break}else if((q|0)==285){$a=O;ab=_a;break}else if((q|0)==286){$a=O;ab=P;break}}else{$a=S;ab=S}while(0);S=f[ab>>2]|0;do if(!S){Q=cuc(48)|0;f[Q+16>>2]=c;K=Q+24|0;f[K>>2]=f[J>>2];f[K+4>>2]=f[J+4>>2];f[K+8>>2]=f[J+8>>2];f[K+12>>2]=f[J+12>>2];f[K+16>>2]=f[J+16>>2];f[K+20>>2]=f[J+20>>2];f[Q>>2]=0;f[Q+4>>2]=0;f[Q+8>>2]=$a;f[ab>>2]=Q;y=f[f[a>>2]>>2]|0;if(!y)bb=Q;else{f[a>>2]=y;bb=f[ab>>2]|0}jI(f[a+4>>2]|0,bb);y=a+8|0;f[y>>2]=(f[y>>2]|0)+1;f[Q+40>>2]=R;b[Q+32>>0]=b[A>>0]|0;b[Q+35>>0]=b[d+11>>0]|0;b[Q+33>>0]=0;y=Q+34|0;Q=b[y>>0]&15;L=f[a+12>>2]|0;if(!(b[U>>0]&16)){b[y>>0]=Q;M=f[d>>2]|0;I=Th[f[(f[M>>2]|0)+16>>2]&1023](M,L)|0;f[K>>2]=I;yh[f[(f[I>>2]|0)+40>>2]&2047](I,f[d>>2]|0);cb=K;break}else{b[y>>0]=Q|16;Q=f[d>>2]|0;y=Th[f[(f[Q>>2]|0)+8>>2]&1023](Q,L)|0;f[K>>2]=y;yh[f[(f[y>>2]|0)+48>>2]&2047](y,f[d>>2]|0);cb=K;break}}else{K=S+24|0;f[S+40>>2]=R;y=(b[S+34>>0]&16)!=0;L=f[K>>2]|0;if(!(b[U>>0]&16))if(y){Q=Th[f[(f[L>>2]|0)+16>>2]&1023](L,f[d>>2]|0)|0;yh[f[(f[Q>>2]|0)+40>>2]&2047](Q,f[d>>2]|0);cb=K;break}else{yh[f[(f[L>>2]|0)+40>>2]&2047](L,f[d>>2]|0);cb=K;break}else{Q=f[L>>2]|0;if(y){yh[f[Q+48>>2]&2047](L,f[d>>2]|0);cb=K;break}else{y=f[Q+40>>2]|0;Q=f[d>>2]|0;I=Th[f[(f[Q>>2]|0)+12>>2]&1023](Q,L)|0;yh[y&2047](L,I);cb=K;break}}}while(0);S=cb+10|0;b[S>>0]=b[S>>0]&-16;u=e;return}default:{u=e;return}}while(0)}function zdc(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;c=u;u=u+16|0;d=c;if((f[a+12>>2]|0)==(f[b+12>>2]|0)){e=f[a>>2]|0;f[a>>2]=f[b>>2];f[b>>2]=e;e=a+4|0;g=b+4|0;h=f[e>>2]|0;f[e>>2]=f[g>>2];f[g>>2]=h;h=a+8|0;i=b+8|0;j=f[h>>2]|0;f[h>>2]=f[i>>2];f[i>>2]=j;if(!(f[h>>2]|0))k=a;else k=(f[e>>2]|0)+8|0;f[k>>2]=e;f[((j|0)==0?b:(f[g>>2]|0)+8|0)>>2]=g;u=c;return}f[d+4>>2]=0;f[d+8>>2]=0;g=d+4|0;f[d>>2]=g;j=d+12|0;f[j>>2]=0;e=f[b>>2]|0;k=b+4|0;if((e|0)==(k|0))l=e;else{h=e;while(1){ydc(d,f[h+16>>2]|0,h+24|0);e=f[h+4>>2]|0;if(!e){i=h+8|0;m=f[i>>2]|0;if((f[m>>2]|0)==(h|0))n=m;else{m=i;do{i=f[m>>2]|0;m=i+8|0;o=f[m>>2]|0}while((f[o>>2]|0)!=(i|0));n=o}}else{m=e;while(1){o=f[m>>2]|0;if(!o)break;else m=o}n=m}if((n|0)==(k|0))break;else h=n}l=f[b>>2]|0}if((l|0)!=(k|0)){n=l;while(1){mcc(n+24|0);l=f[n+4>>2]|0;if(!l){h=n+8|0;e=f[h>>2]|0;if((f[e>>2]|0)==(n|0))p=e;else{e=h;do{h=f[e>>2]|0;e=h+8|0;o=f[e>>2]|0}while((f[o>>2]|0)!=(h|0));p=o}}else{e=l;while(1){m=f[e>>2]|0;if(!m)break;else e=m}p=e}if((p|0)==(k|0))break;else n=p}}p=f[a>>2]|0;n=a+4|0;if((p|0)==(n|0))q=p;else{k=p;while(1){ydc(b,f[k+16>>2]|0,k+24|0);p=f[k+4>>2]|0;if(!p){l=k+8|0;m=f[l>>2]|0;if((f[m>>2]|0)==(k|0))r=m;else{m=l;do{l=f[m>>2]|0;m=l+8|0;o=f[m>>2]|0}while((f[o>>2]|0)!=(l|0));r=o}}else{m=p;while(1){e=f[m>>2]|0;if(!e)break;else m=e}r=m}if((r|0)==(n|0))break;else k=r}q=f[a>>2]|0}if((q|0)!=(n|0)){r=q;while(1){mcc(r+24|0);q=f[r+4>>2]|0;if(!q){k=r+8|0;b=f[k>>2]|0;if((f[b>>2]|0)==(r|0))s=b;else{b=k;do{k=f[b>>2]|0;b=k+8|0;p=f[b>>2]|0}while((f[p>>2]|0)!=(k|0));s=p}}else{b=q;while(1){m=f[b>>2]|0;if(!m)break;else b=m}s=b}if((s|0)==(n|0))break;else r=s}}s=f[d>>2]|0;if((s|0)!=(g|0)){r=s;while(1){ydc(a,f[r+16>>2]|0,r+24|0);s=f[r+4>>2]|0;if(!s){n=r+8|0;q=f[n>>2]|0;if((f[q>>2]|0)==(r|0))t=q;else{q=n;do{n=f[q>>2]|0;q=n+8|0;m=f[q>>2]|0}while((f[m>>2]|0)!=(n|0));t=m}}else{q=s;while(1){b=f[q>>2]|0;if(!b)break;else q=b}t=q}if((t|0)==(g|0))break;else r=t}}if((f[j>>2]|0)==0?(j=f[d>>2]|0,(j|0)!=(g|0)):0){t=j;while(1){hcc(t+24|0);j=f[t+4>>2]|0;if(!j){r=t+8|0;a=f[r>>2]|0;if((f[a>>2]|0)==(t|0))v=a;else{a=r;do{r=f[a>>2]|0;a=r+8|0;s=f[a>>2]|0}while((f[s>>2]|0)!=(r|0));v=s}}else{a=j;while(1){q=f[a>>2]|0;if(!q)break;else a=q}v=a}if((v|0)==(g|0))break;else t=v}}dcc(d,f[g>>2]|0);u=c;return}function Adc(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0;d=u;u=u+32|0;e=d;if((a|0)==(b|0)){u=d;return}g=a+4|0;h=f[g>>2]|0;i=(h|0)==0;if(!i){j=g;k=h;a:while(1){l=k;while(1){if((f[l+16>>2]|0)>=(c|0))break;m=f[l+4>>2]|0;if(!m){n=j;break a}else l=m}k=f[l>>2]|0;if(!k){n=l;break}else j=l}if((n|0)!=(g|0)?(f[n+16>>2]|0)<=(c|0):0)o=n;else p=9}else p=9;if((p|0)==9)o=g;n=b+4|0;j=f[n>>2]|0;k=(j|0)==0;if(!k){m=n;q=j;b:while(1){r=q;while(1){if((f[r+16>>2]|0)>=(c|0))break;s=f[r+4>>2]|0;if(!s){t=m;break b}else r=s}q=f[r>>2]|0;if(!q){t=r;break}else m=r}if((t|0)!=(n|0)?(f[t+16>>2]|0)<=(c|0):0)v=t;else p=17}else p=17;if((p|0)==17)v=n;t=(o|0)==(g|0);if(!((v|0)!=(n|0)|t^1)){u=d;return}m=(v|0)==(n|0);if(!(t|m)){if((f[a+12>>2]|0)==(f[b+12>>2]|0)){q=o+24|0;l=v+24|0;f[e>>2]=f[q>>2];f[e+4>>2]=f[q+4>>2];f[e+8>>2]=f[q+8>>2];f[e+12>>2]=f[q+12>>2];f[e+16>>2]=f[q+16>>2];f[e+20>>2]=f[q+20>>2];f[q>>2]=f[l>>2];f[q+4>>2]=f[l+4>>2];f[q+8>>2]=f[l+8>>2];f[q+12>>2]=f[l+12>>2];f[q+16>>2]=f[l+16>>2];f[q+20>>2]=f[l+20>>2];f[l>>2]=f[e>>2];f[l+4>>2]=f[e+4>>2];f[l+8>>2]=f[e+8>>2];f[l+12>>2]=f[e+12>>2];f[l+16>>2]=f[e+16>>2];f[l+20>>2]=f[e+20>>2];u=d;return}f[e+4>>2]=0;f[e+8>>2]=0;l=e+4|0;f[e>>2]=l;q=e+12|0;f[q>>2]=0;s=v+24|0;ydc(e,c,s);w=f[l>>2]|0;if(w){x=l;y=w;c:while(1){w=y;while(1){if((f[w+16>>2]|0)>=(c|0))break;z=f[w+4>>2]|0;if(!z){A=x;break c}else w=z}y=f[w>>2]|0;if(!y){A=w;break}else x=w}if((A|0)!=(l|0)?(f[A+16>>2]|0)<=(c|0):0)B=A;else p=29}else p=29;if((p|0)==29)B=l;mcc(s);s=o+24|0;ydc(b,c,s);mcc(s);ydc(a,c,B+24|0);if((f[q>>2]|0)==0?(q=f[e>>2]|0,(q|0)!=(l|0)):0){B=q;while(1){hcc(B+24|0);q=f[B+4>>2]|0;if(!q){s=B+8|0;A=f[s>>2]|0;if((f[A>>2]|0)==(B|0))C=A;else{A=s;do{s=f[A>>2]|0;A=s+8|0;x=f[A>>2]|0}while((f[x>>2]|0)!=(s|0));C=x}}else{A=q;while(1){w=f[A>>2]|0;if(!w)break;else A=w}C=A}if((C|0)==(l|0))break;else B=C}}dcc(e,f[l>>2]|0);u=d;return}if(t){if((f[a+12>>2]|0)==(f[b+12>>2]|0)){t=v+24|0;l=e+4|0;f[l>>2]=f[t>>2];f[l+4>>2]=f[t+4>>2];f[l+8>>2]=f[t+8>>2];f[l+12>>2]=f[t+12>>2];f[l+16>>2]=f[t+16>>2];f[l+20>>2]=f[t+20>>2];do if(!i){t=a+4|0;C=h;while(1){B=f[C+16>>2]|0;if((B|0)>(c|0)){q=f[C>>2]|0;if(!q){p=45;break}else{D=C;E=q}}else{if((B|0)>=(c|0)){p=50;break}F=C+4|0;B=f[F>>2]|0;if(!B){p=49;break}else{D=F;E=B}}t=D;C=E}if((p|0)==45){G=C;H=C;break}else if((p|0)==49){G=C;H=F;break}else if((p|0)==50){G=C;H=t;break}}else{G=g;H=g}while(0);if(!(f[H>>2]|0)){F=cuc(48)|0;f[F+16>>2]=c;E=F+24|0;f[E>>2]=f[l>>2];f[E+4>>2]=f[l+4>>2];f[E+8>>2]=f[l+8>>2];f[E+12>>2]=f[l+12>>2];f[E+16>>2]=f[l+16>>2];f[E+20>>2]=f[l+20>>2];f[F>>2]=0;f[F+4>>2]=0;f[F+8>>2]=G;f[H>>2]=F;G=f[f[a>>2]>>2]|0;if(!G)I=F;else{f[a>>2]=G;I=f[H>>2]|0}jI(f[a+4>>2]|0,I);I=a+8|0;f[I>>2]=(f[I>>2]|0)+1}}else ydc(a,c,v+24|0);v=f[n>>2]|0;if(!v){u=d;return}else{J=n;K=v}d:while(1){I=K;while(1){if((f[I+16>>2]|0)>=(c|0))break;H=f[I+4>>2]|0;if(!H){L=J;break d}else I=H}K=f[I>>2]|0;if(!K){L=I;break}else J=I}if((L|0)==(n|0)){u=d;return}if((f[L+16>>2]|0)>(c|0)){u=d;return}J=f[L+4>>2]|0;if(!J){K=L+8|0;t=f[K>>2]|0;if((f[t>>2]|0)==(L|0))M=t;else{t=K;do{K=f[t>>2]|0;t=K+8|0;C=f[t>>2]|0}while((f[C>>2]|0)!=(K|0));M=C}}else{t=J;while(1){J=f[t>>2]|0;if(!J)break;else t=J}M=t}if((f[b>>2]|0)==(L|0))f[b>>2]=M;M=b+8|0;f[M>>2]=(f[M>>2]|0)+-1;sGa(v,L);fuc(L);u=d;return}if(!m){u=d;return}if((f[a+12>>2]|0)==(f[b+12>>2]|0)){m=o+24|0;L=e+4|0;f[L>>2]=f[m>>2];f[L+4>>2]=f[m+4>>2];f[L+8>>2]=f[m+8>>2];f[L+12>>2]=f[m+12>>2];f[L+16>>2]=f[m+16>>2];f[L+20>>2]=f[m+20>>2];do if(!k){m=b+4|0;e=j;while(1){v=f[e+16>>2]|0;if((v|0)>(c|0)){M=f[e>>2]|0;if(!M){p=79;break}else{N=e;O=M}}else{if((v|0)>=(c|0)){p=84;break}P=e+4|0;v=f[P>>2]|0;if(!v){p=83;break}else{N=P;O=v}}m=N;e=O}if((p|0)==79){Q=e;R=e;break}else if((p|0)==83){Q=e;R=P;break}else if((p|0)==84){Q=e;R=m;break}}else{Q=n;R=n}while(0);if(!(f[R>>2]|0)){n=cuc(48)|0;f[n+16>>2]=c;p=n+24|0;f[p>>2]=f[L>>2];f[p+4>>2]=f[L+4>>2];f[p+8>>2]=f[L+8>>2];f[p+12>>2]=f[L+12>>2];f[p+16>>2]=f[L+16>>2];f[p+20>>2]=f[L+20>>2];f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=Q;f[R>>2]=n;Q=f[f[b>>2]>>2]|0;if(!Q)S=n;else{f[b>>2]=Q;S=f[R>>2]|0}jI(f[b+4>>2]|0,S);S=b+8|0;f[S>>2]=(f[S>>2]|0)+1}}else ydc(b,c,o+24|0);o=f[g>>2]|0;if(!o){u=d;return}else{T=g;U=o}e:while(1){b=U;while(1){if((f[b+16>>2]|0)>=(c|0))break;S=f[b+4>>2]|0;if(!S){V=T;break e}else b=S}U=f[b>>2]|0;if(!U){V=b;break}else T=b}if((V|0)==(g|0)){u=d;return}if((f[V+16>>2]|0)>(c|0)){u=d;return}c=f[V+4>>2]|0;if(!c){g=V+8|0;T=f[g>>2]|0;if((f[T>>2]|0)==(V|0))W=T;else{T=g;do{g=f[T>>2]|0;T=g+8|0;U=f[T>>2]|0}while((f[U>>2]|0)!=(g|0));W=U}}else{T=c;while(1){c=f[T>>2]|0;if(!c)break;else T=c}W=T}if((f[a>>2]|0)==(V|0))f[a>>2]=W;W=a+8|0;f[W>>2]=(f[W>>2]|0)+-1;sGa(o,V);fuc(V);u=d;return}function Bdc(a){a=a|0;var c=0,d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;c=f[a>>2]|0;d=a+4|0;if((c|0)==(d|0)){e=1;return e|0}else g=c;a:while(1){c=g+16|0;a=g+24|0;b:do if((f[151660+(h[g+32>>0]<<2)>>2]|0)==10){if(b[c+17>>0]|0){i=f[a>>2]|0;if((f[i+4>>2]|0)>0){j=0;k=i}else break;while(1){i=f[(f[k+12>>2]|0)+4+(j<<2)>>2]|0;j=j+1|0;if(!(di[f[(f[i>>2]|0)+32>>2]&1023](i)|0)){e=0;l=17;break a}k=f[a>>2]|0;if((j|0)>=(f[k+4>>2]|0))break b}}i=b[c+18>>0]|0;if(!(i&1)){m=f[a>>2]|0;n=f[m>>2]|0;if(!(i&16))if(di[f[n+32>>2]&1023](m)|0)break;else{e=0;l=17;break a}else if(di[f[n+36>>2]&1023](m)|0)break;else{e=0;l=17;break a}}}while(0);a=f[g+4>>2]|0;if(!a){c=g+8|0;m=f[c>>2]|0;if((f[m>>2]|0)==(g|0))o=m;else{m=c;do{c=f[m>>2]|0;m=c+8|0;n=f[m>>2]|0}while((f[n>>2]|0)!=(c|0));o=n}}else{m=a;while(1){n=f[m>>2]|0;if(!n)break;else m=n}o=m}if((o|0)==(d|0)){e=1;l=17;break}else g=o}if((l|0)==17)return e|0;return 0}function Cdc(a,c,d,e,g,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;i=i|0;var j=0,k=0,l=0;a=u;u=u+32|0;j=a;k=a+24|0;if(!(li[f[(f[e>>2]|0)+8>>2]&511](e,d,g)|0)){l=0;u=a;return l|0}d=f[151736+(h[g>>0]<<2)>>2]|0;b[i>>0]=0;do if((c|0)==2&(b[g+1>>0]|0)!=0){if(d>>>0>=6){iLb(j,3,519280,74);fLb(k,dLb(j,519833)|0);jLb(j);break}if(35>>>(d&63)&1){b[i>>0]=1;l=1;u=a;return l|0}}while(0);l=(d|0)==(c|0);u=a;return l|0}function Ddc(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0;h=u;u=u+32|0;i=h+16|0;j=h;k=c>>>3;if(Cdc(0,c&7,k,e,j,i)|0){l=Edc(a,k,(b[i>>0]|0)!=0,j,d,g)|0;u=h;return l|0}else{l=li[f[(f[g>>2]|0)+8>>2]&511](g,d,c)|0;u=h;return l|0}return 0}function Edc(a,c,d,e,g,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;i=i|0;var j=0,k=0,l=0,m=0,o=0,q=0,r=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0.0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0.0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0,qc=0,rc=0,sc=0,tc=0,uc=0,vc=0,wc=0,xc=0;j=u;u=u+80|0;k=j+8|0;l=j+40|0;m=j+64|0;o=j;a:do if(d){q=f[g>>2]|0;r=g+4|0;if(q>>>0<(f[r>>2]|0)>>>0){t=b[q>>0]|0;v=t&255;if(t<<24>>24>-1){f[g>>2]=q+1;w=v}else{x=v;y=5}}else{x=0;y=5}if((y|0)==5){v=zJb(g,x)|0;q=J;if((q|0)>-1|(q|0)==-1&v>>>0>4294967295)w=v;else{z=0;u=j;return z|0}}v=wJb(g,w)|0;b:do switch(b[e>>0]|0){case 5:{if((EJb(g)|0)>0){q=e+2|0;t=e+12|0;while(1){A=f[g>>2]|0;if(A>>>0<(f[r>>2]|0)>>>0){B=b[A>>0]|0;C=B&255;if(B<<24>>24>-1){f[g>>2]=A+1;D=C}else{E=C;y=38}}else{E=0;y=38}if((y|0)==38){y=0;C=zJb(g,E)|0;A=J;if((A|0)>-1|(A|0)==-1&C>>>0>4294967295)D=C;else{z=0;break}}scc(a,c,5,(b[q>>0]|0)!=0,D,f[t>>2]|0);if((EJb(g)|0)<=0)break b}u=j;return z|0}break}case 3:{if((EJb(g)|0)>0){t=e+2|0;q=e+12|0;C=k+8|0;while(1){A=f[g>>2]|0;if(A>>>0<(f[r>>2]|0)>>>0?(B=b[A>>0]|0,B<<24>>24>-1):0){f[g>>2]=A+1;F=B&255;G=0}else{AJb(k,g);B=k;if(!(b[C>>0]|0)){z=0;break}else{F=f[B>>2]|0;G=f[B+4>>2]|0}}ycc(a,c,3,(b[t>>0]|0)!=0,F,G,f[q>>2]|0);if((EJb(g)|0)<=0)break b}u=j;return z|0}break}case 13:{if((EJb(g)|0)>0){q=e+2|0;t=e+12|0;while(1){C=f[g>>2]|0;if(C>>>0<(f[r>>2]|0)>>>0){B=b[C>>0]|0;A=B&255;if(B<<24>>24>-1){f[g>>2]=C+1;H=A}else{I=A;y=48}}else{I=0;y=48}if((y|0)==48){y=0;A=zJb(g,I)|0;C=J;if((C|0)>-1|(C|0)==-1&A>>>0>4294967295)H=A;else{z=0;break}}Ecc(a,c,13,(b[q>>0]|0)!=0,H,f[t>>2]|0);if((EJb(g)|0)<=0)break b}u=j;return z|0}break}case 4:{if((EJb(g)|0)>0){t=e+2|0;q=e+12|0;A=k+8|0;while(1){C=f[g>>2]|0;if(C>>>0<(f[r>>2]|0)>>>0?(B=b[C>>0]|0,B<<24>>24>-1):0){f[g>>2]=C+1;K=B&255;L=0}else{AJb(k,g);B=k;if(!(b[A>>0]|0)){z=0;break}else{K=f[B>>2]|0;L=f[B+4>>2]|0}}Kcc(a,c,4,(b[t>>0]|0)!=0,K,L,f[q>>2]|0);if((EJb(g)|0)<=0)break b}u=j;return z|0}break}case 17:{if((EJb(g)|0)>0){q=e+2|0;t=e+12|0;while(1){A=f[g>>2]|0;if(A>>>0<(f[r>>2]|0)>>>0){B=b[A>>0]|0;C=B&255;if(B<<24>>24>-1){f[g>>2]=A+1;M=C>>>1^0-(C&1)}else{N=C;y=58}}else{N=0;y=58}if((y|0)==58){y=0;C=zJb(g,N)|0;A=J;if((A|0)>-1|(A|0)==-1&C>>>0>4294967295)M=C>>>1^0-(C&1);else{z=0;break}}scc(a,c,17,(b[q>>0]|0)!=0,M,f[t>>2]|0);if((EJb(g)|0)<=0)break b}u=j;return z|0}break}case 18:{if((EJb(g)|0)>0){t=e+2|0;q=e+12|0;C=k+8|0;while(1){A=f[g>>2]|0;if(A>>>0<(f[r>>2]|0)>>>0?(B=b[A>>0]|0,B<<24>>24>-1):0){O=B&255;f[g>>2]=A+1;A=pzc(O|0,0,1)|0;B=J;P=gzc(0,0,O&1|0,0)|0;Q=A^P;R=B^J}else{AJb(k,g);B=k;P=f[B>>2]|0;A=(b[C>>0]|0)==0;O=pzc(P|0,f[B+4>>2]|0,1)|0;B=J;S=gzc(0,0,P&1|0,0)|0;if(A){z=0;break}else{Q=O^S;R=B^J}}ycc(a,c,18,(b[t>>0]|0)!=0,Q,R,f[q>>2]|0);if((EJb(g)|0)<=0)break b}u=j;return z|0}break}case 7:{if((EJb(g)|0)>0){q=e+2|0;t=e+12|0;while(1){C=f[g>>2]|0;if(((f[r>>2]|0)-C|0)>3){B=C;S=h[B>>0]|h[B+1>>0]<<8|h[B+2>>0]<<16|h[B+3>>0]<<24;f[k>>2]=S;f[g>>2]=C+4;T=S}else{if(!(LJb(g,k)|0))break;T=f[k>>2]|0}Ecc(a,c,7,(b[q>>0]|0)!=0,T,f[t>>2]|0);if((EJb(g)|0)<=0)break b}z=0;u=j;return z|0}break}case 6:{if((EJb(g)|0)>0){t=e+2|0;q=e+12|0;while(1){S=f[g>>2]|0;if(((f[r>>2]|0)-S|0)>7){C=S;B=C;O=h[B>>0]|h[B+1>>0]<<8|h[B+2>>0]<<16|h[B+3>>0]<<24;B=C+4|0;C=h[B>>0]|h[B+1>>0]<<8|h[B+2>>0]<<16|h[B+3>>0]<<24;B=k;f[B>>2]=O;f[B+4>>2]=C;f[g>>2]=S+8;U=O;V=C}else{if(!(MJb(g,k)|0))break;C=k;U=f[C>>2]|0;V=f[C+4>>2]|0}Kcc(a,c,6,(b[t>>0]|0)!=0,U,V,f[q>>2]|0);if((EJb(g)|0)<=0)break b}z=0;u=j;return z|0}break}case 15:{if((EJb(g)|0)>0){q=e+2|0;t=e+12|0;while(1){C=f[g>>2]|0;if(((f[r>>2]|0)-C|0)>3){O=C;S=h[O>>0]|h[O+1>>0]<<8|h[O+2>>0]<<16|h[O+3>>0]<<24;f[k>>2]=S;f[g>>2]=C+4;W=S}else{if(!(LJb(g,k)|0))break;W=f[k>>2]|0}scc(a,c,15,(b[q>>0]|0)!=0,W,f[t>>2]|0);if((EJb(g)|0)<=0)break b}z=0;u=j;return z|0}break}case 16:{if((EJb(g)|0)>0){t=e+2|0;q=e+12|0;while(1){S=f[g>>2]|0;if(((f[r>>2]|0)-S|0)>7){C=S;O=C;B=h[O>>0]|h[O+1>>0]<<8|h[O+2>>0]<<16|h[O+3>>0]<<24;O=C+4|0;C=h[O>>0]|h[O+1>>0]<<8|h[O+2>>0]<<16|h[O+3>>0]<<24;O=k;f[O>>2]=B;f[O+4>>2]=C;f[g>>2]=S+8;X=B;Y=C}else{if(!(MJb(g,k)|0))break;C=k;X=f[C>>2]|0;Y=f[C+4>>2]|0}ycc(a,c,16,(b[t>>0]|0)!=0,X,Y,f[q>>2]|0);if((EJb(g)|0)<=0)break b}z=0;u=j;return z|0}break}case 2:{if((EJb(g)|0)>0){q=e+2|0;t=e+12|0;while(1){C=f[g>>2]|0;if(((f[r>>2]|0)-C|0)>3){B=C;S=h[B>>0]|h[B+1>>0]<<8|h[B+2>>0]<<16|h[B+3>>0]<<24;f[k>>2]=S;f[g>>2]=C+4;Z=S}else{if(!(LJb(g,k)|0))break;Z=f[k>>2]|0}Qcc(a,c,2,(b[q>>0]|0)!=0,(f[s>>2]=Z,+n[s>>2]),f[t>>2]|0);if((EJb(g)|0)<=0)break b}z=0;u=j;return z|0}break}case 1:{if((EJb(g)|0)>0){t=e+2|0;q=e+12|0;while(1){S=f[g>>2]|0;if(((f[r>>2]|0)-S|0)>7){C=S;B=C;O=h[B>>0]|h[B+1>>0]<<8|h[B+2>>0]<<16|h[B+3>>0]<<24;B=C+4|0;C=h[B>>0]|h[B+1>>0]<<8|h[B+2>>0]<<16|h[B+3>>0]<<24;B=k;f[B>>2]=O;f[B+4>>2]=C;f[g>>2]=S+8;f[s>>2]=O;f[s+4>>2]=C;_=+p[s>>3]}else{if(!(MJb(g,k)|0))break;_=+p[k>>3]}Wcc(a,c,1,(b[t>>0]|0)!=0,_,f[q>>2]|0);if((EJb(g)|0)<=0)break b}z=0;u=j;return z|0}break}case 8:{if((EJb(g)|0)>0){q=e+2|0;t=e+12|0;C=k+8|0;while(1){O=f[g>>2]|0;if(O>>>0<(f[r>>2]|0)>>>0?(S=b[O>>0]|0,S<<24>>24>-1):0){f[g>>2]=O+1;$=S<<24>>24!=0}else{AJb(k,g);S=k;if(!(b[C>>0]|0)){z=0;break}else $=(f[S>>2]|0)!=0|(f[S+4>>2]|0)!=0}adc(a,c,8,(b[q>>0]|0)!=0,$,f[t>>2]|0);if((EJb(g)|0)<=0)break b}u=j;return z|0}break}case 14:{if((EJb(g)|0)>0){t=e+4|0;q=e+8|0;C=e+2|0;S=e+12|0;while(1){O=f[g>>2]|0;if(O>>>0<(f[r>>2]|0)>>>0){B=b[O>>0]|0;A=B&255;if(B<<24>>24>-1){f[g>>2]=O+1;aa=A}else{ba=A;y=109}}else{ba=0;y=109}if((y|0)==109){y=0;A=zJb(g,ba)|0;O=J;if((O|0)>-1|(O|0)==-1&A>>>0>4294967295)aa=A;else{z=0;break}}if(Th[f[t>>2]&1023](f[q>>2]|0,aa)|0)idc(a,c,14,(b[C>>0]|0)!=0,aa,f[S>>2]|0);else Zh[f[(f[i>>2]|0)+16>>2]&511](i,c,aa);if((EJb(g)|0)<=0)break b}u=j;return z|0}break}case 11:case 10:case 12:case 9:{iLb(l,3,519280,1221);fLb(m,dLb(l,519851)|0);jLb(l);break}default:{}}while(0);xJb(g,v)}else do switch(b[e>>0]|0){case 5:{r=f[g>>2]|0;if(r>>>0<(f[g+4>>2]|0)>>>0){S=b[r>>0]|0;C=S&255;if(S<<24>>24>-1){f[g>>2]=r+1;ca=C}else{da=C;y=120}}else{da=0;y=120}if((y|0)==120){C=zJb(g,da)|0;r=J;if((r|0)>-1|(r|0)==-1&C>>>0>4294967295)ca=C;else{z=0;u=j;return z|0}}C=f[e+12>>2]|0;if(b[e+1>>0]|0){scc(a,c,5,(b[e+2>>0]|0)!=0,ca,C);break a}r=k+4|0;f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;f[r+12>>2]=0;f[r+16>>2]=0;f[r+20>>2]=0;S=a+4|0;q=f[S>>2]|0;do if(q){t=a+4|0;A=q;while(1){O=f[A+16>>2]|0;if((O|0)>(c|0)){B=f[A>>2]|0;if(!B){y=127;break}else{ea=A;fa=B}}else{if((O|0)>=(c|0)){y=132;break}ga=A+4|0;O=f[ga>>2]|0;if(!O){y=131;break}else{ea=ga;fa=O}}t=ea;A=fa}if((y|0)==127){ha=A;ia=A;break}else if((y|0)==131){ha=A;ia=ga;break}else if((y|0)==132){ha=A;ia=t;break}}else{ha=S;ia=S}while(0);S=f[ia>>2]|0;if(!S){q=cuc(48)|0;f[q+16>>2]=c;O=q+24|0;f[O>>2]=f[r>>2];f[O+4>>2]=f[r+4>>2];f[O+8>>2]=f[r+8>>2];f[O+12>>2]=f[r+12>>2];f[O+16>>2]=f[r+16>>2];f[O+20>>2]=f[r+20>>2];f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=ha;f[ia>>2]=q;B=f[f[a>>2]>>2]|0;if(!B)ja=q;else{f[a>>2]=B;ja=f[ia>>2]|0}jI(f[a+4>>2]|0,ja);B=a+8|0;f[B>>2]=(f[B>>2]|0)+1;f[q+40>>2]=C;b[q+32>>0]=5;b[q+33>>0]=0;ka=O}else{f[S+40>>2]=C;ka=S+24|0}S=ka+10|0;b[S>>0]=b[S>>0]&-16;f[ka>>2]=ca;break a;break}case 3:{S=f[g>>2]|0;if(S>>>0<(f[g+4>>2]|0)>>>0?(O=b[S>>0]|0,O<<24>>24>-1):0){f[g>>2]=S+1;la=O&255;ma=0}else{AJb(k,g);O=k;if(!(b[k+8>>0]|0)){z=0;u=j;return z|0}else{la=f[O>>2]|0;ma=f[O+4>>2]|0}}O=f[e+12>>2]|0;if(b[e+1>>0]|0){ycc(a,c,3,(b[e+2>>0]|0)!=0,la,ma,O);break a}S=k+4|0;f[S>>2]=0;f[S+4>>2]=0;f[S+8>>2]=0;f[S+12>>2]=0;f[S+16>>2]=0;f[S+20>>2]=0;q=a+4|0;B=f[q>>2]|0;do if(B){P=a+4|0;na=B;while(1){oa=f[na+16>>2]|0;if((oa|0)>(c|0)){pa=f[na>>2]|0;if(!pa){y=150;break}else{qa=na;ra=pa}}else{if((oa|0)>=(c|0)){y=155;break}sa=na+4|0;oa=f[sa>>2]|0;if(!oa){y=154;break}else{qa=sa;ra=oa}}P=qa;na=ra}if((y|0)==150){ta=na;ua=na;break}else if((y|0)==154){ta=na;ua=sa;break}else if((y|0)==155){ta=na;ua=P;break}}else{ta=q;ua=q}while(0);q=f[ua>>2]|0;if(!q){B=cuc(48)|0;f[B+16>>2]=c;C=B+24|0;f[C>>2]=f[S>>2];f[C+4>>2]=f[S+4>>2];f[C+8>>2]=f[S+8>>2];f[C+12>>2]=f[S+12>>2];f[C+16>>2]=f[S+16>>2];f[C+20>>2]=f[S+20>>2];f[B>>2]=0;f[B+4>>2]=0;f[B+8>>2]=ta;f[ua>>2]=B;r=f[f[a>>2]>>2]|0;if(!r)va=B;else{f[a>>2]=r;va=f[ua>>2]|0}jI(f[a+4>>2]|0,va);r=a+8|0;f[r>>2]=(f[r>>2]|0)+1;f[B+40>>2]=O;b[B+32>>0]=3;b[B+33>>0]=0;wa=C}else{f[q+40>>2]=O;wa=q+24|0}q=wa+10|0;b[q>>0]=b[q>>0]&-16;q=wa;f[q>>2]=la;f[q+4>>2]=ma;break a;break}case 13:{q=f[g>>2]|0;if(q>>>0<(f[g+4>>2]|0)>>>0){C=b[q>>0]|0;B=C&255;if(C<<24>>24>-1){f[g>>2]=q+1;xa=B}else{ya=B;y=166}}else{ya=0;y=166}if((y|0)==166){B=zJb(g,ya)|0;q=J;if((q|0)>-1|(q|0)==-1&B>>>0>4294967295)xa=B;else{z=0;u=j;return z|0}}B=f[e+12>>2]|0;if(b[e+1>>0]|0){Ecc(a,c,13,(b[e+2>>0]|0)!=0,xa,B);break a}q=k+4|0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;f[q+12>>2]=0;f[q+16>>2]=0;f[q+20>>2]=0;C=a+4|0;r=f[C>>2]|0;do if(r){t=a+4|0;A=r;while(1){oa=f[A+16>>2]|0;if((oa|0)>(c|0)){pa=f[A>>2]|0;if(!pa){y=173;break}else{za=A;Aa=pa}}else{if((oa|0)>=(c|0)){y=178;break}Ba=A+4|0;oa=f[Ba>>2]|0;if(!oa){y=177;break}else{za=Ba;Aa=oa}}t=za;A=Aa}if((y|0)==173){Ca=A;Da=A;break}else if((y|0)==177){Ca=A;Da=Ba;break}else if((y|0)==178){Ca=A;Da=t;break}}else{Ca=C;Da=C}while(0);C=f[Da>>2]|0;if(!C){r=cuc(48)|0;f[r+16>>2]=c;O=r+24|0;f[O>>2]=f[q>>2];f[O+4>>2]=f[q+4>>2];f[O+8>>2]=f[q+8>>2];f[O+12>>2]=f[q+12>>2];f[O+16>>2]=f[q+16>>2];f[O+20>>2]=f[q+20>>2];f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=Ca;f[Da>>2]=r;S=f[f[a>>2]>>2]|0;if(!S)Ea=r;else{f[a>>2]=S;Ea=f[Da>>2]|0}jI(f[a+4>>2]|0,Ea);S=a+8|0;f[S>>2]=(f[S>>2]|0)+1;f[r+40>>2]=B;b[r+32>>0]=13;b[r+33>>0]=0;Fa=O}else{f[C+40>>2]=B;Fa=C+24|0}C=Fa+10|0;b[C>>0]=b[C>>0]&-16;f[Fa>>2]=xa;break a;break}case 4:{C=f[g>>2]|0;if(C>>>0<(f[g+4>>2]|0)>>>0?(O=b[C>>0]|0,O<<24>>24>-1):0){f[g>>2]=C+1;Ga=O&255;Ha=0}else{AJb(k,g);O=k;if(!(b[k+8>>0]|0)){z=0;u=j;return z|0}else{Ga=f[O>>2]|0;Ha=f[O+4>>2]|0}}O=f[e+12>>2]|0;if(b[e+1>>0]|0){Kcc(a,c,4,(b[e+2>>0]|0)!=0,Ga,Ha,O);break a}C=k+4|0;f[C>>2]=0;f[C+4>>2]=0;f[C+8>>2]=0;f[C+12>>2]=0;f[C+16>>2]=0;f[C+20>>2]=0;r=a+4|0;S=f[r>>2]|0;do if(S){P=a+4|0;na=S;while(1){oa=f[na+16>>2]|0;if((oa|0)>(c|0)){pa=f[na>>2]|0;if(!pa){y=196;break}else{Ia=na;Ja=pa}}else{if((oa|0)>=(c|0)){y=201;break}Ka=na+4|0;oa=f[Ka>>2]|0;if(!oa){y=200;break}else{Ia=Ka;Ja=oa}}P=Ia;na=Ja}if((y|0)==196){La=na;Ma=na;break}else if((y|0)==200){La=na;Ma=Ka;break}else if((y|0)==201){La=na;Ma=P;break}}else{La=r;Ma=r}while(0);r=f[Ma>>2]|0;if(!r){S=cuc(48)|0;f[S+16>>2]=c;B=S+24|0;f[B>>2]=f[C>>2];f[B+4>>2]=f[C+4>>2];f[B+8>>2]=f[C+8>>2];f[B+12>>2]=f[C+12>>2];f[B+16>>2]=f[C+16>>2];f[B+20>>2]=f[C+20>>2];f[S>>2]=0;f[S+4>>2]=0;f[S+8>>2]=La;f[Ma>>2]=S;q=f[f[a>>2]>>2]|0;if(!q)Na=S;else{f[a>>2]=q;Na=f[Ma>>2]|0}jI(f[a+4>>2]|0,Na);q=a+8|0;f[q>>2]=(f[q>>2]|0)+1;f[S+40>>2]=O;b[S+32>>0]=4;b[S+33>>0]=0;Oa=B}else{f[r+40>>2]=O;Oa=r+24|0}r=Oa+10|0;b[r>>0]=b[r>>0]&-16;r=Oa;f[r>>2]=Ga;f[r+4>>2]=Ha;break a;break}case 17:{r=f[g>>2]|0;if(r>>>0<(f[g+4>>2]|0)>>>0){B=b[r>>0]|0;S=B&255;if(B<<24>>24>-1){f[g>>2]=r+1;Pa=S>>>1^0-(S&1)}else{Qa=S;y=212}}else{Qa=0;y=212}if((y|0)==212){S=zJb(g,Qa)|0;r=J;if((r|0)>-1|(r|0)==-1&S>>>0>4294967295)Pa=S>>>1^0-(S&1);else{z=0;u=j;return z|0}}S=f[e+12>>2]|0;if(b[e+1>>0]|0){scc(a,c,17,(b[e+2>>0]|0)!=0,Pa,S);break a}r=k+4|0;f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;f[r+12>>2]=0;f[r+16>>2]=0;f[r+20>>2]=0;B=a+4|0;q=f[B>>2]|0;do if(q){t=a+4|0;A=q;while(1){oa=f[A+16>>2]|0;if((oa|0)>(c|0)){pa=f[A>>2]|0;if(!pa){y=219;break}else{Ra=A;Sa=pa}}else{if((oa|0)>=(c|0)){y=224;break}Ta=A+4|0;oa=f[Ta>>2]|0;if(!oa){y=223;break}else{Ra=Ta;Sa=oa}}t=Ra;A=Sa}if((y|0)==219){Ua=A;Va=A;break}else if((y|0)==223){Ua=A;Va=Ta;break}else if((y|0)==224){Ua=A;Va=t;break}}else{Ua=B;Va=B}while(0);B=f[Va>>2]|0;if(!B){q=cuc(48)|0;f[q+16>>2]=c;O=q+24|0;f[O>>2]=f[r>>2];f[O+4>>2]=f[r+4>>2];f[O+8>>2]=f[r+8>>2];f[O+12>>2]=f[r+12>>2];f[O+16>>2]=f[r+16>>2];f[O+20>>2]=f[r+20>>2];f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=Ua;f[Va>>2]=q;C=f[f[a>>2]>>2]|0;if(!C)Wa=q;else{f[a>>2]=C;Wa=f[Va>>2]|0}jI(f[a+4>>2]|0,Wa);C=a+8|0;f[C>>2]=(f[C>>2]|0)+1;f[q+40>>2]=S;b[q+32>>0]=17;b[q+33>>0]=0;Xa=O}else{f[B+40>>2]=S;Xa=B+24|0}B=Xa+10|0;b[B>>0]=b[B>>0]&-16;f[Xa>>2]=Pa;break a;break}case 18:{B=f[g>>2]|0;if(B>>>0<(f[g+4>>2]|0)>>>0?(O=b[B>>0]|0,O<<24>>24>-1):0){q=O&255;f[g>>2]=B+1;B=pzc(q|0,0,1)|0;O=J;C=gzc(0,0,q&1|0,0)|0;Ya=B^C;Za=O^J}else{AJb(k,g);O=k;C=f[O>>2]|0;B=(b[k+8>>0]|0)==0;q=pzc(C|0,f[O+4>>2]|0,1)|0;O=J;P=gzc(0,0,C&1|0,0)|0;C=O^J;if(B){z=0;u=j;return z|0}else{Ya=q^P;Za=C}}C=f[e+12>>2]|0;if(b[e+1>>0]|0){ycc(a,c,18,(b[e+2>>0]|0)!=0,Ya,Za,C);break a}P=k+4|0;f[P>>2]=0;f[P+4>>2]=0;f[P+8>>2]=0;f[P+12>>2]=0;f[P+16>>2]=0;f[P+20>>2]=0;q=a+4|0;B=f[q>>2]|0;do if(B){O=a+4|0;na=B;while(1){oa=f[na+16>>2]|0;if((oa|0)>(c|0)){pa=f[na>>2]|0;if(!pa){y=242;break}else{_a=na;$a=pa}}else{if((oa|0)>=(c|0)){y=247;break}ab=na+4|0;oa=f[ab>>2]|0;if(!oa){y=246;break}else{_a=ab;$a=oa}}O=_a;na=$a}if((y|0)==242){bb=na;cb=na;break}else if((y|0)==246){bb=na;cb=ab;break}else if((y|0)==247){bb=na;cb=O;break}}else{bb=q;cb=q}while(0);q=f[cb>>2]|0;if(!q){B=cuc(48)|0;f[B+16>>2]=c;S=B+24|0;f[S>>2]=f[P>>2];f[S+4>>2]=f[P+4>>2];f[S+8>>2]=f[P+8>>2];f[S+12>>2]=f[P+12>>2];f[S+16>>2]=f[P+16>>2];f[S+20>>2]=f[P+20>>2];f[B>>2]=0;f[B+4>>2]=0;f[B+8>>2]=bb;f[cb>>2]=B;r=f[f[a>>2]>>2]|0;if(!r)db=B;else{f[a>>2]=r;db=f[cb>>2]|0}jI(f[a+4>>2]|0,db);r=a+8|0;f[r>>2]=(f[r>>2]|0)+1;f[B+40>>2]=C;b[B+32>>0]=18;b[B+33>>0]=0;eb=S}else{f[q+40>>2]=C;eb=q+24|0}q=eb+10|0;b[q>>0]=b[q>>0]&-16;q=eb;f[q>>2]=Ya;f[q+4>>2]=Za;break a;break}case 7:{q=f[g>>2]|0;do if(((f[g+4>>2]|0)-q|0)>3){S=q;B=h[S>>0]|h[S+1>>0]<<8|h[S+2>>0]<<16|h[S+3>>0]<<24;f[o>>2]=B;f[g>>2]=q+4;fb=B}else{if(LJb(g,o)|0){fb=f[o>>2]|0;break}z=0;u=j;return z|0}while(0);q=f[e+12>>2]|0;if(!(b[e+1>>0]|0)){C=k+4|0;f[C>>2]=0;f[C+4>>2]=0;f[C+8>>2]=0;f[C+12>>2]=0;f[C+16>>2]=0;f[C+20>>2]=0;P=a+4|0;B=f[P>>2]|0;do if(B){S=a+4|0;r=B;while(1){t=f[r+16>>2]|0;if((t|0)>(c|0)){A=f[r>>2]|0;if(!A){y=265;break}else{gb=r;hb=A}}else{if((t|0)>=(c|0)){y=270;break}ib=r+4|0;t=f[ib>>2]|0;if(!t){y=269;break}else{gb=ib;hb=t}}S=gb;r=hb}if((y|0)==265){jb=r;kb=r;break}else if((y|0)==269){jb=r;kb=ib;break}else if((y|0)==270){jb=r;kb=S;break}}else{jb=P;kb=P}while(0);P=f[kb>>2]|0;if(!P){B=cuc(48)|0;f[B+16>>2]=c;O=B+24|0;f[O>>2]=f[C>>2];f[O+4>>2]=f[C+4>>2];f[O+8>>2]=f[C+8>>2];f[O+12>>2]=f[C+12>>2];f[O+16>>2]=f[C+16>>2];f[O+20>>2]=f[C+20>>2];f[B>>2]=0;f[B+4>>2]=0;f[B+8>>2]=jb;f[kb>>2]=B;na=f[f[a>>2]>>2]|0;if(!na)lb=B;else{f[a>>2]=na;lb=f[kb>>2]|0}jI(f[a+4>>2]|0,lb);na=a+8|0;f[na>>2]=(f[na>>2]|0)+1;f[B+40>>2]=q;b[B+32>>0]=7;b[B+33>>0]=0;mb=O}else{f[P+40>>2]=q;mb=P+24|0}P=mb+10|0;b[P>>0]=b[P>>0]&-16;f[mb>>2]=fb}else Ecc(a,c,7,(b[e+2>>0]|0)!=0,fb,q);break a;break}case 6:{P=f[g>>2]|0;do if(((f[g+4>>2]|0)-P|0)>7){O=P;B=O;na=h[B>>0]|h[B+1>>0]<<8|h[B+2>>0]<<16|h[B+3>>0]<<24;B=O+4|0;O=h[B>>0]|h[B+1>>0]<<8|h[B+2>>0]<<16|h[B+3>>0]<<24;B=o;f[B>>2]=na;f[B+4>>2]=O;f[g>>2]=P+8;nb=na;ob=O}else{if(MJb(g,o)|0){O=o;nb=f[O>>2]|0;ob=f[O+4>>2]|0;break}z=0;u=j;return z|0}while(0);P=f[e+12>>2]|0;if(!(b[e+1>>0]|0)){q=k+4|0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;f[q+12>>2]=0;f[q+16>>2]=0;f[q+20>>2]=0;C=a+4|0;O=f[C>>2]|0;do if(O){na=a+4|0;B=O;while(1){t=f[B+16>>2]|0;if((t|0)>(c|0)){A=f[B>>2]|0;if(!A){y=289;break}else{pb=B;qb=A}}else{if((t|0)>=(c|0)){y=294;break}rb=B+4|0;t=f[rb>>2]|0;if(!t){y=293;break}else{pb=rb;qb=t}}na=pb;B=qb}if((y|0)==289){sb=B;tb=B;break}else if((y|0)==293){sb=B;tb=rb;break}else if((y|0)==294){sb=B;tb=na;break}}else{sb=C;tb=C}while(0);C=f[tb>>2]|0;if(!C){O=cuc(48)|0;f[O+16>>2]=c;S=O+24|0;f[S>>2]=f[q>>2];f[S+4>>2]=f[q+4>>2];f[S+8>>2]=f[q+8>>2];f[S+12>>2]=f[q+12>>2];f[S+16>>2]=f[q+16>>2];f[S+20>>2]=f[q+20>>2];f[O>>2]=0;f[O+4>>2]=0;f[O+8>>2]=sb;f[tb>>2]=O;r=f[f[a>>2]>>2]|0;if(!r)ub=O;else{f[a>>2]=r;ub=f[tb>>2]|0}jI(f[a+4>>2]|0,ub);r=a+8|0;f[r>>2]=(f[r>>2]|0)+1;f[O+40>>2]=P;b[O+32>>0]=6;b[O+33>>0]=0;vb=S}else{f[C+40>>2]=P;vb=C+24|0}C=vb+10|0;b[C>>0]=b[C>>0]&-16;C=vb;f[C>>2]=nb;f[C+4>>2]=ob}else Kcc(a,c,6,(b[e+2>>0]|0)!=0,nb,ob,P);break a;break}case 15:{C=f[g>>2]|0;do if(((f[g+4>>2]|0)-C|0)>3){S=C;O=h[S>>0]|h[S+1>>0]<<8|h[S+2>>0]<<16|h[S+3>>0]<<24;f[k>>2]=O;f[g>>2]=C+4;wb=O}else{if(LJb(g,k)|0){wb=f[k>>2]|0;break}z=0;u=j;return z|0}while(0);C=f[e+12>>2]|0;if(b[e+1>>0]|0){scc(a,c,15,(b[e+2>>0]|0)!=0,wb,C);break a}P=k+4|0;f[P>>2]=0;f[P+4>>2]=0;f[P+8>>2]=0;f[P+12>>2]=0;f[P+16>>2]=0;f[P+20>>2]=0;q=a+4|0;O=f[q>>2]|0;do if(O){S=a+4|0;r=O;while(1){t=f[r+16>>2]|0;if((t|0)>(c|0)){A=f[r>>2]|0;if(!A){y=313;break}else{xb=r;yb=A}}else{if((t|0)>=(c|0)){y=318;break}zb=r+4|0;t=f[zb>>2]|0;if(!t){y=317;break}else{xb=zb;yb=t}}S=xb;r=yb}if((y|0)==313){Ab=r;Bb=r;break}else if((y|0)==317){Ab=r;Bb=zb;break}else if((y|0)==318){Ab=r;Bb=S;break}}else{Ab=q;Bb=q}while(0);q=f[Bb>>2]|0;if(!q){O=cuc(48)|0;f[O+16>>2]=c;na=O+24|0;f[na>>2]=f[P>>2];f[na+4>>2]=f[P+4>>2];f[na+8>>2]=f[P+8>>2];f[na+12>>2]=f[P+12>>2];f[na+16>>2]=f[P+16>>2];f[na+20>>2]=f[P+20>>2];f[O>>2]=0;f[O+4>>2]=0;f[O+8>>2]=Ab;f[Bb>>2]=O;B=f[f[a>>2]>>2]|0;if(!B)Cb=O;else{f[a>>2]=B;Cb=f[Bb>>2]|0}jI(f[a+4>>2]|0,Cb);B=a+8|0;f[B>>2]=(f[B>>2]|0)+1;f[O+40>>2]=C;b[O+32>>0]=15;b[O+33>>0]=0;Db=na}else{f[q+40>>2]=C;Db=q+24|0}q=Db+10|0;b[q>>0]=b[q>>0]&-16;f[Db>>2]=wb;break a;break}case 16:{q=f[g>>2]|0;do if(((f[g+4>>2]|0)-q|0)>7){na=q;O=na;B=h[O>>0]|h[O+1>>0]<<8|h[O+2>>0]<<16|h[O+3>>0]<<24;O=na+4|0;na=h[O>>0]|h[O+1>>0]<<8|h[O+2>>0]<<16|h[O+3>>0]<<24;O=k;f[O>>2]=B;f[O+4>>2]=na;f[g>>2]=q+8;Eb=B;Fb=na}else{if(MJb(g,k)|0){na=k;Eb=f[na>>2]|0;Fb=f[na+4>>2]|0;break}z=0;u=j;return z|0}while(0);q=f[e+12>>2]|0;if(b[e+1>>0]|0){ycc(a,c,16,(b[e+2>>0]|0)!=0,Eb,Fb,q);break a}C=k+4|0;f[C>>2]=0;f[C+4>>2]=0;f[C+8>>2]=0;f[C+12>>2]=0;f[C+16>>2]=0;f[C+20>>2]=0;P=a+4|0;na=f[P>>2]|0;do if(na){B=a+4|0;O=na;while(1){t=f[O+16>>2]|0;if((t|0)>(c|0)){A=f[O>>2]|0;if(!A){y=336;break}else{Gb=O;Hb=A}}else{if((t|0)>=(c|0)){y=341;break}Ib=O+4|0;t=f[Ib>>2]|0;if(!t){y=340;break}else{Gb=Ib;Hb=t}}B=Gb;O=Hb}if((y|0)==336){Jb=O;Kb=O;break}else if((y|0)==340){Jb=O;Kb=Ib;break}else if((y|0)==341){Jb=O;Kb=B;break}}else{Jb=P;Kb=P}while(0);P=f[Kb>>2]|0;if(!P){na=cuc(48)|0;f[na+16>>2]=c;S=na+24|0;f[S>>2]=f[C>>2];f[S+4>>2]=f[C+4>>2];f[S+8>>2]=f[C+8>>2];f[S+12>>2]=f[C+12>>2];f[S+16>>2]=f[C+16>>2];f[S+20>>2]=f[C+20>>2];f[na>>2]=0;f[na+4>>2]=0;f[na+8>>2]=Jb;f[Kb>>2]=na;r=f[f[a>>2]>>2]|0;if(!r)Lb=na;else{f[a>>2]=r;Lb=f[Kb>>2]|0}jI(f[a+4>>2]|0,Lb);r=a+8|0;f[r>>2]=(f[r>>2]|0)+1;f[na+40>>2]=q;b[na+32>>0]=16;b[na+33>>0]=0;Mb=S}else{f[P+40>>2]=q;Mb=P+24|0}P=Mb+10|0;b[P>>0]=b[P>>0]&-16;P=Mb;f[P>>2]=Eb;f[P+4>>2]=Fb;break a;break}case 2:{P=f[g>>2]|0;do if(((f[g+4>>2]|0)-P|0)>3){S=P;na=h[S>>0]|h[S+1>>0]<<8|h[S+2>>0]<<16|h[S+3>>0]<<24;f[k>>2]=na;f[g>>2]=P+4;Nb=na}else{if(LJb(g,k)|0){Nb=f[k>>2]|0;break}z=0;u=j;return z|0}while(0);P=f[e+12>>2]|0;if(b[e+1>>0]|0){Qcc(a,c,2,(b[e+2>>0]|0)!=0,(f[s>>2]=Nb,+n[s>>2]),P);break a}q=k+4|0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;f[q+12>>2]=0;f[q+16>>2]=0;f[q+20>>2]=0;C=a+4|0;na=f[C>>2]|0;do if(na){S=a+4|0;r=na;while(1){t=f[r+16>>2]|0;if((t|0)>(c|0)){A=f[r>>2]|0;if(!A){y=359;break}else{Ob=r;Pb=A}}else{if((t|0)>=(c|0)){y=364;break}Qb=r+4|0;t=f[Qb>>2]|0;if(!t){y=363;break}else{Ob=Qb;Pb=t}}S=Ob;r=Pb}if((y|0)==359){Rb=r;Sb=r;break}else if((y|0)==363){Rb=r;Sb=Qb;break}else if((y|0)==364){Rb=r;Sb=S;break}}else{Rb=C;Sb=C}while(0);C=f[Sb>>2]|0;if(!C){na=cuc(48)|0;f[na+16>>2]=c;B=na+24|0;f[B>>2]=f[q>>2];f[B+4>>2]=f[q+4>>2];f[B+8>>2]=f[q+8>>2];f[B+12>>2]=f[q+12>>2];f[B+16>>2]=f[q+16>>2];f[B+20>>2]=f[q+20>>2];f[na>>2]=0;f[na+4>>2]=0;f[na+8>>2]=Rb;f[Sb>>2]=na;O=f[f[a>>2]>>2]|0;if(!O)Tb=na;else{f[a>>2]=O;Tb=f[Sb>>2]|0}jI(f[a+4>>2]|0,Tb);O=a+8|0;f[O>>2]=(f[O>>2]|0)+1;f[na+40>>2]=P;b[na+32>>0]=2;b[na+33>>0]=0;Ub=B}else{f[C+40>>2]=P;Ub=C+24|0}C=Ub+10|0;b[C>>0]=b[C>>0]&-16;f[Ub>>2]=Nb;break a;break}case 1:{C=f[g>>2]|0;do if(((f[g+4>>2]|0)-C|0)>7){B=C;na=B;O=h[na>>0]|h[na+1>>0]<<8|h[na+2>>0]<<16|h[na+3>>0]<<24;na=B+4|0;B=h[na>>0]|h[na+1>>0]<<8|h[na+2>>0]<<16|h[na+3>>0]<<24;na=k;f[na>>2]=O;f[na+4>>2]=B;f[g>>2]=C+8;f[s>>2]=O;f[s+4>>2]=B;Vb=+p[s>>3]}else{if(MJb(g,k)|0){Vb=+p[k>>3];break}z=0;u=j;return z|0}while(0);C=f[e+12>>2]|0;if(b[e+1>>0]|0){Wcc(a,c,1,(b[e+2>>0]|0)!=0,Vb,C);break a}P=k+4|0;f[P>>2]=0;f[P+4>>2]=0;f[P+8>>2]=0;f[P+12>>2]=0;f[P+16>>2]=0;f[P+20>>2]=0;q=a+4|0;B=f[q>>2]|0;do if(B){O=a+4|0;na=B;while(1){t=f[na+16>>2]|0;if((t|0)>(c|0)){A=f[na>>2]|0;if(!A){y=382;break}else{Wb=na;Xb=A}}else{if((t|0)>=(c|0)){y=387;break}Yb=na+4|0;t=f[Yb>>2]|0;if(!t){y=386;break}else{Wb=Yb;Xb=t}}O=Wb;na=Xb}if((y|0)==382){Zb=na;_b=na;break}else if((y|0)==386){Zb=na;_b=Yb;break}else if((y|0)==387){Zb=na;_b=O;break}}else{Zb=q;_b=q}while(0);q=f[_b>>2]|0;if(!q){B=cuc(48)|0;f[B+16>>2]=c;S=B+24|0;f[S>>2]=f[P>>2];f[S+4>>2]=f[P+4>>2];f[S+8>>2]=f[P+8>>2];f[S+12>>2]=f[P+12>>2];f[S+16>>2]=f[P+16>>2];f[S+20>>2]=f[P+20>>2];f[B>>2]=0;f[B+4>>2]=0;f[B+8>>2]=Zb;f[_b>>2]=B;r=f[f[a>>2]>>2]|0;if(!r)$b=B;else{f[a>>2]=r;$b=f[_b>>2]|0}jI(f[a+4>>2]|0,$b);r=a+8|0;f[r>>2]=(f[r>>2]|0)+1;f[B+40>>2]=C;b[B+32>>0]=1;b[B+33>>0]=0;ac=S}else{f[q+40>>2]=C;ac=q+24|0}q=ac+10|0;b[q>>0]=b[q>>0]&-16;p[ac>>3]=Vb;break a;break}case 8:{q=f[g>>2]|0;if(q>>>0<(f[g+4>>2]|0)>>>0?(S=b[q>>0]|0,S<<24>>24>-1):0){f[g>>2]=q+1;bc=S<<24>>24!=0}else{AJb(k,g);S=k;if(!(b[k+8>>0]|0)){z=0;u=j;return z|0}else bc=(f[S>>2]|0)!=0|(f[S+4>>2]|0)!=0}S=f[e+12>>2]|0;if(b[e+1>>0]|0){adc(a,c,8,(b[e+2>>0]|0)!=0,bc,S);break a}q=bc&1;B=k+4|0;f[B>>2]=0;f[B+4>>2]=0;f[B+8>>2]=0;f[B+12>>2]=0;f[B+16>>2]=0;f[B+20>>2]=0;r=a+4|0;t=f[r>>2]|0;do if(t){A=a+4|0;oa=t;while(1){pa=f[oa+16>>2]|0;if((pa|0)>(c|0)){cc=f[oa>>2]|0;if(!cc){y=405;break}else{dc=oa;ec=cc}}else{if((pa|0)>=(c|0)){y=410;break}fc=oa+4|0;pa=f[fc>>2]|0;if(!pa){y=409;break}else{dc=fc;ec=pa}}A=dc;oa=ec}if((y|0)==405){gc=oa;hc=oa;break}else if((y|0)==409){gc=oa;hc=fc;break}else if((y|0)==410){gc=oa;hc=A;break}}else{gc=r;hc=r}while(0);r=f[hc>>2]|0;if(!r){t=cuc(48)|0;f[t+16>>2]=c;C=t+24|0;f[C>>2]=f[B>>2];f[C+4>>2]=f[B+4>>2];f[C+8>>2]=f[B+8>>2];f[C+12>>2]=f[B+12>>2];f[C+16>>2]=f[B+16>>2];f[C+20>>2]=f[B+20>>2];f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=gc;f[hc>>2]=t;P=f[f[a>>2]>>2]|0;if(!P)ic=t;else{f[a>>2]=P;ic=f[hc>>2]|0}jI(f[a+4>>2]|0,ic);P=a+8|0;f[P>>2]=(f[P>>2]|0)+1;f[t+40>>2]=S;b[t+32>>0]=8;b[t+33>>0]=0;jc=C}else{f[r+40>>2]=S;jc=r+24|0}r=jc+10|0;b[r>>0]=b[r>>0]&-16;b[jc>>0]=q;break a;break}case 14:{r=f[g>>2]|0;if(r>>>0<(f[g+4>>2]|0)>>>0){C=b[r>>0]|0;t=C&255;if(C<<24>>24>-1){f[g>>2]=r+1;kc=t}else{lc=t;y=421}}else{lc=0;y=421}if((y|0)==421){t=zJb(g,lc)|0;r=J;if((r|0)>-1|(r|0)==-1&t>>>0>4294967295)kc=t;else{z=0;u=j;return z|0}}if(!(Th[f[e+4>>2]&1023](f[e+8>>2]|0,kc)|0)){Zh[f[(f[i>>2]|0)+16>>2]&511](i,c,kc);break a}t=f[e+12>>2]|0;if(b[e+1>>0]|0){idc(a,c,14,(b[e+2>>0]|0)!=0,kc,t);break a}r=k+4|0;f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;f[r+12>>2]=0;f[r+16>>2]=0;f[r+20>>2]=0;C=a+4|0;P=f[C>>2]|0;do if(P){O=a+4|0;na=P;while(1){pa=f[na+16>>2]|0;if((pa|0)>(c|0)){cc=f[na>>2]|0;if(!cc){y=430;break}else{mc=na;nc=cc}}else{if((pa|0)>=(c|0)){y=435;break}oc=na+4|0;pa=f[oc>>2]|0;if(!pa){y=434;break}else{mc=oc;nc=pa}}O=mc;na=nc}if((y|0)==430){pc=na;qc=na;break}else if((y|0)==434){pc=na;qc=oc;break}else if((y|0)==435){pc=na;qc=O;break}}else{pc=C;qc=C}while(0);C=f[qc>>2]|0;if(!C){P=cuc(48)|0;f[P+16>>2]=c;q=P+24|0;f[q>>2]=f[r>>2];f[q+4>>2]=f[r+4>>2];f[q+8>>2]=f[r+8>>2];f[q+12>>2]=f[r+12>>2];f[q+16>>2]=f[r+16>>2];f[q+20>>2]=f[r+20>>2];f[P>>2]=0;f[P+4>>2]=0;f[P+8>>2]=pc;f[qc>>2]=P;S=f[f[a>>2]>>2]|0;if(!S)rc=P;else{f[a>>2]=S;rc=f[qc>>2]|0}jI(f[a+4>>2]|0,rc);S=a+8|0;f[S>>2]=(f[S>>2]|0)+1;f[P+40>>2]=t;b[P+32>>0]=14;b[P+33>>0]=0;sc=q}else{f[C+40>>2]=t;sc=C+24|0}C=sc+10|0;b[C>>0]=b[C>>0]&-16;f[sc>>2]=kc;break a;break}case 9:{C=f[e+12>>2]|0;if(!(b[e+1>>0]|0))tc=kdc(a,c,9,C)|0;else tc=ndc(a,c,9,C)|0;if($Lb(g,tc)|0)break a;else z=0;u=j;return z|0}case 12:{C=f[e+12>>2]|0;if(!(b[e+1>>0]|0))uc=kdc(a,c,12,C)|0;else uc=ndc(a,c,12,C)|0;if($Lb(g,uc)|0)break a;else z=0;u=j;return z|0}case 10:{C=f[e+4>>2]|0;q=f[e+12>>2]|0;if(!(b[e+1>>0]|0))vc=odc(a,c,10,C,q)|0;else vc=sdc(a,c,10,C,q)|0;q=g+40|0;C=f[q>>2]|0;f[q>>2]=C+-1;if((C|0)<=0){z=0;u=j;return z|0}if(!(Th[f[(f[vc>>2]|0)+44>>2]&1023](vc,g)|0)){z=0;u=j;return z|0}C=f[q>>2]|0;if((C|0)<(f[g+44>>2]|0))f[q>>2]=C+1;if((f[g+20>>2]|0)==(c<<3|4|0))break a;else z=0;u=j;return z|0}case 11:{C=f[e+4>>2]|0;q=f[e+12>>2]|0;if(!(b[e+1>>0]|0))wc=odc(a,c,11,C,q)|0;else wc=sdc(a,c,11,C,q)|0;q=f[g>>2]|0;if(q>>>0<(f[g+4>>2]|0)>>>0?(C=b[q>>0]|0,C<<24>>24>-1):0){f[g>>2]=q+1;xc=C&255}else{C=NJb(g)|0;if((C|0)>-1)xc=C;else{z=0;u=j;return z|0}}yJb(k,g,xc);if((f[k+4>>2]|0)>=0?Th[f[(f[wc>>2]|0)+44>>2]&1023](wc,g)|0:0){if(DJb(g,f[k>>2]|0)|0)break a;else z=0;u=j;return z|0}z=0;u=j;return z|0}default:break a}while(0);while(0);z=1;u=j;return z|0}function Fdc(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;e=a+4|0;a=f[e>>2]|0;if(!a)return;else{g=e;h=a}a:while(1){a=h;while(1){if((f[a+16>>2]|0)>=(b|0))break;i=f[a+4>>2]|0;if(!i){j=g;break a}else a=i}h=f[a>>2]|0;if(!h){j=a;break}else g=a}if((j|0)==(e|0))return;else k=j;while(1){j=f[k+16>>2]|0;if((j|0)>=(c|0)){l=14;break}Gdc(k+24|0,j,d);j=f[k+4>>2]|0;if(!j){g=k+8|0;h=f[g>>2]|0;if((f[h>>2]|0)==(k|0))m=h;else{h=g;do{g=f[h>>2]|0;h=g+8|0;b=f[h>>2]|0}while((f[b>>2]|0)!=(g|0));m=b}}else{h=j;while(1){a=f[h>>2]|0;if(!a)break;else h=a}m=h}if((m|0)==(e|0)){l=14;break}else k=m}if((l|0)==14)return}function Gdc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0;e=u;u=u+32|0;g=e;h=e+24|0;if(!(b[a+9>>0]|0)){i=b[a+10>>0]|0;if(i&1){u=e;return}do switch(b[a+8>>0]|0){case 5:{GLb(c,f[a>>2]|0,d);u=e;return}case 3:{j=a;HLb(c,f[j>>2]|0,f[j+4>>2]|0,d);u=e;return}case 13:{ILb(c,f[a>>2]|0,d);u=e;return}case 4:{j=a;JLb(c,f[j>>2]|0,f[j+4>>2]|0,d);u=e;return}case 17:{KLb(c,f[a>>2]|0,d);u=e;return}case 18:{j=a;LLb(c,f[j>>2]|0,f[j+4>>2]|0,d);u=e;return}case 7:{MLb(c,f[a>>2]|0,d);u=e;return}case 6:{j=a;NLb(c,f[j>>2]|0,f[j+4>>2]|0,d);u=e;return}case 15:{OLb(c,f[a>>2]|0,d);u=e;return}case 16:{j=a;PLb(c,f[j>>2]|0,f[j+4>>2]|0,d);u=e;return}case 2:{QLb(c,+n[a>>2],d);u=e;return}case 1:{RLb(c,+p[a>>3],d);u=e;return}case 8:{SLb(c,(b[a>>0]|0)!=0,d);u=e;return}case 9:{ULb(c,f[a>>2]|0,d);u=e;return}case 12:{WLb(c,f[a>>2]|0,d);u=e;return}case 14:{TLb(c,f[a>>2]|0,d);u=e;return}case 10:{YLb(c,f[a>>2]|0,d);u=e;return}case 11:{j=f[a>>2]|0;if(!(i&16)){ZLb(c,j,d);u=e;return}else{Zh[f[(f[j>>2]|0)+60>>2]&511](j,c,d);u=e;return}break}default:{u=e;return}}while(0)}if(!(b[a+11>>0]|0))do switch(b[a+8>>0]|0){case 5:{i=f[a>>2]|0;if((f[i>>2]|0)>0){k=0;l=i}else{u=e;return}do{GLb(c,f[(f[l+8>>2]|0)+4+(k<<2)>>2]|0,d);k=k+1|0;l=f[a>>2]|0}while((k|0)<(f[l>>2]|0));u=e;return}case 3:{i=f[a>>2]|0;if((f[i>>2]|0)>0){m=0;o=i}else{u=e;return}do{i=(f[o+8>>2]|0)+8+(m<<3)|0;HLb(c,f[i>>2]|0,f[i+4>>2]|0,d);m=m+1|0;o=f[a>>2]|0}while((m|0)<(f[o>>2]|0));u=e;return}case 13:{i=f[a>>2]|0;if((f[i>>2]|0)>0){q=0;r=i}else{u=e;return}do{ILb(c,f[(f[r+8>>2]|0)+4+(q<<2)>>2]|0,d);q=q+1|0;r=f[a>>2]|0}while((q|0)<(f[r>>2]|0));u=e;return}case 4:{i=f[a>>2]|0;if((f[i>>2]|0)>0){s=0;t=i}else{u=e;return}do{i=(f[t+8>>2]|0)+8+(s<<3)|0;JLb(c,f[i>>2]|0,f[i+4>>2]|0,d);s=s+1|0;t=f[a>>2]|0}while((s|0)<(f[t>>2]|0));u=e;return}case 17:{i=f[a>>2]|0;if((f[i>>2]|0)>0){v=0;w=i}else{u=e;return}do{KLb(c,f[(f[w+8>>2]|0)+4+(v<<2)>>2]|0,d);v=v+1|0;w=f[a>>2]|0}while((v|0)<(f[w>>2]|0));u=e;return}case 18:{i=f[a>>2]|0;if((f[i>>2]|0)>0){x=0;y=i}else{u=e;return}do{i=(f[y+8>>2]|0)+8+(x<<3)|0;LLb(c,f[i>>2]|0,f[i+4>>2]|0,d);x=x+1|0;y=f[a>>2]|0}while((x|0)<(f[y>>2]|0));u=e;return}case 7:{i=f[a>>2]|0;if((f[i>>2]|0)>0){z=0;A=i}else{u=e;return}do{MLb(c,f[(f[A+8>>2]|0)+4+(z<<2)>>2]|0,d);z=z+1|0;A=f[a>>2]|0}while((z|0)<(f[A>>2]|0));u=e;return}case 6:{i=f[a>>2]|0;if((f[i>>2]|0)>0){B=0;C=i}else{u=e;return}do{i=(f[C+8>>2]|0)+8+(B<<3)|0;NLb(c,f[i>>2]|0,f[i+4>>2]|0,d);B=B+1|0;C=f[a>>2]|0}while((B|0)<(f[C>>2]|0));u=e;return}case 15:{i=f[a>>2]|0;if((f[i>>2]|0)>0){D=0;E=i}else{u=e;return}do{OLb(c,f[(f[E+8>>2]|0)+4+(D<<2)>>2]|0,d);D=D+1|0;E=f[a>>2]|0}while((D|0)<(f[E>>2]|0));u=e;return}case 16:{i=f[a>>2]|0;if((f[i>>2]|0)>0){F=0;G=i}else{u=e;return}do{i=(f[G+8>>2]|0)+8+(F<<3)|0;PLb(c,f[i>>2]|0,f[i+4>>2]|0,d);F=F+1|0;G=f[a>>2]|0}while((F|0)<(f[G>>2]|0));u=e;return}case 2:{i=f[a>>2]|0;if((f[i>>2]|0)>0){H=0;I=i}else{u=e;return}do{QLb(c,+n[(f[I+8>>2]|0)+4+(H<<2)>>2],d);H=H+1|0;I=f[a>>2]|0}while((H|0)<(f[I>>2]|0));u=e;return}case 1:{i=f[a>>2]|0;if((f[i>>2]|0)>0){K=0;L=i}else{u=e;return}do{RLb(c,+p[(f[L+8>>2]|0)+8+(K<<3)>>3],d);K=K+1|0;L=f[a>>2]|0}while((K|0)<(f[L>>2]|0));u=e;return}case 8:{i=f[a>>2]|0;if((f[i>>2]|0)>0){M=0;N=i}else{u=e;return}do{SLb(c,(b[(f[N+8>>2]|0)+4+M>>0]|0)!=0,d);M=M+1|0;N=f[a>>2]|0}while((M|0)<(f[N>>2]|0));u=e;return}case 9:{i=f[a>>2]|0;if((f[i+4>>2]|0)>0){O=0;P=i}else{u=e;return}do{ULb(c,f[(f[P+12>>2]|0)+4+(O<<2)>>2]|0,d);O=O+1|0;P=f[a>>2]|0}while((O|0)<(f[P+4>>2]|0));u=e;return}case 12:{i=f[a>>2]|0;if((f[i+4>>2]|0)>0){Q=0;R=i}else{u=e;return}do{WLb(c,f[(f[R+12>>2]|0)+4+(Q<<2)>>2]|0,d);Q=Q+1|0;R=f[a>>2]|0}while((Q|0)<(f[R+4>>2]|0));u=e;return}case 14:{i=f[a>>2]|0;if((f[i>>2]|0)>0){S=0;T=i}else{u=e;return}do{TLb(c,f[(f[T+8>>2]|0)+4+(S<<2)>>2]|0,d);S=S+1|0;T=f[a>>2]|0}while((S|0)<(f[T>>2]|0));u=e;return}case 10:{i=f[a>>2]|0;if((f[i+4>>2]|0)>0){U=0;V=i}else{u=e;return}do{YLb(c,f[(f[V+12>>2]|0)+4+(U<<2)>>2]|0,d);U=U+1|0;V=f[a>>2]|0}while((U|0)<(f[V+4>>2]|0));u=e;return}case 11:{i=f[a>>2]|0;if((f[i+4>>2]|0)>0){W=0;X=i}else{u=e;return}do{ZLb(c,f[(f[X+12>>2]|0)+4+(W<<2)>>2]|0,d);W=W+1|0;X=f[a>>2]|0}while((W|0)<(f[X+4>>2]|0));u=e;return}default:{u=e;return}}while(0);X=a+12|0;if(!(f[X>>2]|0)){u=e;return}W=c<<3|2;c=d+8|0;if((f[c>>2]|0)>4){V=d+4|0;U=f[V>>2]|0;if(W>>>0>127){T=W;S=U;while(1){b[S>>0]=T|128;R=T>>>7;Q=S+1|0;if(T>>>0>16383){T=R;S=Q}else{Y=Q;Z=R;break}}}else{Y=U;Z=W}b[Y>>0]=Z;Z=Y+1-U|0;f[V>>2]=(f[V>>2]|0)+Z;V=(f[c>>2]|0)-Z|0;f[c>>2]=V;_=V}else{VJb(d,W);_=f[c>>2]|0}W=f[X>>2]|0;if((_|0)>4){_=d+4|0;X=f[_>>2]|0;if(W>>>0>127){V=W;Z=X;while(1){b[Z>>0]=V|128;U=V>>>7;Y=Z+1|0;if(V>>>0>16383){V=U;Z=Y}else{$=Y;aa=U;break}}}else{$=X;aa=W}b[$>>0]=aa;aa=$+1-X|0;f[_>>2]=(f[_>>2]|0)+aa;f[c>>2]=(f[c>>2]|0)-aa}else VJb(d,W);do switch(b[a+8>>0]|0){case 5:{W=f[a>>2]|0;if((f[W>>2]|0)<=0){u=e;return}aa=d+4|0;_=0;X=W;do{W=f[(f[X+8>>2]|0)+4+(_<<2)>>2]|0;$=((W|0)<0)<<31>>31;if((f[c>>2]|0)>9){Z=f[aa>>2]|0;V=W&255;if(W>>>0>127){U=Z;Y=V;S=W;T=$;while(1){b[U>>0]=Y|-128;R=S;S=pzc(S|0,T|0,7)|0;Q=U+1|0;P=S&255;if(!(T>>>0>0|(T|0)==0&R>>>0>16383)){ba=Q;ca=P;break}else{U=Q;Y=P;T=J}}}else{ba=Z;ca=V}b[ba>>0]=ca;T=ba+1-Z|0;f[aa>>2]=(f[aa>>2]|0)+T;f[c>>2]=(f[c>>2]|0)-T}else WJb(d,W,$);_=_+1|0;X=f[a>>2]|0}while((_|0)<(f[X>>2]|0));u=e;return}case 3:{X=f[a>>2]|0;if((f[X>>2]|0)<=0){u=e;return}_=d+4|0;aa=0;T=X;do{X=(f[T+8>>2]|0)+8+(aa<<3)|0;Y=f[X>>2]|0;U=f[X+4>>2]|0;if((f[c>>2]|0)>9){X=f[_>>2]|0;S=Y&255;if(U>>>0>0|(U|0)==0&Y>>>0>127){P=X;Q=S;R=Y;O=U;while(1){b[P>>0]=Q|-128;N=R;R=pzc(R|0,O|0,7)|0;M=P+1|0;L=R&255;if(!(O>>>0>0|(O|0)==0&N>>>0>16383)){da=M;ea=L;break}else{P=M;Q=L;O=J}}}else{da=X;ea=S}b[da>>0]=ea;O=da+1-X|0;f[_>>2]=(f[_>>2]|0)+O;f[c>>2]=(f[c>>2]|0)-O}else WJb(d,Y,U);aa=aa+1|0;T=f[a>>2]|0}while((aa|0)<(f[T>>2]|0));u=e;return}case 13:{T=f[a>>2]|0;if((f[T>>2]|0)<=0){u=e;return}aa=d+4|0;_=0;O=T;do{T=f[(f[O+8>>2]|0)+4+(_<<2)>>2]|0;if((f[c>>2]|0)>4){Q=f[aa>>2]|0;if(T>>>0>127){P=T;R=Q;while(1){b[R>>0]=P|128;$=P>>>7;W=R+1|0;if(P>>>0>16383){P=$;R=W}else{fa=W;ga=$;break}}}else{fa=Q;ga=T}b[fa>>0]=ga;R=fa+1-Q|0;f[aa>>2]=(f[aa>>2]|0)+R;f[c>>2]=(f[c>>2]|0)-R}else VJb(d,T);_=_+1|0;O=f[a>>2]|0}while((_|0)<(f[O>>2]|0));u=e;return}case 4:{O=f[a>>2]|0;if((f[O>>2]|0)<=0){u=e;return}_=d+4|0;aa=0;R=O;do{O=(f[R+8>>2]|0)+8+(aa<<3)|0;P=f[O>>2]|0;U=f[O+4>>2]|0;if((f[c>>2]|0)>9){O=f[_>>2]|0;Y=P&255;if(U>>>0>0|(U|0)==0&P>>>0>127){X=O;S=Y;$=P;W=U;while(1){b[X>>0]=S|-128;Z=$;$=pzc($|0,W|0,7)|0;V=X+1|0;L=$&255;if(!(W>>>0>0|(W|0)==0&Z>>>0>16383)){ha=V;ia=L;break}else{X=V;S=L;W=J}}}else{ha=O;ia=Y}b[ha>>0]=ia;W=ha+1-O|0;f[_>>2]=(f[_>>2]|0)+W;f[c>>2]=(f[c>>2]|0)-W}else WJb(d,P,U);aa=aa+1|0;R=f[a>>2]|0}while((aa|0)<(f[R>>2]|0));u=e;return}case 17:{R=f[a>>2]|0;if((f[R>>2]|0)<=0){u=e;return}aa=d+4|0;_=0;W=R;do{R=f[(f[W+8>>2]|0)+4+(_<<2)>>2]|0;S=R<<1^R>>31;if((f[c>>2]|0)>4){R=f[aa>>2]|0;if(S>>>0>127){X=S;$=R;while(1){b[$>>0]=X|128;T=X>>>7;Q=$+1|0;if(X>>>0>16383){X=T;$=Q}else{ja=Q;ka=T;break}}}else{ja=R;ka=S}b[ja>>0]=ka;$=ja+1-R|0;f[aa>>2]=(f[aa>>2]|0)+$;f[c>>2]=(f[c>>2]|0)-$}else VJb(d,S);_=_+1|0;W=f[a>>2]|0}while((_|0)<(f[W>>2]|0));u=e;return}case 18:{W=f[a>>2]|0;if((f[W>>2]|0)<=0){u=e;return}_=d+4|0;aa=0;$=W;do{W=(f[$+8>>2]|0)+8+(aa<<3)|0;X=f[W>>2]|0;U=f[W+4>>2]|0;W=yzc(X|0,U|0,1)|0;P=J;O=ozc(X|0,U|0,63)|0;U=W^O;O=P^J;if((f[c>>2]|0)>9){P=f[_>>2]|0;W=U&255;if(O>>>0>0|(O|0)==0&U>>>0>127){X=P;Y=W;T=U;Q=O;while(1){b[X>>0]=Y|-128;L=T;T=pzc(T|0,Q|0,7)|0;V=X+1|0;Z=T&255;if(!(Q>>>0>0|(Q|0)==0&L>>>0>16383)){la=V;ma=Z;break}else{X=V;Y=Z;Q=J}}}else{la=P;ma=W}b[la>>0]=ma;Q=la+1-P|0;f[_>>2]=(f[_>>2]|0)+Q;f[c>>2]=(f[c>>2]|0)-Q}else WJb(d,U,O);aa=aa+1|0;$=f[a>>2]|0}while((aa|0)<(f[$>>2]|0));u=e;return}case 7:{$=f[a>>2]|0;if((f[$>>2]|0)>0){na=0;oa=$}else{u=e;return}do{TJb(d,f[(f[oa+8>>2]|0)+4+(na<<2)>>2]|0);na=na+1|0;oa=f[a>>2]|0}while((na|0)<(f[oa>>2]|0));u=e;return}case 6:{$=f[a>>2]|0;if((f[$>>2]|0)>0){pa=0;qa=$}else{u=e;return}do{$=(f[qa+8>>2]|0)+8+(pa<<3)|0;UJb(d,f[$>>2]|0,f[$+4>>2]|0);pa=pa+1|0;qa=f[a>>2]|0}while((pa|0)<(f[qa>>2]|0));u=e;return}case 15:{$=f[a>>2]|0;if((f[$>>2]|0)>0){ra=0;sa=$}else{u=e;return}do{TJb(d,f[(f[sa+8>>2]|0)+4+(ra<<2)>>2]|0);ra=ra+1|0;sa=f[a>>2]|0}while((ra|0)<(f[sa>>2]|0));u=e;return}case 16:{$=f[a>>2]|0;if((f[$>>2]|0)>0){ta=0;ua=$}else{u=e;return}do{$=(f[ua+8>>2]|0)+8+(ta<<3)|0;UJb(d,f[$>>2]|0,f[$+4>>2]|0);ta=ta+1|0;ua=f[a>>2]|0}while((ta|0)<(f[ua>>2]|0));u=e;return}case 2:{$=f[a>>2]|0;if((f[$>>2]|0)>0){va=0;wa=$}else{u=e;return}do{TJb(d,f[(f[wa+8>>2]|0)+4+(va<<2)>>2]|0);va=va+1|0;wa=f[a>>2]|0}while((va|0)<(f[wa>>2]|0));u=e;return}case 1:{$=f[a>>2]|0;if((f[$>>2]|0)>0){xa=0;ya=$}else{u=e;return}do{$=(f[ya+8>>2]|0)+8+(xa<<3)|0;UJb(d,f[$>>2]|0,f[$+4>>2]|0);xa=xa+1|0;ya=f[a>>2]|0}while((xa|0)<(f[ya>>2]|0));u=e;return}case 8:{$=f[a>>2]|0;if((f[$>>2]|0)<=0){u=e;return}aa=d+4|0;_=0;Q=$;do{$=b[(f[Q+8>>2]|0)+4+_>>0]|0;if((f[c>>2]|0)>4){b[f[aa>>2]>>0]=$;f[aa>>2]=(f[aa>>2]|0)+1;f[c>>2]=(f[c>>2]|0)+-1}else VJb(d,$&255);_=_+1|0;Q=f[a>>2]|0}while((_|0)<(f[Q>>2]|0));u=e;return}case 14:{Q=f[a>>2]|0;if((f[Q>>2]|0)<=0){u=e;return}_=d+4|0;aa=0;$=Q;do{Q=f[(f[$+8>>2]|0)+4+(aa<<2)>>2]|0;Y=((Q|0)<0)<<31>>31;if((f[c>>2]|0)>9){X=f[_>>2]|0;T=Q&255;if(Q>>>0>127){S=X;R=T;Z=Q;V=Y;while(1){b[S>>0]=R|-128;L=Z;Z=pzc(Z|0,V|0,7)|0;M=S+1|0;N=Z&255;if(!(V>>>0>0|(V|0)==0&L>>>0>16383)){za=M;Aa=N;break}else{S=M;R=N;V=J}}}else{za=X;Aa=T}b[za>>0]=Aa;V=za+1-X|0;f[_>>2]=(f[_>>2]|0)+V;f[c>>2]=(f[c>>2]|0)-V}else WJb(d,Q,Y);aa=aa+1|0;$=f[a>>2]|0}while((aa|0)<(f[$>>2]|0));u=e;return}case 11:case 10:case 12:case 9:{iLb(g,3,519280,1469);fLb(h,dLb(g,519851)|0);jLb(g);u=e;return}default:{u=e;return}}while(0)}function Hdc(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;b=f[a>>2]|0;c=a+4|0;if((b|0)==(c|0)){d=0;return d|0}else{e=0;g=b}while(1){b=(Idc(g+24|0,f[g+16>>2]|0)|0)+e|0;a=f[g+4>>2]|0;if(!a){h=g+8|0;i=f[h>>2]|0;if((f[i>>2]|0)==(g|0))j=i;else{i=h;do{h=f[i>>2]|0;i=h+8|0;k=f[i>>2]|0}while((f[k>>2]|0)!=(h|0));j=k}}else{i=a;while(1){k=f[i>>2]|0;if(!k)break;else i=k}j=i}if((j|0)==(c|0)){d=b;break}else{e=b;g=j}}return d|0}function Idc(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;d=u;u=u+32|0;e=d;g=d+24|0;if(!(b[a+9>>0]|0)){h=b[a+10>>0]|0;if(h&1){i=0;u=d;return i|0}j=b[a+8>>0]|0;k=(((($(c<<3|1|0)|0)^31)*9|0)+73|0)>>>6<<(j<<24>>24==10&1);do switch(j<<24>>24){case 5:{l=f[a>>2]|0;if((l|0)<0)m=10;else m=(((($(l|1|0)|0)^31)*9|0)+73|0)>>>6;i=m+k|0;u=d;return i|0}case 3:{l=a;i=(((((xzc(f[l>>2]|1|0,f[l+4>>2]|0,1)|0)^63)*9|0)+73|0)>>>6)+k|0;u=d;return i|0}case 13:{i=((((($(f[a>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)+k|0;u=d;return i|0}case 4:{l=a;i=(((((xzc(f[l>>2]|1|0,f[l+4>>2]|0,1)|0)^63)*9|0)+73|0)>>>6)+k|0;u=d;return i|0}case 17:{l=f[a>>2]|0;i=((((($(l<<1^l>>31|1|0)|0)^31)*9|0)+73|0)>>>6)+k|0;u=d;return i|0}case 18:{l=a;n=f[l>>2]|0;o=f[l+4>>2]|0;l=yzc(n|0,o|0,1)|0;p=J;i=(((((xzc(l^(ozc(n|0,o|0,63)|0)|1|0,p^J|0,1)|0)^63)*9|0)+73|0)>>>6)+k|0;u=d;return i|0}case 9:{p=f[a>>2]|0;o=b[p+11>>0]|0;n=o<<24>>24<0?f[p+4>>2]|0:o&255;i=n+k+((((($(n|1|0)|0)^31)*9|0)+73|0)>>>6)|0;u=d;return i|0}case 12:{n=f[a>>2]|0;o=b[n+11>>0]|0;p=o<<24>>24<0?f[n+4>>2]|0:o&255;i=p+k+((((($(p|1|0)|0)^31)*9|0)+73|0)>>>6)|0;u=d;return i|0}case 14:{p=f[a>>2]|0;if((p|0)<0)q=10;else q=(((($(p|1|0)|0)^31)*9|0)+73|0)>>>6;i=q+k|0;u=d;return i|0}case 10:{p=f[a>>2]|0;i=(di[f[(f[p>>2]|0)+48>>2]&1023](p)|0)+k|0;u=d;return i|0}case 11:{p=f[a>>2]|0;o=f[p>>2]|0;if(!(h&16)){n=di[f[o+48>>2]&1023](p)|0;i=n+k+((((($(n|1|0)|0)^31)*9|0)+73|0)>>>6)|0;u=d;return i|0}else{n=di[f[o+40>>2]&1023](p)|0;i=n+k+((((($(n|1|0)|0)^31)*9|0)+73|0)>>>6)|0;u=d;return i|0}break}case 7:{i=k+4|0;u=d;return i|0}case 6:{i=k+8|0;u=d;return i|0}case 15:{i=k+4|0;u=d;return i|0}case 16:{i=k+8|0;u=d;return i|0}case 2:{i=k+4|0;u=d;return i|0}case 1:{i=k+8|0;u=d;return i|0}case 8:{i=k+1|0;u=d;return i|0}default:{i=k;u=d;return i|0}}while(0)}k=b[a+8>>0]|0;if(b[a+11>>0]|0){do switch(k<<24>>24){case 5:{h=f[a>>2]|0;q=f[h>>2]|0;if((q|0)>0){m=f[h+8>>2]|0;h=0;j=0;while(1){n=f[m+4+(h<<2)>>2]|0;if((n|0)<0)r=10;else r=(((($(n|1|0)|0)^31)*9|0)+73|0)>>>6;n=r+j|0;h=h+1|0;if((h|0)>=(q|0)){s=n;t=39;break}else j=n}}else t=38;break}case 3:{j=f[a>>2]|0;q=f[j>>2]|0;if((q|0)>0){h=f[j+8>>2]|0;j=0;m=0;while(1){n=h+8+(j<<3)|0;p=xzc(f[n>>2]|1|0,f[n+4>>2]|0,1)|0;n=((((p^63)*9|0)+73|0)>>>6)+m|0;j=j+1|0;if((j|0)>=(q|0)){s=n;t=39;break}else m=n}}else t=38;break}case 13:{m=f[a>>2]|0;q=f[m>>2]|0;if((q|0)>0){j=f[m+8>>2]|0;m=0;h=0;while(1){n=((((($(f[j+4+(m<<2)>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)+h|0;m=m+1|0;if((m|0)>=(q|0)){s=n;t=39;break}else h=n}}else t=38;break}case 4:{h=f[a>>2]|0;q=f[h>>2]|0;if((q|0)>0){m=f[h+8>>2]|0;h=0;j=0;while(1){n=m+8+(h<<3)|0;p=xzc(f[n>>2]|1|0,f[n+4>>2]|0,1)|0;n=((((p^63)*9|0)+73|0)>>>6)+j|0;h=h+1|0;if((h|0)>=(q|0)){s=n;t=39;break}else j=n}}else t=38;break}case 17:{j=f[a>>2]|0;q=f[j>>2]|0;if((q|0)>0){h=f[j+8>>2]|0;j=0;m=0;while(1){n=f[h+4+(j<<2)>>2]|0;p=((((($(n<<1^n>>31|1|0)|0)^31)*9|0)+73|0)>>>6)+m|0;j=j+1|0;if((j|0)>=(q|0)){s=p;t=39;break}else m=p}}else t=38;break}case 18:{m=f[a>>2]|0;q=f[m>>2]|0;if((q|0)>0){j=f[m+8>>2]|0;m=0;h=0;while(1){p=j+8+(m<<3)|0;n=f[p>>2]|0;o=f[p+4>>2]|0;p=yzc(n|0,o|0,1)|0;l=J;v=ozc(n|0,o|0,63)|0;o=xzc(p^v|1|0,l^J|0,1)|0;l=((((o^63)*9|0)+73|0)>>>6)+h|0;m=m+1|0;if((m|0)>=(q|0)){s=l;t=39;break}else h=l}}else t=38;break}case 14:{h=f[a>>2]|0;q=f[h>>2]|0;if((q|0)>0){m=f[h+8>>2]|0;h=0;j=0;while(1){l=f[m+4+(h<<2)>>2]|0;if((l|0)<0)w=10;else w=(((($(l|1|0)|0)^31)*9|0)+73|0)>>>6;l=w+j|0;h=h+1|0;if((h|0)>=(q|0)){s=l;t=39;break}else j=l}}else t=38;break}case 7:{s=f[f[a>>2]>>2]<<2;t=39;break}case 6:{s=f[f[a>>2]>>2]<<3;t=39;break}case 15:{s=f[f[a>>2]>>2]<<2;t=39;break}case 16:{s=f[f[a>>2]>>2]<<3;t=39;break}case 2:{s=f[f[a>>2]>>2]<<2;t=39;break}case 1:{s=f[f[a>>2]>>2]<<3;t=39;break}case 8:{s=f[f[a>>2]>>2]|0;t=39;break}case 11:case 10:case 12:case 9:{iLb(e,3,519280,1581);fLb(g,dLb(e,519851)|0);jLb(e);t=37;break}default:t=37}while(0);if((t|0)==37){f[a+12>>2]=0;i=0;u=d;return i|0}else if((t|0)==38){f[a+12>>2]=0;i=0;u=d;return i|0}else if((t|0)==39){f[a+12>>2]=s;if(!s){i=0;u=d;return i|0}i=s+((((($(c<<3|3|0)|0)^31)*9|0)+73|0)>>>6)+((((($(s|1|0)|0)^31)*9|0)+73|0)>>>6)|0;u=d;return i|0}}s=(((($(c<<3|1|0)|0)^31)*9|0)+73|0)>>>6<<(k<<24>>24==10&1);do switch(k<<24>>24){case 5:{c=f[a>>2]|0;t=f[c>>2]|0;e=Y(t,s)|0;if((t|0)<=0){i=e;u=d;return i|0}g=f[c+8>>2]|0;c=0;w=e;while(1){e=f[g+4+(c<<2)>>2]|0;if((e|0)<0)x=10;else x=(((($(e|1|0)|0)^31)*9|0)+73|0)>>>6;e=x+w|0;c=c+1|0;if((c|0)>=(t|0)){i=e;break}else w=e}u=d;return i|0}case 3:{w=f[a>>2]|0;t=f[w>>2]|0;c=Y(t,s)|0;if((t|0)<=0){i=c;u=d;return i|0}g=f[w+8>>2]|0;w=0;e=c;while(1){c=g+8+(w<<3)|0;r=xzc(f[c>>2]|1|0,f[c+4>>2]|0,1)|0;c=((((r^63)*9|0)+73|0)>>>6)+e|0;w=w+1|0;if((w|0)>=(t|0)){i=c;break}else e=c}u=d;return i|0}case 13:{e=f[a>>2]|0;t=f[e>>2]|0;w=Y(t,s)|0;if((t|0)<=0){i=w;u=d;return i|0}g=f[e+8>>2]|0;e=0;c=w;while(1){w=((((($(f[g+4+(e<<2)>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)+c|0;e=e+1|0;if((e|0)>=(t|0)){i=w;break}else c=w}u=d;return i|0}case 4:{c=f[a>>2]|0;t=f[c>>2]|0;e=Y(t,s)|0;if((t|0)<=0){i=e;u=d;return i|0}g=f[c+8>>2]|0;c=0;w=e;while(1){e=g+8+(c<<3)|0;r=xzc(f[e>>2]|1|0,f[e+4>>2]|0,1)|0;e=((((r^63)*9|0)+73|0)>>>6)+w|0;c=c+1|0;if((c|0)>=(t|0)){i=e;break}else w=e}u=d;return i|0}case 17:{w=f[a>>2]|0;t=f[w>>2]|0;c=Y(t,s)|0;if((t|0)<=0){i=c;u=d;return i|0}g=f[w+8>>2]|0;w=0;e=c;while(1){c=f[g+4+(w<<2)>>2]|0;r=((((($(c<<1^c>>31|1|0)|0)^31)*9|0)+73|0)>>>6)+e|0;w=w+1|0;if((w|0)>=(t|0)){i=r;break}else e=r}u=d;return i|0}case 18:{e=f[a>>2]|0;t=f[e>>2]|0;w=Y(t,s)|0;if((t|0)<=0){i=w;u=d;return i|0}g=f[e+8>>2]|0;e=0;r=w;while(1){w=g+8+(e<<3)|0;c=f[w>>2]|0;j=f[w+4>>2]|0;w=yzc(c|0,j|0,1)|0;q=J;h=ozc(c|0,j|0,63)|0;j=xzc(w^h|1|0,q^J|0,1)|0;q=((((j^63)*9|0)+73|0)>>>6)+r|0;e=e+1|0;if((e|0)>=(t|0)){i=q;break}else r=q}u=d;return i|0}case 9:{r=f[a>>2]|0;t=f[r+4>>2]|0;e=Y(t,s)|0;if((t|0)<=0){i=e;u=d;return i|0}g=f[r+12>>2]|0;r=0;q=e;while(1){e=f[g+4+(r<<2)>>2]|0;j=b[e+11>>0]|0;h=j<<24>>24<0?f[e+4>>2]|0:j&255;j=h+q+((((($(h|1|0)|0)^31)*9|0)+73|0)>>>6)|0;r=r+1|0;if((r|0)>=(t|0)){i=j;break}else q=j}u=d;return i|0}case 12:{q=f[a>>2]|0;t=f[q+4>>2]|0;r=Y(t,s)|0;if((t|0)<=0){i=r;u=d;return i|0}g=f[q+12>>2]|0;q=0;j=r;while(1){r=f[g+4+(q<<2)>>2]|0;h=b[r+11>>0]|0;e=h<<24>>24<0?f[r+4>>2]|0:h&255;h=e+j+((((($(e|1|0)|0)^31)*9|0)+73|0)>>>6)|0;q=q+1|0;if((q|0)>=(t|0)){i=h;break}else j=h}u=d;return i|0}case 14:{j=f[a>>2]|0;t=f[j>>2]|0;q=Y(t,s)|0;if((t|0)<=0){i=q;u=d;return i|0}g=f[j+8>>2]|0;j=0;h=q;while(1){q=f[g+4+(j<<2)>>2]|0;if((q|0)<0)y=10;else y=(((($(q|1|0)|0)^31)*9|0)+73|0)>>>6;q=y+h|0;j=j+1|0;if((j|0)>=(t|0)){i=q;break}else h=q}u=d;return i|0}case 10:{h=f[a>>2]|0;t=f[h+4>>2]|0;j=Y(t,s)|0;if((t|0)>0){z=0;A=j;B=h}else{i=j;u=d;return i|0}while(1){j=f[(f[B+12>>2]|0)+4+(z<<2)>>2]|0;h=(di[f[(f[j>>2]|0)+48>>2]&1023](j)|0)+A|0;z=z+1|0;B=f[a>>2]|0;if((z|0)>=(f[B+4>>2]|0)){i=h;break}else A=h}u=d;return i|0}case 11:{h=f[a>>2]|0;j=f[h+4>>2]|0;t=Y(j,s)|0;if((j|0)>0){C=0;D=t;E=h}else{i=t;u=d;return i|0}while(1){t=f[(f[E+12>>2]|0)+4+(C<<2)>>2]|0;h=di[f[(f[t>>2]|0)+48>>2]&1023](t)|0;t=h+D+((((($(h|1|0)|0)^31)*9|0)+73|0)>>>6)|0;C=C+1|0;E=f[a>>2]|0;if((C|0)>=(f[E+4>>2]|0)){i=t;break}else D=t}u=d;return i|0}case 7:{i=Y(f[f[a>>2]>>2]|0,s+4|0)|0;u=d;return i|0}case 6:{i=Y(f[f[a>>2]>>2]|0,s+8|0)|0;u=d;return i|0}case 15:{i=Y(f[f[a>>2]>>2]|0,s+4|0)|0;u=d;return i|0}case 16:{i=Y(f[f[a>>2]>>2]|0,s+8|0)|0;u=d;return i|0}case 2:{i=Y(f[f[a>>2]>>2]|0,s+4|0)|0;u=d;return i|0}case 1:{i=Y(f[f[a>>2]>>2]|0,s+8|0)|0;u=d;return i|0}case 8:{i=Y(f[f[a>>2]>>2]|0,s+1|0)|0;u=d;return i|0}default:{i=0;u=d;return i|0}}while(0);return 0}function Jdc(a,b,c){a=a|0;b=b|0;c=c|0;c=u;u=u+32|0;b=c;iLb(b,3,519888,47);fLb(c+24|0,dLb(b,519989)|0);jLb(b);u=c;return 0}function Kdc(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0;d=u;u=u+1040|0;e=d+16|0;g=d;f[g>>2]=f[c>>2];h=vfc(e,1024,b,g)|0;if((h|0)<1024){if((h|0)<=-1){u=d;return}Cuc(a,e,h)|0;u=d;return}else{e=h+1|0;i=euc(e)|0;f[g>>2]=f[c>>2];c=vfc(i,e,b,g)|0;if(!((c|0)<0|(c|0)>(h|0)))Cuc(a,i,c)|0;guc(i);u=d;return}}function Ldc(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;f[e>>2]=c;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;Kdc(a,b,e);u=d;return}function Mdc(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;f[e>>2]=c;Kdc(a,b,e);u=d;return}function Ndc(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;f[e>>2]=0;if(!d){g=241;return g|0}i=f[a+16>>2]|0;j=c+d|0;d=j+-7|0;k=(f[a+32>>2]|0)+(f[a>>2]|0)|0;l=f[a+44>>2]|0;m=f[a+24>>2]|0;n=f[a+28>>2]|0;o=a+4|0;a=k;p=c;while(1){q=p&7;a:do if(p>>>0<j>>>0&(q|0)!=0){r=p;while(1){if(b[l+(h[r>>0]|0)>>0]|0){s=r;break a}t=r+1|0;u=t&7;if(t>>>0<j>>>0&(u|0)!=0)r=t;else{v=t;w=u;x=6;break}}}else{v=p;w=q;x=6}while(0);b:do if((x|0)==6){x=0;if((w|0)==0&v>>>0<d>>>0){q=v;while(1){r=f[q>>2]|0;u=q+4|0;t=f[u>>2]|0;y=q+8|0;if((r-m|r+n|t-m|t+n)&-2139062144|0){if((b[l+(h[q+1>>0]|0)>>0]|b[l+(r&255)>>0]|b[l+(h[q+2>>0]|0)>>0]|b[l+(h[q+3>>0]|0)>>0])<<24>>24){s=q;break b}if((b[l+(h[q+5>>0]|0)>>0]|b[l+(t&255)>>0]|b[l+(h[q+6>>0]|0)>>0]|b[l+(h[q+7>>0]|0)>>0])<<24>>24){s=u;break b}}if(y>>>0<d>>>0)q=y;else{s=y;break}}}else s=v}while(0);if(s>>>0<j>>>0){z=k;A=s}else{B=k;C=s;x=18;break}while(1){D=b[z+(h[A>>0]|0)>>0]|0;E=D&255;F=A+1|0;if((D&255)>239){G=z;break}q=k+(E<<i)|0;if(F>>>0<j>>>0){z=q;A=F}else{G=q;break}}if((D&255)<=239){B=G;C=F;x=18;break}c:do if((G-a|0)>>>0<(f[o>>2]|0)>>>0)H=A;else{q=A;while(1){y=q+-1|0;if(y>>>0<=c>>>0){H=y;break c}if((b[y>>0]&-64)<<24>>24==-128)q=y;else{H=y;break}}}while(0);if(D<<24>>24==-3)p=H;else{I=H;J=E;break}}d:do if((x|0)==18)if((B-k|0)>>>0<(f[o>>2]|0)>>>0){I=C;J=241}else{E=C;while(1){H=E+-1|0;if(H>>>0<=c>>>0){I=H;J=240;break d}if((b[H>>0]&-64)<<24>>24==-128)E=H;else{I=H;J=240;break}}}while(0);f[e>>2]=I-c;g=J;return g|0}function Odc(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;d=u;u=u+16|0;e=d;if(!c){g=0;h=(g|0)==(c|0);u=d;return h|0}i=a+c|0;j=i+-7|0;k=a;l=k+c|0;m=a;do{a=m&7;a:do if(m>>>0<i>>>0&(a|0)!=0){n=m;while(1){if((b[n>>0]|0)<=-1){o=n;break a}p=n+1|0;q=p&7;if(p>>>0<i>>>0&(q|0)!=0)n=p;else{r=p;s=q;t=7;break}}}else{r=m;s=a;t=7}while(0);b:do if((t|0)==7){t=0;if(r>>>0<j>>>0&(s|0)==0){a=r;while(1){if((f[a+4>>2]|f[a>>2])&-2139062144|0){o=a;break b}n=a+8|0;if(n>>>0<j>>>0)a=n;else{o=n;break}}}else o=r}while(0);c:do if(o>>>0<i>>>0){a=o;while(1){if((b[a>>0]|0)<=-1){v=a;break c}n=a+1|0;if(n>>>0<i>>>0)a=n;else{v=n;break}}}else v=o;while(0);a=Ndc(158968,v,l-v|0,e)|0;m=v+(f[e>>2]|0)|0}while((a|0)==253);g=m-k|0;h=(g|0)==(c|0);u=d;return h|0}function Pdc(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;c=a+11|0;d=b[c>>0]|0;if(d<<24>>24<0)e=f[a+4>>2]|0;else e=d&255;a:do if((e|0)>0){d=0;while(1){g=Buc(a,d)|0;h=(b[g>>0]|0)+-9<<24>>24;if((h&255)>23|(8388639>>>(h&255)&1|0)==0){i=d;break a}h=d+1|0;if((e|0)>(h|0))d=h;else{i=h;break}}}else i=0;while(0);if((e|0)==(i|0))if((b[c>>0]|0)<0){b[f[a>>2]>>0]=0;f[a+4>>2]=0;return}else{b[a>>0]=0;b[c>>0]=0;return}if((i|0)>0){Juc(a,0,i)|0;j=e-i|0}else j=e;e=j+-1|0;if((j|0)>0)k=e;else return;while(1){j=Buc(a,k)|0;i=(b[j>>0]|0)+-9<<24>>24;if((i&255)>23|(8388639>>>(i&255)&1|0)==0)break;if((k|0)>0)k=k+-1|0;else{l=18;break}}if((l|0)==18)return;if((k|0)==(e|0))return;Juc(a,k+1|0,-1)|0;return}function Qdc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;e=u;u=u+16|0;g=e;i=b[c>>0]|0;if(i<<24>>24?(b[c+1>>0]|0)==0:0){j=b[a+11>>0]|0;k=j<<24>>24<0;l=k?f[a>>2]|0:a;m=k?f[a+4>>2]|0:j&255;j=l+m|0;if(!m){u=e;return}m=g+11|0;k=g+8|0;n=g+4|0;o=d+4|0;p=d+8|0;q=l;while(1){if((b[q>>0]|0)==i<<24>>24)r=q+1|0;else{l=q;while(1){s=l+1|0;if((s|0)==(j|0)){t=j;break}if((b[s>>0]|0)==i<<24>>24){t=s;break}else l=s}l=t-q|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;if(l>>>0>4294967279){v=12;break}if(l>>>0<11){b[m>>0]=l;if(!l)w=g;else{x=g;v=16}}else{s=l+16&-16;y=cuc(s)|0;f[g>>2]=y;f[k>>2]=s|-2147483648;f[n>>2]=l;x=y;v=16}if((v|0)==16){v=0;szc(x|0,q|0,l|0)|0;w=x}b[w+l>>0]=0;l=f[o>>2]|0;if(l>>>0>=(f[p>>2]|0)>>>0){Dw(d,g);if((b[m>>0]|0)<0)fuc(f[g>>2]|0)}else{f[l>>2]=f[g>>2];f[l+4>>2]=f[g+4>>2];f[l+8>>2]=f[g+8>>2];f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[o>>2]=(f[o>>2]|0)+12}r=t}if((r|0)==(j|0)){v=44;break}else q=r}if((v|0)==12)muc(g);else if((v|0)==44){u=e;return}}r=a+11|0;q=b[r>>0]|0;j=q<<24>>24<0;t=a+4|0;o=f[t>>2]|0;m=j?o:q&255;if(!m){u=e;return}p=jfc(c)|0;w=f[a>>2]|0;x=g+11|0;n=d+4|0;k=d+8|0;i=0;l=j?w:a;j=m;m=p;p=q;q=w;w=o;a:while(1){o=l+j|0;y=l+i|0;b:do if(!m)z=y;else{s=y;while(1){if(!(Gfc(c,h[s>>0]|0,m)|0)){z=s;break b}s=s+1|0;if((s|0)==(o|0)){v=44;break a}}}while(0);A=z-l|0;if((A|0)==-1){v=44;break}o=p<<24>>24<0;y=o?q:a;s=o?w:p&255;o=jfc(c)|0;if(s>>>0<=A>>>0|(o|0)==0){v=34;break}B=y+A|0;C=y+s|0;D=c+o|0;c:do if((s|0)==(A|0))E=B;else{o=B;while(1){F=b[o>>0]|0;G=c;do{if(F<<24>>24==(b[G>>0]|0)){E=o;break c}G=G+1|0}while((G|0)!=(D|0));o=o+1|0;if((o|0)==(C|0)){v=34;break a}}}while(0);i=E-y|0;if((E|0)==(C|0)|(i|0)==-1){v=34;break}puc(g,a,A,i-A|0,a);D=f[n>>2]|0;if(D>>>0>=(f[k>>2]|0)>>>0){Dw(d,g);if((b[x>>0]|0)<0)fuc(f[g>>2]|0)}else{f[D>>2]=f[g>>2];f[D+4>>2]=f[g+4>>2];f[D+8>>2]=f[g+8>>2];f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[n>>2]=(f[n>>2]|0)+12}p=b[r>>0]|0;D=p<<24>>24<0;B=f[a>>2]|0;w=f[t>>2]|0;j=D?w:p&255;m=jfc(c)|0;if(j>>>0<=i>>>0){v=44;break}else{l=D?B:a;q=B}}if((v|0)==34){puc(g,a,A,-1,a);a=f[n>>2]|0;if(a>>>0>=(f[k>>2]|0)>>>0){Dw(d,g);if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0)}else{f[a>>2]=f[g>>2];f[a+4>>2]=f[g+4>>2];f[a+8>>2]=f[g+8>>2];f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[n>>2]=(f[n>>2]|0)+12}u=e;return}else if((v|0)==44){u=e;return}}function Rdc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;a:do if((a|0)==(c|0)){d=a;e=a;while(1){switch(b[d>>0]|0){case 92:case 0:{f=d;g=e;break a;break}default:{}}h=d+1|0;i=e+1|0;if((d|0)==(e|0)){d=h;e=i}else{f=h;g=i;break a}}}else{f=a;g=c}while(0);a=b[f>>0]|0;if(!(a<<24>>24)){j=g;b[j>>0]=0;k=j;l=c;m=k-l|0;return m|0}else{n=f;o=g;p=a}b:while(1){a=n+1|0;if(p<<24>>24==92){g=b[a>>0]|0;c:do switch(g|0){case 0:{j=o;q=28;break b;break}case 97:{b[o>>0]=7;r=o+1|0;s=a;break}case 98:{b[o>>0]=8;r=o+1|0;s=a;break}case 102:{b[o>>0]=12;r=o+1|0;s=a;break}case 110:{b[o>>0]=10;r=o+1|0;s=a;break}case 114:{b[o>>0]=13;r=o+1|0;s=a;break}case 116:{b[o>>0]=9;r=o+1|0;s=a;break}case 118:{b[o>>0]=11;r=o+1|0;s=a;break}case 92:{b[o>>0]=92;r=o+1|0;s=a;break}case 63:{b[o>>0]=63;r=o+1|0;s=a;break}case 39:{b[o>>0]=39;r=o+1|0;s=a;break}case 34:{b[o>>0]=34;r=o+1|0;s=a;break}case 55:case 54:case 53:case 52:case 51:case 50:case 49:case 48:{f=g+208|0;e=n+2|0;d=b[e>>0]|0;i=(d&-8)<<24>>24==48;h=i?e:a;e=i?(f<<3)+208+(d&255)|0:f;f=h+1|0;d=b[f>>0]|0;i=(d&-8)<<24>>24==48;b[o>>0]=i?(d&255)+208+(e<<3)|0:e;r=o+1|0;s=i?f:h;break}case 88:case 120:{h=b[n+2>>0]|0;if((h+-48&255)<10){t=0;u=a}else switch(h<<24>>24){case 65:case 66:case 67:case 68:case 69:case 70:case 97:case 98:case 99:case 100:case 101:case 102:{t=0;u=a;break}default:{r=o;s=a;break c}}d:while(1){h=u+1|0;f=b[h>>0]|0;if((f+-48&255)>=10)switch(f<<24>>24){case 65:case 66:case 67:case 68:case 69:case 70:case 97:case 98:case 99:case 100:case 101:case 102:break;default:break d}i=f&255;t=((f&255)>57?i+9|0:i)&15|t<<4;u=h}b[o>>0]=t;r=o+1|0;s=u;break}default:{r=o;s=a}}while(0);v=s+1|0;w=r}else{b[o>>0]=p;v=a;w=o+1|0}p=b[v>>0]|0;if(!(p<<24>>24)){j=w;q=28;break}else{n=v;o=w}}if((q|0)==28){b[j>>0]=0;k=j;l=c;m=k-l|0;return m|0}return 0}function Sdc(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0;d=b[c+11>>0]|0;e=d<<24>>24<0;g=euc((e?f[c+4>>2]|0:d&255)+1|0)|0;d=Rdc(e?f[c>>2]|0:c,g,0)|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;if(d>>>0>4294967279)muc(a);if(d>>>0<11){b[a+11>>0]=d;if(!d){h=a;i=h+d|0;b[i>>0]=0;guc(g);return}else j=a}else{c=d+16&-16;e=cuc(c)|0;f[a>>2]=e;f[a+8>>2]=c|-2147483648;f[a+4>>2]=d;j=e}szc(j|0,g|0,d|0)|0;h=j;i=h+d|0;b[i>>0]=0;guc(g);return}function Tdc(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;d=f[a>>2]|0;e=a+4|0;g=f[e>>2]|0;i=(g|0)>0;if(i){j=0;k=0;while(1){l=(b[522716+(h[d+k>>0]|0)>>0]|0)+j|0;k=k+1|0;if((k|0)==(g|0)){m=l;break}else j=l}}else m=0;if((m|0)==(g|0)){Cuc(c,d,g)|0;return}g=c+11|0;j=b[g>>0]|0;if(j<<24>>24<0)n=f[c+4>>2]|0;else n=j&255;xuc(c,n+m|0,0);if((b[g>>0]|0)<0)o=f[c>>2]|0;else o=c;if(!i)return;i=o+n|0;n=0;o=d;while(1){d=b[o+n>>0]|0;a:do switch(d<<24>>24){case 10:{b[i>>0]=92;b[i+1>>0]=110;p=i+2|0;break}case 13:{b[i>>0]=92;b[i+1>>0]=114;p=i+2|0;break}case 9:{b[i>>0]=92;b[i+1>>0]=116;p=i+2|0;break}case 34:{b[i>>0]=92;b[i+1>>0]=34;p=i+2|0;break}case 39:{b[i>>0]=92;b[i+1>>0]=39;p=i+2|0;break}case 92:{b[i>>0]=92;b[i+1>>0]=92;p=i+2|0;break}default:{c=i+1|0;if(d<<24>>24>31&d<<24>>24!=127){b[i>>0]=d;p=c;break a}else{b[i>>0]=92;b[c>>0]=(d&255)>>>6|48;b[i+2>>0]=(d&255)>>>3&7|48;b[i+3>>0]=d&7|48;p=i+4|0;break a}}}while(0);d=n+1|0;if((d|0)>=(f[e>>2]|0))break;i=p;n=d;o=f[a>>2]|0}return}function Udc(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0;d=u;u=u+16|0;e=d+8|0;g=d;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;h=b[c+11>>0]|0;i=h<<24>>24<0;f[g>>2]=i?f[c>>2]|0:c;f[g+4>>2]=i?f[c+4>>2]|0:h&255;f[e>>2]=f[g>>2];f[e+4>>2]=f[g+4>>2];Tdc(e,a);u=d;return}function Vdc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;e=d+20|0;b[d+21>>0]=0;if((c|0)>-1|(c|0)==-1&a>>>0>4294967295){f=e;g=a;h=c;while(1){i=nzc(g|0,h|0,10,0)|0;j=hzc(i|0,J|0,48,0)|0;b[f>>0]=j;j=g;g=zzc(g|0,h|0,10,0)|0;if(!((h|0)>0|(h|0)==0&j>>>0>9)){k=f;break}else{f=f+-1|0;h=J}}return k|0}if((c|0)>-1|(c|0)==-1&a>>>0>4294967286){h=gzc(48,0,a|0,c|0)|0;b[e>>0]=h;l=d+19|0}else{h=gzc(-10,-1,a|0,c|0)|0;c=J;a=nzc(h|0,c|0,10,0)|0;f=hzc(a|0,J|0,48,0)|0;b[e>>0]=f;f=zzc(h|0,c|0,10,0)|0;c=hzc(f|0,J|0,1,0)|0;f=d+19|0;d=c;c=J;while(1){h=nzc(d|0,c|0,10,0)|0;e=hzc(h|0,J|0,48,0)|0;h=f+-1|0;b[f>>0]=e;e=d;d=zzc(d|0,c|0,10,0)|0;if(!((c|0)>0|(c|0)==0&e>>>0>9)){l=h;break}else{f=h;c=J}}}b[l>>0]=45;k=l;return k|0}function Wdc(a,c){a=a|0;c=c|0;var d=0,e=0,f=0,g=0,h=0;d=c+10|0;b[c+11>>0]=0;if((a|0)>-1){e=d;f=a;while(1){b[e>>0]=((f|0)%10|0)+48;if((f|0)>9){e=e+-1|0;f=(f|0)/10|0}else{g=e;break}}return g|0}if((a|0)>-10){b[d>>0]=48-a;h=c+9|0}else{e=-10-a|0;b[d>>0]=((e|0)%10|0)+48;d=c+9|0;c=((e|0)/10|0)+1|0;while(1){e=d+-1|0;b[d>>0]=((c|0)%10|0)+48;if((c|0)>9){d=e;c=(c|0)/10|0}else{h=e;break}}}b[h>>0]=45;g=h;return g|0}function Xdc(a,c){a=a|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;do if(a>>>0<=999999999){if(a>>>0<100){if(a>>>0>9){d=a;e=c;break}b[c>>0]=a+48;f=c+1|0;b[f>>0]=0;return f|0}if(a>>>0<1e4){if(a>>>0>999){g=a;h=c;i=8;break}j=(a>>>0)/100|0;b[c>>0]=j+48;k=j;l=a;m=c+1|0;i=9;break}if(a>>>0<1e6){if(a>>>0>99999){n=a;o=c;i=6;break}j=(a>>>0)/1e4|0;b[c>>0]=j+48;p=j;q=a;r=c+1|0;i=7;break}if(a>>>0>=1e8){j=(a>>>0)/1e8|0;b[c>>0]=j+48;s=j;t=c+1|0;i=3;break}if(a>>>0>9999999){u=a;v=c;i=4}else{j=(a>>>0)/1e6|0;b[c>>0]=j+48;w=j;x=a;y=c+1|0;i=5}}else{j=(a>>>0)/1e8|0;b[c>>0]=b[522989+(j<<1)>>0]|0;b[c+1>>0]=b[522989+(j<<1)+1>>0]|0;s=j;t=c+2|0;i=3}while(0);if((i|0)==3){u=(Y(s,-1e8)|0)+a|0;v=t;i=4}if((i|0)==4){t=(u>>>0)/1e6|0;b[v>>0]=b[522989+(t<<1)>>0]|0;b[v+1>>0]=b[522989+(t<<1)+1>>0]|0;w=t;x=u;y=v+2|0;i=5}if((i|0)==5){n=(Y(w,-1e6)|0)+x|0;o=y;i=6}if((i|0)==6){y=(n>>>0)/1e4|0;b[o>>0]=b[522989+(y<<1)>>0]|0;b[o+1>>0]=b[522989+(y<<1)+1>>0]|0;p=y;q=n;r=o+2|0;i=7}if((i|0)==7){g=(Y(p,-1e4)|0)+q|0;h=r;i=8}if((i|0)==8){r=(g>>>0)/100|0;b[h>>0]=b[522989+(r<<1)>>0]|0;b[h+1>>0]=b[522989+(r<<1)+1>>0]|0;k=r;l=g;m=h+2|0;i=9}if((i|0)==9){d=(Y(k,-100)|0)+l|0;e=m}b[e>>0]=b[522989+(d<<1)>>0]|0;b[e+1>>0]=b[522989+(d<<1)+1>>0]|0;f=e+2|0;b[f>>0]=0;return f|0}function Ydc(a,c){a=a|0;c=c|0;var d=0,e=0;if((a|0)<0){b[c>>0]=45;d=0-a|0;e=c+1|0}else{d=a;e=c}return Xdc(d,e)|0}function Zdc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,f=0,g=0;if((a|0)==(a|0)&0==(c|0))return Xdc(a,d)|0;else{e=qzc(a|0,c|0,1e9,0)|0;f=J;g=Zdc(e,f,d)|0;d=Bzc(e|0,f|0,-1e9,-1)|0;f=hzc(d|0,J|0,a|0,c|0)|0;c=(f>>>0)/1e7|0;b[g>>0]=b[522989+(c<<1)>>0]|0;b[g+1>>0]=b[522989+(c<<1)+1>>0]|0;a=(Y(c,-1e7)|0)+f|0;f=(a>>>0)/1e5|0;b[g+2>>0]=b[522989+(f<<1)>>0]|0;b[g+3>>0]=b[522989+(f<<1)+1>>0]|0;c=(Y(f,-1e5)|0)+a|0;a=(c>>>0)/1e3|0;b[g+4>>0]=b[522989+(a<<1)>>0]|0;b[g+5>>0]=b[522989+(a<<1)+1>>0]|0;f=(Y(a,-1e3)|0)+c|0;c=(f>>>0)/10|0;b[g+6>>0]=b[522989+(c<<1)>>0]|0;b[g+7>>0]=b[522989+(c<<1)+1>>0]|0;a=f+48+(Y(c,-10)|0)&255;c=g+9|0;b[g+8>>0]=a;b[c>>0]=0;return c|0}return 0}function _dc(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;d=u;u=u+32|0;e=d;g=e+10|0;b[e+11>>0]=0;if((c|0)>-1){h=g;i=c;while(1){b[h>>0]=((i|0)%10|0)+48;if((i|0)>9){h=h+-1|0;i=(i|0)/10|0}else{j=h;break}}}else{if((c|0)>-10){b[g>>0]=48-c;k=e+9|0}else{h=-10-c|0;b[g>>0]=((h|0)%10|0)+48;g=e+9|0;e=((h|0)/10|0)+1|0;while(1){h=g+-1|0;b[g>>0]=((e|0)%10|0)+48;if((e|0)>9){g=h;e=(e|0)/10|0}else{k=h;break}}}b[k>>0]=45;j=k};f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;k=jfc(j)|0;if(k>>>0>4294967279)muc(a);if(k>>>0<11){b[a+11>>0]=k;if(!k){l=a;m=l+k|0;b[m>>0]=0;u=d;return}else n=a}else{e=k+16&-16;g=cuc(e)|0;f[a>>2]=g;f[a+8>>2]=e|-2147483648;f[a+4>>2]=k;n=g}szc(n|0,j|0,k|0)|0;l=n;m=l+k|0;b[m>>0]=0;u=d;return}function $dc(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;d=u;u=u+32|0;e=d;g=Xdc(c,e)|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;c=g-e|0;if(c>>>0>4294967279)muc(a);if(c>>>0<11){b[a+11>>0]=c;h=a}else{i=c+16&-16;j=cuc(i)|0;f[a>>2]=j;f[a+8>>2]=i|-2147483648;f[a+4>>2]=c;h=j}if((e|0)==(g|0)){k=h;b[k>>0]=0;u=d;return}else{l=h;m=e}while(1){b[l>>0]=b[m>>0]|0;m=m+1|0;if((m|0)==(g|0))break;else l=l+1|0}k=h+c|0;b[k>>0]=0;u=d;return}function aec(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;e=u;u=u+32|0;g=e;h=g+20|0;b[g+21>>0]=0;if((d|0)>-1|(d|0)==-1&c>>>0>4294967295){i=h;j=c;k=d;while(1){l=nzc(j|0,k|0,10,0)|0;m=hzc(l|0,J|0,48,0)|0;b[i>>0]=m;m=j;j=zzc(j|0,k|0,10,0)|0;if(!((k|0)>0|(k|0)==0&m>>>0>9)){n=i;break}else{i=i+-1|0;k=J}}}else{if((d|0)>-1|(d|0)==-1&c>>>0>4294967286){k=gzc(48,0,c|0,d|0)|0;b[h>>0]=k;o=g+19|0}else{k=gzc(-10,-1,c|0,d|0)|0;d=J;c=nzc(k|0,d|0,10,0)|0;i=hzc(c|0,J|0,48,0)|0;b[h>>0]=i;i=zzc(k|0,d|0,10,0)|0;d=hzc(i|0,J|0,1,0)|0;i=g+19|0;g=d;d=J;while(1){k=nzc(g|0,d|0,10,0)|0;h=hzc(k|0,J|0,48,0)|0;k=i+-1|0;b[i>>0]=h;h=g;g=zzc(g|0,d|0,10,0)|0;if(!((d|0)>0|(d|0)==0&h>>>0>9)){o=k;break}else{i=k;d=J}}}b[o>>0]=45;n=o};f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;o=jfc(n)|0;if(o>>>0>4294967279)muc(a);if(o>>>0<11){b[a+11>>0]=o;if(!o){p=a;q=p+o|0;b[q>>0]=0;u=e;return}else r=a}else{d=o+16&-16;i=cuc(d)|0;f[a>>2]=i;f[a+8>>2]=d|-2147483648;f[a+4>>2]=o;r=i}szc(r|0,n|0,o|0)|0;p=r;q=p+o|0;b[q>>0]=0;u=e;return}function bec(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;e=u;u=u+32|0;g=e;h=Zdc(c,d,g)|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;d=h-g|0;if(d>>>0>4294967279)muc(a);if(d>>>0<11){b[a+11>>0]=d;i=a}else{c=d+16&-16;j=cuc(c)|0;f[a>>2]=j;f[a+8>>2]=c|-2147483648;f[a+4>>2]=d;i=j}if((g|0)==(h|0)){k=i;b[k>>0]=0;u=e;return}else{l=i;m=g}while(1){b[l>>0]=b[m>>0]|0;m=m+1|0;if((m|0)==(h|0))break;else l=l+1|0}k=i+d|0;b[k>>0]=0;u=e;return}function cec(a,c){a=a|0;c=+c;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;d=u;u=u+32|0;e=dec(c,d)|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;g=jfc(e)|0;if(g>>>0>4294967279)muc(a);if(g>>>0<11){b[a+11>>0]=g;if(!g){h=a;i=h+g|0;b[i>>0]=0;u=d;return}else j=a}else{k=g+16&-16;l=cuc(k)|0;f[a>>2]=l;f[a+8>>2]=k|-2147483648;f[a+4>>2]=g;j=l}szc(j|0,e|0,g|0)|0;h=j;i=h+g|0;b[i>>0]=0;u=d;return}function dec(a,c){a=+a;c=c|0;var d=0,e=0,g=0,h=0,i=0.0,j=0,k=0;d=u;u=u+32|0;e=d+16|0;g=d;if(a==D){b[c>>0]=105;b[c+1>>0]=110;b[c+2>>0]=102;b[c+3>>0]=0;u=d;return c|0}if(a==-D){b[c>>0]=b[523189]|0;b[c+1>>0]=b[523190]|0;b[c+2>>0]=b[523191]|0;b[c+3>>0]=b[523192]|0;b[c+4>>0]=b[523193]|0;u=d;return c|0}p[s>>3]=a;h=f[s+4>>2]&2147483647;if(h>>>0>2146435072|(h|0)==2146435072&(f[s>>2]|0)>>>0>0){b[c>>0]=110;b[c+1>>0]=97;b[c+2>>0]=110;b[c+3>>0]=0;u=d;return c|0}f[g>>2]=15;p[g+8>>3]=a;ufc(c,32,523194,g)|0;i=+ghc(c,0);p[g>>3]=i;if(+p[g>>3]!=a){f[e>>2]=17;p[e+8>>3]=a;ufc(c,32,523194,e)|0}a:do if(!(Ufc(c,46)|0)){e=c;b:while(1){g=b[e>>0]|0;if((g+-48&255)>=10)switch(g<<24>>24){case 0:{break a;break}case 45:case 43:case 69:case 101:break;default:break b}e=e+1|0}b[e>>0]=46;g=e+1|0;h=b[g>>0]|0;if((h+-48&255)>=10){switch(h<<24>>24){case 0:case 45:case 43:case 69:case 101:{break a;break}default:j=g}c:while(1){k=j+1|0;h=b[k>>0]|0;if((h+-48&255)<10)break;switch(h<<24>>24){case 0:case 45:case 43:case 69:case 101:{break c;break}default:j=k}}uzc(g|0,k|0,(jfc(k)|0)+1|0)|0}}while(0);u=d;return c|0}function eec(a,c){a=a|0;c=+c;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;d=u;u=u+32|0;e=fec(c,d)|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;g=jfc(e)|0;if(g>>>0>4294967279)muc(a);if(g>>>0<11){b[a+11>>0]=g;if(!g){h=a;i=h+g|0;b[i>>0]=0;u=d;return}else j=a}else{k=g+16&-16;l=cuc(k)|0;f[a>>2]=l;f[a+8>>2]=k|-2147483648;f[a+4>>2]=g;j=l}szc(j|0,e|0,g|0)|0;h=j;i=h+g|0;b[i>>0]=0;u=d;return}function fec(a,c){a=+a;c=c|0;var d=0,e=0,g=0,h=0.0,i=0,j=0.0,k=0,l=0,m=0,o=0;d=u;u=u+32|0;e=d+16|0;g=d;h=a;if(a==D){b[c>>0]=105;b[c+1>>0]=110;b[c+2>>0]=102;b[c+3>>0]=0;u=d;return c|0}if(a==-D){b[c>>0]=b[523189]|0;b[c+1>>0]=b[523190]|0;b[c+2>>0]=b[523191]|0;b[c+3>>0]=b[523192]|0;b[c+4>>0]=b[523193]|0;u=d;return c|0}if(((n[s>>2]=a,f[s>>2]|0)&2147483647)>>>0>2139095040){b[c>>0]=110;b[c+1>>0]=97;b[c+2>>0]=110;b[c+3>>0]=0;u=d;return c|0}f[g>>2]=6;p[g+8>>3]=h;ufc(c,24,523194,g)|0;i=Bec()|0;f[i>>2]=0;j=+khc(c,g);if((b[c>>0]|0)!=0?(b[f[g>>2]>>0]|0)==0:0){g=Bec()|0;if(j!=a|(f[g>>2]|0)!=0)k=11}else k=11;if((k|0)==11){f[e>>2]=9;p[e+8>>3]=h;ufc(c,24,523194,e)|0}if(!(Ufc(c,46)|0))l=c;else{u=d;return c|0}a:while(1){e=b[l>>0]|0;if((e+-48&255)>=10)switch(e<<24>>24){case 0:{k=21;break a;break}case 45:case 43:case 69:case 101:break;default:break a}l=l+1|0}if((k|0)==21){u=d;return c|0}b[l>>0]=46;k=l+1|0;l=b[k>>0]|0;if((l+-48&255)<10){u=d;return c|0}switch(l<<24>>24){case 0:case 45:case 43:case 69:case 101:{u=d;return c|0}default:m=k}b:while(1){o=m+1|0;l=b[o>>0]|0;if((l+-48&255)<10)break;switch(l<<24>>24){case 0:case 45:case 43:case 69:case 101:{break b;break}default:m=o}}uzc(k|0,o|0,(jfc(o)|0)+1|0)|0;u=d;return c|0}function gec(a,c){a=a|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;ouc(e,a);a=hec(e,c)|0;if((b[e+11>>0]|0)>=0){u=d;return a|0}fuc(f[e>>2]|0);u=d;return a|0}function hec(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;d=u;u=u+32|0;e=d+12|0;g=d;f[c>>2]=0;h=a+11|0;i=b[h>>0]|0;j=i<<24>>24<0;if(j){k=f[a>>2]|0;l=f[a+4>>2]|0}else{k=a;l=i&255}i=k+l|0;a:do if((l|0)>0){m=k;while(1){if((b[m>>0]|0)!=32){n=m;break a}o=m+1|0;if(o>>>0<i>>>0)m=o;else{n=o;break}}}else n=k;while(0);k=i;while(1){if(n>>>0>=k>>>0){p=0;q=32;break}i=k+-1|0;if((b[i>>0]|0)==32)k=i;else break}if((q|0)==32){u=d;return p|0}q=b[n>>0]|0;i=q<<24>>24==45;switch(q<<24>>24){case 43:case 45:{q=n+1|0;if(q>>>0<k>>>0)r=q;else{p=0;u=d;return p|0}break}default:r=n}if(j)s=f[a>>2]|0;else s=a;j=r;puc(e,a,j-s|0,k-j|0,a);if((b[h>>0]|0)<0){b[f[a>>2]>>0]=0;f[a+4>>2]=0}else{b[a>>0]=0;b[h>>0]=0}vuc(a,0);f[a>>2]=f[e>>2];f[a+4>>2]=f[e+4>>2];f[a+8>>2]=f[e+8>>2];if(i){i=b[h>>0]|0;h=i<<24>>24<0;e=h?f[a>>2]|0:a;j=h?f[a+4>>2]|0:i&255;i=e+j|0;b:do if((j|0)>0){h=0;k=e;while(1){s=b[k>>0]|0;r=s&255;n=r+-48|0;if((s&255)<48|(n|0)>9){t=0;v=h;break b}if((h|0)<-214748364){t=0;v=-2147483648;break b}s=h*10|0;if((s|0)<(r+2147483600|0)){t=0;v=-2147483648;break b}r=s-n|0;k=k+1|0;if(k>>>0>=i>>>0){t=1;v=r;break}else h=r}}else{t=1;v=0}while(0);f[c>>2]=v;p=t;u=d;return p|0}ouc(g,a);a=b[g+11>>0]|0;t=a<<24>>24<0;v=f[g>>2]|0;i=t?v:g;e=t?f[g+4>>2]|0:a&255;a=i+e|0;c:do if((e|0)>0){g=0;j=i;while(1){h=b[j>>0]|0;k=h&255;r=k+-48|0;if((h&255)<48|(r|0)>9){w=0;x=g;break c}if((g|0)>214748364){w=0;x=2147483647;break c}h=g*10|0;if((h|0)>(-2147483601-k|0)){w=0;x=2147483647;break c}k=r+h|0;j=j+1|0;if(j>>>0>=a>>>0){w=1;x=k;break}else g=k}}else{w=1;x=0}while(0);f[c>>2]=x;if(!t){p=w;u=d;return p|0}fuc(v);p=w;u=d;return p|0}function iec(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;d=a+40|0;e=c;g=f[e>>2]|0;h=f[e+4>>2]|0;e=yzc(f[c+8>>2]|0,0,2)|0;c=hzc(e|0,J|0,-4,-1)|0;e=yzc(1,0,c|0)|0;c=d;i=g;j=h;k=e|g;g=J|h;do{c=c+-1|0;b[c>>0]=b[522972+(i&15)>>0]|0;i=pzc(i|0,j|0,4)|0;j=J;k=pzc(k|0,g|0,4)|0;g=J}while(!((k|0)==0&(g|0)==0));f[a>>2]=c;f[a+4>>2]=d-c;return}function jec(a,b){a=a|0;b=b|0;Cuc(a,f[b>>2]|0,f[b+4>>2]|0)|0;return}function kec(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0;d=u;u=u+16|0;e=d;g=b[a+11>>0]|0;i=g<<24>>24<0;j=i?f[a>>2]|0:a;k=i?f[a+4>>2]|0:g&255;g=j;i=j+k|0;do{if((i|0)==(j|0)){l=0;m=10;break}i=i+-1|0}while(!(Gfc(530903,h[i>>0]|0,1)|0));if((m|0)==10){u=d;return l|0}m=i-g|0;if((m|0)==-1){l=0;u=d;return l|0}g=m+1|0;if((g|0)==(k|0)){l=0;u=d;return l|0}puc(e,a,g,-1,a);a=c+11|0;if((b[a>>0]|0)<0){b[f[c>>2]>>0]=0;f[c+4>>2]=0}else{b[c>>0]=0;b[a>>0]=0}vuc(c,0);f[c>>2]=f[e>>2];f[c+4>>2]=f[e+4>>2];f[c+8>>2]=f[e+8>>2];l=1;u=d;return l|0}function lec(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0;e=u;u=u+16|0;g=e;yh[f[(f[a>>2]|0)+96>>2]&2047](g,a);a=f[g>>2]|0;h=f[a+4>>2]|0;i=b[h+11>>0]|0;if(((i<<24>>24<0?f[h+4>>2]|0:i&255)|0)!=19){j=0;u=e;return j|0}if(Puc(h,0,-1,523199,19)|0){j=0;u=e;return j|0}h=gQb(a,1)|0;f[c>>2]=h;h=gQb(a,2)|0;f[d>>2]=h;h=f[c>>2]|0;if(!h){j=0;u=e;return j|0}c=f[h+24>>2]|0;if(c|0?(f[c>>2]|0)!=2:0){f[g>>2]=110384;f[g+4>>2]=1962;b[g+8>>0]=0;f[g+12>>2]=h;xLb(c,g)}if((f[h+28>>2]|0)!=9){j=0;u=e;return j|0}h=f[d>>2]|0;if(!h){j=0;u=e;return j|0}d=f[h+24>>2]|0;if(d|0?(f[d>>2]|0)!=2:0){f[g>>2]=110384;f[g+4>>2]=1962;b[g+8>>0]=0;f[g+12>>2]=h;xLb(d,g)}j=(f[h+28>>2]|0)==12;u=e;return j|0}function mec(){nec(0);return}function nec(a){a=a|0;kf(26984,532247);Td(27e3,532252,1,1,0);ye(27008,532021,1,-128,127);ye(27024,532026,1,-128,127);ye(27016,532038,1,0,255);ye(27032,532052,2,-32768,32767);ye(27040,532058,2,0,65535);ye(27048,532257,4,-2147483648,2147483647);ye(27056,532261,4,0,-1);ye(27064,532274,4,-2147483648,2147483647);ye(27072,532279,4,0,-1);zf(27080,532303,4);zf(27088,532415,8);td(9552,531630);td(25280,523261);rf(25304,4,523294);Xd(8928,523307);bf(9440,0,523323);bf(25328,0,523353);bf(9432,1,523390);bf(9456,2,523429);bf(9448,3,523460);bf(9464,4,523500);bf(25336,5,523529);bf(25344,4,523567);bf(25352,5,523597);bf(25328,0,523636);bf(9432,1,523668);bf(9456,2,523701);bf(9448,3,523734);bf(9464,4,523768);bf(25336,5,523801);bf(9472,6,523835);bf(9480,7,523866);bf(25360,7,523898);return}function oec(a){a=a|0;return mfc(f[a+4>>2]|0)|0}function pec(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0;b=u;u=u+16|0;c=b;do if(a>>>0<245){d=a>>>0<11?16:a+11&-8;e=d>>>3;g=f[225053]|0;h=g>>>e;if(h&3|0){i=(h&1^1)+e|0;j=900252+(i<<1<<2)|0;k=j+8|0;l=f[k>>2]|0;m=l+8|0;n=f[m>>2]|0;if((j|0)==(n|0))f[225053]=g&~(1<<i);else{f[n+12>>2]=j;f[k>>2]=n}n=i<<3;f[l+4>>2]=n|3;i=l+n+4|0;f[i>>2]=f[i>>2]|1;o=m;u=b;return o|0}m=f[225055]|0;if(d>>>0>m>>>0){if(h|0){i=2<<e;n=h<<e&(i|0-i);i=(n&0-n)+-1|0;n=i>>>12&16;e=i>>>n;i=e>>>5&8;h=e>>>i;e=h>>>2&4;l=h>>>e;h=l>>>1&2;k=l>>>h;l=k>>>1&1;j=(i|n|e|h|l)+(k>>>l)|0;l=900252+(j<<1<<2)|0;k=l+8|0;h=f[k>>2]|0;e=h+8|0;n=f[e>>2]|0;if((l|0)==(n|0)){i=g&~(1<<j);f[225053]=i;p=i}else{f[n+12>>2]=l;f[k>>2]=n;p=g}n=(j<<3)-d|0;f[h+4>>2]=d|3;j=h+d|0;f[j+4>>2]=n|1;f[j+n>>2]=n;if(m|0){h=f[225058]|0;k=m>>>3;l=900252+(k<<1<<2)|0;i=1<<k;if(!(p&i)){f[225053]=p|i;q=l;r=l+8|0}else{i=l+8|0;q=f[i>>2]|0;r=i}f[r>>2]=h;f[q+12>>2]=h;f[h+8>>2]=q;f[h+12>>2]=l}f[225055]=n;f[225058]=j;o=e;u=b;return o|0}e=f[225054]|0;if(e){j=(e&0-e)+-1|0;n=j>>>12&16;l=j>>>n;j=l>>>5&8;h=l>>>j;l=h>>>2&4;i=h>>>l;h=i>>>1&2;k=i>>>h;i=k>>>1&1;s=f[900516+((j|n|l|h|i)+(k>>>i)<<2)>>2]|0;i=(f[s+4>>2]&-8)-d|0;k=f[s+16+(((f[s+16>>2]|0)==0&1)<<2)>>2]|0;if(!k){t=s;v=i}else{h=s;s=i;i=k;while(1){k=(f[i+4>>2]&-8)-d|0;l=k>>>0<s>>>0;n=l?k:s;k=l?i:h;i=f[i+16+(((f[i+16>>2]|0)==0&1)<<2)>>2]|0;if(!i){t=k;v=n;break}else{h=k;s=n}}}s=t+d|0;if(t>>>0<s>>>0){h=f[t+24>>2]|0;i=f[t+12>>2]|0;do if((i|0)==(t|0)){n=t+20|0;k=f[n>>2]|0;if(!k){l=t+16|0;j=f[l>>2]|0;if(!j){w=0;break}else{x=j;y=l}}else{x=k;y=n}while(1){n=x+20|0;k=f[n>>2]|0;if(k|0){x=k;y=n;continue}n=x+16|0;k=f[n>>2]|0;if(!k)break;else{x=k;y=n}}f[y>>2]=0;w=x}else{n=f[t+8>>2]|0;f[n+12>>2]=i;f[i+8>>2]=n;w=i}while(0);do if(h|0){i=f[t+28>>2]|0;n=900516+(i<<2)|0;if((t|0)==(f[n>>2]|0)){f[n>>2]=w;if(!w){f[225054]=e&~(1<<i);break}}else{f[h+16+(((f[h+16>>2]|0)!=(t|0)&1)<<2)>>2]=w;if(!w)break}f[w+24>>2]=h;i=f[t+16>>2]|0;if(i|0){f[w+16>>2]=i;f[i+24>>2]=w}i=f[t+20>>2]|0;if(i|0){f[w+20>>2]=i;f[i+24>>2]=w}}while(0);if(v>>>0<16){h=v+d|0;f[t+4>>2]=h|3;e=t+h+4|0;f[e>>2]=f[e>>2]|1}else{f[t+4>>2]=d|3;f[s+4>>2]=v|1;f[s+v>>2]=v;if(m|0){e=f[225058]|0;h=m>>>3;i=900252+(h<<1<<2)|0;n=1<<h;if(!(g&n)){f[225053]=g|n;z=i;A=i+8|0}else{n=i+8|0;z=f[n>>2]|0;A=n}f[A>>2]=e;f[z+12>>2]=e;f[e+8>>2]=z;f[e+12>>2]=i}f[225055]=v;f[225058]=s}o=t+8|0;u=b;return o|0}else B=d}else B=d}else B=d}else if(a>>>0<=4294967231){i=a+11|0;e=i&-8;n=f[225054]|0;if(n){h=0-e|0;k=i>>>8;if(k)if(e>>>0>16777215)C=31;else{i=(k+1048320|0)>>>16&8;l=k<<i;k=(l+520192|0)>>>16&4;j=l<<k;l=(j+245760|0)>>>16&2;D=14-(k|i|l)+(j<<l>>>15)|0;C=e>>>(D+7|0)&1|D<<1}else C=0;D=f[900516+(C<<2)>>2]|0;a:do if(!D){E=0;F=0;G=h;H=57}else{l=0;j=h;i=D;k=e<<((C|0)==31?0:25-(C>>>1)|0);I=0;while(1){J=(f[i+4>>2]&-8)-e|0;if(J>>>0<j>>>0)if(!J){K=i;L=0;M=i;H=61;break a}else{N=i;O=J}else{N=l;O=j}J=f[i+20>>2]|0;i=f[i+16+(k>>>31<<2)>>2]|0;P=(J|0)==0|(J|0)==(i|0)?I:J;J=(i|0)==0;if(J){E=P;F=N;G=O;H=57;break}else{l=N;j=O;k=k<<((J^1)&1);I=P}}}while(0);if((H|0)==57){if((E|0)==0&(F|0)==0){D=2<<C;h=n&(D|0-D);if(!h){B=e;break}D=(h&0-h)+-1|0;h=D>>>12&16;d=D>>>h;D=d>>>5&8;s=d>>>D;d=s>>>2&4;g=s>>>d;s=g>>>1&2;m=g>>>s;g=m>>>1&1;Q=0;R=f[900516+((D|h|d|s|g)+(m>>>g)<<2)>>2]|0}else{Q=F;R=E}if(!R){S=Q;T=G}else{K=Q;L=G;M=R;H=61}}if((H|0)==61)while(1){H=0;g=(f[M+4>>2]&-8)-e|0;m=g>>>0<L>>>0;s=m?g:L;g=m?M:K;M=f[M+16+(((f[M+16>>2]|0)==0&1)<<2)>>2]|0;if(!M){S=g;T=s;break}else{K=g;L=s;H=61}}if((S|0)!=0?T>>>0<((f[225055]|0)-e|0)>>>0:0){s=S+e|0;if(S>>>0>=s>>>0){o=0;u=b;return o|0}g=f[S+24>>2]|0;m=f[S+12>>2]|0;do if((m|0)==(S|0)){d=S+20|0;h=f[d>>2]|0;if(!h){D=S+16|0;I=f[D>>2]|0;if(!I){U=0;break}else{V=I;W=D}}else{V=h;W=d}while(1){d=V+20|0;h=f[d>>2]|0;if(h|0){V=h;W=d;continue}d=V+16|0;h=f[d>>2]|0;if(!h)break;else{V=h;W=d}}f[W>>2]=0;U=V}else{d=f[S+8>>2]|0;f[d+12>>2]=m;f[m+8>>2]=d;U=m}while(0);do if(g){m=f[S+28>>2]|0;d=900516+(m<<2)|0;if((S|0)==(f[d>>2]|0)){f[d>>2]=U;if(!U){d=n&~(1<<m);f[225054]=d;X=d;break}}else{f[g+16+(((f[g+16>>2]|0)!=(S|0)&1)<<2)>>2]=U;if(!U){X=n;break}}f[U+24>>2]=g;d=f[S+16>>2]|0;if(d|0){f[U+16>>2]=d;f[d+24>>2]=U}d=f[S+20>>2]|0;if(d){f[U+20>>2]=d;f[d+24>>2]=U;X=n}else X=n}else X=n;while(0);do if(T>>>0>=16){f[S+4>>2]=e|3;f[s+4>>2]=T|1;f[s+T>>2]=T;n=T>>>3;if(T>>>0<256){g=900252+(n<<1<<2)|0;d=f[225053]|0;m=1<<n;if(!(d&m)){f[225053]=d|m;Y=g;Z=g+8|0}else{m=g+8|0;Y=f[m>>2]|0;Z=m}f[Z>>2]=s;f[Y+12>>2]=s;f[s+8>>2]=Y;f[s+12>>2]=g;break}g=T>>>8;if(g)if(T>>>0>16777215)_=31;else{m=(g+1048320|0)>>>16&8;d=g<<m;g=(d+520192|0)>>>16&4;n=d<<g;d=(n+245760|0)>>>16&2;h=14-(g|m|d)+(n<<d>>>15)|0;_=T>>>(h+7|0)&1|h<<1}else _=0;h=900516+(_<<2)|0;f[s+28>>2]=_;d=s+16|0;f[d+4>>2]=0;f[d>>2]=0;d=1<<_;if(!(X&d)){f[225054]=X|d;f[h>>2]=s;f[s+24>>2]=h;f[s+12>>2]=s;f[s+8>>2]=s;break}d=T<<((_|0)==31?0:25-(_>>>1)|0);n=f[h>>2]|0;while(1){if((f[n+4>>2]&-8|0)==(T|0)){H=97;break}$=n+16+(d>>>31<<2)|0;h=f[$>>2]|0;if(!h){H=96;break}else{d=d<<1;n=h}}if((H|0)==96){f[$>>2]=s;f[s+24>>2]=n;f[s+12>>2]=s;f[s+8>>2]=s;break}else if((H|0)==97){d=n+8|0;h=f[d>>2]|0;f[h+12>>2]=s;f[d>>2]=s;f[s+8>>2]=h;f[s+12>>2]=n;f[s+24>>2]=0;break}}else{h=T+e|0;f[S+4>>2]=h|3;d=S+h+4|0;f[d>>2]=f[d>>2]|1}while(0);o=S+8|0;u=b;return o|0}else B=e}else B=e}else B=-1;while(0);S=f[225055]|0;if(S>>>0>=B>>>0){T=S-B|0;$=f[225058]|0;if(T>>>0>15){_=$+B|0;f[225058]=_;f[225055]=T;f[_+4>>2]=T|1;f[_+T>>2]=T;f[$+4>>2]=B|3}else{f[225055]=0;f[225058]=0;f[$+4>>2]=S|3;T=$+S+4|0;f[T>>2]=f[T>>2]|1}o=$+8|0;u=b;return o|0}$=f[225056]|0;if($>>>0>B>>>0){T=$-B|0;f[225056]=T;S=f[225059]|0;_=S+B|0;f[225059]=_;f[_+4>>2]=T|1;f[S+4>>2]=B|3;o=S+8|0;u=b;return o|0}if(!(f[225171]|0)){f[225173]=4096;f[225172]=4096;f[225174]=-1;f[225175]=-1;f[225176]=0;f[225164]=0;S=c&-16^1431655768;f[c>>2]=S;f[225171]=S;aa=4096}else aa=f[225173]|0;S=B+48|0;c=B+47|0;T=aa+c|0;_=0-aa|0;aa=T&_;if(aa>>>0<=B>>>0){o=0;u=b;return o|0}X=f[225163]|0;if(X|0?(Y=f[225161]|0,Z=Y+aa|0,Z>>>0<=Y>>>0|Z>>>0>X>>>0):0){o=0;u=b;return o|0}b:do if(!(f[225164]&4)){X=f[225059]|0;c:do if(X){Z=900660;while(1){Y=f[Z>>2]|0;if(Y>>>0<=X>>>0?(ba=Z+4|0,(Y+(f[ba>>2]|0)|0)>>>0>X>>>0):0)break;Y=f[Z+8>>2]|0;if(!Y){H=118;break c}else Z=Y}n=T-$&_;if(n>>>0<2147483647){Y=tzc(n|0)|0;if((Y|0)==((f[Z>>2]|0)+(f[ba>>2]|0)|0))if((Y|0)==(-1|0))ca=n;else{da=n;ea=Y;H=135;break b}else{fa=Y;ga=n;H=126}}else ca=0}else H=118;while(0);do if((H|0)==118){X=tzc(0)|0;if((X|0)!=(-1|0)?(e=X,n=f[225172]|0,Y=n+-1|0,U=((Y&e|0)==0?0:(Y+e&0-n)-e|0)+aa|0,e=f[225161]|0,n=U+e|0,U>>>0>B>>>0&U>>>0<2147483647):0){Y=f[225163]|0;if(Y|0?n>>>0<=e>>>0|n>>>0>Y>>>0:0){ca=0;break}Y=tzc(U|0)|0;if((Y|0)==(X|0)){da=U;ea=X;H=135;break b}else{fa=Y;ga=U;H=126}}else ca=0}while(0);do if((H|0)==126){U=0-ga|0;if(!(S>>>0>ga>>>0&(ga>>>0<2147483647&(fa|0)!=(-1|0))))if((fa|0)==(-1|0)){ca=0;break}else{da=ga;ea=fa;H=135;break b}Y=f[225173]|0;X=c-ga+Y&0-Y;if(X>>>0>=2147483647){da=ga;ea=fa;H=135;break b}if((tzc(X|0)|0)==(-1|0)){tzc(U|0)|0;ca=0;break}else{da=X+ga|0;ea=fa;H=135;break b}}while(0);f[225164]=f[225164]|4;ha=ca;H=133}else{ha=0;H=133}while(0);if(((H|0)==133?aa>>>0<2147483647:0)?(ca=tzc(aa|0)|0,aa=tzc(0)|0,fa=aa-ca|0,ga=fa>>>0>(B+40|0)>>>0,!((ca|0)==(-1|0)|ga^1|ca>>>0<aa>>>0&((ca|0)!=(-1|0)&(aa|0)!=(-1|0))^1)):0){da=ga?fa:ha;ea=ca;H=135}if((H|0)==135){ca=(f[225161]|0)+da|0;f[225161]=ca;if(ca>>>0>(f[225162]|0)>>>0)f[225162]=ca;ca=f[225059]|0;do if(ca){ha=900660;while(1){ia=f[ha>>2]|0;ja=ha+4|0;ka=f[ja>>2]|0;if((ea|0)==(ia+ka|0)){H=145;break}fa=f[ha+8>>2]|0;if(!fa)break;else ha=fa}if(((H|0)==145?(f[ha+12>>2]&8|0)==0:0)?ca>>>0<ea>>>0&ca>>>0>=ia>>>0:0){f[ja>>2]=ka+da;fa=ca+8|0;ga=(fa&7|0)==0?0:0-fa&7;fa=ca+ga|0;aa=(f[225056]|0)+(da-ga)|0;f[225059]=fa;f[225056]=aa;f[fa+4>>2]=aa|1;f[fa+aa+4>>2]=40;f[225060]=f[225175];break}if(ea>>>0<(f[225057]|0)>>>0)f[225057]=ea;aa=ea+da|0;fa=900660;while(1){if((f[fa>>2]|0)==(aa|0)){H=153;break}ga=f[fa+8>>2]|0;if(!ga)break;else fa=ga}if((H|0)==153?(f[fa+12>>2]&8|0)==0:0){f[fa>>2]=ea;ha=fa+4|0;f[ha>>2]=(f[ha>>2]|0)+da;ha=ea+8|0;ga=ea+((ha&7|0)==0?0:0-ha&7)|0;ha=aa+8|0;c=aa+((ha&7|0)==0?0:0-ha&7)|0;ha=ga+B|0;S=c-ga-B|0;f[ga+4>>2]=B|3;do if((c|0)!=(ca|0)){if((c|0)==(f[225058]|0)){ba=(f[225055]|0)+S|0;f[225055]=ba;f[225058]=ha;f[ha+4>>2]=ba|1;f[ha+ba>>2]=ba;break}ba=f[c+4>>2]|0;if((ba&3|0)==1){_=ba&-8;$=ba>>>3;d:do if(ba>>>0<256){T=f[c+8>>2]|0;X=f[c+12>>2]|0;if((X|0)==(T|0)){f[225053]=f[225053]&~(1<<$);break}else{f[T+12>>2]=X;f[X+8>>2]=T;break}}else{T=f[c+24>>2]|0;X=f[c+12>>2]|0;do if((X|0)==(c|0)){U=c+16|0;Y=U+4|0;n=f[Y>>2]|0;if(!n){e=f[U>>2]|0;if(!e){la=0;break}else{ma=e;na=U}}else{ma=n;na=Y}while(1){Y=ma+20|0;n=f[Y>>2]|0;if(n|0){ma=n;na=Y;continue}Y=ma+16|0;n=f[Y>>2]|0;if(!n)break;else{ma=n;na=Y}}f[na>>2]=0;la=ma}else{Y=f[c+8>>2]|0;f[Y+12>>2]=X;f[X+8>>2]=Y;la=X}while(0);if(!T)break;X=f[c+28>>2]|0;Y=900516+(X<<2)|0;do if((c|0)!=(f[Y>>2]|0)){f[T+16+(((f[T+16>>2]|0)!=(c|0)&1)<<2)>>2]=la;if(!la)break d}else{f[Y>>2]=la;if(la|0)break;f[225054]=f[225054]&~(1<<X);break d}while(0);f[la+24>>2]=T;X=c+16|0;Y=f[X>>2]|0;if(Y|0){f[la+16>>2]=Y;f[Y+24>>2]=la}Y=f[X+4>>2]|0;if(!Y)break;f[la+20>>2]=Y;f[Y+24>>2]=la}while(0);oa=c+_|0;pa=_+S|0}else{oa=c;pa=S}$=oa+4|0;f[$>>2]=f[$>>2]&-2;f[ha+4>>2]=pa|1;f[ha+pa>>2]=pa;$=pa>>>3;if(pa>>>0<256){ba=900252+($<<1<<2)|0;Z=f[225053]|0;Y=1<<$;if(!(Z&Y)){f[225053]=Z|Y;qa=ba;ra=ba+8|0}else{Y=ba+8|0;qa=f[Y>>2]|0;ra=Y}f[ra>>2]=ha;f[qa+12>>2]=ha;f[ha+8>>2]=qa;f[ha+12>>2]=ba;break}ba=pa>>>8;do if(!ba)sa=0;else{if(pa>>>0>16777215){sa=31;break}Y=(ba+1048320|0)>>>16&8;Z=ba<<Y;$=(Z+520192|0)>>>16&4;X=Z<<$;Z=(X+245760|0)>>>16&2;n=14-($|Y|Z)+(X<<Z>>>15)|0;sa=pa>>>(n+7|0)&1|n<<1}while(0);ba=900516+(sa<<2)|0;f[ha+28>>2]=sa;_=ha+16|0;f[_+4>>2]=0;f[_>>2]=0;_=f[225054]|0;n=1<<sa;if(!(_&n)){f[225054]=_|n;f[ba>>2]=ha;f[ha+24>>2]=ba;f[ha+12>>2]=ha;f[ha+8>>2]=ha;break}n=pa<<((sa|0)==31?0:25-(sa>>>1)|0);_=f[ba>>2]|0;while(1){if((f[_+4>>2]&-8|0)==(pa|0)){H=194;break}ta=_+16+(n>>>31<<2)|0;ba=f[ta>>2]|0;if(!ba){H=193;break}else{n=n<<1;_=ba}}if((H|0)==193){f[ta>>2]=ha;f[ha+24>>2]=_;f[ha+12>>2]=ha;f[ha+8>>2]=ha;break}else if((H|0)==194){n=_+8|0;ba=f[n>>2]|0;f[ba+12>>2]=ha;f[n>>2]=ha;f[ha+8>>2]=ba;f[ha+12>>2]=_;f[ha+24>>2]=0;break}}else{ba=(f[225056]|0)+S|0;f[225056]=ba;f[225059]=ha;f[ha+4>>2]=ba|1}while(0);o=ga+8|0;u=b;return o|0}ha=900660;while(1){S=f[ha>>2]|0;if(S>>>0<=ca>>>0?(ua=S+(f[ha+4>>2]|0)|0,ua>>>0>ca>>>0):0)break;ha=f[ha+8>>2]|0}ha=ua+-47|0;ga=ha+8|0;S=ha+((ga&7|0)==0?0:0-ga&7)|0;ga=ca+16|0;ha=S>>>0<ga>>>0?ca:S;S=ha+8|0;c=ea+8|0;aa=(c&7|0)==0?0:0-c&7;c=ea+aa|0;fa=da+-40-aa|0;f[225059]=c;f[225056]=fa;f[c+4>>2]=fa|1;f[c+fa+4>>2]=40;f[225060]=f[225175];fa=ha+4|0;f[fa>>2]=27;f[S>>2]=f[225165];f[S+4>>2]=f[225166];f[S+8>>2]=f[225167];f[S+12>>2]=f[225168];f[225165]=ea;f[225166]=da;f[225168]=0;f[225167]=S;S=ha+24|0;do{c=S;S=S+4|0;f[S>>2]=7}while((c+8|0)>>>0<ua>>>0);if((ha|0)!=(ca|0)){S=ha-ca|0;f[fa>>2]=f[fa>>2]&-2;f[ca+4>>2]=S|1;f[ha>>2]=S;c=S>>>3;if(S>>>0<256){aa=900252+(c<<1<<2)|0;ba=f[225053]|0;n=1<<c;if(!(ba&n)){f[225053]=ba|n;va=aa;wa=aa+8|0}else{n=aa+8|0;va=f[n>>2]|0;wa=n}f[wa>>2]=ca;f[va+12>>2]=ca;f[ca+8>>2]=va;f[ca+12>>2]=aa;break}aa=S>>>8;if(aa)if(S>>>0>16777215)xa=31;else{n=(aa+1048320|0)>>>16&8;ba=aa<<n;aa=(ba+520192|0)>>>16&4;c=ba<<aa;ba=(c+245760|0)>>>16&2;Z=14-(aa|n|ba)+(c<<ba>>>15)|0;xa=S>>>(Z+7|0)&1|Z<<1}else xa=0;Z=900516+(xa<<2)|0;f[ca+28>>2]=xa;f[ca+20>>2]=0;f[ga>>2]=0;ba=f[225054]|0;c=1<<xa;if(!(ba&c)){f[225054]=ba|c;f[Z>>2]=ca;f[ca+24>>2]=Z;f[ca+12>>2]=ca;f[ca+8>>2]=ca;break}c=S<<((xa|0)==31?0:25-(xa>>>1)|0);ba=f[Z>>2]|0;while(1){if((f[ba+4>>2]&-8|0)==(S|0)){H=216;break}ya=ba+16+(c>>>31<<2)|0;Z=f[ya>>2]|0;if(!Z){H=215;break}else{c=c<<1;ba=Z}}if((H|0)==215){f[ya>>2]=ca;f[ca+24>>2]=ba;f[ca+12>>2]=ca;f[ca+8>>2]=ca;break}else if((H|0)==216){c=ba+8|0;S=f[c>>2]|0;f[S+12>>2]=ca;f[c>>2]=ca;f[ca+8>>2]=S;f[ca+12>>2]=ba;f[ca+24>>2]=0;break}}}else{S=f[225057]|0;if((S|0)==0|ea>>>0<S>>>0)f[225057]=ea;f[225165]=ea;f[225166]=da;f[225168]=0;f[225062]=f[225171];f[225061]=-1;S=0;do{c=900252+(S<<1<<2)|0;f[c+12>>2]=c;f[c+8>>2]=c;S=S+1|0}while((S|0)!=32);S=ea+8|0;ba=(S&7|0)==0?0:0-S&7;S=ea+ba|0;c=da+-40-ba|0;f[225059]=S;f[225056]=c;f[S+4>>2]=c|1;f[S+c+4>>2]=40;f[225060]=f[225175]}while(0);da=f[225056]|0;if(da>>>0>B>>>0){ea=da-B|0;f[225056]=ea;da=f[225059]|0;ca=da+B|0;f[225059]=ca;f[ca+4>>2]=ea|1;f[da+4>>2]=B|3;o=da+8|0;u=b;return o|0}}da=Bec()|0;f[da>>2]=12;o=0;u=b;return o|0}function qec(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0;if(!a)return;b=a+-8|0;c=f[225057]|0;d=f[a+-4>>2]|0;a=d&-8;e=b+a|0;do if(!(d&1)){g=f[b>>2]|0;if(!(d&3))return;h=b+(0-g)|0;i=g+a|0;if(h>>>0<c>>>0)return;if((h|0)==(f[225058]|0)){j=e+4|0;k=f[j>>2]|0;if((k&3|0)!=3){l=h;m=i;n=h;break}f[225055]=i;f[j>>2]=k&-2;f[h+4>>2]=i|1;f[h+i>>2]=i;return}k=g>>>3;if(g>>>0<256){g=f[h+8>>2]|0;j=f[h+12>>2]|0;if((j|0)==(g|0)){f[225053]=f[225053]&~(1<<k);l=h;m=i;n=h;break}else{f[g+12>>2]=j;f[j+8>>2]=g;l=h;m=i;n=h;break}}g=f[h+24>>2]|0;j=f[h+12>>2]|0;do if((j|0)==(h|0)){k=h+16|0;o=k+4|0;p=f[o>>2]|0;if(!p){q=f[k>>2]|0;if(!q){r=0;break}else{s=q;t=k}}else{s=p;t=o}while(1){o=s+20|0;p=f[o>>2]|0;if(p|0){s=p;t=o;continue}o=s+16|0;p=f[o>>2]|0;if(!p)break;else{s=p;t=o}}f[t>>2]=0;r=s}else{o=f[h+8>>2]|0;f[o+12>>2]=j;f[j+8>>2]=o;r=j}while(0);if(g){j=f[h+28>>2]|0;o=900516+(j<<2)|0;if((h|0)==(f[o>>2]|0)){f[o>>2]=r;if(!r){f[225054]=f[225054]&~(1<<j);l=h;m=i;n=h;break}}else{f[g+16+(((f[g+16>>2]|0)!=(h|0)&1)<<2)>>2]=r;if(!r){l=h;m=i;n=h;break}}f[r+24>>2]=g;j=h+16|0;o=f[j>>2]|0;if(o|0){f[r+16>>2]=o;f[o+24>>2]=r}o=f[j+4>>2]|0;if(o){f[r+20>>2]=o;f[o+24>>2]=r;l=h;m=i;n=h}else{l=h;m=i;n=h}}else{l=h;m=i;n=h}}else{l=b;m=a;n=b}while(0);if(n>>>0>=e>>>0)return;b=e+4|0;a=f[b>>2]|0;if(!(a&1))return;if(!(a&2)){r=f[225058]|0;if((e|0)==(f[225059]|0)){s=(f[225056]|0)+m|0;f[225056]=s;f[225059]=l;f[l+4>>2]=s|1;if((l|0)!=(r|0))return;f[225058]=0;f[225055]=0;return}if((e|0)==(r|0)){r=(f[225055]|0)+m|0;f[225055]=r;f[225058]=n;f[l+4>>2]=r|1;f[n+r>>2]=r;return}r=(a&-8)+m|0;s=a>>>3;do if(a>>>0<256){t=f[e+8>>2]|0;c=f[e+12>>2]|0;if((c|0)==(t|0)){f[225053]=f[225053]&~(1<<s);break}else{f[t+12>>2]=c;f[c+8>>2]=t;break}}else{t=f[e+24>>2]|0;c=f[e+12>>2]|0;do if((c|0)==(e|0)){d=e+16|0;o=d+4|0;j=f[o>>2]|0;if(!j){p=f[d>>2]|0;if(!p){u=0;break}else{v=p;w=d}}else{v=j;w=o}while(1){o=v+20|0;j=f[o>>2]|0;if(j|0){v=j;w=o;continue}o=v+16|0;j=f[o>>2]|0;if(!j)break;else{v=j;w=o}}f[w>>2]=0;u=v}else{o=f[e+8>>2]|0;f[o+12>>2]=c;f[c+8>>2]=o;u=c}while(0);if(t|0){c=f[e+28>>2]|0;h=900516+(c<<2)|0;if((e|0)==(f[h>>2]|0)){f[h>>2]=u;if(!u){f[225054]=f[225054]&~(1<<c);break}}else{f[t+16+(((f[t+16>>2]|0)!=(e|0)&1)<<2)>>2]=u;if(!u)break}f[u+24>>2]=t;c=e+16|0;h=f[c>>2]|0;if(h|0){f[u+16>>2]=h;f[h+24>>2]=u}h=f[c+4>>2]|0;if(h|0){f[u+20>>2]=h;f[h+24>>2]=u}}}while(0);f[l+4>>2]=r|1;f[n+r>>2]=r;if((l|0)==(f[225058]|0)){f[225055]=r;return}else x=r}else{f[b>>2]=a&-2;f[l+4>>2]=m|1;f[n+m>>2]=m;x=m}m=x>>>3;if(x>>>0<256){n=900252+(m<<1<<2)|0;a=f[225053]|0;b=1<<m;if(!(a&b)){f[225053]=a|b;y=n;z=n+8|0}else{b=n+8|0;y=f[b>>2]|0;z=b}f[z>>2]=l;f[y+12>>2]=l;f[l+8>>2]=y;f[l+12>>2]=n;return}n=x>>>8;if(n)if(x>>>0>16777215)A=31;else{y=(n+1048320|0)>>>16&8;z=n<<y;n=(z+520192|0)>>>16&4;b=z<<n;z=(b+245760|0)>>>16&2;a=14-(n|y|z)+(b<<z>>>15)|0;A=x>>>(a+7|0)&1|a<<1}else A=0;a=900516+(A<<2)|0;f[l+28>>2]=A;f[l+20>>2]=0;f[l+16>>2]=0;z=f[225054]|0;b=1<<A;do if(z&b){y=x<<((A|0)==31?0:25-(A>>>1)|0);n=f[a>>2]|0;while(1){if((f[n+4>>2]&-8|0)==(x|0)){B=73;break}C=n+16+(y>>>31<<2)|0;m=f[C>>2]|0;if(!m){B=72;break}else{y=y<<1;n=m}}if((B|0)==72){f[C>>2]=l;f[l+24>>2]=n;f[l+12>>2]=l;f[l+8>>2]=l;break}else if((B|0)==73){y=n+8|0;t=f[y>>2]|0;f[t+12>>2]=l;f[y>>2]=l;f[l+8>>2]=t;f[l+12>>2]=n;f[l+24>>2]=0;break}}else{f[225054]=z|b;f[a>>2]=l;f[l+24>>2]=a;f[l+12>>2]=l;f[l+8>>2]=l}while(0);l=(f[225061]|0)+-1|0;f[225061]=l;if(!l)D=900668;else return;while(1){l=f[D>>2]|0;if(!l)break;else D=l+8|0}f[225061]=-1;return}function rec(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;if(!a){c=pec(b)|0;return c|0}if(b>>>0>4294967231){d=Bec()|0;f[d>>2]=12;c=0;return c|0}d=sec(a+-8|0,b>>>0<11?16:b+11&-8)|0;if(d|0){c=d+8|0;return c|0}d=pec(b)|0;if(!d){c=0;return c|0}e=f[a+-4>>2]|0;g=(e&-8)-((e&3|0)==0?8:4)|0;szc(d|0,a|0,(g>>>0<b>>>0?g:b)|0)|0;qec(a);c=d;return c|0}function sec(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;c=a+4|0;d=f[c>>2]|0;e=d&-8;g=a+e|0;if(!(d&3)){if(b>>>0<256){h=0;return h|0}if(e>>>0>=(b+4|0)>>>0?(e-b|0)>>>0<=f[225173]<<1>>>0:0){h=a;return h|0}h=0;return h|0}if(e>>>0>=b>>>0){i=e-b|0;if(i>>>0<=15){h=a;return h|0}j=a+b|0;f[c>>2]=d&1|b|2;f[j+4>>2]=i|3;k=j+i+4|0;f[k>>2]=f[k>>2]|1;tec(j,i);h=a;return h|0}if((g|0)==(f[225059]|0)){i=(f[225056]|0)+e|0;j=i-b|0;k=a+b|0;if(i>>>0<=b>>>0){h=0;return h|0}f[c>>2]=d&1|b|2;f[k+4>>2]=j|1;f[225059]=k;f[225056]=j;h=a;return h|0}if((g|0)==(f[225058]|0)){j=(f[225055]|0)+e|0;if(j>>>0<b>>>0){h=0;return h|0}k=j-b|0;i=d&1;if(k>>>0>15){l=a+b|0;m=l+k|0;f[c>>2]=i|b|2;f[l+4>>2]=k|1;f[m>>2]=k;n=m+4|0;f[n>>2]=f[n>>2]&-2;o=l;p=k}else{f[c>>2]=i|j|2;i=a+j+4|0;f[i>>2]=f[i>>2]|1;o=0;p=0}f[225055]=p;f[225058]=o;h=a;return h|0}o=f[g+4>>2]|0;if(o&2|0){h=0;return h|0}p=(o&-8)+e|0;if(p>>>0<b>>>0){h=0;return h|0}e=p-b|0;i=o>>>3;do if(o>>>0<256){j=f[g+8>>2]|0;k=f[g+12>>2]|0;if((k|0)==(j|0)){f[225053]=f[225053]&~(1<<i);break}else{f[j+12>>2]=k;f[k+8>>2]=j;break}}else{j=f[g+24>>2]|0;k=f[g+12>>2]|0;do if((k|0)==(g|0)){l=g+16|0;n=l+4|0;m=f[n>>2]|0;if(!m){q=f[l>>2]|0;if(!q){r=0;break}else{s=q;t=l}}else{s=m;t=n}while(1){n=s+20|0;m=f[n>>2]|0;if(m|0){s=m;t=n;continue}n=s+16|0;m=f[n>>2]|0;if(!m)break;else{s=m;t=n}}f[t>>2]=0;r=s}else{n=f[g+8>>2]|0;f[n+12>>2]=k;f[k+8>>2]=n;r=k}while(0);if(j|0){k=f[g+28>>2]|0;n=900516+(k<<2)|0;if((g|0)==(f[n>>2]|0)){f[n>>2]=r;if(!r){f[225054]=f[225054]&~(1<<k);break}}else{f[j+16+(((f[j+16>>2]|0)!=(g|0)&1)<<2)>>2]=r;if(!r)break}f[r+24>>2]=j;k=g+16|0;n=f[k>>2]|0;if(n|0){f[r+16>>2]=n;f[n+24>>2]=r}n=f[k+4>>2]|0;if(n|0){f[r+20>>2]=n;f[n+24>>2]=r}}}while(0);r=d&1;if(e>>>0<16){f[c>>2]=p|r|2;d=a+p+4|0;f[d>>2]=f[d>>2]|1;h=a;return h|0}else{d=a+b|0;f[c>>2]=r|b|2;f[d+4>>2]=e|3;b=d+e+4|0;f[b>>2]=f[b>>2]|1;tec(d,e);h=a;return h|0}return 0}function tec(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;c=a+b|0;d=f[a+4>>2]|0;do if(!(d&1)){e=f[a>>2]|0;if(!(d&3))return;g=a+(0-e)|0;h=e+b|0;if((g|0)==(f[225058]|0)){i=c+4|0;j=f[i>>2]|0;if((j&3|0)!=3){k=g;l=h;break}f[225055]=h;f[i>>2]=j&-2;f[g+4>>2]=h|1;f[g+h>>2]=h;return}j=e>>>3;if(e>>>0<256){e=f[g+8>>2]|0;i=f[g+12>>2]|0;if((i|0)==(e|0)){f[225053]=f[225053]&~(1<<j);k=g;l=h;break}else{f[e+12>>2]=i;f[i+8>>2]=e;k=g;l=h;break}}e=f[g+24>>2]|0;i=f[g+12>>2]|0;do if((i|0)==(g|0)){j=g+16|0;m=j+4|0;n=f[m>>2]|0;if(!n){o=f[j>>2]|0;if(!o){p=0;break}else{q=o;r=j}}else{q=n;r=m}while(1){m=q+20|0;n=f[m>>2]|0;if(n|0){q=n;r=m;continue}m=q+16|0;n=f[m>>2]|0;if(!n)break;else{q=n;r=m}}f[r>>2]=0;p=q}else{m=f[g+8>>2]|0;f[m+12>>2]=i;f[i+8>>2]=m;p=i}while(0);if(e){i=f[g+28>>2]|0;m=900516+(i<<2)|0;if((g|0)==(f[m>>2]|0)){f[m>>2]=p;if(!p){f[225054]=f[225054]&~(1<<i);k=g;l=h;break}}else{f[e+16+(((f[e+16>>2]|0)!=(g|0)&1)<<2)>>2]=p;if(!p){k=g;l=h;break}}f[p+24>>2]=e;i=g+16|0;m=f[i>>2]|0;if(m|0){f[p+16>>2]=m;f[m+24>>2]=p}m=f[i+4>>2]|0;if(m){f[p+20>>2]=m;f[m+24>>2]=p;k=g;l=h}else{k=g;l=h}}else{k=g;l=h}}else{k=a;l=b}while(0);b=c+4|0;a=f[b>>2]|0;if(!(a&2)){p=f[225058]|0;if((c|0)==(f[225059]|0)){q=(f[225056]|0)+l|0;f[225056]=q;f[225059]=k;f[k+4>>2]=q|1;if((k|0)!=(p|0))return;f[225058]=0;f[225055]=0;return}if((c|0)==(p|0)){p=(f[225055]|0)+l|0;f[225055]=p;f[225058]=k;f[k+4>>2]=p|1;f[k+p>>2]=p;return}p=(a&-8)+l|0;q=a>>>3;do if(a>>>0<256){r=f[c+8>>2]|0;d=f[c+12>>2]|0;if((d|0)==(r|0)){f[225053]=f[225053]&~(1<<q);break}else{f[r+12>>2]=d;f[d+8>>2]=r;break}}else{r=f[c+24>>2]|0;d=f[c+12>>2]|0;do if((d|0)==(c|0)){m=c+16|0;i=m+4|0;n=f[i>>2]|0;if(!n){j=f[m>>2]|0;if(!j){s=0;break}else{t=j;u=m}}else{t=n;u=i}while(1){i=t+20|0;n=f[i>>2]|0;if(n|0){t=n;u=i;continue}i=t+16|0;n=f[i>>2]|0;if(!n)break;else{t=n;u=i}}f[u>>2]=0;s=t}else{i=f[c+8>>2]|0;f[i+12>>2]=d;f[d+8>>2]=i;s=d}while(0);if(r|0){d=f[c+28>>2]|0;h=900516+(d<<2)|0;if((c|0)==(f[h>>2]|0)){f[h>>2]=s;if(!s){f[225054]=f[225054]&~(1<<d);break}}else{f[r+16+(((f[r+16>>2]|0)!=(c|0)&1)<<2)>>2]=s;if(!s)break}f[s+24>>2]=r;d=c+16|0;h=f[d>>2]|0;if(h|0){f[s+16>>2]=h;f[h+24>>2]=s}h=f[d+4>>2]|0;if(h|0){f[s+20>>2]=h;f[h+24>>2]=s}}}while(0);f[k+4>>2]=p|1;f[k+p>>2]=p;if((k|0)==(f[225058]|0)){f[225055]=p;return}else v=p}else{f[b>>2]=a&-2;f[k+4>>2]=l|1;f[k+l>>2]=l;v=l}l=v>>>3;if(v>>>0<256){a=900252+(l<<1<<2)|0;b=f[225053]|0;p=1<<l;if(!(b&p)){f[225053]=b|p;w=a;x=a+8|0}else{p=a+8|0;w=f[p>>2]|0;x=p}f[x>>2]=k;f[w+12>>2]=k;f[k+8>>2]=w;f[k+12>>2]=a;return}a=v>>>8;if(a)if(v>>>0>16777215)y=31;else{w=(a+1048320|0)>>>16&8;x=a<<w;a=(x+520192|0)>>>16&4;p=x<<a;x=(p+245760|0)>>>16&2;b=14-(a|w|x)+(p<<x>>>15)|0;y=v>>>(b+7|0)&1|b<<1}else y=0;b=900516+(y<<2)|0;f[k+28>>2]=y;f[k+20>>2]=0;f[k+16>>2]=0;x=f[225054]|0;p=1<<y;if(!(x&p)){f[225054]=x|p;f[b>>2]=k;f[k+24>>2]=b;f[k+12>>2]=k;f[k+8>>2]=k;return}p=v<<((y|0)==31?0:25-(y>>>1)|0);y=f[b>>2]|0;while(1){if((f[y+4>>2]&-8|0)==(v|0)){z=69;break}A=y+16+(p>>>31<<2)|0;b=f[A>>2]|0;if(!b){z=68;break}else{p=p<<1;y=b}}if((z|0)==68){f[A>>2]=k;f[k+24>>2]=y;f[k+12>>2]=k;f[k+8>>2]=k;return}else if((z|0)==69){z=y+8|0;A=f[z>>2]|0;f[A+12>>2]=k;f[z>>2]=k;f[k+8>>2]=A;f[k+12>>2]=y;f[k+24>>2]=0;return}}function uec(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;c=a>>>0>16?a:16;if(!(c+-1&c))d=c;else{a=16;while(1)if(a>>>0<c>>>0)a=a<<1;else{d=a;break}}if((-64-d|0)>>>0<=b>>>0){a=Bec()|0;f[a>>2]=12;e=0;return e|0}a=b>>>0<11?16:b+11&-8;b=pec(a+12+d|0)|0;if(!b){e=0;return e|0}c=b+-8|0;do if(b&d+-1){g=(b+d+-1&0-d)+-8|0;h=c;i=(g-h|0)>>>0>15?g:g+d|0;g=i-h|0;h=b+-4|0;j=f[h>>2]|0;k=(j&-8)-g|0;if(!(j&3)){f[i>>2]=(f[c>>2]|0)+g;f[i+4>>2]=k;l=i;m=i;break}else{j=i+4|0;f[j>>2]=k|f[j>>2]&1|2;n=i+k+4|0;f[n>>2]=f[n>>2]|1;f[h>>2]=g|f[h>>2]&1|2;f[j>>2]=f[j>>2]|1;tec(c,g);l=i;m=i;break}}else{l=c;m=c}while(0);c=l+4|0;l=f[c>>2]|0;if(l&3|0?(b=l&-8,b>>>0>(a+16|0)>>>0):0){d=b-a|0;b=m+a|0;f[c>>2]=a|l&1|2;f[b+4>>2]=d|3;l=b+d+4|0;f[l>>2]=f[l>>2]|1;tec(b,d)}e=m+8|0;return e|0}function vec(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;do if((b|0)!=8){d=b>>>2;if((b&3|0)!=0|(d|0)==0){e=22;return e|0}if(d+1073741823&d|0){e=22;return e|0}if((-64-b|0)>>>0<c>>>0){e=12;return e|0}else{g=uec(b>>>0>16?b:16,c)|0;break}}else g=pec(c)|0;while(0);if(!g){e=12;return e|0}f[a>>2]=g;e=0;return e|0}function wec(){return 900732}function xec(a){a=a|0;var b=0,c=0,d=0;b=u;u=u+16|0;c=b;d=Fec(f[a+60>>2]|0)|0;f[c>>2]=d;d=Aec(ke(6,c|0)|0)|0;u=b;return d|0}function yec(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0;e=u;u=u+32|0;g=e;f[a+36>>2]=226;if((f[a>>2]&64|0)==0?(f[g>>2]=f[a+60>>2],f[g+4>>2]=21523,f[g+8>>2]=e+16,ue(54,g|0)|0):0)b[a+75>>0]=-1;g=Eec(a,c,d)|0;u=e;return g|0}function zec(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+32|0;e=d;g=d+20|0;f[e>>2]=f[a+60>>2];f[e+4>>2]=0;f[e+8>>2]=b;f[e+12>>2]=g;f[e+16>>2]=c;if((Aec(Gd(140,e|0)|0)|0)<0){f[g>>2]=-1;h=-1}else h=f[g>>2]|0;u=d;return h|0}function Aec(a){a=a|0;var b=0,c=0;if(a>>>0>4294963200){b=Bec()|0;f[b>>2]=0-a;c=-1}else c=a;return c|0}function Bec(){return (Cec()|0)+64|0}function Cec(){return Dec()|0}function Dec(){return 159420}function Eec(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;d=u;u=u+48|0;e=d+16|0;g=d;h=d+32|0;i=a+28|0;j=f[i>>2]|0;f[h>>2]=j;k=a+20|0;l=(f[k>>2]|0)-j|0;f[h+4>>2]=l;f[h+8>>2]=b;f[h+12>>2]=c;b=l+c|0;l=a+60|0;f[g>>2]=f[l>>2];f[g+4>>2]=h;f[g+8>>2]=2;j=Aec(Jd(146,g|0)|0)|0;a:do if((b|0)!=(j|0)){g=2;m=b;n=h;o=j;while(1){if((o|0)<0)break;m=m-o|0;p=f[n+4>>2]|0;q=o>>>0>p>>>0;r=q?n+8|0:n;s=(q<<31>>31)+g|0;t=o-(q?p:0)|0;f[r>>2]=(f[r>>2]|0)+t;p=r+4|0;f[p>>2]=(f[p>>2]|0)-t;f[e>>2]=f[l>>2];f[e+4>>2]=r;f[e+8>>2]=s;o=Aec(Jd(146,e|0)|0)|0;if((m|0)==(o|0)){v=3;break a}else{g=s;n=r}}f[a+16>>2]=0;f[i>>2]=0;f[k>>2]=0;f[a>>2]=f[a>>2]|32;if((g|0)==2)w=0;else w=c-(f[n+4>>2]|0)|0}else v=3;while(0);if((v|0)==3){v=f[a+44>>2]|0;f[a+16>>2]=v+(f[a+48>>2]|0);f[i>>2]=v;f[k>>2]=v;w=c}u=d;return w|0}function Fec(a){a=a|0;return a|0}function Gec(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;e=u;u=u+32|0;g=e;h=e+16|0;f[h>>2]=c;i=h+4|0;j=a+48|0;k=f[j>>2]|0;f[i>>2]=d-((k|0)!=0&1);l=a+44|0;f[h+8>>2]=f[l>>2];f[h+12>>2]=k;f[g>>2]=f[a+60>>2];f[g+4>>2]=h;f[g+8>>2]=2;h=Aec(Id(145,g|0)|0)|0;if((h|0)>=1){g=f[i>>2]|0;if(h>>>0>g>>>0){i=f[l>>2]|0;l=a+4|0;f[l>>2]=i;f[a+8>>2]=i+(h-g);if(!(f[j>>2]|0))m=d;else{f[l>>2]=i+1;b[c+(d+-1)>>0]=b[i>>0]|0;m=d}}else m=h}else{f[a>>2]=f[a>>2]|h&48^16;m=h}u=e;return m|0}function Hec(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0;d=0;while(1){if((h[524216+d>>0]|0)==(a|0)){e=2;break}g=d+1|0;if((g|0)==87){i=524304;j=87;e=5;break}else d=g}if((e|0)==2)if(!d)k=524304;else{i=524304;j=d;e=5}if((e|0)==5)while(1){e=0;d=i;do{a=d;d=d+1|0}while((b[a>>0]|0)!=0);j=j+-1|0;if(!j){k=d;break}else{i=d;e=5}}return Iec(k,f[c+20>>2]|0)|0}function Iec(a,b){a=a|0;b=b|0;return Jec(a,b)|0}function Jec(a,b){a=a|0;b=b|0;var c=0;if(!b)c=0;else c=Kec(f[b>>2]|0,f[b+4>>2]|0,a)|0;return (c|0?c:a)|0}function Kec(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;e=(f[a>>2]|0)+1794895138|0;g=Lec(f[a+8>>2]|0,e)|0;h=Lec(f[a+12>>2]|0,e)|0;i=Lec(f[a+16>>2]|0,e)|0;a:do if((g>>>0<c>>>2>>>0?(j=c-(g<<2)|0,h>>>0<j>>>0&i>>>0<j>>>0):0)?((i|h)&3|0)==0:0){j=h>>>2;k=i>>>2;l=0;m=g;while(1){n=m>>>1;o=l+n|0;p=o<<1;q=p+j|0;r=Lec(f[a+(q<<2)>>2]|0,e)|0;s=Lec(f[a+(q+1<<2)>>2]|0,e)|0;if(!(s>>>0<c>>>0&r>>>0<(c-s|0)>>>0)){t=0;break a}if(b[a+(s+r)>>0]|0){t=0;break a}r=Mec(d,a+s|0)|0;if(!r)break;s=(r|0)<0;if((m|0)==1){t=0;break a}else{l=s?l:o;m=s?n:m-n|0}}m=p+k|0;l=Lec(f[a+(m<<2)>>2]|0,e)|0;j=Lec(f[a+(m+1<<2)>>2]|0,e)|0;if(j>>>0<c>>>0&l>>>0<(c-j|0)>>>0)t=(b[a+(j+l)>>0]|0)==0?a+j|0:0;else t=0}else t=0;while(0);return t|0}function Lec(a,b){a=a|0;b=b|0;var c=0;c=wzc(a|0)|0;return ((b|0)==0?a:c)|0}function Mec(a,c){a=a|0;c=c|0;var d=0,e=0,f=0,g=0;d=b[a>>0]|0;e=b[c>>0]|0;if(d<<24>>24==0?1:d<<24>>24!=e<<24>>24){f=e;g=d}else{d=c;c=a;do{c=c+1|0;d=d+1|0;a=b[c>>0]|0;e=b[d>>0]|0}while(!(a<<24>>24==0?1:a<<24>>24!=e<<24>>24));f=e;g=a}return (g&255)-(f&255)|0}function Nec(a){a=a|0;var b=0;b=(Oec()|0)+188|0;return Hec(a,f[b>>2]|0)|0}function Oec(){return Dec()|0}function Pec(a){a=a|0;return 0}function Qec(a){a=a|0;return 0}function Rec(a){a=a|0;var b=0,c=0,d=0;b=u;u=u+16|0;c=b;d=Fec(a)|0;f[c>>2]=d;d=ke(6,c|0)|0;c=Aec((d|0)==-4?0:d)|0;u=b;return c|0}function Sec(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0;d=u;u=u+48|0;e=d+16|0;g=d;h=d+32|0;if(!(b&4194368))i=0;else{f[h>>2]=c;c=(f[h>>2]|0)+(4-1)&~(4-1);j=f[c>>2]|0;f[h>>2]=c+4;i=j}f[g>>2]=a;f[g+4>>2]=b|32768;f[g+8>>2]=i;i=le(5,g|0)|0;if(!((b&524288|0)==0|(i|0)<0)){f[e>>2]=i;f[e+4>>2]=2;f[e+8>>2]=1;_c(221,e|0)|0}e=Aec(i)|0;u=d;return e|0}function Tec(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+32|0;e=d;g=d+20|0;f[e>>2]=a;f[e+4>>2]=0;f[e+8>>2]=b;f[e+12>>2]=g;f[e+16>>2]=c;c=(Aec(Gd(140,e|0)|0)|0)!=0;u=d;return (c?-1:f[g>>2]|0)|0}function Uec(a){a=a|0;var b=0;b=(Vec(a)|0)==0;return (b?a:a|32)|0}function Vec(a){a=a|0;return (a+-65|0)>>>0<26|0}function Wec(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;d=Xec(a,b,c)|0;return d|0}function Xec(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;d=Yec(a,b,c,-1,-1)|0;return d|0}function Yec(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0;g=u;u=u+128|0;h=g;f[h>>2]=0;i=h+4|0;f[i>>2]=a;f[h+44>>2]=a;j=h+8|0;f[j>>2]=(a|0)<0?-1:a+2147483647|0;f[h+76>>2]=-1;Zec(h,0);k=_ec(h,c,1,d,e)|0;if(b|0)f[b>>2]=a+((f[i>>2]|0)+(f[h+108>>2]|0)-(f[j>>2]|0));u=g;return k|0}function Zec(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;f[a+104>>2]=b;c=f[a+8>>2]|0;d=f[a+4>>2]|0;e=c-d|0;f[a+108>>2]=e;f[a+100>>2]=(b|0)!=0&(e|0)>(b|0)?d+b|0:c;return}function _ec(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0;a:do if(c>>>0>36){i=Bec()|0;f[i>>2]=22;j=0;k=0}else{i=a+4|0;l=a+100|0;do{m=f[i>>2]|0;if(m>>>0<(f[l>>2]|0)>>>0){f[i>>2]=m+1;n=h[m>>0]|0}else n=$ec(a)|0}while((afc(n)|0)!=0);b:do switch(n|0){case 43:case 45:{m=((n|0)==45)<<31>>31;o=f[i>>2]|0;if(o>>>0<(f[l>>2]|0)>>>0){f[i>>2]=o+1;p=m;q=h[o>>0]|0;break b}else{p=m;q=$ec(a)|0;break b}break}default:{p=0;q=n}}while(0);m=(c|0)==0;do if((c|16|0)==16&(q|0)==48){o=f[i>>2]|0;if(o>>>0<(f[l>>2]|0)>>>0){f[i>>2]=o+1;r=h[o>>0]|0}else r=$ec(a)|0;if((r|32|0)!=120)if(m){s=r;t=8;u=46;break}else{v=r;w=c;u=32;break}o=f[i>>2]|0;if(o>>>0<(f[l>>2]|0)>>>0){f[i>>2]=o+1;x=h[o>>0]|0}else x=$ec(a)|0;if((h[526109+x>>0]|0)>15){o=(f[l>>2]|0)!=0;if(o)f[i>>2]=(f[i>>2]|0)+-1;if(!d){Zec(a,0);j=0;k=0;break a}if(!o){j=0;k=0;break a}f[i>>2]=(f[i>>2]|0)+-1;j=0;k=0;break a}else{s=x;t=16;u=46}}else{o=m?10:c;if((h[526109+q>>0]|0)>>>0<o>>>0){v=q;w=o;u=32}else{if(f[l>>2]|0)f[i>>2]=(f[i>>2]|0)+-1;Zec(a,0);o=Bec()|0;f[o>>2]=22;j=0;k=0;break a}}while(0);c:do if((u|0)==32)if((w|0)==10){m=v+-48|0;if(m>>>0<10){o=0;y=m;do{o=(o*10|0)+y|0;m=f[i>>2]|0;if(m>>>0<(f[l>>2]|0)>>>0){f[i>>2]=m+1;z=h[m>>0]|0}else z=$ec(a)|0;y=z+-48|0}while(y>>>0<10&o>>>0<429496729);A=z;B=o;C=0}else{A=v;B=0;C=0}y=A+-48|0;if(y>>>0<10){m=A;D=B;E=C;F=y;while(1){y=Bzc(D|0,E|0,10,0)|0;G=J;H=((F|0)<0)<<31>>31;I=~H;if(G>>>0>I>>>0|(G|0)==(I|0)&y>>>0>~F>>>0){K=10;L=m;M=D;N=E;u=72;break c}D=hzc(y|0,G|0,F|0,H|0)|0;E=J;H=f[i>>2]|0;if(H>>>0<(f[l>>2]|0)>>>0){f[i>>2]=H+1;O=h[H>>0]|0}else O=$ec(a)|0;F=O+-48|0;if(!(F>>>0<10&(E>>>0<429496729|(E|0)==429496729&D>>>0<2576980378)))break;else m=O}if(F>>>0>9){P=p;Q=E;R=D}else{K=10;L=O;M=D;N=E;u=72}}else{P=p;Q=C;R=B}}else{s=v;t=w;u=46}while(0);d:do if((u|0)==46){if(!(t+-1&t)){m=b[526365+((t*23|0)>>>5&7)>>0]|0;o=b[526109+s>>0]|0;H=o&255;if(H>>>0<t>>>0){G=0;y=H;do{G=y|G<<m;H=f[i>>2]|0;if(H>>>0<(f[l>>2]|0)>>>0){f[i>>2]=H+1;S=h[H>>0]|0}else S=$ec(a)|0;T=b[526109+S>>0]|0;y=T&255}while(G>>>0<134217728&y>>>0<t>>>0);U=S;V=T;W=0;X=G}else{U=s;V=o;W=0;X=0}y=pzc(-1,-1,m|0)|0;E=J;if((V&255)>>>0>=t>>>0|(W>>>0>E>>>0|(W|0)==(E|0)&X>>>0>y>>>0)){K=t;L=U;M=X;N=W;u=72;break}else{Z=X;_=W;$=V}while(1){D=yzc(Z|0,_|0,m|0)|0;F=J;H=$&255|D;D=f[i>>2]|0;if(D>>>0<(f[l>>2]|0)>>>0){f[i>>2]=D+1;aa=h[D>>0]|0}else aa=$ec(a)|0;$=b[526109+aa>>0]|0;if(($&255)>>>0>=t>>>0|(F>>>0>E>>>0|(F|0)==(E|0)&H>>>0>y>>>0)){K=t;L=aa;M=H;N=F;u=72;break d}else{Z=H;_=F}}}y=b[526109+s>>0]|0;E=y&255;if(E>>>0<t>>>0){m=0;o=E;do{m=o+(Y(m,t)|0)|0;E=f[i>>2]|0;if(E>>>0<(f[l>>2]|0)>>>0){f[i>>2]=E+1;ba=h[E>>0]|0}else ba=$ec(a)|0;ca=b[526109+ba>>0]|0;o=ca&255}while(m>>>0<119304647&o>>>0<t>>>0);da=ba;ea=ca;fa=m;ga=0}else{da=s;ea=y;fa=0;ga=0}if((ea&255)>>>0<t>>>0){o=qzc(-1,-1,t|0,0)|0;E=J;G=da;F=ga;H=fa;D=ea;while(1){if(F>>>0>E>>>0|(F|0)==(E|0)&H>>>0>o>>>0){K=t;L=G;M=H;N=F;u=72;break d}I=Bzc(H|0,F|0,t|0,0)|0;ha=J;ia=D&255;if(ha>>>0>4294967295|(ha|0)==-1&I>>>0>~ia>>>0){K=t;L=G;M=H;N=F;u=72;break d}ja=hzc(ia|0,0,I|0,ha|0)|0;ha=J;I=f[i>>2]|0;if(I>>>0<(f[l>>2]|0)>>>0){f[i>>2]=I+1;ka=h[I>>0]|0}else ka=$ec(a)|0;D=b[526109+ka>>0]|0;if((D&255)>>>0>=t>>>0){K=t;L=ka;M=ja;N=ha;u=72;break}else{G=ka;F=ha;H=ja}}}else{K=t;L=da;M=fa;N=ga;u=72}}while(0);if((u|0)==72)if((h[526109+L>>0]|0)>>>0<K>>>0){do{H=f[i>>2]|0;if(H>>>0<(f[l>>2]|0)>>>0){f[i>>2]=H+1;la=h[H>>0]|0}else la=$ec(a)|0}while((h[526109+la>>0]|0)>>>0<K>>>0);H=Bec()|0;f[H>>2]=34;P=(e&1|0)==0&0==0?p:0;Q=g;R=e}else{P=p;Q=N;R=M}if(f[l>>2]|0)f[i>>2]=(f[i>>2]|0)+-1;if(!(Q>>>0<g>>>0|(Q|0)==(g|0)&R>>>0<e>>>0)){if(!((e&1|0)!=0|0!=0|(P|0)!=0)){H=Bec()|0;f[H>>2]=34;H=hzc(e|0,g|0,-1,-1)|0;j=J;k=H;break}if(Q>>>0>g>>>0|(Q|0)==(g|0)&R>>>0>e>>>0){H=Bec()|0;f[H>>2]=34;j=g;k=e;break}}H=((P|0)<0)<<31>>31;F=gzc(R^P|0,Q^H|0,P|0,H|0)|0;j=J;k=F}while(0);J=j;return k|0}function $ec(a){a=a|0;var c=0,d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;c=a+104|0;d=f[c>>2]|0;if((d|0)!=0?(f[a+108>>2]|0)>=(d|0):0)e=4;else{d=bfc(a)|0;if((d|0)>=0){g=f[c>>2]|0;c=a+8|0;if(g){i=f[c>>2]|0;j=f[a+4>>2]|0;k=a+108|0;l=g-(f[k>>2]|0)|0;g=i;if((i-j|0)<(l|0)){m=k;n=g;o=g;p=j}else{m=k;n=j+(l+-1)|0;o=g;p=j}}else{j=f[c>>2]|0;m=a+108|0;n=j;o=j;p=f[a+4>>2]|0}f[a+100>>2]=n;if(o|0)f[m>>2]=o+1-p+(f[m>>2]|0);m=p+-1|0;if((h[m>>0]|0|0)==(d|0))q=d;else{b[m>>0]=d;q=d}}else e=4}if((e|0)==4){f[a+100>>2]=0;q=-1}return q|0}function afc(a){a=a|0;return ((a|0)==32|(a+-9|0)>>>0<5)&1|0}function bfc(a){a=a|0;var b=0,c=0,d=0;b=u;u=u+16|0;c=b;if((cfc(a)|0)==0?(li[f[a+32>>2]&511](a,c,1)|0)==1:0)d=h[c>>0]|0;else d=-1;u=b;return d|0}function cfc(a){a=a|0;var c=0,d=0,e=0;c=a+74|0;d=b[c>>0]|0;b[c>>0]=d+255|d;d=a+20|0;c=a+28|0;if((f[d>>2]|0)>>>0>(f[c>>2]|0)>>>0)li[f[a+36>>2]&511](a,0,0)|0;f[a+16>>2]=0;f[c>>2]=0;f[d>>2]=0;d=f[a>>2]|0;if(!(d&4)){c=(f[a+44>>2]|0)+(f[a+48>>2]|0)|0;f[a+8>>2]=c;f[a+4>>2]=c;e=d<<27>>31}else{f[a>>2]=d|32;e=-1}return e|0}function dfc(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;d=efc(a,b,c)|0;return d|0}function efc(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;d=Yec(a,b,c,0,-2147483648)|0;return d|0}function ffc(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;d=Yec(a,b,c,-1,0)|0;return d|0}function gfc(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;d=Yec(a,b,c,-2147483648,0)|0;return d|0}function hfc(a){a=a|0;var b=0;b=(ifc(a)|0)==0;return (b?a:a&95)|0}function ifc(a){a=a|0;return (a+-97|0)>>>0<26|0}function jfc(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;c=a;a:do if(!(c&3)){d=a;e=4}else{g=a;h=c;while(1){if(!(b[g>>0]|0)){i=h;break a}j=g+1|0;h=j;if(!(h&3)){d=j;e=4;break}else g=j}}while(0);if((e|0)==4){e=d;while(1){k=f[e>>2]|0;if(!((k&-2139062144^-2139062144)&k+-16843009))e=e+4|0;else break}if(!((k&255)<<24>>24))l=e;else{k=e;while(1){e=k+1|0;if(!(b[e>>0]|0)){l=e;break}else k=e}}i=l}return i-c|0}function kfc(a,b){a=a|0;b=b|0;lfc(a,b)|0;return a|0}function lfc(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;d=c;a:do if(!((d^a)&3)){if(!(d&3)){e=c;g=a}else{h=c;i=a;while(1){j=b[h>>0]|0;b[i>>0]=j;if(!(j<<24>>24)){k=i;break a}j=h+1|0;l=i+1|0;if(!(j&3)){e=j;g=l;break}else{h=j;i=l}}}i=f[e>>2]|0;if(!((i&-2139062144^-2139062144)&i+-16843009)){h=g;l=e;j=i;while(1){i=l+4|0;m=h+4|0;f[h>>2]=j;j=f[i>>2]|0;if((j&-2139062144^-2139062144)&j+-16843009|0){n=i;o=m;break}else{h=m;l=i}}}else{n=e;o=g}p=n;q=o;r=8}else{p=c;q=a;r=8}while(0);if((r|0)==8){r=b[p>>0]|0;b[q>>0]=r;if(!(r<<24>>24))k=q;else{r=q;q=p;while(1){q=q+1|0;p=r+1|0;a=b[q>>0]|0;b[p>>0]=a;if(!(a<<24>>24)){k=p;break}else r=p}}}return k|0}function mfc(a){a=a|0;var b=0,c=0,d=0;b=(jfc(a)|0)+1|0;c=pec(b)|0;if(!c)d=0;else{szc(c|0,a|0,b|0)|0;d=c}return d|0}function nfc(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;f[e>>2]=a;f[e+4>>2]=b;f[e+8>>2]=c;c=Aec(ie(3,e|0)|0)|0;u=d;return c|0}function ofc(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;f[e>>2]=a;f[e+4>>2]=b;f[e+8>>2]=c;c=Aec(gf(4,e|0)|0)|0;u=d;return c|0}function pfc(a){a=a|0;return 0}function qfc(a){a=a|0;var b=0;b=a;while(1)if(!(f[b>>2]|0))break;else b=b+4|0;return b-a>>2|0}function rfc(a,b){a=a|0;b=b|0;return (a+-48|0)>>>0<10|0}function sfc(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;if(c|0){d=c;c=b;b=a;while(1){d=d+-1|0;f[b>>2]=f[c>>2];if(!d)break;else{c=c+4|0;b=b+4|0}}}return a|0}function tfc(a,b){a=a|0;b=b|0;return -1|0}function ufc(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0;e=u;u=u+16|0;g=e;f[g>>2]=d;d=vfc(a,b,c,g)|0;u=e;return d|0}function vfc(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;g=u;u=u+128|0;h=g+124|0;i=g;j=i;k=159924;l=j+124|0;do{f[j>>2]=f[k>>2];j=j+4|0;k=k+4|0}while((j|0)<(l|0));if((c+-1|0)>>>0>2147483646)if(!c){m=h;n=1;o=4}else{h=Bec()|0;f[h>>2]=75;p=-1}else{m=a;n=c;o=4}if((o|0)==4){o=-2-m|0;c=n>>>0>o>>>0?o:n;f[i+48>>2]=c;n=i+20|0;f[n>>2]=m;f[i+44>>2]=m;o=m+c|0;m=i+16|0;f[m>>2]=o;f[i+28>>2]=o;o=wfc(i,d,e)|0;if(!c)p=o;else{c=f[n>>2]|0;b[c+(((c|0)==(f[m>>2]|0))<<31>>31)>>0]=0;p=o}}u=g;return p|0}function wfc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;e=u;u=u+224|0;g=e+120|0;h=e+80|0;i=e;j=e+136|0;k=h;l=k+40|0;do{f[k>>2]=0;k=k+4|0}while((k|0)<(l|0));f[g>>2]=f[d>>2];if((xfc(0,c,g,i,h)|0)<0)m=-1;else{if((f[a+76>>2]|0)>-1)n=yfc(a)|0;else n=0;d=f[a>>2]|0;k=d&32;if((b[a+74>>0]|0)<1)f[a>>2]=d&-33;d=a+48|0;if(!(f[d>>2]|0)){l=a+44|0;o=f[l>>2]|0;f[l>>2]=j;p=a+28|0;f[p>>2]=j;q=a+20|0;f[q>>2]=j;f[d>>2]=80;r=a+16|0;f[r>>2]=j+80;j=xfc(a,c,g,i,h)|0;if(!o)s=j;else{li[f[a+36>>2]&511](a,0,0)|0;t=(f[q>>2]|0)==0?-1:j;f[l>>2]=o;f[d>>2]=0;f[r>>2]=0;f[p>>2]=0;f[q>>2]=0;s=t}}else s=xfc(a,c,g,i,h)|0;h=f[a>>2]|0;f[a>>2]=h|k;if(n|0)zfc(a);m=(h&32|0)==0?s:-1}u=e;return m|0}function xfc(a,c,e,g,h){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0;i=u;u=u+64|0;j=i+16|0;k=i;l=i+24|0;m=i+8|0;n=i+20|0;f[j>>2]=c;o=(a|0)!=0;q=l+40|0;r=q;s=l+39|0;l=m+4|0;t=0;v=0;w=0;x=c;a:while(1){do if((v|0)>-1)if((t|0)>(2147483647-v|0)){c=Bec()|0;f[c>>2]=75;y=-1;break}else{y=t+v|0;break}else y=v;while(0);c=b[x>>0]|0;if(!(c<<24>>24)){z=87;break}else{A=c;B=x}b:while(1){switch(A<<24>>24){case 37:{C=B;D=B;z=9;break b;break}case 0:{E=B;F=B;break b;break}default:{}}c=B+1|0;f[j>>2]=c;A=b[c>>0]|0;B=c}c:do if((z|0)==9)while(1){z=0;if((b[D+1>>0]|0)!=37){E=C;F=D;break c}c=C+1|0;G=D+2|0;f[j>>2]=G;if((b[G>>0]|0)==37){C=c;D=G;z=9}else{E=c;F=G;break}}while(0);G=E-x|0;if(o)Afc(a,x,G);if(G|0){t=G;v=y;x=F;continue}G=F+1|0;c=(b[G>>0]|0)+-48|0;if(c>>>0<10){H=(b[F+2>>0]|0)==36;I=H?c:-1;K=H?1:w;L=H?F+3|0:G}else{I=-1;K=w;L=G}f[j>>2]=L;G=b[L>>0]|0;H=(G<<24>>24)+-32|0;d:do if(H>>>0<32){c=0;M=G;N=H;O=L;while(1){P=1<<N;if(!(P&75913)){Q=c;R=M;S=O;break d}T=P|c;P=O+1|0;f[j>>2]=P;U=b[P>>0]|0;N=(U<<24>>24)+-32|0;if(N>>>0>=32){Q=T;R=U;S=P;break}else{c=T;M=U;O=P}}}else{Q=0;R=G;S=L}while(0);if(R<<24>>24==42){G=S+1|0;H=(b[G>>0]|0)+-48|0;if(H>>>0<10?(b[S+2>>0]|0)==36:0){f[h+(H<<2)>>2]=10;V=f[g+((b[G>>0]|0)+-48<<3)>>2]|0;W=1;X=S+3|0}else{if(K|0){Y=-1;break}if(o){H=(f[e>>2]|0)+(4-1)&~(4-1);O=f[H>>2]|0;f[e>>2]=H+4;V=O;W=0;X=G}else{V=0;W=0;X=G}}f[j>>2]=X;G=(V|0)<0;Z=G?0-V|0:V;_=G?Q|8192:Q;$=W;aa=X}else{G=Bfc(j)|0;if((G|0)<0){Y=-1;break}Z=G;_=Q;$=K;aa=f[j>>2]|0}do if((b[aa>>0]|0)==46){if((b[aa+1>>0]|0)!=42){f[j>>2]=aa+1;G=Bfc(j)|0;ba=G;ca=f[j>>2]|0;break}G=aa+2|0;O=(b[G>>0]|0)+-48|0;if(O>>>0<10?(b[aa+3>>0]|0)==36:0){f[h+(O<<2)>>2]=10;O=f[g+((b[G>>0]|0)+-48<<3)>>2]|0;H=aa+4|0;f[j>>2]=H;ba=O;ca=H;break}if($|0){Y=-1;break a}if(o){H=(f[e>>2]|0)+(4-1)&~(4-1);O=f[H>>2]|0;f[e>>2]=H+4;da=O}else da=0;f[j>>2]=G;ba=da;ca=G}else{ba=-1;ca=aa}while(0);G=0;O=ca;while(1){if(((b[O>>0]|0)+-65|0)>>>0>57){Y=-1;break a}ea=O+1|0;f[j>>2]=ea;fa=b[(b[O>>0]|0)+-65+(526374+(G*58|0))>>0]|0;ga=fa&255;if((ga+-1|0)>>>0<8){G=ga;O=ea}else break}if(!(fa<<24>>24)){Y=-1;break}H=(I|0)>-1;do if(fa<<24>>24==19)if(H){Y=-1;break a}else z=49;else{if(H){f[h+(I<<2)>>2]=ga;M=g+(I<<3)|0;c=f[M+4>>2]|0;N=k;f[N>>2]=f[M>>2];f[N+4>>2]=c;z=49;break}if(!o){Y=0;break a}Cfc(k,ga,e)}while(0);if((z|0)==49?(z=0,!o):0){t=0;v=y;w=$;x=ea;continue}H=b[O>>0]|0;c=(G|0)!=0&(H&15|0)==3?H&-33:H;H=_&-65537;N=(_&8192|0)==0?_:H;e:do switch(c|0){case 110:{switch((G&255)<<24>>24){case 0:{f[f[k>>2]>>2]=y;t=0;v=y;w=$;x=ea;continue a;break}case 1:{f[f[k>>2]>>2]=y;t=0;v=y;w=$;x=ea;continue a;break}case 2:{M=f[k>>2]|0;f[M>>2]=y;f[M+4>>2]=((y|0)<0)<<31>>31;t=0;v=y;w=$;x=ea;continue a;break}case 3:{d[f[k>>2]>>1]=y;t=0;v=y;w=$;x=ea;continue a;break}case 4:{b[f[k>>2]>>0]=y;t=0;v=y;w=$;x=ea;continue a;break}case 6:{f[f[k>>2]>>2]=y;t=0;v=y;w=$;x=ea;continue a;break}case 7:{M=f[k>>2]|0;f[M>>2]=y;f[M+4>>2]=((y|0)<0)<<31>>31;t=0;v=y;w=$;x=ea;continue a;break}default:{t=0;v=y;w=$;x=ea;continue a}}break}case 112:{ha=120;ia=ba>>>0>8?ba:8;ja=N|8;z=61;break}case 88:case 120:{ha=c;ia=ba;ja=N;z=61;break}case 111:{M=k;P=f[M>>2]|0;U=f[M+4>>2]|0;M=Efc(P,U,q)|0;T=r-M|0;ka=M;la=0;ma=526838;na=(N&8|0)==0|(ba|0)>(T|0)?ba:T+1|0;oa=N;pa=P;qa=U;z=67;break}case 105:case 100:{U=k;P=f[U>>2]|0;T=f[U+4>>2]|0;if((T|0)<0){U=gzc(0,0,P|0,T|0)|0;M=J;ra=k;f[ra>>2]=U;f[ra+4>>2]=M;sa=1;ta=526838;ua=U;va=M;z=66;break e}else{sa=(N&2049|0)!=0&1;ta=(N&2048|0)==0?((N&1|0)==0?526838:526840):526839;ua=P;va=T;z=66;break e}break}case 117:{T=k;sa=0;ta=526838;ua=f[T>>2]|0;va=f[T+4>>2]|0;z=66;break}case 99:{b[s>>0]=f[k>>2];wa=s;xa=0;ya=526838;za=q;Aa=1;Ba=H;break}case 109:{T=Bec()|0;Ca=Nec(f[T>>2]|0)|0;z=71;break}case 115:{T=f[k>>2]|0;Ca=T|0?T:526848;z=71;break}case 67:{f[m>>2]=f[k>>2];f[l>>2]=0;f[k>>2]=m;Da=-1;Ea=m;z=75;break}case 83:{T=f[k>>2]|0;if(!ba){Hfc(a,32,Z,0,N);Fa=0;z=84}else{Da=ba;Ea=T;z=75}break}case 65:case 71:case 70:case 69:case 97:case 103:case 102:case 101:{t=Jfc(a,+p[k>>3],Z,ba,N,c)|0;v=y;w=$;x=ea;continue a;break}default:{wa=x;xa=0;ya=526838;za=q;Aa=ba;Ba=N}}while(0);f:do if((z|0)==61){z=0;c=k;G=f[c>>2]|0;O=f[c+4>>2]|0;c=Dfc(G,O,q,ha&32)|0;T=(ja&8|0)==0|(G|0)==0&(O|0)==0;ka=c;la=T?0:2;ma=T?526838:526838+(ha>>4)|0;na=ia;oa=ja;pa=G;qa=O;z=67}else if((z|0)==66){z=0;ka=Ffc(ua,va,q)|0;la=sa;ma=ta;na=ba;oa=N;pa=ua;qa=va;z=67}else if((z|0)==71){z=0;O=Gfc(Ca,0,ba)|0;G=(O|0)==0;wa=Ca;xa=0;ya=526838;za=G?Ca+ba|0:O;Aa=G?ba:O-Ca|0;Ba=H}else if((z|0)==75){z=0;O=Ea;G=0;T=0;while(1){c=f[O>>2]|0;if(!c){Ga=G;Ha=T;break}P=Ifc(n,c)|0;if((P|0)<0|P>>>0>(Da-G|0)>>>0){Ga=G;Ha=P;break}c=P+G|0;if(Da>>>0>c>>>0){O=O+4|0;G=c;T=P}else{Ga=c;Ha=P;break}}if((Ha|0)<0){Y=-1;break a}Hfc(a,32,Z,Ga,N);if(!Ga){Fa=0;z=84}else{T=Ea;G=0;while(1){O=f[T>>2]|0;if(!O){Fa=Ga;z=84;break f}P=Ifc(n,O)|0;G=P+G|0;if((G|0)>(Ga|0)){Fa=Ga;z=84;break f}Afc(a,n,P);if(G>>>0>=Ga>>>0){Fa=Ga;z=84;break}else T=T+4|0}}}while(0);if((z|0)==67){z=0;H=(pa|0)!=0|(qa|0)!=0;T=(na|0)!=0|H;G=((H^1)&1)+(r-ka)|0;wa=T?ka:q;xa=la;ya=ma;za=q;Aa=T?((na|0)>(G|0)?na:G):na;Ba=(na|0)>-1?oa&-65537:oa}else if((z|0)==84){z=0;Hfc(a,32,Z,Fa,N^8192);t=(Z|0)>(Fa|0)?Z:Fa;v=y;w=$;x=ea;continue}G=za-wa|0;T=(Aa|0)<(G|0)?G:Aa;H=T+xa|0;P=(Z|0)<(H|0)?H:Z;Hfc(a,32,P,H,Ba);Afc(a,ya,xa);Hfc(a,48,P,H,Ba^65536);Hfc(a,48,T,G,0);Afc(a,wa,G);Hfc(a,32,P,H,Ba^8192);t=P;v=y;w=$;x=ea}g:do if((z|0)==87)if(!a)if(!w)Y=0;else{ea=1;while(1){x=f[h+(ea<<2)>>2]|0;if(!x){Ia=ea;break}Cfc(g+(ea<<3)|0,x,e);ea=ea+1|0;if((ea|0)>=10){Y=1;break g}}while(1){if(f[h+(Ia<<2)>>2]|0){Y=-1;break g}Ia=Ia+1|0;if((Ia|0)>=10){Y=1;break}}}else Y=y;while(0);u=i;return Y|0}function yfc(a){a=a|0;return 0}function zfc(a){a=a|0;return}function Afc(a,b,c){a=a|0;b=b|0;c=c|0;if(!(f[a>>2]&32))Pfc(b,c,a)|0;return}function Bfc(a){a=a|0;var c=0,d=0,e=0,g=0,h=0;c=f[a>>2]|0;d=(b[c>>0]|0)+-48|0;if(d>>>0<10){e=0;g=c;c=d;while(1){d=c+(e*10|0)|0;g=g+1|0;f[a>>2]=g;c=(b[g>>0]|0)+-48|0;if(c>>>0>=10){h=d;break}else e=d}}else h=0;return h|0}function Cfc(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0.0;a:do if(b>>>0<=20)do switch(b|0){case 9:{d=(f[c>>2]|0)+(4-1)&~(4-1);e=f[d>>2]|0;f[c>>2]=d+4;f[a>>2]=e;break a;break}case 10:{e=(f[c>>2]|0)+(4-1)&~(4-1);d=f[e>>2]|0;f[c>>2]=e+4;e=a;f[e>>2]=d;f[e+4>>2]=((d|0)<0)<<31>>31;break a;break}case 11:{d=(f[c>>2]|0)+(4-1)&~(4-1);e=f[d>>2]|0;f[c>>2]=d+4;d=a;f[d>>2]=e;f[d+4>>2]=0;break a;break}case 12:{d=(f[c>>2]|0)+(8-1)&~(8-1);e=d;g=f[e>>2]|0;h=f[e+4>>2]|0;f[c>>2]=d+8;d=a;f[d>>2]=g;f[d+4>>2]=h;break a;break}case 13:{h=(f[c>>2]|0)+(4-1)&~(4-1);d=f[h>>2]|0;f[c>>2]=h+4;h=(d&65535)<<16>>16;d=a;f[d>>2]=h;f[d+4>>2]=((h|0)<0)<<31>>31;break a;break}case 14:{h=(f[c>>2]|0)+(4-1)&~(4-1);d=f[h>>2]|0;f[c>>2]=h+4;h=a;f[h>>2]=d&65535;f[h+4>>2]=0;break a;break}case 15:{h=(f[c>>2]|0)+(4-1)&~(4-1);d=f[h>>2]|0;f[c>>2]=h+4;h=(d&255)<<24>>24;d=a;f[d>>2]=h;f[d+4>>2]=((h|0)<0)<<31>>31;break a;break}case 16:{h=(f[c>>2]|0)+(4-1)&~(4-1);d=f[h>>2]|0;f[c>>2]=h+4;h=a;f[h>>2]=d&255;f[h+4>>2]=0;break a;break}case 17:{h=(f[c>>2]|0)+(8-1)&~(8-1);i=+p[h>>3];f[c>>2]=h+8;p[a>>3]=i;break a;break}case 18:{h=(f[c>>2]|0)+(8-1)&~(8-1);i=+p[h>>3];f[c>>2]=h+8;p[a>>3]=i;break a;break}default:break a}while(0);while(0);return}function Dfc(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var f=0,g=0;if((a|0)==0&(c|0)==0)f=d;else{g=d;d=c;c=a;while(1){a=g+-1|0;b[a>>0]=h[526886+(c&15)>>0]|0|e;c=pzc(c|0,d|0,4)|0;d=J;if((c|0)==0&(d|0)==0){f=a;break}else g=a}}return f|0}function Efc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,f=0;if((a|0)==0&(c|0)==0)e=d;else{f=d;d=c;c=a;while(1){a=f+-1|0;b[a>>0]=c&7|48;c=pzc(c|0,d|0,3)|0;d=J;if((c|0)==0&(d|0)==0){e=a;break}else f=a}}return e|0}function Ffc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0;if(c>>>0>0|(c|0)==0&a>>>0>4294967295){e=d;f=a;g=c;while(1){c=vzc(f|0,g|0,10,0)|0;e=e+-1|0;b[e>>0]=c&255|48;c=f;f=qzc(f|0,g|0,10,0)|0;if(!(g>>>0>9|(g|0)==9&c>>>0>4294967295))break;else g=J}h=f;i=e}else{h=a;i=d}if(!h)j=i;else{d=h;h=i;while(1){i=h+-1|0;b[i>>0]=(d>>>0)%10|0|48;if(d>>>0<10){j=i;break}else{d=(d>>>0)/10|0;h=i}}}return j|0}function Gfc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;e=c&255;g=(d|0)!=0;a:do if(g&(a&3|0)!=0){h=c&255;i=a;j=d;while(1){if((b[i>>0]|0)==h<<24>>24){k=i;l=j;m=6;break a}n=i+1|0;o=j+-1|0;p=(o|0)!=0;if(p&(n&3|0)!=0){i=n;j=o}else{q=n;r=o;s=p;m=5;break}}}else{q=a;r=d;s=g;m=5}while(0);if((m|0)==5)if(s){k=q;l=r;m=6}else{t=q;u=0}b:do if((m|0)==6){q=c&255;if((b[k>>0]|0)==q<<24>>24){t=k;u=l}else{r=Y(e,16843009)|0;c:do if(l>>>0>3){s=k;g=l;while(1){d=f[s>>2]^r;if((d&-2139062144^-2139062144)&d+-16843009|0)break;d=s+4|0;a=g+-4|0;if(a>>>0>3){s=d;g=a}else{v=d;w=a;m=11;break c}}x=s;y=g}else{v=k;w=l;m=11}while(0);if((m|0)==11)if(!w){t=v;u=0;break}else{x=v;y=w}while(1){if((b[x>>0]|0)==q<<24>>24){t=x;u=y;break b}r=x+1|0;y=y+-1|0;if(!y){t=r;u=0;break}else x=r}}}while(0);return (u|0?t:0)|0}function Hfc(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0;f=u;u=u+256|0;g=f;if((c|0)>(d|0)&(e&73728|0)==0){e=c-d|0;kzc(g|0,b|0,(e>>>0<256?e:256)|0)|0;if(e>>>0>255){b=c-d|0;d=e;do{Afc(a,g,256);d=d+-256|0}while(d>>>0>255);h=b&255}else h=e;Afc(a,g,h)}u=f;return}function Ifc(a,b){a=a|0;b=b|0;var c=0;if(!a)c=0;else c=Nfc(a,b,0)|0;return c|0}function Jfc(a,c,d,e,g,i){a=a|0;c=+c;d=d|0;e=e|0;g=g|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0.0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0.0,C=0,D=0.0,E=0,F=0,G=0,H=0.0,I=0,K=0,L=0,M=0,N=0.0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0.0,fa=0.0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0;j=u;u=u+560|0;k=j+8|0;l=j;m=j+524|0;n=m;o=j+512|0;f[l>>2]=0;p=o+12|0;Kfc(c)|0;if((J|0)<0){q=-c;r=1;s=526855}else{q=c;r=(g&2049|0)!=0&1;s=(g&2048|0)==0?((g&1|0)==0?526856:526861):526858}Kfc(q)|0;t=J&2146435072;do if(t>>>0<2146435072|(t|0)==2146435072&0<0){c=+Lfc(q,l)*2.0;v=c!=0.0;if(v)f[l>>2]=(f[l>>2]|0)+-1;w=i|32;if((w|0)==97){x=i&32;y=(x|0)==0?s:s+9|0;z=r|2;A=12-e|0;do if(!(e>>>0>11|(A|0)==0)){B=8.0;C=A;do{C=C+-1|0;B=B*16.0}while((C|0)!=0);if((b[y>>0]|0)==45){D=-(B+(-c-B));break}else{D=c+B-B;break}}else D=c;while(0);A=f[l>>2]|0;C=(A|0)<0?0-A|0:A;E=Ffc(C,((C|0)<0)<<31>>31,p)|0;if((E|0)==(p|0)){C=o+11|0;b[C>>0]=48;F=C}else F=E;b[F+-1>>0]=(A>>31&2)+43;A=F+-2|0;b[A>>0]=i+15;E=(e|0)<1;C=(g&8|0)==0;G=m;H=D;while(1){I=~~H;K=G+1|0;b[G>>0]=h[526886+I>>0]|x;H=(H-+(I|0))*16.0;if((K-n|0)==1?!(C&(E&H==0.0)):0){b[K>>0]=46;L=G+2|0}else L=K;if(!(H!=0.0))break;else G=L}G=L-n|0;E=p-A|0;C=(e|0)!=0&(G+-2|0)<(e|0)?e+2|0:G;x=E+z+C|0;Hfc(a,32,d,x,g);Afc(a,y,z);Hfc(a,48,d,x,g^65536);Afc(a,m,G);Hfc(a,48,C-G|0,0,0);Afc(a,A,E);Hfc(a,32,d,x,g^8192);M=x;break}x=(e|0)<0?6:e;if(v){E=(f[l>>2]|0)+-28|0;f[l>>2]=E;N=c*268435456.0;O=E}else{N=c;O=f[l>>2]|0}E=(O|0)<0?k:k+288|0;G=E;H=N;do{C=~~H>>>0;f[G>>2]=C;G=G+4|0;H=(H-+(C>>>0))*1.0e9}while(H!=0.0);if((O|0)>0){v=E;A=G;z=O;while(1){y=(z|0)<29?z:29;C=A+-4|0;if(C>>>0>=v>>>0){K=C;C=0;do{I=yzc(f[K>>2]|0,0,y|0)|0;P=hzc(I|0,J|0,C|0,0)|0;I=J;Q=vzc(P|0,I|0,1e9,0)|0;f[K>>2]=Q;C=qzc(P|0,I|0,1e9,0)|0;K=K+-4|0}while(K>>>0>=v>>>0);if(C){K=v+-4|0;f[K>>2]=C;R=K}else R=v}else R=v;K=A;while(1){if(K>>>0<=R>>>0)break;I=K+-4|0;if(!(f[I>>2]|0))K=I;else break}C=(f[l>>2]|0)-y|0;f[l>>2]=C;if((C|0)>0){v=R;A=K;z=C}else{S=R;T=K;U=C;break}}}else{S=E;T=G;U=O}if((U|0)<0){z=((x+25|0)/9|0)+1|0;A=(w|0)==102;v=S;C=T;I=U;while(1){P=0-I|0;Q=(P|0)<9?P:9;if(v>>>0<C>>>0){P=(1<<Q)+-1|0;V=1e9>>>Q;W=0;X=v;do{Z=f[X>>2]|0;f[X>>2]=(Z>>>Q)+W;W=Y(Z&P,V)|0;X=X+4|0}while(X>>>0<C>>>0);X=(f[v>>2]|0)==0?v+4|0:v;if(!W){_=X;$=C}else{f[C>>2]=W;_=X;$=C+4|0}}else{_=(f[v>>2]|0)==0?v+4|0:v;$=C}X=A?E:_;V=($-X>>2|0)>(z|0)?X+(z<<2)|0:$;I=(f[l>>2]|0)+Q|0;f[l>>2]=I;if((I|0)>=0){aa=_;ba=V;break}else{v=_;C=V}}}else{aa=S;ba=T}C=E;if(aa>>>0<ba>>>0){v=(C-aa>>2)*9|0;I=f[aa>>2]|0;if(I>>>0<10)ca=v;else{z=v;v=10;while(1){v=v*10|0;A=z+1|0;if(I>>>0<v>>>0){ca=A;break}else z=A}}}else ca=0;z=(w|0)==103;v=(x|0)!=0;I=x-((w|0)!=102?ca:0)+((v&z)<<31>>31)|0;if((I|0)<(((ba-C>>2)*9|0)+-9|0)){A=I+9216|0;I=E+4+(((A|0)/9|0)+-1024<<2)|0;G=((A|0)%9|0)+1|0;if((G|0)<9){A=G;G=10;while(1){V=G*10|0;A=A+1|0;if((A|0)==9){da=V;break}else G=V}}else da=10;G=f[I>>2]|0;A=(G>>>0)%(da>>>0)|0;w=(I+4|0)==(ba|0);if(!(w&(A|0)==0)){B=(((G>>>0)/(da>>>0)|0)&1|0)==0?9007199254740992.0:9007199254740994.0;V=(da|0)/2|0;H=A>>>0<V>>>0?.5:w&(A|0)==(V|0)?1.0:1.5;if(!r){ea=H;fa=B}else{V=(b[s>>0]|0)==45;ea=V?-H:H;fa=V?-B:B}V=G-A|0;f[I>>2]=V;if(fa+ea!=fa){A=V+da|0;f[I>>2]=A;if(A>>>0>999999999){A=aa;V=I;while(1){G=V+-4|0;f[V>>2]=0;if(G>>>0<A>>>0){w=A+-4|0;f[w>>2]=0;ga=w}else ga=A;w=(f[G>>2]|0)+1|0;f[G>>2]=w;if(w>>>0>999999999){A=ga;V=G}else{ha=ga;ia=G;break}}}else{ha=aa;ia=I}V=(C-ha>>2)*9|0;A=f[ha>>2]|0;if(A>>>0<10){ja=ia;ka=V;la=ha}else{G=V;V=10;while(1){V=V*10|0;w=G+1|0;if(A>>>0<V>>>0){ja=ia;ka=w;la=ha;break}else G=w}}}else{ja=I;ka=ca;la=aa}}else{ja=I;ka=ca;la=aa}G=ja+4|0;ma=ka;na=ba>>>0>G>>>0?G:ba;oa=la}else{ma=ca;na=ba;oa=aa}G=na;while(1){if(G>>>0<=oa>>>0){pa=0;break}V=G+-4|0;if(!(f[V>>2]|0))G=V;else{pa=1;break}}I=0-ma|0;do if(z){V=((v^1)&1)+x|0;if((V|0)>(ma|0)&(ma|0)>-5){qa=i+-1|0;ra=V+-1-ma|0}else{qa=i+-2|0;ra=V+-1|0}V=g&8;if(!V){if(pa?(A=f[G+-4>>2]|0,(A|0)!=0):0)if(!((A>>>0)%10|0)){w=0;X=10;while(1){X=X*10|0;P=w+1|0;if((A>>>0)%(X>>>0)|0|0){sa=P;break}else w=P}}else sa=0;else sa=9;w=((G-C>>2)*9|0)+-9|0;if((qa|32|0)==102){X=w-sa|0;A=(X|0)>0?X:0;ta=qa;ua=(ra|0)<(A|0)?ra:A;va=0;break}else{A=w+ma-sa|0;w=(A|0)>0?A:0;ta=qa;ua=(ra|0)<(w|0)?ra:w;va=0;break}}else{ta=qa;ua=ra;va=V}}else{ta=i;ua=x;va=g&8}while(0);x=ua|va;C=(x|0)!=0&1;v=(ta|32|0)==102;if(v){wa=0;xa=(ma|0)>0?ma:0}else{z=(ma|0)<0?I:ma;w=Ffc(z,((z|0)<0)<<31>>31,p)|0;z=p;if((z-w|0)<2){A=w;while(1){X=A+-1|0;b[X>>0]=48;if((z-X|0)<2)A=X;else{ya=X;break}}}else ya=w;b[ya+-1>>0]=(ma>>31&2)+43;A=ya+-2|0;b[A>>0]=ta;wa=A;xa=z-A|0}A=r+1+ua+C+xa|0;Hfc(a,32,d,A,g);Afc(a,s,r);Hfc(a,48,d,A,g^65536);if(v){I=oa>>>0>E>>>0?E:oa;X=m+9|0;Q=X;W=m+8|0;P=I;do{K=Ffc(f[P>>2]|0,0,X)|0;if((P|0)==(I|0))if((K|0)==(X|0)){b[W>>0]=48;za=W}else za=K;else if(K>>>0>m>>>0){kzc(m|0,48,K-n|0)|0;y=K;while(1){Z=y+-1|0;if(Z>>>0>m>>>0)y=Z;else{za=Z;break}}}else za=K;Afc(a,za,Q-za|0);P=P+4|0}while(P>>>0<=E>>>0);if(x|0)Afc(a,531099,1);if(P>>>0<G>>>0&(ua|0)>0){E=ua;Q=P;while(1){W=Ffc(f[Q>>2]|0,0,X)|0;if(W>>>0>m>>>0){kzc(m|0,48,W-n|0)|0;I=W;while(1){v=I+-1|0;if(v>>>0>m>>>0)I=v;else{Aa=v;break}}}else Aa=W;Afc(a,Aa,(E|0)<9?E:9);Q=Q+4|0;I=E+-9|0;if(!(Q>>>0<G>>>0&(E|0)>9)){Ba=I;break}else E=I}}else Ba=ua;Hfc(a,48,Ba+9|0,9,0)}else{E=pa?G:oa+4|0;if((ua|0)>-1){Q=m+9|0;X=(va|0)==0;P=Q;x=0-n|0;I=m+8|0;K=ua;v=oa;while(1){C=Ffc(f[v>>2]|0,0,Q)|0;if((C|0)==(Q|0)){b[I>>0]=48;Ca=I}else Ca=C;do if((v|0)==(oa|0)){C=Ca+1|0;Afc(a,Ca,1);if(X&(K|0)<1){Da=C;break}Afc(a,531099,1);Da=C}else{if(Ca>>>0<=m>>>0){Da=Ca;break}kzc(m|0,48,Ca+x|0)|0;C=Ca;while(1){z=C+-1|0;if(z>>>0>m>>>0)C=z;else{Da=z;break}}}while(0);W=P-Da|0;Afc(a,Da,(K|0)>(W|0)?W:K);C=K-W|0;v=v+4|0;if(!(v>>>0<E>>>0&(C|0)>-1)){Ea=C;break}else K=C}}else Ea=ua;Hfc(a,48,Ea+18|0,18,0);Afc(a,wa,p-wa|0)}Hfc(a,32,d,A,g^8192);M=A}else{K=(i&32|0)!=0;E=r+3|0;Hfc(a,32,d,E,g&-65537);Afc(a,s,r);Afc(a,q!=q|0.0!=0.0?(K?527026:526882):K?526874:526878,3);Hfc(a,32,d,E,g^8192);M=E}while(0);u=j;return ((M|0)<(d|0)?d:M)|0}function Kfc(a){a=+a;var b=0;p[s>>3]=a;b=f[s>>2]|0;J=f[s+4>>2]|0;return b|0}function Lfc(a,b){a=+a;b=b|0;return +(+Mfc(a,b))}function Mfc(a,b){a=+a;b=b|0;var c=0,d=0,e=0,g=0.0,h=0.0,i=0,j=0.0;p[s>>3]=a;c=f[s>>2]|0;d=f[s+4>>2]|0;e=pzc(c|0,d|0,52)|0;switch(e&2047){case 0:{if(a!=0.0){g=+Mfc(a*18446744073709551616.0,b);h=g;i=(f[b>>2]|0)+-64|0}else{h=a;i=0}f[b>>2]=i;j=h;break}case 2047:{j=a;break}default:{f[b>>2]=(e&2047)+-1022;f[s>>2]=c;f[s+4>>2]=d&-2146435073|1071644672;j=+p[s>>3]}}return +j}function Nfc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0;do if(a){if(c>>>0<128){b[a>>0]=c;e=1;break}d=(Ofc()|0)+188|0;if(!(f[f[d>>2]>>2]|0))if((c&-128|0)==57216){b[a>>0]=c;e=1;break}else{d=Bec()|0;f[d>>2]=84;e=-1;break}if(c>>>0<2048){b[a>>0]=c>>>6|192;b[a+1>>0]=c&63|128;e=2;break}if(c>>>0<55296|(c&-8192|0)==57344){b[a>>0]=c>>>12|224;b[a+1>>0]=c>>>6&63|128;b[a+2>>0]=c&63|128;e=3;break}if((c+-65536|0)>>>0<1048576){b[a>>0]=c>>>18|240;b[a+1>>0]=c>>>12&63|128;b[a+2>>0]=c>>>6&63|128;b[a+3>>0]=c&63|128;e=4;break}else{d=Bec()|0;f[d>>2]=84;e=-1;break}}else e=1;while(0);return e|0}function Ofc(){return Dec()|0}function Pfc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;e=d+16|0;g=f[e>>2]|0;if(!g)if(!(Qfc(d)|0)){h=f[e>>2]|0;i=5}else j=0;else{h=g;i=5}a:do if((i|0)==5){g=d+20|0;e=f[g>>2]|0;k=e;if((h-e|0)>>>0<c>>>0){j=li[f[d+36>>2]&511](d,a,c)|0;break}b:do if((b[d+75>>0]|0)>-1){e=c;while(1){if(!e){l=0;m=a;n=c;o=k;break b}p=e+-1|0;if((b[a+p>>0]|0)==10)break;else e=p}p=li[f[d+36>>2]&511](d,a,e)|0;if(p>>>0<e>>>0){j=p;break a}l=e;m=a+e|0;n=c-e|0;o=f[g>>2]|0}else{l=0;m=a;n=c;o=k}while(0);szc(o|0,m|0,n|0)|0;f[g>>2]=(f[g>>2]|0)+n;j=l+n|0}while(0);return j|0}function Qfc(a){a=a|0;var c=0,d=0,e=0;c=a+74|0;d=b[c>>0]|0;b[c>>0]=d+255|d;d=f[a>>2]|0;if(!(d&8)){f[a+8>>2]=0;f[a+4>>2]=0;c=f[a+44>>2]|0;f[a+28>>2]=c;f[a+20>>2]=c;f[a+16>>2]=c+(f[a+48>>2]|0);e=0}else{f[a>>2]=d|32;e=-1}return e|0}function Rfc(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;d=a+20|0;e=f[d>>2]|0;g=(f[a+16>>2]|0)-e|0;a=g>>>0>c>>>0?c:g;szc(e|0,b|0,a|0)|0;f[d>>2]=(f[d>>2]|0)+a;return c|0}function Sfc(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+16|0;d=c;Xfc();f[d>>2]=a;f[d+4>>2]=b;b=Aec(be(91,d|0)|0)|0;u=c;return b|0}function Tfc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;if(!d)e=0;else{f=b[a>>0]|0;g=f&255;h=b[c>>0]|0;i=h&255;a:do if(!(f<<24>>24)){j=i;k=g}else{l=a;m=d;n=c;o=f;p=i;q=g;r=h;while(1){m=m+-1|0;if(!(o<<24>>24==r<<24>>24&((m|0)!=0&r<<24>>24!=0))){j=p;k=q;break a}l=l+1|0;n=n+1|0;o=b[l>>0]|0;s=o&255;r=b[n>>0]|0;t=r&255;if(!(o<<24>>24)){j=t;k=s;break}else{p=t;q=s}}}while(0);e=k-j|0}return e|0}function Ufc(a,c){a=a|0;c=c|0;var d=0;d=Wfc(a,c)|0;return ((b[d>>0]|0)==(c&255)<<24>>24?d:0)|0}function Vfc(a,b){a=a|0;b=b|0;var c=0;c=Gfc(a,0,b)|0;return ((c|0)==0?b:c-a|0)|0}function Wfc(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;d=c&255;a:do if(!d)e=a+(jfc(a)|0)|0;else{if(!(a&3))g=a;else{h=c&255;i=a;while(1){j=b[i>>0]|0;if(j<<24>>24==0?1:j<<24>>24==h<<24>>24){e=i;break a}j=i+1|0;if(!(j&3)){g=j;break}else i=j}}i=Y(d,16843009)|0;h=f[g>>2]|0;b:do if(!((h&-2139062144^-2139062144)&h+-16843009)){j=g;k=h;while(1){l=k^i;if((l&-2139062144^-2139062144)&l+-16843009|0){m=j;break b}l=j+4|0;k=f[l>>2]|0;if((k&-2139062144^-2139062144)&k+-16843009|0){m=l;break}else j=l}}else m=g;while(0);i=c&255;h=m;while(1){j=b[h>>0]|0;if(j<<24>>24==0?1:j<<24>>24==i<<24>>24){e=h;break}else h=h+1|0}}while(0);return e|0}function Xfc(){return}function Yfc(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return d|0}function Zfc(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;d=u;u=u+272|0;e=d+8|0;g=d;do if(!(b[c>>0]|0)){h=He(526902)|0;if(h|0?b[h>>0]|0:0){i=h;break}h=He(526909+(a*12|0)|0)|0;if(h|0?b[h>>0]|0:0){i=h;break}h=He(526981)|0;if(h|0?b[h>>0]|0:0){i=h;break}i=526986}else i=c;while(0);c=0;a:while(1){switch(b[i+c>>0]|0){case 47:case 0:{j=c;break a;break}default:{}}h=c+1|0;if(h>>>0<15)c=h;else{j=h;break}}c=b[i>>0]|0;if(c<<24>>24!=46?(b[i+j>>0]|0)==0:0)if(c<<24>>24==67){k=i;l=15}else{m=i;l=16}else{k=526986;l=15}if((l|0)==15)if(!(b[k+1>>0]|0)){n=k;l=18}else{m=k;l=16}b:do if((l|0)==16)if((Mec(m,526986)|0)!=0?(Mec(m,526994)|0)!=0:0){k=f[225199]|0;if(k|0){i=k;do{if(!(Mec(m,i+8|0)|0)){o=i;break b}i=f[i+24>>2]|0}while((i|0)!=0)}$e(900800);i=f[225199]|0;c:do if(i|0){k=i;while(1){if(!(Mec(m,k+8|0)|0))break;c=f[k+24>>2]|0;if(!c)break c;else k=c}Bf(900800);o=k;break b}while(0);d:do if(((f[225185]|0)==0?(i=He(527e3)|0,(i|0)!=0):0)?(b[i>>0]|0)!=0:0){c=254-j|0;h=j+1|0;p=i;while(1){i=Wfc(p,58)|0;q=b[i>>0]|0;r=((q<<24>>24!=0)<<31>>31)+(i-p)|0;if(r>>>0<c>>>0){szc(e|0,p|0,r|0)|0;s=e+r|0;b[s>>0]=47;szc(s+1|0,m|0,j|0)|0;b[e+(h+r)>>0]=0;t=Nf(e|0,g|0)|0;if(t|0)break;v=b[i>>0]|0}else v=q;p=i+(v<<24>>24!=0&1)|0;if(!(b[p>>0]|0)){l=41;break d}}p=pec(28)|0;h=f[g>>2]|0;if(!p){Sfc(t,h)|0;l=41;break}else{f[p>>2]=t;f[p+4>>2]=h;h=p+8|0;szc(h|0,m|0,j|0)|0;b[h+j>>0]=0;f[p+24>>2]=f[225199];f[225199]=p;w=p;break}}else l=41;while(0);if((l|0)==41){p=pec(28)|0;if(!p)w=p;else{f[p>>2]=f[39754];f[p+4>>2]=f[39755];h=p+8|0;szc(h|0,m|0,j|0)|0;b[h+j>>0]=0;f[p+24>>2]=f[225199];f[225199]=p;w=p}}Bf(900800);o=(a|0)==0&(w|0)==0?159016:w}else{n=m;l=18}while(0);do if((l|0)==18){if((a|0)==0?(b[n+1>>0]|0)==46:0){o=159016;break}o=0}while(0);u=d;return o|0}function _fc(a,b){a=a|0;b=b|0;return $fc(a)|0}function $fc(a){a=a|0;return ((a+-48|0)>>>0<10|((a|32)+-97|0)>>>0<6)&1|0}function agc(a){a=a|0;if(bgc(a)|0)qec(a);return}function bgc(a){a=a|0;return (a|0)!=159064&((a|0)!=0&(a|0)!=900708)&1|0}function cgc(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;d=u;u=u+32|0;e=d;a:do if(!(bgc(c)|0)){g=(c|0)==0;h=0;i=0;do{j=(1<<i&a|0)!=0;if(g|j)k=Zfc(i,j?b:1171380)|0;else k=f[c+(i<<2)>>2]|0;h=((k|0)!=0&1)+h|0;f[e+(i<<2)>>2]=k;i=i+1|0}while((i|0)!=6);switch(h|0){case 0:{l=900708;break a;break}case 1:{if((f[e>>2]|0)==159016){l=159064;break a}break}default:{}}l=c}else{i=0;do{if(1<<i&a|0){g=Zfc(i,b)|0;f[c+(i<<2)>>2]=g}i=i+1|0}while((i|0)!=6);l=c}while(0);u=d;return l|0}function dgc(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;g=u;u=u+16|0;h=g;i=(e|0)==0?900808:e;e=f[i>>2]|0;a:do if(!c)if(!e)j=0;else k=17;else{l=(a|0)==0?h:a;if(!d)j=-2;else{if(!e){m=b[c>>0]|0;if(m<<24>>24>-1){f[l>>2]=m&255;j=m<<24>>24!=0&1;break}m=(egc()|0)+188|0;n=b[c>>0]|0;if(!(f[f[m>>2]>>2]|0)){f[l>>2]=n<<24>>24&57343;j=1;break}m=(n&255)+-194|0;if(m>>>0>50){k=17;break}n=f[159088+(m<<2)>>2]|0;m=d+-1|0;if(!m)o=n;else{p=c+1|0;q=n;r=m;k=11}}else{p=c;q=e;r=d;k=11}b:do if((k|0)==11){m=b[p>>0]|0;n=(m&255)>>>3;if((n+-16|n+(q>>26))>>>0>7){k=17;break a}else{s=p;t=q;v=r;w=m}while(1){s=s+1|0;t=(w&255)+-128|t<<6;v=v+-1|0;if((t|0)>=0)break;if(!v){o=t;break b}w=b[s>>0]|0;if((w&-64)<<24>>24!=-128){k=17;break a}}f[i>>2]=0;f[l>>2]=t;j=d-v|0;break a}while(0);f[i>>2]=o;j=-2}}while(0);if((k|0)==17){f[i>>2]=0;i=Bec()|0;f[i>>2]=84;j=-1}u=g;return j|0}function egc(){return Dec()|0}function fgc(a){a=a|0;var b=0,c=0;b=(ggc()|0)+188|0;c=f[b>>2]|0;if(a|0)f[b>>2]=(a|0)==(-1|0)?900772:a;return ((c|0)==900772?-1:c)|0}function ggc(){return Dec()|0}function hgc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,i=0,j=0,k=0,l=0,m=0;e=u;u=u+16|0;g=e;a:do if(!c)i=0;else{do if(d|0){j=(a|0)==0?g:a;k=b[c>>0]|0;if(k<<24>>24>-1){f[j>>2]=k&255;i=k<<24>>24!=0&1;break a}k=(igc()|0)+188|0;l=b[c>>0]|0;if(!(f[f[k>>2]>>2]|0)){f[j>>2]=l<<24>>24&57343;i=1;break a}k=(l&255)+-194|0;if(k>>>0<=50){l=c+1|0;m=f[159088+(k<<2)>>2]|0;if(d>>>0<4?m&-2147483648>>>((d*6|0)+-6|0)|0:0)break;k=h[l>>0]|0;l=k>>>3;if((l+-16|l+(m>>26))>>>0<=7){l=k+-128|m<<6;if((l|0)>=0){f[j>>2]=l;i=2;break a}m=(h[c+2>>0]|0)+-128|0;if(m>>>0<=63){k=m|l<<6;if((k|0)>=0){f[j>>2]=k;i=3;break a}l=(h[c+3>>0]|0)+-128|0;if(l>>>0<=63){f[j>>2]=l|k<<6;i=4;break a}}}}}while(0);k=Bec()|0;f[k>>2]=84;i=-1}while(0);u=e;return i|0}function igc(){return Dec()|0}function jgc(a,b){a=a|0;b=b|0;var c=0;c=jfc(a)|0;return ((kgc(a,1,c,b)|0)!=(c|0))<<31>>31|0}function kgc(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0;e=Y(c,b)|0;g=(b|0)==0?0:c;if((f[d+76>>2]|0)>-1){c=(yfc(d)|0)==0;h=Pfc(a,e,d)|0;if(c)i=h;else{zfc(d);i=h}}else i=Pfc(a,e,d)|0;if((i|0)==(e|0))j=g;else j=(i>>>0)/(b>>>0)|0;return j|0}function lgc(a){a=a|0;var b=0,c=0,d=0;if(f[a+68>>2]|0){b=f[a+116>>2]|0;c=a+112|0;if(b|0)f[b+112>>2]=f[c>>2];a=f[c>>2]|0;if(!a)d=(mgc()|0)+232|0;else d=a+116|0;f[d>>2]=b}return}function mgc(){return Dec()|0}function ngc(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0;d=u;u=u+16|0;e=d;g=c&255;b[e>>0]=g;i=a+16|0;j=f[i>>2]|0;if(!j)if(!(Qfc(a)|0)){k=f[i>>2]|0;l=4}else m=-1;else{k=j;l=4}do if((l|0)==4){j=a+20|0;i=f[j>>2]|0;if(i>>>0<k>>>0?(n=c&255,(n|0)!=(b[a+75>>0]|0)):0){f[j>>2]=i+1;b[i>>0]=g;m=n;break}if((li[f[a+36>>2]&511](a,e,1)|0)==1)m=h[e>>0]|0;else m=-1}while(0);u=d;return m|0}function ogc(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0;d=u;u=u+48|0;e=d+32|0;g=d+16|0;h=d;if(Gfc(527013,b[c>>0]|0,4)|0){i=pgc(c)|0;f[h>>2]=a;f[h+4>>2]=i|32768;f[h+8>>2]=438;a=Aec(le(5,h|0)|0)|0;if((a|0)>=0){if(i&524288|0){f[g>>2]=a;f[g+4>>2]=2;f[g+8>>2]=1;_c(221,g|0)|0}g=qgc(a,c)|0;if(!g){f[e>>2]=a;ke(6,e|0)|0;j=0}else j=g}else j=0}else{g=Bec()|0;f[g>>2]=22;j=0}u=d;return j|0}function pgc(a){a=a|0;var c=0,d=0,e=0,f=0;c=(Ufc(a,43)|0)==0;d=b[a>>0]|0;e=c?d<<24>>24!=114&1:2;c=(Ufc(a,120)|0)==0;f=c?e:e|128;e=(Ufc(a,101)|0)==0;a=e?f:f|524288;f=d<<24>>24==114?a:a|64;a=d<<24>>24==119?f|512:f;return (d<<24>>24==97?a|1024:a)|0}function qgc(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=u;u=u+64|0;e=d+40|0;g=d+24|0;h=d+16|0;i=d;j=d+56|0;k=b[c>>0]|0;if(Gfc(527013,k<<24>>24,4)|0){l=pec(1156)|0;if(!l)m=0;else{n=l;o=n+124|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(o|0));if(!(Ufc(c,43)|0))f[l>>2]=k<<24>>24==114?8:4;if(!(Ufc(c,101)|0))p=k;else{f[i>>2]=a;f[i+4>>2]=2;f[i+8>>2]=1;_c(221,i|0)|0;p=b[c>>0]|0}if(p<<24>>24==97){f[h>>2]=a;f[h+4>>2]=3;p=_c(221,h|0)|0;if(!(p&1024)){f[g>>2]=a;f[g+4>>2]=4;f[g+8>>2]=p|1024;_c(221,g|0)|0}g=f[l>>2]|128;f[l>>2]=g;q=g}else q=f[l>>2]|0;f[l+60>>2]=a;f[l+44>>2]=l+132;f[l+48>>2]=1024;g=l+75|0;b[g>>0]=-1;if((q&8|0)==0?(f[e>>2]=a,f[e+4>>2]=21523,f[e+8>>2]=j,(ue(54,e|0)|0)==0):0)b[g>>0]=10;f[l+32>>2]=225;f[l+36>>2]=226;f[l+40>>2]=224;f[l+12>>2]=710;if(!(f[225184]|0))f[l+76>>2]=-1;rgc(l)|0;m=l}}else{l=Bec()|0;f[l>>2]=22;m=0}u=d;return m|0}function rgc(a){a=a|0;var b=0,c=0;b=sgc()|0;f[a+56>>2]=f[b>>2];c=f[b>>2]|0;if(c|0)f[c+52>>2]=a;f[b>>2]=a;tgc();return a|0}function sgc(){$e(900812);return 900820}function tgc(){Bf(900812);return}function ugc(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0;if((f[a+76>>2]|0)>-1)b=yfc(a)|0;else b=0;lgc(a);c=(f[a>>2]&1|0)!=0;if(!c){d=sgc()|0;e=f[a+52>>2]|0;g=a+56|0;if(e|0)f[e+56>>2]=f[g>>2];h=f[g>>2]|0;if(h|0)f[h+52>>2]=e;if((f[d>>2]|0)==(a|0))f[d>>2]=h;tgc()}h=vgc(a)|0;d=di[f[a+12>>2]&1023](a)|0|h;h=f[a+92>>2]|0;if(h|0)qec(h);if(c){if(b|0)zfc(a)}else qec(a);return d|0}function vgc(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0;do if(a){if((f[a+76>>2]|0)<=-1){b=wgc(a)|0;break}c=(yfc(a)|0)==0;d=wgc(a)|0;if(c)b=d;else{zfc(a);b=d}}else{if(!(f[39916]|0))e=0;else e=vgc(f[39916]|0)|0;d=sgc()|0;c=f[d>>2]|0;if(!c)g=e;else{d=c;c=e;while(1){if((f[d+76>>2]|0)>-1)h=yfc(d)|0;else h=0;if((f[d+20>>2]|0)>>>0>(f[d+28>>2]|0)>>>0)i=wgc(d)|0|c;else i=c;if(h|0)zfc(d);d=f[d+56>>2]|0;if(!d){g=i;break}else c=i}}tgc();b=g}while(0);return b|0}function wgc(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0;b=a+20|0;c=a+28|0;if((f[b>>2]|0)>>>0>(f[c>>2]|0)>>>0?(li[f[a+36>>2]&511](a,0,0)|0,(f[b>>2]|0)==0):0)d=-1;else{e=a+4|0;g=f[e>>2]|0;h=a+8|0;i=f[h>>2]|0;if(g>>>0<i>>>0)li[f[a+40>>2]&511](a,g-i|0,1)|0;f[a+16>>2]=0;f[c>>2]=0;f[b>>2]=0;f[h>>2]=0;f[e>>2]=0;d=0}return d|0}function xgc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;if((f[d+76>>2]|0)>-1)e=yfc(d)|0;else e=0;g=c+-1|0;i=(g|0)!=0;if((c|0)<2){c=d+74|0;j=b[c>>0]|0;b[c>>0]=j+255|j;if(e|0)zfc(d);if(i)k=0;else{b[a>>0]=0;k=a}}else{a:do if(i){j=d+4|0;c=d+8|0;l=g;m=a;while(1){n=f[j>>2]|0;o=n;p=(f[c>>2]|0)-o|0;q=Gfc(n,10,p)|0;r=(q|0)==0;s=r?p:1-o+q|0;q=s>>>0<l>>>0?s:l;szc(m|0,n|0,q|0)|0;n=(f[j>>2]|0)+q|0;f[j>>2]=n;t=m+q|0;s=l-q|0;if(!(r&(s|0)!=0)){u=t;v=17;break a}if(n>>>0>=(f[c>>2]|0)>>>0){r=bfc(d)|0;if((r|0)<0)break;else w=r}else{f[j>>2]=n+1;w=h[n>>0]|0}l=s+-1|0;s=t+1|0;b[t>>0]=w;if(!((l|0)!=0&(w&255|0)!=10)){u=s;v=17;break a}else m=s}if((t|0)!=(a|0)?(f[d>>2]&16|0)!=0:0){u=t;v=17}else x=0}else{u=a;v=17}while(0);if((v|0)==17)if(!a)x=0;else{b[u>>0]=0;x=a}if(!e)k=x;else{zfc(d);k=x}}return k|0}function ygc(a){a=a|0;var b=0,c=0,d=0;if((f[a+76>>2]|0)>-1){b=(yfc(a)|0)==0;c=(f[a>>2]|0)>>>4&1;if(b)d=c;else{zfc(a);d=c}}else d=(f[a>>2]|0)>>>4&1;return d|0}function zgc(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;f[e>>2]=c;c=Dgc(a,b,e)|0;u=d;return c|0}function Agc(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;f[e>>2]=c;c=Bgc(a,b,e)|0;u=d;return c|0}function Bgc(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+128|0;e=d;g=e;h=g+124|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));f[e+32>>2]=300;f[e+44>>2]=a;f[e+76>>2]=-1;f[e+84>>2]=a;a=Dgc(e,b,c)|0;u=d;return a|0}function Cgc(a,b,c){a=a|0;b=b|0;c=c|0;return Sgc(a,b,c)|0}function Dgc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0.0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0;e=u;u=u+288|0;g=e+8|0;i=e+17|0;j=e;k=e+16|0;if((f[a+76>>2]|0)>-1)l=yfc(a)|0;else l=0;m=b[c>>0]|0;a:do if(m<<24>>24){o=a+4|0;q=a+100|0;r=a+108|0;s=a+8|0;t=i+10|0;v=i+33|0;w=g+4|0;x=i+46|0;y=i+94|0;z=i+1|0;A=i+1|0;B=c;C=0;D=0;E=0;F=0;G=m;b:while(1){c:do if(!(afc(G&255)|0)){H=G<<24>>24==37;d:do if(H){I=B+1|0;K=b[I>>0]|0;e:do switch(K<<24>>24){case 37:{break d;break}case 42:{L=0;M=B+2|0;break}default:{N=(K&255)+-48|0;if(N>>>0<10?(b[B+2>>0]|0)==36:0){L=Egc(d,N)|0;M=B+3|0;break e}N=(f[d>>2]|0)+(4-1)&~(4-1);O=f[N>>2]|0;f[d>>2]=N+4;L=O;M=I}}while(0);I=b[M>>0]|0;K=I&255;if((K+-48|0)>>>0<10){O=0;N=M;P=K;while(1){K=(O*10|0)+-48+P|0;Q=N+1|0;R=b[Q>>0]|0;P=R&255;if((P+-48|0)>>>0>=10){S=K;T=Q;U=R;break}else{O=K;N=Q}}}else{S=0;T=M;U=I}N=U<<24>>24==109;O=(L|0)!=0;P=N?0:E;Q=N?0:F;K=N?T+1|0:T;V=O&N;N=K+1|0;switch(b[K>>0]|0){case 104:{R=(b[N>>0]|0)==104;W=R?-2:-1;X=R?K+2|0:N;break}case 108:{R=(b[N>>0]|0)==108;W=R?3:1;X=R?K+2|0:N;break}case 106:{W=3;X=N;break}case 116:case 122:{W=1;X=N;break}case 76:{W=2;X=N;break}case 110:case 112:case 67:case 83:case 91:case 99:case 115:case 88:case 71:case 70:case 69:case 65:case 103:case 102:case 101:case 97:case 120:case 117:case 111:case 105:case 100:{W=0;X=K;break}default:{Y=P;Z=Q;_=V;$=137;break b}}K=h[X>>0]|0;N=(K&47|0)==3;R=N?K|32:K;K=N?1:W;N=R&255;switch(N<<24>>24){case 99:{aa=(S|0)>1?S:1;ba=C;break}case 91:{aa=S;ba=C;break}case 110:{Fgc(L,K,C,((C|0)<0)<<31>>31);ca=X;da=D;ea=C;fa=P;ga=Q;break c;break}default:{Zec(a,0);do{ha=f[o>>2]|0;if(ha>>>0<(f[q>>2]|0)>>>0){f[o>>2]=ha+1;ia=h[ha>>0]|0}else ia=$ec(a)|0}while((afc(ia)|0)!=0);if(!(f[q>>2]|0))ja=f[o>>2]|0;else{I=(f[o>>2]|0)+-1|0;f[o>>2]=I;ja=I}aa=S;ba=(f[r>>2]|0)+C+ja-(f[s>>2]|0)|0}}Zec(a,aa);I=f[o>>2]|0;ha=f[q>>2]|0;if(I>>>0<ha>>>0){f[o>>2]=I+1;ka=ha}else{if(($ec(a)|0)<0){Y=P;Z=Q;_=V;$=137;break b}ka=f[q>>2]|0}if(ka|0)f[o>>2]=(f[o>>2]|0)+-1;f:do switch(N<<24>>24){case 91:case 99:case 115:{ha=(R|0)==99;g:do if((R|16|0)==115){kzc(z|0,-1,256)|0;b[i>>0]=0;if((R|0)==115){b[v>>0]=0;b[t>>0]=0;b[t+1>>0]=0;b[t+2>>0]=0;b[t+3>>0]=0;b[t+4>>0]=0;la=X}else la=X}else{I=X+1|0;ma=(b[I>>0]|0)==94;na=ma&1;oa=ma?X+2|0:I;kzc(A|0,ma&1|0,256)|0;b[i>>0]=0;switch(b[oa>>0]|0){case 45:{pa=x;$=64;break}case 93:{pa=y;$=64;break}default:{qa=oa;ra=(na^1)&255}}if(($|0)==64){$=0;ma=(na^1)&255;b[pa>>0]=ma;qa=oa+1|0;ra=ma}ma=qa;while(1){oa=b[ma>>0]|0;h:do switch(oa<<24>>24){case 0:{Y=P;Z=Q;_=V;$=137;break b;break}case 93:{la=ma;break g;break}case 45:{na=ma+1|0;I=b[na>>0]|0;switch(I<<24>>24){case 93:case 0:{sa=ma;ta=45;break h;break}default:{}}ua=b[ma+-1>>0]|0;if((ua&255)<(I&255)){va=ua&255;do{va=va+1|0;b[i+va>>0]=ra;ua=b[na>>0]|0}while((va|0)<(ua&255|0));sa=na;ta=ua}else{sa=na;ta=I}break}default:{sa=ma;ta=oa}}while(0);b[i+((ta&255)+1)>>0]=ra;ma=sa+1|0}}while(0);ma=ha?aa+1|0:31;oa=(K|0)==1;i:do if(oa){if(V){va=pec(ma<<2)|0;if(!va){Y=0;Z=0;_=1;$=137;break b}else wa=va}else wa=L;f[g>>2]=0;f[w>>2]=0;va=ma;ua=0;xa=wa;j:while(1){ya=(xa|0)==0;za=ua;while(1){k:while(1){Aa=f[o>>2]|0;if(Aa>>>0<(f[q>>2]|0)>>>0){f[o>>2]=Aa+1;Ba=h[Aa>>0]|0}else Ba=$ec(a)|0;if(!(b[i+(Ba+1)>>0]|0))break j;b[k>>0]=Ba;switch(dgc(j,k,1,g)|0){case -1:{Y=0;Z=xa;_=V;$=137;break b;break}case -2:break;default:break k}}if(ya)Ca=za;else{f[xa+(za<<2)>>2]=f[j>>2];Ca=za+1|0}if(V&(Ca|0)==(va|0))break;else za=Ca}ya=va<<1|1;I=rec(xa,ya<<2)|0;if(!I){Y=0;Z=xa;_=1;$=137;break b}else{na=va;va=ya;xa=I;ua=na}}if(!(Ggc(g)|0)){Y=0;Z=xa;_=V;$=137;break b}else{Da=za;Ea=0;Fa=xa;Ga=xa}}else{if(V){ua=pec(ma)|0;if(!ua){Y=0;Z=0;_=1;$=137;break b}else{Ha=ma;Ia=0;Ja=ua}while(1){ua=Ia;do{va=f[o>>2]|0;if(va>>>0<(f[q>>2]|0)>>>0){f[o>>2]=va+1;Ka=h[va>>0]|0}else Ka=$ec(a)|0;if(!(b[i+(Ka+1)>>0]|0)){Da=ua;Ea=Ja;Fa=0;Ga=0;break i}b[Ja+ua>>0]=Ka;ua=ua+1|0}while((ua|0)!=(Ha|0));ua=Ha<<1|1;va=rec(Ja,ua)|0;if(!va){Y=Ja;Z=0;_=1;$=137;break b}else{na=Ha;Ha=ua;Ja=va;Ia=na}}}if(!L){xa=ka;while(1){na=f[o>>2]|0;if(na>>>0<xa>>>0){f[o>>2]=na+1;La=h[na>>0]|0}else La=$ec(a)|0;if(!(b[i+(La+1)>>0]|0)){Da=0;Ea=0;Fa=0;Ga=0;break i}xa=f[q>>2]|0}}else{xa=0;na=ka;while(1){va=f[o>>2]|0;if(va>>>0<na>>>0){f[o>>2]=va+1;Ma=h[va>>0]|0}else Ma=$ec(a)|0;if(!(b[i+(Ma+1)>>0]|0)){Da=xa;Ea=L;Fa=0;Ga=0;break i}b[L+xa>>0]=Ma;xa=xa+1|0;na=f[q>>2]|0}}}while(0);if(!(f[q>>2]|0))Na=f[o>>2]|0;else{ma=(f[o>>2]|0)+-1|0;f[o>>2]=ma;Na=ma}ma=Na-(f[s>>2]|0)+(f[r>>2]|0)|0;if(!ma){Oa=Ea;Pa=Ga;$=139;break b}if(!((ma|0)==(aa|0)|ha^1)){Oa=Ea;Pa=Ga;$=139;break b}do if(V)if(oa){f[L>>2]=Fa;break}else{f[L>>2]=Ea;break}while(0);if(ha){Qa=la;Ra=Ea;Sa=Ga}else{if(Fa|0)f[Fa+(Da<<2)>>2]=0;if(!Ea){Qa=la;Ra=0;Sa=Ga;break f}b[Ea+Da>>0]=0;Qa=la;Ra=Ea;Sa=Ga}break}case 120:case 88:case 112:{Ta=16;$=125;break}case 111:{Ta=8;$=125;break}case 117:case 100:{Ta=10;$=125;break}case 105:{Ta=0;$=125;break}case 71:case 103:case 70:case 102:case 69:case 101:case 65:case 97:{Ua=+Hgc(a,K,0);if((f[r>>2]|0)==((f[s>>2]|0)-(f[o>>2]|0)|0)){Oa=P;Pa=Q;$=139;break b}if(!L){Qa=X;Ra=P;Sa=Q}else switch(K|0){case 0:{n[L>>2]=Ua;Qa=X;Ra=P;Sa=Q;break f;break}case 1:{p[L>>3]=Ua;Qa=X;Ra=P;Sa=Q;break f;break}case 2:{p[L>>3]=Ua;Qa=X;Ra=P;Sa=Q;break f;break}default:{Qa=X;Ra=P;Sa=Q;break f}}break}default:{Qa=X;Ra=P;Sa=Q}}while(0);do if(($|0)==125){$=0;N=_ec(a,Ta,0,-1,-1)|0;if((f[r>>2]|0)==((f[s>>2]|0)-(f[o>>2]|0)|0)){Oa=P;Pa=Q;$=139;break b}if(O&(R|0)==112){f[L>>2]=N;Qa=X;Ra=P;Sa=Q;break}else{Fgc(L,K,N,J);Qa=X;Ra=P;Sa=Q;break}}while(0);ca=Qa;da=(O&1)+D|0;ea=(f[r>>2]|0)+ba+(f[o>>2]|0)-(f[s>>2]|0)|0;fa=Ra;ga=Sa;break c}while(0);Q=B+(H&1)|0;Zec(a,0);P=f[o>>2]|0;if(P>>>0<(f[q>>2]|0)>>>0){f[o>>2]=P+1;Va=h[P>>0]|0}else Va=$ec(a)|0;if((Va|0)!=(h[Q>>0]|0)){$=22;break b}ca=Q;da=D;ea=C+1|0;fa=E;ga=F}else{Q=B;while(1){P=Q+1|0;if(!(afc(h[P>>0]|0)|0))break;else Q=P}Zec(a,0);do{H=f[o>>2]|0;if(H>>>0<(f[q>>2]|0)>>>0){f[o>>2]=H+1;Wa=h[H>>0]|0}else Wa=$ec(a)|0}while((afc(Wa)|0)!=0);if(!(f[q>>2]|0))Xa=f[o>>2]|0;else{H=(f[o>>2]|0)+-1|0;f[o>>2]=H;Xa=H}ca=Q;da=D;ea=(f[r>>2]|0)+C+Xa-(f[s>>2]|0)|0;fa=E;ga=F}while(0);B=ca+1|0;G=b[B>>0]|0;if(!(G<<24>>24)){Ya=da;break a}else{C=ea;D=da;E=fa;F=ga}}if(($|0)==22){if(f[q>>2]|0)f[o>>2]=(f[o>>2]|0)+-1;if((D|0)!=0|(Va|0)>-1){Ya=D;break}else{Za=0;_a=E;$a=F;$=138}}else if(($|0)==137){C=_&1;if(!D){Za=C;_a=Y;$a=Z;$=138}else{ab=C;bb=D;cb=Y;db=Z}}else if(($|0)==139){ab=V&1;bb=D;cb=Oa;db=Pa}if(($|0)==138){ab=Za;bb=-1;cb=_a;db=$a}if(!ab)Ya=bb;else{qec(cb);qec(db);Ya=bb}}else Ya=0;while(0);if(l|0)zfc(a);u=e;return Ya|0}function Egc(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=u;u=u+16|0;d=c;f[d>>2]=f[a>>2];a=b;while(1){b=(f[d>>2]|0)+(4-1)&~(4-1);e=f[b>>2]|0;f[d>>2]=b+4;if(a>>>0>1)a=a+-1|0;else break}u=c;return e|0}function Fgc(a,c,e,g){a=a|0;c=c|0;e=e|0;g=g|0;var h=0;a:do if(a|0)switch(c|0){case -2:{b[a>>0]=e;break a;break}case -1:{d[a>>1]=e;break a;break}case 0:{f[a>>2]=e;break a;break}case 1:{f[a>>2]=e;break a;break}case 3:{h=a;f[h>>2]=e;f[h+4>>2]=g;break a;break}default:break a}while(0);return}function Ggc(a){a=a|0;var b=0;if(!a)b=1;else b=(f[a>>2]|0)==0;return b&1|0}function Hgc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,i=0,j=0.0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,E=0,F=0;switch(c|0){case 0:{e=-149;g=24;i=4;break}case 1:{e=-1074;g=53;i=4;break}case 2:{e=-1074;g=53;i=4;break}default:j=0.0}a:do if((i|0)==4){c=a+4|0;k=a+100|0;do{l=f[c>>2]|0;if(l>>>0<(f[k>>2]|0)>>>0){f[c>>2]=l+1;m=h[l>>0]|0}else m=$ec(a)|0}while((afc(m)|0)!=0);b:do switch(m|0){case 43:case 45:{l=1-(((m|0)==45&1)<<1)|0;n=f[c>>2]|0;if(n>>>0<(f[k>>2]|0)>>>0){f[c>>2]=n+1;o=h[n>>0]|0;p=l;break b}else{o=$ec(a)|0;p=l;break b}break}default:{o=m;p=1}}while(0);l=0;n=o;while(1){if((n|32|0)!=(b[527017+l>>0]|0)){q=l;r=n;break}do if(l>>>0<7){s=f[c>>2]|0;if(s>>>0<(f[k>>2]|0)>>>0){f[c>>2]=s+1;t=h[s>>0]|0;break}else{t=$ec(a)|0;break}}else t=n;while(0);s=l+1|0;if(s>>>0<8){l=s;n=t}else{q=s;r=t;break}}c:do switch(q|0){case 8:break;case 3:{i=23;break}default:{n=(d|0)!=0;if(n&q>>>0>3)if((q|0)==8)break c;else{i=23;break c}d:do if(!q){l=0;s=r;while(1){if((s|32|0)!=(b[527026+l>>0]|0)){u=l;v=s;break d}do if(l>>>0<2){w=f[c>>2]|0;if(w>>>0<(f[k>>2]|0)>>>0){f[c>>2]=w+1;x=h[w>>0]|0;break}else{x=$ec(a)|0;break}}else x=s;while(0);w=l+1|0;if(w>>>0<3){l=w;s=x}else{u=w;v=x;break}}}else{u=q;v=r}while(0);switch(u|0){case 3:{s=f[c>>2]|0;if(s>>>0<(f[k>>2]|0)>>>0){f[c>>2]=s+1;y=h[s>>0]|0}else y=$ec(a)|0;if((y|0)==40)z=1;else{if(!(f[k>>2]|0)){j=C;break a}f[c>>2]=(f[c>>2]|0)+-1;j=C;break a}while(1){s=f[c>>2]|0;if(s>>>0<(f[k>>2]|0)>>>0){f[c>>2]=s+1;A=h[s>>0]|0}else A=$ec(a)|0;if(!((A+-48|0)>>>0<10|(A+-65|0)>>>0<26)?!((A|0)==95|(A+-97|0)>>>0<26):0)break;z=z+1|0}if((A|0)==41){j=C;break a}s=(f[k>>2]|0)==0;if(!s)f[c>>2]=(f[c>>2]|0)+-1;if(!n){l=Bec()|0;f[l>>2]=22;Zec(a,0);j=0.0;break a}if(!z){j=C;break a}else B=z;while(1){B=B+-1|0;if(!s)f[c>>2]=(f[c>>2]|0)+-1;if(!B){j=C;break a}}break}case 0:{if((v|0)==48){s=f[c>>2]|0;if(s>>>0<(f[k>>2]|0)>>>0){f[c>>2]=s+1;E=h[s>>0]|0}else E=$ec(a)|0;if((E|32|0)==120){j=+Igc(a,g,e,p,d);break a}if(!(f[k>>2]|0))F=48;else{f[c>>2]=(f[c>>2]|0)+-1;F=48}}else F=v;j=+Jgc(a,F,g,e,p,d);break a;break}default:{if(f[k>>2]|0)f[c>>2]=(f[c>>2]|0)+-1;s=Bec()|0;f[s>>2]=22;Zec(a,0);j=0.0;break a}}}}while(0);if((i|0)==23){s=(f[k>>2]|0)==0;if(!s)f[c>>2]=(f[c>>2]|0)+-1;if((d|0)!=0&q>>>0>3){n=q;do{if(!s)f[c>>2]=(f[c>>2]|0)+-1;n=n+-1|0}while(n>>>0>3)}}j=+(p|0)*D}while(0);return +j}function Igc(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0.0,q=0.0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0.0,G=0.0,H=0,I=0,K=0,L=0,M=0,N=0,O=0.0,P=0,Q=0.0,R=0.0,S=0,T=0.0,U=0,V=0,W=0,X=0.0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0.0,da=0,ea=0.0;g=a+4|0;i=f[g>>2]|0;j=a+100|0;if(i>>>0<(f[j>>2]|0)>>>0){f[g>>2]=i+1;k=h[i>>0]|0;l=0}else{k=$ec(a)|0;l=0}a:while(1){switch(k|0){case 46:{m=8;break a;break}case 48:break;default:{n=0;o=0;p=1.0;q=0.0;r=0;s=k;t=l;u=0;v=0;w=0;x=0;break a}}i=f[g>>2]|0;if(i>>>0<(f[j>>2]|0)>>>0){f[g>>2]=i+1;k=h[i>>0]|0;l=1;continue}else{k=$ec(a)|0;l=1;continue}}if((m|0)==8){k=f[g>>2]|0;if(k>>>0<(f[j>>2]|0)>>>0){f[g>>2]=k+1;y=h[k>>0]|0}else y=$ec(a)|0;if((y|0)==48){k=0;i=0;while(1){z=f[g>>2]|0;if(z>>>0<(f[j>>2]|0)>>>0){f[g>>2]=z+1;A=h[z>>0]|0}else A=$ec(a)|0;z=hzc(k|0,i|0,-1,-1)|0;B=J;if((A|0)==48){k=z;i=B}else{n=1;o=0;p=1.0;q=0.0;r=0;s=A;t=1;u=B;v=0;w=0;x=z;break}}}else{n=1;o=0;p=1.0;q=0.0;r=0;s=y;t=l;u=0;v=0;w=0;x=0}}while(1){l=s+-48|0;y=(s|0)==46;if(l>>>0>=10?!(y|((s|32)+-97|0)>>>0<6):0){C=s;break}if(y)if(!n){D=1;E=o;F=p;G=q;H=r;I=t;K=w;L=v;M=w;N=v}else{C=46;break}else{y=(s|0)>57?(s|32)+-87|0:l;do if(!((v|0)<0|(v|0)==0&w>>>0<8))if((v|0)<0|(v|0)==0&w>>>0<14){O=p*.0625;P=o;Q=O;R=q+O*+(y|0);S=r;break}else{l=(o|0)!=0|(y|0)==0;P=l?o:1;Q=p;R=l?q:q+p*.5;S=r;break}else{P=o;Q=p;R=q;S=y+(r<<4)|0}while(0);y=hzc(w|0,v|0,1,0)|0;D=n;E=P;F=Q;G=R;H=S;I=1;K=x;L=u;M=y;N=J}y=f[g>>2]|0;if(y>>>0<(f[j>>2]|0)>>>0){f[g>>2]=y+1;n=D;o=E;p=F;q=G;r=H;s=h[y>>0]|0;t=I;u=L;v=N;w=M;x=K;continue}else{n=D;o=E;p=F;q=G;r=H;s=$ec(a)|0;t=I;u=L;v=N;w=M;x=K;continue}}do if(!t){K=f[j>>2]|0;M=(K|0)!=0;if(M)f[g>>2]=(f[g>>2]|0)+-1;if(e){if(M)f[g>>2]=(f[g>>2]|0)+-1;if(!((n|0)==0|(K|0)==0))f[g>>2]=(f[g>>2]|0)+-1}else Zec(a,0);T=+(d|0)*0.0}else{K=(n|0)==0;M=K?w:x;N=K?v:u;if((v|0)<0|(v|0)==0&w>>>0<8){K=r;L=w;I=v;while(1){s=K<<4;L=hzc(L|0,I|0,1,0)|0;I=J;if(!((I|0)<0|(I|0)==0&L>>>0<8)){U=s;break}else K=s}}else U=r;if((C|32|0)==112){K=Kgc(a,e)|0;L=J;if((K|0)==0&(L|0)==-2147483648){if(!e){Zec(a,0);T=0.0;break}if(!(f[j>>2]|0)){V=0;W=0}else{f[g>>2]=(f[g>>2]|0)+-1;V=0;W=0}}else{V=K;W=L}}else if(!(f[j>>2]|0)){V=0;W=0}else{f[g>>2]=(f[g>>2]|0)+-1;V=0;W=0}L=yzc(M|0,N|0,2)|0;K=hzc(L|0,J|0,-32,-1)|0;L=hzc(K|0,J|0,V|0,W|0)|0;K=J;if(!U){T=+(d|0)*0.0;break}I=0-c|0;s=((I|0)<0)<<31>>31;if((K|0)>(s|0)|(K|0)==(s|0)&L>>>0>I>>>0){I=Bec()|0;f[I>>2]=34;T=+(d|0)*1797693134862315708145274.0e284*1797693134862315708145274.0e284;break}I=c+-106|0;s=((I|0)<0)<<31>>31;if((K|0)<(s|0)|(K|0)==(s|0)&L>>>0<I>>>0){I=Bec()|0;f[I>>2]=34;T=+(d|0)*2.2250738585072014e-308*2.2250738585072014e-308;break}if((U|0)>-1){G=q;I=U;s=L;H=K;while(1){E=!(G>=.5);o=I<<1|(E^1)&1;F=G+(E?G:G+-1.0);E=hzc(s|0,H|0,-1,-1)|0;D=J;if((o|0)>-1){G=F;I=o;s=E;H=D}else{X=F;Y=o;Z=E;_=D;break}}}else{X=q;Y=U;Z=L;_=K}H=((b|0)<0)<<31>>31;s=gzc(32,0,c|0,((c|0)<0)<<31>>31|0)|0;I=hzc(s|0,J|0,Z|0,_|0)|0;s=J;if((H|0)>(s|0)|(H|0)==(s|0)&b>>>0>I>>>0)if((I|0)>0){$=I;m=59}else{aa=0;ba=84;m=61}else{$=b;m=59}if((m|0)==59)if(($|0)<53){aa=$;ba=84-$|0;m=61}else{ca=0.0;da=$;ea=+(d|0)}if((m|0)==61){G=+(d|0);ca=+Mgc(+Lgc(1.0,ba),G);da=aa;ea=G}I=(Y&1|0)==0&(X!=0.0&(da|0)<32);G=ea*(I?0.0:X)+(ca+ea*+(((I&1)+Y|0)>>>0))-ca;if(!(G!=0.0)){I=Bec()|0;f[I>>2]=34}T=+Ogc(G,Z)}while(0);return +T}function Jgc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0.0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0.0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0.0,kb=0.0,lb=0.0,mb=0.0,nb=0.0,ob=0.0,pb=0.0,qb=0.0,rb=0.0,sb=0.0,tb=0;i=u;u=u+512|0;j=i;k=d+c|0;l=0-k|0;m=a+4|0;n=a+100|0;o=b;b=0;a:while(1){switch(o|0){case 46:{p=6;break a;break}case 48:break;default:{q=0;r=o;s=b;t=0;v=0;break a}}w=f[m>>2]|0;if(w>>>0<(f[n>>2]|0)>>>0){f[m>>2]=w+1;o=h[w>>0]|0;b=1;continue}else{o=$ec(a)|0;b=1;continue}}if((p|0)==6){o=f[m>>2]|0;if(o>>>0<(f[n>>2]|0)>>>0){f[m>>2]=o+1;x=h[o>>0]|0}else x=$ec(a)|0;if((x|0)==48){o=0;w=0;while(1){y=hzc(o|0,w|0,-1,-1)|0;z=J;A=f[m>>2]|0;if(A>>>0<(f[n>>2]|0)>>>0){f[m>>2]=A+1;B=h[A>>0]|0}else B=$ec(a)|0;if((B|0)==48){o=y;w=z}else{q=1;r=B;s=1;t=y;v=z;break}}}else{q=1;r=x;s=b;t=0;v=0}}f[j>>2]=0;b=r+-48|0;x=(r|0)==46;b:do if(x|b>>>0<10){B=j+496|0;w=0;o=0;z=0;y=q;A=s;C=r;D=x;E=b;F=t;G=v;H=0;I=0;c:while(1){do if(D)if(!y){K=w;M=o;N=1;O=z;P=A;Q=H;R=I;S=H;T=I}else break c;else{U=hzc(H|0,I|0,1,0)|0;V=J;W=(C|0)!=48;if((o|0)>=125){if(!W){K=w;M=o;N=y;O=z;P=A;Q=F;R=G;S=U;T=V;break}f[B>>2]=f[B>>2]|1;K=w;M=o;N=y;O=z;P=A;Q=F;R=G;S=U;T=V;break}X=j+(o<<2)|0;if(!w)Z=E;else Z=C+-48+((f[X>>2]|0)*10|0)|0;f[X>>2]=Z;X=w+1|0;_=(X|0)==9;K=_?0:X;M=(_&1)+o|0;N=y;O=W?U:z;P=1;Q=F;R=G;S=U;T=V}while(0);V=f[m>>2]|0;if(V>>>0<(f[n>>2]|0)>>>0){f[m>>2]=V+1;$=h[V>>0]|0}else $=$ec(a)|0;E=$+-48|0;D=($|0)==46;if(!(D|E>>>0<10)){aa=K;ba=M;ca=O;da=N;ea=$;fa=P;ga=Q;ha=S;ia=R;ja=T;p=29;break b}else{w=K;o=M;z=O;y=N;A=P;C=$;F=Q;G=R;H=S;I=T}}ka=w;la=o;ma=z;na=H;oa=I;pa=F;qa=G;ra=(A|0)!=0;p=37}else{aa=0;ba=0;ca=0;da=q;ea=r;fa=s;ga=t;ha=0;ia=v;ja=0;p=29}while(0);do if((p|0)==29){v=(da|0)==0;t=v?ha:ga;s=v?ja:ia;v=(fa|0)!=0;if(!(v&(ea|32|0)==101))if((ea|0)>-1){ka=aa;la=ba;ma=ca;na=ha;oa=ja;pa=t;qa=s;ra=v;p=37;break}else{sa=aa;ta=ba;ua=ca;va=ha;wa=ja;xa=v;ya=t;za=s;p=39;break}v=Kgc(a,g)|0;r=J;if((v|0)==0&(r|0)==-2147483648){if(!g){Zec(a,0);Aa=0.0;break}if(!(f[n>>2]|0)){Ba=0;Ca=0}else{f[m>>2]=(f[m>>2]|0)+-1;Ba=0;Ca=0}}else{Ba=v;Ca=r}r=hzc(Ba|0,Ca|0,t|0,s|0)|0;Da=aa;Ea=ba;Fa=ca;Ga=r;Ha=ha;Ia=J;Ja=ja;p=41}while(0);if((p|0)==37)if(f[n>>2]|0){f[m>>2]=(f[m>>2]|0)+-1;if(ra){Da=ka;Ea=la;Fa=ma;Ga=pa;Ha=na;Ia=qa;Ja=oa;p=41}else p=40}else{sa=ka;ta=la;ua=ma;va=na;wa=oa;xa=ra;ya=pa;za=qa;p=39}if((p|0)==39)if(xa){Da=sa;Ea=ta;Fa=ua;Ga=ya;Ha=va;Ia=za;Ja=wa;p=41}else p=40;do if((p|0)==40){wa=Bec()|0;f[wa>>2]=22;Zec(a,0);Aa=0.0}else if((p|0)==41){wa=f[j>>2]|0;if(!wa){Aa=+(e|0)*0.0;break}if(((Ja|0)<0|(Ja|0)==0&Ha>>>0<10)&((Ga|0)==(Ha|0)&(Ia|0)==(Ja|0))?(c|0)>30|(wa>>>c|0)==0:0){Aa=+(e|0)*+(wa>>>0);break}wa=(d|0)/-2|0;za=((wa|0)<0)<<31>>31;if((Ia|0)>(za|0)|(Ia|0)==(za|0)&Ga>>>0>wa>>>0){wa=Bec()|0;f[wa>>2]=34;Aa=+(e|0)*1797693134862315708145274.0e284*1797693134862315708145274.0e284;break}wa=d+-106|0;za=((wa|0)<0)<<31>>31;if((Ia|0)<(za|0)|(Ia|0)==(za|0)&Ga>>>0<wa>>>0){wa=Bec()|0;f[wa>>2]=34;Aa=+(e|0)*2.2250738585072014e-308*2.2250738585072014e-308;break}if(!Da)Ka=Ea;else{if((Da|0)<9){wa=j+(Ea<<2)|0;za=Da;va=f[wa>>2]|0;do{va=va*10|0;za=za+1|0}while((za|0)!=9);f[wa>>2]=va}Ka=Ea+1|0}if((Fa|0)<9?(Fa|0)<=(Ga|0)&(Ga|0)<18:0){za=f[j>>2]|0;if((Ga|0)==9){Aa=+(e|0)*+(za>>>0);break}if((Ga|0)<9){Aa=+(e|0)*+(za>>>0)/+(f[160048+(8-Ga<<2)>>2]|0);break}A=c+27+(Y(Ga,-3)|0)|0;if((A|0)>30|(za>>>A|0)==0){Aa=+(e|0)*+(za>>>0)*+(f[160048+(Ga+-10<<2)>>2]|0);break}}za=(Ga|0)%9|0;if(!za){La=0;Ma=Ka;Na=0;Oa=Ga}else{A=(Ga|0)>-1?za:za+9|0;za=f[160048+(8-A<<2)>>2]|0;if(Ka){G=1e9/(za|0)|0;F=0;I=0;H=Ga;z=0;do{o=j+(z<<2)|0;w=f[o>>2]|0;ya=((w>>>0)/(za>>>0)|0)+F|0;f[o>>2]=ya;F=Y(G,(w>>>0)%(za>>>0)|0)|0;w=(z|0)==(I|0)&(ya|0)==0;H=w?H+-9|0:H;I=w?I+1&127:I;z=z+1|0}while((z|0)!=(Ka|0));if(!F){Pa=I;Qa=Ka;Ra=H}else{f[j+(Ka<<2)>>2]=F;Pa=I;Qa=Ka+1|0;Ra=H}}else{Pa=0;Qa=0;Ra=Ga}La=0;Ma=Qa;Na=Pa;Oa=9-A+Ra|0}d:while(1){z=(Oa|0)<18;za=(Oa|0)==18;G=j+(Na<<2)|0;va=La;wa=Ma;while(1){if(!z){if(!za){Sa=va;Ta=Na;Ua=Oa;Va=wa;break d}if((f[G>>2]|0)>>>0>=9007199){Sa=va;Ta=Na;Ua=18;Va=wa;break d}}w=0;Wa=wa;ya=wa+127|0;while(1){o=ya&127;ua=j+(o<<2)|0;ta=yzc(f[ua>>2]|0,0,29)|0;sa=hzc(ta|0,J|0,w|0,0)|0;ta=J;if(ta>>>0>0|(ta|0)==0&sa>>>0>1e9){xa=qzc(sa|0,ta|0,1e9,0)|0;qa=vzc(sa|0,ta|0,1e9,0)|0;Xa=xa;Ya=qa}else{Xa=0;Ya=sa}f[ua>>2]=Ya;ua=(o|0)==(Na|0);Wa=(Ya|0)==0&(((o|0)!=(Wa+127&127|0)|ua)^1)?o:Wa;if(ua)break;else{w=Xa;ya=o+-1|0}}va=va+-29|0;if(Xa|0)break;else wa=Wa}wa=Na+127&127;G=Wa+127&127;za=j+((Wa+126&127)<<2)|0;if((wa|0)==(Wa|0)){f[za>>2]=f[za>>2]|f[j+(G<<2)>>2];Za=G}else Za=Wa;f[j+(wa<<2)>>2]=Xa;La=va;Ma=Za;Na=wa;Oa=Oa+9|0}e:while(1){A=Va+1&127;H=j+((Va+127&127)<<2)|0;I=Sa;F=Ta;wa=Ua;while(1){G=(wa|0)==18;za=(wa|0)>27?9:1;_a=I;$a=F;while(1){z=0;while(1){ya=z+$a&127;if((ya|0)==(Va|0)){ab=2;p=88;break}w=f[j+(ya<<2)>>2]|0;ya=f[160080+(z<<2)>>2]|0;if(w>>>0<ya>>>0){ab=2;p=88;break}if(w>>>0>ya>>>0)break;ya=z+1|0;if((ya|0)<2)z=ya;else{ab=ya;p=88;break}}if((p|0)==88?(p=0,G&(ab|0)==2):0){bb=0.0;cb=0;db=Va;break e}eb=za+_a|0;if(($a|0)==(Va|0)){_a=eb;$a=Va}else break}G=(1<<za)+-1|0;z=1e9>>>za;fb=0;gb=$a;hb=wa;ya=$a;do{w=j+(ya<<2)|0;o=f[w>>2]|0;ua=(o>>>za)+fb|0;f[w>>2]=ua;fb=Y(o&G,z)|0;o=(ya|0)==(gb|0)&(ua|0)==0;hb=o?hb+-9|0:hb;gb=o?gb+1&127:gb;ya=ya+1&127}while((ya|0)!=(Va|0));if(!fb){I=eb;F=gb;wa=hb;continue}if((A|0)!=(gb|0))break;f[H>>2]=f[H>>2]|1;I=eb;F=gb;wa=hb}f[j+(Va<<2)>>2]=fb;Sa=eb;Ta=gb;Ua=hb;Va=A}while(1){wa=cb+$a&127;F=db+1&127;if((wa|0)==(db|0)){f[j+(F+-1<<2)>>2]=0;ib=F}else ib=db;bb=bb*1.0e9+ +((f[j+(wa<<2)>>2]|0)>>>0);cb=cb+1|0;if((cb|0)==2)break;else db=ib}jb=+(e|0);kb=jb*bb;wa=_a+53|0;F=wa-d|0;I=(F|0)<(c|0);H=I?((F|0)>0?F:0):c;if((H|0)<53){lb=+Mgc(+Lgc(1.0,105-H|0),kb);mb=+Ngc(kb,+Lgc(1.0,53-H|0));nb=lb;ob=mb;pb=lb+(kb-mb)}else{nb=0.0;ob=0.0;pb=kb}va=$a+2&127;if((va|0)!=(ib|0)){ya=f[j+(va<<2)>>2]|0;do if(ya>>>0>=5e8){if((ya|0)!=5e8){qb=jb*.75+ob;break}if(($a+3&127|0)==(ib|0)){qb=jb*.5+ob;break}else{qb=jb*.75+ob;break}}else{if((ya|0)==0?($a+3&127|0)==(ib|0):0){qb=ob;break}qb=jb*.25+ob}while(0);if((53-H|0)>1?!(+Ngc(qb,1.0)!=0.0):0)rb=qb+1.0;else rb=qb}else rb=ob;jb=pb+rb-nb;do if((wa&2147483647|0)>(-2-k|0)){ya=!(+L(+jb)>=9007199254740992.0);va=((ya^1)&1)+_a|0;kb=ya?jb:jb*.5;if((va+50|0)<=(l|0)?!(rb!=0.0&(I&((H|0)!=(F|0)|ya))):0){sb=kb;tb=va;break}ya=Bec()|0;f[ya>>2]=34;sb=kb;tb=va}else{sb=jb;tb=_a}while(0);Aa=+Ogc(sb,tb)}while(0);u=i;return +Aa}function Kgc(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;c=a+4|0;d=f[c>>2]|0;e=a+100|0;if(d>>>0<(f[e>>2]|0)>>>0){f[c>>2]=d+1;g=h[d>>0]|0}else g=$ec(a)|0;switch(g|0){case 43:case 45:{d=(g|0)==45&1;i=f[c>>2]|0;if(i>>>0<(f[e>>2]|0)>>>0){f[c>>2]=i+1;j=h[i>>0]|0}else j=$ec(a)|0;if((b|0)!=0&(j+-48|0)>>>0>9?(f[e>>2]|0)!=0:0){f[c>>2]=(f[c>>2]|0)+-1;k=d;l=j}else{k=d;l=j}break}default:{k=0;l=g}}if((l+-48|0)>>>0>9)if(!(f[e>>2]|0)){m=-2147483648;n=0}else{f[c>>2]=(f[c>>2]|0)+-1;m=-2147483648;n=0}else{g=0;j=l;while(1){g=j+-48+(g*10|0)|0;l=f[c>>2]|0;if(l>>>0<(f[e>>2]|0)>>>0){f[c>>2]=l+1;o=h[l>>0]|0}else o=$ec(a)|0;if(!((o+-48|0)>>>0<10&(g|0)<214748364))break;else j=o}j=((g|0)<0)<<31>>31;if((o+-48|0)>>>0<10){l=o;d=g;b=j;while(1){i=Bzc(d|0,b|0,10,0)|0;p=J;q=hzc(l|0,((l|0)<0)<<31>>31|0,-48,-1)|0;r=hzc(q|0,J|0,i|0,p|0)|0;p=J;i=f[c>>2]|0;if(i>>>0<(f[e>>2]|0)>>>0){f[c>>2]=i+1;s=h[i>>0]|0}else s=$ec(a)|0;if((s+-48|0)>>>0<10&((p|0)<21474836|(p|0)==21474836&r>>>0<2061584302)){l=s;d=r;b=p}else{t=s;u=r;v=p;break}}}else{t=o;u=g;v=j}j=f[e>>2]|0;if((t+-48|0)>>>0<10){t=j;while(1){g=f[c>>2]|0;if(g>>>0<t>>>0){f[c>>2]=g+1;w=h[g>>0]|0;x=t}else{g=$ec(a)|0;w=g;x=f[e>>2]|0}if((w+-48|0)>>>0<10)t=x;else{y=x;break}}}else y=j;if(y|0)f[c>>2]=(f[c>>2]|0)+-1;c=(k|0)!=0;k=gzc(0,0,u|0,v|0)|0;m=c?J:v;n=c?k:u}J=m;return n|0}function Lgc(a,b){a=+a;b=b|0;var c=0.0,d=0,e=0,g=0,h=0.0,i=0;if((b|0)<=1023)if((b|0)<-1022){c=a*2.2250738585072014e-308;d=b+1022|0;e=(d|0)<-1022;g=b+2044|0;h=e?c*2.2250738585072014e-308:c;i=e?((g|0)>-1022?g:-1022):d}else{h=a;i=b}else{c=a*8988465674311579538646525.0e283;d=b+-1023|0;g=(d|0)>1023;e=b+-2046|0;h=g?c*8988465674311579538646525.0e283:c;i=g?((e|0)<1023?e:1023):d}d=yzc(i+1023|0,0,52)|0;i=J;f[s>>2]=d;f[s+4>>2]=i;return +(h*+p[s>>3])}function Mgc(a,b){a=+a;b=+b;return +(+Rgc(a,b))}function Ngc(a,b){a=+a;b=+b;return +(+Pgc(a,b))}function Ogc(a,b){a=+a;b=b|0;return +(+Lgc(a,b))}function Pgc(a,b){a=+a;b=+b;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0.0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0.0;p[s>>3]=a;c=f[s>>2]|0;d=f[s+4>>2]|0;p[s>>3]=b;e=f[s>>2]|0;g=f[s+4>>2]|0;h=pzc(c|0,d|0,52)|0;i=h&2047;h=pzc(e|0,g|0,52)|0;j=h&2047;h=d&-2147483648;k=yzc(e|0,g|0,1)|0;l=J;a:do if(!((k|0)==0&(l|0)==0)?(m=Qgc(b)|0,n=J&2147483647,!((i|0)==2047|(n>>>0>2146435072|(n|0)==2146435072&m>>>0>0))):0){m=yzc(c|0,d|0,1)|0;n=J;if(!(n>>>0>l>>>0|(n|0)==(l|0)&m>>>0>k>>>0))return +((m|0)==(k|0)&(n|0)==(l|0)?a*0.0:a);if(!i){n=yzc(c|0,d|0,12)|0;m=J;if((m|0)>-1|(m|0)==-1&n>>>0>4294967295){o=0;q=n;n=m;while(1){m=o+-1|0;q=yzc(q|0,n|0,1)|0;n=J;if(!((n|0)>-1|(n|0)==-1&q>>>0>4294967295)){r=m;break}else o=m}}else r=0;o=yzc(c|0,d|0,1-r|0)|0;t=r;u=o;v=J}else{t=i;u=c;v=d&1048575|1048576}if(!j){o=yzc(e|0,g|0,12)|0;q=J;if((q|0)>-1|(q|0)==-1&o>>>0>4294967295){n=0;m=o;o=q;while(1){q=n+-1|0;m=yzc(m|0,o|0,1)|0;o=J;if(!((o|0)>-1|(o|0)==-1&m>>>0>4294967295)){w=q;break}else n=q}}else w=0;n=yzc(e|0,g|0,1-w|0)|0;x=w;y=n;z=J}else{x=j;y=e;z=g&1048575|1048576}n=gzc(u|0,v|0,y|0,z|0)|0;m=J;o=(m|0)>-1|(m|0)==-1&n>>>0>4294967295;b:do if((t|0)>(x|0)){q=t;A=m;B=o;C=u;D=v;E=n;while(1){if(B)if((E|0)==0&(A|0)==0)break;else{F=E;G=A}else{F=C;G=D}H=yzc(F|0,G|0,1)|0;I=J;K=q+-1|0;L=gzc(H|0,I|0,y|0,z|0)|0;M=J;N=(M|0)>-1|(M|0)==-1&L>>>0>4294967295;if((K|0)>(x|0)){q=K;A=M;B=N;C=H;D=I;E=L}else{O=K;P=N;Q=L;R=M;S=H;T=I;break b}}U=a*0.0;break a}else{O=t;P=o;Q=n;R=m;S=u;T=v}while(0);if(P)if((Q|0)==0&(R|0)==0){U=a*0.0;break}else{V=R;W=Q}else{V=T;W=S}if(V>>>0<1048576|(V|0)==1048576&W>>>0<0){m=O;n=W;o=V;while(1){E=yzc(n|0,o|0,1)|0;D=J;C=m+-1|0;if(D>>>0<1048576|(D|0)==1048576&E>>>0<0){m=C;n=E;o=D}else{X=C;Y=E;Z=D;break}}}else{X=O;Y=W;Z=V}if((X|0)>0){o=hzc(Y|0,Z|0,0,-1048576)|0;n=J;m=yzc(X|0,0,52)|0;_=n|J;$=o|m}else{m=pzc(Y|0,Z|0,1-X|0)|0;_=J;$=m}f[s>>2]=$;f[s+4>>2]=_|h;U=+p[s>>3]}else aa=3;while(0);if((aa|0)==3){ba=a*b;U=ba/ba}return +U}function Qgc(a){a=+a;var b=0;p[s>>3]=a;b=f[s>>2]|0;J=f[s+4>>2]|0;return b|0}function Rgc(a,b){a=+a;b=+b;var c=0,d=0,e=0;p[s>>3]=a;c=f[s>>2]|0;d=f[s+4>>2]|0;p[s>>3]=b;e=f[s+4>>2]&-2147483648|d&2147483647;f[s>>2]=c;f[s+4>>2]=e;return +(+p[s>>3])}function Sgc(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0;d=a+84|0;e=f[d>>2]|0;g=c+256|0;h=Gfc(e,0,g)|0;i=(h|0)==0?g:h-e|0;h=i>>>0<c>>>0?i:c;szc(b|0,e|0,h|0)|0;f[a+4>>2]=e+h;b=e+i|0;f[a+8>>2]=b;f[d>>2]=b;return h|0}function Tgc(a,b,c){a=a|0;b=b|0;c=c|0;return Vgc(a,b,c)|0}function Ugc(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;f[e>>2]=c;c=wfc(a,b,e)|0;u=d;return c|0}function Vgc(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;if((f[a+76>>2]|0)>-1){d=(yfc(a)|0)==0;e=Wgc(a,b,c)|0;if(d)g=e;else{zfc(a);g=e}}else g=Wgc(a,b,c)|0;return g|0}function Wgc(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;if((c|0)==1)d=b-(f[a+8>>2]|0)+(f[a+4>>2]|0)|0;else d=b;b=a+20|0;e=a+28|0;if((f[b>>2]|0)>>>0>(f[e>>2]|0)>>>0?(li[f[a+36>>2]&511](a,0,0)|0,(f[b>>2]|0)==0):0)g=-1;else{f[a+16>>2]=0;f[e>>2]=0;f[b>>2]=0;if((li[f[a+40>>2]&511](a,d,c)|0)<0)g=-1;else{f[a+8>>2]=0;f[a+4>>2]=0;f[a>>2]=f[a>>2]&-17;g=0}}return g|0}function Xgc(a,c){a=a|0;c=c|0;var d=0,e=0,f=0;d=b[c>>0]|0;do if(d<<24>>24){e=Ufc(a,d<<24>>24)|0;if(e)if(b[c+1>>0]|0)if(b[e+1>>0]|0){if(!(b[c+2>>0]|0)){f=Ygc(e,c)|0;break}if(b[e+2>>0]|0){if(!(b[c+3>>0]|0)){f=Zgc(e,c)|0;break}if(b[e+3>>0]|0)if(!(b[c+4>>0]|0)){f=_gc(e,c)|0;break}else{f=$gc(e,c)|0;break}else f=0}else f=0}else f=0;else f=e;else f=0}else f=a;while(0);return f|0}function Ygc(a,c){a=a|0;c=c|0;var d=0,e=0,f=0,g=0;d=(h[c>>0]|0)<<8|(h[c+1>>0]|0);c=h[a>>0]|0;e=a;while(1){a=e+1|0;f=b[a>>0]|0;if(!(f<<24>>24)){g=0;break}c=f&255|c<<8&65280;if((c|0)==(d|0)){g=e;break}else e=a}return g|0}function Zgc(a,c){a=a|0;c=c|0;var d=0,e=0,f=0,g=0,i=0,j=0;d=(h[c+1>>0]|0)<<16|(h[c>>0]|0)<<24|(h[c+2>>0]|0)<<8;c=a+2|0;e=b[c>>0]|0;f=(h[a+1>>0]|0)<<16|(h[a>>0]|0)<<24|(e&255)<<8;a=e<<24>>24!=0;if((f|0)==(d|0)|a^1){g=c;i=a}else{a=c;c=f;while(1){f=a+1|0;e=b[f>>0]|0;c=(e&255|c)<<8;j=e<<24>>24!=0;if((c|0)==(d|0)|j^1){g=f;i=j;break}else a=f}}return (i?g+-2|0:0)|0}function _gc(a,c){a=a|0;c=c|0;var d=0,e=0,f=0,g=0,i=0,j=0;d=(h[c+1>>0]|0)<<16|(h[c>>0]|0)<<24|(h[c+2>>0]|0)<<8|(h[c+3>>0]|0);c=a+3|0;e=b[c>>0]|0;f=e&255|((h[a+1>>0]|0)<<16|(h[a>>0]|0)<<24|(h[a+2>>0]|0)<<8);a=e<<24>>24!=0;if((f|0)==(d|0)|a^1){g=a;i=c}else{a=c;c=f;while(1){f=a+1|0;e=b[f>>0]|0;c=e&255|c<<8;j=e<<24>>24!=0;if((c|0)==(d|0)|j^1){g=j;i=f;break}else a=f}}return (g?i+-3|0:0)|0}function $gc(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0;d=u;u=u+1056|0;e=d+1024|0;g=d;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;f[e+16>>2]=0;f[e+20>>2]=0;f[e+24>>2]=0;f[e+28>>2]=0;h=b[c>>0]|0;a:do if(h<<24>>24){i=0;j=h;k=h&255;while(1){if(!(b[a+i>>0]|0)){l=0;break a}m=e+(((j&255)>>>5&255)<<2)|0;f[m>>2]=f[m>>2]|1<<(j&31);i=i+1|0;f[g+(k<<2)>>2]=i;m=b[c+i>>0]|0;if(!(m<<24>>24))break;else{j=m;k=m&255}}k=i>>>0>1;if(k){j=0;m=-1;n=1;b:while(1){o=1;p=j;q=n;while(1){r=p;s=q;c:while(1){t=1;v=s;while(1){w=b[c+(t+m)>>0]|0;x=b[c+v>>0]|0;if(w<<24>>24!=x<<24>>24)break c;if((t|0)==(o|0))break;t=t+1|0;y=t+r|0;if(y>>>0>=i>>>0){z=o;A=m;break b}else v=y}t=o+r|0;s=t+1|0;if(s>>>0>=i>>>0){z=o;A=m;break b}else r=t}s=v-m|0;if((w&255)<=(x&255))break;q=v+1|0;if(q>>>0>=i>>>0){z=s;A=m;break b}else{o=s;p=v}}n=r+2|0;if(n>>>0>=i>>>0){z=1;A=r;break}else{j=r+1|0;m=r}}if(k){m=0;j=-1;n=1;while(1){p=1;o=m;q=n;while(1){B=o;s=q;d:while(1){t=1;C=s;while(1){D=b[c+(t+j)>>0]|0;E=b[c+C>>0]|0;if(D<<24>>24!=E<<24>>24)break d;if((t|0)==(p|0))break;t=t+1|0;y=t+B|0;if(y>>>0>=i>>>0){F=z;G=A;H=i;I=p;J=j;K=27;break a}else C=y}t=p+B|0;s=t+1|0;if(s>>>0>=i>>>0){F=z;G=A;H=i;I=p;J=j;K=27;break a}else B=t}s=C-j|0;if((D&255)>=(E&255))break;q=C+1|0;if(q>>>0>=i>>>0){F=z;G=A;H=i;I=s;J=j;K=27;break a}else{p=s;o=C}}n=B+2|0;if(n>>>0>=i>>>0){F=z;G=A;H=i;I=1;J=B;K=27;break}else{m=B+1|0;j=B}}}else{F=z;G=A;H=i;I=1;J=-1;K=27}}else{F=1;G=-1;H=i;I=1;J=-1;K=27}}else{F=1;G=-1;H=0;I=1;J=-1;K=27}while(0);e:do if((K|0)==27){A=(J+1|0)>>>0>(G+1|0)>>>0;z=A?I:F;B=A?J:G;A=B+1|0;if(!(ahc(c,c+z|0,A)|0)){L=H-z|0;M=z}else{z=H-B+-1|0;L=0;M=(B>>>0>z>>>0?B:z)+1|0}z=H|63;C=H+-1|0;E=(L|0)!=0;D=H-M|0;r=a;v=0;x=a;while(1){w=r;do if((x-w|0)>>>0<H>>>0){h=Gfc(x,0,z)|0;if(h)if((h-w|0)>>>0<H>>>0){l=0;break e}else{N=h;break}else{N=x+z|0;break}}else N=x;while(0);w=b[r+C>>0]|0;f:do if(!(1<<(w&31)&f[e+(((w&255)>>>5&255)<<2)>>2])){O=0;P=H}else{h=H-(f[g+((w&255)<<2)>>2]|0)|0;if(h|0){O=0;P=E&(v|0)!=0&h>>>0<M>>>0?D:h;break}h=A>>>0>v>>>0?A:v;j=b[c+h>>0]|0;g:do if(!(j<<24>>24))Q=A;else{m=h;n=j;while(1){if(n<<24>>24!=(b[r+m>>0]|0))break;k=m+1|0;n=b[c+k>>0]|0;if(!(n<<24>>24)){Q=A;break g}else m=k}O=0;P=m-B|0;break f}while(0);while(1){if(Q>>>0<=v>>>0){l=r;break e}Q=Q+-1|0;if((b[c+Q>>0]|0)!=(b[r+Q>>0]|0)){O=L;P=M;break}}}while(0);r=r+P|0;v=O;x=N}}while(0);u=d;return l|0}function ahc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0;a:do if(!d)e=0;else{f=a;g=d;h=c;while(1){i=b[f>>0]|0;j=b[h>>0]|0;if(i<<24>>24!=j<<24>>24)break;g=g+-1|0;if(!g){e=0;break a}else{f=f+1|0;h=h+1|0}}e=(i&255)-(j&255)|0}while(0);return e|0}function bhc(a,b){a=a|0;b=b|0;return chc(a,b,(jfc(a)|0)+1|0)|0}function chc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,f=0;e=c&255;c=d;while(1){if(!c){f=0;break}c=c+-1|0;d=a+c|0;if((b[d>>0]|0)==e<<24>>24){f=d;break}}return f|0}function dhc(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;if(c|0){d=c;c=a;while(1){d=d+-1|0;f[c>>2]=b;if(!d)break;else c=c+4|0}}return a|0}function ehc(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;if(a-b>>2>>>0>=c>>>0){if(c|0){d=b;e=a;g=c;while(1){g=g+-1|0;f[e>>2]=f[d>>2];if(!g)break;else{d=d+4|0;e=e+4|0}}}}else{e=c;do{e=e+-1|0;f[a+(e<<2)>>2]=f[b+(e<<2)>>2]}while((e|0)!=0)}return a|0}function fhc(a){a=a|0;return +(+ghc(a,0))}function ghc(a,b){a=a|0;b=b|0;return +(+hhc(a,b,1))}function hhc(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0.0;d=u;u=u+128|0;e=d;g=e;h=g+124|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));g=e+4|0;f[g>>2]=a;h=e+8|0;f[h>>2]=-1;f[e+44>>2]=a;f[e+76>>2]=-1;Zec(e,0);i=+Hgc(e,c,1);c=(f[g>>2]|0)-(f[h>>2]|0)+(f[e+108>>2]|0)|0;if(b|0)f[b>>2]=c|0?a+c|0:a;u=d;return +i}function ihc(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;f[e>>2]=c;c=jhc(a,b,e)|0;u=d;return c|0}function jhc(a,b,c){a=a|0;b=b|0;c=c|0;return vfc(a,2147483647,b,c)|0}function khc(a,b){a=a|0;b=b|0;return +(+hhc(a,b,0))}function lhc(a,b){a=a|0;b=b|0;return +(+hhc(a,b,2))}function mhc(a,b,c){a=a|0;b=b|0;c=c|0;return +(+khc(a,b))}function nhc(a,b,c){a=a|0;b=b|0;c=c|0;return +(+ghc(a,b))}function ohc(a,b,c){a=a|0;b=b|0;c=c|0;return +(+lhc(a,b))}function phc(a){a=a|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;c=a;while(1){d=b[c>>0]|0;e=d<<24>>24;f=c+1|0;if(!(afc(e)|0))break;else c=f}switch(e|0){case 45:{g=1;h=5;break}case 43:{g=0;h=5;break}default:{i=0;j=c;k=d}}if((h|0)==5){i=g;j=f;k=b[f>>0]|0}f=(k<<24>>24)+-48|0;if(f>>>0<10){k=0;g=j;j=f;while(1){g=g+1|0;f=(k*10|0)-j|0;j=(b[g>>0]|0)+-48|0;if(j>>>0>=10){l=f;break}else k=f}}else l=0;return (i|0?l:0-l|0)|0}function qhc(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;if((f[a+76>>2]|0)>=0?(yfc(a)|0)!=0:0){b=a+4|0;c=f[b>>2]|0;if(c>>>0<(f[a+8>>2]|0)>>>0){f[b>>2]=c+1;d=h[c>>0]|0}else d=bfc(a)|0;e=d}else g=3;do if((g|0)==3){d=a+4|0;c=f[d>>2]|0;if(c>>>0<(f[a+8>>2]|0)>>>0){f[d>>2]=c+1;e=h[c>>0]|0;break}else{e=bfc(a)|0;break}}while(0);return e|0}function rhc(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0;g=f[c>>2]|0;if((e|0)!=0?(i=f[e>>2]|0,(i|0)!=0):0)if(!a){j=i;k=g;l=d;m=25}else{f[e>>2]=0;n=i;o=a;p=d;q=g;m=43}else m=5;a:do if((m|0)==5){i=(shc()|0)+188|0;e=(a|0)!=0;if(f[f[i>>2]>>2]|0)if(e){r=a;s=d;t=g;m=15;break}else{u=g;v=d;m=14;break}if(!e){w=jfc(g)|0;m=59;break}b:do if(!d)x=g;else{e=g;i=a;y=d;while(1){z=b[e>>0]|0;if(!(z<<24>>24))break;A=e+1|0;f[i>>2]=z<<24>>24&57343;z=y+-1|0;if(!z){x=A;break b}else{e=A;i=i+4|0;y=z}}f[i>>2]=0;f[c>>2]=0;w=d-y|0;m=59;break a}while(0);f[c>>2]=x;w=d;m=59}while(0);c:while(1){d:do if((m|0)==14){m=0;x=u;g=v;while(1){e=b[x>>0]|0;if(((e&255)+-1|0)>>>0<127?(x&3|0)==0:0){z=f[x>>2]|0;A=z&255;if(!((z+-16843009|z)&-2139062144)){z=x;B=g;do{z=z+4|0;B=B+-4|0;C=f[z>>2]|0}while(!((C+-16843009|C)&-2139062144|0));D=z;E=B;F=C&255}else{D=x;E=g;F=A}}else{D=x;E=g;F=e}G=F&255;if((G+-1|0)>>>0>=127)break;x=D+1|0;g=E+-1|0}g=G+-194|0;if(g>>>0>50){H=D;I=a;J=E;m=53}else{j=f[159088+(g<<2)>>2]|0;k=D+1|0;l=E;m=25;continue c}}else if((m|0)==15){m=0;e:do if(!s)K=t;else{g=r;x=s;y=t;while(1){i=b[y>>0]|0;do if(((i&255)+-1|0)>>>0<127?x>>>0>4&(y&3|0)==0:0){L=g;M=x;N=y;while(1){O=f[N>>2]|0;if((O+-16843009|O)&-2139062144|0){m=38;break}f[L>>2]=O&255;f[L+4>>2]=h[N+1>>0];f[L+8>>2]=h[N+2>>0];P=N+4|0;Q=L+16|0;f[L+12>>2]=h[N+3>>0];R=M+-4|0;if(R>>>0>4){L=Q;M=R;N=P}else{m=37;break}}if((m|0)==37){m=0;S=Q;T=R;U=P;V=b[P>>0]|0;break}else if((m|0)==38){m=0;S=L;T=M;U=N;V=O&255;break}}else{S=g;T=x;U=y;V=i}while(0);W=V&255;if((W+-1|0)>>>0>=127)break;i=U+1|0;f[S>>2]=W;x=T+-1|0;if(!x){K=i;break e}else{g=S+4|0;y=i}}y=W+-194|0;if(y>>>0>50){H=U;I=S;J=T;m=53;break d}n=f[159088+(y<<2)>>2]|0;o=S;p=T;q=U+1|0;m=43;continue c}while(0);f[c>>2]=K;w=d;m=59;continue c}else if((m|0)==25){m=0;y=(h[k>>0]|0)>>>3;if((y+-16|y+(j>>26))>>>0>7){X=a;Y=j;Z=k;_=l;m=52}else{y=k+1|0;if(j&33554432){if((b[y>>0]&-64)<<24>>24!=-128){X=a;Y=j;Z=k;_=l;m=52;break}g=k+2|0;if(!(j&524288))$=g;else{if((b[g>>0]&-64)<<24>>24!=-128){X=a;Y=j;Z=k;_=l;m=52;break}$=k+3|0}}else $=y;u=$;v=l+-1|0;m=14;continue c}}else if((m|0)==43){m=0;y=h[q>>0]|0;g=y>>>3;if((g+-16|g+(n>>26))>>>0>7){X=o;Y=n;Z=q;_=p;m=52}else{g=q+1|0;x=y+-128|n<<6;do if((x|0)<0){y=(h[g>>0]|0)+-128|0;if(y>>>0>63){aa=q+-1|0;ba=o;break d}e=q+2|0;A=y|x<<6;if((A|0)<0){y=(h[e>>0]|0)+-128|0;if(y>>>0>63){aa=q+-1|0;ba=o;break d}else{ca=q+3|0;da=y|A<<6;break}}else{ca=e;da=A}}else{ca=g;da=x}while(0);f[o>>2]=da;r=o+4|0;s=p+-1|0;t=ca;m=15;continue c}}else if((m|0)==59){m=0;return w|0}while(0);if((m|0)==52){m=0;x=Z+-1|0;if(!Y){H=x;I=X;J=_;m=53}else{aa=x;ba=X}}if((m|0)==53){m=0;if(!(b[H>>0]|0)){if(I|0){f[I>>2]=0;f[c>>2]=0}w=d-J|0;m=59;continue}else{aa=H;ba=I}}x=Bec()|0;f[x>>2]=84;if(!ba){w=-1;m=59;continue}f[c>>2]=aa;w=-1;m=59}return 0}function shc(){return Dec()|0}function thc(a){a=+a;var b=0,c=0,d=0,e=0,g=0.0,h=0.0,i=0,j=0.0,k=0.0,l=0,m=0,n=0.0,o=0.0;p[s>>3]=a;b=f[s+4>>2]|0;c=b&2147483647;d=pzc(f[s>>2]|0,b|0,63)|0;do if(c>>>0>1078159481){b=uhc(a)|0;e=J&2147483647;if(!(e>>>0>2146435072|(e|0)==2146435072&b>>>0>0))if(!d)if(a>709.782712893384)g=a*8988465674311579538646525.0e283;else{h=.5;i=12}else g=-1.0;else g=a}else{if(c>>>0<=1071001154)if(c>>>0<1016070144){g=a;break}else{j=a;k=0.0;l=0;i=15;break}b=(d|0)!=0;if(c>>>0>=1072734898){h=b?-.5:.5;i=12;break}if(b){m=-1;n=a+.6931471803691238;o=-1.9082149292705877e-10;i=13;break}else{m=1;n=a+-.6931471803691238;o=1.9082149292705877e-10;i=13;break}}while(0);if((i|0)==12){c=~~(a*1.4426950408889634+h);h=+(c|0);m=c;n=a-h*.6931471803691238;o=h*1.9082149292705877e-10;i=13}if((i|0)==13){h=n-o;j=h;k=n-h-o;l=m;i=15}a:do if((i|0)==15){o=j*.5;h=j*o;n=h*(h*(h*(h*(4.008217827329362e-06-h*2.0109921818362437e-07)+-7.93650757867488e-05)+1.5873015872548146e-03)+-.03333333333333313)+1.0;a=3.0-o*n;o=h*((n-a)/(6.0-j*a));if(!l){g=j-(j*o-h);break}a=j*(o-k)-k-h;switch(l|0){case -1:{g=(j-a)*.5+-.5;break a;break}case 1:{if(j<-.25){g=(a-(j+.5))*-2.0;break a}else{g=(j-a)*2.0+1.0;break a}break}default:{m=yzc(l+1023|0,0,52)|0;c=J;f[s>>2]=m;f[s+4>>2]=c;h=+p[s>>3];if(l>>>0>56){o=j-a+1.0;g=((l|0)==1024?o*2.0*8988465674311579538646525.0e283:h*o)+-1.0;break a}else{c=yzc(1023-l|0,0,52)|0;m=J;d=(l|0)<20;f[s>>2]=c;f[s+4>>2]=m;o=+p[s>>3];g=h*((d?1.0-o:1.0)+(j-(d?a:o+a)));break a}}}}while(0);return +g}function uhc(a){a=+a;var b=0;p[s>>3]=a;b=f[s>>2]|0;J=f[s+4>>2]|0;return b|0}function vhc(a){a=+a;var b=0,c=0,d=0,e=0.0,g=0.0,h=0,i=0.0,j=0.0,k=0,l=0,m=0.0,o=0.0;b=(n[s>>2]=a,f[s>>2]|0);c=b&2147483647;d=b>>>31;do if(c>>>0>1100331075)if(c>>>0<=2139095040)if(!d)if(a>88.7216796875)e=a*1701411834604692317316873.0e14;else{g=.5;h=12}else e=-1.0;else e=a;else{if(c>>>0<=1051816472)if(c>>>0<855638016){e=a;break}else{i=a;j=0.0;k=0;h=15;break}b=(d|0)!=0;if(c>>>0>=1065686418){g=b?-.5:.5;h=12;break}if(b){l=-1;m=a+.6931381225585938;o=-9.05800061445916e-06;h=13;break}else{l=1;m=a+-.6931381225585938;o=9.05800061445916e-06;h=13;break}}while(0);if((h|0)==12){c=~~(a*1.4426950216293335+g);g=+(c|0);l=c;m=a-g*.6931381225585938;o=g*9.05800061445916e-06;h=13}if((h|0)==13){g=m-o;i=g;j=m-g-o;k=l;h=15}a:do if((h|0)==15){o=i*.5;g=i*o;m=g*(g*1.5807170420885086e-03+-.03333321213722229)+1.0;a=3.0-o*m;o=g*((m-a)/(6.0-i*a));if(!k){e=i-(i*o-g);break}a=i*(o-j)-j-g;switch(k|0){case -1:{e=(i-a)*.5+-.5;break a;break}case 1:{if(i<-.25){e=(a-(i+.5))*-2.0;break a}else{e=(i-a)*2.0+1.0;break a}break}default:{g=(f[s>>2]=(k<<23)+1065353216,+n[s>>2]);if(k>>>0>56){o=i-a+1.0;e=((k|0)==128?o*2.0*1701411834604692317316873.0e14:g*o)+-1.0;break a}else{l=(k|0)<23;o=(f[s>>2]=127-k<<23,+n[s>>2]);e=g*((l?1.0-o:1.0)+(i-(l?a:o+a)));break a}}}}while(0);return +e}function whc(){return 160088}function xhc(){return 160092}function yhc(){var a=0;a=(zhc()|0)+188|0;return (f[f[a>>2]>>2]|0?4:1)|0}function zhc(){return Dec()|0}function Ahc(){return 161632}function Bhc(a){a=+a;var b=0,c=0,d=0.0,e=0.0;b=(n[s>>2]=a,f[s>>2]|0);if((b&2130706432)>>>0<=1249902592){c=(b|0)<0;d=(c?8388608.0:-8388608.0)+((c?-8388608.0:8388608.0)+a);if(d==0.0)e=c?-0.0:0.0;else e=d}else e=a;return +e}function Chc(a){a=+a;var b=0,c=0,d=0,e=0.0,g=0,h=0,i=0,j=0,k=0,l=0,m=0.0,n=0.0,o=0.0,q=0.0,r=0.0,t=0.0;p[s>>3]=a;b=f[s>>2]|0;c=f[s+4>>2]|0;d=(c|0)<0;do if(d|c>>>0<1048576){if((b|0)==0&(c&2147483647|0)==0){e=-1.0/(a*a);break}if(d){e=(a-a)/0.0;break}else{p[s>>3]=a*18014398509481984.0;g=f[s+4>>2]|0;h=-1077;i=g;j=f[s>>2]|0;k=g;l=9;break}}else if(c>>>0<=2146435071)if((b|0)==0&0==0&(c|0)==1072693248)e=0.0;else{h=-1023;i=c;j=b;k=c;l=9}else e=a;while(0);if((l|0)==9){l=i+614242|0;f[s>>2]=j;f[s+4>>2]=(l&1048575)+1072079006;a=+p[s>>3]+-1.0;m=a*(a*.5);n=a/(a+2.0);o=n*n;q=o*o;p[s>>3]=a-m;j=f[s+4>>2]|0;f[s>>2]=0;f[s+4>>2]=j;r=+p[s>>3];t=a-r-m+n*(m+(q*(q*(q*.15313837699209373+.22222198432149784)+.3999999999940942)+o*(q*(q*(q*.14798198605116586+.1818357216161805)+.2857142874366239)+.6666666666666735)));q=r*.4342944818781689;o=+(h+(l>>>20)|0);m=o*.30102999566361177;n=m+q;e=n+(q+(m-n)+(t*.4342944818781689+(o*3.694239077158931e-13+(r+t)*2.5082946711645275e-11)))}return +e}function Dhc(a){a=+a;var b=0,c=0,d=0.0,e=0.0;p[s>>3]=a;b=f[s+4>>2]|0;c=b&2147483647;f[s>>2]=f[s>>2];f[s+4>>2]=c;a=+p[s>>3];do if(c>>>0>1071748074)if(c>>>0>1077149696){d=1.0-0.0/a;break}else{d=1.0-2.0/(+thc(a*2.0)+2.0);break}else{if(c>>>0>1070618798){e=+thc(a*2.0);d=e/(e+2.0);break}if(c>>>0>1048575){e=+thc(a*-2.0);d=-e/(e+2.0)}else d=a}while(0);return +((b|0)<0?-d:d)}function Ehc(a){a=+a;var b=0,c=0,d=0.0,e=0.0;p[s>>3]=a;b=f[s+4>>2]|0;c=b&2146435072;if(!(c>>>0>1126170624|(c|0)==1126170624&0>0)){c=(b|0)<0;d=(c?4503599627370496.0:-4503599627370496.0)+((c?-4503599627370496.0:4503599627370496.0)+a);if(d==0.0)e=c?-0.0:0.0;else e=d}else e=a;return +e}function Fhc(a){a=+a;var b=0,c=0.0;b=Pec(32)|0;c=+Ehc(a);return ~~c|0}function Ghc(a){a=+a;return ~~+Bhc(a)|0}function Hhc(a,b){a=+a;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0.0,k=0,l=0.0;p[s>>3]=a;c=f[s>>2]|0;d=f[s+4>>2]|0;e=pzc(c|0,d|0,52)|0;g=e&2047;e=g+-1023|0;if((e|0)>51){p[b>>3]=a;f[s>>2]=0;f[s+4>>2]=d&-2147483648;return +((c|0)==0&(d&1048575|0)==0|(e|0)!=1024?+p[s>>3]:a)}do if(g>>>0>=1023){h=pzc(-1,1048575,e|0)|0;i=J;if((h&c|0)==0&(i&d|0)==0){p[b>>3]=a;f[s>>2]=0;f[s+4>>2]=d&-2147483648;j=+p[s>>3];break}else{k=c&~h;h=d&~i;f[s>>2]=k;f[s+4>>2]=h;l=+p[s>>3];i=b;f[i>>2]=k;f[i+4>>2]=h;j=a-l;break}}else{h=b;f[h>>2]=0;f[h+4>>2]=d&-2147483648;j=a}while(0);return +j}function Ihc(a){a=+a;var b=0,c=0,d=0.0,e=0.0;b=(n[s>>2]=a,f[s>>2]|0);c=b&2147483647;a=(f[s>>2]=c,+n[s>>2]);do if(c>>>0>1057791828)if(c>>>0>1092616192){d=0.0/a+1.0;break}else{d=1.0-2.0/(+vhc(a*2.0)+2.0);break}else{if(c>>>0>1048757624){e=+vhc(a*2.0);d=e/(e+2.0);break}if(c>>>0>8388607){e=+vhc(a*-2.0);d=-e/(e+2.0)}else d=a}while(0);return +((b|0)<0?-d:d)}function Jhc(a,b,c){a=a|0;b=b|0;c=c|0;return dgc(0,a,b,c|0?c:900824)|0}function Khc(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;e=u;u=u+16|0;g=e;a:do if(!a){h=f[c>>2]|0;i=f[h>>2]|0;if(!i)j=0;else{k=h;h=0;l=i;while(1){if(l>>>0>127){i=Nfc(g,l,0)|0;if((i|0)==-1){j=-1;break a}else m=i}else m=1;i=m+h|0;k=k+4|0;l=f[k>>2]|0;if(!l){j=i;break}else h=i}}}else{b:do if(d>>>0>3){h=a;l=d;k=f[c>>2]|0;while(1){i=f[k>>2]|0;if((i+-1|0)>>>0>126){if(!i)break;n=Nfc(h,i,0)|0;if((n|0)==-1){j=-1;break a}o=h+n|0;p=l-n|0;q=k}else{b[h>>0]=i;o=h+1|0;p=l+-1|0;q=f[c>>2]|0}k=q+4|0;f[c>>2]=k;if(p>>>0<=3){r=o;s=p;break b}else{h=o;l=p}}b[h>>0]=0;f[c>>2]=0;j=d-l|0;break a}else{r=a;s=d}while(0);if(s){k=r;i=s;n=f[c>>2]|0;while(1){t=f[n>>2]|0;if((t+-1|0)>>>0>126){if(!t){v=19;break}w=Nfc(g,t,0)|0;if((w|0)==-1){j=-1;break a}if(i>>>0<w>>>0){v=22;break}Nfc(k,f[n>>2]|0,0)|0;x=k+w|0;y=i-w|0;z=n}else{b[k>>0]=t;x=k+1|0;y=i+-1|0;z=f[c>>2]|0}n=z+4|0;f[c>>2]=n;if(!y){j=d;break a}else{k=x;i=y}}if((v|0)==19){b[k>>0]=0;f[c>>2]=0;j=d-i|0;break}else if((v|0)==22){j=d-i|0;break}}else j=d}while(0);u=e;return j|0}function Lhc(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;e=u;u=u+272|0;g=e+8|0;h=e;i=f[b>>2]|0;f[h>>2]=i;j=(a|0)!=0;k=j?d:256;d=j?a:g;a=i;a:do if((k|0)!=0&(i|0)!=0){l=0;m=c;n=k;o=d;p=a;while(1){q=m>>>0>=n>>>0;if(!(q|m>>>0>32)){r=o;s=l;t=m;v=n;w=p;break a}x=q?n:m;y=m-x|0;q=Khc(o,h,x,0)|0;if((q|0)==-1)break;x=(o|0)==(g|0);z=n-(x?0:q)|0;A=x?o:o+q|0;x=q+l|0;q=f[h>>2]|0;if((z|0)!=0&(q|0)!=0){l=x;m=y;n=z;o=A;p=q}else{r=A;s=x;t=y;v=z;w=q;break a}}r=o;s=-1;t=y;v=0;w=f[h>>2]|0}else{r=d;s=0;t=c;v=k;w=a}while(0);b:do if((w|0)!=0?(v|0)!=0&(t|0)!=0:0){a=s;k=t;c=r;d=v;y=w;while(1){B=Nfc(c,f[y>>2]|0,0)|0;if((B+1|0)>>>0<2)break;y=(f[h>>2]|0)+4|0;f[h>>2]=y;k=k+-1|0;d=d-B|0;g=B+a|0;if(!((d|0)!=0&(k|0)!=0)){C=g;break b}else{a=g;c=c+B|0}}if(!B){f[h>>2]=0;C=a}else C=-1}else C=s;while(0);if(j)f[b>>2]=f[h>>2];u=e;return C|0}function Mhc(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0;g=u;u=u+1040|0;h=g+8|0;i=g;j=f[b>>2]|0;f[i>>2]=j;k=(a|0)!=0;l=k?d:256;d=k?a:h;a=j;a:do if((l|0)!=0&(j|0)!=0){m=0;n=c;o=l;p=d;q=a;while(1){r=n>>>2;s=r>>>0>=o>>>0;if(!(n>>>0>131|s)){t=p;v=m;w=n;x=o;y=q;break a}z=s?o:r;A=n-z|0;r=rhc(p,i,z,e)|0;if((r|0)==-1)break;z=(p|0)==(h|0);s=o-(z?0:r)|0;B=z?p:p+(r<<2)|0;z=r+m|0;r=f[i>>2]|0;if((s|0)!=0&(r|0)!=0){m=z;n=A;o=s;p=B;q=r}else{t=B;v=z;w=A;x=s;y=r;break a}}t=p;v=-1;w=A;x=0;y=f[i>>2]|0}else{t=d;v=0;w=c;x=l;y=a}while(0);b:do if((y|0)!=0?(x|0)!=0&(w|0)!=0:0){a=v;l=w;c=t;d=x;A=y;while(1){C=dgc(c,A,l,e)|0;if((C+2|0)>>>0<3)break;A=(f[i>>2]|0)+C|0;f[i>>2]=A;l=l-C|0;d=d+-1|0;h=a+1|0;if(!((d|0)!=0&(l|0)!=0)){D=h;break b}else{a=h;c=c+4|0}}switch(C|0){case -1:{D=-1;break b;break}case 0:{f[i>>2]=0;D=a;break b;break}default:{f[e>>2]=0;D=a;break b}}}else D=v;while(0);if(k)f[b>>2]=f[i>>2];u=g;return D|0}function Nhc(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+16|0;e=d;f[e>>2]=f[c>>2];g=vfc(0,0,b,e)|0;if((g|0)>=0?(e=g+1|0,g=pec(e)|0,f[a>>2]=g,(g|0)!=0):0)h=vfc(g,e,b,c)|0;else h=-1;u=d;return h|0}function Ohc(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;d=a&255;e=a&255;if((f[c+76>>2]|0)>=0?(yfc(c)|0)!=0:0){if((e|0)!=(b[c+75>>0]|0)?(g=c+20|0,h=f[g>>2]|0,h>>>0<(f[c+16>>2]|0)>>>0):0){f[g>>2]=h+1;b[h>>0]=d;i=e}else i=ngc(c,a)|0;zfc(c);j=i}else k=3;do if((k|0)==3){if((e|0)!=(b[c+75>>0]|0)?(i=c+20|0,h=f[i>>2]|0,h>>>0<(f[c+16>>2]|0)>>>0):0){f[i>>2]=h+1;b[h>>0]=d;j=e;break}j=ngc(c,a)|0}while(0);return j|0}function Phc(a){a=a|0;var b=0,c=0,d=0;if(!(f[a>>2]&128))b=1;else b=(f[a+20>>2]|0)>>>0>(f[a+28>>2]|0)>>>0?2:1;c=li[f[a+40>>2]&511](a,0,b)|0;if((c|0)<0)d=c;else d=c-(f[a+8>>2]|0)+(f[a+4>>2]|0)+(f[a+20>>2]|0)-(f[a+28>>2]|0)|0;return d|0}function Qhc(a){a=a|0;var b=0,c=0,d=0;if((f[a+76>>2]|0)>-1){b=(yfc(a)|0)==0;c=Phc(a)|0;if(b)d=c;else{zfc(a);d=c}}else d=Phc(a)|0;return d|0}function Rhc(a){a=a|0;return Qhc(a)|0}function Shc(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;if((f[a+76>>2]|0)>=0?(yfc(a)|0)!=0:0){b=a+4|0;c=f[b>>2]|0;if(c>>>0<(f[a+8>>2]|0)>>>0){f[b>>2]=c+1;d=h[c>>0]|0}else d=bfc(a)|0;zfc(a);e=d}else g=3;do if((g|0)==3){d=a+4|0;c=f[d>>2]|0;if(c>>>0<(f[a+8>>2]|0)>>>0){f[d>>2]=c+1;e=h[c>>0]|0;break}else{e=bfc(a)|0;break}}while(0);return e|0}function Thc(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;g=Y(d,c)|0;h=(c|0)==0?0:d;if((f[e+76>>2]|0)>-1)i=yfc(e)|0;else i=0;d=e+74|0;j=b[d>>0]|0;b[d>>0]=j+255|j;j=e+4|0;d=f[j>>2]|0;k=(f[e+8>>2]|0)-d|0;l=k>>>0<g>>>0?k:g;if((k|0)>0){szc(a|0,d|0,l|0)|0;f[j>>2]=d+l;m=g-l|0;n=a+l|0}else{m=g;n=a}a:do if(!m)o=13;else{a=e+32|0;l=m;d=n;while(1){if(cfc(e)|0)break;j=li[f[a>>2]&511](e,d,l)|0;if((j+1|0)>>>0<2)break;k=l-j|0;if(!k){o=13;break a}else{l=k;d=d+j|0}}if(i|0)zfc(e);p=((g-l|0)>>>0)/(c>>>0)|0}while(0);if((o|0)==13)if(!i)p=h;else{zfc(e);p=h}return p|0}function Uhc(a){a=a|0;var b=0;if((f[a+76>>2]|0)>-1){b=(yfc(a)|0)==0;Wgc(a,0,0)|0;f[a>>2]=f[a>>2]&-33;if(!b)zfc(a)}else{Wgc(a,0,0)|0;f[a>>2]=f[a>>2]&-33}return}function Vhc(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;do if((a|0)!=-1){if((f[c+76>>2]|0)>-1)d=yfc(c)|0;else d=0;e=c+4|0;g=f[e>>2]|0;if(!g){cfc(c)|0;h=f[e>>2]|0;i=(d|0)!=0;if(!h)j=i;else{k=h;l=i;m=7}}else{k=g;l=(d|0)!=0;m=7}if((m|0)==7)if(k>>>0>((f[c+44>>2]|0)+-8|0)>>>0){g=k+-1|0;f[e>>2]=g;b[g>>0]=a;f[c>>2]=f[c>>2]&-17;if(!l){n=a;break}zfc(c);n=a;break}else j=l;if(j){zfc(c);n=-1}else n=-1}else n=-1;while(0);return n|0}function Whc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0;e=a;a=c;a:while(1){c=a;f=a+-1|0;g=e;while(1){h=g;b:while(1){i=h;j=c-i|0;k=h+1|0;switch(j|0){case 1:case 0:{break a;break}case 2:{l=5;break a;break}case 3:{l=7;break a;break}case 4:{l=8;break a;break}case 5:{l=9;break a;break}default:{}}if((j|0)<31){l=11;break a}m=h+(j>>>1)|0;if((j|0)>999){n=j>>>2;o=Zhc(h,h+n|0,m,m+n|0,f,d)|0}else o=Xhc(h,m,f,d)|0;p=b[h>>0]|0;n=b[m>>0]|0;if(p<<24>>24<n<<24>>24){q=f;r=o;break}else s=f;while(1){s=s+-1|0;if((h|0)==(s|0))break;t=b[s>>0]|0;if(t<<24>>24<n<<24>>24){l=28;break b}}n=b[f>>0]|0;if(p<<24>>24<n<<24>>24)u=k;else{j=k;while(1){if((j|0)==(f|0))break a;v=b[j>>0]|0;w=j+1|0;if(p<<24>>24<v<<24>>24)break;else j=w}b[j>>0]=n;b[f>>0]=v;u=w}if((u|0)==(f|0))break a;else{x=f;y=u}while(1){z=b[h>>0]|0;A=y;while(1){B=b[A>>0]|0;C=A+1|0;if(z<<24>>24<B<<24>>24){D=x;break}else A=C}do{D=D+-1|0;E=b[D>>0]|0}while(z<<24>>24<E<<24>>24);if(A>>>0>=D>>>0){h=A;continue b}b[A>>0]=E;b[D>>0]=B;x=D;y=C}}if((l|0)==28){l=0;b[h>>0]=t;b[s>>0]=p;q=s;r=o+1|0}c:do if(k>>>0<q>>>0){n=m;j=q;z=k;F=r;while(1){G=b[n>>0]|0;H=z;while(1){I=b[H>>0]|0;J=H+1|0;if(I<<24>>24<G<<24>>24)H=J;else{K=j;break}}do{K=K+-1|0;L=b[K>>0]|0}while(L<<24>>24>=G<<24>>24);if(H>>>0>K>>>0){M=n;N=F;O=H;break c}b[H>>0]=L;b[K>>0]=I;n=(n|0)==(H|0)?K:n;j=K;z=J;F=F+1|0}}else{M=m;N=r;O=k}while(0);if((O|0)!=(M|0)?(F=b[M>>0]|0,z=b[O>>0]|0,F<<24>>24<z<<24>>24):0){b[O>>0]=F;b[M>>0]=z;P=N+1|0}else P=N;if(!P){Q=$hc(h,O,d)|0;z=O+1|0;if($hc(z,a,d)|0){l=45;break}if(Q){g=z;continue}else R=z}else R=O+1|0;z=O;if((z-i|0)>=(c-z|0)){l=44;break}Whc(h,O,d);g=R}if((l|0)==44){l=0;Whc(R,a,d);e=h;a=O;continue}else if((l|0)==45){l=0;if(Q)break;else{e=h;a=O;continue}}}if((l|0)==5){O=b[f>>0]|0;e=b[h>>0]|0;if(O<<24>>24<e<<24>>24){b[h>>0]=O;b[f>>0]=e}}else if((l|0)==7)Xhc(h,k,f,d)|0;else if((l|0)==8)Yhc(h,k,h+2|0,f,d)|0;else if((l|0)==9)Zhc(h,k,h+2|0,h+3|0,f,d)|0;else if((l|0)==11)_hc(h,a,d);return}function Xhc(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0;e=b[c>>0]|0;f=b[a>>0]|0;g=b[d>>0]|0;h=g<<24>>24<e<<24>>24;do if(e<<24>>24<f<<24>>24){if(h){b[a>>0]=g;b[d>>0]=f;i=1;break}b[a>>0]=e;b[c>>0]=f;j=b[d>>0]|0;if(j<<24>>24<f<<24>>24){b[c>>0]=j;b[d>>0]=f;i=2}else i=1}else if(h){b[c>>0]=g;b[d>>0]=e;j=b[c>>0]|0;k=b[a>>0]|0;if(j<<24>>24<k<<24>>24){b[a>>0]=j;b[c>>0]=k;i=2}else i=1}else i=0;while(0);return i|0}function Yhc(a,c,d,e,f){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0;g=Xhc(a,c,d,f)|0;f=b[e>>0]|0;h=b[d>>0]|0;if(f<<24>>24<h<<24>>24){b[d>>0]=f;b[e>>0]=h;h=g+1|0;e=b[d>>0]|0;f=b[c>>0]|0;if(e<<24>>24<f<<24>>24){b[c>>0]=e;b[d>>0]=f;f=b[c>>0]|0;d=b[a>>0]|0;if(f<<24>>24<d<<24>>24){b[a>>0]=f;b[c>>0]=d;i=g+3|0}else i=g+2|0}else i=h}else i=g;return i|0}function Zhc(a,c,d,e,f,g){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0;h=Yhc(a,c,d,e,g)|0;g=b[f>>0]|0;i=b[e>>0]|0;if(g<<24>>24<i<<24>>24){b[e>>0]=g;b[f>>0]=i;i=h+1|0;f=b[e>>0]|0;g=b[d>>0]|0;if(f<<24>>24<g<<24>>24){b[d>>0]=f;b[e>>0]=g;g=h+2|0;e=b[d>>0]|0;f=b[c>>0]|0;if(e<<24>>24<f<<24>>24){b[c>>0]=e;b[d>>0]=f;f=b[c>>0]|0;d=b[a>>0]|0;if(f<<24>>24<d<<24>>24){b[a>>0]=f;b[c>>0]=d;j=h+4|0}else j=h+3|0}else j=g}else j=i}else j=h;return j|0}function _hc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;e=a+2|0;Xhc(a,a+1|0,e,d)|0;d=a+3|0;f=e;while(1){if((d|0)==(c|0))break;e=b[d>>0]|0;g=b[f>>0]|0;if(e<<24>>24<g<<24>>24){h=f;i=d;j=g;while(1){b[i>>0]=j;if((h|0)==(a|0)){k=a;break}g=h+-1|0;j=b[g>>0]|0;if(e<<24>>24>=j<<24>>24){k=h;break}else{l=h;h=g;i=l}}b[k>>0]=e}i=d;d=d+1|0;f=i}return}function $hc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=a+2|0;f=c+-1|0;g=a+1|0;switch(c-a|0){case 1:case 0:{h=1;break}case 2:{i=b[f>>0]|0;j=b[a>>0]|0;if(i<<24>>24<j<<24>>24){b[a>>0]=i;b[f>>0]=j;h=1}else h=1;break}case 3:{Xhc(a,g,f,d)|0;h=1;break}case 4:{Yhc(a,g,e,f,d)|0;h=1;break}case 5:{Zhc(a,g,e,a+3|0,f,d)|0;h=1;break}default:{Xhc(a,g,e,d)|0;d=a+3|0;g=0;f=e;while(1){if((d|0)==(c|0)){k=1;l=0;break}e=b[d>>0]|0;j=b[f>>0]|0;if(e<<24>>24<j<<24>>24){i=f;m=d;n=j;while(1){b[m>>0]=n;if((i|0)==(a|0)){o=a;break}j=i+-1|0;n=b[j>>0]|0;if(e<<24>>24>=n<<24>>24){o=i;break}else{p=i;i=j;m=p}}b[o>>0]=e;m=g+1|0;if((m|0)==8){k=0;l=(d+1|0)==(c|0);break}else q=m}else q=g;m=d;d=d+1|0;g=q;f=m}h=l|k}}return h|0}function aic(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0;e=a;a=c;a:while(1){c=a;f=a+-1|0;g=e;while(1){h=g;b:while(1){i=h;j=c-i|0;k=h+1|0;switch(j|0){case 1:case 0:{break a;break}case 2:{l=5;break a;break}case 3:{l=7;break a;break}case 4:{l=8;break a;break}case 5:{l=9;break a;break}default:{}}if((j|0)<31){l=11;break a}m=h+(j>>>1)|0;if((j|0)>999){n=j>>>2;o=dic(h,h+n|0,m,m+n|0,f,d)|0}else o=bic(h,m,f,d)|0;p=b[h>>0]|0;n=b[m>>0]|0;if((p&255)<(n&255)){q=f;r=o;break}else s=f;while(1){s=s+-1|0;if((h|0)==(s|0))break;t=b[s>>0]|0;if((t&255)<(n&255)){l=28;break b}}n=b[f>>0]|0;if((p&255)<(n&255))u=k;else{j=k;while(1){if((j|0)==(f|0))break a;v=b[j>>0]|0;w=j+1|0;if((p&255)<(v&255))break;else j=w}b[j>>0]=n;b[f>>0]=v;u=w}if((u|0)==(f|0))break a;else{x=f;y=u}while(1){z=b[h>>0]|0;A=y;while(1){B=b[A>>0]|0;C=A+1|0;if((z&255)<(B&255)){D=x;break}else A=C}do{D=D+-1|0;E=b[D>>0]|0}while((z&255)<(E&255));if(A>>>0>=D>>>0){h=A;continue b}b[A>>0]=E;b[D>>0]=B;x=D;y=C}}if((l|0)==28){l=0;b[h>>0]=t;b[s>>0]=p;q=s;r=o+1|0}c:do if(k>>>0<q>>>0){n=m;j=q;z=k;F=r;while(1){G=b[n>>0]|0;H=z;while(1){I=b[H>>0]|0;J=H+1|0;if((I&255)<(G&255))H=J;else{K=j;break}}do{K=K+-1|0;L=b[K>>0]|0}while((L&255)>=(G&255));if(H>>>0>K>>>0){M=n;N=F;O=H;break c}b[H>>0]=L;b[K>>0]=I;n=(n|0)==(H|0)?K:n;j=K;z=J;F=F+1|0}}else{M=m;N=r;O=k}while(0);if((O|0)!=(M|0)?(F=b[M>>0]|0,z=b[O>>0]|0,(F&255)<(z&255)):0){b[O>>0]=F;b[M>>0]=z;P=N+1|0}else P=N;if(!P){Q=fic(h,O,d)|0;z=O+1|0;if(fic(z,a,d)|0){l=45;break}if(Q){g=z;continue}else R=z}else R=O+1|0;z=O;if((z-i|0)>=(c-z|0)){l=44;break}aic(h,O,d);g=R}if((l|0)==44){l=0;aic(R,a,d);e=h;a=O;continue}else if((l|0)==45){l=0;if(Q)break;else{e=h;a=O;continue}}}if((l|0)==5){O=b[f>>0]|0;e=b[h>>0]|0;if((O&255)<(e&255)){b[h>>0]=O;b[f>>0]=e}}else if((l|0)==7)bic(h,k,f,d)|0;else if((l|0)==8)cic(h,k,h+2|0,f,d)|0;else if((l|0)==9)dic(h,k,h+2|0,h+3|0,f,d)|0;else if((l|0)==11)eic(h,a,d);return}function bic(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0;e=b[c>>0]|0;f=b[a>>0]|0;g=b[d>>0]|0;h=(g&255)<(e&255);do if((e&255)<(f&255)){if(h){b[a>>0]=g;b[d>>0]=f;i=1;break}b[a>>0]=e;b[c>>0]=f;j=b[d>>0]|0;if((j&255)<(f&255)){b[c>>0]=j;b[d>>0]=f;i=2}else i=1}else if(h){b[c>>0]=g;b[d>>0]=e;j=b[c>>0]|0;k=b[a>>0]|0;if((j&255)<(k&255)){b[a>>0]=j;b[c>>0]=k;i=2}else i=1}else i=0;while(0);return i|0}function cic(a,c,d,e,f){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0;g=bic(a,c,d,f)|0;f=b[e>>0]|0;h=b[d>>0]|0;if((f&255)<(h&255)){b[d>>0]=f;b[e>>0]=h;h=g+1|0;e=b[d>>0]|0;f=b[c>>0]|0;if((e&255)<(f&255)){b[c>>0]=e;b[d>>0]=f;f=b[c>>0]|0;d=b[a>>0]|0;if((f&255)<(d&255)){b[a>>0]=f;b[c>>0]=d;i=g+3|0}else i=g+2|0}else i=h}else i=g;return i|0}function dic(a,c,d,e,f,g){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0;h=cic(a,c,d,e,g)|0;g=b[f>>0]|0;i=b[e>>0]|0;if((g&255)<(i&255)){b[e>>0]=g;b[f>>0]=i;i=h+1|0;f=b[e>>0]|0;g=b[d>>0]|0;if((f&255)<(g&255)){b[d>>0]=f;b[e>>0]=g;g=h+2|0;e=b[d>>0]|0;f=b[c>>0]|0;if((e&255)<(f&255)){b[c>>0]=e;b[d>>0]=f;f=b[c>>0]|0;d=b[a>>0]|0;if((f&255)<(d&255)){b[a>>0]=f;b[c>>0]=d;j=h+4|0}else j=h+3|0}else j=g}else j=i}else j=h;return j|0}function eic(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;e=a+2|0;bic(a,a+1|0,e,d)|0;d=a+3|0;f=e;while(1){if((d|0)==(c|0))break;e=b[d>>0]|0;g=b[f>>0]|0;if((e&255)<(g&255)){h=f;i=d;j=g;while(1){b[i>>0]=j;if((h|0)==(a|0)){k=a;break}g=h+-1|0;j=b[g>>0]|0;if((e&255)>=(j&255)){k=h;break}else{l=h;h=g;i=l}}b[k>>0]=e}i=d;d=d+1|0;f=i}return}function fic(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=a+2|0;f=c+-1|0;g=a+1|0;switch(c-a|0){case 1:case 0:{h=1;break}case 2:{i=b[f>>0]|0;j=b[a>>0]|0;if((i&255)<(j&255)){b[a>>0]=i;b[f>>0]=j;h=1}else h=1;break}case 3:{bic(a,g,f,d)|0;h=1;break}case 4:{cic(a,g,e,f,d)|0;h=1;break}case 5:{dic(a,g,e,a+3|0,f,d)|0;h=1;break}default:{bic(a,g,e,d)|0;d=a+3|0;g=0;f=e;while(1){if((d|0)==(c|0)){k=1;l=0;break}e=b[d>>0]|0;j=b[f>>0]|0;if((e&255)<(j&255)){i=f;m=d;n=j;while(1){b[m>>0]=n;if((i|0)==(a|0)){o=a;break}j=i+-1|0;n=b[j>>0]|0;if((e&255)>=(n&255)){o=i;break}else{p=i;i=j;m=p}}b[o>>0]=e;m=g+1|0;if((m|0)==8){k=0;l=(d+1|0)==(c|0);break}else q=m}else q=g;m=d;d=d+1|0;g=q;f=m}h=l|k}}return h|0}function gic(a,b,c){a=a|0;b=b|0;c=c|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0;e=a;a=b;a:while(1){b=a;f=a+-2|0;g=e;while(1){h=g;b:while(1){i=h;j=b-i|0;k=j>>1;l=h+2|0;switch(k|0){case 1:case 0:{break a;break}case 2:{m=5;break a;break}case 3:{m=7;break a;break}case 4:{m=8;break a;break}case 5:{m=9;break a;break}default:{}}if((j|0)<62){m=11;break a}n=h+(((k|0)/2|0)<<1)|0;if((j|0)>1998){j=(k|0)/4|0;o=jic(h,h+(j<<1)|0,n,n+(j<<1)|0,f,c)|0}else o=hic(h,n,f,c)|0;p=d[h>>1]|0;j=d[n>>1]|0;if(p<<16>>16<j<<16>>16){q=f;r=o;break}else s=f;while(1){s=s+-2|0;if((h|0)==(s|0))break;t=d[s>>1]|0;if(t<<16>>16<j<<16>>16){m=28;break b}}j=d[f>>1]|0;if(p<<16>>16<j<<16>>16)u=l;else{k=l;while(1){if((k|0)==(f|0))break a;v=d[k>>1]|0;w=k+2|0;if(p<<16>>16<v<<16>>16)break;else k=w}d[k>>1]=j;d[f>>1]=v;u=w}if((u|0)==(f|0))break a;else{x=f;y=u}while(1){z=d[h>>1]|0;A=y;while(1){B=d[A>>1]|0;C=A+2|0;if(z<<16>>16<B<<16>>16){D=x;break}else A=C}do{D=D+-2|0;E=d[D>>1]|0}while(z<<16>>16<E<<16>>16);if(A>>>0>=D>>>0){h=A;continue b}d[A>>1]=E;d[D>>1]=B;x=D;y=C}}if((m|0)==28){m=0;d[h>>1]=t;d[s>>1]=p;q=s;r=o+1|0}c:do if(l>>>0<q>>>0){j=n;k=q;z=l;F=r;while(1){G=d[j>>1]|0;H=z;while(1){I=d[H>>1]|0;J=H+2|0;if(I<<16>>16<G<<16>>16)H=J;else{K=k;break}}do{K=K+-2|0;L=d[K>>1]|0}while(L<<16>>16>=G<<16>>16);if(H>>>0>K>>>0){M=j;N=F;O=H;break c}d[H>>1]=L;d[K>>1]=I;j=(j|0)==(H|0)?K:j;k=K;z=J;F=F+1|0}}else{M=n;N=r;O=l}while(0);if((O|0)!=(M|0)?(F=d[M>>1]|0,z=d[O>>1]|0,F<<16>>16<z<<16>>16):0){d[O>>1]=F;d[M>>1]=z;P=N+1|0}else P=N;if(!P){Q=lic(h,O,c)|0;z=O+2|0;if(lic(z,a,c)|0){m=45;break}if(Q){g=z;continue}else R=z}else R=O+2|0;z=O;if((z-i|0)>=(b-z|0)){m=44;break}gic(h,O,c);g=R}if((m|0)==44){m=0;gic(R,a,c);e=h;a=O;continue}else if((m|0)==45){m=0;if(Q)break;else{e=h;a=O;continue}}}if((m|0)==5){O=d[f>>1]|0;e=d[h>>1]|0;if(O<<16>>16<e<<16>>16){d[h>>1]=O;d[f>>1]=e}}else if((m|0)==7)hic(h,l,f,c)|0;else if((m|0)==8)iic(h,l,h+4|0,f,c)|0;else if((m|0)==9)jic(h,l,h+4|0,h+6|0,f,c)|0;else if((m|0)==11)kic(h,a,c);return}function hic(a,b,c,e){a=a|0;b=b|0;c=c|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0;e=d[b>>1]|0;f=d[a>>1]|0;g=d[c>>1]|0;h=g<<16>>16<e<<16>>16;do if(e<<16>>16<f<<16>>16){if(h){d[a>>1]=g;d[c>>1]=f;i=1;break}d[a>>1]=e;d[b>>1]=f;j=d[c>>1]|0;if(j<<16>>16<f<<16>>16){d[b>>1]=j;d[c>>1]=f;i=2}else i=1}else if(h){d[b>>1]=g;d[c>>1]=e;j=d[b>>1]|0;k=d[a>>1]|0;if(j<<16>>16<k<<16>>16){d[a>>1]=j;d[b>>1]=k;i=2}else i=1}else i=0;while(0);return i|0}function iic(a,b,c,e,f){a=a|0;b=b|0;c=c|0;e=e|0;f=f|0;var g=0,h=0,i=0;g=hic(a,b,c,f)|0;f=d[e>>1]|0;h=d[c>>1]|0;if(f<<16>>16<h<<16>>16){d[c>>1]=f;d[e>>1]=h;h=g+1|0;e=d[c>>1]|0;f=d[b>>1]|0;if(e<<16>>16<f<<16>>16){d[b>>1]=e;d[c>>1]=f;f=d[b>>1]|0;c=d[a>>1]|0;if(f<<16>>16<c<<16>>16){d[a>>1]=f;d[b>>1]=c;i=g+3|0}else i=g+2|0}else i=h}else i=g;return i|0}function jic(a,b,c,e,f,g){a=a|0;b=b|0;c=c|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0;h=iic(a,b,c,e,g)|0;g=d[f>>1]|0;i=d[e>>1]|0;if(g<<16>>16<i<<16>>16){d[e>>1]=g;d[f>>1]=i;i=h+1|0;f=d[e>>1]|0;g=d[c>>1]|0;if(f<<16>>16<g<<16>>16){d[c>>1]=f;d[e>>1]=g;g=h+2|0;e=d[c>>1]|0;f=d[b>>1]|0;if(e<<16>>16<f<<16>>16){d[b>>1]=e;d[c>>1]=f;f=d[b>>1]|0;c=d[a>>1]|0;if(f<<16>>16<c<<16>>16){d[a>>1]=f;d[b>>1]=c;j=h+4|0}else j=h+3|0}else j=g}else j=i}else j=h;return j|0}function kic(a,b,c){a=a|0;b=b|0;c=c|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;e=a+4|0;hic(a,a+2|0,e,c)|0;c=a+6|0;f=e;while(1){if((c|0)==(b|0))break;e=d[c>>1]|0;g=d[f>>1]|0;if(e<<16>>16<g<<16>>16){h=f;i=c;j=g;while(1){d[i>>1]=j;if((h|0)==(a|0)){k=a;break}g=h+-2|0;j=d[g>>1]|0;if(e<<16>>16>=j<<16>>16){k=h;break}else{l=h;h=g;i=l}}d[k>>1]=e}i=c;c=c+2|0;f=i}return}function lic(a,b,c){a=a|0;b=b|0;c=c|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=a+4|0;f=a+2|0;g=b+-2|0;switch(b-a>>1|0){case 1:case 0:{h=1;break}case 2:{i=d[g>>1]|0;j=d[a>>1]|0;if(i<<16>>16<j<<16>>16){d[a>>1]=i;d[g>>1]=j;h=1}else h=1;break}case 3:{hic(a,f,g,c)|0;h=1;break}case 4:{iic(a,f,e,g,c)|0;h=1;break}case 5:{jic(a,f,e,a+6|0,g,c)|0;h=1;break}default:{hic(a,f,e,c)|0;c=a+6|0;f=0;g=e;while(1){if((c|0)==(b|0)){k=1;l=0;break}e=d[c>>1]|0;j=d[g>>1]|0;if(e<<16>>16<j<<16>>16){i=g;m=c;n=j;while(1){d[m>>1]=n;if((i|0)==(a|0)){o=a;break}j=i+-2|0;n=d[j>>1]|0;if(e<<16>>16>=n<<16>>16){o=i;break}else{p=i;i=j;m=p}}d[o>>1]=e;m=f+1|0;if((m|0)==8){k=0;l=(c+2|0)==(b|0);break}else q=m}else q=f;m=c;c=c+2|0;f=q;g=m}h=l|k}}return h|0}function mic(a,b,c){a=a|0;b=b|0;c=c|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0;e=a;a=b;a:while(1){b=a;f=a+-2|0;g=e;while(1){h=g;b:while(1){i=h;j=b-i|0;k=j>>1;l=h+2|0;switch(k|0){case 1:case 0:{break a;break}case 2:{m=5;break a;break}case 3:{m=7;break a;break}case 4:{m=8;break a;break}case 5:{m=9;break a;break}default:{}}if((j|0)<62){m=11;break a}n=h+(((k|0)/2|0)<<1)|0;if((j|0)>1998){j=(k|0)/4|0;o=pic(h,h+(j<<1)|0,n,n+(j<<1)|0,f,c)|0}else o=nic(h,n,f,c)|0;p=d[h>>1]|0;j=d[n>>1]|0;if((p&65535)<(j&65535)){q=f;r=o;break}else s=f;while(1){s=s+-2|0;if((h|0)==(s|0))break;t=d[s>>1]|0;if((t&65535)<(j&65535)){m=28;break b}}j=d[f>>1]|0;if((p&65535)<(j&65535))u=l;else{k=l;while(1){if((k|0)==(f|0))break a;v=d[k>>1]|0;w=k+2|0;if((p&65535)<(v&65535))break;else k=w}d[k>>1]=j;d[f>>1]=v;u=w}if((u|0)==(f|0))break a;else{x=f;y=u}while(1){z=d[h>>1]|0;A=y;while(1){B=d[A>>1]|0;C=A+2|0;if((z&65535)<(B&65535)){D=x;break}else A=C}do{D=D+-2|0;E=d[D>>1]|0}while((z&65535)<(E&65535));if(A>>>0>=D>>>0){h=A;continue b}d[A>>1]=E;d[D>>1]=B;x=D;y=C}}if((m|0)==28){m=0;d[h>>1]=t;d[s>>1]=p;q=s;r=o+1|0}c:do if(l>>>0<q>>>0){j=n;k=q;z=l;F=r;while(1){G=d[j>>1]|0;H=z;while(1){I=d[H>>1]|0;J=H+2|0;if((I&65535)<(G&65535))H=J;else{K=k;break}}do{K=K+-2|0;L=d[K>>1]|0}while((L&65535)>=(G&65535));if(H>>>0>K>>>0){M=j;N=F;O=H;break c}d[H>>1]=L;d[K>>1]=I;j=(j|0)==(H|0)?K:j;k=K;z=J;F=F+1|0}}else{M=n;N=r;O=l}while(0);if((O|0)!=(M|0)?(F=d[M>>1]|0,z=d[O>>1]|0,(F&65535)<(z&65535)):0){d[O>>1]=F;d[M>>1]=z;P=N+1|0}else P=N;if(!P){Q=ric(h,O,c)|0;z=O+2|0;if(ric(z,a,c)|0){m=45;break}if(Q){g=z;continue}else R=z}else R=O+2|0;z=O;if((z-i|0)>=(b-z|0)){m=44;break}mic(h,O,c);g=R}if((m|0)==44){m=0;mic(R,a,c);e=h;a=O;continue}else if((m|0)==45){m=0;if(Q)break;else{e=h;a=O;continue}}}if((m|0)==5){O=d[f>>1]|0;e=d[h>>1]|0;if((O&65535)<(e&65535)){d[h>>1]=O;d[f>>1]=e}}else if((m|0)==7)nic(h,l,f,c)|0;else if((m|0)==8)oic(h,l,h+4|0,f,c)|0;else if((m|0)==9)pic(h,l,h+4|0,h+6|0,f,c)|0;else if((m|0)==11)qic(h,a,c);return}function nic(a,b,c,e){a=a|0;b=b|0;c=c|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0;e=d[b>>1]|0;f=d[a>>1]|0;g=d[c>>1]|0;h=(g&65535)<(e&65535);do if((e&65535)<(f&65535)){if(h){d[a>>1]=g;d[c>>1]=f;i=1;break}d[a>>1]=e;d[b>>1]=f;j=d[c>>1]|0;if((j&65535)<(f&65535)){d[b>>1]=j;d[c>>1]=f;i=2}else i=1}else if(h){d[b>>1]=g;d[c>>1]=e;j=d[b>>1]|0;k=d[a>>1]|0;if((j&65535)<(k&65535)){d[a>>1]=j;d[b>>1]=k;i=2}else i=1}else i=0;while(0);return i|0}function oic(a,b,c,e,f){a=a|0;b=b|0;c=c|0;e=e|0;f=f|0;var g=0,h=0,i=0;g=nic(a,b,c,f)|0;f=d[e>>1]|0;h=d[c>>1]|0;if((f&65535)<(h&65535)){d[c>>1]=f;d[e>>1]=h;h=g+1|0;e=d[c>>1]|0;f=d[b>>1]|0;if((e&65535)<(f&65535)){d[b>>1]=e;d[c>>1]=f;f=d[b>>1]|0;c=d[a>>1]|0;if((f&65535)<(c&65535)){d[a>>1]=f;d[b>>1]=c;i=g+3|0}else i=g+2|0}else i=h}else i=g;return i|0}function pic(a,b,c,e,f,g){a=a|0;b=b|0;c=c|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0;h=oic(a,b,c,e,g)|0;g=d[f>>1]|0;i=d[e>>1]|0;if((g&65535)<(i&65535)){d[e>>1]=g;d[f>>1]=i;i=h+1|0;f=d[e>>1]|0;g=d[c>>1]|0;if((f&65535)<(g&65535)){d[c>>1]=f;d[e>>1]=g;g=h+2|0;e=d[c>>1]|0;f=d[b>>1]|0;if((e&65535)<(f&65535)){d[b>>1]=e;d[c>>1]=f;f=d[b>>1]|0;c=d[a>>1]|0;if((f&65535)<(c&65535)){d[a>>1]=f;d[b>>1]=c;j=h+4|0}else j=h+3|0}else j=g}else j=i}else j=h;return j|0}function qic(a,b,c){a=a|0;b=b|0;c=c|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;e=a+4|0;nic(a,a+2|0,e,c)|0;c=a+6|0;f=e;while(1){if((c|0)==(b|0))break;e=d[c>>1]|0;g=d[f>>1]|0;if((e&65535)<(g&65535)){h=f;i=c;j=g;while(1){d[i>>1]=j;if((h|0)==(a|0)){k=a;break}g=h+-2|0;j=d[g>>1]|0;if((e&65535)>=(j&65535)){k=h;break}else{l=h;h=g;i=l}}d[k>>1]=e}i=c;c=c+2|0;f=i}return}function ric(a,b,c){a=a|0;b=b|0;c=c|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=a+4|0;f=a+2|0;g=b+-2|0;switch(b-a>>1|0){case 1:case 0:{h=1;break}case 2:{i=d[g>>1]|0;j=d[a>>1]|0;if((i&65535)<(j&65535)){d[a>>1]=i;d[g>>1]=j;h=1}else h=1;break}case 3:{nic(a,f,g,c)|0;h=1;break}case 4:{oic(a,f,e,g,c)|0;h=1;break}case 5:{pic(a,f,e,a+6|0,g,c)|0;h=1;break}default:{nic(a,f,e,c)|0;c=a+6|0;f=0;g=e;while(1){if((c|0)==(b|0)){k=1;l=0;break}e=d[c>>1]|0;j=d[g>>1]|0;if((e&65535)<(j&65535)){i=g;m=c;n=j;while(1){d[m>>1]=n;if((i|0)==(a|0)){o=a;break}j=i+-2|0;n=d[j>>1]|0;if((e&65535)>=(n&65535)){o=i;break}else{p=i;i=j;m=p}}d[o>>1]=e;m=f+1|0;if((m|0)==8){k=0;l=(c+2|0)==(b|0);break}else q=m}else q=f;m=c;c=c+2|0;f=q;g=m}h=l|k}}return h|0}function sic(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0;d=a;a=b;a:while(1){b=a;e=a+-4|0;g=d;while(1){h=g;b:while(1){i=h;j=b-i|0;k=j>>2;l=h+4|0;switch(k|0){case 1:case 0:{break a;break}case 2:{m=5;break a;break}case 3:{m=7;break a;break}case 4:{m=8;break a;break}case 5:{m=9;break a;break}default:{}}if((j|0)<124){m=11;break a}n=h+(((k|0)/2|0)<<2)|0;if((j|0)>3996){j=(k|0)/4|0;o=vic(h,h+(j<<2)|0,n,n+(j<<2)|0,e,c)|0}else o=tic(h,n,e,c)|0;p=f[h>>2]|0;j=f[n>>2]|0;if((p|0)<(j|0)){q=e;r=o;break}else s=e;while(1){s=s+-4|0;if((h|0)==(s|0))break;t=f[s>>2]|0;if((t|0)<(j|0)){m=28;break b}}j=f[e>>2]|0;if((p|0)<(j|0))u=l;else{k=l;while(1){if((k|0)==(e|0))break a;v=f[k>>2]|0;w=k+4|0;if((p|0)<(v|0))break;else k=w}f[k>>2]=j;f[e>>2]=v;u=w}if((u|0)==(e|0))break a;else{x=e;y=u}while(1){z=f[h>>2]|0;A=y;while(1){B=f[A>>2]|0;C=A+4|0;if((z|0)<(B|0)){D=x;break}else A=C}do{D=D+-4|0;E=f[D>>2]|0}while((z|0)<(E|0));if(A>>>0>=D>>>0){h=A;continue b}f[A>>2]=E;f[D>>2]=B;x=D;y=C}}if((m|0)==28){m=0;f[h>>2]=t;f[s>>2]=p;q=s;r=o+1|0}c:do if(l>>>0<q>>>0){j=n;k=q;z=l;F=r;while(1){G=f[j>>2]|0;H=z;while(1){I=f[H>>2]|0;J=H+4|0;if((I|0)<(G|0))H=J;else{K=k;break}}do{K=K+-4|0;L=f[K>>2]|0}while((L|0)>=(G|0));if(H>>>0>K>>>0){M=j;N=F;O=H;break c}f[H>>2]=L;f[K>>2]=I;j=(j|0)==(H|0)?K:j;k=K;z=J;F=F+1|0}}else{M=n;N=r;O=l}while(0);if((O|0)!=(M|0)?(F=f[M>>2]|0,z=f[O>>2]|0,(F|0)<(z|0)):0){f[O>>2]=F;f[M>>2]=z;P=N+1|0}else P=N;if(!P){Q=xic(h,O,c)|0;z=O+4|0;if(xic(z,a,c)|0){m=45;break}if(Q){g=z;continue}else R=z}else R=O+4|0;z=O;if((z-i|0)>=(b-z|0)){m=44;break}sic(h,O,c);g=R}if((m|0)==44){m=0;sic(R,a,c);d=h;a=O;continue}else if((m|0)==45){m=0;if(Q)break;else{d=h;a=O;continue}}}if((m|0)==5){O=f[e>>2]|0;d=f[h>>2]|0;if((O|0)<(d|0)){f[h>>2]=O;f[e>>2]=d}}else if((m|0)==7)tic(h,l,e,c)|0;else if((m|0)==8)uic(h,l,h+8|0,e,c)|0;else if((m|0)==9)vic(h,l,h+8|0,h+12|0,e,c)|0;else if((m|0)==11)wic(h,a,c);return}function tic(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0;d=f[b>>2]|0;e=f[a>>2]|0;g=f[c>>2]|0;h=(g|0)<(d|0);do if((d|0)<(e|0)){if(h){f[a>>2]=g;f[c>>2]=e;i=1;break}f[a>>2]=d;f[b>>2]=e;j=f[c>>2]|0;if((j|0)<(e|0)){f[b>>2]=j;f[c>>2]=e;i=2}else i=1}else if(h){f[b>>2]=g;f[c>>2]=d;j=f[b>>2]|0;k=f[a>>2]|0;if((j|0)<(k|0)){f[a>>2]=j;f[b>>2]=k;i=2}else i=1}else i=0;while(0);return i|0}function uic(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0;g=tic(a,b,c,e)|0;e=f[d>>2]|0;h=f[c>>2]|0;if((e|0)<(h|0)){f[c>>2]=e;f[d>>2]=h;h=g+1|0;d=f[c>>2]|0;e=f[b>>2]|0;if((d|0)<(e|0)){f[b>>2]=d;f[c>>2]=e;e=f[b>>2]|0;c=f[a>>2]|0;if((e|0)<(c|0)){f[a>>2]=e;f[b>>2]=c;i=g+3|0}else i=g+2|0}else i=h}else i=g;return i|0}function vic(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0;h=uic(a,b,c,d,g)|0;g=f[e>>2]|0;i=f[d>>2]|0;if((g|0)<(i|0)){f[d>>2]=g;f[e>>2]=i;i=h+1|0;e=f[d>>2]|0;g=f[c>>2]|0;if((e|0)<(g|0)){f[c>>2]=e;f[d>>2]=g;g=h+2|0;d=f[c>>2]|0;e=f[b>>2]|0;if((d|0)<(e|0)){f[b>>2]=d;f[c>>2]=e;e=f[b>>2]|0;c=f[a>>2]|0;if((e|0)<(c|0)){f[a>>2]=e;f[b>>2]=c;j=h+4|0}else j=h+3|0}else j=g}else j=i}else j=h;return j|0}function wic(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;d=a+8|0;tic(a,a+4|0,d,c)|0;c=a+12|0;e=d;while(1){if((c|0)==(b|0))break;d=f[c>>2]|0;g=f[e>>2]|0;if((d|0)<(g|0)){h=e;i=c;j=g;while(1){f[i>>2]=j;if((h|0)==(a|0)){k=a;break}g=h+-4|0;j=f[g>>2]|0;if((d|0)>=(j|0)){k=h;break}else{l=h;h=g;i=l}}f[k>>2]=d}i=c;c=c+4|0;e=i}return}function xic(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=a+4|0;e=b+-4|0;g=a+8|0;switch(b-a>>2|0){case 1:case 0:{h=1;break}case 2:{i=f[e>>2]|0;j=f[a>>2]|0;if((i|0)<(j|0)){f[a>>2]=i;f[e>>2]=j;h=1}else h=1;break}case 3:{tic(a,d,e,c)|0;h=1;break}case 4:{uic(a,d,g,e,c)|0;h=1;break}case 5:{vic(a,d,g,a+12|0,e,c)|0;h=1;break}default:{tic(a,d,g,c)|0;c=a+12|0;d=0;e=g;while(1){if((c|0)==(b|0)){k=1;l=0;break}g=f[c>>2]|0;j=f[e>>2]|0;if((g|0)<(j|0)){i=e;m=c;n=j;while(1){f[m>>2]=n;if((i|0)==(a|0)){o=a;break}j=i+-4|0;n=f[j>>2]|0;if((g|0)>=(n|0)){o=i;break}else{p=i;i=j;m=p}}f[o>>2]=g;m=d+1|0;if((m|0)==8){k=0;l=(c+4|0)==(b|0);break}else q=m}else q=d;m=c;c=c+4|0;d=q;e=m}h=l|k}}return h|0}function yic(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0.0,q=0.0,r=0,s=0,t=0,u=0.0,v=0,w=0.0,x=0,y=0,z=0,A=0.0,B=0.0,C=0,D=0,E=0.0,F=0,G=0,H=0,I=0,J=0.0,K=0,L=0,M=0.0,N=0,O=0,P=0,Q=0,R=0,S=0;d=a;a=b;a:while(1){b=a;e=a+-4|0;f=d;while(1){g=f;b:while(1){h=g;i=b-h|0;j=i>>2;k=g+4|0;switch(j|0){case 1:case 0:{break a;break}case 2:{l=5;break a;break}case 3:{l=7;break a;break}case 4:{l=8;break a;break}case 5:{l=9;break a;break}default:{}}if((i|0)<124){l=11;break a}m=g+(((j|0)/2|0)<<2)|0;if((i|0)>3996){i=(j|0)/4|0;o=Bic(g,g+(i<<2)|0,m,m+(i<<2)|0,e,c)|0}else o=zic(g,m,e,c)|0;p=+n[g>>2];q=+n[m>>2];if(p<q){r=e;s=o;break}else t=e;while(1){t=t+-4|0;if((g|0)==(t|0))break;u=+n[t>>2];if(u<q){l=28;break b}}q=+n[e>>2];if(p<q)v=k;else{i=k;while(1){if((i|0)==(e|0))break a;w=+n[i>>2];x=i+4|0;if(p<w)break;else i=x}n[i>>2]=q;n[e>>2]=w;v=x}if((v|0)==(e|0))break a;else{y=e;z=v}while(1){A=+n[g>>2];j=z;while(1){B=+n[j>>2];C=j+4|0;if(A<B){D=y;break}else j=C}do{D=D+-4|0;E=+n[D>>2]}while(A<E);if(j>>>0>=D>>>0){g=j;continue b}n[j>>2]=E;n[D>>2]=B;y=D;z=C}}if((l|0)==28){l=0;n[g>>2]=u;n[t>>2]=p;r=t;s=o+1|0}c:do if(k>>>0<r>>>0){i=m;F=r;G=k;H=s;while(1){q=+n[i>>2];I=G;while(1){J=+n[I>>2];K=I+4|0;if(J<q)I=K;else{L=F;break}}do{L=L+-4|0;M=+n[L>>2]}while(!(M<q));if(I>>>0>L>>>0){N=i;O=H;P=I;break c}n[I>>2]=M;n[L>>2]=J;i=(i|0)==(I|0)?L:i;F=L;G=K;H=H+1|0}}else{N=m;O=s;P=k}while(0);if((P|0)!=(N|0)?(q=+n[N>>2],A=+n[P>>2],q<A):0){n[P>>2]=q;n[N>>2]=A;Q=O+1|0}else Q=O;if(!Q){R=Dic(g,P,c)|0;H=P+4|0;if(Dic(H,a,c)|0){l=45;break}if(R){f=H;continue}else S=H}else S=P+4|0;H=P;if((H-h|0)>=(b-H|0)){l=44;break}yic(g,P,c);f=S}if((l|0)==44){l=0;yic(S,a,c);d=g;a=P;continue}else if((l|0)==45){l=0;if(R)break;else{d=g;a=P;continue}}}if((l|0)==5){J=+n[e>>2];M=+n[g>>2];if(J<M){n[g>>2]=J;n[e>>2]=M}}else if((l|0)==7)zic(g,k,e,c)|0;else if((l|0)==8)Aic(g,k,g+8|0,e,c)|0;else if((l|0)==9)Bic(g,k,g+8|0,g+12|0,e,c)|0;else if((l|0)==11)Cic(g,a,c);return}function zic(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0.0,f=0.0,g=0.0,h=0,i=0.0,j=0.0;e=+n[b>>2];f=+n[a>>2];g=+n[c>>2];d=g<e;do if(e<f){if(d){n[a>>2]=g;n[c>>2]=f;h=1;break}n[a>>2]=e;n[b>>2]=f;i=+n[c>>2];if(i<f){n[b>>2]=i;n[c>>2]=f;h=2}else h=1}else if(d){n[b>>2]=g;n[c>>2]=e;i=+n[b>>2];j=+n[a>>2];if(i<j){n[a>>2]=i;n[b>>2]=j;h=2}else h=1}else h=0;while(0);return h|0}function Aic(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0.0,h=0.0,i=0;f=zic(a,b,c,e)|0;g=+n[d>>2];h=+n[c>>2];if(g<h){n[c>>2]=g;n[d>>2]=h;d=f+1|0;h=+n[c>>2];g=+n[b>>2];if(h<g){n[b>>2]=h;n[c>>2]=g;g=+n[b>>2];h=+n[a>>2];if(g<h){n[a>>2]=g;n[b>>2]=h;i=f+3|0}else i=f+2|0}else i=d}else i=f;return i|0}function Bic(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0.0,i=0.0,j=0;g=Aic(a,b,c,d,f)|0;h=+n[e>>2];i=+n[d>>2];if(h<i){n[d>>2]=h;n[e>>2]=i;e=g+1|0;i=+n[d>>2];h=+n[c>>2];if(i<h){n[c>>2]=i;n[d>>2]=h;d=g+2|0;h=+n[c>>2];i=+n[b>>2];if(h<i){n[b>>2]=h;n[c>>2]=i;i=+n[b>>2];h=+n[a>>2];if(i<h){n[a>>2]=i;n[b>>2]=h;j=g+4|0}else j=g+3|0}else j=d}else j=e}else j=g;return j|0}function Cic(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0.0,h=0,i=0,j=0;d=a+8|0;zic(a,a+4|0,d,c)|0;c=a+12|0;e=d;while(1){if((c|0)==(b|0))break;g=+n[c>>2];if(g<+n[e>>2]){d=e;h=c;while(1){f[h>>2]=f[d>>2];if((d|0)==(a|0))break;i=d+-4|0;if(g<+n[i>>2]){j=d;d=i;h=j}else break}n[d>>2]=g}h=c;c=c+4|0;e=h}return}function Dic(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0.0,j=0.0,k=0,l=0,m=0,o=0,p=0,q=0;d=a+4|0;e=b+-4|0;g=a+8|0;switch(b-a>>2|0){case 1:case 0:{h=1;break}case 2:{i=+n[e>>2];j=+n[a>>2];if(i<j){n[a>>2]=i;n[e>>2]=j;h=1}else h=1;break}case 3:{zic(a,d,e,c)|0;h=1;break}case 4:{Aic(a,d,g,e,c)|0;h=1;break}case 5:{Bic(a,d,g,a+12|0,e,c)|0;h=1;break}default:{zic(a,d,g,c)|0;c=a+12|0;d=0;e=g;while(1){if((c|0)==(b|0)){k=1;l=0;break}j=+n[c>>2];if(j<+n[e>>2]){g=e;m=c;while(1){f[m>>2]=f[g>>2];if((g|0)==(a|0))break;o=g+-4|0;if(j<+n[o>>2]){p=g;g=o;m=p}else break}n[g>>2]=j;m=d+1|0;if((m|0)==8){k=0;l=(c+4|0)==(b|0);break}else q=m}else q=d;m=c;c=c+4|0;d=q;e=m}h=l|k}}return h|0}function Eic(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0.0,q=0.0,r=0,s=0,t=0,u=0.0,v=0,w=0.0,x=0,y=0,z=0,A=0.0,B=0.0,C=0,D=0,E=0.0,F=0,G=0,H=0,I=0,J=0.0,K=0,L=0,M=0.0,N=0,O=0,P=0,Q=0,R=0,S=0;d=a;a=b;a:while(1){b=a;e=a+-8|0;f=d;while(1){g=f;b:while(1){h=g;i=b-h|0;j=i>>3;k=g+8|0;switch(j|0){case 1:case 0:{break a;break}case 2:{l=5;break a;break}case 3:{l=7;break a;break}case 4:{l=8;break a;break}case 5:{l=9;break a;break}default:{}}if((i|0)<248){l=11;break a}m=g+(((j|0)/2|0)<<3)|0;if((i|0)>7992){i=(j|0)/4|0;n=Hic(g,g+(i<<3)|0,m,m+(i<<3)|0,e,c)|0}else n=Fic(g,m,e,c)|0;o=+p[g>>3];q=+p[m>>3];if(o<q){r=e;s=n;break}else t=e;while(1){t=t+-8|0;if((g|0)==(t|0))break;u=+p[t>>3];if(u<q){l=28;break b}}q=+p[e>>3];if(o<q)v=k;else{i=k;while(1){if((i|0)==(e|0))break a;w=+p[i>>3];x=i+8|0;if(o<w)break;else i=x}p[i>>3]=q;p[e>>3]=w;v=x}if((v|0)==(e|0))break a;else{y=e;z=v}while(1){A=+p[g>>3];j=z;while(1){B=+p[j>>3];C=j+8|0;if(A<B){D=y;break}else j=C}do{D=D+-8|0;E=+p[D>>3]}while(A<E);if(j>>>0>=D>>>0){g=j;continue b}p[j>>3]=E;p[D>>3]=B;y=D;z=C}}if((l|0)==28){l=0;p[g>>3]=u;p[t>>3]=o;r=t;s=n+1|0}c:do if(k>>>0<r>>>0){i=m;F=r;G=k;H=s;while(1){q=+p[i>>3];I=G;while(1){J=+p[I>>3];K=I+8|0;if(J<q)I=K;else{L=F;break}}do{L=L+-8|0;M=+p[L>>3]}while(!(M<q));if(I>>>0>L>>>0){N=i;O=H;P=I;break c}p[I>>3]=M;p[L>>3]=J;i=(i|0)==(I|0)?L:i;F=L;G=K;H=H+1|0}}else{N=m;O=s;P=k}while(0);if((P|0)!=(N|0)?(q=+p[N>>3],A=+p[P>>3],q<A):0){p[P>>3]=q;p[N>>3]=A;Q=O+1|0}else Q=O;if(!Q){R=Jic(g,P,c)|0;H=P+8|0;if(Jic(H,a,c)|0){l=45;break}if(R){f=H;continue}else S=H}else S=P+8|0;H=P;if((H-h|0)>=(b-H|0)){l=44;break}Eic(g,P,c);f=S}if((l|0)==44){l=0;Eic(S,a,c);d=g;a=P;continue}else if((l|0)==45){l=0;if(R)break;else{d=g;a=P;continue}}}if((l|0)==5){J=+p[e>>3];M=+p[g>>3];if(J<M){p[g>>3]=J;p[e>>3]=M}}else if((l|0)==7)Fic(g,k,e,c)|0;else if((l|0)==8)Gic(g,k,g+16|0,e,c)|0;else if((l|0)==9)Hic(g,k,g+16|0,g+24|0,e,c)|0;else if((l|0)==11)Iic(g,a,c);return}function Fic(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0.0,f=0.0,g=0.0,h=0,i=0.0,j=0.0;e=+p[b>>3];f=+p[a>>3];g=+p[c>>3];d=g<e;do if(e<f){if(d){p[a>>3]=g;p[c>>3]=f;h=1;break}p[a>>3]=e;p[b>>3]=f;i=+p[c>>3];if(i<f){p[b>>3]=i;p[c>>3]=f;h=2}else h=1}else if(d){p[b>>3]=g;p[c>>3]=e;i=+p[b>>3];j=+p[a>>3];if(i<j){p[a>>3]=i;p[b>>3]=j;h=2}else h=1}else h=0;while(0);return h|0}function Gic(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0.0,h=0.0,i=0;f=Fic(a,b,c,e)|0;g=+p[d>>3];h=+p[c>>3];if(g<h){p[c>>3]=g;p[d>>3]=h;d=f+1|0;h=+p[c>>3];g=+p[b>>3];if(h<g){p[b>>3]=h;p[c>>3]=g;g=+p[b>>3];h=+p[a>>3];if(g<h){p[a>>3]=g;p[b>>3]=h;i=f+3|0}else i=f+2|0}else i=d}else i=f;return i|0}function Hic(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0.0,i=0.0,j=0;g=Gic(a,b,c,d,f)|0;h=+p[e>>3];i=+p[d>>3];if(h<i){p[d>>3]=h;p[e>>3]=i;e=g+1|0;i=+p[d>>3];h=+p[c>>3];if(i<h){p[c>>3]=i;p[d>>3]=h;d=g+2|0;h=+p[c>>3];i=+p[b>>3];if(h<i){p[b>>3]=h;p[c>>3]=i;i=+p[b>>3];h=+p[a>>3];if(i<h){p[a>>3]=i;p[b>>3]=h;j=g+4|0}else j=g+3|0}else j=d}else j=e}else j=g;return j|0}function Iic(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0.0,g=0.0,h=0,i=0.0,j=0,k=0,l=0;d=a+16|0;Fic(a,a+8|0,d,c)|0;c=a+24|0;e=d;while(1){if((c|0)==(b|0))break;f=+p[c>>3];g=+p[e>>3];if(f<g){d=e;h=c;i=g;while(1){p[h>>3]=i;if((d|0)==(a|0)){j=a;break}k=d+-8|0;i=+p[k>>3];if(!(f<i)){j=d;break}else{l=d;d=k;h=l}}p[j>>3]=f}h=c;c=c+8|0;e=h}return}function Jic(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0.0,i=0.0,j=0,k=0,l=0,m=0.0,n=0,o=0,q=0,r=0;d=b+-8|0;e=a+8|0;f=a+16|0;switch(b-a>>3|0){case 1:case 0:{g=1;break}case 2:{h=+p[d>>3];i=+p[a>>3];if(h<i){p[a>>3]=h;p[d>>3]=i;g=1}else g=1;break}case 3:{Fic(a,e,d,c)|0;g=1;break}case 4:{Gic(a,e,f,d,c)|0;g=1;break}case 5:{Hic(a,e,f,a+24|0,d,c)|0;g=1;break}default:{Fic(a,e,f,c)|0;c=a+24|0;e=0;d=f;while(1){if((c|0)==(b|0)){j=1;k=0;break}i=+p[c>>3];h=+p[d>>3];if(i<h){f=d;l=c;m=h;while(1){p[l>>3]=m;if((f|0)==(a|0)){n=a;break}o=f+-8|0;m=+p[o>>3];if(!(i<m)){n=f;break}else{q=f;f=o;l=q}}p[n>>3]=i;l=e+1|0;if((l|0)==8){j=0;k=(c+8|0)==(b|0);break}else r=l}else r=e;l=c;c=c+8|0;e=r;d=l}g=k|j}}return g|0}function Kic(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;b=u;u=u+16|0;c=b;d=b+8|0;e=b+4|0;f[d>>2]=a;do if(a>>>0>=212){g=(a>>>0)/210|0;h=g*210|0;f[e>>2]=a-h;i=0;j=g;g=(Lic(163364,163556,e,c)|0)-163364>>2;k=h;a:while(1){l=(f[163364+(g<<2)>>2]|0)+k|0;h=5;while(1){if(h>>>0>=47){m=211;n=i;o=8;break}p=f[163172+(h<<2)>>2]|0;q=(l>>>0)/(p>>>0)|0;if(q>>>0<p>>>0){o=106;break a}if((l|0)==(Y(q,p)|0)){r=i;break}else h=h+1|0}b:do if((o|0)==8){c:while(1){o=0;h=(l>>>0)/(m>>>0)|0;do if(h>>>0>=m>>>0)if((l|0)!=(Y(h,m)|0)){p=m+10|0;q=(l>>>0)/(p>>>0)|0;if(q>>>0>=p>>>0)if((l|0)!=(Y(q,p)|0)){q=m+12|0;s=(l>>>0)/(q>>>0)|0;if(s>>>0>=q>>>0)if((l|0)!=(Y(s,q)|0)){s=m+16|0;t=(l>>>0)/(s>>>0)|0;if(t>>>0>=s>>>0)if((l|0)!=(Y(t,s)|0)){t=m+18|0;v=(l>>>0)/(t>>>0)|0;if(v>>>0>=t>>>0)if((l|0)!=(Y(v,t)|0)){v=m+22|0;w=(l>>>0)/(v>>>0)|0;if(w>>>0>=v>>>0)if((l|0)!=(Y(w,v)|0)){w=m+28|0;x=(l>>>0)/(w>>>0)|0;if(x>>>0>=w>>>0)if((l|0)==(Y(x,w)|0)){y=w;z=9;A=n}else{x=m+30|0;B=(l>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=l;break}if((l|0)==(Y(B,x)|0)){y=x;z=9;A=n;break}x=m+36|0;B=(l>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=l;break}if((l|0)==(Y(B,x)|0)){y=x;z=9;A=n;break}x=m+40|0;B=(l>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=l;break}if((l|0)==(Y(B,x)|0)){y=x;z=9;A=n;break}x=m+42|0;B=(l>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=l;break}if((l|0)==(Y(B,x)|0)){y=x;z=9;A=n;break}x=m+46|0;B=(l>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=l;break}if((l|0)==(Y(B,x)|0)){y=x;z=9;A=n;break}x=m+52|0;B=(l>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=l;break}if((l|0)==(Y(B,x)|0)){y=x;z=9;A=n;break}x=m+58|0;B=(l>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=l;break}if((l|0)==(Y(B,x)|0)){y=x;z=9;A=n;break}x=m+60|0;B=(l>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=l;break}if((l|0)==(Y(B,x)|0)){y=x;z=9;A=n;break}x=m+66|0;B=(l>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=l;break}if((l|0)==(Y(B,x)|0)){y=x;z=9;A=n;break}x=m+70|0;B=(l>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=l;break}if((l|0)==(Y(B,x)|0)){y=x;z=9;A=n;break}x=m+72|0;B=(l>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=l;break}if((l|0)==(Y(B,x)|0)){y=x;z=9;A=n;break}x=m+78|0;B=(l>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=l;break}if((l|0)==(Y(B,x)|0)){y=x;z=9;A=n;break}x=m+82|0;B=(l>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=l;break}if((l|0)==(Y(B,x)|0)){y=x;z=9;A=n;break}x=m+88|0;B=(l>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=l;break}if((l|0)==(Y(B,x)|0)){y=x;z=9;A=n;break}x=m+96|0;B=(l>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=l;break}if((l|0)==(Y(B,x)|0)){y=x;z=9;A=n;break}x=m+100|0;B=(l>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=l;break}if((l|0)==(Y(B,x)|0)){y=x;z=9;A=n;break}x=m+102|0;B=(l>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=l;break}if((l|0)==(Y(B,x)|0)){y=x;z=9;A=n;break}x=m+106|0;B=(l>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=l;break}if((l|0)==(Y(B,x)|0)){y=x;z=9;A=n;break}x=m+108|0;B=(l>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=l;break}if((l|0)==(Y(B,x)|0)){y=x;z=9;A=n;break}x=m+112|0;B=(l>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=l;break}if((l|0)==(Y(B,x)|0)){y=x;z=9;A=n;break}x=m+120|0;B=(l>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=l;break}if((l|0)==(Y(B,x)|0)){y=x;z=9;A=n;break}x=m+126|0;B=(l>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=l;break}if((l|0)==(Y(B,x)|0)){y=x;z=9;A=n;break}x=m+130|0;B=(l>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=l;break}if((l|0)==(Y(B,x)|0)){y=x;z=9;A=n;break}x=m+136|0;B=(l>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=l;break}if((l|0)==(Y(B,x)|0)){y=x;z=9;A=n;break}x=m+138|0;B=(l>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=l;break}if((l|0)==(Y(B,x)|0)){y=x;z=9;A=n;break}x=m+142|0;B=(l>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=l;break}if((l|0)==(Y(B,x)|0)){y=x;z=9;A=n;break}x=m+148|0;B=(l>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=l;break}if((l|0)==(Y(B,x)|0)){y=x;z=9;A=n;break}x=m+150|0;B=(l>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=l;break}if((l|0)==(Y(B,x)|0)){y=x;z=9;A=n;break}x=m+156|0;B=(l>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=l;break}if((l|0)==(Y(B,x)|0)){y=x;z=9;A=n;break}x=m+162|0;B=(l>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=l;break}if((l|0)==(Y(B,x)|0)){y=x;z=9;A=n;break}x=m+166|0;B=(l>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=l;break}if((l|0)==(Y(B,x)|0)){y=x;z=9;A=n;break}x=m+168|0;B=(l>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=l;break}if((l|0)==(Y(B,x)|0)){y=x;z=9;A=n;break}x=m+172|0;B=(l>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=l;break}if((l|0)==(Y(B,x)|0)){y=x;z=9;A=n;break}x=m+178|0;B=(l>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=l;break}if((l|0)==(Y(B,x)|0)){y=x;z=9;A=n;break}x=m+180|0;B=(l>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=l;break}if((l|0)==(Y(B,x)|0)){y=x;z=9;A=n;break}x=m+186|0;B=(l>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=l;break}if((l|0)==(Y(B,x)|0)){y=x;z=9;A=n;break}x=m+190|0;B=(l>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=l;break}if((l|0)==(Y(B,x)|0)){y=x;z=9;A=n;break}x=m+192|0;B=(l>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=l;break}if((l|0)==(Y(B,x)|0)){y=x;z=9;A=n;break}x=m+196|0;B=(l>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=l;break}if((l|0)==(Y(B,x)|0)){y=x;z=9;A=n;break}x=m+198|0;B=(l>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=l;break}if((l|0)==(Y(B,x)|0)){y=x;z=9;A=n;break}x=m+208|0;B=(l>>>0)/(x>>>0)|0;C=B>>>0<x>>>0;D=(l|0)==(Y(B,x)|0);y=C|D?x:m+210|0;z=C?1:D?9:0;A=C?l:n}else{y=w;z=1;A=l}}else{y=v;z=9;A=n}else{y=v;z=1;A=l}}else{y=t;z=9;A=n}else{y=t;z=1;A=l}}else{y=s;z=9;A=n}else{y=s;z=1;A=l}}else{y=q;z=9;A=n}else{y=q;z=1;A=l}}else{y=p;z=9;A=n}else{y=p;z=1;A=l}}else{y=m;z=9;A=n}else{y=m;z=1;A=l}while(0);switch(z&15){case 9:{r=A;break b;break}case 0:{m=y;n=A;o=8;break}default:break c}}if(!z)r=A;else{o=107;break a}}while(0);h=g+1|0;p=(h|0)==48;q=(p&1)+j|0;i=r;j=q;g=p?0:h;k=q*210|0}if((o|0)==106){f[d>>2]=l;E=l;break}else if((o|0)==107){f[d>>2]=l;E=A;break}}else{k=Lic(163172,163364,d,c)|0;E=f[k>>2]|0}while(0);u=b;return E|0}function Lic(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0;d=f[c>>2]|0;c=a;e=b-a>>2;while(1){if(!e)break;a=(e|0)/2|0;b=c+(a<<2)|0;g=(f[b>>2]|0)>>>0<d>>>0;c=g?b+4|0:c;e=g?e+-1-a|0:a}return c|0}function Mic(a){a=a|0;Nic(a);return}function Nic(a){a=a|0;f[a>>2]=163564;Oic(a,0);Jlc(a+28|0);qec(f[a+32>>2]|0);qec(f[a+36>>2]|0);qec(f[a+48>>2]|0);qec(f[a+60>>2]|0);return}function Oic(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=a+32|0;d=a+36|0;e=f[a+40>>2]|0;while(1){if(!e)break;g=e+-1|0;Zh[f[(f[c>>2]|0)+(g<<2)>>2]&511](b,a,f[(f[d>>2]|0)+(g<<2)>>2]|0);e=g}return}function Pic(a){a=a|0;Nic(a);fuc(a);return}function Qic(a){a=a|0;Nic(a);return}function Ric(a){a=a|0;f[a>>2]=163580;Jlc(a+4|0);return}function Sic(a){a=a|0;Ric(a);fuc(a);return}function Tic(a,b){a=a|0;b=b|0;return}function Uic(a,b,c){a=a|0;b=b|0;c=c|0;return a|0}function Vic(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;g=a;f[g>>2]=0;f[g+4>>2]=0;g=a+8|0;f[g>>2]=-1;f[g+4>>2]=-1;return}function Wic(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;d=a;f[d>>2]=0;f[d+4>>2]=0;d=a+8|0;f[d>>2]=-1;f[d+4>>2]=-1;return}function Xic(a){a=a|0;return 0}function Yic(a){a=a|0;return 0}function Zic(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0;djc()|0;e=a+12|0;g=a+16|0;h=c;c=0;while(1){if((c|0)>=(d|0))break;i=f[e>>2]|0;j=f[g>>2]|0;if(i>>>0<j>>>0){k=j-i|0;j=d-c|0;l=(j|0)<(k|0)?j:k;fjc(h,i,l)|0;f[e>>2]=(f[e>>2]|0)+l;h=h+l|0;c=l+c|0;continue}l=di[f[(f[a>>2]|0)+40>>2]&1023](a)|0;if((l|0)==-1)break;i=gjc(l)|0;b[h>>0]=i;h=h+1|0;c=c+1|0}return c|0}function _ic(a){a=a|0;return djc()|0}function $ic(a){a=a|0;var c=0,d=0;c=di[f[(f[a>>2]|0)+36>>2]&1023](a)|0;if((c|0)==(djc()|0))d=djc()|0;else{c=a+12|0;a=f[c>>2]|0;f[c>>2]=a+1;d=ejc(b[a>>0]|0)|0}return d|0}function ajc(a,b){a=a|0;b=b|0;return djc()|0}function bjc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;e=djc()|0;g=a+24|0;h=a+28|0;i=c;c=0;while(1){if((c|0)>=(d|0))break;j=f[g>>2]|0;k=f[h>>2]|0;if(j>>>0<k>>>0){l=k-j|0;k=d-c|0;m=(k|0)<(l|0)?k:l;fjc(j,i,m)|0;f[g>>2]=(f[g>>2]|0)+m;i=i+m|0;c=m+c|0;continue}m=f[(f[a>>2]|0)+52>>2]|0;j=ejc(b[i>>0]|0)|0;if((Th[m&1023](a,j)|0)==(e|0))break;i=i+1|0;c=c+1|0}return c|0}function cjc(a,b){a=a|0;b=b|0;return djc()|0}function djc(){return -1}function ejc(a){a=a|0;return a&255|0}function fjc(a,b,c){a=a|0;b=b|0;c=c|0;if(c|0)szc(a|0,b|0,c|0)|0;return a|0}function gjc(a){a=a|0;return a&255|0}function hjc(a){a=a|0;f[a>>2]=163644;Jlc(a+4|0);return}function ijc(a){a=a|0;hjc(a);fuc(a);return}function jjc(a,b){a=a|0;b=b|0;return}function kjc(a,b,c){a=a|0;b=b|0;c=c|0;return a|0}function ljc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;g=a;f[g>>2]=0;f[g+4>>2]=0;g=a+8|0;f[g>>2]=-1;f[g+4>>2]=-1;return}function mjc(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;d=a;f[d>>2]=0;f[d+4>>2]=0;d=a+8|0;f[d>>2]=-1;f[d+4>>2]=-1;return}function njc(a){a=a|0;return 0}function ojc(a){a=a|0;return 0}function pjc(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;vjc()|0;d=a+12|0;e=a+16|0;g=b;b=0;while(1){if((b|0)>=(c|0))break;h=f[d>>2]|0;i=f[e>>2]|0;if(h>>>0<i>>>0){j=i-h>>2;i=c-b|0;k=(i|0)<(j|0)?i:j;xjc(g,h,k)|0;f[d>>2]=(f[d>>2]|0)+(k<<2);g=g+(k<<2)|0;b=k+b|0;continue}k=di[f[(f[a>>2]|0)+40>>2]&1023](a)|0;if((k|0)==-1)break;h=yjc(k)|0;f[g>>2]=h;g=g+4|0;b=b+1|0}return b|0}function qjc(a){a=a|0;return vjc()|0}function rjc(a){a=a|0;var b=0,c=0;b=di[f[(f[a>>2]|0)+36>>2]&1023](a)|0;if((b|0)==(vjc()|0))c=vjc()|0;else{b=a+12|0;a=f[b>>2]|0;f[b>>2]=a+4;c=wjc(f[a>>2]|0)|0}return c|0}function sjc(a,b){a=a|0;b=b|0;return vjc()|0}function tjc(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;d=vjc()|0;e=a+24|0;g=a+28|0;h=b;b=0;while(1){if((b|0)>=(c|0))break;i=f[e>>2]|0;j=f[g>>2]|0;if(i>>>0<j>>>0){k=j-i>>2;j=c-b|0;l=(j|0)<(k|0)?j:k;xjc(i,h,l)|0;f[e>>2]=(f[e>>2]|0)+(l<<2);h=h+(l<<2)|0;b=l+b|0;continue}l=f[(f[a>>2]|0)+52>>2]|0;i=wjc(f[h>>2]|0)|0;if((Th[l&1023](a,i)|0)==(d|0))break;h=h+4|0;b=b+1|0}return b|0}function ujc(a,b){a=a|0;b=b|0;return vjc()|0}function vjc(){return -1}function wjc(a){a=a|0;return a|0}function xjc(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;if(!c)d=a;else{sfc(a,b,c)|0;d=a}return d|0}function yjc(a){a=a|0;return a|0}function zjc(a){a=a|0;Djc(a,163740);Mic(a+8|0);return}function Ajc(a){a=a|0;zjc(a);fuc(a);return}function Bjc(a){a=a|0;zjc(a+(f[(f[a>>2]|0)+-12>>2]|0)|0);return}function Cjc(a){a=a|0;Ajc(a+(f[(f[a>>2]|0)+-12>>2]|0)|0);return}function Djc(a,b){a=a|0;b=b|0;return}function Ejc(a){a=a|0;Ijc(a,163788);Qic(a+8|0);return}function Fjc(a){a=a|0;Ejc(a);fuc(a);return}function Gjc(a){a=a|0;Ejc(a+(f[(f[a>>2]|0)+-12>>2]|0)|0);return}function Hjc(a){a=a|0;Fjc(a+(f[(f[a>>2]|0)+-12>>2]|0)|0);return}function Ijc(a,b){a=a|0;b=b|0;return}function Jjc(a){a=a|0;Njc(a,163796);Mic(a+4|0);return}function Kjc(a){a=a|0;Jjc(a);fuc(a);return}function Ljc(a){a=a|0;Jjc(a+(f[(f[a>>2]|0)+-12>>2]|0)|0);return}function Mjc(a){a=a|0;Kjc(a+(f[(f[a>>2]|0)+-12>>2]|0)|0);return}function Njc(a,b){a=a|0;b=b|0;return}function Ojc(a){a=a|0;Sjc(a,163844);Qic(a+4|0);return}function Pjc(a){a=a|0;Ojc(a);fuc(a);return}function Qjc(a){a=a|0;Ojc(a+(f[(f[a>>2]|0)+-12>>2]|0)|0);return}function Rjc(a){a=a|0;Pjc(a+(f[(f[a>>2]|0)+-12>>2]|0)|0);return}function Sjc(a,b){a=a|0;b=b|0;return}function Tjc(a){a=a|0;Zjc(a,163912);Mic(a+12|0);return}function Ujc(a){a=a|0;Tjc(a);fuc(a);return}function Vjc(a){a=a|0;Tjc(a+-8|0);return}function Wjc(a){a=a|0;Ujc(a+-8|0);return}function Xjc(a){a=a|0;Tjc(a+(f[(f[a>>2]|0)+-12>>2]|0)|0);return}function Yjc(a){a=a|0;Ujc(a+(f[(f[a>>2]|0)+-12>>2]|0)|0);return}function Zjc(a,b){a=a|0;b=b|0;Njc(a+8|0,b+12|0);Djc(a,b+4|0);return}function _jc(a){a=a|0;return jfc(a)|0}function $jc(a,c){a=a|0;c=c|0;b[a>>0]=b[c>>0]|0;return}function akc(a,b){a=a|0;b=b|0;f[a+16>>2]=(f[a+24>>2]|0)==0|b;return}function bkc(a,b){a=a|0;b=b|0;var c=0;f[a+24>>2]=b;f[a+16>>2]=(b|0)==0&1;f[a+20>>2]=0;f[a+4>>2]=4098;f[a+12>>2]=0;f[a+8>>2]=6;b=a+28|0;c=a+32|0;a=c+40|0;do{f[c>>2]=0;c=c+4|0}while((c|0)<(a|0));Mtc(b);return}function ckc(a,b){a=a|0;b=b|0;return (a|0)==(b|0)|0}function dkc(a,b){a=a|0;b=b|0;Ktc(a,b+28|0);return}function ekc(a,b){a=a|0;b=b|0;return (a|0)==(b|0)|0}function fkc(a,b){a=a|0;b=b|0;return a<<24>>24==b<<24>>24|0}function gkc(a){a=a|0;var b=0;f[a>>2]=163580;Mtc(a+4|0);b=a+8|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;f[b+16>>2]=0;f[b+20>>2]=0;return}function hkc(a){a=a|0;var b=0;f[a>>2]=163644;Mtc(a+4|0);b=a+8|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;f[b+16>>2]=0;f[b+20>>2]=0;return}function ikc(a,c,e){a=a|0;c=c|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;g=u;u=u+16|0;h=g;b[a>>0]=0;i=c+(f[(f[c>>2]|0)+-12>>2]|0)|0;j=f[i+16>>2]|0;if(!j){k=f[i+72>>2]|0;if(k|0)jkc(k)|0;do if(!e?(k=c+(f[(f[c>>2]|0)+-12>>2]|0)|0,f[k+4>>2]&4096|0):0){dkc(h,k);k=Ilc(h,901876)|0;Jlc(h);l=f[c+(f[(f[c>>2]|0)+-12>>2]|0)+24>>2]|0;m=k+8|0;k=l;n=(l|0)==0;o=k+12|0;p=k+16|0;q=l;while(1){if(n){r=0;s=0;break}t=f[o>>2]|0;if((t|0)==(f[p>>2]|0))v=di[f[(f[q>>2]|0)+36>>2]&1023](k)|0;else v=ejc(b[t>>0]|0)|0;t=ckc(v,djc()|0)|0;w=t?0:l;if(t){r=0;s=0;break}t=w;x=t+12|0;y=f[x>>2]|0;z=t+16|0;if((y|0)==(f[z>>2]|0))A=di[f[(f[w>>2]|0)+36>>2]&1023](t)|0;else A=ejc(b[y>>0]|0)|0;if((A&255)<<24>>24<=-1){r=t;s=l;break}if(!(d[(f[m>>2]|0)+(A<<24>>24<<1)>>1]&8192)){r=t;s=l;break}y=f[x>>2]|0;if((y|0)==(f[z>>2]|0)){di[f[(f[w>>2]|0)+40>>2]&1023](t)|0;continue}else{f[x>>2]=y+1;ejc(b[y>>0]|0)|0;continue}}if(s|0){l=f[r+12>>2]|0;if((l|0)==(f[r+16>>2]|0))B=di[f[(f[s>>2]|0)+36>>2]&1023](r)|0;else B=ejc(b[l>>0]|0)|0;if(!(ckc(B,djc()|0)|0))break}l=c+(f[(f[c>>2]|0)+-12>>2]|0)|0;akc(l,f[l+16>>2]|6)}while(0);b[a>>0]=(f[c+(f[(f[c>>2]|0)+-12>>2]|0)+16>>2]|0)==0&1}else akc(i,j|4);u=g;return}function jkc(a){a=a|0;var c=0,d=0,e=0;c=u;u=u+16|0;d=c;if(f[a+(f[(f[a>>2]|0)+-12>>2]|0)+24>>2]|0){kkc(d,a);if(b[d>>0]|0?(e=f[a+(f[(f[a>>2]|0)+-12>>2]|0)+24>>2]|0,(di[f[(f[e>>2]|0)+24>>2]&1023](e)|0)==-1):0){e=a+(f[(f[a>>2]|0)+-12>>2]|0)|0;akc(e,f[e+16>>2]|1)}lkc(d)}u=c;return a|0}function kkc(a,c){a=a|0;c=c|0;var d=0;b[a>>0]=0;f[a+4>>2]=c;d=c+(f[(f[c>>2]|0)+-12>>2]|0)|0;if(!(f[d+16>>2]|0)){c=f[d+72>>2]|0;if(c|0)jkc(c)|0;b[a>>0]=1}return}function lkc(a){a=a|0;var b=0,c=0;b=a+4|0;a=f[b>>2]|0;c=a+(f[(f[a>>2]|0)+-12>>2]|0)|0;if((((f[c+24>>2]|0?(f[c+16>>2]|0)==0:0)?f[c+4>>2]&8192|0:0)?!(id()|0):0)?(c=f[b>>2]|0,a=f[c+(f[(f[c>>2]|0)+-12>>2]|0)+24>>2]|0,(di[f[(f[a>>2]|0)+24>>2]&1023](a)|0)==-1):0){a=f[b>>2]|0;b=a+(f[(f[a>>2]|0)+-12>>2]|0)|0;akc(b,f[b+16>>2]|1)}return}function mkc(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;d=u;u=u+32|0;e=d+24|0;g=d+20|0;h=d+16|0;i=d+12|0;j=d+28|0;k=d+8|0;l=d+4|0;m=d;ikc(j,a,0);if(b[j>>0]|0){f[k>>2]=0;dkc(m,a+(f[(f[a>>2]|0)+-12>>2]|0)|0);j=Ilc(m,901900)|0;n=a+(f[(f[a>>2]|0)+-12>>2]|0)|0;o=f[(f[j>>2]|0)+16>>2]|0;f[h>>2]=f[n+24>>2];f[i>>2]=0;f[g>>2]=f[h>>2];f[e>>2]=f[i>>2];Wf[o&127](j,g,e,n,k,l)|0;Jlc(m);f[c>>2]=f[l>>2];l=a+(f[(f[a>>2]|0)+-12>>2]|0)|0;akc(l,f[l+16>>2]|f[k>>2])}u=d;return a|0}function nkc(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;d=u;u=u+32|0;e=d+20|0;g=d+16|0;h=d+12|0;i=d+8|0;j=d+24|0;k=d+4|0;l=d;ikc(j,a,0);if(b[j>>0]|0){f[k>>2]=0;dkc(l,a+(f[(f[a>>2]|0)+-12>>2]|0)|0);j=Ilc(l,901900)|0;m=a+(f[(f[a>>2]|0)+-12>>2]|0)|0;n=f[(f[j>>2]|0)+28>>2]|0;f[h>>2]=f[m+24>>2];f[i>>2]=0;f[g>>2]=f[h>>2];f[e>>2]=f[i>>2];Wf[n&127](j,g,e,m,k,c)|0;Jlc(l);l=a+(f[(f[a>>2]|0)+-12>>2]|0)|0;akc(l,f[l+16>>2]|f[k>>2])}u=d;return a|0}function okc(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;d=u;u=u+32|0;e=d+20|0;g=d+16|0;h=d+12|0;i=d+8|0;j=d+24|0;k=d+4|0;l=d;ikc(j,a,0);if(b[j>>0]|0){f[k>>2]=0;dkc(l,a+(f[(f[a>>2]|0)+-12>>2]|0)|0);j=Ilc(l,901900)|0;m=a+(f[(f[a>>2]|0)+-12>>2]|0)|0;n=f[(f[j>>2]|0)+40>>2]|0;f[h>>2]=f[m+24>>2];f[i>>2]=0;f[g>>2]=f[h>>2];f[e>>2]=f[i>>2];Wf[n&127](j,g,e,m,k,c)|0;Jlc(l);l=a+(f[(f[a>>2]|0)+-12>>2]|0)|0;akc(l,f[l+16>>2]|f[k>>2])}u=d;return a|0}function pkc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0;e=u;u=u+16|0;g=e;h=a+4|0;f[h>>2]=0;ikc(g,a,1);i=a+(f[(f[a>>2]|0)+-12>>2]|0)|0;if(b[g>>0]|0){g=f[i+24>>2]|0;j=li[f[(f[g>>2]|0)+32>>2]&511](g,c,d)|0;f[h>>2]=j;if((j|0)!=(d|0)){d=a+(f[(f[a>>2]|0)+-12>>2]|0)|0;akc(d,f[d+16>>2]|6)}}else akc(i,f[i+16>>2]|4);u=e;return a|0}function qkc(a){a=a|0;var c=0,d=0,e=0;c=u;u=u+16|0;d=c;if(f[a+(f[(f[a>>2]|0)+-12>>2]|0)+24>>2]|0){rkc(d,a);if(b[d>>0]|0?(e=f[a+(f[(f[a>>2]|0)+-12>>2]|0)+24>>2]|0,(di[f[(f[e>>2]|0)+24>>2]&1023](e)|0)==-1):0){e=a+(f[(f[a>>2]|0)+-12>>2]|0)|0;akc(e,f[e+16>>2]|1)}skc(d)}u=c;return a|0}function rkc(a,c){a=a|0;c=c|0;var d=0;b[a>>0]=0;f[a+4>>2]=c;d=c+(f[(f[c>>2]|0)+-12>>2]|0)|0;if(!(f[d+16>>2]|0)){c=f[d+72>>2]|0;if(c|0)qkc(c)|0;b[a>>0]=1}return}function skc(a){a=a|0;var b=0,c=0;b=a+4|0;a=f[b>>2]|0;c=a+(f[(f[a>>2]|0)+-12>>2]|0)|0;if((((f[c+24>>2]|0?(f[c+16>>2]|0)==0:0)?f[c+4>>2]&8192|0:0)?!(id()|0):0)?(c=f[b>>2]|0,a=f[c+(f[(f[c>>2]|0)+-12>>2]|0)+24>>2]|0,(di[f[(f[a>>2]|0)+24>>2]&1023](a)|0)==-1):0){a=f[b>>2]|0;b=a+(f[(f[a>>2]|0)+-12>>2]|0)|0;akc(b,f[b+16>>2]|1)}return}function tkc(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;d=u;u=u+16|0;e=d+12|0;g=d+8|0;h=d;kkc(h,a);if(b[h>>0]|0){dkc(e,a+(f[(f[a>>2]|0)+-12>>2]|0)|0);i=Ilc(e,901932)|0;Jlc(e);j=a+(f[(f[a>>2]|0)+-12>>2]|0)|0;k=f[j+24>>2]|0;l=djc()|0;m=j+76|0;if(ckc(l,f[m>>2]|0)|0){dkc(e,j);l=Ilc(e,901876)|0;n=Th[f[(f[l>>2]|0)+28>>2]&1023](l,32)|0;Jlc(e);l=n<<24>>24;f[m>>2]=l;o=l}else o=f[m>>2]|0;m=f[(f[i>>2]|0)+16>>2]|0;f[g>>2]=k;f[e>>2]=f[g>>2];if(!(mh[m&127](i,e,j,o&255,c)|0)){c=a+(f[(f[a>>2]|0)+-12>>2]|0)|0;akc(c,f[c+16>>2]|5)}}lkc(h);u=d;return a|0}function ukc(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;d=u;u=u+16|0;e=d+12|0;g=d+8|0;h=d;kkc(h,a);if(b[h>>0]|0){dkc(e,a+(f[(f[a>>2]|0)+-12>>2]|0)|0);i=Ilc(e,901932)|0;Jlc(e);j=a+(f[(f[a>>2]|0)+-12>>2]|0)|0;k=f[j+24>>2]|0;l=djc()|0;m=j+76|0;if(ckc(l,f[m>>2]|0)|0){dkc(e,j);l=Ilc(e,901876)|0;n=Th[f[(f[l>>2]|0)+28>>2]&1023](l,32)|0;Jlc(e);l=n<<24>>24;f[m>>2]=l;o=l}else o=f[m>>2]|0;m=f[(f[i>>2]|0)+24>>2]|0;f[g>>2]=k;f[e>>2]=f[g>>2];if(!(mh[m&127](i,e,j,o&255,c)|0)){c=a+(f[(f[a>>2]|0)+-12>>2]|0)|0;akc(c,f[c+16>>2]|5)}}lkc(h);u=d;return a|0}function vkc(a,c){a=a|0;c=+c;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;d=u;u=u+16|0;e=d+12|0;g=d+8|0;h=d;kkc(h,a);if(b[h>>0]|0){dkc(e,a+(f[(f[a>>2]|0)+-12>>2]|0)|0);i=Ilc(e,901932)|0;Jlc(e);j=a+(f[(f[a>>2]|0)+-12>>2]|0)|0;k=f[j+24>>2]|0;l=djc()|0;m=j+76|0;if(ckc(l,f[m>>2]|0)|0){dkc(e,j);l=Ilc(e,901876)|0;n=Th[f[(f[l>>2]|0)+28>>2]&1023](l,32)|0;Jlc(e);l=n<<24>>24;f[m>>2]=l;o=l}else o=f[m>>2]|0;m=f[(f[i>>2]|0)+32>>2]|0;f[g>>2]=k;f[e>>2]=f[g>>2];if(!(qh[m&7](i,e,j,o&255,c)|0)){o=a+(f[(f[a>>2]|0)+-12>>2]|0)|0;akc(o,f[o+16>>2]|5)}}lkc(h);u=d;return a|0}function wkc(a,c){a=a|0;c=+c;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;d=u;u=u+16|0;e=d+12|0;g=d+8|0;h=d;kkc(h,a);if(b[h>>0]|0){dkc(e,a+(f[(f[a>>2]|0)+-12>>2]|0)|0);i=Ilc(e,901932)|0;Jlc(e);j=a+(f[(f[a>>2]|0)+-12>>2]|0)|0;k=f[j+24>>2]|0;l=djc()|0;m=j+76|0;if(ckc(l,f[m>>2]|0)|0){dkc(e,j);l=Ilc(e,901876)|0;n=Th[f[(f[l>>2]|0)+28>>2]&1023](l,32)|0;Jlc(e);l=n<<24>>24;f[m>>2]=l;o=l}else o=f[m>>2]|0;m=f[(f[i>>2]|0)+32>>2]|0;f[g>>2]=k;f[e>>2]=f[g>>2];if(!(qh[m&7](i,e,j,o&255,c)|0)){o=a+(f[(f[a>>2]|0)+-12>>2]|0)|0;akc(o,f[o+16>>2]|5)}}lkc(h);u=d;return a|0}function xkc(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;d=u;u=u+16|0;e=d;kkc(e,a);do if(b[e>>0]|0){g=f[a+(f[(f[a>>2]|0)+-12>>2]|0)+24>>2]|0;h=g;if(g|0){i=h+24|0;j=f[i>>2]|0;if((j|0)==(f[h+28>>2]|0)){k=f[(f[g>>2]|0)+52>>2]|0;g=ejc(c)|0;l=Th[k&1023](h,g)|0}else{f[i>>2]=j+1;b[j>>0]=c;l=ejc(c)|0}if(!(ckc(l,djc()|0)|0))break}j=a+(f[(f[a>>2]|0)+-12>>2]|0)|0;akc(j,f[j+16>>2]|1)}while(0);lkc(e);u=d;return a|0}function ykc(a){a=a|0;var b=0;b=a+16|0;f[b>>2]=f[b>>2]|1;return}function zkc(){Bkc();return}function Akc(){return}function Bkc(){Ckc(0);Bd(2019,1171378,x|0)|0;return}function Ckc(a){a=a|0;var b=0;a=f[39917]|0;Ekc(901508,a,901564);f[225207]=163712;f[225209]=163732;f[225208]=0;bkc(900836,901508);f[225227]=0;b=djc()|0;f[225228]=b;Fkc(901572,a,901628);f[225229]=163760;f[225231]=163780;f[225230]=0;bkc(900924,901572);f[225249]=0;a=vjc()|0;f[225250]=a;a=f[39823]|0;Gkc(901636,a,901684);f[225251]=8780;f[225252]=8800;bkc(901008,901636);f[225270]=0;b=djc()|0;f[225271]=b;Hkc(901692,a,901740);f[225272]=163816;f[225273]=163836;bkc(901092,901692);f[225291]=0;a=vjc()|0;f[225292]=a;a=f[39949]|0;Gkc(901748,a,901796);f[225293]=8780;f[225294]=8800;bkc(901176,901748);f[225312]=0;b=djc()|0;f[225313]=b;b=f[901172+(f[(f[225293]|0)+-12>>2]|0)+24>>2]|0;f[225335]=8780;f[225336]=8800;bkc(901344,b);f[225354]=0;b=djc()|0;f[225355]=b;Hkc(901804,a,901852);f[225314]=163816;f[225315]=163836;bkc(901260,901804);f[225333]=0;a=vjc()|0;f[225334]=a;a=f[901256+(f[(f[225314]|0)+-12>>2]|0)+24>>2]|0;f[225356]=163816;f[225357]=163836;bkc(901428,a);f[225375]=0;a=vjc()|0;f[225376]=a;f[900828+(f[(f[225207]|0)+-12>>2]|0)+72>>2]=901004;f[900916+(f[(f[225229]|0)+-12>>2]|0)+72>>2]=901088;a=901172+(f[(f[225293]|0)+-12>>2]|0)+4|0;f[a>>2]=f[a>>2]|8192;a=901256+(f[(f[225314]|0)+-12>>2]|0)+4|0;f[a>>2]=f[a>>2]|8192;f[901172+(f[(f[225293]|0)+-12>>2]|0)+72>>2]=901004;f[901256+(f[(f[225314]|0)+-12>>2]|0)+72>>2]=901088;return}function Dkc(a){a=a|0;jkc(901004)|0;qkc(901088)|0;jkc(901340)|0;qkc(901424)|0;return}function Ekc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0;e=u;u=u+16|0;g=e;gkc(a);f[a>>2]=164140;f[a+32>>2]=c;f[a+40>>2]=d;d=djc()|0;f[a+48>>2]=d;b[a+52>>0]=0;d=f[(f[a>>2]|0)+8>>2]|0;Ktc(g,a+4|0);yh[d&2047](a,g);Jlc(g);u=e;return}function Fkc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0;e=u;u=u+16|0;g=e;hkc(a);f[a>>2]=164076;f[a+32>>2]=c;f[a+40>>2]=d;d=vjc()|0;f[a+48>>2]=d;b[a+52>>0]=0;d=f[(f[a>>2]|0)+8>>2]|0;Ktc(g,a+4|0);yh[d&2047](a,g);Jlc(g);u=e;return}function Gkc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0;e=u;u=u+16|0;g=e;gkc(a);f[a>>2]=164012;f[a+32>>2]=c;Ktc(g,a+4|0);c=Ilc(g,903668)|0;Jlc(g);f[a+36>>2]=c;f[a+40>>2]=d;d=(di[f[(f[c>>2]|0)+28>>2]&1023](c)|0)&1;b[a+44>>0]=d;u=e;return}function Hkc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0;e=u;u=u+16|0;g=e;hkc(a);f[a>>2]=163948;f[a+32>>2]=c;Ktc(g,a+4|0);c=Ilc(g,903676)|0;Jlc(g);f[a+36>>2]=c;f[a+40>>2]=d;d=(di[f[(f[c>>2]|0)+28>>2]&1023](c)|0)&1;b[a+44>>0]=d;u=e;return}function Ikc(a){a=a|0;hjc(a);return}function Jkc(a){a=a|0;Ikc(a);fuc(a);return}function Kkc(a,c){a=a|0;c=c|0;var d=0;di[f[(f[a>>2]|0)+24>>2]&1023](a)|0;d=Ilc(c,903676)|0;f[a+36>>2]=d;c=(di[f[(f[d>>2]|0)+28>>2]&1023](d)|0)&1;b[a+44>>0]=c;return}function Lkc(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;b=u;u=u+16|0;c=b+8|0;d=b;e=a+36|0;g=a+40|0;h=c+8|0;i=c;j=a+32|0;a:while(1){a=f[e>>2]|0;k=mh[f[(f[a>>2]|0)+20>>2]&127](a,f[g>>2]|0,c,h,d)|0;a=(f[d>>2]|0)-i|0;if((kgc(c,1,a,f[j>>2]|0)|0)!=(a|0)){l=-1;break}switch(k|0){case 1:break;case 2:{l=-1;break a;break}default:{m=4;break a}}}if((m|0)==4)l=((vgc(f[j>>2]|0)|0)!=0)<<31>>31;u=b;return l|0}function Mkc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0;a:do if(!(b[a+44>>0]|0)){e=0;g=c;while(1){if((e|0)>=(d|0)){h=e;break a}i=f[(f[a>>2]|0)+52>>2]|0;j=wjc(f[g>>2]|0)|0;k=Th[i&1023](a,j)|0;if((k|0)==(vjc()|0)){h=e;break a}e=e+1|0;g=g+4|0}}else h=kgc(c,4,d,f[a+32>>2]|0)|0;while(0);return h|0}function Nkc(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;d=u;u=u+32|0;e=d+16|0;g=d+8|0;h=d+4|0;i=d;do if(!(ekc(c,vjc()|0)|0)){j=yjc(c)|0;f[g>>2]=j;j=a+32|0;if(b[a+44>>0]|0){if((kgc(g,4,1,f[j>>2]|0)|0)==1){k=15;break}l=vjc()|0;break}f[h>>2]=e;m=g+4|0;n=a+36|0;o=a+40|0;p=e+8|0;q=e;r=g;while(1){s=f[n>>2]|0;t=Ei[f[(f[s>>2]|0)+12>>2]&15](s,f[o>>2]|0,r,m,i,e,p,h)|0;s=(t|0)==1;if((f[i>>2]|0)==(r|0)){k=14;break}if((t|0)==3)if((kgc(r,1,1,f[j>>2]|0)|0)==1)v=r;else{k=14;break}else{if((t|1|0)!=1){k=14;break}t=(f[h>>2]|0)-q|0;if((kgc(e,1,t,f[j>>2]|0)|0)!=(t|0)){k=14;break}v=s?f[i>>2]|0:r}if(s)r=v;else{k=13;break}}if((k|0)==13){k=15;break}else if((k|0)==14){l=vjc()|0;break}}else k=15;while(0);if((k|0)==15)l=Okc(c)|0;u=d;return l|0}function Okc(a){a=a|0;var b=0;if(ekc(a,vjc()|0)|0)b=~(vjc()|0);else b=a;return b|0}function Pkc(a){a=a|0;Ric(a);return}function Qkc(a){a=a|0;Pkc(a);fuc(a);return}function Rkc(a,c){a=a|0;c=c|0;var d=0;di[f[(f[a>>2]|0)+24>>2]&1023](a)|0;d=Ilc(c,903668)|0;f[a+36>>2]=d;c=(di[f[(f[d>>2]|0)+28>>2]&1023](d)|0)&1;b[a+44>>0]=c;return}function Skc(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;b=u;u=u+16|0;c=b+8|0;d=b;e=a+36|0;g=a+40|0;h=c+8|0;i=c;j=a+32|0;a:while(1){a=f[e>>2]|0;k=mh[f[(f[a>>2]|0)+20>>2]&127](a,f[g>>2]|0,c,h,d)|0;a=(f[d>>2]|0)-i|0;if((kgc(c,1,a,f[j>>2]|0)|0)!=(a|0)){l=-1;break}switch(k|0){case 1:break;case 2:{l=-1;break a;break}default:{m=4;break a}}}if((m|0)==4)l=((vgc(f[j>>2]|0)|0)!=0)<<31>>31;u=b;return l|0}function Tkc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0;a:do if(!(b[a+44>>0]|0)){e=0;g=c;while(1){if((e|0)>=(d|0)){h=e;break a}i=f[(f[a>>2]|0)+52>>2]|0;j=ejc(b[g>>0]|0)|0;k=Th[i&1023](a,j)|0;if((k|0)==(djc()|0)){h=e;break a}e=e+1|0;g=g+1|0}}else h=kgc(c,1,d,f[a+32>>2]|0)|0;while(0);return h|0}function Ukc(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;d=u;u=u+32|0;e=d+16|0;g=d+8|0;h=d+4|0;i=d;do if(!(ckc(c,djc()|0)|0)){j=gjc(c)|0;b[g>>0]=j;j=a+32|0;if(b[a+44>>0]|0){if((kgc(g,1,1,f[j>>2]|0)|0)==1){k=15;break}l=djc()|0;break}f[h>>2]=e;m=g+1|0;n=a+36|0;o=a+40|0;p=e+8|0;q=e;r=g;while(1){s=f[n>>2]|0;t=Ei[f[(f[s>>2]|0)+12>>2]&15](s,f[o>>2]|0,r,m,i,e,p,h)|0;s=(t|0)==1;if((f[i>>2]|0)==(r|0)){k=14;break}if((t|0)==3)if((kgc(r,1,1,f[j>>2]|0)|0)==1)v=r;else{k=14;break}else{if((t|1|0)!=1){k=14;break}t=(f[h>>2]|0)-q|0;if((kgc(e,1,t,f[j>>2]|0)|0)!=(t|0)){k=14;break}v=s?f[i>>2]|0:r}if(s)r=v;else{k=13;break}}if((k|0)==13){k=15;break}else if((k|0)==14){l=djc()|0;break}}else k=15;while(0);if((k|0)==15)l=Vkc(c)|0;u=d;return l|0}function Vkc(a){a=a|0;var b=0;if(ckc(a,djc()|0)|0)b=~(djc()|0);else b=a;return b|0}function Wkc(a){a=a|0;hjc(a);return}function Xkc(a){a=a|0;Wkc(a);fuc(a);return}function Ykc(a,c){a=a|0;c=c|0;var d=0,e=0;d=Ilc(c,903676)|0;c=a+36|0;f[c>>2]=d;e=di[f[(f[d>>2]|0)+24>>2]&1023](d)|0;d=a+44|0;f[d>>2]=e;e=f[c>>2]|0;c=(di[f[(f[e>>2]|0)+28>>2]&1023](e)|0)&1;b[a+53>>0]=c;if((f[d>>2]|0)>8)bpc(527516);else return}function Zkc(a){a=a|0;return alc(a,0)|0}function _kc(a){a=a|0;return alc(a,1)|0}function $kc(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;d=u;u=u+32|0;e=d+16|0;g=d+8|0;h=d+4|0;i=d;j=ekc(c,vjc()|0)|0;k=a+52|0;l=(b[k>>0]|0)!=0;m=a+48|0;do if(j)if(l)n=c;else{o=f[m>>2]|0;p=((ekc(o,vjc()|0)|0)^1)&1;b[k>>0]=p;n=o}else{if(l){o=yjc(f[m>>2]|0)|0;f[h>>2]=o;o=f[a+36>>2]|0;switch(Ei[f[(f[o>>2]|0)+12>>2]&15](o,f[a+40>>2]|0,h,h+4|0,i,e,e+8|0,g)|0){case 1:case 2:{q=10;break}case 3:{b[e>>0]=f[m>>2];f[g>>2]=e+1;q=7;break}default:q=7}a:do if((q|0)==7){o=a+32|0;while(1){p=f[g>>2]|0;if(p>>>0<=e>>>0){r=1;s=0;break a}t=p+-1|0;f[g>>2]=t;if((Vhc(b[t>>0]|0,f[o>>2]|0)|0)==-1){q=10;break}}}while(0);if((q|0)==10){r=0;s=vjc()|0}if(!r){n=s;break}}f[m>>2]=c;b[k>>0]=1;n=c}while(0);u=d;return n|0}function alc(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;d=u;u=u+32|0;e=d+16|0;g=d+8|0;h=d+4|0;i=d;j=a+52|0;k=a+48|0;if(b[j>>0]|0){l=f[k>>2]|0;if(c){m=vjc()|0;f[k>>2]=m;b[j>>0]=0;n=l}else n=l}else{l=f[a+44>>2]|0;j=(l|0)>1?l:1;l=a+32|0;m=0;while(1){if((m|0)>=(j|0)){o=9;break}p=qhc(f[l>>2]|0)|0;if((p|0)==-1){o=8;break}b[e+m>>0]=p;m=m+1|0}if((o|0)==8)q=vjc()|0;else if((o|0)==9){do if(!(b[a+53>>0]|0)){m=a+40|0;p=a+36|0;r=g+4|0;s=j;a:while(1){t=f[m>>2]|0;v=t;w=f[v>>2]|0;x=f[v+4>>2]|0;v=f[p>>2]|0;y=e+s|0;switch(Ei[f[(f[v>>2]|0)+16>>2]&15](v,t,e,y,h,g,r,i)|0){case 3:{o=16;break a;break}case 2:{o=18;break a;break}case 1:break;default:break a}t=f[m>>2]|0;f[t>>2]=w;f[t+4>>2]=x;if((s|0)==8){o=18;break}x=qhc(f[l>>2]|0)|0;if((x|0)==-1){o=18;break}b[y>>0]=x;s=s+1|0}if((o|0)==16)f[g>>2]=b[e>>0];else if((o|0)==18){z=vjc()|0;break}A=s;o=19}else{f[g>>2]=b[e>>0];A=j;o=19}while(0);b:do if((o|0)==19){c:do if(c){j=wjc(f[g>>2]|0)|0;f[k>>2]=j}else{j=A;do{if((j|0)<=0)break c;j=j+-1|0;i=wjc(b[e+j>>0]|0)|0}while((Vhc(i,f[l>>2]|0)|0)!=-1);z=vjc()|0;break b}while(0);z=wjc(f[g>>2]|0)|0}while(0);q=z}n=q}u=d;return n|0}function blc(a){a=a|0;Ric(a);return}function clc(a){a=a|0;blc(a);fuc(a);return}function dlc(a,c){a=a|0;c=c|0;var d=0,e=0;d=Ilc(c,903668)|0;c=a+36|0;f[c>>2]=d;e=di[f[(f[d>>2]|0)+24>>2]&1023](d)|0;d=a+44|0;f[d>>2]=e;e=f[c>>2]|0;c=(di[f[(f[e>>2]|0)+28>>2]&1023](e)|0)&1;b[a+53>>0]=c;if((f[d>>2]|0)>8)bpc(527516);else return}function elc(a){a=a|0;return hlc(a,0)|0}function flc(a){a=a|0;return hlc(a,1)|0}function glc(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;d=u;u=u+32|0;e=d+16|0;g=d+4|0;h=d+8|0;i=d;j=ckc(c,djc()|0)|0;k=a+52|0;l=(b[k>>0]|0)!=0;m=a+48|0;do if(j)if(l)n=c;else{o=f[m>>2]|0;p=((ckc(o,djc()|0)|0)^1)&1;b[k>>0]=p;n=o}else{if(l){o=gjc(f[m>>2]|0)|0;b[h>>0]=o;o=f[a+36>>2]|0;switch(Ei[f[(f[o>>2]|0)+12>>2]&15](o,f[a+40>>2]|0,h,h+1|0,i,e,e+8|0,g)|0){case 1:case 2:{q=10;break}case 3:{b[e>>0]=f[m>>2];f[g>>2]=e+1;q=7;break}default:q=7}a:do if((q|0)==7){o=a+32|0;while(1){p=f[g>>2]|0;if(p>>>0<=e>>>0){r=1;s=0;break a}t=p+-1|0;f[g>>2]=t;if((Vhc(b[t>>0]|0,f[o>>2]|0)|0)==-1){q=10;break}}}while(0);if((q|0)==10){r=0;s=djc()|0}if(!r){n=s;break}}f[m>>2]=c;b[k>>0]=1;n=c}while(0);u=d;return n|0}function hlc(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;d=u;u=u+32|0;e=d+16|0;g=d+8|0;h=d+4|0;i=d;j=a+52|0;k=a+48|0;if(b[j>>0]|0){l=f[k>>2]|0;if(c){m=djc()|0;f[k>>2]=m;b[j>>0]=0;n=l}else n=l}else{l=f[a+44>>2]|0;j=(l|0)>1?l:1;l=a+32|0;m=0;while(1){if((m|0)>=(j|0)){o=9;break}p=qhc(f[l>>2]|0)|0;if((p|0)==-1){o=8;break}b[e+m>>0]=p;m=m+1|0}if((o|0)==8)q=djc()|0;else if((o|0)==9){do if(!(b[a+53>>0]|0)){m=a+40|0;p=a+36|0;r=g+1|0;s=j;a:while(1){t=f[m>>2]|0;v=t;w=f[v>>2]|0;x=f[v+4>>2]|0;v=f[p>>2]|0;y=e+s|0;switch(Ei[f[(f[v>>2]|0)+16>>2]&15](v,t,e,y,h,g,r,i)|0){case 3:{o=16;break a;break}case 2:{o=18;break a;break}case 1:break;default:break a}t=f[m>>2]|0;f[t>>2]=w;f[t+4>>2]=x;if((s|0)==8){o=18;break}x=qhc(f[l>>2]|0)|0;if((x|0)==-1){o=18;break}b[y>>0]=x;s=s+1|0}if((o|0)==16)b[g>>0]=b[e>>0]|0;else if((o|0)==18){z=djc()|0;break}A=s;o=19}else{b[g>>0]=b[e>>0]|0;A=j;o=19}while(0);b:do if((o|0)==19){c:do if(c){j=ejc(b[g>>0]|0)|0;f[k>>2]=j}else{j=A;do{if((j|0)<=0)break c;j=j+-1|0;i=ejc(b[e+j>>0]|0)|0}while((Vhc(i,f[l>>2]|0)|0)!=-1);z=djc()|0;break b}while(0);z=ejc(b[g>>0]|0)|0}while(0);q=z}n=q}u=d;return n|0}function ilc(a){a=a|0;olc(a);return}function jlc(a){a=a|0;ilc(a);fuc(a);return}function klc(a){a=a|0;if(a|0)bi[f[(f[a>>2]|0)+4>>2]&2047](a);return}function llc(a,c,d,e,f){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0;a=e;e=c;while(1){if((a|0)==(f|0)){g=7;break}if((e|0)==(d|0)){h=-1;break}c=b[e>>0]|0;i=b[a>>0]|0;if(c<<24>>24<i<<24>>24){h=-1;break}if(i<<24>>24<c<<24>>24){h=1;break}a=a+1|0;e=e+1|0}if((g|0)==7)h=(e|0)!=(d|0)&1;return h|0}function mlc(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0;c=u;u=u+16|0;g=c;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;h=e-d|0;if(h>>>0>4294967279)muc(a);if(h>>>0<11){b[a+11>>0]=h;i=a}else{j=h+16&-16;k=cuc(j)|0;f[a>>2]=k;f[a+8>>2]=j|-2147483648;f[a+4>>2]=h;i=k}k=d;d=i;while(1){if((k|0)==(e|0))break;$jc(d,k);k=k+1|0;d=d+1|0}b[g>>0]=0;$jc(i+h|0,g);u=c;return}function nlc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,f=0;a=0;e=c;while(1){if((e|0)==(d|0))break;c=(b[e>>0]|0)+(a<<4)|0;f=c&-268435456;a=(f>>>24|f)^c;e=e+1|0}return a|0}function olc(a){a=a|0;return}function plc(a){a=a|0;olc(a);return}function qlc(a){a=a|0;plc(a);fuc(a);return}function rlc(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0;a=d;d=b;while(1){if((a|0)==(e|0)){g=7;break}if((d|0)==(c|0)){h=-1;break}b=f[d>>2]|0;i=f[a>>2]|0;if((b|0)<(i|0)){h=-1;break}if((i|0)<(b|0)){h=1;break}a=a+4|0;d=d+4|0}if((g|0)==7)h=(d|0)!=(c|0)&1;return h|0}function slc(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0;c=u;u=u+16|0;g=c;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;h=e-d>>2;if(h>>>0>1073741807)muc(a);do if(h>>>0>=2){i=h+4&-4;if(i>>>0>1073741823)Re();else{j=cuc(i<<2)|0;f[a>>2]=j;f[a+8>>2]=i|-2147483648;f[a+4>>2]=h;k=d;l=j;break}}else{b[a+8+3>>0]=h;k=d;l=a}while(0);while(1){if((k|0)==(e|0))break;ulc(l,k);k=k+4|0;l=l+4|0}f[g>>2]=0;ulc(l,g);u=c;return}function tlc(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;a=0;d=b;while(1){if((d|0)==(c|0))break;b=(f[d>>2]|0)+(a<<4)|0;e=b&-268435456;a=(e>>>24|e)^b;d=d+4|0}return a|0}function ulc(a,b){a=a|0;b=b|0;f[a>>2]=f[b>>2];return}function vlc(a){a=a|0;olc(a);return}function wlc(a){a=a|0;olc(a);fuc(a);return}function xlc(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;i=u;u=u+48|0;j=i+40|0;k=i+16|0;l=i+8|0;m=i+12|0;n=i+4|0;o=i;if(!(f[e+4>>2]&1)){f[l>>2]=-1;p=f[(f[a>>2]|0)+16>>2]|0;f[m>>2]=f[c>>2];f[n>>2]=f[d>>2];f[k>>2]=f[m>>2];f[j>>2]=f[n>>2];n=Wf[p&127](a,k,j,e,g,l)|0;f[c>>2]=n;switch(f[l>>2]|0){case 0:{b[h>>0]=0;break}case 1:{b[h>>0]=1;break}default:{b[h>>0]=1;f[g>>2]=4}}q=f[c>>2]|0}else{dkc(j,e);l=Ilc(j,901876)|0;Jlc(j);dkc(j,e);e=Ilc(j,901892)|0;Jlc(j);yh[f[(f[e>>2]|0)+24>>2]&2047](k,e);yh[f[(f[e>>2]|0)+28>>2]&2047](k+12|0,e);f[o>>2]=f[d>>2];d=k+24|0;f[j>>2]=f[o>>2];o=(omc(c,j,k,d,l,g,1)|0)==(k|0)&1;b[h>>0]=o;o=f[c>>2]|0;c=d;do{c=c+-12|0;quc(c)}while((c|0)!=(k|0));q=o}u=i;return q|0}function ylc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0;h=u;u=u+16|0;i=h+12|0;j=h+8|0;k=h+4|0;l=h;f[k>>2]=f[b>>2];f[l>>2]=f[c>>2];f[j>>2]=f[k>>2];f[i>>2]=f[l>>2];l=mmc(a,j,i,d,e,g)|0;u=h;return l|0}function zlc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0;h=u;u=u+16|0;i=h+12|0;j=h+8|0;k=h+4|0;l=h;f[k>>2]=f[b>>2];f[l>>2]=f[c>>2];f[j>>2]=f[k>>2];f[i>>2]=f[l>>2];l=kmc(a,j,i,d,e,g)|0;u=h;return l|0}function Alc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0;h=u;u=u+16|0;i=h+12|0;j=h+8|0;k=h+4|0;l=h;f[k>>2]=f[b>>2];f[l>>2]=f[c>>2];f[j>>2]=f[k>>2];f[i>>2]=f[l>>2];l=imc(a,j,i,d,e,g)|0;u=h;return l|0}function Blc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0;h=u;u=u+16|0;i=h+12|0;j=h+8|0;k=h+4|0;l=h;f[k>>2]=f[b>>2];f[l>>2]=f[c>>2];f[j>>2]=f[k>>2];f[i>>2]=f[l>>2];l=gmc(a,j,i,d,e,g)|0;u=h;return l|0}function Clc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0;h=u;u=u+16|0;i=h+12|0;j=h+8|0;k=h+4|0;l=h;f[k>>2]=f[b>>2];f[l>>2]=f[c>>2];f[j>>2]=f[k>>2];f[i>>2]=f[l>>2];l=emc(a,j,i,d,e,g)|0;u=h;return l|0}function Dlc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0;h=u;u=u+16|0;i=h+12|0;j=h+8|0;k=h+4|0;l=h;f[k>>2]=f[b>>2];f[l>>2]=f[c>>2];f[j>>2]=f[k>>2];f[i>>2]=f[l>>2];l=amc(a,j,i,d,e,g)|0;u=h;return l|0}function Elc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0;h=u;u=u+16|0;i=h+12|0;j=h+8|0;k=h+4|0;l=h;f[k>>2]=f[b>>2];f[l>>2]=f[c>>2];f[j>>2]=f[k>>2];f[i>>2]=f[l>>2];l=_lc(a,j,i,d,e,g)|0;u=h;return l|0}function Flc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0;h=u;u=u+16|0;i=h+12|0;j=h+8|0;k=h+4|0;l=h;f[k>>2]=f[b>>2];f[l>>2]=f[c>>2];f[j>>2]=f[k>>2];f[i>>2]=f[l>>2];l=Ylc(a,j,i,d,e,g)|0;u=h;return l|0}function Glc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0;h=u;u=u+16|0;i=h+12|0;j=h+8|0;k=h+4|0;l=h;f[k>>2]=f[b>>2];f[l>>2]=f[c>>2];f[j>>2]=f[k>>2];f[i>>2]=f[l>>2];l=Tlc(a,j,i,d,e,g)|0;u=h;return l|0}function Hlc(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0;a=u;u=u+240|0;i=a;j=a+204|0;k=a+192|0;l=a+180|0;m=a+176|0;n=a+16|0;o=a+8|0;p=a+4|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;q=0;while(1){if((q|0)==3)break;f[k+(q<<2)>>2]=0;q=q+1|0}dkc(l,e);e=Ilc(l,901876)|0;Cg[f[(f[e>>2]|0)+32>>2]&127](e,527664,527690,j)|0;Jlc(l);f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;e=0;while(1){if((e|0)==3)break;f[l+(e<<2)>>2]=0;e=e+1|0}e=l+11|0;q=l+8|0;if((b[e>>0]|0)<0)r=(f[q>>2]&2147483647)+-1|0;else r=10;xuc(l,r,0);r=(b[e>>0]|0)<0?f[l>>2]|0:l;f[m>>2]=r;f[o>>2]=n;f[p>>2]=0;s=l+4|0;t=f[c>>2]|0;v=r;r=t;w=t;a:while(1){if(r){t=f[r+12>>2]|0;if((t|0)==(f[r+16>>2]|0))x=di[f[(f[r>>2]|0)+36>>2]&1023](r)|0;else x=ejc(b[t>>0]|0)|0;if(ckc(x,djc()|0)|0){f[c>>2]=0;y=0;z=0;A=1}else{y=r;z=w;A=0}}else{y=0;z=0;A=1}t=f[d>>2]|0;do if(t){B=f[t+12>>2]|0;if((B|0)==(f[t+16>>2]|0))C=di[f[(f[t>>2]|0)+36>>2]&1023](t)|0;else C=ejc(b[B>>0]|0)|0;if(!(ckc(C,djc()|0)|0))if(A){D=t;break}else{E=v;F=t;break a}else{f[d>>2]=0;G=22;break}}else G=22;while(0);if((G|0)==22){G=0;if(A){E=v;F=0;break}else D=0}t=b[e>>0]|0;B=t<<24>>24<0?f[s>>2]|0:t&255;if((f[m>>2]|0)==(v+B|0)){xuc(l,B<<1,0);if((b[e>>0]|0)<0)H=(f[q>>2]&2147483647)+-1|0;else H=10;xuc(l,H,0);t=(b[e>>0]|0)<0?f[l>>2]|0:l;f[m>>2]=t+B;I=t}else I=v;t=y+12|0;B=f[t>>2]|0;J=y+16|0;if((B|0)==(f[J>>2]|0))K=di[f[(f[y>>2]|0)+36>>2]&1023](y)|0;else K=ejc(b[B>>0]|0)|0;if(Klc(K&255,16,I,m,p,0,k,n,o,j)|0){E=I;F=D;break}B=f[t>>2]|0;if((B|0)==(f[J>>2]|0)){di[f[(f[y>>2]|0)+40>>2]&1023](y)|0;v=I;r=y;w=z;continue}else{f[t>>2]=B+1;ejc(b[B>>0]|0)|0;v=I;r=y;w=z;continue}}xuc(l,(f[m>>2]|0)-E|0,0);E=(b[e>>0]|0)<0?f[l>>2]|0:l;e=Llc()|0;f[i>>2]=h;if((Mlc(E,e,527697,i)|0)!=1)f[g>>2]=4;if(y){i=f[y+12>>2]|0;if((i|0)==(f[y+16>>2]|0))L=di[f[(f[z>>2]|0)+36>>2]&1023](y)|0;else L=ejc(b[i>>0]|0)|0;if(ckc(L,djc()|0)|0){f[c>>2]=0;M=1}else M=0}else M=1;do if(F){L=f[F+12>>2]|0;if((L|0)==(f[F+16>>2]|0))N=di[f[(f[F>>2]|0)+36>>2]&1023](F)|0;else N=ejc(b[L>>0]|0)|0;if(!(ckc(N,djc()|0)|0))if(M)break;else{G=51;break}else{f[d>>2]=0;G=49;break}}else G=49;while(0);if((G|0)==49?M:0)G=51;if((G|0)==51)f[g>>2]=f[g>>2]|2;g=f[c>>2]|0;quc(l);quc(k);u=a;return g|0}function Ilc(a,b){a=a|0;b=b|0;var c=0;c=f[a>>2]|0;return Olc(c,Nlc(b)|0)|0}function Jlc(a){a=a|0;Utc(f[a>>2]|0)|0;return}function Klc(a,c,d,e,g,h,i,j,k,l){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;m=f[e>>2]|0;n=(m|0)==(d|0);do if(n){o=(b[l+24>>0]|0)==a<<24>>24;if(!o?(b[l+25>>0]|0)!=a<<24>>24:0){p=5;break}f[e>>2]=d+1;b[d>>0]=o?43:45;f[g>>2]=0;q=0}else p=5;while(0);a:do if((p|0)==5){o=b[i+11>>0]|0;if(a<<24>>24==h<<24>>24?((o<<24>>24<0?f[i+4>>2]|0:o&255)|0)!=0:0){o=f[k>>2]|0;if((o-j|0)>=160){q=0;break}r=f[g>>2]|0;f[k>>2]=o+4;f[o>>2]=r;f[g>>2]=0;q=0;break}r=l+26|0;o=0;while(1){s=l+o|0;if((o|0)==26){t=r;break}if((b[s>>0]|0)==a<<24>>24){t=s;break}else o=o+1|0}o=t-l|0;if((o|0)>23)q=-1;else{r=527664+o|0;switch(c|0){case 10:case 8:{if((o|0)>=(c|0)){q=-1;break a}break}case 16:{if((o|0)>=22){if(n){q=-1;break a}if((m-d|0)>=3){q=-1;break a}if((b[m+-1>>0]|0)!=48){q=-1;break a}f[g>>2]=0;o=b[r>>0]|0;f[e>>2]=m+1;b[m>>0]=o;q=0;break a}break}default:{}}o=b[r>>0]|0;f[e>>2]=m+1;b[m>>0]=o;f[g>>2]=(f[g>>2]|0)+1;q=0}}while(0);return q|0}function Llc(){var a=0;if((b[544624]|0)==0?$yc(544624)|0:0){a=cgc(2147483647,527700,0)|0;f[225471]=a}return f[225471]|0}function Mlc(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0;e=u;u=u+16|0;g=e;f[g>>2]=d;d=fgc(b)|0;b=Bgc(a,c,g)|0;if(d|0)fgc(d)|0;u=e;return b|0}function Nlc(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=u;u=u+48|0;c=b+32|0;d=b+24|0;e=b;g=b+16|0;f[g>>2]=2020;f[g+4>>2]=0;f[c>>2]=f[g>>2];f[c+4>>2]=f[g+4>>2];Qlc(e,c,a);if((f[a>>2]|0)!=-1){f[c>>2]=e;f[d>>2]=c;buc(a,d,2021)}u=b;return (f[a+4>>2]|0)+-1|0}function Olc(a,b){a=a|0;b=b|0;return f[(f[a+8>>2]|0)+(b<<2)>>2]|0}function Plc(a){a=a|0;var b=0;b=f[225472]|0;f[225472]=b+1;f[a+4>>2]=b+1;return}function Qlc(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=f[b>>2]|0;e=f[b+4>>2]|0;f[a>>2]=c;f[a+4>>2]=d;f[a+8>>2]=e;return}function Rlc(a){a=a|0;Slc(f[f[a>>2]>>2]|0);return}function Slc(a){a=a|0;var b=0,c=0,d=0,e=0;b=f[a+4>>2]|0;c=f[a+8>>2]|0;d=(f[a>>2]|0)+(c>>1)|0;if(!(c&1))e=b;else e=f[(f[d>>2]|0)+b>>2]|0;bi[e&2047](d);return}function Tlc(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0.0,Q=0,R=0,S=0;a=u;u=u+240|0;i=a+200|0;j=a+199|0;k=a+198|0;l=a+184|0;m=a+172|0;n=a+168|0;o=a+8|0;q=a+4|0;r=a;s=a+197|0;t=a+196|0;Ulc(l,e,i,j,k);f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;e=0;while(1){if((e|0)==3)break;f[m+(e<<2)>>2]=0;e=e+1|0}e=m+11|0;v=m+8|0;if((b[e>>0]|0)<0)w=(f[v>>2]&2147483647)+-1|0;else w=10;xuc(m,w,0);w=(b[e>>0]|0)<0?f[m>>2]|0:m;f[n>>2]=w;f[q>>2]=o;f[r>>2]=0;b[s>>0]=1;b[t>>0]=69;x=m+4|0;y=f[c>>2]|0;z=w;w=y;A=y;a:while(1){if(w){y=f[w+12>>2]|0;if((y|0)==(f[w+16>>2]|0))B=di[f[(f[w>>2]|0)+36>>2]&1023](w)|0;else B=ejc(b[y>>0]|0)|0;if(ckc(B,djc()|0)|0){f[c>>2]=0;C=0;D=0;E=1}else{C=w;D=A;E=0}}else{C=0;D=0;E=1}y=f[d>>2]|0;do if(y){F=f[y+12>>2]|0;if((F|0)==(f[y+16>>2]|0))G=di[f[(f[y>>2]|0)+36>>2]&1023](y)|0;else G=ejc(b[F>>0]|0)|0;if(!(ckc(G,djc()|0)|0))if(E){H=y;break}else{I=z;J=y;break a}else{f[d>>2]=0;K=19;break}}else K=19;while(0);if((K|0)==19){K=0;if(E){I=z;J=0;break}else H=0}y=b[e>>0]|0;F=y<<24>>24<0?f[x>>2]|0:y&255;if((f[n>>2]|0)==(z+F|0)){xuc(m,F<<1,0);if((b[e>>0]|0)<0)L=(f[v>>2]&2147483647)+-1|0;else L=10;xuc(m,L,0);y=(b[e>>0]|0)<0?f[m>>2]|0:m;f[n>>2]=y+F;M=y}else M=z;y=C+12|0;F=f[y>>2]|0;N=C+16|0;if((F|0)==(f[N>>2]|0))O=di[f[(f[C>>2]|0)+36>>2]&1023](C)|0;else O=ejc(b[F>>0]|0)|0;if(Vlc(O&255,s,t,M,n,b[j>>0]|0,b[k>>0]|0,l,o,q,r,i)|0){I=M;J=H;break}F=f[y>>2]|0;if((F|0)==(f[N>>2]|0)){di[f[(f[C>>2]|0)+40>>2]&1023](C)|0;z=M;w=C;A=D;continue}else{f[y>>2]=F+1;ejc(b[F>>0]|0)|0;z=M;w=C;A=D;continue}}A=b[l+11>>0]|0;if(!((b[s>>0]|0)==0?1:((A<<24>>24<0?f[l+4>>2]|0:A&255)|0)==0)?(A=f[q>>2]|0,(A-o|0)<160):0){s=f[r>>2]|0;f[q>>2]=A+4;f[A>>2]=s}P=+Wlc(I,f[n>>2]|0,g);p[h>>3]=P;Xlc(l,o,f[q>>2]|0,g);if(C){q=f[C+12>>2]|0;if((q|0)==(f[C+16>>2]|0))Q=di[f[(f[D>>2]|0)+36>>2]&1023](C)|0;else Q=ejc(b[q>>0]|0)|0;if(ckc(Q,djc()|0)|0){f[c>>2]=0;R=1}else R=0}else R=1;do if(J){Q=f[J+12>>2]|0;if((Q|0)==(f[J+16>>2]|0))S=di[f[(f[J>>2]|0)+36>>2]&1023](J)|0;else S=ejc(b[Q>>0]|0)|0;if(!(ckc(S,djc()|0)|0))if(R)break;else{K=49;break}else{f[d>>2]=0;K=47;break}}else K=47;while(0);if((K|0)==47?R:0)K=49;if((K|0)==49)f[g>>2]=f[g>>2]|2;g=f[c>>2]|0;quc(m);quc(l);u=a;return g|0}function Ulc(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0;h=u;u=u+16|0;i=h;dkc(i,c);c=Ilc(i,901876)|0;Cg[f[(f[c>>2]|0)+32>>2]&127](c,527664,527696,d)|0;d=Ilc(i,901892)|0;c=di[f[(f[d>>2]|0)+12>>2]&1023](d)|0;b[e>>0]=c;c=di[f[(f[d>>2]|0)+16>>2]&1023](d)|0;b[g>>0]=c;yh[f[(f[d>>2]|0)+20>>2]&2047](a,d);Jlc(i);u=h;return}function Vlc(a,c,d,e,g,h,i,j,k,l,m,n){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,p=0,q=0,r=0,s=0,t=0;o=k;a:do if(a<<24>>24==h<<24>>24)if(b[c>>0]|0){b[c>>0]=0;k=f[g>>2]|0;f[g>>2]=k+1;b[k>>0]=46;k=b[j+11>>0]|0;if(((k<<24>>24<0?f[j+4>>2]|0:k&255)|0)!=0?(k=f[l>>2]|0,(k-o|0)<160):0){p=f[m>>2]|0;f[l>>2]=k+4;f[k>>2]=p;q=0}else q=0}else q=-1;else{if(a<<24>>24==i<<24>>24?(p=b[j+11>>0]|0,(p<<24>>24<0?f[j+4>>2]|0:p&255)|0):0){if(!(b[c>>0]|0)){q=-1;break}p=f[l>>2]|0;if((p-o|0)>=160){q=0;break}k=f[m>>2]|0;f[l>>2]=p+4;f[p>>2]=k;f[m>>2]=0;q=0;break}k=n+32|0;p=0;while(1){r=n+p|0;if((p|0)==32){s=k;break}if((b[r>>0]|0)==a<<24>>24){s=r;break}else p=p+1|0}p=s-n|0;if((p|0)>31)q=-1;else{k=b[527664+p>>0]|0;switch(p|0){case 24:case 25:{r=f[g>>2]|0;if((r|0)!=(e|0)?(b[r+-1>>0]&95)!=(b[d>>0]&127):0){q=-1;break a}f[g>>2]=r+1;b[r>>0]=k;q=0;break a;break}case 23:case 22:{b[d>>0]=80;r=f[g>>2]|0;f[g>>2]=r+1;b[r>>0]=k;q=0;break a;break}default:{r=k&95;if((((r|0)==(b[d>>0]|0)?(b[d>>0]=r|128,b[c>>0]|0):0)?(b[c>>0]=0,r=b[j+11>>0]|0,(r<<24>>24<0?f[j+4>>2]|0:r&255)|0):0)?(r=f[l>>2]|0,(r-o|0)<160):0){t=f[m>>2]|0;f[l>>2]=r+4;f[r>>2]=t}t=f[g>>2]|0;f[g>>2]=t+1;b[t>>0]=k;if((p|0)>21){q=0;break a}f[m>>2]=(f[m>>2]|0)+1;q=0;break a}}}}while(0);return q|0}function Wlc(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0.0,h=0,i=0,j=0.0,k=0.0,l=0,m=0.0;d=u;u=u+16|0;e=d;if((a|0)==(b|0)){f[c>>2]=4;g=0.0}else{h=Bec()|0;i=f[h>>2]|0;h=Bec()|0;f[h>>2]=0;j=+ohc(a,e,Llc()|0);a=Bec()|0;h=f[a>>2]|0;if(!h){a=Bec()|0;f[a>>2]=i}if((f[e>>2]|0)==(b|0))if((h|0)==34){k=j;l=6}else m=j;else{k=0.0;l=6}if((l|0)==6){f[c>>2]=4;m=k}g=m}u=d;return +g}function Xlc(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;g=b[a+11>>0]|0;h=g<<24>>24<0;i=a+4|0;j=f[i>>2]|0;k=g&255;do if((h?j:k)|0){if((c|0)==(d|0))l=j;else{g=d;m=c;while(1){n=g+-4|0;if(m>>>0>=n>>>0)break;o=f[m>>2]|0;f[m>>2]=f[n>>2];f[n>>2]=o;g=n;m=m+4|0}l=f[i>>2]|0}m=h?f[a>>2]|0:a;g=d+-4|0;n=m+(h?l:k)|0;o=c;p=m;while(1){q=b[p>>0]|0;r=q<<24>>24>0&q<<24>>24!=127;if(o>>>0>=g>>>0)break;if(r?(q<<24>>24|0)!=(f[o>>2]|0):0){s=10;break}o=o+4|0;p=(n-p|0)>1?p+1|0:p}if((s|0)==10){f[e>>2]=4;break}if(r?((f[g>>2]|0)+-1|0)>>>0>=q<<24>>24>>>0:0)f[e>>2]=4}while(0);return}function Ylc(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0.0,Q=0,R=0,S=0;a=u;u=u+240|0;i=a+200|0;j=a+199|0;k=a+198|0;l=a+184|0;m=a+172|0;n=a+168|0;o=a+8|0;q=a+4|0;r=a;s=a+197|0;t=a+196|0;Ulc(l,e,i,j,k);f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;e=0;while(1){if((e|0)==3)break;f[m+(e<<2)>>2]=0;e=e+1|0}e=m+11|0;v=m+8|0;if((b[e>>0]|0)<0)w=(f[v>>2]&2147483647)+-1|0;else w=10;xuc(m,w,0);w=(b[e>>0]|0)<0?f[m>>2]|0:m;f[n>>2]=w;f[q>>2]=o;f[r>>2]=0;b[s>>0]=1;b[t>>0]=69;x=m+4|0;y=f[c>>2]|0;z=w;w=y;A=y;a:while(1){if(w){y=f[w+12>>2]|0;if((y|0)==(f[w+16>>2]|0))B=di[f[(f[w>>2]|0)+36>>2]&1023](w)|0;else B=ejc(b[y>>0]|0)|0;if(ckc(B,djc()|0)|0){f[c>>2]=0;C=0;D=0;E=1}else{C=w;D=A;E=0}}else{C=0;D=0;E=1}y=f[d>>2]|0;do if(y){F=f[y+12>>2]|0;if((F|0)==(f[y+16>>2]|0))G=di[f[(f[y>>2]|0)+36>>2]&1023](y)|0;else G=ejc(b[F>>0]|0)|0;if(!(ckc(G,djc()|0)|0))if(E){H=y;break}else{I=z;J=y;break a}else{f[d>>2]=0;K=19;break}}else K=19;while(0);if((K|0)==19){K=0;if(E){I=z;J=0;break}else H=0}y=b[e>>0]|0;F=y<<24>>24<0?f[x>>2]|0:y&255;if((f[n>>2]|0)==(z+F|0)){xuc(m,F<<1,0);if((b[e>>0]|0)<0)L=(f[v>>2]&2147483647)+-1|0;else L=10;xuc(m,L,0);y=(b[e>>0]|0)<0?f[m>>2]|0:m;f[n>>2]=y+F;M=y}else M=z;y=C+12|0;F=f[y>>2]|0;N=C+16|0;if((F|0)==(f[N>>2]|0))O=di[f[(f[C>>2]|0)+36>>2]&1023](C)|0;else O=ejc(b[F>>0]|0)|0;if(Vlc(O&255,s,t,M,n,b[j>>0]|0,b[k>>0]|0,l,o,q,r,i)|0){I=M;J=H;break}F=f[y>>2]|0;if((F|0)==(f[N>>2]|0)){di[f[(f[C>>2]|0)+40>>2]&1023](C)|0;z=M;w=C;A=D;continue}else{f[y>>2]=F+1;ejc(b[F>>0]|0)|0;z=M;w=C;A=D;continue}}A=b[l+11>>0]|0;if(!((b[s>>0]|0)==0?1:((A<<24>>24<0?f[l+4>>2]|0:A&255)|0)==0)?(A=f[q>>2]|0,(A-o|0)<160):0){s=f[r>>2]|0;f[q>>2]=A+4;f[A>>2]=s}P=+Zlc(I,f[n>>2]|0,g);p[h>>3]=P;Xlc(l,o,f[q>>2]|0,g);if(C){q=f[C+12>>2]|0;if((q|0)==(f[C+16>>2]|0))Q=di[f[(f[D>>2]|0)+36>>2]&1023](C)|0;else Q=ejc(b[q>>0]|0)|0;if(ckc(Q,djc()|0)|0){f[c>>2]=0;R=1}else R=0}else R=1;do if(J){Q=f[J+12>>2]|0;if((Q|0)==(f[J+16>>2]|0))S=di[f[(f[J>>2]|0)+36>>2]&1023](J)|0;else S=ejc(b[Q>>0]|0)|0;if(!(ckc(S,djc()|0)|0))if(R)break;else{K=49;break}else{f[d>>2]=0;K=47;break}}else K=47;while(0);if((K|0)==47?R:0)K=49;if((K|0)==49)f[g>>2]=f[g>>2]|2;g=f[c>>2]|0;quc(m);quc(l);u=a;return g|0}function Zlc(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0.0,h=0,i=0,j=0.0,k=0.0,l=0,m=0.0;d=u;u=u+16|0;e=d;if((a|0)==(b|0)){f[c>>2]=4;g=0.0}else{h=Bec()|0;i=f[h>>2]|0;h=Bec()|0;f[h>>2]=0;j=+nhc(a,e,Llc()|0);a=Bec()|0;h=f[a>>2]|0;if(!h){a=Bec()|0;f[a>>2]=i}if((f[e>>2]|0)==(b|0))if((h|0)==34){k=j;l=6}else m=j;else{k=0.0;l=6}if((l|0)==6){f[c>>2]=4;m=k}g=m}u=d;return +g}function _lc(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0.0,Q=0,R=0,S=0;a=u;u=u+240|0;i=a+200|0;j=a+199|0;k=a+198|0;l=a+184|0;m=a+172|0;o=a+168|0;p=a+8|0;q=a+4|0;r=a;s=a+197|0;t=a+196|0;Ulc(l,e,i,j,k);f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;e=0;while(1){if((e|0)==3)break;f[m+(e<<2)>>2]=0;e=e+1|0}e=m+11|0;v=m+8|0;if((b[e>>0]|0)<0)w=(f[v>>2]&2147483647)+-1|0;else w=10;xuc(m,w,0);w=(b[e>>0]|0)<0?f[m>>2]|0:m;f[o>>2]=w;f[q>>2]=p;f[r>>2]=0;b[s>>0]=1;b[t>>0]=69;x=m+4|0;y=f[c>>2]|0;z=w;w=y;A=y;a:while(1){if(w){y=f[w+12>>2]|0;if((y|0)==(f[w+16>>2]|0))B=di[f[(f[w>>2]|0)+36>>2]&1023](w)|0;else B=ejc(b[y>>0]|0)|0;if(ckc(B,djc()|0)|0){f[c>>2]=0;C=0;D=0;E=1}else{C=w;D=A;E=0}}else{C=0;D=0;E=1}y=f[d>>2]|0;do if(y){F=f[y+12>>2]|0;if((F|0)==(f[y+16>>2]|0))G=di[f[(f[y>>2]|0)+36>>2]&1023](y)|0;else G=ejc(b[F>>0]|0)|0;if(!(ckc(G,djc()|0)|0))if(E){H=y;break}else{I=z;J=y;break a}else{f[d>>2]=0;K=19;break}}else K=19;while(0);if((K|0)==19){K=0;if(E){I=z;J=0;break}else H=0}y=b[e>>0]|0;F=y<<24>>24<0?f[x>>2]|0:y&255;if((f[o>>2]|0)==(z+F|0)){xuc(m,F<<1,0);if((b[e>>0]|0)<0)L=(f[v>>2]&2147483647)+-1|0;else L=10;xuc(m,L,0);y=(b[e>>0]|0)<0?f[m>>2]|0:m;f[o>>2]=y+F;M=y}else M=z;y=C+12|0;F=f[y>>2]|0;N=C+16|0;if((F|0)==(f[N>>2]|0))O=di[f[(f[C>>2]|0)+36>>2]&1023](C)|0;else O=ejc(b[F>>0]|0)|0;if(Vlc(O&255,s,t,M,o,b[j>>0]|0,b[k>>0]|0,l,p,q,r,i)|0){I=M;J=H;break}F=f[y>>2]|0;if((F|0)==(f[N>>2]|0)){di[f[(f[C>>2]|0)+40>>2]&1023](C)|0;z=M;w=C;A=D;continue}else{f[y>>2]=F+1;ejc(b[F>>0]|0)|0;z=M;w=C;A=D;continue}}A=b[l+11>>0]|0;if(!((b[s>>0]|0)==0?1:((A<<24>>24<0?f[l+4>>2]|0:A&255)|0)==0)?(A=f[q>>2]|0,(A-p|0)<160):0){s=f[r>>2]|0;f[q>>2]=A+4;f[A>>2]=s}P=+$lc(I,f[o>>2]|0,g);n[h>>2]=P;Xlc(l,p,f[q>>2]|0,g);if(C){q=f[C+12>>2]|0;if((q|0)==(f[C+16>>2]|0))Q=di[f[(f[D>>2]|0)+36>>2]&1023](C)|0;else Q=ejc(b[q>>0]|0)|0;if(ckc(Q,djc()|0)|0){f[c>>2]=0;R=1}else R=0}else R=1;do if(J){Q=f[J+12>>2]|0;if((Q|0)==(f[J+16>>2]|0))S=di[f[(f[J>>2]|0)+36>>2]&1023](J)|0;else S=ejc(b[Q>>0]|0)|0;if(!(ckc(S,djc()|0)|0))if(R)break;else{K=49;break}else{f[d>>2]=0;K=47;break}}else K=47;while(0);if((K|0)==47?R:0)K=49;if((K|0)==49)f[g>>2]=f[g>>2]|2;g=f[c>>2]|0;quc(m);quc(l);u=a;return g|0}function $lc(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0.0,h=0,i=0,j=0.0,k=0.0,l=0,m=0.0;d=u;u=u+16|0;e=d;if((a|0)==(b|0)){f[c>>2]=4;g=0.0}else{h=Bec()|0;i=f[h>>2]|0;h=Bec()|0;f[h>>2]=0;j=+mhc(a,e,Llc()|0);a=Bec()|0;h=f[a>>2]|0;if(!h){a=Bec()|0;f[a>>2]=i}if((f[e>>2]|0)==(b|0))if((h|0)==34){k=j;l=6}else m=j;else{k=0.0;l=6}if((l|0)==6){f[c>>2]=4;m=k}g=m}u=d;return +g}function amc(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0;a=u;u=u+224|0;i=a+198|0;j=a+196|0;k=a+184|0;l=a+172|0;m=a+168|0;n=a+8|0;o=a+4|0;p=a;q=bmc(e)|0;cmc(k,e,i,j);f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;e=0;while(1){if((e|0)==3)break;f[l+(e<<2)>>2]=0;e=e+1|0}e=l+11|0;r=l+8|0;if((b[e>>0]|0)<0)s=(f[r>>2]&2147483647)+-1|0;else s=10;xuc(l,s,0);s=(b[e>>0]|0)<0?f[l>>2]|0:l;f[m>>2]=s;f[o>>2]=n;f[p>>2]=0;t=l+4|0;v=f[c>>2]|0;w=s;s=v;x=v;a:while(1){if(s){v=f[s+12>>2]|0;if((v|0)==(f[s+16>>2]|0))y=di[f[(f[s>>2]|0)+36>>2]&1023](s)|0;else y=ejc(b[v>>0]|0)|0;if(ckc(y,djc()|0)|0){f[c>>2]=0;z=0;A=0;B=1}else{z=s;A=x;B=0}}else{z=0;A=0;B=1}v=f[d>>2]|0;do if(v){C=f[v+12>>2]|0;if((C|0)==(f[v+16>>2]|0))D=di[f[(f[v>>2]|0)+36>>2]&1023](v)|0;else D=ejc(b[C>>0]|0)|0;if(!(ckc(D,djc()|0)|0))if(B){E=v;break}else{F=w;G=v;break a}else{f[d>>2]=0;H=19;break}}else H=19;while(0);if((H|0)==19){H=0;if(B){F=w;G=0;break}else E=0}v=b[e>>0]|0;C=v<<24>>24<0?f[t>>2]|0:v&255;if((f[m>>2]|0)==(w+C|0)){xuc(l,C<<1,0);if((b[e>>0]|0)<0)I=(f[r>>2]&2147483647)+-1|0;else I=10;xuc(l,I,0);v=(b[e>>0]|0)<0?f[l>>2]|0:l;f[m>>2]=v+C;K=v}else K=w;v=z+12|0;C=f[v>>2]|0;L=z+16|0;if((C|0)==(f[L>>2]|0))M=di[f[(f[z>>2]|0)+36>>2]&1023](z)|0;else M=ejc(b[C>>0]|0)|0;if(Klc(M&255,q,K,m,p,b[j>>0]|0,k,n,o,i)|0){F=K;G=E;break}C=f[v>>2]|0;if((C|0)==(f[L>>2]|0)){di[f[(f[z>>2]|0)+40>>2]&1023](z)|0;w=K;s=z;x=A;continue}else{f[v>>2]=C+1;ejc(b[C>>0]|0)|0;w=K;s=z;x=A;continue}}x=b[k+11>>0]|0;if((x<<24>>24<0?f[k+4>>2]|0:x&255)|0?(x=f[o>>2]|0,(x-n|0)<160):0){s=f[p>>2]|0;f[o>>2]=x+4;f[x>>2]=s}s=dmc(F,f[m>>2]|0,g,q)|0;q=h;f[q>>2]=s;f[q+4>>2]=J;Xlc(k,n,f[o>>2]|0,g);if(z){o=f[z+12>>2]|0;if((o|0)==(f[z+16>>2]|0))N=di[f[(f[A>>2]|0)+36>>2]&1023](z)|0;else N=ejc(b[o>>0]|0)|0;if(ckc(N,djc()|0)|0){f[c>>2]=0;O=1}else O=0}else O=1;do if(G){N=f[G+12>>2]|0;if((N|0)==(f[G+16>>2]|0))P=di[f[(f[G>>2]|0)+36>>2]&1023](G)|0;else P=ejc(b[N>>0]|0)|0;if(!(ckc(P,djc()|0)|0))if(O)break;else{H=49;break}else{f[d>>2]=0;H=47;break}}else H=47;while(0);if((H|0)==47?O:0)H=49;if((H|0)==49)f[g>>2]=f[g>>2]|2;g=f[c>>2]|0;quc(l);quc(k);u=a;return g|0}function bmc(a){a=a|0;var b=0;switch(f[a+4>>2]&74){case 64:{b=8;break}case 8:{b=16;break}case 0:{b=0;break}default:b=10}return b|0}function cmc(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0;g=u;u=u+16|0;h=g;dkc(h,c);c=Ilc(h,901876)|0;Cg[f[(f[c>>2]|0)+32>>2]&127](c,527664,527690,d)|0;d=Ilc(h,901892)|0;c=di[f[(f[d>>2]|0)+16>>2]&1023](d)|0;b[e>>0]=c;yh[f[(f[d>>2]|0)+20>>2]&2047](a,d);Jlc(h);u=g;return}function dmc(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;g=u;u=u+16|0;h=g;do if((a|0)==(c|0)){f[d>>2]=4;i=0;j=0}else{if((b[a>>0]|0)==45){f[d>>2]=4;i=0;j=0;break}k=Bec()|0;l=f[k>>2]|0;k=Bec()|0;f[k>>2]=0;k=Wec(a,h,e,Llc()|0)|0;m=J;n=Bec()|0;o=f[n>>2]|0;if(!o){n=Bec()|0;f[n>>2]=l}if((f[h>>2]|0)==(c|0))if((o|0)==34){p=-1;q=-1;r=8}else{s=k;t=m}else{p=0;q=0;r=8}if((r|0)==8){f[d>>2]=4;s=p;t=q}i=t;j=s}while(0);J=i;u=g;return j|0}function emc(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0;a=u;u=u+224|0;i=a+198|0;j=a+196|0;k=a+184|0;l=a+172|0;m=a+168|0;n=a+8|0;o=a+4|0;p=a;q=bmc(e)|0;cmc(k,e,i,j);f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;e=0;while(1){if((e|0)==3)break;f[l+(e<<2)>>2]=0;e=e+1|0}e=l+11|0;r=l+8|0;if((b[e>>0]|0)<0)s=(f[r>>2]&2147483647)+-1|0;else s=10;xuc(l,s,0);s=(b[e>>0]|0)<0?f[l>>2]|0:l;f[m>>2]=s;f[o>>2]=n;f[p>>2]=0;t=l+4|0;v=f[c>>2]|0;w=s;s=v;x=v;a:while(1){if(s){v=f[s+12>>2]|0;if((v|0)==(f[s+16>>2]|0))y=di[f[(f[s>>2]|0)+36>>2]&1023](s)|0;else y=ejc(b[v>>0]|0)|0;if(ckc(y,djc()|0)|0){f[c>>2]=0;z=0;A=0;B=1}else{z=s;A=x;B=0}}else{z=0;A=0;B=1}v=f[d>>2]|0;do if(v){C=f[v+12>>2]|0;if((C|0)==(f[v+16>>2]|0))D=di[f[(f[v>>2]|0)+36>>2]&1023](v)|0;else D=ejc(b[C>>0]|0)|0;if(!(ckc(D,djc()|0)|0))if(B){E=v;break}else{F=w;G=v;break a}else{f[d>>2]=0;H=19;break}}else H=19;while(0);if((H|0)==19){H=0;if(B){F=w;G=0;break}else E=0}v=b[e>>0]|0;C=v<<24>>24<0?f[t>>2]|0:v&255;if((f[m>>2]|0)==(w+C|0)){xuc(l,C<<1,0);if((b[e>>0]|0)<0)I=(f[r>>2]&2147483647)+-1|0;else I=10;xuc(l,I,0);v=(b[e>>0]|0)<0?f[l>>2]|0:l;f[m>>2]=v+C;J=v}else J=w;v=z+12|0;C=f[v>>2]|0;K=z+16|0;if((C|0)==(f[K>>2]|0))L=di[f[(f[z>>2]|0)+36>>2]&1023](z)|0;else L=ejc(b[C>>0]|0)|0;if(Klc(L&255,q,J,m,p,b[j>>0]|0,k,n,o,i)|0){F=J;G=E;break}C=f[v>>2]|0;if((C|0)==(f[K>>2]|0)){di[f[(f[z>>2]|0)+40>>2]&1023](z)|0;w=J;s=z;x=A;continue}else{f[v>>2]=C+1;ejc(b[C>>0]|0)|0;w=J;s=z;x=A;continue}}x=b[k+11>>0]|0;if((x<<24>>24<0?f[k+4>>2]|0:x&255)|0?(x=f[o>>2]|0,(x-n|0)<160):0){s=f[p>>2]|0;f[o>>2]=x+4;f[x>>2]=s}s=fmc(F,f[m>>2]|0,g,q)|0;f[h>>2]=s;Xlc(k,n,f[o>>2]|0,g);if(z){o=f[z+12>>2]|0;if((o|0)==(f[z+16>>2]|0))M=di[f[(f[A>>2]|0)+36>>2]&1023](z)|0;else M=ejc(b[o>>0]|0)|0;if(ckc(M,djc()|0)|0){f[c>>2]=0;N=1}else N=0}else N=1;do if(G){M=f[G+12>>2]|0;if((M|0)==(f[G+16>>2]|0))O=di[f[(f[G>>2]|0)+36>>2]&1023](G)|0;else O=ejc(b[M>>0]|0)|0;if(!(ckc(O,djc()|0)|0))if(N)break;else{H=49;break}else{f[d>>2]=0;H=47;break}}else H=47;while(0);if((H|0)==47?N:0)H=49;if((H|0)==49)f[g>>2]=f[g>>2]|2;g=f[c>>2]|0;quc(l);quc(k);u=a;return g|0}function fmc(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;g=u;u=u+16|0;h=g;do if((a|0)==(c|0)){f[d>>2]=4;i=0}else{if((b[a>>0]|0)==45){f[d>>2]=4;i=0;break}j=Bec()|0;k=f[j>>2]|0;j=Bec()|0;f[j>>2]=0;j=Wec(a,h,e,Llc()|0)|0;l=J;m=Bec()|0;n=f[m>>2]|0;if(!n){m=Bec()|0;f[m>>2]=k}do if((f[h>>2]|0)==(c|0))if(l>>>0>0|(l|0)==0&j>>>0>4294967295|(n|0)==34){f[d>>2]=4;o=-1;break}else{o=j;break}else{f[d>>2]=4;o=0}while(0);i=o}while(0);u=g;return i|0}function gmc(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0;a=u;u=u+224|0;i=a+198|0;j=a+196|0;k=a+184|0;l=a+172|0;m=a+168|0;n=a+8|0;o=a+4|0;p=a;q=bmc(e)|0;cmc(k,e,i,j);f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;e=0;while(1){if((e|0)==3)break;f[l+(e<<2)>>2]=0;e=e+1|0}e=l+11|0;r=l+8|0;if((b[e>>0]|0)<0)s=(f[r>>2]&2147483647)+-1|0;else s=10;xuc(l,s,0);s=(b[e>>0]|0)<0?f[l>>2]|0:l;f[m>>2]=s;f[o>>2]=n;f[p>>2]=0;t=l+4|0;v=f[c>>2]|0;w=s;s=v;x=v;a:while(1){if(s){v=f[s+12>>2]|0;if((v|0)==(f[s+16>>2]|0))y=di[f[(f[s>>2]|0)+36>>2]&1023](s)|0;else y=ejc(b[v>>0]|0)|0;if(ckc(y,djc()|0)|0){f[c>>2]=0;z=0;A=0;B=1}else{z=s;A=x;B=0}}else{z=0;A=0;B=1}v=f[d>>2]|0;do if(v){C=f[v+12>>2]|0;if((C|0)==(f[v+16>>2]|0))D=di[f[(f[v>>2]|0)+36>>2]&1023](v)|0;else D=ejc(b[C>>0]|0)|0;if(!(ckc(D,djc()|0)|0))if(B){E=v;break}else{F=w;G=v;break a}else{f[d>>2]=0;H=19;break}}else H=19;while(0);if((H|0)==19){H=0;if(B){F=w;G=0;break}else E=0}v=b[e>>0]|0;C=v<<24>>24<0?f[t>>2]|0:v&255;if((f[m>>2]|0)==(w+C|0)){xuc(l,C<<1,0);if((b[e>>0]|0)<0)I=(f[r>>2]&2147483647)+-1|0;else I=10;xuc(l,I,0);v=(b[e>>0]|0)<0?f[l>>2]|0:l;f[m>>2]=v+C;J=v}else J=w;v=z+12|0;C=f[v>>2]|0;K=z+16|0;if((C|0)==(f[K>>2]|0))L=di[f[(f[z>>2]|0)+36>>2]&1023](z)|0;else L=ejc(b[C>>0]|0)|0;if(Klc(L&255,q,J,m,p,b[j>>0]|0,k,n,o,i)|0){F=J;G=E;break}C=f[v>>2]|0;if((C|0)==(f[K>>2]|0)){di[f[(f[z>>2]|0)+40>>2]&1023](z)|0;w=J;s=z;x=A;continue}else{f[v>>2]=C+1;ejc(b[C>>0]|0)|0;w=J;s=z;x=A;continue}}x=b[k+11>>0]|0;if((x<<24>>24<0?f[k+4>>2]|0:x&255)|0?(x=f[o>>2]|0,(x-n|0)<160):0){s=f[p>>2]|0;f[o>>2]=x+4;f[x>>2]=s}s=hmc(F,f[m>>2]|0,g,q)|0;f[h>>2]=s;Xlc(k,n,f[o>>2]|0,g);if(z){o=f[z+12>>2]|0;if((o|0)==(f[z+16>>2]|0))M=di[f[(f[A>>2]|0)+36>>2]&1023](z)|0;else M=ejc(b[o>>0]|0)|0;if(ckc(M,djc()|0)|0){f[c>>2]=0;N=1}else N=0}else N=1;do if(G){M=f[G+12>>2]|0;if((M|0)==(f[G+16>>2]|0))O=di[f[(f[G>>2]|0)+36>>2]&1023](G)|0;else O=ejc(b[M>>0]|0)|0;if(!(ckc(O,djc()|0)|0))if(N)break;else{H=49;break}else{f[d>>2]=0;H=47;break}}else H=47;while(0);if((H|0)==47?N:0)H=49;if((H|0)==49)f[g>>2]=f[g>>2]|2;g=f[c>>2]|0;quc(l);quc(k);u=a;return g|0}function hmc(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;g=u;u=u+16|0;h=g;do if((a|0)==(c|0)){f[d>>2]=4;i=0}else{if((b[a>>0]|0)==45){f[d>>2]=4;i=0;break}j=Bec()|0;k=f[j>>2]|0;j=Bec()|0;f[j>>2]=0;j=Wec(a,h,e,Llc()|0)|0;l=J;m=Bec()|0;n=f[m>>2]|0;if(!n){m=Bec()|0;f[m>>2]=k}do if((f[h>>2]|0)==(c|0))if(l>>>0>0|(l|0)==0&j>>>0>4294967295|(n|0)==34){f[d>>2]=4;o=-1;break}else{o=j;break}else{f[d>>2]=4;o=0}while(0);i=o}while(0);u=g;return i|0}function imc(a,c,e,g,h,i){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0;a=u;u=u+224|0;j=a+198|0;k=a+196|0;l=a+184|0;m=a+172|0;n=a+168|0;o=a+8|0;p=a+4|0;q=a;r=bmc(g)|0;cmc(l,g,j,k);f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;g=0;while(1){if((g|0)==3)break;f[m+(g<<2)>>2]=0;g=g+1|0}g=m+11|0;s=m+8|0;if((b[g>>0]|0)<0)t=(f[s>>2]&2147483647)+-1|0;else t=10;xuc(m,t,0);t=(b[g>>0]|0)<0?f[m>>2]|0:m;f[n>>2]=t;f[p>>2]=o;f[q>>2]=0;v=m+4|0;w=f[c>>2]|0;x=t;t=w;y=w;a:while(1){if(t){w=f[t+12>>2]|0;if((w|0)==(f[t+16>>2]|0))z=di[f[(f[t>>2]|0)+36>>2]&1023](t)|0;else z=ejc(b[w>>0]|0)|0;if(ckc(z,djc()|0)|0){f[c>>2]=0;A=0;B=0;C=1}else{A=t;B=y;C=0}}else{A=0;B=0;C=1}w=f[e>>2]|0;do if(w){D=f[w+12>>2]|0;if((D|0)==(f[w+16>>2]|0))E=di[f[(f[w>>2]|0)+36>>2]&1023](w)|0;else E=ejc(b[D>>0]|0)|0;if(!(ckc(E,djc()|0)|0))if(C){F=w;break}else{G=x;H=w;break a}else{f[e>>2]=0;I=19;break}}else I=19;while(0);if((I|0)==19){I=0;if(C){G=x;H=0;break}else F=0}w=b[g>>0]|0;D=w<<24>>24<0?f[v>>2]|0:w&255;if((f[n>>2]|0)==(x+D|0)){xuc(m,D<<1,0);if((b[g>>0]|0)<0)J=(f[s>>2]&2147483647)+-1|0;else J=10;xuc(m,J,0);w=(b[g>>0]|0)<0?f[m>>2]|0:m;f[n>>2]=w+D;K=w}else K=x;w=A+12|0;D=f[w>>2]|0;L=A+16|0;if((D|0)==(f[L>>2]|0))M=di[f[(f[A>>2]|0)+36>>2]&1023](A)|0;else M=ejc(b[D>>0]|0)|0;if(Klc(M&255,r,K,n,q,b[k>>0]|0,l,o,p,j)|0){G=K;H=F;break}D=f[w>>2]|0;if((D|0)==(f[L>>2]|0)){di[f[(f[A>>2]|0)+40>>2]&1023](A)|0;x=K;t=A;y=B;continue}else{f[w>>2]=D+1;ejc(b[D>>0]|0)|0;x=K;t=A;y=B;continue}}y=b[l+11>>0]|0;if((y<<24>>24<0?f[l+4>>2]|0:y&255)|0?(y=f[p>>2]|0,(y-o|0)<160):0){t=f[q>>2]|0;f[p>>2]=y+4;f[y>>2]=t}t=jmc(G,f[n>>2]|0,h,r)|0;d[i>>1]=t;Xlc(l,o,f[p>>2]|0,h);if(A){p=f[A+12>>2]|0;if((p|0)==(f[A+16>>2]|0))N=di[f[(f[B>>2]|0)+36>>2]&1023](A)|0;else N=ejc(b[p>>0]|0)|0;if(ckc(N,djc()|0)|0){f[c>>2]=0;O=1}else O=0}else O=1;do if(H){N=f[H+12>>2]|0;if((N|0)==(f[H+16>>2]|0))P=di[f[(f[H>>2]|0)+36>>2]&1023](H)|0;else P=ejc(b[N>>0]|0)|0;if(!(ckc(P,djc()|0)|0))if(O)break;else{I=49;break}else{f[e>>2]=0;I=47;break}}else I=47;while(0);if((I|0)==47?O:0)I=49;if((I|0)==49)f[h>>2]=f[h>>2]|2;h=f[c>>2]|0;quc(m);quc(l);u=a;return h|0}function jmc(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;g=u;u=u+16|0;h=g;do if((a|0)==(c|0)){f[d>>2]=4;i=0}else{if((b[a>>0]|0)==45){f[d>>2]=4;i=0;break}j=Bec()|0;k=f[j>>2]|0;j=Bec()|0;f[j>>2]=0;j=Wec(a,h,e,Llc()|0)|0;l=J;m=Bec()|0;n=f[m>>2]|0;if(!n){m=Bec()|0;f[m>>2]=k}do if((f[h>>2]|0)==(c|0))if(l>>>0>0|(l|0)==0&j>>>0>65535|(n|0)==34){f[d>>2]=4;o=-1;break}else{o=j&65535;break}else{f[d>>2]=4;o=0}while(0);i=o}while(0);u=g;return i|0}function kmc(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0;a=u;u=u+224|0;i=a+198|0;j=a+196|0;k=a+184|0;l=a+172|0;m=a+168|0;n=a+8|0;o=a+4|0;p=a;q=bmc(e)|0;cmc(k,e,i,j);f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;e=0;while(1){if((e|0)==3)break;f[l+(e<<2)>>2]=0;e=e+1|0}e=l+11|0;r=l+8|0;if((b[e>>0]|0)<0)s=(f[r>>2]&2147483647)+-1|0;else s=10;xuc(l,s,0);s=(b[e>>0]|0)<0?f[l>>2]|0:l;f[m>>2]=s;f[o>>2]=n;f[p>>2]=0;t=l+4|0;v=f[c>>2]|0;w=s;s=v;x=v;a:while(1){if(s){v=f[s+12>>2]|0;if((v|0)==(f[s+16>>2]|0))y=di[f[(f[s>>2]|0)+36>>2]&1023](s)|0;else y=ejc(b[v>>0]|0)|0;if(ckc(y,djc()|0)|0){f[c>>2]=0;z=0;A=0;B=1}else{z=s;A=x;B=0}}else{z=0;A=0;B=1}v=f[d>>2]|0;do if(v){C=f[v+12>>2]|0;if((C|0)==(f[v+16>>2]|0))D=di[f[(f[v>>2]|0)+36>>2]&1023](v)|0;else D=ejc(b[C>>0]|0)|0;if(!(ckc(D,djc()|0)|0))if(B){E=v;break}else{F=w;G=v;break a}else{f[d>>2]=0;H=19;break}}else H=19;while(0);if((H|0)==19){H=0;if(B){F=w;G=0;break}else E=0}v=b[e>>0]|0;C=v<<24>>24<0?f[t>>2]|0:v&255;if((f[m>>2]|0)==(w+C|0)){xuc(l,C<<1,0);if((b[e>>0]|0)<0)I=(f[r>>2]&2147483647)+-1|0;else I=10;xuc(l,I,0);v=(b[e>>0]|0)<0?f[l>>2]|0:l;f[m>>2]=v+C;K=v}else K=w;v=z+12|0;C=f[v>>2]|0;L=z+16|0;if((C|0)==(f[L>>2]|0))M=di[f[(f[z>>2]|0)+36>>2]&1023](z)|0;else M=ejc(b[C>>0]|0)|0;if(Klc(M&255,q,K,m,p,b[j>>0]|0,k,n,o,i)|0){F=K;G=E;break}C=f[v>>2]|0;if((C|0)==(f[L>>2]|0)){di[f[(f[z>>2]|0)+40>>2]&1023](z)|0;w=K;s=z;x=A;continue}else{f[v>>2]=C+1;ejc(b[C>>0]|0)|0;w=K;s=z;x=A;continue}}x=b[k+11>>0]|0;if((x<<24>>24<0?f[k+4>>2]|0:x&255)|0?(x=f[o>>2]|0,(x-n|0)<160):0){s=f[p>>2]|0;f[o>>2]=x+4;f[x>>2]=s}s=lmc(F,f[m>>2]|0,g,q)|0;q=h;f[q>>2]=s;f[q+4>>2]=J;Xlc(k,n,f[o>>2]|0,g);if(z){o=f[z+12>>2]|0;if((o|0)==(f[z+16>>2]|0))N=di[f[(f[A>>2]|0)+36>>2]&1023](z)|0;else N=ejc(b[o>>0]|0)|0;if(ckc(N,djc()|0)|0){f[c>>2]=0;O=1}else O=0}else O=1;do if(G){N=f[G+12>>2]|0;if((N|0)==(f[G+16>>2]|0))P=di[f[(f[G>>2]|0)+36>>2]&1023](G)|0;else P=ejc(b[N>>0]|0)|0;if(!(ckc(P,djc()|0)|0))if(O)break;else{H=49;break}else{f[d>>2]=0;H=47;break}}else H=47;while(0);if((H|0)==47?O:0)H=49;if((H|0)==49)f[g>>2]=f[g>>2]|2;g=f[c>>2]|0;quc(l);quc(k);u=a;return g|0}function lmc(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=u;u=u+16|0;g=e;if((a|0)==(b|0)){f[c>>2]=4;h=0;i=0}else{j=Bec()|0;k=f[j>>2]|0;j=Bec()|0;f[j>>2]=0;j=dfc(a,g,d,Llc()|0)|0;d=J;a=Bec()|0;l=f[a>>2]|0;if(!l){a=Bec()|0;f[a>>2]=k}if((f[g>>2]|0)==(b|0))if((l|0)==34){f[c>>2]=4;l=(d|0)>0|(d|0)==0&j>>>0>0;m=l?-1:0;n=l?2147483647:-2147483648}else{m=j;n=d}else{f[c>>2]=4;m=0;n=0}h=n;i=m}J=h;u=e;return i|0}function mmc(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0;a=u;u=u+224|0;i=a+198|0;j=a+196|0;k=a+184|0;l=a+172|0;m=a+168|0;n=a+8|0;o=a+4|0;p=a;q=bmc(e)|0;cmc(k,e,i,j);f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;e=0;while(1){if((e|0)==3)break;f[l+(e<<2)>>2]=0;e=e+1|0}e=l+11|0;r=l+8|0;if((b[e>>0]|0)<0)s=(f[r>>2]&2147483647)+-1|0;else s=10;xuc(l,s,0);s=(b[e>>0]|0)<0?f[l>>2]|0:l;f[m>>2]=s;f[o>>2]=n;f[p>>2]=0;t=l+4|0;v=f[c>>2]|0;w=s;s=v;x=v;a:while(1){if(s){v=f[s+12>>2]|0;if((v|0)==(f[s+16>>2]|0))y=di[f[(f[s>>2]|0)+36>>2]&1023](s)|0;else y=ejc(b[v>>0]|0)|0;if(ckc(y,djc()|0)|0){f[c>>2]=0;z=0;A=0;B=1}else{z=s;A=x;B=0}}else{z=0;A=0;B=1}v=f[d>>2]|0;do if(v){C=f[v+12>>2]|0;if((C|0)==(f[v+16>>2]|0))D=di[f[(f[v>>2]|0)+36>>2]&1023](v)|0;else D=ejc(b[C>>0]|0)|0;if(!(ckc(D,djc()|0)|0))if(B){E=v;break}else{F=w;G=v;break a}else{f[d>>2]=0;H=19;break}}else H=19;while(0);if((H|0)==19){H=0;if(B){F=w;G=0;break}else E=0}v=b[e>>0]|0;C=v<<24>>24<0?f[t>>2]|0:v&255;if((f[m>>2]|0)==(w+C|0)){xuc(l,C<<1,0);if((b[e>>0]|0)<0)I=(f[r>>2]&2147483647)+-1|0;else I=10;xuc(l,I,0);v=(b[e>>0]|0)<0?f[l>>2]|0:l;f[m>>2]=v+C;J=v}else J=w;v=z+12|0;C=f[v>>2]|0;K=z+16|0;if((C|0)==(f[K>>2]|0))L=di[f[(f[z>>2]|0)+36>>2]&1023](z)|0;else L=ejc(b[C>>0]|0)|0;if(Klc(L&255,q,J,m,p,b[j>>0]|0,k,n,o,i)|0){F=J;G=E;break}C=f[v>>2]|0;if((C|0)==(f[K>>2]|0)){di[f[(f[z>>2]|0)+40>>2]&1023](z)|0;w=J;s=z;x=A;continue}else{f[v>>2]=C+1;ejc(b[C>>0]|0)|0;w=J;s=z;x=A;continue}}x=b[k+11>>0]|0;if((x<<24>>24<0?f[k+4>>2]|0:x&255)|0?(x=f[o>>2]|0,(x-n|0)<160):0){s=f[p>>2]|0;f[o>>2]=x+4;f[x>>2]=s}s=nmc(F,f[m>>2]|0,g,q)|0;f[h>>2]=s;Xlc(k,n,f[o>>2]|0,g);if(z){o=f[z+12>>2]|0;if((o|0)==(f[z+16>>2]|0))M=di[f[(f[A>>2]|0)+36>>2]&1023](z)|0;else M=ejc(b[o>>0]|0)|0;if(ckc(M,djc()|0)|0){f[c>>2]=0;N=1}else N=0}else N=1;do if(G){M=f[G+12>>2]|0;if((M|0)==(f[G+16>>2]|0))O=di[f[(f[G>>2]|0)+36>>2]&1023](G)|0;else O=ejc(b[M>>0]|0)|0;if(!(ckc(O,djc()|0)|0))if(N)break;else{H=49;break}else{f[d>>2]=0;H=47;break}}else H=47;while(0);if((H|0)==47?N:0)H=49;if((H|0)==49)f[g>>2]=f[g>>2]|2;g=f[c>>2]|0;quc(l);quc(k);u=a;return g|0}function nmc(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0;e=u;u=u+16|0;g=e;if((a|0)==(b|0)){f[c>>2]=4;h=0}else{i=Bec()|0;j=f[i>>2]|0;i=Bec()|0;f[i>>2]=0;i=dfc(a,g,d,Llc()|0)|0;d=J;a=Bec()|0;k=f[a>>2]|0;if(!k){a=Bec()|0;f[a>>2]=j}a:do if((f[g>>2]|0)==(b|0)){do if((k|0)==34){f[c>>2]=4;if((d|0)>0|(d|0)==0&i>>>0>0){l=2147483647;break a}}else{if((d|0)<-1|(d|0)==-1&i>>>0<2147483648){f[c>>2]=4;break}if((d|0)>0|(d|0)==0&i>>>0>2147483647){f[c>>2]=4;l=2147483647;break a}else{l=i;break a}}while(0);l=-2147483648}else{f[c>>2]=4;l=0}while(0);h=l}u=e;return h|0}function omc(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0;j=u;u=u+112|0;k=j;l=(e-d|0)/12|0;if(l>>>0>100){m=pec(l)|0;if(!m)huc();else{n=m;o=m}}else{n=k;o=0}k=l;l=d;m=n;p=0;while(1){if((l|0)==(e|0))break;q=b[l+11>>0]|0;if(q<<24>>24<0)r=f[l+4>>2]|0;else r=q&255;if(!r){b[m>>0]=2;s=k+-1|0;t=p+1|0}else{b[m>>0]=1;s=k;t=p}k=s;l=l+12|0;m=m+1|0;p=t}t=0;m=k;k=p;a:while(1){p=f[a>>2]|0;do if(p){l=f[p+12>>2]|0;if((l|0)==(f[p+16>>2]|0))v=di[f[(f[p>>2]|0)+36>>2]&1023](p)|0;else v=ejc(b[l>>0]|0)|0;if(ckc(v,djc()|0)|0){f[a>>2]=0;w=1;break}else{w=(f[a>>2]|0)==0;break}}else w=1;while(0);p=f[c>>2]|0;if(p){l=f[p+12>>2]|0;if((l|0)==(f[p+16>>2]|0))x=di[f[(f[p>>2]|0)+36>>2]&1023](p)|0;else x=ejc(b[l>>0]|0)|0;if(ckc(x,djc()|0)|0){f[c>>2]=0;y=0;z=1}else{y=p;z=0}}else{y=0;z=1}A=f[a>>2]|0;if(!((m|0)!=0&(w^z)))break;p=f[A+12>>2]|0;if((p|0)==(f[A+16>>2]|0))B=di[f[(f[A>>2]|0)+36>>2]&1023](A)|0;else B=ejc(b[p>>0]|0)|0;p=B&255;if(i)C=p;else C=Th[f[(f[g>>2]|0)+12>>2]&1023](g,p)|0;p=t+1|0;l=d;s=0;r=n;q=k;D=m;while(1){if((l|0)==(e|0))break;do if((b[r>>0]|0)==1){E=l+11|0;if((b[E>>0]|0)<0)F=f[l>>2]|0;else F=l;G=b[F+t>>0]|0;if(i)H=G;else H=Th[f[(f[g>>2]|0)+12>>2]&1023](g,G)|0;G=D+-1|0;if(C<<24>>24!=H<<24>>24){b[r>>0]=0;I=s;J=q;K=G;break}L=b[E>>0]|0;if(L<<24>>24<0)M=f[l+4>>2]|0;else M=L&255;if((M|0)==(p|0)){b[r>>0]=2;I=1;J=q+1|0;K=G}else{I=1;J=q;K=D}}else{I=s;J=q;K=D}while(0);l=l+12|0;s=I;r=r+1|0;q=J;D=K}if(!s){t=p;m=D;k=q;continue}r=f[a>>2]|0;l=r+12|0;G=f[l>>2]|0;if((G|0)==(f[r+16>>2]|0))di[f[(f[r>>2]|0)+40>>2]&1023](r)|0;else{f[l>>2]=G+1;ejc(b[G>>0]|0)|0}if((q+D|0)>>>0>1){N=d;O=n;P=q}else{t=p;m=D;k=q;continue}while(1){if((N|0)==(e|0)){t=p;m=D;k=P;continue a}if((b[O>>0]|0)==2){G=b[N+11>>0]|0;if(G<<24>>24<0)Q=f[N+4>>2]|0;else Q=G&255;if((Q|0)!=(p|0)){b[O>>0]=0;R=P+-1|0}else R=P}else R=P;N=N+12|0;O=O+1|0;P=R}}do if(A){R=f[A+12>>2]|0;if((R|0)==(f[A+16>>2]|0))S=di[f[(f[A>>2]|0)+36>>2]&1023](A)|0;else S=ejc(b[R>>0]|0)|0;if(ckc(S,djc()|0)|0){f[a>>2]=0;T=1;break}else{T=(f[a>>2]|0)==0;break}}else T=1;while(0);do if(y){a=f[y+12>>2]|0;if((a|0)==(f[y+16>>2]|0))U=di[f[(f[y>>2]|0)+36>>2]&1023](y)|0;else U=ejc(b[a>>0]|0)|0;if(!(ckc(U,djc()|0)|0))if(T){V=d;W=n;break}else{X=77;break}else{f[c>>2]=0;X=41;break}}else X=41;while(0);if((X|0)==41)if(T)X=77;else{V=d;W=n}if((X|0)==77){f[h>>2]=f[h>>2]|2;V=d;W=n}while(1){if((V|0)==(e|0)){X=81;break}if((b[W>>0]|0)==2){Y=V;break}V=V+12|0;W=W+1|0}if((X|0)==81){f[h>>2]=f[h>>2]|4;Y=e}qec(o);u=j;return Y|0}function pmc(a){a=a|0;olc(a);return}function qmc(a){a=a|0;olc(a);fuc(a);return}function rmc(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;i=u;u=u+48|0;j=i+40|0;k=i+16|0;l=i+8|0;m=i+12|0;n=i+4|0;o=i;if(!(f[e+4>>2]&1)){f[l>>2]=-1;p=f[(f[a>>2]|0)+16>>2]|0;f[m>>2]=f[c>>2];f[n>>2]=f[d>>2];f[k>>2]=f[m>>2];f[j>>2]=f[n>>2];n=Wf[p&127](a,k,j,e,g,l)|0;f[c>>2]=n;switch(f[l>>2]|0){case 0:{b[h>>0]=0;break}case 1:{b[h>>0]=1;break}default:{b[h>>0]=1;f[g>>2]=4}}q=f[c>>2]|0}else{dkc(j,e);l=Ilc(j,901908)|0;Jlc(j);dkc(j,e);e=Ilc(j,901916)|0;Jlc(j);yh[f[(f[e>>2]|0)+24>>2]&2047](k,e);yh[f[(f[e>>2]|0)+28>>2]&2047](k+12|0,e);f[o>>2]=f[d>>2];d=k+24|0;f[j>>2]=f[o>>2];o=(Pmc(c,j,k,d,l,g,1)|0)==(k|0)&1;b[h>>0]=o;o=f[c>>2]|0;c=d;do{c=c+-12|0;Ruc(c)}while((c|0)!=(k|0));q=o}u=i;return q|0}function smc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0;h=u;u=u+16|0;i=h+12|0;j=h+8|0;k=h+4|0;l=h;f[k>>2]=f[b>>2];f[l>>2]=f[c>>2];f[j>>2]=f[k>>2];f[i>>2]=f[l>>2];l=Omc(a,j,i,d,e,g)|0;u=h;return l|0}function tmc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0;h=u;u=u+16|0;i=h+12|0;j=h+8|0;k=h+4|0;l=h;f[k>>2]=f[b>>2];f[l>>2]=f[c>>2];f[j>>2]=f[k>>2];f[i>>2]=f[l>>2];l=Nmc(a,j,i,d,e,g)|0;u=h;return l|0}function umc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0;h=u;u=u+16|0;i=h+12|0;j=h+8|0;k=h+4|0;l=h;f[k>>2]=f[b>>2];f[l>>2]=f[c>>2];f[j>>2]=f[k>>2];f[i>>2]=f[l>>2];l=Mmc(a,j,i,d,e,g)|0;u=h;return l|0}function vmc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0;h=u;u=u+16|0;i=h+12|0;j=h+8|0;k=h+4|0;l=h;f[k>>2]=f[b>>2];f[l>>2]=f[c>>2];f[j>>2]=f[k>>2];f[i>>2]=f[l>>2];l=Lmc(a,j,i,d,e,g)|0;u=h;return l|0}function wmc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0;h=u;u=u+16|0;i=h+12|0;j=h+8|0;k=h+4|0;l=h;f[k>>2]=f[b>>2];f[l>>2]=f[c>>2];f[j>>2]=f[k>>2];f[i>>2]=f[l>>2];l=Kmc(a,j,i,d,e,g)|0;u=h;return l|0}function xmc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0;h=u;u=u+16|0;i=h+12|0;j=h+8|0;k=h+4|0;l=h;f[k>>2]=f[b>>2];f[l>>2]=f[c>>2];f[j>>2]=f[k>>2];f[i>>2]=f[l>>2];l=Imc(a,j,i,d,e,g)|0;u=h;return l|0}function ymc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0;h=u;u=u+16|0;i=h+12|0;j=h+8|0;k=h+4|0;l=h;f[k>>2]=f[b>>2];f[l>>2]=f[c>>2];f[j>>2]=f[k>>2];f[i>>2]=f[l>>2];l=Hmc(a,j,i,d,e,g)|0;u=h;return l|0}function zmc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0;h=u;u=u+16|0;i=h+12|0;j=h+8|0;k=h+4|0;l=h;f[k>>2]=f[b>>2];f[l>>2]=f[c>>2];f[j>>2]=f[k>>2];f[i>>2]=f[l>>2];l=Gmc(a,j,i,d,e,g)|0;u=h;return l|0}function Amc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0;h=u;u=u+16|0;i=h+12|0;j=h+8|0;k=h+4|0;l=h;f[k>>2]=f[b>>2];f[l>>2]=f[c>>2];f[j>>2]=f[k>>2];f[i>>2]=f[l>>2];l=Dmc(a,j,i,d,e,g)|0;u=h;return l|0}function Bmc(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0;a=u;u=u+320|0;i=a;j=a+208|0;k=a+192|0;l=a+180|0;m=a+176|0;n=a+16|0;o=a+8|0;p=a+4|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;q=0;while(1){if((q|0)==3)break;f[k+(q<<2)>>2]=0;q=q+1|0}dkc(l,e);e=Ilc(l,901908)|0;Cg[f[(f[e>>2]|0)+48>>2]&127](e,527664,527690,j)|0;Jlc(l);f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;e=0;while(1){if((e|0)==3)break;f[l+(e<<2)>>2]=0;e=e+1|0}e=l+11|0;q=l+8|0;if((b[e>>0]|0)<0)r=(f[q>>2]&2147483647)+-1|0;else r=10;xuc(l,r,0);r=(b[e>>0]|0)<0?f[l>>2]|0:l;f[m>>2]=r;f[o>>2]=n;f[p>>2]=0;s=l+4|0;t=f[c>>2]|0;v=r;r=t;w=t;a:while(1){if(r){t=f[r+12>>2]|0;if((t|0)==(f[r+16>>2]|0))x=di[f[(f[r>>2]|0)+36>>2]&1023](r)|0;else x=wjc(f[t>>2]|0)|0;if(ekc(x,vjc()|0)|0){f[c>>2]=0;y=0;z=0;A=1}else{y=r;z=w;A=0}}else{y=0;z=0;A=1}t=f[d>>2]|0;do if(t){B=f[t+12>>2]|0;if((B|0)==(f[t+16>>2]|0))C=di[f[(f[t>>2]|0)+36>>2]&1023](t)|0;else C=wjc(f[B>>2]|0)|0;if(!(ekc(C,vjc()|0)|0))if(A){D=t;break}else{E=v;F=t;break a}else{f[d>>2]=0;G=22;break}}else G=22;while(0);if((G|0)==22){G=0;if(A){E=v;F=0;break}else D=0}t=b[e>>0]|0;B=t<<24>>24<0?f[s>>2]|0:t&255;if((f[m>>2]|0)==(v+B|0)){xuc(l,B<<1,0);if((b[e>>0]|0)<0)H=(f[q>>2]&2147483647)+-1|0;else H=10;xuc(l,H,0);t=(b[e>>0]|0)<0?f[l>>2]|0:l;f[m>>2]=t+B;I=t}else I=v;t=y+12|0;B=f[t>>2]|0;J=y+16|0;if((B|0)==(f[J>>2]|0))K=di[f[(f[y>>2]|0)+36>>2]&1023](y)|0;else K=wjc(f[B>>2]|0)|0;if(Cmc(K,16,I,m,p,0,k,n,o,j)|0){E=I;F=D;break}B=f[t>>2]|0;if((B|0)==(f[J>>2]|0)){di[f[(f[y>>2]|0)+40>>2]&1023](y)|0;v=I;r=y;w=z;continue}else{f[t>>2]=B+4;wjc(f[B>>2]|0)|0;v=I;r=y;w=z;continue}}xuc(l,(f[m>>2]|0)-E|0,0);E=(b[e>>0]|0)<0?f[l>>2]|0:l;e=Llc()|0;f[i>>2]=h;if((Mlc(E,e,527697,i)|0)!=1)f[g>>2]=4;if(y){i=f[y+12>>2]|0;if((i|0)==(f[y+16>>2]|0))L=di[f[(f[z>>2]|0)+36>>2]&1023](y)|0;else L=wjc(f[i>>2]|0)|0;if(ekc(L,vjc()|0)|0){f[c>>2]=0;M=1}else M=0}else M=1;do if(F){L=f[F+12>>2]|0;if((L|0)==(f[F+16>>2]|0))N=di[f[(f[F>>2]|0)+36>>2]&1023](F)|0;else N=wjc(f[L>>2]|0)|0;if(!(ekc(N,vjc()|0)|0))if(M)break;else{G=51;break}else{f[d>>2]=0;G=49;break}}else G=49;while(0);if((G|0)==49?M:0)G=51;if((G|0)==51)f[g>>2]=f[g>>2]|2;g=f[c>>2]|0;quc(l);quc(k);u=a;return g|0}function Cmc(a,c,d,e,g,h,i,j,k,l){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;m=f[e>>2]|0;n=(m|0)==(d|0);do if(n){o=(f[l+96>>2]|0)==(a|0);if(!o?(f[l+100>>2]|0)!=(a|0):0){p=5;break}f[e>>2]=d+1;b[d>>0]=o?43:45;f[g>>2]=0;q=0}else p=5;while(0);a:do if((p|0)==5){o=b[i+11>>0]|0;if((a|0)==(h|0)?((o<<24>>24<0?f[i+4>>2]|0:o&255)|0)!=0:0){o=f[k>>2]|0;if((o-j|0)>=160){q=0;break}r=f[g>>2]|0;f[k>>2]=o+4;f[o>>2]=r;f[g>>2]=0;q=0;break}r=l+104|0;o=0;while(1){s=l+(o<<2)|0;if((o|0)==26){t=r;break}if((f[s>>2]|0)==(a|0)){t=s;break}else o=o+1|0}o=t-l|0;r=o>>2;if((o|0)>92)q=-1;else{s=527664+r|0;switch(c|0){case 10:case 8:{if((r|0)>=(c|0)){q=-1;break a}break}case 16:{if((o|0)>=88){if(n){q=-1;break a}if((m-d|0)>=3){q=-1;break a}if((b[m+-1>>0]|0)!=48){q=-1;break a}f[g>>2]=0;o=b[s>>0]|0;f[e>>2]=m+1;b[m>>0]=o;q=0;break a}break}default:{}}o=b[s>>0]|0;f[e>>2]=m+1;b[m>>0]=o;f[g>>2]=(f[g>>2]|0)+1;q=0}}while(0);return q|0}function Dmc(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0.0,Q=0,R=0,S=0;a=u;u=u+352|0;i=a+208|0;j=a+200|0;k=a+196|0;l=a+184|0;m=a+172|0;n=a+168|0;o=a+8|0;q=a+4|0;r=a;s=a+337|0;t=a+336|0;Emc(l,e,i,j,k);f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;e=0;while(1){if((e|0)==3)break;f[m+(e<<2)>>2]=0;e=e+1|0}e=m+11|0;v=m+8|0;if((b[e>>0]|0)<0)w=(f[v>>2]&2147483647)+-1|0;else w=10;xuc(m,w,0);w=(b[e>>0]|0)<0?f[m>>2]|0:m;f[n>>2]=w;f[q>>2]=o;f[r>>2]=0;b[s>>0]=1;b[t>>0]=69;x=m+4|0;y=f[c>>2]|0;z=w;w=y;A=y;a:while(1){if(w){y=f[w+12>>2]|0;if((y|0)==(f[w+16>>2]|0))B=di[f[(f[w>>2]|0)+36>>2]&1023](w)|0;else B=wjc(f[y>>2]|0)|0;if(ekc(B,vjc()|0)|0){f[c>>2]=0;C=0;D=0;E=1}else{C=w;D=A;E=0}}else{C=0;D=0;E=1}y=f[d>>2]|0;do if(y){F=f[y+12>>2]|0;if((F|0)==(f[y+16>>2]|0))G=di[f[(f[y>>2]|0)+36>>2]&1023](y)|0;else G=wjc(f[F>>2]|0)|0;if(!(ekc(G,vjc()|0)|0))if(E){H=y;break}else{I=z;J=y;break a}else{f[d>>2]=0;K=19;break}}else K=19;while(0);if((K|0)==19){K=0;if(E){I=z;J=0;break}else H=0}y=b[e>>0]|0;F=y<<24>>24<0?f[x>>2]|0:y&255;if((f[n>>2]|0)==(z+F|0)){xuc(m,F<<1,0);if((b[e>>0]|0)<0)L=(f[v>>2]&2147483647)+-1|0;else L=10;xuc(m,L,0);y=(b[e>>0]|0)<0?f[m>>2]|0:m;f[n>>2]=y+F;M=y}else M=z;y=C+12|0;F=f[y>>2]|0;N=C+16|0;if((F|0)==(f[N>>2]|0))O=di[f[(f[C>>2]|0)+36>>2]&1023](C)|0;else O=wjc(f[F>>2]|0)|0;if(Fmc(O,s,t,M,n,f[j>>2]|0,f[k>>2]|0,l,o,q,r,i)|0){I=M;J=H;break}F=f[y>>2]|0;if((F|0)==(f[N>>2]|0)){di[f[(f[C>>2]|0)+40>>2]&1023](C)|0;z=M;w=C;A=D;continue}else{f[y>>2]=F+4;wjc(f[F>>2]|0)|0;z=M;w=C;A=D;continue}}A=b[l+11>>0]|0;if(!((b[s>>0]|0)==0?1:((A<<24>>24<0?f[l+4>>2]|0:A&255)|0)==0)?(A=f[q>>2]|0,(A-o|0)<160):0){s=f[r>>2]|0;f[q>>2]=A+4;f[A>>2]=s}P=+Wlc(I,f[n>>2]|0,g);p[h>>3]=P;Xlc(l,o,f[q>>2]|0,g);if(C){q=f[C+12>>2]|0;if((q|0)==(f[C+16>>2]|0))Q=di[f[(f[D>>2]|0)+36>>2]&1023](C)|0;else Q=wjc(f[q>>2]|0)|0;if(ekc(Q,vjc()|0)|0){f[c>>2]=0;R=1}else R=0}else R=1;do if(J){Q=f[J+12>>2]|0;if((Q|0)==(f[J+16>>2]|0))S=di[f[(f[J>>2]|0)+36>>2]&1023](J)|0;else S=wjc(f[Q>>2]|0)|0;if(!(ekc(S,vjc()|0)|0))if(R)break;else{K=49;break}else{f[d>>2]=0;K=47;break}}else K=47;while(0);if((K|0)==47?R:0)K=49;if((K|0)==49)f[g>>2]=f[g>>2]|2;g=f[c>>2]|0;quc(m);quc(l);u=a;return g|0}function Emc(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0;g=u;u=u+16|0;h=g;dkc(h,b);b=Ilc(h,901908)|0;Cg[f[(f[b>>2]|0)+48>>2]&127](b,527664,527696,c)|0;c=Ilc(h,901916)|0;b=di[f[(f[c>>2]|0)+12>>2]&1023](c)|0;f[d>>2]=b;b=di[f[(f[c>>2]|0)+16>>2]&1023](c)|0;f[e>>2]=b;yh[f[(f[c>>2]|0)+20>>2]&2047](a,c);Jlc(h);u=g;return}function Fmc(a,c,d,e,g,h,i,j,k,l,m,n){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,p=0,q=0,r=0,s=0,t=0;o=k;a:do if((a|0)==(h|0))if(b[c>>0]|0){b[c>>0]=0;k=f[g>>2]|0;f[g>>2]=k+1;b[k>>0]=46;k=b[j+11>>0]|0;if(((k<<24>>24<0?f[j+4>>2]|0:k&255)|0)!=0?(k=f[l>>2]|0,(k-o|0)<160):0){p=f[m>>2]|0;f[l>>2]=k+4;f[k>>2]=p;q=0}else q=0}else q=-1;else{if((a|0)==(i|0)?(p=b[j+11>>0]|0,(p<<24>>24<0?f[j+4>>2]|0:p&255)|0):0){if(!(b[c>>0]|0)){q=-1;break}p=f[l>>2]|0;if((p-o|0)>=160){q=0;break}k=f[m>>2]|0;f[l>>2]=p+4;f[p>>2]=k;f[m>>2]=0;q=0;break}k=n+128|0;p=0;while(1){r=n+(p<<2)|0;if((p|0)==32){s=k;break}if((f[r>>2]|0)==(a|0)){s=r;break}else p=p+1|0}p=s-n|0;k=p>>2;if((p|0)<=124){r=b[527664+k>>0]|0;switch(k|0){case 24:case 25:{k=f[g>>2]|0;if((k|0)!=(e|0)?(b[k+-1>>0]&95)!=(b[d>>0]&127):0){q=-1;break a}f[g>>2]=k+1;b[k>>0]=r;q=0;break a;break}case 23:case 22:{b[d>>0]=80;break}default:{k=r&95;if((((k|0)==(b[d>>0]|0)?(b[d>>0]=k|128,b[c>>0]|0):0)?(b[c>>0]=0,k=b[j+11>>0]|0,(k<<24>>24<0?f[j+4>>2]|0:k&255)|0):0)?(k=f[l>>2]|0,(k-o|0)<160):0){t=f[m>>2]|0;f[l>>2]=k+4;f[k>>2]=t}}}t=f[g>>2]|0;f[g>>2]=t+1;b[t>>0]=r;if((p|0)>84)q=0;else{f[m>>2]=(f[m>>2]|0)+1;q=0}}else q=-1}while(0);return q|0}function Gmc(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0.0,Q=0,R=0,S=0;a=u;u=u+352|0;i=a+208|0;j=a+200|0;k=a+196|0;l=a+184|0;m=a+172|0;n=a+168|0;o=a+8|0;q=a+4|0;r=a;s=a+337|0;t=a+336|0;Emc(l,e,i,j,k);f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;e=0;while(1){if((e|0)==3)break;f[m+(e<<2)>>2]=0;e=e+1|0}e=m+11|0;v=m+8|0;if((b[e>>0]|0)<0)w=(f[v>>2]&2147483647)+-1|0;else w=10;xuc(m,w,0);w=(b[e>>0]|0)<0?f[m>>2]|0:m;f[n>>2]=w;f[q>>2]=o;f[r>>2]=0;b[s>>0]=1;b[t>>0]=69;x=m+4|0;y=f[c>>2]|0;z=w;w=y;A=y;a:while(1){if(w){y=f[w+12>>2]|0;if((y|0)==(f[w+16>>2]|0))B=di[f[(f[w>>2]|0)+36>>2]&1023](w)|0;else B=wjc(f[y>>2]|0)|0;if(ekc(B,vjc()|0)|0){f[c>>2]=0;C=0;D=0;E=1}else{C=w;D=A;E=0}}else{C=0;D=0;E=1}y=f[d>>2]|0;do if(y){F=f[y+12>>2]|0;if((F|0)==(f[y+16>>2]|0))G=di[f[(f[y>>2]|0)+36>>2]&1023](y)|0;else G=wjc(f[F>>2]|0)|0;if(!(ekc(G,vjc()|0)|0))if(E){H=y;break}else{I=z;J=y;break a}else{f[d>>2]=0;K=19;break}}else K=19;while(0);if((K|0)==19){K=0;if(E){I=z;J=0;break}else H=0}y=b[e>>0]|0;F=y<<24>>24<0?f[x>>2]|0:y&255;if((f[n>>2]|0)==(z+F|0)){xuc(m,F<<1,0);if((b[e>>0]|0)<0)L=(f[v>>2]&2147483647)+-1|0;else L=10;xuc(m,L,0);y=(b[e>>0]|0)<0?f[m>>2]|0:m;f[n>>2]=y+F;M=y}else M=z;y=C+12|0;F=f[y>>2]|0;N=C+16|0;if((F|0)==(f[N>>2]|0))O=di[f[(f[C>>2]|0)+36>>2]&1023](C)|0;else O=wjc(f[F>>2]|0)|0;if(Fmc(O,s,t,M,n,f[j>>2]|0,f[k>>2]|0,l,o,q,r,i)|0){I=M;J=H;break}F=f[y>>2]|0;if((F|0)==(f[N>>2]|0)){di[f[(f[C>>2]|0)+40>>2]&1023](C)|0;z=M;w=C;A=D;continue}else{f[y>>2]=F+4;wjc(f[F>>2]|0)|0;z=M;w=C;A=D;continue}}A=b[l+11>>0]|0;if(!((b[s>>0]|0)==0?1:((A<<24>>24<0?f[l+4>>2]|0:A&255)|0)==0)?(A=f[q>>2]|0,(A-o|0)<160):0){s=f[r>>2]|0;f[q>>2]=A+4;f[A>>2]=s}P=+Zlc(I,f[n>>2]|0,g);p[h>>3]=P;Xlc(l,o,f[q>>2]|0,g);if(C){q=f[C+12>>2]|0;if((q|0)==(f[C+16>>2]|0))Q=di[f[(f[D>>2]|0)+36>>2]&1023](C)|0;else Q=wjc(f[q>>2]|0)|0;if(ekc(Q,vjc()|0)|0){f[c>>2]=0;R=1}else R=0}else R=1;do if(J){Q=f[J+12>>2]|0;if((Q|0)==(f[J+16>>2]|0))S=di[f[(f[J>>2]|0)+36>>2]&1023](J)|0;else S=wjc(f[Q>>2]|0)|0;if(!(ekc(S,vjc()|0)|0))if(R)break;else{K=49;break}else{f[d>>2]=0;K=47;break}}else K=47;while(0);if((K|0)==47?R:0)K=49;if((K|0)==49)f[g>>2]=f[g>>2]|2;g=f[c>>2]|0;quc(m);quc(l);u=a;return g|0}function Hmc(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0.0,Q=0,R=0,S=0;a=u;u=u+352|0;i=a+208|0;j=a+200|0;k=a+196|0;l=a+184|0;m=a+172|0;o=a+168|0;p=a+8|0;q=a+4|0;r=a;s=a+337|0;t=a+336|0;Emc(l,e,i,j,k);f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;e=0;while(1){if((e|0)==3)break;f[m+(e<<2)>>2]=0;e=e+1|0}e=m+11|0;v=m+8|0;if((b[e>>0]|0)<0)w=(f[v>>2]&2147483647)+-1|0;else w=10;xuc(m,w,0);w=(b[e>>0]|0)<0?f[m>>2]|0:m;f[o>>2]=w;f[q>>2]=p;f[r>>2]=0;b[s>>0]=1;b[t>>0]=69;x=m+4|0;y=f[c>>2]|0;z=w;w=y;A=y;a:while(1){if(w){y=f[w+12>>2]|0;if((y|0)==(f[w+16>>2]|0))B=di[f[(f[w>>2]|0)+36>>2]&1023](w)|0;else B=wjc(f[y>>2]|0)|0;if(ekc(B,vjc()|0)|0){f[c>>2]=0;C=0;D=0;E=1}else{C=w;D=A;E=0}}else{C=0;D=0;E=1}y=f[d>>2]|0;do if(y){F=f[y+12>>2]|0;if((F|0)==(f[y+16>>2]|0))G=di[f[(f[y>>2]|0)+36>>2]&1023](y)|0;else G=wjc(f[F>>2]|0)|0;if(!(ekc(G,vjc()|0)|0))if(E){H=y;break}else{I=z;J=y;break a}else{f[d>>2]=0;K=19;break}}else K=19;while(0);if((K|0)==19){K=0;if(E){I=z;J=0;break}else H=0}y=b[e>>0]|0;F=y<<24>>24<0?f[x>>2]|0:y&255;if((f[o>>2]|0)==(z+F|0)){xuc(m,F<<1,0);if((b[e>>0]|0)<0)L=(f[v>>2]&2147483647)+-1|0;else L=10;xuc(m,L,0);y=(b[e>>0]|0)<0?f[m>>2]|0:m;f[o>>2]=y+F;M=y}else M=z;y=C+12|0;F=f[y>>2]|0;N=C+16|0;if((F|0)==(f[N>>2]|0))O=di[f[(f[C>>2]|0)+36>>2]&1023](C)|0;else O=wjc(f[F>>2]|0)|0;if(Fmc(O,s,t,M,o,f[j>>2]|0,f[k>>2]|0,l,p,q,r,i)|0){I=M;J=H;break}F=f[y>>2]|0;if((F|0)==(f[N>>2]|0)){di[f[(f[C>>2]|0)+40>>2]&1023](C)|0;z=M;w=C;A=D;continue}else{f[y>>2]=F+4;wjc(f[F>>2]|0)|0;z=M;w=C;A=D;continue}}A=b[l+11>>0]|0;if(!((b[s>>0]|0)==0?1:((A<<24>>24<0?f[l+4>>2]|0:A&255)|0)==0)?(A=f[q>>2]|0,(A-p|0)<160):0){s=f[r>>2]|0;f[q>>2]=A+4;f[A>>2]=s}P=+$lc(I,f[o>>2]|0,g);n[h>>2]=P;Xlc(l,p,f[q>>2]|0,g);if(C){q=f[C+12>>2]|0;if((q|0)==(f[C+16>>2]|0))Q=di[f[(f[D>>2]|0)+36>>2]&1023](C)|0;else Q=wjc(f[q>>2]|0)|0;if(ekc(Q,vjc()|0)|0){f[c>>2]=0;R=1}else R=0}else R=1;do if(J){Q=f[J+12>>2]|0;if((Q|0)==(f[J+16>>2]|0))S=di[f[(f[J>>2]|0)+36>>2]&1023](J)|0;else S=wjc(f[Q>>2]|0)|0;if(!(ekc(S,vjc()|0)|0))if(R)break;else{K=49;break}else{f[d>>2]=0;K=47;break}}else K=47;while(0);if((K|0)==47?R:0)K=49;if((K|0)==49)f[g>>2]=f[g>>2]|2;g=f[c>>2]|0;quc(m);quc(l);u=a;return g|0}function Imc(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0;a=u;u=u+304|0;i=a+200|0;j=a+196|0;k=a+184|0;l=a+172|0;m=a+168|0;n=a+8|0;o=a+4|0;p=a;q=bmc(e)|0;Jmc(k,e,i,j);f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;e=0;while(1){if((e|0)==3)break;f[l+(e<<2)>>2]=0;e=e+1|0}e=l+11|0;r=l+8|0;if((b[e>>0]|0)<0)s=(f[r>>2]&2147483647)+-1|0;else s=10;xuc(l,s,0);s=(b[e>>0]|0)<0?f[l>>2]|0:l;f[m>>2]=s;f[o>>2]=n;f[p>>2]=0;t=l+4|0;v=f[c>>2]|0;w=s;s=v;x=v;a:while(1){if(s){v=f[s+12>>2]|0;if((v|0)==(f[s+16>>2]|0))y=di[f[(f[s>>2]|0)+36>>2]&1023](s)|0;else y=wjc(f[v>>2]|0)|0;if(ekc(y,vjc()|0)|0){f[c>>2]=0;z=0;A=0;B=1}else{z=s;A=x;B=0}}else{z=0;A=0;B=1}v=f[d>>2]|0;do if(v){C=f[v+12>>2]|0;if((C|0)==(f[v+16>>2]|0))D=di[f[(f[v>>2]|0)+36>>2]&1023](v)|0;else D=wjc(f[C>>2]|0)|0;if(!(ekc(D,vjc()|0)|0))if(B){E=v;break}else{F=w;G=v;break a}else{f[d>>2]=0;H=19;break}}else H=19;while(0);if((H|0)==19){H=0;if(B){F=w;G=0;break}else E=0}v=b[e>>0]|0;C=v<<24>>24<0?f[t>>2]|0:v&255;if((f[m>>2]|0)==(w+C|0)){xuc(l,C<<1,0);if((b[e>>0]|0)<0)I=(f[r>>2]&2147483647)+-1|0;else I=10;xuc(l,I,0);v=(b[e>>0]|0)<0?f[l>>2]|0:l;f[m>>2]=v+C;K=v}else K=w;v=z+12|0;C=f[v>>2]|0;L=z+16|0;if((C|0)==(f[L>>2]|0))M=di[f[(f[z>>2]|0)+36>>2]&1023](z)|0;else M=wjc(f[C>>2]|0)|0;if(Cmc(M,q,K,m,p,f[j>>2]|0,k,n,o,i)|0){F=K;G=E;break}C=f[v>>2]|0;if((C|0)==(f[L>>2]|0)){di[f[(f[z>>2]|0)+40>>2]&1023](z)|0;w=K;s=z;x=A;continue}else{f[v>>2]=C+4;wjc(f[C>>2]|0)|0;w=K;s=z;x=A;continue}}x=b[k+11>>0]|0;if((x<<24>>24<0?f[k+4>>2]|0:x&255)|0?(x=f[o>>2]|0,(x-n|0)<160):0){s=f[p>>2]|0;f[o>>2]=x+4;f[x>>2]=s}s=dmc(F,f[m>>2]|0,g,q)|0;q=h;f[q>>2]=s;f[q+4>>2]=J;Xlc(k,n,f[o>>2]|0,g);if(z){o=f[z+12>>2]|0;if((o|0)==(f[z+16>>2]|0))N=di[f[(f[A>>2]|0)+36>>2]&1023](z)|0;else N=wjc(f[o>>2]|0)|0;if(ekc(N,vjc()|0)|0){f[c>>2]=0;O=1}else O=0}else O=1;do if(G){N=f[G+12>>2]|0;if((N|0)==(f[G+16>>2]|0))P=di[f[(f[G>>2]|0)+36>>2]&1023](G)|0;else P=wjc(f[N>>2]|0)|0;if(!(ekc(P,vjc()|0)|0))if(O)break;else{H=49;break}else{f[d>>2]=0;H=47;break}}else H=47;while(0);if((H|0)==47?O:0)H=49;if((H|0)==49)f[g>>2]=f[g>>2]|2;g=f[c>>2]|0;quc(l);quc(k);u=a;return g|0}function Jmc(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0;e=u;u=u+16|0;g=e;dkc(g,b);b=Ilc(g,901908)|0;Cg[f[(f[b>>2]|0)+48>>2]&127](b,527664,527690,c)|0;c=Ilc(g,901916)|0;b=di[f[(f[c>>2]|0)+16>>2]&1023](c)|0;f[d>>2]=b;yh[f[(f[c>>2]|0)+20>>2]&2047](a,c);Jlc(g);u=e;return}function Kmc(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0;a=u;u=u+304|0;i=a+200|0;j=a+196|0;k=a+184|0;l=a+172|0;m=a+168|0;n=a+8|0;o=a+4|0;p=a;q=bmc(e)|0;Jmc(k,e,i,j);f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;e=0;while(1){if((e|0)==3)break;f[l+(e<<2)>>2]=0;e=e+1|0}e=l+11|0;r=l+8|0;if((b[e>>0]|0)<0)s=(f[r>>2]&2147483647)+-1|0;else s=10;xuc(l,s,0);s=(b[e>>0]|0)<0?f[l>>2]|0:l;f[m>>2]=s;f[o>>2]=n;f[p>>2]=0;t=l+4|0;v=f[c>>2]|0;w=s;s=v;x=v;a:while(1){if(s){v=f[s+12>>2]|0;if((v|0)==(f[s+16>>2]|0))y=di[f[(f[s>>2]|0)+36>>2]&1023](s)|0;else y=wjc(f[v>>2]|0)|0;if(ekc(y,vjc()|0)|0){f[c>>2]=0;z=0;A=0;B=1}else{z=s;A=x;B=0}}else{z=0;A=0;B=1}v=f[d>>2]|0;do if(v){C=f[v+12>>2]|0;if((C|0)==(f[v+16>>2]|0))D=di[f[(f[v>>2]|0)+36>>2]&1023](v)|0;else D=wjc(f[C>>2]|0)|0;if(!(ekc(D,vjc()|0)|0))if(B){E=v;break}else{F=w;G=v;break a}else{f[d>>2]=0;H=19;break}}else H=19;while(0);if((H|0)==19){H=0;if(B){F=w;G=0;break}else E=0}v=b[e>>0]|0;C=v<<24>>24<0?f[t>>2]|0:v&255;if((f[m>>2]|0)==(w+C|0)){xuc(l,C<<1,0);if((b[e>>0]|0)<0)I=(f[r>>2]&2147483647)+-1|0;else I=10;xuc(l,I,0);v=(b[e>>0]|0)<0?f[l>>2]|0:l;f[m>>2]=v+C;J=v}else J=w;v=z+12|0;C=f[v>>2]|0;K=z+16|0;if((C|0)==(f[K>>2]|0))L=di[f[(f[z>>2]|0)+36>>2]&1023](z)|0;else L=wjc(f[C>>2]|0)|0;if(Cmc(L,q,J,m,p,f[j>>2]|0,k,n,o,i)|0){F=J;G=E;break}C=f[v>>2]|0;if((C|0)==(f[K>>2]|0)){di[f[(f[z>>2]|0)+40>>2]&1023](z)|0;w=J;s=z;x=A;continue}else{f[v>>2]=C+4;wjc(f[C>>2]|0)|0;w=J;s=z;x=A;continue}}x=b[k+11>>0]|0;if((x<<24>>24<0?f[k+4>>2]|0:x&255)|0?(x=f[o>>2]|0,(x-n|0)<160):0){s=f[p>>2]|0;f[o>>2]=x+4;f[x>>2]=s}s=fmc(F,f[m>>2]|0,g,q)|0;f[h>>2]=s;Xlc(k,n,f[o>>2]|0,g);if(z){o=f[z+12>>2]|0;if((o|0)==(f[z+16>>2]|0))M=di[f[(f[A>>2]|0)+36>>2]&1023](z)|0;else M=wjc(f[o>>2]|0)|0;if(ekc(M,vjc()|0)|0){f[c>>2]=0;N=1}else N=0}else N=1;do if(G){M=f[G+12>>2]|0;if((M|0)==(f[G+16>>2]|0))O=di[f[(f[G>>2]|0)+36>>2]&1023](G)|0;else O=wjc(f[M>>2]|0)|0;if(!(ekc(O,vjc()|0)|0))if(N)break;else{H=49;break}else{f[d>>2]=0;H=47;break}}else H=47;while(0);if((H|0)==47?N:0)H=49;if((H|0)==49)f[g>>2]=f[g>>2]|2;g=f[c>>2]|0;quc(l);quc(k);u=a;return g|0}function Lmc(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0;a=u;u=u+304|0;i=a+200|0;j=a+196|0;k=a+184|0;l=a+172|0;m=a+168|0;n=a+8|0;o=a+4|0;p=a;q=bmc(e)|0;Jmc(k,e,i,j);f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;e=0;while(1){if((e|0)==3)break;f[l+(e<<2)>>2]=0;e=e+1|0}e=l+11|0;r=l+8|0;if((b[e>>0]|0)<0)s=(f[r>>2]&2147483647)+-1|0;else s=10;xuc(l,s,0);s=(b[e>>0]|0)<0?f[l>>2]|0:l;f[m>>2]=s;f[o>>2]=n;f[p>>2]=0;t=l+4|0;v=f[c>>2]|0;w=s;s=v;x=v;a:while(1){if(s){v=f[s+12>>2]|0;if((v|0)==(f[s+16>>2]|0))y=di[f[(f[s>>2]|0)+36>>2]&1023](s)|0;else y=wjc(f[v>>2]|0)|0;if(ekc(y,vjc()|0)|0){f[c>>2]=0;z=0;A=0;B=1}else{z=s;A=x;B=0}}else{z=0;A=0;B=1}v=f[d>>2]|0;do if(v){C=f[v+12>>2]|0;if((C|0)==(f[v+16>>2]|0))D=di[f[(f[v>>2]|0)+36>>2]&1023](v)|0;else D=wjc(f[C>>2]|0)|0;if(!(ekc(D,vjc()|0)|0))if(B){E=v;break}else{F=w;G=v;break a}else{f[d>>2]=0;H=19;break}}else H=19;while(0);if((H|0)==19){H=0;if(B){F=w;G=0;break}else E=0}v=b[e>>0]|0;C=v<<24>>24<0?f[t>>2]|0:v&255;if((f[m>>2]|0)==(w+C|0)){xuc(l,C<<1,0);if((b[e>>0]|0)<0)I=(f[r>>2]&2147483647)+-1|0;else I=10;xuc(l,I,0);v=(b[e>>0]|0)<0?f[l>>2]|0:l;f[m>>2]=v+C;J=v}else J=w;v=z+12|0;C=f[v>>2]|0;K=z+16|0;if((C|0)==(f[K>>2]|0))L=di[f[(f[z>>2]|0)+36>>2]&1023](z)|0;else L=wjc(f[C>>2]|0)|0;if(Cmc(L,q,J,m,p,f[j>>2]|0,k,n,o,i)|0){F=J;G=E;break}C=f[v>>2]|0;if((C|0)==(f[K>>2]|0)){di[f[(f[z>>2]|0)+40>>2]&1023](z)|0;w=J;s=z;x=A;continue}else{f[v>>2]=C+4;wjc(f[C>>2]|0)|0;w=J;s=z;x=A;continue}}x=b[k+11>>0]|0;if((x<<24>>24<0?f[k+4>>2]|0:x&255)|0?(x=f[o>>2]|0,(x-n|0)<160):0){s=f[p>>2]|0;f[o>>2]=x+4;f[x>>2]=s}s=hmc(F,f[m>>2]|0,g,q)|0;f[h>>2]=s;Xlc(k,n,f[o>>2]|0,g);if(z){o=f[z+12>>2]|0;if((o|0)==(f[z+16>>2]|0))M=di[f[(f[A>>2]|0)+36>>2]&1023](z)|0;else M=wjc(f[o>>2]|0)|0;if(ekc(M,vjc()|0)|0){f[c>>2]=0;N=1}else N=0}else N=1;do if(G){M=f[G+12>>2]|0;if((M|0)==(f[G+16>>2]|0))O=di[f[(f[G>>2]|0)+36>>2]&1023](G)|0;else O=wjc(f[M>>2]|0)|0;if(!(ekc(O,vjc()|0)|0))if(N)break;else{H=49;break}else{f[d>>2]=0;H=47;break}}else H=47;while(0);if((H|0)==47?N:0)H=49;if((H|0)==49)f[g>>2]=f[g>>2]|2;g=f[c>>2]|0;quc(l);quc(k);u=a;return g|0}function Mmc(a,c,e,g,h,i){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0;a=u;u=u+304|0;j=a+200|0;k=a+196|0;l=a+184|0;m=a+172|0;n=a+168|0;o=a+8|0;p=a+4|0;q=a;r=bmc(g)|0;Jmc(l,g,j,k);f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;g=0;while(1){if((g|0)==3)break;f[m+(g<<2)>>2]=0;g=g+1|0}g=m+11|0;s=m+8|0;if((b[g>>0]|0)<0)t=(f[s>>2]&2147483647)+-1|0;else t=10;xuc(m,t,0);t=(b[g>>0]|0)<0?f[m>>2]|0:m;f[n>>2]=t;f[p>>2]=o;f[q>>2]=0;v=m+4|0;w=f[c>>2]|0;x=t;t=w;y=w;a:while(1){if(t){w=f[t+12>>2]|0;if((w|0)==(f[t+16>>2]|0))z=di[f[(f[t>>2]|0)+36>>2]&1023](t)|0;else z=wjc(f[w>>2]|0)|0;if(ekc(z,vjc()|0)|0){f[c>>2]=0;A=0;B=0;C=1}else{A=t;B=y;C=0}}else{A=0;B=0;C=1}w=f[e>>2]|0;do if(w){D=f[w+12>>2]|0;if((D|0)==(f[w+16>>2]|0))E=di[f[(f[w>>2]|0)+36>>2]&1023](w)|0;else E=wjc(f[D>>2]|0)|0;if(!(ekc(E,vjc()|0)|0))if(C){F=w;break}else{G=x;H=w;break a}else{f[e>>2]=0;I=19;break}}else I=19;while(0);if((I|0)==19){I=0;if(C){G=x;H=0;break}else F=0}w=b[g>>0]|0;D=w<<24>>24<0?f[v>>2]|0:w&255;if((f[n>>2]|0)==(x+D|0)){xuc(m,D<<1,0);if((b[g>>0]|0)<0)J=(f[s>>2]&2147483647)+-1|0;else J=10;xuc(m,J,0);w=(b[g>>0]|0)<0?f[m>>2]|0:m;f[n>>2]=w+D;K=w}else K=x;w=A+12|0;D=f[w>>2]|0;L=A+16|0;if((D|0)==(f[L>>2]|0))M=di[f[(f[A>>2]|0)+36>>2]&1023](A)|0;else M=wjc(f[D>>2]|0)|0;if(Cmc(M,r,K,n,q,f[k>>2]|0,l,o,p,j)|0){G=K;H=F;break}D=f[w>>2]|0;if((D|0)==(f[L>>2]|0)){di[f[(f[A>>2]|0)+40>>2]&1023](A)|0;x=K;t=A;y=B;continue}else{f[w>>2]=D+4;wjc(f[D>>2]|0)|0;x=K;t=A;y=B;continue}}y=b[l+11>>0]|0;if((y<<24>>24<0?f[l+4>>2]|0:y&255)|0?(y=f[p>>2]|0,(y-o|0)<160):0){t=f[q>>2]|0;f[p>>2]=y+4;f[y>>2]=t}t=jmc(G,f[n>>2]|0,h,r)|0;d[i>>1]=t;Xlc(l,o,f[p>>2]|0,h);if(A){p=f[A+12>>2]|0;if((p|0)==(f[A+16>>2]|0))N=di[f[(f[B>>2]|0)+36>>2]&1023](A)|0;else N=wjc(f[p>>2]|0)|0;if(ekc(N,vjc()|0)|0){f[c>>2]=0;O=1}else O=0}else O=1;do if(H){N=f[H+12>>2]|0;if((N|0)==(f[H+16>>2]|0))P=di[f[(f[H>>2]|0)+36>>2]&1023](H)|0;else P=wjc(f[N>>2]|0)|0;if(!(ekc(P,vjc()|0)|0))if(O)break;else{I=49;break}else{f[e>>2]=0;I=47;break}}else I=47;while(0);if((I|0)==47?O:0)I=49;if((I|0)==49)f[h>>2]=f[h>>2]|2;h=f[c>>2]|0;quc(m);quc(l);u=a;return h|0}function Nmc(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0;a=u;u=u+304|0;i=a+200|0;j=a+196|0;k=a+184|0;l=a+172|0;m=a+168|0;n=a+8|0;o=a+4|0;p=a;q=bmc(e)|0;Jmc(k,e,i,j);f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;e=0;while(1){if((e|0)==3)break;f[l+(e<<2)>>2]=0;e=e+1|0}e=l+11|0;r=l+8|0;if((b[e>>0]|0)<0)s=(f[r>>2]&2147483647)+-1|0;else s=10;xuc(l,s,0);s=(b[e>>0]|0)<0?f[l>>2]|0:l;f[m>>2]=s;f[o>>2]=n;f[p>>2]=0;t=l+4|0;v=f[c>>2]|0;w=s;s=v;x=v;a:while(1){if(s){v=f[s+12>>2]|0;if((v|0)==(f[s+16>>2]|0))y=di[f[(f[s>>2]|0)+36>>2]&1023](s)|0;else y=wjc(f[v>>2]|0)|0;if(ekc(y,vjc()|0)|0){f[c>>2]=0;z=0;A=0;B=1}else{z=s;A=x;B=0}}else{z=0;A=0;B=1}v=f[d>>2]|0;do if(v){C=f[v+12>>2]|0;if((C|0)==(f[v+16>>2]|0))D=di[f[(f[v>>2]|0)+36>>2]&1023](v)|0;else D=wjc(f[C>>2]|0)|0;if(!(ekc(D,vjc()|0)|0))if(B){E=v;break}else{F=w;G=v;break a}else{f[d>>2]=0;H=19;break}}else H=19;while(0);if((H|0)==19){H=0;if(B){F=w;G=0;break}else E=0}v=b[e>>0]|0;C=v<<24>>24<0?f[t>>2]|0:v&255;if((f[m>>2]|0)==(w+C|0)){xuc(l,C<<1,0);if((b[e>>0]|0)<0)I=(f[r>>2]&2147483647)+-1|0;else I=10;xuc(l,I,0);v=(b[e>>0]|0)<0?f[l>>2]|0:l;f[m>>2]=v+C;K=v}else K=w;v=z+12|0;C=f[v>>2]|0;L=z+16|0;if((C|0)==(f[L>>2]|0))M=di[f[(f[z>>2]|0)+36>>2]&1023](z)|0;else M=wjc(f[C>>2]|0)|0;if(Cmc(M,q,K,m,p,f[j>>2]|0,k,n,o,i)|0){F=K;G=E;break}C=f[v>>2]|0;if((C|0)==(f[L>>2]|0)){di[f[(f[z>>2]|0)+40>>2]&1023](z)|0;w=K;s=z;x=A;continue}else{f[v>>2]=C+4;wjc(f[C>>2]|0)|0;w=K;s=z;x=A;continue}}x=b[k+11>>0]|0;if((x<<24>>24<0?f[k+4>>2]|0:x&255)|0?(x=f[o>>2]|0,(x-n|0)<160):0){s=f[p>>2]|0;f[o>>2]=x+4;f[x>>2]=s}s=lmc(F,f[m>>2]|0,g,q)|0;q=h;f[q>>2]=s;f[q+4>>2]=J;Xlc(k,n,f[o>>2]|0,g);if(z){o=f[z+12>>2]|0;if((o|0)==(f[z+16>>2]|0))N=di[f[(f[A>>2]|0)+36>>2]&1023](z)|0;else N=wjc(f[o>>2]|0)|0;if(ekc(N,vjc()|0)|0){f[c>>2]=0;O=1}else O=0}else O=1;do if(G){N=f[G+12>>2]|0;if((N|0)==(f[G+16>>2]|0))P=di[f[(f[G>>2]|0)+36>>2]&1023](G)|0;else P=wjc(f[N>>2]|0)|0;if(!(ekc(P,vjc()|0)|0))if(O)break;else{H=49;break}else{f[d>>2]=0;H=47;break}}else H=47;while(0);if((H|0)==47?O:0)H=49;if((H|0)==49)f[g>>2]=f[g>>2]|2;g=f[c>>2]|0;quc(l);quc(k);u=a;return g|0}function Omc(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0;a=u;u=u+304|0;i=a+200|0;j=a+196|0;k=a+184|0;l=a+172|0;m=a+168|0;n=a+8|0;o=a+4|0;p=a;q=bmc(e)|0;Jmc(k,e,i,j);f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;e=0;while(1){if((e|0)==3)break;f[l+(e<<2)>>2]=0;e=e+1|0}e=l+11|0;r=l+8|0;if((b[e>>0]|0)<0)s=(f[r>>2]&2147483647)+-1|0;else s=10;xuc(l,s,0);s=(b[e>>0]|0)<0?f[l>>2]|0:l;f[m>>2]=s;f[o>>2]=n;f[p>>2]=0;t=l+4|0;v=f[c>>2]|0;w=s;s=v;x=v;a:while(1){if(s){v=f[s+12>>2]|0;if((v|0)==(f[s+16>>2]|0))y=di[f[(f[s>>2]|0)+36>>2]&1023](s)|0;else y=wjc(f[v>>2]|0)|0;if(ekc(y,vjc()|0)|0){f[c>>2]=0;z=0;A=0;B=1}else{z=s;A=x;B=0}}else{z=0;A=0;B=1}v=f[d>>2]|0;do if(v){C=f[v+12>>2]|0;if((C|0)==(f[v+16>>2]|0))D=di[f[(f[v>>2]|0)+36>>2]&1023](v)|0;else D=wjc(f[C>>2]|0)|0;if(!(ekc(D,vjc()|0)|0))if(B){E=v;break}else{F=w;G=v;break a}else{f[d>>2]=0;H=19;break}}else H=19;while(0);if((H|0)==19){H=0;if(B){F=w;G=0;break}else E=0}v=b[e>>0]|0;C=v<<24>>24<0?f[t>>2]|0:v&255;if((f[m>>2]|0)==(w+C|0)){xuc(l,C<<1,0);if((b[e>>0]|0)<0)I=(f[r>>2]&2147483647)+-1|0;else I=10;xuc(l,I,0);v=(b[e>>0]|0)<0?f[l>>2]|0:l;f[m>>2]=v+C;J=v}else J=w;v=z+12|0;C=f[v>>2]|0;K=z+16|0;if((C|0)==(f[K>>2]|0))L=di[f[(f[z>>2]|0)+36>>2]&1023](z)|0;else L=wjc(f[C>>2]|0)|0;if(Cmc(L,q,J,m,p,f[j>>2]|0,k,n,o,i)|0){F=J;G=E;break}C=f[v>>2]|0;if((C|0)==(f[K>>2]|0)){di[f[(f[z>>2]|0)+40>>2]&1023](z)|0;w=J;s=z;x=A;continue}else{f[v>>2]=C+4;wjc(f[C>>2]|0)|0;w=J;s=z;x=A;continue}}x=b[k+11>>0]|0;if((x<<24>>24<0?f[k+4>>2]|0:x&255)|0?(x=f[o>>2]|0,(x-n|0)<160):0){s=f[p>>2]|0;f[o>>2]=x+4;f[x>>2]=s}s=nmc(F,f[m>>2]|0,g,q)|0;f[h>>2]=s;Xlc(k,n,f[o>>2]|0,g);if(z){o=f[z+12>>2]|0;if((o|0)==(f[z+16>>2]|0))M=di[f[(f[A>>2]|0)+36>>2]&1023](z)|0;else M=wjc(f[o>>2]|0)|0;if(ekc(M,vjc()|0)|0){f[c>>2]=0;N=1}else N=0}else N=1;do if(G){M=f[G+12>>2]|0;if((M|0)==(f[G+16>>2]|0))O=di[f[(f[G>>2]|0)+36>>2]&1023](G)|0;else O=wjc(f[M>>2]|0)|0;if(!(ekc(O,vjc()|0)|0))if(N)break;else{H=49;break}else{f[d>>2]=0;H=47;break}}else H=47;while(0);if((H|0)==47?N:0)H=49;if((H|0)==49)f[g>>2]=f[g>>2]|2;g=f[c>>2]|0;quc(l);quc(k);u=a;return g|0}function Pmc(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0;j=u;u=u+112|0;k=j;l=(e-d|0)/12|0;if(l>>>0>100){m=pec(l)|0;if(!m)huc();else{n=m;o=m}}else{n=k;o=0}k=0;m=l;l=d;p=n;while(1){if((l|0)==(e|0))break;q=b[l+8+3>>0]|0;if(q<<24>>24<0)r=f[l+4>>2]|0;else r=q&255;if(!r){b[p>>0]=2;s=k+1|0;t=m+-1|0}else{b[p>>0]=1;s=k;t=m}k=s;m=t;l=l+12|0;p=p+1|0}p=0;l=k;k=m;a:while(1){m=f[a>>2]|0;do if(m){t=f[m+12>>2]|0;if((t|0)==(f[m+16>>2]|0))v=di[f[(f[m>>2]|0)+36>>2]&1023](m)|0;else v=wjc(f[t>>2]|0)|0;if(ekc(v,vjc()|0)|0){f[a>>2]=0;w=1;break}else{w=(f[a>>2]|0)==0;break}}else w=1;while(0);m=f[c>>2]|0;if(m){t=f[m+12>>2]|0;if((t|0)==(f[m+16>>2]|0))x=di[f[(f[m>>2]|0)+36>>2]&1023](m)|0;else x=wjc(f[t>>2]|0)|0;if(ekc(x,vjc()|0)|0){f[c>>2]=0;y=0;z=1}else{y=m;z=0}}else{y=0;z=1}A=f[a>>2]|0;if(!((k|0)!=0&(w^z)))break;m=f[A+12>>2]|0;if((m|0)==(f[A+16>>2]|0))B=di[f[(f[A>>2]|0)+36>>2]&1023](A)|0;else B=wjc(f[m>>2]|0)|0;if(i)C=B;else C=Th[f[(f[g>>2]|0)+28>>2]&1023](g,B)|0;m=p+1|0;t=d;s=0;r=n;q=l;D=k;while(1){if((t|0)==(e|0))break;do if((b[r>>0]|0)==1){E=t+8+3|0;if((b[E>>0]|0)<0)F=f[t>>2]|0;else F=t;G=f[F+(p<<2)>>2]|0;if(i)H=G;else H=Th[f[(f[g>>2]|0)+28>>2]&1023](g,G)|0;G=D+-1|0;if((C|0)!=(H|0)){b[r>>0]=0;I=s;J=q;K=G;break}L=b[E>>0]|0;if(L<<24>>24<0)M=f[t+4>>2]|0;else M=L&255;if((M|0)==(m|0)){b[r>>0]=2;I=1;J=q+1|0;K=G}else{I=1;J=q;K=D}}else{I=s;J=q;K=D}while(0);t=t+12|0;s=I;r=r+1|0;q=J;D=K}if(!s){p=m;l=q;k=D;continue}r=f[a>>2]|0;t=r+12|0;G=f[t>>2]|0;if((G|0)==(f[r+16>>2]|0))di[f[(f[r>>2]|0)+40>>2]&1023](r)|0;else{f[t>>2]=G+4;wjc(f[G>>2]|0)|0}if((q+D|0)>>>0>1){N=d;O=n;P=q}else{p=m;l=q;k=D;continue}while(1){if((N|0)==(e|0)){p=m;l=P;k=D;continue a}if((b[O>>0]|0)==2){G=b[N+8+3>>0]|0;if(G<<24>>24<0)Q=f[N+4>>2]|0;else Q=G&255;if((Q|0)!=(m|0)){b[O>>0]=0;R=P+-1|0}else R=P}else R=P;N=N+12|0;O=O+1|0;P=R}}do if(A){R=f[A+12>>2]|0;if((R|0)==(f[A+16>>2]|0))S=di[f[(f[A>>2]|0)+36>>2]&1023](A)|0;else S=wjc(f[R>>2]|0)|0;if(ekc(S,vjc()|0)|0){f[a>>2]=0;T=1;break}else{T=(f[a>>2]|0)==0;break}}else T=1;while(0);do if(y){a=f[y+12>>2]|0;if((a|0)==(f[y+16>>2]|0))U=di[f[(f[y>>2]|0)+36>>2]&1023](y)|0;else U=wjc(f[a>>2]|0)|0;if(!(ekc(U,vjc()|0)|0))if(T){V=d;W=n;break}else{X=77;break}else{f[c>>2]=0;X=41;break}}else X=41;while(0);if((X|0)==41)if(T)X=77;else{V=d;W=n}if((X|0)==77){f[h>>2]=f[h>>2]|2;V=d;W=n}while(1){if((V|0)==(e|0)){X=81;break}if((b[W>>0]|0)==2){Y=V;break}V=V+12|0;W=W+1|0}if((X|0)==81){f[h>>2]=f[h>>2]|4;Y=e}qec(o);u=j;return Y|0}function Qmc(a){a=a|0;olc(a);return}function Rmc(a){a=a|0;olc(a);fuc(a);return}function Smc(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;h=u;u=u+16|0;i=h+4|0;j=h;if(!(f[d+4>>2]&1)){k=f[(f[a>>2]|0)+24>>2]|0;f[j>>2]=f[c>>2];f[i>>2]=f[j>>2];l=mh[k&127](a,i,d,e,g&1)|0}else{dkc(i,d);d=Ilc(i,901892)|0;Jlc(i);e=f[d>>2]|0;if(g)yh[f[e+24>>2]&2047](i,d);else yh[f[e+28>>2]&2047](i,d);d=i+11|0;e=b[d>>0]|0;if(e<<24>>24<0){m=e;n=f[i>>2]|0;o=8}else{p=i;q=e}while(1){if((o|0)==8){o=0;p=n;q=m}e=q<<24>>24<0;if((p|0)==((e?f[i>>2]|0:i)+(e?f[i+4>>2]|0:q&255)|0))break;e=b[p>>0]|0;g=f[c>>2]|0;if(g|0){a=g+24|0;k=f[a>>2]|0;if((k|0)==(f[g+28>>2]|0)){j=f[(f[g>>2]|0)+52>>2]|0;r=ejc(e)|0;s=Th[j&1023](g,r)|0}else{f[a>>2]=k+1;b[k>>0]=e;s=ejc(e)|0}if(ckc(s,djc()|0)|0)f[c>>2]=0}m=b[d>>0]|0;n=p+1|0;o=8}o=f[c>>2]|0;quc(i);l=o}u=h;return l|0}function Tmc(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;a=u;u=u+64|0;h=a;i=a+52|0;j=a+39|0;k=a+16|0;l=a+12|0;m=a+4|0;n=a+8|0;b[i>>0]=b[527915]|0;b[i+1>>0]=b[527916]|0;b[i+2>>0]=b[527917]|0;b[i+3>>0]=b[527918]|0;b[i+4>>0]=b[527919]|0;b[i+5>>0]=b[527920]|0;dnc(i+1|0,532075,1,f[d+4>>2]|0);o=Llc()|0;f[h>>2]=g;g=j+(_mc(j,13,o,i,h)|0)|0;i=$mc(j,g,d)|0;dkc(h,d);enc(j,i,g,k,l,m,h);Jlc(h);f[n>>2]=f[c>>2];c=f[l>>2]|0;l=f[m>>2]|0;f[h>>2]=f[n>>2];n=dE(h,k,c,l,d,e)|0;u=a;return n|0}function Umc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;a=u;u=u+96|0;h=a+8|0;i=a;j=a+71|0;k=a+28|0;l=a+24|0;m=a+16|0;n=a+20|0;o=i;f[o>>2]=37;f[o+4>>2]=0;dnc(i+1|0,532080,1,f[c+4>>2]|0);o=Llc()|0;p=h;f[p>>2]=e;f[p+4>>2]=g;g=j+(_mc(j,23,o,i,h)|0)|0;i=$mc(j,g,c)|0;dkc(h,c);enc(j,i,g,k,l,m,h);Jlc(h);f[n>>2]=f[b>>2];b=f[l>>2]|0;l=f[m>>2]|0;f[h>>2]=f[n>>2];n=dE(h,k,b,l,c,d)|0;u=a;return n|0}function Vmc(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;a=u;u=u+64|0;h=a;i=a+52|0;j=a+40|0;k=a+16|0;l=a+12|0;m=a+4|0;n=a+8|0;b[i>>0]=b[527915]|0;b[i+1>>0]=b[527916]|0;b[i+2>>0]=b[527917]|0;b[i+3>>0]=b[527918]|0;b[i+4>>0]=b[527919]|0;b[i+5>>0]=b[527920]|0;dnc(i+1|0,532075,0,f[d+4>>2]|0);o=Llc()|0;f[h>>2]=g;g=j+(_mc(j,12,o,i,h)|0)|0;i=$mc(j,g,d)|0;dkc(h,d);enc(j,i,g,k,l,m,h);Jlc(h);f[n>>2]=f[c>>2];c=f[l>>2]|0;l=f[m>>2]|0;f[h>>2]=f[n>>2];n=dE(h,k,c,l,d,e)|0;u=a;return n|0}function Wmc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;a=u;u=u+96|0;h=a+8|0;i=a;j=a+71|0;k=a+28|0;l=a+24|0;m=a+16|0;n=a+20|0;o=i;f[o>>2]=37;f[o+4>>2]=0;dnc(i+1|0,532080,0,f[c+4>>2]|0);o=Llc()|0;p=h;f[p>>2]=e;f[p+4>>2]=g;g=j+(_mc(j,23,o,i,h)|0)|0;i=$mc(j,g,c)|0;dkc(h,c);enc(j,i,g,k,l,m,h);Jlc(h);f[n>>2]=f[b>>2];b=f[l>>2]|0;l=f[m>>2]|0;f[h>>2]=f[n>>2];n=dE(h,k,b,l,c,d)|0;u=a;return n|0}function Xmc(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;a=u;u=u+176|0;g=a+72|0;h=a+48|0;i=a+32|0;j=a+24|0;k=a+8|0;l=a;m=a+134|0;n=a+68|0;o=a+76|0;q=a+64|0;r=a+60|0;s=a+56|0;t=l;f[t>>2]=37;f[t+4>>2]=0;t=anc(l+1|0,1171380,f[c+4>>2]|0)|0;f[n>>2]=m;v=Llc()|0;if(t){f[k>>2]=f[c+8>>2];p[k+8>>3]=e;w=_mc(m,30,v,l,k)|0}else{p[j>>3]=e;w=_mc(m,30,v,l,j)|0}if((w|0)>29){j=Llc()|0;if(t){f[i>>2]=f[c+8>>2];p[i+8>>3]=e;x=bnc(n,j,l,i)|0}else{p[h>>3]=e;x=bnc(n,j,l,h)|0}h=f[n>>2]|0;if(!h)huc();else{y=x;z=h;A=h}}else{y=w;z=0;A=f[n>>2]|0}n=A+y|0;w=$mc(A,n,c)|0;if((A|0)!=(m|0)){m=pec(y<<1)|0;if(!m)huc();else{B=m;C=m}}else{B=o;C=0}dkc(g,c);cnc(A,w,n,B,q,r,g);Jlc(g);f[s>>2]=f[b>>2];b=f[q>>2]|0;q=f[r>>2]|0;f[g>>2]=f[s>>2];s=dE(g,B,b,q,c,d)|0;qec(C);qec(z);u=a;return s|0}function Ymc(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;a=u;u=u+176|0;g=a+72|0;h=a+48|0;i=a+32|0;j=a+24|0;k=a+8|0;l=a;m=a+134|0;n=a+68|0;o=a+76|0;q=a+64|0;r=a+60|0;s=a+56|0;t=l;f[t>>2]=37;f[t+4>>2]=0;t=anc(l+1|0,527913,f[c+4>>2]|0)|0;f[n>>2]=m;v=Llc()|0;if(t){f[k>>2]=f[c+8>>2];p[k+8>>3]=e;w=_mc(m,30,v,l,k)|0}else{p[j>>3]=e;w=_mc(m,30,v,l,j)|0}if((w|0)>29){j=Llc()|0;if(t){f[i>>2]=f[c+8>>2];p[i+8>>3]=e;x=bnc(n,j,l,i)|0}else{p[h>>3]=e;x=bnc(n,j,l,h)|0}h=f[n>>2]|0;if(!h)huc();else{y=x;z=h;A=h}}else{y=w;z=0;A=f[n>>2]|0}n=A+y|0;w=$mc(A,n,c)|0;if((A|0)!=(m|0)){m=pec(y<<1)|0;if(!m)huc();else{B=m;C=m}}else{B=o;C=0}dkc(g,c);cnc(A,w,n,B,q,r,g);Jlc(g);f[s>>2]=f[b>>2];b=f[q>>2]|0;q=f[r>>2]|0;f[g>>2]=f[s>>2];s=dE(g,B,b,q,c,d)|0;qec(C);qec(z);u=a;return s|0}function Zmc(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0;a=u;u=u+80|0;h=a;i=a+68|0;j=a+48|0;k=a+8|0;l=a+4|0;b[i>>0]=b[527907]|0;b[i+1>>0]=b[527908]|0;b[i+2>>0]=b[527909]|0;b[i+3>>0]=b[527910]|0;b[i+4>>0]=b[527911]|0;b[i+5>>0]=b[527912]|0;m=Llc()|0;f[h>>2]=g;g=_mc(j,20,m,i,h)|0;i=j+g|0;m=$mc(j,i,d)|0;dkc(h,d);n=Ilc(h,901876)|0;Jlc(h);Cg[f[(f[n>>2]|0)+32>>2]&127](n,j,i,k)|0;n=k+g|0;f[l>>2]=f[c>>2];f[h>>2]=f[l>>2];l=dE(h,k,(m|0)==(i|0)?n:k+(m-j)|0,n,d,e)|0;u=a;return l|0}function _mc(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0;g=u;u=u+16|0;h=g;f[h>>2]=e;e=fgc(c)|0;c=vfc(a,b,d,h)|0;if(e|0)fgc(e)|0;u=g;return c|0}function $mc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0;a:do switch((f[d+4>>2]&176)<<24>>24){case 16:{e=b[a>>0]|0;g=a+1|0;switch(e<<24>>24){case 43:case 45:{h=g;break a;break}default:{}}if((c-a|0)>1&e<<24>>24==48){switch(b[g>>0]|0){case 88:case 120:break;default:{i=6;break a}}h=a+2|0}else i=6;break}case 32:{h=c;break}default:i=6}while(0);if((i|0)==6)h=a;return h|0}function anc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;if(!(d&2048))e=a;else{b[a>>0]=43;e=a+1|0}if(!(d&1024))f=e;else{b[e>>0]=35;f=e+1|0}e=d&260;a=(d&16384|0)!=0;d=(e|0)==260;if(d){g=0;h=f}else{b[f>>0]=46;b[f+1>>0]=42;g=1;h=f+2|0}f=c;c=h;while(1){h=b[f>>0]|0;if(!(h<<24>>24))break;b[c>>0]=h;f=f+1|0;c=c+1|0}a:do switch(e&511){case 4:{i=a?70:102;break}case 256:{i=a?69:101;break}default:if(d){i=a?65:97;break a}else{i=a?71:103;break a}}while(0);b[c>>0]=i;return g|0}function bnc(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0;e=u;u=u+16|0;g=e;f[g>>2]=d;d=fgc(b)|0;b=Nhc(a,c,g)|0;if(d|0)fgc(d)|0;u=e;return b|0}function cnc(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;j=u;u=u+16|0;k=j;l=Ilc(i,901876)|0;m=Ilc(i,901892)|0;yh[f[(f[m>>2]|0)+20>>2]&2047](k,m);f[h>>2]=e;i=b[a>>0]|0;switch(i<<24>>24){case 43:case 45:{n=Th[f[(f[l>>2]|0)+28>>2]&1023](l,i)|0;i=f[h>>2]|0;f[h>>2]=i+1;b[i>>0]=n;o=a+1|0;break}default:o=a}n=d;a:do if((n-o|0)>1?(b[o>>0]|0)==48:0){i=o+1|0;switch(b[i>>0]|0){case 88:case 120:break;default:{p=o;q=10;break a}}r=Th[f[(f[l>>2]|0)+28>>2]&1023](l,48)|0;s=f[h>>2]|0;f[h>>2]=s+1;b[s>>0]=r;r=o+2|0;s=Th[f[(f[l>>2]|0)+28>>2]&1023](l,b[i>>0]|0)|0;i=f[h>>2]|0;f[h>>2]=i+1;b[i>>0]=s;s=r;while(1){if(s>>>0>=d>>>0){t=r;v=s;break a}i=b[s>>0]|0;if(!(_fc(i,Llc()|0)|0)){t=r;v=s;break a}s=s+1|0}}else{p=o;q=10}while(0);b:do if((q|0)==10)while(1){q=0;if(p>>>0>=d>>>0){t=o;v=p;break b}s=b[p>>0]|0;if(!(rfc(s,Llc()|0)|0)){t=o;v=p;break b}p=p+1|0;q=10}while(0);p=k+11|0;o=b[p>>0]|0;s=k+4|0;r=t;i=a;c:do if((o<<24>>24<0?f[s>>2]|0:o&255)|0){d:do if((t|0)!=(v|0)){a=v;w=t;while(1){x=a+-1|0;if(w>>>0>=x>>>0)break d;y=b[w>>0]|0;b[w>>0]=b[x>>0]|0;b[x>>0]=y;a=x;w=w+1|0}}while(0);w=di[f[(f[m>>2]|0)+16>>2]&1023](m)|0;a=t;x=0;y=0;while(1){if(a>>>0>=v>>>0)break;z=b[((b[p>>0]|0)<0?f[k>>2]|0:k)+y>>0]|0;if(z<<24>>24>0&(x|0)==(z<<24>>24|0)){z=f[h>>2]|0;f[h>>2]=z+1;b[z>>0]=w;z=b[p>>0]|0;A=(y>>>0<((z<<24>>24<0?f[s>>2]|0:z&255)+-1|0)>>>0&1)+y|0;B=0}else{A=y;B=x}z=Th[f[(f[l>>2]|0)+28>>2]&1023](l,b[a>>0]|0)|0;C=f[h>>2]|0;f[h>>2]=C+1;b[C>>0]=z;a=a+1|0;x=B+1|0;y=A}y=e+(r-i)|0;x=f[h>>2]|0;if((y|0)==(x|0))D=l;else{a=x;x=y;while(1){y=a+-1|0;if(x>>>0>=y>>>0){D=l;break c}w=b[x>>0]|0;b[x>>0]=b[y>>0]|0;b[y>>0]=w;a=y;x=x+1|0}}}else{Cg[f[(f[l>>2]|0)+32>>2]&127](l,t,v,f[h>>2]|0)|0;f[h>>2]=(f[h>>2]|0)+(v-r);D=l}while(0);r=v;while(1){if(r>>>0>=d>>>0){E=r;break}v=b[r>>0]|0;F=r+1|0;if(v<<24>>24==46){q=29;break}t=Th[f[(f[D>>2]|0)+28>>2]&1023](l,v)|0;v=f[h>>2]|0;f[h>>2]=v+1;b[v>>0]=t;r=F}if((q|0)==29){q=di[f[(f[m>>2]|0)+12>>2]&1023](m)|0;m=f[h>>2]|0;f[h>>2]=m+1;b[m>>0]=q;E=F}Cg[f[(f[l>>2]|0)+32>>2]&127](l,E,d,f[h>>2]|0)|0;l=(f[h>>2]|0)+(n-E)|0;f[h>>2]=l;f[g>>2]=(c|0)==(d|0)?l:e+(c-i)|0;quc(k);u=j;return}function dnc(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0;if(!(e&2048))f=a;else{b[a>>0]=43;f=a+1|0}if(!(e&512)){g=c;h=f}else{b[f>>0]=35;g=c;h=f+1|0}while(1){f=b[g>>0]|0;if(!(f<<24>>24))break;b[h>>0]=f;g=g+1|0;h=h+1|0}switch(e&74){case 64:{i=111;break}case 8:{i=e&16384|0?88:120;break}default:i=d?100:117}b[h>>0]=i;return}function enc(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;j=u;u=u+16|0;k=j;l=Ilc(i,901876)|0;m=Ilc(i,901892)|0;yh[f[(f[m>>2]|0)+20>>2]&2047](k,m);i=k+11|0;n=b[i>>0]|0;o=k+4|0;p=a;q=d;if((n<<24>>24<0?f[o>>2]|0:n&255)|0){f[h>>2]=e;n=b[a>>0]|0;switch(n<<24>>24){case 43:case 45:{r=Th[f[(f[l>>2]|0)+28>>2]&1023](l,n)|0;n=f[h>>2]|0;f[h>>2]=n+1;b[n>>0]=r;s=a+1|0;break}default:s=a}a:do if((q-s|0)>1?(b[s>>0]|0)==48:0){r=s+1|0;switch(b[r>>0]|0){case 88:case 120:break;default:{t=s;break a}}n=Th[f[(f[l>>2]|0)+28>>2]&1023](l,48)|0;v=f[h>>2]|0;f[h>>2]=v+1;b[v>>0]=n;n=Th[f[(f[l>>2]|0)+28>>2]&1023](l,b[r>>0]|0)|0;r=f[h>>2]|0;f[h>>2]=r+1;b[r>>0]=n;t=s+2|0}else t=s;while(0);b:do if((t|0)!=(d|0)){s=d;n=t;while(1){r=s+-1|0;if(n>>>0>=r>>>0)break b;v=b[n>>0]|0;b[n>>0]=b[r>>0]|0;b[r>>0]=v;s=r;n=n+1|0}}while(0);n=di[f[(f[m>>2]|0)+16>>2]&1023](m)|0;m=t;s=0;r=0;while(1){if(m>>>0>=d>>>0)break;v=b[((b[i>>0]|0)<0?f[k>>2]|0:k)+s>>0]|0;if(v<<24>>24!=0&(r|0)==(v<<24>>24|0)){v=f[h>>2]|0;f[h>>2]=v+1;b[v>>0]=n;v=b[i>>0]|0;w=(s>>>0<((v<<24>>24<0?f[o>>2]|0:v&255)+-1|0)>>>0&1)+s|0;x=0}else{w=s;x=r}v=Th[f[(f[l>>2]|0)+28>>2]&1023](l,b[m>>0]|0)|0;y=f[h>>2]|0;f[h>>2]=y+1;b[y>>0]=v;m=m+1|0;s=w;r=x+1|0}x=e+(t-p)|0;t=f[h>>2]|0;if((x|0)==(t|0))z=x;else{r=t;t=x;while(1){x=r+-1|0;if(t>>>0>=x>>>0)break;w=b[t>>0]|0;b[t>>0]=b[x>>0]|0;b[x>>0]=w;r=x;t=t+1|0}z=f[h>>2]|0}}else{Cg[f[(f[l>>2]|0)+32>>2]&127](l,a,d,e)|0;a=e+(q-p)|0;f[h>>2]=a;z=a}f[g>>2]=(c|0)==(d|0)?z:e+(c-p)|0;quc(k);u=j;return}function fnc(a){a=a|0;olc(a);return}function gnc(a){a=a|0;olc(a);fuc(a);return}function hnc(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;h=u;u=u+16|0;i=h+4|0;j=h;if(!(f[d+4>>2]&1)){k=f[(f[a>>2]|0)+24>>2]|0;f[j>>2]=f[c>>2];f[i>>2]=f[j>>2];l=mh[k&127](a,i,d,e,g&1)|0}else{dkc(i,d);d=Ilc(i,901916)|0;Jlc(i);e=f[d>>2]|0;if(g)yh[f[e+24>>2]&2047](i,d);else yh[f[e+28>>2]&2047](i,d);d=i+8+3|0;e=b[d>>0]|0;g=f[i>>2]|0;a=i+4|0;k=e<<24>>24<0?g:i;j=e;e=g;while(1){g=j<<24>>24<0;if((k|0)==((g?e:i)+((g?f[a>>2]|0:j&255)<<2)|0))break;g=f[k>>2]|0;m=f[c>>2]|0;if(m|0){n=m+24|0;o=f[n>>2]|0;if((o|0)==(f[m+28>>2]|0)){p=f[(f[m>>2]|0)+52>>2]|0;q=wjc(g)|0;r=Th[p&1023](m,q)|0}else{f[n>>2]=o+4;f[o>>2]=g;r=wjc(g)|0}if(ekc(r,vjc()|0)|0)f[c>>2]=0}k=k+4|0;j=b[d>>0]|0;e=f[i>>2]|0}e=f[c>>2]|0;Ruc(i);l=e}u=h;return l|0}function inc(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;a=u;u=u+128|0;h=a;i=a+122|0;j=a+108|0;k=a+16|0;l=a+12|0;m=a+4|0;n=a+8|0;b[i>>0]=b[527915]|0;b[i+1>>0]=b[527916]|0;b[i+2>>0]=b[527917]|0;b[i+3>>0]=b[527918]|0;b[i+4>>0]=b[527919]|0;b[i+5>>0]=b[527920]|0;dnc(i+1|0,532075,1,f[d+4>>2]|0);o=Llc()|0;f[h>>2]=g;g=j+(_mc(j,13,o,i,h)|0)|0;i=$mc(j,g,d)|0;dkc(h,d);snc(j,i,g,k,l,m,h);Jlc(h);f[n>>2]=f[c>>2];c=f[l>>2]|0;l=f[m>>2]|0;f[h>>2]=f[n>>2];n=pnc(h,k,c,l,d,e)|0;u=a;return n|0}function jnc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;a=u;u=u+224|0;h=a+8|0;i=a;j=a+200|0;k=a+28|0;l=a+24|0;m=a+16|0;n=a+20|0;o=i;f[o>>2]=37;f[o+4>>2]=0;dnc(i+1|0,532080,1,f[c+4>>2]|0);o=Llc()|0;p=h;f[p>>2]=e;f[p+4>>2]=g;g=j+(_mc(j,23,o,i,h)|0)|0;i=$mc(j,g,c)|0;dkc(h,c);snc(j,i,g,k,l,m,h);Jlc(h);f[n>>2]=f[b>>2];b=f[l>>2]|0;l=f[m>>2]|0;f[h>>2]=f[n>>2];n=pnc(h,k,b,l,c,d)|0;u=a;return n|0}function knc(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;a=u;u=u+128|0;h=a;i=a+112|0;j=a+100|0;k=a+16|0;l=a+12|0;m=a+4|0;n=a+8|0;b[i>>0]=b[527915]|0;b[i+1>>0]=b[527916]|0;b[i+2>>0]=b[527917]|0;b[i+3>>0]=b[527918]|0;b[i+4>>0]=b[527919]|0;b[i+5>>0]=b[527920]|0;dnc(i+1|0,532075,0,f[d+4>>2]|0);o=Llc()|0;f[h>>2]=g;g=j+(_mc(j,12,o,i,h)|0)|0;i=$mc(j,g,d)|0;dkc(h,d);snc(j,i,g,k,l,m,h);Jlc(h);f[n>>2]=f[c>>2];c=f[l>>2]|0;l=f[m>>2]|0;f[h>>2]=f[n>>2];n=pnc(h,k,c,l,d,e)|0;u=a;return n|0}function lnc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;a=u;u=u+224|0;h=a+8|0;i=a;j=a+200|0;k=a+28|0;l=a+24|0;m=a+16|0;n=a+20|0;o=i;f[o>>2]=37;f[o+4>>2]=0;dnc(i+1|0,532080,0,f[c+4>>2]|0);o=Llc()|0;p=h;f[p>>2]=e;f[p+4>>2]=g;g=j+(_mc(j,23,o,i,h)|0)|0;i=$mc(j,g,c)|0;dkc(h,c);snc(j,i,g,k,l,m,h);Jlc(h);f[n>>2]=f[b>>2];b=f[l>>2]|0;l=f[m>>2]|0;f[h>>2]=f[n>>2];n=pnc(h,k,b,l,c,d)|0;u=a;return n|0}function mnc(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0;a=u;u=u+336|0;g=a+300|0;h=a+48|0;i=a+32|0;j=a+24|0;k=a+8|0;l=a;m=a+304|0;n=a+296|0;o=a+68|0;q=a+64|0;r=a+60|0;s=a+56|0;t=l;f[t>>2]=37;f[t+4>>2]=0;t=anc(l+1|0,1171380,f[c+4>>2]|0)|0;f[n>>2]=m;v=Llc()|0;if(t){f[k>>2]=f[c+8>>2];p[k+8>>3]=e;w=_mc(m,30,v,l,k)|0}else{p[j>>3]=e;w=_mc(m,30,v,l,j)|0}if((w|0)>29){j=Llc()|0;if(t){f[i>>2]=f[c+8>>2];p[i+8>>3]=e;x=bnc(n,j,l,i)|0}else{p[h>>3]=e;x=bnc(n,j,l,h)|0}h=f[n>>2]|0;if(!h)huc();else{y=x;z=h;A=h}}else{y=w;z=0;A=f[n>>2]|0}n=A+y|0;w=$mc(A,n,c)|0;do if((A|0)!=(m|0)){h=pec(y<<3)|0;if(!h)huc();else{B=h;C=0;D=h;break}}else{B=o;C=1;D=0}while(0);dkc(g,c);rnc(A,w,n,B,q,r,g);Jlc(g);f[s>>2]=f[b>>2];n=f[q>>2]|0;q=f[r>>2]|0;f[g>>2]=f[s>>2];s=pnc(g,B,n,q,c,d)|0;f[b>>2]=s;if(!C)qec(D);qec(z);u=a;return s|0}function nnc(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0;a=u;u=u+336|0;g=a+300|0;h=a+48|0;i=a+32|0;j=a+24|0;k=a+8|0;l=a;m=a+304|0;n=a+296|0;o=a+68|0;q=a+64|0;r=a+60|0;s=a+56|0;t=l;f[t>>2]=37;f[t+4>>2]=0;t=anc(l+1|0,527913,f[c+4>>2]|0)|0;f[n>>2]=m;v=Llc()|0;if(t){f[k>>2]=f[c+8>>2];p[k+8>>3]=e;w=_mc(m,30,v,l,k)|0}else{p[j>>3]=e;w=_mc(m,30,v,l,j)|0}if((w|0)>29){j=Llc()|0;if(t){f[i>>2]=f[c+8>>2];p[i+8>>3]=e;x=bnc(n,j,l,i)|0}else{p[h>>3]=e;x=bnc(n,j,l,h)|0}h=f[n>>2]|0;if(!h)huc();else{y=x;z=h;A=h}}else{y=w;z=0;A=f[n>>2]|0}n=A+y|0;w=$mc(A,n,c)|0;do if((A|0)!=(m|0)){h=pec(y<<3)|0;if(!h)huc();else{B=h;C=0;D=h;break}}else{B=o;C=1;D=0}while(0);dkc(g,c);rnc(A,w,n,B,q,r,g);Jlc(g);f[s>>2]=f[b>>2];n=f[q>>2]|0;q=f[r>>2]|0;f[g>>2]=f[s>>2];s=pnc(g,B,n,q,c,d)|0;f[b>>2]=s;if(!C)qec(D);qec(z);u=a;return s|0}function onc(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0;a=u;u=u+192|0;h=a;i=a+176|0;j=a+156|0;k=a+4|0;l=a+152|0;b[i>>0]=b[527907]|0;b[i+1>>0]=b[527908]|0;b[i+2>>0]=b[527909]|0;b[i+3>>0]=b[527910]|0;b[i+4>>0]=b[527911]|0;b[i+5>>0]=b[527912]|0;m=Llc()|0;f[h>>2]=g;g=_mc(j,20,m,i,h)|0;i=j+g|0;m=$mc(j,i,d)|0;dkc(h,d);n=Ilc(h,901908)|0;Jlc(h);Cg[f[(f[n>>2]|0)+48>>2]&127](n,j,i,k)|0;n=k+(g<<2)|0;f[l>>2]=f[c>>2];f[h>>2]=f[l>>2];l=pnc(h,k,(m|0)==(i|0)?n:k+(m-j<<2)|0,n,d,e)|0;u=a;return l|0}function pnc(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;i=u;u=u+16|0;j=i+12|0;k=i;l=f[a>>2]|0;a:do if(!l)m=0;else{n=e;o=c;p=n-o>>2;q=g+12|0;r=f[q>>2]|0;s=(r|0)>(p|0)?r-p|0:0;p=d;r=p-o|0;o=r>>2;if((r|0)>0?(li[f[(f[l>>2]|0)+48>>2]&511](l,c,o)|0)!=(o|0):0){f[a>>2]=0;m=0;break}do if((s|0)>0){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;if(s>>>0>1073741807)muc(k);do if(s>>>0>=2){o=s+4&2147483644;if(o>>>0>1073741823)Re();else{r=cuc(o<<2)|0;f[k>>2]=r;t=k+8|0;f[t>>2]=o|-2147483648;f[k+4>>2]=s;v=r;w=t+3|0;x=k;break}}else{t=k+8+3|0;b[t>>0]=s;v=k;w=t;x=k}while(0);qnc(v,s,h)|0;f[j>>2]=0;ulc(v+(s<<2)|0,j);if((li[f[(f[l>>2]|0)+48>>2]&511](l,(b[w>>0]|0)<0?f[k>>2]|0:x,s)|0)==(s|0)){Ruc(k);break}else{f[a>>2]=0;Ruc(k);m=0;break a}}while(0);s=n-p|0;t=s>>2;if((s|0)>0?(li[f[(f[l>>2]|0)+48>>2]&511](l,d,t)|0)!=(t|0):0){f[a>>2]=0;m=0;break}f[q>>2]=0;m=l}while(0);u=i;return m|0}function qnc(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;if(!b)d=a;else{dhc(a,c,b)|0;d=a}return d|0}function rnc(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;j=u;u=u+16|0;k=j;l=Ilc(i,901908)|0;m=Ilc(i,901916)|0;yh[f[(f[m>>2]|0)+20>>2]&2047](k,m);f[h>>2]=e;i=b[a>>0]|0;switch(i<<24>>24){case 43:case 45:{n=Th[f[(f[l>>2]|0)+44>>2]&1023](l,i)|0;i=f[h>>2]|0;f[h>>2]=i+4;f[i>>2]=n;o=a+1|0;break}default:o=a}n=d;a:do if((n-o|0)>1?(b[o>>0]|0)==48:0){i=o+1|0;switch(b[i>>0]|0){case 88:case 120:break;default:{p=o;q=10;break a}}r=Th[f[(f[l>>2]|0)+44>>2]&1023](l,48)|0;s=f[h>>2]|0;f[h>>2]=s+4;f[s>>2]=r;r=o+2|0;s=Th[f[(f[l>>2]|0)+44>>2]&1023](l,b[i>>0]|0)|0;i=f[h>>2]|0;f[h>>2]=i+4;f[i>>2]=s;s=r;while(1){if(s>>>0>=d>>>0){t=r;v=s;break a}i=b[s>>0]|0;if(!(_fc(i,Llc()|0)|0)){t=r;v=s;break a}s=s+1|0}}else{p=o;q=10}while(0);b:do if((q|0)==10)while(1){q=0;if(p>>>0>=d>>>0){t=o;v=p;break b}s=b[p>>0]|0;if(!(rfc(s,Llc()|0)|0)){t=o;v=p;break b}p=p+1|0;q=10}while(0);p=k+11|0;o=b[p>>0]|0;s=k+4|0;r=t;i=a;c:do if((o<<24>>24<0?f[s>>2]|0:o&255)|0){d:do if((t|0)!=(v|0)){a=v;w=t;while(1){x=a+-1|0;if(w>>>0>=x>>>0)break d;y=b[w>>0]|0;b[w>>0]=b[x>>0]|0;b[x>>0]=y;a=x;w=w+1|0}}while(0);w=di[f[(f[m>>2]|0)+16>>2]&1023](m)|0;a=t;x=0;y=0;while(1){if(a>>>0>=v>>>0)break;z=b[p>>0]|0;A=z<<24>>24<0;B=b[(A?f[k>>2]|0:k)+x>>0]|0;if(B<<24>>24>0&(y|0)==(B<<24>>24|0)){B=f[h>>2]|0;f[h>>2]=B+4;f[B>>2]=w;C=(x>>>0<((A?f[s>>2]|0:z&255)+-1|0)>>>0&1)+x|0;D=0}else{C=x;D=y}z=Th[f[(f[l>>2]|0)+44>>2]&1023](l,b[a>>0]|0)|0;A=f[h>>2]|0;f[h>>2]=A+4;f[A>>2]=z;a=a+1|0;x=C;y=D+1|0}y=e+(r-i<<2)|0;x=f[h>>2]|0;if((y|0)==(x|0)){E=l;F=y}else{a=x;w=y;while(1){y=a+-4|0;if(w>>>0>=y>>>0){E=l;F=x;break c}z=f[w>>2]|0;f[w>>2]=f[y>>2];f[y>>2]=z;a=y;w=w+4|0}}}else{Cg[f[(f[l>>2]|0)+48>>2]&127](l,t,v,f[h>>2]|0)|0;w=(f[h>>2]|0)+(v-r<<2)|0;f[h>>2]=w;E=l;F=w}while(0);r=v;v=F;while(1){if(r>>>0>=d>>>0){G=r;H=v;break}F=b[r>>0]|0;I=r+1|0;if(F<<24>>24==46){q=29;break}t=Th[f[(f[E>>2]|0)+44>>2]&1023](l,F)|0;F=f[h>>2]|0;D=F+4|0;f[h>>2]=D;f[F>>2]=t;r=I;v=D}if((q|0)==29){q=di[f[(f[m>>2]|0)+12>>2]&1023](m)|0;m=f[h>>2]|0;v=m+4|0;f[h>>2]=v;f[m>>2]=q;G=I;H=v}Cg[f[(f[l>>2]|0)+48>>2]&127](l,G,d,H)|0;H=(f[h>>2]|0)+(n-G<<2)|0;f[h>>2]=H;f[g>>2]=(c|0)==(d|0)?H:e+(c-i<<2)|0;quc(k);u=j;return}function snc(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;j=u;u=u+16|0;k=j;l=Ilc(i,901908)|0;m=Ilc(i,901916)|0;yh[f[(f[m>>2]|0)+20>>2]&2047](k,m);i=k+11|0;n=b[i>>0]|0;o=k+4|0;p=a;q=d;if((n<<24>>24<0?f[o>>2]|0:n&255)|0){f[h>>2]=e;n=b[a>>0]|0;switch(n<<24>>24){case 43:case 45:{r=Th[f[(f[l>>2]|0)+44>>2]&1023](l,n)|0;n=f[h>>2]|0;f[h>>2]=n+4;f[n>>2]=r;s=a+1|0;break}default:s=a}a:do if((q-s|0)>1?(b[s>>0]|0)==48:0){r=s+1|0;switch(b[r>>0]|0){case 88:case 120:break;default:{t=s;break a}}n=Th[f[(f[l>>2]|0)+44>>2]&1023](l,48)|0;v=f[h>>2]|0;f[h>>2]=v+4;f[v>>2]=n;n=Th[f[(f[l>>2]|0)+44>>2]&1023](l,b[r>>0]|0)|0;r=f[h>>2]|0;f[h>>2]=r+4;f[r>>2]=n;t=s+2|0}else t=s;while(0);b:do if((t|0)!=(d|0)){s=d;n=t;while(1){r=s+-1|0;if(n>>>0>=r>>>0)break b;v=b[n>>0]|0;b[n>>0]=b[r>>0]|0;b[r>>0]=v;s=r;n=n+1|0}}while(0);n=di[f[(f[m>>2]|0)+16>>2]&1023](m)|0;m=t;s=0;r=0;while(1){if(m>>>0>=d>>>0)break;v=b[i>>0]|0;w=v<<24>>24<0;x=b[(w?f[k>>2]|0:k)+s>>0]|0;if(x<<24>>24!=0&(r|0)==(x<<24>>24|0)){x=f[h>>2]|0;f[h>>2]=x+4;f[x>>2]=n;y=(s>>>0<((w?f[o>>2]|0:v&255)+-1|0)>>>0&1)+s|0;z=0}else{y=s;z=r}v=Th[f[(f[l>>2]|0)+44>>2]&1023](l,b[m>>0]|0)|0;w=f[h>>2]|0;f[h>>2]=w+4;f[w>>2]=v;m=m+1|0;s=y;r=z+1|0}z=e+(t-p<<2)|0;t=f[h>>2]|0;if((z|0)==(t|0))A=z;else{r=t;t=z;while(1){z=r+-4|0;if(t>>>0>=z>>>0)break;y=f[t>>2]|0;f[t>>2]=f[z>>2];f[z>>2]=y;r=z;t=t+4|0}A=f[h>>2]|0}}else{Cg[f[(f[l>>2]|0)+48>>2]&127](l,a,d,e)|0;a=e+(q-p<<2)|0;f[h>>2]=a;A=a}f[g>>2]=(c|0)==(d|0)?A:e+(c-p<<2)|0;quc(k);u=j;return}function tnc(a){a=a|0;olc(a);return}function unc(a){a=a|0;olc(a);fuc(a);return}function vnc(a){a=a|0;return 2}function wnc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0;h=u;u=u+16|0;i=h+12|0;j=h+8|0;k=h+4|0;l=h;f[k>>2]=f[b>>2];f[l>>2]=f[c>>2];f[j>>2]=f[k>>2];f[i>>2]=f[l>>2];l=Rnc(a,j,i,d,e,g,528438,528446)|0;u=h;return l|0}function xnc(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;i=u;u=u+16|0;j=i+12|0;k=i+8|0;l=i+4|0;m=i;n=a+8|0;o=di[f[(f[n>>2]|0)+20>>2]&1023](n)|0;f[l>>2]=f[c>>2];f[m>>2]=f[d>>2];d=b[o+11>>0]|0;c=d<<24>>24<0;n=c?f[o>>2]|0:o;p=n+(c?f[o+4>>2]|0:d&255)|0;f[k>>2]=f[l>>2];f[j>>2]=f[m>>2];m=Rnc(a,k,j,e,g,h,n,p)|0;u=i;return m|0}function ync(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0;h=u;u=u+16|0;i=h+4|0;j=h;dkc(i,d);d=Ilc(i,901876)|0;Jlc(i);f[j>>2]=f[c>>2];f[i>>2]=f[j>>2];Pnc(a,g+24|0,b,i,e,d);u=h;return f[b>>2]|0}function znc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0;h=u;u=u+16|0;i=h+4|0;j=h;dkc(i,d);d=Ilc(i,901876)|0;Jlc(i);f[j>>2]=f[c>>2];f[i>>2]=f[j>>2];Qnc(a,g+16|0,b,i,e,d);u=h;return f[b>>2]|0}function Anc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0;h=u;u=u+16|0;i=h+4|0;j=h;dkc(i,d);d=Ilc(i,901876)|0;Jlc(i);f[j>>2]=f[c>>2];f[i>>2]=f[j>>2];aoc(a,g+20|0,b,i,e,d);u=h;return f[b>>2]|0}function Bnc(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0;j=u;u=u+144|0;k=j+128|0;l=j+112|0;m=j+124|0;n=j+120|0;o=j+116|0;p=j+108|0;q=j+104|0;r=j+100|0;s=j+96|0;t=j+92|0;v=j+88|0;w=j+84|0;x=j+80|0;y=j+76|0;z=j+72|0;A=j+68|0;B=j+64|0;C=j+60|0;D=j+56|0;E=j+52|0;F=j+48|0;G=j+44|0;H=j+40|0;I=j+36|0;J=j+32|0;K=j+28|0;L=j+24|0;M=j+20|0;N=j+16|0;O=j+12|0;P=j+8|0;Q=j+4|0;R=j;f[g>>2]=0;dkc(k,e);S=Ilc(k,901876)|0;Jlc(k);T=h+8|0;U=h+20|0;V=h+16|0;W=h+24|0;X=a+8|0;do switch(i<<24>>24|0){case 65:case 97:{f[m>>2]=f[d>>2];f[k>>2]=f[m>>2];Pnc(a,W,c,k,g,S);Y=26;break}case 104:case 66:case 98:{f[n>>2]=f[d>>2];f[k>>2]=f[n>>2];Qnc(a,V,c,k,g,S);Y=26;break}case 99:{Z=di[f[(f[X>>2]|0)+12>>2]&1023](X)|0;f[o>>2]=f[c>>2];f[p>>2]=f[d>>2];_=b[Z+11>>0]|0;$=_<<24>>24<0;aa=$?f[Z>>2]|0:Z;ba=aa+($?f[Z+4>>2]|0:_&255)|0;f[l>>2]=f[o>>2];f[k>>2]=f[p>>2];_=Rnc(a,l,k,e,g,h,aa,ba)|0;f[c>>2]=_;Y=26;break}case 101:case 100:{f[q>>2]=f[d>>2];f[k>>2]=f[q>>2];Snc(a,h+12|0,c,k,g,S);Y=26;break}case 68:{f[r>>2]=f[c>>2];f[s>>2]=f[d>>2];f[l>>2]=f[r>>2];f[k>>2]=f[s>>2];_=Rnc(a,l,k,e,g,h,528398,528406)|0;f[c>>2]=_;Y=26;break}case 70:{f[t>>2]=f[c>>2];f[v>>2]=f[d>>2];f[l>>2]=f[t>>2];f[k>>2]=f[v>>2];_=Rnc(a,l,k,e,g,h,528406,528414)|0;f[c>>2]=_;Y=26;break}case 72:{f[w>>2]=f[d>>2];f[k>>2]=f[w>>2];Tnc(a,T,c,k,g,S);Y=26;break}case 73:{f[x>>2]=f[d>>2];f[k>>2]=f[x>>2];Unc(a,T,c,k,g,S);Y=26;break}case 106:{f[y>>2]=f[d>>2];f[k>>2]=f[y>>2];Vnc(a,h+28|0,c,k,g,S);Y=26;break}case 109:{f[z>>2]=f[d>>2];f[k>>2]=f[z>>2];Wnc(a,V,c,k,g,S);Y=26;break}case 77:{f[A>>2]=f[d>>2];f[k>>2]=f[A>>2];Xnc(a,h+4|0,c,k,g,S);Y=26;break}case 116:case 110:{f[B>>2]=f[d>>2];f[k>>2]=f[B>>2];Ync(a,c,k,g,S);Y=26;break}case 112:{f[C>>2]=f[d>>2];f[k>>2]=f[C>>2];Znc(a,T,c,k,g,S);Y=26;break}case 114:{f[D>>2]=f[c>>2];f[E>>2]=f[d>>2];f[l>>2]=f[D>>2];f[k>>2]=f[E>>2];_=Rnc(a,l,k,e,g,h,528414,528425)|0;f[c>>2]=_;Y=26;break}case 82:{f[F>>2]=f[c>>2];f[G>>2]=f[d>>2];f[l>>2]=f[F>>2];f[k>>2]=f[G>>2];_=Rnc(a,l,k,e,g,h,528425,528430)|0;f[c>>2]=_;Y=26;break}case 83:{f[H>>2]=f[d>>2];f[k>>2]=f[H>>2];_nc(a,h,c,k,g,S);Y=26;break}case 84:{f[I>>2]=f[c>>2];f[J>>2]=f[d>>2];f[l>>2]=f[I>>2];f[k>>2]=f[J>>2];_=Rnc(a,l,k,e,g,h,528430,528438)|0;f[c>>2]=_;Y=26;break}case 119:{f[K>>2]=f[d>>2];f[k>>2]=f[K>>2];$nc(a,W,c,k,g,S);Y=26;break}case 120:{_=f[(f[a>>2]|0)+20>>2]|0;f[L>>2]=f[c>>2];f[M>>2]=f[d>>2];f[l>>2]=f[L>>2];f[k>>2]=f[M>>2];ca=Wf[_&127](a,l,k,e,g,h)|0;break}case 88:{_=di[f[(f[X>>2]|0)+24>>2]&1023](X)|0;f[N>>2]=f[c>>2];f[O>>2]=f[d>>2];ba=b[_+11>>0]|0;aa=ba<<24>>24<0;Z=aa?f[_>>2]|0:_;$=Z+(aa?f[_+4>>2]|0:ba&255)|0;f[l>>2]=f[N>>2];f[k>>2]=f[O>>2];ba=Rnc(a,l,k,e,g,h,Z,$)|0;f[c>>2]=ba;Y=26;break}case 121:{f[P>>2]=f[d>>2];f[k>>2]=f[P>>2];aoc(a,U,c,k,g,S);Y=26;break}case 89:{f[Q>>2]=f[d>>2];f[k>>2]=f[Q>>2];boc(a,U,c,k,g,S);Y=26;break}case 37:{f[R>>2]=f[d>>2];f[k>>2]=f[R>>2];coc(a,c,k,g,S);Y=26;break}default:{f[g>>2]=f[g>>2]|4;Y=26}}while(0);if((Y|0)==26)ca=f[c>>2]|0;u=j;return ca|0}function Cnc(a){a=a|0;if((b[544696]|0)==0?$yc(544696)|0:0){Nnc();f[225687]=902580}return f[225687]|0}function Dnc(a){a=a|0;if((b[544680]|0)==0?$yc(544680)|0:0){Lnc();f[225644]=902288}return f[225644]|0}function Enc(a){a=a|0;if((b[544664]|0)==0?$yc(544664)|0:0){Jnc();f[225571]=901996}return f[225571]|0}function Fnc(a){a=a|0;var c=0,d=0,e=0,g=0,h=0;a=u;u=u+16|0;c=a;if((b[544656]|0)==0?$yc(544656)|0:0){f[225496]=0;f[225497]=0;f[225498]=0;d=_jc(528156)|0;if(d>>>0>4294967279)muc(901984);if(d>>>0<11){b[901995]=d;e=901984}else{g=d+16&-16;h=cuc(g)|0;f[225496]=h;f[225498]=g|-2147483648;f[225497]=d;e=h}fjc(e,528156,d)|0;b[c>>0]=0;$jc(e+d|0,c);Bd(1936,901984,x|0)|0}u=a;return 901984}function Gnc(a){a=a|0;var c=0,d=0,e=0,g=0,h=0;a=u;u=u+16|0;c=a;if((b[544648]|0)==0?$yc(544648)|0:0){f[225493]=0;f[225494]=0;f[225495]=0;d=_jc(528144)|0;if(d>>>0>4294967279)muc(901972);if(d>>>0<11){b[901983]=d;e=901972}else{g=d+16&-16;h=cuc(g)|0;f[225493]=h;f[225495]=g|-2147483648;f[225494]=d;e=h}fjc(e,528144,d)|0;b[c>>0]=0;$jc(e+d|0,c);Bd(1936,901972,x|0)|0}u=a;return 901972}function Hnc(a){a=a|0;var c=0,d=0,e=0,g=0,h=0;a=u;u=u+16|0;c=a;if((b[544640]|0)==0?$yc(544640)|0:0){f[225490]=0;f[225491]=0;f[225492]=0;d=_jc(528135)|0;if(d>>>0>4294967279)muc(901960);if(d>>>0<11){b[901971]=d;e=901960}else{g=d+16&-16;h=cuc(g)|0;f[225490]=h;f[225492]=g|-2147483648;f[225491]=d;e=h}fjc(e,528135,d)|0;b[c>>0]=0;$jc(e+d|0,c);Bd(1936,901960,x|0)|0}u=a;return 901960}function Inc(a){a=a|0;var c=0,d=0,e=0,g=0,h=0;a=u;u=u+16|0;c=a;if((b[544632]|0)==0?$yc(544632)|0:0){f[225487]=0;f[225488]=0;f[225489]=0;d=_jc(528126)|0;if(d>>>0>4294967279)muc(901948);if(d>>>0<11){b[901959]=d;e=901948}else{g=d+16&-16;h=cuc(g)|0;f[225487]=h;f[225489]=g|-2147483648;f[225488]=d;e=h}fjc(e,528126,d)|0;b[c>>0]=0;$jc(e+d|0,c);Bd(1936,901948,x|0)|0}u=a;return 901948}function Jnc(){var a=0,c=0;if((b[544672]|0)==0?$yc(544672)|0:0){a=901996;do{f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;c=0;while(1){if((c|0)==3)break;f[a+(c<<2)>>2]=0;c=c+1|0}a=a+12|0}while((a|0)!=902284);Bd(2022,0,x|0)|0}wuc(901996,528177)|0;wuc(902008,528180)|0;return}function Knc(a){a=a|0;a=902284;do{a=a+-12|0;quc(a)}while((a|0)!=901996);return}function Lnc(){var a=0,c=0;if((b[544688]|0)==0?$yc(544688)|0:0){a=902288;do{f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;c=0;while(1){if((c|0)==3)break;f[a+(c<<2)>>2]=0;c=c+1|0}a=a+12|0}while((a|0)!=902576);Bd(2023,0,x|0)|0}wuc(902288,528183)|0;wuc(902300,528191)|0;wuc(902312,528200)|0;wuc(902324,528206)|0;wuc(902336,528212)|0;wuc(902348,528216)|0;wuc(902360,528221)|0;wuc(902372,528226)|0;wuc(902384,528233)|0;wuc(902396,528243)|0;wuc(902408,528251)|0;wuc(902420,528260)|0;wuc(902432,528269)|0;wuc(902444,528273)|0;wuc(902456,528277)|0;wuc(902468,528281)|0;wuc(902480,528212)|0;wuc(902492,528285)|0;wuc(902504,528289)|0;wuc(902516,528293)|0;wuc(902528,528297)|0;wuc(902540,528301)|0;wuc(902552,528305)|0;wuc(902564,528309)|0;return}function Mnc(a){a=a|0;a=902576;do{a=a+-12|0;quc(a)}while((a|0)!=902288);return}function Nnc(){var a=0,c=0;if((b[544704]|0)==0?$yc(544704)|0:0){a=902580;do{f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;c=0;while(1){if((c|0)==3)break;f[a+(c<<2)>>2]=0;c=c+1|0}a=a+12|0}while((a|0)!=902748);Bd(2024,0,x|0)|0}wuc(902580,528313)|0;wuc(902592,528320)|0;wuc(902604,528327)|0;wuc(902616,528335)|0;wuc(902628,528345)|0;wuc(902640,528354)|0;wuc(902652,528361)|0;wuc(902664,528370)|0;wuc(902676,528374)|0;wuc(902688,528378)|0;wuc(902700,528382)|0;wuc(902712,528386)|0;wuc(902724,528390)|0;wuc(902736,528394)|0;return}function Onc(a){a=a|0;a=902748;do{a=a+-12|0;quc(a)}while((a|0)!=902580);return}function Pnc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0;h=u;u=u+16|0;i=h+4|0;j=h;k=a+8|0;a=di[f[f[k>>2]>>2]&1023](k)|0;f[j>>2]=f[d>>2];f[i>>2]=f[j>>2];j=(omc(c,i,a,a+168|0,g,e,0)|0)-a|0;if((j|0)<168)f[b>>2]=((j|0)/12|0|0)%7|0;u=h;return}function Qnc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0;h=u;u=u+16|0;i=h+4|0;j=h;k=a+8|0;a=di[f[(f[k>>2]|0)+4>>2]&1023](k)|0;f[j>>2]=f[d>>2];f[i>>2]=f[j>>2];j=(omc(c,i,a,a+288|0,g,e,0)|0)-a|0;if((j|0)<288)f[b>>2]=((j|0)/12|0|0)%12|0;u=h;return}function Rnc(a,c,e,g,h,i,j,k){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0;l=u;u=u+16|0;m=l+12|0;n=l+8|0;o=l+4|0;p=l;dkc(m,g);q=Ilc(m,901876)|0;Jlc(m);f[h>>2]=0;r=q+8|0;s=j;j=0;a:while(1){t=(s|0)!=(k|0);v=j;while(1){w=f[c>>2]|0;if(!(t&(v|0)==0)){x=w;break a}y=w;if(w){z=f[w+12>>2]|0;if((z|0)==(f[w+16>>2]|0))A=di[f[(f[w>>2]|0)+36>>2]&1023](w)|0;else A=ejc(b[z>>0]|0)|0;if(ckc(A,djc()|0)|0){f[c>>2]=0;B=0;C=1;D=0}else{B=w;C=0;D=y}}else{B=0;C=1;D=y}y=f[e>>2]|0;w=y;do if(y){z=f[y+12>>2]|0;if((z|0)==(f[y+16>>2]|0))E=di[f[(f[y>>2]|0)+36>>2]&1023](y)|0;else E=ejc(b[z>>0]|0)|0;if(!(ckc(E,djc()|0)|0))if(C){F=y;G=w;break}else{H=61;break a}else{f[e>>2]=0;I=0;H=16;break}}else{I=w;H=16}while(0);if((H|0)==16){H=0;if(C){H=61;break a}else{F=0;G=I}}if((li[f[(f[q>>2]|0)+36>>2]&511](q,b[s>>0]|0,0)|0)<<24>>24==37){H=19;break}w=b[s>>0]|0;if(w<<24>>24>-1?(J=f[r>>2]|0,d[J+(w<<24>>24<<1)>>1]&8192):0){K=s;H=27;break}L=B+12|0;w=f[L>>2]|0;M=B+16|0;if((w|0)==(f[M>>2]|0))N=di[f[(f[B>>2]|0)+36>>2]&1023](B)|0;else N=ejc(b[w>>0]|0)|0;w=Th[f[(f[q>>2]|0)+12>>2]&1023](q,N&255)|0;if(w<<24>>24==(Th[f[(f[q>>2]|0)+12>>2]&1023](q,b[s>>0]|0)|0)<<24>>24){H=57;break}f[h>>2]=4;v=4}b:do if((H|0)==19){H=0;v=s+1|0;if((v|0)==(k|0)){H=61;break a}t=li[f[(f[q>>2]|0)+36>>2]&511](q,b[v>>0]|0,0)|0;switch(t<<24>>24){case 48:case 69:{w=s+2|0;if((w|0)==(k|0)){H=61;break a}O=t;P=li[f[(f[q>>2]|0)+36>>2]&511](q,b[w>>0]|0,0)|0;Q=v;break}default:{O=0;P=t;Q=s}}t=f[(f[a>>2]|0)+36>>2]|0;f[o>>2]=D;f[p>>2]=G;f[n>>2]=f[o>>2];f[m>>2]=f[p>>2];v=Ei[t&15](a,n,m,g,h,i,P,O)|0;f[c>>2]=v;R=Q+2|0}else if((H|0)==27){while(1){H=0;v=K+1|0;if((v|0)==(k|0)){S=k;break}t=b[v>>0]|0;if(t<<24>>24<=-1){S=v;break}if(!(d[J+(t<<24>>24<<1)>>1]&8192)){S=v;break}else{K=v;H=27}}v=B;t=F;w=F;while(1){if(v){y=f[v+12>>2]|0;if((y|0)==(f[v+16>>2]|0))T=di[f[(f[v>>2]|0)+36>>2]&1023](v)|0;else T=ejc(b[y>>0]|0)|0;if(ckc(T,djc()|0)|0){f[c>>2]=0;U=1;V=0}else{U=0;V=v}}else{U=1;V=0}do if(w){y=f[w+12>>2]|0;if((y|0)==(f[w+16>>2]|0))W=di[f[(f[w>>2]|0)+36>>2]&1023](w)|0;else W=ejc(b[y>>0]|0)|0;if(!(ckc(W,djc()|0)|0))if(U^(t|0)==0){X=t;Y=t;break}else{R=S;break b}else{f[e>>2]=0;Z=0;H=43;break}}else{Z=t;H=43}while(0);if((H|0)==43){H=0;if(U){R=S;break b}else{X=Z;Y=0}}y=V+12|0;z=f[y>>2]|0;_=V+16|0;if((z|0)==(f[_>>2]|0))$=di[f[(f[V>>2]|0)+36>>2]&1023](V)|0;else $=ejc(b[z>>0]|0)|0;if(($&255)<<24>>24<=-1){R=S;break b}if(!(d[(f[r>>2]|0)+($<<24>>24<<1)>>1]&8192)){R=S;break b}z=f[y>>2]|0;if((z|0)==(f[_>>2]|0)){di[f[(f[V>>2]|0)+40>>2]&1023](V)|0;v=V;t=X;w=Y;continue}else{f[y>>2]=z+1;ejc(b[z>>0]|0)|0;v=V;t=X;w=Y;continue}}}else if((H|0)==57){H=0;w=s+1|0;t=f[L>>2]|0;if((t|0)==(f[M>>2]|0)){di[f[(f[B>>2]|0)+40>>2]&1023](B)|0;R=w;break}else{f[L>>2]=t+1;ejc(b[t>>0]|0)|0;R=w;break}}while(0);s=R;j=f[h>>2]|0}if((H|0)==61){f[h>>2]=4;x=B}if(x){B=f[x+12>>2]|0;if((B|0)==(f[x+16>>2]|0))aa=di[f[(f[x>>2]|0)+36>>2]&1023](x)|0;else aa=ejc(b[B>>0]|0)|0;if(ckc(aa,djc()|0)|0){f[c>>2]=0;ba=0;ca=1}else{ba=x;ca=0}}else{ba=0;ca=1}x=f[e>>2]|0;do if(x){c=f[x+12>>2]|0;if((c|0)==(f[x+16>>2]|0))da=di[f[(f[x>>2]|0)+36>>2]&1023](x)|0;else da=ejc(b[c>>0]|0)|0;if(!(ckc(da,djc()|0)|0))if(ca)break;else{H=76;break}else{f[e>>2]=0;H=74;break}}else H=74;while(0);if((H|0)==74?ca:0)H=76;if((H|0)==76)f[h>>2]=f[h>>2]|2;u=l;return ba|0}function Snc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0;a=u;u=u+16|0;h=a+4|0;i=a;f[i>>2]=f[d>>2];f[h>>2]=f[i>>2];i=doc(c,h,e,g,2)|0;g=f[e>>2]|0;if((i+-1|0)>>>0<31&(g&4|0)==0)f[b>>2]=i;else f[e>>2]=g|4;u=a;return}function Tnc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0;a=u;u=u+16|0;h=a+4|0;i=a;f[i>>2]=f[d>>2];f[h>>2]=f[i>>2];i=doc(c,h,e,g,2)|0;g=f[e>>2]|0;if((i|0)<24&(g&4|0)==0)f[b>>2]=i;else f[e>>2]=g|4;u=a;return}function Unc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0;a=u;u=u+16|0;h=a+4|0;i=a;f[i>>2]=f[d>>2];f[h>>2]=f[i>>2];i=doc(c,h,e,g,2)|0;g=f[e>>2]|0;if((i+-1|0)>>>0<12&(g&4|0)==0)f[b>>2]=i;else f[e>>2]=g|4;u=a;return}function Vnc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0;a=u;u=u+16|0;h=a+4|0;i=a;f[i>>2]=f[d>>2];f[h>>2]=f[i>>2];i=doc(c,h,e,g,3)|0;g=f[e>>2]|0;if((i|0)<366&(g&4|0)==0)f[b>>2]=i;else f[e>>2]=g|4;u=a;return}function Wnc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0;a=u;u=u+16|0;h=a+4|0;i=a;f[i>>2]=f[d>>2];f[h>>2]=f[i>>2];i=doc(c,h,e,g,2)|0;g=f[e>>2]|0;if((i|0)<13&(g&4|0)==0)f[b>>2]=i+-1;else f[e>>2]=g|4;u=a;return}function Xnc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0;a=u;u=u+16|0;h=a+4|0;i=a;f[i>>2]=f[d>>2];f[h>>2]=f[i>>2];i=doc(c,h,e,g,2)|0;g=f[e>>2]|0;if((i|0)<60&(g&4|0)==0)f[b>>2]=i;else f[e>>2]=g|4;u=a;return}function Ync(a,c,e,g,h){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;a=h+8|0;a:while(1){h=f[c>>2]|0;do if(h){i=f[h+12>>2]|0;if((i|0)==(f[h+16>>2]|0))j=di[f[(f[h>>2]|0)+36>>2]&1023](h)|0;else j=ejc(b[i>>0]|0)|0;if(ckc(j,djc()|0)|0){f[c>>2]=0;k=1;break}else{k=(f[c>>2]|0)==0;break}}else k=1;while(0);h=f[e>>2]|0;do if(h){i=f[h+12>>2]|0;if((i|0)==(f[h+16>>2]|0))l=di[f[(f[h>>2]|0)+36>>2]&1023](h)|0;else l=ejc(b[i>>0]|0)|0;if(!(ckc(l,djc()|0)|0))if(k){m=h;break}else{n=h;break a}else{f[e>>2]=0;o=15;break}}else o=15;while(0);if((o|0)==15){o=0;if(k){n=0;break}else m=0}h=f[c>>2]|0;i=f[h+12>>2]|0;if((i|0)==(f[h+16>>2]|0))p=di[f[(f[h>>2]|0)+36>>2]&1023](h)|0;else p=ejc(b[i>>0]|0)|0;if((p&255)<<24>>24<=-1){n=m;break}if(!(d[(f[a>>2]|0)+(p<<24>>24<<1)>>1]&8192)){n=m;break}i=f[c>>2]|0;h=i+12|0;q=f[h>>2]|0;if((q|0)==(f[i+16>>2]|0)){di[f[(f[i>>2]|0)+40>>2]&1023](i)|0;continue}else{f[h>>2]=q+1;ejc(b[q>>0]|0)|0;continue}}m=f[c>>2]|0;do if(m){p=f[m+12>>2]|0;if((p|0)==(f[m+16>>2]|0))r=di[f[(f[m>>2]|0)+36>>2]&1023](m)|0;else r=ejc(b[p>>0]|0)|0;if(ckc(r,djc()|0)|0){f[c>>2]=0;s=1;break}else{s=(f[c>>2]|0)==0;break}}else s=1;while(0);do if(n){c=f[n+12>>2]|0;if((c|0)==(f[n+16>>2]|0))t=di[f[(f[n>>2]|0)+36>>2]&1023](n)|0;else t=ejc(b[c>>0]|0)|0;if(!(ckc(t,djc()|0)|0))if(s)break;else{o=40;break}else{f[e>>2]=0;o=38;break}}else o=38;while(0);if((o|0)==38?s:0)o=40;if((o|0)==40)f[g>>2]=f[g>>2]|2;return}function Znc(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0;i=u;u=u+16|0;j=i+4|0;k=i;l=a+8|0;a=di[f[(f[l>>2]|0)+8>>2]&1023](l)|0;l=b[a+11>>0]|0;if(l<<24>>24<0)m=f[a+4>>2]|0;else m=l&255;l=b[a+12+11>>0]|0;if(l<<24>>24<0)n=f[a+16>>2]|0;else n=l&255;do if((m|0)!=(0-n|0)){f[k>>2]=f[e>>2];f[j>>2]=f[k>>2];l=(omc(d,j,a,a+24|0,h,g,0)|0)-a|0;o=f[c>>2]|0;if((o|0)==12&(l|0)==0){f[c>>2]=0;break}if((o|0)<12&(l|0)==12)f[c>>2]=o+12}else f[g>>2]=f[g>>2]|4;while(0);u=i;return}function _nc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0;a=u;u=u+16|0;h=a+4|0;i=a;f[i>>2]=f[d>>2];f[h>>2]=f[i>>2];i=doc(c,h,e,g,2)|0;g=f[e>>2]|0;if((i|0)<61&(g&4|0)==0)f[b>>2]=i;else f[e>>2]=g|4;u=a;return}function $nc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0;a=u;u=u+16|0;h=a+4|0;i=a;f[i>>2]=f[d>>2];f[h>>2]=f[i>>2];i=doc(c,h,e,g,1)|0;g=f[e>>2]|0;if((i|0)<7&(g&4|0)==0)f[b>>2]=i;else f[e>>2]=g|4;u=a;return}function aoc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0;a=u;u=u+16|0;h=a+4|0;i=a;f[i>>2]=f[d>>2];f[h>>2]=f[i>>2];i=doc(c,h,e,g,4)|0;if(!(f[e>>2]&4)){if((i|0)<69)j=i+2e3|0;else j=(i|0)<100?i+1900|0:i;f[b>>2]=j+-1900}u=a;return}function boc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0;a=u;u=u+16|0;h=a+4|0;i=a;f[i>>2]=f[d>>2];f[h>>2]=f[i>>2];i=doc(c,h,e,g,4)|0;if(!(f[e>>2]&4))f[b>>2]=i+-1900;u=a;return}function coc(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;a=f[c>>2]|0;do if(a){h=f[a+12>>2]|0;if((h|0)==(f[a+16>>2]|0))i=di[f[(f[a>>2]|0)+36>>2]&1023](a)|0;else i=ejc(b[h>>0]|0)|0;if(ckc(i,djc()|0)|0){f[c>>2]=0;j=1;break}else{j=(f[c>>2]|0)==0;break}}else j=1;while(0);i=f[d>>2]|0;do if(i){a=f[i+12>>2]|0;if((a|0)==(f[i+16>>2]|0))k=di[f[(f[i>>2]|0)+36>>2]&1023](i)|0;else k=ejc(b[a>>0]|0)|0;if(!(ckc(k,djc()|0)|0))if(j){l=i;m=16;break}else{n=6;m=38;break}else{f[d>>2]=0;m=14;break}}else m=14;while(0);if((m|0)==14)if(j){n=6;m=38}else{l=0;m=16}a:do if((m|0)==16){j=f[c>>2]|0;i=f[j+12>>2]|0;if((i|0)==(f[j+16>>2]|0))o=di[f[(f[j>>2]|0)+36>>2]&1023](j)|0;else o=ejc(b[i>>0]|0)|0;if((li[f[(f[g>>2]|0)+36>>2]&511](g,o&255,0)|0)<<24>>24==37){i=f[c>>2]|0;j=i+12|0;k=f[j>>2]|0;if((k|0)==(f[i+16>>2]|0))di[f[(f[i>>2]|0)+40>>2]&1023](i)|0;else{f[j>>2]=k+1;ejc(b[k>>0]|0)|0}k=f[c>>2]|0;do if(k){j=f[k+12>>2]|0;if((j|0)==(f[k+16>>2]|0))p=di[f[(f[k>>2]|0)+36>>2]&1023](k)|0;else p=ejc(b[j>>0]|0)|0;if(ckc(p,djc()|0)|0){f[c>>2]=0;q=1;break}else{q=(f[c>>2]|0)==0;break}}else q=1;while(0);do if(l|0){k=f[l+12>>2]|0;if((k|0)==(f[l+16>>2]|0))r=di[f[(f[l>>2]|0)+36>>2]&1023](l)|0;else r=ejc(b[k>>0]|0)|0;if(!(ckc(r,djc()|0)|0))if(q)break a;else{n=2;m=38;break a}else{f[d>>2]=0;break}}while(0);if(q){n=2;m=38}}else{n=4;m=38}}while(0);if((m|0)==38)f[e>>2]=f[e>>2]|n;return}function doc(a,c,e,g,h){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;i=f[a>>2]|0;do if(i){j=f[i+12>>2]|0;if((j|0)==(f[i+16>>2]|0))k=di[f[(f[i>>2]|0)+36>>2]&1023](i)|0;else k=ejc(b[j>>0]|0)|0;if(ckc(k,djc()|0)|0){f[a>>2]=0;l=1;break}else{l=(f[a>>2]|0)==0;break}}else l=1;while(0);k=f[c>>2]|0;do if(k){i=f[k+12>>2]|0;if((i|0)==(f[k+16>>2]|0))m=di[f[(f[k>>2]|0)+36>>2]&1023](k)|0;else m=ejc(b[i>>0]|0)|0;if(!(ckc(m,djc()|0)|0))if(l){n=k;o=17;break}else{o=16;break}else{f[c>>2]=0;o=14;break}}else o=14;while(0);if((o|0)==14)if(l)o=16;else{n=0;o=17}a:do if((o|0)==16){f[e>>2]=f[e>>2]|6;p=0}else if((o|0)==17){l=f[a>>2]|0;k=f[l+12>>2]|0;if((k|0)==(f[l+16>>2]|0))q=di[f[(f[l>>2]|0)+36>>2]&1023](l)|0;else q=ejc(b[k>>0]|0)|0;k=q&255;if(k<<24>>24>-1?(l=g+8|0,d[(f[l>>2]|0)+(q<<24>>24<<1)>>1]&2048):0){m=(li[f[(f[g>>2]|0)+36>>2]&511](g,k,0)|0)<<24>>24;k=f[a>>2]|0;i=k+12|0;j=f[i>>2]|0;if((j|0)==(f[k+16>>2]|0)){di[f[(f[k>>2]|0)+40>>2]&1023](k)|0;r=m;s=h;t=n;u=n}else{f[i>>2]=j+1;ejc(b[j>>0]|0)|0;r=m;s=h;t=n;u=n}while(1){v=r+-48|0;m=s+-1|0;j=f[a>>2]|0;do if(j){i=f[j+12>>2]|0;if((i|0)==(f[j+16>>2]|0))w=di[f[(f[j>>2]|0)+36>>2]&1023](j)|0;else w=ejc(b[i>>0]|0)|0;if(ckc(w,djc()|0)|0){f[a>>2]=0;x=1;break}else{x=(f[a>>2]|0)==0;break}}else x=1;while(0);do if(u){j=f[u+12>>2]|0;if((j|0)==(f[u+16>>2]|0))y=di[f[(f[u>>2]|0)+36>>2]&1023](u)|0;else y=ejc(b[j>>0]|0)|0;if(ckc(y,djc()|0)|0){f[c>>2]=0;z=0;A=1;B=0;break}else{z=t;A=(t|0)==0;B=t;break}}else{z=t;A=1;B=0}while(0);C=f[a>>2]|0;if(!((s|0)>1&(x^A)))break;j=f[C+12>>2]|0;if((j|0)==(f[C+16>>2]|0))D=di[f[(f[C>>2]|0)+36>>2]&1023](C)|0;else D=ejc(b[j>>0]|0)|0;j=D&255;if(j<<24>>24<=-1){p=v;break a}if(!(d[(f[l>>2]|0)+(D<<24>>24<<1)>>1]&2048)){p=v;break a}i=((li[f[(f[g>>2]|0)+36>>2]&511](g,j,0)|0)<<24>>24)+(v*10|0)|0;j=f[a>>2]|0;k=j+12|0;E=f[k>>2]|0;if((E|0)==(f[j+16>>2]|0)){di[f[(f[j>>2]|0)+40>>2]&1023](j)|0;r=i;s=m;t=z;u=B;continue}else{f[k>>2]=E+1;ejc(b[E>>0]|0)|0;r=i;s=m;t=z;u=B;continue}}do if(C){l=f[C+12>>2]|0;if((l|0)==(f[C+16>>2]|0))F=di[f[(f[C>>2]|0)+36>>2]&1023](C)|0;else F=ejc(b[l>>0]|0)|0;if(ckc(F,djc()|0)|0){f[a>>2]=0;G=1;break}else{G=(f[a>>2]|0)==0;break}}else G=1;while(0);do if(z){l=f[z+12>>2]|0;if((l|0)==(f[z+16>>2]|0))H=di[f[(f[z>>2]|0)+36>>2]&1023](z)|0;else H=ejc(b[l>>0]|0)|0;if(!(ckc(H,djc()|0)|0))if(G){p=v;break a}else break;else{f[c>>2]=0;o=62;break}}else o=62;while(0);if((o|0)==62?!G:0){p=v;break}f[e>>2]=f[e>>2]|2;p=v;break}f[e>>2]=f[e>>2]|4;p=0}while(0);return p|0}function eoc(a){a=a|0;olc(a);return}function foc(a){a=a|0;olc(a);fuc(a);return}function goc(a){a=a|0;return 2}function hoc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0;h=u;u=u+16|0;i=h+12|0;j=h+8|0;k=h+4|0;l=h;f[k>>2]=f[b>>2];f[l>>2]=f[c>>2];f[j>>2]=f[k>>2];f[i>>2]=f[l>>2];l=Doc(a,j,i,d,e,g,165908,165940)|0;u=h;return l|0}function ioc(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;i=u;u=u+16|0;j=i+12|0;k=i+8|0;l=i+4|0;m=i;n=a+8|0;o=di[f[(f[n>>2]|0)+20>>2]&1023](n)|0;f[l>>2]=f[c>>2];f[m>>2]=f[d>>2];d=b[o+8+3>>0]|0;c=d<<24>>24<0;n=c?f[o>>2]|0:o;p=n+((c?f[o+4>>2]|0:d&255)<<2)|0;f[k>>2]=f[l>>2];f[j>>2]=f[m>>2];m=Doc(a,k,j,e,g,h,n,p)|0;u=i;return m|0}function joc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0;h=u;u=u+16|0;i=h+4|0;j=h;dkc(i,d);d=Ilc(i,901908)|0;Jlc(i);f[j>>2]=f[c>>2];f[i>>2]=f[j>>2];Boc(a,g+24|0,b,i,e,d);u=h;return f[b>>2]|0}function koc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0;h=u;u=u+16|0;i=h+4|0;j=h;dkc(i,d);d=Ilc(i,901908)|0;Jlc(i);f[j>>2]=f[c>>2];f[i>>2]=f[j>>2];Coc(a,g+16|0,b,i,e,d);u=h;return f[b>>2]|0}function loc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0;h=u;u=u+16|0;i=h+4|0;j=h;dkc(i,d);d=Ilc(i,901908)|0;Jlc(i);f[j>>2]=f[c>>2];f[i>>2]=f[j>>2];Ooc(a,g+20|0,b,i,e,d);u=h;return f[b>>2]|0}function moc(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0;j=u;u=u+144|0;k=j+128|0;l=j+112|0;m=j+124|0;n=j+120|0;o=j+116|0;p=j+108|0;q=j+104|0;r=j+100|0;s=j+96|0;t=j+92|0;v=j+88|0;w=j+84|0;x=j+80|0;y=j+76|0;z=j+72|0;A=j+68|0;B=j+64|0;C=j+60|0;D=j+56|0;E=j+52|0;F=j+48|0;G=j+44|0;H=j+40|0;I=j+36|0;J=j+32|0;K=j+28|0;L=j+24|0;M=j+20|0;N=j+16|0;O=j+12|0;P=j+8|0;Q=j+4|0;R=j;f[g>>2]=0;dkc(k,e);S=Ilc(k,901908)|0;Jlc(k);T=h+8|0;U=h+20|0;V=h+16|0;W=h+24|0;X=a+8|0;do switch(i<<24>>24|0){case 65:case 97:{f[m>>2]=f[d>>2];f[k>>2]=f[m>>2];Boc(a,W,c,k,g,S);Y=26;break}case 104:case 66:case 98:{f[n>>2]=f[d>>2];f[k>>2]=f[n>>2];Coc(a,V,c,k,g,S);Y=26;break}case 99:{Z=di[f[(f[X>>2]|0)+12>>2]&1023](X)|0;f[o>>2]=f[c>>2];f[p>>2]=f[d>>2];_=b[Z+8+3>>0]|0;$=_<<24>>24<0;aa=$?f[Z>>2]|0:Z;ba=aa+(($?f[Z+4>>2]|0:_&255)<<2)|0;f[l>>2]=f[o>>2];f[k>>2]=f[p>>2];_=Doc(a,l,k,e,g,h,aa,ba)|0;f[c>>2]=_;Y=26;break}case 101:case 100:{f[q>>2]=f[d>>2];f[k>>2]=f[q>>2];Eoc(a,h+12|0,c,k,g,S);Y=26;break}case 68:{f[r>>2]=f[c>>2];f[s>>2]=f[d>>2];f[l>>2]=f[r>>2];f[k>>2]=f[s>>2];_=Doc(a,l,k,e,g,h,165748,165780)|0;f[c>>2]=_;Y=26;break}case 70:{f[t>>2]=f[c>>2];f[v>>2]=f[d>>2];f[l>>2]=f[t>>2];f[k>>2]=f[v>>2];_=Doc(a,l,k,e,g,h,165780,165812)|0;f[c>>2]=_;Y=26;break}case 72:{f[w>>2]=f[d>>2];f[k>>2]=f[w>>2];Foc(a,T,c,k,g,S);Y=26;break}case 73:{f[x>>2]=f[d>>2];f[k>>2]=f[x>>2];Goc(a,T,c,k,g,S);Y=26;break}case 106:{f[y>>2]=f[d>>2];f[k>>2]=f[y>>2];Hoc(a,h+28|0,c,k,g,S);Y=26;break}case 109:{f[z>>2]=f[d>>2];f[k>>2]=f[z>>2];Ioc(a,V,c,k,g,S);Y=26;break}case 77:{f[A>>2]=f[d>>2];f[k>>2]=f[A>>2];Joc(a,h+4|0,c,k,g,S);Y=26;break}case 116:case 110:{f[B>>2]=f[d>>2];f[k>>2]=f[B>>2];Koc(a,c,k,g,S);Y=26;break}case 112:{f[C>>2]=f[d>>2];f[k>>2]=f[C>>2];Loc(a,T,c,k,g,S);Y=26;break}case 114:{f[D>>2]=f[c>>2];f[E>>2]=f[d>>2];f[l>>2]=f[D>>2];f[k>>2]=f[E>>2];_=Doc(a,l,k,e,g,h,165812,165856)|0;f[c>>2]=_;Y=26;break}case 82:{f[F>>2]=f[c>>2];f[G>>2]=f[d>>2];f[l>>2]=f[F>>2];f[k>>2]=f[G>>2];_=Doc(a,l,k,e,g,h,165856,165876)|0;f[c>>2]=_;Y=26;break}case 83:{f[H>>2]=f[d>>2];f[k>>2]=f[H>>2];Moc(a,h,c,k,g,S);Y=26;break}case 84:{f[I>>2]=f[c>>2];f[J>>2]=f[d>>2];f[l>>2]=f[I>>2];f[k>>2]=f[J>>2];_=Doc(a,l,k,e,g,h,165876,165908)|0;f[c>>2]=_;Y=26;break}case 119:{f[K>>2]=f[d>>2];f[k>>2]=f[K>>2];Noc(a,W,c,k,g,S);Y=26;break}case 120:{_=f[(f[a>>2]|0)+20>>2]|0;f[L>>2]=f[c>>2];f[M>>2]=f[d>>2];f[l>>2]=f[L>>2];f[k>>2]=f[M>>2];ca=Wf[_&127](a,l,k,e,g,h)|0;break}case 88:{_=di[f[(f[X>>2]|0)+24>>2]&1023](X)|0;f[N>>2]=f[c>>2];f[O>>2]=f[d>>2];ba=b[_+8+3>>0]|0;aa=ba<<24>>24<0;Z=aa?f[_>>2]|0:_;$=Z+((aa?f[_+4>>2]|0:ba&255)<<2)|0;f[l>>2]=f[N>>2];f[k>>2]=f[O>>2];ba=Doc(a,l,k,e,g,h,Z,$)|0;f[c>>2]=ba;Y=26;break}case 121:{f[P>>2]=f[d>>2];f[k>>2]=f[P>>2];Ooc(a,U,c,k,g,S);Y=26;break}case 89:{f[Q>>2]=f[d>>2];f[k>>2]=f[Q>>2];Poc(a,U,c,k,g,S);Y=26;break}case 37:{f[R>>2]=f[d>>2];f[k>>2]=f[R>>2];Qoc(a,c,k,g,S);Y=26;break}default:{f[g>>2]=f[g>>2]|4;Y=26}}while(0);if((Y|0)==26)ca=f[c>>2]|0;u=j;return ca|0}function noc(a){a=a|0;if((b[544776]|0)==0?$yc(544776)|0:0){zoc();f[225890]=903392}return f[225890]|0}function ooc(a){a=a|0;if((b[544760]|0)==0?$yc(544760)|0:0){xoc();f[225847]=903100}return f[225847]|0}function poc(a){a=a|0;if((b[544744]|0)==0?$yc(544744)|0:0){voc();f[225774]=902808}return f[225774]|0}function qoc(a){a=a|0;var c=0,d=0,e=0,g=0,h=0;a=u;u=u+16|0;c=a;if((b[544736]|0)==0?$yc(544736)|0:0){f[225699]=0;f[225700]=0;f[225701]=0;d=uoc(164780)|0;if(d>>>0>1073741807)muc(902796);do if(d>>>0>=2){e=d+4&-4;if(e>>>0>1073741823)Re();else{g=cuc(e<<2)|0;f[225699]=g;f[225701]=e|-2147483648;f[225700]=d;h=g;break}}else{b[902807]=d;h=902796}while(0);xjc(h,164780,d)|0;f[c>>2]=0;ulc(h+(d<<2)|0,c);Bd(2025,902796,x|0)|0}u=a;return 902796}function roc(a){a=a|0;var c=0,d=0,e=0,g=0,h=0;a=u;u=u+16|0;c=a;if((b[544728]|0)==0?$yc(544728)|0:0){f[225696]=0;f[225697]=0;f[225698]=0;d=uoc(164732)|0;if(d>>>0>1073741807)muc(902784);do if(d>>>0>=2){e=d+4&-4;if(e>>>0>1073741823)Re();else{g=cuc(e<<2)|0;f[225696]=g;f[225698]=e|-2147483648;f[225697]=d;h=g;break}}else{b[902795]=d;h=902784}while(0);xjc(h,164732,d)|0;f[c>>2]=0;ulc(h+(d<<2)|0,c);Bd(2025,902784,x|0)|0}u=a;return 902784}function soc(a){a=a|0;var c=0,d=0,e=0,g=0,h=0;a=u;u=u+16|0;c=a;if((b[544720]|0)==0?$yc(544720)|0:0){f[225693]=0;f[225694]=0;f[225695]=0;d=uoc(164696)|0;if(d>>>0>1073741807)muc(902772);do if(d>>>0>=2){e=d+4&-4;if(e>>>0>1073741823)Re();else{g=cuc(e<<2)|0;f[225693]=g;f[225695]=e|-2147483648;f[225694]=d;h=g;break}}else{b[902783]=d;h=902772}while(0);xjc(h,164696,d)|0;f[c>>2]=0;ulc(h+(d<<2)|0,c);Bd(2025,902772,x|0)|0}u=a;return 902772}function toc(a){a=a|0;var c=0,d=0,e=0,g=0,h=0;a=u;u=u+16|0;c=a;if((b[544712]|0)==0?$yc(544712)|0:0){f[225690]=0;f[225691]=0;f[225692]=0;d=uoc(164660)|0;if(d>>>0>1073741807)muc(902760);do if(d>>>0>=2){e=d+4&-4;if(e>>>0>1073741823)Re();else{g=cuc(e<<2)|0;f[225690]=g;f[225692]=e|-2147483648;f[225691]=d;h=g;break}}else{b[902771]=d;h=902760}while(0);xjc(h,164660,d)|0;f[c>>2]=0;ulc(h+(d<<2)|0,c);Bd(2025,902760,x|0)|0}u=a;return 902760}function uoc(a){a=a|0;return qfc(a)|0}function voc(){var a=0,c=0;if((b[544752]|0)==0?$yc(544752)|0:0){a=902808;do{f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;c=0;while(1){if((c|0)==3)break;f[a+(c<<2)>>2]=0;c=c+1|0}a=a+12|0}while((a|0)!=903096);Bd(2026,0,x|0)|0}Wuc(902808,164864)|0;Wuc(902820,164876)|0;return}function woc(a){a=a|0;a=903096;do{a=a+-12|0;Ruc(a)}while((a|0)!=902808);return}function xoc(){var a=0,c=0;if((b[544768]|0)==0?$yc(544768)|0:0){a=903100;do{f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;c=0;while(1){if((c|0)==3)break;f[a+(c<<2)>>2]=0;c=c+1|0}a=a+12|0}while((a|0)!=903388);Bd(2027,0,x|0)|0}Wuc(903100,164888)|0;Wuc(903112,164920)|0;Wuc(903124,164956)|0;Wuc(903136,164980)|0;Wuc(903148,165004)|0;Wuc(903160,165020)|0;Wuc(903172,165040)|0;Wuc(903184,165060)|0;Wuc(903196,165088)|0;Wuc(903208,165128)|0;Wuc(903220,165160)|0;Wuc(903232,165196)|0;Wuc(903244,165232)|0;Wuc(903256,165248)|0;Wuc(903268,165264)|0;Wuc(903280,165280)|0;Wuc(903292,165004)|0;Wuc(903304,165296)|0;Wuc(903316,165312)|0;Wuc(903328,165328)|0;Wuc(903340,165344)|0;Wuc(903352,165360)|0;Wuc(903364,165376)|0;Wuc(903376,165392)|0;return}function yoc(a){a=a|0;a=903388;do{a=a+-12|0;Ruc(a)}while((a|0)!=903100);return}function zoc(){var a=0,c=0;if((b[544784]|0)==0?$yc(544784)|0:0){a=903392;do{f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;c=0;while(1){if((c|0)==3)break;f[a+(c<<2)>>2]=0;c=c+1|0}a=a+12|0}while((a|0)!=903560);Bd(2028,0,x|0)|0}Wuc(903392,165408)|0;Wuc(903404,165436)|0;Wuc(903416,165464)|0;Wuc(903428,165496)|0;Wuc(903440,165536)|0;Wuc(903452,165572)|0;Wuc(903464,165600)|0;Wuc(903476,165636)|0;Wuc(903488,165652)|0;Wuc(903500,165668)|0;Wuc(903512,165684)|0;Wuc(903524,165700)|0;Wuc(903536,165716)|0;Wuc(903548,165732)|0;return}function Aoc(a){a=a|0;a=903560;do{a=a+-12|0;Ruc(a)}while((a|0)!=903392);return}function Boc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0;h=u;u=u+16|0;i=h+4|0;j=h;k=a+8|0;a=di[f[f[k>>2]>>2]&1023](k)|0;f[j>>2]=f[d>>2];f[i>>2]=f[j>>2];j=(Pmc(c,i,a,a+168|0,g,e,0)|0)-a|0;if((j|0)<168)f[b>>2]=((j|0)/12|0|0)%7|0;u=h;return}function Coc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0;h=u;u=u+16|0;i=h+4|0;j=h;k=a+8|0;a=di[f[(f[k>>2]|0)+4>>2]&1023](k)|0;f[j>>2]=f[d>>2];f[i>>2]=f[j>>2];j=(Pmc(c,i,a,a+288|0,g,e,0)|0)-a|0;if((j|0)<288)f[b>>2]=((j|0)/12|0|0)%12|0;u=h;return}function Doc(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0;j=u;u=u+16|0;k=j+12|0;l=j+8|0;m=j+4|0;n=j;dkc(k,d);o=Ilc(k,901908)|0;Jlc(k);f[e>>2]=0;p=h;h=0;a:while(1){q=(p|0)!=(i|0);r=h;while(1){s=f[b>>2]|0;if(!(q&(r|0)==0)){t=s;break a}v=s;if(s){w=f[s+12>>2]|0;if((w|0)==(f[s+16>>2]|0))x=di[f[(f[s>>2]|0)+36>>2]&1023](s)|0;else x=wjc(f[w>>2]|0)|0;if(ekc(x,vjc()|0)|0){f[b>>2]=0;y=0;z=1;A=0}else{y=s;z=0;A=v}}else{y=0;z=1;A=v}v=f[c>>2]|0;s=v;do if(v){w=f[v+12>>2]|0;if((w|0)==(f[v+16>>2]|0))B=di[f[(f[v>>2]|0)+36>>2]&1023](v)|0;else B=wjc(f[w>>2]|0)|0;if(!(ekc(B,vjc()|0)|0))if(z){C=v;D=s;break}else{E=58;break a}else{f[c>>2]=0;F=0;E=16;break}}else{F=s;E=16}while(0);if((E|0)==16){E=0;if(z){E=58;break a}else{C=0;D=F}}if((li[f[(f[o>>2]|0)+52>>2]&511](o,f[p>>2]|0,0)|0)<<24>>24==37){E=19;break}if(li[f[(f[o>>2]|0)+12>>2]&511](o,8192,f[p>>2]|0)|0){G=p;E=26;break}H=y+12|0;s=f[H>>2]|0;I=y+16|0;if((s|0)==(f[I>>2]|0))J=di[f[(f[y>>2]|0)+36>>2]&1023](y)|0;else J=wjc(f[s>>2]|0)|0;s=Th[f[(f[o>>2]|0)+28>>2]&1023](o,J)|0;if((s|0)==(Th[f[(f[o>>2]|0)+28>>2]&1023](o,f[p>>2]|0)|0)){E=54;break}f[e>>2]=4;r=4}b:do if((E|0)==19){E=0;r=p+4|0;if((r|0)==(i|0)){E=58;break a}q=li[f[(f[o>>2]|0)+52>>2]&511](o,f[r>>2]|0,0)|0;switch(q<<24>>24){case 48:case 69:{s=p+8|0;if((s|0)==(i|0)){E=58;break a}K=q;L=li[f[(f[o>>2]|0)+52>>2]&511](o,f[s>>2]|0,0)|0;M=r;break}default:{K=0;L=q;M=p}}q=f[(f[a>>2]|0)+36>>2]|0;f[m>>2]=A;f[n>>2]=D;f[l>>2]=f[m>>2];f[k>>2]=f[n>>2];r=Ei[q&15](a,l,k,d,e,g,L,K)|0;f[b>>2]=r;N=M+8|0}else if((E|0)==26){while(1){E=0;r=G+4|0;if((r|0)==(i|0)){O=i;break}if(li[f[(f[o>>2]|0)+12>>2]&511](o,8192,f[r>>2]|0)|0){G=r;E=26}else{O=r;break}}r=y;q=C;s=C;while(1){if(r){v=f[r+12>>2]|0;if((v|0)==(f[r+16>>2]|0))P=di[f[(f[r>>2]|0)+36>>2]&1023](r)|0;else P=wjc(f[v>>2]|0)|0;if(ekc(P,vjc()|0)|0){f[b>>2]=0;Q=1;R=0}else{Q=0;R=r}}else{Q=1;R=0}do if(s){v=f[s+12>>2]|0;if((v|0)==(f[s+16>>2]|0))S=di[f[(f[s>>2]|0)+36>>2]&1023](s)|0;else S=wjc(f[v>>2]|0)|0;if(!(ekc(S,vjc()|0)|0))if(Q^(q|0)==0){T=q;U=q;break}else{N=O;break b}else{f[c>>2]=0;V=0;E=41;break}}else{V=q;E=41}while(0);if((E|0)==41){E=0;if(Q){N=O;break b}else{T=V;U=0}}v=R+12|0;w=f[v>>2]|0;W=R+16|0;if((w|0)==(f[W>>2]|0))X=di[f[(f[R>>2]|0)+36>>2]&1023](R)|0;else X=wjc(f[w>>2]|0)|0;if(!(li[f[(f[o>>2]|0)+12>>2]&511](o,8192,X)|0)){N=O;break b}w=f[v>>2]|0;if((w|0)==(f[W>>2]|0)){di[f[(f[R>>2]|0)+40>>2]&1023](R)|0;r=R;q=T;s=U;continue}else{f[v>>2]=w+4;wjc(f[w>>2]|0)|0;r=R;q=T;s=U;continue}}}else if((E|0)==54){E=0;s=p+4|0;q=f[H>>2]|0;if((q|0)==(f[I>>2]|0)){di[f[(f[y>>2]|0)+40>>2]&1023](y)|0;N=s;break}else{f[H>>2]=q+4;wjc(f[q>>2]|0)|0;N=s;break}}while(0);p=N;h=f[e>>2]|0}if((E|0)==58){f[e>>2]=4;t=y}if(t){y=f[t+12>>2]|0;if((y|0)==(f[t+16>>2]|0))Y=di[f[(f[t>>2]|0)+36>>2]&1023](t)|0;else Y=wjc(f[y>>2]|0)|0;if(ekc(Y,vjc()|0)|0){f[b>>2]=0;Z=0;_=1}else{Z=t;_=0}}else{Z=0;_=1}t=f[c>>2]|0;do if(t){b=f[t+12>>2]|0;if((b|0)==(f[t+16>>2]|0))$=di[f[(f[t>>2]|0)+36>>2]&1023](t)|0;else $=wjc(f[b>>2]|0)|0;if(!(ekc($,vjc()|0)|0))if(_)break;else{E=73;break}else{f[c>>2]=0;E=71;break}}else E=71;while(0);if((E|0)==71?_:0)E=73;if((E|0)==73)f[e>>2]=f[e>>2]|2;u=j;return Z|0}function Eoc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0;a=u;u=u+16|0;h=a+4|0;i=a;f[i>>2]=f[d>>2];f[h>>2]=f[i>>2];i=Roc(c,h,e,g,2)|0;g=f[e>>2]|0;if((i+-1|0)>>>0<31&(g&4|0)==0)f[b>>2]=i;else f[e>>2]=g|4;u=a;return}function Foc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0;a=u;u=u+16|0;h=a+4|0;i=a;f[i>>2]=f[d>>2];f[h>>2]=f[i>>2];i=Roc(c,h,e,g,2)|0;g=f[e>>2]|0;if((i|0)<24&(g&4|0)==0)f[b>>2]=i;else f[e>>2]=g|4;u=a;return}function Goc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0;a=u;u=u+16|0;h=a+4|0;i=a;f[i>>2]=f[d>>2];f[h>>2]=f[i>>2];i=Roc(c,h,e,g,2)|0;g=f[e>>2]|0;if((i+-1|0)>>>0<12&(g&4|0)==0)f[b>>2]=i;else f[e>>2]=g|4;u=a;return}function Hoc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0;a=u;u=u+16|0;h=a+4|0;i=a;f[i>>2]=f[d>>2];f[h>>2]=f[i>>2];i=Roc(c,h,e,g,3)|0;g=f[e>>2]|0;if((i|0)<366&(g&4|0)==0)f[b>>2]=i;else f[e>>2]=g|4;u=a;return}function Ioc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0;a=u;u=u+16|0;h=a+4|0;i=a;f[i>>2]=f[d>>2];f[h>>2]=f[i>>2];i=Roc(c,h,e,g,2)|0;g=f[e>>2]|0;if((i|0)<13&(g&4|0)==0)f[b>>2]=i+-1;else f[e>>2]=g|4;u=a;return}function Joc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0;a=u;u=u+16|0;h=a+4|0;i=a;f[i>>2]=f[d>>2];f[h>>2]=f[i>>2];i=Roc(c,h,e,g,2)|0;g=f[e>>2]|0;if((i|0)<60&(g&4|0)==0)f[b>>2]=i;else f[e>>2]=g|4;u=a;return}function Koc(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;a:while(1){a=f[b>>2]|0;do if(a){g=f[a+12>>2]|0;if((g|0)==(f[a+16>>2]|0))h=di[f[(f[a>>2]|0)+36>>2]&1023](a)|0;else h=wjc(f[g>>2]|0)|0;if(ekc(h,vjc()|0)|0){f[b>>2]=0;i=1;break}else{i=(f[b>>2]|0)==0;break}}else i=1;while(0);a=f[c>>2]|0;do if(a){g=f[a+12>>2]|0;if((g|0)==(f[a+16>>2]|0))j=di[f[(f[a>>2]|0)+36>>2]&1023](a)|0;else j=wjc(f[g>>2]|0)|0;if(!(ekc(j,vjc()|0)|0))if(i){k=a;break}else{l=a;break a}else{f[c>>2]=0;m=15;break}}else m=15;while(0);if((m|0)==15){m=0;if(i){l=0;break}else k=0}a=f[b>>2]|0;g=f[a+12>>2]|0;if((g|0)==(f[a+16>>2]|0))n=di[f[(f[a>>2]|0)+36>>2]&1023](a)|0;else n=wjc(f[g>>2]|0)|0;if(!(li[f[(f[e>>2]|0)+12>>2]&511](e,8192,n)|0)){l=k;break}g=f[b>>2]|0;a=g+12|0;o=f[a>>2]|0;if((o|0)==(f[g+16>>2]|0)){di[f[(f[g>>2]|0)+40>>2]&1023](g)|0;continue}else{f[a>>2]=o+4;wjc(f[o>>2]|0)|0;continue}}k=f[b>>2]|0;do if(k){n=f[k+12>>2]|0;if((n|0)==(f[k+16>>2]|0))p=di[f[(f[k>>2]|0)+36>>2]&1023](k)|0;else p=wjc(f[n>>2]|0)|0;if(ekc(p,vjc()|0)|0){f[b>>2]=0;q=1;break}else{q=(f[b>>2]|0)==0;break}}else q=1;while(0);do if(l){b=f[l+12>>2]|0;if((b|0)==(f[l+16>>2]|0))r=di[f[(f[l>>2]|0)+36>>2]&1023](l)|0;else r=wjc(f[b>>2]|0)|0;if(!(ekc(r,vjc()|0)|0))if(q)break;else{m=39;break}else{f[c>>2]=0;m=37;break}}else m=37;while(0);if((m|0)==37?q:0)m=39;if((m|0)==39)f[d>>2]=f[d>>2]|2;return}function Loc(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0;i=u;u=u+16|0;j=i+4|0;k=i;l=a+8|0;a=di[f[(f[l>>2]|0)+8>>2]&1023](l)|0;l=b[a+8+3>>0]|0;if(l<<24>>24<0)m=f[a+4>>2]|0;else m=l&255;l=b[a+20+3>>0]|0;if(l<<24>>24<0)n=f[a+16>>2]|0;else n=l&255;do if((m|0)!=(0-n|0)){f[k>>2]=f[e>>2];f[j>>2]=f[k>>2];l=(Pmc(d,j,a,a+24|0,h,g,0)|0)-a|0;o=f[c>>2]|0;if((o|0)==12&(l|0)==0){f[c>>2]=0;break}if((o|0)<12&(l|0)==12)f[c>>2]=o+12}else f[g>>2]=f[g>>2]|4;while(0);u=i;return}function Moc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0;a=u;u=u+16|0;h=a+4|0;i=a;f[i>>2]=f[d>>2];f[h>>2]=f[i>>2];i=Roc(c,h,e,g,2)|0;g=f[e>>2]|0;if((i|0)<61&(g&4|0)==0)f[b>>2]=i;else f[e>>2]=g|4;u=a;return}function Noc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0;a=u;u=u+16|0;h=a+4|0;i=a;f[i>>2]=f[d>>2];f[h>>2]=f[i>>2];i=Roc(c,h,e,g,1)|0;g=f[e>>2]|0;if((i|0)<7&(g&4|0)==0)f[b>>2]=i;else f[e>>2]=g|4;u=a;return}function Ooc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0;a=u;u=u+16|0;h=a+4|0;i=a;f[i>>2]=f[d>>2];f[h>>2]=f[i>>2];i=Roc(c,h,e,g,4)|0;if(!(f[e>>2]&4)){if((i|0)<69)j=i+2e3|0;else j=(i|0)<100?i+1900|0:i;f[b>>2]=j+-1900}u=a;return}function Poc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0;a=u;u=u+16|0;h=a+4|0;i=a;f[i>>2]=f[d>>2];f[h>>2]=f[i>>2];i=Roc(c,h,e,g,4)|0;if(!(f[e>>2]&4))f[b>>2]=i+-1900;u=a;return}function Qoc(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;a=f[b>>2]|0;do if(a){g=f[a+12>>2]|0;if((g|0)==(f[a+16>>2]|0))h=di[f[(f[a>>2]|0)+36>>2]&1023](a)|0;else h=wjc(f[g>>2]|0)|0;if(ekc(h,vjc()|0)|0){f[b>>2]=0;i=1;break}else{i=(f[b>>2]|0)==0;break}}else i=1;while(0);h=f[c>>2]|0;do if(h){a=f[h+12>>2]|0;if((a|0)==(f[h+16>>2]|0))j=di[f[(f[h>>2]|0)+36>>2]&1023](h)|0;else j=wjc(f[a>>2]|0)|0;if(!(ekc(j,vjc()|0)|0))if(i){k=h;l=16;break}else{m=6;l=38;break}else{f[c>>2]=0;l=14;break}}else l=14;while(0);if((l|0)==14)if(i){m=6;l=38}else{k=0;l=16}a:do if((l|0)==16){i=f[b>>2]|0;h=f[i+12>>2]|0;if((h|0)==(f[i+16>>2]|0))n=di[f[(f[i>>2]|0)+36>>2]&1023](i)|0;else n=wjc(f[h>>2]|0)|0;if((li[f[(f[e>>2]|0)+52>>2]&511](e,n,0)|0)<<24>>24==37){h=f[b>>2]|0;i=h+12|0;j=f[i>>2]|0;if((j|0)==(f[h+16>>2]|0))di[f[(f[h>>2]|0)+40>>2]&1023](h)|0;else{f[i>>2]=j+4;wjc(f[j>>2]|0)|0}j=f[b>>2]|0;do if(j){i=f[j+12>>2]|0;if((i|0)==(f[j+16>>2]|0))o=di[f[(f[j>>2]|0)+36>>2]&1023](j)|0;else o=wjc(f[i>>2]|0)|0;if(ekc(o,vjc()|0)|0){f[b>>2]=0;p=1;break}else{p=(f[b>>2]|0)==0;break}}else p=1;while(0);do if(k|0){j=f[k+12>>2]|0;if((j|0)==(f[k+16>>2]|0))q=di[f[(f[k>>2]|0)+36>>2]&1023](k)|0;else q=wjc(f[j>>2]|0)|0;if(!(ekc(q,vjc()|0)|0))if(p)break a;else{m=2;l=38;break a}else{f[c>>2]=0;break}}while(0);if(p){m=2;l=38}}else{m=4;l=38}}while(0);if((l|0)==38)f[d>>2]=f[d>>2]|m;return}function Roc(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;g=f[a>>2]|0;do if(g){h=f[g+12>>2]|0;if((h|0)==(f[g+16>>2]|0))i=di[f[(f[g>>2]|0)+36>>2]&1023](g)|0;else i=wjc(f[h>>2]|0)|0;if(ekc(i,vjc()|0)|0){f[a>>2]=0;j=1;break}else{j=(f[a>>2]|0)==0;break}}else j=1;while(0);i=f[b>>2]|0;do if(i){g=f[i+12>>2]|0;if((g|0)==(f[i+16>>2]|0))k=di[f[(f[i>>2]|0)+36>>2]&1023](i)|0;else k=wjc(f[g>>2]|0)|0;if(!(ekc(k,vjc()|0)|0))if(j){l=i;m=17;break}else{m=16;break}else{f[b>>2]=0;m=14;break}}else m=14;while(0);if((m|0)==14)if(j)m=16;else{l=0;m=17}a:do if((m|0)==16){f[c>>2]=f[c>>2]|6;n=0}else if((m|0)==17){j=f[a>>2]|0;i=f[j+12>>2]|0;if((i|0)==(f[j+16>>2]|0))o=di[f[(f[j>>2]|0)+36>>2]&1023](j)|0;else o=wjc(f[i>>2]|0)|0;if(!(li[f[(f[d>>2]|0)+12>>2]&511](d,2048,o)|0)){f[c>>2]=f[c>>2]|4;n=0;break}i=(li[f[(f[d>>2]|0)+52>>2]&511](d,o,0)|0)<<24>>24;j=f[a>>2]|0;k=j+12|0;g=f[k>>2]|0;if((g|0)==(f[j+16>>2]|0)){di[f[(f[j>>2]|0)+40>>2]&1023](j)|0;p=i;q=e;r=l;s=l}else{f[k>>2]=g+4;wjc(f[g>>2]|0)|0;p=i;q=e;r=l;s=l}while(1){t=p+-48|0;i=q+-1|0;g=f[a>>2]|0;do if(g){k=f[g+12>>2]|0;if((k|0)==(f[g+16>>2]|0))u=di[f[(f[g>>2]|0)+36>>2]&1023](g)|0;else u=wjc(f[k>>2]|0)|0;if(ekc(u,vjc()|0)|0){f[a>>2]=0;v=1;break}else{v=(f[a>>2]|0)==0;break}}else v=1;while(0);do if(s){g=f[s+12>>2]|0;if((g|0)==(f[s+16>>2]|0))w=di[f[(f[s>>2]|0)+36>>2]&1023](s)|0;else w=wjc(f[g>>2]|0)|0;if(ekc(w,vjc()|0)|0){f[b>>2]=0;x=0;y=1;z=0;break}else{x=r;y=(r|0)==0;z=r;break}}else{x=r;y=1;z=0}while(0);A=f[a>>2]|0;if(!((q|0)>1&(v^y)))break;g=f[A+12>>2]|0;if((g|0)==(f[A+16>>2]|0))B=di[f[(f[A>>2]|0)+36>>2]&1023](A)|0;else B=wjc(f[g>>2]|0)|0;if(!(li[f[(f[d>>2]|0)+12>>2]&511](d,2048,B)|0)){n=t;break a}g=((li[f[(f[d>>2]|0)+52>>2]&511](d,B,0)|0)<<24>>24)+(t*10|0)|0;k=f[a>>2]|0;j=k+12|0;h=f[j>>2]|0;if((h|0)==(f[k+16>>2]|0)){di[f[(f[k>>2]|0)+40>>2]&1023](k)|0;p=g;q=i;r=x;s=z;continue}else{f[j>>2]=h+4;wjc(f[h>>2]|0)|0;p=g;q=i;r=x;s=z;continue}}do if(A){g=f[A+12>>2]|0;if((g|0)==(f[A+16>>2]|0))C=di[f[(f[A>>2]|0)+36>>2]&1023](A)|0;else C=wjc(f[g>>2]|0)|0;if(ekc(C,vjc()|0)|0){f[a>>2]=0;D=1;break}else{D=(f[a>>2]|0)==0;break}}else D=1;while(0);do if(x){g=f[x+12>>2]|0;if((g|0)==(f[x+16>>2]|0))E=di[f[(f[x>>2]|0)+36>>2]&1023](x)|0;else E=wjc(f[g>>2]|0)|0;if(!(ekc(E,vjc()|0)|0))if(D){n=t;break a}else break;else{f[b>>2]=0;m=60;break}}else m=60;while(0);if((m|0)==60?!D:0){n=t;break}f[c>>2]=f[c>>2]|2;n=t}while(0);return n|0}function Soc(a){a=a|0;Xoc(a+8|0);olc(a);return}function Toc(a){a=a|0;Xoc(a+8|0);olc(a);fuc(a);return}function Uoc(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0;e=u;u=u+112|0;d=e+4|0;j=e;f[j>>2]=d+100;Voc(a+8|0,d,j,g,h,i);i=f[j>>2]|0;j=d;d=f[c>>2]|0;while(1){if((j|0)==(i|0))break;c=b[j>>0]|0;if(!d)k=0;else{h=d+24|0;g=f[h>>2]|0;if((g|0)==(f[d+28>>2]|0)){a=f[(f[d>>2]|0)+52>>2]|0;l=ejc(c)|0;m=Th[a&1023](d,l)|0}else{f[h>>2]=g+1;b[g>>0]=c;m=ejc(c)|0}c=ckc(m,djc()|0)|0;k=c?0:d}j=j+1|0;d=k}u=e;return d|0}function Voc(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0;i=u;u=u+16|0;j=i;b[j>>0]=37;k=j+1|0;b[k>>0]=g;l=j+2|0;b[l>>0]=h;b[j+3>>0]=0;if(h<<24>>24){b[k>>0]=h;b[l>>0]=g}g=Woc(c,f[d>>2]|0)|0;l=c+(of(c|0,g|0,j|0,e|0,f[a>>2]|0)|0)|0;f[d>>2]=l;u=i;return}function Woc(a,b){a=a|0;b=b|0;return b-a|0}function Xoc(a){a=a|0;var b=0;b=f[a>>2]|0;if((b|0)!=(Llc()|0))agc(f[a>>2]|0);return}function Yoc(a){a=a|0;Xoc(a+8|0);olc(a);return}function Zoc(a){a=a|0;Xoc(a+8|0);olc(a);fuc(a);return}function _oc(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0;d=u;u=u+416|0;c=d+8|0;i=d;f[i>>2]=c+400;$oc(a+8|0,c,i,e,g,h);h=f[i>>2]|0;i=c;c=f[b>>2]|0;while(1){if((i|0)==(h|0))break;b=f[i>>2]|0;if(!c)j=0;else{g=c+24|0;e=f[g>>2]|0;if((e|0)==(f[c+28>>2]|0)){a=f[(f[c>>2]|0)+52>>2]|0;k=wjc(b)|0;l=Th[a&1023](c,k)|0}else{f[g>>2]=e+4;f[e>>2]=b;l=wjc(b)|0}b=ekc(l,vjc()|0)|0;j=b?0:c}i=i+4|0;c=j}u=d;return c|0}function $oc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0;h=u;u=u+128|0;i=h+16|0;j=h+12|0;k=h;l=h+8|0;f[j>>2]=i+100;Voc(a,i,j,d,e,g);g=k;f[g>>2]=0;f[g+4>>2]=0;f[l>>2]=i;i=apc(b,f[c>>2]|0)|0;g=fgc(f[a>>2]|0)|0;a=rhc(b,l,i,k)|0;if(g|0)fgc(g)|0;if((a|0)==-1)bpc(0);else{f[c>>2]=b+(a<<2);u=h;return}}function apc(a,b){a=a|0;b=b|0;return b-a>>2|0}function bpc(a){a=a|0;Re()}function cpc(a){a=a|0;olc(a);return}function dpc(a){a=a|0;olc(a);fuc(a);return}function epc(a){a=a|0;return 127}function fpc(a){a=a|0;return 127}function gpc(a,b){a=a|0;b=b|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;b=0;while(1){if((b|0)==3)break;f[a+(b<<2)>>2]=0;b=b+1|0}return}function hpc(a,b){a=a|0;b=b|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;b=0;while(1){if((b|0)==3)break;f[a+(b<<2)>>2]=0;b=b+1|0}return}function ipc(a,b){a=a|0;b=b|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;b=0;while(1){if((b|0)==3)break;f[a+(b<<2)>>2]=0;b=b+1|0}return}function jpc(a,c){a=a|0;c=c|0;var d=0;c=u;u=u+16|0;d=c;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;b[a+11>>0]=1;npc(a,1,45)|0;b[d>>0]=0;$jc(a+1|0,d);u=c;return}function kpc(a){a=a|0;return 0}function lpc(a,c){a=a|0;c=c|0;b[a>>0]=2;b[a+1>>0]=3;b[a+2>>0]=0;b[a+3>>0]=4;return}function mpc(a,c){a=a|0;c=c|0;b[a>>0]=2;b[a+1>>0]=3;b[a+2>>0]=0;b[a+3>>0]=4;return}function npc(a,b,c){a=a|0;b=b|0;c=c|0;if(b|0)kzc(a|0,(ejc(c)|0)&255|0,b|0)|0;return a|0}function opc(a){a=a|0;olc(a);return}function ppc(a){a=a|0;olc(a);fuc(a);return}function qpc(a){a=a|0;return 127}function rpc(a){a=a|0;return 127}function spc(a,b){a=a|0;b=b|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;b=0;while(1){if((b|0)==3)break;f[a+(b<<2)>>2]=0;b=b+1|0}return}function tpc(a,b){a=a|0;b=b|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;b=0;while(1){if((b|0)==3)break;f[a+(b<<2)>>2]=0;b=b+1|0}return}function upc(a,b){a=a|0;b=b|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;b=0;while(1){if((b|0)==3)break;f[a+(b<<2)>>2]=0;b=b+1|0}return}function vpc(a,c){a=a|0;c=c|0;var d=0;c=u;u=u+16|0;d=c;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;b[a+11>>0]=1;npc(a,1,45)|0;b[d>>0]=0;$jc(a+1|0,d);u=c;return}function wpc(a){a=a|0;return 0}function xpc(a,c){a=a|0;c=c|0;b[a>>0]=2;b[a+1>>0]=3;b[a+2>>0]=0;b[a+3>>0]=4;return}function ypc(a,c){a=a|0;c=c|0;b[a>>0]=2;b[a+1>>0]=3;b[a+2>>0]=0;b[a+3>>0]=4;return}function zpc(a){a=a|0;olc(a);return}function Apc(a){a=a|0;olc(a);fuc(a);return}function Bpc(a){a=a|0;return 2147483647}function Cpc(a){a=a|0;return 2147483647}function Dpc(a,b){a=a|0;b=b|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;b=0;while(1){if((b|0)==3)break;f[a+(b<<2)>>2]=0;b=b+1|0}return}function Epc(a,b){a=a|0;b=b|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;b=0;while(1){if((b|0)==3)break;f[a+(b<<2)>>2]=0;b=b+1|0}return}function Fpc(a,b){a=a|0;b=b|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;b=0;while(1){if((b|0)==3)break;f[a+(b<<2)>>2]=0;b=b+1|0}return}function Gpc(a,c){a=a|0;c=c|0;var d=0;c=u;u=u+16|0;d=c;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;b[a+8+3>>0]=1;qnc(a,1,45)|0;f[d>>2]=0;ulc(a+4|0,d);u=c;return}function Hpc(a){a=a|0;return 0}function Ipc(a,c){a=a|0;c=c|0;b[a>>0]=2;b[a+1>>0]=3;b[a+2>>0]=0;b[a+3>>0]=4;return}function Jpc(a,c){a=a|0;c=c|0;b[a>>0]=2;b[a+1>>0]=3;b[a+2>>0]=0;b[a+3>>0]=4;return}function Kpc(a){a=a|0;olc(a);return}function Lpc(a){a=a|0;olc(a);fuc(a);return}function Mpc(a){a=a|0;return 2147483647}function Npc(a){a=a|0;return 2147483647}function Opc(a,b){a=a|0;b=b|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;b=0;while(1){if((b|0)==3)break;f[a+(b<<2)>>2]=0;b=b+1|0}return}function Ppc(a,b){a=a|0;b=b|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;b=0;while(1){if((b|0)==3)break;f[a+(b<<2)>>2]=0;b=b+1|0}return}function Qpc(a,b){a=a|0;b=b|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;b=0;while(1){if((b|0)==3)break;f[a+(b<<2)>>2]=0;b=b+1|0}return}function Rpc(a,c){a=a|0;c=c|0;var d=0;c=u;u=u+16|0;d=c;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;b[a+8+3>>0]=1;qnc(a,1,45)|0;f[d>>2]=0;ulc(a+4|0,d);u=c;return}function Spc(a){a=a|0;return 0}function Tpc(a,c){a=a|0;c=c|0;b[a>>0]=2;b[a+1>>0]=3;b[a+2>>0]=0;b[a+3>>0]=4;return}function Upc(a,c){a=a|0;c=c|0;b[a>>0]=2;b[a+1>>0]=3;b[a+2>>0]=0;b[a+3>>0]=4;return}function Vpc(a){a=a|0;olc(a);return}function Wpc(a){a=a|0;olc(a);fuc(a);return}function Xpc(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0;a=u;u=u+240|0;j=a+24|0;k=a;l=a+140|0;m=a+16|0;n=a+12|0;o=a+8|0;p=a+136|0;q=a+4|0;r=a+36|0;f[m>>2]=l;s=m+4|0;f[s>>2]=2029;dkc(o,g);t=Ilc(o,901876)|0;b[p>>0]=0;f[q>>2]=f[d>>2];v=f[g+4>>2]|0;f[j>>2]=f[q>>2];if(_pc(c,j,e,o,v,h,p,t,m,n,l+100|0)|0){Cg[f[(f[t>>2]|0)+32>>2]&127](t,528963,528973,j)|0;t=f[n>>2]|0;l=f[m>>2]|0;v=t-l|0;e=l;l=t;if((v|0)>98){t=pec(v+2|0)|0;if(!t)huc();else{w=t;x=t}}else{w=r;x=0}if(!(b[p>>0]|0))y=w;else{b[w>>0]=45;y=w+1|0}w=j+10|0;p=j;t=e;e=y;y=l;while(1){if(t>>>0>=y>>>0)break;l=b[t>>0]|0;v=j;while(1){if((v|0)==(w|0)){z=w;break}if((b[v>>0]|0)==l<<24>>24){z=v;break}v=v+1|0}b[e>>0]=b[528963+(z-p)>>0]|0;t=t+1|0;e=e+1|0;y=f[n>>2]|0}b[e>>0]=0;f[k>>2]=i;if((Agc(r,528974,k)|0)!=1)bpc(0);if(x|0)qec(x)}x=f[c>>2]|0;do if(x){k=f[x+12>>2]|0;if((k|0)==(f[x+16>>2]|0))A=di[f[(f[x>>2]|0)+36>>2]&1023](x)|0;else A=ejc(b[k>>0]|0)|0;if(ckc(A,djc()|0)|0){f[c>>2]=0;B=1;break}else{B=(f[c>>2]|0)==0;break}}else B=1;while(0);A=f[d>>2]|0;do if(A){x=f[A+12>>2]|0;if((x|0)==(f[A+16>>2]|0))C=di[f[(f[A>>2]|0)+36>>2]&1023](A)|0;else C=ejc(b[x>>0]|0)|0;if(!(ckc(C,djc()|0)|0))if(B)break;else{D=34;break}else{f[d>>2]=0;D=32;break}}else D=32;while(0);if((D|0)==32?B:0)D=34;if((D|0)==34)f[h>>2]=f[h>>2]|2;h=f[c>>2]|0;Jlc(o);o=f[m>>2]|0;f[m>>2]=0;if(o|0)bi[f[s>>2]&2047](o);u=a;return h|0}function Ypc(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;a=u;u=u+144|0;j=a+24|0;k=a+32|0;l=a+16|0;m=a+8|0;n=a;o=a+28|0;p=a+4|0;f[l>>2]=k;q=l+4|0;f[q>>2]=2029;dkc(n,g);r=Ilc(n,901876)|0;b[o>>0]=0;s=f[d>>2]|0;f[p>>2]=s;t=f[g+4>>2]|0;f[j>>2]=f[p>>2];p=s;if(_pc(c,j,e,n,t,h,o,r,l,m,k+100|0)|0){k=i+11|0;if((b[k>>0]|0)<0){t=f[i>>2]|0;b[j>>0]=0;$jc(t,j);f[i+4>>2]=0}else{b[j>>0]=0;$jc(i,j);b[k>>0]=0}if(b[o>>0]|0)Euc(i,Th[f[(f[r>>2]|0)+28>>2]&1023](r,45)|0);o=Th[f[(f[r>>2]|0)+28>>2]&1023](r,48)|0;r=f[m>>2]|0;m=r+-1|0;k=f[l>>2]|0;while(1){if(k>>>0>=m>>>0)break;if((b[k>>0]|0)!=o<<24>>24)break;k=k+1|0}h$(i,k,r)|0}r=f[c>>2]|0;do if(r){k=f[r+12>>2]|0;if((k|0)==(f[r+16>>2]|0))v=di[f[(f[r>>2]|0)+36>>2]&1023](r)|0;else v=ejc(b[k>>0]|0)|0;if(ckc(v,djc()|0)|0){f[c>>2]=0;w=1;break}else{w=(f[c>>2]|0)==0;break}}else w=1;while(0);do if(s){v=f[p+12>>2]|0;if((v|0)==(f[p+16>>2]|0))x=di[f[(f[s>>2]|0)+36>>2]&1023](p)|0;else x=ejc(b[v>>0]|0)|0;if(!(ckc(x,djc()|0)|0))if(w)break;else{y=27;break}else{f[d>>2]=0;y=25;break}}else y=25;while(0);if((y|0)==25?w:0)y=27;if((y|0)==27)f[h>>2]=f[h>>2]|2;h=f[c>>2]|0;Jlc(n);n=f[l>>2]|0;f[l>>2]=0;if(n|0)bi[f[q>>2]&2047](n);u=a;return h|0}function Zpc(a){a=a|0;return}function _pc(a,c,e,g,i,j,k,l,m,n,o){a=a|0;c=c|0;e=e|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;var p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0;p=u;u=u+512|0;q=p+88|0;r=p+96|0;s=p+80|0;t=p+72|0;v=p+68|0;w=p+500|0;x=p+497|0;y=p+496|0;z=p+56|0;A=p+44|0;B=p+32|0;C=p+20|0;D=p+8|0;E=p+4|0;F=p;f[q>>2]=o;f[s>>2]=r;o=s+4|0;f[o>>2]=2029;f[t>>2]=r;f[v>>2]=r+400;f[z>>2]=0;f[z+4>>2]=0;f[z+8>>2]=0;r=0;while(1){if((r|0)==3)break;f[z+(r<<2)>>2]=0;r=r+1|0}f[A>>2]=0;f[A+4>>2]=0;f[A+8>>2]=0;r=0;while(1){if((r|0)==3)break;f[A+(r<<2)>>2]=0;r=r+1|0}f[B>>2]=0;f[B+4>>2]=0;f[B+8>>2]=0;r=0;while(1){if((r|0)==3)break;f[B+(r<<2)>>2]=0;r=r+1|0}f[C>>2]=0;f[C+4>>2]=0;f[C+8>>2]=0;r=0;while(1){if((r|0)==3)break;f[C+(r<<2)>>2]=0;r=r+1|0}f[D>>2]=0;f[D+4>>2]=0;f[D+8>>2]=0;r=0;while(1){if((r|0)==3)break;f[D+(r<<2)>>2]=0;r=r+1|0}$pc(e,g,w,x,y,z,A,B,C,E);f[n>>2]=f[m>>2];g=l+8|0;l=B+11|0;e=B+4|0;r=C+11|0;G=C+4|0;H=(i&512|0)!=0;i=A+11|0;I=A+4|0;J=D+11|0;K=D+4|0;L=w+3|0;M=z+11|0;N=z+4|0;O=0;P=0;a:while(1){Q=(O|0)!=0;if(P>>>0>=4){R=234;break}S=f[a>>2]|0;do if(S){T=f[S+12>>2]|0;if((T|0)==(f[S+16>>2]|0))U=di[f[(f[S>>2]|0)+36>>2]&1023](S)|0;else U=ejc(b[T>>0]|0)|0;if(ckc(U,djc()|0)|0){f[a>>2]=0;V=1;break}else{V=(f[a>>2]|0)==0;break}}else V=1;while(0);S=f[c>>2]|0;do if(S){T=f[S+12>>2]|0;if((T|0)==(f[S+16>>2]|0))W=di[f[(f[S>>2]|0)+36>>2]&1023](S)|0;else W=ejc(b[T>>0]|0)|0;if(!(ckc(W,djc()|0)|0))if(V){X=S;break}else{R=234;break a}else{f[c>>2]=0;R=31;break}}else R=31;while(0);if((R|0)==31){R=0;if(V){R=234;break}else X=0}S=(P|0)!=3;b:do switch(b[w+P>>0]|0){case 1:{if(S){T=f[a>>2]|0;Y=f[T+12>>2]|0;if((Y|0)==(f[T+16>>2]|0))Z=di[f[(f[T>>2]|0)+36>>2]&1023](T)|0;else Z=ejc(b[Y>>0]|0)|0;if((Z&255)<<24>>24<=-1){R=44;break a}if(!(d[(f[g>>2]|0)+(Z<<24>>24<<1)>>1]&8192)){R=44;break a}Y=f[a>>2]|0;T=Y+12|0;_=f[T>>2]|0;if((_|0)==(f[Y+16>>2]|0))$=di[f[(f[Y>>2]|0)+40>>2]&1023](Y)|0;else{f[T>>2]=_+1;$=ejc(b[_>>0]|0)|0}Euc(D,$&255);aa=X;ba=X;R=46}else ca=O;break}case 0:{if(S){aa=X;ba=X;R=46}else ca=O;break}case 3:{_=b[l>>0]|0;T=_<<24>>24<0?f[e>>2]|0:_&255;_=b[r>>0]|0;Y=_<<24>>24<0?f[G>>2]|0:_&255;if((T|0)==(0-Y|0))ca=O;else{_=(T|0)==0;T=f[a>>2]|0;da=f[T+12>>2]|0;ea=(da|0)==(f[T+16>>2]|0);if(_|(Y|0)==0){if(ea)fa=di[f[(f[T>>2]|0)+36>>2]&1023](T)|0;else fa=ejc(b[da>>0]|0)|0;Y=fa&255;if(_){if(Y<<24>>24!=(b[((b[r>>0]|0)<0?f[C>>2]|0:C)>>0]|0)){ca=O;break b}_=f[a>>2]|0;ga=_+12|0;ha=f[ga>>2]|0;if((ha|0)==(f[_+16>>2]|0))di[f[(f[_>>2]|0)+40>>2]&1023](_)|0;else{f[ga>>2]=ha+1;ejc(b[ha>>0]|0)|0}b[k>>0]=1;ha=b[r>>0]|0;ca=(ha<<24>>24<0?f[G>>2]|0:ha&255)>>>0>1?C:O;break b}if(Y<<24>>24!=(b[((b[l>>0]|0)<0?f[B>>2]|0:B)>>0]|0)){b[k>>0]=1;ca=O;break b}Y=f[a>>2]|0;ha=Y+12|0;ga=f[ha>>2]|0;if((ga|0)==(f[Y+16>>2]|0))di[f[(f[Y>>2]|0)+40>>2]&1023](Y)|0;else{f[ha>>2]=ga+1;ejc(b[ga>>0]|0)|0}ga=b[l>>0]|0;ca=(ga<<24>>24<0?f[e>>2]|0:ga&255)>>>0>1?B:O;break b}if(ea)ia=di[f[(f[T>>2]|0)+36>>2]&1023](T)|0;else ia=ejc(b[da>>0]|0)|0;da=f[a>>2]|0;T=da+12|0;ea=f[T>>2]|0;ga=(ea|0)==(f[da+16>>2]|0);if((ia&255)<<24>>24==(b[((b[l>>0]|0)<0?f[B>>2]|0:B)>>0]|0)){if(ga)di[f[(f[da>>2]|0)+40>>2]&1023](da)|0;else{f[T>>2]=ea+1;ejc(b[ea>>0]|0)|0}T=b[l>>0]|0;ca=(T<<24>>24<0?f[e>>2]|0:T&255)>>>0>1?B:O;break b}if(ga)ja=di[f[(f[da>>2]|0)+36>>2]&1023](da)|0;else ja=ejc(b[ea>>0]|0)|0;if((ja&255)<<24>>24!=(b[((b[r>>0]|0)<0?f[C>>2]|0:C)>>0]|0)){R=103;break a}ea=f[a>>2]|0;da=ea+12|0;ga=f[da>>2]|0;if((ga|0)==(f[ea+16>>2]|0))di[f[(f[ea>>2]|0)+40>>2]&1023](ea)|0;else{f[da>>2]=ga+1;ejc(b[ga>>0]|0)|0}b[k>>0]=1;ga=b[r>>0]|0;ca=(ga<<24>>24<0?f[G>>2]|0:ga&255)>>>0>1?C:O}break}case 2:{if(!(P>>>0<2|Q)?!(H|(P|0)==2&(b[L>>0]|0)!=0):0){ca=0;break b}ga=b[i>>0]|0;da=ga<<24>>24<0;ea=f[A>>2]|0;T=da?ea:A;ha=T;c:do if((P|0)!=0?(h[w+(P+-1)>>0]|0)<2:0){Y=T+(da?f[I>>2]|0:ga&255)|0;_=ha;while(1){ka=_;if((ka|0)==(Y|0))break;la=b[ka>>0]|0;if(la<<24>>24<=-1)break;if(!(d[(f[g>>2]|0)+(la<<24>>24<<1)>>1]&8192))break;_=ka+1|0}Y=_-ha|0;ka=b[J>>0]|0;la=ka<<24>>24<0;ma=la?f[K>>2]|0:ka&255;if(Y>>>0<=ma>>>0){ka=(la?f[D>>2]|0:D)+ma|0;ma=T;la=ka+(0-Y)|0;while(1){if((la|0)==(ka|0)){na=X;oa=_;pa=ga;qa=ea;ra=X;break c}if((b[la>>0]|0)!=(b[ma>>0]|0)){na=X;oa=ha;pa=ga;qa=ea;ra=X;break c}ma=ma+1|0;la=la+1|0}}else{na=X;oa=ha;pa=ga;qa=ea;ra=X}}else{na=X;oa=ha;pa=ga;qa=ea;ra=X}while(0);d:while(1){ea=pa<<24>>24<0;ga=(ea?qa:A)+(ea?f[I>>2]|0:pa&255)|0;ea=oa;if((ea|0)==(ga|0)){sa=ga;break}ga=f[a>>2]|0;do if(ga){ha=f[ga+12>>2]|0;if((ha|0)==(f[ga+16>>2]|0))ta=di[f[(f[ga>>2]|0)+36>>2]&1023](ga)|0;else ta=ejc(b[ha>>0]|0)|0;if(ckc(ta,djc()|0)|0){f[a>>2]=0;ua=1;break}else{ua=(f[a>>2]|0)==0;break}}else ua=1;while(0);do if(ra){ga=f[ra+12>>2]|0;if((ga|0)==(f[ra+16>>2]|0))va=di[f[(f[ra>>2]|0)+36>>2]&1023](ra)|0;else va=ejc(b[ga>>0]|0)|0;if(!(ckc(va,djc()|0)|0))if(ua^(na|0)==0){wa=na;xa=na;break}else{sa=ea;break d}else{f[c>>2]=0;ya=0;R=132;break}}else{ya=na;R=132}while(0);if((R|0)==132){R=0;if(ua){sa=ea;break}else{wa=ya;xa=0}}ga=f[a>>2]|0;ha=f[ga+12>>2]|0;if((ha|0)==(f[ga+16>>2]|0))za=di[f[(f[ga>>2]|0)+36>>2]&1023](ga)|0;else za=ejc(b[ha>>0]|0)|0;if((za&255)<<24>>24!=(b[ea>>0]|0)){sa=ea;break}ha=f[a>>2]|0;ga=ha+12|0;T=f[ga>>2]|0;if((T|0)==(f[ha+16>>2]|0))di[f[(f[ha>>2]|0)+40>>2]&1023](ha)|0;else{f[ga>>2]=T+1;ejc(b[T>>0]|0)|0}na=wa;oa=ea+1|0;pa=b[i>>0]|0;qa=f[A>>2]|0;ra=xa}if(H?(T=b[i>>0]|0,ga=T<<24>>24<0,(sa|0)!=((ga?f[A>>2]|0:A)+(ga?f[I>>2]|0:T&255)|0)):0){R=144;break a}else ca=O;break}case 4:{T=0;ga=X;ha=X;e:while(1){da=f[a>>2]|0;do if(da){la=f[da+12>>2]|0;if((la|0)==(f[da+16>>2]|0))Aa=di[f[(f[da>>2]|0)+36>>2]&1023](da)|0;else Aa=ejc(b[la>>0]|0)|0;if(ckc(Aa,djc()|0)|0){f[a>>2]=0;Ba=1;break}else{Ba=(f[a>>2]|0)==0;break}}else Ba=1;while(0);do if(ha){da=f[ha+12>>2]|0;if((da|0)==(f[ha+16>>2]|0))Ca=di[f[(f[ha>>2]|0)+36>>2]&1023](ha)|0;else Ca=ejc(b[da>>0]|0)|0;if(!(ckc(Ca,djc()|0)|0))if(Ba^(ga|0)==0){Da=ga;Ea=ga;break}else{Fa=ga;break e}else{f[c>>2]=0;Ga=0;R=158;break}}else{Ga=ga;R=158}while(0);if((R|0)==158){R=0;if(Ba){Fa=Ga;break}else{Da=Ga;Ea=0}}da=f[a>>2]|0;ea=f[da+12>>2]|0;if((ea|0)==(f[da+16>>2]|0))Ha=di[f[(f[da>>2]|0)+36>>2]&1023](da)|0;else Ha=ejc(b[ea>>0]|0)|0;ea=Ha&255;if(ea<<24>>24>-1?(d[(f[g>>2]|0)+(Ha<<24>>24<<1)>>1]&2048)!=0:0){da=f[n>>2]|0;if((da|0)==(f[q>>2]|0)){aqc(m,n,q);Ia=f[n>>2]|0}else Ia=da;f[n>>2]=Ia+1;b[Ia>>0]=ea;Ja=T+1|0}else{da=b[M>>0]|0;if(!(ea<<24>>24==(b[y>>0]|0)&(T|0?((da<<24>>24<0?f[N>>2]|0:da&255)|0)!=0:0))){Fa=Da;break}da=f[t>>2]|0;if((da|0)==(f[v>>2]|0)){bqc(s,t,v);Ka=f[t>>2]|0}else Ka=da;f[t>>2]=Ka+4;f[Ka>>2]=T;Ja=0}da=f[a>>2]|0;ea=da+12|0;la=f[ea>>2]|0;if((la|0)==(f[da+16>>2]|0)){di[f[(f[da>>2]|0)+40>>2]&1023](da)|0;T=Ja;ga=Da;ha=Ea;continue}else{f[ea>>2]=la+1;ejc(b[la>>0]|0)|0;T=Ja;ga=Da;ha=Ea;continue}}ha=f[t>>2]|0;if(T|0?(f[s>>2]|0)!=(ha|0):0){if((ha|0)==(f[v>>2]|0)){bqc(s,t,v);La=f[t>>2]|0}else La=ha;f[t>>2]=La+4;f[La>>2]=T}f:do if((f[E>>2]|0)>0){ha=f[a>>2]|0;do if(ha){ga=f[ha+12>>2]|0;if((ga|0)==(f[ha+16>>2]|0))Ma=di[f[(f[ha>>2]|0)+36>>2]&1023](ha)|0;else Ma=ejc(b[ga>>0]|0)|0;if(ckc(Ma,djc()|0)|0){f[a>>2]=0;Na=1;break}else{Na=(f[a>>2]|0)==0;break}}else Na=1;while(0);do if(Fa){ha=f[Fa+12>>2]|0;if((ha|0)==(f[Fa+16>>2]|0))Oa=di[f[(f[Fa>>2]|0)+36>>2]&1023](Fa)|0;else Oa=ejc(b[ha>>0]|0)|0;if(!(ckc(Oa,djc()|0)|0))if(Na){Pa=Fa;break}else{R=232;break a}else{f[c>>2]=0;R=193;break}}else R=193;while(0);if((R|0)==193){R=0;if(Na){R=232;break a}else Pa=0}ha=f[a>>2]|0;ga=f[ha+12>>2]|0;if((ga|0)==(f[ha+16>>2]|0))Qa=di[f[(f[ha>>2]|0)+36>>2]&1023](ha)|0;else Qa=ejc(b[ga>>0]|0)|0;if((Qa&255)<<24>>24!=(b[x>>0]|0)){R=232;break a}ga=f[a>>2]|0;ha=ga+12|0;la=f[ha>>2]|0;if((la|0)==(f[ga+16>>2]|0)){di[f[(f[ga>>2]|0)+40>>2]&1023](ga)|0;Ra=Pa;Sa=Pa}else{f[ha>>2]=la+1;ejc(b[la>>0]|0)|0;Ra=Pa;Sa=Pa}while(1){if((f[E>>2]|0)<=0)break f;la=f[a>>2]|0;do if(la){ha=f[la+12>>2]|0;if((ha|0)==(f[la+16>>2]|0))Ta=di[f[(f[la>>2]|0)+36>>2]&1023](la)|0;else Ta=ejc(b[ha>>0]|0)|0;if(ckc(Ta,djc()|0)|0){f[a>>2]=0;Ua=1;break}else{Ua=(f[a>>2]|0)==0;break}}else Ua=1;while(0);do if(Sa){la=f[Sa+12>>2]|0;if((la|0)==(f[Sa+16>>2]|0))Va=di[f[(f[Sa>>2]|0)+36>>2]&1023](Sa)|0;else Va=ejc(b[la>>0]|0)|0;if(!(ckc(Va,djc()|0)|0))if(Ua^(Ra|0)==0){Wa=Ra;Xa=Ra;break}else{R=232;break a}else{f[c>>2]=0;Ya=0;R=216;break}}else{Ya=Ra;R=216}while(0);if((R|0)==216){R=0;if(Ua){R=232;break a}else{Wa=Ya;Xa=0}}la=f[a>>2]|0;ha=f[la+12>>2]|0;if((ha|0)==(f[la+16>>2]|0))Za=di[f[(f[la>>2]|0)+36>>2]&1023](la)|0;else Za=ejc(b[ha>>0]|0)|0;if((Za&255)<<24>>24<=-1){R=232;break a}if(!(d[(f[g>>2]|0)+(Za<<24>>24<<1)>>1]&2048)){R=232;break a}if((f[n>>2]|0)==(f[q>>2]|0))aqc(m,n,q);ha=f[a>>2]|0;la=f[ha+12>>2]|0;if((la|0)==(f[ha+16>>2]|0))_a=di[f[(f[ha>>2]|0)+36>>2]&1023](ha)|0;else _a=ejc(b[la>>0]|0)|0;la=f[n>>2]|0;f[n>>2]=la+1;b[la>>0]=_a;f[E>>2]=(f[E>>2]|0)+-1;la=f[a>>2]|0;ha=la+12|0;ga=f[ha>>2]|0;if((ga|0)==(f[la+16>>2]|0)){di[f[(f[la>>2]|0)+40>>2]&1023](la)|0;Ra=Wa;Sa=Xa;continue}else{f[ha>>2]=ga+1;ejc(b[ga>>0]|0)|0;Ra=Wa;Sa=Xa;continue}}}while(0);if((f[n>>2]|0)==(f[m>>2]|0)){R=232;break a}else ca=O;break}default:ca=O}while(0);g:do if((R|0)==46)while(1){R=0;S=f[a>>2]|0;do if(S){T=f[S+12>>2]|0;if((T|0)==(f[S+16>>2]|0))$a=di[f[(f[S>>2]|0)+36>>2]&1023](S)|0;else $a=ejc(b[T>>0]|0)|0;if(ckc($a,djc()|0)|0){f[a>>2]=0;ab=1;break}else{ab=(f[a>>2]|0)==0;break}}else ab=1;while(0);do if(ba){S=f[ba+12>>2]|0;if((S|0)==(f[ba+16>>2]|0))bb=di[f[(f[ba>>2]|0)+36>>2]&1023](ba)|0;else bb=ejc(b[S>>0]|0)|0;if(!(ckc(bb,djc()|0)|0))if(ab^(aa|0)==0){cb=aa;db=aa;break}else{ca=O;break g}else{f[c>>2]=0;eb=0;R=59;break}}else{eb=aa;R=59}while(0);if((R|0)==59){R=0;if(ab){ca=O;break g}else{cb=eb;db=0}}S=f[a>>2]|0;T=f[S+12>>2]|0;if((T|0)==(f[S+16>>2]|0))fb=di[f[(f[S>>2]|0)+36>>2]&1023](S)|0;else fb=ejc(b[T>>0]|0)|0;if((fb&255)<<24>>24<=-1){ca=O;break g}if(!(d[(f[g>>2]|0)+(fb<<24>>24<<1)>>1]&8192)){ca=O;break g}T=f[a>>2]|0;S=T+12|0;ga=f[S>>2]|0;if((ga|0)==(f[T+16>>2]|0))gb=di[f[(f[T>>2]|0)+40>>2]&1023](T)|0;else{f[S>>2]=ga+1;gb=ejc(b[ga>>0]|0)|0}Euc(D,gb&255);aa=cb;ba=db;R=46}while(0);O=ca;P=P+1|0}h:do if((R|0)==44){f[j>>2]=f[j>>2]|4;hb=0}else if((R|0)==103){f[j>>2]=f[j>>2]|4;hb=0}else if((R|0)==144){f[j>>2]=f[j>>2]|4;hb=0}else if((R|0)==232){f[j>>2]=f[j>>2]|4;hb=0}else if((R|0)==234){i:do if(Q){P=O+11|0;ca=O+4|0;db=1;j:while(1){ba=b[P>>0]|0;if(ba<<24>>24<0)ib=f[ca>>2]|0;else ib=ba&255;if(db>>>0>=ib>>>0)break i;ba=f[a>>2]|0;do if(ba){cb=f[ba+12>>2]|0;if((cb|0)==(f[ba+16>>2]|0))jb=di[f[(f[ba>>2]|0)+36>>2]&1023](ba)|0;else jb=ejc(b[cb>>0]|0)|0;if(ckc(jb,djc()|0)|0){f[a>>2]=0;kb=1;break}else{kb=(f[a>>2]|0)==0;break}}else kb=1;while(0);ba=f[c>>2]|0;do if(ba){cb=f[ba+12>>2]|0;if((cb|0)==(f[ba+16>>2]|0))lb=di[f[(f[ba>>2]|0)+36>>2]&1023](ba)|0;else lb=ejc(b[cb>>0]|0)|0;if(!(ckc(lb,djc()|0)|0))if(kb)break;else break j;else{f[c>>2]=0;R=253;break}}else R=253;while(0);if((R|0)==253?(R=0,kb):0)break;ba=f[a>>2]|0;cb=f[ba+12>>2]|0;if((cb|0)==(f[ba+16>>2]|0))mb=di[f[(f[ba>>2]|0)+36>>2]&1023](ba)|0;else mb=ejc(b[cb>>0]|0)|0;if((b[P>>0]|0)<0)nb=f[O>>2]|0;else nb=O;if((mb&255)<<24>>24!=(b[nb+db>>0]|0))break;cb=db+1|0;ba=f[a>>2]|0;aa=ba+12|0;gb=f[aa>>2]|0;if((gb|0)==(f[ba+16>>2]|0)){di[f[(f[ba>>2]|0)+40>>2]&1023](ba)|0;db=cb;continue}else{f[aa>>2]=gb+1;ejc(b[gb>>0]|0)|0;db=cb;continue}}f[j>>2]=f[j>>2]|4;hb=0;break h}while(0);db=f[s>>2]|0;P=f[t>>2]|0;if((db|0)!=(P|0)){f[F>>2]=0;Xlc(z,db,P,F);if(!(f[F>>2]|0)){hb=1;break}else{f[j>>2]=f[j>>2]|4;hb=0;break}}else hb=1}while(0);quc(D);quc(C);quc(B);quc(A);quc(z);z=f[s>>2]|0;f[s>>2]=0;if(z|0)bi[f[o>>2]&2047](z);u=p;return hb|0}function $pc(a,c,d,e,g,h,i,j,k,l){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;m=u;u=u+16|0;n=m+12|0;o=m;if(a){a=Ilc(c,903596)|0;yh[f[(f[a>>2]|0)+44>>2]&2047](n,a);p=f[n>>2]|0;b[d>>0]=p;b[d+1>>0]=p>>8;b[d+2>>0]=p>>16;b[d+3>>0]=p>>24;yh[f[(f[a>>2]|0)+32>>2]&2047](o,a);p=k+11|0;if((b[p>>0]|0)<0){q=f[k>>2]|0;b[n>>0]=0;$jc(q,n);f[k+4>>2]=0;r=k}else{b[n>>0]=0;$jc(k,n);b[p>>0]=0;r=k}vuc(k,0);f[r>>2]=f[o>>2];f[r+4>>2]=f[o+4>>2];f[r+8>>2]=f[o+8>>2];r=0;while(1){if((r|0)==3)break;f[o+(r<<2)>>2]=0;r=r+1|0}quc(o);yh[f[(f[a>>2]|0)+28>>2]&2047](o,a);r=j+11|0;if((b[r>>0]|0)<0){p=f[j>>2]|0;b[n>>0]=0;$jc(p,n);f[j+4>>2]=0;s=j}else{b[n>>0]=0;$jc(j,n);b[r>>0]=0;s=j}vuc(j,0);f[s>>2]=f[o>>2];f[s+4>>2]=f[o+4>>2];f[s+8>>2]=f[o+8>>2];s=0;while(1){if((s|0)==3)break;f[o+(s<<2)>>2]=0;s=s+1|0}quc(o);s=di[f[(f[a>>2]|0)+12>>2]&1023](a)|0;b[e>>0]=s;s=di[f[(f[a>>2]|0)+16>>2]&1023](a)|0;b[g>>0]=s;yh[f[(f[a>>2]|0)+20>>2]&2047](o,a);s=h+11|0;if((b[s>>0]|0)<0){r=f[h>>2]|0;b[n>>0]=0;$jc(r,n);f[h+4>>2]=0;t=h}else{b[n>>0]=0;$jc(h,n);b[s>>0]=0;t=h}vuc(h,0);f[t>>2]=f[o>>2];f[t+4>>2]=f[o+4>>2];f[t+8>>2]=f[o+8>>2];t=0;while(1){if((t|0)==3)break;f[o+(t<<2)>>2]=0;t=t+1|0}quc(o);yh[f[(f[a>>2]|0)+24>>2]&2047](o,a);t=i+11|0;if((b[t>>0]|0)<0){s=f[i>>2]|0;b[n>>0]=0;$jc(s,n);f[i+4>>2]=0;v=i}else{b[n>>0]=0;$jc(i,n);b[t>>0]=0;v=i}vuc(i,0);f[v>>2]=f[o>>2];f[v+4>>2]=f[o+4>>2];f[v+8>>2]=f[o+8>>2];v=0;while(1){if((v|0)==3)break;f[o+(v<<2)>>2]=0;v=v+1|0}quc(o);w=di[f[(f[a>>2]|0)+36>>2]&1023](a)|0}else{a=Ilc(c,903588)|0;yh[f[(f[a>>2]|0)+44>>2]&2047](n,a);c=f[n>>2]|0;b[d>>0]=c;b[d+1>>0]=c>>8;b[d+2>>0]=c>>16;b[d+3>>0]=c>>24;yh[f[(f[a>>2]|0)+32>>2]&2047](o,a);c=k+11|0;if((b[c>>0]|0)<0){d=f[k>>2]|0;b[n>>0]=0;$jc(d,n);f[k+4>>2]=0;x=k}else{b[n>>0]=0;$jc(k,n);b[c>>0]=0;x=k}vuc(k,0);f[x>>2]=f[o>>2];f[x+4>>2]=f[o+4>>2];f[x+8>>2]=f[o+8>>2];x=0;while(1){if((x|0)==3)break;f[o+(x<<2)>>2]=0;x=x+1|0}quc(o);yh[f[(f[a>>2]|0)+28>>2]&2047](o,a);x=j+11|0;if((b[x>>0]|0)<0){k=f[j>>2]|0;b[n>>0]=0;$jc(k,n);f[j+4>>2]=0;y=j}else{b[n>>0]=0;$jc(j,n);b[x>>0]=0;y=j}vuc(j,0);f[y>>2]=f[o>>2];f[y+4>>2]=f[o+4>>2];f[y+8>>2]=f[o+8>>2];y=0;while(1){if((y|0)==3)break;f[o+(y<<2)>>2]=0;y=y+1|0}quc(o);y=di[f[(f[a>>2]|0)+12>>2]&1023](a)|0;b[e>>0]=y;y=di[f[(f[a>>2]|0)+16>>2]&1023](a)|0;b[g>>0]=y;yh[f[(f[a>>2]|0)+20>>2]&2047](o,a);y=h+11|0;if((b[y>>0]|0)<0){g=f[h>>2]|0;b[n>>0]=0;$jc(g,n);f[h+4>>2]=0;z=h}else{b[n>>0]=0;$jc(h,n);b[y>>0]=0;z=h}vuc(h,0);f[z>>2]=f[o>>2];f[z+4>>2]=f[o+4>>2];f[z+8>>2]=f[o+8>>2];z=0;while(1){if((z|0)==3)break;f[o+(z<<2)>>2]=0;z=z+1|0}quc(o);yh[f[(f[a>>2]|0)+24>>2]&2047](o,a);z=i+11|0;if((b[z>>0]|0)<0){h=f[i>>2]|0;b[n>>0]=0;$jc(h,n);f[i+4>>2]=0;A=i}else{b[n>>0]=0;$jc(i,n);b[z>>0]=0;A=i}vuc(i,0);f[A>>2]=f[o>>2];f[A+4>>2]=f[o+4>>2];f[A+8>>2]=f[o+8>>2];A=0;while(1){if((A|0)==3)break;f[o+(A<<2)>>2]=0;A=A+1|0}quc(o);w=di[f[(f[a>>2]|0)+36>>2]&1023](a)|0}f[l>>2]=w;u=m;return}function aqc(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;d=a+4|0;e=(f[d>>2]|0)!=2029;g=f[a>>2]|0;h=(f[c>>2]|0)-g|0;i=h>>>0<2147483647?h<<1:-1;h=(i|0)==0?1:i;i=(f[b>>2]|0)-g|0;j=rec(e?g:0,h)|0;if(!j)huc();if(!e){e=f[a>>2]|0;f[a>>2]=j;if(!e)k=j;else{bi[f[d>>2]&2047](e);k=f[a>>2]|0}}else{f[a>>2]=j;k=j}f[d>>2]=2030;f[b>>2]=k+i;f[c>>2]=(f[a>>2]|0)+h;return}function bqc(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;d=a+4|0;e=(f[d>>2]|0)!=2029;g=f[a>>2]|0;h=(f[c>>2]|0)-g|0;i=h>>>0<2147483647?h<<1:-1;h=(i|0)==0?4:i;i=(f[b>>2]|0)-g>>2;j=rec(e?g:0,h)|0;if(!j)huc();if(!e){e=f[a>>2]|0;f[a>>2]=j;if(!e)k=j;else{bi[f[d>>2]&2047](e);k=f[a>>2]|0}}else{f[a>>2]=j;k=j}f[d>>2]=2030;f[b>>2]=k+(i<<2);f[c>>2]=(f[a>>2]|0)+(h>>>2<<2);return}function cqc(a){a=a|0;olc(a);return}function dqc(a){a=a|0;olc(a);fuc(a);return}function eqc(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0;a=u;u=u+576|0;j=a+424|0;k=a;l=a+24|0;m=a+16|0;n=a+12|0;o=a+8|0;p=a+564|0;q=a+4|0;r=a+464|0;f[m>>2]=l;s=m+4|0;f[s>>2]=2029;dkc(o,g);t=Ilc(o,901908)|0;b[p>>0]=0;f[q>>2]=f[d>>2];v=f[g+4>>2]|0;f[j>>2]=f[q>>2];if(gqc(c,j,e,o,v,h,p,t,m,n,l+400|0)|0){Cg[f[(f[t>>2]|0)+48>>2]&127](t,529073,529083,j)|0;t=f[n>>2]|0;l=f[m>>2]|0;v=t-l|0;e=l;l=t;if((v|0)>392){t=pec((v>>>2)+2|0)|0;if(!t)huc();else{w=t;x=t}}else{w=r;x=0}if(!(b[p>>0]|0))y=w;else{b[w>>0]=45;y=w+1|0}w=j+40|0;p=j;t=e;e=y;y=l;while(1){if(t>>>0>=y>>>0)break;l=f[t>>2]|0;v=j;while(1){if((v|0)==(w|0)){z=w;break}if((f[v>>2]|0)==(l|0)){z=v;break}v=v+4|0}b[e>>0]=b[529073+(z-p>>2)>>0]|0;t=t+4|0;e=e+1|0;y=f[n>>2]|0}b[e>>0]=0;f[k>>2]=i;if((Agc(r,528974,k)|0)!=1)bpc(0);if(x|0)qec(x)}x=f[c>>2]|0;do if(x){k=f[x+12>>2]|0;if((k|0)==(f[x+16>>2]|0))A=di[f[(f[x>>2]|0)+36>>2]&1023](x)|0;else A=wjc(f[k>>2]|0)|0;if(ekc(A,vjc()|0)|0){f[c>>2]=0;B=1;break}else{B=(f[c>>2]|0)==0;break}}else B=1;while(0);A=f[d>>2]|0;do if(A){x=f[A+12>>2]|0;if((x|0)==(f[A+16>>2]|0))C=di[f[(f[A>>2]|0)+36>>2]&1023](A)|0;else C=wjc(f[x>>2]|0)|0;if(!(ekc(C,vjc()|0)|0))if(B)break;else{D=34;break}else{f[d>>2]=0;D=32;break}}else D=32;while(0);if((D|0)==32?B:0)D=34;if((D|0)==34)f[h>>2]=f[h>>2]|2;h=f[c>>2]|0;Jlc(o);o=f[m>>2]|0;f[m>>2]=0;if(o|0)bi[f[s>>2]&2047](o);u=a;return h|0}function fqc(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;a=u;u=u+432|0;j=a+424|0;k=a+24|0;l=a+16|0;m=a+8|0;n=a;o=a+428|0;p=a+4|0;f[l>>2]=k;q=l+4|0;f[q>>2]=2029;dkc(n,g);r=Ilc(n,901908)|0;b[o>>0]=0;s=f[d>>2]|0;f[p>>2]=s;t=f[g+4>>2]|0;f[j>>2]=f[p>>2];p=s;if(gqc(c,j,e,n,t,h,o,r,l,m,k+400|0)|0){k=i+8+3|0;if((b[k>>0]|0)<0){t=f[i>>2]|0;f[j>>2]=0;ulc(t,j);f[i+4>>2]=0}else{f[j>>2]=0;ulc(i,j);b[k>>0]=0}if(b[o>>0]|0)Zuc(i,Th[f[(f[r>>2]|0)+44>>2]&1023](r,45)|0);o=Th[f[(f[r>>2]|0)+44>>2]&1023](r,48)|0;r=f[m>>2]|0;m=r+-4|0;k=f[l>>2]|0;while(1){if(k>>>0>=m>>>0)break;if((f[k>>2]|0)!=(o|0))break;k=k+4|0}hqc(i,k,r)|0}r=f[c>>2]|0;do if(r){k=f[r+12>>2]|0;if((k|0)==(f[r+16>>2]|0))v=di[f[(f[r>>2]|0)+36>>2]&1023](r)|0;else v=wjc(f[k>>2]|0)|0;if(ekc(v,vjc()|0)|0){f[c>>2]=0;w=1;break}else{w=(f[c>>2]|0)==0;break}}else w=1;while(0);do if(s){v=f[p+12>>2]|0;if((v|0)==(f[p+16>>2]|0))x=di[f[(f[s>>2]|0)+36>>2]&1023](p)|0;else x=wjc(f[v>>2]|0)|0;if(!(ekc(x,vjc()|0)|0))if(w)break;else{y=27;break}else{f[d>>2]=0;y=25;break}}else y=25;while(0);if((y|0)==25?w:0)y=27;if((y|0)==27)f[h>>2]=f[h>>2]|2;h=f[c>>2]|0;Jlc(n);n=f[l>>2]|0;f[l>>2]=0;if(n|0)bi[f[q>>2]&2047](n);u=a;return h|0}function gqc(a,c,d,e,g,i,j,k,l,m,n){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0;o=u;u=u+512|0;p=o+96|0;q=o+104|0;r=o+88|0;s=o+80|0;t=o+76|0;v=o+504|0;w=o+72|0;x=o+68|0;y=o+56|0;z=o+44|0;A=o+32|0;B=o+20|0;C=o+8|0;D=o+4|0;E=o;f[p>>2]=n;f[r>>2]=q;n=r+4|0;f[n>>2]=2029;f[s>>2]=q;f[t>>2]=q+400;f[y>>2]=0;f[y+4>>2]=0;f[y+8>>2]=0;q=0;while(1){if((q|0)==3)break;f[y+(q<<2)>>2]=0;q=q+1|0}f[z>>2]=0;f[z+4>>2]=0;f[z+8>>2]=0;q=0;while(1){if((q|0)==3)break;f[z+(q<<2)>>2]=0;q=q+1|0}f[A>>2]=0;f[A+4>>2]=0;f[A+8>>2]=0;q=0;while(1){if((q|0)==3)break;f[A+(q<<2)>>2]=0;q=q+1|0}f[B>>2]=0;f[B+4>>2]=0;f[B+8>>2]=0;q=0;while(1){if((q|0)==3)break;f[B+(q<<2)>>2]=0;q=q+1|0}f[C>>2]=0;f[C+4>>2]=0;f[C+8>>2]=0;q=0;while(1){if((q|0)==3)break;f[C+(q<<2)>>2]=0;q=q+1|0}jqc(d,e,v,w,x,y,z,A,B,D);f[m>>2]=f[l>>2];e=A+8+3|0;d=A+4|0;q=B+8+3|0;F=B+4|0;G=(g&512|0)!=0;g=z+8+3|0;H=z+4|0;I=C+8+3|0;J=C+4|0;K=v+3|0;L=y+11|0;M=y+4|0;N=0;O=0;a:while(1){P=(N|0)!=0;if(O>>>0>=4){Q=229;break}R=f[a>>2]|0;do if(R){S=f[R+12>>2]|0;if((S|0)==(f[R+16>>2]|0))T=di[f[(f[R>>2]|0)+36>>2]&1023](R)|0;else T=wjc(f[S>>2]|0)|0;if(ekc(T,vjc()|0)|0){f[a>>2]=0;U=1;break}else{U=(f[a>>2]|0)==0;break}}else U=1;while(0);R=f[c>>2]|0;do if(R){S=f[R+12>>2]|0;if((S|0)==(f[R+16>>2]|0))V=di[f[(f[R>>2]|0)+36>>2]&1023](R)|0;else V=wjc(f[S>>2]|0)|0;if(!(ekc(V,vjc()|0)|0))if(U){W=R;break}else{Q=229;break a}else{f[c>>2]=0;Q=31;break}}else Q=31;while(0);if((Q|0)==31){Q=0;if(U){Q=229;break}else W=0}R=(O|0)!=3;b:do switch(b[v+O>>0]|0){case 1:{if(R){S=f[a>>2]|0;X=f[S+12>>2]|0;if((X|0)==(f[S+16>>2]|0))Y=di[f[(f[S>>2]|0)+36>>2]&1023](S)|0;else Y=wjc(f[X>>2]|0)|0;if(!(li[f[(f[k>>2]|0)+12>>2]&511](k,8192,Y)|0)){Q=43;break a}X=f[a>>2]|0;S=X+12|0;Z=f[S>>2]|0;if((Z|0)==(f[X+16>>2]|0))_=di[f[(f[X>>2]|0)+40>>2]&1023](X)|0;else{f[S>>2]=Z+4;_=wjc(f[Z>>2]|0)|0}Zuc(C,_);$=W;aa=W;Q=45}else ba=N;break}case 0:{if(R){$=W;aa=W;Q=45}else ba=N;break}case 3:{Z=b[e>>0]|0;S=Z<<24>>24<0?f[d>>2]|0:Z&255;Z=b[q>>0]|0;X=Z<<24>>24<0?f[F>>2]|0:Z&255;if((S|0)==(0-X|0))ba=N;else{Z=(S|0)==0;S=f[a>>2]|0;ca=f[S+12>>2]|0;da=(ca|0)==(f[S+16>>2]|0);if(Z|(X|0)==0){if(da)ea=di[f[(f[S>>2]|0)+36>>2]&1023](S)|0;else ea=wjc(f[ca>>2]|0)|0;if(Z){if((ea|0)!=(f[((b[q>>0]|0)<0?f[B>>2]|0:B)>>2]|0)){ba=N;break b}Z=f[a>>2]|0;X=Z+12|0;fa=f[X>>2]|0;if((fa|0)==(f[Z+16>>2]|0))di[f[(f[Z>>2]|0)+40>>2]&1023](Z)|0;else{f[X>>2]=fa+4;wjc(f[fa>>2]|0)|0}b[j>>0]=1;fa=b[q>>0]|0;ba=(fa<<24>>24<0?f[F>>2]|0:fa&255)>>>0>1?B:N;break b}if((ea|0)!=(f[((b[e>>0]|0)<0?f[A>>2]|0:A)>>2]|0)){b[j>>0]=1;ba=N;break b}fa=f[a>>2]|0;X=fa+12|0;Z=f[X>>2]|0;if((Z|0)==(f[fa+16>>2]|0))di[f[(f[fa>>2]|0)+40>>2]&1023](fa)|0;else{f[X>>2]=Z+4;wjc(f[Z>>2]|0)|0}Z=b[e>>0]|0;ba=(Z<<24>>24<0?f[d>>2]|0:Z&255)>>>0>1?A:N;break b}if(da)ga=di[f[(f[S>>2]|0)+36>>2]&1023](S)|0;else ga=wjc(f[ca>>2]|0)|0;ca=f[a>>2]|0;S=ca+12|0;da=f[S>>2]|0;Z=(da|0)==(f[ca+16>>2]|0);if((ga|0)==(f[((b[e>>0]|0)<0?f[A>>2]|0:A)>>2]|0)){if(Z)di[f[(f[ca>>2]|0)+40>>2]&1023](ca)|0;else{f[S>>2]=da+4;wjc(f[da>>2]|0)|0}S=b[e>>0]|0;ba=(S<<24>>24<0?f[d>>2]|0:S&255)>>>0>1?A:N;break b}if(Z)ha=di[f[(f[ca>>2]|0)+36>>2]&1023](ca)|0;else ha=wjc(f[da>>2]|0)|0;if((ha|0)!=(f[((b[q>>0]|0)<0?f[B>>2]|0:B)>>2]|0)){Q=101;break a}da=f[a>>2]|0;ca=da+12|0;Z=f[ca>>2]|0;if((Z|0)==(f[da+16>>2]|0))di[f[(f[da>>2]|0)+40>>2]&1023](da)|0;else{f[ca>>2]=Z+4;wjc(f[Z>>2]|0)|0}b[j>>0]=1;Z=b[q>>0]|0;ba=(Z<<24>>24<0?f[F>>2]|0:Z&255)>>>0>1?B:N}break}case 2:{if(!(O>>>0<2|P)?!(G|(O|0)==2&(b[K>>0]|0)!=0):0){ba=0;break b}Z=b[g>>0]|0;ca=f[z>>2]|0;da=Z<<24>>24<0?ca:z;c:do if((O|0)!=0?(h[v+(O+-1)>>0]|0)<2:0){S=da;X=Z;fa=ca;while(1){ia=X<<24>>24<0;ja=S;if((ja|0)==((ia?fa:z)+((ia?f[H>>2]|0:X&255)<<2)|0)){ka=X;la=fa;break}if(!(li[f[(f[k>>2]|0)+12>>2]&511](k,8192,f[ja>>2]|0)|0)){Q=108;break}S=ja+4|0;X=b[g>>0]|0;fa=f[z>>2]|0}if((Q|0)==108){Q=0;ka=b[g>>0]|0;la=f[z>>2]|0}fa=ka<<24>>24<0?la:z;X=fa;ja=S-X>>2;ia=b[I>>0]|0;ma=ia<<24>>24<0;na=ma?f[J>>2]|0:ia&255;if(ja>>>0>na>>>0){oa=W;pa=X;qa=ka;ra=la;sa=W}else{ia=(ma?f[C>>2]|0:C)+(na<<2)|0;na=fa;fa=ia+(0-ja<<2)|0;while(1){if((fa|0)==(ia|0)){oa=W;pa=S;qa=ka;ra=la;sa=W;break c}if((f[fa>>2]|0)!=(f[na>>2]|0)){oa=W;pa=X;qa=ka;ra=la;sa=W;break c}na=na+4|0;fa=fa+4|0}}}else{oa=W;pa=da;qa=Z;ra=ca;sa=W}while(0);d:while(1){ca=qa<<24>>24<0;Z=(ca?ra:z)+((ca?f[H>>2]|0:qa&255)<<2)|0;ca=pa;if((ca|0)==(Z|0)){ta=Z;break}Z=f[a>>2]|0;do if(Z){da=f[Z+12>>2]|0;if((da|0)==(f[Z+16>>2]|0))ua=di[f[(f[Z>>2]|0)+36>>2]&1023](Z)|0;else ua=wjc(f[da>>2]|0)|0;if(ekc(ua,vjc()|0)|0){f[a>>2]=0;va=1;break}else{va=(f[a>>2]|0)==0;break}}else va=1;while(0);do if(sa){Z=f[sa+12>>2]|0;if((Z|0)==(f[sa+16>>2]|0))wa=di[f[(f[sa>>2]|0)+36>>2]&1023](sa)|0;else wa=wjc(f[Z>>2]|0)|0;if(!(ekc(wa,vjc()|0)|0))if(va^(oa|0)==0){xa=oa;ya=oa;break}else{ta=ca;break d}else{f[c>>2]=0;za=0;Q=129;break}}else{za=oa;Q=129}while(0);if((Q|0)==129){Q=0;if(va){ta=ca;break}else{xa=za;ya=0}}Z=f[a>>2]|0;da=f[Z+12>>2]|0;if((da|0)==(f[Z+16>>2]|0))Aa=di[f[(f[Z>>2]|0)+36>>2]&1023](Z)|0;else Aa=wjc(f[da>>2]|0)|0;if((Aa|0)!=(f[ca>>2]|0)){ta=ca;break}da=f[a>>2]|0;Z=da+12|0;fa=f[Z>>2]|0;if((fa|0)==(f[da+16>>2]|0))di[f[(f[da>>2]|0)+40>>2]&1023](da)|0;else{f[Z>>2]=fa+4;wjc(f[fa>>2]|0)|0}oa=xa;pa=ca+4|0;qa=b[g>>0]|0;ra=f[z>>2]|0;sa=ya}if(G?(fa=b[g>>0]|0,Z=fa<<24>>24<0,(ta|0)!=((Z?f[z>>2]|0:z)+((Z?f[H>>2]|0:fa&255)<<2)|0)):0){Q=141;break a}else ba=N;break}case 4:{fa=0;Z=W;da=W;e:while(1){na=f[a>>2]|0;do if(na){X=f[na+12>>2]|0;if((X|0)==(f[na+16>>2]|0))Ba=di[f[(f[na>>2]|0)+36>>2]&1023](na)|0;else Ba=wjc(f[X>>2]|0)|0;if(ekc(Ba,vjc()|0)|0){f[a>>2]=0;Ca=1;break}else{Ca=(f[a>>2]|0)==0;break}}else Ca=1;while(0);do if(da){na=f[da+12>>2]|0;if((na|0)==(f[da+16>>2]|0))Da=di[f[(f[da>>2]|0)+36>>2]&1023](da)|0;else Da=wjc(f[na>>2]|0)|0;if(!(ekc(Da,vjc()|0)|0))if(Ca^(Z|0)==0){Ea=Z;Fa=Z;break}else{Ga=Z;break e}else{f[c>>2]=0;Ha=0;Q=155;break}}else{Ha=Z;Q=155}while(0);if((Q|0)==155){Q=0;if(Ca){Ga=Ha;break}else{Ea=Ha;Fa=0}}na=f[a>>2]|0;ca=f[na+12>>2]|0;if((ca|0)==(f[na+16>>2]|0))Ia=di[f[(f[na>>2]|0)+36>>2]&1023](na)|0;else Ia=wjc(f[ca>>2]|0)|0;if(li[f[(f[k>>2]|0)+12>>2]&511](k,2048,Ia)|0){ca=f[m>>2]|0;if((ca|0)==(f[p>>2]|0)){kqc(l,m,p);Ja=f[m>>2]|0}else Ja=ca;f[m>>2]=Ja+4;f[Ja>>2]=Ia;Ka=fa+1|0}else{ca=b[L>>0]|0;if(!((Ia|0)==(f[x>>2]|0)&(fa|0?((ca<<24>>24<0?f[M>>2]|0:ca&255)|0)!=0:0))){Ga=Ea;break}ca=f[s>>2]|0;if((ca|0)==(f[t>>2]|0)){bqc(r,s,t);La=f[s>>2]|0}else La=ca;f[s>>2]=La+4;f[La>>2]=fa;Ka=0}ca=f[a>>2]|0;na=ca+12|0;X=f[na>>2]|0;if((X|0)==(f[ca+16>>2]|0)){di[f[(f[ca>>2]|0)+40>>2]&1023](ca)|0;fa=Ka;Z=Ea;da=Fa;continue}else{f[na>>2]=X+4;wjc(f[X>>2]|0)|0;fa=Ka;Z=Ea;da=Fa;continue}}da=f[s>>2]|0;if(fa|0?(f[r>>2]|0)!=(da|0):0){if((da|0)==(f[t>>2]|0)){bqc(r,s,t);Ma=f[s>>2]|0}else Ma=da;f[s>>2]=Ma+4;f[Ma>>2]=fa}f:do if((f[D>>2]|0)>0){da=f[a>>2]|0;do if(da){Z=f[da+12>>2]|0;if((Z|0)==(f[da+16>>2]|0))Na=di[f[(f[da>>2]|0)+36>>2]&1023](da)|0;else Na=wjc(f[Z>>2]|0)|0;if(ekc(Na,vjc()|0)|0){f[a>>2]=0;Oa=1;break}else{Oa=(f[a>>2]|0)==0;break}}else Oa=1;while(0);do if(Ga){da=f[Ga+12>>2]|0;if((da|0)==(f[Ga+16>>2]|0))Pa=di[f[(f[Ga>>2]|0)+36>>2]&1023](Ga)|0;else Pa=wjc(f[da>>2]|0)|0;if(!(ekc(Pa,vjc()|0)|0))if(Oa){Qa=Ga;break}else{Q=227;break a}else{f[c>>2]=0;Q=189;break}}else Q=189;while(0);if((Q|0)==189){Q=0;if(Oa){Q=227;break a}else Qa=0}da=f[a>>2]|0;Z=f[da+12>>2]|0;if((Z|0)==(f[da+16>>2]|0))Ra=di[f[(f[da>>2]|0)+36>>2]&1023](da)|0;else Ra=wjc(f[Z>>2]|0)|0;if((Ra|0)!=(f[w>>2]|0)){Q=227;break a}Z=f[a>>2]|0;da=Z+12|0;X=f[da>>2]|0;if((X|0)==(f[Z+16>>2]|0)){di[f[(f[Z>>2]|0)+40>>2]&1023](Z)|0;Sa=Qa;Ta=Qa}else{f[da>>2]=X+4;wjc(f[X>>2]|0)|0;Sa=Qa;Ta=Qa}while(1){if((f[D>>2]|0)<=0)break f;X=f[a>>2]|0;do if(X){da=f[X+12>>2]|0;if((da|0)==(f[X+16>>2]|0))Ua=di[f[(f[X>>2]|0)+36>>2]&1023](X)|0;else Ua=wjc(f[da>>2]|0)|0;if(ekc(Ua,vjc()|0)|0){f[a>>2]=0;Va=1;break}else{Va=(f[a>>2]|0)==0;break}}else Va=1;while(0);do if(Ta){X=f[Ta+12>>2]|0;if((X|0)==(f[Ta+16>>2]|0))Wa=di[f[(f[Ta>>2]|0)+36>>2]&1023](Ta)|0;else Wa=wjc(f[X>>2]|0)|0;if(!(ekc(Wa,vjc()|0)|0))if(Va^(Sa|0)==0){Xa=Sa;Ya=Sa;break}else{Q=227;break a}else{f[c>>2]=0;Za=0;Q=212;break}}else{Za=Sa;Q=212}while(0);if((Q|0)==212){Q=0;if(Va){Q=227;break a}else{Xa=Za;Ya=0}}X=f[a>>2]|0;da=f[X+12>>2]|0;if((da|0)==(f[X+16>>2]|0))_a=di[f[(f[X>>2]|0)+36>>2]&1023](X)|0;else _a=wjc(f[da>>2]|0)|0;if(!(li[f[(f[k>>2]|0)+12>>2]&511](k,2048,_a)|0)){Q=227;break a}if((f[m>>2]|0)==(f[p>>2]|0))kqc(l,m,p);da=f[a>>2]|0;X=f[da+12>>2]|0;if((X|0)==(f[da+16>>2]|0))$a=di[f[(f[da>>2]|0)+36>>2]&1023](da)|0;else $a=wjc(f[X>>2]|0)|0;X=f[m>>2]|0;f[m>>2]=X+4;f[X>>2]=$a;f[D>>2]=(f[D>>2]|0)+-1;X=f[a>>2]|0;da=X+12|0;Z=f[da>>2]|0;if((Z|0)==(f[X+16>>2]|0)){di[f[(f[X>>2]|0)+40>>2]&1023](X)|0;Sa=Xa;Ta=Ya;continue}else{f[da>>2]=Z+4;wjc(f[Z>>2]|0)|0;Sa=Xa;Ta=Ya;continue}}}while(0);if((f[m>>2]|0)==(f[l>>2]|0)){Q=227;break a}else ba=N;break}default:ba=N}while(0);g:do if((Q|0)==45)while(1){Q=0;R=f[a>>2]|0;do if(R){fa=f[R+12>>2]|0;if((fa|0)==(f[R+16>>2]|0))ab=di[f[(f[R>>2]|0)+36>>2]&1023](R)|0;else ab=wjc(f[fa>>2]|0)|0;if(ekc(ab,vjc()|0)|0){f[a>>2]=0;bb=1;break}else{bb=(f[a>>2]|0)==0;break}}else bb=1;while(0);do if(aa){R=f[aa+12>>2]|0;if((R|0)==(f[aa+16>>2]|0))cb=di[f[(f[aa>>2]|0)+36>>2]&1023](aa)|0;else cb=wjc(f[R>>2]|0)|0;if(!(ekc(cb,vjc()|0)|0))if(bb^($|0)==0){db=$;eb=$;break}else{ba=N;break g}else{f[c>>2]=0;fb=0;Q=58;break}}else{fb=$;Q=58}while(0);if((Q|0)==58){Q=0;if(bb){ba=N;break g}else{db=fb;eb=0}}R=f[a>>2]|0;fa=f[R+12>>2]|0;if((fa|0)==(f[R+16>>2]|0))gb=di[f[(f[R>>2]|0)+36>>2]&1023](R)|0;else gb=wjc(f[fa>>2]|0)|0;if(!(li[f[(f[k>>2]|0)+12>>2]&511](k,8192,gb)|0)){ba=N;break g}fa=f[a>>2]|0;R=fa+12|0;Z=f[R>>2]|0;if((Z|0)==(f[fa+16>>2]|0))hb=di[f[(f[fa>>2]|0)+40>>2]&1023](fa)|0;else{f[R>>2]=Z+4;hb=wjc(f[Z>>2]|0)|0}Zuc(C,hb);$=db;aa=eb;Q=45}while(0);N=ba;O=O+1|0}h:do if((Q|0)==43){f[i>>2]=f[i>>2]|4;ib=0}else if((Q|0)==101){f[i>>2]=f[i>>2]|4;ib=0}else if((Q|0)==141){f[i>>2]=f[i>>2]|4;ib=0}else if((Q|0)==227){f[i>>2]=f[i>>2]|4;ib=0}else if((Q|0)==229){i:do if(P){O=N+8+3|0;ba=N+4|0;eb=1;j:while(1){aa=b[O>>0]|0;if(aa<<24>>24<0)jb=f[ba>>2]|0;else jb=aa&255;if(eb>>>0>=jb>>>0)break i;aa=f[a>>2]|0;do if(aa){db=f[aa+12>>2]|0;if((db|0)==(f[aa+16>>2]|0))kb=di[f[(f[aa>>2]|0)+36>>2]&1023](aa)|0;else kb=wjc(f[db>>2]|0)|0;if(ekc(kb,vjc()|0)|0){f[a>>2]=0;lb=1;break}else{lb=(f[a>>2]|0)==0;break}}else lb=1;while(0);aa=f[c>>2]|0;do if(aa){db=f[aa+12>>2]|0;if((db|0)==(f[aa+16>>2]|0))mb=di[f[(f[aa>>2]|0)+36>>2]&1023](aa)|0;else mb=wjc(f[db>>2]|0)|0;if(!(ekc(mb,vjc()|0)|0))if(lb)break;else break j;else{f[c>>2]=0;Q=248;break}}else Q=248;while(0);if((Q|0)==248?(Q=0,lb):0)break;aa=f[a>>2]|0;db=f[aa+12>>2]|0;if((db|0)==(f[aa+16>>2]|0))nb=di[f[(f[aa>>2]|0)+36>>2]&1023](aa)|0;else nb=wjc(f[db>>2]|0)|0;if((b[O>>0]|0)<0)ob=f[N>>2]|0;else ob=N;if((nb|0)!=(f[ob+(eb<<2)>>2]|0))break;db=eb+1|0;aa=f[a>>2]|0;$=aa+12|0;hb=f[$>>2]|0;if((hb|0)==(f[aa+16>>2]|0)){di[f[(f[aa>>2]|0)+40>>2]&1023](aa)|0;eb=db;continue}else{f[$>>2]=hb+4;wjc(f[hb>>2]|0)|0;eb=db;continue}}f[i>>2]=f[i>>2]|4;ib=0;break h}while(0);eb=f[r>>2]|0;O=f[s>>2]|0;if((eb|0)!=(O|0)){f[E>>2]=0;Xlc(y,eb,O,E);if(!(f[E>>2]|0)){ib=1;break}else{f[i>>2]=f[i>>2]|4;ib=0;break}}else ib=1}while(0);Ruc(C);Ruc(B);Ruc(A);Ruc(z);quc(y);y=f[r>>2]|0;f[r>>2]=0;if(y|0)bi[f[n>>2]&2047](y);u=o;return ib|0}function hqc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;e=u;u=u+16|0;g=e+12|0;h=e;i=a+8|0;j=i+3|0;k=b[j>>0]|0;l=k<<24>>24<0;if(l){m=f[a+4>>2]|0;n=(f[i>>2]&2147483647)+-1|0}else{m=k&255;n=1}i=d-c>>2;do if(i|0){if(l){o=f[a>>2]|0;p=o;q=f[a+4>>2]|0;r=o}else{p=a;q=k&255;r=a}if(iqc(c,r,p+(q<<2)|0)|0){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;if(i>>>0>1073741807)muc(h);do if(i>>>0>=2){o=i+4&-4;if(o>>>0>1073741823)Re();else{s=cuc(o<<2)|0;f[h>>2]=s;f[h+8>>2]=o|-2147483648;f[h+4>>2]=i;t=c;v=s;break}}else{b[h+8+3>>0]=i;t=c;v=h}while(0);while(1){if((t|0)==(d|0))break;ulc(v,t);t=t+4|0;v=v+4|0}f[g>>2]=0;ulc(v,g);s=b[h+8+3>>0]|0;o=s<<24>>24<0;Yuc(a,o?f[h>>2]|0:h,o?f[h+4>>2]|0:s&255)|0;Ruc(h);break}s=m+i|0;if((n-m|0)>>>0<i>>>0)Xuc(a,n,s-n|0,m,m,0,0);if((b[j>>0]|0)<0)w=f[a>>2]|0;else w=a;o=w+(m<<2)|0;x=c;while(1){if((x|0)==(d|0))break;ulc(o,x);o=o+4|0;x=x+4|0}f[g>>2]=0;ulc(o,g);if((b[j>>0]|0)<0){f[a+4>>2]=s;break}else{b[j>>0]=s;break}}while(0);u=e;return a|0}function iqc(a,b,c){a=a|0;b=b|0;c=c|0;return b>>>0<=a>>>0&a>>>0<c>>>0|0}function jqc(a,c,d,e,g,h,i,j,k,l){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;m=u;u=u+16|0;n=m+12|0;o=m;if(a){a=Ilc(c,903612)|0;yh[f[(f[a>>2]|0)+44>>2]&2047](n,a);p=f[n>>2]|0;b[d>>0]=p;b[d+1>>0]=p>>8;b[d+2>>0]=p>>16;b[d+3>>0]=p>>24;yh[f[(f[a>>2]|0)+32>>2]&2047](o,a);p=k+8+3|0;if((b[p>>0]|0)<0){q=f[k>>2]|0;f[n>>2]=0;ulc(q,n);f[k+4>>2]=0}else{f[n>>2]=0;ulc(k,n);b[p>>0]=0}Vuc(k,0);f[k>>2]=f[o>>2];f[k+4>>2]=f[o+4>>2];f[k+8>>2]=f[o+8>>2];p=0;while(1){if((p|0)==3)break;f[o+(p<<2)>>2]=0;p=p+1|0}Ruc(o);yh[f[(f[a>>2]|0)+28>>2]&2047](o,a);p=j+8+3|0;if((b[p>>0]|0)<0){q=f[j>>2]|0;f[n>>2]=0;ulc(q,n);f[j+4>>2]=0}else{f[n>>2]=0;ulc(j,n);b[p>>0]=0}Vuc(j,0);f[j>>2]=f[o>>2];f[j+4>>2]=f[o+4>>2];f[j+8>>2]=f[o+8>>2];p=0;while(1){if((p|0)==3)break;f[o+(p<<2)>>2]=0;p=p+1|0}Ruc(o);p=di[f[(f[a>>2]|0)+12>>2]&1023](a)|0;f[e>>2]=p;p=di[f[(f[a>>2]|0)+16>>2]&1023](a)|0;f[g>>2]=p;yh[f[(f[a>>2]|0)+20>>2]&2047](o,a);p=h+11|0;if((b[p>>0]|0)<0){q=f[h>>2]|0;b[n>>0]=0;$jc(q,n);f[h+4>>2]=0;r=h}else{b[n>>0]=0;$jc(h,n);b[p>>0]=0;r=h}vuc(h,0);f[r>>2]=f[o>>2];f[r+4>>2]=f[o+4>>2];f[r+8>>2]=f[o+8>>2];r=0;while(1){if((r|0)==3)break;f[o+(r<<2)>>2]=0;r=r+1|0}quc(o);yh[f[(f[a>>2]|0)+24>>2]&2047](o,a);r=i+8+3|0;if((b[r>>0]|0)<0){p=f[i>>2]|0;f[n>>2]=0;ulc(p,n);f[i+4>>2]=0}else{f[n>>2]=0;ulc(i,n);b[r>>0]=0}Vuc(i,0);f[i>>2]=f[o>>2];f[i+4>>2]=f[o+4>>2];f[i+8>>2]=f[o+8>>2];r=0;while(1){if((r|0)==3)break;f[o+(r<<2)>>2]=0;r=r+1|0}Ruc(o);s=di[f[(f[a>>2]|0)+36>>2]&1023](a)|0}else{a=Ilc(c,903604)|0;yh[f[(f[a>>2]|0)+44>>2]&2047](n,a);c=f[n>>2]|0;b[d>>0]=c;b[d+1>>0]=c>>8;b[d+2>>0]=c>>16;b[d+3>>0]=c>>24;yh[f[(f[a>>2]|0)+32>>2]&2047](o,a);c=k+8+3|0;if((b[c>>0]|0)<0){d=f[k>>2]|0;f[n>>2]=0;ulc(d,n);f[k+4>>2]=0}else{f[n>>2]=0;ulc(k,n);b[c>>0]=0}Vuc(k,0);f[k>>2]=f[o>>2];f[k+4>>2]=f[o+4>>2];f[k+8>>2]=f[o+8>>2];k=0;while(1){if((k|0)==3)break;f[o+(k<<2)>>2]=0;k=k+1|0}Ruc(o);yh[f[(f[a>>2]|0)+28>>2]&2047](o,a);k=j+8+3|0;if((b[k>>0]|0)<0){c=f[j>>2]|0;f[n>>2]=0;ulc(c,n);f[j+4>>2]=0}else{f[n>>2]=0;ulc(j,n);b[k>>0]=0}Vuc(j,0);f[j>>2]=f[o>>2];f[j+4>>2]=f[o+4>>2];f[j+8>>2]=f[o+8>>2];j=0;while(1){if((j|0)==3)break;f[o+(j<<2)>>2]=0;j=j+1|0}Ruc(o);j=di[f[(f[a>>2]|0)+12>>2]&1023](a)|0;f[e>>2]=j;j=di[f[(f[a>>2]|0)+16>>2]&1023](a)|0;f[g>>2]=j;yh[f[(f[a>>2]|0)+20>>2]&2047](o,a);j=h+11|0;if((b[j>>0]|0)<0){g=f[h>>2]|0;b[n>>0]=0;$jc(g,n);f[h+4>>2]=0;t=h}else{b[n>>0]=0;$jc(h,n);b[j>>0]=0;t=h}vuc(h,0);f[t>>2]=f[o>>2];f[t+4>>2]=f[o+4>>2];f[t+8>>2]=f[o+8>>2];t=0;while(1){if((t|0)==3)break;f[o+(t<<2)>>2]=0;t=t+1|0}quc(o);yh[f[(f[a>>2]|0)+24>>2]&2047](o,a);t=i+8+3|0;if((b[t>>0]|0)<0){h=f[i>>2]|0;f[n>>2]=0;ulc(h,n);f[i+4>>2]=0}else{f[n>>2]=0;ulc(i,n);b[t>>0]=0}Vuc(i,0);f[i>>2]=f[o>>2];f[i+4>>2]=f[o+4>>2];f[i+8>>2]=f[o+8>>2];i=0;while(1){if((i|0)==3)break;f[o+(i<<2)>>2]=0;i=i+1|0}Ruc(o);s=di[f[(f[a>>2]|0)+36>>2]&1023](a)|0}f[l>>2]=s;u=m;return}function kqc(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;d=a+4|0;e=(f[d>>2]|0)!=2029;g=f[a>>2]|0;h=(f[c>>2]|0)-g|0;i=h>>>0<2147483647?h<<1:-1;h=(i|0)==0?4:i;i=(f[b>>2]|0)-g>>2;j=rec(e?g:0,h)|0;if(!j)huc();if(!e){e=f[a>>2]|0;f[a>>2]=j;if(!e)k=j;else{bi[f[d>>2]&2047](e);k=f[a>>2]|0}}else{f[a>>2]=j;k=j}f[d>>2]=2030;f[b>>2]=k+(i<<2);f[c>>2]=(f[a>>2]|0)+(h>>>2<<2);return}function lqc(a){a=a|0;olc(a);return}function mqc(a){a=a|0;olc(a);fuc(a);return}function nqc(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=+h;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0;a=u;u=u+384|0;i=a+8|0;j=a;k=a+284|0;l=a+72|0;m=a+184|0;n=a+68|0;o=a+180|0;q=a+177|0;r=a+176|0;s=a+56|0;t=a+44|0;v=a+32|0;w=a+28|0;x=a+76|0;y=a+24|0;z=a+16|0;A=a+20|0;f[l>>2]=k;p[i>>3]=h;B=ufc(k,100,529179,i)|0;if(B>>>0>99){k=Llc()|0;p[j>>3]=h;C=bnc(l,k,529179,j)|0;j=f[l>>2]|0;if(!j)huc();k=pec(C)|0;if(!k)huc();else{D=k;E=C;F=k;G=j}}else{D=m;E=B;F=0;G=0}dkc(n,e);B=Ilc(n,901876)|0;m=f[l>>2]|0;Cg[f[(f[B>>2]|0)+32>>2]&127](B,m,m+E|0,D)|0;if(!E)H=0;else H=(b[f[l>>2]>>0]|0)==45;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;l=0;while(1){if((l|0)==3)break;f[s+(l<<2)>>2]=0;l=l+1|0}f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;l=0;while(1){if((l|0)==3)break;f[t+(l<<2)>>2]=0;l=l+1|0}f[v>>2]=0;f[v+4>>2]=0;f[v+8>>2]=0;l=0;while(1){if((l|0)==3)break;f[v+(l<<2)>>2]=0;l=l+1|0}pqc(d,H,n,o,q,r,s,t,v,w);d=f[w>>2]|0;if((E|0)>(d|0)){w=b[v+11>>0]|0;l=b[t+11>>0]|0;I=1;J=(w<<24>>24<0?f[v+4>>2]|0:w&255)+(E-d<<1)|0;K=l<<24>>24<0?f[t+4>>2]|0:l&255}else{l=b[v+11>>0]|0;w=b[t+11>>0]|0;I=2;J=w<<24>>24<0?f[t+4>>2]|0:w&255;K=l<<24>>24<0?f[v+4>>2]|0:l&255}l=K+d+J+I|0;if(l>>>0>100){I=pec(l)|0;if(!I)huc();else{L=I;M=I}}else{L=x;M=0}qqc(L,y,z,f[e+4>>2]|0,D,D+E|0,B,H,o,b[q>>0]|0,b[r>>0]|0,s,t,v,d);f[A>>2]=f[c>>2];c=f[y>>2]|0;y=f[z>>2]|0;f[i>>2]=f[A>>2];A=dE(i,L,c,y,e,g)|0;if(M|0)qec(M);quc(v);quc(t);quc(s);Jlc(n);if(F|0)qec(F);if(G|0)qec(G);u=a;return A|0}function oqc(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;a=u;u=u+176|0;i=a+56|0;j=a+52|0;k=a+164|0;l=a+161|0;m=a+160|0;n=a+40|0;o=a+28|0;p=a+16|0;q=a+12|0;r=a+60|0;s=a+8|0;t=a+4|0;v=a;dkc(j,e);w=Ilc(j,901876)|0;x=h+11|0;y=b[x>>0]|0;z=y<<24>>24<0;A=h+4|0;if(!((z?f[A>>2]|0:y&255)|0))B=0;else{y=b[(z?f[h>>2]|0:h)>>0]|0;B=y<<24>>24==(Th[f[(f[w>>2]|0)+28>>2]&1023](w,45)|0)<<24>>24};f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;y=0;while(1){if((y|0)==3)break;f[n+(y<<2)>>2]=0;y=y+1|0}f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;y=0;while(1){if((y|0)==3)break;f[o+(y<<2)>>2]=0;y=y+1|0}f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;y=0;while(1){if((y|0)==3)break;f[p+(y<<2)>>2]=0;y=y+1|0}pqc(d,B,j,k,l,m,n,o,p,q);d=b[x>>0]|0;x=d<<24>>24<0;y=x?f[A>>2]|0:d&255;d=f[q>>2]|0;if((y|0)>(d|0)){q=b[p+11>>0]|0;A=b[o+11>>0]|0;C=1;D=(q<<24>>24<0?f[p+4>>2]|0:q&255)+(y-d<<1)|0;E=A<<24>>24<0?f[o+4>>2]|0:A&255}else{A=b[p+11>>0]|0;q=b[o+11>>0]|0;C=2;D=q<<24>>24<0?f[o+4>>2]|0:q&255;E=A<<24>>24<0?f[p+4>>2]|0:A&255}A=E+d+D+C|0;if(A>>>0>100){C=pec(A)|0;if(!C)huc();else{F=C;G=C}}else{F=r;G=0}r=x?f[h>>2]|0:h;qqc(F,s,t,f[e+4>>2]|0,r,r+y|0,w,B,k,b[l>>0]|0,b[m>>0]|0,n,o,p,d);f[v>>2]=f[c>>2];c=f[s>>2]|0;s=f[t>>2]|0;f[i>>2]=f[v>>2];v=dE(i,F,c,s,e,g)|0;if(G|0)qec(G);quc(p);quc(o);quc(n);Jlc(j);u=a;return v|0}function pqc(a,c,d,e,g,h,i,j,k,l){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;m=u;u=u+16|0;n=m+12|0;o=m;if(a){a=Ilc(d,903596)|0;if(c){yh[f[(f[a>>2]|0)+44>>2]&2047](n,a);p=f[n>>2]|0;b[e>>0]=p;b[e+1>>0]=p>>8;b[e+2>>0]=p>>16;b[e+3>>0]=p>>24;yh[f[(f[a>>2]|0)+32>>2]&2047](o,a);p=k+11|0;if((b[p>>0]|0)<0){q=f[k>>2]|0;b[n>>0]=0;$jc(q,n);f[k+4>>2]=0;r=k}else{b[n>>0]=0;$jc(k,n);b[p>>0]=0;r=k}vuc(k,0);f[r>>2]=f[o>>2];f[r+4>>2]=f[o+4>>2];f[r+8>>2]=f[o+8>>2];r=0;while(1){if((r|0)==3)break;f[o+(r<<2)>>2]=0;r=r+1|0}quc(o);s=a}else{yh[f[(f[a>>2]|0)+40>>2]&2047](n,a);r=f[n>>2]|0;b[e>>0]=r;b[e+1>>0]=r>>8;b[e+2>>0]=r>>16;b[e+3>>0]=r>>24;yh[f[(f[a>>2]|0)+28>>2]&2047](o,a);r=k+11|0;if((b[r>>0]|0)<0){p=f[k>>2]|0;b[n>>0]=0;$jc(p,n);f[k+4>>2]=0;t=k}else{b[n>>0]=0;$jc(k,n);b[r>>0]=0;t=k}vuc(k,0);f[t>>2]=f[o>>2];f[t+4>>2]=f[o+4>>2];f[t+8>>2]=f[o+8>>2];t=0;while(1){if((t|0)==3)break;f[o+(t<<2)>>2]=0;t=t+1|0}quc(o);s=a}t=di[f[(f[a>>2]|0)+12>>2]&1023](a)|0;b[g>>0]=t;t=di[f[(f[a>>2]|0)+16>>2]&1023](a)|0;b[h>>0]=t;yh[f[(f[s>>2]|0)+20>>2]&2047](o,a);t=i+11|0;if((b[t>>0]|0)<0){r=f[i>>2]|0;b[n>>0]=0;$jc(r,n);f[i+4>>2]=0;v=i}else{b[n>>0]=0;$jc(i,n);b[t>>0]=0;v=i}vuc(i,0);f[v>>2]=f[o>>2];f[v+4>>2]=f[o+4>>2];f[v+8>>2]=f[o+8>>2];v=0;while(1){if((v|0)==3)break;f[o+(v<<2)>>2]=0;v=v+1|0}quc(o);yh[f[(f[s>>2]|0)+24>>2]&2047](o,a);s=j+11|0;if((b[s>>0]|0)<0){v=f[j>>2]|0;b[n>>0]=0;$jc(v,n);f[j+4>>2]=0;w=j}else{b[n>>0]=0;$jc(j,n);b[s>>0]=0;w=j}vuc(j,0);f[w>>2]=f[o>>2];f[w+4>>2]=f[o+4>>2];f[w+8>>2]=f[o+8>>2];w=0;while(1){if((w|0)==3)break;f[o+(w<<2)>>2]=0;w=w+1|0}quc(o);x=di[f[(f[a>>2]|0)+36>>2]&1023](a)|0}else{a=Ilc(d,903588)|0;if(c){yh[f[(f[a>>2]|0)+44>>2]&2047](n,a);c=f[n>>2]|0;b[e>>0]=c;b[e+1>>0]=c>>8;b[e+2>>0]=c>>16;b[e+3>>0]=c>>24;yh[f[(f[a>>2]|0)+32>>2]&2047](o,a);c=k+11|0;if((b[c>>0]|0)<0){d=f[k>>2]|0;b[n>>0]=0;$jc(d,n);f[k+4>>2]=0;y=k}else{b[n>>0]=0;$jc(k,n);b[c>>0]=0;y=k}vuc(k,0);f[y>>2]=f[o>>2];f[y+4>>2]=f[o+4>>2];f[y+8>>2]=f[o+8>>2];y=0;while(1){if((y|0)==3)break;f[o+(y<<2)>>2]=0;y=y+1|0}quc(o);z=a}else{yh[f[(f[a>>2]|0)+40>>2]&2047](n,a);y=f[n>>2]|0;b[e>>0]=y;b[e+1>>0]=y>>8;b[e+2>>0]=y>>16;b[e+3>>0]=y>>24;yh[f[(f[a>>2]|0)+28>>2]&2047](o,a);y=k+11|0;if((b[y>>0]|0)<0){e=f[k>>2]|0;b[n>>0]=0;$jc(e,n);f[k+4>>2]=0;A=k}else{b[n>>0]=0;$jc(k,n);b[y>>0]=0;A=k}vuc(k,0);f[A>>2]=f[o>>2];f[A+4>>2]=f[o+4>>2];f[A+8>>2]=f[o+8>>2];A=0;while(1){if((A|0)==3)break;f[o+(A<<2)>>2]=0;A=A+1|0}quc(o);z=a}A=di[f[(f[a>>2]|0)+12>>2]&1023](a)|0;b[g>>0]=A;A=di[f[(f[a>>2]|0)+16>>2]&1023](a)|0;b[h>>0]=A;yh[f[(f[z>>2]|0)+20>>2]&2047](o,a);A=i+11|0;if((b[A>>0]|0)<0){h=f[i>>2]|0;b[n>>0]=0;$jc(h,n);f[i+4>>2]=0;B=i}else{b[n>>0]=0;$jc(i,n);b[A>>0]=0;B=i}vuc(i,0);f[B>>2]=f[o>>2];f[B+4>>2]=f[o+4>>2];f[B+8>>2]=f[o+8>>2];B=0;while(1){if((B|0)==3)break;f[o+(B<<2)>>2]=0;B=B+1|0}quc(o);yh[f[(f[z>>2]|0)+24>>2]&2047](o,a);z=j+11|0;if((b[z>>0]|0)<0){B=f[j>>2]|0;b[n>>0]=0;$jc(B,n);f[j+4>>2]=0;C=j}else{b[n>>0]=0;$jc(j,n);b[z>>0]=0;C=j}vuc(j,0);f[C>>2]=f[o>>2];f[C+4>>2]=f[o+4>>2];f[C+8>>2]=f[o+8>>2];C=0;while(1){if((C|0)==3)break;f[o+(C<<2)>>2]=0;C=C+1|0}quc(o);x=di[f[(f[a>>2]|0)+36>>2]&1023](a)|0}f[l>>2]=x;u=m;return}function qqc(a,c,e,g,h,i,j,k,l,m,n,o,p,q,r){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;r=r|0;var s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0;f[e>>2]=a;s=q+11|0;t=q+4|0;u=p+11|0;v=p+4|0;w=(g&512|0)==0;x=j+8|0;y=(r|0)>0;z=o+11|0;A=o+4|0;B=0;C=h;while(1){if((B|0)==4)break;a:do switch(b[l+B>>0]|0){case 0:{f[c>>2]=f[e>>2];D=C;break}case 1:{f[c>>2]=f[e>>2];h=Th[f[(f[j>>2]|0)+28>>2]&1023](j,32)|0;E=f[e>>2]|0;f[e>>2]=E+1;b[E>>0]=h;D=C;break}case 3:{h=b[s>>0]|0;E=h<<24>>24<0;if(!((E?f[t>>2]|0:h&255)|0))D=C;else{h=b[(E?f[q>>2]|0:q)>>0]|0;E=f[e>>2]|0;f[e>>2]=E+1;b[E>>0]=h;D=C}break}case 2:{h=b[u>>0]|0;E=h<<24>>24<0;F=E?f[v>>2]|0:h&255;if(w|(F|0)==0)D=C;else{h=E?f[p>>2]|0:p;E=h+F|0;F=f[e>>2]|0;G=h;while(1){if((G|0)==(E|0))break;b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}f[e>>2]=F;D=C}break}case 4:{G=f[e>>2]|0;E=k?C+1|0:C;h=E;while(1){if(h>>>0>=i>>>0)break;H=b[h>>0]|0;if(H<<24>>24<=-1)break;if(!(d[(f[x>>2]|0)+(H<<24>>24<<1)>>1]&2048))break;h=h+1|0}if(y){F=r;H=h;while(1){I=(F|0)>0;if(!(H>>>0>E>>>0&I))break;J=H+-1|0;K=b[J>>0]|0;L=f[e>>2]|0;f[e>>2]=L+1;b[L>>0]=K;F=F+-1|0;H=J}if(I)M=Th[f[(f[j>>2]|0)+28>>2]&1023](j,48)|0;else M=0;J=F;while(1){N=f[e>>2]|0;f[e>>2]=N+1;if((J|0)<=0)break;b[N>>0]=M;J=J+-1|0}b[N>>0]=m;O=H}else O=h;b:do if((O|0)==(E|0)){J=Th[f[(f[j>>2]|0)+28>>2]&1023](j,48)|0;F=f[e>>2]|0;f[e>>2]=F+1;b[F>>0]=J}else{J=b[z>>0]|0;F=J<<24>>24<0;if(!((F?f[A>>2]|0:J&255)|0)){P=-1;Q=0;R=0;S=O}else{P=b[(F?f[o>>2]|0:o)>>0]|0;Q=0;R=0;S=O}while(1){if((S|0)==(E|0))break b;if((R|0)==(P|0)){F=f[e>>2]|0;f[e>>2]=F+1;b[F>>0]=n;F=Q+1|0;J=b[z>>0]|0;K=J<<24>>24<0;if(F>>>0<(K?f[A>>2]|0:J&255)>>>0){J=b[(K?f[o>>2]|0:o)+F>>0]|0;T=J<<24>>24==127?-1:J<<24>>24;U=F;V=0}else{T=R;U=F;V=0}}else{T=P;U=Q;V=R}F=S+-1|0;J=b[F>>0]|0;K=f[e>>2]|0;f[e>>2]=K+1;b[K>>0]=J;P=T;Q=U;R=V+1|0;S=F}}while(0);h=f[e>>2]|0;if((G|0)==(h|0))D=E;else{H=h;h=G;while(1){F=H+-1|0;if(h>>>0>=F>>>0){D=E;break a}J=b[h>>0]|0;b[h>>0]=b[F>>0]|0;b[F>>0]=J;H=F;h=h+1|0}}break}default:D=C}while(0);B=B+1|0;C=D}D=b[s>>0]|0;s=D<<24>>24<0;C=s?f[t>>2]|0:D&255;if(C>>>0>1){D=s?f[q>>2]|0:q;q=D+C|0;C=f[e>>2]|0;s=D;while(1){D=s+1|0;if((D|0)==(q|0))break;b[C>>0]=b[D>>0]|0;C=C+1|0;s=D}f[e>>2]=C}switch((g&176)<<24>>24){case 32:{f[c>>2]=f[e>>2];break}case 16:break;default:f[c>>2]=a}return}function rqc(a){a=a|0;olc(a);return}function sqc(a){a=a|0;olc(a);fuc(a);return}function tqc(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=+h;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0;a=u;u=u+1008|0;i=a+8|0;j=a;k=a+896|0;l=a+888|0;m=a+488|0;n=a+480|0;o=a+892|0;q=a+476|0;r=a+472|0;s=a+460|0;t=a+448|0;v=a+436|0;w=a+432|0;x=a+32|0;y=a+24|0;z=a+16|0;A=a+20|0;f[l>>2]=k;p[i>>3]=h;B=ufc(k,100,529179,i)|0;if(B>>>0>99){k=Llc()|0;p[j>>3]=h;C=bnc(l,k,529179,j)|0;j=f[l>>2]|0;if(!j)huc();k=pec(C<<2)|0;if(!k)huc();else{D=k;E=C;F=k;G=j}}else{D=m;E=B;F=0;G=0}dkc(n,e);B=Ilc(n,901908)|0;m=f[l>>2]|0;Cg[f[(f[B>>2]|0)+48>>2]&127](B,m,m+E|0,D)|0;if(!E)H=0;else H=(b[f[l>>2]>>0]|0)==45;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;l=0;while(1){if((l|0)==3)break;f[s+(l<<2)>>2]=0;l=l+1|0}f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;l=0;while(1){if((l|0)==3)break;f[t+(l<<2)>>2]=0;l=l+1|0}f[v>>2]=0;f[v+4>>2]=0;f[v+8>>2]=0;l=0;while(1){if((l|0)==3)break;f[v+(l<<2)>>2]=0;l=l+1|0}vqc(d,H,n,o,q,r,s,t,v,w);d=f[w>>2]|0;if((E|0)>(d|0)){w=b[v+8+3>>0]|0;l=b[t+8+3>>0]|0;I=1;J=(w<<24>>24<0?f[v+4>>2]|0:w&255)+(E-d<<1)|0;K=l<<24>>24<0?f[t+4>>2]|0:l&255}else{l=b[v+8+3>>0]|0;w=b[t+8+3>>0]|0;I=2;J=w<<24>>24<0?f[t+4>>2]|0:w&255;K=l<<24>>24<0?f[v+4>>2]|0:l&255}l=K+d+J+I|0;if(l>>>0>100){I=pec(l<<2)|0;if(!I)huc();else{L=I;M=I}}else{L=x;M=0}wqc(L,y,z,f[e+4>>2]|0,D,D+(E<<2)|0,B,H,o,f[q>>2]|0,f[r>>2]|0,s,t,v,d);f[A>>2]=f[c>>2];c=f[y>>2]|0;y=f[z>>2]|0;f[i>>2]=f[A>>2];A=pnc(i,L,c,y,e,g)|0;if(M|0)qec(M);Ruc(v);Ruc(t);quc(s);Jlc(n);if(F|0)qec(F);if(G|0)qec(G);u=a;return A|0}function uqc(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;a=u;u=u+480|0;i=a+468|0;j=a+464|0;k=a+472|0;l=a+460|0;m=a+456|0;n=a+444|0;o=a+432|0;p=a+420|0;q=a+416|0;r=a+16|0;s=a+8|0;t=a+4|0;v=a;dkc(j,e);w=Ilc(j,901908)|0;x=h+8+3|0;y=b[x>>0]|0;z=y<<24>>24<0;A=h+4|0;if(!((z?f[A>>2]|0:y&255)|0))B=0;else{y=f[(z?f[h>>2]|0:h)>>2]|0;B=(y|0)==(Th[f[(f[w>>2]|0)+44>>2]&1023](w,45)|0)};f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;y=0;while(1){if((y|0)==3)break;f[n+(y<<2)>>2]=0;y=y+1|0}f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;y=0;while(1){if((y|0)==3)break;f[o+(y<<2)>>2]=0;y=y+1|0}f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;y=0;while(1){if((y|0)==3)break;f[p+(y<<2)>>2]=0;y=y+1|0}vqc(d,B,j,k,l,m,n,o,p,q);d=b[x>>0]|0;x=d<<24>>24<0;y=x?f[A>>2]|0:d&255;d=f[q>>2]|0;if((y|0)>(d|0)){q=b[p+8+3>>0]|0;A=b[o+8+3>>0]|0;C=1;D=(q<<24>>24<0?f[p+4>>2]|0:q&255)+(y-d<<1)|0;E=A<<24>>24<0?f[o+4>>2]|0:A&255}else{A=b[p+8+3>>0]|0;q=b[o+8+3>>0]|0;C=2;D=q<<24>>24<0?f[o+4>>2]|0:q&255;E=A<<24>>24<0?f[p+4>>2]|0:A&255}A=E+d+D+C|0;if(A>>>0>100){C=pec(A<<2)|0;if(!C)huc();else{F=C;G=C}}else{F=r;G=0}r=x?f[h>>2]|0:h;wqc(F,s,t,f[e+4>>2]|0,r,r+(y<<2)|0,w,B,k,f[l>>2]|0,f[m>>2]|0,n,o,p,d);f[v>>2]=f[c>>2];c=f[s>>2]|0;s=f[t>>2]|0;f[i>>2]=f[v>>2];v=pnc(i,F,c,s,e,g)|0;if(G|0)qec(G);Ruc(p);Ruc(o);quc(n);Jlc(j);u=a;return v|0}function vqc(a,c,d,e,g,h,i,j,k,l){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;m=u;u=u+16|0;n=m+12|0;o=m;if(a){a=Ilc(d,903612)|0;if(c){yh[f[(f[a>>2]|0)+44>>2]&2047](n,a);p=f[n>>2]|0;b[e>>0]=p;b[e+1>>0]=p>>8;b[e+2>>0]=p>>16;b[e+3>>0]=p>>24;yh[f[(f[a>>2]|0)+32>>2]&2047](o,a);p=k+8+3|0;if((b[p>>0]|0)<0){q=f[k>>2]|0;f[n>>2]=0;ulc(q,n);f[k+4>>2]=0}else{f[n>>2]=0;ulc(k,n);b[p>>0]=0}Vuc(k,0);f[k>>2]=f[o>>2];f[k+4>>2]=f[o+4>>2];f[k+8>>2]=f[o+8>>2];p=0;while(1){if((p|0)==3)break;f[o+(p<<2)>>2]=0;p=p+1|0}Ruc(o)}else{yh[f[(f[a>>2]|0)+40>>2]&2047](n,a);p=f[n>>2]|0;b[e>>0]=p;b[e+1>>0]=p>>8;b[e+2>>0]=p>>16;b[e+3>>0]=p>>24;yh[f[(f[a>>2]|0)+28>>2]&2047](o,a);p=k+8+3|0;if((b[p>>0]|0)<0){q=f[k>>2]|0;f[n>>2]=0;ulc(q,n);f[k+4>>2]=0}else{f[n>>2]=0;ulc(k,n);b[p>>0]=0}Vuc(k,0);f[k>>2]=f[o>>2];f[k+4>>2]=f[o+4>>2];f[k+8>>2]=f[o+8>>2];p=0;while(1){if((p|0)==3)break;f[o+(p<<2)>>2]=0;p=p+1|0}Ruc(o)}p=di[f[(f[a>>2]|0)+12>>2]&1023](a)|0;f[g>>2]=p;p=di[f[(f[a>>2]|0)+16>>2]&1023](a)|0;f[h>>2]=p;yh[f[(f[a>>2]|0)+20>>2]&2047](o,a);p=i+11|0;if((b[p>>0]|0)<0){q=f[i>>2]|0;b[n>>0]=0;$jc(q,n);f[i+4>>2]=0;r=i}else{b[n>>0]=0;$jc(i,n);b[p>>0]=0;r=i}vuc(i,0);f[r>>2]=f[o>>2];f[r+4>>2]=f[o+4>>2];f[r+8>>2]=f[o+8>>2];r=0;while(1){if((r|0)==3)break;f[o+(r<<2)>>2]=0;r=r+1|0}quc(o);yh[f[(f[a>>2]|0)+24>>2]&2047](o,a);r=j+8+3|0;if((b[r>>0]|0)<0){p=f[j>>2]|0;f[n>>2]=0;ulc(p,n);f[j+4>>2]=0}else{f[n>>2]=0;ulc(j,n);b[r>>0]=0}Vuc(j,0);f[j>>2]=f[o>>2];f[j+4>>2]=f[o+4>>2];f[j+8>>2]=f[o+8>>2];r=0;while(1){if((r|0)==3)break;f[o+(r<<2)>>2]=0;r=r+1|0}Ruc(o);s=di[f[(f[a>>2]|0)+36>>2]&1023](a)|0}else{a=Ilc(d,903604)|0;if(c){yh[f[(f[a>>2]|0)+44>>2]&2047](n,a);c=f[n>>2]|0;b[e>>0]=c;b[e+1>>0]=c>>8;b[e+2>>0]=c>>16;b[e+3>>0]=c>>24;yh[f[(f[a>>2]|0)+32>>2]&2047](o,a);c=k+8+3|0;if((b[c>>0]|0)<0){d=f[k>>2]|0;f[n>>2]=0;ulc(d,n);f[k+4>>2]=0}else{f[n>>2]=0;ulc(k,n);b[c>>0]=0}Vuc(k,0);f[k>>2]=f[o>>2];f[k+4>>2]=f[o+4>>2];f[k+8>>2]=f[o+8>>2];c=0;while(1){if((c|0)==3)break;f[o+(c<<2)>>2]=0;c=c+1|0}Ruc(o)}else{yh[f[(f[a>>2]|0)+40>>2]&2047](n,a);c=f[n>>2]|0;b[e>>0]=c;b[e+1>>0]=c>>8;b[e+2>>0]=c>>16;b[e+3>>0]=c>>24;yh[f[(f[a>>2]|0)+28>>2]&2047](o,a);c=k+8+3|0;if((b[c>>0]|0)<0){e=f[k>>2]|0;f[n>>2]=0;ulc(e,n);f[k+4>>2]=0}else{f[n>>2]=0;ulc(k,n);b[c>>0]=0}Vuc(k,0);f[k>>2]=f[o>>2];f[k+4>>2]=f[o+4>>2];f[k+8>>2]=f[o+8>>2];k=0;while(1){if((k|0)==3)break;f[o+(k<<2)>>2]=0;k=k+1|0}Ruc(o)}k=di[f[(f[a>>2]|0)+12>>2]&1023](a)|0;f[g>>2]=k;k=di[f[(f[a>>2]|0)+16>>2]&1023](a)|0;f[h>>2]=k;yh[f[(f[a>>2]|0)+20>>2]&2047](o,a);k=i+11|0;if((b[k>>0]|0)<0){h=f[i>>2]|0;b[n>>0]=0;$jc(h,n);f[i+4>>2]=0;t=i}else{b[n>>0]=0;$jc(i,n);b[k>>0]=0;t=i}vuc(i,0);f[t>>2]=f[o>>2];f[t+4>>2]=f[o+4>>2];f[t+8>>2]=f[o+8>>2];t=0;while(1){if((t|0)==3)break;f[o+(t<<2)>>2]=0;t=t+1|0}quc(o);yh[f[(f[a>>2]|0)+24>>2]&2047](o,a);t=j+8+3|0;if((b[t>>0]|0)<0){i=f[j>>2]|0;f[n>>2]=0;ulc(i,n);f[j+4>>2]=0}else{f[n>>2]=0;ulc(j,n);b[t>>0]=0}Vuc(j,0);f[j>>2]=f[o>>2];f[j+4>>2]=f[o+4>>2];f[j+8>>2]=f[o+8>>2];j=0;while(1){if((j|0)==3)break;f[o+(j<<2)>>2]=0;j=j+1|0}Ruc(o);s=di[f[(f[a>>2]|0)+36>>2]&1023](a)|0}f[l>>2]=s;u=m;return}function wqc(a,c,d,e,g,h,i,j,k,l,m,n,o,p,q){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;var r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0;f[d>>2]=a;r=p+8+3|0;s=p+4|0;t=o+8+3|0;u=o+4|0;v=(e&512|0)==0;w=(q|0)>0;x=n+11|0;y=n+4|0;z=0;A=g;while(1){if((z|0)==4)break;a:do switch(b[k+z>>0]|0){case 0:{f[c>>2]=f[d>>2];B=A;break}case 1:{f[c>>2]=f[d>>2];g=Th[f[(f[i>>2]|0)+44>>2]&1023](i,32)|0;C=f[d>>2]|0;f[d>>2]=C+4;f[C>>2]=g;B=A;break}case 3:{g=b[r>>0]|0;C=g<<24>>24<0;if(!((C?f[s>>2]|0:g&255)|0))B=A;else{g=f[(C?f[p>>2]|0:p)>>2]|0;C=f[d>>2]|0;f[d>>2]=C+4;f[C>>2]=g;B=A}break}case 2:{g=b[t>>0]|0;C=g<<24>>24<0;D=C?f[u>>2]|0:g&255;if(v|(D|0)==0)B=A;else{g=C?f[o>>2]|0:o;C=g+(D<<2)|0;E=f[d>>2]|0;F=E;G=g;while(1){if((G|0)==(C|0))break;f[F>>2]=f[G>>2];F=F+4|0;G=G+4|0}f[d>>2]=E+(D<<2);B=A}break}case 4:{G=f[d>>2]|0;F=j?A+4|0:A;C=F;while(1){if(C>>>0>=h>>>0)break;if(!(li[f[(f[i>>2]|0)+12>>2]&511](i,2048,f[C>>2]|0)|0))break;C=C+4|0}if(w){D=q;E=C;while(1){H=(D|0)>0;if(!(E>>>0>F>>>0&H))break;g=E+-4|0;I=f[g>>2]|0;J=f[d>>2]|0;f[d>>2]=J+4;f[J>>2]=I;D=D+-1|0;E=g}if(H)K=Th[f[(f[i>>2]|0)+44>>2]&1023](i,48)|0;else K=0;g=D;I=f[d>>2]|0;while(1){L=I+4|0;if((g|0)<=0)break;f[I>>2]=K;g=g+-1|0;I=L}f[d>>2]=L;f[I>>2]=l;M=E}else M=C;if((M|0)==(F|0)){g=Th[f[(f[i>>2]|0)+44>>2]&1023](i,48)|0;D=f[d>>2]|0;J=D+4|0;f[d>>2]=J;f[D>>2]=g;N=J}else{J=b[x>>0]|0;g=J<<24>>24<0;D=J&255;if(!((g?f[y>>2]|0:D)|0)){O=-1;P=0;Q=0;R=M}else{O=b[(g?f[n>>2]|0:n)>>0]|0;P=0;Q=0;R=M}while(1){if((R|0)==(F|0))break;J=f[d>>2]|0;if((Q|0)==(O|0)){S=J+4|0;f[d>>2]=S;f[J>>2]=m;T=P+1|0;if(T>>>0<(g?f[y>>2]|0:D)>>>0){U=b[(g?f[n>>2]|0:n)+T>>0]|0;V=U<<24>>24==127?-1:U<<24>>24;W=T;X=0;Y=S}else{V=Q;W=T;X=0;Y=S}}else{V=O;W=P;X=Q;Y=J}J=R+-4|0;S=f[J>>2]|0;f[d>>2]=Y+4;f[Y>>2]=S;O=V;P=W;Q=X+1|0;R=J}N=f[d>>2]|0}if((G|0)==(N|0))B=F;else{g=N;D=G;while(1){C=g+-4|0;if(D>>>0>=C>>>0){B=F;break a}E=f[D>>2]|0;f[D>>2]=f[C>>2];f[C>>2]=E;g=C;D=D+4|0}}break}default:B=A}while(0);z=z+1|0;A=B}B=b[r>>0]|0;r=B<<24>>24<0;A=r?f[s>>2]|0:B&255;if(A>>>0>1){B=r?f[p>>2]|0:p;p=B+4|0;r=B+(A<<2)|0;A=f[d>>2]|0;B=r-p|0;s=A;z=p;while(1){if((z|0)==(r|0))break;f[s>>2]=f[z>>2];s=s+4|0;z=z+4|0}f[d>>2]=A+(B>>>2<<2)}switch((e&176)<<24>>24){case 32:{f[c>>2]=f[d>>2];break}case 16:break;default:f[c>>2]=a}return}function xqc(a){a=a|0;olc(a);return}function yqc(a){a=a|0;olc(a);fuc(a);return}function zqc(a,c,d){a=a|0;c=c|0;d=d|0;d=tfc((b[c+11>>0]|0)<0?f[c>>2]|0:c,1)|0;return d>>>((d|0)!=(-1|0)&1)|0}function Aqc(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0;c=u;u=u+16|0;i=c;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;j=0;while(1){if((j|0)==3)break;f[i+(j<<2)>>2]=0;j=j+1|0}j=b[h+11>>0]|0;k=j<<24>>24<0;l=k?f[h>>2]|0:h;m=l+(k?f[h+4>>2]|0:j&255)|0;j=l;while(1){if(j>>>0>=m>>>0)break;Euc(i,b[j>>0]|0);j=j+1|0}j=(b[i+11>>0]|0)<0?f[i>>2]|0:i;m=Yfc((d|0)==-1?-1:d<<1,e,g,j)|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;g=0;while(1){if((g|0)==3)break;f[a+(g<<2)>>2]=0;g=g+1|0}g=j+(jfc(m)|0)|0;m=j;while(1){if(m>>>0>=g>>>0)break;Euc(a,b[m>>0]|0);m=m+1|0}quc(i);u=c;return}function Bqc(a,b){a=a|0;b=b|0;return}function Cqc(a){a=a|0;olc(a);return}function Dqc(a){a=a|0;olc(a);fuc(a);return}function Eqc(a,c,d){a=a|0;c=c|0;d=d|0;d=tfc((b[c+11>>0]|0)<0?f[c>>2]|0:c,1)|0;return d>>>((d|0)!=(-1|0)&1)|0}function Fqc(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;c=u;u=u+176|0;i=c+168|0;j=c+40|0;k=c+36|0;l=c+32|0;m=c;n=c+24|0;o=c+16|0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;p=0;while(1){if((p|0)==3)break;f[m+(p<<2)>>2]=0;p=p+1|0}f[n+4>>2]=0;f[n>>2]=166396;p=b[h+8+3>>0]|0;q=p<<24>>24<0;r=q?f[h>>2]|0:h;s=r+((q?f[h+4>>2]|0:p&255)<<2)|0;p=j+32|0;h=r;r=0;while(1){if(!((r|0)!=2&h>>>0<s>>>0))break;f[l>>2]=h;q=Ei[f[(f[n>>2]|0)+12>>2]&15](n,i,h,s,l,j,p,k)|0;if((q|0)==2?1:(f[l>>2]|0)==(h|0)){t=7;break}else v=j;while(1){if(v>>>0>=(f[k>>2]|0)>>>0)break;Euc(m,b[v>>0]|0);v=v+1|0}h=f[l>>2]|0;r=q}if((t|0)==7)bpc(0);olc(n);n=(b[m+11>>0]|0)<0?f[m>>2]|0:m;r=Yfc((d|0)==-1?-1:d<<1,e,g,n)|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;g=0;while(1){if((g|0)==3)break;f[a+(g<<2)>>2]=0;g=g+1|0}f[o+4>>2]=0;f[o>>2]=166444;g=n+(jfc(r)|0)|0;r=g;e=j+128|0;d=n;n=0;while(1){if(!((n|0)!=2&d>>>0<g>>>0)){t=21;break}f[l>>2]=d;h=Ei[f[(f[o>>2]|0)+16>>2]&15](o,i,d,(r-d|0)>32?d+32|0:g,l,j,e,k)|0;if((h|0)==2?1:(f[l>>2]|0)==(d|0)){t=17;break}else w=j;while(1){if(w>>>0>=(f[k>>2]|0)>>>0)break;Zuc(a,f[w>>2]|0);w=w+4|0}d=f[l>>2]|0;n=h}if((t|0)==17)bpc(0);else if((t|0)==21){olc(o);quc(m);u=c;return}}function Gqc(a,b){a=a|0;b=b|0;return}function Hqc(a){a=a|0;olc(a);fuc(a);return}function Iqc(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0;b=u;u=u+16|0;a=b+4|0;j=b;f[a>>2]=c;f[j>>2]=g;k=Rqc(c,d,a,g,h,j,1114111,0)|0;f[e>>2]=f[a>>2];f[i>>2]=f[j>>2];u=b;return k|0}function Jqc(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0;b=u;u=u+16|0;a=b+4|0;j=b;f[a>>2]=c;f[j>>2]=g;k=Qqc(c,d,a,g,h,j,1114111,0)|0;f[e>>2]=f[a>>2];f[i>>2]=f[j>>2];u=b;return k|0}function Kqc(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f[e>>2]=c;return 3}function Lqc(a){a=a|0;return 0}function Mqc(a){a=a|0;return 0}function Nqc(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return Pqc(c,d,e,1114111,0)|0}function Oqc(a){a=a|0;return 4}function Pqc(a,c,d,e,f){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;g=c;i=a;if(((g-i|0)>2&(f&4|0)!=0?(b[a>>0]|0)==-17:0)?(b[a+1>>0]|0)==-69:0){j=0;k=(b[a+2>>0]|0)==-65?a+3|0:a}else{j=0;k=a}a:while(1){if(!(j>>>0<d>>>0&k>>>0<c>>>0)){l=30;break}a=b[k>>0]|0;f=a&255;m=k+1|0;do if(a<<24>>24>-1)if(f>>>0>e>>>0){l=30;break a}else n=m;else{if((a&255)<194){l=30;break a}o=k+2|0;p=k;q=g-p|0;if((a&255)<224){if((q|0)<2){l=30;break a}r=h[m>>0]|0;if((r&192|0)!=128){l=30;break a}if((r&63|f<<6&1984)>>>0>e>>>0){l=30;break a}else{n=o;break}}r=k+3|0;if((a&255)<240){if((q|0)<3){l=30;break a}s=b[o>>0]|0;t=h[m>>0]|0;u=t&224;switch(a<<24>>24){case -32:{if((u|0)!=160){v=p;break a}break}case -19:{if((u|0)!=128){v=p;break a}break}default:if((t&192|0)!=128){v=p;break a}}u=s&255;if((u&192|0)!=128){l=30;break a}if((t<<6&4032|f<<12&61440|u&63)>>>0>e>>>0){l=30;break a}else{n=r;break}}if((q|0)<4|(a&255)>244){l=30;break a}q=b[m>>0]|0;u=b[o>>0]|0;o=b[r>>0]|0;r=q&255;switch(a<<24>>24){case -16:{if((q+112&255)>=48){v=p;break a}break}case -12:{if((r&240|0)!=128){v=p;break a}break}default:if((r&192|0)!=128){v=p;break a}}p=u&255;if((p&192|0)!=128){l=30;break a}u=o&255;if((u&192|0)!=128){l=30;break a}if((r<<12&258048|f<<18&1835008|p<<6&4032|u&63)>>>0>e>>>0){l=30;break a}else n=k+4|0}while(0);j=j+1|0;k=n}if((l|0)==30)v=k;return v-i|0}function Qqc(a,c,d,e,g,i,j,k){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;f[d>>2]=a;f[i>>2]=e;e=c;if((((k&4|0?(k=f[d>>2]|0,(e-k|0)>2):0)?(b[k>>0]|0)==-17:0)?(b[k+1>>0]|0)==-69:0)?(b[k+2>>0]|0)==-65:0)f[d>>2]=k+3;a:while(1){k=f[d>>2]|0;if(k>>>0>=c>>>0){l=0;break}a=f[i>>2]|0;if(a>>>0>=g>>>0){l=1;break}m=b[k>>0]|0;n=m&255;o=k+1|0;do if(m<<24>>24>-1){if(n>>>0>j>>>0){l=2;break a}f[a>>2]=n;p=o}else{if((m&255)<194){l=2;break a}q=k+2|0;r=e-k|0;if((m&255)<224){if((r|0)<2){l=1;break a}s=h[o>>0]|0;if((s&192|0)!=128){l=2;break a}t=s&63|n<<6&1984;if(t>>>0>j>>>0){l=2;break a}f[a>>2]=t;p=q;break}t=k+3|0;if((m&255)<240){if((r|0)<3){l=1;break a}s=b[q>>0]|0;u=h[o>>0]|0;v=u&224;switch(m<<24>>24){case -32:{if((v|0)!=160){l=2;break a}break}case -19:{if((v|0)!=128){l=2;break a}break}default:if((u&192|0)!=128){l=2;break a}}v=s&255;if((v&192|0)!=128){l=2;break a}s=u<<6&4032|n<<12&61440|v&63;if(s>>>0>j>>>0){l=2;break a}f[a>>2]=s;p=t;break}if((m&255)>=245){l=2;break a}if((r|0)<4){l=1;break a}r=b[o>>0]|0;s=b[q>>0]|0;q=b[t>>0]|0;t=r&255;switch(m<<24>>24){case -16:{if((r+112&255)>=48){l=2;break a}break}case -12:{if((t&240|0)!=128){l=2;break a}break}default:if((t&192|0)!=128){l=2;break a}}r=s&255;if((r&192|0)!=128){l=2;break a}s=q&255;if((s&192|0)!=128){l=2;break a}q=t<<12&258048|n<<18&1835008|r<<6&4032|s&63;if(q>>>0>j>>>0){l=2;break a}f[a>>2]=q;p=k+4|0}while(0);f[d>>2]=p;f[i>>2]=(f[i>>2]|0)+4}return l|0}function Rqc(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0;f[d>>2]=a;f[h>>2]=e;a=g;if(j&2)if((a-e|0)<3)k=1;else{f[h>>2]=e+1;b[e>>0]=-17;e=f[h>>2]|0;f[h>>2]=e+1;b[e>>0]=-69;e=f[h>>2]|0;f[h>>2]=e+1;b[e>>0]=-65;l=4}else l=4;a:do if((l|0)==4){e=f[d>>2]|0;while(1){if(e>>>0>=c>>>0){k=0;break a}j=f[e>>2]|0;if(j>>>0>i>>>0|(j&-2048|0)==55296){k=2;break a}do if(j>>>0>=128){g=(j&63|128)&255;if(j>>>0<2048){m=f[h>>2]|0;if((a-m|0)<2){k=1;break a}f[h>>2]=m+1;b[m>>0]=j>>>6|192;m=f[h>>2]|0;f[h>>2]=m+1;b[m>>0]=g;break}m=f[h>>2]|0;n=a-m|0;o=m+1|0;p=(j>>>6&63|128)&255;if(j>>>0<65536){if((n|0)<3){k=1;break a}f[h>>2]=o;b[m>>0]=j>>>12|224;q=f[h>>2]|0;f[h>>2]=q+1;b[q>>0]=p;q=f[h>>2]|0;f[h>>2]=q+1;b[q>>0]=g;break}else{if((n|0)<4){k=1;break a}f[h>>2]=o;b[m>>0]=j>>>18|240;m=f[h>>2]|0;f[h>>2]=m+1;b[m>>0]=j>>>12&63|128;m=f[h>>2]|0;f[h>>2]=m+1;b[m>>0]=p;p=f[h>>2]|0;f[h>>2]=p+1;b[p>>0]=g;break}}else{g=f[h>>2]|0;if((a-g|0)<1){k=1;break a}f[h>>2]=g+1;b[g>>0]=j}while(0);j=(f[d>>2]|0)+4|0;f[d>>2]=j;e=j}}while(0);return k|0}function Sqc(a){a=a|0;olc(a);fuc(a);return}function Tqc(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;f[e>>2]=c;f[i>>2]=g;return 3}function Uqc(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;f[e>>2]=c;f[i>>2]=g;return 3}function Vqc(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f[e>>2]=c;return 3}function Wqc(a){a=a|0;return 1}function Xqc(a){a=a|0;return 1}function Yqc(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;b=d-c|0;return (b>>>0<e>>>0?b:e)|0}function Zqc(a){a=a|0;return 1}function _qc(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0;k=u;u=u+16|0;l=k;m=k+8|0;n=d;while(1){if((n|0)==(e|0)){o=e;break}if(!(f[n>>2]|0)){o=n;break}n=n+4|0}f[j>>2]=h;f[g>>2]=d;n=i;p=a+8|0;a=d;d=h;h=o;a:while(1){if((d|0)==(i|0)|(a|0)==(e|0)){q=a;r=35;break}o=c;s=f[o+4>>2]|0;t=l;f[t>>2]=f[o>>2];f[t+4>>2]=s;s=fgc(f[p>>2]|0)|0;t=Lhc(d,g,h-a>>2,n-d|0,c)|0;if(s|0)fgc(s)|0;switch(t|0){case -1:{r=10;break a;break}case 0:{v=1;r=32;break a;break}default:{}}s=(f[j>>2]|0)+t|0;f[j>>2]=s;if((s|0)==(i|0)){r=33;break}if((h|0)==(e|0)){w=e;x=s;y=f[g>>2]|0}else{s=fgc(f[p>>2]|0)|0;t=Nfc(m,0,c)|0;if(s|0)fgc(s)|0;if((t|0)==-1){z=2;r=31;break}if(t>>>0>(n-(f[j>>2]|0)|0)>>>0){z=1;r=31;break}else{A=m;B=t}while(1){if(!B)break;t=b[A>>0]|0;s=f[j>>2]|0;f[j>>2]=s+1;b[s>>0]=t;A=A+1|0;B=B+-1|0}t=(f[g>>2]|0)+4|0;f[g>>2]=t;s=t;while(1){if((s|0)==(e|0)){C=e;break}if(!(f[s>>2]|0)){C=s;break}s=s+4|0}w=C;x=f[j>>2]|0;y=t}a=y;d=x;h=w}if((r|0)==10){f[j>>2]=d;w=a;a=d;while(1){if((w|0)==(f[g>>2]|0))break;d=f[w>>2]|0;h=fgc(f[p>>2]|0)|0;x=Nfc(a,d,l)|0;if(h|0)fgc(h)|0;if((x|0)==-1)break;h=(f[j>>2]|0)+x|0;f[j>>2]=h;w=w+4|0;a=h}f[g>>2]=w;v=2;r=32}else if((r|0)==31){v=z;r=32}else if((r|0)==33){q=f[g>>2]|0;r=35}if((r|0)==32)D=v;else if((r|0)==35)D=(q|0)!=(e|0)&1;u=k;return D|0}function $qc(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;k=u;u=u+16|0;l=k;m=d;while(1){if((m|0)==(e|0)){n=e;break}if(!(b[m>>0]|0)){n=m;break}m=m+1|0}f[j>>2]=h;f[g>>2]=d;m=i;o=a+8|0;a=d;d=h;h=n;while(1){if((d|0)==(i|0)|(a|0)==(e|0)){p=a;q=32;break}n=c;r=f[n+4>>2]|0;s=l;f[s>>2]=f[n>>2];f[s+4>>2]=r;t=h;r=fgc(f[o>>2]|0)|0;s=Mhc(d,g,t-a|0,m-d>>2,c)|0;if(r|0)fgc(r)|0;if((s|0)==-1){v=a;w=d;q=10;break}r=(f[j>>2]|0)+(s<<2)|0;f[j>>2]=r;if((r|0)==(i|0)){q=29;break}s=f[g>>2]|0;if((h|0)==(e|0)){x=e;y=r;z=s}else{n=fgc(f[o>>2]|0)|0;A=dgc(r,s,1,c)|0;if(n|0)fgc(n)|0;if(A|0){B=2;q=28;break}f[j>>2]=(f[j>>2]|0)+4;A=(f[g>>2]|0)+1|0;f[g>>2]=A;n=A;while(1){if((n|0)==(e|0)){C=e;break}if(!(b[n>>0]|0)){C=n;break}n=n+1|0}x=C;y=f[j>>2]|0;z=A}a=z;d=y;h=x}do if((q|0)==10){a:while(1){q=0;f[j>>2]=w;if((v|0)==(f[g>>2]|0)){q=18;break}x=fgc(f[o>>2]|0)|0;h=dgc(w,v,t-v|0,l)|0;if(x|0)fgc(x)|0;switch(h|0){case -1:{q=15;break a;break}case -2:{q=16;break a;break}case 0:{D=1;break}default:D=h}v=v+D|0;w=(f[j>>2]|0)+4|0;q=10}if((q|0)==15){f[g>>2]=v;B=2;q=28;break}else if((q|0)==16){f[g>>2]=v;B=1;q=28;break}else if((q|0)==18){f[g>>2]=v;B=(v|0)!=(e|0)&1;q=28;break}}else if((q|0)==29){p=f[g>>2]|0;q=32}while(0);if((q|0)==28)E=B;else if((q|0)==32)E=(p|0)!=(e|0)&1;u=k;return E|0}function arc(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0;h=u;u=u+16|0;i=h;f[g>>2]=d;d=fgc(f[a+8>>2]|0)|0;a=Nfc(i,0,c)|0;if(d|0)fgc(d)|0;a:do switch(a|0){case 0:case -1:{j=2;break}default:{d=a+-1|0;if(d>>>0>(e-(f[g>>2]|0)|0)>>>0)j=1;else{c=i;k=d;while(1){if(!k){j=0;break a}d=b[c>>0]|0;l=f[g>>2]|0;f[g>>2]=l+1;b[l>>0]=d;c=c+1|0;k=k+-1|0}}}}while(0);u=h;return j|0}function brc(a){a=a|0;var b=0,c=0,d=0;b=a+8|0;a=fgc(f[b>>2]|0)|0;c=hgc(0,0,4)|0;if(a|0)fgc(a)|0;if(!c){c=f[b>>2]|0;if(!c)d=1;else{b=fgc(c)|0;c=yhc()|0;if(b|0)fgc(b)|0;return (c|0)==1|0}}else d=-1;return d|0}function crc(a){a=a|0;return 0}function drc(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0;g=d;h=a+8|0;a=0;i=0;j=c;a:while(1){if((j|0)==(d|0)|a>>>0>=e>>>0)break;c=fgc(f[h>>2]|0)|0;k=Jhc(j,g-j|0,b)|0;if(c|0)fgc(c)|0;switch(k|0){case -2:case -1:{break a;break}case 0:{l=1;break}default:l=k}a=a+1|0;i=l+i|0;j=j+l|0}return i|0}function erc(a){a=a|0;var b=0,c=0;b=f[a+8>>2]|0;if(b){a=fgc(b)|0;b=yhc()|0;if(!a)c=b;else{fgc(a)|0;c=b}}else c=1;return c|0}function frc(a){a=a|0;var b=0,c=0;f[a>>2]=166492;b=a+8|0;c=f[b>>2]|0;if((c|0)!=(Llc()|0))agc(f[b>>2]|0);olc(a);return}function grc(a){a=a|0;frc(a);fuc(a);return}function hrc(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0;b=u;u=u+16|0;a=b+4|0;j=b;f[a>>2]=c;f[j>>2]=g;k=qrc(c,d,a,g,h,j,1114111,0)|0;f[e>>2]=f[a>>2];f[i>>2]=f[j>>2];u=b;return k|0}function irc(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0;b=u;u=u+16|0;a=b+4|0;j=b;f[a>>2]=c;f[j>>2]=g;k=prc(c,d,a,g,h,j,1114111,0)|0;f[e>>2]=f[a>>2];f[i>>2]=f[j>>2];u=b;return k|0}function jrc(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f[e>>2]=c;return 3}function krc(a){a=a|0;return 0}function lrc(a){a=a|0;return 0}function mrc(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return orc(c,d,e,1114111,0)|0}function nrc(a){a=a|0;return 4}function orc(a,c,d,e,f){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;g=c;i=a;if(((g-i|0)>2&(f&4|0)!=0?(b[a>>0]|0)==-17:0)?(b[a+1>>0]|0)==-69:0){j=0;k=(b[a+2>>0]|0)==-65?a+3|0:a}else{j=0;k=a}a:while(1){if(!(j>>>0<d>>>0&k>>>0<c>>>0)){l=31;break}a=b[k>>0]|0;f=a&255;if(f>>>0>e>>>0){l=31;break}m=k+1|0;do if(a<<24>>24<=-1){if((a&255)<194){l=31;break a}n=k+2|0;o=k;p=g-o|0;if((a&255)<224){if((p|0)<2){l=31;break a}q=h[m>>0]|0;if((q&192|0)!=128){l=31;break a}if((q&63|f<<6&1984)>>>0>e>>>0){l=31;break a}else{r=j;s=n;break}}q=k+3|0;if((a&255)<240){if((p|0)<3){l=31;break a}t=b[n>>0]|0;u=h[m>>0]|0;v=u&224;switch(a<<24>>24){case -32:{if((v|0)!=160){w=o;break a}break}case -19:{if((v|0)!=128){w=o;break a}break}default:if((u&192|0)!=128){w=o;break a}}v=t&255;if((v&192|0)!=128){l=31;break a}if((u<<6&4032|f<<12&61440|v&63)>>>0>e>>>0){l=31;break a}else{r=j;s=q;break}}if((a&255)>=245){l=31;break a}if((d-j|0)>>>0<2|(p|0)<4){l=31;break a}p=b[m>>0]|0;v=b[n>>0]|0;n=b[q>>0]|0;q=p&255;switch(a<<24>>24){case -16:{if((p+112&255)>=48){w=o;break a}break}case -12:{if((q&240|0)!=128){w=o;break a}break}default:if((q&192|0)!=128){w=o;break a}}o=v&255;if((o&192|0)!=128){l=31;break a}v=n&255;if((v&192|0)!=128){l=31;break a}if((q<<12&258048|f<<18&1835008|o<<6&4032|v&63)>>>0>e>>>0){l=31;break a}else{r=j+1|0;s=k+4|0}}else{r=j;s=m}while(0);j=r+1|0;k=s}if((l|0)==31)w=k;return w-i|0}function prc(a,c,e,g,i,j,k,l){a=a|0;c=c|0;e=e|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;f[e>>2]=a;f[j>>2]=g;g=c;if((((l&4|0?(l=f[e>>2]|0,(g-l|0)>2):0)?(b[l>>0]|0)==-17:0)?(b[l+1>>0]|0)==-69:0)?(b[l+2>>0]|0)==-65:0)f[e>>2]=l+3;l=i;a:while(1){a=f[e>>2]|0;m=a>>>0<c>>>0;if(!m){n=40;break}o=f[j>>2]|0;if(o>>>0>=i>>>0){n=40;break}p=b[a>>0]|0;q=p&255;if(q>>>0>k>>>0){r=2;break}s=a+1|0;do if(p<<24>>24>-1){d[o>>1]=p&255;t=s}else{if((p&255)<194){r=2;break a}u=g-a|0;v=a+2|0;if((p&255)<224){if((u|0)<2){r=1;break a}w=h[s>>0]|0;if((w&192|0)!=128){r=2;break a}x=w&63|q<<6&1984;if(x>>>0>k>>>0){r=2;break a}d[o>>1]=x;t=v;break}x=a+3|0;if((p&255)<240){if((u|0)<3){r=1;break a}w=b[v>>0]|0;y=h[s>>0]|0;z=y&224;switch(p<<24>>24){case -32:{if((z|0)!=160){r=2;break a}break}case -19:{if((z|0)!=128){r=2;break a}break}default:if((y&192|0)!=128){r=2;break a}}z=w&255;if((z&192|0)!=128){r=2;break a}w=y<<6&4032|q<<12|z&63;if((w&65535)>>>0>k>>>0){r=2;break a}d[o>>1]=w;t=x;break}if((p&255)>=245){r=2;break a}if((u|0)<4){r=1;break a}u=b[s>>0]|0;w=b[v>>0]|0;v=b[x>>0]|0;x=u&255;switch(p<<24>>24){case -16:{if((u+112&255)>=48){r=2;break a}break}case -12:{if((x&240|0)!=128){r=2;break a}break}default:if((x&192|0)!=128){r=2;break a}}u=w&255;if((u&192|0)!=128){r=2;break a}w=v&255;if((w&192|0)!=128){r=2;break a}if((l-o|0)<4){r=1;break a}v=q&7;z=u<<6;y=w&63;if((x<<12&258048|v<<18|z&4032|y)>>>0>k>>>0){r=2;break a}d[o>>1]=x<<2&60|u>>>4&3|((x>>>4&3|v<<2)<<6)+16320|55296;v=o+2|0;f[j>>2]=v;d[v>>1]=y|z&960|56320;t=(f[e>>2]|0)+4|0}while(0);f[e>>2]=t;f[j>>2]=(f[j>>2]|0)+2}if((n|0)==40)r=m&1;return r|0}function qrc(a,c,e,g,h,i,k,l){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;f[e>>2]=a;f[i>>2]=g;a=h;if(l&2)if((a-g|0)<3)m=1;else{f[i>>2]=g+1;b[g>>0]=-17;g=f[i>>2]|0;f[i>>2]=g+1;b[g>>0]=-69;g=f[i>>2]|0;f[i>>2]=g+1;b[g>>0]=-65;n=4}else n=4;a:do if((n|0)==4){g=c;l=f[e>>2]|0;while(1){if(l>>>0>=c>>>0){m=0;break a}h=d[l>>1]|0;o=h&65535;if(o>>>0>k>>>0){m=2;break a}do if((h&65535)<128){p=f[i>>2]|0;if((a-p|0)<1){m=1;break a}f[i>>2]=p+1;b[p>>0]=h}else{p=o&63;q=(p|128)&255;if((h&65535)<2048){r=f[i>>2]|0;if((a-r|0)<2){m=1;break a}f[i>>2]=r+1;b[r>>0]=o>>>6|192;r=f[i>>2]|0;f[i>>2]=r+1;b[r>>0]=q;break}r=(o>>>12|224)&255;s=(o>>>6&63|128)&255;if((h&65535)<55296){t=f[i>>2]|0;if((a-t|0)<3){m=1;break a}f[i>>2]=t+1;b[t>>0]=r;t=f[i>>2]|0;f[i>>2]=t+1;b[t>>0]=s;t=f[i>>2]|0;f[i>>2]=t+1;b[t>>0]=q;break}if((h&65535)>=56320){if((h&65535)<57344){m=2;break a}t=f[i>>2]|0;if((a-t|0)<3){m=1;break a}f[i>>2]=t+1;b[t>>0]=r;r=f[i>>2]|0;f[i>>2]=r+1;b[r>>0]=s;s=f[i>>2]|0;f[i>>2]=s+1;b[s>>0]=q;break}if((g-l|0)<4){m=1;break a}q=l+2|0;s=j[q>>1]|0;if((s&64512|0)!=56320){m=2;break a}if((a-(f[i>>2]|0)|0)<4){m=1;break a}r=o&960;if(((r<<10)+65536|p<<10|s&1023)>>>0>k>>>0){m=2;break a}f[e>>2]=q;q=(r>>>6)+1|0;r=f[i>>2]|0;f[i>>2]=r+1;b[r>>0]=q>>>2|240;r=f[i>>2]|0;f[i>>2]=r+1;b[r>>0]=o>>>2&15|q<<4&48|128;q=f[i>>2]|0;f[i>>2]=q+1;b[q>>0]=o<<4&48|s>>>6&15|128;q=f[i>>2]|0;f[i>>2]=q+1;b[q>>0]=s&63|128}while(0);o=(f[e>>2]|0)+2|0;f[e>>2]=o;l=o}}while(0);return m|0}function rrc(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;f[a>>2]=166540;b=a+8|0;c=a+12|0;d=0;while(1){e=f[b>>2]|0;if(d>>>0>=(f[c>>2]|0)-e>>2>>>0)break;g=f[e+(d<<2)>>2]|0;if(g|0)Utc(g)|0;d=d+1|0}quc(a+144|0);trc(b);olc(a);return}function src(a){a=a|0;rrc(a);fuc(a);return}function trc(a){a=a|0;var c=0,d=0,e=0,g=0;c=f[a>>2]|0;do if(c|0){d=a+4|0;e=f[d>>2]|0;while(1){if((e|0)==(c|0))break;g=e+-4|0;f[d>>2]=g;e=g}if((a+16|0)==(c|0)){b[a+128>>0]=0;break}else{fuc(c);break}}while(0);return}function urc(a){a=a|0;var c=0;f[a>>2]=166560;c=f[a+8>>2]|0;if(c|0?b[a+12>>0]|0:0)guc(c);olc(a);return}function vrc(a){a=a|0;urc(a);fuc(a);return}function wrc(a,b){a=a|0;b=b|0;var c=0;if(b<<24>>24>-1){a=(Frc()|0)+((b&255)<<2)|0;c=f[a>>2]&255}else c=b;return c|0}function xrc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0;a=c;while(1){if((a|0)==(d|0))break;c=b[a>>0]|0;if(c<<24>>24>-1){e=Frc()|0;g=f[e+(b[a>>0]<<2)>>2]&255}else g=c;b[a>>0]=g;a=a+1|0}return d|0}function yrc(a,b){a=a|0;b=b|0;var c=0;if(b<<24>>24>-1){a=(Erc()|0)+(b<<24>>24<<2)|0;c=f[a>>2]&255}else c=b;return c|0}function zrc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0;a=c;while(1){if((a|0)==(d|0))break;c=b[a>>0]|0;if(c<<24>>24>-1){e=Erc()|0;g=f[e+(b[a>>0]<<2)>>2]&255}else g=c;b[a>>0]=g;a=a+1|0}return d|0}function Arc(a,b){a=a|0;b=b|0;return b|0}function Brc(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;a=e;e=c;while(1){if((e|0)==(d|0))break;b[a>>0]=b[e>>0]|0;a=a+1|0;e=e+1|0}return d|0}function Crc(a,b,c){a=a|0;b=b|0;c=c|0;return (b<<24>>24>-1?b:c)|0}function Drc(a,c,d,e,f){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;a=f;f=c;while(1){if((f|0)==(d|0))break;c=b[f>>0]|0;b[a>>0]=c<<24>>24>-1?c:e;a=a+1|0;f=f+1|0}return d|0}function Erc(){var a=0;a=Ahc()|0;return f[a>>2]|0}function Frc(){var a=0;a=xhc()|0;return f[a>>2]|0}function Grc(){var a=0;a=whc()|0;return f[a>>2]|0}function Hrc(a){a=a|0;f[a>>2]=166612;quc(a+12|0);olc(a);return}function Irc(a){a=a|0;Hrc(a);fuc(a);return}function Jrc(a){a=a|0;return b[a+8>>0]|0}function Krc(a){a=a|0;return b[a+9>>0]|0}function Lrc(a,b){a=a|0;b=b|0;ouc(a,b+12|0);return}function Mrc(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0;c=u;u=u+16|0;d=c;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;e=_jc(532016)|0;if(e>>>0>4294967279)muc(a);if(e>>>0<11){b[a+11>>0]=e;g=a}else{h=e+16&-16;i=cuc(h)|0;f[a>>2]=i;f[a+8>>2]=h|-2147483648;f[a+4>>2]=e;g=i}fjc(g,532016,e)|0;b[d>>0]=0;$jc(g+e|0,d);u=c;return}function Nrc(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0;c=u;u=u+16|0;d=c;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;e=_jc(532010)|0;if(e>>>0>4294967279)muc(a);if(e>>>0<11){b[a+11>>0]=e;g=a}else{h=e+16&-16;i=cuc(h)|0;f[a>>2]=i;f[a+8>>2]=h|-2147483648;f[a+4>>2]=e;g=i}fjc(g,532010,e)|0;b[d>>0]=0;$jc(g+e|0,d);u=c;return}function Orc(a){a=a|0;f[a>>2]=166652;quc(a+16|0);olc(a);return}function Prc(a){a=a|0;Orc(a);fuc(a);return}function Qrc(a){a=a|0;return f[a+8>>2]|0}function Rrc(a){a=a|0;return f[a+12>>2]|0}function Src(a,b){a=a|0;b=b|0;ouc(a,b+16|0);return}function Trc(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0;c=u;u=u+16|0;d=c;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;e=uoc(166708)|0;if(e>>>0>1073741807)muc(a);do if(e>>>0>=2){g=e+4&-4;if(g>>>0>1073741823)Re();else{h=cuc(g<<2)|0;f[a>>2]=h;f[a+8>>2]=g|-2147483648;f[a+4>>2]=e;i=h;break}}else{b[a+8+3>>0]=e;i=a}while(0);xjc(i,166708,e)|0;f[d>>2]=0;ulc(i+(e<<2)|0,d);u=c;return}function Urc(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0;c=u;u=u+16|0;d=c;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;e=uoc(166684)|0;if(e>>>0>1073741807)muc(a);do if(e>>>0>=2){g=e+4&-4;if(g>>>0>1073741823)Re();else{h=cuc(g<<2)|0;f[a>>2]=h;f[a+8>>2]=g|-2147483648;f[a+4>>2]=e;i=h;break}}else{b[a+8+3>>0]=e;i=a}while(0);xjc(i,166684,e)|0;f[d>>2]=0;ulc(i+(e<<2)|0,d);u=c;return}function Vrc(a){a=a|0;olc(a);fuc(a);return}function Wrc(a){a=a|0;olc(a);fuc(a);return}function Xrc(a,b,c){a=a|0;b=b|0;c=c|0;var e=0;if(c>>>0<128){a=(Grc()|0)+(c<<1)|0;e=(d[a>>1]&b)<<16>>16!=0}else e=0;return e|0}function Yrc(a,b,c,e){a=a|0;b=b|0;c=c|0;e=e|0;var g=0;a=e;e=b;while(1){if((e|0)==(c|0))break;if((f[e>>2]|0)>>>0<128){b=Grc()|0;g=j[b+(f[e>>2]<<1)>>1]|0}else g=0;d[a>>1]=g;a=a+2|0;e=e+4|0}return c|0}function Zrc(a,b,c,e){a=a|0;b=b|0;c=c|0;e=e|0;var g=0;a=c;while(1){if((a|0)==(e|0)){g=e;break}if((f[a>>2]|0)>>>0<128?(c=Grc()|0,(d[c+(f[a>>2]<<1)>>1]&b)<<16>>16):0){g=a;break}a=a+4|0}return g|0}function _rc(a,b,c,e){a=a|0;b=b|0;c=c|0;e=e|0;var g=0;a=c;while(1){if((a|0)==(e|0)){g=e;break}if((f[a>>2]|0)>>>0>=128){g=a;break}c=Grc()|0;if(!((d[c+(f[a>>2]<<1)>>1]&b)<<16>>16)){g=a;break}a=a+4|0}return g|0}function $rc(a,b){a=a|0;b=b|0;var c=0;if(b>>>0<128){a=(Frc()|0)+(b<<2)|0;c=f[a>>2]|0}else c=b;return c|0}function asc(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;a=b;while(1){if((a|0)==(c|0))break;b=f[a>>2]|0;if(b>>>0<128){d=Frc()|0;e=f[d+(f[a>>2]<<2)>>2]|0}else e=b;f[a>>2]=e;a=a+4|0}return c|0}function bsc(a,b){a=a|0;b=b|0;var c=0;if(b>>>0<128){a=(Erc()|0)+(b<<2)|0;c=f[a>>2]|0}else c=b;return c|0}function csc(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;a=b;while(1){if((a|0)==(c|0))break;b=f[a>>2]|0;if(b>>>0<128){d=Erc()|0;e=f[d+(f[a>>2]<<2)>>2]|0}else e=b;f[a>>2]=e;a=a+4|0}return c|0}function dsc(a,b){a=a|0;b=b|0;return b<<24>>24|0}function esc(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;a=e;e=c;while(1){if((e|0)==(d|0))break;f[a>>2]=b[e>>0];a=a+4|0;e=e+1|0}return d|0}function fsc(a,b,c){a=a|0;b=b|0;c=c|0;return (b>>>0<128?b&255:c)|0}function gsc(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0;a=(d-c|0)>>>2;h=g;g=c;while(1){if((g|0)==(d|0))break;i=f[g>>2]|0;b[h>>0]=i>>>0<128?i&255:e;h=h+1|0;g=g+4|0}return c+(a<<2)|0}function hsc(a){a=a|0;olc(a);fuc(a);return}function isc(a){a=a|0;olc(a);fuc(a);return}function jsc(a){a=a|0;olc(a);fuc(a);return}function ksc(a){a=a|0;f[a>>2]=166968;return}function lsc(a){a=a|0;f[a>>2]=167004;return}function msc(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;f[a+4>>2]=e+-1;f[a>>2]=166560;e=a+8|0;f[e>>2]=c;b[a+12>>0]=d&1;if(!c){c=Grc()|0;f[e>>2]=c}return}function nsc(a){a=a|0;Re()}function osc(a){a=a|0;Re()}function psc(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;d=u;u=u+16|0;e=d;f[a+4>>2]=c+-1;f[a>>2]=166540;c=a+8|0;qsc(c,28);g=a+144|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;h=_jc(527700)|0;if(h>>>0>4294967279)muc(g);if(h>>>0<11){b[g+11>>0]=h;i=g}else{j=h+16&-16;k=cuc(j)|0;f[g>>2]=k;f[a+152>>2]=j|-2147483648;f[a+148>>2]=h;i=k}fjc(i,527700,h)|0;b[e>>0]=0;$jc(i+h|0,e);e=f[c>>2]|0;c=a+12|0;h=f[c>>2]|0;while(1){if((h|0)==(e|0))break;i=h+-4|0;f[c>>2]=i;h=i}rsc();ssc(a,544792);tsc();usc(a,544800);vsc();wsc(a,544808);xsc();ysc(a,544824);zsc();Asc(a,544832);Bsc();Csc(a,544840);Dsc();Esc(a,544856);Fsc();Gsc(a,544864);Hsc();Isc(a,544872);Jsc();Ksc(a,544896);Lsc();Msc(a,544928);Nsc();Osc(a,544936);Psc();Qsc(a,544944);Rsc();Ssc(a,544952);Tsc();Usc(a,544960);Vsc();Wsc(a,544968);Xsc();Ysc(a,544976);Zsc();_sc(a,544984);$sc();atc(a,544992);btc();ctc(a,545e3);dtc();etc(a,545008);ftc();gtc(a,545016);htc();itc(a,545024);jtc();ktc(a,545040);ltc();mtc(a,545056);ntc();otc(a,545072);ptc();qtc(a,545088);rtc();stc(a,545096);u=d;return}function qsc(a,c){a=a|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;b[a+128>>0]=0;if(c|0){Ftc(a,c);wtc(a,c)}return}function rsc(){f[136199]=0;f[136198]=164204;return}function ssc(a,b){a=a|0;b=b|0;ttc(a,b,Nlc(901860)|0);return}function tsc(){f[136201]=0;f[136200]=164236;return}function usc(a,b){a=a|0;b=b|0;ttc(a,b,Nlc(901868)|0);return}function vsc(){msc(544808,0,0,1);return}function wsc(a,b){a=a|0;b=b|0;ttc(a,b,Nlc(901876)|0);return}function xsc(){f[136207]=0;f[136206]=166756;return}function ysc(a,b){a=a|0;b=b|0;ttc(a,b,Nlc(901908)|0);return}function zsc(){f[136209]=0;f[136208]=166824;return}function Asc(a,b){a=a|0;b=b|0;ttc(a,b,Nlc(903668)|0);return}function Bsc(){Etc(544840,1);return}function Csc(a,b){a=a|0;b=b|0;ttc(a,b,Nlc(903676)|0);return}function Dsc(){f[136215]=0;f[136214]=166872;return}function Esc(a,b){a=a|0;b=b|0;ttc(a,b,Nlc(903684)|0);return}function Fsc(){f[136217]=0;f[136216]=166920;return}function Gsc(a,b){a=a|0;b=b|0;ttc(a,b,Nlc(903692)|0);return}function Hsc(){Dtc(544872,1);return}function Isc(a,b){a=a|0;b=b|0;ttc(a,b,Nlc(901892)|0);return}function Jsc(){Ctc(544896,1);return}function Ksc(a,b){a=a|0;b=b|0;ttc(a,b,Nlc(901916)|0);return}function Lsc(){f[136233]=0;f[136232]=164268;return}function Msc(a,b){a=a|0;b=b|0;ttc(a,b,Nlc(901900)|0);return}function Nsc(){f[136235]=0;f[136234]=164332;return}function Osc(a,b){a=a|0;b=b|0;ttc(a,b,Nlc(901924)|0);return}function Psc(){f[136237]=0;f[136236]=164396;return}function Qsc(a,b){a=a|0;b=b|0;ttc(a,b,Nlc(901932)|0);return}function Rsc(){f[136239]=0;f[136238]=164448;return}function Ssc(a,b){a=a|0;b=b|0;ttc(a,b,Nlc(901940)|0);return}function Tsc(){f[136241]=0;f[136240]=165996;return}function Usc(a,b){a=a|0;b=b|0;ttc(a,b,Nlc(903588)|0);return}function Vsc(){f[136243]=0;f[136242]=166052;return}function Wsc(a,b){a=a|0;b=b|0;ttc(a,b,Nlc(903596)|0);return}function Xsc(){f[136245]=0;f[136244]=166108;return}function Ysc(a,b){a=a|0;b=b|0;ttc(a,b,Nlc(903604)|0);return}function Zsc(){f[136247]=0;f[136246]=166164;return}function _sc(a,b){a=a|0;b=b|0;ttc(a,b,Nlc(903612)|0);return}function $sc(){f[136249]=0;f[136248]=166220;return}function atc(a,b){a=a|0;b=b|0;ttc(a,b,Nlc(903620)|0);return}function btc(){f[136251]=0;f[136250]=166248;return}function ctc(a,b){a=a|0;b=b|0;ttc(a,b,Nlc(903628)|0);return}function dtc(){f[136253]=0;f[136252]=166276;return}function etc(a,b){a=a|0;b=b|0;ttc(a,b,Nlc(903636)|0);return}function ftc(){f[136255]=0;f[136254]=166304;return}function gtc(a,b){a=a|0;b=b|0;ttc(a,b,Nlc(903644)|0);return}function htc(){f[136257]=0;f[136256]=166736;ksc(545032);f[136256]=164500;f[136258]=164548;return}function itc(a,b){a=a|0;b=b|0;ttc(a,b,Nlc(902752)|0);return}function jtc(){f[136261]=0;f[136260]=166736;lsc(545048);f[136260]=164584;f[136262]=164632;return}function ktc(a,b){a=a|0;b=b|0;ttc(a,b,Nlc(903564)|0);return}function ltc(){var a=0;f[136265]=0;f[136264]=166736;a=Llc()|0;f[136266]=a;f[136264]=165948;return}function mtc(a,b){a=a|0;b=b|0;ttc(a,b,Nlc(903572)|0);return}function ntc(){var a=0;f[136269]=0;f[136268]=166736;a=Llc()|0;f[136270]=a;f[136268]=165972;return}function otc(a,b){a=a|0;b=b|0;ttc(a,b,Nlc(903580)|0);return}function ptc(){f[136273]=0;f[136272]=166332;return}function qtc(a,b){a=a|0;b=b|0;ttc(a,b,Nlc(903652)|0);return}function rtc(){f[136275]=0;f[136274]=166364;return}function stc(a,b){a=a|0;b=b|0;ttc(a,b,Nlc(903660)|0);return}function ttc(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;Stc(b);d=a+8|0;e=f[d>>2]|0;if((f[a+12>>2]|0)-e>>2>>>0>c>>>0){g=d;h=e}else{utc(d,c+1|0);g=d;h=f[d>>2]|0}d=f[h+(c<<2)>>2]|0;if(d|0)Utc(d)|0;f[(f[g>>2]|0)+(c<<2)>>2]=b;return}function utc(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0;c=a+4|0;d=f[c>>2]|0;e=f[a>>2]|0;g=d-e>>2;h=e;e=d;a:do if(g>>>0>=b>>>0){if(g>>>0>b>>>0){d=h+(b<<2)|0;i=e;while(1){if((i|0)==(d|0))break a;j=i+-4|0;f[c>>2]=j;i=j}}}else vtc(a,b-g|0);while(0);return}function vtc(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=u;u=u+32|0;d=c;e=a+8|0;g=a+4|0;h=f[g>>2]|0;do if((f[e>>2]|0)-h>>2>>>0<b>>>0){i=(h-(f[a>>2]|0)>>2)+b|0;j=xtc(a)|0;if(j>>>0<i>>>0)nsc(a);else{k=f[a>>2]|0;l=(f[e>>2]|0)-k|0;m=l>>1;ytc(d,l>>2>>>0<j>>>1>>>0?(m>>>0<i>>>0?i:m):j,(f[g>>2]|0)-k>>2,a+16|0);ztc(d,b);Atc(a,d);Btc(d);break}}else wtc(a,b);while(0);u=c;return}function wtc(a,b){a=a|0;b=b|0;var c=0;c=a+4|0;a=b;b=f[c>>2]|0;do{f[b>>2]=0;b=(f[c>>2]|0)+4|0;f[c>>2]=b;a=a+-1|0}while((a|0)!=0);return}function xtc(a){a=a|0;return 1073741823}function ytc(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0;f[a+12>>2]=0;f[a+16>>2]=e;do if(c){g=e+112|0;if(c>>>0<29&(b[g>>0]|0)==0){b[g>>0]=1;h=e;break}else{h=cuc(c<<2)|0;break}}else h=0;while(0);f[a>>2]=h;e=h+(d<<2)|0;f[a+8>>2]=e;f[a+4>>2]=e;f[a+12>>2]=h+(c<<2);return}function ztc(a,b){a=a|0;b=b|0;var c=0;c=a+8|0;a=b;b=f[c>>2]|0;do{f[b>>2]=0;b=(f[c>>2]|0)+4|0;f[c>>2]=b;a=a+-1|0}while((a|0)!=0);return}function Atc(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0;c=f[a>>2]|0;d=a+4|0;e=b+4|0;g=(f[d>>2]|0)-c|0;h=(f[e>>2]|0)+(0-(g>>2)<<2)|0;f[e>>2]=h;if((g|0)>0){szc(h|0,c|0,g|0)|0;i=e;j=f[e>>2]|0}else{i=e;j=h}h=f[a>>2]|0;f[a>>2]=j;f[i>>2]=h;h=b+8|0;j=f[d>>2]|0;f[d>>2]=f[h>>2];f[h>>2]=j;j=a+8|0;a=b+12|0;h=f[j>>2]|0;f[j>>2]=f[a>>2];f[a>>2]=h;f[b>>2]=f[i>>2];return}function Btc(a){a=a|0;var c=0,d=0,e=0,g=0;c=f[a+4>>2]|0;d=a+8|0;e=f[d>>2]|0;while(1){if((e|0)==(c|0))break;g=e+-4|0;f[d>>2]=g;e=g}e=f[a>>2]|0;do if(e|0){d=f[a+16>>2]|0;if((d|0)==(e|0)){b[d+112>>0]=0;break}else{fuc(e);break}}while(0);return}function Ctc(a,b){a=a|0;b=b|0;f[a+4>>2]=b+-1;f[a>>2]=166652;f[a+8>>2]=46;f[a+12>>2]=44;b=a+16|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;a=0;while(1){if((a|0)==3)break;f[b+(a<<2)>>2]=0;a=a+1|0}return}function Dtc(a,c){a=a|0;c=c|0;f[a+4>>2]=c+-1;f[a>>2]=166612;b[a+8>>0]=46;b[a+9>>0]=44;c=a+12|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;a=0;while(1){if((a|0)==3)break;f[c+(a<<2)>>2]=0;a=a+1|0}return}function Etc(a,b){a=a|0;b=b|0;f[a+4>>2]=b+-1;f[a>>2]=166492;b=Llc()|0;f[a+8>>2]=b;return}function Ftc(a,c){a=a|0;c=c|0;var d=0,e=0;if((xtc(a)|0)>>>0<c>>>0)nsc(a);d=a+128|0;if(c>>>0<29&(b[d>>0]|0)==0){b[d>>0]=1;e=a+16|0}else e=cuc(c<<2)|0;f[a+4>>2]=e;f[a>>2]=e;f[a+8>>2]=e+(c<<2);return}function Gtc(){if((b[545104]|0)==0?$yc(545104)|0:0){Htc()|0;f[225926]=903700}return f[225926]|0}function Htc(){Itc();f[225925]=545112;return 903700}function Itc(){psc(545112,1);return}function Jtc(){Ktc(903708,Gtc()|0);return 903708}function Ktc(a,b){a=a|0;b=b|0;var c=0;c=f[b>>2]|0;f[a>>2]=c;Stc(c);return}function Ltc(){if((b[545272]|0)==0?$yc(545272)|0:0){Jtc()|0;f[225928]=903708}return f[225928]|0}function Mtc(a){a=a|0;var b=0,c=0;b=Ltc()|0;c=f[b>>2]|0;f[a>>2]=c;Stc(c);return}function Ntc(a,b){a=a|0;b=b|0;var c=0;c=f[a>>2]|0;return Otc(c,Nlc(b)|0)|0}function Otc(a,b){a=a|0;b=b|0;var c=0,d=0;c=f[a+8>>2]|0;if((f[a+12>>2]|0)-c>>2>>>0>b>>>0)d=(f[c+(b<<2)>>2]|0)!=0;else d=0;return d|0}function Ptc(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;if(!c)d=0;else d=ahc(a,b,c)|0;return d|0}function Qtc(a){a=a|0;return}function Rtc(a,b){a=a|0;b=b|0;return 0}function Stc(a){a=a|0;Ttc(a+4|0);return}function Ttc(a){a=a|0;f[a>>2]=(f[a>>2]|0)+1;return}function Utc(a){a=a|0;var b=0;if((Vtc(a+4|0)|0)==-1){bi[f[(f[a>>2]|0)+8>>2]&2047](a);b=1}else b=0;return b|0}function Vtc(a){a=a|0;var b=0;b=f[a>>2]|0;f[a>>2]=b+-1;return b+-1|0}function Wtc(a){a=a|0;Stc(a);return}function Xtc(a){a=a|0;if(Utc(a)|0)Ytc(a);return}function Ytc(a){a=a|0;var b=0;b=a+8|0;if(!((f[b>>2]|0)!=0?(Vtc(b)|0)!=-1:0))bi[f[(f[a>>2]|0)+16>>2]&2047](a);return}function Ztc(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0;b=u;u=u+16|0;c=b;d=Df(c|0)|0;do if(!d){e=xd(c|0,1)|0;if(e|0){nf(c|0)|0;f=e;break}e=Mf(a|0,c|0)|0;g=nf(c|0)|0;if(!e)if(!g){u=b;return}else{wf(a|0)|0;f=g;break}else f=e}else f=d;while(0);_uc(f,529925)}function _tc(a){a=a|0;if(!(wf(a|0)|0))return;else hd(529960,529847,64,529967)}function $tc(a){a=a|0;var b=0;b=jzc(a|0)|0;if(!b)return;else _uc(b,529984)}function auc(a){a=a|0;if(!(izc(a|0)|0))return;else hd(529960,529847,80,529918)}function buc(a,b,c){a=a|0;b=b|0;c=c|0;jzc(903716)|0;while(1){if((f[a>>2]|0)!=1)break;_e(903744,903716)|0}if(!(f[a>>2]|0)){f[a>>2]=1;izc(903716)|0;bi[c&2047](b);jzc(903716)|0;f[a>>2]=-1;izc(903716)|0;rzc(903744)|0}else izc(903716)|0;return}function cuc(a){a=a|0;var b=0,c=0;b=(a|0)==0?1:a;while(1){a=pec(b)|0;if(a|0){c=a;break}a=czc()|0;if(!a){c=0;break}_h[a&255]()}return c|0}function duc(a,b){a=a|0;b=b|0;return cuc(a)|0}function euc(a){a=a|0;return cuc(a)|0}function fuc(a){a=a|0;qec(a);return}function guc(a){a=a|0;fuc(a);return}function huc(){Re()}function iuc(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=jfc(b)|0;d=cuc(c+13|0)|0;f[d>>2]=c;f[d+4>>2]=c;f[d+8>>2]=0;e=juc(d)|0;szc(e|0,b|0,c+1|0)|0;f[a>>2]=e;return}function juc(a){a=a|0;return a+12|0}function kuc(a,b){a=a|0;b=b|0;f[a>>2]=167128;iuc(a+4|0,b);return}function luc(a){a=a|0;return 1}function muc(a){a=a|0;Re()}function nuc(a){a=a|0;Re()}function ouc(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;d=u;u=u+16|0;e=d;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;if((b[c+11>>0]|0)<0){g=f[c>>2]|0;h=f[c+4>>2]|0;if(h>>>0>4294967279)muc(a);if(h>>>0<11){b[a+11>>0]=h;i=a}else{j=h+16&-16;k=cuc(j)|0;f[a>>2]=k;f[a+8>>2]=j|-2147483648;f[a+4>>2]=h;i=k}fjc(i,g,h)|0;b[e>>0]=0;$jc(i+h|0,e)}else{f[a>>2]=f[c>>2];f[a+4>>2]=f[c+4>>2];f[a+8>>2]=f[c+8>>2]}u=d;return}function puc(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0;g=u;u=u+16|0;h=g;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;i=b[c+11>>0]|0;j=i<<24>>24<0;k=j?f[c+4>>2]|0:i&255;if(k>>>0<d>>>0)nuc(a);i=(j?f[c>>2]|0:c)+d|0;c=k-d|0;d=c>>>0<e>>>0?c:e;if(d>>>0>4294967279)muc(a);if(d>>>0<11){b[a+11>>0]=d;l=a}else{e=d+16&-16;c=cuc(e)|0;f[a>>2]=c;f[a+8>>2]=e|-2147483648;f[a+4>>2]=d;l=c}fjc(l,i,d)|0;b[h>>0]=0;$jc(l+d|0,h);u=g;return}function quc(a){a=a|0;if((b[a+11>>0]|0)<0)fuc(f[a>>2]|0);return}function ruc(a,c){a=a|0;c=c|0;var d=0,e=0;if((a|0)!=(c|0)){d=b[c+11>>0]|0;e=d<<24>>24<0;suc(a,e?f[c>>2]|0:c,e?f[c+4>>2]|0:d&255)|0}return a|0}function suc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;e=u;u=u+16|0;g=e;h=a+11|0;i=b[h>>0]|0;j=i<<24>>24<0;if(j)k=(f[a+8>>2]&2147483647)+-1|0;else k=10;do if(k>>>0>=d>>>0){if(j)l=f[a>>2]|0;else l=a;tuc(l,c,d)|0;b[g>>0]=0;$jc(l+d|0,g);if((b[h>>0]|0)<0){f[a+4>>2]=d;break}else{b[h>>0]=d;break}}else{if(j)m=f[a+4>>2]|0;else m=i&255;uuc(a,k,d-k|0,m,0,m,d,c)}while(0);u=e;return a|0}function tuc(a,b,c){a=a|0;b=b|0;c=c|0;if(c|0)uzc(a|0,b|0,c|0)|0;return a|0}function uuc(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0;k=u;u=u+16|0;l=k;if((-18-c|0)>>>0<d>>>0)muc(a);if((b[a+11>>0]|0)<0)m=f[a>>2]|0;else m=a;if(c>>>0<2147483623){n=d+c|0;d=c<<1;o=n>>>0<d>>>0?d:n;p=o>>>0<11?11:o+16&-16}else p=-17;o=cuc(p)|0;if(g|0)fjc(o,m,g)|0;if(i|0)fjc(o+g|0,j,i)|0;j=e-h|0;e=j-g|0;if(e|0)fjc(o+g+i|0,m+g+h|0,e)|0;if((c|0)!=10)fuc(m);f[a>>2]=o;f[a+8>>2]=p|-2147483648;p=j+i|0;f[a+4>>2]=p;b[l>>0]=0;$jc(o+p|0,l);u=k;return}function vuc(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;if(c>>>0>4294967279)muc(a);d=a+11|0;e=b[d>>0]|0;g=e<<24>>24<0;if(g){h=f[a+4>>2]|0;i=(f[a+8>>2]&2147483647)+-1|0}else{h=e&255;i=10}j=h>>>0>c>>>0?h:c;c=j>>>0<11;k=c?10:(j+16&-16)+-1|0;do if((k|0)!=(i|0)){do if(c){j=f[a>>2]|0;if(g){l=0;m=j;n=a;o=13}else{fjc(a,j,(e&255)+1|0)|0;fuc(j);o=15}}else{j=cuc(k+1|0)|0;if(g){l=1;m=f[a>>2]|0;n=j;o=13;break}else{fjc(j,a,(e&255)+1|0)|0;p=j;o=14;break}}while(0);if((o|0)==13){fjc(n,m,(f[a+4>>2]|0)+1|0)|0;fuc(m);if(l){p=n;o=14}else o=15}if((o|0)==14){f[a+8>>2]=k+1|-2147483648;f[a+4>>2]=h;f[a>>2]=p;break}else if((o|0)==15){b[d>>0]=h;break}}while(0);return}function wuc(a,b){a=a|0;b=b|0;return suc(a,b,_jc(b)|0)|0}function xuc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0;e=u;u=u+16|0;g=e;h=a+11|0;i=b[h>>0]|0;j=i<<24>>24<0;if(j)k=f[a+4>>2]|0;else k=i&255;do if(k>>>0>=c>>>0)if(j){i=(f[a>>2]|0)+c|0;b[g>>0]=0;$jc(i,g);f[a+4>>2]=c;break}else{b[g>>0]=0;$jc(a+c|0,g);b[h>>0]=c;break}else yuc(a,c-k|0,d)|0;while(0);u=e;return}function yuc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=u;u=u+16|0;g=e;if(c|0){h=a+11|0;i=b[h>>0]|0;if(i<<24>>24<0){j=f[a+4>>2]|0;k=(f[a+8>>2]&2147483647)+-1|0}else{j=i&255;k=10}l=j+c|0;if((k-j|0)>>>0<c>>>0){zuc(a,k,l-k|0,j,j,0,0);m=b[h>>0]|0}else m=i;if(m<<24>>24<0)n=f[a>>2]|0;else n=a;npc(n+j|0,c,d)|0;if((b[h>>0]|0)<0)f[a+4>>2]=l;else b[h>>0]=l;b[g>>0]=0;$jc(n+l|0,g)}u=e;return a|0}function zuc(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0;if((-17-c|0)>>>0<d>>>0)muc(a);if((b[a+11>>0]|0)<0)j=f[a>>2]|0;else j=a;if(c>>>0<2147483623){k=d+c|0;d=c<<1;l=k>>>0<d>>>0?d:k;m=l>>>0<11?11:l+16&-16}else m=-17;l=cuc(m)|0;if(g|0)fjc(l,j,g)|0;k=e-h-g|0;if(k|0)fjc(l+g+i|0,j+g+h|0,k)|0;if((c|0)!=10)fuc(j);f[a>>2]=l;f[a+8>>2]=m|-2147483648;return}function Auc(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;d=b[a+11>>0]|0;e=d<<24>>24<0;if(e)g=f[a+4>>2]|0;else g=d&255;if(g>>>0<=c>>>0)nuc(a);if(e)h=f[a>>2]|0;else h=a;return h+c|0}function Buc(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;d=b[a+11>>0]|0;e=d<<24>>24<0;if(e)g=f[a+4>>2]|0;else g=d&255;if(g>>>0<=c>>>0)nuc(a);if(e)h=f[a>>2]|0;else h=a;return h+c|0}function Cuc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;e=u;u=u+16|0;g=e;h=a+11|0;i=b[h>>0]|0;j=i<<24>>24<0;if(j){k=f[a+4>>2]|0;l=(f[a+8>>2]&2147483647)+-1|0}else{k=i&255;l=10}i=k+d|0;if((l-k|0)>>>0>=d>>>0){if(d|0){if(j)m=f[a>>2]|0;else m=a;fjc(m+k|0,c,d)|0;if((b[h>>0]|0)<0)f[a+4>>2]=i;else b[h>>0]=i;b[g>>0]=0;$jc(m+i|0,g)}}else uuc(a,l,i-l|0,k,k,0,d,c);u=e;return a|0}function Duc(a,b){a=a|0;b=b|0;return Cuc(a,b,_jc(b)|0)|0}function Euc(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;d=u;u=u+16|0;e=d;g=d+1|0;b[e>>0]=c;c=a+11|0;h=b[c>>0]|0;i=h<<24>>24<0;if(i){j=f[a+4>>2]|0;k=(f[a+8>>2]&2147483647)+-1|0}else{j=h&255;k=10}if((j|0)==(k|0)){zuc(a,k,1,k,k,0,0);h=k+1|0;if((b[c>>0]|0)<0){l=h;m=8}else{n=h;m=7}}else{h=j+1|0;if(i){l=h;m=8}else{n=h;m=7}}if((m|0)==7){b[c>>0]=n;o=a}else if((m|0)==8){m=f[a>>2]|0;f[a+4>>2]=l;o=m}m=o+j|0;$jc(m,e);b[g>>0]=0;$jc(m+1|0,g);u=d;return}function Fuc(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0;g=b[c+11>>0]|0;h=g<<24>>24<0;i=h?f[c+4>>2]|0:g&255;if(i>>>0<d>>>0)nuc(a);else{g=i-d|0;return Cuc(a,(h?f[c>>2]|0:c)+d|0,g>>>0<e>>>0?g:e)|0}return 0}function Guc(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;g=u;u=u+16|0;h=g;i=a+11|0;j=b[i>>0]|0;k=j<<24>>24<0;if(k)l=f[a+4>>2]|0;else l=j&255;if(l>>>0<c>>>0)nuc(a);if(k)m=(f[a+8>>2]&2147483647)+-1|0;else m=10;j=l+e|0;if((m-l|0)>>>0>=e>>>0){if(e|0){if(k)n=f[a>>2]|0;else n=a;k=l-c|0;o=n+c|0;if(!k)p=d;else{tuc(o+e|0,o,k)|0;p=o>>>0<=d>>>0&(n+l|0)>>>0>d>>>0?d+e|0:d}tuc(o,p,e)|0;if((b[i>>0]|0)<0)f[a+4>>2]=j;else b[i>>0]=j;b[h>>0]=0;$jc(n+j|0,h)}}else uuc(a,m,j-m|0,l,c,0,e,d);u=g;return a|0}function Huc(a,b,c){a=a|0;b=b|0;c=c|0;return Guc(a,b,c,_jc(c)|0)|0}function Iuc(a,b,c){a=a|0;b=b|0;c=c|0;return b>>>0<=a>>>0&a>>>0<c>>>0|0}function Juc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=u;u=u+16|0;g=e;h=a+11|0;i=b[h>>0]|0;j=i<<24>>24<0;if(j)k=f[a+4>>2]|0;else k=i&255;if(k>>>0<c>>>0)nuc(a);if(d|0){if(j)l=f[a>>2]|0;else l=a;j=k-c|0;m=j>>>0<d>>>0?j:d;d=j-m|0;if(!d)n=i;else{i=l+c|0;tuc(i,i+m|0,d)|0;n=b[h>>0]|0}d=k-m|0;if(n<<24>>24<0)f[a+4>>2]=d;else b[h>>0]=d;b[g>>0]=0;$jc(l+d|0,g)}u=e;return a|0}function Kuc(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;h=u;u=u+16|0;i=h;j=a+11|0;k=b[j>>0]|0;l=k<<24>>24<0;if(l)m=f[a+4>>2]|0;else m=k&255;if(m>>>0<c>>>0)nuc(a);k=m-c|0;n=k>>>0<d>>>0?k:d;if(l)o=(f[a+8>>2]&2147483647)+-1|0;else o=10;if((n-m+o|0)>>>0<g>>>0)uuc(a,o,m+g-n-o|0,m,c,n,g,e);else{if(l)p=f[a>>2]|0;else p=a;do if((n|0)!=(g|0)){l=k-n|0;if(!l){q=n;r=c;s=e;t=g;v=21}else{o=p+c|0;if(n>>>0>g>>>0){tuc(o,e,g)|0;tuc(o+g|0,o+n|0,l)|0;w=n;x=g;break}do if(o>>>0<e>>>0&(p+m|0)>>>0>e>>>0)if((o+n|0)>>>0>e>>>0){tuc(o,e,n)|0;y=n+c|0;z=e+g|0;A=g-n|0;B=0;break}else{y=c;z=e+(g-n)|0;A=g;B=n;break}else{y=c;z=e;A=g;B=n}while(0);o=p+y|0;tuc(o+A|0,o+B|0,l)|0;q=B;r=y;s=z;t=A;v=21}}else{q=g;r=c;s=e;t=g;v=21}while(0);if((v|0)==21){tuc(p+r|0,s,t)|0;w=q;x=t}t=x-w+m|0;if((b[j>>0]|0)<0)f[a+4>>2]=t;else b[j>>0]=t;b[i>>0]=0;$jc(p+t|0,i)}u=h;return a|0}function Luc(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return Kuc(a,b,c,d,_jc(d)|0)|0}function Muc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0;if(!c)e=0;else e=Gfc(a,ejc(b[d>>0]|0)|0,c)|0;return e|0}function Nuc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0;e=u;u=u+16|0;g=e;h=b[a+11>>0]|0;if(h<<24>>24<0){i=f[a+4>>2]|0;j=f[a>>2]|0}else{i=h&255;j=a}b[g>>0]=c;if(i>>>0>d>>>0){c=Muc(j+d|0,i-d|0,g)|0;k=(c|0)==0?-1:c-j|0}else k=-1;u=e;return k|0}function Ouc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0;e=b[a+11>>0]|0;if(e<<24>>24<0){g=f[a+4>>2]|0;h=f[a>>2]|0}else{g=e&255;h=a}a:do if(!g)i=-1;else{a=h+(g>>>0>d>>>0?d+1|0:g)|0;do{if((a|0)==(h|0)){i=-1;break a}a=a+-1|0}while(!(fkc(b[a>>0]|0,c)|0));i=a-h|0}while(0);return i|0}function Puc(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0;h=b[a+11>>0]|0;i=h<<24>>24<0;if(i)j=f[a+4>>2]|0;else j=h&255;if((g|0)==-1|j>>>0<c>>>0)nuc(a);h=j-c|0;j=h>>>0<d>>>0?h:d;if(i)k=f[a>>2]|0;else k=a;a=j>>>0>g>>>0;i=Ptc(k+c|0,e,a?g:j)|0;if(!i)return (j>>>0<g>>>0?-1:a&1)|0;else return i|0;return 0}function Quc(a,b){a=a|0;b=b|0;return Puc(a,0,-1,b,_jc(b)|0)|0}function Ruc(a){a=a|0;if((b[a+8+3>>0]|0)<0)fuc(f[a>>2]|0);return}function Suc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=u;u=u+16|0;g=e;h=a+8|0;i=h+3|0;j=b[i>>0]|0;k=j<<24>>24<0;if(k)l=(f[h>>2]&2147483647)+-1|0;else l=1;do if(l>>>0>=d>>>0){if(k)m=f[a>>2]|0;else m=a;Tuc(m,c,d)|0;f[g>>2]=0;ulc(m+(d<<2)|0,g);if((b[i>>0]|0)<0){f[a+4>>2]=d;break}else{b[i>>0]=d;break}}else{if(k)n=f[a+4>>2]|0;else n=j&255;Uuc(a,l,d-l|0,n,0,n,d,c)}while(0);u=e;return a|0}function Tuc(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;if(!c)d=a;else{ehc(a,b,c)|0;d=a}return d|0}function Uuc(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0;k=u;u=u+16|0;l=k;if((1073741806-c|0)>>>0<d>>>0)muc(a);m=a+8|0;if((b[m+3>>0]|0)<0)n=f[a>>2]|0;else n=a;if(c>>>0<536870887){o=d+c|0;d=c<<1;p=o>>>0<d>>>0?d:o;o=p>>>0<2?2:p+4&-4;if(o>>>0>1073741823)Re();else q=o}else q=1073741807;o=cuc(q<<2)|0;if(g|0)xjc(o,n,g)|0;if(i|0)xjc(o+(g<<2)|0,j,i)|0;j=e-h|0;e=j-g|0;if(e|0)xjc(o+(g<<2)+(i<<2)|0,n+(g<<2)+(h<<2)|0,e)|0;if((c|0)!=1)fuc(n);f[a>>2]=o;f[m>>2]=q|-2147483648;q=j+i|0;f[a+4>>2]=q;f[l>>2]=0;ulc(o+(q<<2)|0,l);u=k;return}function Vuc(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;if(c>>>0>1073741807)muc(a);d=a+8|0;e=d+3|0;g=b[e>>0]|0;h=g<<24>>24<0;if(h){i=f[a+4>>2]|0;j=(f[d>>2]&2147483647)+-1|0}else{i=g&255;j=1}k=i>>>0>c>>>0?i:c;c=k>>>0<2;l=c?1:(k+4&-4)+-1|0;do if((l|0)!=(j|0)){do if(c){k=f[a>>2]|0;if(h){m=0;n=k;o=a;p=15}else{xjc(a,k,(g&255)+1|0)|0;fuc(k);p=17}}else{k=l+1|0;if(k>>>0>1073741823)Re();q=cuc(k<<2)|0;if(h){m=1;n=f[a>>2]|0;o=q;p=15;break}else{xjc(q,a,(g&255)+1|0)|0;r=q;p=16;break}}while(0);if((p|0)==15){xjc(o,n,(f[a+4>>2]|0)+1|0)|0;fuc(n);if(m){r=o;p=16}else p=17}if((p|0)==16){f[d>>2]=l+1|-2147483648;f[a+4>>2]=i;f[a>>2]=r;break}else if((p|0)==17){b[e>>0]=i;break}}while(0);return}function Wuc(a,b){a=a|0;b=b|0;return Suc(a,b,uoc(b)|0)|0}function Xuc(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0;if((1073741807-c|0)>>>0<d>>>0)muc(a);j=a+8|0;if((b[j+3>>0]|0)<0)k=f[a>>2]|0;else k=a;if(c>>>0<536870887){l=d+c|0;d=c<<1;m=l>>>0<d>>>0?d:l;l=m>>>0<2?2:m+4&-4;if(l>>>0>1073741823)Re();else n=l}else n=1073741807;l=cuc(n<<2)|0;if(g|0)xjc(l,k,g)|0;m=e-h-g|0;if(m|0)xjc(l+(g<<2)+(i<<2)|0,k+(g<<2)+(h<<2)|0,m)|0;if((c|0)!=1)fuc(k);f[a>>2]=l;f[j>>2]=n|-2147483648;return}function Yuc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=u;u=u+16|0;g=e;h=a+8|0;i=h+3|0;j=b[i>>0]|0;k=j<<24>>24<0;if(k){l=f[a+4>>2]|0;m=(f[h>>2]&2147483647)+-1|0}else{l=j&255;m=1}j=l+d|0;if((m-l|0)>>>0>=d>>>0){if(d|0){if(k)n=f[a>>2]|0;else n=a;xjc(n+(l<<2)|0,c,d)|0;if((b[i>>0]|0)<0)f[a+4>>2]=j;else b[i>>0]=j;f[g>>2]=0;ulc(n+(j<<2)|0,g)}}else Uuc(a,m,j-m|0,l,l,0,d,c);u=e;return a|0}function Zuc(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;d=u;u=u+16|0;e=d;g=d+4|0;f[e>>2]=c;c=a+8|0;h=c+3|0;i=b[h>>0]|0;j=i<<24>>24<0;if(j){k=f[a+4>>2]|0;l=(f[c>>2]&2147483647)+-1|0}else{k=i&255;l=1}if((k|0)==(l|0)){Xuc(a,l,1,l,l,0,0);i=l+1|0;if((b[h>>0]|0)<0){m=i;n=8}else{o=i;n=7}}else{i=k+1|0;if(j){m=i;n=8}else{o=i;n=7}}if((n|0)==7){b[h>>0]=o;p=a}else if((n|0)==8){n=f[a>>2]|0;f[a+4>>2]=m;p=n}n=p+(k<<2)|0;ulc(n,e);f[g>>2]=0;ulc(n+4|0,g);u=d;return}function _uc(a,b){a=a|0;b=b|0;Re()}function $uc(){var a=0,b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;a=u;u=u+48|0;b=a+32|0;c=a+24|0;d=a+16|0;e=a;g=a+36|0;a=avc()|0;if(a|0?(h=f[a>>2]|0,h|0):0){a=h+48|0;i=f[a>>2]|0;j=f[a+4>>2]|0;if(!((i&-256|0)==1126902528&(j|0)==1129074247)){f[c>>2]=f[41759];bvc(530098,c)}if((i|0)==1126902529&(j|0)==1129074247)k=f[h+44>>2]|0;else k=h+80|0;f[g>>2]=k;k=f[h>>2]|0;h=f[k+4>>2]|0;j=li[f[(f[6702]|0)+16>>2]&511](26808,k,g)|0;k=f[41759]|0;if(j){j=f[g>>2]|0;g=di[f[(f[j>>2]|0)+8>>2]&1023](j)|0;f[e>>2]=k;f[e+4>>2]=h;f[e+8>>2]=g;bvc(530012,e)}else{f[d>>2]=k;f[d+4>>2]=h;bvc(530057,d)}}bvc(530136,b)}function avc(){var a=0,b=0;a=u;u=u+16|0;if(!($d(903792,180)|0)){b=Ze(f[225949]|0)|0;u=a;return b|0}else bvc(530287,a);return 0}function bvc(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[d>>2]=b;b=f[39949]|0;wfc(b,a,d)|0;Ohc(10,b)|0;Re()}function cvc(a){a=a|0;return}function dvc(a){a=a|0;cvc(a);fuc(a);return}function evc(a){a=a|0;return}function fvc(a){a=a|0;return}function gvc(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0;d=u;u=u+64|0;e=d;if(!(kvc(a,b,0)|0))if((b|0)!=0?(g=ovc(b,26832,26816,0)|0,(g|0)!=0):0){b=e+4|0;h=b+52|0;do{f[b>>2]=0;b=b+4|0}while((b|0)<(h|0));f[e>>2]=g;f[e+8>>2]=a;f[e+12>>2]=-1;f[e+48>>2]=1;sh[f[(f[g>>2]|0)+28>>2]&255](g,e,f[c>>2]|0,1);if((f[e+24>>2]|0)==1){f[c>>2]=f[e+16>>2];i=1}else i=0;j=i}else j=0;else j=1;u=d;return j|0}function hvc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;if(kvc(a,f[b+8>>2]|0,g)|0)nvc(0,b,c,d,e);return}function ivc(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0;do if(!(kvc(a,f[c+8>>2]|0,g)|0)){if(kvc(a,f[c>>2]|0,g)|0){h=c+32|0;if((f[c+16>>2]|0)!=(d|0)?(i=c+20|0,(f[i>>2]|0)!=(d|0)):0){f[h>>2]=e;f[i>>2]=d;i=c+40|0;f[i>>2]=(f[i>>2]|0)+1;if((f[c+36>>2]|0)==1?(f[c+24>>2]|0)==2:0)b[c+54>>0]=1;f[c+44>>2]=4;break}if((e|0)==1)f[h>>2]=1}}else mvc(0,c,d,e);while(0);return}function jvc(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;if(kvc(a,f[b+8>>2]|0,0)|0)lvc(0,b,c,d);return}function kvc(a,b,c){a=a|0;b=b|0;c=c|0;return (a|0)==(b|0)|0}function lvc(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0;a=c+16|0;g=f[a>>2]|0;h=c+36|0;i=c+24|0;do if(g){if((g|0)!=(d|0)){f[h>>2]=(f[h>>2]|0)+1;f[i>>2]=2;b[c+54>>0]=1;break}if((f[i>>2]|0)==2)f[i>>2]=e}else{f[a>>2]=d;f[i>>2]=e;f[h>>2]=1}while(0);return}function mvc(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;if((f[b+4>>2]|0)==(c|0)?(c=b+28|0,(f[c>>2]|0)!=1):0)f[c>>2]=d;return}function nvc(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0;b[c+53>>0]=1;do if((f[c+4>>2]|0)==(e|0)){b[c+52>>0]=1;a=c+16|0;h=f[a>>2]|0;i=c+54|0;j=c+48|0;k=c+24|0;l=c+36|0;if(!h){f[a>>2]=d;f[k>>2]=g;f[l>>2]=1;if(!((f[j>>2]|0)==1&(g|0)==1))break;b[i>>0]=1;break}if((h|0)!=(d|0)){f[l>>2]=(f[l>>2]|0)+1;b[i>>0]=1;break}l=f[k>>2]|0;if((l|0)==2){f[k>>2]=g;m=g}else m=l;if((f[j>>2]|0)==1&(m|0)==1)b[i>>0]=1}while(0);return}function ovc(a,c,e,g){a=a|0;c=c|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;h=u;u=u+64|0;i=h;j=f[a>>2]|0;k=a+(f[j+-8>>2]|0)|0;l=f[j+-4>>2]|0;f[i>>2]=e;f[i+4>>2]=a;f[i+8>>2]=c;f[i+12>>2]=g;g=i+16|0;c=i+20|0;a=i+24|0;j=i+28|0;m=i+32|0;n=i+40|0;o=g;p=o+36|0;do{f[o>>2]=0;o=o+4|0}while((o|0)<(p|0));d[g+36>>1]=0;b[g+38>>0]=0;a:do if(kvc(l,e,0)|0){f[i+48>>2]=1;Vg[f[(f[l>>2]|0)+20>>2]&255](l,i,k,k,1,0);q=(f[a>>2]|0)==1?k:0}else{th[f[(f[l>>2]|0)+24>>2]&255](l,i,k,1,0);switch(f[i+36>>2]|0){case 0:{q=(f[n>>2]|0)==1&(f[j>>2]|0)==1&(f[m>>2]|0)==1?f[c>>2]|0:0;break a;break}case 1:break;default:{q=0;break a}}if((f[a>>2]|0)!=1?!((f[n>>2]|0)==0&(f[j>>2]|0)==1&(f[m>>2]|0)==1):0){q=0;break}q=f[g>>2]|0}while(0);u=h;return q|0}function pvc(a){a=a|0;cvc(a);fuc(a);return}function qvc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0;if(kvc(a,f[b+8>>2]|0,g)|0)nvc(0,b,c,d,e);else{h=f[a+8>>2]|0;Vg[f[(f[h>>2]|0)+20>>2]&255](h,b,c,d,e,g)}return}function rvc(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;do if(!(kvc(a,f[c+8>>2]|0,g)|0)){h=a+8|0;if(!(kvc(a,f[c>>2]|0,g)|0)){i=f[h>>2]|0;th[f[(f[i>>2]|0)+24>>2]&255](i,c,d,e,g);break}i=c+32|0;if((f[c+16>>2]|0)!=(d|0)?(j=c+20|0,(f[j>>2]|0)!=(d|0)):0){f[i>>2]=e;k=c+44|0;if((f[k>>2]|0)==4)break;l=c+52|0;b[l>>0]=0;m=c+53|0;b[m>>0]=0;n=f[h>>2]|0;Vg[f[(f[n>>2]|0)+20>>2]&255](n,c,d,d,1,g);if(b[m>>0]|0)if(!(b[l>>0]|0)){o=3;p=11}else q=3;else{o=4;p=11}if((p|0)==11){f[j>>2]=d;j=c+40|0;f[j>>2]=(f[j>>2]|0)+1;if((f[c+36>>2]|0)==1?(f[c+24>>2]|0)==2:0){b[c+54>>0]=1;q=o}else q=o}f[k>>2]=q;break}if((e|0)==1)f[i>>2]=1}else mvc(0,c,d,e);while(0);return}function svc(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;if(kvc(a,f[b+8>>2]|0,0)|0)lvc(0,b,c,d);else{e=f[a+8>>2]|0;sh[f[(f[e>>2]|0)+28>>2]&255](e,b,c,d)}return}function tvc(a){a=a|0;return}function uvc(){var a=0;a=u;u=u+16|0;if(!(Le(903796,2031)|0)){u=a;return}else bvc(530336,a)}function vvc(a){a=a|0;var b=0;b=u;u=u+16|0;qec(a);if(!(Ef(f[225949]|0,0)|0)){u=b;return}else bvc(530386,b)}function wvc(){var a=0,b=0;a=avc()|0;if((a|0?(b=f[a>>2]|0,b|0):0)?(a=b+48|0,(f[a>>2]&-256|0)==1126902528?(f[a+4>>2]|0)==1129074247:0):0)xvc(f[b+12>>2]|0);xvc(yvc()|0)}function xvc(a){a=a|0;var b=0;b=u;u=u+16|0;_h[a&255]();bvc(530439,b)}function yvc(){var a=0;a=f[41758]|0;f[41758]=a+0;return a|0}function zvc(a){a=a|0;return}function Avc(a){a=a|0;f[a>>2]=167128;Evc(a+4|0);return}function Bvc(a){a=a|0;Avc(a);fuc(a);return}function Cvc(a){a=a|0;return Dvc(a+4|0)|0}function Dvc(a){a=a|0;return f[a>>2]|0}function Evc(a){a=a|0;var b=0,c=0;if(luc(a)|0?(b=Fvc(f[a>>2]|0)|0,a=b+8|0,c=f[a>>2]|0,f[a>>2]=c+-1,(c+-1|0)<0):0)fuc(b);return}function Fvc(a){a=a|0;return a+-12|0}function Gvc(a){a=a|0;Avc(a);fuc(a);return}function Hvc(a){a=a|0;Avc(a);fuc(a);return}function Ivc(a){a=a|0;return}function Jvc(a){a=a|0;Ivc(a);fuc(a);return}function Kvc(a){a=a|0;return 530529}function Lvc(a){a=a|0;cvc(a);fuc(a);return}function Mvc(a,b,c){a=a|0;b=b|0;c=c|0;return kvc(a,b,0)|0}function Nvc(a){a=a|0;cvc(a);fuc(a);return}function Ovc(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0;d=u;u=u+64|0;e=d;f[c>>2]=f[f[c>>2]>>2];if(!(Pvc(a,b,0)|0))if(((b|0)!=0?(g=ovc(b,26832,26952,0)|0,(g|0)!=0):0)?(f[g+8>>2]&~f[a+8>>2]|0)==0:0){b=a+12|0;a=g+12|0;if(!(kvc(f[b>>2]|0,f[a>>2]|0,0)|0)?!(kvc(f[b>>2]|0,26984,0)|0):0){g=f[b>>2]|0;if((((g|0)!=0?(b=ovc(g,26832,26816,0)|0,(b|0)!=0):0)?(g=f[a>>2]|0,(g|0)!=0):0)?(a=ovc(g,26832,26816,0)|0,(a|0)!=0):0){g=e+4|0;h=g+52|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));f[e>>2]=a;f[e+8>>2]=b;f[e+12>>2]=-1;f[e+48>>2]=1;sh[f[(f[a>>2]|0)+28>>2]&255](a,e,f[c>>2]|0,1);if((f[e+24>>2]|0)==1){f[c>>2]=f[e+16>>2];i=1}else i=0;j=i}else j=0}else j=1}else j=0;else j=1;u=d;return j|0}function Pvc(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;if(kvc(a,b,0)|0)d=1;else d=kvc(b,26992,0)|0;return d|0}function Qvc(a){a=a|0;cvc(a);fuc(a);return}function Rvc(a,b,c){a=a|0;b=b|0;c=c|0;return kvc(a,b,0)|0}function Svc(a){a=a|0;cvc(a);fuc(a);return}function Tvc(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;if(kvc(a,f[c+8>>2]|0,h)|0)nvc(0,c,d,e,g);else{i=c+52|0;j=b[i>>0]|0;k=c+53|0;l=b[k>>0]|0;m=f[a+12>>2]|0;n=a+16+(m<<3)|0;b[i>>0]=0;b[k>>0]=0;Xvc(a+16|0,c,d,e,g,h);a:do if((m|0)>1){o=c+24|0;p=c+54|0;q=a+8|0;r=a+24|0;do{if(b[p>>0]|0)break a;if(!(b[i>>0]|0)){if(b[k>>0]|0?(f[q>>2]&1|0)==0:0)break a}else{if((f[o>>2]|0)==1)break a;if(!(f[q>>2]&2))break a}b[i>>0]=0;b[k>>0]=0;Xvc(r,c,d,e,g,h);r=r+8|0}while(r>>>0<n>>>0)}while(0);b[i>>0]=j;b[k>>0]=l}return}function Uvc(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;a:do if(!(kvc(a,f[c+8>>2]|0,g)|0)){h=a+12|0;i=c+24|0;j=c+36|0;k=c+54|0;l=a+8|0;m=a+16|0;if(!(kvc(a,f[c>>2]|0,g)|0)){n=f[h>>2]|0;o=a+16+(n<<3)|0;Yvc(m,c,d,e,g);p=a+24|0;if((n|0)<=1)break;n=f[l>>2]|0;if((n&2|0)==0?(f[j>>2]|0)!=1:0){if(!(n&1)){n=p;while(1){if(b[k>>0]|0)break a;if((f[j>>2]|0)==1)break a;Yvc(n,c,d,e,g);n=n+8|0;if(n>>>0>=o>>>0)break a}}else q=p;while(1){if(b[k>>0]|0)break a;if((f[j>>2]|0)==1?(f[i>>2]|0)==1:0)break a;Yvc(q,c,d,e,g);q=q+8|0;if(q>>>0>=o>>>0)break a}}else r=p;while(1){if(b[k>>0]|0)break a;Yvc(r,c,d,e,g);r=r+8|0;if(r>>>0>=o>>>0)break a}}o=c+32|0;if((f[c+16>>2]|0)!=(d|0)?(p=c+20|0,(f[p>>2]|0)!=(d|0)):0){f[o>>2]=e;n=c+44|0;if((f[n>>2]|0)==4)break;s=a+16+(f[h>>2]<<3)|0;t=c+52|0;u=c+53|0;v=0;w=m;x=0;b:while(1){if(w>>>0>=s>>>0){y=v;z=18;break}b[t>>0]=0;b[u>>0]=0;Xvc(w,c,d,d,1,g);if(b[k>>0]|0){y=v;z=18;break}do if(b[u>>0]|0){if(!(b[t>>0]|0))if(!(f[l>>2]&1)){y=1;z=18;break b}else{A=1;B=x;break}if((f[i>>2]|0)==1){z=23;break b}if(!(f[l>>2]&2)){z=23;break b}else{A=1;B=1}}else{A=v;B=x}while(0);v=A;w=w+8|0;x=B}do if((z|0)==18){if((!x?(f[p>>2]=d,w=c+40|0,f[w>>2]=(f[w>>2]|0)+1,(f[j>>2]|0)==1):0)?(f[i>>2]|0)==2:0){b[k>>0]=1;if(y){z=23;break}else{C=4;break}}if(y)z=23;else C=4}while(0);if((z|0)==23)C=3;f[n>>2]=C;break}if((e|0)==1)f[o>>2]=1}else mvc(0,c,d,e);while(0);return}function Vvc(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0;a:do if(!(kvc(a,f[c+8>>2]|0,0)|0)){g=f[a+12>>2]|0;h=a+16+(g<<3)|0;Wvc(a+16|0,c,d,e);if((g|0)>1){g=c+54|0;i=a+24|0;do{Wvc(i,c,d,e);if(b[g>>0]|0)break a;i=i+8|0}while(i>>>0<h>>>0)}}else lvc(0,c,d,e);while(0);return}function Wvc(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0;e=f[a+4>>2]|0;g=e>>8;if(!(e&1))h=g;else h=f[(f[c>>2]|0)+g>>2]|0;g=f[a>>2]|0;sh[f[(f[g>>2]|0)+28>>2]&255](g,b,c+h|0,e&2|0?d:2);return}function Xvc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0;h=f[a+4>>2]|0;i=h>>8;if(!(h&1))j=i;else j=f[(f[d>>2]|0)+i>>2]|0;i=f[a>>2]|0;Vg[f[(f[i>>2]|0)+20>>2]&255](i,b,c,d+j|0,h&2|0?e:2,g);return}function Yvc(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0;g=f[a+4>>2]|0;h=g>>8;if(!(g&1))i=h;else i=f[(f[c>>2]|0)+h>>2]|0;h=f[a>>2]|0;th[f[(f[h>>2]|0)+24>>2]&255](h,b,c+i|0,g&2|0?d:2,e);return}function Zvc(a){a=a|0;f[a>>2]=167188;return}function _vc(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;g=u;u=u+4192|0;h=g+4176|0;i=g;j=g+4112|0;k=(e|0)!=0;if((a|0)!=0?(l=(c|0)!=0,m=(d|0)==0,!(l&m)):0){if(l)n=f[d>>2]|0;else n=0;$vc(i);awc(j,i);l=j+48|0;o=j+61|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;b[l+12>>0]=0;b[o>>0]=1;l=j+32|0;p=j+36|0;q=f[p>>2]|0;if(q>>>0<(f[j+40>>2]|0)>>>0){bwc(h,i);f[q>>2]=0;f[q+4>>2]=0;r=f[h>>2]|0;f[q+8>>2]=0;f[q+12>>2]=r;f[p>>2]=(f[p>>2]|0)+16}else cwc(l,i);r=j+62|0;b[r>>0]=0;b[j+63>>0]=1;f[h>>2]=0;q=a+(jfc(a)|0)|0;dwc(a,q,j,h);s=f[h>>2]|0;do if(!((s|0)!=0|(b[r>>0]|0)==0)){t=f[l>>2]|0;if((t|0)!=(f[p>>2]|0)?(f[t>>2]|0)!=(f[t+4>>2]|0):0){b[r>>0]=0;b[o>>0]=0;t=f[j>>2]|0;v=j+4|0;while(1){w=f[v>>2]|0;if((w|0)==(t|0))break;x=w+-24|0;f[v>>2]=x;ewc(x)}v=f[j+16>>2]|0;t=j+20|0;while(1){x=f[t>>2]|0;if((x|0)==(v|0))break;w=x+-16|0;f[t>>2]=w;fwc(w)}dwc(a,q,j,h);if(!(b[r>>0]|0)){y=f[h>>2]|0;z=22;break}else{f[h>>2]=-2;A=0;B=-2;break}}else z=23}else{y=s;z=22}while(0);if((z|0)==22)if(!y)z=23;else{A=0;B=y}do if((z|0)==23){y=j+4|0;s=gwc((f[y>>2]|0)+-24|0)|0;r=s+1|0;if(r>>>0>n>>>0){q=rec(c,r)|0;if(!q){f[h>>2]=-1;A=0;B=-1;break}if(m)C=q;else{f[d>>2]=r;C=q}}else if(!c){A=0;B=0;break}else C=c;q=f[y>>2]|0;r=q+-12|0;a=b[r+11>>0]|0;o=a<<24>>24<0;hwc(q+-24|0,o?f[r>>2]|0:r,o?f[q+-8>>2]|0:a&255)|0;a=(f[y>>2]|0)+-24|0;if((b[a+11>>0]|0)<0)D=f[a>>2]|0;else D=a;szc(C|0,D|0,s|0)|0;b[C+s>>0]=0;A=C;B=0}while(0);if(k)f[e>>2]=B;iwc(j);jwc(i);E=A}else if(k){f[e>>2]=-3;E=0}else E=0;u=g;return E|0}function $vc(a){a=a|0;f[a+4096>>2]=a;return}function awc(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=u;u=u+16|0;d=c;Xyc(d,b);f[a>>2]=0;f[a+4>>2]=0;e=f[d>>2]|0;f[a+8>>2]=0;f[a+12>>2]=e;bwc(d,b);Yyc(a+16|0,d);Zyc(d,b);_yc(a+32|0,d);u=c;return}function bwc(a,b){a=a|0;b=b|0;f[a>>2]=b;return}function cwc(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;c=u;u=u+32|0;d=c+20|0;e=c;g=a+4|0;h=((f[g>>2]|0)-(f[a>>2]|0)>>4)+1|0;i=xyc(a)|0;if(i>>>0<h>>>0)nsc(a);else{j=f[a>>2]|0;k=(f[a+8>>2]|0)-j|0;l=k>>3;yyc(e,k>>4>>>0<i>>>1>>>0?(l>>>0<h>>>0?h:l):i,(f[g>>2]|0)-j>>4,a+12|0);j=e+8|0;g=f[j>>2]|0;bwc(d,b);f[g>>2]=0;f[g+4>>2]=0;b=f[d>>2]|0;f[g+8>>2]=0;f[g+12>>2]=b;f[j>>2]=g+16;zyc(a,e);Ayc(e);u=c;return}}function dwc(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0;a:do if(a>>>0<c>>>0){b:do if((b[a>>0]|0)!=95){if((zwc(a,c,d)|0)!=(c|0)){f[e>>2]=-2;break a}}else{if((c-a|0)<=3){f[e>>2]=-2;break a}g=a+2|0;switch(b[a+1>>0]|0){case 90:{h=wwc(g,c,d)|0;if(!((h|0)==(g|0)|(h|0)==(c|0))?(b[h>>0]|0)==46:0)i=xwc(h,c,d)|0;else i=h;if((i|0)==(c|0))break b;f[e>>2]=-2;break a;break}case 95:{if((b[g>>0]|0)==95?(b[a+3>>0]|0)==90:0){g=a+4|0;h=wwc(g,c,d)|0;if(!((h|0)==(g|0)|(h|0)==(c|0))?(ywc(h,c,d)|0)==(c|0):0)break b;f[e>>2]=-2;break a}break}default:{}}f[e>>2]=-2;break a}while(0);if((f[e>>2]|0)==0?(f[d>>2]|0)==(f[d+4>>2]|0):0)f[e>>2]=-2}else f[e>>2]=-2;while(0);return}function ewc(a){a=a|0;vwc(a+12|0);vwc(a);return}function fwc(a){a=a|0;var b=0,c=0,d=0,e=0;b=f[a>>2]|0;if(b|0){c=a+4|0;while(1){d=f[c>>2]|0;if((d|0)==(b|0))break;e=d+-24|0;f[c>>2]=e;ewc(e)}c=f[a>>2]|0;uwc(a+12|0,c,((f[a+8>>2]|0)-c|0)/24|0)}return}function gwc(a){a=a|0;var c=0,d=0,e=0;c=b[a+11>>0]|0;if(c<<24>>24<0)d=f[a+4>>2]|0;else d=c&255;c=b[a+12+11>>0]|0;if(c<<24>>24<0)e=f[a+16>>2]|0;else e=c&255;return e+d|0}function hwc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;e=u;u=u+16|0;g=e;h=a+11|0;i=b[h>>0]|0;j=i<<24>>24<0;if(j){k=f[a+4>>2]|0;l=(f[a+8>>2]&2147483647)+-1|0}else{k=i&255;l=10}i=k+d|0;if((l-k|0)>>>0>=d>>>0){if(d|0){if(j)m=f[a>>2]|0;else m=a;fjc(m+k|0,c,d)|0;if((b[h>>0]|0)<0)f[a+4>>2]=i;else b[h>>0]=i;b[g>>0]=0;$jc(m+i|0,g)}}else rwc(a,l,i-l|0,k,k,0,d,c);u=e;return a|0}function iwc(a){a=a|0;kwc(a+32|0);lwc(a+16|0);fwc(a);return}function jwc(a){a=a|0;f[a+4096>>2]=0;return}function kwc(a){a=a|0;var b=0,c=0,d=0,e=0;b=f[a>>2]|0;if(b|0){c=a+4|0;while(1){d=f[c>>2]|0;if((d|0)==(b|0))break;e=d+-16|0;f[c>>2]=e;lwc(e)}c=f[a>>2]|0;qwc(a+12|0,c,(f[a+8>>2]|0)-c>>4)}return}function lwc(a){a=a|0;var b=0,c=0,d=0,e=0;b=f[a>>2]|0;if(b|0){c=a+4|0;while(1){d=f[c>>2]|0;if((d|0)==(b|0))break;e=d+-16|0;f[c>>2]=e;fwc(e)}c=f[a>>2]|0;mwc(a+12|0,c,(f[a+8>>2]|0)-c>>4)}return}function mwc(a,b,c){a=a|0;b=b|0;c=c|0;nwc(f[a>>2]|0,b,c<<4);return}function nwc(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;if(owc(a,b)|0){d=b+(pwc(c)|0)|0;c=a+4096|0;if((d|0)==(f[c>>2]|0))f[c>>2]=b}else qec(b);return}function owc(a,b){a=a|0;b=b|0;return a>>>0<=b>>>0&(a+4096|0)>>>0>=b>>>0|0}function pwc(a){a=a|0;return a+15&-16|0}function qwc(a,b,c){a=a|0;b=b|0;c=c|0;nwc(f[a>>2]|0,b,c<<4);return}function rwc(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0;k=u;u=u+16|0;l=k;if((-18-c|0)>>>0<d>>>0)muc(a);if((b[a+11>>0]|0)<0)m=f[a>>2]|0;else m=a;if(c>>>0<2147483623){n=d+c|0;d=c<<1;o=n>>>0<d>>>0?d:n;p=o>>>0<11?11:o+16&-16}else p=-17;o=swc(p)|0;if(g|0)fjc(o,m,g)|0;if(i|0)fjc(o+g|0,j,i)|0;j=e-h|0;e=j-g|0;if(e|0)fjc(o+g+i|0,m+g+h|0,e)|0;if((c|0)!=10)twc(m);f[a>>2]=o;f[a+8>>2]=p|-2147483648;p=j+i|0;f[a+4>>2]=p;b[l>>0]=0;$jc(o+p|0,l);u=k;return}function swc(a){a=a|0;return pec(a)|0}function twc(a){a=a|0;qec(a);return}function uwc(a,b,c){a=a|0;b=b|0;c=c|0;nwc(f[a>>2]|0,b,c*24|0);return}function vwc(a){a=a|0;if((b[a+11>>0]|0)<0)twc(f[a>>2]|0);return}function wwc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0;e=u;u=u+64|0;g=e+48|0;h=e+40|0;i=e+32|0;j=e+24|0;k=e+12|0;l=e;if((a|0)!=(c|0)){m=d+56|0;Ryc(h,m);f[m>>2]=(f[m>>2]|0)+1;n=d+61|0;Syc(i,n);if((f[m>>2]|0)>>>0>1)b[n>>0]=1;a:do switch(b[a>>0]|0){case 84:case 71:{o=Tyc(a,c,d)|0;p=1;break}default:{m=Ywc(a,c,d)|0;q=f[d+48>>2]|0;r=f[d+52>>2]|0;b:do if((m|0)!=(a|0))if((m|0)!=(c|0)){switch(b[m>>0]|0){case 46:case 69:{s=m;break b;break}default:{}}Syc(j,n);b[n>>0]=0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;t=0;while(1){if((t|0)==3)break;f[k+(t<<2)>>2]=0;t=t+1|0}t=d+4|0;v=f[t>>2]|0;c:do if((f[d>>2]|0)!=(v|0)){w=v+-24|0;x=b[w+11>>0]|0;y=x<<24>>24<0;if(y)z=f[v+-20>>2]|0;else z=x&255;if(z){if(!(b[d+60>>0]|0)){if(y){A=f[w>>2]|0;B=f[v+-20>>2]|0}else{A=w;B=x&255}if((b[A+B+-1>>0]|0)==62){if(y){C=f[v+-20>>2]|0;D=f[w>>2]|0}else{C=x&255;D=w}if((b[D+(C+-2)>>0]|0)!=45){if(y){E=f[v+-20>>2]|0;F=f[w>>2]|0}else{E=x&255;F=w}if((b[F+(E+-2)>>0]|0)!=62){w=zwc(m,c,d)|0;if((w|0)==(m|0)){G=a;H=0;break}x=f[t>>2]|0;y=x;if(((x-(f[d>>2]|0)|0)/24|0)>>>0<2){G=a;H=0;break}x=y+-24|0;f[l>>2]=f[x>>2];f[l+4>>2]=f[x+4>>2];f[l+8>>2]=f[x+8>>2];I=0;while(1){if((I|0)==3)break;f[x+(I<<2)>>2]=0;I=I+1|0}I=y+-12|0;x=k+11|0;if((b[x>>0]|0)<0){J=f[k>>2]|0;b[g>>0]=0;$jc(J,g);f[k+4>>2]=0}else{b[g>>0]=0;$jc(k,g);b[x>>0]=0}cxc(k);f[k>>2]=f[I>>2];f[k+4>>2]=f[I+4>>2];f[k+8>>2]=f[I+8>>2];J=0;while(1){if((J|0)==3)break;f[I+(J<<2)>>2]=0;J=J+1|0}J=b[x>>0]|0;if(!((J<<24>>24<0?f[k+4>>2]|0:J&255)|0))Wxc(l,32);J=f[t>>2]|0;I=J+-24|0;y=J;while(1){if((y|0)==(I|0))break;K=y+-24|0;f[t>>2]=K;ewc(K);y=f[t>>2]|0}y=b[l+11>>0]|0;I=y<<24>>24<0;Eyc(J+-48|0,0,I?f[l>>2]|0:l,I?f[l+4>>2]|0:y&255)|0;vwc(l);L=w;M=f[t>>2]|0}else{L=m;M=v}}else{L=m;M=v}}else{L=m;M=v}}else{L=m;M=v}Wxc(M+-24|0,40);if((L|0)!=(c|0)?(b[L>>0]|0)==118:0){N=L+1|0;O=f[d>>2]|0;P=f[t>>2]|0}else Q=49;do if((Q|0)==49){y=g+11|0;I=g+4|0;x=l+11|0;K=l+4|0;R=1;S=L;d:while(1){T=S;U=f[d>>2]|0;V=f[t>>2]|0;while(1){W=(V-U|0)/24|0;X=zwc(T,c,d)|0;V=f[t>>2]|0;U=f[d>>2]|0;Y=(V-U|0)/24|0;if((X|0)==(T|0)){Q=72;break d}if(Y>>>0>W>>>0)break;else T=X}f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;Z=0;while(1){if((Z|0)==3){_=W;break}f[g+(Z<<2)>>2]=0;Z=Z+1|0}while(1){if(_>>>0>=Y>>>0){$=W;break}Z=b[y>>0]|0;if((Z<<24>>24<0?f[I>>2]|0:Z&255)|0)Dwc(g,531032)|0;Rwc(l,(f[d>>2]|0)+(_*24|0)|0);Z=b[x>>0]|0;aa=Z<<24>>24<0;hwc(g,aa?f[l>>2]|0:l,aa?f[K>>2]|0:Z&255)|0;vwc(l);_=_+1|0}while(1){if($>>>0>=Y>>>0)break;Z=f[t>>2]|0;aa=Z+-24|0;ba=Z;while(1){if((ba|0)==(aa|0))break;Z=ba+-24|0;f[t>>2]=Z;ewc(Z);ba=f[t>>2]|0}$=$+1|0}ba=b[y>>0]|0;aa=f[I>>2]|0;if(!((ba<<24>>24<0?aa:ba&255)|0))ca=R;else{Z=f[t>>2]|0;if((f[d>>2]|0)==(Z|0)){Q=84;break}if(R){da=Z;ea=ba;fa=aa}else{Dwc(Z+-24|0,531032)|0;da=f[t>>2]|0;ea=b[y>>0]|0;fa=f[I>>2]|0}Z=ea<<24>>24<0;hwc(da+-24|0,Z?f[g>>2]|0:g,Z?fa:ea&255)|0;ca=0}vwc(g);R=ca;S=X}if((Q|0)==72){N=T;O=U;P=V;break}else if((Q|0)==84){vwc(g);G=a;H=0;break c}}while(0);if((O|0)!=(P|0)){Wxc(P+-24|0,41);if(q&1|0)Dwc((f[t>>2]|0)+-24|0,530755)|0;if(q&2|0)Dwc((f[t>>2]|0)+-24|0,530762)|0;if(q&4|0)Dwc((f[t>>2]|0)+-24|0,530772)|0;switch(r|0){case 1:{Dwc((f[t>>2]|0)+-24|0,532236)|0;break}case 2:{Dwc((f[t>>2]|0)+-24|0,532239)|0;break}default:{}}w=b[k+11>>0]|0;J=w<<24>>24<0;hwc((f[t>>2]|0)+-24|0,J?f[k>>2]|0:k,J?f[k+4>>2]|0:w&255)|0;G=N;H=1}else{G=a;H=0}}else{G=a;H=0}}else{G=a;H=0}while(0);vwc(k);Uyc(j);if(H)s=G;else{o=G;p=0;break a}}else s=c;else s=a;while(0);o=s;p=1}}while(0);Uyc(i);Vyc(h);if(p){ga=o;Q=88}else ha=a}else{ga=a;Q=88}if((Q|0)==88)ha=ga;u=e;return ha|0}function xwc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;e=u;u=u+48|0;g=e+36|0;h=e+24|0;i=e+12|0;j=e;if(((a|0)!=(c|0)?(b[a>>0]|0)==46:0)?(k=d+4|0,(f[d>>2]|0)!=(f[k>>2]|0)):0){f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;d=c-a|0;if(d>>>0>4294967279)muc(j);if(d>>>0<11){b[j+11>>0]=d;l=j}else{m=d+16&-16;n=swc(m)|0;f[j>>2]=n;f[j+8>>2]=m|-2147483648;f[j+4>>2]=d;l=n}n=a;m=l;while(1){if((n|0)==(c|0))break;$jc(m,n);n=n+1|0;m=m+1|0}b[g>>0]=0;$jc(l+d|0,g);Cwc(j,0,530805)|0;f[i>>2]=f[j>>2];f[i+4>>2]=f[j+4>>2];f[i+8>>2]=f[j+8>>2];g=0;while(1){if((g|0)==3)break;f[j+(g<<2)>>2]=0;g=g+1|0}Dwc(i,530808)|0;f[h>>2]=f[i>>2];f[h+4>>2]=f[i+4>>2];f[h+8>>2]=f[i+8>>2];g=0;while(1){if((g|0)==3)break;f[i+(g<<2)>>2]=0;g=g+1|0}g=b[h+11>>0]|0;d=g<<24>>24<0;hwc((f[k>>2]|0)+-24|0,d?f[h>>2]|0:h,d?f[h+4>>2]|0:g&255)|0;vwc(h);vwc(i);vwc(j);o=c}else o=a;u=e;return o|0}function ywc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0;a:do if((c-a|0)>12){e=0;g=a;while(1){h=g+1|0;if((e|0)>=13)break;if((b[g>>0]|0)==(b[532441+e>>0]|0)){e=e+1|0;g=h}else{i=a;break a}}b:do if((g|0)==(c|0))j=c;else{if((b[g>>0]|0)==95){if((h|0)==(c|0)){i=a;break a}if(((b[h>>0]|0)+-48|0)>>>0>=10){i=a;break a}k=g+2|0}else k=g;while(1){if((k|0)==(c|0)){j=c;break b}if(((b[k>>0]|0)+-48|0)>>>0>=10){j=k;break b}k=k+1|0}}while(0);g=f[d+4>>2]|0;if((f[d>>2]|0)!=(g|0)){Cwc(g+-24|0,0,532455)|0;i=j}else i=a}else i=a;while(0);return i|0}function zwc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0;e=u;u=u+144|0;g=e+128|0;h=e+104|0;i=e+40|0;j=e+88|0;k=e+24|0;l=e+76|0;m=e+12|0;n=e;o=e+64|0;a:do if((a|0)!=(c|0)){p=d+16|0;switch(b[a>>0]|0){case 75:case 86:case 114:{f[g>>2]=0;q=Awc(a,c,g)|0;b:do if((q|0)!=(a|0)?(r=(b[q>>0]|0)==70,s=d+4|0,t=((f[s>>2]|0)-(f[d>>2]|0)|0)/24|0,v=zwc(q,c,d)|0,w=((f[s>>2]|0)-(f[d>>2]|0)|0)/24|0,(v|0)!=(q|0)):0){s=d+20|0;x=f[s>>2]|0;c:do if(r){y=x+-16|0;z=x;while(1){if((z|0)==(y|0)){A=y;break c}B=z+-16|0;f[s>>2]=B;fwc(B);z=f[s>>2]|0}}else A=x;while(0);f[h>>2]=f[d+12>>2];if(A>>>0<(f[d+24>>2]|0)>>>0){f[A>>2]=0;f[A+4>>2]=0;x=f[h>>2]|0;f[A+8>>2]=0;f[A+12>>2]=x;f[s>>2]=(f[s>>2]|0)+16}else Bwc(p,h);x=f[g>>2]|0;z=(x&1|0)==0;y=(x&2|0)==0;B=(x&4|0)==0;x=t;while(1){if(x>>>0>=w>>>0){C=v;break b}if(r){D=f[d>>2]|0;E=D+(x*24|0)+12|0;F=b[E+11>>0]|0;G=F<<24>>24<0;if(G){H=f[D+(x*24|0)+16>>2]|0;I=f[E>>2]|0}else{H=F&255;I=E}J=H+-2|0;if((b[I+J>>0]|0)==38)K=H+-3|0;else{if(G){L=f[E>>2]|0;M=f[D+(x*24|0)+16>>2]|0}else{L=E;M=F&255}K=(b[L+M+-1>>0]|0)==38?J:H}if(z)N=K;else{Cwc(E,K,530755)|0;N=K+6|0}if(y)O=N;else{Cwc((f[d>>2]|0)+(x*24|0)+12|0,N,530762)|0;O=N+9|0}if(!B)Cwc((f[d>>2]|0)+(x*24|0)+12|0,O,530772)|0}else{if(!z)Dwc((f[d>>2]|0)+(x*24|0)|0,530755)|0;if(!y)Dwc((f[d>>2]|0)+(x*24|0)|0,530762)|0;if(!B)Dwc((f[d>>2]|0)+(x*24|0)|0,530772)|0}E=f[s>>2]|0;J=(f[d>>2]|0)+(x*24|0)|0;F=E+-12|0;D=f[F>>2]|0;if((D|0)==(f[E+-8>>2]|0))Fwc(E+-16|0,J);else{Ewc(D,J);f[F>>2]=(f[F>>2]|0)+24}x=x+1|0}}else C=a;while(0);P=C;break a;break}default:{}}q=Gwc(a,c,d)|0;if((q|0)==(a|0)){x=a+1|0;s=(x|0)!=(c|0);d:do switch(b[a>>0]|0){case 65:{B=Hwc(a,c,d)|0;if((B|0)==(a|0)){P=a;break a}y=f[d+4>>2]|0;if((f[d>>2]|0)==(y|0)){P=a;break a}f[h>>2]=f[d+12>>2];Iwc(g,y+-24|0,h);y=d+20|0;z=f[y>>2]|0;if(z>>>0<(f[d+24>>2]|0)>>>0){f[z>>2]=0;r=z+4|0;f[r>>2]=0;v=f[g+12>>2]|0;f[z+8>>2]=0;f[z+12>>2]=v;f[z>>2]=f[g>>2];v=g+4|0;f[r>>2]=f[v>>2];r=g+8|0;f[z+8>>2]=f[r>>2];f[r>>2]=0;f[v>>2]=0;f[g>>2]=0;f[y>>2]=(f[y>>2]|0)+16}else Jwc(p,g);fwc(g);P=B;break a;break}case 67:{B=zwc(x,c,d)|0;if((B|0)==(x|0)){P=a;break a}y=d+4|0;v=f[y>>2]|0;if((f[d>>2]|0)==(v|0)){P=a;break a}Dwc(v+-24|0,530782)|0;v=(f[y>>2]|0)+-24|0;f[h>>2]=f[d+12>>2];Iwc(g,v,h);v=d+20|0;y=f[v>>2]|0;if(y>>>0<(f[d+24>>2]|0)>>>0){f[y>>2]=0;r=y+4|0;f[r>>2]=0;z=f[g+12>>2]|0;f[y+8>>2]=0;f[y+12>>2]=z;f[y>>2]=f[g>>2];z=g+4|0;f[r>>2]=f[z>>2];r=g+8|0;f[y+8>>2]=f[r>>2];f[r>>2]=0;f[z>>2]=0;f[g>>2]=0;f[v>>2]=(f[v>>2]|0)+16}else Jwc(p,g);fwc(g);P=B;break a;break}case 70:{B=Kwc(a,c,d)|0;if((B|0)==(a|0)){P=a;break a}v=f[d+4>>2]|0;if((f[d>>2]|0)==(v|0)){P=a;break a}f[h>>2]=f[d+12>>2];Iwc(g,v+-24|0,h);v=d+20|0;z=f[v>>2]|0;if(z>>>0<(f[d+24>>2]|0)>>>0){f[z>>2]=0;r=z+4|0;f[r>>2]=0;y=f[g+12>>2]|0;f[z+8>>2]=0;f[z+12>>2]=y;f[z>>2]=f[g>>2];y=g+4|0;f[r>>2]=f[y>>2];r=g+8|0;f[z+8>>2]=f[r>>2];f[r>>2]=0;f[y>>2]=0;f[g>>2]=0;f[v>>2]=(f[v>>2]|0)+16}else Jwc(p,g);fwc(g);P=B;break a;break}case 71:{B=zwc(x,c,d)|0;if((B|0)==(x|0)){P=a;break a}v=d+4|0;y=f[v>>2]|0;if((f[d>>2]|0)==(y|0)){P=a;break a}Dwc(y+-24|0,530791)|0;y=(f[v>>2]|0)+-24|0;f[h>>2]=f[d+12>>2];Iwc(g,y,h);y=d+20|0;v=f[y>>2]|0;if(v>>>0<(f[d+24>>2]|0)>>>0){f[v>>2]=0;r=v+4|0;f[r>>2]=0;z=f[g+12>>2]|0;f[v+8>>2]=0;f[v+12>>2]=z;f[v>>2]=f[g>>2];z=g+4|0;f[r>>2]=f[z>>2];r=g+8|0;f[v+8>>2]=f[r>>2];f[r>>2]=0;f[z>>2]=0;f[g>>2]=0;f[y>>2]=(f[y>>2]|0)+16}else Jwc(p,g);fwc(g);P=B;break a;break}case 77:{B=Lwc(a,c,d)|0;if((B|0)==(a|0)){P=a;break a}y=f[d+4>>2]|0;if((f[d>>2]|0)==(y|0)){P=a;break a}f[h>>2]=f[d+12>>2];Iwc(g,y+-24|0,h);y=d+20|0;z=f[y>>2]|0;if(z>>>0<(f[d+24>>2]|0)>>>0){f[z>>2]=0;r=z+4|0;f[r>>2]=0;v=f[g+12>>2]|0;f[z+8>>2]=0;f[z+12>>2]=v;f[z>>2]=f[g>>2];v=g+4|0;f[r>>2]=f[v>>2];r=g+8|0;f[z+8>>2]=f[r>>2];f[r>>2]=0;f[v>>2]=0;f[g>>2]=0;f[y>>2]=(f[y>>2]|0)+16}else Jwc(p,g);fwc(g);P=B;break a;break}case 79:{B=d+4|0;y=((f[B>>2]|0)-(f[d>>2]|0)|0)/24|0;v=zwc(x,c,d)|0;r=((f[B>>2]|0)-(f[d>>2]|0)|0)/24|0;if((v|0)==(x|0)){P=a;break a}B=f[d+12>>2]|0;f[g>>2]=B;z=d+20|0;w=f[z>>2]|0;if(w>>>0<(f[d+24>>2]|0)>>>0){f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;f[w+12>>2]=B;f[z>>2]=(f[z>>2]|0)+16}else Bwc(p,g);B=g+11|0;w=g+4|0;t=y;while(1){if(t>>>0>=r>>>0){P=v;break a}Mwc(g,(f[d>>2]|0)+(t*24|0)+12|0,2);y=_jc(530802)|0;F=b[B>>0]|0;if((y|0)==((F<<24>>24<0?f[w>>2]|0:F&255)|0))Q=(Nwc(g,530802,y)|0)==0;else Q=0;vwc(g);y=f[d>>2]|0;if(!Q){F=y+(t*24|0)+12|0;if((b[F+11>>0]|0)<0)R=f[F>>2]|0;else R=F;if((b[R>>0]|0)==40){Dwc(y+(t*24|0)|0,530810)|0;Cwc((f[d>>2]|0)+(t*24|0)+12|0,0,530808)|0}}else{Dwc(y+(t*24|0)|0,530805)|0;Cwc((f[d>>2]|0)+(t*24|0)+12|0,0,530808)|0}Dwc((f[d>>2]|0)+(t*24|0)|0,530812)|0;y=f[z>>2]|0;F=(f[d>>2]|0)+(t*24|0)|0;J=y+-12|0;D=f[J>>2]|0;if((D|0)==(f[y+-8>>2]|0))Fwc(y+-16|0,F);else{Ewc(D,F);f[J>>2]=(f[J>>2]|0)+24}t=t+1|0}break}case 80:{t=d+4|0;z=((f[t>>2]|0)-(f[d>>2]|0)|0)/24|0;w=zwc(x,c,d)|0;B=((f[t>>2]|0)-(f[d>>2]|0)|0)/24|0;if((w|0)==(x|0)){P=a;break a}t=f[d+12>>2]|0;f[g>>2]=t;v=d+20|0;r=f[v>>2]|0;if(r>>>0<(f[d+24>>2]|0)>>>0){f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;f[r+12>>2]=t;f[v>>2]=(f[v>>2]|0)+16}else Bwc(p,g);t=g+11|0;r=g+4|0;J=g+11|0;F=g+4|0;D=z;while(1){if(D>>>0>=B>>>0){P=w;break a}Mwc(g,(f[d>>2]|0)+(D*24|0)+12|0,2);z=_jc(530802)|0;y=b[t>>0]|0;if((z|0)==((y<<24>>24<0?f[r>>2]|0:y&255)|0))S=(Nwc(g,530802,z)|0)==0;else S=0;vwc(g);z=f[d>>2]|0;if(!S){y=z+(D*24|0)+12|0;if((b[y+11>>0]|0)<0)T=f[y>>2]|0;else T=y;if((b[T>>0]|0)==40){Dwc(z+(D*24|0)|0,530810)|0;Cwc((f[d>>2]|0)+(D*24|0)+12|0,0,530808)|0}}else{Dwc(z+(D*24|0)|0,530805)|0;Cwc((f[d>>2]|0)+(D*24|0)+12|0,0,530808)|0}if((b[x>>0]|0)==85){Mwc(g,(f[d>>2]|0)+(D*24|0)|0,12);z=_jc(530815)|0;y=b[J>>0]|0;if((z|0)==((y<<24>>24<0?f[F>>2]|0:y&255)|0))U=(Nwc(g,530815,z)|0)!=0;else U=1;vwc(g);z=(f[d>>2]|0)+(D*24|0)|0;if(U){V=z;W=112}else Owc(z)}else{V=(f[d>>2]|0)+(D*24|0)|0;W=112}if((W|0)==112){W=0;Dwc(V,530828)|0}z=f[v>>2]|0;y=(f[d>>2]|0)+(D*24|0)|0;E=z+-12|0;G=f[E>>2]|0;if((G|0)==(f[z+-8>>2]|0))Fwc(z+-16|0,y);else{Ewc(G,y);f[E>>2]=(f[E>>2]|0)+24}D=D+1|0}break}case 82:{D=d+4|0;v=((f[D>>2]|0)-(f[d>>2]|0)|0)/24|0;F=zwc(x,c,d)|0;J=((f[D>>2]|0)-(f[d>>2]|0)|0)/24|0;if((F|0)==(x|0)){P=a;break a}D=f[d+12>>2]|0;f[g>>2]=D;r=d+20|0;t=f[r>>2]|0;if(t>>>0<(f[d+24>>2]|0)>>>0){f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;f[t+12>>2]=D;f[r>>2]=(f[r>>2]|0)+16}else Bwc(p,g);D=g+11|0;t=g+4|0;w=v;while(1){if(w>>>0>=J>>>0){P=F;break a}Mwc(g,(f[d>>2]|0)+(w*24|0)+12|0,2);v=_jc(530802)|0;B=b[D>>0]|0;if((v|0)==((B<<24>>24<0?f[t>>2]|0:B&255)|0))X=(Nwc(g,530802,v)|0)==0;else X=0;vwc(g);v=f[d>>2]|0;if(!X){B=v+(w*24|0)+12|0;if((b[B+11>>0]|0)<0)Y=f[B>>2]|0;else Y=B;if((b[Y>>0]|0)==40){Dwc(v+(w*24|0)|0,530810)|0;Cwc((f[d>>2]|0)+(w*24|0)+12|0,0,530808)|0}}else{Dwc(v+(w*24|0)|0,530805)|0;Cwc((f[d>>2]|0)+(w*24|0)+12|0,0,530808)|0}Dwc((f[d>>2]|0)+(w*24|0)|0,530830)|0;v=f[r>>2]|0;B=(f[d>>2]|0)+(w*24|0)|0;E=v+-12|0;y=f[E>>2]|0;if((y|0)==(f[v+-8>>2]|0))Fwc(v+-16|0,B);else{Ewc(y,B);f[E>>2]=(f[E>>2]|0)+24}w=w+1|0}break}case 84:{w=d+4|0;r=((f[w>>2]|0)-(f[d>>2]|0)|0)/24|0;t=Pwc(a,c,d)|0;D=((f[w>>2]|0)-(f[d>>2]|0)|0)/24|0;if((t|0)==(a|0)){P=a;break a}F=d+12|0;J=f[F>>2]|0;f[g>>2]=J;E=d+20|0;B=f[E>>2]|0;y=d+24|0;if(B>>>0<(f[y>>2]|0)>>>0){f[B>>2]=0;f[B+4>>2]=0;f[B+8>>2]=0;f[B+12>>2]=J;f[E>>2]=(f[E>>2]|0)+16}else Bwc(p,g);J=r;while(1){if(J>>>0>=D>>>0)break;B=f[E>>2]|0;v=(f[d>>2]|0)+(J*24|0)|0;G=B+-12|0;z=f[G>>2]|0;if((z|0)==(f[B+-8>>2]|0))Fwc(B+-16|0,v);else{Ewc(z,v);f[G>>2]=(f[G>>2]|0)+24}J=J+1|0}if(!((D|0)==(r+1|0)&(b[d+63>>0]|0)!=0)){P=t;break a}J=Qwc(t,c,d)|0;if((J|0)==(t|0)){P=t;break a}Rwc(g,(f[w>>2]|0)+-24|0);G=f[w>>2]|0;v=G+-24|0;z=G;while(1){if((z|0)==(v|0))break;B=z+-24|0;f[w>>2]=B;ewc(B);z=f[w>>2]|0}z=b[g+11>>0]|0;v=z<<24>>24<0;hwc(G+-48|0,v?f[g>>2]|0:g,v?f[g+4>>2]|0:z&255)|0;z=(f[w>>2]|0)+-24|0;f[i>>2]=f[F>>2];Iwc(h,z,i);z=f[E>>2]|0;if(z>>>0<(f[y>>2]|0)>>>0){f[z>>2]=0;v=z+4|0;f[v>>2]=0;t=f[h+12>>2]|0;f[z+8>>2]=0;f[z+12>>2]=t;f[z>>2]=f[h>>2];t=h+4|0;f[v>>2]=f[t>>2];v=h+8|0;f[z+8>>2]=f[v>>2];f[v>>2]=0;f[t>>2]=0;f[h>>2]=0;f[E>>2]=(f[E>>2]|0)+16}else Jwc(p,h);fwc(h);vwc(g);P=J;break a;break}case 85:{if(!s){P=a;break a}t=Swc(x,c,d)|0;if((t|0)==(x|0)){P=a;break a}v=zwc(t,c,d)|0;if((v|0)==(t|0)){P=a;break a}t=d+4|0;z=f[t>>2]|0;if(((z-(f[d>>2]|0)|0)/24|0)>>>0<2){P=a;break a}Rwc(g,z+-24|0);z=f[t>>2]|0;r=z+-24|0;D=z;while(1){if((D|0)==(r|0))break;B=D+-24|0;f[t>>2]=B;ewc(B);D=f[t>>2]|0}Mwc(h,z+-48|0,9);D=_jc(530832)|0;r=b[h+11>>0]|0;if((D|0)==((r<<24>>24<0?f[h+4>>2]|0:r&255)|0)){r=(Nwc(h,530832,D)|0)==0;vwc(h);if(r){Rwc(h,(f[t>>2]|0)+-24|0);r=f[t>>2]|0;D=r+-24|0;J=r;while(1){if((J|0)==(D|0))break;r=J+-24|0;f[t>>2]=r;ewc(r);J=f[t>>2]|0}J=h+11|0;D=b[J>>0]|0;z=D<<24>>24<0;r=f[h>>2]|0;E=Swc(z?r+9|0:h+9|0,(z?r:h)+(z?f[h+4>>2]|0:D&255)|0,d)|0;if((E|0)==(((b[J>>0]|0)<0?f[h>>2]|0:h)+9|0)){Twc(k,g,530842);E=b[J>>0]|0;J=E<<24>>24<0;hwc(k,J?f[h>>2]|0:h,J?f[h+4>>2]|0:E&255)|0;f[o>>2]=f[k>>2];f[o+4>>2]=f[k+4>>2];f[o+8>>2]=f[k+8>>2];E=0;while(1){if((E|0)==3)break;f[k+(E<<2)>>2]=0;E=E+1|0}Uwc(i,o);E=f[t>>2]|0;if(E>>>0<(f[d+8>>2]|0)>>>0){Wwc(E,i);f[t>>2]=(f[t>>2]|0)+24}else Xwc(d,i);ewc(i);vwc(o);vwc(k)}else{Twc(m,g,530844);Rwc(n,(f[t>>2]|0)+-24|0);E=b[n+11>>0]|0;J=E<<24>>24<0;hwc(m,J?f[n>>2]|0:n,J?f[n+4>>2]|0:E&255)|0;f[k>>2]=f[m>>2];f[k+4>>2]=f[m+4>>2];f[k+8>>2]=f[m+8>>2];E=0;while(1){if((E|0)==3)break;f[m+(E<<2)>>2]=0;E=E+1|0}Dwc(k,530846)|0;f[l>>2]=f[k>>2];f[l+4>>2]=f[k+4>>2];f[l+8>>2]=f[k+8>>2];E=0;while(1){if((E|0)==3)break;f[k+(E<<2)>>2]=0;E=E+1|0}Uwc(i,l);Vwc((f[t>>2]|0)+-24|0,i);ewc(i);vwc(l);vwc(k);vwc(n);vwc(m)}vwc(h)}else W=166}else{vwc(h);W=166}if((W|0)==166){Twc(i,g,530842);Rwc(k,(f[t>>2]|0)+-24|0);E=b[k+11>>0]|0;J=E<<24>>24<0;hwc(i,J?f[k>>2]|0:k,J?f[k+4>>2]|0:E&255)|0;f[j>>2]=f[i>>2];f[j+4>>2]=f[i+4>>2];f[j+8>>2]=f[i+8>>2];E=0;while(1){if((E|0)==3)break;f[i+(E<<2)>>2]=0;E=E+1|0}Uwc(h,j);Vwc((f[t>>2]|0)+-24|0,h);ewc(h);vwc(j);vwc(k);vwc(i)}E=(f[t>>2]|0)+-24|0;f[i>>2]=f[d+12>>2];Iwc(h,E,i);E=d+20|0;J=f[E>>2]|0;if(J>>>0<(f[d+24>>2]|0)>>>0){f[J>>2]=0;D=J+4|0;f[D>>2]=0;z=f[h+12>>2]|0;f[J+8>>2]=0;f[J+12>>2]=z;f[J>>2]=f[h>>2];z=h+4|0;f[D>>2]=f[z>>2];D=h+8|0;f[J+8>>2]=f[D>>2];f[D>>2]=0;f[z>>2]=0;f[h>>2]=0;f[E>>2]=(f[E>>2]|0)+16}else Jwc(p,h);fwc(h);vwc(g);P=v;break a;break}case 83:{if(s?(b[x>>0]|0)==116:0){E=Ywc(a,c,d)|0;if((E|0)==(a|0)){P=a;break a}z=f[d+4>>2]|0;if((f[d>>2]|0)==(z|0)){P=a;break a}f[h>>2]=f[d+12>>2];Iwc(g,z+-24|0,h);z=d+20|0;D=f[z>>2]|0;if(D>>>0<(f[d+24>>2]|0)>>>0){f[D>>2]=0;J=D+4|0;f[J>>2]=0;r=f[g+12>>2]|0;f[D+8>>2]=0;f[D+12>>2]=r;f[D>>2]=f[g>>2];r=g+4|0;f[J>>2]=f[r>>2];J=g+8|0;f[D+8>>2]=f[J>>2];f[J>>2]=0;f[r>>2]=0;f[g>>2]=0;f[z>>2]=(f[z>>2]|0)+16}else Jwc(p,g);fwc(g);P=E;break a}E=Zwc(a,c,d)|0;if((E|0)==(a|0)){P=a;break a}z=Qwc(E,c,d)|0;if((z|0)==(E|0)){P=E;break a}r=d+4|0;J=f[r>>2]|0;if(((J-(f[d>>2]|0)|0)/24|0)>>>0<2){P=E;break a}Rwc(g,J+-24|0);J=f[r>>2]|0;E=J+-24|0;D=J;while(1){if((D|0)==(E|0))break;y=D+-24|0;f[r>>2]=y;ewc(y);D=f[r>>2]|0}D=b[g+11>>0]|0;E=D<<24>>24<0;hwc(J+-48|0,E?f[g>>2]|0:g,E?f[g+4>>2]|0:D&255)|0;D=(f[r>>2]|0)+-24|0;f[i>>2]=f[d+12>>2];Iwc(h,D,i);D=d+20|0;E=f[D>>2]|0;if(E>>>0<(f[d+24>>2]|0)>>>0){f[E>>2]=0;v=E+4|0;f[v>>2]=0;t=f[h+12>>2]|0;f[E+8>>2]=0;f[E+12>>2]=t;f[E>>2]=f[h>>2];t=h+4|0;f[v>>2]=f[t>>2];v=h+8|0;f[E+8>>2]=f[v>>2];f[v>>2]=0;f[t>>2]=0;f[h>>2]=0;f[D>>2]=(f[D>>2]|0)+16}else Jwc(p,h);fwc(h);vwc(g);P=z;break a;break}case 68:{if(s)switch(b[x>>0]|0){case 112:{D=d+4|0;t=((f[D>>2]|0)-(f[d>>2]|0)|0)/24|0;v=a+2|0;E=zwc(v,c,d)|0;y=((f[D>>2]|0)-(f[d>>2]|0)|0)/24|0;if((E|0)==(v|0))break d;v=f[d+12>>2]|0;f[g>>2]=v;D=d+20|0;F=f[D>>2]|0;if(F>>>0<(f[d+24>>2]|0)>>>0){f[F>>2]=0;f[F+4>>2]=0;f[F+8>>2]=0;f[F+12>>2]=v;f[D>>2]=(f[D>>2]|0)+16}else Bwc(p,g);v=t;while(1){if(v>>>0>=y>>>0){P=E;break a}t=f[D>>2]|0;F=(f[d>>2]|0)+(v*24|0)|0;w=t+-12|0;G=f[w>>2]|0;if((G|0)==(f[t+-8>>2]|0))Fwc(t+-16|0,F);else{Ewc(G,F);f[w>>2]=(f[w>>2]|0)+24}v=v+1|0}break}case 84:case 116:{v=_wc(a,c,d)|0;if((v|0)==(a|0))break d;D=f[d+4>>2]|0;if((f[d>>2]|0)==(D|0)){P=a;break a}f[h>>2]=f[d+12>>2];Iwc(g,D+-24|0,h);D=d+20|0;E=f[D>>2]|0;if(E>>>0<(f[d+24>>2]|0)>>>0){f[E>>2]=0;y=E+4|0;f[y>>2]=0;z=f[g+12>>2]|0;f[E+8>>2]=0;f[E+12>>2]=z;f[E>>2]=f[g>>2];z=g+4|0;f[y>>2]=f[z>>2];y=g+8|0;f[E+8>>2]=f[y>>2];f[y>>2]=0;f[z>>2]=0;f[g>>2]=0;f[D>>2]=(f[D>>2]|0)+16}else Jwc(p,g);fwc(g);P=v;break a;break}case 118:{v=$wc(a,c,d)|0;if((v|0)==(a|0))break d;D=f[d+4>>2]|0;if((f[d>>2]|0)==(D|0)){P=a;break a}f[h>>2]=f[d+12>>2];Iwc(g,D+-24|0,h);D=d+20|0;z=f[D>>2]|0;if(z>>>0<(f[d+24>>2]|0)>>>0){f[z>>2]=0;y=z+4|0;f[y>>2]=0;E=f[g+12>>2]|0;f[z+8>>2]=0;f[z+12>>2]=E;f[z>>2]=f[g>>2];E=g+4|0;f[y>>2]=f[E>>2];y=g+8|0;f[z+8>>2]=f[y>>2];f[y>>2]=0;f[E>>2]=0;f[g>>2]=0;f[D>>2]=(f[D>>2]|0)+16}else Jwc(p,g);fwc(g);P=v;break a;break}default:break d}break}default:{}}while(0);x=Gwc(a,c,d)|0;if((x|0)==(a|0)){s=Ywc(a,c,d)|0;if((s|0)!=(a|0)?(v=f[d+4>>2]|0,(f[d>>2]|0)!=(v|0)):0){f[h>>2]=f[d+12>>2];Iwc(g,v+-24|0,h);v=d+20|0;D=f[v>>2]|0;if(D>>>0<(f[d+24>>2]|0)>>>0){f[D>>2]=0;E=D+4|0;f[E>>2]=0;y=f[g+12>>2]|0;f[D+8>>2]=0;f[D+12>>2]=y;f[D>>2]=f[g>>2];y=g+4|0;f[E>>2]=f[y>>2];E=g+8|0;f[D+8>>2]=f[E>>2];f[E>>2]=0;f[y>>2]=0;f[g>>2]=0;f[v>>2]=(f[v>>2]|0)+16}else Jwc(p,g);fwc(g);P=s}else P=a}else P=x}else P=q}else P=a;while(0);u=e;return P|0}function Awc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;f[d>>2]=0;if((a|0)!=(c|0)){c=b[a>>0]|0;if(c<<24>>24==114){f[d>>2]=4;e=a+1|0;g=e;h=4;i=b[e>>0]|0}else{g=a;h=0;i=c}if(i<<24>>24==86){c=h|2;f[d>>2]=c;e=g+1|0;j=e;k=b[e>>0]|0;l=c}else{j=g;k=i;l=h}if(k<<24>>24==75){f[d>>2]=l|1;m=j+1|0}else m=j}else m=a;return m|0}function Bwc(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=u;u=u+32|0;d=c;e=a+4|0;g=((f[e>>2]|0)-(f[a>>2]|0)>>4)+1|0;h=Fyc(a)|0;if(h>>>0<g>>>0)nsc(a);else{i=f[a>>2]|0;j=(f[a+8>>2]|0)-i|0;k=j>>3;Gyc(d,j>>4>>>0<h>>>1>>>0?(k>>>0<g>>>0?g:k):h,(f[e>>2]|0)-i>>4,a+12|0);i=d+8|0;e=f[i>>2]|0;f[e>>2]=0;f[e+4>>2]=0;h=f[b>>2]|0;f[e+8>>2]=0;f[e+12>>2]=h;f[i>>2]=e+16;Hyc(a,d);Iyc(d);u=c;return}}function Cwc(a,b,c){a=a|0;b=b|0;c=c|0;return Eyc(a,b,c,_jc(c)|0)|0}function Dwc(a,b){a=a|0;b=b|0;return hwc(a,b,_jc(b)|0)|0}function Ewc(a,b){a=a|0;b=b|0;_xc(a,b);_xc(a+12|0,b+12|0);return}function Fwc(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=u;u=u+32|0;d=c;e=a+4|0;g=(((f[e>>2]|0)-(f[a>>2]|0)|0)/24|0)+1|0;h=cyc(a)|0;if(h>>>0<g>>>0)nsc(a);else{i=f[a>>2]|0;j=((f[a+8>>2]|0)-i|0)/24|0;k=j<<1;dyc(d,j>>>0<h>>>1>>>0?(k>>>0<g>>>0?g:k):h,((f[e>>2]|0)-i|0)/24|0,a+12|0);i=d+8|0;e=f[i>>2]|0;Ewc(e,b);f[i>>2]=e+24;eyc(a,d);fyc(d);u=c;return}}function Gwc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0;e=u;u=u+32|0;g=e;a:do if((a|0)==(c|0))h=a;else{i=a+1|0;do switch(b[a>>0]|0){case 118:{jyc(g,532247);j=d+4|0;k=f[j>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){Wwc(k,g);f[j>>2]=(f[j>>2]|0)+24}else Xwc(d,g);ewc(g);h=i;break a;break}case 119:{Myc(g);j=d+4|0;k=f[j>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){Wwc(k,g);f[j>>2]=(f[j>>2]|0)+24}else Xwc(d,g);ewc(g);h=i;break a;break}case 98:{jyc(g,532252);j=d+4|0;k=f[j>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){Wwc(k,g);f[j>>2]=(f[j>>2]|0)+24}else Xwc(d,g);ewc(g);h=i;break a;break}case 99:{jyc(g,532021);j=d+4|0;k=f[j>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){Wwc(k,g);f[j>>2]=(f[j>>2]|0)+24}else Xwc(d,g);ewc(g);h=i;break a;break}case 97:{Sxc(g,532026);j=d+4|0;k=f[j>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){Wwc(k,g);f[j>>2]=(f[j>>2]|0)+24}else Xwc(d,g);ewc(g);h=i;break a;break}case 104:{nyc(g,532038);j=d+4|0;k=f[j>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){Wwc(k,g);f[j>>2]=(f[j>>2]|0)+24}else Xwc(d,g);ewc(g);h=i;break a;break}case 115:{Cxc(g,532052);j=d+4|0;k=f[j>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){Wwc(k,g);f[j>>2]=(f[j>>2]|0)+24}else Xwc(d,g);ewc(g);h=i;break a;break}case 116:{Txc(g,532058);j=d+4|0;k=f[j>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){Wwc(k,g);f[j>>2]=(f[j>>2]|0)+24}else Xwc(d,g);ewc(g);h=i;break a;break}case 105:{Nyc(g,532257);j=d+4|0;k=f[j>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){Wwc(k,g);f[j>>2]=(f[j>>2]|0)+24}else Xwc(d,g);ewc(g);h=i;break a;break}case 106:{Uxc(g,532261);j=d+4|0;k=f[j>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){Wwc(k,g);f[j>>2]=(f[j>>2]|0)+24}else Xwc(d,g);ewc(g);h=i;break a;break}case 108:{jyc(g,532274);j=d+4|0;k=f[j>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){Wwc(k,g);f[j>>2]=(f[j>>2]|0)+24}else Xwc(d,g);ewc(g);h=i;break a;break}case 109:{nyc(g,532279);j=d+4|0;k=f[j>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){Wwc(k,g);f[j>>2]=(f[j>>2]|0)+24}else Xwc(d,g);ewc(g);h=i;break a;break}case 120:{Pxc(g,532293);j=d+4|0;k=f[j>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){Wwc(k,g);f[j>>2]=(f[j>>2]|0)+24}else Xwc(d,g);ewc(g);h=i;break a;break}case 121:{Oyc(g);j=d+4|0;k=f[j>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){Wwc(k,g);f[j>>2]=(f[j>>2]|0)+24}else Xwc(d,g);ewc(g);h=i;break a;break}case 110:{Pyc(g,532087);j=d+4|0;k=f[j>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){Wwc(k,g);f[j>>2]=(f[j>>2]|0)+24}else Xwc(d,g);ewc(g);h=i;break a;break}case 111:{Qxc(g,532096);j=d+4|0;k=f[j>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){Wwc(k,g);f[j>>2]=(f[j>>2]|0)+24}else Xwc(d,g);ewc(g);h=i;break a;break}case 102:{Cxc(g,532303);j=d+4|0;k=f[j>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){Wwc(k,g);f[j>>2]=(f[j>>2]|0)+24}else Xwc(d,g);ewc(g);h=i;break a;break}case 100:{Qyc(g);j=d+4|0;k=f[j>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){Wwc(k,g);f[j>>2]=(f[j>>2]|0)+24}else Xwc(d,g);ewc(g);h=i;break a;break}case 101:{Sxc(g,532309);j=d+4|0;k=f[j>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){Wwc(k,g);f[j>>2]=(f[j>>2]|0)+24}else Xwc(d,g);ewc(g);h=i;break a;break}case 103:{Oxc(g,532321);j=d+4|0;k=f[j>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){Wwc(k,g);f[j>>2]=(f[j>>2]|0)+24}else Xwc(d,g);ewc(g);h=i;break a;break}case 122:{Nyc(g,532332);j=d+4|0;k=f[j>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){Wwc(k,g);f[j>>2]=(f[j>>2]|0)+24}else Xwc(d,g);ewc(g);h=i;break a;break}case 117:{j=Swc(i,c,d)|0;h=(j|0)==(i|0)?a:j;break a;break}case 68:{if((i|0)==(c|0)){h=a;break a}j=a+2|0;switch(b[i>>0]|0){case 100:{Pxc(g,532336);k=d+4|0;l=f[k>>2]|0;if(l>>>0<(f[d+8>>2]|0)>>>0){Wwc(l,g);f[k>>2]=(f[k>>2]|0)+24}else Xwc(d,g);ewc(g);h=j;break a;break}case 101:{Oxc(g,532346);k=d+4|0;l=f[k>>2]|0;if(l>>>0<(f[d+8>>2]|0)>>>0){Wwc(l,g);f[k>>2]=(f[k>>2]|0)+24}else Xwc(d,g);ewc(g);h=j;break a;break}case 102:{Pxc(g,532357);k=d+4|0;l=f[k>>2]|0;if(l>>>0<(f[d+8>>2]|0)>>>0){Wwc(l,g);f[k>>2]=(f[k>>2]|0)+24}else Xwc(d,g);ewc(g);h=j;break a;break}case 104:{Pxc(g,532367);k=d+4|0;l=f[k>>2]|0;if(l>>>0<(f[d+8>>2]|0)>>>0){Wwc(l,g);f[k>>2]=(f[k>>2]|0)+24}else Xwc(d,g);ewc(g);h=j;break a;break}case 105:{Pyc(g,532377);k=d+4|0;l=f[k>>2]|0;if(l>>>0<(f[d+8>>2]|0)>>>0){Wwc(l,g);f[k>>2]=(f[k>>2]|0)+24}else Xwc(d,g);ewc(g);h=j;break a;break}case 115:{Pyc(g,532386);k=d+4|0;l=f[k>>2]|0;if(l>>>0<(f[d+8>>2]|0)>>>0){Wwc(l,g);f[k>>2]=(f[k>>2]|0)+24}else Xwc(d,g);ewc(g);h=j;break a;break}case 97:{jyc(g,532395);k=d+4|0;l=f[k>>2]|0;if(l>>>0<(f[d+8>>2]|0)>>>0){Wwc(l,g);f[k>>2]=(f[k>>2]|0)+24}else Xwc(d,g);ewc(g);h=j;break a;break}case 110:{Txc(g,532400);k=d+4|0;l=f[k>>2]|0;if(l>>>0<(f[d+8>>2]|0)>>>0){Wwc(l,g);f[k>>2]=(f[k>>2]|0)+24}else Xwc(d,g);ewc(g);h=j;break a;break}default:{h=a;break a}}break}default:{h=a;break a}}while(0)}while(0);u=e;return h|0}function Hwc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;e=u;u=u+112|0;g=e+96|0;h=e+72|0;i=e+48|0;j=e+36|0;k=e+24|0;l=e+12|0;m=e;do if(((a|0)!=(c|0)?(b[a>>0]|0)==65:0)?(n=a+1|0,(n|0)!=(c|0)):0){o=b[n>>0]|0;if(o<<24>>24==95){p=a+2|0;q=zwc(p,c,d)|0;if((q|0)==(p|0)){r=a;break}p=d+4|0;s=f[p>>2]|0;if((f[d>>2]|0)==(s|0)){r=a;break}Mwc(g,s+-12|0,2);s=_jc(530802)|0;t=b[g+11>>0]|0;if((s|0)==((t<<24>>24<0?f[g+4>>2]|0:t&255)|0)){t=(Nwc(g,530802,s)|0)==0;vwc(g);if(t)Lyc((f[p>>2]|0)+-12|0)}else vwc(g);Cwc((f[p>>2]|0)+-12|0,0,532243)|0;r=q;break}if((o+-49&255)<9){o=axc(n,c)|0;if((o|0)==(c|0)){r=a;break}if((b[o>>0]|0)!=95){r=a;break}q=o+1|0;p=zwc(q,c,d)|0;if((p|0)==(q|0)){r=a;break}q=d+4|0;t=f[q>>2]|0;if((f[d>>2]|0)==(t|0)){r=a;break}Mwc(g,t+-12|0,2);t=_jc(530802)|0;s=b[g+11>>0]|0;if((t|0)==((s<<24>>24<0?f[g+4>>2]|0:s&255)|0)){s=(Nwc(g,530802,t)|0)==0;vwc(g);if(s)Lyc((f[q>>2]|0)+-12|0)}else vwc(g);s=(f[q>>2]|0)+-12|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;q=o-n|0;if(q>>>0>4294967279)muc(j);if(q>>>0<11){b[j+11>>0]=q;v=j}else{t=q+16&-16;w=swc(t)|0;f[j>>2]=w;f[j+8>>2]=t|-2147483648;f[j+4>>2]=q;v=w}w=n;t=v;while(1){if((w|0)==(o|0))break;$jc(t,w);w=w+1|0;t=t+1|0}b[g>>0]=0;$jc(v+q|0,g);Cwc(j,0,530802)|0;f[i>>2]=f[j>>2];f[i+4>>2]=f[j+4>>2];f[i+8>>2]=f[j+8>>2];t=0;while(1){if((t|0)==3)break;f[j+(t<<2)>>2]=0;t=t+1|0}Dwc(i,530857)|0;f[h>>2]=f[i>>2];f[h+4>>2]=f[i+4>>2];f[h+8>>2]=f[i+8>>2];t=0;while(1){if((t|0)==3)break;f[i+(t<<2)>>2]=0;t=t+1|0}t=b[h+11>>0]|0;q=t<<24>>24<0;Eyc(s,0,q?f[h>>2]|0:h,q?f[h+4>>2]|0:t&255)|0;vwc(h);vwc(i);vwc(j);r=p;break}t=bxc(n,c,d)|0;if(((!((t|0)==(n|0)|(t|0)==(c|0))?(b[t>>0]|0)==95:0)?(q=t+1|0,t=zwc(q,c,d)|0,(t|0)!=(q|0)):0)?(q=d+4|0,w=f[q>>2]|0,((w-(f[d>>2]|0)|0)/24|0)>>>0>=2):0){Wwc(h,w+-24|0);w=f[q>>2]|0;o=w+-24|0;x=w;while(1){if((x|0)==(o|0))break;y=x+-24|0;f[q>>2]=y;ewc(y);x=f[q>>2]|0}Wwc(i,w+-48|0);x=f[q>>2]|0;o=x+-24|0;n=o+11|0;if((b[n>>0]|0)<0){p=f[o>>2]|0;b[g>>0]=0;$jc(p,g);f[x+-20>>2]=0}else{b[g>>0]=0;$jc(o,g);b[n>>0]=0}cxc(o);f[o>>2]=f[h>>2];f[o+4>>2]=f[h+4>>2];f[o+8>>2]=f[h+8>>2];o=0;while(1){if((o|0)==3)break;f[h+(o<<2)>>2]=0;o=o+1|0}o=h+12|0;Mwc(g,o,2);w=_jc(530802)|0;n=b[g+11>>0]|0;if((w|0)==((n<<24>>24<0?f[g+4>>2]|0:n&255)|0)){n=(Nwc(g,530802,w)|0)==0;vwc(g);if(n)Lyc(o)}else vwc(g);Rwc(m,i);Cwc(m,0,530802)|0;f[l>>2]=f[m>>2];f[l+4>>2]=f[m+4>>2];f[l+8>>2]=f[m+8>>2];n=0;while(1){if((n|0)==3)break;f[m+(n<<2)>>2]=0;n=n+1|0}Dwc(l,530857)|0;f[k>>2]=f[l>>2];f[k+4>>2]=f[l+4>>2];f[k+8>>2]=f[l+8>>2];n=0;while(1){if((n|0)==3)break;f[l+(n<<2)>>2]=0;n=n+1|0}n=b[o+11>>0]|0;w=n<<24>>24<0;hwc(k,w?f[o>>2]|0:o,w?f[h+16>>2]|0:n&255)|0;f[j>>2]=f[k>>2];f[j+4>>2]=f[k+4>>2];f[j+8>>2]=f[k+8>>2];n=0;while(1){if((n|0)==3)break;f[k+(n<<2)>>2]=0;n=n+1|0}n=f[q>>2]|0;o=n+-12|0;w=o+11|0;if((b[w>>0]|0)<0){x=f[o>>2]|0;b[g>>0]=0;$jc(x,g);f[n+-8>>2]=0}else{b[g>>0]=0;$jc(o,g);b[w>>0]=0}cxc(o);f[o>>2]=f[j>>2];f[o+4>>2]=f[j+4>>2];f[o+8>>2]=f[j+8>>2];o=0;while(1){if((o|0)==3)break;f[j+(o<<2)>>2]=0;o=o+1|0}vwc(j);vwc(k);vwc(l);vwc(m);ewc(i);ewc(h);r=t}else r=a}else r=a;while(0);u=e;return r|0}function Iwc(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;f[a>>2]=0;d=a+4|0;f[d>>2]=0;e=f[c>>2]|0;f[a+8>>2]=0;f[a+12>>2]=e;Kyc(a);Ewc(f[d>>2]|0,b);f[d>>2]=(f[d>>2]|0)+24;return}function Jwc(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=u;u=u+32|0;d=c;e=a+4|0;g=((f[e>>2]|0)-(f[a>>2]|0)>>4)+1|0;h=Fyc(a)|0;if(h>>>0<g>>>0)nsc(a);else{i=f[a>>2]|0;j=(f[a+8>>2]|0)-i|0;k=j>>3;Gyc(d,j>>4>>>0<h>>>1>>>0?(k>>>0<g>>>0?g:k):h,(f[e>>2]|0)-i>>4,a+12|0);i=d+8|0;e=f[i>>2]|0;f[e>>2]=0;h=e+4|0;f[h>>2]=0;k=f[b+12>>2]|0;f[e+8>>2]=0;f[e+12>>2]=k;f[e>>2]=f[b>>2];k=b+4|0;f[h>>2]=f[k>>2];h=b+8|0;f[e+8>>2]=f[h>>2];f[h>>2]=0;f[k>>2]=0;f[b>>2]=0;f[i>>2]=e+16;Hyc(a,d);Iyc(d);u=c;return}}function Kwc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;e=u;u=u+32|0;g=e+12|0;h=e;a:do if(((a|0)!=(c|0)?(b[a>>0]|0)==70:0)?(i=a+1|0,(i|0)!=(c|0)):0){if((b[i>>0]|0)==89){j=a+2|0;if((j|0)==(c|0)){k=a;break}else l=j}else l=i;i=zwc(l,c,d)|0;if((i|0)!=(l|0)){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;j=_jc(530810)|0;if(j>>>0>4294967279)muc(h);if(j>>>0<11){m=h+11|0;b[m>>0]=j;n=h;o=m;p=h+4|0}else{m=j+16&-16;q=swc(m)|0;f[h>>2]=q;f[h+8>>2]=m|-2147483648;m=h+4|0;f[m>>2]=j;n=q;o=h+11|0;p=m}fjc(n,530810,j)|0;b[g>>0]=0;$jc(n+j|0,g);j=d+4|0;m=g+11|0;q=g+4|0;r=0;s=i;b:while(1){i=s;c:while(1){if((i|0)==(c|0)){t=15;break b}v=b[i>>0]|0;w=i+1|0;switch(v<<24>>24){case 69:{t=19;break b;break}case 118:{i=w;continue c;break}default:{}}x=(w|0)==(c|0);if(!(x|v<<24>>24!=82)?(b[w>>0]|0)==69:0){r=1;s=w;continue b}if(!(x|v<<24>>24!=79)?(b[w>>0]|0)==69:0){r=2;s=w;continue b}v=((f[j>>2]|0)-(f[d>>2]|0)|0)/24|0;x=zwc(i,c,d)|0;y=((f[j>>2]|0)-(f[d>>2]|0)|0)/24|0;if((x|0)==(i|0)|(x|0)==(c|0))break b;else z=v;while(1){if(z>>>0>=y>>>0){A=v;break}B=b[o>>0]|0;if((B<<24>>24<0?f[p>>2]|0:B&255)>>>0>1)Dwc(h,531032)|0;Rwc(g,(f[d>>2]|0)+(z*24|0)|0);B=b[m>>0]|0;C=B<<24>>24<0;hwc(h,C?f[g>>2]|0:g,C?f[q>>2]|0:B&255)|0;vwc(g);z=z+1|0}while(1){if(A>>>0>=y>>>0){i=x;continue c}v=f[j>>2]|0;B=v+-24|0;C=v;while(1){if((C|0)==(B|0))break;v=C+-24|0;f[j>>2]=v;ewc(v);C=f[j>>2]|0}A=A+1|0}}}d:do if((t|0)==15){q=f[j>>2]|0;m=q+-24|0;s=q;while(1){if((s|0)==(m|0))break d;q=s+-24|0;f[j>>2]=q;ewc(q);s=f[j>>2]|0}}else if((t|0)==19){Dwc(h,530808)|0;switch(r&3){case 1:{Dwc(h,532236)|0;break}case 2:{Dwc(h,532239)|0;break}default:{}}s=f[j>>2]|0;if((f[d>>2]|0)!=(s|0)){Dwc(s+-24|0,530842)|0;s=b[o>>0]|0;m=s<<24>>24<0;Eyc((f[j>>2]|0)+-12|0,0,m?f[h>>2]|0:h,m?f[p>>2]|0:s&255)|0;vwc(h);k=w;break a}}while(0);vwc(h);k=a}else k=a}else k=a;while(0);u=e;return k|0}function Lwc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;e=u;u=u+112|0;g=e+96|0;h=e+72|0;i=e+48|0;j=e+36|0;k=e+24|0;l=e+12|0;m=e;if(((((a|0)!=(c|0)?(b[a>>0]|0)==77:0)?(n=a+1|0,o=zwc(n,c,d)|0,(o|0)!=(n|0)):0)?(n=zwc(o,c,d)|0,(n|0)!=(o|0)):0)?(o=d+4|0,c=f[o>>2]|0,((c-(f[d>>2]|0)|0)/24|0)>>>0>=2):0){Wwc(h,c+-24|0);c=f[o>>2]|0;d=c+-24|0;p=c;while(1){if((p|0)==(d|0))break;q=p+-24|0;f[o>>2]=q;ewc(q);p=f[o>>2]|0}Wwc(i,c+-48|0);c=h+12|0;a:do if((b[((b[c+11>>0]|0)<0?f[c>>2]|0:c)>>0]|0)==40){Dwc(h,530810)|0;f[l>>2]=f[h>>2];f[l+4>>2]=f[h+4>>2];f[l+8>>2]=f[h+8>>2];p=0;while(1){if((p|0)==3)break;f[h+(p<<2)>>2]=0;p=p+1|0}Rwc(m,i);p=b[m+11>>0]|0;d=p<<24>>24<0;hwc(l,d?f[m>>2]|0:m,d?f[m+4>>2]|0:p&255)|0;f[k>>2]=f[l>>2];f[k+4>>2]=f[l+4>>2];f[k+8>>2]=f[l+8>>2];p=0;while(1){if((p|0)==3)break;f[l+(p<<2)>>2]=0;p=p+1|0}Dwc(k,532232)|0;f[j>>2]=f[k>>2];f[j+4>>2]=f[k+4>>2];f[j+8>>2]=f[k+8>>2];p=0;while(1){if((p|0)==3)break;f[k+(p<<2)>>2]=0;p=p+1|0}p=f[o>>2]|0;d=p+-24|0;q=d+11|0;if((b[q>>0]|0)<0){r=f[d>>2]|0;b[g>>0]=0;$jc(r,g);f[p+-20>>2]=0}else{b[g>>0]=0;$jc(d,g);b[q>>0]=0}cxc(d);f[d>>2]=f[j>>2];f[d+4>>2]=f[j+4>>2];f[d+8>>2]=f[j+8>>2];d=0;while(1){if((d|0)==3)break;f[j+(d<<2)>>2]=0;d=d+1|0}vwc(j);vwc(k);vwc(m);vwc(l);Cwc(c,0,530808)|0;f[j>>2]=f[c>>2];f[j+4>>2]=f[c+4>>2];f[j+8>>2]=f[c+8>>2];d=0;while(1){if((d|0)==3)break;f[c+(d<<2)>>2]=0;d=d+1|0}d=f[o>>2]|0;q=d+-12|0;p=q+11|0;if((b[p>>0]|0)<0){r=f[q>>2]|0;b[g>>0]=0;$jc(r,g);f[d+-8>>2]=0}else{b[g>>0]=0;$jc(q,g);b[p>>0]=0}cxc(q);f[q>>2]=f[j>>2];f[q+4>>2]=f[j+4>>2];f[q+8>>2]=f[j+8>>2];q=0;while(1){if((q|0)==3)break;f[j+(q<<2)>>2]=0;q=q+1|0}vwc(j)}else{Dwc(h,530842)|0;f[l>>2]=f[h>>2];f[l+4>>2]=f[h+4>>2];f[l+8>>2]=f[h+8>>2];q=0;while(1){if((q|0)==3)break;f[h+(q<<2)>>2]=0;q=q+1|0}Rwc(m,i);q=b[m+11>>0]|0;p=q<<24>>24<0;hwc(l,p?f[m>>2]|0:m,p?f[m+4>>2]|0:q&255)|0;f[k>>2]=f[l>>2];f[k+4>>2]=f[l+4>>2];f[k+8>>2]=f[l+8>>2];q=0;while(1){if((q|0)==3)break;f[l+(q<<2)>>2]=0;q=q+1|0}Dwc(k,532232)|0;f[j>>2]=f[k>>2];f[j+4>>2]=f[k+4>>2];f[j+8>>2]=f[k+8>>2];q=0;while(1){if((q|0)==3)break;f[k+(q<<2)>>2]=0;q=q+1|0}q=f[o>>2]|0;p=q+-24|0;d=p+11|0;if((b[d>>0]|0)<0){r=f[p>>2]|0;b[g>>0]=0;$jc(r,g);f[q+-20>>2]=0}else{b[g>>0]=0;$jc(p,g);b[d>>0]=0}cxc(p);f[p>>2]=f[j>>2];f[p+4>>2]=f[j+4>>2];f[p+8>>2]=f[j+8>>2];p=0;while(1){if((p|0)==3)break;f[j+(p<<2)>>2]=0;p=p+1|0}vwc(j);vwc(k);vwc(m);vwc(l);p=f[o>>2]|0;d=p+-12|0;q=d+11|0;if((b[q>>0]|0)<0){r=f[d>>2]|0;b[g>>0]=0;$jc(r,g);f[p+-8>>2]=0}else{b[g>>0]=0;$jc(d,g);b[q>>0]=0}cxc(d);f[d>>2]=f[c>>2];f[d+4>>2]=f[c+4>>2];f[d+8>>2]=f[c+8>>2];d=0;while(1){if((d|0)==3)break a;f[c+(d<<2)>>2]=0;d=d+1|0}}while(0);ewc(i);ewc(h);s=n}else s=a;u=e;return s|0}function Mwc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0;e=u;u=u+16|0;g=e;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;h=b[c+11>>0]|0;i=h<<24>>24<0;j=i?f[c+4>>2]|0:h&255;h=i?f[c>>2]|0:c;c=j>>>0<d>>>0?j:d;if(c>>>0>4294967279)muc(a);if(c>>>0<11){b[a+11>>0]=c;k=a}else{d=c+16&-16;j=swc(d)|0;f[a>>2]=j;f[a+8>>2]=d|-2147483648;f[a+4>>2]=c;k=j}fjc(k,h,c)|0;b[g>>0]=0;$jc(k+c|0,g);u=e;return}function Nwc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0;e=b[a+11>>0]|0;g=e<<24>>24<0;if(g)h=f[a+4>>2]|0;else h=e&255;if((d|0)==-1)nuc(a);if(g)i=f[a>>2]|0;else i=a;a=h>>>0>d>>>0;g=Ptc(i,c,a?d:h)|0;if(!g)return (h>>>0<d>>>0?-1:a&1)|0;else return g|0;return 0}function Owc(a){a=a|0;Dyc(a,_jc(532229)|0);return}function Pwc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;e=u;u=u+64|0;g=e+40|0;h=e;i=e+24|0;j=a;a:do if((c-j|0)>1?(b[a>>0]|0)==84:0){k=b[a+1>>0]|0;l=d+62|0;m=d+32|0;if(k<<24>>24==95){n=f[d+36>>2]|0;if((f[m>>2]|0)==(n|0)){o=a;break}p=f[n+-16>>2]|0;q=a+2|0;if((p|0)==(f[n+-12>>2]|0)){Cyc(g);n=d+4|0;r=f[n>>2]|0;if(r>>>0<(f[d+8>>2]|0)>>>0){Wwc(r,g);f[n>>2]=(f[n>>2]|0)+24}else Xwc(d,g);ewc(g);b[l>>0]=1;o=q;break}n=f[p+4>>2]|0;r=d+4|0;s=d+8|0;t=f[p>>2]|0;while(1){if((t|0)==(n|0)){o=q;break a}p=f[r>>2]|0;if((p|0)==(f[s>>2]|0))Fwc(d,t);else{Ewc(p,t);f[r>>2]=(f[r>>2]|0)+24}t=t+24|0}}t=(k<<24>>24)+-48|0;if(t>>>0<10){r=t;t=a+2|0;while(1){v=t+1|0;if((t|0)==(c|0)){o=a;break a}w=b[t>>0]|0;s=(w<<24>>24)+-48|0;if(s>>>0>=10)break;r=s+(r*10|0)|0;t=v}if(w<<24>>24==95?(t=f[d+36>>2]|0,(f[m>>2]|0)!=(t|0)):0){k=r+1|0;s=f[t+-16>>2]|0;q=s;if(k>>>0<(f[t+-12>>2]|0)-s>>4>>>0){s=f[q+(k<<4)+4>>2]|0;t=d+4|0;n=d+8|0;p=f[q+(k<<4)>>2]|0;while(1){if((p|0)==(s|0)){o=v;break a}k=f[t>>2]|0;if((k|0)==(f[n>>2]|0))Fwc(d,p);else{Ewc(k,p);f[t>>2]=(f[t>>2]|0)+24}p=p+24|0}};f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;p=v-j|0;if(p>>>0>4294967279)muc(i);if(p>>>0<11){b[i+11>>0]=p;x=i}else{t=p+16&-16;n=swc(t)|0;f[i>>2]=n;f[i+8>>2]=t|-2147483648;f[i+4>>2]=p;x=n}n=a;t=x;while(1){if((n|0)==(v|0))break;$jc(t,n);n=n+1|0;t=t+1|0}b[g>>0]=0;$jc(x+p|0,g);Uwc(h,i);t=d+4|0;n=f[t>>2]|0;if(n>>>0<(f[d+8>>2]|0)>>>0){Wwc(n,h);f[t>>2]=(f[t>>2]|0)+24}else Xwc(d,h);ewc(h);vwc(i);b[l>>0]=1;o=v}else o=a}else o=a}else o=a;while(0);u=e;return o|0}function Qwc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;e=u;u=u+64|0;g=e+32|0;h=e+16|0;i=e;j=e+4|0;do if((c-a|0)>1?(b[a>>0]|0)==73:0){k=d+61|0;l=d+32|0;a:do if(b[k>>0]|0){m=f[d+36>>2]|0;n=f[m+-16>>2]|0;o=m+-12|0;while(1){m=f[o>>2]|0;if((m|0)==(n|0))break a;p=m+-16|0;f[o>>2]=p;fwc(p)}}while(0);f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;o=_jc(530844)|0;if(o>>>0>4294967279)muc(h);if(o>>>0<11){n=h+11|0;b[n>>0]=o;q=h;r=n;s=h+4|0}else{n=o+16&-16;p=swc(n)|0;f[h>>2]=p;f[h+8>>2]=n|-2147483648;n=h+4|0;f[n>>2]=o;q=p;r=h+11|0;s=n}fjc(q,530844,o)|0;b[g>>0]=0;$jc(q+o|0,g);o=d+4|0;n=d+36|0;p=d+12|0;m=g+11|0;t=g+4|0;v=d+40|0;w=a+1|0;b:while(1){if((b[w>>0]|0)==69)break;if(b[k>>0]|0){f[i>>2]=f[p>>2];x=f[n>>2]|0;if(x>>>0<(f[v>>2]|0)>>>0){uyc(g,i);f[x>>2]=0;f[x+4>>2]=0;y=f[g>>2]|0;f[x+8>>2]=0;f[x+12>>2]=y;f[n>>2]=(f[n>>2]|0)+16}else vyc(l,i)}y=((f[o>>2]|0)-(f[d>>2]|0)|0)/24|0;x=wyc(w,c,d)|0;z=((f[o>>2]|0)-(f[d>>2]|0)|0)/24|0;c:do if(b[k>>0]|0){A=f[n>>2]|0;B=A+-16|0;C=A;while(1){if((C|0)==(B|0))break c;A=C+-16|0;f[n>>2]=A;lwc(A);C=f[n>>2]|0}}while(0);if((x|0)==(w|0)|(x|0)==(c|0)){D=53;break}d:do if(!(b[k>>0]|0))E=y;else{C=f[n>>2]|0;B=f[p>>2]|0;f[g>>2]=B;A=C+-12|0;F=f[A>>2]|0;if(F>>>0<(f[C+-8>>2]|0)>>>0){f[F>>2]=0;f[F+4>>2]=0;f[F+8>>2]=0;f[F+12>>2]=B;f[A>>2]=(f[A>>2]|0)+16}else Bwc(C+-16|0,g);C=y;while(1){if(C>>>0>=z>>>0){E=y;break d}A=f[(f[n>>2]|0)+-12>>2]|0;B=(f[d>>2]|0)+(C*24|0)|0;F=A+-12|0;G=f[F>>2]|0;if((G|0)==(f[A+-8>>2]|0))Fwc(A+-16|0,B);else{Ewc(G,B);f[F>>2]=(f[F>>2]|0)+24}C=C+1|0}}while(0);while(1){if(E>>>0>=z>>>0){H=z;break}C=b[r>>0]|0;if((C<<24>>24<0?f[s>>2]|0:C&255)>>>0>1)Dwc(h,531032)|0;Rwc(g,(f[d>>2]|0)+(E*24|0)|0);C=b[m>>0]|0;F=C<<24>>24<0;hwc(h,F?f[g>>2]|0:g,F?f[t>>2]|0:C&255)|0;vwc(g);E=E+1|0}while(1){if((H|0)==(y|0)){w=x;continue b}z=f[o>>2]|0;C=z+-24|0;F=z;while(1){if((F|0)==(C|0))break;z=F+-24|0;f[o>>2]=z;ewc(z);F=f[o>>2]|0}H=H+-1|0}}if((D|0)==53){vwc(h);I=a;break}t=w+1|0;m=b[r>>0]|0;n=m<<24>>24<0;if((b[(n?f[h>>2]|0:h)+(n?f[s>>2]|0:m&255)+-1>>0]|0)==62)Dwc(h,532223)|0;else Dwc(h,530846)|0;f[j>>2]=f[h>>2];f[j+4>>2]=f[h+4>>2];f[j+8>>2]=f[h+8>>2];m=0;while(1){if((m|0)==3)break;f[h+(m<<2)>>2]=0;m=m+1|0}Uwc(g,j);m=f[o>>2]|0;if(m>>>0<(f[d+8>>2]|0)>>>0){Wwc(m,g);f[o>>2]=(f[o>>2]|0)+24}else Xwc(d,g);ewc(g);vwc(j);vwc(h);I=t}else I=a;while(0);u=e;return I|0}function Rwc(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;d=c+12|0;e=b[d+11>>0]|0;g=e<<24>>24<0;hwc(c,g?f[d>>2]|0:d,g?f[c+16>>2]|0:e&255)|0;f[a>>2]=f[c>>2];f[a+4>>2]=f[c+4>>2];f[a+8>>2]=f[c+8>>2];a=0;while(1){if((a|0)==3)break;f[c+(a<<2)>>2]=0;a=a+1|0}return}function Swc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;e=u;u=u+48|0;g=e+24|0;h=e+12|0;i=e;a:do if(((a|0)!=(c|0)?(j=(b[a>>0]|0)+-48|0,j>>>0<10):0)?(k=a+1|0,(k|0)!=(c|0)):0){l=j;j=k;while(1){k=(b[j>>0]|0)+-48|0;if(k>>>0>=10)break;m=j+1|0;if((m|0)==(c|0)){n=a;break a}l=k+(l*10|0)|0;j=m}if((c-j|0)>>>0>=l>>>0){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;if(l>>>0>4294967279)muc(h);if(l>>>0<11){b[h+11>>0]=l;o=h}else{m=l+16&-16;k=swc(m)|0;f[h>>2]=k;f[h+8>>2]=m|-2147483648;f[h+4>>2]=l;o=k}fjc(o,j,l)|0;b[g>>0]=0;$jc(o+l|0,g);Mwc(g,h,10);k=_jc(532190)|0;m=b[g+11>>0]|0;if((k|0)==((m<<24>>24<0?f[g+4>>2]|0:m&255)|0))p=(Nwc(g,532190,k)|0)==0;else p=0;vwc(g);if(p){tyc(g);k=d+4|0;m=f[k>>2]|0;if(m>>>0<(f[d+8>>2]|0)>>>0){Wwc(m,g);f[k>>2]=(f[k>>2]|0)+24}else Xwc(d,g);ewc(g)}else{f[i>>2]=f[h>>2];f[i+4>>2]=f[h+4>>2];f[i+8>>2]=f[h+8>>2];k=0;while(1){if((k|0)==3)break;f[h+(k<<2)>>2]=0;k=k+1|0}Uwc(g,i);k=d+4|0;m=f[k>>2]|0;if(m>>>0<(f[d+8>>2]|0)>>>0){Wwc(m,g);f[k>>2]=(f[k>>2]|0)+24}else Xwc(d,g);ewc(g);vwc(i)}vwc(h);n=j+l|0}else n=a}else n=a;while(0);u=e;return n|0}function Twc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0;e=u;u=u+16|0;g=e;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;h=0;while(1){if((h|0)==3)break;f[a+(h<<2)>>2]=0;h=h+1|0}h=c+11|0;i=b[h>>0]|0;j=i<<24>>24<0?f[c+4>>2]|0:i&255;i=_jc(d)|0;k=(b[h>>0]|0)<0?f[c>>2]|0:c;c=j+i|0;if(c>>>0>4294967279)muc(a);if(c>>>0<11){b[a+11>>0]=j;l=a}else{h=c+16&-16;c=swc(h)|0;f[a>>2]=c;f[a+8>>2]=h|-2147483648;f[a+4>>2]=j;l=c}fjc(l,k,j)|0;b[g>>0]=0;$jc(l+j|0,g);hwc(a,d,i)|0;u=e;return}function Uwc(a,b){a=a|0;b=b|0;var c=0;f[a>>2]=f[b>>2];f[a+4>>2]=f[b+4>>2];f[a+8>>2]=f[b+8>>2];c=0;while(1){if((c|0)==3)break;f[b+(c<<2)>>2]=0;c=c+1|0}c=a+12|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;a=0;while(1){if((a|0)==3)break;f[c+(a<<2)>>2]=0;a=a+1|0}return}function Vwc(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0;d=u;u=u+16|0;e=d;g=a+11|0;if((b[g>>0]|0)<0){h=f[a>>2]|0;b[e>>0]=0;$jc(h,e);f[a+4>>2]=0}else{b[e>>0]=0;$jc(a,e);b[g>>0]=0}cxc(a);f[a>>2]=f[c>>2];f[a+4>>2]=f[c+4>>2];f[a+8>>2]=f[c+8>>2];g=0;while(1){if((g|0)==3)break;f[c+(g<<2)>>2]=0;g=g+1|0}g=a+12|0;h=c+12|0;c=g+11|0;if((b[c>>0]|0)<0){i=f[g>>2]|0;b[e>>0]=0;$jc(i,e);f[a+16>>2]=0}else{b[e>>0]=0;$jc(g,e);b[c>>0]=0}cxc(g);f[g>>2]=f[h>>2];f[g+4>>2]=f[h+4>>2];f[g+8>>2]=f[h+8>>2];g=0;while(1){if((g|0)==3)break;f[h+(g<<2)>>2]=0;g=g+1|0}u=d;return}function Wwc(a,b){a=a|0;b=b|0;var c=0;f[a>>2]=f[b>>2];f[a+4>>2]=f[b+4>>2];f[a+8>>2]=f[b+8>>2];c=0;while(1){if((c|0)==3)break;f[b+(c<<2)>>2]=0;c=c+1|0}c=a+12|0;a=b+12|0;f[c>>2]=f[a>>2];f[c+4>>2]=f[a+4>>2];f[c+8>>2]=f[a+8>>2];c=0;while(1){if((c|0)==3)break;f[a+(c<<2)>>2]=0;c=c+1|0}return}function Xwc(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=u;u=u+32|0;d=c;e=a+4|0;g=(((f[e>>2]|0)-(f[a>>2]|0)|0)/24|0)+1|0;h=cyc(a)|0;if(h>>>0<g>>>0)nsc(a);else{i=f[a>>2]|0;j=((f[a+8>>2]|0)-i|0)/24|0;k=j<<1;dyc(d,j>>>0<h>>>1>>>0?(k>>>0<g>>>0?g:k):h,((f[e>>2]|0)-i|0)/24|0,a+12|0);i=d+8|0;e=f[i>>2]|0;Wwc(e,b);f[i>>2]=e+24;eyc(a,d);fyc(d);u=c;return}}function Ywc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;e=u;u=u+32|0;g=e+8|0;h=e;a:do if((c-a|0)>1){i=(b[a>>0]|0)==76?a+1|0:a;switch(b[i>>0]|0){case 78:{j=oyc(i,c,d)|0;k=(j|0)==(i|0)?a:j;break a;break}case 90:{j=pyc(i,c,d)|0;k=(j|0)==(i|0)?a:j;break a;break}default:{j=qyc(i,c,d)|0;if((j|0)==(i|0)){l=Zwc(i,c,d)|0;if((l|0)==(i|0)|(l|0)==(c|0)){k=a;break a}if((b[l>>0]|0)!=73){k=a;break a}i=Qwc(l,c,d)|0;if((i|0)==(l|0)){k=a;break a}l=d+4|0;m=f[l>>2]|0;if(((m-(f[d>>2]|0)|0)/24|0)>>>0<2){k=a;break a}Rwc(g,m+-24|0);m=f[l>>2]|0;n=m+-24|0;o=m;while(1){if((o|0)==(n|0))break;p=o+-24|0;f[l>>2]=p;ewc(p);o=f[l>>2]|0}l=b[g+11>>0]|0;o=l<<24>>24<0;hwc(m+-48|0,o?f[g>>2]|0:g,o?f[g+4>>2]|0:l&255)|0;vwc(g);k=i;break a}if((j|0)==(c|0)){k=c;break a}if((b[j>>0]|0)!=73){k=j;break a}l=d+4|0;o=f[l>>2]|0;if((f[d>>2]|0)==(o|0)){k=a;break a}f[h>>2]=f[d+12>>2];Iwc(g,o+-24|0,h);o=d+20|0;n=f[o>>2]|0;if(n>>>0<(f[d+24>>2]|0)>>>0){f[n>>2]=0;p=n+4|0;f[p>>2]=0;q=f[g+12>>2]|0;f[n+8>>2]=0;f[n+12>>2]=q;f[n>>2]=f[g>>2];q=g+4|0;f[p>>2]=f[q>>2];p=g+8|0;f[n+8>>2]=f[p>>2];f[p>>2]=0;f[q>>2]=0;f[g>>2]=0;f[o>>2]=(f[o>>2]|0)+16}else Jwc(d+16|0,g);fwc(g);o=Qwc(j,c,d)|0;if((o|0)==(j|0)){k=a;break a}q=f[l>>2]|0;if(((q-(f[d>>2]|0)|0)/24|0)>>>0<2){k=a;break a}Rwc(g,q+-24|0);q=f[l>>2]|0;p=q+-24|0;n=q;while(1){if((n|0)==(p|0))break;r=n+-24|0;f[l>>2]=r;ewc(r);n=f[l>>2]|0}l=b[g+11>>0]|0;n=l<<24>>24<0;hwc(q+-48|0,n?f[g>>2]|0:g,n?f[g+4>>2]|0:l&255)|0;vwc(g);k=o;break a}}}else k=a;while(0);u=e;return k|0}function Zwc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;e=u;u=u+32|0;g=e;a:do if((c-a|0)>1?(b[a>>0]|0)==83:0){h=b[a+1>>0]|0;i=a+2|0;j=d+16|0;switch(h|0){case 97:{Txc(g,532136);k=d+4|0;l=f[k>>2]|0;if(l>>>0<(f[d+8>>2]|0)>>>0){Wwc(l,g);f[k>>2]=(f[k>>2]|0)+24}else Xwc(d,g);ewc(g);m=i;break a;break}case 98:{Qxc(g,532151);k=d+4|0;l=f[k>>2]|0;if(l>>>0<(f[d+8>>2]|0)>>>0){Wwc(l,g);f[k>>2]=(f[k>>2]|0)+24}else Xwc(d,g);ewc(g);m=i;break a;break}case 115:{Sxc(g,531630);k=d+4|0;l=f[k>>2]|0;if(l>>>0<(f[d+8>>2]|0)>>>0){Wwc(l,g);f[k>>2]=(f[k>>2]|0)+24}else Xwc(d,g);ewc(g);m=i;break a;break}case 105:{Uxc(g,531726);k=d+4|0;l=f[k>>2]|0;if(l>>>0<(f[d+8>>2]|0)>>>0){Wwc(l,g);f[k>>2]=(f[k>>2]|0)+24}else Xwc(d,g);ewc(g);m=i;break a;break}case 111:{Uxc(g,531803);k=d+4|0;l=f[k>>2]|0;if(l>>>0<(f[d+8>>2]|0)>>>0){Wwc(l,g);f[k>>2]=(f[k>>2]|0)+24}else Xwc(d,g);ewc(g);m=i;break a;break}case 100:{nyc(g,531880);k=d+4|0;l=f[k>>2]|0;if(l>>>0<(f[d+8>>2]|0)>>>0){Wwc(l,g);f[k>>2]=(f[k>>2]|0)+24}else Xwc(d,g);ewc(g);m=i;break a;break}case 95:{k=f[j>>2]|0;if((k|0)==(f[d+20>>2]|0)){m=a;break a}l=f[k+4>>2]|0;n=d+4|0;o=d+8|0;p=f[k>>2]|0;while(1){if((p|0)==(l|0)){m=i;break a}k=f[n>>2]|0;if((k|0)==(f[o>>2]|0))Fwc(d,p);else{Ewc(k,p);f[n>>2]=(f[n>>2]|0)+24}p=p+24|0}break}default:{p=(h+-48|0)>>>0<10;if(!p?(Vec(h)|0)==0:0){m=a;break a}n=i;o=(p?-48:-55)+h|0;while(1){q=n+1|0;if((n|0)==(c|0)){m=a;break a}r=b[n>>0]|0;p=r<<24>>24;l=(p+-48|0)>>>0<10;if(!l?(Vec(p)|0)==0:0)break;n=q;o=p+(o*36|0)+(l?-48:-55)|0}if(r<<24>>24!=95){m=a;break a}n=o+1|0;h=f[j>>2]|0;i=h;if(n>>>0>=(f[d+20>>2]|0)-h>>4>>>0){m=a;break a}h=f[i+(n<<4)+4>>2]|0;l=d+4|0;p=d+8|0;k=f[i+(n<<4)>>2]|0;while(1){if((k|0)==(h|0)){m=q;break a}n=f[l>>2]|0;if((n|0)==(f[p>>2]|0))Fwc(d,k);else{Ewc(n,k);f[l>>2]=(f[l>>2]|0)+24}k=k+24|0}}}}else m=a;while(0);u=e;return m|0}function _wc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=u;u=u+64|0;g=e+40|0;h=e+12|0;i=e+24|0;j=e;a:do if((c-a|0)>3?(b[a>>0]|0)==68:0){switch(b[a+1>>0]|0){case 84:case 116:break;default:{k=a;break a}}l=a+2|0;m=bxc(l,c,d)|0;if((!((m|0)==(l|0)|(m|0)==(c|0))?(b[m>>0]|0)==69:0)?(l=d+4|0,n=f[l>>2]|0,(f[d>>2]|0)!=(n|0)):0){Rwc(j,n+-24|0);Cwc(j,0,532126)|0;f[i>>2]=f[j>>2];f[i+4>>2]=f[j+4>>2];f[i+8>>2]=f[j+8>>2];n=0;while(1){if((n|0)==3)break;f[j+(n<<2)>>2]=0;n=n+1|0}Dwc(i,530808)|0;f[h>>2]=f[i>>2];f[h+4>>2]=f[i+4>>2];f[h+8>>2]=f[i+8>>2];n=0;while(1){if((n|0)==3)break;f[i+(n<<2)>>2]=0;n=n+1|0}Uwc(g,h);Vwc((f[l>>2]|0)+-24|0,g);ewc(g);vwc(h);vwc(i);vwc(j);k=m+1|0}else k=a}else k=a;while(0);u=e;return k|0}function $wc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;e=u;u=u+80|0;g=e+60|0;h=e+24|0;i=e+12|0;j=e;k=e+48|0;a:do if(((c-a|0)>3?(b[a>>0]|0)==68:0)?(b[a+1>>0]|0)==118:0){l=a+2|0;m=b[l>>0]|0;if((m+-49&255)>=9){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;n=0;while(1){if((n|0)==3)break;f[h+(n<<2)>>2]=0;n=n+1|0}b:do if(m<<24>>24!=95?(n=bxc(l,c,d)|0,(n|0)!=(l|0)):0){o=d+4|0;p=f[o>>2]|0;if((f[d>>2]|0)!=(p|0)){Rwc(i,p+-24|0);p=h+11|0;if((b[p>>0]|0)<0){q=f[h>>2]|0;b[g>>0]=0;$jc(q,g);f[h+4>>2]=0}else{b[g>>0]=0;$jc(h,g);b[p>>0]=0}cxc(h);f[h>>2]=f[i>>2];f[h+4>>2]=f[i+4>>2];f[h+8>>2]=f[i+8>>2];p=0;while(1){if((p|0)==3)break;f[i+(p<<2)>>2]=0;p=p+1|0}vwc(i);p=f[o>>2]|0;q=p+-24|0;r=p;while(1){if((r|0)==(q|0)){s=n;t=53;break b}p=r+-24|0;f[o>>2]=p;ewc(p);r=f[o>>2]|0}}}else{s=l;t=53}while(0);do if((t|0)==53){if((((s|0)!=(c|0)?(b[s>>0]|0)==95:0)?(m=s+1|0,(m|0)!=(c|0)):0)?(o=zwc(m,c,d)|0,(o|0)!=(m|0)):0){m=d+4|0;if((f[d>>2]|0)==(f[m>>2]|0))break;dxc(i,530848,h);Dwc(i,530857)|0;f[g>>2]=f[i>>2];f[g+4>>2]=f[i+4>>2];f[g+8>>2]=f[i+8>>2];r=0;while(1){if((r|0)==3)break;f[i+(r<<2)>>2]=0;r=r+1|0}r=b[g+11>>0]|0;n=r<<24>>24<0;hwc((f[m>>2]|0)+-24|0,n?f[g>>2]|0:g,n?f[g+4>>2]|0:r&255)|0;vwc(g);vwc(i);v=o}else v=a;vwc(h);w=v;break a}while(0);vwc(h);w=a;break}r=axc(l,c)|0;if(((r|0)!=(c|0)?(b[r>>0]|0)==95:0)?(n=r-l|0,q=r+1|0,(q|0)!=(c|0)):0){if((b[q>>0]|0)!=112){p=zwc(q,c,d)|0;if((p|0)==(q|0)){w=a;break}q=d+4|0;if((f[d>>2]|0)==(f[q>>2]|0)){w=a;break};f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;if(n>>>0>4294967279)muc(j);if(n>>>0<11){b[j+11>>0]=n;x=j}else{y=n+16&-16;z=swc(y)|0;f[j>>2]=z;f[j+8>>2]=y|-2147483648;f[j+4>>2]=n;x=z}fjc(x,l,n)|0;b[g>>0]=0;$jc(x+n|0,g);Cwc(j,0,530848)|0;f[i>>2]=f[j>>2];f[i+4>>2]=f[j+4>>2];f[i+8>>2]=f[j+8>>2];z=0;while(1){if((z|0)==3)break;f[j+(z<<2)>>2]=0;z=z+1|0}Dwc(i,530857)|0;f[h>>2]=f[i>>2];f[h+4>>2]=f[i+4>>2];f[h+8>>2]=f[i+8>>2];z=0;while(1){if((z|0)==3)break;f[i+(z<<2)>>2]=0;z=z+1|0}z=b[h+11>>0]|0;y=z<<24>>24<0;hwc((f[q>>2]|0)+-24|0,y?f[h>>2]|0:h,y?f[h+4>>2]|0:z&255)|0;vwc(h);vwc(i);vwc(j);w=p;break}z=r+2|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;if(n>>>0>4294967279)muc(j);if(n>>>0<11){b[j+11>>0]=n;A=j}else{y=n+16&-16;B=swc(y)|0;f[j>>2]=B;f[j+8>>2]=y|-2147483648;f[j+4>>2]=n;A=B}fjc(A,l,n)|0;b[g>>0]=0;$jc(A+n|0,g);Cwc(j,0,530859)|0;f[i>>2]=f[j>>2];f[i+4>>2]=f[j+4>>2];f[i+8>>2]=f[j+8>>2];B=0;while(1){if((B|0)==3)break;f[j+(B<<2)>>2]=0;B=B+1|0}Dwc(i,530857)|0;f[k>>2]=f[i>>2];f[k+4>>2]=f[i+4>>2];f[k+8>>2]=f[i+8>>2];B=0;while(1){if((B|0)==3)break;f[i+(B<<2)>>2]=0;B=B+1|0}Uwc(h,k);B=d+4|0;n=f[B>>2]|0;if(n>>>0<(f[d+8>>2]|0)>>>0){Wwc(n,h);f[B>>2]=(f[B>>2]|0)+24}else Xwc(d,h);ewc(h);vwc(k);vwc(i);vwc(j);w=z}else w=a}else w=a;while(0);u=e;return w|0}function axc(a,c){a=a|0;c=c|0;var d=0,e=0,f=0,g=0;a:do if((a|0)!=(c|0)?(d=(b[a>>0]|0)==110?a+1|0:a,(d|0)!=(c|0)):0){e=b[d>>0]|0;f=d+1|0;if(e<<24>>24!=48)if((e+-49&255)<9){e=f;while(1){if((e|0)==(c|0)){g=c;break a}if(((b[e>>0]|0)+-48|0)>>>0>=10){g=e;break a}e=e+1|0}}else g=a;else g=f}else g=a;while(0);return g|0}function bxc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0;e=u;u=u+208|0;g=e+176|0;h=e+112|0;i=e+88|0;j=e+64|0;k=e+48|0;l=e+160|0;m=e+36|0;n=e+148|0;o=e+136|0;p=e+124|0;q=e+24|0;r=e+12|0;s=e;t=c;v=t-a|0;a:do if((v|0)>1){w=a+2|0;if((v|0)>3?(b[a>>0]|0)==103:0){x=(b[a+1>>0]|0)==115;y=x?w:a;z=x}else{y=a;z=0}x=y+1|0;A=a+3|0;B=(w|0)!=(c|0);C=y+2|0;do switch(b[y>>0]|0){case 76:{D=exc(a,c,d)|0;break a;break}case 84:{D=Pwc(a,c,d)|0;break a;break}case 102:{D=fxc(a,c,d)|0;break a;break}case 97:{switch(b[x>>0]|0){case 97:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;E=_jc(530812)|0;if(E>>>0>4294967279)muc(h);if(E>>>0<11){b[h+11>>0]=E;F=h}else{G=E+16&-16;H=swc(G)|0;f[h>>2]=H;f[h+8>>2]=G|-2147483648;f[h+4>>2]=E;F=H}fjc(F,530812,E)|0;b[g>>0]=0;$jc(F+E|0,g);E=gxc(w,c,h,d)|0;vwc(h);D=(E|0)==(w|0)?a:E;break a;break}case 100:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;E=_jc(530830)|0;if(E>>>0>4294967279)muc(h);if(E>>>0<11){b[h+11>>0]=E;I=h}else{H=E+16&-16;G=swc(H)|0;f[h>>2]=G;f[h+8>>2]=H|-2147483648;f[h+4>>2]=E;I=G}fjc(I,530830,E)|0;b[g>>0]=0;$jc(I+E|0,g);E=hxc(w,c,h,d)|0;vwc(h);D=(E|0)==(w|0)?a:E;break a;break}case 110:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;E=_jc(530830)|0;if(E>>>0>4294967279)muc(h);if(E>>>0<11){b[h+11>>0]=E;J=h}else{G=E+16&-16;H=swc(G)|0;f[h>>2]=H;f[h+8>>2]=G|-2147483648;f[h+4>>2]=E;J=H}fjc(J,530830,E)|0;b[g>>0]=0;$jc(J+E|0,g);E=gxc(w,c,h,d)|0;vwc(h);D=(E|0)==(w|0)?a:E;break a;break}case 78:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;E=_jc(530873)|0;if(E>>>0>4294967279)muc(h);if(E>>>0<11){b[h+11>>0]=E;K=h}else{H=E+16&-16;G=swc(H)|0;f[h>>2]=G;f[h+8>>2]=H|-2147483648;f[h+4>>2]=E;K=G}fjc(K,530873,E)|0;b[g>>0]=0;$jc(K+E|0,g);E=gxc(w,c,h,d)|0;vwc(h);D=(E|0)==(w|0)?a:E;break a;break}case 83:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;E=_jc(530876)|0;if(E>>>0>4294967279)muc(h);if(E>>>0<11){b[h+11>>0]=E;L=h}else{G=E+16&-16;H=swc(G)|0;f[h>>2]=H;f[h+8>>2]=G|-2147483648;f[h+4>>2]=E;L=H}fjc(L,530876,E)|0;b[g>>0]=0;$jc(L+E|0,g);E=gxc(w,c,h,d)|0;vwc(h);D=(E|0)==(w|0)?a:E;break a;break}case 116:{D=ixc(a,c,d)|0;break a;break}case 122:{D=jxc(a,c,d)|0;break a;break}default:{D=a;break a}}break}case 99:{switch(b[x>>0]|0){case 99:{D=kxc(a,c,d)|0;break a;break}case 108:{D=lxc(a,c,d)|0;break a;break}case 109:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;E=_jc(530878)|0;if(E>>>0>4294967279)muc(h);if(E>>>0<11){b[h+11>>0]=E;M=h}else{H=E+16&-16;G=swc(H)|0;f[h>>2]=G;f[h+8>>2]=H|-2147483648;f[h+4>>2]=E;M=G}fjc(M,530878,E)|0;b[g>>0]=0;$jc(M+E|0,g);E=gxc(w,c,h,d)|0;vwc(h);D=(E|0)==(w|0)?a:E;break a;break}case 111:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;E=_jc(530880)|0;if(E>>>0>4294967279)muc(h);if(E>>>0<11){b[h+11>>0]=E;N=h}else{G=E+16&-16;H=swc(G)|0;f[h>>2]=H;f[h+8>>2]=G|-2147483648;f[h+4>>2]=E;N=H}fjc(N,530880,E)|0;b[g>>0]=0;$jc(N+E|0,g);E=hxc(w,c,h,d)|0;vwc(h);D=(E|0)==(w|0)?a:E;break a;break}case 118:{D=mxc(a,c,d)|0;break a;break}default:{D=a;break a}}break}case 100:{switch(b[x>>0]|0){case 97:{E=bxc(C,c,d)|0;if((E|0)==(C|0)){D=a;break a}H=d+4|0;if((f[d>>2]|0)==(f[H>>2]|0)){D=a;break a};f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;b:do if(z){G=_jc(530882)|0;if(G>>>0>4294967279)muc(j);if(G>>>0<11){b[j+11>>0]=G;O=j}else{P=G+16&-16;Q=swc(P)|0;f[j>>2]=Q;f[j+8>>2]=P|-2147483648;f[j+4>>2]=G;O=Q}fjc(O,530882,G)|0;b[g>>0]=0;$jc(O+G|0,g)}else{G=0;while(1){if((G|0)==3)break b;f[j+(G<<2)>>2]=0;G=G+1|0}}while(0);Dwc(j,530885)|0;f[i>>2]=f[j>>2];f[i+4>>2]=f[j+4>>2];f[i+8>>2]=f[j+8>>2];G=0;while(1){if((G|0)==3)break;f[j+(G<<2)>>2]=0;G=G+1|0}Rwc(k,(f[H>>2]|0)+-24|0);G=b[k+11>>0]|0;Q=G<<24>>24<0;hwc(i,Q?f[k>>2]|0:k,Q?f[k+4>>2]|0:G&255)|0;f[h>>2]=f[i>>2];f[h+4>>2]=f[i+4>>2];f[h+8>>2]=f[i+8>>2];G=0;while(1){if((G|0)==3)break;f[i+(G<<2)>>2]=0;G=G+1|0}G=f[H>>2]|0;Q=G+-24|0;P=Q+11|0;if((b[P>>0]|0)<0){R=f[Q>>2]|0;b[g>>0]=0;$jc(R,g);f[G+-20>>2]=0}else{b[g>>0]=0;$jc(Q,g);b[P>>0]=0}cxc(Q);f[Q>>2]=f[h>>2];f[Q+4>>2]=f[h+4>>2];f[Q+8>>2]=f[h+8>>2];Q=0;while(1){if((Q|0)==3)break;f[h+(Q<<2)>>2]=0;Q=Q+1|0}vwc(h);vwc(k);vwc(i);vwc(j);D=E;break a;break}case 99:{D=nxc(a,c,d)|0;break a;break}case 101:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;Q=_jc(530828)|0;if(Q>>>0>4294967279)muc(h);if(Q>>>0<11){b[h+11>>0]=Q;S=h}else{H=Q+16&-16;P=swc(H)|0;f[h>>2]=P;f[h+8>>2]=H|-2147483648;f[h+4>>2]=Q;S=P}fjc(S,530828,Q)|0;b[g>>0]=0;$jc(S+Q|0,g);Q=hxc(w,c,h,d)|0;vwc(h);D=(Q|0)==(w|0)?a:Q;break a;break}case 108:{Q=bxc(C,c,d)|0;if((Q|0)==(C|0)){D=a;break a}P=d+4|0;if((f[d>>2]|0)==(f[P>>2]|0)){D=a;break a};f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;c:do if(z){H=_jc(530882)|0;if(H>>>0>4294967279)muc(j);if(H>>>0<11){b[j+11>>0]=H;T=j}else{G=H+16&-16;R=swc(G)|0;f[j>>2]=R;f[j+8>>2]=G|-2147483648;f[j+4>>2]=H;T=R}fjc(T,530882,H)|0;b[g>>0]=0;$jc(T+H|0,g)}else{H=0;while(1){if((H|0)==3)break c;f[j+(H<<2)>>2]=0;H=H+1|0}}while(0);Dwc(j,530895)|0;f[i>>2]=f[j>>2];f[i+4>>2]=f[j+4>>2];f[i+8>>2]=f[j+8>>2];E=0;while(1){if((E|0)==3)break;f[j+(E<<2)>>2]=0;E=E+1|0}Rwc(k,(f[P>>2]|0)+-24|0);E=b[k+11>>0]|0;H=E<<24>>24<0;hwc(i,H?f[k>>2]|0:k,H?f[k+4>>2]|0:E&255)|0;f[h>>2]=f[i>>2];f[h+4>>2]=f[i+4>>2];f[h+8>>2]=f[i+8>>2];E=0;while(1){if((E|0)==3)break;f[i+(E<<2)>>2]=0;E=E+1|0}E=f[P>>2]|0;H=E+-24|0;R=H+11|0;if((b[R>>0]|0)<0){G=f[H>>2]|0;b[g>>0]=0;$jc(G,g);f[E+-20>>2]=0}else{b[g>>0]=0;$jc(H,g);b[R>>0]=0}cxc(H);f[H>>2]=f[h>>2];f[H+4>>2]=f[h+4>>2];f[H+8>>2]=f[h+8>>2];H=0;while(1){if((H|0)==3)break;f[h+(H<<2)>>2]=0;H=H+1|0}vwc(h);vwc(k);vwc(i);vwc(j);D=Q;break a;break}case 110:{D=oxc(a,c,d)|0;break a;break}case 115:{D=pxc(a,c,d)|0;break a;break}case 116:{D=qxc(a,c,d)|0;break a;break}case 118:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;H=_jc(530903)|0;if(H>>>0>4294967279)muc(h);if(H>>>0<11){b[h+11>>0]=H;U=h}else{P=H+16&-16;R=swc(P)|0;f[h>>2]=R;f[h+8>>2]=P|-2147483648;f[h+4>>2]=H;U=R}fjc(U,530903,H)|0;b[g>>0]=0;$jc(U+H|0,g);H=gxc(w,c,h,d)|0;vwc(h);D=(H|0)==(w|0)?a:H;break a;break}case 86:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;H=_jc(530905)|0;if(H>>>0>4294967279)muc(h);if(H>>>0<11){b[h+11>>0]=H;V=h}else{R=H+16&-16;P=swc(R)|0;f[h>>2]=P;f[h+8>>2]=R|-2147483648;f[h+4>>2]=H;V=P}fjc(V,530905,H)|0;b[g>>0]=0;$jc(V+H|0,g);H=gxc(w,c,h,d)|0;vwc(h);D=(H|0)==(w|0)?a:H;break a;break}default:{D=a;break a}}break}case 101:{switch(b[x>>0]|0){case 111:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;H=_jc(530908)|0;if(H>>>0>4294967279)muc(h);if(H>>>0<11){b[h+11>>0]=H;W=h}else{P=H+16&-16;R=swc(P)|0;f[h>>2]=R;f[h+8>>2]=P|-2147483648;f[h+4>>2]=H;W=R}fjc(W,530908,H)|0;b[g>>0]=0;$jc(W+H|0,g);H=gxc(w,c,h,d)|0;vwc(h);D=(H|0)==(w|0)?a:H;break a;break}case 79:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;H=_jc(530910)|0;if(H>>>0>4294967279)muc(h);if(H>>>0<11){b[h+11>>0]=H;X=h}else{R=H+16&-16;P=swc(R)|0;f[h>>2]=P;f[h+8>>2]=R|-2147483648;f[h+4>>2]=H;X=P}fjc(X,530910,H)|0;b[g>>0]=0;$jc(X+H|0,g);H=gxc(w,c,h,d)|0;vwc(h);D=(H|0)==(w|0)?a:H;break a;break}case 113:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;H=_jc(530913)|0;if(H>>>0>4294967279)muc(h);if(H>>>0<11){b[h+11>>0]=H;Y=h}else{P=H+16&-16;R=swc(P)|0;f[h>>2]=R;f[h+8>>2]=P|-2147483648;f[h+4>>2]=H;Y=R}fjc(Y,530913,H)|0;b[g>>0]=0;$jc(Y+H|0,g);H=gxc(w,c,h,d)|0;vwc(h);D=(H|0)==(w|0)?a:H;break a;break}default:{D=a;break a}}break}case 103:{switch(b[x>>0]|0){case 101:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;H=_jc(530916)|0;if(H>>>0>4294967279)muc(h);if(H>>>0<11){b[h+11>>0]=H;Z=h}else{R=H+16&-16;P=swc(R)|0;f[h>>2]=P;f[h+8>>2]=R|-2147483648;f[h+4>>2]=H;Z=P}fjc(Z,530916,H)|0;b[g>>0]=0;$jc(Z+H|0,g);H=gxc(w,c,h,d)|0;vwc(h);D=(H|0)==(w|0)?a:H;break a;break}case 116:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;H=_jc(530846)|0;if(H>>>0>4294967279)muc(h);if(H>>>0<11){b[h+11>>0]=H;_=h}else{P=H+16&-16;R=swc(P)|0;f[h>>2]=R;f[h+8>>2]=P|-2147483648;f[h+4>>2]=H;_=R}fjc(_,530846,H)|0;b[g>>0]=0;$jc(_+H|0,g);H=gxc(w,c,h,d)|0;vwc(h);D=(H|0)==(w|0)?a:H;break a;break}default:{D=a;break a}}break}case 105:{if((b[x>>0]|0)!=120){D=a;break a}H=bxc(w,c,d)|0;if((H|0)==(w|0)){D=a;break a}R=bxc(H,c,d)|0;P=d+4|0;if((R|0)==(H|0)){H=f[P>>2]|0;E=H+-24|0;G=H;while(1){if((G|0)==(E|0)){D=a;break a}H=G+-24|0;f[P>>2]=H;ewc(H);G=f[P>>2]|0}}G=f[P>>2]|0;if(((G-(f[d>>2]|0)|0)/24|0)>>>0<2){D=a;break a}Rwc(g,G+-24|0);G=f[P>>2]|0;E=G+-24|0;Q=G;while(1){if((Q|0)==(E|0))break;H=Q+-24|0;f[P>>2]=H;ewc(H);Q=f[P>>2]|0}Rwc(h,G+-48|0);dxc(m,530810,h);Dwc(m,530919)|0;f[k>>2]=f[m>>2];f[k+4>>2]=f[m+4>>2];f[k+8>>2]=f[m+8>>2];Q=0;while(1){if((Q|0)==3)break;f[m+(Q<<2)>>2]=0;Q=Q+1|0}Q=b[g+11>>0]|0;G=Q<<24>>24<0;hwc(k,G?f[g>>2]|0:g,G?f[g+4>>2]|0:Q&255)|0;f[j>>2]=f[k>>2];f[j+4>>2]=f[k+4>>2];f[j+8>>2]=f[k+8>>2];Q=0;while(1){if((Q|0)==3)break;f[k+(Q<<2)>>2]=0;Q=Q+1|0}Dwc(j,530857)|0;f[l>>2]=f[j>>2];f[l+4>>2]=f[j+4>>2];f[l+8>>2]=f[j+8>>2];Q=0;while(1){if((Q|0)==3)break;f[j+(Q<<2)>>2]=0;Q=Q+1|0}Uwc(i,l);Vwc((f[P>>2]|0)+-24|0,i);ewc(i);vwc(l);vwc(j);vwc(k);vwc(m);vwc(h);vwc(g);D=R;break a;break}case 108:{switch(b[x>>0]|0){case 101:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;Q=_jc(530922)|0;if(Q>>>0>4294967279)muc(h);if(Q>>>0<11){b[h+11>>0]=Q;$=h}else{G=Q+16&-16;E=swc(G)|0;f[h>>2]=E;f[h+8>>2]=G|-2147483648;f[h+4>>2]=Q;$=E}fjc($,530922,Q)|0;b[g>>0]=0;$jc($+Q|0,g);Q=gxc(w,c,h,d)|0;vwc(h);D=(Q|0)==(w|0)?a:Q;break a;break}case 115:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;Q=_jc(530925)|0;if(Q>>>0>4294967279)muc(h);if(Q>>>0<11){b[h+11>>0]=Q;aa=h}else{E=Q+16&-16;G=swc(E)|0;f[h>>2]=G;f[h+8>>2]=E|-2147483648;f[h+4>>2]=Q;aa=G}fjc(aa,530925,Q)|0;b[g>>0]=0;$jc(aa+Q|0,g);Q=gxc(w,c,h,d)|0;vwc(h);D=(Q|0)==(w|0)?a:Q;break a;break}case 83:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;Q=_jc(530928)|0;if(Q>>>0>4294967279)muc(h);if(Q>>>0<11){b[h+11>>0]=Q;ba=h}else{G=Q+16&-16;E=swc(G)|0;f[h>>2]=E;f[h+8>>2]=G|-2147483648;f[h+4>>2]=Q;ba=E}fjc(ba,530928,Q)|0;b[g>>0]=0;$jc(ba+Q|0,g);Q=gxc(w,c,h,d)|0;vwc(h);D=(Q|0)==(w|0)?a:Q;break a;break}case 116:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;Q=_jc(530844)|0;if(Q>>>0>4294967279)muc(h);if(Q>>>0<11){b[h+11>>0]=Q;ca=h}else{E=Q+16&-16;G=swc(E)|0;f[h>>2]=G;f[h+8>>2]=E|-2147483648;f[h+4>>2]=Q;ca=G}fjc(ca,530844,Q)|0;b[g>>0]=0;$jc(ca+Q|0,g);Q=gxc(w,c,h,d)|0;vwc(h);D=(Q|0)==(w|0)?a:Q;break a;break}default:{D=a;break a}}break}case 109:{switch(b[x>>0]|0){case 105:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;Q=_jc(530932)|0;if(Q>>>0>4294967279)muc(h);if(Q>>>0<11){b[h+11>>0]=Q;da=h}else{G=Q+16&-16;E=swc(G)|0;f[h>>2]=E;f[h+8>>2]=G|-2147483648;f[h+4>>2]=Q;da=E}fjc(da,530932,Q)|0;b[g>>0]=0;$jc(da+Q|0,g);Q=gxc(w,c,h,d)|0;vwc(h);D=(Q|0)==(w|0)?a:Q;break a;break}case 73:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;Q=_jc(530934)|0;if(Q>>>0>4294967279)muc(h);if(Q>>>0<11){b[h+11>>0]=Q;ea=h}else{E=Q+16&-16;G=swc(E)|0;f[h>>2]=G;f[h+8>>2]=E|-2147483648;f[h+4>>2]=Q;ea=G}fjc(ea,530934,Q)|0;b[g>>0]=0;$jc(ea+Q|0,g);Q=gxc(w,c,h,d)|0;vwc(h);D=(Q|0)==(w|0)?a:Q;break a;break}case 108:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;Q=_jc(530828)|0;if(Q>>>0>4294967279)muc(h);if(Q>>>0<11){b[h+11>>0]=Q;fa=h}else{G=Q+16&-16;E=swc(G)|0;f[h>>2]=E;f[h+8>>2]=G|-2147483648;f[h+4>>2]=Q;fa=E}fjc(fa,530828,Q)|0;b[g>>0]=0;$jc(fa+Q|0,g);Q=gxc(w,c,h,d)|0;vwc(h);D=(Q|0)==(w|0)?a:Q;break a;break}case 76:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;Q=_jc(530937)|0;if(Q>>>0>4294967279)muc(h);if(Q>>>0<11){b[h+11>>0]=Q;ga=h}else{E=Q+16&-16;G=swc(E)|0;f[h>>2]=G;f[h+8>>2]=E|-2147483648;f[h+4>>2]=Q;ga=G}fjc(ga,530937,Q)|0;b[g>>0]=0;$jc(ga+Q|0,g);Q=gxc(w,c,h,d)|0;vwc(h);D=(Q|0)==(w|0)?a:Q;break a;break}case 109:{if(B?(b[w>>0]|0)==95:0){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;Q=_jc(530940)|0;if(Q>>>0>4294967279)muc(h);if(Q>>>0<11){b[h+11>>0]=Q;ha=h}else{G=Q+16&-16;E=swc(G)|0;f[h>>2]=E;f[h+8>>2]=G|-2147483648;f[h+4>>2]=Q;ha=E}fjc(ha,530940,Q)|0;b[g>>0]=0;$jc(ha+Q|0,g);Q=hxc(A,c,h,d)|0;vwc(h);D=(Q|0)==(A|0)?a:Q;break a}Q=bxc(w,c,d)|0;if((Q|0)==(w|0)){D=a;break a}E=d+4|0;G=f[E>>2]|0;if((f[d>>2]|0)==(G|0)){D=a;break a}Rwc(i,G+-24|0);Cwc(i,0,530810)|0;f[h>>2]=f[i>>2];f[h+4>>2]=f[i+4>>2];f[h+8>>2]=f[i+8>>2];G=0;while(1){if((G|0)==3)break;f[i+(G<<2)>>2]=0;G=G+1|0}Dwc(h,530943)|0;f[n>>2]=f[h>>2];f[n+4>>2]=f[h+4>>2];f[n+8>>2]=f[h+8>>2];G=0;while(1){if((G|0)==3)break;f[h+(G<<2)>>2]=0;G=G+1|0}Uwc(g,n);Vwc((f[E>>2]|0)+-24|0,g);ewc(g);vwc(n);vwc(h);vwc(i);D=Q;break a;break}default:{D=a;break a}}break}case 110:{switch(b[x>>0]|0){case 119:case 97:{D=rxc(a,c,d)|0;break a;break}case 101:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;G=_jc(530947)|0;if(G>>>0>4294967279)muc(h);if(G>>>0<11){b[h+11>>0]=G;ia=h}else{R=G+16&-16;P=swc(R)|0;f[h>>2]=P;f[h+8>>2]=R|-2147483648;f[h+4>>2]=G;ia=P}fjc(ia,530947,G)|0;b[g>>0]=0;$jc(ia+G|0,g);G=gxc(w,c,h,d)|0;vwc(h);D=(G|0)==(w|0)?a:G;break a;break}case 103:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;G=_jc(530932)|0;if(G>>>0>4294967279)muc(h);if(G>>>0<11){b[h+11>>0]=G;ja=h}else{P=G+16&-16;R=swc(P)|0;f[h>>2]=R;f[h+8>>2]=P|-2147483648;f[h+4>>2]=G;ja=R}fjc(ja,530932,G)|0;b[g>>0]=0;$jc(ja+G|0,g);G=hxc(w,c,h,d)|0;vwc(h);D=(G|0)==(w|0)?a:G;break a;break}case 116:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;G=_jc(530950)|0;if(G>>>0>4294967279)muc(h);if(G>>>0<11){b[h+11>>0]=G;ka=h}else{R=G+16&-16;P=swc(R)|0;f[h>>2]=P;f[h+8>>2]=R|-2147483648;f[h+4>>2]=G;ka=P}fjc(ka,530950,G)|0;b[g>>0]=0;$jc(ka+G|0,g);G=hxc(w,c,h,d)|0;vwc(h);D=(G|0)==(w|0)?a:G;break a;break}case 120:{G=sxc(w,c,d)|0;D=(G|0)==(w|0)?a:G;break a;break}default:{D=a;break a}}break}case 111:{switch(b[x>>0]|0){case 110:{D=oxc(a,c,d)|0;break a;break}case 111:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;G=_jc(530952)|0;if(G>>>0>4294967279)muc(h);if(G>>>0<11){b[h+11>>0]=G;la=h}else{P=G+16&-16;R=swc(P)|0;f[h>>2]=R;f[h+8>>2]=P|-2147483648;f[h+4>>2]=G;la=R}fjc(la,530952,G)|0;b[g>>0]=0;$jc(la+G|0,g);G=gxc(w,c,h,d)|0;vwc(h);D=(G|0)==(w|0)?a:G;break a;break}case 114:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;G=_jc(530955)|0;if(G>>>0>4294967279)muc(h);if(G>>>0<11){b[h+11>>0]=G;ma=h}else{R=G+16&-16;P=swc(R)|0;f[h>>2]=P;f[h+8>>2]=R|-2147483648;f[h+4>>2]=G;ma=P}fjc(ma,530955,G)|0;b[g>>0]=0;$jc(ma+G|0,g);G=gxc(w,c,h,d)|0;vwc(h);D=(G|0)==(w|0)?a:G;break a;break}case 82:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;G=_jc(530957)|0;if(G>>>0>4294967279)muc(h);if(G>>>0<11){b[h+11>>0]=G;na=h}else{P=G+16&-16;R=swc(P)|0;f[h>>2]=R;f[h+8>>2]=P|-2147483648;f[h+4>>2]=G;na=R}fjc(na,530957,G)|0;b[g>>0]=0;$jc(na+G|0,g);G=gxc(w,c,h,d)|0;vwc(h);D=(G|0)==(w|0)?a:G;break a;break}default:{D=a;break a}}break}case 112:{switch(b[x>>0]|0){case 109:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;G=_jc(530960)|0;if(G>>>0>4294967279)muc(h);if(G>>>0<11){b[h+11>>0]=G;oa=h}else{R=G+16&-16;P=swc(R)|0;f[h>>2]=P;f[h+8>>2]=R|-2147483648;f[h+4>>2]=G;oa=P}fjc(oa,530960,G)|0;b[g>>0]=0;$jc(oa+G|0,g);G=gxc(w,c,h,d)|0;vwc(h);D=(G|0)==(w|0)?a:G;break a;break}case 108:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;G=_jc(530964)|0;if(G>>>0>4294967279)muc(h);if(G>>>0<11){b[h+11>>0]=G;pa=h}else{P=G+16&-16;R=swc(P)|0;f[h>>2]=R;f[h+8>>2]=P|-2147483648;f[h+4>>2]=G;pa=R}fjc(pa,530964,G)|0;b[g>>0]=0;$jc(pa+G|0,g);G=gxc(w,c,h,d)|0;vwc(h);D=(G|0)==(w|0)?a:G;break a;break}case 76:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;G=_jc(530966)|0;if(G>>>0>4294967279)muc(h);if(G>>>0<11){b[h+11>>0]=G;qa=h}else{R=G+16&-16;P=swc(R)|0;f[h>>2]=P;f[h+8>>2]=R|-2147483648;f[h+4>>2]=G;qa=P}fjc(qa,530966,G)|0;b[g>>0]=0;$jc(qa+G|0,g);G=gxc(w,c,h,d)|0;vwc(h);D=(G|0)==(w|0)?a:G;break a;break}case 112:{if(B?(b[w>>0]|0)==95:0){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;G=_jc(530969)|0;if(G>>>0>4294967279)muc(h);if(G>>>0<11){b[h+11>>0]=G;ra=h}else{P=G+16&-16;R=swc(P)|0;f[h>>2]=R;f[h+8>>2]=P|-2147483648;f[h+4>>2]=G;ra=R}fjc(ra,530969,G)|0;b[g>>0]=0;$jc(ra+G|0,g);G=hxc(A,c,h,d)|0;vwc(h);D=(G|0)==(A|0)?a:G;break a}G=bxc(w,c,d)|0;if((G|0)==(w|0)){D=a;break a}R=d+4|0;P=f[R>>2]|0;if((f[d>>2]|0)==(P|0)){D=a;break a}Rwc(i,P+-24|0);Cwc(i,0,530810)|0;f[h>>2]=f[i>>2];f[h+4>>2]=f[i+4>>2];f[h+8>>2]=f[i+8>>2];P=0;while(1){if((P|0)==3)break;f[i+(P<<2)>>2]=0;P=P+1|0}Dwc(h,530972)|0;f[o>>2]=f[h>>2];f[o+4>>2]=f[h+4>>2];f[o+8>>2]=f[h+8>>2];P=0;while(1){if((P|0)==3)break;f[h+(P<<2)>>2]=0;P=P+1|0}Uwc(g,o);Vwc((f[R>>2]|0)+-24|0,g);ewc(g);vwc(o);vwc(h);vwc(i);D=G;break a;break}case 115:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;P=_jc(530964)|0;if(P>>>0>4294967279)muc(h);if(P>>>0<11){b[h+11>>0]=P;sa=h}else{Q=P+16&-16;E=swc(Q)|0;f[h>>2]=E;f[h+8>>2]=Q|-2147483648;f[h+4>>2]=P;sa=E}fjc(sa,530964,P)|0;b[g>>0]=0;$jc(sa+P|0,g);P=hxc(w,c,h,d)|0;vwc(h);D=(P|0)==(w|0)?a:P;break a;break}case 116:{D=txc(a,c,d)|0;break a;break}default:{D=a;break a}}break}case 113:{if((b[x>>0]|0)!=117){D=a;break a}P=bxc(w,c,d)|0;if((P|0)==(w|0)){D=a;break a}E=bxc(P,c,d)|0;if((E|0)==(P|0)){P=d+4|0;Q=f[P>>2]|0;H=Q+-24|0;ta=Q;while(1){if((ta|0)==(H|0)){D=a;break a}Q=ta+-24|0;f[P>>2]=Q;ewc(Q);ta=f[P>>2]|0}}P=bxc(E,c,d)|0;ta=d+4|0;if((P|0)==(E|0)){H=f[ta>>2]|0;G=H+-24|0;R=H;while(1){if((R|0)==(G|0))break;Q=R+-24|0;f[ta>>2]=Q;ewc(Q);R=f[ta>>2]|0}R=H+-48|0;E=G;while(1){if((E|0)==(R|0)){D=a;break a}Q=E+-24|0;f[ta>>2]=Q;ewc(Q);E=f[ta>>2]|0}}E=f[ta>>2]|0;if(((E-(f[d>>2]|0)|0)/24|0)>>>0<3){D=a;break a}Rwc(g,E+-24|0);E=f[ta>>2]|0;R=E+-24|0;G=E;while(1){if((G|0)==(R|0))break;H=G+-24|0;f[ta>>2]=H;ewc(H);G=f[ta>>2]|0}Rwc(h,E+-48|0);G=f[ta>>2]|0;R=G+-24|0;H=G;while(1){if((H|0)==(R|0))break;Q=H+-24|0;f[ta>>2]=Q;ewc(Q);H=f[ta>>2]|0}Rwc(i,G+-48|0);dxc(s,530810,i);Dwc(s,530976)|0;f[r>>2]=f[s>>2];f[r+4>>2]=f[s+4>>2];f[r+8>>2]=f[s+8>>2];H=0;while(1){if((H|0)==3)break;f[s+(H<<2)>>2]=0;H=H+1|0}H=b[h+11>>0]|0;G=H<<24>>24<0;hwc(r,G?f[h>>2]|0:h,G?f[h+4>>2]|0:H&255)|0;f[q>>2]=f[r>>2];f[q+4>>2]=f[r+4>>2];f[q+8>>2]=f[r+8>>2];H=0;while(1){if((H|0)==3)break;f[r+(H<<2)>>2]=0;H=H+1|0}Dwc(q,530982)|0;f[m>>2]=f[q>>2];f[m+4>>2]=f[q+4>>2];f[m+8>>2]=f[q+8>>2];H=0;while(1){if((H|0)==3)break;f[q+(H<<2)>>2]=0;H=H+1|0}H=b[g+11>>0]|0;G=H<<24>>24<0;hwc(m,G?f[g>>2]|0:g,G?f[g+4>>2]|0:H&255)|0;f[k>>2]=f[m>>2];f[k+4>>2]=f[m+4>>2];f[k+8>>2]=f[m+8>>2];H=0;while(1){if((H|0)==3)break;f[m+(H<<2)>>2]=0;H=H+1|0}Dwc(k,530808)|0;f[p>>2]=f[k>>2];f[p+4>>2]=f[k+4>>2];f[p+8>>2]=f[k+8>>2];H=0;while(1){if((H|0)==3)break;f[k+(H<<2)>>2]=0;H=H+1|0}Uwc(j,p);Vwc((f[ta>>2]|0)+-24|0,j);ewc(j);vwc(p);vwc(k);vwc(m);vwc(q);vwc(r);vwc(s);vwc(i);vwc(h);vwc(g);D=P;break a;break}case 114:{switch(b[x>>0]|0){case 99:{D=uxc(a,c,d)|0;break a;break}case 109:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;H=_jc(530988)|0;if(H>>>0>4294967279)muc(h);if(H>>>0<11){b[h+11>>0]=H;ua=h}else{G=H+16&-16;R=swc(G)|0;f[h>>2]=R;f[h+8>>2]=G|-2147483648;f[h+4>>2]=H;ua=R}fjc(ua,530988,H)|0;b[g>>0]=0;$jc(ua+H|0,g);H=gxc(w,c,h,d)|0;vwc(h);D=(H|0)==(w|0)?a:H;break a;break}case 77:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;H=_jc(530990)|0;if(H>>>0>4294967279)muc(h);if(H>>>0<11){b[h+11>>0]=H;va=h}else{R=H+16&-16;G=swc(R)|0;f[h>>2]=G;f[h+8>>2]=R|-2147483648;f[h+4>>2]=H;va=G}fjc(va,530990,H)|0;b[g>>0]=0;$jc(va+H|0,g);H=gxc(w,c,h,d)|0;vwc(h);D=(H|0)==(w|0)?a:H;break a;break}case 115:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;H=_jc(530993)|0;if(H>>>0>4294967279)muc(h);if(H>>>0<11){b[h+11>>0]=H;wa=h}else{G=H+16&-16;R=swc(G)|0;f[h>>2]=R;f[h+8>>2]=G|-2147483648;f[h+4>>2]=H;wa=R}fjc(wa,530993,H)|0;b[g>>0]=0;$jc(wa+H|0,g);H=gxc(w,c,h,d)|0;vwc(h);D=(H|0)==(w|0)?a:H;break a;break}case 83:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;H=_jc(530996)|0;if(H>>>0>4294967279)muc(h);if(H>>>0<11){b[h+11>>0]=H;xa=h}else{R=H+16&-16;G=swc(R)|0;f[h>>2]=G;f[h+8>>2]=R|-2147483648;f[h+4>>2]=H;xa=G}fjc(xa,530996,H)|0;b[g>>0]=0;$jc(xa+H|0,g);H=gxc(w,c,h,d)|0;vwc(h);D=(H|0)==(w|0)?a:H;break a;break}default:{D=a;break a}}break}case 115:{switch(b[x>>0]|0){case 99:{D=vxc(a,c,d)|0;break a;break}case 112:{D=wxc(a,c,d)|0;break a;break}case 114:{D=oxc(a,c,d)|0;break a;break}case 116:{D=xxc(a,c,d)|0;break a;break}case 122:{D=yxc(a,c,d)|0;break a;break}case 90:{if((t-y|0)<=2){D=a;break a}switch(b[C>>0]|0){case 84:{D=zxc(a,c,d)|0;break a;break}case 102:{D=Axc(a,c,d)|0;break a;break}default:{D=a;break a}}break}default:{D=a;break a}}break}case 116:{switch(b[x>>0]|0){case 105:case 101:{D=Bxc(a,c,d)|0;break a;break}case 114:{Cxc(g,531e3);H=d+4|0;G=f[H>>2]|0;if(G>>>0<(f[d+8>>2]|0)>>>0){Wwc(G,g);f[H>>2]=(f[H>>2]|0)+24}else Xwc(d,g);ewc(g);D=w;break a;break}case 119:{D=Dxc(a,c,d)|0;break a;break}default:{D=a;break a}}break}case 57:case 56:case 55:case 54:case 53:case 52:case 51:case 50:case 49:{D=oxc(a,c,d)|0;break a;break}default:{D=a;break a}}while(0)}else D=a;while(0);u=e;return D|0}function cxc(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;c=a+11|0;d=b[c>>0]|0;if(d<<24>>24<0){e=f[a+4>>2]|0;g=(f[a+8>>2]&2147483647)+-1|0}else{e=d&255;g=10}h=e>>>0<11;i=h?10:(e+16&-16)+-1|0;a:do if((i|0)!=(g|0)){do if(h){j=f[a>>2]|0;if(d<<24>>24<0){k=0;l=j;m=a;n=12}else{fjc(a,j,(d&255)+1|0)|0;twc(j);n=14}}else{j=swc(i+1|0)|0;if(i>>>0<=g>>>0&(j|0)==0)break a;o=b[c>>0]|0;if(o<<24>>24<0){k=1;l=f[a>>2]|0;m=j;n=12;break}else{fjc(j,a,(o&255)+1|0)|0;p=j;n=13;break}}while(0);if((n|0)==12){fjc(m,l,(f[a+4>>2]|0)+1|0)|0;twc(l);if(k){p=m;n=13}else n=14}if((n|0)==13){f[a+8>>2]=i+1|-2147483648;f[a+4>>2]=e;f[a>>2]=p;break}else if((n|0)==14){b[c>>0]=e;break}}while(0);return}function dxc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;e=u;u=u+16|0;g=e;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;h=0;while(1){if((h|0)==3)break;f[a+(h<<2)>>2]=0;h=h+1|0}h=_jc(c)|0;i=d+11|0;j=b[i>>0]|0;k=j<<24>>24<0?f[d+4>>2]|0:j&255;j=k+h|0;if(j>>>0>4294967279)muc(a);if(j>>>0<11){b[a+11>>0]=h;l=a}else{m=j+16&-16;j=swc(m)|0;f[a>>2]=j;f[a+8>>2]=m|-2147483648;f[a+4>>2]=h;l=j}fjc(l,c,h)|0;b[g>>0]=0;$jc(l+h|0,g);hwc(a,(b[i>>0]|0)<0?f[d>>2]|0:d,k)|0;u=e;return}function exc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0;e=u;u=u+112|0;g=e+88|0;h=e+48|0;i=e+72|0;j=e+36|0;k=e+24|0;l=e+12|0;m=e;a:do if((c-a|0)>3?(b[a>>0]|0)==76:0){n=a+1|0;o=a+3|0;p=a+2|0;do switch(b[n>>0]|0){case 84:{q=a;break a;break}case 119:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;r=_jc(532002)|0;if(r>>>0>4294967279)muc(h);if(r>>>0<11){b[h+11>>0]=r;s=h}else{t=r+16&-16;v=swc(t)|0;f[h>>2]=v;f[h+8>>2]=t|-2147483648;f[h+4>>2]=r;s=v}fjc(s,532002,r)|0;b[g>>0]=0;$jc(s+r|0,g);r=iyc(p,c,h,d)|0;vwc(h);q=(r|0)==(p|0)?a:r;break a;break}case 98:{if((b[o>>0]|0)!=69){q=a;break a}r=a+4|0;switch(b[p>>0]|0){case 48:{Cxc(g,532010);v=d+4|0;t=f[v>>2]|0;if(t>>>0<(f[d+8>>2]|0)>>>0){Wwc(t,g);f[v>>2]=(f[v>>2]|0)+24}else Xwc(d,g);ewc(g);q=r;break a;break}case 49:{jyc(g,532016);v=d+4|0;t=f[v>>2]|0;if(t>>>0<(f[d+8>>2]|0)>>>0){Wwc(t,g);f[v>>2]=(f[v>>2]|0)+24}else Xwc(d,g);ewc(g);q=r;break a;break}default:{q=a;break a}}break}case 99:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;r=_jc(532021)|0;if(r>>>0>4294967279)muc(h);if(r>>>0<11){b[h+11>>0]=r;w=h}else{v=r+16&-16;t=swc(v)|0;f[h>>2]=t;f[h+8>>2]=v|-2147483648;f[h+4>>2]=r;w=t}fjc(w,532021,r)|0;b[g>>0]=0;$jc(w+r|0,g);r=iyc(p,c,h,d)|0;vwc(h);q=(r|0)==(p|0)?a:r;break a;break}case 97:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;r=_jc(532026)|0;if(r>>>0>4294967279)muc(h);if(r>>>0<11){b[h+11>>0]=r;x=h}else{t=r+16&-16;v=swc(t)|0;f[h>>2]=v;f[h+8>>2]=t|-2147483648;f[h+4>>2]=r;x=v}fjc(x,532026,r)|0;b[g>>0]=0;$jc(x+r|0,g);r=iyc(p,c,h,d)|0;vwc(h);q=(r|0)==(p|0)?a:r;break a;break}case 104:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;r=_jc(532038)|0;if(r>>>0>4294967279)muc(h);if(r>>>0<11){b[h+11>>0]=r;y=h}else{v=r+16&-16;t=swc(v)|0;f[h>>2]=t;f[h+8>>2]=v|-2147483648;f[h+4>>2]=r;y=t}fjc(y,532038,r)|0;b[g>>0]=0;$jc(y+r|0,g);r=iyc(p,c,h,d)|0;vwc(h);q=(r|0)==(p|0)?a:r;break a;break}case 115:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;r=_jc(532052)|0;if(r>>>0>4294967279)muc(h);if(r>>>0<11){b[h+11>>0]=r;z=h}else{t=r+16&-16;v=swc(t)|0;f[h>>2]=v;f[h+8>>2]=t|-2147483648;f[h+4>>2]=r;z=v}fjc(z,532052,r)|0;b[g>>0]=0;$jc(z+r|0,g);r=iyc(p,c,h,d)|0;vwc(h);q=(r|0)==(p|0)?a:r;break a;break}case 116:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;r=_jc(532058)|0;if(r>>>0>4294967279)muc(h);if(r>>>0<11){b[h+11>>0]=r;A=h}else{v=r+16&-16;t=swc(v)|0;f[h>>2]=t;f[h+8>>2]=v|-2147483648;f[h+4>>2]=r;A=t}fjc(A,532058,r)|0;b[g>>0]=0;$jc(A+r|0,g);r=iyc(p,c,h,d)|0;vwc(h);q=(r|0)==(p|0)?a:r;break a;break}case 105:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;r=_jc(1171380)|0;if(r>>>0>4294967279)muc(h);if(r>>>0<11){b[h+11>>0]=r;B=h}else{t=r+16&-16;v=swc(t)|0;f[h>>2]=v;f[h+8>>2]=t|-2147483648;f[h+4>>2]=r;B=v}fjc(B,1171380,r)|0;b[g>>0]=0;$jc(B+r|0,g);r=iyc(p,c,h,d)|0;vwc(h);q=(r|0)==(p|0)?a:r;break a;break}case 106:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;r=_jc(532073)|0;if(r>>>0>4294967279)muc(h);if(r>>>0<11){b[h+11>>0]=r;C=h}else{v=r+16&-16;t=swc(v)|0;f[h>>2]=t;f[h+8>>2]=v|-2147483648;f[h+4>>2]=r;C=t}fjc(C,532073,r)|0;b[g>>0]=0;$jc(C+r|0,g);r=iyc(p,c,h,d)|0;vwc(h);q=(r|0)==(p|0)?a:r;break a;break}case 108:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;r=_jc(532075)|0;if(r>>>0>4294967279)muc(h);if(r>>>0<11){b[h+11>>0]=r;D=h}else{t=r+16&-16;v=swc(t)|0;f[h>>2]=v;f[h+8>>2]=t|-2147483648;f[h+4>>2]=r;D=v}fjc(D,532075,r)|0;b[g>>0]=0;$jc(D+r|0,g);r=iyc(p,c,h,d)|0;vwc(h);q=(r|0)==(p|0)?a:r;break a;break}case 109:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;r=_jc(532077)|0;if(r>>>0>4294967279)muc(h);if(r>>>0<11){b[h+11>>0]=r;E=h}else{v=r+16&-16;t=swc(v)|0;f[h>>2]=t;f[h+8>>2]=v|-2147483648;f[h+4>>2]=r;E=t}fjc(E,532077,r)|0;b[g>>0]=0;$jc(E+r|0,g);r=iyc(p,c,h,d)|0;vwc(h);q=(r|0)==(p|0)?a:r;break a;break}case 120:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;r=_jc(532080)|0;if(r>>>0>4294967279)muc(h);if(r>>>0<11){b[h+11>>0]=r;F=h}else{t=r+16&-16;v=swc(t)|0;f[h>>2]=v;f[h+8>>2]=t|-2147483648;f[h+4>>2]=r;F=v}fjc(F,532080,r)|0;b[g>>0]=0;$jc(F+r|0,g);r=iyc(p,c,h,d)|0;vwc(h);q=(r|0)==(p|0)?a:r;break a;break}case 121:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;r=_jc(532083)|0;if(r>>>0>4294967279)muc(h);if(r>>>0<11){b[h+11>>0]=r;G=h}else{v=r+16&-16;t=swc(v)|0;f[h>>2]=t;f[h+8>>2]=v|-2147483648;f[h+4>>2]=r;G=t}fjc(G,532083,r)|0;b[g>>0]=0;$jc(G+r|0,g);r=iyc(p,c,h,d)|0;vwc(h);q=(r|0)==(p|0)?a:r;break a;break}case 110:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;r=_jc(532087)|0;if(r>>>0>4294967279)muc(h);if(r>>>0<11){b[h+11>>0]=r;H=h}else{t=r+16&-16;v=swc(t)|0;f[h>>2]=v;f[h+8>>2]=t|-2147483648;f[h+4>>2]=r;H=v}fjc(H,532087,r)|0;b[g>>0]=0;$jc(H+r|0,g);r=iyc(p,c,h,d)|0;vwc(h);q=(r|0)==(p|0)?a:r;break a;break}case 111:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;r=_jc(532096)|0;if(r>>>0>4294967279)muc(h);if(r>>>0<11){b[h+11>>0]=r;I=h}else{v=r+16&-16;t=swc(v)|0;f[h>>2]=t;f[h+8>>2]=v|-2147483648;f[h+4>>2]=r;I=t}fjc(I,532096,r)|0;b[g>>0]=0;$jc(I+r|0,g);r=iyc(p,c,h,d)|0;vwc(h);q=(r|0)==(p|0)?a:r;break a;break}case 102:{r=kyc(p,c,d)|0;q=(r|0)==(p|0)?a:r;break a;break}case 100:{r=lyc(p,c,d)|0;q=(r|0)==(p|0)?a:r;break a;break}case 101:{r=myc(p,c,d)|0;q=(r|0)==(p|0)?a:r;break a;break}case 95:{if((b[p>>0]|0)!=90){q=a;break a}r=wwc(o,c,d)|0;if((r|0)==(o|0)|(r|0)==(c|0)){q=a;break a}q=(b[r>>0]|0)==69?r+1|0:a;break a;break}default:{r=zwc(n,c,d)|0;if((r|0)==(n|0)|(r|0)==(c|0)){q=a;break a}if((b[r>>0]|0)==69){q=r+1|0;break a}else J=r;while(1){K=J+1|0;if((J|0)==(c|0)){q=a;break a}L=b[J>>0]|0;if(((L<<24>>24)+-48|0)>>>0<10)J=K;else break}if(!((J|0)!=(r|0)&L<<24>>24==69)){q=a;break a}t=d+4|0;v=f[t>>2]|0;if((f[d>>2]|0)==(v|0)){q=a;break a}Rwc(l,v+-24|0);Cwc(l,0,530810)|0;f[k>>2]=f[l>>2];f[k+4>>2]=f[l+4>>2];f[k+8>>2]=f[l+8>>2];v=0;while(1){if((v|0)==3)break;f[l+(v<<2)>>2]=0;v=v+1|0}Dwc(k,530808)|0;f[j>>2]=f[k>>2];f[j+4>>2]=f[k+4>>2];f[j+8>>2]=f[k+8>>2];v=0;while(1){if((v|0)==3)break;f[k+(v<<2)>>2]=0;v=v+1|0}f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;v=J-r|0;if(v>>>0>4294967279)muc(m);if(v>>>0<11){b[m+11>>0]=v;M=m}else{N=v+16&-16;O=swc(N)|0;f[m>>2]=O;f[m+8>>2]=N|-2147483648;f[m+4>>2]=v;M=O}O=r;N=M;while(1){if((O|0)==(J|0))break;$jc(N,O);O=O+1|0;N=N+1|0}b[g>>0]=0;$jc(M+v|0,g);N=b[m+11>>0]|0;O=N<<24>>24<0;hwc(j,O?f[m>>2]|0:m,O?f[m+4>>2]|0:N&255)|0;f[i>>2]=f[j>>2];f[i+4>>2]=f[j+4>>2];f[i+8>>2]=f[j+8>>2];N=0;while(1){if((N|0)==3)break;f[j+(N<<2)>>2]=0;N=N+1|0}Uwc(h,i);Vwc((f[t>>2]|0)+-24|0,h);ewc(h);vwc(i);vwc(m);vwc(j);vwc(k);vwc(l);q=K;break a}}while(0)}else q=a;while(0);u=e;return q|0}function fxc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;e=u;u=u+80|0;g=e+64|0;h=e+60|0;i=e+24|0;j=e+48|0;k=e+12|0;l=e;a:do if((c-a|0)>2?(b[a>>0]|0)==102:0){m=a+2|0;switch(b[a+1>>0]|0){case 112:{n=Awc(m,c,h)|0;o=axc(n,c)|0;if((o|0)!=(c|0)?(b[o>>0]|0)==95:0){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;p=o-n|0;if(p>>>0>4294967279)muc(k);if(p>>>0<11){b[k+11>>0]=p;q=k}else{r=p+16&-16;s=swc(r)|0;f[k>>2]=s;f[k+8>>2]=r|-2147483648;f[k+4>>2]=p;q=s}s=n;n=q;while(1){if((s|0)==(o|0))break;$jc(n,s);s=s+1|0;n=n+1|0}b[g>>0]=0;$jc(q+p|0,g);Cwc(k,0,531999)|0;f[j>>2]=f[k>>2];f[j+4>>2]=f[k+4>>2];f[j+8>>2]=f[k+8>>2];n=0;while(1){if((n|0)==3)break;f[k+(n<<2)>>2]=0;n=n+1|0}Uwc(i,j);n=d+4|0;p=f[n>>2]|0;if(p>>>0<(f[d+8>>2]|0)>>>0){Wwc(p,i);f[n>>2]=(f[n>>2]|0)+24}else Xwc(d,i);ewc(i);vwc(j);vwc(k);t=o+1|0}else t=a;v=t;break a;break}case 76:break;default:{v=a;break a}}n=axc(m,c)|0;if((((n|0)!=(c|0)?(b[n>>0]|0)==112:0)?(p=Awc(n+1|0,c,h)|0,n=axc(p,c)|0,(n|0)!=(c|0)):0)?(b[n>>0]|0)==95:0){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;s=n-p|0;if(s>>>0>4294967279)muc(k);if(s>>>0<11){b[k+11>>0]=s;w=k}else{r=s+16&-16;x=swc(r)|0;f[k>>2]=x;f[k+8>>2]=r|-2147483648;f[k+4>>2]=s;w=x}x=p;p=w;while(1){if((x|0)==(n|0))break;$jc(p,x);x=x+1|0;p=p+1|0}b[g>>0]=0;$jc(w+s|0,g);Cwc(k,0,531999)|0;f[l>>2]=f[k>>2];f[l+4>>2]=f[k+4>>2];f[l+8>>2]=f[k+8>>2];p=0;while(1){if((p|0)==3)break;f[k+(p<<2)>>2]=0;p=p+1|0}Uwc(i,l);p=d+4|0;s=f[p>>2]|0;if(s>>>0<(f[d+8>>2]|0)>>>0){Wwc(s,i);f[p>>2]=(f[p>>2]|0)+24}else Xwc(d,i);ewc(i);vwc(l);vwc(k);y=n+1|0}else y=a;v=y}else v=a;while(0);u=e;return v|0}function gxc(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;g=u;u=u+96|0;h=g+84|0;i=g+72|0;j=g+60|0;k=g+48|0;l=g+36|0;m=g+24|0;n=g+12|0;o=g;p=bxc(a,c,e)|0;a:do if((p|0)!=(a|0)){q=bxc(p,c,e)|0;r=e+4|0;if((q|0)==(p|0)){s=f[r>>2]|0;t=s+-24|0;v=s;while(1){if((v|0)==(t|0)){w=a;break a}s=v+-24|0;f[r>>2]=s;ewc(s);v=f[r>>2]|0}}v=f[r>>2]|0;if(((v-(f[e>>2]|0)|0)/24|0)>>>0>=2){Rwc(i,v+-24|0);v=f[r>>2]|0;t=v+-24|0;s=v;while(1){if((s|0)==(t|0))break;x=s+-24|0;f[r>>2]=x;ewc(x);s=f[r>>2]|0}Rwc(j,v+-48|0);s=f[r>>2]|0;t=s+-24|0;x=t+11|0;if((b[x>>0]|0)<0){y=f[t>>2]|0;b[h>>0]=0;$jc(y,h);f[s+-20>>2]=0}else{b[h>>0]=0;$jc(t,h);b[x>>0]=0}x=_jc(530846)|0;s=d+11|0;y=b[s>>0]|0;z=d+4|0;if((x|0)==((y<<24>>24<0?f[z>>2]|0:y&255)|0)?(Nwc(d,530846,x)|0)==0:0)Wxc(t,40);dxc(o,530810,j);Dwc(o,531096)|0;f[n>>2]=f[o>>2];f[n+4>>2]=f[o+4>>2];f[n+8>>2]=f[o+8>>2];x=0;while(1){if((x|0)==3)break;f[o+(x<<2)>>2]=0;x=x+1|0}x=b[s>>0]|0;r=x<<24>>24<0;hwc(n,r?f[d>>2]|0:d,r?f[z>>2]|0:x&255)|0;f[m>>2]=f[n>>2];f[m+4>>2]=f[n+4>>2];f[m+8>>2]=f[n+8>>2];x=0;while(1){if((x|0)==3)break;f[n+(x<<2)>>2]=0;x=x+1|0}Dwc(m,530805)|0;f[l>>2]=f[m>>2];f[l+4>>2]=f[m+4>>2];f[l+8>>2]=f[m+8>>2];x=0;while(1){if((x|0)==3)break;f[m+(x<<2)>>2]=0;x=x+1|0}x=b[i+11>>0]|0;r=x<<24>>24<0;hwc(l,r?f[i>>2]|0:i,r?f[i+4>>2]|0:x&255)|0;f[k>>2]=f[l>>2];f[k+4>>2]=f[l+4>>2];f[k+8>>2]=f[l+8>>2];x=0;while(1){if((x|0)==3)break;f[l+(x<<2)>>2]=0;x=x+1|0}Dwc(k,530808)|0;f[h>>2]=f[k>>2];f[h+4>>2]=f[k+4>>2];f[h+8>>2]=f[k+8>>2];x=0;while(1){if((x|0)==3)break;f[k+(x<<2)>>2]=0;x=x+1|0}x=b[h+11>>0]|0;r=x<<24>>24<0;hwc(t,r?f[h>>2]|0:h,r?f[h+4>>2]|0:x&255)|0;vwc(h);vwc(k);vwc(l);vwc(m);vwc(n);vwc(o);x=_jc(530846)|0;r=b[s>>0]|0;if((x|0)==((r<<24>>24<0?f[z>>2]|0:r&255)|0)?(Nwc(d,530846,x)|0)==0:0)Wxc(t,41);vwc(j);vwc(i);w=q}else w=a}else w=a;while(0);u=g;return w|0}function hxc(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;g=u;u=u+64|0;h=g+48|0;i=g+36|0;j=g+24|0;k=g+12|0;l=g;m=bxc(a,c,e)|0;if((m|0)!=(a|0)?(c=e+4|0,(f[e>>2]|0)!=(f[c>>2]|0)):0){Twc(k,d,530810);Rwc(l,(f[c>>2]|0)+-24|0);d=b[l+11>>0]|0;e=d<<24>>24<0;hwc(k,e?f[l>>2]|0:l,e?f[l+4>>2]|0:d&255)|0;f[j>>2]=f[k>>2];f[j+4>>2]=f[k+4>>2];f[j+8>>2]=f[k+8>>2];d=0;while(1){if((d|0)==3)break;f[k+(d<<2)>>2]=0;d=d+1|0}Dwc(j,530808)|0;f[i>>2]=f[j>>2];f[i+4>>2]=f[j+4>>2];f[i+8>>2]=f[j+8>>2];d=0;while(1){if((d|0)==3)break;f[j+(d<<2)>>2]=0;d=d+1|0}d=f[c>>2]|0;c=d+-24|0;e=c+11|0;if((b[e>>0]|0)<0){n=f[c>>2]|0;b[h>>0]=0;$jc(n,h);f[d+-20>>2]=0}else{b[h>>0]=0;$jc(c,h);b[e>>0]=0}cxc(c);f[c>>2]=f[i>>2];f[c+4>>2]=f[i+4>>2];f[c+8>>2]=f[i+8>>2];c=0;while(1){if((c|0)==3)break;f[i+(c<<2)>>2]=0;c=c+1|0}vwc(i);vwc(j);vwc(l);vwc(k);o=m}else o=a;u=g;return o|0}function ixc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=u;u=u+48|0;g=e+36|0;h=e+24|0;i=e+12|0;j=e;if(((((c-a|0)>2?(b[a>>0]|0)==97:0)?(b[a+1>>0]|0)==116:0)?(k=a+2|0,l=zwc(k,c,d)|0,(l|0)!=(k|0)):0)?(k=d+4|0,c=f[k>>2]|0,(f[d>>2]|0)!=(c|0)):0){Rwc(j,c+-24|0);Cwc(j,0,531989)|0;f[i>>2]=f[j>>2];f[i+4>>2]=f[j+4>>2];f[i+8>>2]=f[j+8>>2];c=0;while(1){if((c|0)==3)break;f[j+(c<<2)>>2]=0;c=c+1|0}Dwc(i,530808)|0;f[h>>2]=f[i>>2];f[h+4>>2]=f[i+4>>2];f[h+8>>2]=f[i+8>>2];c=0;while(1){if((c|0)==3)break;f[i+(c<<2)>>2]=0;c=c+1|0}c=f[k>>2]|0;k=c+-24|0;d=k+11|0;if((b[d>>0]|0)<0){m=f[k>>2]|0;b[g>>0]=0;$jc(m,g);f[c+-20>>2]=0}else{b[g>>0]=0;$jc(k,g);b[d>>0]=0}cxc(k);f[k>>2]=f[h>>2];f[k+4>>2]=f[h+4>>2];f[k+8>>2]=f[h+8>>2];k=0;while(1){if((k|0)==3)break;f[h+(k<<2)>>2]=0;k=k+1|0}vwc(h);vwc(i);vwc(j);n=l}else n=a;u=e;return n|0}function jxc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=u;u=u+48|0;g=e+36|0;h=e+24|0;i=e+12|0;j=e;if(((((c-a|0)>2?(b[a>>0]|0)==97:0)?(b[a+1>>0]|0)==122:0)?(k=a+2|0,l=bxc(k,c,d)|0,(l|0)!=(k|0)):0)?(k=d+4|0,c=f[k>>2]|0,(f[d>>2]|0)!=(c|0)):0){Rwc(j,c+-24|0);Cwc(j,0,531989)|0;f[i>>2]=f[j>>2];f[i+4>>2]=f[j+4>>2];f[i+8>>2]=f[j+8>>2];c=0;while(1){if((c|0)==3)break;f[j+(c<<2)>>2]=0;c=c+1|0}Dwc(i,530808)|0;f[h>>2]=f[i>>2];f[h+4>>2]=f[i+4>>2];f[h+8>>2]=f[i+8>>2];c=0;while(1){if((c|0)==3)break;f[i+(c<<2)>>2]=0;c=c+1|0}c=f[k>>2]|0;k=c+-24|0;d=k+11|0;if((b[d>>0]|0)<0){m=f[k>>2]|0;b[g>>0]=0;$jc(m,g);f[c+-20>>2]=0}else{b[g>>0]=0;$jc(k,g);b[d>>0]=0}cxc(k);f[k>>2]=f[h>>2];f[k+4>>2]=f[h+4>>2];f[k+8>>2]=f[h+8>>2];k=0;while(1){if((k|0)==3)break;f[h+(k<<2)>>2]=0;k=k+1|0}vwc(h);vwc(i);vwc(j);n=l}else n=a;u=e;return n|0}function kxc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;e=u;u=u+112|0;g=e+88|0;h=e+64|0;i=e+36|0;j=e+48|0;k=e+24|0;l=e+12|0;m=e;if((((((c-a|0)>2?(b[a>>0]|0)==99:0)?(b[a+1>>0]|0)==99:0)?(n=a+2|0,o=zwc(n,c,d)|0,(o|0)!=(n|0)):0)?(n=bxc(o,c,d)|0,(n|0)!=(o|0)):0)?(o=d+4|0,c=f[o>>2]|0,((c-(f[d>>2]|0)|0)/24|0)>>>0>=2):0){Rwc(g,c+-24|0);c=f[o>>2]|0;d=c+-24|0;p=c;while(1){if((p|0)==(d|0))break;q=p+-24|0;f[o>>2]=q;ewc(q);p=f[o>>2]|0}Rwc(m,c+-48|0);Cwc(m,0,531977)|0;f[l>>2]=f[m>>2];f[l+4>>2]=f[m+4>>2];f[l+8>>2]=f[m+8>>2];c=0;while(1){if((c|0)==3)break;f[m+(c<<2)>>2]=0;c=c+1|0}Dwc(l,531057)|0;f[k>>2]=f[l>>2];f[k+4>>2]=f[l+4>>2];f[k+8>>2]=f[l+8>>2];c=0;while(1){if((c|0)==3)break;f[l+(c<<2)>>2]=0;c=c+1|0}c=b[g+11>>0]|0;p=c<<24>>24<0;hwc(k,p?f[g>>2]|0:g,p?f[g+4>>2]|0:c&255)|0;f[j>>2]=f[k>>2];f[j+4>>2]=f[k+4>>2];f[j+8>>2]=f[k+8>>2];c=0;while(1){if((c|0)==3)break;f[k+(c<<2)>>2]=0;c=c+1|0}Dwc(j,530808)|0;f[i>>2]=f[j>>2];f[i+4>>2]=f[j+4>>2];f[i+8>>2]=f[j+8>>2];c=0;while(1){if((c|0)==3)break;f[j+(c<<2)>>2]=0;c=c+1|0}Uwc(h,i);Vwc((f[o>>2]|0)+-24|0,h);ewc(h);vwc(i);vwc(j);vwc(k);vwc(l);vwc(m);vwc(g);r=n}else r=a;u=e;return r|0}function lxc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;e=u;u=u+32|0;g=e+12|0;h=e;a:do if(((((c-a|0)>3?(b[a>>0]|0)==99:0)?(b[a+1>>0]|0)==108:0)?(i=a+2|0,j=bxc(i,c,d)|0,!((j|0)==(i|0)|(j|0)==(c|0))):0)?(i=d+4|0,k=f[i>>2]|0,(f[d>>2]|0)!=(k|0)):0){l=k+-12|0;m=b[l+11>>0]|0;n=m<<24>>24<0;hwc(k+-24|0,n?f[l>>2]|0:l,n?f[k+-8>>2]|0:m&255)|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;m=0;while(1){if((m|0)==3)break;f[h+(m<<2)>>2]=0;m=m+1|0}m=f[i>>2]|0;k=m+-12|0;n=k+11|0;if((b[n>>0]|0)<0){l=f[k>>2]|0;b[g>>0]=0;$jc(l,g);f[m+-8>>2]=0}else{b[g>>0]=0;$jc(k,g);b[n>>0]=0}cxc(k);f[k>>2]=f[h>>2];f[k+4>>2]=f[h+4>>2];f[k+8>>2]=f[h+8>>2];k=0;while(1){if((k|0)==3)break;f[h+(k<<2)>>2]=0;k=k+1|0}vwc(h);Dwc((f[i>>2]|0)+-24|0,530810)|0;k=g+11|0;n=g+4|0;m=j;while(1){if((b[m>>0]|0)==69)break;l=bxc(m,c,d)|0;if((l|0)==(m|0)|(l|0)==(c|0)){o=a;break a}p=f[i>>2]|0;if((f[d>>2]|0)==(p|0)){o=a;break a}Rwc(g,p+-24|0);p=f[i>>2]|0;q=p+-24|0;r=p;while(1){if((r|0)==(q|0))break;s=r+-24|0;f[i>>2]=s;ewc(s);r=f[i>>2]|0}r=b[k>>0]|0;s=r<<24>>24<0;t=s?f[n>>2]|0:r&255;if(t|0){if((f[d>>2]|0)==(q|0)){v=26;break}hwc(p+-48|0,s?f[g>>2]|0:g,t)|0}vwc(g);m=l}if((v|0)==26){vwc(g);o=a;break}n=f[i>>2]|0;if((f[d>>2]|0)!=(n|0)){Dwc(n+-24|0,530808)|0;o=m+1|0}else o=a}else o=a;while(0);u=e;return o|0}function mxc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;e=u;u=u+112|0;g=e+88|0;h=e+64|0;i=e+36|0;j=e+48|0;k=e+24|0;l=e+12|0;m=e;a:do if((((c-a|0)>2?(b[a>>0]|0)==99:0)?(b[a+1>>0]|0)==118:0)?(n=d+63|0,o=b[n>>0]|0,b[n>>0]=0,p=a+2|0,q=zwc(p,c,d)|0,b[n>>0]=o,!((q|0)==(p|0)|(q|0)==(c|0))):0){if((b[q>>0]|0)!=95){p=bxc(q,c,d)|0;if((p|0)==(q|0)){r=a;break}else s=p}else{p=q+1|0;if((p|0)==(c|0)){r=a;break}q=b[p>>0]|0;b:do if(q<<24>>24==69){o=d+4|0;n=f[o>>2]|0;if(n>>>0<(f[d+8>>2]|0)>>>0){f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;f[n+12>>2]=0;f[n+16>>2]=0;f[n+20>>2]=0;ayc(n);f[o>>2]=(f[o>>2]|0)+24;t=p;break}else{byc(d);t=p;break}}else{o=p;n=q;while(1){if(n<<24>>24==69){t=o;break b}v=bxc(o,c,d)|0;w=(v|0)==(o|0)|(v|0)==(c|0);if(w){r=a;break a}x=b[(w?o:v)>>0]|0;o=v;n=x}}while(0);s=t+1|0}q=d+4|0;p=f[q>>2]|0;if(((p-(f[d>>2]|0)|0)/24|0)>>>0>=2){Rwc(g,p+-24|0);p=f[q>>2]|0;n=p+-24|0;o=p;while(1){if((o|0)==(n|0))break;x=o+-24|0;f[q>>2]=x;ewc(x);o=f[q>>2]|0}Rwc(m,p+-48|0);Cwc(m,0,530810)|0;f[l>>2]=f[m>>2];f[l+4>>2]=f[m+4>>2];f[l+8>>2]=f[m+8>>2];o=0;while(1){if((o|0)==3)break;f[m+(o<<2)>>2]=0;o=o+1|0}Dwc(l,531974)|0;f[k>>2]=f[l>>2];f[k+4>>2]=f[l+4>>2];f[k+8>>2]=f[l+8>>2];o=0;while(1){if((o|0)==3)break;f[l+(o<<2)>>2]=0;o=o+1|0}o=b[g+11>>0]|0;p=o<<24>>24<0;hwc(k,p?f[g>>2]|0:g,p?f[g+4>>2]|0:o&255)|0;f[j>>2]=f[k>>2];f[j+4>>2]=f[k+4>>2];f[j+8>>2]=f[k+8>>2];o=0;while(1){if((o|0)==3)break;f[k+(o<<2)>>2]=0;o=o+1|0}Dwc(j,530808)|0;f[i>>2]=f[j>>2];f[i+4>>2]=f[j+4>>2];f[i+8>>2]=f[j+8>>2];o=0;while(1){if((o|0)==3)break;f[j+(o<<2)>>2]=0;o=o+1|0}Uwc(h,i);Vwc((f[q>>2]|0)+-24|0,h);ewc(h);vwc(i);vwc(j);vwc(k);vwc(l);vwc(m);vwc(g);r=s}else r=a}else r=a;while(0);u=e;return r|0}function nxc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;e=u;u=u+112|0;g=e+88|0;h=e+64|0;i=e+36|0;j=e+48|0;k=e+24|0;l=e+12|0;m=e;if((((((c-a|0)>2?(b[a>>0]|0)==100:0)?(b[a+1>>0]|0)==99:0)?(n=a+2|0,o=zwc(n,c,d)|0,(o|0)!=(n|0)):0)?(n=bxc(o,c,d)|0,(n|0)!=(o|0)):0)?(o=d+4|0,c=f[o>>2]|0,((c-(f[d>>2]|0)|0)/24|0)>>>0>=2):0){Rwc(g,c+-24|0);c=f[o>>2]|0;d=c+-24|0;p=c;while(1){if((p|0)==(d|0))break;q=p+-24|0;f[o>>2]=q;ewc(q);p=f[o>>2]|0}Rwc(m,c+-48|0);Cwc(m,0,531960)|0;f[l>>2]=f[m>>2];f[l+4>>2]=f[m+4>>2];f[l+8>>2]=f[m+8>>2];c=0;while(1){if((c|0)==3)break;f[m+(c<<2)>>2]=0;c=c+1|0}Dwc(l,531057)|0;f[k>>2]=f[l>>2];f[k+4>>2]=f[l+4>>2];f[k+8>>2]=f[l+8>>2];c=0;while(1){if((c|0)==3)break;f[l+(c<<2)>>2]=0;c=c+1|0}c=b[g+11>>0]|0;p=c<<24>>24<0;hwc(k,p?f[g>>2]|0:g,p?f[g+4>>2]|0:c&255)|0;f[j>>2]=f[k>>2];f[j+4>>2]=f[k+4>>2];f[j+8>>2]=f[k+8>>2];c=0;while(1){if((c|0)==3)break;f[k+(c<<2)>>2]=0;c=c+1|0}Dwc(j,530808)|0;f[i>>2]=f[j>>2];f[i+4>>2]=f[j+4>>2];f[i+8>>2]=f[j+8>>2];c=0;while(1){if((c|0)==3)break;f[j+(c<<2)>>2]=0;c=c+1|0}Uwc(h,i);Vwc((f[o>>2]|0)+-24|0,h);ewc(h);vwc(i);vwc(j);vwc(k);vwc(l);vwc(m);vwc(g);r=n}else r=a;u=e;return r|0}function oxc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;e=u;u=u+32|0;g=e+12|0;h=e;i=c;a:do if((i-a|0)>2){if((b[a>>0]|0)==103){j=(b[a+1>>0]|0)==115;k=j;l=j?a+2|0:a}else{k=0;l=a}j=Gxc(l,c,d)|0;if((j|0)!=(l|0)){if(!k){m=j;break}n=f[d+4>>2]|0;if((f[d>>2]|0)==(n|0)){m=a;break}Cwc(n+-24|0,0,530882)|0;m=j;break}if(((i-l|0)>2?(b[l>>0]|0)==115:0)?(b[l+1>>0]|0)==114:0){j=l+2|0;if((b[j>>0]|0)==78){n=l+3|0;o=Hxc(n,c,d)|0;if((o|0)==(n|0)|(o|0)==(c|0)){m=a;break}n=Qwc(o,c,d)|0;p=d+4|0;do if((n|0)==(o|0)){q=o;r=d}else{s=f[p>>2]|0;if(((s-(f[d>>2]|0)|0)/24|0)>>>0<2){m=a;break a}Rwc(g,s+-24|0);s=f[p>>2]|0;t=s+-24|0;v=s;while(1){if((v|0)==(t|0))break;w=v+-24|0;f[p>>2]=w;ewc(w);v=f[p>>2]|0}v=b[g+11>>0]|0;t=v<<24>>24<0;hwc(s+-48|0,t?f[g>>2]|0:g,t?f[g+4>>2]|0:v&255)|0;if((n|0)!=(c|0)){vwc(g);q=n;r=d;break}v=f[p>>2]|0;t=v+-24|0;w=v;while(1){if((w|0)==(t|0))break;v=w+-24|0;f[p>>2]=v;ewc(v);w=f[p>>2]|0}vwc(g);m=a;break a}while(0);n=h+11|0;o=h+4|0;w=q;while(1){if((b[w>>0]|0)==69)break;t=Ixc(w,c,d)|0;if((t|0)==(w|0)|(t|0)==(c|0)){m=a;break a}s=f[p>>2]|0;if(((s-(f[r>>2]|0)|0)/24|0)>>>0<2){m=a;break a}Rwc(g,s+-24|0);s=f[p>>2]|0;v=s+-24|0;x=s;while(1){if((x|0)==(v|0))break;s=x+-24|0;f[p>>2]=s;ewc(s);x=f[p>>2]|0}Cwc(g,0,530882)|0;f[h>>2]=f[g>>2];f[h+4>>2]=f[g+4>>2];f[h+8>>2]=f[g+8>>2];x=0;while(1){if((x|0)==3)break;f[g+(x<<2)>>2]=0;x=x+1|0}x=b[n>>0]|0;v=x<<24>>24<0;hwc((f[p>>2]|0)+-24|0,v?f[h>>2]|0:h,v?f[o>>2]|0:x&255)|0;vwc(h);vwc(g);w=t}o=w+1|0;n=Gxc(o,c,d)|0;if((n|0)==(o|0)){o=f[p>>2]|0;if((f[d>>2]|0)==(o|0)){m=a;break}x=o+-24|0;v=o;while(1){if((v|0)==(x|0)){m=a;break a}o=v+-24|0;f[p>>2]=o;ewc(o);v=f[p>>2]|0}}v=f[p>>2]|0;if(((v-(f[r>>2]|0)|0)/24|0)>>>0<2){m=a;break}Rwc(g,v+-24|0);v=f[p>>2]|0;x=v+-24|0;w=v;while(1){if((w|0)==(x|0))break;v=w+-24|0;f[p>>2]=v;ewc(v);w=f[p>>2]|0}Cwc(g,0,530882)|0;f[h>>2]=f[g>>2];f[h+4>>2]=f[g+4>>2];f[h+8>>2]=f[g+8>>2];w=0;while(1){if((w|0)==3)break;f[g+(w<<2)>>2]=0;w=w+1|0}w=b[h+11>>0]|0;x=w<<24>>24<0;hwc((f[p>>2]|0)+-24|0,x?f[h>>2]|0:h,x?f[h+4>>2]|0:w&255)|0;vwc(h);vwc(g);m=n;break}w=Hxc(j,c,d)|0;if((w|0)!=(j|0)){x=Qwc(w,c,d)|0;if((x|0)==(w|0))y=w;else{w=d+4|0;v=f[w>>2]|0;if(((v-(f[d>>2]|0)|0)/24|0)>>>0<2){m=a;break}Rwc(g,v+-24|0);v=f[w>>2]|0;o=v+-24|0;s=v;while(1){if((s|0)==(o|0))break;z=s+-24|0;f[w>>2]=z;ewc(z);s=f[w>>2]|0}w=b[g+11>>0]|0;s=w<<24>>24<0;hwc(v+-48|0,s?f[g>>2]|0:g,s?f[g+4>>2]|0:w&255)|0;vwc(g);y=x}w=Gxc(y,c,d)|0;if((w|0)==(y|0)){s=d+4|0;o=f[s>>2]|0;if((f[d>>2]|0)==(o|0)){m=a;break}n=o+-24|0;p=o;while(1){if((p|0)==(n|0)){m=a;break a}o=p+-24|0;f[s>>2]=o;ewc(o);p=f[s>>2]|0}}s=d+4|0;p=f[s>>2]|0;if(((p-(f[d>>2]|0)|0)/24|0)>>>0<2){m=a;break}Rwc(g,p+-24|0);p=f[s>>2]|0;n=p+-24|0;x=p;while(1){if((x|0)==(n|0))break;p=x+-24|0;f[s>>2]=p;ewc(p);x=f[s>>2]|0}Cwc(g,0,530882)|0;f[h>>2]=f[g>>2];f[h+4>>2]=f[g+4>>2];f[h+8>>2]=f[g+8>>2];x=0;while(1){if((x|0)==3)break;f[g+(x<<2)>>2]=0;x=x+1|0}x=b[h+11>>0]|0;n=x<<24>>24<0;hwc((f[s>>2]|0)+-24|0,n?f[h>>2]|0:h,n?f[h+4>>2]|0:x&255)|0;vwc(h);vwc(g);m=w;break}x=Ixc(j,c,d)|0;if(!((x|0)==(j|0)|(x|0)==(c|0))){if(k){n=d+4|0;p=f[n>>2]|0;if((f[d>>2]|0)==(p|0)){m=a;break}Cwc(p+-24|0,0,530882)|0;A=n}else A=d+4|0;n=h+11|0;p=h+4|0;v=x;while(1){if((b[v>>0]|0)==69)break;x=Ixc(v,c,d)|0;if((x|0)==(v|0)|(x|0)==(c|0)){m=a;break a}o=f[A>>2]|0;if(((o-(f[d>>2]|0)|0)/24|0)>>>0<2){m=a;break a}Rwc(g,o+-24|0);o=f[A>>2]|0;z=o+-24|0;B=o;while(1){if((B|0)==(z|0))break;o=B+-24|0;f[A>>2]=o;ewc(o);B=f[A>>2]|0}Cwc(g,0,530882)|0;f[h>>2]=f[g>>2];f[h+4>>2]=f[g+4>>2];f[h+8>>2]=f[g+8>>2];B=0;while(1){if((B|0)==3)break;f[g+(B<<2)>>2]=0;B=B+1|0}B=b[n>>0]|0;z=B<<24>>24<0;hwc((f[A>>2]|0)+-24|0,z?f[h>>2]|0:h,z?f[p>>2]|0:B&255)|0;vwc(h);vwc(g);v=x}p=v+1|0;n=Gxc(p,c,d)|0;if((n|0)==(p|0)){p=f[A>>2]|0;if((f[d>>2]|0)==(p|0)){m=a;break}j=p+-24|0;w=p;while(1){if((w|0)==(j|0)){m=a;break a}p=w+-24|0;f[A>>2]=p;ewc(p);w=f[A>>2]|0}}w=f[A>>2]|0;if(((w-(f[d>>2]|0)|0)/24|0)>>>0>=2){Rwc(g,w+-24|0);w=f[A>>2]|0;j=w+-24|0;v=w;while(1){if((v|0)==(j|0))break;w=v+-24|0;f[A>>2]=w;ewc(w);v=f[A>>2]|0}Cwc(g,0,530882)|0;f[h>>2]=f[g>>2];f[h+4>>2]=f[g+4>>2];f[h+8>>2]=f[g+8>>2];v=0;while(1){if((v|0)==3)break;f[g+(v<<2)>>2]=0;v=v+1|0}v=b[h+11>>0]|0;j=v<<24>>24<0;hwc((f[A>>2]|0)+-24|0,j?f[h>>2]|0:h,j?f[h+4>>2]|0:v&255)|0;vwc(h);vwc(g);m=n}else m=a}else m=a}else m=a}else m=a;while(0);u=e;return m|0}function pxc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0;e=u;u=u+32|0;g=e+12|0;h=e;if((((((c-a|0)>2?(b[a>>0]|0)==100:0)?(b[a+1>>0]|0)==115:0)?(i=a+2|0,j=bxc(i,c,d)|0,(j|0)!=(i|0)):0)?(i=bxc(j,c,d)|0,(i|0)!=(j|0)):0)?(j=d+4|0,c=f[j>>2]|0,((c-(f[d>>2]|0)|0)/24|0)>>>0>=2):0){Rwc(g,c+-24|0);c=f[j>>2]|0;d=c+-24|0;k=c;while(1){if((k|0)==(d|0))break;c=k+-24|0;f[j>>2]=c;ewc(c);k=f[j>>2]|0}dxc(h,531101,g);k=b[h+11>>0]|0;d=k<<24>>24<0;hwc((f[j>>2]|0)+-24|0,d?f[h>>2]|0:h,d?f[h+4>>2]|0:k&255)|0;vwc(h);vwc(g);l=i}else l=a;u=e;return l|0}function qxc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0;e=u;u=u+32|0;g=e+12|0;h=e;if((((((c-a|0)>2?(b[a>>0]|0)==100:0)?(b[a+1>>0]|0)==116:0)?(i=a+2|0,j=bxc(i,c,d)|0,(j|0)!=(i|0)):0)?(i=oxc(j,c,d)|0,(i|0)!=(j|0)):0)?(j=d+4|0,c=f[j>>2]|0,((c-(f[d>>2]|0)|0)/24|0)>>>0>=2):0){Rwc(g,c+-24|0);c=f[j>>2]|0;d=c+-24|0;k=c;while(1){if((k|0)==(d|0))break;c=k+-24|0;f[j>>2]=c;ewc(c);k=f[j>>2]|0}dxc(h,531099,g);k=b[h+11>>0]|0;d=k<<24>>24<0;hwc((f[j>>2]|0)+-24|0,d?f[h>>2]|0:h,d?f[h+4>>2]|0:k&255)|0;vwc(h);vwc(g);l=i}else l=a;u=e;return l|0}function rxc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;e=u;u=u+112|0;g=e+88|0;h=e+76|0;i=e+64|0;j=e+40|0;k=e+16|0;l=e;m=e+52|0;n=c;a:do if((n-a|0)>3){o=b[a>>0]|0;if(o<<24>>24==103){p=(b[a+1>>0]|0)==115;q=p?a+2|0:a;r=p;s=q;t=b[q>>0]|0}else{r=0;s=a;t=o}if(t<<24>>24==110){o=b[s+1>>0]|0;q=o<<24>>24==97;switch(o<<24>>24){case 97:case 119:break;default:{v=a;break a}}o=s+2|0;b:do if((o|0)!=(c|0)){p=0;w=o;while(1){if((b[w>>0]|0)==95)break;x=bxc(w,c,d)|0;y=(x|0)==(w|0);z=(x|0)==(c|0);if(y|z)break b;else{p=p|(y|z)^1;w=x}}x=w+1|0;z=zwc(x,c,d)|0;if(!((z|0)==(x|0)|(z|0)==(c|0))){x=b[z>>0]|0;c:do if(!((n-z|0)>2&x<<24>>24==112))if(x<<24>>24==69){A=0;B=z}else break b;else{if((b[z+1>>0]|0)!=105)break b;y=z+2|0;while(1){if((b[y>>0]|0)==69){A=1;B=y;break c}C=y;y=bxc(y,c,d)|0;if((y|0)==(C|0)|(y|0)==(c|0))break b}}while(0);f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;z=0;while(1){if((z|0)==3)break;f[h+(z<<2)>>2]=0;z=z+1|0}d:do if(A){z=d+4|0;x=f[z>>2]|0;if((f[d>>2]|0)==(x|0)){D=a;E=1}else{Rwc(i,x+-24|0);x=h+11|0;if((b[x>>0]|0)<0){w=f[h>>2]|0;b[g>>0]=0;$jc(w,g);f[h+4>>2]=0}else{b[g>>0]=0;$jc(h,g);b[x>>0]=0}cxc(h);f[h>>2]=f[i>>2];f[h+4>>2]=f[i+4>>2];f[h+8>>2]=f[i+8>>2];x=0;while(1){if((x|0)==3)break;f[i+(x<<2)>>2]=0;x=x+1|0}vwc(i);x=f[z>>2]|0;w=x+-24|0;y=x;while(1){if((y|0)==(w|0)){F=z;G=d;H=w;I=31;break d}x=y+-24|0;f[z>>2]=x;ewc(x);y=f[z>>2]|0}}}else{z=d+4|0;F=z;G=d;H=f[z>>2]|0;I=31}while(0);if((I|0)==31)if((f[G>>2]|0)==(H|0)){D=a;E=1}else{Rwc(i,H+-24|0);z=f[F>>2]|0;y=z+-24|0;w=z;while(1){if((w|0)==(y|0))break;x=w+-24|0;f[F>>2]=x;ewc(x);w=f[F>>2]|0}f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;w=0;while(1){if((w|0)==3)break;f[j+(w<<2)>>2]=0;w=w+1|0}e:do if(p)if((f[G>>2]|0)==(y|0)){J=a;K=1}else{Rwc(k,z+-48|0);w=j+11|0;if((b[w>>0]|0)<0){x=f[j>>2]|0;b[g>>0]=0;$jc(x,g);f[j+4>>2]=0}else{b[g>>0]=0;$jc(j,g);b[w>>0]=0}cxc(j);f[j>>2]=f[k>>2];f[j+4>>2]=f[k+4>>2];f[j+8>>2]=f[k+8>>2];w=0;while(1){if((w|0)==3)break;f[k+(w<<2)>>2]=0;w=w+1|0}vwc(k);w=f[F>>2]|0;x=w+-24|0;C=w;while(1){if((C|0)==(x|0)){I=49;break e}w=C+-24|0;f[F>>2]=w;ewc(w);C=f[F>>2]|0}}else I=49;while(0);if((I|0)==49){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;z=0;while(1){if((z|0)==3)break;f[g+(z<<2)>>2]=0;z=z+1|0}if(r)Exc(g,530882);if(q)Dwc(g,531092)|0;else Dwc(g,530842)|0;if(p){dxc(l,530810,j);Dwc(l,531096)|0;f[k>>2]=f[l>>2];f[k+4>>2]=f[l+4>>2];f[k+8>>2]=f[l+8>>2];z=0;while(1){if((z|0)==3)break;f[l+(z<<2)>>2]=0;z=z+1|0}z=b[k+11>>0]|0;p=z<<24>>24<0;hwc(g,p?f[k>>2]|0:k,p?f[k+4>>2]|0:z&255)|0;vwc(k);vwc(l)}z=b[i+11>>0]|0;p=z<<24>>24<0;hwc(g,p?f[i>>2]|0:i,p?f[i+4>>2]|0:z&255)|0;if(A){dxc(l,530805,h);Dwc(l,530808)|0;f[k>>2]=f[l>>2];f[k+4>>2]=f[l+4>>2];f[k+8>>2]=f[l+8>>2];z=0;while(1){if((z|0)==3)break;f[l+(z<<2)>>2]=0;z=z+1|0}z=b[k+11>>0]|0;p=z<<24>>24<0;hwc(g,p?f[k>>2]|0:k,p?f[k+4>>2]|0:z&255)|0;vwc(k);vwc(l)};f[m>>2]=f[g>>2];f[m+4>>2]=f[g+4>>2];f[m+8>>2]=f[g+8>>2];z=0;while(1){if((z|0)==3)break;f[g+(z<<2)>>2]=0;z=z+1|0}Uwc(k,m);z=f[F>>2]|0;if(z>>>0<(f[d+8>>2]|0)>>>0){Wwc(z,k);f[F>>2]=(f[F>>2]|0)+24}else Xwc(d,k);ewc(k);vwc(m);vwc(g);J=B+1|0;K=0}vwc(j);vwc(i);D=J;E=K}vwc(h);if(!E){v=D;break a}}}while(0);v=a}else v=a}else v=a;while(0);u=e;return v|0}function sxc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=u;u=u+48|0;g=e+36|0;h=e+24|0;i=e+12|0;j=e;k=bxc(a,c,d)|0;if((k|0)!=(a|0)?(c=d+4|0,l=f[c>>2]|0,(f[d>>2]|0)!=(l|0)):0){Rwc(j,l+-24|0);Cwc(j,0,531081)|0;f[i>>2]=f[j>>2];f[i+4>>2]=f[j+4>>2];f[i+8>>2]=f[j+8>>2];l=0;while(1){if((l|0)==3)break;f[j+(l<<2)>>2]=0;l=l+1|0}Dwc(i,530808)|0;f[h>>2]=f[i>>2];f[h+4>>2]=f[i+4>>2];f[h+8>>2]=f[i+8>>2];l=0;while(1){if((l|0)==3)break;f[i+(l<<2)>>2]=0;l=l+1|0}l=f[c>>2]|0;c=l+-24|0;d=c+11|0;if((b[d>>0]|0)<0){m=f[c>>2]|0;b[g>>0]=0;$jc(m,g);f[l+-20>>2]=0}else{b[g>>0]=0;$jc(c,g);b[d>>0]=0}cxc(c);f[c>>2]=f[h>>2];f[c+4>>2]=f[h+4>>2];f[c+8>>2]=f[h+8>>2];c=0;while(1){if((c|0)==3)break;f[h+(c<<2)>>2]=0;c=c+1|0}vwc(h);vwc(i);vwc(j);n=k}else n=a;u=e;return n|0}function txc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0;e=u;u=u+16|0;g=e;if((((((c-a|0)>2?(b[a>>0]|0)==112:0)?(b[a+1>>0]|0)==116:0)?(h=a+2|0,i=bxc(h,c,d)|0,(i|0)!=(h|0)):0)?(h=bxc(i,c,d)|0,(h|0)!=(i|0)):0)?(i=d+4|0,c=f[i>>2]|0,((c-(f[d>>2]|0)|0)/24|0)>>>0>=2):0){Rwc(g,c+-24|0);c=f[i>>2]|0;d=c+-24|0;j=c;while(1){if((j|0)==(d|0))break;k=j+-24|0;f[i>>2]=k;ewc(k);j=f[i>>2]|0}Dwc(c+-48|0,531078)|0;c=b[g+11>>0]|0;j=c<<24>>24<0;hwc((f[i>>2]|0)+-24|0,j?f[g>>2]|0:g,j?f[g+4>>2]|0:c&255)|0;vwc(g);l=h}else l=a;u=e;return l|0}function uxc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;e=u;u=u+112|0;g=e+88|0;h=e+64|0;i=e+36|0;j=e+48|0;k=e+24|0;l=e+12|0;m=e;if((((((c-a|0)>2?(b[a>>0]|0)==114:0)?(b[a+1>>0]|0)==99:0)?(n=a+2|0,o=zwc(n,c,d)|0,(o|0)!=(n|0)):0)?(n=bxc(o,c,d)|0,(n|0)!=(o|0)):0)?(o=d+4|0,c=f[o>>2]|0,((c-(f[d>>2]|0)|0)/24|0)>>>0>=2):0){Rwc(g,c+-24|0);c=f[o>>2]|0;d=c+-24|0;p=c;while(1){if((p|0)==(d|0))break;q=p+-24|0;f[o>>2]=q;ewc(q);p=f[o>>2]|0}Rwc(m,c+-48|0);Cwc(m,0,531060)|0;f[l>>2]=f[m>>2];f[l+4>>2]=f[m+4>>2];f[l+8>>2]=f[m+8>>2];c=0;while(1){if((c|0)==3)break;f[m+(c<<2)>>2]=0;c=c+1|0}Dwc(l,531057)|0;f[k>>2]=f[l>>2];f[k+4>>2]=f[l+4>>2];f[k+8>>2]=f[l+8>>2];c=0;while(1){if((c|0)==3)break;f[l+(c<<2)>>2]=0;c=c+1|0}c=b[g+11>>0]|0;p=c<<24>>24<0;hwc(k,p?f[g>>2]|0:g,p?f[g+4>>2]|0:c&255)|0;f[j>>2]=f[k>>2];f[j+4>>2]=f[k+4>>2];f[j+8>>2]=f[k+8>>2];c=0;while(1){if((c|0)==3)break;f[k+(c<<2)>>2]=0;c=c+1|0}Dwc(j,530808)|0;f[i>>2]=f[j>>2];f[i+4>>2]=f[j+4>>2];f[i+8>>2]=f[j+8>>2];c=0;while(1){if((c|0)==3)break;f[j+(c<<2)>>2]=0;c=c+1|0}Uwc(h,i);Vwc((f[o>>2]|0)+-24|0,h);ewc(h);vwc(i);vwc(j);vwc(k);vwc(l);vwc(m);vwc(g);r=n}else r=a;u=e;return r|0}function vxc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;e=u;u=u+112|0;g=e+88|0;h=e+64|0;i=e+36|0;j=e+48|0;k=e+24|0;l=e+12|0;m=e;if((((((c-a|0)>2?(b[a>>0]|0)==115:0)?(b[a+1>>0]|0)==99:0)?(n=a+2|0,o=zwc(n,c,d)|0,(o|0)!=(n|0)):0)?(n=bxc(o,c,d)|0,(n|0)!=(o|0)):0)?(o=d+4|0,c=f[o>>2]|0,((c-(f[d>>2]|0)|0)/24|0)>>>0>=2):0){Rwc(g,c+-24|0);c=f[o>>2]|0;d=c+-24|0;p=c;while(1){if((p|0)==(d|0))break;q=p+-24|0;f[o>>2]=q;ewc(q);p=f[o>>2]|0}Rwc(m,c+-48|0);Cwc(m,0,531044)|0;f[l>>2]=f[m>>2];f[l+4>>2]=f[m+4>>2];f[l+8>>2]=f[m+8>>2];c=0;while(1){if((c|0)==3)break;f[m+(c<<2)>>2]=0;c=c+1|0}Dwc(l,531057)|0;f[k>>2]=f[l>>2];f[k+4>>2]=f[l+4>>2];f[k+8>>2]=f[l+8>>2];c=0;while(1){if((c|0)==3)break;f[l+(c<<2)>>2]=0;c=c+1|0}c=b[g+11>>0]|0;p=c<<24>>24<0;hwc(k,p?f[g>>2]|0:g,p?f[g+4>>2]|0:c&255)|0;f[j>>2]=f[k>>2];f[j+4>>2]=f[k+4>>2];f[j+8>>2]=f[k+8>>2];c=0;while(1){if((c|0)==3)break;f[k+(c<<2)>>2]=0;c=c+1|0}Dwc(j,530808)|0;f[i>>2]=f[j>>2];f[i+4>>2]=f[j+4>>2];f[i+8>>2]=f[j+8>>2];c=0;while(1){if((c|0)==3)break;f[j+(c<<2)>>2]=0;c=c+1|0}Uwc(h,i);Vwc((f[o>>2]|0)+-24|0,h);ewc(h);vwc(i);vwc(j);vwc(k);vwc(l);vwc(m);vwc(g);r=n}else r=a;u=e;return r|0}function wxc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,f=0,g=0;if(((c-a|0)>2?(b[a>>0]|0)==115:0)?(b[a+1>>0]|0)==112:0){e=a+2|0;f=bxc(e,c,d)|0;g=(f|0)==(e|0)?a:f}else g=a;return g|0}function xxc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;e=u;u=u+64|0;g=e+40|0;h=e+12|0;i=e+24|0;j=e;if(((((c-a|0)>2?(b[a>>0]|0)==115:0)?(b[a+1>>0]|0)==116:0)?(k=a+2|0,l=zwc(k,c,d)|0,(l|0)!=(k|0)):0)?(k=d+4|0,c=f[k>>2]|0,(f[d>>2]|0)!=(c|0)):0){Rwc(j,c+-24|0);Cwc(j,0,531035)|0;f[i>>2]=f[j>>2];f[i+4>>2]=f[j+4>>2];f[i+8>>2]=f[j+8>>2];c=0;while(1){if((c|0)==3)break;f[j+(c<<2)>>2]=0;c=c+1|0}Dwc(i,530808)|0;f[h>>2]=f[i>>2];f[h+4>>2]=f[i+4>>2];f[h+8>>2]=f[i+8>>2];c=0;while(1){if((c|0)==3)break;f[i+(c<<2)>>2]=0;c=c+1|0}Uwc(g,h);Vwc((f[k>>2]|0)+-24|0,g);ewc(g);vwc(h);vwc(i);vwc(j);m=l}else m=a;u=e;return m|0}function yxc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;e=u;u=u+64|0;g=e+40|0;h=e+12|0;i=e+24|0;j=e;if(((((c-a|0)>2?(b[a>>0]|0)==115:0)?(b[a+1>>0]|0)==122:0)?(k=a+2|0,l=bxc(k,c,d)|0,(l|0)!=(k|0)):0)?(k=d+4|0,c=f[k>>2]|0,(f[d>>2]|0)!=(c|0)):0){Rwc(j,c+-24|0);Cwc(j,0,531035)|0;f[i>>2]=f[j>>2];f[i+4>>2]=f[j+4>>2];f[i+8>>2]=f[j+8>>2];c=0;while(1){if((c|0)==3)break;f[j+(c<<2)>>2]=0;c=c+1|0}Dwc(i,530808)|0;f[h>>2]=f[i>>2];f[h+4>>2]=f[i+4>>2];f[h+8>>2]=f[i+8>>2];c=0;while(1){if((c|0)==3)break;f[i+(c<<2)>>2]=0;c=c+1|0}Uwc(g,h);Vwc((f[k>>2]|0)+-24|0,g);ewc(g);vwc(h);vwc(i);vwc(j);m=l}else m=a;u=e;return m|0}function zxc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;e=u;u=u+64|0;g=e+40|0;h=e+24|0;i=e;j=e+12|0;if(((((c-a|0)>2?(b[a>>0]|0)==115:0)?(b[a+1>>0]|0)==90:0)?(k=a+2|0,(b[k>>0]|0)==84):0)?(l=d+4|0,m=((f[l>>2]|0)-(f[d>>2]|0)|0)/24|0,n=Pwc(k,c,d)|0,c=((f[l>>2]|0)-(f[d>>2]|0)|0)/24|0,(n|0)!=(k|0)):0){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;k=_jc(531021)|0;if(k>>>0>4294967279)muc(h);if(k>>>0<11){b[h+11>>0]=k;o=h}else{p=k+16&-16;q=swc(p)|0;f[h>>2]=q;f[h+8>>2]=p|-2147483648;f[h+4>>2]=k;o=q}fjc(o,531021,k)|0;b[g>>0]=0;$jc(o+k|0,g);a:do if((m|0)!=(c|0)){Rwc(g,(f[d>>2]|0)+(m*24|0)|0);k=b[g+11>>0]|0;o=k<<24>>24<0;hwc(h,o?f[g>>2]|0:g,o?f[g+4>>2]|0:k&255)|0;vwc(g);k=g+11|0;o=g+4|0;q=m;while(1){p=q+1|0;if((p|0)==(c|0))break a;Rwc(i,(f[d>>2]|0)+(p*24|0)|0);Cwc(i,0,531032)|0;f[g>>2]=f[i>>2];f[g+4>>2]=f[i+4>>2];f[g+8>>2]=f[i+8>>2];r=0;while(1){if((r|0)==3)break;f[i+(r<<2)>>2]=0;r=r+1|0}r=b[k>>0]|0;s=r<<24>>24<0;hwc(h,s?f[g>>2]|0:g,s?f[o>>2]|0:r&255)|0;vwc(g);vwc(i);q=p}}while(0);Dwc(h,530808)|0;i=c;while(1){if((i|0)==(m|0))break;c=f[l>>2]|0;q=c+-24|0;o=c;while(1){if((o|0)==(q|0))break;c=o+-24|0;f[l>>2]=c;ewc(c);o=f[l>>2]|0}i=i+-1|0}f[j>>2]=f[h>>2];f[j+4>>2]=f[h+4>>2];f[j+8>>2]=f[h+8>>2];i=0;while(1){if((i|0)==3)break;f[h+(i<<2)>>2]=0;i=i+1|0}Uwc(g,j);i=f[l>>2]|0;if(i>>>0<(f[d+8>>2]|0)>>>0){Wwc(i,g);f[l>>2]=(f[l>>2]|0)+24}else Xwc(d,g);ewc(g);vwc(j);vwc(h);t=n}else t=a;u=e;return t|0}function Axc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;e=u;u=u+64|0;g=e+40|0;h=e+12|0;i=e+24|0;j=e;if((((((c-a|0)>2?(b[a>>0]|0)==115:0)?(b[a+1>>0]|0)==90:0)?(k=a+2|0,(b[k>>0]|0)==102):0)?(l=fxc(k,c,d)|0,(l|0)!=(k|0)):0)?(k=d+4|0,c=f[k>>2]|0,(f[d>>2]|0)!=(c|0)):0){Rwc(j,c+-24|0);Cwc(j,0,531021)|0;f[i>>2]=f[j>>2];f[i+4>>2]=f[j+4>>2];f[i+8>>2]=f[j+8>>2];c=0;while(1){if((c|0)==3)break;f[j+(c<<2)>>2]=0;c=c+1|0}Dwc(i,530808)|0;f[h>>2]=f[i>>2];f[h+4>>2]=f[i+4>>2];f[h+8>>2]=f[i+8>>2];c=0;while(1){if((c|0)==3)break;f[i+(c<<2)>>2]=0;c=c+1|0}Uwc(g,h);Vwc((f[k>>2]|0)+-24|0,g);ewc(g);vwc(h);vwc(i);vwc(j);m=l}else m=a;u=e;return m|0}function Bxc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=u;u=u+64|0;g=e+40|0;h=e+12|0;i=e+24|0;j=e;a:do if((c-a|0)>2?(b[a>>0]|0)==116:0){k=b[a+1>>0]|0;switch(k<<24>>24){case 101:case 105:break;default:{l=a;break a}}m=a+2|0;if(k<<24>>24==101)n=bxc(m,c,d)|0;else n=zwc(m,c,d)|0;if((n|0)!=(m|0)?(m=d+4|0,k=f[m>>2]|0,(f[d>>2]|0)!=(k|0)):0){Rwc(j,k+-24|0);Cwc(j,0,531013)|0;f[i>>2]=f[j>>2];f[i+4>>2]=f[j+4>>2];f[i+8>>2]=f[j+8>>2];k=0;while(1){if((k|0)==3)break;f[j+(k<<2)>>2]=0;k=k+1|0}Dwc(i,530808)|0;f[h>>2]=f[i>>2];f[h+4>>2]=f[i+4>>2];f[h+8>>2]=f[i+8>>2];k=0;while(1){if((k|0)==3)break;f[i+(k<<2)>>2]=0;k=k+1|0}Uwc(g,h);Vwc((f[m>>2]|0)+-24|0,g);ewc(g);vwc(h);vwc(i);vwc(j);l=n}else l=a}else l=a;while(0);u=e;return l|0}function Cxc(a,c){a=a|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;b[a+11>>0]=5;fjc(a,c,5)|0;b[e>>0]=0;$jc(a+5|0,e);e=a+12|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;a=0;while(1){if((a|0)==3)break;f[e+(a<<2)>>2]=0;a=a+1|0}u=d;return}function Dxc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0;e=u;u=u+48|0;g=e+24|0;h=e;i=e+12|0;if(((((c-a|0)>2?(b[a>>0]|0)==116:0)?(b[a+1>>0]|0)==119:0)?(j=a+2|0,k=bxc(j,c,d)|0,(k|0)!=(j|0)):0)?(j=d+4|0,c=f[j>>2]|0,(f[d>>2]|0)!=(c|0)):0){Rwc(i,c+-24|0);Cwc(i,0,531006)|0;f[h>>2]=f[i>>2];f[h+4>>2]=f[i+4>>2];f[h+8>>2]=f[i+8>>2];c=0;while(1){if((c|0)==3)break;f[i+(c<<2)>>2]=0;c=c+1|0}Uwc(g,h);Vwc((f[j>>2]|0)+-24|0,g);ewc(g);vwc(h);vwc(i);l=k}else l=a;u=e;return l|0}function Exc(a,b){a=a|0;b=b|0;Fxc(a,b,_jc(b)|0);return}function Fxc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;e=u;u=u+16|0;g=e;h=a+11|0;i=b[h>>0]|0;j=i<<24>>24<0;if(j)k=(f[a+8>>2]&2147483647)+-1|0;else k=10;do if(k>>>0>=d>>>0){if(j)l=f[a>>2]|0;else l=a;tuc(l,c,d)|0;b[g>>0]=0;$jc(l+d|0,g);if((b[h>>0]|0)<0){f[a+4>>2]=d;break}else{b[h>>0]=d;break}}else{if(j)m=f[a+4>>2]|0;else m=i&255;rwc(a,k,d-k|0,m,0,m,d,c)}while(0);u=e;return}function Gxc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;e=u;u=u+16|0;g=e;a:do if((c-a|0)>1){h=b[a>>0]|0;i=h<<24>>24==111;switch(h<<24>>24){case 100:case 111:{if((b[a+1>>0]|0)==110){h=a+2|0;if(!i){i=$xc(h,c,d)|0;j=(i|0)==(h|0)?a:i;break a}i=Nxc(h,c,d)|0;if((i|0)==(h|0)){j=a;break a}h=Qwc(i,c,d)|0;if((h|0)==(i|0)){j=i;break a}i=d+4|0;k=f[i>>2]|0;if(((k-(f[d>>2]|0)|0)/24|0)>>>0<2){j=h;break a}Rwc(g,k+-24|0);k=f[i>>2]|0;l=k+-24|0;m=k;while(1){if((m|0)==(l|0))break;n=m+-24|0;f[i>>2]=n;ewc(n);m=f[i>>2]|0}i=b[g+11>>0]|0;m=i<<24>>24<0;hwc(k+-48|0,m?f[g>>2]|0:g,m?f[g+4>>2]|0:i&255)|0;vwc(g);j=h;break a}break}default:{}}i=Jxc(a,c,d)|0;if((i|0)==(a|0)){m=Nxc(a,c,d)|0;if((m|0)!=(a|0)){l=Qwc(m,c,d)|0;if((l|0)!=(m|0)){n=d+4|0;o=f[n>>2]|0;if(((o-(f[d>>2]|0)|0)/24|0)>>>0<2)j=l;else{Rwc(g,o+-24|0);o=f[n>>2]|0;p=o+-24|0;q=o;while(1){if((q|0)==(p|0))break;r=q+-24|0;f[n>>2]=r;ewc(r);q=f[n>>2]|0}n=b[g+11>>0]|0;q=n<<24>>24<0;hwc(o+-48|0,q?f[g>>2]|0:g,q?f[g+4>>2]|0:n&255)|0;vwc(g);j=l}}else j=m}else j=a}else j=i}else j=a;while(0);u=e;return j|0}function Hxc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;e=u;u=u+32|0;g=e+8|0;h=e;a:do if((a|0)==(c|0))i=a;else{j=d+16|0;switch(b[a>>0]|0){case 84:{k=d+4|0;l=((f[k>>2]|0)-(f[d>>2]|0)|0)/24|0;m=Pwc(a,c,d)|0;n=f[k>>2]|0;o=(n-(f[d>>2]|0)|0)/24|0;p=n;if((m|0)!=(a|0)&(o|0)==(l+1|0)){f[h>>2]=f[d+12>>2];Iwc(g,p+-24|0,h);n=d+20|0;q=f[n>>2]|0;if(q>>>0<(f[d+24>>2]|0)>>>0){f[q>>2]=0;r=q+4|0;f[r>>2]=0;s=f[g+12>>2]|0;f[q+8>>2]=0;f[q+12>>2]=s;f[q>>2]=f[g>>2];s=g+4|0;f[r>>2]=f[s>>2];r=g+8|0;f[q+8>>2]=f[r>>2];f[r>>2]=0;f[s>>2]=0;f[g>>2]=0;f[n>>2]=(f[n>>2]|0)+16}else Jwc(j,g);fwc(g);i=m;break a}else{t=o;v=p}while(1){if((t|0)==(l|0)){i=a;break a}p=v+-24|0;o=v;while(1){if((o|0)==(p|0))break;m=o+-24|0;f[k>>2]=m;ewc(m);o=f[k>>2]|0}t=t+-1|0;v=p}break}case 68:{k=_wc(a,c,d)|0;if((k|0)==(a|0)){i=a;break a}l=f[d+4>>2]|0;if((f[d>>2]|0)==(l|0)){i=a;break a}f[h>>2]=f[d+12>>2];Iwc(g,l+-24|0,h);l=d+20|0;o=f[l>>2]|0;if(o>>>0<(f[d+24>>2]|0)>>>0){f[o>>2]=0;m=o+4|0;f[m>>2]=0;n=f[g+12>>2]|0;f[o+8>>2]=0;f[o+12>>2]=n;f[o>>2]=f[g>>2];n=g+4|0;f[m>>2]=f[n>>2];m=g+8|0;f[o+8>>2]=f[m>>2];f[m>>2]=0;f[n>>2]=0;f[g>>2]=0;f[l>>2]=(f[l>>2]|0)+16}else Jwc(j,g);fwc(g);i=k;break a;break}case 83:{k=Zwc(a,c,d)|0;if((k|0)!=(a|0)){i=k;break a}if((c-a|0)<=2){i=a;break a}if((b[a+1>>0]|0)!=116){i=a;break a}k=a+2|0;l=Kxc(k,c,d)|0;if((l|0)==(k|0)){i=a;break a}k=d+4|0;n=f[k>>2]|0;if((f[d>>2]|0)==(n|0)){i=a;break a}Cwc(n+-24|0,0,531104)|0;n=(f[k>>2]|0)+-24|0;f[h>>2]=f[d+12>>2];Iwc(g,n,h);n=d+20|0;k=f[n>>2]|0;if(k>>>0<(f[d+24>>2]|0)>>>0){f[k>>2]=0;m=k+4|0;f[m>>2]=0;o=f[g+12>>2]|0;f[k+8>>2]=0;f[k+12>>2]=o;f[k>>2]=f[g>>2];o=g+4|0;f[m>>2]=f[o>>2];m=g+8|0;f[k+8>>2]=f[m>>2];f[m>>2]=0;f[o>>2]=0;f[g>>2]=0;f[n>>2]=(f[n>>2]|0)+16}else Jwc(j,g);fwc(g);i=l;break a;break}default:{i=a;break a}}}while(0);u=e;return i|0}function Ixc(a,b,c){a=a|0;b=b|0;c=c|0;return Jxc(a,b,c)|0}function Jxc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;e=u;u=u+16|0;g=e;if((a|0)!=(c|0)?(h=Swc(a,c,d)|0,(h|0)!=(a|0)):0){i=Qwc(h,c,d)|0;if((i|0)!=(h|0)){c=d+4|0;j=f[c>>2]|0;if(((j-(f[d>>2]|0)|0)/24|0)>>>0<2)k=a;else{Rwc(g,j+-24|0);j=f[c>>2]|0;d=j+-24|0;l=j;while(1){if((l|0)==(d|0))break;m=l+-24|0;f[c>>2]=m;ewc(m);l=f[c>>2]|0}c=b[g+11>>0]|0;l=c<<24>>24<0;hwc(j+-48|0,l?f[g>>2]|0:g,l?f[g+4>>2]|0:c&255)|0;vwc(g);k=i}}else k=h}else k=a;u=e;return k|0}function Kxc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0;a:do if((a|0)==(c|0))e=a;else switch(b[a>>0]|0){case 68:case 67:{e=Lxc(a,c,d)|0;break a;break}case 85:{e=Mxc(a,c,d)|0;break a;break}case 57:case 56:case 55:case 54:case 53:case 52:case 51:case 50:case 49:{e=Swc(a,c,d)|0;break a;break}default:return Nxc(a,c,d)|0}while(0);return e|0}function Lxc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=u;u=u+64|0;g=e+40|0;h=e+24|0;i=e;j=e+12|0;a:do if((c-a|0)>1?(k=d+4|0,l=f[k>>2]|0,(f[d>>2]|0)!=(l|0)):0){m=a+2|0;n=d+60|0;o=a+1|0;switch(b[a>>0]|0){case 67:{switch(b[o>>0]|0){case 53:case 51:case 50:case 49:break;default:{p=a;break a}}Zxc(h,l+-24|0);Uwc(g,h);q=f[k>>2]|0;if(q>>>0<(f[d+8>>2]|0)>>>0){Wwc(q,g);f[k>>2]=(f[k>>2]|0)+24}else Xwc(d,g);ewc(g);vwc(h);b[n>>0]=1;p=m;break a;break}case 68:break;default:{p=a;break a}}switch(b[o>>0]|0){case 53:case 50:case 49:case 48:break;default:{p=a;break a}}Zxc(j,l+-24|0);Cwc(j,0,530880)|0;f[i>>2]=f[j>>2];f[i+4>>2]=f[j+4>>2];f[i+8>>2]=f[j+8>>2];l=0;while(1){if((l|0)==3)break;f[j+(l<<2)>>2]=0;l=l+1|0}Uwc(g,i);l=f[k>>2]|0;if(l>>>0<(f[d+8>>2]|0)>>>0){Wwc(l,g);f[k>>2]=(f[k>>2]|0)+24}else Xwc(d,g);ewc(g);vwc(i);vwc(j);b[n>>0]=1;p=m}else p=a;while(0);u=e;return p|0}function Mxc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;e=u;u=u+80|0;g=e+68|0;h=e+16|0;i=e+56|0;j=e+44|0;k=e;l=e+40|0;a:do if((c-a|0)>2?(b[a>>0]|0)==85:0){m=a+2|0;switch(b[a+1>>0]|0){case 116:{f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;n=_jc(531611)|0;if(n>>>0>4294967279)muc(i);if(n>>>0<11){b[i+11>>0]=n;o=i}else{p=n+16&-16;q=swc(p)|0;f[i>>2]=q;f[i+8>>2]=p|-2147483648;f[i+4>>2]=n;o=q}fjc(o,531611,n)|0;b[g>>0]=0;$jc(o+n|0,g);Uwc(h,i);n=d+4|0;q=f[n>>2]|0;if(q>>>0<(f[d+8>>2]|0)>>>0){Wwc(q,h);f[n>>2]=(f[n>>2]|0)+24}else Xwc(d,h);ewc(h);vwc(i);if((m|0)==(c|0)){q=f[n>>2]|0;p=q+-24|0;r=q;while(1){if((r|0)==(p|0)){s=a;break a}q=r+-24|0;f[n>>2]=q;ewc(q);r=f[n>>2]|0}}if(((b[m>>0]|0)+-48|0)>>>0<10){r=a+3|0;while(1){if((r|0)==(c|0)){t=c;break}if(((b[r>>0]|0)+-48|0)>>>0>=10){t=r;break}r=r+1|0}Vxc((f[n>>2]|0)+-24|0,m,t);v=t}else v=m;Wxc((f[n>>2]|0)+-24|0,39);if((v|0)!=(c|0)?(b[v>>0]|0)==95:0){s=v+1|0;break a}r=f[n>>2]|0;p=r+-24|0;q=r;while(1){if((q|0)==(p|0)){s=a;break a}r=q+-24|0;f[n>>2]=r;ewc(r);q=f[n>>2]|0}break}case 108:break;default:{s=a;break a}}f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;n=_jc(531620)|0;if(n>>>0>4294967279)muc(j);if(n>>>0<11){b[j+11>>0]=n;w=j}else{q=n+16&-16;p=swc(q)|0;f[j>>2]=p;f[j+8>>2]=q|-2147483648;f[j+4>>2]=n;w=p}fjc(w,531620,n)|0;b[g>>0]=0;$jc(w+n|0,g);Uwc(h,j);n=d+4|0;p=f[n>>2]|0;if(p>>>0<(f[d+8>>2]|0)>>>0){Wwc(p,h);f[n>>2]=(f[n>>2]|0)+24}else Xwc(d,h);ewc(h);vwc(j);do if((b[m>>0]|0)!=118){p=zwc(m,c,d)|0;if((p|0)==(m|0)){q=f[n>>2]|0;r=q+-24|0;x=q;while(1){if((x|0)==(r|0)){s=a;break a}q=x+-24|0;f[n>>2]=q;ewc(q);x=f[n>>2]|0}}x=f[n>>2]|0;if(((x-(f[d>>2]|0)|0)/24|0)>>>0<2){s=a;break a}Rwc(h,x+-24|0);x=f[n>>2]|0;r=x+-24|0;q=x;while(1){if((q|0)==(r|0))break;y=q+-24|0;f[n>>2]=y;ewc(y);q=f[n>>2]|0}q=h+11|0;r=b[q>>0]|0;y=r<<24>>24<0;z=h+4|0;hwc(x+-48|0,y?f[h>>2]|0:h,y?f[z>>2]|0:r&255)|0;r=p;while(1){y=zwc(r,c,d)|0;if((y|0)==(r|0)){A=60;break}B=f[n>>2]|0;if(((B-(f[d>>2]|0)|0)/24|0)>>>0<2){A=85;break}Rwc(k,B+-24|0);if((b[q>>0]|0)<0){B=f[h>>2]|0;b[g>>0]=0;$jc(B,g);f[z>>2]=0}else{b[g>>0]=0;$jc(h,g);b[q>>0]=0}cxc(h);f[h>>2]=f[k>>2];f[h+4>>2]=f[k+4>>2];f[h+8>>2]=f[k+8>>2];B=0;while(1){if((B|0)==3)break;f[k+(B<<2)>>2]=0;B=B+1|0}vwc(k);B=f[n>>2]|0;C=B+-24|0;D=B;while(1){if((D|0)==(C|0))break;E=D+-24|0;f[n>>2]=E;ewc(E);D=f[n>>2]|0}D=b[q>>0]|0;if(!((D<<24>>24<0?f[z>>2]|0:D&255)|0)){r=y;continue}Dwc(B+-48|0,531032)|0;D=b[q>>0]|0;C=D<<24>>24<0;hwc((f[n>>2]|0)+-24|0,C?f[h>>2]|0:h,C?f[z>>2]|0:D&255)|0;r=y}if((A|0)==60){Dwc((f[n>>2]|0)+-24|0,530808)|0;vwc(h);F=r;break}else if((A|0)==85){vwc(h);s=a;break a}}else{Wxc((f[n>>2]|0)+-24|0,41);F=a+3|0}while(0);if((F|0)!=(c|0)?(b[F>>0]|0)==69:0){m=F+1|0;if((m|0)==(c|0)){z=f[n>>2]|0;q=z+-24|0;p=z;while(1){if((p|0)==(q|0)){s=a;break a}z=p+-24|0;f[n>>2]=z;ewc(z);p=f[n>>2]|0}}if(((b[m>>0]|0)+-48|0)>>>0<10){p=F+2|0;while(1){if((p|0)==(c|0)){G=c;break}if(((b[p>>0]|0)+-48|0)>>>0>=10){G=p;break}p=p+1|0}p=(f[n>>2]|0)+-24|0;if((b[p+11>>0]|0)<0)H=f[p>>2]|0;else H=p;f[l>>2]=H+7;f[g>>2]=f[l>>2];Xxc(p,g,m,G)|0;I=G}else I=m;if((I|0)!=(c|0)?(b[I>>0]|0)==95:0){s=I+1|0;break}p=f[n>>2]|0;q=p+-24|0;z=p;while(1){if((z|0)==(q|0)){s=a;break a}p=z+-24|0;f[n>>2]=p;ewc(p);z=f[n>>2]|0}}z=f[n>>2]|0;q=z+-24|0;m=z;while(1){if((m|0)==(q|0)){s=a;break a}z=m+-24|0;f[n>>2]=z;ewc(z);m=f[n>>2]|0}}else s=a;while(0);u=e;return s|0}function Nxc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;e=u;u=u+32|0;g=e;a:do if((c-a|0)>1){h=a+2|0;i=a+1|0;do switch(b[a>>0]|0){case 97:{switch(b[i>>0]|0){case 97:{Oxc(g,531110);j=d+4|0;k=f[j>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){Wwc(k,g);f[j>>2]=(f[j>>2]|0)+24}else Xwc(d,g);ewc(g);l=h;break a;break}case 110:case 100:{Pxc(g,531121);j=d+4|0;k=f[j>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){Wwc(k,g);f[j>>2]=(f[j>>2]|0)+24}else Xwc(d,g);ewc(g);l=h;break a;break}case 78:{Oxc(g,531131);j=d+4|0;k=f[j>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){Wwc(k,g);f[j>>2]=(f[j>>2]|0)+24}else Xwc(d,g);ewc(g);l=h;break a;break}case 83:{Pxc(g,531142);j=d+4|0;k=f[j>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){Wwc(k,g);f[j>>2]=(f[j>>2]|0)+24}else Xwc(d,g);ewc(g);l=h;break a;break}default:{l=a;break a}}break}case 99:{switch(b[i>>0]|0){case 108:{Oxc(g,531152);j=d+4|0;k=f[j>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){Wwc(k,g);f[j>>2]=(f[j>>2]|0)+24}else Xwc(d,g);ewc(g);l=h;break a;break}case 109:{Pxc(g,531163);j=d+4|0;k=f[j>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){Wwc(k,g);f[j>>2]=(f[j>>2]|0)+24}else Xwc(d,g);ewc(g);l=h;break a;break}case 111:{Pxc(g,531173);j=d+4|0;k=f[j>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){Wwc(k,g);f[j>>2]=(f[j>>2]|0)+24}else Xwc(d,g);ewc(g);l=h;break a;break}case 118:{j=d+63|0;k=b[j>>0]|0;b[j>>0]=0;m=zwc(h,c,d)|0;b[j>>0]=k;if((m|0)==(h|0)){l=a;break a}k=f[d+4>>2]|0;if((f[d>>2]|0)==(k|0)){l=a;break a}Cwc(k+-24|0,0,531183)|0;b[d+60>>0]=1;l=m;break a;break}default:{l=a;break a}}break}case 100:{switch(b[i>>0]|0){case 97:{Qxc(g,531193);m=d+4|0;k=f[m>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){Wwc(k,g);f[m>>2]=(f[m>>2]|0)+24}else Xwc(d,g);ewc(g);l=h;break a;break}case 101:{Pxc(g,531211);m=d+4|0;k=f[m>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){Wwc(k,g);f[m>>2]=(f[m>>2]|0)+24}else Xwc(d,g);ewc(g);l=h;break a;break}case 108:{Rxc(g);m=d+4|0;k=f[m>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){Wwc(k,g);f[m>>2]=(f[m>>2]|0)+24}else Xwc(d,g);ewc(g);l=h;break a;break}case 118:{Pxc(g,531221);m=d+4|0;k=f[m>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){Wwc(k,g);f[m>>2]=(f[m>>2]|0)+24}else Xwc(d,g);ewc(g);l=h;break a;break}case 86:{Oxc(g,531231);m=d+4|0;k=f[m>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){Wwc(k,g);f[m>>2]=(f[m>>2]|0)+24}else Xwc(d,g);ewc(g);l=h;break a;break}default:{l=a;break a}}break}case 101:{switch(b[i>>0]|0){case 111:{Pxc(g,531242);m=d+4|0;k=f[m>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){Wwc(k,g);f[m>>2]=(f[m>>2]|0)+24}else Xwc(d,g);ewc(g);l=h;break a;break}case 79:{Oxc(g,531252);m=d+4|0;k=f[m>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){Wwc(k,g);f[m>>2]=(f[m>>2]|0)+24}else Xwc(d,g);ewc(g);l=h;break a;break}case 113:{Oxc(g,531263);m=d+4|0;k=f[m>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){Wwc(k,g);f[m>>2]=(f[m>>2]|0)+24}else Xwc(d,g);ewc(g);l=h;break a;break}default:{l=a;break a}}break}case 103:{switch(b[i>>0]|0){case 101:{Oxc(g,531274);m=d+4|0;k=f[m>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){Wwc(k,g);f[m>>2]=(f[m>>2]|0)+24}else Xwc(d,g);ewc(g);l=h;break a;break}case 116:{Pxc(g,531285);m=d+4|0;k=f[m>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){Wwc(k,g);f[m>>2]=(f[m>>2]|0)+24}else Xwc(d,g);ewc(g);l=h;break a;break}default:{l=a;break a}}break}case 105:{if((b[i>>0]|0)!=120){l=a;break a}Oxc(g,531295);m=d+4|0;k=f[m>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){Wwc(k,g);f[m>>2]=(f[m>>2]|0)+24}else Xwc(d,g);ewc(g);l=h;break a;break}case 108:{switch(b[i>>0]|0){case 101:{Oxc(g,531306);m=d+4|0;k=f[m>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){Wwc(k,g);f[m>>2]=(f[m>>2]|0)+24}else Xwc(d,g);ewc(g);l=h;break a;break}case 105:{m=Swc(h,c,d)|0;if((m|0)==(h|0)){l=a;break a}k=f[d+4>>2]|0;if((f[d>>2]|0)==(k|0)){l=a;break a}Cwc(k+-24|0,0,531317)|0;l=m;break a;break}case 115:{Oxc(g,531329);m=d+4|0;k=f[m>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){Wwc(k,g);f[m>>2]=(f[m>>2]|0)+24}else Xwc(d,g);ewc(g);l=h;break a;break}case 83:{Sxc(g,531340);m=d+4|0;k=f[m>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){Wwc(k,g);f[m>>2]=(f[m>>2]|0)+24}else Xwc(d,g);ewc(g);l=h;break a;break}case 116:{Pxc(g,531352);m=d+4|0;k=f[m>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){Wwc(k,g);f[m>>2]=(f[m>>2]|0)+24}else Xwc(d,g);ewc(g);l=h;break a;break}default:{l=a;break a}}break}case 109:{switch(b[i>>0]|0){case 105:{Pxc(g,531362);m=d+4|0;k=f[m>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){Wwc(k,g);f[m>>2]=(f[m>>2]|0)+24}else Xwc(d,g);ewc(g);l=h;break a;break}case 73:{Oxc(g,531372);m=d+4|0;k=f[m>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){Wwc(k,g);f[m>>2]=(f[m>>2]|0)+24}else Xwc(d,g);ewc(g);l=h;break a;break}case 108:{Pxc(g,531211);m=d+4|0;k=f[m>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){Wwc(k,g);f[m>>2]=(f[m>>2]|0)+24}else Xwc(d,g);ewc(g);l=h;break a;break}case 76:{Oxc(g,531383);m=d+4|0;k=f[m>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){Wwc(k,g);f[m>>2]=(f[m>>2]|0)+24}else Xwc(d,g);ewc(g);l=h;break a;break}case 109:{Oxc(g,531394);m=d+4|0;k=f[m>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){Wwc(k,g);f[m>>2]=(f[m>>2]|0)+24}else Xwc(d,g);ewc(g);l=h;break a;break}default:{l=a;break a}}break}case 110:{switch(b[i>>0]|0){case 97:{Txc(g,531405);m=d+4|0;k=f[m>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){Wwc(k,g);f[m>>2]=(f[m>>2]|0)+24}else Xwc(d,g);ewc(g);l=h;break a;break}case 101:{Oxc(g,531420);m=d+4|0;k=f[m>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){Wwc(k,g);f[m>>2]=(f[m>>2]|0)+24}else Xwc(d,g);ewc(g);l=h;break a;break}case 103:{Pxc(g,531362);m=d+4|0;k=f[m>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){Wwc(k,g);f[m>>2]=(f[m>>2]|0)+24}else Xwc(d,g);ewc(g);l=h;break a;break}case 116:{Pxc(g,531431);m=d+4|0;k=f[m>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){Wwc(k,g);f[m>>2]=(f[m>>2]|0)+24}else Xwc(d,g);ewc(g);l=h;break a;break}case 119:{Uxc(g,531441);m=d+4|0;k=f[m>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){Wwc(k,g);f[m>>2]=(f[m>>2]|0)+24}else Xwc(d,g);ewc(g);l=h;break a;break}default:{l=a;break a}}break}case 111:{switch(b[i>>0]|0){case 111:{Oxc(g,531454);m=d+4|0;k=f[m>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){Wwc(k,g);f[m>>2]=(f[m>>2]|0)+24}else Xwc(d,g);ewc(g);l=h;break a;break}case 114:{Pxc(g,531465);m=d+4|0;k=f[m>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){Wwc(k,g);f[m>>2]=(f[m>>2]|0)+24}else Xwc(d,g);ewc(g);l=h;break a;break}case 82:{Oxc(g,531475);m=d+4|0;k=f[m>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){Wwc(k,g);f[m>>2]=(f[m>>2]|0)+24}else Xwc(d,g);ewc(g);l=h;break a;break}default:{l=a;break a}}break}case 112:{switch(b[i>>0]|0){case 109:{Sxc(g,531486);m=d+4|0;k=f[m>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){Wwc(k,g);f[m>>2]=(f[m>>2]|0)+24}else Xwc(d,g);ewc(g);l=h;break a;break}case 108:{Pxc(g,531498);m=d+4|0;k=f[m>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){Wwc(k,g);f[m>>2]=(f[m>>2]|0)+24}else Xwc(d,g);ewc(g);l=h;break a;break}case 76:{Oxc(g,531508);m=d+4|0;k=f[m>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){Wwc(k,g);f[m>>2]=(f[m>>2]|0)+24}else Xwc(d,g);ewc(g);l=h;break a;break}case 112:{Oxc(g,531519);m=d+4|0;k=f[m>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){Wwc(k,g);f[m>>2]=(f[m>>2]|0)+24}else Xwc(d,g);ewc(g);l=h;break a;break}case 115:{Pxc(g,531498);m=d+4|0;k=f[m>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){Wwc(k,g);f[m>>2]=(f[m>>2]|0)+24}else Xwc(d,g);ewc(g);l=h;break a;break}case 116:{Oxc(g,531530);m=d+4|0;k=f[m>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){Wwc(k,g);f[m>>2]=(f[m>>2]|0)+24}else Xwc(d,g);ewc(g);l=h;break a;break}default:{l=a;break a}}break}case 113:{if((b[i>>0]|0)!=117){l=a;break a}Pxc(g,531541);m=d+4|0;k=f[m>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){Wwc(k,g);f[m>>2]=(f[m>>2]|0)+24}else Xwc(d,g);ewc(g);l=h;break a;break}case 114:{switch(b[i>>0]|0){case 109:{Pxc(g,531551);m=d+4|0;k=f[m>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){Wwc(k,g);f[m>>2]=(f[m>>2]|0)+24}else Xwc(d,g);ewc(g);l=h;break a;break}case 77:{Oxc(g,531561);m=d+4|0;k=f[m>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){Wwc(k,g);f[m>>2]=(f[m>>2]|0)+24}else Xwc(d,g);ewc(g);l=h;break a;break}case 115:{Oxc(g,531572);m=d+4|0;k=f[m>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){Wwc(k,g);f[m>>2]=(f[m>>2]|0)+24}else Xwc(d,g);ewc(g);l=h;break a;break}case 83:{Sxc(g,531583);m=d+4|0;k=f[m>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){Wwc(k,g);f[m>>2]=(f[m>>2]|0)+24}else Xwc(d,g);ewc(g);l=h;break a;break}default:{l=a;break a}}break}case 118:{if(((b[i>>0]|0)+-48|0)>>>0>=10){l=a;break a}m=Swc(h,c,d)|0;if((m|0)==(h|0)){l=a;break a}k=f[d+4>>2]|0;if((f[d>>2]|0)==(k|0)){l=a;break a}Cwc(k+-24|0,0,531183)|0;l=m;break a;break}default:{l=a;break a}}while(0)}else l=a;while(0);u=e;return l|0}function Oxc(a,c){a=a|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;b[a+11>>0]=10;fjc(a,c,10)|0;b[e>>0]=0;$jc(a+10|0,e);e=a+12|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;a=0;while(1){if((a|0)==3)break;f[e+(a<<2)>>2]=0;a=a+1|0}u=d;return}function Pxc(a,c){a=a|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;b[a+11>>0]=9;fjc(a,c,9)|0;b[e>>0]=0;$jc(a+9|0,e);e=a+12|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;a=0;while(1){if((a|0)==3)break;f[e+(a<<2)>>2]=0;a=a+1|0}u=d;return}function Qxc(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+16|0;e=d;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;g=swc(32)|0;f[a>>2]=g;f[a+8>>2]=-2147483616;f[a+4>>2]=17;fjc(g,c,17)|0;b[e>>0]=0;$jc(g+17|0,e);e=a+12|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;a=0;while(1){if((a|0)==3)break;f[e+(a<<2)>>2]=0;a=a+1|0}u=d;return}function Rxc(a){a=a|0;var c=0,d=0,e=0;c=u;u=u+16|0;d=c;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;e=swc(16)|0;f[a>>2]=e;f[a+8>>2]=-2147483632;f[a+4>>2]=15;fjc(e,531595,15)|0;b[d>>0]=0;$jc(e+15|0,d);d=a+12|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;a=0;while(1){if((a|0)==3)break;f[d+(a<<2)>>2]=0;a=a+1|0}u=c;return}function Sxc(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+16|0;e=d;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;g=swc(16)|0;f[a>>2]=g;f[a+8>>2]=-2147483632;f[a+4>>2]=11;fjc(g,c,11)|0;b[e>>0]=0;$jc(g+11|0,e);e=a+12|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;a=0;while(1){if((a|0)==3)break;f[e+(a<<2)>>2]=0;a=a+1|0}u=d;return}function Txc(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+16|0;e=d;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;g=swc(16)|0;f[a>>2]=g;f[a+8>>2]=-2147483632;f[a+4>>2]=14;fjc(g,c,14)|0;b[e>>0]=0;$jc(g+14|0,e);e=a+12|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;a=0;while(1){if((a|0)==3)break;f[e+(a<<2)>>2]=0;a=a+1|0}u=d;return}function Uxc(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+16|0;e=d;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;g=swc(16)|0;f[a>>2]=g;f[a+8>>2]=-2147483632;f[a+4>>2]=12;fjc(g,c,12)|0;b[e>>0]=0;$jc(g+12|0,e);e=a+12|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;a=0;while(1){if((a|0)==3)break;f[e+(a<<2)>>2]=0;a=a+1|0}u=d;return}function Vxc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;e=u;u=u+16|0;g=c;h=e+12|0;i=e;j=a+11|0;k=b[j>>0]|0;l=k<<24>>24<0;if(l){m=f[a+4>>2]|0;n=(f[a+8>>2]&2147483647)+-1|0}else{m=k&255;n=10}o=d-g|0;do if(o|0){if(l){p=f[a>>2]|0;q=p;r=f[a+4>>2]|0;s=p}else{q=a;r=k&255;s=a}if(Iuc(c,s,q+r|0)|0){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;if(o>>>0>4294967279)muc(i);if(o>>>0<11){b[i+11>>0]=o;t=i}else{p=o+16&-16;v=swc(p)|0;f[i>>2]=v;f[i+8>>2]=p|-2147483648;f[i+4>>2]=o;t=v}v=c;p=t;while(1){if((v|0)==(d|0))break;$jc(p,v);v=v+1|0;p=p+1|0}b[h>>0]=0;$jc(t+o|0,h);p=b[i+11>>0]|0;v=p<<24>>24<0;hwc(a,v?f[i>>2]|0:i,v?f[i+4>>2]|0:p&255)|0;vwc(i);break}p=m+o|0;if((n-m|0)>>>0<o>>>0)Yxc(a,n,p-n|0,m,m,0);if((b[j>>0]|0)<0)w=f[a>>2]|0;else w=a;v=d+(m-g)|0;x=w+m|0;y=c;while(1){if((y|0)==(d|0))break;$jc(x,y);x=x+1|0;y=y+1|0}b[h>>0]=0;$jc(w+v|0,h);if((b[j>>0]|0)<0){f[a+4>>2]=p;break}else{b[j>>0]=p;break}}while(0);u=e;return}function Wxc(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;d=u;u=u+16|0;e=d;g=d+1|0;b[e>>0]=c;c=a+11|0;h=b[c>>0]|0;i=h<<24>>24<0;if(i){j=f[a+4>>2]|0;k=(f[a+8>>2]&2147483647)+-1|0}else{j=h&255;k=10}if((j|0)==(k|0)){Yxc(a,k,1,k,k,0);h=k+1|0;if((b[c>>0]|0)<0){l=h;m=8}else{n=h;m=7}}else{h=j+1|0;if(i){l=h;m=8}else{n=h;m=7}}if((m|0)==7){b[c>>0]=n;o=a}else if((m|0)==8){m=f[a>>2]|0;f[a+4>>2]=l;o=m}m=o+j|0;$jc(m,e);b[g>>0]=0;$jc(m+1|0,g);u=d;return}function Xxc(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;g=u;u=u+32|0;h=g+16|0;i=g;j=g+12|0;k=a+11|0;l=b[k>>0]|0;m=l<<24>>24<0;if(m)n=f[a>>2]|0;else n=a;o=f[c>>2]|0;c=o-n|0;n=e-d|0;do if(!n){p=l;q=35}else{if(m){r=f[a>>2]|0;s=r;t=f[a+4>>2]|0;v=r}else{s=a;t=l&255;v=a}if(Iuc(d,v,s+t|0)|0){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;if(n>>>0>4294967279)muc(i);if(n>>>0<11){b[i+11>>0]=n;w=i}else{r=n+16&-16;x=swc(r)|0;f[i>>2]=x;f[i+8>>2]=r|-2147483648;f[i+4>>2]=n;w=x}x=d;r=w;while(1){if((x|0)==(e|0))break;$jc(r,x);x=x+1|0;r=r+1|0}b[h>>0]=0;$jc(w+n|0,h);f[j>>2]=o;r=b[i+11>>0]|0;x=r<<24>>24<0;y=x?f[i>>2]|0:i;z=y+(x?f[i+4>>2]|0:r&255)|0;f[h>>2]=f[j>>2];r=Xxc(a,h,y,z)|0;vwc(i);A=r;break}r=b[k>>0]|0;z=r<<24>>24<0;if(z){B=f[a+4>>2]|0;C=(f[a+8>>2]&2147483647)+-1|0}else{B=r&255;C=10}r=B+n|0;if((C-B|0)>>>0>=n>>>0){if(z)D=f[a>>2]|0;else D=a;z=B-c|0;if(!z)E=D;else{y=D+c|0;tuc(y+n|0,y,z)|0;E=D}}else{Yxc(a,C,r-C|0,B,c,n);E=f[a>>2]|0}if((b[k>>0]|0)<0)f[a+4>>2]=r;else b[k>>0]=r;b[h>>0]=0;$jc(E+r|0,h);r=d;z=E+c|0;while(1){if((r|0)==(e|0))break;$jc(z,r);r=r+1|0;z=z+1|0}p=b[k>>0]|0;q=35}while(0);if((q|0)==35){if(p<<24>>24<0)F=f[a>>2]|0;else F=a;A=F+c|0}u=g;return A|0}function Yxc(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0;if((-17-c|0)>>>0<d>>>0)muc(a);if((b[a+11>>0]|0)<0)i=f[a>>2]|0;else i=a;if(c>>>0<2147483623){j=d+c|0;d=c<<1;k=j>>>0<d>>>0?d:j;l=k>>>0<11?11:k+16&-16}else l=-17;k=swc(l)|0;if(g|0)fjc(k,i,g)|0;j=e-g|0;if(j|0)fjc(k+g+h|0,i+g|0,j)|0;if((c|0)!=10)twc(i);f[a>>2]=k;f[a+8>>2]=l|-2147483648;return}function Zxc(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;d=u;u=u+16|0;e=d;g=c+11|0;h=b[g>>0]|0;i=c+4|0;a:do if(!((h<<24>>24<0?f[i>>2]|0:h&255)|0))_xc(a,c);else{j=_jc(531630)|0;k=b[g>>0]|0;if((j|0)==((k<<24>>24<0?f[i>>2]|0:k&255)|0)?(Nwc(c,531630,j)|0)==0:0){Exc(c,531642);f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;j=_jc(531713)|0;if(j>>>0>4294967279)muc(a);if(j>>>0<11){b[a+11>>0]=j;l=a}else{k=j+16&-16;m=swc(k)|0;f[a>>2]=m;f[a+8>>2]=k|-2147483648;f[a+4>>2]=j;l=m}fjc(l,531713,j)|0;b[e>>0]=0;$jc(l+j|0,e);break}j=_jc(531726)|0;m=b[g>>0]|0;if((j|0)==((m<<24>>24<0?f[i>>2]|0:m&255)|0)?(Nwc(c,531726,j)|0)==0:0){Exc(c,531739);f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;j=_jc(531789)|0;if(j>>>0>4294967279)muc(a);if(j>>>0<11){b[a+11>>0]=j;n=a}else{m=j+16&-16;k=swc(m)|0;f[a>>2]=k;f[a+8>>2]=m|-2147483648;f[a+4>>2]=j;n=k}fjc(n,531789,j)|0;b[e>>0]=0;$jc(n+j|0,e);break}j=_jc(531803)|0;k=b[g>>0]|0;if((j|0)==((k<<24>>24<0?f[i>>2]|0:k&255)|0)?(Nwc(c,531803,j)|0)==0:0){Exc(c,531816);f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;j=_jc(531866)|0;if(j>>>0>4294967279)muc(a);if(j>>>0<11){b[a+11>>0]=j;o=a}else{k=j+16&-16;m=swc(k)|0;f[a>>2]=m;f[a+8>>2]=k|-2147483648;f[a+4>>2]=j;o=m}fjc(o,531866,j)|0;b[e>>0]=0;$jc(o+j|0,e);break}j=_jc(531880)|0;m=b[g>>0]|0;k=f[i>>2]|0;do if((j|0)==((m<<24>>24<0?k:m&255)|0)){if(Nwc(c,531880,j)|0){p=f[i>>2]|0;q=b[g>>0]|0;break}Exc(c,531894);f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;r=_jc(531945)|0;if(r>>>0>4294967279)muc(a);if(r>>>0<11){b[a+11>>0]=r;s=a}else{t=r+16&-16;v=swc(t)|0;f[a>>2]=v;f[a+8>>2]=t|-2147483648;f[a+4>>2]=r;s=v}fjc(s,531945,r)|0;b[e>>0]=0;$jc(s+r|0,e);break a}else{p=k;q=m}while(0);m=q<<24>>24<0;k=m?f[c>>2]|0:c;j=k+(m?p:q&255)|0;b:do if((b[j+-1>>0]|0)==62){m=1;r=j;c:while(1){v=r;d:while(1){w=v+-1|0;if((w|0)==(k|0))break c;x=v+-2|0;switch(b[x>>0]|0){case 60:{y=43;break d;break}case 62:{y=44;break d;break}default:v=w}}if((y|0)==43){y=0;v=m+-1|0;if(!v){z=x;break b}else{m=v;r=w;continue}}else if((y|0)==44){y=0;m=m+1|0;r=w;continue}}f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;r=0;while(1){if((r|0)==3)break a;f[a+(r<<2)>>2]=0;r=r+1|0}}else z=j;while(0);j=z;while(1){r=j+-1|0;if((r|0)==(k|0)){A=k;break}if((b[r>>0]|0)==58){A=j;break}else j=r}f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;j=z-A|0;if(j>>>0>4294967279)muc(a);if(j>>>0<11){b[a+11>>0]=j;B=a}else{k=j+16&-16;r=swc(k)|0;f[a>>2]=r;f[a+8>>2]=k|-2147483648;f[a+4>>2]=j;B=r}r=A;k=B;while(1){if((r|0)==(z|0))break;$jc(k,r);r=r+1|0;k=k+1|0}b[e>>0]=0;$jc(B+j|0,e)}while(0);u=d;return}function _xc(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;d=u;u=u+16|0;e=d;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;if((b[c+11>>0]|0)<0){g=f[c>>2]|0;h=f[c+4>>2]|0;if(h>>>0>4294967279)muc(a);if(h>>>0<11){b[a+11>>0]=h;i=a}else{j=h+16&-16;k=swc(j)|0;f[a>>2]=k;f[a+8>>2]=j|-2147483648;f[a+4>>2]=h;i=k}fjc(i,g,h)|0;b[e>>0]=0;$jc(i+h|0,e)}else{f[a>>2]=f[c>>2];f[a+4>>2]=f[c+4>>2];f[a+8>>2]=f[c+8>>2]}u=d;return}function $xc(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;if((a|0)!=(b|0)){d=Hxc(a,b,c)|0;if((d|0)==(a|0))e=Jxc(a,b,c)|0;else e=d;if((e|0)!=(a|0)?(d=f[c+4>>2]|0,(f[c>>2]|0)!=(d|0)):0){Cwc(d+-24|0,0,530880)|0;g=e}else g=a}else g=a;return g|0}function ayc(a){a=a|0;var b=0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;b=0;while(1){if((b|0)==3)break;f[a+(b<<2)>>2]=0;b=b+1|0}b=a+12|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;a=0;while(1){if((a|0)==3)break;f[b+(a<<2)>>2]=0;a=a+1|0}return}function byc(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0;b=u;u=u+32|0;c=b;d=a+4|0;e=(((f[d>>2]|0)-(f[a>>2]|0)|0)/24|0)+1|0;g=cyc(a)|0;if(g>>>0<e>>>0)nsc(a);else{h=f[a>>2]|0;i=((f[a+8>>2]|0)-h|0)/24|0;j=i<<1;dyc(c,i>>>0<g>>>1>>>0?(j>>>0<e>>>0?e:j):g,((f[d>>2]|0)-h|0)/24|0,a+12|0);h=c+8|0;d=f[h>>2]|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;f[d+16>>2]=0;f[d+20>>2]=0;ayc(d);f[h>>2]=d+24;eyc(a,c);fyc(c);u=b;return}}function cyc(a){a=a|0;return 178956970}function dyc(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;f[a+12>>2]=0;f[a+16>>2]=d;if(!b)e=0;else e=gyc(d,b)|0;f[a>>2]=e;d=e+(c*24|0)|0;f[a+8>>2]=d;f[a+4>>2]=d;f[a+12>>2]=e+(b*24|0);return}function eyc(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0;c=f[a>>2]|0;d=a+4|0;e=b+4|0;g=f[d>>2]|0;while(1){if((g|0)==(c|0))break;h=g+-24|0;Wwc((f[e>>2]|0)+-24|0,h);f[e>>2]=(f[e>>2]|0)+-24;g=h}g=f[a>>2]|0;f[a>>2]=f[e>>2];f[e>>2]=g;g=b+8|0;c=f[d>>2]|0;f[d>>2]=f[g>>2];f[g>>2]=c;c=a+8|0;a=b+12|0;g=f[c>>2]|0;f[c>>2]=f[a>>2];f[a>>2]=g;f[b>>2]=f[e>>2];return}function fyc(a){a=a|0;var b=0,c=0,d=0,e=0;b=f[a+4>>2]|0;c=a+8|0;while(1){d=f[c>>2]|0;if((d|0)==(b|0))break;e=d+-24|0;f[c>>2]=e;ewc(e)}c=f[a>>2]|0;if(c|0)uwc(f[a+16>>2]|0,c,((f[a+12>>2]|0)-c|0)/24|0);return}function gyc(a,b){a=a|0;b=b|0;return hyc(f[a>>2]|0,b*24|0)|0}function hyc(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=pwc(b)|0;b=a+4096|0;d=f[b>>2]|0;if((a+4096-d|0)>>>0<c>>>0)e=pec(c)|0;else{f[b>>2]=d+c;e=d}return e|0}function iyc(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;g=u;u=u+48|0;h=g+24|0;i=g;j=g+12|0;k=axc(a,c)|0;if(!((k|0)==(a|0)|(k|0)==(c|0))?(b[k>>0]|0)==69:0){c=d+11|0;l=b[c>>0]|0;m=d+4|0;do if((l<<24>>24<0?f[m>>2]|0:l&255)>>>0<=3){n=e+4|0;o=f[n>>2]|0;if(o>>>0<(f[e+8>>2]|0)>>>0){f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;f[o+12>>2]=0;f[o+16>>2]=0;f[o+20>>2]=0;ayc(o);f[n>>2]=(f[n>>2]|0)+24;break}else{byc(e);break}}else{dxc(j,530810,d);Dwc(j,530808)|0;f[i>>2]=f[j>>2];f[i+4>>2]=f[j+4>>2];f[i+8>>2]=f[j+8>>2];n=0;while(1){if((n|0)==3)break;f[j+(n<<2)>>2]=0;n=n+1|0}Uwc(h,i);n=e+4|0;o=f[n>>2]|0;if(o>>>0<(f[e+8>>2]|0)>>>0){Wwc(o,h);f[n>>2]=(f[n>>2]|0)+24}else Xwc(e,h);ewc(h);vwc(i);vwc(j)}while(0);j=e+4|0;if((b[a>>0]|0)==110){Wxc((f[j>>2]|0)+-24|0,45);p=a+1|0}else p=a;Vxc((f[j>>2]|0)+-24|0,p,k);p=b[c>>0]|0;c=p<<24>>24<0;e=c?f[m>>2]|0:p&255;if(e>>>0<4)hwc((f[j>>2]|0)+-24|0,c?f[d>>2]|0:d,e)|0;q=k+1|0}else q=a;u=g;return q|0}function jyc(a,c){a=a|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;b[a+11>>0]=4;fjc(a,c,4)|0;b[e>>0]=0;$jc(a+4|0,e);e=a+12|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;a=0;while(1){if((a|0)==3)break;f[e+(a<<2)>>2]=0;a=a+1|0}u=d;return}function kyc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;e=u;u=u+80|0;g=e;h=e+44|0;i=e+48|0;j=e+8|0;k=e+32|0;a:do if((c-a|0)>>>0>8){l=0;m=h;while(1){o=b[a+l>>0]|0;q=o<<24>>24;r=a+(l|1)|0;if((l|0)==8){s=6;break}if(!($fc(q)|0))break;t=b[r>>0]|0;b[m>>0]=t+(((q+-48|0)>>>0<10?0:9)+q<<4)+((t+-48|0)>>>0<10?208:169);l=l+2|0;m=m+1|0}do if((s|0)==6){if(o<<24>>24==69){b:do if((h|0)!=(m|0)){l=m;t=h;while(1){q=l+-1|0;if(t>>>0>=q>>>0)break b;v=b[t>>0]|0;b[t>>0]=b[q>>0]|0;b[q>>0]=v;l=q;t=t+1|0}}while(0);t=i;l=t+24|0;do{b[t>>0]=0;t=t+1|0}while((t|0)<(l|0));p[g>>3]=+n[h>>2];t=ufc(i,24,532122,g)|0;if(t>>>0>23)break;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;if(t>>>0<11){b[k+11>>0]=t;w=k}else{l=t+16&-16;q=swc(l)|0;f[k>>2]=q;f[k+8>>2]=l|-2147483648;f[k+4>>2]=t;w=q}fjc(w,i,t)|0;b[g>>0]=0;$jc(w+t|0,g);Uwc(j,k);t=d+4|0;q=f[t>>2]|0;if(q>>>0<(f[d+8>>2]|0)>>>0){Wwc(q,j);f[t>>2]=(f[t>>2]|0)+24}else Xwc(d,j);ewc(j);vwc(k);x=r}else x=a;y=x;break a}while(0);y=a}else y=a;while(0);u=e;return y|0}function lyc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;e=u;u=u+96|0;g=e+8|0;h=e;i=e+56|0;j=e+16|0;k=e+40|0;a:do if((c-a|0)>>>0>16){l=0;m=h;while(1){n=b[a+l>>0]|0;o=n<<24>>24;q=a+(l|1)|0;if((l|0)==16){r=6;break}if(!($fc(o)|0))break;s=b[q>>0]|0;b[m>>0]=s+(((o+-48|0)>>>0<10?0:9)+o<<4)+((s+-48|0)>>>0<10?208:169);l=l+2|0;m=m+1|0}do if((r|0)==6){if(n<<24>>24==69){b:do if((h|0)!=(m|0)){l=m;s=h;while(1){o=l+-1|0;if(s>>>0>=o>>>0)break b;t=b[s>>0]|0;b[s>>0]=b[o>>0]|0;b[o>>0]=t;l=o;s=s+1|0}}while(0);s=i;l=s+32|0;do{b[s>>0]=0;s=s+1|0}while((s|0)<(l|0));p[g>>3]=+p[h>>3];s=ufc(i,32,532119,g)|0;if(s>>>0>31)break;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;if(s>>>0<11){b[k+11>>0]=s;v=k}else{l=s+16&-16;o=swc(l)|0;f[k>>2]=o;f[k+8>>2]=l|-2147483648;f[k+4>>2]=s;v=o}fjc(v,i,s)|0;b[g>>0]=0;$jc(v+s|0,g);Uwc(j,k);s=d+4|0;o=f[s>>2]|0;if(o>>>0<(f[d+8>>2]|0)>>>0){Wwc(o,j);f[s>>2]=(f[s>>2]|0)+24}else Xwc(d,j);ewc(j);vwc(k);w=q}else w=a;x=w;break a}while(0);x=a}else x=a;while(0);u=e;return x|0}
function Tna(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0;d=f[c>>2]|0;e=((d|0)%2|0)+d|0;d=c+4|0;c=f[d>>2]|0;g=a+16|0;h=f[g>>2]|0;f[h+(e<<2)>>2]=((c|0)%2|0)+c;c=e+1|0;i=a+8|0;j=(Y(((f[(f[i>>2]|0)+12>>2]|0)+1|0)/2|0,(c|0)/2|0)|0)+1|0;k=a+4|0;l=f[k>>2]|0;m=f[l+8>>2]|0;n=f[l+12>>2]|0;if((e|0)>=(f[d>>2]|0)){o=j;p=h;q=o-j|0;r=p+(c<<2)|0;f[r>>2]=q;return}h=(n|0)>0;l=a+12|0;a=e;s=j;while(1){t=f[k>>2]|0;u=f[f[t+44>>2]>>2]|0;v=(f[t+16>>2]|0)+(Y(u,a)|0)|0;t=0-u|0;w=v+t|0;x=w+t|0;t=v+u|0;u=f[i>>2]|0;y=f[f[u+44>>2]>>2]|0;z=(f[u+16>>2]|0)+(Y(y,a)|0)|0;u=0-y|0;y=z+u+u|0;if(h){u=(a+1|0)<(m|0);A=(a|0)>(e|0);B=A^1;C=(a|0)>(c|0);D=0;E=s;while(1){a:do if(!(b[v+D>>0]|0)){F=D|1;G=(F|0)<(n|0);if(u?b[t+D>>0]|0:0){H=D+-1|0;I=(D|0)>0;if(G?b[v+F>>0]|0:0){if(I){if(b[v+H>>0]|0){do if(A){if(b[w+F>>0]|0){if(b[w+D>>0]|0){f[z+(D<<2)>>2]=f[z+(D+-2<<2)>>2];J=E;break a}do if(C){if(!(b[x+D>>0]|0))break;K=D+-2|0;if(b[w+H>>0]|0){f[z+(D<<2)>>2]=f[z+(K<<2)>>2];J=E;break a}do if((K|0)>-1){if(!(b[w+K>>0]|0))break;if(b[x+H>>0]|0){f[z+(D<<2)>>2]=f[z+(K<<2)>>2];J=E;break a}L=f[l>>2]|0;M=f[y+(D<<2)>>2]|0;N=f[z+(K<<2)>>2]|0;O=M;while(1){P=f[L+(O<<2)>>2]|0;if((P|0)<(O|0))O=P;else break}if((M|0)==(N|0))Q=O;else{P=N;while(1){R=f[L+(P<<2)>>2]|0;if((R|0)<(P|0))P=R;else break}R=(O|0)>(P|0)?P:O;S=N;do{T=L+(S<<2)|0;U=S;S=f[T>>2]|0;f[T>>2]=R}while((S|0)<(U|0));Q=R}R=M;do{S=L+(R<<2)|0;N=R;R=f[S>>2]|0;f[S>>2]=Q}while((R|0)<(N|0));f[z+(D<<2)>>2]=Q;J=E;break a}while(0);R=f[l>>2]|0;L=f[y+(D<<2)>>2]|0;M=f[z+(K<<2)>>2]|0;N=L;while(1){S=f[R+(N<<2)>>2]|0;if((S|0)<(N|0))N=S;else break}if((L|0)==(M|0))V=N;else{K=M;while(1){S=f[R+(K<<2)>>2]|0;if((S|0)<(K|0))K=S;else break}S=(N|0)>(K|0)?K:N;O=M;do{P=R+(O<<2)|0;U=O;O=f[P>>2]|0;f[P>>2]=S}while((O|0)<(U|0));V=S}S=L;do{O=R+(S<<2)|0;M=S;S=f[O>>2]|0;f[O>>2]=V}while((S|0)<(M|0));f[z+(D<<2)>>2]=V;J=E;break a}while(0);S=f[l>>2]|0;R=f[y+(D<<2)>>2]|0;L=f[z+(D+-2<<2)>>2]|0;M=R;while(1){O=f[S+(M<<2)>>2]|0;if((O|0)<(M|0))M=O;else break}if((R|0)==(L|0))W=M;else{O=L;while(1){N=f[S+(O<<2)>>2]|0;if((N|0)<(O|0))O=N;else break}N=(M|0)>(O|0)?O:M;K=L;do{U=S+(K<<2)|0;P=K;K=f[U>>2]|0;f[U>>2]=N}while((K|0)<(P|0));W=N}N=R;do{K=S+(N<<2)|0;L=N;N=f[K>>2]|0;f[K>>2]=W}while((N|0)<(L|0));f[z+(D<<2)>>2]=W;J=E;break a}N=D+2|0;if((N|0)>=(n|0))break;if(!(b[w+N>>0]|0))break;do if(C){if(!(b[x+F>>0]|0))break;if(b[w+D>>0]|0){f[z+(D<<2)>>2]=f[z+(D+-2<<2)>>2];J=E;break a}if(!(b[x+D>>0]|0)){S=f[l>>2]|0;R=f[y+(N<<2)>>2]|0;L=f[z+(D+-2<<2)>>2]|0;K=R;while(1){M=f[S+(K<<2)>>2]|0;if((M|0)<(K|0))K=M;else break}if((R|0)==(L|0))X=K;else{M=L;while(1){O=f[S+(M<<2)>>2]|0;if((O|0)<(M|0))M=O;else break}O=(K|0)>(M|0)?M:K;P=L;do{U=S+(P<<2)|0;T=P;P=f[U>>2]|0;f[U>>2]=O}while((P|0)<(T|0));X=O}O=R;do{P=S+(O<<2)|0;L=O;O=f[P>>2]|0;f[P>>2]=X}while((O|0)<(L|0));f[z+(D<<2)>>2]=X;J=E;break a}O=D+-2|0;if(b[w+H>>0]|0){f[z+(D<<2)>>2]=f[z+(O<<2)>>2];J=E;break a}do if((O|0)>-1){if(!(b[w+O>>0]|0))break;if(b[x+H>>0]|0){f[z+(D<<2)>>2]=f[z+(O<<2)>>2];J=E;break a}S=f[l>>2]|0;R=f[y+(N<<2)>>2]|0;L=f[z+(O<<2)>>2]|0;P=R;while(1){K=f[S+(P<<2)>>2]|0;if((K|0)<(P|0))P=K;else break}if((R|0)==(L|0))Z=P;else{K=L;while(1){M=f[S+(K<<2)>>2]|0;if((M|0)<(K|0))K=M;else break}M=(P|0)>(K|0)?K:P;T=L;do{U=S+(T<<2)|0;_=T;T=f[U>>2]|0;f[U>>2]=M}while((T|0)<(_|0));Z=M}M=R;do{T=S+(M<<2)|0;L=M;M=f[T>>2]|0;f[T>>2]=Z}while((M|0)<(L|0));f[z+(D<<2)>>2]=Z;J=E;break a}while(0);M=f[l>>2]|0;S=f[y+(N<<2)>>2]|0;R=f[z+(O<<2)>>2]|0;L=S;while(1){T=f[M+(L<<2)>>2]|0;if((T|0)<(L|0))L=T;else break}if((S|0)==(R|0))$=L;else{O=R;while(1){T=f[M+(O<<2)>>2]|0;if((T|0)<(O|0))O=T;else break}T=(L|0)>(O|0)?O:L;P=R;do{K=M+(P<<2)|0;_=P;P=f[K>>2]|0;f[K>>2]=T}while((P|0)<(_|0));$=T}T=S;do{P=M+(T<<2)|0;R=T;T=f[P>>2]|0;f[P>>2]=$}while((T|0)<(R|0));f[z+(D<<2)>>2]=$;J=E;break a}while(0);T=f[l>>2]|0;M=f[y+(N<<2)>>2]|0;S=f[z+(D+-2<<2)>>2]|0;R=M;while(1){P=f[T+(R<<2)>>2]|0;if((P|0)<(R|0))R=P;else break}if((M|0)==(S|0))aa=R;else{N=S;while(1){P=f[T+(N<<2)>>2]|0;if((P|0)<(N|0))N=P;else break}P=(R|0)>(N|0)?N:R;L=S;do{O=T+(L<<2)|0;_=L;L=f[O>>2]|0;f[O>>2]=P}while((L|0)<(_|0));aa=P}P=M;do{L=T+(P<<2)|0;S=P;P=f[L>>2]|0;f[L>>2]=aa}while((P|0)<(S|0));f[z+(D<<2)>>2]=aa;J=E;break a}while(0);f[z+(D<<2)>>2]=f[z+(D+-2<<2)>>2];J=E;break}if(b[t+H>>0]|0){do if(A){if(b[w+F>>0]|0){P=D+-2|0;do if((P|0)>-1){if(!(b[v+P>>0]|0))break;if(b[w+H>>0]|0){T=f[z+(P<<2)>>2]|0;if(b[w+D>>0]|0){f[z+(D<<2)>>2]=T;J=E;break a}do if(C){if(!(b[x+D>>0]|0))break;f[z+(D<<2)>>2]=T;J=E;break a}while(0);M=f[l>>2]|0;S=f[y+(D<<2)>>2]|0;L=S;while(1){R=f[M+(L<<2)>>2]|0;if((R|0)<(L|0))L=R;else break}if((S|0)==(T|0))ba=L;else{R=T;while(1){N=f[M+(R<<2)>>2]|0;if((N|0)<(R|0))R=N;else break}N=(L|0)>(R|0)?R:L;_=T;do{O=M+(_<<2)|0;K=_;_=f[O>>2]|0;f[O>>2]=N}while((_|0)<(K|0));ba=N}N=S;do{_=M+(N<<2)|0;T=N;N=f[_>>2]|0;f[_>>2]=ba}while((N|0)<(T|0));f[z+(D<<2)>>2]=ba;J=E;break a}if(!(b[w+P>>0]|0)){N=f[l>>2]|0;M=f[y+(D<<2)>>2]|0;S=f[z+(P<<2)>>2]|0;T=M;while(1){_=f[N+(T<<2)>>2]|0;if((_|0)<(T|0))T=_;else break}if((M|0)==(S|0))ca=T;else{_=S;while(1){L=f[N+(_<<2)>>2]|0;if((L|0)<(_|0))_=L;else break}L=(T|0)>(_|0)?_:T;R=S;do{K=N+(R<<2)|0;O=R;R=f[K>>2]|0;f[K>>2]=L}while((R|0)<(O|0));ca=L}L=M;do{R=N+(L<<2)|0;S=L;L=f[R>>2]|0;f[R>>2]=ca}while((L|0)<(S|0));f[z+(D<<2)>>2]=ca;J=E;break a}do if(C){if(!(b[x+H>>0]|0))break;L=f[z+(P<<2)>>2]|0;if(b[w+D>>0]|0){f[z+(D<<2)>>2]=L;J=E;break a}if(b[x+D>>0]|0){f[z+(D<<2)>>2]=L;J=E;break a}N=f[l>>2]|0;M=f[y+(D<<2)>>2]|0;S=M;while(1){R=f[N+(S<<2)>>2]|0;if((R|0)<(S|0))S=R;else break}if((M|0)==(L|0))da=S;else{R=L;while(1){T=f[N+(R<<2)>>2]|0;if((T|0)<(R|0))R=T;else break}T=(S|0)>(R|0)?R:S;_=L;do{O=N+(_<<2)|0;K=_;_=f[O>>2]|0;f[O>>2]=T}while((_|0)<(K|0));da=T}T=M;do{_=N+(T<<2)|0;L=T;T=f[_>>2]|0;f[_>>2]=da}while((T|0)<(L|0));f[z+(D<<2)>>2]=da;J=E;break a}while(0);T=f[l>>2]|0;N=f[y+(D<<2)>>2]|0;M=f[z+(P<<2)>>2]|0;L=N;while(1){_=f[T+(L<<2)>>2]|0;if((_|0)<(L|0))L=_;else break}if((N|0)==(M|0))ea=L;else{_=M;while(1){S=f[T+(_<<2)>>2]|0;if((S|0)<(_|0))_=S;else break}S=(L|0)>(_|0)?_:L;R=M;do{K=T+(R<<2)|0;O=R;R=f[K>>2]|0;f[K>>2]=S}while((R|0)<(O|0));ea=S}S=N;do{R=T+(S<<2)|0;M=S;S=f[R>>2]|0;f[R>>2]=ea}while((S|0)<(M|0));f[z+(D<<2)>>2]=ea;J=E;break a}while(0);S=f[l>>2]|0;T=f[y+(D<<2)>>2]|0;N=f[z+(P<<2)>>2]|0;M=T;while(1){R=f[S+(M<<2)>>2]|0;if((R|0)<(M|0))M=R;else break}if((T|0)==(N|0))fa=M;else{P=N;while(1){R=f[S+(P<<2)>>2]|0;if((R|0)<(P|0))P=R;else break}R=(M|0)>(P|0)?P:M;L=N;do{_=S+(L<<2)|0;O=L;L=f[_>>2]|0;f[_>>2]=R}while((L|0)<(O|0));fa=R}R=T;do{L=S+(R<<2)|0;N=R;R=f[L>>2]|0;f[L>>2]=fa}while((R|0)<(N|0));f[z+(D<<2)>>2]=fa;J=E;break a}R=D+2|0;do if(!((R|0)>=(n|0)|B)){if(!(b[w+R>>0]|0))break;do if(C){if(!(b[x+F>>0]|0))break;S=D+-2|0;do if((S|0)>-1){if(!(b[v+S>>0]|0))break;if(b[w+H>>0]|0){T=f[z+(S<<2)>>2]|0;if(b[w+D>>0]|0){f[z+(D<<2)>>2]=T;J=E;break a}if(b[x+D>>0]|0){f[z+(D<<2)>>2]=T;J=E;break a}N=f[l>>2]|0;L=f[y+(R<<2)>>2]|0;M=L;while(1){P=f[N+(M<<2)>>2]|0;if((P|0)<(M|0))M=P;else break}if((L|0)==(T|0))ga=M;else{P=T;while(1){O=f[N+(P<<2)>>2]|0;if((O|0)<(P|0))P=O;else break}O=(M|0)>(P|0)?P:M;_=T;do{K=N+(_<<2)|0;U=_;_=f[K>>2]|0;f[K>>2]=O}while((_|0)<(U|0));ga=O}O=L;do{_=N+(O<<2)|0;T=O;O=f[_>>2]|0;f[_>>2]=ga}while((O|0)<(T|0));f[z+(D<<2)>>2]=ga;J=E;break a}if(!(b[w+S>>0]|0)){O=f[l>>2]|0;N=f[y+(R<<2)>>2]|0;L=f[z+(S<<2)>>2]|0;T=N;while(1){_=f[O+(T<<2)>>2]|0;if((_|0)<(T|0))T=_;else break}if((N|0)==(L|0))ha=T;else{_=L;while(1){M=f[O+(_<<2)>>2]|0;if((M|0)<(_|0))_=M;else break}M=(T|0)>(_|0)?_:T;P=L;do{U=O+(P<<2)|0;K=P;P=f[U>>2]|0;f[U>>2]=M}while((P|0)<(K|0));ha=M}M=N;do{P=O+(M<<2)|0;L=M;M=f[P>>2]|0;f[P>>2]=ha}while((M|0)<(L|0));f[z+(D<<2)>>2]=ha;J=E;break a}if(!(b[x+H>>0]|0)){M=f[l>>2]|0;O=f[y+(R<<2)>>2]|0;N=f[z+(S<<2)>>2]|0;L=O;while(1){P=f[M+(L<<2)>>2]|0;if((P|0)<(L|0))L=P;else break}if((O|0)==(N|0))ia=L;else{P=N;while(1){T=f[M+(P<<2)>>2]|0;if((T|0)<(P|0))P=T;else break}T=(L|0)>(P|0)?P:L;_=N;do{K=M+(_<<2)|0;U=_;_=f[K>>2]|0;f[K>>2]=T}while((_|0)<(U|0));ia=T}T=O;do{_=M+(T<<2)|0;N=T;T=f[_>>2]|0;f[_>>2]=ia}while((T|0)<(N|0));f[z+(D<<2)>>2]=ia;J=E;break a}T=f[z+(S<<2)>>2]|0;if(b[w+D>>0]|0){f[z+(D<<2)>>2]=T;J=E;break a}if(b[x+D>>0]|0){f[z+(D<<2)>>2]=T;J=E;break a}M=f[l>>2]|0;O=f[y+(R<<2)>>2]|0;N=O;while(1){_=f[M+(N<<2)>>2]|0;if((_|0)<(N|0))N=_;else break}if((O|0)==(T|0))ja=N;else{_=T;while(1){L=f[M+(_<<2)>>2]|0;if((L|0)<(_|0))_=L;else break}L=(N|0)>(_|0)?_:N;P=T;do{U=M+(P<<2)|0;K=P;P=f[U>>2]|0;f[U>>2]=L}while((P|0)<(K|0));ja=L}L=O;do{P=M+(L<<2)|0;T=L;L=f[P>>2]|0;f[P>>2]=ja}while((L|0)<(T|0));f[z+(D<<2)>>2]=ja;J=E;break a}while(0);L=f[l>>2]|0;M=f[y+(R<<2)>>2]|0;O=f[z+(S<<2)>>2]|0;T=M;while(1){P=f[L+(T<<2)>>2]|0;if((P|0)<(T|0))T=P;else break}if((M|0)==(O|0))ka=T;else{S=O;while(1){P=f[L+(S<<2)>>2]|0;if((P|0)<(S|0))S=P;else break}P=(T|0)>(S|0)?S:T;N=O;do{_=L+(N<<2)|0;K=N;N=f[_>>2]|0;f[_>>2]=P}while((N|0)<(K|0));ka=P}P=M;do{N=L+(P<<2)|0;O=P;P=f[N>>2]|0;f[N>>2]=ka}while((P|0)<(O|0));f[z+(D<<2)>>2]=ka;J=E;break a}while(0);P=D+-2|0;if(!(b[w+D>>0]|0)){L=f[l>>2]|0;M=f[y+(R<<2)>>2]|0;O=f[z+(P<<2)>>2]|0;N=M;while(1){T=f[L+(N<<2)>>2]|0;if((T|0)<(N|0))N=T;else break}if((M|0)==(O|0))la=N;else{T=O;while(1){S=f[L+(T<<2)>>2]|0;if((S|0)<(T|0))T=S;else break}S=(N|0)>(T|0)?T:N;K=O;do{_=L+(K<<2)|0;U=K;K=f[_>>2]|0;f[_>>2]=S}while((K|0)<(U|0));la=S}S=M;do{K=L+(S<<2)|0;O=S;S=f[K>>2]|0;f[K>>2]=la}while((S|0)<(O|0));f[z+(D<<2)>>2]=la;J=E;break a}do if((P|0)>-1){if(!(b[v+P>>0]|0))break;if(b[w+H>>0]|0){S=f[l>>2]|0;L=f[y+(R<<2)>>2]|0;M=f[z+(P<<2)>>2]|0;O=L;while(1){K=f[S+(O<<2)>>2]|0;if((K|0)<(O|0))O=K;else break}if((L|0)==(M|0))ma=O;else{K=M;while(1){N=f[S+(K<<2)>>2]|0;if((N|0)<(K|0))K=N;else break}N=(O|0)>(K|0)?K:O;T=M;do{U=S+(T<<2)|0;_=T;T=f[U>>2]|0;f[U>>2]=N}while((T|0)<(_|0));ma=N}N=L;do{T=S+(N<<2)|0;M=N;N=f[T>>2]|0;f[T>>2]=ma}while((N|0)<(M|0));f[z+(D<<2)>>2]=ma;J=E;break a}if(!(b[w+P>>0]|0)){N=f[l>>2]|0;S=f[y+(D<<2)>>2]|0;L=f[y+(R<<2)>>2]|0;M=S;while(1){T=f[N+(M<<2)>>2]|0;if((T|0)<(M|0))M=T;else break}if((S|0)==(L|0))na=M;else{T=L;while(1){O=f[N+(T<<2)>>2]|0;if((O|0)<(T|0))T=O;else break}O=(M|0)>(T|0)?T:M;K=L;do{_=N+(K<<2)|0;U=K;K=f[_>>2]|0;f[_>>2]=O}while((K|0)<(U|0));na=O}O=S;do{K=N+(O<<2)|0;L=O;O=f[K>>2]|0;f[K>>2]=na}while((O|0)<(L|0));O=f[z+(P<<2)>>2]|0;S=na;while(1){L=f[N+(S<<2)>>2]|0;if((L|0)<(S|0))S=L;else break}if((na|0)==(O|0))oa=S;else{L=O;while(1){K=f[N+(L<<2)>>2]|0;if((K|0)<(L|0))L=K;else break}K=(S|0)>(L|0)?L:S;M=O;do{T=N+(M<<2)|0;U=M;M=f[T>>2]|0;f[T>>2]=K}while((M|0)<(U|0));oa=K}K=na;do{M=N+(K<<2)|0;O=K;K=f[M>>2]|0;f[M>>2]=oa}while((K|0)<(O|0));f[z+(D<<2)>>2]=oa;J=E;break a}do if(C){if(!(b[x+H>>0]|0))break;K=f[l>>2]|0;N=f[y+(R<<2)>>2]|0;O=f[z+(P<<2)>>2]|0;M=N;while(1){S=f[K+(M<<2)>>2]|0;if((S|0)<(M|0))M=S;else break}if((N|0)==(O|0))pa=M;else{S=O;while(1){L=f[K+(S<<2)>>2]|0;if((L|0)<(S|0))S=L;else break}L=(M|0)>(S|0)?S:M;U=O;do{T=K+(U<<2)|0;_=U;U=f[T>>2]|0;f[T>>2]=L}while((U|0)<(_|0));pa=L}L=N;do{U=K+(L<<2)|0;O=L;L=f[U>>2]|0;f[U>>2]=pa}while((L|0)<(O|0));f[z+(D<<2)>>2]=pa;J=E;break a}while(0);L=f[l>>2]|0;K=f[y+(D<<2)>>2]|0;N=f[y+(R<<2)>>2]|0;O=K;while(1){U=f[L+(O<<2)>>2]|0;if((U|0)<(O|0))O=U;else break}if((K|0)==(N|0))qa=O;else{U=N;while(1){M=f[L+(U<<2)>>2]|0;if((M|0)<(U|0))U=M;else break}M=(O|0)>(U|0)?U:O;S=N;do{_=L+(S<<2)|0;T=S;S=f[_>>2]|0;f[_>>2]=M}while((S|0)<(T|0));qa=M}M=K;do{S=L+(M<<2)|0;N=M;M=f[S>>2]|0;f[S>>2]=qa}while((M|0)<(N|0));M=f[z+(P<<2)>>2]|0;K=qa;while(1){N=f[L+(K<<2)>>2]|0;if((N|0)<(K|0))K=N;else break}if((qa|0)==(M|0))ra=K;else{N=M;while(1){S=f[L+(N<<2)>>2]|0;if((S|0)<(N|0))N=S;else break}S=(K|0)>(N|0)?N:K;O=M;do{U=L+(O<<2)|0;T=O;O=f[U>>2]|0;f[U>>2]=S}while((O|0)<(T|0));ra=S}S=qa;do{O=L+(S<<2)|0;M=S;S=f[O>>2]|0;f[O>>2]=ra}while((S|0)<(M|0));f[z+(D<<2)>>2]=ra;J=E;break a}while(0);S=f[l>>2]|0;L=f[y+(D<<2)>>2]|0;M=f[y+(R<<2)>>2]|0;O=L;while(1){K=f[S+(O<<2)>>2]|0;if((K|0)<(O|0))O=K;else break}if((L|0)==(M|0))sa=O;else{K=M;while(1){N=f[S+(K<<2)>>2]|0;if((N|0)<(K|0))K=N;else break}N=(O|0)>(K|0)?K:O;T=M;do{U=S+(T<<2)|0;_=T;T=f[U>>2]|0;f[U>>2]=N}while((T|0)<(_|0));sa=N}N=L;do{T=S+(N<<2)|0;M=N;N=f[T>>2]|0;f[T>>2]=sa}while((N|0)<(M|0));N=f[z+(P<<2)>>2]|0;L=sa;while(1){M=f[S+(L<<2)>>2]|0;if((M|0)<(L|0))L=M;else break}if((sa|0)==(N|0))ta=L;else{P=N;while(1){M=f[S+(P<<2)>>2]|0;if((M|0)<(P|0))P=M;else break}M=(L|0)>(P|0)?P:L;T=N;do{O=S+(T<<2)|0;K=T;T=f[O>>2]|0;f[O>>2]=M}while((T|0)<(K|0));ta=M}M=sa;do{T=S+(M<<2)|0;N=M;M=f[T>>2]|0;f[T>>2]=ta}while((M|0)<(N|0));f[z+(D<<2)>>2]=ta;J=E;break a}while(0);R=D+-2|0;if(!(b[w+D>>0]|0)){ua=R;break}do if((R|0)>-1){if(!(b[v+R>>0]|0))break;if(b[w+H>>0]|0){f[z+(D<<2)>>2]=f[z+(R<<2)>>2];J=E;break a}if(!(b[w+R>>0]|0)){M=f[l>>2]|0;S=f[y+(D<<2)>>2]|0;N=f[z+(R<<2)>>2]|0;T=S;while(1){L=f[M+(T<<2)>>2]|0;if((L|0)<(T|0))T=L;else break}if((S|0)==(N|0))va=T;else{L=N;while(1){P=f[M+(L<<2)>>2]|0;if((P|0)<(L|0))L=P;else break}P=(T|0)>(L|0)?L:T;K=N;do{O=M+(K<<2)|0;_=K;K=f[O>>2]|0;f[O>>2]=P}while((K|0)<(_|0));va=P}P=S;do{K=M+(P<<2)|0;N=P;P=f[K>>2]|0;f[K>>2]=va}while((P|0)<(N|0));f[z+(D<<2)>>2]=va;J=E;break a}do if(C){if(!(b[x+H>>0]|0))break;f[z+(D<<2)>>2]=f[z+(R<<2)>>2];J=E;break a}while(0);P=f[l>>2]|0;M=f[y+(D<<2)>>2]|0;S=f[z+(R<<2)>>2]|0;N=M;while(1){K=f[P+(N<<2)>>2]|0;if((K|0)<(N|0))N=K;else break}if((M|0)==(S|0))wa=N;else{K=S;while(1){T=f[P+(K<<2)>>2]|0;if((T|0)<(K|0))K=T;else break}T=(N|0)>(K|0)?K:N;L=S;do{_=P+(L<<2)|0;O=L;L=f[_>>2]|0;f[_>>2]=T}while((L|0)<(O|0));wa=T}T=M;do{L=P+(T<<2)|0;S=T;T=f[L>>2]|0;f[L>>2]=wa}while((T|0)<(S|0));f[z+(D<<2)>>2]=wa;J=E;break a}while(0);T=f[l>>2]|0;P=f[y+(D<<2)>>2]|0;M=f[z+(R<<2)>>2]|0;S=P;while(1){L=f[T+(S<<2)>>2]|0;if((L|0)<(S|0))S=L;else break}if((P|0)==(M|0))xa=S;else{R=M;while(1){L=f[T+(R<<2)>>2]|0;if((L|0)<(R|0))R=L;else break}L=(S|0)>(R|0)?R:S;N=M;do{K=T+(N<<2)|0;O=N;N=f[K>>2]|0;f[K>>2]=L}while((N|0)<(O|0));xa=L}L=P;do{N=T+(L<<2)|0;M=L;L=f[N>>2]|0;f[N>>2]=xa}while((L|0)<(M|0));f[z+(D<<2)>>2]=xa;J=E;break a}else ua=D+-2|0;while(0);f[z+(D<<2)>>2]=f[z+(ua<<2)>>2];J=E;break}}if(A){if(b[w+F>>0]|0){f[z+(D<<2)>>2]=f[y+(D<<2)>>2];J=E;break}L=D+2|0;if(!((L|0)>=(n|0)|B)?b[w+L>>0]|0:0){if(!(b[w+D>>0]|0)){f[z+(D<<2)>>2]=f[y+(L<<2)>>2];J=E;break}do if(C){if(!(b[x+F>>0]|0))break;f[z+(D<<2)>>2]=f[y+(L<<2)>>2];J=E;break a}while(0);T=f[l>>2]|0;P=f[y+(D<<2)>>2]|0;M=f[y+(L<<2)>>2]|0;N=P;while(1){S=f[T+(N<<2)>>2]|0;if((S|0)<(N|0))N=S;else break}if((P|0)==(M|0))ya=N;else{L=M;while(1){S=f[T+(L<<2)>>2]|0;if((S|0)<(L|0))L=S;else break}S=(N|0)>(L|0)?L:N;R=M;do{O=T+(R<<2)|0;K=R;R=f[O>>2]|0;f[O>>2]=S}while((R|0)<(K|0));ya=S}S=P;do{R=T+(S<<2)|0;M=S;S=f[R>>2]|0;f[R>>2]=ya}while((S|0)<(M|0));f[z+(D<<2)>>2]=ya;J=E;break}if(b[w+D>>0]|0){f[z+(D<<2)>>2]=f[y+(D<<2)>>2];J=E;break}}f[z+(D<<2)>>2]=E;f[(f[l>>2]|0)+(E<<2)>>2]=E;J=E+1|0;break}if(I){if(b[t+H>>0]|0){f[z+(D<<2)>>2]=f[z+(D+-2<<2)>>2];J=E;break}if(b[v+H>>0]|0){f[z+(D<<2)>>2]=f[z+(D+-2<<2)>>2];J=E;break}}f[z+(D<<2)>>2]=E;f[(f[l>>2]|0)+(E<<2)>>2]=E;J=E+1|0;break}do if(G){if(!(b[v+F>>0]|0)){if(!u)break;if(!(b[t+F>>0]|0))break;f[z+(D<<2)>>2]=E;f[(f[l>>2]|0)+(E<<2)>>2]=E;J=E+1|0;break a}if(A){if(b[w+F>>0]|0){f[z+(D<<2)>>2]=f[y+(D<<2)>>2];J=E;break a}S=D+2|0;if(!((S|0)>=(n|0)|B)?b[w+S>>0]|0:0){if(!(b[w+D>>0]|0)){f[z+(D<<2)>>2]=f[y+(S<<2)>>2];J=E;break a}do if(C){if(!(b[x+F>>0]|0))break;f[z+(D<<2)>>2]=f[y+(S<<2)>>2];J=E;break a}while(0);T=f[l>>2]|0;P=f[y+(D<<2)>>2]|0;M=f[y+(S<<2)>>2]|0;R=P;while(1){N=f[T+(R<<2)>>2]|0;if((N|0)<(R|0))R=N;else break}if((P|0)==(M|0))za=R;else{S=M;while(1){N=f[T+(S<<2)>>2]|0;if((N|0)<(S|0))S=N;else break}N=(R|0)>(S|0)?S:R;L=M;do{K=T+(L<<2)|0;O=L;L=f[K>>2]|0;f[K>>2]=N}while((L|0)<(O|0));za=N}N=P;do{L=T+(N<<2)|0;M=N;N=f[L>>2]|0;f[L>>2]=za}while((N|0)<(M|0));f[z+(D<<2)>>2]=za;J=E;break a}if(b[w+D>>0]|0){f[z+(D<<2)>>2]=f[y+(D<<2)>>2];J=E;break a}}f[z+(D<<2)>>2]=E;f[(f[l>>2]|0)+(E<<2)>>2]=E;J=E+1|0;break a}while(0);f[z+(D<<2)>>2]=0;J=E}else{F=D+-1|0;G=(D|0)>0;if(G){if(b[v+F>>0]|0){H=D|1;I=(H|0)<(n|0);if(A&I?b[w+H>>0]|0:0){if(b[w+D>>0]|0){f[z+(D<<2)>>2]=f[z+(D+-2<<2)>>2];J=E;break}if(C?b[x+D>>0]|0:0){N=D+-2|0;if(b[w+F>>0]|0){f[z+(D<<2)>>2]=f[z+(N<<2)>>2];J=E;break}do if((N|0)>-1){if(!(b[w+N>>0]|0))break;if(b[x+F>>0]|0){f[z+(D<<2)>>2]=f[z+(N<<2)>>2];J=E;break a}T=f[l>>2]|0;P=f[y+(D<<2)>>2]|0;M=f[z+(N<<2)>>2]|0;L=P;while(1){R=f[T+(L<<2)>>2]|0;if((R|0)<(L|0))L=R;else break}if((P|0)==(M|0))Aa=L;else{R=M;while(1){S=f[T+(R<<2)>>2]|0;if((S|0)<(R|0))R=S;else break}S=(L|0)>(R|0)?R:L;O=M;do{K=T+(O<<2)|0;_=O;O=f[K>>2]|0;f[K>>2]=S}while((O|0)<(_|0));Aa=S}S=P;do{O=T+(S<<2)|0;M=S;S=f[O>>2]|0;f[O>>2]=Aa}while((S|0)<(M|0));f[z+(D<<2)>>2]=Aa;J=E;break a}while(0);S=f[l>>2]|0;T=f[y+(D<<2)>>2]|0;P=f[z+(N<<2)>>2]|0;M=T;while(1){O=f[S+(M<<2)>>2]|0;if((O|0)<(M|0))M=O;else break}if((T|0)==(P|0))Ba=M;else{N=P;while(1){O=f[S+(N<<2)>>2]|0;if((O|0)<(N|0))N=O;else break}O=(M|0)>(N|0)?N:M;L=P;do{R=S+(L<<2)|0;_=L;L=f[R>>2]|0;f[R>>2]=O}while((L|0)<(_|0));Ba=O}O=T;do{L=S+(O<<2)|0;P=O;O=f[L>>2]|0;f[L>>2]=Ba}while((O|0)<(P|0));f[z+(D<<2)>>2]=Ba;J=E;break}O=f[l>>2]|0;S=f[y+(D<<2)>>2]|0;T=f[z+(D+-2<<2)>>2]|0;P=S;while(1){L=f[O+(P<<2)>>2]|0;if((L|0)<(P|0))P=L;else break}if((S|0)==(T|0))Ca=P;else{L=T;while(1){M=f[O+(L<<2)>>2]|0;if((M|0)<(L|0))L=M;else break}M=(P|0)>(L|0)?L:P;N=T;do{_=O+(N<<2)|0;R=N;N=f[_>>2]|0;f[_>>2]=M}while((N|0)<(R|0));Ca=M}M=S;do{N=O+(M<<2)|0;T=M;M=f[N>>2]|0;f[N>>2]=Ca}while((M|0)<(T|0));f[z+(D<<2)>>2]=Ca;J=E;break}if(I?b[v+H>>0]|0:0){M=D+2|0;if(A&(M|0)<(n|0)?b[w+M>>0]|0:0){do if(C){if(!(b[x+H>>0]|0))break;if(b[w+D>>0]|0){f[z+(D<<2)>>2]=f[z+(D+-2<<2)>>2];J=E;break a}if(!(b[x+D>>0]|0)){O=f[l>>2]|0;S=f[y+(M<<2)>>2]|0;T=f[z+(D+-2<<2)>>2]|0;N=S;while(1){P=f[O+(N<<2)>>2]|0;if((P|0)<(N|0))N=P;else break}if((S|0)==(T|0))Da=N;else{P=T;while(1){L=f[O+(P<<2)>>2]|0;if((L|0)<(P|0))P=L;else break}L=(N|0)>(P|0)?P:N;R=T;do{_=O+(R<<2)|0;K=R;R=f[_>>2]|0;f[_>>2]=L}while((R|0)<(K|0));Da=L}L=S;do{R=O+(L<<2)|0;T=L;L=f[R>>2]|0;f[R>>2]=Da}while((L|0)<(T|0));f[z+(D<<2)>>2]=Da;J=E;break a}L=D+-2|0;if(b[w+F>>0]|0){f[z+(D<<2)>>2]=f[z+(L<<2)>>2];J=E;break a}do if((L|0)>-1){if(!(b[w+L>>0]|0))break;if(b[x+F>>0]|0){f[z+(D<<2)>>2]=f[z+(L<<2)>>2];J=E;break a}O=f[l>>2]|0;S=f[y+(M<<2)>>2]|0;T=f[z+(L<<2)>>2]|0;R=S;while(1){N=f[O+(R<<2)>>2]|0;if((N|0)<(R|0))R=N;else break}if((S|0)==(T|0))Ea=R;else{N=T;while(1){P=f[O+(N<<2)>>2]|0;if((P|0)<(N|0))N=P;else break}P=(R|0)>(N|0)?N:R;K=T;do{_=O+(K<<2)|0;U=K;K=f[_>>2]|0;f[_>>2]=P}while((K|0)<(U|0));Ea=P}P=S;do{K=O+(P<<2)|0;T=P;P=f[K>>2]|0;f[K>>2]=Ea}while((P|0)<(T|0));f[z+(D<<2)>>2]=Ea;J=E;break a}while(0);P=f[l>>2]|0;O=f[y+(M<<2)>>2]|0;S=f[z+(L<<2)>>2]|0;T=O;while(1){K=f[P+(T<<2)>>2]|0;if((K|0)<(T|0))T=K;else break}if((O|0)==(S|0))Fa=T;else{L=S;while(1){K=f[P+(L<<2)>>2]|0;if((K|0)<(L|0))L=K;else break}K=(T|0)>(L|0)?L:T;R=S;do{N=P+(R<<2)|0;U=R;R=f[N>>2]|0;f[N>>2]=K}while((R|0)<(U|0));Fa=K}K=O;do{R=P+(K<<2)|0;S=K;K=f[R>>2]|0;f[R>>2]=Fa}while((K|0)<(S|0));f[z+(D<<2)>>2]=Fa;J=E;break a}while(0);H=f[l>>2]|0;I=f[y+(M<<2)>>2]|0;K=f[z+(D+-2<<2)>>2]|0;P=I;while(1){O=f[H+(P<<2)>>2]|0;if((O|0)<(P|0))P=O;else break}if((I|0)==(K|0))Ga=P;else{M=K;while(1){O=f[H+(M<<2)>>2]|0;if((O|0)<(M|0))M=O;else break}O=(P|0)>(M|0)?M:P;S=K;do{R=H+(S<<2)|0;T=S;S=f[R>>2]|0;f[R>>2]=O}while((S|0)<(T|0));Ga=O}O=I;do{S=H+(O<<2)|0;K=O;O=f[S>>2]|0;f[S>>2]=Ga}while((O|0)<(K|0));f[z+(D<<2)>>2]=Ga;J=E;break}f[z+(D<<2)>>2]=f[z+(D+-2<<2)>>2];J=E;break}f[z+(D<<2)>>2]=f[z+(D+-2<<2)>>2];J=E;break}if(u?b[t+F>>0]|0:0){O=D|1;H=(O|0)<(n|0);if(!(B|H^1)?b[w+O>>0]|0:0){I=D+-2|0;if((I|0)>-1?b[v+I>>0]|0:0){if(b[w+F>>0]|0){K=f[z+(I<<2)>>2]|0;if(b[w+D>>0]|0){f[z+(D<<2)>>2]=K;J=E;break}do if(C){if(!(b[x+D>>0]|0))break;f[z+(D<<2)>>2]=K;J=E;break a}while(0);S=f[l>>2]|0;P=f[y+(D<<2)>>2]|0;M=P;while(1){T=f[S+(M<<2)>>2]|0;if((T|0)<(M|0))M=T;else break}if((P|0)==(K|0))Ha=M;else{T=K;while(1){R=f[S+(T<<2)>>2]|0;if((R|0)<(T|0))T=R;else break}R=(M|0)>(T|0)?T:M;L=K;do{U=S+(L<<2)|0;N=L;L=f[U>>2]|0;f[U>>2]=R}while((L|0)<(N|0));Ha=R}R=P;do{L=S+(R<<2)|0;K=R;R=f[L>>2]|0;f[L>>2]=Ha}while((R|0)<(K|0));f[z+(D<<2)>>2]=Ha;J=E;break}if(!(b[w+I>>0]|0)){R=f[l>>2]|0;S=f[y+(D<<2)>>2]|0;P=f[z+(I<<2)>>2]|0;K=S;while(1){L=f[R+(K<<2)>>2]|0;if((L|0)<(K|0))K=L;else break}if((S|0)==(P|0))Ia=K;else{L=P;while(1){M=f[R+(L<<2)>>2]|0;if((M|0)<(L|0))L=M;else break}M=(K|0)>(L|0)?L:K;T=P;do{N=R+(T<<2)|0;U=T;T=f[N>>2]|0;f[N>>2]=M}while((T|0)<(U|0));Ia=M}M=S;do{T=R+(M<<2)|0;P=M;M=f[T>>2]|0;f[T>>2]=Ia}while((M|0)<(P|0));f[z+(D<<2)>>2]=Ia;J=E;break}do if(C){if(!(b[x+F>>0]|0))break;M=f[z+(I<<2)>>2]|0;if(b[w+D>>0]|0){f[z+(D<<2)>>2]=M;J=E;break a}if(b[x+D>>0]|0){f[z+(D<<2)>>2]=M;J=E;break a}R=f[l>>2]|0;S=f[y+(D<<2)>>2]|0;P=S;while(1){T=f[R+(P<<2)>>2]|0;if((T|0)<(P|0))P=T;else break}if((S|0)==(M|0))Ja=P;else{T=M;while(1){K=f[R+(T<<2)>>2]|0;if((K|0)<(T|0))T=K;else break}K=(P|0)>(T|0)?T:P;L=M;do{U=R+(L<<2)|0;N=L;L=f[U>>2]|0;f[U>>2]=K}while((L|0)<(N|0));Ja=K}K=S;do{L=R+(K<<2)|0;M=K;K=f[L>>2]|0;f[L>>2]=Ja}while((K|0)<(M|0));f[z+(D<<2)>>2]=Ja;J=E;break a}while(0);K=f[l>>2]|0;R=f[y+(D<<2)>>2]|0;S=f[z+(I<<2)>>2]|0;M=R;while(1){L=f[K+(M<<2)>>2]|0;if((L|0)<(M|0))M=L;else break}if((R|0)==(S|0))Ka=M;else{L=S;while(1){P=f[K+(L<<2)>>2]|0;if((P|0)<(L|0))L=P;else break}P=(M|0)>(L|0)?L:M;T=S;do{N=K+(T<<2)|0;U=T;T=f[N>>2]|0;f[N>>2]=P}while((T|0)<(U|0));Ka=P}P=R;do{T=K+(P<<2)|0;S=P;P=f[T>>2]|0;f[T>>2]=Ka}while((P|0)<(S|0));f[z+(D<<2)>>2]=Ka;J=E;break}if(b[w+D>>0]|0){P=f[l>>2]|0;K=f[y+(D<<2)>>2]|0;R=f[z+(I<<2)>>2]|0;S=K;while(1){T=f[P+(S<<2)>>2]|0;if((T|0)<(S|0))S=T;else break}if((K|0)==(R|0))La=S;else{T=R;while(1){M=f[P+(T<<2)>>2]|0;if((M|0)<(T|0))T=M;else break}M=(S|0)>(T|0)?T:S;L=R;do{U=P+(L<<2)|0;N=L;L=f[U>>2]|0;f[U>>2]=M}while((L|0)<(N|0));La=M}M=K;do{L=P+(M<<2)|0;R=M;M=f[L>>2]|0;f[L>>2]=La}while((M|0)<(R|0));f[z+(D<<2)>>2]=La;J=E;break}if(!(b[w+F>>0]|0)){M=f[l>>2]|0;P=f[y+(D<<2)>>2]|0;K=f[z+(I<<2)>>2]|0;R=P;while(1){L=f[M+(R<<2)>>2]|0;if((L|0)<(R|0))R=L;else break}if((P|0)==(K|0))Ma=R;else{L=K;while(1){S=f[M+(L<<2)>>2]|0;if((S|0)<(L|0))L=S;else break}S=(R|0)>(L|0)?L:R;T=K;do{N=M+(T<<2)|0;U=T;T=f[N>>2]|0;f[N>>2]=S}while((T|0)<(U|0));Ma=S}S=P;do{T=M+(S<<2)|0;K=S;S=f[T>>2]|0;f[T>>2]=Ma}while((S|0)<(K|0));f[z+(D<<2)>>2]=Ma;J=E;break}S=f[y+(D<<2)>>2]|0;M=f[l>>2]|0;do if(C){if(!(b[x+D>>0]|0))break;P=f[z+(I<<2)>>2]|0;K=S;while(1){T=f[M+(K<<2)>>2]|0;if((T|0)<(K|0))K=T;else break}if((S|0)==(P|0))Na=K;else{T=P;while(1){R=f[M+(T<<2)>>2]|0;if((R|0)<(T|0))T=R;else break}R=(K|0)>(T|0)?T:K;L=P;do{U=M+(L<<2)|0;N=L;L=f[U>>2]|0;f[U>>2]=R}while((L|0)<(N|0));Na=R}R=S;do{L=M+(R<<2)|0;P=R;R=f[L>>2]|0;f[L>>2]=Na}while((R|0)<(P|0));f[z+(D<<2)>>2]=Na;J=E;break a}while(0);R=f[y+(I<<2)>>2]|0;P=R;while(1){L=f[M+(P<<2)>>2]|0;if((L|0)<(P|0))P=L;else break}if((R|0)==(S|0))Oa=P;else{L=S;while(1){K=f[M+(L<<2)>>2]|0;if((K|0)<(L|0))L=K;else break}K=(P|0)>(L|0)?L:P;T=S;do{N=M+(T<<2)|0;U=T;T=f[N>>2]|0;f[N>>2]=K}while((T|0)<(U|0));Oa=K}K=R;do{T=M+(K<<2)|0;S=K;K=f[T>>2]|0;f[T>>2]=Oa}while((K|0)<(S|0));K=f[z+(I<<2)>>2]|0;R=Oa;while(1){S=f[M+(R<<2)>>2]|0;if((S|0)<(R|0))R=S;else break}if((Oa|0)==(K|0))Pa=R;else{I=K;while(1){S=f[M+(I<<2)>>2]|0;if((S|0)<(I|0))I=S;else break}S=(R|0)>(I|0)?I:R;T=K;do{P=M+(T<<2)|0;L=T;T=f[P>>2]|0;f[P>>2]=S}while((T|0)<(L|0));Pa=S}S=Oa;do{T=M+(S<<2)|0;K=S;S=f[T>>2]|0;f[T>>2]=Pa}while((S|0)<(K|0));f[z+(D<<2)>>2]=Pa;J=E;break}if(H?b[v+O>>0]|0:0){S=D+2|0;if(!((S|0)>=(n|0)|B)?b[w+S>>0]|0:0){M=D+-2|0;do if((M|0)>-1){if(!(b[v+M>>0]|0))break;if(b[w+F>>0]|0){do if(C){if(!(b[x+O>>0]|0))break;K=f[z+(M<<2)>>2]|0;if(b[w+D>>0]|0){f[z+(D<<2)>>2]=K;J=E;break a}if(b[x+D>>0]|0){f[z+(D<<2)>>2]=K;J=E;break a}T=f[l>>2]|0;R=f[y+(S<<2)>>2]|0;I=R;while(1){L=f[T+(I<<2)>>2]|0;if((L|0)<(I|0))I=L;else break}if((R|0)==(K|0))Qa=I;else{L=K;while(1){P=f[T+(L<<2)>>2]|0;if((P|0)<(L|0))L=P;else break}P=(I|0)>(L|0)?L:I;U=K;do{N=T+(U<<2)|0;_=U;U=f[N>>2]|0;f[N>>2]=P}while((U|0)<(_|0));Qa=P}P=R;do{U=T+(P<<2)|0;K=P;P=f[U>>2]|0;f[U>>2]=Qa}while((P|0)<(K|0));f[z+(D<<2)>>2]=Qa;J=E;break a}while(0);P=f[l>>2]|0;T=f[y+(S<<2)>>2]|0;R=f[z+(M<<2)>>2]|0;K=T;while(1){U=f[P+(K<<2)>>2]|0;if((U|0)<(K|0))K=U;else break}if((T|0)==(R|0))Ra=K;else{U=R;while(1){I=f[P+(U<<2)>>2]|0;if((I|0)<(U|0))U=I;else break}I=(K|0)>(U|0)?U:K;L=R;do{_=P+(L<<2)|0;N=L;L=f[_>>2]|0;f[_>>2]=I}while((L|0)<(N|0));Ra=I}I=T;do{L=P+(I<<2)|0;R=I;I=f[L>>2]|0;f[L>>2]=Ra}while((I|0)<(R|0));f[z+(D<<2)>>2]=Ra;J=E;break a}do if(C){if(!(b[x+O>>0]|0))break;if(!(b[w+M>>0]|0)){I=f[l>>2]|0;P=f[y+(S<<2)>>2]|0;T=f[z+(M<<2)>>2]|0;R=P;while(1){L=f[I+(R<<2)>>2]|0;if((L|0)<(R|0))R=L;else break}if((P|0)==(T|0))Sa=R;else{L=T;while(1){K=f[I+(L<<2)>>2]|0;if((K|0)<(L|0))L=K;else break}K=(R|0)>(L|0)?L:R;U=T;do{N=I+(U<<2)|0;_=U;U=f[N>>2]|0;f[N>>2]=K}while((U|0)<(_|0));Sa=K}K=P;do{U=I+(K<<2)|0;T=K;K=f[U>>2]|0;f[U>>2]=Sa}while((K|0)<(T|0));f[z+(D<<2)>>2]=Sa;J=E;break a}if(!(b[x+F>>0]|0)){K=f[l>>2]|0;I=f[y+(S<<2)>>2]|0;P=f[z+(M<<2)>>2]|0;T=I;while(1){U=f[K+(T<<2)>>2]|0;if((U|0)<(T|0))T=U;else break}if((I|0)==(P|0))Ta=T;else{U=P;while(1){R=f[K+(U<<2)>>2]|0;if((R|0)<(U|0))U=R;else break}R=(T|0)>(U|0)?U:T;L=P;do{_=K+(L<<2)|0;N=L;L=f[_>>2]|0;f[_>>2]=R}while((L|0)<(N|0));Ta=R}R=I;do{L=K+(R<<2)|0;P=R;R=f[L>>2]|0;f[L>>2]=Ta}while((R|0)<(P|0));f[z+(D<<2)>>2]=Ta;J=E;break a}R=f[z+(M<<2)>>2]|0;if(b[w+D>>0]|0){f[z+(D<<2)>>2]=R;J=E;break a}if(b[x+D>>0]|0){f[z+(D<<2)>>2]=R;J=E;break a}K=f[l>>2]|0;I=f[y+(S<<2)>>2]|0;P=I;while(1){L=f[K+(P<<2)>>2]|0;if((L|0)<(P|0))P=L;else break}if((I|0)==(R|0))Ua=P;else{L=R;while(1){T=f[K+(L<<2)>>2]|0;if((T|0)<(L|0))L=T;else break}T=(P|0)>(L|0)?L:P;U=R;do{N=K+(U<<2)|0;_=U;U=f[N>>2]|0;f[N>>2]=T}while((U|0)<(_|0));Ua=T}T=I;do{U=K+(T<<2)|0;R=T;T=f[U>>2]|0;f[U>>2]=Ua}while((T|0)<(R|0));f[z+(D<<2)>>2]=Ua;J=E;break a}while(0);if(!(b[w+D>>0]|0)){T=f[l>>2]|0;K=f[y+(S<<2)>>2]|0;I=f[z+(M<<2)>>2]|0;R=K;while(1){U=f[T+(R<<2)>>2]|0;if((U|0)<(R|0))R=U;else break}if((K|0)==(I|0))Va=R;else{U=I;while(1){P=f[T+(U<<2)>>2]|0;if((P|0)<(U|0))U=P;else break}P=(R|0)>(U|0)?U:R;L=I;do{_=T+(L<<2)|0;N=L;L=f[_>>2]|0;f[_>>2]=P}while((L|0)<(N|0));Va=P}P=K;do{L=T+(P<<2)|0;I=P;P=f[L>>2]|0;f[L>>2]=Va}while((P|0)<(I|0));f[z+(D<<2)>>2]=Va;J=E;break a}if(!(b[w+M>>0]|0)){P=f[l>>2]|0;T=f[y+(D<<2)>>2]|0;K=f[y+(S<<2)>>2]|0;I=T;while(1){L=f[P+(I<<2)>>2]|0;if((L|0)<(I|0))I=L;else break}if((T|0)==(K|0))Wa=I;else{L=K;while(1){R=f[P+(L<<2)>>2]|0;if((R|0)<(L|0))L=R;else break}R=(I|0)>(L|0)?L:I;U=K;do{N=P+(U<<2)|0;_=U;U=f[N>>2]|0;f[N>>2]=R}while((U|0)<(_|0));Wa=R}R=T;do{U=P+(R<<2)|0;K=R;R=f[U>>2]|0;f[U>>2]=Wa}while((R|0)<(K|0));R=f[z+(M<<2)>>2]|0;T=Wa;while(1){K=f[P+(T<<2)>>2]|0;if((K|0)<(T|0))T=K;else break}if((Wa|0)==(R|0))Xa=T;else{K=R;while(1){U=f[P+(K<<2)>>2]|0;if((U|0)<(K|0))K=U;else break}U=(T|0)>(K|0)?K:T;I=R;do{L=P+(I<<2)|0;_=I;I=f[L>>2]|0;f[L>>2]=U}while((I|0)<(_|0));Xa=U}U=Wa;do{I=P+(U<<2)|0;R=U;U=f[I>>2]|0;f[I>>2]=Xa}while((U|0)<(R|0));f[z+(D<<2)>>2]=Xa;J=E;break a}do if(C){if(!(b[x+F>>0]|0))break;U=f[l>>2]|0;P=f[y+(S<<2)>>2]|0;R=f[z+(M<<2)>>2]|0;I=P;while(1){T=f[U+(I<<2)>>2]|0;if((T|0)<(I|0))I=T;else break}if((P|0)==(R|0))Ya=I;else{T=R;while(1){K=f[U+(T<<2)>>2]|0;if((K|0)<(T|0))T=K;else break}K=(I|0)>(T|0)?T:I;_=R;do{L=U+(_<<2)|0;N=_;_=f[L>>2]|0;f[L>>2]=K}while((_|0)<(N|0));Ya=K}K=P;do{_=U+(K<<2)|0;R=K;K=f[_>>2]|0;f[_>>2]=Ya}while((K|0)<(R|0));f[z+(D<<2)>>2]=Ya;J=E;break a}while(0);K=f[l>>2]|0;U=f[y+(D<<2)>>2]|0;P=f[y+(S<<2)>>2]|0;R=U;while(1){_=f[K+(R<<2)>>2]|0;if((_|0)<(R|0))R=_;else break}if((U|0)==(P|0))Za=R;else{_=P;while(1){I=f[K+(_<<2)>>2]|0;if((I|0)<(_|0))_=I;else break}I=(R|0)>(_|0)?_:R;T=P;do{N=K+(T<<2)|0;L=T;T=f[N>>2]|0;f[N>>2]=I}while((T|0)<(L|0));Za=I}I=U;do{T=K+(I<<2)|0;P=I;I=f[T>>2]|0;f[T>>2]=Za}while((I|0)<(P|0));I=f[z+(M<<2)>>2]|0;U=Za;while(1){P=f[K+(U<<2)>>2]|0;if((P|0)<(U|0))U=P;else break}if((Za|0)==(I|0))_a=U;else{P=I;while(1){T=f[K+(P<<2)>>2]|0;if((T|0)<(P|0))P=T;else break}T=(U|0)>(P|0)?P:U;R=I;do{_=K+(R<<2)|0;L=R;R=f[_>>2]|0;f[_>>2]=T}while((R|0)<(L|0));_a=T}T=Za;do{R=K+(T<<2)|0;I=T;T=f[R>>2]|0;f[R>>2]=_a}while((T|0)<(I|0));f[z+(D<<2)>>2]=_a;J=E;break a}while(0);if(b[w+D>>0]|0){do if(C){if(!(b[x+O>>0]|0))break;H=f[l>>2]|0;T=f[y+(S<<2)>>2]|0;K=f[z+(M<<2)>>2]|0;I=T;while(1){R=f[H+(I<<2)>>2]|0;if((R|0)<(I|0))I=R;else break}if((T|0)==(K|0))$a=I;else{R=K;while(1){U=f[H+(R<<2)>>2]|0;if((U|0)<(R|0))R=U;else break}U=(I|0)>(R|0)?R:I;P=K;do{L=H+(P<<2)|0;_=P;P=f[L>>2]|0;f[L>>2]=U}while((P|0)<(_|0));$a=U}U=T;do{P=H+(U<<2)|0;K=U;U=f[P>>2]|0;f[P>>2]=$a}while((U|0)<(K|0));f[z+(D<<2)>>2]=$a;J=E;break a}while(0);U=f[l>>2]|0;H=f[y+(D<<2)>>2]|0;T=f[y+(S<<2)>>2]|0;K=H;while(1){P=f[U+(K<<2)>>2]|0;if((P|0)<(K|0))K=P;else break}if((H|0)==(T|0))ab=K;else{P=T;while(1){I=f[U+(P<<2)>>2]|0;if((I|0)<(P|0))P=I;else break}I=(K|0)>(P|0)?P:K;R=T;do{_=U+(R<<2)|0;L=R;R=f[_>>2]|0;f[_>>2]=I}while((R|0)<(L|0));ab=I}I=H;do{R=U+(I<<2)|0;T=I;I=f[R>>2]|0;f[R>>2]=ab}while((I|0)<(T|0));I=f[z+(M<<2)>>2]|0;H=ab;while(1){T=f[U+(H<<2)>>2]|0;if((T|0)<(H|0))H=T;else break}if((ab|0)==(I|0))bb=H;else{T=I;while(1){R=f[U+(T<<2)>>2]|0;if((R|0)<(T|0))T=R;else break}R=(H|0)>(T|0)?T:H;K=I;do{P=U+(K<<2)|0;L=K;K=f[P>>2]|0;f[P>>2]=R}while((K|0)<(L|0));bb=R}R=ab;do{K=U+(R<<2)|0;I=R;R=f[K>>2]|0;f[K>>2]=bb}while((R|0)<(I|0));f[z+(D<<2)>>2]=bb;J=E;break}if(!(b[w+F>>0]|0)){R=f[l>>2]|0;U=f[y+(S<<2)>>2]|0;I=f[z+(M<<2)>>2]|0;K=U;while(1){H=f[R+(K<<2)>>2]|0;if((H|0)<(K|0))K=H;else break}if((U|0)==(I|0))cb=K;else{H=I;while(1){T=f[R+(H<<2)>>2]|0;if((T|0)<(H|0))H=T;else break}T=(K|0)>(H|0)?H:K;L=I;do{P=R+(L<<2)|0;_=L;L=f[P>>2]|0;f[P>>2]=T}while((L|0)<(_|0));cb=T}T=U;do{L=R+(T<<2)|0;I=T;T=f[L>>2]|0;f[L>>2]=cb}while((T|0)<(I|0));f[z+(D<<2)>>2]=cb;J=E;break}do if(C){if(!(b[x+O>>0]|0))break;T=f[y+(S<<2)>>2]|0;R=f[l>>2]|0;if(b[x+D>>0]|0){U=f[z+(M<<2)>>2]|0;I=T;while(1){L=f[R+(I<<2)>>2]|0;if((L|0)<(I|0))I=L;else break}if((T|0)==(U|0))db=I;else{L=U;while(1){K=f[R+(L<<2)>>2]|0;if((K|0)<(L|0))L=K;else break}K=(I|0)>(L|0)?L:I;H=U;do{_=R+(H<<2)|0;P=H;H=f[_>>2]|0;f[_>>2]=K}while((H|0)<(P|0));db=K}K=T;do{H=R+(K<<2)|0;U=K;K=f[H>>2]|0;f[H>>2]=db}while((K|0)<(U|0));f[z+(D<<2)>>2]=db;J=E;break a}K=f[y+(M<<2)>>2]|0;U=K;while(1){H=f[R+(U<<2)>>2]|0;if((H|0)<(U|0))U=H;else break}if((K|0)==(T|0))eb=U;else{H=T;while(1){I=f[R+(H<<2)>>2]|0;if((I|0)<(H|0))H=I;else break}I=(U|0)>(H|0)?H:U;L=T;do{P=R+(L<<2)|0;_=L;L=f[P>>2]|0;f[P>>2]=I}while((L|0)<(_|0));eb=I}I=K;do{L=R+(I<<2)|0;T=I;I=f[L>>2]|0;f[L>>2]=eb}while((I|0)<(T|0));I=f[z+(M<<2)>>2]|0;K=eb;while(1){T=f[R+(K<<2)>>2]|0;if((T|0)<(K|0))K=T;else break}if((eb|0)==(I|0))fb=K;else{T=I;while(1){L=f[R+(T<<2)>>2]|0;if((L|0)<(T|0))T=L;else break}L=(K|0)>(T|0)?T:K;U=I;do{H=R+(U<<2)|0;_=U;U=f[H>>2]|0;f[H>>2]=L}while((U|0)<(_|0));fb=L}L=eb;do{U=R+(L<<2)|0;I=L;L=f[U>>2]|0;f[U>>2]=fb}while((L|0)<(I|0));f[z+(D<<2)>>2]=fb;J=E;break a}while(0);O=f[l>>2]|0;L=f[y+(M<<2)>>2]|0;R=f[y+(S<<2)>>2]|0;I=L;while(1){U=f[O+(I<<2)>>2]|0;if((U|0)<(I|0))I=U;else break}if((L|0)==(R|0))gb=I;else{S=R;while(1){U=f[O+(S<<2)>>2]|0;if((U|0)<(S|0))S=U;else break}U=(I|0)>(S|0)?S:I;K=R;do{T=O+(K<<2)|0;_=K;K=f[T>>2]|0;f[T>>2]=U}while((K|0)<(_|0));gb=U}U=L;do{K=O+(U<<2)|0;R=U;U=f[K>>2]|0;f[K>>2]=gb}while((U|0)<(R|0));U=f[z+(M<<2)>>2]|0;L=gb;while(1){R=f[O+(L<<2)>>2]|0;if((R|0)<(L|0))L=R;else break}if((gb|0)==(U|0))hb=L;else{M=U;while(1){R=f[O+(M<<2)>>2]|0;if((R|0)<(M|0))M=R;else break}R=(L|0)>(M|0)?M:L;K=U;do{I=O+(K<<2)|0;S=K;K=f[I>>2]|0;f[I>>2]=R}while((K|0)<(S|0));hb=R}R=gb;do{K=O+(R<<2)|0;U=R;R=f[K>>2]|0;f[K>>2]=hb}while((R|0)<(U|0));f[z+(D<<2)>>2]=hb;J=E;break}do if(A){R=D+-2|0;if(b[w+F>>0]|0){O=f[z+(R<<2)>>2]|0;do if((R|0)>-1){if(!(b[v+R>>0]|0))break;f[z+(D<<2)>>2]=O;J=E;break a}while(0);U=f[l>>2]|0;K=f[y+(R<<2)>>2]|0;L=K;while(1){M=f[U+(L<<2)>>2]|0;if((M|0)<(L|0))L=M;else break}if((K|0)==(O|0))ib=L;else{M=O;while(1){S=f[U+(M<<2)>>2]|0;if((S|0)<(M|0))M=S;else break}S=(L|0)>(M|0)?M:L;I=O;do{_=U+(I<<2)|0;T=I;I=f[_>>2]|0;f[_>>2]=S}while((I|0)<(T|0));ib=S}S=K;do{I=U+(S<<2)|0;O=S;S=f[I>>2]|0;f[I>>2]=ib}while((S|0)<(O|0));f[z+(D<<2)>>2]=ib;J=E;break a}if(!(b[w+D>>0]|0)){jb=R;break}do if((R|0)>-1){if(!(b[v+R>>0]|0))break;if(!(b[w+R>>0]|0)){S=f[l>>2]|0;U=f[y+(D<<2)>>2]|0;K=f[z+(R<<2)>>2]|0;O=U;while(1){I=f[S+(O<<2)>>2]|0;if((I|0)<(O|0))O=I;else break}if((U|0)==(K|0))kb=O;else{I=K;while(1){L=f[S+(I<<2)>>2]|0;if((L|0)<(I|0))I=L;else break}L=(O|0)>(I|0)?I:O;M=K;do{T=S+(M<<2)|0;_=M;M=f[T>>2]|0;f[T>>2]=L}while((M|0)<(_|0));kb=L}L=U;do{M=S+(L<<2)|0;K=L;L=f[M>>2]|0;f[M>>2]=kb}while((L|0)<(K|0));f[z+(D<<2)>>2]=kb;J=E;break a}do if(C){if(!(b[x+F>>0]|0))break;f[z+(D<<2)>>2]=f[z+(R<<2)>>2];J=E;break a}while(0);L=f[l>>2]|0;S=f[y+(D<<2)>>2]|0;U=f[z+(R<<2)>>2]|0;K=S;while(1){M=f[L+(K<<2)>>2]|0;if((M|0)<(K|0))K=M;else break}if((S|0)==(U|0))lb=K;else{M=U;while(1){O=f[L+(M<<2)>>2]|0;if((O|0)<(M|0))M=O;else break}O=(K|0)>(M|0)?M:K;I=U;do{_=L+(I<<2)|0;T=I;I=f[_>>2]|0;f[_>>2]=O}while((I|0)<(T|0));lb=O}O=S;do{I=L+(O<<2)|0;U=O;O=f[I>>2]|0;f[I>>2]=lb}while((O|0)<(U|0));f[z+(D<<2)>>2]=lb;J=E;break a}while(0);O=f[l>>2]|0;L=f[y+(D<<2)>>2]|0;S=f[z+(R<<2)>>2]|0;U=L;while(1){I=f[O+(U<<2)>>2]|0;if((I|0)<(U|0))U=I;else break}if((L|0)==(S|0))mb=U;else{R=S;while(1){I=f[O+(R<<2)>>2]|0;if((I|0)<(R|0))R=I;else break}I=(U|0)>(R|0)?R:U;K=S;do{M=O+(K<<2)|0;T=K;K=f[M>>2]|0;f[M>>2]=I}while((K|0)<(T|0));mb=I}I=L;do{K=O+(I<<2)|0;S=I;I=f[K>>2]|0;f[K>>2]=mb}while((I|0)<(S|0));f[z+(D<<2)>>2]=mb;J=E;break a}else jb=D+-2|0;while(0);f[z+(D<<2)>>2]=f[z+(jb<<2)>>2];J=E;break}if(A){I=D+-2|0;if(b[w+F>>0]|0){O=f[z+(I<<2)>>2]|0;do if((I|0)>-1){if(!(b[v+I>>0]|0))break;f[z+(D<<2)>>2]=O;J=E;break a}while(0);L=f[l>>2]|0;S=f[y+(I<<2)>>2]|0;K=S;while(1){U=f[L+(K<<2)>>2]|0;if((U|0)<(K|0))K=U;else break}if((S|0)==(O|0))nb=K;else{U=O;while(1){R=f[L+(U<<2)>>2]|0;if((R|0)<(U|0))U=R;else break}R=(K|0)>(U|0)?U:K;T=O;do{M=L+(T<<2)|0;_=T;T=f[M>>2]|0;f[M>>2]=R}while((T|0)<(_|0));nb=R}R=S;do{T=L+(R<<2)|0;O=R;R=f[T>>2]|0;f[T>>2]=nb}while((R|0)<(O|0));f[z+(D<<2)>>2]=nb;J=E;break}if(!(b[w+D>>0]|0))ob=I;else{do if((I|0)>-1){if(!(b[v+I>>0]|0))break;if(!(b[w+I>>0]|0)){R=f[l>>2]|0;L=f[y+(D<<2)>>2]|0;S=f[z+(I<<2)>>2]|0;O=L;while(1){T=f[R+(O<<2)>>2]|0;if((T|0)<(O|0))O=T;else break}if((L|0)==(S|0))pb=O;else{T=S;while(1){K=f[R+(T<<2)>>2]|0;if((K|0)<(T|0))T=K;else break}K=(O|0)>(T|0)?T:O;U=S;do{_=R+(U<<2)|0;M=U;U=f[_>>2]|0;f[_>>2]=K}while((U|0)<(M|0));pb=K}K=L;do{U=R+(K<<2)|0;S=K;K=f[U>>2]|0;f[U>>2]=pb}while((K|0)<(S|0));f[z+(D<<2)>>2]=pb;J=E;break a}do if(C){if(!(b[x+F>>0]|0))break;f[z+(D<<2)>>2]=f[z+(I<<2)>>2];J=E;break a}while(0);K=f[l>>2]|0;R=f[y+(D<<2)>>2]|0;L=f[z+(I<<2)>>2]|0;S=R;while(1){U=f[K+(S<<2)>>2]|0;if((U|0)<(S|0))S=U;else break}if((R|0)==(L|0))qb=S;else{U=L;while(1){O=f[K+(U<<2)>>2]|0;if((O|0)<(U|0))U=O;else break}O=(S|0)>(U|0)?U:S;T=L;do{M=K+(T<<2)|0;_=T;T=f[M>>2]|0;f[M>>2]=O}while((T|0)<(_|0));qb=O}O=R;do{T=K+(O<<2)|0;L=O;O=f[T>>2]|0;f[T>>2]=qb}while((O|0)<(L|0));f[z+(D<<2)>>2]=qb;J=E;break a}while(0);O=f[l>>2]|0;K=f[y+(D<<2)>>2]|0;R=f[z+(I<<2)>>2]|0;L=K;while(1){T=f[O+(L<<2)>>2]|0;if((T|0)<(L|0))L=T;else break}if((K|0)==(R|0))rb=L;else{I=R;while(1){T=f[O+(I<<2)>>2]|0;if((T|0)<(I|0))I=T;else break}T=(L|0)>(I|0)?I:L;S=R;do{U=O+(S<<2)|0;_=S;S=f[U>>2]|0;f[U>>2]=T}while((S|0)<(_|0));rb=T}T=K;do{S=O+(T<<2)|0;R=T;T=f[S>>2]|0;f[S>>2]=rb}while((T|0)<(R|0));f[z+(D<<2)>>2]=rb;J=E;break}}else ob=D+-2|0;f[z+(D<<2)>>2]=f[z+(ob<<2)>>2];J=E;break}}T=D|1;O=(T|0)<(n|0);if(!(B|O^1)?b[w+T>>0]|0:0){if(b[w+D>>0]|0){f[z+(D<<2)>>2]=f[y+(D<<2)>>2];J=E;break}if(G?b[w+F>>0]|0:0){K=f[y+(D<<2)>>2]|0;if(C?b[x+D>>0]|0:0){f[z+(D<<2)>>2]=K;J=E;break}R=f[l>>2]|0;S=f[y+(D+-2<<2)>>2]|0;L=S;while(1){I=f[R+(L<<2)>>2]|0;if((I|0)<(L|0))L=I;else break}if((S|0)==(K|0))sb=L;else{I=K;while(1){_=f[R+(I<<2)>>2]|0;if((_|0)<(I|0))I=_;else break}_=(L|0)>(I|0)?I:L;U=K;do{M=R+(U<<2)|0;H=U;U=f[M>>2]|0;f[M>>2]=_}while((U|0)<(H|0));sb=_}_=S;do{U=R+(_<<2)|0;K=_;_=f[U>>2]|0;f[U>>2]=sb}while((_|0)<(K|0));f[z+(D<<2)>>2]=sb;J=E;break}f[z+(D<<2)>>2]=f[y+(D<<2)>>2];J=E;break}if(O?b[v+T>>0]|0:0){_=D+2|0;if(!((_|0)>=(n|0)|B)?b[w+_>>0]|0:0){if(b[w+D>>0]|0){if(C?b[x+T>>0]|0:0){f[z+(D<<2)>>2]=f[y+(_<<2)>>2];J=E;break}R=f[l>>2]|0;S=f[y+(D<<2)>>2]|0;K=f[y+(_<<2)>>2]|0;U=S;while(1){L=f[R+(U<<2)>>2]|0;if((L|0)<(U|0))U=L;else break}if((S|0)==(K|0))tb=U;else{O=K;while(1){L=f[R+(O<<2)>>2]|0;if((L|0)<(O|0))O=L;else break}L=(U|0)>(O|0)?O:U;I=K;do{H=R+(I<<2)|0;M=I;I=f[H>>2]|0;f[H>>2]=L}while((I|0)<(M|0));tb=L}L=S;do{I=R+(L<<2)|0;K=L;L=f[I>>2]|0;f[I>>2]=tb}while((L|0)<(K|0));f[z+(D<<2)>>2]=tb;J=E;break}if(G?b[w+F>>0]|0:0){do if(C){if(!(b[x+T>>0]|0))break;L=f[y+(_<<2)>>2]|0;if(b[x+D>>0]|0){f[z+(D<<2)>>2]=L;J=E;break a}R=f[l>>2]|0;S=f[y+(D+-2<<2)>>2]|0;K=S;while(1){I=f[R+(K<<2)>>2]|0;if((I|0)<(K|0))K=I;else break}if((S|0)==(L|0))ub=K;else{I=L;while(1){U=f[R+(I<<2)>>2]|0;if((U|0)<(I|0))I=U;else break}U=(K|0)>(I|0)?I:K;O=L;do{M=R+(O<<2)|0;H=O;O=f[M>>2]|0;f[M>>2]=U}while((O|0)<(H|0));ub=U}U=S;do{O=R+(U<<2)|0;L=U;U=f[O>>2]|0;f[O>>2]=ub}while((U|0)<(L|0));f[z+(D<<2)>>2]=ub;J=E;break a}while(0);T=f[l>>2]|0;U=f[y+(D+-2<<2)>>2]|0;R=f[y+(_<<2)>>2]|0;S=U;while(1){L=f[T+(S<<2)>>2]|0;if((L|0)<(S|0))S=L;else break}if((U|0)==(R|0))vb=S;else{L=R;while(1){O=f[T+(L<<2)>>2]|0;if((O|0)<(L|0))L=O;else break}O=(S|0)>(L|0)?L:S;K=R;do{I=T+(K<<2)|0;H=K;K=f[I>>2]|0;f[I>>2]=O}while((K|0)<(H|0));vb=O}O=U;do{K=T+(O<<2)|0;R=O;O=f[K>>2]|0;f[K>>2]=vb}while((O|0)<(R|0));f[z+(D<<2)>>2]=vb;J=E;break}f[z+(D<<2)>>2]=f[y+(_<<2)>>2];J=E;break}if(A?b[w+D>>0]|0:0){f[z+(D<<2)>>2]=f[y+(D<<2)>>2];J=E;break}if(!(B|G^1)?b[w+F>>0]|0:0){f[z+(D<<2)>>2]=f[y+(D+-2<<2)>>2];J=E;break}f[z+(D<<2)>>2]=E;f[(f[l>>2]|0)+(E<<2)>>2]=E;J=E+1|0;break}if(A?b[w+D>>0]|0:0){f[z+(D<<2)>>2]=f[y+(D<<2)>>2];J=E;break}if(!(B|G^1)?b[w+F>>0]|0:0){f[z+(D<<2)>>2]=f[y+(D+-2<<2)>>2];J=E;break}f[z+(D<<2)>>2]=E;f[(f[l>>2]|0)+(E<<2)>>2]=E;J=E+1|0}while(0);D=D+2|0;if((D|0)>=(n|0)){wb=J;break}else E=J}}else wb=s;a=a+2|0;if((a|0)>=(f[d>>2]|0))break;else s=wb}o=wb;p=f[g>>2]|0;q=o-j|0;r=p+(c<<2)|0;f[r>>2]=q;return}function Una(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;d=f[a+12>>2]|0;e=f[a+8>>2]|0;g=f[c>>2]|0;if((g|0)>=(e|0))return;h=f[a+16>>2]|0;i=f[a+44>>2]|0;a=(d|0)>0;j=d+-1|0;k=g;do{g=f[i>>2]|0;l=h+(Y(g,k)|0)|0;m=l+(0-g)|0;if(a){g=0;do{n=l+(g<<2)|0;o=f[n>>2]|0;if((o|0)>0){if((g|0)>0?(p=f[m+(g+-1<<2)>>2]|0,(p|0)>0):0){q=p;while(1){r=f[b+(q<<2)>>2]|0;if((r|0)<(q|0))q=r;else break}if((p|0)==(o|0))s=q;else{r=o;while(1){t=f[b+(r<<2)>>2]|0;if((t|0)<(r|0))r=t;else break}t=(q|0)>(r|0)?r:q;u=o;do{v=b+(u<<2)|0;w=u;u=f[v>>2]|0;f[v>>2]=t}while((u|0)<(w|0));s=t}t=p;do{u=b+(t<<2)|0;q=t;t=f[u>>2]|0;f[u>>2]=s}while((t|0)<(q|0));f[n>>2]=s;x=s}else x=o;if((g|0)<(j|0)?(t=f[m+(g+1<<2)>>2]|0,(t|0)>0):0){p=t;while(1){q=f[b+(p<<2)>>2]|0;if((q|0)<(p|0))p=q;else break}if((t|0)==(x|0))y=p;else{o=x;while(1){q=f[b+(o<<2)>>2]|0;if((q|0)<(o|0))o=q;else break}q=(p|0)>(o|0)?o:p;u=x;do{r=b+(u<<2)|0;w=u;u=f[r>>2]|0;f[r>>2]=q}while((u|0)<(w|0));y=q}q=t;do{u=b+(q<<2)|0;p=q;q=f[u>>2]|0;f[u>>2]=y}while((q|0)<(p|0));f[n>>2]=y;z=y}else z=x;q=f[m+(g<<2)>>2]|0;if((q|0)>0){t=q;while(1){p=f[b+(t<<2)>>2]|0;if((p|0)<(t|0))t=p;else break}if((q|0)==(z|0))A=t;else{p=z;while(1){u=f[b+(p<<2)>>2]|0;if((u|0)<(p|0))p=u;else break}u=(t|0)>(p|0)?p:t;o=z;do{w=b+(o<<2)|0;r=o;o=f[w>>2]|0;f[w>>2]=u}while((o|0)<(r|0));A=u}u=q;do{o=b+(u<<2)|0;t=u;u=f[o>>2]|0;f[o>>2]=A}while((u|0)<(t|0));f[n>>2]=A}}g=g+1|0}while((g|0)!=(d|0))}k=f[c+(k<<2)>>2]|0}while((k|0)<(e|0));return}function Vna(a){a=a|0;fuc(a);return}function Wna(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;c=f[b>>2]|0;d=f[b+4>>2]|0;if((c|0)>0){b=a+16|0;Qna((f[b>>2]|0)+(c*136|0)|0,f[f[a+20>>2]>>2]|0);e=f[b>>2]|0;f[e+(c*136|0)+132>>2]=d;if((c|0)>=(d|0))return;b=a+4|0;g=a+8|0;h=e+(c*136|0)+20|0;i=e+(c*136|0)+48|0;j=e+(c*136|0)+120|0;e=c;do{k=f[b>>2]|0;l=(f[k+16>>2]|0)+(Y(f[f[k+44>>2]>>2]|0,e)|0)|0;m=l+(f[k+12>>2]<<2)|0;if((l|0)!=(m|0)){k=f[g>>2]|0;n=f[h>>2]|0;o=f[i>>2]|0;p=f[j>>2]|0;q=((e|0)<0)<<31>>31;r=0;s=l;while(1){l=f[k+(f[s>>2]<<2)>>2]|0;f[s>>2]=l;t=n+(Y(f[o>>2]|0,l)|0)|0;u=f[t>>2]|0;f[t>>2]=(u|0)>(r|0)?r:u;u=t+8|0;v=f[u>>2]|0;f[u>>2]=(v|0)<(r|0)?r:v;v=t+4|0;u=f[v>>2]|0;f[v>>2]=(u|0)>(e|0)?e:u;u=t+12|0;v=f[u>>2]|0;f[u>>2]=(v|0)<(e|0)?e:v;v=t+16|0;f[v>>2]=(f[v>>2]|0)+1;v=p+(l<<4)|0;t=v;u=hzc(f[t>>2]|0,f[t+4>>2]|0,r|0,((r|0)<0)<<31>>31|0)|0;t=v;f[t>>2]=u;f[t+4>>2]=J;t=p+(l<<4)+8|0;l=t;u=hzc(f[l>>2]|0,f[l+4>>2]|0,e|0,q|0)|0;l=t;f[l>>2]=u;f[l+4>>2]=J;s=s+4|0;if((s|0)==(m|0))break;else r=r+1|0}}e=e+1|0}while((e|0)!=(d|0));return}else{e=a+12|0;f[(f[e>>2]|0)+132>>2]=d;if((c|0)>=(d|0))return;j=a+4|0;i=a+8|0;a=c;do{c=f[j>>2]|0;h=(f[c+16>>2]|0)+(Y(f[f[c+44>>2]>>2]|0,a)|0)|0;g=h+(f[c+12>>2]<<2)|0;if((h|0)!=(g|0)){c=f[i>>2]|0;b=((a|0)<0)<<31>>31;r=h;h=0;while(1){m=f[c+(f[r>>2]<<2)>>2]|0;f[r>>2]=m;s=f[e>>2]|0;q=(f[s+20>>2]|0)+(Y(f[f[s+48>>2]>>2]|0,m)|0)|0;p=f[q>>2]|0;f[q>>2]=(p|0)>(h|0)?h:p;p=q+8|0;o=f[p>>2]|0;f[p>>2]=(o|0)<(h|0)?h:o;o=q+4|0;p=f[o>>2]|0;f[o>>2]=(p|0)>(a|0)?a:p;p=q+12|0;o=f[p>>2]|0;f[p>>2]=(o|0)<(a|0)?a:o;o=q+16|0;f[o>>2]=(f[o>>2]|0)+1;o=f[s+120>>2]|0;s=o+(m<<4)|0;q=s;p=hzc(f[q>>2]|0,f[q+4>>2]|0,h|0,((h|0)<0)<<31>>31|0)|0;q=s;f[q>>2]=p;f[q+4>>2]=J;q=o+(m<<4)+8|0;m=q;o=hzc(f[m>>2]|0,f[m+4>>2]|0,a|0,b|0)|0;m=q;f[m>>2]=o;f[m+4>>2]=J;r=r+4|0;if((r|0)==(g|0))break;else h=h+1|0}}a=a+1|0}while((a|0)!=(d|0));return}}function Xna(a){a=a|0;fuc(a);return}function Yna(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0;d=f[c>>2]|0;e=c+4|0;c=f[a+16>>2]|0;f[c+(d<<2)>>2]=f[e>>2];g=a+8|0;h=f[g>>2]|0;i=(((Y(f[h+12>>2]|0,d)|0)+1|0)/2|0)+1|0;j=a+4|0;k=f[j>>2]|0;l=f[k+12>>2]|0;if((d|0)==(f[e>>2]|0)){m=i;n=m-i|0;o=d+1|0;p=c+(o<<2)|0;f[p>>2]=n;return}q=(l|0)>0;r=a+12|0;a=d;s=i;t=k;k=h;while(1){h=f[f[t+44>>2]>>2]|0;u=(f[t+16>>2]|0)+(Y(h,a)|0)|0;v=u+(0-h)|0;h=f[f[k+44>>2]>>2]|0;w=(f[k+16>>2]|0)+(Y(h,a)|0)|0;x=w+(0-h)|0;a:do if(q){if((a|0)>(d|0)){y=0;z=s}else{h=0;A=s;while(1){do if(!(b[u+h>>0]|0)){f[w+(h<<2)>>2]=0;B=A}else{if((h|0)>0?(C=h+-1|0,b[u+C>>0]|0):0){f[w+(h<<2)>>2]=f[w+(C<<2)>>2];B=A;break}f[w+(h<<2)>>2]=A;f[(f[r>>2]|0)+(A<<2)>>2]=A;B=A+1|0}while(0);h=h+1|0;if((h|0)==(l|0)){D=B;break a}else A=B}}while(1){do if(!(b[u+y>>0]|0)){f[w+(y<<2)>>2]=0;E=z}else{A=(y|0)>0;if(!(b[v+y>>0]|0)){if(A?(h=y+-1|0,b[u+h>>0]|0):0){f[w+(y<<2)>>2]=f[w+(h<<2)>>2];E=z;break}f[w+(y<<2)>>2]=z;f[(f[r>>2]|0)+(z<<2)>>2]=z;E=z+1|0;break}h=f[x+(y<<2)>>2]|0;if(A?(A=y+-1|0,(b[u+A>>0]|0)!=0):0){C=f[r>>2]|0;F=f[w+(A<<2)>>2]|0;A=F;while(1){G=f[C+(A<<2)>>2]|0;if((G|0)<(A|0))A=G;else break}if((F|0)==(h|0))H=A;else{G=h;while(1){I=f[C+(G<<2)>>2]|0;if((I|0)<(G|0))G=I;else break}I=(A|0)>(G|0)?G:A;J=h;do{K=C+(J<<2)|0;L=J;J=f[K>>2]|0;f[K>>2]=I}while((J|0)<(L|0));H=I}I=F;do{J=C+(I<<2)|0;A=I;I=f[J>>2]|0;f[J>>2]=H}while((I|0)<(A|0));M=H}else M=h;f[w+(y<<2)>>2]=M;E=z}while(0);y=y+1|0;if((y|0)==(l|0)){D=E;break}else z=E}}else D=s;while(0);w=a+1|0;if((w|0)==(f[e>>2]|0)){m=D;break}a=w;s=D;t=f[j>>2]|0;k=f[g>>2]|0}n=m-i|0;o=d+1|0;p=c+(o<<2)|0;f[p>>2]=n;return}function Zna(a){a=a|0;fuc(a);return}function _na(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0;d=f[c>>2]|0;e=c+4|0;c=f[a+16>>2]|0;f[c+(d<<2)>>2]=f[e>>2];g=d+1|0;h=a+8|0;i=f[h>>2]|0;j=(Y(((f[i+12>>2]|0)+1|0)/2|0,(g|0)/2|0)|0)+1|0;k=a+4|0;l=f[k>>2]|0;m=f[l+12>>2]|0;n=f[e>>2]|0;if((d|0)==(n|0)){o=j;p=o-j|0;q=c+(g<<2)|0;f[q>>2]=p;return}r=(m|0)>0;s=m+-1|0;t=a+12|0;a=d;u=j;v=n;n=l;l=i;while(1){i=f[f[n+44>>2]>>2]|0;w=(f[n+16>>2]|0)+(Y(i,a)|0)|0;x=w+(0-i)|0;i=f[f[l+44>>2]>>2]|0;y=(f[l+16>>2]|0)+(Y(i,a)|0)|0;z=y+(0-i)|0;if(r){i=(a|0)>(d|0);A=i^1;B=0;C=u;while(1){a:do if(!(b[w+B>>0]|0)){f[y+(B<<2)>>2]=0;D=C}else{if(i){if(b[x+B>>0]|0){f[y+(B<<2)>>2]=f[z+(B<<2)>>2];D=C;break}if(!((B|0)>=(s|0)|A)){E=B+1|0;if(!(b[x+E>>0]|0))F=0;else{do if((B|0)>0){G=B+-1|0;if(!(b[x+G>>0]|0)){H=f[z+(E<<2)>>2]|0;if(!(b[w+G>>0]|0)){I=H;break}J=f[t>>2]|0;K=f[y+(G<<2)>>2]|0;L=K;while(1){M=f[J+(L<<2)>>2]|0;if((M|0)<(L|0))L=M;else break}if((K|0)==(H|0))N=L;else{M=H;while(1){O=f[J+(M<<2)>>2]|0;if((O|0)<(M|0))M=O;else break}O=(L|0)>(M|0)?M:L;P=H;do{Q=J+(P<<2)|0;R=P;P=f[Q>>2]|0;f[Q>>2]=O}while((P|0)<(R|0));N=O}O=K;do{P=J+(O<<2)|0;H=O;O=f[P>>2]|0;f[P>>2]=N}while((O|0)<(H|0));I=N}else{O=f[t>>2]|0;J=f[z+(G<<2)>>2]|0;K=f[z+(E<<2)>>2]|0;H=J;while(1){P=f[O+(H<<2)>>2]|0;if((P|0)<(H|0))H=P;else break}if((J|0)==(K|0))S=H;else{G=K;while(1){P=f[O+(G<<2)>>2]|0;if((P|0)<(G|0))G=P;else break}P=(H|0)>(G|0)?G:H;L=K;do{M=O+(L<<2)|0;R=L;L=f[M>>2]|0;f[M>>2]=P}while((L|0)<(R|0));S=P}P=J;do{L=O+(P<<2)|0;K=P;P=f[L>>2]|0;f[L>>2]=S}while((P|0)<(K|0));f[y+(B<<2)>>2]=S;D=C;break a}}else I=f[z+(E<<2)>>2]|0;while(0);f[y+(B<<2)>>2]=I;D=C;break}}else F=A}else F=A;E=(B|0)>0;if(!(F|E^1)?(P=B+-1|0,b[x+P>>0]|0):0){f[y+(B<<2)>>2]=f[z+(P<<2)>>2];D=C;break}if(E?(E=B+-1|0,b[w+E>>0]|0):0){f[y+(B<<2)>>2]=f[y+(E<<2)>>2];D=C;break}f[y+(B<<2)>>2]=C;f[(f[t>>2]|0)+(C<<2)>>2]=C;D=C+1|0}while(0);B=B+1|0;if((B|0)==(m|0))break;else C=D}T=D;U=f[e>>2]|0}else{T=u;U=v}C=a+1|0;if((C|0)==(U|0)){o=T;break}a=C;u=T;v=U;n=f[k>>2]|0;l=f[h>>2]|0}p=o-j|0;q=c+(g<<2)|0;f[q>>2]=p;return}function $na(a){a=a|0;kzc(a|0,0,192)|0;return}function aoa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0.0,I=0.0,J=0.0,K=0.0,N=0.0,O=0.0,P=0.0,Q=0.0,R=0.0,S=0.0,T=0.0,U=0.0,V=0.0,W=0.0,X=0.0,Z=0.0,_=0.0,$=0.0,aa=0.0,ba=0.0,ca=0.0,da=0.0,ea=0.0,fa=0.0,ga=0.0,ha=0.0,ia=0.0,ja=0.0,ka=0.0,la=0.0,ma=0.0,na=0.0,oa=0.0,pa=0.0,qa=0.0,ra=0.0,sa=0.0,ta=0.0,ua=0.0,va=0.0,wa=0.0,xa=0.0,ya=0.0,za=0.0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0.0,yb=0.0,zb=0.0,Ab=0.0,Bb=0.0,Cb=0.0,Db=0.0,Eb=0.0,Fb=0.0,Gb=0.0,Hb=0.0,Ib=0.0,Jb=0.0,Kb=0.0,Lb=0.0,Mb=0.0,Nb=0.0,Ob=0.0,Pb=0.0,Qb=0.0,Rb=0,Sb=0,Tb=0.0,Ub=0.0,Vb=0.0,Wb=0.0,Xb=0.0,Yb=0.0,Zb=0.0,_b=0.0,$b=0.0,ac=0.0;e=u;u=u+1344|0;g=e+264|0;h=e+256|0;i=e+320|0;j=e+248|0;k=e+192|0;l=e+136|0;m=e+8|0;o=e+120|0;q=e+104|0;r=e;s=e+88|0;gV(h,78484);t=pJ(c,-1)|0;v=t&7;w=t&4088;oJ(j,c,-1);if((f[j>>2]|0)>=1?(x=j+4|0,(f[x>>2]|0)>=1):0){do if((qJ(c)|0)==65536){y=f[c+4>>2]|0;f[k>>2]=f[y>>2];z=k+4|0;A=y+4|0;f[z>>2]=f[A>>2];B=k+8|0;f[B>>2]=f[y+8>>2];f[k+12>>2]=f[y+12>>2];f[k+16>>2]=f[y+16>>2];f[k+20>>2]=f[y+20>>2];f[k+24>>2]=f[y+24>>2];f[k+28>>2]=f[y+28>>2];f[k+32>>2]=f[y+32>>2];C=f[y+36>>2]|0;f[k+36>>2]=C;f[k+40>>2]=B;B=k+48|0;D=k+44|0;f[D>>2]=B;f[B>>2]=0;f[k+52>>2]=0;if(C|0){B=C+12|0;f[B>>2]=(f[B>>2]|0)+1}if((f[A>>2]|0)<3){A=f[y+44>>2]|0;B=f[D>>2]|0;f[B>>2]=f[A>>2];f[B+4>>2]=f[A+4>>2];break}else{f[z>>2]=0;$T(k,y);break}}else nJ(k,c,-1);while(0);if((v|1|0)==5&(qU(k,2,-1,1)|0)>-1){kzc(a|0,0,192)|0;c=qU(k,2,-1,1)|0;y=f[k>>2]|0;z=(y&7|0)==5;A=f[k+16>>2]|0;if((y&6|0)!=4){y=cuc(64)|0;f[g>>2]=y;f[g+8>>2]=-2147483584;f[g+4>>2]=54;E=y;F=348646;G=E+54|0;do{b[E>>0]=b[F>>0]|0;E=E+1|0;F=F+1|0}while((E|0)<(G|0));b[y+54>>0]=0;WD(-215,g,348701,348716,101)}if(c|0){y=c+-1|0;if(z){H=+n[A+(y<<3)+4>>2];I=+n[A+(y<<3)>>2]}else{H=+(f[A+(y<<3)+4>>2]|0);I=+(f[A+(y<<3)>>2]|0)}J=I*I;K=H*H;if((c|0)>0)if(z){z=0;N=0.0;O=0.0;P=K;Q=J;R=0.0;S=0.0;T=0.0;U=0.0;V=0.0;W=0.0;X=0.0;Z=0.0;_=I;$=H;while(1){aa=_;_=+n[A+(z<<3)>>2];ba=$;$=+n[A+(z<<3)+4>>2];ca=Q;Q=_*_;da=P;P=$*$;ea=aa*$-ba*_;fa=aa+_;ga=ba+$;ha=N+ea;ia=fa*ea;ja=O+ia;ka=ga*ea;la=R+ka;ma=S+ea*(Q+aa*fa);na=Z+ea*(aa*(ba+ga)+_*($+ga));oa=X+ea*(P+ba*ga);pa=W+(ca+Q)*ia;ia=T+(da+P)*ka;ka=V+ea*(ca*(ba*3.0+$)+aa*(_*2.0)*ga+Q*(ba+$*3.0));ga=U+ea*(P*(aa+_*3.0)+(da*(aa*3.0+_)+fa*(ba*($*2.0))));z=z+1|0;if((z|0)==(c|0)){qa=ha;ra=ja;sa=la;ta=ma;ua=ia;va=ga;wa=ka;xa=pa;ya=oa;za=na;break}else{N=ha;O=ja;R=la;S=ma;T=ia;U=ga;V=ka;W=pa;X=oa;Z=na}}}else{z=0;Z=0.0;X=0.0;W=K;K=J;J=0.0;V=0.0;U=0.0;T=0.0;S=0.0;R=0.0;O=0.0;N=0.0;$=I;I=H;while(1){H=$;$=+(f[A+(z<<3)>>2]|0);_=I;I=+(f[A+(z<<3)+4>>2]|0);P=K;K=$*$;Q=W;W=I*I;na=H*I-_*$;oa=H+$;pa=_+I;ka=Z+na;ga=oa*na;ia=X+ga;ma=pa*na;la=J+ma;ja=V+na*(K+H*oa);ha=N+na*(H*(_+pa)+$*(I+pa));ba=O+na*(W+_*pa);fa=R+(P+K)*ga;ga=U+(Q+W)*ma;ma=S+na*(P*(_*3.0+I)+H*($*2.0)*pa+K*(_+I*3.0));pa=T+na*(W*(H+$*3.0)+(Q*(H*3.0+$)+oa*(_*(I*2.0))));z=z+1|0;if((z|0)==(c|0)){qa=ka;ra=ia;sa=la;ta=ja;ua=ga;va=pa;wa=ma;xa=fa;ya=ba;za=ha;break}else{Z=ka;X=ia;J=la;V=ja;U=ga;T=pa;S=ma;R=fa;O=ba;N=ha}}}else{qa=0.0;ra=0.0;sa=0.0;ta=0.0;ua=0.0;va=0.0;wa=0.0;xa=0.0;ya=0.0;za=0.0}if(+L(+qa)>1.1920928955078125e-07){c=qa>0.0;N=c?.16666666666666666:-.16666666666666666;O=c?.08333333333333333:-.08333333333333333;R=c?.05:-.05;S=c?.016666666666666666:-.016666666666666666;T=qa*(c?.5:-.5);p[a>>3]=T;qa=ra*N;p[a+8>>3]=qa;ra=sa*N;p[a+16>>3]=ra;N=ta*O;p[a+24>>3]=N;ta=za*(c?.041666666666666664:-.041666666666666664);p[a+32>>3]=ta;za=ya*O;p[a+40>>3]=za;O=xa*R;p[a+48>>3]=O;xa=wa*S;p[a+56>>3]=xa;wa=va*S;p[a+64>>3]=wa;S=ua*R;p[a+72>>3]=S;c=+L(+T)>2.220446049250313e-16;R=1.0/T;T=c?R:0.0;ua=c?ra*R:0.0;va=c?qa*R:0.0;R=qa*va;ya=N-R;N=qa*ua;qa=ta-N;ta=ra*ua;sa=za-ta;p[a+80>>3]=ya;p[a+88>>3]=qa;p[a+96>>3]=sa;za=O-va*(R+ya*3.0);p[a+104>>3]=za;R=qa+qa;O=xa-va*(ra*va+R)-ua*ya;p[a+112>>3]=O;ra=wa-ua*(N+R)-va*sa;p[a+120>>3]=ra;va=S-ua*(ta+sa*3.0);p[a+128>>3]=va;ta=T*T;ua=ta*+M(+(+L(+T)));p[a+136>>3]=ta*ya;p[a+144>>3]=ta*qa;p[a+152>>3]=ta*sa;p[a+160>>3]=za*ua;p[a+168>>3]=O*ua;p[a+176>>3]=ra*ua;p[a+184>>3]=va*ua}}}else{if(w|0){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;w=cuc(48)|0;f[g>>2]=w;f[g+8>>2]=-2147483600;f[g+4>>2]=43;E=w;F=348788;G=E+43|0;do{b[E>>0]=b[F>>0]|0;E=E+1|0;F=F+1|0}while((E|0)<(G|0));b[w+43>>0]=0;WD(-5,g,348832,348716,681)}a:do if((v|0)==0|d)Aa=1076;else switch(t&7){case 2:{Aa=1077;break a;break}case 3:{Aa=1078;break a;break}case 5:{Aa=1079;break a;break}case 6:{Aa=1080;break a;break}default:{f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;WD(-210,g,348832,348716,696)}}while(0);f[g>>2]=f[k>>2];t=g+4|0;v=k+4|0;w=f[v>>2]|0;f[t>>2]=w;F=g+8|0;f[F>>2]=f[k+8>>2];f[g+12>>2]=f[k+12>>2];E=g+16|0;f[E>>2]=f[k+16>>2];f[g+20>>2]=f[k+20>>2];f[g+24>>2]=f[k+24>>2];f[g+28>>2]=f[k+28>>2];f[g+32>>2]=f[k+32>>2];G=g+36|0;c=f[k+36>>2]|0;f[G>>2]=c;z=g+40|0;f[z>>2]=F;F=g+48|0;A=g+44|0;f[A>>2]=F;f[F>>2]=0;f[g+52>>2]=0;if(!c)Ba=w;else{w=c+12|0;f[w>>2]=(f[w>>2]|0)+1;Ba=f[v>>2]|0}if((Ba|0)<3){Ba=f[k+44>>2]|0;v=f[A>>2]|0;f[v>>2]=f[Ba>>2];f[v+4>>2]=f[Ba+4>>2]}else{f[t>>2]=0;$T(g,k)}Ba=f[x>>2]|0;if((Ba|0)>0){v=m+4|0;w=m+8|0;c=m+12|0;y=m+4|0;B=m+8|0;D=m+12|0;C=m+16|0;Ca=m+20|0;Da=m+24|0;Ea=m+28|0;Fa=m+40|0;Ga=m+48|0;Ha=m+44|0;Ia=m+52|0;Ja=o+8|0;Ka=o+12|0;La=o+4|0;Ma=q+8|0;Na=q+12|0;Oa=q+4|0;Pa=s+8|0;Qa=s+4|0;Ra=m+36|0;Sa=l+36|0;Ta=l+16|0;Ua=l+4|0;Va=l+40|0;Wa=l+8|0;Xa=l+12|0;Ya=l+44|0;Za=l+20|0;_a=l+24|0;$a=l+28|0;ab=m+32|0;bb=l+32|0;cb=m+8|0;db=m+16|0;eb=m+24|0;fb=m+32|0;gb=m+40|0;hb=m+48|0;ib=m+56|0;jb=m+64|0;kb=m+72|0;lb=l+48|0;mb=Da+8|0;nb=0;ua=0.0;va=0.0;ra=0.0;O=0.0;za=0.0;sa=0.0;ta=0.0;qa=0.0;ya=0.0;T=0.0;ob=Ba;Ba=f[j>>2]|0;while(1){pb=ob-nb|0;qb=(pb|0)<32?pb:32;if((Ba|0)>0){S=+(nb|0);pb=0;R=ua;N=va;wa=ra;xa=O;U=za;V=sa;J=ta;X=qa;Z=ya;I=T;rb=Ba;do{sb=rb-pb|0;tb=(sb|0)<32?sb:32;f[m>>2]=pb;f[v>>2]=nb;f[w>>2]=tb;f[c>>2]=qb;eU(l,g,m);if(d){f[m>>2]=1124007936;f[y>>2]=2;f[B>>2]=qb;f[D>>2]=tb;f[C>>2]=i;f[Ca>>2]=i;sb=mb;f[sb>>2]=0;f[sb+4>>2]=0;f[Fa>>2]=B;f[Ha>>2]=Ga;sb=Y(tb,qb)|0;f[Ga>>2]=tb;f[Ia>>2]=1;ub=i+sb|0;f[Ea>>2]=ub;f[Da>>2]=ub+(0-tb)+tb;YT(m);f[Ja>>2]=0;f[Ka>>2]=0;f[o>>2]=16842752;f[La>>2]=l;p[r>>3]=0.0;f[q>>2]=-1056833530;f[Oa>>2]=r;f[Ma>>2]=1;f[Na>>2]=1;tb=Pa;f[tb>>2]=0;f[tb+4>>2]=0;f[s>>2]=33619968;f[Qa>>2]=m;PX(o,q,s,5);tb=f[Ra>>2]|0;if(tb|0){ub=tb+12|0;f[ub>>2]=(f[ub>>2]|0)+1}ub=f[Sa>>2]|0;do if(ub|0){tb=ub+12|0;sb=f[tb>>2]|0;f[tb>>2]=sb+-1;if((sb|0)!=1)break;aU(l)}while(0);f[Sa>>2]=0;f[Ta>>2]=0;f[Ta+4>>2]=0;f[Ta+8>>2]=0;f[Ta+12>>2]=0;if((f[Ua>>2]|0)>0){ub=f[Va>>2]|0;sb=0;do{f[ub+(sb<<2)>>2]=0;sb=sb+1|0;vb=f[Ua>>2]|0}while((sb|0)<(vb|0));f[l>>2]=f[m>>2];if((vb|0)<3)wb=63;else wb=65}else{f[l>>2]=f[m>>2];wb=63}do if((wb|0)==63){wb=0;sb=f[y>>2]|0;if((sb|0)>=3){wb=65;break}f[Ua>>2]=sb;f[Wa>>2]=f[B>>2];f[Xa>>2]=f[D>>2];sb=f[Ha>>2]|0;ub=f[Ya>>2]|0;f[ub>>2]=f[sb>>2];f[ub+4>>2]=f[sb+4>>2]}while(0);if((wb|0)==65){wb=0;$T(l,m)}f[Ta>>2]=f[C>>2];f[Za>>2]=f[Ca>>2];f[_a>>2]=f[Da>>2];f[$a>>2]=f[Ea>>2];f[bb>>2]=f[ab>>2];sb=f[Ra>>2]|0;f[Sa>>2]=sb;do if(sb|0){ub=sb+12|0;tb=f[ub>>2]|0;f[ub>>2]=tb+-1;if((tb|0)!=1)break;aU(m)}while(0);f[Ra>>2]=0;f[C>>2]=0;f[C+4>>2]=0;f[C+8>>2]=0;f[C+12>>2]=0;if((f[y>>2]|0)>0){sb=f[Fa>>2]|0;tb=0;do{f[sb+(tb<<2)>>2]=0;tb=tb+1|0}while((tb|0)<(f[y>>2]|0))}tb=f[Ha>>2]|0;if((tb|0)!=(Ga|0))TC(tb)}yh[Aa&2047](l,m);$=+p[m>>3];if(d){W=$*.00392156862745098;p[m>>3]=W;K=+p[cb>>3]*.00392156862745098;p[cb>>3]=K;ha=+p[db>>3]*.00392156862745098;p[db>>3]=ha;ba=+p[eb>>3]*.00392156862745098;p[eb>>3]=ba;fa=+p[fb>>3]*.00392156862745098;p[fb>>3]=fa;ma=+p[gb>>3]*.00392156862745098;p[gb>>3]=ma;pa=+p[hb>>3]*.00392156862745098;p[hb>>3]=pa;ga=+p[ib>>3]*.00392156862745098;p[ib>>3]=ga;ja=+p[jb>>3]*.00392156862745098;p[jb>>3]=ja;la=+p[kb>>3]*.00392156862745098;p[kb>>3]=la;xb=W;yb=K;zb=ha;Ab=ba;Bb=fa;Cb=ma;Db=pa;Eb=ga;Fb=ja;Gb=la}else{xb=$;yb=+p[cb>>3];zb=+p[db>>3];Ab=+p[eb>>3];Bb=+p[fb>>3];Cb=+p[gb>>3];Db=+p[hb>>3];Eb=+p[ib>>3];Fb=+p[jb>>3];Gb=+p[kb>>3]}$=+(pb|0);la=$*xb;ja=S*xb;R=R+xb;ga=yb+la;I=I+ga;pa=ja+zb;N=N+pa;wa=wa+(Ab+$*(la+yb*2.0));ma=$*pa;pa=S*yb;xa=xa+(pa+(Bb+ma));U=U+(Cb+S*(ja+zb*2.0));V=V+(Db+$*(Ab*3.0+$*(la+yb*3.0)));J=J+(S*Ab+(Eb+$*(ma+(pa+Bb)*2.0)));X=X+($*Cb+(Fb+S*(S*ga+($*zb+Bb)*2.0)));Z=Z+(S*(S*(ja+zb*3.0)+Cb*3.0)+Gb);tb=f[Sa>>2]|0;do if(tb|0){sb=tb+12|0;ub=f[sb>>2]|0;f[sb>>2]=ub+-1;if((ub|0)!=1)break;aU(l)}while(0);f[Sa>>2]=0;f[Ta>>2]=0;f[Ta+4>>2]=0;f[Ta+8>>2]=0;f[Ta+12>>2]=0;if((f[Ua>>2]|0)>0){tb=f[Va>>2]|0;ub=0;do{f[tb+(ub<<2)>>2]=0;ub=ub+1|0}while((ub|0)<(f[Ua>>2]|0))}ub=f[Ya>>2]|0;if((ub|0)!=(lb|0))TC(ub);pb=pb+32|0;rb=f[j>>2]|0}while((rb|0)>(pb|0));Hb=R;Ib=N;Jb=wa;Kb=xa;Lb=U;Mb=V;Nb=J;Ob=X;Pb=Z;Qb=I;Rb=f[x>>2]|0;Sb=rb}else{Hb=ua;Ib=va;Jb=ra;Kb=O;Lb=za;Mb=sa;Nb=ta;Ob=qa;Pb=ya;Qb=T;Rb=ob;Sb=Ba}nb=nb+32|0;if((Rb|0)<=(nb|0)){Tb=Hb;Ub=Ib;Vb=Jb;Wb=Kb;Xb=Lb;Yb=Mb;Zb=Nb;_b=Ob;$b=Pb;ac=Qb;break}else{ua=Hb;va=Ib;ra=Jb;O=Kb;za=Lb;sa=Mb;ta=Nb;qa=Ob;ya=Pb;T=Qb;ob=Rb;Ba=Sb}}}else{Tb=0.0;Ub=0.0;Vb=0.0;Wb=0.0;Xb=0.0;Yb=0.0;Zb=0.0;_b=0.0;$b=0.0;ac=0.0}Sb=+L(+Tb)>2.220446049250313e-16;Qb=1.0/Tb;T=Sb?Qb:0.0;Pb=Sb?Ub*Qb:0.0;ya=Sb?ac*Qb:0.0;Qb=ac*ya;Ob=Vb-Qb;qa=ac*Pb;Nb=Wb-qa;ta=Ub*Pb;Mb=Xb-ta;sa=Yb-ya*(Qb+Ob*3.0);Qb=Nb+Nb;Lb=Zb-ya*(Ub*ya+Qb)-Pb*Ob;za=_b-Pb*(qa+Qb)-ya*Mb;ya=$b-Pb*(ta+Mb*3.0);ta=T*T;Pb=+M(+(+L(+T)))*ta;p[a>>3]=Tb;p[a+8>>3]=ac;p[a+16>>3]=Ub;p[a+24>>3]=Vb;p[a+32>>3]=Wb;p[a+40>>3]=Xb;p[a+48>>3]=Yb;p[a+56>>3]=Zb;p[a+64>>3]=_b;p[a+72>>3]=$b;p[a+80>>3]=Ob;p[a+88>>3]=Nb;p[a+96>>3]=Mb;p[a+104>>3]=sa;p[a+112>>3]=Lb;p[a+120>>3]=za;p[a+128>>3]=ya;p[a+136>>3]=ta*Ob;p[a+144>>3]=ta*Nb;p[a+152>>3]=ta*Mb;p[a+160>>3]=Pb*sa;p[a+168>>3]=Pb*Lb;p[a+176>>3]=Pb*za;p[a+184>>3]=Pb*ya;Sb=f[G>>2]|0;if(Sb|0?(Ba=Sb+12|0,Sb=f[Ba>>2]|0,f[Ba>>2]=Sb+-1,(Sb|0)==1):0)aU(g);f[G>>2]=0;f[E>>2]=0;f[E+4>>2]=0;f[E+8>>2]=0;f[E+12>>2]=0;if((f[t>>2]|0)>0){E=f[z>>2]|0;z=0;do{f[E+(z<<2)>>2]=0;z=z+1|0}while((z|0)<(f[t>>2]|0))}t=f[A>>2]|0;if((t|0)!=(F|0))TC(t)}t=k+36|0;F=f[t>>2]|0;if(F|0?(A=F+12|0,F=f[A>>2]|0,f[A>>2]=F+-1,(F|0)==1):0)aU(k);f[t>>2]=0;t=k+16|0;F=k+4|0;f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;f[t+12>>2]=0;if((f[F>>2]|0)>0){t=f[k+40>>2]|0;A=0;do{f[t+(A<<2)>>2]=0;A=A+1|0}while((A|0)<(f[F>>2]|0))}F=f[k+44>>2]|0;if((F|0)!=(k+48|0))TC(F)}else kzc(a|0,0,192)|0;if(!(f[h+4>>2]|0)){u=e;return}u=e;return}function boa(a,b){a=a|0;b=b|0;var c=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0.0,Q=0.0,R=0.0,S=0.0,T=0.0,U=0.0,V=0.0,W=0.0,X=0.0,Z=0.0;c=f[a+40>>2]|0;e=f[c+4>>2]|0;g=f[c>>2]|0;if((g|0)>0?(c=f[a+16>>2]|0,h=f[f[a+44>>2]>>2]|0,(e|0)>0):0){a=0;i=0;j=0;k=0;l=0;m=0;n=0;o=0;q=0;r=0;s=0;t=0;u=0;v=0;w=0;x=0;y=0;z=0;A=0;B=0;C=0;do{D=c+(Y(h,a)|0)|0;E=0;F=0;G=0;H=0;I=0;K=0;do{L=d[D+(H<<1)>>1]|0;M=Y(L,H)|0;G=L+G|0;F=M+F|0;L=Y(M,H)|0;E=L+E|0;M=Y(L,H)|0;I=hzc(M|0,((M|0)<0)<<31>>31|0,I|0,K|0)|0;K=J;H=H+1|0}while((H|0)!=(e|0));H=Y(G,a)|0;D=Y(a,a)|0;M=((H|0)<0)<<31>>31;L=Bzc(H|0,M|0,D|0,0)|0;z=hzc(z|0,A|0,L|0,J|0)|0;A=J;L=((F|0)<0)<<31>>31;N=Bzc(F|0,L|0,D|0,0)|0;B=hzc(B|0,C|0,N|0,J|0)|0;C=J;N=((E|0)<0)<<31>>31;O=Bzc(E|0,N|0,a|0,((a|0)<0)<<31>>31|0)|0;i=hzc(i|0,j|0,O|0,J|0)|0;j=J;k=hzc(k|0,l|0,I|0,K|0)|0;l=J;O=Y(G,D)|0;m=hzc(m|0,n|0,O|0,((O|0)<0)<<31>>31|0)|0;n=J;O=Y(F,a)|0;o=hzc(o|0,q|0,O|0,((O|0)<0)<<31>>31|0)|0;q=J;r=hzc(r|0,s|0,E|0,N|0)|0;s=J;t=hzc(t|0,u|0,H|0,M|0)|0;u=J;v=hzc(v|0,w|0,F|0,L|0)|0;w=J;x=hzc(x|0,y|0,G|0,((G|0)<0)<<31>>31|0)|0;y=J;a=a+1|0}while((a|0)!=(g|0));P=+(x>>>0)+4294967296.0*+(y|0);Q=+(v>>>0)+4294967296.0*+(w|0);R=+(t>>>0)+4294967296.0*+(u|0);S=+(r>>>0)+4294967296.0*+(s|0);T=+(o>>>0)+4294967296.0*+(q|0);U=+(m>>>0)+4294967296.0*+(n|0);V=+(k>>>0)+4294967296.0*+(l|0);W=+(i>>>0)+4294967296.0*+(j|0);X=+(B>>>0)+4294967296.0*+(C|0);Z=+(z>>>0)+4294967296.0*+(A|0)}else{P=0.0;Q=0.0;R=0.0;S=0.0;T=0.0;U=0.0;V=0.0;W=0.0;X=0.0;Z=0.0}p[b>>3]=P;p[b+8>>3]=Q;p[b+16>>3]=R;p[b+24>>3]=S;p[b+32>>3]=T;p[b+40>>3]=U;p[b+48>>3]=V;p[b+56>>3]=W;p[b+64>>3]=X;p[b+72>>3]=Z;return}function coa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0,J=0.0,K=0.0,L=0.0,M=0.0,N=0,O=0.0,P=0.0,Q=0.0,R=0.0,S=0.0,T=0.0,U=0.0,V=0.0,W=0.0,X=0.0,Z=0.0,_=0.0,$=0.0,aa=0.0,ba=0.0,ca=0.0,da=0.0,ea=0.0,fa=0.0,ga=0.0;c=u;u=u+80|0;d=c;e=f[a+40>>2]|0;g=f[e+4>>2]|0;h=f[e>>2]|0;e=d;i=e+80|0;do{f[e>>2]=0;e=e+4|0}while((e|0)<(i|0));if((h|0)<=0){e=b;j=d;i=e+80|0;do{f[e>>2]=f[j>>2];e=e+4|0;j=j+4|0}while((e|0)<(i|0));u=c;return}k=f[a+16>>2]|0;l=f[f[a+44>>2]>>2]|0;a=d+72|0;m=d+64|0;o=d+56|0;q=d+48|0;r=d+40|0;s=d+32|0;t=d+24|0;v=d+16|0;w=d+8|0;if((g|0)>0){x=0;y=0.0;z=0.0;A=0.0;B=0.0;C=0.0;D=0.0;E=0.0;F=0.0;G=0.0;H=0.0;while(1){I=k+(Y(l,x)|0)|0;J=0.0;K=0.0;L=0.0;M=0.0;N=0;do{O=+n[I+(N<<2)>>2];P=+(N|0);Q=P*O;M=M+O;L=L+Q;O=P*Q;K=K+O;J=J+P*O;N=N+1|0}while((N|0)!=(g|0));O=+(x|0);P=O*M;Q=+(Y(x,x)|0);R=Q*P+y;S=Q*L+z;T=O*K+A;U=J+B;V=Q*M+C;Q=O*L+D;O=K+E;W=P+F;P=L+G;X=M+H;x=x+1|0;if((x|0)==(h|0)){Z=R;_=S;$=T;aa=U;ba=V;ca=Q;da=O;ea=W;fa=P;ga=X;break}else{y=R;z=S;A=T;B=U;C=V;D=Q;E=O;F=W;G=P;H=X}}}else{x=0;H=0.0;G=0.0;F=0.0;E=0.0;D=0.0;C=0.0;while(1){B=+(x|0)*0.0;A=+(Y(x,x)|0);z=A*B+H;y=A*0.0;A=y+G;X=B+F;P=y+E;y=B+D;W=B+C;x=x+1|0;if((x|0)==(h|0)){Z=z;_=A;$=X;aa=0.0;ba=P;ca=y;da=0.0;ea=W;fa=0.0;ga=0.0;break}else{H=z;G=A;F=X;E=P;D=y;C=W}}}p[a>>3]=Z;p[m>>3]=_;p[o>>3]=$;p[q>>3]=aa;p[r>>3]=ba;p[s>>3]=ca;p[t>>3]=da;p[v>>3]=ea;p[w>>3]=fa;p[d>>3]=ga;e=b;j=d;i=e+80|0;do{f[e>>2]=f[j>>2];e=e+4|0;j=j+4|0}while((e|0)<(i|0));u=c;return}function doa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0,H=0,I=0.0,J=0.0,K=0.0,L=0.0,M=0,N=0.0,O=0.0,P=0.0,Q=0.0,R=0.0,S=0.0,T=0.0,U=0.0,V=0.0,W=0.0,X=0.0,Z=0.0,_=0.0,$=0.0,aa=0.0,ba=0.0,ca=0.0,da=0.0,ea=0.0,fa=0.0;c=u;u=u+80|0;d=c;e=f[a+40>>2]|0;g=f[e+4>>2]|0;h=f[e>>2]|0;e=d;i=e+80|0;do{f[e>>2]=0;e=e+4|0}while((e|0)<(i|0));if((h|0)<=0){e=b;j=d;i=e+80|0;do{f[e>>2]=f[j>>2];e=e+4|0;j=j+4|0}while((e|0)<(i|0));u=c;return}k=f[a+16>>2]|0;l=f[f[a+44>>2]>>2]|0;a=d+72|0;m=d+64|0;n=d+56|0;o=d+48|0;q=d+40|0;r=d+32|0;s=d+24|0;t=d+16|0;v=d+8|0;if((g|0)>0){w=0;x=0.0;y=0.0;z=0.0;A=0.0;B=0.0;C=0.0;D=0.0;E=0.0;F=0.0;G=0.0;while(1){H=k+(Y(l,w)|0)|0;I=0.0;J=0.0;K=0.0;L=0.0;M=0;do{N=+p[H+(M<<3)>>3];O=+(M|0);P=O*N;L=L+N;K=K+P;N=O*P;J=J+N;I=I+O*N;M=M+1|0}while((M|0)!=(g|0));N=+(w|0);O=N*L;P=+(Y(w,w)|0);Q=P*O+x;R=P*K+y;S=N*J+z;T=I+A;U=P*L+B;P=N*K+C;N=J+D;V=O+E;O=K+F;W=L+G;w=w+1|0;if((w|0)==(h|0)){X=Q;Z=R;_=S;$=T;aa=U;ba=P;ca=N;da=V;ea=O;fa=W;break}else{x=Q;y=R;z=S;A=T;B=U;C=P;D=N;E=V;F=O;G=W}}}else{w=0;G=0.0;F=0.0;E=0.0;D=0.0;C=0.0;B=0.0;while(1){A=+(w|0)*0.0;z=+(Y(w,w)|0);y=z*A+G;x=z*0.0;z=x+F;W=A+E;O=x+D;x=A+C;V=A+B;w=w+1|0;if((w|0)==(h|0)){X=y;Z=z;_=W;$=0.0;aa=O;ba=x;ca=0.0;da=V;ea=0.0;fa=0.0;break}else{G=y;F=z;E=W;D=O;C=x;B=V}}}p[a>>3]=X;p[m>>3]=Z;p[n>>3]=_;p[o>>3]=$;p[q>>3]=aa;p[r>>3]=ba;p[s>>3]=ca;p[t>>3]=da;p[v>>3]=ea;p[d>>3]=fa;e=b;j=d;i=e+80|0;do{f[e>>2]=f[j>>2];e=e+4|0;j=j+4|0}while((e|0)<(i|0));u=c;return}function eoa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0.0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0.0,J=0.0,K=0.0;c=f[a+40>>2]|0;d=f[c+4>>2]|0;e=f[c>>2]|0;if((e|0)>0?(c=f[a+16>>2]|0,g=f[f[a+44>>2]>>2]|0,(d|0)>0):0){a=0;i=0;j=0;k=0;l=0;m=0;n=0;o=0;q=0;r=0;s=0;do{t=c+(Y(g,a)|0)|0;u=0;v=0;w=0;x=0;y=0;do{z=h[t+y>>0]|0;A=Y(z,y)|0;x=z+x|0;w=A+w|0;z=Y(A,y)|0;v=z+v|0;u=(Y(z,y)|0)+u|0;y=y+1|0}while((y|0)!=(d|0));y=Y(x,a)|0;t=Y(a,a)|0;i=i+(Y(y,t)|0)|0;j=j+(Y(w,t)|0)|0;k=k+(Y(v,a)|0)|0;l=l+u|0;m=m+(Y(x,t)|0)|0;n=n+(Y(w,a)|0)|0;o=o+v|0;q=q+y|0;r=r+w|0;s=s+x|0;a=a+1|0}while((a|0)!=(e|0));B=+(s|0);C=+(r|0);D=+(q|0);E=+(o|0);F=+(n|0);G=+(m|0);H=+(l|0);I=+(k|0);J=+(j|0);K=+(i|0)}else{B=0.0;C=0.0;D=0.0;E=0.0;F=0.0;G=0.0;H=0.0;I=0.0;J=0.0;K=0.0}p[b>>3]=B;p[b+8>>3]=C;p[b+16>>3]=D;p[b+24>>3]=E;p[b+32>>3]=F;p[b+40>>3]=G;p[b+48>>3]=H;p[b+56>>3]=I;p[b+64>>3]=J;p[b+72>>3]=K;return}function foa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0.0,Q=0.0,R=0.0,S=0.0,T=0.0,U=0.0,V=0.0,W=0.0,X=0.0,Z=0.0;c=f[a+40>>2]|0;d=f[c+4>>2]|0;e=f[c>>2]|0;if((e|0)>0?(c=f[a+16>>2]|0,g=f[f[a+44>>2]>>2]|0,(d|0)>0):0){a=0;h=0;i=0;k=0;l=0;m=0;n=0;o=0;q=0;r=0;s=0;t=0;u=0;v=0;w=0;x=0;y=0;z=0;A=0;B=0;C=0;do{D=c+(Y(g,a)|0)|0;E=0;F=0;G=0;H=0;I=0;K=0;do{L=j[D+(H<<1)>>1]|0;M=Y(L,H)|0;G=L+G|0;F=M+F|0;L=Y(M,H)|0;E=L+E|0;M=Y(L,H)|0;I=hzc(M|0,((M|0)<0)<<31>>31|0,I|0,K|0)|0;K=J;H=H+1|0}while((H|0)!=(d|0));H=Y(G,a)|0;D=Y(a,a)|0;M=((H|0)<0)<<31>>31;L=Bzc(H|0,M|0,D|0,0)|0;z=hzc(z|0,A|0,L|0,J|0)|0;A=J;L=((F|0)<0)<<31>>31;N=Bzc(F|0,L|0,D|0,0)|0;B=hzc(B|0,C|0,N|0,J|0)|0;C=J;N=((E|0)<0)<<31>>31;O=Bzc(E|0,N|0,a|0,((a|0)<0)<<31>>31|0)|0;h=hzc(h|0,i|0,O|0,J|0)|0;i=J;k=hzc(k|0,l|0,I|0,K|0)|0;l=J;O=Y(G,D)|0;m=hzc(m|0,n|0,O|0,((O|0)<0)<<31>>31|0)|0;n=J;O=Y(F,a)|0;o=hzc(o|0,q|0,O|0,((O|0)<0)<<31>>31|0)|0;q=J;r=hzc(r|0,s|0,E|0,N|0)|0;s=J;t=hzc(t|0,u|0,H|0,M|0)|0;u=J;v=hzc(v|0,w|0,F|0,L|0)|0;w=J;x=hzc(x|0,y|0,G|0,((G|0)<0)<<31>>31|0)|0;y=J;a=a+1|0}while((a|0)!=(e|0));P=+(x>>>0)+4294967296.0*+(y|0);Q=+(v>>>0)+4294967296.0*+(w|0);R=+(t>>>0)+4294967296.0*+(u|0);S=+(r>>>0)+4294967296.0*+(s|0);T=+(o>>>0)+4294967296.0*+(q|0);U=+(m>>>0)+4294967296.0*+(n|0);V=+(k>>>0)+4294967296.0*+(l|0);W=+(h>>>0)+4294967296.0*+(i|0);X=+(B>>>0)+4294967296.0*+(C|0);Z=+(z>>>0)+4294967296.0*+(A|0)}else{P=0.0;Q=0.0;R=0.0;S=0.0;T=0.0;U=0.0;V=0.0;W=0.0;X=0.0;Z=0.0}p[b>>3]=P;p[b+8>>3]=Q;p[b+16>>3]=R;p[b+24>>3]=S;p[b+32>>3]=T;p[b+40>>3]=U;p[b+48>>3]=V;p[b+56>>3]=W;p[b+64>>3]=X;p[b+72>>3]=Z;return}function goa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0.0,i=0,j=0,k=0.0,l=0.0,m=0.0,n=0,o=0.0,q=0.0,r=0.0,s=0.0;c=u;u=u+16|0;d=c;gV(d,78504);e=a+160|0;g=a+176|0;h=+p[e>>3]+ +p[g>>3];i=a+168|0;j=a+184|0;k=+p[i>>3]+ +p[j>>3];l=h*h;m=k*k;n=a+144|0;o=+p[n>>3]*4.0;q=+p[a+136>>3];r=+p[a+152>>3];s=q-r;p[b>>3]=q+r;p[b+8>>3]=s*s+o*+p[n>>3];p[b+24>>3]=l+m;p[b+40>>3]=k*(h*o)+(l-m)*s;s=h*(l-m*3.0);h=k*(l*3.0-m);m=+p[e>>3]-+p[g>>3]*3.0;l=+p[i>>3]*3.0-+p[j>>3];p[b+16>>3]=m*m+l*l;p[b+32>>3]=s*m+h*l;p[b+48>>3]=s*l-h*m;if(!(f[d+4>>2]|0)){u=c;return}u=c;return}function hoa(a,b,c,d,e,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0;l=u;u=u+64|0;m=l+56|0;n=l+24|0;o=l+16|0;p=l;gV(o,78524);q=k?2:0;switch(h|0){case 0:{f[p>>2]=i;f[p+4>>2]=j;f[p+8>>2]=q;f[m>>2]=0;f[m+4>>2]=g;f[n>>2]=78552;f[n+4>>2]=a;f[n+8>>2]=b;f[n+12>>2]=c;f[n+16>>2]=d;f[n+20>>2]=e;f[n+24>>2]=p;sZ(m,n,+(Y(g,e)|0)*.0000152587890625);break}case 2:{f[p>>2]=i;f[p+4>>2]=j;f[p+8>>2]=q;f[m>>2]=0;f[m+4>>2]=g;f[n>>2]=78572;f[n+4>>2]=a;f[n+8>>2]=b;f[n+12>>2]=c;f[n+16>>2]=d;f[n+20>>2]=e;f[n+24>>2]=p;sZ(m,n,+(Y(g,e)|0)*.0000152587890625);break}default:{f[p>>2]=i;f[p+4>>2]=j;f[p+8>>2]=q;f[m>>2]=0;f[m+4>>2]=g;f[n>>2]=78592;f[n+4>>2]=a;f[n+8>>2]=b;f[n+12>>2]=c;f[n+16>>2]=d;f[n+20>>2]=e;f[n+24>>2]=p;sZ(m,n,+(Y(g,e)|0)*.0000152587890625)}}if(!(f[o+4>>2]|0)){u=l;return}u=l;return}function ioa(a){a=a|0;fuc(a);return}function joa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=u;u=u+16|0;d=c;gV(d,78604);e=f[b>>2]|0;g=a+8|0;h=a+16|0;i=b+4|0;if((e|0)<(f[i>>2]|0)){b=(f[a+12>>2]|0)+(Y(f[h>>2]|0,e)|0)|0;j=a+24|0;k=a+20|0;l=b;b=e;m=(f[a+4>>2]|0)+(Y(f[g>>2]|0,e)|0)|0;while(1){koa(f[j>>2]|0,m,l,f[k>>2]|0);b=b+1|0;if((b|0)>=(f[i>>2]|0))break;else{l=l+(f[h>>2]|0)|0;m=m+(f[g>>2]|0)|0}}}if(!(f[d+4>>2]|0)){u=c;return}u=c;return}function koa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0;e=f[a>>2]|0;g=f[a+8>>2]|0;if((f[a+4>>2]|0)==3){a=d*3|0;if((d|0)<=0)return;h=g^2;i=0;j=b;while(1){k=f[j+4>>2]|0;l=f[j+(h<<2)>>2]|0;f[c+(i<<2)>>2]=f[j+(g<<2)>>2];f[c+(i+1<<2)>>2]=k;f[c+(i+2<<2)>>2]=l;i=i+3|0;if((i|0)>=(a|0))break;else j=j+(e<<2)|0}return}if((e|0)==3){e=d*3|0;if((d|0)<=0)return;j=g^2;a=c;i=0;while(1){h=f[b+(i+1<<2)>>2]|0;l=f[b+(i+2<<2)>>2]|0;f[a+(g<<2)>>2]=f[b+(i<<2)>>2];f[a+4>>2]=h;f[a+(j<<2)>>2]=l;n[a+12>>2]=1.0;i=i+3|0;if((i|0)>=(e|0))break;else a=a+16|0}return}else{a=d<<2;if((d|0)<=0)return;d=g^2;e=0;do{i=e|1;j=f[b+(i<<2)>>2]|0;l=f[b+((e|2)<<2)>>2]|0;h=e|3;k=f[b+(h<<2)>>2]|0;f[c+(e+g<<2)>>2]=f[b+(e<<2)>>2];f[c+(i<<2)>>2]=j;f[c+(e+d<<2)>>2]=l;f[c+(h<<2)>>2]=k;e=e+4|0}while((e|0)<(a|0));return}}function loa(a){a=a|0;fuc(a);return}function moa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=u;u=u+16|0;d=c;gV(d,78624);e=f[b>>2]|0;g=a+8|0;h=a+16|0;i=b+4|0;if((e|0)<(f[i>>2]|0)){b=(f[a+12>>2]|0)+(Y(f[h>>2]|0,e)|0)|0;j=a+24|0;k=a+20|0;l=b;b=e;m=(f[a+4>>2]|0)+(Y(f[g>>2]|0,e)|0)|0;while(1){noa(f[j>>2]|0,m,l,f[k>>2]|0);b=b+1|0;if((b|0)>=(f[i>>2]|0))break;else{l=l+(f[h>>2]|0)|0;m=m+(f[g>>2]|0)|0}}}if(!(f[d+4>>2]|0)){u=c;return}u=c;return}function noa(a,b,c,e){a=a|0;b=b|0;c=c|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0;g=f[a>>2]|0;h=f[a+8>>2]|0;if((f[a+4>>2]|0)==3){a=e*3|0;if((e|0)<=0)return;i=h^2;j=0;k=b;while(1){l=d[k+2>>1]|0;m=d[k+(i<<1)>>1]|0;d[c+(j<<1)>>1]=d[k+(h<<1)>>1]|0;d[c+(j+1<<1)>>1]=l;d[c+(j+2<<1)>>1]=m;j=j+3|0;if((j|0)>=(a|0))break;else k=k+(g<<1)|0}return}if((g|0)==3){g=e*3|0;if((e|0)<=0)return;k=h^2;a=c;j=0;while(1){i=d[b+(j+1<<1)>>1]|0;m=d[b+(j+2<<1)>>1]|0;d[a+(h<<1)>>1]=d[b+(j<<1)>>1]|0;d[a+2>>1]=i;d[a+(k<<1)>>1]=m;d[a+6>>1]=-1;j=j+3|0;if((j|0)>=(g|0))break;else a=a+8|0}return}else{a=e<<2;if((e|0)<=0)return;e=h^2;g=0;do{j=g|1;k=d[b+(j<<1)>>1]|0;m=d[b+((g|2)<<1)>>1]|0;i=g|3;l=d[b+(i<<1)>>1]|0;d[c+(g+h<<1)>>1]=d[b+(g<<1)>>1]|0;d[c+(j<<1)>>1]=k;d[c+(g+e<<1)>>1]=m;d[c+(i<<1)>>1]=l;g=g+4|0}while((g|0)<(a|0));return}}function ooa(a){a=a|0;fuc(a);return}function poa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=u;u=u+16|0;d=c;gV(d,78644);e=f[b>>2]|0;g=a+8|0;h=a+16|0;i=b+4|0;if((e|0)<(f[i>>2]|0)){b=(f[a+12>>2]|0)+(Y(f[h>>2]|0,e)|0)|0;j=a+24|0;k=a+20|0;l=b;b=e;m=(f[a+4>>2]|0)+(Y(f[g>>2]|0,e)|0)|0;while(1){qoa(f[j>>2]|0,m,l,f[k>>2]|0);b=b+1|0;if((b|0)>=(f[i>>2]|0))break;else{l=l+(f[h>>2]|0)|0;m=m+(f[g>>2]|0)|0}}}if(!(f[d+4>>2]|0)){u=c;return}u=c;return}function qoa(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0;g=f[a>>2]|0;h=f[a+8>>2]|0;if((f[a+4>>2]|0)==3){a=e*3|0;if((e|0)<=0)return;i=h^2;j=0;k=c;while(1){l=b[k+1>>0]|0;m=b[k+i>>0]|0;b[d+j>>0]=b[k+h>>0]|0;b[d+(j+1)>>0]=l;b[d+(j+2)>>0]=m;j=j+3|0;if((j|0)>=(a|0))break;else k=k+g|0}return}if((g|0)==3){g=e*3|0;if((e|0)<=0)return;k=h^2;a=d;j=0;while(1){i=b[c+(j+1)>>0]|0;m=b[c+(j+2)>>0]|0;b[a+h>>0]=b[c+j>>0]|0;b[a+1>>0]=i;b[a+k>>0]=m;b[a+3>>0]=-1;j=j+3|0;if((j|0)>=(g|0))break;else a=a+4|0}return}else{a=e<<2;if((e|0)<=0)return;e=h^2;g=0;do{j=g|1;k=b[c+j>>0]|0;m=b[c+(g|2)>>0]|0;i=g|3;l=b[c+i>>0]|0;b[d+(g+h)>>0]=b[c+g>>0]|0;b[d+j>>0]=k;b[d+(g+e)>>0]=m;b[d+i>>0]=l;g=g+4|0}while((g|0)<(a|0));return}}function roa(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0;k=u;u=u+64|0;l=k+56|0;m=k+24|0;n=k+16|0;o=k;gV(n,78664);f[o>>2]=h;f[o+4>>2]=i?2:0;f[o+8>>2]=j;f[l>>2]=0;f[l+4>>2]=g;f[m>>2]=78692;f[m+4>>2]=a;f[m+8>>2]=b;f[m+12>>2]=c;f[m+16>>2]=d;f[m+20>>2]=e;f[m+24>>2]=o;sZ(l,m,+(Y(g,e)|0)*.0000152587890625);if(!(f[n+4>>2]|0)){u=k;return}u=k;return}function soa(a){a=a|0;fuc(a);return}function toa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;c=u;u=u+16|0;d=c;gV(d,78704);e=f[b>>2]|0;g=a+8|0;h=a+16|0;i=b+4|0;if((e|0)<(f[i>>2]|0)){b=(f[a+12>>2]|0)+(Y(f[h>>2]|0,e)|0)|0;j=a+24|0;k=a+20|0;l=b;b=(f[a+4>>2]|0)+(Y(f[g>>2]|0,e)|0)|0;a=e;while(1){uoa(f[j>>2]|0,b,l,f[k>>2]|0);a=a+1|0;if((a|0)>=(f[i>>2]|0))break;else{l=l+(f[h>>2]|0)|0;b=b+(f[g>>2]|0)|0}}}if(!(f[d+4>>2]|0)){u=c;return}u=c;return}function uoa(a,c,e,g){a=a|0;c=c|0;e=e|0;g=g|0;var i=0,j=0,k=0,l=0,m=0;i=f[a+4>>2]|0;j=(f[a>>2]|0)==3;k=(g|0)>0;if((f[a+8>>2]|0)==6)if(j){if(!k)return;a=i^2;l=c;m=0;while(1){d[e+(m<<1)>>1]=(b[l+1>>0]&-4&255)<<3|(h[l+i>>0]|0)>>>3|(b[l+a>>0]&-8&255)<<8;m=m+1|0;if((m|0)==(g|0))break;else l=l+3|0}return}else{if(!k)return;l=i^2;m=c;a=0;while(1){d[e+(a<<1)>>1]=(b[m+1>>0]&-4&255)<<3|(h[m+i>>0]|0)>>>3|(b[m+l>>0]&-8&255)<<8;a=a+1|0;if((a|0)==(g|0))break;else m=m+4|0}return}else if(j){if(!k)return;j=i^2;m=c;a=0;while(1){d[e+(a<<1)>>1]=(b[m+1>>0]&-8&255)<<2|(h[m+i>>0]|0)>>>3|(b[m+j>>0]&-8&255)<<7;a=a+1|0;if((a|0)==(g|0))break;else m=m+3|0}return}else{if(!k)return;k=i^2;m=c;c=0;while(1){d[e+(c<<1)>>1]=(b[m+1>>0]&-8&255)<<2|(h[m+i>>0]|0)>>>3|(b[m+k>>0]&-8&255)<<7|(b[m+3>>0]|0?32768:0);c=c+1|0;if((c|0)==(g|0))break;else m=m+4|0}return}}function voa(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0;k=u;u=u+64|0;l=k+56|0;m=k+24|0;n=k+16|0;o=k;gV(n,78724);f[o>>2]=h;f[o+4>>2]=i?2:0;f[o+8>>2]=j;f[l>>2]=0;f[l+4>>2]=g;f[m>>2]=78752;f[m+4>>2]=a;f[m+8>>2]=b;f[m+12>>2]=c;f[m+16>>2]=d;f[m+20>>2]=e;f[m+24>>2]=o;sZ(l,m,+(Y(g,e)|0)*.0000152587890625);if(!(f[n+4>>2]|0)){u=k;return}u=k;return}function woa(a){a=a|0;fuc(a);return}function xoa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;c=u;u=u+16|0;d=c;gV(d,78764);e=f[b>>2]|0;g=a+8|0;h=a+16|0;i=b+4|0;if((e|0)<(f[i>>2]|0)){b=(f[a+12>>2]|0)+(Y(f[h>>2]|0,e)|0)|0;j=a+24|0;k=a+20|0;l=b;b=(f[a+4>>2]|0)+(Y(f[g>>2]|0,e)|0)|0;a=e;while(1){yoa(f[j>>2]|0,b,l,f[k>>2]|0);a=a+1|0;if((a|0)>=(f[i>>2]|0))break;else{l=l+(f[h>>2]|0)|0;b=b+(f[g>>2]|0)|0}}}if(!(f[d+4>>2]|0)){u=c;return}u=c;return}function yoa(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,k=0,l=0,m=0;g=f[a>>2]|0;h=f[a+4>>2]|0;i=(e|0)>0;if((f[a+8>>2]|0)==6){if(!i)return;a=h^2;if((g|0)==4){k=0;l=d;while(1){m=j[c+(k<<1)>>1]|0;b[l+h>>0]=m<<3;b[l+1>>0]=m>>>3&252;b[l+a>>0]=m>>>8&248;b[l+3>>0]=-1;k=k+1|0;if((k|0)==(e|0))break;else l=l+4|0}return}else{l=0;k=d;while(1){m=j[c+(l<<1)>>1]|0;b[k+h>>0]=m<<3;b[k+1>>0]=m>>>3&252;b[k+a>>0]=m>>>8&248;l=l+1|0;if((l|0)==(e|0))break;else k=k+g|0}return}}else{if(!i)return;i=h^2;if((g|0)==4){k=0;l=d;while(1){a=j[c+(k<<1)>>1]|0;b[l+h>>0]=a<<3;b[l+1>>0]=a>>>2&248;b[l+i>>0]=a>>>7&248;b[l+3>>0]=a<<16>>31;k=k+1|0;if((k|0)==(e|0))break;else l=l+4|0}return}else{l=0;k=d;while(1){d=j[c+(l<<1)>>1]|0;b[k+h>>0]=d<<3;b[k+1>>0]=d>>>2&248;b[k+i>>0]=d>>>7&248;l=l+1|0;if((l|0)==(e|0))break;else k=k+g|0}return}}}function zoa(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;k=u;u=u+3136|0;l=k+3120|0;m=k+3088|0;n=k+3080|0;o=k;gV(n,78784);p=j?2:0;switch(h|0){case 0:{f[o>>2]=i;h=f[78804+((p^2)<<2)>>2]|0;q=f[78804+(p<<2)>>2]|0;p=0;r=0;s=16384;t=0;while(1){f[o+4+(t<<2)>>2]=p;f[o+4+(t+256<<2)>>2]=r;f[o+4+(t+512<<2)>>2]=s;t=t+1|0;if((t|0)==256)break;else{p=p+h|0;r=r+19235|0;s=s+q|0}}f[l>>2]=0;f[l+4>>2]=g;f[m>>2]=78824;f[m+4>>2]=a;f[m+8>>2]=b;f[m+12>>2]=c;f[m+16>>2]=d;f[m+20>>2]=e;f[m+24>>2]=o;sZ(l,m,+(Y(g,e)|0)*.0000152587890625);break}case 2:{f[o>>2]=i;q=o+4|0;f[q>>2]=f[19709];f[q+4>>2]=f[19710];f[q+8>>2]=f[19711];if(!j){f[q>>2]=1868;f[o+12>>2]=4899}f[l>>2]=0;f[l+4>>2]=g;f[m>>2]=78856;f[m+4>>2]=a;f[m+8>>2]=b;f[m+12>>2]=c;f[m+16>>2]=d;f[m+20>>2]=e;f[m+24>>2]=o;sZ(l,m,+(Y(g,e)|0)*.0000152587890625);break}default:{f[o>>2]=i;i=o+4|0;f[i>>2]=f[19717];f[i+4>>2]=f[19718];f[i+8>>2]=f[19719];if(!j){f[i>>2]=1038710997;f[o+12>>2]=1050220167}f[l>>2]=0;f[l+4>>2]=g;f[m>>2]=78888;f[m+4>>2]=a;f[m+8>>2]=b;f[m+12>>2]=c;f[m+16>>2]=d;f[m+20>>2]=e;f[m+24>>2]=o;sZ(l,m,+(Y(g,e)|0)*.0000152587890625)}}if(!(f[n+4>>2]|0)){u=k;return}u=k;return}function Aoa(a){a=a|0;fuc(a);return}function Boa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0.0,r=0.0,s=0.0,t=0;c=u;u=u+16|0;d=c;gV(d,78900);e=f[b>>2]|0;g=f[b+4>>2]|0;a:do if((e|0)<(g|0)){b=f[a+16>>2]|0;h=f[a+8>>2]|0;i=a+24|0;j=f[a+20>>2]|0;if((j|0)<=0){k=e;while(1){k=k+1|0;if((k|0)>=(g|0))break a}}k=(f[a+4>>2]|0)+(Y(h,e)|0)|0;l=(f[a+12>>2]|0)+(Y(b,e)|0)|0;m=e;o=k;while(1){k=f[i>>2]|0;p=f[k>>2]|0;q=+n[k+4>>2];r=+n[k+8>>2];s=+n[k+12>>2];k=o;t=0;while(1){n[l+(t<<2)>>2]=q*+n[k>>2]+r*+n[k+4>>2]+s*+n[k+8>>2];t=t+1|0;if((t|0)==(j|0))break;else k=k+(p<<2)|0}m=m+1|0;if((m|0)>=(g|0))break;else{l=l+b|0;o=o+h|0}}}while(0);if(!(f[d+4>>2]|0)){u=c;return}u=c;return}function Coa(a){a=a|0;fuc(a);return}function Doa(a,b){a=a|0;b=b|0;var c=0,e=0,g=0,h=0,i=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;c=u;u=u+16|0;e=c;gV(e,78920);g=f[b>>2]|0;h=f[b+4>>2]|0;if((g|0)<(h|0)){b=f[a+16>>2]|0;i=(f[a+12>>2]|0)+(Y(b,g)|0)|0;k=f[a+8>>2]|0;l=(f[a+4>>2]|0)+(Y(k,g)|0)|0;m=a+24|0;n=f[a+20>>2]|0;a=(n|0)>0;o=i;i=l;l=g;while(1){g=f[m>>2]|0;p=f[g>>2]|0;q=f[g+4>>2]|0;r=f[g+8>>2]|0;s=f[g+12>>2]|0;if(a){g=i;t=0;while(1){v=Y(j[g>>1]|0,q)|0;w=Y(j[g+2>>1]|0,r)|0;x=(v+8192+w+(Y(j[g+4>>1]|0,s)|0)|0)>>>14&65535;d[o+(t<<1)>>1]=x;t=t+1|0;if((t|0)==(n|0))break;else g=g+(p<<1)|0}}l=l+1|0;if((l|0)>=(h|0))break;else{o=o+b|0;i=i+k|0}}}if(!(f[e+4>>2]|0)){u=c;return}u=c;return}function Eoa(a){a=a|0;fuc(a);return}function Foa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;d=u;u=u+16|0;e=d;gV(e,78940);g=f[c>>2]|0;i=a+8|0;j=a+16|0;k=c+4|0;c=f[k>>2]|0;if((g|0)<(c|0)){l=f[j>>2]|0;m=(f[a+12>>2]|0)+(Y(l,g)|0)|0;n=f[i>>2]|0;o=a+24|0;p=a+20|0;q=m;m=(f[a+4>>2]|0)+(Y(n,g)|0)|0;a=g;g=c;c=l;l=n;while(1){n=f[o>>2]|0;r=f[p>>2]|0;s=f[n>>2]|0;if((r|0)>0){t=m;v=0;while(1){b[q+v>>0]=((f[n+4+((h[t+1>>0]|0|256)<<2)>>2]|0)+(f[n+4+((h[t>>0]|0)<<2)>>2]|0)+(f[n+4+((h[t+2>>0]|0|512)<<2)>>2]|0)|0)>>>15;v=v+1|0;if((v|0)==(r|0))break;else t=t+s|0}w=f[i>>2]|0;x=f[j>>2]|0;y=f[k>>2]|0}else{w=l;x=c;y=g}a=a+1|0;if((a|0)>=(y|0))break;else{q=q+x|0;m=m+w|0;g=y;c=x;l=w}}}if(!(f[e+4>>2]|0)){u=d;return}u=d;return}function Goa(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0;j=u;u=u+64|0;k=j+48|0;l=j+16|0;m=j+8|0;n=j;gV(m,78960);switch(h|0){case 0:{f[n>>2]=i;f[k>>2]=0;f[k+4>>2]=g;f[l>>2]=78988;f[l+4>>2]=a;f[l+8>>2]=b;f[l+12>>2]=c;f[l+16>>2]=d;f[l+20>>2]=e;f[l+24>>2]=n;sZ(k,l,+(Y(g,e)|0)*.0000152587890625);break}case 2:{f[n>>2]=i;f[k>>2]=0;f[k+4>>2]=g;f[l>>2]=79008;f[l+4>>2]=a;f[l+8>>2]=b;f[l+12>>2]=c;f[l+16>>2]=d;f[l+20>>2]=e;f[l+24>>2]=n;sZ(k,l,+(Y(g,e)|0)*.0000152587890625);break}default:{f[n>>2]=i;f[k>>2]=0;f[k+4>>2]=g;f[l>>2]=79028;f[l+4>>2]=a;f[l+8>>2]=b;f[l+12>>2]=c;f[l+16>>2]=d;f[l+20>>2]=e;f[l+24>>2]=n;sZ(k,l,+(Y(g,e)|0)*.0000152587890625)}}if(!(f[m+4>>2]|0)){u=j;return}u=j;return}function Hoa(a){a=a|0;fuc(a);return}function Ioa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0;c=u;u=u+16|0;d=c;gV(d,79040);e=f[b>>2]|0;g=f[b+4>>2]|0;a:do if((e|0)<(g|0)){b=f[a+8>>2]|0;h=f[a+16>>2]|0;i=a+24|0;j=f[a+20>>2]|0;if((j|0)<=0){k=e;while(1){k=k+1|0;if((k|0)>=(g|0))break a}}k=(f[a+12>>2]|0)+(Y(h,e)|0)|0;l=k;k=(f[a+4>>2]|0)+(Y(b,e)|0)|0;m=e;while(1){if((f[f[i>>2]>>2]|0)==3){o=l;p=0;while(1){q=f[k+(p<<2)>>2]|0;f[o+8>>2]=q;f[o+4>>2]=q;f[o>>2]=q;p=p+1|0;if((p|0)==(j|0))break;else o=o+12|0}}else{o=0;p=l;while(1){q=f[k+(o<<2)>>2]|0;f[p+8>>2]=q;f[p+4>>2]=q;f[p>>2]=q;n[p+12>>2]=1.0;o=o+1|0;if((o|0)==(j|0))break;else p=p+16|0}}m=m+1|0;if((m|0)>=(g|0))break;else{l=l+h|0;k=k+b|0}}}while(0);if(!(f[d+4>>2]|0)){u=c;return}u=c;return}function Joa(a){a=a|0;fuc(a);return}function Koa(a,b){a=a|0;b=b|0;var c=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;c=u;u=u+16|0;e=c;gV(e,79060);g=f[b>>2]|0;h=f[b+4>>2]|0;a:do if((g|0)<(h|0)){b=f[a+8>>2]|0;i=f[a+16>>2]|0;j=a+24|0;k=f[a+20>>2]|0;if((k|0)<=0){l=g;while(1){l=l+1|0;if((l|0)>=(h|0))break a}}l=(f[a+12>>2]|0)+(Y(i,g)|0)|0;m=l;l=(f[a+4>>2]|0)+(Y(b,g)|0)|0;n=g;while(1){if((f[f[j>>2]>>2]|0)==3){o=m;p=0;while(1){q=d[l+(p<<1)>>1]|0;d[o+4>>1]=q;d[o+2>>1]=q;d[o>>1]=q;p=p+1|0;if((p|0)==(k|0))break;else o=o+6|0}}else{o=0;p=m;while(1){q=d[l+(o<<1)>>1]|0;d[p+4>>1]=q;d[p+2>>1]=q;d[p>>1]=q;d[p+6>>1]=-1;o=o+1|0;if((o|0)==(k|0))break;else p=p+8|0}}n=n+1|0;if((n|0)>=(h|0))break;else{m=m+i|0;l=l+b|0}}}while(0);if(!(f[e+4>>2]|0)){u=c;return}u=c;return}function Loa(a){a=a|0;fuc(a);return}function Moa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=u;u=u+16|0;e=d;gV(e,79080);g=f[c>>2]|0;h=a+8|0;i=a+16|0;j=c+4|0;if((g|0)<(f[j>>2]|0)){c=(f[a+12>>2]|0)+(Y(f[i>>2]|0,g)|0)|0;k=a+24|0;l=a+20|0;m=c;c=(f[a+4>>2]|0)+(Y(f[h>>2]|0,g)|0)|0;a=g;while(1){g=f[l>>2]|0;n=(g|0)>0;if((f[f[k>>2]>>2]|0)==3){if(n){o=m;p=0;while(1){q=b[c+p>>0]|0;b[o+2>>0]=q;b[o+1>>0]=q;b[o>>0]=q;p=p+1|0;if((p|0)==(g|0))break;else o=o+3|0}}}else if(n){o=0;p=m;while(1){q=b[c+o>>0]|0;b[p+2>>0]=q;b[p+1>>0]=q;b[p>>0]=q;b[p+3>>0]=-1;o=o+1|0;if((o|0)==(g|0))break;else p=p+4|0}}a=a+1|0;if((a|0)>=(f[j>>2]|0))break;else{m=m+(f[i>>2]|0)|0;c=c+(f[h>>2]|0)|0}}}if(!(f[e+4>>2]|0)){u=d;return}u=d;return}function Noa(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0;i=u;u=u+64|0;j=i+48|0;k=i+16|0;l=i+8|0;m=i;gV(l,79100);f[m>>2]=h;f[j>>2]=0;f[j+4>>2]=g;f[k>>2]=79128;f[k+4>>2]=a;f[k+8>>2]=b;f[k+12>>2]=c;f[k+16>>2]=d;f[k+20>>2]=e;f[k+24>>2]=m;sZ(j,k,+(Y(g,e)|0)*.0000152587890625);if(!(f[l+4>>2]|0)){u=i;return}u=i;return}function Ooa(a){a=a|0;fuc(a);return}function Poa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=u;u=u+16|0;e=d;gV(e,79140);g=f[c>>2]|0;h=a+8|0;i=a+16|0;k=c+4|0;if((g|0)<(f[k>>2]|0)){c=(f[a+12>>2]|0)+(Y(f[i>>2]|0,g)|0)|0;l=a+24|0;m=a+20|0;n=c;c=(f[a+4>>2]|0)+(Y(f[h>>2]|0,g)|0)|0;a=g;while(1){g=f[m>>2]|0;o=(g|0)>0;if((f[f[l>>2]>>2]|0)==6){if(o){p=0;do{q=j[c+(p<<1)>>1]|0;b[n+p>>0]=(((q>>>3&252)*9617|0)+8192+((q<<3&248)*1868|0)+((q>>>8&248)*4899|0)|0)>>>14;p=p+1|0}while((p|0)!=(g|0))}}else if(o){p=0;do{q=j[c+(p<<1)>>1]|0;b[n+p>>0]=(((q>>>2&248)*9617|0)+8192+((q<<3&248)*1868|0)+((q>>>7&248)*4899|0)|0)>>>14;p=p+1|0}while((p|0)!=(g|0))}a=a+1|0;if((a|0)>=(f[k>>2]|0))break;else{n=n+(f[i>>2]|0)|0;c=c+(f[h>>2]|0)|0}}}if(!(f[e+4>>2]|0)){u=d;return}u=d;return}function Qoa(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0;i=u;u=u+64|0;j=i+48|0;k=i+16|0;l=i+8|0;m=i;gV(l,79160);f[m>>2]=h;f[j>>2]=0;f[j+4>>2]=g;f[k>>2]=79188;f[k+4>>2]=a;f[k+8>>2]=b;f[k+12>>2]=c;f[k+16>>2]=d;f[k+20>>2]=e;f[k+24>>2]=m;sZ(j,k,+(Y(g,e)|0)*.0000152587890625);if(!(f[l+4>>2]|0)){u=i;return}u=i;return}function Roa(a){a=a|0;fuc(a);return}function Soa(a,b){a=a|0;b=b|0;var c=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;c=u;u=u+16|0;e=c;gV(e,79200);g=f[b>>2]|0;i=f[b+4>>2]|0;if((g|0)<(i|0)){b=f[a+16>>2]|0;j=(f[a+12>>2]|0)+(Y(b,g)|0)|0;k=f[a+8>>2]|0;l=(f[a+4>>2]|0)+(Y(k,g)|0)|0;m=a+24|0;n=f[a+20>>2]|0;a=(n|0)>0;o=j;j=l;l=g;while(1){if((f[f[m>>2]>>2]|0)==6){if(a){g=0;do{p=h[j+g>>0]|0;d[o+(g<<1)>>1]=p<<3&2016|p>>>3|p<<8&63488;g=g+1|0}while((g|0)!=(n|0))}}else if(a){g=0;do{p=(h[j+g>>0]|0)>>>3;d[o+(g<<1)>>1]=p<<5|p|p<<10;g=g+1|0}while((g|0)!=(n|0))}l=l+1|0;if((l|0)>=(i|0))break;else{o=o+b|0;j=j+k|0}}}if(!(f[e+4>>2]|0)){u=c;return}u=c;return}function Toa(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0;h=u;u=u+64|0;i=h+40|0;j=h+8|0;k=h;gV(k,79220);f[i>>2]=0;f[i+4>>2]=g;f[j>>2]=79248;f[j+4>>2]=a;f[j+8>>2]=b;f[j+12>>2]=c;f[j+16>>2]=d;f[j+20>>2]=e;f[j+24>>2]=h+48;sZ(i,j,+(Y(g,e)|0)*.0000152587890625);if(!(f[k+4>>2]|0)){u=h;return}u=h;return}function Uoa(a){a=a|0;fuc(a);return}function Voa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;d=u;u=u+16|0;e=d;gV(e,79260);g=f[c>>2]|0;i=a+8|0;j=a+16|0;k=c+4|0;c=f[k>>2]|0;if((g|0)<(c|0)){l=f[j>>2]|0;m=(f[a+12>>2]|0)+(Y(l,g)|0)|0;n=f[i>>2]|0;o=a+20|0;p=m;m=g;q=(f[a+4>>2]|0)+(Y(n,g)|0)|0;g=c;c=l;l=n;while(1){n=f[o>>2]|0;if((n|0)>0){a=p;r=0;s=q;while(1){t=b[s+1>>0]|0;v=b[s+2>>0]|0;w=b[s+3>>0]|0;x=w&255;y=((((Y(x,h[s>>0]|0)|0)+128|0)>>>0)/255|0)&255;b[a>>0]=y;y=((((Y(x,t&255)|0)+128|0)>>>0)/255|0)&255;b[a+1>>0]=y;y=((((Y(x,v&255)|0)+128|0)>>>0)/255|0)&255;b[a+2>>0]=y;b[a+3>>0]=w;r=r+1|0;if((r|0)==(n|0))break;else{a=a+4|0;s=s+4|0}}z=f[i>>2]|0;A=f[j>>2]|0;B=f[k>>2]|0}else{z=l;A=c;B=g}m=m+1|0;if((m|0)>=(B|0))break;else{p=p+A|0;q=q+z|0;g=B;c=A;l=z}}}if(!(f[e+4>>2]|0)){u=d;return}u=d;return}function Woa(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0;h=u;u=u+64|0;i=h+40|0;j=h+8|0;k=h;gV(k,79280);f[i>>2]=0;f[i+4>>2]=g;f[j>>2]=79308;f[j+4>>2]=a;f[j+8>>2]=b;f[j+12>>2]=c;f[j+16>>2]=d;f[j+20>>2]=e;f[j+24>>2]=h+48;sZ(i,j,+(Y(g,e)|0)*.0000152587890625);if(!(f[k+4>>2]|0)){u=h;return}u=h;return}function Xoa(a){a=a|0;fuc(a);return}function Yoa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0;d=u;u=u+16|0;e=d;gV(e,79320);g=f[c>>2]|0;i=a+8|0;j=a+16|0;k=c+4|0;c=f[k>>2]|0;if((g|0)<(c|0)){l=f[j>>2]|0;m=(f[a+12>>2]|0)+(Y(l,g)|0)|0;n=f[i>>2]|0;o=a+20|0;p=m;m=(f[a+4>>2]|0)+(Y(n,g)|0)|0;a=g;g=c;c=l;l=n;while(1){n=f[o>>2]|0;if((n|0)>0){q=p;r=0;s=m;while(1){t=b[s+3>>0]|0;v=t&255;if(!(t<<24>>24)){b[q>>0]=0;w=0;x=0}else{y=b[s+2>>0]|0;z=b[s+1>>0]|0;A=(t&255)>>>1&255;b[q>>0]=((((h[s>>0]|0)*255|0)+A|0)>>>0)/(v>>>0)|0;w=(((((z&255)*255|0)+A|0)>>>0)/(v>>>0)|0)&255;x=((((y&255)*255|0)+A|0)>>>0)/(v>>>0)|0}b[q+1>>0]=w;b[q+2>>0]=x;b[q+3>>0]=t;r=r+1|0;if((r|0)==(n|0))break;else{q=q+4|0;s=s+4|0}}B=f[i>>2]|0;C=f[j>>2]|0;D=f[k>>2]|0}else{B=l;C=c;D=g}a=a+1|0;if((a|0)>=(D|0))break;else{p=p+C|0;m=m+B|0;g=D;c=C;l=B}}}if(!(f[e+4>>2]|0)){u=d;return}u=d;return}function Zoa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0;e=u;u=u+128|0;g=e;_oa(g,a,b,c);hoa(f[g+16>>2]|0,f[g+48>>2]|0,f[g+72>>2]|0,f[g+104>>2]|0,f[g+12>>2]|0,f[g+8>>2]|0,f[g+112>>2]|0,f[g+116>>2]|0,c,d);$oa(g);u=e;return}function _oa(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;g=u;u=u+64|0;h=g+8|0;i=g;f[a>>2]=1124007936;j=a+4|0;k=a+8|0;l=a+40|0;m=j;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));f[l>>2]=k;o=a+48|0;f[a+44>>2]=o;f[o>>2]=0;f[a+52>>2]=0;p=a+56|0;f[p>>2]=1124007936;q=a+60|0;r=a+64|0;s=a+96|0;m=q;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));f[s>>2]=r;t=a+104|0;f[a+100>>2]=t;f[t>>2]=0;f[a+108>>2]=0;v=a+120|0;f[v>>2]=0;w=a+124|0;f[w>>2]=0;if(EJ(c)|0){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;x=cuc(16)|0;f[h>>2]=x;f[h+8>>2]=-2147483632;f[h+4>>2]=13;m=x;y=371751;n=m+13|0;do{b[m>>0]=b[y>>0]|0;m=m+1|0;y=y+1|0}while((m|0)<(n|0));b[x+13>>0]=0;WD(-215,h,371765,373062,254)}x=pJ(c,-1)|0;y=x>>>3;z=(y&511)+1|0;f[a+116>>2]=z;A=x&7;B=a+112|0;f[B>>2]=A;if((y&510|0)!=2)zN(z,79340);if((e+-3|0)>>>0>=2)zN(e,79368);switch(x&7){case 0:case 2:case 5:break;default:wN(A,79396)}A=c+4|0;x=d+4|0;if((f[A>>2]|0)!=(f[x>>2]|0)){do if((qJ(c)|0)==65536){z=f[A>>2]|0;f[h>>2]=f[z>>2];y=h+4|0;C=z+4|0;f[y>>2]=f[C>>2];D=h+8|0;f[D>>2]=f[z+8>>2];f[h+12>>2]=f[z+12>>2];f[h+16>>2]=f[z+16>>2];f[h+20>>2]=f[z+20>>2];f[h+24>>2]=f[z+24>>2];f[h+28>>2]=f[z+28>>2];f[h+32>>2]=f[z+32>>2];E=f[z+36>>2]|0;f[h+36>>2]=E;f[h+40>>2]=D;D=h+48|0;F=h+44|0;f[F>>2]=D;f[D>>2]=0;f[h+52>>2]=0;if(E|0){D=E+12|0;f[D>>2]=(f[D>>2]|0)+1}if((f[C>>2]|0)<3){C=f[z+44>>2]|0;D=f[F>>2]|0;f[D>>2]=f[C>>2];f[D+4>>2]=f[C+4>>2];break}else{f[y>>2]=0;$T(h,z);break}}else nJ(h,c,-1);while(0);if((a|0)==(h|0)){A=h+36|0;z=f[A>>2]|0;if((z|0)!=0?(y=z+12|0,z=f[y>>2]|0,f[y>>2]=z+-1,(z|0)==1):0){aU(h);G=A}else G=A}else{A=a+36|0;z=f[A>>2]|0;if(z|0?(y=z+12|0,z=f[y>>2]|0,f[y>>2]=z+-1,(z|0)==1):0)aU(a);f[A>>2]=0;z=a+16|0;f[z>>2]=0;f[z+4>>2]=0;f[z+8>>2]=0;f[z+12>>2]=0;if((f[j>>2]|0)>0){y=f[l>>2]|0;C=0;do{f[y+(C<<2)>>2]=0;C=C+1|0}while((C|0)<(f[j>>2]|0))}f[a>>2]=f[h>>2];C=h+4|0;y=f[C>>2]|0;f[j>>2]=y;j=h+8|0;f[k>>2]=f[j>>2];f[a+12>>2]=f[h+12>>2];f[z>>2]=f[h+16>>2];f[a+20>>2]=f[h+20>>2];f[a+24>>2]=f[h+24>>2];f[a+28>>2]=f[h+28>>2];f[a+32>>2]=f[h+32>>2];z=h+36|0;f[A>>2]=f[z>>2];A=a+44|0;D=f[A>>2]|0;if((D|0)==(o|0))H=y;else{TC(D);f[A>>2]=o;f[l>>2]=k;H=f[C>>2]|0}k=h+44|0;if((H|0)<3){H=f[k>>2]|0;f[o>>2]=f[H>>2];f[a+52>>2]=f[H+4>>2]}else{f[A>>2]=f[k>>2];A=h+40|0;f[a+40>>2]=f[A>>2];f[k>>2]=h+48;f[A>>2]=j}f[h>>2]=1124007936;m=C;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));G=z}f[G>>2]=0;G=h+16|0;z=h+4|0;f[G>>2]=0;f[G+4>>2]=0;f[G+8>>2]=0;f[G+12>>2]=0;if((f[z>>2]|0)>0){G=f[h+40>>2]|0;C=0;do{f[G+(C<<2)>>2]=0;C=C+1|0}while((C|0)<(f[z>>2]|0))}z=f[h+44>>2]|0;if((z|0)!=(h+48|0))TC(z)}else{z=h+8|0;f[z>>2]=0;f[z+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=a;GJ(c,h)}c=f[l>>2]|0;l=f[c+4>>2]|0;z=f[c>>2]|0;f[v>>2]=l;f[w>>2]=z;f[i>>2]=l;f[i+4>>2]=z;IJ(d,i,f[B>>2]&7|(e<<3)+-8,-1,0,0);do if((qJ(d)|0)==65536){e=f[x>>2]|0;f[h>>2]=f[e>>2];B=h+4|0;i=e+4|0;f[B>>2]=f[i>>2];z=h+8|0;f[z>>2]=f[e+8>>2];f[h+12>>2]=f[e+12>>2];f[h+16>>2]=f[e+16>>2];f[h+20>>2]=f[e+20>>2];f[h+24>>2]=f[e+24>>2];f[h+28>>2]=f[e+28>>2];f[h+32>>2]=f[e+32>>2];l=f[e+36>>2]|0;f[h+36>>2]=l;f[h+40>>2]=z;z=h+48|0;w=h+44|0;f[w>>2]=z;f[z>>2]=0;f[h+52>>2]=0;if(l|0){z=l+12|0;f[z>>2]=(f[z>>2]|0)+1}if((f[i>>2]|0)<3){i=f[e+44>>2]|0;z=f[w>>2]|0;f[z>>2]=f[i>>2];f[z+4>>2]=f[i+4>>2];break}else{f[B>>2]=0;$T(h,e);break}}else nJ(h,d,-1);while(0);if((p|0)==(h|0)){d=h+36|0;x=f[d>>2]|0;if((x|0)!=0?(e=x+12|0,x=f[e>>2]|0,f[e>>2]=x+-1,(x|0)==1):0){aU(h);I=d}else I=d}else{d=a+92|0;x=f[d>>2]|0;if(x|0?(e=x+12|0,x=f[e>>2]|0,f[e>>2]=x+-1,(x|0)==1):0)aU(p);f[d>>2]=0;x=a+72|0;f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;f[x+12>>2]=0;if((f[q>>2]|0)>0){e=f[s>>2]|0;B=0;do{f[e+(B<<2)>>2]=0;B=B+1|0}while((B|0)<(f[q>>2]|0))}f[p>>2]=f[h>>2];p=h+4|0;B=f[p>>2]|0;f[q>>2]=B;q=h+8|0;f[r>>2]=f[q>>2];f[a+68>>2]=f[h+12>>2];f[x>>2]=f[h+16>>2];f[a+76>>2]=f[h+20>>2];f[a+80>>2]=f[h+24>>2];f[a+84>>2]=f[h+28>>2];f[a+88>>2]=f[h+32>>2];x=h+36|0;f[d>>2]=f[x>>2];d=a+100|0;e=f[d>>2]|0;if((e|0)==(t|0))J=B;else{TC(e);f[d>>2]=t;f[s>>2]=r;J=f[p>>2]|0}r=h+44|0;if((J|0)<3){J=f[r>>2]|0;f[t>>2]=f[J>>2];f[a+108>>2]=f[J+4>>2]}else{f[d>>2]=f[r>>2];d=h+40|0;f[a+96>>2]=f[d>>2];f[r>>2]=h+48;f[d>>2]=q}f[h>>2]=1124007936;m=p;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));I=x}f[I>>2]=0;I=h+16|0;x=h+4|0;f[I>>2]=0;f[I+4>>2]=0;f[I+8>>2]=0;f[I+12>>2]=0;if((f[x>>2]|0)>0){I=f[h+40>>2]|0;m=0;do{f[I+(m<<2)>>2]=0;m=m+1|0}while((m|0)<(f[x>>2]|0))}x=f[h+44>>2]|0;if((x|0)==(h+48|0)){u=g;return}TC(x);u=g;return}function $oa(a){a=a|0;var b=0,c=0,d=0,e=0;b=a+56|0;c=a+92|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+72|0;b=a+60|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+96>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+100>>2]|0;if((b|0)!=(a+104|0))TC(b);b=a+36|0;d=f[b>>2]|0;if(d|0?(c=d+12|0,d=f[c>>2]|0,f[c>>2]=d+-1,(d|0)==1):0)aU(a);f[b>>2]=0;b=a+16|0;d=a+4|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;if((f[d>>2]|0)>0){b=f[a+40>>2]|0;c=0;do{f[b+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[d>>2]|0))}d=f[a+44>>2]|0;if((d|0)==(a+48|0))return;TC(d);return}function apa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0;e=u;u=u+128|0;g=e;bpa(g,a,b,2);roa(f[g+16>>2]|0,f[g+48>>2]|0,f[g+72>>2]|0,f[g+104>>2]|0,f[g+12>>2]|0,f[g+8>>2]|0,f[g+116>>2]|0,c,d);cpa(g);u=e;return}function bpa(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;g=u;u=u+64|0;h=g+8|0;i=g;f[a>>2]=1124007936;j=a+4|0;k=a+8|0;l=a+40|0;m=j;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));f[l>>2]=k;o=a+48|0;f[a+44>>2]=o;f[o>>2]=0;f[a+52>>2]=0;p=a+56|0;f[p>>2]=1124007936;q=a+60|0;r=a+64|0;s=a+96|0;m=q;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));f[s>>2]=r;t=a+104|0;f[a+100>>2]=t;f[t>>2]=0;f[a+108>>2]=0;v=a+120|0;f[v>>2]=0;w=a+124|0;f[w>>2]=0;if(EJ(c)|0){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;x=cuc(16)|0;f[h>>2]=x;f[h+8>>2]=-2147483632;f[h+4>>2]=13;m=x;y=371751;n=m+13|0;do{b[m>>0]=b[y>>0]|0;m=m+1|0;y=y+1|0}while((m|0)<(n|0));b[x+13>>0]=0;WD(-215,h,371765,373062,254)}x=pJ(c,-1)|0;y=x>>>3;z=(y&511)+1|0;f[a+116>>2]=z;A=x&7;x=a+112|0;f[x>>2]=A;if((y&510|0)!=2)zN(z,79424);if((e|0)!=2)zN(e,79452);if(A|0)wN(A,79480);A=c+4|0;e=d+4|0;if((f[A>>2]|0)!=(f[e>>2]|0)){do if((qJ(c)|0)==65536){z=f[A>>2]|0;f[h>>2]=f[z>>2];y=h+4|0;B=z+4|0;f[y>>2]=f[B>>2];C=h+8|0;f[C>>2]=f[z+8>>2];f[h+12>>2]=f[z+12>>2];f[h+16>>2]=f[z+16>>2];f[h+20>>2]=f[z+20>>2];f[h+24>>2]=f[z+24>>2];f[h+28>>2]=f[z+28>>2];f[h+32>>2]=f[z+32>>2];D=f[z+36>>2]|0;f[h+36>>2]=D;f[h+40>>2]=C;C=h+48|0;E=h+44|0;f[E>>2]=C;f[C>>2]=0;f[h+52>>2]=0;if(D|0){C=D+12|0;f[C>>2]=(f[C>>2]|0)+1}if((f[B>>2]|0)<3){B=f[z+44>>2]|0;C=f[E>>2]|0;f[C>>2]=f[B>>2];f[C+4>>2]=f[B+4>>2];break}else{f[y>>2]=0;$T(h,z);break}}else nJ(h,c,-1);while(0);if((a|0)==(h|0)){A=h+36|0;z=f[A>>2]|0;if((z|0)!=0?(y=z+12|0,z=f[y>>2]|0,f[y>>2]=z+-1,(z|0)==1):0){aU(h);F=A}else F=A}else{A=a+36|0;z=f[A>>2]|0;if(z|0?(y=z+12|0,z=f[y>>2]|0,f[y>>2]=z+-1,(z|0)==1):0)aU(a);f[A>>2]=0;z=a+16|0;f[z>>2]=0;f[z+4>>2]=0;f[z+8>>2]=0;f[z+12>>2]=0;if((f[j>>2]|0)>0){y=f[l>>2]|0;B=0;do{f[y+(B<<2)>>2]=0;B=B+1|0}while((B|0)<(f[j>>2]|0))}f[a>>2]=f[h>>2];B=h+4|0;y=f[B>>2]|0;f[j>>2]=y;j=h+8|0;f[k>>2]=f[j>>2];f[a+12>>2]=f[h+12>>2];f[z>>2]=f[h+16>>2];f[a+20>>2]=f[h+20>>2];f[a+24>>2]=f[h+24>>2];f[a+28>>2]=f[h+28>>2];f[a+32>>2]=f[h+32>>2];z=h+36|0;f[A>>2]=f[z>>2];A=a+44|0;C=f[A>>2]|0;if((C|0)==(o|0))G=y;else{TC(C);f[A>>2]=o;f[l>>2]=k;G=f[B>>2]|0}k=h+44|0;if((G|0)<3){G=f[k>>2]|0;f[o>>2]=f[G>>2];f[a+52>>2]=f[G+4>>2]}else{f[A>>2]=f[k>>2];A=h+40|0;f[a+40>>2]=f[A>>2];f[k>>2]=h+48;f[A>>2]=j}f[h>>2]=1124007936;m=B;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));F=z}f[F>>2]=0;F=h+16|0;z=h+4|0;f[F>>2]=0;f[F+4>>2]=0;f[F+8>>2]=0;f[F+12>>2]=0;if((f[z>>2]|0)>0){F=f[h+40>>2]|0;B=0;do{f[F+(B<<2)>>2]=0;B=B+1|0}while((B|0)<(f[z>>2]|0))}z=f[h+44>>2]|0;if((z|0)!=(h+48|0))TC(z)}else{z=h+8|0;f[z>>2]=0;f[z+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=a;GJ(c,h)}c=f[l>>2]|0;l=f[c+4>>2]|0;z=f[c>>2]|0;f[v>>2]=l;f[w>>2]=z;f[i>>2]=l;f[i+4>>2]=z;IJ(d,i,f[x>>2]&7|8,-1,0,0);do if((qJ(d)|0)==65536){x=f[e>>2]|0;f[h>>2]=f[x>>2];i=h+4|0;z=x+4|0;f[i>>2]=f[z>>2];l=h+8|0;f[l>>2]=f[x+8>>2];f[h+12>>2]=f[x+12>>2];f[h+16>>2]=f[x+16>>2];f[h+20>>2]=f[x+20>>2];f[h+24>>2]=f[x+24>>2];f[h+28>>2]=f[x+28>>2];f[h+32>>2]=f[x+32>>2];w=f[x+36>>2]|0;f[h+36>>2]=w;f[h+40>>2]=l;l=h+48|0;v=h+44|0;f[v>>2]=l;f[l>>2]=0;f[h+52>>2]=0;if(w|0){l=w+12|0;f[l>>2]=(f[l>>2]|0)+1}if((f[z>>2]|0)<3){z=f[x+44>>2]|0;l=f[v>>2]|0;f[l>>2]=f[z>>2];f[l+4>>2]=f[z+4>>2];break}else{f[i>>2]=0;$T(h,x);break}}else nJ(h,d,-1);while(0);if((p|0)==(h|0)){d=h+36|0;e=f[d>>2]|0;if((e|0)!=0?(x=e+12|0,e=f[x>>2]|0,f[x>>2]=e+-1,(e|0)==1):0){aU(h);H=d}else H=d}else{d=a+92|0;e=f[d>>2]|0;if(e|0?(x=e+12|0,e=f[x>>2]|0,f[x>>2]=e+-1,(e|0)==1):0)aU(p);f[d>>2]=0;e=a+72|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((f[q>>2]|0)>0){x=f[s>>2]|0;i=0;do{f[x+(i<<2)>>2]=0;i=i+1|0}while((i|0)<(f[q>>2]|0))}f[p>>2]=f[h>>2];p=h+4|0;i=f[p>>2]|0;f[q>>2]=i;q=h+8|0;f[r>>2]=f[q>>2];f[a+68>>2]=f[h+12>>2];f[e>>2]=f[h+16>>2];f[a+76>>2]=f[h+20>>2];f[a+80>>2]=f[h+24>>2];f[a+84>>2]=f[h+28>>2];f[a+88>>2]=f[h+32>>2];e=h+36|0;f[d>>2]=f[e>>2];d=a+100|0;x=f[d>>2]|0;if((x|0)==(t|0))I=i;else{TC(x);f[d>>2]=t;f[s>>2]=r;I=f[p>>2]|0}r=h+44|0;if((I|0)<3){I=f[r>>2]|0;f[t>>2]=f[I>>2];f[a+108>>2]=f[I+4>>2]}else{f[d>>2]=f[r>>2];d=h+40|0;f[a+96>>2]=f[d>>2];f[r>>2]=h+48;f[d>>2]=q}f[h>>2]=1124007936;m=p;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));H=e}f[H>>2]=0;H=h+16|0;e=h+4|0;f[H>>2]=0;f[H+4>>2]=0;f[H+8>>2]=0;f[H+12>>2]=0;if((f[e>>2]|0)>0){H=f[h+40>>2]|0;m=0;do{f[H+(m<<2)>>2]=0;m=m+1|0}while((m|0)<(f[e>>2]|0))}e=f[h+44>>2]|0;if((e|0)==(h+48|0)){u=g;return}TC(e);u=g;return}function cpa(a){a=a|0;var b=0,c=0,d=0,e=0;b=a+56|0;c=a+92|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+72|0;b=a+60|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+96>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+100>>2]|0;if((b|0)!=(a+104|0))TC(b);b=a+36|0;d=f[b>>2]|0;if(d|0?(c=d+12|0,d=f[c>>2]|0,f[c>>2]=d+-1,(d|0)==1):0)aU(a);f[b>>2]=0;b=a+16|0;d=a+4|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;if((f[d>>2]|0)>0){b=f[a+40>>2]|0;c=0;do{f[b+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[d>>2]|0))}d=f[a+44>>2]|0;if((d|0)==(a+48|0))return;TC(d);return}function dpa(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0;g=u;u=u+128|0;h=g;i=(c|0)<1?3:c;epa(h,a,b,i);voa(f[h+16>>2]|0,f[h+48>>2]|0,f[h+72>>2]|0,f[h+104>>2]|0,f[h+12>>2]|0,f[h+8>>2]|0,i,d,e);fpa(h);u=g;return}function epa(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;g=u;u=u+64|0;h=g+8|0;i=g;f[a>>2]=1124007936;j=a+4|0;k=a+8|0;l=a+40|0;m=j;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));f[l>>2]=k;o=a+48|0;f[a+44>>2]=o;f[o>>2]=0;f[a+52>>2]=0;p=a+56|0;f[p>>2]=1124007936;q=a+60|0;r=a+64|0;s=a+96|0;m=q;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));f[s>>2]=r;t=a+104|0;f[a+100>>2]=t;f[t>>2]=0;f[a+108>>2]=0;v=a+120|0;f[v>>2]=0;w=a+124|0;f[w>>2]=0;if(EJ(c)|0){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;x=cuc(16)|0;f[h>>2]=x;f[h+8>>2]=-2147483632;f[h+4>>2]=13;m=x;y=371751;n=m+13|0;do{b[m>>0]=b[y>>0]|0;m=m+1|0;y=y+1|0}while((m|0)<(n|0));b[x+13>>0]=0;WD(-215,h,371765,373062,254)}x=pJ(c,-1)|0;y=(x>>>3&511)+1|0;f[a+116>>2]=y;z=x&7;x=a+112|0;f[x>>2]=z;if((y|0)!=2)zN(y,79508);if((e+-3|0)>>>0>=2)zN(e,79536);if(z|0)wN(z,79564);z=c+4|0;y=d+4|0;if((f[z>>2]|0)!=(f[y>>2]|0)){do if((qJ(c)|0)==65536){A=f[z>>2]|0;f[h>>2]=f[A>>2];B=h+4|0;C=A+4|0;f[B>>2]=f[C>>2];D=h+8|0;f[D>>2]=f[A+8>>2];f[h+12>>2]=f[A+12>>2];f[h+16>>2]=f[A+16>>2];f[h+20>>2]=f[A+20>>2];f[h+24>>2]=f[A+24>>2];f[h+28>>2]=f[A+28>>2];f[h+32>>2]=f[A+32>>2];E=f[A+36>>2]|0;f[h+36>>2]=E;f[h+40>>2]=D;D=h+48|0;F=h+44|0;f[F>>2]=D;f[D>>2]=0;f[h+52>>2]=0;if(E|0){D=E+12|0;f[D>>2]=(f[D>>2]|0)+1}if((f[C>>2]|0)<3){C=f[A+44>>2]|0;D=f[F>>2]|0;f[D>>2]=f[C>>2];f[D+4>>2]=f[C+4>>2];break}else{f[B>>2]=0;$T(h,A);break}}else nJ(h,c,-1);while(0);if((a|0)==(h|0)){z=h+36|0;A=f[z>>2]|0;if((A|0)!=0?(B=A+12|0,A=f[B>>2]|0,f[B>>2]=A+-1,(A|0)==1):0){aU(h);G=z}else G=z}else{z=a+36|0;A=f[z>>2]|0;if(A|0?(B=A+12|0,A=f[B>>2]|0,f[B>>2]=A+-1,(A|0)==1):0)aU(a);f[z>>2]=0;A=a+16|0;f[A>>2]=0;f[A+4>>2]=0;f[A+8>>2]=0;f[A+12>>2]=0;if((f[j>>2]|0)>0){B=f[l>>2]|0;C=0;do{f[B+(C<<2)>>2]=0;C=C+1|0}while((C|0)<(f[j>>2]|0))}f[a>>2]=f[h>>2];C=h+4|0;B=f[C>>2]|0;f[j>>2]=B;j=h+8|0;f[k>>2]=f[j>>2];f[a+12>>2]=f[h+12>>2];f[A>>2]=f[h+16>>2];f[a+20>>2]=f[h+20>>2];f[a+24>>2]=f[h+24>>2];f[a+28>>2]=f[h+28>>2];f[a+32>>2]=f[h+32>>2];A=h+36|0;f[z>>2]=f[A>>2];z=a+44|0;D=f[z>>2]|0;if((D|0)==(o|0))H=B;else{TC(D);f[z>>2]=o;f[l>>2]=k;H=f[C>>2]|0}k=h+44|0;if((H|0)<3){H=f[k>>2]|0;f[o>>2]=f[H>>2];f[a+52>>2]=f[H+4>>2]}else{f[z>>2]=f[k>>2];z=h+40|0;f[a+40>>2]=f[z>>2];f[k>>2]=h+48;f[z>>2]=j}f[h>>2]=1124007936;m=C;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));G=A}f[G>>2]=0;G=h+16|0;A=h+4|0;f[G>>2]=0;f[G+4>>2]=0;f[G+8>>2]=0;f[G+12>>2]=0;if((f[A>>2]|0)>0){G=f[h+40>>2]|0;C=0;do{f[G+(C<<2)>>2]=0;C=C+1|0}while((C|0)<(f[A>>2]|0))}A=f[h+44>>2]|0;if((A|0)!=(h+48|0))TC(A)}else{A=h+8|0;f[A>>2]=0;f[A+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=a;GJ(c,h)}c=f[l>>2]|0;l=f[c+4>>2]|0;A=f[c>>2]|0;f[v>>2]=l;f[w>>2]=A;f[i>>2]=l;f[i+4>>2]=A;IJ(d,i,f[x>>2]&7|(e<<3)+-8,-1,0,0);do if((qJ(d)|0)==65536){e=f[y>>2]|0;f[h>>2]=f[e>>2];x=h+4|0;i=e+4|0;f[x>>2]=f[i>>2];A=h+8|0;f[A>>2]=f[e+8>>2];f[h+12>>2]=f[e+12>>2];f[h+16>>2]=f[e+16>>2];f[h+20>>2]=f[e+20>>2];f[h+24>>2]=f[e+24>>2];f[h+28>>2]=f[e+28>>2];f[h+32>>2]=f[e+32>>2];l=f[e+36>>2]|0;f[h+36>>2]=l;f[h+40>>2]=A;A=h+48|0;w=h+44|0;f[w>>2]=A;f[A>>2]=0;f[h+52>>2]=0;if(l|0){A=l+12|0;f[A>>2]=(f[A>>2]|0)+1}if((f[i>>2]|0)<3){i=f[e+44>>2]|0;A=f[w>>2]|0;f[A>>2]=f[i>>2];f[A+4>>2]=f[i+4>>2];break}else{f[x>>2]=0;$T(h,e);break}}else nJ(h,d,-1);while(0);if((p|0)==(h|0)){d=h+36|0;y=f[d>>2]|0;if((y|0)!=0?(e=y+12|0,y=f[e>>2]|0,f[e>>2]=y+-1,(y|0)==1):0){aU(h);I=d}else I=d}else{d=a+92|0;y=f[d>>2]|0;if(y|0?(e=y+12|0,y=f[e>>2]|0,f[e>>2]=y+-1,(y|0)==1):0)aU(p);f[d>>2]=0;y=a+72|0;f[y>>2]=0;f[y+4>>2]=0;f[y+8>>2]=0;f[y+12>>2]=0;if((f[q>>2]|0)>0){e=f[s>>2]|0;x=0;do{f[e+(x<<2)>>2]=0;x=x+1|0}while((x|0)<(f[q>>2]|0))}f[p>>2]=f[h>>2];p=h+4|0;x=f[p>>2]|0;f[q>>2]=x;q=h+8|0;f[r>>2]=f[q>>2];f[a+68>>2]=f[h+12>>2];f[y>>2]=f[h+16>>2];f[a+76>>2]=f[h+20>>2];f[a+80>>2]=f[h+24>>2];f[a+84>>2]=f[h+28>>2];f[a+88>>2]=f[h+32>>2];y=h+36|0;f[d>>2]=f[y>>2];d=a+100|0;e=f[d>>2]|0;if((e|0)==(t|0))J=x;else{TC(e);f[d>>2]=t;f[s>>2]=r;J=f[p>>2]|0}r=h+44|0;if((J|0)<3){J=f[r>>2]|0;f[t>>2]=f[J>>2];f[a+108>>2]=f[J+4>>2]}else{f[d>>2]=f[r>>2];d=h+40|0;f[a+96>>2]=f[d>>2];f[r>>2]=h+48;f[d>>2]=q}f[h>>2]=1124007936;m=p;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));I=y}f[I>>2]=0;I=h+16|0;y=h+4|0;f[I>>2]=0;f[I+4>>2]=0;f[I+8>>2]=0;f[I+12>>2]=0;if((f[y>>2]|0)>0){I=f[h+40>>2]|0;m=0;do{f[I+(m<<2)>>2]=0;m=m+1|0}while((m|0)<(f[y>>2]|0))}y=f[h+44>>2]|0;if((y|0)==(h+48|0)){u=g;return}TC(y);u=g;return}function fpa(a){a=a|0;var b=0,c=0,d=0,e=0;b=a+56|0;c=a+92|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+72|0;b=a+60|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+96>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+100>>2]|0;if((b|0)!=(a+104|0))TC(b);b=a+36|0;d=f[b>>2]|0;if(d|0?(c=d+12|0,d=f[c>>2]|0,f[c>>2]=d+-1,(d|0)==1):0)aU(a);f[b>>2]=0;b=a+16|0;d=a+4|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;if((f[d>>2]|0)>0){b=f[a+40>>2]|0;c=0;do{f[b+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[d>>2]|0))}d=f[a+44>>2]|0;if((d|0)==(a+48|0))return;TC(d);return}function gpa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=u;u=u+128|0;e=d;hpa(e,a,b,1);zoa(f[e+16>>2]|0,f[e+48>>2]|0,f[e+72>>2]|0,f[e+104>>2]|0,f[e+12>>2]|0,f[e+8>>2]|0,f[e+112>>2]|0,f[e+116>>2]|0,c);ipa(e);u=d;return}function hpa(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;g=u;u=u+64|0;h=g+8|0;i=g;f[a>>2]=1124007936;j=a+4|0;k=a+8|0;l=a+40|0;m=j;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));f[l>>2]=k;o=a+48|0;f[a+44>>2]=o;f[o>>2]=0;f[a+52>>2]=0;p=a+56|0;f[p>>2]=1124007936;q=a+60|0;r=a+64|0;s=a+96|0;m=q;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));f[s>>2]=r;t=a+104|0;f[a+100>>2]=t;f[t>>2]=0;f[a+108>>2]=0;v=a+120|0;f[v>>2]=0;w=a+124|0;f[w>>2]=0;if(EJ(c)|0){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;x=cuc(16)|0;f[h>>2]=x;f[h+8>>2]=-2147483632;f[h+4>>2]=13;m=x;y=371751;n=m+13|0;do{b[m>>0]=b[y>>0]|0;m=m+1|0;y=y+1|0}while((m|0)<(n|0));b[x+13>>0]=0;WD(-215,h,371765,373062,254)}x=pJ(c,-1)|0;y=x>>>3;z=(y&511)+1|0;f[a+116>>2]=z;A=x&7;B=a+112|0;f[B>>2]=A;if((y&510|0)!=2)zN(z,79592);if((e|0)!=1)zN(e,79620);switch(x&7){case 0:case 2:case 5:break;default:wN(A,79648)}A=c+4|0;x=d+4|0;if((f[A>>2]|0)!=(f[x>>2]|0)){do if((qJ(c)|0)==65536){e=f[A>>2]|0;f[h>>2]=f[e>>2];z=h+4|0;y=e+4|0;f[z>>2]=f[y>>2];C=h+8|0;f[C>>2]=f[e+8>>2];f[h+12>>2]=f[e+12>>2];f[h+16>>2]=f[e+16>>2];f[h+20>>2]=f[e+20>>2];f[h+24>>2]=f[e+24>>2];f[h+28>>2]=f[e+28>>2];f[h+32>>2]=f[e+32>>2];D=f[e+36>>2]|0;f[h+36>>2]=D;f[h+40>>2]=C;C=h+48|0;E=h+44|0;f[E>>2]=C;f[C>>2]=0;f[h+52>>2]=0;if(D|0){C=D+12|0;f[C>>2]=(f[C>>2]|0)+1}if((f[y>>2]|0)<3){y=f[e+44>>2]|0;C=f[E>>2]|0;f[C>>2]=f[y>>2];f[C+4>>2]=f[y+4>>2];break}else{f[z>>2]=0;$T(h,e);break}}else nJ(h,c,-1);while(0);if((a|0)==(h|0)){A=h+36|0;e=f[A>>2]|0;if((e|0)!=0?(z=e+12|0,e=f[z>>2]|0,f[z>>2]=e+-1,(e|0)==1):0){aU(h);F=A}else F=A}else{A=a+36|0;e=f[A>>2]|0;if(e|0?(z=e+12|0,e=f[z>>2]|0,f[z>>2]=e+-1,(e|0)==1):0)aU(a);f[A>>2]=0;e=a+16|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((f[j>>2]|0)>0){z=f[l>>2]|0;y=0;do{f[z+(y<<2)>>2]=0;y=y+1|0}while((y|0)<(f[j>>2]|0))}f[a>>2]=f[h>>2];y=h+4|0;z=f[y>>2]|0;f[j>>2]=z;j=h+8|0;f[k>>2]=f[j>>2];f[a+12>>2]=f[h+12>>2];f[e>>2]=f[h+16>>2];f[a+20>>2]=f[h+20>>2];f[a+24>>2]=f[h+24>>2];f[a+28>>2]=f[h+28>>2];f[a+32>>2]=f[h+32>>2];e=h+36|0;f[A>>2]=f[e>>2];A=a+44|0;C=f[A>>2]|0;if((C|0)==(o|0))G=z;else{TC(C);f[A>>2]=o;f[l>>2]=k;G=f[y>>2]|0}k=h+44|0;if((G|0)<3){G=f[k>>2]|0;f[o>>2]=f[G>>2];f[a+52>>2]=f[G+4>>2]}else{f[A>>2]=f[k>>2];A=h+40|0;f[a+40>>2]=f[A>>2];f[k>>2]=h+48;f[A>>2]=j}f[h>>2]=1124007936;m=y;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));F=e}f[F>>2]=0;F=h+16|0;e=h+4|0;f[F>>2]=0;f[F+4>>2]=0;f[F+8>>2]=0;f[F+12>>2]=0;if((f[e>>2]|0)>0){F=f[h+40>>2]|0;y=0;do{f[F+(y<<2)>>2]=0;y=y+1|0}while((y|0)<(f[e>>2]|0))}e=f[h+44>>2]|0;if((e|0)!=(h+48|0))TC(e)}else{e=h+8|0;f[e>>2]=0;f[e+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=a;GJ(c,h)}c=f[l>>2]|0;l=f[c+4>>2]|0;e=f[c>>2]|0;f[v>>2]=l;f[w>>2]=e;f[i>>2]=l;f[i+4>>2]=e;IJ(d,i,f[B>>2]&7,-1,0,0);do if((qJ(d)|0)==65536){B=f[x>>2]|0;f[h>>2]=f[B>>2];i=h+4|0;e=B+4|0;f[i>>2]=f[e>>2];l=h+8|0;f[l>>2]=f[B+8>>2];f[h+12>>2]=f[B+12>>2];f[h+16>>2]=f[B+16>>2];f[h+20>>2]=f[B+20>>2];f[h+24>>2]=f[B+24>>2];f[h+28>>2]=f[B+28>>2];f[h+32>>2]=f[B+32>>2];w=f[B+36>>2]|0;f[h+36>>2]=w;f[h+40>>2]=l;l=h+48|0;v=h+44|0;f[v>>2]=l;f[l>>2]=0;f[h+52>>2]=0;if(w|0){l=w+12|0;f[l>>2]=(f[l>>2]|0)+1}if((f[e>>2]|0)<3){e=f[B+44>>2]|0;l=f[v>>2]|0;f[l>>2]=f[e>>2];f[l+4>>2]=f[e+4>>2];break}else{f[i>>2]=0;$T(h,B);break}}else nJ(h,d,-1);while(0);if((p|0)==(h|0)){d=h+36|0;x=f[d>>2]|0;if((x|0)!=0?(B=x+12|0,x=f[B>>2]|0,f[B>>2]=x+-1,(x|0)==1):0){aU(h);H=d}else H=d}else{d=a+92|0;x=f[d>>2]|0;if(x|0?(B=x+12|0,x=f[B>>2]|0,f[B>>2]=x+-1,(x|0)==1):0)aU(p);f[d>>2]=0;x=a+72|0;f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;f[x+12>>2]=0;if((f[q>>2]|0)>0){B=f[s>>2]|0;i=0;do{f[B+(i<<2)>>2]=0;i=i+1|0}while((i|0)<(f[q>>2]|0))}f[p>>2]=f[h>>2];p=h+4|0;i=f[p>>2]|0;f[q>>2]=i;q=h+8|0;f[r>>2]=f[q>>2];f[a+68>>2]=f[h+12>>2];f[x>>2]=f[h+16>>2];f[a+76>>2]=f[h+20>>2];f[a+80>>2]=f[h+24>>2];f[a+84>>2]=f[h+28>>2];f[a+88>>2]=f[h+32>>2];x=h+36|0;f[d>>2]=f[x>>2];d=a+100|0;B=f[d>>2]|0;if((B|0)==(t|0))I=i;else{TC(B);f[d>>2]=t;f[s>>2]=r;I=f[p>>2]|0}r=h+44|0;if((I|0)<3){I=f[r>>2]|0;f[t>>2]=f[I>>2];f[a+108>>2]=f[I+4>>2]}else{f[d>>2]=f[r>>2];d=h+40|0;f[a+96>>2]=f[d>>2];f[r>>2]=h+48;f[d>>2]=q}f[h>>2]=1124007936;m=p;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));H=x}f[H>>2]=0;H=h+16|0;x=h+4|0;f[H>>2]=0;f[H+4>>2]=0;f[H+8>>2]=0;f[H+12>>2]=0;if((f[x>>2]|0)>0){H=f[h+40>>2]|0;m=0;do{f[H+(m<<2)>>2]=0;m=m+1|0}while((m|0)<(f[x>>2]|0))}x=f[h+44>>2]|0;if((x|0)==(h+48|0)){u=g;return}TC(x);u=g;return}function ipa(a){a=a|0;var b=0,c=0,d=0,e=0;b=a+56|0;c=a+92|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+72|0;b=a+60|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+96>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+100>>2]|0;if((b|0)!=(a+104|0))TC(b);b=a+36|0;d=f[b>>2]|0;if(d|0?(c=d+12|0,d=f[c>>2]|0,f[c>>2]=d+-1,(d|0)==1):0)aU(a);f[b>>2]=0;b=a+16|0;d=a+4|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;if((f[d>>2]|0)>0){b=f[a+40>>2]|0;c=0;do{f[b+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[d>>2]|0))}d=f[a+44>>2]|0;if((d|0)==(a+48|0))return;TC(d);return}function jpa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+128|0;e=d;g=(c|0)<1?3:c;kpa(e,a,b,g);Goa(f[e+16>>2]|0,f[e+48>>2]|0,f[e+72>>2]|0,f[e+104>>2]|0,f[e+12>>2]|0,f[e+8>>2]|0,f[e+112>>2]|0,g);lpa(e);u=d;return}function kpa(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;g=u;u=u+64|0;h=g+8|0;i=g;f[a>>2]=1124007936;j=a+4|0;k=a+8|0;l=a+40|0;m=j;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));f[l>>2]=k;o=a+48|0;f[a+44>>2]=o;f[o>>2]=0;f[a+52>>2]=0;p=a+56|0;f[p>>2]=1124007936;q=a+60|0;r=a+64|0;s=a+96|0;m=q;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));f[s>>2]=r;t=a+104|0;f[a+100>>2]=t;f[t>>2]=0;f[a+108>>2]=0;v=a+120|0;f[v>>2]=0;w=a+124|0;f[w>>2]=0;if(EJ(c)|0){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;x=cuc(16)|0;f[h>>2]=x;f[h+8>>2]=-2147483632;f[h+4>>2]=13;m=x;y=371751;n=m+13|0;do{b[m>>0]=b[y>>0]|0;m=m+1|0;y=y+1|0}while((m|0)<(n|0));b[x+13>>0]=0;WD(-215,h,371765,373062,254)}x=pJ(c,-1)|0;y=x>>>3&511;z=y+1|0;f[a+116>>2]=z;A=x&7;B=a+112|0;f[B>>2]=A;if(y|0)zN(z,79676);if((e+-3|0)>>>0>=2)zN(e,79704);switch(x&7){case 0:case 2:case 5:break;default:wN(A,79732)}A=c+4|0;x=d+4|0;if((f[A>>2]|0)!=(f[x>>2]|0)){do if((qJ(c)|0)==65536){z=f[A>>2]|0;f[h>>2]=f[z>>2];y=h+4|0;C=z+4|0;f[y>>2]=f[C>>2];D=h+8|0;f[D>>2]=f[z+8>>2];f[h+12>>2]=f[z+12>>2];f[h+16>>2]=f[z+16>>2];f[h+20>>2]=f[z+20>>2];f[h+24>>2]=f[z+24>>2];f[h+28>>2]=f[z+28>>2];f[h+32>>2]=f[z+32>>2];E=f[z+36>>2]|0;f[h+36>>2]=E;f[h+40>>2]=D;D=h+48|0;F=h+44|0;f[F>>2]=D;f[D>>2]=0;f[h+52>>2]=0;if(E|0){D=E+12|0;f[D>>2]=(f[D>>2]|0)+1}if((f[C>>2]|0)<3){C=f[z+44>>2]|0;D=f[F>>2]|0;f[D>>2]=f[C>>2];f[D+4>>2]=f[C+4>>2];break}else{f[y>>2]=0;$T(h,z);break}}else nJ(h,c,-1);while(0);if((a|0)==(h|0)){A=h+36|0;z=f[A>>2]|0;if((z|0)!=0?(y=z+12|0,z=f[y>>2]|0,f[y>>2]=z+-1,(z|0)==1):0){aU(h);G=A}else G=A}else{A=a+36|0;z=f[A>>2]|0;if(z|0?(y=z+12|0,z=f[y>>2]|0,f[y>>2]=z+-1,(z|0)==1):0)aU(a);f[A>>2]=0;z=a+16|0;f[z>>2]=0;f[z+4>>2]=0;f[z+8>>2]=0;f[z+12>>2]=0;if((f[j>>2]|0)>0){y=f[l>>2]|0;C=0;do{f[y+(C<<2)>>2]=0;C=C+1|0}while((C|0)<(f[j>>2]|0))}f[a>>2]=f[h>>2];C=h+4|0;y=f[C>>2]|0;f[j>>2]=y;j=h+8|0;f[k>>2]=f[j>>2];f[a+12>>2]=f[h+12>>2];f[z>>2]=f[h+16>>2];f[a+20>>2]=f[h+20>>2];f[a+24>>2]=f[h+24>>2];f[a+28>>2]=f[h+28>>2];f[a+32>>2]=f[h+32>>2];z=h+36|0;f[A>>2]=f[z>>2];A=a+44|0;D=f[A>>2]|0;if((D|0)==(o|0))H=y;else{TC(D);f[A>>2]=o;f[l>>2]=k;H=f[C>>2]|0}k=h+44|0;if((H|0)<3){H=f[k>>2]|0;f[o>>2]=f[H>>2];f[a+52>>2]=f[H+4>>2]}else{f[A>>2]=f[k>>2];A=h+40|0;f[a+40>>2]=f[A>>2];f[k>>2]=h+48;f[A>>2]=j}f[h>>2]=1124007936;m=C;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));G=z}f[G>>2]=0;G=h+16|0;z=h+4|0;f[G>>2]=0;f[G+4>>2]=0;f[G+8>>2]=0;f[G+12>>2]=0;if((f[z>>2]|0)>0){G=f[h+40>>2]|0;C=0;do{f[G+(C<<2)>>2]=0;C=C+1|0}while((C|0)<(f[z>>2]|0))}z=f[h+44>>2]|0;if((z|0)!=(h+48|0))TC(z)}else{z=h+8|0;f[z>>2]=0;f[z+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=a;GJ(c,h)}c=f[l>>2]|0;l=f[c+4>>2]|0;z=f[c>>2]|0;f[v>>2]=l;f[w>>2]=z;f[i>>2]=l;f[i+4>>2]=z;IJ(d,i,f[B>>2]&7|(e<<3)+-8,-1,0,0);do if((qJ(d)|0)==65536){e=f[x>>2]|0;f[h>>2]=f[e>>2];B=h+4|0;i=e+4|0;f[B>>2]=f[i>>2];z=h+8|0;f[z>>2]=f[e+8>>2];f[h+12>>2]=f[e+12>>2];f[h+16>>2]=f[e+16>>2];f[h+20>>2]=f[e+20>>2];f[h+24>>2]=f[e+24>>2];f[h+28>>2]=f[e+28>>2];f[h+32>>2]=f[e+32>>2];l=f[e+36>>2]|0;f[h+36>>2]=l;f[h+40>>2]=z;z=h+48|0;w=h+44|0;f[w>>2]=z;f[z>>2]=0;f[h+52>>2]=0;if(l|0){z=l+12|0;f[z>>2]=(f[z>>2]|0)+1}if((f[i>>2]|0)<3){i=f[e+44>>2]|0;z=f[w>>2]|0;f[z>>2]=f[i>>2];f[z+4>>2]=f[i+4>>2];break}else{f[B>>2]=0;$T(h,e);break}}else nJ(h,d,-1);while(0);if((p|0)==(h|0)){d=h+36|0;x=f[d>>2]|0;if((x|0)!=0?(e=x+12|0,x=f[e>>2]|0,f[e>>2]=x+-1,(x|0)==1):0){aU(h);I=d}else I=d}else{d=a+92|0;x=f[d>>2]|0;if(x|0?(e=x+12|0,x=f[e>>2]|0,f[e>>2]=x+-1,(x|0)==1):0)aU(p);f[d>>2]=0;x=a+72|0;f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;f[x+12>>2]=0;if((f[q>>2]|0)>0){e=f[s>>2]|0;B=0;do{f[e+(B<<2)>>2]=0;B=B+1|0}while((B|0)<(f[q>>2]|0))}f[p>>2]=f[h>>2];p=h+4|0;B=f[p>>2]|0;f[q>>2]=B;q=h+8|0;f[r>>2]=f[q>>2];f[a+68>>2]=f[h+12>>2];f[x>>2]=f[h+16>>2];f[a+76>>2]=f[h+20>>2];f[a+80>>2]=f[h+24>>2];f[a+84>>2]=f[h+28>>2];f[a+88>>2]=f[h+32>>2];x=h+36|0;f[d>>2]=f[x>>2];d=a+100|0;e=f[d>>2]|0;if((e|0)==(t|0))J=B;else{TC(e);f[d>>2]=t;f[s>>2]=r;J=f[p>>2]|0}r=h+44|0;if((J|0)<3){J=f[r>>2]|0;f[t>>2]=f[J>>2];f[a+108>>2]=f[J+4>>2]}else{f[d>>2]=f[r>>2];d=h+40|0;f[a+96>>2]=f[d>>2];f[r>>2]=h+48;f[d>>2]=q}f[h>>2]=1124007936;m=p;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));I=x}f[I>>2]=0;I=h+16|0;x=h+4|0;f[I>>2]=0;f[I+4>>2]=0;f[I+8>>2]=0;f[I+12>>2]=0;if((f[x>>2]|0)>0){I=f[h+40>>2]|0;m=0;do{f[I+(m<<2)>>2]=0;m=m+1|0}while((m|0)<(f[x>>2]|0))}x=f[h+44>>2]|0;if((x|0)==(h+48|0)){u=g;return}TC(x);u=g;return}function lpa(a){a=a|0;var b=0,c=0,d=0,e=0;b=a+56|0;c=a+92|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+72|0;b=a+60|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+96>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+100>>2]|0;if((b|0)!=(a+104|0))TC(b);b=a+36|0;d=f[b>>2]|0;if(d|0?(c=d+12|0,d=f[c>>2]|0,f[c>>2]=d+-1,(d|0)==1):0)aU(a);f[b>>2]=0;b=a+16|0;d=a+4|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;if((f[d>>2]|0)>0){b=f[a+40>>2]|0;c=0;do{f[b+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[d>>2]|0))}d=f[a+44>>2]|0;if((d|0)==(a+48|0))return;TC(d);return}function mpa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=u;u=u+128|0;e=d;npa(e,a,b,1);Noa(f[e+16>>2]|0,f[e+48>>2]|0,f[e+72>>2]|0,f[e+104>>2]|0,f[e+12>>2]|0,f[e+8>>2]|0,c);opa(e);u=d;return}function npa(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;g=u;u=u+64|0;h=g+8|0;i=g;f[a>>2]=1124007936;j=a+4|0;k=a+8|0;l=a+40|0;m=j;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));f[l>>2]=k;o=a+48|0;f[a+44>>2]=o;f[o>>2]=0;f[a+52>>2]=0;p=a+56|0;f[p>>2]=1124007936;q=a+60|0;r=a+64|0;s=a+96|0;m=q;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));f[s>>2]=r;t=a+104|0;f[a+100>>2]=t;f[t>>2]=0;f[a+108>>2]=0;v=a+120|0;f[v>>2]=0;w=a+124|0;f[w>>2]=0;if(EJ(c)|0){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;x=cuc(16)|0;f[h>>2]=x;f[h+8>>2]=-2147483632;f[h+4>>2]=13;m=x;y=371751;n=m+13|0;do{b[m>>0]=b[y>>0]|0;m=m+1|0;y=y+1|0}while((m|0)<(n|0));b[x+13>>0]=0;WD(-215,h,371765,373062,254)}x=pJ(c,-1)|0;y=(x>>>3&511)+1|0;f[a+116>>2]=y;z=x&7;x=a+112|0;f[x>>2]=z;if((y|0)!=2)zN(y,79760);if((e|0)!=1)zN(e,79788);if(z|0)wN(z,79816);z=c+4|0;e=d+4|0;if((f[z>>2]|0)!=(f[e>>2]|0)){do if((qJ(c)|0)==65536){y=f[z>>2]|0;f[h>>2]=f[y>>2];A=h+4|0;B=y+4|0;f[A>>2]=f[B>>2];C=h+8|0;f[C>>2]=f[y+8>>2];f[h+12>>2]=f[y+12>>2];f[h+16>>2]=f[y+16>>2];f[h+20>>2]=f[y+20>>2];f[h+24>>2]=f[y+24>>2];f[h+28>>2]=f[y+28>>2];f[h+32>>2]=f[y+32>>2];D=f[y+36>>2]|0;f[h+36>>2]=D;f[h+40>>2]=C;C=h+48|0;E=h+44|0;f[E>>2]=C;f[C>>2]=0;f[h+52>>2]=0;if(D|0){C=D+12|0;f[C>>2]=(f[C>>2]|0)+1}if((f[B>>2]|0)<3){B=f[y+44>>2]|0;C=f[E>>2]|0;f[C>>2]=f[B>>2];f[C+4>>2]=f[B+4>>2];break}else{f[A>>2]=0;$T(h,y);break}}else nJ(h,c,-1);while(0);if((a|0)==(h|0)){z=h+36|0;y=f[z>>2]|0;if((y|0)!=0?(A=y+12|0,y=f[A>>2]|0,f[A>>2]=y+-1,(y|0)==1):0){aU(h);F=z}else F=z}else{z=a+36|0;y=f[z>>2]|0;if(y|0?(A=y+12|0,y=f[A>>2]|0,f[A>>2]=y+-1,(y|0)==1):0)aU(a);f[z>>2]=0;y=a+16|0;f[y>>2]=0;f[y+4>>2]=0;f[y+8>>2]=0;f[y+12>>2]=0;if((f[j>>2]|0)>0){A=f[l>>2]|0;B=0;do{f[A+(B<<2)>>2]=0;B=B+1|0}while((B|0)<(f[j>>2]|0))}f[a>>2]=f[h>>2];B=h+4|0;A=f[B>>2]|0;f[j>>2]=A;j=h+8|0;f[k>>2]=f[j>>2];f[a+12>>2]=f[h+12>>2];f[y>>2]=f[h+16>>2];f[a+20>>2]=f[h+20>>2];f[a+24>>2]=f[h+24>>2];f[a+28>>2]=f[h+28>>2];f[a+32>>2]=f[h+32>>2];y=h+36|0;f[z>>2]=f[y>>2];z=a+44|0;C=f[z>>2]|0;if((C|0)==(o|0))G=A;else{TC(C);f[z>>2]=o;f[l>>2]=k;G=f[B>>2]|0}k=h+44|0;if((G|0)<3){G=f[k>>2]|0;f[o>>2]=f[G>>2];f[a+52>>2]=f[G+4>>2]}else{f[z>>2]=f[k>>2];z=h+40|0;f[a+40>>2]=f[z>>2];f[k>>2]=h+48;f[z>>2]=j}f[h>>2]=1124007936;m=B;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));F=y}f[F>>2]=0;F=h+16|0;y=h+4|0;f[F>>2]=0;f[F+4>>2]=0;f[F+8>>2]=0;f[F+12>>2]=0;if((f[y>>2]|0)>0){F=f[h+40>>2]|0;B=0;do{f[F+(B<<2)>>2]=0;B=B+1|0}while((B|0)<(f[y>>2]|0))}y=f[h+44>>2]|0;if((y|0)!=(h+48|0))TC(y)}else{y=h+8|0;f[y>>2]=0;f[y+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=a;GJ(c,h)}c=f[l>>2]|0;l=f[c+4>>2]|0;y=f[c>>2]|0;f[v>>2]=l;f[w>>2]=y;f[i>>2]=l;f[i+4>>2]=y;IJ(d,i,f[x>>2]&7,-1,0,0);do if((qJ(d)|0)==65536){x=f[e>>2]|0;f[h>>2]=f[x>>2];i=h+4|0;y=x+4|0;f[i>>2]=f[y>>2];l=h+8|0;f[l>>2]=f[x+8>>2];f[h+12>>2]=f[x+12>>2];f[h+16>>2]=f[x+16>>2];f[h+20>>2]=f[x+20>>2];f[h+24>>2]=f[x+24>>2];f[h+28>>2]=f[x+28>>2];f[h+32>>2]=f[x+32>>2];w=f[x+36>>2]|0;f[h+36>>2]=w;f[h+40>>2]=l;l=h+48|0;v=h+44|0;f[v>>2]=l;f[l>>2]=0;f[h+52>>2]=0;if(w|0){l=w+12|0;f[l>>2]=(f[l>>2]|0)+1}if((f[y>>2]|0)<3){y=f[x+44>>2]|0;l=f[v>>2]|0;f[l>>2]=f[y>>2];f[l+4>>2]=f[y+4>>2];break}else{f[i>>2]=0;$T(h,x);break}}else nJ(h,d,-1);while(0);if((p|0)==(h|0)){d=h+36|0;e=f[d>>2]|0;if((e|0)!=0?(x=e+12|0,e=f[x>>2]|0,f[x>>2]=e+-1,(e|0)==1):0){aU(h);H=d}else H=d}else{d=a+92|0;e=f[d>>2]|0;if(e|0?(x=e+12|0,e=f[x>>2]|0,f[x>>2]=e+-1,(e|0)==1):0)aU(p);f[d>>2]=0;e=a+72|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((f[q>>2]|0)>0){x=f[s>>2]|0;i=0;do{f[x+(i<<2)>>2]=0;i=i+1|0}while((i|0)<(f[q>>2]|0))}f[p>>2]=f[h>>2];p=h+4|0;i=f[p>>2]|0;f[q>>2]=i;q=h+8|0;f[r>>2]=f[q>>2];f[a+68>>2]=f[h+12>>2];f[e>>2]=f[h+16>>2];f[a+76>>2]=f[h+20>>2];f[a+80>>2]=f[h+24>>2];f[a+84>>2]=f[h+28>>2];f[a+88>>2]=f[h+32>>2];e=h+36|0;f[d>>2]=f[e>>2];d=a+100|0;x=f[d>>2]|0;if((x|0)==(t|0))I=i;else{TC(x);f[d>>2]=t;f[s>>2]=r;I=f[p>>2]|0}r=h+44|0;if((I|0)<3){I=f[r>>2]|0;f[t>>2]=f[I>>2];f[a+108>>2]=f[I+4>>2]}else{f[d>>2]=f[r>>2];d=h+40|0;f[a+96>>2]=f[d>>2];f[r>>2]=h+48;f[d>>2]=q}f[h>>2]=1124007936;m=p;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));H=e}f[H>>2]=0;H=h+16|0;e=h+4|0;f[H>>2]=0;f[H+4>>2]=0;f[H+8>>2]=0;f[H+12>>2]=0;if((f[e>>2]|0)>0){H=f[h+40>>2]|0;m=0;do{f[H+(m<<2)>>2]=0;m=m+1|0}while((m|0)<(f[e>>2]|0))}e=f[h+44>>2]|0;if((e|0)==(h+48|0)){u=g;return}TC(e);u=g;return}function opa(a){a=a|0;var b=0,c=0,d=0,e=0;b=a+56|0;c=a+92|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+72|0;b=a+60|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+96>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+100>>2]|0;if((b|0)!=(a+104|0))TC(b);b=a+36|0;d=f[b>>2]|0;if(d|0?(c=d+12|0,d=f[c>>2]|0,f[c>>2]=d+-1,(d|0)==1):0)aU(a);f[b>>2]=0;b=a+16|0;d=a+4|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;if((f[d>>2]|0)>0){b=f[a+40>>2]|0;c=0;do{f[b+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[d>>2]|0))}d=f[a+44>>2]|0;if((d|0)==(a+48|0))return;TC(d);return}function ppa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=u;u=u+128|0;e=d;qpa(e,a,b,2);Qoa(f[e+16>>2]|0,f[e+48>>2]|0,f[e+72>>2]|0,f[e+104>>2]|0,f[e+12>>2]|0,f[e+8>>2]|0,c);rpa(e);u=d;return}function qpa(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;g=u;u=u+64|0;h=g+8|0;i=g;f[a>>2]=1124007936;j=a+4|0;k=a+8|0;l=a+40|0;m=j;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));f[l>>2]=k;o=a+48|0;f[a+44>>2]=o;f[o>>2]=0;f[a+52>>2]=0;p=a+56|0;f[p>>2]=1124007936;q=a+60|0;r=a+64|0;s=a+96|0;m=q;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));f[s>>2]=r;t=a+104|0;f[a+100>>2]=t;f[t>>2]=0;f[a+108>>2]=0;v=a+120|0;f[v>>2]=0;w=a+124|0;f[w>>2]=0;if(EJ(c)|0){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;x=cuc(16)|0;f[h>>2]=x;f[h+8>>2]=-2147483632;f[h+4>>2]=13;m=x;y=371751;n=m+13|0;do{b[m>>0]=b[y>>0]|0;m=m+1|0;y=y+1|0}while((m|0)<(n|0));b[x+13>>0]=0;WD(-215,h,371765,373062,254)}x=pJ(c,-1)|0;y=x>>>3&511;z=y+1|0;f[a+116>>2]=z;A=x&7;x=a+112|0;f[x>>2]=A;if(y|0)zN(z,79844);if((e|0)!=2)zN(e,79872);if(A|0)wN(A,79900);A=c+4|0;e=d+4|0;if((f[A>>2]|0)!=(f[e>>2]|0)){do if((qJ(c)|0)==65536){z=f[A>>2]|0;f[h>>2]=f[z>>2];y=h+4|0;B=z+4|0;f[y>>2]=f[B>>2];C=h+8|0;f[C>>2]=f[z+8>>2];f[h+12>>2]=f[z+12>>2];f[h+16>>2]=f[z+16>>2];f[h+20>>2]=f[z+20>>2];f[h+24>>2]=f[z+24>>2];f[h+28>>2]=f[z+28>>2];f[h+32>>2]=f[z+32>>2];D=f[z+36>>2]|0;f[h+36>>2]=D;f[h+40>>2]=C;C=h+48|0;E=h+44|0;f[E>>2]=C;f[C>>2]=0;f[h+52>>2]=0;if(D|0){C=D+12|0;f[C>>2]=(f[C>>2]|0)+1}if((f[B>>2]|0)<3){B=f[z+44>>2]|0;C=f[E>>2]|0;f[C>>2]=f[B>>2];f[C+4>>2]=f[B+4>>2];break}else{f[y>>2]=0;$T(h,z);break}}else nJ(h,c,-1);while(0);if((a|0)==(h|0)){A=h+36|0;z=f[A>>2]|0;if((z|0)!=0?(y=z+12|0,z=f[y>>2]|0,f[y>>2]=z+-1,(z|0)==1):0){aU(h);F=A}else F=A}else{A=a+36|0;z=f[A>>2]|0;if(z|0?(y=z+12|0,z=f[y>>2]|0,f[y>>2]=z+-1,(z|0)==1):0)aU(a);f[A>>2]=0;z=a+16|0;f[z>>2]=0;f[z+4>>2]=0;f[z+8>>2]=0;f[z+12>>2]=0;if((f[j>>2]|0)>0){y=f[l>>2]|0;B=0;do{f[y+(B<<2)>>2]=0;B=B+1|0}while((B|0)<(f[j>>2]|0))}f[a>>2]=f[h>>2];B=h+4|0;y=f[B>>2]|0;f[j>>2]=y;j=h+8|0;f[k>>2]=f[j>>2];f[a+12>>2]=f[h+12>>2];f[z>>2]=f[h+16>>2];f[a+20>>2]=f[h+20>>2];f[a+24>>2]=f[h+24>>2];f[a+28>>2]=f[h+28>>2];f[a+32>>2]=f[h+32>>2];z=h+36|0;f[A>>2]=f[z>>2];A=a+44|0;C=f[A>>2]|0;if((C|0)==(o|0))G=y;else{TC(C);f[A>>2]=o;f[l>>2]=k;G=f[B>>2]|0}k=h+44|0;if((G|0)<3){G=f[k>>2]|0;f[o>>2]=f[G>>2];f[a+52>>2]=f[G+4>>2]}else{f[A>>2]=f[k>>2];A=h+40|0;f[a+40>>2]=f[A>>2];f[k>>2]=h+48;f[A>>2]=j}f[h>>2]=1124007936;m=B;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));F=z}f[F>>2]=0;F=h+16|0;z=h+4|0;f[F>>2]=0;f[F+4>>2]=0;f[F+8>>2]=0;f[F+12>>2]=0;if((f[z>>2]|0)>0){F=f[h+40>>2]|0;B=0;do{f[F+(B<<2)>>2]=0;B=B+1|0}while((B|0)<(f[z>>2]|0))}z=f[h+44>>2]|0;if((z|0)!=(h+48|0))TC(z)}else{z=h+8|0;f[z>>2]=0;f[z+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=a;GJ(c,h)}c=f[l>>2]|0;l=f[c+4>>2]|0;z=f[c>>2]|0;f[v>>2]=l;f[w>>2]=z;f[i>>2]=l;f[i+4>>2]=z;IJ(d,i,f[x>>2]&7|8,-1,0,0);do if((qJ(d)|0)==65536){x=f[e>>2]|0;f[h>>2]=f[x>>2];i=h+4|0;z=x+4|0;f[i>>2]=f[z>>2];l=h+8|0;f[l>>2]=f[x+8>>2];f[h+12>>2]=f[x+12>>2];f[h+16>>2]=f[x+16>>2];f[h+20>>2]=f[x+20>>2];f[h+24>>2]=f[x+24>>2];f[h+28>>2]=f[x+28>>2];f[h+32>>2]=f[x+32>>2];w=f[x+36>>2]|0;f[h+36>>2]=w;f[h+40>>2]=l;l=h+48|0;v=h+44|0;f[v>>2]=l;f[l>>2]=0;f[h+52>>2]=0;if(w|0){l=w+12|0;f[l>>2]=(f[l>>2]|0)+1}if((f[z>>2]|0)<3){z=f[x+44>>2]|0;l=f[v>>2]|0;f[l>>2]=f[z>>2];f[l+4>>2]=f[z+4>>2];break}else{f[i>>2]=0;$T(h,x);break}}else nJ(h,d,-1);while(0);if((p|0)==(h|0)){d=h+36|0;e=f[d>>2]|0;if((e|0)!=0?(x=e+12|0,e=f[x>>2]|0,f[x>>2]=e+-1,(e|0)==1):0){aU(h);H=d}else H=d}else{d=a+92|0;e=f[d>>2]|0;if(e|0?(x=e+12|0,e=f[x>>2]|0,f[x>>2]=e+-1,(e|0)==1):0)aU(p);f[d>>2]=0;e=a+72|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((f[q>>2]|0)>0){x=f[s>>2]|0;i=0;do{f[x+(i<<2)>>2]=0;i=i+1|0}while((i|0)<(f[q>>2]|0))}f[p>>2]=f[h>>2];p=h+4|0;i=f[p>>2]|0;f[q>>2]=i;q=h+8|0;f[r>>2]=f[q>>2];f[a+68>>2]=f[h+12>>2];f[e>>2]=f[h+16>>2];f[a+76>>2]=f[h+20>>2];f[a+80>>2]=f[h+24>>2];f[a+84>>2]=f[h+28>>2];f[a+88>>2]=f[h+32>>2];e=h+36|0;f[d>>2]=f[e>>2];d=a+100|0;x=f[d>>2]|0;if((x|0)==(t|0))I=i;else{TC(x);f[d>>2]=t;f[s>>2]=r;I=f[p>>2]|0}r=h+44|0;if((I|0)<3){I=f[r>>2]|0;f[t>>2]=f[I>>2];f[a+108>>2]=f[I+4>>2]}else{f[d>>2]=f[r>>2];d=h+40|0;f[a+96>>2]=f[d>>2];f[r>>2]=h+48;f[d>>2]=q}f[h>>2]=1124007936;m=p;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));H=e}f[H>>2]=0;H=h+16|0;e=h+4|0;f[H>>2]=0;f[H+4>>2]=0;f[H+8>>2]=0;f[H+12>>2]=0;if((f[e>>2]|0)>0){H=f[h+40>>2]|0;m=0;do{f[H+(m<<2)>>2]=0;m=m+1|0}while((m|0)<(f[e>>2]|0))}e=f[h+44>>2]|0;if((e|0)==(h+48|0)){u=g;return}TC(e);u=g;return}function rpa(a){a=a|0;var b=0,c=0,d=0,e=0;b=a+56|0;c=a+92|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+72|0;b=a+60|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+96>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+100>>2]|0;if((b|0)!=(a+104|0))TC(b);b=a+36|0;d=f[b>>2]|0;if(d|0?(c=d+12|0,d=f[c>>2]|0,f[c>>2]=d+-1,(d|0)==1):0)aU(a);f[b>>2]=0;b=a+16|0;d=a+4|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;if((f[d>>2]|0)>0){b=f[a+40>>2]|0;c=0;do{f[b+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[d>>2]|0))}d=f[a+44>>2]|0;if((d|0)==(a+48|0))return;TC(d);return}function spa(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+128|0;d=c;tpa(d,a,b,4);Toa(f[d+16>>2]|0,f[d+48>>2]|0,f[d+72>>2]|0,f[d+104>>2]|0,f[d+12>>2]|0,f[d+8>>2]|0);upa(d);u=c;return}function tpa(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;g=u;u=u+64|0;h=g+8|0;i=g;f[a>>2]=1124007936;j=a+4|0;k=a+8|0;l=a+40|0;m=j;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));f[l>>2]=k;o=a+48|0;f[a+44>>2]=o;f[o>>2]=0;f[a+52>>2]=0;p=a+56|0;f[p>>2]=1124007936;q=a+60|0;r=a+64|0;s=a+96|0;m=q;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));f[s>>2]=r;t=a+104|0;f[a+100>>2]=t;f[t>>2]=0;f[a+108>>2]=0;v=a+120|0;f[v>>2]=0;w=a+124|0;f[w>>2]=0;if(EJ(c)|0){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;x=cuc(16)|0;f[h>>2]=x;f[h+8>>2]=-2147483632;f[h+4>>2]=13;m=x;y=371751;n=m+13|0;do{b[m>>0]=b[y>>0]|0;m=m+1|0;y=y+1|0}while((m|0)<(n|0));b[x+13>>0]=0;WD(-215,h,371765,373062,254)}x=pJ(c,-1)|0;y=(x>>>3&511)+1|0;f[a+116>>2]=y;z=x&7;x=a+112|0;f[x>>2]=z;if((y|0)!=4)zN(y,79928);if((e|0)!=4)zN(e,79956);if(z|0)wN(z,79984);z=c+4|0;e=d+4|0;if((f[z>>2]|0)!=(f[e>>2]|0)){do if((qJ(c)|0)==65536){y=f[z>>2]|0;f[h>>2]=f[y>>2];A=h+4|0;B=y+4|0;f[A>>2]=f[B>>2];C=h+8|0;f[C>>2]=f[y+8>>2];f[h+12>>2]=f[y+12>>2];f[h+16>>2]=f[y+16>>2];f[h+20>>2]=f[y+20>>2];f[h+24>>2]=f[y+24>>2];f[h+28>>2]=f[y+28>>2];f[h+32>>2]=f[y+32>>2];D=f[y+36>>2]|0;f[h+36>>2]=D;f[h+40>>2]=C;C=h+48|0;E=h+44|0;f[E>>2]=C;f[C>>2]=0;f[h+52>>2]=0;if(D|0){C=D+12|0;f[C>>2]=(f[C>>2]|0)+1}if((f[B>>2]|0)<3){B=f[y+44>>2]|0;C=f[E>>2]|0;f[C>>2]=f[B>>2];f[C+4>>2]=f[B+4>>2];break}else{f[A>>2]=0;$T(h,y);break}}else nJ(h,c,-1);while(0);if((a|0)==(h|0)){z=h+36|0;y=f[z>>2]|0;if((y|0)!=0?(A=y+12|0,y=f[A>>2]|0,f[A>>2]=y+-1,(y|0)==1):0){aU(h);F=z}else F=z}else{z=a+36|0;y=f[z>>2]|0;if(y|0?(A=y+12|0,y=f[A>>2]|0,f[A>>2]=y+-1,(y|0)==1):0)aU(a);f[z>>2]=0;y=a+16|0;f[y>>2]=0;f[y+4>>2]=0;f[y+8>>2]=0;f[y+12>>2]=0;if((f[j>>2]|0)>0){A=f[l>>2]|0;B=0;do{f[A+(B<<2)>>2]=0;B=B+1|0}while((B|0)<(f[j>>2]|0))}f[a>>2]=f[h>>2];B=h+4|0;A=f[B>>2]|0;f[j>>2]=A;j=h+8|0;f[k>>2]=f[j>>2];f[a+12>>2]=f[h+12>>2];f[y>>2]=f[h+16>>2];f[a+20>>2]=f[h+20>>2];f[a+24>>2]=f[h+24>>2];f[a+28>>2]=f[h+28>>2];f[a+32>>2]=f[h+32>>2];y=h+36|0;f[z>>2]=f[y>>2];z=a+44|0;C=f[z>>2]|0;if((C|0)==(o|0))G=A;else{TC(C);f[z>>2]=o;f[l>>2]=k;G=f[B>>2]|0}k=h+44|0;if((G|0)<3){G=f[k>>2]|0;f[o>>2]=f[G>>2];f[a+52>>2]=f[G+4>>2]}else{f[z>>2]=f[k>>2];z=h+40|0;f[a+40>>2]=f[z>>2];f[k>>2]=h+48;f[z>>2]=j}f[h>>2]=1124007936;m=B;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));F=y}f[F>>2]=0;F=h+16|0;y=h+4|0;f[F>>2]=0;f[F+4>>2]=0;f[F+8>>2]=0;f[F+12>>2]=0;if((f[y>>2]|0)>0){F=f[h+40>>2]|0;B=0;do{f[F+(B<<2)>>2]=0;B=B+1|0}while((B|0)<(f[y>>2]|0))}y=f[h+44>>2]|0;if((y|0)!=(h+48|0))TC(y)}else{y=h+8|0;f[y>>2]=0;f[y+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=a;GJ(c,h)}c=f[l>>2]|0;l=f[c+4>>2]|0;y=f[c>>2]|0;f[v>>2]=l;f[w>>2]=y;f[i>>2]=l;f[i+4>>2]=y;IJ(d,i,f[x>>2]&7|24,-1,0,0);do if((qJ(d)|0)==65536){x=f[e>>2]|0;f[h>>2]=f[x>>2];i=h+4|0;y=x+4|0;f[i>>2]=f[y>>2];l=h+8|0;f[l>>2]=f[x+8>>2];f[h+12>>2]=f[x+12>>2];f[h+16>>2]=f[x+16>>2];f[h+20>>2]=f[x+20>>2];f[h+24>>2]=f[x+24>>2];f[h+28>>2]=f[x+28>>2];f[h+32>>2]=f[x+32>>2];w=f[x+36>>2]|0;f[h+36>>2]=w;f[h+40>>2]=l;l=h+48|0;v=h+44|0;f[v>>2]=l;f[l>>2]=0;f[h+52>>2]=0;if(w|0){l=w+12|0;f[l>>2]=(f[l>>2]|0)+1}if((f[y>>2]|0)<3){y=f[x+44>>2]|0;l=f[v>>2]|0;f[l>>2]=f[y>>2];f[l+4>>2]=f[y+4>>2];break}else{f[i>>2]=0;$T(h,x);break}}else nJ(h,d,-1);while(0);if((p|0)==(h|0)){d=h+36|0;e=f[d>>2]|0;if((e|0)!=0?(x=e+12|0,e=f[x>>2]|0,f[x>>2]=e+-1,(e|0)==1):0){aU(h);H=d}else H=d}else{d=a+92|0;e=f[d>>2]|0;if(e|0?(x=e+12|0,e=f[x>>2]|0,f[x>>2]=e+-1,(e|0)==1):0)aU(p);f[d>>2]=0;e=a+72|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((f[q>>2]|0)>0){x=f[s>>2]|0;i=0;do{f[x+(i<<2)>>2]=0;i=i+1|0}while((i|0)<(f[q>>2]|0))}f[p>>2]=f[h>>2];p=h+4|0;i=f[p>>2]|0;f[q>>2]=i;q=h+8|0;f[r>>2]=f[q>>2];f[a+68>>2]=f[h+12>>2];f[e>>2]=f[h+16>>2];f[a+76>>2]=f[h+20>>2];f[a+80>>2]=f[h+24>>2];f[a+84>>2]=f[h+28>>2];f[a+88>>2]=f[h+32>>2];e=h+36|0;f[d>>2]=f[e>>2];d=a+100|0;x=f[d>>2]|0;if((x|0)==(t|0))I=i;else{TC(x);f[d>>2]=t;f[s>>2]=r;I=f[p>>2]|0}r=h+44|0;if((I|0)<3){I=f[r>>2]|0;f[t>>2]=f[I>>2];f[a+108>>2]=f[I+4>>2]}else{f[d>>2]=f[r>>2];d=h+40|0;f[a+96>>2]=f[d>>2];f[r>>2]=h+48;f[d>>2]=q}f[h>>2]=1124007936;m=p;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));H=e}f[H>>2]=0;H=h+16|0;e=h+4|0;f[H>>2]=0;f[H+4>>2]=0;f[H+8>>2]=0;f[H+12>>2]=0;if((f[e>>2]|0)>0){H=f[h+40>>2]|0;m=0;do{f[H+(m<<2)>>2]=0;m=m+1|0}while((m|0)<(f[e>>2]|0))}e=f[h+44>>2]|0;if((e|0)==(h+48|0)){u=g;return}TC(e);u=g;return}function upa(a){a=a|0;var b=0,c=0,d=0,e=0;b=a+56|0;c=a+92|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+72|0;b=a+60|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+96>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+100>>2]|0;if((b|0)!=(a+104|0))TC(b);b=a+36|0;d=f[b>>2]|0;if(d|0?(c=d+12|0,d=f[c>>2]|0,f[c>>2]=d+-1,(d|0)==1):0)aU(a);f[b>>2]=0;b=a+16|0;d=a+4|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;if((f[d>>2]|0)>0){b=f[a+40>>2]|0;c=0;do{f[b+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[d>>2]|0))}d=f[a+44>>2]|0;if((d|0)==(a+48|0))return;TC(d);return}function vpa(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+128|0;d=c;tpa(d,a,b,4);Woa(f[d+16>>2]|0,f[d+48>>2]|0,f[d+72>>2]|0,f[d+104>>2]|0,f[d+12>>2]|0,f[d+8>>2]|0);upa(d);u=c;return}function wpa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0;d=u;u=u+4256|0;e=d+4240|0;g=d+4184|0;i=d+4128|0;j=d+4112|0;k=d+2064|0;l=d+12|0;m=d;gV(e,80012);do if((qJ(a)|0)==65536){n=f[a+4>>2]|0;f[g>>2]=f[n>>2];o=g+4|0;p=n+4|0;f[o>>2]=f[p>>2];q=g+8|0;f[q>>2]=f[n+8>>2];f[g+12>>2]=f[n+12>>2];f[g+16>>2]=f[n+16>>2];f[g+20>>2]=f[n+20>>2];f[g+24>>2]=f[n+24>>2];f[g+28>>2]=f[n+28>>2];f[g+32>>2]=f[n+32>>2];r=f[n+36>>2]|0;f[g+36>>2]=r;f[g+40>>2]=q;q=g+48|0;s=g+44|0;f[s>>2]=q;f[q>>2]=0;f[g+52>>2]=0;if(r|0){q=r+12|0;f[q>>2]=(f[q>>2]|0)+1}if((f[p>>2]|0)<3){p=f[n+44>>2]|0;q=f[s>>2]|0;f[q>>2]=f[p>>2];f[q+4>>2]=f[p+4>>2];break}else{f[o>>2]=0;$T(g,n);break}}else nJ(g,a,-1);while(0);do if((qJ(c)|0)==65536){a=f[c+4>>2]|0;f[i>>2]=f[a>>2];n=i+4|0;o=a+4|0;f[n>>2]=f[o>>2];p=i+8|0;f[p>>2]=f[a+8>>2];f[i+12>>2]=f[a+12>>2];f[i+16>>2]=f[a+16>>2];f[i+20>>2]=f[a+20>>2];f[i+24>>2]=f[a+24>>2];f[i+28>>2]=f[a+28>>2];f[i+32>>2]=f[a+32>>2];q=f[a+36>>2]|0;f[i+36>>2]=q;f[i+40>>2]=p;p=i+48|0;s=i+44|0;f[s>>2]=p;f[p>>2]=0;f[i+52>>2]=0;if(q|0){p=q+12|0;f[p>>2]=(f[p>>2]|0)+1}if((f[o>>2]|0)<3){o=f[a+44>>2]|0;p=f[s>>2]|0;f[p>>2]=f[o>>2];f[p+4>>2]=f[o+4>>2];break}else{f[n>>2]=0;$T(i,a);break}}else nJ(i,c,-1);while(0);c=g+40|0;a=f[c>>2]|0;n=f[a+4>>2]|0;o=f[a>>2]|0;f[j>>2]=0;a=j+4|0;f[a>>2]=0;f[j+8>>2]=0;kzc(k|0,0,2048)|0;if((f[g>>2]&4095|0)!=16){f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;t=cuc(48)|0;f[m>>2]=t;v=m+8|0;f[v>>2]=-2147483600;w=m+4|0;f[w>>2]=47;x=t;y=354477;z=x+47|0;do{b[x>>0]=b[y>>0]|0;x=x+1|0;y=y+1|0}while((x|0)<(z|0));A=t+47|0;b[A>>0]=0;WD(-215,m,354525,354535,161)}if((f[i>>2]&4095|0)!=4){f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;t=cuc(48)|0;f[m>>2]=t;v=m+8|0;f[v>>2]=-2147483600;w=m+4|0;f[w>>2]=47;x=t;y=354477;z=x+47|0;do{b[x>>0]=b[y>>0]|0;x=x+1|0;y=y+1|0}while((x|0)<(z|0));A=t+47|0;b[A>>0]=0;WD(-215,m,354525,354535,161)}A=i+40|0;t=f[A>>2]|0;if(!((o|0)==(f[t>>2]|0)?(n|0)==(f[t+4>>2]|0):0)){f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;t=cuc(32)|0;f[m>>2]=t;f[m+8>>2]=-2147483616;f[m+4>>2]=24;x=t;y=368060;z=x+24|0;do{b[x>>0]=b[y>>0]|0;x=x+1|0;y=y+1|0}while((x|0)<(z|0));b[t+24>>0]=0;WD(-215,m,354525,354535,162)}m=g+16|0;t=f[m>>2]|0;y=g+48|0;x=f[y>>2]|0;z=i+16|0;w=f[z>>2]|0;v=i+48|0;p=f[v>>2]|0;kzc(l|0,0,1024)|0;s=g+44|0;q=i+44|0;r=p>>>2;p=256;do{f[l+(p<<2)>>2]=p+-256;p=p+1|0}while((p|0)!=513);p=o+-1|0;if((n|0)>0){o=Y(r,p)|0;B=0;do{f[w+(B+o<<2)>>2]=-1;f[w+(B<<2)>>2]=-1;B=B+1|0}while((B|0)!=(n|0))}if((p|0)>1){B=n+-1|0;n=(B|0)>1;o=0-r|0;C=0-x|0;D=0;E=w;w=t;t=1;F=0;G=0;H=0;I=0;J=0;K=0;while(1){w=w+x|0;E=E+(r<<2)|0;f[E+(B<<2)>>2]=-1;f[E>>2]=-1;if(n){L=Y(t,r)|0;M=Y(t,x)|0;N=D;O=1;P=K;Q=F;R=G;S=H;T=I;U=J;while(1){V=E+(O<<2)|0;W=f[V>>2]|0;if((W|0)>=0)if(!W)X=33;else{Z=N;_=Q;$=R;aa=S;ba=T;ca=U;da=P}else{f[V>>2]=0;X=33}do if((X|0)==33){X=0;if((f[V+-4>>2]|0)>0){W=O*3|0;ea=w+W|0;fa=ea+-3|0;ga=(h[ea>>0]|0)-(h[fa>>0]|0)|0;ha=(h[ea+1>>0]|0)-(h[fa+1>>0]|0)|0;ia=(ha|0)>-1?ha:0-ha|0;ha=(h[ea+2>>0]|0)-(h[fa+2>>0]|0)|0;fa=(ha|0)>-1?ha:0-ha|0;ja=fa+(f[l+((f[l+(((ga|0)>-1?ga:0-ga|0)+256-ia<<2)>>2]|0)+256+ia-fa<<2)>>2]|0)|0;ka=f[V+4>>2]|0;la=ea;ma=W}else{W=f[V+4>>2]|0;if(((W|0)<=0?(f[V+(o<<2)>>2]|0)<=0:0)?(f[V+(r<<2)>>2]|0)<=0:0){Z=N;_=Q;$=R;aa=S;ba=T;ca=U;da=P;break}ea=O*3|0;ja=256;ka=W;la=w+ea|0;ma=ea}if((ka|0)>0){ea=(h[la>>0]|0)-(h[la+3>>0]|0)|0;W=(h[la+1>>0]|0)-(h[la+4>>0]|0)|0;fa=(W|0)>-1?W:0-W|0;W=(h[la+2>>0]|0)-(h[la+5>>0]|0)|0;ia=(W|0)>-1?W:0-W|0;na=ja-(f[l+(ja+256-(f[l+((f[l+(((ea|0)>-1?ea:0-ea|0)+256-fa<<2)>>2]|0)+256+fa-ia<<2)>>2]|0)-ia<<2)>>2]|0)|0}else na=ja;if((f[V+(o<<2)>>2]|0)>0){ia=la+C|0;fa=(h[la>>0]|0)-(h[ia>>0]|0)|0;ea=(h[la+1>>0]|0)-(h[ia+1>>0]|0)|0;W=(ea|0)>-1?ea:0-ea|0;ea=(h[la+2>>0]|0)-(h[ia+2>>0]|0)|0;ia=(ea|0)>-1?ea:0-ea|0;oa=na-(f[l+(na+256-(f[l+((f[l+(((fa|0)>-1?fa:0-fa|0)+256-W<<2)>>2]|0)+256+W-ia<<2)>>2]|0)-ia<<2)>>2]|0)|0}else oa=na;if((f[V+(r<<2)>>2]|0)>0){ia=la+x|0;W=(h[la>>0]|0)-(h[ia>>0]|0)|0;fa=(h[la+1>>0]|0)-(h[ia+1>>0]|0)|0;ea=(fa|0)>-1?fa:0-fa|0;fa=(h[la+2>>0]|0)-(h[ia+2>>0]|0)|0;ia=(fa|0)>-1?fa:0-fa|0;pa=oa-(f[l+(oa+256-(f[l+((f[l+(((W|0)>-1?W:0-W|0)+256-ea<<2)>>2]|0)+256+ea-ia<<2)>>2]|0)-ia<<2)>>2]|0)|0}else pa=oa;if(!N){ia=f[a>>2]|0;ea=ia-P|0;W=(ea|0)/12|0;fa=W*3|0;ga=(fa|0)>257?(fa|0)/2|0:128;fa=P;ha=ia;do if(ga>>>0>W>>>0){xpa(j,ga-W|0);X=51}else{if(ga>>>0>=W>>>0){X=51;break}ia=fa+(ga*12|0)|0;if((ha|0)==(ia|0)){qa=W;ra=U;break}f[a>>2]=ha+(~(((ha+-12-ia|0)>>>0)/12|0)*12|0);qa=W;ra=U}while(0);do if((X|0)==51){X=0;ha=f[j>>2]|0;if(ea|0){qa=W;ra=ha;break}f[ha>>2]=0;qa=1;ra=ha}while(0);W=ga+-1|0;if((qa|0)<(W|0)){ea=qa;do{ha=ea;ea=ea+1|0;f[ra+(ha*12|0)>>2]=ea}while((ea|0)!=(W|0))}f[ra+(W*12|0)>>2]=0;sa=qa;ta=ra}else{sa=N;ta=U}ea=ta+(sa*12|0)|0;ga=f[ea>>2]|0;f[ea>>2]=0;f[ta+(sa*12|0)+4>>2]=O+L;f[ta+(sa*12|0)+8>>2]=ma+M;ea=k+(pa<<3)+4|0;ha=f[ea>>2]|0;fa=f[j>>2]|0;f[((ha|0)==0?k+(pa<<3)|0:fa+(ha*12|0)|0)>>2]=sa;f[ea>>2]=sa;f[V>>2]=-2;ea=fa;Z=ga;_=ea;$=ea;aa=ea;ba=ea;ca=fa;da=ea}while(0);O=O+1|0;if((O|0)>=(B|0)){ua=Z;va=_;wa=$;xa=aa;ya=ba;za=ca;Aa=da;break}else{N=Z;P=da;Q=_;R=$;S=aa;T=ba;U=ca}}}else{ua=D;va=F;wa=G;xa=H;ya=I;za=J;Aa=K}t=t+1|0;if((t|0)>=(p|0)){Ba=ua;Ca=va;Da=wa;Ea=xa;Fa=ya;Ga=za;break}else{D=ua;F=va;G=wa;H=xa;I=ya;J=za;K=Aa}}}else{Ba=0;Ca=0;Da=0;Ea=0;Fa=0;Ga=0}Aa=0;while(1){if(f[k+(Aa<<3)>>2]|0){Ha=Aa;X=62;break}Aa=Aa+1|0;if((Aa|0)>=256){X=61;break}}if((X|0)==61)if((Aa|0)==256)Ia=Ga;else{Ha=Aa;X=62}a:do if((X|0)==62){Aa=f[m>>2]|0;K=f[z>>2]|0;za=0-r|0;J=0-x|0;ya=Ha;I=Ba;xa=Ca;H=Da;wa=Ea;G=Fa;va=Ga;while(1){F=ya;ua=I;while(1){D=f[k+(F<<3)>>2]|0;b:do if(!D){p=F;while(1){Ja=p+1|0;if((Ja|0)>=256)break;t=f[k+(Ja<<3)>>2]|0;if(!t)p=Ja;else{Ka=Ja;La=t;break b}}if((Ja|0)==256){Ia=va;break a}Ka=Ja;La=f[k+(Ja<<3)>>2]|0}else{Ka=F;La=D}while(0);D=va+(La*12|0)|0;W=f[D>>2]|0;f[k+(Ka<<3)>>2]=W;if(!W)f[k+(Ka<<3)+4>>2]=0;f[D>>2]=ua;Ma=f[va+(La*12|0)+4>>2]|0;Na=f[va+(La*12|0)+8>>2]|0;Oa=K+(Ma<<2)|0;Pa=Oa+-4|0;Qa=f[Pa>>2]|0;D=(Qa|0)>0?Qa:0;Ra=Oa+4|0;Sa=f[Ra>>2]|0;if((Sa|0)>0)Ta=(Qa|0)<1?Sa:(Sa|0)==(D|0)?D:-1;else Ta=D;Ua=Oa+(za<<2)|0;D=f[Ua>>2]|0;if((D|0)>0)Va=(Ta|0)==0?D:(D|0)==(Ta|0)?Ta:-1;else Va=Ta;Wa=Oa+(r<<2)|0;Xa=f[Wa>>2]|0;if((Xa|0)>0)if(!Va){X=77;break}else Ya=(Xa|0)==(Va|0)?Va:-1;else Ya=Va;f[Oa>>2]=Ya;if((Ya|0)==-1){F=Ka;ua=La}else break}if((X|0)==77){X=0;f[Oa>>2]=Xa}ua=Aa+Na|0;if(!Qa){F=ua+-3|0;D=(h[ua>>0]|0)-(h[F>>0]|0)|0;W=(h[ua+1>>0]|0)-(h[F+1>>0]|0)|0;p=(W|0)>-1?W:0-W|0;W=(h[ua+2>>0]|0)-(h[F+2>>0]|0)|0;F=(W|0)>-1?W:0-W|0;W=F+(f[l+((f[l+(((D|0)>-1?D:0-D|0)+256-p<<2)>>2]|0)+256+p-F<<2)>>2]|0)|0;if(!La){F=f[a>>2]|0;p=F-G|0;D=(p|0)/12|0;t=D*3|0;ca=(t|0)>257?(t|0)/2|0:128;t=G;ba=F;if(ca>>>0<=D>>>0)if(ca>>>0<D>>>0){F=t+(ca*12|0)|0;if((ba|0)==(F|0)){Za=D;_a=va}else{f[a>>2]=ba+(~(((ba+-12-F|0)>>>0)/12|0)*12|0);Za=D;_a=va}}else X=86;else{xpa(j,ca-D|0);X=86}if((X|0)==86){X=0;F=f[j>>2]|0;if(!p){f[F>>2]=0;Za=1;_a=F}else{Za=D;_a=F}}F=ca+-1|0;if((Za|0)<(F|0)){ca=Za;do{D=ca;ca=ca+1|0;f[_a+(D*12|0)>>2]=ca}while((ca|0)!=(F|0))}f[_a+(F*12|0)>>2]=0;$a=Za;ab=_a}else{$a=La;ab=va}ca=ab+($a*12|0)|0;D=f[ca>>2]|0;f[ca>>2]=0;f[ab+($a*12|0)+4>>2]=Ma+-1;f[ab+($a*12|0)+8>>2]=Na+-3;ca=k+(W<<3)+4|0;p=f[ca>>2]|0;ba=f[j>>2]|0;f[((p|0)==0?k+(W<<3)|0:ba+(p*12|0)|0)>>2]=$a;f[ca>>2]=$a;ca=Ka-(f[l+(Ka+256-W<<2)>>2]|0)|0;f[Pa>>2]=-2;p=ba;bb=ca;cb=D;db=f[Ra>>2]|0;eb=p;fb=p;gb=p;hb=p;ib=ba}else{bb=Ka;cb=La;db=Sa;eb=wa;fb=xa;gb=H;hb=G;ib=va}if(!db){ba=ua+3|0;p=(h[ua>>0]|0)-(h[ba>>0]|0)|0;D=(h[ua+1>>0]|0)-(h[ba+1>>0]|0)|0;ca=(D|0)>-1?D:0-D|0;D=(h[ua+2>>0]|0)-(h[ba+2>>0]|0)|0;ba=(D|0)>-1?D:0-D|0;D=ba+(f[l+((f[l+(((p|0)>-1?p:0-p|0)+256-ca<<2)>>2]|0)+256+ca-ba<<2)>>2]|0)|0;if(!cb){ba=f[a>>2]|0;ca=ba-eb|0;p=(ca|0)/12|0;t=p*3|0;aa=(t|0)>257?(t|0)/2|0:128;t=eb;$=ba;if(aa>>>0<=p>>>0)if(aa>>>0<p>>>0){ba=t+(aa*12|0)|0;if(($|0)==(ba|0)){jb=p;kb=ib}else{f[a>>2]=$+(~((($+-12-ba|0)>>>0)/12|0)*12|0);jb=p;kb=ib}}else X=99;else{xpa(j,aa-p|0);X=99}if((X|0)==99){X=0;ba=f[j>>2]|0;if(!ca){f[ba>>2]=0;jb=1;kb=ba}else{jb=p;kb=ba}}ba=aa+-1|0;if((jb|0)<(ba|0)){aa=jb;do{p=aa;aa=aa+1|0;f[kb+(p*12|0)>>2]=aa}while((aa|0)!=(ba|0))}f[kb+(ba*12|0)>>2]=0;lb=jb;mb=kb}else{lb=cb;mb=ib}aa=mb+(lb*12|0)|0;W=f[aa>>2]|0;f[aa>>2]=0;f[mb+(lb*12|0)+4>>2]=Ma+1;f[mb+(lb*12|0)+8>>2]=Na+3;aa=k+(D<<3)+4|0;F=f[aa>>2]|0;p=f[j>>2]|0;f[((F|0)==0?k+(D<<3)|0:p+(F*12|0)|0)>>2]=lb;f[aa>>2]=lb;aa=bb-(f[l+(bb+256-D<<2)>>2]|0)|0;f[Ra>>2]=-2;F=p;nb=aa;ob=W;pb=F;qb=F;rb=F;sb=F;tb=p}else{nb=bb;ob=cb;pb=gb;qb=fb;rb=eb;sb=hb;tb=ib}if(!(f[Ua>>2]|0)){p=ua+J|0;F=(h[ua>>0]|0)-(h[p>>0]|0)|0;W=(h[ua+1>>0]|0)-(h[p+1>>0]|0)|0;aa=(W|0)>-1?W:0-W|0;W=(h[ua+2>>0]|0)-(h[p+2>>0]|0)|0;p=(W|0)>-1?W:0-W|0;W=p+(f[l+((f[l+(((F|0)>-1?F:0-F|0)+256-aa<<2)>>2]|0)+256+aa-p<<2)>>2]|0)|0;if(!ob){p=f[a>>2]|0;aa=p-pb|0;F=(aa|0)/12|0;ca=F*3|0;$=(ca|0)>257?(ca|0)/2|0:128;ca=pb;t=p;if($>>>0<=F>>>0)if($>>>0<F>>>0){p=ca+($*12|0)|0;if((t|0)==(p|0)){ub=F;vb=tb}else{f[a>>2]=t+(~(((t+-12-p|0)>>>0)/12|0)*12|0);ub=F;vb=tb}}else X=112;else{xpa(j,$-F|0);X=112}if((X|0)==112){X=0;p=f[j>>2]|0;if(!aa){f[p>>2]=0;ub=1;vb=p}else{ub=F;vb=p}}p=$+-1|0;if((ub|0)<(p|0)){$=ub;do{F=$;$=$+1|0;f[vb+(F*12|0)>>2]=$}while(($|0)!=(p|0))}f[vb+(p*12|0)>>2]=0;wb=ub;xb=vb}else{wb=ob;xb=tb}$=xb+(wb*12|0)|0;D=f[$>>2]|0;f[$>>2]=0;f[xb+(wb*12|0)+4>>2]=Ma-r;f[xb+(wb*12|0)+8>>2]=Na-x;$=k+(W<<3)+4|0;ba=f[$>>2]|0;F=f[j>>2]|0;f[((ba|0)==0?k+(W<<3)|0:F+(ba*12|0)|0)>>2]=wb;f[$>>2]=wb;$=nb-(f[l+(nb+256-W<<2)>>2]|0)|0;f[Ua>>2]=-2;ba=F;yb=D;zb=$;Ab=ba;Bb=ba;Cb=ba;Db=ba;Eb=F}else{yb=ob;zb=nb;Ab=qb;Bb=pb;Cb=rb;Db=sb;Eb=tb}if(f[Wa>>2]|0){ya=zb;I=yb;xa=Ab;H=Bb;wa=Cb;G=Db;va=Eb;continue}F=ua+x|0;ba=(h[ua>>0]|0)-(h[F>>0]|0)|0;$=(h[ua+1>>0]|0)-(h[F+1>>0]|0)|0;D=($|0)>-1?$:0-$|0;$=(h[ua+2>>0]|0)-(h[F+2>>0]|0)|0;F=($|0)>-1?$:0-$|0;$=F+(f[l+((f[l+(((ba|0)>-1?ba:0-ba|0)+256-D<<2)>>2]|0)+256+D-F<<2)>>2]|0)|0;if(!yb){F=f[a>>2]|0;D=F-Ab|0;ba=(D|0)/12|0;aa=ba*3|0;t=(aa|0)>257?(aa|0)/2|0:128;aa=Ab;ca=F;if(t>>>0<=ba>>>0)if(t>>>0<ba>>>0){F=aa+(t*12|0)|0;if((ca|0)==(F|0)){Fb=ba;Gb=Eb}else{f[a>>2]=ca+(~(((ca+-12-F|0)>>>0)/12|0)*12|0);Fb=ba;Gb=Eb}}else X=125;else{xpa(j,t-ba|0);X=125}if((X|0)==125){X=0;F=f[j>>2]|0;if(!D){f[F>>2]=0;Fb=1;Gb=F}else{Fb=ba;Gb=F}}F=t+-1|0;if((Fb|0)<(F|0)){t=Fb;do{ba=t;t=t+1|0;f[Gb+(ba*12|0)>>2]=t}while((t|0)!=(F|0))}f[Gb+(F*12|0)>>2]=0;Hb=Fb;Ib=Gb}else{Hb=yb;Ib=Eb}t=Ib+(Hb*12|0)|0;ua=f[t>>2]|0;f[t>>2]=0;f[Ib+(Hb*12|0)+4>>2]=Ma+r;f[Ib+(Hb*12|0)+8>>2]=Na+x;t=k+($<<3)+4|0;W=f[t>>2]|0;p=f[j>>2]|0;f[((W|0)==0?k+($<<3)|0:p+(W*12|0)|0)>>2]=Hb;f[t>>2]=Hb;t=zb-(f[l+(zb+256-$<<2)>>2]|0)|0;f[Wa>>2]=-2;W=p;ya=t;I=ua;xa=W;H=W;wa=W;G=W;va=p}}while(0);if(Ia|0){Wa=f[a>>2]|0;if((Wa|0)!=(Ia|0))f[a>>2]=Wa+(~(((Wa+-12-Ia|0)>>>0)/12|0)*12|0);fuc(Ia)}Ia=i+36|0;Wa=f[Ia>>2]|0;if(Wa|0?(a=Wa+12|0,Wa=f[a>>2]|0,f[a>>2]=Wa+-1,(Wa|0)==1):0)aU(i);f[Ia>>2]=0;Ia=i+4|0;f[z>>2]=0;f[z+4>>2]=0;f[z+8>>2]=0;f[z+12>>2]=0;if((f[Ia>>2]|0)>0){z=f[A>>2]|0;A=0;do{f[z+(A<<2)>>2]=0;A=A+1|0}while((A|0)<(f[Ia>>2]|0))}Ia=f[q>>2]|0;if((Ia|0)!=(v|0))TC(Ia);Ia=g+36|0;v=f[Ia>>2]|0;if(v|0?(q=v+12|0,v=f[q>>2]|0,f[q>>2]=v+-1,(v|0)==1):0)aU(g);f[Ia>>2]=0;Ia=g+4|0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;if((f[Ia>>2]|0)>0){m=f[c>>2]|0;c=0;do{f[m+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[Ia>>2]|0))}Ia=f[s>>2]|0;if((Ia|0)!=(y|0))TC(Ia);if(!(f[e+4>>2]|0)){u=d;return}u=d;return}function xpa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(((d-g|0)/12|0)>>>0>=b>>>0){h=b;i=g;do{f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;i=(f[e>>2]|0)+12|0;f[e>>2]=i;h=h+-1|0}while((h|0)!=0);return}h=f[a>>2]|0;i=(g-h|0)/12|0;g=i+b|0;if(g>>>0>357913941)nsc(a);j=(d-h|0)/12|0;h=j<<1;d=j>>>0<178956970?(h>>>0<g>>>0?g:h):357913941;do if(d)if(d>>>0>357913941){h=ze(8)|0;kuc(h,519086);f[h>>2]=167148;Hf(h|0,26888,1888)}else{k=cuc(d*12|0)|0;break}else k=0;while(0);h=k+(i*12|0)|0;i=k+(d*12|0)|0;d=b;b=h;k=h;do{f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;b=k+12|0;k=b;d=d+-1|0}while((d|0)!=0);d=f[a>>2]|0;b=(f[e>>2]|0)-d|0;g=h+(((b|0)/-12|0)*12|0)|0;if((b|0)>0)szc(g|0,d|0,b|0)|0;f[a>>2]=g;f[e>>2]=k;f[c>>2]=i;if(!d)return;fuc(d);return}function ypa(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;h=u;u=u+16|0;i=h;j=h+4|0;k=(g|0)<0?(e|0)/2|0:g;if((c|1|0)!=1){g=cuc(48)|0;f[j>>2]=g;f[j+8>>2]=-2147483600;f[j+4>>2]=39;l=g;m=354661;n=l+39|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));b[g+39>>0]=0;WD(-215,j,354701,354724,852)}g=(d&7|0)==0;a:do if(!c){if(g){m=cuc(28)|0;f[m+4>>2]=0;f[m+8>>2]=0;f[m>>2]=80040;l=m+12|0;P2(l);o=m;p=80500;q=l;break}switch(d&7){case 2:{l=cuc(28)|0;f[l+4>>2]=0;f[l+8>>2]=0;f[l>>2]=80068;m=l+12|0;P2(m);o=l;p=80320;q=m;break a;break}case 3:{m=cuc(28)|0;f[m+4>>2]=0;f[m+8>>2]=0;f[m>>2]=80096;l=m+12|0;P2(l);o=m;p=80340;q=l;break a;break}case 5:{l=cuc(28)|0;f[l+4>>2]=0;f[l+8>>2]=0;f[l>>2]=80124;m=l+12|0;P2(m);o=l;p=80360;q=m;break a;break}case 6:{m=cuc(28)|0;f[m+4>>2]=0;f[m+8>>2]=0;f[m>>2]=80152;l=m+12|0;P2(l);o=m;p=80380;q=l;break a;break}default:{f[i>>2]=d;cE(j,354794,i);WD(-213,j,354701,354724,890)}}}else{if(g){l=cuc(28)|0;f[l+4>>2]=0;f[l+8>>2]=0;f[l>>2]=80180;m=l+12|0;P2(m);o=l;p=80400;q=m;break}switch(d&7){case 2:{m=cuc(28)|0;f[m+4>>2]=0;f[m+8>>2]=0;f[m>>2]=80208;l=m+12|0;P2(l);o=m;p=80420;q=l;break a;break}case 3:{l=cuc(28)|0;f[l+4>>2]=0;f[l+8>>2]=0;f[l>>2]=80236;m=l+12|0;P2(m);o=l;p=80440;q=m;break a;break}case 5:{m=cuc(28)|0;f[m+4>>2]=0;f[m+8>>2]=0;f[m>>2]=80264;l=m+12|0;P2(l);o=m;p=80460;q=l;break a;break}case 6:{l=cuc(28)|0;f[l+4>>2]=0;f[l+8>>2]=0;f[l>>2]=80292;m=l+12|0;P2(m);o=l;p=80480;q=m;break a;break}default:{f[i>>2]=d;cE(j,354794,i);WD(-213,j,354701,354724,890)}}}while(0);f[q>>2]=p;f[o+16>>2]=e;f[o+20>>2]=k;f[a>>2]=q;f[a+4>>2]=o;u=h;return}function zpa(a){a=a|0;fuc(a);return}function Apa(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;i=Y(f[a+4>>2]|0,g)|0;a=Y(g,e)|0;if((i|0)==(g|0)){if((a|0)>0)j=0;else return;do{b[d+j>>0]=b[c+j>>0]|0;j=j+1|0}while((j|0)!=(a|0));return}if((g|0)<=0)return;j=g<<1;e=a-j|0;k=(e|0)<0;l=(i|0)>(g|0);m=(j|0)<(i|0);n=d;d=c;c=0;while(1){a:do if(k)o=0;else{if(m)p=0;else{q=0;while(1){r=d+q|0;s=h[r+g>>0]|0;t=s-(h[r>>0]|0)+256|0;if(t>>>0<769)u=h[270421+t>>0]|0;else u=0;b[n+q>>0]=s-u;t=s-(h[r+j>>0]|0)+256|0;if(t>>>0<769)v=h[270421+t>>0]|0;else v=0;b[n+(q+g)>>0]=s-v;s=q+j|0;if((s|0)>(e|0)){o=s;break a}else q=s}}while(1){q=d+p|0;s=b[q+g>>0]|0;t=j;while(1){r=s&255;w=r-(h[q+t>>0]|0)+256|0;if(w>>>0<769)x=h[270421+w>>0]|0;else x=0;y=r-x|0;t=t+g|0;if((t|0)>=(i|0))break;else s=y&255}s=y&255;r=s-(h[q>>0]|0)+256|0;if(r>>>0<769)z=h[270421+r>>0]|0;else z=0;b[n+p>>0]=y-z;r=s-(h[q+t>>0]|0)+256|0;if(r>>>0<769)A=h[270421+r>>0]|0;else A=0;b[n+(p+g)>>0]=y-A;r=p+j|0;if((r|0)>(e|0)){o=r;break}else p=r}}while(0);b:do if((o|0)<(a|0)){if(l)B=o;else{r=o;while(1){b[n+r>>0]=b[d+r>>0]|0;r=r+g|0;if((r|0)>=(a|0))break b}}do{r=d+B|0;s=b[r>>0]|0;w=g;do{C=s&255;D=C-(h[r+w>>0]|0)+256|0;if(D>>>0<769)E=h[270421+D>>0]|0;else E=0;s=C-E&255;w=w+g|0}while((w|0)<(i|0));b[n+B>>0]=s;B=B+g|0}while((B|0)<(a|0))}while(0);c=c+1|0;if((c|0)==(g|0))break;else{n=n+1|0;d=d+1|0}}return}function Bpa(a){a=a|0;fuc(a);return}function Cpa(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0.0,s=0.0,t=0,u=0,v=0,w=0.0;g=Y(f[a+4>>2]|0,e)|0;a=Y(e,d)|0;if((g|0)==(e|0)){if((a|0)>0)h=0;else return;do{p[c+(h<<3)>>3]=+p[b+(h<<3)>>3];h=h+1|0}while((h|0)!=(a|0));return}if((e|0)<=0)return;h=e<<1;d=a-h|0;i=(d|0)<0;j=(g|0)>(e|0);k=(h|0)<(g|0);l=c;c=b;b=0;while(1){a:do if(i)m=0;else{if(k)n=0;else{o=0;while(1){q=c+(o<<3)|0;r=+p[q+(e<<3)>>3];s=+p[q>>3];p[l+(o<<3)>>3]=r<s?s:r;s=+p[q+(h<<3)>>3];p[l+(o+e<<3)>>3]=r<s?s:r;q=o+h|0;if((q|0)>(d|0)){m=q;break a}else o=q}}while(1){o=c+(n<<3)|0;r=+p[o+(e<<3)>>3];q=h;do{s=+p[o+(q<<3)>>3];r=r<s?s:r;q=q+e|0}while((q|0)<(g|0));s=+p[o>>3];p[l+(n<<3)>>3]=r<s?s:r;s=+p[o+(q<<3)>>3];p[l+(n+e<<3)>>3]=r<s?s:r;t=n+h|0;if((t|0)>(d|0)){m=t;break}else n=t}}while(0);b:do if((m|0)<(a|0)){if(j)u=m;else{t=m;while(1){p[l+(t<<3)>>3]=+p[c+(t<<3)>>3];t=t+e|0;if((t|0)>=(a|0))break b}}do{t=c+(u<<3)|0;s=+p[t>>3];v=e;do{w=+p[t+(v<<3)>>3];s=s<w?w:s;v=v+e|0}while((v|0)<(g|0));p[l+(u<<3)>>3]=s;u=u+e|0}while((u|0)<(a|0))}while(0);b=b+1|0;if((b|0)==(e|0))break;else{l=l+8|0;c=c+8|0}}return}function Dpa(a){a=a|0;fuc(a);return}function Epa(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0.0,s=0.0,t=0,u=0,v=0,w=0.0;g=Y(f[a+4>>2]|0,e)|0;a=Y(e,d)|0;if((g|0)==(e|0)){if((a|0)>0)h=0;else return;do{f[c+(h<<2)>>2]=f[b+(h<<2)>>2];h=h+1|0}while((h|0)!=(a|0));return}if((e|0)<=0)return;h=e<<1;d=a-h|0;i=(d|0)<0;j=(g|0)>(e|0);k=(h|0)<(g|0);l=c;c=b;b=0;while(1){a:do if(i)m=0;else{if(k)o=0;else{p=0;while(1){q=c+(p<<2)|0;r=+n[q+(e<<2)>>2];s=+n[q>>2];n[l+(p<<2)>>2]=r<s?s:r;s=+n[q+(h<<2)>>2];n[l+(p+e<<2)>>2]=r<s?s:r;q=p+h|0;if((q|0)>(d|0)){m=q;break a}else p=q}}while(1){p=c+(o<<2)|0;r=+n[p+(e<<2)>>2];q=h;do{s=+n[p+(q<<2)>>2];r=r<s?s:r;q=q+e|0}while((q|0)<(g|0));s=+n[p>>2];n[l+(o<<2)>>2]=r<s?s:r;s=+n[p+(q<<2)>>2];n[l+(o+e<<2)>>2]=r<s?s:r;t=o+h|0;if((t|0)>(d|0)){m=t;break}else o=t}}while(0);b:do if((m|0)<(a|0)){if(j)u=m;else{t=m;while(1){f[l+(t<<2)>>2]=f[c+(t<<2)>>2];t=t+e|0;if((t|0)>=(a|0))break b}}do{t=c+(u<<2)|0;s=+n[t>>2];v=e;do{w=+n[t+(v<<2)>>2];s=s<w?w:s;v=v+e|0}while((v|0)<(g|0));n[l+(u<<2)>>2]=s;u=u+e|0}while((u|0)<(a|0))}while(0);b=b+1|0;if((b|0)==(e|0))break;else{l=l+4|0;c=c+4|0}}return}function Fpa(a){a=a|0;fuc(a);return}function Gpa(a,b,c,e,g){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;h=Y(f[a+4>>2]|0,g)|0;a=Y(g,e)|0;if((h|0)==(g|0)){if((a|0)>0)i=0;else return;do{d[c+(i<<1)>>1]=d[b+(i<<1)>>1]|0;i=i+1|0}while((i|0)!=(a|0));return}if((g|0)<=0)return;i=g<<1;e=a-i|0;j=(e|0)<0;k=(h|0)>(g|0);l=(i|0)<(h|0);m=c;c=b;b=0;while(1){a:do if(j)n=0;else{if(l)o=0;else{p=0;while(1){q=c+(p<<1)|0;r=d[q+(g<<1)>>1]|0;s=d[q>>1]|0;d[m+(p<<1)>>1]=r<<16>>16<s<<16>>16?s:r;s=d[q+(i<<1)>>1]|0;d[m+(p+g<<1)>>1]=r<<16>>16<s<<16>>16?s:r;r=p+i|0;if((r|0)>(e|0)){n=r;break a}else p=r}}while(1){p=c+(o<<1)|0;r=d[p+(g<<1)>>1]|0;s=i;do{q=d[p+(s<<1)>>1]|0;r=r<<16>>16<q<<16>>16?q:r;s=s+g|0}while((s|0)<(h|0));q=d[p>>1]|0;d[m+(o<<1)>>1]=r<<16>>16<q<<16>>16?q:r;q=d[p+(s<<1)>>1]|0;d[m+(o+g<<1)>>1]=r<<16>>16<q<<16>>16?q:r;q=o+i|0;if((q|0)>(e|0)){n=q;break}else o=q}}while(0);b:do if((n|0)<(a|0)){if(k)t=n;else{q=n;while(1){d[m+(q<<1)>>1]=d[c+(q<<1)>>1]|0;q=q+g|0;if((q|0)>=(a|0))break b}}do{q=c+(t<<1)|0;u=d[q>>1]|0;v=g;do{w=d[q+(v<<1)>>1]|0;u=u<<16>>16<w<<16>>16?w:u;v=v+g|0}while((v|0)<(h|0));d[m+(t<<1)>>1]=u;t=t+g|0}while((t|0)<(a|0))}while(0);b=b+1|0;if((b|0)==(g|0))break;else{m=m+2|0;c=c+2|0}}return}function Hpa(a){a=a|0;fuc(a);return}function Ipa(a,b,c,e,g){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;h=Y(f[a+4>>2]|0,g)|0;a=Y(g,e)|0;if((h|0)==(g|0)){if((a|0)>0)i=0;else return;do{d[c+(i<<1)>>1]=d[b+(i<<1)>>1]|0;i=i+1|0}while((i|0)!=(a|0));return}if((g|0)<=0)return;i=g<<1;e=a-i|0;j=(e|0)<0;k=(h|0)>(g|0);l=(i|0)<(h|0);m=c;c=b;b=0;while(1){a:do if(j)n=0;else{if(l)o=0;else{p=0;while(1){q=c+(p<<1)|0;r=d[q+(g<<1)>>1]|0;s=d[q>>1]|0;d[m+(p<<1)>>1]=(r&65535)<(s&65535)?s:r;s=d[q+(i<<1)>>1]|0;d[m+(p+g<<1)>>1]=(r&65535)<(s&65535)?s:r;r=p+i|0;if((r|0)>(e|0)){n=r;break a}else p=r}}while(1){p=c+(o<<1)|0;r=d[p+(g<<1)>>1]|0;s=i;do{q=d[p+(s<<1)>>1]|0;r=(r&65535)<(q&65535)?q:r;s=s+g|0}while((s|0)<(h|0));q=d[p>>1]|0;d[m+(o<<1)>>1]=(r&65535)<(q&65535)?q:r;q=d[p+(s<<1)>>1]|0;d[m+(o+g<<1)>>1]=(r&65535)<(q&65535)?q:r;q=o+i|0;if((q|0)>(e|0)){n=q;break}else o=q}}while(0);b:do if((n|0)<(a|0)){if(k)t=n;else{q=n;while(1){d[m+(q<<1)>>1]=d[c+(q<<1)>>1]|0;q=q+g|0;if((q|0)>=(a|0))break b}}do{q=c+(t<<1)|0;u=d[q>>1]|0;v=g;do{w=d[q+(v<<1)>>1]|0;u=(u&65535)<(w&65535)?w:u;v=v+g|0}while((v|0)<(h|0));d[m+(t<<1)>>1]=u;t=t+g|0}while((t|0)<(a|0))}while(0);b=b+1|0;if((b|0)==(g|0))break;else{m=m+2|0;c=c+2|0}}return}function Jpa(a){a=a|0;fuc(a);return}function Kpa(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;i=Y(f[a+4>>2]|0,g)|0;a=Y(g,e)|0;if((i|0)==(g|0)){if((a|0)>0)j=0;else return;do{b[d+j>>0]=b[c+j>>0]|0;j=j+1|0}while((j|0)!=(a|0));return}if((g|0)<=0)return;j=g<<1;e=a-j|0;k=(e|0)<0;l=(i|0)>(g|0);m=(j|0)<(i|0);n=d;d=c;c=0;while(1){a:do if(k)o=0;else{if(m)p=0;else{q=0;while(1){r=d+q|0;s=h[r+g>>0]|0;t=(h[r>>0]|0)-s+256|0;if(t>>>0<769)u=h[270421+t>>0]|0;else u=0;b[n+q>>0]=u+s;t=(h[r+j>>0]|0)-s+256|0;if(t>>>0<769)v=h[270421+t>>0]|0;else v=0;b[n+(q+g)>>0]=v+s;s=q+j|0;if((s|0)>(e|0)){o=s;break a}else q=s}}while(1){q=d+p|0;s=b[q+g>>0]|0;t=j;while(1){r=s&255;w=(h[q+t>>0]|0)-r+256|0;if(w>>>0<769)x=h[270421+w>>0]|0;else x=0;y=x+r|0;t=t+g|0;if((t|0)>=(i|0))break;else s=y&255}s=y&255;r=(h[q>>0]|0)-s+256|0;if(r>>>0<769)z=h[270421+r>>0]|0;else z=0;b[n+p>>0]=z+y;r=(h[q+t>>0]|0)-s+256|0;if(r>>>0<769)A=h[270421+r>>0]|0;else A=0;b[n+(p+g)>>0]=A+y;r=p+j|0;if((r|0)>(e|0)){o=r;break}else p=r}}while(0);b:do if((o|0)<(a|0)){if(l)B=o;else{r=o;while(1){b[n+r>>0]=b[d+r>>0]|0;r=r+g|0;if((r|0)>=(a|0))break b}}do{r=d+B|0;s=b[r>>0]|0;w=g;do{C=s&255;D=(h[r+w>>0]|0)-C+256|0;if(D>>>0<769)E=h[270421+D>>0]|0;else E=0;s=E+C&255;w=w+g|0}while((w|0)<(i|0));b[n+B>>0]=s;B=B+g|0}while((B|0)<(a|0))}while(0);c=c+1|0;if((c|0)==(g|0))break;else{n=n+1|0;d=d+1|0}}return}function Lpa(a){a=a|0;fuc(a);return}function Mpa(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0.0,s=0.0,t=0,u=0,v=0,w=0.0;g=Y(f[a+4>>2]|0,e)|0;a=Y(e,d)|0;if((g|0)==(e|0)){if((a|0)>0)h=0;else return;do{p[c+(h<<3)>>3]=+p[b+(h<<3)>>3];h=h+1|0}while((h|0)!=(a|0));return}if((e|0)<=0)return;h=e<<1;d=a-h|0;i=(d|0)<0;j=(g|0)>(e|0);k=(h|0)<(g|0);l=c;c=b;b=0;while(1){a:do if(i)m=0;else{if(k)n=0;else{o=0;while(1){q=c+(o<<3)|0;r=+p[q+(e<<3)>>3];s=+p[q>>3];p[l+(o<<3)>>3]=s<r?s:r;s=+p[q+(h<<3)>>3];p[l+(o+e<<3)>>3]=s<r?s:r;q=o+h|0;if((q|0)>(d|0)){m=q;break a}else o=q}}while(1){o=c+(n<<3)|0;r=+p[o+(e<<3)>>3];q=h;do{s=+p[o+(q<<3)>>3];r=s<r?s:r;q=q+e|0}while((q|0)<(g|0));s=+p[o>>3];p[l+(n<<3)>>3]=s<r?s:r;s=+p[o+(q<<3)>>3];p[l+(n+e<<3)>>3]=s<r?s:r;t=n+h|0;if((t|0)>(d|0)){m=t;break}else n=t}}while(0);b:do if((m|0)<(a|0)){if(j)u=m;else{t=m;while(1){p[l+(t<<3)>>3]=+p[c+(t<<3)>>3];t=t+e|0;if((t|0)>=(a|0))break b}}do{t=c+(u<<3)|0;s=+p[t>>3];v=e;do{w=+p[t+(v<<3)>>3];s=w<s?w:s;v=v+e|0}while((v|0)<(g|0));p[l+(u<<3)>>3]=s;u=u+e|0}while((u|0)<(a|0))}while(0);b=b+1|0;if((b|0)==(e|0))break;else{l=l+8|0;c=c+8|0}}return}function Npa(a){a=a|0;fuc(a);return}function Opa(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0.0,s=0.0,t=0,u=0,v=0,w=0.0;g=Y(f[a+4>>2]|0,e)|0;a=Y(e,d)|0;if((g|0)==(e|0)){if((a|0)>0)h=0;else return;do{f[c+(h<<2)>>2]=f[b+(h<<2)>>2];h=h+1|0}while((h|0)!=(a|0));return}if((e|0)<=0)return;h=e<<1;d=a-h|0;i=(d|0)<0;j=(g|0)>(e|0);k=(h|0)<(g|0);l=c;c=b;b=0;while(1){a:do if(i)m=0;else{if(k)o=0;else{p=0;while(1){q=c+(p<<2)|0;r=+n[q+(e<<2)>>2];s=+n[q>>2];n[l+(p<<2)>>2]=s<r?s:r;s=+n[q+(h<<2)>>2];n[l+(p+e<<2)>>2]=s<r?s:r;q=p+h|0;if((q|0)>(d|0)){m=q;break a}else p=q}}while(1){p=c+(o<<2)|0;r=+n[p+(e<<2)>>2];q=h;do{s=+n[p+(q<<2)>>2];r=s<r?s:r;q=q+e|0}while((q|0)<(g|0));s=+n[p>>2];n[l+(o<<2)>>2]=s<r?s:r;s=+n[p+(q<<2)>>2];n[l+(o+e<<2)>>2]=s<r?s:r;t=o+h|0;if((t|0)>(d|0)){m=t;break}else o=t}}while(0);b:do if((m|0)<(a|0)){if(j)u=m;else{t=m;while(1){f[l+(t<<2)>>2]=f[c+(t<<2)>>2];t=t+e|0;if((t|0)>=(a|0))break b}}do{t=c+(u<<2)|0;s=+n[t>>2];v=e;do{w=+n[t+(v<<2)>>2];s=w<s?w:s;v=v+e|0}while((v|0)<(g|0));n[l+(u<<2)>>2]=s;u=u+e|0}while((u|0)<(a|0))}while(0);b=b+1|0;if((b|0)==(e|0))break;else{l=l+4|0;c=c+4|0}}return}function Ppa(a){a=a|0;fuc(a);return}function Qpa(a,b,c,e,g){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;h=Y(f[a+4>>2]|0,g)|0;a=Y(g,e)|0;if((h|0)==(g|0)){if((a|0)>0)i=0;else return;do{d[c+(i<<1)>>1]=d[b+(i<<1)>>1]|0;i=i+1|0}while((i|0)!=(a|0));return}if((g|0)<=0)return;i=g<<1;e=a-i|0;j=(e|0)<0;k=(h|0)>(g|0);l=(i|0)<(h|0);m=c;c=b;b=0;while(1){a:do if(j)n=0;else{if(l)o=0;else{p=0;while(1){q=c+(p<<1)|0;r=d[q+(g<<1)>>1]|0;s=d[q>>1]|0;d[m+(p<<1)>>1]=s<<16>>16<r<<16>>16?s:r;s=d[q+(i<<1)>>1]|0;d[m+(p+g<<1)>>1]=s<<16>>16<r<<16>>16?s:r;r=p+i|0;if((r|0)>(e|0)){n=r;break a}else p=r}}while(1){p=c+(o<<1)|0;r=d[p+(g<<1)>>1]|0;s=i;do{q=d[p+(s<<1)>>1]|0;r=q<<16>>16<r<<16>>16?q:r;s=s+g|0}while((s|0)<(h|0));q=d[p>>1]|0;d[m+(o<<1)>>1]=q<<16>>16<r<<16>>16?q:r;q=d[p+(s<<1)>>1]|0;d[m+(o+g<<1)>>1]=q<<16>>16<r<<16>>16?q:r;q=o+i|0;if((q|0)>(e|0)){n=q;break}else o=q}}while(0);b:do if((n|0)<(a|0)){if(k)t=n;else{q=n;while(1){d[m+(q<<1)>>1]=d[c+(q<<1)>>1]|0;q=q+g|0;if((q|0)>=(a|0))break b}}do{q=c+(t<<1)|0;u=d[q>>1]|0;v=g;do{w=d[q+(v<<1)>>1]|0;u=w<<16>>16<u<<16>>16?w:u;v=v+g|0}while((v|0)<(h|0));d[m+(t<<1)>>1]=u;t=t+g|0}while((t|0)<(a|0))}while(0);b=b+1|0;if((b|0)==(g|0))break;else{m=m+2|0;c=c+2|0}}return}function Rpa(a){a=a|0;fuc(a);return}function Spa(a,b,c,e,g){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;h=Y(f[a+4>>2]|0,g)|0;a=Y(g,e)|0;if((h|0)==(g|0)){if((a|0)>0)i=0;else return;do{d[c+(i<<1)>>1]=d[b+(i<<1)>>1]|0;i=i+1|0}while((i|0)!=(a|0));return}if((g|0)<=0)return;i=g<<1;e=a-i|0;j=(e|0)<0;k=(h|0)>(g|0);l=(i|0)<(h|0);m=c;c=b;b=0;while(1){a:do if(j)n=0;else{if(l)o=0;else{p=0;while(1){q=c+(p<<1)|0;r=d[q+(g<<1)>>1]|0;s=d[q>>1]|0;d[m+(p<<1)>>1]=(s&65535)<(r&65535)?s:r;s=d[q+(i<<1)>>1]|0;d[m+(p+g<<1)>>1]=(s&65535)<(r&65535)?s:r;r=p+i|0;if((r|0)>(e|0)){n=r;break a}else p=r}}while(1){p=c+(o<<1)|0;r=d[p+(g<<1)>>1]|0;s=i;do{q=d[p+(s<<1)>>1]|0;r=(q&65535)<(r&65535)?q:r;s=s+g|0}while((s|0)<(h|0));q=d[p>>1]|0;d[m+(o<<1)>>1]=(q&65535)<(r&65535)?q:r;q=d[p+(s<<1)>>1]|0;d[m+(o+g<<1)>>1]=(q&65535)<(r&65535)?q:r;q=o+i|0;if((q|0)>(e|0)){n=q;break}else o=q}}while(0);b:do if((n|0)<(a|0)){if(k)t=n;else{q=n;while(1){d[m+(q<<1)>>1]=d[c+(q<<1)>>1]|0;q=q+g|0;if((q|0)>=(a|0))break b}}do{q=c+(t<<1)|0;u=d[q>>1]|0;v=g;do{w=d[q+(v<<1)>>1]|0;u=(w&65535)<(u&65535)?w:u;v=v+g|0}while((v|0)<(h|0));d[m+(t<<1)>>1]=u;t=t+g|0}while((t|0)<(a|0))}while(0);b=b+1|0;if((b|0)==(g|0))break;else{m=m+2|0;c=c+2|0}}return}function Tpa(a){a=a|0;f[a>>2]=80292;Qtc(a);return}function Upa(a){a=a|0;f[a>>2]=80292;Qtc(a);fuc(a);return}function Vpa(a){a=a|0;var b=0;b=a+12|0;bi[f[f[b>>2]>>2]&2047](b);return}function Wpa(a){a=a|0;fuc(a);return}function Xpa(a){a=a|0;f[a>>2]=80264;Qtc(a);return}function Ypa(a){a=a|0;f[a>>2]=80264;Qtc(a);fuc(a);return}function Zpa(a){a=a|0;var b=0;b=a+12|0;bi[f[f[b>>2]>>2]&2047](b);return}function _pa(a){a=a|0;fuc(a);return}function $pa(a){a=a|0;f[a>>2]=80236;Qtc(a);return}function aqa(a){a=a|0;f[a>>2]=80236;Qtc(a);fuc(a);return}function bqa(a){a=a|0;var b=0;b=a+12|0;bi[f[f[b>>2]>>2]&2047](b);return}function cqa(a){a=a|0;fuc(a);return}function dqa(a){a=a|0;f[a>>2]=80208;Qtc(a);return}function eqa(a){a=a|0;f[a>>2]=80208;Qtc(a);fuc(a);return}function fqa(a){a=a|0;var b=0;b=a+12|0;bi[f[f[b>>2]>>2]&2047](b);return}function gqa(a){a=a|0;fuc(a);return}function hqa(a){a=a|0;f[a>>2]=80180;Qtc(a);return}function iqa(a){a=a|0;f[a>>2]=80180;Qtc(a);fuc(a);return}function jqa(a){a=a|0;var b=0;b=a+12|0;bi[f[f[b>>2]>>2]&2047](b);return}function kqa(a){a=a|0;fuc(a);return}function lqa(a){a=a|0;f[a>>2]=80152;Qtc(a);return}function mqa(a){a=a|0;f[a>>2]=80152;Qtc(a);fuc(a);return}function nqa(a){a=a|0;var b=0;b=a+12|0;bi[f[f[b>>2]>>2]&2047](b);return}function oqa(a){a=a|0;fuc(a);return}function pqa(a){a=a|0;f[a>>2]=80124;Qtc(a);return}function qqa(a){a=a|0;f[a>>2]=80124;Qtc(a);fuc(a);return}function rqa(a){a=a|0;var b=0;b=a+12|0;bi[f[f[b>>2]>>2]&2047](b);return}function sqa(a){a=a|0;fuc(a);return}function tqa(a){a=a|0;f[a>>2]=80096;Qtc(a);return}function uqa(a){a=a|0;f[a>>2]=80096;Qtc(a);fuc(a);return}function vqa(a){a=a|0;var b=0;b=a+12|0;bi[f[f[b>>2]>>2]&2047](b);return}function wqa(a){a=a|0;fuc(a);return}function xqa(a){a=a|0;f[a>>2]=80068;Qtc(a);return}function yqa(a){a=a|0;f[a>>2]=80068;Qtc(a);fuc(a);return}function zqa(a){a=a|0;var b=0;b=a+12|0;bi[f[f[b>>2]>>2]&2047](b);return}function Aqa(a){a=a|0;fuc(a);return}function Bqa(a){a=a|0;f[a>>2]=80040;Qtc(a);return}function Cqa(a){a=a|0;f[a>>2]=80040;Qtc(a);fuc(a);return}function Dqa(a){a=a|0;var b=0;b=a+12|0;bi[f[f[b>>2]>>2]&2047](b);return}function Eqa(a){a=a|0;fuc(a);return}function Fqa(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;h=u;u=u+16|0;i=h;j=h+4|0;k=(g|0)<0?(e|0)/2|0:g;if((c|1|0)!=1){g=cuc(48)|0;f[j>>2]=g;f[j+8>>2]=-2147483600;f[j+4>>2]=39;l=g;m=354661;n=l+39|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));b[g+39>>0]=0;WD(-215,j,356472,354724,898)}g=(d&7|0)==0;a:do if(!c){if(g){m=cuc(28)|0;f[m+4>>2]=0;f[m+8>>2]=0;f[m>>2]=80520;l=m+12|0;Q2(l);o=m;p=81016;q=l;break}switch(d&7){case 2:{l=cuc(28)|0;f[l+4>>2]=0;f[l+8>>2]=0;f[l>>2]=80548;m=l+12|0;Q2(m);o=l;p=80800;q=m;break a;break}case 3:{m=cuc(28)|0;f[m+4>>2]=0;f[m+8>>2]=0;f[m>>2]=80576;l=m+12|0;Q2(l);o=m;p=80824;q=l;break a;break}case 5:{l=cuc(28)|0;f[l+4>>2]=0;f[l+8>>2]=0;f[l>>2]=80604;m=l+12|0;Q2(m);o=l;p=80848;q=m;break a;break}case 6:{m=cuc(28)|0;f[m+4>>2]=0;f[m+8>>2]=0;f[m>>2]=80632;l=m+12|0;Q2(l);o=m;p=80872;q=l;break a;break}default:{f[i>>2]=d;cE(j,354794,i);WD(-213,j,356472,354724,936)}}}else{if(g){l=cuc(28)|0;f[l+4>>2]=0;f[l+8>>2]=0;f[l>>2]=80660;m=l+12|0;Q2(m);o=l;p=80896;q=m;break}switch(d&7){case 2:{m=cuc(28)|0;f[m+4>>2]=0;f[m+8>>2]=0;f[m>>2]=80688;l=m+12|0;Q2(l);o=m;p=80920;q=l;break a;break}case 3:{l=cuc(28)|0;f[l+4>>2]=0;f[l+8>>2]=0;f[l>>2]=80716;m=l+12|0;Q2(m);o=l;p=80944;q=m;break a;break}case 5:{m=cuc(28)|0;f[m+4>>2]=0;f[m+8>>2]=0;f[m>>2]=80744;l=m+12|0;Q2(l);o=m;p=80968;q=l;break a;break}case 6:{l=cuc(28)|0;f[l+4>>2]=0;f[l+8>>2]=0;f[l>>2]=80772;m=l+12|0;Q2(m);o=l;p=80992;q=m;break a;break}default:{f[i>>2]=d;cE(j,354794,i);WD(-213,j,356472,354724,936)}}}while(0);f[q>>2]=p;f[o+16>>2]=e;f[o+20>>2]=k;f[a>>2]=q;f[a+4>>2]=o;u=h;return}function Gqa(a){a=a|0;fuc(a);return}function Hqa(a,c,d,e,g,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0;j=f[a+4>>2]|0;a=(j|0)>1;if(a&(g|0)>1){k=i+-4|0;l=(i|0)<4;m=(j|0)>2;n=e<<1;o=i&-4;p=d;q=c;r=g;while(1){if(l)s=0;else{t=q+4|0;u=0;do{v=(f[t>>2]|0)+u|0;w=b[v>>0]|0;x=b[v+1>>0]|0;y=b[v+2>>0]|0;z=b[v+3>>0]|0;if(m){v=z;A=y;B=x;C=w;D=2;while(1){E=(f[q+(D<<2)>>2]|0)+u|0;F=C&255;G=F-(h[E>>0]|0)+256|0;if(G>>>0<769)H=h[270421+G>>0]|0;else H=0;G=F-H&255;F=B&255;I=F-(h[E+1>>0]|0)+256|0;if(I>>>0<769)J=h[270421+I>>0]|0;else J=0;I=F-J&255;F=A&255;K=F-(h[E+2>>0]|0)+256|0;if(K>>>0<769)L=h[270421+K>>0]|0;else L=0;K=F-L&255;F=v&255;M=F-(h[E+3>>0]|0)+256|0;if(M>>>0<769)N=h[270421+M>>0]|0;else N=0;M=F-N&255;D=D+1|0;if((D|0)==(j|0)){O=M;P=K;Q=I;R=G;S=j;break}else{v=M;A=K;B=I;C=G}}}else{O=z;P=y;Q=x;R=w;S=2}C=(f[q>>2]|0)+u|0;B=R&255;A=B-(h[C>>0]|0)+256|0;if(A>>>0<769)T=h[270421+A>>0]|0;else T=0;b[p+u>>0]=B-T;A=Q&255;v=A-(h[C+1>>0]|0)+256|0;if(v>>>0<769)U=h[270421+v>>0]|0;else U=0;b[p+(u|1)>>0]=A-U;v=P&255;D=v-(h[C+2>>0]|0)+256|0;if(D>>>0<769)V=h[270421+D>>0]|0;else V=0;b[p+(u|2)>>0]=v-V;D=O&255;G=D-(h[C+3>>0]|0)+256|0;if(G>>>0<769)W=h[270421+G>>0]|0;else W=0;b[p+(u|3)>>0]=D-W;G=(f[q+(S<<2)>>2]|0)+u|0;C=B-(h[G>>0]|0)+256|0;if(C>>>0<769)X=h[270421+C>>0]|0;else X=0;C=u+e|0;b[p+C>>0]=B-X;B=A-(h[G+1>>0]|0)+256|0;if(B>>>0<769)Y=h[270421+B>>0]|0;else Y=0;b[p+(C+1)>>0]=A-Y;A=v-(h[G+2>>0]|0)+256|0;if(A>>>0<769)Z=h[270421+A>>0]|0;else Z=0;b[p+(C+2)>>0]=v-Z;v=D-(h[G+3>>0]|0)+256|0;if(v>>>0<769)_=h[270421+v>>0]|0;else _=0;b[p+(C+3)>>0]=D-_;u=u+4|0}while((u|0)<=(k|0));s=o}a:do if((s|0)<(i|0)){u=q+4|0;if(!m){t=q+8|0;D=s;while(1){C=h[(f[u>>2]|0)+D>>0]|0;v=C-(h[(f[q>>2]|0)+D>>0]|0)+256|0;if(v>>>0<769)$=h[270421+v>>0]|0;else $=0;b[p+D>>0]=C-$;v=C-(h[(f[t>>2]|0)+D>>0]|0)+256|0;if(v>>>0<769)aa=h[270421+v>>0]|0;else aa=0;b[p+(D+e)>>0]=C-aa;D=D+1|0;if((D|0)==(i|0))break a}}D=q+(j<<2)|0;t=s;do{w=b[(f[u>>2]|0)+t>>0]|0;x=2;while(1){y=w&255;z=y-(h[(f[q+(x<<2)>>2]|0)+t>>0]|0)+256|0;if(z>>>0<769)ba=h[270421+z>>0]|0;else ba=0;ca=y-ba|0;x=x+1|0;if((x|0)==(j|0))break;else w=ca&255}w=ca&255;x=w-(h[(f[q>>2]|0)+t>>0]|0)+256|0;if(x>>>0<769)da=h[270421+x>>0]|0;else da=0;b[p+t>>0]=ca-da;x=w-(h[(f[D>>2]|0)+t>>0]|0)+256|0;if(x>>>0<769)ea=h[270421+x>>0]|0;else ea=0;b[p+(t+e)>>0]=ca-ea;t=t+1|0}while((t|0)!=(i|0))}while(0);t=r+-2|0;D=p+n|0;u=q+8|0;if((t|0)>1){p=D;q=u;r=t}else{fa=D;ga=u;ha=t;break}}}else{fa=d;ga=c;ha=g}if((ha|0)<=0)return;g=i+-4|0;c=(i|0)<4;d=i&-4;r=ga;ga=ha;ha=fa;while(1){b:do if(c)ia=0;else{if(a)ja=0;else{fa=0;while(1){q=(f[r>>2]|0)+fa|0;p=b[q+1>>0]|0;n=b[q+2>>0]|0;ea=b[q+3>>0]|0;b[ha+fa>>0]=b[q>>0]|0;b[ha+(fa|1)>>0]=p;b[ha+(fa|2)>>0]=n;b[ha+(fa|3)>>0]=ea;fa=fa+4|0;if((fa|0)>(g|0)){ia=d;break b}}}do{fa=(f[r>>2]|0)+ja|0;ea=b[fa+3>>0]|0;n=b[fa+2>>0]|0;p=b[fa+1>>0]|0;q=b[fa>>0]|0;fa=1;do{ca=(f[r+(fa<<2)>>2]|0)+ja|0;da=q&255;ba=da-(h[ca>>0]|0)+256|0;if(ba>>>0<769)ka=h[270421+ba>>0]|0;else ka=0;q=da-ka&255;da=p&255;ba=da-(h[ca+1>>0]|0)+256|0;if(ba>>>0<769)la=h[270421+ba>>0]|0;else la=0;p=da-la&255;da=n&255;ba=da-(h[ca+2>>0]|0)+256|0;if(ba>>>0<769)ma=h[270421+ba>>0]|0;else ma=0;n=da-ma&255;da=ea&255;ba=da-(h[ca+3>>0]|0)+256|0;if(ba>>>0<769)na=h[270421+ba>>0]|0;else na=0;ea=da-na&255;fa=fa+1|0}while((fa|0)!=(j|0));b[ha+ja>>0]=q;b[ha+(ja|1)>>0]=p;b[ha+(ja|2)>>0]=n;b[ha+(ja|3)>>0]=ea;ja=ja+4|0}while((ja|0)<=(g|0));ia=d}while(0);c:do if((ia|0)<(i|0)){if(a)oa=ia;else{fa=ia;while(1){b[ha+fa>>0]=b[(f[r>>2]|0)+fa>>0]|0;fa=fa+1|0;if((fa|0)==(i|0))break c}}do{fa=b[(f[r>>2]|0)+oa>>0]|0;da=1;do{ba=fa&255;ca=ba-(h[(f[r+(da<<2)>>2]|0)+oa>>0]|0)+256|0;if(ca>>>0<769)pa=h[270421+ca>>0]|0;else pa=0;fa=ba-pa&255;da=da+1|0}while((da|0)!=(j|0));b[ha+oa>>0]=fa;oa=oa+1|0}while((oa|0)!=(i|0))}while(0);if((ga|0)>1){r=r+4|0;ga=ga+-1|0;ha=ha+e|0}else break}return}function Iqa(a){a=a|0;fuc(a);return}function Jqa(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0,D=0.0,E=0,F=0,G=0,H=0,I=0,J=0;h=f[a+4>>2]|0;a=d>>>3;d=(h|0)>1;if(d&(e|0)>1){i=g+-4|0;j=(g|0)<4;k=(h|0)>2;l=a<<1;m=g&-4;n=c;o=b;q=e;while(1){a:do if(j)r=0;else{s=f[o+4>>2]|0;t=f[o>>2]|0;if(!k){u=f[o+8>>2]|0;v=0;while(1){w=s+(v<<3)|0;x=+p[w>>3];y=+p[w+8>>3];z=+p[w+16>>3];A=+p[w+24>>3];w=t+(v<<3)|0;B=+p[w>>3];p[n+(v<<3)>>3]=x<B?B:x;B=+p[w+8>>3];p[n+((v|1)<<3)>>3]=y<B?B:y;B=+p[w+16>>3];p[n+((v|2)<<3)>>3]=z<B?B:z;B=+p[w+24>>3];p[n+((v|3)<<3)>>3]=A<B?B:A;w=u+(v<<3)|0;B=+p[w>>3];C=v+a|0;p[n+(C<<3)>>3]=x<B?B:x;x=+p[w+8>>3];p[n+(C+1<<3)>>3]=y<x?x:y;y=+p[w+16>>3];p[n+(C+2<<3)>>3]=z<y?y:z;z=+p[w+24>>3];p[n+(C+3<<3)>>3]=A<z?z:A;v=v+4|0;if((v|0)>(i|0)){r=m;break a}}}v=f[o+(h<<2)>>2]|0;u=0;do{C=s+(u<<3)|0;A=+p[C+24>>3];z=+p[C+16>>3];y=+p[C+8>>3];x=+p[C>>3];C=2;do{w=(f[o+(C<<2)>>2]|0)+(u<<3)|0;B=+p[w>>3];x=x<B?B:x;B=+p[w+8>>3];y=y<B?B:y;B=+p[w+16>>3];z=z<B?B:z;B=+p[w+24>>3];A=A<B?B:A;C=C+1|0}while((C|0)!=(h|0));C=t+(u<<3)|0;B=+p[C>>3];p[n+(u<<3)>>3]=x<B?B:x;B=+p[C+8>>3];p[n+((u|1)<<3)>>3]=y<B?B:y;B=+p[C+16>>3];p[n+((u|2)<<3)>>3]=z<B?B:z;B=+p[C+24>>3];p[n+((u|3)<<3)>>3]=A<B?B:A;C=v+(u<<3)|0;B=+p[C>>3];w=u+a|0;p[n+(w<<3)>>3]=x<B?B:x;B=+p[C+8>>3];p[n+(w+1<<3)>>3]=y<B?B:y;B=+p[C+16>>3];p[n+(w+2<<3)>>3]=z<B?B:z;B=+p[C+24>>3];p[n+(w+3<<3)>>3]=A<B?B:A;u=u+4|0}while((u|0)<=(i|0));r=m}while(0);b:do if((r|0)<(g|0)){u=f[o+4>>2]|0;v=f[o>>2]|0;if(!k){t=f[o+8>>2]|0;s=r;while(1){B=+p[u+(s<<3)>>3];D=+p[v+(s<<3)>>3];p[n+(s<<3)>>3]=B<D?D:B;D=+p[t+(s<<3)>>3];p[n+(s+a<<3)>>3]=B<D?D:B;s=s+1|0;if((s|0)==(g|0))break b}}s=f[o+(h<<2)>>2]|0;t=r;do{B=+p[u+(t<<3)>>3];w=2;do{D=+p[(f[o+(w<<2)>>2]|0)+(t<<3)>>3];B=B<D?D:B;w=w+1|0}while((w|0)!=(h|0));A=+p[v+(t<<3)>>3];p[n+(t<<3)>>3]=B<A?A:B;A=+p[s+(t<<3)>>3];p[n+(t+a<<3)>>3]=B<A?A:B;t=t+1|0}while((t|0)!=(g|0))}while(0);t=q+-2|0;s=n+(l<<3)|0;v=o+8|0;if((t|0)>1){n=s;o=v;q=t}else{E=s;F=v;G=t;break}}}else{E=c;F=b;G=e}if((G|0)<=0)return;e=g+-4|0;b=(g|0)<4;c=g&-4;q=F;F=G;G=E;while(1){c:do if(b)H=0;else{E=f[q>>2]|0;if(d)I=0;else{o=0;while(1){n=E+(o<<3)|0;A=+p[n+8>>3];z=+p[n+16>>3];y=+p[n+24>>3];p[G+(o<<3)>>3]=+p[n>>3];p[G+((o|1)<<3)>>3]=A;p[G+((o|2)<<3)>>3]=z;p[G+((o|3)<<3)>>3]=y;o=o+4|0;if((o|0)>(e|0)){H=c;break c}}}do{o=E+(I<<3)|0;y=+p[o+24>>3];z=+p[o+16>>3];A=+p[o+8>>3];x=+p[o>>3];o=1;do{n=(f[q+(o<<2)>>2]|0)+(I<<3)|0;D=+p[n>>3];x=x<D?D:x;D=+p[n+8>>3];A=A<D?D:A;D=+p[n+16>>3];z=z<D?D:z;D=+p[n+24>>3];y=y<D?D:y;o=o+1|0}while((o|0)!=(h|0));p[G+(I<<3)>>3]=x;p[G+((I|1)<<3)>>3]=A;p[G+((I|2)<<3)>>3]=z;p[G+((I|3)<<3)>>3]=y;I=I+4|0}while((I|0)<=(e|0));H=c}while(0);d:do if((H|0)<(g|0)){E=f[q>>2]|0;if(d)J=H;else{o=H;while(1){p[G+(o<<3)>>3]=+p[E+(o<<3)>>3];o=o+1|0;if((o|0)==(g|0))break d}}do{B=+p[E+(J<<3)>>3];o=1;do{D=+p[(f[q+(o<<2)>>2]|0)+(J<<3)>>3];B=B<D?D:B;o=o+1|0}while((o|0)!=(h|0));p[G+(J<<3)>>3]=B;J=J+1|0}while((J|0)!=(g|0))}while(0);if((F|0)>1){q=q+4|0;F=F+-1|0;G=G+(a<<3)|0}else break}return}function Kqa(a){a=a|0;fuc(a);return}function Lqa(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0,D=0.0,E=0,F=0,G=0,H=0,I=0,J=0;h=f[a+4>>2]|0;a=d>>>2;d=(h|0)>1;if(d&(e|0)>1){i=g+-4|0;j=(g|0)<4;k=(h|0)>2;l=a<<1;m=g&-4;o=c;p=b;q=e;while(1){a:do if(j)r=0;else{s=f[p+4>>2]|0;t=f[p>>2]|0;if(!k){u=f[p+8>>2]|0;v=0;while(1){w=s+(v<<2)|0;x=+n[w>>2];y=+n[w+4>>2];z=+n[w+8>>2];A=+n[w+12>>2];w=t+(v<<2)|0;B=+n[w>>2];n[o+(v<<2)>>2]=x<B?B:x;B=+n[w+4>>2];n[o+((v|1)<<2)>>2]=y<B?B:y;B=+n[w+8>>2];n[o+((v|2)<<2)>>2]=z<B?B:z;B=+n[w+12>>2];n[o+((v|3)<<2)>>2]=A<B?B:A;w=u+(v<<2)|0;B=+n[w>>2];C=v+a|0;n[o+(C<<2)>>2]=x<B?B:x;x=+n[w+4>>2];n[o+(C+1<<2)>>2]=y<x?x:y;y=+n[w+8>>2];n[o+(C+2<<2)>>2]=z<y?y:z;z=+n[w+12>>2];n[o+(C+3<<2)>>2]=A<z?z:A;v=v+4|0;if((v|0)>(i|0)){r=m;break a}}}v=f[p+(h<<2)>>2]|0;u=0;do{C=s+(u<<2)|0;A=+n[C+12>>2];z=+n[C+8>>2];y=+n[C+4>>2];x=+n[C>>2];C=2;do{w=(f[p+(C<<2)>>2]|0)+(u<<2)|0;B=+n[w>>2];x=x<B?B:x;B=+n[w+4>>2];y=y<B?B:y;B=+n[w+8>>2];z=z<B?B:z;B=+n[w+12>>2];A=A<B?B:A;C=C+1|0}while((C|0)!=(h|0));C=t+(u<<2)|0;B=+n[C>>2];n[o+(u<<2)>>2]=x<B?B:x;B=+n[C+4>>2];n[o+((u|1)<<2)>>2]=y<B?B:y;B=+n[C+8>>2];n[o+((u|2)<<2)>>2]=z<B?B:z;B=+n[C+12>>2];n[o+((u|3)<<2)>>2]=A<B?B:A;C=v+(u<<2)|0;B=+n[C>>2];w=u+a|0;n[o+(w<<2)>>2]=x<B?B:x;B=+n[C+4>>2];n[o+(w+1<<2)>>2]=y<B?B:y;B=+n[C+8>>2];n[o+(w+2<<2)>>2]=z<B?B:z;B=+n[C+12>>2];n[o+(w+3<<2)>>2]=A<B?B:A;u=u+4|0}while((u|0)<=(i|0));r=m}while(0);b:do if((r|0)<(g|0)){u=f[p+4>>2]|0;v=f[p>>2]|0;if(!k){t=f[p+8>>2]|0;s=r;while(1){B=+n[u+(s<<2)>>2];D=+n[v+(s<<2)>>2];n[o+(s<<2)>>2]=B<D?D:B;D=+n[t+(s<<2)>>2];n[o+(s+a<<2)>>2]=B<D?D:B;s=s+1|0;if((s|0)==(g|0))break b}}s=f[p+(h<<2)>>2]|0;t=r;do{B=+n[u+(t<<2)>>2];w=2;do{D=+n[(f[p+(w<<2)>>2]|0)+(t<<2)>>2];B=B<D?D:B;w=w+1|0}while((w|0)!=(h|0));A=+n[v+(t<<2)>>2];n[o+(t<<2)>>2]=B<A?A:B;A=+n[s+(t<<2)>>2];n[o+(t+a<<2)>>2]=B<A?A:B;t=t+1|0}while((t|0)!=(g|0))}while(0);t=q+-2|0;s=o+(l<<2)|0;v=p+8|0;if((t|0)>1){o=s;p=v;q=t}else{E=s;F=v;G=t;break}}}else{E=c;F=b;G=e}if((G|0)<=0)return;e=g+-4|0;b=(g|0)<4;c=g&-4;q=F;F=G;G=E;while(1){c:do if(b)H=0;else{E=f[q>>2]|0;if(d)I=0;else{p=0;while(1){o=E+(p<<2)|0;l=f[o+4>>2]|0;r=f[o+8>>2]|0;k=f[o+12>>2]|0;f[G+(p<<2)>>2]=f[o>>2];f[G+((p|1)<<2)>>2]=l;f[G+((p|2)<<2)>>2]=r;f[G+((p|3)<<2)>>2]=k;p=p+4|0;if((p|0)>(e|0)){H=c;break c}}}do{p=E+(I<<2)|0;A=+n[p+12>>2];z=+n[p+8>>2];y=+n[p+4>>2];x=+n[p>>2];p=1;do{k=(f[q+(p<<2)>>2]|0)+(I<<2)|0;D=+n[k>>2];x=x<D?D:x;D=+n[k+4>>2];y=y<D?D:y;D=+n[k+8>>2];z=z<D?D:z;D=+n[k+12>>2];A=A<D?D:A;p=p+1|0}while((p|0)!=(h|0));n[G+(I<<2)>>2]=x;n[G+((I|1)<<2)>>2]=y;n[G+((I|2)<<2)>>2]=z;n[G+((I|3)<<2)>>2]=A;I=I+4|0}while((I|0)<=(e|0));H=c}while(0);d:do if((H|0)<(g|0)){E=f[q>>2]|0;if(d)J=H;else{p=H;while(1){f[G+(p<<2)>>2]=f[E+(p<<2)>>2];p=p+1|0;if((p|0)==(g|0))break d}}do{B=+n[E+(J<<2)>>2];p=1;do{D=+n[(f[q+(p<<2)>>2]|0)+(J<<2)>>2];B=B<D?D:B;p=p+1|0}while((p|0)!=(h|0));n[G+(J<<2)>>2]=B;J=J+1|0}while((J|0)!=(g|0))}while(0);if((F|0)>1){q=q+4|0;F=F+-1|0;G=G+(a<<2)|0}else break}return}function Mqa(a){a=a|0;fuc(a);return}function Nqa(a,b,c,e,g,h){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;i=f[a+4>>2]|0;a=e>>>1;e=(i|0)>1;if(e&(g|0)>1){j=h+-4|0;k=(h|0)<4;l=(i|0)>2;m=a<<1;n=h&-4;o=c;p=b;q=g;while(1){a:do if(k)r=0;else{s=f[p+4>>2]|0;t=f[p>>2]|0;if(!l){u=f[p+8>>2]|0;v=0;while(1){w=s+(v<<1)|0;x=d[w>>1]|0;y=d[w+2>>1]|0;z=d[w+4>>1]|0;A=d[w+6>>1]|0;w=t+(v<<1)|0;B=d[w>>1]|0;d[o+(v<<1)>>1]=x<<16>>16<B<<16>>16?B:x;B=d[w+2>>1]|0;d[o+((v|1)<<1)>>1]=y<<16>>16<B<<16>>16?B:y;B=d[w+4>>1]|0;d[o+((v|2)<<1)>>1]=z<<16>>16<B<<16>>16?B:z;B=d[w+6>>1]|0;d[o+((v|3)<<1)>>1]=A<<16>>16<B<<16>>16?B:A;B=u+(v<<1)|0;w=d[B>>1]|0;C=v+a|0;d[o+(C<<1)>>1]=x<<16>>16<w<<16>>16?w:x;x=d[B+2>>1]|0;d[o+(C+1<<1)>>1]=y<<16>>16<x<<16>>16?x:y;y=d[B+4>>1]|0;d[o+(C+2<<1)>>1]=z<<16>>16<y<<16>>16?y:z;z=d[B+6>>1]|0;d[o+(C+3<<1)>>1]=A<<16>>16<z<<16>>16?z:A;v=v+4|0;if((v|0)>(j|0)){r=n;break a}}}v=f[p+(i<<2)>>2]|0;u=0;do{A=s+(u<<1)|0;z=d[A+6>>1]|0;C=d[A+4>>1]|0;B=d[A+2>>1]|0;y=d[A>>1]|0;A=2;do{x=(f[p+(A<<2)>>2]|0)+(u<<1)|0;w=d[x>>1]|0;y=y<<16>>16<w<<16>>16?w:y;w=d[x+2>>1]|0;B=B<<16>>16<w<<16>>16?w:B;w=d[x+4>>1]|0;C=C<<16>>16<w<<16>>16?w:C;w=d[x+6>>1]|0;z=z<<16>>16<w<<16>>16?w:z;A=A+1|0}while((A|0)!=(i|0));A=t+(u<<1)|0;w=d[A>>1]|0;d[o+(u<<1)>>1]=y<<16>>16<w<<16>>16?w:y;w=d[A+2>>1]|0;d[o+((u|1)<<1)>>1]=B<<16>>16<w<<16>>16?w:B;w=d[A+4>>1]|0;d[o+((u|2)<<1)>>1]=C<<16>>16<w<<16>>16?w:C;w=d[A+6>>1]|0;d[o+((u|3)<<1)>>1]=z<<16>>16<w<<16>>16?w:z;w=v+(u<<1)|0;A=d[w>>1]|0;x=u+a|0;d[o+(x<<1)>>1]=y<<16>>16<A<<16>>16?A:y;A=d[w+2>>1]|0;d[o+(x+1<<1)>>1]=B<<16>>16<A<<16>>16?A:B;A=d[w+4>>1]|0;d[o+(x+2<<1)>>1]=C<<16>>16<A<<16>>16?A:C;A=d[w+6>>1]|0;d[o+(x+3<<1)>>1]=z<<16>>16<A<<16>>16?A:z;u=u+4|0}while((u|0)<=(j|0));r=n}while(0);b:do if((r|0)<(h|0)){u=f[p+4>>2]|0;v=f[p>>2]|0;if(!l){t=f[p+8>>2]|0;s=r;while(1){A=d[u+(s<<1)>>1]|0;x=d[v+(s<<1)>>1]|0;d[o+(s<<1)>>1]=A<<16>>16<x<<16>>16?x:A;x=d[t+(s<<1)>>1]|0;d[o+(s+a<<1)>>1]=A<<16>>16<x<<16>>16?x:A;s=s+1|0;if((s|0)==(h|0))break b}}s=f[p+(i<<2)>>2]|0;t=r;do{A=d[u+(t<<1)>>1]|0;x=2;do{w=d[(f[p+(x<<2)>>2]|0)+(t<<1)>>1]|0;A=A<<16>>16<w<<16>>16?w:A;x=x+1|0}while((x|0)!=(i|0));x=d[v+(t<<1)>>1]|0;d[o+(t<<1)>>1]=A<<16>>16<x<<16>>16?x:A;x=d[s+(t<<1)>>1]|0;d[o+(t+a<<1)>>1]=A<<16>>16<x<<16>>16?x:A;t=t+1|0}while((t|0)!=(h|0))}while(0);t=q+-2|0;s=o+(m<<1)|0;v=p+8|0;if((t|0)>1){o=s;p=v;q=t}else{D=s;E=v;F=t;break}}}else{D=c;E=b;F=g}if((F|0)<=0)return;g=h+-4|0;b=(h|0)<4;c=h&-4;q=E;E=F;F=D;while(1){c:do if(b)G=0;else{D=f[q>>2]|0;if(e)H=0;else{p=0;while(1){o=D+(p<<1)|0;m=d[o+2>>1]|0;r=d[o+4>>1]|0;l=d[o+6>>1]|0;d[F+(p<<1)>>1]=d[o>>1]|0;d[F+((p|1)<<1)>>1]=m;d[F+((p|2)<<1)>>1]=r;d[F+((p|3)<<1)>>1]=l;p=p+4|0;if((p|0)>(g|0)){G=c;break c}}}do{p=D+(H<<1)|0;l=d[p+6>>1]|0;r=d[p+4>>1]|0;m=d[p+2>>1]|0;o=d[p>>1]|0;p=1;do{n=(f[q+(p<<2)>>2]|0)+(H<<1)|0;j=d[n>>1]|0;o=o<<16>>16<j<<16>>16?j:o;j=d[n+2>>1]|0;m=m<<16>>16<j<<16>>16?j:m;j=d[n+4>>1]|0;r=r<<16>>16<j<<16>>16?j:r;j=d[n+6>>1]|0;l=l<<16>>16<j<<16>>16?j:l;p=p+1|0}while((p|0)!=(i|0));d[F+(H<<1)>>1]=o;d[F+((H|1)<<1)>>1]=m;d[F+((H|2)<<1)>>1]=r;d[F+((H|3)<<1)>>1]=l;H=H+4|0}while((H|0)<=(g|0));G=c}while(0);d:do if((G|0)<(h|0)){D=f[q>>2]|0;if(e)I=G;else{p=G;while(1){d[F+(p<<1)>>1]=d[D+(p<<1)>>1]|0;p=p+1|0;if((p|0)==(h|0))break d}}do{p=d[D+(I<<1)>>1]|0;A=1;do{j=d[(f[q+(A<<2)>>2]|0)+(I<<1)>>1]|0;p=p<<16>>16<j<<16>>16?j:p;A=A+1|0}while((A|0)!=(i|0));d[F+(I<<1)>>1]=p;I=I+1|0}while((I|0)!=(h|0))}while(0);if((E|0)>1){q=q+4|0;E=E+-1|0;F=F+(a<<1)|0}else break}return}function Oqa(a){a=a|0;fuc(a);return}function Pqa(a,b,c,e,g,h){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;i=f[a+4>>2]|0;a=e>>>1;e=(i|0)>1;if(e&(g|0)>1){j=h+-4|0;k=(h|0)<4;l=(i|0)>2;m=a<<1;n=h&-4;o=c;p=b;q=g;while(1){a:do if(k)r=0;else{s=f[p+4>>2]|0;t=f[p>>2]|0;if(!l){u=f[p+8>>2]|0;v=0;while(1){w=s+(v<<1)|0;x=d[w>>1]|0;y=d[w+2>>1]|0;z=d[w+4>>1]|0;A=d[w+6>>1]|0;w=t+(v<<1)|0;B=d[w>>1]|0;d[o+(v<<1)>>1]=(x&65535)<(B&65535)?B:x;B=d[w+2>>1]|0;d[o+((v|1)<<1)>>1]=(y&65535)<(B&65535)?B:y;B=d[w+4>>1]|0;d[o+((v|2)<<1)>>1]=(z&65535)<(B&65535)?B:z;B=d[w+6>>1]|0;d[o+((v|3)<<1)>>1]=(A&65535)<(B&65535)?B:A;B=u+(v<<1)|0;w=d[B>>1]|0;C=v+a|0;d[o+(C<<1)>>1]=(x&65535)<(w&65535)?w:x;x=d[B+2>>1]|0;d[o+(C+1<<1)>>1]=(y&65535)<(x&65535)?x:y;y=d[B+4>>1]|0;d[o+(C+2<<1)>>1]=(z&65535)<(y&65535)?y:z;z=d[B+6>>1]|0;d[o+(C+3<<1)>>1]=(A&65535)<(z&65535)?z:A;v=v+4|0;if((v|0)>(j|0)){r=n;break a}}}v=f[p+(i<<2)>>2]|0;u=0;do{A=s+(u<<1)|0;z=d[A+6>>1]|0;C=d[A+4>>1]|0;B=d[A+2>>1]|0;y=d[A>>1]|0;A=2;do{x=(f[p+(A<<2)>>2]|0)+(u<<1)|0;w=d[x>>1]|0;y=(y&65535)<(w&65535)?w:y;w=d[x+2>>1]|0;B=(B&65535)<(w&65535)?w:B;w=d[x+4>>1]|0;C=(C&65535)<(w&65535)?w:C;w=d[x+6>>1]|0;z=(z&65535)<(w&65535)?w:z;A=A+1|0}while((A|0)!=(i|0));A=t+(u<<1)|0;w=d[A>>1]|0;d[o+(u<<1)>>1]=(y&65535)<(w&65535)?w:y;w=d[A+2>>1]|0;d[o+((u|1)<<1)>>1]=(B&65535)<(w&65535)?w:B;w=d[A+4>>1]|0;d[o+((u|2)<<1)>>1]=(C&65535)<(w&65535)?w:C;w=d[A+6>>1]|0;d[o+((u|3)<<1)>>1]=(z&65535)<(w&65535)?w:z;w=v+(u<<1)|0;A=d[w>>1]|0;x=u+a|0;d[o+(x<<1)>>1]=(y&65535)<(A&65535)?A:y;A=d[w+2>>1]|0;d[o+(x+1<<1)>>1]=(B&65535)<(A&65535)?A:B;A=d[w+4>>1]|0;d[o+(x+2<<1)>>1]=(C&65535)<(A&65535)?A:C;A=d[w+6>>1]|0;d[o+(x+3<<1)>>1]=(z&65535)<(A&65535)?A:z;u=u+4|0}while((u|0)<=(j|0));r=n}while(0);b:do if((r|0)<(h|0)){u=f[p+4>>2]|0;v=f[p>>2]|0;if(!l){t=f[p+8>>2]|0;s=r;while(1){A=d[u+(s<<1)>>1]|0;x=d[v+(s<<1)>>1]|0;d[o+(s<<1)>>1]=(A&65535)<(x&65535)?x:A;x=d[t+(s<<1)>>1]|0;d[o+(s+a<<1)>>1]=(A&65535)<(x&65535)?x:A;s=s+1|0;if((s|0)==(h|0))break b}}s=f[p+(i<<2)>>2]|0;t=r;do{A=d[u+(t<<1)>>1]|0;x=2;do{w=d[(f[p+(x<<2)>>2]|0)+(t<<1)>>1]|0;A=(A&65535)<(w&65535)?w:A;x=x+1|0}while((x|0)!=(i|0));x=d[v+(t<<1)>>1]|0;d[o+(t<<1)>>1]=(A&65535)<(x&65535)?x:A;x=d[s+(t<<1)>>1]|0;d[o+(t+a<<1)>>1]=(A&65535)<(x&65535)?x:A;t=t+1|0}while((t|0)!=(h|0))}while(0);t=q+-2|0;s=o+(m<<1)|0;v=p+8|0;if((t|0)>1){o=s;p=v;q=t}else{D=s;E=v;F=t;break}}}else{D=c;E=b;F=g}if((F|0)<=0)return;g=h+-4|0;b=(h|0)<4;c=h&-4;q=E;E=F;F=D;while(1){c:do if(b)G=0;else{D=f[q>>2]|0;if(e)H=0;else{p=0;while(1){o=D+(p<<1)|0;m=d[o+2>>1]|0;r=d[o+4>>1]|0;l=d[o+6>>1]|0;d[F+(p<<1)>>1]=d[o>>1]|0;d[F+((p|1)<<1)>>1]=m;d[F+((p|2)<<1)>>1]=r;d[F+((p|3)<<1)>>1]=l;p=p+4|0;if((p|0)>(g|0)){G=c;break c}}}do{p=D+(H<<1)|0;l=d[p+6>>1]|0;r=d[p+4>>1]|0;m=d[p+2>>1]|0;o=d[p>>1]|0;p=1;do{n=(f[q+(p<<2)>>2]|0)+(H<<1)|0;j=d[n>>1]|0;o=(o&65535)<(j&65535)?j:o;j=d[n+2>>1]|0;m=(m&65535)<(j&65535)?j:m;j=d[n+4>>1]|0;r=(r&65535)<(j&65535)?j:r;j=d[n+6>>1]|0;l=(l&65535)<(j&65535)?j:l;p=p+1|0}while((p|0)!=(i|0));d[F+(H<<1)>>1]=o;d[F+((H|1)<<1)>>1]=m;d[F+((H|2)<<1)>>1]=r;d[F+((H|3)<<1)>>1]=l;H=H+4|0}while((H|0)<=(g|0));G=c}while(0);d:do if((G|0)<(h|0)){D=f[q>>2]|0;if(e)I=G;else{p=G;while(1){d[F+(p<<1)>>1]=d[D+(p<<1)>>1]|0;p=p+1|0;if((p|0)==(h|0))break d}}do{p=d[D+(I<<1)>>1]|0;A=1;do{j=d[(f[q+(A<<2)>>2]|0)+(I<<1)>>1]|0;p=(p&65535)<(j&65535)?j:p;A=A+1|0}while((A|0)!=(i|0));d[F+(I<<1)>>1]=p;I=I+1|0}while((I|0)!=(h|0))}while(0);if((E|0)>1){q=q+4|0;E=E+-1|0;F=F+(a<<1)|0}else break}return}function Qqa(a){a=a|0;fuc(a);return}function Rqa(a,c,d,e,g,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0;j=f[a+4>>2]|0;a=(j|0)>1;if(a&(g|0)>1){k=i+-4|0;l=(i|0)<4;m=(j|0)>2;n=e<<1;o=i&-4;p=d;q=c;r=g;while(1){if(l)s=0;else{t=q+4|0;u=0;do{v=(f[t>>2]|0)+u|0;w=b[v>>0]|0;x=b[v+1>>0]|0;y=b[v+2>>0]|0;z=b[v+3>>0]|0;if(m){v=z;A=y;B=x;C=w;D=2;while(1){E=(f[q+(D<<2)>>2]|0)+u|0;F=C&255;G=(h[E>>0]|0)-F+256|0;if(G>>>0<769)H=h[270421+G>>0]|0;else H=0;G=H+F&255;F=B&255;I=(h[E+1>>0]|0)-F+256|0;if(I>>>0<769)J=h[270421+I>>0]|0;else J=0;I=J+F&255;F=A&255;K=(h[E+2>>0]|0)-F+256|0;if(K>>>0<769)L=h[270421+K>>0]|0;else L=0;K=L+F&255;F=v&255;M=(h[E+3>>0]|0)-F+256|0;if(M>>>0<769)N=h[270421+M>>0]|0;else N=0;M=N+F&255;D=D+1|0;if((D|0)==(j|0)){O=M;P=K;Q=I;R=G;S=j;break}else{v=M;A=K;B=I;C=G}}}else{O=z;P=y;Q=x;R=w;S=2}C=(f[q>>2]|0)+u|0;B=R&255;A=(h[C>>0]|0)-B+256|0;if(A>>>0<769)T=h[270421+A>>0]|0;else T=0;b[p+u>>0]=T+B;A=Q&255;v=(h[C+1>>0]|0)-A+256|0;if(v>>>0<769)U=h[270421+v>>0]|0;else U=0;b[p+(u|1)>>0]=U+A;v=P&255;D=(h[C+2>>0]|0)-v+256|0;if(D>>>0<769)V=h[270421+D>>0]|0;else V=0;b[p+(u|2)>>0]=V+v;D=O&255;G=(h[C+3>>0]|0)-D+256|0;if(G>>>0<769)W=h[270421+G>>0]|0;else W=0;b[p+(u|3)>>0]=W+D;G=(f[q+(S<<2)>>2]|0)+u|0;C=(h[G>>0]|0)-B+256|0;if(C>>>0<769)X=h[270421+C>>0]|0;else X=0;C=u+e|0;b[p+C>>0]=X+B;B=(h[G+1>>0]|0)-A+256|0;if(B>>>0<769)Y=h[270421+B>>0]|0;else Y=0;b[p+(C+1)>>0]=Y+A;A=(h[G+2>>0]|0)-v+256|0;if(A>>>0<769)Z=h[270421+A>>0]|0;else Z=0;b[p+(C+2)>>0]=Z+v;v=(h[G+3>>0]|0)-D+256|0;if(v>>>0<769)_=h[270421+v>>0]|0;else _=0;b[p+(C+3)>>0]=_+D;u=u+4|0}while((u|0)<=(k|0));s=o}a:do if((s|0)<(i|0)){u=q+4|0;if(!m){t=q+8|0;D=s;while(1){C=h[(f[u>>2]|0)+D>>0]|0;v=(h[(f[q>>2]|0)+D>>0]|0)-C+256|0;if(v>>>0<769)$=h[270421+v>>0]|0;else $=0;b[p+D>>0]=$+C;v=(h[(f[t>>2]|0)+D>>0]|0)-C+256|0;if(v>>>0<769)aa=h[270421+v>>0]|0;else aa=0;b[p+(D+e)>>0]=aa+C;D=D+1|0;if((D|0)==(i|0))break a}}D=q+(j<<2)|0;t=s;do{w=b[(f[u>>2]|0)+t>>0]|0;x=2;while(1){y=w&255;z=(h[(f[q+(x<<2)>>2]|0)+t>>0]|0)-y+256|0;if(z>>>0<769)ba=h[270421+z>>0]|0;else ba=0;ca=ba+y|0;x=x+1|0;if((x|0)==(j|0))break;else w=ca&255}w=ca&255;x=(h[(f[q>>2]|0)+t>>0]|0)-w+256|0;if(x>>>0<769)da=h[270421+x>>0]|0;else da=0;b[p+t>>0]=da+ca;x=(h[(f[D>>2]|0)+t>>0]|0)-w+256|0;if(x>>>0<769)ea=h[270421+x>>0]|0;else ea=0;b[p+(t+e)>>0]=ea+ca;t=t+1|0}while((t|0)!=(i|0))}while(0);t=r+-2|0;D=p+n|0;u=q+8|0;if((t|0)>1){p=D;q=u;r=t}else{fa=D;ga=u;ha=t;break}}}else{fa=d;ga=c;ha=g}if((ha|0)<=0)return;g=i+-4|0;c=(i|0)<4;d=i&-4;r=ga;ga=ha;ha=fa;while(1){b:do if(c)ia=0;else{if(a)ja=0;else{fa=0;while(1){q=(f[r>>2]|0)+fa|0;p=b[q+1>>0]|0;n=b[q+2>>0]|0;ca=b[q+3>>0]|0;b[ha+fa>>0]=b[q>>0]|0;b[ha+(fa|1)>>0]=p;b[ha+(fa|2)>>0]=n;b[ha+(fa|3)>>0]=ca;fa=fa+4|0;if((fa|0)>(g|0)){ia=d;break b}}}do{fa=(f[r>>2]|0)+ja|0;ca=b[fa+3>>0]|0;n=b[fa+2>>0]|0;p=b[fa+1>>0]|0;q=b[fa>>0]|0;fa=1;do{ea=(f[r+(fa<<2)>>2]|0)+ja|0;da=q&255;ba=(h[ea>>0]|0)-da+256|0;if(ba>>>0<769)ka=h[270421+ba>>0]|0;else ka=0;q=ka+da&255;da=p&255;ba=(h[ea+1>>0]|0)-da+256|0;if(ba>>>0<769)la=h[270421+ba>>0]|0;else la=0;p=la+da&255;da=n&255;ba=(h[ea+2>>0]|0)-da+256|0;if(ba>>>0<769)ma=h[270421+ba>>0]|0;else ma=0;n=ma+da&255;da=ca&255;ba=(h[ea+3>>0]|0)-da+256|0;if(ba>>>0<769)na=h[270421+ba>>0]|0;else na=0;ca=na+da&255;fa=fa+1|0}while((fa|0)!=(j|0));b[ha+ja>>0]=q;b[ha+(ja|1)>>0]=p;b[ha+(ja|2)>>0]=n;b[ha+(ja|3)>>0]=ca;ja=ja+4|0}while((ja|0)<=(g|0));ia=d}while(0);c:do if((ia|0)<(i|0)){if(a)oa=ia;else{fa=ia;while(1){b[ha+fa>>0]=b[(f[r>>2]|0)+fa>>0]|0;fa=fa+1|0;if((fa|0)==(i|0))break c}}do{fa=b[(f[r>>2]|0)+oa>>0]|0;da=1;do{ba=fa&255;ea=(h[(f[r+(da<<2)>>2]|0)+oa>>0]|0)-ba+256|0;if(ea>>>0<769)pa=h[270421+ea>>0]|0;else pa=0;fa=pa+ba&255;da=da+1|0}while((da|0)!=(j|0));b[ha+oa>>0]=fa;oa=oa+1|0}while((oa|0)!=(i|0))}while(0);if((ga|0)>1){r=r+4|0;ga=ga+-1|0;ha=ha+e|0}else break}return}function Sqa(a){a=a|0;fuc(a);return}function Tqa(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0,D=0.0,E=0,F=0,G=0,H=0,I=0,J=0;h=f[a+4>>2]|0;a=d>>>3;d=(h|0)>1;if(d&(e|0)>1){i=g+-4|0;j=(g|0)<4;k=(h|0)>2;l=a<<1;m=g&-4;n=c;o=b;q=e;while(1){a:do if(j)r=0;else{s=f[o+4>>2]|0;t=f[o>>2]|0;if(!k){u=f[o+8>>2]|0;v=0;while(1){w=s+(v<<3)|0;x=+p[w>>3];y=+p[w+8>>3];z=+p[w+16>>3];A=+p[w+24>>3];w=t+(v<<3)|0;B=+p[w>>3];p[n+(v<<3)>>3]=B<x?B:x;B=+p[w+8>>3];p[n+((v|1)<<3)>>3]=B<y?B:y;B=+p[w+16>>3];p[n+((v|2)<<3)>>3]=B<z?B:z;B=+p[w+24>>3];p[n+((v|3)<<3)>>3]=B<A?B:A;w=u+(v<<3)|0;B=+p[w>>3];C=v+a|0;p[n+(C<<3)>>3]=B<x?B:x;x=+p[w+8>>3];p[n+(C+1<<3)>>3]=x<y?x:y;y=+p[w+16>>3];p[n+(C+2<<3)>>3]=y<z?y:z;z=+p[w+24>>3];p[n+(C+3<<3)>>3]=z<A?z:A;v=v+4|0;if((v|0)>(i|0)){r=m;break a}}}v=f[o+(h<<2)>>2]|0;u=0;do{C=s+(u<<3)|0;A=+p[C+24>>3];z=+p[C+16>>3];y=+p[C+8>>3];x=+p[C>>3];C=2;do{w=(f[o+(C<<2)>>2]|0)+(u<<3)|0;B=+p[w>>3];x=B<x?B:x;B=+p[w+8>>3];y=B<y?B:y;B=+p[w+16>>3];z=B<z?B:z;B=+p[w+24>>3];A=B<A?B:A;C=C+1|0}while((C|0)!=(h|0));C=t+(u<<3)|0;B=+p[C>>3];p[n+(u<<3)>>3]=B<x?B:x;B=+p[C+8>>3];p[n+((u|1)<<3)>>3]=B<y?B:y;B=+p[C+16>>3];p[n+((u|2)<<3)>>3]=B<z?B:z;B=+p[C+24>>3];p[n+((u|3)<<3)>>3]=B<A?B:A;C=v+(u<<3)|0;B=+p[C>>3];w=u+a|0;p[n+(w<<3)>>3]=B<x?B:x;B=+p[C+8>>3];p[n+(w+1<<3)>>3]=B<y?B:y;B=+p[C+16>>3];p[n+(w+2<<3)>>3]=B<z?B:z;B=+p[C+24>>3];p[n+(w+3<<3)>>3]=B<A?B:A;u=u+4|0}while((u|0)<=(i|0));r=m}while(0);b:do if((r|0)<(g|0)){u=f[o+4>>2]|0;v=f[o>>2]|0;if(!k){t=f[o+8>>2]|0;s=r;while(1){B=+p[u+(s<<3)>>3];D=+p[v+(s<<3)>>3];p[n+(s<<3)>>3]=D<B?D:B;D=+p[t+(s<<3)>>3];p[n+(s+a<<3)>>3]=D<B?D:B;s=s+1|0;if((s|0)==(g|0))break b}}s=f[o+(h<<2)>>2]|0;t=r;do{B=+p[u+(t<<3)>>3];w=2;do{D=+p[(f[o+(w<<2)>>2]|0)+(t<<3)>>3];B=D<B?D:B;w=w+1|0}while((w|0)!=(h|0));A=+p[v+(t<<3)>>3];p[n+(t<<3)>>3]=A<B?A:B;A=+p[s+(t<<3)>>3];p[n+(t+a<<3)>>3]=A<B?A:B;t=t+1|0}while((t|0)!=(g|0))}while(0);t=q+-2|0;s=n+(l<<3)|0;v=o+8|0;if((t|0)>1){n=s;o=v;q=t}else{E=s;F=v;G=t;break}}}else{E=c;F=b;G=e}if((G|0)<=0)return;e=g+-4|0;b=(g|0)<4;c=g&-4;q=F;F=G;G=E;while(1){c:do if(b)H=0;else{E=f[q>>2]|0;if(d)I=0;else{o=0;while(1){n=E+(o<<3)|0;A=+p[n+8>>3];z=+p[n+16>>3];y=+p[n+24>>3];p[G+(o<<3)>>3]=+p[n>>3];p[G+((o|1)<<3)>>3]=A;p[G+((o|2)<<3)>>3]=z;p[G+((o|3)<<3)>>3]=y;o=o+4|0;if((o|0)>(e|0)){H=c;break c}}}do{o=E+(I<<3)|0;y=+p[o+24>>3];z=+p[o+16>>3];A=+p[o+8>>3];x=+p[o>>3];o=1;do{n=(f[q+(o<<2)>>2]|0)+(I<<3)|0;D=+p[n>>3];x=D<x?D:x;D=+p[n+8>>3];A=D<A?D:A;D=+p[n+16>>3];z=D<z?D:z;D=+p[n+24>>3];y=D<y?D:y;o=o+1|0}while((o|0)!=(h|0));p[G+(I<<3)>>3]=x;p[G+((I|1)<<3)>>3]=A;p[G+((I|2)<<3)>>3]=z;p[G+((I|3)<<3)>>3]=y;I=I+4|0}while((I|0)<=(e|0));H=c}while(0);d:do if((H|0)<(g|0)){E=f[q>>2]|0;if(d)J=H;else{o=H;while(1){p[G+(o<<3)>>3]=+p[E+(o<<3)>>3];o=o+1|0;if((o|0)==(g|0))break d}}do{B=+p[E+(J<<3)>>3];o=1;do{D=+p[(f[q+(o<<2)>>2]|0)+(J<<3)>>3];B=D<B?D:B;o=o+1|0}while((o|0)!=(h|0));p[G+(J<<3)>>3]=B;J=J+1|0}while((J|0)!=(g|0))}while(0);if((F|0)>1){q=q+4|0;F=F+-1|0;G=G+(a<<3)|0}else break}return}function Uqa(a){a=a|0;fuc(a);return}function Vqa(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0,D=0.0,E=0,F=0,G=0,H=0,I=0,J=0;h=f[a+4>>2]|0;a=d>>>2;d=(h|0)>1;if(d&(e|0)>1){i=g+-4|0;j=(g|0)<4;k=(h|0)>2;l=a<<1;m=g&-4;o=c;p=b;q=e;while(1){a:do if(j)r=0;else{s=f[p+4>>2]|0;t=f[p>>2]|0;if(!k){u=f[p+8>>2]|0;v=0;while(1){w=s+(v<<2)|0;x=+n[w>>2];y=+n[w+4>>2];z=+n[w+8>>2];A=+n[w+12>>2];w=t+(v<<2)|0;B=+n[w>>2];n[o+(v<<2)>>2]=B<x?B:x;B=+n[w+4>>2];n[o+((v|1)<<2)>>2]=B<y?B:y;B=+n[w+8>>2];n[o+((v|2)<<2)>>2]=B<z?B:z;B=+n[w+12>>2];n[o+((v|3)<<2)>>2]=B<A?B:A;w=u+(v<<2)|0;B=+n[w>>2];C=v+a|0;n[o+(C<<2)>>2]=B<x?B:x;x=+n[w+4>>2];n[o+(C+1<<2)>>2]=x<y?x:y;y=+n[w+8>>2];n[o+(C+2<<2)>>2]=y<z?y:z;z=+n[w+12>>2];n[o+(C+3<<2)>>2]=z<A?z:A;v=v+4|0;if((v|0)>(i|0)){r=m;break a}}}v=f[p+(h<<2)>>2]|0;u=0;do{C=s+(u<<2)|0;A=+n[C+12>>2];z=+n[C+8>>2];y=+n[C+4>>2];x=+n[C>>2];C=2;do{w=(f[p+(C<<2)>>2]|0)+(u<<2)|0;B=+n[w>>2];x=B<x?B:x;B=+n[w+4>>2];y=B<y?B:y;B=+n[w+8>>2];z=B<z?B:z;B=+n[w+12>>2];A=B<A?B:A;C=C+1|0}while((C|0)!=(h|0));C=t+(u<<2)|0;B=+n[C>>2];n[o+(u<<2)>>2]=B<x?B:x;B=+n[C+4>>2];n[o+((u|1)<<2)>>2]=B<y?B:y;B=+n[C+8>>2];n[o+((u|2)<<2)>>2]=B<z?B:z;B=+n[C+12>>2];n[o+((u|3)<<2)>>2]=B<A?B:A;C=v+(u<<2)|0;B=+n[C>>2];w=u+a|0;n[o+(w<<2)>>2]=B<x?B:x;B=+n[C+4>>2];n[o+(w+1<<2)>>2]=B<y?B:y;B=+n[C+8>>2];n[o+(w+2<<2)>>2]=B<z?B:z;B=+n[C+12>>2];n[o+(w+3<<2)>>2]=B<A?B:A;u=u+4|0}while((u|0)<=(i|0));r=m}while(0);b:do if((r|0)<(g|0)){u=f[p+4>>2]|0;v=f[p>>2]|0;if(!k){t=f[p+8>>2]|0;s=r;while(1){B=+n[u+(s<<2)>>2];D=+n[v+(s<<2)>>2];n[o+(s<<2)>>2]=D<B?D:B;D=+n[t+(s<<2)>>2];n[o+(s+a<<2)>>2]=D<B?D:B;s=s+1|0;if((s|0)==(g|0))break b}}s=f[p+(h<<2)>>2]|0;t=r;do{B=+n[u+(t<<2)>>2];w=2;do{D=+n[(f[p+(w<<2)>>2]|0)+(t<<2)>>2];B=D<B?D:B;w=w+1|0}while((w|0)!=(h|0));A=+n[v+(t<<2)>>2];n[o+(t<<2)>>2]=A<B?A:B;A=+n[s+(t<<2)>>2];n[o+(t+a<<2)>>2]=A<B?A:B;t=t+1|0}while((t|0)!=(g|0))}while(0);t=q+-2|0;s=o+(l<<2)|0;v=p+8|0;if((t|0)>1){o=s;p=v;q=t}else{E=s;F=v;G=t;break}}}else{E=c;F=b;G=e}if((G|0)<=0)return;e=g+-4|0;b=(g|0)<4;c=g&-4;q=F;F=G;G=E;while(1){c:do if(b)H=0;else{E=f[q>>2]|0;if(d)I=0;else{p=0;while(1){o=E+(p<<2)|0;l=f[o+4>>2]|0;r=f[o+8>>2]|0;k=f[o+12>>2]|0;f[G+(p<<2)>>2]=f[o>>2];f[G+((p|1)<<2)>>2]=l;f[G+((p|2)<<2)>>2]=r;f[G+((p|3)<<2)>>2]=k;p=p+4|0;if((p|0)>(e|0)){H=c;break c}}}do{p=E+(I<<2)|0;A=+n[p+12>>2];z=+n[p+8>>2];y=+n[p+4>>2];x=+n[p>>2];p=1;do{k=(f[q+(p<<2)>>2]|0)+(I<<2)|0;D=+n[k>>2];x=D<x?D:x;D=+n[k+4>>2];y=D<y?D:y;D=+n[k+8>>2];z=D<z?D:z;D=+n[k+12>>2];A=D<A?D:A;p=p+1|0}while((p|0)!=(h|0));n[G+(I<<2)>>2]=x;n[G+((I|1)<<2)>>2]=y;n[G+((I|2)<<2)>>2]=z;n[G+((I|3)<<2)>>2]=A;I=I+4|0}while((I|0)<=(e|0));H=c}while(0);d:do if((H|0)<(g|0)){E=f[q>>2]|0;if(d)J=H;else{p=H;while(1){f[G+(p<<2)>>2]=f[E+(p<<2)>>2];p=p+1|0;if((p|0)==(g|0))break d}}do{B=+n[E+(J<<2)>>2];p=1;do{D=+n[(f[q+(p<<2)>>2]|0)+(J<<2)>>2];B=D<B?D:B;p=p+1|0}while((p|0)!=(h|0));n[G+(J<<2)>>2]=B;J=J+1|0}while((J|0)!=(g|0))}while(0);if((F|0)>1){q=q+4|0;F=F+-1|0;G=G+(a<<2)|0}else break}return}function Wqa(a){a=a|0;fuc(a);return}function Xqa(a,b,c,e,g,h){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;i=f[a+4>>2]|0;a=e>>>1;e=(i|0)>1;if(e&(g|0)>1){j=h+-4|0;k=(h|0)<4;l=(i|0)>2;m=a<<1;n=h&-4;o=c;p=b;q=g;while(1){a:do if(k)r=0;else{s=f[p+4>>2]|0;t=f[p>>2]|0;if(!l){u=f[p+8>>2]|0;v=0;while(1){w=s+(v<<1)|0;x=d[w>>1]|0;y=d[w+2>>1]|0;z=d[w+4>>1]|0;A=d[w+6>>1]|0;w=t+(v<<1)|0;B=d[w>>1]|0;d[o+(v<<1)>>1]=B<<16>>16<x<<16>>16?B:x;B=d[w+2>>1]|0;d[o+((v|1)<<1)>>1]=B<<16>>16<y<<16>>16?B:y;B=d[w+4>>1]|0;d[o+((v|2)<<1)>>1]=B<<16>>16<z<<16>>16?B:z;B=d[w+6>>1]|0;d[o+((v|3)<<1)>>1]=B<<16>>16<A<<16>>16?B:A;B=u+(v<<1)|0;w=d[B>>1]|0;C=v+a|0;d[o+(C<<1)>>1]=w<<16>>16<x<<16>>16?w:x;x=d[B+2>>1]|0;d[o+(C+1<<1)>>1]=x<<16>>16<y<<16>>16?x:y;y=d[B+4>>1]|0;d[o+(C+2<<1)>>1]=y<<16>>16<z<<16>>16?y:z;z=d[B+6>>1]|0;d[o+(C+3<<1)>>1]=z<<16>>16<A<<16>>16?z:A;v=v+4|0;if((v|0)>(j|0)){r=n;break a}}}v=f[p+(i<<2)>>2]|0;u=0;do{A=s+(u<<1)|0;z=d[A+6>>1]|0;C=d[A+4>>1]|0;B=d[A+2>>1]|0;y=d[A>>1]|0;A=2;do{x=(f[p+(A<<2)>>2]|0)+(u<<1)|0;w=d[x>>1]|0;y=w<<16>>16<y<<16>>16?w:y;w=d[x+2>>1]|0;B=w<<16>>16<B<<16>>16?w:B;w=d[x+4>>1]|0;C=w<<16>>16<C<<16>>16?w:C;w=d[x+6>>1]|0;z=w<<16>>16<z<<16>>16?w:z;A=A+1|0}while((A|0)!=(i|0));A=t+(u<<1)|0;w=d[A>>1]|0;d[o+(u<<1)>>1]=w<<16>>16<y<<16>>16?w:y;w=d[A+2>>1]|0;d[o+((u|1)<<1)>>1]=w<<16>>16<B<<16>>16?w:B;w=d[A+4>>1]|0;d[o+((u|2)<<1)>>1]=w<<16>>16<C<<16>>16?w:C;w=d[A+6>>1]|0;d[o+((u|3)<<1)>>1]=w<<16>>16<z<<16>>16?w:z;w=v+(u<<1)|0;A=d[w>>1]|0;x=u+a|0;d[o+(x<<1)>>1]=A<<16>>16<y<<16>>16?A:y;A=d[w+2>>1]|0;d[o+(x+1<<1)>>1]=A<<16>>16<B<<16>>16?A:B;A=d[w+4>>1]|0;d[o+(x+2<<1)>>1]=A<<16>>16<C<<16>>16?A:C;A=d[w+6>>1]|0;d[o+(x+3<<1)>>1]=A<<16>>16<z<<16>>16?A:z;u=u+4|0}while((u|0)<=(j|0));r=n}while(0);b:do if((r|0)<(h|0)){u=f[p+4>>2]|0;v=f[p>>2]|0;if(!l){t=f[p+8>>2]|0;s=r;while(1){A=d[u+(s<<1)>>1]|0;x=d[v+(s<<1)>>1]|0;d[o+(s<<1)>>1]=x<<16>>16<A<<16>>16?x:A;x=d[t+(s<<1)>>1]|0;d[o+(s+a<<1)>>1]=x<<16>>16<A<<16>>16?x:A;s=s+1|0;if((s|0)==(h|0))break b}}s=f[p+(i<<2)>>2]|0;t=r;do{A=d[u+(t<<1)>>1]|0;x=2;do{w=d[(f[p+(x<<2)>>2]|0)+(t<<1)>>1]|0;A=w<<16>>16<A<<16>>16?w:A;x=x+1|0}while((x|0)!=(i|0));x=d[v+(t<<1)>>1]|0;d[o+(t<<1)>>1]=x<<16>>16<A<<16>>16?x:A;x=d[s+(t<<1)>>1]|0;d[o+(t+a<<1)>>1]=x<<16>>16<A<<16>>16?x:A;t=t+1|0}while((t|0)!=(h|0))}while(0);t=q+-2|0;s=o+(m<<1)|0;v=p+8|0;if((t|0)>1){o=s;p=v;q=t}else{D=s;E=v;F=t;break}}}else{D=c;E=b;F=g}if((F|0)<=0)return;g=h+-4|0;b=(h|0)<4;c=h&-4;q=E;E=F;F=D;while(1){c:do if(b)G=0;else{D=f[q>>2]|0;if(e)H=0;else{p=0;while(1){o=D+(p<<1)|0;m=d[o+2>>1]|0;r=d[o+4>>1]|0;l=d[o+6>>1]|0;d[F+(p<<1)>>1]=d[o>>1]|0;d[F+((p|1)<<1)>>1]=m;d[F+((p|2)<<1)>>1]=r;d[F+((p|3)<<1)>>1]=l;p=p+4|0;if((p|0)>(g|0)){G=c;break c}}}do{p=D+(H<<1)|0;l=d[p+6>>1]|0;r=d[p+4>>1]|0;m=d[p+2>>1]|0;o=d[p>>1]|0;p=1;do{n=(f[q+(p<<2)>>2]|0)+(H<<1)|0;j=d[n>>1]|0;o=j<<16>>16<o<<16>>16?j:o;j=d[n+2>>1]|0;m=j<<16>>16<m<<16>>16?j:m;j=d[n+4>>1]|0;r=j<<16>>16<r<<16>>16?j:r;j=d[n+6>>1]|0;l=j<<16>>16<l<<16>>16?j:l;p=p+1|0}while((p|0)!=(i|0));d[F+(H<<1)>>1]=o;d[F+((H|1)<<1)>>1]=m;d[F+((H|2)<<1)>>1]=r;d[F+((H|3)<<1)>>1]=l;H=H+4|0}while((H|0)<=(g|0));G=c}while(0);d:do if((G|0)<(h|0)){D=f[q>>2]|0;if(e)I=G;else{p=G;while(1){d[F+(p<<1)>>1]=d[D+(p<<1)>>1]|0;p=p+1|0;if((p|0)==(h|0))break d}}do{p=d[D+(I<<1)>>1]|0;A=1;do{j=d[(f[q+(A<<2)>>2]|0)+(I<<1)>>1]|0;p=j<<16>>16<p<<16>>16?j:p;A=A+1|0}while((A|0)!=(i|0));d[F+(I<<1)>>1]=p;I=I+1|0}while((I|0)!=(h|0))}while(0);if((E|0)>1){q=q+4|0;E=E+-1|0;F=F+(a<<1)|0}else break}return}function Yqa(a){a=a|0;fuc(a);return}function Zqa(a,b,c,e,g,h){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;i=f[a+4>>2]|0;a=e>>>1;e=(i|0)>1;if(e&(g|0)>1){j=h+-4|0;k=(h|0)<4;l=(i|0)>2;m=a<<1;n=h&-4;o=c;p=b;q=g;while(1){a:do if(k)r=0;else{s=f[p+4>>2]|0;t=f[p>>2]|0;if(!l){u=f[p+8>>2]|0;v=0;while(1){w=s+(v<<1)|0;x=d[w>>1]|0;y=d[w+2>>1]|0;z=d[w+4>>1]|0;A=d[w+6>>1]|0;w=t+(v<<1)|0;B=d[w>>1]|0;d[o+(v<<1)>>1]=(B&65535)<(x&65535)?B:x;B=d[w+2>>1]|0;d[o+((v|1)<<1)>>1]=(B&65535)<(y&65535)?B:y;B=d[w+4>>1]|0;d[o+((v|2)<<1)>>1]=(B&65535)<(z&65535)?B:z;B=d[w+6>>1]|0;d[o+((v|3)<<1)>>1]=(B&65535)<(A&65535)?B:A;B=u+(v<<1)|0;w=d[B>>1]|0;C=v+a|0;d[o+(C<<1)>>1]=(w&65535)<(x&65535)?w:x;x=d[B+2>>1]|0;d[o+(C+1<<1)>>1]=(x&65535)<(y&65535)?x:y;y=d[B+4>>1]|0;d[o+(C+2<<1)>>1]=(y&65535)<(z&65535)?y:z;z=d[B+6>>1]|0;d[o+(C+3<<1)>>1]=(z&65535)<(A&65535)?z:A;v=v+4|0;if((v|0)>(j|0)){r=n;break a}}}v=f[p+(i<<2)>>2]|0;u=0;do{A=s+(u<<1)|0;z=d[A+6>>1]|0;C=d[A+4>>1]|0;B=d[A+2>>1]|0;y=d[A>>1]|0;A=2;do{x=(f[p+(A<<2)>>2]|0)+(u<<1)|0;w=d[x>>1]|0;y=(w&65535)<(y&65535)?w:y;w=d[x+2>>1]|0;B=(w&65535)<(B&65535)?w:B;w=d[x+4>>1]|0;C=(w&65535)<(C&65535)?w:C;w=d[x+6>>1]|0;z=(w&65535)<(z&65535)?w:z;A=A+1|0}while((A|0)!=(i|0));A=t+(u<<1)|0;w=d[A>>1]|0;d[o+(u<<1)>>1]=(w&65535)<(y&65535)?w:y;w=d[A+2>>1]|0;d[o+((u|1)<<1)>>1]=(w&65535)<(B&65535)?w:B;w=d[A+4>>1]|0;d[o+((u|2)<<1)>>1]=(w&65535)<(C&65535)?w:C;w=d[A+6>>1]|0;d[o+((u|3)<<1)>>1]=(w&65535)<(z&65535)?w:z;w=v+(u<<1)|0;A=d[w>>1]|0;x=u+a|0;d[o+(x<<1)>>1]=(A&65535)<(y&65535)?A:y;A=d[w+2>>1]|0;d[o+(x+1<<1)>>1]=(A&65535)<(B&65535)?A:B;A=d[w+4>>1]|0;d[o+(x+2<<1)>>1]=(A&65535)<(C&65535)?A:C;A=d[w+6>>1]|0;d[o+(x+3<<1)>>1]=(A&65535)<(z&65535)?A:z;u=u+4|0}while((u|0)<=(j|0));r=n}while(0);b:do if((r|0)<(h|0)){u=f[p+4>>2]|0;v=f[p>>2]|0;if(!l){t=f[p+8>>2]|0;s=r;while(1){A=d[u+(s<<1)>>1]|0;x=d[v+(s<<1)>>1]|0;d[o+(s<<1)>>1]=(x&65535)<(A&65535)?x:A;x=d[t+(s<<1)>>1]|0;d[o+(s+a<<1)>>1]=(x&65535)<(A&65535)?x:A;s=s+1|0;if((s|0)==(h|0))break b}}s=f[p+(i<<2)>>2]|0;t=r;do{A=d[u+(t<<1)>>1]|0;x=2;do{w=d[(f[p+(x<<2)>>2]|0)+(t<<1)>>1]|0;A=(w&65535)<(A&65535)?w:A;x=x+1|0}while((x|0)!=(i|0));x=d[v+(t<<1)>>1]|0;d[o+(t<<1)>>1]=(x&65535)<(A&65535)?x:A;x=d[s+(t<<1)>>1]|0;d[o+(t+a<<1)>>1]=(x&65535)<(A&65535)?x:A;t=t+1|0}while((t|0)!=(h|0))}while(0);t=q+-2|0;s=o+(m<<1)|0;v=p+8|0;if((t|0)>1){o=s;p=v;q=t}else{D=s;E=v;F=t;break}}}else{D=c;E=b;F=g}if((F|0)<=0)return;g=h+-4|0;b=(h|0)<4;c=h&-4;q=E;E=F;F=D;while(1){c:do if(b)G=0;else{D=f[q>>2]|0;if(e)H=0;else{p=0;while(1){o=D+(p<<1)|0;m=d[o+2>>1]|0;r=d[o+4>>1]|0;l=d[o+6>>1]|0;d[F+(p<<1)>>1]=d[o>>1]|0;d[F+((p|1)<<1)>>1]=m;d[F+((p|2)<<1)>>1]=r;d[F+((p|3)<<1)>>1]=l;p=p+4|0;if((p|0)>(g|0)){G=c;break c}}}do{p=D+(H<<1)|0;l=d[p+6>>1]|0;r=d[p+4>>1]|0;m=d[p+2>>1]|0;o=d[p>>1]|0;p=1;do{n=(f[q+(p<<2)>>2]|0)+(H<<1)|0;j=d[n>>1]|0;o=(j&65535)<(o&65535)?j:o;j=d[n+2>>1]|0;m=(j&65535)<(m&65535)?j:m;j=d[n+4>>1]|0;r=(j&65535)<(r&65535)?j:r;j=d[n+6>>1]|0;l=(j&65535)<(l&65535)?j:l;p=p+1|0}while((p|0)!=(i|0));d[F+(H<<1)>>1]=o;d[F+((H|1)<<1)>>1]=m;d[F+((H|2)<<1)>>1]=r;d[F+((H|3)<<1)>>1]=l;H=H+4|0}while((H|0)<=(g|0));G=c}while(0);d:do if((G|0)<(h|0)){D=f[q>>2]|0;if(e)I=G;else{p=G;while(1){d[F+(p<<1)>>1]=d[D+(p<<1)>>1]|0;p=p+1|0;if((p|0)==(h|0))break d}}do{p=d[D+(I<<1)>>1]|0;A=1;do{j=d[(f[q+(A<<2)>>2]|0)+(I<<1)>>1]|0;p=(j&65535)<(p&65535)?j:p;A=A+1|0}while((A|0)!=(i|0));d[F+(I<<1)>>1]=p;I=I+1|0}while((I|0)!=(h|0))}while(0);if((E|0)>1){q=q+4|0;E=E+-1|0;F=F+(a<<1)|0}else break}return}function _qa(a){a=a|0;f[a>>2]=80772;Qtc(a);return}function $qa(a){a=a|0;f[a>>2]=80772;Qtc(a);fuc(a);return}function ara(a){a=a|0;var b=0;b=a+12|0;bi[f[f[b>>2]>>2]&2047](b);return}function bra(a){a=a|0;fuc(a);return}function cra(a){a=a|0;f[a>>2]=80744;Qtc(a);return}function dra(a){a=a|0;f[a>>2]=80744;Qtc(a);fuc(a);return}function era(a){a=a|0;var b=0;b=a+12|0;bi[f[f[b>>2]>>2]&2047](b);return}function fra(a){a=a|0;fuc(a);return}function gra(a){a=a|0;f[a>>2]=80716;Qtc(a);return}function hra(a){a=a|0;f[a>>2]=80716;Qtc(a);fuc(a);return}function ira(a){a=a|0;var b=0;b=a+12|0;bi[f[f[b>>2]>>2]&2047](b);return}function jra(a){a=a|0;fuc(a);return}function kra(a){a=a|0;f[a>>2]=80688;Qtc(a);return}function lra(a){a=a|0;f[a>>2]=80688;Qtc(a);fuc(a);return}function mra(a){a=a|0;var b=0;b=a+12|0;bi[f[f[b>>2]>>2]&2047](b);return}function nra(a){a=a|0;fuc(a);return}function ora(a){a=a|0;f[a>>2]=80660;Qtc(a);return}function pra(a){a=a|0;f[a>>2]=80660;Qtc(a);fuc(a);return}function qra(a){a=a|0;var b=0;b=a+12|0;bi[f[f[b>>2]>>2]&2047](b);return}function rra(a){a=a|0;fuc(a);return}function sra(a){a=a|0;f[a>>2]=80632;Qtc(a);return}function tra(a){a=a|0;f[a>>2]=80632;Qtc(a);fuc(a);return}function ura(a){a=a|0;var b=0;b=a+12|0;bi[f[f[b>>2]>>2]&2047](b);return}function vra(a){a=a|0;fuc(a);return}function wra(a){a=a|0;f[a>>2]=80604;Qtc(a);return}function xra(a){a=a|0;f[a>>2]=80604;Qtc(a);fuc(a);return}function yra(a){a=a|0;var b=0;b=a+12|0;bi[f[f[b>>2]>>2]&2047](b);return}function zra(a){a=a|0;fuc(a);return}function Ara(a){a=a|0;f[a>>2]=80576;Qtc(a);return}function Bra(a){a=a|0;f[a>>2]=80576;Qtc(a);fuc(a);return}function Cra(a){a=a|0;var b=0;b=a+12|0;bi[f[f[b>>2]>>2]&2047](b);return}function Dra(a){a=a|0;fuc(a);return}function Era(a){a=a|0;f[a>>2]=80548;Qtc(a);return}function Fra(a){a=a|0;f[a>>2]=80548;Qtc(a);fuc(a);return}function Gra(a){a=a|0;var b=0;b=a+12|0;bi[f[f[b>>2]>>2]&2047](b);return}function Hra(a){a=a|0;fuc(a);return}function Ira(a){a=a|0;f[a>>2]=80520;Qtc(a);return}function Jra(a){a=a|0;f[a>>2]=80520;Qtc(a);fuc(a);return}function Kra(a){a=a|0;var b=0;b=a+12|0;bi[f[f[b>>2]>>2]&2047](b);return}function Lra(a){a=a|0;fuc(a);return}function Mra(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;h=u;u=u+80|0;i=h;j=h+64|0;k=h+8|0;do if((qJ(e)|0)==65536){l=f[e+4>>2]|0;f[k>>2]=f[l>>2];m=k+4|0;n=l+4|0;f[m>>2]=f[n>>2];o=k+8|0;f[o>>2]=f[l+8>>2];f[k+12>>2]=f[l+12>>2];f[k+16>>2]=f[l+16>>2];f[k+20>>2]=f[l+20>>2];f[k+24>>2]=f[l+24>>2];f[k+28>>2]=f[l+28>>2];f[k+32>>2]=f[l+32>>2];p=f[l+36>>2]|0;f[k+36>>2]=p;q=k+40|0;f[q>>2]=o;o=k+48|0;r=k+44|0;f[r>>2]=o;f[o>>2]=0;f[k+52>>2]=0;if(p|0){o=p+12|0;f[o>>2]=(f[o>>2]|0)+1}if((f[n>>2]|0)<3){n=f[l+44>>2]|0;o=f[r>>2]|0;f[o>>2]=f[n>>2];f[o+4>>2]=f[n+4>>2];s=q;break}else{f[m>>2]=0;$T(k,l);s=q;break}}else{nJ(k,e,-1);s=k+40|0}while(0);e=d&7;q=f[g>>2]|0;l=g+4|0;m=f[l>>2]|0;n=f[s>>2]|0;o=f[n+4>>2]|0;r=f[n>>2]|0;n=(q|0)==-1?(o|0)/2|0:q;q=(m|0)==-1?(r|0)/2|0:m;if(!((n|0)>-1&(n|0)<(o|0))){t=cuc(64)|0;f[j>>2]=t;v=j+8|0;f[v>>2]=-2147483584;w=j+4|0;f[w>>2]=52;x=t;y=358268;z=x+52|0;do{b[x>>0]=b[y>>0]|0;x=x+1|0;y=y+1|0}while((x|0)<(z|0));A=t+52|0;b[A>>0]=0;WD(-215,j,358321,358337,363)}if((q|0)<0|(q|0)>=(r|0)){t=cuc(64)|0;f[j>>2]=t;v=j+8|0;f[v>>2]=-2147483584;w=j+4|0;f[w>>2]=52;x=t;y=358268;z=x+52|0;do{b[x>>0]=b[y>>0]|0;x=x+1|0;y=y+1|0}while((x|0)<(z|0));A=t+52|0;b[A>>0]=0;WD(-215,j,358321,358337,363)}f[g>>2]=n;f[l>>2]=q;if((c|1|0)!=1){f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;l=cuc(48)|0;f[j>>2]=l;f[j+8>>2]=-2147483600;f[j+4>>2]=39;x=l;y=354661;z=x+39|0;do{b[x>>0]=b[y>>0]|0;x=x+1|0;y=y+1|0}while((x|0)<(z|0));b[l+39>>0]=0;WD(-215,j,358414,354724,945)}l=(e|0)==0;a:do if(!c){if(l){e=cuc(60)|0;f[e+4>>2]=0;f[e+8>>2]=0;f[e>>2]=81040;y=e+12|0;f[j>>2]=n;f[j+4>>2]=q;Nra(y,k,j);B=y;C=e;break}switch(d&7){case 2:{e=cuc(60)|0;f[e+4>>2]=0;f[e+8>>2]=0;f[e>>2]=81068;y=e+12|0;f[j>>2]=n;f[j+4>>2]=q;Ora(y,k,j);B=y;C=e;break a;break}case 3:{e=cuc(60)|0;f[e+4>>2]=0;f[e+8>>2]=0;f[e>>2]=81096;y=e+12|0;f[j>>2]=n;f[j+4>>2]=q;Pra(y,k,j);B=y;C=e;break a;break}case 5:{e=cuc(60)|0;f[e+4>>2]=0;f[e+8>>2]=0;f[e>>2]=81124;y=e+12|0;f[j>>2]=n;f[j+4>>2]=q;Qra(y,k,j);B=y;C=e;break a;break}case 6:{e=cuc(60)|0;f[e+4>>2]=0;f[e+8>>2]=0;f[e>>2]=81152;y=e+12|0;f[j>>2]=n;f[j+4>>2]=q;Rra(y,k,j);B=y;C=e;break a;break}default:{f[i>>2]=d;cE(j,354794,i);WD(-213,j,358414,354724,973)}}}else{if(l){e=cuc(60)|0;f[e+4>>2]=0;f[e+8>>2]=0;f[e>>2]=81180;y=e+12|0;f[j>>2]=n;f[j+4>>2]=q;Sra(y,k,j);B=y;C=e;break}switch(d&7){case 2:{e=cuc(60)|0;f[e+4>>2]=0;f[e+8>>2]=0;f[e>>2]=81208;y=e+12|0;f[j>>2]=n;f[j+4>>2]=q;Tra(y,k,j);B=y;C=e;break a;break}case 3:{e=cuc(60)|0;f[e+4>>2]=0;f[e+8>>2]=0;f[e>>2]=81236;y=e+12|0;f[j>>2]=n;f[j+4>>2]=q;Ura(y,k,j);B=y;C=e;break a;break}case 5:{e=cuc(60)|0;f[e+4>>2]=0;f[e+8>>2]=0;f[e>>2]=81264;y=e+12|0;f[j>>2]=n;f[j+4>>2]=q;Vra(y,k,j);B=y;C=e;break a;break}case 6:{e=cuc(60)|0;f[e+4>>2]=0;f[e+8>>2]=0;f[e>>2]=81292;y=e+12|0;f[j>>2]=n;f[j+4>>2]=q;Wra(y,k,j);B=y;C=e;break a;break}default:{f[i>>2]=d;cE(j,354794,i);WD(-213,j,358414,354724,973)}}}while(0);f[a>>2]=B;f[a+4>>2]=C;C=k+36|0;a=f[C>>2]|0;if(a|0?(B=a+12|0,a=f[B>>2]|0,f[B>>2]=a+-1,(a|0)==1):0)aU(k);f[C>>2]=0;C=k+16|0;a=k+4|0;f[C>>2]=0;f[C+4>>2]=0;f[C+8>>2]=0;f[C+12>>2]=0;if((f[a>>2]|0)>0){C=f[s>>2]|0;s=0;do{f[C+(s<<2)>>2]=0;s=s+1|0}while((s|0)<(f[a>>2]|0))}a=f[k+44>>2]|0;if((a|0)==(k+48|0)){u=h;return}TC(a);u=h;return}function Nra(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;e=u;u=u+16|0;g=e;R2(a);f[a>>2]=81536;h=a+20|0;i=a+24|0;j=a+32|0;k=a+36|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;f[h+16>>2]=0;f[h+20>>2]=0;f[a+12>>2]=f[d>>2];f[a+16>>2]=f[d+4>>2];d=f[c+40>>2]|0;l=f[d>>2]|0;f[a+4>>2]=f[d+4>>2];f[a+8>>2]=l;if(f[c>>2]&4095|0){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;l=cuc(32)|0;f[g>>2]=l;f[g+8>>2]=-2147483616;f[g+4>>2]=23;a=l;d=358434;m=a+23|0;do{b[a>>0]=b[d>>0]|0;a=a+1|0;d=d+1|0}while((a|0)<(m|0));b[l+23>>0]=0;WD(-215,g,358458,354724,787)}f[g>>2]=0;l=g+4|0;f[l>>2]=0;f[g+8>>2]=0;n8(c,h,g);c=(f[i>>2]|0)-(f[h>>2]|0)>>3;h=f[k>>2]|0;i=f[j>>2]|0;d=h-i>>2;a=i;i=h;if(c>>>0<=d>>>0){if(c>>>0<d>>>0?(h=a+(c<<2)|0,(i|0)!=(h|0)):0)f[k>>2]=i+(~((i+-4-h|0)>>>2)<<2)}else O2(j,c-d|0);d=f[g>>2]|0;if(!d){u=e;return}if((f[l>>2]|0)!=(d|0))f[l>>2]=d;fuc(d);u=e;return}function Ora(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;e=u;u=u+16|0;g=e;R2(a);f[a>>2]=81512;h=a+20|0;i=a+24|0;j=a+32|0;k=a+36|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;f[h+16>>2]=0;f[h+20>>2]=0;f[a+12>>2]=f[d>>2];f[a+16>>2]=f[d+4>>2];d=f[c+40>>2]|0;l=f[d>>2]|0;f[a+4>>2]=f[d+4>>2];f[a+8>>2]=l;if(f[c>>2]&4095|0){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;l=cuc(32)|0;f[g>>2]=l;f[g+8>>2]=-2147483616;f[g+4>>2]=23;a=l;d=358434;m=a+23|0;do{b[a>>0]=b[d>>0]|0;a=a+1|0;d=d+1|0}while((a|0)<(m|0));b[l+23>>0]=0;WD(-215,g,358458,354724,787)}f[g>>2]=0;l=g+4|0;f[l>>2]=0;f[g+8>>2]=0;n8(c,h,g);c=(f[i>>2]|0)-(f[h>>2]|0)>>3;h=f[k>>2]|0;i=f[j>>2]|0;d=h-i>>2;a=i;i=h;if(c>>>0<=d>>>0){if(c>>>0<d>>>0?(h=a+(c<<2)|0,(i|0)!=(h|0)):0)f[k>>2]=i+(~((i+-4-h|0)>>>2)<<2)}else O2(j,c-d|0);d=f[g>>2]|0;if(!d){u=e;return}if((f[l>>2]|0)!=(d|0))f[l>>2]=d;fuc(d);u=e;return}function Pra(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;e=u;u=u+16|0;g=e;R2(a);f[a>>2]=81488;h=a+20|0;i=a+24|0;j=a+32|0;k=a+36|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;f[h+16>>2]=0;f[h+20>>2]=0;f[a+12>>2]=f[d>>2];f[a+16>>2]=f[d+4>>2];d=f[c+40>>2]|0;l=f[d>>2]|0;f[a+4>>2]=f[d+4>>2];f[a+8>>2]=l;if(f[c>>2]&4095|0){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;l=cuc(32)|0;f[g>>2]=l;f[g+8>>2]=-2147483616;f[g+4>>2]=23;a=l;d=358434;m=a+23|0;do{b[a>>0]=b[d>>0]|0;a=a+1|0;d=d+1|0}while((a|0)<(m|0));b[l+23>>0]=0;WD(-215,g,358458,354724,787)}f[g>>2]=0;l=g+4|0;f[l>>2]=0;f[g+8>>2]=0;n8(c,h,g);c=(f[i>>2]|0)-(f[h>>2]|0)>>3;h=f[k>>2]|0;i=f[j>>2]|0;d=h-i>>2;a=i;i=h;if(c>>>0<=d>>>0){if(c>>>0<d>>>0?(h=a+(c<<2)|0,(i|0)!=(h|0)):0)f[k>>2]=i+(~((i+-4-h|0)>>>2)<<2)}else O2(j,c-d|0);d=f[g>>2]|0;if(!d){u=e;return}if((f[l>>2]|0)!=(d|0))f[l>>2]=d;fuc(d);u=e;return}function Qra(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;e=u;u=u+16|0;g=e;R2(a);f[a>>2]=81464;h=a+20|0;i=a+24|0;j=a+32|0;k=a+36|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;f[h+16>>2]=0;f[h+20>>2]=0;f[a+12>>2]=f[d>>2];f[a+16>>2]=f[d+4>>2];d=f[c+40>>2]|0;l=f[d>>2]|0;f[a+4>>2]=f[d+4>>2];f[a+8>>2]=l;if(f[c>>2]&4095|0){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;l=cuc(32)|0;f[g>>2]=l;f[g+8>>2]=-2147483616;f[g+4>>2]=23;a=l;d=358434;m=a+23|0;do{b[a>>0]=b[d>>0]|0;a=a+1|0;d=d+1|0}while((a|0)<(m|0));b[l+23>>0]=0;WD(-215,g,358458,354724,787)}f[g>>2]=0;l=g+4|0;f[l>>2]=0;f[g+8>>2]=0;n8(c,h,g);c=(f[i>>2]|0)-(f[h>>2]|0)>>3;h=f[k>>2]|0;i=f[j>>2]|0;d=h-i>>2;a=i;i=h;if(c>>>0<=d>>>0){if(c>>>0<d>>>0?(h=a+(c<<2)|0,(i|0)!=(h|0)):0)f[k>>2]=i+(~((i+-4-h|0)>>>2)<<2)}else O2(j,c-d|0);d=f[g>>2]|0;if(!d){u=e;return}if((f[l>>2]|0)!=(d|0))f[l>>2]=d;fuc(d);u=e;return}function Rra(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;e=u;u=u+16|0;g=e;R2(a);f[a>>2]=81440;h=a+20|0;i=a+24|0;j=a+32|0;k=a+36|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;f[h+16>>2]=0;f[h+20>>2]=0;f[a+12>>2]=f[d>>2];f[a+16>>2]=f[d+4>>2];d=f[c+40>>2]|0;l=f[d>>2]|0;f[a+4>>2]=f[d+4>>2];f[a+8>>2]=l;if(f[c>>2]&4095|0){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;l=cuc(32)|0;f[g>>2]=l;f[g+8>>2]=-2147483616;f[g+4>>2]=23;a=l;d=358434;m=a+23|0;do{b[a>>0]=b[d>>0]|0;a=a+1|0;d=d+1|0}while((a|0)<(m|0));b[l+23>>0]=0;WD(-215,g,358458,354724,787)}f[g>>2]=0;l=g+4|0;f[l>>2]=0;f[g+8>>2]=0;n8(c,h,g);c=(f[i>>2]|0)-(f[h>>2]|0)>>3;h=f[k>>2]|0;i=f[j>>2]|0;d=h-i>>2;a=i;i=h;if(c>>>0<=d>>>0){if(c>>>0<d>>>0?(h=a+(c<<2)|0,(i|0)!=(h|0)):0)f[k>>2]=i+(~((i+-4-h|0)>>>2)<<2)}else O2(j,c-d|0);d=f[g>>2]|0;if(!d){u=e;return}if((f[l>>2]|0)!=(d|0))f[l>>2]=d;fuc(d);u=e;return}function Sra(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;e=u;u=u+16|0;g=e;R2(a);f[a>>2]=81416;h=a+20|0;i=a+24|0;j=a+32|0;k=a+36|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;f[h+16>>2]=0;f[h+20>>2]=0;f[a+12>>2]=f[d>>2];f[a+16>>2]=f[d+4>>2];d=f[c+40>>2]|0;l=f[d>>2]|0;f[a+4>>2]=f[d+4>>2];f[a+8>>2]=l;if(f[c>>2]&4095|0){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;l=cuc(32)|0;f[g>>2]=l;f[g+8>>2]=-2147483616;f[g+4>>2]=23;a=l;d=358434;m=a+23|0;do{b[a>>0]=b[d>>0]|0;a=a+1|0;d=d+1|0}while((a|0)<(m|0));b[l+23>>0]=0;WD(-215,g,358458,354724,787)}f[g>>2]=0;l=g+4|0;f[l>>2]=0;f[g+8>>2]=0;n8(c,h,g);c=(f[i>>2]|0)-(f[h>>2]|0)>>3;h=f[k>>2]|0;i=f[j>>2]|0;d=h-i>>2;a=i;i=h;if(c>>>0<=d>>>0){if(c>>>0<d>>>0?(h=a+(c<<2)|0,(i|0)!=(h|0)):0)f[k>>2]=i+(~((i+-4-h|0)>>>2)<<2)}else O2(j,c-d|0);d=f[g>>2]|0;if(!d){u=e;return}if((f[l>>2]|0)!=(d|0))f[l>>2]=d;fuc(d);u=e;return}function Tra(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;e=u;u=u+16|0;g=e;R2(a);f[a>>2]=81392;h=a+20|0;i=a+24|0;j=a+32|0;k=a+36|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;f[h+16>>2]=0;f[h+20>>2]=0;f[a+12>>2]=f[d>>2];f[a+16>>2]=f[d+4>>2];d=f[c+40>>2]|0;l=f[d>>2]|0;f[a+4>>2]=f[d+4>>2];f[a+8>>2]=l;if(f[c>>2]&4095|0){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;l=cuc(32)|0;f[g>>2]=l;f[g+8>>2]=-2147483616;f[g+4>>2]=23;a=l;d=358434;m=a+23|0;do{b[a>>0]=b[d>>0]|0;a=a+1|0;d=d+1|0}while((a|0)<(m|0));b[l+23>>0]=0;WD(-215,g,358458,354724,787)}f[g>>2]=0;l=g+4|0;f[l>>2]=0;f[g+8>>2]=0;n8(c,h,g);c=(f[i>>2]|0)-(f[h>>2]|0)>>3;h=f[k>>2]|0;i=f[j>>2]|0;d=h-i>>2;a=i;i=h;if(c>>>0<=d>>>0){if(c>>>0<d>>>0?(h=a+(c<<2)|0,(i|0)!=(h|0)):0)f[k>>2]=i+(~((i+-4-h|0)>>>2)<<2)}else O2(j,c-d|0);d=f[g>>2]|0;if(!d){u=e;return}if((f[l>>2]|0)!=(d|0))f[l>>2]=d;fuc(d);u=e;return}function Ura(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;e=u;u=u+16|0;g=e;R2(a);f[a>>2]=81368;h=a+20|0;i=a+24|0;j=a+32|0;k=a+36|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;f[h+16>>2]=0;f[h+20>>2]=0;f[a+12>>2]=f[d>>2];f[a+16>>2]=f[d+4>>2];d=f[c+40>>2]|0;l=f[d>>2]|0;f[a+4>>2]=f[d+4>>2];f[a+8>>2]=l;if(f[c>>2]&4095|0){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;l=cuc(32)|0;f[g>>2]=l;f[g+8>>2]=-2147483616;f[g+4>>2]=23;a=l;d=358434;m=a+23|0;do{b[a>>0]=b[d>>0]|0;a=a+1|0;d=d+1|0}while((a|0)<(m|0));b[l+23>>0]=0;WD(-215,g,358458,354724,787)}f[g>>2]=0;l=g+4|0;f[l>>2]=0;f[g+8>>2]=0;n8(c,h,g);c=(f[i>>2]|0)-(f[h>>2]|0)>>3;h=f[k>>2]|0;i=f[j>>2]|0;d=h-i>>2;a=i;i=h;if(c>>>0<=d>>>0){if(c>>>0<d>>>0?(h=a+(c<<2)|0,(i|0)!=(h|0)):0)f[k>>2]=i+(~((i+-4-h|0)>>>2)<<2)}else O2(j,c-d|0);d=f[g>>2]|0;if(!d){u=e;return}if((f[l>>2]|0)!=(d|0))f[l>>2]=d;fuc(d);u=e;return}function Vra(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;e=u;u=u+16|0;g=e;R2(a);f[a>>2]=81344;h=a+20|0;i=a+24|0;j=a+32|0;k=a+36|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;f[h+16>>2]=0;f[h+20>>2]=0;f[a+12>>2]=f[d>>2];f[a+16>>2]=f[d+4>>2];d=f[c+40>>2]|0;l=f[d>>2]|0;f[a+4>>2]=f[d+4>>2];f[a+8>>2]=l;if(f[c>>2]&4095|0){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;l=cuc(32)|0;f[g>>2]=l;f[g+8>>2]=-2147483616;f[g+4>>2]=23;a=l;d=358434;m=a+23|0;do{b[a>>0]=b[d>>0]|0;a=a+1|0;d=d+1|0}while((a|0)<(m|0));b[l+23>>0]=0;WD(-215,g,358458,354724,787)}f[g>>2]=0;l=g+4|0;f[l>>2]=0;f[g+8>>2]=0;n8(c,h,g);c=(f[i>>2]|0)-(f[h>>2]|0)>>3;h=f[k>>2]|0;i=f[j>>2]|0;d=h-i>>2;a=i;i=h;if(c>>>0<=d>>>0){if(c>>>0<d>>>0?(h=a+(c<<2)|0,(i|0)!=(h|0)):0)f[k>>2]=i+(~((i+-4-h|0)>>>2)<<2)}else O2(j,c-d|0);d=f[g>>2]|0;if(!d){u=e;return}if((f[l>>2]|0)!=(d|0))f[l>>2]=d;fuc(d);u=e;return}function Wra(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;e=u;u=u+16|0;g=e;R2(a);f[a>>2]=81320;h=a+20|0;i=a+24|0;j=a+32|0;k=a+36|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;f[h+16>>2]=0;f[h+20>>2]=0;f[a+12>>2]=f[d>>2];f[a+16>>2]=f[d+4>>2];d=f[c+40>>2]|0;l=f[d>>2]|0;f[a+4>>2]=f[d+4>>2];f[a+8>>2]=l;if(f[c>>2]&4095|0){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;l=cuc(32)|0;f[g>>2]=l;f[g+8>>2]=-2147483616;f[g+4>>2]=23;a=l;d=358434;m=a+23|0;do{b[a>>0]=b[d>>0]|0;a=a+1|0;d=d+1|0}while((a|0)<(m|0));b[l+23>>0]=0;WD(-215,g,358458,354724,787)}f[g>>2]=0;l=g+4|0;f[l>>2]=0;f[g+8>>2]=0;n8(c,h,g);c=(f[i>>2]|0)-(f[h>>2]|0)>>3;h=f[k>>2]|0;i=f[j>>2]|0;d=h-i>>2;a=i;i=h;if(c>>>0<=d>>>0){if(c>>>0<d>>>0?(h=a+(c<<2)|0,(i|0)!=(h|0)):0)f[k>>2]=i+(~((i+-4-h|0)>>>2)<<2)}else O2(j,c-d|0);d=f[g>>2]|0;if(!d){u=e;return}if((f[l>>2]|0)!=(d|0))f[l>>2]=d;fuc(d);u=e;return}function Xra(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=81320;b=f[a+32>>2]|0;if(b|0){c=a+36|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+20>>2]|0;if(!b)return;d=a+24|0;a=f[d>>2]|0;if((a|0)!=(b|0))f[d>>2]=a+(~((a+-8-b|0)>>>3)<<3);fuc(b);return}function Yra(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=81320;b=f[a+32>>2]|0;if(b|0){c=a+36|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+20>>2]|0;if(!b){fuc(a);return}d=a+24|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-8-b|0)>>>3)<<3);fuc(b);fuc(a);return}function Zra(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,u=0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0,B=0.0;i=f[a+20>>2]|0;j=f[a+32>>2]|0;k=(f[a+24>>2]|0)-i|0;a=k>>3;l=Y(h,g)|0;if((e|0)<=0)return;g=(k|0)>0;m=l+-4|0;n=(l|0)<4;o=(k|0)>8;k=l&-4;q=e;e=b;b=c;while(1){if(g){c=0;do{r=(f[e+(f[i+(c<<3)+4>>2]<<2)>>2]|0)+((Y(f[i+(c<<3)>>2]|0,h)|0)<<3)|0;f[j+(c<<2)>>2]=r;c=c+1|0}while((c|0)<(a|0))}a:do if(n)s=0;else{c=f[j>>2]|0;if(o)t=0;else{r=0;while(1){u=c+(r<<3)|0;v=+p[u+8>>3];w=+p[u+16>>3];x=+p[u+24>>3];p[b+(r<<3)>>3]=+p[u>>3];p[b+((r|1)<<3)>>3]=v;p[b+((r|2)<<3)>>3]=w;p[b+((r|3)<<3)>>3]=x;r=r+4|0;if((r|0)>(m|0)){s=k;break a}}}do{r=c+(t<<3)|0;x=+p[r+24>>3];w=+p[r+16>>3];v=+p[r+8>>3];y=+p[r>>3];r=1;do{u=(f[j+(r<<2)>>2]|0)+(t<<3)|0;z=+p[u>>3];y=y<z?z:y;z=+p[u+8>>3];v=v<z?z:v;z=+p[u+16>>3];w=w<z?z:w;z=+p[u+24>>3];x=x<z?z:x;r=r+1|0}while((r|0)<(a|0));p[b+(t<<3)>>3]=y;p[b+((t|1)<<3)>>3]=v;p[b+((t|2)<<3)>>3]=w;p[b+((t|3)<<3)>>3]=x;t=t+4|0}while((t|0)<=(m|0));s=k}while(0);b:do if((s|0)<(l|0)){c=f[j>>2]|0;if(o)A=s;else{r=s;while(1){p[b+(r<<3)>>3]=+p[c+(r<<3)>>3];r=r+1|0;if((r|0)==(l|0))break b}}do{z=+p[c+(A<<3)>>3];r=1;do{B=+p[(f[j+(r<<2)>>2]|0)+(A<<3)>>3];z=z<B?B:z;r=r+1|0}while((r|0)<(a|0));p[b+(A<<3)>>3]=z;A=A+1|0}while((A|0)!=(l|0))}while(0);if((q|0)>1){q=q+-1|0;e=e+4|0;b=b+d|0}else break}return}function _ra(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=81292;f[a+12>>2]=81320;b=f[a+44>>2]|0;if(b|0){c=a+48|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+32>>2]|0;if(!b){Qtc(a);return}d=a+36|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-8-b|0)>>>3)<<3);fuc(b);Qtc(a);return}function $ra(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=81292;f[a+12>>2]=81320;b=f[a+44>>2]|0;if(b|0){c=a+48|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+32>>2]|0;if(!b){Qtc(a);fuc(a);return}d=a+36|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-8-b|0)>>>3)<<3);fuc(b);Qtc(a);fuc(a);return}function asa(a){a=a|0;var b=0;b=a+12|0;bi[f[f[b>>2]>>2]&2047](b);return}function bsa(a){a=a|0;fuc(a);return}function csa(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=81344;b=f[a+32>>2]|0;if(b|0){c=a+36|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+20>>2]|0;if(!b)return;d=a+24|0;a=f[d>>2]|0;if((a|0)!=(b|0))f[d>>2]=a+(~((a+-8-b|0)>>>3)<<3);fuc(b);return}function dsa(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=81344;b=f[a+32>>2]|0;if(b|0){c=a+36|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+20>>2]|0;if(!b){fuc(a);return}d=a+24|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-8-b|0)>>>3)<<3);fuc(b);fuc(a);return}function esa(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0,D=0,E=0.0;i=f[a+20>>2]|0;j=f[a+32>>2]|0;k=(f[a+24>>2]|0)-i|0;a=k>>3;l=Y(h,g)|0;if((e|0)<=0)return;g=(k|0)>0;m=l+-4|0;o=(l|0)<4;p=(k|0)>8;k=l&-4;q=e;e=b;b=c;while(1){if(g){c=0;do{r=(f[e+(f[i+(c<<3)+4>>2]<<2)>>2]|0)+((Y(f[i+(c<<3)>>2]|0,h)|0)<<2)|0;f[j+(c<<2)>>2]=r;c=c+1|0}while((c|0)<(a|0))}a:do if(o)s=0;else{c=f[j>>2]|0;if(p)t=0;else{r=0;while(1){u=c+(r<<2)|0;v=f[u+4>>2]|0;w=f[u+8>>2]|0;x=f[u+12>>2]|0;f[b+(r<<2)>>2]=f[u>>2];f[b+((r|1)<<2)>>2]=v;f[b+((r|2)<<2)>>2]=w;f[b+((r|3)<<2)>>2]=x;r=r+4|0;if((r|0)>(m|0)){s=k;break a}}}do{r=c+(t<<2)|0;y=+n[r+12>>2];z=+n[r+8>>2];A=+n[r+4>>2];B=+n[r>>2];r=1;do{x=(f[j+(r<<2)>>2]|0)+(t<<2)|0;C=+n[x>>2];B=B<C?C:B;C=+n[x+4>>2];A=A<C?C:A;C=+n[x+8>>2];z=z<C?C:z;C=+n[x+12>>2];y=y<C?C:y;r=r+1|0}while((r|0)<(a|0));n[b+(t<<2)>>2]=B;n[b+((t|1)<<2)>>2]=A;n[b+((t|2)<<2)>>2]=z;n[b+((t|3)<<2)>>2]=y;t=t+4|0}while((t|0)<=(m|0));s=k}while(0);b:do if((s|0)<(l|0)){c=f[j>>2]|0;if(p)D=s;else{r=s;while(1){f[b+(r<<2)>>2]=f[c+(r<<2)>>2];r=r+1|0;if((r|0)==(l|0))break b}}do{C=+n[c+(D<<2)>>2];r=1;do{E=+n[(f[j+(r<<2)>>2]|0)+(D<<2)>>2];C=C<E?E:C;r=r+1|0}while((r|0)<(a|0));n[b+(D<<2)>>2]=C;D=D+1|0}while((D|0)!=(l|0))}while(0);if((q|0)>1){q=q+-1|0;e=e+4|0;b=b+d|0}else break}return}function fsa(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=81264;f[a+12>>2]=81344;b=f[a+44>>2]|0;if(b|0){c=a+48|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+32>>2]|0;if(!b){Qtc(a);return}d=a+36|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-8-b|0)>>>3)<<3);fuc(b);Qtc(a);return}function gsa(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=81264;f[a+12>>2]=81344;b=f[a+44>>2]|0;if(b|0){c=a+48|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+32>>2]|0;if(!b){Qtc(a);fuc(a);return}d=a+36|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-8-b|0)>>>3)<<3);fuc(b);Qtc(a);fuc(a);return}function hsa(a){a=a|0;var b=0;b=a+12|0;bi[f[f[b>>2]>>2]&2047](b);return}function isa(a){a=a|0;fuc(a);return}function jsa(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=81368;b=f[a+32>>2]|0;if(b|0){c=a+36|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+20>>2]|0;if(!b)return;d=a+24|0;a=f[d>>2]|0;if((a|0)!=(b|0))f[d>>2]=a+(~((a+-8-b|0)>>>3)<<3);fuc(b);return}function ksa(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=81368;b=f[a+32>>2]|0;if(b|0){c=a+36|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+20>>2]|0;if(!b){fuc(a);return}d=a+24|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-8-b|0)>>>3)<<3);fuc(b);fuc(a);return}function lsa(a,b,c,e,g,h,i){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;j=f[a+20>>2]|0;k=f[a+32>>2]|0;l=(f[a+24>>2]|0)-j|0;a=l>>3;m=Y(i,h)|0;if((g|0)<=0)return;h=(l|0)>0;n=m+-4|0;o=(m|0)<4;p=(l|0)>8;l=m&-4;q=g;g=b;b=c;while(1){if(h){c=0;do{r=(f[g+(f[j+(c<<3)+4>>2]<<2)>>2]|0)+((Y(f[j+(c<<3)>>2]|0,i)|0)<<1)|0;f[k+(c<<2)>>2]=r;c=c+1|0}while((c|0)<(a|0))}a:do if(o)s=0;else{c=f[k>>2]|0;if(p)t=0;else{r=0;while(1){u=c+(r<<1)|0;v=d[u+2>>1]|0;w=d[u+4>>1]|0;x=d[u+6>>1]|0;d[b+(r<<1)>>1]=d[u>>1]|0;d[b+((r|1)<<1)>>1]=v;d[b+((r|2)<<1)>>1]=w;d[b+((r|3)<<1)>>1]=x;r=r+4|0;if((r|0)>(n|0)){s=l;break a}}}do{r=c+(t<<1)|0;x=d[r+6>>1]|0;w=d[r+4>>1]|0;v=d[r+2>>1]|0;u=d[r>>1]|0;r=1;do{y=(f[k+(r<<2)>>2]|0)+(t<<1)|0;z=d[y>>1]|0;u=u<<16>>16<z<<16>>16?z:u;z=d[y+2>>1]|0;v=v<<16>>16<z<<16>>16?z:v;z=d[y+4>>1]|0;w=w<<16>>16<z<<16>>16?z:w;z=d[y+6>>1]|0;x=x<<16>>16<z<<16>>16?z:x;r=r+1|0}while((r|0)<(a|0));d[b+(t<<1)>>1]=u;d[b+((t|1)<<1)>>1]=v;d[b+((t|2)<<1)>>1]=w;d[b+((t|3)<<1)>>1]=x;t=t+4|0}while((t|0)<=(n|0));s=l}while(0);b:do if((s|0)<(m|0)){c=f[k>>2]|0;if(p)A=s;else{r=s;while(1){d[b+(r<<1)>>1]=d[c+(r<<1)>>1]|0;r=r+1|0;if((r|0)==(m|0))break b}}do{r=d[c+(A<<1)>>1]|0;z=1;do{y=d[(f[k+(z<<2)>>2]|0)+(A<<1)>>1]|0;r=r<<16>>16<y<<16>>16?y:r;z=z+1|0}while((z|0)<(a|0));d[b+(A<<1)>>1]=r;A=A+1|0}while((A|0)!=(m|0))}while(0);if((q|0)>1){q=q+-1|0;g=g+4|0;b=b+e|0}else break}return}function msa(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=81236;f[a+12>>2]=81368;b=f[a+44>>2]|0;if(b|0){c=a+48|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+32>>2]|0;if(!b){Qtc(a);return}d=a+36|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-8-b|0)>>>3)<<3);fuc(b);Qtc(a);return}function nsa(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=81236;f[a+12>>2]=81368;b=f[a+44>>2]|0;if(b|0){c=a+48|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+32>>2]|0;if(!b){Qtc(a);fuc(a);return}d=a+36|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-8-b|0)>>>3)<<3);fuc(b);Qtc(a);fuc(a);return}function osa(a){a=a|0;var b=0;b=a+12|0;bi[f[f[b>>2]>>2]&2047](b);return}function psa(a){a=a|0;fuc(a);return}function qsa(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=81392;b=f[a+32>>2]|0;if(b|0){c=a+36|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+20>>2]|0;if(!b)return;d=a+24|0;a=f[d>>2]|0;if((a|0)!=(b|0))f[d>>2]=a+(~((a+-8-b|0)>>>3)<<3);fuc(b);return}function rsa(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=81392;b=f[a+32>>2]|0;if(b|0){c=a+36|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+20>>2]|0;if(!b){fuc(a);return}d=a+24|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-8-b|0)>>>3)<<3);fuc(b);fuc(a);return}function ssa(a,b,c,e,g,h,i){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;j=f[a+20>>2]|0;k=f[a+32>>2]|0;l=(f[a+24>>2]|0)-j|0;a=l>>3;m=Y(i,h)|0;if((g|0)<=0)return;h=(l|0)>0;n=m+-4|0;o=(m|0)<4;p=(l|0)>8;l=m&-4;q=g;g=b;b=c;while(1){if(h){c=0;do{r=(f[g+(f[j+(c<<3)+4>>2]<<2)>>2]|0)+((Y(f[j+(c<<3)>>2]|0,i)|0)<<1)|0;f[k+(c<<2)>>2]=r;c=c+1|0}while((c|0)<(a|0))}a:do if(o)s=0;else{c=f[k>>2]|0;if(p)t=0;else{r=0;while(1){u=c+(r<<1)|0;v=d[u+2>>1]|0;w=d[u+4>>1]|0;x=d[u+6>>1]|0;d[b+(r<<1)>>1]=d[u>>1]|0;d[b+((r|1)<<1)>>1]=v;d[b+((r|2)<<1)>>1]=w;d[b+((r|3)<<1)>>1]=x;r=r+4|0;if((r|0)>(n|0)){s=l;break a}}}do{r=c+(t<<1)|0;x=d[r+6>>1]|0;w=d[r+4>>1]|0;v=d[r+2>>1]|0;u=d[r>>1]|0;r=1;do{y=(f[k+(r<<2)>>2]|0)+(t<<1)|0;z=d[y>>1]|0;u=(u&65535)<(z&65535)?z:u;z=d[y+2>>1]|0;v=(v&65535)<(z&65535)?z:v;z=d[y+4>>1]|0;w=(w&65535)<(z&65535)?z:w;z=d[y+6>>1]|0;x=(x&65535)<(z&65535)?z:x;r=r+1|0}while((r|0)<(a|0));d[b+(t<<1)>>1]=u;d[b+((t|1)<<1)>>1]=v;d[b+((t|2)<<1)>>1]=w;d[b+((t|3)<<1)>>1]=x;t=t+4|0}while((t|0)<=(n|0));s=l}while(0);b:do if((s|0)<(m|0)){c=f[k>>2]|0;if(p)A=s;else{r=s;while(1){d[b+(r<<1)>>1]=d[c+(r<<1)>>1]|0;r=r+1|0;if((r|0)==(m|0))break b}}do{r=d[c+(A<<1)>>1]|0;z=1;do{y=d[(f[k+(z<<2)>>2]|0)+(A<<1)>>1]|0;r=(r&65535)<(y&65535)?y:r;z=z+1|0}while((z|0)<(a|0));d[b+(A<<1)>>1]=r;A=A+1|0}while((A|0)!=(m|0))}while(0);if((q|0)>1){q=q+-1|0;g=g+4|0;b=b+e|0}else break}return}function tsa(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=81208;f[a+12>>2]=81392;b=f[a+44>>2]|0;if(b|0){c=a+48|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+32>>2]|0;if(!b){Qtc(a);return}d=a+36|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-8-b|0)>>>3)<<3);fuc(b);Qtc(a);return}function usa(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=81208;f[a+12>>2]=81392;b=f[a+44>>2]|0;if(b|0){c=a+48|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+32>>2]|0;if(!b){Qtc(a);fuc(a);return}d=a+36|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-8-b|0)>>>3)<<3);fuc(b);Qtc(a);fuc(a);return}function vsa(a){a=a|0;var b=0;b=a+12|0;bi[f[f[b>>2]>>2]&2047](b);return}function wsa(a){a=a|0;fuc(a);return}function xsa(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=81416;b=f[a+32>>2]|0;if(b|0){c=a+36|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+20>>2]|0;if(!b)return;d=a+24|0;a=f[d>>2]|0;if((a|0)!=(b|0))f[d>>2]=a+(~((a+-8-b|0)>>>3)<<3);fuc(b);return}function ysa(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=81416;b=f[a+32>>2]|0;if(b|0){c=a+36|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+20>>2]|0;if(!b){fuc(a);return}d=a+24|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-8-b|0)>>>3)<<3);fuc(b);fuc(a);return}function zsa(a,c,d,e,g,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;k=f[a+20>>2]|0;l=f[a+32>>2]|0;m=(f[a+24>>2]|0)-k|0;a=m>>3;n=Y(j,i)|0;if((g|0)<=0)return;i=(m|0)>0;o=n+-4|0;p=(n|0)<4;q=(m|0)>8;m=n&-4;r=c;c=d;d=g;while(1){if(i){g=0;do{s=(f[r+(f[k+(g<<3)+4>>2]<<2)>>2]|0)+(Y(f[k+(g<<3)>>2]|0,j)|0)|0;f[l+(g<<2)>>2]=s;g=g+1|0}while((g|0)<(a|0))}a:do if(p)t=0;else{if(q)u=0;else{g=0;while(1){s=(f[l>>2]|0)+g|0;v=b[s+1>>0]|0;w=b[s+2>>0]|0;x=b[s+3>>0]|0;b[c+g>>0]=b[s>>0]|0;b[c+(g|1)>>0]=v;b[c+(g|2)>>0]=w;b[c+(g|3)>>0]=x;g=g+4|0;if((g|0)>(o|0)){t=m;break a}}}do{g=(f[l>>2]|0)+u|0;x=b[g+3>>0]|0;w=b[g+2>>0]|0;v=b[g+1>>0]|0;s=b[g>>0]|0;g=1;do{y=(f[l+(g<<2)>>2]|0)+u|0;z=s&255;A=(h[y>>0]|0)-z+256|0;if(A>>>0<769)B=h[270421+A>>0]|0;else B=0;s=B+z&255;z=v&255;A=(h[y+1>>0]|0)-z+256|0;if(A>>>0<769)C=h[270421+A>>0]|0;else C=0;v=C+z&255;z=w&255;A=(h[y+2>>0]|0)-z+256|0;if(A>>>0<769)D=h[270421+A>>0]|0;else D=0;w=D+z&255;z=x&255;A=(h[y+3>>0]|0)-z+256|0;if(A>>>0<769)E=h[270421+A>>0]|0;else E=0;x=E+z&255;g=g+1|0}while((g|0)<(a|0));b[c+u>>0]=s;b[c+(u|1)>>0]=v;b[c+(u|2)>>0]=w;b[c+(u|3)>>0]=x;u=u+4|0}while((u|0)<=(o|0));t=m}while(0);b:do if((t|0)<(n|0)){if(q)F=t;else{g=t;while(1){b[c+g>>0]=b[(f[l>>2]|0)+g>>0]|0;g=g+1|0;if((g|0)==(n|0))break b}}do{g=b[(f[l>>2]|0)+F>>0]|0;z=1;do{A=g&255;y=(h[(f[l+(z<<2)>>2]|0)+F>>0]|0)-A+256|0;if(y>>>0<769)G=h[270421+y>>0]|0;else G=0;g=G+A&255;z=z+1|0}while((z|0)<(a|0));b[c+F>>0]=g;F=F+1|0}while((F|0)!=(n|0))}while(0);if((d|0)>1){r=r+4|0;c=c+e|0;d=d+-1|0}else break}return}function Asa(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=81180;f[a+12>>2]=81416;b=f[a+44>>2]|0;if(b|0){c=a+48|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+32>>2]|0;if(!b){Qtc(a);return}d=a+36|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-8-b|0)>>>3)<<3);fuc(b);Qtc(a);return}function Bsa(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=81180;f[a+12>>2]=81416;b=f[a+44>>2]|0;if(b|0){c=a+48|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+32>>2]|0;if(!b){Qtc(a);fuc(a);return}d=a+36|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-8-b|0)>>>3)<<3);fuc(b);Qtc(a);fuc(a);return}function Csa(a){a=a|0;var b=0;b=a+12|0;bi[f[f[b>>2]>>2]&2047](b);return}function Dsa(a){a=a|0;fuc(a);return}function Esa(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=81440;b=f[a+32>>2]|0;if(b|0){c=a+36|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+20>>2]|0;if(!b)return;d=a+24|0;a=f[d>>2]|0;if((a|0)!=(b|0))f[d>>2]=a+(~((a+-8-b|0)>>>3)<<3);fuc(b);return}function Fsa(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=81440;b=f[a+32>>2]|0;if(b|0){c=a+36|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+20>>2]|0;if(!b){fuc(a);return}d=a+24|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-8-b|0)>>>3)<<3);fuc(b);fuc(a);return}function Gsa(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,u=0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0,B=0.0;i=f[a+20>>2]|0;j=f[a+32>>2]|0;k=(f[a+24>>2]|0)-i|0;a=k>>3;l=Y(h,g)|0;if((e|0)<=0)return;g=(k|0)>0;m=l+-4|0;n=(l|0)<4;o=(k|0)>8;k=l&-4;q=e;e=b;b=c;while(1){if(g){c=0;do{r=(f[e+(f[i+(c<<3)+4>>2]<<2)>>2]|0)+((Y(f[i+(c<<3)>>2]|0,h)|0)<<3)|0;f[j+(c<<2)>>2]=r;c=c+1|0}while((c|0)<(a|0))}a:do if(n)s=0;else{c=f[j>>2]|0;if(o)t=0;else{r=0;while(1){u=c+(r<<3)|0;v=+p[u+8>>3];w=+p[u+16>>3];x=+p[u+24>>3];p[b+(r<<3)>>3]=+p[u>>3];p[b+((r|1)<<3)>>3]=v;p[b+((r|2)<<3)>>3]=w;p[b+((r|3)<<3)>>3]=x;r=r+4|0;if((r|0)>(m|0)){s=k;break a}}}do{r=c+(t<<3)|0;x=+p[r+24>>3];w=+p[r+16>>3];v=+p[r+8>>3];y=+p[r>>3];r=1;do{u=(f[j+(r<<2)>>2]|0)+(t<<3)|0;z=+p[u>>3];y=z<y?z:y;z=+p[u+8>>3];v=z<v?z:v;z=+p[u+16>>3];w=z<w?z:w;z=+p[u+24>>3];x=z<x?z:x;r=r+1|0}while((r|0)<(a|0));p[b+(t<<3)>>3]=y;p[b+((t|1)<<3)>>3]=v;p[b+((t|2)<<3)>>3]=w;p[b+((t|3)<<3)>>3]=x;t=t+4|0}while((t|0)<=(m|0));s=k}while(0);b:do if((s|0)<(l|0)){c=f[j>>2]|0;if(o)A=s;else{r=s;while(1){p[b+(r<<3)>>3]=+p[c+(r<<3)>>3];r=r+1|0;if((r|0)==(l|0))break b}}do{z=+p[c+(A<<3)>>3];r=1;do{B=+p[(f[j+(r<<2)>>2]|0)+(A<<3)>>3];z=B<z?B:z;r=r+1|0}while((r|0)<(a|0));p[b+(A<<3)>>3]=z;A=A+1|0}while((A|0)!=(l|0))}while(0);if((q|0)>1){q=q+-1|0;e=e+4|0;b=b+d|0}else break}return}function Hsa(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=81152;f[a+12>>2]=81440;b=f[a+44>>2]|0;if(b|0){c=a+48|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+32>>2]|0;if(!b){Qtc(a);return}d=a+36|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-8-b|0)>>>3)<<3);fuc(b);Qtc(a);return}function Isa(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=81152;f[a+12>>2]=81440;b=f[a+44>>2]|0;if(b|0){c=a+48|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+32>>2]|0;if(!b){Qtc(a);fuc(a);return}d=a+36|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-8-b|0)>>>3)<<3);fuc(b);Qtc(a);fuc(a);return}function Jsa(a){a=a|0;var b=0;b=a+12|0;bi[f[f[b>>2]>>2]&2047](b);return}function Ksa(a){a=a|0;fuc(a);return}function Lsa(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=81464;b=f[a+32>>2]|0;if(b|0){c=a+36|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+20>>2]|0;if(!b)return;d=a+24|0;a=f[d>>2]|0;if((a|0)!=(b|0))f[d>>2]=a+(~((a+-8-b|0)>>>3)<<3);fuc(b);return}function Msa(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=81464;b=f[a+32>>2]|0;if(b|0){c=a+36|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+20>>2]|0;if(!b){fuc(a);return}d=a+24|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-8-b|0)>>>3)<<3);fuc(b);fuc(a);return}function Nsa(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0,D=0,E=0.0;i=f[a+20>>2]|0;j=f[a+32>>2]|0;k=(f[a+24>>2]|0)-i|0;a=k>>3;l=Y(h,g)|0;if((e|0)<=0)return;g=(k|0)>0;m=l+-4|0;o=(l|0)<4;p=(k|0)>8;k=l&-4;q=e;e=b;b=c;while(1){if(g){c=0;do{r=(f[e+(f[i+(c<<3)+4>>2]<<2)>>2]|0)+((Y(f[i+(c<<3)>>2]|0,h)|0)<<2)|0;f[j+(c<<2)>>2]=r;c=c+1|0}while((c|0)<(a|0))}a:do if(o)s=0;else{c=f[j>>2]|0;if(p)t=0;else{r=0;while(1){u=c+(r<<2)|0;v=f[u+4>>2]|0;w=f[u+8>>2]|0;x=f[u+12>>2]|0;f[b+(r<<2)>>2]=f[u>>2];f[b+((r|1)<<2)>>2]=v;f[b+((r|2)<<2)>>2]=w;f[b+((r|3)<<2)>>2]=x;r=r+4|0;if((r|0)>(m|0)){s=k;break a}}}do{r=c+(t<<2)|0;y=+n[r+12>>2];z=+n[r+8>>2];A=+n[r+4>>2];B=+n[r>>2];r=1;do{x=(f[j+(r<<2)>>2]|0)+(t<<2)|0;C=+n[x>>2];B=C<B?C:B;C=+n[x+4>>2];A=C<A?C:A;C=+n[x+8>>2];z=C<z?C:z;C=+n[x+12>>2];y=C<y?C:y;r=r+1|0}while((r|0)<(a|0));n[b+(t<<2)>>2]=B;n[b+((t|1)<<2)>>2]=A;n[b+((t|2)<<2)>>2]=z;n[b+((t|3)<<2)>>2]=y;t=t+4|0}while((t|0)<=(m|0));s=k}while(0);b:do if((s|0)<(l|0)){c=f[j>>2]|0;if(p)D=s;else{r=s;while(1){f[b+(r<<2)>>2]=f[c+(r<<2)>>2];r=r+1|0;if((r|0)==(l|0))break b}}do{C=+n[c+(D<<2)>>2];r=1;do{E=+n[(f[j+(r<<2)>>2]|0)+(D<<2)>>2];C=E<C?E:C;r=r+1|0}while((r|0)<(a|0));n[b+(D<<2)>>2]=C;D=D+1|0}while((D|0)!=(l|0))}while(0);if((q|0)>1){q=q+-1|0;e=e+4|0;b=b+d|0}else break}return}function Osa(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=81124;f[a+12>>2]=81464;b=f[a+44>>2]|0;if(b|0){c=a+48|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+32>>2]|0;if(!b){Qtc(a);return}d=a+36|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-8-b|0)>>>3)<<3);fuc(b);Qtc(a);return}function Psa(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=81124;f[a+12>>2]=81464;b=f[a+44>>2]|0;if(b|0){c=a+48|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+32>>2]|0;if(!b){Qtc(a);fuc(a);return}d=a+36|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-8-b|0)>>>3)<<3);fuc(b);Qtc(a);fuc(a);return}function Qsa(a){a=a|0;var b=0;b=a+12|0;bi[f[f[b>>2]>>2]&2047](b);return}function Rsa(a){a=a|0;fuc(a);return}function Ssa(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=81488;b=f[a+32>>2]|0;if(b|0){c=a+36|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+20>>2]|0;if(!b)return;d=a+24|0;a=f[d>>2]|0;if((a|0)!=(b|0))f[d>>2]=a+(~((a+-8-b|0)>>>3)<<3);fuc(b);return}function Tsa(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=81488;b=f[a+32>>2]|0;if(b|0){c=a+36|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+20>>2]|0;if(!b){fuc(a);return}d=a+24|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-8-b|0)>>>3)<<3);fuc(b);fuc(a);return}function Usa(a,b,c,e,g,h,i){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;j=f[a+20>>2]|0;k=f[a+32>>2]|0;l=(f[a+24>>2]|0)-j|0;a=l>>3;m=Y(i,h)|0;if((g|0)<=0)return;h=(l|0)>0;n=m+-4|0;o=(m|0)<4;p=(l|0)>8;l=m&-4;q=g;g=b;b=c;while(1){if(h){c=0;do{r=(f[g+(f[j+(c<<3)+4>>2]<<2)>>2]|0)+((Y(f[j+(c<<3)>>2]|0,i)|0)<<1)|0;f[k+(c<<2)>>2]=r;c=c+1|0}while((c|0)<(a|0))}a:do if(o)s=0;else{c=f[k>>2]|0;if(p)t=0;else{r=0;while(1){u=c+(r<<1)|0;v=d[u+2>>1]|0;w=d[u+4>>1]|0;x=d[u+6>>1]|0;d[b+(r<<1)>>1]=d[u>>1]|0;d[b+((r|1)<<1)>>1]=v;d[b+((r|2)<<1)>>1]=w;d[b+((r|3)<<1)>>1]=x;r=r+4|0;if((r|0)>(n|0)){s=l;break a}}}do{r=c+(t<<1)|0;x=d[r+6>>1]|0;w=d[r+4>>1]|0;v=d[r+2>>1]|0;u=d[r>>1]|0;r=1;do{y=(f[k+(r<<2)>>2]|0)+(t<<1)|0;z=d[y>>1]|0;u=z<<16>>16<u<<16>>16?z:u;z=d[y+2>>1]|0;v=z<<16>>16<v<<16>>16?z:v;z=d[y+4>>1]|0;w=z<<16>>16<w<<16>>16?z:w;z=d[y+6>>1]|0;x=z<<16>>16<x<<16>>16?z:x;r=r+1|0}while((r|0)<(a|0));d[b+(t<<1)>>1]=u;d[b+((t|1)<<1)>>1]=v;d[b+((t|2)<<1)>>1]=w;d[b+((t|3)<<1)>>1]=x;t=t+4|0}while((t|0)<=(n|0));s=l}while(0);b:do if((s|0)<(m|0)){c=f[k>>2]|0;if(p)A=s;else{r=s;while(1){d[b+(r<<1)>>1]=d[c+(r<<1)>>1]|0;r=r+1|0;if((r|0)==(m|0))break b}}do{r=d[c+(A<<1)>>1]|0;z=1;do{y=d[(f[k+(z<<2)>>2]|0)+(A<<1)>>1]|0;r=y<<16>>16<r<<16>>16?y:r;z=z+1|0}while((z|0)<(a|0));d[b+(A<<1)>>1]=r;A=A+1|0}while((A|0)!=(m|0))}while(0);if((q|0)>1){q=q+-1|0;g=g+4|0;b=b+e|0}else break}return}function Vsa(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=81096;f[a+12>>2]=81488;b=f[a+44>>2]|0;if(b|0){c=a+48|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+32>>2]|0;if(!b){Qtc(a);return}d=a+36|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-8-b|0)>>>3)<<3);fuc(b);Qtc(a);return}function Wsa(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=81096;f[a+12>>2]=81488;b=f[a+44>>2]|0;if(b|0){c=a+48|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+32>>2]|0;if(!b){Qtc(a);fuc(a);return}d=a+36|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-8-b|0)>>>3)<<3);fuc(b);Qtc(a);fuc(a);return}function Xsa(a){a=a|0;var b=0;b=a+12|0;bi[f[f[b>>2]>>2]&2047](b);return}function Ysa(a){a=a|0;fuc(a);return}function Zsa(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=81512;b=f[a+32>>2]|0;if(b|0){c=a+36|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+20>>2]|0;if(!b)return;d=a+24|0;a=f[d>>2]|0;if((a|0)!=(b|0))f[d>>2]=a+(~((a+-8-b|0)>>>3)<<3);fuc(b);return}function _sa(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=81512;b=f[a+32>>2]|0;if(b|0){c=a+36|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+20>>2]|0;if(!b){fuc(a);return}d=a+24|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-8-b|0)>>>3)<<3);fuc(b);fuc(a);return}function $sa(a,b,c,e,g,h,i){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;j=f[a+20>>2]|0;k=f[a+32>>2]|0;l=(f[a+24>>2]|0)-j|0;a=l>>3;m=Y(i,h)|0;if((g|0)<=0)return;h=(l|0)>0;n=m+-4|0;o=(m|0)<4;p=(l|0)>8;l=m&-4;q=g;g=b;b=c;while(1){if(h){c=0;do{r=(f[g+(f[j+(c<<3)+4>>2]<<2)>>2]|0)+((Y(f[j+(c<<3)>>2]|0,i)|0)<<1)|0;f[k+(c<<2)>>2]=r;c=c+1|0}while((c|0)<(a|0))}a:do if(o)s=0;else{c=f[k>>2]|0;if(p)t=0;else{r=0;while(1){u=c+(r<<1)|0;v=d[u+2>>1]|0;w=d[u+4>>1]|0;x=d[u+6>>1]|0;d[b+(r<<1)>>1]=d[u>>1]|0;d[b+((r|1)<<1)>>1]=v;d[b+((r|2)<<1)>>1]=w;d[b+((r|3)<<1)>>1]=x;r=r+4|0;if((r|0)>(n|0)){s=l;break a}}}do{r=c+(t<<1)|0;x=d[r+6>>1]|0;w=d[r+4>>1]|0;v=d[r+2>>1]|0;u=d[r>>1]|0;r=1;do{y=(f[k+(r<<2)>>2]|0)+(t<<1)|0;z=d[y>>1]|0;u=(z&65535)<(u&65535)?z:u;z=d[y+2>>1]|0;v=(z&65535)<(v&65535)?z:v;z=d[y+4>>1]|0;w=(z&65535)<(w&65535)?z:w;z=d[y+6>>1]|0;x=(z&65535)<(x&65535)?z:x;r=r+1|0}while((r|0)<(a|0));d[b+(t<<1)>>1]=u;d[b+((t|1)<<1)>>1]=v;d[b+((t|2)<<1)>>1]=w;d[b+((t|3)<<1)>>1]=x;t=t+4|0}while((t|0)<=(n|0));s=l}while(0);b:do if((s|0)<(m|0)){c=f[k>>2]|0;if(p)A=s;else{r=s;while(1){d[b+(r<<1)>>1]=d[c+(r<<1)>>1]|0;r=r+1|0;if((r|0)==(m|0))break b}}do{r=d[c+(A<<1)>>1]|0;z=1;do{y=d[(f[k+(z<<2)>>2]|0)+(A<<1)>>1]|0;r=(y&65535)<(r&65535)?y:r;z=z+1|0}while((z|0)<(a|0));d[b+(A<<1)>>1]=r;A=A+1|0}while((A|0)!=(m|0))}while(0);if((q|0)>1){q=q+-1|0;g=g+4|0;b=b+e|0}else break}return}function ata(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=81068;f[a+12>>2]=81512;b=f[a+44>>2]|0;if(b|0){c=a+48|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+32>>2]|0;if(!b){Qtc(a);return}d=a+36|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-8-b|0)>>>3)<<3);fuc(b);Qtc(a);return}function bta(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=81068;f[a+12>>2]=81512;b=f[a+44>>2]|0;if(b|0){c=a+48|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+32>>2]|0;if(!b){Qtc(a);fuc(a);return}d=a+36|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-8-b|0)>>>3)<<3);fuc(b);Qtc(a);fuc(a);return}function cta(a){a=a|0;var b=0;b=a+12|0;bi[f[f[b>>2]>>2]&2047](b);return}function dta(a){a=a|0;fuc(a);return}function eta(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=81536;b=f[a+32>>2]|0;if(b|0){c=a+36|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+20>>2]|0;if(!b)return;d=a+24|0;a=f[d>>2]|0;if((a|0)!=(b|0))f[d>>2]=a+(~((a+-8-b|0)>>>3)<<3);fuc(b);return}function fta(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=81536;b=f[a+32>>2]|0;if(b|0){c=a+36|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+20>>2]|0;if(!b){fuc(a);return}d=a+24|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-8-b|0)>>>3)<<3);fuc(b);fuc(a);return}function gta(a,c,d,e,g,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;k=f[a+20>>2]|0;l=f[a+32>>2]|0;m=(f[a+24>>2]|0)-k|0;a=m>>3;n=Y(j,i)|0;if((g|0)<=0)return;i=(m|0)>0;o=n+-4|0;p=(n|0)<4;q=(m|0)>8;m=n&-4;r=c;c=d;d=g;while(1){if(i){g=0;do{s=(f[r+(f[k+(g<<3)+4>>2]<<2)>>2]|0)+(Y(f[k+(g<<3)>>2]|0,j)|0)|0;f[l+(g<<2)>>2]=s;g=g+1|0}while((g|0)<(a|0))}a:do if(p)t=0;else{if(q)u=0;else{g=0;while(1){s=(f[l>>2]|0)+g|0;v=b[s+1>>0]|0;w=b[s+2>>0]|0;x=b[s+3>>0]|0;b[c+g>>0]=b[s>>0]|0;b[c+(g|1)>>0]=v;b[c+(g|2)>>0]=w;b[c+(g|3)>>0]=x;g=g+4|0;if((g|0)>(o|0)){t=m;break a}}}do{g=(f[l>>2]|0)+u|0;x=b[g+3>>0]|0;w=b[g+2>>0]|0;v=b[g+1>>0]|0;s=b[g>>0]|0;g=1;do{y=(f[l+(g<<2)>>2]|0)+u|0;z=s&255;A=z-(h[y>>0]|0)+256|0;if(A>>>0<769)B=h[270421+A>>0]|0;else B=0;s=z-B&255;z=v&255;A=z-(h[y+1>>0]|0)+256|0;if(A>>>0<769)C=h[270421+A>>0]|0;else C=0;v=z-C&255;z=w&255;A=z-(h[y+2>>0]|0)+256|0;if(A>>>0<769)D=h[270421+A>>0]|0;else D=0;w=z-D&255;z=x&255;A=z-(h[y+3>>0]|0)+256|0;if(A>>>0<769)E=h[270421+A>>0]|0;else E=0;x=z-E&255;g=g+1|0}while((g|0)<(a|0));b[c+u>>0]=s;b[c+(u|1)>>0]=v;b[c+(u|2)>>0]=w;b[c+(u|3)>>0]=x;u=u+4|0}while((u|0)<=(o|0));t=m}while(0);b:do if((t|0)<(n|0)){if(q)F=t;else{g=t;while(1){b[c+g>>0]=b[(f[l>>2]|0)+g>>0]|0;g=g+1|0;if((g|0)==(n|0))break b}}do{g=b[(f[l>>2]|0)+F>>0]|0;z=1;do{A=g&255;y=A-(h[(f[l+(z<<2)>>2]|0)+F>>0]|0)+256|0;if(y>>>0<769)G=h[270421+y>>0]|0;else G=0;g=A-G&255;z=z+1|0}while((z|0)<(a|0));b[c+F>>0]=g;F=F+1|0}while((F|0)!=(n|0))}while(0);if((d|0)>1){r=r+4|0;c=c+e|0;d=d+-1|0}else break}return}function hta(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=81040;f[a+12>>2]=81536;b=f[a+44>>2]|0;if(b|0){c=a+48|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+32>>2]|0;if(!b){Qtc(a);return}d=a+36|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-8-b|0)>>>3)<<3);fuc(b);Qtc(a);return}function ita(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=81040;f[a+12>>2]=81536;b=f[a+44>>2]|0;if(b|0){c=a+48|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+32>>2]|0;if(!b){Qtc(a);fuc(a);return}d=a+36|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-8-b|0)>>>3)<<3);fuc(b);Qtc(a);fuc(a);return}function jta(a){a=a|0;var b=0;b=a+12|0;bi[f[f[b>>2]>>2]&2047](b);return}function kta(a){a=a|0;fuc(a);return}function lta(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0.0,K=0.0,L=0.0,M=0.0,N=0.0,O=0.0;k=u;u=u+144|0;l=k+128|0;m=k+72|0;n=k+64|0;o=k+56|0;q=k;r=k+32|0;s=k+48|0;do if((qJ(e)|0)==65536){t=f[e+4>>2]|0;f[m>>2]=f[t>>2];v=m+4|0;w=t+4|0;f[v>>2]=f[w>>2];x=m+8|0;f[x>>2]=f[t+8>>2];f[m+12>>2]=f[t+12>>2];f[m+16>>2]=f[t+16>>2];f[m+20>>2]=f[t+20>>2];f[m+24>>2]=f[t+24>>2];f[m+28>>2]=f[t+28>>2];f[m+32>>2]=f[t+32>>2];y=f[t+36>>2]|0;f[m+36>>2]=y;z=m+40|0;f[z>>2]=x;x=m+48|0;A=m+44|0;f[A>>2]=x;f[x>>2]=0;f[m+52>>2]=0;if(y|0){x=y+12|0;f[x>>2]=(f[x>>2]|0)+1}if((f[w>>2]|0)<3){w=f[t+44>>2]|0;x=f[A>>2]|0;f[x>>2]=f[w>>2];f[x+4>>2]=f[w+4>>2];B=z;break}else{f[v>>2]=0;$T(m,t);B=z;break}}else{nJ(m,e,-1);B=m+40|0}while(0);e=f[g>>2]|0;z=g+4|0;t=f[z>>2]|0;v=f[B>>2]|0;w=f[v+4>>2]|0;x=f[v>>2]|0;v=(e|0)==-1?(w|0)/2|0:e;e=(t|0)==-1?(x|0)/2|0:t;if(!((v|0)>-1&(v|0)<(w|0))){C=cuc(64)|0;f[l>>2]=C;D=l+8|0;f[D>>2]=-2147483584;E=l+4|0;f[E>>2]=52;F=C;G=358268;H=F+52|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));I=C+52|0;b[I>>0]=0;WD(-215,l,358321,358337,363)}if((e|0)<0|(e|0)>=(x|0)){C=cuc(64)|0;f[l>>2]=C;D=l+8|0;f[D>>2]=-2147483584;E=l+4|0;f[E>>2]=52;F=C;G=358268;H=F+52|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));I=C+52|0;b[I>>0]=0;WD(-215,l,358321,358337,363)}f[g>>2]=v;f[z>>2]=e;f[l>>2]=0;e=l+4|0;f[e>>2]=0;f[n>>2]=0;v=n+4|0;f[v>>2]=0;f[o>>2]=0;I=o+4|0;f[I>>2]=0;f[q+8>>2]=0;f[q+12>>2]=0;f[q>>2]=16842752;f[q+4>>2]=m;C=wG(q)|0;E=m+8|0;D=f[m+12>>2]|0;if((C|0)==(Y(D,f[E>>2]|0)|0)){ypa(q,c,d,D,f[g>>2]|0);D=f[q>>2]|0;C=f[q+4>>2]|0;x=(C|0)==0;if(!x)Wtc(C);f[l>>2]=D;D=f[e>>2]|0;f[e>>2]=C;if(D|0)Xtc(D);if(!x)Xtc(C);Fqa(q,c,d,f[E>>2]|0,f[z>>2]|0);E=f[q>>2]|0;C=f[q+4>>2]|0;x=(C|0)==0;if(!x)Wtc(C);f[n>>2]=E;E=f[v>>2]|0;f[v>>2]=C;if(E|0)Xtc(E);if(!x)Xtc(C)}else{f[r+8>>2]=0;f[r+12>>2]=0;f[r>>2]=16842752;f[r+4>>2]=m;f[s>>2]=f[g>>2];f[s+4>>2]=f[z>>2];Mra(q,c,d,r,s);s=f[q>>2]|0;z=f[q+4>>2]|0;g=(z|0)==0;if(!g)Wtc(z);f[o>>2]=s;s=f[I>>2]|0;f[I>>2]=z;if(s|0)Xtc(s);if(!g)Xtc(z)}J=+p[j>>3];p[q>>3]=J;K=+p[j+8>>3];z=q+8|0;p[z>>3]=K;L=+p[j+16>>3];g=q+16|0;p[g>>3]=L;M=+p[j+24>>3];j=q+24|0;p[j>>3]=M;do if(((h|0)==0|(i|0)==0)&J==1797693134862315708145274.0e284&K==1797693134862315708145274.0e284?!(M!=1797693134862315708145274.0e284|L!=1797693134862315708145274.0e284):0){s=d&7;C=(s|2|0)==2;x=(s|0)==3;E=(s|0)==5;s=d&255;switch(s&7){case 0:case 2:case 3:case 5:case 6:break;default:{f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;D=cuc(96)|0;f[r>>2]=D;f[r+8>>2]=-2147483552;f[r+4>>2]=90;F=D;G=36e4;H=F+90|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));b[D+90>>0]=0;WD(-215,r,360091,354724,1003)}}if(c|0){N=C?0.0:x?-32768.0:E?-3402823466385288598117041.0e14:-1797693134862315708145274.0e284;p[q>>3]=N;p[z>>3]=N;p[g>>3]=N;p[j>>3]=N;break}switch(s&7){case 0:{O=255.0;break}case 2:{O=65535.0;break}default:O=x?32767.0:E?3402823466385288598117041.0e14:1797693134862315708145274.0e284}p[q>>3]=O;p[z>>3]=O;p[g>>3]=O;p[j>>3]=O}while(0);j=cuc(212)|0;f[j+4>>2]=0;f[j+8>>2]=0;f[j>>2]=53852;g=j+12|0;S2(g,o,l,n,d,d,d,h,i,q);f[a>>2]=g;f[a+4>>2]=j;j=f[I>>2]|0;if(j|0)Xtc(j);j=f[v>>2]|0;if(j|0)Xtc(j);j=f[e>>2]|0;if(j|0)Xtc(j);j=m+36|0;e=f[j>>2]|0;if(e|0?(v=e+12|0,e=f[v>>2]|0,f[v>>2]=e+-1,(e|0)==1):0)aU(m);f[j>>2]=0;j=m+16|0;e=m+4|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;if((f[e>>2]|0)>0){j=f[B>>2]|0;B=0;do{f[j+(B<<2)>>2]=0;B=B+1|0}while((B|0)<(f[e>>2]|0))}e=f[m+44>>2]|0;if((e|0)==(m+48|0)){u=k;return}TC(e);u=k;return}function mta(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0.0,z=0.0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;g=u;u=u+16|0;h=g;if(c>>>0>=3){i=cuc(80)|0;f[h>>2]=i;f[h+8>>2]=-2147483568;f[h+4>>2]=69;j=i;k=360114;l=j+69|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[i+69>>0]=0;WD(-215,h,360184,354724,1027)}i=f[e>>2]|0;m=e+4|0;n=f[m>>2]|0;o=f[d>>2]|0;p=d+4|0;q=f[p>>2]|0;r=(o|0)/2|0;s=(i|0)==-1?r:i;i=(n|0)==-1?(q|0)/2|0:n;if(!((s|0)>-1&(s|0)<(o|0))){t=cuc(64)|0;f[h>>2]=t;v=h+8|0;f[v>>2]=-2147483584;w=h+4|0;f[w>>2]=52;j=t;k=358268;l=j+52|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));x=t+52|0;b[x>>0]=0;WD(-215,h,358321,358337,363)}if((i|0)<0|(i|0)>=(q|0)){t=cuc(64)|0;f[h>>2]=t;v=h+8|0;f[v>>2]=-2147483584;w=h+4|0;f[w>>2]=52;j=t;k=358268;l=j+52|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));x=t+52|0;b[x>>0]=0;WD(-215,h,358321,358337,363)}f[e>>2]=s;f[m>>2]=i;i=f[p>>2]|0;s=(o|0)==1&(i|0)==1?0:c;if((s|0)==2){c=(i|0)/2|0;y=+(c|0);z=(i+1|0)>>>0>2?1.0/(y*y):0.0;A=r;B=c}else{z=0.0;A=0;B=0}f[a>>2]=1124007936;c=a+8|0;r=a+40|0;j=a+4|0;l=j+36|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(l|0));f[r>>2]=c;c=a+48|0;r=a+44|0;f[r>>2]=c;f[c>>2]=0;f[a+52>>2]=0;f[h>>2]=i;f[h+4>>2]=o;ZT(a,2,h,0);if((f[p>>2]|0)<=0){u=g;return}h=a+16|0;y=+(A|0);a=Y(B,B)|0;if(!s){o=0;i=f[d>>2]|0;while(1){c=(f[h>>2]|0)+(Y(f[f[r>>2]>>2]|0,o)|0)|0;if((i|0)>0){kzc(c|0,1,i|0)|0;C=i;D=f[d>>2]|0}else{C=0;D=i}if((C|0)<(D|0)){j=C;do{b[c+j>>0]=0;j=j+1|0;l=f[d>>2]|0}while((j|0)<(l|0));E=l}else E=D;o=o+1|0;if((o|0)>=(f[p>>2]|0))break;else i=E}u=g;return}E=(s|0)==1;s=0;do{i=f[h>>2]|0;o=Y(f[f[r>>2]>>2]|0,s)|0;D=i+o|0;do if(E)if((s|0)!=(f[m>>2]|0)){C=f[e>>2]|0;j=C+1|0;if((C|0)>0){F=j;G=C;H=23;break}else{I=0;J=j;H=24;break}}else{I=0;J=f[d>>2]|0;H=24;break}else{j=s-B|0;if((((j|0)>-1?j:0-j|0)|0)<=(B|0)){C=Fhc(y*+M(+(z*+(a-(Y(j,j)|0)|0))))|0;j=A-C|0;c=C+A|0;C=f[d>>2]|0;l=(C|0)<=(c|0)?C:c+1|0;if((j|0)>0){F=l;G=j;H=23}else{I=0;J=l;H=24}}else K=0}while(0);if((H|0)==23){H=0;kzc(D|0,0,G|0)|0;I=G;J=F;H=24}if((H|0)==24){H=0;if((J|0)>(I|0)){kzc(i+(I+o)|0,1,J-I|0)|0;K=J}else K=I}if((K|0)<(f[d>>2]|0)){l=K;do{b[D+l>>0]=0;l=l+1|0}while((l|0)<(f[d>>2]|0))}s=s+1|0}while((s|0)<(f[p>>2]|0));u=g;return}function nta(a,b,c,d,e,g,h,i,j,k,l,m,n,o,q,r,s,t,v,w,x,y,z,A,B,C,D,E){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;q=q|0;r=r|0;s=s|0;t=t|0;v=v|0;w=w|0;x=x|0;y=y|0;z=z|0;A=A|0;B=B|0;C=C|0;D=D|0;E=E|0;var F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0.0,Q=0.0,R=0.0,S=0.0;E=u;u=u+224|0;F=E+168|0;G=E+160|0;H=E+152|0;I=E+96|0;J=E+88|0;K=E;L=E+80|0;M=E+72|0;N=E+64|0;O=E+56|0;f[G>>2]=x;f[G+4>>2]=y;zD(F,G,t,v,w);P=+p[C>>3];Q=+p[C+8>>3];R=+p[C+16>>3];S=+p[C+24>>3];f[I+8>>2]=0;f[I+12>>2]=0;f[I>>2]=16842752;f[I+4>>2]=F;f[J>>2]=z;f[J+4>>2]=A;p[K>>3]=P;p[K+8>>3]=Q;p[K+16>>3]=R;p[K+24>>3]=S;lta(H,a,b,I,J,B,B,K);f[L>>2]=i;f[L+4>>2]=j;zD(I,L,b,d,e);f[M>>2]=i;f[M+4>>2]=j;zD(K,M,c,g,h);f[N>>2]=m;f[N+4>>2]=n;f[O>>2]=k;f[O+4>>2]=l;l=f[H>>2]|0;th[f[(f[l>>2]|0)+20>>2]&255](l,I,K,O,N);f[N>>2]=r;f[N+4>>2]=s;f[O>>2]=o;f[O+4>>2]=q;if((D|0)>1){q=1;do{th[f[(f[l>>2]|0)+20>>2]&255](l,K,K,O,N);q=q+1|0}while((q|0)<(D|0))}D=K+36|0;q=f[D>>2]|0;if(q|0?(N=q+12|0,q=f[N>>2]|0,f[N>>2]=q+-1,(q|0)==1):0)aU(K);f[D>>2]=0;D=K+16|0;q=K+4|0;f[D>>2]=0;f[D+4>>2]=0;f[D+8>>2]=0;f[D+12>>2]=0;if((f[q>>2]|0)>0){D=f[K+40>>2]|0;N=0;do{f[D+(N<<2)>>2]=0;N=N+1|0}while((N|0)<(f[q>>2]|0))}q=f[K+44>>2]|0;if((q|0)!=(K+48|0))TC(q);q=I+36|0;K=f[q>>2]|0;if(K|0?(N=K+12|0,K=f[N>>2]|0,f[N>>2]=K+-1,(K|0)==1):0)aU(I);f[q>>2]=0;q=I+16|0;K=I+4|0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;f[q+12>>2]=0;if((f[K>>2]|0)>0){q=f[I+40>>2]|0;N=0;do{f[q+(N<<2)>>2]=0;N=N+1|0}while((N|0)<(f[K>>2]|0))}K=f[I+44>>2]|0;if((K|0)!=(I+48|0))TC(K);K=f[H+4>>2]|0;if(K|0)Xtc(K);K=F+36|0;H=f[K>>2]|0;if(H|0?(I=H+12|0,H=f[I>>2]|0,f[I>>2]=H+-1,(H|0)==1):0)aU(F);f[K>>2]=0;K=F+16|0;H=F+4|0;f[K>>2]=0;f[K+4>>2]=0;f[K+8>>2]=0;f[K+12>>2]=0;if((f[H>>2]|0)>0){K=f[F+40>>2]|0;I=0;do{f[K+(I<<2)>>2]=0;I=I+1|0}while((I|0)<(f[H>>2]|0))}H=f[F+44>>2]|0;if((H|0)==(F+48|0)){u=E;return}TC(H);u=E;return}function ota(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0;i=u;u=u+16|0;j=i+8|0;k=i;gV(j,81552);f[k>>2]=f[d>>2];f[k+4>>2]=f[d+4>>2];pta(0,a,b,c,k,e,g,h);if(!(f[j+4>>2]|0)){u=i;return}u=i;return}function pta(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0;k=u;u=u+256|0;l=k+192|0;m=k+184|0;n=k+128|0;o=k+120|0;p=k+112|0;q=k+104|0;r=k+96|0;s=k+32|0;t=k+40|0;v=k+24|0;w=k+16|0;x=k+8|0;y=k;gV(m,81572);do if((qJ(e)|0)==65536){z=f[e+4>>2]|0;f[n>>2]=f[z>>2];A=n+4|0;B=z+4|0;f[A>>2]=f[B>>2];C=n+8|0;f[C>>2]=f[z+8>>2];f[n+12>>2]=f[z+12>>2];D=n+16|0;f[D>>2]=f[z+16>>2];f[n+20>>2]=f[z+20>>2];f[n+24>>2]=f[z+24>>2];f[n+28>>2]=f[z+28>>2];f[n+32>>2]=f[z+32>>2];E=f[z+36>>2]|0;f[n+36>>2]=E;f[n+40>>2]=C;C=n+48|0;F=n+44|0;f[F>>2]=C;f[C>>2]=0;f[n+52>>2]=0;if(E|0){C=E+12|0;f[C>>2]=(f[C>>2]|0)+1}if((f[B>>2]|0)<3){B=f[z+44>>2]|0;C=f[F>>2]|0;f[C>>2]=f[B>>2];f[C+4>>2]=f[B+4>>2];G=D;break}else{f[A>>2]=0;$T(n,z);G=D;break}}else{nJ(n,e,-1);G=n+16|0}while(0);e=(f[G>>2]|0)==0;if(!e){D=f[n+4>>2]|0;if((D|0)<3)H=Y(f[n+12>>2]|0,f[n+8>>2]|0)|0;else{z=f[n+40>>2]|0;A=0;B=1;while(1){C=Y(f[z+(A<<2)>>2]|0,B)|0;A=A+1|0;if((A|0)==(D|0)){H=C;break}else B=C}}if(!((D|0)==0|(H|0)==0)){H=f[n+40>>2]|0;I=f[H+4>>2]|0;J=f[H>>2]|0}else{I=3;J=3}}else{I=3;J=3}H=f[g>>2]|0;D=g+4|0;B=f[D>>2]|0;A=(H|0)==-1?(I|0)/2|0:H;H=(B|0)==-1?(J|0)/2|0:B;if(!((A|0)>-1&(A|0)<(I|0))){K=cuc(64)|0;f[l>>2]=K;L=l+8|0;f[L>>2]=-2147483584;M=l+4|0;f[M>>2]=52;N=K;O=358268;P=N+52|0;do{b[N>>0]=b[O>>0]|0;N=N+1|0;O=O+1|0}while((N|0)<(P|0));Q=K+52|0;b[Q>>0]=0;WD(-215,l,358321,358337,363)}if((H|0)<0|(H|0)>=(J|0)){K=cuc(64)|0;f[l>>2]=K;L=l+8|0;f[L>>2]=-2147483584;M=l+4|0;f[M>>2]=52;N=K;O=358268;P=N+52|0;do{b[N>>0]=b[O>>0]|0;N=N+1|0;O=O+1|0}while((N|0)<(P|0));Q=K+52|0;b[Q>>0]=0;WD(-215,l,358321,358337,363)}f[g>>2]=A;f[D>>2]=H;if((h|0)!=0?(H=n+8|0,A=n+12|0,Q=Y(f[A>>2]|0,f[H>>2]|0)|0,(Q|0)!=1):0){if(!e){e=n+4|0;K=f[e>>2]|0;if((K|0)<3)R=Q;else{Q=f[n+40>>2]|0;O=0;N=1;while(1){P=Y(f[Q+(O<<2)>>2]|0,N)|0;O=O+1|0;if((O|0)==(K|0)){R=P;break}else N=P}}if(!((K|0)==0|(R|0)==0))if((h|0)>1?(f[l+8>>2]=0,f[l+12>>2]=0,f[l>>2]=16842752,f[l+4>>2]=n,R=wG(l)|0,(R|0)==(Y(f[A>>2]|0,f[H>>2]|0)|0)):0){R=Y(f[g>>2]|0,h)|0;K=Y(f[D>>2]|0,h)|0;f[g>>2]=R;f[D>>2]=K;N=h+-1|0;O=(Y(I+-1|0,N)|0)+I|0;I=(Y(J+-1|0,N)|0)+J|0;f[q>>2]=O;f[q+4>>2]=I;f[r>>2]=R;f[r+4>>2]=K;mta(l,0,q,r);r=n+36|0;q=f[r>>2]|0;if(q|0?(K=q+12|0,q=f[K>>2]|0,f[K>>2]=q+-1,(q|0)==1):0)aU(n);f[r>>2]=0;f[G>>2]=0;f[G+4>>2]=0;f[G+8>>2]=0;f[G+12>>2]=0;if((f[e>>2]|0)>0){q=f[n+40>>2]|0;K=0;do{f[q+(K<<2)>>2]=0;K=K+1|0}while((K|0)<(f[e>>2]|0))}f[n>>2]=f[l>>2];K=l+4|0;q=f[K>>2]|0;f[e>>2]=q;e=l+8|0;f[H>>2]=f[e>>2];f[A>>2]=f[l+12>>2];R=l+16|0;f[G>>2]=f[R>>2];f[n+20>>2]=f[l+20>>2];f[n+24>>2]=f[l+24>>2];f[n+28>>2]=f[l+28>>2];f[n+32>>2]=f[l+32>>2];I=l+36|0;f[r>>2]=f[I>>2];r=n+44|0;O=f[r>>2]|0;J=n+48|0;if((O|0)==(J|0))S=q;else{TC(O);f[r>>2]=J;f[n+40>>2]=H;S=f[K>>2]|0}O=l+44|0;if((S|0)<3){S=f[O>>2]|0;f[J>>2]=f[S>>2];f[n+52>>2]=f[S+4>>2];T=S}else{f[r>>2]=f[O>>2];r=l+40|0;f[n+40>>2]=f[r>>2];S=l+48|0;f[O>>2]=S;f[r>>2]=e;T=S}f[l>>2]=1124007936;f[K>>2]=0;f[K+4>>2]=0;f[K+8>>2]=0;f[K+12>>2]=0;f[K+16>>2]=0;f[K+20>>2]=0;f[K+24>>2]=0;f[K+28>>2]=0;f[I>>2]=0;f[R>>2]=0;f[R+4>>2]=0;f[R+8>>2]=0;f[R+12>>2]=0;if((T|0)!=(l+48|0))TC(T);U=1}else U=h;else V=26}else V=26;if((V|0)==26){V=h<<1|1;f[o>>2]=V;f[o+4>>2]=V;f[p>>2]=-1;f[p+4>>2]=-1;mta(l,0,o,p);p=n+36|0;o=f[p>>2]|0;if(o|0?(V=o+12|0,o=f[V>>2]|0,f[V>>2]=o+-1,(o|0)==1):0)aU(n);f[p>>2]=0;o=n+4|0;f[G>>2]=0;f[G+4>>2]=0;f[G+8>>2]=0;f[G+12>>2]=0;if((f[o>>2]|0)>0){V=f[n+40>>2]|0;T=0;do{f[V+(T<<2)>>2]=0;T=T+1|0}while((T|0)<(f[o>>2]|0))}f[n>>2]=f[l>>2];T=l+4|0;V=f[T>>2]|0;f[o>>2]=V;o=l+8|0;f[H>>2]=f[o>>2];f[A>>2]=f[l+12>>2];R=l+16|0;f[G>>2]=f[R>>2];f[n+20>>2]=f[l+20>>2];f[n+24>>2]=f[l+24>>2];f[n+28>>2]=f[l+28>>2];f[n+32>>2]=f[l+32>>2];I=l+36|0;f[p>>2]=f[I>>2];p=n+44|0;K=f[p>>2]|0;S=n+48|0;if((K|0)==(S|0))W=V;else{TC(K);f[p>>2]=S;f[n+40>>2]=H;W=f[T>>2]|0}K=l+44|0;if((W|0)<3){W=f[K>>2]|0;f[S>>2]=f[W>>2];f[n+52>>2]=f[W+4>>2];X=W}else{f[p>>2]=f[K>>2];p=l+40|0;f[n+40>>2]=f[p>>2];W=l+48|0;f[K>>2]=W;f[p>>2]=o;X=W}f[l>>2]=1124007936;f[T>>2]=0;f[T+4>>2]=0;f[T+8>>2]=0;f[T+12>>2]=0;f[T+16>>2]=0;f[T+20>>2]=0;f[T+24>>2]=0;f[T+28>>2]=0;f[I>>2]=0;f[R>>2]=0;f[R+4>>2]=0;f[R+8>>2]=0;f[R+12>>2]=0;if((X|0)!=(l+48|0))TC(X);f[g>>2]=h;f[D>>2]=h;U=1}do if((qJ(c)|0)==65536){h=f[c+4>>2]|0;f[l>>2]=f[h>>2];X=l+4|0;R=h+4|0;f[X>>2]=f[R>>2];I=l+8|0;f[I>>2]=f[h+8>>2];f[l+12>>2]=f[h+12>>2];f[l+16>>2]=f[h+16>>2];f[l+20>>2]=f[h+20>>2];f[l+24>>2]=f[h+24>>2];f[l+28>>2]=f[h+28>>2];f[l+32>>2]=f[h+32>>2];T=f[h+36>>2]|0;f[l+36>>2]=T;W=l+40|0;f[W>>2]=I;I=l+48|0;o=l+44|0;f[o>>2]=I;f[I>>2]=0;f[l+52>>2]=0;if(T|0){I=T+12|0;f[I>>2]=(f[I>>2]|0)+1}if((f[R>>2]|0)<3){R=f[h+44>>2]|0;I=f[o>>2]|0;f[I>>2]=f[R>>2];f[I+4>>2]=f[R+4>>2];Z=W;_=l;break}else{f[X>>2]=0;$T(l,h);Z=W;_=l;break}}else{nJ(l,c,-1);Z=l+40|0;_=l}while(0);W=f[Z>>2]|0;h=f[W>>2]|0;f[s>>2]=f[W+4>>2];f[s+4>>2]=h;IJ(d,s,f[_>>2]&4095,-1,0,0);do if((qJ(d)|0)==65536){s=f[d+4>>2]|0;f[t>>2]=f[s>>2];h=t+4|0;W=s+4|0;f[h>>2]=f[W>>2];X=t+8|0;f[X>>2]=f[s+8>>2];R=t+12|0;f[R>>2]=f[s+12>>2];f[t+16>>2]=f[s+16>>2];f[t+20>>2]=f[s+20>>2];f[t+24>>2]=f[s+24>>2];f[t+28>>2]=f[s+28>>2];f[t+32>>2]=f[s+32>>2];I=f[s+36>>2]|0;f[t+36>>2]=I;f[t+40>>2]=X;o=t+48|0;T=t+44|0;f[T>>2]=o;f[o>>2]=0;f[t+52>>2]=0;if(I|0){o=I+12|0;f[o>>2]=(f[o>>2]|0)+1}if((f[W>>2]|0)<3){W=f[s+44>>2]|0;o=f[T>>2]|0;f[o>>2]=f[W>>2];f[o+4>>2]=f[W+4>>2];$=R;aa=X;break}else{f[h>>2]=0;$T(t,s);$=R;aa=X;break}}else{nJ(t,d,-1);$=t+12|0;aa=t+8|0}while(0);f[v>>2]=0;X=v+4|0;f[X>>2]=0;R=l+12|0;s=f[R>>2]|0;h=l+8|0;W=f[h>>2]|0;f[w>>2]=s;o=w+4|0;f[o>>2]=W;f[x>>2]=0;T=x+4|0;f[T>>2]=0;I=f[$>>2]|0;$=f[aa>>2]|0;f[y>>2]=I;aa=y+4|0;f[aa>>2]=$;p=(i&16|0)!=0;if(p){ba=s;ca=W;da=s;ea=W;fa=0;ga=0;ha=I;ia=$;ja=0;ka=0}else{kU(l,w,v);kU(t,y,x);ba=f[R>>2]|0;ca=f[h>>2]|0;da=f[w>>2]|0;ea=f[o>>2]|0;fa=f[v>>2]|0;ga=f[X>>2]|0;ha=f[y>>2]|0;ia=f[aa>>2]|0;ja=f[x>>2]|0;ka=f[T>>2]|0}T=f[_>>2]|0;_=l+16|0;x=l+48|0;aa=t+16|0;y=t+48|0;nta(a,T&4095,f[t>>2]&4095,f[_>>2]|0,f[x>>2]|0,f[aa>>2]|0,f[y>>2]|0,ba,ca,da,ea,fa,ga,ha,ia,ja,ka,f[n>>2]&4095,f[G>>2]|0,f[n+48>>2]|0,f[A>>2]|0,f[H>>2]|0,f[g>>2]|0,f[D>>2]|0,i&-17,j,U,(T&32768|0)!=0&(p^1));p=t+36|0;T=f[p>>2]|0;if(T|0?(U=T+12|0,T=f[U>>2]|0,f[U>>2]=T+-1,(T|0)==1):0)aU(t);f[p>>2]=0;p=t+4|0;f[aa>>2]=0;f[aa+4>>2]=0;f[aa+8>>2]=0;f[aa+12>>2]=0;if((f[p>>2]|0)>0){aa=f[t+40>>2]|0;T=0;do{f[aa+(T<<2)>>2]=0;T=T+1|0}while((T|0)<(f[p>>2]|0))}p=f[t+44>>2]|0;if((p|0)!=(y|0))TC(p);p=l+36|0;y=f[p>>2]|0;if(y|0?(t=y+12|0,y=f[t>>2]|0,f[t>>2]=y+-1,(y|0)==1):0)aU(l);f[p>>2]=0;p=l+4|0;f[_>>2]=0;f[_+4>>2]=0;f[_+8>>2]=0;f[_+12>>2]=0;if((f[p>>2]|0)>0){_=f[Z>>2]|0;Z=0;do{f[_+(Z<<2)>>2]=0;Z=Z+1|0}while((Z|0)<(f[p>>2]|0))}p=f[l+44>>2]|0;if((p|0)!=(x|0))TC(p)}else GJ(c,d);d=n+36|0;c=f[d>>2]|0;if(c|0?(p=c+12|0,c=f[p>>2]|0,f[p>>2]=c+-1,(c|0)==1):0)aU(n);f[d>>2]=0;d=n+4|0;f[G>>2]=0;f[G+4>>2]=0;f[G+8>>2]=0;f[G+12>>2]=0;if((f[d>>2]|0)>0){G=f[n+40>>2]|0;c=0;do{f[G+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[d>>2]|0))}d=f[n+44>>2]|0;if((d|0)!=(n+48|0))TC(d);if(!(f[m+4>>2]|0)){u=k;return}u=k;return}function qta(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0;i=u;u=u+16|0;j=i+8|0;k=i;gV(j,81592);f[k>>2]=f[d>>2];f[k+4>>2]=f[d+4>>2];pta(1,a,b,c,k,e,g,h);if(!(f[j+4>>2]|0)){u=i;return}u=i;return}function rta(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0;k=u;u=u+928|0;l=k+32|0;m=k+864|0;n=k+808|0;o=k+800|0;q=k+736|0;r=k+792|0;s=k+728|0;t=k+672|0;v=k+616|0;w=k+552|0;x=k+560|0;y=k+544|0;z=k+536|0;A=k+528|0;B=k+520|0;C=k+512|0;D=k+504|0;E=k+496|0;F=k+488|0;G=k+480|0;H=k+472|0;I=k+464|0;J=k+456|0;K=k+384|0;L=k+328|0;M=k+272|0;N=k;O=k+448|0;P=k+256|0;Q=k+440|0;gV(o,81612);do if((qJ(e)|0)==65536){R=f[e+4>>2]|0;f[q>>2]=f[R>>2];S=q+4|0;T=R+4|0;f[S>>2]=f[T>>2];U=q+8|0;f[U>>2]=f[R+8>>2];f[q+12>>2]=f[R+12>>2];V=q+16|0;f[V>>2]=f[R+16>>2];f[q+20>>2]=f[R+20>>2];f[q+24>>2]=f[R+24>>2];f[q+28>>2]=f[R+28>>2];f[q+32>>2]=f[R+32>>2];W=f[R+36>>2]|0;f[q+36>>2]=W;f[q+40>>2]=U;U=q+48|0;X=q+44|0;f[X>>2]=U;f[U>>2]=0;f[q+52>>2]=0;if(W|0){U=W+12|0;f[U>>2]=(f[U>>2]|0)+1}if((f[T>>2]|0)<3){T=f[R+44>>2]|0;U=f[X>>2]|0;f[U>>2]=f[T>>2];f[U+4>>2]=f[T+4>>2];Z=V;break}else{f[S>>2]=0;$T(q,R);Z=V;break}}else{nJ(q,e,-1);Z=q+16|0}while(0);if(f[Z>>2]|0){e=f[q+4>>2]|0;if((e|0)<3)_=Y(f[q+12>>2]|0,f[q+8>>2]|0)|0;else{V=f[q+40>>2]|0;R=0;S=1;while(1){T=Y(f[V+(R<<2)>>2]|0,S)|0;R=R+1|0;if((R|0)==(e|0)){_=T;break}else S=T}}if((e|0)==0|(_|0)==0)$=14}else $=14;if(($|0)==14){f[r>>2]=3;f[r+4>>2]=3;f[s>>2]=1;f[s+4>>2]=1;mta(l,0,r,s);s=q+36|0;r=f[s>>2]|0;if(r|0?(_=r+12|0,r=f[_>>2]|0,f[_>>2]=r+-1,(r|0)==1):0)aU(q);f[s>>2]=0;r=q+4|0;f[Z>>2]=0;f[Z+4>>2]=0;f[Z+8>>2]=0;f[Z+12>>2]=0;if((f[r>>2]|0)>0){_=f[q+40>>2]|0;e=0;do{f[_+(e<<2)>>2]=0;e=e+1|0}while((e|0)<(f[r>>2]|0))}f[q>>2]=f[l>>2];e=l+4|0;_=f[e>>2]|0;f[r>>2]=_;r=l+8|0;S=q+8|0;f[S>>2]=f[r>>2];f[q+12>>2]=f[l+12>>2];R=l+16|0;f[Z>>2]=f[R>>2];f[q+20>>2]=f[l+20>>2];f[q+24>>2]=f[l+24>>2];f[q+28>>2]=f[l+28>>2];f[q+32>>2]=f[l+32>>2];V=l+36|0;f[s>>2]=f[V>>2];s=q+44|0;T=f[s>>2]|0;U=q+48|0;if((T|0)==(U|0))aa=_;else{TC(T);f[s>>2]=U;f[q+40>>2]=S;aa=f[e>>2]|0}S=l+44|0;if((aa|0)<3){aa=f[S>>2]|0;f[U>>2]=f[aa>>2];f[q+52>>2]=f[aa+4>>2];ba=aa}else{f[s>>2]=f[S>>2];s=l+40|0;f[q+40>>2]=f[s>>2];aa=l+48|0;f[S>>2]=aa;f[s>>2]=r;ba=aa}f[l>>2]=1124007936;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;f[e+16>>2]=0;f[e+20>>2]=0;f[e+24>>2]=0;f[e+28>>2]=0;f[V>>2]=0;f[R>>2]=0;f[R+4>>2]=0;f[R+8>>2]=0;f[R+12>>2]=0;if((ba|0)!=(l+48|0))TC(ba)}do if((qJ(a)|0)==65536){ba=f[a+4>>2]|0;f[t>>2]=f[ba>>2];R=t+4|0;V=ba+4|0;f[R>>2]=f[V>>2];e=t+8|0;f[e>>2]=f[ba+8>>2];f[t+12>>2]=f[ba+12>>2];f[t+16>>2]=f[ba+16>>2];f[t+20>>2]=f[ba+20>>2];f[t+24>>2]=f[ba+24>>2];f[t+28>>2]=f[ba+28>>2];f[t+32>>2]=f[ba+32>>2];aa=f[ba+36>>2]|0;f[t+36>>2]=aa;r=t+40|0;f[r>>2]=e;e=t+48|0;s=t+44|0;f[s>>2]=e;f[e>>2]=0;f[t+52>>2]=0;if(aa|0){e=aa+12|0;f[e>>2]=(f[e>>2]|0)+1}if((f[V>>2]|0)<3){V=f[ba+44>>2]|0;e=f[s>>2]|0;f[e>>2]=f[V>>2];f[e+4>>2]=f[V+4>>2];ca=r;da=t;break}else{f[R>>2]=0;$T(t,ba);ca=r;da=t;break}}else{nJ(t,a,-1);ca=t+40|0;da=t}while(0);f[v>>2]=1124007936;a=v+4|0;r=v+8|0;ba=v+40|0;R=a;V=R+36|0;do{f[R>>2]=0;R=R+4|0}while((R|0)<(V|0));f[ba>>2]=r;e=v+48|0;s=v+44|0;f[s>>2]=e;f[e>>2]=0;f[v+52>>2]=0;aa=f[ca>>2]|0;S=f[aa>>2]|0;f[w>>2]=f[aa+4>>2];f[w+4>>2]=S;IJ(c,w,f[da>>2]&4095,-1,0,0);do if((qJ(c)|0)==65536){w=f[c+4>>2]|0;f[x>>2]=f[w>>2];S=x+4|0;aa=w+4|0;f[S>>2]=f[aa>>2];U=x+8|0;f[U>>2]=f[w+8>>2];f[x+12>>2]=f[w+12>>2];f[x+16>>2]=f[w+16>>2];f[x+20>>2]=f[w+20>>2];f[x+24>>2]=f[w+24>>2];f[x+28>>2]=f[w+28>>2];f[x+32>>2]=f[w+32>>2];T=f[w+36>>2]|0;f[x+36>>2]=T;f[x+40>>2]=U;U=x+48|0;_=x+44|0;f[_>>2]=U;f[U>>2]=0;f[x+52>>2]=0;if(T|0){U=T+12|0;f[U>>2]=(f[U>>2]|0)+1}if((f[aa>>2]|0)<3){aa=f[w+44>>2]|0;U=f[_>>2]|0;f[U>>2]=f[aa>>2];f[U+4>>2]=f[aa+4>>2];break}else{f[S>>2]=0;$T(x,w);break}}else nJ(x,c,-1);while(0);a:do switch(d|0){case 0:{f[l+8>>2]=0;f[l+12>>2]=0;f[l>>2]=16842752;f[l+4>>2]=t;c=m+8|0;f[c>>2]=0;f[c+4>>2]=0;f[m>>2]=33619968;f[m+4>>2]=x;f[n+8>>2]=0;f[n+12>>2]=0;f[n>>2]=16842752;f[n+4>>2]=q;f[y>>2]=f[g>>2];f[y+4>>2]=f[g+4>>2];ota(l,m,n,y,h,i,j);break}case 1:{f[l+8>>2]=0;f[l+12>>2]=0;f[l>>2]=16842752;f[l+4>>2]=t;c=m+8|0;f[c>>2]=0;f[c+4>>2]=0;f[m>>2]=33619968;f[m+4>>2]=x;f[n+8>>2]=0;f[n+12>>2]=0;f[n>>2]=16842752;f[n+4>>2]=q;f[z>>2]=f[g>>2];f[z+4>>2]=f[g+4>>2];qta(l,m,n,z,h,i,j);break}case 2:{f[l+8>>2]=0;f[l+12>>2]=0;f[l>>2]=16842752;f[l+4>>2]=t;c=m+8|0;f[c>>2]=0;f[c+4>>2]=0;f[m>>2]=33619968;f[m+4>>2]=x;f[n+8>>2]=0;f[n+12>>2]=0;f[n>>2]=16842752;f[n+4>>2]=q;f[A>>2]=f[g>>2];c=g+4|0;f[A+4>>2]=f[c>>2];ota(l,m,n,A,h,i,j);f[l+8>>2]=0;f[l+12>>2]=0;f[l>>2]=16842752;f[l+4>>2]=x;w=m+8|0;f[w>>2]=0;f[w+4>>2]=0;f[m>>2]=33619968;f[m+4>>2]=x;f[n+8>>2]=0;f[n+12>>2]=0;f[n>>2]=16842752;f[n+4>>2]=q;f[B>>2]=f[g>>2];f[B+4>>2]=f[c>>2];qta(l,m,n,B,h,i,j);break}case 3:{f[l+8>>2]=0;f[l+12>>2]=0;f[l>>2]=16842752;f[l+4>>2]=t;c=m+8|0;f[c>>2]=0;f[c+4>>2]=0;f[m>>2]=33619968;f[m+4>>2]=x;f[n+8>>2]=0;f[n+12>>2]=0;f[n>>2]=16842752;f[n+4>>2]=q;f[C>>2]=f[g>>2];c=g+4|0;f[C+4>>2]=f[c>>2];qta(l,m,n,C,h,i,j);f[l+8>>2]=0;f[l+12>>2]=0;f[l>>2]=16842752;f[l+4>>2]=x;w=m+8|0;f[w>>2]=0;f[w+4>>2]=0;f[m>>2]=33619968;f[m+4>>2]=x;f[n+8>>2]=0;f[n+12>>2]=0;f[n>>2]=16842752;f[n+4>>2]=q;f[D>>2]=f[g>>2];f[D+4>>2]=f[c>>2];ota(l,m,n,D,h,i,j);break}case 4:{f[l+8>>2]=0;f[l+12>>2]=0;f[l>>2]=16842752;f[l+4>>2]=t;c=m+8|0;f[c>>2]=0;f[c+4>>2]=0;f[m>>2]=33619968;f[m+4>>2]=v;f[n+8>>2]=0;f[n+12>>2]=0;f[n>>2]=16842752;f[n+4>>2]=q;f[E>>2]=f[g>>2];c=g+4|0;f[E+4>>2]=f[c>>2];ota(l,m,n,E,h,i,j);f[l+8>>2]=0;f[l+12>>2]=0;f[l>>2]=16842752;f[l+4>>2]=t;w=m+8|0;f[w>>2]=0;f[w+4>>2]=0;f[m>>2]=33619968;f[m+4>>2]=x;f[n+8>>2]=0;f[n+12>>2]=0;f[n>>2]=16842752;f[n+4>>2]=q;f[F>>2]=f[g>>2];f[F+4>>2]=f[c>>2];qta(l,m,n,F,h,i,j);f[l+8>>2]=0;f[l+12>>2]=0;f[l>>2]=16842752;f[l+4>>2]=x;f[m+8>>2]=0;f[m+12>>2]=0;f[m>>2]=16842752;f[m+4>>2]=v;c=n+8|0;f[c>>2]=0;f[c+4>>2]=0;f[n>>2]=33619968;f[n+4>>2]=x;HW(l,m,n,sK()|0,-1);break}case 5:{c=x+16|0;if((f[t+16>>2]|0)!=(f[c>>2]|0)){w=x+36|0;S=f[w>>2]|0;if(S|0){aa=S+12|0;f[aa>>2]=(f[aa>>2]|0)+1}aa=v+36|0;S=f[aa>>2]|0;if(S|0?(U=S+12|0,S=f[U>>2]|0,f[U>>2]=S+-1,(S|0)==1):0)aU(v);f[aa>>2]=0;S=v+16|0;f[S>>2]=0;f[S+4>>2]=0;f[S+8>>2]=0;f[S+12>>2]=0;if((f[a>>2]|0)>0){U=f[ba>>2]|0;_=0;do{f[U+(_<<2)>>2]=0;_=_+1|0;ea=f[a>>2]|0}while((_|0)<(ea|0));f[v>>2]=f[x>>2];if((ea|0)<3)$=59;else $=61}else{f[v>>2]=f[x>>2];$=59}if(($|0)==59){_=f[x+4>>2]|0;if((_|0)<3){f[a>>2]=_;f[r>>2]=f[x+8>>2];f[v+12>>2]=f[x+12>>2];_=f[x+44>>2]|0;U=f[s>>2]|0;f[U>>2]=f[_>>2];f[U+4>>2]=f[_+4>>2]}else $=61}if(($|0)==61)$T(v,x);f[S>>2]=f[c>>2];f[v+20>>2]=f[x+20>>2];f[v+24>>2]=f[x+24>>2];f[v+28>>2]=f[x+28>>2];f[v+32>>2]=f[x+32>>2];f[aa>>2]=f[w>>2]}f[l+8>>2]=0;f[l+12>>2]=0;f[l>>2]=16842752;f[l+4>>2]=t;_=m+8|0;f[_>>2]=0;f[_+4>>2]=0;f[m>>2]=33619968;f[m+4>>2]=v;f[n+8>>2]=0;f[n+12>>2]=0;f[n>>2]=16842752;f[n+4>>2]=q;f[G>>2]=f[g>>2];_=g+4|0;f[G+4>>2]=f[_>>2];ota(l,m,n,G,h,i,j);f[l+8>>2]=0;f[l+12>>2]=0;f[l>>2]=16842752;f[l+4>>2]=v;U=m+8|0;f[U>>2]=0;f[U+4>>2]=0;f[m>>2]=33619968;f[m+4>>2]=v;f[n+8>>2]=0;f[n+12>>2]=0;f[n>>2]=16842752;f[n+4>>2]=q;f[H>>2]=f[g>>2];f[H+4>>2]=f[_>>2];qta(l,m,n,H,h,i,j);cT(l,t,v);_=f[l>>2]|0;sh[f[(f[_>>2]|0)+12>>2]&255](_,l,x,-1);Xi(l);break}case 6:{_=x+16|0;if((f[t+16>>2]|0)!=(f[_>>2]|0)){U=x+36|0;T=f[U>>2]|0;if(T|0){X=T+12|0;f[X>>2]=(f[X>>2]|0)+1}X=v+36|0;T=f[X>>2]|0;if(T|0?(W=T+12|0,T=f[W>>2]|0,f[W>>2]=T+-1,(T|0)==1):0)aU(v);f[X>>2]=0;T=v+16|0;f[T>>2]=0;f[T+4>>2]=0;f[T+8>>2]=0;f[T+12>>2]=0;if((f[a>>2]|0)>0){W=f[ba>>2]|0;fa=0;do{f[W+(fa<<2)>>2]=0;fa=fa+1|0;ga=f[a>>2]|0}while((fa|0)<(ga|0));f[v>>2]=f[x>>2];if((ga|0)<3)$=75;else $=77}else{f[v>>2]=f[x>>2];$=75}if(($|0)==75){fa=f[x+4>>2]|0;if((fa|0)<3){f[a>>2]=fa;f[r>>2]=f[x+8>>2];f[v+12>>2]=f[x+12>>2];fa=f[x+44>>2]|0;W=f[s>>2]|0;f[W>>2]=f[fa>>2];f[W+4>>2]=f[fa+4>>2]}else $=77}if(($|0)==77)$T(v,x);f[T>>2]=f[_>>2];f[v+20>>2]=f[x+20>>2];f[v+24>>2]=f[x+24>>2];f[v+28>>2]=f[x+28>>2];f[v+32>>2]=f[x+32>>2];f[X>>2]=f[U>>2]}f[l+8>>2]=0;f[l+12>>2]=0;f[l>>2]=16842752;f[l+4>>2]=t;fa=m+8|0;f[fa>>2]=0;f[fa+4>>2]=0;f[m>>2]=33619968;f[m+4>>2]=v;f[n+8>>2]=0;f[n+12>>2]=0;f[n>>2]=16842752;f[n+4>>2]=q;f[I>>2]=f[g>>2];fa=g+4|0;f[I+4>>2]=f[fa>>2];qta(l,m,n,I,h,i,j);f[l+8>>2]=0;f[l+12>>2]=0;f[l>>2]=16842752;f[l+4>>2]=v;W=m+8|0;f[W>>2]=0;f[W+4>>2]=0;f[m>>2]=33619968;f[m+4>>2]=v;f[n+8>>2]=0;f[n+12>>2]=0;f[n>>2]=16842752;f[n+4>>2]=q;f[J>>2]=f[g>>2];f[J+4>>2]=f[fa>>2];ota(l,m,n,J,h,i,j);cT(l,v,t);fa=f[l>>2]|0;sh[f[(f[fa>>2]|0)+12>>2]&255](fa,l,x,-1);Xi(l);break}case 7:{if(f[da>>2]&4095|0){f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;fa=cuc(32)|0;f[l>>2]=fa;f[l+8>>2]=-2147483616;f[l+4>>2]=21;R=fa;ha=367838;V=R+21|0;do{b[R>>0]=b[ha>>0]|0;R=R+1|0;ha=ha+1|0}while((R|0)<(V|0));b[fa+21>>0]=0;WD(-215,l,360469,354724,2106)}f[l+8>>2]=0;f[l+12>>2]=0;f[l>>2]=16842752;f[l+4>>2]=q;if((wG(l)|0)<1){U=l+8|0;f[U>>2]=0;f[U+4>>2]=0;f[l>>2]=33619968;f[l+4>>2]=x;EI(t,l);break a}f[m>>2]=1124007936;U=m+4|0;X=m+8|0;_=m+40|0;R=U;V=R+36|0;do{f[R>>2]=0;R=R+4|0}while((R|0)<(V|0));f[_>>2]=X;fa=m+48|0;T=m+44|0;f[T>>2]=fa;f[fa>>2]=0;f[m+52>>2]=0;f[n>>2]=1124007936;W=n+4|0;w=n+8|0;aa=n+40|0;R=W;V=R+36|0;do{f[R>>2]=0;R=R+4|0}while((R|0)<(V|0));f[aa>>2]=w;X=n+48|0;c=n+44|0;f[c>>2]=X;f[X>>2]=0;f[n+52>>2]=0;f[K>>2]=1124007936;S=K+4|0;ia=K+8|0;ja=K+40|0;R=S;V=R+36|0;do{f[R>>2]=0;R=R+4|0}while((R|0)<(V|0));f[ja>>2]=ia;w=K+48|0;ka=K+44|0;f[ka>>2]=w;f[w>>2]=0;f[K+52>>2]=0;f[L>>2]=1124007936;la=L+4|0;ma=L+8|0;na=L+40|0;R=la;V=R+36|0;do{f[R>>2]=0;R=R+4|0}while((R|0)<(V|0));f[na>>2]=ma;oa=L+48|0;pa=L+44|0;f[pa>>2]=oa;f[oa>>2]=0;f[L+52>>2]=0;oT(l,q,1.0);qa=f[l>>2]|0;sh[f[(f[qa>>2]|0)+12>>2]&255](qa,l,m,-1);Xi(l);oT(l,q,-1.0);qa=f[l>>2]|0;sh[f[(f[qa>>2]|0)+12>>2]&255](qa,l,n,-1);Xi(l);f[l+8>>2]=0;f[l+12>>2]=0;f[l>>2]=16842752;f[l+4>>2]=m;if((wG(l)|0)<1){qa=f[ca>>2]|0;ra=f[qa+4>>2]|0;sa=f[qa>>2]|0;qa=f[da>>2]&4095;p[N>>3]=255.0;ta=N+8|0;f[ta>>2]=0;f[ta+4>>2]=0;f[ta+8>>2]=0;f[ta+12>>2]=0;f[ta+16>>2]=0;f[ta+20>>2]=0;f[M>>2]=1124007936;ta=M+4|0;ua=M+8|0;va=M+40|0;R=ta;V=R+36|0;do{f[R>>2]=0;R=R+4|0}while((R|0)<(V|0));f[va>>2]=ua;wa=M+48|0;f[M+44>>2]=wa;f[wa>>2]=0;f[M+52>>2]=0;f[l>>2]=sa;f[l+4>>2]=ra;ZT(M,2,l,qa);GI(M,N)|0;xa=K+36|0;ya=f[xa>>2]|0;if(ya|0?(za=ya+12|0,ya=f[za>>2]|0,f[za>>2]=ya+-1,(ya|0)==1):0)aU(K);f[xa>>2]=0;ya=K+16|0;f[ya>>2]=0;f[ya+4>>2]=0;f[ya+8>>2]=0;f[ya+12>>2]=0;if((f[S>>2]|0)>0){za=f[ja>>2]|0;Aa=0;do{f[za+(Aa<<2)>>2]=0;Aa=Aa+1|0}while((Aa|0)<(f[S>>2]|0))}f[K>>2]=f[M>>2];Aa=f[ta>>2]|0;f[S>>2]=Aa;f[ia>>2]=f[ua>>2];f[K+12>>2]=f[M+12>>2];za=M+16|0;f[ya>>2]=f[za>>2];f[K+20>>2]=f[M+20>>2];f[K+24>>2]=f[M+24>>2];f[K+28>>2]=f[M+28>>2];f[K+32>>2]=f[M+32>>2];qa=M+36|0;f[xa>>2]=f[qa>>2];ra=K+44|0;sa=f[ra>>2]|0;if((sa|0)==(w|0))Ba=Aa;else{TC(sa);f[ra>>2]=w;f[ja>>2]=ia;Ba=f[ta>>2]|0}sa=M+44|0;if((Ba|0)<3){Aa=f[sa>>2]|0;f[w>>2]=f[Aa>>2];f[K+52>>2]=f[Aa+4>>2];Ca=Aa}else{f[ra>>2]=f[sa>>2];f[K+40>>2]=f[va>>2];f[sa>>2]=wa;f[va>>2]=ua;Ca=wa}f[M>>2]=1124007936;f[ta>>2]=0;f[ta+4>>2]=0;f[ta+8>>2]=0;f[ta+12>>2]=0;f[ta+16>>2]=0;f[ta+20>>2]=0;f[ta+24>>2]=0;f[ta+28>>2]=0;f[qa>>2]=0;f[za>>2]=0;f[za+4>>2]=0;f[za+8>>2]=0;f[za+12>>2]=0;if((Ca|0)!=(wa|0))TC(Ca)}else{f[l+8>>2]=0;f[l+12>>2]=0;f[l>>2]=16842752;f[l+4>>2]=t;za=M+8|0;f[za>>2]=0;f[za+4>>2]=0;f[M>>2]=33619968;f[M+4>>2]=K;f[N+8>>2]=0;f[N+12>>2]=0;f[N>>2]=16842752;f[N+4>>2]=m;f[O>>2]=f[g>>2];f[O+4>>2]=f[g+4>>2];ota(l,M,N,O,h,i,j)}f[l+8>>2]=0;f[l+12>>2]=0;f[l>>2]=16842752;f[l+4>>2]=n;if((wG(l)|0)<1){za=f[ca>>2]|0;qa=f[za+4>>2]|0;sa=f[za>>2]|0;za=f[da>>2]&4095;p[N>>3]=255.0;ra=N+8|0;f[ra>>2]=0;f[ra+4>>2]=0;f[ra+8>>2]=0;f[ra+12>>2]=0;f[ra+16>>2]=0;f[ra+20>>2]=0;f[M>>2]=1124007936;ra=M+4|0;Aa=M+8|0;Da=M+40|0;R=ra;V=R+36|0;do{f[R>>2]=0;R=R+4|0}while((R|0)<(V|0));f[Da>>2]=Aa;wa=M+48|0;f[M+44>>2]=wa;f[wa>>2]=0;f[M+52>>2]=0;f[l>>2]=sa;f[l+4>>2]=qa;ZT(M,2,l,za);GI(M,N)|0;ta=L+36|0;ua=f[ta>>2]|0;if(ua|0?(va=ua+12|0,ua=f[va>>2]|0,f[va>>2]=ua+-1,(ua|0)==1):0)aU(L);f[ta>>2]=0;ua=L+16|0;f[ua>>2]=0;f[ua+4>>2]=0;f[ua+8>>2]=0;f[ua+12>>2]=0;if((f[la>>2]|0)>0){va=f[na>>2]|0;ia=0;do{f[va+(ia<<2)>>2]=0;ia=ia+1|0}while((ia|0)<(f[la>>2]|0))}f[L>>2]=f[M>>2];ia=f[ra>>2]|0;f[la>>2]=ia;f[ma>>2]=f[Aa>>2];f[L+12>>2]=f[M+12>>2];va=M+16|0;f[ua>>2]=f[va>>2];f[L+20>>2]=f[M+20>>2];f[L+24>>2]=f[M+24>>2];f[L+28>>2]=f[M+28>>2];f[L+32>>2]=f[M+32>>2];za=M+36|0;f[ta>>2]=f[za>>2];qa=L+44|0;sa=f[qa>>2]|0;if((sa|0)==(oa|0))Ea=ia;else{TC(sa);f[qa>>2]=oa;f[na>>2]=ma;Ea=f[ra>>2]|0}sa=M+44|0;if((Ea|0)<3){ia=f[sa>>2]|0;f[oa>>2]=f[ia>>2];f[L+52>>2]=f[ia+4>>2];Fa=ia}else{f[qa>>2]=f[sa>>2];f[L+40>>2]=f[Da>>2];f[sa>>2]=wa;f[Da>>2]=Aa;Fa=wa}f[M>>2]=1124007936;f[ra>>2]=0;f[ra+4>>2]=0;f[ra+8>>2]=0;f[ra+12>>2]=0;f[ra+16>>2]=0;f[ra+20>>2]=0;f[ra+24>>2]=0;f[ra+28>>2]=0;f[za>>2]=0;f[va>>2]=0;f[va+4>>2]=0;f[va+8>>2]=0;f[va+12>>2]=0;if((Fa|0)!=(wa|0))TC(Fa)}else{f[l>>2]=1124007936;va=l+4|0;za=l+8|0;sa=l+40|0;R=va;V=R+36|0;do{f[R>>2]=0;R=R+4|0}while((R|0)<(V|0));f[sa>>2]=za;wa=l+48|0;ra=l+44|0;f[ra>>2]=wa;f[wa>>2]=0;f[l+52>>2]=0;f[M+8>>2]=0;f[M+12>>2]=0;f[M>>2]=16842752;f[M+4>>2]=t;Aa=N+8|0;f[Aa>>2]=0;f[Aa+4>>2]=0;f[N>>2]=33619968;f[N+4>>2]=l;LV(M,N,sK()|0);f[M+8>>2]=0;f[M+12>>2]=0;f[M>>2]=16842752;f[M+4>>2]=l;Aa=N+8|0;f[Aa>>2]=0;f[Aa+4>>2]=0;f[N>>2]=33619968;f[N+4>>2]=L;f[P+8>>2]=0;f[P+12>>2]=0;f[P>>2]=16842752;f[P+4>>2]=n;f[Q>>2]=f[g>>2];f[Q+4>>2]=f[g+4>>2];ota(M,N,P,Q,h,i,j);Aa=l+36|0;Da=f[Aa>>2]|0;if(Da|0?(ma=Da+12|0,Da=f[ma>>2]|0,f[ma>>2]=Da+-1,(Da|0)==1):0)aU(l);f[Aa>>2]=0;Aa=l+16|0;f[Aa>>2]=0;f[Aa+4>>2]=0;f[Aa+8>>2]=0;f[Aa+12>>2]=0;if((f[va>>2]|0)>0){Aa=f[sa>>2]|0;Da=0;do{f[Aa+(Da<<2)>>2]=0;Da=Da+1|0}while((Da|0)<(f[va>>2]|0))}va=f[ra>>2]|0;if((va|0)!=(wa|0))TC(va)}pT(l,K,L);va=f[l>>2]|0;sh[f[(f[va>>2]|0)+12>>2]&255](va,l,x,-1);Xi(l);va=L+36|0;Da=f[va>>2]|0;if(Da|0?(Aa=Da+12|0,Da=f[Aa>>2]|0,f[Aa>>2]=Da+-1,(Da|0)==1):0)aU(L);f[va>>2]=0;va=L+16|0;f[va>>2]=0;f[va+4>>2]=0;f[va+8>>2]=0;f[va+12>>2]=0;if((f[la>>2]|0)>0){va=f[na>>2]|0;Da=0;do{f[va+(Da<<2)>>2]=0;Da=Da+1|0}while((Da|0)<(f[la>>2]|0))}la=f[pa>>2]|0;if((la|0)!=(oa|0))TC(la);la=K+36|0;Da=f[la>>2]|0;if(Da|0?(va=Da+12|0,Da=f[va>>2]|0,f[va>>2]=Da+-1,(Da|0)==1):0)aU(K);f[la>>2]=0;la=K+16|0;f[la>>2]=0;f[la+4>>2]=0;f[la+8>>2]=0;f[la+12>>2]=0;if((f[S>>2]|0)>0){la=f[ja>>2]|0;Da=0;do{f[la+(Da<<2)>>2]=0;Da=Da+1|0}while((Da|0)<(f[S>>2]|0))}S=f[ka>>2]|0;if((S|0)!=(w|0))TC(S);S=n+36|0;Da=f[S>>2]|0;if(Da|0?(la=Da+12|0,Da=f[la>>2]|0,f[la>>2]=Da+-1,(Da|0)==1):0)aU(n);f[S>>2]=0;S=n+16|0;f[S>>2]=0;f[S+4>>2]=0;f[S+8>>2]=0;f[S+12>>2]=0;if((f[W>>2]|0)>0){S=f[aa>>2]|0;Da=0;do{f[S+(Da<<2)>>2]=0;Da=Da+1|0}while((Da|0)<(f[W>>2]|0))}W=f[c>>2]|0;if((W|0)!=(X|0))TC(W);W=m+36|0;Da=f[W>>2]|0;do if(Da|0){S=Da+12|0;aa=f[S>>2]|0;f[S>>2]=aa+-1;if((aa|0)!=1)break;aU(m)}while(0);f[W>>2]=0;Da=m+16|0;f[Da>>2]=0;f[Da+4>>2]=0;f[Da+8>>2]=0;f[Da+12>>2]=0;if((f[U>>2]|0)>0){Da=f[_>>2]|0;X=0;do{f[Da+(X<<2)>>2]=0;X=X+1|0}while((X|0)<(f[U>>2]|0))}U=f[T>>2]|0;if((U|0)!=(fa|0))TC(U);break}default:{f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;U=cuc(32)|0;f[l>>2]=U;f[l+8>>2]=-2147483616;f[l+4>>2]=31;R=U;ha=360482;V=R+31|0;do{b[R>>0]=b[ha>>0]|0;R=R+1|0;ha=ha+1|0}while((R|0)<(V|0));b[U+31>>0]=0;WD(-5,l,360469,354724,2134)}}while(0);l=x+36|0;ha=f[l>>2]|0;if(ha|0?(R=ha+12|0,ha=f[R>>2]|0,f[R>>2]=ha+-1,(ha|0)==1):0)aU(x);f[l>>2]=0;l=x+16|0;ha=x+4|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;if((f[ha>>2]|0)>0){l=f[x+40>>2]|0;R=0;do{f[l+(R<<2)>>2]=0;R=R+1|0}while((R|0)<(f[ha>>2]|0))}ha=f[x+44>>2]|0;if((ha|0)!=(x+48|0))TC(ha);ha=v+36|0;x=f[ha>>2]|0;if(x|0?(R=x+12|0,x=f[R>>2]|0,f[R>>2]=x+-1,(x|0)==1):0)aU(v);f[ha>>2]=0;ha=v+16|0;f[ha>>2]=0;f[ha+4>>2]=0;f[ha+8>>2]=0;f[ha+12>>2]=0;if((f[a>>2]|0)>0){ha=f[ba>>2]|0;ba=0;do{f[ha+(ba<<2)>>2]=0;ba=ba+1|0}while((ba|0)<(f[a>>2]|0))}a=f[s>>2]|0;if((a|0)!=(e|0))TC(a);a=t+36|0;e=f[a>>2]|0;if(e|0?(s=e+12|0,e=f[s>>2]|0,f[s>>2]=e+-1,(e|0)==1):0)aU(t);f[a>>2]=0;a=t+16|0;e=t+4|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;if((f[e>>2]|0)>0){a=f[ca>>2]|0;ca=0;do{f[a+(ca<<2)>>2]=0;ca=ca+1|0}while((ca|0)<(f[e>>2]|0))}e=f[t+44>>2]|0;if((e|0)!=(t+48|0))TC(e);e=q+36|0;t=f[e>>2]|0;if(t|0?(ca=t+12|0,t=f[ca>>2]|0,f[ca>>2]=t+-1,(t|0)==1):0)aU(q);f[e>>2]=0;e=q+4|0;f[Z>>2]=0;f[Z+4>>2]=0;f[Z+8>>2]=0;f[Z+12>>2]=0;if((f[e>>2]|0)>0){Z=f[q+40>>2]|0;t=0;do{f[Z+(t<<2)>>2]=0;t=t+1|0}while((t|0)<(f[e>>2]|0))}e=f[q+44>>2]|0;if((e|0)!=(q+48|0))TC(e);if(!(f[o+4>>2]|0)){u=k;return}u=k;return}function sta(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;g=u;u=u+128|0;h=g+120|0;i=g+64|0;j=g;k=g+8|0;gV(h,81632);do if((qJ(a)|0)==65536){l=f[a+4>>2]|0;f[i>>2]=f[l>>2];m=i+4|0;n=l+4|0;f[m>>2]=f[n>>2];o=i+8|0;f[o>>2]=f[l+8>>2];f[i+12>>2]=f[l+12>>2];f[i+16>>2]=f[l+16>>2];f[i+20>>2]=f[l+20>>2];f[i+24>>2]=f[l+24>>2];f[i+28>>2]=f[l+28>>2];f[i+32>>2]=f[l+32>>2];p=f[l+36>>2]|0;f[i+36>>2]=p;q=i+40|0;f[q>>2]=o;o=i+48|0;r=i+44|0;f[r>>2]=o;f[o>>2]=0;f[i+52>>2]=0;if(p|0){o=p+12|0;f[o>>2]=(f[o>>2]|0)+1}if((f[n>>2]|0)<3){n=f[l+44>>2]|0;o=f[r>>2]|0;f[o>>2]=f[n>>2];f[o+4>>2]=f[n+4>>2];s=q;break}else{f[m>>2]=0;$T(i,l);s=q;break}}else{nJ(i,a,-1);s=i+40|0}while(0);a=f[s>>2]|0;q=f[a>>2]|0;f[j>>2]=f[a+4>>2];f[j+4>>2]=q;IJ(b,j,5,-1,0,0);do if((qJ(b)|0)==65536){j=f[b+4>>2]|0;f[k>>2]=f[j>>2];q=k+4|0;a=j+4|0;f[q>>2]=f[a>>2];l=k+8|0;f[l>>2]=f[j+8>>2];f[k+12>>2]=f[j+12>>2];f[k+16>>2]=f[j+16>>2];f[k+20>>2]=f[j+20>>2];f[k+24>>2]=f[j+24>>2];f[k+28>>2]=f[j+28>>2];f[k+32>>2]=f[j+32>>2];m=f[j+36>>2]|0;f[k+36>>2]=m;f[k+40>>2]=l;l=k+48|0;n=k+44|0;f[n>>2]=l;f[l>>2]=0;f[k+52>>2]=0;if(m|0){l=m+12|0;f[l>>2]=(f[l>>2]|0)+1}if((f[a>>2]|0)<3){a=f[j+44>>2]|0;l=f[n>>2]|0;f[l>>2]=f[a>>2];f[l+4>>2]=f[a+4>>2];break}else{f[q>>2]=0;$T(k,j);break}}else nJ(k,b,-1);while(0);tta(i,k,c,d,0,0.0,e);e=k+36|0;d=f[e>>2]|0;if(d|0?(c=d+12|0,d=f[c>>2]|0,f[c>>2]=d+-1,(d|0)==1):0)aU(k);f[e>>2]=0;e=k+16|0;d=k+4|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((f[d>>2]|0)>0){e=f[k+40>>2]|0;c=0;do{f[e+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[d>>2]|0))}d=f[k+44>>2]|0;if((d|0)!=(k+48|0))TC(d);d=i+36|0;k=f[d>>2]|0;if(k|0?(c=k+12|0,k=f[c>>2]|0,f[c>>2]=k+-1,(k|0)==1):0)aU(i);f[d>>2]=0;d=i+16|0;k=i+4|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[k>>2]|0)>0){d=f[s>>2]|0;s=0;do{f[d+(s<<2)>>2]=0;s=s+1|0}while((s|0)<(f[k>>2]|0))}k=f[i+44>>2]|0;if((k|0)!=(i+48|0))TC(k);if(!(f[h+4>>2]|0)){u=g;return}u=g;return}function tta(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=+h;i=i|0;var j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0.0,w=0.0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0.0,$=0.0,aa=0.0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0.0,ia=0.0,ja=0.0,ka=0.0,la=0.0,ma=0.0,na=0.0,oa=0.0,pa=0.0;j=u;u=u+224|0;k=j+200|0;l=j+144|0;m=j+88|0;o=j+24|0;p=j;q=j+80|0;r=j+16|0;s=f[a>>2]|0;t=(e|0)>0;v=+(d|0)*(t?+(1<<e+-1|0):4.0);w=(e|0)<0?v*2.0:v;v=1.0/((s&7|0)==0?w*255.0:w);switch(s&4095){case 5:case 0:break;default:{s=cuc(48)|0;f[k>>2]=s;f[k+8>>2]=-2147483600;f[k+4>>2]=47;x=s;y=360611;z=x+47|0;do{b[x>>0]=b[y>>0]|0;x=x+1|0;y=y+1|0}while((x|0)<(z|0));b[s+47>>0]=0;WD(-215,k,360659,360679,265)}}f[l>>2]=1124007936;s=l+4|0;y=l+8|0;A=l+40|0;x=s;z=x+36|0;do{f[x>>2]=0;x=x+4|0}while((x|0)<(z|0));f[A>>2]=y;y=l+48|0;B=l+44|0;f[B>>2]=y;f[y>>2]=0;f[l+52>>2]=0;f[m>>2]=1124007936;C=m+4|0;D=m+8|0;E=m+40|0;x=C;z=x+36|0;do{f[x>>2]=0;x=x+4|0}while((x|0)<(z|0));f[E>>2]=D;D=m+48|0;F=m+44|0;f[F>>2]=D;f[D>>2]=0;f[m+52>>2]=0;if(t){f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=16842752;f[k+4>>2]=a;t=o+8|0;f[t>>2]=0;f[t+4>>2]=0;f[o>>2]=33619968;f[o+4>>2]=l;mfa(k,o,5,1,0,e,v,0.0,i);f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=16842752;f[k+4>>2]=a;t=o+8|0;f[t>>2]=0;f[t+4>>2]=0;f[o>>2]=33619968;f[o+4>>2]=m;mfa(k,o,5,0,1,e,v,0.0,i)}else{f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=16842752;f[k+4>>2]=a;e=o+8|0;f[e>>2]=0;f[e+4>>2]=0;f[o>>2]=33619968;f[o+4>>2]=l;nfa(k,o,5,1,0,v,0.0,i);f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=16842752;f[k+4>>2]=a;e=o+8|0;f[e>>2]=0;f[e+4>>2]=0;f[o>>2]=33619968;f[o+4>>2]=m;nfa(k,o,5,0,1,v,0.0,i)}e=f[a+40>>2]|0;a=f[e+4>>2]|0;t=f[e>>2]|0;f[o>>2]=1124007936;e=o+4|0;G=o+8|0;H=o+40|0;x=e;z=x+36|0;do{f[x>>2]=0;x=x+4|0}while((x|0)<(z|0));f[H>>2]=G;G=o+48|0;x=o+44|0;f[x>>2]=G;f[G>>2]=0;f[o+52>>2]=0;f[k>>2]=t;f[k+4>>2]=a;ZT(o,2,k,21);if((t|0)>0?(z=f[o+16>>2]|0,I=f[f[x>>2]>>2]|0,J=f[l+16>>2]|0,K=f[f[B>>2]>>2]|0,N=f[m+16>>2]|0,O=f[f[F>>2]>>2]|0,(a|0)>0):0){P=0;do{Q=z+(Y(I,P)|0)|0;R=J+(Y(K,P)|0)|0;S=N+(Y(O,P)|0)|0;T=0;do{v=+n[R+(T<<2)>>2];w=+n[S+(T<<2)>>2];U=T*3|0;n[Q+(U<<2)>>2]=v*v;n[Q+(U+1<<2)>>2]=v*w;n[Q+(U+2<<2)>>2]=w*w;T=T+1|0}while((T|0)!=(a|0));P=P+1|0}while((P|0)!=(t|0))}f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=16842752;f[k+4>>2]=o;t=p+8|0;f[t>>2]=0;f[t+4>>2]=0;f[p>>2]=33619968;f[p+4>>2]=o;t=f[o>>2]&7;f[q>>2]=d;f[q+4>>2]=d;f[r>>2]=-1;f[r+4>>2]=-1;Tka(k,p,t,q,r,0,i);a:do switch(g|0){case 0:{i=f[c+16>>2]|0;r=f[c+44>>2]|0;q=f[H>>2]|0;t=f[q+4>>2]|0;p=f[q>>2]|0;if(f[o>>2]&16384){q=(f[c>>2]&16384|0)!=0;k=Y(q?p:1,t)|0;if(q){V=k;W=1}else{X=k;Z=14}}else{X=t;Z=14}if((Z|0)==14)if((p|0)>0){V=X;W=p}else break a;p=f[o+16>>2]|0;t=f[f[x>>2]>>2]|0;k=f[r>>2]|0;if((V|0)>0){r=0;do{q=p+(Y(r,t)|0)|0;d=i+(Y(r,k)|0)|0;P=0;do{a=P*3|0;w=+n[q+(a<<2)>>2]*.5;v=+n[q+(a+1<<2)>>2];_=+n[q+(a+2<<2)>>2]*.5;$=w-_;aa=w+_-+M(+(v*v+$*$));n[d+(P<<2)>>2]=aa;P=P+1|0}while((P|0)!=(V|0));r=r+1|0}while((r|0)!=(W|0))}break}case 1:{r=f[c+16>>2]|0;k=f[c+44>>2]|0;i=f[H>>2]|0;t=f[i+4>>2]|0;p=f[i>>2]|0;if(f[o>>2]&16384){i=(f[c>>2]&16384|0)!=0;P=Y(i?p:1,t)|0;if(i){ba=P;ca=1}else{da=P;Z=21}}else{da=t;Z=21}if((Z|0)==21)if((p|0)>0){ba=da;ca=p}else break a;p=f[o+16>>2]|0;t=f[f[x>>2]>>2]|0;P=f[k>>2]|0;if((ba|0)>0){k=0;do{i=p+(Y(k,t)|0)|0;d=r+(Y(k,P)|0)|0;q=0;do{a=q*3|0;aa=+n[i+(a<<2)>>2];$=+n[i+(a+1<<2)>>2];v=+n[i+(a+2<<2)>>2];_=aa+v;n[d+(q<<2)>>2]=aa*v-$*$-_*(_*h);q=q+1|0}while((q|0)!=(ba|0));k=k+1|0}while((k|0)!=(ca|0))}break}case 2:{k=f[c+16>>2]|0;P=f[c+44>>2]|0;r=f[H>>2]|0;t=f[r+4>>2]|0;p=f[r>>2]|0;if(f[o>>2]&16384){r=(f[c>>2]&16384|0)!=0;q=Y(r?p:1,t)|0;if(r){ea=q;fa=1}else{ga=q;Z=28}}else{ga=t;Z=28}if((Z|0)==28)if((p|0)>0){ea=ga;fa=p}else break a;p=f[o+16>>2]|0;t=f[f[x>>2]>>2]|0;q=f[P>>2]|0;P=(ea|0)>0;r=0;do{d=p+(Y(r,t)|0)|0;i=k+(Y(r,q)|0)|0;if(P){a=0;do{O=a*3|0;_=+n[d+(O<<2)>>2];$=+n[d+(O+1<<2)>>2];v=$;aa=+n[d+(O+2<<2)>>2];w=(_+aa)*.5;ha=_-aa;ia=+M(+(v*v+ha*ha*.25));ha=ia+w;ja=w-ia;ia=ha-_;w=+L(+$);if(w+ +L(+ia)<.0001){$=ha-aa;ka=w+ +L(+$);la=1.0/(ka+1.1920928955078125e-07);if(ka<.0001){ma=v*la;na=$*la}else{ma=v;na=$}}else{ma=ia;na=v}ia=1.0/+M(+(na*na+ma*ma+2.220446049250313e-16));O=a*6|0;n[i+(O<<2)>>2]=ha;n[i+(O+2<<2)>>2]=na*ia;n[i+(O+3<<2)>>2]=ma*ia;ia=ja-_;if(w+ +L(+ia)<.0001){_=ja-aa;aa=w+ +L(+_);w=1.0/(aa+1.1920928955078125e-07);if(aa<.0001){oa=v*w;pa=_*w}else{oa=v;pa=_}}else{oa=ia;pa=v}v=1.0/+M(+(pa*pa+oa*oa+2.220446049250313e-16));n[i+((O|1)<<2)>>2]=ja;n[i+(O+4<<2)>>2]=pa*v;n[i+(O+5<<2)>>2]=oa*v;a=a+1|0}while((a|0)!=(ea|0))}r=r+1|0}while((r|0)!=(fa|0));break}default:{}}while(0);fa=o+36|0;ea=f[fa>>2]|0;if(ea|0?(ga=ea+12|0,ea=f[ga>>2]|0,f[ga>>2]=ea+-1,(ea|0)==1):0)aU(o);f[fa>>2]=0;fa=o+16|0;f[fa>>2]=0;f[fa+4>>2]=0;f[fa+8>>2]=0;f[fa+12>>2]=0;if((f[e>>2]|0)>0){fa=f[H>>2]|0;H=0;do{f[fa+(H<<2)>>2]=0;H=H+1|0}while((H|0)<(f[e>>2]|0))}e=f[x>>2]|0;if((e|0)!=(G|0))TC(e);e=m+36|0;G=f[e>>2]|0;if(G|0?(x=G+12|0,G=f[x>>2]|0,f[x>>2]=G+-1,(G|0)==1):0)aU(m);f[e>>2]=0;e=m+16|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((f[C>>2]|0)>0){e=f[E>>2]|0;E=0;do{f[e+(E<<2)>>2]=0;E=E+1|0}while((E|0)<(f[C>>2]|0))}C=f[F>>2]|0;if((C|0)!=(D|0))TC(C);C=l+36|0;D=f[C>>2]|0;if(D|0?(F=D+12|0,D=f[F>>2]|0,f[F>>2]=D+-1,(D|0)==1):0)aU(l);f[C>>2]=0;C=l+16|0;f[C>>2]=0;f[C+4>>2]=0;f[C+8>>2]=0;f[C+12>>2]=0;if((f[s>>2]|0)>0){C=f[A>>2]|0;A=0;do{f[C+(A<<2)>>2]=0;A=A+1|0}while((A|0)<(f[s>>2]|0))}s=f[B>>2]|0;if((s|0)==(y|0)){u=j;return}TC(s);u=j;return}function uta(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;h=u;u=u+128|0;i=h+120|0;j=h+64|0;k=h;l=h+8|0;gV(i,81652);do if((qJ(a)|0)==65536){m=f[a+4>>2]|0;f[j>>2]=f[m>>2];n=j+4|0;o=m+4|0;f[n>>2]=f[o>>2];p=j+8|0;f[p>>2]=f[m+8>>2];f[j+12>>2]=f[m+12>>2];f[j+16>>2]=f[m+16>>2];f[j+20>>2]=f[m+20>>2];f[j+24>>2]=f[m+24>>2];f[j+28>>2]=f[m+28>>2];f[j+32>>2]=f[m+32>>2];q=f[m+36>>2]|0;f[j+36>>2]=q;r=j+40|0;f[r>>2]=p;p=j+48|0;s=j+44|0;f[s>>2]=p;f[p>>2]=0;f[j+52>>2]=0;if(q|0){p=q+12|0;f[p>>2]=(f[p>>2]|0)+1}if((f[o>>2]|0)<3){o=f[m+44>>2]|0;p=f[s>>2]|0;f[p>>2]=f[o>>2];f[p+4>>2]=f[o+4>>2];t=r;break}else{f[n>>2]=0;$T(j,m);t=r;break}}else{nJ(j,a,-1);t=j+40|0}while(0);a=f[t>>2]|0;r=f[a>>2]|0;f[k>>2]=f[a+4>>2];f[k+4>>2]=r;IJ(b,k,5,-1,0,0);do if((qJ(b)|0)==65536){k=f[b+4>>2]|0;f[l>>2]=f[k>>2];r=l+4|0;a=k+4|0;f[r>>2]=f[a>>2];m=l+8|0;f[m>>2]=f[k+8>>2];f[l+12>>2]=f[k+12>>2];f[l+16>>2]=f[k+16>>2];f[l+20>>2]=f[k+20>>2];f[l+24>>2]=f[k+24>>2];f[l+28>>2]=f[k+28>>2];f[l+32>>2]=f[k+32>>2];n=f[k+36>>2]|0;f[l+36>>2]=n;f[l+40>>2]=m;m=l+48|0;o=l+44|0;f[o>>2]=m;f[m>>2]=0;f[l+52>>2]=0;if(n|0){m=n+12|0;f[m>>2]=(f[m>>2]|0)+1}if((f[a>>2]|0)<3){a=f[k+44>>2]|0;m=f[o>>2]|0;f[m>>2]=f[a>>2];f[m+4>>2]=f[a+4>>2];break}else{f[r>>2]=0;$T(l,k);break}}else nJ(l,b,-1);while(0);tta(j,l,c,d,1,e,g);g=l+36|0;d=f[g>>2]|0;if(d|0?(c=d+12|0,d=f[c>>2]|0,f[c>>2]=d+-1,(d|0)==1):0)aU(l);f[g>>2]=0;g=l+16|0;d=l+4|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;if((f[d>>2]|0)>0){g=f[l+40>>2]|0;c=0;do{f[g+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[d>>2]|0))}d=f[l+44>>2]|0;if((d|0)!=(l+48|0))TC(d);d=j+36|0;l=f[d>>2]|0;if(l|0?(c=l+12|0,l=f[c>>2]|0,f[c>>2]=l+-1,(l|0)==1):0)aU(j);f[d>>2]=0;d=j+16|0;l=j+4|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[l>>2]|0)>0){d=f[t>>2]|0;t=0;do{f[d+(t<<2)>>2]=0;t=t+1|0}while((t|0)<(f[l>>2]|0))}l=f[j+44>>2]|0;if((l|0)!=(j+48|0))TC(l);if(!(f[i+4>>2]|0)){u=h;return}u=h;return}function vta(){var a=0,b=0,c=0,d=0,e=0;a=u;u=u+32|0;b=a+8|0;c=a;d=a+16|0;e=535144;f[e>>2]=1149814285;f[e+4>>2]=1071277473;e=535152;f[e>>2]=963447064;f[e+4>>2]=1071047319;e=535160;f[e>>2]=-768008872;f[e+4>>2]=1070012441;e=535168;f[e>>2]=-1494786058;f[e+4>>2]=1070282957;e=535176;f[e>>2]=963447064;f[e+4>>2]=1072095895;e=535184;f[e>>2]=-423037099;f[e+4>>2]=1068661162;e=535192;f[e>>2]=-959598773;f[e+4>>2]=1066650698;e=535200;f[e>>2]=-1259765448;f[e+4>>2]=1069450094;e=535208;f[e>>2]=1947784849;f[e+4>>2]=1072588866;e=535216;f[e>>2]=1090715535;f[e+4>>2]=1074392192;e=535224;f[e>>2]=-1724858866;f[e+4>>2]=-1074227158;e=535232;f[e>>2]=1480217529;f[e+4>>2]=-1075845121;e=535240;f[e>>2]=682521843;f[e+4>>2]=-1074854875;e=535248;f[e>>2]=596210180;f[e+4>>2]=1073611791;e=535256;f[e>>2]=-102254581;f[e+4>>2]=1067796179;e=535264;f[e>>2]=137164076;f[e+4>>2]=1068269029;e=535272;f[e>>2]=-1107483087;f[e+4>>2]=-1077273068;e=535280;f[e>>2]=-261408890;f[e+4>>2]=1072753342;e=535288;f[e>>2]=-1282855192;f[e+4>>2]=1072589346;e=535296;f[e>>2]=0;f[e+4>>2]=1072693248;e=535304;f[e>>2]=1349925401;f[e+4>>2]=1072786313;XGb(b,2048);XGb(c,3);cHb(d,b,c);f[223764]=f[d>>2];XGb(895060,-134);XGb(895064,220);aHb(895068,895064,895060);XGb(895072,-140);XGb(895076,122);aHb(895080,895076,895072);gHb(b,809);gHb(c,2e4);tHb(535312,b,c);gHb(b,7827);gHb(c,25e5);tHb(535320,b,c);gHb(b,323);gHb(c,25);tHb(535328,b,c);gHb(b,12);gHb(c,5);tHb(535336,b,c);gHb(b,11);gHb(c,200);tHb(535344,b,c);XGb(b,216);XGb(c,24389);cHb(895084,b,c);XGb(b,841);XGb(c,108);cHb(895088,b,c);XGb(b,16);XGb(c,116);cHb(895092,b,c);XGb(895096,255);u=a;return}function wta(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0;k=u;u=u+96|0;l=k+80|0;m=k+48|0;o=k+40|0;q=k;gV(o,81672);switch(h|0){case 0:{f[q>>2]=i;h=q+4|0;r=h;s=81692;t=r+36|0;do{f[r>>2]=f[s>>2];r=r+4|0;s=s+4|0}while((r|0)<(t|0));if(!j){f[h>>2]=739;f[q+12>>2]=1689;f[q+16>>2]=296;f[q+24>>2]=871;f[q+28>>2]=3892;f[q+36>>2]=79}f[l>>2]=0;f[l+4>>2]=g;f[m>>2]=81736;f[m+4>>2]=a;f[m+8>>2]=b;f[m+12>>2]=c;f[m+16>>2]=d;f[m+20>>2]=e;f[m+24>>2]=q;sZ(l,m,+(Y(g,e)|0)*.0000152587890625);break}case 2:{f[q>>2]=i;h=q+4|0;r=h;s=81692;t=r+36|0;do{f[r>>2]=f[s>>2];r=r+4|0;s=s+4|0}while((r|0)<(t|0));if(!j){f[h>>2]=739;f[q+12>>2]=1689;f[q+16>>2]=296;f[q+24>>2]=871;f[q+28>>2]=3892;f[q+36>>2]=79}f[l>>2]=0;f[l+4>>2]=g;f[m>>2]=81756;f[m+4>>2]=a;f[m+8>>2]=b;f[m+12>>2]=c;f[m+16>>2]=d;f[m+20>>2]=e;f[m+24>>2]=q;sZ(l,m,+(Y(g,e)|0)*.0000152587890625);break}default:{f[q>>2]=i;v=+p[66893];i=q+4|0;n[i>>2]=v;n[q+8>>2]=+p[66894];w=+p[66895];h=q+12|0;n[h>>2]=w;x=+p[66896];s=q+16|0;n[s>>2]=x;n[q+20>>2]=+p[66897];y=+p[66898];r=q+24|0;n[r>>2]=y;z=+p[66899];t=q+28|0;n[t>>2]=z;n[q+32>>2]=+p[66900];A=+p[66901];B=q+36|0;n[B>>2]=A;if(!j){n[i>>2]=w;n[h>>2]=v;n[s>>2]=y;n[r>>2]=x;n[t>>2]=A;n[B>>2]=z}f[l>>2]=0;f[l+4>>2]=g;f[m>>2]=81776;f[m+4>>2]=a;f[m+8>>2]=b;f[m+12>>2]=c;f[m+16>>2]=d;f[m+20>>2]=e;f[m+24>>2]=q;sZ(l,m,+(Y(g,e)|0)*.0000152587890625)}}if(!(f[o+4>>2]|0)){u=k;return}u=k;return}function xta(a){a=a|0;fuc(a);return}function yta(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0.0,r=0.0,s=0.0,t=0.0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0,B=0.0,C=0.0,D=0.0;c=u;u=u+16|0;d=c;gV(d,81788);e=f[b>>2]|0;g=f[b+4>>2]|0;a:do if((e|0)<(g|0)){b=f[a+16>>2]|0;h=f[a+8>>2]|0;i=a+24|0;j=f[a+20>>2]|0;k=j*3|0;if((j|0)<=0){j=e;while(1){j=j+1|0;if((j|0)>=(g|0))break a}}j=(f[a+4>>2]|0)+(Y(h,e)|0)|0;l=(f[a+12>>2]|0)+(Y(b,e)|0)|0;m=e;o=j;while(1){j=f[i>>2]|0;p=f[j>>2]|0;q=+n[j+4>>2];r=+n[j+8>>2];s=+n[j+12>>2];t=+n[j+16>>2];v=+n[j+20>>2];w=+n[j+24>>2];x=+n[j+28>>2];y=+n[j+32>>2];z=+n[j+36>>2];j=0;A=o;while(1){B=+n[A>>2];C=+n[A+4>>2];D=+n[A+8>>2];n[l+(j<<2)>>2]=q*B+r*C+s*D;n[l+(j+1<<2)>>2]=t*B+v*C+w*D;n[l+(j+2<<2)>>2]=x*B+y*C+z*D;j=j+3|0;if((j|0)>=(k|0))break;else A=A+(p<<2)|0}m=m+1|0;if((m|0)>=(g|0))break;else{l=l+b|0;o=o+h|0}}}while(0);if(!(f[d+4>>2]|0)){u=c;return}u=c;return}function zta(a){a=a|0;fuc(a);return}function Ata(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=u;u=u+16|0;d=c;gV(d,81808);e=f[b>>2]|0;g=a+8|0;h=a+16|0;i=b+4|0;if((e|0)<(f[i>>2]|0)){b=(f[a+12>>2]|0)+(Y(f[h>>2]|0,e)|0)|0;j=a+24|0;k=a+20|0;l=b;b=e;m=(f[a+4>>2]|0)+(Y(f[g>>2]|0,e)|0)|0;while(1){Bta(f[j>>2]|0,m,l,f[k>>2]|0);b=b+1|0;if((b|0)>=(f[i>>2]|0))break;else{l=l+(f[h>>2]|0)|0;m=m+(f[g>>2]|0)|0}}}if(!(f[d+4>>2]|0)){u=c;return}u=c;return}function Bta(a,b,c,e){a=a|0;b=b|0;c=c|0;e=e|0;var g=0,h=0,i=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;g=f[a>>2]|0;h=f[a+4>>2]|0;i=f[a+8>>2]|0;k=f[a+12>>2]|0;l=f[a+16>>2]|0;m=f[a+20>>2]|0;n=f[a+24>>2]|0;o=f[a+28>>2]|0;p=f[a+32>>2]|0;q=f[a+36>>2]|0;a=e*3|0;if((e|0)>0){r=0;s=b}else return;while(1){b=j[s>>1]|0;e=Y(b,h)|0;t=j[s+2>>1]|0;u=Y(t,i)|0;v=j[s+4>>1]|0;w=e+2048+u+(Y(v,k)|0)>>12;u=(Y(b,l)|0)+2048+(Y(t,m)|0)+(Y(v,n)|0)>>12;e=(Y(b,o)|0)+2048+(Y(t,p)|0)+(Y(v,q)|0)>>12;d[c+(r<<1)>>1]=w>>>0<65536?w:(w|0)>0?65535:0;d[c+(r+1<<1)>>1]=u>>>0<65536?u:(u|0)>0?65535:0;d[c+(r+2<<1)>>1]=e>>>0<65536?e:(e|0)>0?65535:0;r=r+3|0;if((r|0)>=(a|0))break;else s=s+(g<<1)|0}return}function Cta(a){a=a|0;fuc(a);return}function Dta(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=u;u=u+16|0;d=c;gV(d,81828);e=f[b>>2]|0;g=a+8|0;h=a+16|0;i=b+4|0;if((e|0)<(f[i>>2]|0)){b=(f[a+12>>2]|0)+(Y(f[h>>2]|0,e)|0)|0;j=a+24|0;k=a+20|0;l=b;b=e;m=(f[a+4>>2]|0)+(Y(f[g>>2]|0,e)|0)|0;while(1){Eta(f[j>>2]|0,m,l,f[k>>2]|0);b=b+1|0;if((b|0)>=(f[i>>2]|0))break;else{l=l+(f[h>>2]|0)|0;m=m+(f[g>>2]|0)|0}}}if(!(f[d+4>>2]|0)){u=c;return}u=c;return}function Eta(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;g=f[a>>2]|0;i=f[a+4>>2]|0;j=f[a+8>>2]|0;k=f[a+12>>2]|0;l=f[a+16>>2]|0;m=f[a+20>>2]|0;n=f[a+24>>2]|0;o=f[a+28>>2]|0;p=f[a+32>>2]|0;q=f[a+36>>2]|0;a=e*3|0;if((e|0)>0){r=0;s=c}else return;while(1){c=h[s>>0]|0;e=Y(c,i)|0;t=h[s+1>>0]|0;u=Y(t,j)|0;v=h[s+2>>0]|0;w=e+2048+u+(Y(v,k)|0)>>12;u=(Y(c,l)|0)+2048+(Y(t,m)|0)+(Y(v,n)|0)>>12;e=(Y(c,o)|0)+2048+(Y(t,p)|0)+(Y(v,q)|0)>>12;b[d+r>>0]=w>>>0<256?w:(w|0)>0?255:0;b[d+(r+1)>>0]=u>>>0<256?u:(u|0)>0?255:0;b[d+(r+2)>>0]=e>>>0<256?e:(e|0)>0?255:0;r=r+3|0;if((r|0)>=(a|0))break;else s=s+g|0}return}function Fta(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0;k=u;u=u+96|0;l=k+88|0;m=k+56|0;o=k+48|0;q=k;gV(o,81848);r=j?2:0;switch(h|0){case 0:{f[q>>2]=i;f[q+4>>2]=r;h=q+8|0;s=h;t=81868;v=s+36|0;do{f[s>>2]=f[t>>2];s=s+4|0;t=t+4|0}while((s|0)<(v|0));if(!j){f[h>>2]=228;f[q+32>>2]=13273;f[q+12>>2]=-836;f[q+36>>2]=-6296;f[q+16>>2]=4331;f[q+40>>2]=-2042}f[l>>2]=0;f[l+4>>2]=g;f[m>>2]=81912;f[m+4>>2]=a;f[m+8>>2]=b;f[m+12>>2]=c;f[m+16>>2]=d;f[m+20>>2]=e;f[m+24>>2]=q;sZ(l,m,+(Y(g,e)|0)*.0000152587890625);break}case 2:{f[q>>2]=i;f[q+4>>2]=r;h=q+8|0;s=h;t=81868;v=s+36|0;do{f[s>>2]=f[t>>2];s=s+4|0;t=t+4|0}while((s|0)<(v|0));if(!j){f[h>>2]=228;f[q+32>>2]=13273;f[q+12>>2]=-836;f[q+36>>2]=-6296;f[q+16>>2]=4331;f[q+40>>2]=-2042}f[l>>2]=0;f[l+4>>2]=g;f[m>>2]=81932;f[m+4>>2]=a;f[m+8>>2]=b;f[m+12>>2]=c;f[m+16>>2]=d;f[m+20>>2]=e;f[m+24>>2]=q;sZ(l,m,+(Y(g,e)|0)*.0000152587890625);break}default:{f[q>>2]=i;f[q+4>>2]=r;w=+p[66902];r=q+8|0;n[r>>2]=w;x=+p[66903];i=q+12|0;n[i>>2]=x;y=+p[66904];h=q+16|0;n[h>>2]=y;n[q+20>>2]=+p[66905];n[q+24>>2]=+p[66906];n[q+28>>2]=+p[66907];z=+p[66908];t=q+32|0;n[t>>2]=z;A=+p[66909];s=q+36|0;n[s>>2]=A;B=+p[66910];v=q+40|0;n[v>>2]=B;if(!j){n[r>>2]=z;n[t>>2]=w;n[i>>2]=A;n[s>>2]=x;n[h>>2]=B;n[v>>2]=y}f[l>>2]=0;f[l+4>>2]=g;f[m>>2]=81952;f[m+4>>2]=a;f[m+8>>2]=b;f[m+12>>2]=c;f[m+16>>2]=d;f[m+20>>2]=e;f[m+24>>2]=q;sZ(l,m,+(Y(g,e)|0)*.0000152587890625)}}if(!(f[o+4>>2]|0)){u=k;return}u=k;return}function Gta(a){a=a|0;fuc(a);return}function Hta(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=u;u=u+16|0;d=c;gV(d,81964);e=f[b>>2]|0;g=a+8|0;h=a+16|0;i=b+4|0;if((e|0)<(f[i>>2]|0)){b=(f[a+12>>2]|0)+(Y(f[h>>2]|0,e)|0)|0;j=a+24|0;k=a+20|0;l=b;b=e;m=(f[a+4>>2]|0)+(Y(f[g>>2]|0,e)|0)|0;while(1){Ita(f[j>>2]|0,m,l,f[k>>2]|0);b=b+1|0;if((b|0)>=(f[i>>2]|0))break;else{l=l+(f[h>>2]|0)|0;m=m+(f[g>>2]|0)|0}}}if(!(f[d+4>>2]|0)){u=c;return}u=c;return}function Ita(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0.0,h=0.0,i=0.0,j=0.0,k=0.0,l=0.0,m=0.0,o=0.0,p=0.0,q=0,r=0.0,s=0.0,t=0.0;e=f[a>>2]|0;g=+n[a+8>>2];h=+n[a+12>>2];i=+n[a+16>>2];j=+n[a+20>>2];k=+n[a+24>>2];l=+n[a+28>>2];m=+n[a+32>>2];o=+n[a+36>>2];p=+n[a+40>>2];a=d*3|0;if((d|0)<=0)return;if((e|0)==4){d=0;q=c;while(1){r=+n[b+(d<<2)>>2];s=+n[b+(d+1<<2)>>2];t=+n[b+(d+2<<2)>>2];n[q>>2]=g*r+h*s+i*t;n[q+4>>2]=j*r+k*s+l*t;n[q+8>>2]=m*r+o*s+p*t;n[q+12>>2]=1.0;d=d+3|0;if((d|0)>=(a|0))break;else q=q+16|0}return}else{q=0;d=c;while(1){t=+n[b+(q<<2)>>2];s=+n[b+(q+1<<2)>>2];r=+n[b+(q+2<<2)>>2];n[d>>2]=g*t+h*s+i*r;n[d+4>>2]=j*t+k*s+l*r;n[d+8>>2]=m*t+o*s+p*r;q=q+3|0;if((q|0)>=(a|0))break;else d=d+(e<<2)|0}return}}function Jta(a){a=a|0;fuc(a);return}function Kta(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=u;u=u+16|0;d=c;gV(d,81984);e=f[b>>2]|0;g=a+8|0;h=a+16|0;i=b+4|0;if((e|0)<(f[i>>2]|0)){b=(f[a+12>>2]|0)+(Y(f[h>>2]|0,e)|0)|0;j=a+24|0;k=a+20|0;l=b;b=e;m=(f[a+4>>2]|0)+(Y(f[g>>2]|0,e)|0)|0;while(1){Lta(f[j>>2]|0,m,l,f[k>>2]|0);b=b+1|0;if((b|0)>=(f[i>>2]|0))break;else{l=l+(f[h>>2]|0)|0;m=m+(f[g>>2]|0)|0}}}if(!(f[d+4>>2]|0)){u=c;return}u=c;return}function Lta(a,b,c,e){a=a|0;b=b|0;c=c|0;e=e|0;var g=0,h=0,i=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;g=f[a>>2]|0;h=f[a+8>>2]|0;i=f[a+12>>2]|0;k=f[a+16>>2]|0;l=f[a+20>>2]|0;m=f[a+24>>2]|0;n=f[a+28>>2]|0;o=f[a+32>>2]|0;p=f[a+36>>2]|0;q=f[a+40>>2]|0;a=e*3|0;if((e|0)<=0)return;if((g|0)==4){e=0;r=c;while(1){s=j[b+(e<<1)>>1]|0;t=Y(s,h)|0;u=j[b+(e+1<<1)>>1]|0;v=Y(u,i)|0;w=j[b+(e+2<<1)>>1]|0;x=t+2048+v+(Y(w,k)|0)>>12;v=(Y(s,l)|0)+2048+(Y(u,m)|0)+(Y(w,n)|0)>>12;t=(Y(s,o)|0)+2048+(Y(u,p)|0)+(Y(w,q)|0)>>12;d[r>>1]=x>>>0<65536?x:(x|0)>0?65535:0;d[r+2>>1]=v>>>0<65536?v:(v|0)>0?65535:0;d[r+4>>1]=t>>>0<65536?t:(t|0)>0?65535:0;d[r+6>>1]=-1;e=e+3|0;if((e|0)>=(a|0))break;else r=r+8|0}return}else{r=0;e=c;while(1){c=j[b+(r<<1)>>1]|0;t=Y(c,h)|0;v=j[b+(r+1<<1)>>1]|0;x=Y(v,i)|0;w=j[b+(r+2<<1)>>1]|0;u=t+2048+x+(Y(w,k)|0)>>12;x=(Y(c,l)|0)+2048+(Y(v,m)|0)+(Y(w,n)|0)>>12;t=(Y(c,o)|0)+2048+(Y(v,p)|0)+(Y(w,q)|0)>>12;d[e>>1]=u>>>0<65536?u:(u|0)>0?65535:0;d[e+2>>1]=x>>>0<65536?x:(x|0)>0?65535:0;d[e+4>>1]=t>>>0<65536?t:(t|0)>0?65535:0;r=r+3|0;if((r|0)>=(a|0))break;else e=e+(g<<1)|0}return}}function Mta(a){a=a|0;fuc(a);return}function Nta(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=u;u=u+16|0;d=c;gV(d,82004);e=f[b>>2]|0;g=a+8|0;h=a+16|0;i=b+4|0;if((e|0)<(f[i>>2]|0)){b=(f[a+12>>2]|0)+(Y(f[h>>2]|0,e)|0)|0;j=a+24|0;k=a+20|0;l=b;b=e;m=(f[a+4>>2]|0)+(Y(f[g>>2]|0,e)|0)|0;while(1){Ota(f[j>>2]|0,m,l,f[k>>2]|0);b=b+1|0;if((b|0)>=(f[i>>2]|0))break;else{l=l+(f[h>>2]|0)|0;m=m+(f[g>>2]|0)|0}}}if(!(f[d+4>>2]|0)){u=c;return}u=c;return}function Ota(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;g=f[a>>2]|0;i=f[a+8>>2]|0;j=f[a+12>>2]|0;k=f[a+16>>2]|0;l=f[a+20>>2]|0;m=f[a+24>>2]|0;n=f[a+28>>2]|0;o=f[a+32>>2]|0;p=f[a+36>>2]|0;q=f[a+40>>2]|0;a=e*3|0;if((e|0)<=0)return;if((g|0)==4){e=0;r=d;while(1){s=h[c+e>>0]|0;t=Y(s,i)|0;u=h[c+(e+1)>>0]|0;v=Y(u,j)|0;w=h[c+(e+2)>>0]|0;x=t+2048+v+(Y(w,k)|0)>>12;v=(Y(s,l)|0)+2048+(Y(u,m)|0)+(Y(w,n)|0)>>12;t=(Y(s,o)|0)+2048+(Y(u,p)|0)+(Y(w,q)|0)>>12;b[r>>0]=x>>>0<256?x:(x|0)>0?255:0;b[r+1>>0]=v>>>0<256?v:(v|0)>0?255:0;b[r+2>>0]=t>>>0<256?t:(t|0)>0?255:0;b[r+3>>0]=-1;e=e+3|0;if((e|0)>=(a|0))break;else r=r+4|0}return}else{r=0;e=d;while(1){d=h[c+r>>0]|0;t=Y(d,i)|0;v=h[c+(r+1)>>0]|0;x=Y(v,j)|0;w=h[c+(r+2)>>0]|0;u=t+2048+x+(Y(w,k)|0)>>12;x=(Y(d,l)|0)+2048+(Y(v,m)|0)+(Y(w,n)|0)>>12;t=(Y(d,o)|0)+2048+(Y(v,p)|0)+(Y(w,q)|0)>>12;b[e>>0]=u>>>0<256?u:(u|0)>0?255:0;b[e+1>>0]=x>>>0<256?x:(x|0)>0?255:0;b[e+2>>0]=t>>>0<256?t:(t|0)>0?255:0;r=r+3|0;if((r|0)>=(a|0))break;else e=e+g|0}return}}function Pta(a,c,d,e,g,h,i,j,k,l,m){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0;n=u;u=u+128|0;o=n+112|0;p=n+80|0;q=n+72|0;r=n;gV(q,82024);s=k?2:0;k=(i|0)==0;do if(l)if(k){Qta(r,j,s,0,0,m);f[o>>2]=0;f[o+4>>2]=h;f[p>>2]=82052;f[p+4>>2]=a;f[p+8>>2]=c;f[p+12>>2]=d;f[p+16>>2]=e;f[p+20>>2]=g;f[p+24>>2]=r;sZ(o,p,+(Y(h,g)|0)*.0000152587890625);break}else{Rta(r,j,s,0,0,m);f[o>>2]=0;f[o+4>>2]=h;f[p>>2]=82072;f[p+4>>2]=a;f[p+8>>2]=c;f[p+12>>2]=d;f[p+16>>2]=e;f[p+20>>2]=g;f[p+24>>2]=r;sZ(o,p,+(Y(h,g)|0)*.0000152587890625);break}else if(k){f[r>>2]=j;Sta(r+4|0,3,s,0,0,m);f[r+56>>2]=j;f[r+60>>2]=s;Tta();b[r+64>>0]=m&1;f[o>>2]=0;f[o+4>>2]=h;f[p>>2]=82092;f[p+4>>2]=a;f[p+8>>2]=c;f[p+12>>2]=d;f[p+16>>2]=e;f[p+20>>2]=g;f[p+24>>2]=r;sZ(o,p,+(Y(h,g)|0)*.0000152587890625);break}else{Sta(r,j,s,0,0,m);f[r+52>>2]=j;f[o>>2]=0;f[o+4>>2]=h;f[p>>2]=82112;f[p+4>>2]=a;f[p+8>>2]=c;f[p+12>>2]=d;f[p+16>>2]=e;f[p+20>>2]=g;f[p+24>>2]=r;sZ(o,p,+(Y(h,g)|0)*.0000152587890625);break}while(0);if(!(f[q+4>>2]|0)){u=n;return}u=n;return}function Qta(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;i=u;u=u+96|0;j=i+64|0;k=i+40|0;l=i+24|0;m=i+16|0;o=i+8|0;q=i;f[a>>2]=c;b[a+40>>0]=h&1;Tta();f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;f[j+16>>2]=0;f[j+20>>2]=0;if(!g){f[j>>2]=f[133822];f[j+4>>2]=f[133823];f[j+8>>2]=f[133824];f[j+12>>2]=f[133825];f[j+16>>2]=f[133826];f[j+20>>2]=f[133827]}else{p[j>>3]=+n[g>>2];p[j+8>>3]=+n[g+4>>2];p[j+16>>3]=+n[g+8>>2]}if((b[535552]|0)==0?$yc(535552)|0:0)gHb(535560,4096);if((f[20551]|0)<=0){u=i;return}g=(e|0)==0;h=d^2;c=k+8|0;r=k+16|0;s=k+8|0;t=k+16|0;v=0;while(1){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;f[k+16>>2]=0;f[k+20>>2]=0;w=v*3|0;if(g){x=535144+(w<<3)|0;if((x|0)!=(k|0)){y=x;x=f[y+4>>2]|0;z=k;f[z>>2]=f[y>>2];f[z+4>>2]=x}x=w+1|0;z=535144+(x<<3)|0;if((z|0)!=(c|0)){y=z;z=f[y+4>>2]|0;A=c;f[A>>2]=f[y>>2];f[A+4>>2]=z}z=535144+(w+2<<3)|0;if((z|0)==(r|0))B=x;else{A=z;z=f[A+4>>2]|0;y=r;f[y>>2]=f[A>>2];f[y+4>>2]=z;B=x}}else{p[k>>3]=+n[e+(w<<2)>>2];x=w+1|0;p[s>>3]=+n[e+(x<<2)>>2];p[t>>3]=+n[e+(w+2<<2)>>2];B=x}sHb(m,535560,k);x=j+(v<<3)|0;tHb(l,m,x);z=kHb(l)|0;f[a+4+(w+h<<2)>>2]=z;sHb(o,535560,c);tHb(l,o,x);z=kHb(l)|0;y=a+4+(B<<2)|0;f[y>>2]=z;sHb(q,535560,r);tHb(l,q,x);x=kHb(l)|0;f[a+4+(w+d<<2)>>2]=x;x=f[a+4+(w<<2)>>2]|0;if((x|0)<=-1){C=19;break}z=f[y>>2]|0;if((z|0)<=-1){C=19;break}y=f[a+4+(w+2<<2)>>2]|0;if((y|0)<=-1){C=19;break}if((z+x+y|0)>=8192){C=19;break}v=v+1|0;if((v|0)>=(f[20551]|0)){C=9;break}}if((C|0)==9){u=i;return}else if((C|0)==19){C=cuc(144)|0;f[l>>2]=C;f[l+8>>2]=-2147483504;f[l+4>>2]=128;i=C;v=363189;a=i+128|0;do{b[i>>0]=b[v>>0]|0;i=i+1|0;v=v+1|0}while((i|0)<(a|0));b[C+128>>0]=0;WD(-215,l,363318,361535,1686)}}function Rta(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;i=u;u=u+128|0;j=i+120|0;k=i+64|0;l=i+40|0;m=i+32|0;o=i+24|0;q=i+108|0;r=i+96|0;t=i+16|0;v=i+8|0;w=i;x=i+92|0;y=i+88|0;f[a>>2]=c;c=a+40|0;b[c>>0]=h&1;h=a+44|0;f[h>>2]=d;f[j>>2]=3;Tta();d=(e|0)!=0;z=(g|0)!=0;if(d|z)A=0;else A=b[c>>0]|0;b[a+41>>0]=A;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;f[k+16>>2]=0;f[k+20>>2]=0;if(z){p[k>>3]=+n[g>>2];p[k+8>>3]=+n[g+4>>2];p[k+16>>3]=+n[g+8>>2]}else{f[k>>2]=f[133822];f[k+4>>2]=f[133823];f[k+8>>2]=f[133824];f[k+12>>2]=f[133825];f[k+16>>2]=f[133826];f[k+20>>2]=f[133827]}g=m;f[g>>2]=0;f[g+4>>2]=1072693248;tHb(l,m,k);m=l+8|0;f[m>>2]=0;f[m+4>>2]=1072693248;m=o;f[m>>2]=0;f[m+4>>2]=1072693248;tHb(l+16|0,o,k+16|0);if((f[j>>2]|0)<=0){u=i;return}k=q+4|0;o=q+8|0;m=0;while(1){f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;g=l+(m<<3)|0;z=m*3|0;if(d){p[t>>3]=+n[e+(z<<2)>>2];sHb(v,g,t);nHb(r,v);f[q>>2]=f[r>>2];A=z+1|0;p[t>>3]=+n[e+(A<<2)>>2];sHb(v,g,t);nHb(r,v);f[k>>2]=f[r>>2];p[t>>3]=+n[e+(z+2<<2)>>2];sHb(v,g,t);nHb(r,v);f[o>>2]=f[r>>2];B=A}else{sHb(w,g,535144+(z<<3)|0);nHb(r,w);f[q>>2]=f[r>>2];A=z+1|0;sHb(w,g,535144+(A<<3)|0);nHb(r,w);f[k>>2]=f[r>>2];sHb(w,g,535144+(z+2<<3)|0);nHb(r,w);f[o>>2]=f[r>>2];B=A}A=f[q>>2]|0;f[a+4+((f[h>>2]^2)+z<<2)>>2]=A;g=f[k>>2]|0;f[a+4+(B<<2)>>2]=g;c=f[o>>2]|0;f[a+4+((f[h>>2]|0)+z<<2)>>2]=c;z=!((f[s>>2]=A,+n[s>>2])>=0.0);A=z|!((f[s>>2]=g,+n[s>>2])>=0.0);if(A|!((f[s>>2]=c,+n[s>>2])>=0.0)){C=12;break}ZGb(x,q,k);ZGb(y,x,o);XGb(r,1024);if(!(eHb(y,r)|0)){C=12;break}m=m+1|0;if((m|0)>=(f[j>>2]|0)){C=8;break}}if((C|0)==8){u=i;return}else if((C|0)==12){C=cuc(96)|0;f[r>>2]=C;f[r+8>>2]=-2147483552;f[r+4>>2]=93;i=C;j=362929;m=i+93|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(m|0));b[C+93>>0]=0;WD(-215,r,363023,361535,1762)}}function Sta(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;i=u;u=u+128|0;j=i+124|0;k=i+56|0;l=i+108|0;m=i+112|0;o=i+104|0;q=i+40|0;r=i+100|0;s=i+32|0;t=i+24|0;v=i+16|0;w=i+8|0;x=i;y=i+96|0;z=i+92|0;A=i+88|0;B=i+84|0;C=i+80|0;f[a>>2]=c;b[a+48>>0]=h&1;Tta();f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;f[k+16>>2]=0;f[k+20>>2]=0;f[j>>2]=0;a:do if((f[j>>2]|0)<3){if(g|0)while(1){p[k+(f[j>>2]<<3)>>3]=+n[g+(f[j>>2]<<2)>>2];f[j>>2]=(f[j>>2]|0)+1;if((f[j>>2]|0)>=3)break a}do{h=535288+(f[j>>2]<<3)|0;c=k+(f[j>>2]<<3)|0;if((h|0)!=(c|0)){D=h;h=f[D+4>>2]|0;E=c;f[E>>2]=f[D>>2];f[E+4>>2]=h}f[j>>2]=(f[j>>2]|0)+1}while((f[j>>2]|0)<3)}while(0);f[j>>2]=0;b:do if((f[j>>2]|0)<3){g=(e|0)==0;h=(d|0)==0;while(1){E=(f[j>>2]|0)*3|0;if(g){n[a+4+((f[j>>2]|0)*3<<2)>>2]=+p[535144+(E<<3)>>3];n[a+4+(((f[j>>2]|0)*3|0)+1<<2)>>2]=+p[535144+(((f[j>>2]|0)*3|0)+1<<3)>>3];n[a+4+(((f[j>>2]|0)*3|0)+2<<2)>>2]=+p[535144+(((f[j>>2]|0)*3|0)+2<<3)>>3]}else{f[a+4+((f[j>>2]|0)*3<<2)>>2]=f[e+(E<<2)>>2];f[a+4+(((f[j>>2]|0)*3|0)+1<<2)>>2]=f[e+(((f[j>>2]|0)*3|0)+1<<2)>>2];f[a+4+(((f[j>>2]|0)*3|0)+2<<2)>>2]=f[e+(((f[j>>2]|0)*3|0)+2<<2)>>2]}if(h){E=a+4+((f[j>>2]|0)*3<<2)|0;D=a+4+(((f[j>>2]|0)*3|0)+2<<2)|0;c=f[E>>2]|0;f[E>>2]=f[D>>2];f[D>>2]=c}if(!(+n[a+4+((f[j>>2]|0)*3<<2)>>2]>=0.0)){F=18;break}if(!(+n[a+4+(((f[j>>2]|0)*3|0)+1<<2)>>2]>=0.0)){F=18;break}if(!(+n[a+4+(((f[j>>2]|0)*3|0)+2<<2)>>2]>=0.0)){F=18;break}f[l>>2]=f[a+4+((f[j>>2]|0)*3<<2)>>2];f[m>>2]=f[a+4+(((f[j>>2]|0)*3|0)+1<<2)>>2];ZGb(o,l,m);f[q>>2]=f[a+4+(((f[j>>2]|0)*3|0)+2<<2)>>2];ZGb(r,o,q);n[s>>2]=1.5;if(!(eHb(r,s)|0)){F=18;break}f[j>>2]=(f[j>>2]|0)+1;if((f[j>>2]|0)>=3)break b}if((F|0)==18){h=cuc(160)|0;f[m>>2]=h;f[m+8>>2]=-2147483488;f[m+4>>2]=158;szc(h|0,362569,158)|0;b[h+158>>0]=0;WD(-215,m,362728,361535,2840)}}while(0);F=k+8|0;gHb(s,15);sHb(q,F,s);oHb(t,k,q);gHb(w,3);sHb(v,k+16|0,w);oHb(x,t,v);nHb(m,x);f[y>>2]=1065353216;f[v>>2]=872415232;x=dHb(m,v)|0;f[s>>2]=f[(x?m:v)>>2];cHb(q,y,s);f[m>>2]=f[q>>2];XGb(q,52);bHb(z,m,q);nHb(s,k);bHb(A,z,s);f[a+40>>2]=f[A>>2];XGb(q,117);bHb(B,m,q);nHb(s,F);bHb(C,B,s);f[a+44>>2]=f[C>>2];C=q;f[C>>2]=0;f[C+4>>2]=1072693248;if(uHb(F,q)|0){u=i;return}else{i=cuc(32)|0;f[q>>2]=i;f[q+8>>2]=-2147483616;f[q+4>>2]=31;F=i;C=362741;a=F+31|0;do{b[F>>0]=b[C>>0]|0;F=F+1|0;C=C+1|0}while((F|0)<(a|0));b[i+31>>0]=0;WD(-215,q,362728,361535,2854)}}function Tta(){var a=0,c=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0;a=u;u=u+14928|0;c=a+120|0;e=a+80|0;g=a+56|0;h=a+48|0;i=a+40|0;j=a+14912|0;k=a+32|0;l=a+24|0;m=a+16|0;o=a+14908|0;p=a+14904|0;q=a+14900|0;r=a+14896|0;s=a+14892|0;t=a+14888|0;v=a+14884|0;w=a+14880|0;x=a+14876|0;y=a+14872|0;z=a+14868|0;A=a+14864|0;B=a+14860|0;C=a+14856|0;D=a+14852|0;E=a+14848|0;F=a+14844|0;G=a+14840|0;H=a+13792|0;I=a+13784|0;K=a+12736|0;L=a+12732|0;M=a+12728|0;N=a+12724|0;O=a+12720|0;P=a+12716|0;Q=a+12712|0;R=a+12708|0;S=a+12704|0;T=a+12700|0;U=a+12696|0;V=a+12692|0;W=a+12688|0;X=a+12684|0;Z=a+12676|0;_=a+12664|0;$=a+12652|0;aa=a+12644|0;ba=a+12632|0;ca=a+12620|0;da=a+12612|0;ea=a+12596|0;fa=a+12588|0;ga=a+12580|0;ha=a+12572|0;ia=a+12564|0;ja=a+12560|0;ka=a+12552|0;la=a+12544|0;ma=a+12540|0;na=a+12532|0;oa=a+12528|0;pa=a+12524|0;qa=a+12520|0;ra=a+12516|0;sa=a+12512|0;ta=a+12508|0;ua=a+12504|0;va=a+12500|0;wa=a+12496|0;xa=a+12492|0;ya=a+12488|0;za=a+12484|0;Aa=a+12480|0;Ba=a+12476|0;Ca=a+12472|0;Da=a+8372|0;Ea=a+4272|0;Fa=a+172|0;Ga=a+168|0;Ha=a+12680|0;Ia=a+12672|0;Ja=a+12668|0;Ka=a+12660|0;La=a+12656|0;Ma=a+12648|0;Na=a+12640|0;Oa=a+12636|0;Pa=a+12628|0;Qa=a+12624|0;Ra=a+12616|0;Sa=a+12608|0;Ta=a+12604|0;Ua=a+12600|0;Va=a+12592|0;Wa=a+12584|0;Xa=a+12576|0;Ya=a+12568|0;Za=a+164|0;_a=a+8|0;$a=a;ab=a+12556|0;bb=a+160|0;cb=a+12548|0;db=a+156|0;eb=a+12536|0;if(b[1169297]|0){u=a;return}kzc(Da|0,0,4100)|0;kzc(Ea|0,0,4100)|0;kzc(Fa|0,0,4100)|0;f[Ha>>2]=1065353216;f[c>>2]=f[223764];cHb(Ga,Ha,c);Ha=0;do{XGb(e,Ha);bHb(c,Ga,e);if(eHb(c,895084)|0)wHb(e,c,895088,895092);else CHb(e,c);fb=Da+(Ha<<2)|0;if((e|0)!=(fb|0))f[fb>>2]=f[e>>2];Ha=Ha+1|0}while((Ha|0)!=1025);Ha=aua(Da)|0;f[223784]=Ha;f[Ia>>2]=1065353216;n[e>>2]=1024.0;cHb(c,Ia,e);f[Ga>>2]=f[c>>2];Ia=0;do{XGb(e,Ia);bHb(c,Ga,e);f[Ja>>2]=f[c>>2];bua(e,Ja);Ha=Ea+(Ia<<2)|0;if((e|0)!=(Ha|0))f[Ha>>2]=f[e>>2];f[Ka>>2]=f[c>>2];cua(e,Ka);Ha=Fa+(Ia<<2)|0;if((e|0)!=(Ha|0))f[Ha>>2]=f[e>>2];Ia=Ia+1|0}while((Ia|0)!=1025);Ia=aua(Ea)|0;f[223783]=Ia;Ia=aua(Fa)|0;f[223793]=Ia;if((b[535408]|0)==0?$yc(535408)|0:0)XGb(895176,2040);Ia=0;do{XGb(La,Ia);cHb(c,La,895096);f[Ma>>2]=f[c>>2];bua(g,Ma);bHb(e,895176,g);Fa=(jHb(e)|0)&65535;d[1141372+(Ia<<1)>>1]=Fa;d[1141884+(Ia<<1)>>1]=Ia<<3;Ia=Ia+1|0}while((Ia|0)!=256);if((b[535416]|0)==0?$yc(535416)|0:0){f[Na>>2]=1065353216;XGb(c,4096);cHb(895180,Na,c)}Na=0;do{XGb(e,Na);bHb(c,895180,e);f[Oa>>2]=f[c>>2];cua(g,Oa);bHb(e,895096,g);Ia=(jHb(e)|0)&65535;d[1142396+(Na<<1)>>1]=Ia;bHb(e,895096,c);Ia=(iHb(e)|0)&65535;d[1150588+(Na<<1)>>1]=Ia;Na=Na+1|0}while((Na|0)!=4096);if((b[535424]|0)==0?$yc(535424)|0:0)n[223796]=1.0/(+n[223774]*8.0);if((b[535432]|0)==0?$yc(535432)|0:0)XGb(895188,32768);Na=0;do{XGb(e,Na);bHb(c,895184,e);if(eHb(c,895084)|0)wHb(g,c,895088,895092);else CHb(g,c);bHb(e,895188,g);Oa=(jHb(e)|0)&65535;d[1158780+(Na<<1)>>1]=Oa;Na=Na+1|0}while((Na|0)!=3072);Na=0;do{if((Na|0)<21){XGb(Pa,Y(Na,2949120)|0);XGb(e,414613);cHb(c,Pa,e);Oa=jHb(c)|0;XGb(Qa,16384);XGb(Ra,16);XGb(g,116);cHb(Sa,Ra,g);XGb(Ta,Na*5|0);XGb(i,1479);cHb(h,Ta,i);ZGb(e,Sa,h);bHb(c,Qa,e);gb=Oa;hb=jHb(c)|0}else{XGb(Ua,Y(Na,1638400)|0);XGb(e,29580);cHb(Va,Ua,e);XGb(Wa,262144);XGb(h,116);cHb(g,Wa,h);ZGb(c,Va,g);Oa=jHb(c)|0;bHb(Xa,c,c);bHb(Ya,Xa,c);XGb(g,268435456);cHb(e,Ya,g);gb=jHb(e)|0;hb=Oa}Oa=Na<<1;d[1164924+(Oa<<1)>>1]=gb;d[1164924+((Oa|1)<<1)>>1]=hb;Na=Na+1|0}while((Na|0)!=256);Na=SC(147456)|0;hb=-8145;do{if((hb|0)<3391)ib=((hb*108|0)/841|0)+-290|0;else ib=(Y((Y(hb,hb)|0)>>>14,hb)|0)/16384|0;f[Na+(hb+8145<<2)>>2]=ib;hb=hb+1|0}while((hb|0)!=28719);f[223798]=Na;gHb(e,15);sHb(c,535296,e);oHb(_a,535288,c);gHb(h,3);sHb(g,535304,h);oHb($a,_a,g);nHb(Za,$a);f[ab>>2]=1065353216;f[g>>2]=872415232;$a=dHb(Za,g)|0;f[e>>2]=f[($a?Za:g)>>2];cHb(c,ab,e);f[Za>>2]=f[c>>2];XGb(c,52);bHb(cb,Za,c);nHb(e,535288);bHb(bb,cb,e);XGb(c,117);bHb(eb,Za,c);nHb(e,535296);bHb(db,eb,e);f[e>>2]=1065353216;XGb(g,4);cHb(c,e,g);eb=SC(262144)|0;Za=SC(262144)|0;cb=SC(524288)|0;ab=0;do{XGb(h,ab*100|0);cHb(g,h,895096);$a=ab<<8;_a=0;do{XGb(j,_a);bHb(k,j,895068);cHb(l,k,895096);ZGb(i,l,895060);XGb(o,9);bHb(q,g,bb);ZGb(p,i,q);bHb(m,o,p);XGb(q,16);bHb(p,m,q);Na=jHb(p)|0;f[eb+(_a+$a<<2)>>2]=Na;_a=_a+1|0}while((_a|0)!=256);jb=0;do{XGb(r,jb);bHb(s,r,895080);cHb(t,s,895096);ZGb(i,t,895072);bHb(q,g,db);ZGb(p,i,q);cHb(m,c,p);_a=dHb(m,c)|0;Na=f[c>>2]|0;if(_a)f[m>>2]=Na;f[p>>2]=Na^-2147483648;if(eHb(m,p)|0)f[m>>2]=f[c>>2]^-2147483648;XGb(q,16777216);bHb(p,m,q);Na=jHb(p)|0;_a=jb+$a|0;f[Za+(_a<<2)>>2]=Na;hb=Y(Na,ab)|0;Na=Bzc(hb|0,((hb|0)<0)<<31>>31|0,249600,0)|0;hb=cb+(_a<<3)|0;f[hb>>2]=Na;f[hb+4>>2]=J;jb=jb+1|0}while((jb|0)!=256);ab=ab+1|0}while((ab|0)!=256);f[223799]=eb;f[223800]=Za;f[223801]=cb;cb=c;Za=cb+36|0;do{f[cb>>2]=0;cb=cb+4|0}while((cb|0)<(Za|0));cb=e;Za=cb+36|0;do{f[cb>>2]=0;cb=cb+4|0}while((cb|0)<(Za|0));cb=h;f[cb>>2]=0;f[cb+4>>2]=1072693248;tHb(g,h,535288);h=g+8|0;f[h>>2]=0;f[h+4>>2]=1072693248;h=i;f[h>>2]=0;f[h+4>>2]=1072693248;tHb(g+16|0,i,535304);i=0;do{h=i*3|0;cb=535144+(h<<3)|0;nHb(j,cb);Za=h+2|0;eb=e+(Za<<2)|0;if((j|0)!=(eb|0))f[eb>>2]=f[j>>2];eb=h+1|0;ab=535144+(eb<<3)|0;nHb(j,ab);jb=e+(eb<<2)|0;if((j|0)!=(jb|0))f[jb>>2]=f[j>>2];jb=535144+(Za<<3)|0;nHb(j,jb);$a=e+(h<<2)|0;if((j|0)!=($a|0))f[$a>>2]=f[j>>2];$a=g+(i<<3)|0;sHb(k,jb,$a);nHb(j,k);jb=c+(h<<2)|0;if((j|0)!=(jb|0))f[jb>>2]=f[j>>2];sHb(l,ab,$a);nHb(j,l);ab=c+(eb<<2)|0;if((j|0)!=(ab|0))f[ab>>2]=f[j>>2];sHb(m,cb,$a);nHb(j,m);$a=c+(Za<<2)|0;if((j|0)!=($a|0))f[$a>>2]=f[j>>2];i=i+1|0}while((i|0)!=3);f[j>>2]=f[c>>2];f[o>>2]=f[c+4>>2];f[p>>2]=f[c+8>>2];f[q>>2]=f[c+12>>2];f[r>>2]=f[c+16>>2];f[s>>2]=f[c+20>>2];f[t>>2]=f[c+24>>2];f[v>>2]=f[c+28>>2];f[w>>2]=f[c+32>>2];f[x>>2]=f[e>>2];f[y>>2]=f[e+4>>2];f[z>>2]=f[e+8>>2];f[A>>2]=f[e+12>>2];f[B>>2]=f[e+16>>2];f[C>>2]=f[e+20>>2];f[D>>2]=f[e+24>>2];f[E>>2]=f[e+28>>2];f[F>>2]=f[e+32>>2];if((b[535440]|0)==0?$yc(535440)|0:0)XGb(895208,32);if((b[535448]|0)==0?$yc(535448)|0:0)XGb(895212,116);if((b[535456]|0)==0?$yc(535456)|0:0)XGb(895216,16);if((b[535464]|0)==0?$yc(535464)|0:0)XGb(895220,500);if((b[535472]|0)==0?$yc(535472)|0:0)XGb(895224,200);if((b[535480]|0)==0?$yc(535480)|0:0)XGb(895228,100);if((b[535488]|0)==0?$yc(535488)|0:0)XGb(895232,128);if((b[535496]|0)==0?$yc(535496)|0:0)XGb(895236,256);if((b[535504]|0)==0?$yc(535504)|0:0)XGb(895240,16384);if((b[535512]|0)==0?$yc(535512)|0:0){XGb(G,24389);XGb(H,27);cHb(895244,G,H)}if((b[535520]|0)==0?$yc(535520)|0:0){XGb(I,9);XGb(H,4);cHb(895248,I,H)}if((b[535528]|0)==0?$yc(535528)|0:0)XGb(895252,15);if((b[535536]|0)==0?$yc(535536)|0:0)XGb(895256,3);I=H+8|0;G=H+4|0;f[G>>2]=107811;e=euc(215622)|0;f[H>>2]=e;e=K+8|0;f[K>>2]=e;c=K+4|0;f[c>>2]=107811;i=euc(215622)|0;f[K>>2]=i;i=0;do{m=i*3|0;l=0;do{k=(l*99|0)+m|0;g=0;do{$a=k+(g*3267|0)|0;XGb(M,i);cHb(L,M,895208);XGb(O,l);cHb(N,O,895208);XGb(Q,g);cHb(P,Q,895208);f[S>>2]=f[L>>2];bua(R,S);f[L>>2]=f[R>>2];f[T>>2]=f[N>>2];bua(R,T);f[N>>2]=f[R>>2];f[U>>2]=f[P>>2];bua(R,U);f[P>>2]=f[R>>2];bHb(V,L,j);bHb(W,N,o);ZGb(X,V,W);bHb(Z,P,p);ZGb(R,X,Z);bHb(_,L,q);bHb(Z,N,r);ZGb($,_,Z);bHb(aa,P,s);ZGb(W,$,aa);bHb(ba,L,t);bHb(aa,N,v);ZGb(ca,ba,aa);bHb(da,P,w);ZGb(Z,ca,da);if(dHb(R,895084)|0)CHb(aa,R);else wHb(aa,R,895088,895092);if(dHb(W,895084)|0)CHb(da,W);else wHb(da,W,895088,895092);if(dHb(Z,895084)|0)CHb(ea,Z);else wHb(ea,Z,895088,895092);if(dHb(W,895084)|0){bHb(ga,895212,da);aHb(fa,ga,895216)}else bHb(fa,895244,W);aHb(ia,aa,da);bHb(ha,895220,ia);aHb(ja,da,ea);bHb(ia,895224,ja);bHb(ka,895240,fa);cHb(ja,ka,895228);Za=(jHb(ja)|0)&65535;d[(f[H>>2]|0)+($a<<1)>>1]=Za;ZGb(la,ha,895232);bHb(ma,895240,la);cHb(ja,ma,895236);Za=(jHb(ja)|0)&65535;cb=$a+1|0;d[(f[H>>2]|0)+(cb<<1)>>1]=Za;ZGb(la,ia,895232);bHb(na,895240,la);cHb(ja,na,895236);Za=(jHb(ja)|0)&65535;ab=$a+2|0;d[(f[H>>2]|0)+(ab<<1)>>1]=Za;bHb(oa,L,x);bHb(W,N,y);ZGb(pa,oa,W);bHb(Z,P,z);ZGb(R,pa,Z);bHb(qa,L,A);bHb(Z,N,B);ZGb(ra,qa,Z);bHb(aa,P,C);ZGb(W,ra,aa);bHb(sa,L,D);bHb(aa,N,E);ZGb(ta,sa,aa);bHb(da,P,F);ZGb(Z,ta,da);if(eHb(W,895084)|0)wHb(aa,W,895088,895092);else CHb(aa,W);bHb(ua,aa,895212);aHb(da,ua,895216);f[aa>>2]=f[da>>2];XGb(va,52);bHb(ha,895252,W);ZGb(wa,R,ha);bHb(ia,895256,Z);ZGb(fa,wa,ia);n[ja>>2]=1.1920928955078125e-07;Za=dHb(fa,ja)|0;f[ea>>2]=f[(Za?fa:ja)>>2];cHb(da,va,ea);bHb(xa,R,da);aHb(fa,xa,bb);bHb(ea,aa,fa);bHb(ya,895248,W);bHb(za,ya,da);aHb(ha,za,db);bHb(fa,aa,ha);bHb(Aa,895240,aa);cHb(ha,Aa,895228);Za=(jHb(ha)|0)&65535;d[(f[K>>2]|0)+($a<<1)>>1]=Za;aHb(ia,ea,895060);bHb(Ba,895240,ia);cHb(ha,Ba,895068);Za=(jHb(ha)|0)&65535;d[(f[K>>2]|0)+(cb<<1)>>1]=Za;aHb(ia,fa,895072);bHb(Ca,895240,ia);cHb(ha,Ca,895080);Za=(jHb(ha)|0)&65535;d[(f[K>>2]|0)+(ab<<1)>>1]=Za;g=g+1|0}while((g|0)<33);l=l+1|0}while((l|0)<33);i=i+1|0}while((i|0)<33);i=SC(1724976)|0;ha=SC(1724976)|0;Ca=f[H>>2]|0;ia=f[K>>2]|0;fa=0;do{Ba=fa*24|0;ea=0;do{Aa=(ea*792|0)+Ba|0;aa=ea;ea=ea+1|0;db=((ea|0)<32?ea:32)*99|0;za=aa*99|0;aa=0;do{da=Aa+(aa*26136|0)|0;ya=aa*3267|0;aa=aa+1|0;W=((aa|0)<32?aa:32)*3267|0;bb=0;do{xa=bb+fa|0;R=((xa|0)<32?xa:32)*3|0;xa=da+(bb<<2)|0;va=R+za|0;ja=va+ya|0;d[i+(xa<<1)>>1]=d[Ca+(ja<<1)>>1]|0;wa=ja+1|0;Z=xa+8|0;d[i+(Z<<1)>>1]=d[Ca+(wa<<1)>>1]|0;ua=ja+2|0;ta=xa+16|0;d[i+(ta<<1)>>1]=d[Ca+(ua<<1)>>1]|0;d[ha+(xa<<1)>>1]=d[ia+(ja<<1)>>1]|0;d[ha+(Z<<1)>>1]=d[ia+(wa<<1)>>1]|0;d[ha+(ta<<1)>>1]=d[ia+(ua<<1)>>1]|0;ua=va+W|0;va=xa|1;d[i+(va<<1)>>1]=d[Ca+(ua<<1)>>1]|0;ta=ua+1|0;wa=va+8|0;d[i+(wa<<1)>>1]=d[Ca+(ta<<1)>>1]|0;Z=ua+2|0;ja=va+16|0;d[i+(ja<<1)>>1]=d[Ca+(Z<<1)>>1]|0;d[ha+(va<<1)>>1]=d[ia+(ua<<1)>>1]|0;d[ha+(wa<<1)>>1]=d[ia+(ta<<1)>>1]|0;d[ha+(ja<<1)>>1]=d[ia+(Z<<1)>>1]|0;Z=R+db|0;R=xa|2;ja=Z+ya|0;d[i+(R<<1)>>1]=d[Ca+(ja<<1)>>1]|0;ta=ja+1|0;wa=R+8|0;d[i+(wa<<1)>>1]=d[Ca+(ta<<1)>>1]|0;ua=ja+2|0;va=R+16|0;d[i+(va<<1)>>1]=d[Ca+(ua<<1)>>1]|0;d[ha+(R<<1)>>1]=d[ia+(ja<<1)>>1]|0;d[ha+(wa<<1)>>1]=d[ia+(ta<<1)>>1]|0;d[ha+(va<<1)>>1]=d[ia+(ua<<1)>>1]|0;ua=Z+W|0;Z=xa|3;d[i+(Z<<1)>>1]=d[Ca+(ua<<1)>>1]|0;xa=ua+1|0;va=Z+8|0;d[i+(va<<1)>>1]=d[Ca+(xa<<1)>>1]|0;ta=ua+2|0;wa=Z+16|0;d[i+(wa<<1)>>1]=d[Ca+(ta<<1)>>1]|0;d[ha+(Z<<1)>>1]=d[ia+(ua<<1)>>1]|0;d[ha+(va<<1)>>1]=d[ia+(xa<<1)>>1]|0;d[ha+(wa<<1)>>1]=d[ia+(ta<<1)>>1]|0;bb=bb+1|0}while((bb|0)!=2)}while((aa|0)!=33)}while((ea|0)!=33);fa=fa+1|0}while((fa|0)!=33);fa=i;i=ha;ha=f[K>>2]|0;if((ha|0)!=(e|0)){if(ha|0)guc(ha);f[K>>2]=e;f[c>>2]=520}c=f[H>>2]|0;if((c|0)!=(I|0)){if(c|0)guc(c);f[H>>2]=I;f[G>>2]=520}f[133850]=fa;f[133851]=i;i=0;do{fa=i<<3;G=16-i<<16>>16;I=0;do{H=(I<<7)+fa|0;c=16-I<<16>>16;e=Y(c,G)|0;K=Y(I,G)|0;ha=Y(c,i)|0;c=Y(I,i)|0;ia=0;do{Ca=1075836+(H+(ia<<11)<<1)|0;ea=16-ia<<16>>16;Ba=(Y(ea,e)|0)&65535;d[Ca>>1]=Ba;Ba=(Y(ia,e)|0)&65535;d[Ca+2>>1]=Ba;Ba=(Y(ea,K)|0)&65535;d[Ca+4>>1]=Ba;Ba=(Y(ia,K)|0)&65535;d[Ca+6>>1]=Ba;Ba=(Y(ea,ha)|0)&65535;d[Ca+8>>1]=Ba;Ba=(Y(ia,ha)|0)&65535;d[Ca+10>>1]=Ba;Ba=(Y(ea,c)|0)&65535;d[Ca+12>>1]=Ba;Ba=(Y(ia,c)|0)&65535;d[Ca+14>>1]=Ba;ia=ia+1|0}while((ia|0)!=16);I=I+1|0}while((I|0)!=16);i=i+1|0}while((i|0)!=16);b[1169297]=1;u=a;return}function Uta(a){a=a|0;fuc(a);return}function Vta(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=u;u=u+16|0;d=c;gV(d,82124);e=f[b>>2]|0;g=a+8|0;h=a+16|0;i=b+4|0;if((e|0)<(f[i>>2]|0)){b=(f[a+12>>2]|0)+(Y(f[h>>2]|0,e)|0)|0;j=a+24|0;k=a+20|0;l=b;b=e;m=(f[a+4>>2]|0)+(Y(f[g>>2]|0,e)|0)|0;while(1){Wta(f[j>>2]|0,m,l,f[k>>2]|0);b=b+1|0;if((b|0)>=(f[i>>2]|0))break;else{l=l+(f[h>>2]|0)|0;m=m+(f[g>>2]|0)|0}}}if(!(f[d+4>>2]|0)){u=c;return}u=c;return}function Wta(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0.0,q=0.0,r=0.0,t=0.0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0.0,J=0.0,K=0.0,L=0.0,M=0.0,N=0.0,O=0.0,P=0.0;g=u;u=u+32|0;h=g+16|0;i=g+12|0;j=g+8|0;k=g+4|0;l=g;m=f[a>>2]|0;o=b[a+48>>0]|0?f[223783]|0:0;p=+n[a+4>>2];q=+n[a+8>>2];r=+n[a+12>>2];t=+n[a+16>>2];v=+n[a+20>>2];w=+n[a+24>>2];x=+n[a+28>>2];y=+n[a+32>>2];z=+n[a+36>>2];A=e*3|0;if((e|0)<=0){u=g;return}e=(o|0)==0;B=f[223784]|0;C=a+40|0;D=a+44|0;a=c;c=0;while(1){E=f[a>>2]|0;f[h>>2]=E;F=f[a+4>>2]|0;f[i>>2]=F;G=f[a+8>>2]|0;f[j>>2]=G;n[k>>2]=0.0;H=(f[s>>2]=E,+n[s>>2])<0.0?k:h;n[l>>2]=1.0;E=f[(+n[H>>2]>1.0?l:H)>>2]|0;f[h>>2]=E;n[k>>2]=0.0;H=(f[s>>2]=F,+n[s>>2])<0.0?k:i;n[l>>2]=1.0;F=f[(+n[H>>2]>1.0?l:H)>>2]|0;f[i>>2]=F;n[k>>2]=0.0;H=(f[s>>2]=G,+n[s>>2])<0.0?k:j;n[l>>2]=1.0;G=f[(+n[H>>2]>1.0?l:H)>>2]|0;f[j>>2]=G;I=(f[s>>2]=E,+n[s>>2]);J=(f[s>>2]=F,+n[s>>2]);K=(f[s>>2]=G,+n[s>>2]);if(e){L=K;M=J;N=I}else{O=I*1024.0;G=~~O;F=(G|0)>0?G:0;G=(F|0)<1023?F:1023;I=O-+(G|0);F=o+(G<<2<<2)|0;O=+n[F>>2]+I*(+n[F+4>>2]+I*(+n[F+8>>2]+ +n[F+12>>2]*I));n[h>>2]=O;I=J*1024.0;F=~~I;G=(F|0)>0?F:0;F=(G|0)<1023?G:1023;J=I-+(F|0);G=o+(F<<2<<2)|0;I=+n[G>>2]+J*(+n[G+4>>2]+J*(+n[G+8>>2]+ +n[G+12>>2]*J));n[i>>2]=I;J=K*1024.0;G=~~J;F=(G|0)>0?G:0;G=(F|0)<1023?F:1023;K=J-+(G|0);F=o+(G<<2<<2)|0;J=+n[F>>2]+K*(+n[F+4>>2]+K*(+n[F+8>>2]+ +n[F+12>>2]*K));n[j>>2]=J;L=J;M=I;N=O}O=p*N+q*M+r*L;I=t*N+v*M+w*L;J=+n[223764]*I;F=~~J;G=(F|0)>0?F:0;F=(G|0)<1023?G:1023;K=J-+(F|0);G=B+(F<<2<<2)|0;J=(+n[G>>2]+K*(+n[G+4>>2]+K*(+n[G+8>>2]+ +n[G+12>>2]*K)))*116.0+-16.0;K=(x*N+y*M+z*L)*3.0+(O+I*15.0);P=52.0/(K<1.1920928955078125e-07?1.1920928955078125e-07:K);K=(O*P-+n[C>>2])*J;O=(I*2.25*P-+n[D>>2])*J;n[d+(c<<2)>>2]=J;n[d+(c+1<<2)>>2]=K;n[d+(c+2<<2)>>2]=O;c=c+3|0;if((c|0)>=(A|0))break;else a=a+(m<<2)|0}u=g;return}function Xta(a){a=a|0;fuc(a);return}function Yta(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=u;u=u+16|0;d=c;gV(d,82144);e=f[b>>2]|0;g=a+8|0;h=a+16|0;i=b+4|0;if((e|0)<(f[i>>2]|0)){b=(f[a+12>>2]|0)+(Y(f[h>>2]|0,e)|0)|0;j=a+24|0;k=a+20|0;l=b;b=e;m=(f[a+4>>2]|0)+(Y(f[g>>2]|0,e)|0)|0;while(1){Zta(f[j>>2]|0,m,l,f[k>>2]|0);b=b+1|0;if((b|0)>=(f[i>>2]|0))break;else{l=l+(f[h>>2]|0)|0;m=m+(f[g>>2]|0)|0}}}if(!(f[d+4>>2]|0)){u=c;return}u=c;return}function Zta(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0.0,y=0,z=0,A=0;g=u;u=u+3104|0;i=g;j=g+3088|0;k=g+3092|0;l=g+3084|0;m=g+3080|0;o=g+3076|0;p=g+3072|0;if(b[a+64>>0]|0){_ta(a+56|0,c,d,e);u=g;return}q=f[a>>2]|0;if((e|0)>0){r=a+4|0;a=c;c=d;d=0;while(1){s=e-d|0;t=(s|0)<256?s:256;if((b[535352]|0)==0?$yc(535352)|0:0){f[j>>2]=1065353216;cHb(895144,j,895096)}v=t*3|0;w=(s|0)>0;if(w){x=+n[223786];s=0;y=a;while(1){n[i+(s<<2)>>2]=+(h[y>>0]|0)*x;n[i+(s+1<<2)>>2]=+(h[y+1>>0]|0)*x;n[i+(s+2<<2)>>2]=+(h[y+2>>0]|0)*x;s=s+3|0;z=y+q|0;if((s|0)>=(v|0)){A=z;break}else y=z}}else A=a;Wta(r,i,i,t);if((b[535360]|0)==0?$yc(535360)|0:0){XGb(k,100);cHb(895148,895096,k)}if((b[535368]|0)==0?$yc(535368)|0:0)cHb(895152,895096,895068);if((b[535376]|0)==0?$yc(535376)|0:0)cHb(895156,895096,895080);if((b[535384]|0)==0?$yc(535384)|0:0){f[l>>2]=f[223765]^-2147483648;bHb(m,l,895096);cHb(895160,m,895068)}if((b[535392]|0)==0?$yc(535392)|0:0){f[o>>2]=f[223768]^-2147483648;bHb(p,o,895096);cHb(895164,p,895080)}if(w){y=0;do{s=Ghc(+n[i+(y<<2)>>2]*+n[223787])|0;b[c+y>>0]=s>>>0<256?s:(s|0)>0?255:0;s=y+1|0;z=Ghc(+n[i+(s<<2)>>2]*+n[223788]+ +n[223790])|0;b[c+s>>0]=z>>>0<256?z:(z|0)>0?255:0;z=y+2|0;s=Ghc(+n[i+(z<<2)>>2]*+n[223789]+ +n[223791])|0;b[c+z>>0]=s>>>0<256?s:(s|0)>0?255:0;y=y+3|0}while((y|0)<(v|0))}d=d+256|0;if((d|0)>=(e|0))break;else{a=A;c=c+768|0}}}u=g;return}function _ta(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;g=u;u=u+16|0;i=g+8|0;j=g+4|0;k=g;l=f[a>>2]|0;m=f[a+4>>2]|0;a=e*3|0;if((e|0)<=0){u=g;return}e=m^2;n=0;o=c;while(1){$ta((h[o+m>>0]|0)<<6,(h[o+1>>0]|0)<<6,(h[o+e>>0]|0)<<6,f[133851]|0,i,j,k);c=f[i>>2]|0;p=(c|0)/64|0;b[d+n>>0]=p>>>0<256?p:(c|0)>63?255:0;c=f[j>>2]|0;p=(c|0)/64|0;b[d+(n+1)>>0]=p>>>0<256?p:(c|0)>63?255:0;c=f[k>>2]|0;p=(c|0)/64|0;b[d+(n+2)>>0]=p>>>0<256?p:(c|0)>63?255:0;n=n+3|0;if((n|0)>=(a|0))break;else o=o+l|0}u=g;return}function $ta(a,b,c,e,g,h,i){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0;j=u;u=u+96|0;k=j+64|0;l=j+32|0;m=j;n=e+(((b>>9)*792|0)+((a>>9)*24|0)+((c>>9)*26136|0)<<1)|0;f[k>>2]=d[n>>1];f[l>>2]=d[n+16>>1];f[m>>2]=d[n+32>>1];e=k+4|0;f[e>>2]=d[n+2>>1];o=l+4|0;f[o>>2]=d[n+18>>1];p=m+4|0;f[p>>2]=d[n+34>>1];q=k+8|0;f[q>>2]=d[n+4>>1];r=l+8|0;f[r>>2]=d[n+20>>1];s=m+8|0;f[s>>2]=d[n+36>>1];t=k+12|0;f[t>>2]=d[n+6>>1];v=l+12|0;f[v>>2]=d[n+22>>1];w=m+12|0;f[w>>2]=d[n+38>>1];x=k+16|0;f[x>>2]=d[n+8>>1];y=l+16|0;f[y>>2]=d[n+24>>1];z=m+16|0;f[z>>2]=d[n+40>>1];A=k+20|0;f[A>>2]=d[n+10>>1];B=l+20|0;f[B>>2]=d[n+26>>1];C=m+20|0;f[C>>2]=d[n+42>>1];D=k+24|0;f[D>>2]=d[n+12>>1];E=l+24|0;f[E>>2]=d[n+28>>1];F=m+24|0;f[F>>2]=d[n+44>>1];G=d[n+14>>1]|0;f[k+28>>2]=G;H=l+28|0;f[H>>2]=d[n+30>>1];I=m+28|0;f[I>>2]=d[n+46>>1];n=b<<2&1920|a>>>2&120|c<<6&30720;c=d[1075836+(n<<1)>>1]|0;a=d[1075836+((n|1)<<1)>>1]|0;b=d[1075836+((n|2)<<1)>>1]|0;J=d[1075836+((n|3)<<1)>>1]|0;K=d[1075836+((n|4)<<1)>>1]|0;L=d[1075836+((n|5)<<1)>>1]|0;M=d[1075836+((n|6)<<1)>>1]|0;N=d[1075836+((n|7)<<1)>>1]|0;n=Y(c,f[k>>2]|0)|0;k=(Y(a,f[e>>2]|0)|0)+n|0;n=k+(Y(b,f[q>>2]|0)|0)|0;q=n+(Y(J,f[t>>2]|0)|0)|0;t=q+(Y(K,f[x>>2]|0)|0)|0;x=t+(Y(L,f[A>>2]|0)|0)|0;A=x+(Y(M,f[D>>2]|0)|0)+(Y(N,G)|0)|0;f[g>>2]=A;A=Y(f[l>>2]|0,c)|0;l=(Y(f[o>>2]|0,a)|0)+A|0;A=l+(Y(f[r>>2]|0,b)|0)|0;r=A+(Y(f[v>>2]|0,J)|0)|0;v=r+(Y(f[y>>2]|0,K)|0)|0;y=v+(Y(f[B>>2]|0,L)|0)|0;B=y+(Y(f[E>>2]|0,M)|0)|0;E=B+(Y(f[H>>2]|0,N)|0)|0;f[h>>2]=E;E=Y(f[m>>2]|0,c)|0;c=(Y(f[p>>2]|0,a)|0)+E|0;E=c+(Y(f[s>>2]|0,b)|0)|0;b=E+(Y(f[w>>2]|0,J)|0)|0;J=b+(Y(f[z>>2]|0,K)|0)|0;K=J+(Y(L,f[C>>2]|0)|0)|0;C=K+(Y(M,f[F>>2]|0)|0)|0;F=C+(Y(N,f[I>>2]|0)|0)|0;f[i>>2]=F;f[g>>2]=(f[g>>2]|0)+2048>>12;f[h>>2]=(f[h>>2]|0)+2048>>12;f[i>>2]=(f[i>>2]|0)+2048>>12;u=j;return}function aua(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;b=u;u=u+64|0;c=b+56|0;d=b+52|0;e=b+48|0;g=b+44|0;h=b+40|0;i=b+36|0;j=b+32|0;k=b+24|0;l=b+20|0;m=b+28|0;o=b+16|0;p=b+12|0;q=b+4|0;r=b+8|0;s=b;t=SC(16384)|0;XGb(c,2);XGb(d,3);XGb(e,4);XGb(g,0);n[t+4>>2]=0.0;n[t>>2]=0.0;v=1;do{w=v;v=v+1|0;bHb(i,a+(w<<2)|0,c);aHb(j,a+(v<<2)|0,i);x=w+-1|0;ZGb(k,j,a+(x<<2)|0);bHb(h,k,d);f[l>>2]=1065353216;y=x<<2;aHb(m,e,t+(y<<2)|0);cHb(i,l,m);x=w<<2;w=t+(x<<2)|0;if((i|0)!=(w|0))f[w>>2]=f[i>>2];aHb(o,h,t+((y|1)<<2)|0);bHb(m,o,i);y=t+((x|1)<<2)|0;if((m|0)!=(y|0))f[y>>2]=f[m>>2]}while((v|0)!=1024);v=0;do{o=1024-v|0;l=o+-1|0;e=l<<2;k=t+((e|1)<<2)|0;j=t+(e<<2)|0;bHb(i,j,g);aHb(h,k,i);y=a+(l<<2)|0;aHb(p,a+(o<<2)|0,y);bHb(q,h,c);ZGb(r,g,q);cHb(m,r,d);aHb(i,p,m);aHb(s,g,h);cHb(m,s,d);if((y|0)!=(j|0))f[j>>2]=f[y>>2];if((i|0)!=(k|0))f[k>>2]=f[i>>2];k=t+((e|2)<<2)|0;if((h|0)!=(k|0))f[k>>2]=f[h>>2];k=t+((e|3)<<2)|0;if((m|0)!=(k|0))f[k>>2]=f[m>>2];f[g>>2]=f[h>>2];v=v+1|0}while((v|0)!=1024);u=b;return t|0}function bua(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0;c=u;u=u+48|0;d=c+40|0;e=c+24|0;g=c+32|0;h=c+8|0;i=c+16|0;j=c;YGb(d,b);if(vHb(d,535312)|0){tHb(e,d,535328);nHb(a,e);u=c;return}else{oHb(h,d,535344);d=j;f[d>>2]=0;f[d+4>>2]=1072693248;oHb(i,j,535344);tHb(g,h,i);BHb(e,g,535336);nHb(a,e);u=c;return}}function cua(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;c=u;u=u+64|0;d=c+56|0;e=c+40|0;g=c+48|0;h=c+24|0;i=c+16|0;j=c+32|0;k=c+8|0;l=c;YGb(d,b);if(vHb(d,535320)|0){sHb(e,d,535328);nHb(a,e);u=c;return}else{b=h;f[b>>2]=0;f[b+4>>2]=1072693248;tHb(g,h,535336);BHb(i,d,g);g=k;f[g>>2]=0;f[g+4>>2]=1072693248;oHb(j,k,535344);sHb(l,i,j);rHb(e,l,535344);nHb(a,e);u=c;return}}function dua(a){a=a|0;fuc(a);return}function eua(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=u;u=u+16|0;d=c;gV(d,82164);e=f[b>>2]|0;g=a+8|0;h=a+16|0;i=b+4|0;if((e|0)<(f[i>>2]|0)){b=(f[a+12>>2]|0)+(Y(f[h>>2]|0,e)|0)|0;j=a+24|0;k=a+20|0;l=b;b=e;m=(f[a+4>>2]|0)+(Y(f[g>>2]|0,e)|0)|0;while(1){fua(f[j>>2]|0,m,l,f[k>>2]|0);b=b+1|0;if((b|0)>=(f[i>>2]|0))break;else{l=l+(f[h>>2]|0)|0;m=m+(f[g>>2]|0)|0}}}if(!(f[d+4>>2]|0)){u=c;return}u=c;return}function fua(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0.0,r=0.0,s=0.0,t=0.0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0,B=0,C=0,D=0.0,E=0.0,F=0.0,G=0.0,H=0,I=0,J=0.0,K=0,L=0,M=0.0,N=0.0,O=0.0,P=0.0,Q=0.0,R=0.0,S=0.0,T=0.0,U=0.0;g=u;u=u+32|0;h=g+16|0;i=g+12|0;j=g+8|0;k=g+4|0;l=g;m=f[a>>2]|0;o=f[a+44>>2]|0;p=b[a+40>>0]|0?f[223783]|0:0;q=+n[a+4>>2];r=+n[a+8>>2];s=+n[a+12>>2];t=+n[a+16>>2];v=+n[a+20>>2];w=+n[a+24>>2];x=+n[a+28>>2];y=+n[a+32>>2];z=+n[a+36>>2];A=e*3|0;if((b[a+41>>0]|0)!=0&(e|0)>0){e=o^2;a=f[133850]|0;B=0;C=c;while(1){D=+n[C+(o<<2)>>2];if(!(D<0.0))if(D>1.0)E=1.0;else E=D;else E=0.0;D=+n[C+4>>2];if(!(D<0.0))if(D>1.0)F=1.0;else F=D;else F=0.0;D=+n[C+(e<<2)>>2];if(!(D<0.0))if(D>1.0)G=1.0;else G=D;else G=0.0;H=Ghc(E*16384.0)|0;I=Ghc(F*16384.0)|0;$ta(H,I,Ghc(G*16384.0)|0,a,h,i,j);D=+(f[i>>2]|0)*.00006103515625;J=+(f[j>>2]|0)*.00006103515625;n[d+(B<<2)>>2]=+(f[h>>2]|0)*.00006103515625*100.0;n[d+(B+1<<2)>>2]=D*256.0+-128.0;n[d+(B+2<<2)>>2]=J*256.0+-128.0;I=B+3|0;H=C+(m<<2)|0;if((I|0)<(A|0)){B=I;C=H}else{K=H;L=I;break}}}else{K=c;L=0}if((b[535544]|0)==0?$yc(535544)|0:0){XGb(k,16);XGb(h,116);cHb(l,k,h);f[223815]=f[l>>2]}if((L|0)>=(A|0)){u=g;return}l=(p|0)==0;h=L;L=K;while(1){G=+n[L>>2];if(!(G<0.0))if(G>1.0)M=1.0;else M=G;else M=0.0;G=+n[L+4>>2];if(!(G<0.0))if(G>1.0)N=1.0;else N=G;else N=0.0;G=+n[L+8>>2];if(!(G<0.0))if(G>1.0)O=1.0;else O=G;else O=0.0;if(l){P=M;Q=N;R=O}else{G=M*1024.0;K=~~G;k=(K|0)>0?K:0;K=(k|0)<1023?k:1023;F=G-+(K|0);k=p+(K<<2<<2)|0;G=N*1024.0;K=~~G;c=(K|0)>0?K:0;K=(c|0)<1023?c:1023;E=G-+(K|0);c=p+(K<<2<<2)|0;G=O*1024.0;K=~~G;C=(K|0)>0?K:0;K=(C|0)<1023?C:1023;J=G-+(K|0);C=p+(K<<2<<2)|0;P=+n[k>>2]+F*(+n[k+4>>2]+F*(F*+n[k+12>>2]+ +n[k+8>>2]));Q=+n[c>>2]+E*(+n[c+4>>2]+E*(E*+n[c+12>>2]+ +n[c+8>>2]));R=+n[C>>2]+J*(+n[C+4>>2]+J*(J*+n[C+12>>2]+ +n[C+8>>2]))}J=s*R+(r*Q+q*P);E=w*R+(v*Q+t*P);F=z*R+(y*Q+x*P);if(J>.008856000378727913)S=+fD(J);else S=J*7.7870001792907715+ +n[223815];C=E>.008856000378727913;if(C)T=+fD(E);else T=E*7.7870001792907715+ +n[223815];if(F>.008856000378727913)U=+fD(F);else U=F*7.7870001792907715+ +n[223815];n[d+(h<<2)>>2]=C?T*116.0+-16.0:E*903.2999877929688;n[d+(h+1<<2)>>2]=(S-T)*500.0;n[d+(h+2<<2)>>2]=(T-U)*200.0;h=h+3|0;if((h|0)>=(A|0))break;else L=L+(m<<2)|0}u=g;return}function gua(a){a=a|0;fuc(a);return}function hua(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;c=u;u=u+16|0;d=c;gV(d,82184);e=f[b>>2]|0;g=a+8|0;h=a+16|0;i=b+4|0;if((e|0)<(f[i>>2]|0)){b=(f[a+12>>2]|0)+(Y(f[h>>2]|0,e)|0)|0;j=a+24|0;k=a+20|0;l=b;b=(f[a+4>>2]|0)+(Y(f[g>>2]|0,e)|0)|0;a=e;while(1){iua(f[j>>2]|0,b,l,f[k>>2]|0);a=a+1|0;if((a|0)>=(f[i>>2]|0))break;else{l=l+(f[h>>2]|0)|0;b=b+(f[g>>2]|0)|0}}}if(!(f[d+4>>2]|0)){u=c;return}u=c;return}function iua(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,i=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;g=b[a+40>>0]|0?1141372:1141884;i=f[a>>2]|0;k=f[a+4>>2]|0;l=f[a+8>>2]|0;m=f[a+12>>2]|0;n=f[a+16>>2]|0;o=f[a+20>>2]|0;p=f[a+24>>2]|0;q=f[a+28>>2]|0;r=f[a+32>>2]|0;s=f[a+36>>2]|0;a=e*3|0;if((e|0)>0){t=0;u=c}else return;while(1){c=j[g+(h[u>>0]<<1)>>1]|0;e=j[g+(h[u+1>>0]<<1)>>1]|0;v=j[g+(h[u+2>>0]<<1)>>1]|0;w=1158780+((Y(c,k)|0)+2048+(Y(e,l)|0)+(Y(v,m)|0)>>12<<1)|0;x=1158780+((Y(c,n)|0)+2048+(Y(e,o)|0)+(Y(v,p)|0)>>12<<1)|0;y=j[x>>1]|0;x=1158780+((Y(c,q)|0)+2048+(Y(e,r)|0)+(Y(v,s)|0)>>12<<1)|0;v=(y*296|0)+-1320550>>15;e=(((j[w>>1]|0)-y|0)*500|0)+4210688>>15;w=((y-(j[x>>1]|0)|0)*200|0)+4210688>>15;b[d+t>>0]=v>>>0<256?v:(v|0)>0?255:0;b[d+(t+1)>>0]=e>>>0<256?e:(e|0)>0?255:0;b[d+(t+2)>>0]=w>>>0<256?w:(w|0)>0?255:0;t=t+3|0;if((t|0)>=(a|0))break;else u=u+i|0}return}function jua(a,c,d,e,g,h,i,j,k,l,m){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0;n=u;u=u+160|0;o=n+144|0;p=n+112|0;q=n+104|0;r=n;gV(q,82208);s=k?2:0;k=(i|0)==0;do if(l)if(k){kua(r,3,s,0,0,m);lua(r+56|0,j,s,0,0,m);f[r+100>>2]=j;f[o>>2]=0;f[o+4>>2]=h;f[p>>2]=82236;f[p+4>>2]=a;f[p+8>>2]=c;f[p+12>>2]=d;f[p+16>>2]=e;f[p+20>>2]=g;f[p+24>>2]=r;sZ(o,p,+(Y(h,g)|0)*.0000152587890625);break}else{kua(r,j,s,0,0,m);f[r+56>>2]=j;f[o>>2]=0;f[o+4>>2]=h;f[p>>2]=82256;f[p+4>>2]=a;f[p+8>>2]=c;f[p+12>>2]=d;f[p+16>>2]=e;f[p+20>>2]=g;f[p+24>>2]=r;sZ(o,p,+(Y(h,g)|0)*.0000152587890625);break}else if(k){f[r>>2]=j;mua(r+4|0,j,s,0,0,m);nua(r+56|0,j,s,0,0,m);b[r+100>>0]=1;f[o>>2]=0;f[o+4>>2]=h;f[p>>2]=82276;f[p+4>>2]=a;f[p+8>>2]=c;f[p+12>>2]=d;f[p+16>>2]=e;f[p+20>>2]=g;f[p+24>>2]=r;sZ(o,p,+(Y(h,g)|0)*.0000152587890625);break}else{mua(r,j,s,0,0,m);f[r+52>>2]=j;f[o>>2]=0;f[o+4>>2]=h;f[p>>2]=82296;f[p+4>>2]=a;f[p+8>>2]=c;f[p+12>>2]=d;f[p+16>>2]=e;f[p+20>>2]=g;f[p+24>>2]=r;sZ(o,p,+(Y(h,g)|0)*.0000152587890625);break}while(0);if(!(f[q+4>>2]|0)){u=n;return}u=n;return}function kua(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;i=u;u=u+96|0;j=i+48|0;k=i+24|0;l=i+16|0;m=i+8|0;o=i;q=i+80|0;r=i+76|0;s=i+72|0;f[a>>2]=c;b[a+40>>0]=h&1;h=a+52|0;f[h>>2]=d;Tta();f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;f[j+16>>2]=0;f[j+20>>2]=0;if(!g){f[j>>2]=f[133822];f[j+4>>2]=f[133823];f[j+8>>2]=f[133824];f[j+12>>2]=f[133825];f[j+16>>2]=f[133826];f[j+20>>2]=f[133827]}else{p[j>>3]=+n[g>>2];p[j+8>>3]=+n[g+4>>2];p[j+16>>3]=+n[g+8>>2]}g=k+8|0;d=k+16|0;if(e|0){c=k+8|0;t=k+16|0;p[k>>3]=+n[e>>2];p[c>>3]=+n[e+12>>2];p[t>>3]=+n[e+24>>2];sHb(l,k,j);n[a+4+((f[h>>2]^2)*3<<2)>>2]=+p[l>>3];sHb(m,g,j);n[a+16>>2]=+p[m>>3];sHb(o,d,j);n[a+4+((f[h>>2]|0)*3<<2)>>2]=+p[o>>3];p[k>>3]=+n[e+4>>2];p[c>>3]=+n[e+16>>2];p[t>>3]=+n[e+28>>2];v=j+8|0;sHb(l,k,v);n[a+4+(((f[h>>2]^2)*3|0)+1<<2)>>2]=+p[l>>3];sHb(m,g,v);n[a+20>>2]=+p[m>>3];sHb(o,d,v);n[a+4+(((f[h>>2]|0)*3|0)+1<<2)>>2]=+p[o>>3];p[k>>3]=+n[e+8>>2];p[c>>3]=+n[e+20>>2];p[t>>3]=+n[e+32>>2];e=j+16|0;sHb(l,k,e);n[a+4+(((f[h>>2]^2)*3|0)+2<<2)>>2]=+p[l>>3];sHb(m,g,e);n[a+24>>2]=+p[m>>3];sHb(o,d,e);n[a+4+(((f[h>>2]|0)*3|0)+2<<2)>>2]=+p[o>>3];XGb(q,8);w=f[q>>2]|0;x=a+44|0;f[x>>2]=w;XGb(r,6);XGb(k,29);cHb(s,r,k);y=f[s>>2]|0;z=a+48|0;f[z>>2]=y;u=i;return}e=0;do{f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;f[k+16>>2]=0;f[k+20>>2]=0;t=535216+(e<<3)|0;if((t|0)!=(k|0)){c=t;t=f[c+4>>2]|0;v=k;f[v>>2]=f[c>>2];f[v+4>>2]=t}t=e+3|0;v=535216+(t<<3)|0;if((v|0)!=(g|0)){c=v;v=f[c+4>>2]|0;A=g;f[A>>2]=f[c>>2];f[A+4>>2]=v}v=535216+(e+6<<3)|0;if((v|0)!=(d|0)){A=v;v=f[A+4>>2]|0;c=d;f[c>>2]=f[A>>2];f[c+4>>2]=v}v=j+(e<<3)|0;sHb(l,k,v);n[a+4+(((f[h>>2]^2)*3|0)+e<<2)>>2]=+p[l>>3];sHb(m,g,v);n[a+4+(t<<2)>>2]=+p[m>>3];sHb(o,d,v);n[a+4+(((f[h>>2]|0)*3|0)+e<<2)>>2]=+p[o>>3];e=e+1|0}while((e|0)!=3);XGb(q,8);w=f[q>>2]|0;x=a+44|0;f[x>>2]=w;XGb(r,6);XGb(k,29);cHb(s,r,k);y=f[s>>2]|0;z=a+48|0;f[z>>2]=y;u=i;return}function lua(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;i=u;u=u+80|0;j=i+56|0;k=i+32|0;l=i+24|0;m=i+16|0;o=i+8|0;q=i;f[a>>2]=c;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;f[j+16>>2]=0;f[j+20>>2]=0;if(!g){f[j>>2]=f[133822];f[j+4>>2]=f[133823];f[j+8>>2]=f[133824];f[j+12>>2]=f[133825];f[j+16>>2]=f[133826];f[j+20>>2]=f[133827]}else{p[j>>3]=+n[g>>2];p[j+8>>3]=+n[g+4>>2];p[j+16>>3]=+n[g+8>>2]}if((b[535608]|0)==0?$yc(535608)|0:0)gHb(535616,4096);g=d*3|0;c=k+8|0;r=k+16|0;s=(d^2)*3|0;if(e|0){d=k+8|0;t=k+16|0;v=0;do{p[k>>3]=+n[e+(v<<2)>>2];w=v+3|0;p[d>>3]=+n[e+(w<<2)>>2];p[t>>3]=+n[e+(v+6<<2)>>2];sHb(m,535616,k);x=j+(v<<3)|0;sHb(l,m,x);y=kHb(l)|0;f[a+4+(v+g<<2)>>2]=y;sHb(o,535616,c);sHb(l,o,x);y=kHb(l)|0;f[a+4+(w<<2)>>2]=y;sHb(q,535616,r);sHb(l,q,x);x=kHb(l)|0;f[a+4+(v+s<<2)>>2]=x;v=v+1|0}while((v|0)!=3);z=h?1142396:1150588;A=a+40|0;f[A>>2]=z;u=i;return}v=0;do{f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;f[k+16>>2]=0;f[k+20>>2]=0;e=535216+(v<<3)|0;if((e|0)!=(k|0)){t=e;e=f[t+4>>2]|0;d=k;f[d>>2]=f[t>>2];f[d+4>>2]=e}e=v+3|0;d=535216+(e<<3)|0;if((d|0)!=(c|0)){t=d;d=f[t+4>>2]|0;x=c;f[x>>2]=f[t>>2];f[x+4>>2]=d}d=535216+(v+6<<3)|0;if((d|0)!=(r|0)){x=d;d=f[x+4>>2]|0;t=r;f[t>>2]=f[x>>2];f[t+4>>2]=d}sHb(m,535616,k);d=j+(v<<3)|0;sHb(l,m,d);t=kHb(l)|0;f[a+4+(v+g<<2)>>2]=t;sHb(o,535616,c);sHb(l,o,d);t=kHb(l)|0;f[a+4+(e<<2)>>2]=t;sHb(q,535616,r);sHb(l,q,d);d=kHb(l)|0;f[a+4+(v+s<<2)>>2]=d;v=v+1|0}while((v|0)!=3);z=h?1142396:1150588;A=a+40|0;f[A>>2]=z;u=i;return}function mua(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;i=u;u=u+112|0;j=i+56|0;k=i+108|0;l=i+40|0;m=i+24|0;o=i+32|0;q=i+16|0;r=i+8|0;s=i;t=i+104|0;v=i+100|0;w=i+96|0;x=i+92|0;y=i+88|0;z=i+84|0;A=i+80|0;f[a>>2]=c;b[a+48>>0]=h&1;Tta();f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;f[j+16>>2]=0;f[j+20>>2]=0;if(!g){f[j>>2]=f[133822];f[j+4>>2]=f[133823];f[j+8>>2]=f[133824];f[j+12>>2]=f[133825];f[j+16>>2]=f[133826];f[j+20>>2]=f[133827]}else{p[j>>3]=+n[g>>2];p[j+8>>3]=+n[g+4>>2];p[j+16>>3]=+n[g+8>>2]}g=(d^2)*3|0;h=d*3|0;if(!e){nHb(k,535216);d=f[k>>2]|0;nHb(k,535240);c=f[k>>2]|0;nHb(k,535264);B=f[k>>2]|0;f[a+4+(g<<2)>>2]=d;f[a+16>>2]=c;f[a+4+(h<<2)>>2]=B;nHb(k,535224);B=f[k>>2]|0;nHb(k,535248);c=f[k>>2]|0;nHb(k,535272);d=f[k>>2]|0;f[a+4+(g+1<<2)>>2]=B;f[a+20>>2]=c;f[a+4+(h+1<<2)>>2]=d;nHb(k,535232);d=f[k>>2]|0;nHb(k,535256);c=f[k>>2]|0;nHb(k,535280);C=f[k>>2]|0;D=c;E=d}else{d=f[e+12>>2]|0;c=f[e+24>>2]|0;f[a+4+(g<<2)>>2]=f[e>>2];f[a+16>>2]=d;f[a+4+(h<<2)>>2]=c;c=f[e+16>>2]|0;d=f[e+28>>2]|0;f[a+4+(g+1<<2)>>2]=f[e+4>>2];f[a+20>>2]=c;f[a+4+(h+1<<2)>>2]=d;C=f[e+32>>2]|0;D=f[e+20>>2]|0;E=f[e+8>>2]|0}f[a+4+(g+2<<2)>>2]=E;f[a+24>>2]=D;f[a+4+(h+2<<2)>>2]=C;C=j+8|0;gHb(m,15);sHb(l,C,m);oHb(o,j,l);gHb(r,3);sHb(q,j+16|0,r);oHb(s,o,q);nHb(k,s);f[t>>2]=1065353216;f[q>>2]=872415232;s=dHb(k,q)|0;f[m>>2]=f[(s?k:q)>>2];cHb(l,t,m);f[k>>2]=f[l>>2];XGb(v,52);bHb(w,v,k);nHb(l,j);bHb(x,w,l);f[a+40>>2]=f[x>>2];XGb(y,117);bHb(z,y,k);nHb(l,C);bHb(A,z,l);f[a+44>>2]=f[A>>2];A=l;f[A>>2]=0;f[A+4>>2]=1072693248;if(uHb(C,l)|0){u=i;return}else{i=cuc(32)|0;f[l>>2]=i;f[l+8>>2]=-2147483616;f[l+4>>2]=31;C=i;A=362741;a=C+31|0;do{b[C>>0]=b[A>>0]|0;C=C+1|0;A=A+1|0}while((C|0)<(a|0));b[i+31>>0]=0;WD(-215,l,363744,361535,3179)}}function nua(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0;g=u;u=u+32|0;i=g+8|0;j=g;f[a>>2]=c;Tta();if((b[535592]|0)==0?$yc(535592)|0:0)gHb(535600,4096);c=d*3|0;k=i+8|0;l=i+16|0;m=(d^2)*3|0;if(!e){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;f[i+16>>2]=0;f[i+20>>2]=0;d=535216;o=f[d+4>>2]|0;q=i;f[q>>2]=f[d>>2];f[q+4>>2]=o;o=535240;q=f[o+4>>2]|0;d=k;f[d>>2]=f[o>>2];f[d+4>>2]=q;q=535264;d=f[q+4>>2]|0;o=l;f[o>>2]=f[q>>2];f[o+4>>2]=d;sHb(j,535600,i);d=kHb(j)|0;f[a+4+(c<<2)>>2]=d;sHb(j,535600,k);d=kHb(j)|0;f[a+16>>2]=d;sHb(j,535600,l);d=kHb(j)|0;f[a+4+(m<<2)>>2]=d;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;f[i+16>>2]=0;f[i+20>>2]=0;d=535224;o=f[d+4>>2]|0;q=i;f[q>>2]=f[d>>2];f[q+4>>2]=o;o=535248;q=f[o+4>>2]|0;d=k;f[d>>2]=f[o>>2];f[d+4>>2]=q;q=535272;d=f[q+4>>2]|0;o=l;f[o>>2]=f[q>>2];f[o+4>>2]=d;sHb(j,535600,i);d=kHb(j)|0;f[a+4+(c+1<<2)>>2]=d;sHb(j,535600,k);d=kHb(j)|0;f[a+20>>2]=d;sHb(j,535600,l);d=kHb(j)|0;f[a+4+(m+1<<2)>>2]=d;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;f[i+16>>2]=0;f[i+20>>2]=0;d=535232;o=f[d+4>>2]|0;q=i;f[q>>2]=f[d>>2];f[q+4>>2]=o;o=535256;q=f[o+4>>2]|0;d=k;f[d>>2]=f[o>>2];f[d+4>>2]=q;q=535280;d=f[q+4>>2]|0;o=l;f[o>>2]=f[q>>2];f[o+4>>2]=d;sHb(j,535600,i);d=kHb(j)|0;f[a+4+(c+2<<2)>>2]=d;sHb(j,535600,k);d=kHb(j)|0;f[a+24>>2]=d;sHb(j,535600,l);d=kHb(j)|0;f[a+4+(m+2<<2)>>2]=d;r=h?1142396:1150588;s=a+40|0;f[s>>2]=r;u=g;return}else{p[i>>3]=+n[e>>2];d=i+8|0;p[d>>3]=+n[e+12>>2];o=i+16|0;p[o>>3]=+n[e+24>>2];sHb(j,535600,i);q=kHb(j)|0;f[a+4+(c<<2)>>2]=q;sHb(j,535600,k);q=kHb(j)|0;f[a+16>>2]=q;sHb(j,535600,l);q=kHb(j)|0;f[a+4+(m<<2)>>2]=q;p[i>>3]=+n[e+4>>2];p[d>>3]=+n[e+16>>2];p[o>>3]=+n[e+28>>2];sHb(j,535600,i);q=kHb(j)|0;f[a+4+(c+1<<2)>>2]=q;sHb(j,535600,k);q=kHb(j)|0;f[a+20>>2]=q;sHb(j,535600,l);q=kHb(j)|0;f[a+4+(m+1<<2)>>2]=q;p[i>>3]=+n[e+8>>2];p[d>>3]=+n[e+20>>2];p[o>>3]=+n[e+32>>2];sHb(j,535600,i);i=kHb(j)|0;f[a+4+(c+2<<2)>>2]=i;sHb(j,535600,k);k=kHb(j)|0;f[a+24>>2]=k;sHb(j,535600,l);l=kHb(j)|0;f[a+4+(m+2<<2)>>2]=l;r=h?1142396:1150588;s=a+40|0;f[s>>2]=r;u=g;return}}function oua(a){a=a|0;fuc(a);return}function pua(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=u;u=u+16|0;d=c;gV(d,82308);e=f[b>>2]|0;g=a+8|0;h=a+16|0;i=b+4|0;if((e|0)<(f[i>>2]|0)){b=(f[a+12>>2]|0)+(Y(f[h>>2]|0,e)|0)|0;j=a+24|0;k=a+20|0;l=b;b=e;m=(f[a+4>>2]|0)+(Y(f[g>>2]|0,e)|0)|0;while(1){qua(f[j>>2]|0,m,l,f[k>>2]|0);b=b+1|0;if((b|0)>=(f[i>>2]|0))break;else{l=l+(f[h>>2]|0)|0;m=m+(f[g>>2]|0)|0}}}if(!(f[d+4>>2]|0)){u=c;return}u=c;return}function qua(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0.0,q=0.0,r=0.0,t=0.0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0,D=0,E=0.0,F=0.0,G=0.0,H=0.0,I=0.0,J=0.0,K=0,L=0,M=0,N=0,O=0;g=u;u=u+32|0;h=g+16|0;i=g+12|0;j=g+8|0;k=g+4|0;l=g;m=f[a>>2]|0;o=b[a+48>>0]|0?f[223793]|0:0;p=+n[a+4>>2];q=+n[a+8>>2];r=+n[a+12>>2];t=+n[a+16>>2];v=+n[a+20>>2];w=+n[a+24>>2];x=+n[a+28>>2];y=+n[a+32>>2];z=+n[a+36>>2];A=+n[a+40>>2];B=+n[a+44>>2];a=e*3|0;if((e|0)<=0){u=g;return}e=(o|0)==0;C=(m|0)==4;D=d;d=0;while(1){E=+n[c+(d<<2)>>2];if(!(E>=8.0))F=E*.001107051968574524;else{G=(E+16.0)*.008620689623057842;F=G*(G*G)}G=(+n[c+(d+1<<2)>>2]+A*E)*3.0;H=.25/(B*E+ +n[c+(d+2<<2)>>2]);I=H>.25?.25:H;H=I<-.25?-.25:I;I=H*(G*(F*3.0));J=((E*156.0-G)*H+-5.0)*F;H=r*J+(q*F+p*I);n[h>>2]=H;G=w*J+(v*F+t*I);n[i>>2]=G;E=z*J+(y*F+x*I);n[j>>2]=E;n[k>>2]=0.0;K=H<0.0?k:h;n[l>>2]=1.0;L=f[(+n[K>>2]>1.0?l:K)>>2]|0;f[h>>2]=L;n[k>>2]=0.0;K=G<0.0?k:i;n[l>>2]=1.0;M=f[(+n[K>>2]>1.0?l:K)>>2]|0;f[i>>2]=M;n[k>>2]=0.0;K=E<0.0?k:j;n[l>>2]=1.0;N=f[(+n[K>>2]>1.0?l:K)>>2]|0;f[j>>2]=N;if(e)O=L;else{E=(f[s>>2]=N,+n[s>>2]);G=(f[s>>2]=M,+n[s>>2]);H=(f[s>>2]=L,+n[s>>2])*1024.0;L=~~H;M=(L|0)>0?L:0;L=(M|0)<1023?M:1023;I=H-+(L|0);M=o+(L<<2<<2)|0;H=+n[M>>2]+I*(+n[M+4>>2]+I*(+n[M+8>>2]+ +n[M+12>>2]*I));n[h>>2]=H;I=G*1024.0;M=~~I;L=(M|0)>0?M:0;M=(L|0)<1023?L:1023;G=I-+(M|0);L=o+(M<<2<<2)|0;n[i>>2]=+n[L>>2]+G*(+n[L+4>>2]+G*(+n[L+8>>2]+ +n[L+12>>2]*G));G=E*1024.0;L=~~G;M=(L|0)>0?L:0;L=(M|0)<1023?M:1023;E=G-+(L|0);M=o+(L<<2<<2)|0;n[j>>2]=+n[M>>2]+E*(+n[M+4>>2]+E*(+n[M+8>>2]+ +n[M+12>>2]*E));O=(n[s>>2]=H,f[s>>2]|0)}f[D>>2]=O;f[D+4>>2]=f[i>>2];f[D+8>>2]=f[j>>2];if(C)n[D+12>>2]=1.0;d=d+3|0;if((d|0)>=(a|0))break;else D=D+(m<<2)|0}u=g;return}function rua(a){a=a|0;fuc(a);return}function sua(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=u;u=u+16|0;d=c;gV(d,82328);e=f[b>>2]|0;g=a+8|0;h=a+16|0;i=b+4|0;if((e|0)<(f[i>>2]|0)){b=(f[a+12>>2]|0)+(Y(f[h>>2]|0,e)|0)|0;j=a+24|0;k=a+20|0;l=b;b=e;m=(f[a+4>>2]|0)+(Y(f[g>>2]|0,e)|0)|0;while(1){tua(f[j>>2]|0,m,l,f[k>>2]|0);b=b+1|0;if((b|0)>=(f[i>>2]|0))break;else{l=l+(f[h>>2]|0)|0;m=m+(f[g>>2]|0)|0}}}if(!(f[d+4>>2]|0)){u=c;return}u=c;return}function tua(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0.0,t=0.0,v=0.0,w=0.0,x=0.0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0.0,P=0.0,Q=0.0,R=0,S=0,T=0.0,U=0.0,V=0.0,W=0.0,X=0.0,Z=0.0,_=0.0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0;g=u;u=u+3088|0;i=g;j=g+3072|0;if(b[a+100>>0]|0){uua(a+56|0,c,d,e);u=g;return}k=f[a>>2]|0;if((b[535568]|0)==0?$yc(535568)|0:0){XGb(j,100);cHb(895280,j,895096)}if((b[535576]|0)==0?$yc(535576)|0:0)cHb(895284,895068,895096);if((b[535584]|0)==0?$yc(535584)|0:0)cHb(895288,895080,895096);if((e|0)>0){j=a+4|0;a=(k|0)==4;l=c;c=d;d=0;m=~e;while(1){o=(Y((m|0)>-257?m:-257,-3)|0)+-19|0;p=((o|0)>16?o:16)+-1&-16;o=p+16|0;q=e-d|0;r=(q|0)<256?q:256;s=+n[223820];t=+n[223821];v=+n[223822];w=+n[223765];x=+n[223768];q=r*3|0;y=q+-48|0;if((y|0)>0){z=0;while(1){A=l+z|0;B=b[A+4>>0]|0;C=b[A+5>>0]|0;D=b[A+6>>0]|0;E=b[A+7>>0]|0;F=b[A+8>>0]|0;G=b[A+9>>0]|0;H=b[A+10>>0]|0;I=b[A+11>>0]|0;J=b[A+12>>0]|0;K=b[A+13>>0]|0;L=b[A+14>>0]|0;M=b[A+15>>0]|0;N=i+(z<<2)|0;O=w+t*+(h[A+1>>0]|0);P=x+v*+(h[A+2>>0]|0);Q=s*+(h[A+3>>0]|0)+0.0;n[N>>2]=s*+(h[A>>0]|0)+0.0;n[N+4>>2]=O;n[N+8>>2]=P;n[N+12>>2]=Q;n[N+16>>2]=w+t*+(B&255);n[N+20>>2]=x+v*+(C&255);n[N+24>>2]=s*+(D&255)+0.0;n[N+28>>2]=w+t*+(E&255);n[N+32>>2]=x+v*+(F&255);n[N+36>>2]=s*+(G&255)+0.0;n[N+40>>2]=w+t*+(H&255);n[N+44>>2]=x+v*+(I&255);n[N+48>>2]=s*+(J&255)+0.0;n[N+52>>2]=w+t*+(K&255);n[N+56>>2]=x+v*+(L&255);n[N+60>>2]=s*+(M&255)+0.0;M=A+16|0;L=b[M+4>>0]|0;K=b[M+5>>0]|0;J=b[M+6>>0]|0;I=b[M+7>>0]|0;H=b[M+8>>0]|0;G=b[M+9>>0]|0;F=b[M+10>>0]|0;E=b[M+11>>0]|0;D=b[M+12>>0]|0;C=b[M+13>>0]|0;B=b[M+14>>0]|0;R=b[M+15>>0]|0;Q=x+v*+(h[M+1>>0]|0);P=s*+(h[M+2>>0]|0)+0.0;O=w+t*+(h[M+3>>0]|0);n[N+64>>2]=w+t*+(h[M>>0]|0);n[N+68>>2]=Q;n[N+72>>2]=P;n[N+76>>2]=O;n[N+80>>2]=x+v*+(L&255);n[N+84>>2]=s*+(K&255)+0.0;n[N+88>>2]=w+t*+(J&255);n[N+92>>2]=x+v*+(I&255);n[N+96>>2]=s*+(H&255)+0.0;n[N+100>>2]=w+t*+(G&255);n[N+104>>2]=x+v*+(F&255);n[N+108>>2]=s*+(E&255)+0.0;n[N+112>>2]=w+t*+(D&255);n[N+116>>2]=x+v*+(C&255);n[N+120>>2]=s*+(B&255)+0.0;n[N+124>>2]=w+t*+(R&255);R=A+32|0;A=b[R+4>>0]|0;B=b[R+5>>0]|0;C=b[R+6>>0]|0;D=b[R+7>>0]|0;E=b[R+8>>0]|0;F=b[R+9>>0]|0;G=b[R+10>>0]|0;H=b[R+11>>0]|0;I=b[R+12>>0]|0;J=b[R+13>>0]|0;K=b[R+14>>0]|0;L=b[R+15>>0]|0;O=s*+(h[R+1>>0]|0)+0.0;P=w+t*+(h[R+2>>0]|0);Q=x+v*+(h[R+3>>0]|0);n[N+128>>2]=x+v*+(h[R>>0]|0);n[N+132>>2]=O;n[N+136>>2]=P;n[N+140>>2]=Q;n[N+144>>2]=s*+(A&255)+0.0;n[N+148>>2]=w+t*+(B&255);n[N+152>>2]=x+v*+(C&255);n[N+156>>2]=s*+(D&255)+0.0;n[N+160>>2]=w+t*+(E&255);n[N+164>>2]=x+v*+(F&255);n[N+168>>2]=s*+(G&255)+0.0;n[N+172>>2]=w+t*+(H&255);n[N+176>>2]=x+v*+(I&255);n[N+180>>2]=s*+(J&255)+0.0;n[N+184>>2]=w+t*+(K&255);n[N+188>>2]=x+v*+(L&255);L=z+48|0;if((L|0)<(y|0))z=L;else{S=L;break}}}else S=0;if((S|0)<(q|0)){v=+n[223820];x=+n[223821];t=+n[223765];w=+n[223822];s=+n[223768];z=S;do{n[i+(z<<2)>>2]=+(h[l+z>>0]|0)*v;y=z+1|0;n[i+(y<<2)>>2]=+(h[l+y>>0]|0)*x+t;y=z+2|0;n[i+(y<<2)>>2]=+(h[l+y>>0]|0)*w+s;z=z+3|0}while((z|0)<(q|0))}qua(j,i,i,r);z=q+-16|0;if((q|0)>16){y=c+16|0;L=c;N=0;while(1){K=i+(N<<2)|0;s=+n[K+16>>2];w=+n[K+20>>2];t=+n[K+24>>2];x=+n[K+28>>2];v=+n[K+32>>2];Q=+n[K+36>>2];P=+n[K+40>>2];O=+n[K+44>>2];T=+n[K+48>>2];U=+n[K+52>>2];V=+n[K+56>>2];W=+n[K+60>>2];X=+n[K+4>>2]*255.0;Z=+n[K+8>>2]*255.0;_=+n[K+12>>2]*255.0;J=Ghc(+n[K>>2]*255.0)|0;K=Ghc(X)|0;I=Ghc(Z)|0;H=Ghc(_)|0;G=Ghc(s*255.0)|0;F=Ghc(w*255.0)|0;E=Ghc(t*255.0)|0;D=Ghc(x*255.0)|0;C=Ghc(v*255.0)|0;B=Ghc(Q*255.0)|0;A=Ghc(P*255.0)|0;R=Ghc(O*255.0)|0;M=Ghc(T*255.0)|0;$=Ghc(U*255.0)|0;aa=Ghc(V*255.0)|0;ba=Ghc(W*255.0)|0;ca=((J+32768|0)>>>0<65536?J:(J|0)>0?32767:32768)&65535;J=((C+32768|0)>>>0<65536?C:(C|0)>0?32767:32768)&65535;C=((K+32768|0)>>>0<65536?K:(K|0)>0?32767:32768)&65535;K=((B+32768|0)>>>0<65536?B:(B|0)>0?32767:32768)&65535;B=((I+32768|0)>>>0<65536?I:(I|0)>0?32767:32768)&65535;I=((A+32768|0)>>>0<65536?A:(A|0)>0?32767:32768)&65535;A=((H+32768|0)>>>0<65536?H:(H|0)>0?32767:32768)&65535;H=((R+32768|0)>>>0<65536?R:(R|0)>0?32767:32768)&65535;R=((G+32768|0)>>>0<65536?G:(G|0)>0?32767:32768)&65535;G=((M+32768|0)>>>0<65536?M:(M|0)>0?32767:32768)&65535;M=((F+32768|0)>>>0<65536?F:(F|0)>0?32767:32768)&65535;F=(($+32768|0)>>>0<65536?$:($|0)>0?32767:32768)&65535;$=((E+32768|0)>>>0<65536?E:(E|0)>0?32767:32768)&65535;E=((aa+32768|0)>>>0<65536?aa:(aa|0)>0?32767:32768)&65535;aa=((D+32768|0)>>>0<65536?D:(D|0)>0?32767:32768)&65535;D=((ba+32768|0)>>>0<65536?ba:(ba|0)>0?32767:32768)&65535;b[L>>0]=ca>>>0<255?ca:255;b[L+1>>0]=C>>>0<255?C:255;b[L+2>>0]=B>>>0<255?B:255;b[L+3>>0]=A>>>0<255?A:255;b[L+4>>0]=R>>>0<255?R:255;b[L+5>>0]=M>>>0<255?M:255;b[L+6>>0]=$>>>0<255?$:255;b[L+7>>0]=aa>>>0<255?aa:255;b[L+8>>0]=J>>>0<255?J:255;b[L+9>>0]=K>>>0<255?K:255;b[L+10>>0]=I>>>0<255?I:255;b[L+11>>0]=H>>>0<255?H:255;b[L+12>>0]=G>>>0<255?G:255;b[L+13>>0]=F>>>0<255?F:255;b[L+14>>0]=E>>>0<255?E:255;b[L+15>>0]=D>>>0<255?D:255;N=N+16|0;if((N|0)>=(z|0))break;else L=L+16|0}da=y+p|0;ea=o}else{da=c;ea=0}if((ea|0)<(q|0))if(a){L=da;z=ea;while(1){N=Ghc(+n[i+(z<<2)>>2]*255.0)|0;b[L>>0]=N>>>0<256?N:(N|0)>0?255:0;N=Ghc(+n[i+(z+1<<2)>>2]*255.0)|0;b[L+1>>0]=N>>>0<256?N:(N|0)>0?255:0;N=Ghc(+n[i+(z+2<<2)>>2]*255.0)|0;b[L+2>>0]=N>>>0<256?N:(N|0)>0?255:0;b[L+3>>0]=-1;z=z+3|0;N=L+4|0;if((z|0)>=(q|0)){fa=N;break}else L=N}}else{L=da;z=ea;while(1){o=Ghc(+n[i+(z<<2)>>2]*255.0)|0;b[L>>0]=o>>>0<256?o:(o|0)>0?255:0;o=Ghc(+n[i+(z+1<<2)>>2]*255.0)|0;b[L+1>>0]=o>>>0<256?o:(o|0)>0?255:0;o=Ghc(+n[i+(z+2<<2)>>2]*255.0)|0;b[L+2>>0]=o>>>0<256?o:(o|0)>0?255:0;z=z+3|0;o=L+k|0;if((z|0)>=(q|0)){fa=o;break}else L=o}}else fa=da;d=d+256|0;if((d|0)>=(e|0))break;else{l=l+768|0;c=fa;m=m+256|0}}}u=g;return}function uua(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;g=u;u=u+16|0;h=g+8|0;i=g+4|0;j=g;k=f[a>>2]|0;l=e*3|0;if((e|0)<=0){u=g;return}if((k|0)==4){e=0;m=d;while(1){vua(a,b[c+e>>0]|0,b[c+(e+1)>>0]|0,b[c+(e+2)>>0]|0,h,i,j);n=f[j>>2]|0;b[m>>0]=n>>>0<256?n:(n|0)>0?255:0;n=f[i>>2]|0;b[m+1>>0]=n>>>0<256?n:(n|0)>0?255:0;n=f[h>>2]|0;b[m+2>>0]=n>>>0<256?n:(n|0)>0?255:0;b[m+3>>0]=-1;e=e+3|0;if((e|0)>=(l|0))break;else m=m+4|0}u=g;return}else{m=0;e=d;while(1){vua(a,b[c+m>>0]|0,b[c+(m+1)>>0]|0,b[c+(m+2)>>0]|0,h,i,j);d=f[j>>2]|0;b[e>>0]=d>>>0<256?d:(d|0)>0?255:0;d=f[i>>2]|0;b[e+1>>0]=d>>>0<256?d:(d|0)>0?255:0;d=f[h>>2]|0;b[e+2>>0]=d>>>0<256?d:(d|0)>0?255:0;m=m+3|0;if((m|0)>=(l|0))break;else e=e+k|0}u=g;return}}function vua(a,b,c,e,g,h,i){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0;k=b&255;b=d[1164924+(k<<1<<1)>>1]|0;l=k<<8;k=f[(f[223799]|0)+((l|c&255)<<2)>>2]|0;c=e&255|l;l=f[(f[223800]|0)+(c<<2)>>2]|0;e=Bzc(l|0,((l|0)<0)<<31>>31|0,k|0,((k|0)<0)<<31>>31|0)|0;k=J;l=zzc(e|0,k|0,16384,0)|0;m=b&65535;n=Y(l,m)|0;l=(n|0)/16384|0;o=(f[223801]|0)+(c<<3)|0;c=f[o>>2]|0;p=f[o+4>>2]|0;o=Bzc(e|0,k|0,-85,-1)|0;k=hzc(o|0,J|0,c|0,p|0)|0;p=zzc(k|0,J|0,16384,0)|0;k=hzc(p|0,J|0,-20889600,-1)|0;p=Bzc(k|0,J|0,b&65535|0,0)|0;b=zzc(p|0,J|0,16384,0)|0;p=((b|0)/256|0)+((b|0)/65536|0)|0;b=(n|0)>16383?((l|0)<32768?l:32768):0;l=(p|0)>0?((p|0)<32768?p:32768):0;p=f[a+16>>2]|0;n=f[a+20>>2]|0;k=f[a+24>>2]|0;c=f[a+28>>2]|0;o=f[a+32>>2]|0;e=f[a+36>>2]|0;q=(Y(f[a+8>>2]|0,m)|0)+8192+(Y(b,f[a+4>>2]|0)|0)+(Y(l,f[a+12>>2]|0)|0)>>14;f[g>>2]=q;q=(Y(n,m)|0)+8192+(Y(b,p)|0)+(Y(l,k)|0)>>14;f[h>>2]=q;q=(Y(c,b)|0)+8192+(Y(o,m)|0)+(Y(l,e)|0)>>14;f[i>>2]=q;q=f[g>>2]|0;f[g>>2]=(q|0)>0?((q|0)<4095?q:4095):0;q=f[h>>2]|0;f[h>>2]=(q|0)>0?((q|0)<4095?q:4095):0;q=f[i>>2]|0;f[i>>2]=(q|0)>0?((q|0)<4095?q:4095):0;q=f[a+40>>2]|0;f[g>>2]=j[q+(f[g>>2]<<1)>>1];f[h>>2]=j[q+(f[h>>2]<<1)>>1];f[i>>2]=j[q+(f[i>>2]<<1)>>1];return}function wua(a){a=a|0;fuc(a);return}function xua(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=u;u=u+16|0;d=c;gV(d,82348);e=f[b>>2]|0;g=a+8|0;h=a+16|0;i=b+4|0;if((e|0)<(f[i>>2]|0)){b=(f[a+12>>2]|0)+(Y(f[h>>2]|0,e)|0)|0;j=a+24|0;k=a+20|0;l=b;b=e;m=(f[a+4>>2]|0)+(Y(f[g>>2]|0,e)|0)|0;while(1){yua(f[j>>2]|0,m,l,f[k>>2]|0);b=b+1|0;if((b|0)>=(f[i>>2]|0))break;else{l=l+(f[h>>2]|0)|0;m=m+(f[g>>2]|0)|0}}}if(!(f[d+4>>2]|0)){u=c;return}u=c;return}function yua(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0.0,j=0.0,k=0.0,l=0.0,m=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0,t=0,u=0,v=0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0,H=0,I=0,J=0,K=0;g=f[a>>2]|0;h=b[a+40>>0]|0?f[223793]|0:0;i=+n[a+4>>2];j=+n[a+8>>2];k=+n[a+12>>2];l=+n[a+16>>2];m=+n[a+20>>2];o=+n[a+24>>2];p=+n[a+28>>2];q=+n[a+32>>2];r=+n[a+36>>2];s=e*3|0;if((e|0)<=0)return;e=a+44|0;t=a+48|0;a=(h|0)==0;u=(g|0)==4;v=d;d=0;while(1){w=+n[c+(d<<2)>>2];if(!(w<=+n[e>>2])){x=(w+16.0)/116.0;y=x;z=x*(x*x)}else{x=w/903.2999877929688;y=x*7.7870001792907715+.13793103396892548;z=x}x=+n[c+(d+1<<2)>>2]/500.0+y;w=y-+n[c+(d+2<<2)>>2]/200.0;A=+n[t>>2];if(!(x<=A))B=x*(x*x);else B=(x+-.13793103396892548)/7.7870001792907715;if(!(w<=A))C=w*(w*w);else C=(w+-.13793103396892548)/7.7870001792907715;w=j*z+i*B+k*C;A=m*z+l*B+o*C;x=q*z+p*B+r*C;D=w<0.0?0.0:w>1.0?1.0:w;w=A<0.0?0.0:A>1.0?1.0:A;A=x<0.0?0.0:x>1.0?1.0:x;if(a){E=A;F=w;G=D}else{x=D*1024.0;H=~~x;I=(H|0)>0?H:0;H=(I|0)<1023?I:1023;D=x-+(H|0);I=h+(H<<2<<2)|0;x=w*1024.0;H=~~x;J=(H|0)>0?H:0;H=(J|0)<1023?J:1023;w=x-+(H|0);J=h+(H<<2<<2)|0;x=A*1024.0;H=~~x;K=(H|0)>0?H:0;H=(K|0)<1023?K:1023;A=x-+(H|0);K=h+(H<<2<<2)|0;E=+n[K>>2]+A*(+n[K+4>>2]+A*(A*+n[K+12>>2]+ +n[K+8>>2]));F=+n[J>>2]+w*(+n[J+4>>2]+w*(w*+n[J+12>>2]+ +n[J+8>>2]));G=+n[I>>2]+D*(+n[I+4>>2]+D*(D*+n[I+12>>2]+ +n[I+8>>2]))}n[v>>2]=G;n[v+4>>2]=F;n[v+8>>2]=E;if(u)n[v+12>>2]=1.0;d=d+3|0;if((d|0)>=(s|0))break;else v=v+(g<<2)|0}return}function zua(a){a=a|0;fuc(a);return}function Aua(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=u;u=u+16|0;d=c;gV(d,82368);e=f[b>>2]|0;g=a+8|0;h=a+16|0;i=b+4|0;if((e|0)<(f[i>>2]|0)){b=(f[a+12>>2]|0)+(Y(f[h>>2]|0,e)|0)|0;j=a+24|0;k=a+20|0;l=b;b=e;m=(f[a+4>>2]|0)+(Y(f[g>>2]|0,e)|0)|0;while(1){Bua((f[j>>2]|0)+56|0,m,l,f[k>>2]|0);b=b+1|0;if((b|0)>=(f[i>>2]|0))break;else{l=l+(f[h>>2]|0)|0;m=m+(f[g>>2]|0)|0}}}if(!(f[d+4>>2]|0)){u=c;return}u=c;return}function Bua(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;g=u;u=u+16|0;h=g+8|0;i=g+4|0;j=g;k=f[a>>2]|0;l=e*3|0;if((e|0)<=0){u=g;return}if((k|0)==4){e=0;m=d;while(1){Cua(a,b[c+e>>0]|0,b[c+(e+1)>>0]|0,b[c+(e+2)>>0]|0,h,i,j);n=f[j>>2]|0;b[m>>0]=n>>>0<256?n:(n|0)>0?255:0;n=f[i>>2]|0;b[m+1>>0]=n>>>0<256?n:(n|0)>0?255:0;n=f[h>>2]|0;b[m+2>>0]=n>>>0<256?n:(n|0)>0?255:0;b[m+3>>0]=-1;e=e+3|0;if((e|0)>=(l|0))break;else m=m+4|0}u=g;return}else{m=0;e=d;while(1){Cua(a,b[c+m>>0]|0,b[c+(m+1)>>0]|0,b[c+(m+2)>>0]|0,h,i,j);d=f[j>>2]|0;b[e>>0]=d>>>0<256?d:(d|0)>0?255:0;d=f[i>>2]|0;b[e+1>>0]=d>>>0<256?d:(d|0)>0?255:0;d=f[h>>2]|0;b[e+2>>0]=d>>>0<256?d:(d|0)>0?255:0;m=m+3|0;if((m|0)>=(l|0))break;else e=e+k|0}u=g;return}}function Cua(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,k=0,l=0,m=0,n=0,o=0,p=0;i=(b&255)<<1;b=j[1164924+((i|1)<<1)>>1]|0;k=f[223798]|0;l=f[k+(((((c&255)*268435|0)+128|0)>>>13)+-4194+b+8145<<2)>>2]|0;c=f[k+(10484-((((d&255)*41943|0)+16|0)>>>9)+b+8145<<2)>>2]|0;b=j[1164924+(i<<1)>>1]|0;i=f[a+16>>2]|0;d=f[a+20>>2]|0;k=f[a+24>>2]|0;m=f[a+28>>2]|0;n=f[a+32>>2]|0;o=f[a+36>>2]|0;p=(Y(f[a+4>>2]|0,l)|0)+8192+(Y(f[a+8>>2]|0,b)|0)+(Y(f[a+12>>2]|0,c)|0)>>14;f[e>>2]=p;p=(Y(i,l)|0)+8192+(Y(d,b)|0)+(Y(k,c)|0)>>14;f[g>>2]=p;p=(Y(m,l)|0)+8192+(Y(n,b)|0)+(Y(o,c)|0)>>14;f[h>>2]=p;p=f[e>>2]|0;f[e>>2]=(p|0)>0?((p|0)<4095?p:4095):0;p=f[g>>2]|0;f[g>>2]=(p|0)>0?((p|0)<4095?p:4095):0;p=f[h>>2]|0;f[h>>2]=(p|0)>0?((p|0)<4095?p:4095):0;p=f[a+40>>2]|0;f[e>>2]=j[p+(f[e>>2]<<1)>>1];f[g>>2]=j[p+(f[g>>2]<<1)>>1];f[h>>2]=j[p+(f[h>>2]<<1)>>1];return}function Dua(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0;e=u;u=u+128|0;g=e;Eua(g,a,b,3);Pta(f[g+16>>2]|0,f[g+48>>2]|0,f[g+72>>2]|0,f[g+104>>2]|0,f[g+12>>2]|0,f[g+8>>2]|0,f[g+112>>2]|0,f[g+116>>2]|0,c,1,d);Fua(g);u=e;return}function Eua(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;g=u;u=u+64|0;h=g+8|0;i=g;f[a>>2]=1124007936;j=a+4|0;k=a+8|0;l=a+40|0;m=j;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));f[l>>2]=k;o=a+48|0;f[a+44>>2]=o;f[o>>2]=0;f[a+52>>2]=0;p=a+56|0;f[p>>2]=1124007936;q=a+60|0;r=a+64|0;s=a+96|0;m=q;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));f[s>>2]=r;t=a+104|0;f[a+100>>2]=t;f[t>>2]=0;f[a+108>>2]=0;v=a+120|0;f[v>>2]=0;w=a+124|0;f[w>>2]=0;if(EJ(c)|0){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;x=cuc(16)|0;f[h>>2]=x;f[h+8>>2]=-2147483632;f[h+4>>2]=13;m=x;y=371751;n=m+13|0;do{b[m>>0]=b[y>>0]|0;m=m+1|0;y=y+1|0}while((m|0)<(n|0));b[x+13>>0]=0;WD(-215,h,371765,373062,254)}x=pJ(c,-1)|0;y=x>>>3;z=(y&511)+1|0;f[a+116>>2]=z;A=x&7;B=a+112|0;f[B>>2]=A;if((y&510|0)!=2)zN(z,82388);if((e|0)!=3)zN(e,82416);switch(x&7){case 0:case 5:break;default:wN(A,82444)}A=c+4|0;x=d+4|0;if((f[A>>2]|0)!=(f[x>>2]|0)){do if((qJ(c)|0)==65536){e=f[A>>2]|0;f[h>>2]=f[e>>2];z=h+4|0;y=e+4|0;f[z>>2]=f[y>>2];C=h+8|0;f[C>>2]=f[e+8>>2];f[h+12>>2]=f[e+12>>2];f[h+16>>2]=f[e+16>>2];f[h+20>>2]=f[e+20>>2];f[h+24>>2]=f[e+24>>2];f[h+28>>2]=f[e+28>>2];f[h+32>>2]=f[e+32>>2];D=f[e+36>>2]|0;f[h+36>>2]=D;f[h+40>>2]=C;C=h+48|0;E=h+44|0;f[E>>2]=C;f[C>>2]=0;f[h+52>>2]=0;if(D|0){C=D+12|0;f[C>>2]=(f[C>>2]|0)+1}if((f[y>>2]|0)<3){y=f[e+44>>2]|0;C=f[E>>2]|0;f[C>>2]=f[y>>2];f[C+4>>2]=f[y+4>>2];break}else{f[z>>2]=0;$T(h,e);break}}else nJ(h,c,-1);while(0);if((a|0)==(h|0)){A=h+36|0;e=f[A>>2]|0;if((e|0)!=0?(z=e+12|0,e=f[z>>2]|0,f[z>>2]=e+-1,(e|0)==1):0){aU(h);F=A}else F=A}else{A=a+36|0;e=f[A>>2]|0;if(e|0?(z=e+12|0,e=f[z>>2]|0,f[z>>2]=e+-1,(e|0)==1):0)aU(a);f[A>>2]=0;e=a+16|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((f[j>>2]|0)>0){z=f[l>>2]|0;y=0;do{f[z+(y<<2)>>2]=0;y=y+1|0}while((y|0)<(f[j>>2]|0))}f[a>>2]=f[h>>2];y=h+4|0;z=f[y>>2]|0;f[j>>2]=z;j=h+8|0;f[k>>2]=f[j>>2];f[a+12>>2]=f[h+12>>2];f[e>>2]=f[h+16>>2];f[a+20>>2]=f[h+20>>2];f[a+24>>2]=f[h+24>>2];f[a+28>>2]=f[h+28>>2];f[a+32>>2]=f[h+32>>2];e=h+36|0;f[A>>2]=f[e>>2];A=a+44|0;C=f[A>>2]|0;if((C|0)==(o|0))G=z;else{TC(C);f[A>>2]=o;f[l>>2]=k;G=f[y>>2]|0}k=h+44|0;if((G|0)<3){G=f[k>>2]|0;f[o>>2]=f[G>>2];f[a+52>>2]=f[G+4>>2]}else{f[A>>2]=f[k>>2];A=h+40|0;f[a+40>>2]=f[A>>2];f[k>>2]=h+48;f[A>>2]=j}f[h>>2]=1124007936;m=y;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));F=e}f[F>>2]=0;F=h+16|0;e=h+4|0;f[F>>2]=0;f[F+4>>2]=0;f[F+8>>2]=0;f[F+12>>2]=0;if((f[e>>2]|0)>0){F=f[h+40>>2]|0;y=0;do{f[F+(y<<2)>>2]=0;y=y+1|0}while((y|0)<(f[e>>2]|0))}e=f[h+44>>2]|0;if((e|0)!=(h+48|0))TC(e)}else{e=h+8|0;f[e>>2]=0;f[e+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=a;GJ(c,h)}c=f[l>>2]|0;l=f[c+4>>2]|0;e=f[c>>2]|0;f[v>>2]=l;f[w>>2]=e;f[i>>2]=l;f[i+4>>2]=e;IJ(d,i,f[B>>2]&7|16,-1,0,0);do if((qJ(d)|0)==65536){B=f[x>>2]|0;f[h>>2]=f[B>>2];i=h+4|0;e=B+4|0;f[i>>2]=f[e>>2];l=h+8|0;f[l>>2]=f[B+8>>2];f[h+12>>2]=f[B+12>>2];f[h+16>>2]=f[B+16>>2];f[h+20>>2]=f[B+20>>2];f[h+24>>2]=f[B+24>>2];f[h+28>>2]=f[B+28>>2];f[h+32>>2]=f[B+32>>2];w=f[B+36>>2]|0;f[h+36>>2]=w;f[h+40>>2]=l;l=h+48|0;v=h+44|0;f[v>>2]=l;f[l>>2]=0;f[h+52>>2]=0;if(w|0){l=w+12|0;f[l>>2]=(f[l>>2]|0)+1}if((f[e>>2]|0)<3){e=f[B+44>>2]|0;l=f[v>>2]|0;f[l>>2]=f[e>>2];f[l+4>>2]=f[e+4>>2];break}else{f[i>>2]=0;$T(h,B);break}}else nJ(h,d,-1);while(0);if((p|0)==(h|0)){d=h+36|0;x=f[d>>2]|0;if((x|0)!=0?(B=x+12|0,x=f[B>>2]|0,f[B>>2]=x+-1,(x|0)==1):0){aU(h);H=d}else H=d}else{d=a+92|0;x=f[d>>2]|0;if(x|0?(B=x+12|0,x=f[B>>2]|0,f[B>>2]=x+-1,(x|0)==1):0)aU(p);f[d>>2]=0;x=a+72|0;f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;f[x+12>>2]=0;if((f[q>>2]|0)>0){B=f[s>>2]|0;i=0;do{f[B+(i<<2)>>2]=0;i=i+1|0}while((i|0)<(f[q>>2]|0))}f[p>>2]=f[h>>2];p=h+4|0;i=f[p>>2]|0;f[q>>2]=i;q=h+8|0;f[r>>2]=f[q>>2];f[a+68>>2]=f[h+12>>2];f[x>>2]=f[h+16>>2];f[a+76>>2]=f[h+20>>2];f[a+80>>2]=f[h+24>>2];f[a+84>>2]=f[h+28>>2];f[a+88>>2]=f[h+32>>2];x=h+36|0;f[d>>2]=f[x>>2];d=a+100|0;B=f[d>>2]|0;if((B|0)==(t|0))I=i;else{TC(B);f[d>>2]=t;f[s>>2]=r;I=f[p>>2]|0}r=h+44|0;if((I|0)<3){I=f[r>>2]|0;f[t>>2]=f[I>>2];f[a+108>>2]=f[I+4>>2]}else{f[d>>2]=f[r>>2];d=h+40|0;f[a+96>>2]=f[d>>2];f[r>>2]=h+48;f[d>>2]=q}f[h>>2]=1124007936;m=p;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));H=x}f[H>>2]=0;H=h+16|0;x=h+4|0;f[H>>2]=0;f[H+4>>2]=0;f[H+8>>2]=0;f[H+12>>2]=0;if((f[x>>2]|0)>0){H=f[h+40>>2]|0;m=0;do{f[H+(m<<2)>>2]=0;m=m+1|0}while((m|0)<(f[x>>2]|0))}x=f[h+44>>2]|0;if((x|0)==(h+48|0)){u=g;return}TC(x);u=g;return}function Fua(a){a=a|0;var b=0,c=0,d=0,e=0;b=a+56|0;c=a+92|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+72|0;b=a+60|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+96>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+100>>2]|0;if((b|0)!=(a+104|0))TC(b);b=a+36|0;d=f[b>>2]|0;if(d|0?(c=d+12|0,d=f[c>>2]|0,f[c>>2]=d+-1,(d|0)==1):0)aU(a);f[b>>2]=0;b=a+16|0;d=a+4|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;if((f[d>>2]|0)>0){b=f[a+40>>2]|0;c=0;do{f[b+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[d>>2]|0))}d=f[a+44>>2]|0;if((d|0)==(a+48|0))return;TC(d);return}function Gua(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0;e=u;u=u+128|0;g=e;Eua(g,a,b,3);Pta(f[g+16>>2]|0,f[g+48>>2]|0,f[g+72>>2]|0,f[g+104>>2]|0,f[g+12>>2]|0,f[g+8>>2]|0,f[g+112>>2]|0,f[g+116>>2]|0,c,0,d);Fua(g);u=e;return}function Hua(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0;g=u;u=u+128|0;h=g;i=(c|0)<1?3:c;Iua(h,a,b,i);jua(f[h+16>>2]|0,f[h+48>>2]|0,f[h+72>>2]|0,f[h+104>>2]|0,f[h+12>>2]|0,f[h+8>>2]|0,f[h+112>>2]|0,i,d,1,e);Jua(h);u=g;return}function Iua(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;g=u;u=u+64|0;h=g+8|0;i=g;f[a>>2]=1124007936;j=a+4|0;k=a+8|0;l=a+40|0;m=j;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));f[l>>2]=k;o=a+48|0;f[a+44>>2]=o;f[o>>2]=0;f[a+52>>2]=0;p=a+56|0;f[p>>2]=1124007936;q=a+60|0;r=a+64|0;s=a+96|0;m=q;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));f[s>>2]=r;t=a+104|0;f[a+100>>2]=t;f[t>>2]=0;f[a+108>>2]=0;v=a+120|0;f[v>>2]=0;w=a+124|0;f[w>>2]=0;if(EJ(c)|0){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;x=cuc(16)|0;f[h>>2]=x;f[h+8>>2]=-2147483632;f[h+4>>2]=13;m=x;y=371751;n=m+13|0;do{b[m>>0]=b[y>>0]|0;m=m+1|0;y=y+1|0}while((m|0)<(n|0));b[x+13>>0]=0;WD(-215,h,371765,373062,254)}x=pJ(c,-1)|0;y=(x>>>3&511)+1|0;f[a+116>>2]=y;z=x&7;A=a+112|0;f[A>>2]=z;if((y|0)!=3)zN(y,82472);if((e+-3|0)>>>0>=2)zN(e,82500);switch(x&7){case 0:case 5:break;default:wN(z,82528)}z=c+4|0;x=d+4|0;if((f[z>>2]|0)!=(f[x>>2]|0)){do if((qJ(c)|0)==65536){y=f[z>>2]|0;f[h>>2]=f[y>>2];B=h+4|0;C=y+4|0;f[B>>2]=f[C>>2];D=h+8|0;f[D>>2]=f[y+8>>2];f[h+12>>2]=f[y+12>>2];f[h+16>>2]=f[y+16>>2];f[h+20>>2]=f[y+20>>2];f[h+24>>2]=f[y+24>>2];f[h+28>>2]=f[y+28>>2];f[h+32>>2]=f[y+32>>2];E=f[y+36>>2]|0;f[h+36>>2]=E;f[h+40>>2]=D;D=h+48|0;F=h+44|0;f[F>>2]=D;f[D>>2]=0;f[h+52>>2]=0;if(E|0){D=E+12|0;f[D>>2]=(f[D>>2]|0)+1}if((f[C>>2]|0)<3){C=f[y+44>>2]|0;D=f[F>>2]|0;f[D>>2]=f[C>>2];f[D+4>>2]=f[C+4>>2];break}else{f[B>>2]=0;$T(h,y);break}}else nJ(h,c,-1);while(0);if((a|0)==(h|0)){z=h+36|0;y=f[z>>2]|0;if((y|0)!=0?(B=y+12|0,y=f[B>>2]|0,f[B>>2]=y+-1,(y|0)==1):0){aU(h);G=z}else G=z}else{z=a+36|0;y=f[z>>2]|0;if(y|0?(B=y+12|0,y=f[B>>2]|0,f[B>>2]=y+-1,(y|0)==1):0)aU(a);f[z>>2]=0;y=a+16|0;f[y>>2]=0;f[y+4>>2]=0;f[y+8>>2]=0;f[y+12>>2]=0;if((f[j>>2]|0)>0){B=f[l>>2]|0;C=0;do{f[B+(C<<2)>>2]=0;C=C+1|0}while((C|0)<(f[j>>2]|0))}f[a>>2]=f[h>>2];C=h+4|0;B=f[C>>2]|0;f[j>>2]=B;j=h+8|0;f[k>>2]=f[j>>2];f[a+12>>2]=f[h+12>>2];f[y>>2]=f[h+16>>2];f[a+20>>2]=f[h+20>>2];f[a+24>>2]=f[h+24>>2];f[a+28>>2]=f[h+28>>2];f[a+32>>2]=f[h+32>>2];y=h+36|0;f[z>>2]=f[y>>2];z=a+44|0;D=f[z>>2]|0;if((D|0)==(o|0))H=B;else{TC(D);f[z>>2]=o;f[l>>2]=k;H=f[C>>2]|0}k=h+44|0;if((H|0)<3){H=f[k>>2]|0;f[o>>2]=f[H>>2];f[a+52>>2]=f[H+4>>2]}else{f[z>>2]=f[k>>2];z=h+40|0;f[a+40>>2]=f[z>>2];f[k>>2]=h+48;f[z>>2]=j}f[h>>2]=1124007936;m=C;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));G=y}f[G>>2]=0;G=h+16|0;y=h+4|0;f[G>>2]=0;f[G+4>>2]=0;f[G+8>>2]=0;f[G+12>>2]=0;if((f[y>>2]|0)>0){G=f[h+40>>2]|0;C=0;do{f[G+(C<<2)>>2]=0;C=C+1|0}while((C|0)<(f[y>>2]|0))}y=f[h+44>>2]|0;if((y|0)!=(h+48|0))TC(y)}else{y=h+8|0;f[y>>2]=0;f[y+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=a;GJ(c,h)}c=f[l>>2]|0;l=f[c+4>>2]|0;y=f[c>>2]|0;f[v>>2]=l;f[w>>2]=y;f[i>>2]=l;f[i+4>>2]=y;IJ(d,i,f[A>>2]&7|(e<<3)+-8,-1,0,0);do if((qJ(d)|0)==65536){e=f[x>>2]|0;f[h>>2]=f[e>>2];A=h+4|0;i=e+4|0;f[A>>2]=f[i>>2];y=h+8|0;f[y>>2]=f[e+8>>2];f[h+12>>2]=f[e+12>>2];f[h+16>>2]=f[e+16>>2];f[h+20>>2]=f[e+20>>2];f[h+24>>2]=f[e+24>>2];f[h+28>>2]=f[e+28>>2];f[h+32>>2]=f[e+32>>2];l=f[e+36>>2]|0;f[h+36>>2]=l;f[h+40>>2]=y;y=h+48|0;w=h+44|0;f[w>>2]=y;f[y>>2]=0;f[h+52>>2]=0;if(l|0){y=l+12|0;f[y>>2]=(f[y>>2]|0)+1}if((f[i>>2]|0)<3){i=f[e+44>>2]|0;y=f[w>>2]|0;f[y>>2]=f[i>>2];f[y+4>>2]=f[i+4>>2];break}else{f[A>>2]=0;$T(h,e);break}}else nJ(h,d,-1);while(0);if((p|0)==(h|0)){d=h+36|0;x=f[d>>2]|0;if((x|0)!=0?(e=x+12|0,x=f[e>>2]|0,f[e>>2]=x+-1,(x|0)==1):0){aU(h);I=d}else I=d}else{d=a+92|0;x=f[d>>2]|0;if(x|0?(e=x+12|0,x=f[e>>2]|0,f[e>>2]=x+-1,(x|0)==1):0)aU(p);f[d>>2]=0;x=a+72|0;f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;f[x+12>>2]=0;if((f[q>>2]|0)>0){e=f[s>>2]|0;A=0;do{f[e+(A<<2)>>2]=0;A=A+1|0}while((A|0)<(f[q>>2]|0))}f[p>>2]=f[h>>2];p=h+4|0;A=f[p>>2]|0;f[q>>2]=A;q=h+8|0;f[r>>2]=f[q>>2];f[a+68>>2]=f[h+12>>2];f[x>>2]=f[h+16>>2];f[a+76>>2]=f[h+20>>2];f[a+80>>2]=f[h+24>>2];f[a+84>>2]=f[h+28>>2];f[a+88>>2]=f[h+32>>2];x=h+36|0;f[d>>2]=f[x>>2];d=a+100|0;e=f[d>>2]|0;if((e|0)==(t|0))J=A;else{TC(e);f[d>>2]=t;f[s>>2]=r;J=f[p>>2]|0}r=h+44|0;if((J|0)<3){J=f[r>>2]|0;f[t>>2]=f[J>>2];f[a+108>>2]=f[J+4>>2]}else{f[d>>2]=f[r>>2];d=h+40|0;f[a+96>>2]=f[d>>2];f[r>>2]=h+48;f[d>>2]=q}f[h>>2]=1124007936;m=p;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));I=x}f[I>>2]=0;I=h+16|0;x=h+4|0;f[I>>2]=0;f[I+4>>2]=0;f[I+8>>2]=0;f[I+12>>2]=0;if((f[x>>2]|0)>0){I=f[h+40>>2]|0;m=0;do{f[I+(m<<2)>>2]=0;m=m+1|0}while((m|0)<(f[x>>2]|0))}x=f[h+44>>2]|0;if((x|0)==(h+48|0)){u=g;return}TC(x);u=g;return}function Jua(a){a=a|0;var b=0,c=0,d=0,e=0;b=a+56|0;c=a+92|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+72|0;b=a+60|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+96>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+100>>2]|0;if((b|0)!=(a+104|0))TC(b);b=a+36|0;d=f[b>>2]|0;if(d|0?(c=d+12|0,d=f[c>>2]|0,f[c>>2]=d+-1,(d|0)==1):0)aU(a);f[b>>2]=0;b=a+16|0;d=a+4|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;if((f[d>>2]|0)>0){b=f[a+40>>2]|0;c=0;do{f[b+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[d>>2]|0))}d=f[a+44>>2]|0;if((d|0)==(a+48|0))return;TC(d);return}function Kua(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0;g=u;u=u+128|0;h=g;i=(c|0)<1?3:c;Iua(h,a,b,i);jua(f[h+16>>2]|0,f[h+48>>2]|0,f[h+72>>2]|0,f[h+104>>2]|0,f[h+12>>2]|0,f[h+8>>2]|0,f[h+112>>2]|0,i,d,0,e);Jua(h);u=g;return}function Lua(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=u;u=u+128|0;e=d;Mua(e,a,b,3);wta(f[e+16>>2]|0,f[e+48>>2]|0,f[e+72>>2]|0,f[e+104>>2]|0,f[e+12>>2]|0,f[e+8>>2]|0,f[e+112>>2]|0,f[e+116>>2]|0,c);Nua(e);u=d;return}function Mua(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;g=u;u=u+64|0;h=g+8|0;i=g;f[a>>2]=1124007936;j=a+4|0;k=a+8|0;l=a+40|0;m=j;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));f[l>>2]=k;o=a+48|0;f[a+44>>2]=o;f[o>>2]=0;f[a+52>>2]=0;p=a+56|0;f[p>>2]=1124007936;q=a+60|0;r=a+64|0;s=a+96|0;m=q;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));f[s>>2]=r;t=a+104|0;f[a+100>>2]=t;f[t>>2]=0;f[a+108>>2]=0;v=a+120|0;f[v>>2]=0;w=a+124|0;f[w>>2]=0;if(EJ(c)|0){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;x=cuc(16)|0;f[h>>2]=x;f[h+8>>2]=-2147483632;f[h+4>>2]=13;m=x;y=371751;n=m+13|0;do{b[m>>0]=b[y>>0]|0;m=m+1|0;y=y+1|0}while((m|0)<(n|0));b[x+13>>0]=0;WD(-215,h,371765,373062,254)}x=pJ(c,-1)|0;y=x>>>3;z=(y&511)+1|0;f[a+116>>2]=z;A=x&7;B=a+112|0;f[B>>2]=A;if((y&510|0)!=2)zN(z,82556);if((e|0)!=3)zN(e,82584);switch(x&7){case 0:case 2:case 5:break;default:wN(A,82612)}A=c+4|0;x=d+4|0;if((f[A>>2]|0)!=(f[x>>2]|0)){do if((qJ(c)|0)==65536){e=f[A>>2]|0;f[h>>2]=f[e>>2];z=h+4|0;y=e+4|0;f[z>>2]=f[y>>2];C=h+8|0;f[C>>2]=f[e+8>>2];f[h+12>>2]=f[e+12>>2];f[h+16>>2]=f[e+16>>2];f[h+20>>2]=f[e+20>>2];f[h+24>>2]=f[e+24>>2];f[h+28>>2]=f[e+28>>2];f[h+32>>2]=f[e+32>>2];D=f[e+36>>2]|0;f[h+36>>2]=D;f[h+40>>2]=C;C=h+48|0;E=h+44|0;f[E>>2]=C;f[C>>2]=0;f[h+52>>2]=0;if(D|0){C=D+12|0;f[C>>2]=(f[C>>2]|0)+1}if((f[y>>2]|0)<3){y=f[e+44>>2]|0;C=f[E>>2]|0;f[C>>2]=f[y>>2];f[C+4>>2]=f[y+4>>2];break}else{f[z>>2]=0;$T(h,e);break}}else nJ(h,c,-1);while(0);if((a|0)==(h|0)){A=h+36|0;e=f[A>>2]|0;if((e|0)!=0?(z=e+12|0,e=f[z>>2]|0,f[z>>2]=e+-1,(e|0)==1):0){aU(h);F=A}else F=A}else{A=a+36|0;e=f[A>>2]|0;if(e|0?(z=e+12|0,e=f[z>>2]|0,f[z>>2]=e+-1,(e|0)==1):0)aU(a);f[A>>2]=0;e=a+16|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((f[j>>2]|0)>0){z=f[l>>2]|0;y=0;do{f[z+(y<<2)>>2]=0;y=y+1|0}while((y|0)<(f[j>>2]|0))}f[a>>2]=f[h>>2];y=h+4|0;z=f[y>>2]|0;f[j>>2]=z;j=h+8|0;f[k>>2]=f[j>>2];f[a+12>>2]=f[h+12>>2];f[e>>2]=f[h+16>>2];f[a+20>>2]=f[h+20>>2];f[a+24>>2]=f[h+24>>2];f[a+28>>2]=f[h+28>>2];f[a+32>>2]=f[h+32>>2];e=h+36|0;f[A>>2]=f[e>>2];A=a+44|0;C=f[A>>2]|0;if((C|0)==(o|0))G=z;else{TC(C);f[A>>2]=o;f[l>>2]=k;G=f[y>>2]|0}k=h+44|0;if((G|0)<3){G=f[k>>2]|0;f[o>>2]=f[G>>2];f[a+52>>2]=f[G+4>>2]}else{f[A>>2]=f[k>>2];A=h+40|0;f[a+40>>2]=f[A>>2];f[k>>2]=h+48;f[A>>2]=j}f[h>>2]=1124007936;m=y;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));F=e}f[F>>2]=0;F=h+16|0;e=h+4|0;f[F>>2]=0;f[F+4>>2]=0;f[F+8>>2]=0;f[F+12>>2]=0;if((f[e>>2]|0)>0){F=f[h+40>>2]|0;y=0;do{f[F+(y<<2)>>2]=0;y=y+1|0}while((y|0)<(f[e>>2]|0))}e=f[h+44>>2]|0;if((e|0)!=(h+48|0))TC(e)}else{e=h+8|0;f[e>>2]=0;f[e+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=a;GJ(c,h)}c=f[l>>2]|0;l=f[c+4>>2]|0;e=f[c>>2]|0;f[v>>2]=l;f[w>>2]=e;f[i>>2]=l;f[i+4>>2]=e;IJ(d,i,f[B>>2]&7|16,-1,0,0);do if((qJ(d)|0)==65536){B=f[x>>2]|0;f[h>>2]=f[B>>2];i=h+4|0;e=B+4|0;f[i>>2]=f[e>>2];l=h+8|0;f[l>>2]=f[B+8>>2];f[h+12>>2]=f[B+12>>2];f[h+16>>2]=f[B+16>>2];f[h+20>>2]=f[B+20>>2];f[h+24>>2]=f[B+24>>2];f[h+28>>2]=f[B+28>>2];f[h+32>>2]=f[B+32>>2];w=f[B+36>>2]|0;f[h+36>>2]=w;f[h+40>>2]=l;l=h+48|0;v=h+44|0;f[v>>2]=l;f[l>>2]=0;f[h+52>>2]=0;if(w|0){l=w+12|0;f[l>>2]=(f[l>>2]|0)+1}if((f[e>>2]|0)<3){e=f[B+44>>2]|0;l=f[v>>2]|0;f[l>>2]=f[e>>2];f[l+4>>2]=f[e+4>>2];break}else{f[i>>2]=0;$T(h,B);break}}else nJ(h,d,-1);while(0);if((p|0)==(h|0)){d=h+36|0;x=f[d>>2]|0;if((x|0)!=0?(B=x+12|0,x=f[B>>2]|0,f[B>>2]=x+-1,(x|0)==1):0){aU(h);H=d}else H=d}else{d=a+92|0;x=f[d>>2]|0;if(x|0?(B=x+12|0,x=f[B>>2]|0,f[B>>2]=x+-1,(x|0)==1):0)aU(p);f[d>>2]=0;x=a+72|0;f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;f[x+12>>2]=0;if((f[q>>2]|0)>0){B=f[s>>2]|0;i=0;do{f[B+(i<<2)>>2]=0;i=i+1|0}while((i|0)<(f[q>>2]|0))}f[p>>2]=f[h>>2];p=h+4|0;i=f[p>>2]|0;f[q>>2]=i;q=h+8|0;f[r>>2]=f[q>>2];f[a+68>>2]=f[h+12>>2];f[x>>2]=f[h+16>>2];f[a+76>>2]=f[h+20>>2];f[a+80>>2]=f[h+24>>2];f[a+84>>2]=f[h+28>>2];f[a+88>>2]=f[h+32>>2];x=h+36|0;f[d>>2]=f[x>>2];d=a+100|0;B=f[d>>2]|0;if((B|0)==(t|0))I=i;else{TC(B);f[d>>2]=t;f[s>>2]=r;I=f[p>>2]|0}r=h+44|0;if((I|0)<3){I=f[r>>2]|0;f[t>>2]=f[I>>2];f[a+108>>2]=f[I+4>>2]}else{f[d>>2]=f[r>>2];d=h+40|0;f[a+96>>2]=f[d>>2];f[r>>2]=h+48;f[d>>2]=q}f[h>>2]=1124007936;m=p;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));H=x}f[H>>2]=0;H=h+16|0;x=h+4|0;f[H>>2]=0;f[H+4>>2]=0;f[H+8>>2]=0;f[H+12>>2]=0;if((f[x>>2]|0)>0){H=f[h+40>>2]|0;m=0;do{f[H+(m<<2)>>2]=0;m=m+1|0}while((m|0)<(f[x>>2]|0))}x=f[h+44>>2]|0;if((x|0)==(h+48|0)){u=g;return}TC(x);u=g;return}function Nua(a){a=a|0;var b=0,c=0,d=0,e=0;b=a+56|0;c=a+92|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+72|0;b=a+60|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+96>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+100>>2]|0;if((b|0)!=(a+104|0))TC(b);b=a+36|0;d=f[b>>2]|0;if(d|0?(c=d+12|0,d=f[c>>2]|0,f[c>>2]=d+-1,(d|0)==1):0)aU(a);f[b>>2]=0;b=a+16|0;d=a+4|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;if((f[d>>2]|0)>0){b=f[a+40>>2]|0;c=0;do{f[b+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[d>>2]|0))}d=f[a+44>>2]|0;if((d|0)==(a+48|0))return;TC(d);return}function Oua(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0;e=u;u=u+128|0;g=e;h=(c|0)<1?3:c;Pua(g,a,b,h);Fta(f[g+16>>2]|0,f[g+48>>2]|0,f[g+72>>2]|0,f[g+104>>2]|0,f[g+12>>2]|0,f[g+8>>2]|0,f[g+112>>2]|0,h,d);Qua(g);u=e;return}function Pua(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;g=u;u=u+64|0;h=g+8|0;i=g;f[a>>2]=1124007936;j=a+4|0;k=a+8|0;l=a+40|0;m=j;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));f[l>>2]=k;o=a+48|0;f[a+44>>2]=o;f[o>>2]=0;f[a+52>>2]=0;p=a+56|0;f[p>>2]=1124007936;q=a+60|0;r=a+64|0;s=a+96|0;m=q;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));f[s>>2]=r;t=a+104|0;f[a+100>>2]=t;f[t>>2]=0;f[a+108>>2]=0;v=a+120|0;f[v>>2]=0;w=a+124|0;f[w>>2]=0;if(EJ(c)|0){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;x=cuc(16)|0;f[h>>2]=x;f[h+8>>2]=-2147483632;f[h+4>>2]=13;m=x;y=371751;n=m+13|0;do{b[m>>0]=b[y>>0]|0;m=m+1|0;y=y+1|0}while((m|0)<(n|0));b[x+13>>0]=0;WD(-215,h,371765,373062,254)}x=pJ(c,-1)|0;y=(x>>>3&511)+1|0;f[a+116>>2]=y;z=x&7;A=a+112|0;f[A>>2]=z;if((y|0)!=3)zN(y,82640);if((e+-3|0)>>>0>=2)zN(e,82668);switch(x&7){case 0:case 2:case 5:break;default:wN(z,82696)}z=c+4|0;x=d+4|0;if((f[z>>2]|0)!=(f[x>>2]|0)){do if((qJ(c)|0)==65536){y=f[z>>2]|0;f[h>>2]=f[y>>2];B=h+4|0;C=y+4|0;f[B>>2]=f[C>>2];D=h+8|0;f[D>>2]=f[y+8>>2];f[h+12>>2]=f[y+12>>2];f[h+16>>2]=f[y+16>>2];f[h+20>>2]=f[y+20>>2];f[h+24>>2]=f[y+24>>2];f[h+28>>2]=f[y+28>>2];f[h+32>>2]=f[y+32>>2];E=f[y+36>>2]|0;f[h+36>>2]=E;f[h+40>>2]=D;D=h+48|0;F=h+44|0;f[F>>2]=D;f[D>>2]=0;f[h+52>>2]=0;if(E|0){D=E+12|0;f[D>>2]=(f[D>>2]|0)+1}if((f[C>>2]|0)<3){C=f[y+44>>2]|0;D=f[F>>2]|0;f[D>>2]=f[C>>2];f[D+4>>2]=f[C+4>>2];break}else{f[B>>2]=0;$T(h,y);break}}else nJ(h,c,-1);while(0);if((a|0)==(h|0)){z=h+36|0;y=f[z>>2]|0;if((y|0)!=0?(B=y+12|0,y=f[B>>2]|0,f[B>>2]=y+-1,(y|0)==1):0){aU(h);G=z}else G=z}else{z=a+36|0;y=f[z>>2]|0;if(y|0?(B=y+12|0,y=f[B>>2]|0,f[B>>2]=y+-1,(y|0)==1):0)aU(a);f[z>>2]=0;y=a+16|0;f[y>>2]=0;f[y+4>>2]=0;f[y+8>>2]=0;f[y+12>>2]=0;if((f[j>>2]|0)>0){B=f[l>>2]|0;C=0;do{f[B+(C<<2)>>2]=0;C=C+1|0}while((C|0)<(f[j>>2]|0))}f[a>>2]=f[h>>2];C=h+4|0;B=f[C>>2]|0;f[j>>2]=B;j=h+8|0;f[k>>2]=f[j>>2];f[a+12>>2]=f[h+12>>2];f[y>>2]=f[h+16>>2];f[a+20>>2]=f[h+20>>2];f[a+24>>2]=f[h+24>>2];f[a+28>>2]=f[h+28>>2];f[a+32>>2]=f[h+32>>2];y=h+36|0;f[z>>2]=f[y>>2];z=a+44|0;D=f[z>>2]|0;if((D|0)==(o|0))H=B;else{TC(D);f[z>>2]=o;f[l>>2]=k;H=f[C>>2]|0}k=h+44|0;if((H|0)<3){H=f[k>>2]|0;f[o>>2]=f[H>>2];f[a+52>>2]=f[H+4>>2]}else{f[z>>2]=f[k>>2];z=h+40|0;f[a+40>>2]=f[z>>2];f[k>>2]=h+48;f[z>>2]=j}f[h>>2]=1124007936;m=C;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));G=y}f[G>>2]=0;G=h+16|0;y=h+4|0;f[G>>2]=0;f[G+4>>2]=0;f[G+8>>2]=0;f[G+12>>2]=0;if((f[y>>2]|0)>0){G=f[h+40>>2]|0;C=0;do{f[G+(C<<2)>>2]=0;C=C+1|0}while((C|0)<(f[y>>2]|0))}y=f[h+44>>2]|0;if((y|0)!=(h+48|0))TC(y)}else{y=h+8|0;f[y>>2]=0;f[y+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=a;GJ(c,h)}c=f[l>>2]|0;l=f[c+4>>2]|0;y=f[c>>2]|0;f[v>>2]=l;f[w>>2]=y;f[i>>2]=l;f[i+4>>2]=y;IJ(d,i,f[A>>2]&7|(e<<3)+-8,-1,0,0);do if((qJ(d)|0)==65536){e=f[x>>2]|0;f[h>>2]=f[e>>2];A=h+4|0;i=e+4|0;f[A>>2]=f[i>>2];y=h+8|0;f[y>>2]=f[e+8>>2];f[h+12>>2]=f[e+12>>2];f[h+16>>2]=f[e+16>>2];f[h+20>>2]=f[e+20>>2];f[h+24>>2]=f[e+24>>2];f[h+28>>2]=f[e+28>>2];f[h+32>>2]=f[e+32>>2];l=f[e+36>>2]|0;f[h+36>>2]=l;f[h+40>>2]=y;y=h+48|0;w=h+44|0;f[w>>2]=y;f[y>>2]=0;f[h+52>>2]=0;if(l|0){y=l+12|0;f[y>>2]=(f[y>>2]|0)+1}if((f[i>>2]|0)<3){i=f[e+44>>2]|0;y=f[w>>2]|0;f[y>>2]=f[i>>2];f[y+4>>2]=f[i+4>>2];break}else{f[A>>2]=0;$T(h,e);break}}else nJ(h,d,-1);while(0);if((p|0)==(h|0)){d=h+36|0;x=f[d>>2]|0;if((x|0)!=0?(e=x+12|0,x=f[e>>2]|0,f[e>>2]=x+-1,(x|0)==1):0){aU(h);I=d}else I=d}else{d=a+92|0;x=f[d>>2]|0;if(x|0?(e=x+12|0,x=f[e>>2]|0,f[e>>2]=x+-1,(x|0)==1):0)aU(p);f[d>>2]=0;x=a+72|0;f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;f[x+12>>2]=0;if((f[q>>2]|0)>0){e=f[s>>2]|0;A=0;do{f[e+(A<<2)>>2]=0;A=A+1|0}while((A|0)<(f[q>>2]|0))}f[p>>2]=f[h>>2];p=h+4|0;A=f[p>>2]|0;f[q>>2]=A;q=h+8|0;f[r>>2]=f[q>>2];f[a+68>>2]=f[h+12>>2];f[x>>2]=f[h+16>>2];f[a+76>>2]=f[h+20>>2];f[a+80>>2]=f[h+24>>2];f[a+84>>2]=f[h+28>>2];f[a+88>>2]=f[h+32>>2];x=h+36|0;f[d>>2]=f[x>>2];d=a+100|0;e=f[d>>2]|0;if((e|0)==(t|0))J=A;else{TC(e);f[d>>2]=t;f[s>>2]=r;J=f[p>>2]|0}r=h+44|0;if((J|0)<3){J=f[r>>2]|0;f[t>>2]=f[J>>2];f[a+108>>2]=f[J+4>>2]}else{f[d>>2]=f[r>>2];d=h+40|0;f[a+96>>2]=f[d>>2];f[r>>2]=h+48;f[d>>2]=q}f[h>>2]=1124007936;m=p;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));I=x}f[I>>2]=0;I=h+16|0;x=h+4|0;f[I>>2]=0;f[I+4>>2]=0;f[I+8>>2]=0;f[I+12>>2]=0;if((f[x>>2]|0)>0){I=f[h+40>>2]|0;m=0;do{f[I+(m<<2)>>2]=0;m=m+1|0}while((m|0)<(f[x>>2]|0))}x=f[h+44>>2]|0;if((x|0)==(h+48|0)){u=g;return}TC(x);u=g;return}function Qua(a){a=a|0;var b=0,c=0,d=0,e=0;b=a+56|0;c=a+92|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+72|0;b=a+60|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+96>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+100>>2]|0;if((b|0)!=(a+104|0))TC(b);b=a+36|0;d=f[b>>2]|0;if(d|0?(c=d+12|0,d=f[c>>2]|0,f[c>>2]=d+-1,(d|0)==1):0)aU(a);f[b>>2]=0;b=a+16|0;d=a+4|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;if((f[d>>2]|0)>0){b=f[a+40>>2]|0;c=0;do{f[b+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[d>>2]|0))}d=f[a+44>>2]|0;if((d|0)==(a+48|0))return;TC(d);return}function Rua(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=+c;d=+d;e=e|0;g=+g;h=+h;i=+i;j=+j;var k=0,l=0,m=0,n=0,o=0.0;k=u;u=u+16|0;l=k;gV(l,82724);a:do if(iK(b)|0){m=pJ(b,-1)|0;switch(m|0){case 13:case 21:{n=m;break a;break}default:{}}xN(m,82744)}else n=13;while(0);o=c;c=d;if(g==0.0&h==0.0)Sua(a,b,n,o,c,e,2147483647,i,j);else{m=Fhc(g)|0;Tua(a,b,n,o,c,e,m,Fhc(h)|0,2147483647,i,j)}if(!(f[l+4>>2]|0)){u=k;return}u=k;return}function Sua(a,c,d,e,g,h,i,j,k){a=a|0;c=c|0;d=d|0;e=+e;g=+g;h=h|0;i=i|0;j=+j;k=+k;var l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0.0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0.0,X=0.0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0.0,ia=0.0,ja=0.0,ka=0;l=u;u=u+2544|0;m=l+224|0;o=l+2480|0;p=l+2424|0;q=l;r=l+2408|0;s=l+1344|0;t=l+280|0;v=(d|0)==13;switch(d|0){case 13:case 21:break;default:xN(d,82800)}do if((qJ(a)|0)==65536){w=f[a+4>>2]|0;f[o>>2]=f[w>>2];x=o+4|0;y=w+4|0;f[x>>2]=f[y>>2];z=o+8|0;f[z>>2]=f[w+8>>2];f[o+12>>2]=f[w+12>>2];f[o+16>>2]=f[w+16>>2];f[o+20>>2]=f[w+20>>2];f[o+24>>2]=f[w+24>>2];f[o+28>>2]=f[w+28>>2];f[o+32>>2]=f[w+32>>2];A=f[w+36>>2]|0;f[o+36>>2]=A;f[o+40>>2]=z;z=o+48|0;B=o+44|0;f[B>>2]=z;f[z>>2]=0;f[o+52>>2]=0;if(A|0){z=A+12|0;f[z>>2]=(f[z>>2]|0)+1}if((f[y>>2]|0)<3){y=f[w+44>>2]|0;z=f[B>>2]|0;f[z>>2]=f[y>>2];f[z+4>>2]=f[y+4>>2];C=o;break}else{f[x>>2]=0;$T(o,w);C=o;break}}else{nJ(o,a,-1);C=o}while(0);D=1.0/e;if(f[C>>2]&4095|0){f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;C=cuc(32)|0;f[m>>2]=C;f[m+8>>2]=-2147483616;f[m+4>>2]=21;E=C;F=365177;G=E+21|0;do{b[E>>0]=b[F>>0]|0;E=E+1|0;F=F+1|0}while((E|0)<(G|0));b[C+21>>0]=0;WD(-215,m,365453,365214,120)}if((i|0)<=0){f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;C=cuc(16)|0;f[m>>2]=C;f[m+8>>2]=-2147483632;f[m+4>>2]=12;E=C;F=365284;G=E+12|0;do{b[E>>0]=b[F>>0]|0;E=E+1|0;F=F+1|0}while((E|0)<(G|0));b[C+12>>0]=0;WD(-215,m,365453,365214,121)}C=o+16|0;F=f[C>>2]|0;a=o+44|0;w=o+48|0;x=f[w>>2]|0;y=f[o+12>>2]|0;z=f[o+8>>2]|0;if(!(k>=j))vN(k,j,82828);B=Fhc((k-j)/g)|0;A=Ghc(+(z+y<<1|1|0)/e)|0;H=A+2|0;wT(q,B+2|0,H,4);f[p>>2]=1124007936;I=p+4|0;J=p+8|0;K=p+40|0;E=I;G=E+36|0;do{f[E>>2]=0;E=E+4|0}while((E|0)<(G|0));f[K>>2]=J;J=p+48|0;E=p+44|0;f[E>>2]=J;f[J>>2]=0;f[p+52>>2]=0;G=f[q>>2]|0;sh[f[(f[G>>2]|0)+12>>2]&255](G,q,p,-1);Xi(q);f[r>>2]=0;q=r+4|0;f[q>>2]=0;f[r+8>>2]=0;G=s+8|0;f[s>>2]=G;L=s+4|0;M=B>>>0>264;f[L>>2]=B;if(M){N=euc(B>>>0>1073741823?-1:B<<2)|0;f[s>>2]=N;Q=N}else Q=G;N=t+8|0;f[t>>2]=N;R=t+4|0;f[R>>2]=B;if(M){M=euc(B>>>0>1073741823?-1:B<<2)|0;f[t>>2]=M;S=M}else S=N;M=p+16|0;T=f[M>>2]|0;U=(B|0)>0;if(U){k=D;D=j;V=0;while(1){W=D;X=k*+P(+W);n[Q+(V<<2)>>2]=X;X=k*+O(+W);n[S+(V<<2)>>2]=X;V=V+1|0;if((V|0)==(B|0))break;else D=D+g}}if((z|0)>0?(V=((A+-1|0)/2|0)+1|0,(y|0)>0):0){Z=0;do{_=Y(Z,x)|0;D=+(Z|0);if(U){$=0;do{if(b[F+($+_)>>0]|0){k=+($|0);aa=0;do{ba=aa;aa=aa+1|0;ca=T+(V+(Y(aa,H)|0)+(Ghc(k*+n[S+(ba<<2)>>2]+D*+n[Q+(ba<<2)>>2])|0)<<2)|0;f[ca>>2]=(f[ca>>2]|0)+1}while((aa|0)!=(B|0))}$=$+1|0}while(($|0)!=(y|0))}Z=Z+1|0}while((Z|0)!=(z|0))}if((A|0)>0?(z=-2-A|0,Z=r+8|0,U):0){U=0;do{y=0;do{y=y+1|0;Q=(Y(y,H)|0)+U|0;S=Q+1|0;f[m>>2]=S;V=f[T+(S<<2)>>2]|0;do if(((((V|0)>(h|0)?(V|0)>(f[T+(Q<<2)>>2]|0):0)?(V|0)>=(f[T+(Q+2<<2)>>2]|0):0)?(V|0)>(f[T+(z+S<<2)>>2]|0):0)?(V|0)>=(f[T+(S+H<<2)>>2]|0):0){F=f[q>>2]|0;if((F|0)==(f[Z>>2]|0)){es(r,m);break}else{f[F>>2]=S;f[q>>2]=F+4;break}}while(0)}while((y|0)!=(B|0));U=U+1|0}while((U|0)!=(A|0));da=f[r>>2]|0;ea=f[q>>2]|0}else{da=0;ea=0}f[m>>2]=T;Wua(da,ea,m);ea=(f[q>>2]|0)-(f[r>>2]|0)>>2;da=(ea|0)<(i|0)?ea:i;D=1.0/+(H|0);jK(c,da,1,d,-1,0,0);do if((qJ(c)|0)==65536){d=f[c+4>>2]|0;f[m>>2]=f[d>>2];i=m+4|0;ea=d+4|0;f[i>>2]=f[ea>>2];U=m+8|0;f[U>>2]=f[d+8>>2];f[m+12>>2]=f[d+12>>2];f[m+16>>2]=f[d+16>>2];f[m+20>>2]=f[d+20>>2];f[m+24>>2]=f[d+24>>2];f[m+28>>2]=f[d+28>>2];f[m+32>>2]=f[d+32>>2];B=f[d+36>>2]|0;f[m+36>>2]=B;f[m+40>>2]=U;U=m+48|0;Z=m+44|0;f[Z>>2]=U;f[U>>2]=0;f[m+52>>2]=0;if(B|0){U=B+12|0;f[U>>2]=(f[U>>2]|0)+1}if((f[ea>>2]|0)<3){ea=f[d+44>>2]|0;U=f[Z>>2]|0;f[U>>2]=f[ea>>2];f[U+4>>2]=f[ea+4>>2];break}else{f[i>>2]=0;$T(m,d);break}}else nJ(m,c,-1);while(0);if((da|0)>0){k=+(A+-1|0)*.5;X=j;A=m+16|0;c=m+40|0;d=m+44|0;i=m+12|0;if(v){v=0;do{ea=f[(f[r>>2]|0)+(v<<2)>>2]|0;j=D*+(ea|0);U=~~j;Z=U-(+(U|0)>j&1)|0;j=(+(ea+-1-(Y(Z,H)|0)|0)-k)*e;W=X+ +(Z+-1|0)*g;Z=f[A>>2]|0;do if((f[m>>2]&16384|0)==0?(ea=f[c>>2]|0,(f[ea>>2]|0)!=1):0){U=f[f[d>>2]>>2]|0;if((f[ea+4>>2]|0)==1){fa=Z+(Y(U,v)|0)|0;break}else{ea=f[i>>2]|0;B=(v|0)/(ea|0)|0;fa=Z+(Y(B,U)|0)+(v-(Y(B,ea)|0)<<3)|0;break}}else ga=59;while(0);if((ga|0)==59){ga=0;fa=Z+(v<<3)|0}n[fa>>2]=j;n[fa+4>>2]=W;v=v+1|0}while((v|0)<(da|0))}else{v=0;do{fa=f[(f[r>>2]|0)+(v<<2)>>2]|0;ha=D*+(fa|0);ea=~~ha;B=ea-(+(ea|0)>ha&1)|0;ha=(+(fa+-1-(Y(B,H)|0)|0)-k)*e;ia=X+ +(B+-1|0)*g;ja=+(f[T+(fa<<2)>>2]|0);fa=f[A>>2]|0;do if((f[m>>2]&16384|0)==0?(B=f[c>>2]|0,(f[B>>2]|0)!=1):0){ea=f[f[d>>2]>>2]|0;if((f[B+4>>2]|0)==1){ka=fa+(Y(ea,v)|0)|0;break}else{B=f[i>>2]|0;U=(v|0)/(B|0)|0;ka=fa+(Y(U,ea)|0)+((v-(Y(U,B)|0)|0)*12|0)|0;break}}else ga=63;while(0);if((ga|0)==63){ga=0;ka=fa+(v*12|0)|0}n[ka>>2]=ha;n[ka+4>>2]=ia;n[ka+8>>2]=ja;v=v+1|0}while((v|0)<(da|0))}}da=m+36|0;v=f[da>>2]|0;if(v|0?(ka=v+12|0,v=f[ka>>2]|0,f[ka>>2]=v+-1,(v|0)==1):0)aU(m);f[da>>2]=0;da=m+16|0;v=m+4|0;f[da>>2]=0;f[da+4>>2]=0;f[da+8>>2]=0;f[da+12>>2]=0;if((f[v>>2]|0)>0){da=f[m+40>>2]|0;ka=0;do{f[da+(ka<<2)>>2]=0;ka=ka+1|0}while((ka|0)<(f[v>>2]|0))}v=f[m+44>>2]|0;if((v|0)!=(m+48|0))TC(v);v=f[t>>2]|0;if((v|0)!=(N|0)){if(v|0)guc(v);f[t>>2]=N;f[R>>2]=264}R=f[s>>2]|0;if((R|0)!=(G|0)){if(R|0)guc(R);f[s>>2]=G;f[L>>2]=264}L=f[r>>2]|0;if(L|0){r=f[q>>2]|0;if((r|0)!=(L|0))f[q>>2]=r+(~((r+-4-L|0)>>>2)<<2);fuc(L)}L=p+36|0;r=f[L>>2]|0;if(r|0?(q=r+12|0,r=f[q>>2]|0,f[q>>2]=r+-1,(r|0)==1):0)aU(p);f[L>>2]=0;f[M>>2]=0;f[M+4>>2]=0;f[M+8>>2]=0;f[M+12>>2]=0;if((f[I>>2]|0)>0){M=f[K>>2]|0;K=0;do{f[M+(K<<2)>>2]=0;K=K+1|0}while((K|0)<(f[I>>2]|0))}I=f[E>>2]|0;if((I|0)!=(J|0))TC(I);I=o+36|0;J=f[I>>2]|0;do if(J|0){E=J+12|0;K=f[E>>2]|0;f[E>>2]=K+-1;if((K|0)!=1)break;aU(o)}while(0);f[I>>2]=0;I=o+4|0;f[C>>2]=0;f[C+4>>2]=0;f[C+8>>2]=0;f[C+12>>2]=0;if((f[I>>2]|0)>0){C=f[o+40>>2]|0;o=0;do{f[C+(o<<2)>>2]=0;o=o+1|0}while((o|0)<(f[I>>2]|0))}I=f[a>>2]|0;if((I|0)==(w|0)){u=l;return}TC(I);u=l;return}function Tua(a,c,d,e,g,i,j,k,l,m,o){a=a|0;c=c|0;d=d|0;e=+e;g=+g;i=i|0;j=j|0;k=k|0;l=l|0;m=+m;o=+o;var p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0.0,N=0.0,P=0.0,Q=0.0,R=0.0,S=0.0,T=0.0,U=0.0,V=0.0,W=0.0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0.0,oa=0,pa=0,qa=0,ra=0.0,sa=0.0,ta=0.0,ua=0,va=0,wa=0.0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0;p=u;u=u+192|0;q=p+128|0;r=p+116|0;s=p+104|0;t=p+92|0;v=p+80|0;w=p+68|0;x=p+56|0;y=p;z=(d|0)==13;switch(d|0){case 13:case 21:break;default:xN(d,82772)}do if((qJ(a)|0)==65536){A=f[a+4>>2]|0;f[q>>2]=f[A>>2];B=q+4|0;C=A+4|0;f[B>>2]=f[C>>2];D=q+8|0;f[D>>2]=f[A+8>>2];f[q+12>>2]=f[A+12>>2];f[q+16>>2]=f[A+16>>2];f[q+20>>2]=f[A+20>>2];f[q+24>>2]=f[A+24>>2];f[q+28>>2]=f[A+28>>2];f[q+32>>2]=f[A+32>>2];E=f[A+36>>2]|0;f[q+36>>2]=E;f[q+40>>2]=D;D=q+48|0;F=q+44|0;f[F>>2]=D;f[D>>2]=0;f[q+52>>2]=0;if(E|0){D=E+12|0;f[D>>2]=(f[D>>2]|0)+1}if((f[C>>2]|0)<3){C=f[A+44>>2]|0;D=f[F>>2]|0;f[D>>2]=f[C>>2];f[D+4>>2]=f[C+4>>2];G=q;break}else{f[B>>2]=0;$T(q,A);G=q;break}}else{nJ(q,a,-1);G=q}while(0);A=Y(k,j)|0;f[r>>2]=0;B=r+4|0;f[B>>2]=0;f[r+8>>2]=0;if(f[G>>2]&4095|0){f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;G=cuc(32)|0;f[s>>2]=G;f[s+8>>2]=-2147483616;f[s+4>>2]=21;H=G;I=365177;J=H+21|0;do{b[H>>0]=b[I>>0]|0;H=H+1|0;I=I+1|0}while((H|0)<(J|0));b[G+21>>0]=0;WD(-215,s,365199,365214,262)}if((l|0)<=0){f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;G=cuc(16)|0;f[s>>2]=G;f[s+8>>2]=-2147483632;f[s+4>>2]=12;H=G;I=365284;J=H+12|0;do{b[H>>0]=b[I>>0]|0;H=H+1|0;I=I+1|0}while((H|0)<(J|0));b[G+12>>0]=0;WD(-215,s,365199,365214,263)}G=(i|0)<255?i:255;i=q+16|0;I=f[i>>2]|0;H=q+44|0;J=q+48|0;C=f[J>>2]|0;D=f[q+12>>2]|0;F=f[q+8>>2]|0;K=1.0/e;N=1.0/g;P=+(j|0);Q=e/P;R=g/+(k|0);S=1.0/Q;T=1.0/R;U=+(D|0);V=+(F|0);W=K*+M(+(U*U+V*V));j=~~W;E=j-(+(j|0)>W&1)|0;W=N;V=W*6.283185307179586;j=~~V;X=j-(+(j|0)>V&1)|0;f[s>>2]=G;n[s+4>>2]=-1.0;n[s+8>>2]=0.0;j=r+8|0;Uua(r,s);Z=Y(k*5|0,X)|0;f[s>>2]=0;_=s+4|0;f[_>>2]=0;f[s+8>>2]=0;if(!Z)$=0;else{if(Z>>>0>1073741823)nsc(s);aa=Z<<2;ba=cuc(aa)|0;f[s>>2]=ba;ca=ba+(Z<<2)|0;f[s+8>>2]=ca;kzc(ba|0,0,aa|0)|0;f[_>>2]=ca;ca=0;do{V=+O(+(R*+(ca|0)*.20000000298023224));n[ba+(ca<<2)>>2]=V;ca=ca+1|0}while((ca|0)!=(Z|0));$=ba}ba=Y(E,X)|0;f[t>>2]=0;Z=t+4|0;f[Z>>2]=0;f[t+8>>2]=0;if(!ba)da=0;else{if((ba|0)<0)nsc(t);ca=cuc(ba)|0;f[Z>>2]=ca;f[t>>2]=ca;f[t+8>>2]=ca+ba;aa=ba;ea=ca;do{b[ea>>0]=0;ea=(f[Z>>2]|0)+1|0;f[Z>>2]=ea;aa=aa+-1|0}while((aa|0)!=0);da=f[t>>2]|0}aa=(F|0)>0;if(aa&(D|0)>0){ea=0;ca=0;while(1){fa=Y(ea,C)|0;ga=0;ha=ca;do{ha=((b[I+(ga+fa)>>0]|0)!=0&1)+ha|0;ga=ga+1|0}while((ga|0)!=(D|0));ea=ea+1|0;if((ea|0)==(F|0)){ia=ha;break}else ca=ha}}else ia=0;f[v>>2]=0;ca=v+4|0;f[ca>>2]=0;f[v+8>>2]=0;ea=(ia|0)==0;do if(!ea)if(ia>>>0>1073741823)nsc(v);else{ga=ia<<2;fa=cuc(ga)|0;f[v>>2]=fa;ja=fa+(ia<<2)|0;f[v+8>>2]=ja;kzc(fa|0,0,ga|0)|0;f[ca>>2]=ja;ka=fa;break}else ka=0;while(0);f[w>>2]=0;fa=w+4|0;f[fa>>2]=0;f[w+8>>2]=0;if(ea){la=0;ma=0}else{ea=ia<<2;ja=cuc(ea)|0;f[w>>2]=ja;ga=ja+(ia<<2)|0;f[w+8>>2]=ga;kzc(ja|0,0,ea|0)|0;f[fa>>2]=ga;la=ja;ma=ja}if(aa){aa=(D|0)>0;ja=0;ga=0;while(1){if(aa){ea=Y(ga,C)|0;V=+(ga|0)+.5;U=V;na=U*U;oa=0;pa=ja;while(1){if(b[I+(oa+ea)>>0]|0){f[ka+(pa<<2)>>2]=oa;f[la+(pa<<2)>>2]=ga;qa=pa+1|0;U=+(oa|0)+.5;ra=+L(+(+wD(V,U)*.01745329238474369));sa=U;U=+M(+(na+sa*sa));sa=K*U;ta=W*(ra+1.5707963267948966);ua=~~ta;va=da+(ua-(+(ua|0)>ta&1))|0;b[va>>0]=(b[va>>0]|0)+1<<24>>24;ta=e/U;U=ta<g?ta:g;ta=N*U;wa=3.141592653589793/U;va=~~wa;ua=va-(+(va|0)>wa&1)|0;if((ua|0)>1){wa=N*(ra+U);ra=-1.5707963705062866;va=-1;xa=1;while(1){ra=U+ra;ya=~~wa;za=va;va=(Y(~~(sa*+O(+ra)),X)|0)+(ya-(+(ya|0)>wa&1))|0;ya=da+va|0;b[ya>>0]=((va|0)!=(za|0)&1)+(h[ya>>0]|0);xa=xa+1|0;if((xa|0)==(ua|0)){Aa=qa;break}else wa=ta+wa}}else Aa=qa}else Aa=pa;oa=oa+1|0;if((oa|0)>=(D|0)){Ba=Aa;break}else pa=Aa}}else Ba=ja;ga=ga+1|0;if((ga|0)>=(F|0))break;else ja=Ba}}Ba=(E|0)>0;if(Ba&(X|0)>0){ja=0;F=0;while(1){ga=Y(ja,X)|0;Aa=0;D=F;do{D=((h[da+(Aa+ga)>>0]|0)>(G|0)&1)+D|0;Aa=Aa+1|0}while((Aa|0)!=(X|0));ja=ja+1|0;if((ja|0)==(E|0)){Ca=D;break}else F=D}}else Ca=0;if((Ca*100|0)>(ba|0)){Sua(a,c,d,e,g,G,l,m,o);Da=la;Ea=ma}else{ma=A+2|0;f[x>>2]=0;a=x+4|0;f[a>>2]=0;f[x+8>>2]=0;if(!ma)Fa=0;else{if((A|0)<-2)nsc(x);ba=cuc(ma)|0;f[a>>2]=ba;f[x>>2]=ba;f[x+8>>2]=ba+ma;Ca=ma;ma=ba;do{b[ma>>0]=0;ma=(f[a>>2]|0)+1|0;f[a>>2]=ma;Ca=Ca+-1|0}while((Ca|0)!=0);Fa=f[x>>2]|0}Ca=Fa+1|0;if(Ba){Ba=(X|0)>0;Fa=(ia|0)>0;o=T;ma=(k|0)>0;ba=(A|0)>0;F=y+4|0;ja=y+8|0;Aa=0;while(1){if(Ba){ga=Y(Aa,X)|0;T=+(Aa|0);m=P*T;N=T*e;I=0;do{do if((h[da+(I+ga)>>0]|0)>(G|0)){kzc(Ca|0,0,A|0)|0;a:do if(Fa){C=Y(I,k)|0;if(ma)Ga=0;else{aa=0;while(1){+wD(+(f[la+(aa<<2)>>2]|0)+.5,+(f[ka+(aa<<2)>>2]|0)+.5);aa=aa+1|0;if((aa|0)>=(ia|0))break a}}do{T=+(f[la+(Ga<<2)>>2]|0)+.5;W=+(f[ka+(Ga<<2)>>2]|0)+.5;K=W;na=T;V=S*+M(+(na*na+K*K));K=o*(+L(+(+wD(T,W)*.01745329238474369))+1.5707963267948966);aa=~~K;pa=(C-aa+(+(aa|0)>K&1)|0)*5|0;aa=0;while(1){K=V*+n[$+(((pa|0)>-1?pa:0-pa|0)<<2)>>2]-m;oa=~~K;ea=(Y(oa-(+(oa|0)>K&1)|0,k)|0)+aa|0;oa=ea>>31&~ea^ea;ea=Ca+(((oa|0)>=(A|0)?oa^A:0)^oa)|0;b[ea>>0]=(b[ea>>0]|0)+1<<24>>24;aa=aa+1|0;if((aa|0)==(k|0))break;else pa=pa+5|0}Ga=Ga+1|0}while((Ga|0)<(ia|0))}while(0);if(!ba)break;V=+(I|0)*g;C=f[B>>2]|0;pa=f[r>>2]|0;aa=0;ea=pa;oa=C;ha=pa;pa=C;while(1){C=oa-ea|0;ua=((C|0)/12|0)+-1|0;if((C|0)>=12){xa=b[Ca+aa>>0]|0;if((f[ha+(ua*12|0)>>2]|0)<(xa&255|0)){Ha=xa;Ia=74}else{Ja=pa;Ka=ha;La=ha;Ma=oa}}else{Ha=b[Ca+aa>>0]|0;Ia=74}if((Ia|0)==74){Ia=0;f[y>>2]=Ha&255;n[F>>2]=N+Q*+((aa|0)/(k|0)|0|0);n[ja>>2]=V+R*+((aa|0)%(k|0)|0|0)+-1.5707963705062866;if((pa|0)==(f[j>>2]|0))Vua(r,y);else{f[pa>>2]=f[y>>2];f[pa+4>>2]=f[y+4>>2];f[pa+8>>2]=f[y+8>>2];f[B>>2]=(f[B>>2]|0)+12}b:do if((C|0)>0){xa=ua;while(1){va=f[r>>2]|0;ya=va+(xa*12|0)|0;if((f[ya>>2]|0)>(f[y>>2]|0)){Na=xa;break b}za=va+((xa+1|0)*12|0)|0;f[za>>2]=f[ya>>2];f[za+4>>2]=f[ya+4>>2];f[za+8>>2]=f[ya+8>>2];ya=xa+-1|0;if((xa|0)>0)xa=ya;else{Na=ya;break}}}else Na=ua;while(0);ua=(f[r>>2]|0)+((Na+1|0)*12|0)|0;f[ua>>2]=f[y>>2];f[ua+4>>2]=f[y+4>>2];f[ua+8>>2]=f[y+8>>2];ua=f[B>>2]|0;C=f[r>>2]|0;xa=ua;if(((ua-C|0)/12|0|0)>(l|0)){ya=xa+-12|0;f[B>>2]=ya;Oa=ya;Pa=ya}else{Oa=xa;Pa=ua}Ja=Oa;Ka=C;La=C;Ma=Pa}aa=aa+1|0;if((aa|0)>=(A|0))break;else{ea=La;oa=Ma;ha=Ka;pa=Ja}}}while(0);I=I+1|0}while((I|0)<(X|0))}Aa=Aa+1|0;if((Aa|0)>=(E|0)){Qa=B;Ra=r;break}}}else{Qa=B;Ra=r}jK(c,((f[Qa>>2]|0)-(f[Ra>>2]|0)|0)/12|0,1,d,-1,0,0);do if((qJ(c)|0)==65536){d=f[c+4>>2]|0;f[y>>2]=f[d>>2];E=y+4|0;Aa=d+4|0;f[E>>2]=f[Aa>>2];X=y+8|0;f[X>>2]=f[d+8>>2];f[y+12>>2]=f[d+12>>2];f[y+16>>2]=f[d+16>>2];f[y+20>>2]=f[d+20>>2];f[y+24>>2]=f[d+24>>2];f[y+28>>2]=f[d+28>>2];f[y+32>>2]=f[d+32>>2];Ja=f[d+36>>2]|0;f[y+36>>2]=Ja;f[y+40>>2]=X;X=y+48|0;Ka=y+44|0;f[Ka>>2]=X;f[X>>2]=0;f[y+52>>2]=0;if(Ja|0){X=Ja+12|0;f[X>>2]=(f[X>>2]|0)+1}if((f[Aa>>2]|0)<3){Aa=f[d+44>>2]|0;X=f[Ka>>2]|0;f[X>>2]=f[Aa>>2];f[X+4>>2]=f[Aa+4>>2];break}else{f[E>>2]=0;$T(y,d);break}}else nJ(y,c,-1);while(0);c=f[Qa>>2]|0;d=f[Ra>>2]|0;E=d;if((c|0)!=(d|0)){Aa=y+16|0;X=y+40|0;Ka=y+44|0;Ja=y+12|0;if(z){z=0;Ma=E;La=d;A=c;while(1){R=+n[Ma+(z*12|0)+4>>2];if(R<0.0){Sa=La;Ta=A}else{Pa=f[Ma+(z*12|0)+8>>2]|0;Oa=f[Aa>>2]|0;do if(!(f[y>>2]&16384)){l=f[X>>2]|0;if((f[l>>2]|0)==1){Ia=101;break}Na=f[f[Ka>>2]>>2]|0;if((f[l+4>>2]|0)==1){Ua=Oa+(Y(Na,z)|0)|0;break}else{l=f[Ja>>2]|0;j=(z|0)/(l|0)|0;Ua=Oa+(Y(j,Na)|0)+(z-(Y(j,l)|0)<<3)|0;break}}else Ia=101;while(0);if((Ia|0)==101){Ia=0;Ua=Oa+(z<<3)|0}n[Ua>>2]=R;f[Ua+4>>2]=Pa;Sa=f[Ra>>2]|0;Ta=f[Qa>>2]|0}z=z+1|0;if(z>>>0>=((Ta-Sa|0)/12|0)>>>0)break;else{Ma=Sa;La=Sa;A=Ta}}}else{Ta=0;A=E;E=d;d=c;while(1){Q=+n[A+(Ta*12|0)+4>>2];if(Q<0.0){Va=E;Wa=d}else{c=f[A+(Ta*12|0)+8>>2]|0;g=+(f[A+(Ta*12|0)>>2]|0);Sa=f[Aa>>2]|0;do if(!(f[y>>2]&16384)){La=f[X>>2]|0;if((f[La>>2]|0)==1){Ia=120;break}Ma=f[f[Ka>>2]>>2]|0;if((f[La+4>>2]|0)==1){Xa=Sa+(Y(Ma,Ta)|0)|0;break}else{La=f[Ja>>2]|0;z=(Ta|0)/(La|0)|0;Xa=Sa+(Y(z,Ma)|0)+((Ta-(Y(z,La)|0)|0)*12|0)|0;break}}else Ia=120;while(0);if((Ia|0)==120){Ia=0;Xa=Sa+(Ta*12|0)|0}n[Xa>>2]=Q;f[Xa+4>>2]=c;n[Xa+8>>2]=g;Va=f[Ra>>2]|0;Wa=f[Qa>>2]|0}Ta=Ta+1|0;if(Ta>>>0>=((Wa-Va|0)/12|0)>>>0)break;else{A=Va;E=Va;d=Wa}}}}Wa=y+36|0;d=f[Wa>>2]|0;if(d|0?(Va=d+12|0,d=f[Va>>2]|0,f[Va>>2]=d+-1,(d|0)==1):0)aU(y);f[Wa>>2]=0;Wa=y+16|0;d=y+4|0;f[Wa>>2]=0;f[Wa+4>>2]=0;f[Wa+8>>2]=0;f[Wa+12>>2]=0;if((f[d>>2]|0)>0){Wa=f[y+40>>2]|0;Va=0;do{f[Wa+(Va<<2)>>2]=0;Va=Va+1|0}while((Va|0)<(f[d>>2]|0))}d=f[y+44>>2]|0;if((d|0)!=(y+48|0))TC(d);d=f[x>>2]|0;if(d|0){if((f[a>>2]|0)!=(d|0))f[a>>2]=d;fuc(d)}d=f[w>>2]|0;Da=d;Ea=d}if(Da|0){d=f[fa>>2]|0;if((d|0)!=(Da|0))f[fa>>2]=d+(~((d+-4-Da|0)>>>2)<<2);fuc(Ea)}Ea=f[v>>2]|0;if(Ea|0){v=f[ca>>2]|0;if((v|0)!=(Ea|0))f[ca>>2]=v+(~((v+-4-Ea|0)>>>2)<<2);fuc(Ea)}Ea=f[t>>2]|0;if(Ea|0){if((f[Z>>2]|0)!=(Ea|0))f[Z>>2]=Ea;fuc(Ea)}Ea=f[s>>2]|0;if(Ea|0){s=f[_>>2]|0;if((s|0)!=(Ea|0))f[_>>2]=s+(~((s+-4-Ea|0)>>>2)<<2);fuc(Ea)}Ea=f[r>>2]|0;if(Ea|0){r=f[B>>2]|0;if((r|0)!=(Ea|0))f[B>>2]=r+(~(((r+-12-Ea|0)>>>0)/12|0)*12|0);fuc(Ea)}Ea=q+36|0;r=f[Ea>>2]|0;if(r|0?(B=r+12|0,r=f[B>>2]|0,f[B>>2]=r+-1,(r|0)==1):0)aU(q);f[Ea>>2]=0;Ea=q+4|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;if((f[Ea>>2]|0)>0){i=f[q+40>>2]|0;q=0;do{f[i+(q<<2)>>2]=0;q=q+1|0}while((q|0)<(f[Ea>>2]|0))}Ea=f[H>>2]|0;if((Ea|0)==(J|0)){u=p;return}TC(Ea);u=p;return}function Uua(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+4|0;d=f[a>>2]|0;e=(f[c>>2]|0)-d|0;g=(e|0)/12|0;h=g+1|0;if(h>>>0>357913941)nsc(a);i=a+8|0;j=((f[i>>2]|0)-d|0)/12|0;k=j<<1;l=j>>>0<178956970?(k>>>0<h>>>0?h:k):357913941;do if(l)if(l>>>0>357913941){k=ze(8)|0;kuc(k,519086);f[k>>2]=167148;Hf(k|0,26888,1888)}else{m=cuc(l*12|0)|0;break}else m=0;while(0);k=m+(g*12|0)|0;f[k>>2]=f[b>>2];f[k+4>>2]=f[b+4>>2];f[k+8>>2]=f[b+8>>2];b=k+(((e|0)/-12|0)*12|0)|0;if((e|0)>0)szc(b|0,d|0,e|0)|0;f[a>>2]=b;f[c>>2]=k+12;f[i>>2]=m+(l*12|0);if(!d)return;fuc(d);return}function Vua(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+4|0;d=f[a>>2]|0;e=(f[c>>2]|0)-d|0;g=(e|0)/12|0;h=g+1|0;if(h>>>0>357913941)nsc(a);i=a+8|0;j=((f[i>>2]|0)-d|0)/12|0;k=j<<1;l=j>>>0<178956970?(k>>>0<h>>>0?h:k):357913941;do if(l)if(l>>>0>357913941){k=ze(8)|0;kuc(k,519086);f[k>>2]=167148;Hf(k|0,26888,1888)}else{m=cuc(l*12|0)|0;break}else m=0;while(0);k=m+(g*12|0)|0;f[k>>2]=f[b>>2];f[k+4>>2]=f[b+4>>2];f[k+8>>2]=f[b+8>>2];b=k+(((e|0)/-12|0)*12|0)|0;if((e|0)>0)szc(b|0,d|0,e|0)|0;f[a>>2]=b;f[c>>2]=k+12;f[i>>2]=m+(l*12|0);if(!d)return;fuc(d);return}function Wua(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0;d=a;a=b;a:while(1){b=a;e=a+-4|0;g=d;while(1){h=g;b:while(1){i=h;j=b-i|0;k=j>>2;switch(k|0){case 2:{l=5;break a;break}case 3:{l=7;break a;break}case 4:{l=15;break a;break}case 5:{l=16;break a;break}case 1:case 0:{l=63;break a;break}default:{}}if((j|0)<124){l=18;break a}m=h+(((k|0)/2|0)<<2)|0;do if((j|0)<=3996){n=f[m>>2]|0;o=f[h>>2]|0;p=f[c>>2]|0;q=f[p+(n<<2)>>2]|0;r=p+(o<<2)|0;s=f[r>>2]|0;t=f[e>>2]|0;u=f[p+(t<<2)>>2]|0;v=(u|0)>(q|0)|(t|0)<(n|0)&(u|0)==(q|0);if(!((q|0)>(s|0)|(n|0)<(o|0)&(q|0)==(s|0))){if(!v){w=0;x=p;break}f[m>>2]=t;f[e>>2]=n;s=f[m>>2]|0;q=f[h>>2]|0;u=f[p+(s<<2)>>2]|0;y=f[p+(q<<2)>>2]|0;if(!((u|0)>(y|0)|(s|0)<(q|0)&(u|0)==(y|0))){w=1;x=p;break}f[h>>2]=s;f[m>>2]=q;w=2;x=p;break}if(v){f[h>>2]=t;f[e>>2]=o;w=1;x=p;break}f[h>>2]=n;f[m>>2]=o;n=f[e>>2]|0;t=f[p+(n<<2)>>2]|0;v=f[r>>2]|0;if((t|0)>(v|0)|(n|0)<(o|0)&(t|0)==(v|0)){f[m>>2]=n;f[e>>2]=o;w=2;x=p}else{w=1;x=p}}else{p=(k|0)/4|0;o=Yua(h,h+(p<<2)|0,m,m+(p<<2)|0,e,c)|0;w=o;x=f[c>>2]|0}while(0);z=f[h>>2]|0;k=f[m>>2]|0;j=f[x+(z<<2)>>2]|0;o=f[x+(k<<2)>>2]|0;if((j|0)>(o|0)|(z|0)<(k|0)&(j|0)==(o|0)){A=e;B=w;break}o=f[c>>2]|0;j=o+(k<<2)|0;C=e;while(1){C=C+-4|0;if((h|0)==(C|0))break;D=f[C>>2]|0;p=f[o+(D<<2)>>2]|0;n=f[j>>2]|0;if((p|0)>(n|0)|(D|0)<(k|0)&(p|0)==(n|0)){l=45;break b}}k=h+4|0;j=f[e>>2]|0;n=f[o+(z<<2)>>2]|0;p=f[o+(j<<2)>>2]|0;if((n|0)>(p|0)|(z|0)<(j|0)&(n|0)==(p|0))E=k;else{if((k|0)==(e|0)){l=63;break a}else F=k;while(1){G=f[F>>2]|0;k=f[o+(G<<2)>>2]|0;if((n|0)>(k|0)|(z|0)<(G|0)&(n|0)==(k|0))break;k=F+4|0;if((k|0)==(e|0)){l=63;break a}else F=k}f[F>>2]=j;f[e>>2]=G;E=F+4|0}if((E|0)==(e|0)){l=63;break a}n=f[c>>2]|0;o=e;k=E;while(1){p=f[h>>2]|0;v=f[n+(p<<2)>>2]|0;t=k;while(1){H=f[t>>2]|0;r=f[n+(H<<2)>>2]|0;I=t+4|0;if((v|0)>(r|0)|(p|0)<(H|0)&(v|0)==(r|0)){J=o;break}else t=I}do{J=J+-4|0;K=f[J>>2]|0;r=f[n+(K<<2)>>2]|0}while((v|0)>(r|0)|(p|0)<(K|0)&(v|0)==(r|0));if(t>>>0>=J>>>0){h=t;continue b}f[t>>2]=K;f[J>>2]=H;o=J;k=I}}if((l|0)==45){l=0;f[h>>2]=D;f[C>>2]=z;A=C;B=w+1|0}k=h+4|0;c:do if(k>>>0<A>>>0){o=f[c>>2]|0;n=m;j=A;v=k;p=B;while(1){r=f[n>>2]|0;q=f[o+(r<<2)>>2]|0;s=v;while(1){L=f[s>>2]|0;y=f[o+(L<<2)>>2]|0;M=s+4|0;if((y|0)>(q|0)|(L|0)<(r|0)&(y|0)==(q|0))s=M;else{N=j;break}}do{N=N+-4|0;O=f[N>>2]|0;t=f[o+(O<<2)>>2]|0}while(!((t|0)>(q|0)|(O|0)<(r|0)&(t|0)==(q|0)));if(s>>>0>N>>>0){P=n;Q=p;R=s;break c}f[s>>2]=O;f[N>>2]=L;n=(n|0)==(s|0)?N:n;j=N;v=M;p=p+1|0}}else{P=m;Q=B;R=k}while(0);if((R|0)!=(P|0)?(k=f[P>>2]|0,p=f[R>>2]|0,v=f[c>>2]|0,j=f[v+(k<<2)>>2]|0,n=f[v+(p<<2)>>2]|0,(j|0)>(n|0)|(k|0)<(p|0)&(j|0)==(n|0)):0){f[R>>2]=k;f[P>>2]=p;S=Q+1|0}else S=Q;if(!S){T=_ua(h,R,c)|0;p=R+4|0;if(_ua(p,a,c)|0){l=62;break}if(T){g=p;continue}}p=R;if((p-i|0)>=(b-p|0)){l=61;break}Wua(h,R,c);g=R+4|0}if((l|0)==61){l=0;Wua(R+4|0,a,c);d=h;a=R;continue}else if((l|0)==62){l=0;if(T){l=63;break}else{d=h;a=R;continue}}}if((l|0)==5){R=f[e>>2]|0;d=f[h>>2]|0;T=f[c>>2]|0;i=f[T+(R<<2)>>2]|0;S=f[T+(d<<2)>>2]|0;if(!((i|0)>(S|0)|(R|0)<(d|0)&(i|0)==(S|0)))return;f[h>>2]=R;f[e>>2]=d;return}else if((l|0)==7){d=h+4|0;R=f[d>>2]|0;S=f[h>>2]|0;i=f[c>>2]|0;T=f[i+(R<<2)>>2]|0;Q=i+(S<<2)|0;P=f[Q>>2]|0;B=f[e>>2]|0;m=f[i+(B<<2)>>2]|0;M=(m|0)>(T|0)|(B|0)<(R|0)&(m|0)==(T|0);if(!((T|0)>(P|0)|(R|0)<(S|0)&(T|0)==(P|0))){if(!M)return;f[d>>2]=B;f[e>>2]=R;P=f[d>>2]|0;T=f[h>>2]|0;m=f[i+(P<<2)>>2]|0;N=f[i+(T<<2)>>2]|0;if(!((m|0)>(N|0)|(P|0)<(T|0)&(m|0)==(N|0)))return;f[h>>2]=P;f[d>>2]=T;return}if(M){f[h>>2]=B;f[e>>2]=S;return}f[h>>2]=R;f[d>>2]=S;R=f[e>>2]|0;B=f[i+(R<<2)>>2]|0;i=f[Q>>2]|0;if(!((B|0)>(i|0)|(R|0)<(S|0)&(B|0)==(i|0)))return;f[d>>2]=R;f[e>>2]=S;return}else if((l|0)==15){Xua(h,h+4|0,h+8|0,e,c)|0;return}else if((l|0)==16){Yua(h,h+4|0,h+8|0,h+12|0,e,c)|0;return}else if((l|0)==18){Zua(h,a,c);return}else if((l|0)==63)return}function Xua(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;g=f[b>>2]|0;h=f[a>>2]|0;i=f[e>>2]|0;e=f[i+(g<<2)>>2]|0;j=i+(h<<2)|0;k=f[j>>2]|0;l=f[c>>2]|0;m=f[i+(l<<2)>>2]|0;n=(m|0)>(e|0)|(l|0)<(g|0)&(m|0)==(e|0);do if((e|0)>(k|0)|(g|0)<(h|0)&(e|0)==(k|0)){if(n){f[a>>2]=l;f[c>>2]=h;o=1;p=h;break}f[a>>2]=g;f[b>>2]=h;m=f[c>>2]|0;q=f[i+(m<<2)>>2]|0;r=f[j>>2]|0;if((q|0)>(r|0)|(m|0)<(h|0)&(q|0)==(r|0)){f[b>>2]=m;f[c>>2]=h;o=2;p=h}else{o=1;p=m}}else if(n){f[b>>2]=l;f[c>>2]=g;m=f[b>>2]|0;r=f[a>>2]|0;q=f[i+(m<<2)>>2]|0;s=f[i+(r<<2)>>2]|0;if((q|0)>(s|0)|(m|0)<(r|0)&(q|0)==(s|0)){f[a>>2]=m;f[b>>2]=r;o=2;p=f[c>>2]|0}else{o=1;p=g}}else{o=0;p=l}while(0);l=f[d>>2]|0;g=f[i+(l<<2)>>2]|0;n=f[i+(p<<2)>>2]|0;if(!((g|0)>(n|0)|(l|0)<(p|0)&(g|0)==(n|0))){t=o;return t|0}f[c>>2]=l;f[d>>2]=p;p=f[c>>2]|0;d=f[b>>2]|0;l=f[i+(p<<2)>>2]|0;n=f[i+(d<<2)>>2]|0;if(!((l|0)>(n|0)|(p|0)<(d|0)&(l|0)==(n|0))){t=o+1|0;return t|0}f[b>>2]=p;f[c>>2]=d;d=f[b>>2]|0;c=f[a>>2]|0;p=f[i+(d<<2)>>2]|0;n=f[i+(c<<2)>>2]|0;if(!((p|0)>(n|0)|(d|0)<(c|0)&(p|0)==(n|0))){t=o+2|0;return t|0}f[a>>2]=d;f[b>>2]=c;t=o+3|0;return t|0}function Yua(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0;h=Xua(a,b,c,d,g)|0;i=f[e>>2]|0;j=f[d>>2]|0;k=f[g>>2]|0;g=f[k+(i<<2)>>2]|0;l=f[k+(j<<2)>>2]|0;if(!((g|0)>(l|0)|(i|0)<(j|0)&(g|0)==(l|0))){m=h;return m|0}f[d>>2]=i;f[e>>2]=j;j=f[d>>2]|0;e=f[c>>2]|0;i=f[k+(j<<2)>>2]|0;l=f[k+(e<<2)>>2]|0;if(!((i|0)>(l|0)|(j|0)<(e|0)&(i|0)==(l|0))){m=h+1|0;return m|0}f[c>>2]=j;f[d>>2]=e;e=f[c>>2]|0;d=f[b>>2]|0;j=f[k+(e<<2)>>2]|0;l=f[k+(d<<2)>>2]|0;if(!((j|0)>(l|0)|(e|0)<(d|0)&(j|0)==(l|0))){m=h+2|0;return m|0}f[b>>2]=e;f[c>>2]=d;d=f[b>>2]|0;c=f[a>>2]|0;e=f[k+(d<<2)>>2]|0;l=f[k+(c<<2)>>2]|0;if(!((e|0)>(l|0)|(d|0)<(c|0)&(e|0)==(l|0))){m=h+3|0;return m|0}f[a>>2]=d;f[b>>2]=c;m=h+4|0;return m|0}function Zua(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;d=a+8|0;e=a+4|0;g=f[e>>2]|0;h=f[a>>2]|0;i=f[c>>2]|0;j=f[i+(g<<2)>>2]|0;k=i+(h<<2)|0;l=f[k>>2]|0;m=f[d>>2]|0;n=i+(m<<2)|0;o=f[n>>2]|0;p=(o|0)>(j|0)|(m|0)<(g|0)&(o|0)==(j|0);do if((j|0)>(l|0)|(g|0)<(h|0)&(j|0)==(l|0)){if(p){f[a>>2]=m;f[d>>2]=h;q=h;break}f[a>>2]=g;f[e>>2]=h;o=f[n>>2]|0;r=f[k>>2]|0;if((o|0)>(r|0)|(m|0)<(h|0)&(o|0)==(r|0)){f[e>>2]=m;f[d>>2]=h;q=h}else q=m}else if(p){f[e>>2]=m;f[d>>2]=g;r=f[n>>2]|0;o=f[k>>2]|0;if((r|0)>(o|0)|(m|0)<(h|0)&(r|0)==(o|0)){f[a>>2]=m;f[e>>2]=h;q=g}else q=g}else q=m;while(0);m=a+12|0;if((m|0)==(b|0))return;else{s=m;t=d;u=i;v=q}while(1){q=f[s>>2]|0;i=f[u+(q<<2)>>2]|0;d=f[u+(v<<2)>>2]|0;if((i|0)>(d|0)|(q|0)<(v|0)&(i|0)==(d|0)){d=f[c>>2]|0;i=d+(q<<2)|0;m=t;g=s;h=v;while(1){f[g>>2]=h;if((m|0)==(a|0)){w=a;break}e=m+-4|0;h=f[e>>2]|0;k=f[i>>2]|0;n=f[d+(h<<2)>>2]|0;if(!((k|0)>(n|0)|(q|0)<(h|0)&(k|0)==(n|0))){w=m;break}else{n=m;m=e;g=n}}f[w>>2]=q;x=d}else x=u;g=s+4|0;if((g|0)==(b|0))break;m=f[s>>2]|0;h=s;s=g;u=x;v=m;t=h}return}function _ua(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;switch(b-a>>2|0){case 2:{d=b+-4|0;e=f[d>>2]|0;g=f[a>>2]|0;h=f[c>>2]|0;i=f[h+(e<<2)>>2]|0;j=f[h+(g<<2)>>2]|0;if(!((i|0)>(j|0)|(e|0)<(g|0)&(i|0)==(j|0))){k=1;return k|0}f[a>>2]=e;f[d>>2]=g;k=1;return k|0}case 3:{g=a+4|0;d=b+-4|0;e=f[g>>2]|0;j=f[a>>2]|0;i=f[c>>2]|0;h=f[i+(e<<2)>>2]|0;l=i+(j<<2)|0;m=f[l>>2]|0;n=f[d>>2]|0;o=f[i+(n<<2)>>2]|0;p=(o|0)>(h|0)|(n|0)<(e|0)&(o|0)==(h|0);if(!((h|0)>(m|0)|(e|0)<(j|0)&(h|0)==(m|0))){if(!p){k=1;return k|0}f[g>>2]=n;f[d>>2]=e;m=f[g>>2]|0;h=f[a>>2]|0;o=f[i+(m<<2)>>2]|0;q=f[i+(h<<2)>>2]|0;if(!((o|0)>(q|0)|(m|0)<(h|0)&(o|0)==(q|0))){k=1;return k|0}f[a>>2]=m;f[g>>2]=h;k=1;return k|0}if(p){f[a>>2]=n;f[d>>2]=j;k=1;return k|0}f[a>>2]=e;f[g>>2]=j;e=f[d>>2]|0;n=f[i+(e<<2)>>2]|0;i=f[l>>2]|0;if(!((n|0)>(i|0)|(e|0)<(j|0)&(n|0)==(i|0))){k=1;return k|0}f[g>>2]=e;f[d>>2]=j;k=1;return k|0}case 4:{Xua(a,a+4|0,a+8|0,b+-4|0,c)|0;k=1;return k|0}case 5:{Yua(a,a+4|0,a+8|0,a+12|0,b+-4|0,c)|0;k=1;return k|0}case 1:case 0:{k=1;return k|0}default:{j=a+8|0;d=a+4|0;e=f[d>>2]|0;g=f[a>>2]|0;i=f[c>>2]|0;n=f[i+(e<<2)>>2]|0;l=i+(g<<2)|0;p=f[l>>2]|0;h=f[j>>2]|0;m=i+(h<<2)|0;q=f[m>>2]|0;o=(q|0)>(n|0)|(h|0)<(e|0)&(q|0)==(n|0);do if((n|0)>(p|0)|(e|0)<(g|0)&(n|0)==(p|0)){if(o){f[a>>2]=h;f[j>>2]=g;r=g;break}f[a>>2]=e;f[d>>2]=g;q=f[m>>2]|0;s=f[l>>2]|0;if((q|0)>(s|0)|(h|0)<(g|0)&(q|0)==(s|0)){f[d>>2]=h;f[j>>2]=g;r=g}else r=h}else if(o){f[d>>2]=h;f[j>>2]=e;s=f[m>>2]|0;q=f[l>>2]|0;if((s|0)>(q|0)|(h|0)<(g|0)&(s|0)==(q|0)){f[a>>2]=h;f[d>>2]=g;r=e}else r=e}else r=h;while(0);h=a+12|0;a:do if((h|0)==(b|0)){t=1;u=0}else{e=h;g=0;d=j;l=i;m=r;while(1){o=f[e>>2]|0;p=f[l+(o<<2)>>2]|0;n=f[l+(m<<2)>>2]|0;if((p|0)>(n|0)|(o|0)<(m|0)&(p|0)==(n|0)){n=f[c>>2]|0;p=n+(o<<2)|0;q=d;s=e;v=m;while(1){f[s>>2]=v;if((q|0)==(a|0)){w=a;break}x=q+-4|0;v=f[x>>2]|0;y=f[p>>2]|0;z=f[n+(v<<2)>>2]|0;if(!((y|0)>(z|0)|(o|0)<(v|0)&(y|0)==(z|0))){w=q;break}else{z=q;q=x;s=z}}f[w>>2]=o;s=g+1|0;if((s|0)==8){t=0;u=(e+4|0)==(b|0);break a}else{A=s;B=n}}else{A=g;B=l}s=e+4|0;if((s|0)==(b|0)){t=1;u=0;break a}q=f[e>>2]|0;v=e;e=s;g=A;l=B;m=q;d=v}}while(0);k=u|t;return k|0}}return 0}function $ua(a,b,c,d,e,g,h){a=a|0;b=b|0;c=+c;d=+d;e=e|0;g=+g;h=+h;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;i=u;u=u+144|0;j=i+128|0;k=i+72|0;l=i+56|0;m=i;gV(j,82856);do if((qJ(a)|0)==65536){n=f[a+4>>2]|0;f[k>>2]=f[n>>2];o=k+4|0;p=n+4|0;f[o>>2]=f[p>>2];q=k+8|0;f[q>>2]=f[n+8>>2];f[k+12>>2]=f[n+12>>2];f[k+16>>2]=f[n+16>>2];f[k+20>>2]=f[n+20>>2];f[k+24>>2]=f[n+24>>2];f[k+28>>2]=f[n+28>>2];f[k+32>>2]=f[n+32>>2];r=f[n+36>>2]|0;f[k+36>>2]=r;f[k+40>>2]=q;q=k+48|0;s=k+44|0;f[s>>2]=q;f[q>>2]=0;f[k+52>>2]=0;if(r|0){q=r+12|0;f[q>>2]=(f[q>>2]|0)+1}if((f[p>>2]|0)<3){p=f[n+44>>2]|0;q=f[s>>2]|0;f[q>>2]=f[p>>2];f[q+4>>2]=f[p+4>>2];break}else{f[o>>2]=0;$T(k,n);break}}else nJ(k,a,-1);while(0);f[l>>2]=0;a=l+4|0;f[a>>2]=0;f[l+8>>2]=0;n=Fhc(g)|0;ava(k,c,d,e,n,Fhc(h)|0,l,2147483647);f[m>>2]=1124024348;n=m+4|0;f[n>>2]=2;e=m+8|0;o=f[a>>2]|0;p=f[l>>2]|0;q=o-p|0;f[e>>2]=q>>4;f[m+12>>2]=1;s=m+16|0;r=m+40|0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;f[s+16>>2]=0;f[s+20>>2]=0;f[r>>2]=e;e=m+48|0;t=m+44|0;f[t>>2]=e;f[e>>2]=0;v=m+52|0;f[v>>2]=0;w=p;if((w|0)!=(o|0)){f[v>>2]=16;f[e>>2]=16;f[s>>2]=w;f[m+20>>2]=w;w=p+q|0;f[m+24>>2]=w;f[m+28>>2]=w}EI(m,b);b=m+36|0;w=f[b>>2]|0;if(w|0?(q=w+12|0,w=f[q>>2]|0,f[q>>2]=w+-1,(w|0)==1):0)aU(m);f[b>>2]=0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;if((f[n>>2]|0)>0){s=f[r>>2]|0;r=0;do{f[s+(r<<2)>>2]=0;r=r+1|0}while((r|0)<(f[n>>2]|0))}n=f[t>>2]|0;if((n|0)!=(e|0))TC(n);n=f[l>>2]|0;if(n|0){l=f[a>>2]|0;if((l|0)!=(n|0))f[a>>2]=l+(~((l+-16-n|0)>>>4)<<4);fuc(n)}n=k+36|0;l=f[n>>2]|0;if(l|0?(a=l+12|0,l=f[a>>2]|0,f[a>>2]=l+-1,(l|0)==1):0)aU(k);f[n>>2]=0;n=k+16|0;l=k+4|0;f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;f[n+12>>2]=0;if((f[l>>2]|0)>0){n=f[k+40>>2]|0;a=0;do{f[n+(a<<2)>>2]=0;a=a+1|0}while((a|0)<(f[l>>2]|0))}l=f[k+44>>2]|0;if((l|0)!=(k+48|0))TC(l);if(!(f[j+4>>2]|0)){u=i;return}u=i;return}function ava(a,c,d,e,g,h,i,j){a=a|0;c=+c;d=+d;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0.0,x=0,y=0,z=0,A=0,B=0.0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,M=0,N=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0;k=u;u=u+416|0;l=k+392|0;m=k+384|0;o=k+328|0;p=k;q=k+272|0;r=k+256|0;s=k+240|0;t=k+224|0;f[m>>2]=0;v=m+4|0;f[v>>2]=0;w=1.0/c;if(f[a>>2]&4095|0){x=cuc(32)|0;f[l>>2]=x;f[l+8>>2]=-2147483616;f[l+4>>2]=23;y=x;z=365756;A=y+23|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));b[x+23>>0]=0;WD(-215,l,365780,365214,471)}x=f[a+12>>2]|0;z=f[a+8>>2]|0;B=d;C=Fhc(3.141592653589793/B)|0;D=Ghc(+(z+x<<1|1|0)/c)|0;wT(p,C,D,4);f[o>>2]=1124007936;E=o+4|0;F=o+8|0;G=o+40|0;y=E;A=y+36|0;do{f[y>>2]=0;y=y+4|0}while((y|0)<(A|0));f[G>>2]=F;F=o+48|0;H=o+44|0;f[H>>2]=F;f[F>>2]=0;f[o+52>>2]=0;I=f[p>>2]|0;sh[f[(f[I>>2]|0)+12>>2]&255](I,p,o,-1);Xi(p);f[q>>2]=1124007936;p=q+4|0;I=q+8|0;K=q+40|0;y=p;A=y+36|0;do{f[y>>2]=0;y=y+4|0}while((y|0)<(A|0));f[K>>2]=I;I=q+48|0;y=q+44|0;f[y>>2]=I;f[I>>2]=0;f[q+52>>2]=0;f[l>>2]=z;f[l+4>>2]=x;ZT(q,2,l,0);A=C<<1;f[l>>2]=0;M=l+4|0;f[M>>2]=0;f[l+8>>2]=0;if(C){if(A>>>0>1073741823)nsc(l);N=C<<3;Q=cuc(N)|0;f[l>>2]=Q;R=Q+(A<<2)|0;f[l+8>>2]=R;kzc(Q|0,0,N|0)|0;f[M>>2]=R;R=(C|0)>0;if(R){c=w;N=0;do{w=B*+(N|0);d=c*+O(+w);A=N<<1;n[Q+(A<<2)>>2]=d;d=c*+P(+w);n[Q+((A|1)<<2)>>2]=d;N=N+1|0}while((N|0)!=(C|0));S=R;T=Q}else{S=0;T=Q}}else{S=0;T=0}Q=q+16|0;R=f[Q>>2]|0;f[r>>2]=0;N=r+4|0;f[N>>2]=0;f[r+8>>2]=0;f[v>>2]=0;do if((z|0)>0){A=a+16|0;U=a+44|0;V=r+8|0;if((x|0)>0){W=R;X=0}else{Z=0;do Z=Z+1|0;while((Z|0)<(z|0));f[m>>2]=0;f[v>>2]=Z;_=0;$=0;aa=0;break}while(1){ba=(f[A>>2]|0)+(Y(f[f[U>>2]>>2]|0,X)|0)|0;ca=W+(Y(f[f[y>>2]>>2]|0,X)|0)|0;f[m>>2]=0;da=0;do{ea=ca+da|0;do if(b[ba+da>>0]|0){b[ea>>0]=1;fa=f[N>>2]|0;if((fa|0)==(f[V>>2]|0)){_s(r,m);break}else{f[fa>>2]=f[m>>2];f[fa+4>>2]=f[v>>2];f[N>>2]=fa+8;break}}else b[ea>>0]=0;while(0);da=(f[m>>2]|0)+1|0;f[m>>2]=da}while((da|0)<(x|0));da=(f[v>>2]|0)+1|0;f[v>>2]=da;if((da|0)>=(z|0))break;W=f[Q>>2]|0;X=da}V=f[r>>2]|0;_=V;$=f[N>>2]|0;aa=V}else{_=0;$=0;aa=0}while(0);X=$-_|0;a:do if((X|0)>0){_=e+-1|0;$=o+16|0;W=(D+-1|0)/2|0;v=s+8|0;m=s+12|0;a=s+4|0;V=t+4|0;U=t+8|0;A=t+12|0;Z=i+4|0;da=i+8|0;ba=S^1;ca=X>>>3;ea=-1;fa=-1;ga=aa;while(1){ha=Bzc(ea|0,0,-130063606,0)|0;ia=hzc(ha|0,J|0,fa|0,0)|0;ha=J;ja=(ia>>>0)%(ca>>>0)|0;ka=f[ga+(ja<<3)>>2]|0;la=f[ga+(ja<<3)+4>>2]|0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;ma=f[$>>2]|0;na=ca+-1|0;f[ga+(ja<<3)>>2]=f[ga+(na<<3)>>2];f[ga+(ja<<3)+4>>2]=f[ga+(na<<3)+4>>2];ja=R+((Y(la,x)|0)+ka)|0;if(!((b[ja>>0]|0)==0|ba)){c=+(ka|0);B=+(la|0);ja=_;oa=0;pa=0;qa=ma;while(1){ma=oa<<1;ra=qa+((Ghc(c*+n[T+(ma<<2)>>2]+B*+n[T+((ma|1)<<2)>>2])|0)+W<<2)|0;ma=f[ra>>2]|0;sa=ma+1|0;f[ra>>2]=sa;ra=(ja|0)>(ma|0);pa=ra?pa:oa;ja=ra?ja:sa;oa=oa+1|0;if((oa|0)==(C|0))break;else qa=qa+(D<<2)|0}if((ja|0)>=(e|0)){qa=pa<<1;B=+n[T+((qa|1)<<2)>>2];c=+n[T+(qa<<2)>>2];d=+L(+-B);w=+L(+c);if(d>w){ta=0;ua=Ghc(c*65536.0/d)|0;va=B<-0.0?1:-1;wa=la<<16|32768;xa=ka}else{ta=1;ua=c>0.0?1:-1;va=Ghc(B*-65536.0/w)|0;wa=la;xa=ka<<16|32768}qa=0-va|0;oa=0-ua|0;sa=wa>>16;ra=xa>>16;if(((ta?ra:xa)|0)>=0){ma=f[a>>2]|0;ya=f[s>>2]|0;b:do if(ta){za=ra;Aa=ya;Ba=wa;Ca=ma;Da=xa;Ea=0;while(1){if(!((Ba|0)<(z|0)&((za|0)<(x|0)&(Ba|0)>-1))){Fa=Aa;Ga=Ca;break b}Ha=R+(Y(Ba,x)|0)+za|0;if(!(b[Ha>>0]|0))if((Ea|0)<(h|0)){Ia=Aa;Ja=Ca;Ka=Ea+1|0}else{Fa=Aa;Ga=Ca;break b}else{Ia=za;Ja=Ba;Ka=0}Da=Da+va|0;za=Da>>16;if((za|0)<0){Fa=Ia;Ga=Ja;break}else{Aa=Ia;Ba=Ba+ua|0;Ca=Ja;Ea=Ka}}}else{Ea=xa;Ca=ya;Ba=sa;Aa=ma;za=wa;Da=0;while(1){if(!((Ba|0)<(z|0)&((Ea|0)<(x|0)&(Ba|0)>-1))){Fa=Ca;Ga=Aa;break b}Ha=R+(Y(Ba,x)|0)+Ea|0;if(!(b[Ha>>0]|0))if((Da|0)<(h|0)){La=Ca;Ma=Aa;Na=Da+1|0}else{Fa=Ca;Ga=Aa;break b}else{La=Ea;Ma=Ba;Na=0}Ea=Ea+va|0;Ha=za+ua|0;if((Ea|0)<0){Fa=La;Ga=Ma;break}else{Ca=La;Ba=Ha>>16;Aa=Ma;za=Ha;Da=Na}}}while(0);f[a>>2]=Ga;f[s>>2]=Fa;ma=f[m>>2]|0;ya=f[v>>2]|0;c:do if(ta){ka=ra;la=ya;pa=wa;ja=ma;Da=xa;za=0;while(1){if(!((pa|0)<(z|0)&((ka|0)<(x|0)&(pa|0)>-1))){Oa=la;Pa=ja;break c}Aa=R+(Y(pa,x)|0)+ka|0;if(!(b[Aa>>0]|0))if((za|0)<(h|0)){Qa=la;Ra=ja;Sa=za+1|0}else{Oa=la;Pa=ja;break c}else{Qa=ka;Ra=pa;Sa=0}Da=Da-va|0;ka=Da>>16;if((ka|0)<0){Oa=Qa;Pa=Ra;break}else{la=Qa;pa=pa-ua|0;ja=Ra;za=Sa}}}else{za=xa;ja=ya;pa=sa;la=ma;ka=wa;Da=0;while(1){if(!((pa|0)<(z|0)&((za|0)<(x|0)&(pa|0)>-1))){Oa=ja;Pa=la;break c}Aa=R+(Y(pa,x)|0)+za|0;if(!(b[Aa>>0]|0))if((Da|0)<(h|0)){Ta=ja;Ua=la;Va=Da+1|0}else{Oa=ja;Pa=la;break c}else{Ta=za;Ua=pa;Va=0}za=za-va|0;Aa=ka-ua|0;if((za|0)<0){Oa=Ta;Pa=Ua;break}else{ja=Ta;pa=Aa>>16;la=Ua;ka=Aa;Da=Va}}}while(0);f[m>>2]=Pa;f[v>>2]=Oa}ma=(f[v>>2]|0)-(f[s>>2]|0)|0;if((((ma|0)>-1?ma:0-ma|0)|0)<(g|0)){ma=(f[m>>2]|0)-(f[a>>2]|0)|0;Wa=(((ma|0)>-1?ma:0-ma|0)|0)>=(g|0)}else Wa=1;ma=Wa&S;sa=0;do{ya=(sa|0)==1;ra=ya?qa:va;Da=ya?oa:ua;ya=s+(sa<<3)|0;ka=s+(sa<<3)+4|0;d:do if(ta){la=wa;pa=xa;while(1){ja=pa>>16;za=R+(Y(la,x)|0)+ja|0;if(b[za>>0]|0){if(ma){w=+(ja|0);B=+(la|0);Aa=0;Ba=f[$>>2]|0;while(1){Ca=Aa<<1;Ea=Ba+((Ghc(w*+n[T+(Ca<<2)>>2]+B*+n[T+((Ca|1)<<2)>>2])|0)+W<<2)|0;f[Ea>>2]=(f[Ea>>2]|0)+-1;Aa=Aa+1|0;if((Aa|0)==(C|0))break;else Ba=Ba+(D<<2)|0}}b[za>>0]=0}if((la|0)==(f[ka>>2]|0)?(ja|0)==(f[ya>>2]|0):0)break d;la=la+Da|0;pa=pa+ra|0}}else{if(Wa){Xa=wa;Ya=xa}else{pa=f[ka>>2]|0;la=f[ya>>2]|0;Ba=wa;Aa=xa;while(1){Ea=Ba>>16;Ca=R+(Y(Ea,x)|0)+Aa|0;if(b[Ca>>0]|0)b[Ca>>0]=0;if((Ea|0)==(pa|0)&(Aa|0)==(la|0))break d;Ba=Ba+Da|0;Aa=Aa+ra|0}}while(1){Aa=Xa>>16;Ba=R+(Y(Aa,x)|0)+Ya|0;if(b[Ba>>0]|0){if(S){B=+(Ya|0);w=+(Aa|0);la=0;pa=f[$>>2]|0;while(1){Ea=la<<1;Ca=pa+((Ghc(B*+n[T+(Ea<<2)>>2]+w*+n[T+((Ea|1)<<2)>>2])|0)+W<<2)|0;f[Ca>>2]=(f[Ca>>2]|0)+-1;la=la+1|0;if((la|0)==(C|0))break;else pa=pa+(D<<2)|0}}b[Ba>>0]=0}if((Aa|0)==(f[ka>>2]|0)?(Ya|0)==(f[ya>>2]|0):0)break d;Xa=Xa+Da|0;Ya=Ya+ra|0}}while(0);sa=sa+1|0}while((sa|0)!=2);if(Wa){sa=f[s>>2]|0;ma=f[a>>2]|0;oa=f[v>>2]|0;qa=f[m>>2]|0;f[t>>2]=sa;f[V>>2]=ma;f[U>>2]=oa;f[A>>2]=qa;qa=f[Z>>2]|0;if((qa|0)==(f[da>>2]|0)){bva(i,t);Za=f[Z>>2]|0}else{f[qa>>2]=sa;f[qa+4>>2]=f[V>>2];f[qa+8>>2]=f[U>>2];f[qa+12>>2]=f[A>>2];sa=qa+16|0;f[Z>>2]=sa;Za=sa}if((Za-(f[i>>2]|0)>>4|0)>=(j|0))break}}}if((ca|0)<=1)break a;ca=na;ea=ia;fa=ha;ga=f[r>>2]|0}}while(0);j=f[r>>2]|0;if(j|0){r=f[N>>2]|0;if((r|0)!=(j|0))f[N>>2]=r+(~((r+-8-j|0)>>>3)<<3);fuc(j)}j=f[l>>2]|0;if(j|0){l=f[M>>2]|0;if((l|0)!=(j|0))f[M>>2]=l+(~((l+-4-j|0)>>>2)<<2);fuc(j)}j=q+36|0;l=f[j>>2]|0;if(l|0?(M=l+12|0,l=f[M>>2]|0,f[M>>2]=l+-1,(l|0)==1):0)aU(q);f[j>>2]=0;f[Q>>2]=0;f[Q+4>>2]=0;f[Q+8>>2]=0;f[Q+12>>2]=0;if((f[p>>2]|0)>0){Q=f[K>>2]|0;K=0;do{f[Q+(K<<2)>>2]=0;K=K+1|0}while((K|0)<(f[p>>2]|0))}p=f[y>>2]|0;if((p|0)!=(I|0))TC(p);p=o+36|0;I=f[p>>2]|0;if(I|0?(y=I+12|0,I=f[y>>2]|0,f[y>>2]=I+-1,(I|0)==1):0)aU(o);f[p>>2]=0;p=o+16|0;f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;f[p+12>>2]=0;if((f[E>>2]|0)>0){p=f[G>>2]|0;G=0;do{f[p+(G<<2)>>2]=0;G=G+1|0}while((G|0)<(f[E>>2]|0))}E=f[H>>2]|0;if((E|0)==(F|0)){u=k;return}TC(E);u=k;return}function bva(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;c=a+4|0;d=f[c>>2]|0;e=f[a>>2]|0;g=d-e>>4;h=g+1|0;i=e;j=d;if(h>>>0>268435455)nsc(a);d=a+8|0;k=(f[d>>2]|0)-e|0;l=k>>3;m=k>>4>>>0<134217727?(l>>>0<h>>>0?h:l):268435455;do if(m)if(m>>>0>268435455){l=ze(8)|0;kuc(l,519086);f[l>>2]=167148;Hf(l|0,26888,1888)}else{n=cuc(m<<4)|0;break}else n=0;while(0);l=n+(g<<4)|0;h=n+(m<<4)|0;f[l>>2]=f[b>>2];f[n+(g<<4)+4>>2]=f[b+4>>2];f[n+(g<<4)+8>>2]=f[b+8>>2];f[n+(g<<4)+12>>2]=f[b+12>>2];b=l+16|0;if((j|0)==(i|0))o=l;else{g=j+-16-e|0;n=j;j=l;while(1){m=n;n=n+-16|0;f[j+-16>>2]=f[n>>2];f[j+-12>>2]=f[m+-12>>2];f[j+-8>>2]=f[m+-8>>2];f[j+-4>>2]=f[m+-4>>2];if((n|0)==(i|0))break;else j=j+-16|0}o=l+(~(g>>>4)<<4)|0}f[a>>2]=o;f[c>>2]=b;f[d>>2]=h;if(!e)return;fuc(e);return}function cva(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=+d;e=+e;f=+f;g=+g;h=h|0;i=i|0;dva(a,b,c,d,e,f,g,h,i,-1);return}function dva(a,c,d,e,g,h,i,j,k,l){a=a|0;c=c|0;d=d|0;e=+e;g=+g;h=+h;i=+i;j=j|0;k=k|0;l=l|0;var m=0,o=0,p=0,q=0,r=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0.0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0.0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0.0,Da=0.0,Ea=0.0,Fa=0.0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0;m=u;u=u+624|0;o=m;p=m+560|0;q=m+528|0;r=m+472|0;t=m+416|0;v=m+360|0;w=m+332|0;x=m+320|0;y=m+264|0;z=m+208|0;A=m+152|0;B=m+136|0;C=m+80|0;D=m+24|0;E=m+16|0;gV(E,82876);if(iK(c)|0){F=pJ(c,-1)|0;if((F|8|0)==29)G=F;else xN(F,82896)}else G=21;if(EJ(a)|0){f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;H=cuc(96)|0;f[o>>2]=H;I=o+8|0;f[I>>2]=-2147483552;J=o+4|0;f[J>>2]=82;K=H;L=365887;M=K+82|0;do{b[K>>0]=b[L>>0]|0;K=K+1|0;L=L+1|0}while((K|0)<(M|0));N=H+82|0;b[N>>0]=0;WD(-215,o,365970,365214,1736)}if(pJ(a,-1)|0){f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;H=cuc(96)|0;f[o>>2]=H;I=o+8|0;f[I>>2]=-2147483552;J=o+4|0;f[J>>2]=82;K=H;L=365887;M=K+82|0;do{b[K>>0]=b[L>>0]|0;K=K+1|0;L=L+1|0}while((K|0)<(M|0));N=H+82|0;b[N>>0]=0;WD(-215,o,365970,365214,1736)}if((qJ(a)|0)!=65536?(qJ(a)|0)!=655360:0){f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;H=cuc(96)|0;f[o>>2]=H;I=o+8|0;f[I>>2]=-2147483552;J=o+4|0;f[J>>2]=82;K=H;L=365887;M=K+82|0;do{b[K>>0]=b[L>>0]|0;K=K+1|0;L=L+1|0}while((K|0)<(M|0));N=H+82|0;b[N>>0]=0;WD(-215,o,365970,365214,1736)}if((((qJ(c)|0)!=65536?(qJ(c)|0)!=196608:0)?(qJ(c)|0)!=786432:0)?(qJ(c)|0)!=917504:0){f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;N=cuc(48)|0;f[o>>2]=N;f[o+8>>2]=-2147483600;f[o+4>>2]=39;K=N;L=365983;M=K+39|0;do{b[K>>0]=b[L>>0]|0;K=K+1|0;L=L+1|0}while((K|0)<(M|0));b[N+39>>0]=0;WD(-215,o,365970,365214,1737)}if(e<=0.0|g<=0.0|h<=0.0|i<=0.0){f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;N=cuc(80)|0;f[o>>2]=N;f[o+8>>2]=-2147483568;f[o+4>>2]=76;K=N;L=366023;M=K+76|0;do{b[K>>0]=b[L>>0]|0;K=K+1|0;L=L+1|0}while((K|0)<(M|0));b[N+76>>0]=0;WD(-211,o,365970,365214,1740)}N=Fhc(h)|0;H=Fhc(i)|0;J=Fhc(3.0)|0;I=(j|0)>0?j:0;j=(l|0)<0?2147483647:l;l=(k|0)<0;if((k|0)<1){F=xJ(a,-1)|0;O=yJ(a,-1)|0;P=(F|0)<(O|0)?O:F}else P=(I|0)<(k|0)?k:I+2|0;if((d|0)!=3){f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;d=cuc(80)|0;f[o>>2]=d;f[o+8>>2]=-2147483568;f[o+4>>2]=69;K=d;L=366228;M=K+69|0;do{b[K>>0]=b[L>>0]|0;K=K+1|0;L=L+1|0}while((K|0)<(M|0));b[d+69>>0]=0;WD(-5,o,365970,365214,1771)}switch(G|0){case 21:{i=e;h=g;switch(J|0){case 3:case 5:case 7:case -1:break;default:{G=cuc(80)|0;f[o>>2]=G;f[o+8>>2]=-2147483568;f[o+4>>2]=73;K=G;L=366100;M=K+73|0;do{b[K>>0]=b[L>>0]|0;K=K+1|0;L=L+1|0}while((K|0)<(M|0));b[G+73>>0]=0;WD(-215,o,366174,365214,1631)}}G=i<1.0?1065353216:(n[s>>2]=i,f[s>>2]|0);i=(f[s>>2]=G,+n[s>>2]);Q=1.0/i;f[r>>2]=1124007936;d=r+4|0;k=r+8|0;F=r+40|0;K=d;M=K+36|0;do{f[K>>2]=0;K=K+4|0}while((K|0)<(M|0));f[F>>2]=k;O=r+48|0;R=r+44|0;f[R>>2]=O;f[O>>2]=0;f[r+52>>2]=0;f[t>>2]=1124007936;S=t+4|0;T=t+8|0;U=t+40|0;K=S;M=K+36|0;do{f[K>>2]=0;K=K+4|0}while((K|0)<(M|0));f[U>>2]=T;T=t+48|0;V=t+44|0;f[V>>2]=T;f[T>>2]=0;f[t+52>>2]=0;f[v>>2]=1124007936;W=v+4|0;X=v+8|0;Z=v+40|0;K=W;M=K+36|0;do{f[K>>2]=0;K=K+4|0}while((K|0)<(M|0));f[Z>>2]=X;X=v+48|0;_=v+44|0;f[_>>2]=X;f[X>>2]=0;f[v+52>>2]=0;$=o+8|0;f[$>>2]=0;f[$+4>>2]=0;f[o>>2]=33619968;f[o+4>>2]=t;mfa(a,o,3,1,0,J,1.0,0.0,1);$=o+8|0;f[$>>2]=0;f[$+4>>2]=0;f[o>>2]=33619968;f[o+4>>2]=v;mfa(a,o,3,0,1,J,1.0,0.0,1);f[o+8>>2]=0;f[o+12>>2]=0;f[o>>2]=16842752;f[o+4>>2]=t;f[p+8>>2]=0;f[p+12>>2]=0;f[p>>2]=16842752;f[p+4>>2]=v;$=q+8|0;f[$>>2]=0;f[$+4>>2]=0;f[q>>2]=33619968;f[q+4>>2]=r;$=(N|0)/2|0;Kfa(o,p,q,+((($|0)>1?$:1)|0),+(N|0),0);Ztc(w);$=tZ()|0;aa=($|0)>1;f[x>>2]=0;ba=x+4|0;f[ba>>2]=0;f[x+8>>2]=0;eva(y,xJ(a,-1)|0,yJ(a,-1)|0);ca=f[k>>2]|0;f[o>>2]=0;f[o+4>>2]=ca;f[p>>2]=82932;f[p+4>>2]=r;f[p+8>>2]=t;f[p+12>>2]=v;f[p+16>>2]=I;f[p+20>>2]=P;n[p+24>>2]=Q;f[p+28>>2]=x;f[p+32>>2]=y;f[p+48>>2]=w;da=Q*+(f[r+12>>2]|0);k=~~da;ea=(+(k|0)<da&1)+k|0;f[p+36>>2]=ea;da=Q*+(ca|0);ca=~~da;f[p+40>>2]=(+(ca|0)<da&1)+ca;f[p+44>>2]=ea+2;da=+((($|0)>1?$:1)|0);sZ(o,p,da);f[o+8>>2]=0;f[o+12>>2]=0;f[o>>2]=-2130640896;f[o+4>>2]=y;$=wG(o)|0;if(($|0)>=1){ea=f[x>>2]|0;f[z>>2]=f[ea>>2];ca=z+4|0;k=ea+4|0;f[ca>>2]=f[k>>2];fa=z+8|0;f[fa>>2]=f[ea+8>>2];ga=z+12|0;f[ga>>2]=f[ea+12>>2];ha=z+16|0;f[ha>>2]=f[ea+16>>2];f[z+20>>2]=f[ea+20>>2];f[z+24>>2]=f[ea+24>>2];f[z+28>>2]=f[ea+28>>2];f[z+32>>2]=f[ea+32>>2];ia=z+36|0;ja=f[ea+36>>2]|0;f[ia>>2]=ja;ka=z+40|0;f[ka>>2]=fa;la=z+48|0;ma=z+44|0;f[ma>>2]=la;f[la>>2]=0;f[z+52>>2]=0;if(ja|0){na=ja+12|0;f[na>>2]=(f[na>>2]|0)+1}if((f[k>>2]|0)<3){k=f[ea+44>>2]|0;na=f[ma>>2]|0;f[na>>2]=f[k>>2];f[na+4>>2]=f[k+4>>2]}else{f[ca>>2]=0;$T(z,ea)}ea=f[ba>>2]|0;k=f[x>>2]|0;na=k;if(((ea-k|0)/56|0)>>>0>1){k=o+8|0;ja=o+12|0;oa=o+4|0;pa=p+8|0;qa=p+12|0;ra=p+4|0;sa=q+8|0;ta=q+4|0;ua=1;va=na;while(1){f[k>>2]=0;f[ja>>2]=0;f[o>>2]=16842752;f[oa>>2]=z;f[pa>>2]=0;f[qa>>2]=0;f[p>>2]=16842752;f[ra>>2]=va+(ua*56|0);wa=sa;f[wa>>2]=0;f[wa+4>>2]=0;f[q>>2]=33619968;f[ta>>2]=z;rW(o,p,q,sK()|0,-1);ua=ua+1|0;wa=f[ba>>2]|0;xa=f[x>>2]|0;ya=xa;if(ua>>>0>=((wa-xa|0)/56|0)>>>0){za=ya;Aa=wa;break}else va=ya}}else{za=na;Aa=ea}ea=Aa;if((ea|0)!=(za|0)){Aa=ea;do{ea=Aa+-56|0;f[ba>>2]=ea;na=Aa+-20|0;va=f[na>>2]|0;if(va|0?(ua=va+12|0,va=f[ua>>2]|0,f[ua>>2]=va+-1,(va|0)==1):0)aU(ea);f[na>>2]=0;na=Aa+-40|0;ea=Aa+-52|0;f[na>>2]=0;f[na+4>>2]=0;f[na+8>>2]=0;f[na+12>>2]=0;if((f[ea>>2]|0)>0){na=f[Aa+-16>>2]|0;va=0;do{f[na+(va<<2)>>2]=0;va=va+1|0}while((va|0)<(f[ea>>2]|0))}ea=f[Aa+-12>>2]|0;if((ea|0)!=(Aa+-8|0))TC(ea);Aa=f[ba>>2]|0}while((Aa|0)!=(za|0))}f[p>>2]=0;za=p+4|0;f[za>>2]=0;f[p+8>>2]=0;Aa=f[fa>>2]|0;f[o>>2]=1;f[o+4>>2]=Aa+-1;f[q>>2]=82952;f[q+4>>2]=z;f[q+8>>2]=p;f[q+12>>2]=H;f[q+28>>2]=w;f[q+16>>2]=f[ga>>2];f[q+20>>2]=Aa;f[q+24>>2]=f[ha>>2];sZ(o,q,aa?+((Aa+-2|0)/4|0|0):1.0);Aa=f[za>>2]|0;aa=f[p>>2]|0;fa=Aa-aa>>2;ba=aa;if(!fa)Ba=ba;else{f[o>>2]=f[ha>>2];Wua(ba,Aa,o);f[q>>2]=0;Aa=q+4|0;f[Aa>>2]=0;f[q+8>>2]=0;ba=q+8|0;aa=cuc(3072)|0;ea=aa;f[q>>2]=ea;f[Aa>>2]=ea;f[ba>>2]=aa+3072;a:do if(l){aa=f[ga>>2]|0;va=f[p>>2]|0;na=(f[za>>2]|0)-va>>2;Q=h*h;if(na|0){ua=o+4|0;ta=o+8|0;sa=0;ra=va;va=ea;qa=ea;while(1){pa=f[ra+(sa<<2)>>2]|0;oa=(pa|0)/(aa|0)|0;Ca=i*(+(pa-(Y(oa,aa)|0)|0)+.5);Da=i*(+(oa|0)+.5);n[o>>2]=Ca;n[ua>>2]=Da;n[ta>>2]=0.0;oa=qa-va|0;pa=(oa|0)/12|0;ja=va;k=qa;if(oa){oa=1;ya=0;do{Ea=Ca-+n[ja+(ya*12|0)>>2];Fa=Da-+n[ja+(ya*12|0)+4>>2];wa=!(Ea*Ea+Fa*Fa<Q);oa=oa&wa;ya=ya+1|0}while(ya>>>0<pa>>>0&wa);if(oa)Ga=49}else Ga=49;do if((Ga|0)==49){Ga=0;if((k|0)==(f[ba>>2]|0)){fva(q,o);break}else{n[qa>>2]=Ca;f[k+4>>2]=f[ua>>2];f[k+8>>2]=f[ta>>2];f[Aa>>2]=k+12;break}}while(0);k=sa+1|0;if((k|0)==(na|0))break a;sa=k;ra=f[p>>2]|0;va=f[q>>2]|0;qa=f[Aa>>2]|0}}}else{f[A>>2]=0;qa=A+4|0;f[qa>>2]=0;f[A+8>>2]=0;do if(($|0)<(Y(P,P)|0)){f[B>>2]=0;va=B+4|0;f[va>>2]=0;f[B+8>>2]=0;gva(B,$);ra=y+8|0;sa=f[ra>>2]|0;if((sa|0)>0){na=y+16|0;ta=y+44|0;ua=y+12|0;aa=o+4|0;k=B+8|0;oa=0;pa=sa;sa=f[ua>>2]|0;while(1){ya=(f[na>>2]|0)+(Y(f[f[ta>>2]>>2]|0,oa)|0)|0;if((sa|0)>0){ja=sa;wa=0;while(1){if(!(b[ya+wa>>0]|0))Ha=ja;else{f[o>>2]=wa;f[aa>>2]=oa;xa=f[va>>2]|0;if(xa>>>0<(f[k>>2]|0)>>>0){f[xa>>2]=wa;f[xa+4>>2]=f[aa>>2];f[va>>2]=xa+8;Ia=ja}else{hva(B,o);Ia=f[ua>>2]|0}Ha=Ia}wa=wa+1|0;if((wa|0)>=(Ha|0))break;else ja=Ha}Ja=Ha;Ka=f[ra>>2]|0}else{Ja=sa;Ka=pa}oa=oa+1|0;if((oa|0)>=(Ka|0))break;else{pa=Ka;sa=Ja}}}f[C>>2]=0;f[C+4>>2]=fa;sa=f[ga>>2]|0;f[D>>2]=82972;f[D+4>>2]=B;f[D+8>>2]=$;f[D+12>>2]=p;f[D+16>>2]=A;f[D+20>>2]=sa;f[D+24>>2]=H;f[D+28>>2]=I;f[D+32>>2]=P;f[D+36>>2]=G;f[D+52>>2]=w;Q=+(I|0);n[D+44>>2]=Q*Q;Q=+(P|0);n[D+48>>2]=Q*Q;f[D+40>>2]=(f[za>>2]|0)-(f[p>>2]|0)>>2;if(($|0)<=0){f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;b[o+11>>0]=8;sa=o;f[sa>>2]=2052291182;f[sa+4>>2]=807419424;b[o+8>>0]=0;WD(-215,o,366195,365214,1395)}sZ(C,D,da);sa=f[B>>2]|0;if(sa|0){pa=f[va>>2]|0;if((pa|0)!=(sa|0))f[va>>2]=pa+(~((pa+-8-sa|0)>>>3)<<3);fuc(sa)}}else{f[B>>2]=0;f[B+4>>2]=fa;sa=f[ga>>2]|0;f[C>>2]=82992;f[C+4>>2]=y;f[C+8>>2]=$;f[C+12>>2]=p;f[C+16>>2]=A;f[C+20>>2]=sa;f[C+24>>2]=H;f[C+28>>2]=I;f[C+32>>2]=P;f[C+36>>2]=G;f[C+52>>2]=w;Q=+(I|0);n[C+44>>2]=Q*Q;Q=+(P|0);n[C+48>>2]=Q*Q;f[C+40>>2]=(f[za>>2]|0)-(f[p>>2]|0)>>2;if(($|0)>0){sZ(B,C,da);break}else{f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;b[o+11>>0]=8;sa=o;f[sa>>2]=2052291182;f[sa+4>>2]=807419424;b[o+8>>0]=0;WD(-215,o,366195,365214,1395)}}while(0);sa=f[A>>2]|0;pa=f[qa>>2]|0;f[o>>2]=572;jva(sa,pa,o);pa=f[A>>2]|0;sa=f[qa>>2]|0;if((pa|0)!=(sa|0)){oa=o+4|0;ra=o+8|0;ua=pa;do{pa=f[ua>>2]|0;f[o>>2]=pa;f[oa>>2]=f[ua+4>>2];f[ra>>2]=f[ua+8>>2];aa=f[Aa>>2]|0;if(aa>>>0<(f[ba>>2]|0)>>>0){f[aa>>2]=pa;f[aa+4>>2]=f[oa>>2];f[aa+8>>2]=f[ra>>2];f[Aa>>2]=aa+12}else n2(q,o);ua=ua+16|0}while((ua|0)!=(sa|0))}Q=h*h;sa=f[Aa>>2]|0;ua=f[q>>2]|0;ra=(sa-ua|0)/12|0;if(ra>>>0>1){oa=1;aa=1;pa=sa;k=ua;while(1){ta=k;na=f[ta+(aa*12|0)>>2]|0;ja=f[ta+(aa*12|0)+4>>2]|0;wa=f[ta+(aa*12|0)+8>>2]|0;Ca=(f[s>>2]=na,+n[s>>2]);Da=(f[s>>2]=ja,+n[s>>2]);if(oa){ya=1;xa=0;do{Fa=Ca-+n[ta+(xa*12|0)>>2];Ea=Da-+n[ta+(xa*12|0)+4>>2];La=!(Fa*Fa+Ea*Ea<Q);ya=ya&La;xa=xa+1|0}while(xa>>>0<oa>>>0&La);if(!ya){Ma=oa;Na=k;Oa=pa}else Ga=91}else Ga=91;if((Ga|0)==91){Ga=0;f[ta+(oa*12|0)>>2]=na;f[ta+(oa*12|0)+4>>2]=ja;f[ta+(oa*12|0)+8>>2]=wa;Ma=oa+1|0;Na=f[q>>2]|0;Oa=f[Aa>>2]|0}aa=aa+1|0;xa=(Oa-Na|0)/12|0;if(aa>>>0>=xa>>>0){Pa=Ma;Qa=xa;Ra=Na;Sa=Oa;break}else{oa=Ma;pa=Oa;k=Na}}}else{Pa=1;Qa=ra;Ra=ua;Sa=sa}k=Ra;pa=Sa;do if(Pa>>>0>Qa>>>0)kva(q,Pa-Qa|0);else{if(Pa>>>0>=Qa>>>0)break;oa=k+(Pa*12|0)|0;if((pa|0)==(oa|0))break;f[Aa>>2]=pa+(~(((pa+-12-oa|0)>>>0)/12|0)*12|0)}while(0);pa=f[A>>2]|0;if(pa|0){k=f[qa>>2]|0;if((k|0)!=(pa|0))f[qa>>2]=k+(~((k+-16-pa|0)>>>4)<<4);fuc(pa)}}while(0);Pa=f[q>>2]|0;Qa=(f[Aa>>2]|0)-Pa|0;Sa=(Qa|0)/12|0;Ra=Pa;if(!Qa)Ta=Pa;else{Qa=(Sa|0)<(j|0)?Sa:j;f[A>>2]=1124007957;Sa=A+4|0;f[Sa>>2]=2;Na=A+8|0;f[Na>>2]=1;f[A+12>>2]=Qa;Oa=A+16|0;f[Oa>>2]=Ra;f[A+20>>2]=Ra;Ma=A+24|0;ba=A+40|0;f[Ma>>2]=0;f[Ma+4>>2]=0;f[Ma+8>>2]=0;f[Ma+12>>2]=0;f[ba>>2]=Na;Na=A+48|0;$=A+44|0;f[$>>2]=Na;G=A+52|0;f[G>>2]=0;f[Na>>2]=0;if((Pa|0)==0&(Qa|0)!=0){Pa=cuc(32)|0;f[o>>2]=Pa;f[o+8>>2]=-2147483616;f[o+4>>2]=28;K=Pa;L=466324;M=K+28|0;do{b[K>>0]=b[L>>0]|0;K=K+1|0;L=L+1|0}while((K|0)<(M|0));b[Pa+28>>0]=0;WD(-215,o,466353,466357,548)}Pa=Qa*12|0;f[Na>>2]=Pa;f[G>>2]=12;G=Ra+Pa|0;f[A+28>>2]=G;f[Ma>>2]=G+(0-Pa)+Pa;YT(A);EI(A,c);Pa=A+36|0;G=f[Pa>>2]|0;do if(G|0){Ma=G+12|0;Ra=f[Ma>>2]|0;f[Ma>>2]=Ra+-1;if((Ra|0)!=1)break;aU(A)}while(0);f[Pa>>2]=0;f[Oa>>2]=0;f[Oa+4>>2]=0;f[Oa+8>>2]=0;f[Oa+12>>2]=0;if((f[Sa>>2]|0)>0){Oa=f[ba>>2]|0;ba=0;do{f[Oa+(ba<<2)>>2]=0;ba=ba+1|0}while((ba|0)<(f[Sa>>2]|0))}Sa=f[$>>2]|0;if((Sa|0)!=(Na|0))TC(Sa);Ta=f[q>>2]|0}if(Ta|0){Sa=f[Aa>>2]|0;if((Sa|0)!=(Ta|0))f[Aa>>2]=Sa+(~(((Sa+-12-Ta|0)>>>0)/12|0)*12|0);fuc(Ta)}Ba=f[p>>2]|0}if(Ba|0){Ta=f[za>>2]|0;if((Ta|0)!=(Ba|0))f[za>>2]=Ta+(~((Ta+-4-Ba|0)>>>2)<<2);fuc(Ba)}Ba=f[ia>>2]|0;if(Ba|0?(Ta=Ba+12|0,Ba=f[Ta>>2]|0,f[Ta>>2]=Ba+-1,(Ba|0)==1):0)aU(z);f[ia>>2]=0;f[ha>>2]=0;f[ha+4>>2]=0;f[ha+8>>2]=0;f[ha+12>>2]=0;if((f[ca>>2]|0)>0){ha=f[ka>>2]|0;ka=0;do{f[ha+(ka<<2)>>2]=0;ka=ka+1|0}while((ka|0)<(f[ca>>2]|0))}ca=f[ma>>2]|0;if((ca|0)!=(la|0))TC(ca)}ca=y+36|0;la=f[ca>>2]|0;if(la|0?(ma=la+12|0,la=f[ma>>2]|0,f[ma>>2]=la+-1,(la|0)==1):0)aU(y);f[ca>>2]=0;ca=y+16|0;la=y+4|0;f[ca>>2]=0;f[ca+4>>2]=0;f[ca+8>>2]=0;f[ca+12>>2]=0;if((f[la>>2]|0)>0){ca=f[y+40>>2]|0;ma=0;do{f[ca+(ma<<2)>>2]=0;ma=ma+1|0}while((ma|0)<(f[la>>2]|0))}la=f[y+44>>2]|0;if((la|0)!=(y+48|0))TC(la);ut(x);_tc(w);la=v+36|0;ma=f[la>>2]|0;if(ma|0?(ca=ma+12|0,ma=f[ca>>2]|0,f[ca>>2]=ma+-1,(ma|0)==1):0)aU(v);f[la>>2]=0;la=v+16|0;f[la>>2]=0;f[la+4>>2]=0;f[la+8>>2]=0;f[la+12>>2]=0;if((f[W>>2]|0)>0){la=f[Z>>2]|0;Z=0;do{f[la+(Z<<2)>>2]=0;Z=Z+1|0}while((Z|0)<(f[W>>2]|0))}W=f[_>>2]|0;if((W|0)!=(X|0))TC(W);W=t+36|0;X=f[W>>2]|0;if(X|0?(_=X+12|0,X=f[_>>2]|0,f[_>>2]=X+-1,(X|0)==1):0)aU(t);f[W>>2]=0;W=t+16|0;f[W>>2]=0;f[W+4>>2]=0;f[W+8>>2]=0;f[W+12>>2]=0;if((f[S>>2]|0)>0){W=f[U>>2]|0;U=0;do{f[W+(U<<2)>>2]=0;U=U+1|0}while((U|0)<(f[S>>2]|0))}S=f[V>>2]|0;if((S|0)!=(T|0))TC(S);S=r+36|0;T=f[S>>2]|0;do if(T|0){V=T+12|0;U=f[V>>2]|0;f[V>>2]=U+-1;if((U|0)!=1)break;aU(r)}while(0);f[S>>2]=0;S=r+16|0;f[S>>2]=0;f[S+4>>2]=0;f[S+8>>2]=0;f[S+12>>2]=0;if((f[d>>2]|0)>0){S=f[F>>2]|0;F=0;do{f[S+(F<<2)>>2]=0;F=F+1|0}while((F|0)<(f[d>>2]|0))}d=f[R>>2]|0;if((d|0)!=(O|0))TC(d);break}case 29:{h=e;e=g;switch(J|0){case 3:case 5:case 7:case -1:break;default:{d=cuc(80)|0;f[o>>2]=d;f[o+8>>2]=-2147483568;f[o+4>>2]=73;K=d;L=366100;M=K+73|0;do{b[K>>0]=b[L>>0]|0;K=K+1|0;L=L+1|0}while((K|0)<(M|0));b[d+73>>0]=0;WD(-215,o,366174,365214,1631)}}d=h<1.0?1065353216:(n[s>>2]=h,f[s>>2]|0);h=(f[s>>2]=d,+n[s>>2]);g=1.0/h;f[r>>2]=1124007936;O=r+4|0;R=r+8|0;F=r+40|0;K=O;M=K+36|0;do{f[K>>2]=0;K=K+4|0}while((K|0)<(M|0));f[F>>2]=R;S=r+48|0;T=r+44|0;f[T>>2]=S;f[S>>2]=0;f[r+52>>2]=0;f[t>>2]=1124007936;U=t+4|0;V=t+8|0;W=t+40|0;K=U;M=K+36|0;do{f[K>>2]=0;K=K+4|0}while((K|0)<(M|0));f[W>>2]=V;V=t+48|0;X=t+44|0;f[X>>2]=V;f[V>>2]=0;f[t+52>>2]=0;f[v>>2]=1124007936;_=v+4|0;Z=v+8|0;la=v+40|0;K=_;M=K+36|0;do{f[K>>2]=0;K=K+4|0}while((K|0)<(M|0));f[la>>2]=Z;Z=v+48|0;ma=v+44|0;f[ma>>2]=Z;f[Z>>2]=0;f[v+52>>2]=0;ca=o+8|0;f[ca>>2]=0;f[ca+4>>2]=0;f[o>>2]=33619968;f[o+4>>2]=t;mfa(a,o,3,1,0,J,1.0,0.0,1);ca=o+8|0;f[ca>>2]=0;f[ca+4>>2]=0;f[o>>2]=33619968;f[o+4>>2]=v;mfa(a,o,3,0,1,J,1.0,0.0,1);f[o+8>>2]=0;f[o+12>>2]=0;f[o>>2]=16842752;f[o+4>>2]=t;f[p+8>>2]=0;f[p+12>>2]=0;f[p>>2]=16842752;f[p+4>>2]=v;J=q+8|0;f[J>>2]=0;f[J+4>>2]=0;f[q>>2]=33619968;f[q+4>>2]=r;J=(N|0)/2|0;Kfa(o,p,q,+(((J|0)>1?J:1)|0),+(N|0),0);Ztc(w);N=tZ()|0;J=(N|0)>1;f[x>>2]=0;ca=x+4|0;f[ca>>2]=0;f[x+8>>2]=0;ka=xJ(a,-1)|0;eva(y,ka,yJ(a,-1)|0);a=f[R>>2]|0;f[o>>2]=0;f[o+4>>2]=a;f[p>>2]=82932;f[p+4>>2]=r;f[p+8>>2]=t;f[p+12>>2]=v;f[p+16>>2]=I;f[p+20>>2]=P;n[p+24>>2]=g;f[p+28>>2]=x;f[p+32>>2]=y;f[p+48>>2]=w;da=g*+(f[r+12>>2]|0);R=~~da;ka=(+(R|0)<da&1)+R|0;f[p+36>>2]=ka;da=g*+(a|0);a=~~da;f[p+40>>2]=(+(a|0)<da&1)+a;f[p+44>>2]=ka+2;da=+(((N|0)>1?N:1)|0);sZ(o,p,da);f[o+8>>2]=0;f[o+12>>2]=0;f[o>>2]=-2130640896;f[o+4>>2]=y;N=wG(o)|0;if((N|0)>=1){ka=f[x>>2]|0;f[z>>2]=f[ka>>2];a=z+4|0;R=ka+4|0;f[a>>2]=f[R>>2];ha=z+8|0;f[ha>>2]=f[ka+8>>2];ia=z+12|0;f[ia>>2]=f[ka+12>>2];Ba=z+16|0;f[Ba>>2]=f[ka+16>>2];f[z+20>>2]=f[ka+20>>2];f[z+24>>2]=f[ka+24>>2];f[z+28>>2]=f[ka+28>>2];f[z+32>>2]=f[ka+32>>2];Ta=z+36|0;za=f[ka+36>>2]|0;f[Ta>>2]=za;Sa=z+40|0;f[Sa>>2]=ha;Aa=z+48|0;Na=z+44|0;f[Na>>2]=Aa;f[Aa>>2]=0;f[z+52>>2]=0;if(za|0){$=za+12|0;f[$>>2]=(f[$>>2]|0)+1}if((f[R>>2]|0)<3){R=f[ka+44>>2]|0;$=f[Na>>2]|0;f[$>>2]=f[R>>2];f[$+4>>2]=f[R+4>>2]}else{f[a>>2]=0;$T(z,ka)}ka=f[ca>>2]|0;R=f[x>>2]|0;$=R;if(((ka-R|0)/56|0)>>>0>1){R=o+8|0;za=o+12|0;ba=o+4|0;Oa=p+8|0;Pa=p+12|0;G=p+4|0;Ra=q+8|0;Ma=q+4|0;Qa=1;ga=$;while(1){f[R>>2]=0;f[za>>2]=0;f[o>>2]=16842752;f[ba>>2]=z;f[Oa>>2]=0;f[Pa>>2]=0;f[p>>2]=16842752;f[G>>2]=ga+(Qa*56|0);fa=Ra;f[fa>>2]=0;f[fa+4>>2]=0;f[q>>2]=33619968;f[Ma>>2]=z;rW(o,p,q,sK()|0,-1);Qa=Qa+1|0;fa=f[ca>>2]|0;Ja=f[x>>2]|0;Ka=Ja;if(Qa>>>0>=((fa-Ja|0)/56|0)>>>0){Ua=Ka;Va=fa;break}else ga=Ka}}else{Ua=$;Va=ka}ka=Va;if((ka|0)!=(Ua|0)){Va=ka;do{ka=Va+-56|0;f[ca>>2]=ka;$=Va+-20|0;ga=f[$>>2]|0;if(ga|0?(Qa=ga+12|0,ga=f[Qa>>2]|0,f[Qa>>2]=ga+-1,(ga|0)==1):0)aU(ka);f[$>>2]=0;$=Va+-40|0;ka=Va+-52|0;f[$>>2]=0;f[$+4>>2]=0;f[$+8>>2]=0;f[$+12>>2]=0;if((f[ka>>2]|0)>0){$=f[Va+-16>>2]|0;ga=0;do{f[$+(ga<<2)>>2]=0;ga=ga+1|0}while((ga|0)<(f[ka>>2]|0))}ka=f[Va+-12>>2]|0;if((ka|0)!=(Va+-8|0))TC(ka);Va=f[ca>>2]|0}while((Va|0)!=(Ua|0))}f[p>>2]=0;Ua=p+4|0;f[Ua>>2]=0;f[p+8>>2]=0;Va=f[ha>>2]|0;f[o>>2]=1;f[o+4>>2]=Va+-1;f[q>>2]=82952;f[q+4>>2]=z;f[q+8>>2]=p;f[q+12>>2]=H;f[q+28>>2]=w;f[q+16>>2]=f[ia>>2];f[q+20>>2]=Va;f[q+24>>2]=f[Ba>>2];sZ(o,q,J?+((Va+-2|0)/4|0|0):1.0);Va=f[Ua>>2]|0;J=f[p>>2]|0;ha=Va-J>>2;ca=J;if(!ha)Wa=ca;else{f[o>>2]=f[Ba>>2];Wua(ca,Va,o);f[q>>2]=0;Va=q+4|0;f[Va>>2]=0;f[q+8>>2]=0;ca=q+8|0;J=cuc(4096)|0;ka=J;f[q>>2]=ka;f[Va>>2]=ka;f[ca>>2]=J+4096;b:do if(l){J=f[ia>>2]|0;ga=f[p>>2]|0;$=(f[Ua>>2]|0)-ga>>2;g=e*e;if($|0){qa=o+4|0;Qa=o+8|0;Ma=o+12|0;Ra=0;G=ga;ga=ka;Pa=ka;while(1){Oa=f[G+(Ra<<2)>>2]|0;ba=(Oa|0)/(J|0)|0;i=h*(+(Oa-(Y(ba,J)|0)|0)+.5);Q=h*(+(ba|0)+.5);n[o>>2]=i;n[qa>>2]=Q;n[Qa>>2]=0.0;n[Ma>>2]=+(Oa|0);Oa=Pa-ga>>4;ba=ga;za=Pa;if(Oa){R=1;Ka=0;do{Da=i-+n[ba+(Ka<<4)>>2];Ca=Q-+n[ba+(Ka<<4)+4>>2];fa=!(Da*Da+Ca*Ca<g);R=R&fa;Ka=Ka+1|0}while(Ka>>>0<Oa>>>0&fa);if(R)Ga=189}else Ga=189;do if((Ga|0)==189){Ga=0;if((za|0)==(f[ca>>2]|0)){lva(q,o);break}else{n[Pa>>2]=i;f[za+4>>2]=f[qa>>2];f[za+8>>2]=f[Qa>>2];f[za+12>>2]=f[Ma>>2];f[Va>>2]=za+16;break}}while(0);za=Ra+1|0;if((za|0)==($|0))break b;Ra=za;G=f[p>>2]|0;ga=f[q>>2]|0;Pa=f[Va>>2]|0}}}else{f[A>>2]=0;Pa=A+4|0;f[Pa>>2]=0;f[A+8>>2]=0;do if((N|0)<(Y(P,P)|0)){f[B>>2]=0;ga=B+4|0;f[ga>>2]=0;f[B+8>>2]=0;gva(B,N);G=y+8|0;Ra=f[G>>2]|0;if((Ra|0)>0){$=y+16|0;Ma=y+44|0;Qa=y+12|0;qa=o+4|0;J=B+8|0;za=0;R=Ra;Ra=f[Qa>>2]|0;while(1){Oa=(f[$>>2]|0)+(Y(f[f[Ma>>2]>>2]|0,za)|0)|0;if((Ra|0)>0){Ka=Ra;ba=0;while(1){if(!(b[Oa+ba>>0]|0))Xa=Ka;else{f[o>>2]=ba;f[qa>>2]=za;wa=f[ga>>2]|0;if(wa>>>0<(f[J>>2]|0)>>>0){f[wa>>2]=ba;f[wa+4>>2]=f[qa>>2];f[ga>>2]=wa+8;Ya=Ka}else{hva(B,o);Ya=f[Qa>>2]|0}Xa=Ya}ba=ba+1|0;if((ba|0)>=(Xa|0))break;else Ka=Xa}Za=Xa;_a=f[G>>2]|0}else{Za=Ra;_a=R}za=za+1|0;if((za|0)>=(_a|0))break;else{R=_a;Ra=Za}}}f[C>>2]=0;f[C+4>>2]=ha;Ra=f[ia>>2]|0;f[D>>2]=82972;f[D+4>>2]=B;f[D+8>>2]=N;f[D+12>>2]=p;f[D+16>>2]=A;f[D+20>>2]=Ra;f[D+24>>2]=H;f[D+28>>2]=I;f[D+32>>2]=P;f[D+36>>2]=d;f[D+52>>2]=w;g=+(I|0);n[D+44>>2]=g*g;g=+(P|0);n[D+48>>2]=g*g;f[D+40>>2]=(f[Ua>>2]|0)-(f[p>>2]|0)>>2;if((N|0)<=0){f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;b[o+11>>0]=8;Ra=o;f[Ra>>2]=2052291182;f[Ra+4>>2]=807419424;b[o+8>>0]=0;WD(-215,o,366195,365214,1395)}sZ(C,D,da);Ra=f[B>>2]|0;if(Ra|0){R=f[ga>>2]|0;if((R|0)!=(Ra|0))f[ga>>2]=R+(~((R+-8-Ra|0)>>>3)<<3);fuc(Ra)}}else{f[B>>2]=0;f[B+4>>2]=ha;Ra=f[ia>>2]|0;f[C>>2]=82992;f[C+4>>2]=y;f[C+8>>2]=N;f[C+12>>2]=p;f[C+16>>2]=A;f[C+20>>2]=Ra;f[C+24>>2]=H;f[C+28>>2]=I;f[C+32>>2]=P;f[C+36>>2]=d;f[C+52>>2]=w;g=+(I|0);n[C+44>>2]=g*g;g=+(P|0);n[C+48>>2]=g*g;f[C+40>>2]=(f[Ua>>2]|0)-(f[p>>2]|0)>>2;if((N|0)>0){sZ(B,C,da);break}else{f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;b[o+11>>0]=8;Ra=o;f[Ra>>2]=2052291182;f[Ra+4>>2]=807419424;b[o+8>>0]=0;WD(-215,o,366195,365214,1395)}}while(0);Ra=f[A>>2]|0;R=f[Pa>>2]|0;f[o>>2]=572;jva(Ra,R,o);R=f[A>>2]|0;Ra=f[Pa>>2]|0;if((R|0)!=(Ra|0)){za=o+4|0;G=o+8|0;Qa=o+12|0;qa=R;do{R=f[qa>>2]|0;J=f[qa+4>>2]|0;Ma=f[qa+8>>2]|0;g=+(f[qa+12>>2]|0);f[o>>2]=R;f[za>>2]=J;f[G>>2]=Ma;n[Qa>>2]=g;Ma=f[Va>>2]|0;if(Ma>>>0<(f[ca>>2]|0)>>>0){f[Ma>>2]=R;f[Ma+4>>2]=f[za>>2];f[Ma+8>>2]=f[G>>2];f[Ma+12>>2]=f[Qa>>2];f[Va>>2]=Ma+16}else mva(q,o);qa=qa+16|0}while((qa|0)!=(Ra|0))}g=e*e;Ra=f[Va>>2]|0;qa=f[q>>2]|0;Qa=Ra-qa>>4;if(Qa>>>0>1){G=1;za=1;Ma=qa;R=Ra;while(1){J=Ma;$=f[J+(za<<4)>>2]|0;Ka=f[J+(za<<4)+4>>2]|0;ba=f[J+(za<<4)+8>>2]|0;Oa=f[J+(za<<4)+12>>2]|0;i=(f[s>>2]=$,+n[s>>2]);Q=(f[s>>2]=Ka,+n[s>>2]);if(G){wa=1;ta=0;do{Ca=i-+n[J+(ta<<4)>>2];Da=Q-+n[J+(ta<<4)+4>>2];ja=!(Ca*Ca+Da*Da<g);wa=wa&ja;ta=ta+1|0}while(ta>>>0<G>>>0&ja);if(!wa){$a=G;ab=Ma;bb=R}else Ga=231}else Ga=231;if((Ga|0)==231){Ga=0;f[J+(G<<4)>>2]=$;f[J+(G<<4)+4>>2]=Ka;f[J+(G<<4)+8>>2]=ba;f[J+(G<<4)+12>>2]=Oa;$a=G+1|0;ab=f[q>>2]|0;bb=f[Va>>2]|0}za=za+1|0;ta=bb-ab>>4;if(za>>>0>=ta>>>0){cb=$a;db=ta;eb=ab;fb=bb;break}else{G=$a;Ma=ab;R=bb}}}else{cb=1;db=Qa;eb=qa;fb=Ra}R=eb;Ma=fb;do if(cb>>>0>db>>>0)nva(q,cb-db|0);else{if(cb>>>0>=db>>>0)break;G=R+(cb<<4)|0;if((Ma|0)==(G|0))break;f[Va>>2]=Ma+(~((Ma+-16-G|0)>>>4)<<4)}while(0);Ma=f[A>>2]|0;if(Ma|0){R=f[Pa>>2]|0;if((R|0)!=(Ma|0))f[Pa>>2]=R+(~((R+-16-Ma|0)>>>4)<<4);fuc(Ma)}}while(0);cb=f[q>>2]|0;db=(f[Va>>2]|0)-cb>>4;fb=cb;if(!db)gb=cb;else{eb=(db|0)<(j|0)?db:j;f[A>>2]=1124007965;j=A+4|0;f[j>>2]=2;db=A+8|0;f[db>>2]=1;f[A+12>>2]=eb;bb=A+16|0;f[bb>>2]=fb;f[A+20>>2]=fb;ab=A+24|0;$a=A+40|0;f[ab>>2]=0;f[ab+4>>2]=0;f[ab+8>>2]=0;f[ab+12>>2]=0;f[$a>>2]=db;db=A+48|0;Ga=A+44|0;f[Ga>>2]=db;ca=A+52|0;f[ca>>2]=0;f[db>>2]=0;if((cb|0)==0&(eb|0)!=0){cb=cuc(32)|0;f[o>>2]=cb;f[o+8>>2]=-2147483616;f[o+4>>2]=28;K=cb;L=466324;M=K+28|0;do{b[K>>0]=b[L>>0]|0;K=K+1|0;L=L+1|0}while((K|0)<(M|0));b[cb+28>>0]=0;WD(-215,o,466353,466357,548)}cb=eb<<4;f[db>>2]=cb;f[ca>>2]=16;ca=fb+cb|0;f[A+28>>2]=ca;f[ab>>2]=ca+(0-cb)+cb;YT(A);EI(A,c);c=A+36|0;cb=f[c>>2]|0;do if(cb|0){ca=cb+12|0;ab=f[ca>>2]|0;f[ca>>2]=ab+-1;if((ab|0)!=1)break;aU(A)}while(0);f[c>>2]=0;f[bb>>2]=0;f[bb+4>>2]=0;f[bb+8>>2]=0;f[bb+12>>2]=0;if((f[j>>2]|0)>0){bb=f[$a>>2]|0;$a=0;do{f[bb+($a<<2)>>2]=0;$a=$a+1|0}while(($a|0)<(f[j>>2]|0))}j=f[Ga>>2]|0;if((j|0)!=(db|0))TC(j);gb=f[q>>2]|0}if(gb|0){q=f[Va>>2]|0;if((q|0)!=(gb|0))f[Va>>2]=q+(~((q+-16-gb|0)>>>4)<<4);fuc(gb)}Wa=f[p>>2]|0}if(Wa|0){p=f[Ua>>2]|0;if((p|0)!=(Wa|0))f[Ua>>2]=p+(~((p+-4-Wa|0)>>>2)<<2);fuc(Wa)}Wa=f[Ta>>2]|0;if(Wa|0?(p=Wa+12|0,Wa=f[p>>2]|0,f[p>>2]=Wa+-1,(Wa|0)==1):0)aU(z);f[Ta>>2]=0;f[Ba>>2]=0;f[Ba+4>>2]=0;f[Ba+8>>2]=0;f[Ba+12>>2]=0;if((f[a>>2]|0)>0){Ba=f[Sa>>2]|0;Sa=0;do{f[Ba+(Sa<<2)>>2]=0;Sa=Sa+1|0}while((Sa|0)<(f[a>>2]|0))}a=f[Na>>2]|0;if((a|0)!=(Aa|0))TC(a)}a=y+36|0;Aa=f[a>>2]|0;if(Aa|0?(Na=Aa+12|0,Aa=f[Na>>2]|0,f[Na>>2]=Aa+-1,(Aa|0)==1):0)aU(y);f[a>>2]=0;a=y+16|0;Aa=y+4|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;if((f[Aa>>2]|0)>0){a=f[y+40>>2]|0;Na=0;do{f[a+(Na<<2)>>2]=0;Na=Na+1|0}while((Na|0)<(f[Aa>>2]|0))}Aa=f[y+44>>2]|0;if((Aa|0)!=(y+48|0))TC(Aa);ut(x);_tc(w);w=v+36|0;x=f[w>>2]|0;if(x|0?(Aa=x+12|0,x=f[Aa>>2]|0,f[Aa>>2]=x+-1,(x|0)==1):0)aU(v);f[w>>2]=0;w=v+16|0;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;f[w+12>>2]=0;if((f[_>>2]|0)>0){w=f[la>>2]|0;la=0;do{f[w+(la<<2)>>2]=0;la=la+1|0}while((la|0)<(f[_>>2]|0))}_=f[ma>>2]|0;if((_|0)!=(Z|0))TC(_);_=t+36|0;Z=f[_>>2]|0;if(Z|0?(ma=Z+12|0,Z=f[ma>>2]|0,f[ma>>2]=Z+-1,(Z|0)==1):0)aU(t);f[_>>2]=0;_=t+16|0;f[_>>2]=0;f[_+4>>2]=0;f[_+8>>2]=0;f[_+12>>2]=0;if((f[U>>2]|0)>0){_=f[W>>2]|0;W=0;do{f[_+(W<<2)>>2]=0;W=W+1|0}while((W|0)<(f[U>>2]|0))}U=f[X>>2]|0;if((U|0)!=(V|0))TC(U);U=r+36|0;V=f[U>>2]|0;do if(V|0){X=V+12|0;W=f[X>>2]|0;f[X>>2]=W+-1;if((W|0)!=1)break;aU(r)}while(0);f[U>>2]=0;U=r+16|0;f[U>>2]=0;f[U+4>>2]=0;f[U+8>>2]=0;f[U+12>>2]=0;if((f[O>>2]|0)>0){U=f[F>>2]|0;F=0;do{f[U+(F<<2)>>2]=0;F=F+1|0}while((F|0)<(f[O>>2]|0))}O=f[T>>2]|0;if((O|0)!=(S|0))TC(O);break}default:{f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;O=cuc(16)|0;f[o>>2]=O;f[o+8>>2]=-2147483632;f[o+4>>2]=14;K=O;L=365401;M=K+14|0;do{b[K>>0]=b[L>>0]|0;K=K+1|0;L=L+1|0}while((K|0)<(M|0));b[O+14>>0]=0;WD(-2,o,365970,365214,1768)}}if(!(f[E+4>>2]|0)){u=m;return}u=m;return}function eva(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0;d=u;u=u+32|0;e=d;f[a>>2]=1124007936;g=a+8|0;h=a+40|0;i=a+4|0;j=i+36|0;do{f[i>>2]=0;i=i+4|0}while((i|0)<(j|0));f[h>>2]=g;g=a+48|0;f[a+44>>2]=g;f[g>>2]=0;f[a+52>>2]=0;f[e>>2]=b;f[e+4>>2]=c;ZT(a,2,e,0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;f[e+16>>2]=0;f[e+20>>2]=0;f[e+24>>2]=0;f[e+28>>2]=0;GI(a,e)|0;u=d;return}function fva(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;c=a+4|0;d=f[c>>2]|0;e=f[a>>2]|0;g=(d-e|0)/12|0;h=g+1|0;i=e;j=d;if(h>>>0>357913941)nsc(a);d=a+8|0;k=((f[d>>2]|0)-e|0)/12|0;l=k<<1;m=k>>>0<178956970?(l>>>0<h>>>0?h:l):357913941;do if(m)if(m>>>0>357913941){l=ze(8)|0;kuc(l,519086);f[l>>2]=167148;Hf(l|0,26888,1888)}else{n=cuc(m*12|0)|0;break}else n=0;while(0);l=n+(g*12|0)|0;h=n+(m*12|0)|0;f[l>>2]=f[b>>2];f[n+(g*12|0)+4>>2]=f[b+4>>2];f[n+(g*12|0)+8>>2]=f[b+8>>2];b=l+12|0;if((j|0)==(i|0))o=l;else{g=j;j=l;while(1){l=j+-12|0;n=g;g=g+-12|0;f[l>>2]=f[g>>2];f[j+-8>>2]=f[n+-8>>2];f[j+-4>>2]=f[n+-4>>2];if((g|0)==(i|0)){o=l;break}else j=l}}f[a>>2]=o;f[c>>2]=b;f[d>>2]=h;if(!e)return;fuc(e);return}function gva(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;c=a+8|0;d=f[a>>2]|0;e=d;if((f[c>>2]|0)-d>>3>>>0>=b>>>0)return;g=a+4|0;if(b>>>0>536870911){h=ze(8)|0;kuc(h,519086);f[h>>2]=167148;Hf(h|0,26888,1888)}h=f[g>>2]|0;i=cuc(b<<3)|0;j=i+(h-d>>3<<3)|0;k=j;l=i+(b<<3)|0;b=h;if((b|0)==(e|0))m=k;else{h=b+-8-d|0;i=b;b=j;while(1){n=i;i=i+-8|0;f[b+-8>>2]=f[i>>2];f[b+-4>>2]=f[n+-4>>2];if((i|0)==(e|0))break;else b=b+-8|0}m=j+(~(h>>>3)<<3)|0}f[a>>2]=m;f[g>>2]=k;f[c>>2]=l;if(!d)return;fuc(d);return}function hva(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;c=a+4|0;d=f[c>>2]|0;e=f[a>>2]|0;g=d-e>>3;h=g+1|0;i=e;j=d;if(h>>>0>536870911)nsc(a);d=a+8|0;k=(f[d>>2]|0)-e|0;l=k>>2;m=k>>3>>>0<268435455?(l>>>0<h>>>0?h:l):536870911;do if(m)if(m>>>0>536870911){l=ze(8)|0;kuc(l,519086);f[l>>2]=167148;Hf(l|0,26888,1888)}else{n=cuc(m<<3)|0;break}else n=0;while(0);l=n+(g<<3)|0;h=n+(m<<3)|0;f[l>>2]=f[b>>2];f[n+(g<<3)+4>>2]=f[b+4>>2];b=l+8|0;if((j|0)==(i|0))o=l;else{g=j+-8-e|0;n=j;j=l;while(1){m=n;n=n+-8|0;f[j+-8>>2]=f[n>>2];f[j+-4>>2]=f[m+-4>>2];if((n|0)==(i|0))break;else j=j+-8|0}o=l+(~(g>>>3)<<3)|0}f[a>>2]=o;f[c>>2]=b;f[d>>2]=h;if(!e)return;fuc(e);return}function iva(a,b){a=a|0;b=b|0;var c=0,d=0,e=0.0,g=0.0,h=0;c=f[a+12>>2]|0;d=f[b+12>>2]|0;if((c|0)<=(d|0))if((c|0)>=(d|0)){e=+n[a+8>>2];g=+n[b+8>>2];if(!(e>g))if(!(e<g)){g=+n[a>>2];e=+n[b>>2];if(!(g<e))if(!(g>e)?+n[a+4>>2]<+n[b+4>>2]:0)h=1;else h=0;else h=1}else h=0;else h=1}else h=0;else h=1;return h|0}function jva(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0;d=u;u=u+16|0;e=d;g=a;a=b;a:while(1){b=a;h=a+-16|0;i=a+-12|0;j=a+-8|0;k=a+-4|0;l=g;while(1){m=l;b:while(1){n=m;o=b-n|0;p=o>>4;switch(p|0){case 2:{q=5;break a;break}case 3:{q=7;break a;break}case 4:{q=8;break a;break}case 5:{q=12;break a;break}case 1:case 0:{q=56;break a;break}default:{}}if((o|0)<112){q=14;break a}r=m+(((p|0)/2|0)<<4)|0;if((o|0)>15984){o=(p|0)/4|0;s=pva(m,m+(o<<4)|0,r,r+(o<<4)|0,h,c)|0}else s=ova(m,r,h,c)|0;if(Th[f[c>>2]&1023](m,r)|0){t=h;v=s;break}else w=h;while(1){x=w+-16|0;if((m|0)==(x|0))break;if(Th[f[c>>2]&1023](x,r)|0){q=39;break b}else w=x}o=m+16|0;if(Th[f[c>>2]&1023](m,h)|0)y=o;else{if((o|0)==(h|0)){q=56;break a}else z=o;while(1){if(Th[f[c>>2]&1023](m,z)|0)break;o=z+16|0;if((o|0)==(h|0)){q=56;break a}else z=o}o=f[z>>2]|0;p=f[z+4>>2]|0;A=f[z+8>>2]|0;B=f[z+12>>2]|0;f[z>>2]=f[h>>2];f[z+4>>2]=f[h+4>>2];f[z+8>>2]=f[h+8>>2];f[z+12>>2]=f[h+12>>2];f[h>>2]=o;f[i>>2]=p;f[j>>2]=A;f[k>>2]=B;y=z+16|0}if((y|0)==(h|0)){q=56;break a}else{C=h;D=y}while(1){B=D;while(1){E=B+16|0;if(Th[f[c>>2]&1023](m,B)|0){F=C;break}else B=E}while(1){G=F+-16|0;if(Th[f[c>>2]&1023](m,G)|0)F=G;else break}if(B>>>0>=G>>>0){m=B;continue b}A=f[B>>2]|0;p=f[B+4>>2]|0;o=f[B+8>>2]|0;H=f[B+12>>2]|0;f[B>>2]=f[G>>2];f[B+4>>2]=f[G+4>>2];f[B+8>>2]=f[G+8>>2];f[B+12>>2]=f[G+12>>2];f[G>>2]=A;f[F+-12>>2]=p;f[F+-8>>2]=o;f[F+-4>>2]=H;C=G;D=E}}if((q|0)==39){q=0;H=f[m>>2]|0;o=f[m+4>>2]|0;p=f[m+8>>2]|0;A=f[m+12>>2]|0;f[m>>2]=f[x>>2];f[m+4>>2]=f[x+4>>2];f[m+8>>2]=f[x+8>>2];f[m+12>>2]=f[x+12>>2];f[x>>2]=H;f[w+-12>>2]=o;f[w+-8>>2]=p;f[w+-4>>2]=A;t=x;v=s+1|0}A=m+16|0;c:do if(A>>>0<t>>>0){p=r;o=t;H=A;I=v;while(1){J=H;while(1){K=J+16|0;if(Th[f[c>>2]&1023](J,p)|0)J=K;else{L=o;break}}while(1){M=L+-16|0;if(Th[f[c>>2]&1023](M,p)|0)break;else L=M}if(J>>>0>M>>>0){N=p;O=I;P=J;break c}B=f[J>>2]|0;Q=f[J+4>>2]|0;R=f[J+8>>2]|0;S=f[J+12>>2]|0;f[J>>2]=f[M>>2];f[J+4>>2]=f[M+4>>2];f[J+8>>2]=f[M+8>>2];f[J+12>>2]=f[M+12>>2];f[M>>2]=B;f[L+-12>>2]=Q;f[L+-8>>2]=R;f[L+-4>>2]=S;p=(p|0)==(J|0)?M:p;o=M;H=K;I=I+1|0}}else{N=r;O=v;P=A}while(0);if((P|0)!=(N|0)?Th[f[c>>2]&1023](N,P)|0:0){A=f[P>>2]|0;I=f[P+4>>2]|0;H=f[P+8>>2]|0;o=f[P+12>>2]|0;f[P>>2]=f[N>>2];f[P+4>>2]=f[N+4>>2];f[P+8>>2]=f[N+8>>2];f[P+12>>2]=f[N+12>>2];f[N>>2]=A;f[N+4>>2]=I;f[N+8>>2]=H;f[N+12>>2]=o;T=O+1|0}else T=O;if(!T){U=qva(m,P,c)|0;o=P+16|0;if(qva(o,a,c)|0){q=55;break}if(U){l=o;continue}}o=P;if((o-n|0)>=(b-o|0)){q=54;break}jva(m,P,c);l=P+16|0}if((q|0)==54){q=0;jva(P+16|0,a,c);g=m;a=P;continue}else if((q|0)==55){q=0;if(U){q=56;break}else{g=m;a=P;continue}}}if((q|0)==5){if(!(Th[f[c>>2]&1023](h,m)|0)){u=d;return}P=f[m>>2]|0;g=f[m+4>>2]|0;U=f[m+8>>2]|0;n=f[m+12>>2]|0;f[m>>2]=f[h>>2];f[m+4>>2]=f[h+4>>2];f[m+8>>2]=f[h+8>>2];f[m+12>>2]=f[h+12>>2];f[h>>2]=P;f[i>>2]=g;f[j>>2]=U;f[k>>2]=n;u=d;return}else if((q|0)==7){ova(m,m+16|0,h,c)|0;u=d;return}else if((q|0)==8){n=m+16|0;U=m+32|0;ova(m,n,U,c)|0;if(!(Th[f[c>>2]&1023](h,U)|0)){u=d;return}g=f[U>>2]|0;P=m+36|0;T=f[P>>2]|0;O=m+40|0;N=f[O>>2]|0;v=m+44|0;r=f[v>>2]|0;f[U>>2]=f[h>>2];f[U+4>>2]=f[h+4>>2];f[U+8>>2]=f[h+8>>2];f[U+12>>2]=f[h+12>>2];f[h>>2]=g;f[i>>2]=T;f[j>>2]=N;f[k>>2]=r;if(!(Th[f[c>>2]&1023](U,n)|0)){u=d;return}r=f[n>>2]|0;k=m+20|0;N=f[k>>2]|0;j=m+24|0;T=f[j>>2]|0;i=m+28|0;g=f[i>>2]|0;f[n>>2]=f[U>>2];f[n+4>>2]=f[U+4>>2];f[n+8>>2]=f[U+8>>2];f[n+12>>2]=f[U+12>>2];f[U>>2]=r;f[P>>2]=N;f[O>>2]=T;f[v>>2]=g;if(!(Th[f[c>>2]&1023](n,m)|0)){u=d;return}g=f[m>>2]|0;v=f[m+4>>2]|0;T=f[m+8>>2]|0;O=f[m+12>>2]|0;f[m>>2]=f[n>>2];f[m+4>>2]=f[n+4>>2];f[m+8>>2]=f[n+8>>2];f[m+12>>2]=f[n+12>>2];f[n>>2]=g;f[k>>2]=v;f[j>>2]=T;f[i>>2]=O;u=d;return}else if((q|0)==12){pva(m,m+16|0,m+32|0,m+48|0,h,c)|0;u=d;return}else if((q|0)==14){h=m+32|0;ova(m,m+16|0,h,c)|0;O=m+48|0;if((O|0)==(a|0)){u=d;return}i=e+4|0;T=e+8|0;j=e+12|0;v=O;O=h;while(1){if(Th[f[c>>2]&1023](v,O)|0){f[e>>2]=f[v>>2];f[i>>2]=f[v+4>>2];f[T>>2]=f[v+8>>2];f[j>>2]=f[v+12>>2];h=O;k=v;while(1){f[k>>2]=f[h>>2];f[k+4>>2]=f[h+4>>2];f[k+8>>2]=f[h+8>>2];f[k+12>>2]=f[h+12>>2];if((h|0)==(m|0))break;g=h+-16|0;if(Th[f[c>>2]&1023](e,g)|0){n=h;h=g;k=n}else break}f[h>>2]=f[e>>2];f[h+4>>2]=f[e+4>>2];f[h+8>>2]=f[e+8>>2];f[h+12>>2]=f[e+12>>2]}k=v+16|0;if((k|0)==(a|0))break;else{n=v;v=k;O=n}}u=d;return}else if((q|0)==56){u=d;return}}function kva(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(((d-g|0)/12|0)>>>0>=b>>>0){h=b;i=g;do{f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;i=(f[e>>2]|0)+12|0;f[e>>2]=i;h=h+-1|0}while((h|0)!=0);return}h=f[a>>2]|0;i=(g-h|0)/12|0;g=i+b|0;if(g>>>0>357913941)nsc(a);j=(d-h|0)/12|0;h=j<<1;d=j>>>0<178956970?(h>>>0<g>>>0?g:h):357913941;do if(d)if(d>>>0>357913941){h=ze(8)|0;kuc(h,519086);f[h>>2]=167148;Hf(h|0,26888,1888)}else{k=cuc(d*12|0)|0;break}else k=0;while(0);h=k+(i*12|0)|0;i=h;g=k+(d*12|0)|0;d=b;b=h;k=i;do{f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;b=k+12|0;k=b;d=d+-1|0}while((d|0)!=0);d=g;g=f[a>>2]|0;b=f[e>>2]|0;if((b|0)==(g|0)){l=i;m=g}else{i=b;b=h;do{h=b;b=b+-12|0;j=i;i=i+-12|0;f[b>>2]=f[i>>2];f[h+-8>>2]=f[j+-8>>2];f[h+-4>>2]=f[j+-4>>2]}while((i|0)!=(g|0));l=b;m=f[a>>2]|0}f[a>>2]=l;f[e>>2]=k;f[c>>2]=d;if(!m)return;fuc(m);return}function lva(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;c=a+4|0;d=f[c>>2]|0;e=f[a>>2]|0;g=d-e>>4;h=g+1|0;i=e;j=d;if(h>>>0>268435455)nsc(a);d=a+8|0;k=(f[d>>2]|0)-e|0;l=k>>3;m=k>>4>>>0<134217727?(l>>>0<h>>>0?h:l):268435455;do if(m)if(m>>>0>268435455){l=ze(8)|0;kuc(l,519086);f[l>>2]=167148;Hf(l|0,26888,1888)}else{n=cuc(m<<4)|0;break}else n=0;while(0);l=n+(g<<4)|0;h=n+(m<<4)|0;f[l>>2]=f[b>>2];f[n+(g<<4)+4>>2]=f[b+4>>2];f[n+(g<<4)+8>>2]=f[b+8>>2];f[n+(g<<4)+12>>2]=f[b+12>>2];b=l+16|0;if((j|0)==(i|0))o=l;else{g=j+-16-e|0;n=j;j=l;do{m=j;j=j+-16|0;k=n;n=n+-16|0;f[j>>2]=f[n>>2];f[m+-12>>2]=f[k+-12>>2];f[m+-8>>2]=f[k+-8>>2];f[m+-4>>2]=f[k+-4>>2]}while((n|0)!=(i|0));o=l+(~(g>>>4)<<4)|0}f[a>>2]=o;f[c>>2]=b;f[d>>2]=h;if(!e)return;fuc(e);return}function mva(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;c=a+4|0;d=f[c>>2]|0;e=f[a>>2]|0;g=d-e>>4;h=g+1|0;i=e;j=d;if(h>>>0>268435455)nsc(a);d=a+8|0;k=(f[d>>2]|0)-e|0;l=k>>3;m=k>>4>>>0<134217727?(l>>>0<h>>>0?h:l):268435455;do if(m)if(m>>>0>268435455){l=ze(8)|0;kuc(l,519086);f[l>>2]=167148;Hf(l|0,26888,1888)}else{n=cuc(m<<4)|0;break}else n=0;while(0);l=n+(g<<4)|0;h=n+(m<<4)|0;f[l>>2]=f[b>>2];f[n+(g<<4)+4>>2]=f[b+4>>2];f[n+(g<<4)+8>>2]=f[b+8>>2];f[n+(g<<4)+12>>2]=f[b+12>>2];b=l+16|0;if((j|0)==(i|0))o=l;else{g=j+-16-e|0;n=j;j=l;do{m=j;j=j+-16|0;k=n;n=n+-16|0;f[j>>2]=f[n>>2];f[m+-12>>2]=f[k+-12>>2];f[m+-8>>2]=f[k+-8>>2];f[m+-4>>2]=f[k+-4>>2]}while((n|0)!=(i|0));o=l+(~(g>>>4)<<4)|0}f[a>>2]=o;f[c>>2]=b;f[d>>2]=h;if(!e)return;fuc(e);return}function nva(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(d-g>>4>>>0>=b>>>0){h=b;i=g;do{f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;i=(f[e>>2]|0)+16|0;f[e>>2]=i;h=h+-1|0}while((h|0)!=0);return}h=f[a>>2]|0;i=g-h>>4;g=i+b|0;if(g>>>0>268435455)nsc(a);j=d-h|0;h=j>>3;d=j>>4>>>0<134217727?(h>>>0<g>>>0?g:h):268435455;do if(d)if(d>>>0>268435455){h=ze(8)|0;kuc(h,519086);f[h>>2]=167148;Hf(h|0,26888,1888)}else{k=cuc(d<<4)|0;break}else k=0;while(0);h=k+(i<<4)|0;i=h;g=k+(d<<4)|0;d=b;b=h;k=i;do{f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;b=k+16|0;k=b;d=d+-1|0}while((d|0)!=0);d=g;g=f[a>>2]|0;b=f[e>>2]|0;j=g;if((b|0)==(g|0)){l=i;m=j}else{i=b+-16-j|0;j=b;b=h;do{n=b;b=b+-16|0;o=j;j=j+-16|0;f[b>>2]=f[j>>2];f[n+-12>>2]=f[o+-12>>2];f[n+-8>>2]=f[o+-8>>2];f[n+-4>>2]=f[o+-4>>2]}while((j|0)!=(g|0));l=h+(~(i>>>4)<<4)|0;m=f[a>>2]|0}f[a>>2]=l;f[e>>2]=k;f[c>>2]=d;if(!m)return;fuc(m);return}function ova(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=Th[f[d>>2]&1023](b,a)|0;g=Th[f[d>>2]&1023](c,b)|0;if(!e){if(!g){h=0;return h|0}e=f[b>>2]|0;i=b+4|0;j=f[i>>2]|0;k=b+8|0;l=f[k>>2]|0;m=b+12|0;n=f[m>>2]|0;f[b>>2]=f[c>>2];f[b+4>>2]=f[c+4>>2];f[b+8>>2]=f[c+8>>2];f[b+12>>2]=f[c+12>>2];f[c>>2]=e;f[c+4>>2]=j;f[c+8>>2]=l;f[c+12>>2]=n;if(!(Th[f[d>>2]&1023](b,a)|0)){h=1;return h|0}n=f[a>>2]|0;l=f[a+4>>2]|0;j=f[a+8>>2]|0;e=f[a+12>>2]|0;f[a>>2]=f[b>>2];f[a+4>>2]=f[b+4>>2];f[a+8>>2]=f[b+8>>2];f[a+12>>2]=f[b+12>>2];f[b>>2]=n;f[i>>2]=l;f[k>>2]=j;f[m>>2]=e;h=2;return h|0}e=f[a>>2]|0;m=f[a+4>>2]|0;j=f[a+8>>2]|0;k=f[a+12>>2]|0;if(g){f[a>>2]=f[c>>2];f[a+4>>2]=f[c+4>>2];f[a+8>>2]=f[c+8>>2];f[a+12>>2]=f[c+12>>2];f[c>>2]=e;f[c+4>>2]=m;f[c+8>>2]=j;f[c+12>>2]=k;h=1;return h|0};f[a>>2]=f[b>>2];f[a+4>>2]=f[b+4>>2];f[a+8>>2]=f[b+8>>2];f[a+12>>2]=f[b+12>>2];f[b>>2]=e;e=b+4|0;f[e>>2]=m;m=b+8|0;f[m>>2]=j;j=b+12|0;f[j>>2]=k;if(!(Th[f[d>>2]&1023](c,b)|0)){h=1;return h|0}d=f[b>>2]|0;k=f[e>>2]|0;e=f[m>>2]|0;m=f[j>>2]|0;f[b>>2]=f[c>>2];f[b+4>>2]=f[c+4>>2];f[b+8>>2]=f[c+8>>2];f[b+12>>2]=f[c+12>>2];f[c>>2]=d;f[c+4>>2]=k;f[c+8>>2]=e;f[c+12>>2]=m;h=2;return h|0}function pva(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;h=ova(a,b,c,g)|0;if(Th[f[g>>2]&1023](d,c)|0){i=f[c>>2]|0;j=c+4|0;k=f[j>>2]|0;l=c+8|0;m=f[l>>2]|0;n=c+12|0;o=f[n>>2]|0;f[c>>2]=f[d>>2];f[c+4>>2]=f[d+4>>2];f[c+8>>2]=f[d+8>>2];f[c+12>>2]=f[d+12>>2];f[d>>2]=i;f[d+4>>2]=k;f[d+8>>2]=m;f[d+12>>2]=o;o=h+1|0;if(Th[f[g>>2]&1023](c,b)|0){m=f[b>>2]|0;k=b+4|0;i=f[k>>2]|0;p=b+8|0;q=f[p>>2]|0;r=b+12|0;s=f[r>>2]|0;f[b>>2]=f[c>>2];f[b+4>>2]=f[c+4>>2];f[b+8>>2]=f[c+8>>2];f[b+12>>2]=f[c+12>>2];f[c>>2]=m;f[j>>2]=i;f[l>>2]=q;f[n>>2]=s;if(Th[f[g>>2]&1023](b,a)|0){s=f[a>>2]|0;n=f[a+4>>2]|0;q=f[a+8>>2]|0;l=f[a+12>>2]|0;f[a>>2]=f[b>>2];f[a+4>>2]=f[b+4>>2];f[a+8>>2]=f[b+8>>2];f[a+12>>2]=f[b+12>>2];f[b>>2]=s;f[k>>2]=n;f[p>>2]=q;f[r>>2]=l;t=h+3|0}else t=h+2|0}else t=o}else t=h;if(!(Th[f[g>>2]&1023](e,d)|0)){u=t;return u|0}h=f[d>>2]|0;o=d+4|0;l=f[o>>2]|0;r=d+8|0;q=f[r>>2]|0;p=d+12|0;n=f[p>>2]|0;f[d>>2]=f[e>>2];f[d+4>>2]=f[e+4>>2];f[d+8>>2]=f[e+8>>2];f[d+12>>2]=f[e+12>>2];f[e>>2]=h;f[e+4>>2]=l;f[e+8>>2]=q;f[e+12>>2]=n;if(!(Th[f[g>>2]&1023](d,c)|0)){u=t+1|0;return u|0}n=f[c>>2]|0;e=c+4|0;q=f[e>>2]|0;l=c+8|0;h=f[l>>2]|0;k=c+12|0;s=f[k>>2]|0;f[c>>2]=f[d>>2];f[c+4>>2]=f[d+4>>2];f[c+8>>2]=f[d+8>>2];f[c+12>>2]=f[d+12>>2];f[d>>2]=n;f[o>>2]=q;f[r>>2]=h;f[p>>2]=s;if(!(Th[f[g>>2]&1023](c,b)|0)){u=t+2|0;return u|0}s=f[b>>2]|0;p=b+4|0;h=f[p>>2]|0;r=b+8|0;q=f[r>>2]|0;o=b+12|0;n=f[o>>2]|0;f[b>>2]=f[c>>2];f[b+4>>2]=f[c+4>>2];f[b+8>>2]=f[c+8>>2];f[b+12>>2]=f[c+12>>2];f[c>>2]=s;f[e>>2]=h;f[l>>2]=q;f[k>>2]=n;if(!(Th[f[g>>2]&1023](b,a)|0)){u=t+3|0;return u|0}g=f[a>>2]|0;n=f[a+4>>2]|0;k=f[a+8>>2]|0;q=f[a+12>>2]|0;f[a>>2]=f[b>>2];f[a+4>>2]=f[b+4>>2];f[a+8>>2]=f[b+8>>2];f[a+12>>2]=f[b+12>>2];f[b>>2]=g;f[p>>2]=n;f[r>>2]=k;f[o>>2]=q;u=t+4|0;return u|0}function qva(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;d=u;u=u+16|0;e=d;switch(b-a>>4|0){case 2:{g=b+-16|0;if(!(Th[f[c>>2]&1023](g,a)|0)){h=1;u=d;return h|0}i=f[a>>2]|0;j=f[a+4>>2]|0;k=f[a+8>>2]|0;l=f[a+12>>2]|0;f[a>>2]=f[g>>2];f[a+4>>2]=f[g+4>>2];f[a+8>>2]=f[g+8>>2];f[a+12>>2]=f[g+12>>2];f[g>>2]=i;f[b+-12>>2]=j;f[b+-8>>2]=k;f[b+-4>>2]=l;h=1;u=d;return h|0}case 3:{ova(a,a+16|0,b+-16|0,c)|0;h=1;u=d;return h|0}case 4:{l=a+16|0;k=a+32|0;j=b+-16|0;ova(a,l,k,c)|0;if(!(Th[f[c>>2]&1023](j,k)|0)){h=1;u=d;return h|0}i=f[k>>2]|0;g=a+36|0;m=f[g>>2]|0;n=a+40|0;o=f[n>>2]|0;p=a+44|0;q=f[p>>2]|0;f[k>>2]=f[j>>2];f[k+4>>2]=f[j+4>>2];f[k+8>>2]=f[j+8>>2];f[k+12>>2]=f[j+12>>2];f[j>>2]=i;f[b+-12>>2]=m;f[b+-8>>2]=o;f[b+-4>>2]=q;if(!(Th[f[c>>2]&1023](k,l)|0)){h=1;u=d;return h|0}q=f[l>>2]|0;o=a+20|0;m=f[o>>2]|0;i=a+24|0;j=f[i>>2]|0;r=a+28|0;s=f[r>>2]|0;f[l>>2]=f[k>>2];f[l+4>>2]=f[k+4>>2];f[l+8>>2]=f[k+8>>2];f[l+12>>2]=f[k+12>>2];f[k>>2]=q;f[g>>2]=m;f[n>>2]=j;f[p>>2]=s;if(!(Th[f[c>>2]&1023](l,a)|0)){h=1;u=d;return h|0}s=f[a>>2]|0;p=f[a+4>>2]|0;j=f[a+8>>2]|0;n=f[a+12>>2]|0;f[a>>2]=f[l>>2];f[a+4>>2]=f[l+4>>2];f[a+8>>2]=f[l+8>>2];f[a+12>>2]=f[l+12>>2];f[l>>2]=s;f[o>>2]=p;f[i>>2]=j;f[r>>2]=n;h=1;u=d;return h|0}case 5:{pva(a,a+16|0,a+32|0,a+48|0,b+-16|0,c)|0;h=1;u=d;return h|0}case 1:case 0:{h=1;u=d;return h|0}default:{n=a+32|0;ova(a,a+16|0,n,c)|0;r=a+48|0;a:do if((r|0)==(b|0)){t=1;v=0}else{j=e+4|0;i=e+8|0;p=e+12|0;o=r;s=0;l=n;while(1){if(Th[f[c>>2]&1023](o,l)|0){f[e>>2]=f[o>>2];f[j>>2]=f[o+4>>2];f[i>>2]=f[o+8>>2];f[p>>2]=f[o+12>>2];m=l;g=o;while(1){f[g>>2]=f[m>>2];f[g+4>>2]=f[m+4>>2];f[g+8>>2]=f[m+8>>2];f[g+12>>2]=f[m+12>>2];if((m|0)==(a|0))break;q=m+-16|0;if(Th[f[c>>2]&1023](e,q)|0){k=m;m=q;g=k}else break}f[m>>2]=f[e>>2];f[m+4>>2]=f[e+4>>2];f[m+8>>2]=f[e+8>>2];f[m+12>>2]=f[e+12>>2];g=s+1|0;if((g|0)==8){t=0;v=(o+16|0)==(b|0);break a}else w=g}else w=s;g=o+16|0;if((g|0)==(b|0)){t=1;v=0;break}else{k=o;o=g;s=w;l=k}}}while(0);h=v|t;u=d;return h|0}}return 0}function rva(a){a=a|0;fuc(a);return}function sva(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0.0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0.0,Da=0,Ea=0,Fa=0,Ga=0.0,Ha=0.0,Ia=0.0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0.0,Pa=0,Qa=0,Ra=0.0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0.0,$a=0,ab=0.0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0.0,hb=0;d=u;u=u+3376|0;e=d+3312|0;g=d+3256|0;h=d+3240|0;i=d+3224|0;j=d+2160|0;k=d+1096|0;l=d+32|0;m=d;o=d+24|0;p=d+20|0;q=d+16|0;f[i>>2]=0;r=i+4|0;f[r>>2]=0;f[i+8>>2]=0;s=a+32|0;t=f[s>>2]|0;v=a+28|0;w=a+36|0;x=+n[w>>2];y=Ghc(+(t-(f[v>>2]|0)|0)/x*10.0)|0;z=j+8|0;f[j>>2]=z;A=j+4|0;f[A>>2]=y;if(y>>>0>264){B=euc(y>>>0>1073741823?-1:y<<2)|0;f[j>>2]=B}B=f[a+8>>2]|0;C=k+8|0;f[k>>2]=C;D=k+4|0;E=B>>>0>264;f[D>>2]=B;if(E){F=euc(B>>>0>1073741823?-1:B<<2)|0;f[k>>2]=F;G=F}else G=C;F=l+8|0;f[l>>2]=F;H=l+4|0;f[H>>2]=B;if(E){E=euc(B>>>0>1073741823?-1:B<<2)|0;f[l>>2]=E;I=E}else I=F;E=f[c>>2]|0;B=c+4|0;c=f[B>>2]|0;J=(E|0)==0?(c|0)==(f[a+40>>2]|0):0;do if((E|0)<(c|0)){K=a+12|0;L=a+20|0;M=a+4|0;N=a+44|0;O=a+48|0;P=e+4|0;Q=e+8|0;R=e+12|0;S=e+16|0;T=e+20|0;U=e+24|0;V=e+40|0;W=e+48|0;X=e+44|0;Z=e+52|0;_=e+28|0;$=g+4|0;aa=g+8|0;ba=g+12|0;ca=g+16|0;da=g+20|0;ea=g+24|0;fa=g+40|0;ga=g+48|0;ha=g+44|0;ia=g+52|0;ja=g+28|0;ka=h+8|0;la=h+12|0;ma=h+4|0;na=m+8|0;oa=m+4|0;pa=y+-1|0;qa=(y|0)>1;ra=g+36|0;sa=e+36|0;ta=a+24|0;ua=e+4|0;va=e+8|0;wa=e+12|0;xa=i+8|0;ya=U+8|0;za=ea+8|0;Aa=E;Ba=t;Ca=x;while(1){Da=f[(f[f[K>>2]>>2]|0)+(Aa<<2)>>2]|0;Ea=f[L>>2]|0;Fa=(Da|0)/(Ea|0)|0;Ga=Ca*(+(Da-(Y(Fa,Ea)|0)|0)+.5);Ha=Ca*(+(Fa|0)+.5);Fa=f[M>>2]|0;Ia=+(Ba+1|0);Ea=~~(Ga-Ia);Da=(Ea|0)>0?Ea:0;Ea=~~(Ga+Ia);Ja=f[Fa+12>>2]|0;Ka=(Ja|0)<(Ea|0)?Ja:Ea;Ea=~~(Ha-Ia);Ja=(Ea|0)>0?Ea:0;Ea=~~(Ha+Ia);La=f[Fa+8>>2]|0;Ma=(La|0)<(Ea|0)?La:Ea;if((Ja|0)<(Ma|0)&(Da|0)<(Ka|0)){Ea=f[Fa+16>>2]|0;La=f[f[Fa+44>>2]>>2]|0;Fa=Ja;Ja=0;while(1){Na=Ea+(Y(Fa,La)|0)|0;Ia=Ha-+(Fa|0);Oa=Ia*Ia;Pa=Da;Qa=Ja;while(1){if(((b[Na+Pa>>0]|0)!=0?(Ia=Ga-+(Pa|0),Ra=Oa+Ia*Ia,+n[N>>2]<=Ra):0)?Ra<=+n[O>>2]:0){n[G+(Qa<<2)>>2]=Ra;Sa=Qa+1|0}else Sa=Qa;Pa=Pa+1|0;if((Pa|0)>=(Ka|0))break;else Qa=Sa}Fa=Fa+1|0;if((Fa|0)>=(Ma|0))break;else Ja=Sa}if(Sa){f[e>>2]=1124007941;f[P>>2]=2;f[Q>>2]=1;f[R>>2]=Sa;f[S>>2]=G;f[T>>2]=G;Ja=ya;f[Ja>>2]=0;f[Ja+4>>2]=0;f[V>>2]=Q;f[X>>2]=W;Ja=Sa<<2;f[W>>2]=Ja;f[Z>>2]=4;Ma=G+(Sa<<2)|0;f[_>>2]=Ma;Fa=0-Ja|0;f[U>>2]=Ma+Fa+Ja;YT(e);f[g>>2]=1124007941;f[$>>2]=2;f[aa>>2]=1;f[ba>>2]=Sa;f[ca>>2]=I;f[da>>2]=I;Ma=za;f[Ma>>2]=0;f[Ma+4>>2]=0;f[fa>>2]=aa;f[ha>>2]=ga;f[ga>>2]=Ja;f[ia>>2]=4;Ma=I+(Sa<<2)|0;f[ja>>2]=Ma;f[ea>>2]=Ma+Fa+Ja;YT(g);f[ka>>2]=0;f[la>>2]=0;f[h>>2]=-2130640891;f[ma>>2]=e;Ja=na;f[Ja>>2]=0;f[Ja+4>>2]=0;f[m>>2]=-2113863675;f[oa>>2]=g;tD(h,m);kzc(f[j>>2]|0,0,f[A>>2]<<2|0)|0;if((Sa|0)>0){Oa=+n[w>>2];Ja=f[j>>2]|0;Fa=0;do{Ma=Ghc((+n[I+(Fa<<2)>>2]-+(f[v>>2]|0))/Oa*10.0)|0;Ka=(Ma|0)<(pa|0)?Ma:pa;Ma=Ja+(((Ka|0)>0?Ka:0)<<2)|0;f[Ma>>2]=(f[Ma>>2]|0)+1;Fa=Fa+1|0}while((Fa|0)!=(Sa|0))}a:do if(qa){Fa=f[j>>2]|0;Ja=y;Ma=0;Oa=0.0;while(1){Ka=Ja+-1|0;Ra=+(Ma|0);b:do if(!(Oa<1.1920928955078125e-07)){Da=Ja;La=Ka;while(1){Ea=f[Fa+(La<<2)>>2]|0;if(Ea){do if((La|0)>-1){Qa=Da+-10|0;Pa=La+-1|0;if((La|0)>(Qa|0)&(La|0)!=0){Ta=Pa;Ua=Ea}else{Va=Ea;Wa=Pa;break}while(1){Pa=(f[Fa+(Ta<<2)>>2]|0)+Ua|0;Na=Ta+-1|0;if((Ta|0)>(Qa|0)&(Ta|0)>0){Ta=Na;Ua=Pa}else{Va=Pa;Wa=Na;break}}}else{Va=0;Wa=La}while(0);Ia=+(Wa+La|0)*.5/10.0*+n[w>>2]+ +(f[v>>2]|0);if(!(Oa*+(Va|0)>=Ra*Ia))Xa=Wa;else{Ya=Va;Za=Wa;_a=Ia;break b}}else Xa=La;if((Xa|0)>1){Da=Xa;La=Xa+-1|0}else{$a=Ma;ab=Oa;break a}}}else{La=Ja;Da=Ka;while(1){Ea=f[Fa+(Da<<2)>>2]|0;if(Ea){do if((Da|0)>-1){Qa=La+-10|0;Na=Da+-1|0;if((Da|0)>(Qa|0)&(Da|0)!=0){bb=Na;cb=Ea}else{db=Ea;eb=Na;break}while(1){Na=(f[Fa+(bb<<2)>>2]|0)+cb|0;Pa=bb+-1|0;if((bb|0)>(Qa|0)&(bb|0)>0){bb=Pa;cb=Na}else{db=Na;eb=Pa;break}}}else{db=0;eb=Da}while(0);Ia=+(eb+Da|0)*.5/10.0*+n[w>>2]+ +(f[v>>2]|0);if((db|0)<(Ma|0)?!(Oa*+(db|0)>=Ra*Ia):0)fb=eb;else{Ya=db;Za=eb;_a=Ia;break b}}else fb=Da;if((fb|0)>1){La=fb;Da=fb+-1|0}else{$a=Ma;ab=Oa;break a}}}while(0);if((Za|0)>1){Ja=Za;Ma=Ya;Oa=_a}else{$a=Ya;ab=_a;break}}}else{$a=0;ab=0.0}while(0);Ma=f[ra>>2]|0;if(Ma|0?(Ja=Ma+12|0,Ma=f[Ja>>2]|0,f[Ja>>2]=Ma+-1,(Ma|0)==1):0)aU(g);f[ra>>2]=0;f[ca>>2]=0;f[ca+4>>2]=0;f[ca+8>>2]=0;f[ca+12>>2]=0;if((f[$>>2]|0)>0){Ma=f[fa>>2]|0;Ja=0;do{f[Ma+(Ja<<2)>>2]=0;Ja=Ja+1|0}while((Ja|0)<(f[$>>2]|0))}Ja=f[ha>>2]|0;if((Ja|0)!=(ga|0))TC(Ja);Ja=f[sa>>2]|0;if(Ja|0?(Ma=Ja+12|0,Ja=f[Ma>>2]|0,f[Ma>>2]=Ja+-1,(Ja|0)==1):0)aU(e);f[sa>>2]=0;f[S>>2]=0;f[S+4>>2]=0;f[S+8>>2]=0;f[S+12>>2]=0;if((f[P>>2]|0)>0){Ja=f[V>>2]|0;Ma=0;do{f[Ja+(Ma<<2)>>2]=0;Ma=Ma+1|0}while((Ma|0)<(f[P>>2]|0))}Ma=f[X>>2]|0;if((Ma|0)!=(W|0))TC(Ma);gb=ab;hb=$a}else{gb=0.0;hb=0}}else{gb=0.0;hb=0}if((hb|0)>(f[ta>>2]|0)){n[e>>2]=Ga;n[ua>>2]=Ha;n[va>>2]=gb;f[wa>>2]=hb;Ma=f[r>>2]|0;if(Ma>>>0<(f[xa>>2]|0)>>>0){n[Ma>>2]=Ga;f[Ma+4>>2]=f[ua>>2];f[Ma+8>>2]=f[va>>2];f[Ma+12>>2]=hb;f[r>>2]=Ma+16}else tva(i,e)}Ma=Aa+1|0;if((Ma|0)>=(f[B>>2]|0))break;Aa=Ma;Ba=f[s>>2]|0;Ca=+n[w>>2]}Ba=f[i>>2]|0;Aa=f[r>>2]|0;if((Ba|0)!=(Aa|0)){f[e>>2]=572;jva(Ba,Aa,e);if(J){Aa=f[a+16>>2]|0;Ba=f[Aa>>2]|0;f[Aa>>2]=f[i>>2];f[i>>2]=Ba;Ba=Aa+4|0;va=f[Ba>>2]|0;f[Ba>>2]=f[r>>2];f[r>>2]=va;va=Aa+8|0;Aa=i+8|0;Ba=f[va>>2]|0;f[va>>2]=f[Aa>>2];f[Aa>>2]=Ba;break}Ba=f[a+52>>2]|0;$tc(Ba);Aa=f[a+16>>2]|0;va=f[Aa>>2]|0;ua=Aa+4|0;xa=f[ua>>2]|0;wa=xa;if((va|0)==(xa|0)){f[Aa>>2]=f[i>>2];f[i>>2]=va;f[ua>>2]=f[r>>2];f[r>>2]=wa;ua=Aa+8|0;va=i+8|0;xa=f[ua>>2]|0;f[ua>>2]=f[va>>2];f[va>>2]=xa}else{f[o>>2]=wa;f[p>>2]=f[i>>2];f[q>>2]=f[r>>2];f[h>>2]=f[o>>2];f[g>>2]=f[p>>2];f[e>>2]=f[q>>2];uva(Aa,h,g,e)|0}auc(Ba)}}while(0);e=f[l>>2]|0;if((e|0)!=(F|0)){if(e|0)guc(e);f[l>>2]=F;f[H>>2]=264}H=f[k>>2]|0;if((H|0)!=(C|0)){if(H|0)guc(H);f[k>>2]=C;f[D>>2]=264}D=f[j>>2]|0;if((D|0)!=(z|0)){if(D|0)guc(D);f[j>>2]=z;f[A>>2]=264}A=f[i>>2]|0;if(!A){u=d;return}i=f[r>>2]|0;if((i|0)!=(A|0))f[r>>2]=i+(~((i+-16-A|0)>>>4)<<4);fuc(A);u=d;return}function tva(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;c=a+4|0;d=f[c>>2]|0;e=f[a>>2]|0;g=d-e>>4;h=g+1|0;i=e;j=d;if(h>>>0>268435455)nsc(a);d=a+8|0;k=(f[d>>2]|0)-e|0;l=k>>3;m=k>>4>>>0<134217727?(l>>>0<h>>>0?h:l):268435455;do if(m)if(m>>>0>268435455){l=ze(8)|0;kuc(l,519086);f[l>>2]=167148;Hf(l|0,26888,1888)}else{n=cuc(m<<4)|0;break}else n=0;while(0);l=n+(g<<4)|0;h=n+(m<<4)|0;f[l>>2]=f[b>>2];f[n+(g<<4)+4>>2]=f[b+4>>2];f[n+(g<<4)+8>>2]=f[b+8>>2];f[n+(g<<4)+12>>2]=f[b+12>>2];b=l+16|0;if((j|0)==(i|0))o=l;else{g=j+-16-e|0;n=j;j=l;do{m=j;j=j+-16|0;k=n;n=n+-16|0;f[j>>2]=f[n>>2];f[m+-12>>2]=f[k+-12>>2];f[m+-8>>2]=f[k+-8>>2];f[m+-4>>2]=f[k+-4>>2]}while((n|0)!=(i|0));o=l+(~(g>>>4)<<4)|0}f[a>>2]=o;f[c>>2]=b;f[d>>2]=h;if(!e)return;fuc(e);return}function uva(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;e=f[a>>2]|0;g=e;h=(f[b>>2]|0)-g|0;b=h>>4;i=e+(b<<4)|0;j=f[c>>2]|0;k=f[d>>2]|0;d=k-j|0;l=d>>4;m=k;if((d|0)<=0){n=i;return n|0}d=a+8|0;o=f[d>>2]|0;p=a+4|0;q=f[p>>2]|0;r=q;if((l|0)<=(o-r>>4|0)){s=i;t=r-s|0;u=t>>4;if((l|0)>(u|0)){v=j+(u<<4)|0;u=v;if((v|0)==(m|0))w=q;else{x=m+-16-u|0;y=v;v=q;while(1){f[v>>2]=f[y>>2];f[v+4>>2]=f[y+4>>2];f[v+8>>2]=f[y+8>>2];f[v+12>>2]=f[y+12>>2];y=y+16|0;if((y|0)==(m|0))break;else v=v+16|0}v=q+((x>>>4)+1<<4)|0;f[p>>2]=v;w=v}if((t|0)>0){z=u;A=w}else{n=i;return n|0}}else{z=k;A=q}k=A-(i+(l<<4))|0;w=k>>4;u=i+(w<<4)|0;if(u>>>0<q>>>0){t=(q+(0-w<<4)+~s|0)>>>4;s=u;u=A;while(1){f[u>>2]=f[s>>2];f[u+4>>2]=f[s+4>>2];f[u+8>>2]=f[s+8>>2];f[u+12>>2]=f[s+12>>2];s=s+16|0;if(s>>>0>=q>>>0)break;else u=u+16|0}f[p>>2]=A+(t+1<<4)}if(!w)B=j;else{uzc(A+(0-w<<4)|0,i|0,k|0)|0;B=f[c>>2]|0}c=z-B|0;if(!c){n=i;return n|0}uzc(i|0,B|0,c|0)|0;n=i;return n|0}c=(r-g>>4)+l|0;if(c>>>0>268435455)nsc(a);l=o-g|0;o=l>>3;r=l>>4>>>0<134217727?(o>>>0<c>>>0?c:o):268435455;o=i;c=h>>4;do if(r)if(r>>>0>268435455){h=ze(8)|0;kuc(h,519086);f[h>>2]=167148;Hf(h|0,26888,1888)}else{C=cuc(r<<4)|0;break}else C=0;while(0);h=C+(c<<4)|0;c=C+(r<<4)|0;r=j;if((r|0)==(m|0))D=h;else{C=((m+-16-j|0)>>>4)+1|0;j=r;r=h;while(1){f[r>>2]=f[j>>2];f[r+4>>2]=f[j+4>>2];f[r+8>>2]=f[j+8>>2];f[r+12>>2]=f[j+12>>2];j=j+16|0;if((j|0)==(m|0))break;else r=r+16|0}D=h+(C<<4)|0}if(!b)E=h;else{b=i+-16-g|0;g=i;C=h;do{r=C;C=C+-16|0;m=g;g=g+-16|0;f[C>>2]=f[g>>2];f[r+-12>>2]=f[m+-12>>2];f[r+-8>>2]=f[m+-8>>2];f[r+-4>>2]=f[m+-4>>2]}while((g|0)!=(e|0));E=h+(~(b>>>4)<<4)|0}b=E;if((q|0)==(i|0))F=D;else{E=q+-16-o|0;o=i;i=D;while(1){f[i>>2]=f[o>>2];f[i+4>>2]=f[o+4>>2];f[i+8>>2]=f[o+8>>2];f[i+12>>2]=f[o+12>>2];o=o+16|0;if((o|0)==(q|0))break;else i=i+16|0}F=D+((E>>>4)+1<<4)|0}f[a>>2]=b;f[p>>2]=F;f[d>>2]=c;if(!e){n=h;return n|0}fuc(e);n=h;return n|0}function vva(a){a=a|0;fuc(a);return}function wva(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0.0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0.0,Ca=0,Da=0,Ea=0,Fa=0.0,Ga=0.0,Ha=0.0,Ia=0.0,Ja=0.0,Ka=0.0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0.0,$a=0,ab=0.0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0.0,hb=0;c=u;u=u+3376|0;d=c+3312|0;e=c+3256|0;g=c+3240|0;h=c+3224|0;i=c+2160|0;j=c+1096|0;k=c+32|0;l=c;m=c+24|0;o=c+20|0;p=c+16|0;f[h>>2]=0;q=h+4|0;f[q>>2]=0;f[h+8>>2]=0;r=a+28|0;s=a+36|0;t=+n[s>>2];v=Ghc(+((f[a+32>>2]|0)-(f[r>>2]|0)|0)/t*10.0)|0;w=i+8|0;f[i>>2]=w;x=i+4|0;f[x>>2]=v;if(v>>>0>264){y=euc(v>>>0>1073741823?-1:v<<2)|0;f[i>>2]=y}y=a+8|0;z=f[y>>2]|0;A=j+8|0;f[j>>2]=A;B=j+4|0;C=z>>>0>264;f[B>>2]=z;if(C){D=euc(z>>>0>1073741823?-1:z<<2)|0;f[j>>2]=D;E=D}else E=A;D=k+8|0;f[k>>2]=D;F=k+4|0;f[F>>2]=z;if(C){C=euc(z>>>0>1073741823?-1:z<<2)|0;f[k>>2]=C;G=C}else G=D;C=f[b>>2]|0;H=b+4|0;b=f[H>>2]|0;I=(C|0)==0?(b|0)==(f[a+40>>2]|0):0;do if((C|0)<(b|0)){J=a+12|0;K=a+20|0;L=a+4|0;M=a+44|0;N=a+48|0;O=d+4|0;P=d+8|0;Q=d+12|0;R=d+16|0;S=d+20|0;T=d+24|0;U=d+40|0;V=d+48|0;W=d+44|0;X=d+52|0;Z=d+28|0;_=e+4|0;$=e+8|0;aa=e+12|0;ba=e+16|0;ca=e+20|0;da=e+24|0;ea=e+40|0;fa=e+48|0;ga=e+44|0;ha=e+52|0;ia=e+28|0;ja=g+8|0;ka=g+12|0;la=g+4|0;ma=l+8|0;na=l+4|0;oa=v+-1|0;pa=(v|0)>1;qa=e+36|0;ra=d+36|0;sa=a+24|0;ta=d+4|0;ua=d+8|0;va=d+12|0;wa=h+8|0;xa=T+8|0;ya=da+8|0;za=C;Aa=z;Ba=t;while(1){Ca=f[(f[f[J>>2]>>2]|0)+(za<<2)>>2]|0;Da=f[K>>2]|0;Ea=(Ca|0)/(Da|0)|0;Fa=Ba*(+(Ca-(Y(Ea,Da)|0)|0)+.5);Ga=Ba*(+(Ea|0)+.5);Ea=f[f[L>>2]>>2]|0;if((Aa|0)>0){Ha=+n[M>>2];Da=0;Ca=0;while(1){Ia=Fa-+(f[Ea+(Da<<3)>>2]|0);Ja=Ga-+(f[Ea+(Da<<3)+4>>2]|0);Ka=Ia*Ia+Ja*Ja;if(Ha<=Ka?Ka<=+n[N>>2]:0){n[E+(Ca<<2)>>2]=Ka;La=Ca+1|0}else La=Ca;Da=Da+1|0;if((Da|0)==(Aa|0))break;else Ca=La}if(La){f[d>>2]=1124007941;f[O>>2]=2;f[P>>2]=1;f[Q>>2]=La;f[R>>2]=E;f[S>>2]=E;Ca=xa;f[Ca>>2]=0;f[Ca+4>>2]=0;f[U>>2]=P;f[W>>2]=V;Ca=La<<2;f[V>>2]=Ca;f[X>>2]=4;Da=E+(La<<2)|0;f[Z>>2]=Da;Ea=0-Ca|0;f[T>>2]=Da+Ea+Ca;YT(d);f[e>>2]=1124007941;f[_>>2]=2;f[$>>2]=1;f[aa>>2]=La;f[ba>>2]=G;f[ca>>2]=G;Da=ya;f[Da>>2]=0;f[Da+4>>2]=0;f[ea>>2]=$;f[ga>>2]=fa;f[fa>>2]=Ca;f[ha>>2]=4;Da=G+(La<<2)|0;f[ia>>2]=Da;f[da>>2]=Da+Ea+Ca;YT(e);f[ja>>2]=0;f[ka>>2]=0;f[g>>2]=-2130640891;f[la>>2]=d;Ca=ma;f[Ca>>2]=0;f[Ca+4>>2]=0;f[l>>2]=-2113863675;f[na>>2]=e;tD(g,l);kzc(f[i>>2]|0,0,f[x>>2]<<2|0)|0;if((La|0)>0){Ha=+n[s>>2];Ca=f[i>>2]|0;Ea=0;do{Da=Ghc((+n[G+(Ea<<2)>>2]-+(f[r>>2]|0))/Ha*10.0)|0;Ma=(Da|0)<(oa|0)?Da:oa;Da=Ca+(((Ma|0)>0?Ma:0)<<2)|0;f[Da>>2]=(f[Da>>2]|0)+1;Ea=Ea+1|0}while((Ea|0)!=(La|0))}a:do if(pa){Ea=f[i>>2]|0;Ca=v;Da=0;Ha=0.0;while(1){Ma=Ca+-1|0;Ka=+(Da|0);b:do if(!(Ha<1.1920928955078125e-07)){Na=Ca;Oa=Ma;while(1){Pa=f[Ea+(Oa<<2)>>2]|0;if(Pa){do if((Oa|0)>-1){Qa=Na+-10|0;Ra=Oa+-1|0;if((Oa|0)>(Qa|0)&(Oa|0)!=0){Sa=Ra;Ta=Pa}else{Ua=Pa;Va=Ra;break}while(1){Ra=(f[Ea+(Sa<<2)>>2]|0)+Ta|0;Wa=Sa+-1|0;if((Sa|0)>(Qa|0)&(Sa|0)>0){Sa=Wa;Ta=Ra}else{Ua=Ra;Va=Wa;break}}}else{Ua=0;Va=Oa}while(0);Ja=+(Va+Oa|0)*.5/10.0*+n[s>>2]+ +(f[r>>2]|0);if(!(Ha*+(Ua|0)>=Ka*Ja))Xa=Va;else{Ya=Ua;Za=Va;_a=Ja;break b}}else Xa=Oa;if((Xa|0)>1){Na=Xa;Oa=Xa+-1|0}else{$a=Da;ab=Ha;break a}}}else{Oa=Ca;Na=Ma;while(1){Pa=f[Ea+(Na<<2)>>2]|0;if(Pa){do if((Na|0)>-1){Qa=Oa+-10|0;Wa=Na+-1|0;if((Na|0)>(Qa|0)&(Na|0)!=0){bb=Wa;cb=Pa}else{db=Pa;eb=Wa;break}while(1){Wa=(f[Ea+(bb<<2)>>2]|0)+cb|0;Ra=bb+-1|0;if((bb|0)>(Qa|0)&(bb|0)>0){bb=Ra;cb=Wa}else{db=Wa;eb=Ra;break}}}else{db=0;eb=Na}while(0);Ja=+(eb+Na|0)*.5/10.0*+n[s>>2]+ +(f[r>>2]|0);if((db|0)<(Da|0)?!(Ha*+(db|0)>=Ka*Ja):0)fb=eb;else{Ya=db;Za=eb;_a=Ja;break b}}else fb=Na;if((fb|0)>1){Oa=fb;Na=fb+-1|0}else{$a=Da;ab=Ha;break a}}}while(0);if((Za|0)>1){Ca=Za;Da=Ya;Ha=_a}else{$a=Ya;ab=_a;break}}}else{$a=0;ab=0.0}while(0);Da=f[qa>>2]|0;if(Da|0?(Ca=Da+12|0,Da=f[Ca>>2]|0,f[Ca>>2]=Da+-1,(Da|0)==1):0)aU(e);f[qa>>2]=0;f[ba>>2]=0;f[ba+4>>2]=0;f[ba+8>>2]=0;f[ba+12>>2]=0;if((f[_>>2]|0)>0){Da=f[ea>>2]|0;Ca=0;do{f[Da+(Ca<<2)>>2]=0;Ca=Ca+1|0}while((Ca|0)<(f[_>>2]|0))}Ca=f[ga>>2]|0;if((Ca|0)!=(fa|0))TC(Ca);Ca=f[ra>>2]|0;if(Ca|0?(Da=Ca+12|0,Ca=f[Da>>2]|0,f[Da>>2]=Ca+-1,(Ca|0)==1):0)aU(d);f[ra>>2]=0;f[R>>2]=0;f[R+4>>2]=0;f[R+8>>2]=0;f[R+12>>2]=0;if((f[O>>2]|0)>0){Ca=f[U>>2]|0;Da=0;do{f[Ca+(Da<<2)>>2]=0;Da=Da+1|0}while((Da|0)<(f[O>>2]|0))}Da=f[W>>2]|0;if((Da|0)!=(V|0))TC(Da);gb=ab;hb=$a}else{gb=0.0;hb=0}}else{gb=0.0;hb=0}if((hb|0)>(f[sa>>2]|0)){n[d>>2]=Fa;n[ta>>2]=Ga;n[ua>>2]=gb;f[va>>2]=hb;Da=f[q>>2]|0;if(Da>>>0<(f[wa>>2]|0)>>>0){n[Da>>2]=Fa;f[Da+4>>2]=f[ta>>2];f[Da+8>>2]=f[ua>>2];f[Da+12>>2]=hb;f[q>>2]=Da+16}else tva(h,d)}Da=za+1|0;if((Da|0)>=(f[H>>2]|0))break;za=Da;Aa=f[y>>2]|0;Ba=+n[s>>2]}Aa=f[h>>2]|0;za=f[q>>2]|0;if((Aa|0)!=(za|0)){f[d>>2]=572;jva(Aa,za,d);if(I){za=f[a+16>>2]|0;Aa=f[za>>2]|0;f[za>>2]=f[h>>2];f[h>>2]=Aa;Aa=za+4|0;ua=f[Aa>>2]|0;f[Aa>>2]=f[q>>2];f[q>>2]=ua;ua=za+8|0;za=h+8|0;Aa=f[ua>>2]|0;f[ua>>2]=f[za>>2];f[za>>2]=Aa;break}Aa=f[a+52>>2]|0;$tc(Aa);za=f[a+16>>2]|0;ua=f[za>>2]|0;ta=za+4|0;wa=f[ta>>2]|0;va=wa;if((ua|0)==(wa|0)){f[za>>2]=f[h>>2];f[h>>2]=ua;f[ta>>2]=f[q>>2];f[q>>2]=va;ta=za+8|0;ua=h+8|0;wa=f[ta>>2]|0;f[ta>>2]=f[ua>>2];f[ua>>2]=wa}else{f[m>>2]=va;f[o>>2]=f[h>>2];f[p>>2]=f[q>>2];f[g>>2]=f[m>>2];f[e>>2]=f[o>>2];f[d>>2]=f[p>>2];uva(za,g,e,d)|0}auc(Aa)}}while(0);d=f[k>>2]|0;if((d|0)!=(D|0)){if(d|0)guc(d);f[k>>2]=D;f[F>>2]=264}F=f[j>>2]|0;if((F|0)!=(A|0)){if(F|0)guc(F);f[j>>2]=A;f[B>>2]=264}B=f[i>>2]|0;if((B|0)!=(w|0)){if(B|0)guc(B);f[i>>2]=w;f[x>>2]=264}x=f[h>>2]|0;if(!x){u=c;return}h=f[q>>2]|0;if((h|0)!=(x|0))f[q>>2]=h+(~((h+-16-x|0)>>>4)<<4);fuc(x);u=c;return}function xva(a){a=a|0;fuc(a);return}function yva(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;c=u;u=u+48|0;d=c+32|0;e=c+28|0;g=c+24|0;h=c+12|0;i=c+8|0;j=c+4|0;k=c;l=f[b>>2]|0;m=f[b+4>>2]|0;f[h>>2]=0;b=h+4|0;f[b>>2]=0;f[h+8>>2]=0;n=(l|0)==1?(m|0)==((f[(f[a+4>>2]|0)+8>>2]|0)+-1|0):0;o=(l|0)>1?l:1;l=(f[a+20>>2]|0)+-1|0;p=(m|0)<(l|0)?m:l;do if((o|0)<(p|0)){l=a+16|0;m=a+24|0;q=a+12|0;r=h+8|0;s=o;t=f[l>>2]|0;while(1){v=Y(t,s)|0;w=v+1|0;f[d>>2]=w;if((t+-1|0)>1){x=1;y=t;z=v;v=w;while(1){w=f[m>>2]|0;A=f[w+(v<<2)>>2]|0;do if(((((A|0)>(f[q>>2]|0)?(A|0)>(f[w+(z<<2)>>2]|0):0)?(A|0)>=(f[w+(z+2<<2)>>2]|0):0)?(A|0)>(f[w+(v-y<<2)>>2]|0):0)?(A|0)>=(f[w+(y+v<<2)>>2]|0):0){B=f[b>>2]|0;if((B|0)==(f[r>>2]|0)){es(h,d);break}else{f[B>>2]=v;f[b>>2]=B+4;break}}while(0);x=x+1|0;z=f[d>>2]|0;v=z+1|0;f[d>>2]=v;w=f[l>>2]|0;if((x|0)>=(w+-1|0)){C=w;break}else y=w}}else C=t;s=s+1|0;if((s|0)>=(p|0))break;else t=C}t=f[h>>2]|0;s=f[b>>2]|0;if((t|0)!=(s|0)){if(!n){l=f[a+28>>2]|0;$tc(l);r=f[a+8>>2]|0;f[i>>2]=f[r+4>>2];f[j>>2]=f[h>>2];f[k>>2]=f[b>>2];f[g>>2]=f[i>>2];f[e>>2]=f[j>>2];f[d>>2]=f[k>>2];Ava(r,g,e,d)|0;auc(l);D=19;break}l=f[a+8>>2]|0;if((l|0)==(h|0))D=19;else{zva(l,t,s);D=19}}else E=t}else D=19;while(0);if((D|0)==19)E=f[h>>2]|0;if(!E){u=c;return}h=f[b>>2]|0;if((h|0)!=(E|0))f[b>>2]=h+(~((h+-4-E|0)>>>2)<<2);fuc(E);u=c;return}function zva(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=c;e=b;g=d-e|0;h=g>>2;i=a+8|0;j=f[i>>2]|0;k=f[a>>2]|0;l=k;if(h>>>0<=j-k>>2>>>0){m=a+4|0;n=(f[m>>2]|0)-k>>2;o=h>>>0>n>>>0;p=o?b+(n<<2)|0:c;c=p;n=c-e|0;e=n>>2;if(e|0)uzc(k|0,b|0,n|0)|0;n=l+(e<<2)|0;if(o){o=d-c|0;if((o|0)<=0)return;szc(f[m>>2]|0,p|0,o|0)|0;f[m>>2]=(f[m>>2]|0)+(o>>>2<<2);return}else{o=f[m>>2]|0;if((o|0)==(n|0))return;f[m>>2]=o+(~((o+-4-n|0)>>>2)<<2);return}}n=k;if(!k)q=j;else{j=a+4|0;o=f[j>>2]|0;if((o|0)!=(l|0))f[j>>2]=o+(~((o+-4-k|0)>>>2)<<2);fuc(n);f[i>>2]=0;f[j>>2]=0;f[a>>2]=0;q=0}if(h>>>0>1073741823)nsc(a);j=q>>1;n=q>>2>>>0<536870911?(j>>>0<h>>>0?h:j):1073741823;if(n>>>0>1073741823)nsc(a);j=cuc(n<<2)|0;h=a+4|0;f[h>>2]=j;f[a>>2]=j;f[i>>2]=j+(n<<2);if((g|0)<=0)return;szc(j|0,b|0,g|0)|0;f[h>>2]=j+(g>>>2<<2);return}function Ava(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0;e=f[a>>2]|0;g=e;h=(f[b>>2]|0)-g|0;b=e+(h>>2<<2)|0;i=f[c>>2]|0;j=f[d>>2]|0;d=j-i|0;k=d>>2;l=j;if((d|0)<=0){m=b;return m|0}d=a+8|0;n=f[d>>2]|0;o=a+4|0;p=f[o>>2]|0;q=p;if((k|0)<=(n-q>>2|0)){r=b;s=q-r|0;t=s>>2;if((k|0)>(t|0)){u=i+(t<<2)|0;t=u;if((u|0)==(l|0))v=p;else{w=l+-4-t|0;x=u;u=p;while(1){f[u>>2]=f[x>>2];x=x+4|0;if((x|0)==(l|0))break;else u=u+4|0}u=p+((w>>>2)+1<<2)|0;f[o>>2]=u;v=u}if((s|0)>0){y=t;z=v}else{m=b;return m|0}}else{y=j;z=p}j=z-(b+(k<<2))|0;v=j>>2;t=b+(v<<2)|0;if(t>>>0<p>>>0){s=(p+(0-v<<2)+~r|0)>>>2;r=t;t=z;while(1){f[t>>2]=f[r>>2];r=r+4|0;if(r>>>0>=p>>>0)break;else t=t+4|0}f[o>>2]=z+(s+1<<2)}if(!v)A=i;else{uzc(z+(0-v<<2)|0,b|0,j|0)|0;A=f[c>>2]|0}c=y-A|0;if(!c){m=b;return m|0}uzc(b|0,A|0,c|0)|0;m=b;return m|0}c=(q-g>>2)+k|0;if(c>>>0>1073741823)nsc(a);k=n-g|0;g=k>>1;n=k>>2>>>0<536870911?(g>>>0<c>>>0?c:g):1073741823;g=b;c=h>>2;do if(n)if(n>>>0>1073741823){k=ze(8)|0;kuc(k,519086);f[k>>2]=167148;Hf(k|0,26888,1888)}else{B=cuc(n<<2)|0;break}else B=0;while(0);k=B+(c<<2)|0;A=B+(n<<2)|0;n=i;if((n|0)==(l|0))C=k;else{B=((l+-4-i|0)>>>2)+1|0;i=n;n=k;while(1){f[n>>2]=f[i>>2];i=i+4|0;if((i|0)==(l|0))break;else n=n+4|0}C=k+(B<<2)|0}B=k+(0-c<<2)|0;if((h|0)>0)szc(B|0,e|0,h|0)|0;h=q-g|0;if((h|0)>0){szc(C|0,b|0,h|0)|0;D=C+(h>>>2<<2)|0}else D=C;f[a>>2]=B;f[o>>2]=D;f[d>>2]=A;if(!e){m=k;return m|0}fuc(e);m=k;return m|0}function Bva(a){a=a|0;fuc(a);return}function Cva(a,c){a=a|0;c=c|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0.0,V=0.0,W=0.0,X=0,Z=0.0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0;e=u;u=u+176|0;g=e+160|0;h=e;i=e+144|0;j=e+88|0;k=e+32|0;l=a+40|0;m=(f[l>>2]|0)+2|0;o=a+36|0;p=(f[o>>2]|0)+2|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;f[h+16>>2]=0;f[h+20>>2]=0;f[h+24>>2]=0;f[h+28>>2]=0;f[j>>2]=1124007936;q=j+4|0;r=j+8|0;s=j+40|0;t=q;v=t+36|0;do{f[t>>2]=0;t=t+4|0}while((t|0)<(v|0));f[s>>2]=r;t=j+48|0;v=j+44|0;f[v>>2]=t;f[t>>2]=0;f[j+52>>2]=0;f[g>>2]=m;f[g+4>>2]=p;ZT(j,2,g,4);GI(j,h)|0;p=j+16|0;m=f[p>>2]|0;w=a+32|0;x=f[w>>2]|0;eva(k,f[x+8>>2]|0,f[x+12>>2]|0);x=f[c>>2]|0;y=f[c+4>>2]|0;c=a+4|0;z=f[c>>2]|0;A=f[z+12>>2]|0;if((f[z>>2]&16384|0)!=0?(f[f[a+8>>2]>>2]&16384|0)!=0:0){B=(f[f[a+12>>2]>>2]&16384|0)!=0;C=Y(B?y-x|0:1,A)|0;D=B?x+1|0:y;E=C}else{D=y;E=A}a:do if((x|0)<(D|0)){A=a+8|0;y=a+12|0;C=(E|0)>0;B=k+16|0;F=k+44|0;G=a+24|0;H=a+16|0;I=a+20|0;J=a+44|0;K=x;L=z;while(1){N=(f[L+16>>2]|0)+(Y(f[f[L+44>>2]>>2]|0,K)|0)|0;O=f[A>>2]|0;P=(f[O+16>>2]|0)+(Y(f[f[O+44>>2]>>2]|0,K)|0)|0;O=f[y>>2]|0;Q=(f[O+16>>2]|0)+(Y(f[f[O+44>>2]>>2]|0,K)|0)|0;if(C){O=0;do{b:do if((O|0)<(E|0)){R=O;while(1){if(b[N+R>>0]|0){S=R;break b}T=R+1|0;if((T|0)<(E|0))R=T;else{S=T;break}}}else S=O;while(0);c:do if(((S|0)!=(E|0)?(R=d[P+(S<<1)>>1]|0,U=+(R<<16>>16),T=d[Q+(S<<1)>>1]|0,V=+(T<<16>>16),(T|R)<<16>>16):0)?(W=+M(+(U*U+V*V)),!(W<1.0)):0){R=f[(f[c>>2]|0)+12>>2]|0;T=(S|0)%(R|0)|0;X=((S|0)/(R|0)|0)+K|0;R=(f[B>>2]|0)+(Y(f[f[F>>2]>>2]|0,X)|0)+T|0;b[R>>0]=1;Z=+n[G>>2];R=Ghc(U*Z*1024.0/W)|0;_=Ghc(V*Z*1024.0/W)|0;$=Ghc(+(T|0)*Z*1024.0)|0;T=Ghc(+(X|0)*Z*1024.0)|0;X=f[H>>2]|0;aa=f[I>>2]|0;if((X|0)>(aa|0)){ba=X;ca=aa}else{da=X;ea=(Y(X,_)|0)+T|0;fa=(Y(X,R)|0)+$|0;X=aa;while(1){aa=fa>>10;ga=ea>>10;if(aa>>>0>=(f[o>>2]|0)>>>0){ha=X;break}if(ga>>>0>=(f[l>>2]|0)>>>0){ha=X;break}ia=m+((Y(f[J>>2]|0,ga)|0)+aa<<2)|0;f[ia>>2]=(f[ia>>2]|0)+1;ia=f[I>>2]|0;if((da|0)<(ia|0)){da=da+1|0;ea=ea+_|0;fa=fa+R|0;X=ia}else{ha=ia;break}}ba=f[H>>2]|0;ca=ha}if((ba|0)<=(ca|0)){X=ba;fa=(Y(ba,0-_|0)|0)+T|0;ea=(Y(ba,0-R|0)|0)+$|0;while(1){da=ea>>10;ia=fa>>10;if(da>>>0>=(f[o>>2]|0)>>>0)break c;if(ia>>>0>=(f[l>>2]|0)>>>0)break c;aa=m+((Y(f[J>>2]|0,ia)|0)+da<<2)|0;f[aa>>2]=(f[aa>>2]|0)+1;if((X|0)<(f[I>>2]|0)){X=X+1|0;fa=fa-_|0;ea=ea-R|0}else break}}}while(0);O=S+1|0}while((O|0)<(E|0))}O=K+1|0;if((O|0)==(D|0))break a;K=O;L=f[c>>2]|0}}while(0);c=f[a+48>>2]|0;$tc(c);D=f[a+28>>2]|0;a=D+4|0;E=f[a>>2]|0;if((E|0)==(f[D+8>>2]|0))ot(D,j);else{f[E>>2]=f[j>>2];D=E+4|0;f[D>>2]=f[q>>2];S=E+8|0;f[S>>2]=f[r>>2];f[E+12>>2]=f[j+12>>2];f[E+16>>2]=f[p>>2];f[E+20>>2]=f[j+20>>2];f[E+24>>2]=f[j+24>>2];f[E+28>>2]=f[j+28>>2];f[E+32>>2]=f[j+32>>2];r=f[j+36>>2]|0;f[E+36>>2]=r;f[E+40>>2]=S;S=E+48|0;m=E+44|0;f[m>>2]=S;f[S>>2]=0;f[E+52>>2]=0;if(r|0){S=r+12|0;f[S>>2]=(f[S>>2]|0)+1}if((f[q>>2]|0)<3){S=f[v>>2]|0;r=f[m>>2]|0;f[r>>2]=f[S>>2];f[r+4>>2]=f[S+4>>2]}else{f[D>>2]=0;$T(E,j)}f[a>>2]=(f[a>>2]|0)+56}a=f[w>>2]|0;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=-2130640896;f[g+4>>2]=k;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=-2130640896;f[h+4>>2]=a;w=i+8|0;f[w>>2]=0;f[w+4>>2]=0;f[i>>2]=-2113863680;f[i+4>>2]=a;FV(g,h,i,sK()|0);auc(c);c=k+36|0;i=f[c>>2]|0;if(i|0?(h=i+12|0,i=f[h>>2]|0,f[h>>2]=i+-1,(i|0)==1):0)aU(k);f[c>>2]=0;c=k+16|0;i=k+4|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[i>>2]|0)>0){c=f[k+40>>2]|0;h=0;do{f[c+(h<<2)>>2]=0;h=h+1|0}while((h|0)<(f[i>>2]|0))}i=f[k+44>>2]|0;if((i|0)!=(k+48|0))TC(i);i=j+36|0;k=f[i>>2]|0;if(k|0?(h=k+12|0,k=f[h>>2]|0,f[h>>2]=k+-1,(k|0)==1):0)aU(j);f[i>>2]=0;f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;f[p+12>>2]=0;if((f[q>>2]|0)>0){p=f[s>>2]|0;s=0;do{f[p+(s<<2)>>2]=0;s=s+1|0}while((s|0)<(f[q>>2]|0))}q=f[v>>2]|0;if((q|0)==(t|0)){u=e;return}TC(q);u=e;return}function Dva(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+16|0;e=d;if(!((a|0)!=0&(c|0)!=0)){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;WD(-27,e,366658,366681,60)}if((f[a+28>>2]|0)!=1){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;WD(-201,e,366658,366681,63)}if((f[a+4>>2]|0)<64){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;WD(-201,e,366658,366681,63)}else{IK(a,c,0);e=a+56|0;a=f[e+4>>2]|0;g=c+36|0;f[g>>2]=f[e>>2];f[g+4>>2]=a;b[c+44>>0]=1;b[c+45>>0]=0;b[c+46>>0]=1;b[c+47>>0]=-1;b[c+48>>0]=0;a=c+49|0;b[a>>0]=-1;b[a+1>>0]=-1>>8;b[a+2>>0]=-1>>16;b[a+3>>0]=-1>>24;b[c+53>>0]=0;b[c+54>>0]=-1;b[c+55>>0]=1;b[c+56>>0]=0;b[c+57>>0]=1;b[c+58>>0]=1;b[c+59>>0]=1;u=d;return}}function Eva(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;k=u;u=u+48|0;l=k+12|0;m=k;if(!c){f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;WD(-27,l,366754,366681,184)}n=IZ(a,l,0,0)|0;l=f[n>>2]|0;a=(l&4095|0)==4;o=(e|0)==2&a?4:e;if(!((l&4094|0)==0&(o|0)<4|a&(o|0)==4)){a=cuc(128)|0;f[m>>2]=a;f[m+8>>2]=-2147483520;f[m+4>>2]=119;p=a;q=366779;r=p+119|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(r|0));b[a+119>>0]=0;WD(-210,m,366754,366681,195)}a=f[n+24>>2]|0;l=f[n+20>>2]|0;e=f[n+4>>2]|0;s=f[n+16>>2]|0;if(g>>>0>4){f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;WD(-211,m,366754,366681,202)}t=(g|0)==0;if(((t?64:88)|0)>(d|0)){f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;WD(-201,m,366754,366681,205)}v=UC(788)|0;kzc(v+8|0,0,780)|0;w=v+4|0;f[w>>2]=c;f[v>>2]=c;f[v+40>>2]=s;x=s+e|0;f[v+44>>2]=x;f[v+48>>2]=e;y=a+-1|0;f[v+52>>2]=y;z=l+-1|0;f[v+56>>2]=z;f[v+244>>2]=o;A=v+60|0;f[A>>2]=h;f[A+4>>2]=i;f[v+72>>2]=1;f[v+68>>2]=1;f[v+76>>2]=0;f[v+80>>2]=1;f[v+84>>2]=2;i=v+180|0;f[v+148>>2]=i;f[v+176>>2]=1;f[v+140>>2]=0;f[v+144>>2]=0;f[v+152>>2]=0;f[v+156>>2]=0;f[v+160>>2]=a;f[v+164>>2]=l;f[v+88>>2]=0;f[v+248>>2]=0;f[i>>2]=32768;i=v+236|0;f[i>>2]=g;f[v+240>>2]=g;do if((g+-3|0)>>>0>=2){A=v+252|0;if(t){f[A>>2]=20480;B=d;C=1;D=0;E=20480;F=A;break}else{f[A>>2]=20492;B=d;C=8;D=g;E=20492;F=A;break}}else{f[i>>2]=0;A=v+252|0;f[A>>2]=20480;B=64;C=1;D=g;E=20480;F=A}while(0);f[v+256>>2]=B;f[v+260>>2]=C;f[v+268>>2]=d;d=(D|0)==0;D=v+264|0;f[D>>2]=d?E:20492;f[v+272>>2]=d?C:8;f[F>>2]=E;f[D>>2]=t?20480:20492;yK(c,v+16|0);if((g|0)>2){g=vK(f[w>>2]|0)|0;f[v>>2]=g}if((o|0)>1){o=vK(f[w>>2]|0)|0;f[v+8>>2]=o;w=XK(0,64,44,o)|0;f[v+12>>2]=w}if((e|0)<=-1){f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;b[m+11>>0]=9;p=m;q=366899;r=p+9|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(r|0));b[m+9>>0]=0;WD(-215,m,366754,366681,285)}if((l|0)<=0){l=cuc(32)|0;f[m>>2]=l;f[m+8>>2]=-2147483616;f[m+4>>2]=16;p=l;q=366909;r=p+16|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(r|0));b[l+16>>0]=0;WD(-215,m,366754,366681,286)}if((j|0?(j=f[n>>2]|0,m=Y(675553809>>>(j<<2&28)&15,(j>>>3&511)+1|0)|0,j=Y(m,a)|0,kzc(s|0,0,j|0)|0,kzc(s+(Y(e,z)|0)|0,0,j|0)|0,(z|0)>1):0)?(j=Y(m,y)|0,m|0):0){y=1;s=x;while(1){x=0;do{b[s+(x+j)>>0]=0;b[s+x>>0]=0;x=x+1|0}while((x|0)!=(m|0));y=y+1|0;if((y|0)==(z|0))break;else s=s+e|0}}if((f[n>>2]&4095|0)==4){u=k;return v|0}+$ea(n,n,0.0,1.0,0);u=k;return v|0}function Fva(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0,qc=0,rc=0,sc=0,tc=0,uc=0,vc=0,wc=0,xc=0,yc=0,zc=0,Ac=0,Bc=0,Cc=0,Dc=0,Ec=0,Fc=0,Gc=0,Hc=0,Ic=0,Jc=0,Kc=0,Lc=0,Mc=0,Nc=0,Oc=0,Pc=0,Qc=0,Rc=0,Sc=0,Tc=0,Uc=0,Vc=0,Wc=0,Xc=0,Yc=0,Zc=0,_c=0,$c=0,ad=0,bd=0,cd=0,dd=0,ed=0,fd=0,gd=0,hd=0,id=0,jd=0,kd=0,ld=0,md=0,nd=0;c=u;u=u+128|0;d=c+104|0;e=c+88|0;g=c+84|0;h=c+72|0;i=c+8|0;j=c;if(!a){f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;WD(-27,d,366926,366681,1007)}k=a+48|0;l=f[k>>2]|0;if((l|0)<=-1){m=cuc(32)|0;f[d>>2]=m;f[d+8>>2]=-2147483616;f[d+4>>2]=22;n=m;o=366944;p=n+22|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));b[m+22>>0]=0;WD(-215,d,366926,366681,1013)}m=a+88|0;q=f[m>>2]|0;if(!q)r=l;else{l=a+248|0;if(f[l>>2]|0){s=a+4|0;yK(f[s>>2]|0,d);if((f[d>>2]|0)==(f[a+32>>2]|0)?(f[d+4>>2]|0)==(f[a+36>>2]|0):0)zK(f[s>>2]|0,a+24|0);f[l>>2]=0}l=f[q+12>>2]|0;if(l|0)fL(l,f[(f[q+8>>2]|0)+12>>2]|0,a+180|0);f[m>>2]=0;r=f[k>>2]|0}k=f[a+40>>2]|0;q=a+44|0;l=f[q>>2]|0;s=r>>>2;t=a+68|0;v=f[t>>2]|0;w=a+72|0;x=f[w>>2]|0;y=f[a+52>>2]|0;z=f[a+56>>2]|0;A=f[a+244>>2]|0;B=a+76|0;C=a+84|0;D=v+-1|0;E=(A|0)==4;if(E){F=-1073741824;G=f[l+(D<<2)>>2]|0}else{F=-2;G=b[l+D>>0]|0}if((x|0)>=(z|0)){H=0;u=c;return H|0}D=~F;I=(A|0)==0;J=a+136|0;K=a+4|0;L=a+24|0;M=a+252|0;N=a+256|0;O=a+260|0;P=a+92|0;Q=a+60|0;R=a+64|0;S=a+236|0;T=0-r|0;U=1-r|0;V=i+4|0;W=i+8|0;X=~r;Z=i+12|0;_=i+16|0;$=r+-1|0;aa=i+20|0;ba=i+24|0;ca=r+1|0;da=i+28|0;ea=i+32|0;fa=d+12|0;ga=d+20|0;ha=a+240|0;ia=a+32|0;ja=a+268|0;ka=a+12|0;la=0-s|0;ma=1-s|0;na=~s;oa=s+-1|0;pa=s+1|0;qa=d+12|0;ra=d+20|0;sa=d+12|0;ta=d+20|0;ua=(A|0)<2;va=E?k:0;wa=(va|0)!=0;xa=G;G=f[C>>2]|0;ya=l;l=x;x=v;v=f[B>>2]|0;za=f[a+80>>2]|0;a:while(1){Aa=E?ya:0;b:do if((x|0)<(y|0)){Ba=(Aa|0)!=0;Ca=Y(za,r)|0;Da=Y(za,s)|0;Ea=0;Fa=xa;Ga=G;Ha=x;Ia=v;while(1){Ja=(Ha|0)<(y|0);c:do if(Ba)if(Ja){Ka=Fa;La=Ha;while(1){Ma=f[Aa+(La<<2)>>2]|0;if((Ma|0)!=(Ka|0)?(Ma^Ka)&D|0:0){Na=Ma;Oa=Ka;Pa=La;break c}Qa=La+1|0;if((Qa|0)<(y|0)){Ka=Ma;La=Qa}else{Na=Ma;Oa=Ma;Pa=Qa;break}}}else{Na=Ea;Oa=Fa;Pa=Ha}else if(Ja){La=Ha;while(1){Ka=b[ya+La>>0]|0;if((Ka|0)!=(Fa|0)){Na=Ka;Oa=Fa;Pa=La;break c}Ka=La+1|0;if((Ka|0)<(y|0))La=Ka;else{Na=Fa;Oa=Fa;Pa=Ka;break}}}else{Na=Ea;Oa=Fa;Pa=Ha}while(0);if((Pa|0)>=(y|0)){Ra=Ga;break b}if(Ba){Ja=(Oa&F|0)!=0;La=(Na&F|0)==0;if(!(((Oa|0)==0|Ja)&La))if(La&(Ja^1))if(Ja)Sa=36;else{Ta=1;Ua=Ia;Sa=37}else{Va=Ga;Wa=Na;Xa=Ia}else{Ta=0;Ua=Ia;Sa=37}}else if(!((Oa|0)==0&(Na|0)==1))if(!((Oa|0)<1|(Na|0)!=0))if(!(Oa&F)){Ta=1;Ua=Ia;Sa=37}else Sa=36;else{Va=Ga;Wa=Na;Xa=Ia}else{Ta=0;Ua=Ia;Sa=37}if((Sa|0)==36){Sa=0;Ta=1;Ua=Pa+-1|0;Sa=37}d:do if((Sa|0)==37){Sa=0;e:do if(I){if(Ta|0){Va=Ga;Wa=Na;Xa=Ua;break d}if((b[k+(Ua+Ca)>>0]|0)>0){Va=Ga;Wa=Na;Xa=Ua;break d}else{Ya=J;Za=Pa;_a=1}}else{Ja=Pa-Ta|0;if(!ua){if(!Ta)switch(A|0){case 2:case 4:{Ya=J;Za=Ja;_a=0;break e;break}default:{}}if((Ua|0)>=1){if(wa)$a=f[va+(Ua+Da<<2)>>2]|0;else $a=b[k+(Ua+Ca)>>0]|0;La=f[a+276+(($a&127)<<2)>>2]|0;if(!La){Sa=81;break a}Ka=Aa+(Ua<<2)|0;Qa=ya+Ua|0;Ma=La;La=0;f:while(1){do if((Ua-(f[Ma+16>>2]|0)|0)>>>0<(f[Ma+24>>2]|0)>>>0){if((za-(f[Ma+20>>2]|0)|0)>>>0>=(f[Ma+28>>2]|0)>>>0){ab=La;break}if(!La){ab=Ma;break}bb=f[La+36>>2]|0;if(!wa){cb=k+(Y(bb,r)|0)|0;db=cb+(f[La+32>>2]|0)|0;cb=f[La+40>>2]|0;f[i>>2]=1;f[V>>2]=U;f[W>>2]=T;f[Z>>2]=X;f[_>>2]=-1;f[aa>>2]=$;f[ba>>2]=r;f[da>>2]=ca;f[ea>>2]=f[i>>2];f[ea+4>>2]=f[i+4>>2];f[ea+8>>2]=f[i+8>>2];f[ea+12>>2]=f[i+12>>2];f[ea+16>>2]=f[i+16>>2];f[ea+20>>2]=f[i+20>>2];f[ea+24>>2]=f[i+24>>2];f[ea+28>>2]=f[i+28>>2];eb=cb|0?0:4;cb=eb;do{cb=cb+7&7;fb=db+(f[i+(cb<<2)>>2]|0)|0;gb=(cb|0)==(eb|0)}while(!((b[fb>>0]|0)!=0|gb));g:do if(gb)hb=db;else{eb=db;ib=cb;while(1){jb=ib;while(1){kb=jb+1|0;lb=eb+(f[i+(kb<<2)>>2]|0)|0;if(!lb){Sa=72;break a}if((kb|0)<15&(b[lb>>0]|0)==0)jb=kb;else break}if((eb|0)==(Qa|0)){Sa=75;break f}if((eb|0)==(fb|0)&(lb|0)==(db|0)){hb=fb;break g}eb=lb;ib=jb+5&7}}while(0);if((hb|0)==(Qa|0)){mb=La;break f}else{ab=Ma;break}}db=va+((Y(bb,s)|0)<<2)|0;cb=db+(f[La+32>>2]<<2)|0;if(!cb){Sa=54;break a}db=f[La+40>>2]|0;ib=f[cb>>2]&1073741823;f[i>>2]=1;f[V>>2]=ma;f[W>>2]=la;f[Z>>2]=na;f[_>>2]=-1;f[aa>>2]=oa;f[ba>>2]=s;f[da>>2]=pa;f[ea>>2]=f[i>>2];f[ea+4>>2]=f[i+4>>2];f[ea+8>>2]=f[i+8>>2];f[ea+12>>2]=f[i+12>>2];f[ea+16>>2]=f[i+16>>2];f[ea+20>>2]=f[i+20>>2];f[ea+24>>2]=f[i+24>>2];f[ea+28>>2]=f[i+28>>2];eb=db|0?0:4;db=eb;do{db=db+7&7;nb=cb+(f[i+(db<<2)>>2]<<2)|0;ob=(db|0)==(eb|0)}while(!(ob|(f[nb>>2]&1073741823|0)==(ib|0)));h:do if(ob)pb=cb;else{eb=cb;bb=db;while(1){kb=bb;while(1){qb=kb+1|0;rb=eb+(f[i+(qb<<2)>>2]<<2)|0;if(!rb){Sa=60;break a}if((qb|0)<15?(f[rb>>2]&1073741823|0)!=(ib|0):0)kb=qb;else break}if((eb|0)==(Ka|0)){Sa=63;break f}if((eb|0)==(nb|0)&(rb|0)==(cb|0)){pb=nb;break h}eb=rb;bb=kb+5&7}}while(0);if((pb|0)==(Ka|0)){mb=La;break f}else ab=Ma}else ab=La;while(0);Ma=f[Ma+4>>2]|0;if(!Ma){mb=ab;break}else La=ab}if((Sa|0)==63){Sa=0;mb=La}else if((Sa|0)==75){Sa=0;mb=La}if(!mb){Sa=81;break a}if((f[mb+40>>2]|0)==(Ta|0)){Ma=f[mb+8>>2]|0;sb=(Ma|0)==0?J:Ma}else sb=mb;if(!(f[sb+12>>2]|0)){Va=Ga;Wa=Na;Xa=Ua;break d}else{Ya=sb;Za=Ja;_a=0}}else{Ya=J;Za=Ja;_a=0}}else{Ya=J;Za=Ja;_a=1}}while(0);yK(f[K>>2]|0,L);Ma=DK(f[M>>2]|0,f[N>>2]|0,f[O>>2]|0,f[a>>2]|0)|0;f[Ma>>2]=f[Ma>>2]|(Ta|0?32768:0);f[j>>2]=0;if(_a){f[j>>2]=P;Ka=ya+Pa+(0-Ta)|0;Qa=(f[Q>>2]|0)+Za|0;cb=(f[R>>2]|0)+l|0;ib=f[S>>2]|0;f[i>>2]=1;f[V>>2]=U;f[W>>2]=T;f[Z>>2]=X;f[_>>2]=-1;f[aa>>2]=$;f[ba>>2]=r;f[da>>2]=ca;f[ea>>2]=f[i>>2];f[ea+4>>2]=f[i+4>>2];f[ea+8>>2]=f[i+8>>2];f[ea+12>>2]=f[i+12>>2];f[ea+16>>2]=f[i+16>>2];f[ea+20>>2]=f[i+20>>2];f[ea+24>>2]=f[i+24>>2];f[ea+28>>2]=f[i+28>>2];KK(Ma,d);db=(ib|0)<1;if(db){bb=Ma+56|0;f[bb>>2]=Qa;f[bb+4>>2]=cb}bb=(f[Ma>>2]|0)>>>13&4^4;eb=bb;do{eb=eb+7&7;tb=Ka+(f[i+(eb<<2)>>2]|0)|0;ub=(eb|0)==(bb|0)}while(!((b[tb>>0]|0)!=0|ub));i:do if(ub){b[Ka>>0]=-126;if((ib|0)>0){bb=f[fa>>2]|0;if(bb>>>0<(f[ga>>2]|0)>>>0)vb=bb;else{OK(d);vb=f[fa>>2]|0}bb=vb;jb=bb;b[jb>>0]=Qa;b[jb+1>>0]=Qa>>8;b[jb+2>>0]=Qa>>16;b[jb+3>>0]=Qa>>24;jb=bb+4|0;b[jb>>0]=cb;b[jb+1>>0]=cb>>8;b[jb+2>>0]=cb>>16;b[jb+3>>0]=cb>>24;f[fa>>2]=(f[fa>>2]|0)+8;NK(d)|0;Sa=133}else Sa=132}else{if(db){jb=Ka;bb=eb;while(1){qb=bb;while(1){wb=qb+1|0;xb=jb+(f[i+(wb<<2)>>2]|0)|0;if(!xb){Sa=121;break a}if((wb|0)<15&(b[xb>>0]|0)==0)qb=wb;else break}yb=wb&7;if((yb+-1|0)>>>0>=bb>>>0){if((b[jb>>0]|0)==1){zb=2;Sa=114}}else{zb=-126;Sa=114}if((Sa|0)==114){Sa=0;b[jb>>0]=zb}Ab=f[fa>>2]|0;if(Ab>>>0<(f[ga>>2]|0)>>>0)Bb=Ab;else{OK(d);Bb=f[fa>>2]|0}b[Bb>>0]=yb;f[fa>>2]=(f[fa>>2]|0)+1;if((jb|0)==(tb|0)&(xb|0)==(Ka|0)){Sa=132;break i}jb=xb;bb=qb+5&7}}if((ib|0)==1){bb=Ka;jb=eb;Ja=Qa;La=cb;while(1){yb=jb;while(1){Cb=yb+1|0;Db=bb+(f[i+(Cb<<2)>>2]|0)|0;if(!Db){Sa=121;break a}if((Cb|0)<15&(b[Db>>0]|0)==0)yb=Cb;else break}qb=Cb&7;if((qb+-1|0)>>>0>=jb>>>0){if((b[bb>>0]|0)==1){Eb=2;Sa=104}}else{Eb=-126;Sa=104}if((Sa|0)==104){Sa=0;b[bb>>0]=Eb}Ab=f[fa>>2]|0;if(Ab>>>0<(f[ga>>2]|0)>>>0)Fb=Ab;else{OK(d);Fb=f[fa>>2]|0}Ab=Fb;Gb=Ab;b[Gb>>0]=Ja;b[Gb+1>>0]=Ja>>8;b[Gb+2>>0]=Ja>>16;b[Gb+3>>0]=Ja>>24;Gb=Ab+4|0;b[Gb>>0]=La;b[Gb+1>>0]=La>>8;b[Gb+2>>0]=La>>16;b[Gb+3>>0]=La>>24;f[fa>>2]=(f[fa>>2]|0)+8;if((bb|0)==(tb|0)&(Db|0)==(Ka|0)){Sa=132;break i}bb=Db;jb=yb+5&7;Ja=(f[83004+(qb<<3)>>2]|0)+Ja|0;La=(f[83004+(qb<<3)+4>>2]|0)+La|0}}La=Ka;Ja=eb^4;jb=eb;bb=Qa;qb=cb;while(1){Gb=jb;while(1){Hb=Gb+1|0;Ib=La+(f[i+(Hb<<2)>>2]|0)|0;if(!Ib){Sa=121;break a}if((Hb|0)<15&(b[Ib>>0]|0)==0)Gb=Hb;else break}yb=Hb&7;if((yb+-1|0)>>>0>=jb>>>0){if((b[La>>0]|0)==1){Jb=2;Sa=125}}else{Jb=-126;Sa=125}if((Sa|0)==125){Sa=0;b[La>>0]=Jb}if((yb|0)==(Ja|0))Kb=Ja;else{Ab=f[fa>>2]|0;if(Ab>>>0<(f[ga>>2]|0)>>>0)Lb=Ab;else{OK(d);Lb=f[fa>>2]|0}Ab=Lb;Mb=Ab;b[Mb>>0]=bb;b[Mb+1>>0]=bb>>8;b[Mb+2>>0]=bb>>16;b[Mb+3>>0]=bb>>24;Mb=Ab+4|0;b[Mb>>0]=qb;b[Mb+1>>0]=qb>>8;b[Mb+2>>0]=qb>>16;b[Mb+3>>0]=qb>>24;f[fa>>2]=(f[fa>>2]|0)+8;Kb=yb}if((La|0)==(tb|0)&(Ib|0)==(Ka|0)){Sa=132;break i}La=Ib;Ja=Kb;jb=Gb+5&7;bb=(f[83004+(yb<<3)>>2]|0)+bb|0;qb=(f[83004+(yb<<3)+4>>2]|0)+qb|0}}while(0);if((Sa|0)==132?(Sa=0,NK(d)|0,ib|0):0)Sa=133;if((Sa|0)==133){Sa=0;jfa(e,Ma,1)}Nb=Ga;Ob=f[j>>2]|0}else{YK(f[ka>>2]|0,0,j)|0;Ka=f[j>>2]|0;if(!Ka){Sa=136;break a}cb=0-Ta|0;if(Ba){Qa=f[Aa+(Za<<2)>>2]&127;eb=Aa+(Pa<<2)+(cb<<2)|0;db=(f[Q>>2]|0)+Za|0;qb=(f[R>>2]|0)+l|0;bb=f[S>>2]|0;if(!eb){Sa=139;break a}f[e>>2]=0;f[g>>2]=0;jb=f[eb>>2]|0;Ja=jb&1073741823;La=Ja|1073741824;yb=jb|-1073741824;f[i>>2]=1;f[V>>2]=ma;f[W>>2]=la;f[Z>>2]=na;f[_>>2]=-1;f[aa>>2]=oa;f[ba>>2]=s;f[da>>2]=pa;f[ea>>2]=f[i>>2];f[ea+4>>2]=f[i+4>>2];f[ea+8>>2]=f[i+8>>2];f[ea+12>>2]=f[i+12>>2];f[ea+16>>2]=f[i+16>>2];f[ea+20>>2]=f[i+20>>2];f[ea+24>>2]=f[i+24>>2];f[ea+28>>2]=f[i+28>>2];KK(Ma,d);jb=(bb|0)<1;if(jb){Mb=Ma+56|0;f[Mb>>2]=db;f[Mb+4>>2]=qb}f[g>>2]=db;f[e>>2]=db;Mb=(f[Ma>>2]|0)>>>13&4^4;Ab=Mb;do{Ab=Ab+7&7;Pb=eb+(f[i+(Ab<<2)>>2]<<2)|0;Qb=(Ab|0)==(Mb|0)}while(!(Qb|(f[Pb>>2]&1073741823|0)==(Ja|0)));j:do if(Qb){f[eb>>2]=yb;if((bb|0)<=0){Rb=qb;Sb=qb;break}Mb=f[qa>>2]|0;if(Mb>>>0<(f[ra>>2]|0)>>>0)Tb=Mb;else{OK(d);Tb=f[qa>>2]|0}Mb=Tb;ib=Mb;b[ib>>0]=db;b[ib+1>>0]=db>>8;b[ib+2>>0]=db>>16;b[ib+3>>0]=db>>24;ib=Mb+4|0;b[ib>>0]=qb;b[ib+1>>0]=qb>>8;b[ib+2>>0]=qb>>16;b[ib+3>>0]=qb>>24;f[qa>>2]=(f[qa>>2]|0)+8;Rb=qb;Sb=qb}else{ib=Ab^4;if(jb){Mb=eb;Ub=ib;Vb=Ab;Wb=db;Xb=qb;Yb=qb;Zb=qb;while(1){_b=Vb;while(1){$b=_b+1|0;ac=Mb+(f[i+($b<<2)>>2]<<2)|0;if(!ac){Sa=184;break a}if(($b|0)<15?(f[ac>>2]&1073741823|0)!=(Ja|0):0)_b=$b;else break}Gb=$b&7;if((Gb+-1|0)>>>0>=Vb>>>0){if((f[Mb>>2]|0)==(Ja|0)){bc=La;Sa=172}}else{bc=yb;Sa=172}if((Sa|0)==172){Sa=0;f[Mb>>2]=bc}cc=f[qa>>2]|0;if(cc>>>0<(f[ra>>2]|0)>>>0)dc=cc;else{OK(d);dc=f[qa>>2]|0}b[dc>>0]=Gb;f[qa>>2]=(f[qa>>2]|0)+1;if((Gb|0)==(Ub|0)){ec=Xb;fc=Yb}else{if((Wb|0)>=(f[e>>2]|0)){if((Wb|0)>(f[g>>2]|0)){gc=g;Sa=178}}else{gc=e;Sa=178}if((Sa|0)==178){Sa=0;f[gc>>2]=Wb}cc=(Zb|0)<(Xb|0);ec=cc?Zb:Xb;fc=cc?Yb:(Zb|0)>(Yb|0)?Zb:Yb}if((Mb|0)==(Pb|0)&(ac|0)==(eb|0)){Rb=ec;Sb=fc;break j}Mb=ac;Ub=Gb;Vb=_b+5&7;Wb=(f[83004+(Gb<<3)>>2]|0)+Wb|0;Xb=ec;Yb=fc;Zb=(f[83004+(Gb<<3)+4>>2]|0)+Zb|0}}if((bb|0)==1){Zb=eb;Yb=ib;Xb=Ab;Wb=db;Vb=qb;Ub=qb;Mb=qb;while(1){Gb=Xb;while(1){hc=Gb+1|0;ic=Zb+(f[i+(hc<<2)>>2]<<2)|0;if(!ic){Sa=184;break a}if((hc|0)<15?(f[ic>>2]&1073741823|0)!=(Ja|0):0)Gb=hc;else break}_b=hc&7;if((_b+-1|0)>>>0>=Xb>>>0){if((f[Zb>>2]|0)==(Ja|0)){jc=La;Sa=157}}else{jc=yb;Sa=157}if((Sa|0)==157){Sa=0;f[Zb>>2]=jc}cc=f[qa>>2]|0;if(cc>>>0<(f[ra>>2]|0)>>>0)kc=cc;else{OK(d);kc=f[qa>>2]|0}cc=kc;lc=cc;b[lc>>0]=Wb;b[lc+1>>0]=Wb>>8;b[lc+2>>0]=Wb>>16;b[lc+3>>0]=Wb>>24;lc=cc+4|0;b[lc>>0]=Mb;b[lc+1>>0]=Mb>>8;b[lc+2>>0]=Mb>>16;b[lc+3>>0]=Mb>>24;f[qa>>2]=(f[qa>>2]|0)+8;if((_b|0)==(Yb|0)){mc=Vb;nc=Ub}else{if((Wb|0)>=(f[e>>2]|0)){if((Wb|0)>(f[g>>2]|0)){oc=g;Sa=163}}else{oc=e;Sa=163}if((Sa|0)==163){Sa=0;f[oc>>2]=Wb}lc=(Mb|0)<(Vb|0);mc=lc?Mb:Vb;nc=lc?Ub:(Mb|0)>(Ub|0)?Mb:Ub}if((Zb|0)==(Pb|0)&(ic|0)==(eb|0)){Rb=mc;Sb=nc;break j}Zb=ic;Yb=_b;Xb=Gb+5&7;Wb=(f[83004+(_b<<3)>>2]|0)+Wb|0;Vb=mc;Ub=nc;Mb=(f[83004+(_b<<3)+4>>2]|0)+Mb|0}}else{pc=eb;qc=ib;rc=Ab;sc=db;tc=qb;uc=qb;vc=qb}while(1){Mb=rc;while(1){wc=Mb+1|0;xc=pc+(f[i+(wc<<2)>>2]<<2)|0;if(!xc){Sa=184;break a}if((wc|0)<15?(f[xc>>2]&1073741823|0)!=(Ja|0):0)Mb=wc;else break}Gb=wc&7;if((Gb+-1|0)>>>0>=rc>>>0){if((f[pc>>2]|0)==(Ja|0)){yc=La;Sa=188}}else{yc=yb;Sa=188}if((Sa|0)==188){Sa=0;f[pc>>2]=yc}Ub=(Gb|0)==(qc|0);do if(Ub){zc=tc;Ac=uc}else{Vb=f[qa>>2]|0;if(Vb>>>0<(f[ra>>2]|0)>>>0)Bc=Vb;else{OK(d);Bc=f[qa>>2]|0}Vb=Bc;Wb=Vb;b[Wb>>0]=sc;b[Wb+1>>0]=sc>>8;b[Wb+2>>0]=sc>>16;b[Wb+3>>0]=sc>>24;Wb=Vb+4|0;b[Wb>>0]=vc;b[Wb+1>>0]=vc>>8;b[Wb+2>>0]=vc>>16;b[Wb+3>>0]=vc>>24;f[qa>>2]=(f[qa>>2]|0)+8;if(Ub){zc=tc;Ac=uc;break}if((sc|0)>=(f[e>>2]|0)){if((sc|0)>(f[g>>2]|0)){Cc=g;Sa=195}}else{Cc=e;Sa=195}if((Sa|0)==195){Sa=0;f[Cc>>2]=sc}Wb=(vc|0)<(tc|0);zc=Wb?vc:tc;Ac=Wb?uc:(vc|0)>(uc|0)?vc:uc}while(0);if((pc|0)==(Pb|0)&(xc|0)==(eb|0)){Rb=zc;Sb=Ac;break j}pc=xc;qc=Gb;rc=Mb+5&7;sc=(f[83004+(Gb<<3)>>2]|0)+sc|0;tc=zc;uc=Ac;vc=(f[83004+(Gb<<3)+4>>2]|0)+vc|0}}while(0);eb=f[e>>2]|0;yb=1-eb+(f[g>>2]|0)|0;f[g>>2]=yb;La=1-Rb+Sb|0;NK(d)|0;if(bb|0){f[Ma+56>>2]=eb;f[Ma+60>>2]=Rb;f[Ma+64>>2]=yb;f[Ma+68>>2]=La}f[Ka+16>>2]=eb;f[Ka+20>>2]=Rb;f[Ka+24>>2]=yb;f[Ka+28>>2]=La;Dc=Qa;Ec=Ga}else{La=Ga+1&127;yb=((La|0)==0?3:0)+La|0;La=ya+Pa+cb|0;eb=(f[Q>>2]|0)+Za|0;Ja=(f[R>>2]|0)+l|0;qb=f[S>>2]|0;f[e>>2]=0;f[g>>2]=0;f[i>>2]=1;f[V>>2]=U;f[W>>2]=T;f[Z>>2]=X;f[_>>2]=-1;f[aa>>2]=$;f[ba>>2]=r;f[da>>2]=ca;f[ea>>2]=f[i>>2];f[ea+4>>2]=f[i+4>>2];f[ea+8>>2]=f[i+8>>2];f[ea+12>>2]=f[i+12>>2];f[ea+16>>2]=f[i+16>>2];f[ea+20>>2]=f[i+20>>2];f[ea+24>>2]=f[i+24>>2];f[ea+28>>2]=f[i+28>>2];KK(Ma,d);db=(qb|0)<1;if(db){Ab=Ma+56|0;f[Ab>>2]=eb;f[Ab+4>>2]=Ja}f[g>>2]=eb;f[e>>2]=eb;Ab=(f[Ma>>2]|0)>>>13&4^4;jb=Ab;do{jb=jb+7&7;Fc=La+(f[i+(jb<<2)>>2]|0)|0;Gc=(jb|0)==(Ab|0)}while(!((b[Fc>>0]|0)!=0|Gc));k:do if(Gc){b[La>>0]=Ga|128;if((qb|0)<=0){Hc=Ja;Ic=Ja;break}Ab=f[sa>>2]|0;if(Ab>>>0<(f[ta>>2]|0)>>>0)Jc=Ab;else{OK(d);Jc=f[sa>>2]|0}Ab=Jc;cb=Ab;b[cb>>0]=eb;b[cb+1>>0]=eb>>8;b[cb+2>>0]=eb>>16;b[cb+3>>0]=eb>>24;cb=Ab+4|0;b[cb>>0]=Ja;b[cb+1>>0]=Ja>>8;b[cb+2>>0]=Ja>>16;b[cb+3>>0]=Ja>>24;f[sa>>2]=(f[sa>>2]|0)+8;Hc=Ja;Ic=Ja}else{cb=jb^4;Ab=Ga|128;if(db){Qa=La;bb=cb;ib=jb;Ub=eb;Wb=Ja;Vb=Ja;Xb=Ja;while(1){Yb=ib;while(1){Kc=Yb+1|0;Lc=Qa+(f[i+(Kc<<2)>>2]|0)|0;if(!Lc){Sa=246;break a}if((Kc|0)<15&(b[Lc>>0]|0)==0)Yb=Kc;else break}Gb=Kc&7;if((Gb+-1|0)>>>0>=ib>>>0){if((b[Qa>>0]|0)==1){Mc=Ga;Sa=234}}else{Mc=Ab;Sa=234}if((Sa|0)==234){Sa=0;b[Qa>>0]=Mc}Mb=f[sa>>2]|0;if(Mb>>>0<(f[ta>>2]|0)>>>0)Nc=Mb;else{OK(d);Nc=f[sa>>2]|0}b[Nc>>0]=Gb;f[sa>>2]=(f[sa>>2]|0)+1;if((Gb|0)==(bb|0)){Oc=Wb;Pc=Vb}else{if((Ub|0)>=(f[e>>2]|0)){if((Ub|0)>(f[g>>2]|0)){Qc=g;Sa=240}}else{Qc=e;Sa=240}if((Sa|0)==240){Sa=0;f[Qc>>2]=Ub}Mb=(Xb|0)<(Wb|0);Oc=Mb?Xb:Wb;Pc=Mb?Vb:(Xb|0)>(Vb|0)?Xb:Vb}if((Qa|0)==(Fc|0)&(Lc|0)==(La|0)){Hc=Oc;Ic=Pc;break k}Qa=Lc;bb=Gb;ib=Yb+5&7;Ub=(f[83004+(Gb<<3)>>2]|0)+Ub|0;Wb=Oc;Vb=Pc;Xb=(f[83004+(Gb<<3)+4>>2]|0)+Xb|0}}if((qb|0)==1){Xb=La;Vb=cb;Wb=jb;Ub=eb;ib=Ja;bb=Ja;Qa=Ja;while(1){Gb=Wb;while(1){Rc=Gb+1|0;Sc=Xb+(f[i+(Rc<<2)>>2]|0)|0;if(!Sc){Sa=246;break a}if((Rc|0)<15&(b[Sc>>0]|0)==0)Gb=Rc;else break}Yb=Rc&7;if((Yb+-1|0)>>>0>=Wb>>>0){if((b[Xb>>0]|0)==1){Tc=Ga;Sa=219}}else{Tc=Ab;Sa=219}if((Sa|0)==219){Sa=0;b[Xb>>0]=Tc}Mb=f[sa>>2]|0;if(Mb>>>0<(f[ta>>2]|0)>>>0)Uc=Mb;else{OK(d);Uc=f[sa>>2]|0}Mb=Uc;Zb=Mb;b[Zb>>0]=Ub;b[Zb+1>>0]=Ub>>8;b[Zb+2>>0]=Ub>>16;b[Zb+3>>0]=Ub>>24;Zb=Mb+4|0;b[Zb>>0]=Qa;b[Zb+1>>0]=Qa>>8;b[Zb+2>>0]=Qa>>16;b[Zb+3>>0]=Qa>>24;f[sa>>2]=(f[sa>>2]|0)+8;if((Yb|0)==(Vb|0)){Vc=ib;Wc=bb}else{if((Ub|0)>=(f[e>>2]|0)){if((Ub|0)>(f[g>>2]|0)){Xc=g;Sa=225}}else{Xc=e;Sa=225}if((Sa|0)==225){Sa=0;f[Xc>>2]=Ub}Zb=(Qa|0)<(ib|0);Vc=Zb?Qa:ib;Wc=Zb?bb:(Qa|0)>(bb|0)?Qa:bb}if((Xb|0)==(Fc|0)&(Sc|0)==(La|0)){Hc=Vc;Ic=Wc;break k}Xb=Sc;Vb=Yb;Wb=Gb+5&7;Ub=(f[83004+(Yb<<3)>>2]|0)+Ub|0;ib=Vc;bb=Wc;Qa=(f[83004+(Yb<<3)+4>>2]|0)+Qa|0}}else{Yc=La;Zc=cb;_c=jb;$c=eb;ad=Ja;bd=Ja;cd=Ja}while(1){Qa=_c;while(1){dd=Qa+1|0;ed=Yc+(f[i+(dd<<2)>>2]|0)|0;if(!ed){Sa=246;break a}if((dd|0)<15&(b[ed>>0]|0)==0)Qa=dd;else break}Gb=dd&7;if((Gb+-1|0)>>>0>=_c>>>0){if((b[Yc>>0]|0)==1){fd=Ga;Sa=250}}else{fd=Ab;Sa=250}if((Sa|0)==250){Sa=0;b[Yc>>0]=fd}bb=(Gb|0)==(Zc|0);do if(bb){gd=ad;hd=bd}else{ib=f[sa>>2]|0;if(ib>>>0<(f[ta>>2]|0)>>>0)id=ib;else{OK(d);id=f[sa>>2]|0}ib=id;Ub=ib;b[Ub>>0]=$c;b[Ub+1>>0]=$c>>8;b[Ub+2>>0]=$c>>16;b[Ub+3>>0]=$c>>24;Ub=ib+4|0;b[Ub>>0]=cd;b[Ub+1>>0]=cd>>8;b[Ub+2>>0]=cd>>16;b[Ub+3>>0]=cd>>24;f[sa>>2]=(f[sa>>2]|0)+8;if(bb){gd=ad;hd=bd;break}if(($c|0)>=(f[e>>2]|0)){if(($c|0)>(f[g>>2]|0)){jd=g;Sa=257}}else{jd=e;Sa=257}if((Sa|0)==257){Sa=0;f[jd>>2]=$c}Ub=(cd|0)<(ad|0);gd=Ub?cd:ad;hd=Ub?bd:(cd|0)>(bd|0)?cd:bd}while(0);if((Yc|0)==(Fc|0)&(ed|0)==(La|0)){Hc=gd;Ic=hd;break k}Yc=ed;Zc=Gb;_c=Qa+5&7;$c=(f[83004+(Gb<<3)>>2]|0)+$c|0;ad=gd;bd=hd;cd=(f[83004+(Gb<<3)+4>>2]|0)+cd|0}}while(0);La=f[e>>2]|0;Ja=1-La+(f[g>>2]|0)|0;f[g>>2]=Ja;eb=1-Hc+Ic|0;NK(d)|0;if(qb|0){f[Ma+56>>2]=La;f[Ma+60>>2]=Hc;f[Ma+64>>2]=Ja;f[Ma+68>>2]=eb}f[Ka+16>>2]=La;f[Ka+20>>2]=Hc;f[Ka+24>>2]=Ja;f[Ka+28>>2]=eb;Dc=Ga;Ec=yb}eb=f[j>>2]|0;Ja=eb+16|0;f[Ja>>2]=(f[Ja>>2]|0)-(f[Q>>2]|0);Ja=eb+20|0;f[Ja>>2]=(f[Ja>>2]|0)-(f[R>>2]|0);Ja=a+276+(Dc<<2)|0;f[eb+4>>2]=f[Ja>>2];f[Ja>>2]=eb;Nb=Ec;Ob=eb}f[Ob+40>>2]=Ta;f[Ob+12>>2]=Ma;eb=Ob+32|0;f[eb>>2]=Za;f[eb+4>>2]=l;f[Ob+8>>2]=Ya;eb=f[ha>>2]|0;if((f[S>>2]|0)==(eb|0)){kd=Ya;ld=Ma;md=Ob}else{Ja=Pma(Ma,f[ja>>2]|0,f[K>>2]|0,eb)|0;f[(f[j>>2]|0)+12>>2]=Ja;xK(f[a>>2]|0);Ja=f[j>>2]|0;kd=f[Ja+8>>2]|0;ld=f[Ja+12>>2]|0;md=Ja}f[ld+16>>2]=f[kd+12>>2];nd=f[K>>2]|0;if(f[Ya+12>>2]|0){Sa=274;break a}f[md+12>>2]=0;Ja=f[a>>2]|0;if((Ja|0)==(nd|0))zK(nd,L);else xK(Ja);Va=Nb;Wa=b[ya+Pa>>0]|0;Xa=Za}while(0);Ha=Pa+1|0;if((Ha|0)>=(y|0)){Ra=Va;break}else{Ea=Wa;Fa=Wa;Ga=Va;Ia=Wa>>>0>1?Pa:Xa}}}else Ra=G;while(0);Aa=l+1|0;if((Aa|0)<(z|0)){xa=0;G=Ra;ya=ya+r|0;l=Aa;x=1;v=0;za=Aa}else{H=0;Sa=275;break}}switch(Sa|0){case 54:{Sa=cuc(16)|0;f[d>>2]=Sa;f[d+8>>2]=-2147483632;f[d+4>>2]=11;n=Sa;o=366967;p=n+11|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));b[Sa+11>>0]=0;WD(-215,d,366979,366681,816);break}case 60:{b[d+11>>0]=10;n=d;o=366999;p=n+10|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));b[d+10>>0]=0;WD(-215,d,366979,366681,852);break}case 72:{b[d+11>>0]=10;n=d;o=366999;p=n+10|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));b[d+10>>0]=0;WD(-215,d,367010,366681,664);break}case 81:{Sa=cuc(16)|0;f[d>>2]=Sa;f[d+8>>2]=-2147483632;f[d+4>>2]=13;n=Sa;o=367026;p=n+13|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));b[Sa+13>>0]=0;WD(-215,d,366926,366681,1176);break}case 121:{b[e+11>>0]=10;n=e;o=366999;p=n+10|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));b[e+10>>0]=0;WD(-215,e,367040,366681,568);break}case 136:{f[d+8>>2]=0;b[d+11>>0]=7;b[d>>0]=b[367056]|0;b[d+1>>0]=b[367057]|0;b[d+2>>0]=b[367058]|0;b[d+3>>0]=b[367059]|0;b[d+4>>0]=b[367060]|0;b[d+5>>0]=b[367061]|0;b[d+6>>0]=b[367062]|0;b[d+7>>0]=0;WD(-215,d,366926,366681,1218);break}case 139:{e=cuc(16)|0;f[d>>2]=e;f[d+8>>2]=-2147483632;f[d+4>>2]=11;n=e;o=366967;p=n+11|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));b[e+11>>0]=0;WD(-215,d,367064,366681,876);break}case 184:{b[h+11>>0]=10;n=h;o=366999;p=n+10|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));b[h+10>>0]=0;WD(-215,h,367064,366681,936);break}case 246:{b[h+11>>0]=10;n=h;o=366999;p=n+10|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));b[h+10>>0]=0;WD(-215,h,367086,366681,745);break}case 274:{yK(nd,ia);ia=f[j>>2]|0;f[m>>2]=ia;f[t>>2]=Pa+1+(Ba?0-Ta|0:0);f[w>>2]=l;l=B;f[l>>2]=Za;f[l+4>>2]=za;f[q>>2]=ya;f[C>>2]=Nb;H=f[ia+12>>2]|0;u=c;return H|0}case 275:{u=c;return H|0}}return 0}function Gva(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0;b=u;u=u+16|0;c=b;if(!a){f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;WD(-27,c,367104,366681,1321)}d=f[a>>2]|0;if(!d){e=0;u=b;return e|0}g=d+88|0;h=f[g>>2]|0;if(h|0){i=d+248|0;if(f[i>>2]|0){j=d+4|0;yK(f[j>>2]|0,c);if((f[c>>2]|0)==(f[d+32>>2]|0)?(f[c+4>>2]|0)==(f[d+36>>2]|0):0)zK(f[j>>2]|0,d+24|0);f[i>>2]=0}i=f[h+12>>2]|0;if(i|0)fL(i,f[(f[h+8>>2]|0)+12>>2]|0,d+180|0);f[g>>2]=0}if((f[d>>2]|0)!=(f[d+4>>2]|0))wK(d);g=d+8|0;if(f[g>>2]|0)wK(g);g=f[d+200>>2]|0;VC(f[a>>2]|0);f[a>>2]=0;e=g;u=b;return e|0}function Hva(a,c,d,e,g,i,j,k,l){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0;m=u;u=u+160|0;n=m;o=m+128|0;p=m+104|0;q=m+80|0;r=m+48|0;s=m+32|0;t=m+28|0;f[t>>2]=0;if(!d){v=cuc(32)|0;f[n>>2]=v;f[n+8>>2]=-2147483616;f[n+4>>2]=25;w=v;x=367122;y=w+25|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));b[v+25>>0]=0;WD(-27,n,367148,366681,1809)}f[d>>2]=0;if((i|0)!=5){v=Eva(a,c,e,g,i,j,k,l)|0;f[t>>2]=v;l=-1;i=v;while(1){z=l+1|0;if(!(Fva(i)|0))break;l=z;i=f[t>>2]|0}i=Gva(t)|0;f[d>>2]=i;A=z;u=m;return A|0}if(k|j|0){j=cuc(64)|0;f[n>>2]=j;f[n+8>>2]=-2147483584;f[n+4>>2]=51;w=j;x=367168;y=w+51|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));b[j+51>>0]=0;WD(-211,n,367148,366681,1817)}if(!c){f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;j=cuc(32)|0;f[n>>2]=j;f[n+8>>2]=-2147483616;f[n+4>>2]=20;w=j;x=367220;y=w+20|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));b[j+20>>0]=0;WD(-27,n,367241,366681,1501)}if((e|0)<88){f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;j=cuc(64)|0;f[n>>2]=j;f[n+8>>2]=-2147483584;f[n+4>>2]=48;w=j;x=367267;y=w+48|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));b[j+48>>0]=0;WD(-201,n,367241,366681,1507)}j=vK(c)|0;k=cuc(16)|0;f[k+4>>2]=0;f[k+8>>2]=0;f[k>>2]=83076;f[k+12>>2]=j;z=vK(c)|0;i=cuc(16)|0;f[i+4>>2]=0;f[i+8>>2]=0;f[i>>2]=83076;f[i+12>>2]=z;t=IZ(a,n,0,0)|0;if(f[t>>2]&4094|0){f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;n=cuc(48)|0;f[s>>2]=n;f[s+8>>2]=-2147483600;f[s+4>>2]=32;w=n;x=367316;y=w+32|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));b[n+32>>0]=0;WD(-5,s,367241,366681,1518)}n=f[t+16>>2]|0;x=f[t+4>>2]|0;w=f[t+20>>2]|0;y=f[t+24>>2]|0;t=DK(0,56,16,j)|0;KK(t,q);LK(0,56,4,z,o);LK(0,56,4,z,p);z=q+12|0;j=f[z>>2]|0;a=q+20|0;if(j>>>0<(f[a>>2]|0)>>>0)B=j;else{OK(q);B=f[z>>2]|0}b[B>>0]=0;b[B+1>>0]=0;b[B+2>>0]=0;b[B+3>>0]=0;j=B+4|0;b[j>>0]=0;b[j+1>>0]=0;b[j+2>>0]=0;b[j+3>>0]=0;j=B+12|0;b[j>>0]=0;b[j+1>>0]=0;b[j+2>>0]=0;b[j+3>>0]=0;j=(f[z>>2]|0)+16|0;f[z>>2]=j;B=q+4|0;l=j+(0-(f[(f[B>>2]|0)+28>>2]|0))|0;j=(y|0)>0;a:do if(j){v=o+12|0;g=o+20|0;C=0;D=l;while(1){E=C;while(1){if(b[n+E>>0]|0){F=E;break}G=E+1|0;if((G|0)<(y|0))E=G;else{F=G;break}}if((F|0)==(y|0)){H=D;break a}E=f[z>>2]|0;if(E>>>0<(f[a>>2]|0)>>>0)I=E;else{OK(q);I=f[z>>2]|0}b[I>>0]=0;b[I+1>>0]=0;b[I+2>>0]=0;b[I+3>>0]=0;E=I+4|0;b[E>>0]=0;b[E+1>>0]=0;b[E+2>>0]=0;b[E+3>>0]=0;E=I+8|0;b[E>>0]=F;b[E+1>>0]=F>>8;b[E+2>>0]=F>>16;b[E+3>>0]=F>>24;E=I+12|0;b[E>>0]=0;b[E+1>>0]=0;b[E+2>>0]=0;b[E+3>>0]=0;E=(f[z>>2]|0)+16|0;f[z>>2]=E;G=E+(0-(f[(f[B>>2]|0)+28>>2]|0))|0;f[D+4>>2]=G;J=F+1|0;b:do if((y|0)>(J|0)){K=J;while(1){if(!(b[n+K>>0]|0)){L=K;break b}M=K+1|0;if((M|0)<(y|0))K=M;else{L=M;break}}}else L=J;while(0);J=L+-1|0;if(E>>>0<(f[a>>2]|0)>>>0)N=E;else{OK(q);N=f[z>>2]|0}b[N>>0]=0;b[N+1>>0]=0;b[N+2>>0]=0;b[N+3>>0]=0;K=N+4|0;b[K>>0]=0;b[K+1>>0]=0;b[K+2>>0]=0;b[K+3>>0]=0;K=N+8|0;b[K>>0]=J;b[K+1>>0]=J>>8;b[K+2>>0]=J>>16;b[K+3>>0]=J>>24;J=N+12|0;b[J>>0]=0;b[J+1>>0]=0;b[J+2>>0]=0;b[J+3>>0]=0;J=(f[z>>2]|0)+16|0;f[z>>2]=J;K=J+(0-(f[(f[B>>2]|0)+28>>2]|0))|0;J=G+4|0;f[J>>2]=K;f[G>>2]=K;K=f[v>>2]|0;if(K>>>0<(f[g>>2]|0)>>>0)O=K;else{OK(o);O=f[v>>2]|0}b[O>>0]=G;b[O+1>>0]=G>>8;b[O+2>>0]=G>>16;b[O+3>>0]=G>>24;f[v>>2]=(f[v>>2]|0)+4;K=f[J>>2]|0;if((L|0)<(y|0)){C=L;D=K}else{H=K;break}}}else H=l;while(0);MK(q);L=f[l+4>>2]|0;l=t+24|0;t=f[l>>2]|0;O=t+-1|0;f[H+4>>2]=0;c:do if((w|0)>1){N=o+12|0;F=o+20|0;I=p+12|0;D=p+20|0;C=1;v=n;g=0;K=L;J=O;M=H;P=t;while(1){Q=v+x|0;d:do if(j){R=0;S=M;while(1){T=R;while(1){if(b[Q+T>>0]|0){U=T;break}V=T+1|0;if((V|0)<(y|0))T=V;else{U=V;break}}if((U|0)==(y|0)){W=S;break d}T=f[z>>2]|0;if(T>>>0<(f[a>>2]|0)>>>0)X=T;else{OK(q);X=f[z>>2]|0}b[X>>0]=0;b[X+1>>0]=0;b[X+2>>0]=0;b[X+3>>0]=0;T=X+4|0;b[T>>0]=0;b[T+1>>0]=0;b[T+2>>0]=0;b[T+3>>0]=0;T=X+8|0;b[T>>0]=U;b[T+1>>0]=U>>8;b[T+2>>0]=U>>16;b[T+3>>0]=U>>24;T=X+12|0;b[T>>0]=C;b[T+1>>0]=C>>8;b[T+2>>0]=C>>16;b[T+3>>0]=C>>24;T=(f[z>>2]|0)+16|0;f[z>>2]=T;V=T+(0-(f[(f[B>>2]|0)+28>>2]|0))|0;f[S+4>>2]=V;Y=U+1|0;e:do if((y|0)>(Y|0)){Z=Y;while(1){if(!(b[Q+Z>>0]|0)){_=Z;break e}$=Z+1|0;if(($|0)<(y|0))Z=$;else{_=$;break}}}else _=Y;while(0);Y=_+-1|0;if(T>>>0<(f[a>>2]|0)>>>0)aa=T;else{OK(q);aa=f[z>>2]|0}b[aa>>0]=0;b[aa+1>>0]=0;b[aa+2>>0]=0;b[aa+3>>0]=0;Z=aa+4|0;b[Z>>0]=0;b[Z+1>>0]=0;b[Z+2>>0]=0;b[Z+3>>0]=0;Z=aa+8|0;b[Z>>0]=Y;b[Z+1>>0]=Y>>8;b[Z+2>>0]=Y>>16;b[Z+3>>0]=Y>>24;Y=aa+12|0;b[Y>>0]=C;b[Y+1>>0]=C>>8;b[Y+2>>0]=C>>16;b[Y+3>>0]=C>>24;Y=(f[z>>2]|0)+16|0;f[z>>2]=Y;Z=Y+(0-(f[(f[B>>2]|0)+28>>2]|0))|0;f[V+4>>2]=Z;if((_|0)<(y|0)){R=_;S=Z}else{W=Z;break}}}else W=M;while(0);MK(q);G=f[M+4>>2]|0;E=(f[l>>2]|0)-P|0;f[W+4>>2]=0;S=(J|0)/2|0;R=(E|0)/2|0;f:do if((J|0)>1&(E|0)>1){Z=0;Y=0;$=G;ba=K;ca=0;da=g;while(1){g:do switch(ca|0){case 0:{ea=f[ba+4>>2]|0;fa=f[ea+8>>2]|0;ga=$+4|0;ha=f[ga>>2]|0;ia=f[ha+8>>2]|0;if((fa|0)<(ia|0)){ja=(fa|0)<((f[$+8>>2]|0)+-1|0);f[(ja?ea:$)>>2]=ba;ka=Z+1|0;la=Y;ma=$;na=f[ea+4>>2]|0;oa=(ja^1)&1;pa=ja?da:ea;break g}if((f[ba+8>>2]|0)>(ia+1|0)){f[$>>2]=ha;ia=f[N>>2]|0;if(ia>>>0<(f[F>>2]|0)>>>0)qa=ia;else{OK(o);qa=f[N>>2]|0}b[qa>>0]=$;b[qa+1>>0]=$>>8;b[qa+2>>0]=$>>16;b[qa+3>>0]=$>>24;f[N>>2]=(f[N>>2]|0)+4;ra=0;sa=da;ta=f[ga>>2]|0}else{f[$>>2]=ba;ra=-1;sa=ha;ta=ha}ka=Z;la=Y+1|0;ma=f[ta+4>>2]|0;na=ba;oa=ra;pa=sa;break}case 1:{ha=f[$+4>>2]|0;ga=f[ha+8>>2]|0;if((f[ba+8>>2]|0)>(ga+1|0)){f[da>>2]=ha;ka=Z;la=Y+1|0;ma=f[ha+4>>2]|0;na=ba;oa=0;pa=da;break g}f[da>>2]=ba;ia=f[ba+4>>2]|0;if((f[ia+8>>2]|0)<(ga|0)){ka=Z+1|0;la=Y;ma=$;na=f[ia+4>>2]|0;oa=1;pa=ia;break g}else{ka=Z;la=Y+1|0;ma=f[ha+4>>2]|0;na=ba;oa=-1;pa=ha;break g}break}case -1:{ha=ba+4|0;ia=f[ha>>2]|0;if((f[$+8>>2]|0)>((f[ia+8>>2]|0)+1|0)){f[ia>>2]=da;ka=Z+1|0;la=Y;ma=$;na=f[ia+4>>2]|0;oa=0;pa=da;break g}ia=f[I>>2]|0;if(ia>>>0<(f[D>>2]|0)>>>0)ua=ia;else{OK(p);ua=f[I>>2]|0}b[ua>>0]=$;b[ua+1>>0]=$>>8;b[ua+2>>0]=$>>16;b[ua+3>>0]=$>>24;f[I>>2]=(f[I>>2]|0)+4;f[$>>2]=da;ia=f[$+4>>2]|0;ga=f[ha>>2]|0;if((f[ia+8>>2]|0)<(f[ga+8>>2]|0)){ka=Z;la=Y+1|0;ma=f[ia+4>>2]|0;na=ba;oa=-1;pa=ia;break g}else{ka=Z+1|0;la=Y;ma=$;na=f[ga+4>>2]|0;oa=1;pa=ga;break g}break}default:{ka=Z;la=Y;ma=$;na=ba;oa=ca;pa=da}}while(0);if((la|0)<(R|0)&(ka|0)<(S|0)){Z=ka;Y=la;$=ma;ba=na;ca=oa;da=pa}else{va=ka;wa=la;xa=ma;ya=na;za=oa;Aa=pa;break f}}}else{va=0;wa=0;xa=G;ya=K;za=0;Aa=g}while(0);if((wa|0)<(R|0)){da=wa;ca=xa;ba=za;while(1){$=ca+4|0;Y=f[$>>2]|0;if(!ba){f[ca>>2]=Y;Z=f[N>>2]|0;if(Z>>>0<(f[F>>2]|0)>>>0)Ba=Z;else{OK(o);Ba=f[N>>2]|0}b[Ba>>0]=ca;b[Ba+1>>0]=ca>>8;b[Ba+2>>0]=ca>>16;b[Ba+3>>0]=ca>>24;f[N>>2]=(f[N>>2]|0)+4;Ca=f[$>>2]|0}else{f[Aa>>2]=Y;Ca=Y}da=da+1|0;if((da|0)>=(R|0)){Da=0;break}else{ca=f[Ca+4>>2]|0;ba=0}}}else Da=za;if((va|0)<(S|0)){ba=va;ca=ya;R=Da;while(1){da=f[ca+4>>2]|0;Y=ca;ca=f[da+4>>2]|0;f[da>>2]=(R|0)==0?Y:Aa;ba=ba+1|0;if((ba|0)==(S|0))break;else R=0}}R=C+1|0;if((R|0)>=(w|0)){Ea=G;Fa=E;break c}C=R;v=Q;g=Aa;K=G;J=E;M=W;P=f[l>>2]|0}}else{Ea=L;Fa=O}while(0);O=(Fa|0)/2|0;if((Fa|0)>1){Fa=0;L=Ea;while(1){Ea=f[L+4>>2]|0;f[Ea>>2]=L;Fa=Fa+1|0;if((Fa|0)>=(O|0))break;else L=f[Ea+4>>2]|0}}L=NK(o)|0;o=NK(p)|0;p=r+12|0;O=r+20|0;Fa=0;Ea=0;l=0;W=0;while(1){Aa=(W|0)==0;w=Aa?L:o;IK(w,r,0);Da=w+24|0;if((f[Da>>2]|0)>0)if(Aa){Aa=Ea;w=l;ya=Fa;va=0;while(1){za=f[p>>2]|0;Ca=h[za>>0]|h[za+1>>0]<<8|h[za+2>>0]<<16|h[za+3>>0]<<24;Ba=za+4|0;f[p>>2]=Ba;if(Ba>>>0>=(f[O>>2]|0)>>>0)QK(r,1);if(f[Ca>>2]|0){LK(20492,e,8,c,q);Ba=Ca;za=f[z>>2]|0;do{if(za>>>0<(f[a>>2]|0)>>>0)Ga=za;else{OK(q);Ga=f[z>>2]|0}xa=Ba+8|0;wa=xa;pa=h[wa>>0]|h[wa+1>>0]<<8|h[wa+2>>0]<<16|h[wa+3>>0]<<24;wa=xa+4|0;xa=h[wa>>0]|h[wa+1>>0]<<8|h[wa+2>>0]<<16|h[wa+3>>0]<<24;wa=Ga;oa=wa;b[oa>>0]=pa;b[oa+1>>0]=pa>>8;b[oa+2>>0]=pa>>16;b[oa+3>>0]=pa>>24;pa=wa+4|0;b[pa>>0]=xa;b[pa+1>>0]=xa>>8;b[pa+2>>0]=xa>>16;b[pa+3>>0]=xa>>24;za=(f[z>>2]|0)+8|0;f[z>>2]=za;xa=Ba;Ba=f[Ba>>2]|0;f[xa>>2]=0}while((Ba|0)!=(Ca|0));Ca=NK(q)|0;jfa(s,Ca,1);if(!Aa){Ha=Ca;Ia=Ca}else{f[Ca+8>>2]=w;f[w+12>>2]=Ca;Ha=Aa;Ia=Ca}}else{Ha=Aa;Ia=w}va=va+1|0;Ca=ya+1|0;if((va|0)>=(f[Da>>2]|0)){Ja=Ca;Ka=Ha;La=Ia;break}else{Aa=Ha;w=Ia;ya=Ca}}}else{ya=Ea;w=l;Aa=Fa;va=0;while(1){Ca=f[p>>2]|0;Ba=h[Ca>>0]|h[Ca+1>>0]<<8|h[Ca+2>>0]<<16|h[Ca+3>>0]<<24;za=Ca+4|0;f[p>>2]=za;if(za>>>0>=(f[O>>2]|0)>>>0)QK(r,1);if(f[Ba>>2]|0){LK(20492,e,8,c,q);za=Ba;Ca=f[z>>2]|0;do{if(Ca>>>0<(f[a>>2]|0)>>>0)Ma=Ca;else{OK(q);Ma=f[z>>2]|0}E=za+8|0;G=E;Q=h[G>>0]|h[G+1>>0]<<8|h[G+2>>0]<<16|h[G+3>>0]<<24;G=E+4|0;E=h[G>>0]|h[G+1>>0]<<8|h[G+2>>0]<<16|h[G+3>>0]<<24;G=Ma;xa=G;b[xa>>0]=Q;b[xa+1>>0]=Q>>8;b[xa+2>>0]=Q>>16;b[xa+3>>0]=Q>>24;Q=G+4|0;b[Q>>0]=E;b[Q+1>>0]=E>>8;b[Q+2>>0]=E>>16;b[Q+3>>0]=E>>24;Ca=(f[z>>2]|0)+8|0;f[z>>2]=Ca;E=za;za=f[za>>2]|0;f[E>>2]=0}while((za|0)!=(Ba|0));Ba=NK(q)|0;jfa(s,Ba,1);f[Ba>>2]=f[Ba>>2]|32768;if(!ya){Na=Ba;Oa=Ba}else{f[Ba+8>>2]=w;f[w+12>>2]=Ba;Na=ya;Oa=Ba}}else{Na=ya;Oa=w}va=va+1|0;Ba=Aa+1|0;if((va|0)>=(f[Da>>2]|0)){Ja=Ba;Ka=Na;La=Oa;break}else{ya=Na;w=Oa;Aa=Ba}}}else{Ja=Fa;Ka=Ea;La=l}W=W+1|0;if((W|0)>=2)break;else{Fa=Ja;Ea=Ka;l=La}}f[d>>2]=Ka;Xtc(i);Xtc(k);A=(Ka|0)==0?-1:Ja;u=m;return A|0}function Iva(a){a=a|0;Qtc(a);fuc(a);return}function Jva(a){a=a|0;var b=0;b=a+12|0;c_(b,f[b>>2]|0);return}function Kva(a,b){a=a|0;b=b|0;return ((f[b+4>>2]|0)==367349?a+12|0:0)|0}function Lva(a){a=a|0;fuc(a);return}function Mva(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0;i=u;u=u+336|0;j=i+32|0;k=i+328|0;l=i+272|0;m=i+216|0;n=i+180|0;o=i;p=i+144|0;q=i+88|0;r=i+208|0;gV(k,83096);if(((qJ(c)|0)!=262144?(qJ(c)|0)!=327680:0)?(qJ(c)|0)!=720896:0){f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;s=cuc(160)|0;f[j>>2]=s;f[j+8>>2]=-2147483488;f[j+4>>2]=155;szc(s|0,367480,155)|0;b[s+155>>0]=0;WD(-215,j,367636,366681,1884)}if(!(EJ(c)|0)){if((DJ(c,-1)|0)!=2){f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;t=cuc(80)|0;f[j>>2]=t;v=j+8|0;f[v>>2]=-2147483568;w=j+4|0;f[w>>2]=79;x=t;y=367649;z=x+79|0;do{b[x>>0]=b[y>>0]|0;x=x+1|0;y=y+1|0}while((x|0)<(z|0));A=t+79|0;b[A>>0]=0;WD(-215,j,367636,366681,1886)}if((CJ(c,-1)|0)!=4){f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;t=cuc(80)|0;f[j>>2]=t;v=j+8|0;f[v>>2]=-2147483568;w=j+4|0;f[w>>2]=79;x=t;y=367649;z=x+79|0;do{b[x>>0]=b[y>>0]|0;x=x+1|0;y=y+1|0}while((x|0)<(z|0));A=t+79|0;b[A>>0]=0;WD(-215,j,367636,366681,1886)}}do if((qJ(a)|0)==65536){A=f[a+4>>2]|0;f[l>>2]=f[A>>2];t=l+4|0;w=A+4|0;f[t>>2]=f[w>>2];v=l+8|0;f[v>>2]=f[A+8>>2];f[l+12>>2]=f[A+12>>2];f[l+16>>2]=f[A+16>>2];f[l+20>>2]=f[A+20>>2];f[l+24>>2]=f[A+24>>2];f[l+28>>2]=f[A+28>>2];f[l+32>>2]=f[A+32>>2];s=f[A+36>>2]|0;f[l+36>>2]=s;f[l+40>>2]=v;v=l+48|0;B=l+44|0;f[B>>2]=v;f[v>>2]=0;f[l+52>>2]=0;if(s|0){v=s+12|0;f[v>>2]=(f[v>>2]|0)+1}if((f[w>>2]|0)<3){w=f[A+44>>2]|0;v=f[B>>2]|0;f[v>>2]=f[w>>2];f[v+4>>2]=f[w+4>>2];break}else{f[t>>2]=0;$T(l,A);break}}else nJ(l,a,-1);while(0);f[m>>2]=1124007936;a=m+4|0;A=m+8|0;t=m+40|0;x=a;z=x+36|0;do{f[x>>2]=0;x=x+4|0}while((x|0)<(z|0));f[t>>2]=A;w=m+48|0;v=m+44|0;f[v>>2]=w;f[w>>2]=0;f[m+52>>2]=0;if((g|0)==5){B=l+36|0;s=f[B>>2]|0;if(s){C=s+12|0;f[C>>2]=(f[C>>2]|0)+1;C=m+36|0;s=f[C>>2]|0;if((s|0)!=0?(D=s+12|0,s=f[D>>2]|0,f[D>>2]=s+-1,(s|0)==1):0){aU(m);E=C}else E=C}else E=m+36|0;f[E>>2]=0;C=m+16|0;f[C>>2]=0;f[C+4>>2]=0;f[C+8>>2]=0;f[C+12>>2]=0;if((f[a>>2]|0)>0){s=f[t>>2]|0;D=0;do{f[s+(D<<2)>>2]=0;D=D+1|0;F=f[a>>2]|0}while((D|0)<(F|0));f[m>>2]=f[l>>2];if((F|0)<3)G=28;else G=30}else{f[m>>2]=f[l>>2];G=28}if((G|0)==28){F=f[l+4>>2]|0;if((F|0)<3){f[a>>2]=F;f[A>>2]=f[l+8>>2];f[m+12>>2]=f[l+12>>2];F=f[l+44>>2]|0;D=f[v>>2]|0;f[D>>2]=f[F>>2];f[D+4>>2]=f[F+4>>2]}else G=30}if((G|0)==30)$T(m,l);f[C>>2]=f[l+16>>2];f[m+20>>2]=f[l+20>>2];f[m+24>>2]=f[l+24>>2];f[m+28>>2]=f[l+28>>2];f[m+32>>2]=f[l+32>>2];f[E>>2]=f[B>>2];H=0}else{f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=l;B=n+8|0;f[B>>2]=0;f[B+4>>2]=0;f[n>>2]=33619968;f[n+4>>2]=m;f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;f[o+12>>2]=0;f[o+16>>2]=0;f[o+20>>2]=0;f[o+24>>2]=0;f[o+28>>2]=0;MI(j,n,1,1,1,1,16,o);H=-1}B=uK(0)|0;E=cuc(16)|0;f[E+4>>2]=0;f[E+8>>2]=0;f[E>>2]=83076;f[E+12>>2]=B;C=f[A>>2]|0;A=(f[a>>2]|0)==1?1:f[m+12>>2]|0;G=f[m>>2]|0;F=m+16|0;D=f[F>>2]|0;f[n+8>>2]=0;f[n+12>>2]=0;f[n+16>>2]=D;f[n+20>>2]=C;f[n+24>>2]=A;f[n+4>>2]=f[f[v>>2]>>2];f[n>>2]=G&20479|1111621632;f[o>>2]=0;if(mK(d)|0)lK(d);Hva(n,B,o,88,e,g,(f[h>>2]|0)+H|0,(f[h+4>>2]|0)+H|0,0)|0;H=f[o>>2]|0;if(H){o=cL(H,56,B)|0;do if(o)if((f[o+28>>2]|0)==4){I=f[o+24>>2]|0;break}else{B=cuc(48)|0;f[j>>2]=B;f[j+8>>2]=-2147483600;f[j+4>>2]=39;x=B;y=377106;z=x+39|0;do{b[x>>0]=b[y>>0]|0;x=x+1|0;y=y+1|0}while((x|0)<(z|0));b[B+39>>0]=0;WD(-215,j,377146,377150,2965)}else I=0;while(0);jK(c,I,1,0,-1,1,0);IK(o,p,0);H=p+32|0;f[H>>2]=0;h=(I|0)>0;a:do if(h){g=p+12|0;e=q+4|0;n=q+16|0;G=q+36|0;A=q+40|0;C=q+48|0;D=q+44|0;s=r+4|0;J=p+20|0;K=p+4|0;L=0;while(1){M=f[f[g>>2]>>2]|0;f[M+72>>2]=L;jK(c,f[M+24>>2]|0,1,12,L,1,0);nJ(q,c,L);if(!(f[q>>2]&16384))break;N=f[n>>2]|0;f[r>>2]=0;f[s>>2]=1073741823;f[j>>2]=f[r>>2];f[j+4>>2]=f[r+4>>2];GK(M,N,j)|0;N=f[G>>2]|0;if(N|0?(M=N+12|0,N=f[M>>2]|0,f[M>>2]=N+-1,(N|0)==1):0)aU(q);f[G>>2]=0;f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;f[n+12>>2]=0;if((f[e>>2]|0)>0){N=f[A>>2]|0;M=0;do{f[N+(M<<2)>>2]=0;M=M+1|0}while((M|0)<(f[e>>2]|0))}M=f[D>>2]|0;if((M|0)!=(C|0))TC(M);L=L+1|0;M=(f[g>>2]|0)+4|0;f[g>>2]=M;if(M>>>0>=(f[J>>2]|0)>>>0)QK(p,1);M=(f[H>>2]|0)+1|0;f[H>>2]=M;f[H>>2]=(M|0)<(f[(f[K>>2]|0)+24>>2]<<1|0)?M:0;if((L|0)>=(I|0))break a}f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;L=cuc(32)|0;f[j>>2]=L;f[j+8>>2]=-2147483616;f[j+4>>2]=17;x=L;y=367729;z=x+17|0;do{b[x>>0]=b[y>>0]|0;x=x+1|0;y=y+1|0}while((x|0)<(z|0));b[L+17>>0]=0;WD(-215,j,367636,366681,1920)}while(0);if(mK(d)|0){jK(d,1,I,28,-1,1,0);do if((qJ(d)|0)==65536){q=f[d+4>>2]|0;f[j>>2]=f[q>>2];r=j+4|0;K=q+4|0;f[r>>2]=f[K>>2];J=j+8|0;f[J>>2]=f[q+8>>2];f[j+12>>2]=f[q+12>>2];g=j+16|0;f[g>>2]=f[q+16>>2];f[j+20>>2]=f[q+20>>2];f[j+24>>2]=f[q+24>>2];f[j+28>>2]=f[q+28>>2];f[j+32>>2]=f[q+32>>2];C=j+36|0;D=f[q+36>>2]|0;f[C>>2]=D;f[j+40>>2]=J;J=j+48|0;e=j+44|0;f[e>>2]=J;f[J>>2]=0;f[j+52>>2]=0;if(D|0){J=D+12|0;f[J>>2]=(f[J>>2]|0)+1}if((f[K>>2]|0)<3){K=f[q+44>>2]|0;J=f[e>>2]|0;f[J>>2]=f[K>>2];f[J+4>>2]=f[K+4>>2];O=g;P=e;Q=C;break}else{f[r>>2]=0;$T(j,q);O=g;P=e;Q=C;break}}else{nJ(j,d,-1);O=j+16|0;P=j+44|0;Q=j+36|0}while(0);d=f[O>>2]|0;C=f[Q>>2]|0;if(C|0?(e=C+12|0,C=f[e>>2]|0,f[e>>2]=C+-1,(C|0)==1):0)aU(j);f[Q>>2]=0;Q=j+4|0;f[O>>2]=0;f[O+4>>2]=0;f[O+8>>2]=0;f[O+12>>2]=0;if((f[Q>>2]|0)>0){O=f[j+40>>2]|0;C=0;do{f[O+(C<<2)>>2]=0;C=C+1|0}while((C|0)<(f[Q>>2]|0))}Q=f[P>>2]|0;if((Q|0)!=(j+48|0))TC(Q);IK(o,j,0);f[j+32>>2]=0;x=p;y=j;z=x+36|0;do{f[x>>2]=f[y>>2];x=x+4|0;y=y+4|0}while((x|0)<(z|0));if(h){h=p+12|0;y=p+20|0;x=p+4|0;z=0;do{j=f[f[h>>2]>>2]|0;o=f[j+12>>2]|0;if(!o)R=-1;else R=f[o+72>>2]|0;o=f[j+8>>2]|0;if(!o)S=-1;else S=f[o+72>>2]|0;o=f[j+20>>2]|0;if(!o)T=-1;else T=f[o+72>>2]|0;o=f[j+16>>2]|0;if(!o)U=-1;else U=f[o+72>>2]|0;f[d+(z<<4)>>2]=R;f[d+(z<<4)+4>>2]=S;f[d+(z<<4)+8>>2]=T;f[d+(z<<4)+12>>2]=U;z=z+1|0;o=(f[h>>2]|0)+4|0;f[h>>2]=o;if(o>>>0>=(f[y>>2]|0)>>>0)QK(p,1);o=(f[H>>2]|0)+1|0;f[H>>2]=o;f[H>>2]=(o|0)<(f[(f[x>>2]|0)+24>>2]<<1|0)?o:0}while((z|0)<(I|0))}}}else lK(c);Xtc(E);E=m+36|0;c=f[E>>2]|0;if(c|0?(I=c+12|0,c=f[I>>2]|0,f[I>>2]=c+-1,(c|0)==1):0)aU(m);f[E>>2]=0;f[F>>2]=0;f[F+4>>2]=0;f[F+8>>2]=0;f[F+12>>2]=0;if((f[a>>2]|0)>0){F=f[t>>2]|0;t=0;do{f[F+(t<<2)>>2]=0;t=t+1|0}while((t|0)<(f[a>>2]|0))}a=f[v>>2]|0;if((a|0)!=(w|0))TC(a);a=l+36|0;w=f[a>>2]|0;if(w|0?(v=w+12|0,w=f[v>>2]|0,f[v>>2]=w+-1,(w|0)==1):0)aU(l);f[a>>2]=0;a=l+16|0;w=l+4|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;if((f[w>>2]|0)>0){a=f[l+40>>2]|0;v=0;do{f[a+(v<<2)>>2]=0;v=v+1|0}while((v|0)<(f[w>>2]|0))}w=f[l+44>>2]|0;if((w|0)!=(l+48|0))TC(w);if(!(f[k+4>>2]|0)){u=i;return}u=i;return}function Nva(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0.0,X=0,Z=0,_=0,$=0,aa=0,ba=0.0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0.0,Sa=0,Ta=0;i=u;u=u+1584|0;j=i+544|0;k=i+488|0;l=i+224|0;m=i+464|0;o=i+408|0;p=i+352|0;q=i+480|0;r=i+296|0;s=i+472|0;t=i+272|0;v=i;w=i+256|0;gV(m,83116);do if((qJ(a)|0)==65536){x=f[a+4>>2]|0;f[o>>2]=f[x>>2];y=o+4|0;z=x+4|0;f[y>>2]=f[z>>2];A=o+8|0;f[A>>2]=f[x+8>>2];f[o+12>>2]=f[x+12>>2];f[o+16>>2]=f[x+16>>2];f[o+20>>2]=f[x+20>>2];f[o+24>>2]=f[x+24>>2];f[o+28>>2]=f[x+28>>2];f[o+32>>2]=f[x+32>>2];B=f[x+36>>2]|0;f[o+36>>2]=B;f[o+40>>2]=A;A=o+48|0;C=o+44|0;f[C>>2]=A;f[A>>2]=0;f[o+52>>2]=0;if(B|0){A=B+12|0;f[A>>2]=(f[A>>2]|0)+1}if((f[z>>2]|0)<3){z=f[x+44>>2]|0;A=f[C>>2]|0;f[A>>2]=f[z>>2];f[A+4>>2]=f[z+4>>2];break}else{f[y>>2]=0;$T(o,x);break}}else nJ(o,a,-1);while(0);f[p>>2]=1124007936;a=p+4|0;x=p+8|0;y=p+40|0;z=a;A=z+36|0;do{f[z>>2]=0;z=z+4|0}while((z|0)<(A|0));f[y>>2]=x;C=p+48|0;B=p+44|0;f[B>>2]=C;f[C>>2]=0;f[p+52>>2]=0;D=mK(d)|0;if(f[o>>2]&4095|0){f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;E=cuc(32)|0;f[j>>2]=E;f[j+8>>2]=-2147483616;f[j+4>>2]=21;z=E;F=367838;A=z+21|0;do{b[z>>0]=b[F>>0]|0;z=z+1|0;F=F+1|0}while((z|0)<(A|0));b[E+21>>0]=0;WD(-215,j,367860,367878,724)}E=o+40|0;G=f[E>>2]|0;H=f[G>>2]|0;f[q>>2]=f[G+4>>2];f[q+4>>2]=H;IJ(c,q,5,-1,0,0);do if((qJ(c)|0)==65536){q=f[c+4>>2]|0;f[r>>2]=f[q>>2];H=r+4|0;G=q+4|0;f[H>>2]=f[G>>2];I=r+8|0;f[I>>2]=f[q+8>>2];f[r+12>>2]=f[q+12>>2];f[r+16>>2]=f[q+16>>2];f[r+20>>2]=f[q+20>>2];f[r+24>>2]=f[q+24>>2];f[r+28>>2]=f[q+28>>2];f[r+32>>2]=f[q+32>>2];J=f[q+36>>2]|0;f[r+36>>2]=J;f[r+40>>2]=I;I=r+48|0;K=r+44|0;f[K>>2]=I;f[I>>2]=0;f[r+52>>2]=0;if(J|0){I=J+12|0;f[I>>2]=(f[I>>2]|0)+1}if((f[G>>2]|0)<3){G=f[q+44>>2]|0;I=f[K>>2]|0;f[I>>2]=f[G>>2];f[I+4>>2]=f[G+4>>2];break}else{f[H>>2]=0;$T(r,q);break}}else nJ(r,c,-1);while(0);a:do if(D){if((h|1|0)!=1){f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;c=cuc(64)|0;f[j>>2]=c;f[j+8>>2]=-2147483584;f[j+4>>2]=62;z=c;F=367955;A=z+62|0;do{b[z>>0]=b[F>>0]|0;z=z+1|0;F=F+1|0}while((z|0)<(A|0));b[c+62>>0]=0;WD(-215,j,367860,367878,731)}q=f[E>>2]|0;H=f[q>>2]|0;f[s>>2]=f[q+4>>2];f[s+4>>2]=H;IJ(d,s,4,-1,0,0);do if((qJ(d)|0)==65536){H=f[d+4>>2]|0;f[j>>2]=f[H>>2];q=j+4|0;G=H+4|0;f[q>>2]=f[G>>2];I=j+8|0;f[I>>2]=f[H+8>>2];f[j+12>>2]=f[H+12>>2];f[j+16>>2]=f[H+16>>2];f[j+20>>2]=f[H+20>>2];f[j+24>>2]=f[H+24>>2];f[j+28>>2]=f[H+28>>2];f[j+32>>2]=f[H+32>>2];K=f[H+36>>2]|0;f[j+36>>2]=K;f[j+40>>2]=I;I=j+48|0;J=j+44|0;f[J>>2]=I;f[I>>2]=0;f[j+52>>2]=0;if(K|0){I=K+12|0;f[I>>2]=(f[I>>2]|0)+1}if((f[G>>2]|0)<3){G=f[H+44>>2]|0;I=f[J>>2]|0;f[I>>2]=f[G>>2];f[I+4>>2]=f[G+4>>2];break}else{f[q>>2]=0;$T(j,H);break}}else nJ(j,d,-1);while(0);c=p+36|0;H=f[c>>2]|0;if(H|0?(q=H+12|0,H=f[q>>2]|0,f[q>>2]=H+-1,(H|0)==1):0)aU(p);f[c>>2]=0;H=p+16|0;f[H>>2]=0;f[H+4>>2]=0;f[H+8>>2]=0;f[H+12>>2]=0;if((f[a>>2]|0)>0){q=f[y>>2]|0;G=0;do{f[q+(G<<2)>>2]=0;G=G+1|0}while((G|0)<(f[a>>2]|0))}f[p>>2]=f[j>>2];G=j+4|0;q=f[G>>2]|0;f[a>>2]=q;I=j+8|0;f[x>>2]=f[I>>2];f[p+12>>2]=f[j+12>>2];J=j+16|0;f[H>>2]=f[J>>2];f[p+20>>2]=f[j+20>>2];f[p+24>>2]=f[j+24>>2];f[p+28>>2]=f[j+28>>2];f[p+32>>2]=f[j+32>>2];K=j+36|0;f[c>>2]=f[K>>2];L=p+44|0;M=f[L>>2]|0;if((M|0)==(C|0))N=q;else{TC(M);f[L>>2]=C;f[y>>2]=x;N=f[G>>2]|0}M=j+44|0;if((N|0)<3){q=f[M>>2]|0;f[C>>2]=f[q>>2];f[p+52>>2]=f[q+4>>2];O=q}else{f[L>>2]=f[M>>2];L=j+40|0;f[p+40>>2]=f[L>>2];q=j+48|0;f[M>>2]=q;f[L>>2]=I;O=q}f[j>>2]=1124007936;f[G>>2]=0;f[G+4>>2]=0;f[G+8>>2]=0;f[G+12>>2]=0;f[G+16>>2]=0;f[G+20>>2]=0;f[G+24>>2]=0;f[G+28>>2]=0;f[K>>2]=0;f[J>>2]=0;f[J+4>>2]=0;f[J+8>>2]=0;f[J+12>>2]=0;if((O|0)!=(j+48|0))TC(O);f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;f[t+12>>2]=0;f[t+16>>2]=0;P=5;Q=t}else{f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;f[t+12>>2]=0;f[t+16>>2]=0;switch(g|0){case 0:case 3:case 5:{P=g;Q=t;break a;break}default:{}}f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;J=cuc(48)|0;f[j>>2]=J;f[j+8>>2]=-2147483600;f[j+4>>2]=41;z=J;F=368018;A=z+41|0;do{b[z>>0]=b[F>>0]|0;z=z+1|0;F=F+1|0}while((z|0)<(A|0));b[J+41>>0]=0;WD(-201,j,367860,367878,741)}while(0);Q=(e|0)==1;if((e|2|0)!=3){g=(e|0)==2&D?5:P;if(!g){P=f[E>>2]|0;O=f[r+40>>2]|0;if(!((f[P>>2]|0)==(f[O>>2]|0)?(f[P+4>>2]|0)==(f[O+4>>2]|0):0)){O=cuc(32)|0;f[j>>2]=O;f[j+8>>2]=-2147483616;f[j+4>>2]=24;z=O;F=368060;A=z+24|0;do{b[z>>0]=b[F>>0]|0;z=z+1|0;F=F+1|0}while((z|0)<(A|0));b[O+24>>0]=0;WD(-215,j,368085,367878,564)}if(f[o>>2]&4095|0){R=cuc(48)|0;f[j>>2]=R;S=j+8|0;f[S>>2]=-2147483600;T=j+4|0;f[T>>2]=47;z=R;F=368099;A=z+47|0;do{b[z>>0]=b[F>>0]|0;z=z+1|0;F=F+1|0}while((z|0)<(A|0));U=R+47|0;b[U>>0]=0;WD(-215,j,368085,367878,566)}if((f[r>>2]&4095|0)!=5){R=cuc(48)|0;f[j>>2]=R;S=j+8|0;f[S>>2]=-2147483600;T=j+4|0;f[T>>2]=47;z=R;F=368099;A=z+47|0;do{b[z>>0]=b[F>>0]|0;z=z+1|0;F=F+1|0}while((z|0)<(A|0));U=R+47|0;b[U>>0]=0;WD(-215,j,368085,367878,566)}U=o+8|0;R=f[U>>2]|0;T=o+12|0;S=f[T>>2]|0;O=R<<1;P=R*3|0;N=(R*12|0)+4+(R<<3)|0;x=S<<3;d=N>>>0<x>>>0?x:N;N=j+8|0;f[j>>2]=N;x=j+4|0;f[x>>2]=d;if(d>>>0>1032){s=euc(d)|0;f[j>>2]=s;V=s}else V=N;s=V+(O<<2)+3&-4;d=s;c=s;s=(R|0)>0;if(s){H=0;do{W=+(Y(H,H)|0);n[V+(H<<2)>>2]=W;H=H+1|0}while((H|0)!=(R|0))}if((R|0)<(O|0)){H=R;do{n[V+(H<<2)>>2]=999999986991104.0;H=H+1|0}while((H|0)!=(O|0))}if(s){s=(O|0)>1?O:1;kzc(c|0,0,s<<2|0)|0;X=s}else X=0;if((X|0)<=(P|0)){s=X;while(1){f[d+(s<<2)>>2]=s-O;if((s|0)<(P|0))s=s+1|0;else break}}f[k>>2]=0;f[k+4>>2]=S;f[l>>2]=83144;f[l+4>>2]=o;f[l+8>>2]=r;s=f[U>>2]|0;f[l+12>>2]=d+(s<<1<<2)+4;f[l+16>>2]=V;d=f[o+4>>2]|0;if((d|0)<3)Z=Y(f[T>>2]|0,s)|0;else{s=f[E>>2]|0;T=0;U=1;while(1){P=Y(f[s+(T<<2)>>2]|0,U)|0;T=T+1|0;if((T|0)==(d|0)){Z=P;break}else U=P}}sZ(k,l,+(Z>>>0)*.0000152587890625);Z=V+(S<<2)|0;n[V>>2]=0.0;n[Z>>2]=0.0;if((S|0)>1){U=1;do{n[Z+(U<<2)>>2]=.5/+(U|0);W=+(Y(U,U)|0);n[V+(U<<2)>>2]=W;U=U+1|0}while((U|0)!=(S|0))}f[k>>2]=0;f[k+4>>2]=R;f[l>>2]=83164;f[l+4>>2]=r;f[l+8>>2]=V;f[l+12>>2]=Z;sZ(k,l,-1.0);Z=f[j>>2]|0;if((Z|0)!=(N|0)){if(Z|0)guc(Z);f[j>>2]=N;f[x>>2]=1032}}else{_=g;$=72}}else{_=D?5:3;$=72}if(($|0)==72){switch(e|0){case 3:{aa=0;break}case 2:case 1:{aa=Q?1:2;break}default:{f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;Q=cuc(80)|0;f[j>>2]=Q;f[j+8>>2]=-2147483568;f[j+4>>2]=73;z=Q;F=368147;A=z+73|0;do{b[z>>0]=b[F>>0]|0;z=z+1|0;F=F+1|0}while((z|0)<(A|0));b[Q+73>>0]=0;WD(-215,j,367860,367878,784)}}switch(aa+(_*10|0)|0){case 30:{n[t>>2]=1.0;ba=1.0;ca=1;break}case 31:{n[t>>2]=1.0;ba=2.0;ca=1;break}case 32:{n[t>>2]=.9549999833106995;ba=1.3693000078201294;ca=1;break}case 50:{n[t>>2]=1.0;n[t+4>>2]=1.0;ba=2.0;ca=2;break}case 51:{n[t>>2]=1.0;n[t+4>>2]=2.0;ba=3.0;ca=2;break}case 52:{n[t>>2]=1.0;n[t+4>>2]=1.399999976158142;ba=2.196899890899658;ca=2;break}default:{aa=cuc(32)|0;f[j>>2]=aa;f[j+8>>2]=-2147483616;f[j+4>>2]=19;z=aa;F=368221;A=z+19|0;do{b[z>>0]=b[F>>0]|0;z=z+1|0;F=F+1|0}while((z|0)<(A|0));b[aa+19>>0]=0;WD(-5,j,368241,367878,445)}}n[t+(ca<<2)>>2]=ba;ca=f[E>>2]|0;aa=(_|0)==3;_=aa?2:4;F=(f[ca>>2]|0)+_|0;Q=(f[ca+4>>2]|0)+_|0;f[k>>2]=1124007936;_=k+4|0;ca=k+8|0;e=k+40|0;z=_;A=z+36|0;do{f[z>>2]=0;z=z+4|0}while((z|0)<(A|0));f[e>>2]=ca;ca=k+48|0;$=k+44|0;f[$>>2]=ca;f[ca>>2]=0;f[k+52>>2]=0;f[j>>2]=F;f[j+4>>2]=Q;ZT(k,2,j,4);b:do if(D){f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;f[l+16>>2]=0;f[l+20>>2]=0;f[l+24>>2]=0;f[l+28>>2]=0;f[j>>2]=-1056833530;f[j+4>>2]=l;f[j+8>>2]=1;f[j+12>>2]=4;HI(p,j,sK()|0)|0;if(!h){oT(v,o,0.0);f[j>>2]=1124007936;Q=j+4|0;F=j+8|0;g=j+40|0;z=Q;A=z+36|0;do{f[z>>2]=0;z=z+4|0}while((z|0)<(A|0));f[g>>2]=F;J=j+48|0;x=j+44|0;f[x>>2]=J;f[J>>2]=0;f[j+52>>2]=0;N=f[v>>2]|0;sh[f[(f[N>>2]|0)+12>>2]&255](N,v,j,-1);Xi(v);f[l+8>>2]=0;f[l+12>>2]=0;f[l>>2]=16842752;f[l+4>>2]=j;N=w+8|0;f[N>>2]=0;f[N+4>>2]=0;f[w>>2]=33619968;f[w+4>>2]=p;ina(l,w,8,4,0)|0;N=j+36|0;Z=f[N>>2]|0;if(Z|0?(V=Z+12|0,Z=f[V>>2]|0,f[V>>2]=Z+-1,(Z|0)==1):0)aU(j);f[N>>2]=0;N=j+16|0;f[N>>2]=0;f[N+4>>2]=0;f[N+8>>2]=0;f[N+12>>2]=0;if((f[Q>>2]|0)>0){N=f[g>>2]|0;Z=0;do{f[N+(Z<<2)>>2]=0;Z=Z+1|0}while((Z|0)<(f[Q>>2]|0))}Q=f[x>>2]|0;if((Q|0)!=(J|0))TC(Q)}else{Q=o+8|0;if((f[Q>>2]|0)>0){Z=o+12|0;N=f[o+16>>2]|0;g=f[o+44>>2]|0;F=f[p+16>>2]|0;V=f[B>>2]|0;R=0;S=1;U=f[Z>>2]|0;while(1){d=N+(Y(f[g>>2]|0,R)|0)|0;T=F+(Y(f[V>>2]|0,R)|0)|0;if((U|0)>0){s=0;P=S;O=U;while(1){if(!(b[d+s>>0]|0)){f[T+(s<<2)>>2]=P;da=P+1|0;ea=f[Z>>2]|0}else{da=P;ea=O}s=s+1|0;if((s|0)>=(ea|0)){fa=da;ga=ea;break}else{P=da;O=ea}}}else{fa=S;ga=U}R=R+1|0;if((R|0)>=(f[Q>>2]|0))break;else{S=fa;U=ga}}}}ba=+n[t+4>>2];W=+n[t+8>>2];U=Ghc(+n[t>>2]*65536.0)|0;S=Ghc(ba*65536.0)|0;Q=Ghc(W*65536.0)|0;R=f[o+16>>2]|0;Z=f[k+16>>2]|0;V=f[$>>2]|0;F=f[r+16>>2]|0;g=f[p+16>>2]|0;N=f[o+48>>2]|0;J=(f[ca>>2]|0)>>>2;x=(f[r+48>>2]|0)>>>2;O=(f[C>>2]|0)>>>2;P=f[E>>2]|0;s=f[P+4>>2]|0;T=f[P>>2]|0;P=f[e>>2]|0;d=f[P+4>>2]|0;X=f[P>>2]|0;if((d|0)>0){P=Z+(Y(f[V>>2]|0,X+-1|0)|0)|0;c=0;do{f[Z+(c<<2)>>2]=2147483647;f[P+(c<<2)>>2]=2147483647;c=c+1|0}while((c|0)!=(d|0));c=f[V>>2]|0;P=Z+c|0;H=Z+(Y(c,X+-2|0)|0)|0;c=0;do{f[P+(c<<2)>>2]=2147483647;f[H+(c<<2)>>2]=2147483647;c=c+1|0}while((c|0)!=(d|0))}if((T|0)>0){d=(s|0)>0;c=J<<1;H=O<<1;P=~H;X=1-H|0;V=-2-O|0;K=~O;G=1-O|0;q=2-O|0;I=s+1|0;L=0;do{M=Y(L,N)|0;ha=Z+((Y(L+2|0,J)|0)<<2)+8|0;ia=Y(L,O)|0;f[ha+(s<<2)>>2]=2147483647;f[ha+-4>>2]=2147483647;f[ha+(I<<2)>>2]=2147483647;f[ha+-8>>2]=2147483647;ja=R+M|0;M=g+(ia<<2)|0;if(d){ia=0;do{if(!(b[ja+ia>>0]|0)){ka=0;la=ha}else{ma=ia-c|0;na=(f[ha+(ma+-1<<2)>>2]|0)+Q|0;if(na>>>0<2147483647){oa=na;pa=f[M+(ia+P<<2)>>2]|0}else{oa=2147483647;pa=0}na=(f[ha+(ma+1<<2)>>2]|0)+Q|0;if(oa>>>0>na>>>0){qa=na;ra=f[M+(X+ia<<2)>>2]|0}else{qa=oa;ra=pa}na=ia-J|0;ma=(f[ha+(na+-2<<2)>>2]|0)+Q|0;if(qa>>>0>ma>>>0){sa=ma;ta=f[M+(V+ia<<2)>>2]|0}else{sa=qa;ta=ra}ma=(f[ha+(na+-1<<2)>>2]|0)+S|0;if(sa>>>0>ma>>>0){ua=ma;va=f[M+(ia+K<<2)>>2]|0}else{ua=sa;va=ta}ma=(f[ha+(na<<2)>>2]|0)+U|0;if(ua>>>0>ma>>>0){wa=ma;xa=f[M+(ia-O<<2)>>2]|0}else{wa=ua;xa=va}ma=(f[ha+(na+1<<2)>>2]|0)+S|0;if(wa>>>0>ma>>>0){ya=ma;za=f[M+(G+ia<<2)>>2]|0}else{ya=wa;za=xa}ma=(f[ha+(na+2<<2)>>2]|0)+Q|0;if(ya>>>0>ma>>>0){Aa=ma;Ba=f[M+(q+ia<<2)>>2]|0}else{Aa=ya;Ba=za}ma=ia+-1|0;na=(f[ha+(ma<<2)>>2]|0)+U|0;if(Aa>>>0>na>>>0){Ca=na;Da=f[M+(ma<<2)>>2]|0}else{Ca=Aa;Da=Ba}f[ha+(ia<<2)>>2]=Ca;ka=Da;la=M}f[la+(ia<<2)>>2]=ka;ia=ia+1|0}while((ia|0)!=(s|0))}L=L+1|0}while((L|0)!=(T|0));L=c+-1|0;q=H+-1|0;G=O+2|0;K=T;do{V=K;K=K+-1|0;X=F+((Y(K,x)|0)<<2)|0;P=Z+((Y(V+1|0,J)|0)<<2)+8|0;R=g+((Y(K,O)|0)<<2)|0;if(d){I=s;do{N=I;I=I+-1|0;ia=P+(I<<2)|0;M=f[ia>>2]|0;ha=R+(I<<2)|0;if(M>>>0>U>>>0){ja=(f[P+(N+c<<2)>>2]|0)+Q|0;ma=M>>>0>ja>>>0;na=ma?ja:M;ja=(f[P+(L+I<<2)>>2]|0)+Q|0;Ea=na>>>0>ja>>>0;Fa=Ea?ja:na;na=I+J|0;ja=(f[P+(na+2<<2)>>2]|0)+Q|0;Ga=Fa>>>0>ja>>>0;Ha=Ga?ja:Fa;Fa=(f[P+(N+J<<2)>>2]|0)+S|0;ja=Ha>>>0>Fa>>>0;Ia=ja?Fa:Ha;Ha=(f[P+(na<<2)>>2]|0)+U|0;Fa=Ia>>>0>Ha>>>0;Ja=I+O|0;Ka=Fa?Ha:Ia;Ia=(f[P+(na+-1<<2)>>2]|0)+S|0;Ha=Ka>>>0>Ia>>>0;La=Ha?Ia:Ka;Ka=(f[P+(na+-2<<2)>>2]|0)+Q|0;na=La>>>0>Ka>>>0;Ia=na?Ka:La;La=(f[P+(N<<2)>>2]|0)+U|0;Ka=Ia>>>0>La>>>0;Ma=Ka?La:Ia;Ia=f[(Ka?R+(N<<2)|0:na?R+(Ja+-2<<2)|0:Ha?R+(Ja+-1<<2)|0:Fa?R+(Ja<<2)|0:ja?R+(N+O<<2)|0:Ga?R+(G+I<<2)|0:Ea?R+(q+I<<2)|0:ma?R+(N+H<<2)|0:ha)>>2]|0;f[ia>>2]=Ma;f[ha>>2]=Ia;Na=Ma}else Na=M;n[X+(I<<2)>>2]=+((Na>>>0<536870911?Na:536870911)>>>0)*.0000152587890625}while((N|0)>1)}}while((V|0)>1)}}else{W=+n[t>>2];ba=+n[t+4>>2];if(aa){H=Ghc(W*65536.0)|0;q=Ghc(ba*65536.0)|0;G=f[o+16>>2]|0;O=f[k+16>>2]|0;U=f[r+16>>2]|0;Q=f[o+48>>2]|0;S=(f[ca>>2]|0)>>>2;J=(f[r+48>>2]|0)>>>2;L=f[E>>2]|0;c=f[L+4>>2]|0;s=f[L>>2]|0;L=f[e>>2]|0;d=f[L+4>>2]|0;if((d|0)>0){K=O+(Y(f[f[$>>2]>>2]|0,(f[L>>2]|0)+-1|0)|0)|0;L=0;do{f[O+(L<<2)>>2]=2147483647;f[K+(L<<2)>>2]=2147483647;L=L+1|0}while((L|0)!=(d|0))}if((s|0)<=0)break;d=(c|0)>0;if(d){L=0;do{K=Y(L,Q)|0;L=L+1|0;g=O+((Y(L,S)|0)<<2)+4|0;f[g+(c<<2)>>2]=2147483647;f[g+-4>>2]=2147483647;Z=G+K|0;K=0;x=2147483647;while(1){if(!(b[Z+K>>0]|0))Oa=0;else{F=K-S|0;T=(f[g+(F+-1<<2)>>2]|0)+q|0;I=(f[g+(F<<2)>>2]|0)+H|0;X=T>>>0>I>>>0?I:T;T=(f[g+(F+1<<2)>>2]|0)+q|0;F=X>>>0>T>>>0?T:X;X=x+H|0;Oa=F>>>0>X>>>0?X:F}f[g+(K<<2)>>2]=Oa;K=K+1|0;if((K|0)==(c|0))break;else x=Oa}}while((L|0)!=(s|0))}else{L=0;do{L=L+1|0;G=O+((Y(L,S)|0)<<2)+4|0;f[G+(c<<2)>>2]=2147483647;f[G+-4>>2]=2147483647}while((L|0)!=(s|0))}if(d)Pa=s;else break;while(1){L=Pa;Pa=Pa+-1|0;G=U+((Y(Pa,J)|0)<<2)|0;Q=O+((Y(L,S)|0)<<2)+4|0;x=c;do{K=x;x=x+-1|0;g=Q+(x<<2)|0;Z=f[g>>2]|0;if(Z>>>0>H>>>0){V=x+S|0;F=(f[Q+(K+S<<2)>>2]|0)+q|0;X=Z>>>0>F>>>0?F:Z;F=(f[Q+(V<<2)>>2]|0)+H|0;T=X>>>0>F>>>0?F:X;X=(f[Q+(V+-1<<2)>>2]|0)+q|0;V=T>>>0>X>>>0?X:T;T=(f[Q+(K<<2)>>2]|0)+H|0;X=V>>>0>T>>>0?T:V;f[g>>2]=X;Qa=X}else Qa=Z;n[G+(x<<2)>>2]=+((Qa>>>0<536870911?Qa:536870911)>>>0)*.0000152587890625}while((K|0)>1);if((L|0)<=1)break b}}Ra=+n[t+8>>2];H=Ghc(W*65536.0)|0;q=Ghc(ba*65536.0)|0;S=Ghc(Ra*65536.0)|0;c=f[o+16>>2]|0;O=f[k+16>>2]|0;J=f[$>>2]|0;U=f[r+16>>2]|0;s=f[o+48>>2]|0;d=(f[ca>>2]|0)>>>2;x=(f[r+48>>2]|0)>>>2;G=f[E>>2]|0;Q=f[G+4>>2]|0;K=f[G>>2]|0;G=f[e>>2]|0;Z=f[G+4>>2]|0;X=f[G>>2]|0;if((Z|0)>0){G=O+(Y(f[J>>2]|0,X+-1|0)|0)|0;g=0;do{f[O+(g<<2)>>2]=2147483647;f[G+(g<<2)>>2]=2147483647;g=g+1|0}while((g|0)!=(Z|0));g=f[J>>2]|0;G=O+g|0;V=O+(Y(g,X+-2|0)|0)|0;g=0;do{f[G+(g<<2)>>2]=2147483647;f[V+(g<<2)>>2]=2147483647;g=g+1|0}while((g|0)!=(Z|0))}if((K|0)>0){Z=(Q|0)>0;g=d<<1;V=Q+1|0;if(Z){G=0;do{X=Y(G,s)|0;J=O+((Y(G+2|0,d)|0)<<2)+8|0;f[J+(Q<<2)>>2]=2147483647;f[J+-4>>2]=2147483647;f[J+(V<<2)>>2]=2147483647;f[J+-8>>2]=2147483647;T=c+X|0;X=0;do{if(!(b[T+X>>0]|0))Sa=0;else{F=X-g|0;I=(f[J+(F+-1<<2)>>2]|0)+S|0;R=(f[J+(F+1<<2)>>2]|0)+S|0;F=I>>>0>R>>>0?R:I;I=X-d|0;R=(f[J+(I+-2<<2)>>2]|0)+S|0;P=F>>>0>R>>>0?R:F;F=(f[J+(I+-1<<2)>>2]|0)+q|0;R=P>>>0>F>>>0?F:P;P=(f[J+(I<<2)>>2]|0)+H|0;F=R>>>0>P>>>0?P:R;R=(f[J+(I+1<<2)>>2]|0)+q|0;P=F>>>0>R>>>0?R:F;F=(f[J+(I+2<<2)>>2]|0)+S|0;I=P>>>0>F>>>0?F:P;P=(f[J+(X+-1<<2)>>2]|0)+H|0;Sa=I>>>0>P>>>0?P:I}f[J+(X<<2)>>2]=Sa;X=X+1|0}while((X|0)!=(Q|0));G=G+1|0}while((G|0)!=(K|0))}else{G=0;do{c=O+((Y(G+2|0,d)|0)<<2)+8|0;f[c+(Q<<2)>>2]=2147483647;f[c+-4>>2]=2147483647;f[c+(V<<2)>>2]=2147483647;f[c+-8>>2]=2147483647;G=G+1|0}while((G|0)!=(K|0))}G=g+-1|0;if(Z){V=K;do{c=V;V=V+-1|0;s=U+((Y(V,x)|0)<<2)|0;X=O+((Y(c+1|0,d)|0)<<2)+8|0;J=Q;do{T=J;J=J+-1|0;L=X+(J<<2)|0;I=f[L>>2]|0;if(I>>>0>H>>>0){P=(f[X+(T+g<<2)>>2]|0)+S|0;F=I>>>0>P>>>0?P:I;P=(f[X+(G+J<<2)>>2]|0)+S|0;R=F>>>0>P>>>0?P:F;F=J+d|0;P=(f[X+(F+2<<2)>>2]|0)+S|0;N=R>>>0>P>>>0?P:R;R=(f[X+(T+d<<2)>>2]|0)+q|0;P=N>>>0>R>>>0?R:N;N=(f[X+(F<<2)>>2]|0)+H|0;R=P>>>0>N>>>0?N:P;P=(f[X+(F+-1<<2)>>2]|0)+q|0;N=R>>>0>P>>>0?P:R;R=(f[X+(F+-2<<2)>>2]|0)+S|0;F=N>>>0>R>>>0?R:N;N=(f[X+(T<<2)>>2]|0)+H|0;R=F>>>0>N>>>0?N:F;f[L>>2]=R;Ta=R}else Ta=I;n[s+(J<<2)>>2]=+((Ta>>>0<536870911?Ta:536870911)>>>0)*.0000152587890625}while((T|0)>1)}while((c|0)>1)}}}while(0);Ta=k+36|0;Sa=f[Ta>>2]|0;if(Sa|0?(t=Sa+12|0,Sa=f[t>>2]|0,f[t>>2]=Sa+-1,(Sa|0)==1):0)aU(k);f[Ta>>2]=0;Ta=k+16|0;f[Ta>>2]=0;f[Ta+4>>2]=0;f[Ta+8>>2]=0;f[Ta+12>>2]=0;if((f[_>>2]|0)>0){Ta=f[e>>2]|0;e=0;do{f[Ta+(e<<2)>>2]=0;e=e+1|0}while((e|0)<(f[_>>2]|0))}_=f[$>>2]|0;if((_|0)!=(ca|0))TC(_)}_=r+36|0;ca=f[_>>2]|0;if(ca|0?($=ca+12|0,ca=f[$>>2]|0,f[$>>2]=ca+-1,(ca|0)==1):0)aU(r);f[_>>2]=0;_=r+16|0;ca=r+4|0;f[_>>2]=0;f[_+4>>2]=0;f[_+8>>2]=0;f[_+12>>2]=0;if((f[ca>>2]|0)>0){_=f[r+40>>2]|0;$=0;do{f[_+($<<2)>>2]=0;$=$+1|0}while(($|0)<(f[ca>>2]|0))}ca=f[r+44>>2]|0;if((ca|0)!=(r+48|0))TC(ca);ca=p+36|0;r=f[ca>>2]|0;if(r|0?($=r+12|0,r=f[$>>2]|0,f[$>>2]=r+-1,(r|0)==1):0)aU(p);f[ca>>2]=0;ca=p+16|0;f[ca>>2]=0;f[ca+4>>2]=0;f[ca+8>>2]=0;f[ca+12>>2]=0;if((f[a>>2]|0)>0){ca=f[y>>2]|0;y=0;do{f[ca+(y<<2)>>2]=0;y=y+1|0}while((y|0)<(f[a>>2]|0))}a=f[B>>2]|0;if((a|0)!=(C|0))TC(a);a=o+36|0;C=f[a>>2]|0;if(C|0?(B=C+12|0,C=f[B>>2]|0,f[B>>2]=C+-1,(C|0)==1):0)aU(o);f[a>>2]=0;a=o+16|0;C=o+4|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;if((f[C>>2]|0)>0){a=f[E>>2]|0;E=0;do{f[a+(E<<2)>>2]=0;E=E+1|0}while((E|0)<(f[C>>2]|0))}C=f[o+44>>2]|0;if((C|0)!=(o+48|0))TC(C);if(!(f[m+4>>2]|0)){u=i;return}u=i;return}function Ova(a){a=a|0;fuc(a);return}function Pva(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0.0,A=0,B=0,C=0,D=0.0,E=0,F=0.0;c=u;u=u+1040|0;d=c;e=f[b>>2]|0;g=f[b+4>>2]|0;b=f[a+4>>2]|0;h=f[b+12>>2]|0;i=(h*12|0)+24|0;j=d+8|0;f[d>>2]=j;k=d+4|0;f[k>>2]=i;if(i>>>0>1032){l=euc(i)|0;f[d>>2]=l;m=l}else m=j;l=m+(h<<2)|0;i=l+(h<<2)+4+3&-4;a:do if((e|0)<(g|0)){o=f[b+16>>2]|0;p=f[b+44>>2]|0;q=l+4|0;r=(h|0)>0;s=a+8|0;if((h|0)<=1){t=e;while(1){v=o+(Y(f[p>>2]|0,t)|0)|0;f[i>>2]=0;n[l>>2]=-999999986991104.0;n[q>>2]=999999986991104.0;f[m>>2]=f[v>>2];if(r){w=f[s>>2]|0;x=0;y=0;while(1){z=+(x|0);A=y;while(1){B=A+1|0;if(+n[l+(B<<2)>>2]<z)A=B;else break}B=f[i+(A<<2)>>2]|0;C=x-B|0;z=+M(+(+n[w+(((C|0)>-1?C:0-C|0)<<2)>>2]+ +n[m+(B<<2)>>2]));n[v+(x<<2)>>2]=z;x=x+1|0;if((x|0)==(h|0))break;else y=A}}t=t+1|0;if((t|0)==(g|0))break a}}t=f[s>>2]|0;y=f[a+12>>2]|0;x=e;do{v=o+(Y(f[p>>2]|0,x)|0)|0;f[i>>2]=0;n[l>>2]=-999999986991104.0;n[q>>2]=999999986991104.0;f[m>>2]=f[v>>2];w=0;B=1;do{z=+n[v+(B<<2)>>2];n[m+(B<<2)>>2]=z;D=z+ +n[t+(B<<2)>>2];C=w;while(1){E=f[i+(C<<2)>>2]|0;F=(D-+n[v+(E<<2)>>2]-+n[t+(E<<2)>>2])*+n[y+(B-E<<2)>>2];if(F>+n[l+(C<<2)>>2])break;else C=C+-1|0}w=C+1|0;f[i+(w<<2)>>2]=B;n[l+(w<<2)>>2]=F;n[l+(C+2<<2)>>2]=999999986991104.0;B=B+1|0}while((B|0)!=(h|0));if(r){B=0;w=0;while(1){D=+(B|0);A=w;while(1){E=A+1|0;if(+n[l+(E<<2)>>2]<D)A=E;else break}C=f[i+(A<<2)>>2]|0;E=B-C|0;D=+M(+(+n[t+(((E|0)>-1?E:0-E|0)<<2)>>2]+ +n[m+(C<<2)>>2]));n[v+(B<<2)>>2]=D;B=B+1|0;if((B|0)==(h|0))break;else w=A}}x=x+1|0}while((x|0)!=(g|0))}while(0);if((m|0)==(j|0)){u=c;return}guc(m);f[d>>2]=j;f[k>>2]=1032;u=c;return}function Qva(a){a=a|0;fuc(a);return}function Rva(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;d=u;u=u+1072|0;e=d;g=f[c>>2]|0;h=f[c+4>>2]|0;c=f[a+4>>2]|0;i=f[c+8>>2]|0;j=f[c+48>>2]|0;k=f[a+8>>2]|0;l=(f[k+48>>2]|0)>>>2;m=e+8|0;f[e>>2]=m;n=e+4|0;f[n>>2]=i;if(i>>>0>264){o=euc(i>>>0>1073741823?-1:i<<2)|0;f[e>>2]=o;p=o}else p=m;if((g|0)<(h|0)?(o=i+-1|0,q=a+12|0,r=a+16|0,a=0-j|0,(i|0)>0):0){j=f[c+16>>2]|0;s=f[c+44>>2]|0;c=f[k+16>>2]|0;k=g;do{g=o;t=j+(Y(f[s>>2]|0,o)|0)+k|0;v=o;while(1){v=b[t>>0]|0?v+1|0:0;f[p+(g<<2)>>2]=v;if((g|0)<=0)break;else{g=g+-1|0;t=t+a|0}}t=f[q>>2]|0;g=f[r>>2]|0;v=c+(k<<2)|0;w=0;x=o;while(1){y=p+(w<<2)|0;x=x+1-(f[t+(x-(f[y>>2]|0)<<2)>>2]|0)|0;f[y>>2]=x;f[v>>2]=f[g+(x<<2)>>2];w=w+1|0;if((w|0)==(i|0))break;else v=v+(l<<2)|0}k=k+1|0}while((k|0)!=(h|0))}if((p|0)==(m|0)){u=d;return}guc(p);f[e>>2]=m;f[n>>2]=264;u=d;return}function Sva(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0;i=u;u=u+416|0;j=i+152|0;k=i+136|0;l=i+128|0;m=i+72|0;n=i+64|0;o=i+8|0;p=i;gV(p,83176);if((d|0)==1&(g|0)==0){gV(l,83196);do if((qJ(a)|0)==65536){l=f[a+4>>2]|0;f[m>>2]=f[l>>2];g=m+4|0;q=l+4|0;f[g>>2]=f[q>>2];r=m+8|0;f[r>>2]=f[l+8>>2];f[m+12>>2]=f[l+12>>2];f[m+16>>2]=f[l+16>>2];f[m+20>>2]=f[l+20>>2];f[m+24>>2]=f[l+24>>2];f[m+28>>2]=f[l+28>>2];f[m+32>>2]=f[l+32>>2];s=f[l+36>>2]|0;f[m+36>>2]=s;f[m+40>>2]=r;r=m+48|0;t=m+44|0;f[t>>2]=r;f[r>>2]=0;f[m+52>>2]=0;if(s|0){r=s+12|0;f[r>>2]=(f[r>>2]|0)+1}if((f[q>>2]|0)<3){q=f[l+44>>2]|0;r=f[t>>2]|0;f[r>>2]=f[q>>2];f[r+4>>2]=f[q+4>>2];v=m;break}else{f[g>>2]=0;$T(m,l);v=m;break}}else{nJ(m,a,-1);v=m}while(0);if(f[v>>2]&4095|0){f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;l=cuc(32)|0;f[j>>2]=l;f[j+8>>2]=-2147483616;f[j+4>>2]=21;w=l;x=367838;y=w+21|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));b[l+21>>0]=0;WD(-215,j,368389,367878,692)}l=m+40|0;g=f[l>>2]|0;q=f[g>>2]|0;f[n>>2]=f[g+4>>2];f[n+4>>2]=q;IJ(c,n,0,-1,0,0);do if((qJ(c)|0)==65536){n=f[c+4>>2]|0;f[o>>2]=f[n>>2];q=o+4|0;g=n+4|0;f[q>>2]=f[g>>2];r=o+8|0;f[r>>2]=f[n+8>>2];f[o+12>>2]=f[n+12>>2];t=o+16|0;f[t>>2]=f[n+16>>2];f[o+20>>2]=f[n+20>>2];f[o+24>>2]=f[n+24>>2];f[o+28>>2]=f[n+28>>2];f[o+32>>2]=f[n+32>>2];s=f[n+36>>2]|0;f[o+36>>2]=s;f[o+40>>2]=r;r=o+48|0;z=o+44|0;f[z>>2]=r;f[r>>2]=0;f[o+52>>2]=0;if(s|0){A=s+12|0;f[A>>2]=(f[A>>2]|0)+1}if((f[g>>2]|0)<3){g=f[n+44>>2]|0;A=f[z>>2]|0;f[A>>2]=f[g>>2];f[A+4>>2]=f[g+4>>2];B=t;C=r;break}else{f[q>>2]=0;$T(o,n);B=t;C=r;break}}else{nJ(o,c,-1);B=o+16|0;C=o+48|0}while(0);r=f[m+12>>2]|0;t=f[m+8>>2]|0;n=m+16|0;q=f[n>>2]|0;g=f[B>>2]|0;A=m+48|0;z=f[A>>2]|0;s=f[C>>2]|0;if(f[v>>2]&4095|0){D=cuc(48)|0;f[k>>2]=D;E=k+8|0;f[E>>2]=-2147483600;F=k+4|0;f[F>>2]=46;w=D;x=368413;y=w+46|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));G=D+46|0;b[G>>0]=0;WD(-215,k,368460,367878,621)}if(f[o>>2]&4095|0){D=cuc(48)|0;f[k>>2]=D;E=k+8|0;f[E>>2]=-2147483600;F=k+4|0;f[F>>2]=46;w=D;x=368413;y=w+46|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));G=D+46|0;b[G>>0]=0;WD(-215,k,368460,367878,621)}G=f[l>>2]|0;D=o+40|0;F=f[D>>2]|0;if((f[G>>2]|0)==(f[F>>2]|0)?(f[G+4>>2]|0)==(f[F+4>>2]|0):0)H=0;else{F=cuc(32)|0;f[k>>2]=F;f[k+8>>2]=-2147483616;f[k+4>>2]=24;w=F;x=368060;y=w+24|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));b[F+24>>0]=0;WD(-215,k,368460,367878,622)}do{k=H;H=H+1|0;b[j+k>>0]=H>>>0<256?H:(k>>>31)+255|0}while((H|0)!=256);H=((b[q>>0]|0)!=0)<<31>>31;b[g>>0]=H;k=(r|0)>1;if(k){F=1;x=H;do{if(!(b[q+F>>0]|0))I=0;else I=h[j+(x&255)>>0]|0;x=I&255;b[g+F>>0]=x;F=F+1|0}while((F|0)!=(r|0))}do if((t|0)>1){F=0-s|0;x=Y(s,t+-1|0)|0;if(k){J=1;K=g;L=q}else{I=1;H=g;w=q;do{w=w+z|0;H=H+s|0;if(!(b[w>>0]|0))M=0;else M=h[j+(h[H+F>>0]|0)>>0]|0;b[H>>0]=M;I=I+1|0}while((I|0)!=(t|0));N=g+x|0;break}do{L=L+z|0;K=K+s|0;if(!(b[L>>0]|0))O=0;else O=h[j+(h[K+F>>0]|0)>>0]|0;b[K>>0]=O;I=O;H=1;while(1){if(!(b[L+H>>0]|0))P=0;else{w=h[K+(H-s)>>0]|0;P=h[j+((I|0)>(w|0)?w:I)>>0]|0}b[K+H>>0]=P;H=H+1|0;if((H|0)==(r|0))break;else I=P}J=J+1|0}while((J|0)!=(t|0));N=g+x|0}else N=g;while(0);g=r+-1|0;J=r+-2|0;r=(J|0)>-1;if(r){P=h[N+g>>0]|0;K=J;while(1){L=h[j+P>>0]|0;O=N+K|0;z=L-(h[O>>0]|0)+256|0;if(z>>>0<769)Q=h[270421+z>>0]|0;else Q=0;P=L-Q|0;b[O>>0]=P;if((K|0)<=0)break;else K=K+-1|0}}K=t+-2|0;a:do if((K|0)>-1){t=0-s|0;P=s+g|0;if(r){R=K;S=N}else{Q=K;O=N;while(1){O=O+t|0;L=b[j+(h[O+P>>0]|0)>>0]|0;z=O+g|0;M=b[z>>0]|0;b[z>>0]=(L&255)>(M&255)?M:L;if((Q|0)<=0)break a;else Q=Q+-1|0}}while(1){S=S+t|0;Q=b[j+(h[S+P>>0]|0)>>0]|0;O=S+g|0;x=b[O>>0]|0;L=(Q&255)>(x&255)?x:Q;b[O>>0]=L;O=L&255;L=J;while(1){Q=h[S+(L+s)>>0]|0;x=b[j+(O>>>0>Q>>>0?Q:O)>>0]|0;Q=S+L|0;M=b[Q>>0]|0;z=(x&255)>(M&255)?M:x;b[Q>>0]=z;if((L|0)>0){O=z&255;L=L+-1|0}else break}if((R|0)<=0)break;else R=R+-1|0}}while(0);R=o+36|0;S=f[R>>2]|0;if(S|0?(j=S+12|0,S=f[j>>2]|0,f[j>>2]=S+-1,(S|0)==1):0)aU(o);f[R>>2]=0;R=o+4|0;f[B>>2]=0;f[B+4>>2]=0;f[B+8>>2]=0;f[B+12>>2]=0;if((f[R>>2]|0)>0){B=f[D>>2]|0;D=0;do{f[B+(D<<2)>>2]=0;D=D+1|0}while((D|0)<(f[R>>2]|0))}R=f[o+44>>2]|0;if((R|0)!=(C|0))TC(R);R=m+36|0;C=f[R>>2]|0;if(C|0?(o=C+12|0,C=f[o>>2]|0,f[o>>2]=C+-1,(C|0)==1):0)aU(m);f[R>>2]=0;R=m+4|0;f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;f[n+12>>2]=0;if((f[R>>2]|0)>0){n=f[l>>2]|0;l=0;do{f[n+(l<<2)>>2]=0;l=l+1|0}while((l|0)<(f[R>>2]|0))}R=f[m+44>>2]|0;if((R|0)!=(A|0))TC(R)}else Nva(a,c,sK()|0,d,e,1);if(!(f[p+4>>2]|0)){u=i;return}u=i;return}function Tva(a,c,d,e,g,h,i,j,k,l){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;m=u;u=u+80|0;n=m+72|0;o=m+40|0;p=m+32|0;q=m;gV(p,83216);r=k?2:0;switch(i|0){case 0:{f[q>>2]=j;f[q+4>>2]=r;b[q+8>>0]=l&1;i=q+12|0;s=l?83236:83256;f[i>>2]=f[s>>2];f[i+4>>2]=f[s+4>>2];f[i+8>>2]=f[s+8>>2];f[i+12>>2]=f[s+12>>2];f[i+16>>2]=f[s+16>>2];if(!k){s=q+20|0;t=f[i>>2]|0;f[i>>2]=f[s>>2];f[s>>2]=t}f[n>>2]=0;f[n+4>>2]=h;f[o>>2]=83284;f[o+4>>2]=a;f[o+8>>2]=c;f[o+12>>2]=d;f[o+16>>2]=e;f[o+20>>2]=g;f[o+24>>2]=q;sZ(n,o,+(Y(h,g)|0)*.0000152587890625);break}case 2:{f[q>>2]=j;f[q+4>>2]=r;b[q+8>>0]=l&1;t=q+12|0;s=l?83296:83316;f[t>>2]=f[s>>2];f[t+4>>2]=f[s+4>>2];f[t+8>>2]=f[s+8>>2];f[t+12>>2]=f[s+12>>2];f[t+16>>2]=f[s+16>>2];if(!k){s=q+20|0;i=f[t>>2]|0;f[t>>2]=f[s>>2];f[s>>2]=i}f[n>>2]=0;f[n+4>>2]=h;f[o>>2]=83344;f[o+4>>2]=a;f[o+8>>2]=c;f[o+12>>2]=d;f[o+16>>2]=e;f[o+20>>2]=g;f[o+24>>2]=q;sZ(n,o,+(Y(h,g)|0)*.0000152587890625);break}default:{f[q>>2]=j;f[q+4>>2]=r;b[q+8>>0]=l&1;r=q+12|0;j=l?83356:83376;f[r>>2]=f[j>>2];f[r+4>>2]=f[j+4>>2];f[r+8>>2]=f[j+8>>2];f[r+12>>2]=f[j+12>>2];f[r+16>>2]=f[j+16>>2];if(!k){k=q+20|0;j=f[r>>2]|0;f[r>>2]=f[k>>2];f[k>>2]=j}f[n>>2]=0;f[n+4>>2]=h;f[o>>2]=83404;f[o+4>>2]=a;f[o+8>>2]=c;f[o+12>>2]=d;f[o+16>>2]=e;f[o+20>>2]=g;f[o+24>>2]=q;sZ(n,o,+(Y(h,g)|0)*.0000152587890625)}}if(!(f[p+4>>2]|0)){u=m;return}u=m;return}function Uva(a){a=a|0;fuc(a);return}function Vva(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0.0,v=0.0,w=0.0,x=0.0,y=0.0,z=0,A=0,B=0,C=0.0,D=0.0,E=0.0;d=u;u=u+16|0;e=d;gV(e,83416);g=f[c>>2]|0;h=f[c+4>>2]|0;a:do if((g|0)<(h|0)){c=f[a+16>>2]|0;i=f[a+8>>2]|0;j=a+24|0;k=f[a+20>>2]|0;l=k*3|0;if((k|0)<=0){k=g;while(1){k=k+1|0;if((k|0)>=(h|0))break a}}k=(f[a+4>>2]|0)+(Y(i,g)|0)|0;m=(f[a+12>>2]|0)+(Y(c,g)|0)|0;o=g;p=k;while(1){k=f[j>>2]|0;q=f[k>>2]|0;r=f[k+4>>2]|0;s=(b[k+8>>0]^1)&255;t=+n[k+12>>2];v=+n[k+16>>2];w=+n[k+20>>2];x=+n[k+24>>2];y=+n[k+28>>2];k=r^2;z=s+1|0;A=2-s|0;s=0;B=p;while(1){C=t*+n[B>>2]+v*+n[B+4>>2]+w*+n[B+8>>2];D=x*(+n[B+(k<<2)>>2]-C)+.5;E=y*(+n[B+(r<<2)>>2]-C)+.5;n[m+(s<<2)>>2]=C;n[m+(z+s<<2)>>2]=D;n[m+(A+s<<2)>>2]=E;s=s+3|0;if((s|0)>=(l|0))break;else B=B+(q<<2)|0}o=o+1|0;if((o|0)>=(h|0))break;else{m=m+c|0;p=p+i|0}}}while(0);if(!(f[e+4>>2]|0)){u=d;return}u=d;return}function Wva(a){a=a|0;fuc(a);return}function Xva(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=u;u=u+16|0;d=c;gV(d,83436);e=f[b>>2]|0;g=a+8|0;h=a+16|0;i=b+4|0;if((e|0)<(f[i>>2]|0)){b=(f[a+12>>2]|0)+(Y(f[h>>2]|0,e)|0)|0;j=a+24|0;k=a+20|0;l=b;b=e;m=(f[a+4>>2]|0)+(Y(f[g>>2]|0,e)|0)|0;while(1){Yva(f[j>>2]|0,m,l,f[k>>2]|0);b=b+1|0;if((b|0)>=(f[i>>2]|0))break;else{l=l+(f[h>>2]|0)|0;m=m+(f[g>>2]|0)|0}}}if(!(f[d+4>>2]|0)){u=c;return}u=c;return}function Yva(a,c,e,g){a=a|0;c=c|0;e=e|0;g=g|0;var h=0,i=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;h=f[a>>2]|0;i=f[a+4>>2]|0;k=(b[a+8>>0]^1)&255;l=f[a+12>>2]|0;m=f[a+16>>2]|0;n=f[a+20>>2]|0;o=f[a+24>>2]|0;p=f[a+28>>2]|0;a=g*3|0;if((g|0)<=0)return;g=i^2;q=k+1|0;r=2-k|0;k=0;s=c;while(1){c=Y(j[s>>1]|0,l)|0;t=Y(j[s+2>>1]|0,m)|0;u=c+8192+t+(Y(j[s+4>>1]|0,n)|0)>>14;t=(Y((j[s+(g<<1)>>1]|0)-u|0,o)|0)+536879104>>14;c=(Y((j[s+(i<<1)>>1]|0)-u|0,p)|0)+536879104>>14;d[e+(k<<1)>>1]=u>>>0<65536?u:(u|0)>0?65535:0;d[e+(q+k<<1)>>1]=t>>>0<65536?t:(t|0)>0?65535:0;d[e+(r+k<<1)>>1]=c>>>0<65536?c:(c|0)>0?65535:0;k=k+3|0;if((k|0)>=(a|0))break;else s=s+(h<<1)|0}return}function Zva(a){a=a|0;fuc(a);return}function _va(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=u;u=u+16|0;d=c;gV(d,83456);e=f[b>>2]|0;g=a+8|0;h=a+16|0;i=b+4|0;if((e|0)<(f[i>>2]|0)){b=(f[a+12>>2]|0)+(Y(f[h>>2]|0,e)|0)|0;j=a+24|0;k=a+20|0;l=b;b=e;m=(f[a+4>>2]|0)+(Y(f[g>>2]|0,e)|0)|0;while(1){$va(f[j>>2]|0,m,l,f[k>>2]|0);b=b+1|0;if((b|0)>=(f[i>>2]|0))break;else{l=l+(f[h>>2]|0)|0;m=m+(f[g>>2]|0)|0}}}if(!(f[d+4>>2]|0)){u=c;return}u=c;return}function $va(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;g=f[a>>2]|0;i=f[a+4>>2]|0;j=(b[a+8>>0]^1)&255;k=f[a+12>>2]|0;l=f[a+16>>2]|0;m=f[a+20>>2]|0;n=f[a+24>>2]|0;o=f[a+28>>2]|0;a=e*3|0;if((e|0)<=0)return;e=i^2;p=j+1|0;q=2-j|0;j=0;r=c;while(1){c=Y(h[r>>0]|0,k)|0;s=Y(h[r+1>>0]|0,l)|0;t=c+8192+s+(Y(h[r+2>>0]|0,m)|0)>>14;s=(Y((h[r+e>>0]|0)-t|0,n)|0)+2105344>>14;c=(Y((h[r+i>>0]|0)-t|0,o)|0)+2105344>>14;b[d+j>>0]=t>>>0<256?t:(t|0)>0?255:0;b[d+(p+j)>>0]=s>>>0<256?s:(s|0)>0?255:0;b[d+(q+j)>>0]=c>>>0<256?c:(c|0)>0?255:0;j=j+3|0;if((j|0)>=(a|0))break;else r=r+g|0}return}function awa(a,c,d,e,g,h,i,j,k,l){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0;m=u;u=u+80|0;n=m+72|0;o=m+40|0;p=m+32|0;q=m;gV(p,83476);r=k?2:0;switch(i|0){case 0:{f[q>>2]=j;f[q+4>>2]=r;b[q+8>>0]=l&1;i=q+12|0;k=l?83496:83512;f[i>>2]=f[k>>2];f[i+4>>2]=f[k+4>>2];f[i+8>>2]=f[k+8>>2];f[i+12>>2]=f[k+12>>2];f[n>>2]=0;f[n+4>>2]=h;f[o>>2]=83536;f[o+4>>2]=a;f[o+8>>2]=c;f[o+12>>2]=d;f[o+16>>2]=e;f[o+20>>2]=g;f[o+24>>2]=q;sZ(n,o,+(Y(h,g)|0)*.0000152587890625);break}case 2:{f[q>>2]=j;f[q+4>>2]=r;b[q+8>>0]=l&1;k=q+12|0;i=l?83548:83564;f[k>>2]=f[i>>2];f[k+4>>2]=f[i+4>>2];f[k+8>>2]=f[i+8>>2];f[k+12>>2]=f[i+12>>2];f[n>>2]=0;f[n+4>>2]=h;f[o>>2]=83588;f[o+4>>2]=a;f[o+8>>2]=c;f[o+12>>2]=d;f[o+16>>2]=e;f[o+20>>2]=g;f[o+24>>2]=q;sZ(n,o,+(Y(h,g)|0)*.0000152587890625);break}default:{f[q>>2]=j;f[q+4>>2]=r;b[q+8>>0]=l&1;r=q+12|0;j=l?83600:83616;f[r>>2]=f[j>>2];f[r+4>>2]=f[j+4>>2];f[r+8>>2]=f[j+8>>2];f[r+12>>2]=f[j+12>>2];f[n>>2]=0;f[n+4>>2]=h;f[o>>2]=83640;f[o+4>>2]=a;f[o+8>>2]=c;f[o+12>>2]=d;f[o+16>>2]=e;f[o+20>>2]=g;f[o+24>>2]=q;sZ(n,o,+(Y(h,g)|0)*.0000152587890625)}}if(!(f[p+4>>2]|0)){u=m;return}u=m;return}function bwa(a){a=a|0;fuc(a);return}function cwa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=u;u=u+16|0;d=c;gV(d,83652);e=f[b>>2]|0;g=a+8|0;h=a+16|0;i=b+4|0;if((e|0)<(f[i>>2]|0)){b=(f[a+12>>2]|0)+(Y(f[h>>2]|0,e)|0)|0;j=a+24|0;k=a+20|0;l=b;b=e;m=(f[a+4>>2]|0)+(Y(f[g>>2]|0,e)|0)|0;while(1){dwa(f[j>>2]|0,m,l,f[k>>2]|0);b=b+1|0;if((b|0)>=(f[i>>2]|0))break;else{l=l+(f[h>>2]|0)|0;m=m+(f[g>>2]|0)|0}}}if(!(f[d+4>>2]|0)){u=c;return}u=c;return}function dwa(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0.0,k=0.0,l=0.0,m=0.0,o=0,p=0,q=0,r=0.0,s=0.0,t=0.0;g=f[a>>2]|0;h=f[a+4>>2]|0;i=(b[a+8>>0]^1)&255;j=+n[a+12>>2];k=+n[a+16>>2];l=+n[a+20>>2];m=+n[a+24>>2];a=e*3|0;if((e|0)<=0)return;e=i+1|0;o=2-i|0;i=h^2;if((g|0)==4){p=0;q=d;while(1){r=+n[c+(p<<2)>>2];s=+n[c+(o+p<<2)>>2]+-.5;t=+n[c+(e+p<<2)>>2]+-.5;n[q+(h<<2)>>2]=r+m*s;n[q+4>>2]=k*t+(r+l*s);n[q+(i<<2)>>2]=r+j*t;n[q+12>>2]=1.0;p=p+3|0;if((p|0)>=(a|0))break;else q=q+16|0}return}else{q=0;p=d;while(1){t=+n[c+(q<<2)>>2];r=+n[c+(o+q<<2)>>2]+-.5;s=+n[c+(e+q<<2)>>2]+-.5;n[p+(h<<2)>>2]=t+m*r;n[p+4>>2]=k*s+(t+l*r);n[p+(i<<2)>>2]=t+j*s;q=q+3|0;if((q|0)>=(a|0))break;else p=p+(g<<2)|0}return}}function ewa(a){a=a|0;fuc(a);return}function fwa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=u;u=u+16|0;d=c;gV(d,83672);e=f[b>>2]|0;g=a+8|0;h=a+16|0;i=b+4|0;if((e|0)<(f[i>>2]|0)){b=(f[a+12>>2]|0)+(Y(f[h>>2]|0,e)|0)|0;j=a+24|0;k=a+20|0;l=b;b=e;m=(f[a+4>>2]|0)+(Y(f[g>>2]|0,e)|0)|0;while(1){gwa(f[j>>2]|0,m,l,f[k>>2]|0);b=b+1|0;if((b|0)>=(f[i>>2]|0))break;else{l=l+(f[h>>2]|0)|0;m=m+(f[g>>2]|0)|0}}}if(!(f[d+4>>2]|0)){u=c;return}u=c;return}function gwa(a,c,e,g){a=a|0;c=c|0;e=e|0;g=g|0;var h=0,i=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;h=f[a>>2]|0;i=f[a+4>>2]|0;k=(b[a+8>>0]^1)&255;l=f[a+12>>2]|0;m=f[a+16>>2]|0;n=f[a+20>>2]|0;o=f[a+24>>2]|0;a=g*3|0;if((g|0)<=0)return;g=k+1|0;p=2-k|0;k=i^2;if((h|0)==4){q=0;r=e;while(1){s=j[c+(q<<1)>>1]|0;t=(j[c+(p+q<<1)>>1]|0)+-32768|0;u=((Y(t,o)|0)+8192>>14)+s|0;v=(j[c+(g+q<<1)>>1]|0)+-32768|0;w=((Y(v,m)|0)+8192+(Y(t,n)|0)>>14)+s|0;t=((Y(v,l)|0)+8192>>14)+s|0;d[r+(i<<1)>>1]=u>>>0<65536?u:(u|0)>0?65535:0;d[r+2>>1]=w>>>0<65536?w:(w|0)>0?65535:0;d[r+(k<<1)>>1]=t>>>0<65536?t:(t|0)>0?65535:0;d[r+6>>1]=-1;q=q+3|0;if((q|0)>=(a|0))break;else r=r+8|0}return}else{r=0;q=e;while(1){e=j[c+(r<<1)>>1]|0;t=(j[c+(p+r<<1)>>1]|0)+-32768|0;w=((Y(t,o)|0)+8192>>14)+e|0;u=(j[c+(g+r<<1)>>1]|0)+-32768|0;s=((Y(u,m)|0)+8192+(Y(t,n)|0)>>14)+e|0;t=((Y(u,l)|0)+8192>>14)+e|0;d[q+(i<<1)>>1]=w>>>0<65536?w:(w|0)>0?65535:0;d[q+2>>1]=s>>>0<65536?s:(s|0)>0?65535:0;d[q+(k<<1)>>1]=t>>>0<65536?t:(t|0)>0?65535:0;r=r+3|0;if((r|0)>=(a|0))break;else q=q+(h<<1)|0}return}}function hwa(a){a=a|0;fuc(a);return}function iwa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=u;u=u+16|0;d=c;gV(d,83692);e=f[b>>2]|0;g=a+8|0;h=a+16|0;i=b+4|0;if((e|0)<(f[i>>2]|0)){b=(f[a+12>>2]|0)+(Y(f[h>>2]|0,e)|0)|0;j=a+24|0;k=a+20|0;l=b;b=e;m=(f[a+4>>2]|0)+(Y(f[g>>2]|0,e)|0)|0;while(1){jwa(f[j>>2]|0,m,l,f[k>>2]|0);b=b+1|0;if((b|0)>=(f[i>>2]|0))break;else{l=l+(f[h>>2]|0)|0;m=m+(f[g>>2]|0)|0}}}if(!(f[d+4>>2]|0)){u=c;return}u=c;return}function jwa(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;g=f[a>>2]|0;i=f[a+4>>2]|0;j=(b[a+8>>0]^1)&255;k=f[a+12>>2]|0;l=f[a+16>>2]|0;m=f[a+20>>2]|0;n=f[a+24>>2]|0;a=e*3|0;if((e|0)<=0)return;e=j+1|0;o=2-j|0;j=i^2;if((g|0)==4){p=0;q=d;while(1){r=h[c+p>>0]|0;s=(h[c+(o+p)>>0]|0)+-128|0;t=((Y(s,n)|0)+8192>>14)+r|0;u=(h[c+(e+p)>>0]|0)+-128|0;v=((Y(u,l)|0)+8192+(Y(s,m)|0)>>14)+r|0;s=((Y(u,k)|0)+8192>>14)+r|0;b[q+i>>0]=t>>>0<256?t:(t|0)>0?255:0;b[q+1>>0]=v>>>0<256?v:(v|0)>0?255:0;b[q+j>>0]=s>>>0<256?s:(s|0)>0?255:0;b[q+3>>0]=-1;p=p+3|0;if((p|0)>=(a|0))break;else q=q+4|0}return}else{q=0;p=d;while(1){d=h[c+q>>0]|0;s=(h[c+(o+q)>>0]|0)+-128|0;v=((Y(s,n)|0)+8192>>14)+d|0;t=(h[c+(e+q)>>0]|0)+-128|0;r=((Y(t,l)|0)+8192+(Y(s,m)|0)>>14)+d|0;s=((Y(t,k)|0)+8192>>14)+d|0;b[p+i>>0]=v>>>0<256?v:(v|0)>0?255:0;b[p+1>>0]=r>>>0<256?r:(r|0)>0?255:0;b[p+j>>0]=s>>>0<256?s:(s|0)>0?255:0;q=q+3|0;if((q|0)>=(a|0))break;else p=p+g|0}return}}function kwa(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0;k=u;u=u+16|0;l=k;gV(l,83712);lwa(a,a+(Y(g,b)|0)|0,b,c,d,e,g,h,i,j);if(!(f[l+4>>2]|0)){u=k;return}u=k;return}function lwa(a,c,d,e,g,h,i,j,k,l){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0;m=u;u=u+48|0;n=m+16|0;o=m+8|0;p=m;gV(p,83732);switch((k?20:0)+(j*100|0)+l|0){case 300:{f[n>>2]=83760;f[n+4>>2]=e;f[n+8>>2]=g;f[n+12>>2]=h;f[n+16>>2]=a;f[n+20>>2]=c;f[n+24>>2]=d;if((Y(i,h)|0)>76799){f[o>>2]=0;f[o+4>>2]=(i|0)/2|0;sZ(o,n,-1.0)}else{f[o>>2]=0;f[o+4>>2]=(i|0)/2|0;mwa(n,o)}break}case 301:{f[n>>2]=83780;f[n+4>>2]=e;f[n+8>>2]=g;f[n+12>>2]=h;f[n+16>>2]=a;f[n+20>>2]=c;f[n+24>>2]=d;if((Y(i,h)|0)>76799){f[o>>2]=0;f[o+4>>2]=(i|0)/2|0;sZ(o,n,-1.0)}else{f[o>>2]=0;f[o+4>>2]=(i|0)/2|0;nwa(n,o)}break}case 320:{f[n>>2]=83800;f[n+4>>2]=e;f[n+8>>2]=g;f[n+12>>2]=h;f[n+16>>2]=a;f[n+20>>2]=c;f[n+24>>2]=d;if((Y(i,h)|0)>76799){f[o>>2]=0;f[o+4>>2]=(i|0)/2|0;sZ(o,n,-1.0)}else{f[o>>2]=0;f[o+4>>2]=(i|0)/2|0;owa(n,o)}break}case 321:{f[n>>2]=83820;f[n+4>>2]=e;f[n+8>>2]=g;f[n+12>>2]=h;f[n+16>>2]=a;f[n+20>>2]=c;f[n+24>>2]=d;if((Y(i,h)|0)>76799){f[o>>2]=0;f[o+4>>2]=(i|0)/2|0;sZ(o,n,-1.0)}else{f[o>>2]=0;f[o+4>>2]=(i|0)/2|0;pwa(n,o)}break}case 400:{f[n>>2]=83840;f[n+4>>2]=e;f[n+8>>2]=g;f[n+12>>2]=h;f[n+16>>2]=a;f[n+20>>2]=c;f[n+24>>2]=d;if((Y(i,h)|0)>76799){f[o>>2]=0;f[o+4>>2]=(i|0)/2|0;sZ(o,n,-1.0)}else{f[o>>2]=0;f[o+4>>2]=(i|0)/2|0;qwa(n,o)}break}case 401:{f[n>>2]=83860;f[n+4>>2]=e;f[n+8>>2]=g;f[n+12>>2]=h;f[n+16>>2]=a;f[n+20>>2]=c;f[n+24>>2]=d;if((Y(i,h)|0)>76799){f[o>>2]=0;f[o+4>>2]=(i|0)/2|0;sZ(o,n,-1.0)}else{f[o>>2]=0;f[o+4>>2]=(i|0)/2|0;rwa(n,o)}break}case 420:{f[n>>2]=83880;f[n+4>>2]=e;f[n+8>>2]=g;f[n+12>>2]=h;f[n+16>>2]=a;f[n+20>>2]=c;f[n+24>>2]=d;if((Y(i,h)|0)>76799){f[o>>2]=0;f[o+4>>2]=(i|0)/2|0;sZ(o,n,-1.0)}else{f[o>>2]=0;f[o+4>>2]=(i|0)/2|0;swa(n,o)}break}case 421:{f[n>>2]=83900;f[n+4>>2]=e;f[n+8>>2]=g;f[n+12>>2]=h;f[n+16>>2]=a;f[n+20>>2]=c;f[n+24>>2]=d;if((Y(i,h)|0)>76799){f[o>>2]=0;f[o+4>>2]=(i|0)/2|0;sZ(o,n,-1.0)}else{f[o>>2]=0;f[o+4>>2]=(i|0)/2|0;twa(n,o)}break}default:{f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;o=cuc(48)|0;f[n>>2]=o;f[n+8>>2]=-2147483600;f[n+4>>2]=41;i=o;h=370027;d=i+41|0;do{b[i>>0]=b[h>>0]|0;i=i+1|0;h=h+1|0}while((i|0)<(d|0));b[o+41>>0]=0;WD(-206,n,370069,369278,2404)}}if(!(f[p+4>>2]|0)){u=m;return}u=m;return}function mwa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;d=f[c>>2]<<1;e=f[c+4>>2]<<1;c=a+24|0;g=f[c>>2]|0;i=Y(g,d)|0;if((d|0)>=(e|0))return;j=a+4|0;k=a+8|0;l=a+12|0;m=(f[a+20>>2]|0)+(i>>>1)|0;n=d;d=(f[a+16>>2]|0)+i|0;i=g;g=f[l>>2]|0;while(1){a=f[j>>2]|0;o=f[k>>2]|0;p=d+i|0;if((g|0)>0){q=a+(Y(o,n)|0)|0;r=a+(Y(o,n|1)|0)|0;o=0;while(1){a=(h[m+o>>0]|0)+-128|0;s=o|1;t=(h[m+s>>0]|0)+-128|0;u=(Y(t,1673527)|0)+524288|0;v=(Y(a,-409993)|0)+524288+(Y(t,-852492)|0)|0;t=(Y(a,2116026)|0)+524288|0;a=(h[d+o>>0]|0)+-16|0;w=Y((a|0)>0?a:0,1220542)|0;a=w+u>>20;b[q+2>>0]=a>>>0<256?a:(a|0)>0?255:0;a=w+v>>20;b[q+1>>0]=a>>>0<256?a:(a|0)>0?255:0;a=w+t>>20;b[q>>0]=a>>>0<256?a:(a|0)>0?255:0;a=(h[d+s>>0]|0)+-16|0;w=Y((a|0)>0?a:0,1220542)|0;a=w+u>>20;b[q+5>>0]=a>>>0<256?a:(a|0)>0?255:0;a=w+v>>20;b[q+4>>0]=a>>>0<256?a:(a|0)>0?255:0;a=w+t>>20;b[q+3>>0]=a>>>0<256?a:(a|0)>0?255:0;a=(h[p+o>>0]|0)+-16|0;w=Y((a|0)>0?a:0,1220542)|0;a=w+u>>20;b[r+2>>0]=a>>>0<256?a:(a|0)>0?255:0;a=w+v>>20;b[r+1>>0]=a>>>0<256?a:(a|0)>0?255:0;a=w+t>>20;b[r>>0]=a>>>0<256?a:(a|0)>0?255:0;a=(h[p+s>>0]|0)+-16|0;s=Y((a|0)>0?a:0,1220542)|0;a=s+u>>20;b[r+5>>0]=a>>>0<256?a:(a|0)>0?255:0;a=s+v>>20;b[r+4>>0]=a>>>0<256?a:(a|0)>0?255:0;a=s+t>>20;b[r+3>>0]=a>>>0<256?a:(a|0)>0?255:0;o=o+2|0;x=f[l>>2]|0;if((o|0)>=(x|0))break;else{q=q+6|0;r=r+6|0}}y=x;z=f[c>>2]|0}else{y=g;z=i}n=n+2|0;if((n|0)>=(e|0))break;else{m=m+z|0;d=d+(z<<1)|0;i=z;g=y}}return}function nwa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;d=f[c>>2]<<1;e=f[c+4>>2]<<1;c=a+24|0;g=f[c>>2]|0;i=Y(g,d)|0;if((d|0)>=(e|0))return;j=a+4|0;k=a+8|0;l=a+12|0;m=(f[a+20>>2]|0)+(i>>>1)|0;n=d;d=(f[a+16>>2]|0)+i|0;i=g;g=f[l>>2]|0;while(1){a=f[j>>2]|0;o=f[k>>2]|0;p=d+i|0;if((g|0)>0){q=a+(Y(o,n)|0)|0;r=a+(Y(o,n|1)|0)|0;o=0;while(1){a=o|1;s=(h[m+a>>0]|0)+-128|0;t=(h[m+o>>0]|0)+-128|0;u=(Y(t,1673527)|0)+524288|0;v=(Y(s,-409993)|0)+524288+(Y(t,-852492)|0)|0;t=(Y(s,2116026)|0)+524288|0;s=(h[d+o>>0]|0)+-16|0;w=Y((s|0)>0?s:0,1220542)|0;s=w+u>>20;b[q+2>>0]=s>>>0<256?s:(s|0)>0?255:0;s=w+v>>20;b[q+1>>0]=s>>>0<256?s:(s|0)>0?255:0;s=w+t>>20;b[q>>0]=s>>>0<256?s:(s|0)>0?255:0;s=(h[d+a>>0]|0)+-16|0;w=Y((s|0)>0?s:0,1220542)|0;s=w+u>>20;b[q+5>>0]=s>>>0<256?s:(s|0)>0?255:0;s=w+v>>20;b[q+4>>0]=s>>>0<256?s:(s|0)>0?255:0;s=w+t>>20;b[q+3>>0]=s>>>0<256?s:(s|0)>0?255:0;s=(h[p+o>>0]|0)+-16|0;w=Y((s|0)>0?s:0,1220542)|0;s=w+u>>20;b[r+2>>0]=s>>>0<256?s:(s|0)>0?255:0;s=w+v>>20;b[r+1>>0]=s>>>0<256?s:(s|0)>0?255:0;s=w+t>>20;b[r>>0]=s>>>0<256?s:(s|0)>0?255:0;s=(h[p+a>>0]|0)+-16|0;a=Y((s|0)>0?s:0,1220542)|0;s=a+u>>20;b[r+5>>0]=s>>>0<256?s:(s|0)>0?255:0;s=a+v>>20;b[r+4>>0]=s>>>0<256?s:(s|0)>0?255:0;s=a+t>>20;b[r+3>>0]=s>>>0<256?s:(s|0)>0?255:0;o=o+2|0;x=f[l>>2]|0;if((o|0)>=(x|0))break;else{q=q+6|0;r=r+6|0}}y=x;z=f[c>>2]|0}else{y=g;z=i}n=n+2|0;if((n|0)>=(e|0))break;else{m=m+z|0;d=d+(z<<1)|0;i=z;g=y}}return}function owa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;d=f[c>>2]<<1;e=f[c+4>>2]<<1;c=a+24|0;g=f[c>>2]|0;i=Y(g,d)|0;if((d|0)>=(e|0))return;j=a+4|0;k=a+8|0;l=a+12|0;m=(f[a+20>>2]|0)+(i>>>1)|0;n=d;d=(f[a+16>>2]|0)+i|0;i=g;g=f[l>>2]|0;while(1){a=f[j>>2]|0;o=f[k>>2]|0;p=d+i|0;if((g|0)>0){q=a+(Y(o,n)|0)|0;r=a+(Y(o,n|1)|0)|0;o=0;while(1){a=(h[m+o>>0]|0)+-128|0;s=o|1;t=(h[m+s>>0]|0)+-128|0;u=(Y(t,1673527)|0)+524288|0;v=(Y(a,-409993)|0)+524288+(Y(t,-852492)|0)|0;t=(Y(a,2116026)|0)+524288|0;a=(h[d+o>>0]|0)+-16|0;w=Y((a|0)>0?a:0,1220542)|0;a=w+u>>20;b[q>>0]=a>>>0<256?a:(a|0)>0?255:0;a=w+v>>20;b[q+1>>0]=a>>>0<256?a:(a|0)>0?255:0;a=w+t>>20;b[q+2>>0]=a>>>0<256?a:(a|0)>0?255:0;a=(h[d+s>>0]|0)+-16|0;w=Y((a|0)>0?a:0,1220542)|0;a=w+u>>20;b[q+3>>0]=a>>>0<256?a:(a|0)>0?255:0;a=w+v>>20;b[q+4>>0]=a>>>0<256?a:(a|0)>0?255:0;a=w+t>>20;b[q+5>>0]=a>>>0<256?a:(a|0)>0?255:0;a=(h[p+o>>0]|0)+-16|0;w=Y((a|0)>0?a:0,1220542)|0;a=w+u>>20;b[r>>0]=a>>>0<256?a:(a|0)>0?255:0;a=w+v>>20;b[r+1>>0]=a>>>0<256?a:(a|0)>0?255:0;a=w+t>>20;b[r+2>>0]=a>>>0<256?a:(a|0)>0?255:0;a=(h[p+s>>0]|0)+-16|0;s=Y((a|0)>0?a:0,1220542)|0;a=s+u>>20;b[r+3>>0]=a>>>0<256?a:(a|0)>0?255:0;a=s+v>>20;b[r+4>>0]=a>>>0<256?a:(a|0)>0?255:0;a=s+t>>20;b[r+5>>0]=a>>>0<256?a:(a|0)>0?255:0;o=o+2|0;x=f[l>>2]|0;if((o|0)>=(x|0))break;else{q=q+6|0;r=r+6|0}}y=x;z=f[c>>2]|0}else{y=g;z=i}n=n+2|0;if((n|0)>=(e|0))break;else{m=m+z|0;d=d+(z<<1)|0;i=z;g=y}}return}function pwa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;d=f[c>>2]<<1;e=f[c+4>>2]<<1;c=a+24|0;g=f[c>>2]|0;i=Y(g,d)|0;if((d|0)>=(e|0))return;j=a+4|0;k=a+8|0;l=a+12|0;m=(f[a+20>>2]|0)+(i>>>1)|0;n=d;d=(f[a+16>>2]|0)+i|0;i=g;g=f[l>>2]|0;while(1){a=f[j>>2]|0;o=f[k>>2]|0;p=d+i|0;if((g|0)>0){q=a+(Y(o,n)|0)|0;r=a+(Y(o,n|1)|0)|0;o=0;while(1){a=o|1;s=(h[m+a>>0]|0)+-128|0;t=(h[m+o>>0]|0)+-128|0;u=(Y(t,1673527)|0)+524288|0;v=(Y(s,-409993)|0)+524288+(Y(t,-852492)|0)|0;t=(Y(s,2116026)|0)+524288|0;s=(h[d+o>>0]|0)+-16|0;w=Y((s|0)>0?s:0,1220542)|0;s=w+u>>20;b[q>>0]=s>>>0<256?s:(s|0)>0?255:0;s=w+v>>20;b[q+1>>0]=s>>>0<256?s:(s|0)>0?255:0;s=w+t>>20;b[q+2>>0]=s>>>0<256?s:(s|0)>0?255:0;s=(h[d+a>>0]|0)+-16|0;w=Y((s|0)>0?s:0,1220542)|0;s=w+u>>20;b[q+3>>0]=s>>>0<256?s:(s|0)>0?255:0;s=w+v>>20;b[q+4>>0]=s>>>0<256?s:(s|0)>0?255:0;s=w+t>>20;b[q+5>>0]=s>>>0<256?s:(s|0)>0?255:0;s=(h[p+o>>0]|0)+-16|0;w=Y((s|0)>0?s:0,1220542)|0;s=w+u>>20;b[r>>0]=s>>>0<256?s:(s|0)>0?255:0;s=w+v>>20;b[r+1>>0]=s>>>0<256?s:(s|0)>0?255:0;s=w+t>>20;b[r+2>>0]=s>>>0<256?s:(s|0)>0?255:0;s=(h[p+a>>0]|0)+-16|0;a=Y((s|0)>0?s:0,1220542)|0;s=a+u>>20;b[r+3>>0]=s>>>0<256?s:(s|0)>0?255:0;s=a+v>>20;b[r+4>>0]=s>>>0<256?s:(s|0)>0?255:0;s=a+t>>20;b[r+5>>0]=s>>>0<256?s:(s|0)>0?255:0;o=o+2|0;x=f[l>>2]|0;if((o|0)>=(x|0))break;else{q=q+6|0;r=r+6|0}}y=x;z=f[c>>2]|0}else{y=g;z=i}n=n+2|0;if((n|0)>=(e|0))break;else{m=m+z|0;d=d+(z<<1)|0;i=z;g=y}}return}function qwa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;d=f[c>>2]<<1;e=f[c+4>>2]<<1;c=a+24|0;g=f[c>>2]|0;i=Y(g,d)|0;if((d|0)>=(e|0))return;j=a+4|0;k=a+8|0;l=a+12|0;m=(f[a+20>>2]|0)+(i>>>1)|0;n=d;d=(f[a+16>>2]|0)+i|0;i=g;g=f[l>>2]|0;while(1){a=f[j>>2]|0;o=f[k>>2]|0;p=d+i|0;if((g|0)>0){q=a+(Y(o,n)|0)|0;r=a+(Y(o,n|1)|0)|0;o=0;while(1){a=(h[m+o>>0]|0)+-128|0;s=o|1;t=(h[m+s>>0]|0)+-128|0;u=(Y(t,1673527)|0)+524288|0;v=(Y(a,-409993)|0)+524288+(Y(t,-852492)|0)|0;t=(Y(a,2116026)|0)+524288|0;a=(h[d+o>>0]|0)+-16|0;w=Y((a|0)>0?a:0,1220542)|0;a=w+u>>20;b[q+2>>0]=a>>>0<256?a:(a|0)>0?255:0;a=w+v>>20;b[q+1>>0]=a>>>0<256?a:(a|0)>0?255:0;a=w+t>>20;b[q>>0]=a>>>0<256?a:(a|0)>0?255:0;b[q+3>>0]=-1;a=(h[d+s>>0]|0)+-16|0;w=Y((a|0)>0?a:0,1220542)|0;a=w+u>>20;b[q+6>>0]=a>>>0<256?a:(a|0)>0?255:0;a=w+v>>20;b[q+5>>0]=a>>>0<256?a:(a|0)>0?255:0;a=w+t>>20;b[q+4>>0]=a>>>0<256?a:(a|0)>0?255:0;b[q+7>>0]=-1;a=(h[p+o>>0]|0)+-16|0;w=Y((a|0)>0?a:0,1220542)|0;a=w+u>>20;b[r+2>>0]=a>>>0<256?a:(a|0)>0?255:0;a=w+v>>20;b[r+1>>0]=a>>>0<256?a:(a|0)>0?255:0;a=w+t>>20;b[r>>0]=a>>>0<256?a:(a|0)>0?255:0;b[r+3>>0]=-1;a=(h[p+s>>0]|0)+-16|0;s=Y((a|0)>0?a:0,1220542)|0;a=s+u>>20;b[r+6>>0]=a>>>0<256?a:(a|0)>0?255:0;a=s+v>>20;b[r+5>>0]=a>>>0<256?a:(a|0)>0?255:0;a=s+t>>20;b[r+4>>0]=a>>>0<256?a:(a|0)>0?255:0;b[r+7>>0]=-1;o=o+2|0;x=f[l>>2]|0;if((o|0)>=(x|0))break;else{q=q+8|0;r=r+8|0}}y=x;z=f[c>>2]|0}else{y=g;z=i}n=n+2|0;if((n|0)>=(e|0))break;else{m=m+z|0;d=d+(z<<1)|0;i=z;g=y}}return}function rwa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;d=f[c>>2]<<1;e=f[c+4>>2]<<1;c=a+24|0;g=f[c>>2]|0;i=Y(g,d)|0;if((d|0)>=(e|0))return;j=a+4|0;k=a+8|0;l=a+12|0;m=(f[a+20>>2]|0)+(i>>>1)|0;n=d;d=(f[a+16>>2]|0)+i|0;i=g;g=f[l>>2]|0;while(1){a=f[j>>2]|0;o=f[k>>2]|0;p=d+i|0;if((g|0)>0){q=a+(Y(o,n)|0)|0;r=a+(Y(o,n|1)|0)|0;o=0;while(1){a=o|1;s=(h[m+a>>0]|0)+-128|0;t=(h[m+o>>0]|0)+-128|0;u=(Y(t,1673527)|0)+524288|0;v=(Y(s,-409993)|0)+524288+(Y(t,-852492)|0)|0;t=(Y(s,2116026)|0)+524288|0;s=(h[d+o>>0]|0)+-16|0;w=Y((s|0)>0?s:0,1220542)|0;s=w+u>>20;b[q+2>>0]=s>>>0<256?s:(s|0)>0?255:0;s=w+v>>20;b[q+1>>0]=s>>>0<256?s:(s|0)>0?255:0;s=w+t>>20;b[q>>0]=s>>>0<256?s:(s|0)>0?255:0;b[q+3>>0]=-1;s=(h[d+a>>0]|0)+-16|0;w=Y((s|0)>0?s:0,1220542)|0;s=w+u>>20;b[q+6>>0]=s>>>0<256?s:(s|0)>0?255:0;s=w+v>>20;b[q+5>>0]=s>>>0<256?s:(s|0)>0?255:0;s=w+t>>20;b[q+4>>0]=s>>>0<256?s:(s|0)>0?255:0;b[q+7>>0]=-1;s=(h[p+o>>0]|0)+-16|0;w=Y((s|0)>0?s:0,1220542)|0;s=w+u>>20;b[r+2>>0]=s>>>0<256?s:(s|0)>0?255:0;s=w+v>>20;b[r+1>>0]=s>>>0<256?s:(s|0)>0?255:0;s=w+t>>20;b[r>>0]=s>>>0<256?s:(s|0)>0?255:0;b[r+3>>0]=-1;s=(h[p+a>>0]|0)+-16|0;a=Y((s|0)>0?s:0,1220542)|0;s=a+u>>20;b[r+6>>0]=s>>>0<256?s:(s|0)>0?255:0;s=a+v>>20;b[r+5>>0]=s>>>0<256?s:(s|0)>0?255:0;s=a+t>>20;b[r+4>>0]=s>>>0<256?s:(s|0)>0?255:0;b[r+7>>0]=-1;o=o+2|0;x=f[l>>2]|0;if((o|0)>=(x|0))break;else{q=q+8|0;r=r+8|0}}y=x;z=f[c>>2]|0}else{y=g;z=i}n=n+2|0;if((n|0)>=(e|0))break;else{m=m+z|0;d=d+(z<<1)|0;i=z;g=y}}return}function swa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;d=f[c>>2]<<1;e=f[c+4>>2]<<1;c=a+24|0;g=f[c>>2]|0;i=Y(g,d)|0;if((d|0)>=(e|0))return;j=a+4|0;k=a+8|0;l=a+12|0;m=(f[a+20>>2]|0)+(i>>>1)|0;n=d;d=(f[a+16>>2]|0)+i|0;i=g;g=f[l>>2]|0;while(1){a=f[j>>2]|0;o=f[k>>2]|0;p=d+i|0;if((g|0)>0){q=a+(Y(o,n)|0)|0;r=a+(Y(o,n|1)|0)|0;o=0;while(1){a=(h[m+o>>0]|0)+-128|0;s=o|1;t=(h[m+s>>0]|0)+-128|0;u=(Y(t,1673527)|0)+524288|0;v=(Y(a,-409993)|0)+524288+(Y(t,-852492)|0)|0;t=(Y(a,2116026)|0)+524288|0;a=(h[d+o>>0]|0)+-16|0;w=Y((a|0)>0?a:0,1220542)|0;a=w+u>>20;b[q>>0]=a>>>0<256?a:(a|0)>0?255:0;a=w+v>>20;b[q+1>>0]=a>>>0<256?a:(a|0)>0?255:0;a=w+t>>20;b[q+2>>0]=a>>>0<256?a:(a|0)>0?255:0;b[q+3>>0]=-1;a=(h[d+s>>0]|0)+-16|0;w=Y((a|0)>0?a:0,1220542)|0;a=w+u>>20;b[q+4>>0]=a>>>0<256?a:(a|0)>0?255:0;a=w+v>>20;b[q+5>>0]=a>>>0<256?a:(a|0)>0?255:0;a=w+t>>20;b[q+6>>0]=a>>>0<256?a:(a|0)>0?255:0;b[q+7>>0]=-1;a=(h[p+o>>0]|0)+-16|0;w=Y((a|0)>0?a:0,1220542)|0;a=w+u>>20;b[r>>0]=a>>>0<256?a:(a|0)>0?255:0;a=w+v>>20;b[r+1>>0]=a>>>0<256?a:(a|0)>0?255:0;a=w+t>>20;b[r+2>>0]=a>>>0<256?a:(a|0)>0?255:0;b[r+3>>0]=-1;a=(h[p+s>>0]|0)+-16|0;s=Y((a|0)>0?a:0,1220542)|0;a=s+u>>20;b[r+4>>0]=a>>>0<256?a:(a|0)>0?255:0;a=s+v>>20;b[r+5>>0]=a>>>0<256?a:(a|0)>0?255:0;a=s+t>>20;b[r+6>>0]=a>>>0<256?a:(a|0)>0?255:0;b[r+7>>0]=-1;o=o+2|0;x=f[l>>2]|0;if((o|0)>=(x|0))break;else{q=q+8|0;r=r+8|0}}y=x;z=f[c>>2]|0}else{y=g;z=i}n=n+2|0;if((n|0)>=(e|0))break;else{m=m+z|0;d=d+(z<<1)|0;i=z;g=y}}return}function twa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;d=f[c>>2]<<1;e=f[c+4>>2]<<1;c=a+24|0;g=f[c>>2]|0;i=Y(g,d)|0;if((d|0)>=(e|0))return;j=a+4|0;k=a+8|0;l=a+12|0;m=(f[a+20>>2]|0)+(i>>>1)|0;n=d;d=(f[a+16>>2]|0)+i|0;i=g;g=f[l>>2]|0;while(1){a=f[j>>2]|0;o=f[k>>2]|0;p=d+i|0;if((g|0)>0){q=a+(Y(o,n)|0)|0;r=a+(Y(o,n|1)|0)|0;o=0;while(1){a=o|1;s=(h[m+a>>0]|0)+-128|0;t=(h[m+o>>0]|0)+-128|0;u=(Y(t,1673527)|0)+524288|0;v=(Y(s,-409993)|0)+524288+(Y(t,-852492)|0)|0;t=(Y(s,2116026)|0)+524288|0;s=(h[d+o>>0]|0)+-16|0;w=Y((s|0)>0?s:0,1220542)|0;s=w+u>>20;b[q>>0]=s>>>0<256?s:(s|0)>0?255:0;s=w+v>>20;b[q+1>>0]=s>>>0<256?s:(s|0)>0?255:0;s=w+t>>20;b[q+2>>0]=s>>>0<256?s:(s|0)>0?255:0;b[q+3>>0]=-1;s=(h[d+a>>0]|0)+-16|0;w=Y((s|0)>0?s:0,1220542)|0;s=w+u>>20;b[q+4>>0]=s>>>0<256?s:(s|0)>0?255:0;s=w+v>>20;b[q+5>>0]=s>>>0<256?s:(s|0)>0?255:0;s=w+t>>20;b[q+6>>0]=s>>>0<256?s:(s|0)>0?255:0;b[q+7>>0]=-1;s=(h[p+o>>0]|0)+-16|0;w=Y((s|0)>0?s:0,1220542)|0;s=w+u>>20;b[r>>0]=s>>>0<256?s:(s|0)>0?255:0;s=w+v>>20;b[r+1>>0]=s>>>0<256?s:(s|0)>0?255:0;s=w+t>>20;b[r+2>>0]=s>>>0<256?s:(s|0)>0?255:0;b[r+3>>0]=-1;s=(h[p+a>>0]|0)+-16|0;a=Y((s|0)>0?s:0,1220542)|0;s=a+u>>20;b[r+4>>0]=s>>>0<256?s:(s|0)>0?255:0;s=a+v>>20;b[r+5>>0]=s>>>0<256?s:(s|0)>0?255:0;s=a+t>>20;b[r+6>>0]=s>>>0<256?s:(s|0)>0?255:0;b[r+7>>0]=-1;o=o+2|0;x=f[l>>2]|0;if((o|0)>=(x|0))break;else{q=q+8|0;r=r+8|0}}y=x;z=f[c>>2]|0}else{y=g;z=i}n=n+2|0;if((n|0)>=(e|0))break;else{m=m+z|0;d=d+(z<<1)|0;i=z;g=y}}return}function uwa(a){a=a|0;fuc(a);return}function vwa(a){a=a|0;fuc(a);return}function wwa(a){a=a|0;fuc(a);return}function xwa(a){a=a|0;fuc(a);return}function ywa(a){a=a|0;fuc(a);return}function zwa(a){a=a|0;fuc(a);return}function Awa(a){a=a|0;fuc(a);return}function Bwa(a){a=a|0;fuc(a);return}function Cwa(a,c,d,e,g,h,i,j,k){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;l=u;u=u+64|0;m=l+16|0;n=l+8|0;o=l;gV(o,83912);p=a+(Y(h,c)|0)|0;q=(h|0)%4|0;r=a+(Y(((h|0)/4|0)+h|0,c)|0)+(Y((q|0)/2|0,(g|0)/2|0)|0)|0;s=(q|0)==2;q=(k|0)==1;k=q?r:p;t=q?p:r;r=s&q&1;p=s&(q^1)&1;switch(((i*10|0)+-30+(j?2:0)|0)>>>1&2147483647|0){case 0:{f[m>>2]=83940;f[m+4>>2]=d;f[m+8>>2]=e;f[m+12>>2]=g;f[m+16>>2]=a;f[m+20>>2]=k;f[m+24>>2]=t;f[m+28>>2]=c;f[m+32>>2]=r;f[m+36>>2]=p;if((Y(h,g)|0)>76799){f[n>>2]=0;f[n+4>>2]=(h|0)/2|0;sZ(n,m,-1.0)}else{f[n>>2]=0;f[n+4>>2]=(h|0)/2|0;Dwa(m,n)}break}case 1:{f[m>>2]=83960;f[m+4>>2]=d;f[m+8>>2]=e;f[m+12>>2]=g;f[m+16>>2]=a;f[m+20>>2]=k;f[m+24>>2]=t;f[m+28>>2]=c;f[m+32>>2]=r;f[m+36>>2]=p;if((Y(h,g)|0)>76799){f[n>>2]=0;f[n+4>>2]=(h|0)/2|0;sZ(n,m,-1.0)}else{f[n>>2]=0;f[n+4>>2]=(h|0)/2|0;Ewa(m,n)}break}case 5:{f[m>>2]=83980;f[m+4>>2]=d;f[m+8>>2]=e;f[m+12>>2]=g;f[m+16>>2]=a;f[m+20>>2]=k;f[m+24>>2]=t;f[m+28>>2]=c;f[m+32>>2]=r;f[m+36>>2]=p;if((Y(h,g)|0)>76799){f[n>>2]=0;f[n+4>>2]=(h|0)/2|0;sZ(n,m,-1.0)}else{f[n>>2]=0;f[n+4>>2]=(h|0)/2|0;Fwa(m,n)}break}case 6:{f[m>>2]=84e3;f[m+4>>2]=d;f[m+8>>2]=e;f[m+12>>2]=g;f[m+16>>2]=a;f[m+20>>2]=k;f[m+24>>2]=t;f[m+28>>2]=c;f[m+32>>2]=r;f[m+36>>2]=p;if((Y(h,g)|0)>76799){f[n>>2]=0;f[n+4>>2]=(h|0)/2|0;sZ(n,m,-1.0)}else{f[n>>2]=0;f[n+4>>2]=(h|0)/2|0;Gwa(m,n)}break}default:{f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;n=cuc(48)|0;f[m>>2]=n;f[m+8>>2]=-2147483600;f[m+4>>2]=41;h=n;g=370027;p=h+41|0;do{b[h>>0]=b[g>>0]|0;h=h+1|0;g=g+1|0}while((h|0)<(p|0));b[n+41>>0]=0;WD(-206,m,370632,369278,2431)}}if(!(f[o+4>>2]|0)){u=l;return}u=l;return}function Dwa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0;d=u;u=u+16|0;e=d;g=f[c>>2]|0;i=g<<1;j=f[c+4>>2]<<1;c=a+12|0;k=f[c>>2]|0;l=(k|0)/2|0;f[e>>2]=l;m=a+28|0;n=f[m>>2]|0;f[e+4>>2]=n-l;l=f[a+32>>2]|0;o=f[a+36>>2]|0;p=(f[a+16>>2]|0)+(Y(n,i)|0)|0;q=Y((g|0)/2|0,n)|0;r=(f[a+20>>2]|0)+q|0;s=(f[a+24>>2]|0)+q|0;if(((g|0)%2|0|0)==1){t=p;v=i;w=s;x=o;y=r;z=l;A=k;B=n;C=2}else{D=p;E=i;F=l;G=o;H=r;I=s;J=n;K=k}while(1){if((C|0)==2){C=0;D=t;E=v;F=z+1|0;G=x+1|0;H=y+(f[e+((z&1)<<2)>>2]|0)|0;I=w+(f[e+((x&1)<<2)>>2]|0)|0;J=B;K=A}if((E|0)>=(j|0))break;k=f[a+4>>2]|0;n=f[a+8>>2]|0;s=D+J|0;if((K|0)>1){r=k+(Y(n,E)|0)|0;o=k+(Y(n,E|1)|0)|0;n=0;while(1){k=(h[H+n>>0]|0)+-128|0;l=(h[I+n>>0]|0)+-128|0;i=(Y(l,1673527)|0)+524288|0;p=(Y(k,-409993)|0)+524288+(Y(l,-852492)|0)|0;l=(Y(k,2116026)|0)+524288|0;k=n<<1;g=(h[D+k>>0]|0)+-16|0;q=Y((g|0)>0?g:0,1220542)|0;g=q+i>>20;b[r+2>>0]=g>>>0<256?g:(g|0)>0?255:0;g=q+p>>20;b[r+1>>0]=g>>>0<256?g:(g|0)>0?255:0;g=q+l>>20;b[r>>0]=g>>>0<256?g:(g|0)>0?255:0;g=k|1;q=(h[D+g>>0]|0)+-16|0;L=Y((q|0)>0?q:0,1220542)|0;q=L+i>>20;b[r+5>>0]=q>>>0<256?q:(q|0)>0?255:0;q=L+p>>20;b[r+4>>0]=q>>>0<256?q:(q|0)>0?255:0;q=L+l>>20;b[r+3>>0]=q>>>0<256?q:(q|0)>0?255:0;q=(h[s+k>>0]|0)+-16|0;k=Y((q|0)>0?q:0,1220542)|0;q=k+i>>20;b[o+2>>0]=q>>>0<256?q:(q|0)>0?255:0;q=k+p>>20;b[o+1>>0]=q>>>0<256?q:(q|0)>0?255:0;q=k+l>>20;b[o>>0]=q>>>0<256?q:(q|0)>0?255:0;q=(h[s+g>>0]|0)+-16|0;g=Y((q|0)>0?q:0,1220542)|0;q=g+i>>20;b[o+5>>0]=q>>>0<256?q:(q|0)>0?255:0;q=g+p>>20;b[o+4>>0]=q>>>0<256?q:(q|0)>0?255:0;q=g+l>>20;b[o+3>>0]=q>>>0<256?q:(q|0)>0?255:0;n=n+1|0;M=f[c>>2]|0;if((n|0)>=((M|0)/2|0|0))break;else{r=r+6|0;o=o+6|0}}N=M;O=f[m>>2]|0}else{N=K;O=J}t=D+(O<<1)|0;v=E+2|0;w=I;x=G;y=H;z=F;A=N;B=O;C=2}u=d;return}function Ewa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0;d=u;u=u+16|0;e=d;g=f[c>>2]|0;i=g<<1;j=f[c+4>>2]<<1;c=a+12|0;k=f[c>>2]|0;l=(k|0)/2|0;f[e>>2]=l;m=a+28|0;n=f[m>>2]|0;f[e+4>>2]=n-l;l=f[a+32>>2]|0;o=f[a+36>>2]|0;p=(f[a+16>>2]|0)+(Y(n,i)|0)|0;q=Y((g|0)/2|0,n)|0;r=(f[a+20>>2]|0)+q|0;s=(f[a+24>>2]|0)+q|0;if(((g|0)%2|0|0)==1){t=p;v=i;w=s;x=o;y=r;z=l;A=k;B=n;C=2}else{D=p;E=i;F=l;G=o;H=r;I=s;J=n;K=k}while(1){if((C|0)==2){C=0;D=t;E=v;F=z+1|0;G=x+1|0;H=y+(f[e+((z&1)<<2)>>2]|0)|0;I=w+(f[e+((x&1)<<2)>>2]|0)|0;J=B;K=A}if((E|0)>=(j|0))break;k=f[a+4>>2]|0;n=f[a+8>>2]|0;s=D+J|0;if((K|0)>1){r=k+(Y(n,E)|0)|0;o=k+(Y(n,E|1)|0)|0;n=0;while(1){k=(h[H+n>>0]|0)+-128|0;l=(h[I+n>>0]|0)+-128|0;i=(Y(l,1673527)|0)+524288|0;p=(Y(k,-409993)|0)+524288+(Y(l,-852492)|0)|0;l=(Y(k,2116026)|0)+524288|0;k=n<<1;g=(h[D+k>>0]|0)+-16|0;q=Y((g|0)>0?g:0,1220542)|0;g=q+i>>20;b[r>>0]=g>>>0<256?g:(g|0)>0?255:0;g=q+p>>20;b[r+1>>0]=g>>>0<256?g:(g|0)>0?255:0;g=q+l>>20;b[r+2>>0]=g>>>0<256?g:(g|0)>0?255:0;g=k|1;q=(h[D+g>>0]|0)+-16|0;L=Y((q|0)>0?q:0,1220542)|0;q=L+i>>20;b[r+3>>0]=q>>>0<256?q:(q|0)>0?255:0;q=L+p>>20;b[r+4>>0]=q>>>0<256?q:(q|0)>0?255:0;q=L+l>>20;b[r+5>>0]=q>>>0<256?q:(q|0)>0?255:0;q=(h[s+k>>0]|0)+-16|0;k=Y((q|0)>0?q:0,1220542)|0;q=k+i>>20;b[o>>0]=q>>>0<256?q:(q|0)>0?255:0;q=k+p>>20;b[o+1>>0]=q>>>0<256?q:(q|0)>0?255:0;q=k+l>>20;b[o+2>>0]=q>>>0<256?q:(q|0)>0?255:0;q=(h[s+g>>0]|0)+-16|0;g=Y((q|0)>0?q:0,1220542)|0;q=g+i>>20;b[o+3>>0]=q>>>0<256?q:(q|0)>0?255:0;q=g+p>>20;b[o+4>>0]=q>>>0<256?q:(q|0)>0?255:0;q=g+l>>20;b[o+5>>0]=q>>>0<256?q:(q|0)>0?255:0;n=n+1|0;M=f[c>>2]|0;if((n|0)>=((M|0)/2|0|0))break;else{r=r+6|0;o=o+6|0}}N=M;O=f[m>>2]|0}else{N=K;O=J}t=D+(O<<1)|0;v=E+2|0;w=I;x=G;y=H;z=F;A=N;B=O;C=2}u=d;return}function Fwa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0;d=u;u=u+16|0;e=d;g=f[c>>2]|0;i=g<<1;j=f[c+4>>2]<<1;c=a+12|0;k=f[c>>2]|0;l=(k|0)/2|0;f[e>>2]=l;m=a+28|0;n=f[m>>2]|0;f[e+4>>2]=n-l;l=f[a+32>>2]|0;o=f[a+36>>2]|0;p=(f[a+16>>2]|0)+(Y(n,i)|0)|0;q=Y((g|0)/2|0,n)|0;r=(f[a+20>>2]|0)+q|0;s=(f[a+24>>2]|0)+q|0;if(((g|0)%2|0|0)==1){t=p;v=i;w=s;x=o;y=r;z=l;A=k;B=n;C=2}else{D=p;E=i;F=l;G=o;H=r;I=s;J=n;K=k}while(1){if((C|0)==2){C=0;D=t;E=v;F=z+1|0;G=x+1|0;H=y+(f[e+((z&1)<<2)>>2]|0)|0;I=w+(f[e+((x&1)<<2)>>2]|0)|0;J=B;K=A}if((E|0)>=(j|0))break;k=f[a+4>>2]|0;n=f[a+8>>2]|0;s=D+J|0;if((K|0)>1){r=k+(Y(n,E)|0)|0;o=k+(Y(n,E|1)|0)|0;n=0;while(1){k=(h[H+n>>0]|0)+-128|0;l=(h[I+n>>0]|0)+-128|0;i=(Y(l,1673527)|0)+524288|0;p=(Y(k,-409993)|0)+524288+(Y(l,-852492)|0)|0;l=(Y(k,2116026)|0)+524288|0;k=n<<1;g=(h[D+k>>0]|0)+-16|0;q=Y((g|0)>0?g:0,1220542)|0;g=q+i>>20;b[r+2>>0]=g>>>0<256?g:(g|0)>0?255:0;g=q+p>>20;b[r+1>>0]=g>>>0<256?g:(g|0)>0?255:0;g=q+l>>20;b[r>>0]=g>>>0<256?g:(g|0)>0?255:0;b[r+3>>0]=-1;g=k|1;q=(h[D+g>>0]|0)+-16|0;L=Y((q|0)>0?q:0,1220542)|0;q=L+i>>20;b[r+6>>0]=q>>>0<256?q:(q|0)>0?255:0;q=L+p>>20;b[r+5>>0]=q>>>0<256?q:(q|0)>0?255:0;q=L+l>>20;b[r+4>>0]=q>>>0<256?q:(q|0)>0?255:0;b[r+7>>0]=-1;q=(h[s+k>>0]|0)+-16|0;k=Y((q|0)>0?q:0,1220542)|0;q=k+i>>20;b[o+2>>0]=q>>>0<256?q:(q|0)>0?255:0;q=k+p>>20;b[o+1>>0]=q>>>0<256?q:(q|0)>0?255:0;q=k+l>>20;b[o>>0]=q>>>0<256?q:(q|0)>0?255:0;b[o+3>>0]=-1;q=(h[s+g>>0]|0)+-16|0;g=Y((q|0)>0?q:0,1220542)|0;q=g+i>>20;b[o+6>>0]=q>>>0<256?q:(q|0)>0?255:0;q=g+p>>20;b[o+5>>0]=q>>>0<256?q:(q|0)>0?255:0;q=g+l>>20;b[o+4>>0]=q>>>0<256?q:(q|0)>0?255:0;b[o+7>>0]=-1;n=n+1|0;M=f[c>>2]|0;if((n|0)>=((M|0)/2|0|0))break;else{r=r+8|0;o=o+8|0}}N=M;O=f[m>>2]|0}else{N=K;O=J}t=D+(O<<1)|0;v=E+2|0;w=I;x=G;y=H;z=F;A=N;B=O;C=2}u=d;return}function Gwa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0;d=u;u=u+16|0;e=d;g=f[c>>2]|0;i=g<<1;j=f[c+4>>2]<<1;c=a+12|0;k=f[c>>2]|0;l=(k|0)/2|0;f[e>>2]=l;m=a+28|0;n=f[m>>2]|0;f[e+4>>2]=n-l;l=f[a+32>>2]|0;o=f[a+36>>2]|0;p=(f[a+16>>2]|0)+(Y(n,i)|0)|0;q=Y((g|0)/2|0,n)|0;r=(f[a+20>>2]|0)+q|0;s=(f[a+24>>2]|0)+q|0;if(((g|0)%2|0|0)==1){t=p;v=i;w=s;x=o;y=r;z=l;A=k;B=n;C=2}else{D=p;E=i;F=l;G=o;H=r;I=s;J=n;K=k}while(1){if((C|0)==2){C=0;D=t;E=v;F=z+1|0;G=x+1|0;H=y+(f[e+((z&1)<<2)>>2]|0)|0;I=w+(f[e+((x&1)<<2)>>2]|0)|0;J=B;K=A}if((E|0)>=(j|0))break;k=f[a+4>>2]|0;n=f[a+8>>2]|0;s=D+J|0;if((K|0)>1){r=k+(Y(n,E)|0)|0;o=k+(Y(n,E|1)|0)|0;n=0;while(1){k=(h[H+n>>0]|0)+-128|0;l=(h[I+n>>0]|0)+-128|0;i=(Y(l,1673527)|0)+524288|0;p=(Y(k,-409993)|0)+524288+(Y(l,-852492)|0)|0;l=(Y(k,2116026)|0)+524288|0;k=n<<1;g=(h[D+k>>0]|0)+-16|0;q=Y((g|0)>0?g:0,1220542)|0;g=q+i>>20;b[r>>0]=g>>>0<256?g:(g|0)>0?255:0;g=q+p>>20;b[r+1>>0]=g>>>0<256?g:(g|0)>0?255:0;g=q+l>>20;b[r+2>>0]=g>>>0<256?g:(g|0)>0?255:0;b[r+3>>0]=-1;g=k|1;q=(h[D+g>>0]|0)+-16|0;L=Y((q|0)>0?q:0,1220542)|0;q=L+i>>20;b[r+4>>0]=q>>>0<256?q:(q|0)>0?255:0;q=L+p>>20;b[r+5>>0]=q>>>0<256?q:(q|0)>0?255:0;q=L+l>>20;b[r+6>>0]=q>>>0<256?q:(q|0)>0?255:0;b[r+7>>0]=-1;q=(h[s+k>>0]|0)+-16|0;k=Y((q|0)>0?q:0,1220542)|0;q=k+i>>20;b[o>>0]=q>>>0<256?q:(q|0)>0?255:0;q=k+p>>20;b[o+1>>0]=q>>>0<256?q:(q|0)>0?255:0;q=k+l>>20;b[o+2>>0]=q>>>0<256?q:(q|0)>0?255:0;b[o+3>>0]=-1;q=(h[s+g>>0]|0)+-16|0;g=Y((q|0)>0?q:0,1220542)|0;q=g+i>>20;b[o+4>>0]=q>>>0<256?q:(q|0)>0?255:0;q=g+p>>20;b[o+5>>0]=q>>>0<256?q:(q|0)>0?255:0;q=g+l>>20;b[o+6>>0]=q>>>0<256?q:(q|0)>0?255:0;b[o+7>>0]=-1;n=n+1|0;M=f[c>>2]|0;if((n|0)>=((M|0)/2|0|0))break;else{r=r+8|0;o=o+8|0}}N=M;O=f[m>>2]|0}else{N=K;O=J}t=D+(O<<1)|0;v=E+2|0;w=I;x=G;y=H;z=F;A=N;B=O;C=2}u=d;return}function Hwa(a){a=a|0;fuc(a);return}function Iwa(a){a=a|0;fuc(a);return}function Jwa(a){a=a|0;fuc(a);return}function Kwa(a){a=a|0;fuc(a);return}function Lwa(a,c,d,e,g,h,i,j,k){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0;l=u;u=u+64|0;m=l+48|0;n=l+40|0;o=l;gV(n,84012);p=d+(Y(h,e)|0)|0;f[o>>2]=84040;f[o+4>>2]=a;f[o+8>>2]=c;f[o+12>>2]=d;f[o+16>>2]=p;f[o+20>>2]=e;f[o+24>>2]=g;f[o+28>>2]=h;f[o+32>>2]=i;b[o+36>>0]=j&1;b[o+37>>0]=(k|0)==2&1;b[o+38>>0]=0;if((Y(h,g)|0)>76799){f[m>>2]=0;f[m+4>>2]=(h|0)/2|0;sZ(m,o,-1.0)}else{f[m>>2]=0;f[m+4>>2]=(h|0)/2|0;Mwa(o,m)}if(!(f[n+4>>2]|0)){u=l;return}u=l;return}function Mwa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0;d=f[a+24>>2]|0;e=f[a+32>>2]|0;g=f[c>>2]|0;i=c+4|0;c=f[i>>2]|0;if((g|0)>=(c|0))return;j=a+4|0;k=a+8|0;l=a+36|0;m=a+12|0;n=a+20|0;o=a+38|0;p=a+16|0;q=(d|0)/2|0;r=(f[a+28>>2]|0)/2|0;s=a+37|0;a=Y(e,d)|0;d=(a|0)>0;t=e<<1;u=g;g=c;while(1){c=f[j>>2]|0;v=f[k>>2]|0;w=u<<1;x=c+(Y(v,w)|0)|0;y=x;z=x+1|0;A=x+2|0;x=c+(Y(v,w|1)|0)|0;v=x;c=x+1|0;B=x+2|0;x=(b[l>>0]|0)==0;C=f[n>>2]|0;D=(f[m>>2]|0)+(Y(C,w)|0)|0;w=f[p>>2]|0;if(!(b[o>>0]|0)){E=u+r|0;F=w+(Y(C,(u|0)/2|0)|0)+(Y((u|0)%2|0,q)|0)|0;G=w+(Y(C,(E|0)/2|0)|0)+(Y((E|0)%2|0,q)|0)|0}else{E=w+(Y(C,u)|0)|0;F=E;G=E+1|0}E=F;C=G;w=(b[s>>0]|0)==0;if(d){H=x?A:y;I=x?y:A;A=x?B:v;y=x?v:B;B=w?E:C;v=w?C:E;E=0;C=0;while(1){w=h[H+E>>0]|0;x=h[z+E>>0]|0;J=h[I+E>>0]|0;K=E+e|0;L=(w*269484|0)+17301504+(x*528482|0)+(J*102760|0)|0;M=((h[H+K>>0]|0)*269484|0)+17301504+((h[z+K>>0]|0)*528482|0)+((h[I+K>>0]|0)*102760|0)|0;N=((h[A+E>>0]|0)*269484|0)+17301504+((h[c+E>>0]|0)*528482|0)+((h[y+E>>0]|0)*102760|0)|0;O=((h[A+K>>0]|0)*269484|0)+17301504+((h[c+K>>0]|0)*528482|0)+((h[y+K>>0]|0)*102760|0)|0;K=L>>>20;P=C<<1;b[D+P>>0]=L>>>0<268435456?K:K|0?255:0;K=M>>>20;L=P|1;b[D+L>>0]=M>>>0<268435456?K:K|0?255:0;K=N>>>20;b[D+((f[n>>2]|0)+P)>>0]=N>>>0<268435456?K:K|0?255:0;K=O>>>20;b[D+(L+(f[n>>2]|0))>>0]=O>>>0<268435456?K:K|0?255:0;K=(Y(w,-155188)|0)+134742016+(Y(x,-305135)|0)+(J*460324|0)|0;O=(w*460324|0)+134742016+(Y(x,-385875)|0)+(Y(J,-74448)|0)|0;J=K>>20;K=O>>20;O=(b[o>>0]|0)==0?C:P;b[B+O>>0]=J>>>0<256?J:(J|0)>0?255:0;b[v+O>>0]=K>>>0<256?K:(K|0)>0?255:0;E=E+t|0;if((E|0)>=(a|0))break;else C=C+1|0}Q=f[i>>2]|0}else Q=g;u=u+1|0;if((u|0)>=(Q|0))break;else g=Q}return}function Nwa(a){a=a|0;fuc(a);return}function Owa(a,c,d,e,g,h,i,j,k,l){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;m=u;u=u+48|0;n=m+16|0;o=m+8|0;p=m;gV(p,84052);do switch((j?200:0)+(i*1e3|0)+(k*10|0)+l|0){case 3e3:{f[n>>2]=84080;f[n+4>>2]=d;f[n+8>>2]=e;f[n+12>>2]=a;f[n+16>>2]=c;f[n+20>>2]=g;if((Y(h,g)|0)>76799){f[o>>2]=0;f[o+4>>2]=h;sZ(o,n,-1.0)}else{f[o>>2]=0;f[o+4>>2]=h;Pwa(n,o)}break}case 3001:{f[n>>2]=84100;f[n+4>>2]=d;f[n+8>>2]=e;f[n+12>>2]=a;f[n+16>>2]=c;f[n+20>>2]=g;if((Y(h,g)|0)>76799){f[o>>2]=0;f[o+4>>2]=h;sZ(o,n,-1.0)}else{f[o>>2]=0;f[o+4>>2]=h;Qwa(n,o)}break}case 3010:{f[n>>2]=84120;f[n+4>>2]=d;f[n+8>>2]=e;f[n+12>>2]=a;f[n+16>>2]=c;f[n+20>>2]=g;if((Y(h,g)|0)>76799){f[o>>2]=0;f[o+4>>2]=h;sZ(o,n,-1.0)}else{f[o>>2]=0;f[o+4>>2]=h;Rwa(n,o)}break}case 3200:{f[n>>2]=84140;f[n+4>>2]=d;f[n+8>>2]=e;f[n+12>>2]=a;f[n+16>>2]=c;f[n+20>>2]=g;if((Y(h,g)|0)>76799){f[o>>2]=0;f[o+4>>2]=h;sZ(o,n,-1.0)}else{f[o>>2]=0;f[o+4>>2]=h;Swa(n,o)}break}case 3201:{f[n>>2]=84160;f[n+4>>2]=d;f[n+8>>2]=e;f[n+12>>2]=a;f[n+16>>2]=c;f[n+20>>2]=g;if((Y(h,g)|0)>76799){f[o>>2]=0;f[o+4>>2]=h;sZ(o,n,-1.0)}else{f[o>>2]=0;f[o+4>>2]=h;Twa(n,o)}break}case 3210:{f[n>>2]=84180;f[n+4>>2]=d;f[n+8>>2]=e;f[n+12>>2]=a;f[n+16>>2]=c;f[n+20>>2]=g;if((Y(h,g)|0)>76799){f[o>>2]=0;f[o+4>>2]=h;sZ(o,n,-1.0)}else{f[o>>2]=0;f[o+4>>2]=h;Uwa(n,o)}break}case 4e3:{f[n>>2]=84200;f[n+4>>2]=d;f[n+8>>2]=e;f[n+12>>2]=a;f[n+16>>2]=c;f[n+20>>2]=g;if((Y(h,g)|0)>76799){f[o>>2]=0;f[o+4>>2]=h;sZ(o,n,-1.0)}else{f[o>>2]=0;f[o+4>>2]=h;Vwa(n,o)}break}case 4001:{f[n>>2]=84220;f[n+4>>2]=d;f[n+8>>2]=e;f[n+12>>2]=a;f[n+16>>2]=c;f[n+20>>2]=g;if((Y(h,g)|0)>76799){f[o>>2]=0;f[o+4>>2]=h;sZ(o,n,-1.0)}else{f[o>>2]=0;f[o+4>>2]=h;Wwa(n,o)}break}case 4010:{f[n>>2]=84240;f[n+4>>2]=d;f[n+8>>2]=e;f[n+12>>2]=a;f[n+16>>2]=c;f[n+20>>2]=g;if((Y(h,g)|0)>76799){f[o>>2]=0;f[o+4>>2]=h;sZ(o,n,-1.0)}else{f[o>>2]=0;f[o+4>>2]=h;Xwa(n,o)}break}case 4200:{f[n>>2]=84260;f[n+4>>2]=d;f[n+8>>2]=e;f[n+12>>2]=a;f[n+16>>2]=c;f[n+20>>2]=g;if((Y(h,g)|0)>76799){f[o>>2]=0;f[o+4>>2]=h;sZ(o,n,-1.0)}else{f[o>>2]=0;f[o+4>>2]=h;Ywa(n,o)}break}case 4201:{f[n>>2]=84280;f[n+4>>2]=d;f[n+8>>2]=e;f[n+12>>2]=a;f[n+16>>2]=c;f[n+20>>2]=g;if((Y(h,g)|0)>76799){f[o>>2]=0;f[o+4>>2]=h;sZ(o,n,-1.0)}else{f[o>>2]=0;f[o+4>>2]=h;Zwa(n,o)}break}case 4210:{f[n>>2]=84300;f[n+4>>2]=d;f[n+8>>2]=e;f[n+12>>2]=a;f[n+16>>2]=c;f[n+20>>2]=g;if((Y(h,g)|0)>76799){f[o>>2]=0;f[o+4>>2]=h;sZ(o,n,-1.0)}else{f[o>>2]=0;f[o+4>>2]=h;_wa(n,o)}break}default:{f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;q=cuc(48)|0;f[n>>2]=q;f[n+8>>2]=-2147483600;f[n+4>>2]=41;r=q;s=370027;t=r+41|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));b[q+41>>0]=0;WD(-206,n,371032,369278,2481)}}while(0);if(!(f[p+4>>2]|0)){u=m;return}u=m;return}function Pwa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;d=f[c>>2]|0;e=f[c+4>>2]|0;c=a+16|0;if((d|0)>=(e|0))return;g=f[c>>2]|0;i=(f[a+12>>2]|0)+(Y(g,d)|0)|0;j=a+4|0;k=a+8|0;l=a+20|0;a=d;d=i;i=g;g=f[l>>2]|0;while(1){if((g|0)>0){m=(f[j>>2]|0)+(Y(f[k>>2]|0,a)|0)|0;n=0;while(1){o=(h[d+(n|1)>>0]|0)+-128|0;p=(h[d+(n|3)>>0]|0)+-128|0;q=(Y(p,1673527)|0)+524288|0;r=(Y(o,-409993)|0)+524288+(Y(p,-852492)|0)|0;p=(Y(o,2116026)|0)+524288|0;o=(h[d+n>>0]|0)+-16|0;s=Y((o|0)>0?o:0,1220542)|0;o=s+q>>20;b[m+2>>0]=o>>>0<256?o:(o|0)>0?255:0;o=s+r>>20;b[m+1>>0]=o>>>0<256?o:(o|0)>0?255:0;o=s+p>>20;b[m>>0]=o>>>0<256?o:(o|0)>0?255:0;o=(h[d+(n|2)>>0]|0)+-16|0;s=Y((o|0)>0?o:0,1220542)|0;o=s+q>>20;b[m+5>>0]=o>>>0<256?o:(o|0)>0?255:0;o=s+r>>20;b[m+4>>0]=o>>>0<256?o:(o|0)>0?255:0;o=s+p>>20;b[m+3>>0]=o>>>0<256?o:(o|0)>0?255:0;n=n+4|0;t=f[l>>2]|0;if((n|0)>=(t<<1|0))break;else m=m+6|0}u=t;v=f[c>>2]|0}else{u=g;v=i}a=a+1|0;if((a|0)==(e|0))break;else{d=d+v|0;i=v;g=u}}return}function Qwa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;d=f[c>>2]|0;e=f[c+4>>2]|0;c=a+16|0;if((d|0)>=(e|0))return;g=f[c>>2]|0;i=(f[a+12>>2]|0)+(Y(g,d)|0)|0;j=a+4|0;k=a+8|0;l=a+20|0;a=d;d=i;i=g;g=f[l>>2]|0;while(1){if((g|0)>0){m=(f[j>>2]|0)+(Y(f[k>>2]|0,a)|0)|0;n=0;while(1){o=(h[d+n>>0]|0)+-128|0;p=(h[d+(n|2)>>0]|0)+-128|0;q=(Y(p,1673527)|0)+524288|0;r=(Y(o,-409993)|0)+524288+(Y(p,-852492)|0)|0;p=(Y(o,2116026)|0)+524288|0;o=(h[d+(n|1)>>0]|0)+-16|0;s=Y((o|0)>0?o:0,1220542)|0;o=s+q>>20;b[m+2>>0]=o>>>0<256?o:(o|0)>0?255:0;o=s+r>>20;b[m+1>>0]=o>>>0<256?o:(o|0)>0?255:0;o=s+p>>20;b[m>>0]=o>>>0<256?o:(o|0)>0?255:0;o=(h[d+(n|3)>>0]|0)+-16|0;s=Y((o|0)>0?o:0,1220542)|0;o=s+q>>20;b[m+5>>0]=o>>>0<256?o:(o|0)>0?255:0;o=s+r>>20;b[m+4>>0]=o>>>0<256?o:(o|0)>0?255:0;o=s+p>>20;b[m+3>>0]=o>>>0<256?o:(o|0)>0?255:0;n=n+4|0;t=f[l>>2]|0;if((n|0)>=(t<<1|0))break;else m=m+6|0}u=t;v=f[c>>2]|0}else{u=g;v=i}a=a+1|0;if((a|0)==(e|0))break;else{d=d+v|0;i=v;g=u}}return}function Rwa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;d=f[c>>2]|0;e=f[c+4>>2]|0;c=a+16|0;if((d|0)>=(e|0))return;g=f[c>>2]|0;i=(f[a+12>>2]|0)+(Y(g,d)|0)|0;j=a+4|0;k=a+8|0;l=a+20|0;a=d;d=i;i=g;g=f[l>>2]|0;while(1){if((g|0)>0){m=(f[j>>2]|0)+(Y(f[k>>2]|0,a)|0)|0;n=0;while(1){o=(h[d+(n|3)>>0]|0)+-128|0;p=(h[d+(n|1)>>0]|0)+-128|0;q=(Y(p,1673527)|0)+524288|0;r=(Y(o,-409993)|0)+524288+(Y(p,-852492)|0)|0;p=(Y(o,2116026)|0)+524288|0;o=(h[d+n>>0]|0)+-16|0;s=Y((o|0)>0?o:0,1220542)|0;o=s+q>>20;b[m+2>>0]=o>>>0<256?o:(o|0)>0?255:0;o=s+r>>20;b[m+1>>0]=o>>>0<256?o:(o|0)>0?255:0;o=s+p>>20;b[m>>0]=o>>>0<256?o:(o|0)>0?255:0;o=(h[d+(n|2)>>0]|0)+-16|0;s=Y((o|0)>0?o:0,1220542)|0;o=s+q>>20;b[m+5>>0]=o>>>0<256?o:(o|0)>0?255:0;o=s+r>>20;b[m+4>>0]=o>>>0<256?o:(o|0)>0?255:0;o=s+p>>20;b[m+3>>0]=o>>>0<256?o:(o|0)>0?255:0;n=n+4|0;t=f[l>>2]|0;if((n|0)>=(t<<1|0))break;else m=m+6|0}u=t;v=f[c>>2]|0}else{u=g;v=i}a=a+1|0;if((a|0)==(e|0))break;else{d=d+v|0;i=v;g=u}}return}function Swa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;d=f[c>>2]|0;e=f[c+4>>2]|0;c=a+16|0;if((d|0)>=(e|0))return;g=f[c>>2]|0;i=(f[a+12>>2]|0)+(Y(g,d)|0)|0;j=a+4|0;k=a+8|0;l=a+20|0;a=d;d=i;i=g;g=f[l>>2]|0;while(1){if((g|0)>0){m=(f[j>>2]|0)+(Y(f[k>>2]|0,a)|0)|0;n=0;while(1){o=(h[d+(n|1)>>0]|0)+-128|0;p=(h[d+(n|3)>>0]|0)+-128|0;q=(Y(p,1673527)|0)+524288|0;r=(Y(o,-409993)|0)+524288+(Y(p,-852492)|0)|0;p=(Y(o,2116026)|0)+524288|0;o=(h[d+n>>0]|0)+-16|0;s=Y((o|0)>0?o:0,1220542)|0;o=s+q>>20;b[m>>0]=o>>>0<256?o:(o|0)>0?255:0;o=s+r>>20;b[m+1>>0]=o>>>0<256?o:(o|0)>0?255:0;o=s+p>>20;b[m+2>>0]=o>>>0<256?o:(o|0)>0?255:0;o=(h[d+(n|2)>>0]|0)+-16|0;s=Y((o|0)>0?o:0,1220542)|0;o=s+q>>20;b[m+3>>0]=o>>>0<256?o:(o|0)>0?255:0;o=s+r>>20;b[m+4>>0]=o>>>0<256?o:(o|0)>0?255:0;o=s+p>>20;b[m+5>>0]=o>>>0<256?o:(o|0)>0?255:0;n=n+4|0;t=f[l>>2]|0;if((n|0)>=(t<<1|0))break;else m=m+6|0}u=t;v=f[c>>2]|0}else{u=g;v=i}a=a+1|0;if((a|0)==(e|0))break;else{d=d+v|0;i=v;g=u}}return}function Twa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;d=f[c>>2]|0;e=f[c+4>>2]|0;c=a+16|0;if((d|0)>=(e|0))return;g=f[c>>2]|0;i=(f[a+12>>2]|0)+(Y(g,d)|0)|0;j=a+4|0;k=a+8|0;l=a+20|0;a=d;d=i;i=g;g=f[l>>2]|0;while(1){if((g|0)>0){m=(f[j>>2]|0)+(Y(f[k>>2]|0,a)|0)|0;n=0;while(1){o=(h[d+n>>0]|0)+-128|0;p=(h[d+(n|2)>>0]|0)+-128|0;q=(Y(p,1673527)|0)+524288|0;r=(Y(o,-409993)|0)+524288+(Y(p,-852492)|0)|0;p=(Y(o,2116026)|0)+524288|0;o=(h[d+(n|1)>>0]|0)+-16|0;s=Y((o|0)>0?o:0,1220542)|0;o=s+q>>20;b[m>>0]=o>>>0<256?o:(o|0)>0?255:0;o=s+r>>20;b[m+1>>0]=o>>>0<256?o:(o|0)>0?255:0;o=s+p>>20;b[m+2>>0]=o>>>0<256?o:(o|0)>0?255:0;o=(h[d+(n|3)>>0]|0)+-16|0;s=Y((o|0)>0?o:0,1220542)|0;o=s+q>>20;b[m+3>>0]=o>>>0<256?o:(o|0)>0?255:0;o=s+r>>20;b[m+4>>0]=o>>>0<256?o:(o|0)>0?255:0;o=s+p>>20;b[m+5>>0]=o>>>0<256?o:(o|0)>0?255:0;n=n+4|0;t=f[l>>2]|0;if((n|0)>=(t<<1|0))break;else m=m+6|0}u=t;v=f[c>>2]|0}else{u=g;v=i}a=a+1|0;if((a|0)==(e|0))break;else{d=d+v|0;i=v;g=u}}return}function Uwa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;d=f[c>>2]|0;e=f[c+4>>2]|0;c=a+16|0;if((d|0)>=(e|0))return;g=f[c>>2]|0;i=(f[a+12>>2]|0)+(Y(g,d)|0)|0;j=a+4|0;k=a+8|0;l=a+20|0;a=d;d=i;i=g;g=f[l>>2]|0;while(1){if((g|0)>0){m=(f[j>>2]|0)+(Y(f[k>>2]|0,a)|0)|0;n=0;while(1){o=(h[d+(n|3)>>0]|0)+-128|0;p=(h[d+(n|1)>>0]|0)+-128|0;q=(Y(p,1673527)|0)+524288|0;r=(Y(o,-409993)|0)+524288+(Y(p,-852492)|0)|0;p=(Y(o,2116026)|0)+524288|0;o=(h[d+n>>0]|0)+-16|0;s=Y((o|0)>0?o:0,1220542)|0;o=s+q>>20;b[m>>0]=o>>>0<256?o:(o|0)>0?255:0;o=s+r>>20;b[m+1>>0]=o>>>0<256?o:(o|0)>0?255:0;o=s+p>>20;b[m+2>>0]=o>>>0<256?o:(o|0)>0?255:0;o=(h[d+(n|2)>>0]|0)+-16|0;s=Y((o|0)>0?o:0,1220542)|0;o=s+q>>20;b[m+3>>0]=o>>>0<256?o:(o|0)>0?255:0;o=s+r>>20;b[m+4>>0]=o>>>0<256?o:(o|0)>0?255:0;o=s+p>>20;b[m+5>>0]=o>>>0<256?o:(o|0)>0?255:0;n=n+4|0;t=f[l>>2]|0;if((n|0)>=(t<<1|0))break;else m=m+6|0}u=t;v=f[c>>2]|0}else{u=g;v=i}a=a+1|0;if((a|0)==(e|0))break;else{d=d+v|0;i=v;g=u}}return}function Vwa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;d=f[c>>2]|0;e=f[c+4>>2]|0;c=a+16|0;if((d|0)>=(e|0))return;g=f[c>>2]|0;i=(f[a+12>>2]|0)+(Y(g,d)|0)|0;j=a+4|0;k=a+8|0;l=a+20|0;a=d;d=i;i=g;g=f[l>>2]|0;while(1){if((g|0)>0){m=(f[j>>2]|0)+(Y(f[k>>2]|0,a)|0)|0;n=0;while(1){o=(h[d+(n|1)>>0]|0)+-128|0;p=(h[d+(n|3)>>0]|0)+-128|0;q=(Y(p,1673527)|0)+524288|0;r=(Y(o,-409993)|0)+524288+(Y(p,-852492)|0)|0;p=(Y(o,2116026)|0)+524288|0;o=(h[d+n>>0]|0)+-16|0;s=Y((o|0)>0?o:0,1220542)|0;o=s+q>>20;b[m+2>>0]=o>>>0<256?o:(o|0)>0?255:0;o=s+r>>20;b[m+1>>0]=o>>>0<256?o:(o|0)>0?255:0;o=s+p>>20;b[m>>0]=o>>>0<256?o:(o|0)>0?255:0;b[m+3>>0]=-1;o=(h[d+(n|2)>>0]|0)+-16|0;s=Y((o|0)>0?o:0,1220542)|0;o=s+q>>20;b[m+6>>0]=o>>>0<256?o:(o|0)>0?255:0;o=s+r>>20;b[m+5>>0]=o>>>0<256?o:(o|0)>0?255:0;o=s+p>>20;b[m+4>>0]=o>>>0<256?o:(o|0)>0?255:0;b[m+7>>0]=-1;n=n+4|0;t=f[l>>2]|0;if((n|0)>=(t<<1|0))break;else m=m+8|0}u=t;v=f[c>>2]|0}else{u=g;v=i}a=a+1|0;if((a|0)==(e|0))break;else{d=d+v|0;i=v;g=u}}return}function Wwa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;d=f[c>>2]|0;e=f[c+4>>2]|0;c=a+16|0;if((d|0)>=(e|0))return;g=f[c>>2]|0;i=(f[a+12>>2]|0)+(Y(g,d)|0)|0;j=a+4|0;k=a+8|0;l=a+20|0;a=d;d=i;i=g;g=f[l>>2]|0;while(1){if((g|0)>0){m=(f[j>>2]|0)+(Y(f[k>>2]|0,a)|0)|0;n=0;while(1){o=(h[d+n>>0]|0)+-128|0;p=(h[d+(n|2)>>0]|0)+-128|0;q=(Y(p,1673527)|0)+524288|0;r=(Y(o,-409993)|0)+524288+(Y(p,-852492)|0)|0;p=(Y(o,2116026)|0)+524288|0;o=(h[d+(n|1)>>0]|0)+-16|0;s=Y((o|0)>0?o:0,1220542)|0;o=s+q>>20;b[m+2>>0]=o>>>0<256?o:(o|0)>0?255:0;o=s+r>>20;b[m+1>>0]=o>>>0<256?o:(o|0)>0?255:0;o=s+p>>20;b[m>>0]=o>>>0<256?o:(o|0)>0?255:0;b[m+3>>0]=-1;o=(h[d+(n|3)>>0]|0)+-16|0;s=Y((o|0)>0?o:0,1220542)|0;o=s+q>>20;b[m+6>>0]=o>>>0<256?o:(o|0)>0?255:0;o=s+r>>20;b[m+5>>0]=o>>>0<256?o:(o|0)>0?255:0;o=s+p>>20;b[m+4>>0]=o>>>0<256?o:(o|0)>0?255:0;b[m+7>>0]=-1;n=n+4|0;t=f[l>>2]|0;if((n|0)>=(t<<1|0))break;else m=m+8|0}u=t;v=f[c>>2]|0}else{u=g;v=i}a=a+1|0;if((a|0)==(e|0))break;else{d=d+v|0;i=v;g=u}}return}function Xwa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;d=f[c>>2]|0;e=f[c+4>>2]|0;c=a+16|0;if((d|0)>=(e|0))return;g=f[c>>2]|0;i=(f[a+12>>2]|0)+(Y(g,d)|0)|0;j=a+4|0;k=a+8|0;l=a+20|0;a=d;d=i;i=g;g=f[l>>2]|0;while(1){if((g|0)>0){m=(f[j>>2]|0)+(Y(f[k>>2]|0,a)|0)|0;n=0;while(1){o=(h[d+(n|3)>>0]|0)+-128|0;p=(h[d+(n|1)>>0]|0)+-128|0;q=(Y(p,1673527)|0)+524288|0;r=(Y(o,-409993)|0)+524288+(Y(p,-852492)|0)|0;p=(Y(o,2116026)|0)+524288|0;o=(h[d+n>>0]|0)+-16|0;s=Y((o|0)>0?o:0,1220542)|0;o=s+q>>20;b[m+2>>0]=o>>>0<256?o:(o|0)>0?255:0;o=s+r>>20;b[m+1>>0]=o>>>0<256?o:(o|0)>0?255:0;o=s+p>>20;b[m>>0]=o>>>0<256?o:(o|0)>0?255:0;b[m+3>>0]=-1;o=(h[d+(n|2)>>0]|0)+-16|0;s=Y((o|0)>0?o:0,1220542)|0;o=s+q>>20;b[m+6>>0]=o>>>0<256?o:(o|0)>0?255:0;o=s+r>>20;b[m+5>>0]=o>>>0<256?o:(o|0)>0?255:0;o=s+p>>20;b[m+4>>0]=o>>>0<256?o:(o|0)>0?255:0;b[m+7>>0]=-1;n=n+4|0;t=f[l>>2]|0;if((n|0)>=(t<<1|0))break;else m=m+8|0}u=t;v=f[c>>2]|0}else{u=g;v=i}a=a+1|0;if((a|0)==(e|0))break;else{d=d+v|0;i=v;g=u}}return}function Ywa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;d=f[c>>2]|0;e=f[c+4>>2]|0;c=a+16|0;if((d|0)>=(e|0))return;g=f[c>>2]|0;i=(f[a+12>>2]|0)+(Y(g,d)|0)|0;j=a+4|0;k=a+8|0;l=a+20|0;a=d;d=i;i=g;g=f[l>>2]|0;while(1){if((g|0)>0){m=(f[j>>2]|0)+(Y(f[k>>2]|0,a)|0)|0;n=0;while(1){o=(h[d+(n|1)>>0]|0)+-128|0;p=(h[d+(n|3)>>0]|0)+-128|0;q=(Y(p,1673527)|0)+524288|0;r=(Y(o,-409993)|0)+524288+(Y(p,-852492)|0)|0;p=(Y(o,2116026)|0)+524288|0;o=(h[d+n>>0]|0)+-16|0;s=Y((o|0)>0?o:0,1220542)|0;o=s+q>>20;b[m>>0]=o>>>0<256?o:(o|0)>0?255:0;o=s+r>>20;b[m+1>>0]=o>>>0<256?o:(o|0)>0?255:0;o=s+p>>20;b[m+2>>0]=o>>>0<256?o:(o|0)>0?255:0;b[m+3>>0]=-1;o=(h[d+(n|2)>>0]|0)+-16|0;s=Y((o|0)>0?o:0,1220542)|0;o=s+q>>20;b[m+4>>0]=o>>>0<256?o:(o|0)>0?255:0;o=s+r>>20;b[m+5>>0]=o>>>0<256?o:(o|0)>0?255:0;o=s+p>>20;b[m+6>>0]=o>>>0<256?o:(o|0)>0?255:0;b[m+7>>0]=-1;n=n+4|0;t=f[l>>2]|0;if((n|0)>=(t<<1|0))break;else m=m+8|0}u=t;v=f[c>>2]|0}else{u=g;v=i}a=a+1|0;if((a|0)==(e|0))break;else{d=d+v|0;i=v;g=u}}return}function Zwa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;d=f[c>>2]|0;e=f[c+4>>2]|0;c=a+16|0;if((d|0)>=(e|0))return;g=f[c>>2]|0;i=(f[a+12>>2]|0)+(Y(g,d)|0)|0;j=a+4|0;k=a+8|0;l=a+20|0;a=d;d=i;i=g;g=f[l>>2]|0;while(1){if((g|0)>0){m=(f[j>>2]|0)+(Y(f[k>>2]|0,a)|0)|0;n=0;while(1){o=(h[d+n>>0]|0)+-128|0;p=(h[d+(n|2)>>0]|0)+-128|0;q=(Y(p,1673527)|0)+524288|0;r=(Y(o,-409993)|0)+524288+(Y(p,-852492)|0)|0;p=(Y(o,2116026)|0)+524288|0;o=(h[d+(n|1)>>0]|0)+-16|0;s=Y((o|0)>0?o:0,1220542)|0;o=s+q>>20;b[m>>0]=o>>>0<256?o:(o|0)>0?255:0;o=s+r>>20;b[m+1>>0]=o>>>0<256?o:(o|0)>0?255:0;o=s+p>>20;b[m+2>>0]=o>>>0<256?o:(o|0)>0?255:0;b[m+3>>0]=-1;o=(h[d+(n|3)>>0]|0)+-16|0;s=Y((o|0)>0?o:0,1220542)|0;o=s+q>>20;b[m+4>>0]=o>>>0<256?o:(o|0)>0?255:0;o=s+r>>20;b[m+5>>0]=o>>>0<256?o:(o|0)>0?255:0;o=s+p>>20;b[m+6>>0]=o>>>0<256?o:(o|0)>0?255:0;b[m+7>>0]=-1;n=n+4|0;t=f[l>>2]|0;if((n|0)>=(t<<1|0))break;else m=m+8|0}u=t;v=f[c>>2]|0}else{u=g;v=i}a=a+1|0;if((a|0)==(e|0))break;else{d=d+v|0;i=v;g=u}}return}function _wa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;d=f[c>>2]|0;e=f[c+4>>2]|0;c=a+16|0;if((d|0)>=(e|0))return;g=f[c>>2]|0;i=(f[a+12>>2]|0)+(Y(g,d)|0)|0;j=a+4|0;k=a+8|0;l=a+20|0;a=d;d=i;i=g;g=f[l>>2]|0;while(1){if((g|0)>0){m=(f[j>>2]|0)+(Y(f[k>>2]|0,a)|0)|0;n=0;while(1){o=(h[d+(n|3)>>0]|0)+-128|0;p=(h[d+(n|1)>>0]|0)+-128|0;q=(Y(p,1673527)|0)+524288|0;r=(Y(o,-409993)|0)+524288+(Y(p,-852492)|0)|0;p=(Y(o,2116026)|0)+524288|0;o=(h[d+n>>0]|0)+-16|0;s=Y((o|0)>0?o:0,1220542)|0;o=s+q>>20;b[m>>0]=o>>>0<256?o:(o|0)>0?255:0;o=s+r>>20;b[m+1>>0]=o>>>0<256?o:(o|0)>0?255:0;o=s+p>>20;b[m+2>>0]=o>>>0<256?o:(o|0)>0?255:0;b[m+3>>0]=-1;o=(h[d+(n|2)>>0]|0)+-16|0;s=Y((o|0)>0?o:0,1220542)|0;o=s+q>>20;b[m+4>>0]=o>>>0<256?o:(o|0)>0?255:0;o=s+r>>20;b[m+5>>0]=o>>>0<256?o:(o|0)>0?255:0;o=s+p>>20;b[m+6>>0]=o>>>0<256?o:(o|0)>0?255:0;b[m+7>>0]=-1;n=n+4|0;t=f[l>>2]|0;if((n|0)>=(t<<1|0))break;else m=m+8|0}u=t;v=f[c>>2]|0}else{u=g;v=i}a=a+1|0;if((a|0)==(e|0))break;else{d=d+v|0;i=v;g=u}}return}function $wa(a){a=a|0;fuc(a);return}function axa(a){a=a|0;fuc(a);return}function bxa(a){a=a|0;fuc(a);return}function cxa(a){a=a|0;fuc(a);return}function dxa(a){a=a|0;fuc(a);return}function exa(a){a=a|0;fuc(a);return}function fxa(a){a=a|0;fuc(a);return}function gxa(a){a=a|0;fuc(a);return}function hxa(a){a=a|0;fuc(a);return}function ixa(a){a=a|0;fuc(a);return}function jxa(a){a=a|0;fuc(a);return}function kxa(a){a=a|0;fuc(a);return}function lxa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0;e=u;u=u+128|0;g=e;Mua(g,a,b,3);Tva(f[g+16>>2]|0,f[g+48>>2]|0,f[g+72>>2]|0,f[g+104>>2]|0,f[g+12>>2]|0,f[g+8>>2]|0,f[g+112>>2]|0,f[g+116>>2]|0,c,d);Nua(g);u=e;return}function mxa(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0;g=u;u=u+128|0;h=g;i=(c|0)<1?3:c;Pua(h,a,b,i);awa(f[h+16>>2]|0,f[h+48>>2]|0,f[h+72>>2]|0,f[h+104>>2]|0,f[h+12>>2]|0,f[h+8>>2]|0,f[h+112>>2]|0,i,d,e);Qua(h);u=g;return}function nxa(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0;h=u;u=u+128|0;i=h;epa(i,a,b,c);Owa(f[i+16>>2]|0,f[i+48>>2]|0,f[i+72>>2]|0,f[i+104>>2]|0,f[i+12>>2]|0,f[i+8>>2]|0,c,d,e,g);fpa(i);u=h;return}function oxa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0;e=u;u=u+16|0;g=e;if((DJ(a,-1)|0)==2?(CJ(a,-1)|0)==0:0){rV(a,c,d);u=e;return}e=cuc(48)|0;f[g>>2]=e;f[g+8>>2]=-2147483600;f[g+4>>2]=45;d=e;c=371685;a=d+45|0;do{b[d>>0]=b[c>>0]|0;d=d+1|0;c=c+1|0}while((d|0)<(a|0));b[e+45>>0]=0;WD(-215,g,371731,369278,2641)}function pxa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0;e=u;u=u+128|0;g=e;qxa(g,a,b,1);Lwa(f[g+16>>2]|0,f[g+48>>2]|0,f[g+72>>2]|0,f[g+104>>2]|0,f[g+12>>2]|0,f[g+8>>2]|0,f[g+116>>2]|0,c,d);rxa(g);u=e;return}function qxa(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;g=u;u=u+64|0;h=g+8|0;i=g;f[a>>2]=1124007936;j=a+4|0;k=a+8|0;l=a+40|0;m=j;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));f[l>>2]=k;o=a+48|0;f[a+44>>2]=o;f[o>>2]=0;f[a+52>>2]=0;p=a+56|0;f[p>>2]=1124007936;q=a+60|0;r=a+64|0;s=a+96|0;m=q;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));f[s>>2]=r;t=a+104|0;f[a+100>>2]=t;f[t>>2]=0;f[a+108>>2]=0;v=a+120|0;f[v>>2]=0;w=a+124|0;f[w>>2]=0;if(EJ(c)|0){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;x=cuc(16)|0;f[h>>2]=x;f[h+8>>2]=-2147483632;f[h+4>>2]=13;m=x;y=371751;n=m+13|0;do{b[m>>0]=b[y>>0]|0;m=m+1|0;y=y+1|0}while((m|0)<(n|0));b[x+13>>0]=0;WD(-215,h,371765,373062,254)}x=pJ(c,-1)|0;z=x>>>3;A=(z&511)+1|0;f[a+116>>2]=A;B=x&7;x=a+112|0;f[x>>2]=B;if((z&510|0)!=2)zN(A,84312);if((e|0)!=1)zN(e,84340);if(B|0)wN(B,84368);B=c+4|0;e=d+4|0;if((f[B>>2]|0)!=(f[e>>2]|0)){do if((qJ(c)|0)==65536){A=f[B>>2]|0;f[h>>2]=f[A>>2];z=h+4|0;C=A+4|0;f[z>>2]=f[C>>2];D=h+8|0;f[D>>2]=f[A+8>>2];f[h+12>>2]=f[A+12>>2];f[h+16>>2]=f[A+16>>2];f[h+20>>2]=f[A+20>>2];f[h+24>>2]=f[A+24>>2];f[h+28>>2]=f[A+28>>2];f[h+32>>2]=f[A+32>>2];E=f[A+36>>2]|0;f[h+36>>2]=E;f[h+40>>2]=D;D=h+48|0;F=h+44|0;f[F>>2]=D;f[D>>2]=0;f[h+52>>2]=0;if(E|0){D=E+12|0;f[D>>2]=(f[D>>2]|0)+1}if((f[C>>2]|0)<3){C=f[A+44>>2]|0;D=f[F>>2]|0;f[D>>2]=f[C>>2];f[D+4>>2]=f[C+4>>2];break}else{f[z>>2]=0;$T(h,A);break}}else nJ(h,c,-1);while(0);if((a|0)==(h|0)){B=h+36|0;A=f[B>>2]|0;if((A|0)!=0?(z=A+12|0,A=f[z>>2]|0,f[z>>2]=A+-1,(A|0)==1):0){aU(h);G=B}else G=B}else{B=a+36|0;A=f[B>>2]|0;if(A|0?(z=A+12|0,A=f[z>>2]|0,f[z>>2]=A+-1,(A|0)==1):0)aU(a);f[B>>2]=0;A=a+16|0;f[A>>2]=0;f[A+4>>2]=0;f[A+8>>2]=0;f[A+12>>2]=0;if((f[j>>2]|0)>0){z=f[l>>2]|0;C=0;do{f[z+(C<<2)>>2]=0;C=C+1|0}while((C|0)<(f[j>>2]|0))}f[a>>2]=f[h>>2];C=h+4|0;z=f[C>>2]|0;f[j>>2]=z;j=h+8|0;f[k>>2]=f[j>>2];f[a+12>>2]=f[h+12>>2];f[A>>2]=f[h+16>>2];f[a+20>>2]=f[h+20>>2];f[a+24>>2]=f[h+24>>2];f[a+28>>2]=f[h+28>>2];f[a+32>>2]=f[h+32>>2];A=h+36|0;f[B>>2]=f[A>>2];B=a+44|0;D=f[B>>2]|0;if((D|0)==(o|0))H=z;else{TC(D);f[B>>2]=o;f[l>>2]=k;H=f[C>>2]|0}k=h+44|0;if((H|0)<3){H=f[k>>2]|0;f[o>>2]=f[H>>2];f[a+52>>2]=f[H+4>>2]}else{f[B>>2]=f[k>>2];B=h+40|0;f[a+40>>2]=f[B>>2];f[k>>2]=h+48;f[B>>2]=j}f[h>>2]=1124007936;m=C;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));G=A}f[G>>2]=0;G=h+16|0;A=h+4|0;f[G>>2]=0;f[G+4>>2]=0;f[G+8>>2]=0;f[G+12>>2]=0;if((f[A>>2]|0)>0){G=f[h+40>>2]|0;C=0;do{f[G+(C<<2)>>2]=0;C=C+1|0}while((C|0)<(f[A>>2]|0))}A=f[h+44>>2]|0;if((A|0)!=(h+48|0))TC(A)}else{A=h+8|0;f[A>>2]=0;f[A+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=a;GJ(c,h)}c=f[l>>2]|0;l=f[c+4>>2]|0;A=f[c>>2]|0;if((A|l)&1|0){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;c=cuc(48)|0;f[h>>2]=c;f[h+8>>2]=-2147483600;f[h+4>>2]=39;m=c;y=371775;n=m+39|0;do{b[m>>0]=b[y>>0]|0;m=m+1|0;y=y+1|0}while((m|0)<(n|0));b[c+39>>0]=0;WD(-215,h,371765,373062,271)}c=((A|0)/2|0)*3|0;f[v>>2]=l;f[w>>2]=c;f[i>>2]=l;f[i+4>>2]=c;IJ(d,i,f[x>>2]&7,-1,0,0);do if((qJ(d)|0)==65536){x=f[e>>2]|0;f[h>>2]=f[x>>2];i=h+4|0;c=x+4|0;f[i>>2]=f[c>>2];l=h+8|0;f[l>>2]=f[x+8>>2];f[h+12>>2]=f[x+12>>2];f[h+16>>2]=f[x+16>>2];f[h+20>>2]=f[x+20>>2];f[h+24>>2]=f[x+24>>2];f[h+28>>2]=f[x+28>>2];f[h+32>>2]=f[x+32>>2];w=f[x+36>>2]|0;f[h+36>>2]=w;f[h+40>>2]=l;l=h+48|0;v=h+44|0;f[v>>2]=l;f[l>>2]=0;f[h+52>>2]=0;if(w|0){l=w+12|0;f[l>>2]=(f[l>>2]|0)+1}if((f[c>>2]|0)<3){c=f[x+44>>2]|0;l=f[v>>2]|0;f[l>>2]=f[c>>2];f[l+4>>2]=f[c+4>>2];break}else{f[i>>2]=0;$T(h,x);break}}else nJ(h,d,-1);while(0);if((p|0)==(h|0)){d=h+36|0;e=f[d>>2]|0;if((e|0)!=0?(x=e+12|0,e=f[x>>2]|0,f[x>>2]=e+-1,(e|0)==1):0){aU(h);I=d}else I=d}else{d=a+92|0;e=f[d>>2]|0;if(e|0?(x=e+12|0,e=f[x>>2]|0,f[x>>2]=e+-1,(e|0)==1):0)aU(p);f[d>>2]=0;e=a+72|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((f[q>>2]|0)>0){x=f[s>>2]|0;i=0;do{f[x+(i<<2)>>2]=0;i=i+1|0}while((i|0)<(f[q>>2]|0))}f[p>>2]=f[h>>2];p=h+4|0;i=f[p>>2]|0;f[q>>2]=i;q=h+8|0;f[r>>2]=f[q>>2];f[a+68>>2]=f[h+12>>2];f[e>>2]=f[h+16>>2];f[a+76>>2]=f[h+20>>2];f[a+80>>2]=f[h+24>>2];f[a+84>>2]=f[h+28>>2];f[a+88>>2]=f[h+32>>2];e=h+36|0;f[d>>2]=f[e>>2];d=a+100|0;x=f[d>>2]|0;if((x|0)==(t|0))J=i;else{TC(x);f[d>>2]=t;f[s>>2]=r;J=f[p>>2]|0}r=h+44|0;if((J|0)<3){J=f[r>>2]|0;f[t>>2]=f[J>>2];f[a+108>>2]=f[J+4>>2]}else{f[d>>2]=f[r>>2];d=h+40|0;f[a+96>>2]=f[d>>2];f[r>>2]=h+48;f[d>>2]=q}f[h>>2]=1124007936;m=p;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));I=e}f[I>>2]=0;I=h+16|0;e=h+4|0;f[I>>2]=0;f[I+4>>2]=0;f[I+8>>2]=0;f[I+12>>2]=0;if((f[e>>2]|0)>0){I=f[h+40>>2]|0;m=0;do{f[I+(m<<2)>>2]=0;m=m+1|0}while((m|0)<(f[e>>2]|0))}e=f[h+44>>2]|0;if((e|0)==(h+48|0)){u=g;return}TC(e);u=g;return}function rxa(a){a=a|0;var b=0,c=0,d=0,e=0;b=a+56|0;c=a+92|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+72|0;b=a+60|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+96>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+100>>2]|0;if((b|0)!=(a+104|0))TC(b);b=a+36|0;d=f[b>>2]|0;if(d|0?(c=d+12|0,d=f[c>>2]|0,f[c>>2]=d+-1,(d|0)==1):0)aU(a);f[b>>2]=0;b=a+16|0;d=a+4|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;if((f[d>>2]|0)>0){b=f[a+40>>2]|0;c=0;do{f[b+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[d>>2]|0))}d=f[a+44>>2]|0;if((d|0)==(a+48|0))return;TC(d);return}function sxa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0;c=u;u=u+208|0;d=c+8|0;e=c;g=c+80|0;h=c+24|0;txa(g,a,b,1);b=f[g+124>>2]|0;f[d>>2]=-2147483648;f[d+4>>2]=2147483647;f[e>>2]=0;f[e+4>>2]=b;bU(h,g,e,d);e=d+8|0;f[e>>2]=0;f[e+4>>2]=0;f[d>>2]=33619968;f[d+4>>2]=g+56;EI(h,d);d=h+36|0;e=f[d>>2]|0;if(e|0?(b=e+12|0,e=f[b>>2]|0,f[b>>2]=e+-1,(e|0)==1):0)aU(h);f[d>>2]=0;d=h+16|0;e=h+4|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[e>>2]|0)>0){d=f[h+40>>2]|0;b=0;do{f[d+(b<<2)>>2]=0;b=b+1|0}while((b|0)<(f[e>>2]|0))}e=f[h+44>>2]|0;if((e|0)==(h+48|0)){uxa(g);u=c;return}TC(e);uxa(g);u=c;return}function txa(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;g=u;u=u+64|0;h=g+8|0;i=g;f[a>>2]=1124007936;j=a+4|0;k=a+8|0;l=a+40|0;m=j;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));f[l>>2]=k;o=a+48|0;f[a+44>>2]=o;f[o>>2]=0;f[a+52>>2]=0;p=a+56|0;f[p>>2]=1124007936;q=a+60|0;r=a+64|0;s=a+96|0;m=q;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));f[s>>2]=r;t=a+104|0;f[a+100>>2]=t;f[t>>2]=0;f[a+108>>2]=0;v=a+120|0;f[v>>2]=0;w=a+124|0;f[w>>2]=0;if(EJ(c)|0){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;x=cuc(16)|0;f[h>>2]=x;f[h+8>>2]=-2147483632;f[h+4>>2]=13;m=x;y=371751;n=m+13|0;do{b[m>>0]=b[y>>0]|0;m=m+1|0;y=y+1|0}while((m|0)<(n|0));b[x+13>>0]=0;WD(-215,h,371765,373062,254)}x=pJ(c,-1)|0;z=x>>>3&511;A=z+1|0;f[a+116>>2]=A;B=x&7;x=a+112|0;f[x>>2]=B;if(z|0)zN(A,84396);if((e|0)!=1)zN(e,84424);if(B|0)wN(B,84452);B=c+4|0;e=d+4|0;if((f[B>>2]|0)!=(f[e>>2]|0)){do if((qJ(c)|0)==65536){A=f[B>>2]|0;f[h>>2]=f[A>>2];z=h+4|0;C=A+4|0;f[z>>2]=f[C>>2];D=h+8|0;f[D>>2]=f[A+8>>2];f[h+12>>2]=f[A+12>>2];f[h+16>>2]=f[A+16>>2];f[h+20>>2]=f[A+20>>2];f[h+24>>2]=f[A+24>>2];f[h+28>>2]=f[A+28>>2];f[h+32>>2]=f[A+32>>2];E=f[A+36>>2]|0;f[h+36>>2]=E;f[h+40>>2]=D;D=h+48|0;F=h+44|0;f[F>>2]=D;f[D>>2]=0;f[h+52>>2]=0;if(E|0){D=E+12|0;f[D>>2]=(f[D>>2]|0)+1}if((f[C>>2]|0)<3){C=f[A+44>>2]|0;D=f[F>>2]|0;f[D>>2]=f[C>>2];f[D+4>>2]=f[C+4>>2];break}else{f[z>>2]=0;$T(h,A);break}}else nJ(h,c,-1);while(0);if((a|0)==(h|0)){B=h+36|0;A=f[B>>2]|0;if((A|0)!=0?(z=A+12|0,A=f[z>>2]|0,f[z>>2]=A+-1,(A|0)==1):0){aU(h);G=B}else G=B}else{B=a+36|0;A=f[B>>2]|0;if(A|0?(z=A+12|0,A=f[z>>2]|0,f[z>>2]=A+-1,(A|0)==1):0)aU(a);f[B>>2]=0;A=a+16|0;f[A>>2]=0;f[A+4>>2]=0;f[A+8>>2]=0;f[A+12>>2]=0;if((f[j>>2]|0)>0){z=f[l>>2]|0;C=0;do{f[z+(C<<2)>>2]=0;C=C+1|0}while((C|0)<(f[j>>2]|0))}f[a>>2]=f[h>>2];C=h+4|0;z=f[C>>2]|0;f[j>>2]=z;j=h+8|0;f[k>>2]=f[j>>2];f[a+12>>2]=f[h+12>>2];f[A>>2]=f[h+16>>2];f[a+20>>2]=f[h+20>>2];f[a+24>>2]=f[h+24>>2];f[a+28>>2]=f[h+28>>2];f[a+32>>2]=f[h+32>>2];A=h+36|0;f[B>>2]=f[A>>2];B=a+44|0;D=f[B>>2]|0;if((D|0)==(o|0))H=z;else{TC(D);f[B>>2]=o;f[l>>2]=k;H=f[C>>2]|0}k=h+44|0;if((H|0)<3){H=f[k>>2]|0;f[o>>2]=f[H>>2];f[a+52>>2]=f[H+4>>2]}else{f[B>>2]=f[k>>2];B=h+40|0;f[a+40>>2]=f[B>>2];f[k>>2]=h+48;f[B>>2]=j}f[h>>2]=1124007936;m=C;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));G=A}f[G>>2]=0;G=h+16|0;A=h+4|0;f[G>>2]=0;f[G+4>>2]=0;f[G+8>>2]=0;f[G+12>>2]=0;if((f[A>>2]|0)>0){G=f[h+40>>2]|0;C=0;do{f[G+(C<<2)>>2]=0;C=C+1|0}while((C|0)<(f[A>>2]|0))}A=f[h+44>>2]|0;if((A|0)!=(h+48|0))TC(A)}else{A=h+8|0;f[A>>2]=0;f[A+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=a;GJ(c,h)}c=f[l>>2]|0;l=f[c+4>>2]|0;A=f[c>>2]|0;if((A|0)%3|0|l&1|0){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;c=cuc(48)|0;f[h>>2]=c;f[h+8>>2]=-2147483600;f[h+4>>2]=39;m=c;y=372269;n=m+39|0;do{b[m>>0]=b[y>>0]|0;m=m+1|0;y=y+1|0}while((m|0)<(n|0));b[c+39>>0]=0;WD(-215,h,371765,373062,275)}c=(A<<1|0)/3|0;f[v>>2]=l;f[w>>2]=c;f[i>>2]=l;f[i+4>>2]=c;IJ(d,i,f[x>>2]&7,-1,0,0);do if((qJ(d)|0)==65536){x=f[e>>2]|0;f[h>>2]=f[x>>2];i=h+4|0;c=x+4|0;f[i>>2]=f[c>>2];l=h+8|0;f[l>>2]=f[x+8>>2];f[h+12>>2]=f[x+12>>2];f[h+16>>2]=f[x+16>>2];f[h+20>>2]=f[x+20>>2];f[h+24>>2]=f[x+24>>2];f[h+28>>2]=f[x+28>>2];f[h+32>>2]=f[x+32>>2];w=f[x+36>>2]|0;f[h+36>>2]=w;f[h+40>>2]=l;l=h+48|0;v=h+44|0;f[v>>2]=l;f[l>>2]=0;f[h+52>>2]=0;if(w|0){l=w+12|0;f[l>>2]=(f[l>>2]|0)+1}if((f[c>>2]|0)<3){c=f[x+44>>2]|0;l=f[v>>2]|0;f[l>>2]=f[c>>2];f[l+4>>2]=f[c+4>>2];break}else{f[i>>2]=0;$T(h,x);break}}else nJ(h,d,-1);while(0);if((p|0)==(h|0)){d=h+36|0;e=f[d>>2]|0;if((e|0)!=0?(x=e+12|0,e=f[x>>2]|0,f[x>>2]=e+-1,(e|0)==1):0){aU(h);I=d}else I=d}else{d=a+92|0;e=f[d>>2]|0;if(e|0?(x=e+12|0,e=f[x>>2]|0,f[x>>2]=e+-1,(e|0)==1):0)aU(p);f[d>>2]=0;e=a+72|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((f[q>>2]|0)>0){x=f[s>>2]|0;i=0;do{f[x+(i<<2)>>2]=0;i=i+1|0}while((i|0)<(f[q>>2]|0))}f[p>>2]=f[h>>2];p=h+4|0;i=f[p>>2]|0;f[q>>2]=i;q=h+8|0;f[r>>2]=f[q>>2];f[a+68>>2]=f[h+12>>2];f[e>>2]=f[h+16>>2];f[a+76>>2]=f[h+20>>2];f[a+80>>2]=f[h+24>>2];f[a+84>>2]=f[h+28>>2];f[a+88>>2]=f[h+32>>2];e=h+36|0;f[d>>2]=f[e>>2];d=a+100|0;x=f[d>>2]|0;if((x|0)==(t|0))J=i;else{TC(x);f[d>>2]=t;f[s>>2]=r;J=f[p>>2]|0}r=h+44|0;if((J|0)<3){J=f[r>>2]|0;f[t>>2]=f[J>>2];f[a+108>>2]=f[J+4>>2]}else{f[d>>2]=f[r>>2];d=h+40|0;f[a+96>>2]=f[d>>2];f[r>>2]=h+48;f[d>>2]=q}f[h>>2]=1124007936;m=p;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));I=e}f[I>>2]=0;I=h+16|0;e=h+4|0;f[I>>2]=0;f[I+4>>2]=0;f[I+8>>2]=0;f[I+12>>2]=0;if((f[e>>2]|0)>0){I=f[h+40>>2]|0;m=0;do{f[I+(m<<2)>>2]=0;m=m+1|0}while((m|0)<(f[e>>2]|0))}e=f[h+44>>2]|0;if((e|0)==(h+48|0)){u=g;return}TC(e);u=g;return}function uxa(a){a=a|0;var b=0,c=0,d=0,e=0;b=a+56|0;c=a+92|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+72|0;b=a+60|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+96>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+100>>2]|0;if((b|0)!=(a+104|0))TC(b);b=a+36|0;d=f[b>>2]|0;if(d|0?(c=d+12|0,d=f[c>>2]|0,f[c>>2]=d+-1,(d|0)==1):0)aU(a);f[b>>2]=0;b=a+16|0;d=a+4|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;if((f[d>>2]|0)>0){b=f[a+40>>2]|0;c=0;do{f[b+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[d>>2]|0))}d=f[a+44>>2]|0;if((d|0)==(a+48|0))return;TC(d);return}function vxa(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0;g=u;u=u+128|0;h=g;i=(c|0)<1?3:c;wxa(h,a,b,i);Cwa(f[h+16>>2]|0,f[h+48>>2]|0,f[h+72>>2]|0,f[h+104>>2]|0,f[h+68>>2]|0,f[h+64>>2]|0,i,d,e);xxa(h);u=g;return}function wxa(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;g=u;u=u+64|0;h=g+8|0;i=g;f[a>>2]=1124007936;j=a+4|0;k=a+8|0;l=a+40|0;m=j;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));f[l>>2]=k;o=a+48|0;f[a+44>>2]=o;f[o>>2]=0;f[a+52>>2]=0;p=a+56|0;f[p>>2]=1124007936;q=a+60|0;r=a+64|0;s=a+96|0;m=q;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));f[s>>2]=r;t=a+104|0;f[a+100>>2]=t;f[t>>2]=0;f[a+108>>2]=0;v=a+120|0;f[v>>2]=0;w=a+124|0;f[w>>2]=0;if(EJ(c)|0){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;x=cuc(16)|0;f[h>>2]=x;f[h+8>>2]=-2147483632;f[h+4>>2]=13;m=x;y=371751;n=m+13|0;do{b[m>>0]=b[y>>0]|0;m=m+1|0;y=y+1|0}while((m|0)<(n|0));b[x+13>>0]=0;WD(-215,h,371765,373062,254)}x=pJ(c,-1)|0;z=x>>>3&511;A=z+1|0;f[a+116>>2]=A;B=x&7;x=a+112|0;f[x>>2]=B;if(z|0)zN(A,84480);if((e+-3|0)>>>0>=2)zN(e,84508);if(B|0)wN(B,84536);B=c+4|0;A=d+4|0;if((f[B>>2]|0)!=(f[A>>2]|0)){do if((qJ(c)|0)==65536){z=f[B>>2]|0;f[h>>2]=f[z>>2];C=h+4|0;D=z+4|0;f[C>>2]=f[D>>2];E=h+8|0;f[E>>2]=f[z+8>>2];f[h+12>>2]=f[z+12>>2];f[h+16>>2]=f[z+16>>2];f[h+20>>2]=f[z+20>>2];f[h+24>>2]=f[z+24>>2];f[h+28>>2]=f[z+28>>2];f[h+32>>2]=f[z+32>>2];F=f[z+36>>2]|0;f[h+36>>2]=F;f[h+40>>2]=E;E=h+48|0;G=h+44|0;f[G>>2]=E;f[E>>2]=0;f[h+52>>2]=0;if(F|0){E=F+12|0;f[E>>2]=(f[E>>2]|0)+1}if((f[D>>2]|0)<3){D=f[z+44>>2]|0;E=f[G>>2]|0;f[E>>2]=f[D>>2];f[E+4>>2]=f[D+4>>2];break}else{f[C>>2]=0;$T(h,z);break}}else nJ(h,c,-1);while(0);if((a|0)==(h|0)){B=h+36|0;z=f[B>>2]|0;if((z|0)!=0?(C=z+12|0,z=f[C>>2]|0,f[C>>2]=z+-1,(z|0)==1):0){aU(h);H=B}else H=B}else{B=a+36|0;z=f[B>>2]|0;if(z|0?(C=z+12|0,z=f[C>>2]|0,f[C>>2]=z+-1,(z|0)==1):0)aU(a);f[B>>2]=0;z=a+16|0;f[z>>2]=0;f[z+4>>2]=0;f[z+8>>2]=0;f[z+12>>2]=0;if((f[j>>2]|0)>0){C=f[l>>2]|0;D=0;do{f[C+(D<<2)>>2]=0;D=D+1|0}while((D|0)<(f[j>>2]|0))}f[a>>2]=f[h>>2];D=h+4|0;C=f[D>>2]|0;f[j>>2]=C;j=h+8|0;f[k>>2]=f[j>>2];f[a+12>>2]=f[h+12>>2];f[z>>2]=f[h+16>>2];f[a+20>>2]=f[h+20>>2];f[a+24>>2]=f[h+24>>2];f[a+28>>2]=f[h+28>>2];f[a+32>>2]=f[h+32>>2];z=h+36|0;f[B>>2]=f[z>>2];B=a+44|0;E=f[B>>2]|0;if((E|0)==(o|0))I=C;else{TC(E);f[B>>2]=o;f[l>>2]=k;I=f[D>>2]|0}k=h+44|0;if((I|0)<3){I=f[k>>2]|0;f[o>>2]=f[I>>2];f[a+52>>2]=f[I+4>>2]}else{f[B>>2]=f[k>>2];B=h+40|0;f[a+40>>2]=f[B>>2];f[k>>2]=h+48;f[B>>2]=j}f[h>>2]=1124007936;m=D;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));H=z}f[H>>2]=0;H=h+16|0;z=h+4|0;f[H>>2]=0;f[H+4>>2]=0;f[H+8>>2]=0;f[H+12>>2]=0;if((f[z>>2]|0)>0){H=f[h+40>>2]|0;D=0;do{f[H+(D<<2)>>2]=0;D=D+1|0}while((D|0)<(f[z>>2]|0))}z=f[h+44>>2]|0;if((z|0)!=(h+48|0))TC(z)}else{z=h+8|0;f[z>>2]=0;f[z+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=a;GJ(c,h)}c=f[l>>2]|0;l=f[c+4>>2]|0;z=f[c>>2]|0;if((z|0)%3|0|l&1|0){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;c=cuc(48)|0;f[h>>2]=c;f[h+8>>2]=-2147483600;f[h+4>>2]=39;m=c;y=372269;n=m+39|0;do{b[m>>0]=b[y>>0]|0;m=m+1|0;y=y+1|0}while((m|0)<(n|0));b[c+39>>0]=0;WD(-215,h,371765,373062,275)}c=(z<<1|0)/3|0;f[v>>2]=l;f[w>>2]=c;f[i>>2]=l;f[i+4>>2]=c;IJ(d,i,f[x>>2]&7|(e<<3)+-8,-1,0,0);do if((qJ(d)|0)==65536){e=f[A>>2]|0;f[h>>2]=f[e>>2];x=h+4|0;i=e+4|0;f[x>>2]=f[i>>2];c=h+8|0;f[c>>2]=f[e+8>>2];f[h+12>>2]=f[e+12>>2];f[h+16>>2]=f[e+16>>2];f[h+20>>2]=f[e+20>>2];f[h+24>>2]=f[e+24>>2];f[h+28>>2]=f[e+28>>2];f[h+32>>2]=f[e+32>>2];l=f[e+36>>2]|0;f[h+36>>2]=l;f[h+40>>2]=c;c=h+48|0;w=h+44|0;f[w>>2]=c;f[c>>2]=0;f[h+52>>2]=0;if(l|0){c=l+12|0;f[c>>2]=(f[c>>2]|0)+1}if((f[i>>2]|0)<3){i=f[e+44>>2]|0;c=f[w>>2]|0;f[c>>2]=f[i>>2];f[c+4>>2]=f[i+4>>2];break}else{f[x>>2]=0;$T(h,e);break}}else nJ(h,d,-1);while(0);if((p|0)==(h|0)){d=h+36|0;A=f[d>>2]|0;if((A|0)!=0?(e=A+12|0,A=f[e>>2]|0,f[e>>2]=A+-1,(A|0)==1):0){aU(h);J=d}else J=d}else{d=a+92|0;A=f[d>>2]|0;if(A|0?(e=A+12|0,A=f[e>>2]|0,f[e>>2]=A+-1,(A|0)==1):0)aU(p);f[d>>2]=0;A=a+72|0;f[A>>2]=0;f[A+4>>2]=0;f[A+8>>2]=0;f[A+12>>2]=0;if((f[q>>2]|0)>0){e=f[s>>2]|0;x=0;do{f[e+(x<<2)>>2]=0;x=x+1|0}while((x|0)<(f[q>>2]|0))}f[p>>2]=f[h>>2];p=h+4|0;x=f[p>>2]|0;f[q>>2]=x;q=h+8|0;f[r>>2]=f[q>>2];f[a+68>>2]=f[h+12>>2];f[A>>2]=f[h+16>>2];f[a+76>>2]=f[h+20>>2];f[a+80>>2]=f[h+24>>2];f[a+84>>2]=f[h+28>>2];f[a+88>>2]=f[h+32>>2];A=h+36|0;f[d>>2]=f[A>>2];d=a+100|0;e=f[d>>2]|0;if((e|0)==(t|0))K=x;else{TC(e);f[d>>2]=t;f[s>>2]=r;K=f[p>>2]|0}r=h+44|0;if((K|0)<3){K=f[r>>2]|0;f[t>>2]=f[K>>2];f[a+108>>2]=f[K+4>>2]}else{f[d>>2]=f[r>>2];d=h+40|0;f[a+96>>2]=f[d>>2];f[r>>2]=h+48;f[d>>2]=q}f[h>>2]=1124007936;m=p;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));J=A}f[J>>2]=0;J=h+16|0;A=h+4|0;f[J>>2]=0;f[J+4>>2]=0;f[J+8>>2]=0;f[J+12>>2]=0;if((f[A>>2]|0)>0){J=f[h+40>>2]|0;m=0;do{f[J+(m<<2)>>2]=0;m=m+1|0}while((m|0)<(f[A>>2]|0))}A=f[h+44>>2]|0;if((A|0)==(h+48|0)){u=g;return}TC(A);u=g;return}function xxa(a){a=a|0;var b=0,c=0,d=0,e=0;b=a+56|0;c=a+92|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+72|0;b=a+60|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+96>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+100>>2]|0;if((b|0)!=(a+104|0))TC(b);b=a+36|0;d=f[b>>2]|0;if(d|0?(c=d+12|0,d=f[c>>2]|0,f[c>>2]=d+-1,(d|0)==1):0)aU(a);f[b>>2]=0;b=a+16|0;d=a+4|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;if((f[d>>2]|0)>0){b=f[a+40>>2]|0;c=0;do{f[b+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[d>>2]|0))}d=f[a+44>>2]|0;if((d|0)==(a+48|0))return;TC(d);return}function yxa(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0;g=u;u=u+128|0;h=g;i=(c|0)<1?3:c;wxa(h,a,b,i);kwa(f[h+16>>2]|0,f[h+48>>2]|0,f[h+72>>2]|0,f[h+104>>2]|0,f[h+68>>2]|0,f[h+64>>2]|0,i,d,e);xxa(h);u=g;return}function zxa(a,c,d,e,g,h,i,j,k,l,m){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;o=u;u=u+64|0;p=o+52|0;q=o+24|0;r=o+16|0;s=o;gV(r,84564);t=(i|0)==5?360:l?256:180;l=k?2:0;k=(i|0)==0;a:do if(!m)if(k){f[s>>2]=j;f[s+4>>2]=3;f[s+8>>2]=l;n[s+12>>2]=+(t|0)/360.0;f[p>>2]=0;f[p+4>>2]=h;f[q>>2]=84632;f[q+4>>2]=a;f[q+8>>2]=c;f[q+12>>2]=d;f[q+16>>2]=e;f[q+20>>2]=g;f[q+24>>2]=s;sZ(p,q,+(Y(h,g)|0)*.0000152587890625);break}else{f[s>>2]=j;f[s+4>>2]=l;n[s+8>>2]=+(t|0)/360.0;f[p>>2]=0;f[p+4>>2]=h;f[q>>2]=84652;f[q+4>>2]=a;f[q+8>>2]=c;f[q+12>>2]=d;f[q+16>>2]=e;f[q+20>>2]=g;f[q+24>>2]=s;sZ(p,q,+(Y(h,g)|0)*.0000152587890625);break}else{if(!k){f[s>>2]=j;f[s+4>>2]=l;n[s+8>>2]=+(t|0);f[p>>2]=0;f[p+4>>2]=h;f[q>>2]=84612;f[q+4>>2]=a;f[q+8>>2]=c;f[q+12>>2]=d;f[q+16>>2]=e;f[q+20>>2]=g;f[q+24>>2]=s;sZ(p,q,+(Y(h,g)|0)*.0000152587890625);break}f[s>>2]=j;f[s+4>>2]=l;f[s+8>>2]=t;switch(t&511){case 256:case 180:{f[p>>2]=0;f[p+4>>2]=h;f[q>>2]=84592;f[q+4>>2]=a;f[q+8>>2]=c;f[q+12>>2]=d;f[q+16>>2]=e;f[q+20>>2]=g;f[q+24>>2]=s;sZ(p,q,+(Y(h,g)|0)*.0000152587890625);break a;break}default:{i=cuc(32)|0;f[p>>2]=i;f[p+8>>2]=-2147483616;f[p+4>>2]=30;v=i;w=372835;x=v+30|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));b[i+30>>0]=0;WD(-215,p,372866,372876,21)}}}while(0);if(!(f[r+4>>2]|0)){u=o;return}u=o;return}function Axa(a){a=a|0;fuc(a);return}function Bxa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0;c=u;u=u+16|0;d=c;gV(d,84664);e=f[b>>2]|0;g=f[b+4>>2]|0;a:do if((e|0)<(g|0)){b=f[a+8>>2]|0;h=f[a+16>>2]|0;i=a+24|0;j=f[a+20>>2]|0;k=j*3|0;if((j|0)<=0){j=e;while(1){j=j+1|0;if((j|0)>=(g|0))break a}}j=(f[a+12>>2]|0)+(Y(h,e)|0)|0;l=j;j=(f[a+4>>2]|0)+(Y(b,e)|0)|0;m=e;while(1){o=f[i>>2]|0;p=f[o+4>>2]|0;q=f[o>>2]|0;r=p^2;s=o+8|0;o=j;t=0;while(1){v=+n[o+(p<<2)>>2];w=+n[o+4>>2];x=+n[o+(r<<2)>>2];y=x<w?w:x;z=y<v?v:y;y=x>w?w:x;A=y>v?v:y;y=z-A;B=z+A;C=B*.5;if(y>1.1920928955078125e-07){D=y/(C<.5?B:2.0-z-A);A=60.0/y;do if(!(z==x))if(z==w){E=(v-x)*A+120.0;break}else{E=(x-w)*A+240.0;break}else E=(w-v)*A;while(0);if(E<0.0){F=D;G=E+360.0}else{F=D;G=E}}else{F=0.0;G=0.0}n[l+(t<<2)>>2]=G*+n[s>>2];n[l+(t+1<<2)>>2]=C;n[l+(t+2<<2)>>2]=F;t=t+3|0;if((t|0)>=(k|0))break;else o=o+(q<<2)|0}m=m+1|0;if((m|0)>=(g|0))break;else{l=l+h|0;j=j+b|0}}}while(0);if(!(f[d+4>>2]|0)){u=c;return}u=c;return}function Cxa(a){a=a|0;fuc(a);return}function Dxa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=u;u=u+16|0;d=c;gV(d,84684);e=f[b>>2]|0;g=a+8|0;h=a+16|0;i=b+4|0;if((e|0)<(f[i>>2]|0)){b=(f[a+12>>2]|0)+(Y(f[h>>2]|0,e)|0)|0;j=a+24|0;k=a+20|0;l=b;b=e;m=(f[a+4>>2]|0)+(Y(f[g>>2]|0,e)|0)|0;while(1){Exa(f[j>>2]|0,m,l,f[k>>2]|0);b=b+1|0;if((b|0)>=(f[i>>2]|0))break;else{l=l+(f[h>>2]|0)|0;m=m+(f[g>>2]|0)|0}}}if(!(f[d+4>>2]|0)){u=c;return}u=c;return}function Exa(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0.0,J=0;g=u;u=u+3072|0;i=g;j=f[a>>2]|0;if((e|0)<=0){u=g;return}k=a+8|0;l=a+4|0;m=a+12|0;a=d;d=0;o=c;while(1){c=e-d|0;p=((c|0)<256?c:256)*3|0;q=(c|0)>0;if(q){c=0;r=o;do{n[i+(c<<2)>>2]=+(h[r>>0]|0)*.003921568859368563;n[i+(c+1<<2)>>2]=+(h[r+1>>0]|0)*.003921568859368563;n[i+(c+2<<2)>>2]=+(h[r+2>>0]|0)*.003921568859368563;c=c+3|0;r=r+j|0}while((c|0)<(p|0));c=f[k>>2]|0;s=f[l>>2]|0;if(q){t=c^2;v=i;w=0;while(1){x=+n[v+(c<<2)>>2];y=+n[v+4>>2];z=+n[v+(t<<2)>>2];A=z<y?y:z;B=A<x?x:A;A=z>y?y:z;C=A>x?x:A;A=B-C;D=B+C;E=D*.5;if(A>1.1920928955078125e-07){F=A/(E<.5?D:2.0-B-C);C=60.0/A;do if(!(B==z))if(B==y){G=(x-z)*C+120.0;break}else{G=(z-y)*C+240.0;break}else G=(y-x)*C;while(0);if(G<0.0){H=F;I=G+360.0}else{H=F;I=G}}else{H=0.0;I=0.0}n[i+(w<<2)>>2]=I*+n[m>>2];n[i+(w+1<<2)>>2]=E;n[i+(w+2<<2)>>2]=H;w=w+3|0;if((w|0)>=(p|0))break;else v=v+(s<<2)|0}if(q){s=0;do{v=Ghc(+n[i+(s<<2)>>2])|0;b[a+s>>0]=v>>>0<256?v:(v|0)>0?255:0;v=s+1|0;w=Ghc(+n[i+(v<<2)>>2]*255.0)|0;b[a+v>>0]=w>>>0<256?w:(w|0)>0?255:0;w=s+2|0;v=Ghc(+n[i+(w<<2)>>2]*255.0)|0;b[a+w>>0]=v>>>0<256?v:(v|0)>0?255:0;s=s+3|0}while((s|0)<(p|0));J=r}else J=r}else J=r}else J=o;d=d+256|0;if((d|0)>=(e|0))break;else{a=a+768|0;o=J}}u=g;return}function Fxa(a){a=a|0;fuc(a);return}function Gxa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0.0,s=0,t=0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0;c=u;u=u+16|0;d=c;gV(d,84704);e=f[b>>2]|0;g=f[b+4>>2]|0;a:do if((e|0)<(g|0)){b=f[a+8>>2]|0;h=f[a+16>>2]|0;i=a+24|0;j=f[a+20>>2]|0;k=j*3|0;if((j|0)<=0){j=e;while(1){j=j+1|0;if((j|0)>=(g|0))break a}}j=(f[a+12>>2]|0)+(Y(h,e)|0)|0;l=j;j=(f[a+4>>2]|0)+(Y(b,e)|0)|0;m=e;while(1){o=f[i>>2]|0;p=f[o+4>>2]|0;q=f[o>>2]|0;r=+n[o+8>>2]*2.7777778450399637e-03;o=p^2;s=j;t=0;while(1){v=+n[s+(p<<2)>>2];w=+n[s+4>>2];x=+n[s+(o<<2)>>2];y=x<w?w:x;z=y<v?v:y;y=x>w?w:x;A=z-(y>v?v:y);y=A/(+L(+z)+1.1920928955078125e-07);B=60.0/(A+1.1920928955078125e-07);do if(!(z==x))if(z==w){C=(v-x)*B+120.0;break}else{C=(x-w)*B+240.0;break}else C=(w-v)*B;while(0);n[l+(t<<2)>>2]=r*(C<0.0?C+360.0:C);n[l+(t+1<<2)>>2]=y;n[l+(t+2<<2)>>2]=z;t=t+3|0;if((t|0)>=(k|0))break;else s=s+(q<<2)|0}m=m+1|0;if((m|0)>=(g|0))break;else{l=l+h|0;j=j+b|0}}}while(0);if(!(f[d+4>>2]|0)){u=c;return}u=c;return}function Hxa(a){a=a|0;fuc(a);return}function Ixa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=u;u=u+16|0;d=c;gV(d,84724);e=f[b>>2]|0;g=a+8|0;h=a+16|0;i=b+4|0;if((e|0)<(f[i>>2]|0)){b=(f[a+12>>2]|0)+(Y(f[h>>2]|0,e)|0)|0;j=a+24|0;k=a+20|0;l=b;b=e;m=(f[a+4>>2]|0)+(Y(f[g>>2]|0,e)|0)|0;while(1){Jxa(f[j>>2]|0,m,l,f[k>>2]|0);b=b+1|0;if((b|0)>=(f[i>>2]|0))break;else{l=l+(f[h>>2]|0)|0;m=m+(f[g>>2]|0)|0}}}if(!(f[d+4>>2]|0)){u=c;return}u=c;return}function Jxa(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,i=0,j=0,k=0,l=0,m=0.0,n=0,o=0.0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;g=f[a+4>>2]|0;i=f[a>>2]|0;j=f[a+8>>2]|0;a=(j|0)==180?895400:896424;k=e*3|0;if(!(b[1169298]|0)){f[224106]=0;f[223850]=0;f[224362]=0;l=1;do{m=+(l|0);n=Fhc(1044480.0/m)|0;f[897448+(l<<2)>>2]=n;o=m*6.0;n=Fhc(737280.0/o)|0;f[895400+(l<<2)>>2]=n;n=Fhc(1048576.0/o)|0;f[896424+(l<<2)>>2]=n;l=l+1|0}while((l|0)!=256);b[1169298]=1}if((e|0)<=0)return;e=g^2;l=c;c=0;while(1){n=h[l+g>>0]|0;p=h[l+1>>0]|0;q=h[l+e>>0]|0;r=p-n|0;s=r+256|0;if(s>>>0<769)t=h[270421+s>>0]|0;else t=0;s=t+n|0;u=q-s+256|0;if(u>>>0<769)v=h[270421+u>>0]|0;else v=0;u=v+s|0;s=n-p+256|0;if(s>>>0<769)w=h[270421+s>>0]|0;else w=0;s=n-w|0;x=s-q+256|0;if(x>>>0<769)y=h[270421+x>>0]|0;else y=0;x=y-s+u|0;s=(x>>>0<256?x:(x|0)>0?255:0)&255;x=((Y(s,f[897448+(u<<2)>>2]|0)|0)+2048|0)>>>12;z=(Y((u|0)==(q|0)?r:(u|0)==(p|0)?n-q+(s<<1)|0:q-p+(s<<2)|0,f[a+(s<<2)>>2]|0)|0)+2048>>12;s=((z|0)<0?j:0)+z|0;b[d+c>>0]=s>>>0<256?s:(s|0)>0?255:0;b[d+(c+1)>>0]=x;b[d+(c+2)>>0]=u;c=c+3|0;if((c|0)>=(k|0))break;else l=l+i|0}return}function Kxa(a,b,c,d,e,g,h,i,j,k,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,o=0,p=0,q=0,r=0,s=0;m=u;u=u+64|0;o=m+56|0;p=m+24|0;q=m+16|0;r=m;gV(q,84744);s=(h|0)==5?360:k?255:180;k=j?2:0;j=(h|0)==0;do if(l)if(j){f[r>>2]=i;f[r+4>>2]=k;n[r+8>>2]=6.0/+(s|0);f[o>>2]=0;f[o+4>>2]=g;f[p>>2]=84772;f[p+4>>2]=a;f[p+8>>2]=b;f[p+12>>2]=c;f[p+16>>2]=d;f[p+20>>2]=e;f[p+24>>2]=r;sZ(o,p,+(Y(g,e)|0)*.0000152587890625);break}else{f[r>>2]=i;f[r+4>>2]=k;n[r+8>>2]=6.0/+(s|0);f[o>>2]=0;f[o+4>>2]=g;f[p>>2]=84792;f[p+4>>2]=a;f[p+8>>2]=b;f[p+12>>2]=c;f[p+16>>2]=d;f[p+20>>2]=e;f[p+24>>2]=r;sZ(o,p,+(Y(g,e)|0)*.0000152587890625);break}else if(j){f[r>>2]=i;f[r+4>>2]=3;f[r+8>>2]=k;n[r+12>>2]=6.0/+(s|0);f[o>>2]=0;f[o+4>>2]=g;f[p>>2]=84812;f[p+4>>2]=a;f[p+8>>2]=b;f[p+12>>2]=c;f[p+16>>2]=d;f[p+20>>2]=e;f[p+24>>2]=r;sZ(o,p,+(Y(g,e)|0)*.0000152587890625);break}else{f[r>>2]=i;f[r+4>>2]=k;n[r+8>>2]=6.0/+(s|0);f[o>>2]=0;f[o+4>>2]=g;f[p>>2]=84832;f[p+4>>2]=a;f[p+8>>2]=b;f[p+12>>2]=c;f[p+16>>2]=d;f[p+20>>2]=e;f[p+24>>2]=r;sZ(o,p,+(Y(g,e)|0)*.0000152587890625);break}while(0);if(!(f[q+4>>2]|0)){u=m;return}u=m;return}function Lxa(a){a=a|0;fuc(a);return}function Mxa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;c=u;u=u+16|0;d=c;gV(d,84844);e=f[b>>2]|0;g=a+8|0;h=a+16|0;i=b+4|0;if((e|0)<(f[i>>2]|0)){b=(f[a+12>>2]|0)+(Y(f[h>>2]|0,e)|0)|0;j=a+24|0;k=a+20|0;l=b;b=(f[a+4>>2]|0)+(Y(f[g>>2]|0,e)|0)|0;a=e;while(1){Nxa(f[j>>2]|0,b,l,f[k>>2]|0);a=a+1|0;if((a|0)>=(f[i>>2]|0))break;else{l=l+(f[h>>2]|0)|0;b=b+(f[g>>2]|0)|0}}}if(!(f[d+4>>2]|0)){u=c;return}u=c;return}function Nxa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0.0,r=0.0,s=0.0,t=0.0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0,B=0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0;e=u;u=u+16|0;g=e;h=f[a+4>>2]|0;i=f[a>>2]|0;j=d*3|0;if((d|0)<=0){u=e;return}d=h^2;k=a+8|0;a=g+4|0;l=g+8|0;m=g+12|0;if((i|0)==4){o=0;p=c;while(1){q=+n[b+(o<<2)>>2];r=+n[b+(o+1<<2)>>2];s=+n[b+(o+2<<2)>>2];if(s==0.0){t=r;v=r;w=r}else{if(!(r<=.5))x=r+s-r*s;else x=r*(s+1.0);s=r*2.0-x;r=q*+n[k>>2];if(!(r<0.0))if(!(r>=6.0))y=r;else{q=r;while(1){z=q+-6.0;if(!(z>=6.0)){y=z;break}else q=z}}else{q=r;while(1){z=q+6.0;if(z<0.0)q=z;else{y=z;break}}}A=~~y;B=A-(+(A|0)>y&1)|0;q=y-+(B|0);n[g>>2]=x;n[a>>2]=s;r=x-s;n[l>>2]=s+r*(1.0-q);n[m>>2]=s+r*q;t=+n[g+(f[84864+(B*12|0)+8>>2]<<2)>>2];v=+n[g+(f[84864+(B*12|0)+4>>2]<<2)>>2];w=+n[g+(f[84864+(B*12|0)>>2]<<2)>>2]}n[p+(h<<2)>>2]=w;n[p+4>>2]=v;n[p+(d<<2)>>2]=t;n[p+12>>2]=1.0;o=o+3|0;if((o|0)>=(j|0))break;else p=p+16|0}u=e;return}else{p=0;o=c;while(1){t=+n[b+(p<<2)>>2];v=+n[b+(p+1<<2)>>2];w=+n[b+(p+2<<2)>>2];if(w==0.0){C=v;D=v;E=v}else{if(!(v<=.5))F=v+w-v*w;else F=v*(w+1.0);w=v*2.0-F;v=t*+n[k>>2];if(!(v<0.0))if(!(v>=6.0))G=v;else{t=v;while(1){x=t+-6.0;if(!(x>=6.0)){G=x;break}else t=x}}else{t=v;while(1){s=t+6.0;if(s<0.0)t=s;else{G=s;break}}}c=~~G;B=c-(+(c|0)>G&1)|0;t=G-+(B|0);n[g>>2]=F;n[a>>2]=w;v=F-w;n[l>>2]=w+v*(1.0-t);n[m>>2]=w+v*t;C=+n[g+(f[84864+(B*12|0)+8>>2]<<2)>>2];D=+n[g+(f[84864+(B*12|0)+4>>2]<<2)>>2];E=+n[g+(f[84864+(B*12|0)>>2]<<2)>>2]}n[o+(h<<2)>>2]=E;n[o+4>>2]=D;n[o+(d<<2)>>2]=C;p=p+3|0;if((p|0)>=(j|0))break;else o=o+(i<<2)|0}u=e;return}}function Oxa(a){a=a|0;fuc(a);return}function Pxa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=u;u=u+16|0;d=c;gV(d,84936);e=f[b>>2]|0;g=a+8|0;h=a+16|0;i=b+4|0;if((e|0)<(f[i>>2]|0)){b=(f[a+12>>2]|0)+(Y(f[h>>2]|0,e)|0)|0;j=a+24|0;k=a+20|0;l=b;b=e;m=(f[a+4>>2]|0)+(Y(f[g>>2]|0,e)|0)|0;while(1){Qxa(f[j>>2]|0,m,l,f[k>>2]|0);b=b+1|0;if((b|0)>=(f[i>>2]|0))break;else{l=l+(f[h>>2]|0)|0;m=m+(f[g>>2]|0)|0}}}if(!(f[d+4>>2]|0)){u=c;return}u=c;return}function Qxa(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0;g=u;u=u+3072|0;i=g;j=f[a>>2]|0;if((e|0)<=0){u=g;return}k=a+4|0;a=(j|0)==4;l=d;d=0;m=c;while(1){c=e-d|0;o=(c|0)<256?c:256;p=o*3|0;q=(c|0)>0;if(q){c=0;do{n[i+(c<<2)>>2]=+(h[m+c>>0]|0);r=c+1|0;n[i+(r<<2)>>2]=+(h[m+r>>0]|0)*.003921568859368563;r=c+2|0;n[i+(r<<2)>>2]=+(h[m+r>>0]|0)*.003921568859368563;c=c+3|0}while((c|0)<(p|0));Nxa(k,i,i,o);if(q)if(a){c=0;r=l;while(1){s=Ghc(+n[i+(c<<2)>>2]*255.0)|0;b[r>>0]=s>>>0<256?s:(s|0)>0?255:0;s=Ghc(+n[i+(c+1<<2)>>2]*255.0)|0;b[r+1>>0]=s>>>0<256?s:(s|0)>0?255:0;s=Ghc(+n[i+(c+2<<2)>>2]*255.0)|0;b[r+2>>0]=s>>>0<256?s:(s|0)>0?255:0;b[r+3>>0]=-1;c=c+3|0;s=r+4|0;if((c|0)>=(p|0)){t=s;break}else r=s}}else{r=0;c=l;while(1){q=Ghc(+n[i+(r<<2)>>2]*255.0)|0;b[c>>0]=q>>>0<256?q:(q|0)>0?255:0;q=Ghc(+n[i+(r+1<<2)>>2]*255.0)|0;b[c+1>>0]=q>>>0<256?q:(q|0)>0?255:0;q=Ghc(+n[i+(r+2<<2)>>2]*255.0)|0;b[c+2>>0]=q>>>0<256?q:(q|0)>0?255:0;r=r+3|0;q=c+j|0;if((r|0)>=(p|0)){t=q;break}else c=q}}else t=l}else{Nxa(k,i,i,o);t=l}d=d+256|0;if((d|0)>=(e|0))break;else{l=t;m=m+768|0}}u=g;return}function Rxa(a){a=a|0;fuc(a);return}function Sxa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0.0,J=0.0,K=0.0,L=0.0,M=0,N=0,O=0.0,P=0.0,Q=0.0,R=0.0,S=0.0,T=0.0;c=u;u=u+32|0;d=c+8|0;e=c;gV(e,84956);g=f[b>>2]|0;h=f[b+4>>2]|0;if((g|0)<(h|0)){b=f[a+16>>2]|0;i=(f[a+12>>2]|0)+(Y(b,g)|0)|0;j=f[a+8>>2]|0;k=(f[a+4>>2]|0)+(Y(j,g)|0)|0;l=a+24|0;m=d+4|0;o=d+8|0;p=d+12|0;q=d+4|0;r=d+8|0;s=d+12|0;t=f[a+20>>2]|0;a=t*3|0;v=(t|0)>0;t=i;i=g;g=k;while(1){k=f[l>>2]|0;w=f[k+4>>2]|0;x=f[k>>2]|0;if((x|0)==3){if(v){y=k+8|0;z=w^2;A=0;B=t;while(1){C=g+(A<<2)|0;D=+n[C+4>>2];E=+n[C+8>>2];if(D==0.0){F=E;G=E;H=E}else{I=+n[y>>2]*+n[C>>2];if(!(I<0.0))if(!(I>=6.0))J=I;else{K=I;while(1){L=K+-6.0;if(!(L>=6.0)){J=L;break}else K=L}}else{K=I;while(1){L=K+6.0;if(L<0.0)K=L;else{J=L;break}}}C=~~J;M=C-(+(C|0)>J&1)|0;C=M>>>0>5;K=C?0.0:J-+(M|0);N=C?0:M;n[d>>2]=E;n[m>>2]=E*(1.0-D);n[o>>2]=E*(1.0-D*K);n[p>>2]=E*(1.0-D*(1.0-K));F=+n[d+(f[84976+(N*12|0)+8>>2]<<2)>>2];G=+n[d+(f[84976+(N*12|0)+4>>2]<<2)>>2];H=+n[d+(f[84976+(N*12|0)>>2]<<2)>>2]}n[B+(w<<2)>>2]=H;n[B+4>>2]=G;n[B+(z<<2)>>2]=F;A=A+3|0;if((A|0)>=(a|0))break;else B=B+12|0}}}else if(v){B=k+8|0;A=w^2;z=0;y=t;while(1){N=g+(z<<2)|0;K=+n[N+4>>2];I=+n[N+8>>2];if(K==0.0){O=I;P=I;Q=I}else{L=+n[B>>2]*+n[N>>2];if(!(L<0.0))if(!(L>=6.0))R=L;else{S=L;while(1){T=S+-6.0;if(!(T>=6.0)){R=T;break}else S=T}}else{S=L;while(1){D=S+6.0;if(D<0.0)S=D;else{R=D;break}}}N=~~R;M=N-(+(N|0)>R&1)|0;N=M>>>0>5;S=N?0.0:R-+(M|0);C=N?0:M;n[d>>2]=I;n[q>>2]=I*(1.0-K);n[r>>2]=I*(1.0-K*S);n[s>>2]=I*(1.0-K*(1.0-S));O=+n[d+(f[84976+(C*12|0)+8>>2]<<2)>>2];P=+n[d+(f[84976+(C*12|0)+4>>2]<<2)>>2];Q=+n[d+(f[84976+(C*12|0)>>2]<<2)>>2]}n[y+(w<<2)>>2]=Q;n[y+4>>2]=P;n[y+(A<<2)>>2]=O;n[y+12>>2]=1.0;z=z+3|0;if((z|0)>=(a|0))break;else y=y+(x<<2)|0}}i=i+1|0;if((i|0)>=(h|0))break;else{t=t+b|0;g=g+j|0}}}if(!(f[e+4>>2]|0)){u=c;return}u=c;return}function Txa(a){a=a|0;fuc(a);return}function Uxa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=u;u=u+16|0;d=c;gV(d,85048);e=f[b>>2]|0;g=a+8|0;h=a+16|0;i=b+4|0;if((e|0)<(f[i>>2]|0)){b=(f[a+12>>2]|0)+(Y(f[h>>2]|0,e)|0)|0;j=a+24|0;k=a+20|0;l=b;b=e;m=(f[a+4>>2]|0)+(Y(f[g>>2]|0,e)|0)|0;while(1){Vxa(f[j>>2]|0,m,l,f[k>>2]|0);b=b+1|0;if((b|0)>=(f[i>>2]|0))break;else{l=l+(f[h>>2]|0)|0;m=m+(f[g>>2]|0)|0}}}if(!(f[d+4>>2]|0)){u=c;return}u=c;return}function Vxa(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0.0,A=0.0,B=0.0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0,J=0,K=0;g=u;u=u+48|0;i=g+24|0;j=g;k=f[a>>2]|0;l=e*3|0;if((e|0)<=0){u=g;return}e=j+4|0;m=j+8|0;o=j+12|0;p=a+4|0;q=j+16|0;r=j+20|0;s=(k|0)==4;t=a+8|0;a=i+4|0;v=i+8|0;w=i+12|0;x=0;y=d;while(1){z=+(h[c+x>>0]|0);n[j>>2]=z;A=+(h[c+(x+1)>>0]|0)*.003921568859368563;n[e>>2]=A;B=+(h[c+(x+2)>>0]|0)*.003921568859368563;n[m>>2]=B;d=f[p>>2]|0;if(A==0.0){C=B;D=B;E=B}else{F=+n[t>>2]*z;if(!(F<0.0))if(!(F>=6.0))G=F;else{z=F;while(1){H=z+-6.0;if(!(H>=6.0)){G=H;break}else z=H}}else{z=F;while(1){H=z+6.0;if(H<0.0)z=H;else{G=H;break}}}I=~~G;J=I-(+(I|0)>G&1)|0;I=J>>>0>5;z=I?0.0:G-+(J|0);K=I?0:J;n[i>>2]=B;n[a>>2]=B*(1.0-A);n[v>>2]=B*(1.0-A*z);n[w>>2]=B*(1.0-A*(1.0-z));C=+n[i+(f[84976+(K*12|0)+8>>2]<<2)>>2];D=+n[i+(f[84976+(K*12|0)+4>>2]<<2)>>2];E=+n[i+(f[84976+(K*12|0)>>2]<<2)>>2]}n[o+(d<<2)>>2]=E;n[q>>2]=D;n[o+((d^2)<<2)>>2]=C;K=Ghc(+n[o>>2]*255.0)|0;b[y>>0]=K>>>0<256?K:(K|0)>0?255:0;K=Ghc(+n[q>>2]*255.0)|0;b[y+1>>0]=K>>>0<256?K:(K|0)>0?255:0;K=Ghc(+n[r>>2]*255.0)|0;b[y+2>>0]=K>>>0<256?K:(K|0)>0?255:0;if(s)b[y+3>>0]=-1;x=x+3|0;if((x|0)>=(l|0))break;else y=y+k|0}u=g;return}function Wxa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0;e=u;u=u+128|0;g=e;Eua(g,a,b,3);zxa(f[g+16>>2]|0,f[g+48>>2]|0,f[g+72>>2]|0,f[g+104>>2]|0,f[g+12>>2]|0,f[g+8>>2]|0,f[g+112>>2]|0,f[g+116>>2]|0,c,d,0);Fua(g);u=e;return}function Xxa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0;e=u;u=u+128|0;g=e;Eua(g,a,b,3);zxa(f[g+16>>2]|0,f[g+48>>2]|0,f[g+72>>2]|0,f[g+104>>2]|0,f[g+12>>2]|0,f[g+8>>2]|0,f[g+112>>2]|0,f[g+116>>2]|0,c,d,1);Fua(g);u=e;return}function Yxa(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0;g=u;u=u+128|0;h=g;i=(c|0)<1?3:c;Iua(h,a,b,i);Kxa(f[h+16>>2]|0,f[h+48>>2]|0,f[h+72>>2]|0,f[h+104>>2]|0,f[h+12>>2]|0,f[h+8>>2]|0,f[h+112>>2]|0,i,d,e,0);Jua(h);u=g;return}function Zxa(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0;g=u;u=u+128|0;h=g;i=(c|0)<1?3:c;Iua(h,a,b,i);Kxa(f[h+16>>2]|0,f[h+48>>2]|0,f[h+72>>2]|0,f[h+104>>2]|0,f[h+12>>2]|0,f[h+8>>2]|0,f[h+112>>2]|0,i,d,e,1);Jua(h);u=g;return}function _xa(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=85076;b=f[a+352>>2]|0;if(b|0)Xtc(b);VH(a+300|0);VH(a+252|0);VH(a+204|0);VH(a+156|0);b=a+100|0;c=a+136|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+116|0;b=a+104|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+140>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+144>>2]|0;if((b|0)!=(a+148|0))TC(b);b=a+44|0;d=a+80|0;c=f[d>>2]|0;if(c|0?(e=c+12|0,c=f[e>>2]|0,f[e>>2]=c+-1,(c|0)==1):0)aU(b);f[d>>2]=0;d=a+60|0;b=a+48|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[b>>2]|0)>0){d=f[a+84>>2]|0;c=0;do{f[d+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[b>>2]|0))}b=f[a+88>>2]|0;if((b|0)==(a+92|0))return;TC(b);return}function $xa(a){a=a|0;_xa(a);fuc(a);return}function aya(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;f[a+8>>2]=f[c>>2];f[a+12>>2]=f[c+4>>2];c=a+24|0;b=a+348|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;c=f[b>>2]|0;if(!c){d=cuc(24)|0;f[d+4>>2]=0;f[d+8>>2]=0;f[d>>2]=85156;e=d+12|0;f[e>>2]=0;f[d+16>>2]=0;f[d+20>>2]=0;Wtc(d);f[b>>2]=e;e=a+352|0;a=f[e>>2]|0;f[e>>2]=d;if(a|0)Xtc(a);Xtc(d);return 1}else{d=f[c>>2]|0;a=c+4|0;c=f[a>>2]|0;if((c|0)==(d|0))return 1;f[a>>2]=c+(~(((c+-20-d|0)>>>0)/20|0)*20|0);return 1}return 0}function bya(a,b){a=a|0;b=b|0;f[a>>2]=0;f[a+4>>2]=0;return}function cya(a){a=a|0;return -1}function dya(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0.0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0;e=u;u=u+224|0;g=e+176|0;h=e+168|0;i=e+152|0;j=e+160|0;k=e+144|0;l=e+80|0;m=e+136|0;o=e+16|0;p=e;q=e+72|0;gV(h,85128);oJ(i,c,-1);f[j>>2]=f[i>>2];f[j+4>>2]=f[i+4>>2];i=mya(a,j,d)|0;d=a+348|0;j=f[d>>2]|0;r=f[j+4>>2]|0;s=f[j>>2]|0;t=r-s|0;v=(t|0)/20|0;if(!t)w=0;else{if((r|0)==(s|0))osc(j);j=s;s=f[j+8>>2]|0;r=a+100|0;t=a+112|0;x=(f[j+4>>2]|0)+15&-16;j=f[t>>2]|0;y=(j|0)<(x|0)?x:j;j=a+108|0;x=f[j>>2]|0;z=(x|0)<(s|0)?s:x;f[k>>2]=z;if(i){bi[f[(f[a>>2]|0)+48>>2]&2047](a);nya(f[d>>2]|0,a+300|0)}do if((qJ(c)|0)==655360?(Y(f[a+28>>2]|0,f[a+24>>2]|0)|0)>0:0){i=a+204|0;x=Y(f[a+40>>2]|0,f[a+20>>2]|0)|0;s=f[a+16>>2]|0;if(!(((((f[a+208>>2]|0)<3?(f[a+212>>2]|0)==(x|0):0)?(f[a+216>>2]|0)==(s|0):0)?(f[i>>2]&4095|0)==4:0)?(f[a+228>>2]|0)!=0:0)){f[g>>2]=x;f[g+4>>2]=s;SH(i,2,g,4,0)}i=a+156|0;if(!(((((f[a+160>>2]|0)<3?(f[a+164>>2]|0)==(z|0):0)?(f[a+168>>2]|0)==(y|0):0)?(f[i>>2]&4095|0)==0:0)?(f[a+180>>2]|0)!=0:0)){f[g>>2]=z;f[g+4>>2]=y;SH(i,2,g,0,0)}s=l+4|0;x=l+8|0;A=l+12|0;B=l+8|0;C=l+4|0;D=g+32|0;E=m+4|0;F=l+8|0;G=l+12|0;H=l+4|0;I=0;while(1){J=f[d>>2]|0;K=f[J>>2]|0;if((((f[J+4>>2]|0)-K|0)/20|0)>>>0<=I>>>0){L=22;break}M=K;K=(f[M+(I*20|0)+4>>2]|0)+-1|0;N=(f[M+(I*20|0)+8>>2]|0)+-1|0;f[l>>2]=0;f[s>>2]=0;f[x>>2]=K;f[A>>2]=N;RH(g,i,l);N=B;f[N>>2]=0;f[N+4>>2]=0;f[l>>2]=34209792;f[C>>2]=g;N=f[D>>2]|0;K=f[N>>2]|0;f[m>>2]=f[N+4>>2];f[E>>2]=K;O=1.0/+n[M+(I*20|0)>>2];Tea(c,l,m,O,O,5);M=f[(f[a>>2]|0)+44>>2]|0;f[F>>2]=0;f[G>>2]=0;f[l>>2]=17432576;f[H>>2]=g;Zh[M&511](a,I,l);VH(g);I=I+1|0;if(I>>>0>=v>>>0){L=24;break}}if((L|0)==22)osc(J);else if((L|0)==24){f[a+4>>2]=2;break}}else L=25;while(0);do if((L|0)==25){do if((qJ(c)|0)==65536){J=f[c+4>>2]|0;f[l>>2]=f[J>>2];m=l+4|0;z=J+4|0;f[m>>2]=f[z>>2];I=l+8|0;f[I>>2]=f[J+8>>2];f[l+12>>2]=f[J+12>>2];f[l+16>>2]=f[J+16>>2];f[l+20>>2]=f[J+20>>2];f[l+24>>2]=f[J+24>>2];f[l+28>>2]=f[J+28>>2];f[l+32>>2]=f[J+32>>2];H=f[J+36>>2]|0;f[l+36>>2]=H;f[l+40>>2]=I;I=l+48|0;G=l+44|0;f[G>>2]=I;f[I>>2]=0;f[l+52>>2]=0;if(H|0){I=H+12|0;f[I>>2]=(f[I>>2]|0)+1}if((f[z>>2]|0)<3){z=f[J+44>>2]|0;I=f[G>>2]|0;f[I>>2]=f[z>>2];f[I+4>>2]=f[z+4>>2];break}else{f[m>>2]=0;$T(l,J);break}}else nJ(l,c,-1);while(0);J=a+44|0;m=Y(f[a+40>>2]|0,f[a+20>>2]|0)|0;z=f[a+16>>2]|0;if(!(((((f[a+48>>2]|0)<3?(f[a+52>>2]|0)==(m|0):0)?(f[a+56>>2]|0)==(z|0):0)?(f[J>>2]&4095|0)==4:0)?(f[a+60>>2]|0)!=0:0)){f[g>>2]=m;f[g+4>>2]=z;ZT(J,2,g,4)}J=f[k>>2]|0;if(!(((((f[a+104>>2]|0)<3?(f[j>>2]|0)==(J|0):0)?(f[t>>2]|0)==(y|0):0)?(f[r>>2]&4095|0)==0:0)?(f[a+116>>2]|0)!=0:0)){f[g>>2]=J;f[g+4>>2]=y;ZT(r,2,g,0)}J=a+116|0;z=o+4|0;m=o+8|0;I=o+12|0;G=o+16|0;H=o+20|0;F=o+24|0;E=o+40|0;D=o+48|0;C=o+44|0;B=o+52|0;i=o+28|0;A=g+8|0;x=g+12|0;s=g+4|0;M=p+8|0;K=p+4|0;N=q+4|0;P=g+8|0;Q=g+12|0;R=g+4|0;S=o+36|0;T=0;while(1){U=f[d>>2]|0;V=f[U>>2]|0;if((((f[U+4>>2]|0)-V|0)/20|0)>>>0<=T>>>0){L=46;break}W=V;V=(f[W+(T*20|0)+8>>2]|0)+-1|0;X=f[W+(T*20|0)+4>>2]|0;Z=X+-1|0;_=f[J>>2]|0;f[o>>2]=1124007936;f[z>>2]=2;f[m>>2]=V;f[I>>2]=Z;f[G>>2]=_;f[H>>2]=_;f[F>>2]=0;f[F+4>>2]=0;f[F+8>>2]=0;f[F+12>>2]=0;f[E>>2]=m;f[C>>2]=D;f[B>>2]=0;f[D>>2]=0;$=Y(Z,V)|0;if((_|0)==0&($|0)!=0){L=48;break}f[D>>2]=Z;f[B>>2]=1;V=_+$|0;f[i>>2]=V;f[F>>2]=V+(1-X)+Z;YT(o);f[A>>2]=0;f[x>>2]=0;f[g>>2]=16842752;f[s>>2]=l;Z=M;f[Z>>2]=0;f[Z+4>>2]=0;f[p>>2]=33619968;f[K>>2]=o;Z=f[E>>2]|0;X=f[Z>>2]|0;f[q>>2]=f[Z+4>>2];f[N>>2]=X;O=1.0/+n[W+(T*20|0)>>2];Tea(g,p,q,O,O,5);W=f[(f[a>>2]|0)+44>>2]|0;f[P>>2]=0;f[Q>>2]=0;f[g>>2]=16842752;f[R>>2]=o;Zh[W&511](a,T,g);W=f[S>>2]|0;if(W|0?(X=W+12|0,W=f[X>>2]|0,f[X>>2]=W+-1,(W|0)==1):0)aU(o);f[S>>2]=0;f[G>>2]=0;f[G+4>>2]=0;f[G+8>>2]=0;f[G+12>>2]=0;if((f[z>>2]|0)>0){W=f[E>>2]|0;X=0;do{f[W+(X<<2)>>2]=0;X=X+1|0}while((X|0)<(f[z>>2]|0))}X=f[C>>2]|0;if((X|0)!=(D|0))TC(X);T=T+1|0;if(T>>>0>=v>>>0){L=58;break}}if((L|0)==46)osc(U);else if((L|0)==48){T=cuc(32)|0;f[g>>2]=T;f[g+8>>2]=-2147483616;f[g+4>>2]=28;D=T;C=466324;z=D+28|0;do{b[D>>0]=b[C>>0]|0;D=D+1|0;C=C+1|0}while((D|0)<(z|0));b[T+28>>0]=0;WD(-215,g,466353,466357,548)}else if((L|0)==58){f[a+4>>2]=1;C=l+36|0;D=f[C>>2]|0;if(D|0?(z=D+12|0,D=f[z>>2]|0,f[z>>2]=D+-1,(D|0)==1):0)aU(l);f[C>>2]=0;C=l+16|0;D=l+4|0;f[C>>2]=0;f[C+4>>2]=0;f[C+8>>2]=0;f[C+12>>2]=0;if((f[D>>2]|0)>0){C=f[l+40>>2]|0;z=0;do{f[C+(z<<2)>>2]=0;z=z+1|0}while((z|0)<(f[D>>2]|0))}D=f[l+44>>2]|0;if((D|0)!=(l+48|0))TC(D);break}}while(0);w=1}if(!(f[h+4>>2]|0)){u=e;return w|0}u=e;return w|0}function eya(a,b,c){a=a|0;b=b|0;c=c|0;return 1}function fya(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;c=u;u=u+16|0;d=c;e=a+4|0;if(!(f[e>>2]&2)){g=d+8|0;f[g>>2]=0;f[g+4>>2]=0;f[d>>2]=34209792;f[d+4>>2]=a+204;EI(a+44|0,d);f[e>>2]=f[e>>2]|2}e=f[b>>2]|0;d=b+4|0;g=f[d>>2]|0;if((g|0)!=(e|0)){h=g;do{g=h+-48|0;f[d>>2]=g;VH(g);h=f[d>>2]|0}while((h|0)!=(e|0))}h=a+300|0;g=b+8|0;if((e|0)==(f[g>>2]|0)){lya(b,h);i=f[d>>2]|0}else{f[e>>2]=f[h>>2];j=e+4|0;k=a+304|0;f[j>>2]=f[k>>2];l=e+8|0;f[l>>2]=f[a+308>>2];f[e+12>>2]=f[a+312>>2];f[e+16>>2]=f[a+316>>2];f[e+20>>2]=f[a+320>>2];m=f[a+324>>2]|0;f[e+24>>2]=m;f[e+28>>2]=f[a+328>>2];f[e+32>>2]=l;l=e+40|0;n=e+36|0;f[n>>2]=l;f[e+44>>2]=0;f[l>>2]=0;if(m|0){l=m+8|0;f[l>>2]=(f[l>>2]|0)+1}if((f[k>>2]|0)<3){k=f[a+336>>2]|0;l=f[n>>2]|0;f[l>>2]=f[k>>2];f[l+4>>2]=f[k+4>>2]}else{f[j>>2]=0;UH(e,h)}h=(f[d>>2]|0)+48|0;f[d>>2]=h;i=h}h=a+204|0;if((i|0)==(f[g>>2]|0)){lya(b,h);o=f[d>>2]|0}else{f[i>>2]=f[h>>2];e=i+4|0;j=a+208|0;f[e>>2]=f[j>>2];k=i+8|0;f[k>>2]=f[a+212>>2];f[i+12>>2]=f[a+216>>2];f[i+16>>2]=f[a+220>>2];f[i+20>>2]=f[a+224>>2];l=f[a+228>>2]|0;f[i+24>>2]=l;f[i+28>>2]=f[a+232>>2];f[i+32>>2]=k;k=i+40|0;n=i+36|0;f[n>>2]=k;f[i+44>>2]=0;f[k>>2]=0;if(l|0){k=l+8|0;f[k>>2]=(f[k>>2]|0)+1}if((f[j>>2]|0)<3){j=f[a+240>>2]|0;k=f[n>>2]|0;f[k>>2]=f[j>>2];f[k+4>>2]=f[j+4>>2]}else{f[e>>2]=0;UH(i,h)}h=(f[d>>2]|0)+48|0;f[d>>2]=h;o=h}h=a+252|0;if((o|0)==(f[g>>2]|0)){lya(b,h);u=c;return}f[o>>2]=f[h>>2];b=o+4|0;g=a+256|0;f[b>>2]=f[g>>2];i=o+8|0;f[i>>2]=f[a+260>>2];f[o+12>>2]=f[a+264>>2];f[o+16>>2]=f[a+268>>2];f[o+20>>2]=f[a+272>>2];e=f[a+276>>2]|0;f[o+24>>2]=e;f[o+28>>2]=f[a+280>>2];f[o+32>>2]=i;i=o+40|0;j=o+36|0;f[j>>2]=i;f[o+44>>2]=0;f[i>>2]=0;if(e|0){i=e+8|0;f[i>>2]=(f[i>>2]|0)+1}if((f[g>>2]|0)<3){g=f[a+288>>2]|0;a=f[j>>2]|0;f[a>>2]=f[g>>2];f[a+4>>2]=f[g+4>>2]}else{f[b>>2]=0;UH(o,h)}f[d>>2]=(f[d>>2]|0)+48;u=c;return}function gya(a){a=a|0;var b=0,c=0,d=0,e=0;b=u;u=u+16|0;c=b;d=a+4|0;if(f[d>>2]&1|0){u=b;return}e=c+8|0;f[e>>2]=0;f[e+4>>2]=0;f[c>>2]=33619968;f[c+4>>2]=a+44;aI(a+204|0,c);f[d>>2]=f[d>>2]|1;u=b;return}function hya(a,b){a=a|0;b=b|0;return 0.0}function iya(a,b){a=a|0;b=b|0;return 0}function jya(a,b,c){a=a|0;b=b|0;c=c|0;return}function kya(a){a=a|0;return}function lya(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;c=a+4|0;d=f[a>>2]|0;e=((f[c>>2]|0)-d|0)/48|0;g=e+1|0;if(g>>>0>89478485)nsc(a);h=a+8|0;i=((f[h>>2]|0)-d|0)/48|0;d=i<<1;j=i>>>0<44739242?(d>>>0<g>>>0?g:d):89478485;do if(j)if(j>>>0>89478485){d=ze(8)|0;kuc(d,519086);f[d>>2]=167148;Hf(d|0,26888,1888)}else{k=cuc(j*48|0)|0;break}else k=0;while(0);d=k+(e*48|0)|0;g=d;i=k+(j*48|0)|0;f[d>>2]=f[b>>2];j=k+(e*48|0)+4|0;l=b+4|0;m=f[l>>2]|0;f[j>>2]=m;n=k+(e*48|0)+8|0;f[n>>2]=f[b+8>>2];f[k+(e*48|0)+12>>2]=f[b+12>>2];f[k+(e*48|0)+16>>2]=f[b+16>>2];f[k+(e*48|0)+20>>2]=f[b+20>>2];o=f[b+24>>2]|0;f[k+(e*48|0)+24>>2]=o;f[k+(e*48|0)+28>>2]=f[b+28>>2];f[k+(e*48|0)+32>>2]=n;n=k+(e*48|0)+40|0;p=k+(e*48|0)+36|0;f[p>>2]=n;f[k+(e*48|0)+44>>2]=0;f[n>>2]=0;if(!o)q=m;else{m=o+8|0;f[m>>2]=(f[m>>2]|0)+1;q=f[l>>2]|0}if((q|0)<3){q=f[b+36>>2]|0;l=f[p>>2]|0;f[l>>2]=f[q>>2];f[l+4>>2]=f[q+4>>2]}else{f[j>>2]=0;UH(d,b)}b=d+48|0;j=f[a>>2]|0;q=f[c>>2]|0;if((q|0)==(j|0)){r=g;s=j;t=j}else{l=q;q=g;g=d;do{d=g+-48|0;p=l;l=l+-48|0;f[d>>2]=f[l>>2];m=g+-44|0;o=p+-44|0;f[m>>2]=f[o>>2];n=g+-40|0;f[n>>2]=f[p+-40>>2];f[g+-36>>2]=f[p+-36>>2];f[g+-32>>2]=f[p+-32>>2];f[g+-28>>2]=f[p+-28>>2];e=f[p+-24>>2]|0;f[g+-24>>2]=e;f[g+-20>>2]=f[p+-20>>2];f[g+-16>>2]=n;n=g+-8|0;k=g+-12|0;f[k>>2]=n;f[g+-4>>2]=0;f[n>>2]=0;if(e|0){n=e+8|0;f[n>>2]=(f[n>>2]|0)+1}if((f[o>>2]|0)<3){o=f[p+-12>>2]|0;p=f[k>>2]|0;f[p>>2]=f[o>>2];f[p+4>>2]=f[o+4>>2]}else{f[m>>2]=0;UH(d,l)}g=q+-48|0;q=g}while((l|0)!=(j|0));r=q;s=f[a>>2]|0;t=f[c>>2]|0}f[a>>2]=r;f[c>>2]=b;f[h>>2]=i;i=s;if((t|0)!=(i|0)){h=t;do{h=h+-48|0;VH(h)}while((h|0)!=(i|0))}if(!s)return;fuc(s);return}function mya(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0.0,D=0,E=0,F=0.0,G=0,H=0,I=0,J=0,K=0;d=a+348|0;e=f[d>>2]|0;if(!e){g=cuc(24)|0;f[g+4>>2]=0;f[g+8>>2]=0;f[g>>2]=85156;h=g+12|0;f[h>>2]=0;f[g+16>>2]=0;f[g+20>>2]=0;Wtc(g);f[d>>2]=h;h=a+352|0;i=f[h>>2]|0;f[h>>2]=g;if(i|0)Xtc(i);Xtc(g);j=f[d>>2]|0}else j=e;e=f[c>>2]|0;g=(f[c+4>>2]|0)-e>>2;i=j+4|0;h=f[i>>2]|0;k=f[j>>2]|0;l=(h-k|0)/20|0;m=k;k=h;h=e;if(g>>>0<=l>>>0)if(g>>>0<l>>>0?(e=m+(g*20|0)|0,(k|0)!=(e|0)):0){f[i>>2]=k+(~(((k+-20-e|0)>>>0)/20|0)*20|0);o=h}else o=h;else{oya(j,g-l|0);o=f[c>>2]|0}j=a+16|0;h=f[j>>2]|0;e=a+20|0;a=f[e>>2]|0;k=(Ghc(+(f[b>>2]|0)/+n[o>>2])|0)+62&-32;o=(h|0)<(k|0);f[j>>2]=o?k:h;h=(g|0)!=(l|0)|o;if(!g){p=h;q=0;r=0;s=a;t=q+r|0;u=(s|0)<(t|0);v=u?t:s;f[e>>2]=v;w=(v|0)!=(a|0);x=p|w;return x|0}o=f[d>>2]|0;d=f[o>>2]|0;l=((f[o+4>>2]|0)-d|0)/20|0;k=d;d=f[c>>2]|0;c=b+4|0;i=h;h=0;m=0;y=0;z=0;while(1){if(l>>>0<=m>>>0){A=13;break}B=k+(m*20|0)|0;if(!i){C=+n[d+(m<<2)>>2];if(+L(+(+n[B>>2]-C))>C*1.1920928955078125e-05){D=1;E=B;F=C}else{D=0;E=B;F=C}}else{D=1;E=B;F=+n[d+(m<<2)>>2]}B=Ghc(+(f[b>>2]|0)/F)|0;G=Ghc(+(f[c>>2]|0)/F)|0;f[k+(m*20|0)+16>>2]=F>=2.0?1:2;n[E>>2]=F;H=B+1|0;B=G+1|0;f[k+(m*20|0)+4>>2]=H;f[k+(m*20|0)+8>>2]=B;G=(m|0)==0?B:h;I=f[j>>2]|0;J=(H+y|0)>(I|0);K=J?0:y;z=(J?G:0)+z|0;h=J?B:G;G=(Y(z,I)|0)+K|0;f[k+(m*20|0)+12>>2]=G;m=m+1|0;if(m>>>0>=g>>>0)break;else{i=D;y=K+H|0}}if((A|0)==13)osc(o);p=D;q=h;r=z;s=f[e>>2]|0;t=q+r|0;u=(s|0)<(t|0);v=u?t:s;f[e>>2]=v;w=(v|0)!=(a|0);x=p|w;return x|0}function nya(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;d=u;u=u+80|0;e=d+56|0;g=d;h=f[a>>2]|0;i=a+4|0;j=f[i>>2]|0;if((h|0)==(j|0)){k=c+24|0;l=f[k>>2]|0;if(l|0?(m=l+8|0,l=f[m>>2]|0,f[m>>2]=l+-1,(l|0)==1):0)WH(c);l=c+4|0;if((f[l>>2]|0)>0){m=f[c+32>>2]|0;n=0;do{f[m+(n<<2)>>2]=0;n=n+1|0}while((n|0)<(f[l>>2]|0))}f[k>>2]=0;o=f[a>>2]|0;p=f[i>>2]|0}else{o=h;p=j}j=p-o|0;p=o;f[g>>2]=1124007936;h=g+4|0;f[h>>2]=2;i=g+8|0;f[i>>2]=1;f[g+12>>2]=j;a=g+16|0;f[a>>2]=p;f[g+20>>2]=p;k=g+24|0;l=g+40|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;f[l>>2]=i;i=g+48|0;n=g+44|0;f[n>>2]=i;m=g+52|0;f[m>>2]=0;f[i>>2]=0;if((o|0)==0&(j|0)!=0){o=cuc(32)|0;f[e>>2]=o;f[e+8>>2]=-2147483616;f[e+4>>2]=28;q=o;r=466324;s=q+28|0;do{b[q>>0]=b[r>>0]|0;q=q+1|0;r=r+1|0}while((q|0)<(s|0));b[o+28>>0]=0;WD(-215,e,466353,466357,548)}f[i>>2]=j;f[m>>2]=1;m=p+j|0;f[g+28>>2]=m;f[k>>2]=m+(0-j)+j;YT(g);j=e+8|0;f[j>>2]=0;f[j+4>>2]=0;f[e>>2]=34209792;f[e+4>>2]=c;EI(g,e);e=g+36|0;c=f[e>>2]|0;if(c|0?(j=c+12|0,c=f[j>>2]|0,f[j>>2]=c+-1,(c|0)==1):0)aU(g);f[e>>2]=0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;if((f[h>>2]|0)>0){a=f[l>>2]|0;l=0;do{f[a+(l<<2)>>2]=0;l=l+1|0}while((l|0)<(f[h>>2]|0))}h=f[n>>2]|0;if((h|0)==(i|0)){u=d;return}TC(h);u=d;return}function oya(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(((d-g|0)/20|0)>>>0>=b>>>0){h=b;i=g;do{f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;f[i+16>>2]=0;i=(f[e>>2]|0)+20|0;f[e>>2]=i;h=h+-1|0}while((h|0)!=0);return}h=f[a>>2]|0;i=(g-h|0)/20|0;g=i+b|0;if(g>>>0>214748364)nsc(a);j=(d-h|0)/20|0;h=j<<1;d=j>>>0<107374182?(h>>>0<g>>>0?g:h):214748364;do if(d)if(d>>>0>214748364){h=ze(8)|0;kuc(h,519086);f[h>>2]=167148;Hf(h|0,26888,1888)}else{k=cuc(d*20|0)|0;break}else k=0;while(0);h=k+(i*20|0)|0;i=h;g=k+(d*20|0)|0;d=b;b=h;k=i;do{f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;f[b+16>>2]=0;b=k+20|0;k=b;d=d+-1|0}while((d|0)!=0);d=g;g=f[a>>2]|0;b=f[e>>2]|0;if((b|0)==(g|0)){l=i;m=g}else{j=b;b=i;i=h;do{h=j;j=j+-20|0;f[i+-20>>2]=f[j>>2];f[i+-16>>2]=f[h+-16>>2];f[i+-12>>2]=f[h+-12>>2];n=h+-8|0;h=f[n+4>>2]|0;o=i+-8|0;f[o>>2]=f[n>>2];f[o+4>>2]=h;i=b+-20|0;b=i}while((j|0)!=(g|0));l=b;m=f[a>>2]|0}f[a>>2]=l;f[e>>2]=k;f[c>>2]=d;if(!m)return;fuc(m);return}function pya(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=85156;b=f[a+12>>2]|0;if(!b){Qtc(a);return}c=a+16|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~(((d+-20-b|0)>>>0)/20|0)*20|0);fuc(b);Qtc(a);return}function qya(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=85156;b=f[a+12>>2]|0;if(!b){Qtc(a);fuc(a);return}c=a+16|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~(((d+-20-b|0)>>>0)/20|0)*20|0);fuc(b);Qtc(a);fuc(a);return}function rya(a){a=a|0;var b=0,c=0;b=f[a+12>>2]|0;if(!b)return;c=a+16|0;a=f[c>>2]|0;if((a|0)!=(b|0))f[c>>2]=a+(~(((a+-20-b|0)>>>0)/20|0)*20|0);fuc(b);return}function sya(a){a=a|0;fuc(a);return}function tya(a){a=a|0;var b=0;f[a>>2]=85184;b=f[a+376>>2]|0;if(b|0)Xtc(b);b=f[a+368>>2]|0;if(b|0)Xtc(b);b=f[a+360>>2]|0;if(!b){_xa(a);return}Xtc(b);_xa(a);return}function uya(a){a=a|0;var b=0;f[a>>2]=85184;b=f[a+376>>2]|0;if(b|0)Xtc(b);b=f[a+368>>2]|0;if(b|0)Xtc(b);b=f[a+360>>2]|0;if(!b){_xa(a);fuc(a);return}Xtc(b);_xa(a);fuc(a);return}function vya(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;e=u;u=u+64|0;g=e+8|0;h=e;i=f[d+4>>2]|0;j=a+8|0;f[j>>2]=f[d>>2];d=a+12|0;f[d>>2]=i;i=a+24|0;k=a+348|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;l=f[k>>2]|0;if(l){m=f[l>>2]|0;n=l+4|0;l=f[n>>2]|0;if((l|0)!=(m|0))f[n>>2]=l+(~(((l+-20-m|0)>>>0)/20|0)*20|0)}else{m=cuc(24)|0;f[m+4>>2]=0;f[m+8>>2]=0;f[m>>2]=85156;l=m+12|0;f[l>>2]=0;f[m+16>>2]=0;f[m+20>>2]=0;Wtc(m);f[k>>2]=l;l=a+352|0;k=f[l>>2]|0;f[l>>2]=m;if(k|0)Xtc(k);Xtc(m)}m=WM(c)|0;if(!m){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;b[g+11>>0]=5;b[g>>0]=b[375184]|0;b[g+1>>0]=b[375185]|0;b[g+2>>0]=b[375186]|0;b[g+3>>0]=b[375187]|0;b[g+4>>0]=b[375188]|0;b[g+5>>0]=0;WD(-215,g,387641,374668,585)}k=a+356|0;if(!(f[k>>2]|0)){l=cuc(24)|0;f[l+4>>2]=0;f[l+8>>2]=0;f[l>>2]=85312;n=l+12|0;f[n>>2]=0;f[l+16>>2]=0;f[l+20>>2]=0;Wtc(l);f[k>>2]=n;n=a+360|0;o=f[n>>2]|0;f[n>>2]=l;if(o|0)Xtc(o);Xtc(l)}l=a+364|0;if(!(f[l>>2]|0)){o=cuc(24)|0;f[o+4>>2]=0;f[o+8>>2]=0;f[o>>2]=85340;n=o+12|0;f[n>>2]=0;f[o+16>>2]=0;f[o+20>>2]=0;Wtc(o);f[l>>2]=n;n=a+368|0;l=f[n>>2]|0;f[n>>2]=o;if(l|0)Xtc(l);Xtc(o)}o=a+372|0;if(!(f[o>>2]|0)){l=cuc(24)|0;f[l+4>>2]=0;f[l+8>>2]=0;f[l>>2]=85340;n=l+12|0;f[n>>2]=0;f[l+16>>2]=0;f[l+20>>2]=0;Wtc(l);f[o>>2]=n;n=a+376|0;o=f[n>>2]|0;f[n>>2]=l;if(o|0)Xtc(o);Xtc(l)}l=f[k>>2]|0;o=l+4|0;n=f[o>>2]|0;p=f[l>>2]|0;q=n-p>>6;r=p;p=n;if(m>>>0<=q>>>0){if(m>>>0<q>>>0?(n=r+(m<<6)|0,(p|0)!=(n|0)):0)f[o>>2]=p+(~((p+-64-n|0)>>>6)<<6)}else Mya(l,m-q|0);VM(g,f[c>>2]|0,f[c+4>>2]|0,0);c=a+380|0;b[c>>0]=0;q=f[k>>2]|0;f[a+16>>2]=0;f[a+20>>2]=0;k=a+252|0;l=a+276|0;n=f[l>>2]|0;if(n|0?(p=n+8|0,n=f[p>>2]|0,f[p>>2]=n+-1,(n|0)==1):0)WH(k);k=a+256|0;if((f[k>>2]|0)>0){n=f[a+284>>2]|0;p=0;do{f[n+(p<<2)>>2]=0;p=p+1|0}while((p|0)<(f[k>>2]|0))}f[l>>2]=0;l=g+20|0;k=h+4|0;p=0;do{n=(f[q>>2]|0)+(p<<6)|0;o=f[l>>2]|0;f[h>>2]=f[g>>2];f[k>>2]=o;Nya(n,h)|0;if(b[(f[q>>2]|0)+(p<<6)>>0]|0)b[c>>0]=1;p=p+1|0;XM(g)|0}while((p|0)!=(m|0));f[a+40>>2]=b[c>>0]|0?3:2;c=(f[j>>2]|0)+-2|0;j=(f[d>>2]|0)+-2|0;f[a+408>>2]=1;f[a+412>>2]=1;f[a+416>>2]=c;f[a+420>>2]=j;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;u=e;return 1}function wya(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0;d=cuc(448)|0;f[d+4>>2]=0;f[d+8>>2]=0;f[d>>2]=85284;e=d+12|0;g=d+20|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;f[d+56>>2]=1124007936;g=d+64|0;h=d+96|0;i=d+60|0;j=i+36|0;do{f[i>>2]=0;i=i+4|0}while((i|0)<(j|0));f[h>>2]=g;g=d+104|0;f[d+100>>2]=g;f[g>>2]=0;f[d+108>>2]=0;f[d+112>>2]=1124007936;g=d+120|0;h=d+152|0;i=d+116|0;j=i+36|0;do{f[i>>2]=0;i=i+4|0}while((i|0)<(j|0));f[h>>2]=g;g=d+160|0;f[d+156>>2]=g;f[g>>2]=0;f[d+164>>2]=0;f[d+168>>2]=1124007936;g=d+172|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;f[g+16>>2]=0;f[g+20>>2]=0;f[g+24>>2]=0;f[d+200>>2]=d+176;g=d+208|0;f[d+204>>2]=g;f[d+212>>2]=0;f[g>>2]=0;f[d+216>>2]=1124007936;g=d+220|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;f[g+16>>2]=0;f[g+20>>2]=0;f[g+24>>2]=0;f[d+248>>2]=d+224;g=d+256|0;f[d+252>>2]=g;f[d+260>>2]=0;f[g>>2]=0;f[d+264>>2]=1124007936;g=d+268|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;f[g+16>>2]=0;f[g+20>>2]=0;f[g+24>>2]=0;f[d+296>>2]=d+272;g=d+304|0;f[d+300>>2]=g;f[d+308>>2]=0;f[g>>2]=0;f[d+312>>2]=1124007936;g=d+316|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;f[g+16>>2]=0;f[g+20>>2]=0;f[g+24>>2]=0;f[d+344>>2]=d+320;g=d+352|0;f[d+348>>2]=g;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;f[e>>2]=85184;g=d+368|0;h=d+36|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;f[g+16>>2]=0;f[g+20>>2]=0;i=d+404|0;j=i+40|0;do{f[i>>2]=0;i=i+4|0}while((i|0)<(j|0));f[h>>2]=4;f[d+40>>2]=2;f[d+44>>2]=0;f[d+48>>2]=0;f[d+52>>2]=0;f[d+396>>2]=0;f[d+400>>2]=0;n[d+444>>2]=0.0;b[d+392>>0]=0;Gya(e,c)|0;f[a>>2]=e;f[a+4>>2]=d;return}function xya(a){a=a|0;return 0}function yya(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0.0,v=0.0,w=0.0;e=u;u=u+16|0;g=e;if((d|0)<=-1){h=cuc(64)|0;f[g>>2]=h;i=g+8|0;f[i>>2]=-2147483584;j=g+4|0;f[j>>2]=50;k=h;l=374968;m=k+50|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));o=h+50|0;b[o>>0]=0;WD(-215,g,375019,375032,46)}p=f[a+348>>2]|0;q=f[p>>2]|0;r=((f[p+4>>2]|0)-q|0)/20|0;if((r|0)<=(d|0)){h=cuc(64)|0;f[g>>2]=h;i=g+8|0;f[i>>2]=-2147483584;j=g+4|0;f[j>>2]=50;k=h;l=374968;m=k+50|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));o=h+50|0;b[o>>0]=0;WD(-215,g,375019,375032,46)}if(r>>>0<=d>>>0)osc(p);p=q;q=f[c>>2]|0;if((q|0)<0){s=0;u=e;return s|0}r=f[c+4>>2]|0;if((r|0)<0){s=0;u=e;return s|0}if(((f[a+8>>2]|0)+q|0)>=(f[p+(d*20|0)+4>>2]|0)){s=0;u=e;return s|0}if(((f[a+12>>2]|0)+r|0)>=(f[p+(d*20|0)+8>>2]|0)){s=0;u=e;return s|0}c=(f[a+60>>2]|0)+(Y(f[f[a+88>>2]>>2]|0,r)|0)+(q<<2)|0;q=c+(f[p+(d*20|0)+12>>2]<<2)|0;f[a+424>>2]=q;d=q+(f[a+388>>2]<<2)|0;p=f[a+392>>2]|0;c=f[a+396>>2]|0;r=f[a+400>>2]|0;g=f[a+404>>2]|0;t=+(Y(f[a+420>>2]|0,f[a+416>>2]|0)|0);v=+((f[q+(p<<2)>>2]|0)-(f[q+(c<<2)>>2]|0)-(f[q+(r<<2)>>2]|0)+(f[q+(g<<2)>>2]|0)|0);w=+(((f[d+(p<<2)>>2]|0)-(f[d+(c<<2)>>2]|0)-(f[d+(r<<2)>>2]|0)+(f[d+(g<<2)>>2]|0)|0)>>>0)*t-v*v;if(w>0.0){v=1.0/+M(+w);n[a+432>>2]=v;s=t*v<.1;u=e;return s|0}else{n[a+432>>2]=1.0;s=0;u=e;return s|0}return 0}function zya(a,b){a=a|0;b=b|0;return +(+Fya(a,b))}function Aya(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;e=u;u=u+256|0;g=e+240|0;i=e+184|0;j=e+128|0;k=e+72|0;l=e+56|0;m=e+24|0;n=e;o=e+48|0;p=e+40|0;q=e+16|0;gV(g,85256);r=f[a+348>>2]|0;s=f[r>>2]|0;if((((f[r+4>>2]|0)-s|0)/20|0)>>>0<=c>>>0)osc(r);r=s;s=a+380|0;t=a+16|0;v=(Y(f[a+20>>2]|0,f[t>>2]|0)|0)<<h[s>>0];w=a+388|0;f[w>>2]=v;if((qJ(d)|0)!=655360){v=r+(c*20|0)+4|0;f[o>>2]=f[v>>2];x=r+(c*20|0)+8|0;f[o+4>>2]=f[x>>2];y=a+92|0;zD(i,o,4,(f[a+60>>2]|0)+(f[r+(c*20|0)+12>>2]<<2)|0,f[y>>2]|0);f[p>>2]=f[v>>2];f[p+4>>2]=f[x>>2];o=i+16|0;z=i+44|0;zD(j,p,4,(f[o>>2]|0)+(f[w>>2]<<2)|0,f[y>>2]|0);if(b[s>>0]|0){f[q>>2]=f[v>>2];f[q+4>>2]=f[x>>2];zD(k,q,4,(f[o>>2]|0)+(f[a+384>>2]<<2)|0,f[y>>2]|0);y=l+8|0;f[y>>2]=0;f[y+4>>2]=0;f[l>>2]=33619968;f[l+4>>2]=i;y=m+8|0;f[y>>2]=0;f[y+4>>2]=0;f[m>>2]=33619968;f[m+4>>2]=j;y=n+8|0;f[y>>2]=0;f[y+4>>2]=0;f[n>>2]=33619968;f[n+4>>2]=k;Haa(d,l,m,n,4,4);y=k+36|0;q=f[y>>2]|0;if(q|0?(x=q+12|0,q=f[x>>2]|0,f[x>>2]=q+-1,(q|0)==1):0)aU(k);f[y>>2]=0;y=k+16|0;q=k+4|0;f[y>>2]=0;f[y+4>>2]=0;f[y+8>>2]=0;f[y+12>>2]=0;if((f[q>>2]|0)>0){y=f[k+40>>2]|0;x=0;do{f[y+(x<<2)>>2]=0;x=x+1|0}while((x|0)<(f[q>>2]|0))}q=f[k+44>>2]|0;if((q|0)!=(k+48|0))TC(q)}else{q=k+8|0;f[q>>2]=0;f[q+4>>2]=0;f[k>>2]=33619968;f[k+4>>2]=i;q=l+8|0;f[q>>2]=0;f[q+4>>2]=0;f[l>>2]=33619968;f[l+4>>2]=j;Haa(d,k,l,sK()|0,4,4)}q=j+36|0;x=f[q>>2]|0;if(x|0?(y=x+12|0,x=f[y>>2]|0,f[y>>2]=x+-1,(x|0)==1):0)aU(j);f[q>>2]=0;q=j+16|0;x=j+4|0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;f[q+12>>2]=0;if((f[x>>2]|0)>0){q=f[j+40>>2]|0;y=0;do{f[q+(y<<2)>>2]=0;y=y+1|0}while((y|0)<(f[x>>2]|0))}x=f[j+44>>2]|0;if((x|0)!=(j+48|0))TC(x);x=i+36|0;y=f[x>>2]|0;if(y|0?(q=y+12|0,y=f[q>>2]|0,f[q>>2]=y+-1,(y|0)==1):0)aU(i);f[x>>2]=0;x=i+4|0;f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;f[o+12>>2]=0;if((f[x>>2]|0)>0){o=f[i+40>>2]|0;y=0;do{f[o+(y<<2)>>2]=0;y=y+1|0}while((y|0)<(f[x>>2]|0))}x=f[z>>2]|0;if((x|0)!=(i+48|0))TC(x)}else{x=f[r+(c*20|0)+12>>2]|0;z=f[t>>2]|0;y=(x|0)%(z|0)|0;o=(x|0)/(z|0)|0;x=f[w>>2]|0;w=a+204|0;q=r+(c*20|0)+4|0;v=f[q>>2]|0;p=r+(c*20|0)+8|0;c=f[p>>2]|0;f[j>>2]=y;f[j+4>>2]=o;f[j+8>>2]=v;f[j+12>>2]=c;RH(i,w,j);c=f[q>>2]|0;v=f[p>>2]|0;f[k>>2]=y;f[k+4>>2]=((x|0)/(z|0)|0)+o;f[k+8>>2]=c;f[k+12>>2]=v;RH(j,w,k);f[j>>2]=f[j>>2]&-8|4;if(!(b[s>>0]|0)){s=j+24|0;v=f[s>>2]|0;c=k+8|0;f[c>>2]=0;f[c+4>>2]=0;f[k>>2]=34209792;f[k+4>>2]=i;c=l+8|0;f[c>>2]=0;f[c+4>>2]=0;f[l>>2]=34209792;f[l+4>>2]=j;Haa(d,k,l,sK()|0,4,4);if((f[s>>2]|0)!=(v|0)){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;A=cuc(64)|0;f[k>>2]=A;B=k+8|0;f[B>>2]=-2147483584;C=k+4|0;f[C>>2]=61;D=A;E=374825;F=D+61|0;do{b[D>>0]=b[E>>0]|0;D=D+1|0;E=E+1|0}while((D|0)<(F|0));G=A+61|0;b[G>>0]=0;WD(-215,k,374887,374668,659)}v=f[j+32>>2]|0;if(!((f[v>>2]|0)==(f[p>>2]|0)?(f[v+4>>2]|0)==(f[q>>2]|0):0)){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;A=cuc(64)|0;f[k>>2]=A;B=k+8|0;f[B>>2]=-2147483584;C=k+4|0;f[C>>2]=61;D=A;E=374825;F=D+61|0;do{b[D>>0]=b[E>>0]|0;D=D+1|0;E=E+1|0}while((D|0)<(F|0));G=A+61|0;b[G>>0]=0;WD(-215,k,374887,374668,659)}if((f[j>>2]&4095|0)!=4){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;A=cuc(64)|0;f[k>>2]=A;B=k+8|0;f[B>>2]=-2147483584;C=k+4|0;f[C>>2]=61;D=A;E=374825;F=D+61|0;do{b[D>>0]=b[E>>0]|0;D=D+1|0;E=E+1|0}while((D|0)<(F|0));G=A+61|0;b[G>>0]=0;WD(-215,k,374887,374668,659)}}else{G=((f[a+384>>2]|0)/(f[t>>2]|0)|0)+o|0;o=f[q>>2]|0;q=f[p>>2]|0;f[l>>2]=y;f[l+4>>2]=G;f[l+8>>2]=o;f[l+12>>2]=q;RH(k,w,l);w=l+8|0;f[w>>2]=0;f[w+4>>2]=0;f[l>>2]=34209792;f[l+4>>2]=i;w=m+8|0;f[w>>2]=0;f[w+4>>2]=0;f[m>>2]=34209792;f[m+4>>2]=j;w=n+8|0;f[w>>2]=0;f[w+4>>2]=0;f[n>>2]=34209792;f[n+4>>2]=k;Haa(d,l,m,n,4,4);VH(k)}VH(j);VH(i)}if(!(f[g+4>>2]|0)){u=e;return}u=e;return}function Bya(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;c=u;u=u+16|0;d=c;gV(d,85236);e=f[a+16>>2]|0;if(b[a+380>>0]|0){g=Y(f[a+20>>2]|0,e)|0;f[a+384>>2]=g}g=f[a+408>>2]|0;h=f[a+412>>2]|0;i=Y(h,e)|0;f[a+392>>2]=i+g;j=(f[a+416>>2]|0)+g|0;f[a+396>>2]=j+i;i=Y((f[a+420>>2]|0)+h|0,e)|0;f[a+400>>2]=i+g;f[a+404>>2]=j+i;i=f[a+356>>2]|0;j=(f[i+4>>2]|0)-(f[i>>2]|0)>>6;g=a+364|0;h=f[g>>2]|0;k=h+4|0;l=f[k>>2]|0;m=f[h>>2]|0;n=l-m>>6;o=m;m=l;if(j>>>0<=n>>>0){if(j>>>0<n>>>0?(l=o+(j<<6)|0,(m|0)!=(l|0)):0)f[k>>2]=m+(~((m+-64-l|0)>>>6)<<6);l=f[h>>2]|0;m=a+428|0;f[m>>2]=l;if(!j)p=1;else{q=l;r=m;s=9}}else{Cya(h,j-n|0);n=f[f[g>>2]>>2]|0;g=a+428|0;f[g>>2]=n;q=n;r=g;s=9}if((s|0)==9){s=a+384|0;Dya(q,f[i>>2]|0,e,f[s>>2]|0);if((j|0)==1)p=0;else{q=1;do{Dya((f[r>>2]|0)+(q<<6)|0,(f[i>>2]|0)+(q<<6)|0,e,f[s>>2]|0);q=q+1|0}while((q|0)!=(j|0));p=0}}q=a+372|0;s=f[q>>2]|0;r=s+4|0;g=f[r>>2]|0;n=f[s>>2]|0;h=g-n>>6;m=n;n=g;if(j>>>0<=h>>>0)if(j>>>0<h>>>0?(g=m+(j<<6)|0,(n|0)!=(g|0)):0){f[r>>2]=n+(~((n+-64-g|0)>>>6)<<6);t=s}else t=s;else{Cya(s,j-h|0);t=f[q>>2]|0}a:do if(p)v=t;else{h=a+32|0;s=a+384|0;g=0;n=t;while(1){r=f[n>>2]|0;if((f[n+4>>2]|0)-r>>6>>>0<=g>>>0)break;m=f[h>>2]|0;Dya(r+(g<<6)|0,(f[i>>2]|0)+(g<<6)|0,(m|0)>0?m:e,f[s>>2]|0);g=g+1|0;m=f[q>>2]|0;if(g>>>0>=j>>>0){v=m;break a}else n=m}osc(n)}while(0);Eya(v,a+252|0);if(!(f[d+4>>2]|0)){u=c;return}u=c;return}function Cya(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(d-g>>6>>>0>=b>>>0){h=b;i=g;do{j=i;k=j+60|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));i=(f[e>>2]|0)+64|0;f[e>>2]=i;h=h+-1|0}while((h|0)!=0);return}h=f[a>>2]|0;i=g-h>>6;g=i+b|0;if(g>>>0>67108863)nsc(a);l=d-h|0;h=l>>5;d=l>>6>>>0<33554431?(h>>>0<g>>>0?g:h):67108863;do if(d)if(d>>>0>67108863){h=ze(8)|0;kuc(h,519086);f[h>>2]=167148;Hf(h|0,26888,1888)}else{m=cuc(d<<6)|0;break}else m=0;while(0);h=m+(i<<6)|0;i=m+(d<<6)|0;d=b;b=h;m=h;do{j=b;k=j+60|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));b=m+64|0;m=b;d=d+-1|0}while((d|0)!=0);d=f[a>>2]|0;b=(f[e>>2]|0)-d|0;j=h+(0-(b>>6)<<6)|0;if((b|0)>0)szc(j|0,d|0,b|0)|0;f[a>>2]=j;f[e>>2]=m;f[c>>2]=i;if(!d)return;fuc(d);return}function Dya(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;f[a+48>>2]=f[c+20>>2];g=c+24|0;f[a+52>>2]=f[c+40>>2];h=c+44|0;f[a+56>>2]=f[c+60>>2];i=c+4|0;j=f[i>>2]|0;if(!(b[c>>0]|0)){k=c+8|0;l=(Y(f[k>>2]|0,d)|0)+j|0;f[a>>2]=l;l=c+12|0;m=(f[l>>2]|0)+(f[i>>2]|0)+(Y(f[k>>2]|0,d)|0)|0;f[a+4>>2]=m;m=c+16|0;n=(Y((f[m>>2]|0)+(f[k>>2]|0)|0,d)|0)+(f[i>>2]|0)|0;f[a+8>>2]=n;n=(f[l>>2]|0)+(f[i>>2]|0)+(Y((f[m>>2]|0)+(f[k>>2]|0)|0,d)|0)|0;f[a+12>>2]=n;n=c+28|0;k=(Y(f[n>>2]|0,d)|0)+(f[g>>2]|0)|0;f[a+16>>2]=k;k=c+32|0;m=(f[k>>2]|0)+(f[g>>2]|0)+(Y(f[n>>2]|0,d)|0)|0;f[a+20>>2]=m;m=c+36|0;l=(Y((f[m>>2]|0)+(f[n>>2]|0)|0,d)|0)+(f[g>>2]|0)|0;f[a+24>>2]=l;l=(f[k>>2]|0)+(f[g>>2]|0)+(Y((f[m>>2]|0)+(f[n>>2]|0)|0,d)|0)|0;f[a+28>>2]=l;l=c+48|0;n=(Y(f[l>>2]|0,d)|0)+(f[h>>2]|0)|0;f[a+32>>2]=n;n=c+52|0;m=(f[n>>2]|0)+(f[h>>2]|0)+(Y(f[l>>2]|0,d)|0)|0;f[a+36>>2]=m;m=c+56|0;k=(Y((f[m>>2]|0)+(f[l>>2]|0)|0,d)|0)+(f[h>>2]|0)|0;f[a+40>>2]=k;o=(f[n>>2]|0)+(f[h>>2]|0)|0;p=f[l>>2]|0;q=f[m>>2]|0;r=q+p|0;s=Y(r,d)|0;t=s+o|0;u=a+44|0;f[u>>2]=t;return}else{m=c+8|0;l=j+e+(Y(f[m>>2]|0,d)|0)|0;f[a>>2]=l;l=c+16|0;j=f[l>>2]|0;n=(f[i>>2]|0)+e-j+(Y((f[m>>2]|0)+j|0,d)|0)|0;f[a+4>>2]=n;n=c+12|0;j=f[n>>2]|0;k=(f[i>>2]|0)+e+j+(Y((f[m>>2]|0)+j|0,d)|0)|0;f[a+8>>2]=k;k=f[n>>2]|0;n=f[l>>2]|0;l=(f[i>>2]|0)+e+k-n+(Y(n+k+(f[m>>2]|0)|0,d)|0)|0;f[a+12>>2]=l;l=c+28|0;m=(f[g>>2]|0)+e+(Y(f[l>>2]|0,d)|0)|0;f[a+16>>2]=m;m=c+36|0;k=f[m>>2]|0;n=(f[g>>2]|0)+e-k+(Y((f[l>>2]|0)+k|0,d)|0)|0;f[a+20>>2]=n;n=c+32|0;k=f[n>>2]|0;i=(f[g>>2]|0)+e+k+(Y((f[l>>2]|0)+k|0,d)|0)|0;f[a+24>>2]=i;i=f[n>>2]|0;n=f[m>>2]|0;m=(f[g>>2]|0)+e+i-n+(Y(n+i+(f[l>>2]|0)|0,d)|0)|0;f[a+28>>2]=m;m=c+48|0;l=(f[h>>2]|0)+e+(Y(f[m>>2]|0,d)|0)|0;f[a+32>>2]=l;l=c+56|0;i=f[l>>2]|0;n=(f[h>>2]|0)+e-i+(Y((f[m>>2]|0)+i|0,d)|0)|0;f[a+36>>2]=n;n=c+52|0;c=f[n>>2]|0;i=(f[h>>2]|0)+e+c+(Y((f[m>>2]|0)+c|0,d)|0)|0;f[a+40>>2]=i;i=f[n>>2]|0;n=f[l>>2]|0;o=(f[h>>2]|0)+e+i-n|0;p=(f[m>>2]|0)+i|0;q=n;r=q+p|0;s=Y(r,d)|0;t=s+o|0;u=a+44|0;f[u>>2]=t;return}}function Eya(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;d=u;u=u+80|0;e=d+56|0;g=d;h=f[a>>2]|0;i=a+4|0;j=f[i>>2]|0;if((h|0)==(j|0)){k=c+24|0;l=f[k>>2]|0;if(l|0?(m=l+8|0,l=f[m>>2]|0,f[m>>2]=l+-1,(l|0)==1):0)WH(c);l=c+4|0;if((f[l>>2]|0)>0){m=f[c+32>>2]|0;n=0;do{f[m+(n<<2)>>2]=0;n=n+1|0}while((n|0)<(f[l>>2]|0))}f[k>>2]=0;o=f[a>>2]|0;p=f[i>>2]|0}else{o=h;p=j}j=p-o|0;p=o;f[g>>2]=1124007936;h=g+4|0;f[h>>2]=2;i=g+8|0;f[i>>2]=1;f[g+12>>2]=j;a=g+16|0;f[a>>2]=p;f[g+20>>2]=p;k=g+24|0;l=g+40|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;f[l>>2]=i;i=g+48|0;n=g+44|0;f[n>>2]=i;m=g+52|0;f[m>>2]=0;f[i>>2]=0;if((o|0)==0&(j|0)!=0){o=cuc(32)|0;f[e>>2]=o;f[e+8>>2]=-2147483616;f[e+4>>2]=28;q=o;r=466324;s=q+28|0;do{b[q>>0]=b[r>>0]|0;q=q+1|0;r=r+1|0}while((q|0)<(s|0));b[o+28>>0]=0;WD(-215,e,466353,466357,548)}f[i>>2]=j;f[m>>2]=1;m=p+j|0;f[g+28>>2]=m;f[k>>2]=m+(0-j)+j;YT(g);j=e+8|0;f[j>>2]=0;f[j+4>>2]=0;f[e>>2]=34209792;f[e+4>>2]=c;EI(g,e);e=g+36|0;c=f[e>>2]|0;if(c|0?(j=c+12|0,c=f[j>>2]|0,f[j>>2]=c+-1,(c|0)==1):0)aU(g);f[e>>2]=0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;if((f[h>>2]|0)>0){a=f[l>>2]|0;l=0;do{f[a+(l<<2)>>2]=0;l=l+1|0}while((l|0)<(f[h>>2]|0))}h=f[n>>2]|0;if((h|0)==(i|0)){u=d;return}TC(h);u=d;return}function Fya(a,b){a=a|0;b=b|0;var c=0,d=0,e=0.0,g=0.0,h=0.0,i=0,j=0.0,k=0.0;c=f[a+428>>2]|0;d=f[a+424>>2]|0;e=+n[c+(b<<6)+48>>2]*+((f[d+(f[c+(b<<6)>>2]<<2)>>2]|0)-(f[d+(f[c+(b<<6)+4>>2]<<2)>>2]|0)-(f[d+(f[c+(b<<6)+8>>2]<<2)>>2]|0)+(f[d+(f[c+(b<<6)+12>>2]<<2)>>2]|0)|0)+ +n[c+(b<<6)+52>>2]*+((f[d+(f[c+(b<<6)+16>>2]<<2)>>2]|0)-(f[d+(f[c+(b<<6)+20>>2]<<2)>>2]|0)-(f[d+(f[c+(b<<6)+24>>2]<<2)>>2]|0)+(f[d+(f[c+(b<<6)+28>>2]<<2)>>2]|0)|0);g=+n[c+(b<<6)+56>>2];if(!(g!=0.0)){h=e;i=a+432|0;j=+n[i>>2];k=h*j;return +k}h=e+g*+((f[d+(f[c+(b<<6)+32>>2]<<2)>>2]|0)-(f[d+(f[c+(b<<6)+36>>2]<<2)>>2]|0)-(f[d+(f[c+(b<<6)+40>>2]<<2)>>2]|0)+(f[d+(f[c+(b<<6)+44>>2]<<2)>>2]|0)|0);i=a+432|0;j=+n[i>>2];k=h*j;return +k}function Gya(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;Hya(a,b)|0;c=f[b+356>>2]|0;d=f[b+360>>2]|0;if(d|0)Wtc(d);f[a+356>>2]=c;c=a+360|0;e=f[c>>2]|0;f[c>>2]=d;if(e|0)Xtc(e);e=f[b+364>>2]|0;d=f[b+368>>2]|0;if(d|0)Wtc(d);f[a+364>>2]=e;e=a+368|0;c=f[e>>2]|0;f[e>>2]=d;if(c|0)Xtc(c);c=f[b+372>>2]|0;d=f[b+376>>2]|0;if(d|0)Wtc(d);f[a+372>>2]=c;c=a+376|0;e=f[c>>2]|0;f[c>>2]=d;if(e|0)Xtc(e);e=a+380|0;d=b+380|0;f[e>>2]=f[d>>2];f[e+4>>2]=f[d+4>>2];f[e+8>>2]=f[d+8>>2];f[e+12>>2]=f[d+12>>2];f[e+16>>2]=f[d+16>>2];f[e+20>>2]=f[d+20>>2];f[e+24>>2]=f[d+24>>2];f[a+408>>2]=f[b+408>>2];f[a+412>>2]=f[b+412>>2];f[a+416>>2]=f[b+416>>2];f[a+420>>2]=f[b+420>>2];d=a+424|0;e=b+424|0;f[d>>2]=f[e>>2];f[d+4>>2]=f[e+4>>2];f[d+8>>2]=f[e+8>>2];return a|0}function Hya(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;f[a+4>>2]=f[b+4>>2];f[a+8>>2]=f[b+8>>2];f[a+12>>2]=f[b+12>>2];f[a+16>>2]=f[b+16>>2];f[a+20>>2]=f[b+20>>2];f[a+24>>2]=f[b+24>>2];f[a+28>>2]=f[b+28>>2];f[a+32>>2]=f[b+32>>2];f[a+36>>2]=f[b+36>>2];f[a+40>>2]=f[b+40>>2];c=a+44|0;d=b+44|0;e=(a|0)==(b|0);do if(!e){g=b+80|0;h=f[g>>2]|0;if(h|0){i=h+12|0;f[i>>2]=(f[i>>2]|0)+1}i=a+80|0;h=f[i>>2]|0;if(h|0?(j=h+12|0,h=f[j>>2]|0,f[j>>2]=h+-1,(h|0)==1):0)aU(c);f[i>>2]=0;h=a+60|0;j=a+48|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;if((f[j>>2]|0)>0){k=f[a+84>>2]|0;l=0;do{f[k+(l<<2)>>2]=0;l=l+1|0;m=f[j>>2]|0}while((l|0)<(m|0));f[c>>2]=f[d>>2];if((m|0)<3)n=12;else n=14}else{f[c>>2]=f[d>>2];n=12}if((n|0)==12){l=f[b+48>>2]|0;if((l|0)<3){f[j>>2]=l;f[a+52>>2]=f[b+52>>2];f[a+56>>2]=f[b+56>>2];l=f[b+88>>2]|0;k=f[a+88>>2]|0;f[k>>2]=f[l>>2];f[k+4>>2]=f[l+4>>2]}else n=14}if((n|0)==14)$T(c,d);f[h>>2]=f[b+60>>2];f[a+64>>2]=f[b+64>>2];f[a+68>>2]=f[b+68>>2];f[a+72>>2]=f[b+72>>2];f[a+76>>2]=f[b+76>>2];f[i>>2]=f[g>>2];l=a+100|0;k=b+100|0;if(!e){o=b+136|0;p=f[o>>2]|0;if(p|0){q=p+12|0;f[q>>2]=(f[q>>2]|0)+1}q=a+136|0;p=f[q>>2]|0;if(p|0?(r=p+12|0,p=f[r>>2]|0,f[r>>2]=p+-1,(p|0)==1):0)aU(l);f[q>>2]=0;p=a+116|0;r=a+104|0;f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;f[p+12>>2]=0;if((f[r>>2]|0)>0){s=f[a+140>>2]|0;t=0;do{f[s+(t<<2)>>2]=0;t=t+1|0;u=f[r>>2]|0}while((t|0)<(u|0));f[l>>2]=f[k>>2];if((u|0)<3)n=26;else n=28}else{f[l>>2]=f[k>>2];n=26}if((n|0)==26){t=f[b+104>>2]|0;if((t|0)<3){f[r>>2]=t;f[a+108>>2]=f[b+108>>2];f[a+112>>2]=f[b+112>>2];t=f[b+144>>2]|0;s=f[a+144>>2]|0;f[s>>2]=f[t>>2];f[s+4>>2]=f[t+4>>2]}else n=28}if((n|0)==28)$T(l,k);f[p>>2]=f[b+116>>2];f[a+120>>2]=f[b+120>>2];f[a+124>>2]=f[b+124>>2];f[a+128>>2]=f[b+128>>2];f[a+132>>2]=f[b+132>>2];f[q>>2]=f[o>>2];t=a+156|0;s=b+156|0;if(!e){g=b+180|0;i=f[g>>2]|0;if(i|0){h=i+8|0;f[h>>2]=(f[h>>2]|0)+1}h=a+180|0;i=f[h>>2]|0;if(i|0?(j=i+8|0,i=f[j>>2]|0,f[j>>2]=i+-1,(i|0)==1):0)WH(t);i=a+160|0;if((f[i>>2]|0)>0){j=f[a+188>>2]|0;v=0;do{f[j+(v<<2)>>2]=0;v=v+1|0;w=f[i>>2]|0}while((v|0)<(w|0));f[h>>2]=0;f[t>>2]=f[s>>2];if((w|0)<3)n=40;else n=42}else{f[h>>2]=0;f[t>>2]=f[s>>2];n=40}if((n|0)==40){v=f[b+160>>2]|0;if((v|0)<3){f[i>>2]=v;f[a+164>>2]=f[b+164>>2];f[a+168>>2]=f[b+168>>2];v=f[b+192>>2]|0;j=f[a+192>>2]|0;f[j>>2]=f[v>>2];f[j+4>>2]=f[v+4>>2]}else n=42}if((n|0)==42)UH(t,s);f[a+172>>2]=f[b+172>>2];v=a+176|0;if(!(f[v>>2]|0))f[v>>2]=f[b+176>>2];f[h>>2]=f[g>>2];f[a+184>>2]=f[b+184>>2];v=a+204|0;j=b+204|0;if(!e){o=b+228|0;q=f[o>>2]|0;if(q|0){p=q+8|0;f[p>>2]=(f[p>>2]|0)+1}p=a+228|0;q=f[p>>2]|0;if(q|0?(k=q+8|0,q=f[k>>2]|0,f[k>>2]=q+-1,(q|0)==1):0)WH(v);q=a+208|0;if((f[q>>2]|0)>0){k=f[a+236>>2]|0;l=0;do{f[k+(l<<2)>>2]=0;l=l+1|0;x=f[q>>2]|0}while((l|0)<(x|0));f[p>>2]=0;f[v>>2]=f[j>>2];if((x|0)<3)n=56;else n=58}else{f[p>>2]=0;f[v>>2]=f[j>>2];n=56}if((n|0)==56){l=f[b+208>>2]|0;if((l|0)<3){f[q>>2]=l;f[a+212>>2]=f[b+212>>2];f[a+216>>2]=f[b+216>>2];l=f[b+240>>2]|0;k=f[a+240>>2]|0;f[k>>2]=f[l>>2];f[k+4>>2]=f[l+4>>2]}else n=58}if((n|0)==58)UH(v,j);f[a+220>>2]=f[b+220>>2];l=a+224|0;if(!(f[l>>2]|0))f[l>>2]=f[b+224>>2];f[p>>2]=f[o>>2];f[a+232>>2]=f[b+232>>2];l=a+252|0;k=b+252|0;if(!e){g=b+276|0;h=f[g>>2]|0;if(h|0){s=h+8|0;f[s>>2]=(f[s>>2]|0)+1}s=a+276|0;h=f[s>>2]|0;do if(h|0){t=h+8|0;i=f[t>>2]|0;f[t>>2]=i+-1;if((i|0)!=1)break;WH(l)}while(0);h=a+256|0;if((f[h>>2]|0)>0){o=f[a+284>>2]|0;p=0;do{f[o+(p<<2)>>2]=0;p=p+1|0;y=f[h>>2]|0}while((p|0)<(y|0));f[s>>2]=0;f[l>>2]=f[k>>2];if((y|0)<3)n=72;else n=74}else{f[s>>2]=0;f[l>>2]=f[k>>2];n=72}do if((n|0)==72){p=f[b+256>>2]|0;if((p|0)>=3){n=74;break}f[h>>2]=p;f[a+260>>2]=f[b+260>>2];f[a+264>>2]=f[b+264>>2];p=f[b+288>>2]|0;o=f[a+288>>2]|0;f[o>>2]=f[p>>2];f[o+4>>2]=f[p+4>>2]}while(0);if((n|0)==74)UH(l,k);f[a+268>>2]=f[b+268>>2];h=a+272|0;if(!(f[h>>2]|0))f[h>>2]=f[b+272>>2];f[s>>2]=f[g>>2];f[a+280>>2]=f[b+280>>2];h=a+300|0;p=b+300|0;if(e)break;o=b+324|0;j=f[o>>2]|0;if(j|0){v=j+8|0;f[v>>2]=(f[v>>2]|0)+1}v=a+324|0;j=f[v>>2]|0;do if(j|0){q=j+8|0;i=f[q>>2]|0;f[q>>2]=i+-1;if((i|0)!=1)break;WH(h)}while(0);j=a+304|0;if((f[j>>2]|0)>0){g=f[a+332>>2]|0;s=0;do{f[g+(s<<2)>>2]=0;s=s+1|0;z=f[j>>2]|0}while((s|0)<(z|0));f[v>>2]=0;f[h>>2]=f[p>>2];if((z|0)<3)n=88;else n=90}else{f[v>>2]=0;f[h>>2]=f[p>>2];n=88}do if((n|0)==88){s=f[b+304>>2]|0;if((s|0)>=3){n=90;break}f[j>>2]=s;f[a+308>>2]=f[b+308>>2];f[a+312>>2]=f[b+312>>2];s=f[b+336>>2]|0;g=f[a+336>>2]|0;f[g>>2]=f[s>>2];f[g+4>>2]=f[s+4>>2]}while(0);if((n|0)==90)UH(h,p);f[a+316>>2]=f[b+316>>2];j=a+320|0;if(!(f[j>>2]|0))f[j>>2]=f[b+320>>2];f[v>>2]=f[o>>2];f[a+328>>2]=f[b+328>>2]}}}}}while(0);n=f[b+348>>2]|0;z=f[b+352>>2]|0;if(z|0)Wtc(z);f[a+348>>2]=n;n=a+352|0;b=f[n>>2]|0;f[n>>2]=z;if(!b)return a|0;Xtc(b);return a|0}function Iya(a){a=a|0;var b=0,c=0;f[a>>2]=85284;b=a+12|0;f[b>>2]=85184;c=f[a+388>>2]|0;if(c|0)Xtc(c);c=f[a+380>>2]|0;if(c|0)Xtc(c);c=f[a+372>>2]|0;if(!c){_xa(b);Qtc(a);return}Xtc(c);_xa(b);Qtc(a);return}function Jya(a){a=a|0;var b=0,c=0;f[a>>2]=85284;b=a+12|0;f[b>>2]=85184;c=f[a+388>>2]|0;if(c|0)Xtc(c);c=f[a+380>>2]|0;if(c|0)Xtc(c);c=f[a+372>>2]|0;if(!c){_xa(b);Qtc(a);fuc(a);return}Xtc(c);_xa(b);Qtc(a);fuc(a);return}function Kya(a){a=a|0;var b=0,c=0;b=a+12|0;f[b>>2]=85184;c=f[a+388>>2]|0;if(c|0)Xtc(c);c=f[a+380>>2]|0;if(c|0)Xtc(c);c=f[a+372>>2]|0;if(!c){_xa(b);return}Xtc(c);_xa(b);return}function Lya(a){a=a|0;fuc(a);return}function Mya(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;d=a+8|0;e=f[d>>2]|0;g=a+4|0;h=f[g>>2]|0;if(e-h>>6>>>0>=c>>>0){i=c;j=h;do{b[j>>0]=0;k=j+4|0;l=k+60|0;do{f[k>>2]=0;k=k+4|0}while((k|0)<(l|0));j=(f[g>>2]|0)+64|0;f[g>>2]=j;i=i+-1|0}while((i|0)!=0);return}i=f[a>>2]|0;j=h-i>>6;h=j+c|0;if(h>>>0>67108863)nsc(a);m=e-i|0;i=m>>5;e=m>>6>>>0<33554431?(i>>>0<h>>>0?h:i):67108863;do if(e)if(e>>>0>67108863){i=ze(8)|0;kuc(i,519086);f[i>>2]=167148;Hf(i|0,26888,1888)}else{n=cuc(e<<6)|0;break}else n=0;while(0);i=n+(j<<6)|0;j=i;h=n+(e<<6)|0;e=c;c=j;n=i;do{b[n>>0]=0;k=n+4|0;l=k+60|0;do{f[k>>2]=0;k=k+4|0}while((k|0)<(l|0));n=c+64|0;c=n;e=e+-1|0}while((e|0)!=0);e=h;h=f[a>>2]|0;n=f[g>>2]|0;k=h;if((n|0)==(h|0)){o=j;p=k}else{j=n+-64-k|0;k=n;n=i;while(1){l=k;k=k+-64|0;b[n+-64>>0]=b[k>>0]|0;f[n+-60>>2]=f[l+-60>>2];f[n+-56>>2]=f[l+-56>>2];f[n+-52>>2]=f[l+-52>>2];f[n+-48>>2]=f[l+-48>>2];f[n+-44>>2]=f[l+-44>>2];f[n+-40>>2]=f[l+-40>>2];f[n+-36>>2]=f[l+-36>>2];f[n+-32>>2]=f[l+-32>>2];f[n+-28>>2]=f[l+-28>>2];f[n+-24>>2]=f[l+-24>>2];f[n+-20>>2]=f[l+-20>>2];f[n+-16>>2]=f[l+-16>>2];f[n+-12>>2]=f[l+-12>>2];f[n+-8>>2]=f[l+-8>>2];f[n+-4>>2]=f[l+-4>>2];if((k|0)==(h|0))break;else n=n+-64|0}o=i+(~(j>>>6)<<6)|0;p=f[a>>2]|0}f[a>>2]=o;f[g>>2]=c;f[d>>2]=e;if(!p)return;fuc(p);return}function Nya(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;d=u;u=u+160|0;e=d+152|0;g=d+136|0;h=d+88|0;i=d+44|0;j=d;k=d+144|0;UM(g,c,381534);l=g+4|0;VM(h,f[g>>2]|0,f[l>>2]|0,0);m=f[g>>2]|0;n=f[l>>2]|0;VM(i,m,n,WM(g)|0);g=a+4|0;n=g+60|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(n|0));g=h+40|0;n=h+4|0;m=i+4|0;l=h+20|0;o=i+20|0;p=i+40|0;q=j+20|0;r=e+4|0;s=e+4|0;t=e+4|0;v=e+4|0;w=e+4|0;x=0;while(1){y=f[h>>2]|0;if((((y|0)==(f[i>>2]|0)?(f[n>>2]|0)==(f[m>>2]|0):0)?(f[l>>2]|0)==(f[o>>2]|0):0)?(f[g>>2]|0)==(f[p>>2]|0):0)break;VM(j,y,f[l>>2]|0,0);y=f[q>>2]|0;f[e>>2]=f[j>>2];f[r>>2]=y;dN(e,a+4+(x*20|0)|0,0);y=XM(j)|0;z=f[j+20>>2]|0;f[e>>2]=f[j>>2];f[s>>2]=z;dN(e,a+4+(x*20|0)+4|0,0);z=XM(y)|0;y=f[j+20>>2]|0;f[e>>2]=f[j>>2];f[t>>2]=y;dN(e,a+4+(x*20|0)+8|0,0);y=XM(z)|0;z=f[j+20>>2]|0;f[e>>2]=f[j>>2];f[v>>2]=z;dN(e,a+4+(x*20|0)+12|0,0);z=XM(y)|0;y=f[j+20>>2]|0;f[e>>2]=f[j>>2];f[w>>2]=y;eN(e,a+4+(x*20|0)+16|0,0.0);XM(z)|0;XM(h)|0;x=x+1|0}UM(k,c,381540);dN(k,e,0);b[a>>0]=(f[e>>2]|0)!=0&1;u=d;return 1}function Oya(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=85340;b=f[a+12>>2]|0;if(!b){Qtc(a);return}c=a+16|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-64-b|0)>>>6)<<6);fuc(b);Qtc(a);return}function Pya(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=85340;b=f[a+12>>2]|0;if(!b){Qtc(a);fuc(a);return}c=a+16|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-64-b|0)>>>6)<<6);fuc(b);Qtc(a);fuc(a);return}function Qya(a){a=a|0;var b=0,c=0;b=f[a+12>>2]|0;if(!b)return;c=a+16|0;a=f[c>>2]|0;if((a|0)!=(b|0))f[c>>2]=a+(~((a+-64-b|0)>>>6)<<6);fuc(b);return}function Rya(a){a=a|0;fuc(a);return}function Sya(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=85312;b=f[a+12>>2]|0;if(!b){Qtc(a);return}c=a+16|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-64-b|0)>>>6)<<6);fuc(b);Qtc(a);return}function Tya(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=85312;b=f[a+12>>2]|0;if(!b){Qtc(a);fuc(a);return}c=a+16|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-64-b|0)>>>6)<<6);fuc(b);Qtc(a);fuc(a);return}function Uya(a){a=a|0;var b=0,c=0;b=f[a+12>>2]|0;if(!b)return;c=a+16|0;a=f[c>>2]|0;if((a|0)!=(b|0))f[c>>2]=a+(~((a+-64-b|0)>>>6)<<6);fuc(b);return}function Vya(a){a=a|0;fuc(a);return}function Wya(a){a=a|0;var b=0;f[a>>2]=85368;b=f[a+376>>2]|0;if(b|0)Xtc(b);b=f[a+368>>2]|0;if(b|0)Xtc(b);b=f[a+360>>2]|0;if(!b){_xa(a);return}Xtc(b);_xa(a);return}function Xya(a){a=a|0;var b=0;f[a>>2]=85368;b=f[a+376>>2]|0;if(b|0)Xtc(b);b=f[a+368>>2]|0;if(b|0)Xtc(b);b=f[a+360>>2]|0;if(!b){_xa(a);fuc(a);return}Xtc(b);_xa(a);fuc(a);return}function Yya(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;d=u;u=u+96|0;e=d+52|0;g=d+8|0;h=d;i=f[c+4>>2]|0;f[a+8>>2]=f[c>>2];f[a+12>>2]=i;i=a+24|0;c=a+348|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;j=f[c>>2]|0;if(j){k=f[j>>2]|0;l=j+4|0;j=f[l>>2]|0;if((j|0)!=(k|0))f[l>>2]=j+(~(((j+-20-k|0)>>>0)/20|0)*20|0)}else{k=cuc(24)|0;f[k+4>>2]=0;f[k+8>>2]=0;f[k>>2]=85156;j=k+12|0;f[j>>2]=0;f[k+16>>2]=0;f[k+20>>2]=0;Wtc(k);f[c>>2]=j;j=a+352|0;c=f[j>>2]|0;f[j>>2]=k;if(c|0)Xtc(c);Xtc(k)}k=a+356|0;if(!(f[k>>2]|0)){c=cuc(24)|0;f[c+4>>2]=0;f[c+8>>2]=0;f[c>>2]=85456;j=c+12|0;f[j>>2]=0;f[c+16>>2]=0;f[c+20>>2]=0;Wtc(c);f[k>>2]=j;j=a+360|0;l=f[j>>2]|0;f[j>>2]=c;if(l|0)Xtc(l);Xtc(c)}c=a+364|0;if(!(f[c>>2]|0)){l=cuc(24)|0;f[l+4>>2]=0;f[l+8>>2]=0;f[l>>2]=85484;j=l+12|0;f[j>>2]=0;f[l+16>>2]=0;f[l+20>>2]=0;Wtc(l);f[c>>2]=j;j=a+368|0;c=f[j>>2]|0;f[j>>2]=l;if(c|0)Xtc(c);Xtc(l)}l=a+372|0;if(!(f[l>>2]|0)){c=cuc(24)|0;f[c+4>>2]=0;f[c+8>>2]=0;f[c>>2]=85484;j=c+12|0;f[j>>2]=0;f[c+16>>2]=0;f[c+20>>2]=0;Wtc(c);f[l>>2]=j;j=a+376|0;l=f[j>>2]|0;f[j>>2]=c;if(l|0)Xtc(l);Xtc(c)}c=f[k>>2]|0;l=WM(b)|0;j=c+4|0;m=f[j>>2]|0;n=f[c>>2]|0;o=m-n>>4;p=n;n=m;if(l>>>0<=o>>>0){if(l>>>0<o>>>0?(m=p+(l<<4)|0,(n|0)!=(m|0)):0)f[j>>2]=n+(~((n+-16-m|0)>>>4)<<4)}else tza(c,l-o|0);f[a+380>>2]=0;o=b+4|0;VM(e,f[b>>2]|0,f[o>>2]|0,0);l=f[b>>2]|0;c=f[o>>2]|0;VM(g,l,c,WM(b)|0);b=f[k>>2]|0;k=e+40|0;c=e+4|0;l=g+4|0;o=e+20|0;m=g+20|0;n=g+40|0;j=h+4|0;p=0;while(1){q=f[e>>2]|0;r=q;if((((q|0)==(f[g>>2]|0)?(f[c>>2]|0)==(f[l>>2]|0):0)?(f[o>>2]|0)==(f[m>>2]|0):0)?(f[k>>2]|0)==(f[n>>2]|0):0)break;q=(f[b>>2]|0)+(p<<4)|0;s=f[o>>2]|0;f[h>>2]=r;f[j>>2]=s;uza(q,h)|0;XM(e)|0;p=p+1|0}f[a+40>>2]=1;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;u=d;return 1}function Zya(a,b){a=a|0;b=b|0;var c=0,d=0;c=cuc(400)|0;f[c+4>>2]=0;f[c+8>>2]=0;f[c>>2]=85428;d=c+12|0;fza(d);gza(d,b)|0;f[a>>2]=d;f[a+4>>2]=c;return}function _ya(a){a=a|0;return 1}function $ya(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0;e=u;u=u+16|0;g=e;if((d|0)>-1?(h=f[a+348>>2]|0,i=f[h>>2]|0,j=((f[h+4>>2]|0)-i|0)/20|0,(j|0)>(d|0)):0){if(j>>>0<=d>>>0)osc(h);h=i;i=f[c>>2]|0;if((i|0)<0){k=0;u=e;return k|0}j=f[c+4>>2]|0;if((j|0)<0){k=0;u=e;return k|0}if(((f[a+8>>2]|0)+i|0)>=(f[h+(d*20|0)+4>>2]|0)){k=0;u=e;return k|0}if(((f[a+12>>2]|0)+j|0)>=(f[h+(d*20|0)+8>>2]|0)){k=0;u=e;return k|0}c=(f[a+60>>2]|0)+(Y(f[f[a+88>>2]>>2]|0,j)|0)+(i<<2)|0;f[a+384>>2]=c+(f[h+(d*20|0)+12>>2]<<2);k=1;u=e;return k|0}k=cuc(64)|0;f[g>>2]=k;f[g+8>>2]=-2147483584;f[g+4>>2]=50;e=k;d=374968;h=e+50|0;do{b[e>>0]=b[d>>0]|0;e=e+1|0;d=d+1|0}while((e|0)<(h|0));b[k+50>>0]=0;WD(-215,g,375421,374668,868);return 0}function aza(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;c=f[a+380>>2]|0;d=f[a+384>>2]|0;a=f[d+(f[c+(b<<6)+20>>2]<<2)>>2]|0;e=f[d+(f[c+(b<<6)+24>>2]<<2)>>2]|0;g=f[d+(f[c+(b<<6)+36>>2]<<2)>>2]|0;h=f[d+(f[c+(b<<6)+40>>2]<<2)>>2]|0;i=a-e-g+h|0;j=f[d+(f[c+(b<<6)+4>>2]<<2)>>2]|0;k=f[d+(f[c+(b<<6)+16>>2]<<2)>>2]|0;l=f[d+(f[c+(b<<6)+8>>2]<<2)>>2]|0;m=f[d+(f[c+(b<<6)+28>>2]<<2)>>2]|0;n=f[d+(f[c+(b<<6)+44>>2]<<2)>>2]|0;o=f[d+(f[c+(b<<6)+56>>2]<<2)>>2]|0;p=f[d+(f[c+(b<<6)+52>>2]<<2)>>2]|0;q=f[d+(f[c+(b<<6)+32>>2]<<2)>>2]|0;return ((e-a+j-l|0)>=(i|0)?64:0)|(((f[d+(f[c+(b<<6)>>2]<<2)>>2]|0)+a-j-k|0)>=(i|0)?128:0)|((l-e-(f[d+(f[c+(b<<6)+12>>2]<<2)>>2]|0)+m|0)>=(i|0)?32:0)|((e-h-m+n|0)>=(i|0)?16:0)|((h-n-o+(f[d+(f[c+(b<<6)+60>>2]<<2)>>2]|0)|0)>=(i|0)?8:0)|((g-h+o-p|0)>=(i|0)?4:0)|(g-a+k-q|0)>=(i|0)|((p-g+q-(f[d+(f[c+(b<<6)+48>>2]<<2)>>2]|0)|0)>=(i|0)?2:0)|0}function bza(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;d=u;u=u+80|0;e=d+24|0;g=d+8|0;h=d;i=f[a+348>>2]|0;j=f[i>>2]|0;if((((f[i+4>>2]|0)-j|0)/20|0)>>>0<=b>>>0)osc(i);i=j;if((qJ(c)|0)==655360){j=f[i+(b*20|0)+12>>2]|0;k=f[a+16>>2]|0;l=f[i+(b*20|0)+4>>2]|0;m=f[i+(b*20|0)+8>>2]|0;f[g>>2]=(j|0)%(k|0)|0;f[g+4>>2]=(j|0)/(k|0)|0;f[g+8>>2]=l;f[g+12>>2]=m;RH(e,a+204|0,g);m=g+8|0;f[m>>2]=0;f[m+4>>2]=0;f[g>>2]=34209792;f[g+4>>2]=e;m=sK()|0;Haa(c,g,m,sK()|0,4,-1);VH(e);u=d;return}f[h>>2]=f[i+(b*20|0)+4>>2];f[h+4>>2]=f[i+(b*20|0)+8>>2];zD(e,h,4,(f[a+60>>2]|0)+(f[i+(b*20|0)+12>>2]<<2)|0,f[a+92>>2]|0);a=g+8|0;f[a>>2]=0;f[a+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=e;a=sK()|0;Haa(c,g,a,sK()|0,4,-1);a=e+36|0;g=f[a>>2]|0;if(g|0?(c=g+12|0,g=f[c>>2]|0,f[c>>2]=g+-1,(g|0)==1):0)aU(e);f[a>>2]=0;a=e+16|0;g=e+4|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;if((f[g>>2]|0)>0){a=f[e+40>>2]|0;c=0;do{f[a+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[g>>2]|0))}g=f[e+44>>2]|0;if((g|0)!=(e+48|0))TC(g);u=d;return}function cza(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;b=f[a+16>>2]|0;c=f[a+356>>2]|0;d=(f[c+4>>2]|0)-(f[c>>2]|0)>>4;e=a+364|0;g=f[e>>2]|0;h=g+4|0;i=f[h>>2]|0;j=f[g>>2]|0;k=i-j>>6;l=j;j=i;if(d>>>0<=k>>>0){if(d>>>0<k>>>0?(i=l+(d<<6)|0,(j|0)!=(i|0)):0)f[h>>2]=j+(~((j+-64-i|0)>>>6)<<6);i=f[g>>2]|0;f[a+380>>2]=i;if(!d){m=g;n=a+252|0;eza(m,n);return}else{o=i;p=g}}else{dza(g,d-k|0);k=f[e>>2]|0;e=f[k>>2]|0;f[a+380>>2]=e;o=e;p=k}k=o;o=f[c>>2]|0;c=0;do{e=f[o+(c<<4)>>2]|0;g=f[o+(c<<4)+4>>2]|0;i=f[o+(c<<4)+8>>2]|0;j=f[o+(c<<4)+12>>2]|0;h=Y(g,b)|0;f[k+(c<<6)>>2]=h+e;l=i+e|0;f[k+(c<<6)+4>>2]=l+h;q=Y(j+g|0,b)|0;f[k+(c<<6)+16>>2]=q+e;f[k+(c<<6)+20>>2]=q+l;r=(i<<1)+e|0;f[k+(c<<6)+8>>2]=r+h;s=r+i|0;f[k+(c<<6)+12>>2]=s+h;f[k+(c<<6)+24>>2]=q+r;f[k+(c<<6)+28>>2]=s+q;q=(j<<1)+g|0;g=Y(q,b)|0;f[k+(c<<6)+40>>2]=g+r;f[k+(c<<6)+44>>2]=g+s;h=Y(q+j|0,b)|0;f[k+(c<<6)+56>>2]=h+r;f[k+(c<<6)+60>>2]=h+s;f[k+(c<<6)+32>>2]=g+e;f[k+(c<<6)+36>>2]=g+l;f[k+(c<<6)+48>>2]=h+e;f[k+(c<<6)+52>>2]=h+l;c=c+1|0}while((c|0)!=(d|0));m=p;n=a+252|0;eza(m,n);return}function dza(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(d-g>>6>>>0>=b>>>0){h=b;i=g;do{j=i;k=j+64|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));i=(f[e>>2]|0)+64|0;f[e>>2]=i;h=h+-1|0}while((h|0)!=0);return}h=f[a>>2]|0;i=g-h>>6;g=i+b|0;if(g>>>0>67108863)nsc(a);l=d-h|0;h=l>>5;d=l>>6>>>0<33554431?(h>>>0<g>>>0?g:h):67108863;do if(d)if(d>>>0>67108863){h=ze(8)|0;kuc(h,519086);f[h>>2]=167148;Hf(h|0,26888,1888)}else{m=cuc(d<<6)|0;break}else m=0;while(0);h=m+(i<<6)|0;i=m+(d<<6)|0;d=b;b=h;m=h;do{j=b;k=j+64|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));b=m+64|0;m=b;d=d+-1|0}while((d|0)!=0);d=f[a>>2]|0;b=(f[e>>2]|0)-d|0;j=h+(0-(b>>6)<<6)|0;if((b|0)>0)szc(j|0,d|0,b|0)|0;f[a>>2]=j;f[e>>2]=m;f[c>>2]=i;if(!d)return;fuc(d);return}function eza(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;d=u;u=u+80|0;e=d+56|0;g=d;h=f[a>>2]|0;i=a+4|0;j=f[i>>2]|0;if((h|0)==(j|0)){k=c+24|0;l=f[k>>2]|0;if(l|0?(m=l+8|0,l=f[m>>2]|0,f[m>>2]=l+-1,(l|0)==1):0)WH(c);l=c+4|0;if((f[l>>2]|0)>0){m=f[c+32>>2]|0;n=0;do{f[m+(n<<2)>>2]=0;n=n+1|0}while((n|0)<(f[l>>2]|0))}f[k>>2]=0;o=f[a>>2]|0;p=f[i>>2]|0}else{o=h;p=j}j=p-o|0;p=o;f[g>>2]=1124007936;h=g+4|0;f[h>>2]=2;i=g+8|0;f[i>>2]=1;f[g+12>>2]=j;a=g+16|0;f[a>>2]=p;f[g+20>>2]=p;k=g+24|0;l=g+40|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;f[l>>2]=i;i=g+48|0;n=g+44|0;f[n>>2]=i;m=g+52|0;f[m>>2]=0;f[i>>2]=0;if((o|0)==0&(j|0)!=0){o=cuc(32)|0;f[e>>2]=o;f[e+8>>2]=-2147483616;f[e+4>>2]=28;q=o;r=466324;s=q+28|0;do{b[q>>0]=b[r>>0]|0;q=q+1|0;r=r+1|0}while((q|0)<(s|0));b[o+28>>0]=0;WD(-215,e,466353,466357,548)}f[i>>2]=j;f[m>>2]=1;m=p+j|0;f[g+28>>2]=m;f[k>>2]=m+(0-j)+j;YT(g);j=e+8|0;f[j>>2]=0;f[j+4>>2]=0;f[e>>2]=34209792;f[e+4>>2]=c;EI(g,e);e=g+36|0;c=f[e>>2]|0;if(c|0?(j=c+12|0,c=f[j>>2]|0,f[j>>2]=c+-1,(c|0)==1):0)aU(g);f[e>>2]=0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;if((f[h>>2]|0)>0){a=f[l>>2]|0;l=0;do{f[a+(l<<2)>>2]=0;l=l+1|0}while((l|0)<(f[h>>2]|0))}h=f[n>>2]|0;if((h|0)==(i|0)){u=d;return}TC(h);u=d;return}function fza(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0;b=a+8|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;f[b+16>>2]=0;f[b+20>>2]=0;f[b+24>>2]=0;f[b+28>>2]=0;f[a+44>>2]=1124007936;b=a+52|0;c=a+84|0;d=a+48|0;e=d+36|0;do{f[d>>2]=0;d=d+4|0}while((d|0)<(e|0));f[c>>2]=b;b=a+92|0;f[a+88>>2]=b;f[b>>2]=0;f[a+96>>2]=0;f[a+100>>2]=1124007936;b=a+108|0;c=a+140|0;d=a+104|0;e=d+36|0;do{f[d>>2]=0;d=d+4|0}while((d|0)<(e|0));f[c>>2]=b;b=a+148|0;f[a+144>>2]=b;f[b>>2]=0;f[a+152>>2]=0;f[a+156>>2]=1124007936;b=a+160|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;f[b+16>>2]=0;f[b+20>>2]=0;f[b+24>>2]=0;f[a+188>>2]=a+164;b=a+196|0;f[a+192>>2]=b;f[a+200>>2]=0;f[b>>2]=0;f[a+204>>2]=1124007936;b=a+208|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;f[b+16>>2]=0;f[b+20>>2]=0;f[b+24>>2]=0;f[a+236>>2]=a+212;b=a+244|0;f[a+240>>2]=b;f[a+248>>2]=0;f[b>>2]=0;f[a+252>>2]=1124007936;b=a+256|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;f[b+16>>2]=0;f[b+20>>2]=0;f[b+24>>2]=0;f[a+284>>2]=a+260;b=a+292|0;f[a+288>>2]=b;f[a+296>>2]=0;f[b>>2]=0;f[a+300>>2]=1124007936;b=a+304|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;f[b+16>>2]=0;f[b+20>>2]=0;f[b+24>>2]=0;f[a+332>>2]=a+308;b=a+340|0;f[a+336>>2]=b;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;f[a>>2]=85368;b=a+356|0;c=a+360|0;d=a+368|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;f[b+16>>2]=0;f[b+20>>2]=0;e=cuc(24)|0;f[e+4>>2]=0;f[e+8>>2]=0;f[e>>2]=85456;g=e+12|0;f[g>>2]=0;f[e+16>>2]=0;f[e+20>>2]=0;Wtc(e);f[b>>2]=g;g=f[c>>2]|0;f[c>>2]=e;if(g|0)Xtc(g);Xtc(e);e=cuc(24)|0;f[e+4>>2]=0;f[e+8>>2]=0;f[e>>2]=85484;g=e+12|0;f[g>>2]=0;f[e+16>>2]=0;f[e+20>>2]=0;Wtc(e);f[a+364>>2]=g;g=f[d>>2]|0;f[d>>2]=e;if(g|0)Xtc(g);Xtc(e);e=cuc(24)|0;f[e+4>>2]=0;f[e+8>>2]=0;f[e>>2]=85156;g=e+12|0;f[g>>2]=0;f[e+16>>2]=0;f[e+20>>2]=0;Wtc(e);f[a+348>>2]=g;g=a+352|0;d=f[g>>2]|0;f[g>>2]=e;if(!d){Xtc(e);h=a+380|0;f[h>>2]=0;i=a+384|0;f[i>>2]=0;return}Xtc(d);Xtc(e);h=a+380|0;f[h>>2]=0;i=a+384|0;f[i>>2]=0;return}function gza(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;Hya(a,b)|0;c=f[b+356>>2]|0;d=f[b+360>>2]|0;if(d|0)Wtc(d);f[a+356>>2]=c;c=a+360|0;e=f[c>>2]|0;f[c>>2]=d;if(e|0)Xtc(e);e=f[b+364>>2]|0;d=f[b+368>>2]|0;if(d|0)Wtc(d);f[a+364>>2]=e;e=a+368|0;c=f[e>>2]|0;f[e>>2]=d;if(c|0)Xtc(c);c=f[b+372>>2]|0;d=f[b+376>>2]|0;if(d|0)Wtc(d);f[a+372>>2]=c;c=a+376|0;e=f[c>>2]|0;f[c>>2]=d;if(!e){g=a+380|0;h=b+380|0;i=h;j=i;k=f[j>>2]|0;l=i+4|0;m=l;n=f[m>>2]|0;o=g;p=o;f[p>>2]=k;q=o+4|0;r=q;f[r>>2]=n;return a|0}Xtc(e);g=a+380|0;h=b+380|0;i=h;j=i;k=f[j>>2]|0;l=i+4|0;m=l;n=f[m>>2]|0;o=g;p=o;f[p>>2]=k;q=o+4|0;r=q;f[r>>2]=n;return a|0}function hza(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=85484;b=f[a+12>>2]|0;if(!b){Qtc(a);return}c=a+16|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-64-b|0)>>>6)<<6);fuc(b);Qtc(a);return}function iza(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=85484;b=f[a+12>>2]|0;if(!b){Qtc(a);fuc(a);return}c=a+16|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-64-b|0)>>>6)<<6);fuc(b);Qtc(a);fuc(a);return}function jza(a){a=a|0;var b=0,c=0;b=f[a+12>>2]|0;if(!b)return;c=a+16|0;a=f[c>>2]|0;if((a|0)!=(b|0))f[c>>2]=a+(~((a+-64-b|0)>>>6)<<6);fuc(b);return}function kza(a){a=a|0;fuc(a);return}function lza(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=85456;b=f[a+12>>2]|0;if(!b){Qtc(a);return}c=a+16|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-16-b|0)>>>4)<<4);fuc(b);Qtc(a);return}function mza(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=85456;b=f[a+12>>2]|0;if(!b){Qtc(a);fuc(a);return}c=a+16|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-16-b|0)>>>4)<<4);fuc(b);Qtc(a);fuc(a);return}function nza(a){a=a|0;var b=0,c=0;b=f[a+12>>2]|0;if(!b)return;c=a+16|0;a=f[c>>2]|0;if((a|0)!=(b|0))f[c>>2]=a+(~((a+-16-b|0)>>>4)<<4);fuc(b);return}function oza(a){a=a|0;fuc(a);return}function pza(a){a=a|0;var b=0,c=0;f[a>>2]=85428;b=a+12|0;f[b>>2]=85368;c=f[a+388>>2]|0;if(c|0)Xtc(c);c=f[a+380>>2]|0;if(c|0)Xtc(c);c=f[a+372>>2]|0;if(!c){_xa(b);Qtc(a);return}Xtc(c);_xa(b);Qtc(a);return}function qza(a){a=a|0;var b=0,c=0;f[a>>2]=85428;b=a+12|0;f[b>>2]=85368;c=f[a+388>>2]|0;if(c|0)Xtc(c);c=f[a+380>>2]|0;if(c|0)Xtc(c);c=f[a+372>>2]|0;if(!c){_xa(b);Qtc(a);fuc(a);return}Xtc(c);_xa(b);Qtc(a);fuc(a);return}function rza(a){a=a|0;var b=0,c=0;b=a+12|0;f[b>>2]=85368;c=f[a+388>>2]|0;if(c|0)Xtc(c);c=f[a+380>>2]|0;if(c|0)Xtc(c);c=f[a+372>>2]|0;if(!c){_xa(b);return}Xtc(c);_xa(b);return}function sza(a){a=a|0;fuc(a);return}function tza(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(d-g>>4>>>0>=b>>>0){h=b;i=g;do{f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;i=(f[e>>2]|0)+16|0;f[e>>2]=i;h=h+-1|0}while((h|0)!=0);return}h=f[a>>2]|0;i=g-h>>4;g=i+b|0;if(g>>>0>268435455)nsc(a);j=d-h|0;h=j>>3;d=j>>4>>>0<134217727?(h>>>0<g>>>0?g:h):268435455;do if(d)if(d>>>0>268435455){h=ze(8)|0;kuc(h,519086);f[h>>2]=167148;Hf(h|0,26888,1888)}else{k=cuc(d<<4)|0;break}else k=0;while(0);h=k+(i<<4)|0;i=h;g=k+(d<<4)|0;d=b;b=h;k=i;do{f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;b=k+16|0;k=b;d=d+-1|0}while((d|0)!=0);d=g;g=f[a>>2]|0;b=f[e>>2]|0;j=g;if((b|0)==(g|0)){l=i;m=j}else{i=b+-16-j|0;j=b;b=h;while(1){n=j;j=j+-16|0;f[b+-16>>2]=f[j>>2];f[b+-12>>2]=f[n+-12>>2];f[b+-8>>2]=f[n+-8>>2];f[b+-4>>2]=f[n+-4>>2];if((j|0)==(g|0))break;else b=b+-16|0}l=h+(~(i>>>4)<<4)|0;m=f[a>>2]|0}f[a>>2]=l;f[e>>2]=k;f[c>>2]=d;if(!m)return;fuc(m);return}function uza(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=u;u=u+64|0;d=c+56|0;e=c+48|0;g=c;UM(e,b,375710);VM(g,f[e>>2]|0,f[e+4>>2]|0,0);e=f[g+20>>2]|0;f[d>>2]=f[g>>2];f[d+4>>2]=e;dN(d,a,0);e=XM(g)|0;b=f[g+20>>2]|0;f[d>>2]=f[g>>2];f[d+4>>2]=b;dN(d,a+4|0,0);b=XM(e)|0;e=f[g+20>>2]|0;f[d>>2]=f[g>>2];f[d+4>>2]=e;dN(d,a+8|0,0);e=XM(b)|0;b=f[g+20>>2]|0;f[d>>2]=f[g>>2];f[d+4>>2]=b;dN(d,a+12|0,0);XM(e)|0;u=c;return 1}function vza(a){a=a|0;var b=0,c=0;f[a>>2]=85512;_tc(a+416|0);VH(a+368|0);VH(a+320|0);VH(a+272|0);VH(a+224|0);VH(a+176|0);VH(a+128|0);b=f[a+124>>2]|0;if(b|0)Xtc(b);b=f[a+116>>2]|0;if(b|0)Xtc(b);b=f[a+108>>2]|0;if(!b){c=a+4|0;aAa(c);DG(a);return}Xtc(b);c=a+4|0;aAa(c);DG(a);return}function wza(a){a=a|0;vza(a);fuc(a);return}function xza(a,b){a=a|0;b=b|0;bAa(a,b)|0;return}function yza(a){a=a|0;var b=0;if(f[a+112>>2]|0){b=0;return b|0}b=(f[a+32>>2]|0)==(f[a+36>>2]|0);return b|0}function zza(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=u;u=u+240|0;e=d+136|0;g=d+92|0;h=d+48|0;i=d+8|0;j=d;k=a+112|0;f[k>>2]=0;l=a+116|0;m=f[l>>2]|0;f[l>>2]=0;if(m|0)Xtc(m);m=e;n=m+100|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));$za(a+4|0,e)|0;aAa(e);f[a+104>>2]=0;m=a+108|0;n=f[m>>2]|0;f[m>>2]=0;if(n|0)Xtc(n);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;MM(i,c,0,e);if((b[e+11>>0]|0)<0)fuc(f[e>>2]|0);if(!(DM(i)|0)){o=0;AM(i);u=d;return o|0}OM(e,i,0);n=e+4|0;VM(g,f[e>>2]|0,f[n>>2]|0,0);m=f[e>>2]|0;p=f[n>>2]|0;VM(h,m,p,WM(e)|0);e=f[g>>2]|0;p=e;if((((e|0)==(f[h>>2]|0)?(f[g+4>>2]|0)==(f[h+4>>2]|0):0)?(f[g+20>>2]|0)==(f[h+20>>2]|0):0)?(f[g+40>>2]|0)==(f[h+40>>2]|0):0){f[j>>2]=0;f[j+4>>2]=0}else{h=f[g+20>>2]|0;f[j>>2]=p;f[j+4>>2]=h}if(bAa(a,j)|0){o=1;AM(i);u=d;return o|0}EM(i);j=J_((b[c+11>>0]|0)<0?f[c>>2]|0:c,0,0,0)|0;c=j;a=cuc(16)|0;f[a+4>>2]=0;f[a+8>>2]=0;f[a>>2]=85892;f[a+12>>2]=c;f[k>>2]=c;c=f[l>>2]|0;f[l>>2]=a;if(!c)q=j;else{Xtc(c);q=f[k>>2]|0}o=(q|0)!=0;AM(i);u=d;return o|0}function Aza(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;j=u;u=u+48|0;k=j+40|0;l=j+28|0;m=j+16|0;n=j+8|0;o=j;gV(k,85864);f[l>>2]=0;p=l+4|0;f[p>>2]=0;f[l+8>>2]=0;f[m>>2]=0;q=m+4|0;f[q>>2]=0;f[m+8>>2]=0;f[n>>2]=f[h>>2];f[n+4>>2]=f[h+4>>2];f[o>>2]=f[i>>2];f[o+4>>2]=f[i+4>>2];Cza(a,b,c,l,m,d,e,g,n,o,0);o=f[m>>2]|0;if(o|0){m=f[q>>2]|0;if((m|0)!=(o|0))f[q>>2]=m+(~((m+-8-o|0)>>>3)<<3);fuc(o)}o=f[l>>2]|0;if(o|0){l=f[p>>2]|0;if((l|0)!=(o|0))f[p>>2]=l+(~((l+-4-o|0)>>>2)<<2);fuc(o)}if(!(f[k+4>>2]|0)){u=j;return}u=j;return}function Bza(a,c,d,e,g,h,i,j,k){a=a|0;c=c|0;d=d|0;e=e|0;g=+g;h=h|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0;l=u;u=u+144|0;m=l+136|0;n=l+80|0;o=l+68|0;p=l+56|0;q=l+32|0;r=l+48|0;s=l+24|0;t=l+16|0;v=l+8|0;w=l;gV(m,85824);do if((qJ(c)|0)==65536){x=f[c+4>>2]|0;f[n>>2]=f[x>>2];y=n+4|0;z=x+4|0;f[y>>2]=f[z>>2];A=n+8|0;f[A>>2]=f[x+8>>2];f[n+12>>2]=f[x+12>>2];f[n+16>>2]=f[x+16>>2];f[n+20>>2]=f[x+20>>2];f[n+24>>2]=f[x+24>>2];f[n+28>>2]=f[x+28>>2];f[n+32>>2]=f[x+32>>2];B=f[x+36>>2]|0;f[n+36>>2]=B;f[n+40>>2]=A;A=n+48|0;C=n+44|0;f[C>>2]=A;f[A>>2]=0;f[n+52>>2]=0;if(B|0){A=B+12|0;f[A>>2]=(f[A>>2]|0)+1}if((f[z>>2]|0)<3){z=f[x+44>>2]|0;A=f[C>>2]|0;f[A>>2]=f[z>>2];f[A+4>>2]=f[z+4>>2];break}else{f[y>>2]=0;$T(n,x);break}}else nJ(n,c,-1);while(0);if(!(g>1.0)){f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;D=cuc(48)|0;f[o>>2]=D;E=o+8|0;f[E>>2]=-2147483600;F=o+4|0;f[F>>2]=41;G=D;H=377402;I=G+41|0;do{b[G>>0]=b[H>>0]|0;G=G+1|0;H=H+1|0}while((G|0)<(I|0));J=D+41|0;b[J>>0]=0;WD(-215,o,375778,374668,1420)}if(f[n>>2]&7|0){f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;D=cuc(48)|0;f[o>>2]=D;E=o+8|0;f[E>>2]=-2147483600;F=o+4|0;f[F>>2]=41;G=D;H=377402;I=G+41|0;do{b[G>>0]=b[H>>0]|0;G=G+1|0;H=H+1|0}while((G|0)<(I|0));J=D+41|0;b[J>>0]=0;WD(-215,o,375778,374668,1420)}J=f[a+112>>2]|0;D=(J|0)==0;H=J;if(!(D?(f[a+32>>2]|0)==(f[a+36>>2]|0):0)){f[o>>2]=0;J=o+4|0;f[J>>2]=0;f[o+8>>2]=0;f[p>>2]=0;G=p+4|0;f[G>>2]=0;f[p+8>>2]=0;if(!D){f[q>>2]=0;D=q+4|0;f[D>>2]=0;f[q+8>>2]=0;f[r>>2]=H;H=f[a+116>>2]|0;f[r+4>>2]=H;I=(H|0)==0;if(!I)Wtc(H);f[s>>2]=f[j>>2];f[s+4>>2]=f[j+4>>2];f[t>>2]=f[k>>2];f[t+4>>2]=f[k+4>>2];Jza(n,r,d,o,p,q,g,h,i,s,t,0);if(!I)Xtc(H);H=f[D>>2]|0;I=f[q>>2]|0;t=(H-I|0)/20|0;s=e+4|0;i=f[s>>2]|0;r=f[e>>2]|0;F=i-r>>2;E=r;r=i;i=I;I=H;if(t>>>0<=F>>>0)if(t>>>0<F>>>0?(H=E+(t<<2)|0,(r|0)!=(H|0)):0){f[s>>2]=r+(~((r+-4-H|0)>>>2)<<2);K=i;L=I;M=E}else{K=i;L=I;M=E}else{OJ(e,t-F|0);K=f[q>>2]|0;L=f[D>>2]|0;M=f[e>>2]|0}if((K|0)!=(L|0)){F=K;t=M;while(1){f[t>>2]=f[F+16>>2];F=F+20|0;if((F|0)==(L|0))break;else t=t+4|0}}if(K|0){if((L|0)!=(K|0))f[D>>2]=L+(~(((L+-20-K|0)>>>0)/20|0)*20|0);fuc(K)}}else{f[q+8>>2]=0;f[q+12>>2]=0;f[q>>2]=16842752;f[q+4>>2]=n;f[v>>2]=f[j>>2];f[v+4>>2]=f[j+4>>2];f[w>>2]=f[k>>2];f[w+4>>2]=f[k+4>>2];Kza(a,q,d,o,p,g,v,w,0);_za(d,e,h,.2)}h=f[p>>2]|0;if(h|0){p=f[G>>2]|0;if((p|0)!=(h|0))f[G>>2]=p+(~((p+-8-h|0)>>>3)<<3);fuc(h)}h=f[o>>2]|0;if(h|0){o=f[J>>2]|0;if((o|0)!=(h|0))f[J>>2]=o+(~((o+-4-h|0)>>>2)<<2);fuc(h)}}h=n+36|0;o=f[h>>2]|0;if(o|0?(J=o+12|0,o=f[J>>2]|0,f[J>>2]=o+-1,(o|0)==1):0)aU(n);f[h>>2]=0;h=n+16|0;o=n+4|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;if((f[o>>2]|0)>0){h=f[n+40>>2]|0;J=0;do{f[h+(J<<2)>>2]=0;J=J+1|0}while((J|0)<(f[o>>2]|0))}o=f[n+44>>2]|0;if((o|0)!=(n+48|0))TC(o);if(!(f[m+4>>2]|0)){u=l;return}u=l;return}function Cza(a,c,d,e,g,h,i,j,k,l,m){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=+h;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0;n=u;u=u+128|0;o=n+64|0;p=n+56|0;q=n+24|0;r=n+48|0;s=n+40|0;t=n+16|0;v=n+8|0;w=n;gV(p,85584);if(!(h>1.0)){f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;x=cuc(48)|0;f[o>>2]=x;y=o+8|0;f[y>>2]=-2147483600;z=o+4|0;f[z>>2]=42;A=x;B=375735;C=A+42|0;do{b[A>>0]=b[B>>0]|0;A=A+1|0;B=B+1|0}while((A|0)<(C|0));D=x+42|0;b[D>>0]=0;WD(-215,o,375778,374668,1372)}if(CJ(c,-1)|0){f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;x=cuc(48)|0;f[o>>2]=x;y=o+8|0;f[y>>2]=-2147483600;z=o+4|0;f[z>>2]=42;A=x;B=375735;C=A+42|0;do{b[A>>0]=b[B>>0]|0;A=A+1|0;B=B+1|0}while((A|0)<(C|0));D=x+42|0;b[D>>0]=0;WD(-215,o,375778,374668,1372)}do if(!(f[a+112>>2]|0)){if((f[a+32>>2]|0)!=(f[a+36>>2]|0)){f[v>>2]=f[k>>2];f[v+4>>2]=f[k+4>>2];f[w>>2]=f[l>>2];f[w+4>>2]=f[l+4>>2];Kza(a,c,d,e,g,h,v,w,m);if(!m){Mza(d,i,.2);break}gV(o,85604);Lza(d,i,.2,e,g)}}else{do if((qJ(c)|0)==65536){D=f[c+4>>2]|0;f[o>>2]=f[D>>2];x=o+4|0;B=D+4|0;f[x>>2]=f[B>>2];A=o+8|0;f[A>>2]=f[D+8>>2];f[o+12>>2]=f[D+12>>2];f[o+16>>2]=f[D+16>>2];f[o+20>>2]=f[D+20>>2];f[o+24>>2]=f[D+24>>2];f[o+28>>2]=f[D+28>>2];f[o+32>>2]=f[D+32>>2];C=f[D+36>>2]|0;f[o+36>>2]=C;f[o+40>>2]=A;A=o+48|0;z=o+44|0;f[z>>2]=A;f[A>>2]=0;f[o+52>>2]=0;if(C|0){A=C+12|0;f[A>>2]=(f[A>>2]|0)+1}if((f[B>>2]|0)<3){B=f[D+44>>2]|0;A=f[z>>2]|0;f[A>>2]=f[B>>2];f[A+4>>2]=f[B+4>>2];break}else{f[x>>2]=0;$T(o,D);break}}else nJ(o,c,-1);while(0);f[q>>2]=0;D=q+4|0;f[D>>2]=0;f[q+8>>2]=0;f[r>>2]=f[a+112>>2];x=f[a+116>>2]|0;f[r+4>>2]=x;B=(x|0)==0;if(!B)Wtc(x);f[s>>2]=f[k>>2];f[s+4>>2]=f[k+4>>2];f[t>>2]=f[l>>2];f[t+4>>2]=f[l+4>>2];Jza(o,r,d,e,g,q,h,i,j,s,t,m);if(!B)Xtc(x);x=f[q>>2]|0;if(x|0){B=f[D>>2]|0;if((B|0)!=(x|0))f[D>>2]=B+(~(((B+-20-x|0)>>>0)/20|0)*20|0);fuc(x)}x=o+36|0;B=f[x>>2]|0;if(B|0?(D=B+12|0,B=f[D>>2]|0,f[D>>2]=B+-1,(B|0)==1):0)aU(o);f[x>>2]=0;x=o+16|0;B=o+4|0;f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;f[x+12>>2]=0;if((f[B>>2]|0)>0){x=f[o+40>>2]|0;D=0;do{f[x+(D<<2)>>2]=0;D=D+1|0}while((D|0)<(f[B>>2]|0))}B=f[o+44>>2]|0;if((B|0)!=(o+48|0))TC(B)}while(0);if(!(f[p+4>>2]|0)){u=n;return}u=n;return}function Dza(a){a=a|0;return (f[a+112>>2]|0)!=0|0}function Eza(a,b){a=a|0;b=b|0;f[a>>2]=f[b+24>>2];f[a+4>>2]=f[b+28>>2];return}function Fza(a){a=a|0;var b=0;b=f[a+104>>2]|0;return di[f[(f[b>>2]|0)+16>>2]&1023](b)|0}function Gza(a){a=a|0;return f[a+112>>2]|0}function Hza(a,b){a=a|0;b=b|0;var c=0,d=0;c=f[b>>2]|0;d=f[b+4>>2]|0;if(d|0)Wtc(d);f[a+120>>2]=c;c=a+124|0;a=f[c>>2]|0;f[c>>2]=d;if(!a)return;Xtc(a);return}function Iza(a,b){a=a|0;b=b|0;var c=0;f[a>>2]=f[b+120>>2];c=f[b+124>>2]|0;f[a+4>>2]=c;if(!c)return;Wtc(c);return}function Jza(a,c,d,e,g,h,i,j,k,l,m,n){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=+i;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;o=u;u=u+64|0;p=o;q=o+56|0;r=o+12|0;s=o+48|0;t=o+40|0;v=uK(0)|0;w=cuc(16)|0;f[w+4>>2]=0;f[w+8>>2]=0;f[w>>2]=83076;f[w+12>>2]=v;x=f[a+8>>2]|0;y=(f[a+4>>2]|0)==1?1:f[a+12>>2]|0;z=f[a>>2]|0;A=f[a+16>>2]|0;f[r+8>>2]=0;f[r+12>>2]=0;f[r+16>>2]=A;f[r+20>>2]=x;f[r+24>>2]=y;f[r+4>>2]=f[f[a+44>>2]>>2];f[r>>2]=z&20479|1111621632;z=f[c>>2]|0;c=f[l+4>>2]|0;f[s>>2]=f[l>>2];f[s+4>>2]=c;c=f[m+4>>2]|0;f[t>>2]=f[m>>2];f[t+4>>2]=c;f[q>>2]=f[s>>2];f[q+4>>2]=f[s+4>>2];f[p>>2]=f[t>>2];f[p+4>>2]=f[t+4>>2];t=$Ba(r,z,v,e,g,i,j,k,q,p,n)|0;do if(t)if((f[t+28>>2]|0)==20){B=q;C=f[t+24>>2]|0;break}else{n=cuc(48)|0;f[p>>2]=n;f[p+8>>2]=-2147483600;f[p+4>>2]=39;k=n;j=377106;g=k+39|0;do{b[k>>0]=b[j>>0]|0;k=k+1|0;j=j+1|0}while((k|0)<(g|0));b[n+39>>0]=0;WD(-215,p,377146,377150,2965)}else{B=q;C=0}while(0);B=h+4|0;j=f[B>>2]|0;k=f[h>>2]|0;g=(j-k|0)/20|0;e=k;k=j;if(C>>>0<=g>>>0){if(C>>>0<g>>>0?(j=e+(C*20|0)|0,(k|0)!=(j|0)):0)f[B>>2]=k+(~(((k+-20-j|0)>>>0)/20|0)*20|0)}else Yza(h,C-g|0);if((t|0)!=0&(C|0)!=0){C=f[h>>2]|0;f[q>>2]=0;f[q+4>>2]=1073741823;f[p>>2]=f[q>>2];f[p+4>>2]=f[q+4>>2];GK(t,C,p)|0}p=f[B>>2]|0;C=f[h>>2]|0;t=(p-C|0)/20|0;q=d+4|0;g=f[q>>2]|0;j=f[d>>2]|0;k=g-j>>4;e=j;j=g;g=C;C=p;if(t>>>0<=k>>>0)if(t>>>0<k>>>0?(p=e+(t<<4)|0,(j|0)!=(p|0)):0){f[q>>2]=j+(~((j+-16-p|0)>>>4)<<4);D=e;E=g;F=C}else{D=e;E=g;F=C}else{Zza(d,t-k|0);D=f[d>>2]|0;E=f[h>>2]|0;F=f[B>>2]|0}if((E|0)==(F|0)){Xtc(w);u=o;return}else{G=E;H=D}while(1){D=f[G+4>>2]|0;E=f[G+8>>2]|0;B=f[G+12>>2]|0;f[H>>2]=f[G>>2];f[H+4>>2]=D;f[H+8>>2]=E;f[H+12>>2]=B;G=G+20|0;if((G|0)==(F|0))break;else H=H+16|0}Xtc(w);u=o;return}function Kza(a,c,d,e,g,h,i,j,k){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=+h;i=i|0;j=j|0;k=k|0;var l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0.0,R=0.0,S=0.0,T=0,U=0,V=0.0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0.0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0;l=u;u=u+1360|0;m=l+1240|0;o=l+1232|0;q=l+1224|0;r=l+1212|0;s=l+1200|0;t=l;v=l+1184|0;w=l+1128|0;x=l+64|0;y=l+56|0;gV(o,85664);oJ(q,c,-1);z=a+24|0;A=f[z>>2]|0;B=a+28|0;C=f[B>>2]|0;D=j+4|0;if((f[D>>2]|0)!=0?(f[j>>2]|0)!=0:0){E=q+4|0;F=E;G=f[E>>2]|0}else{f[j>>2]=f[q>>2];E=q+4|0;H=f[E>>2]|0;f[D>>2]=H;F=E;G=H}if((G|0)>=(C|0)?(H=f[q>>2]|0,(H|0)>=(A|0)):0){f[r>>2]=0;E=r+4|0;f[E>>2]=0;f[r+8>>2]=0;f[s>>2]=0;I=s+4|0;f[I>>2]=0;f[s+8>>2]=0;J=r+8|0;K=cuc(4096)|0;L=K;M=K+4096|0;f[r>>2]=L;f[E>>2]=L;f[J>>2]=M;N=s+8|0;O=cuc(4096)|0;P=O;f[s>>2]=P;f[I>>2]=P;f[N>>2]=O+4096;Q=+(A|0);O=Fhc(Q)|0;R=+(C|0);a:do if(!((O|0)>(H|0)|(Fhc(R)|0)>(G|0))){S=1.0;P=K;T=H;U=M;while(1){V=S;n[m>>2]=V;if(P>>>0<U>>>0){n[P>>2]=V;f[E>>2]=P+4;W=T}else{Bw(r,m);W=f[q>>2]|0}V=S*h;X=Fhc(Q*V)|0;Z=Fhc(R*V)|0;if((X|0)>(W|0)?1:(Z|0)>(f[F>>2]|0))break;S=V;P=f[E>>2]|0;T=W;U=f[J>>2]|0}U=f[E>>2]|0;T=f[r>>2]|0;P=T;Z=U;if((U|0)==(T|0)){_=E;$=P;aa=Z;ba=T;ca=T;da=P;ea=P}else{S=+(A|0);V=+(C|0);X=i+4|0;fa=0;ga=P;ha=P;ia=Z;Z=P;ja=T;T=U;U=P;while(1){P=U+(fa<<2)|0;ka=+n[P>>2];la=Ghc(S*ka)|0;ma=Ghc(V*ka)|0;if((la|0)>(f[j>>2]|0)){_=E;$=Z;aa=ia;ba=T;ca=ja;da=ga;ea=ha;break a}if((ma|0)>(f[D>>2]|0)){_=E;$=Z;aa=ia;ba=T;ca=ja;da=ga;ea=ha;break a}do if((la|0)>=(f[i>>2]|0)?(ma|0)>=(f[X>>2]|0):0){na=f[I>>2]|0;if((na|0)==(f[N>>2]|0)){us(s,P);oa=f[E>>2]|0;pa=f[r>>2]|0;qa=pa;ra=qa;sa=qa;ta=oa;ua=qa;va=pa;wa=oa;break}else{n[na>>2]=ka;f[I>>2]=na+4;ra=ga;sa=ha;ta=ia;ua=Z;va=ja;wa=T;break}}else{ra=ga;sa=ha;ta=ia;ua=Z;va=ja;wa=T}while(0);fa=fa+1|0;if(fa>>>0>=wa-va>>2>>>0){_=E;$=ua;aa=ta;ba=wa;ca=va;da=ra;ea=sa;break}else{ga=ra;ha=sa;ia=ta;Z=ua;ja=va;T=wa;U=va}}}}else{_=E;$=K;aa=K;ba=L;ca=L;da=K;ea=K}while(0);if(!(($|0)==(aa|0)?1:(f[s>>2]|0)!=(f[I>>2]|0))){f[m>>2]=0;aa=m+4|0;f[aa>>2]=0;f[m+8>>2]=0;if((ba|0)!=(ca|0)){R=+(A|0);Q=+(C|0);C=i+4|0;A=m+8|0;$=0;K=ea;ea=0;L=0;va=da;wa=ca;ca=ba;while(1){h=+n[K+($<<2)>>2];ba=Ghc(R*h)|0;ua=Ghc(Q*h)|0;ta=(f[i>>2]|0)-ba|0;ba=Y(ta,ta)|0;ta=(f[C>>2]|0)-ua|0;h=+((Y(ta,ta)|0)+ba|0);p[t>>3]=h;if((ea|0)==(L|0)){Ks(m,t);ba=f[r>>2]|0;xa=ba;ya=f[_>>2]|0;za=ba}else{p[ea>>3]=h;f[aa>>2]=ea+8;xa=wa;ya=ca;za=va}ba=$+1|0;if(ba>>>0>=ya-xa>>2>>>0)break;$=ba;K=xa;ea=f[aa>>2]|0;L=f[A>>2]|0;va=za;wa=xa;ca=ya}ya=f[m>>2]|0;ca=ya;if((f[aa>>2]|0)==(ya|0)){Aa=0;Ba=za;Ca=ca}else{xa=(f[aa>>2]|0)-ya>>3;ya=0;wa=0;while(1){va=+p[ca+(wa<<3)>>3]>+p[ca+(ya<<3)>>3]?ya:wa;ya=ya+1|0;if(ya>>>0>=xa>>>0){Aa=va;Ba=za;Ca=ca;break}else wa=va}}}else{Aa=0;Ba=da;Ca=0}da=Ba+(Aa<<2)|0;Aa=f[I>>2]|0;if((Aa|0)==(f[N>>2]|0)){us(s,da);Da=f[m>>2]|0}else{f[Aa>>2]=f[da>>2];f[I>>2]=Aa+4;Da=Ca}if(Da|0){Ca=f[aa>>2]|0;if((Ca|0)!=(Da|0))f[aa>>2]=Ca+(~((Ca+-8-Da|0)>>>3)<<3);fuc(Da)}}Da=f[d>>2]|0;Ca=d+4|0;aa=f[Ca>>2]|0;if((aa|0)!=(Da|0))f[Ca>>2]=aa+(~((aa+-16-Da|0)>>>4)<<4);Da=f[e>>2]|0;aa=e+4|0;Ca=f[aa>>2]|0;if((Ca|0)!=(Da|0))f[aa>>2]=Ca+(~((Ca+-4-Da|0)>>>2)<<2);Da=f[g>>2]|0;Ca=g+4|0;aa=f[Ca>>2]|0;if((aa|0)!=(Da|0))f[Ca>>2]=aa+(~((aa+-8-Da|0)>>>3)<<3);f[t>>2]=1124007936;Da=t+4|0;aa=t+8|0;Ca=t+40|0;Aa=Da;da=Aa+36|0;do{f[Aa>>2]=0;Aa=Aa+4|0}while((Aa|0)<(da|0));f[Ca>>2]=aa;N=t+48|0;Ba=t+44|0;f[Ba>>2]=N;f[N>>2]=0;f[t+52>>2]=0;f[v>>2]=0;f[v+4>>2]=0;f[v+8>>2]=0;f[v+12>>2]=0;do if((DJ(c,-1)|0)<=1){if((qJ(c)|0)!=65536){wa=m+8|0;f[wa>>2]=0;f[wa+4>>2]=0;f[m>>2]=33619968;f[m+4>>2]=t;GJ(c,m);break}do if((qJ(c)|0)==65536){wa=f[c+4>>2]|0;f[m>>2]=f[wa>>2];ca=m+4|0;za=wa+4|0;f[ca>>2]=f[za>>2];xa=m+8|0;f[xa>>2]=f[wa+8>>2];f[m+12>>2]=f[wa+12>>2];f[m+16>>2]=f[wa+16>>2];f[m+20>>2]=f[wa+20>>2];f[m+24>>2]=f[wa+24>>2];f[m+28>>2]=f[wa+28>>2];f[m+32>>2]=f[wa+32>>2];ya=f[wa+36>>2]|0;f[m+36>>2]=ya;f[m+40>>2]=xa;xa=m+48|0;va=m+44|0;f[va>>2]=xa;f[xa>>2]=0;f[m+52>>2]=0;if(ya|0){xa=ya+12|0;f[xa>>2]=(f[xa>>2]|0)+1}if((f[za>>2]|0)<3){za=f[wa+44>>2]|0;xa=f[va>>2]|0;f[xa>>2]=f[za>>2];f[xa+4>>2]=f[za+4>>2];break}else{f[ca>>2]=0;$T(m,wa);break}}else nJ(m,c,-1);while(0);wa=t+36|0;ca=f[wa>>2]|0;if(ca|0?(za=ca+12|0,ca=f[za>>2]|0,f[za>>2]=ca+-1,(ca|0)==1):0)aU(t);f[wa>>2]=0;ca=t+16|0;f[ca>>2]=0;f[ca+4>>2]=0;f[ca+8>>2]=0;f[ca+12>>2]=0;if((f[Da>>2]|0)>0){za=f[Ca>>2]|0;xa=0;do{f[za+(xa<<2)>>2]=0;xa=xa+1|0}while((xa|0)<(f[Da>>2]|0))}f[t>>2]=f[m>>2];xa=m+4|0;za=f[xa>>2]|0;f[Da>>2]=za;va=m+8|0;f[aa>>2]=f[va>>2];f[t+12>>2]=f[m+12>>2];ya=m+16|0;f[ca>>2]=f[ya>>2];f[t+20>>2]=f[m+20>>2];f[t+24>>2]=f[m+24>>2];f[t+28>>2]=f[m+28>>2];f[t+32>>2]=f[m+32>>2];A=m+36|0;f[wa>>2]=f[A>>2];L=t+44|0;ea=f[L>>2]|0;if((ea|0)==(N|0))Ea=za;else{TC(ea);f[L>>2]=N;f[Ca>>2]=aa;Ea=f[xa>>2]|0}ea=m+44|0;if((Ea|0)<3){za=f[ea>>2]|0;f[N>>2]=f[za>>2];f[t+52>>2]=f[za+4>>2];Fa=za}else{f[L>>2]=f[ea>>2];L=m+40|0;f[t+40>>2]=f[L>>2];za=m+48|0;f[ea>>2]=za;f[L>>2]=va;Fa=za}f[m>>2]=1124007936;f[xa>>2]=0;f[xa+4>>2]=0;f[xa+8>>2]=0;f[xa+12>>2]=0;f[xa+16>>2]=0;f[xa+20>>2]=0;f[xa+24>>2]=0;f[xa+28>>2]=0;f[A>>2]=0;f[ya>>2]=0;f[ya+4>>2]=0;f[ya+8>>2]=0;f[ya+12>>2]=0;if((Fa|0)!=(m+48|0))TC(Fa)}else{ya=m+8|0;f[ya>>2]=0;f[ya+4>>2]=0;f[m>>2]=33619968;f[m+4>>2]=t;cha(c,m,6,0)}while(0);f[v>>2]=16842752;c=v+4|0;f[c>>2]=t;f[v+8>>2]=0;f[v+12>>2]=0;Fa=a+104|0;Ea=f[Fa>>2]|0;if(li[f[(f[Ea>>2]|0)+20>>2]&511](Ea,v,s)|0){Ea=f[Fa>>2]|0;bi[f[(f[Ea>>2]|0)+32>>2]&2047](Ea);f[w>>2]=1124007936;Ea=w+4|0;aa=w+8|0;ya=w+40|0;Aa=Ea;da=Aa+36|0;do{f[Aa>>2]=0;Aa=Aa+4|0}while((Aa|0)<(da|0));f[ya>>2]=aa;A=w+48|0;xa=w+44|0;f[xa>>2]=A;f[A>>2]=0;f[w+52>>2]=0;za=f[a+120>>2]|0;if(za|0){va=f[(f[za>>2]|0)+8>>2]|0;do if((qJ(v)|0)==65536){L=f[c>>2]|0;f[x>>2]=f[L>>2];ea=x+4|0;K=L+4|0;f[ea>>2]=f[K>>2];$=x+8|0;f[$>>2]=f[L+8>>2];f[x+12>>2]=f[L+12>>2];f[x+16>>2]=f[L+16>>2];f[x+20>>2]=f[L+20>>2];f[x+24>>2]=f[L+24>>2];f[x+28>>2]=f[L+28>>2];f[x+32>>2]=f[L+32>>2];_=f[L+36>>2]|0;f[x+36>>2]=_;f[x+40>>2]=$;$=x+48|0;C=x+44|0;f[C>>2]=$;f[$>>2]=0;f[x+52>>2]=0;if(_|0){$=_+12|0;f[$>>2]=(f[$>>2]|0)+1}if((f[K>>2]|0)<3){K=f[L+44>>2]|0;$=f[C>>2]|0;f[$>>2]=f[K>>2];f[$+4>>2]=f[K+4>>2];break}else{f[ea>>2]=0;$T(x,L);break}}else nJ(x,v,-1);while(0);Zh[va&511](m,za,x);za=w+36|0;va=f[za>>2]|0;if(va|0?(v=va+12|0,va=f[v>>2]|0,f[v>>2]=va+-1,(va|0)==1):0)aU(w);f[za>>2]=0;va=w+16|0;f[va>>2]=0;f[va+4>>2]=0;f[va+8>>2]=0;f[va+12>>2]=0;if((f[Ea>>2]|0)>0){v=f[ya>>2]|0;c=0;do{f[v+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[Ea>>2]|0))}f[w>>2]=f[m>>2];c=m+4|0;v=f[c>>2]|0;f[Ea>>2]=v;L=m+8|0;f[aa>>2]=f[L>>2];f[w+12>>2]=f[m+12>>2];ea=m+16|0;f[va>>2]=f[ea>>2];f[w+20>>2]=f[m+20>>2];f[w+24>>2]=f[m+24>>2];f[w+28>>2]=f[m+28>>2];f[w+32>>2]=f[m+32>>2];va=m+36|0;f[za>>2]=f[va>>2];za=w+44|0;K=f[za>>2]|0;if((K|0)==(A|0))Ga=v;else{TC(K);f[za>>2]=A;f[ya>>2]=aa;Ga=f[c>>2]|0}aa=m+44|0;if((Ga|0)<3){Ga=f[aa>>2]|0;f[A>>2]=f[Ga>>2];f[w+52>>2]=f[Ga+4>>2];Ha=Ga}else{f[za>>2]=f[aa>>2];za=m+40|0;f[w+40>>2]=f[za>>2];Ga=m+48|0;f[aa>>2]=Ga;f[za>>2]=L;Ha=Ga}f[m>>2]=1124007936;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;f[c+16>>2]=0;f[c+20>>2]=0;f[c+24>>2]=0;f[c+28>>2]=0;f[va>>2]=0;f[ea>>2]=0;f[ea+4>>2]=0;f[ea+8>>2]=0;f[ea+12>>2]=0;if((Ha|0)!=(m+48|0))TC(Ha);Ha=x+36|0;ea=f[Ha>>2]|0;do if(ea|0){va=ea+12|0;c=f[va>>2]|0;f[va>>2]=c+-1;if((c|0)!=1)break;aU(x)}while(0);f[Ha>>2]=0;Ha=x+16|0;ea=x+4|0;f[Ha>>2]=0;f[Ha+4>>2]=0;f[Ha+8>>2]=0;f[Ha+12>>2]=0;if((f[ea>>2]|0)>0){Ha=f[x+40>>2]|0;c=0;do{f[Ha+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[ea>>2]|0))}ea=f[x+44>>2]|0;if((ea|0)!=(x+48|0))TC(ea)}ea=(f[I>>2]|0)-(f[s>>2]|0)>>2;c=x+8|0;f[x>>2]=c;Ha=x+4|0;f[Ha>>2]=ea;if(ea>>>0>264){va=euc(ea>>>0>1073741823?-1:ea<<2)|0;f[x>>2]=va;Ia=va}else Ia=c;va=f[(f[Fa>>2]|0)+348>>2]|0;Fa=f[va>>2]|0;if(((f[va+4>>2]|0)-Fa|0)<=0){va=cuc(64)|0;f[m>>2]=va;f[m+8>>2]=-2147483584;f[m+4>>2]=50;Aa=va;Ga=374968;da=Aa+50|0;do{b[Aa>>0]=b[Ga>>0]|0;Aa=Aa+1|0;Ga=Ga+1|0}while((Aa|0)<(da|0));b[va+50>>0]=0;WD(-215,m,375019,375032,46)}va=Fa;Fa=(f[va+4>>2]|0)-(f[z>>2]|0)|0;Q=+(((Fa|0)>0?Fa:0)|0)*.03125;Fa=~~Q;z=(+(Fa|0)<Q&1)+Fa|0;if(ea|0){Fa=z+-1|0;Ga=0;do{Aa=(f[va+(Ga*20|0)+8>>2]|0)-(f[B>>2]|0)|0;da=f[va+(Ga*20|0)+16>>2]|0;L=(Fa+((((Aa|0)>0?Aa:0)|0)/(da|0)|0)|0)/(z|0)|0;Aa=Y((L|0)>1?L:1,da)|0;f[Ia+(Ga<<2)>>2]=Aa;Ga=Ga+1|0}while((Ga|0)!=(ea|0))}Oza(m,a,ea,z,va,Ia,d,e,g,k,w,a+416|0);f[y>>2]=0;f[y+4>>2]=z;sZ(y,m,-1.0);f[m>>2]=85692;y=m+48|0;z=m+84|0;a=f[z>>2]|0;if(a|0?(k=a+12|0,a=f[k>>2]|0,f[k>>2]=a+-1,(a|0)==1):0)aU(y);f[z>>2]=0;z=m+64|0;y=m+52|0;f[z>>2]=0;f[z+4>>2]=0;f[z+8>>2]=0;f[z+12>>2]=0;if((f[y>>2]|0)>0){z=f[m+88>>2]|0;a=0;do{f[z+(a<<2)>>2]=0;a=a+1|0}while((a|0)<(f[y>>2]|0))}y=f[m+92>>2]|0;if((y|0)!=(m+96|0))TC(y);y=f[m+36>>2]|0;if(y|0){a=m+40|0;m=f[a>>2]|0;if((m|0)!=(y|0))f[a>>2]=m+(~((m+-4-y|0)>>>2)<<2);fuc(y)}y=f[x>>2]|0;if((y|0)!=(c|0)){if(y|0)guc(y);f[x>>2]=c;f[Ha>>2]=264}Ha=w+36|0;c=f[Ha>>2]|0;do if(c|0){x=c+12|0;y=f[x>>2]|0;f[x>>2]=y+-1;if((y|0)!=1)break;aU(w)}while(0);f[Ha>>2]=0;Ha=w+16|0;f[Ha>>2]=0;f[Ha+4>>2]=0;f[Ha+8>>2]=0;f[Ha+12>>2]=0;if((f[Ea>>2]|0)>0){Ha=f[ya>>2]|0;ya=0;do{f[Ha+(ya<<2)>>2]=0;ya=ya+1|0}while((ya|0)<(f[Ea>>2]|0))}Ea=f[xa>>2]|0;if((Ea|0)!=(A|0))TC(Ea)}Ea=t+36|0;A=f[Ea>>2]|0;if(A|0?(xa=A+12|0,A=f[xa>>2]|0,f[xa>>2]=A+-1,(A|0)==1):0)aU(t);f[Ea>>2]=0;Ea=t+16|0;f[Ea>>2]=0;f[Ea+4>>2]=0;f[Ea+8>>2]=0;f[Ea+12>>2]=0;if((f[Da>>2]|0)>0){Ea=f[Ca>>2]|0;Ca=0;do{f[Ea+(Ca<<2)>>2]=0;Ca=Ca+1|0}while((Ca|0)<(f[Da>>2]|0))}Da=f[Ba>>2]|0;if((Da|0)!=(N|0))TC(Da);Da=f[s>>2]|0;if(Da|0){s=f[I>>2]|0;if((s|0)!=(Da|0))f[I>>2]=s+(~((s+-4-Da|0)>>>2)<<2);fuc(Da)}Da=f[r>>2]|0;if(Da|0){r=f[E>>2]|0;if((r|0)!=(Da|0))f[E>>2]=r+(~((r+-4-Da|0)>>>2)<<2);fuc(Da)}}if(!(f[o+4>>2]|0)){u=l;return}u=l;return}function Lza(a,b,c,d,e){a=a|0;b=b|0;c=+c;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0.0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0;g=u;u=u+112|0;h=g+16|0;i=g+104|0;j=g+92|0;k=g+8|0;l=g+80|0;m=g+68|0;n=g+56|0;o=g+40|0;q=g+32|0;r=g;s=g+28|0;gV(i,85644);if((b|0)>=1?(t=a+4|0,(f[a>>2]|0)!=(f[t>>2]|0)):0){f[j>>2]=0;v=j+4|0;f[v>>2]=0;f[j+8>>2]=0;p[k>>3]=c;f[h>>2]=f[k>>2];f[h+4>>2]=f[k+4>>2];k=Nza(a,j,h)|0;f[h>>2]=0;w=h+4|0;f[w>>2]=0;f[h+8>>2]=0;x=(k|0)==0;do if(!x)if(k>>>0>268435455)nsc(h);else{y=k<<4;z=cuc(y)|0;f[h>>2]=z;f[h+8>>2]=z+(k<<4);kzc(z|0,0,y|0)|0;f[w>>2]=z+y;A=z;break}else A=0;while(0);f[l>>2]=0;z=l+4|0;f[z>>2]=0;f[l+8>>2]=0;if(x)B=0;else{y=k<<2;C=cuc(y)|0;f[l>>2]=C;D=C+(k<<2)|0;f[l+8>>2]=D;kzc(C|0,0,y|0)|0;f[z>>2]=D;B=C}f[m>>2]=0;C=m+4|0;f[C>>2]=0;f[m+8>>2]=0;if(x)E=0;else{D=k<<2;y=cuc(D)|0;f[m>>2]=y;F=y+(k<<2)|0;f[m+8>>2]=F;kzc(y|0,0,D|0)|0;f[C>>2]=F;E=y}f[n>>2]=0;y=n+4|0;f[y>>2]=0;f[n+8>>2]=0;if(x)G=0;else{x=cuc(k<<3)|0;f[y>>2]=x;f[n>>2]=x;F=x+(k<<3)|0;f[n+8>>2]=F;D=k;H=x;while(1){p[H>>3]=2.2250738585072014e-308;D=D+-1|0;if(!D)break;else H=H+8|0}f[y>>2]=F;G=x}x=f[j>>2]|0;F=(f[v>>2]|0)-x|0;H=F>>2;D=(F|0)>0;F=x;if(D){x=f[a>>2]|0;I=0;do{J=f[F+(I<<2)>>2]|0;K=A+(J<<4)|0;f[K>>2]=(f[K>>2]|0)+(f[x+(I<<4)>>2]|0);K=A+(J<<4)+4|0;f[K>>2]=(f[K>>2]|0)+(f[x+(I<<4)+4>>2]|0);K=A+(J<<4)+8|0;f[K>>2]=(f[K>>2]|0)+(f[x+(I<<4)+8>>2]|0);K=A+(J<<4)+12|0;f[K>>2]=(f[K>>2]|0)+(f[x+(I<<4)+12>>2]|0);K=B+(J<<2)|0;f[K>>2]=(f[K>>2]|0)+1;I=I+1|0}while((I|0)<(H|0))}I=(e|0)!=0;x=(d|0)!=0;if(x&I?(K=f[d>>2]|0,(K|0)!=(f[d+4>>2]|0)):0){J=f[e>>2]|0;L=(J|0)==(f[e+4>>2]|0);if(L|D^1){M=L;N=G}else{L=f[n>>2]|0;D=0;do{O=f[F+(D<<2)>>2]|0;P=f[K+(D<<2)>>2]|0;Q=E+(O<<2)|0;R=f[Q>>2]|0;if((P|0)<=(R|0)){if((P|0)==(R|0)?(S=+p[J+(D<<3)>>3],R=L+(O<<3)|0,S>+p[R>>3]):0)p[R>>3]=S}else{f[Q>>2]=P;p[L+(O<<3)>>3]=+p[J+(D<<3)>>3]}D=D+1|0}while((D|0)<(H|0));M=0;N=L}}else{M=1;N=G}G=(k|0)>0;if(G){L=0;do{H=A+(L<<4)|0;D=A+(L<<4)+4|0;J=f[D>>2]|0;K=A+(L<<4)+8|0;F=f[K>>2]|0;O=A+(L<<4)+12|0;P=f[O>>2]|0;S=1.0/+(f[B+(L<<2)>>2]|0);Q=Ghc(+(f[H>>2]|0)*S)|0;R=Ghc(+(J|0)*S)|0;J=Ghc(+(F|0)*S)|0;F=Ghc(+(P|0)*S)|0;f[H>>2]=Q;f[D>>2]=R;f[K>>2]=J;f[O>>2]=F;L=L+1|0}while((L|0)!=(k|0))}L=f[a>>2]|0;F=f[t>>2]|0;if((F|0)!=(L|0))f[t>>2]=F+(~((F+-16-L|0)>>>4)<<4);if(x?(L=f[d>>2]|0,F=d+4|0,O=f[F>>2]|0,(O|0)!=(L|0)):0)f[F>>2]=O+(~((O+-4-L|0)>>>2)<<2);if(I?(L=f[e>>2]|0,O=e+4|0,F=f[O>>2]|0,(F|0)!=(L|0)):0)f[O>>2]=F+(~((F+-8-L|0)>>>3)<<3);if(G){G=o+4|0;L=o+8|0;F=o+12|0;O=a+8|0;J=M?q:s;M=d+4|0;K=d+8|0;R=e+4|0;D=e+8|0;Q=f[n>>2]|0;H=f[l>>2]|0;P=f[m>>2]|0;T=0;U=A;A=B;B=E;while(1){E=f[U+(T<<4)>>2]|0;f[o>>2]=E;V=f[U+(T<<4)+4>>2]|0;f[G>>2]=V;W=f[U+(T<<4)+8>>2]|0;f[L>>2]=W;X=f[U+(T<<4)+12>>2]|0;f[F>>2]=X;Y=f[A+(T<<2)>>2]|0;f[q>>2]=Y;p[r>>3]=+p[Q+(T<<3)>>3];f[s>>2]=f[B+(T<<2)>>2];do if((Y|0)>(b|0)){Z=f[h>>2]|0;_=W+E|0;$=X+V|0;aa=(Y|0)>3?Y:3;a:do if((Y|0)<3){ba=0;while(1){do if((ba|0)!=(T|0)?(f[A+(ba<<2)>>2]|0)>(b|0):0){ca=f[Z+(ba<<4)>>2]|0;da=f[Z+(ba<<4)+4>>2]|0;ea=f[Z+(ba<<4)+8>>2]|0;fa=f[Z+(ba<<4)+12>>2]|0;ga=Fhc(+(ea|0)*c)|0;ha=Fhc(+(fa|0)*c)|0;if((E|0)<(ca-ga|0)|(V|0)<(da-ha|0))break;if((_|0)>(ea+ca+ga|0))break;if(($|0)<=(fa+da+ha|0)){ia=ba;break a}}while(0);ha=ba+1|0;if((ha|0)<(k|0))ba=ha;else{ia=ha;break}}}else{ba=0;while(1){ha=f[A+(ba<<2)>>2]|0;do if((ba|0)!=(T|0)&(ha|0)>(b|0)){da=f[Z+(ba<<4)>>2]|0;fa=f[Z+(ba<<4)+4>>2]|0;ga=f[Z+(ba<<4)+8>>2]|0;ca=f[Z+(ba<<4)+12>>2]|0;ea=Fhc(+(ga|0)*c)|0;ja=Fhc(+(ca|0)*c)|0;if((E|0)<(da-ea|0)|(V|0)<(fa-ja|0))break;if((_|0)>(ga+da+ea|0))break;if((ha|0)>(aa|0)?($|0)<=(ca+fa+ja|0):0){ia=ba;break a}}while(0);ha=ba+1|0;if((ha|0)<(k|0))ba=ha;else{ia=ha;break}}}while(0);if((ia|0)==(k|0)){$=f[t>>2]|0;if(($|0)==(f[O>>2]|0))It(a,o);else{f[$>>2]=E;f[$+4>>2]=V;f[$+8>>2]=W;f[$+12>>2]=X;f[t>>2]=$+16}do if(x){$=f[M>>2]|0;if(($|0)==(f[K>>2]|0)){es(d,J);break}else{f[$>>2]=f[J>>2];f[M>>2]=$+4;break}}while(0);if(!I)break;$=f[R>>2]|0;if(($|0)==(f[D>>2]|0)){Ks(e,r);break}else{p[$>>3]=+p[r>>3];f[R>>2]=$+8;break}}}while(0);X=T+1|0;if((X|0)>=(k|0))break;T=X;U=f[h>>2]|0;A=H;B=P}ka=f[n>>2]|0}else ka=N;if(ka|0){N=f[y>>2]|0;if((N|0)!=(ka|0))f[y>>2]=N+(~((N+-8-ka|0)>>>3)<<3);fuc(ka)}ka=f[m>>2]|0;if(ka|0){m=f[C>>2]|0;if((m|0)!=(ka|0))f[C>>2]=m+(~((m+-4-ka|0)>>>2)<<2);fuc(ka)}ka=f[l>>2]|0;if(ka|0){l=f[z>>2]|0;if((l|0)!=(ka|0))f[z>>2]=l+(~((l+-4-ka|0)>>>2)<<2);fuc(ka)}ka=f[h>>2]|0;if(ka|0){h=f[w>>2]|0;if((h|0)!=(ka|0))f[w>>2]=h+(~((h+-16-ka|0)>>>4)<<4);fuc(ka)}ka=f[j>>2]|0;if(ka|0){j=f[v>>2]|0;if((j|0)!=(ka|0))f[v>>2]=j+(~((j+-4-ka|0)>>>2)<<2);fuc(ka)}}else la=3;do if((la|0)==3?!((d|0)==0|(e|0)!=0):0){ka=(f[a+4>>2]|0)-(f[a>>2]|0)>>4;j=d+4|0;v=f[j>>2]|0;h=f[d>>2]|0;w=v-h>>2;l=h;h=v;if(ka>>>0<=w>>>0){if(ka>>>0<w>>>0?(v=l+(ka<<2)|0,(h|0)!=(v|0)):0)f[j>>2]=h+(~((h+-4-v|0)>>>2)<<2);if(!ka)break}else OJ(d,ka-w|0);w=f[d>>2]|0;v=0;do{f[w+(v<<2)>>2]=1;v=v+1|0}while((v|0)!=(ka|0))}while(0);if(!(f[i+4>>2]|0)){u=g;return}u=g;return}function Mza(a,b,c){a=a|0;b=b|0;c=+c;var d=0,e=0;d=u;u=u+16|0;e=d;gV(e,85624);Lza(a,b,c,0,0);if(!(f[e+4>>2]|0)){u=d;return}u=d;return}function Nza(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0.0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0;e=u;u=u+32|0;g=e+12|0;h=e;i=f[a>>2]|0;j=(f[a+4>>2]|0)-i|0;a=j>>4;k=i;i=j>>3;f[g>>2]=0;l=g+4|0;f[l>>2]=0;f[g+8>>2]=0;do if(i)if(i>>>0>1073741823)nsc(g);else{m=j>>1;n=cuc(m)|0;f[g>>2]=n;o=n+(i<<2)|0;f[g+8>>2]=o;kzc(n|0,0,m|0)|0;f[l>>2]=o;q=n;break}else q=0;while(0);i=(j|0)>0;a:do if(i){j=0;do{f[q+(j<<3)>>2]=-1;f[q+(j<<3)+4>>2]=0;j=j+1|0}while((j|0)<(a|0));if(i){j=0;b:while(1){n=j;while(1){o=f[q+(n<<3)>>2]|0;if((o|0)>-1)n=o;else break}o=k+(j<<4)+8|0;m=k+(j<<4)+12|0;r=k+(j<<4)|0;s=k+(j<<4)+4|0;t=q+(j<<3)|0;v=0;w=n;while(1){if(((((j|0)!=(v|0)?(x=f[k+(v<<4)+8>>2]|0,y=f[o>>2]|0,z=f[k+(v<<4)+12>>2]|0,A=f[m>>2]|0,B=+p[d>>3]*+(((A|0)>(z|0)?z:A)+((y|0)>(x|0)?x:y)|0)*.5,C=f[r>>2]|0,D=f[k+(v<<4)>>2]|0,E=C-D|0,+(((E|0)>-1?E:0-E|0)|0)<=B):0)?(E=f[s>>2]|0,F=f[k+(v<<4)+4>>2]|0,G=E-F|0,+(((G|0)>-1?G:0-G|0)|0)<=B):0)?(G=y-x+C-D|0,+(((G|0)>-1?G:0-G|0)|0)<=B):0)?(G=A-z+E-F|0,+(((G|0)>-1?G:0-G|0)|0)<=B):0){G=v;while(1){H=q+(G<<3)|0;F=f[H>>2]|0;if((F|0)>-1)G=F;else break}if((G|0)!=(w|0)){F=f[q+(w<<3)+4>>2]|0;E=q+(G<<3)+4|0;z=f[E>>2]|0;if((F|0)>(z|0)){f[H>>2]=w;I=w}else{f[q+(w<<3)>>2]=G;f[E>>2]=((F|0)==(z|0)&1)+z;I=G}if((f[q+(I<<3)>>2]|0)>=0)break b;z=q+(v<<3)|0;F=f[z>>2]|0;if((F|0)>-1){E=z;z=F;do{f[E>>2]=I;E=q+(z<<3)|0;z=f[E>>2]|0}while((z|0)>-1)}z=f[t>>2]|0;if((z|0)>-1){E=t;G=z;do{f[E>>2]=I;E=q+(G<<3)|0;G=f[E>>2]|0}while((G|0)>-1);J=I}else J=I}else J=w}else J=w;v=v+1|0;if((v|0)>=(a|0))break;else w=J}j=j+1|0;if((j|0)>=(a|0))break a}f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;j=cuc(32)|0;f[h>>2]=j;f[h+8>>2]=-2147483616;f[h+4>>2]=23;w=j;v=375854;t=w+23|0;do{b[w>>0]=b[v>>0]|0;w=w+1|0;v=v+1|0}while((w|0)<(t|0));b[j+23>>0]=0;WD(-215,h,375878,375888,512)}}while(0);h=c+4|0;J=f[h>>2]|0;I=f[c>>2]|0;H=J-I>>2;k=I;I=J;if(a>>>0<=H>>>0){if(a>>>0<H>>>0?(J=k+(a<<2)|0,(I|0)!=(J|0)):0)f[h>>2]=I+(~((I+-4-J|0)>>>2)<<2)}else OJ(c,a-H|0);if(i){i=f[c>>2]|0;c=0;H=0;while(1){J=H;while(1){I=f[q+(J<<3)>>2]|0;if((I|0)>-1)J=I;else break}j=q+(J<<3)+4|0;I=f[j>>2]|0;if((I|0)>-1){h=~c;f[j>>2]=h;K=c+1|0;L=h}else{K=c;L=I}f[i+(H<<2)>>2]=~L;H=H+1|0;if((H|0)>=(a|0)){M=K;break}else c=K}}else M=0;K=f[g>>2]|0;if(!K){u=e;return M|0}g=f[l>>2]|0;if((g|0)!=(K|0))f[l>>2]=g+(~((g+-4-K|0)>>>2)<<2);fuc(K);u=e;return M|0}function Oza(a,b,c,d,e,g,h,i,j,k,l,m){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;f[a>>2]=85692;f[a+36>>2]=0;f[a+40>>2]=0;f[a+44>>2]=0;n=a+48|0;f[n>>2]=1124007936;o=a+52|0;p=a+56|0;q=a+88|0;r=o;s=r+36|0;do{f[r>>2]=0;r=r+4|0}while((r|0)<(s|0));f[q>>2]=p;r=a+96|0;s=a+92|0;f[s>>2]=r;f[r>>2]=0;f[a+100>>2]=0;f[a+4>>2]=b;f[a+12>>2]=c;f[a+16>>2]=d;f[a+20>>2]=e;f[a+24>>2]=g;f[a+8>>2]=h;f[a+28>>2]=k?i:0;f[a+32>>2]=k?j:0;if((n|0)==(l|0)){t=a+104|0;f[t>>2]=m;return}j=l+36|0;k=f[j>>2]|0;if(k){i=k+12|0;f[i>>2]=(f[i>>2]|0)+1;i=a+84|0;k=f[i>>2]|0;if((k|0)!=0?(h=k+12|0,k=f[h>>2]|0,f[h>>2]=k+-1,(k|0)==1):0){aU(n);u=i}else u=i}else u=a+84|0;f[u>>2]=0;i=a+64|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;if((f[o>>2]|0)>0){k=f[q>>2]|0;q=0;do{f[k+(q<<2)>>2]=0;q=q+1|0;v=f[o>>2]|0}while((q|0)<(v|0));f[n>>2]=f[l>>2];if((v|0)<3)w=12;else w=14}else{f[n>>2]=f[l>>2];w=12}if((w|0)==12){v=f[l+4>>2]|0;if((v|0)<3){f[o>>2]=v;f[p>>2]=f[l+8>>2];f[a+60>>2]=f[l+12>>2];p=f[l+44>>2]|0;v=f[s>>2]|0;f[v>>2]=f[p>>2];f[v+4>>2]=f[p+4>>2]}else w=14}if((w|0)==14)$T(n,l);f[i>>2]=f[l+16>>2];f[a+68>>2]=f[l+20>>2];f[a+72>>2]=f[l+24>>2];f[a+76>>2]=f[l+28>>2];f[a+80>>2]=f[l+32>>2];f[u>>2]=f[j>>2];t=a+104|0;f[t>>2]=m;return}function Pza(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=85692;b=a+48|0;c=a+84|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+64|0;b=a+52|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+88>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+92>>2]|0;if((b|0)!=(a+96|0))TC(b);b=f[a+36>>2]|0;if(!b)return;d=a+40|0;a=f[d>>2]|0;if((a|0)!=(b|0))f[d>>2]=a+(~((a+-4-b|0)>>>2)<<2);fuc(b);return}function Qza(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=85692;b=a+48|0;c=a+84|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+64|0;b=a+52|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+88>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+92>>2]|0;if((b|0)!=(a+96|0))TC(b);b=f[a+36>>2]|0;if(!b){fuc(a);return}d=a+40|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-4-b|0)>>>2)<<2);fuc(b);fuc(a);return}function Rza(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0.0,v=0.0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0.0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0.0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0;c=u;u=u+48|0;d=c+40|0;e=c+32|0;g=c;h=c+8|0;i=c+16|0;gV(d,85704);j=a+4|0;k=f[(f[j>>2]|0)+104>>2]|0;yh[f[(f[k>>2]|0)+12>>2]&2047](e,k);p[g>>3]=0.0;k=f[j>>2]|0;l=f[k+24>>2]|0;m=f[k+28>>2]|0;k=a+12|0;o=f[k>>2]|0;if((o|0)>0){q=a+20|0;r=a+24|0;s=b+4|0;t=+(l|0);v=+(m|0);w=h+4|0;x=a+28|0;y=a+104|0;z=a+8|0;A=i+4|0;B=i+8|0;C=i+12|0;D=i+4|0;E=i+8|0;F=i+12|0;G=a+32|0;a=0;H=o;while(1){o=f[q>>2]|0;I=+n[o+(a*20|0)>>2];J=f[o+(a*20|0)+16>>2]|0;K=f[(f[r>>2]|0)+(a<<2)>>2]|0;L=Y(f[b>>2]|0,K)|0;M=(f[o+(a*20|0)+4>>2]|0)-l|0;N=(M|0)>0;O=N?M:0;M=(f[o+(a*20|0)+8>>2]|0)-m|0;o=(M|0)>0?M:0;M=Y(f[s>>2]|0,K)|0;K=(o|0)<(M|0)?o:M;M=Ghc(t*I)|0;o=Ghc(v*I)|0;if((L|0)<(K|0)){P=L;do{if(N){Q=I*+(P|0);L=0;do{R=f[j>>2]|0;f[h>>2]=L;f[w>>2]=P;S=Sza(R,e,h,a,g)|0;if(!(f[x>>2]|0))if((S|0)>0){$tc(f[y>>2]|0);R=f[z>>2]|0;T=Ghc(I*+(L|0))|0;U=Ghc(Q)|0;f[i>>2]=T;f[A>>2]=U;f[B>>2]=M;f[C>>2]=o;U=R+4|0;V=f[U>>2]|0;if(V>>>0<(f[R+8>>2]|0)>>>0){f[V>>2]=T;f[V+4>>2]=f[A>>2];f[V+8>>2]=f[B>>2];f[V+12>>2]=f[C>>2];f[U>>2]=V+16}else Tza(R,i);auc(f[y>>2]|0);W=S}else W=S;else{R=f[j>>2]|0;if((S|0)==1){V=f[R+36>>2]|0;U=f[R+32>>2]|0;X=(V-U|0)/-12|0;Z=U;_=V}else{X=S;Z=f[R+32>>2]|0;_=f[R+36>>2]|0}R=(_-Z|0)/12|0;if((R|0)==(0-X|0)){$tc(f[y>>2]|0);S=f[z>>2]|0;V=Ghc(I*+(L|0))|0;U=Ghc(Q)|0;f[i>>2]=V;f[D>>2]=U;f[E>>2]=M;f[F>>2]=o;U=S+4|0;T=f[U>>2]|0;if(T>>>0<(f[S+8>>2]|0)>>>0){f[T>>2]=V;f[T+4>>2]=f[D>>2];f[T+8>>2]=f[E>>2];f[T+12>>2]=f[F>>2];f[U>>2]=T+16}else Tza(S,i);S=f[x>>2]|0;f[i>>2]=R;T=S+4|0;U=f[T>>2]|0;if(U>>>0<(f[S+8>>2]|0)>>>0){f[U>>2]=R;f[T>>2]=U+4}else Aw(S,i);S=f[G>>2]|0;U=S+4|0;T=f[U>>2]|0;if((T|0)==(f[S+8>>2]|0))Ks(S,g);else{p[T>>3]=+p[g>>3];f[U>>2]=T+8}auc(f[y>>2]|0);W=X}else W=X}L=L+J+((W|0)==0?J:0)|0}while((L|0)<(O|0))}P=P+J|0}while((P|0)<(K|0));$=f[k>>2]|0}else $=H;a=a+1|0;if((a|0)>=($|0))break;else H=$}}$=f[e+4>>2]|0;if($|0)Xtc($);if(!(f[d+4>>2]|0)){u=c;return}u=c;return}function Sza(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0;g=u;u=u+16|0;h=g+8|0;i=g;gV(h,85724);j=f[b>>2]|0;k=f[(f[j>>2]|0)+24>>2]|0;f[i>>2]=f[c>>2];f[i+4>>2]=f[c+4>>2];do if(li[k&511](j,i,d)|0){c=f[a+8>>2]|0;l=(c|0)==0;if((f[a+20>>2]|0)==1){if(l){m=Uza(a,b,e)|0;break}if((c|0)!=1){m=-2;break}m=Vza(a,b,e)|0;break}else{if(l){m=Wza(a,b,e)|0;break}if((c|0)!=1){m=-2;break}m=Xza(a,b,e)|0;break}}else m=-1;while(0);if(!(f[h+4>>2]|0)){u=g;return m|0}u=g;return m|0}function Tza(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;c=a+4|0;d=f[c>>2]|0;e=f[a>>2]|0;g=d-e>>4;h=g+1|0;i=e;j=d;if(h>>>0>268435455)nsc(a);d=a+8|0;k=(f[d>>2]|0)-e|0;l=k>>3;m=k>>4>>>0<134217727?(l>>>0<h>>>0?h:l):268435455;do if(m)if(m>>>0>268435455){l=ze(8)|0;kuc(l,519086);f[l>>2]=167148;Hf(l|0,26888,1888)}else{n=cuc(m<<4)|0;break}else n=0;while(0);l=n+(g<<4)|0;h=n+(m<<4)|0;f[l>>2]=f[b>>2];f[n+(g<<4)+4>>2]=f[b+4>>2];f[n+(g<<4)+8>>2]=f[b+8>>2];f[n+(g<<4)+12>>2]=f[b+12>>2];b=l+16|0;if((j|0)==(i|0))o=l;else{g=j+-16-e|0;n=j;j=l;while(1){m=n;n=n+-16|0;f[j+-16>>2]=f[n>>2];f[j+-12>>2]=f[m+-12>>2];f[j+-8>>2]=f[m+-8>>2];f[j+-4>>2]=f[m+-4>>2];if((n|0)==(i|0))break;else j=j+-16|0}o=l+(~(g>>>4)<<4)|0}f[a>>2]=o;f[c>>2]=b;f[d>>2]=h;if(!e)return;fuc(e);return}function Uza(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0.0,r=0.0,s=0.0,t=0.0,v=0.0,w=0,x=0;e=u;u=u+32|0;g=e+16|0;h=e;gV(g,85804);i=f[a+92>>2]|0;if((i|0)==(f[a+96>>2]|0)){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;j=cuc(32)|0;f[h>>2]=j;f[h+8>>2]=-2147483616;f[h+4>>2]=28;k=j;l=376422;m=k+28|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));b[j+28>>0]=0;WD(-215,h,376602,375032,575)}h=f[c>>2]|0;c=f[a+32>>2]|0;j=(f[a+36>>2]|0)-c|0;a=(j|0)/12|0;a:do if((j|0)>0){l=i;k=0;while(1){m=f[c+(k*12|0)+4>>2]|0;if((m|0)>0){o=0;q=0.0;while(1){r=+Fya(h,f[l+(o<<4)>>2]|0);s=q+ +n[(r<+n[l+(o<<4)+4>>2]?l+(o<<4)+8|0:l+(o<<4)+12|0)>>2];o=o+1|0;if((o|0)>=(m|0)){t=s;break}else q=s}}else t=0.0;if(t<+n[c+(k*12|0)+8>>2])break;o=k+1|0;if((o|0)<(a|0)){l=l+(m<<4)|0;k=o}else{v=t;w=9;break a}}p[d>>3]=t;x=0-k|0}else{v=0.0;w=9}while(0);if((w|0)==9){p[d>>3]=v;x=1}if(!(f[g+4>>2]|0)){u=e;return x|0}u=e;return x|0}function Vza(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0.0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0.0,P=0.0,Q=0.0,R=0,S=0;e=u;u=u+32|0;g=e+16|0;h=e;gV(g,85784);i=f[a+92>>2]|0;if((i|0)==(f[a+96>>2]|0)){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;j=cuc(32)|0;f[h>>2]=j;f[h+8>>2]=-2147483616;f[h+4>>2]=28;k=j;l=376422;m=k+28|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));b[j+28>>0]=0;WD(-215,h,376451,375032,614)}h=f[a+32>>2]|0;j=(f[a+36>>2]|0)-h|0;l=(j|0)/12|0;k=f[c>>2]|0;c=((f[a+12>>2]|0)+31|0)/32|0;m=h;a:do if((j|0)>0){h=k+380|0;o=k+384|0;q=f[a+80>>2]|0;r=i;s=0;while(1){t=f[m+(s*12|0)+4>>2]|0;if((t|0)>0){v=f[h>>2]|0;w=f[o>>2]|0;x=0;y=0.0;while(1){z=f[r+(x<<4)>>2]|0;A=f[w+(f[v+(z<<6)+20>>2]<<2)>>2]|0;B=f[w+(f[v+(z<<6)+24>>2]<<2)>>2]|0;C=f[w+(f[v+(z<<6)+36>>2]<<2)>>2]|0;D=f[w+(f[v+(z<<6)+40>>2]<<2)>>2]|0;E=A-B-C+D|0;F=f[w+(f[v+(z<<6)+4>>2]<<2)>>2]|0;G=f[w+(f[v+(z<<6)+16>>2]<<2)>>2]|0;H=f[w+(f[v+(z<<6)+8>>2]<<2)>>2]|0;I=f[w+(f[v+(z<<6)+28>>2]<<2)>>2]|0;J=f[w+(f[v+(z<<6)+44>>2]<<2)>>2]|0;K=f[w+(f[v+(z<<6)+56>>2]<<2)>>2]|0;L=f[w+(f[v+(z<<6)+52>>2]<<2)>>2]|0;M=f[w+(f[v+(z<<6)+32>>2]<<2)>>2]|0;N=q+((Y(x,c)|0)<<2)+((((B-A+F-H|0)>=(E|0)?2:0)|(((f[w+(f[v+(z<<6)>>2]<<2)>>2]|0)+A-F-G|0)>=(E|0)?4:0)|(H-B-(f[w+(f[v+(z<<6)+12>>2]<<2)>>2]|0)+I|0)>=(E|0))<<2)|0;O=y+ +n[(1<<(((D-J-K+(f[w+(f[v+(z<<6)+60>>2]<<2)>>2]|0)|0)>=(E|0)?8:0)|((B-D-I+J|0)>=(E|0)?16:0)|((C-D+K-L|0)>=(E|0)?4:0)|(C-A+G-M|0)>=(E|0)|((L-C+M-(f[w+(f[v+(z<<6)+48>>2]<<2)>>2]|0)|0)>=(E|0)?2:0))&f[N>>2]|0?r+(x<<4)+8|0:r+(x<<4)+12|0)>>2];x=x+1|0;if((x|0)==(t|0)){P=O;break}else y=O}}else P=0.0;if(P<+n[m+(s*12|0)+8>>2])break;q=q+((Y(t,c)|0)<<2)|0;x=s+1|0;if((x|0)>=(l|0)){Q=P;R=11;break a}else{r=r+(t<<4)|0;s=x}}p[d>>3]=P;S=0-s|0}else{Q=0.0;R=11}while(0);if((R|0)==11){p[d>>3]=Q;S=1}if(!(f[g+4>>2]|0)){u=e;return S|0}u=e;return S|0}function Wza(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0.0,A=0,B=0,C=0,D=0,E=0.0,F=0;d=u;u=u+16|0;e=d;gV(e,85764);g=f[a+32>>2]|0;h=(f[a+36>>2]|0)-g|0;i=(h|0)/12|0;j=f[b>>2]|0;b=f[a+68>>2]|0;k=f[a+56>>2]|0;l=f[a+44>>2]|0;a=g;a:do if((h|0)>0){g=0;m=0;o=0;while(1){q=f[a+(o*12|0)+4>>2]|0;p[c>>3]=0.0;if((q|0)>0){r=a+(o*12|0)|0;s=0;t=g;v=m;while(1){w=(f[r>>2]|0)+s|0;x=0;do{y=x+t|0;z=+Fya(j,f[k+(y<<4)>>2]|0);x=f[(z<+n[k+(y<<4)+4>>2]?k+(y<<4)+8|0:k+(y<<4)+12|0)>>2]|0}while((x|0)>0);z=+p[c>>3]+ +n[b+(v-x<<2)>>2];p[c>>3]=z;y=f[l+(w<<2)>>2]|0;A=y+t|0;B=v+1+y|0;s=s+1|0;if((s|0)>=(q|0)){C=A;D=B;E=z;break}else{t=A;v=B}}}else{C=g;D=m;E=0.0}if(E<+n[a+(o*12|0)+8>>2]){F=0-o|0;break a}o=o+1|0;if((o|0)>=(i|0)){F=1;break}else{g=C;m=D}}}else F=1;while(0);if(!(f[e+4>>2]|0)){u=d;return F|0}u=d;return F|0}function Xza(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0.0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0.0,T=0,U=0,V=0.0,W=0,X=0;d=u;u=u+16|0;e=d;gV(e,85744);g=f[a+32>>2]|0;h=(f[a+36>>2]|0)-g|0;i=(h|0)/12|0;j=f[b>>2]|0;b=((f[a+12>>2]|0)+31|0)/32|0;k=f[a+80>>2]|0;l=f[a+68>>2]|0;m=f[a+56>>2]|0;o=f[a+44>>2]|0;a=g;if((h|0)>0){h=j+380|0;g=j+384|0;j=0;q=0;r=0;while(1){s=f[a+(r*12|0)+4>>2]|0;if((s|0)>0){t=f[a+(r*12|0)>>2]|0;v=f[h>>2]|0;w=f[g>>2]|0;x=0;y=j;z=q;A=0.0;while(1){B=0;do{C=B+y|0;D=f[m+(C<<4)>>2]|0;E=f[w+(f[v+(D<<6)+20>>2]<<2)>>2]|0;F=f[w+(f[v+(D<<6)+24>>2]<<2)>>2]|0;G=f[w+(f[v+(D<<6)+36>>2]<<2)>>2]|0;H=f[w+(f[v+(D<<6)+40>>2]<<2)>>2]|0;I=E-F-G+H|0;J=f[w+(f[v+(D<<6)+4>>2]<<2)>>2]|0;K=f[w+(f[v+(D<<6)+16>>2]<<2)>>2]|0;L=f[w+(f[v+(D<<6)+8>>2]<<2)>>2]|0;M=f[w+(f[v+(D<<6)+28>>2]<<2)>>2]|0;N=f[w+(f[v+(D<<6)+44>>2]<<2)>>2]|0;O=f[w+(f[v+(D<<6)+56>>2]<<2)>>2]|0;P=f[w+(f[v+(D<<6)+52>>2]<<2)>>2]|0;Q=f[w+(f[v+(D<<6)+32>>2]<<2)>>2]|0;R=k+((Y(C,b)|0)<<2)+((((F-E+J-L|0)>=(I|0)?2:0)|(((f[w+(f[v+(D<<6)>>2]<<2)>>2]|0)+E-J-K|0)>=(I|0)?4:0)|(L-F-(f[w+(f[v+(D<<6)+12>>2]<<2)>>2]|0)+M|0)>=(I|0))<<2)|0;B=f[(1<<(((H-N-O+(f[w+(f[v+(D<<6)+60>>2]<<2)>>2]|0)|0)>=(I|0)?8:0)|((F-H-M+N|0)>=(I|0)?16:0)|((G-H+O-P|0)>=(I|0)?4:0)|(G-E+K-Q|0)>=(I|0)|((P-G+Q-(f[w+(f[v+(D<<6)+48>>2]<<2)>>2]|0)|0)>=(I|0)?2:0))&f[R>>2]|0?m+(C<<4)+8|0:m+(C<<4)+12|0)>>2]|0}while((B|0)>0);S=A+ +n[l+(z-B<<2)>>2];C=f[o+(t+x<<2)>>2]|0;R=C+y|0;I=z+1+C|0;x=x+1|0;if((x|0)==(s|0)){T=R;U=I;V=S;break}else{y=R;z=I;A=S}}}else{T=j;U=q;V=0.0}if(V<+n[a+(r*12|0)+8>>2]){W=0-r|0;break}r=r+1|0;if((r|0)>=(i|0)){W=1;break}else{j=T;q=U}}p[c>>3]=V;X=W}else X=1;if(!(f[e+4>>2]|0)){u=d;return X|0}u=d;return X|0}function Yza(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(((d-g|0)/20|0)>>>0>=b>>>0){h=b;i=g;do{f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;f[i+16>>2]=0;i=(f[e>>2]|0)+20|0;f[e>>2]=i;h=h+-1|0}while((h|0)!=0);return}h=f[a>>2]|0;i=(g-h|0)/20|0;g=i+b|0;if(g>>>0>214748364)nsc(a);j=(d-h|0)/20|0;h=j<<1;d=j>>>0<107374182?(h>>>0<g>>>0?g:h):214748364;do if(d)if(d>>>0>214748364){h=ze(8)|0;kuc(h,519086);f[h>>2]=167148;Hf(h|0,26888,1888)}else{k=cuc(d*20|0)|0;break}else k=0;while(0);h=k+(i*20|0)|0;i=k+(d*20|0)|0;d=b;b=h;k=h;do{f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;f[b+16>>2]=0;b=k+20|0;k=b;d=d+-1|0}while((d|0)!=0);d=f[a>>2]|0;b=(f[e>>2]|0)-d|0;g=h+(((b|0)/-20|0)*20|0)|0;if((b|0)>0)szc(g|0,d|0,b|0)|0;f[a>>2]=g;f[e>>2]=k;f[c>>2]=i;if(!d)return;fuc(d);return}function Zza(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(d-g>>4>>>0>=b>>>0){h=b;i=g;do{f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;i=(f[e>>2]|0)+16|0;f[e>>2]=i;h=h+-1|0}while((h|0)!=0);return}h=f[a>>2]|0;i=g-h>>4;g=i+b|0;if(g>>>0>268435455)nsc(a);j=d-h|0;h=j>>3;d=j>>4>>>0<134217727?(h>>>0<g>>>0?g:h):268435455;do if(d)if(d>>>0>268435455){h=ze(8)|0;kuc(h,519086);f[h>>2]=167148;Hf(h|0,26888,1888)}else{k=cuc(d<<4)|0;break}else k=0;while(0);h=k+(i<<4)|0;i=h;g=k+(d<<4)|0;d=b;b=h;k=i;do{f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;b=k+16|0;k=b;d=d+-1|0}while((d|0)!=0);d=g;g=f[a>>2]|0;b=f[e>>2]|0;j=g;if((b|0)==(g|0)){l=i;m=j}else{i=b+-16-j|0;j=b;b=h;while(1){n=j;j=j+-16|0;f[b+-16>>2]=f[j>>2];f[b+-12>>2]=f[n+-12>>2];f[b+-8>>2]=f[n+-8>>2];f[b+-4>>2]=f[n+-4>>2];if((j|0)==(g|0))break;else b=b+-16|0}l=h+(~(i>>>4)<<4)|0;m=f[a>>2]|0}f[a>>2]=l;f[e>>2]=k;f[c>>2]=d;if(!m)return;fuc(m);return}function _za(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;var e=0,g=0;e=u;u=u+16|0;g=e;gV(g,85844);Lza(a,c,d,b,0);if(!(f[g+4>>2]|0)){u=e;return}u=e;return}function $za(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;f[a>>2]=f[b>>2];f[a+4>>2]=f[b+4>>2];f[a+8>>2]=f[b+8>>2];f[a+12>>2]=f[b+12>>2];f[a+16>>2]=f[b+16>>2];f[a+20>>2]=f[b+20>>2];f[a+24>>2]=f[b+24>>2];c=a+28|0;d=b+28|0;e=f[c>>2]|0;g=a+32|0;if(!e)h=a+36|0;else{i=f[g>>2]|0;if((i|0)!=(e|0))f[g>>2]=i+(~(((i+-12-e|0)>>>0)/12|0)*12|0);fuc(e);e=a+36|0;f[e>>2]=0;f[g>>2]=0;f[c>>2]=0;h=e}f[c>>2]=f[d>>2];c=b+32|0;f[g>>2]=f[c>>2];g=b+36|0;f[h>>2]=f[g>>2];f[g>>2]=0;f[c>>2]=0;f[d>>2]=0;d=a+40|0;c=b+40|0;g=f[d>>2]|0;h=a+44|0;if(!g)j=a+48|0;else{e=f[h>>2]|0;if((e|0)!=(g|0))f[h>>2]=e+(~((e+-4-g|0)>>>2)<<2);fuc(g);g=a+48|0;f[g>>2]=0;f[h>>2]=0;f[d>>2]=0;j=g}f[d>>2]=f[c>>2];d=b+44|0;f[h>>2]=f[d>>2];h=b+48|0;f[j>>2]=f[h>>2];f[h>>2]=0;f[d>>2]=0;f[c>>2]=0;c=a+52|0;d=b+52|0;h=f[c>>2]|0;j=a+56|0;if(!h)k=a+60|0;else{g=f[j>>2]|0;if((g|0)!=(h|0))f[j>>2]=g+(~((g+-16-h|0)>>>4)<<4);fuc(h);h=a+60|0;f[h>>2]=0;f[j>>2]=0;f[c>>2]=0;k=h}f[c>>2]=f[d>>2];c=b+56|0;f[j>>2]=f[c>>2];j=b+60|0;f[k>>2]=f[j>>2];f[j>>2]=0;f[c>>2]=0;f[d>>2]=0;d=a+64|0;c=b+64|0;j=f[d>>2]|0;k=a+68|0;if(!j)l=a+72|0;else{h=f[k>>2]|0;if((h|0)!=(j|0))f[k>>2]=h+(~((h+-4-j|0)>>>2)<<2);fuc(j);j=a+72|0;f[j>>2]=0;f[k>>2]=0;f[d>>2]=0;l=j}f[d>>2]=f[c>>2];d=b+68|0;f[k>>2]=f[d>>2];k=b+72|0;f[l>>2]=f[k>>2];f[k>>2]=0;f[d>>2]=0;f[c>>2]=0;c=a+76|0;d=b+76|0;k=f[c>>2]|0;l=a+80|0;if(!k)m=a+84|0;else{j=f[l>>2]|0;if((j|0)!=(k|0))f[l>>2]=j+(~((j+-4-k|0)>>>2)<<2);fuc(k);k=a+84|0;f[k>>2]=0;f[l>>2]=0;f[c>>2]=0;m=k}f[c>>2]=f[d>>2];c=b+80|0;f[l>>2]=f[c>>2];l=b+84|0;f[m>>2]=f[l>>2];f[l>>2]=0;f[c>>2]=0;f[d>>2]=0;d=a+88|0;c=b+88|0;l=f[d>>2]|0;m=a+92|0;if(!l){n=a+96|0;o=f[c>>2]|0;f[d>>2]=o;p=b+92|0;q=f[p>>2]|0;f[m>>2]=q;r=b+96|0;s=f[r>>2]|0;f[n>>2]=s;f[r>>2]=0;f[p>>2]=0;f[c>>2]=0;return a|0}k=f[m>>2]|0;if((k|0)!=(l|0))f[m>>2]=k+(~((k+-16-l|0)>>>4)<<4);fuc(l);l=a+96|0;f[l>>2]=0;f[m>>2]=0;f[d>>2]=0;n=l;o=f[c>>2]|0;f[d>>2]=o;p=b+92|0;q=f[p>>2]|0;f[m>>2]=q;r=b+96|0;s=f[r>>2]|0;f[n>>2]=s;f[r>>2]=0;f[p>>2]=0;f[c>>2]=0;return a|0}function aAa(a){a=a|0;var b=0,c=0,d=0;b=f[a+88>>2]|0;if(b|0){c=a+92|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-16-b|0)>>>4)<<4);fuc(b)}b=f[a+76>>2]|0;if(b|0){d=a+80|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+64>>2]|0;if(b|0){c=a+68|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+52>>2]|0;if(b|0){d=a+56|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-16-b|0)>>>4)<<4);fuc(b)}b=f[a+40>>2]|0;if(b|0){c=a+44|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+28>>2]|0;if(!b)return;d=a+32|0;a=f[d>>2]|0;if((a|0)!=(b|0))f[d>>2]=a+(~(((a+-12-b|0)>>>0)/12|0)*12|0);fuc(b);return}function bAa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=u;u=u+16|0;d=c+8|0;e=c;g=a+224|0;h=a+248|0;i=f[h>>2]|0;if(i|0?(j=i+8|0,i=f[j>>2]|0,f[j>>2]=i+-1,(i|0)==1):0)WH(g);g=a+228|0;if((f[g>>2]|0)>0){i=f[a+256>>2]|0;j=0;do{f[i+(j<<2)>>2]=0;j=j+1|0}while((j|0)<(f[g>>2]|0))}f[h>>2]=0;h=a+272|0;g=a+296|0;j=f[g>>2]|0;if(j|0?(i=j+8|0,j=f[i>>2]|0,f[i>>2]=j+-1,(j|0)==1):0)WH(h);h=a+276|0;if((f[h>>2]|0)>0){j=f[a+304>>2]|0;i=0;do{f[j+(i<<2)>>2]=0;i=i+1|0}while((i|0)<(f[h>>2]|0))}f[g>>2]=0;g=a+320|0;h=a+344|0;i=f[h>>2]|0;if(i|0?(j=i+8|0,i=f[j>>2]|0,f[j>>2]=i+-1,(i|0)==1):0)WH(g);g=a+324|0;if((f[g>>2]|0)>0){i=f[a+352>>2]|0;j=0;do{f[i+(j<<2)>>2]=0;j=j+1|0}while((j|0)<(f[g>>2]|0))}f[h>>2]=0;if(!(gAa(a+4|0,b)|0)){k=0;u=c;return k|0}hAa(d,f[a+8>>2]|0);h=a+104|0;g=f[d>>2]|0;j=f[d+4>>2]|0;i=(j|0)==0;if(!i)Wtc(j);f[h>>2]=g;g=a+108|0;l=f[g>>2]|0;f[g>>2]=j;if(l|0)Xtc(l);if(!i)Xtc(j);UM(d,b,377936);if(!(f[d+4>>2]|0))m=0;else{b=f[h>>2]|0;h=f[(f[b>>2]|0)+8>>2]|0;f[e>>2]=f[a+24>>2];f[e+4>>2]=f[a+28>>2];m=li[h&511](b,d,e)|0}k=m;u=c;return k|0}function cAa(a){a=a|0;Qtc(a);fuc(a);return}function dAa(a){a=a|0;var b=0,c=0;b=u;u=u+16|0;c=b;f[c>>2]=f[a+12>>2];SBa(c);u=b;return}function eAa(a,b){a=a|0;b=b|0;return ((f[b+4>>2]|0)==377783?a+12|0:0)|0}function fAa(a){a=a|0;fuc(a);return}function gAa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0;d=u;u=u+560|0;e=d+16|0;g=d+500|0;h=d+544|0;i=d+488|0;j=d+536|0;k=d+528|0;l=d+520|0;m=d+8|0;o=d+512|0;p=d+432|0;q=d+388|0;r=d;s=d+376|0;t=d+480|0;v=d+332|0;w=d+288|0;x=d+272|0;y=d+256|0;z=d+240|0;A=d+232|0;B=d+176|0;C=d+120|0;D=d+64|0;E=d+280|0;F=d+264|0;G=d+248|0;H=d+60|0;I=d+224|0;J=d+168|0;K=d+112|0;UM(h,c,378233);f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;gN(h,g,g);h=g+11|0;L=b[h>>0]|0;if(((L<<24>>24<0?f[g+4>>2]|0:L&255)|0)==5?(Puc(g,0,-1,378243,5)|0)==0:0){f[a>>2]=0;UM(j,c,378249);f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;gN(j,i,i);j=i+11|0;L=b[j>>0]|0;M=i+4|0;N=f[M>>2]|0;if(((L<<24>>24<0?N:L&255)|0)==4)if(!(Puc(i,0,-1,378261,4)|0)){O=0;P=12}else{Q=b[j>>0]|0;R=f[M>>2]|0;P=6}else{Q=L;R=N;P=6}do if((P|0)==6){if(((Q<<24>>24<0?R:Q&255)|0)==3){if(!(Puc(i,0,-1,378266,3)|0)){O=1;P=12;break}S=b[j>>0]|0;T=f[M>>2]|0}else{S=Q;T=R}if(((S<<24>>24<0?T:S&255)|0)==3?(Puc(i,0,-1,378270,3)|0)==0:0){f[a+4>>2]=2;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;N=cuc(48)|0;f[e>>2]=N;f[e+8>>2]=-2147483600;f[e+4>>2]=35;U=N;V=378274;W=U+35|0;do{b[U>>0]=b[V>>0]|0;U=U+1|0;V=V+1|0}while((U|0)<(W|0));b[N+35>>0]=0;WD(-213,e,387641,374668,1468)}else X=0}while(0);if((P|0)==12){f[a+4>>2]=O;UM(k,c,461828);dN(k,e,0);k=a+20|0;f[k>>2]=f[e>>2];UM(l,c,461834);dN(l,e,0);l=f[e>>2]|0;f[a+24>>2]=l;if((l|0)<=0){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;Z=cuc(48)|0;f[e>>2]=Z;_=e+8|0;f[_>>2]=-2147483600;$=e+4|0;f[$>>2]=47;U=Z;V=378310;W=U+47|0;do{b[U>>0]=b[V>>0]|0;U=U+1|0;V=V+1|0}while((U|0)<(W|0));aa=Z+47|0;b[aa>>0]=0;WD(-215,e,387641,374668,1475)}if((f[k>>2]|0)<=0){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;Z=cuc(48)|0;f[e>>2]=Z;_=e+8|0;f[_>>2]=-2147483600;$=e+4|0;f[$>>2]=47;U=Z;V=378310;W=U+47|0;do{b[U>>0]=b[V>>0]|0;U=U+1|0;V=V+1|0}while((U|0)<(W|0));aa=Z+47|0;b[aa>>0]=0;WD(-215,e,387641,374668,1475)}UM(m,c,378358);aa=m+4|0;if((f[aa>>2]|0)!=0?(UM(o,m,378372),dN(o,e,0),o=f[e>>2]|0,f[a+8>>2]=o,Z=(o+31|0)/32|0,$=(o|0)>0,o=$?Z+3|0:4,UM(e,c,381478),c=e,_=f[c>>2]|0,k=f[c+4>>2]|0,c=m,f[c>>2]=_,f[c+4>>2]=k,!(k>>>0<1|(k|0)==1&_>>>0<0)):0){_=a+28|0;qAa(_,WM(m)|0);k=a+40|0;c=f[k>>2]|0;l=a+44|0;O=f[l>>2]|0;if((O|0)!=(c|0))f[l>>2]=O+(~((O+-4-c|0)>>>2)<<2);c=a+52|0;O=f[c>>2]|0;S=a+56|0;T=f[S>>2]|0;if((T|0)!=(O|0))f[S>>2]=T+(~((T+-16-O|0)>>>4)<<4);O=a+88|0;T=f[O>>2]|0;R=a+92|0;Q=f[R>>2]|0;if((Q|0)!=(T|0))f[R>>2]=Q+(~((Q+-16-T|0)>>>4)<<4);VM(p,f[m>>2]|0,f[aa>>2]|0,0);T=f[m>>2]|0;Q=f[aa>>2]|0;VM(q,T,Q,WM(m)|0);m=a+12|0;f[m>>2]=2147483647;Q=a+16|0;f[Q>>2]=0;T=p+4|0;aa=q+4|0;M=p+20|0;L=q+20|0;ba=p+40|0;ca=q+40|0;da=r+4|0;ea=s+8|0;fa=s+4|0;ga=a+32|0;ha=a+36|0;ia=v+4|0;ja=w+4|0;ka=v+20|0;la=w+20|0;ma=v+40|0;na=w+40|0;oa=x+4|0;pa=y+4|0;qa=z+4|0;ra=a+48|0;sa=a+64|0;ta=a+68|0;ua=a+76|0;va=a+80|0;wa=B+4|0;xa=C+4|0;ya=B+20|0;za=C+20|0;Aa=B+40|0;Ba=C+40|0;Ca=E+4|0;Da=D+8|0;Ea=F+4|0;Fa=D+12|0;Ga=G+4|0;Ha=a+60|0;Ia=J+4|0;Ja=D+4|0;Ka=I+4|0;La=a+84|0;Ma=K+4|0;Na=a+72|0;Oa=0;a:while(1){Pa=f[p>>2]|0;Qa=Pa;if((((Pa|0)==(f[q>>2]|0)?(f[T>>2]|0)==(f[aa>>2]|0):0)?(f[M>>2]|0)==(f[L>>2]|0):0)?(f[ba>>2]|0)==(f[ca>>2]|0):0){P=73;break}Pa=f[M>>2]|0;f[r>>2]=Qa;f[da>>2]=Pa;UM(t,r,378384);eN(t,e,0.0);n[ea>>2]=+n[e>>2]+-9.999999747378752e-06;UM(e,r,378399);Pa=e;Qa=f[Pa>>2]|0;Ra=f[Pa+4>>2]|0;Pa=r;f[Pa>>2]=Qa;f[Pa+4>>2]=Ra;if(Ra>>>0<1|(Ra|0)==1&Qa>>>0<0){P=29;break}Qa=WM(r)|0;f[fa>>2]=Qa;f[s>>2]=(f[l>>2]|0)-(f[k>>2]|0)>>2;Qa=f[ga>>2]|0;if((Qa|0)==(f[ha>>2]|0))rAa(_,s);else{f[Qa>>2]=f[s>>2];f[Qa+4>>2]=f[s+4>>2];f[Qa+8>>2]=f[s+8>>2];f[ga>>2]=(f[ga>>2]|0)+12}Qa=f[_>>2]|0;sAa(k,(f[Qa+(Oa*12|0)+4>>2]|0)+(f[Qa+(Oa*12|0)>>2]|0)|0);VM(v,f[r>>2]|0,f[da>>2]|0,0);Qa=f[r>>2]|0;Ra=f[da>>2]|0;VM(w,Qa,Ra,WM(r)|0);b:while(1){Ra=f[v>>2]|0;Qa=Ra;do if((Ra|0)==(f[w>>2]|0)){if((f[ia>>2]|0)!=(f[ja>>2]|0))break;if((f[ka>>2]|0)!=(f[la>>2]|0))break;if((f[ma>>2]|0)==(f[na>>2]|0))break b}while(0);Ra=f[ka>>2]|0;f[x>>2]=Qa;f[oa>>2]=Ra;UM(y,x,378415);UM(z,x,378429);if((f[pa>>2]|0)==0|(f[qa>>2]|0)==0){P=71;break a}Ra=(WM(y)|0)/(o|0)|0;f[A>>2]=Ra;Pa=f[m>>2]|0;f[m>>2]=(Ra|0)<(Pa|0)?Ra:Pa;Pa=f[Q>>2]|0;f[Q>>2]=(Pa|0)<(Ra|0)?Ra:Pa;Pa=f[l>>2]|0;if((Pa|0)==(f[ra>>2]|0))tAa(k,A);else{f[Pa>>2]=Ra;f[l>>2]=Pa+4}uAa(c,((f[S>>2]|0)-(f[c>>2]|0)>>4)+(f[A>>2]|0)|0);Pa=f[ta>>2]|0;Ra=f[sa>>2]|0;vAa(sa,(Pa-Ra>>2)+(WM(z)|0)|0);if($)wAa(ua,((f[va>>2]|0)-(f[ua>>2]|0)>>2)+(Y(f[A>>2]|0,Z)|0)|0);VM(B,f[y>>2]|0,f[pa>>2]|0,0);Ra=f[y>>2]|0;Pa=f[pa>>2]|0;VM(C,Ra,Pa,WM(y)|0);c:while(1){Pa=f[B>>2]|0;Ra=Pa;do if((Pa|0)==(f[C>>2]|0)){if((f[wa>>2]|0)!=(f[xa>>2]|0))break;if((f[ya>>2]|0)!=(f[za>>2]|0))break;if((f[Aa>>2]|0)==(f[Ba>>2]|0))break c}while(0);Pa=f[ya>>2]|0;f[E>>2]=Ra;f[Ca>>2]=Pa;dN(E,e,0);f[Da>>2]=f[e>>2];XM(B)|0;Pa=f[ya>>2]|0;f[F>>2]=f[B>>2];f[Ea>>2]=Pa;dN(F,e,0);f[Fa>>2]=f[e>>2];XM(B)|0;Pa=f[ya>>2]|0;f[G>>2]=f[B>>2];f[Ga>>2]=Pa;dN(G,e,0);f[D>>2]=f[e>>2];XM(B)|0;if($){Pa=0;while(1){if((Pa|0)>=(Z|0))break;Sa=f[ya>>2]|0;f[I>>2]=f[B>>2];f[Ka>>2]=Sa;dN(I,e,0);Sa=f[e>>2]|0;f[H>>2]=Sa;Ta=f[va>>2]|0;if(Ta>>>0<(f[La>>2]|0)>>>0){f[Ta>>2]=Sa;f[va>>2]=Ta+4}else Aw(ua,H);XM(B)|0;Pa=Pa+1|0}n[Ja>>2]=0.0}else{Pa=f[ya>>2]|0;f[J>>2]=f[B>>2];f[Ia>>2]=Pa;eN(J,e,0.0);f[Ja>>2]=f[e>>2];XM(B)|0}Pa=f[S>>2]|0;if((Pa|0)==(f[Ha>>2]|0))xAa(c,D);else{f[Pa>>2]=f[D>>2];f[Pa+4>>2]=f[D+4>>2];f[Pa+8>>2]=f[D+8>>2];f[Pa+12>>2]=f[D+12>>2];f[S>>2]=(f[S>>2]|0)+16}}VM(e,f[z>>2]|0,f[qa>>2]|0,0);U=B;V=e;W=U+44|0;do{f[U>>2]=f[V>>2];U=U+4|0;V=V+4|0}while((U|0)<(W|0));Qa=f[z>>2]|0;Pa=f[qa>>2]|0;VM(D,Qa,Pa,WM(z)|0);U=C;V=D;W=U+44|0;do{f[U>>2]=f[V>>2];U=U+4|0;V=V+4|0}while((U|0)<(W|0));d:while(1){Pa=f[B>>2]|0;Qa=Pa;do if((Pa|0)==(f[C>>2]|0)){if((f[wa>>2]|0)!=(f[xa>>2]|0))break;if((f[ya>>2]|0)!=(f[za>>2]|0))break;if((f[Aa>>2]|0)==(f[Ba>>2]|0))break d}while(0);Pa=f[ya>>2]|0;f[K>>2]=Qa;f[Ma>>2]=Pa;eN(K,e,0.0);Pa=f[e>>2]|0;f[D>>2]=Pa;Ra=f[ta>>2]|0;if(Ra>>>0<(f[Na>>2]|0)>>>0){f[Ra>>2]=Pa;f[ta>>2]=Ra+4}else Bw(sa,D);XM(B)|0}XM(v)|0}XM(p)|0;Oa=Oa+1|0}e:do if((P|0)==29)Ua=0;else if((P|0)==71)Ua=0;else if((P|0)==73)if((f[Q>>2]|0)==1?(Oa=f[_>>2]|0,p=(f[ga>>2]|0)-Oa|0,v=(p|0)/12|0,(p|0)!=0):0){p=a+64|0;B=e+4|0;D=e+8|0;sa=e+12|0;ta=a+96|0;Na=0;K=0;Ma=0;ya=Oa;while(1){Oa=f[ya+(Ma*12|0)+4>>2]|0;if((Oa|0)>0){Ba=0;Aa=Na;za=K;while(1){xa=f[c>>2]|0;wa=f[xa+(za<<4)+4>>2]|0;C=f[p>>2]|0;V=f[C+(Aa<<2)>>2]|0;U=f[C+(Aa+1<<2)>>2]|0;f[e>>2]=f[xa+(za<<4)>>2];f[B>>2]=wa;f[D>>2]=V;f[sa>>2]=U;U=f[R>>2]|0;if(U>>>0<(f[ta>>2]|0)>>>0){f[U>>2]=f[e>>2];f[U+4>>2]=f[e+4>>2];f[U+8>>2]=f[e+8>>2];f[U+12>>2]=f[e+12>>2];f[R>>2]=(f[R>>2]|0)+16}else yAa(O,e);Ba=Ba+1|0;U=za+1|0;V=Aa+2|0;if((Ba|0)>=(Oa|0)){Va=V;Wa=U;break}else{Aa=V;za=U}}}else{Va=Na;Wa=K}za=Ma+1|0;if(za>>>0>=v>>>0){Ua=1;break e}Na=Va;K=Wa;Ma=za;ya=f[_>>2]|0}}else Ua=1;while(0);Xa=Ua}else Xa=0;X=Xa}if((b[j>>0]|0)<0)fuc(f[i>>2]|0);Ya=X}else Ya=0;if((b[h>>0]|0)>=0){u=d;return Ya|0}fuc(f[g>>2]|0);u=d;return Ya|0}function hAa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;switch(c|0){case 0:{c=cuc(436)|0;d=c+8|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;f[c+44>>2]=1124007936;d=c+52|0;e=c+84|0;g=c+48|0;h=g+36|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));f[e>>2]=d;d=c+92|0;f[c+88>>2]=d;f[d>>2]=0;f[c+96>>2]=0;f[c+100>>2]=1124007936;d=c+108|0;e=c+140|0;g=c+104|0;h=g+36|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));f[e>>2]=d;d=c+148|0;f[c+144>>2]=d;f[d>>2]=0;f[c+152>>2]=0;f[c+156>>2]=1124007936;d=c+160|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;f[d+16>>2]=0;f[d+20>>2]=0;f[d+24>>2]=0;f[c+188>>2]=c+164;d=c+196|0;f[c+192>>2]=d;f[c+200>>2]=0;f[d>>2]=0;f[c+204>>2]=1124007936;d=c+208|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;f[d+16>>2]=0;f[d+20>>2]=0;f[d+24>>2]=0;f[c+236>>2]=c+212;d=c+244|0;f[c+240>>2]=d;f[c+248>>2]=0;f[d>>2]=0;f[c+252>>2]=1124007936;d=c+256|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;f[d+16>>2]=0;f[d+20>>2]=0;f[d+24>>2]=0;f[c+284>>2]=c+260;d=c+292|0;f[c+288>>2]=d;f[c+296>>2]=0;f[d>>2]=0;f[c+300>>2]=1124007936;d=c+304|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;f[d+16>>2]=0;f[d+20>>2]=0;f[d+24>>2]=0;f[c+332>>2]=c+308;d=c+340|0;f[c+336>>2]=d;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;f[c>>2]=85184;d=c+356|0;e=c+24|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;f[d+16>>2]=0;f[d+20>>2]=0;g=c+392|0;h=g+40|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));f[e>>2]=4;f[c+28>>2]=2;f[c+32>>2]=0;f[c+36>>2]=0;f[c+40>>2]=0;f[c+384>>2]=0;f[c+388>>2]=0;n[c+432>>2]=0.0;b[c+380>>0]=0;f[a>>2]=c;e=cuc(16)|0;f[e+4>>2]=0;f[e+8>>2]=0;f[e>>2]=85920;f[e+12>>2]=c;f[a+4>>2]=e;return}case 1:{e=cuc(388)|0;fza(e);f[a>>2]=e;c=cuc(16)|0;f[c+4>>2]=0;f[c+8>>2]=0;f[c>>2]=85948;f[c+12>>2]=e;f[a+4>>2]=c;return}default:{f[a>>2]=0;f[a+4>>2]=0;return}}}function iAa(a){a=a|0;Qtc(a);fuc(a);return}function jAa(a){a=a|0;var b=0;b=f[a+12>>2]|0;if(!b)return;bi[f[(f[b>>2]|0)+4>>2]&2047](b);return}function kAa(a,b){a=a|0;b=b|0;return ((f[b+4>>2]|0)==377945?a+12|0:0)|0}function lAa(a){a=a|0;fuc(a);return}function mAa(a){a=a|0;Qtc(a);fuc(a);return}function nAa(a){a=a|0;var b=0;b=f[a+12>>2]|0;if(!b)return;bi[f[(f[b>>2]|0)+4>>2]&2047](b);return}function oAa(a,b){a=a|0;b=b|0;return ((f[b+4>>2]|0)==378088?a+12|0:0)|0}function pAa(a){a=a|0;fuc(a);return}function qAa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0;c=a+8|0;d=f[a>>2]|0;if((((f[c>>2]|0)-d|0)/12|0)>>>0>=b>>>0)return;e=a+4|0;if(b>>>0>357913941){g=ze(8)|0;kuc(g,519086);f[g>>2]=167148;Hf(g|0,26888,1888)}g=(f[e>>2]|0)-d|0;h=cuc(b*12|0)|0;i=h+(((g|0)/12|0)*12|0)|0;j=i+(((g|0)/-12|0)*12|0)|0;if((g|0)>0)szc(j|0,d|0,g|0)|0;f[a>>2]=j;f[e>>2]=i;f[c>>2]=h+(b*12|0);if(!d)return;fuc(d);return}function rAa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+4|0;d=f[a>>2]|0;e=(f[c>>2]|0)-d|0;g=(e|0)/12|0;h=g+1|0;if(h>>>0>357913941)nsc(a);i=a+8|0;j=((f[i>>2]|0)-d|0)/12|0;k=j<<1;l=j>>>0<178956970?(k>>>0<h>>>0?h:k):357913941;do if(l)if(l>>>0>357913941){k=ze(8)|0;kuc(k,519086);f[k>>2]=167148;Hf(k|0,26888,1888)}else{m=cuc(l*12|0)|0;break}else m=0;while(0);k=m+(g*12|0)|0;f[k>>2]=f[b>>2];f[k+4>>2]=f[b+4>>2];f[k+8>>2]=f[b+8>>2];b=k+(((e|0)/-12|0)*12|0)|0;if((e|0)>0)szc(b|0,d|0,e|0)|0;f[a>>2]=b;f[c>>2]=k+12;f[i>>2]=m+(l*12|0);if(!d)return;fuc(d);return}function sAa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=a+8|0;d=f[a>>2]|0;if((f[c>>2]|0)-d>>2>>>0>=b>>>0)return;e=a+4|0;if(b>>>0>1073741823){g=ze(8)|0;kuc(g,519086);f[g>>2]=167148;Hf(g|0,26888,1888)}g=(f[e>>2]|0)-d|0;h=g>>2;i=cuc(b<<2)|0;j=i+(h<<2)|0;k=j+(0-h<<2)|0;if((g|0)>0)szc(k|0,d|0,g|0)|0;f[a>>2]=k;f[e>>2]=j;f[c>>2]=i+(b<<2);if(!d)return;fuc(d);return}function tAa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+4|0;d=f[a>>2]|0;e=(f[c>>2]|0)-d|0;g=e>>2;h=g+1|0;if(h>>>0>1073741823)nsc(a);i=a+8|0;j=(f[i>>2]|0)-d|0;k=j>>1;l=j>>2>>>0<536870911?(k>>>0<h>>>0?h:k):1073741823;do if(l)if(l>>>0>1073741823){k=ze(8)|0;kuc(k,519086);f[k>>2]=167148;Hf(k|0,26888,1888)}else{m=cuc(l<<2)|0;break}else m=0;while(0);k=m+(g<<2)|0;f[k>>2]=f[b>>2];b=k+(0-g<<2)|0;if((e|0)>0)szc(b|0,d|0,e|0)|0;f[a>>2]=b;f[c>>2]=k+4;f[i>>2]=m+(l<<2);if(!d)return;fuc(d);return}function uAa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=a+8|0;d=f[a>>2]|0;if((f[c>>2]|0)-d>>4>>>0>=b>>>0)return;e=a+4|0;if(b>>>0>268435455){g=ze(8)|0;kuc(g,519086);f[g>>2]=167148;Hf(g|0,26888,1888)}g=(f[e>>2]|0)-d|0;h=g>>4;i=cuc(b<<4)|0;j=i+(h<<4)|0;k=j+(0-h<<4)|0;if((g|0)>0)szc(k|0,d|0,g|0)|0;f[a>>2]=k;f[e>>2]=j;f[c>>2]=i+(b<<4);if(!d)return;fuc(d);return}function vAa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=a+8|0;d=f[a>>2]|0;if((f[c>>2]|0)-d>>2>>>0>=b>>>0)return;e=a+4|0;if(b>>>0>1073741823){g=ze(8)|0;kuc(g,519086);f[g>>2]=167148;Hf(g|0,26888,1888)}g=(f[e>>2]|0)-d|0;h=g>>2;i=cuc(b<<2)|0;j=i+(h<<2)|0;k=j+(0-h<<2)|0;if((g|0)>0)szc(k|0,d|0,g|0)|0;f[a>>2]=k;f[e>>2]=j;f[c>>2]=i+(b<<2);if(!d)return;fuc(d);return}function wAa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=a+8|0;d=f[a>>2]|0;if((f[c>>2]|0)-d>>2>>>0>=b>>>0)return;e=a+4|0;if(b>>>0>1073741823){g=ze(8)|0;kuc(g,519086);f[g>>2]=167148;Hf(g|0,26888,1888)}g=(f[e>>2]|0)-d|0;h=g>>2;i=cuc(b<<2)|0;j=i+(h<<2)|0;k=j+(0-h<<2)|0;if((g|0)>0)szc(k|0,d|0,g|0)|0;f[a>>2]=k;f[e>>2]=j;f[c>>2]=i+(b<<2);if(!d)return;fuc(d);return}function xAa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+4|0;d=f[a>>2]|0;e=(f[c>>2]|0)-d|0;g=e>>4;h=g+1|0;if(h>>>0>268435455)nsc(a);i=a+8|0;j=(f[i>>2]|0)-d|0;k=j>>3;l=j>>4>>>0<134217727?(k>>>0<h>>>0?h:k):268435455;do if(l)if(l>>>0>268435455){k=ze(8)|0;kuc(k,519086);f[k>>2]=167148;Hf(k|0,26888,1888)}else{m=cuc(l<<4)|0;break}else m=0;while(0);k=m+(g<<4)|0;f[k>>2]=f[b>>2];f[k+4>>2]=f[b+4>>2];f[k+8>>2]=f[b+8>>2];f[k+12>>2]=f[b+12>>2];b=k+(0-g<<4)|0;if((e|0)>0)szc(b|0,d|0,e|0)|0;f[a>>2]=b;f[c>>2]=k+16;f[i>>2]=m+(l<<4);if(!d)return;fuc(d);return}function yAa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+4|0;d=f[a>>2]|0;e=(f[c>>2]|0)-d|0;g=e>>4;h=g+1|0;if(h>>>0>268435455)nsc(a);i=a+8|0;j=(f[i>>2]|0)-d|0;k=j>>3;l=j>>4>>>0<134217727?(k>>>0<h>>>0?h:k):268435455;do if(l)if(l>>>0>268435455){k=ze(8)|0;kuc(k,519086);f[k>>2]=167148;Hf(k|0,26888,1888)}else{m=cuc(l<<4)|0;break}else m=0;while(0);k=m+(g<<4)|0;f[k>>2]=f[b>>2];f[k+4>>2]=f[b+4>>2];f[k+8>>2]=f[b+8>>2];f[k+12>>2]=f[b+12>>2];b=k+(0-g<<4)|0;if((e|0)>0)szc(b|0,d|0,e|0)|0;f[a>>2]=b;f[c>>2]=k+16;f[i>>2]=m+(l<<4);if(!d)return;fuc(d);return}function zAa(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;var g=0,h=0;g=u;u=u+16|0;h=g;gV(h,85604);Lza(a,d,e,b,c);if(!(f[h+4>>2]|0)){u=g;return}u=g;return}function AAa(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0.0,I=0.0,J=0.0,K=0,L=0;g=u;u=u+192|0;h=g+172|0;i=g+160|0;j=g+148|0;k=g+136|0;l=g+88|0;m=g;n=g+120|0;o=g+112|0;gV(o,85968);q=f[e>>2]|0;r=f[e+4>>2]|0;e=a+4|0;s=f[e>>2]|0;t=f[a>>2]|0;v=s-t|0;w=v>>4;f[h>>2]=0;x=h+4|0;f[x>>2]=0;f[h+8>>2]=0;y=(w|0)==0;z=t;A=s;do if(!y)if(w>>>0>178956970)nsc(h);else{s=w*24|0;B=cuc(s)|0;f[h>>2]=B;f[h+8>>2]=B+(w*24|0);kzc(B|0,0,s|0)|0;f[x>>2]=B+s;C=B;break}else C=0;while(0);f[i>>2]=0;B=i+4|0;f[B>>2]=0;f[i+8>>2]=0;f[j>>2]=0;s=j+4|0;f[s>>2]=0;f[j+8>>2]=0;if(y)D=0;else{y=v>>1;E=cuc(y)|0;f[j>>2]=E;F=E+(w<<3)|0;f[j+8>>2]=F;kzc(E|0,0,y|0)|0;f[s>>2]=F;D=E}f[k>>2]=0;E=k+4|0;f[E>>2]=0;f[k+8>>2]=0;if((v|0)>0){v=f[b>>2]|0;F=f[c>>2]|0;c=0;do{p[D+(c<<3)>>3]=+p[v+(c<<3)>>3];y=(f[z+(c<<4)+12>>2]|0)+(f[z+(c<<4)+4>>2]<<1)|0;G=Fhc(+((f[z+(c<<4)+8>>2]|0)+(f[z+(c<<4)>>2]<<1)|0)*.5)|0;H=+(Fhc(+(y|0)*.5)|0);I=+W(+(+p[F+(c<<3)>>3]));p[C+(c*24|0)>>3]=+(G|0);p[C+(c*24|0)+8>>3]=H;p[C+(c*24|0)+16>>3]=I;c=c+1|0}while((c|0)<(w|0))}if((A|0)!=(z|0))f[e>>2]=A+(~((A+-16-t|0)>>>4)<<4);t=f[b>>2]|0;A=b+4|0;z=f[A>>2]|0;if((z|0)!=(t|0))f[A>>2]=z+(~((z+-8-t|0)>>>3)<<3);p[l>>3]=8.0;p[l+8>>3]=16.0;p[l+16>>3]=.26236426446749106;BAa(m,l,h,j,1.0e-05,100);CAa(m,i,k,1.0);l=f[i>>2]|0;if((f[B>>2]|0)!=(l|0)){t=n+4|0;z=n+8|0;w=n+12|0;c=a+8|0;C=b+8|0;I=+(q|0);H=+(r|0);r=0;q=l;do{l=q;J=+V(+(+p[l+(r*24|0)+16>>3]));F=~~(I*J);v=~~(H*J);D=~~(+p[l+(r*24|0)>>3]-+((F|0)/2|0|0));G=~~(+p[l+(r*24|0)+8>>3]-+((v|0)/2|0|0));f[n>>2]=D;f[t>>2]=G;f[z>>2]=F;f[w>>2]=v;l=f[k>>2]|0;do if(+p[l+(r<<3)>>3]>d){y=f[e>>2]|0;if((y|0)==(f[c>>2]|0)){It(a,n);K=f[k>>2]|0}else{f[y>>2]=D;f[y+4>>2]=G;f[y+8>>2]=F;f[y+12>>2]=v;f[e>>2]=y+16;K=l}y=K+(r<<3)|0;L=f[A>>2]|0;if((L|0)==(f[C>>2]|0)){Ks(b,y);break}else{p[L>>3]=+p[y>>3];f[A>>2]=L+8;break}}while(0);r=r+1|0;q=f[i>>2]|0}while(r>>>0<(((f[B>>2]|0)-q|0)/24|0)>>>0)}q=f[m+64>>2]|0;if(q|0){r=m+68|0;A=f[r>>2]|0;if((A|0)!=(q|0))f[r>>2]=A+(~(((A+-24-q|0)>>>0)/24|0)*24|0);fuc(q)}q=f[m+52>>2]|0;if(q|0){A=m+56|0;r=f[A>>2]|0;if((r|0)!=(q|0))f[A>>2]=r+(~(((r+-24-q|0)>>>0)/24|0)*24|0);fuc(q)}q=f[m+12>>2]|0;if(q|0){r=m+16|0;A=f[r>>2]|0;if((A|0)!=(q|0))f[r>>2]=A+(~((A+-8-q|0)>>>3)<<3);fuc(q)}q=f[m>>2]|0;if(q|0){A=m+4|0;m=f[A>>2]|0;if((m|0)!=(q|0))f[A>>2]=m+(~(((m+-24-q|0)>>>0)/24|0)*24|0);fuc(q)}q=f[k>>2]|0;if(q|0){k=f[E>>2]|0;if((k|0)!=(q|0))f[E>>2]=k+(~((k+-8-q|0)>>>3)<<3);fuc(q)}q=f[j>>2]|0;if(q|0){j=f[s>>2]|0;if((j|0)!=(q|0))f[s>>2]=j+(~((j+-8-q|0)>>>3)<<3);fuc(q)}q=f[i>>2]|0;if(q|0){i=f[B>>2]|0;if((i|0)!=(q|0))f[B>>2]=i+(~(((i+-24-q|0)>>>0)/24|0)*24|0);fuc(q)}q=f[h>>2]|0;if(q|0){h=f[x>>2]|0;if((h|0)!=(q|0))f[x>>2]=h+(~(((h+-24-q|0)>>>0)/24|0)*24|0);fuc(q)}if(!(f[o+4>>2]|0)){u=g;return}u=g;return}function BAa(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0.0,J=0.0,K=0.0,L=0.0,M=0.0,N=0.0,O=0;h=u;u=u+48|0;i=h+24|0;j=h;k=a+4|0;l=a+12|0;m=a+52|0;n=a+56|0;o=a+64|0;q=a+68|0;r=a;s=r+48|0;do{f[r>>2]=0;r=r+4|0}while((r|0)<(s|0));f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;f[m+16>>2]=0;f[m+20>>2]=0;p[a+24>>3]=+p[b>>3];r=a+32|0;p[r>>3]=+p[b+8>>3];s=a+40|0;p[s>>3]=+p[b+16>>3];if((l|0)!=(d|0))FAa(l,f[d>>2]|0,f[d+4>>2]|0);if((a|0)==(c|0))t=c+4|0;else{d=c+4|0;GAa(a,f[c>>2]|0,f[d>>2]|0);t=d}d=((f[t>>2]|0)-(f[c>>2]|0)|0)/24|0;c=a+48|0;f[c>>2]=d;t=f[n>>2]|0;l=f[m>>2]|0;b=(t-l|0)/24|0;v=l;l=t;if(d>>>0<=b>>>0)if(d>>>0<b>>>0?(t=v+(d*24|0)|0,(l|0)!=(t|0)):0){f[n>>2]=l+(~(((l+-24-t|0)>>>0)/24|0)*24|0);w=d}else w=d;else{HAa(m,d-b|0);w=f[c>>2]|0}c=f[q>>2]|0;b=f[o>>2]|0;d=(c-b|0)/24|0;t=b;b=c;if(w>>>0<=d>>>0){if(w>>>0<d>>>0?(c=t+(w*24|0)|0,(b|0)!=(c|0)):0)f[q>>2]=b+(~(((b+-24-c|0)>>>0)/24|0)*24|0)}else HAa(o,w-d|0);d=a+76|0;f[d>>2]=g;g=a+80|0;p[g>>3]=e;w=f[a>>2]|0;if((f[k>>2]|0)==(w|0)){u=h;return}c=i+8|0;b=i+16|0;q=i+8|0;t=i+16|0;l=j+8|0;n=j+16|0;v=a+24|0;x=0;y=w;do{IAa(i,a,y+(x*24|0)|0);w=f[m>>2]|0;z=w+(x*24|0)|0;p[z>>3]=+p[i>>3];A=w+(x*24|0)+8|0;p[A>>3]=+p[c>>3];B=w+(x*24|0)+16|0;p[B>>3]=+p[b>>3];e=+p[z>>3];C=+p[A>>3];D=+p[B>>3];f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;f[i+16>>2]=0;f[i+20>>2]=0;if((f[d>>2]|0)>0){B=0;E=D;F=e;G=C;do{p[i>>3]=F;p[q>>3]=G;p[t>>3]=E;IAa(j,a,i);F=+p[j>>3];G=+p[l>>3];E=+p[n>>3];H=+p[t>>3];I=+V(+H);J=(+p[i>>3]-F)/(+p[v>>3]*I);K=(+p[q>>3]-G)/(+p[r>>3]*I);I=(H-E)/+p[s>>3];B=B+1|0;if(I*I+(K*K+J*J)<=+p[g>>3])break}while((B|0)<(f[d>>2]|0));L=F;M=G;N=E;O=f[m>>2]|0}else{L=e;M=C;N=D;O=w}B=f[o>>2]|0;p[B+(x*24|0)>>3]=L;p[B+(x*24|0)+8>>3]=M;p[B+(x*24|0)+16>>3]=N;y=f[a>>2]|0;J=+p[y+(x*24|0)+8>>3];K=+p[y+(x*24|0)+16>>3];B=O+(x*24|0)|0;p[B>>3]=+p[B>>3]-+p[y+(x*24|0)>>3];B=O+(x*24|0)+8|0;p[B>>3]=+p[B>>3]-J;B=O+(x*24|0)+16|0;p[B>>3]=+p[B>>3]-K;x=x+1|0}while(x>>>0<(((f[k>>2]|0)-y|0)/24|0)>>>0);u=h;return}function CAa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,u=0,v=0.0,w=0.0,x=0.0,y=0,z=0.0,A=0.0,B=0.0,C=0,D=0.0,E=0.0,F=0.0,G=0.0,H=0,I=0,J=0,K=0;e=a+64|0;g=a+68|0;h=f[e>>2]|0;i=b+4|0;if((f[g>>2]|0)!=(h|0)){j=b+8|0;k=a+24|0;l=a+32|0;m=a+40|0;n=0;o=h;while(1){h=o;q=f[i>>2]|0;r=f[b>>2]|0;s=r;t=q;a:do if((q|0)==(r|0))u=14;else{v=+p[k>>3];w=+p[l>>3];x=+p[m>>3];y=(q-r|0)/24|0;z=+p[h+(n*24|0)>>3];A=+p[h+(n*24|0)+8>>3];B=+p[h+(n*24|0)+16>>3];C=0;while(1){D=+p[s+(C*24|0)+16>>3];E=+V(+D);F=(+p[s+(C*24|0)>>3]-z)/(v*E);G=(+p[s+(C*24|0)+8>>3]-A)/(w*E);E=(D-B)/x;C=C+1|0;if(E*E+(G*G+F*F)<d){H=o;break a}if(C>>>0>=y>>>0){u=14;break}}}while(0);do if((u|0)==14){u=0;s=h+(n*24|0)|0;if((t|0)==(f[j>>2]|0)){DAa(b,s);H=f[e>>2]|0;break}else{p[t>>3]=+p[s>>3];p[t+8>>3]=+p[h+(n*24|0)+8>>3];p[t+16>>3]=+p[h+(n*24|0)+16>>3];f[i>>2]=t+24;H=o;break}}while(0);n=n+1|0;if(n>>>0>=(((f[g>>2]|0)-H|0)/24|0)>>>0)break;else o=H}}H=f[i>>2]|0;o=f[b>>2]|0;g=(H-o|0)/24|0;n=c+4|0;e=f[n>>2]|0;j=f[c>>2]|0;u=e-j>>3;m=j;j=e;e=o;if(g>>>0<=u>>>0)if(g>>>0<u>>>0?(l=m+(g<<3)|0,(j|0)!=(l|0)):0){f[n>>2]=j+(~((j+-8-l|0)>>>3)<<3);I=e;J=H;K=o}else{I=e;J=H;K=o}else{Zfa(c,g-u|0);u=f[b>>2]|0;I=u;J=f[i>>2]|0;K=u}if((J|0)==(K|0))return;K=0;J=I;do{d=+EAa(a,J+(K*24|0)|0);p[(f[c>>2]|0)+(K<<3)>>3]=d;K=K+1|0;J=f[b>>2]|0}while(K>>>0<(((f[i>>2]|0)-J|0)/24|0)>>>0);return}function DAa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;c=a+4|0;d=f[c>>2]|0;e=f[a>>2]|0;g=(d-e|0)/24|0;h=g+1|0;i=e;j=d;if(h>>>0>178956970)nsc(a);d=a+8|0;k=((f[d>>2]|0)-e|0)/24|0;l=k<<1;m=k>>>0<89478485?(l>>>0<h>>>0?h:l):178956970;do if(m)if(m>>>0>178956970){l=ze(8)|0;kuc(l,519086);f[l>>2]=167148;Hf(l|0,26888,1888)}else{n=cuc(m*24|0)|0;break}else n=0;while(0);l=n+(g*24|0)|0;h=n+(m*24|0)|0;p[l>>3]=+p[b>>3];p[n+(g*24|0)+8>>3]=+p[b+8>>3];p[n+(g*24|0)+16>>3]=+p[b+16>>3];b=l+24|0;if((j|0)==(i|0))o=l;else{g=j;j=l;while(1){l=g;g=g+-24|0;p[j+-24>>3]=+p[g>>3];p[j+-16>>3]=+p[l+-16>>3];p[j+-8>>3]=+p[l+-8>>3];l=j+-24|0;if((g|0)==(i|0)){o=l;break}else j=l}}f[a>>2]=o;f[c>>2]=b;f[d>>2]=h;if(!e)return;fuc(e);return}function EAa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0.0,h=0.0,i=0.0,j=0.0,k=0.0,l=0.0,m=0.0,n=0.0,o=0.0,q=0.0,r=0.0,s=0.0,t=0.0,u=0.0;c=f[a+4>>2]|0;d=f[a>>2]|0;e=d;if((c|0)==(d|0)){g=0.0;return +g}h=+p[a+24>>3];i=+p[a+32>>3];j=+p[a+40>>3];k=+p[b>>3];l=+p[b+8>>3];m=+p[b+16>>3];b=f[a+12>>2]|0;a=(c-d|0)/24|0;n=0.0;d=0;while(1){o=+p[e+(d*24|0)+16>>3];q=+V(+o);r=h*q;s=i*q;q=(+p[e+(d*24|0)>>3]-k)/r;t=(+p[e+(d*24|0)+8>>3]-l)/s;u=(o-m)/j;o=n+ +p[b+(d<<3)>>3]*+V(+((q*q+t*t+u*u)*-.5))/+M(+(j+(r+s)));d=d+1|0;if(d>>>0>=a>>>0){g=o;break}else n=o}return +g}function FAa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=c;e=b;g=d-e|0;h=g>>3;i=a+8|0;j=f[i>>2]|0;k=f[a>>2]|0;l=k;if(h>>>0<=j-k>>3>>>0){m=a+4|0;n=(f[m>>2]|0)-k>>3;o=h>>>0>n>>>0;p=o?b+(n<<3)|0:c;c=p;n=c-e|0;e=n>>3;if(e|0)uzc(k|0,b|0,n|0)|0;n=l+(e<<3)|0;if(o){o=d-c|0;if((o|0)<=0)return;szc(f[m>>2]|0,p|0,o|0)|0;f[m>>2]=(f[m>>2]|0)+(o>>>3<<3);return}else{o=f[m>>2]|0;if((o|0)==(n|0))return;f[m>>2]=o+(~((o+-8-n|0)>>>3)<<3);return}}n=k;if(!k)q=j;else{j=a+4|0;o=f[j>>2]|0;if((o|0)!=(l|0))f[j>>2]=o+(~((o+-8-k|0)>>>3)<<3);fuc(n);f[i>>2]=0;f[j>>2]=0;f[a>>2]=0;q=0}if(h>>>0>536870911)nsc(a);j=q>>2;n=q>>3>>>0<268435455?(j>>>0<h>>>0?h:j):536870911;if(n>>>0>536870911)nsc(a);j=cuc(n<<3)|0;h=a+4|0;f[h>>2]=j;f[a>>2]=j;f[i>>2]=j+(n<<3);if((g|0)<=0)return;szc(j|0,b|0,g|0)|0;f[h>>2]=j+(g>>>3<<3);return}function GAa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0;d=(c-b|0)/24|0;e=a+8|0;g=f[e>>2]|0;h=f[a>>2]|0;i=h;if(d>>>0<=((g-h|0)/24|0)>>>0){j=a+4|0;k=f[j>>2]|0;l=(k-h|0)/24|0;m=d>>>0>l>>>0;n=b+(l*24|0)|0;l=m?n:c;o=k;if((l|0)==(b|0))q=i;else{k=b;r=i;while(1){p[r>>3]=+p[k>>3];p[r+8>>3]=+p[k+8>>3];p[r+16>>3]=+p[k+16>>3];k=k+24|0;s=r+24|0;if((k|0)==(l|0)){q=s;break}else r=s}}if(!m){if((o|0)==(q|0))return;f[j>>2]=o+(~(((o+-24-q|0)>>>0)/24|0)*24|0);return}if((l|0)==(c|0))return;l=n;n=f[j>>2]|0;do{p[n>>3]=+p[l>>3];p[n+8>>3]=+p[l+8>>3];p[n+16>>3]=+p[l+16>>3];l=l+24|0;n=n+24|0}while((l|0)!=(c|0));f[j>>2]=n;return}n=h;if(!h)t=g;else{g=a+4|0;j=f[g>>2]|0;if((j|0)!=(i|0))f[g>>2]=j+(~(((j+-24-h|0)>>>0)/24|0)*24|0);fuc(n);f[e>>2]=0;f[g>>2]=0;f[a>>2]=0;t=0}if(d>>>0>178956970)nsc(a);g=(t|0)/24|0;t=g<<1;n=g>>>0<89478485?(t>>>0<d>>>0?d:t):178956970;if(n>>>0>178956970)nsc(a);t=cuc(n*24|0)|0;d=a+4|0;f[d>>2]=t;f[a>>2]=t;f[e>>2]=t+(n*24|0);if((b|0)==(c|0))return;n=b;b=t;do{p[b>>3]=+p[n>>3];p[b+8>>3]=+p[n+8>>3];p[b+16>>3]=+p[n+16>>3];n=n+24|0;b=b+24|0}while((n|0)!=(c|0));f[d>>2]=b;return}function HAa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(((d-g|0)/24|0)>>>0>=b>>>0){h=b;i=g;do{f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;f[i+16>>2]=0;f[i+20>>2]=0;i=(f[e>>2]|0)+24|0;f[e>>2]=i;h=h+-1|0}while((h|0)!=0);return}h=f[a>>2]|0;i=(g-h|0)/24|0;g=i+b|0;if(g>>>0>178956970)nsc(a);j=(d-h|0)/24|0;h=j<<1;d=j>>>0<89478485?(h>>>0<g>>>0?g:h):178956970;do if(d)if(d>>>0>178956970){h=ze(8)|0;kuc(h,519086);f[h>>2]=167148;Hf(h|0,26888,1888)}else{k=cuc(d*24|0)|0;break}else k=0;while(0);h=k+(i*24|0)|0;i=h;g=k+(d*24|0)|0;d=b;b=h;k=i;do{f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;f[b+16>>2]=0;f[b+20>>2]=0;b=k+24|0;k=b;d=d+-1|0}while((d|0)!=0);d=g;g=f[a>>2]|0;b=f[e>>2]|0;if((b|0)==(g|0)){l=i;m=g}else{i=b;b=h;do{h=i;i=i+-24|0;p[b+-24>>3]=+p[i>>3];p[b+-16>>3]=+p[h+-16>>3];p[b+-8>>3]=+p[h+-8>>3];b=b+-24|0}while((i|0)!=(g|0));l=b;m=f[a>>2]|0}f[a>>2]=l;f[e>>2]=k;f[c>>2]=d;if(!m)return;fuc(m);return}function IAa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0.0,k=0.0,l=0.0,m=0.0,n=0.0,o=0.0,q=0.0,r=0.0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0.0,J=0.0,K=0.0,L=0.0,N=0.0,O=0.0;d=a+8|0;e=a+16|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;f[a+16>>2]=0;f[a+20>>2]=0;g=f[b+4>>2]|0;h=f[b>>2]|0;i=h;if((g|0)==(h|0)){j=0.0;k=0.0;l=0.0;m=0.0;n=0.0;o=0.0;q=m/j;p[a>>3]=q;r=n/l;p[d>>3]=r;s=o/k;p[e>>3]=s;return}t=+p[c>>3];u=+p[c+8>>3];v=+p[b+24>>3];w=+p[b+32>>3];x=+p[b+40>>3];y=+p[c+16>>3]/x;c=f[b+12>>2]|0;b=(g-h|0)/24|0;h=0;z=0.0;A=0.0;B=0.0;C=0.0;D=0.0;E=0.0;do{F=+p[i+(h*24|0)+16>>3];G=+V(+F);H=v*G;I=w*G;G=+p[i+(h*24|0)>>3]/H;J=+p[i+(h*24|0)+8>>3]/I;K=F/x;F=G-t/H;L=J-u/I;N=K-y;O=+p[c+(h<<3)>>3]*+V(+((N*N+(F*F+L*L))*-.5))/+M(+(x+(H+I)));C=C+G*O;D=J*O+D;E=K*O+E;z=z+O/H;B=B+O/I;A=A+O/x;h=h+1|0}while(h>>>0<b>>>0);p[a>>3]=C;p[d>>3]=D;p[e>>3]=E;j=z;k=A;l=B;m=C;n=D;o=E;q=m/j;p[a>>3]=q;r=n/l;p[d>>3]=r;s=o/k;p[e>>3]=s;return}function JAa(a){a=a|0;var b=0,c=0,d=0;LG(a);f[a>>2]=85512;b=a+128|0;c=a+4|0;d=c+124|0;do{f[c>>2]=0;c=c+4|0}while((c|0)<(d|0));f[b>>2]=1124007936;b=a+132|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;f[b+16>>2]=0;f[b+20>>2]=0;f[b+24>>2]=0;f[a+160>>2]=a+136;b=a+168|0;f[a+164>>2]=b;f[a+172>>2]=0;f[b>>2]=0;f[a+176>>2]=1124007936;b=a+180|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;f[b+16>>2]=0;f[b+20>>2]=0;f[b+24>>2]=0;f[a+208>>2]=a+184;b=a+216|0;f[a+212>>2]=b;f[a+220>>2]=0;f[b>>2]=0;f[a+224>>2]=1124007936;b=a+228|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;f[b+16>>2]=0;f[b+20>>2]=0;f[b+24>>2]=0;f[a+256>>2]=a+232;b=a+264|0;f[a+260>>2]=b;f[a+268>>2]=0;f[b>>2]=0;f[a+272>>2]=1124007936;b=a+276|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;f[b+16>>2]=0;f[b+20>>2]=0;f[b+24>>2]=0;f[a+304>>2]=a+280;b=a+312|0;f[a+308>>2]=b;f[a+316>>2]=0;f[b>>2]=0;f[a+320>>2]=1124007936;b=a+324|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;f[b+16>>2]=0;f[b+20>>2]=0;f[b+24>>2]=0;f[a+352>>2]=a+328;b=a+360|0;f[a+356>>2]=b;f[a+364>>2]=0;f[b>>2]=0;f[a+368>>2]=1124007936;b=a+372|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;f[b+16>>2]=0;f[b+20>>2]=0;f[b+24>>2]=0;f[a+400>>2]=a+376;b=a+408|0;f[a+404>>2]=b;f[a+412>>2]=0;f[b>>2]=0;Ztc(a+416|0);return}function KAa(a){a=a|0;f[a>>2]=0;f[a+4>>2]=0;return}function LAa(a,b){a=a|0;b=b|0;f[a>>2]=0;f[a+4>>2]=0;MAa(a,b)|0;return}function MAa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=cuc(456)|0;f[c+4>>2]=0;f[c+8>>2]=0;f[c>>2]=85996;d=c+12|0;JAa(d);Wtc(c);f[a>>2]=d;d=a+4|0;e=f[d>>2]|0;f[d>>2]=c;if(e|0)Xtc(e);Xtc(c);c=f[a>>2]|0;if(!(Th[f[(f[c>>2]|0)+32>>2]&1023](c,b)|0)?(f[a>>2]=0,b=f[d>>2]|0,f[d>>2]=0,b|0):0)Xtc(b);b=f[a>>2]|0;if(!b){g=0;return g|0}g=(di[f[(f[b>>2]|0)+20>>2]&1023](b)|0)^1;return g|0}function NAa(a){a=a|0;f[a>>2]=85996;vza(a+12|0);Qtc(a);return}function OAa(a){a=a|0;f[a>>2]=85996;vza(a+12|0);Qtc(a);fuc(a);return}function PAa(a){a=a|0;vza(a+12|0);return}function QAa(a){a=a|0;fuc(a);return}function RAa(a){a=a|0;var b=0;b=f[a+4>>2]|0;if(!b)return;Xtc(b);return}function SAa(a){a=a|0;var b=0,c=0;b=f[a>>2]|0;if(!b){c=1;return c|0}c=di[f[(f[b>>2]|0)+20>>2]&1023](b)|0;return c|0}function TAa(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;g=u;u=u+16|0;h=g;i=c+4|0;j=f[i>>2]|0;k=f[c>>2]|0;c=j-k>>4;l=f[a>>2]|0;m=f[a+4>>2]|0;a=(d|0)!=0;n=k;if(a?((f[d+4>>2]|0)-(f[d>>2]|0)>>2|0)!=(c|0):0){k=cuc(16)|0;f[h>>2]=k;f[h+8>>2]=-2147483632;f[h+4>>2]=14;o=k;q=378694;r=o+14|0;do{b[o>>0]=b[q>>0]|0;o=o+1|0;q=q+1|0}while((o|0)<(r|0));b[k+14>>0]=0;WD(-215,h,378709,374668,1654)}k=(e|0)!=0;if(k?((f[e+4>>2]|0)-(f[e>>2]|0)>>3|0)!=(c|0):0){s=cuc(16)|0;f[h>>2]=s;f[h+8>>2]=-2147483632;f[h+4>>2]=14;o=s;q=378721;r=o+14|0;do{b[o>>0]=b[q>>0]|0;o=o+1|0;q=q+1|0}while((o|0)<(r|0));b[s+14>>0]=0;WD(-215,h,378709,374668,1658)}a:do if(c){h=d+4|0;s=e+4|0;if(!a){q=k^1;o=0;r=0;while(1){t=f[n+(o<<4)>>2]|0;v=(t|0)>0?t:0;w=f[n+(o<<4)+4>>2]|0;x=(w|0)>0?w:0;y=(f[n+(o<<4)+8>>2]|0)+t|0;t=((y|0)<(l|0)?y:l)-v|0;y=(f[n+(o<<4)+12>>2]|0)+w|0;w=((y|0)<(m|0)?y:m)-x|0;y=(t|0)<1|(w|0)<1;z=y?0:w;w=y?0:t;if((w|0)<1|(z|0)<1)A=r;else{f[n+(r<<4)>>2]=y?0:v;f[n+(r<<4)+4>>2]=y?0:x;f[n+(r<<4)+8>>2]=w;f[n+(r<<4)+12>>2]=z;if(!(o>>>0<=r>>>0|q)){z=f[e>>2]|0;w=(f[s>>2]|0)-z>>3;if(w>>>0<=o>>>0){B=25;break}x=z;if(w>>>0<=r>>>0){B=27;break}p[x+(r<<3)>>3]=+p[x+(o<<3)>>3]}A=r+1|0}o=o+1|0;if(o>>>0>=c>>>0){C=A;break a}else r=A}if((B|0)==25)osc(e);else if((B|0)==27)osc(e)}else{D=0;E=0}while(1){r=f[n+(D<<4)>>2]|0;o=(r|0)>0?r:0;q=f[n+(D<<4)+4>>2]|0;x=(q|0)>0?q:0;w=(f[n+(D<<4)+8>>2]|0)+r|0;r=((w|0)<(l|0)?w:l)-o|0;w=(f[n+(D<<4)+12>>2]|0)+q|0;q=((w|0)<(m|0)?w:m)-x|0;w=(r|0)<1|(q|0)<1;z=w?0:q;q=w?0:r;if((q|0)<1|(z|0)<1)F=E;else{f[n+(E<<4)>>2]=w?0:o;f[n+(E<<4)+4>>2]=w?0:x;f[n+(E<<4)+8>>2]=q;f[n+(E<<4)+12>>2]=z;if(D>>>0>E>>>0){z=f[d>>2]|0;q=(f[h>>2]|0)-z>>2;if(q>>>0<=D>>>0){B=22;break}x=z;if(q>>>0<=E>>>0){B=23;break}f[x+(E<<2)>>2]=f[x+(D<<2)>>2];if(k){x=f[e>>2]|0;q=(f[s>>2]|0)-x>>3;if(q>>>0<=D>>>0){B=25;break}z=x;if(q>>>0<=E>>>0){B=27;break}p[z+(E<<3)>>3]=+p[z+(D<<3)>>3]}}F=E+1|0}D=D+1|0;if(D>>>0>=c>>>0){C=F;break a}else E=F}if((B|0)==22)osc(d);else if((B|0)==23)osc(d);else if((B|0)==25)osc(e);else if((B|0)==27)osc(e)}else C=0;while(0);if(C>>>0>=c>>>0){u=g;return}c=j;j=n+(C<<4)|0;if((c|0)!=(j|0))f[i>>2]=c+(~((c+-16-j|0)>>>4)<<4);do if(a){j=d+4|0;c=f[j>>2]|0;i=f[d>>2]|0;n=c-i>>2;B=c;if(C>>>0>n>>>0){OJ(d,C-n|0);break}if(C>>>0<n>>>0?(n=i+(C<<2)|0,(B|0)!=(n|0)):0)f[j>>2]=B+(~((B+-4-n|0)>>>2)<<2)}while(0);if(!k){u=g;return}k=e+4|0;d=f[k>>2]|0;a=f[e>>2]|0;n=d-a>>3;B=d;if(C>>>0>n>>>0){Zfa(e,C-n|0);u=g;return}if(C>>>0>=n>>>0){u=g;return}n=a+(C<<3)|0;if((B|0)==(n|0)){u=g;return}f[k>>2]=B+(~((B+-8-n|0)>>>3)<<3);u=g;return}function UAa(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0;k=u;u=u+48|0;l=k+40|0;m=k;n=k+32|0;o=k+24|0;p=k+16|0;gV(l,86016);q=f[a>>2]|0;if(q|0?!(di[f[(f[q>>2]|0)+20>>2]&1023](q)|0):0){q=f[a>>2]|0;a=f[(f[q>>2]|0)+36>>2]|0;f[n>>2]=f[i>>2];f[n+4>>2]=f[i+4>>2];f[o>>2]=f[j>>2];f[o+4>>2]=f[j+4>>2];Wg[a&3](q,c,d,e,g,h,n,o);oJ(p,c,-1);TAa(p,d,0,0);if(!(f[l+4>>2]|0)){u=k;return}u=k;return};f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;b[m+11>>0]=8;k=m;f[k>>2]=1886217505;f[k+4>>2]=690518388;b[m+8>>0]=0;WD(-215,m,375778,374668,1693)}function VAa(a,c,d,e,g,h,i,j,k){a=a|0;c=c|0;d=d|0;e=e|0;g=+g;h=h|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0;l=u;u=u+48|0;m=l+40|0;n=l;o=l+32|0;p=l+24|0;q=l+16|0;gV(m,86036);r=f[a>>2]|0;if(r|0?!(di[f[(f[r>>2]|0)+20>>2]&1023](r)|0):0){r=f[a>>2]|0;a=f[(f[r>>2]|0)+40>>2]|0;f[o>>2]=f[j>>2];f[o+4>>2]=f[j+4>>2];f[p>>2]=f[k>>2];f[p+4>>2]=f[k+4>>2];uh[a&7](r,c,d,e,g,h,i,o,p);oJ(q,c,-1);TAa(q,d,e,0);if(!(f[m+4>>2]|0)){u=l;return}u=l;return};f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;b[n+11>>0]=8;l=n;f[l>>2]=1886217505;f[l+4>>2]=690518388;b[n+8>>0]=0;WD(-215,n,375778,374668,1707)}function WAa(a,c,d,e,g,h,i,j,k,l,m){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=+h;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0;n=u;u=u+48|0;o=n+40|0;p=n;q=n+32|0;r=n+24|0;s=n+16|0;gV(o,86056);t=f[a>>2]|0;if(t|0?!(di[f[(f[t>>2]|0)+20>>2]&1023](t)|0):0){t=f[a>>2]|0;a=f[(f[t>>2]|0)+44>>2]|0;f[q>>2]=f[k>>2];f[q+4>>2]=f[k+4>>2];f[r>>2]=f[l>>2];f[r+4>>2]=f[l+4>>2];Dg[a&3](t,c,d,e,g,h,i,j,q,r,m);oJ(s,c,-1);TAa(s,d,e,g);if(!(f[o+4>>2]|0)){u=n;return}u=n;return};f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;b[p+11>>0]=8;n=p;f[n>>2]=1886217505;f[n+4>>2]=690518388;b[p+8>>0]=0;WD(-215,p,375778,374668,1724)}function XAa(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=86084;b=a+268|0;c=a+304|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+284|0;b=a+272|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+308>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+312>>2]|0;if((b|0)!=(a+316|0))TC(b);b=a+212|0;d=a+248|0;c=f[d>>2]|0;if(c|0?(e=c+12|0,c=f[e>>2]|0,f[e>>2]=c+-1,(c|0)==1):0)aU(b);f[d>>2]=0;d=a+228|0;b=a+216|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[b>>2]|0)>0){d=f[a+252>>2]|0;c=0;do{f[d+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[b>>2]|0))}b=f[a+256>>2]|0;if((b|0)!=(a+260|0))TC(b);b=a+156|0;c=a+192|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+172|0;b=a+160|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+196>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+200>>2]|0;if((b|0)!=(a+204|0))TC(b);b=a+100|0;d=a+136|0;c=f[d>>2]|0;if(c|0?(e=c+12|0,c=f[e>>2]|0,f[e>>2]=c+-1,(c|0)==1):0)aU(b);f[d>>2]=0;d=a+116|0;b=a+104|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[b>>2]|0)>0){d=f[a+140>>2]|0;c=0;do{f[d+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[b>>2]|0))}b=f[a+144>>2]|0;if((b|0)!=(a+148|0))TC(b);b=f[a+32>>2]|0;if(b|0){c=a+36|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+16>>2]|0;if(b|0){d=a+20|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~(((c+-12-b|0)>>>0)/12|0)*12|0);fuc(b)}b=f[a+4>>2]|0;if(!b)return;c=a+8|0;a=f[c>>2]|0;if((a|0)!=(b|0))f[c>>2]=a+(~(((a+-44-b|0)>>>0)/44|0)*44|0);fuc(b);return}function YAa(a){a=a|0;XAa(a);fuc(a);return}function ZAa(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0.0,L=0.0,M=0,N=0,O=0.0,P=0.0,Q=0,R=0,S=0,T=0,U=0,W=0,X=0.0,Z=0.0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0.0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0;j=u;u=u+2208|0;k=j+1136|0;l=j+1072|0;m=j+1064|0;o=j+1080|0;q=j;r=a+324|0;f[r>>2]=c;s=a+52|0;f[s>>2]=f[i>>2];t=a+56|0;f[t>>2]=f[i+4>>2];i=a+28|0;b[i>>0]=h&1;h=f[(f[c>>2]|0)+52>>2]|0;f[l>>2]=f[e>>2];v=e+4|0;f[l+4>>2]=f[v>>2];f[m>>2]=f[g>>2];f[m+4>>2]=f[g+4>>2];Vg[h&255](c,d,a+212|0,a+268|0,l,m);m=f[v>>2]|0;f[a+92>>2]=f[e>>2];f[a+96>>2]=m;m=f[r>>2]|0;e=f[m+4>>2]|0;f[a+44>>2]=e;v=f[m+8>>2]|0;f[a+48>>2]=v;l=f[m+12>>2]|0;d=f[m+16>>2]|0;c=f[m+20>>2]|0;h=f[m+24>>2]|0;g=f[m+28>>2]|0;w=f[m+32>>2]|0;x=f[m+36>>2]|0;m=Y(d,l)|0;y=a+60|0;f[y>>2]=((e-l|0)/(c|0)|0)+1;e=a+64|0;f[e>>2]=((v-d|0)/(h|0)|0)+1;z=(l|0)/(g|0)|0;A=(d|0)/(w|0)|0;B=a+68|0;f[B>>2]=z;C=a+72|0;f[C>>2]=A;D=Y(Y(z,x)|0,A)|0;A=a+76|0;f[A>>2]=D;do if(b[i>>0]|0){z=(((f[a+224>>2]|0)-l|0)/(f[s>>2]|0)|0)+1|0;E=((v|0)/(f[t>>2]|0)|0)+1|0;F=a+100|0;G=Y(z,D)|0;if(!(((((f[a+104>>2]|0)<3?(f[a+108>>2]|0)==(E|0):0)?(f[a+112>>2]|0)==(G|0):0)?(f[F>>2]&4095|0)==5:0)?(f[a+116>>2]|0)!=0:0)){f[k>>2]=E;f[k+4>>2]=G;ZT(F,2,k,5)}F=a+156|0;if(!(((((f[a+160>>2]|0)<3?(f[a+164>>2]|0)==(E|0):0)?(f[a+168>>2]|0)==(z|0):0)?(f[F>>2]&4095|0)==0:0)?(f[a+172>>2]|0)!=0:0)){f[k>>2]=E;f[k+4>>2]=z;ZT(F,2,k,0)}F=f[a+108>>2]|0;z=a+32|0;E=a+36|0;G=f[E>>2]|0;H=f[z>>2]|0;I=G-H>>2;J=H;H=G;if(F>>>0<=I>>>0){if(F>>>0<I>>>0?(G=J+(F<<2)|0,(H|0)!=(G|0)):0)f[E>>2]=H+(~((H+-4-G|0)>>>2)<<2);if(!F)break}else OJ(z,F-I|0);kzc(f[z>>2]|0,-1,F<<2|0)|0}while(0);f[o>>2]=1124007936;D=o+4|0;t=o+8|0;v=o+40|0;s=D;i=s+36|0;do{f[s>>2]=0;s=s+4|0}while((s|0)<(i|0));f[v>>2]=t;t=o+48|0;F=o+44|0;f[F>>2]=t;f[t>>2]=0;f[o+52>>2]=0;f[k>>2]=d;f[k+4>>2]=l;ZT(o,2,k,5);z=f[r>>2]|0;K=+p[z+48>>3];if(K>0.0)L=K;else L=+((f[z+16>>2]|0)+(f[z+12>>2]|0)|0)*.125;K=L;L=1.0/(K*K*2.0);z=k+8|0;f[k>>2]=z;r=k+4|0;f[r>>2]=d;if(d>>>0>264){I=euc(d>>>0>1073741823?-1:d<<2)|0;f[k>>2]=I;M=I}else M=z;I=q+8|0;f[q>>2]=I;G=q+4|0;f[G>>2]=l;if(l>>>0>264){H=euc(l>>>0>1073741823?-1:l<<2)|0;f[q>>2]=H;N=H}else N=I;K=+(d|0)*.5;O=+(l|0)*.5;H=(d|0)>0;if(H){E=0;do{P=+(E|0)-K;n[M+(E<<2)>>2]=P*P;E=E+1|0}while((E|0)!=(d|0))}E=(l|0)>0;if(E){J=0;do{K=+(J|0)-O;n[N+(J<<2)>>2]=K*K;J=J+1|0}while((J|0)!=(l|0))}if(H?(J=f[o+16>>2]|0,E):0){Q=f[f[F>>2]>>2]|0;R=0;do{S=M+(R<<2)|0;T=J+(Y(Q,R)|0)|0;U=0;do{O=+V(+-(L*(+n[S>>2]+ +n[N+(U<<2)>>2])));n[T+(U<<2)>>2]=O;U=U+1|0}while((U|0)!=(l|0));R=R+1|0}while((R|0)!=(d|0))}if((N|0)==(I|0))W=M;else{guc(N);N=f[k>>2]|0;f[q>>2]=I;f[G>>2]=264;W=N}if((W|0)!=(z|0)){if(W|0)guc(W);f[k>>2]=z;f[r>>2]=264}r=a+16|0;z=Y(f[e>>2]|0,f[y>>2]|0)|0;k=a+20|0;W=f[k>>2]|0;N=f[r>>2]|0;G=(W-N|0)/12|0;I=N;N=W;if(z>>>0<=G>>>0){if(z>>>0<G>>>0?(W=I+(z*12|0)|0,(N|0)!=(W|0)):0)f[k>>2]=N+(~(((N+-12-W|0)>>>0)/12|0)*12|0)}else $Aa(r,z-G|0);G=a+4|0;z=m*3|0;W=a+8|0;N=f[W>>2]|0;k=f[G>>2]|0;I=(N-k|0)/44|0;q=k;k=N;if(z>>>0<=I>>>0){if(z>>>0<I>>>0?(N=q+(z*44|0)|0,(k|0)!=(N|0)):0)f[W>>2]=k+(~(((k+-44-N|0)>>>0)/44|0)*44|0)}else aBa(G,z-I|0);I=a+88|0;f[I>>2]=0;z=a+84|0;f[z>>2]=0;N=a+80|0;f[N>>2]=0;if(E){L=+(g|0);O=+(w|0);w=m<<1;g=a+224|0;E=a+280|0;a=f[o+16>>2]|0;k=f[F>>2]|0;W=0;do{if(H){K=(+(W|0)+.5)/L+-.5;q=~~K;M=q-(+(q|0)>K&1)|0;q=M+1|0;P=K-+(M|0);K=1.0-P;R=0;do{X=(+(R|0)+.5)/O+-.5;Q=~~X;J=Q-(+(Q|0)>X&1)|0;Q=J+1|0;Z=X-+(J|0);U=f[B>>2]|0;T=M>>>0<U>>>0;do if(T&q>>>0<U>>>0){S=f[C>>2]|0;_=J>>>0<S>>>0;if(_&Q>>>0<S>>>0){$=f[I>>2]|0;f[I>>2]=$+1;aa=$+w|0;$=f[G>>2]|0;ba=Y((Y(S,M)|0)+J|0,x)|0;f[$+(aa*44|0)+8>>2]=ba;X=1.0-Z;n[$+(aa*44|0)+24>>2]=K*X;ba=Y((Y(f[C>>2]|0,q)|0)+J|0,x)|0;f[$+(aa*44|0)+12>>2]=ba;n[$+(aa*44|0)+28>>2]=P*X;ba=Y((Y(f[C>>2]|0,M)|0)+Q|0,x)|0;f[$+(aa*44|0)+16>>2]=ba;n[$+(aa*44|0)+32>>2]=K*Z;ba=Y((Y(f[C>>2]|0,q)|0)+Q|0,x)|0;f[$+(aa*44|0)+20>>2]=ba;ca=$+(aa*44|0)|0;da=3;ea=P*Z;break}else{aa=f[z>>2]|0;f[z>>2]=aa+1;$=aa+m|0;aa=f[G>>2]|0;X=_?1.0-Z:Z;ba=_?J:Q;_=Y(ba+(Y(S,M)|0)|0,x)|0;f[aa+($*44|0)+8>>2]=_;n[aa+($*44|0)+24>>2]=K*X;_=Y((Y(f[C>>2]|0,q)|0)+ba|0,x)|0;f[aa+($*44|0)+12>>2]=_;n[aa+($*44|0)+28>>2]=P*X;f[aa+($*44|0)+20>>2]=0;f[aa+($*44|0)+16>>2]=0;n[aa+($*44|0)+36>>2]=0.0;ca=aa+($*44|0)|0;da=2;ea=0.0;break}}else{X=T?K:P;$=T?M:q;aa=f[C>>2]|0;_=J>>>0<aa>>>0;if(_&Q>>>0<aa>>>0){ba=f[z>>2]|0;f[z>>2]=ba+1;S=ba+m|0;ba=f[G>>2]|0;fa=Y((Y(aa,$)|0)+J|0,x)|0;f[ba+(S*44|0)+8>>2]=fa;n[ba+(S*44|0)+24>>2]=(1.0-Z)*X;fa=Y((Y(f[C>>2]|0,$)|0)+Q|0,x)|0;f[ba+(S*44|0)+12>>2]=fa;n[ba+(S*44|0)+28>>2]=Z*X;f[ba+(S*44|0)+20>>2]=0;f[ba+(S*44|0)+16>>2]=0;n[ba+(S*44|0)+36>>2]=0.0;ca=ba+(S*44|0)|0;da=2;ea=0.0;break}else{S=f[N>>2]|0;f[N>>2]=S+1;ba=f[G>>2]|0;fa=Y((_?J:Q)+(Y(aa,$)|0)|0,x)|0;f[ba+(S*44|0)+8>>2]=fa;n[ba+(S*44|0)+24>>2]=X*(_?1.0-Z:Z);f[ba+(S*44|0)+20>>2]=0;f[ba+(S*44|0)+16>>2]=0;f[ba+(S*44|0)+12>>2]=0;n[ba+(S*44|0)+36>>2]=0.0;n[ba+(S*44|0)+32>>2]=0.0;ca=ba+(S*44|0)|0;da=1;ea=0.0;break}}while(0);n[ca+24+(da<<2)>>2]=ea;Q=(Y(f[g>>2]|0,R)|0)+W<<1;f[ca>>2]=Q;Q=(Y(f[E>>2]|0,R)|0)+W<<1;f[ca+4>>2]=Q;Q=a+(Y(f[k>>2]|0,R)|0)+(W<<2)|0;f[ca+40>>2]=f[Q>>2];R=R+1|0}while((R|0)!=(d|0))}W=W+1|0}while((W|0)!=(l|0));l=f[z>>2]|0;if((l|0)>0){W=0;do{d=f[G>>2]|0;s=d+(((f[N>>2]|0)+W|0)*44|0)|0;ga=d+((W+m|0)*44|0)|0;i=s+44|0;do{f[s>>2]=f[ga>>2];s=s+4|0;ga=ga+4|0}while((s|0)<(i|0));W=W+1|0;d=f[z>>2]|0}while((W|0)<(d|0));ha=d}else ha=l}else ha=0;l=f[I>>2]|0;if((l|0)>0){W=m<<1;m=f[G>>2]|0;s=m+(((f[N>>2]|0)+ha|0)*44|0)|0;ga=m+(W*44|0)|0;i=s+44|0;do{f[s>>2]=f[ga>>2];s=s+4|0;ga=ga+4|0}while((s|0)<(i|0));m=f[I>>2]|0;if((m|0)>1){d=1;do{ca=f[G>>2]|0;s=ca+(((f[N>>2]|0)+d+(f[z>>2]|0)|0)*44|0)|0;ga=ca+((d+W|0)*44|0)|0;i=s+44|0;do{f[s>>2]=f[ga>>2];s=s+4|0;ga=ga+4|0}while((s|0)<(i|0));d=d+1|0;ca=f[I>>2]|0}while((d|0)<(ca|0));ia=ca}else ia=m;ja=ia;ka=f[z>>2]|0}else{ja=l;ka=ha}ha=ka+(f[N>>2]|0)|0;f[z>>2]=ha;f[I>>2]=ha+ja;ja=f[y>>2]|0;if((ja|0)>0?(y=f[e>>2]|0,(y|0)>0):0){e=f[r>>2]|0;r=f[A>>2]|0;A=0;do{ha=Y(A,c)|0;I=Y(y,A)|0;z=0;do{N=I+z|0;ka=Y(r,N)|0;f[e+(N*12|0)>>2]=ka;ka=Y(z,h)|0;f[e+(N*12|0)+4>>2]=ha;f[e+(N*12|0)+8>>2]=ka;z=z+1|0}while((z|0)<(y|0));A=A+1|0}while((A|0)<(ja|0))}ja=o+36|0;A=f[ja>>2]|0;if(A|0?(y=A+12|0,A=f[y>>2]|0,f[y>>2]=A+-1,(A|0)==1):0)aU(o);f[ja>>2]=0;ja=o+16|0;f[ja>>2]=0;f[ja+4>>2]=0;f[ja+8>>2]=0;f[ja+12>>2]=0;if((f[D>>2]|0)>0){ja=f[v>>2]|0;v=0;do{f[ja+(v<<2)>>2]=0;v=v+1|0}while((v|0)<(f[D>>2]|0))}D=f[F>>2]|0;if((D|0)==(t|0)){u=j;return}TC(D);u=j;return}function _Aa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0.0,k=0.0,l=0.0,m=0.0,o=0.0,q=0,r=0.0,t=0.0,v=0,w=0,x=0,y=0.0,z=0;c=u;u=u+16|0;d=c+4|0;e=c;g=f[a+76>>2]|0;h=g+-4|0;i=0;j=0.0;k=0.0;l=0.0;m=0.0;do{o=+n[b+(i<<2)>>2];j=j+o*o;o=+n[b+((i|1)<<2)>>2];k=k+o*o;o=+n[b+((i|2)<<2)>>2];l=l+o*o;o=+n[b+((i|3)<<2)>>2];m=m+o*o;i=i+4|0}while(i>>>0<=h>>>0);o=m+l+(k+j);if(i>>>0<g>>>0){j=o;q=i;while(1){k=+n[b+(q<<2)>>2];l=j+k*k;q=q+1|0;if((q|0)==(g|0)){r=l;break}else j=l}}else r=o;o=1.0/(+(g>>>0)*.10000000149011612+ +M(+r));r=+p[(f[a+324>>2]|0)+64>>3];n[d>>2]=r;a=0;j=0.0;l=0.0;k=0.0;m=0.0;do{q=b+(a<<2)|0;t=o*+n[q>>2];n[e>>2]=t;i=f[(r<t?d:e)>>2]|0;f[q>>2]=i;q=b+((a|1)<<2)|0;t=o*+n[q>>2];n[e>>2]=t;v=f[(r<t?d:e)>>2]|0;f[q>>2]=v;q=b+((a|2)<<2)|0;t=o*+n[q>>2];n[e>>2]=t;w=f[(r<t?d:e)>>2]|0;f[q>>2]=w;q=b+((a|3)<<2)|0;t=o*+n[q>>2];n[e>>2]=t;x=f[(r<t?d:e)>>2]|0;f[q>>2]=x;t=(f[s>>2]=i,+n[s>>2]);j=j+t*t;t=(f[s>>2]=v,+n[s>>2]);l=l+t*t;t=(f[s>>2]=w,+n[s>>2]);k=k+t*t;t=(f[s>>2]=x,+n[s>>2]);m=m+t*t;a=a+4|0}while(a>>>0<=h>>>0);t=m+k+(l+j);if(a>>>0<g>>>0){j=t;h=a;while(1){a=b+(h<<2)|0;l=o*+n[a>>2];n[e>>2]=l;x=f[(r<l?d:e)>>2]|0;f[a>>2]=x;l=(f[s>>2]=x,+n[s>>2]);k=j+l*l;h=h+1|0;if((h|0)==(g|0)){y=k;break}else j=k}}else y=t;t=1.0/(+M(+y)+1.0000000474974513e-03);if(!g){u=c;return}else z=0;do{h=b+(z<<2)|0;n[h>>2]=t*+n[h>>2];z=z+1|0}while((z|0)!=(g|0));u=c;return}function $Aa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;h=g;if(((d-g|0)/12|0)>>>0>=b>>>0){kzc(g|0,0,b*12|0)|0;f[e>>2]=h+(b*12|0);return}i=f[a>>2]|0;j=(g-i|0)/12|0;g=j+b|0;k=i;if(g>>>0>357913941)nsc(a);l=(d-i|0)/12|0;d=l<<1;m=l>>>0<178956970?(d>>>0<g>>>0?g:d):357913941;do if(m)if(m>>>0>357913941){d=ze(8)|0;kuc(d,519086);f[d>>2]=167148;Hf(d|0,26888,1888)}else{n=cuc(m*12|0)|0;break}else n=0;while(0);d=n+(j*12|0)|0;j=n+(m*12|0)|0;kzc(d|0,0,b*12|0)|0;m=d+(b*12|0)|0;if((h|0)==(k|0)){o=d;p=i}else{i=h;h=d;do{d=i;i=i+-12|0;f[h+-12>>2]=f[i>>2];f[h+-8>>2]=f[d+-8>>2];f[h+-4>>2]=f[d+-4>>2];h=h+-12|0}while((i|0)!=(k|0));o=h;p=f[a>>2]|0}f[a>>2]=o;f[e>>2]=m;f[c>>2]=j;if(!p)return;fuc(p);return}function aBa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(((d-g|0)/44|0)>>>0>=b>>>0){h=b;i=g;do{j=i;k=j+44|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));i=(f[e>>2]|0)+44|0;f[e>>2]=i;h=h+-1|0}while((h|0)!=0);return}h=f[a>>2]|0;i=(g-h|0)/44|0;g=i+b|0;if(g>>>0>97612893)nsc(a);l=(d-h|0)/44|0;h=l<<1;d=l>>>0<48806446?(h>>>0<g>>>0?g:h):97612893;do if(d)if(d>>>0>97612893){h=ze(8)|0;kuc(h,519086);f[h>>2]=167148;Hf(h|0,26888,1888)}else{m=cuc(d*44|0)|0;break}else m=0;while(0);h=m+(i*44|0)|0;i=m+(d*44|0)|0;d=b;b=h;m=h;do{j=b;k=j+44|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));b=m+44|0;m=b;d=d+-1|0}while((d|0)!=0);d=f[a>>2]|0;b=(f[e>>2]|0)-d|0;j=h+(((b|0)/-44|0)*44|0)|0;if((b|0)>0)szc(j|0,d|0,b|0)|0;f[a>>2]=j;f[e>>2]=m;f[c>>2]=i;if(!d)return;fuc(d);return}function bBa(a){a=a|0;var b=0,c=0;f[a>>2]=86108;VH(a+88|0);b=f[a+76>>2]|0;if(!b)return;c=a+80|0;a=f[c>>2]|0;if((a|0)!=(b|0))f[c>>2]=a+(~((a+-4-b|0)>>>2)<<2);fuc(b);return}function cBa(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=86108;VH(a+88|0);b=f[a+76>>2]|0;if(!b){fuc(a);return}c=a+80|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b);fuc(a);return}function dBa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0.0;d=u;u=u+112|0;e=d+56|0;g=d;do if((qJ(c)|0)==65536){h=f[c+4>>2]|0;f[e>>2]=f[h>>2];i=e+4|0;j=h+4|0;f[i>>2]=f[j>>2];k=e+8|0;f[k>>2]=f[h+8>>2];f[e+12>>2]=f[h+12>>2];f[e+16>>2]=f[h+16>>2];f[e+20>>2]=f[h+20>>2];f[e+24>>2]=f[h+24>>2];f[e+28>>2]=f[h+28>>2];f[e+32>>2]=f[h+32>>2];l=f[h+36>>2]|0;f[e+36>>2]=l;f[e+40>>2]=k;k=e+48|0;m=e+44|0;f[m>>2]=k;f[k>>2]=0;f[e+52>>2]=0;if(l|0){k=l+12|0;f[k>>2]=(f[k>>2]|0)+1}if((f[j>>2]|0)<3){j=f[h+44>>2]|0;k=f[m>>2]|0;f[k>>2]=f[j>>2];f[k+4>>2]=f[j+4>>2];break}else{f[i>>2]=0;$T(e,h);break}}else nJ(e,c,-1);while(0);c=a+76|0;h=g+8|0;f[h>>2]=0;f[h+4>>2]=0;f[g>>2]=-2113732603;f[g+4>>2]=c;kQ(e,g,5,1.0,0.0);h=e+36|0;i=f[h>>2]|0;if(i|0?(j=i+12|0,i=f[j>>2]|0,f[j>>2]=i+-1,(i|0)==1):0)aU(e);f[h>>2]=0;h=e+16|0;i=e+4|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;if((f[i>>2]|0)>0){h=f[e+40>>2]|0;j=0;do{f[h+(j<<2)>>2]=0;j=j+1|0}while((j|0)<(f[i>>2]|0))}i=f[e+44>>2]|0;if((i|0)!=(e+48|0))TC(i);i=a+80|0;j=(f[i>>2]|0)-(f[c>>2]|0)>>2;h=wBa(a)|0;if(!((j|0)==(h+1|0)|((j|0)==0|(j|0)==(h|0)))){h=cuc(32)|0;f[e>>2]=h;f[e+8>>2]=-2147483616;f[e+4>>2]=19;o=h;j=381234;p=o+19|0;do{b[o>>0]=b[j>>0]|0;o=o+1|0;j=j+1|0}while((o|0)<(p|0));b[h+19>>0]=0;WD(-215,e,381254,379213,115)}h=(f[i>>2]|0)-(f[c>>2]|0)>>2;f[g>>2]=1124007936;j=g+4|0;k=g+8|0;m=g+40|0;o=j;p=o+36|0;do{f[o>>2]=0;o=o+4|0}while((o|0)<(p|0));f[m>>2]=k;k=g+48|0;o=g+44|0;f[o>>2]=k;f[k>>2]=0;f[g+52>>2]=0;f[e>>2]=1;f[e+4>>2]=h;ZT(g,2,e,5);h=f[a+12>>2]|0;p=f[a+16>>2]|0;l=Y(Y((h|0)/(f[a+28>>2]|0)|0,f[a+36>>2]|0)|0,(p|0)/(f[a+32>>2]|0)|0)|0;q=f[a+20>>2]|0;r=f[a+24>>2]|0;s=((f[a+4>>2]|0)-h+q|0)/(q|0)|0;q=((f[a+8>>2]|0)-p+r|0)/(r|0)|0;if((q|0)>0?(r=f[g+16>>2]|0,p=(l|0)==0,(s|0)>0):0){h=f[c>>2]|0;t=0;do{v=Y(t,s)|0;if(!p){w=0;do{x=h+((Y((Y(w,q)|0)+t|0,l)|0)<<2)|0;y=r+((Y(w+v|0,l)|0)<<2)|0;z=0;do{f[y+(z<<2)>>2]=f[x+(z<<2)>>2];z=z+1|0}while((z|0)!=(l|0));w=w+1|0}while((w|0)!=(s|0))}t=t+1|0}while((t|0)!=(q|0))}q=wBa(a)|0;t=f[c>>2]|0;if((f[i>>2]|0)-t>>2>>>0>q>>>0)A=+n[t+(q<<2)>>2];else A=0.0;n[a+136>>2]=A;q=e+8|0;f[q>>2]=0;f[q+4>>2]=0;f[e>>2]=34209792;f[e+4>>2]=a+88;EI(g,e);e=g+36|0;a=f[e>>2]|0;if(a|0?(q=a+12|0,a=f[q>>2]|0,f[q>>2]=a+-1,(a|0)==1):0)aU(g);f[e>>2]=0;e=g+16|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((f[j>>2]|0)>0){e=f[m>>2]|0;m=0;do{f[e+(m<<2)>>2]=0;m=m+1|0}while((m|0)<(f[j>>2]|0))}j=f[o>>2]|0;if((j|0)==(k|0)){u=d;return}TC(j);u=d;return}function eBa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=u;u=u+160|0;e=d+112|0;g=d+68|0;h=d+24|0;i=d+16|0;j=d;if((cN(c)|0)!=6){k=0;u=d;return k|0}UM(e,c,381082);VM(h,f[e>>2]|0,f[e+4>>2]|0,0);l=h+20|0;m=f[l>>2]|0;f[e>>2]=f[h>>2];f[e+4>>2]=m;dN(e,a+4|0,0);m=XM(h)|0;n=f[h+20>>2]|0;f[e>>2]=f[h>>2];f[e+4>>2]=n;dN(e,a+8|0,0);XM(m)|0;UM(g,c,381090);VM(e,f[g>>2]|0,f[g+4>>2]|0,0);m=h;n=e;o=m+44|0;do{f[m>>2]=f[n>>2];m=m+4|0;n=n+4|0}while((m|0)<(o|0));p=f[l>>2]|0;f[e>>2]=f[h>>2];f[e+4>>2]=p;dN(e,a+12|0,0);p=XM(h)|0;q=f[h+20>>2]|0;f[e>>2]=f[h>>2];f[e+4>>2]=q;dN(e,a+16|0,0);XM(p)|0;UM(g,c,381100);VM(e,f[g>>2]|0,f[g+4>>2]|0,0);m=h;n=e;o=m+44|0;do{f[m>>2]=f[n>>2];m=m+4|0;n=n+4|0}while((m|0)<(o|0));p=f[l>>2]|0;f[e>>2]=f[h>>2];f[e+4>>2]=p;dN(e,a+20|0,0);p=XM(h)|0;q=f[h+20>>2]|0;f[e>>2]=f[h>>2];f[e+4>>2]=q;dN(e,a+24|0,0);XM(p)|0;UM(g,c,381216);VM(e,f[g>>2]|0,f[g+4>>2]|0,0);m=h;n=e;o=m+44|0;do{f[m>>2]=f[n>>2];m=m+4|0;n=n+4|0}while((m|0)<(o|0));n=f[l>>2]|0;f[e>>2]=f[h>>2];f[e+4>>2]=n;dN(e,a+28|0,0);n=XM(h)|0;l=f[h+20>>2]|0;f[e>>2]=f[h>>2];f[e+4>>2]=l;dN(e,a+32|0,0);XM(n)|0;UM(e,c,381112);dN(e,a+36|0,0);UM(e,c,381118);dN(e,a+40|0,0);UM(e,c,381225);fN(e,a+48|0,0.0);UM(g,c,381132);dN(g,e,0);f[a+56>>2]=f[e>>2];UM(e,c,381150);fN(e,a+64|0,0.0);UM(g,c,381165);dN(g,e,0);b[a+72>>0]=(f[e>>2]|0)!=0&1;UM(e,c,381181);dN(e,a+140|0,0);UM(e,c,381189);if(!(f[e+4>>2]|0))b[a+144>>0]=0;else{UM(g,c,381189);dN(g,e,0);b[a+144>>0]=(f[e>>2]|0)!=0&1}UM(i,c,381204);if((cN(i)|0)==5?(f[j>>2]=0,c=j+4|0,f[c>>2]=0,f[j+8>>2]=0,VM(g,f[i>>2]|0,f[i+4>>2]|0,0),f[e>>2]=g,HBa(e,j,2147483647),g=f[(f[a>>2]|0)+8>>2]|0,f[e+8>>2]=0,f[e+12>>2]=0,f[e>>2]=-2130509819,f[e+4>>2]=j,yh[g&2047](a,e),e=f[j>>2]|0,e|0):0){j=f[c>>2]|0;if((j|0)!=(e|0))f[c>>2]=j+(~((j+-4-e|0)>>>2)<<2);fuc(e)}k=1;u=d;return k|0}function fBa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0.0,r=0.0,s=0,t=0;e=u;u=u+16|0;g=e;i=e+12|0;j=b[d+11>>0]|0;if((j<<24>>24<0?f[d+4>>2]|0:j&255)|0)PM(c,d)|0;d=cuc(32)|0;f[g>>2]=d;f[g+8>>2]=-2147483616;f[g+4>>2]=27;j=d;k=381054;l=j+27|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[d+27>>0]=0;d=PM(c,g)|0;if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);f[g+8>>2]=0;m=g+11|0;b[m>>0]=7;b[g>>0]=b[381082]|0;b[g+1>>0]=b[381083]|0;b[g+2>>0]=b[381084]|0;b[g+3>>0]=b[381085]|0;b[g+4>>0]=b[381086]|0;b[g+5>>0]=b[381087]|0;b[g+6>>0]=b[381088]|0;b[g+7>>0]=0;n=PM(d,g)|0;if((b[m>>0]|0)<0)fuc(f[g>>2]|0);m=FBa(n,a+4|0)|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;n=g+11|0;b[n>>0]=9;j=g;k=381090;l=j+9|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[g+9>>0]=0;d=PM(m,g)|0;if((b[n>>0]|0)<0)fuc(f[g>>2]|0);n=FBa(d,a+12|0)|0;d=cuc(16)|0;f[g>>2]=d;f[g+8>>2]=-2147483632;f[g+4>>2]=11;j=d;k=381100;l=j+11|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[d+11>>0]=0;d=PM(n,g)|0;if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);n=FBa(d,a+20|0)|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;d=g+11|0;b[d>>0]=8;m=g;f[m>>2]=1819043171;f[m+4>>2]=1702521171;b[g+8>>0]=0;m=PM(n,g)|0;if((b[d>>0]|0)<0)fuc(f[g>>2]|0);d=FBa(m,a+28|0)|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;m=g+11|0;b[m>>0]=5;b[g>>0]=b[381112]|0;b[g+1>>0]=b[381113]|0;b[g+2>>0]=b[381114]|0;b[g+3>>0]=b[381115]|0;b[g+4>>0]=b[381116]|0;b[g+5>>0]=0;n=PM(d,g)|0;if((b[m>>0]|0)<0)fuc(f[g>>2]|0);m=a+36|0;if(di[f[(f[c>>2]|0)+12>>2]&1023](n)|0){d=c+36|0;if((f[d>>2]|0)==6){o=cuc(32)|0;f[g>>2]=o;f[g+8>>2]=-2147483616;f[g+4>>2]=30;j=o;k=387802;l=j+30|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[o+30>>0]=0;WD(-2,g,531329,387833,1197)}ZM(n,c+12|0,f[m>>2]|0);if(f[d>>2]&4|0)f[d>>2]=6}d=cuc(16)|0;f[g>>2]=d;f[g+8>>2]=-2147483632;f[g+4>>2]=13;j=d;k=381118;l=j+13|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[d+13>>0]=0;d=PM(n,g)|0;if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);n=a+40|0;if(di[f[(f[c>>2]|0)+12>>2]&1023](d)|0){m=c+36|0;if((f[m>>2]|0)==6){o=cuc(32)|0;f[g>>2]=o;f[g+8>>2]=-2147483616;f[g+4>>2]=30;j=o;k=387802;l=j+30|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[o+30>>0]=0;WD(-2,g,531329,387833,1197)}ZM(d,c+12|0,f[n>>2]|0);if(f[m>>2]&4|0)f[m>>2]=6};f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;m=g+11|0;b[m>>0]=8;n=g;f[n>>2]=1399744887;f[n+4>>2]=1634559849;b[g+8>>0]=0;n=PM(d,g)|0;if((b[m>>0]|0)<0)fuc(f[g>>2]|0);q=+p[a+48>>3];if(q>0.0)r=q;else r=+((f[a+16>>2]|0)+(f[a+12>>2]|0)|0)*.125;if(di[f[(f[c>>2]|0)+12>>2]&1023](n)|0){m=c+36|0;if((f[m>>2]|0)==6){d=cuc(32)|0;f[g>>2]=d;f[g+8>>2]=-2147483616;f[g+4>>2]=30;j=d;k=387802;l=j+30|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[d+30>>0]=0;WD(-2,g,531329,387833,1197)}$M(n,c+12|0,r);if(f[m>>2]&4|0)f[m>>2]=6}m=cuc(32)|0;f[g>>2]=m;f[g+8>>2]=-2147483616;f[g+4>>2]=17;j=m;k=381132;l=j+17|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[m+17>>0]=0;m=PM(n,g)|0;if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);n=a+56|0;if(di[f[(f[c>>2]|0)+12>>2]&1023](m)|0){d=c+36|0;if((f[d>>2]|0)==6){o=cuc(32)|0;f[g>>2]=o;f[g+8>>2]=-2147483616;f[g+4>>2]=30;j=o;k=387802;l=j+30|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[o+30>>0]=0;WD(-2,g,531329,387833,1197)}ZM(m,c+12|0,f[n>>2]|0);if(f[d>>2]&4|0)f[d>>2]=6}d=cuc(16)|0;f[g>>2]=d;f[g+8>>2]=-2147483632;f[g+4>>2]=14;j=d;k=381150;l=j+14|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[d+14>>0]=0;d=PM(m,g)|0;if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);m=a+64|0;if(di[f[(f[c>>2]|0)+12>>2]&1023](d)|0){n=c+36|0;if((f[n>>2]|0)==6){o=cuc(32)|0;f[g>>2]=o;f[g+8>>2]=-2147483616;f[g+4>>2]=30;j=o;k=387802;l=j+30|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[o+30>>0]=0;WD(-2,g,531329,387833,1197)}$M(d,c+12|0,+p[m>>3]);if(f[n>>2]&4|0)f[n>>2]=6}n=cuc(16)|0;f[g>>2]=n;f[g+8>>2]=-2147483632;f[g+4>>2]=15;j=n;k=381165;l=j+15|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[n+15>>0]=0;n=PM(d,g)|0;if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);d=a+72|0;do if(di[f[(f[c>>2]|0)+12>>2]&1023](n)|0){m=c+36|0;if((f[m>>2]|0)==6){o=cuc(32)|0;f[g>>2]=o;f[g+8>>2]=-2147483616;f[g+4>>2]=30;j=o;k=387802;l=j+30|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[o+30>>0]=0;WD(-2,g,531329,387833,1197)}ZM(n,c+12|0,h[d>>0]|0);if(!(f[m>>2]&4))break;f[m>>2]=6}while(0);f[g+8>>2]=0;d=g+11|0;b[d>>0]=7;b[g>>0]=b[381181]|0;b[g+1>>0]=b[381182]|0;b[g+2>>0]=b[381183]|0;b[g+3>>0]=b[381184]|0;b[g+4>>0]=b[381185]|0;b[g+5>>0]=b[381186]|0;b[g+6>>0]=b[381187]|0;b[g+7>>0]=0;s=PM(n,g)|0;if((b[d>>0]|0)<0)fuc(f[g>>2]|0);d=a+140|0;do if(di[f[(f[c>>2]|0)+12>>2]&1023](s)|0){n=c+36|0;if((f[n>>2]|0)==6){t=cuc(32)|0;f[g>>2]=t;f[g+8>>2]=-2147483616;f[g+4>>2]=30;j=t;k=387802;l=j+30|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[t+30>>0]=0;WD(-2,g,531329,387833,1197)}ZM(s,c+12|0,f[d>>2]|0);if(!(f[n>>2]&4))break;f[n>>2]=6}while(0);d=cuc(16)|0;f[g>>2]=d;f[g+8>>2]=-2147483632;f[g+4>>2]=14;j=d;k=381189;l=j+14|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[d+14>>0]=0;d=PM(s,g)|0;if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);s=a+144|0;do if(di[f[(f[c>>2]|0)+12>>2]&1023](d)|0){m=c+36|0;if((f[m>>2]|0)==6){o=cuc(32)|0;f[g>>2]=o;f[g+8>>2]=-2147483616;f[g+4>>2]=30;j=o;k=387802;l=j+30|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[o+30>>0]=0;WD(-2,g,531329,387833,1197)}ZM(d,c+12|0,h[s>>0]|0);if(!(f[m>>2]&4))break;f[m>>2]=6}while(0);s=a+76|0;do if((f[s>>2]|0)!=(f[a+80>>2]|0)){d=cuc(16)|0;f[g>>2]=d;f[g+8>>2]=-2147483632;f[g+4>>2]=11;j=d;k=381204;l=j+11|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[d+11>>0]=0;m=PM(c,g)|0;if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);if(!(di[f[(f[c>>2]|0)+12>>2]&1023](m)|0))break;o=c+36|0;if((f[o>>2]|0)==6){n=cuc(32)|0;f[g>>2]=n;f[g+8>>2]=-2147483616;f[g+4>>2]=30;j=n;k=387802;l=j+30|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[n+30>>0]=0;WD(-2,g,531329,387833,1197)}f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;RM(i,m,c+12|0,13,g);if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);f[g>>2]=m;GBa(g,s);bN(i);if(!(f[o>>2]&4))break;f[o>>2]=6}while(0);f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;i=g+11|0;b[i>>0]=1;b[g>>0]=125;b[g+1>>0]=0;PM(c,g)|0;if((b[i>>0]|0)>=0){u=e;return}fuc(f[g>>2]|0);u=e;return}function gBa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;e=u;u=u+160|0;g=e+136|0;h=e+92|0;i=e+48|0;j=e+8|0;k=e;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;MM(j,c,0,g);if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);c=b[d+11>>0]|0;if((c<<24>>24<0?f[d+4>>2]|0:c&255)|0){TM(k,j,d);l=f[a>>2]|0;m=l+12|0;n=f[m>>2]|0;o=Th[n&1023](a,k)|0;AM(j);u=e;return o|0}OM(g,j,0);d=g+4|0;VM(h,f[g>>2]|0,f[d>>2]|0,0);c=f[g>>2]|0;p=f[d>>2]|0;VM(i,c,p,WM(g)|0);g=f[h>>2]|0;p=g;if((((g|0)==(f[i>>2]|0)?(f[h+4>>2]|0)==(f[i+4>>2]|0):0)?(f[h+20>>2]|0)==(f[i+20>>2]|0):0)?(f[h+40>>2]|0)==(f[i+40>>2]|0):0){f[k>>2]=0;f[k+4>>2]=0}else{i=f[h+20>>2]|0;f[k>>2]=p;f[k+4>>2]=i}l=f[a>>2]|0;m=l+12|0;n=f[m>>2]|0;o=Th[n&1023](a,k)|0;AM(j);u=e;return o|0}function hBa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0;e=u;u=u+64|0;g=e+16|0;h=e;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;MM(g,c,1,h);if((b[h+11>>0]|0)<0)fuc(f[h>>2]|0);i=f[(f[a>>2]|0)+16>>2]|0;j=b[d+11>>0]|0;if(!((j<<24>>24<0?f[d+4>>2]|0:j&255)|0))SM(h,c);else ouc(h,d);Zh[i&511](a,g,h);if((b[h+11>>0]|0)>=0){AM(g);u=e;return}fuc(f[h>>2]|0);AM(g);u=e;return}function iBa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0;f[c+4>>2]=f[a+4>>2];f[c+8>>2]=f[a+8>>2];f[c+12>>2]=f[a+12>>2];f[c+16>>2]=f[a+16>>2];f[c+20>>2]=f[a+20>>2];f[c+24>>2]=f[a+24>>2];f[c+28>>2]=f[a+28>>2];f[c+32>>2]=f[a+32>>2];f[c+36>>2]=f[a+36>>2];f[c+40>>2]=f[a+40>>2];p[c+48>>3]=+p[a+48>>3];f[c+56>>2]=f[a+56>>2];p[c+64>>3]=+p[a+64>>3];b[c+72>>0]=b[a+72>>0]|0;if((c|0)==(a|0)){d=a+140|0;e=f[d>>2]|0;g=c+140|0;f[g>>2]=e;h=a+144|0;i=b[h>>0]|0;j=c+144|0;b[j>>0]=i;return}gB(c+76|0,f[a+76>>2]|0,f[a+80>>2]|0);d=a+140|0;e=f[d>>2]|0;g=c+140|0;f[g>>2]=e;h=a+144|0;i=b[h>>0]|0;j=c+144|0;b[j>>0]=i;return}function jBa(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;h=u;u=u+416|0;i=h+408|0;j=h+400|0;k=h+392|0;l=h+336|0;m=h+8|0;n=h;gV(i,86392);o=f[d>>2]|0;p=d+4|0;q=f[p>>2]|0;if(!(q|o)){r=f[a+28>>2]|0;f[d>>2]=r;s=f[a+32>>2]|0;f[p>>2]=s;t=r;v=s}else{t=o;v=q}q=f[a+20>>2]|0;o=(t|0)<(q|0);s=o?q:t;r=o?t:q;if((r|0)>0){q=s;t=r;while(1){r=(q|0)%(t|0)|0;if((r|0)>0){o=t;t=r;q=o}else{w=t;break}}}else w=s;s=f[a+24>>2]|0;t=(v|0)<(s|0);q=t?s:v;o=t?v:s;if((o|0)>0){s=q;v=o;while(1){o=(s|0)%(v|0)|0;if((o|0)>0){t=v;v=o;s=t}else{x=v;break}}}else x=q;f[j>>2]=w;w=j+4|0;f[w>>2]=x;oJ(k,b,-1);x=g+4|0;q=(f[x>>2]|0)-(f[g>>2]|0)>>3;v=f[e>>2]|0;s=f[j>>2]|0;t=s+-1+((v|0)>0?v:0)&0-s;f[e>>2]=t;s=e+4|0;v=f[s>>2]|0;o=f[w>>2]|0;w=o+-1+((v|0)>0?v:0)&0-o;f[s>>2]=w;o=(t<<1)+(f[k>>2]|0)|0;t=(w<<1)+(f[k+4>>2]|0)|0;do if((qJ(b)|0)==65536){k=f[b+4>>2]|0;f[l>>2]=f[k>>2];w=l+4|0;v=k+4|0;f[w>>2]=f[v>>2];r=l+8|0;f[r>>2]=f[k+8>>2];f[l+12>>2]=f[k+12>>2];f[l+16>>2]=f[k+16>>2];f[l+20>>2]=f[k+20>>2];f[l+24>>2]=f[k+24>>2];f[l+28>>2]=f[k+28>>2];f[l+32>>2]=f[k+32>>2];y=f[k+36>>2]|0;f[l+36>>2]=y;f[l+40>>2]=r;r=l+48|0;z=l+44|0;f[z>>2]=r;f[r>>2]=0;f[l+52>>2]=0;if(y|0){r=y+12|0;f[r>>2]=(f[r>>2]|0)+1}if((f[v>>2]|0)<3){v=f[k+44>>2]|0;r=f[z>>2]|0;f[r>>2]=f[v>>2];f[r+4>>2]=f[v+4>>2];break}else{f[w>>2]=0;$T(l,k);break}}else nJ(l,b,-1);while(0);b=(q|0)==0;vBa(m,a,l,e,e,b,j);if(b)A=Y(((t-(f[m+48>>2]|0)|0)/(f[p>>2]|0)|0)+1|0,((o-(f[m+44>>2]|0)|0)/(f[d>>2]|0)|0)+1|0)|0;else A=q;q=f[m+16>>2]|0;t=Y(f[m+64>>2]|0,f[m+60>>2]|0)|0;b=f[m+76>>2]|0;j=wBa(a)|0;k=Y(j,A)|0;w=c+4|0;v=f[w>>2]|0;r=f[c>>2]|0;z=v-r>>2;y=r;r=v;if(k>>>0<=z>>>0){if(k>>>0<z>>>0?(v=y+(k<<2)|0,(r|0)!=(v|0)):0)f[w>>2]=r+(~((r+-4-v|0)>>>2)<<2)}else EBa(c,k-z|0);if(A|0?(z=m+44|0,k=l+12|0,v=a+4|0,r=l+8|0,w=a+8|0,a=n+4|0,y=b<<2,(t|0)>0):0){b=0;do{B=Y(b,j)|0;C=(f[c>>2]|0)+(B<<2)|0;B=f[g>>2]|0;if((B|0)!=(f[x>>2]|0)){D=f[B+(b<<3)>>2]|0;E=f[B+(b<<3)+4>>2]|0;B=f[e>>2]|0;if((((D|0)>=(0-B|0)?(D|0)<=((f[k>>2]|0)+B-(f[v>>2]|0)|0):0)?(B=f[s>>2]|0,(E|0)>=(0-B|0)):0)?(E|0)<=((f[r>>2]|0)+B-(f[w>>2]|0)|0):0){F=D;G=E;H=33}}else{E=f[d>>2]|0;D=((o-(f[z>>2]|0)|0)/(E|0)|0)+1|0;B=(b|0)/(D|0)|0;I=Y(b-(Y(D,B)|0)|0,E)|0;E=Y(f[p>>2]|0,B)|0;F=I-(f[e>>2]|0)|0;G=E-(f[s>>2]|0)|0;H=33}if((H|0)==33){H=0;E=0;do{I=(f[q+(E*12|0)+8>>2]|0)+G|0;B=C+(f[q+(E*12|0)>>2]<<2)|0;f[n>>2]=(f[q+(E*12|0)+4>>2]|0)+F;f[a>>2]=I;I=yBa(m,n,B)|0;if((I|0)!=(B|0))szc(B|0,I|0,y|0)|0;E=E+1|0}while((E|0)<(t|0))}b=b+1|0}while(b>>>0<A>>>0)}XAa(m);m=l+36|0;A=f[m>>2]|0;if(A|0?(b=A+12|0,A=f[b>>2]|0,f[b>>2]=A+-1,(A|0)==1):0)aU(l);f[m>>2]=0;m=l+16|0;A=l+4|0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;if((f[A>>2]|0)>0){m=f[l+40>>2]|0;b=0;do{f[m+(b<<2)>>2]=0;b=b+1|0}while((b|0)<(f[A>>2]|0))}A=f[l+44>>2]|0;if((A|0)!=(l+48|0))TC(A);if(!(f[i+4>>2]|0)){u=h;return}u=h;return}function kBa(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=+g;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0.0,M=0.0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0.0,la=0.0,ma=0,na=0,oa=0,pa=0.0,qa=0,ra=0;k=u;u=u+400|0;l=k+384|0;m=k+376|0;o=k+48|0;q=k+32|0;r=k+24|0;s=k;t=k+16|0;gV(l,86372);v=f[d>>2]|0;w=d+4|0;x=f[w>>2]|0;if((x|0)!=(v|0))f[w>>2]=x+(~((x+-8-v|0)>>>3)<<3);v=f[e>>2]|0;x=e+4|0;y=f[x>>2]|0;if((y|0)!=(v|0))f[x>>2]=y+(~((y+-8-v|0)>>>3)<<3);v=a+76|0;y=a+80|0;if((f[v>>2]|0)!=(f[y>>2]|0)){z=f[h>>2]|0;A=h+4|0;B=f[A>>2]|0;if(!(B|z)){C=f[a+28>>2]|0;f[h>>2]=C;D=f[a+32>>2]|0;f[A>>2]=D;E=C;F=D}else{E=z;F=B}B=f[a+20>>2]|0;z=(E|0)<(B|0);D=z?B:E;C=z?E:B;if((C|0)>0){B=D;E=C;while(1){C=(B|0)%(E|0)|0;if((C|0)>0){z=E;E=C;B=z}else{G=E;break}}}else G=D;D=f[a+24>>2]|0;E=(F|0)<(D|0);B=E?D:F;z=E?F:D;if((z|0)>0){D=B;F=z;while(1){z=(D|0)%(F|0)|0;if((z|0)>0){E=F;F=z;D=E}else{H=F;break}}}else H=B;f[m>>2]=G;B=m+4|0;f[B>>2]=H;F=j+4|0;D=(f[F>>2]|0)-(f[j>>2]|0)>>3;E=f[i>>2]|0;z=G+-1+((E|0)>0?E:0)&0-G;f[i>>2]=z;G=i+4|0;E=f[G>>2]|0;C=H+-1+((E|0)>0?E:0)&0-H;f[G>>2]=C;H=c+12|0;E=(z<<1)+(f[H>>2]|0)|0;z=c+8|0;I=(C<<1)+(f[z>>2]|0)|0;C=(D|0)==0;vBa(o,a,c,i,i,C,m);if(C)J=Y(((I-(f[o+48>>2]|0)|0)/(f[A>>2]|0)|0)+1|0,((E-(f[o+44>>2]|0)|0)/(f[h>>2]|0)|0)+1|0)|0;else J=D;D=f[o+16>>2]|0;I=Y(f[o+64>>2]|0,f[o+60>>2]|0)|0;C=f[o+76>>2]|0;c=wBa(a)|0;K=f[v>>2]|0;if((f[y>>2]|0)-K>>2>>>0>c>>>0)L=+n[K+(c<<2)>>2];else L=0.0;M=L;f[q>>2]=0;c=q+4|0;f[c>>2]=0;f[q+8>>2]=0;do if(C)if(C>>>0>1073741823)nsc(q);else{K=C<<2;y=cuc(K)|0;f[q>>2]=y;N=y+(C<<2)|0;f[q+8>>2]=N;kzc(y|0,0,K|0)|0;f[c>>2]=N;O=y;P=y;break}else{O=0;P=0}while(0);do if(J){y=r+4|0;N=o+44|0;K=(I|0)>0;Q=t+4|0;R=C+-4|0;S=(C|0)<4;T=d+8|0;U=e+8|0;V=a+4|0;W=a+8|0;X=C&-4;Z=(C|0)>0;_=(X|0)<(C|0);$=0;while(1){f[r>>2]=0;f[y>>2]=0;aa=f[j>>2]|0;if((aa|0)==(f[F>>2]|0)){ba=f[h>>2]|0;ca=((E-(f[N>>2]|0)|0)/(ba|0)|0)+1|0;da=($|0)/(ca|0)|0;ea=Y($-(Y(ca,da)|0)|0,ba)|0;ba=Y(f[A>>2]|0,da)|0;da=ea-(f[i>>2]|0)|0;ea=ba-(f[G>>2]|0)|0;f[r>>2]=da;f[y>>2]=ea;if((da|0)%(f[m>>2]|0)|0|0){fa=35;break}if(!((ea|0)%(f[B>>2]|0)|0)){ga=da;ha=ea;fa=36}else{fa=35;break}}else{ea=f[aa+($<<3)>>2]|0;f[r>>2]=ea;da=f[aa+($<<3)+4>>2]|0;f[y>>2]=da;aa=f[i>>2]|0;if((((ea|0)>=(0-aa|0)?(ea|0)<=((f[H>>2]|0)+aa-(f[V>>2]|0)|0):0)?(aa=f[G>>2]|0,(da|0)>=(0-aa|0)):0)?(da|0)<=((f[z>>2]|0)+aa-(f[W>>2]|0)|0):0){ga=ea;ha=da;fa=36}}if((fa|0)==36){fa=0;p[s>>3]=M;da=f[v>>2]|0;a:do if(K)if(S){ea=0;aa=da;ba=ga;ca=ha;while(1){ia=(f[D+(ea*12|0)+8>>2]|0)+ca|0;f[t>>2]=(f[D+(ea*12|0)+4>>2]|0)+ba;f[Q>>2]=ia;ia=yBa(o,t,f[q>>2]|0)|0;if(Z){ja=0;L=+p[s>>3];do{L=L+ +n[ia+(ja<<2)>>2]*+n[aa+(ja<<2)>>2];ja=ja+1|0}while((ja|0)!=(C|0));p[s>>3]=L}ja=ea+1|0;if((ja|0)>=(I|0))break;ea=ja;aa=aa+(C<<2)|0;ba=f[r>>2]|0;ca=f[y>>2]|0}ka=+p[s>>3];break}else{ca=0;ba=da;aa=ga;ea=ha;while(1){ja=(f[D+(ca*12|0)+8>>2]|0)+ea|0;f[t>>2]=(f[D+(ca*12|0)+4>>2]|0)+aa;f[Q>>2]=ja;ja=yBa(o,t,f[q>>2]|0)|0;ia=0;la=+p[s>>3];do{ma=ia|1;na=ia|2;oa=ia|3;la=la+(+n[ja+(ia<<2)>>2]*+n[ba+(ia<<2)>>2]+ +n[ja+(ma<<2)>>2]*+n[ba+(ma<<2)>>2]+ +n[ja+(na<<2)>>2]*+n[ba+(na<<2)>>2]+ +n[ja+(oa<<2)>>2]*+n[ba+(oa<<2)>>2]);ia=ia+4|0}while((ia|0)<=(R|0));p[s>>3]=la;if(_){ia=X;L=la;do{L=L+ +n[ja+(ia<<2)>>2]*+n[ba+(ia<<2)>>2];ia=ia+1|0}while((ia|0)!=(C|0));p[s>>3]=L;pa=L}else pa=la;ia=ca+1|0;if((ia|0)>=(I|0)){ka=pa;break a}ca=ia;ba=ba+(C<<2)|0;aa=f[r>>2]|0;ea=f[y>>2]|0}}else ka=M;while(0);do if(ka>=g){da=f[w>>2]|0;if((da|0)==(f[T>>2]|0))_s(d,r);else{f[da>>2]=f[r>>2];f[da+4>>2]=f[y>>2];f[w>>2]=da+8}da=f[x>>2]|0;if((da|0)==(f[U>>2]|0)){Ks(e,s);break}else{p[da>>3]=+p[s>>3];f[x>>2]=da+8;break}}while(0)}$=$+1|0;if($>>>0>=J>>>0){fa=22;break}}if((fa|0)==22){$=f[q>>2]|0;qa=$;ra=$;break}else if((fa|0)==35){f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;$=cuc(80)|0;f[s>>2]=$;f[s+8>>2]=-2147483568;f[s+4>>2]=65;U=$;y=380706;T=U+65|0;do{b[U>>0]=b[y>>0]|0;U=U+1|0;y=y+1|0}while((U|0)<(T|0));b[$+65>>0]=0;WD(-215,s,380772,379213,1703)}}else{qa=P;ra=O}while(0);if(qa|0){O=f[c>>2]|0;if((O|0)!=(qa|0))f[c>>2]=O+(~((O+-4-qa|0)>>>2)<<2);fuc(ra)}XAa(o)}if(!(f[l+4>>2]|0)){u=k;return}u=k;return}function lBa(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0;i=u;u=u+48|0;j=i+32|0;k=i+16|0;l=i+8|0;m=i;gV(j,86352);f[k>>2]=0;n=k+4|0;f[n>>2]=0;f[k+8>>2]=0;o=f[(f[a>>2]|0)+36>>2]|0;f[l>>2]=f[e>>2];f[l+4>>2]=f[e+4>>2];f[m>>2]=f[g>>2];f[m+4>>2]=f[g+4>>2];Sf[o&7](a,b,c,k,d,l,m,h);h=f[k>>2]|0;if(h|0){k=f[n>>2]|0;if((k|0)!=(h|0))f[n>>2]=k+(~((k+-8-h|0)>>>3)<<3);fuc(h)}if(!(f[j+4>>2]|0)){u=i;return}u=i;return}function mBa(a,b,c,d,e,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;i=+i;j=+j;k=k|0;var l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0.0,L=0,M=0,N=0.0,O=0,P=0.0,Q=0,R=0;l=u;u=u+304|0;m=l+296|0;n=l+112|0;o=l+288|0;q=l+276|0;r=l+264|0;s=l+252|0;t=l+240|0;v=l+228|0;w=l+200|0;x=l+144|0;y=l+136|0;z=l;A=l+128|0;B=l+120|0;gV(m,86292);p[n>>3]=1.0;oJ(o,b,-1);f[q>>2]=0;C=q+4|0;f[C>>2]=0;f[q+8>>2]=0;D=a+140|0;a:do if((f[D>>2]|0)>0){E=q+8|0;F=a+4|0;G=o+4|0;H=a+8|0;if(!(i<=1.0)){I=0;J=0;K=1.0;L=0}else{Ks(q,n);M=0;break}while(1){if((I|0)==(J|0))Ks(q,n);else{p[I>>3]=K;f[C>>2]=I+8}N=+p[n>>3];O=Fhc(+(f[o>>2]|0)/N)|0;if((O|0)<(f[F>>2]|0)){M=L;break a}O=Fhc(+(f[G>>2]|0)/N)|0;if((O|0)<(f[H>>2]|0)){M=L;break a}P=N*i;p[n>>3]=P;O=L+1|0;if((O|0)>=(f[D>>2]|0)){M=O;break a}I=f[C>>2]|0;J=f[E>>2]|0;K=P;L=O}}else M=0;while(0);L=(M|0)>1?M:1;M=f[C>>2]|0;J=f[q>>2]|0;I=M-J>>3;D=J;J=M;if(L>>>0<=I>>>0){if(L>>>0<I>>>0?(M=D+(L<<3)|0,(J|0)!=(M|0)):0)f[C>>2]=J+(~((J+-8-M|0)>>>3)<<3)}else Zfa(q,L-I|0);I=g+4|0;if(!(f[I>>2]|f[g>>2])){f[g>>2]=f[a+20>>2];f[I>>2]=f[a+24>>2]}f[r>>2]=0;I=r+4|0;f[I>>2]=0;f[r+8>>2]=0;f[s>>2]=0;L=s+4|0;f[L>>2]=0;f[s+8>>2]=0;f[t>>2]=0;M=t+4|0;f[M>>2]=0;f[t+8>>2]=0;f[v>>2]=0;J=v+4|0;f[J>>2]=0;f[v+8>>2]=0;Ztc(w);do if((qJ(b)|0)==65536){D=f[b+4>>2]|0;f[x>>2]=f[D>>2];n=x+4|0;E=D+4|0;f[n>>2]=f[E>>2];H=x+8|0;f[H>>2]=f[D+8>>2];f[x+12>>2]=f[D+12>>2];f[x+16>>2]=f[D+16>>2];f[x+20>>2]=f[D+20>>2];f[x+24>>2]=f[D+24>>2];f[x+28>>2]=f[D+28>>2];f[x+32>>2]=f[D+32>>2];G=f[D+36>>2]|0;f[x+36>>2]=G;f[x+40>>2]=H;H=x+48|0;F=x+44|0;f[F>>2]=H;f[H>>2]=0;f[x+52>>2]=0;if(G|0){H=G+12|0;f[H>>2]=(f[H>>2]|0)+1}if((f[E>>2]|0)<3){E=f[D+44>>2]|0;H=f[F>>2]|0;f[H>>2]=f[E>>2];f[H+4>>2]=f[E+4>>2];break}else{f[n>>2]=0;$T(x,D);break}}else nJ(x,b,-1);while(0);b=f[q>>2]|0;D=(f[C>>2]|0)-b>>3;f[y>>2]=0;f[y+4>>2]=D;zBa(z,a,x,e,g,h,b,r,w,t,s);sZ(y,z,-1.0);y=f[s>>2]|0;b=f[L>>2]|0;if((y|0)!=(b|0)){h=v+8|0;g=y;do{y=f[J>>2]|0;if((y|0)==(f[h>>2]|0))Ks(v,g);else{p[y>>3]=+p[g>>3];f[J>>2]=y+8}g=g+8|0}while((g|0)!=(b|0))}b=f[c>>2]|0;g=c+4|0;h=f[g>>2]|0;if((h|0)==(b|0))Q=b;else{y=h+(~((h+-16-b|0)>>>4)<<4)|0;f[g>>2]=y;Q=y}y=f[r>>2]|0;b=f[I>>2]|0;b:do if((y|0)!=(b|0)){h=c+8|0;D=Q;n=y;while(1){if((D|0)==(f[h>>2]|0))It(c,n);else{f[D>>2]=f[n>>2];f[D+4>>2]=f[n+4>>2];f[D+8>>2]=f[n+8>>2];f[D+12>>2]=f[n+12>>2];f[g>>2]=D+16}E=n+16|0;if((E|0)==(b|0))break b;D=f[g>>2]|0;n=E}}while(0);g=f[d>>2]|0;b=d+4|0;y=f[b>>2]|0;if((y|0)==(g|0))R=g;else{Q=y+(~((y+-8-g|0)>>>3)<<3)|0;f[b>>2]=Q;R=Q}Q=f[t>>2]|0;g=f[M>>2]|0;c:do if((Q|0)!=(g|0)){y=d+8|0;n=Q;D=R;while(1){if((D|0)==(f[y>>2]|0))Ks(d,n);else{p[D>>3]=+p[n>>3];f[b>>2]=D+8}h=n+8|0;if((h|0)==(g|0))break c;n=h;D=f[b>>2]|0}}while(0);if(k){f[A>>2]=f[a+4>>2];f[A+4>>2]=f[a+8>>2];AAa(c,d,v,j,A)}else ABa(0,c,d,~~j,.2);f[B>>2]=f[o>>2];f[B+4>>2]=f[o+4>>2];TAa(B,c,0,d);f[z>>2]=86320;d=z+8|0;c=z+44|0;B=f[c>>2]|0;if(B|0?(o=B+12|0,B=f[o>>2]|0,f[o>>2]=B+-1,(B|0)==1):0)aU(d);f[c>>2]=0;c=z+24|0;d=z+12|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[d>>2]|0)>0){c=f[z+48>>2]|0;B=0;do{f[c+(B<<2)>>2]=0;B=B+1|0}while((B|0)<(f[d>>2]|0))}d=f[z+52>>2]|0;if((d|0)!=(z+56|0))TC(d);d=x+36|0;z=f[d>>2]|0;if(z|0?(B=z+12|0,z=f[B>>2]|0,f[B>>2]=z+-1,(z|0)==1):0)aU(x);f[d>>2]=0;d=x+16|0;z=x+4|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[z>>2]|0)>0){d=f[x+40>>2]|0;B=0;do{f[d+(B<<2)>>2]=0;B=B+1|0}while((B|0)<(f[z>>2]|0))}z=f[x+44>>2]|0;if((z|0)!=(x+48|0))TC(z);_tc(w);w=f[v>>2]|0;if(w|0){v=f[J>>2]|0;if((v|0)!=(w|0))f[J>>2]=v+(~((v+-8-w|0)>>>3)<<3);fuc(w)}w=f[t>>2]|0;if(w|0){t=f[M>>2]|0;if((t|0)!=(w|0))f[M>>2]=t+(~((t+-8-w|0)>>>3)<<3);fuc(w)}w=f[s>>2]|0;if(w|0){s=f[L>>2]|0;if((s|0)!=(w|0))f[L>>2]=s+(~((s+-8-w|0)>>>3)<<3);fuc(w)}w=f[r>>2]|0;if(w|0){r=f[I>>2]|0;if((r|0)!=(w|0))f[I>>2]=r+(~((r+-16-w|0)>>>4)<<4);fuc(w)}w=f[q>>2]|0;if(w|0){q=f[C>>2]|0;if((q|0)!=(w|0))f[C>>2]=q+(~((q+-8-w|0)>>>3)<<3);fuc(w)}if(!(f[m+4>>2]|0)){u=l;return}u=l;return}function nBa(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;g=g|0;h=+h;i=+i;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0;k=u;u=u+48|0;l=k+32|0;m=k+16|0;n=k+8|0;o=k;gV(l,86272);f[m>>2]=0;p=m+4|0;f[p>>2]=0;f[m+8>>2]=0;q=f[(f[a>>2]|0)+44>>2]|0;f[n>>2]=f[e>>2];f[n+4>>2]=f[e+4>>2];f[o>>2]=f[g>>2];f[o+4>>2]=f[g+4>>2];sg[q&3](a,b,c,m,d,n,o,h,i,j);j=f[m>>2]|0;if(j|0){m=f[p>>2]|0;if((m|0)!=(j|0))f[p>>2]=m+(~((m+-8-j|0)>>>3)<<3);fuc(j)}if(!(f[l+4>>2]|0)){u=k;return}u=k;return}function oBa(a,c,d,e,g,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;i=i|0;var j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0.0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0.0,Sa=0,Ta=0.0,Ua=0.0,Va=0.0,Wa=0.0,Xa=0.0,Ya=0.0,Za=0.0,_a=0;j=u;u=u+2496|0;k=j+2480|0;l=j+2472|0;m=j+2464|0;o=j+2456|0;p=j+2400|0;q=j+1336|0;r=j+272|0;s=j+216|0;t=j+160|0;v=j+104|0;w=j+48|0;x=j+32|0;y=j+16|0;z=j;gV(l,86252);switch(f[c>>2]&4095){case 16:case 0:break;default:{f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;A=cuc(48)|0;f[k>>2]=A;f[k+8>>2]=-2147483600;f[k+4>>2]=44;B=A;C=379917;D=B+44|0;do{b[B>>0]=b[C>>0]|0;B=B+1|0;C=C+1|0}while((B|0)<(D|0));b[A+44>>0]=0;WD(-215,k,379962,379213,240)}}A=f[c+12>>2]|0;E=f[g>>2]|0;F=f[i>>2]|0;G=E+A+F|0;H=g+4|0;I=(f[H>>2]|0)+(f[c+8>>2]|0)+(f[i+4>>2]|0)|0;if(!(((((f[d+4>>2]|0)<3?(f[d+8>>2]|0)==(I|0):0)?(f[d+12>>2]|0)==(G|0):0)?(f[d>>2]&4095|0)==13:0)?(f[d+16>>2]|0)!=0:0)){f[k>>2]=I;f[k+4>>2]=G;ZT(d,2,k,13)}if(!(((((f[e+4>>2]|0)<3?(f[e+8>>2]|0)==(I|0):0)?(f[e+12>>2]|0)==(G|0):0)?(f[e>>2]&4095|0)==8:0)?(f[e+16>>2]|0)!=0:0)){f[k>>2]=I;f[k+4>>2]=G;ZT(e,2,k,8)}f[m>>2]=0;i=m+4|0;f[i>>2]=0;f[o>>2]=0;J=o+4|0;f[J>>2]=0;kU(c,m,o);K=(f[c>>2]|0)>>>3&511;f[p>>2]=1124007936;L=p+4|0;N=p+8|0;O=p+40|0;B=L;D=B+36|0;do{f[B>>2]=0;B=B+4|0}while((B|0)<(D|0));f[O>>2]=N;N=p+48|0;P=p+44|0;f[P>>2]=N;f[N>>2]=0;f[p+52>>2]=0;f[k>>2]=1;f[k+4>>2]=256;ZT(p,2,k,5);Q=p+16|0;R=f[Q>>2]|0;if(!(b[a+72>>0]|0)){S=0;do{n[R+(S<<2)>>2]=+(S|0);S=S+1|0}while((S|0)!=256)}else{S=0;do{T=+M(+(+(S|0)));n[R+(S<<2)>>2]=T;S=S+1|0}while((S|0)!=256)}S=G+4+I|0;U=q+8|0;f[q>>2]=U;V=q+4|0;f[V>>2]=S;if(S>>>0>264){W=euc(S>>>0>1073741823?-1:S<<2)|0;f[q>>2]=W;X=W}else X=U;W=X+4|0;S=W+(G<<2)+8|0;if((G|0)>=-1){Z=-1;while(1){_=LI(Z-(f[g>>2]|0)+(f[o>>2]|0)|0,f[m>>2]|0,4)|0;f[W+(Z<<2)>>2]=_-(f[o>>2]|0);if((Z|0)<(G|0))Z=Z+1|0;else break}}if((I|0)>=-1){Z=-1;while(1){o=LI(Z-(f[H>>2]|0)+(f[J>>2]|0)|0,f[i>>2]|0,4)|0;f[S+(Z<<2)>>2]=o-(f[J>>2]|0);if((Z|0)<(I|0))Z=Z+1|0;else break}}Z=G<<2;J=r+8|0;f[r>>2]=J;i=r+4|0;f[i>>2]=Z;if(Z>>>0>264){H=euc(Z>>>0>1073741823?-1:Z<<2)|0;f[r>>2]=H;$=H}else $=J;f[s>>2]=1124007941;H=s+4|0;f[H>>2]=2;o=s+8|0;f[o>>2]=1;f[s+12>>2]=G;m=s+16|0;f[m>>2]=$;f[s+20>>2]=$;g=s+24|0;_=s+40|0;aa=g+8|0;f[aa>>2]=0;f[aa+4>>2]=0;f[_>>2]=o;o=s+48|0;aa=s+44|0;f[aa>>2]=o;ba=(G|0)!=0;f[o>>2]=Z;f[s+52>>2]=4;ca=$+(G<<2)|0;f[s+28>>2]=ca;da=0-Z|0;f[g>>2]=ca+da+Z;YT(s);f[t>>2]=1124007941;g=t+4|0;f[g>>2]=2;ea=t+8|0;f[ea>>2]=1;f[t+12>>2]=G;fa=t+16|0;f[fa>>2]=ca;f[t+20>>2]=ca;ga=t+24|0;ha=t+40|0;f[ga>>2]=0;f[ga+4>>2]=0;f[ga+8>>2]=0;f[ga+12>>2]=0;f[ha>>2]=ea;ea=t+48|0;ia=t+44|0;f[ia>>2]=ea;ja=t+52|0;f[ja>>2]=0;f[ea>>2]=0;if(ba&(ca|0)==0){ka=cuc(32)|0;f[k>>2]=ka;f[k+8>>2]=-2147483616;f[k+4>>2]=28;B=ka;C=466324;D=B+28|0;do{b[B>>0]=b[C>>0]|0;B=B+1|0;C=C+1|0}while((B|0)<(D|0));b[ka+28>>0]=0;WD(-215,k,466353,466357,548)}f[ea>>2]=Z;f[ja>>2]=4;ja=ca+(G<<2)|0;f[t+28>>2]=ja;f[ga>>2]=ja+da+Z;YT(t);ja=G<<1;ga=$+(ja<<2)|0;f[v>>2]=1124007941;ca=v+4|0;f[ca>>2]=2;ka=v+8|0;f[ka>>2]=1;f[v+12>>2]=G;la=v+16|0;f[la>>2]=ga;f[v+20>>2]=ga;ma=v+24|0;na=v+40|0;f[ma>>2]=0;f[ma+4>>2]=0;f[ma+8>>2]=0;f[ma+12>>2]=0;f[na>>2]=ka;ka=v+48|0;oa=v+44|0;f[oa>>2]=ka;pa=v+52|0;f[pa>>2]=0;f[ka>>2]=0;if(ba&(ga|0)==0){qa=cuc(32)|0;f[k>>2]=qa;f[k+8>>2]=-2147483616;f[k+4>>2]=28;B=qa;C=466324;D=B+28|0;do{b[B>>0]=b[C>>0]|0;B=B+1|0;C=C+1|0}while((B|0)<(D|0));b[qa+28>>0]=0;WD(-215,k,466353,466357,548)}f[ka>>2]=Z;f[pa>>2]=4;pa=ga+(G<<2)|0;f[v+28>>2]=pa;f[ma>>2]=pa+da+Z;YT(v);pa=G*3|0;ma=$+(pa<<2)|0;f[w>>2]=1124007941;ga=w+4|0;f[ga>>2]=2;qa=w+8|0;f[qa>>2]=1;f[w+12>>2]=G;ra=w+16|0;f[ra>>2]=ma;f[w+20>>2]=ma;sa=w+24|0;ta=w+40|0;f[sa>>2]=0;f[sa+4>>2]=0;f[sa+8>>2]=0;f[sa+12>>2]=0;f[ta>>2]=qa;qa=w+48|0;ua=w+44|0;f[ua>>2]=qa;va=w+52|0;f[va>>2]=0;f[qa>>2]=0;if(ba&(ma|0)==0){ba=cuc(32)|0;f[k>>2]=ba;f[k+8>>2]=-2147483616;f[k+4>>2]=28;B=ba;C=466324;D=B+28|0;do{b[B>>0]=b[C>>0]|0;B=B+1|0;C=C+1|0}while((B|0)<(D|0));b[ba+28>>0]=0;WD(-215,k,466353,466357,548)}f[qa>>2]=Z;f[va>>2]=4;va=ma+(G<<2)|0;f[w+28>>2]=va;f[sa>>2]=va+da+Z;YT(w);if((K|0)==2&(G|0)>-2){Z=F+E+A+1|0;A=0;while(1){E=X+(A<<2)|0;f[E>>2]=(f[E>>2]|0)*3;if((A|0)==(Z|0))break;else A=A+1|0}}A=a+36|0;T=+(f[A>>2]|0)/(b[a+144>>0]|0?6.283185307179586:3.141592653589793);a:do if((I|0)>0){a=c+16|0;Z=c+44|0;X=c+48|0;E=d+16|0;F=d+44|0;da=e+16|0;va=e+44|0;sa=(K|0)==0;ma=k+8|0;ba=k+12|0;wa=k+4|0;xa=x+8|0;ya=x+12|0;za=x+4|0;Aa=y+8|0;Ba=y+4|0;Ca=z+8|0;Da=z+4|0;Ea=(G|0)>0;Fa=0;b:while(1){Ga=f[a>>2]|0;Ha=Ga+(Y(f[f[Z>>2]>>2]|0,f[S+(Fa<<2)>>2]|0)|0)|0;Ia=f[X>>2]|0;Ja=Ga+(Y(f[S+(Fa+-1<<2)>>2]|0,Ia)|0)|0;Ka=Fa;Fa=Fa+1|0;La=Ga+(Y(f[S+(Fa<<2)>>2]|0,Ia)|0)|0;Ia=(f[E>>2]|0)+(Y(f[f[F>>2]>>2]|0,Ka)|0)|0;Ga=(f[da>>2]|0)+(Y(f[f[va>>2]>>2]|0,Ka)|0)|0;if(sa){if(Ea){Ka=0;Ma=f[W>>2]|0;do{Na=Ka;Ka=Ka+1|0;Oa=Ma;Ma=f[W+(Ka<<2)>>2]|0;n[$+(Na<<2)>>2]=+n[R+(h[Ha+Ma>>0]<<2)>>2]-+n[R+(h[Ha+(f[W+(Na+-1<<2)>>2]|0)>>0]<<2)>>2];n[$+(Na+G<<2)>>2]=+n[R+(h[La+Oa>>0]<<2)>>2]-+n[R+(h[Ja+Oa>>0]<<2)>>2]}while((Ka|0)!=(G|0))}}else if(Ea){Ka=0;Ma=f[W>>2]|0;do{Oa=Ka;Ka=Ka+1|0;Na=Ma;Ma=f[W+(Ka<<2)>>2]|0;Pa=Ha+Ma|0;Qa=Ha+(f[W+(Oa+-1<<2)>>2]|0)|0;Ra=+n[R+(h[Pa+2>>0]<<2)>>2]-+n[R+(h[Qa+2>>0]<<2)>>2];Sa=Na+2|0;Ta=+n[R+(h[La+Sa>>0]<<2)>>2]-+n[R+(h[Ja+Sa>>0]<<2)>>2];Ua=Ra*Ra+Ta*Ta;Va=+n[R+(h[Pa+1>>0]<<2)>>2]-+n[R+(h[Qa+1>>0]<<2)>>2];Sa=Na+1|0;Wa=+n[R+(h[La+Sa>>0]<<2)>>2]-+n[R+(h[Ja+Sa>>0]<<2)>>2];Xa=Va*Va+Wa*Wa;Sa=Ua<Xa;Ya=+n[R+(h[Pa>>0]<<2)>>2]-+n[R+(h[Qa>>0]<<2)>>2];Za=+n[R+(h[La+Na>>0]<<2)>>2]-+n[R+(h[Ja+Na>>0]<<2)>>2];Na=(Sa?Xa:Ua)<Ya*Ya+Za*Za;n[$+(Oa<<2)>>2]=Na?Ya:Sa?Va:Ra;n[$+(Oa+G<<2)>>2]=Na?Za:Sa?Wa:Ta}while((Ka|0)!=(G|0))}f[ma>>2]=0;f[ba>>2]=0;f[k>>2]=16842752;f[wa>>2]=s;f[xa>>2]=0;f[ya>>2]=0;f[x>>2]=16842752;f[za>>2]=t;Ka=Aa;f[Ka>>2]=0;f[Ka+4>>2]=0;f[y>>2]=33619968;f[Ba>>2]=v;Ka=Ca;f[Ka>>2]=0;f[Ka+4>>2]=0;f[z>>2]=33619968;f[Da>>2]=w;hD(k,x,y,z,0);if(Ea){Ka=0;do{Ta=+n[$+(Ka+ja<<2)>>2];Wa=T*+n[$+(Ka+pa<<2)>>2]+-.5;Ja=~~Wa;La=Ja-(+(Ja|0)>Wa&1)|0;Za=Wa-+(La|0);Ja=Ka<<1;n[Ia+(Ja<<2)>>2]=Ta*(1.0-Za);Ha=Ja|1;n[Ia+(Ha<<2)>>2]=Ta*Za;Ma=f[A>>2]|0;if((La|0)<0)_a=La+Ma|0;else _a=La-((La|0)<(Ma|0)?0:Ma)|0;if(_a>>>0>=Ma>>>0)break b;b[Ga+Ja>>0]=_a;Ja=_a+1|0;b[Ga+Ha>>0]=(Ja|0)<(f[A>>2]|0)?Ja&255:0;Ka=Ka+1|0}while((Ka|0)<(G|0))}if((Fa|0)>=(I|0))break a}f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;Fa=cuc(48)|0;f[k>>2]=Fa;f[k+8>>2]=-2147483600;f[k+4>>2]=32;B=Fa;C=379978;D=B+32|0;do{b[B>>0]=b[C>>0]|0;B=B+1|0;C=C+1|0}while((B|0)<(D|0));b[Fa+32>>0]=0;WD(-215,k,379962,379213,538)}while(0);k=w+36|0;C=f[k>>2]|0;if(C|0?(B=C+12|0,C=f[B>>2]|0,f[B>>2]=C+-1,(C|0)==1):0)aU(w);f[k>>2]=0;f[ra>>2]=0;f[ra+4>>2]=0;f[ra+8>>2]=0;f[ra+12>>2]=0;if((f[ga>>2]|0)>0){ra=f[ta>>2]|0;ta=0;do{f[ra+(ta<<2)>>2]=0;ta=ta+1|0}while((ta|0)<(f[ga>>2]|0))}ga=f[ua>>2]|0;if((ga|0)!=(qa|0))TC(ga);ga=v+36|0;qa=f[ga>>2]|0;if(qa|0?(ua=qa+12|0,qa=f[ua>>2]|0,f[ua>>2]=qa+-1,(qa|0)==1):0)aU(v);f[ga>>2]=0;f[la>>2]=0;f[la+4>>2]=0;f[la+8>>2]=0;f[la+12>>2]=0;if((f[ca>>2]|0)>0){la=f[na>>2]|0;na=0;do{f[la+(na<<2)>>2]=0;na=na+1|0}while((na|0)<(f[ca>>2]|0))}ca=f[oa>>2]|0;if((ca|0)!=(ka|0))TC(ca);ca=t+36|0;ka=f[ca>>2]|0;do if(ka|0){oa=ka+12|0;na=f[oa>>2]|0;f[oa>>2]=na+-1;if((na|0)!=1)break;aU(t)}while(0);f[ca>>2]=0;f[fa>>2]=0;f[fa+4>>2]=0;f[fa+8>>2]=0;f[fa+12>>2]=0;if((f[g>>2]|0)>0){fa=f[ha>>2]|0;ha=0;do{f[fa+(ha<<2)>>2]=0;ha=ha+1|0}while((ha|0)<(f[g>>2]|0))}g=f[ia>>2]|0;if((g|0)!=(ea|0))TC(g);g=s+36|0;ea=f[g>>2]|0;do if(ea|0){ia=ea+12|0;ha=f[ia>>2]|0;f[ia>>2]=ha+-1;if((ha|0)!=1)break;aU(s)}while(0);f[g>>2]=0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;if((f[H>>2]|0)>0){m=f[_>>2]|0;_=0;do{f[m+(_<<2)>>2]=0;_=_+1|0}while((_|0)<(f[H>>2]|0))}H=f[aa>>2]|0;if((H|0)!=(o|0))TC(H);H=f[r>>2]|0;if((H|0)!=(J|0)){if(H|0)guc(H);f[r>>2]=J;f[i>>2]=264}i=f[q>>2]|0;if((i|0)!=(U|0)){if(i|0)guc(i);f[q>>2]=U;f[V>>2]=264}V=p+36|0;U=f[V>>2]|0;do if(U|0){q=U+12|0;i=f[q>>2]|0;f[q>>2]=i+-1;if((i|0)!=1)break;aU(p)}while(0);f[V>>2]=0;f[Q>>2]=0;f[Q+4>>2]=0;f[Q+8>>2]=0;f[Q+12>>2]=0;if((f[L>>2]|0)>0){Q=f[O>>2]|0;O=0;do{f[Q+(O<<2)>>2]=0;O=O+1|0}while((O|0)<(f[L>>2]|0))}L=f[P>>2]|0;if((L|0)!=(N|0))TC(L);if(!(f[l+4>>2]|0)){u=j;return}u=j;return}function pBa(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=+g;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0.0,L=0.0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0.0;j=u;u=u+384|0;k=j+376|0;l=j+368|0;m=j+40|0;o=j+24|0;q=j+16|0;r=j;s=j+8|0;gV(k,86232);t=f[d>>2]|0;v=d+4|0;w=f[v>>2]|0;if((w|0)!=(t|0))f[v>>2]=w+(~((w+-8-t|0)>>>3)<<3);t=f[e>>2]|0;w=e+4|0;x=f[w>>2]|0;if((x|0)!=(t|0))f[w>>2]=x+(~((x+-8-t|0)>>>3)<<3);t=a+76|0;x=a+80|0;if((f[t>>2]|0)!=(f[x>>2]|0)?(y=f[c>>2]|0,z=f[c+4>>2]|0,A=z,B=y,(y|0)!=(z|0)):0){z=f[h>>2]|0;y=h+4|0;C=f[y>>2]|0;if(!(C|z)){D=f[a+28>>2]|0;f[h>>2]=D;E=f[a+32>>2]|0;f[y>>2]=E;F=D;G=E}else{F=z;G=C}C=f[a+20>>2]|0;z=(F|0)<(C|0);E=z?C:F;D=z?F:C;if((D|0)>0){C=E;F=D;while(1){D=(C|0)%(F|0)|0;if((D|0)>0){z=F;F=D;C=z}else{H=F;break}}}else H=E;E=f[a+24>>2]|0;F=(G|0)<(E|0);C=F?E:G;z=F?G:E;if((z|0)>0){E=C;G=z;while(1){z=(E|0)%(G|0)|0;if((z|0)>0){F=G;G=z;E=F}else{I=G;break}}}else I=C;f[l>>2]=H;f[l+4>>2]=I;C=A-B>>3;B=f[i>>2]|0;A=H+-1+((B|0)>0?B:0)&0-H;f[i>>2]=A;H=i+4|0;B=f[H>>2]|0;G=I+-1+((B|0)>0?B:0)&0-I;f[H>>2]=G;I=b+12|0;B=(A<<1)+(f[I>>2]|0)|0;A=b+8|0;E=(G<<1)+(f[A>>2]|0)|0;vBa(m,a,b,i,i,1,l);if(!C)J=Y(((E-(f[m+48>>2]|0)|0)/(f[y>>2]|0)|0)+1|0,((B-(f[m+44>>2]|0)|0)/(f[h>>2]|0)|0)+1|0)|0;else J=C;C=f[m+16>>2]|0;h=Y(f[m+64>>2]|0,f[m+60>>2]|0)|0;B=f[m+76>>2]|0;y=wBa(a)|0;E=f[t>>2]|0;if((f[x>>2]|0)-E>>2>>>0>y>>>0)K=+n[E+(y<<2)>>2];else K=0.0;L=K;f[o>>2]=0;y=o+4|0;f[y>>2]=0;f[o+8>>2]=0;do if(B)if(B>>>0>1073741823)nsc(o);else{E=B<<2;x=cuc(E)|0;f[o>>2]=x;l=x+(B<<2)|0;f[o+8>>2]=l;kzc(x|0,0,E|0)|0;f[y>>2]=l;M=x;N=x;break}else{M=0;N=0}while(0);if(!J){O=N;P=M}else{M=q+4|0;N=e+8|0;x=a+4|0;l=a+8|0;a=(h|0)>0;E=s+4|0;b=B+-4|0;G=(B|0)<4;F=d+8|0;z=B&-4;D=(B|0)>0;Q=(z|0)<(B|0);R=0;do{f[q>>2]=0;f[M>>2]=0;S=f[c>>2]|0;T=f[S+(R<<3)>>2]|0;f[q>>2]=T;U=f[S+(R<<3)+4>>2]|0;f[M>>2]=U;S=f[i>>2]|0;if((((T|0)>=(0-S|0)?(T|0)<=((f[I>>2]|0)+S-(f[x>>2]|0)|0):0)?(S=f[H>>2]|0,(U|0)>=(0-S|0)):0)?(U|0)<=((f[A>>2]|0)+S-(f[l>>2]|0)|0):0){p[r>>3]=L;S=f[t>>2]|0;a:do if(a){if(G){V=0;W=S;X=T;Z=U;while(1){_=(f[C+(V*12|0)+8>>2]|0)+Z|0;f[s>>2]=(f[C+(V*12|0)+4>>2]|0)+X;f[E>>2]=_;_=yBa(m,s,f[o>>2]|0)|0;if(D){$=0;K=+p[r>>3];do{K=K+ +n[_+($<<2)>>2]*+n[W+($<<2)>>2];$=$+1|0}while(($|0)!=(B|0));p[r>>3]=K}$=V+1|0;if(($|0)>=(h|0))break a;V=$;W=W+(B<<2)|0;X=f[q>>2]|0;Z=f[M>>2]|0}}else{aa=0;ba=S;ca=T;da=U}while(1){Z=(f[C+(aa*12|0)+8>>2]|0)+da|0;f[s>>2]=(f[C+(aa*12|0)+4>>2]|0)+ca;f[E>>2]=Z;Z=yBa(m,s,f[o>>2]|0)|0;X=0;ea=+p[r>>3];do{W=X|1;V=X|2;$=X|3;ea=ea+(+n[Z+(X<<2)>>2]*+n[ba+(X<<2)>>2]+ +n[Z+(W<<2)>>2]*+n[ba+(W<<2)>>2]+ +n[Z+(V<<2)>>2]*+n[ba+(V<<2)>>2]+ +n[Z+($<<2)>>2]*+n[ba+($<<2)>>2]);X=X+4|0}while((X|0)<=(b|0));p[r>>3]=ea;if(Q){X=z;K=ea;do{K=K+ +n[Z+(X<<2)>>2]*+n[ba+(X<<2)>>2];X=X+1|0}while((X|0)!=(B|0));p[r>>3]=K}X=aa+1|0;if((X|0)>=(h|0))break a;aa=X;ba=ba+(B<<2)|0;ca=f[q>>2]|0;da=f[M>>2]|0}}while(0);U=f[w>>2]|0;if((U|0)==(f[N>>2]|0))Ks(e,r);else{p[U>>3]=+p[r>>3];f[w>>2]=U+8}do if(+p[r>>3]>=g){U=f[v>>2]|0;if((U|0)==(f[F>>2]|0)){_s(d,q);break}else{f[U>>2]=f[q>>2];f[U+4>>2]=f[M>>2];f[v>>2]=U+8;break}}while(0)}else{p[r>>3]=-10.0;U=f[w>>2]|0;if(U>>>0<(f[N>>2]|0)>>>0){p[U>>3]=-10.0;f[w>>2]=U+8}else xBa(e,r)}R=R+1|0}while(R>>>0<J>>>0);J=f[o>>2]|0;O=J;P=J}if(O|0){J=f[y>>2]|0;if((J|0)!=(O|0))f[y>>2]=J+(~((J+-4-O|0)>>>2)<<2);fuc(P)}XAa(m)}if(!(f[k+4>>2]|0)){u=j;return}u=j;return}function qBa(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;h=u;u=u+160|0;i=h+152|0;j=h+140|0;k=h+112|0;l=h+104|0;m=h;n=h+96|0;gV(i,86172);f[j>>2]=0;o=j+4|0;f[o>>2]=0;f[j+8>>2]=0;Ztc(k);p=(f[d+4>>2]|0)-(f[d>>2]|0)>>5;f[l>>2]=0;f[l+4>>2]=p;f[n>>2]=8;f[n+4>>2]=8;rBa(m,a,b,e,n,d,j,k);sZ(l,m,-1.0);f[m>>2]=86200;l=m+8|0;d=m+44|0;n=f[d>>2]|0;if(n|0?(b=n+12|0,n=f[b>>2]|0,f[b>>2]=n+-1,(n|0)==1):0)aU(l);f[d>>2]=0;d=m+24|0;l=m+12|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[l>>2]|0)>0){d=f[m+48>>2]|0;n=0;do{f[d+(n<<2)>>2]=0;n=n+1|0}while((n|0)<(f[l>>2]|0))}l=f[m+52>>2]|0;if((l|0)!=(m+56|0))TC(l);l=f[o>>2]|0;m=f[j>>2]|0;n=l-m>>4;d=c+4|0;b=f[d>>2]|0;a=f[c>>2]|0;p=b-a>>4;q=a;a=b;b=m;m=l;if(n>>>0<=p>>>0)if(n>>>0<p>>>0?(l=q+(n<<4)|0,(a|0)!=(l|0)):0){f[d>>2]=a+(~((a+-16-l|0)>>>4)<<4);r=b;s=m}else{r=b;s=m}else{Zza(c,n-p|0);r=f[j>>2]|0;s=f[o>>2]|0}if((r|0)!=(s|0)){p=r;r=f[c>>2]|0;while(1){f[r>>2]=f[p>>2];f[r+4>>2]=f[p+4>>2];f[r+8>>2]=f[p+8>>2];f[r+12>>2]=f[p+12>>2];p=p+16|0;if((p|0)==(s|0))break;else r=r+16|0}}Mza(c,g,.2);_tc(k);k=f[j>>2]|0;if(k|0){j=f[o>>2]|0;if((j|0)!=(k|0))f[o>>2]=j+(~((j+-16-k|0)>>>4)<<4);fuc(k)}if(!(f[i+4>>2]|0)){u=h;return}u=h;return}function rBa(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0;f[a>>2]=86200;j=a+8|0;f[j>>2]=1124007936;k=a+12|0;l=a+16|0;m=a+48|0;n=k;o=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(o|0));f[m>>2]=l;n=a+56|0;o=a+52|0;f[o>>2]=n;f[n>>2]=0;f[a+60>>2]=0;n=a+76|0;f[n>>2]=0;q=a+80|0;f[q>>2]=0;f[a+4>>2]=b;if((j|0)==(c|0)){r=a+64|0;p[r>>3]=d;s=f[e>>2]|0;f[n>>2]=s;t=e+4|0;u=f[t>>2]|0;f[q>>2]=u;v=a+72|0;f[v>>2]=g;w=a+84|0;f[w>>2]=h;x=a+88|0;f[x>>2]=i;return}b=c+36|0;y=f[b>>2]|0;if(y){z=y+12|0;f[z>>2]=(f[z>>2]|0)+1;z=a+44|0;y=f[z>>2]|0;if((y|0)!=0?(A=y+12|0,y=f[A>>2]|0,f[A>>2]=y+-1,(y|0)==1):0){aU(j);B=z}else B=z}else B=a+44|0;f[B>>2]=0;z=a+24|0;f[z>>2]=0;f[z+4>>2]=0;f[z+8>>2]=0;f[z+12>>2]=0;if((f[k>>2]|0)>0){y=f[m>>2]|0;m=0;do{f[y+(m<<2)>>2]=0;m=m+1|0;C=f[k>>2]|0}while((m|0)<(C|0));f[j>>2]=f[c>>2];if((C|0)<3)D=12;else D=14}else{f[j>>2]=f[c>>2];D=12}if((D|0)==12){C=f[c+4>>2]|0;if((C|0)<3){f[k>>2]=C;f[l>>2]=f[c+8>>2];f[a+20>>2]=f[c+12>>2];l=f[c+44>>2]|0;C=f[o>>2]|0;f[C>>2]=f[l>>2];f[C+4>>2]=f[l+4>>2]}else D=14}if((D|0)==14)$T(j,c);f[z>>2]=f[c+16>>2];f[a+28>>2]=f[c+20>>2];f[a+32>>2]=f[c+24>>2];f[a+36>>2]=f[c+28>>2];f[a+40>>2]=f[c+32>>2];f[B>>2]=f[b>>2];r=a+64|0;p[r>>3]=d;s=f[e>>2]|0;f[n>>2]=s;t=e+4|0;u=f[t>>2]|0;f[q>>2]=u;v=a+72|0;f[v>>2]=g;w=a+84|0;f[w>>2]=h;x=a+88|0;f[x>>2]=i;return}function sBa(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=86200;b=a+8|0;c=a+44|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+24|0;b=a+12|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+48>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+52>>2]|0;if((b|0)==(a+56|0))return;TC(b);return}function tBa(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=86200;b=a+8|0;c=a+44|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+24|0;b=a+12|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+48>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+52>>2]|0;if((b|0)==(a+56|0)){fuc(a);return}TC(b);fuc(a);return}function uBa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0.0,w=0.0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0;c=u;u=u+256|0;d=c+232|0;e=c+224|0;g=c+168|0;h=c+104|0;i=c+160|0;j=c+48|0;k=c+40|0;l=c+24|0;m=c+16|0;n=c+8|0;o=c;gV(e,86212);q=f[b>>2]|0;r=f[b+4>>2]|0;b=a+8|0;s=a+20|0;t=a+72|0;v=+p[f[f[t>>2]>>2]>>3];w=+(f[s>>2]|0)/v;x=~~w;y=(+(x|0)<w&1)+x|0;x=a+16|0;w=+(f[x>>2]|0)/v;z=~~w;A=(+(z|0)<w&1)+z|0;z=f[b>>2]&4095;f[g>>2]=1124007936;B=g+4|0;C=g+8|0;D=g+40|0;E=B;F=E+36|0;do{f[E>>2]=0;E=E+4|0}while((E|0)<(F|0));f[D>>2]=C;C=g+48|0;E=g+44|0;f[E>>2]=C;f[C>>2]=0;f[g+52>>2]=0;f[d>>2]=A;f[d+4>>2]=y;ZT(g,2,d,z);f[d>>2]=0;z=d+4|0;f[z>>2]=0;f[d+8>>2]=0;if((q|0)<(r|0)){y=i+4|0;A=g+16|0;F=a+48|0;G=k+4|0;H=a+24|0;I=a+56|0;J=h+36|0;K=h+16|0;L=h+4|0;M=h+40|0;N=j+4|0;O=j+8|0;P=h+8|0;Q=j+12|0;R=h+12|0;S=j+16|0;T=j+20|0;U=h+20|0;V=j+24|0;W=h+24|0;X=j+28|0;Y=h+28|0;Z=j+32|0;_=h+32|0;$=j+36|0;aa=h+44|0;ba=h+48|0;ca=j+44|0;da=j+40|0;ea=j+48|0;fa=h+40|0;ga=a+4|0;ha=a+64|0;ia=n+4|0;ja=a+76|0;ka=o+4|0;la=a+80|0;ma=a+88|0;na=h+44|0;oa=a+84|0;a=j+4|0;pa=j+8|0;qa=j+12|0;ra=j+8|0;sa=j+12|0;ta=j+4|0;ua=l+8|0;va=l+4|0;wa=m+4|0;xa=h+52|0;ya=q;do{w=+p[(f[f[t>>2]>>2]|0)+(ya<<5)>>3];q=Fhc(+(f[s>>2]|0)/w)|0;za=Fhc(+(f[x>>2]|0)/w)|0;f[i>>2]=q;f[y>>2]=za;zD(h,i,f[b>>2]&4095,f[A>>2]|0,0);Aa=f[F>>2]|0;if((za|0)==(f[Aa>>2]|0)?(q|0)==(f[Aa+4>>2]|0):0){f[k>>2]=q;f[G>>2]=za;zD(j,k,f[b>>2]&4095,f[H>>2]|0,f[I>>2]|0);Aa=f[J>>2]|0;if(Aa|0?(Ba=Aa+12|0,Aa=f[Ba>>2]|0,f[Ba>>2]=Aa+-1,(Aa|0)==1):0)aU(h);f[J>>2]=0;f[K>>2]=0;f[K+4>>2]=0;f[K+8>>2]=0;f[K+12>>2]=0;if((f[L>>2]|0)>0){Aa=f[M>>2]|0;Ba=0;do{f[Aa+(Ba<<2)>>2]=0;Ba=Ba+1|0}while((Ba|0)<(f[L>>2]|0))}f[h>>2]=f[j>>2];Ba=f[N>>2]|0;f[L>>2]=Ba;f[P>>2]=f[O>>2];f[R>>2]=f[Q>>2];f[K>>2]=f[S>>2];f[U>>2]=f[T>>2];f[W>>2]=f[V>>2];f[Y>>2]=f[X>>2];f[_>>2]=f[Z>>2];f[J>>2]=f[$>>2];Aa=f[aa>>2]|0;if((Aa|0)==(ba|0))Ca=Ba;else{TC(Aa);f[aa>>2]=ba;f[M>>2]=P;Ca=f[N>>2]|0}if((Ca|0)<3){Aa=f[ca>>2]|0;f[ba>>2]=f[Aa>>2];f[xa>>2]=f[Aa+4>>2];Da=Aa}else{f[aa>>2]=f[ca>>2];f[fa>>2]=f[da>>2];f[ca>>2]=ea;f[da>>2]=O;Da=ea}f[j>>2]=1124007936;f[N>>2]=0;f[N+4>>2]=0;f[N+8>>2]=0;f[N+12>>2]=0;f[N+16>>2]=0;f[N+20>>2]=0;f[N+24>>2]=0;f[N+28>>2]=0;f[$>>2]=0;f[S>>2]=0;f[S+4>>2]=0;f[S+8>>2]=0;f[S+12>>2]=0;if((Da|0)!=(ea|0))TC(Da)}else{f[ra>>2]=0;f[sa>>2]=0;f[j>>2]=16842752;f[ta>>2]=b;Aa=ua;f[Aa>>2]=0;f[Aa+4>>2]=0;f[l>>2]=33619968;f[va>>2]=h;f[m>>2]=q;f[wa>>2]=za;Tea(j,l,m,0.0,0.0,5)}Aa=f[ga>>2]|0;Ba=f[(f[Aa>>2]|0)+56>>2]|0;Ea=f[f[t>>2]>>2]|0;v=+p[ha>>3];f[n>>2]=0;f[ia>>2]=0;f[o>>2]=f[ja>>2];f[ka>>2]=f[la>>2];Lh[Ba&7](Aa,h,Ea+(ya<<5)+8|0,d,Ea+(ya<<5)+20|0,v,n,o);Ea=f[ga>>2]|0;Aa=Fhc(w*+(f[Ea+4>>2]|0))|0;Ba=Fhc(w*+(f[Ea+8>>2]|0))|0;$tc(f[ma>>2]|0);Ea=f[z>>2]|0;Fa=f[d>>2]|0;if((Ea|0)!=(Fa|0)){Ga=0;Ha=Fa;Fa=Ea;while(1){Ea=Ha;Ia=f[oa>>2]|0;Ja=Fhc(w*+(f[Ea+(Ga<<3)>>2]|0))|0;Ka=Fhc(w*+(f[Ea+(Ga<<3)+4>>2]|0))|0;f[j>>2]=Ja;f[a>>2]=Ka;f[pa>>2]=Aa;f[qa>>2]=Ba;Ka=Ia+4|0;Ea=f[Ka>>2]|0;if(Ea>>>0<(f[Ia+8>>2]|0)>>>0){f[Ea>>2]=Ja;f[Ea+4>>2]=f[a>>2];f[Ea+8>>2]=f[pa>>2];f[Ea+12>>2]=f[qa>>2];f[Ka>>2]=Ea+16;La=Ha;Ma=Fa}else{Tza(Ia,j);La=f[d>>2]|0;Ma=f[z>>2]|0}Ga=Ga+1|0;if(Ga>>>0>=Ma-La>>3>>>0)break;else{Ha=La;Fa=Ma}}}auc(f[ma>>2]|0);Fa=f[J>>2]|0;if(Fa|0?(Ha=Fa+12|0,Fa=f[Ha>>2]|0,f[Ha>>2]=Fa+-1,(Fa|0)==1):0)aU(h);f[J>>2]=0;f[K>>2]=0;f[K+4>>2]=0;f[K+8>>2]=0;f[K+12>>2]=0;if((f[L>>2]|0)>0){Fa=f[M>>2]|0;Ha=0;do{f[Fa+(Ha<<2)>>2]=0;Ha=Ha+1|0}while((Ha|0)<(f[L>>2]|0))}Ha=f[na>>2]|0;if((Ha|0)!=(ba|0))TC(Ha);ya=ya+1|0}while((ya|0)<(r|0));r=f[d>>2]|0;if(r|0){d=f[z>>2]|0;if((d|0)!=(r|0))f[z>>2]=d+(~((d+-8-r|0)>>>3)<<3);fuc(r)}}r=g+36|0;d=f[r>>2]|0;if(d|0?(z=d+12|0,d=f[z>>2]|0,f[z>>2]=d+-1,(d|0)==1):0)aU(g);f[r>>2]=0;r=g+16|0;f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;f[r+12>>2]=0;if((f[B>>2]|0)>0){r=f[D>>2]|0;D=0;do{f[r+(D<<2)>>2]=0;D=D+1|0}while((D|0)<(f[B>>2]|0))}B=f[E>>2]|0;if((B|0)!=(C|0))TC(B);if(!(f[e+4>>2]|0)){u=c;return}u=c;return}function vBa(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0;f[a>>2]=86084;i=a+4|0;j=a+32|0;f[a+92>>2]=0;f[a+96>>2]=0;k=a+100|0;l=a+108|0;m=a+140|0;n=a+104|0;o=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(o|0));f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;f[i+16>>2]=0;f[i+20>>2]=0;n=j;o=n+44|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(o|0));f[m>>2]=l;l=a+148|0;f[a+144>>2]=l;f[l>>2]=0;f[a+152>>2]=0;f[k>>2]=1124007941;k=a+156|0;l=a+164|0;m=a+196|0;n=a+160|0;o=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(o|0));f[m>>2]=l;l=a+204|0;f[a+200>>2]=l;f[l>>2]=0;f[a+208>>2]=0;f[k>>2]=1124007936;f[a+212>>2]=1124007936;k=a+220|0;l=a+252|0;n=a+216|0;o=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(o|0));f[l>>2]=k;k=a+260|0;f[a+256>>2]=k;f[k>>2]=0;f[a+264>>2]=0;f[a+268>>2]=1124007936;k=a+276|0;l=a+308|0;n=a+272|0;o=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(o|0));f[l>>2]=k;k=a+316|0;f[a+312>>2]=k;f[k>>2]=0;f[a+320>>2]=0;Ph[f[(f[a>>2]|0)+8>>2]&127](a,b,c,d,e,g,h);return}function wBa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;c=u;u=u+16|0;d=c;e=f[a+12>>2]|0;g=f[a+28>>2]|0;if(((e|0)%(g|0)|0|0)==0?(h=f[a+16>>2]|0,i=f[a+32>>2]|0,((h|0)%(i|0)|0|0)==0):0){j=(f[a+4>>2]|0)-e|0;k=f[a+20>>2]|0;if(((j|0)%(k|0)|0|0)==0?(l=(f[a+8>>2]|0)-h|0,m=f[a+24>>2]|0,((l|0)%(m|0)|0|0)==0):0){n=Y(Y(Y(Y((e|0)/(g|0)|0,f[a+36>>2]|0)|0,(h|0)/(i|0)|0)|0,((j|0)/(k|0)|0)+1|0)|0,((l|0)/(m|0)|0)+1|0)|0;u=c;return n|0}n=cuc(128)|0;f[d>>2]=n;f[d+8>>2]=-2147483520;f[d+4>>2]=123;o=n;p=379619;q=o+123|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[n+123>>0]=0;WD(-215,d,379601,379213,90)}n=cuc(96)|0;f[d>>2]=n;f[d+8>>2]=-2147483552;f[d+4>>2]=80;o=n;p=379520;q=o+80|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[n+80>>0]=0;WD(-215,d,379601,379213,88);return 0}function xBa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+4|0;d=f[a>>2]|0;e=(f[c>>2]|0)-d|0;g=e>>3;h=g+1|0;if(h>>>0>536870911)nsc(a);i=a+8|0;j=(f[i>>2]|0)-d|0;k=j>>2;l=j>>3>>>0<268435455?(k>>>0<h>>>0?h:k):536870911;do if(l)if(l>>>0>536870911){k=ze(8)|0;kuc(k,519086);f[k>>2]=167148;Hf(k|0,26888,1888)}else{m=cuc(l<<3)|0;break}else m=0;while(0);k=m+(g<<3)|0;p[k>>3]=+p[b>>3];b=k+(0-g<<3)|0;if((e|0)>0)szc(b|0,d|0,e|0)|0;f[a>>2]=b;f[c>>2]=k+8;f[i>>2]=m+(l<<3);if(!d)return;fuc(d);return}function yBa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0.0,J=0.0,K=0,L=0.0,M=0.0,N=0;e=u;u=u+96|0;g=e;i=e+88|0;j=e+32|0;k=f[a+96>>2]|0;l=(f[c>>2]|0)+(f[a+92>>2]|0)|0;f[c>>2]=l;m=c+4|0;o=(f[m>>2]|0)+k|0;f[m>>2]=o;do if(b[a+28>>0]|0){k=f[a+52>>2]|0;if((l|0)%(k|0)|0|0){p=cuc(64)|0;f[g>>2]=p;q=g+8|0;f[q>>2]=-2147483584;r=g+4|0;f[r>>2]=63;s=p;t=379447;v=s+63|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));w=p+63|0;b[w>>0]=0;WD(-215,g,379511,379213,870)}x=f[a+56>>2]|0;if((o|0)%(x|0)|0|0){p=cuc(64)|0;f[g>>2]=p;q=g+8|0;f[q>>2]=-2147483584;r=g+4|0;f[r>>2]=63;s=p;t=379447;v=s+63|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));w=p+63|0;b[w>>0]=0;WD(-215,g,379511,379213,870)}y=(l|0)/(k|0)|0;z=((o|0)/(x|0)|0|0)%(f[a+108>>2]|0)|0;A=a+32|0;if((o|0)!=(f[(f[A>>2]|0)+(z<<2)>>2]|0)){f[g>>2]=z;f[g+4>>2]=z+1;f[i>>2]=-2147483648;f[i+4>>2]=2147483647;bU(j,a+156|0,g,i);f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;f[g+16>>2]=0;f[g+20>>2]=0;f[g+24>>2]=0;f[g+28>>2]=0;GI(j,g)|0;f[(f[A>>2]|0)+(z<<2)>>2]=f[m>>2];A=j+36|0;B=f[A>>2]|0;if(B|0?(C=B+12|0,B=f[C>>2]|0,f[C>>2]=B+-1,(B|0)==1):0)aU(j);f[A>>2]=0;A=j+16|0;B=j+4|0;f[A>>2]=0;f[A+4>>2]=0;f[A+8>>2]=0;f[A+12>>2]=0;if((f[B>>2]|0)>0){A=f[j+40>>2]|0;C=0;do{f[A+(C<<2)>>2]=0;C=C+1|0}while((C|0)<(f[B>>2]|0))}B=f[j+44>>2]|0;if((B|0)!=(j+48|0))TC(B)}B=(f[a+116>>2]|0)+(Y(f[f[a+144>>2]>>2]|0,z)|0)|0;C=a+76|0;A=B+((Y(f[C>>2]|0,y)|0)<<2)|0;B=(f[a+172>>2]|0)+(Y(f[f[a+200>>2]>>2]|0,z)|0)+y|0;if(!(b[B>>0]|0)){b[B>>0]=1;D=A;E=C;F=f[m>>2]|0;G=f[c>>2]|0;break}else{H=A;u=e;return H|0}}else{D=d;E=a+76|0;F=o;G=l}while(0);l=f[a+80>>2]|0;o=f[a+84>>2]|0;d=f[a+88>>2]|0;c=G<<1;G=(f[a+228>>2]|0)+(Y(f[f[a+256>>2]>>2]|0,F)|0)+(c<<2)|0;m=(f[a+284>>2]|0)+(Y(f[f[a+312>>2]>>2]|0,F)|0)+c|0;kzc(D|0,0,f[E>>2]<<2|0)|0;E=f[a+4>>2]|0;if((l|0)>0){c=0;do{F=G+(f[E+(c*44|0)>>2]<<2)|0;I=+n[E+(c*44|0)+40>>2]*+n[E+(c*44|0)+24>>2];j=m+(f[E+(c*44|0)+4>>2]|0)|0;g=D+(f[E+(c*44|0)+8>>2]<<2)|0;i=g+(h[j>>0]<<2)|0;w=g+(h[j+1>>0]<<2)|0;J=+n[w>>2]+I*+n[F+4>>2];n[i>>2]=+n[i>>2]+I*+n[F>>2];n[w>>2]=J;c=c+1|0}while((c|0)!=(l|0));K=l}else K=0;if((K|0)<(o|0)){l=K;do{c=G+(f[E+(l*44|0)>>2]<<2)|0;J=+n[c>>2];I=+n[c+4>>2];c=m+(f[E+(l*44|0)+4>>2]|0)|0;w=h[c>>0]|0;F=h[c+1>>0]|0;c=D+(f[E+(l*44|0)+8>>2]<<2)|0;i=E+(l*44|0)+40|0;L=+n[i>>2]*+n[E+(l*44|0)+24>>2];j=c+(w<<2)|0;g=c+(F<<2)|0;M=+n[g>>2]+I*L;n[j>>2]=+n[j>>2]+J*L;n[g>>2]=M;g=D+(f[E+(l*44|0)+12>>2]<<2)|0;M=+n[i>>2]*+n[E+(l*44|0)+28>>2];i=g+(w<<2)|0;w=g+(F<<2)|0;L=+n[w>>2]+I*M;n[i>>2]=+n[i>>2]+J*M;n[w>>2]=L;l=l+1|0}while((l|0)!=(o|0));N=o}else N=K;if((N|0)<(d|0)){K=N;do{N=G+(f[E+(K*44|0)>>2]<<2)|0;L=+n[N>>2];M=+n[N+4>>2];N=m+(f[E+(K*44|0)+4>>2]|0)|0;o=h[N>>0]|0;l=h[N+1>>0]|0;N=D+(f[E+(K*44|0)+8>>2]<<2)|0;w=E+(K*44|0)+40|0;J=+n[w>>2]*+n[E+(K*44|0)+24>>2];i=N+(o<<2)|0;F=N+(l<<2)|0;I=+n[F>>2]+M*J;n[i>>2]=+n[i>>2]+L*J;n[F>>2]=I;F=D+(f[E+(K*44|0)+12>>2]<<2)|0;I=+n[w>>2]*+n[E+(K*44|0)+28>>2];i=F+(o<<2)|0;N=F+(l<<2)|0;J=+n[N>>2]+M*I;n[i>>2]=+n[i>>2]+L*I;n[N>>2]=J;N=D+(f[E+(K*44|0)+16>>2]<<2)|0;J=+n[w>>2]*+n[E+(K*44|0)+32>>2];i=N+(o<<2)|0;F=N+(l<<2)|0;I=+n[F>>2]+M*J;n[i>>2]=+n[i>>2]+L*J;n[F>>2]=I;F=D+(f[E+(K*44|0)+20>>2]<<2)|0;I=+n[w>>2]*+n[E+(K*44|0)+36>>2];w=F+(o<<2)|0;o=F+(l<<2)|0;J=+n[o>>2]+M*I;n[w>>2]=+n[w>>2]+L*I;n[o>>2]=J;K=K+1|0}while((K|0)!=(d|0))}yh[f[(f[a>>2]|0)+12>>2]&2047](a,D);H=D;u=e;return H|0}function zBa(a,b,c,d,e,g,h,i,j,k,l){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0;f[a>>2]=86320;m=a+8|0;f[m>>2]=1124007936;n=a+12|0;o=a+16|0;q=a+48|0;r=n;s=r+36|0;do{f[r>>2]=0;r=r+4|0}while((r|0)<(s|0));f[q>>2]=o;r=a+56|0;s=a+52|0;f[s>>2]=r;f[r>>2]=0;f[a+60>>2]=0;r=a+72|0;t=a+76|0;u=a+80|0;v=a+84|0;f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;f[r+12>>2]=0;f[a+4>>2]=b;if((m|0)==(c|0)){w=a+64|0;p[w>>3]=d;x=f[e>>2]|0;f[r>>2]=x;y=e+4|0;z=f[y>>2]|0;f[t>>2]=z;A=f[g>>2]|0;f[u>>2]=A;B=g+4|0;C=f[B>>2]|0;f[v>>2]=C;D=a+88|0;f[D>>2]=h;E=a+92|0;f[E>>2]=i;F=a+96|0;f[F>>2]=k;G=a+100|0;f[G>>2]=l;H=a+104|0;f[H>>2]=j;return}b=c+36|0;I=f[b>>2]|0;if(I){J=I+12|0;f[J>>2]=(f[J>>2]|0)+1;J=a+44|0;I=f[J>>2]|0;if((I|0)!=0?(K=I+12|0,I=f[K>>2]|0,f[K>>2]=I+-1,(I|0)==1):0){aU(m);L=J}else L=J}else L=a+44|0;f[L>>2]=0;J=a+24|0;f[J>>2]=0;f[J+4>>2]=0;f[J+8>>2]=0;f[J+12>>2]=0;if((f[n>>2]|0)>0){I=f[q>>2]|0;q=0;do{f[I+(q<<2)>>2]=0;q=q+1|0;M=f[n>>2]|0}while((q|0)<(M|0));f[m>>2]=f[c>>2];if((M|0)<3)N=12;else N=14}else{f[m>>2]=f[c>>2];N=12}if((N|0)==12){M=f[c+4>>2]|0;if((M|0)<3){f[n>>2]=M;f[o>>2]=f[c+8>>2];f[a+20>>2]=f[c+12>>2];o=f[c+44>>2]|0;M=f[s>>2]|0;f[M>>2]=f[o>>2];f[M+4>>2]=f[o+4>>2]}else N=14}if((N|0)==14)$T(m,c);f[J>>2]=f[c+16>>2];f[a+28>>2]=f[c+20>>2];f[a+32>>2]=f[c+24>>2];f[a+36>>2]=f[c+28>>2];f[a+40>>2]=f[c+32>>2];f[L>>2]=f[b>>2];w=a+64|0;p[w>>3]=d;x=f[e>>2]|0;f[r>>2]=x;y=e+4|0;z=f[y>>2]|0;f[t>>2]=z;A=f[g>>2]|0;f[u>>2]=A;B=g+4|0;C=f[B>>2]|0;f[v>>2]=C;D=a+88|0;f[D>>2]=h;E=a+92|0;f[E>>2]=i;F=a+96|0;f[F>>2]=k;G=a+100|0;f[G>>2]=l;H=a+104|0;f[H>>2]=j;return}function ABa(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=+g;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0.0,I=0.0,J=0.0,K=0.0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0;a=u;u=u+96|0;h=a+16|0;i=a+88|0;j=a+72|0;k=a+8|0;l=a+60|0;m=a+48|0;n=a+32|0;o=a;gV(i,86332);if((e|0)>=1?(q=f[c>>2]|0,r=c+4|0,s=f[r>>2]|0,(q|0)!=(s|0)):0){t=d+4|0;if((s-q>>4|0)!=((f[t>>2]|0)-(f[d>>2]|0)>>3|0)){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;q=cuc(48)|0;f[h>>2]=q;f[h+8>>2]=-2147483600;f[h+4>>2]=33;s=q;v=380246;w=s+33|0;do{b[s>>0]=b[v>>0]|0;s=s+1|0;v=v+1|0}while((s|0)<(w|0));b[q+33>>0]=0;WD(-215,h,380280,379213,3788)}f[j>>2]=0;q=j+4|0;f[q>>2]=0;f[j+8>>2]=0;p[k>>3]=g;f[h>>2]=f[k>>2];f[h+4>>2]=f[k+4>>2];k=Nza(c,j,h)|0;f[h>>2]=0;v=h+4|0;f[v>>2]=0;f[h+8>>2]=0;s=(k|0)==0;do if(!s)if(k>>>0>134217727)nsc(h);else{w=k<<5;x=cuc(w)|0;f[h>>2]=x;f[h+8>>2]=x+(k<<5);kzc(x|0,0,w|0)|0;f[v>>2]=x+w;y=x;break}else y=0;while(0);f[l>>2]=0;x=l+4|0;f[x>>2]=0;f[l+8>>2]=0;if(s)z=0;else{w=k<<2;A=cuc(w)|0;f[l>>2]=A;B=A+(k<<2)|0;f[l+8>>2]=B;kzc(A|0,0,w|0)|0;f[x>>2]=B;z=A}f[m>>2]=0;A=m+4|0;f[A>>2]=0;f[m+8>>2]=0;if(s){C=0;D=0}else{s=cuc(k<<3)|0;f[A>>2]=s;f[m>>2]=s;B=s+(k<<3)|0;f[m+8>>2]=B;w=k;E=s;while(1){p[E>>3]=-1797693134862315708145274.0e284;w=w+-1|0;if(!w)break;else E=E+8|0}f[A>>2]=B;C=s;D=s}s=f[j>>2]|0;B=(f[q>>2]|0)-s|0;E=B>>2;w=s;if((B|0)>0){B=0;do{s=f[w+(B<<2)>>2]|0;F=f[c>>2]|0;G=y+(s<<5)|0;p[G>>3]=+(f[F+(B<<4)>>2]|0)+ +p[G>>3];G=y+(s<<5)+8|0;p[G>>3]=+(f[F+(B<<4)+4>>2]|0)+ +p[G>>3];G=y+(s<<5)+16|0;p[G>>3]=+(f[F+(B<<4)+8>>2]|0)+ +p[G>>3];G=y+(s<<5)+24|0;p[G>>3]=+(f[F+(B<<4)+12>>2]|0)+ +p[G>>3];G=D+(s<<3)|0;H=+p[G>>3];I=+p[(f[d>>2]|0)+(B<<3)>>3];p[G>>3]=H<I?I:H;G=z+(s<<2)|0;f[G>>2]=(f[G>>2]|0)+1;B=B+1|0}while((B|0)<(E|0))}E=(k|0)>0;if(E){B=0;do{w=y+(B<<5)|0;G=y+(B<<5)+8|0;s=y+(B<<5)+16|0;F=y+(B<<5)+24|0;H=1.0/+(f[z+(B<<2)>>2]|0);I=+p[G>>3]*H;J=+p[s>>3]*H;K=+p[F>>3]*H;p[w>>3]=+p[w>>3]*H;p[G>>3]=I;p[s>>3]=J;p[F>>3]=K;B=B+1|0}while((B|0)!=(k|0))}B=f[c>>2]|0;F=f[r>>2]|0;if((F|0)!=(B|0))f[r>>2]=F+(~((F+-16-B|0)>>>4)<<4);B=f[d>>2]|0;F=f[t>>2]|0;if((F|0)!=(B|0))f[t>>2]=F+(~((F+-8-B|0)>>>3)<<3);if(E){E=n+4|0;B=n+8|0;F=n+12|0;s=c+8|0;G=d+8|0;w=f[l>>2]|0;L=f[m>>2]|0;M=0;N=y;y=z;z=D;while(1){O=Fhc(+p[N+(M<<5)>>3])|0;P=Fhc(+p[N+(M<<5)+8>>3])|0;Q=Fhc(+p[N+(M<<5)+16>>3])|0;R=Fhc(+p[N+(M<<5)+24>>3])|0;f[n>>2]=O;f[E>>2]=P;f[B>>2]=Q;f[F>>2]=R;S=f[y+(M<<2)>>2]|0;p[o>>3]=+p[z+(M<<3)>>3];do if((S|0)>(e|0)){T=f[h>>2]|0;U=Q+O|0;V=R+P|0;W=(S|0)>3?S:3;a:do if((S|0)<3){X=0;while(1){do if((X|0)!=(M|0)?(f[y+(X<<2)>>2]|0)>(e|0):0){Y=Fhc(+p[T+(X<<5)>>3])|0;Z=Fhc(+p[T+(X<<5)+8>>3])|0;_=Fhc(+p[T+(X<<5)+16>>3])|0;$=Fhc(+p[T+(X<<5)+24>>3])|0;aa=Fhc(+(_|0)*g)|0;ba=Fhc(+($|0)*g)|0;if((O|0)<(Y-aa|0)|(P|0)<(Z-ba|0))break;if((U|0)>(_+Y+aa|0))break;if((V|0)<=($+Z+ba|0)){ca=X;break a}}while(0);ba=X+1|0;if((ba|0)<(k|0))X=ba;else{ca=ba;break}}}else{X=0;while(1){ba=f[y+(X<<2)>>2]|0;do if((X|0)!=(M|0)&(ba|0)>(e|0)){Z=Fhc(+p[T+(X<<5)>>3])|0;$=Fhc(+p[T+(X<<5)+8>>3])|0;aa=Fhc(+p[T+(X<<5)+16>>3])|0;Y=Fhc(+p[T+(X<<5)+24>>3])|0;_=Fhc(+(aa|0)*g)|0;da=Fhc(+(Y|0)*g)|0;if((O|0)<(Z-_|0)|(P|0)<($-da|0))break;if((U|0)>(aa+Z+_|0))break;if((ba|0)>(W|0)?(V|0)<=(Y+$+da|0):0){ca=X;break a}}while(0);ba=X+1|0;if((ba|0)<(k|0))X=ba;else{ca=ba;break}}}while(0);if((ca|0)==(k|0)){V=f[r>>2]|0;if((V|0)==(f[s>>2]|0))It(c,n);else{f[V>>2]=O;f[V+4>>2]=P;f[V+8>>2]=Q;f[V+12>>2]=R;f[r>>2]=V+16}V=f[t>>2]|0;if((V|0)==(f[G>>2]|0)){Ks(d,o);break}else{p[V>>3]=+p[o>>3];f[t>>2]=V+8;break}}}while(0);R=M+1|0;if((R|0)>=(k|0))break;M=R;N=f[h>>2]|0;y=w;z=L}L=f[m>>2]|0;ea=L;fa=L}else{ea=D;fa=C}if(ea|0){C=f[A>>2]|0;if((C|0)!=(ea|0))f[A>>2]=C+(~((C+-8-ea|0)>>>3)<<3);fuc(fa)}fa=f[l>>2]|0;if(fa|0){l=f[x>>2]|0;if((l|0)!=(fa|0))f[x>>2]=l+(~((l+-4-fa|0)>>>2)<<2);fuc(fa)}fa=f[h>>2]|0;if(fa|0){h=f[v>>2]|0;if((h|0)!=(fa|0))f[v>>2]=h+(~((h+-32-fa|0)>>>5)<<5);fuc(fa)}fa=f[j>>2]|0;if(fa|0){j=f[q>>2]|0;if((j|0)!=(fa|0))f[q>>2]=j+(~((j+-4-fa|0)>>>2)<<2);fuc(fa)}}if(!(f[i+4>>2]|0)){u=a;return}u=a;return}function BBa(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=86320;b=a+8|0;c=a+44|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+24|0;b=a+12|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+48>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+52>>2]|0;if((b|0)==(a+56|0))return;TC(b);return}function CBa(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=86320;b=a+8|0;c=a+44|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+24|0;b=a+12|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+48>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+52>>2]|0;if((b|0)==(a+56|0)){fuc(a);return}TC(b);fuc(a);return}function DBa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0.0,v=0,w=0.0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0;c=u;u=u+272|0;d=c+248|0;e=c+192|0;g=c+176|0;h=c;i=c+112|0;j=c+168|0;k=c+56|0;l=c+48|0;m=c+32|0;n=c+24|0;o=c+16|0;q=c+8|0;r=f[b>>2]|0;s=f[b+4>>2]|0;do if((r|0)<=0)if((s|0)>1){t=+p[(f[a+88>>2]|0)+(r+1<<3)>>3];break}else{b=f[a+20>>2]|0;v=f[a+16>>2]|0;t=+(((b|0)<(v|0)?v:b)|0);break}else t=+p[(f[a+88>>2]|0)+(r<<3)>>3];while(0);b=a+8|0;v=a+20|0;w=+(f[v>>2]|0)/t;x=~~w;y=(+(x|0)<w&1)+x|0;x=a+16|0;w=+(f[x>>2]|0)/t;z=~~w;A=(+(z|0)<w&1)+z|0;z=f[b>>2]&4095;f[e>>2]=1124007936;B=e+4|0;C=e+8|0;D=e+40|0;E=B;F=E+36|0;do{f[E>>2]=0;E=E+4|0}while((E|0)<(F|0));f[D>>2]=C;C=e+48|0;E=e+44|0;f[E>>2]=C;f[C>>2]=0;f[e+52>>2]=0;f[d>>2]=A;f[d+4>>2]=y;ZT(e,2,d,z);f[d>>2]=0;z=d+4|0;f[z>>2]=0;f[d+8>>2]=0;f[g>>2]=0;y=g+4|0;f[y>>2]=0;f[g+8>>2]=0;if((r|0)<(s|0)){A=a+88|0;F=j+4|0;G=e+16|0;H=a+48|0;I=l+4|0;J=a+24|0;K=a+56|0;L=i+36|0;M=i+16|0;N=i+4|0;O=i+40|0;P=k+4|0;Q=k+8|0;R=i+8|0;S=k+12|0;T=i+12|0;U=k+16|0;V=k+20|0;W=i+20|0;X=k+24|0;Y=i+24|0;Z=k+28|0;_=i+28|0;$=k+32|0;aa=i+32|0;ba=k+36|0;ca=i+44|0;da=i+48|0;ea=k+44|0;fa=k+40|0;ga=k+48|0;ha=i+40|0;ia=a+4|0;ja=a+64|0;ka=a+72|0;la=o+4|0;ma=a+76|0;na=a+80|0;oa=q+4|0;pa=a+84|0;qa=k+4|0;ra=k+8|0;sa=a+104|0;ta=a+96|0;ua=i+44|0;va=a+92|0;wa=k+4|0;xa=k+8|0;ya=k+12|0;za=a+100|0;a=k+8|0;Aa=k+12|0;Ba=k+4|0;Ca=m+8|0;Da=m+4|0;Ea=n+4|0;Fa=i+52|0;Ga=r;do{w=+p[(f[A>>2]|0)+(Ga<<3)>>3];p[h>>3]=w;r=Fhc(+(f[v>>2]|0)/w)|0;Ha=Fhc(+(f[x>>2]|0)/w)|0;f[j>>2]=r;f[F>>2]=Ha;zD(i,j,f[b>>2]&4095,f[G>>2]|0,0);Ia=f[H>>2]|0;if((Ha|0)==(f[Ia>>2]|0)?(r|0)==(f[Ia+4>>2]|0):0){f[l>>2]=r;f[I>>2]=Ha;zD(k,l,f[b>>2]&4095,f[J>>2]|0,f[K>>2]|0);Ia=f[L>>2]|0;if(Ia|0?(Ja=Ia+12|0,Ia=f[Ja>>2]|0,f[Ja>>2]=Ia+-1,(Ia|0)==1):0)aU(i);f[L>>2]=0;f[M>>2]=0;f[M+4>>2]=0;f[M+8>>2]=0;f[M+12>>2]=0;if((f[N>>2]|0)>0){Ia=f[O>>2]|0;Ja=0;do{f[Ia+(Ja<<2)>>2]=0;Ja=Ja+1|0}while((Ja|0)<(f[N>>2]|0))}f[i>>2]=f[k>>2];Ja=f[P>>2]|0;f[N>>2]=Ja;f[R>>2]=f[Q>>2];f[T>>2]=f[S>>2];f[M>>2]=f[U>>2];f[W>>2]=f[V>>2];f[Y>>2]=f[X>>2];f[_>>2]=f[Z>>2];f[aa>>2]=f[$>>2];f[L>>2]=f[ba>>2];Ia=f[ca>>2]|0;if((Ia|0)==(da|0))Ka=Ja;else{TC(Ia);f[ca>>2]=da;f[O>>2]=R;Ka=f[P>>2]|0}if((Ka|0)<3){Ia=f[ea>>2]|0;f[da>>2]=f[Ia>>2];f[Fa>>2]=f[Ia+4>>2];La=Ia}else{f[ca>>2]=f[ea>>2];f[ha>>2]=f[fa>>2];f[ea>>2]=ga;f[fa>>2]=Q;La=ga}f[k>>2]=1124007936;f[P>>2]=0;f[P+4>>2]=0;f[P+8>>2]=0;f[P+12>>2]=0;f[P+16>>2]=0;f[P+20>>2]=0;f[P+24>>2]=0;f[P+28>>2]=0;f[ba>>2]=0;f[U>>2]=0;f[U+4>>2]=0;f[U+8>>2]=0;f[U+12>>2]=0;if((La|0)!=(ga|0))TC(La)}else{f[a>>2]=0;f[Aa>>2]=0;f[k>>2]=16842752;f[Ba>>2]=b;Ia=Ca;f[Ia>>2]=0;f[Ia+4>>2]=0;f[m>>2]=33619968;f[Da>>2]=i;f[n>>2]=r;f[Ea>>2]=Ha;Tea(k,m,n,0.0,0.0,5)}Ia=f[ia>>2]|0;Ja=f[(f[Ia>>2]|0)+36>>2]|0;w=+p[ja>>3];f[o>>2]=f[ka>>2];f[la>>2]=f[ma>>2];f[q>>2]=f[na>>2];f[oa>>2]=f[pa>>2];f[k>>2]=0;f[qa>>2]=0;f[ra>>2]=0;Sf[Ja&7](Ia,i,d,g,w,o,q,k);Ia=f[k>>2]|0;if(Ia|0){Ja=f[qa>>2]|0;if((Ja|0)!=(Ia|0))f[qa>>2]=Ja+(~((Ja+-8-Ia|0)>>>3)<<3);fuc(Ia)}Ia=f[ia>>2]|0;w=+p[h>>3];Ja=Fhc(+(f[Ia+4>>2]|0)*w)|0;Ma=Fhc(w*+(f[Ia+8>>2]|0))|0;$tc(f[sa>>2]|0);Ia=f[d>>2]|0;if((f[z>>2]|0)!=(Ia|0)){Na=0;Oa=Ia;do{Ia=Oa;Pa=f[va>>2]|0;w=+p[h>>3];Qa=Fhc(+(f[Ia+(Na<<3)>>2]|0)*w)|0;Ra=Fhc(w*+(f[Ia+(Na<<3)+4>>2]|0))|0;f[k>>2]=Qa;f[wa>>2]=Ra;f[xa>>2]=Ja;f[ya>>2]=Ma;Ra=Pa+4|0;Ia=f[Ra>>2]|0;if(Ia>>>0<(f[Pa+8>>2]|0)>>>0){f[Ia>>2]=Qa;f[Ia+4>>2]=f[wa>>2];f[Ia+8>>2]=f[xa>>2];f[Ia+12>>2]=f[ya>>2];f[Ra>>2]=Ia+16}else Tza(Pa,k);Pa=f[za>>2]|0;do if(Pa|0){Ia=Pa+4|0;Ra=f[Ia>>2]|0;if((Ra|0)==(f[Pa+8>>2]|0)){Ks(Pa,h);break}else{p[Ra>>3]=+p[h>>3];f[Ia>>2]=Ra+8;break}}while(0);Na=Na+1|0;Oa=f[d>>2]|0}while(Na>>>0<(f[z>>2]|0)-Oa>>3>>>0)}auc(f[sa>>2]|0);if(f[ta>>2]|0?(f[g>>2]|0)!=(f[y>>2]|0):0){$tc(f[sa>>2]|0);Oa=f[z>>2]|0;Na=f[d>>2]|0;if((Oa|0)!=(Na|0)){Ma=0;Ja=Na;Na=Oa;while(1){Oa=f[ta>>2]|0;Ha=(f[g>>2]|0)+(Ma<<3)|0;r=Oa+4|0;Pa=f[r>>2]|0;if((Pa|0)==(f[Oa+8>>2]|0)){Ks(Oa,Ha);Sa=f[d>>2]|0;Ta=f[z>>2]|0}else{p[Pa>>3]=+p[Ha>>3];f[r>>2]=Pa+8;Sa=Ja;Ta=Na}Ma=Ma+1|0;if(Ma>>>0>=Ta-Sa>>3>>>0)break;else{Ja=Sa;Na=Ta}}}auc(f[sa>>2]|0)}Na=f[L>>2]|0;if(Na|0?(Ja=Na+12|0,Na=f[Ja>>2]|0,f[Ja>>2]=Na+-1,(Na|0)==1):0)aU(i);f[L>>2]=0;f[M>>2]=0;f[M+4>>2]=0;f[M+8>>2]=0;f[M+12>>2]=0;if((f[N>>2]|0)>0){Na=f[O>>2]|0;Ja=0;do{f[Na+(Ja<<2)>>2]=0;Ja=Ja+1|0}while((Ja|0)<(f[N>>2]|0))}Ja=f[ua>>2]|0;if((Ja|0)!=(da|0))TC(Ja);Ga=Ga+1|0}while((Ga|0)<(s|0));s=f[g>>2]|0;if(s|0){g=f[y>>2]|0;if((g|0)!=(s|0))f[y>>2]=g+(~((g+-8-s|0)>>>3)<<3);fuc(s)}}s=f[d>>2]|0;if(s|0){d=f[z>>2]|0;if((d|0)!=(s|0))f[z>>2]=d+(~((d+-8-s|0)>>>3)<<3);fuc(s)}s=e+36|0;d=f[s>>2]|0;if(d|0?(z=d+12|0,d=f[z>>2]|0,f[z>>2]=d+-1,(d|0)==1):0)aU(e);f[s>>2]=0;s=e+16|0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;if((f[B>>2]|0)>0){s=f[D>>2]|0;D=0;do{f[s+(D<<2)>>2]=0;D=D+1|0}while((D|0)<(f[B>>2]|0))}B=f[E>>2]|0;if((B|0)==(C|0)){u=c;return}TC(B);u=c;return}function EBa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(d-g>>2>>>0>=b>>>0){kzc(g|0,0,b<<2|0)|0;f[e>>2]=g+(b<<2);return}h=f[a>>2]|0;i=g-h|0;g=i>>2;j=g+b|0;if(j>>>0>1073741823)nsc(a);k=d-h|0;d=k>>1;l=k>>2>>>0<536870911?(d>>>0<j>>>0?j:d):1073741823;do if(l)if(l>>>0>1073741823){d=ze(8)|0;kuc(d,519086);f[d>>2]=167148;Hf(d|0,26888,1888)}else{m=cuc(l<<2)|0;break}else m=0;while(0);d=m+(g<<2)|0;kzc(d|0,0,b<<2|0)|0;j=d+(0-g<<2)|0;if((i|0)>0)szc(j|0,h|0,i|0)|0;f[a>>2]=j;f[e>>2]=d+(b<<2);f[c>>2]=m+(l<<2);if(!h)return;fuc(h);return}function FBa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;d=u;u=u+32|0;e=d+12|0;g=d;if(!(di[f[(f[a>>2]|0)+12>>2]&1023](a)|0)){u=d;return a|0}h=a+36|0;if((f[h>>2]|0)==6){i=cuc(32)|0;f[e>>2]=i;f[e+8>>2]=-2147483616;f[e+4>>2]=30;j=i;k=387802;l=j+30|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[i+30>>0]=0;WD(-2,e,531329,387833,1197)}f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;RM(e,a,a+12|0,13,g);if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);aN(a,f[c>>2]|0);aN(a,f[c+4>>2]|0);bN(e);if(!(f[h>>2]&4)){u=d;return a|0}f[h>>2]=6;u=d;return a|0}function GBa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;d=u;u=u+16|0;e=d+12|0;g=d;b[e>>0]=49;b[e+1>>0]=102;b[e+2>>0]=0;h=f[a>>2]|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;a=jfc(e)|0;if(a>>>0>4294967279)muc(g);if(a>>>0<11){b[g+11>>0]=a;if(!a)i=g;else{j=g;k=6}}else{l=a+16&-16;m=cuc(l)|0;f[g>>2]=m;f[g+8>>2]=l|-2147483648;f[g+4>>2]=a;j=m;k=6}if((k|0)==6){szc(j|0,e|0,a|0)|0;i=j}b[i+a>>0]=0;a=f[c>>2]|0;i=f[c+4>>2]|0;QM(h,g,(a|0)==(i|0)?0:a,i-a|0);if((b[g+11>>0]|0)>=0){u=d;return}fuc(f[g>>2]|0);u=d;return}function HBa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;e=u;u=u+16|0;g=e+12|0;h=e;i=f[a>>2]|0;j=f[i+40>>2]|0;b[g>>0]=49;b[g+1>>0]=102;b[g+2>>0]=0;k=j>>>0>d>>>0?d:j;j=c+4|0;d=f[j>>2]|0;l=f[c>>2]|0;m=d-l>>2;n=l;l=d;if(k>>>0<=m>>>0)if(k>>>0<m>>>0?(d=n+(k<<2)|0,(l|0)!=(d|0)):0){f[j>>2]=l+(~((l+-4-d|0)>>>2)<<2);o=i}else o=i;else{EBa(c,k-m|0);o=f[a>>2]|0};f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;a=jfc(g)|0;if(a>>>0>4294967279)muc(h);if(a>>>0<11){b[h+11>>0]=a;if(!a)p=h;else{q=h;r=11}}else{m=a+16&-16;i=cuc(m)|0;f[h>>2]=i;f[h+8>>2]=m|-2147483648;f[h+4>>2]=a;q=i;r=11}if((r|0)==11){szc(q|0,g|0,a|0)|0;p=q}b[p+a>>0]=0;a=f[c>>2]|0;YM(o,h,(a|0)==(f[j>>2]|0)?0:a,k<<2)|0;if((b[h+11>>0]|0)>=0){u=e;return}fuc(f[h>>2]|0);u=e;return}function IBa(){i1(898584,381290,841,1960,573,252,842);Bd(1953,898584,x|0)|0;return}function JBa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0;if(b[535624]|0){c=f[21603]|0;d=f[c>>2]|0;e=f[a>>2]|0;g=(d|0)==(e|0);h=g&1;return h|0}if(!($yc(535624)|0)){c=f[21603]|0;d=f[c>>2]|0;e=f[a>>2]|0;g=(d|0)==(e|0);h=g&1;return h|0}f[133908]=86108;f[133909]=64;f[133910]=128;f[133911]=16;f[133912]=16;f[133913]=8;f[133914]=8;f[133915]=8;f[133916]=8;f[133917]=9;f[133918]=1;p[66960]=-1.0;f[133922]=0;p[66962]=.2;b[535704]=1;f[133927]=0;f[133928]=0;f[133929]=0;f[133930]=1124007936;f[133931]=0;f[133932]=0;f[133933]=0;f[133934]=0;f[133935]=0;f[133936]=0;f[133937]=0;f[133938]=535728;f[133939]=535760;f[133941]=0;f[133940]=0;n[133942]=-1.0;f[133943]=64;b[535776]=0;Bd(992,535632,x|0)|0;c=f[21603]|0;d=f[c>>2]|0;e=f[a>>2]|0;g=(d|0)==(e|0);h=g&1;return h|0}function KBa(a){a=a|0;var b=0;if(!a)return;b=f[a>>2]|0;if(!b)return;bi[f[(f[b>>2]|0)+4>>2]&2047](b);f[a>>2]=0;return}function LBa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+16|0;e=d;f[e>>2]=a;f[e+4>>2]=c;c=cuc(152)|0;f[c>>2]=86108;f[c+4>>2]=64;f[c+8>>2]=128;f[c+12>>2]=16;f[c+16>>2]=16;f[c+20>>2]=8;f[c+24>>2]=8;f[c+28>>2]=8;f[c+32>>2]=8;f[c+36>>2]=9;f[c+40>>2]=1;p[c+48>>3]=-1.0;f[c+56>>2]=0;p[c+64>>3]=.2;b[c+72>>0]=1;f[c+76>>2]=0;f[c+80>>2]=0;f[c+84>>2]=0;f[c+88>>2]=1124007936;a=c+92|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;f[a+16>>2]=0;f[a+20>>2]=0;f[a+24>>2]=0;f[c+120>>2]=c+96;a=c+128|0;f[c+124>>2]=a;f[c+132>>2]=0;f[a>>2]=0;n[c+136>>2]=-1.0;f[c+140>>2]=64;b[c+144>>0]=0;if(eBa(c,e)|0){g=c;u=d;return g|0}bi[f[(f[c>>2]|0)+4>>2]&2047](c);g=0;u=d;return g|0}function MBa(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=u;u=u+64|0;g=e+16|0;h=e;if(!((a|0)!=0&(d|0)!=0)){u=e;return}NM(g,a,0);a=f[(f[d>>2]|0)+16>>2]|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;i=jfc(c)|0;if(i>>>0>4294967279)muc(h);if(i>>>0<11){b[h+11>>0]=i;if(!i)j=h;else{k=h;l=7}}else{m=i+16&-16;n=cuc(m)|0;f[h>>2]=n;f[h+8>>2]=m|-2147483648;f[h+4>>2]=i;k=n;l=7}if((l|0)==7){szc(k|0,c|0,i|0)|0;j=k}b[j+i>>0]=0;Zh[a&511](d,g,h);if((b[h+11>>0]|0)<0)fuc(f[h>>2]|0);AM(g);u=e;return}function NBa(a){a=a|0;var b=0,c=0,d=0;if(!a){b=0;return b|0}c=cuc(152)|0;f[c>>2]=86108;d=c+4|0;f[c+76>>2]=0;f[c+80>>2]=0;f[c+84>>2]=0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;f[d+16>>2]=0;f[d+20>>2]=0;f[d+24>>2]=0;f[d+28>>2]=0;f[c+88>>2]=1124007936;d=c+92|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;f[d+16>>2]=0;f[d+20>>2]=0;f[d+24>>2]=0;f[c+120>>2]=c+96;d=c+128|0;f[c+124>>2]=d;f[c+132>>2]=0;f[d>>2]=0;yh[f[(f[a>>2]|0)+28>>2]&2047](a,c);b=c;return b|0}function OBa(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=0;b=a+4|0;f[b>>2]=0;f[a+8>>2]=0;c=cuc(15124)|0;f[b>>2]=c;f[a>>2]=c;d=c+15124|0;f[a+8>>2]=d;a=86416;e=c;while(1){f[e>>2]=f[a>>2];a=a+4|0;if((a|0)==101540)break;else e=e+4|0}f[b>>2]=d;return}function PBa(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=0;b=a+4|0;f[b>>2]=0;f[a+8>>2]=0;c=cuc(7924)|0;f[b>>2]=c;f[a>>2]=c;d=c+7924|0;f[a+8>>2]=d;a=101540;e=c;while(1){f[e>>2]=f[a>>2];a=a+4|0;if((a|0)==109464)break;else e=e+4|0}f[b>>2]=d;return}function QBa(){i1(898628,381317,843,1961,574,253,844);Bd(1953,898628,x|0)|0;return}function RBa(a){a=a|0;var b=0;if(!a)b=0;else b=(f[a>>2]&-65536|0)==1112539136;return b&1|0}function SBa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;if(!a)return;b=f[a>>2]|0;if(!b)return;c=b+4|0;if((f[c>>2]|0)>0){d=b+32|0;e=0;do{g=f[d>>2]|0;h=f[g+(e*24|0)+8>>2]|0;if((f[g+(e*24|0)>>2]|0)>0){g=0;i=h;while(1){VC(f[i+(g*24|0)+4>>2]|0);f[(f[(f[d>>2]|0)+(e*24|0)+8>>2]|0)+(g*24|0)+4>>2]=0;g=g+1|0;j=f[d>>2]|0;k=f[j+(e*24|0)+8>>2]|0;if((g|0)>=(f[j+(e*24|0)>>2]|0)){l=k;break}else i=k}}else l=h;VC(l);f[(f[d>>2]|0)+(e*24|0)+8>>2]=0;e=e+1|0}while((e|0)<(f[c>>2]|0))}c=b+36|0;b=f[c>>2]|0;if(b|0){VC(b);f[c>>2]=0}VC(f[a>>2]|0);f[a>>2]=0;return}function TBa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0;d=u;u=u+800|0;e=d+400|0;g=d+384|0;h=d+368|0;i=d+352|0;j=d+336|0;k=d+320|0;l=d+304|0;m=d+288|0;o=d+272|0;q=d+256|0;r=d+240|0;s=d+224|0;t=d+208|0;v=d+192|0;w=d+176|0;x=d+160|0;y=d+144|0;z=d+128|0;A=d+112|0;B=d+96|0;C=d+80|0;D=d+64|0;E=d+48|0;F=d+32|0;G=d+16|0;H=d;I=d+512|0;J=d+544|0;K=d+480|0;L=d+448|0;M=d+416|0;N=K_(a,c,381478)|0;if(!N){O=cuc(32)|0;f[I>>2]=O;P=I+8|0;f[P>>2]=-2147483616;Q=I+4|0;f[Q>>2]=19;R=O;S=381625;T=R+19|0;do{b[R>>0]=b[S>>0]|0;R=R+1|0;S=S+1|0}while((R|0)<(T|0));U=O+19|0;b[U>>0]=0;WD(-2,I,381645,381407,1789)}if((f[N>>2]&7|0)!=5){O=cuc(32)|0;f[I>>2]=O;P=I+8|0;f[P>>2]=-2147483616;Q=I+4|0;f[Q>>2]=19;R=O;S=381625;T=R+19|0;do{b[R>>0]=b[S>>0]|0;R=R+1|0;S=S+1|0}while((R|0)<(T|0));U=O+19|0;b[U>>0]=0;WD(-2,I,381645,381407,1789)}U=N+8|0;N=f[(f[U>>2]|0)+24>>2]|0;O=(N*24|0)+40|0;if((N|0)<1){Q=cuc(48)|0;f[I>>2]=Q;f[I+8>>2]=-2147483600;f[I+4>>2]=35;R=Q;S=381340;T=R+35|0;do{b[R>>0]=b[S>>0]|0;R=R+1|0;S=S+1|0}while((R|0)<(T|0));b[Q+35>>0]=0;WD(-211,I,381376,381407,114)}Q=UC(O)|0;kzc(Q|0,0,O|0)|0;O=Q+32|0;f[O>>2]=Q+40;f[Q>>2]=1112539136;P=Q+4|0;f[P>>2]=N;V=K_(a,c,476262)|0;if(!V){W=cuc(48)|0;f[I>>2]=W;X=I+8|0;f[X>>2]=-2147483600;Y=I+4|0;f[Y>>2]=34;R=W;S=381667;T=R+34|0;do{b[R>>0]=b[S>>0]|0;R=R+1|0;S=S+1|0}while((R|0)<(T|0));Z=W+34|0;b[Z>>0]=0;WD(-2,I,381645,381407,1797)}if((f[V>>2]&7|0)!=5){W=cuc(48)|0;f[I>>2]=W;X=I+8|0;f[X>>2]=-2147483600;Y=I+4|0;f[Y>>2]=34;R=W;S=381667;T=R+34|0;do{b[R>>0]=b[S>>0]|0;R=R+1|0;S=S+1|0}while((R|0)<(T|0));Z=W+34|0;b[Z>>0]=0;WD(-2,I,381645,381407,1797)}c=V+8|0;V=f[c>>2]|0;if((f[V+24>>2]|0)!=2){W=cuc(48)|0;f[I>>2]=W;X=I+8|0;f[X>>2]=-2147483600;Y=I+4|0;f[Y>>2]=34;R=W;S=381667;T=R+34|0;do{b[R>>0]=b[S>>0]|0;R=R+1|0;S=S+1|0}while((R|0)<(T|0));Z=W+34|0;b[Z>>0]=0;WD(-2,I,381645,381407,1797)}Z=FK(V,0)|0;if((f[Z>>2]&7|0)!=1){_=cuc(64)|0;f[I>>2]=_;$=I+8|0;f[$>>2]=-2147483584;aa=I+4|0;f[aa>>2]=49;R=_;S=381702;T=R+49|0;do{b[R>>0]=b[S>>0]|0;R=R+1|0;S=S+1|0}while((R|0)<(T|0));ba=_+49|0;b[ba>>0]=0;WD(-2,I,381645,381407,1800)}V=f[Z+8>>2]|0;if((V|0)<1){_=cuc(64)|0;f[I>>2]=_;$=I+8|0;f[$>>2]=-2147483584;aa=I+4|0;f[aa>>2]=49;R=_;S=381702;T=R+49|0;do{b[R>>0]=b[S>>0]|0;R=R+1|0;S=S+1|0}while((R|0)<(T|0));ba=_+49|0;b[ba>>0]=0;WD(-2,I,381645,381407,1800)}ba=Q+8|0;f[ba>>2]=V;V=FK(f[c>>2]|0,1)|0;if((f[V>>2]&7|0)!=1){ca=cuc(64)|0;f[I>>2]=ca;da=I+8|0;f[da>>2]=-2147483584;ea=I+4|0;f[ea>>2]=50;R=ca;S=381752;T=R+50|0;do{b[R>>0]=b[S>>0]|0;R=R+1|0;S=S+1|0}while((R|0)<(T|0));fa=ca+50|0;b[fa>>0]=0;WD(-2,I,381645,381407,1804)}c=f[V+8>>2]|0;if((c|0)<1){ca=cuc(64)|0;f[I>>2]=ca;da=I+8|0;f[da>>2]=-2147483584;ea=I+4|0;f[ea>>2]=50;R=ca;S=381752;T=R+50|0;do{b[R>>0]=b[S>>0]|0;R=R+1|0;S=S+1|0}while((R|0)<(T|0));fa=ca+50|0;b[fa>>0]=0;WD(-2,I,381645,381407,1804)}fa=Q+12|0;f[fa>>2]=c;IK(f[U>>2]|0,K,0);U=K+12|0;c=K+20|0;ca=I+12|0;S=I+20|0;R=L+12|0;T=L+20|0;ea=M+12|0;da=M+20|0;V=0;a:while(1){_=f[U>>2]|0;if((f[_>>2]&7|0)!=6){ga=18;break}aa=K_(a,_,381494)|0;if(!aa){ga=28;break}if((f[aa>>2]&7|0)!=5){ga=28;break}$=aa+8|0;aa=f[(f[$>>2]|0)+24>>2]|0;if((aa|0)<1){ga=28;break}Z=UC(aa*24|0)|0;aa=f[O>>2]|0;f[aa+(V*24|0)+8>>2]=Z;W=f[$>>2]|0;Y=f[W+24>>2]|0;if((Y|0)>0){X=0;do{f[Z+(X*24|0)+4>>2]=0;X=X+1|0;ha=f[$>>2]|0;ia=f[ha+24>>2]|0}while((X|0)<(ia|0));ja=ia;ka=ha}else{ja=Y;ka=W}f[aa+(V*24|0)>>2]=ja;IK(ka,I,0);if((f[(f[$>>2]|0)+24>>2]|0)>0){la=0;while(1){X=f[(f[O>>2]|0)+(V*24|0)+8>>2]|0;Z=f[ca>>2]|0;if((f[Z>>2]&7|0)!=5){ga=40;break a}ha=Z+8|0;Z=f[(f[ha>>2]|0)+24>>2]|0;if((Z|0)<1){ga=40;break a}ia=X+(la*24|0)|0;f[ia>>2]=Z;ma=UC(Z*80|4)|0;Z=X+(la*24|0)+4|0;f[Z>>2]=ma;na=f[ia>>2]|0;oa=ma+(na<<6)|0;ma=X+(la*24|0)+8|0;f[ma>>2]=oa;pa=oa+(na<<2)|0;oa=X+(la*24|0)+12|0;f[oa>>2]=pa;qa=pa+(na<<2)|0;pa=X+(la*24|0)+16|0;f[pa>>2]=qa;ra=X+(la*24|0)+20|0;f[ra>>2]=qa+(na<<2);IK(f[ha>>2]|0,L,0);if((f[(f[ha>>2]|0)+24>>2]|0)>0){sa=0;na=0;while(1){qa=f[R>>2]|0;if((f[qa>>2]&7|0)!=6){ga=49;break a}X=K_(a,qa,381526)|0;if(!X){ga=58;break a}if((f[X>>2]&7|0)!=6){ga=58;break a}ta=K_(a,X,381534)|0;if(!ta){ga=68;break a}if((f[ta>>2]&7|0)!=5){ga=68;break a}ua=ta+8|0;ta=f[ua>>2]|0;if(((f[ta+24>>2]|0)+-1|0)>>>0>2){ga=68;break a}IK(ta,M,0);ta=f[(f[ua>>2]|0)+24>>2]|0;if((ta|0)>0){va=0;while(1){wa=f[ea>>2]|0;if((f[wa>>2]&7|0)!=5){ga=79;break a}xa=wa+8|0;wa=f[xa>>2]|0;if((f[wa+24>>2]|0)!=5){ga=79;break a}ya=f[wa+52>>2]|0;do if(!ya)ga=89;else{if(!(f[ya+12>>2]|0)){ga=89;break}za=f[ya+16>>2]|0}while(0);if((ga|0)==89){ga=0;za=FK(wa,0)|0}if((f[za>>2]&7|0)!=1){ga=92;break a}ya=f[za+8>>2]|0;if((ya|0)<0){ga=92;break a}Aa=f[xa>>2]|0;Ba=f[Aa+52>>2]|0;do if(!Ba)ga=102;else{if((f[Ba+12>>2]|0)>>>0<=1){ga=102;break}Ca=(f[Ba+16>>2]|0)+16|0}while(0);if((ga|0)==102){ga=0;Ca=FK(Aa,1)|0}if((f[Ca>>2]&7|0)!=1){ga=105;break a}Ba=f[Ca+8>>2]|0;if((Ba|0)<0){ga=105;break a}wa=f[xa>>2]|0;Da=f[wa+52>>2]|0;do if(!Da)ga=115;else{if((f[Da+12>>2]|0)>>>0<=2){ga=115;break}Ea=(f[Da+16>>2]|0)+32|0}while(0);if((ga|0)==115){ga=0;Ea=FK(wa,2)|0}if((f[Ea>>2]&7|0)!=1){ga=119;break a}Da=f[Ea+8>>2]|0;if((Da|0)<1){ga=119;break a}if((Da+ya|0)>(f[ba>>2]|0)){ga=119;break a}Aa=f[xa>>2]|0;Fa=f[Aa+52>>2]|0;do if(!Fa)ga=129;else{if((f[Fa+12>>2]|0)>>>0<=3){ga=129;break}Ga=(f[Fa+16>>2]|0)+48|0}while(0);if((ga|0)==129){ga=0;Ga=FK(Aa,3)|0}if((f[Ga>>2]&7|0)!=1){ga=133;break a}Fa=f[Ga+8>>2]|0;if((Fa|0)<1){ga=133;break a}if((Fa+Ba|0)>(f[fa>>2]|0)){ga=133;break a}wa=f[xa>>2]|0;Ha=f[wa+52>>2]|0;do if(!Ha)ga=143;else{if((f[Ha+12>>2]|0)>>>0<=4){ga=143;break}Ia=(f[Ha+16>>2]|0)+64|0}while(0);if((ga|0)==143){ga=0;Ia=FK(wa,4)|0}if((f[Ia>>2]&7|0)!=2){ga=145;break a}Ha=f[Z>>2]|0;n[Ha+(sa<<6)+4+(va*20|0)+16>>2]=+p[Ia+8>>3];f[Ha+(sa<<6)+4+(va*20|0)>>2]=ya;f[Ha+(sa<<6)+4+(va*20|0)+4>>2]=Ba;f[Ha+(sa<<6)+4+(va*20|0)+8>>2]=Da;f[Ha+(sa<<6)+4+(va*20|0)+12>>2]=Fa;Ha=(f[ea>>2]|0)+16|0;f[ea>>2]=Ha;if(Ha>>>0>=(f[da>>2]|0)>>>0)QK(M,1);Ha=va+1|0;Ja=f[(f[ua>>2]|0)+24>>2]|0;if((Ha|0)<(Ja|0))va=Ha;else break}if((Ja|0)<3){Ka=Ja;ga=155}}else{Ka=ta;ga=155}if((ga|0)==155)while(1){ga=0;ua=(f[Z>>2]|0)+(sa<<6)+4+(Ka*20|0)|0;Ka=Ka+1|0;f[ua>>2]=0;f[ua+4>>2]=0;f[ua+8>>2]=0;f[ua+12>>2]=0;f[ua+16>>2]=0;if((Ka|0)==3)break;else ga=155}ta=K_(a,X,381540)|0;if(!ta){ga=158;break a}if((f[ta>>2]&7|0)!=1){ga=158;break a}f[(f[Z>>2]|0)+(sa<<6)>>2]=(f[ta+8>>2]|0)!=0&1;ta=K_(a,qa,381547)|0;if(!ta){ga=167;break a}if((f[ta>>2]&7|0)!=2){ga=167;break a}n[(f[ma>>2]|0)+(sa<<2)>>2]=+p[ta+8>>3];ta=K_(a,qa,381557)|0;if(!ta){ua=K_(a,qa,381567)|0;if(!ua){ga=187;break a}if((f[ua>>2]&7|0)!=2){ga=195;break a}if((na|0)>(f[ia>>2]|0)){ga=203;break a}f[(f[oa>>2]|0)+(sa<<2)>>2]=0-na;n[(f[ra>>2]|0)+(na<<2)>>2]=+p[ua+8>>3];La=na+1|0}else{if((f[ta>>2]&7|0)!=1){ga=178;break a}ua=f[ta+8>>2]|0;if((ua|0)<=(sa|0)){ga=178;break a}if((ua|0)>=(f[(f[ha>>2]|0)+24>>2]|0)){ga=178;break a}f[(f[oa>>2]|0)+(sa<<2)>>2]=ua;La=na}ua=K_(a,qa,381576)|0;if(!ua){ta=K_(a,qa,381587)|0;if(!ta){ga=224;break a}if((f[ta>>2]&7|0)!=2){ga=232;break a}if((La|0)>(f[ia>>2]|0)){ga=240;break a}f[(f[pa>>2]|0)+(sa<<2)>>2]=0-La;n[(f[ra>>2]|0)+(La<<2)>>2]=+p[ta+8>>3];Ma=La+1|0}else{if((f[ua>>2]&7|0)!=1){ga=215;break a}ta=f[ua+8>>2]|0;if((ta|0)<=(sa|0)){ga=215;break a}if((ta|0)>=(f[(f[ha>>2]|0)+24>>2]|0)){ga=215;break a}f[(f[pa>>2]|0)+(sa<<2)>>2]=ta;Ma=La}ta=(f[R>>2]|0)+16|0;f[R>>2]=ta;if(ta>>>0>=(f[T>>2]|0)>>>0)QK(L,1);ta=sa+1|0;if((ta|0)<(f[(f[ha>>2]|0)+24>>2]|0)){sa=ta;na=Ma}else{Na=Ma;break}}}else Na=0;if((Na|0)!=((f[ia>>2]|0)+1|0)){ga=252;break a}na=(f[ca>>2]|0)+16|0;f[ca>>2]=na;if(na>>>0>=(f[S>>2]|0)>>>0)QK(I,1);na=la+1|0;if((na|0)<(f[(f[$>>2]|0)+24>>2]|0))la=na;else break}}$=K_(a,_,381597)|0;if(!$){ga=264;break}if((f[$>>2]&7|0)!=2){ga=264;break}n[(f[O>>2]|0)+(V*24|0)+4>>2]=+p[$+8>>3];$=K_(a,_,381613)|0;if(!$){ga=275;break}if((f[$>>2]&7|0)!=1){ga=275;break}aa=f[$+8>>2]|0;if((aa|0)<-1){ga=275;break}if((aa|0)>=(f[P>>2]|0)){ga=275;break}$=K_(a,_,381620)|0;if(!$){ga=286;break}if((f[$>>2]&7|0)!=1){ga=286;break}W=f[$+8>>2]|0;if((W|0)<-1){ga=286;break}if((W|0)>=(f[P>>2]|0)){ga=286;break}$=f[O>>2]|0;f[$+(V*24|0)+20>>2]=aa;f[$+(V*24|0)+12>>2]=W;f[$+(V*24|0)+16>>2]=-1;do if((aa|0)!=-1){W=$+(aa*24|0)+16|0;if((f[W>>2]|0)!=-1)break;f[W>>2]=V}while(0);aa=(f[U>>2]|0)+16|0;f[U>>2]=aa;if(aa>>>0>=(f[c>>2]|0)>>>0)QK(K,1);aa=V+1|0;if((aa|0)<(N|0))V=aa;else{ga=299;break}}switch(ga|0){case 18:{f[H>>2]=V;ihc(J,381803,H)|0;f[H>>2]=0;f[H+4>>2]=0;f[H+8>>2]=0;ga=jfc(J)|0;if(ga>>>0>4294967279)muc(H);if(ga>>>0<11){b[H+11>>0]=ga;if(!ga){Oa=H;Pa=Oa+ga|0;b[Pa>>0]=0;WD(-2,H,381645,381407,1818)}else Qa=H}else{N=ga+16&-16;K=cuc(N)|0;f[H>>2]=K;f[H+8>>2]=N|-2147483648;f[H+4>>2]=ga;Qa=K}szc(Qa|0,J|0,ga|0)|0;Oa=Qa;Pa=Oa+ga|0;b[Pa>>0]=0;WD(-2,H,381645,381407,1818);break}case 28:{f[G>>2]=V;ihc(J,381820,G)|0;f[G>>2]=0;f[G+4>>2]=0;f[G+8>>2]=0;H=jfc(J)|0;if(H>>>0>4294967279)muc(G);if(H>>>0<11){b[G+11>>0]=H;if(!H){Ra=G;Sa=Ra+H|0;b[Sa>>0]=0;WD(-2,G,381645,381407,1826)}else Ta=G}else{Pa=H+16&-16;ga=cuc(Pa)|0;f[G>>2]=ga;f[G+8>>2]=Pa|-2147483648;f[G+4>>2]=H;Ta=ga}szc(Ta|0,J|0,H|0)|0;Ra=Ta;Sa=Ra+H|0;b[Sa>>0]=0;WD(-2,G,381645,381407,1826);break}case 40:{f[F>>2]=V;f[F+4>>2]=la;ihc(J,381867,F)|0;f[F>>2]=0;f[F+4>>2]=0;f[F+8>>2]=0;G=jfc(J)|0;if(G>>>0>4294967279)muc(F);if(G>>>0<11){b[F+11>>0]=G;if(!G){Ua=F;Va=Ua+G|0;b[Va>>0]=0;WD(-2,F,381645,381407,1852)}else Wa=F}else{Sa=G+16&-16;H=cuc(Sa)|0;f[F>>2]=H;f[F+8>>2]=Sa|-2147483648;f[F+4>>2]=G;Wa=H}szc(Wa|0,J|0,G|0)|0;Ua=Wa;Va=Ua+G|0;b[Va>>0]=0;WD(-2,F,381645,381407,1852);break}case 49:{f[E>>2]=sa;f[E+4>>2]=V;f[E+8>>2]=la;ihc(J,381922,E)|0;f[E>>2]=0;f[E+4>>2]=0;f[E+8>>2]=0;F=jfc(J)|0;if(F>>>0>4294967279)muc(E);if(F>>>0<11){b[E+11>>0]=F;if(!F){Xa=E;Ya=Xa+F|0;b[Ya>>0]=0;WD(-2,E,381645,381407,1880)}else Za=E}else{Va=F+16&-16;G=cuc(Va)|0;f[E>>2]=G;f[E+8>>2]=Va|-2147483648;f[E+4>>2]=F;Za=G}szc(Za|0,J|0,F|0)|0;Xa=Za;Ya=Xa+F|0;b[Ya>>0]=0;WD(-2,E,381645,381407,1880);break}case 58:{f[D>>2]=V;f[D+4>>2]=la;f[D+8>>2]=sa;ihc(J,381975,D)|0;f[D>>2]=0;f[D+4>>2]=0;f[D+8>>2]=0;E=jfc(J)|0;if(E>>>0>4294967279)muc(D);if(E>>>0<11){b[D+11>>0]=E;if(!E){_a=D;$a=_a+E|0;b[$a>>0]=0;WD(-2,D,381645,381407,1887)}else ab=D}else{Ya=E+16&-16;F=cuc(Ya)|0;f[D>>2]=F;f[D+8>>2]=Ya|-2147483648;f[D+4>>2]=E;ab=F}szc(ab|0,J|0,E|0)|0;_a=ab;$a=_a+E|0;b[$a>>0]=0;WD(-2,D,381645,381407,1887);break}case 68:{f[C>>2]=V;f[C+4>>2]=la;f[C+8>>2]=sa;ihc(J,382037,C)|0;f[C>>2]=0;f[C+4>>2]=0;f[C+8>>2]=0;D=jfc(J)|0;if(D>>>0>4294967279)muc(C);if(D>>>0<11){b[C+11>>0]=D;if(!D){bb=C;cb=bb+D|0;b[cb>>0]=0;WD(-2,C,381645,381407,1896)}else db=C}else{$a=D+16&-16;E=cuc($a)|0;f[C>>2]=E;f[C+8>>2]=$a|-2147483648;f[C+4>>2]=D;db=E}szc(db|0,J|0,D|0)|0;bb=db;cb=bb+D|0;b[cb>>0]=0;WD(-2,C,381645,381407,1896);break}case 79:{f[B>>2]=va;f[B+4>>2]=V;f[B+8>>2]=la;f[B+12>>2]=sa;ihc(J,382102,B)|0;f[B>>2]=0;f[B+4>>2]=0;f[B+8>>2]=0;C=jfc(J)|0;if(C>>>0>4294967279)muc(B);if(C>>>0<11){b[B+11>>0]=C;if(!C){eb=B;fb=eb+C|0;b[fb>>0]=0;WD(-2,B,381645,381407,1909)}else gb=B}else{cb=C+16&-16;D=cuc(cb)|0;f[B>>2]=D;f[B+8>>2]=cb|-2147483648;f[B+4>>2]=C;gb=D}szc(gb|0,J|0,C|0)|0;eb=gb;fb=eb+C|0;b[fb>>0]=0;WD(-2,B,381645,381407,1909);break}case 92:{f[A>>2]=V;f[A+4>>2]=la;f[A+8>>2]=sa;f[A+12>>2]=va;ihc(J,382164,A)|0;f[A>>2]=0;f[A+4>>2]=0;f[A+8>>2]=0;B=jfc(J)|0;if(B>>>0>4294967279)muc(A);if(B>>>0<11){b[A+11>>0]=B;if(!B){hb=A;ib=hb+B|0;b[ib>>0]=0;WD(-2,A,381645,381407,1917)}else jb=A}else{fb=B+16&-16;C=cuc(fb)|0;f[A>>2]=C;f[A+8>>2]=fb|-2147483648;f[A+4>>2]=B;jb=C}szc(jb|0,J|0,B|0)|0;hb=jb;ib=hb+B|0;b[ib>>0]=0;WD(-2,A,381645,381407,1917);break}case 105:{f[z>>2]=V;f[z+4>>2]=la;f[z+8>>2]=sa;f[z+12>>2]=va;ihc(J,382245,z)|0;f[z>>2]=0;f[z+4>>2]=0;f[z+8>>2]=0;A=jfc(J)|0;if(A>>>0>4294967279)muc(z);if(A>>>0<11){b[z+11>>0]=A;if(!A){kb=z;lb=kb+A|0;b[lb>>0]=0;WD(-2,z,381645,381407,1925)}else mb=z}else{ib=A+16&-16;B=cuc(ib)|0;f[z>>2]=B;f[z+8>>2]=ib|-2147483648;f[z+4>>2]=A;mb=B}szc(mb|0,J|0,A|0)|0;kb=mb;lb=kb+A|0;b[lb>>0]=0;WD(-2,z,381645,381407,1925);break}case 119:{f[y>>2]=V;f[y+4>>2]=la;f[y+8>>2]=sa;f[y+12>>2]=va;ihc(J,382326,y)|0;f[y>>2]=0;f[y+4>>2]=0;f[y+8>>2]=0;z=jfc(J)|0;if(z>>>0>4294967279)muc(y);if(z>>>0<11){b[y+11>>0]=z;if(!z){nb=y;ob=nb+z|0;b[ob>>0]=0;WD(-2,y,381645,381407,1935)}else pb=y}else{lb=z+16&-16;A=cuc(lb)|0;f[y>>2]=A;f[y+8>>2]=lb|-2147483648;f[y+4>>2]=z;pb=A}szc(pb|0,J|0,z|0)|0;nb=pb;ob=nb+z|0;b[ob>>0]=0;WD(-2,y,381645,381407,1935);break}case 133:{f[x>>2]=V;f[x+4>>2]=la;f[x+8>>2]=sa;f[x+12>>2]=va;ihc(J,382441,x)|0;f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;y=jfc(J)|0;if(y>>>0>4294967279)muc(x);if(y>>>0<11){b[x+11>>0]=y;if(!y){qb=x;rb=qb+y|0;b[rb>>0]=0;WD(-2,x,381645,381407,1945)}else sb=x}else{ob=y+16&-16;z=cuc(ob)|0;f[x>>2]=z;f[x+8>>2]=ob|-2147483648;f[x+4>>2]=y;sb=z}szc(sb|0,J|0,y|0)|0;qb=sb;rb=qb+y|0;b[rb>>0]=0;WD(-2,x,381645,381407,1945);break}case 145:{f[w>>2]=V;f[w+4>>2]=la;f[w+8>>2]=sa;f[w+12>>2]=va;ihc(J,382559,w)|0;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;va=jfc(J)|0;if(va>>>0>4294967279)muc(w);if(va>>>0<11){b[w+11>>0]=va;if(!va){tb=w;ub=tb+va|0;b[ub>>0]=0;WD(-2,w,381645,381407,1953)}else vb=w}else{x=va+16&-16;rb=cuc(x)|0;f[w>>2]=rb;f[w+8>>2]=x|-2147483648;f[w+4>>2]=va;vb=rb}szc(vb|0,J|0,va|0)|0;tb=vb;ub=tb+va|0;b[ub>>0]=0;WD(-2,w,381645,381407,1953);break}case 158:{f[v>>2]=V;f[v+4>>2]=la;f[v+8>>2]=sa;ihc(J,382625,v)|0;f[v>>2]=0;f[v+4>>2]=0;f[v+8>>2]=0;w=jfc(J)|0;if(w>>>0>4294967279)muc(v);if(w>>>0<11){b[v+11>>0]=w;if(!w){wb=v;xb=wb+w|0;b[xb>>0]=0;WD(-2,v,381645,381407,1972)}else yb=v}else{ub=w+16&-16;va=cuc(ub)|0;f[v>>2]=va;f[v+8>>2]=ub|-2147483648;f[v+4>>2]=w;yb=va}szc(yb|0,J|0,w|0)|0;wb=yb;xb=wb+w|0;b[xb>>0]=0;WD(-2,v,381645,381407,1972);break}case 167:{f[t>>2]=V;f[t+4>>2]=la;f[t+8>>2]=sa;ihc(J,382677,t)|0;f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;v=jfc(J)|0;if(v>>>0>4294967279)muc(t);if(v>>>0<11){b[t+11>>0]=v;if(!v){zb=t;Ab=zb+v|0;b[Ab>>0]=0;WD(-2,t,381645,381407,1980)}else Bb=t}else{xb=v+16&-16;w=cuc(xb)|0;f[t>>2]=w;f[t+8>>2]=xb|-2147483648;f[t+4>>2]=v;Bb=w}szc(Bb|0,J|0,v|0)|0;zb=Bb;Ab=zb+v|0;b[Ab>>0]=0;WD(-2,t,381645,381407,1980);break}case 178:{f[s>>2]=V;f[s+4>>2]=la;f[s+8>>2]=sa;ihc(J,382737,s)|0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;t=jfc(J)|0;if(t>>>0>4294967279)muc(s);if(t>>>0<11){b[s+11>>0]=t;if(!t){Cb=s;Db=Cb+t|0;b[Db>>0]=0;WD(-2,s,381645,381407,1991)}else Eb=s}else{Ab=t+16&-16;v=cuc(Ab)|0;f[s>>2]=v;f[s+8>>2]=Ab|-2147483648;f[s+4>>2]=t;Eb=v}szc(Eb|0,J|0,t|0)|0;Cb=Eb;Db=Cb+t|0;b[Db>>0]=0;WD(-2,s,381645,381407,1991);break}case 187:{f[r>>2]=V;f[r+4>>2]=la;f[r+8>>2]=sa;ihc(J,382803,r)|0;f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;s=jfc(J)|0;if(s>>>0>4294967279)muc(r);if(s>>>0<11){b[r+11>>0]=s;if(!s){Fb=r;Gb=Fb+s|0;b[Gb>>0]=0;WD(-2,r,381645,381407,2003)}else Hb=r}else{Db=s+16&-16;t=cuc(Db)|0;f[r>>2]=t;f[r+8>>2]=Db|-2147483648;f[r+4>>2]=s;Hb=t}szc(Hb|0,J|0,s|0)|0;Fb=Hb;Gb=Fb+s|0;b[Gb>>0]=0;WD(-2,r,381645,381407,2003);break}case 195:{f[q>>2]=V;f[q+4>>2]=la;f[q+8>>2]=sa;ihc(J,382875,q)|0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;r=jfc(J)|0;if(r>>>0>4294967279)muc(q);if(r>>>0<11){b[q+11>>0]=r;if(!r){Ib=q;Jb=Ib+r|0;b[Jb>>0]=0;WD(-2,q,381645,381407,2009)}else Kb=q}else{Gb=r+16&-16;s=cuc(Gb)|0;f[q>>2]=s;f[q+8>>2]=Gb|-2147483648;f[q+4>>2]=r;Kb=s}szc(Kb|0,J|0,r|0)|0;Ib=Kb;Jb=Ib+r|0;b[Jb>>0]=0;WD(-2,q,381645,381407,2009);break}case 203:{f[o>>2]=V;f[o+4>>2]=la;f[o+8>>2]=sa;ihc(J,382936,o)|0;f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;q=jfc(J)|0;if(q>>>0>4294967279)muc(o);if(q>>>0<11){b[o+11>>0]=q;if(!q){Lb=o;Mb=Lb+q|0;b[Mb>>0]=0;WD(-2,o,381645,381407,2016)}else Nb=o}else{Jb=q+16&-16;r=cuc(Jb)|0;f[o>>2]=r;f[o+8>>2]=Jb|-2147483648;f[o+4>>2]=q;Nb=r}szc(Nb|0,J|0,q|0)|0;Lb=Nb;Mb=Lb+q|0;b[Mb>>0]=0;WD(-2,o,381645,381407,2016);break}case 215:{f[m>>2]=V;f[m+4>>2]=la;f[m+8>>2]=sa;ihc(J,383008,m)|0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;o=jfc(J)|0;if(o>>>0>4294967279)muc(m);if(o>>>0<11){b[m+11>>0]=o;if(!o){Ob=m;Pb=Ob+o|0;b[Pb>>0]=0;WD(-2,m,381645,381407,2029)}else Qb=m}else{Mb=o+16&-16;q=cuc(Mb)|0;f[m>>2]=q;f[m+8>>2]=Mb|-2147483648;f[m+4>>2]=o;Qb=q}szc(Qb|0,J|0,o|0)|0;Ob=Qb;Pb=Ob+o|0;b[Pb>>0]=0;WD(-2,m,381645,381407,2029);break}case 224:{f[l>>2]=V;f[l+4>>2]=la;f[l+8>>2]=sa;ihc(J,383075,l)|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;m=jfc(J)|0;if(m>>>0>4294967279)muc(l);if(m>>>0<11){b[l+11>>0]=m;if(!m){Rb=l;Sb=Rb+m|0;b[Sb>>0]=0;WD(-2,l,381645,381407,2041)}else Tb=l}else{Pb=m+16&-16;o=cuc(Pb)|0;f[l>>2]=o;f[l+8>>2]=Pb|-2147483648;f[l+4>>2]=m;Tb=o}szc(Tb|0,J|0,m|0)|0;Rb=Tb;Sb=Rb+m|0;b[Sb>>0]=0;WD(-2,l,381645,381407,2041);break}case 232:{f[k>>2]=V;f[k+4>>2]=la;f[k+8>>2]=sa;ihc(J,383149,k)|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;l=jfc(J)|0;if(l>>>0>4294967279)muc(k);if(l>>>0<11){b[k+11>>0]=l;if(!l){Ub=k;Vb=Ub+l|0;b[Vb>>0]=0;WD(-2,k,381645,381407,2047)}else Wb=k}else{Sb=l+16&-16;m=cuc(Sb)|0;f[k>>2]=m;f[k+8>>2]=Sb|-2147483648;f[k+4>>2]=l;Wb=m}szc(Wb|0,J|0,l|0)|0;Ub=Wb;Vb=Ub+l|0;b[Vb>>0]=0;WD(-2,k,381645,381407,2047);break}case 240:{f[j>>2]=V;f[j+4>>2]=la;f[j+8>>2]=sa;ihc(J,382936,j)|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;sa=jfc(J)|0;if(sa>>>0>4294967279)muc(j);if(sa>>>0<11){b[j+11>>0]=sa;if(!sa){Xb=j;Yb=Xb+sa|0;b[Yb>>0]=0;WD(-2,j,381645,381407,2054)}else Zb=j}else{k=sa+16&-16;Vb=cuc(k)|0;f[j>>2]=Vb;f[j+8>>2]=k|-2147483648;f[j+4>>2]=sa;Zb=Vb}szc(Zb|0,J|0,sa|0)|0;Xb=Zb;Yb=Xb+sa|0;b[Yb>>0]=0;WD(-2,j,381645,381407,2054);break}case 252:{f[i>>2]=V;f[i+4>>2]=la;ihc(J,383211,i)|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;la=jfc(J)|0;if(la>>>0>4294967279)muc(i);if(la>>>0<11){b[i+11>>0]=la;if(!la){_b=i;$b=_b+la|0;b[$b>>0]=0;WD(-2,i,381645,381407,2066)}else ac=i}else{j=la+16&-16;Yb=cuc(j)|0;f[i>>2]=Yb;f[i+8>>2]=j|-2147483648;f[i+4>>2]=la;ac=Yb}szc(ac|0,J|0,la|0)|0;_b=ac;$b=_b+la|0;b[$b>>0]=0;WD(-2,i,381645,381407,2066);break}case 264:{f[h>>2]=V;ihc(J,383273,h)|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;i=jfc(J)|0;if(i>>>0>4294967279)muc(h);if(i>>>0<11){b[h+11>>0]=i;if(!i){bc=h;cc=bc+i|0;b[cc>>0]=0;WD(-2,h,381645,381407,2076)}else dc=h}else{$b=i+16&-16;la=cuc($b)|0;f[h>>2]=la;f[h+8>>2]=$b|-2147483648;f[h+4>>2]=i;dc=la}szc(dc|0,J|0,i|0)|0;bc=dc;cc=bc+i|0;b[cc>>0]=0;WD(-2,h,381645,381407,2076);break}case 275:{f[g>>2]=V;ihc(J,383321,g)|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;h=jfc(J)|0;if(h>>>0>4294967279)muc(g);if(h>>>0<11){b[g+11>>0]=h;if(!h){ec=g;fc=ec+h|0;b[fc>>0]=0;WD(-2,g,381645,381407,2088)}else gc=g}else{cc=h+16&-16;i=cuc(cc)|0;f[g>>2]=i;f[g+8>>2]=cc|-2147483648;f[g+4>>2]=h;gc=i}szc(gc|0,J|0,h|0)|0;ec=gc;fc=ec+h|0;b[fc>>0]=0;WD(-2,g,381645,381407,2088);break}case 286:{f[e>>2]=V;ihc(J,383363,e)|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;V=jfc(J)|0;if(V>>>0>4294967279)muc(e);if(V>>>0<11){b[e+11>>0]=V;if(!V){hc=e;ic=hc+V|0;b[ic>>0]=0;WD(-2,e,381645,381407,2096)}else jc=e}else{g=V+16&-16;fc=cuc(g)|0;f[e>>2]=fc;f[e+8>>2]=g|-2147483648;f[e+4>>2]=V;jc=fc}szc(jc|0,J|0,V|0)|0;hc=jc;ic=hc+V|0;b[ic>>0]=0;WD(-2,e,381645,381407,2096);break}case 299:{u=d;return Q|0}}return 0}function UBa(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0;g=u;u=u+368|0;h=g+104|0;i=g+16|0;j=g+8|0;k=g;l=g+112|0;m=g+24|0;o=g+96|0;p=g+88|0;q=g+80|0;r=g+72|0;s=g+64|0;t=g+56|0;v=g+48|0;w=g+40|0;x=g+32|0;y=e;e=f[y+4>>2]|0;z=m;f[z>>2]=f[y>>2];f[z+4>>2]=e;f[h>>2]=f[m>>2];f[h+4>>2]=f[m+4>>2];R_(a,c,6,381317,h);f[o>>2]=0;f[o+4>>2]=0;f[h>>2]=f[o>>2];f[h+4>>2]=f[o+4>>2];R_(a,476262,13,0,h);T_(a,0,f[d+8>>2]|0);T_(a,0,f[d+12>>2]|0);S_(a);f[p>>2]=0;f[p+4>>2]=0;f[h>>2]=f[p>>2];f[h+4>>2]=f[p+4>>2];R_(a,381478,5,0,h);p=d+4|0;if((f[p>>2]|0)<=0){S_(a);S_(a);u=g;return}o=q+4|0;c=r+4|0;m=d+32|0;d=s+4|0;e=t+4|0;z=v+4|0;y=w+4|0;A=x+4|0;B=0;do{f[q>>2]=0;f[o>>2]=0;f[h>>2]=f[q>>2];f[h+4>>2]=f[q+4>>2];R_(a,0,6,0,h);f[k>>2]=B;ihc(l,381485,k)|0;W_(a,l,1);f[r>>2]=0;f[c>>2]=0;f[h>>2]=f[r>>2];f[h+4>>2]=f[r+4>>2];R_(a,381494,5,0,h);C=f[m>>2]|0;if((f[C+(B*24|0)>>2]|0)>0){D=0;E=C;do{C=f[E+(B*24|0)+8>>2]|0;f[s>>2]=0;f[d>>2]=0;f[h>>2]=f[s>>2];f[h+4>>2]=f[s+4>>2];R_(a,0,5,0,h);f[j>>2]=D;ihc(l,381500,j)|0;W_(a,l,1);F=C+(D*24|0)|0;if((f[F>>2]|0)>0){G=C+(D*24|0)+4|0;H=C+(D*24|0)+8|0;I=C+(D*24|0)+12|0;J=C+(D*24|0)+16|0;K=C+(D*24|0)+20|0;C=0;do{L=f[G>>2]|0;f[t>>2]=0;f[e>>2]=0;f[h>>2]=f[t>>2];f[h+4>>2]=f[t+4>>2];R_(a,0,6,0,h);if(!C){M=l;N=381516;O=M+10|0;do{b[M>>0]=b[N>>0]|0;M=M+1|0;N=N+1|0}while((M|0)<(O|0))}else{f[i>>2]=C;ihc(l,381508,i)|0}W_(a,l,1);f[v>>2]=0;f[z>>2]=0;f[h>>2]=f[v>>2];f[h+4>>2]=f[v+4>>2];R_(a,381526,6,0,h);f[w>>2]=0;f[y>>2]=0;f[h>>2]=f[w>>2];f[h+4>>2]=f[w+4>>2];R_(a,381534,5,0,h);N=L+(C<<6)+12|0;if((f[N>>2]|0?(f[x>>2]=0,f[A>>2]=0,f[h>>2]=f[x>>2],f[h+4>>2]=f[x+4>>2],R_(a,0,13,0,h),T_(a,0,f[L+(C<<6)+4>>2]|0),T_(a,0,f[L+(C<<6)+8>>2]|0),T_(a,0,f[N>>2]|0),T_(a,0,f[L+(C<<6)+16>>2]|0),U_(a,0,+n[L+(C<<6)+20>>2]),S_(a),N=L+(C<<6)+32|0,f[N>>2]|0):0)?(f[x>>2]=0,f[A>>2]=0,f[h>>2]=f[x>>2],f[h+4>>2]=f[x+4>>2],R_(a,0,13,0,h),T_(a,0,f[L+(C<<6)+24>>2]|0),T_(a,0,f[L+(C<<6)+28>>2]|0),T_(a,0,f[N>>2]|0),T_(a,0,f[L+(C<<6)+36>>2]|0),U_(a,0,+n[L+(C<<6)+40>>2]),S_(a),N=L+(C<<6)+52|0,f[N>>2]|0):0){f[x>>2]=0;f[A>>2]=0;f[h>>2]=f[x>>2];f[h+4>>2]=f[x+4>>2];R_(a,0,13,0,h);T_(a,0,f[L+(C<<6)+44>>2]|0);T_(a,0,f[L+(C<<6)+48>>2]|0);T_(a,0,f[N>>2]|0);T_(a,0,f[L+(C<<6)+56>>2]|0);U_(a,0,+n[L+(C<<6)+60>>2]);S_(a)}S_(a);T_(a,381540,f[L+(C<<6)>>2]|0);S_(a);U_(a,381547,+n[(f[H>>2]|0)+(C<<2)>>2]);N=f[(f[I>>2]|0)+(C<<2)>>2]|0;if((N|0)>0)T_(a,381557,N);else U_(a,381567,+n[(f[K>>2]|0)+(0-N<<2)>>2]);N=f[(f[J>>2]|0)+(C<<2)>>2]|0;if((N|0)>0)T_(a,381576,N);else U_(a,381587,+n[(f[K>>2]|0)+(0-N<<2)>>2]);S_(a);C=C+1|0}while((C|0)<(f[F>>2]|0))}S_(a);D=D+1|0;E=f[m>>2]|0}while((D|0)<(f[E+(B*24|0)>>2]|0))}S_(a);U_(a,381597,+n[(f[m>>2]|0)+(B*24|0)+4>>2]);T_(a,381613,f[(f[m>>2]|0)+(B*24|0)+20>>2]|0);T_(a,381620,f[(f[m>>2]|0)+(B*24|0)+12>>2]|0);S_(a);B=B+1|0}while((B|0)<(f[p>>2]|0));S_(a);S_(a);u=g;return}function VBa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0;c=u;u=u+16|0;d=c;e=f[a+4>>2]|0;g=(e*24|0)+40|0;if((e|0)<1){h=cuc(48)|0;f[d>>2]=h;f[d+8>>2]=-2147483600;f[d+4>>2]=35;i=h;j=381340;k=i+35|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));b[h+35>>0]=0;WD(-211,d,381376,381407,114)}d=UC(g)|0;kzc(d|0,0,g|0)|0;g=d+40|0;h=d+32|0;f[h>>2]=g;f[d>>2]=1112539136;f[d+4>>2]=e;l=a+8|0;m=f[l+4>>2]|0;n=d+8|0;f[n>>2]=f[l>>2];f[n+4>>2]=m;m=a+32|0;a=0;n=g;while(1){g=f[m>>2]|0;f[n+(a*24|0)+20>>2]=f[g+(a*24|0)+20>>2];f[n+(a*24|0)+12>>2]=f[g+(a*24|0)+12>>2];f[n+(a*24|0)+16>>2]=f[g+(a*24|0)+16>>2];f[n+(a*24|0)+4>>2]=f[g+(a*24|0)+4>>2];f[n+(a*24|0)>>2]=0;l=UC((f[g+(a*24|0)>>2]|0)*24|0)|0;g=f[h>>2]|0;f[g+(a*24|0)+8>>2]=l;o=f[m>>2]|0;p=f[o+(a*24|0)>>2]|0;f[g+(a*24|0)>>2]=p;q=(p|0)>0;a:do if(q){r=0;do{f[l+(r*24|0)+4>>2]=0;r=r+1|0}while((r|0)<(p|0));if(q){r=0;s=o;t=l;while(1){v=f[s+(a*24|0)+8>>2]|0;w=f[v+(r*24|0)>>2]|0;x=t+(r*24|0)|0;f[x>>2]=w;y=UC(w*80|4)|0;w=t+(r*24|0)+4|0;f[w>>2]=y;z=f[x>>2]|0;A=y+(z<<6)|0;B=t+(r*24|0)+8|0;f[B>>2]=A;C=A+(z<<2)|0;A=t+(r*24|0)+12|0;f[A>>2]=C;D=C+(z<<2)|0;C=t+(r*24|0)+16|0;f[C>>2]=D;E=D+(z<<2)|0;D=t+(r*24|0)+20|0;f[D>>2]=E;b:do if((z|0)>0){F=v+(r*24|0)+4|0;G=v+(r*24|0)+8|0;H=v+(r*24|0)+12|0;I=v+(r*24|0)+16|0;J=v+(r*24|0)+20|0;K=0;L=y;while(1){i=L+(K<<6)|0;j=(f[F>>2]|0)+(K<<6)|0;k=i+64|0;do{f[i>>2]=f[j>>2];i=i+4|0;j=j+4|0}while((i|0)<(k|0));f[(f[B>>2]|0)+(K<<2)>>2]=f[(f[G>>2]|0)+(K<<2)>>2];f[(f[A>>2]|0)+(K<<2)>>2]=f[(f[H>>2]|0)+(K<<2)>>2];f[(f[C>>2]|0)+(K<<2)>>2]=f[(f[I>>2]|0)+(K<<2)>>2];M=f[J>>2]|0;N=f[D>>2]|0;f[N+(K<<2)>>2]=f[M+(K<<2)>>2];O=K+1|0;P=f[x>>2]|0;if((O|0)>=(P|0)){Q=P;R=M;S=N;break b}K=O;L=f[w>>2]|0}}else{Q=z;R=f[v+(r*24|0)+20>>2]|0;S=E}while(0);f[S+(Q<<2)>>2]=f[R+(Q<<2)>>2];E=r+1|0;v=f[h>>2]|0;if((E|0)>=(f[v+(a*24|0)>>2]|0)){T=v;break a}r=E;s=f[m>>2]|0;t=f[v+(a*24|0)+8>>2]|0}}else T=g}else T=g;while(0);a=a+1|0;if((a|0)==(e|0))break;else n=T}u=c;return d|0}function WBa(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=+g;var h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0.0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0.0,ma=0.0,na=0.0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0.0,za=0.0,Aa=0.0,Ba=0,Ca=0;h=u;u=u+160|0;i=h+128|0;j=h+100|0;k=h+72|0;l=h+68|0;m=h+64|0;o=h+16|0;q=h;f[l>>2]=0;f[m>>2]=0;r=(a|0)!=0;if(!r){s=r?-5:-27;t=cuc(32)|0;f[o>>2]=t;v=o+8|0;f[v>>2]=-2147483616;w=o+4|0;f[w>>2]=26;x=t;y=383403;z=x+26|0;do{b[x>>0]=b[y>>0]|0;x=x+1|0;y=y+1|0}while((x|0)<(z|0));A=t+26|0;b[A>>0]=0;WD(s,o,383430,381407,411)}if((f[a>>2]&-65536|0)!=1112539136){s=r?-5:-27;t=cuc(32)|0;f[o>>2]=t;v=o+8|0;f[v>>2]=-2147483616;w=o+4|0;f[w>>2]=26;x=t;y=383403;z=x+26|0;do{b[x>>0]=b[y>>0]|0;x=x+1|0;y=y+1|0}while((x|0)<(z|0));A=t+26|0;b[A>>0]=0;WD(s,o,383430,381407,411)}if(g<=0.0){s=cuc(32)|0;f[o>>2]=s;f[o+8>>2]=-2147483616;f[o+4>>2]=22;x=s;y=383466;z=x+22|0;do{b[x>>0]=b[y>>0]|0;x=x+1|0;y=y+1|0}while((x|0)<(z|0));b[s+22>>0]=0;WD(-211,o,383430,381407,414)}s=IZ(c,i,l,0)|0;i=IZ(d,j,m,0)|0;if(f[m>>2]|f[l>>2]|0){l=cuc(32)|0;f[o>>2]=l;f[o+8>>2]=-2147483616;f[o+4>>2]=20;x=l;y=383489;z=x+20|0;do{b[x>>0]=b[y>>0]|0;x=x+1|0;y=y+1|0}while((x|0)<(z|0));b[l+20>>0]=0;WD(-24,o,383430,381407,420)}l=s+20|0;if((f[l>>2]|0)!=(f[i+20>>2]|0)){B=cuc(48)|0;f[o>>2]=B;C=o+8|0;f[C>>2]=-2147483600;D=o+4|0;f[D>>2]=43;x=B;y=383510;z=x+43|0;do{b[x>>0]=b[y>>0]|0;x=x+1|0;y=y+1|0}while((x|0)<(z|0));E=B+43|0;b[E>>0]=0;WD(-209,o,383430,381407,423)}j=s+24|0;if((f[j>>2]|0)!=(f[i+24>>2]|0)){B=cuc(48)|0;f[o>>2]=B;C=o+8|0;f[C>>2]=-2147483600;D=o+4|0;f[D>>2]=43;x=B;y=383510;z=x+43|0;do{b[x>>0]=b[y>>0]|0;x=x+1|0;y=y+1|0}while((x|0)<(z|0));E=B+43|0;b[E>>0]=0;WD(-209,o,383430,381407,423)}if((f[i>>2]&4095|0)!=6){F=cuc(80)|0;f[o>>2]=F;G=o+8|0;f[G>>2]=-2147483568;H=o+4|0;f[H>>2]=77;x=F;y=383554;z=x+77|0;do{b[x>>0]=b[y>>0]|0;x=x+1|0;y=y+1|0}while((x|0)<(z|0));I=F+77|0;b[I>>0]=0;WD(-210,o,383430,381407,428)}if((f[s>>2]&4095|0)!=4){F=cuc(80)|0;f[o>>2]=F;G=o+8|0;f[G>>2]=-2147483568;H=o+4|0;f[H>>2]=77;x=F;y=383554;z=x+77|0;do{b[x>>0]=b[y>>0]|0;x=x+1|0;y=y+1|0}while((x|0)<(z|0));I=F+77|0;b[I>>0]=0;WD(-210,o,383430,381407,428)}I=a+36|0;F=f[I>>2]|0;if(!F){XBa(a);J=f[I>>2]|0}else J=F;do if(f[J+4>>2]|0){F=IZ(e,k,m,0)|0;if((f[F>>2]&4095|0)!=4){I=cuc(80)|0;f[o>>2]=I;f[o+8>>2]=-2147483568;f[o+4>>2]=77;x=I;y=383554;z=x+77|0;do{b[x>>0]=b[y>>0]|0;x=x+1|0;y=y+1|0}while((x|0)<(z|0));b[I+77>>0]=0;WD(-210,o,383430,381407,441)}H=s+4|0;if((f[H>>2]|0)!=(f[F+4>>2]|0)){G=cuc(64)|0;f[o>>2]=G;f[o+8>>2]=-2147483584;f[o+4>>2]=62;x=G;y=383632;z=x+62|0;do{b[x>>0]=b[y>>0]|0;x=x+1|0;y=y+1|0}while((x|0)<(z|0));b[G+62>>0]=0;WD(-209,o,383430,381407,445)}if((f[l>>2]|0)!=(f[F+20>>2]|0)){K=cuc(48)|0;f[o>>2]=K;L=o+8|0;f[L>>2]=-2147483600;M=o+4|0;f[M>>2]=43;x=K;y=383510;z=x+43|0;do{b[x>>0]=b[y>>0]|0;x=x+1|0;y=y+1|0}while((x|0)<(z|0));N=K+43|0;b[N>>0]=0;WD(-209,o,383430,381407,448)}if((f[j>>2]|0)==(f[F+24>>2]|0)){G=J+72|0;f[G>>2]=f[F>>2];f[G+4>>2]=f[F+4>>2];f[G+8>>2]=f[F+8>>2];f[G+12>>2]=f[F+12>>2];f[G+16>>2]=f[F+16>>2];f[G+20>>2]=f[F+20>>2];f[G+24>>2]=f[F+24>>2];O=F;P=H;break}else{K=cuc(48)|0;f[o>>2]=K;L=o+8|0;f[L>>2]=-2147483600;M=o+4|0;f[M>>2]=43;x=K;y=383510;z=x+43|0;do{b[x>>0]=b[y>>0]|0;x=x+1|0;y=y+1|0}while((x|0)<(z|0));N=K+43|0;b[N>>0]=0;WD(-209,o,383430,381407,448)}}else{O=e;P=s+4|0}while(0);p[a+24>>3]=g;e=a+8|0;N=Fhc(+(f[e>>2]|0)*g)|0;f[a+16>>2]=N;N=a+12|0;K=Fhc(+(f[N>>2]|0)*g)|0;f[a+20>>2]=K;K=J+16|0;f[K>>2]=f[s>>2];f[K+4>>2]=f[s+4>>2];f[K+8>>2]=f[s+8>>2];f[K+12>>2]=f[s+12>>2];f[K+16>>2]=f[s+16>>2];f[K+20>>2]=f[s+20>>2];f[K+24>>2]=f[s+24>>2];K=J+44|0;f[K>>2]=f[i>>2];f[K+4>>2]=f[i+4>>2];f[K+8>>2]=f[i+8>>2];f[K+12>>2]=f[i+12>>2];f[K+16>>2]=f[i+16>>2];f[K+20>>2]=f[i+20>>2];f[K+24>>2]=f[i+24>>2];K=Fhc(g)|0;M=Fhc(+((f[e>>2]|0)+-2|0)*g)|0;e=Fhc(+((f[N>>2]|0)+-2|0)*g)|0;Q=1.0/+(Y(e,M)|0);p[J+8>>3]=Q;N=s+16|0;s=f[P>>2]|0;L=Y(s,K)|0;j=K<<2;f[J+120>>2]=(f[N>>2]|0)+L+j;l=M+K|0;M=l<<2;f[J+124>>2]=(f[N>>2]|0)+L+M;L=e+K|0;e=Y(s,L)|0;f[J+128>>2]=(f[N>>2]|0)+e+j;f[J+132>>2]=(f[N>>2]|0)+e+M;M=i+16|0;e=f[i+4>>2]|0;i=Y(e,K)|0;j=K<<3;f[J+104>>2]=(f[M>>2]|0)+i+j;K=l<<3;f[J+108>>2]=(f[M>>2]|0)+i+K;i=Y(e,L)|0;f[J+112>>2]=(f[M>>2]|0)+i+j;f[J+116>>2]=(f[M>>2]|0)+i+K;K=f[a+4>>2]|0;if((K|0)<=0){u=h;return}i=J+100|0;J=a+32|0;a=o+4|0;M=o+8|0;j=o+12|0;L=O+16|0;e=O+4|0;O=o+16|0;l=o+20|0;s=o+24|0;m=o+28|0;k=o+32|0;H=o+36|0;F=o+40|0;G=o+44|0;I=0;E=f[i>>2]|0;a:while(1){if((f[E+(I*28|0)>>2]|0)>0){B=0;D=E;while(1){C=f[D+(I*28|0)+8>>2]|0;if((f[C+(B*12|0)>>2]|0)>0){d=0;c=C;while(1){C=f[(f[(f[J>>2]|0)+(I*24|0)+8>>2]|0)+(B*24|0)+4>>2]|0;A=f[c+(B*12|0)+4>>2]|0;x=o;z=x+48|0;do{f[x>>2]=0;x=x+4|0}while((x|0)<(z|0));do if(!(f[A+(d*72|0)>>2]|0)){R=-1;S=-1;T=0;U=0;V=0;W=0;X=0}else{t=f[C+(d<<6)+4>>2]|0;w=f[C+(d<<6)+8>>2]|0;v=f[C+(d<<6)+12>>2]|0;r=f[C+(d<<6)+16>>2]|0;f[o>>2]=t;f[a>>2]=w;f[M>>2]=v;f[j>>2]=r;Z=v+-1|0;_=r+-1|0;if(!(f[A+(d*72|0)+20>>2]|0)){R=_;S=Z;T=1;U=v;V=r;W=t;X=w;break}$=f[C+(d<<6)+24>>2]|0;aa=f[C+(d<<6)+28>>2]|0;ba=f[C+(d<<6)+32>>2]|0;ca=f[C+(d<<6)+36>>2]|0;f[O>>2]=$;f[l>>2]=aa;f[s>>2]=ba;f[m>>2]=ca;da=ba+-1|0;ba=(Z>>>0>=da>>>0?da^Z:0)^Z;Z=$-t+-1|0;$=(ba>>>0>=Z>>>0?Z^ba:0)^ba;ba=ca+-1|0;ca=(_>>>0>=ba>>>0?ba^_:0)^_;_=aa-w+-1|0;aa=(ca>>>0>=_>>>0?ca^_:0)^ca;if(!(f[A+(d*72|0)+40>>2]|0)){R=aa;S=$;T=2;U=v;V=r;W=t;X=w;break}ca=f[C+(d<<6)+44>>2]|0;_=f[C+(d<<6)+48>>2]|0;ba=f[C+(d<<6)+52>>2]|0;Z=f[C+(d<<6)+56>>2]|0;f[k>>2]=ca;f[H>>2]=_;f[F>>2]=ba;f[G>>2]=Z;da=ba+-1|0;ba=($>>>0>=da>>>0?da^$:0)^$;$=ca-t+-1|0;ca=Z+-1|0;Z=(aa>>>0>=ca>>>0?ca^aa:0)^aa;aa=_-w+-1|0;R=(Z>>>0>=aa>>>0?Z^aa:0)^Z;S=(ba>>>0>=$>>>0?$^ba:0)^ba;T=3;U=v;V=r;W=t;X=w}while(0);w=S+1|0;t=R+1|0;r=(U|0)/(w|0)|0;v=(V|0)/(t|0)|0;if((r|0)<1){ba=(Fhc(+(U|0)*g)|0)/(r|0)|0;ea=Fhc(+(W|0)*g)|0;fa=1;ga=ba}else{ea=0;fa=0;ga=0}if((v|0)<1){ba=(Fhc(+(V|0)*g)|0)/(v|0)|0;ha=Fhc(+(X|0)*g)|0;ia=1;ja=ba}else{ha=0;ia=0;ja=0}if(!T){ka=53;break a}ba=(fa|0)==0;v=(ia|0)==0;r=(f[C+(d<<6)>>2]|0)!=0;la=Q*(r?.5:1.0);ma=0.0;na=0.0;$=0;Z=W;aa=U;while(1){if(ba){_=Fhc(+(Z|0)*g)|0;oa=Fhc(+(aa|0)*g)|0;pa=_}else{oa=(Y(aa,ga)|0)/(w|0)|0;pa=((Y(Z-W|0,ga)|0)/(w|0)|0)+ea|0}_=f[o+($<<4)+4>>2]|0;ca=f[o+($<<4)+12>>2]|0;if(v){da=Fhc(+(_|0)*g)|0;qa=Fhc(+(ca|0)*g)|0;ra=da}else{qa=(Y(ca,ja)|0)/(t|0)|0;ra=((Y(_-X|0,ja)|0)/(t|0)|0)+ha|0}_=pa<<2;ca=qa+ra|0;da=oa+pa|0;sa=da<<2;if(r){ta=f[e>>2]|0;ua=ra+oa|0;va=(f[L>>2]|0)+(Y(ta,ua)|0)+sa|0;f[A+(d*72|0)+($*20|0)+8>>2]=va;va=(f[L>>2]|0)+(Y(ta,ua+qa|0)|0)+(da-qa<<2)|0;f[A+(d*72|0)+($*20|0)+12>>2]=va;va=(f[L>>2]|0)+(Y(ta,ra)|0)+_|0;f[A+(d*72|0)+($*20|0)>>2]=va;wa=(f[L>>2]|0)+(Y(ta,ca)|0)+(pa-qa<<2)|0;xa=A+(d*72|0)+($*20|0)+4|0}else{ta=f[P>>2]|0;va=Y(ta,ra)|0;f[A+(d*72|0)+($*20|0)>>2]=(f[N>>2]|0)+va+_;f[A+(d*72|0)+($*20|0)+4>>2]=(f[N>>2]|0)+va+sa;va=Y(ta,ca)|0;f[A+(d*72|0)+($*20|0)+8>>2]=(f[N>>2]|0)+va+_;wa=(f[N>>2]|0)+va+sa|0;xa=A+(d*72|0)+($*20|0)+12|0}f[xa>>2]=wa;ya=la*+n[C+(d<<6)+4+($*20|0)+16>>2];n[A+(d*72|0)+($*20|0)+16>>2]=ya;if(!$){za=+(Y(qa,oa)|0);Aa=na}else{za=ma;Aa=na+ +(qa|0)*(+(oa|0)*ya)}sa=$+1|0;if((sa|0)==(T|0))break;ma=za;na=Aa;$=sa;Z=f[o+(sa<<4)>>2]|0;aa=f[o+(sa<<4)+8>>2]|0}if(!(za>0.0)){ka=53;break a}n[A+(d*72|0)+16>>2]=-Aa/za;d=d+1|0;aa=f[i>>2]|0;c=f[aa+(I*28|0)+8>>2]|0;if((d|0)>=(f[c+(B*12|0)>>2]|0)){Ba=aa;break}}}else Ba=D;B=B+1|0;if((B|0)>=(f[Ba+(I*28|0)>>2]|0)){Ca=Ba;break}else D=Ba}}else Ca=E;I=I+1|0;if((I|0)>=(K|0)){ka=57;break}else E=Ca}if((ka|0)==53){f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;b[q+11>>0]=9;x=q;y=383695;z=x+9|0;do{b[x>>0]=b[y>>0]|0;x=x+1|0;y=y+1|0}while((x|0)<(z|0));b[q+9>>0]=0;WD(-215,q,383430,381407,602)}else if((ka|0)==57){u=h;return}}function XBa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0;c=u;u=u+1040|0;d=c+16|0;e=c;g=c+40|0;h=c+28|0;i=(a|0)!=0;if(!i){j=i?-5:-27;k=cuc(32)|0;f[h>>2]=k;l=h+8|0;f[l>>2]=-2147483616;m=h+4|0;f[m>>2]=26;o=k;p=383403;q=o+26|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));r=k+26|0;b[r>>0]=0;WD(j,h,383705,381407,174)}if((f[a>>2]&-65536|0)!=1112539136){j=i?-5:-27;k=cuc(32)|0;f[h>>2]=k;l=h+8|0;f[l>>2]=-2147483616;m=h+4|0;f[m>>2]=26;o=k;p=383403;q=o+26|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));r=k+26|0;b[r>>0]=0;WD(j,h,383705,381407,174)}j=a+36|0;if(f[j>>2]|0){r=cuc(48)|0;f[h>>2]=r;f[h+8>>2]=-2147483600;f[h+4>>2]=36;o=r;p=383739;q=o+36|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[r+36>>0]=0;WD(-2,h,383705,381407,177)}r=a+32|0;k=f[r>>2]|0;if(!k){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;WD(-27,h,383705,381407,180)}m=a+4|0;l=f[m>>2]|0;if((l|0)<1){i=cuc(48)|0;f[h>>2]=i;f[h+8>>2]=-2147483600;f[h+4>>2]=33;o=i;p=383776;q=o+33|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[i+33>>0]=0;WD(-211,h,383705,381407,183)}h=f[a+8>>2]|0;i=f[a+12>>2]|0;a=0;p=0;s=0;t=0;a:while(1){v=f[k+(t*24|0)+8>>2]|0;if(!v){w=13;break}x=f[k+(t*24|0)>>2]|0;if((x|0)<1){w=13;break}a=x+a|0;y=0;z=p;A=s;while(1){B=f[v+(y*24|0)>>2]|0;z=B+z|0;if((B|0)>0){C=f[v+(y*24|0)+4>>2]|0;D=0;E=A;while(1){F=C+(D<<6)|0;G=f[C+(D<<6)+12>>2]|0;do if(G){H=f[C+(D<<6)+4>>2]|0;I=f[C+(D<<6)+8>>2]|0;J=f[C+(D<<6)+16>>2]|0;K=(f[F>>2]|0)!=0;M=E|K;if((H+G|0)>(h|0)|(I|G|J|0)<0){N=0;w=29;break a}if(!K)if((H|0)<0|(J+I|0)>(i|0)){N=0;w=29;break a}else{O=M;break}if((H|0)<(J|0)){N=0;w=29;break a}if((I+G+J|0)>(i|0)){N=0;w=29;break a}else O=M}else O=E;while(0);G=f[C+(D<<6)+32>>2]|0;do if(G){M=f[C+(D<<6)+24>>2]|0;J=f[C+(D<<6)+28>>2]|0;I=f[C+(D<<6)+36>>2]|0;H=(f[F>>2]|0)!=0;K=O|H;if((M+G|0)>(h|0)|(J|G|I|0)<0){N=1;w=29;break a}if(!H)if((M|0)<0|(I+J|0)>(i|0)){N=1;w=29;break a}else{P=K;break}if((M|0)<(I|0)){N=1;w=29;break a}if((J+G+I|0)>(i|0)){N=1;w=29;break a}else P=K}else P=O;while(0);G=f[C+(D<<6)+52>>2]|0;do if(G){K=f[C+(D<<6)+44>>2]|0;I=f[C+(D<<6)+48>>2]|0;J=f[C+(D<<6)+56>>2]|0;M=(f[F>>2]|0)!=0;H=P|M;if((K+G|0)>(h|0)|(I|G|J|0)<0){N=2;w=29;break a}if(!M)if((K|0)<0|(J+I|0)>(i|0)){N=2;w=29;break a}else{Q=H;break}if((K|0)<(J|0)){N=2;w=29;break a}if((I+G+J|0)>(i|0)){N=2;w=29;break a}else Q=H}else Q=P;while(0);D=D+1|0;if((D|0)>=(B|0)){R=Q;break}else E=Q}}else R=A;E=y+1|0;if((E|0)>=(x|0))break;else{y=E;A=R}}A=t+1|0;if((A|0)>=(l|0)){w=39;break}else{p=z;s=R;t=A}}if((w|0)==13){f[e>>2]=t;ihc(g,383810,e)|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;s=jfc(g)|0;if(s>>>0>4294967279)muc(e);if(s>>>0<11){b[e+11>>0]=s;if(!s){S=e;T=S+s|0;b[T>>0]=0;WD(-2,e,383705,381407,198)}else U=e}else{p=s+16&-16;Q=cuc(p)|0;f[e>>2]=Q;f[e+8>>2]=p|-2147483648;f[e+4>>2]=s;U=Q}szc(U|0,g|0,s|0)|0;S=U;T=S+s|0;b[T>>0]=0;WD(-2,e,383705,381407,198)}else if((w|0)==29){f[d>>2]=N;f[d+4>>2]=y;f[d+8>>2]=t;ihc(g,383908,d)|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;t=jfc(g)|0;if(t>>>0>4294967279)muc(d);if(t>>>0<11){b[d+11>>0]=t;if(!t){V=d;W=V+t|0;b[W>>0]=0;WD(-27,d,383705,381407,230)}else X=d}else{y=t+16&-16;N=cuc(y)|0;f[d>>2]=N;f[d+8>>2]=y|-2147483648;f[d+4>>2]=t;X=N}szc(X|0,g|0,t|0)|0;V=X;W=V+t|0;b[W>>0]=0;WD(-27,d,383705,381407,230)}else if((w|0)==39){w=UC((z*72|0)+144+(a*12|0)+(a+z<<2)+(l*28|0)|0)|0;kzc(w+8|0,0,136)|0;l=f[m>>2]|0;f[w>>2]=l;z=w+144|0;d=w+100|0;f[d>>2]=z;W=z+(l*28|0)|0;t=w+141|0;b[t>>0]=1;f[w+4>>2]=R&1;R=w+140|0;b[R>>0]=0;if((l|0)<=0){f[j>>2]=w;VC(0);VC(0);VC(0);VC(0);VC(0);VC(0);u=c;return}V=W;X=W+(a*12|0)|0;a=0;W=z;z=l;while(1){l=f[r>>2]|0;g=l+(a*24|0)|0;N=f[g>>2]|0;f[W+(a*28|0)>>2]=N;n[W+(a*28|0)+4>>2]=+n[l+(a*24|0)+4>>2]+-9.999999747378752e-05;y=W+(a*28|0)+8|0;f[y>>2]=V;e=W+(a*28|0)+12|0;f[e>>2]=1;T=V+(N*12|0)|0;s=f[l+(a*24|0)+20>>2]|0;f[W+(a*28|0)+24>>2]=(s|0)==-1?0:W+(s*28|0)|0;s=f[l+(a*24|0)+12>>2]|0;S=(s|0)==-1?0:W+(s*28|0)|0;f[W+(a*28|0)+16>>2]=S;s=f[l+(a*24|0)+16>>2]|0;f[W+(a*28|0)+20>>2]=(s|0)==-1?0:W+(s*28|0)|0;b[R>>0]=(S|0)!=0|b[R>>0];if((N|0)>0){N=l+(a*24|0)+8|0;l=0;S=X;s=V;while(1){U=f[N>>2]|0;Q=f[U+(l*24|0)>>2]|0;p=S+(Q*72|0)|0;f[s+(l*12|0)>>2]=Q;P=s+(l*12|0)+4|0;f[P>>2]=S;f[s+(l*12|0)+8>>2]=p;b:do if((Q|0)>0){i=U+(l*24|0)+4|0;h=U+(l*24|0)+8|0;O=U+(l*24|0)+12|0;k=U+(l*24|0)+16|0;A=0;x=S;while(1){v=f[i>>2]|0;o=x+(A*72|0)|0;q=o+72|0;do{f[o>>2]=-1;o=o+4|0}while((o|0)<(q|0));f[x+(A*72|0)+60>>2]=f[(f[h>>2]|0)+(A<<2)>>2];f[x+(A*72|0)+64>>2]=f[(f[O>>2]|0)+(A<<2)>>2];f[x+(A*72|0)+68>>2]=f[(f[k>>2]|0)+(A<<2)>>2];if((!(+L(+(+n[v+(A<<6)+60>>2]))<2.220446049250313e-16)?(f[v+(A<<6)+52>>2]|0)!=0:0)?(f[v+(A<<6)+56>>2]|0)!=0:0)f[e>>2]=0;else{E=x+(A*72|0)+40|0;f[E>>2]=0;f[E+4>>2]=0;f[E+8>>2]=0;f[E+12>>2]=0;f[E+16>>2]=0}E=A+1|0;if((E|0)==(Q|0))break b;A=E;x=f[P>>2]|0}}while(0);szc(p|0,f[U+(l*24|0)+20>>2]|0,(Q<<2)+4|0)|0;Y=p+(Q<<2)+4+3&-4;b[t>>0]=(Q|0)==1&(b[t>>0]|0)!=0&1;P=l+1|0;if((P|0)>=(f[g>>2]|0))break;l=P;S=Y;s=f[y>>2]|0}Z=Y;_=f[m>>2]|0}else{Z=X;_=z}y=a+1|0;if((y|0)>=(_|0))break;V=T;X=Z;a=y;W=f[d>>2]|0;z=_}f[j>>2]=w;VC(0);VC(0);VC(0);VC(0);VC(0);VC(0);u=c;return}}function YBa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+16|0;e=d+8|0;gV(e,109464);g=b;b=ZBa(a,f[g>>2]|0,f[g+4>>2]|0,d,c)|0;if(!(f[e+4>>2]|0)){u=d;return b|0}u=d;return b|0}function ZBa(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0.0,x=0.0,y=0.0,z=0.0,A=0,B=0.0,C=0,D=0,E=0.0,F=0.0,G=0.0;h=u;u=u+16|0;i=h;j=(a|0)!=0;if(!j){k=j?-5:-27;l=cuc(32)|0;f[i>>2]=l;m=i+8|0;f[m>>2]=-2147483616;o=i+4|0;f[o>>2]=23;q=l;r=384026;s=q+23|0;do{b[q>>0]=b[r>>0]|0;q=q+1|0;r=r+1|0}while((q|0)<(s|0));t=l+23|0;b[t>>0]=0;WD(k,i,384050,381407,684)}if((f[a>>2]&-65536|0)!=1112539136){k=j?-5:-27;l=cuc(32)|0;f[i>>2]=l;m=i+8|0;f[m>>2]=-2147483616;o=i+4|0;f[o>>2]=23;q=l;r=384026;s=q+23|0;do{b[q>>0]=b[r>>0]|0;q=q+1|0;r=r+1|0}while((q|0)<(s|0));t=l+23|0;b[t>>0]=0;WD(k,i,384050,381407,684)}k=f[a+36>>2]|0;if(!k){t=cuc(80)|0;f[i>>2]=t;f[i+8>>2]=-2147483568;f[i+4>>2]=76;q=t;r=384080;s=q+76|0;do{b[q>>0]=b[r>>0]|0;q=q+1|0;r=r+1|0}while((q|0)<(s|0));b[t+76>>0]=0;WD(-27,i,384050,381407,689)}if((d|c|0)<0){v=-1;u=h;return v|0}if(((f[a+16>>2]|0)+c|0)>=(f[k+40>>2]|0)){v=-1;u=h;return v|0}if(((f[a+20>>2]|0)+d|0)>=(f[k+36>>2]|0)){v=-1;u=h;return v|0}a=(Y((f[k+20>>2]|0)>>>2,d)|0)+c|0;i=(Y((f[k+48>>2]|0)>>>3,d)|0)+c|0;w=+p[k+8>>3];x=w*+((f[(f[k+120>>2]|0)+(a<<2)>>2]|0)-(f[(f[k+124>>2]|0)+(a<<2)>>2]|0)-(f[(f[k+128>>2]|0)+(a<<2)>>2]|0)+(f[(f[k+132>>2]|0)+(a<<2)>>2]|0)|0);y=w*(+p[(f[k+104>>2]|0)+(i<<3)>>3]-+p[(f[k+108>>2]|0)+(i<<3)>>3]-+p[(f[k+112>>2]|0)+(i<<3)>>3]+ +p[(f[k+116>>2]|0)+(i<<3)>>3])-x*x;if(!(y>=0.0))z=1.0;else z=+M(+y);if(b[k+140>>0]|0){i=f[k+100>>2]|0;if(!i){v=1;u=h;return v|0}else A=i;a:while(1){p[e>>3]=0.0;i=f[A>>2]|0;if((i|0)>0){c=f[A+8>>2]|0;d=0;y=0.0;while(1){x=+_Ba(c+(d*12|0)|0,z,a)+y;p[e>>3]=x;d=d+1|0;if((d|0)>=(i|0)){B=x;break}else y=x}}else B=0.0;if(B>=+n[A+4>>2]){i=f[A+20>>2]|0;if(!i){v=1;C=43;break}else{A=i;continue}}else D=A;while(1){i=f[D+16>>2]|0;if(i|0){A=i;continue a}D=f[D+24>>2]|0;if(!D){v=0;C=43;break a}}}if((C|0)==43){u=h;return v|0}}D=f[k>>2]|0;A=(D|0)>(g|0);if(!(b[k+141>>0]|0)){if(!A){v=1;u=h;return v|0}i=f[k+100>>2]|0;d=g;while(1){p[e>>3]=0.0;c=f[i+(d*28|0)>>2]|0;if((c|0)>0){t=f[i+(d*28|0)+8>>2]|0;r=0;B=0.0;while(1){y=+_Ba(t+(r*12|0)|0,z,a)+B;p[e>>3]=y;r=r+1|0;if((r|0)>=(c|0)){E=y;break}else B=y}}else E=0.0;if(E<+n[i+(d*28|0)+4>>2]){v=0-d|0;C=43;break}d=d+1|0;if((d|0)>=(D|0)){v=1;C=43;break}}if((C|0)==43){u=h;return v|0}}if(!A){v=1;u=h;return v|0}A=f[k+100>>2]|0;k=g;while(1){g=f[A+(k*28|0)>>2]|0;d=(g|0)>0;if(!(f[A+(k*28|0)+12>>2]|0))if(d){i=f[A+(k*28|0)+8>>2]|0;c=0;E=0.0;while(1){r=f[i+(c*12|0)+4>>2]|0;B=+n[r+16>>2]*+((f[(f[r>>2]|0)+(a<<2)>>2]|0)-(f[(f[r+4>>2]|0)+(a<<2)>>2]|0)-(f[(f[r+8>>2]|0)+(a<<2)>>2]|0)+(f[(f[r+12>>2]|0)+(a<<2)>>2]|0)|0)+ +n[r+36>>2]*+((f[(f[r+20>>2]|0)+(a<<2)>>2]|0)-(f[(f[r+24>>2]|0)+(a<<2)>>2]|0)-(f[(f[r+28>>2]|0)+(a<<2)>>2]|0)+(f[(f[r+32>>2]|0)+(a<<2)>>2]|0)|0);t=f[r+40>>2]|0;if(!t)F=B;else F=B+ +n[r+56>>2]*+((f[t+(a<<2)>>2]|0)-(f[(f[r+44>>2]|0)+(a<<2)>>2]|0)-(f[(f[r+48>>2]|0)+(a<<2)>>2]|0)+(f[(f[r+52>>2]|0)+(a<<2)>>2]|0)|0);B=E+ +n[(f[i+(c*12|0)+8>>2]|0)+((F>=z*+n[r+60>>2]&1)<<2)>>2];c=c+1|0;if((c|0)>=(g|0)){G=B;break}else E=B}}else G=0.0;else if(d){c=f[A+(k*28|0)+8>>2]|0;i=0;E=0.0;while(1){r=f[c+(i*12|0)+4>>2]|0;B=E+ +n[(f[c+(i*12|0)+8>>2]|0)+((+n[r+16>>2]*+((f[(f[r>>2]|0)+(a<<2)>>2]|0)-(f[(f[r+4>>2]|0)+(a<<2)>>2]|0)-(f[(f[r+8>>2]|0)+(a<<2)>>2]|0)+(f[(f[r+12>>2]|0)+(a<<2)>>2]|0)|0)+ +n[r+36>>2]*+((f[(f[r+20>>2]|0)+(a<<2)>>2]|0)-(f[(f[r+24>>2]|0)+(a<<2)>>2]|0)-(f[(f[r+28>>2]|0)+(a<<2)>>2]|0)+(f[(f[r+32>>2]|0)+(a<<2)>>2]|0)|0)>=z*+n[r+60>>2]&1)<<2)>>2];i=i+1|0;if((i|0)>=(g|0)){G=B;break}else E=B}}else G=0.0;if(G<+n[A+(k*28|0)+4>>2]){C=35;break}g=k+1|0;if((g|0)<(D|0))k=g;else{C=42;break}}if((C|0)==35){p[e>>3]=G;v=0-k|0;u=h;return v|0}else if((C|0)==42){p[e>>3]=G;v=1;u=h;return v|0}return 0}function _Ba(a,b,c){a=a|0;b=+b;c=c|0;var d=0,e=0,g=0.0,h=0,i=0.0;d=f[a+4>>2]|0;e=0;do{g=+n[d+(e*72|0)+16>>2]*+((f[(f[d+(e*72|0)>>2]|0)+(c<<2)>>2]|0)-(f[(f[d+(e*72|0)+4>>2]|0)+(c<<2)>>2]|0)-(f[(f[d+(e*72|0)+8>>2]|0)+(c<<2)>>2]|0)+(f[(f[d+(e*72|0)+12>>2]|0)+(c<<2)>>2]|0)|0)+ +n[d+(e*72|0)+36>>2]*+((f[(f[d+(e*72|0)+20>>2]|0)+(c<<2)>>2]|0)-(f[(f[d+(e*72|0)+24>>2]|0)+(c<<2)>>2]|0)-(f[(f[d+(e*72|0)+28>>2]|0)+(c<<2)>>2]|0)+(f[(f[d+(e*72|0)+32>>2]|0)+(c<<2)>>2]|0)|0);h=f[d+(e*72|0)+40>>2]|0;if(!h)i=g;else i=g+ +n[d+(e*72|0)+56>>2]*+((f[h+(c<<2)>>2]|0)-(f[(f[d+(e*72|0)+44>>2]|0)+(c<<2)>>2]|0)-(f[(f[d+(e*72|0)+48>>2]|0)+(c<<2)>>2]|0)+(f[(f[d+(e*72|0)+52>>2]|0)+(c<<2)>>2]|0)|0);e=f[(i<+n[d+(e*72|0)+60>>2]*b?d+(e*72|0)+64|0:d+(e*72|0)+68|0)>>2]|0}while((e|0)>0);return +(+n[(f[a+8>>2]|0)+(0-e<<2)>>2])}function $Ba(a,c,d,e,g,h,i,j,k,l,m){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=+h;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0.0,ka=0.0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0.0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0.0,Qb=0.0,Rb=0,Sb=0.0,Tb=0.0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0;n=u;u=u+736|0;o=n+232|0;q=n+720|0;r=n+692|0;s=n+680|0;t=n+668|0;v=n+656|0;w=n+652|0;x=n+624|0;y=n+580|0;z=n+552|0;A=n+176|0;B=n+524|0;C=n+496|0;D=n+440|0;E=n+384|0;F=n+376|0;G=n;H=n+320|0;I=n+264|0;J=n+608|0;gV(q,109484);f[s>>2]=0;K=s+4|0;f[K>>2]=0;f[s+8>>2]=0;f[t>>2]=0;L=t+4|0;f[L>>2]=0;f[t+8>>2]=0;f[v>>2]=0;M=v+4|0;f[M>>2]=0;f[v+8>>2]=0;N=(j&1|0)!=0;O=j&4;P=(O|0)!=0;Q=(j&8|0)!=0;Ztc(x);R=(c|0)!=0;if(!R){f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;S=cuc(32)|0;f[o>>2]=S;T=o+8|0;f[T>>2]=-2147483616;U=o+4|0;f[U>>2]=26;V=S;W=384235;X=V+26|0;do{b[V>>0]=b[W>>0]|0;V=V+1|0;W=W+1|0}while((V|0)<(X|0));Z=S+26|0;b[Z>>0]=0;_=R?-5:-27;WD(_,o,384262,381407,1238)}if((f[c>>2]&-65536|0)!=1112539136){f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;S=cuc(32)|0;f[o>>2]=S;T=o+8|0;f[T>>2]=-2147483616;U=o+4|0;f[U>>2]=26;V=S;W=384235;X=V+26|0;do{b[V>>0]=b[W>>0]|0;V=V+1|0;W=W+1|0}while((V|0)<(X|0));Z=S+26|0;b[Z>>0]=0;_=R?-5:-27;WD(_,o,384262,381407,1238)}if(!d){f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;_=cuc(32)|0;f[o>>2]=_;f[o+8>>2]=-2147483616;f[o+4>>2]=20;V=_;W=384288;X=V+20|0;do{b[V>>0]=b[W>>0]|0;V=V+1|0;W=W+1|0}while((V|0)<(X|0));b[_+20>>0]=0;WD(-27,o,384262,381407,1241)}_=IZ(a,r,w,0)|0;if(f[w>>2]|0){f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;w=cuc(32)|0;f[o>>2]=w;f[o+8>>2]=-2147483616;f[o+4>>2]=20;V=w;W=383489;X=V+20|0;do{b[V>>0]=b[W>>0]|0;V=V+1|0;W=W+1|0}while((V|0)<(X|0));b[w+20>>0]=0;WD(-24,o,384262,381407,1245)}if(f[_>>2]&7|0){f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;w=cuc(32)|0;f[o>>2]=w;f[o+8>>2]=-2147483616;f[o+4>>2]=31;V=w;W=384309;X=V+31|0;do{b[V>>0]=b[W>>0]|0;V=V+1|0;W=W+1|0}while((V|0)<(X|0));b[w+31>>0]=0;WD(-210,o,384262,381407,1248)}if(h<=1.0){f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;w=cuc(32)|0;f[o>>2]=w;f[o+8>>2]=-2147483616;f[o+4>>2]=24;V=w;W=384341;X=V+24|0;do{b[V>>0]=b[W>>0]|0;V=V+1|0;W=W+1|0}while((V|0)<(X|0));b[w+24>>0]=0;WD(-211,o,384262,381407,1251)}w=l+4|0;W=f[w>>2]|0;if((W|0)!=0?(V=f[l>>2]|0,(V|0)!=0):0){X=_+20|0;r=_+24|0;$=r;aa=X;ba=V;ca=W;da=f[X>>2]|0;ea=f[r>>2]|0}else{r=_+20|0;X=f[r>>2]|0;f[w>>2]=X;W=_+24|0;V=f[W>>2]|0;f[l>>2]=V;$=W;aa=r;ba=V;ca=X;da=X;ea=V}V=wZ(da,ea,0)|0;ea=cuc(16)|0;f[ea+4>>2]=0;f[ea+8>>2]=0;f[ea>>2]=109512;f[ea+12>>2]=V;da=wZ((f[aa>>2]|0)+1|0,(f[$>>2]|0)+1|0,4)|0;X=cuc(16)|0;f[X+4>>2]=0;f[X+8>>2]=0;f[X>>2]=109512;f[X+12>>2]=da;r=wZ((f[aa>>2]|0)+1|0,(f[$>>2]|0)+1|0,6)|0;W=cuc(16)|0;f[W+4>>2]=0;f[W+8>>2]=0;f[W>>2]=109512;f[W+12>>2]=r;a=c+36|0;R=f[a>>2]|0;if(!R){XBa(c);fa=f[a>>2]|0}else fa=R;if(!(f[fa+4>>2]|0)){ga=0;ha=0}else{fa=wZ((f[aa>>2]|0)+1|0,(f[$>>2]|0)+1|0,4)|0;$=cuc(16)|0;f[$+4>>2]=0;f[$+8>>2]=0;f[$>>2]=109512;f[$+12>>2]=fa;ga=fa;ha=$}$=DK(0,56,20,d)|0;if(!(f[_>>2]&4088))ia=_;else{dha(_,V,6);ia=V}a:do if((j&6|0)==2){_=f[c+8>>2]|0;d=f[c+12>>2]|0;fa=ia+20|0;aa=ia+24|0;R=wZ((f[fa>>2]|0)+1|0,(f[aa>>2]|0)+1|0,0)|0;a=cuc(16)|0;f[a+4>>2]=0;f[a+8>>2]=0;f[a>>2]=109512;f[a+12>>2]=R;Z=a;ja=+(_|0);ka=+(d|0);a=_+-2|0;S=d+-2|0;U=k+4|0;T=R+16|0;R=o+4|0;la=o+8|0;ma=o+12|0;na=o+16|0;oa=o+20|0;pa=o+24|0;qa=da+16|0;ra=y+4|0;sa=y+8|0;ta=y+12|0;ua=y+16|0;va=y+20|0;wa=y+24|0;xa=r+16|0;ya=z+4|0;za=z+8|0;Aa=z+12|0;Ba=z+16|0;Ca=z+20|0;Da=z+24|0;Ea=(ga|0)==0;Fa=A+4|0;Ga=A+8|0;Ha=A+12|0;Ia=A+16|0;Ja=A+20|0;Ka=A+24|0;La=V+16|0;Ma=C+4|0;Na=C+8|0;Oa=C+12|0;Pa=C+16|0;Qa=C+20|0;Ra=C+24|0;Sa=F+4|0;Ta=J+4|0;Ua=J+8|0;Va=J+12|0;Wa=I+36|0;Xa=I+16|0;Ya=I+4|0;Za=I+40|0;_a=I+44|0;$a=I+48|0;ab=H+36|0;bb=H+16|0;cb=H+4|0;db=H+40|0;eb=H+44|0;fb=H+48|0;gb=E+36|0;hb=E+16|0;ib=E+4|0;jb=E+40|0;kb=E+44|0;lb=E+48|0;mb=D+36|0;nb=D+16|0;ob=D+4|0;pb=D+40|0;qb=D+44|0;rb=D+48|0;sb=ga+16|0;tb=B+4|0;ub=B+8|0;vb=B+12|0;wb=B+16|0;xb=B+20|0;yb=B+24|0;zb=1.0;while(1){Ab=Fhc(ja*zb)|0;Bb=Fhc(ka*zb)|0;Cb=Fhc(+(f[aa>>2]|0)/zb)|0;Db=Fhc(+(f[fa>>2]|0)/zb)|0;Eb=Cb-_|0;Fb=Eb+1|0;Gb=Db-d|0;Hb=Gb+1|0;if((Gb|Eb|0)<0){Ib=66;break}if((Ab|0)>(f[l>>2]|0)){Ib=68;break}if((Bb|0)>(f[w>>2]|0)){Ib=67;break}if((Ab|0)>=(f[k>>2]|0)?(Bb|0)>=(f[U>>2]|0):0){Bb=f[T>>2]|0;f[o>>2]=1111638016;f[R>>2]=Cb;f[la>>2]=0;f[ma>>2]=0;f[na>>2]=Bb;f[oa>>2]=Db;f[pa>>2]=Cb;Bb=Db+1|0;Db=Cb+1|0;Cb=f[qa>>2]|0;Ab=Db<<2;f[y>>2]=1111638020;f[ra>>2]=Ab;f[sa>>2]=0;f[ta>>2]=0;f[ua>>2]=Cb;f[va>>2]=Bb;f[wa>>2]=Db;Cb=f[xa>>2]|0;f[z>>2]=1111638022;f[ya>>2]=Db<<3;f[za>>2]=0;f[Aa>>2]=0;f[Ba>>2]=Cb;f[Ca>>2]=Bb;f[Da>>2]=Db;if(Ea)Jb=0;else{Cb=f[sb>>2]|0;f[B>>2]=1111638020;f[tb>>2]=Ab;f[ub>>2]=0;f[vb>>2]=0;f[wb>>2]=Cb;f[xb>>2]=Bb;f[yb>>2]=Db;Jb=B}f[A>>2]=1111638021;f[Fa>>2]=Fb<<2;f[Ga>>2]=0;f[Ha>>2]=0;f[Ia>>2]=0;f[Ja>>2]=Hb;f[Ka>>2]=Fb;Db=f[La>>2]|0;f[C>>2]=1111638016;f[Ma>>2]=Fb;f[Na>>2]=0;f[Oa>>2]=0;f[Pa>>2]=Db;f[Qa>>2]=Hb;f[Ra>>2]=Fb;Uea(ia,o,5);Kaa(o,y,z,Jb);Hb=zb>2.0?1:2;Db=((Y((Fb|0)/(Hb|0)|0,Gb+Hb|0)|0)/(Hb|0)|0)+500|0;Fb=(Db|0)<1e3?1:(Db|0)/1e3|0;Db=(Fb|0)<100?Fb:100;WBa(c,y,z,Jb,1.0);tK(D,A,0,1,0,0);tK(E,C,0,1,0,0);f[F>>2]=0;f[Sa>>2]=Db;Fb=Hb+-1+((Db+Gb|0)/(Db|0)|0)|0;tK(H,y,0,1,0,0);tK(I,z,0,1,0,0);f[J>>2]=1;f[Ta>>2]=1;f[Ua>>2]=a;f[Va>>2]=S;aCa(G,c,Fb-((Fb|0)%(Hb|0)|0)|0,zb,H,I,D,E,J,s,e,g,m,x);sZ(F,G,-1.0);bCa(G);Hb=f[Wa>>2]|0;do if(Hb|0){Fb=Hb+12|0;Db=f[Fb>>2]|0;f[Fb>>2]=Db+-1;if((Db|0)!=1)break;aU(I)}while(0);f[Wa>>2]=0;f[Xa>>2]=0;f[Xa+4>>2]=0;f[Xa+8>>2]=0;f[Xa+12>>2]=0;if((f[Ya>>2]|0)>0){Hb=f[Za>>2]|0;Db=0;do{f[Hb+(Db<<2)>>2]=0;Db=Db+1|0}while((Db|0)<(f[Ya>>2]|0))}Db=f[_a>>2]|0;if((Db|0)!=($a|0))TC(Db);Db=f[ab>>2]|0;do if(Db|0){Hb=Db+12|0;Fb=f[Hb>>2]|0;f[Hb>>2]=Fb+-1;if((Fb|0)!=1)break;aU(H)}while(0);f[ab>>2]=0;f[bb>>2]=0;f[bb+4>>2]=0;f[bb+8>>2]=0;f[bb+12>>2]=0;if((f[cb>>2]|0)>0){Db=f[db>>2]|0;Fb=0;do{f[Db+(Fb<<2)>>2]=0;Fb=Fb+1|0}while((Fb|0)<(f[cb>>2]|0))}Fb=f[eb>>2]|0;if((Fb|0)!=(fb|0))TC(Fb);Fb=f[gb>>2]|0;do if(Fb|0){Db=Fb+12|0;Hb=f[Db>>2]|0;f[Db>>2]=Hb+-1;if((Hb|0)!=1)break;aU(E)}while(0);f[gb>>2]=0;f[hb>>2]=0;f[hb+4>>2]=0;f[hb+8>>2]=0;f[hb+12>>2]=0;if((f[ib>>2]|0)>0){Fb=f[jb>>2]|0;Hb=0;do{f[Fb+(Hb<<2)>>2]=0;Hb=Hb+1|0}while((Hb|0)<(f[ib>>2]|0))}Hb=f[kb>>2]|0;if((Hb|0)!=(lb|0))TC(Hb);Hb=f[mb>>2]|0;do if(Hb|0){Fb=Hb+12|0;Db=f[Fb>>2]|0;f[Fb>>2]=Db+-1;if((Db|0)!=1)break;aU(D)}while(0);f[mb>>2]=0;f[nb>>2]=0;f[nb+4>>2]=0;f[nb+8>>2]=0;f[nb+12>>2]=0;if((f[ob>>2]|0)>0){Hb=f[pb>>2]|0;Db=0;do{f[Hb+(Db<<2)>>2]=0;Db=Db+1|0}while((Db|0)<(f[ob>>2]|0))}Db=f[qb>>2]|0;if((Db|0)!=(rb|0))TC(Db)}zb=zb*h}if((Ib|0)==66){Kb=0;Lb=Z;break}else if((Ib|0)==67){Kb=0;Lb=Z;break}else if((Ib|0)==68){Kb=0;Lb=Z;break}}else{rb=ga;Kaa(ia,da,r,rb);if(N){qb=ia+24|0;ob=wZ((f[ia+20>>2]|0)+1|0,(f[qb>>2]|0)+1|0,4)|0;pb=ob;nb=cuc(16)|0;f[nb+4>>2]=0;f[nb+8>>2]=0;f[nb>>2]=109512;f[nb+12>>2]=pb;Mfa(ia,V,0.0,50.0,3);Kaa(V,ob,0,0);Mb=qb;Nb=pb;Ob=nb}else{Mb=ia+24|0;Nb=0;Ob=0}nb=c+8|0;pb=f[nb>>2]|0;zb=+(pb|0);qb=f[Mb>>2]|0;ka=+(qb+-10|0);if(zb<ka){ja=+(f[c+12>>2]|0);Pb=+((f[ia+20>>2]|0)+-10|0);ob=0;Qb=1.0;while(1){if(!(Qb*ja<Pb)){Rb=ob;Sb=Qb;break}mb=ob+1|0;Tb=Qb*h;if(Tb*zb<ka){ob=mb;Qb=Tb}else{Rb=mb;Sb=Tb;break}}Qb=1.0/h;ka=P?Qb:h;if((Rb|0)>0){ob=c+12|0;Z=ia+20|0;mb=k+4|0;lb=Nb;kb=lb+16|0;ib=lb+4|0;lb=o+4|0;jb=o+8|0;hb=o+12|0;gb=da+16|0;fb=da+4|0;eb=y+4|0;cb=y+8|0;db=y+12|0;bb=z+4|0;ab=A+20|0;$a=A+24|0;_a=A+28|0;Ya=A+4|0;Za=A+8|0;Xa=A+16|0;Wa=A+36|0;S=A+40|0;Va=A+44|0;a=A+48|0;Ua=(i|0)>1?i:1;Ta=s+8|0;Sa=z+4|0;Ra=z+8|0;Qa=z+12|0;zb=Q?.6:.4;Pb=P?Qb*Sb:1.0;Pa=Rb;Oa=0;Na=0;Ma=0;La=0;Ka=pb;Ja=qb;Ia=f[k>>2]|0;while(1){Ha=Pa+-1|0;Qb=Pb>2.0?Pb:2.0;Ga=Fhc(Pb*+(Ka|0))|0;Fa=Fhc(Pb*+(f[ob>>2]|0))|0;f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;f[o+12>>2]=0;f[y>>2]=0;f[y+4>>2]=0;f[y+8>>2]=0;f[y+12>>2]=0;yb=Fhc(+(Ja-Ga|0)/Qb)|0;xb=Fhc(+((f[Z>>2]|0)-Fa|0)/Qb)|0;do if((Ga|0)>=(Ia|0)?(Fa|0)>=(f[mb>>2]|0):0){if((Ga|0)>(ba|0)|(Fa|0)>(ca|0))if(P){Ub=Oa;Vb=Na;Wb=Ma;Xb=La;Yb=Ia;break}else{Kb=Ob;Lb=0;break a}WBa(c,da,r,rb,Pb);OI(V);if(N){ja=+(Ga|0);wb=Fhc(ja*.15)|0;Tb=+(Fa|0);vb=Fhc(Tb*.15)|0;ub=Fhc(ja*.7)|0;tb=Fhc(Tb*.7)|0;sb=f[kb>>2]|0;Ea=f[ib>>2]|0;Da=sb+(Y(Ea,vb)|0)+(wb<<2)|0;f[o>>2]=Da;f[lb>>2]=Da+(ub<<2);Da=tb+vb|0;tb=sb+(Y(Ea,Da)|0)+(wb<<2)|0;f[jb>>2]=tb;f[hb>>2]=tb+(ub<<2);tb=f[gb>>2]|0;Ea=f[fb>>2]|0;sb=tb+(Y(Ea,vb)|0)+(wb<<2)|0;f[y>>2]=sb;f[eb>>2]=sb+(ub<<2);sb=tb+(Y(Ea,Da)|0)+(wb<<2)|0;f[cb>>2]=sb;f[db>>2]=sb+(ub<<2)}ub=Y(La,Ma)|0;if((ub|0)>0){sb=Fhc(+(Na|0)/Qb)|0;wb=Fhc(+(La+Na-Fa|0)/Qb)|0;Da=Fhc(+(Oa|0)/Qb)|0;Zb=wb;_b=Fhc(+(Ma+Oa-Ga|0)/Qb)|0;$b=sb;ac=Da}else{Zb=xb;_b=yb;$b=0;ac=0}f[z>>2]=$b;f[bb>>2]=Zb;Da=f[fb>>2]|0;f[A>>2]=109540;f[Ya>>2]=c;f[ab>>2]=Ga;f[$a>>2]=Fa;sb=_a;f[sb>>2]=ac;f[sb+4>>2]=_b;p[Za>>3]=Qb;f[Xa>>2]=Da;f[Wa>>2]=o;f[S>>2]=y;f[Va>>2]=s;f[a>>2]=x;sZ(z,A,-1.0);if(!P){Ub=Oa;Vb=Na;Wb=Ma;Xb=La;Yb=Ia;break}Da=f[s>>2]|0;sb=f[K>>2]|0;if((Da|0)==(sb|0)){Ub=Oa;Vb=Na;Wb=Ma;Xb=La;Yb=Ia;break}if(ub|0){Ub=Oa;Vb=Na;Wb=Ma;Xb=La;Yb=Ia;break}ub=sb-Da>>4;wb=f[L>>2]|0;Ea=f[t>>2]|0;tb=wb-Ea>>4;vb=Ea;Ea=wb;do if(ub>>>0>tb>>>0){Zza(t,ub-tb|0);bc=f[s>>2]|0;cc=f[K>>2]|0}else{if(ub>>>0>=tb>>>0){bc=Da;cc=sb;break}wb=vb+(ub<<4)|0;if((Ea|0)==(wb|0)){bc=Da;cc=sb;break}f[L>>2]=Ea+(~((Ea+-16-wb|0)>>>4)<<4);bc=Da;cc=sb}while(0);if((bc|0)!=(cc|0)){sb=bc;Da=f[t>>2]|0;while(1){f[Da>>2]=f[sb>>2];f[Da+4>>2]=f[sb+4>>2];f[Da+8>>2]=f[sb+8>>2];f[Da+12>>2]=f[sb+12>>2];sb=sb+16|0;if((sb|0)==(cc|0))break;else Da=Da+16|0}}Mza(t,Ua,.2);Da=f[t>>2]|0;sb=f[L>>2]|0;if((Da|0)==(sb|0)){Ub=Oa;Vb=Na;Wb=Ma;Xb=La;Yb=Ia;break}Ea=sb-Da>>4;f[z>>2]=0;f[z+4>>2]=0;f[z+8>>2]=0;f[z+12>>2]=0;if(!Ea){dc=0;ec=0;fc=0;gc=0}else{sb=0;ub=0;vb=0;tb=0;wb=0;while(1){Ca=f[Da+(sb<<4)+8>>2]|0;Ba=f[Da+(sb<<4)+12>>2]|0;if((Y(Ba,Ca)|0)>(Y(vb,ub)|0)){Aa=f[Da+(sb<<4)>>2]|0;f[z>>2]=Aa;za=f[Da+(sb<<4)+4>>2]|0;f[Sa>>2]=za;f[Ra>>2]=Ca;f[Qa>>2]=Ba;hc=za;ic=Aa;jc=Ba;kc=Ca}else{hc=tb;ic=wb;jc=vb;kc=ub}sb=sb+1|0;if((sb|0)==(Ea|0)){dc=ic;ec=hc;fc=kc;gc=jc;break}else{ub=kc;vb=jc;tb=hc;wb=ic}}}wb=f[K>>2]|0;if((wb|0)==(f[Ta>>2]|0))It(s,z);else{f[wb>>2]=dc;f[wb+4>>2]=ec;f[wb+8>>2]=fc;f[wb+12>>2]=gc;f[K>>2]=wb+16}wb=f[z>>2]|0;tb=f[Sa>>2]|0;vb=f[Ra>>2]|0;ub=f[Qa>>2]|0;Tb=+(vb|0);Ea=Fhc(Tb*.2)|0;ja=+(ub|0);sb=Fhc(ja*.2)|0;Da=wb-Ea|0;wb=(Da|0)>0?Da:0;Da=tb-sb|0;tb=(Da|0)>0?Da:0;Da=(Ea<<1)+vb|0;vb=(f[Mb>>2]|0)+-1-wb|0;Ea=(sb<<1)+ub|0;ub=(f[Z>>2]|0)+-1-tb|0;sb=Fhc(zb*Tb)|0;f[k>>2]=sb;Ca=Fhc(zb*ja)|0;f[mb>>2]=Ca;Ub=wb;Vb=tb;Wb=(vb|0)<(Da|0)?vb:Da;Xb=(ub|0)<(Ea|0)?ub:Ea;Yb=sb}else Ib=80;while(0);if((Ib|0)==80){Ib=0;if(P){Kb=Ob;Lb=0;break a}else{Ub=Oa;Vb=Na;Wb=Ma;Xb=La;Yb=Ia}}if((Pa|0)<=1){Kb=Ob;Lb=0;break a}Pb=ka*Pb;Pa=Ha;Oa=Ub;Na=Vb;Ma=Wb;La=Xb;Ka=f[nb>>2]|0;Ja=f[Mb>>2]|0;Ia=Yb}}else{Kb=Ob;Lb=0}}else{Kb=Ob;Lb=0}}while(0);Ob=f[K>>2]|0;Yb=f[s>>2]|0;Mb=Ob-Yb>>4;Xb=f[L>>2]|0;Wb=f[t>>2]|0;Vb=Xb-Wb>>4;Ub=Wb;Wb=Xb;Xb=Yb;Yb=Ob;if(Mb>>>0<=Vb>>>0)if(Mb>>>0<Vb>>>0?(Ob=Ub+(Mb<<4)|0,(Wb|0)!=(Ob|0)):0){f[L>>2]=Wb+(~((Wb+-16-Ob|0)>>>4)<<4);lc=Xb;mc=Yb}else{lc=Xb;mc=Yb}else{Zza(t,Mb-Vb|0);lc=f[s>>2]|0;mc=f[K>>2]|0}if((lc|0)!=(mc|0)){Vb=lc;lc=f[t>>2]|0;while(1){f[lc>>2]=f[Vb>>2];f[lc+4>>2]=f[Vb+4>>2];f[lc+8>>2]=f[Vb+8>>2];f[lc+12>>2]=f[Vb+12>>2];Vb=Vb+16|0;if((Vb|0)==(mc|0))break;else lc=lc+16|0}}do if(!(O|i)){lc=(f[L>>2]|0)-(f[t>>2]|0)>>4;f[o>>2]=0;mc=f[M>>2]|0;Vb=f[v>>2]|0;Mb=mc-Vb>>2;Yb=Vb;Vb=mc;if(lc>>>0<=Mb>>>0){if(lc>>>0<Mb>>>0?(mc=Yb+(lc<<2)|0,(Vb|0)!=(mc|0)):0)f[M>>2]=Vb+(~((Vb+-4-mc|0)>>>2)<<2)}else fs(v,lc-Mb|0,o)}else if(m){zAa(t,e,g,i,.2);break}else{_za(t,v,(i|0)>1?i:1,.2);break}while(0);i=f[L>>2]|0;g=f[t>>2]|0;e=(i|0)==(g|0);if(P){P=g;if(!e){f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;f[o+12>>2]=0;f[o+16>>2]=0;m=o+8|0;O=o+12|0;Mb=o+4|0;lc=f[v>>2]|0;mc=o+16|0;Vb=i-g>>4;i=0;Yb=0;Xb=0;while(1){Ob=f[P+(i<<4)+8>>2]|0;Wb=f[P+(i<<4)+12>>2]|0;if((Y(Wb,Ob)|0)>(Y(Xb,Yb)|0)){Ub=f[P+(i<<4)+4>>2]|0;f[o>>2]=f[P+(i<<4)>>2];f[Mb>>2]=Ub;f[m>>2]=Ob;f[O>>2]=Wb;f[mc>>2]=f[lc+(i<<2)>>2];nc=Wb;oc=Ob}else{nc=Xb;oc=Yb}i=i+1|0;if(i>>>0>=Vb>>>0)break;else{Yb=oc;Xb=nc}}RK($,o)|0}}else if(!e){e=o+4|0;nc=o+8|0;Xb=o+12|0;oc=o+16|0;Yb=0;Vb=g;do{g=Vb;i=f[g+(Yb<<4)+4>>2]|0;lc=f[g+(Yb<<4)+8>>2]|0;mc=f[g+(Yb<<4)+12>>2]|0;f[o>>2]=f[g+(Yb<<4)>>2];f[e>>2]=i;f[nc>>2]=lc;f[Xb>>2]=mc;mc=f[v>>2]|0;if((mc|0)==(f[M>>2]|0))pc=0;else pc=f[mc+(Yb<<2)>>2]|0;f[oc>>2]=pc;RK($,o)|0;Yb=Yb+1|0;Vb=f[t>>2]|0}while(Yb>>>0<(f[L>>2]|0)-Vb>>4>>>0)}_tc(x);x=f[v>>2]|0;if(x|0){v=f[M>>2]|0;if((v|0)!=(x|0))f[M>>2]=v+(~((v+-4-x|0)>>>2)<<2);fuc(x)}x=f[t>>2]|0;if(x|0){t=f[L>>2]|0;if((t|0)!=(x|0))f[L>>2]=t+(~((t+-16-x|0)>>>4)<<4);fuc(x)}x=f[s>>2]|0;if(x|0){s=f[K>>2]|0;if((s|0)!=(x|0))f[K>>2]=s+(~((s+-16-x|0)>>>4)<<4);fuc(x)}if(Lb|0)Xtc(Lb);if(Kb|0)Xtc(Kb);Xtc(W);if(ha|0)Xtc(ha);Xtc(X);Xtc(ea);if(!(f[q+4>>2]|0)){u=n;return $|0}u=n;return $|0}function aCa(a,b,c,d,e,g,h,i,j,k,l,m,n,o){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;var q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0;f[a>>2]=109580;q=a+24|0;f[q>>2]=1124007936;r=a+28|0;s=a+32|0;t=a+64|0;u=r;v=u+36|0;do{f[u>>2]=0;u=u+4|0}while((u|0)<(v|0));f[t>>2]=s;w=a+72|0;x=a+68|0;f[x>>2]=w;f[w>>2]=0;f[a+76>>2]=0;w=a+80|0;f[w>>2]=1124007936;y=a+84|0;z=a+88|0;A=a+120|0;u=y;v=u+36|0;do{f[u>>2]=0;u=u+4|0}while((u|0)<(v|0));f[A>>2]=z;u=a+128|0;v=a+124|0;f[v>>2]=u;f[u>>2]=0;f[a+132>>2]=0;u=a+144|0;f[u>>2]=0;f[u+4>>2]=0;f[u+8>>2]=0;f[u+12>>2]=0;f[a+4>>2]=b;f[a+8>>2]=c;p[a+16>>3]=d;if((q|0)!=(e|0)){c=e+36|0;b=f[c>>2]|0;if(b){B=b+12|0;f[B>>2]=(f[B>>2]|0)+1;B=a+60|0;b=f[B>>2]|0;if((b|0)!=0?(C=b+12|0,b=f[C>>2]|0,f[C>>2]=b+-1,(b|0)==1):0){aU(q);D=B}else D=B}else D=a+60|0;f[D>>2]=0;B=a+40|0;f[B>>2]=0;f[B+4>>2]=0;f[B+8>>2]=0;f[B+12>>2]=0;if((f[r>>2]|0)>0){b=f[t>>2]|0;t=0;do{f[b+(t<<2)>>2]=0;t=t+1|0;E=f[r>>2]|0}while((t|0)<(E|0));f[q>>2]=f[e>>2];if((E|0)<3)F=12;else F=14}else{f[q>>2]=f[e>>2];F=12}if((F|0)==12){E=f[e+4>>2]|0;if((E|0)<3){f[r>>2]=E;f[s>>2]=f[e+8>>2];f[a+36>>2]=f[e+12>>2];s=f[e+44>>2]|0;E=f[x>>2]|0;f[E>>2]=f[s>>2];f[E+4>>2]=f[s+4>>2]}else F=14}if((F|0)==14)$T(q,e);f[B>>2]=f[e+16>>2];f[a+44>>2]=f[e+20>>2];f[a+48>>2]=f[e+24>>2];f[a+52>>2]=f[e+28>>2];f[a+56>>2]=f[e+32>>2];f[D>>2]=f[c>>2]}if((w|0)==(g|0)){G=a+136|0;f[G>>2]=h;H=a+140|0;f[H>>2]=i;I=f[j>>2]|0;f[u>>2]=I;J=j+4|0;K=f[J>>2]|0;L=a+148|0;f[L>>2]=K;M=j+8|0;N=f[M>>2]|0;O=a+152|0;f[O>>2]=N;P=j+12|0;Q=f[P>>2]|0;R=a+156|0;f[R>>2]=Q;S=a+160|0;f[S>>2]=k;T=n?l:0;U=a+164|0;f[U>>2]=T;V=n?m:0;W=a+168|0;f[W>>2]=V;X=a+172|0;f[X>>2]=o;return}c=g+36|0;D=f[c>>2]|0;if(D|0){e=D+12|0;f[e>>2]=(f[e>>2]|0)+1}e=a+116|0;D=f[e>>2]|0;if(D|0?(B=D+12|0,D=f[B>>2]|0,f[B>>2]=D+-1,(D|0)==1):0)aU(w);f[e>>2]=0;D=a+96|0;f[D>>2]=0;f[D+4>>2]=0;f[D+8>>2]=0;f[D+12>>2]=0;if((f[y>>2]|0)>0){B=f[A>>2]|0;A=0;do{f[B+(A<<2)>>2]=0;A=A+1|0;Y=f[y>>2]|0}while((A|0)<(Y|0));f[w>>2]=f[g>>2];if((Y|0)<3)F=27;else F=29}else{f[w>>2]=f[g>>2];F=27}if((F|0)==27){Y=f[g+4>>2]|0;if((Y|0)<3){f[y>>2]=Y;f[z>>2]=f[g+8>>2];f[a+92>>2]=f[g+12>>2];z=f[g+44>>2]|0;Y=f[v>>2]|0;f[Y>>2]=f[z>>2];f[Y+4>>2]=f[z+4>>2]}else F=29}if((F|0)==29)$T(w,g);f[D>>2]=f[g+16>>2];f[a+100>>2]=f[g+20>>2];f[a+104>>2]=f[g+24>>2];f[a+108>>2]=f[g+28>>2];f[a+112>>2]=f[g+32>>2];f[e>>2]=f[c>>2];G=a+136|0;f[G>>2]=h;H=a+140|0;f[H>>2]=i;I=f[j>>2]|0;f[u>>2]=I;J=j+4|0;K=f[J>>2]|0;L=a+148|0;f[L>>2]=K;M=j+8|0;N=f[M>>2]|0;O=a+152|0;f[O>>2]=N;P=j+12|0;Q=f[P>>2]|0;R=a+156|0;f[R>>2]=Q;S=a+160|0;f[S>>2]=k;T=n?l:0;U=a+164|0;f[U>>2]=T;V=n?m:0;W=a+168|0;f[W>>2]=V;X=a+172|0;f[X>>2]=o;return}function bCa(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=109580;b=a+80|0;c=a+116|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+96|0;b=a+84|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+120>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+124>>2]|0;if((b|0)!=(a+128|0))TC(b);b=a+24|0;d=a+60|0;c=f[d>>2]|0;if(c|0?(e=c+12|0,c=f[e>>2]|0,f[e>>2]=c+-1,(c|0)==1):0)aU(b);f[d>>2]=0;d=a+40|0;b=a+28|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[b>>2]|0)>0){d=f[a+64>>2]|0;c=0;do{f[d+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[b>>2]|0))}b=f[a+68>>2]|0;if((b|0)==(a+72|0))return;TC(b);return}function cCa(a){a=a|0;fuc(a);return}function dCa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0.0,T=0,U=0,V=0,W=0,X=0,Z=0.0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0;c=u;u=u+80|0;d=c+64|0;e=c+60|0;g=c+56|0;h=c+32|0;i=c+12|0;j=c+48|0;k=c+44|0;l=c+40|0;m=c+24|0;n=c+8|0;o=c+4|0;q=c;gV(h,109552);r=f[b>>2]|0;s=f[b+4>>2]|0;b=f[a+36>>2]|0;t=f[b>>2]|0;v=f[b+4>>2]|0;w=f[b+8>>2]|0;x=f[b+12>>2]|0;b=f[a+40>>2]|0;y=f[b>>2]|0;z=f[b+4>>2]|0;A=f[b+8>>2]|0;B=f[b+12>>2]|0;b=(t|0)==0;C=(f[a+16>>2]|0)>>>2;f[i>>2]=0;D=i+4|0;f[D>>2]=0;f[i+8>>2]=0;if((r|0)<(s|0)){E=a+8|0;F=a+28|0;G=a+32|0;H=a+4|0;I=j+4|0;J=a+20|0;K=a+24|0;L=d+4|0;M=d+8|0;N=d+12|0;O=i+8|0;P=a+48|0;Q=a+44|0;R=r;r=f[G>>2]|0;while(1){S=+p[E>>3];T=Fhc(+(R|0)*S)|0;U=f[F>>2]|0;a:do if((U|0)<(r|0)){V=Y(T,C)|0;W=U;X=r;Z=S;while(1){_=Fhc(+(W|0)*Z)|0;if(!b?($=_+V|0,((f[t+($<<2)>>2]|0)-(f[v+($<<2)>>2]|0)-(f[w+($<<2)>>2]|0)+(f[x+($<<2)>>2]|0)|0)<100?1:((f[y+($<<2)>>2]|0)-(f[z+($<<2)>>2]|0)-(f[A+($<<2)>>2]|0)+(f[B+($<<2)>>2]|0)|0)<20):0){aa=2;ba=X}else{$=f[H>>2]|0;f[j>>2]=_;f[I>>2]=T;f[d>>2]=f[j>>2];f[d+4>>2]=f[j+4>>2];ca=YBa($,d,0)|0;if((ca|0)>0){$=f[J>>2]|0;da=f[K>>2]|0;f[d>>2]=_;f[L>>2]=T;f[M>>2]=$;f[N>>2]=da;da=f[D>>2]|0;if(da>>>0<(f[O>>2]|0)>>>0){f[da>>2]=_;f[da+4>>2]=f[L>>2];f[da+8>>2]=f[M>>2];f[da+12>>2]=f[N>>2];_=da+16|0;f[D>>2]=_;ea=_}else{Tza(i,d);ea=f[D>>2]|0}if(ea-(f[i>>2]|0)>>4>>>0>99?($tc(f[P>>2]|0),_=f[Q>>2]|0,f[k>>2]=f[_+4>>2],f[l>>2]=f[i>>2],f[m>>2]=f[D>>2],f[g>>2]=f[k>>2],f[e>>2]=f[l>>2],f[d>>2]=f[m>>2],eCa(_,g,e,d)|0,auc(f[P>>2]|0),_=f[i>>2]|0,da=f[D>>2]|0,(da|0)!=(_|0)):0)f[D>>2]=da+(~((da+-16-_|0)>>>4)<<4)}aa=ca|0?1:2;ba=f[G>>2]|0}ca=aa+W|0;if((ca|0)>=(ba|0)){fa=ba;break a}W=ca;X=ba;Z=+p[E>>3]}}else fa=r;while(0);R=R+1|0;if((R|0)>=(s|0))break;else r=fa}fa=f[i>>2]|0;if((f[D>>2]|0)==(fa|0))ga=fa;else{fa=a+48|0;$tc(f[fa>>2]|0);r=f[a+44>>2]|0;f[n>>2]=f[r+4>>2];f[o>>2]=f[i>>2];f[q>>2]=f[D>>2];f[g>>2]=f[n>>2];f[e>>2]=f[o>>2];f[d>>2]=f[q>>2];eCa(r,g,e,d)|0;auc(f[fa>>2]|0);ga=f[i>>2]|0}if(ga|0){i=f[D>>2]|0;if((i|0)!=(ga|0))f[D>>2]=i+(~((i+-16-ga|0)>>>4)<<4);fuc(ga)}}if(!(f[h+4>>2]|0)){u=c;return}u=c;return}function eCa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;e=f[a>>2]|0;g=e;h=(f[b>>2]|0)-g|0;b=h>>4;i=e+(b<<4)|0;j=f[c>>2]|0;c=f[d>>2]|0;d=c-j|0;k=d>>4;l=j;m=c;if((d|0)<=0){n=i;return n|0}d=a+8|0;o=f[d>>2]|0;p=a+4|0;q=f[p>>2]|0;r=q;if((k|0)<=(o-r>>4|0)){s=i;t=r-s|0;u=t>>4;if((k|0)>(u|0)){v=l+(u<<4)|0;u=v;if((v|0)==(m|0))w=q;else{x=m+-16-u|0;y=v;v=q;while(1){f[v>>2]=f[y>>2];f[v+4>>2]=f[y+4>>2];f[v+8>>2]=f[y+8>>2];f[v+12>>2]=f[y+12>>2];y=y+16|0;if((y|0)==(m|0))break;else v=v+16|0}v=q+((x>>>4)+1<<4)|0;f[p>>2]=v;w=v}if((t|0)>0){z=u;A=w}else{n=i;return n|0}}else{z=c;A=q}c=A-(i+(k<<4))>>4;w=i+(c<<4)|0;if(w>>>0<q>>>0){u=(q+(0-c<<4)+~s|0)>>>4;s=w;t=A;while(1){f[t>>2]=f[s>>2];f[t+4>>2]=f[s+4>>2];f[t+8>>2]=f[s+8>>2];f[t+12>>2]=f[s+12>>2];s=s+16|0;if(s>>>0>=q>>>0)break;else t=t+16|0}f[p>>2]=A+(u+1<<4)}if(c|0){c=w;w=A;do{A=c;c=c+-16|0;u=w;w=w+-16|0;f[w>>2]=f[c>>2];f[u+-12>>2]=f[A+-12>>2];f[u+-8>>2]=f[A+-8>>2];f[u+-4>>2]=f[A+-4>>2]}while((c|0)!=(i|0))}c=z;if((l|0)==(c|0)){n=i;return n|0}else{B=i;C=l}while(1){f[B>>2]=f[C>>2];f[B+4>>2]=f[C+4>>2];f[B+8>>2]=f[C+8>>2];f[B+12>>2]=f[C+12>>2];C=C+16|0;if((C|0)==(c|0)){n=i;break}else B=B+16|0}return n|0}B=(r-g>>4)+k|0;if(B>>>0>268435455)nsc(a);k=o-g|0;o=k>>3;r=k>>4>>>0<134217727?(o>>>0<B>>>0?B:o):268435455;o=i;B=h>>4;do if(r)if(r>>>0>268435455){h=ze(8)|0;kuc(h,519086);f[h>>2]=167148;Hf(h|0,26888,1888)}else{D=cuc(r<<4)|0;break}else D=0;while(0);h=D+(B<<4)|0;B=D+(r<<4)|0;if((l|0)==(m|0))E=h;else{r=((m+-16-j|0)>>>4)+1|0;j=l;l=h;while(1){f[l>>2]=f[j>>2];f[l+4>>2]=f[j+4>>2];f[l+8>>2]=f[j+8>>2];f[l+12>>2]=f[j+12>>2];j=j+16|0;if((j|0)==(m|0))break;else l=l+16|0}E=h+(r<<4)|0}if(!b)F=h;else{b=i+-16-g|0;g=i;r=h;while(1){l=g;g=g+-16|0;f[r+-16>>2]=f[g>>2];f[r+-12>>2]=f[l+-12>>2];f[r+-8>>2]=f[l+-8>>2];f[r+-4>>2]=f[l+-4>>2];if((g|0)==(e|0))break;else r=r+-16|0}F=h+(~(b>>>4)<<4)|0}b=F;if((q|0)==(i|0))G=E;else{F=q+-16-o|0;o=i;i=E;while(1){f[i>>2]=f[o>>2];f[i+4>>2]=f[o+4>>2];f[i+8>>2]=f[o+8>>2];f[i+12>>2]=f[o+12>>2];o=o+16|0;if((o|0)==(q|0))break;else i=i+16|0}G=E+((F>>>4)+1<<4)|0}f[a>>2]=b;f[p>>2]=G;f[d>>2]=B;if(!e){n=h;return n|0}fuc(e);n=h;return n|0}function fCa(a){a=a|0;bCa(a);fuc(a);return}
function taa(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=+i;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0;k=u;u=u+384|0;l=k+368|0;m=k+360|0;n=k+304|0;o=k+248|0;p=k+184|0;q=k+240|0;r=k+128|0;s=k+120|0;t=k+112|0;v=k+56|0;w=k;gV(m,53892);do if((qJ(a)|0)==65536){x=f[a+4>>2]|0;f[n>>2]=f[x>>2];y=n+4|0;z=x+4|0;f[y>>2]=f[z>>2];A=n+8|0;f[A>>2]=f[x+8>>2];f[n+12>>2]=f[x+12>>2];f[n+16>>2]=f[x+16>>2];f[n+20>>2]=f[x+20>>2];f[n+24>>2]=f[x+24>>2];f[n+28>>2]=f[x+28>>2];f[n+32>>2]=f[x+32>>2];B=f[x+36>>2]|0;f[n+36>>2]=B;f[n+40>>2]=A;A=n+48|0;C=n+44|0;f[C>>2]=A;f[A>>2]=0;f[n+52>>2]=0;if(B|0){A=B+12|0;f[A>>2]=(f[A>>2]|0)+1}if((f[z>>2]|0)<3){z=f[x+44>>2]|0;A=f[C>>2]|0;f[A>>2]=f[z>>2];f[A+4>>2]=f[z+4>>2];break}else{f[y>>2]=0;$T(n,x);break}}else nJ(n,a,-1);while(0);do if((qJ(e)|0)==65536){a=f[e+4>>2]|0;f[o>>2]=f[a>>2];x=o+4|0;y=a+4|0;f[x>>2]=f[y>>2];z=o+8|0;f[z>>2]=f[a+8>>2];f[o+12>>2]=f[a+12>>2];f[o+16>>2]=f[a+16>>2];f[o+20>>2]=f[a+20>>2];f[o+24>>2]=f[a+24>>2];f[o+28>>2]=f[a+28>>2];f[o+32>>2]=f[a+32>>2];A=f[a+36>>2]|0;f[o+36>>2]=A;f[o+40>>2]=z;z=o+48|0;C=o+44|0;f[C>>2]=z;f[z>>2]=0;f[o+52>>2]=0;if(A|0){z=A+12|0;f[z>>2]=(f[z>>2]|0)+1}if((f[y>>2]|0)<3){y=f[a+44>>2]|0;z=f[C>>2]|0;f[z>>2]=f[y>>2];f[z+4>>2]=f[y+4>>2];break}else{f[x>>2]=0;$T(o,a);break}}else nJ(o,e,-1);while(0);do if((qJ(g)|0)==65536){e=f[g+4>>2]|0;f[p>>2]=f[e>>2];a=p+4|0;x=e+4|0;f[a>>2]=f[x>>2];y=p+8|0;f[y>>2]=f[e+8>>2];f[p+12>>2]=f[e+12>>2];f[p+16>>2]=f[e+16>>2];f[p+20>>2]=f[e+20>>2];f[p+24>>2]=f[e+24>>2];f[p+28>>2]=f[e+28>>2];f[p+32>>2]=f[e+32>>2];z=f[e+36>>2]|0;f[p+36>>2]=z;f[p+40>>2]=y;y=p+48|0;C=p+44|0;f[C>>2]=y;f[y>>2]=0;f[p+52>>2]=0;if(z|0){y=z+12|0;f[y>>2]=(f[y>>2]|0)+1}if((f[x>>2]|0)<3){x=f[e+44>>2]|0;y=f[C>>2]|0;f[y>>2]=f[x>>2];f[y+4>>2]=f[x+4>>2];break}else{f[a>>2]=0;$T(p,e);break}}else nJ(p,g,-1);while(0);g=f[n>>2]|0;e=n+40|0;a=f[e>>2]|0;x=f[a>>2]|0;f[q>>2]=f[a+4>>2];f[q+4>>2]=x;IJ(c,q,g&4088|((d|0)<0?g:d)&7,-1,0,0);do if((qJ(c)|0)==65536){d=f[c+4>>2]|0;f[r>>2]=f[d>>2];g=r+4|0;q=d+4|0;f[g>>2]=f[q>>2];x=r+8|0;f[x>>2]=f[d+8>>2];f[r+12>>2]=f[d+12>>2];f[r+16>>2]=f[d+16>>2];f[r+20>>2]=f[d+20>>2];f[r+24>>2]=f[d+24>>2];f[r+28>>2]=f[d+28>>2];f[r+32>>2]=f[d+32>>2];a=f[d+36>>2]|0;f[r+36>>2]=a;f[r+40>>2]=x;x=r+48|0;y=r+44|0;f[y>>2]=x;f[x>>2]=0;f[r+52>>2]=0;if(a|0){x=a+12|0;f[x>>2]=(f[x>>2]|0)+1}if((f[q>>2]|0)<3){q=f[d+44>>2]|0;x=f[y>>2]|0;f[x>>2]=f[q>>2];f[x+4>>2]=f[q+4>>2];break}else{f[g>>2]=0;$T(r,d);break}}else nJ(r,c,-1);while(0);f[s>>2]=0;c=s+4|0;f[c>>2]=0;d=f[n+8>>2]|0;f[t>>2]=f[n+12>>2];g=t+4|0;f[g>>2]=d;if(!(j&16))kU(n,t,s);d=f[o>>2]|0;if((f[p>>2]^d)&4095|0){f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;D=cuc(128)|0;f[l>>2]=D;E=l+8|0;f[E>>2]=-2147483520;F=l+4|0;f[F>>2]=120;G=D;H=251909;I=G+120|0;do{b[G>>0]=b[H>>0]|0;G=G+1|0;H=H+1|0}while((G|0)<(I|0));J=D+120|0;b[J>>0]=0;WD(-215,l,252030,242392,4949)}q=o+12|0;x=f[q>>2]|0;if((x|0)!=1?(f[o+8>>2]|0)!=1:0){f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;D=cuc(128)|0;f[l>>2]=D;E=l+8|0;f[E>>2]=-2147483520;F=l+4|0;f[F>>2]=120;G=D;H=251909;I=G+120|0;do{b[G>>0]=b[H>>0]|0;G=G+1|0;H=H+1|0}while((G|0)<(I|0));J=D+120|0;b[J>>0]=0;WD(-215,l,252030,242392,4949)}y=p+12|0;if((f[y>>2]|0)!=1?(f[p+8>>2]|0)!=1:0){f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;D=cuc(128)|0;f[l>>2]=D;E=l+8|0;f[E>>2]=-2147483520;F=l+4|0;f[F>>2]=120;G=D;H=251909;I=G+120|0;do{b[G>>0]=b[H>>0]|0;G=G+1|0;H=H+1|0}while((G|0)<(I|0));J=D+120|0;b[J>>0]=0;WD(-215,l,252030,242392,4949)}do if(d&16384){f[v>>2]=d;J=v+4|0;D=o+4|0;H=f[D>>2]|0;f[J>>2]=H;F=v+8|0;f[F>>2]=f[o+8>>2];f[v+12>>2]=x;f[v+16>>2]=f[o+16>>2];f[v+20>>2]=f[o+20>>2];f[v+24>>2]=f[o+24>>2];f[v+28>>2]=f[o+28>>2];f[v+32>>2]=f[o+32>>2];E=f[o+36>>2]|0;f[v+36>>2]=E;f[v+40>>2]=F;F=v+48|0;a=v+44|0;f[a>>2]=F;f[F>>2]=0;f[v+52>>2]=0;if(!E)K=H;else{H=E+12|0;f[H>>2]=(f[H>>2]|0)+1;K=f[D>>2]|0}if((K|0)<3){D=f[o+44>>2]|0;H=f[a>>2]|0;f[H>>2]=f[D>>2];f[H+4>>2]=f[D+4>>2];break}else{f[J>>2]=0;$T(v,o);break}}else{f[v>>2]=1124007936;J=v+8|0;D=v+40|0;G=v+4|0;I=G+36|0;do{f[G>>2]=0;G=G+4|0}while((G|0)<(I|0));f[D>>2]=J;H=v+48|0;f[v+44>>2]=H;f[H>>2]=0;f[v+52>>2]=0;H=l+8|0;f[H>>2]=0;f[H+4>>2]=0;f[l>>2]=33619968;f[l+4>>2]=v;EI(o,l)}while(0);K=f[p>>2]|0;do if(K&16384){f[w>>2]=K;x=w+4|0;d=p+4|0;H=f[d>>2]|0;f[x>>2]=H;a=w+8|0;E=p+8|0;f[a>>2]=f[E>>2];f[w+12>>2]=f[y>>2];F=w+16|0;f[F>>2]=f[p+16>>2];f[w+20>>2]=f[p+20>>2];f[w+24>>2]=f[p+24>>2];f[w+28>>2]=f[p+28>>2];f[w+32>>2]=f[p+32>>2];C=f[p+36>>2]|0;f[w+36>>2]=C;f[w+40>>2]=a;a=w+48|0;z=w+44|0;f[z>>2]=a;f[a>>2]=0;f[w+52>>2]=0;if(!C)L=H;else{H=C+12|0;f[H>>2]=(f[H>>2]|0)+1;L=f[d>>2]|0}if((L|0)<3){d=f[p+44>>2]|0;H=f[z>>2]|0;f[H>>2]=f[d>>2];f[H+4>>2]=f[d+4>>2];M=E;N=F;break}else{f[x>>2]=0;$T(w,p);M=E;N=F;break}}else{f[w>>2]=1124007936;F=w+8|0;E=w+40|0;G=w+4|0;I=G+36|0;do{f[G>>2]=0;G=G+4|0}while((G|0)<(I|0));f[E>>2]=F;J=w+48|0;f[w+44>>2]=J;f[J>>2]=0;f[w+52>>2]=0;J=l+8|0;f[J>>2]=0;f[J+4>>2]=0;f[l>>2]=33619968;f[l+4>>2]=w;EI(p,l);M=p+8|0;N=w+16|0}while(0);l=n+16|0;G=n+48|0;I=r+16|0;L=r+48|0;K=v+16|0;raa(f[n>>2]&4095,f[r>>2]&4095,f[o>>2]&4095,f[l>>2]|0,f[G>>2]|0,f[I>>2]|0,f[L>>2]|0,f[r+12>>2]|0,f[r+8>>2]|0,f[t>>2]|0,f[g>>2]|0,f[s>>2]|0,f[c>>2]|0,f[K>>2]|0,(f[q>>2]|0)+-1+(f[o+8>>2]|0)|0,f[N>>2]|0,(f[y>>2]|0)+-1+(f[M>>2]|0)|0,f[h>>2]|0,f[h+4>>2]|0,i,j&-17);j=w+36|0;h=f[j>>2]|0;if(h|0?(M=h+12|0,h=f[M>>2]|0,f[M>>2]=h+-1,(h|0)==1):0)aU(w);f[j>>2]=0;j=w+4|0;f[N>>2]=0;f[N+4>>2]=0;f[N+8>>2]=0;f[N+12>>2]=0;if((f[j>>2]|0)>0){N=f[w+40>>2]|0;h=0;do{f[N+(h<<2)>>2]=0;h=h+1|0}while((h|0)<(f[j>>2]|0))}j=f[w+44>>2]|0;if((j|0)!=(w+48|0))TC(j);j=v+36|0;w=f[j>>2]|0;if(w|0?(h=w+12|0,w=f[h>>2]|0,f[h>>2]=w+-1,(w|0)==1):0)aU(v);f[j>>2]=0;j=v+4|0;f[K>>2]=0;f[K+4>>2]=0;f[K+8>>2]=0;f[K+12>>2]=0;if((f[j>>2]|0)>0){K=f[v+40>>2]|0;w=0;do{f[K+(w<<2)>>2]=0;w=w+1|0}while((w|0)<(f[j>>2]|0))}j=f[v+44>>2]|0;if((j|0)!=(v+48|0))TC(j);j=r+36|0;v=f[j>>2]|0;if(v|0?(w=v+12|0,v=f[w>>2]|0,f[w>>2]=v+-1,(v|0)==1):0)aU(r);f[j>>2]=0;j=r+4|0;f[I>>2]=0;f[I+4>>2]=0;f[I+8>>2]=0;f[I+12>>2]=0;if((f[j>>2]|0)>0){I=f[r+40>>2]|0;v=0;do{f[I+(v<<2)>>2]=0;v=v+1|0}while((v|0)<(f[j>>2]|0))}j=f[r+44>>2]|0;if((j|0)!=(L|0))TC(j);j=p+36|0;L=f[j>>2]|0;do if(L|0){r=L+12|0;v=f[r>>2]|0;f[r>>2]=v+-1;if((v|0)!=1)break;aU(p)}while(0);f[j>>2]=0;j=p+16|0;L=p+4|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;if((f[L>>2]|0)>0){j=f[p+40>>2]|0;v=0;do{f[j+(v<<2)>>2]=0;v=v+1|0}while((v|0)<(f[L>>2]|0))}L=f[p+44>>2]|0;if((L|0)!=(p+48|0))TC(L);L=o+36|0;p=f[L>>2]|0;do if(p|0){v=p+12|0;j=f[v>>2]|0;f[v>>2]=j+-1;if((j|0)!=1)break;aU(o)}while(0);f[L>>2]=0;L=o+16|0;p=o+4|0;f[L>>2]=0;f[L+4>>2]=0;f[L+8>>2]=0;f[L+12>>2]=0;if((f[p>>2]|0)>0){L=f[o+40>>2]|0;j=0;do{f[L+(j<<2)>>2]=0;j=j+1|0}while((j|0)<(f[p>>2]|0))}p=f[o+44>>2]|0;if((p|0)!=(o+48|0))TC(p);p=n+36|0;o=f[p>>2]|0;do if(o|0){j=o+12|0;L=f[j>>2]|0;f[j>>2]=L+-1;if((L|0)!=1)break;aU(n)}while(0);f[p>>2]=0;p=n+4|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;if((f[p>>2]|0)>0){l=f[e>>2]|0;e=0;do{f[l+(e<<2)>>2]=0;e=e+1|0}while((e|0)<(f[p>>2]|0))}p=f[n+44>>2]|0;if((p|0)!=(G|0))TC(p);if(!(f[m+4>>2]|0)){u=k;return}u=k;return}function uaa(a,b,c,d,e,g,h,i,j,k,l,m,n,o){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;var p=0,q=0,r=0,s=0,t=0,v=0;p=u;u=u+16|0;q=p;r=(a|0)==0;s=r&(b|0)==4;t=(c|0)==6;if(s&t){vaa(d,e,g,h,i,j,k,l,m,n,o);u=p;return}v=(c|0)==5;if(s&v){waa(d,e,g,h,i,j,k,l,m,n,o);u=p;return}if(s&(c|0)==4){xaa(d,e,g,h,i,j,k,l,m,n,o);u=p;return}c=(b|0)==5;s=r&c;if(s&t){yaa(d,e,g,h,i,j,k,l,m,n,o);u=p;return}if(s&v){zaa(d,e,g,h,i,j,k,l,m,n,o);u=p;return}s=(b|0)==6;if(r&s&t){Aaa(d,e,g,h,i,j,k,l,m,n,o);u=p;return}if((a|0)==2&s&t){Baa(d,e,g,h,i,j,k,l,m,n,o);u=p;return}if((a|0)==3&s&t){Caa(d,e,g,h,i,j,k,l,m,n,o);u=p;return}r=(a|0)==5;b=r&c;if(b&t){Daa(d,e,g,h,i,j,k,l,m,n,o);u=p;return}if(b&v){Eaa(d,e,g,h,i,j,k,l,m,n,o);u=p;return}if(r&s&t){Faa(d,e,g,h,i,j,k,l,m,n,o);u=p;return}if(!((a|0)==6&s&t)){f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;WD(-210,q,252137,252146,488)}Gaa(d,e,g,h,i,j,k,l,m,n,o);u=p;return}function vaa(a,c,d,e,g,i,j,k,l,m,n){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0.0,L=0,M=0,N=0.0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0.0,ia=0.0,ja=0,ka=0,la=0.0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0;o=u;u=u+1072|0;q=0-n|0;r=o;s=e>>>2;e=k>>>2;k=0-e|0;t=i>>>3;i=Y(n,l)|0;l=i+n|0;v=l<<2;kzc(d|0,0,v|0)|0;w=d+(s+n<<2)|0;if(!g)x=0;else{kzc(g|0,0,l<<3|0)|0;x=g+(t+n<<3)|0}if(!j)y=0;else{kzc(j|0,0,v|0)|0;y=j+(e+n<<2)|0}j=(y|0)==0;if((x|0)==0&j){if((m|0)<=0){u=o;return}v=(i|0)>0;g=c-n|0;z=s-n|0;if((n|0)<=0){u=o;return}A=n+-1|0;B=n<<2;C=w;D=0;E=a;while(1){if(v){F=0;G=C;H=E;while(1){f[G+(q<<2)>>2]=0;I=0;J=0;do{I=(h[H+J>>0]|0)+I|0;f[G+(J<<2)>>2]=I+(f[G+(J-s<<2)>>2]|0);J=J+n|0}while((J|0)<(i|0));F=F+1|0;if((F|0)==(n|0))break;else{G=G+4|0;H=H+1|0}}}else kzc(C+(q<<2)|0,0,B|0)|0;D=D+1|0;if((D|0)==(m|0))break;else{C=C+(A<<2)+4+(z<<2)|0;E=E+A+1+g|0}}u=o;return}if(j){if((m|0)<=0){u=o;return}j=(i|0)>0;g=c-n|0;A=s-n|0;E=t-n|0;if((n|0)<=0){u=o;return}z=n+-1|0;C=x;D=0;B=w;v=a;while(1){if(j){H=0;G=C;F=B;J=v;while(1){f[F+(q<<2)>>2]=0;p[G+(q<<3)>>3]=0.0;K=0.0;I=0;L=0;do{M=b[J+L>>0]|0;I=(M&255)+I|0;N=+(M&255);K=K+N*N;N=+p[G+(L-t<<3)>>3]+K;f[F+(L<<2)>>2]=I+(f[F+(L-s<<2)>>2]|0);p[G+(L<<3)>>3]=N;L=L+n|0}while((L|0)<(i|0));H=H+1|0;if((H|0)==(n|0))break;else{G=G+8|0;F=F+4|0;J=J+1|0}}}else{J=0;F=C;G=B;while(1){f[G+(q<<2)>>2]=0;p[F+(q<<3)>>3]=0.0;J=J+1|0;if((J|0)==(n|0))break;else{F=F+8|0;G=G+4|0}}}D=D+1|0;if((D|0)==(m|0))break;else{C=C+(z<<3)+8+(E<<3)|0;B=B+(z<<2)+4+(A<<2)|0;v=v+z+1+g|0}}u=o;return}g=r+8|0;f[r>>2]=g;z=r+4|0;f[z>>2]=l;if(l>>>0>264){v=euc(l>>>0>1073741823?-1:l<<2)|0;f[r>>2]=v;O=v}else O=g;v=(n|0)>0;do if(v){l=(i|0)==(n|0);A=s+(n<<1)|0;B=y+(n<<2)|0;if((i|0)>0){P=O;Q=y;R=0;S=x;T=w;U=a}else{E=O;C=y;D=0;j=x;G=w;while(1){f[C+(q<<2)>>2]=0;f[G+(q<<2)>>2]=0;if(l)f[E+(n<<2)>>2]=0;if(!j)V=0;else{p[j+(q<<3)>>3]=0.0;V=j+8|0}D=D+1|0;if((D|0)==(n|0))break;else{E=E+4|0;C=C+4|0;j=V;G=G+4|0}}W=O+(n<<2)|0;X=B;Z=V;_=a+n|0;$=d+(A<<2)|0;break}while(1){f[Q+(q<<2)>>2]=0;f[T+(q<<2)>>2]=0;G=(S|0)!=0;if(G){K=0.0;j=0;C=0;do{E=b[U+C>>0]|0;D=E&255;f[Q+(C<<2)>>2]=D;f[P+(C<<2)>>2]=D;j=D+j|0;N=+(E&255);K=K+N*N;f[T+(C<<2)>>2]=j;p[S+(C<<3)>>3]=K;C=C+n|0}while((C|0)<(i|0))}else{C=0;j=0;do{E=h[U+j>>0]|0;f[Q+(j<<2)>>2]=E;f[P+(j<<2)>>2]=E;C=E+C|0;f[T+(j<<2)>>2]=C;j=j+n|0}while((j|0)<(i|0))}if(l)f[P+(n<<2)>>2]=0;if(G){p[S+(q<<3)>>3]=0.0;aa=S+8|0}else aa=0;R=R+1|0;if((R|0)==(n|0))break;else{P=P+4|0;Q=Q+4|0;S=aa;T=T+4|0;U=U+1|0}}W=O+(n<<2)|0;X=B;Z=aa;_=a+n|0;$=d+(A<<2)|0}else{W=O;X=y;Z=x;_=a;$=w}while(0);if((m|0)>1){w=c-n|0;a=s-n|0;x=e-n|0;y=t-n|0;d=0-s|0;aa=0-t|0;U=i-n|0;T=(U|0)>(n|0);S=e+n|0;Q=(i|0)>(n|0);i=W;W=X;X=1;P=$;$=Z;Z=_;while(1){_=Z+w|0;R=P+(a<<2)|0;V=W+(x<<2)|0;l=i+(q<<2)|0;j=($|0)==0?0:$+(y<<3)|0;if(v){C=P+(s<<2)|0;E=l;D=V;F=0;J=R;H=_;L=j;while(1){I=b[H>>0]|0;M=I&255;K=+(I&255);N=K*K;f[J+(q<<2)>>2]=0;I=(L|0)!=0;if(I)p[L+(q<<3)>>3]=0.0;ba=D+(k<<2)|0;f[D+(q<<2)>>2]=f[ba>>2];f[J>>2]=(f[J+(d<<2)>>2]|0)+M;if(I)p[L>>3]=N+ +p[L+(aa<<3)>>3];f[D>>2]=(f[ba>>2]|0)+M+(f[E+(n<<2)>>2]|0);if(T)if(I){ba=M;K=N;ca=M;da=n;while(1){ea=f[E+(da<<2)>>2]|0;f[E+(da-n<<2)>>2]=ea+ba;fa=b[H+da>>0]|0;ga=fa&255;ha=+(fa&255);fa=ga+ca|0;ia=K+ha*ha;f[J+(da<<2)>>2]=fa+(f[J+(da-s<<2)>>2]|0);p[L+(da<<3)>>3]=ia+ +p[L+(da-t<<3)>>3];ja=da+n|0;f[D+(da<<2)>>2]=ga+ea+(f[E+(ja<<2)>>2]|0)+(f[D+(da-S<<2)>>2]|0);if((ja|0)<(U|0)){ba=ga;K=ia;ca=fa;da=ja}else{ka=ga;la=ia;ma=fa;na=ja;break}}}else{da=M;K=N;ca=M;ba=n;while(1){G=f[E+(ba<<2)>>2]|0;f[E+(ba-n<<2)>>2]=G+da;ja=b[H+ba>>0]|0;fa=ja&255;ia=+(ja&255);ja=fa+ca|0;ha=K+ia*ia;f[J+(ba<<2)>>2]=ja+(f[J+(ba-s<<2)>>2]|0);ga=ba+n|0;f[D+(ba<<2)>>2]=fa+G+(f[E+(ga<<2)>>2]|0)+(f[D+(ba-S<<2)>>2]|0);if((ga|0)<(U|0)){da=fa;K=ha;ca=ja;ba=ga}else{ka=fa;la=ha;ma=ja;na=ga;break}}}else{ka=M;la=N;ma=M;na=n}if(Q){ba=E+(na<<2)|0;ca=f[ba>>2]|0;f[E+(na-n<<2)>>2]=ca+ka;da=b[H+na>>0]|0;ga=da&255;f[J+(na<<2)>>2]=ga+ma+(f[J+(na-s<<2)>>2]|0);K=+(da&255);if(I)p[L+(na<<3)>>3]=la+K*K+ +p[L+(na-t<<3)>>3];f[D+(na<<2)>>2]=ga+ca+(f[D+(na-S<<2)>>2]|0);f[ba>>2]=ga}L=I?L+8|0:0;F=F+1|0;if((F|0)==(n|0))break;else{E=E+4|0;D=D+4|0;J=J+4|0;H=H+1|0}}oa=i;pa=W+(e<<2)|0;qa=Z+c|0;ra=C;sa=L}else{oa=l;pa=V;qa=_;ra=R;sa=j}X=X+1|0;if((X|0)==(m|0))break;else{i=oa;W=pa;P=ra;$=sa;Z=qa}}}if((O|0)!=(g|0)){guc(O);f[r>>2]=g;f[z>>2]=264}u=o;return}function waa(a,c,d,e,g,i,j,k,l,m,o){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;o=o|0;var p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0.0,L=0,M=0,N=0.0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0.0,ia=0.0,ja=0,ka=0,la=0.0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0;p=u;u=u+1072|0;q=0-o|0;r=p;s=e>>>2;e=k>>>2;k=0-e|0;t=i>>>2;i=Y(o,l)|0;l=i+o|0;v=l<<2;kzc(d|0,0,v|0)|0;w=d+(s+o<<2)|0;if(!g)x=0;else{kzc(g|0,0,v|0)|0;x=g+(t+o<<2)|0}if(!j)y=0;else{kzc(j|0,0,v|0)|0;y=j+(e+o<<2)|0}j=(y|0)==0;if((x|0)==0&j){if((m|0)<=0){u=p;return}v=(i|0)>0;g=c-o|0;z=s-o|0;if((o|0)<=0){u=p;return}A=o+-1|0;B=o<<2;C=w;D=0;E=a;while(1){if(v){F=0;G=C;H=E;while(1){f[G+(q<<2)>>2]=0;I=0;J=0;do{I=(h[H+J>>0]|0)+I|0;f[G+(J<<2)>>2]=I+(f[G+(J-s<<2)>>2]|0);J=J+o|0}while((J|0)<(i|0));F=F+1|0;if((F|0)==(o|0))break;else{G=G+4|0;H=H+1|0}}}else kzc(C+(q<<2)|0,0,B|0)|0;D=D+1|0;if((D|0)==(m|0))break;else{C=C+(A<<2)+4+(z<<2)|0;E=E+A+1+g|0}}u=p;return}if(j){if((m|0)<=0){u=p;return}j=(i|0)>0;g=c-o|0;A=s-o|0;E=t-o|0;if((o|0)<=0){u=p;return}z=o+-1|0;C=x;D=0;B=w;v=a;while(1){if(j){H=0;G=C;F=B;J=v;while(1){f[F+(q<<2)>>2]=0;n[G+(q<<2)>>2]=0.0;K=0.0;I=0;L=0;do{M=b[J+L>>0]|0;I=(M&255)+I|0;N=+(M&255);K=K+N*N;N=+n[G+(L-t<<2)>>2]+K;f[F+(L<<2)>>2]=I+(f[F+(L-s<<2)>>2]|0);n[G+(L<<2)>>2]=N;L=L+o|0}while((L|0)<(i|0));H=H+1|0;if((H|0)==(o|0))break;else{G=G+4|0;F=F+4|0;J=J+1|0}}}else{J=0;F=C;G=B;while(1){f[G+(q<<2)>>2]=0;n[F+(q<<2)>>2]=0.0;J=J+1|0;if((J|0)==(o|0))break;else{F=F+4|0;G=G+4|0}}}D=D+1|0;if((D|0)==(m|0))break;else{C=C+(z<<2)+4+(E<<2)|0;B=B+(z<<2)+4+(A<<2)|0;v=v+z+1+g|0}}u=p;return}g=r+8|0;f[r>>2]=g;z=r+4|0;f[z>>2]=l;if(l>>>0>264){v=euc(l>>>0>1073741823?-1:l<<2)|0;f[r>>2]=v;O=v}else O=g;v=(o|0)>0;do if(v){l=(i|0)==(o|0);A=s+(o<<1)|0;B=y+(o<<2)|0;if((i|0)>0){P=O;Q=y;R=0;S=x;T=w;U=a}else{E=O;C=y;D=0;j=x;G=w;while(1){f[C+(q<<2)>>2]=0;f[G+(q<<2)>>2]=0;if(l)f[E+(o<<2)>>2]=0;if(!j)V=0;else{n[j+(q<<2)>>2]=0.0;V=j+4|0}D=D+1|0;if((D|0)==(o|0))break;else{E=E+4|0;C=C+4|0;j=V;G=G+4|0}}W=O+(o<<2)|0;X=B;Z=V;_=a+o|0;$=d+(A<<2)|0;break}while(1){f[Q+(q<<2)>>2]=0;f[T+(q<<2)>>2]=0;G=(S|0)!=0;if(G){K=0.0;j=0;C=0;do{E=b[U+C>>0]|0;D=E&255;f[Q+(C<<2)>>2]=D;f[P+(C<<2)>>2]=D;j=D+j|0;N=+(E&255);K=K+N*N;f[T+(C<<2)>>2]=j;n[S+(C<<2)>>2]=K;C=C+o|0}while((C|0)<(i|0))}else{C=0;j=0;do{E=h[U+j>>0]|0;f[Q+(j<<2)>>2]=E;f[P+(j<<2)>>2]=E;C=E+C|0;f[T+(j<<2)>>2]=C;j=j+o|0}while((j|0)<(i|0))}if(l)f[P+(o<<2)>>2]=0;if(G){n[S+(q<<2)>>2]=0.0;aa=S+4|0}else aa=0;R=R+1|0;if((R|0)==(o|0))break;else{P=P+4|0;Q=Q+4|0;S=aa;T=T+4|0;U=U+1|0}}W=O+(o<<2)|0;X=B;Z=aa;_=a+o|0;$=d+(A<<2)|0}else{W=O;X=y;Z=x;_=a;$=w}while(0);if((m|0)>1){w=c-o|0;a=s-o|0;x=e-o|0;y=t-o|0;d=0-s|0;aa=0-t|0;U=i-o|0;T=(U|0)>(o|0);S=e+o|0;Q=(i|0)>(o|0);i=W;W=X;X=1;P=$;$=Z;Z=_;while(1){_=Z+w|0;R=P+(a<<2)|0;V=W+(x<<2)|0;l=i+(q<<2)|0;j=($|0)==0?0:$+(y<<2)|0;if(v){C=P+(s<<2)|0;E=l;D=V;F=0;J=R;H=_;L=j;while(1){I=b[H>>0]|0;M=I&255;K=+(I&255);N=K*K;f[J+(q<<2)>>2]=0;I=(L|0)!=0;if(I)n[L+(q<<2)>>2]=0.0;ba=D+(k<<2)|0;f[D+(q<<2)>>2]=f[ba>>2];f[J>>2]=(f[J+(d<<2)>>2]|0)+M;if(I)n[L>>2]=N+ +n[L+(aa<<2)>>2];f[D>>2]=(f[ba>>2]|0)+M+(f[E+(o<<2)>>2]|0);if(T)if(I){ba=M;K=N;ca=M;da=o;while(1){ea=f[E+(da<<2)>>2]|0;f[E+(da-o<<2)>>2]=ea+ba;fa=b[H+da>>0]|0;ga=fa&255;ha=+(fa&255);fa=ga+ca|0;ia=K+ha*ha;f[J+(da<<2)>>2]=fa+(f[J+(da-s<<2)>>2]|0);n[L+(da<<2)>>2]=ia+ +n[L+(da-t<<2)>>2];ja=da+o|0;f[D+(da<<2)>>2]=ga+ea+(f[E+(ja<<2)>>2]|0)+(f[D+(da-S<<2)>>2]|0);if((ja|0)<(U|0)){ba=ga;K=ia;ca=fa;da=ja}else{ka=ga;la=ia;ma=fa;na=ja;break}}}else{da=M;K=N;ca=M;ba=o;while(1){G=f[E+(ba<<2)>>2]|0;f[E+(ba-o<<2)>>2]=G+da;ja=b[H+ba>>0]|0;fa=ja&255;ia=+(ja&255);ja=fa+ca|0;ha=K+ia*ia;f[J+(ba<<2)>>2]=ja+(f[J+(ba-s<<2)>>2]|0);ga=ba+o|0;f[D+(ba<<2)>>2]=fa+G+(f[E+(ga<<2)>>2]|0)+(f[D+(ba-S<<2)>>2]|0);if((ga|0)<(U|0)){da=fa;K=ha;ca=ja;ba=ga}else{ka=fa;la=ha;ma=ja;na=ga;break}}}else{ka=M;la=N;ma=M;na=o}if(Q){ba=E+(na<<2)|0;ca=f[ba>>2]|0;f[E+(na-o<<2)>>2]=ca+ka;da=b[H+na>>0]|0;ga=da&255;f[J+(na<<2)>>2]=ga+ma+(f[J+(na-s<<2)>>2]|0);K=+(da&255);if(I)n[L+(na<<2)>>2]=la+K*K+ +n[L+(na-t<<2)>>2];f[D+(na<<2)>>2]=ga+ca+(f[D+(na-S<<2)>>2]|0);f[ba>>2]=ga}L=I?L+4|0:0;F=F+1|0;if((F|0)==(o|0))break;else{E=E+4|0;D=D+4|0;J=J+4|0;H=H+1|0}}oa=i;pa=W+(e<<2)|0;qa=Z+c|0;ra=C;sa=L}else{oa=l;pa=V;qa=_;ra=R;sa=j}X=X+1|0;if((X|0)==(m|0))break;else{i=oa;W=pa;P=ra;$=sa;Z=qa}}}if((O|0)!=(g|0)){guc(O);f[r>>2]=g;f[z>>2]=264}u=p;return}function xaa(a,b,c,d,e,g,i,j,k,l,m){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0;n=u;u=u+1072|0;o=0-m|0;p=n;q=d>>>2;d=j>>>2;j=0-d|0;r=g>>>2;g=Y(m,k)|0;k=g+m|0;s=k<<2;kzc(c|0,0,s|0)|0;t=c+(q+m<<2)|0;if(!e)v=0;else{kzc(e|0,0,s|0)|0;v=e+(r+m<<2)|0}if(!i)w=0;else{kzc(i|0,0,s|0)|0;w=i+(d+m<<2)|0}i=(w|0)==0;if((v|0)==0&i){if((l|0)<=0){u=n;return}s=(g|0)>0;e=b-m|0;x=q-m|0;if((m|0)<=0){u=n;return}y=m+-1|0;z=m<<2;A=t;B=0;C=a;while(1){if(s){D=0;E=A;F=C;while(1){f[E+(o<<2)>>2]=0;G=0;H=0;do{G=(h[F+H>>0]|0)+G|0;f[E+(H<<2)>>2]=G+(f[E+(H-q<<2)>>2]|0);H=H+m|0}while((H|0)<(g|0));D=D+1|0;if((D|0)==(m|0))break;else{E=E+4|0;F=F+1|0}}}else kzc(A+(o<<2)|0,0,z|0)|0;B=B+1|0;if((B|0)==(l|0))break;else{A=A+(y<<2)+4+(x<<2)|0;C=C+y+1+e|0}}u=n;return}if(i){if((l|0)<=0){u=n;return}i=(g|0)>0;e=b-m|0;y=q-m|0;C=r-m|0;if((m|0)<=0){u=n;return}x=m+-1|0;A=v;B=0;z=t;s=a;while(1){if(i){F=0;E=A;D=z;H=s;while(1){f[D+(o<<2)>>2]=0;f[E+(o<<2)>>2]=0;G=0;I=0;J=0;do{K=h[H+J>>0]|0;I=K+I|0;G=(Y(K,K)|0)+G|0;K=G+(f[E+(J-r<<2)>>2]|0)|0;f[D+(J<<2)>>2]=I+(f[D+(J-q<<2)>>2]|0);f[E+(J<<2)>>2]=K;J=J+m|0}while((J|0)<(g|0));F=F+1|0;if((F|0)==(m|0))break;else{E=E+4|0;D=D+4|0;H=H+1|0}}}else{H=0;D=A;E=z;while(1){f[E+(o<<2)>>2]=0;f[D+(o<<2)>>2]=0;H=H+1|0;if((H|0)==(m|0))break;else{D=D+4|0;E=E+4|0}}}B=B+1|0;if((B|0)==(l|0))break;else{A=A+(x<<2)+4+(C<<2)|0;z=z+(x<<2)+4+(y<<2)|0;s=s+x+1+e|0}}u=n;return}e=p+8|0;f[p>>2]=e;x=p+4|0;f[x>>2]=k;if(k>>>0>264){s=euc(k>>>0>1073741823?-1:k<<2)|0;f[p>>2]=s;L=s}else L=e;s=(m|0)>0;do if(s){k=(g|0)==(m|0);y=q+(m<<1)|0;z=w+(m<<2)|0;if((g|0)>0){M=L;N=w;O=0;P=v;Q=t;R=a}else{C=L;A=w;B=0;i=v;E=t;while(1){f[A+(o<<2)>>2]=0;f[E+(o<<2)>>2]=0;if(k)f[C+(m<<2)>>2]=0;if(!i)S=0;else{f[i+(o<<2)>>2]=0;S=i+4|0}B=B+1|0;if((B|0)==(m|0))break;else{C=C+4|0;A=A+4|0;i=S;E=E+4|0}}T=L+(m<<2)|0;U=z;V=S;W=a+m|0;X=c+(y<<2)|0;break}while(1){f[N+(o<<2)>>2]=0;f[Q+(o<<2)>>2]=0;E=(P|0)!=0;if(E){i=0;A=0;C=0;do{B=h[R+C>>0]|0;f[N+(C<<2)>>2]=B;f[M+(C<<2)>>2]=B;A=B+A|0;i=(Y(B,B)|0)+i|0;f[Q+(C<<2)>>2]=A;f[P+(C<<2)>>2]=i;C=C+m|0}while((C|0)<(g|0))}else{C=0;i=0;do{A=h[R+i>>0]|0;f[N+(i<<2)>>2]=A;f[M+(i<<2)>>2]=A;C=A+C|0;f[Q+(i<<2)>>2]=C;i=i+m|0}while((i|0)<(g|0))}if(k)f[M+(m<<2)>>2]=0;if(E){f[P+(o<<2)>>2]=0;Z=P+4|0}else Z=0;O=O+1|0;if((O|0)==(m|0))break;else{M=M+4|0;N=N+4|0;P=Z;Q=Q+4|0;R=R+1|0}}T=L+(m<<2)|0;U=z;V=Z;W=a+m|0;X=c+(y<<2)|0}else{T=L;U=w;V=v;W=a;X=t}while(0);if((l|0)>1){t=b-m|0;a=q-m|0;v=d-m|0;w=r-m|0;c=0-q|0;Z=0-r|0;R=g-m|0;Q=(R|0)>(m|0);P=d+m|0;N=(g|0)>(m|0);g=T;T=U;U=1;M=X;X=V;V=W;while(1){W=V+t|0;O=M+(a<<2)|0;S=T+(v<<2)|0;k=g+(o<<2)|0;i=(X|0)==0?0:X+(w<<2)|0;if(s){C=M+(q<<2)|0;A=k;B=S;D=0;H=O;F=W;J=i;while(1){I=h[F>>0]|0;G=Y(I,I)|0;f[H+(o<<2)>>2]=0;K=(J|0)!=0;if(K)f[J+(o<<2)>>2]=0;_=B+(j<<2)|0;f[B+(o<<2)>>2]=f[_>>2];f[H>>2]=(f[H+(c<<2)>>2]|0)+I;if(K)f[J>>2]=(f[J+(Z<<2)>>2]|0)+G;f[B>>2]=(f[_>>2]|0)+I+(f[A+(m<<2)>>2]|0);if(Q)if(K){_=I;$=G;aa=I;ba=m;while(1){ca=f[A+(ba<<2)>>2]|0;f[A+(ba-m<<2)>>2]=ca+_;da=h[F+ba>>0]|0;ea=da+aa|0;fa=(Y(da,da)|0)+$|0;f[H+(ba<<2)>>2]=ea+(f[H+(ba-q<<2)>>2]|0);f[J+(ba<<2)>>2]=(f[J+(ba-r<<2)>>2]|0)+fa;ga=ba+m|0;f[B+(ba<<2)>>2]=da+ca+(f[A+(ga<<2)>>2]|0)+(f[B+(ba-P<<2)>>2]|0);if((ga|0)<(R|0)){_=da;$=fa;aa=ea;ba=ga}else{ha=da;ia=fa;ja=ea;ka=ga;break}}}else{ba=I;aa=G;$=I;_=m;while(1){E=f[A+(_<<2)>>2]|0;f[A+(_-m<<2)>>2]=E+ba;ga=h[F+_>>0]|0;ea=ga+$|0;fa=(Y(ga,ga)|0)+aa|0;f[H+(_<<2)>>2]=ea+(f[H+(_-q<<2)>>2]|0);da=_+m|0;f[B+(_<<2)>>2]=ga+E+(f[A+(da<<2)>>2]|0)+(f[B+(_-P<<2)>>2]|0);if((da|0)<(R|0)){ba=ga;aa=fa;$=ea;_=da}else{ha=ga;ia=fa;ja=ea;ka=da;break}}}else{ha=I;ia=G;ja=I;ka=m}if(N){_=A+(ka<<2)|0;$=f[_>>2]|0;f[A+(ka-m<<2)>>2]=$+ha;aa=h[F+ka>>0]|0;f[H+(ka<<2)>>2]=aa+ja+(f[H+(ka-q<<2)>>2]|0);if(K){ba=(Y(aa,aa)|0)+ia|0;f[J+(ka<<2)>>2]=ba+(f[J+(ka-r<<2)>>2]|0)}f[B+(ka<<2)>>2]=aa+$+(f[B+(ka-P<<2)>>2]|0);f[_>>2]=aa}J=K?J+4|0:0;D=D+1|0;if((D|0)==(m|0))break;else{A=A+4|0;B=B+4|0;H=H+4|0;F=F+1|0}}la=g;ma=T+(d<<2)|0;na=V+b|0;oa=C;pa=J}else{la=k;ma=S;na=W;oa=O;pa=i}U=U+1|0;if((U|0)==(l|0))break;else{g=la;T=ma;M=oa;X=pa;V=na}}}if((L|0)!=(e|0)){guc(L);f[p>>2]=e;f[x>>2]=264}u=n;return}function yaa(a,c,d,e,g,i,j,k,l,m,o){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;o=o|0;var q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0.0,K=0,L=0.0,M=0,N=0,O=0.0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0.0,ea=0.0,fa=0.0,ga=0,ha=0.0,ia=0.0,ja=0.0,ka=0.0,la=0.0,ma=0.0,na=0.0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0;q=u;u=u+1072|0;r=0-o|0;s=q;t=e>>>2;e=k>>>2;k=0-e|0;v=i>>>3;i=Y(o,l)|0;l=i+o|0;w=l<<2;kzc(d|0,0,w|0)|0;x=d+(t+o<<2)|0;if(!g)y=0;else{kzc(g|0,0,l<<3|0)|0;y=g+(v+o<<3)|0}if(!j)z=0;else{kzc(j|0,0,w|0)|0;z=j+(e+o<<2)|0}j=(z|0)==0;if((y|0)==0&j){if((m|0)<=0){u=q;return}w=(i|0)>0;g=c-o|0;A=t-o|0;if((o|0)<=0){u=q;return}B=o+-1|0;C=o<<2;D=x;E=0;F=a;while(1){if(w){G=0;H=D;I=F;while(1){n[H+(r<<2)>>2]=0.0;J=0.0;K=0;do{J=J+ +(h[I+K>>0]|0);n[H+(K<<2)>>2]=+n[H+(K-t<<2)>>2]+J;K=K+o|0}while((K|0)<(i|0));G=G+1|0;if((G|0)==(o|0))break;else{H=H+4|0;I=I+1|0}}}else kzc(D+(r<<2)|0,0,C|0)|0;E=E+1|0;if((E|0)==(m|0))break;else{D=D+(B<<2)+4+(A<<2)|0;F=F+B+1+g|0}}u=q;return}if(j){if((m|0)<=0){u=q;return}j=(i|0)>0;g=c-o|0;B=t-o|0;F=v-o|0;if((o|0)<=0){u=q;return}A=o+-1|0;D=y;E=0;C=x;w=a;while(1){if(j){I=0;H=D;G=C;K=w;while(1){n[G+(r<<2)>>2]=0.0;p[H+(r<<3)>>3]=0.0;J=0.0;L=0.0;M=0;do{N=b[K+M>>0]|0;L=L+ +(N&255);O=+(N&255);J=J+O*O;O=+p[H+(M-v<<3)>>3]+J;n[G+(M<<2)>>2]=+n[G+(M-t<<2)>>2]+L;p[H+(M<<3)>>3]=O;M=M+o|0}while((M|0)<(i|0));I=I+1|0;if((I|0)==(o|0))break;else{H=H+8|0;G=G+4|0;K=K+1|0}}}else{K=0;G=D;H=C;while(1){n[H+(r<<2)>>2]=0.0;p[G+(r<<3)>>3]=0.0;K=K+1|0;if((K|0)==(o|0))break;else{G=G+8|0;H=H+4|0}}}E=E+1|0;if((E|0)==(m|0))break;else{D=D+(A<<3)+8+(F<<3)|0;C=C+(A<<2)+4+(B<<2)|0;w=w+A+1+g|0}}u=q;return}g=s+8|0;f[s>>2]=g;A=s+4|0;f[A>>2]=l;if(l>>>0>264){w=euc(l>>>0>1073741823?-1:l<<2)|0;f[s>>2]=w;P=w}else P=g;w=(o|0)>0;do if(w){l=(i|0)==(o|0);B=t+(o<<1)|0;C=z+(o<<2)|0;if((i|0)>0){Q=P;R=z;S=0;T=y;U=x;V=a}else{F=P;D=z;E=0;j=y;H=x;while(1){n[D+(r<<2)>>2]=0.0;n[H+(r<<2)>>2]=0.0;if(l)n[F+(o<<2)>>2]=0.0;if(!j)W=0;else{p[j+(r<<3)>>3]=0.0;W=j+8|0}E=E+1|0;if((E|0)==(o|0))break;else{F=F+4|0;D=D+4|0;j=W;H=H+4|0}}X=P+(o<<2)|0;Z=C;_=W;$=a+o|0;aa=d+(B<<2)|0;break}while(1){n[R+(r<<2)>>2]=0.0;n[U+(r<<2)>>2]=0.0;H=(T|0)!=0;if(H){L=0.0;J=0.0;j=0;do{D=b[V+j>>0]|0;O=+(D&255);n[R+(j<<2)>>2]=O;n[Q+(j<<2)>>2]=O;J=J+O;O=+(D&255);L=L+O*O;n[U+(j<<2)>>2]=J;p[T+(j<<3)>>3]=L;j=j+o|0}while((j|0)<(i|0))}else{L=0.0;j=0;do{J=+(h[V+j>>0]|0);n[R+(j<<2)>>2]=J;n[Q+(j<<2)>>2]=J;L=L+J;n[U+(j<<2)>>2]=L;j=j+o|0}while((j|0)<(i|0))}if(l)n[Q+(o<<2)>>2]=0.0;if(H){p[T+(r<<3)>>3]=0.0;ba=T+8|0}else ba=0;S=S+1|0;if((S|0)==(o|0))break;else{Q=Q+4|0;R=R+4|0;T=ba;U=U+4|0;V=V+1|0}}X=P+(o<<2)|0;Z=C;_=ba;$=a+o|0;aa=d+(B<<2)|0}else{X=P;Z=z;_=y;$=a;aa=x}while(0);if((m|0)>1){x=c-o|0;a=t-o|0;y=e-o|0;z=v-o|0;d=0-t|0;ba=0-v|0;V=i-o|0;U=(V|0)>(o|0);T=e+o|0;R=(i|0)>(o|0);i=X;X=Z;Z=1;Q=aa;aa=_;_=$;while(1){$=_+x|0;S=Q+(a<<2)|0;W=X+(y<<2)|0;l=i+(r<<2)|0;j=(aa|0)==0?0:aa+(z<<3)|0;if(w){D=Q+(t<<2)|0;F=l;E=W;G=0;K=S;I=$;M=j;while(1){N=b[I>>0]|0;L=+(N&255);J=+(N&255);O=J*J;n[K+(r<<2)>>2]=0.0;N=(M|0)!=0;if(N)p[M+(r<<3)>>3]=0.0;ca=E+(k<<2)|0;f[E+(r<<2)>>2]=f[ca>>2];n[K>>2]=L+ +n[K+(d<<2)>>2];if(N)p[M>>3]=O+ +p[M+(ba<<3)>>3];n[E>>2]=L+ +n[ca>>2]+ +n[F+(o<<2)>>2];if(U)if(N){J=L;da=O;ea=L;ca=o;while(1){fa=+n[F+(ca<<2)>>2];n[F+(ca-o<<2)>>2]=J+fa;ga=b[I+ca>>0]|0;ha=+(ga&255);ia=+(ga&255);ja=ea+ha;ka=da+ia*ia;n[K+(ca<<2)>>2]=+n[K+(ca-t<<2)>>2]+ja;p[M+(ca<<3)>>3]=ka+ +p[M+(ca-v<<3)>>3];ga=ca+o|0;n[E+(ca<<2)>>2]=fa+(ha+ +n[F+(ga<<2)>>2]+ +n[E+(ca-T<<2)>>2]);if((ga|0)<(V|0)){J=ha;da=ka;ea=ja;ca=ga}else{la=ha;ma=ka;na=ja;oa=ga;break}}}else{ea=L;da=O;J=L;ca=o;while(1){ja=+n[F+(ca<<2)>>2];n[F+(ca-o<<2)>>2]=ea+ja;H=b[I+ca>>0]|0;ka=+(H&255);ha=+(H&255);fa=J+ka;ia=da+ha*ha;n[K+(ca<<2)>>2]=+n[K+(ca-t<<2)>>2]+fa;H=ca+o|0;n[E+(ca<<2)>>2]=ja+(ka+ +n[F+(H<<2)>>2]+ +n[E+(ca-T<<2)>>2]);if((H|0)<(V|0)){ea=ka;da=ia;J=fa;ca=H}else{la=ka;ma=ia;na=fa;oa=H;break}}}else{la=L;ma=O;na=L;oa=o}if(R){ca=F+(oa<<2)|0;J=+n[ca>>2];n[F+(oa-o<<2)>>2]=la+J;H=b[I+oa>>0]|0;da=+(H&255);n[K+(oa<<2)>>2]=+n[K+(oa-t<<2)>>2]+(na+da);ea=+(H&255);if(N)p[M+(oa<<3)>>3]=ma+ea*ea+ +p[M+(oa-v<<3)>>3];n[E+(oa<<2)>>2]=J+da+ +n[E+(oa-T<<2)>>2];n[ca>>2]=da}M=N?M+8|0:0;G=G+1|0;if((G|0)==(o|0))break;else{F=F+4|0;E=E+4|0;K=K+4|0;I=I+1|0}}pa=i;qa=X+(e<<2)|0;ra=_+c|0;sa=D;ta=M}else{pa=l;qa=W;ra=$;sa=S;ta=j}Z=Z+1|0;if((Z|0)==(m|0))break;else{i=pa;X=qa;Q=sa;aa=ta;_=ra}}}if((P|0)!=(g|0)){guc(P);f[s>>2]=g;f[A>>2]=264}u=q;return}function zaa(a,b,c,d,e,g,i,j,k,l,m){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0.0,I=0,J=0.0,K=0,L=0.0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0.0,ca=0.0,da=0.0,ea=0.0,fa=0.0,ga=0.0,ha=0,ia=0.0,ja=0.0,ka=0.0,la=0,ma=0,na=0,oa=0,pa=0,qa=0;o=u;u=u+1072|0;p=0-m|0;q=o;r=d>>>2;d=j>>>2;j=0-d|0;s=g>>>2;g=Y(m,k)|0;k=g+m|0;t=k<<2;kzc(c|0,0,t|0)|0;v=c+(r+m<<2)|0;if(!e)w=0;else{kzc(e|0,0,t|0)|0;w=e+(s+m<<2)|0}if(!i)x=0;else{kzc(i|0,0,t|0)|0;x=i+(d+m<<2)|0}i=(x|0)==0;if((w|0)==0&i){if((l|0)<=0){u=o;return}t=(g|0)>0;e=b-m|0;y=r-m|0;if((m|0)<=0){u=o;return}z=m+-1|0;A=m<<2;B=v;C=0;D=a;while(1){if(t){E=0;F=B;G=D;while(1){n[F+(p<<2)>>2]=0.0;H=0.0;I=0;do{H=H+ +(h[G+I>>0]|0);n[F+(I<<2)>>2]=+n[F+(I-r<<2)>>2]+H;I=I+m|0}while((I|0)<(g|0));E=E+1|0;if((E|0)==(m|0))break;else{F=F+4|0;G=G+1|0}}}else kzc(B+(p<<2)|0,0,A|0)|0;C=C+1|0;if((C|0)==(l|0))break;else{B=B+(z<<2)+4+(y<<2)|0;D=D+z+1+e|0}}u=o;return}if(i){if((l|0)<=0){u=o;return}i=(g|0)>0;e=b-m|0;z=r-m|0;D=s-m|0;if((m|0)<=0){u=o;return}y=m+-1|0;B=w;C=0;A=v;t=a;while(1){if(i){G=0;F=B;E=A;I=t;while(1){n[E+(p<<2)>>2]=0.0;n[F+(p<<2)>>2]=0.0;H=0.0;J=0.0;K=0;do{L=+(h[I+K>>0]|0);J=J+L;H=H+L*L;L=+n[F+(K-s<<2)>>2]+H;n[E+(K<<2)>>2]=+n[E+(K-r<<2)>>2]+J;n[F+(K<<2)>>2]=L;K=K+m|0}while((K|0)<(g|0));G=G+1|0;if((G|0)==(m|0))break;else{F=F+4|0;E=E+4|0;I=I+1|0}}}else{I=0;E=B;F=A;while(1){n[F+(p<<2)>>2]=0.0;n[E+(p<<2)>>2]=0.0;I=I+1|0;if((I|0)==(m|0))break;else{E=E+4|0;F=F+4|0}}}C=C+1|0;if((C|0)==(l|0))break;else{B=B+(y<<2)+4+(D<<2)|0;A=A+(y<<2)+4+(z<<2)|0;t=t+y+1+e|0}}u=o;return}e=q+8|0;f[q>>2]=e;y=q+4|0;f[y>>2]=k;if(k>>>0>264){t=euc(k>>>0>1073741823?-1:k<<2)|0;f[q>>2]=t;M=t}else M=e;t=(m|0)>0;do if(t){k=(g|0)==(m|0);z=r+(m<<1)|0;A=x+(m<<2)|0;if((g|0)>0){N=M;O=x;P=0;Q=w;R=v;S=a}else{D=M;B=x;C=0;i=w;F=v;while(1){n[B+(p<<2)>>2]=0.0;n[F+(p<<2)>>2]=0.0;if(k)n[D+(m<<2)>>2]=0.0;if(!i)T=0;else{n[i+(p<<2)>>2]=0.0;T=i+4|0}C=C+1|0;if((C|0)==(m|0))break;else{D=D+4|0;B=B+4|0;i=T;F=F+4|0}}U=M+(m<<2)|0;V=A;W=T;X=a+m|0;Z=c+(z<<2)|0;break}while(1){n[O+(p<<2)>>2]=0.0;n[R+(p<<2)>>2]=0.0;F=(Q|0)!=0;if(F){J=0.0;H=0.0;i=0;do{L=+(h[S+i>>0]|0);n[O+(i<<2)>>2]=L;n[N+(i<<2)>>2]=L;H=H+L;J=J+L*L;n[R+(i<<2)>>2]=H;n[Q+(i<<2)>>2]=J;i=i+m|0}while((i|0)<(g|0))}else{J=0.0;i=0;do{H=+(h[S+i>>0]|0);n[O+(i<<2)>>2]=H;n[N+(i<<2)>>2]=H;J=J+H;n[R+(i<<2)>>2]=J;i=i+m|0}while((i|0)<(g|0))}if(k)n[N+(m<<2)>>2]=0.0;if(F){n[Q+(p<<2)>>2]=0.0;_=Q+4|0}else _=0;P=P+1|0;if((P|0)==(m|0))break;else{N=N+4|0;O=O+4|0;Q=_;R=R+4|0;S=S+1|0}}U=M+(m<<2)|0;V=A;W=_;X=a+m|0;Z=c+(z<<2)|0}else{U=M;V=x;W=w;X=a;Z=v}while(0);if((l|0)>1){v=b-m|0;a=r-m|0;w=d-m|0;x=s-m|0;c=0-r|0;_=0-s|0;S=g-m|0;R=(S|0)>(m|0);Q=d+m|0;O=(g|0)>(m|0);g=U;U=V;V=1;N=Z;Z=W;W=X;while(1){X=W+v|0;P=N+(a<<2)|0;T=U+(w<<2)|0;k=g+(p<<2)|0;i=(Z|0)==0?0:Z+(x<<2)|0;if(t){B=N+(r<<2)|0;D=k;C=T;E=0;I=P;G=X;K=i;while(1){J=+(h[G>>0]|0);H=J*J;n[I+(p<<2)>>2]=0.0;$=(K|0)!=0;if($)n[K+(p<<2)>>2]=0.0;aa=C+(j<<2)|0;f[C+(p<<2)>>2]=f[aa>>2];n[I>>2]=J+ +n[I+(c<<2)>>2];if($)n[K>>2]=H+ +n[K+(_<<2)>>2];n[C>>2]=J+ +n[aa>>2]+ +n[D+(m<<2)>>2];if(R)if($){L=J;ba=H;ca=J;aa=m;while(1){da=+n[D+(aa<<2)>>2];n[D+(aa-m<<2)>>2]=L+da;ea=+(h[G+aa>>0]|0);fa=ca+ea;ga=ba+ea*ea;n[I+(aa<<2)>>2]=+n[I+(aa-r<<2)>>2]+fa;n[K+(aa<<2)>>2]=ga+ +n[K+(aa-s<<2)>>2];ha=aa+m|0;n[C+(aa<<2)>>2]=da+(ea+ +n[D+(ha<<2)>>2]+ +n[C+(aa-Q<<2)>>2]);if((ha|0)<(S|0)){L=ea;ba=ga;ca=fa;aa=ha}else{ia=ea;ja=ga;ka=fa;la=ha;break}}}else{ca=J;ba=H;L=J;aa=m;while(1){fa=+n[D+(aa<<2)>>2];n[D+(aa-m<<2)>>2]=ca+fa;ga=+(h[G+aa>>0]|0);ea=L+ga;da=ba+ga*ga;n[I+(aa<<2)>>2]=+n[I+(aa-r<<2)>>2]+ea;F=aa+m|0;n[C+(aa<<2)>>2]=fa+(ga+ +n[D+(F<<2)>>2]+ +n[C+(aa-Q<<2)>>2]);if((F|0)<(S|0)){ca=ga;ba=da;L=ea;aa=F}else{ia=ga;ja=da;ka=ea;la=F;break}}}else{ia=J;ja=H;ka=J;la=m}if(O){aa=D+(la<<2)|0;L=+n[aa>>2];n[D+(la-m<<2)>>2]=ia+L;ba=+(h[G+la>>0]|0);n[I+(la<<2)>>2]=+n[I+(la-r<<2)>>2]+(ka+ba);if($)n[K+(la<<2)>>2]=ja+ba*ba+ +n[K+(la-s<<2)>>2];n[C+(la<<2)>>2]=L+ba+ +n[C+(la-Q<<2)>>2];n[aa>>2]=ba}K=$?K+4|0:0;E=E+1|0;if((E|0)==(m|0))break;else{D=D+4|0;C=C+4|0;I=I+4|0;G=G+1|0}}ma=g;na=U+(d<<2)|0;oa=W+b|0;pa=B;qa=K}else{ma=k;na=T;oa=X;pa=P;qa=i}V=V+1|0;if((V|0)==(l|0))break;else{g=ma;U=na;N=pa;Z=qa;W=oa}}}if((M|0)!=(e|0)){guc(M);f[q>>2]=e;f[y>>2]=264}u=o;return}function Aaa(a,b,c,d,e,g,i,j,k,l,m){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0.0,I=0,J=0.0,K=0,L=0.0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0.0,ca=0.0,da=0.0,ea=0.0,fa=0.0,ga=0.0,ha=0,ia=0.0,ja=0.0,ka=0.0,la=0,ma=0,na=0,oa=0,pa=0,qa=0;n=u;u=u+1104|0;o=0-m|0;q=n;r=d>>>3;d=j>>>3;j=0-d|0;s=g>>>3;g=Y(m,k)|0;k=g+m|0;t=k<<3;kzc(c|0,0,t|0)|0;v=c+(r+m<<3)|0;if(!e)w=0;else{kzc(e|0,0,t|0)|0;w=e+(s+m<<3)|0}if(!i)x=0;else{kzc(i|0,0,t|0)|0;x=i+(d+m<<3)|0}i=(x|0)==0;if((w|0)==0&i){if((l|0)<=0){u=n;return}t=(g|0)>0;e=b-m|0;y=r-m|0;if((m|0)<=0){u=n;return}z=m+-1|0;A=m<<3;B=v;C=0;D=a;while(1){if(t){E=0;F=B;G=D;while(1){p[F+(o<<3)>>3]=0.0;H=0.0;I=0;do{H=H+ +(h[G+I>>0]|0);p[F+(I<<3)>>3]=+p[F+(I-r<<3)>>3]+H;I=I+m|0}while((I|0)<(g|0));E=E+1|0;if((E|0)==(m|0))break;else{F=F+8|0;G=G+1|0}}}else kzc(B+(o<<3)|0,0,A|0)|0;C=C+1|0;if((C|0)==(l|0))break;else{B=B+(z<<3)+8+(y<<3)|0;D=D+z+1+e|0}}u=n;return}if(i){if((l|0)<=0){u=n;return}i=(g|0)>0;e=b-m|0;z=r-m|0;D=s-m|0;if((m|0)<=0){u=n;return}y=m+-1|0;B=w;C=0;A=v;t=a;while(1){if(i){G=0;F=B;E=A;I=t;while(1){p[E+(o<<3)>>3]=0.0;p[F+(o<<3)>>3]=0.0;H=0.0;J=0.0;K=0;do{L=+(h[I+K>>0]|0);J=J+L;H=H+L*L;L=+p[F+(K-s<<3)>>3]+H;p[E+(K<<3)>>3]=+p[E+(K-r<<3)>>3]+J;p[F+(K<<3)>>3]=L;K=K+m|0}while((K|0)<(g|0));G=G+1|0;if((G|0)==(m|0))break;else{F=F+8|0;E=E+8|0;I=I+1|0}}}else{I=0;E=B;F=A;while(1){p[F+(o<<3)>>3]=0.0;p[E+(o<<3)>>3]=0.0;I=I+1|0;if((I|0)==(m|0))break;else{E=E+8|0;F=F+8|0}}}C=C+1|0;if((C|0)==(l|0))break;else{B=B+(y<<3)+8+(D<<3)|0;A=A+(y<<3)+8+(z<<3)|0;t=t+y+1+e|0}}u=n;return}e=q+8|0;f[q>>2]=e;y=q+4|0;f[y>>2]=k;if(k>>>0>136){t=euc(k>>>0>536870911?-1:k<<3)|0;f[q>>2]=t;M=t}else M=e;t=(m|0)>0;do if(t){k=(g|0)==(m|0);z=r+(m<<1)|0;A=x+(m<<3)|0;if((g|0)>0){N=M;O=x;P=0;Q=w;R=v;S=a}else{D=M;B=x;C=0;i=w;F=v;while(1){p[B+(o<<3)>>3]=0.0;p[F+(o<<3)>>3]=0.0;if(k)p[D+(m<<3)>>3]=0.0;if(!i)T=0;else{p[i+(o<<3)>>3]=0.0;T=i+8|0}C=C+1|0;if((C|0)==(m|0))break;else{D=D+8|0;B=B+8|0;i=T;F=F+8|0}}U=M+(m<<3)|0;V=A;W=T;X=a+m|0;Z=c+(z<<3)|0;break}while(1){p[O+(o<<3)>>3]=0.0;p[R+(o<<3)>>3]=0.0;F=(Q|0)!=0;if(F){J=0.0;H=0.0;i=0;do{L=+(h[S+i>>0]|0);p[O+(i<<3)>>3]=L;p[N+(i<<3)>>3]=L;H=H+L;J=J+L*L;p[R+(i<<3)>>3]=H;p[Q+(i<<3)>>3]=J;i=i+m|0}while((i|0)<(g|0))}else{J=0.0;i=0;do{H=+(h[S+i>>0]|0);p[O+(i<<3)>>3]=H;p[N+(i<<3)>>3]=H;J=J+H;p[R+(i<<3)>>3]=J;i=i+m|0}while((i|0)<(g|0))}if(k)p[N+(m<<3)>>3]=0.0;if(F){p[Q+(o<<3)>>3]=0.0;_=Q+8|0}else _=0;P=P+1|0;if((P|0)==(m|0))break;else{N=N+8|0;O=O+8|0;Q=_;R=R+8|0;S=S+1|0}}U=M+(m<<3)|0;V=A;W=_;X=a+m|0;Z=c+(z<<3)|0}else{U=M;V=x;W=w;X=a;Z=v}while(0);if((l|0)>1){v=b-m|0;a=r-m|0;w=d-m|0;x=s-m|0;c=0-r|0;_=0-s|0;S=g-m|0;R=(S|0)>(m|0);Q=d+m|0;O=(g|0)>(m|0);g=U;U=V;V=1;N=Z;Z=W;W=X;while(1){X=W+v|0;P=N+(a<<3)|0;T=U+(w<<3)|0;k=g+(o<<3)|0;i=(Z|0)==0?0:Z+(x<<3)|0;if(t){B=N+(r<<3)|0;D=k;C=T;E=0;I=P;G=X;K=i;while(1){J=+(h[G>>0]|0);H=J*J;p[I+(o<<3)>>3]=0.0;$=(K|0)!=0;if($)p[K+(o<<3)>>3]=0.0;aa=C+(j<<3)|0;p[C+(o<<3)>>3]=+p[aa>>3];p[I>>3]=J+ +p[I+(c<<3)>>3];if($)p[K>>3]=H+ +p[K+(_<<3)>>3];p[C>>3]=J+ +p[aa>>3]+ +p[D+(m<<3)>>3];if(R)if($){L=J;ba=H;ca=J;aa=m;while(1){da=+p[D+(aa<<3)>>3];p[D+(aa-m<<3)>>3]=L+da;ea=+(h[G+aa>>0]|0);fa=ca+ea;ga=ba+ea*ea;p[I+(aa<<3)>>3]=+p[I+(aa-r<<3)>>3]+fa;p[K+(aa<<3)>>3]=ga+ +p[K+(aa-s<<3)>>3];ha=aa+m|0;p[C+(aa<<3)>>3]=da+(ea+ +p[D+(ha<<3)>>3]+ +p[C+(aa-Q<<3)>>3]);if((ha|0)<(S|0)){L=ea;ba=ga;ca=fa;aa=ha}else{ia=ea;ja=ga;ka=fa;la=ha;break}}}else{ca=J;ba=H;L=J;aa=m;while(1){fa=+p[D+(aa<<3)>>3];p[D+(aa-m<<3)>>3]=ca+fa;ga=+(h[G+aa>>0]|0);ea=L+ga;da=ba+ga*ga;p[I+(aa<<3)>>3]=+p[I+(aa-r<<3)>>3]+ea;F=aa+m|0;p[C+(aa<<3)>>3]=fa+(ga+ +p[D+(F<<3)>>3]+ +p[C+(aa-Q<<3)>>3]);if((F|0)<(S|0)){ca=ga;ba=da;L=ea;aa=F}else{ia=ga;ja=da;ka=ea;la=F;break}}}else{ia=J;ja=H;ka=J;la=m}if(O){aa=D+(la<<3)|0;L=+p[aa>>3];p[D+(la-m<<3)>>3]=ia+L;ba=+(h[G+la>>0]|0);p[I+(la<<3)>>3]=+p[I+(la-r<<3)>>3]+(ka+ba);if($)p[K+(la<<3)>>3]=ja+ba*ba+ +p[K+(la-s<<3)>>3];p[C+(la<<3)>>3]=L+ba+ +p[C+(la-Q<<3)>>3];p[aa>>3]=ba}K=$?K+8|0:0;E=E+1|0;if((E|0)==(m|0))break;else{D=D+8|0;C=C+8|0;I=I+8|0;G=G+1|0}}ma=g;na=U+(d<<3)|0;oa=W+b|0;pa=B;qa=K}else{ma=k;na=T;oa=X;pa=P;qa=i}V=V+1|0;if((V|0)==(l|0))break;else{g=ma;U=na;N=pa;Z=qa;W=oa}}}if((M|0)!=(e|0)){guc(M);f[q>>2]=e;f[y>>2]=136}u=n;return}function Baa(a,b,c,d,e,g,h,i,k,l,m){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0.0,I=0,J=0.0,K=0,L=0.0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0.0,ca=0.0,da=0.0,ea=0.0,fa=0.0,ga=0.0,ha=0,ia=0.0,ja=0.0,ka=0.0,la=0,ma=0,na=0,oa=0,pa=0,qa=0;n=u;u=u+1104|0;o=0-m|0;q=n;r=b>>>1;b=d>>>3;d=i>>>3;i=0-d|0;s=g>>>3;g=Y(m,k)|0;k=g+m|0;t=k<<3;kzc(c|0,0,t|0)|0;v=c+(b+m<<3)|0;if(!e)w=0;else{kzc(e|0,0,t|0)|0;w=e+(s+m<<3)|0}if(!h)x=0;else{kzc(h|0,0,t|0)|0;x=h+(d+m<<3)|0}h=(x|0)==0;if((w|0)==0&h){if((l|0)<=0){u=n;return}t=(g|0)>0;e=r-m|0;y=b-m|0;if((m|0)<=0){u=n;return}z=m+-1|0;A=m<<3;B=v;C=0;D=a;while(1){if(t){E=0;F=B;G=D;while(1){p[F+(o<<3)>>3]=0.0;H=0.0;I=0;do{H=H+ +(j[G+(I<<1)>>1]|0);p[F+(I<<3)>>3]=+p[F+(I-b<<3)>>3]+H;I=I+m|0}while((I|0)<(g|0));E=E+1|0;if((E|0)==(m|0))break;else{F=F+8|0;G=G+2|0}}}else kzc(B+(o<<3)|0,0,A|0)|0;C=C+1|0;if((C|0)==(l|0))break;else{B=B+(z<<3)+8+(y<<3)|0;D=D+(z<<1)+2+(e<<1)|0}}u=n;return}if(h){if((l|0)<=0){u=n;return}h=(g|0)>0;e=r-m|0;z=b-m|0;D=s-m|0;if((m|0)<=0){u=n;return}y=m+-1|0;B=w;C=0;A=v;t=a;while(1){if(h){G=0;F=B;E=A;I=t;while(1){p[E+(o<<3)>>3]=0.0;p[F+(o<<3)>>3]=0.0;H=0.0;J=0.0;K=0;do{L=+(j[I+(K<<1)>>1]|0);J=J+L;H=H+L*L;L=+p[F+(K-s<<3)>>3]+H;p[E+(K<<3)>>3]=+p[E+(K-b<<3)>>3]+J;p[F+(K<<3)>>3]=L;K=K+m|0}while((K|0)<(g|0));G=G+1|0;if((G|0)==(m|0))break;else{F=F+8|0;E=E+8|0;I=I+2|0}}}else{I=0;E=B;F=A;while(1){p[F+(o<<3)>>3]=0.0;p[E+(o<<3)>>3]=0.0;I=I+1|0;if((I|0)==(m|0))break;else{E=E+8|0;F=F+8|0}}}C=C+1|0;if((C|0)==(l|0))break;else{B=B+(y<<3)+8+(D<<3)|0;A=A+(y<<3)+8+(z<<3)|0;t=t+(y<<1)+2+(e<<1)|0}}u=n;return}e=q+8|0;f[q>>2]=e;y=q+4|0;f[y>>2]=k;if(k>>>0>136){t=euc(k>>>0>536870911?-1:k<<3)|0;f[q>>2]=t;M=t}else M=e;t=(m|0)>0;do if(t){k=(g|0)==(m|0);z=b+(m<<1)|0;A=x+(m<<3)|0;if((g|0)>0){N=M;O=x;P=0;Q=w;R=v;S=a}else{D=M;B=x;C=0;h=w;F=v;while(1){p[B+(o<<3)>>3]=0.0;p[F+(o<<3)>>3]=0.0;if(k)p[D+(m<<3)>>3]=0.0;if(!h)T=0;else{p[h+(o<<3)>>3]=0.0;T=h+8|0}C=C+1|0;if((C|0)==(m|0))break;else{D=D+8|0;B=B+8|0;h=T;F=F+8|0}}U=M+(m<<3)|0;V=A;W=T;X=a+(m<<1)|0;Z=c+(z<<3)|0;break}while(1){p[O+(o<<3)>>3]=0.0;p[R+(o<<3)>>3]=0.0;F=(Q|0)!=0;if(F){J=0.0;H=0.0;h=0;do{L=+(j[S+(h<<1)>>1]|0);p[O+(h<<3)>>3]=L;p[N+(h<<3)>>3]=L;H=H+L;J=J+L*L;p[R+(h<<3)>>3]=H;p[Q+(h<<3)>>3]=J;h=h+m|0}while((h|0)<(g|0))}else{J=0.0;h=0;do{H=+(j[S+(h<<1)>>1]|0);p[O+(h<<3)>>3]=H;p[N+(h<<3)>>3]=H;J=J+H;p[R+(h<<3)>>3]=J;h=h+m|0}while((h|0)<(g|0))}if(k)p[N+(m<<3)>>3]=0.0;if(F){p[Q+(o<<3)>>3]=0.0;_=Q+8|0}else _=0;P=P+1|0;if((P|0)==(m|0))break;else{N=N+8|0;O=O+8|0;Q=_;R=R+8|0;S=S+2|0}}U=M+(m<<3)|0;V=A;W=_;X=a+(m<<1)|0;Z=c+(z<<3)|0}else{U=M;V=x;W=w;X=a;Z=v}while(0);if((l|0)>1){v=r-m|0;a=b-m|0;w=d-m|0;x=s-m|0;c=0-b|0;_=0-s|0;S=g-m|0;R=(S|0)>(m|0);Q=d+m|0;O=(g|0)>(m|0);g=U;U=V;V=1;N=Z;Z=W;W=X;while(1){X=W+(v<<1)|0;P=N+(a<<3)|0;T=U+(w<<3)|0;k=g+(o<<3)|0;h=(Z|0)==0?0:Z+(x<<3)|0;if(t){B=N+(b<<3)|0;D=k;C=T;E=0;I=P;G=X;K=h;while(1){J=+(j[G>>1]|0);H=J*J;p[I+(o<<3)>>3]=0.0;$=(K|0)!=0;if($)p[K+(o<<3)>>3]=0.0;aa=C+(i<<3)|0;p[C+(o<<3)>>3]=+p[aa>>3];p[I>>3]=J+ +p[I+(c<<3)>>3];if($)p[K>>3]=H+ +p[K+(_<<3)>>3];p[C>>3]=J+ +p[aa>>3]+ +p[D+(m<<3)>>3];if(R)if($){L=J;ba=H;ca=J;aa=m;while(1){da=+p[D+(aa<<3)>>3];p[D+(aa-m<<3)>>3]=L+da;ea=+(j[G+(aa<<1)>>1]|0);fa=ca+ea;ga=ba+ea*ea;p[I+(aa<<3)>>3]=+p[I+(aa-b<<3)>>3]+fa;p[K+(aa<<3)>>3]=ga+ +p[K+(aa-s<<3)>>3];ha=aa+m|0;p[C+(aa<<3)>>3]=da+(ea+ +p[D+(ha<<3)>>3]+ +p[C+(aa-Q<<3)>>3]);if((ha|0)<(S|0)){L=ea;ba=ga;ca=fa;aa=ha}else{ia=ea;ja=ga;ka=fa;la=ha;break}}}else{ca=J;ba=H;L=J;aa=m;while(1){fa=+p[D+(aa<<3)>>3];p[D+(aa-m<<3)>>3]=ca+fa;ga=+(j[G+(aa<<1)>>1]|0);ea=L+ga;da=ba+ga*ga;p[I+(aa<<3)>>3]=+p[I+(aa-b<<3)>>3]+ea;F=aa+m|0;p[C+(aa<<3)>>3]=fa+(ga+ +p[D+(F<<3)>>3]+ +p[C+(aa-Q<<3)>>3]);if((F|0)<(S|0)){ca=ga;ba=da;L=ea;aa=F}else{ia=ga;ja=da;ka=ea;la=F;break}}}else{ia=J;ja=H;ka=J;la=m}if(O){aa=D+(la<<3)|0;L=+p[aa>>3];p[D+(la-m<<3)>>3]=ia+L;ba=+(j[G+(la<<1)>>1]|0);p[I+(la<<3)>>3]=+p[I+(la-b<<3)>>3]+(ka+ba);if($)p[K+(la<<3)>>3]=ja+ba*ba+ +p[K+(la-s<<3)>>3];p[C+(la<<3)>>3]=L+ba+ +p[C+(la-Q<<3)>>3];p[aa>>3]=ba}K=$?K+8|0:0;E=E+1|0;if((E|0)==(m|0))break;else{D=D+8|0;C=C+8|0;I=I+8|0;G=G+2|0}}ma=g;na=U+(d<<3)|0;oa=W+(r<<1)|0;pa=B;qa=K}else{ma=k;na=T;oa=X;pa=P;qa=h}V=V+1|0;if((V|0)==(l|0))break;else{g=ma;U=na;N=pa;Z=qa;W=oa}}}if((M|0)!=(e|0)){guc(M);f[q>>2]=e;f[y>>2]=136}u=n;return}function Caa(a,b,c,e,g,h,i,j,k,l,m){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0.0,I=0,J=0.0,K=0,L=0.0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0.0,ca=0.0,da=0.0,ea=0.0,fa=0.0,ga=0.0,ha=0,ia=0.0,ja=0.0,ka=0.0,la=0,ma=0,na=0,oa=0,pa=0,qa=0;n=u;u=u+1104|0;o=0-m|0;q=n;r=b>>>1;b=e>>>3;e=j>>>3;j=0-e|0;s=h>>>3;h=Y(m,k)|0;k=h+m|0;t=k<<3;kzc(c|0,0,t|0)|0;v=c+(b+m<<3)|0;if(!g)w=0;else{kzc(g|0,0,t|0)|0;w=g+(s+m<<3)|0}if(!i)x=0;else{kzc(i|0,0,t|0)|0;x=i+(e+m<<3)|0}i=(x|0)==0;if((w|0)==0&i){if((l|0)<=0){u=n;return}t=(h|0)>0;g=r-m|0;y=b-m|0;if((m|0)<=0){u=n;return}z=m+-1|0;A=m<<3;B=v;C=0;D=a;while(1){if(t){E=0;F=B;G=D;while(1){p[F+(o<<3)>>3]=0.0;H=0.0;I=0;do{H=H+ +(d[G+(I<<1)>>1]|0);p[F+(I<<3)>>3]=+p[F+(I-b<<3)>>3]+H;I=I+m|0}while((I|0)<(h|0));E=E+1|0;if((E|0)==(m|0))break;else{F=F+8|0;G=G+2|0}}}else kzc(B+(o<<3)|0,0,A|0)|0;C=C+1|0;if((C|0)==(l|0))break;else{B=B+(z<<3)+8+(y<<3)|0;D=D+(z<<1)+2+(g<<1)|0}}u=n;return}if(i){if((l|0)<=0){u=n;return}i=(h|0)>0;g=r-m|0;z=b-m|0;D=s-m|0;if((m|0)<=0){u=n;return}y=m+-1|0;B=w;C=0;A=v;t=a;while(1){if(i){G=0;F=B;E=A;I=t;while(1){p[E+(o<<3)>>3]=0.0;p[F+(o<<3)>>3]=0.0;H=0.0;J=0.0;K=0;do{L=+(d[I+(K<<1)>>1]|0);J=J+L;H=H+L*L;L=+p[F+(K-s<<3)>>3]+H;p[E+(K<<3)>>3]=+p[E+(K-b<<3)>>3]+J;p[F+(K<<3)>>3]=L;K=K+m|0}while((K|0)<(h|0));G=G+1|0;if((G|0)==(m|0))break;else{F=F+8|0;E=E+8|0;I=I+2|0}}}else{I=0;E=B;F=A;while(1){p[F+(o<<3)>>3]=0.0;p[E+(o<<3)>>3]=0.0;I=I+1|0;if((I|0)==(m|0))break;else{E=E+8|0;F=F+8|0}}}C=C+1|0;if((C|0)==(l|0))break;else{B=B+(y<<3)+8+(D<<3)|0;A=A+(y<<3)+8+(z<<3)|0;t=t+(y<<1)+2+(g<<1)|0}}u=n;return}g=q+8|0;f[q>>2]=g;y=q+4|0;f[y>>2]=k;if(k>>>0>136){t=euc(k>>>0>536870911?-1:k<<3)|0;f[q>>2]=t;M=t}else M=g;t=(m|0)>0;do if(t){k=(h|0)==(m|0);z=b+(m<<1)|0;A=x+(m<<3)|0;if((h|0)>0){N=M;O=x;P=0;Q=w;R=v;S=a}else{D=M;B=x;C=0;i=w;F=v;while(1){p[B+(o<<3)>>3]=0.0;p[F+(o<<3)>>3]=0.0;if(k)p[D+(m<<3)>>3]=0.0;if(!i)T=0;else{p[i+(o<<3)>>3]=0.0;T=i+8|0}C=C+1|0;if((C|0)==(m|0))break;else{D=D+8|0;B=B+8|0;i=T;F=F+8|0}}U=M+(m<<3)|0;V=A;W=T;X=a+(m<<1)|0;Z=c+(z<<3)|0;break}while(1){p[O+(o<<3)>>3]=0.0;p[R+(o<<3)>>3]=0.0;F=(Q|0)!=0;if(F){J=0.0;H=0.0;i=0;do{L=+(d[S+(i<<1)>>1]|0);p[O+(i<<3)>>3]=L;p[N+(i<<3)>>3]=L;H=H+L;J=J+L*L;p[R+(i<<3)>>3]=H;p[Q+(i<<3)>>3]=J;i=i+m|0}while((i|0)<(h|0))}else{J=0.0;i=0;do{H=+(d[S+(i<<1)>>1]|0);p[O+(i<<3)>>3]=H;p[N+(i<<3)>>3]=H;J=J+H;p[R+(i<<3)>>3]=J;i=i+m|0}while((i|0)<(h|0))}if(k)p[N+(m<<3)>>3]=0.0;if(F){p[Q+(o<<3)>>3]=0.0;_=Q+8|0}else _=0;P=P+1|0;if((P|0)==(m|0))break;else{N=N+8|0;O=O+8|0;Q=_;R=R+8|0;S=S+2|0}}U=M+(m<<3)|0;V=A;W=_;X=a+(m<<1)|0;Z=c+(z<<3)|0}else{U=M;V=x;W=w;X=a;Z=v}while(0);if((l|0)>1){v=r-m|0;a=b-m|0;w=e-m|0;x=s-m|0;c=0-b|0;_=0-s|0;S=h-m|0;R=(S|0)>(m|0);Q=e+m|0;O=(h|0)>(m|0);h=U;U=V;V=1;N=Z;Z=W;W=X;while(1){X=W+(v<<1)|0;P=N+(a<<3)|0;T=U+(w<<3)|0;k=h+(o<<3)|0;i=(Z|0)==0?0:Z+(x<<3)|0;if(t){B=N+(b<<3)|0;D=k;C=T;E=0;I=P;G=X;K=i;while(1){J=+(d[G>>1]|0);H=J*J;p[I+(o<<3)>>3]=0.0;$=(K|0)!=0;if($)p[K+(o<<3)>>3]=0.0;aa=C+(j<<3)|0;p[C+(o<<3)>>3]=+p[aa>>3];p[I>>3]=J+ +p[I+(c<<3)>>3];if($)p[K>>3]=H+ +p[K+(_<<3)>>3];p[C>>3]=J+ +p[aa>>3]+ +p[D+(m<<3)>>3];if(R)if($){L=J;ba=H;ca=J;aa=m;while(1){da=+p[D+(aa<<3)>>3];p[D+(aa-m<<3)>>3]=L+da;ea=+(d[G+(aa<<1)>>1]|0);fa=ca+ea;ga=ba+ea*ea;p[I+(aa<<3)>>3]=+p[I+(aa-b<<3)>>3]+fa;p[K+(aa<<3)>>3]=ga+ +p[K+(aa-s<<3)>>3];ha=aa+m|0;p[C+(aa<<3)>>3]=da+(ea+ +p[D+(ha<<3)>>3]+ +p[C+(aa-Q<<3)>>3]);if((ha|0)<(S|0)){L=ea;ba=ga;ca=fa;aa=ha}else{ia=ea;ja=ga;ka=fa;la=ha;break}}}else{ca=J;ba=H;L=J;aa=m;while(1){fa=+p[D+(aa<<3)>>3];p[D+(aa-m<<3)>>3]=ca+fa;ga=+(d[G+(aa<<1)>>1]|0);ea=L+ga;da=ba+ga*ga;p[I+(aa<<3)>>3]=+p[I+(aa-b<<3)>>3]+ea;F=aa+m|0;p[C+(aa<<3)>>3]=fa+(ga+ +p[D+(F<<3)>>3]+ +p[C+(aa-Q<<3)>>3]);if((F|0)<(S|0)){ca=ga;ba=da;L=ea;aa=F}else{ia=ga;ja=da;ka=ea;la=F;break}}}else{ia=J;ja=H;ka=J;la=m}if(O){aa=D+(la<<3)|0;L=+p[aa>>3];p[D+(la-m<<3)>>3]=ia+L;ba=+(d[G+(la<<1)>>1]|0);p[I+(la<<3)>>3]=+p[I+(la-b<<3)>>3]+(ka+ba);if($)p[K+(la<<3)>>3]=ja+ba*ba+ +p[K+(la-s<<3)>>3];p[C+(la<<3)>>3]=L+ba+ +p[C+(la-Q<<3)>>3];p[aa>>3]=ba}K=$?K+8|0:0;E=E+1|0;if((E|0)==(m|0))break;else{D=D+8|0;C=C+8|0;I=I+8|0;G=G+2|0}}ma=h;na=U+(e<<3)|0;oa=W+(r<<1)|0;pa=B;qa=K}else{ma=k;na=T;oa=X;pa=P;qa=i}V=V+1|0;if((V|0)==(l|0))break;else{h=ma;U=na;N=pa;Z=qa;W=oa}}}if((M|0)!=(g|0)){guc(M);f[q>>2]=g;f[y>>2]=136}u=n;return}function Daa(a,b,c,d,e,g,h,i,j,k,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0.0,I=0,J=0.0,K=0,L=0.0,M=0.0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0.0,da=0.0,ea=0.0,fa=0.0,ga=0.0,ha=0.0,ia=0,ja=0.0,ka=0.0,la=0.0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0;m=u;u=u+1072|0;o=0-l|0;q=m;r=b>>>2;b=d>>>2;d=i>>>2;i=0-d|0;s=g>>>3;g=Y(l,j)|0;j=g+l|0;t=j<<2;kzc(c|0,0,t|0)|0;v=c+(b+l<<2)|0;if(!e)w=0;else{kzc(e|0,0,j<<3|0)|0;w=e+(s+l<<3)|0}if(!h)x=0;else{kzc(h|0,0,t|0)|0;x=h+(d+l<<2)|0}h=(x|0)==0;if((w|0)==0&h){if((k|0)<=0){u=m;return}t=(g|0)>0;e=r-l|0;y=b-l|0;if((l|0)<=0){u=m;return}z=l+-1|0;A=l<<2;B=v;C=0;D=a;while(1){if(t){E=0;F=B;G=D;while(1){n[F+(o<<2)>>2]=0.0;H=0.0;I=0;do{H=H+ +n[G+(I<<2)>>2];n[F+(I<<2)>>2]=+n[F+(I-b<<2)>>2]+H;I=I+l|0}while((I|0)<(g|0));E=E+1|0;if((E|0)==(l|0))break;else{F=F+4|0;G=G+4|0}}}else kzc(B+(o<<2)|0,0,A|0)|0;C=C+1|0;if((C|0)==(k|0))break;else{B=B+(z<<2)+4+(y<<2)|0;D=D+(z<<2)+4+(e<<2)|0}}u=m;return}if(h){if((k|0)<=0){u=m;return}h=(g|0)>0;e=r-l|0;z=b-l|0;D=s-l|0;if((l|0)<=0){u=m;return}y=l+-1|0;B=w;C=0;A=v;t=a;while(1){if(h){G=0;F=B;E=A;I=t;while(1){n[E+(o<<2)>>2]=0.0;p[F+(o<<3)>>3]=0.0;H=0.0;J=0.0;K=0;do{L=+n[I+(K<<2)>>2];J=J+L;M=L;H=H+M*M;M=+p[F+(K-s<<3)>>3]+H;n[E+(K<<2)>>2]=+n[E+(K-b<<2)>>2]+J;p[F+(K<<3)>>3]=M;K=K+l|0}while((K|0)<(g|0));G=G+1|0;if((G|0)==(l|0))break;else{F=F+8|0;E=E+4|0;I=I+4|0}}}else{I=0;E=B;F=A;while(1){n[F+(o<<2)>>2]=0.0;p[E+(o<<3)>>3]=0.0;I=I+1|0;if((I|0)==(l|0))break;else{E=E+8|0;F=F+4|0}}}C=C+1|0;if((C|0)==(k|0))break;else{B=B+(y<<3)+8+(D<<3)|0;A=A+(y<<2)+4+(z<<2)|0;t=t+(y<<2)+4+(e<<2)|0}}u=m;return}e=q+8|0;f[q>>2]=e;y=q+4|0;f[y>>2]=j;if(j>>>0>264){t=euc(j>>>0>1073741823?-1:j<<2)|0;f[q>>2]=t;N=t}else N=e;t=(l|0)>0;do if(t){j=(g|0)==(l|0);z=b+(l<<1)|0;A=x+(l<<2)|0;if((g|0)>0){O=N;P=x;Q=0;R=w;S=v;T=a}else{D=N;B=x;C=0;h=w;F=v;while(1){n[B+(o<<2)>>2]=0.0;n[F+(o<<2)>>2]=0.0;if(j)n[D+(l<<2)>>2]=0.0;if(!h)U=0;else{p[h+(o<<3)>>3]=0.0;U=h+8|0}C=C+1|0;if((C|0)==(l|0))break;else{D=D+4|0;B=B+4|0;h=U;F=F+4|0}}V=N+(l<<2)|0;W=A;X=U;Z=a+(l<<2)|0;_=c+(z<<2)|0;break}while(1){n[P+(o<<2)>>2]=0.0;n[S+(o<<2)>>2]=0.0;F=(R|0)!=0;if(F){J=0.0;H=0.0;h=0;do{M=+n[T+(h<<2)>>2];n[P+(h<<2)>>2]=M;n[O+(h<<2)>>2]=M;H=H+M;L=M;J=J+L*L;n[S+(h<<2)>>2]=H;p[R+(h<<3)>>3]=J;h=h+l|0}while((h|0)<(g|0))}else{J=0.0;h=0;do{H=+n[T+(h<<2)>>2];n[P+(h<<2)>>2]=H;n[O+(h<<2)>>2]=H;J=J+H;n[S+(h<<2)>>2]=J;h=h+l|0}while((h|0)<(g|0))}if(j)n[O+(l<<2)>>2]=0.0;if(F){p[R+(o<<3)>>3]=0.0;$=R+8|0}else $=0;Q=Q+1|0;if((Q|0)==(l|0))break;else{O=O+4|0;P=P+4|0;R=$;S=S+4|0;T=T+4|0}}V=N+(l<<2)|0;W=A;X=$;Z=a+(l<<2)|0;_=c+(z<<2)|0}else{V=N;W=x;X=w;Z=a;_=v}while(0);if((k|0)>1){v=r-l|0;a=b-l|0;w=d-l|0;x=s-l|0;c=0-b|0;$=0-s|0;T=g-l|0;S=(T|0)>(l|0);R=d+l|0;P=(g|0)>(l|0);g=V;V=W;W=1;O=_;_=X;X=Z;while(1){Z=X+(v<<2)|0;Q=O+(a<<2)|0;U=V+(w<<2)|0;j=g+(o<<2)|0;h=(_|0)==0?0:_+(x<<3)|0;if(t){B=O+(b<<2)|0;D=j;C=U;E=0;I=Q;G=Z;K=h;while(1){J=+n[G>>2];H=J;L=H*H;n[I+(o<<2)>>2]=0.0;aa=(K|0)!=0;if(aa)p[K+(o<<3)>>3]=0.0;ba=C+(i<<2)|0;f[C+(o<<2)>>2]=f[ba>>2];n[I>>2]=J+ +n[I+(c<<2)>>2];if(aa)p[K>>3]=L+ +p[K+($<<3)>>3];n[C>>2]=J+ +n[ba>>2]+ +n[D+(l<<2)>>2];if(S)if(aa){H=J;M=L;ca=J;ba=l;while(1){da=+n[D+(ba<<2)>>2];n[D+(ba-l<<2)>>2]=H+da;ea=+n[G+(ba<<2)>>2];fa=ea;ga=ca+ea;ha=M+fa*fa;n[I+(ba<<2)>>2]=+n[I+(ba-b<<2)>>2]+ga;p[K+(ba<<3)>>3]=ha+ +p[K+(ba-s<<3)>>3];ia=ba+l|0;n[C+(ba<<2)>>2]=da+(ea+ +n[D+(ia<<2)>>2]+ +n[C+(ba-R<<2)>>2]);if((ia|0)<(T|0)){H=ea;M=ha;ca=ga;ba=ia}else{ja=ea;ka=ha;la=ga;ma=ia;break}}}else{ca=J;M=L;H=J;ba=l;while(1){ga=+n[D+(ba<<2)>>2];n[D+(ba-l<<2)>>2]=ca+ga;ha=+n[G+(ba<<2)>>2];ea=ha;da=H+ha;fa=M+ea*ea;n[I+(ba<<2)>>2]=+n[I+(ba-b<<2)>>2]+da;F=ba+l|0;n[C+(ba<<2)>>2]=ga+(ha+ +n[D+(F<<2)>>2]+ +n[C+(ba-R<<2)>>2]);if((F|0)<(T|0)){ca=ha;M=fa;H=da;ba=F}else{ja=ha;ka=fa;la=da;ma=F;break}}}else{ja=J;ka=L;la=J;ma=l}if(P){ba=D+(ma<<2)|0;H=+n[ba>>2];n[D+(ma-l<<2)>>2]=ja+H;M=+n[G+(ma<<2)>>2];ca=M;n[I+(ma<<2)>>2]=+n[I+(ma-b<<2)>>2]+(la+M);if(aa)p[K+(ma<<3)>>3]=ka+ca*ca+ +p[K+(ma-s<<3)>>3];n[C+(ma<<2)>>2]=H+M+ +n[C+(ma-R<<2)>>2];n[ba>>2]=M}K=aa?K+8|0:0;E=E+1|0;if((E|0)==(l|0))break;else{D=D+4|0;C=C+4|0;I=I+4|0;G=G+4|0}}na=g;oa=V+(d<<2)|0;pa=X+(r<<2)|0;qa=B;ra=K}else{na=j;oa=U;pa=Z;qa=Q;ra=h}W=W+1|0;if((W|0)==(k|0))break;else{g=na;V=oa;O=qa;_=ra;X=pa}}}if((N|0)!=(e|0)){guc(N);f[q>>2]=e;f[y>>2]=264}u=m;return}function Eaa(a,b,c,d,e,g,h,i,j,k,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0.0,H=0,I=0.0,J=0,K=0.0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0.0,ba=0.0,ca=0.0,da=0.0,ea=0.0,fa=0.0,ga=0,ha=0.0,ia=0.0,ja=0.0,ka=0,la=0,ma=0,na=0,oa=0,pa=0;m=u;u=u+1072|0;o=0-l|0;p=m;q=b>>>2;b=d>>>2;d=i>>>2;i=0-d|0;r=g>>>2;g=Y(l,j)|0;j=g+l|0;s=j<<2;kzc(c|0,0,s|0)|0;t=c+(b+l<<2)|0;if(!e)v=0;else{kzc(e|0,0,s|0)|0;v=e+(r+l<<2)|0}if(!h)w=0;else{kzc(h|0,0,s|0)|0;w=h+(d+l<<2)|0}h=(w|0)==0;if((v|0)==0&h){if((k|0)<=0){u=m;return}s=(g|0)>0;e=q-l|0;x=b-l|0;if((l|0)<=0){u=m;return}y=l+-1|0;z=l<<2;A=t;B=0;C=a;while(1){if(s){D=0;E=A;F=C;while(1){n[E+(o<<2)>>2]=0.0;G=0.0;H=0;do{G=G+ +n[F+(H<<2)>>2];n[E+(H<<2)>>2]=+n[E+(H-b<<2)>>2]+G;H=H+l|0}while((H|0)<(g|0));D=D+1|0;if((D|0)==(l|0))break;else{E=E+4|0;F=F+4|0}}}else kzc(A+(o<<2)|0,0,z|0)|0;B=B+1|0;if((B|0)==(k|0))break;else{A=A+(y<<2)+4+(x<<2)|0;C=C+(y<<2)+4+(e<<2)|0}}u=m;return}if(h){if((k|0)<=0){u=m;return}h=(g|0)>0;e=q-l|0;y=b-l|0;C=r-l|0;if((l|0)<=0){u=m;return}x=l+-1|0;A=v;B=0;z=t;s=a;while(1){if(h){F=0;E=A;D=z;H=s;while(1){n[D+(o<<2)>>2]=0.0;n[E+(o<<2)>>2]=0.0;G=0.0;I=0.0;J=0;do{K=+n[H+(J<<2)>>2];I=I+K;G=G+K*K;K=+n[E+(J-r<<2)>>2]+G;n[D+(J<<2)>>2]=+n[D+(J-b<<2)>>2]+I;n[E+(J<<2)>>2]=K;J=J+l|0}while((J|0)<(g|0));F=F+1|0;if((F|0)==(l|0))break;else{E=E+4|0;D=D+4|0;H=H+4|0}}}else{H=0;D=A;E=z;while(1){n[E+(o<<2)>>2]=0.0;n[D+(o<<2)>>2]=0.0;H=H+1|0;if((H|0)==(l|0))break;else{D=D+4|0;E=E+4|0}}}B=B+1|0;if((B|0)==(k|0))break;else{A=A+(x<<2)+4+(C<<2)|0;z=z+(x<<2)+4+(y<<2)|0;s=s+(x<<2)+4+(e<<2)|0}}u=m;return}e=p+8|0;f[p>>2]=e;x=p+4|0;f[x>>2]=j;if(j>>>0>264){s=euc(j>>>0>1073741823?-1:j<<2)|0;f[p>>2]=s;L=s}else L=e;s=(l|0)>0;do if(s){j=(g|0)==(l|0);y=b+(l<<1)|0;z=w+(l<<2)|0;if((g|0)>0){M=L;N=w;O=0;P=v;Q=t;R=a}else{C=L;A=w;B=0;h=v;E=t;while(1){n[A+(o<<2)>>2]=0.0;n[E+(o<<2)>>2]=0.0;if(j)n[C+(l<<2)>>2]=0.0;if(!h)S=0;else{n[h+(o<<2)>>2]=0.0;S=h+4|0}B=B+1|0;if((B|0)==(l|0))break;else{C=C+4|0;A=A+4|0;h=S;E=E+4|0}}T=L+(l<<2)|0;U=z;V=S;W=a+(l<<2)|0;X=c+(y<<2)|0;break}while(1){n[N+(o<<2)>>2]=0.0;n[Q+(o<<2)>>2]=0.0;E=(P|0)!=0;if(E){I=0.0;G=0.0;h=0;do{K=+n[R+(h<<2)>>2];n[N+(h<<2)>>2]=K;n[M+(h<<2)>>2]=K;G=G+K;I=I+K*K;n[Q+(h<<2)>>2]=G;n[P+(h<<2)>>2]=I;h=h+l|0}while((h|0)<(g|0))}else{I=0.0;h=0;do{G=+n[R+(h<<2)>>2];n[N+(h<<2)>>2]=G;n[M+(h<<2)>>2]=G;I=I+G;n[Q+(h<<2)>>2]=I;h=h+l|0}while((h|0)<(g|0))}if(j)n[M+(l<<2)>>2]=0.0;if(E){n[P+(o<<2)>>2]=0.0;Z=P+4|0}else Z=0;O=O+1|0;if((O|0)==(l|0))break;else{M=M+4|0;N=N+4|0;P=Z;Q=Q+4|0;R=R+4|0}}T=L+(l<<2)|0;U=z;V=Z;W=a+(l<<2)|0;X=c+(y<<2)|0}else{T=L;U=w;V=v;W=a;X=t}while(0);if((k|0)>1){t=q-l|0;a=b-l|0;v=d-l|0;w=r-l|0;c=0-b|0;Z=0-r|0;R=g-l|0;Q=(R|0)>(l|0);P=d+l|0;N=(g|0)>(l|0);g=T;T=U;U=1;M=X;X=V;V=W;while(1){W=V+(t<<2)|0;O=M+(a<<2)|0;S=T+(v<<2)|0;j=g+(o<<2)|0;h=(X|0)==0?0:X+(w<<2)|0;if(s){A=M+(b<<2)|0;C=j;B=S;D=0;H=O;F=W;J=h;while(1){I=+n[F>>2];G=I*I;n[H+(o<<2)>>2]=0.0;_=(J|0)!=0;if(_)n[J+(o<<2)>>2]=0.0;$=B+(i<<2)|0;f[B+(o<<2)>>2]=f[$>>2];n[H>>2]=I+ +n[H+(c<<2)>>2];if(_)n[J>>2]=G+ +n[J+(Z<<2)>>2];n[B>>2]=I+ +n[$>>2]+ +n[C+(l<<2)>>2];if(Q)if(_){K=I;aa=G;ba=I;$=l;while(1){ca=+n[C+($<<2)>>2];n[C+($-l<<2)>>2]=K+ca;da=+n[F+($<<2)>>2];ea=ba+da;fa=aa+da*da;n[H+($<<2)>>2]=+n[H+($-b<<2)>>2]+ea;n[J+($<<2)>>2]=fa+ +n[J+($-r<<2)>>2];ga=$+l|0;n[B+($<<2)>>2]=ca+(da+ +n[C+(ga<<2)>>2]+ +n[B+($-P<<2)>>2]);if((ga|0)<(R|0)){K=da;aa=fa;ba=ea;$=ga}else{ha=da;ia=fa;ja=ea;ka=ga;break}}}else{ba=I;aa=G;K=I;$=l;while(1){ea=+n[C+($<<2)>>2];n[C+($-l<<2)>>2]=ba+ea;fa=+n[F+($<<2)>>2];da=K+fa;ca=aa+fa*fa;n[H+($<<2)>>2]=+n[H+($-b<<2)>>2]+da;E=$+l|0;n[B+($<<2)>>2]=ea+(fa+ +n[C+(E<<2)>>2]+ +n[B+($-P<<2)>>2]);if((E|0)<(R|0)){ba=fa;aa=ca;K=da;$=E}else{ha=fa;ia=ca;ja=da;ka=E;break}}}else{ha=I;ia=G;ja=I;ka=l}if(N){$=C+(ka<<2)|0;K=+n[$>>2];n[C+(ka-l<<2)>>2]=ha+K;aa=+n[F+(ka<<2)>>2];n[H+(ka<<2)>>2]=+n[H+(ka-b<<2)>>2]+(ja+aa);if(_)n[J+(ka<<2)>>2]=ia+aa*aa+ +n[J+(ka-r<<2)>>2];n[B+(ka<<2)>>2]=K+aa+ +n[B+(ka-P<<2)>>2];n[$>>2]=aa}J=_?J+4|0:0;D=D+1|0;if((D|0)==(l|0))break;else{C=C+4|0;B=B+4|0;H=H+4|0;F=F+4|0}}la=g;ma=T+(d<<2)|0;na=V+(q<<2)|0;oa=A;pa=J}else{la=j;ma=S;na=W;oa=O;pa=h}U=U+1|0;if((U|0)==(k|0))break;else{g=la;T=ma;M=oa;X=pa;V=na}}}if((L|0)!=(e|0)){guc(L);f[p>>2]=e;f[x>>2]=264}u=m;return}function Faa(a,b,c,d,e,g,h,i,j,k,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0.0,I=0,J=0.0,K=0,L=0.0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0.0,ca=0.0,da=0.0,ea=0.0,fa=0.0,ga=0.0,ha=0,ia=0.0,ja=0.0,ka=0.0,la=0,ma=0,na=0,oa=0,pa=0,qa=0;m=u;u=u+1104|0;o=0-l|0;q=m;r=b>>>2;b=d>>>3;d=i>>>3;i=0-d|0;s=g>>>3;g=Y(l,j)|0;j=g+l|0;t=j<<3;kzc(c|0,0,t|0)|0;v=c+(b+l<<3)|0;if(!e)w=0;else{kzc(e|0,0,t|0)|0;w=e+(s+l<<3)|0}if(!h)x=0;else{kzc(h|0,0,t|0)|0;x=h+(d+l<<3)|0}h=(x|0)==0;if((w|0)==0&h){if((k|0)<=0){u=m;return}t=(g|0)>0;e=r-l|0;y=b-l|0;if((l|0)<=0){u=m;return}z=l+-1|0;A=l<<3;B=v;C=0;D=a;while(1){if(t){E=0;F=B;G=D;while(1){p[F+(o<<3)>>3]=0.0;H=0.0;I=0;do{H=H+ +n[G+(I<<2)>>2];p[F+(I<<3)>>3]=+p[F+(I-b<<3)>>3]+H;I=I+l|0}while((I|0)<(g|0));E=E+1|0;if((E|0)==(l|0))break;else{F=F+8|0;G=G+4|0}}}else kzc(B+(o<<3)|0,0,A|0)|0;C=C+1|0;if((C|0)==(k|0))break;else{B=B+(z<<3)+8+(y<<3)|0;D=D+(z<<2)+4+(e<<2)|0}}u=m;return}if(h){if((k|0)<=0){u=m;return}h=(g|0)>0;e=r-l|0;z=b-l|0;D=s-l|0;if((l|0)<=0){u=m;return}y=l+-1|0;B=w;C=0;A=v;t=a;while(1){if(h){G=0;F=B;E=A;I=t;while(1){p[E+(o<<3)>>3]=0.0;p[F+(o<<3)>>3]=0.0;H=0.0;J=0.0;K=0;do{L=+n[I+(K<<2)>>2];J=J+L;H=H+L*L;L=+p[F+(K-s<<3)>>3]+H;p[E+(K<<3)>>3]=+p[E+(K-b<<3)>>3]+J;p[F+(K<<3)>>3]=L;K=K+l|0}while((K|0)<(g|0));G=G+1|0;if((G|0)==(l|0))break;else{F=F+8|0;E=E+8|0;I=I+4|0}}}else{I=0;E=B;F=A;while(1){p[F+(o<<3)>>3]=0.0;p[E+(o<<3)>>3]=0.0;I=I+1|0;if((I|0)==(l|0))break;else{E=E+8|0;F=F+8|0}}}C=C+1|0;if((C|0)==(k|0))break;else{B=B+(y<<3)+8+(D<<3)|0;A=A+(y<<3)+8+(z<<3)|0;t=t+(y<<2)+4+(e<<2)|0}}u=m;return}e=q+8|0;f[q>>2]=e;y=q+4|0;f[y>>2]=j;if(j>>>0>136){t=euc(j>>>0>536870911?-1:j<<3)|0;f[q>>2]=t;M=t}else M=e;t=(l|0)>0;do if(t){j=(g|0)==(l|0);z=b+(l<<1)|0;A=x+(l<<3)|0;if((g|0)>0){N=M;O=x;P=0;Q=w;R=v;S=a}else{D=M;B=x;C=0;h=w;F=v;while(1){p[B+(o<<3)>>3]=0.0;p[F+(o<<3)>>3]=0.0;if(j)p[D+(l<<3)>>3]=0.0;if(!h)T=0;else{p[h+(o<<3)>>3]=0.0;T=h+8|0}C=C+1|0;if((C|0)==(l|0))break;else{D=D+8|0;B=B+8|0;h=T;F=F+8|0}}U=M+(l<<3)|0;V=A;W=T;X=a+(l<<2)|0;Z=c+(z<<3)|0;break}while(1){p[O+(o<<3)>>3]=0.0;p[R+(o<<3)>>3]=0.0;F=(Q|0)!=0;if(F){J=0.0;H=0.0;h=0;do{L=+n[S+(h<<2)>>2];p[O+(h<<3)>>3]=L;p[N+(h<<3)>>3]=L;H=H+L;J=J+L*L;p[R+(h<<3)>>3]=H;p[Q+(h<<3)>>3]=J;h=h+l|0}while((h|0)<(g|0))}else{J=0.0;h=0;do{H=+n[S+(h<<2)>>2];p[O+(h<<3)>>3]=H;p[N+(h<<3)>>3]=H;J=J+H;p[R+(h<<3)>>3]=J;h=h+l|0}while((h|0)<(g|0))}if(j)p[N+(l<<3)>>3]=0.0;if(F){p[Q+(o<<3)>>3]=0.0;_=Q+8|0}else _=0;P=P+1|0;if((P|0)==(l|0))break;else{N=N+8|0;O=O+8|0;Q=_;R=R+8|0;S=S+4|0}}U=M+(l<<3)|0;V=A;W=_;X=a+(l<<2)|0;Z=c+(z<<3)|0}else{U=M;V=x;W=w;X=a;Z=v}while(0);if((k|0)>1){v=r-l|0;a=b-l|0;w=d-l|0;x=s-l|0;c=0-b|0;_=0-s|0;S=g-l|0;R=(S|0)>(l|0);Q=d+l|0;O=(g|0)>(l|0);g=U;U=V;V=1;N=Z;Z=W;W=X;while(1){X=W+(v<<2)|0;P=N+(a<<3)|0;T=U+(w<<3)|0;j=g+(o<<3)|0;h=(Z|0)==0?0:Z+(x<<3)|0;if(t){B=N+(b<<3)|0;D=j;C=T;E=0;I=P;G=X;K=h;while(1){J=+n[G>>2];H=J*J;p[I+(o<<3)>>3]=0.0;$=(K|0)!=0;if($)p[K+(o<<3)>>3]=0.0;aa=C+(i<<3)|0;p[C+(o<<3)>>3]=+p[aa>>3];p[I>>3]=J+ +p[I+(c<<3)>>3];if($)p[K>>3]=H+ +p[K+(_<<3)>>3];p[C>>3]=J+ +p[aa>>3]+ +p[D+(l<<3)>>3];if(R)if($){L=J;ba=H;ca=J;aa=l;while(1){da=+p[D+(aa<<3)>>3];p[D+(aa-l<<3)>>3]=L+da;ea=+n[G+(aa<<2)>>2];fa=ca+ea;ga=ba+ea*ea;p[I+(aa<<3)>>3]=+p[I+(aa-b<<3)>>3]+fa;p[K+(aa<<3)>>3]=ga+ +p[K+(aa-s<<3)>>3];ha=aa+l|0;p[C+(aa<<3)>>3]=da+(ea+ +p[D+(ha<<3)>>3]+ +p[C+(aa-Q<<3)>>3]);if((ha|0)<(S|0)){L=ea;ba=ga;ca=fa;aa=ha}else{ia=ea;ja=ga;ka=fa;la=ha;break}}}else{ca=J;ba=H;L=J;aa=l;while(1){fa=+p[D+(aa<<3)>>3];p[D+(aa-l<<3)>>3]=ca+fa;ga=+n[G+(aa<<2)>>2];ea=L+ga;da=ba+ga*ga;p[I+(aa<<3)>>3]=+p[I+(aa-b<<3)>>3]+ea;F=aa+l|0;p[C+(aa<<3)>>3]=fa+(ga+ +p[D+(F<<3)>>3]+ +p[C+(aa-Q<<3)>>3]);if((F|0)<(S|0)){ca=ga;ba=da;L=ea;aa=F}else{ia=ga;ja=da;ka=ea;la=F;break}}}else{ia=J;ja=H;ka=J;la=l}if(O){aa=D+(la<<3)|0;L=+p[aa>>3];p[D+(la-l<<3)>>3]=ia+L;ba=+n[G+(la<<2)>>2];p[I+(la<<3)>>3]=+p[I+(la-b<<3)>>3]+(ka+ba);if($)p[K+(la<<3)>>3]=ja+ba*ba+ +p[K+(la-s<<3)>>3];p[C+(la<<3)>>3]=L+ba+ +p[C+(la-Q<<3)>>3];p[aa>>3]=ba}K=$?K+8|0:0;E=E+1|0;if((E|0)==(l|0))break;else{D=D+8|0;C=C+8|0;I=I+8|0;G=G+4|0}}ma=g;na=U+(d<<3)|0;oa=W+(r<<2)|0;pa=B;qa=K}else{ma=j;na=T;oa=X;pa=P;qa=h}V=V+1|0;if((V|0)==(k|0))break;else{g=ma;U=na;N=pa;Z=qa;W=oa}}}if((M|0)!=(e|0)){guc(M);f[q>>2]=e;f[y>>2]=136}u=m;return}function Gaa(a,b,c,d,e,g,h,i,j,k,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0.0,H=0,I=0.0,J=0,K=0.0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0.0,ba=0.0,ca=0.0,da=0.0,ea=0.0,fa=0.0,ga=0,ha=0.0,ia=0.0,ja=0.0,ka=0,la=0,ma=0,na=0,oa=0,pa=0;m=u;u=u+1104|0;n=0-l|0;o=m;q=b>>>3;b=d>>>3;d=i>>>3;i=0-d|0;r=g>>>3;g=Y(l,j)|0;j=g+l|0;s=j<<3;kzc(c|0,0,s|0)|0;t=c+(b+l<<3)|0;if(!e)v=0;else{kzc(e|0,0,s|0)|0;v=e+(r+l<<3)|0}if(!h)w=0;else{kzc(h|0,0,s|0)|0;w=h+(d+l<<3)|0}h=(w|0)==0;if((v|0)==0&h){if((k|0)<=0){u=m;return}s=(g|0)>0;e=q-l|0;x=b-l|0;if((l|0)<=0){u=m;return}y=l+-1|0;z=l<<3;A=t;B=0;C=a;while(1){if(s){D=0;E=A;F=C;while(1){p[E+(n<<3)>>3]=0.0;G=0.0;H=0;do{G=G+ +p[F+(H<<3)>>3];p[E+(H<<3)>>3]=+p[E+(H-b<<3)>>3]+G;H=H+l|0}while((H|0)<(g|0));D=D+1|0;if((D|0)==(l|0))break;else{E=E+8|0;F=F+8|0}}}else kzc(A+(n<<3)|0,0,z|0)|0;B=B+1|0;if((B|0)==(k|0))break;else{A=A+(y<<3)+8+(x<<3)|0;C=C+(y<<3)+8+(e<<3)|0}}u=m;return}if(h){if((k|0)<=0){u=m;return}h=(g|0)>0;e=q-l|0;y=b-l|0;C=r-l|0;if((l|0)<=0){u=m;return}x=l+-1|0;A=v;B=0;z=t;s=a;while(1){if(h){F=0;E=A;D=z;H=s;while(1){p[D+(n<<3)>>3]=0.0;p[E+(n<<3)>>3]=0.0;G=0.0;I=0.0;J=0;do{K=+p[H+(J<<3)>>3];I=I+K;G=G+K*K;K=+p[E+(J-r<<3)>>3]+G;p[D+(J<<3)>>3]=+p[D+(J-b<<3)>>3]+I;p[E+(J<<3)>>3]=K;J=J+l|0}while((J|0)<(g|0));F=F+1|0;if((F|0)==(l|0))break;else{E=E+8|0;D=D+8|0;H=H+8|0}}}else{H=0;D=A;E=z;while(1){p[E+(n<<3)>>3]=0.0;p[D+(n<<3)>>3]=0.0;H=H+1|0;if((H|0)==(l|0))break;else{D=D+8|0;E=E+8|0}}}B=B+1|0;if((B|0)==(k|0))break;else{A=A+(x<<3)+8+(C<<3)|0;z=z+(x<<3)+8+(y<<3)|0;s=s+(x<<3)+8+(e<<3)|0}}u=m;return}e=o+8|0;f[o>>2]=e;x=o+4|0;f[x>>2]=j;if(j>>>0>136){s=euc(j>>>0>536870911?-1:j<<3)|0;f[o>>2]=s;L=s}else L=e;s=(l|0)>0;do if(s){j=(g|0)==(l|0);y=b+(l<<1)|0;z=w+(l<<3)|0;if((g|0)>0){M=L;N=w;O=0;P=v;Q=t;R=a}else{C=L;A=w;B=0;h=v;E=t;while(1){p[A+(n<<3)>>3]=0.0;p[E+(n<<3)>>3]=0.0;if(j)p[C+(l<<3)>>3]=0.0;if(!h)S=0;else{p[h+(n<<3)>>3]=0.0;S=h+8|0}B=B+1|0;if((B|0)==(l|0))break;else{C=C+8|0;A=A+8|0;h=S;E=E+8|0}}T=L+(l<<3)|0;U=z;V=S;W=a+(l<<3)|0;X=c+(y<<3)|0;break}while(1){p[N+(n<<3)>>3]=0.0;p[Q+(n<<3)>>3]=0.0;E=(P|0)!=0;if(E){I=0.0;G=0.0;h=0;do{K=+p[R+(h<<3)>>3];p[N+(h<<3)>>3]=K;p[M+(h<<3)>>3]=K;G=G+K;I=I+K*K;p[Q+(h<<3)>>3]=G;p[P+(h<<3)>>3]=I;h=h+l|0}while((h|0)<(g|0))}else{I=0.0;h=0;do{G=+p[R+(h<<3)>>3];p[N+(h<<3)>>3]=G;p[M+(h<<3)>>3]=G;I=I+G;p[Q+(h<<3)>>3]=I;h=h+l|0}while((h|0)<(g|0))}if(j)p[M+(l<<3)>>3]=0.0;if(E){p[P+(n<<3)>>3]=0.0;Z=P+8|0}else Z=0;O=O+1|0;if((O|0)==(l|0))break;else{M=M+8|0;N=N+8|0;P=Z;Q=Q+8|0;R=R+8|0}}T=L+(l<<3)|0;U=z;V=Z;W=a+(l<<3)|0;X=c+(y<<3)|0}else{T=L;U=w;V=v;W=a;X=t}while(0);if((k|0)>1){t=q-l|0;a=b-l|0;v=d-l|0;w=r-l|0;c=0-b|0;Z=0-r|0;R=g-l|0;Q=(R|0)>(l|0);P=d+l|0;N=(g|0)>(l|0);g=T;T=U;U=1;M=X;X=V;V=W;while(1){W=V+(t<<3)|0;O=M+(a<<3)|0;S=T+(v<<3)|0;j=g+(n<<3)|0;h=(X|0)==0?0:X+(w<<3)|0;if(s){A=M+(b<<3)|0;C=j;B=S;D=0;H=O;F=W;J=h;while(1){I=+p[F>>3];G=I*I;p[H+(n<<3)>>3]=0.0;_=(J|0)!=0;if(_)p[J+(n<<3)>>3]=0.0;$=B+(i<<3)|0;p[B+(n<<3)>>3]=+p[$>>3];p[H>>3]=I+ +p[H+(c<<3)>>3];if(_)p[J>>3]=G+ +p[J+(Z<<3)>>3];p[B>>3]=I+ +p[$>>3]+ +p[C+(l<<3)>>3];if(Q)if(_){K=I;aa=G;ba=I;$=l;while(1){ca=+p[C+($<<3)>>3];p[C+($-l<<3)>>3]=K+ca;da=+p[F+($<<3)>>3];ea=ba+da;fa=aa+da*da;p[H+($<<3)>>3]=+p[H+($-b<<3)>>3]+ea;p[J+($<<3)>>3]=fa+ +p[J+($-r<<3)>>3];ga=$+l|0;p[B+($<<3)>>3]=ca+(da+ +p[C+(ga<<3)>>3]+ +p[B+($-P<<3)>>3]);if((ga|0)<(R|0)){K=da;aa=fa;ba=ea;$=ga}else{ha=da;ia=fa;ja=ea;ka=ga;break}}}else{ba=I;aa=G;K=I;$=l;while(1){ea=+p[C+($<<3)>>3];p[C+($-l<<3)>>3]=ba+ea;fa=+p[F+($<<3)>>3];da=K+fa;ca=aa+fa*fa;p[H+($<<3)>>3]=+p[H+($-b<<3)>>3]+da;E=$+l|0;p[B+($<<3)>>3]=ea+(fa+ +p[C+(E<<3)>>3]+ +p[B+($-P<<3)>>3]);if((E|0)<(R|0)){ba=fa;aa=ca;K=da;$=E}else{ha=fa;ia=ca;ja=da;ka=E;break}}}else{ha=I;ia=G;ja=I;ka=l}if(N){$=C+(ka<<3)|0;K=+p[$>>3];p[C+(ka-l<<3)>>3]=ha+K;aa=+p[F+(ka<<3)>>3];p[H+(ka<<3)>>3]=+p[H+(ka-b<<3)>>3]+(ja+aa);if(_)p[J+(ka<<3)>>3]=ia+aa*aa+ +p[J+(ka-r<<3)>>3];p[B+(ka<<3)>>3]=K+aa+ +p[B+(ka-P<<3)>>3];p[$>>3]=aa}J=_?J+8|0:0;D=D+1|0;if((D|0)==(l|0))break;else{C=C+8|0;B=B+8|0;H=H+8|0;F=F+8|0}}la=g;ma=T+(d<<3)|0;na=V+(q<<3)|0;oa=A;pa=J}else{la=j;ma=S;na=W;oa=O;pa=h}U=U+1|0;if((U|0)==(k|0))break;else{g=la;T=ma;M=oa;X=pa;V=na}}}if((L|0)!=(e|0)){guc(L);f[o>>2]=e;f[x>>2]=136}u=m;return}function Haa(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0;h=u;u=u+320|0;i=h+312|0;j=h+304|0;k=h+240|0;l=h+248|0;m=h+184|0;n=h+128|0;o=h+72|0;p=h+8|0;q=h+16|0;r=h;gV(i,53912);s=pJ(a,-1)|0;t=s&7;v=s>>>3&511;s=v+1|0;w=((e|0)<1?((t|0)==0?4:6):e)&7;e=(g|0)<1?6:g&7;oJ(j,a,-1);g=(f[j>>2]|0)+1|0;x=(f[j+4>>2]|0)+1|0;f[k>>2]=g;f[k+4>>2]=x;j=v<<3;v=w|j;IJ(b,k,v,-1,0,0);do if((qJ(a)|0)==65536){k=f[a+4>>2]|0;f[l>>2]=f[k>>2];y=l+4|0;z=k+4|0;f[y>>2]=f[z>>2];A=l+8|0;f[A>>2]=f[k+8>>2];f[l+12>>2]=f[k+12>>2];f[l+16>>2]=f[k+16>>2];f[l+20>>2]=f[k+20>>2];f[l+24>>2]=f[k+24>>2];f[l+28>>2]=f[k+28>>2];f[l+32>>2]=f[k+32>>2];B=f[k+36>>2]|0;f[l+36>>2]=B;f[l+40>>2]=A;A=l+48|0;C=l+44|0;f[C>>2]=A;f[A>>2]=0;f[l+52>>2]=0;if(B|0){A=B+12|0;f[A>>2]=(f[A>>2]|0)+1}if((f[z>>2]|0)<3){z=f[k+44>>2]|0;A=f[C>>2]|0;f[A>>2]=f[z>>2];f[A+4>>2]=f[z+4>>2];break}else{f[y>>2]=0;$T(l,k);break}}else nJ(l,a,-1);while(0);do if((qJ(b)|0)==65536){a=f[b+4>>2]|0;f[m>>2]=f[a>>2];k=m+4|0;y=a+4|0;f[k>>2]=f[y>>2];z=m+8|0;f[z>>2]=f[a+8>>2];f[m+12>>2]=f[a+12>>2];f[m+16>>2]=f[a+16>>2];f[m+20>>2]=f[a+20>>2];f[m+24>>2]=f[a+24>>2];f[m+28>>2]=f[a+28>>2];f[m+32>>2]=f[a+32>>2];A=f[a+36>>2]|0;f[m+36>>2]=A;f[m+40>>2]=z;z=m+48|0;C=m+44|0;f[C>>2]=z;f[z>>2]=0;f[m+52>>2]=0;if(A|0){z=A+12|0;f[z>>2]=(f[z>>2]|0)+1}if((f[y>>2]|0)<3){y=f[a+44>>2]|0;z=f[C>>2]|0;f[z>>2]=f[y>>2];f[z+4>>2]=f[y+4>>2];break}else{f[k>>2]=0;$T(m,a);break}}else nJ(m,b,-1);while(0);f[n>>2]=1124007936;b=n+4|0;a=n+8|0;k=n+40|0;y=b;z=y+36|0;do{f[y>>2]=0;y=y+4|0}while((y|0)<(z|0));f[k>>2]=a;C=n+48|0;A=n+44|0;f[A>>2]=C;f[C>>2]=0;f[n+52>>2]=0;f[o>>2]=1124007936;B=o+4|0;D=o+8|0;E=o+40|0;y=B;z=y+36|0;do{f[y>>2]=0;y=y+4|0}while((y|0)<(z|0));f[E>>2]=D;y=o+48|0;z=o+44|0;f[z>>2]=y;f[y>>2]=0;f[o+52>>2]=0;if(mK(c)|0){f[p>>2]=g;f[p+4>>2]=x;IJ(c,p,j|e,-1,0,0);do if((qJ(c)|0)==65536){j=f[c+4>>2]|0;f[q>>2]=f[j>>2];p=q+4|0;F=j+4|0;f[p>>2]=f[F>>2];G=q+8|0;f[G>>2]=f[j+8>>2];f[q+12>>2]=f[j+12>>2];f[q+16>>2]=f[j+16>>2];f[q+20>>2]=f[j+20>>2];f[q+24>>2]=f[j+24>>2];f[q+28>>2]=f[j+28>>2];f[q+32>>2]=f[j+32>>2];H=f[j+36>>2]|0;f[q+36>>2]=H;f[q+40>>2]=G;G=q+48|0;I=q+44|0;f[I>>2]=G;f[G>>2]=0;f[q+52>>2]=0;if(H|0){G=H+12|0;f[G>>2]=(f[G>>2]|0)+1}if((f[F>>2]|0)<3){F=f[j+44>>2]|0;G=f[I>>2]|0;f[G>>2]=f[F>>2];f[G+4>>2]=f[F+4>>2];break}else{f[p>>2]=0;$T(q,j);break}}else nJ(q,c,-1);while(0);c=n+36|0;j=f[c>>2]|0;if(j|0?(p=j+12|0,j=f[p>>2]|0,f[p>>2]=j+-1,(j|0)==1):0)aU(n);f[c>>2]=0;j=n+16|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;if((f[b>>2]|0)>0){p=f[k>>2]|0;F=0;do{f[p+(F<<2)>>2]=0;F=F+1|0}while((F|0)<(f[b>>2]|0))}f[n>>2]=f[q>>2];F=q+4|0;p=f[F>>2]|0;f[b>>2]=p;G=q+8|0;f[a>>2]=f[G>>2];f[n+12>>2]=f[q+12>>2];I=q+16|0;f[j>>2]=f[I>>2];f[n+20>>2]=f[q+20>>2];f[n+24>>2]=f[q+24>>2];f[n+28>>2]=f[q+28>>2];f[n+32>>2]=f[q+32>>2];j=q+36|0;f[c>>2]=f[j>>2];c=n+44|0;H=f[c>>2]|0;if((H|0)==(C|0))J=p;else{TC(H);f[c>>2]=C;f[k>>2]=a;J=f[F>>2]|0}a=q+44|0;if((J|0)<3){J=f[a>>2]|0;f[C>>2]=f[J>>2];f[n+52>>2]=f[J+4>>2];K=J}else{f[c>>2]=f[a>>2];c=q+40|0;f[n+40>>2]=f[c>>2];J=q+48|0;f[a>>2]=J;f[c>>2]=G;K=J}f[q>>2]=1124007936;f[F>>2]=0;f[F+4>>2]=0;f[F+8>>2]=0;f[F+12>>2]=0;f[F+16>>2]=0;f[F+20>>2]=0;f[F+24>>2]=0;f[F+28>>2]=0;f[j>>2]=0;f[I>>2]=0;f[I+4>>2]=0;f[I+8>>2]=0;f[I+12>>2]=0;if((K|0)!=(q+48|0))TC(K)}if(mK(d)|0){f[r>>2]=g;f[r+4>>2]=x;IJ(d,r,v,-1,0,0);do if((qJ(d)|0)==65536){v=f[d+4>>2]|0;f[q>>2]=f[v>>2];r=q+4|0;x=v+4|0;f[r>>2]=f[x>>2];g=q+8|0;f[g>>2]=f[v+8>>2];f[q+12>>2]=f[v+12>>2];f[q+16>>2]=f[v+16>>2];f[q+20>>2]=f[v+20>>2];f[q+24>>2]=f[v+24>>2];f[q+28>>2]=f[v+28>>2];f[q+32>>2]=f[v+32>>2];K=f[v+36>>2]|0;f[q+36>>2]=K;f[q+40>>2]=g;g=q+48|0;I=q+44|0;f[I>>2]=g;f[g>>2]=0;f[q+52>>2]=0;if(K|0){g=K+12|0;f[g>>2]=(f[g>>2]|0)+1}if((f[x>>2]|0)<3){x=f[v+44>>2]|0;g=f[I>>2]|0;f[g>>2]=f[x>>2];f[g+4>>2]=f[x+4>>2];break}else{f[r>>2]=0;$T(q,v);break}}else nJ(q,d,-1);while(0);d=o+36|0;v=f[d>>2]|0;if(v|0?(r=v+12|0,v=f[r>>2]|0,f[r>>2]=v+-1,(v|0)==1):0)aU(o);f[d>>2]=0;v=o+16|0;f[v>>2]=0;f[v+4>>2]=0;f[v+8>>2]=0;f[v+12>>2]=0;if((f[B>>2]|0)>0){r=f[E>>2]|0;x=0;do{f[r+(x<<2)>>2]=0;x=x+1|0}while((x|0)<(f[B>>2]|0))}f[o>>2]=f[q>>2];x=q+4|0;r=f[x>>2]|0;f[B>>2]=r;g=q+8|0;f[D>>2]=f[g>>2];f[o+12>>2]=f[q+12>>2];I=q+16|0;f[v>>2]=f[I>>2];f[o+20>>2]=f[q+20>>2];f[o+24>>2]=f[q+24>>2];f[o+28>>2]=f[q+28>>2];f[o+32>>2]=f[q+32>>2];K=q+36|0;f[d>>2]=f[K>>2];d=o+44|0;j=f[d>>2]|0;if((j|0)==(y|0))L=r;else{TC(j);f[d>>2]=y;f[E>>2]=D;L=f[x>>2]|0}D=q+44|0;if((L|0)<3){L=f[D>>2]|0;f[y>>2]=f[L>>2];f[o+52>>2]=f[L+4>>2];M=L}else{f[d>>2]=f[D>>2];d=q+40|0;f[o+40>>2]=f[d>>2];L=q+48|0;f[D>>2]=L;f[d>>2]=g;M=L}f[q>>2]=1124007936;f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;f[x+12>>2]=0;f[x+16>>2]=0;f[x+20>>2]=0;f[x+24>>2]=0;f[x+28>>2]=0;f[K>>2]=0;f[I>>2]=0;f[I+4>>2]=0;f[I+8>>2]=0;f[I+12>>2]=0;if((M|0)!=(q+48|0))TC(M);N=v}else N=o+16|0;v=l+16|0;M=l+44|0;q=l+48|0;I=m+16|0;K=m+44|0;x=m+48|0;L=n+16|0;uaa(t,w,e,f[v>>2]|0,f[q>>2]|0,f[I>>2]|0,f[x>>2]|0,f[L>>2]|0,f[C>>2]|0,f[N>>2]|0,f[y>>2]|0,f[l+12>>2]|0,f[l+8>>2]|0,s);s=o+36|0;e=f[s>>2]|0;if(e|0?(w=e+12|0,e=f[w>>2]|0,f[w>>2]=e+-1,(e|0)==1):0)aU(o);f[s>>2]=0;f[N>>2]=0;f[N+4>>2]=0;f[N+8>>2]=0;f[N+12>>2]=0;if((f[B>>2]|0)>0){N=f[E>>2]|0;E=0;do{f[N+(E<<2)>>2]=0;E=E+1|0}while((E|0)<(f[B>>2]|0))}B=f[z>>2]|0;if((B|0)!=(y|0))TC(B);B=n+36|0;y=f[B>>2]|0;if(y|0?(z=y+12|0,y=f[z>>2]|0,f[z>>2]=y+-1,(y|0)==1):0)aU(n);f[B>>2]=0;f[L>>2]=0;f[L+4>>2]=0;f[L+8>>2]=0;f[L+12>>2]=0;if((f[b>>2]|0)>0){L=f[k>>2]|0;k=0;do{f[L+(k<<2)>>2]=0;k=k+1|0}while((k|0)<(f[b>>2]|0))}b=f[A>>2]|0;if((b|0)!=(C|0))TC(b);b=m+36|0;C=f[b>>2]|0;if(C|0?(A=C+12|0,C=f[A>>2]|0,f[A>>2]=C+-1,(C|0)==1):0)aU(m);f[b>>2]=0;b=m+4|0;f[I>>2]=0;f[I+4>>2]=0;f[I+8>>2]=0;f[I+12>>2]=0;if((f[b>>2]|0)>0){I=f[m+40>>2]|0;m=0;do{f[I+(m<<2)>>2]=0;m=m+1|0}while((m|0)<(f[b>>2]|0))}b=f[K>>2]|0;if((b|0)!=(x|0))TC(b);b=l+36|0;x=f[b>>2]|0;if(x|0?(K=x+12|0,x=f[K>>2]|0,f[K>>2]=x+-1,(x|0)==1):0)aU(l);f[b>>2]=0;b=l+4|0;f[v>>2]=0;f[v+4>>2]=0;f[v+8>>2]=0;f[v+12>>2]=0;if((f[b>>2]|0)>0){v=f[l+40>>2]|0;l=0;do{f[v+(l<<2)>>2]=0;l=l+1|0}while((l|0)<(f[b>>2]|0))}b=f[M>>2]|0;if((b|0)!=(q|0))TC(b);if(!(f[i+4>>2]|0)){u=h;return}u=h;return}function Iaa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+16|0;e=d;gV(e,53932);g=sK()|0;Haa(a,b,g,sK()|0,c,-1);if(!(f[e+4>>2]|0)){u=d;return}u=d;return}function Jaa(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0;g=u;u=u+16|0;h=g;gV(h,53952);Haa(a,b,c,sK()|0,d,e);if(!(f[h+4>>2]|0)){u=g;return}u=g;return}function Kaa(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0;g=u;u=u+496|0;h=g+440|0;i=g+384|0;j=g+328|0;k=g+272|0;l=g+216|0;m=g+160|0;n=g+104|0;o=g+48|0;p=g+32|0;q=g+16|0;r=g;tK(h,a,0,1,0,0);tK(i,c,0,1,0,0);f[j>>2]=f[i>>2];c=j+4|0;a=i+4|0;s=f[a>>2]|0;f[c>>2]=s;t=j+8|0;f[t>>2]=f[i+8>>2];f[j+12>>2]=f[i+12>>2];v=j+16|0;w=i+16|0;f[v>>2]=f[w>>2];f[j+20>>2]=f[i+20>>2];f[j+24>>2]=f[i+24>>2];f[j+28>>2]=f[i+28>>2];f[j+32>>2]=f[i+32>>2];x=j+36|0;y=i+36|0;z=f[y>>2]|0;f[x>>2]=z;A=j+40|0;f[A>>2]=t;t=j+48|0;B=j+44|0;f[B>>2]=t;f[t>>2]=0;f[j+52>>2]=0;if(!z)C=s;else{s=z+12|0;f[s>>2]=(f[s>>2]|0)+1;C=f[a>>2]|0}if((C|0)<3){C=f[i+44>>2]|0;s=f[B>>2]|0;f[s>>2]=f[C>>2];f[s+4>>2]=f[C+4>>2]}else{f[c>>2]=0;$T(j,i)}f[k>>2]=1124007936;C=k+4|0;s=k+8|0;z=k+40|0;D=C;E=D+36|0;do{f[D>>2]=0;D=D+4|0}while((D|0)<(E|0));f[z>>2]=s;F=k+48|0;G=k+44|0;f[G>>2]=F;f[F>>2]=0;f[k+52>>2]=0;f[l>>2]=1124007936;H=l+4|0;I=l+8|0;J=l+40|0;D=H;E=D+36|0;do{f[D>>2]=0;D=D+4|0}while((D|0)<(E|0));f[J>>2]=I;K=l+48|0;L=l+44|0;f[L>>2]=K;f[K>>2]=0;f[l+52>>2]=0;f[m>>2]=1124007936;M=m+4|0;N=m+8|0;O=m+40|0;D=M;E=D+36|0;do{f[D>>2]=0;D=D+4|0}while((D|0)<(E|0));f[O>>2]=N;P=m+48|0;Q=m+44|0;f[Q>>2]=P;f[P>>2]=0;f[m+52>>2]=0;f[n>>2]=1124007936;R=n+4|0;S=n+8|0;T=n+40|0;D=R;E=D+36|0;do{f[D>>2]=0;D=D+4|0}while((D|0)<(E|0));f[T>>2]=S;U=n+48|0;V=n+44|0;f[V>>2]=U;f[U>>2]=0;f[n+52>>2]=0;if(!d)W=0;else{tK(o,d,0,1,0,0);d=l+36|0;X=f[d>>2]|0;if(X|0?(Y=X+12|0,X=f[Y>>2]|0,f[Y>>2]=X+-1,(X|0)==1):0)aU(l);f[d>>2]=0;X=l+16|0;f[X>>2]=0;f[X+4>>2]=0;f[X+8>>2]=0;f[X+12>>2]=0;if((f[H>>2]|0)>0){Y=f[J>>2]|0;Z=0;do{f[Y+(Z<<2)>>2]=0;Z=Z+1|0}while((Z|0)<(f[H>>2]|0))}f[l>>2]=f[o>>2];Z=o+4|0;Y=f[Z>>2]|0;f[H>>2]=Y;_=o+8|0;f[I>>2]=f[_>>2];$=l+12|0;f[$>>2]=f[o+12>>2];aa=o+16|0;f[X>>2]=f[aa>>2];ba=l+20|0;f[ba>>2]=f[o+20>>2];ca=l+24|0;f[ca>>2]=f[o+24>>2];da=l+28|0;f[da>>2]=f[o+28>>2];ea=l+32|0;f[ea>>2]=f[o+32>>2];fa=o+36|0;f[d>>2]=f[fa>>2];ga=l+44|0;ha=f[ga>>2]|0;if((ha|0)==(K|0))ia=Y;else{TC(ha);f[ga>>2]=K;f[J>>2]=I;ia=f[Z>>2]|0}ha=o+44|0;if((ia|0)<3){ia=f[ha>>2]|0;f[K>>2]=f[ia>>2];f[l+52>>2]=f[ia+4>>2]}else{f[ga>>2]=f[ha>>2];ga=o+40|0;f[l+40>>2]=f[ga>>2];f[ha>>2]=o+48;f[ga>>2]=_}f[o>>2]=1124007936;D=Z;E=D+36|0;do{f[D>>2]=0;D=D+4|0}while((D|0)<(E|0));_=f[d>>2]|0;if(_|0){ga=_+12|0;f[ga>>2]=(f[ga>>2]|0)+1}ga=k+36|0;_=f[ga>>2]|0;if(_|0?(ha=_+12|0,_=f[ha>>2]|0,f[ha>>2]=_+-1,(_|0)==1):0)aU(k);f[ga>>2]=0;_=k+16|0;f[_>>2]=0;f[_+4>>2]=0;f[_+8>>2]=0;f[_+12>>2]=0;if((f[C>>2]|0)>0){ha=f[z>>2]|0;ia=0;do{f[ha+(ia<<2)>>2]=0;ia=ia+1|0;ja=f[C>>2]|0}while((ia|0)<(ja|0));f[k>>2]=f[l>>2];if((ja|0)<3)ka=28;else ka=30}else{f[k>>2]=f[l>>2];ka=28}if((ka|0)==28){ja=f[H>>2]|0;if((ja|0)<3){f[C>>2]=ja;f[s>>2]=f[I>>2];f[k+12>>2]=f[$>>2];$=f[L>>2]|0;I=f[G>>2]|0;f[I>>2]=f[$>>2];f[I+4>>2]=f[$+4>>2]}else ka=30}if((ka|0)==30)$T(k,l);f[_>>2]=f[X>>2];f[k+20>>2]=f[ba>>2];f[k+24>>2]=f[ca>>2];f[k+28>>2]=f[da>>2];f[k+32>>2]=f[ea>>2];f[ga>>2]=f[d>>2];d=f[fa>>2]|0;if(d|0?(ga=d+12|0,d=f[ga>>2]|0,f[ga>>2]=d+-1,(d|0)==1):0)aU(o);f[fa>>2]=0;f[aa>>2]=0;f[aa+4>>2]=0;f[aa+8>>2]=0;f[aa+12>>2]=0;if((f[Z>>2]|0)>0){aa=f[o+40>>2]|0;fa=0;do{f[aa+(fa<<2)>>2]=0;fa=fa+1|0}while((fa|0)<(f[Z>>2]|0))}Z=f[o+44>>2]|0;if((Z|0)!=(o+48|0))TC(Z);W=l}if(!e)la=0;else{tK(o,e,0,1,0,0);e=n+36|0;Z=f[e>>2]|0;if(Z|0?(fa=Z+12|0,Z=f[fa>>2]|0,f[fa>>2]=Z+-1,(Z|0)==1):0)aU(n);f[e>>2]=0;Z=n+16|0;f[Z>>2]=0;f[Z+4>>2]=0;f[Z+8>>2]=0;f[Z+12>>2]=0;if((f[R>>2]|0)>0){fa=f[T>>2]|0;aa=0;do{f[fa+(aa<<2)>>2]=0;aa=aa+1|0}while((aa|0)<(f[R>>2]|0))}f[n>>2]=f[o>>2];aa=o+4|0;fa=f[aa>>2]|0;f[R>>2]=fa;d=o+8|0;f[S>>2]=f[d>>2];ga=n+12|0;f[ga>>2]=f[o+12>>2];ea=o+16|0;f[Z>>2]=f[ea>>2];da=n+20|0;f[da>>2]=f[o+20>>2];ca=n+24|0;f[ca>>2]=f[o+24>>2];ba=n+28|0;f[ba>>2]=f[o+28>>2];X=n+32|0;f[X>>2]=f[o+32>>2];_=o+36|0;f[e>>2]=f[_>>2];$=n+44|0;I=f[$>>2]|0;if((I|0)==(U|0))ma=fa;else{TC(I);f[$>>2]=U;f[T>>2]=S;ma=f[aa>>2]|0}I=o+44|0;if((ma|0)<3){ma=f[I>>2]|0;f[U>>2]=f[ma>>2];f[n+52>>2]=f[ma+4>>2]}else{f[$>>2]=f[I>>2];$=o+40|0;f[n+40>>2]=f[$>>2];f[I>>2]=o+48;f[$>>2]=d}f[o>>2]=1124007936;D=aa;E=D+36|0;do{f[D>>2]=0;D=D+4|0}while((D|0)<(E|0));d=f[e>>2]|0;if(d|0){$=d+12|0;f[$>>2]=(f[$>>2]|0)+1}$=m+36|0;d=f[$>>2]|0;if(d|0?(I=d+12|0,d=f[I>>2]|0,f[I>>2]=d+-1,(d|0)==1):0)aU(m);f[$>>2]=0;d=m+16|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[M>>2]|0)>0){I=f[O>>2]|0;ma=0;do{f[I+(ma<<2)>>2]=0;ma=ma+1|0;na=f[M>>2]|0}while((ma|0)<(na|0));f[m>>2]=f[n>>2];if((na|0)<3)ka=62;else ka=64}else{f[m>>2]=f[n>>2];ka=62}if((ka|0)==62){na=f[R>>2]|0;if((na|0)<3){f[M>>2]=na;f[N>>2]=f[S>>2];f[m+12>>2]=f[ga>>2];ga=f[V>>2]|0;S=f[Q>>2]|0;f[S>>2]=f[ga>>2];f[S+4>>2]=f[ga+4>>2]}else ka=64}if((ka|0)==64)$T(m,n);f[d>>2]=f[Z>>2];f[m+20>>2]=f[da>>2];f[m+24>>2]=f[ca>>2];f[m+28>>2]=f[ba>>2];f[m+32>>2]=f[X>>2];f[$>>2]=f[e>>2];e=f[_>>2]|0;if(e|0?($=e+12|0,e=f[$>>2]|0,f[$>>2]=e+-1,(e|0)==1):0)aU(o);f[_>>2]=0;f[ea>>2]=0;f[ea+4>>2]=0;f[ea+8>>2]=0;f[ea+12>>2]=0;if((f[aa>>2]|0)>0){ea=f[o+40>>2]|0;_=0;do{f[ea+(_<<2)>>2]=0;_=_+1|0}while((_|0)<(f[aa>>2]|0))}aa=f[o+44>>2]|0;if((aa|0)!=(o+48|0))TC(aa);la=n}f[o+8>>2]=0;f[o+12>>2]=0;f[o>>2]=16842752;f[o+4>>2]=h;aa=p+8|0;f[aa>>2]=0;f[aa+4>>2]=0;f[p>>2]=33619968;f[p+4>>2]=i;aa=q+8|0;f[aa>>2]=0;f[aa+4>>2]=0;if(!W){f[q>>2]=33554432;f[q+4>>2]=0}else{f[q>>2]=33619968;f[q+4>>2]=W}W=r+8|0;f[W>>2]=0;f[W+4>>2]=0;if(!la){f[r>>2]=33554432;f[r+4>>2]=0}else{f[r>>2]=33619968;f[r+4>>2]=la}Haa(o,p,q,r,f[i>>2]&7,-1);if((f[w>>2]|0)!=(f[v>>2]|0)){f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;oa=cuc(96)|0;f[o>>2]=oa;pa=o+8|0;f[pa>>2]=-2147483552;qa=o+4|0;f[qa>>2]=81;D=oa;ra=252413;E=D+81|0;do{b[D>>0]=b[ra>>0]|0;D=D+1|0;ra=ra+1|0}while((D|0)<(E|0));sa=oa+81|0;b[sa>>0]=0;WD(-215,o,252495,252146,570)}r=l+16|0;q=k+16|0;if((f[r>>2]|0)!=(f[q>>2]|0)){f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;oa=cuc(96)|0;f[o>>2]=oa;pa=o+8|0;f[pa>>2]=-2147483552;qa=o+4|0;f[qa>>2]=81;D=oa;ra=252413;E=D+81|0;do{b[D>>0]=b[ra>>0]|0;D=D+1|0;ra=ra+1|0}while((D|0)<(E|0));sa=oa+81|0;b[sa>>0]=0;WD(-215,o,252495,252146,570)}p=n+16|0;la=m+16|0;if((f[p>>2]|0)!=(f[la>>2]|0)){f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;oa=cuc(96)|0;f[o>>2]=oa;pa=o+8|0;f[pa>>2]=-2147483552;qa=o+4|0;f[qa>>2]=81;D=oa;ra=252413;E=D+81|0;do{b[D>>0]=b[ra>>0]|0;D=D+1|0;ra=ra+1|0}while((D|0)<(E|0));sa=oa+81|0;b[sa>>0]=0;WD(-215,o,252495,252146,570)}o=n+36|0;sa=f[o>>2]|0;if(sa|0?(oa=sa+12|0,sa=f[oa>>2]|0,f[oa>>2]=sa+-1,(sa|0)==1):0)aU(n);f[o>>2]=0;f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;f[p+12>>2]=0;if((f[R>>2]|0)>0){p=f[T>>2]|0;T=0;do{f[p+(T<<2)>>2]=0;T=T+1|0}while((T|0)<(f[R>>2]|0))}R=f[V>>2]|0;if((R|0)!=(U|0))TC(R);R=m+36|0;U=f[R>>2]|0;if(U|0?(V=U+12|0,U=f[V>>2]|0,f[V>>2]=U+-1,(U|0)==1):0)aU(m);f[R>>2]=0;f[la>>2]=0;f[la+4>>2]=0;f[la+8>>2]=0;f[la+12>>2]=0;if((f[M>>2]|0)>0){la=f[O>>2]|0;O=0;do{f[la+(O<<2)>>2]=0;O=O+1|0}while((O|0)<(f[M>>2]|0))}M=f[Q>>2]|0;if((M|0)!=(P|0))TC(M);M=l+36|0;P=f[M>>2]|0;if(P|0?(Q=P+12|0,P=f[Q>>2]|0,f[Q>>2]=P+-1,(P|0)==1):0)aU(l);f[M>>2]=0;f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;f[r+12>>2]=0;if((f[H>>2]|0)>0){r=f[J>>2]|0;J=0;do{f[r+(J<<2)>>2]=0;J=J+1|0}while((J|0)<(f[H>>2]|0))}H=f[L>>2]|0;if((H|0)!=(K|0))TC(H);H=k+36|0;K=f[H>>2]|0;do if(K|0){L=K+12|0;J=f[L>>2]|0;f[L>>2]=J+-1;if((J|0)!=1)break;aU(k)}while(0);f[H>>2]=0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;f[q+12>>2]=0;if((f[C>>2]|0)>0){q=f[z>>2]|0;z=0;do{f[q+(z<<2)>>2]=0;z=z+1|0}while((z|0)<(f[C>>2]|0))}C=f[G>>2]|0;if((C|0)!=(F|0))TC(C);C=f[x>>2]|0;do if(C|0){F=C+12|0;G=f[F>>2]|0;f[F>>2]=G+-1;if((G|0)!=1)break;aU(j)}while(0);f[x>>2]=0;f[v>>2]=0;f[v+4>>2]=0;f[v+8>>2]=0;f[v+12>>2]=0;if((f[c>>2]|0)>0){v=f[A>>2]|0;A=0;do{f[v+(A<<2)>>2]=0;A=A+1|0}while((A|0)<(f[c>>2]|0))}c=f[B>>2]|0;if((c|0)!=(t|0))TC(c);c=f[y>>2]|0;do if(c|0){t=c+12|0;B=f[t>>2]|0;f[t>>2]=B+-1;if((B|0)!=1)break;aU(i)}while(0);f[y>>2]=0;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;f[w+12>>2]=0;if((f[a>>2]|0)>0){w=f[i+40>>2]|0;y=0;do{f[w+(y<<2)>>2]=0;y=y+1|0}while((y|0)<(f[a>>2]|0))}a=f[i+44>>2]|0;if((a|0)!=(i+48|0))TC(a);a=h+36|0;i=f[a>>2]|0;do if(i|0){y=i+12|0;w=f[y>>2]|0;f[y>>2]=w+-1;if((w|0)!=1)break;aU(h)}while(0);f[a>>2]=0;a=h+16|0;i=h+4|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;if((f[i>>2]|0)>0){a=f[h+40>>2]|0;w=0;do{f[a+(w<<2)>>2]=0;w=w+1|0}while((w|0)<(f[i>>2]|0))}i=f[h+44>>2]|0;if((i|0)==(h+48|0)){u=g;return}TC(i);u=g;return}function Laa(a,c,d,e,g,h,i,j,k,l){a=a|0;c=c|0;d=d|0;e=+e;g=+g;h=h|0;i=i|0;j=j|0;k=k|0;l=+l;var m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0.0,ba=0.0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0.0,oa=0.0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0;m=u;u=u+416|0;o=m+48|0;q=m+408|0;r=m+352|0;s=m+296|0;t=m+240|0;v=m+32|0;w=m+216|0;x=m+160|0;y=m+104|0;z=m+232|0;A=m;gV(q,53972);if(!((d|0)>-1&(e>0.0&g>=0.0))){f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;B=cuc(64)|0;f[o>>2]=B;f[o+8>>2]=-2147483584;f[o+4>>2]=55;C=B;D=252506;E=C+55|0;do{b[C>>0]=b[D>>0]|0;C=C+1|0;D=D+1|0}while((C|0)<(E|0));b[B+55>>0]=0;WD(-215,o,252562,252582,364)}if(!(EJ(h)|0)){if(pJ(h,-1)|0){f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;F=cuc(80)|0;f[o>>2]=F;G=o+8|0;f[G>>2]=-2147483568;H=o+4|0;f[H>>2]=68;C=F;D=252660;E=C+68|0;do{b[C>>0]=b[D>>0]|0;C=C+1|0;D=D+1|0}while((C|0)<(E|0));I=F+68|0;b[I>>0]=0;WD(-215,o,252562,252582,365)}if(!(zJ(h,a)|0)){f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;F=cuc(80)|0;f[o>>2]=F;G=o+8|0;f[G>>2]=-2147483568;H=o+4|0;f[H>>2]=68;C=F;D=252660;E=C+68|0;do{b[C>>0]=b[D>>0]|0;C=C+1|0;D=D+1|0}while((C|0)<(E|0));I=F+68|0;b[I>>0]=0;WD(-215,o,252562,252582,365)}}do if((qJ(a)|0)==65536){I=f[a+4>>2]|0;f[r>>2]=f[I>>2];F=r+4|0;D=I+4|0;f[F>>2]=f[D>>2];H=r+8|0;f[H>>2]=f[I+8>>2];f[r+12>>2]=f[I+12>>2];G=r+16|0;f[G>>2]=f[I+16>>2];f[r+20>>2]=f[I+20>>2];f[r+24>>2]=f[I+24>>2];f[r+28>>2]=f[I+28>>2];f[r+32>>2]=f[I+32>>2];B=f[I+36>>2]|0;f[r+36>>2]=B;f[r+40>>2]=H;H=r+48|0;J=r+44|0;f[J>>2]=H;f[H>>2]=0;f[r+52>>2]=0;if(B|0){H=B+12|0;f[H>>2]=(f[H>>2]|0)+1}if((f[D>>2]|0)<3){D=f[I+44>>2]|0;H=f[J>>2]|0;f[H>>2]=f[D>>2];f[H+4>>2]=f[D+4>>2];K=G;break}else{f[F>>2]=0;$T(r,I);K=G;break}}else{nJ(r,a,-1);K=r+16|0}while(0);f[s>>2]=1124007936;a=s+4|0;G=s+8|0;I=s+40|0;C=a;E=C+36|0;do{f[C>>2]=0;C=C+4|0}while((C|0)<(E|0));f[I>>2]=G;G=s+48|0;F=s+44|0;f[F>>2]=G;f[G>>2]=0;f[s+52>>2]=0;f[t>>2]=1124007936;D=t+4|0;H=t+8|0;J=t+40|0;C=D;E=C+36|0;do{f[C>>2]=0;C=C+4|0}while((C|0)<(E|0));f[J>>2]=H;H=t+48|0;B=t+44|0;f[B>>2]=H;f[H>>2]=0;f[t+52>>2]=0;if(f[K>>2]|0){L=f[r+4>>2]|0;if((L|0)<3)M=Y(f[r+12>>2]|0,f[r+8>>2]|0)|0;else{N=f[r+40>>2]|0;O=0;P=1;while(1){Q=Y(f[N+(O<<2)>>2]|0,P)|0;O=O+1|0;if((O|0)==(L|0)){M=Q;break}else P=Q}}if(!((L|0)==0|(M|0)==0)){if(k){f[o+8>>2]=0;f[o+12>>2]=0;f[o>>2]=16842752;f[o+4>>2]=r;k=v+8|0;f[k>>2]=0;f[k+4>>2]=0;f[v>>2]=33619968;f[v+4>>2]=s;uta(o,v,i,j,l,4)}else{f[o+8>>2]=0;f[o+12>>2]=0;f[o>>2]=16842752;f[o+4>>2]=r;k=v+8|0;f[k>>2]=0;f[k+4>>2]=0;f[v>>2]=33619968;f[v+4>>2]=s;sta(o,v,i,j,4)}p[v>>3]=0.0;f[o+8>>2]=0;f[o+12>>2]=0;f[o>>2]=16842752;f[o+4>>2]=s;dH(o,0,v,0,0,h);f[o+8>>2]=0;f[o+12>>2]=0;f[o>>2]=16842752;f[o+4>>2]=s;j=w+8|0;f[j>>2]=0;f[j+4>>2]=0;f[w>>2]=33619968;f[w+4>>2]=s;+Vea(o,w,+p[v>>3]*e,0.0,3);f[o+8>>2]=0;f[o+12>>2]=0;f[o>>2]=16842752;f[o+4>>2]=s;v=w+8|0;f[v>>2]=0;f[v+4>>2]=0;f[w>>2]=33619968;f[w+4>>2]=t;f[y>>2]=1124007936;v=y+4|0;j=y+8|0;i=y+40|0;C=v;E=C+36|0;do{f[C>>2]=0;C=C+4|0}while((C|0)<(E|0));f[i>>2]=j;j=y+48|0;C=y+44|0;f[C>>2]=j;f[j>>2]=0;f[y+52>>2]=0;f[x+8>>2]=0;f[x+12>>2]=0;f[x>>2]=16842752;f[x+4>>2]=y;f[z>>2]=-1;f[z+4>>2]=-1;p[A>>3]=1797693134862315708145274.0e284;p[A+8>>3]=1797693134862315708145274.0e284;p[A+16>>3]=1797693134862315708145274.0e284;p[A+24>>3]=1797693134862315708145274.0e284;qta(o,w,x,z,1,0,A);z=y+36|0;E=f[z>>2]|0;if(E|0?(k=E+12|0,E=f[k>>2]|0,f[k>>2]=E+-1,(E|0)==1):0)aU(y);f[z>>2]=0;z=y+16|0;f[z>>2]=0;f[z+4>>2]=0;f[z+8>>2]=0;f[z+12>>2]=0;if((f[v>>2]|0)>0){z=f[i>>2]|0;i=0;do{f[z+(i<<2)>>2]=0;i=i+1|0}while((i|0)<(f[v>>2]|0))}v=f[C>>2]|0;if((v|0)!=(j|0))TC(v);v=f[r+40>>2]|0;j=f[v+4>>2]|0;C=f[v>>2]|0;f[w>>2]=0;v=w+4|0;f[v>>2]=0;f[w+8>>2]=0;do if((qJ(h)|0)==65536){i=f[h+4>>2]|0;f[x>>2]=f[i>>2];z=x+4|0;E=i+4|0;f[z>>2]=f[E>>2];k=x+8|0;f[k>>2]=f[i+8>>2];f[x+12>>2]=f[i+12>>2];f[x+16>>2]=f[i+16>>2];f[x+20>>2]=f[i+20>>2];f[x+24>>2]=f[i+24>>2];f[x+28>>2]=f[i+28>>2];f[x+32>>2]=f[i+32>>2];M=f[i+36>>2]|0;f[x+36>>2]=M;f[x+40>>2]=k;k=x+48|0;L=x+44|0;f[L>>2]=k;f[k>>2]=0;f[x+52>>2]=0;if(M|0){k=M+12|0;f[k>>2]=(f[k>>2]|0)+1}if((f[E>>2]|0)<3){E=f[i+44>>2]|0;k=f[L>>2]|0;f[k>>2]=f[E>>2];f[k+4>>2]=f[E+4>>2];break}else{f[z>>2]=0;$T(x,i);break}}else nJ(x,h,-1);while(0);h=C+-1|0;if((h|0)>1?(C=s+16|0,i=t+16|0,z=x+16|0,E=j+-1|0,j=w+8|0,k=x+44|0,(E|0)>1):0){L=1;do{M=(f[C>>2]|0)+(Y(f[f[F>>2]>>2]|0,L)|0)|0;P=(f[i>>2]|0)+(Y(f[f[B>>2]>>2]|0,L)|0)|0;O=f[z>>2]|0;if((O|0)!=0?(N=O+(Y(f[f[k>>2]>>2]|0,L)|0)|0,(N|0)!=0):0){O=1;do{Q=M+(O<<2)|0;e=+n[Q>>2];do if(e!=0.0){if(!(e==+n[P+(O<<2)>>2]))break;if(!(b[N+O>>0]|0))break;f[o>>2]=Q;R=f[v>>2]|0;if(R>>>0<(f[j>>2]|0)>>>0){f[R>>2]=Q;f[v>>2]=(f[v>>2]|0)+4}else Maa(w,o)}while(0);O=O+1|0}while((O|0)<(E|0))}else{S=1;T=52}if((T|0)==52)while(1){T=0;O=M+(S<<2)|0;e=+n[O>>2];do if(e!=0.0){if(!(e==+n[P+(S<<2)>>2]))break;f[o>>2]=O;N=f[v>>2]|0;if(N>>>0<(f[j>>2]|0)>>>0){f[N>>2]=O;f[v>>2]=(f[v>>2]|0)+4}else Maa(w,o)}while(0);S=S+1|0;if((S|0)>=(E|0))break;else T=52}L=L+1|0}while((L|0)<(h|0))}f[y>>2]=0;h=y+4|0;f[h>>2]=0;f[y+8>>2]=0;L=f[v>>2]|0;E=f[w>>2]|0;S=L-E>>2;if(S){Naa(E,L,o);if(!(g>=1.0)){L=s+16|0;E=o+4|0;j=y+8|0;if((d|0)>0){k=0;do{z=(f[(f[w>>2]|0)+(k<<2)>>2]|0)-(f[L>>2]|0)|0;i=f[G>>2]|0;C=(z>>>0)/(i>>>0)|0;e=+((z-(Y(C,i)|0)|0)>>>2|0);n[o>>2]=e;n[E>>2]=+(C|0);C=f[h>>2]|0;if(C>>>0<(f[j>>2]|0)>>>0){n[C>>2]=e;f[C+4>>2]=f[E>>2];f[h>>2]=C+8}else Oaa(y,o);k=k+1|0}while((k|0)!=(d|0)&k>>>0<S>>>0)}else{k=0;do{C=(f[(f[w>>2]|0)+(k<<2)>>2]|0)-(f[L>>2]|0)|0;i=f[G>>2]|0;z=(C>>>0)/(i>>>0)|0;e=+((C-(Y(z,i)|0)|0)>>>2|0);n[o>>2]=e;n[E>>2]=+(z|0);z=f[h>>2]|0;if(z>>>0<(f[j>>2]|0)>>>0){n[z>>2]=e;f[z+4>>2]=f[E>>2];f[h>>2]=z+8}else Oaa(y,o);k=k+1|0}while(k>>>0<S>>>0)}}else{k=f[r+12>>2]|0;E=f[r+8>>2]|0;j=Fhc(g)|0;L=(k+-1+j|0)/(j|0)|0;k=(E+-1+j|0)/(j|0)|0;Paa(o,Y(k,L)|0);e=g*g;E=s+16|0;z=L+-1|0;i=k+-1|0;k=A+4|0;C=A+4|0;P=y+8|0;M=(d|0)>0;O=0;N=0;while(1){Q=(f[(f[w>>2]|0)+(O<<2)>>2]|0)-(f[E>>2]|0)|0;R=f[G>>2]|0;U=(Q>>>0)/(R>>>0)|0;V=(Q-(Y(U,R)|0)|0)>>>2;R=(V|0)/(j|0)|0;Q=(U|0)/(j|0)|0;W=R+-1|0;X=Q+-1|0;Z=R+1|0;_=Q+1|0;$=(W|0)>0?W:0;W=(X|0)>0?X:0;X=(Z|0)<(z|0)?Z:z;Z=(_|0)<(i|0)?_:i;do if((W|0)<=(Z|0)){_=f[o>>2]|0;g=+(V|0);l=+(U|0);if(($|0)>(X|0)){aa=g;ba=l;ca=_;T=80;break}else{da=W;ea=1}a:while(1){fa=Y(da,L)|0;ga=$;ha=ea;while(1){ia=ga+fa|0;ja=f[_+(ia*12|0)+4>>2]|0;ka=f[_+(ia*12|0)>>2]|0;ia=ka;if((ja|0)==(ka|0))la=ha;else{ma=ja-ka>>3;ka=0;ja=ha;while(1){na=g-+n[ia+(ka<<3)>>2];oa=l-+n[ia+(ka<<3)+4>>2];pa=na*na+oa*oa<e;qa=ja&(pa^1);ka=ka+1|0;if(pa){T=79;break a}if(ka>>>0>=ma>>>0){la=qa;break}else ja=qa}}if((ga|0)<(X|0)){ga=ga+1|0;ha=la}else break}if((da|0)<(Z|0)){da=da+1|0;ea=la}else{T=72;break}}if((T|0)==72){T=0;if(la){aa=g;ba=l;ca=_;T=80;break}else{ra=N;break}}else if((T|0)==79){T=0;if(qa){aa=g;ba=l;ca=_;T=80;break}else{ra=N;break}}}else{aa=+(V|0);ba=+(U|0);ca=f[o>>2]|0;T=80}while(0);if((T|0)==80){T=0;U=(Y(Q,L)|0)+R|0;n[A>>2]=aa;n[k>>2]=ba;V=ca+(U*12|0)+4|0;Z=f[V>>2]|0;if(Z>>>0<(f[ca+(U*12|0)+8>>2]|0)>>>0){n[Z>>2]=aa;f[Z+4>>2]=f[k>>2];f[V>>2]=Z+8}else Oaa(ca+(U*12|0)|0,A);n[A>>2]=aa;n[C>>2]=ba;U=f[h>>2]|0;if(U>>>0<(f[P>>2]|0)>>>0){n[U>>2]=aa;f[U+4>>2]=f[C>>2];f[h>>2]=U+8}else Oaa(y,A);U=N+1|0;if(M&(U|0)==(d|0))break;else ra=U}O=O+1|0;if(O>>>0>=S>>>0)break;else N=ra}ra=f[o>>2]|0;if(ra|0){N=o+4|0;S=f[N>>2]|0;if((S|0)==(ra|0))sa=ra;else{O=S;while(1){S=O+-12|0;f[N>>2]=S;d=f[S>>2]|0;if(!d)ta=S;else{S=O+-8|0;M=f[S>>2]|0;if((M|0)!=(d|0))f[S>>2]=M+(~((M+-8-d|0)>>>3)<<3);fuc(d);ta=f[N>>2]|0}if((ta|0)==(ra|0))break;else O=ta}sa=f[o>>2]|0}fuc(sa)}}f[o>>2]=1124024333;sa=o+4|0;f[sa>>2]=2;ta=o+8|0;O=f[h>>2]|0;ra=f[y>>2]|0;N=O-ra|0;f[ta>>2]=N>>3;f[o+12>>2]=1;d=o+16|0;M=o+40|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;f[d+16>>2]=0;f[d+20>>2]=0;f[M>>2]=ta;ta=o+48|0;S=o+44|0;f[S>>2]=ta;f[ta>>2]=0;A=o+52|0;f[A>>2]=0;C=ra;if((C|0)!=(O|0)){f[A>>2]=8;f[ta>>2]=8;f[d>>2]=C;f[o+20>>2]=C;C=ra+N|0;f[o+24>>2]=C;f[o+28>>2]=C}if(iK(c)|0)ua=pJ(c,-1)|0;else ua=5;kQ(o,c,ua,1.0,0.0);ua=o+36|0;C=f[ua>>2]|0;do if(C|0){N=C+12|0;ra=f[N>>2]|0;f[N>>2]=ra+-1;if((ra|0)!=1)break;aU(o)}while(0);f[ua>>2]=0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[sa>>2]|0)>0){d=f[M>>2]|0;M=0;do{f[d+(M<<2)>>2]=0;M=M+1|0}while((M|0)<(f[sa>>2]|0))}sa=f[S>>2]|0;if((sa|0)!=(ta|0))TC(sa)}else HJ(c);sa=f[y>>2]|0;if(sa|0){y=f[h>>2]|0;if((y|0)!=(sa|0))f[h>>2]=y+(~((y+-8-sa|0)>>>3)<<3);fuc(sa)}sa=x+36|0;y=f[sa>>2]|0;if(y|0?(h=y+12|0,y=f[h>>2]|0,f[h>>2]=y+-1,(y|0)==1):0)aU(x);f[sa>>2]=0;sa=x+16|0;y=x+4|0;f[sa>>2]=0;f[sa+4>>2]=0;f[sa+8>>2]=0;f[sa+12>>2]=0;if((f[y>>2]|0)>0){sa=f[x+40>>2]|0;h=0;do{f[sa+(h<<2)>>2]=0;h=h+1|0}while((h|0)<(f[y>>2]|0))}y=f[x+44>>2]|0;if((y|0)!=(x+48|0))TC(y);y=f[w>>2]|0;if(y|0){w=f[v>>2]|0;if((w|0)!=(y|0))f[v>>2]=w+(~((w+-4-y|0)>>>2)<<2);fuc(y)}}else T=20}else T=20;if((T|0)==20)HJ(c);c=t+36|0;T=f[c>>2]|0;if(T|0?(y=T+12|0,T=f[y>>2]|0,f[y>>2]=T+-1,(T|0)==1):0)aU(t);f[c>>2]=0;c=t+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[D>>2]|0)>0){c=f[J>>2]|0;J=0;do{f[c+(J<<2)>>2]=0;J=J+1|0}while((J|0)<(f[D>>2]|0))}D=f[B>>2]|0;if((D|0)!=(H|0))TC(D);D=s+36|0;H=f[D>>2]|0;if(H|0?(B=H+12|0,H=f[B>>2]|0,f[B>>2]=H+-1,(H|0)==1):0)aU(s);f[D>>2]=0;D=s+16|0;f[D>>2]=0;f[D+4>>2]=0;f[D+8>>2]=0;f[D+12>>2]=0;if((f[a>>2]|0)>0){D=f[I>>2]|0;I=0;do{f[D+(I<<2)>>2]=0;I=I+1|0}while((I|0)<(f[a>>2]|0))}a=f[F>>2]|0;if((a|0)!=(G|0))TC(a);a=r+36|0;G=f[a>>2]|0;if(G|0?(F=G+12|0,G=f[F>>2]|0,f[F>>2]=G+-1,(G|0)==1):0)aU(r);f[a>>2]=0;a=r+4|0;f[K>>2]=0;f[K+4>>2]=0;f[K+8>>2]=0;f[K+12>>2]=0;if((f[a>>2]|0)>0){K=f[r+40>>2]|0;G=0;do{f[K+(G<<2)>>2]=0;G=G+1|0}while((G|0)<(f[a>>2]|0))}a=f[r+44>>2]|0;if((a|0)!=(r+48|0))TC(a);if(!(f[q+4>>2]|0)){u=m;return}u=m;return}function Maa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+4|0;d=f[a>>2]|0;e=(f[c>>2]|0)-d|0;g=e>>2;h=g+1|0;if(h>>>0>1073741823)nsc(a);i=a+8|0;j=(f[i>>2]|0)-d|0;k=j>>1;l=j>>2>>>0<536870911?(k>>>0<h>>>0?h:k):1073741823;do if(l)if(l>>>0>1073741823){k=ze(8)|0;kuc(k,519086);f[k>>2]=167148;Hf(k|0,26888,1888)}else{m=cuc(l<<2)|0;break}else m=0;while(0);k=m+(g<<2)|0;f[k>>2]=f[b>>2];b=k+(0-g<<2)|0;if((e|0)>0)szc(b|0,d|0,e|0)|0;f[a>>2]=b;f[c>>2]=k+4;f[i>>2]=m+(l<<2);if(!d)return;fuc(d);return}function Naa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0.0,s=0.0,t=0,u=0,v=0,w=0,x=0.0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0;d=a;a=b;a:while(1){b=a;e=a+-4|0;g=d;while(1){h=g;b:while(1){i=h;j=b-i|0;k=j>>2;switch(k|0){case 2:{l=5;break a;break}case 3:{l=8;break a;break}case 4:{l=24;break a;break}case 5:{l=25;break a;break}case 1:case 0:{l=89;break a;break}default:{}}if((j|0)<124){l=27;break a}m=h+(((k|0)/2|0)<<2)|0;do if((j|0)>3996){o=(k|0)/4|0;p=Raa(h,h+(o<<2)|0,m,m+(o<<2)|0,e,c)|0}else{o=f[m>>2]|0;q=f[h>>2]|0;r=+n[o>>2];s=+n[q>>2];t=o;u=q;if(!(r>s))if(r<s)v=0;else v=o>>>0>q>>>0;else v=1;w=f[e>>2]|0;x=+n[w>>2];y=w;if(!(x>r))if(x<r)z=0;else z=w>>>0>o>>>0;else z=1;if(!v){if(!z){p=0;break}f[m>>2]=y;f[e>>2]=t;o=f[m>>2]|0;w=f[h>>2]|0;r=+n[o>>2];x=+n[w>>2];A=w;B=o;if(!(r>x)?o>>>0<=w>>>0|r<x:0){p=1;break}f[h>>2]=B;f[m>>2]=A;p=2;break}if(z){f[h>>2]=y;f[e>>2]=u;p=1;break}f[h>>2]=t;f[m>>2]=u;t=f[e>>2]|0;x=+n[t>>2];y=t;if(!(x>s)?t>>>0<=q>>>0|x<s:0){p=1;break}f[m>>2]=y;f[e>>2]=u;p=2}while(0);C=f[h>>2]|0;k=f[m>>2]|0;s=+n[C>>2];x=+n[k>>2];if(s>x){D=e;E=p;break}if(C>>>0<=k>>>0|s<x)F=e;else{D=e;E=p;break}while(1){F=F+-4|0;if((h|0)==(F|0))break;G=f[F>>2]|0;r=+n[G>>2];if(r>x){l=67;break b}if(!(G>>>0<=k>>>0|r<x)){l=67;break b}}k=h+4|0;j=f[e>>2]|0;x=+n[j>>2];u=j;if(!(s>x)?C>>>0<=j>>>0|s<x:0){if((k|0)==(e|0)){l=89;break a}else H=k;while(1){I=f[H>>2]|0;x=+n[I>>2];if(s>x)break;if(!(C>>>0<=I>>>0|s<x))break;j=H+4|0;if((j|0)==(e|0)){l=89;break a}else H=j}f[H>>2]=u;f[e>>2]=I;J=H+4|0}else J=k;if((J|0)==(e|0)){l=89;break a}else{K=e;L=J}while(1){j=f[h>>2]|0;y=f[L>>2]|0;s=+n[j>>2];x=+n[y>>2];c:do if(s>x)M=L;else{q=L;r=x;t=y;while(1){if(!(j>>>0<=t>>>0|s<r)){M=q;break c}A=q+4|0;t=f[A>>2]|0;r=+n[t>>2];if(s>r){M=A;break}else q=A}}while(0);y=K;while(1){q=y;y=y+-4|0;N=f[y>>2]|0;x=+n[N>>2];if(s>x){y=y;continue}if(j>>>0<=N>>>0|s<x)break}if(M>>>0>=y>>>0){h=M;continue b}j=f[M>>2]|0;f[M>>2]=N;f[y>>2]=j;K=y;L=M+4|0}}if((l|0)==67){l=0;f[h>>2]=G;f[F>>2]=C;D=F;E=p+1|0}k=h+4|0;d:do if(k>>>0<D>>>0){u=m;j=D;q=k;t=E;while(1){A=f[u>>2]|0;s=+n[A>>2];B=q;while(1){O=f[B>>2]|0;x=+n[O>>2];if(!(x>s)?O>>>0<=A>>>0|x<s:0)break;B=B+4|0}y=O;w=j;do{w=w+-4|0;P=f[w>>2]|0;x=+n[P>>2];if(x>s)break}while(P>>>0<=A>>>0|x<s);if(B>>>0>w>>>0){Q=u;R=t;S=B;break d}f[B>>2]=P;f[w>>2]=y;u=(u|0)==(B|0)?w:u;j=w;q=B+4|0;t=t+1|0}}else{Q=m;R=E;S=k}while(0);do if((S|0)==(Q|0))T=R;else{k=f[Q>>2]|0;t=f[S>>2]|0;s=+n[k>>2];x=+n[t>>2];q=t;j=k;if(!(s>x)?!(k>>>0>t>>>0&!(s<x)):0){T=R;break}f[S>>2]=j;f[Q>>2]=q;T=R+1|0}while(0);if(!T){U=Taa(h,S,c)|0;q=S+4|0;if(Taa(q,a,c)|0){l=88;break}if(U){g=q;continue}}q=S;if((q-i|0)>=(b-q|0)){l=87;break}Naa(h,S,c);g=S+4|0}if((l|0)==87){l=0;Naa(S+4|0,a,c);d=h;a=S;continue}else if((l|0)==88){l=0;if(U){l=89;break}else{d=h;a=S;continue}}}if((l|0)==5){S=f[e>>2]|0;d=f[h>>2]|0;x=+n[S>>2];s=+n[d>>2];U=d;i=S;if(!(x>s)?S>>>0<=d>>>0|x<s:0)return;f[h>>2]=i;f[e>>2]=U;return}else if((l|0)==8){U=h+4|0;i=f[U>>2]|0;d=f[h>>2]|0;s=+n[i>>2];x=+n[d>>2];S=i;T=d;if(!(s>x))if(s<x)V=0;else V=i>>>0>d>>>0;else V=1;R=f[e>>2]|0;r=+n[R>>2];Q=R;if(!(r>s))if(r<s)W=0;else W=R>>>0>i>>>0;else W=1;if(!V){if(!W)return;f[U>>2]=Q;f[e>>2]=S;V=f[U>>2]|0;i=f[h>>2]|0;s=+n[V>>2];r=+n[i>>2];R=i;E=V;if(!(s>r)?V>>>0<=i>>>0|s<r:0)return;f[h>>2]=E;f[U>>2]=R;return}if(W){f[h>>2]=Q;f[e>>2]=T;return}f[h>>2]=S;f[U>>2]=T;S=f[e>>2]|0;r=+n[S>>2];Q=S;if(!(r>x)?S>>>0<=d>>>0|r<x:0)return;f[U>>2]=Q;f[e>>2]=T;return}else if((l|0)==24){Qaa(h,h+4|0,h+8|0,e,c)|0;return}else if((l|0)==25){Raa(h,h+4|0,h+8|0,h+12|0,e,c)|0;return}else if((l|0)==27){Saa(h,a,c);return}else if((l|0)==89)return}function Oaa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;c=a+4|0;d=f[c>>2]|0;e=f[a>>2]|0;g=d-e>>3;h=g+1|0;i=e;j=d;if(h>>>0>536870911)nsc(a);d=a+8|0;k=(f[d>>2]|0)-e|0;l=k>>2;m=k>>3>>>0<268435455?(l>>>0<h>>>0?h:l):536870911;do if(m)if(m>>>0>536870911){l=ze(8)|0;kuc(l,519086);f[l>>2]=167148;Hf(l|0,26888,1888)}else{n=cuc(m<<3)|0;break}else n=0;while(0);l=n+(g<<3)|0;h=n+(m<<3)|0;f[l>>2]=f[b>>2];f[n+(g<<3)+4>>2]=f[b+4>>2];b=l+8|0;if((j|0)==(i|0))o=l;else{g=j+-8-e|0;n=j;j=l;do{m=j;j=j+-8|0;k=n;n=n+-8|0;f[j>>2]=f[n>>2];f[m+-4>>2]=f[k+-4>>2]}while((n|0)!=(i|0));o=l+(~(g>>>3)<<3)|0}f[a>>2]=o;f[c>>2]=b;f[d>>2]=h;if(!e)return;fuc(e);return}function Paa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;f[a>>2]=0;c=a+4|0;f[c>>2]=0;f[a+8>>2]=0;if(!b)return;if(b>>>0>357913941)nsc(a);d=b*12|0;e=cuc(d)|0;f[a>>2]=e;g=e+(b*12|0)|0;f[a+8>>2]=g;kzc(e|0,0,d|0)|0;f[c>>2]=g;return}function Qaa(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0.0,i=0.0,j=0,k=0,l=0,m=0,o=0.0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;e=f[b>>2]|0;g=f[a>>2]|0;h=+n[e>>2];i=+n[g>>2];j=e;k=g;if(!(h>i))if(h<i)l=0;else l=e>>>0>g>>>0;else l=1;m=f[c>>2]|0;o=+n[m>>2];p=m;if(!(o>h))if(o<h)q=0;else q=m>>>0>e>>>0;else q=1;do if(!l)if(q){f[b>>2]=p;f[c>>2]=j;r=f[b>>2]|0;s=f[a>>2]|0;h=+n[r>>2];o=+n[s>>2];t=s;u=r;if(!(h>o)?r>>>0<=s>>>0|h<o:0){v=1;w=e;x=j;break}f[a>>2]=u;f[b>>2]=t;t=f[c>>2]|0;v=2;w=t;x=t}else{v=0;w=m;x=p}else{if(q){f[a>>2]=p;f[c>>2]=k;v=1;w=g;x=k;break}f[a>>2]=j;f[b>>2]=k;t=f[c>>2]|0;o=+n[t>>2];u=t;if(!(o>i)?t>>>0<=g>>>0|o<i:0){v=1;w=t;x=u;break}f[b>>2]=u;f[c>>2]=k;v=2;w=g;x=k}while(0);k=f[d>>2]|0;i=+n[k>>2];o=+n[w>>2];g=k;if(!(i>o)?k>>>0<=w>>>0|i<o:0){y=v;return y|0}f[c>>2]=g;f[d>>2]=x;x=f[c>>2]|0;d=f[b>>2]|0;o=+n[x>>2];i=+n[d>>2];g=d;w=x;if(!(o>i)?x>>>0<=d>>>0|o<i:0){y=v+1|0;return y|0}f[b>>2]=w;f[c>>2]=g;g=f[b>>2]|0;c=f[a>>2]|0;i=+n[g>>2];o=+n[c>>2];w=c;d=g;if(!(i>o)?!(g>>>0>c>>>0&!(i<o)):0){y=v+2|0;return y|0}f[a>>2]=d;f[b>>2]=w;y=v+3|0;return y|0}function Raa(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0.0,k=0.0,l=0,m=0,o=0;h=Qaa(a,b,c,d,g)|0;g=f[e>>2]|0;i=f[d>>2]|0;j=+n[g>>2];k=+n[i>>2];l=i;m=g;if(!(j>k)?g>>>0<=i>>>0|j<k:0){o=h;return o|0}f[d>>2]=m;f[e>>2]=l;l=f[d>>2]|0;e=f[c>>2]|0;k=+n[l>>2];j=+n[e>>2];m=e;i=l;if(!(k>j)?l>>>0<=e>>>0|k<j:0){o=h+1|0;return o|0}f[c>>2]=i;f[d>>2]=m;m=f[c>>2]|0;d=f[b>>2]|0;j=+n[m>>2];k=+n[d>>2];i=d;e=m;if(!(j>k)?m>>>0<=d>>>0|j<k:0){o=h+2|0;return o|0}f[b>>2]=e;f[c>>2]=i;i=f[b>>2]|0;c=f[a>>2]|0;k=+n[i>>2];j=+n[c>>2];e=c;d=i;if(!(k>j)?!(i>>>0>c>>>0&!(k<j)):0){o=h+3|0;return o|0}f[a>>2]=d;f[b>>2]=e;o=h+4|0;return o|0}function Saa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0.0,i=0.0,j=0,k=0,l=0,m=0,o=0.0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;c=a+8|0;d=a+4|0;e=f[d>>2]|0;g=f[a>>2]|0;h=+n[e>>2];i=+n[g>>2];j=e;k=g;if(!(h>i))if(h<i)l=0;else l=e>>>0>g>>>0;else l=1;m=f[c>>2]|0;o=+n[m>>2];p=m;if(!(o>h))if(o<h)q=0;else q=m>>>0>e>>>0;else q=1;do if(!l)if(q){f[d>>2]=p;f[c>>2]=j;if(!(o>i)?m>>>0<=g>>>0|o<i:0){r=j;s=e;break}f[a>>2]=p;f[d>>2]=k;r=j;s=e}else{r=p;s=m}else{if(q){f[a>>2]=p;f[c>>2]=k;r=k;s=g;break}f[a>>2]=j;f[d>>2]=k;if(!(o>i)?m>>>0<=g>>>0|o<i:0){r=p;s=m;break}f[d>>2]=p;f[c>>2]=k;r=k;s=g}while(0);g=a+12|0;if((g|0)==(b|0))return;else{t=g;u=c;v=s;w=r}while(1){r=f[t>>2]|0;i=+n[r>>2];o=+n[v>>2];s=r;if(!(!(i>o)?r>>>0<=v>>>0|i<o:0)){f[t>>2]=w;a:do if((u|0)==(a|0))x=u;else{c=u;g=u;while(1){k=g;g=c+-4|0;p=f[g>>2]|0;o=+n[p>>2];d=p;if(!(i>o)?r>>>0<=p>>>0|i<o:0){x=k;break a}f[k>>2]=d;if((g|0)==(a|0)){x=g;break}else c=g}}while(0);f[x>>2]=s}r=t+4|0;if((r|0)==(b|0))break;g=f[t>>2]|0;c=t;t=r;v=g;w=g;u=c}return}function Taa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0.0,i=0.0,j=0,k=0,l=0,m=0,o=0,p=0,q=0.0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;switch(b-a>>2|0){case 2:{d=b+-4|0;e=f[d>>2]|0;g=f[a>>2]|0;h=+n[e>>2];i=+n[g>>2];j=g;k=e;if(!(h>i)?e>>>0<=g>>>0|h<i:0){l=1;return l|0}f[a>>2]=k;f[d>>2]=j;l=1;return l|0}case 3:{j=a+4|0;d=b+-4|0;k=f[j>>2]|0;g=f[a>>2]|0;i=+n[k>>2];h=+n[g>>2];e=k;m=g;if(!(i>h))if(i<h)o=0;else o=k>>>0>g>>>0;else o=1;p=f[d>>2]|0;q=+n[p>>2];r=p;if(!(q>i))if(q<i)s=0;else s=p>>>0>k>>>0;else s=1;if(!o){if(!s){l=1;return l|0}f[j>>2]=r;f[d>>2]=e;o=f[j>>2]|0;k=f[a>>2]|0;i=+n[o>>2];q=+n[k>>2];p=k;t=o;if(!(i>q)?o>>>0<=k>>>0|i<q:0){l=1;return l|0}f[a>>2]=t;f[j>>2]=p;l=1;return l|0}if(s){f[a>>2]=r;f[d>>2]=m;l=1;return l|0}f[a>>2]=e;f[j>>2]=m;e=f[d>>2]|0;q=+n[e>>2];r=e;if(!(q>h)?e>>>0<=g>>>0|q<h:0){l=1;return l|0}f[j>>2]=r;f[d>>2]=m;l=1;return l|0}case 4:{Qaa(a,a+4|0,a+8|0,b+-4|0,c)|0;l=1;return l|0}case 5:{Raa(a,a+4|0,a+8|0,a+12|0,b+-4|0,c)|0;l=1;return l|0}case 1:case 0:{l=1;return l|0}default:{c=a+8|0;m=a+4|0;d=f[m>>2]|0;r=f[a>>2]|0;h=+n[d>>2];q=+n[r>>2];j=d;g=r;if(!(h>q))if(h<q)u=0;else u=d>>>0>r>>>0;else u=1;e=f[c>>2]|0;i=+n[e>>2];s=e;if(!(i>h))if(i<h)v=0;else v=e>>>0>d>>>0;else v=1;do if(!u)if(v){f[m>>2]=s;f[c>>2]=j;if(!(i>q)?e>>>0<=r>>>0|i<q:0){w=d;break}f[a>>2]=s;f[m>>2]=g;w=d}else w=e;else{if(v){f[a>>2]=s;f[c>>2]=g;w=r;break}f[a>>2]=j;f[m>>2]=g;if(!(i>q)?e>>>0<=r>>>0|i<q:0){w=e;break}f[m>>2]=s;f[c>>2]=g;w=r}while(0);r=a+12|0;a:do if((r|0)==(b|0)){x=1;y=0}else{g=r;s=0;m=c;e=w;while(1){j=f[g>>2]|0;q=+n[j>>2];i=+n[e>>2];v=j;if(!(q>i)?j>>>0<=e>>>0|q<i:0)z=s;else{f[g>>2]=f[m>>2];b:do if((m|0)==(a|0))A=m;else{d=m;u=m;while(1){p=u;u=d+-4|0;t=f[u>>2]|0;i=+n[t>>2];k=t;if(!(q>i)?j>>>0<=t>>>0|q<i:0){A=p;break b}f[p>>2]=k;if((u|0)==(a|0)){A=u;break}else d=u}}while(0);f[A>>2]=v;j=s+1|0;if((j|0)==8){x=0;y=(g+4|0)==(b|0);break a}else z=j}j=g+4|0;if((j|0)==(b|0)){x=1;y=0;break a}u=f[g>>2]|0;d=g;g=j;s=z;e=u;m=d}}while(0);l=y|x;return l|0}}return 0}function Uaa(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=+d;e=+e;f=f|0;g=g|0;h=h|0;i=+i;Laa(a,b,c,d,e,f,g,3,h,i);return}function Vaa(a,c,e,g,h,i,j,k,l,m,o,q){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=+m;o=+o;q=q|0;var r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0.0,G=0.0,H=0.0,I=0.0,J=0.0,K=0.0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0.0,ua=0,va=0.0,wa=0,xa=0,ya=0,za=0.0,Aa=0,Ba=0,Ca=0,Da=0.0,Ea=0;r=u;u=u+2464|0;s=r+1336|0;t=r+272|0;v=r;w=r+264|0;x=r+200|0;y=r+256|0;z=r+136|0;A=r+192|0;gV(w,53992);if(!((k|0)>0&(l|0)>0)?!(m>0.0&o>0.0):0){f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;B=cuc(80)|0;f[s>>2]=B;f[s+8>>2]=-2147483568;f[s+4>>2]=73;C=B;D=252840;E=C+73|0;do{b[C>>0]=b[D>>0]|0;C=C+1|0;D=D+1|0}while((C|0)<(E|0));b[B+73>>0]=0;WD(-215,s,252914,252921,3855)}if(m<2.220446049250313e-16|o<2.220446049250313e-16){F=+(g|0);G=+(h|0);H=+(k|0)/F;I=+(l|0)/G;J=G;K=F}else{H=m;I=o;J=+(h|0);K=+(g|0)}B=a&7;M=(a>>>3&511)+1|0;N=Fhc(K*H)|0;O=Fhc(J*I)|0;if((N|0)<1|(O|0)<1){f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;P=cuc(16)|0;f[s>>2]=P;f[s+8>>2]=-2147483632;f[s+4>>2]=14;C=P;D=252992;E=C+14|0;do{b[C>>0]=b[D>>0]|0;C=C+1|0;D=D+1|0}while((C|0)<(E|0));b[P+14>>0]=0;WD(-215,s,252914,252921,3867)}J=1.0/H;K=1.0/I;P=Fhc(J)|0;Q=Fhc(K)|0;if(+L(+(J-+(P|0)))<2.220446049250313e-16)R=+L(+(K-+(Q|0)))<2.220446049250313e-16;else R=0;f[y>>2]=g;f[y+4>>2]=h;zD(x,y,a,c,e);f[A>>2]=N;f[A+4>>2]=O;zD(z,A,a,i,j);a:do switch(q|0){case 5:{if(!((M|0)!=2&((Q|0)==2&((P|0)==2&R))))if(B>>>0<5){pi[f[54012+(B<<2)>>2]&7](c,e,g,h,i,j,k,l,M,H,I);break a}else{f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;b[s+11>>0]=9;C=s;D=253007;E=C+9|0;do{b[C>>0]=b[D>>0]|0;C=C+1|0;D=D+1|0}while((C|0)<(E|0));b[s+9>>0]=0;WD(-215,s,252914,252921,4007)}else{S=3;T=43}break}case 0:{a=f[(f[x+40>>2]|0)+4>>2]|0;A=z+40|0;y=f[A>>2]|0;U=f[y+4>>2]|0;V=f[y>>2]|0;y=s+8|0;f[s>>2]=y;W=s+4|0;f[W>>2]=U;if(U>>>0>264){X=euc(U>>>0>1073741823?-1:U<<2)|0;f[s>>2]=X;Z=X}else Z=y;X=x+4|0;_=f[X>>2]|0;if((_|0)>0)$=f[(f[x+44>>2]|0)+(_+-1<<2)>>2]|0;else $=0;aa=$>>>2;if((U|0)>0){ba=a+-1|0;a=0;do{o=J*+(a|0);ca=~~o;da=ca-(+(ca|0)>o&1)|0;ca=Y((ba|0)<(da|0)?ba:da,$)|0;f[Z+(a<<2)>>2]=ca;a=a+1|0}while((a|0)!=(U|0))}f[t>>2]=0;f[t+4>>2]=V;f[v>>2]=54052;U=v+4|0;f[U>>2]=f[x>>2];a=v+8|0;f[a>>2]=_;ba=v+12|0;f[ba>>2]=f[x+8>>2];f[v+16>>2]=f[x+12>>2];f[v+20>>2]=f[x+16>>2];f[v+24>>2]=f[x+20>>2];f[v+28>>2]=f[x+24>>2];f[v+32>>2]=f[x+28>>2];f[v+36>>2]=f[x+32>>2];ca=f[x+36>>2]|0;f[v+40>>2]=ca;f[v+44>>2]=ba;ba=v+52|0;da=v+48|0;f[da>>2]=ba;f[ba>>2]=0;f[v+56>>2]=0;if(!ca)ea=_;else{ba=ca+12|0;f[ba>>2]=(f[ba>>2]|0)+1;ea=f[X>>2]|0}if((ea|0)<3){ba=f[x+44>>2]|0;ca=f[da>>2]|0;f[ca>>2]=f[ba>>2];f[ca+4>>2]=f[ba+4>>2]}else{f[a>>2]=0;$T(U,x)}U=v+60|0;f[U>>2]=f[z>>2];a=v+64|0;ba=z+4|0;ca=f[ba>>2]|0;f[a>>2]=ca;da=v+68|0;fa=z+8|0;f[da>>2]=f[fa>>2];ga=z+12|0;f[v+72>>2]=f[ga>>2];f[v+76>>2]=f[z+16>>2];f[v+80>>2]=f[z+20>>2];f[v+84>>2]=f[z+24>>2];f[v+88>>2]=f[z+28>>2];f[v+92>>2]=f[z+32>>2];ha=f[z+36>>2]|0;f[v+96>>2]=ha;f[v+100>>2]=da;da=v+108|0;ia=v+104|0;f[ia>>2]=da;f[da>>2]=0;f[v+112>>2]=0;if(!ha)ja=ca;else{ca=ha+12|0;f[ca>>2]=(f[ca>>2]|0)+1;ja=f[ba>>2]|0}if((ja|0)<3){ca=f[z+44>>2]|0;ha=f[ia>>2]|0;f[ha>>2]=f[ca>>2];f[ha+4>>2]=f[ca+4>>2]}else{f[a>>2]=0;$T(U,z)}f[v+116>>2]=Z;f[v+120>>2]=aa;p[v+128>>3]=K;U=f[ba>>2]|0;if((U|0)<3)ka=Y(f[ga>>2]|0,f[fa>>2]|0)|0;else{fa=f[A>>2]|0;ga=0;ba=1;while(1){a=Y(f[fa+(ga<<2)>>2]|0,ba)|0;ga=ga+1|0;if((ga|0)==(U|0)){ka=a;break}else ba=a}}sZ(t,v,+(ka>>>0)*.0000152587890625);Waa(v);ba=f[s>>2]|0;if((ba|0)!=(y|0)){if(ba|0)guc(ba);f[s>>2]=y;f[W>>2]=264}break}default:{S=(q|0)==1&((Q|0)==2&((P|0)==2&R))?3:q;T=43}}while(0);do if((T|0)==43){q=(S|0)==3;if(K>=1.0&(J>=1.0&q)){if(R){v=Y(Q,P)|0;ka=(e>>>0)/((675553809>>>(f[x>>2]<<2&28)&15)>>>0)|0;Z=v+(Y(N,M)|0)|0;ja=s+8|0;f[s>>2]=ja;ea=s+4|0;f[ea>>2]=Z;if(Z>>>0>264){$=euc(Z>>>0>1073741823?-1:Z<<2)|0;f[s>>2]=$;la=$}else la=ja;$=la+(v<<2)|0;v=f[54064+(B<<2)>>2]|0;if(!(109>>>B&1)){f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;b[t+11>>0]=9;C=t;D=253007;E=C+9|0;do{b[C>>0]=b[D>>0]|0;C=C+1|0;D=D+1|0}while((C|0)<(E|0));b[t+9>>0]=0;WD(-215,t,252914,252921,4042)}if((Q|0)>0&(P|0)>0){W=0;y=0;while(1){Z=Y(y,ka)|0;l=0;k=W;while(1){j=(Y(l,M)|0)+Z|0;f[la+(k<<2)>>2]=j;l=l+1|0;if((l|0)==(P|0))break;else k=k+1|0}y=y+1|0;if((y|0)==(Q|0))break;else W=P+W|0}}if((N|0)>0){W=0;do{y=Y(W,M)|0;ka=Y(y,P)|0;k=0;do{f[$+(k+y<<2)>>2]=k+ka;k=k+1|0}while((k|0)!=(M|0));W=W+1|0}while((W|0)!=(N|0))}Vg[v&255](x,z,la,$,P,Q);W=f[s>>2]|0;if((W|0)!=(ja|0)){if(W|0)guc(W);f[s>>2]=ja;f[ea>>2]=264}break}W=f[54096+(B<<2)>>2]|0;if(!((109>>>B&1|0)!=0&M>>>0<5)){f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;k=cuc(32)|0;f[s>>2]=k;f[s+8>>2]=-2147483616;f[s+4>>2]=20;C=k;D=253017;E=C+20|0;do{b[C>>0]=b[D>>0]|0;C=C+1|0;D=D+1|0}while((C|0)<(E|0));b[k+20>>0]=0;WD(-215,s,252914,252921,4061)}ea=h+g<<1;ja=s+8|0;f[s>>2]=ja;$=s+4|0;f[$>>2]=ea;if(ea>>>0>93){v=euc(ea>>>0>357913941?-1:ea*12|0)|0;f[s>>2]=v;ma=v}else ma=ja;v=ma+((g<<1)*12|0)|0;ea=Xaa(g,N,M,J,ma)|0;ka=Xaa(h,O,1,K,v)|0;y=O+1|0;l=t+8|0;f[t>>2]=l;Z=t+4|0;f[Z>>2]=y;if(y>>>0>264){j=euc(y>>>0>1073741823?-1:y<<2)|0;f[t>>2]=j;na=j}else na=l;if((ka|0)>0){j=0;y=0;while(1){if((y|0)!=0?(f[v+(y*12|0)+4>>2]|0)==(f[v+((y+-1|0)*12|0)+4>>2]|0):0)oa=j;else{f[na+(j<<2)>>2]=y;oa=j+1|0}y=y+1|0;if((y|0)==(ka|0)){pa=oa;break}else j=oa}}else pa=0;f[na+(pa<<2)>>2]=ka;Ph[W&127](x,z,ma,ea,v,ka,na);j=f[t>>2]|0;if((j|0)!=(l|0)){if(j|0)guc(j);f[t>>2]=l;f[Z>>2]=264}j=f[s>>2]|0;if((j|0)!=(ja|0)){if(j|0)guc(j);f[s>>2]=ja;f[$>>2]=93}break}j=Y(N,M)|0;y=(B|0)==0;k=(S|0)==2;if(!k)if((S|0)!=4)if((S|2|0)==3){qa=2;ra=54160}else{f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;i=cuc(32)|0;f[s>>2]=i;f[s+8>>2]=-2147483616;f[s+4>>2]=28;C=i;D=253038;E=C+28|0;do{b[C>>0]=b[D>>0]|0;C=C+1|0;D=D+1|0}while((C|0)<(E|0));b[i+28>>0]=0;WD(-5,s,252914,252921,4099)}else{qa=8;ra=54128}else{qa=4;ra=54192}$=f[ra+(B<<2)>>2]|0;ja=qa>>>1;if(!$){f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;b[s+11>>0]=9;C=s;D=253007;E=C+9|0;do{b[C>>0]=b[D>>0]|0;C=C+1|0;D=D+1|0}while((C|0)<(E|0));b[s+9>>0]=0;WD(-215,s,252914,252921,4102)}i=j+O|0;Z=qa<<2;l=Y(Z|4,i)|0;ka=s+8|0;f[s>>2]=ka;v=s+4|0;f[v>>2]=l;if(l>>>0>1032){ea=euc(l)|0;f[s>>2]=ea;sa=ea}else sa=ka;ea=sa+(j<<2)|0;l=ea+(O<<2)|0;W=Y(qa,j)|0;c=l+(W<<2)|0;ba=l+(W<<1)|0;C=t;E=C+64|0;do{f[C>>2]=0;C=C+4|0}while((C|0)<(E|0));if((N|0)>0){j=ja+-1|0;W=t+4|0;U=t+8|0;ga=t+12|0;fa=Y(qa,M)|0;A=(S|0)==4;aa=g+-1|0;X=0;_=N;V=0;while(1){a=Y(fa,V)|0;ca=sa+(i+a<<2)|0;o=+(V|0);if(q){m=J*o;ha=~~m;ia=ha-(+(ha|0)>m&1)|0;m=+(V+1|0)-H*+(ia+1|0);ha=~~m;if(!(m<=0.0)){ta=m-+(ha-(+(ha|0)>m&1)|0);ua=ia}else{ta=0.0;ua=ia}}else{m=J*(o+.5)+-.5;ia=~~m;ha=ia-(+(ia|0)>m&1)|0;ta=m-+(ha|0);ua=ha}b:do if((ua|0)<(j|0)){ha=V+1|0;if((ua|0)<0){switch(S|0){case 2:case 4:{va=ta;wa=ha;xa=ua;break b;break}default:{}}va=0.0;wa=ha;xa=0}else{va=ta;wa=ha;xa=ua}}else{va=ta;wa=X;xa=ua}while(0);c:do if((xa+ja|0)>=(g|0)){ha=(V|0)<(_|0)?V:_;if((xa|0)<(aa|0)){ya=ha;za=va;Aa=xa}else{switch(S|0){case 2:case 4:{ya=ha;za=va;Aa=xa;break c;break}default:{}}ya=ha;za=0.0;Aa=aa}}else{ya=_;za=va;Aa=xa}while(0);ha=Y(Aa,M)|0;ia=Y(V,M)|0;da=0;do{f[sa+(da+ia<<2)>>2]=da+ha;da=da+1|0}while((da|0)!=(M|0));do if(!k)if(A){Yaa(za,t);break}else{n[t>>2]=1.0-za;n[W>>2]=za;break}else{m=za+1.0;o=m*(m*(3.75-m*.75)+-6.0)+3.0;n[t>>2]=o;m=za*(za*(za*1.25+-2.25))+1.0;n[W>>2]=m;F=1.0-za;G=F*(F*(F*1.25+-2.25))+1.0;n[U>>2]=G;n[ga>>2]=1.0-o-m-G}while(0);if(y){da=0;do{ha=Ghc(+n[t+(da<<2)>>2]*2048.0)|0;d[l+(da+a<<1)>>1]=(ha+32768|0)>>>0<65536?ha:(ha|0)>0?32767:32768;da=da+1|0}while((da|0)<(qa|0));if((da|0)<(fa|0)){ha=da;do{ia=ha+a|0;d[l+(ia<<1)>>1]=d[l+(ia-qa<<1)>>1]|0;ha=ha+1|0}while((ha|0)!=(fa|0))}}else{szc(ca|0,t|0,Z|0)|0;ha=0;do ha=ha+1|0;while((ha|0)<(qa|0));if((ha|0)<(fa|0)){ca=ha;do{da=ca+a|0;f[l+(da<<2)>>2]=f[l+(da-qa<<2)>>2];ca=ca+1|0}while((ca|0)!=(fa|0))}}V=V+1|0;if((V|0)==(N|0)){Ba=wa;Ca=ya;break}else{X=wa;_=ya}}}else{Ba=0;Ca=N}if((O|0)>0){_=t+4|0;X=t+8|0;V=t+12|0;fa=(S|0)==4;ga=Y(Y(N,Z|4)|0,M)|0;U=0;do{W=Y(qa,U)|0;A=sa+(O+W<<2)+ga|0;G=+(U|0);if(q){m=K*G;aa=~~m;ja=aa-(+(aa|0)>m&1)|0;m=+(U+1|0)-I*+(ja+1|0);aa=~~m;if(!(m<=0.0)){Da=m-+(aa-(+(aa|0)>m&1)|0);Ea=ja}else{Da=0.0;Ea=ja}}else{m=K*(G+.5)+-.5;ja=~~m;aa=ja-(+(ja|0)>m&1)|0;Da=m-+(aa|0);Ea=aa}f[ea+(U<<2)>>2]=Ea;do if(!k)if(fa){Yaa(Da,t);break}else{n[t>>2]=1.0-Da;n[_>>2]=Da;break}else{m=Da+1.0;G=m*(m*(3.75-m*.75)+-6.0)+3.0;n[t>>2]=G;m=Da*(Da*(Da*1.25+-2.25))+1.0;n[_>>2]=m;o=1.0-Da;F=o*(o*(o*1.25+-2.25))+1.0;n[X>>2]=F;n[V>>2]=1.0-G-m-F}while(0);if(y){aa=0;do{ja=Ghc(+n[t+(aa<<2)>>2]*2048.0)|0;d[ba+(aa+W<<1)>>1]=(ja+32768|0)>>>0<65536?ja:(ja|0)>0?32767:32768;aa=aa+1|0}while((aa|0)<(qa|0))}else szc(A|0,t|0,Z|0)|0;U=U+1|0}while((U|0)!=(O|0))}Sh[$&127](x,z,sa,l,ea,y?ba:c,Ba,Ca,qa);U=f[s>>2]|0;if((U|0)!=(ka|0)){if(U|0)guc(U);f[s>>2]=ka;f[v>>2]=1032}}while(0);s=z+36|0;qa=f[s>>2]|0;if(qa|0?(Ca=qa+12|0,qa=f[Ca>>2]|0,f[Ca>>2]=qa+-1,(qa|0)==1):0)aU(z);f[s>>2]=0;s=z+16|0;qa=z+4|0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;if((f[qa>>2]|0)>0){s=f[z+40>>2]|0;Ca=0;do{f[s+(Ca<<2)>>2]=0;Ca=Ca+1|0}while((Ca|0)<(f[qa>>2]|0))}qa=f[z+44>>2]|0;if((qa|0)!=(z+48|0))TC(qa);qa=x+36|0;z=f[qa>>2]|0;if(z|0?(Ca=z+12|0,z=f[Ca>>2]|0,f[Ca>>2]=z+-1,(z|0)==1):0)aU(x);f[qa>>2]=0;qa=x+16|0;z=x+4|0;f[qa>>2]=0;f[qa+4>>2]=0;f[qa+8>>2]=0;f[qa+12>>2]=0;if((f[z>>2]|0)>0){qa=f[x+40>>2]|0;Ca=0;do{f[qa+(Ca<<2)>>2]=0;Ca=Ca+1|0}while((Ca|0)<(f[z>>2]|0))}z=f[x+44>>2]|0;if((z|0)!=(x+48|0))TC(z);if(!(f[w+4>>2]|0)){u=r;return}u=r;return}function Waa(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=54052;b=a+60|0;c=a+96|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+76|0;b=a+64|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+100>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+104>>2]|0;if((b|0)!=(a+108|0))TC(b);b=a+4|0;d=a+40|0;c=f[d>>2]|0;if(c|0?(e=c+12|0,c=f[e>>2]|0,f[e>>2]=c+-1,(c|0)==1):0)aU(b);f[d>>2]=0;d=a+20|0;b=a+8|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[b>>2]|0)>0){d=f[a+44>>2]|0;c=0;do{f[d+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[b>>2]|0))}b=f[a+48>>2]|0;if((b|0)==(a+52|0))return;TC(b);return}function Xaa(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;var g=0,h=0.0,i=0,j=0,k=0.0,l=0.0,m=0.0,o=0.0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;if((b|0)<=0){g=0;return g|0}h=+(a|0);i=a+-1|0;a=0;j=0;while(1){k=+(j|0)*d;l=k+d;m=h-k;o=m<d?m:d;p=~~k;q=(+(p|0)<k&1)+p|0;p=~~l;r=p-(+(p|0)>l&1)|0;p=(i|0)<(r|0)?i:r;r=(p|0)<(q|0)?p:q;m=+(r|0)-k;if(m>.001){s=Y(j,c)|0;f[e+(a*12|0)+4>>2]=s;s=Y(r+-1|0,c)|0;f[e+(a*12|0)>>2]=s;n[e+(a*12|0)+8>>2]=m/o;t=a+1|0}else t=a;if((p|0)>(q|0)){q=Y(j,c)|0;m=1.0/o;s=r;r=t;while(1){f[e+(r*12|0)+4>>2]=q;u=Y(s,c)|0;f[e+(r*12|0)>>2]=u;u=r+1|0;n[e+(r*12|0)+8>>2]=m;s=s+1|0;if((s|0)>=(p|0)){v=u;break}else r=u}}else v=t;m=l-+(p|0);if(m>.001){r=Y(j,c)|0;f[e+(v*12|0)+4>>2]=r;r=Y(p,c)|0;f[e+(v*12|0)>>2]=r;k=m>1.0?1.0:m;n[e+(v*12|0)+8>>2]=(o<k?o:k)/o;w=v+1|0}else w=v;j=j+1|0;if((j|0)==(b|0)){g=w;break}else a=w}return g|0}function Yaa(a,b){a=+a;b=b|0;var c=0.0,d=0.0,e=0.0,g=0.0,h=0.0,i=0.0,j=0.0,k=0.0,l=0.0,m=0.0,o=0.0,p=0.0;if(a<1.1920928955078125e-07){f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;f[b+16>>2]=0;f[b+20>>2]=0;f[b+24>>2]=0;f[b+28>>2]=0;n[b+12>>2]=1.0;return}else{c=a+3.0;a=-c*3.141592653589793*.25;d=+P(+a);e=+O(+a);g=e*0.0;h=(d+g)/(a*a);a=-(c+-1.0)*3.141592653589793*.25;i=d*-.7071067811865476;j=e*-.7071067811865476;k=(i+j)/(a*a);a=-(c+-2.0)*3.141592653589793*.25;l=d*0.0;m=(l+e)/(a*a);a=-(c+-3.0)*3.141592653589793*.25;o=d*.7071067811865476;p=(o+j)/(a*a);a=-(c+-4.0)*3.141592653589793*.25;j=(g-d)/(a*a);a=-(c+-5.0)*3.141592653589793*.25;d=e*.7071067811865476;g=(o+d)/(a*a);a=-(c+-6.0)*3.141592653589793*.25;o=(l-e)/(a*a);a=-(c+-7.0)*3.141592653589793*.25;c=(i+d)/(a*a);a=1.0/(h+0.0+k+m+p+j+g+o+c);n[b>>2]=a*h;n[b+4>>2]=a*k;n[b+8>>2]=a*m;n[b+12>>2]=a*p;n[b+16>>2]=a*j;n[b+20>>2]=a*g;n[b+24>>2]=a*o;n[b+28>>2]=a*c;return}}function Zaa(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0.0,y=0.0;k=u;u=u+192|0;l=k+176|0;m=k+168|0;n=k+160|0;o=k;p=f[a+40>>2]|0;q=f[p+4>>2]|0;r=f[p>>2]|0;f[l>>2]=q;f[l+4>>2]=r;r=b+40|0;p=f[r>>2]|0;s=f[p+4>>2]|0;t=f[p>>2]|0;f[m+4>>2]=t;p=((f[a>>2]|0)>>>3&511)+1|0;v=Y(p,q)|0;f[l>>2]=v;v=Y(s,p)|0;f[m>>2]=v;v=Y(p,h)|0;h=Y(p,i)|0;f[n>>2]=0;f[n+4>>2]=t;wba(o,a,b,c,e,d,g,l,m,j,v,h);h=f[b+4>>2]|0;if((h|0)<3){w=Y(f[b+12>>2]|0,f[b+8>>2]|0)|0;x=+(w>>>0);y=x*.0000152587890625;sZ(n,o,y);xba(o);u=k;return}b=f[r>>2]|0;r=0;v=1;while(1){j=Y(f[b+(r<<2)>>2]|0,v)|0;r=r+1|0;if((r|0)==(h|0)){w=j;break}else v=j}x=+(w>>>0);y=x*.0000152587890625;sZ(n,o,y);xba(o);u=k;return}function _aa(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0.0,y=0.0;k=u;u=u+192|0;l=k+176|0;m=k+168|0;n=k+160|0;o=k;p=f[a+40>>2]|0;q=f[p+4>>2]|0;r=f[p>>2]|0;f[l>>2]=q;f[l+4>>2]=r;r=b+40|0;p=f[r>>2]|0;s=f[p+4>>2]|0;t=f[p>>2]|0;f[m+4>>2]=t;p=((f[a>>2]|0)>>>3&511)+1|0;v=Y(p,q)|0;f[l>>2]=v;v=Y(s,p)|0;f[m>>2]=v;v=Y(p,h)|0;h=Y(p,i)|0;f[n>>2]=0;f[n+4>>2]=t;rba(o,a,b,c,e,d,g,l,m,j,v,h);h=f[b+4>>2]|0;if((h|0)<3){w=Y(f[b+12>>2]|0,f[b+8>>2]|0)|0;x=+(w>>>0);y=x*.0000152587890625;sZ(n,o,y);sba(o);u=k;return}b=f[r>>2]|0;r=0;v=1;while(1){j=Y(f[b+(r<<2)>>2]|0,v)|0;r=r+1|0;if((r|0)==(h|0)){w=j;break}else v=j}x=+(w>>>0);y=x*.0000152587890625;sZ(n,o,y);sba(o);u=k;return}function $aa(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0.0,y=0.0;k=u;u=u+192|0;l=k+176|0;m=k+168|0;n=k+160|0;o=k;p=f[a+40>>2]|0;q=f[p+4>>2]|0;r=f[p>>2]|0;f[l>>2]=q;f[l+4>>2]=r;r=b+40|0;p=f[r>>2]|0;s=f[p+4>>2]|0;t=f[p>>2]|0;f[m+4>>2]=t;p=((f[a>>2]|0)>>>3&511)+1|0;v=Y(p,q)|0;f[l>>2]=v;v=Y(s,p)|0;f[m>>2]=v;v=Y(p,h)|0;h=Y(p,i)|0;f[n>>2]=0;f[n+4>>2]=t;mba(o,a,b,c,e,d,g,l,m,j,v,h);h=f[b+4>>2]|0;if((h|0)<3){w=Y(f[b+12>>2]|0,f[b+8>>2]|0)|0;x=+(w>>>0);y=x*.0000152587890625;sZ(n,o,y);nba(o);u=k;return}b=f[r>>2]|0;r=0;v=1;while(1){j=Y(f[b+(r<<2)>>2]|0,v)|0;r=r+1|0;if((r|0)==(h|0)){w=j;break}else v=j}x=+(w>>>0);y=x*.0000152587890625;sZ(n,o,y);nba(o);u=k;return}function aba(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0.0,y=0.0;k=u;u=u+192|0;l=k+176|0;m=k+168|0;n=k+160|0;o=k;p=f[a+40>>2]|0;q=f[p+4>>2]|0;r=f[p>>2]|0;f[l>>2]=q;f[l+4>>2]=r;r=b+40|0;p=f[r>>2]|0;s=f[p+4>>2]|0;t=f[p>>2]|0;f[m+4>>2]=t;p=((f[a>>2]|0)>>>3&511)+1|0;v=Y(p,q)|0;f[l>>2]=v;v=Y(s,p)|0;f[m>>2]=v;v=Y(p,h)|0;h=Y(p,i)|0;f[n>>2]=0;f[n+4>>2]=t;hba(o,a,b,c,e,d,g,l,m,j,v,h);h=f[b+4>>2]|0;if((h|0)<3){w=Y(f[b+12>>2]|0,f[b+8>>2]|0)|0;x=+(w>>>0);y=x*.0000152587890625;sZ(n,o,y);iba(o);u=k;return}b=f[r>>2]|0;r=0;v=1;while(1){j=Y(f[b+(r<<2)>>2]|0,v)|0;r=r+1|0;if((r|0)==(h|0)){w=j;break}else v=j}x=+(w>>>0);y=x*.0000152587890625;sZ(n,o,y);iba(o);u=k;return}function bba(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0.0,y=0.0;k=u;u=u+192|0;l=k+176|0;m=k+168|0;n=k+160|0;o=k;p=f[a+40>>2]|0;q=f[p+4>>2]|0;r=f[p>>2]|0;f[l>>2]=q;f[l+4>>2]=r;r=b+40|0;p=f[r>>2]|0;s=f[p+4>>2]|0;t=f[p>>2]|0;f[m+4>>2]=t;p=((f[a>>2]|0)>>>3&511)+1|0;v=Y(p,q)|0;f[l>>2]=v;v=Y(s,p)|0;f[m>>2]=v;v=Y(p,h)|0;h=Y(p,i)|0;f[n>>2]=0;f[n+4>>2]=t;cba(o,a,b,c,e,d,g,l,m,j,v,h);h=f[b+4>>2]|0;if((h|0)<3){w=Y(f[b+12>>2]|0,f[b+8>>2]|0)|0;x=+(w>>>0);y=x*.0000152587890625;sZ(n,o,y);dba(o);u=k;return}b=f[r>>2]|0;r=0;v=1;while(1){j=Y(f[b+(r<<2)>>2]|0,v)|0;r=r+1|0;if((r|0)==(h|0)){w=j;break}else v=j}x=+(w>>>0);y=x*.0000152587890625;sZ(n,o,y);dba(o);u=k;return}function cba(a,c,d,e,g,h,i,j,k,l,m,n){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;o=u;u=u+16|0;p=o;f[a>>2]=54232;q=a+4|0;f[q>>2]=f[c>>2];r=a+8|0;s=c+4|0;f[r>>2]=f[s>>2];t=a+12|0;f[t>>2]=f[c+8>>2];f[a+16>>2]=f[c+12>>2];f[a+20>>2]=f[c+16>>2];f[a+24>>2]=f[c+20>>2];f[a+28>>2]=f[c+24>>2];f[a+32>>2]=f[c+28>>2];f[a+36>>2]=f[c+32>>2];v=f[c+36>>2]|0;f[a+40>>2]=v;f[a+44>>2]=t;t=a+52|0;w=a+48|0;f[w>>2]=t;f[t>>2]=0;f[a+56>>2]=0;if(v|0){t=v+12|0;f[t>>2]=(f[t>>2]|0)+1}if((f[s>>2]|0)<3){s=f[c+44>>2]|0;t=f[w>>2]|0;f[t>>2]=f[s>>2];f[t+4>>2]=f[s+4>>2]}else{f[r>>2]=0;$T(q,c)}c=a+60|0;f[c>>2]=f[d>>2];q=a+64|0;r=d+4|0;f[q>>2]=f[r>>2];s=a+68|0;f[s>>2]=f[d+8>>2];f[a+72>>2]=f[d+12>>2];f[a+76>>2]=f[d+16>>2];f[a+80>>2]=f[d+20>>2];f[a+84>>2]=f[d+24>>2];f[a+88>>2]=f[d+28>>2];f[a+92>>2]=f[d+32>>2];t=f[d+36>>2]|0;f[a+96>>2]=t;f[a+100>>2]=s;s=a+108|0;w=a+104|0;f[w>>2]=s;f[s>>2]=0;f[a+112>>2]=0;if(t|0){s=t+12|0;f[s>>2]=(f[s>>2]|0)+1}if((f[r>>2]|0)<3){r=f[d+44>>2]|0;s=f[w>>2]|0;f[s>>2]=f[r>>2];f[s+4>>2]=f[r+4>>2]}else{f[q>>2]=0;$T(c,d)}f[a+116>>2]=e;f[a+120>>2]=g;f[a+124>>2]=h;f[a+128>>2]=i;f[a+132>>2]=f[j>>2];f[a+136>>2]=f[j+4>>2];f[a+140>>2]=f[k>>2];f[a+144>>2]=f[k+4>>2];f[a+148>>2]=l;f[a+152>>2]=m;f[a+156>>2]=n;if((l|0)<17){u=o;return}else{f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;o=cuc(32)|0;f[p>>2]=o;f[p+8>>2]=-2147483616;f[p+4>>2]=18;l=o;n=253175;a=l+18|0;do{b[l>>0]=b[n>>0]|0;l=l+1|0;n=n+1|0}while((l|0)<(a|0));b[o+18>>0]=0;WD(-215,p,253194,252921,2391)}}function dba(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=54232;b=a+60|0;c=a+96|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+76|0;b=a+64|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+100>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+104>>2]|0;if((b|0)!=(a+108|0))TC(b);b=a+4|0;d=a+40|0;c=f[d>>2]|0;if(c|0?(e=c+12|0,c=f[e>>2]|0,f[e>>2]=c+-1,(c|0)==1):0)aU(b);f[d>>2]=0;d=a+20|0;b=a+8|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[b>>2]|0)>0){d=f[a+44>>2]|0;c=0;do{f[d+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[b>>2]|0))}b=f[a+48>>2]|0;if((b|0)==(a+52|0))return;TC(b);return}function eba(a){a=a|0;dba(a);fuc(a);return}function fba(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0.0,V=0.0,W=0.0,X=0.0,Z=0,_=0;c=u;u=u+1296|0;d=c+1288|0;e=c;g=c+1224|0;h=c+1160|0;i=c+1096|0;j=((f[a+4>>2]|0)>>>3&511)+1|0;k=a+140|0;l=(f[k>>2]|0)+15&-16;m=a+148|0;o=f[m>>2]|0;q=Y(l,o)|0;r=e+8|0;f[e>>2]=r;s=e+4|0;f[s>>2]=q;if(q>>>0>136){t=euc(q>>>0>536870911?-1:q<<3)|0;f[e>>2]=t;v=t}else v=r;t=g;q=t+64|0;do{f[t>>2]=0;t=t+4|0}while((t|0)<(q|0));t=h;q=t+64|0;do{f[t>>2]=0;t=t+4|0}while((t|0)<(q|0));if((o|0)>0){kzc(i|0,-1,o<<2|0)|0;t=0;do{q=v+((Y(t,l)|0)<<3)|0;f[h+(t<<2)>>2]=q;t=t+1|0}while((t|0)<(o|0))}t=f[b>>2]|0;q=b+4|0;if((t|0)<(f[q>>2]|0)){b=a+120|0;w=a+116|0;x=a+124|0;y=a+132|0;z=a+152|0;A=a+156|0;B=a+76|0;C=a+108|0;D=h+4|0;E=h+8|0;F=h+12|0;G=a+136|0;H=a+20|0;I=a+48|0;J=l<<3;l=(f[a+128>>2]|0)+((Y(t,o)|0)<<2)|0;a=t;t=o;while(1){if((t|0)>0){o=(f[(f[b>>2]|0)+(a<<2)>>2]|0)+1+((t|0)/-2|0)|0;K=t;L=0;M=t;N=0;while(1){O=o+N|0;P=f[G>>2]|0;Q=(O|0)>-1?((O|0)<(P|0)?O:P+-1|0):0;P=(L|0)<(N|0)?N:L;a:do if((P|0)<(M|0)){O=P;while(1){if((O|0)<16?(Q|0)==(f[i+(O<<2)>>2]|0):0)break;R=O+1|0;if((R|0)<(M|0))O=R;else{S=M;T=R;break a}}if((O|0)>(N|0)){szc(f[h+(N<<2)>>2]|0,f[h+(O<<2)>>2]|0,J|0)|0;S=f[m>>2]|0;T=O}else{S=M;T=O}}else{S=M;T=P}while(0);K=(N|0)<(K|0)&(T|0)==(S|0)?N:K;P=(f[H>>2]|0)+(Y(f[f[I>>2]>>2]|0,Q)|0)|0;f[g+(N<<2)>>2]=P;f[i+(N<<2)>>2]=Q;N=N+1|0;if((N|0)>=(S|0))break;else{L=T;M=S}}if((S|0)>(K|0))gba(d,g+(K<<2)|0,h+(K<<2)|0,S-K|0,f[w>>2]|0,f[x>>2]|0,f[y>>2]|0,f[k>>2]|0,j,f[z>>2]|0,f[A>>2]|0)}M=(f[B>>2]|0)+(Y(f[C>>2]|0,a)|0)|0;L=f[k>>2]|0;U=+n[l>>2];V=+n[l+4>>2];W=+n[l+8>>2];X=+n[l+12>>2];N=f[h>>2]|0;o=f[D>>2]|0;P=f[E>>2]|0;R=f[F>>2]|0;if((L|0)>0){Z=0;do{p[M+(Z<<3)>>3]=U*+p[N+(Z<<3)>>3]+V*+p[o+(Z<<3)>>3]+W*+p[P+(Z<<3)>>3]+X*+p[R+(Z<<3)>>3];Z=Z+1|0}while((Z|0)!=(L|0))}a=a+1|0;L=f[m>>2]|0;if((a|0)>=(f[q>>2]|0))break;else{l=l+(L<<2)|0;t=L}}_=f[e>>2]|0}else _=v;if((_|0)==(r|0)){u=c;return}if(_|0)guc(_);f[e>>2]=r;f[s>>2]=136;u=c;return}function gba(a,b,c,d,e,g,h,i,j,k,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,o=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0.0,G=0,H=0,I=0.0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0;if((d|0)<=0)return;a=j<<1;m=0-(i<<2)|0;o=j<<1;q=j*3|0;r=g;g=0;while(1){s=f[b+(g<<2)>>2]|0;t=f[c+(g<<2)>>2]|0;u=k;v=0;w=r;a:while(1){if((u|0)>(v|0)){x=u-v<<2;y=v;z=w;while(1){A=f[e+(y<<2)>>2]|0;B=A-j|0;if(B>>>0<h>>>0)C=B;else{D=B;while(1)if((D|0)<0)D=D+j|0;else{E=D;break}while(1)if((E|0)<(h|0)){C=E;break}else E=E-j|0}F=+p[s+(C<<3)>>3]*+n[z>>2]+0.0;if(A>>>0<h>>>0)G=A;else{D=A;while(1)if((D|0)<0)D=D+j|0;else{H=D;break}while(1)if((H|0)<(h|0)){G=H;break}else H=H-j|0}I=F+ +p[s+(G<<3)>>3]*+n[z+4>>2];D=o+B|0;if(D>>>0<h>>>0)J=D;else{A=D;while(1)if((A|0)<0)A=A+j|0;else{K=A;break}while(1)if((K|0)<(h|0)){J=K;break}else K=K-j|0}F=I+ +p[s+(J<<3)>>3]*+n[z+8>>2];A=q+B|0;if(A>>>0<h>>>0)L=A;else{D=A;while(1)if((D|0)<0)D=D+j|0;else{M=D;break}while(1)if((M|0)<(h|0)){L=M;break}else M=M-j|0}p[t+(y<<3)>>3]=F+ +p[s+(L<<3)>>3]*+n[z+12>>2];y=y+1|0;if((y|0)==(u|0))break;else z=z+16|0}N=u;O=w+(x<<2)|0}else{N=v;O=w}if((u|0)==(i|0))break;if((N|0)<(l|0)){P=N;Q=O}else{u=i;v=N;w=O;continue}while(1){z=f[e+(P<<2)>>2]|0;p[t+(P<<3)>>3]=+p[s+(z-j<<3)>>3]*+n[Q>>2]+ +p[s+(z<<3)>>3]*+n[Q+4>>2]+ +p[s+(z+j<<3)>>3]*+n[Q+8>>2]+ +p[s+(z+a<<3)>>3]*+n[Q+12>>2];z=P+1|0;y=Q+16|0;if((z|0)<(l|0)){P=z;Q=y}else{u=i;v=l;w=y;continue a}}}g=g+1|0;if((g|0)==(d|0))break;else r=O+(m<<2)|0}return}function hba(a,c,d,e,g,h,i,j,k,l,m,n){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;o=u;u=u+16|0;p=o;f[a>>2]=54252;q=a+4|0;f[q>>2]=f[c>>2];r=a+8|0;s=c+4|0;f[r>>2]=f[s>>2];t=a+12|0;f[t>>2]=f[c+8>>2];f[a+16>>2]=f[c+12>>2];f[a+20>>2]=f[c+16>>2];f[a+24>>2]=f[c+20>>2];f[a+28>>2]=f[c+24>>2];f[a+32>>2]=f[c+28>>2];f[a+36>>2]=f[c+32>>2];v=f[c+36>>2]|0;f[a+40>>2]=v;f[a+44>>2]=t;t=a+52|0;w=a+48|0;f[w>>2]=t;f[t>>2]=0;f[a+56>>2]=0;if(v|0){t=v+12|0;f[t>>2]=(f[t>>2]|0)+1}if((f[s>>2]|0)<3){s=f[c+44>>2]|0;t=f[w>>2]|0;f[t>>2]=f[s>>2];f[t+4>>2]=f[s+4>>2]}else{f[r>>2]=0;$T(q,c)}c=a+60|0;f[c>>2]=f[d>>2];q=a+64|0;r=d+4|0;f[q>>2]=f[r>>2];s=a+68|0;f[s>>2]=f[d+8>>2];f[a+72>>2]=f[d+12>>2];f[a+76>>2]=f[d+16>>2];f[a+80>>2]=f[d+20>>2];f[a+84>>2]=f[d+24>>2];f[a+88>>2]=f[d+28>>2];f[a+92>>2]=f[d+32>>2];t=f[d+36>>2]|0;f[a+96>>2]=t;f[a+100>>2]=s;s=a+108|0;w=a+104|0;f[w>>2]=s;f[s>>2]=0;f[a+112>>2]=0;if(t|0){s=t+12|0;f[s>>2]=(f[s>>2]|0)+1}if((f[r>>2]|0)<3){r=f[d+44>>2]|0;s=f[w>>2]|0;f[s>>2]=f[r>>2];f[s+4>>2]=f[r+4>>2]}else{f[q>>2]=0;$T(c,d)}f[a+116>>2]=e;f[a+120>>2]=g;f[a+124>>2]=h;f[a+128>>2]=i;f[a+132>>2]=f[j>>2];f[a+136>>2]=f[j+4>>2];f[a+140>>2]=f[k>>2];f[a+144>>2]=f[k+4>>2];f[a+148>>2]=l;f[a+152>>2]=m;f[a+156>>2]=n;if((l|0)<17){u=o;return}else{f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;o=cuc(32)|0;f[p>>2]=o;f[p+8>>2]=-2147483616;f[p+4>>2]=18;l=o;n=253175;a=l+18|0;do{b[l>>0]=b[n>>0]|0;l=l+1|0;n=n+1|0}while((l|0)<(a|0));b[o+18>>0]=0;WD(-215,p,253194,252921,2391)}}function iba(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=54252;b=a+60|0;c=a+96|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+76|0;b=a+64|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+100>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+104>>2]|0;if((b|0)!=(a+108|0))TC(b);b=a+4|0;d=a+40|0;c=f[d>>2]|0;if(c|0?(e=c+12|0,c=f[e>>2]|0,f[e>>2]=c+-1,(c|0)==1):0)aU(b);f[d>>2]=0;d=a+20|0;b=a+8|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[b>>2]|0)>0){d=f[a+44>>2]|0;c=0;do{f[d+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[b>>2]|0))}b=f[a+48>>2]|0;if((b|0)==(a+52|0))return;TC(b);return}function jba(a){a=a|0;iba(a);fuc(a);return}function kba(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0.0,U=0.0,V=0.0,W=0.0,X=0,Z=0;c=u;u=u+1264|0;d=c+1256|0;e=c+192|0;g=c+128|0;h=c+64|0;i=c;j=((f[a+4>>2]|0)>>>3&511)+1|0;k=a+140|0;l=(f[k>>2]|0)+15&-16;m=a+148|0;o=f[m>>2]|0;p=Y(l,o)|0;q=e+8|0;f[e>>2]=q;r=e+4|0;f[r>>2]=p;if(p>>>0>264){s=euc(p>>>0>1073741823?-1:p<<2)|0;f[e>>2]=s;t=s}else t=q;s=g;p=s+64|0;do{f[s>>2]=0;s=s+4|0}while((s|0)<(p|0));s=h;p=s+64|0;do{f[s>>2]=0;s=s+4|0}while((s|0)<(p|0));if((o|0)>0){kzc(i|0,-1,o<<2|0)|0;s=0;do{p=t+((Y(s,l)|0)<<2)|0;f[h+(s<<2)>>2]=p;s=s+1|0}while((s|0)<(o|0))}s=f[b>>2]|0;p=b+4|0;if((s|0)<(f[p>>2]|0)){b=a+120|0;v=a+116|0;w=a+124|0;x=a+132|0;y=a+152|0;z=a+156|0;A=a+76|0;B=a+108|0;C=h+4|0;D=h+8|0;E=h+12|0;F=a+136|0;G=a+20|0;H=a+48|0;I=l<<2;l=(f[a+128>>2]|0)+((Y(s,o)|0)<<2)|0;a=s;s=o;while(1){if((s|0)>0){o=(f[(f[b>>2]|0)+(a<<2)>>2]|0)+1+((s|0)/-2|0)|0;J=s;K=0;L=s;M=0;while(1){N=o+M|0;O=f[F>>2]|0;P=(N|0)>-1?((N|0)<(O|0)?N:O+-1|0):0;O=(K|0)<(M|0)?M:K;a:do if((O|0)<(L|0)){N=O;while(1){if((N|0)<16?(P|0)==(f[i+(N<<2)>>2]|0):0)break;Q=N+1|0;if((Q|0)<(L|0))N=Q;else{R=L;S=Q;break a}}if((N|0)>(M|0)){szc(f[h+(M<<2)>>2]|0,f[h+(N<<2)>>2]|0,I|0)|0;R=f[m>>2]|0;S=N}else{R=L;S=N}}else{R=L;S=O}while(0);J=(M|0)<(J|0)&(S|0)==(R|0)?M:J;O=(f[G>>2]|0)+(Y(f[f[H>>2]>>2]|0,P)|0)|0;f[g+(M<<2)>>2]=O;f[i+(M<<2)>>2]=P;M=M+1|0;if((M|0)>=(R|0))break;else{K=S;L=R}}if((R|0)>(J|0))lba(d,g+(J<<2)|0,h+(J<<2)|0,R-J|0,f[v>>2]|0,f[w>>2]|0,f[x>>2]|0,f[k>>2]|0,j,f[y>>2]|0,f[z>>2]|0)}L=(f[A>>2]|0)+(Y(f[B>>2]|0,a)|0)|0;K=f[k>>2]|0;T=+n[l>>2];U=+n[l+4>>2];V=+n[l+8>>2];W=+n[l+12>>2];M=f[h>>2]|0;o=f[C>>2]|0;O=f[D>>2]|0;Q=f[E>>2]|0;if((K|0)>0){X=0;do{n[L+(X<<2)>>2]=T*+n[M+(X<<2)>>2]+U*+n[o+(X<<2)>>2]+V*+n[O+(X<<2)>>2]+W*+n[Q+(X<<2)>>2];X=X+1|0}while((X|0)!=(K|0))}a=a+1|0;K=f[m>>2]|0;if((a|0)>=(f[p>>2]|0))break;else{l=l+(K<<2)|0;s=K}}Z=f[e>>2]|0}else Z=t;if((Z|0)==(q|0)){u=c;return}if(Z|0)guc(Z);f[e>>2]=q;f[r>>2]=264;u=c;return}function lba(a,b,c,d,e,g,h,i,j,k,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0.0,F=0,G=0,H=0.0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0;if((d|0)<=0)return;a=j<<1;m=0-(i<<2)|0;o=j<<1;p=j*3|0;q=g;g=0;while(1){r=f[b+(g<<2)>>2]|0;s=f[c+(g<<2)>>2]|0;t=k;u=0;v=q;a:while(1){if((t|0)>(u|0)){w=t-u<<2;x=u;y=v;while(1){z=f[e+(x<<2)>>2]|0;A=z-j|0;if(A>>>0<h>>>0)B=A;else{C=A;while(1)if((C|0)<0)C=C+j|0;else{D=C;break}while(1)if((D|0)<(h|0)){B=D;break}else D=D-j|0}E=+n[r+(B<<2)>>2]*+n[y>>2]+0.0;if(z>>>0<h>>>0)F=z;else{C=z;while(1)if((C|0)<0)C=C+j|0;else{G=C;break}while(1)if((G|0)<(h|0)){F=G;break}else G=G-j|0}H=E+ +n[r+(F<<2)>>2]*+n[y+4>>2];C=o+A|0;if(C>>>0<h>>>0)I=C;else{z=C;while(1)if((z|0)<0)z=z+j|0;else{J=z;break}while(1)if((J|0)<(h|0)){I=J;break}else J=J-j|0}E=H+ +n[r+(I<<2)>>2]*+n[y+8>>2];z=p+A|0;if(z>>>0<h>>>0)K=z;else{C=z;while(1)if((C|0)<0)C=C+j|0;else{L=C;break}while(1)if((L|0)<(h|0)){K=L;break}else L=L-j|0}n[s+(x<<2)>>2]=E+ +n[r+(K<<2)>>2]*+n[y+12>>2];x=x+1|0;if((x|0)==(t|0))break;else y=y+16|0}M=t;N=v+(w<<2)|0}else{M=u;N=v}if((t|0)==(i|0))break;if((M|0)<(l|0)){O=M;P=N}else{t=i;u=M;v=N;continue}while(1){y=f[e+(O<<2)>>2]|0;n[s+(O<<2)>>2]=+n[r+(y-j<<2)>>2]*+n[P>>2]+ +n[r+(y<<2)>>2]*+n[P+4>>2]+ +n[r+(y+j<<2)>>2]*+n[P+8>>2]+ +n[r+(y+a<<2)>>2]*+n[P+12>>2];y=O+1|0;x=P+16|0;if((y|0)<(l|0)){O=y;P=x}else{t=i;u=l;v=x;continue a}}}g=g+1|0;if((g|0)==(d|0))break;else q=N+(m<<2)|0}return}function mba(a,c,d,e,g,h,i,j,k,l,m,n){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;o=u;u=u+16|0;p=o;f[a>>2]=54272;q=a+4|0;f[q>>2]=f[c>>2];r=a+8|0;s=c+4|0;f[r>>2]=f[s>>2];t=a+12|0;f[t>>2]=f[c+8>>2];f[a+16>>2]=f[c+12>>2];f[a+20>>2]=f[c+16>>2];f[a+24>>2]=f[c+20>>2];f[a+28>>2]=f[c+24>>2];f[a+32>>2]=f[c+28>>2];f[a+36>>2]=f[c+32>>2];v=f[c+36>>2]|0;f[a+40>>2]=v;f[a+44>>2]=t;t=a+52|0;w=a+48|0;f[w>>2]=t;f[t>>2]=0;f[a+56>>2]=0;if(v|0){t=v+12|0;f[t>>2]=(f[t>>2]|0)+1}if((f[s>>2]|0)<3){s=f[c+44>>2]|0;t=f[w>>2]|0;f[t>>2]=f[s>>2];f[t+4>>2]=f[s+4>>2]}else{f[r>>2]=0;$T(q,c)}c=a+60|0;f[c>>2]=f[d>>2];q=a+64|0;r=d+4|0;f[q>>2]=f[r>>2];s=a+68|0;f[s>>2]=f[d+8>>2];f[a+72>>2]=f[d+12>>2];f[a+76>>2]=f[d+16>>2];f[a+80>>2]=f[d+20>>2];f[a+84>>2]=f[d+24>>2];f[a+88>>2]=f[d+28>>2];f[a+92>>2]=f[d+32>>2];t=f[d+36>>2]|0;f[a+96>>2]=t;f[a+100>>2]=s;s=a+108|0;w=a+104|0;f[w>>2]=s;f[s>>2]=0;f[a+112>>2]=0;if(t|0){s=t+12|0;f[s>>2]=(f[s>>2]|0)+1}if((f[r>>2]|0)<3){r=f[d+44>>2]|0;s=f[w>>2]|0;f[s>>2]=f[r>>2];f[s+4>>2]=f[r+4>>2]}else{f[q>>2]=0;$T(c,d)}f[a+116>>2]=e;f[a+120>>2]=g;f[a+124>>2]=h;f[a+128>>2]=i;f[a+132>>2]=f[j>>2];f[a+136>>2]=f[j+4>>2];f[a+140>>2]=f[k>>2];f[a+144>>2]=f[k+4>>2];f[a+148>>2]=l;f[a+152>>2]=m;f[a+156>>2]=n;if((l|0)<17){u=o;return}else{f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;o=cuc(32)|0;f[p>>2]=o;f[p+8>>2]=-2147483616;f[p+4>>2]=18;l=o;n=253175;a=l+18|0;do{b[l>>0]=b[n>>0]|0;l=l+1|0;n=n+1|0}while((l|0)<(a|0));b[o+18>>0]=0;WD(-215,p,253194,252921,2391)}}function nba(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=54272;b=a+60|0;c=a+96|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+76|0;b=a+64|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+100>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+104>>2]|0;if((b|0)!=(a+108|0))TC(b);b=a+4|0;d=a+40|0;c=f[d>>2]|0;if(c|0?(e=c+12|0,c=f[e>>2]|0,f[e>>2]=c+-1,(c|0)==1):0)aU(b);f[d>>2]=0;d=a+20|0;b=a+8|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[b>>2]|0)>0){d=f[a+44>>2]|0;c=0;do{f[d+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[b>>2]|0))}b=f[a+48>>2]|0;if((b|0)==(a+52|0))return;TC(b);return}function oba(a){a=a|0;nba(a);fuc(a);return}function pba(a,b){a=a|0;b=b|0;var c=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0.0,V=0.0,W=0.0,X=0.0,Z=0,_=0,$=0;c=u;u=u+1264|0;e=c+1256|0;g=c+192|0;h=c+128|0;i=c+64|0;j=c;k=((f[a+4>>2]|0)>>>3&511)+1|0;l=a+140|0;m=(f[l>>2]|0)+15&-16;o=a+148|0;p=f[o>>2]|0;q=Y(m,p)|0;r=g+8|0;f[g>>2]=r;s=g+4|0;f[s>>2]=q;if(q>>>0>264){t=euc(q>>>0>1073741823?-1:q<<2)|0;f[g>>2]=t;v=t}else v=r;t=h;q=t+64|0;do{f[t>>2]=0;t=t+4|0}while((t|0)<(q|0));t=i;q=t+64|0;do{f[t>>2]=0;t=t+4|0}while((t|0)<(q|0));if((p|0)>0){kzc(j|0,-1,p<<2|0)|0;t=0;do{q=v+((Y(t,m)|0)<<2)|0;f[i+(t<<2)>>2]=q;t=t+1|0}while((t|0)<(p|0))}t=f[b>>2]|0;q=b+4|0;if((t|0)<(f[q>>2]|0)){b=a+120|0;w=a+116|0;x=a+124|0;y=a+132|0;z=a+152|0;A=a+156|0;B=a+76|0;C=a+108|0;D=i+4|0;E=i+8|0;F=i+12|0;G=a+136|0;H=a+20|0;I=a+48|0;J=m<<2;m=(f[a+128>>2]|0)+((Y(t,p)|0)<<2)|0;a=t;t=p;while(1){if((t|0)>0){p=(f[(f[b>>2]|0)+(a<<2)>>2]|0)+1+((t|0)/-2|0)|0;K=t;L=0;M=t;N=0;while(1){O=p+N|0;P=f[G>>2]|0;Q=(O|0)>-1?((O|0)<(P|0)?O:P+-1|0):0;P=(L|0)<(N|0)?N:L;a:do if((P|0)<(M|0)){O=P;while(1){if((O|0)<16?(Q|0)==(f[j+(O<<2)>>2]|0):0)break;R=O+1|0;if((R|0)<(M|0))O=R;else{S=M;T=R;break a}}if((O|0)>(N|0)){szc(f[i+(N<<2)>>2]|0,f[i+(O<<2)>>2]|0,J|0)|0;S=f[o>>2]|0;T=O}else{S=M;T=O}}else{S=M;T=P}while(0);K=(N|0)<(K|0)&(T|0)==(S|0)?N:K;P=(f[H>>2]|0)+(Y(f[f[I>>2]>>2]|0,Q)|0)|0;f[h+(N<<2)>>2]=P;f[j+(N<<2)>>2]=Q;N=N+1|0;if((N|0)>=(S|0))break;else{L=T;M=S}}if((S|0)>(K|0))qba(e,h+(K<<2)|0,i+(K<<2)|0,S-K|0,f[w>>2]|0,f[x>>2]|0,f[y>>2]|0,f[l>>2]|0,k,f[z>>2]|0,f[A>>2]|0)}M=(f[B>>2]|0)+(Y(f[C>>2]|0,a)|0)|0;L=f[l>>2]|0;U=+n[m>>2];V=+n[m+4>>2];W=+n[m+8>>2];X=+n[m+12>>2];N=f[i>>2]|0;p=f[D>>2]|0;P=f[E>>2]|0;R=f[F>>2]|0;if((L|0)>0){Z=0;do{_=Ghc(U*+n[N+(Z<<2)>>2]+V*+n[p+(Z<<2)>>2]+W*+n[P+(Z<<2)>>2]+X*+n[R+(Z<<2)>>2])|0;d[M+(Z<<1)>>1]=(_+32768|0)>>>0<65536?_:(_|0)>0?32767:32768;Z=Z+1|0}while((Z|0)!=(L|0))}a=a+1|0;L=f[o>>2]|0;if((a|0)>=(f[q>>2]|0))break;else{m=m+(L<<2)|0;t=L}}$=f[g>>2]|0}else $=v;if(($|0)==(r|0)){u=c;return}if($|0)guc($);f[g>>2]=r;f[s>>2]=264;u=c;return}function qba(a,b,c,e,g,h,i,j,k,l,m){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0.0,G=0,H=0,I=0.0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0;if((e|0)<=0)return;a=k<<1;o=0-(j<<2)|0;p=k<<1;q=k*3|0;r=h;h=0;while(1){s=f[b+(h<<2)>>2]|0;t=f[c+(h<<2)>>2]|0;u=l;v=0;w=r;a:while(1){if((u|0)>(v|0)){x=u-v<<2;y=v;z=w;while(1){A=f[g+(y<<2)>>2]|0;B=A-k|0;if(B>>>0<i>>>0)C=B;else{D=B;while(1)if((D|0)<0)D=D+k|0;else{E=D;break}while(1)if((E|0)<(i|0)){C=E;break}else E=E-k|0}F=+(d[s+(C<<1)>>1]|0)*+n[z>>2]+0.0;if(A>>>0<i>>>0)G=A;else{D=A;while(1)if((D|0)<0)D=D+k|0;else{H=D;break}while(1)if((H|0)<(i|0)){G=H;break}else H=H-k|0}I=F+ +(d[s+(G<<1)>>1]|0)*+n[z+4>>2];D=p+B|0;if(D>>>0<i>>>0)J=D;else{A=D;while(1)if((A|0)<0)A=A+k|0;else{K=A;break}while(1)if((K|0)<(i|0)){J=K;break}else K=K-k|0}F=I+ +(d[s+(J<<1)>>1]|0)*+n[z+8>>2];A=q+B|0;if(A>>>0<i>>>0)L=A;else{D=A;while(1)if((D|0)<0)D=D+k|0;else{M=D;break}while(1)if((M|0)<(i|0)){L=M;break}else M=M-k|0}n[t+(y<<2)>>2]=F+ +(d[s+(L<<1)>>1]|0)*+n[z+12>>2];y=y+1|0;if((y|0)==(u|0))break;else z=z+16|0}N=u;O=w+(x<<2)|0}else{N=v;O=w}if((u|0)==(j|0))break;if((N|0)<(m|0)){P=N;Q=O}else{u=j;v=N;w=O;continue}while(1){z=f[g+(P<<2)>>2]|0;n[t+(P<<2)>>2]=+(d[s+(z-k<<1)>>1]|0)*+n[Q>>2]+ +(d[s+(z<<1)>>1]|0)*+n[Q+4>>2]+ +(d[s+(z+k<<1)>>1]|0)*+n[Q+8>>2]+ +(d[s+(z+a<<1)>>1]|0)*+n[Q+12>>2];z=P+1|0;y=Q+16|0;if((z|0)<(m|0)){P=z;Q=y}else{u=j;v=m;w=y;continue a}}}h=h+1|0;if((h|0)==(e|0))break;else r=O+(o<<2)|0}return}function rba(a,c,d,e,g,h,i,j,k,l,m,n){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;o=u;u=u+16|0;p=o;f[a>>2]=54292;q=a+4|0;f[q>>2]=f[c>>2];r=a+8|0;s=c+4|0;f[r>>2]=f[s>>2];t=a+12|0;f[t>>2]=f[c+8>>2];f[a+16>>2]=f[c+12>>2];f[a+20>>2]=f[c+16>>2];f[a+24>>2]=f[c+20>>2];f[a+28>>2]=f[c+24>>2];f[a+32>>2]=f[c+28>>2];f[a+36>>2]=f[c+32>>2];v=f[c+36>>2]|0;f[a+40>>2]=v;f[a+44>>2]=t;t=a+52|0;w=a+48|0;f[w>>2]=t;f[t>>2]=0;f[a+56>>2]=0;if(v|0){t=v+12|0;f[t>>2]=(f[t>>2]|0)+1}if((f[s>>2]|0)<3){s=f[c+44>>2]|0;t=f[w>>2]|0;f[t>>2]=f[s>>2];f[t+4>>2]=f[s+4>>2]}else{f[r>>2]=0;$T(q,c)}c=a+60|0;f[c>>2]=f[d>>2];q=a+64|0;r=d+4|0;f[q>>2]=f[r>>2];s=a+68|0;f[s>>2]=f[d+8>>2];f[a+72>>2]=f[d+12>>2];f[a+76>>2]=f[d+16>>2];f[a+80>>2]=f[d+20>>2];f[a+84>>2]=f[d+24>>2];f[a+88>>2]=f[d+28>>2];f[a+92>>2]=f[d+32>>2];t=f[d+36>>2]|0;f[a+96>>2]=t;f[a+100>>2]=s;s=a+108|0;w=a+104|0;f[w>>2]=s;f[s>>2]=0;f[a+112>>2]=0;if(t|0){s=t+12|0;f[s>>2]=(f[s>>2]|0)+1}if((f[r>>2]|0)<3){r=f[d+44>>2]|0;s=f[w>>2]|0;f[s>>2]=f[r>>2];f[s+4>>2]=f[r+4>>2]}else{f[q>>2]=0;$T(c,d)}f[a+116>>2]=e;f[a+120>>2]=g;f[a+124>>2]=h;f[a+128>>2]=i;f[a+132>>2]=f[j>>2];f[a+136>>2]=f[j+4>>2];f[a+140>>2]=f[k>>2];f[a+144>>2]=f[k+4>>2];f[a+148>>2]=l;f[a+152>>2]=m;f[a+156>>2]=n;if((l|0)<17){u=o;return}else{f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;o=cuc(32)|0;f[p>>2]=o;f[p+8>>2]=-2147483616;f[p+4>>2]=18;l=o;n=253175;a=l+18|0;do{b[l>>0]=b[n>>0]|0;l=l+1|0;n=n+1|0}while((l|0)<(a|0));b[o+18>>0]=0;WD(-215,p,253194,252921,2391)}}function sba(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=54292;b=a+60|0;c=a+96|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+76|0;b=a+64|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+100>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+104>>2]|0;if((b|0)!=(a+108|0))TC(b);b=a+4|0;d=a+40|0;c=f[d>>2]|0;if(c|0?(e=c+12|0,c=f[e>>2]|0,f[e>>2]=c+-1,(c|0)==1):0)aU(b);f[d>>2]=0;d=a+20|0;b=a+8|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[b>>2]|0)>0){d=f[a+44>>2]|0;c=0;do{f[d+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[b>>2]|0))}b=f[a+48>>2]|0;if((b|0)==(a+52|0))return;TC(b);return}function tba(a){a=a|0;sba(a);fuc(a);return}function uba(a,b){a=a|0;b=b|0;var c=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0.0,V=0.0,W=0.0,X=0.0,Z=0,_=0,$=0;c=u;u=u+1264|0;e=c+1256|0;g=c+192|0;h=c+128|0;i=c+64|0;j=c;k=((f[a+4>>2]|0)>>>3&511)+1|0;l=a+140|0;m=(f[l>>2]|0)+15&-16;o=a+148|0;p=f[o>>2]|0;q=Y(m,p)|0;r=g+8|0;f[g>>2]=r;s=g+4|0;f[s>>2]=q;if(q>>>0>264){t=euc(q>>>0>1073741823?-1:q<<2)|0;f[g>>2]=t;v=t}else v=r;t=h;q=t+64|0;do{f[t>>2]=0;t=t+4|0}while((t|0)<(q|0));t=i;q=t+64|0;do{f[t>>2]=0;t=t+4|0}while((t|0)<(q|0));if((p|0)>0){kzc(j|0,-1,p<<2|0)|0;t=0;do{q=v+((Y(t,m)|0)<<2)|0;f[i+(t<<2)>>2]=q;t=t+1|0}while((t|0)<(p|0))}t=f[b>>2]|0;q=b+4|0;if((t|0)<(f[q>>2]|0)){b=a+120|0;w=a+116|0;x=a+124|0;y=a+132|0;z=a+152|0;A=a+156|0;B=a+76|0;C=a+108|0;D=i+4|0;E=i+8|0;F=i+12|0;G=a+136|0;H=a+20|0;I=a+48|0;J=m<<2;m=(f[a+128>>2]|0)+((Y(t,p)|0)<<2)|0;a=t;t=p;while(1){if((t|0)>0){p=(f[(f[b>>2]|0)+(a<<2)>>2]|0)+1+((t|0)/-2|0)|0;K=t;L=0;M=t;N=0;while(1){O=p+N|0;P=f[G>>2]|0;Q=(O|0)>-1?((O|0)<(P|0)?O:P+-1|0):0;P=(L|0)<(N|0)?N:L;a:do if((P|0)<(M|0)){O=P;while(1){if((O|0)<16?(Q|0)==(f[j+(O<<2)>>2]|0):0)break;R=O+1|0;if((R|0)<(M|0))O=R;else{S=M;T=R;break a}}if((O|0)>(N|0)){szc(f[i+(N<<2)>>2]|0,f[i+(O<<2)>>2]|0,J|0)|0;S=f[o>>2]|0;T=O}else{S=M;T=O}}else{S=M;T=P}while(0);K=(N|0)<(K|0)&(T|0)==(S|0)?N:K;P=(f[H>>2]|0)+(Y(f[f[I>>2]>>2]|0,Q)|0)|0;f[h+(N<<2)>>2]=P;f[j+(N<<2)>>2]=Q;N=N+1|0;if((N|0)>=(S|0))break;else{L=T;M=S}}if((S|0)>(K|0))vba(e,h+(K<<2)|0,i+(K<<2)|0,S-K|0,f[w>>2]|0,f[x>>2]|0,f[y>>2]|0,f[l>>2]|0,k,f[z>>2]|0,f[A>>2]|0)}M=(f[B>>2]|0)+(Y(f[C>>2]|0,a)|0)|0;L=f[l>>2]|0;U=+n[m>>2];V=+n[m+4>>2];W=+n[m+8>>2];X=+n[m+12>>2];N=f[i>>2]|0;p=f[D>>2]|0;P=f[E>>2]|0;R=f[F>>2]|0;if((L|0)>0){Z=0;do{_=Ghc(U*+n[N+(Z<<2)>>2]+V*+n[p+(Z<<2)>>2]+W*+n[P+(Z<<2)>>2]+X*+n[R+(Z<<2)>>2])|0;d[M+(Z<<1)>>1]=_>>>0<65536?_:(_|0)>0?65535:0;Z=Z+1|0}while((Z|0)!=(L|0))}a=a+1|0;L=f[o>>2]|0;if((a|0)>=(f[q>>2]|0))break;else{m=m+(L<<2)|0;t=L}}$=f[g>>2]|0}else $=v;if(($|0)==(r|0)){u=c;return}if($|0)guc($);f[g>>2]=r;f[s>>2]=264;u=c;return}function vba(a,b,c,d,e,g,h,i,k,l,m){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;k=k|0;l=l|0;m=m|0;var o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0.0,G=0,H=0,I=0.0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0;if((d|0)<=0)return;a=k<<1;o=0-(i<<2)|0;p=k<<1;q=k*3|0;r=g;g=0;while(1){s=f[b+(g<<2)>>2]|0;t=f[c+(g<<2)>>2]|0;u=l;v=0;w=r;a:while(1){if((u|0)>(v|0)){x=u-v<<2;y=v;z=w;while(1){A=f[e+(y<<2)>>2]|0;B=A-k|0;if(B>>>0<h>>>0)C=B;else{D=B;while(1)if((D|0)<0)D=D+k|0;else{E=D;break}while(1)if((E|0)<(h|0)){C=E;break}else E=E-k|0}F=+(j[s+(C<<1)>>1]|0)*+n[z>>2]+0.0;if(A>>>0<h>>>0)G=A;else{D=A;while(1)if((D|0)<0)D=D+k|0;else{H=D;break}while(1)if((H|0)<(h|0)){G=H;break}else H=H-k|0}I=F+ +(j[s+(G<<1)>>1]|0)*+n[z+4>>2];D=p+B|0;if(D>>>0<h>>>0)J=D;else{A=D;while(1)if((A|0)<0)A=A+k|0;else{K=A;break}while(1)if((K|0)<(h|0)){J=K;break}else K=K-k|0}F=I+ +(j[s+(J<<1)>>1]|0)*+n[z+8>>2];A=q+B|0;if(A>>>0<h>>>0)L=A;else{D=A;while(1)if((D|0)<0)D=D+k|0;else{M=D;break}while(1)if((M|0)<(h|0)){L=M;break}else M=M-k|0}n[t+(y<<2)>>2]=F+ +(j[s+(L<<1)>>1]|0)*+n[z+12>>2];y=y+1|0;if((y|0)==(u|0))break;else z=z+16|0}N=u;O=w+(x<<2)|0}else{N=v;O=w}if((u|0)==(i|0))break;if((N|0)<(m|0)){P=N;Q=O}else{u=i;v=N;w=O;continue}while(1){z=f[e+(P<<2)>>2]|0;n[t+(P<<2)>>2]=+(j[s+(z-k<<1)>>1]|0)*+n[Q>>2]+ +(j[s+(z<<1)>>1]|0)*+n[Q+4>>2]+ +(j[s+(z+k<<1)>>1]|0)*+n[Q+8>>2]+ +(j[s+(z+a<<1)>>1]|0)*+n[Q+12>>2];z=P+1|0;y=Q+16|0;if((z|0)<(m|0)){P=z;Q=y}else{u=i;v=m;w=y;continue a}}}g=g+1|0;if((g|0)==(d|0))break;else r=O+(o<<2)|0}return}function wba(a,c,d,e,g,h,i,j,k,l,m,n){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;o=u;u=u+16|0;p=o;f[a>>2]=54312;q=a+4|0;f[q>>2]=f[c>>2];r=a+8|0;s=c+4|0;f[r>>2]=f[s>>2];t=a+12|0;f[t>>2]=f[c+8>>2];f[a+16>>2]=f[c+12>>2];f[a+20>>2]=f[c+16>>2];f[a+24>>2]=f[c+20>>2];f[a+28>>2]=f[c+24>>2];f[a+32>>2]=f[c+28>>2];f[a+36>>2]=f[c+32>>2];v=f[c+36>>2]|0;f[a+40>>2]=v;f[a+44>>2]=t;t=a+52|0;w=a+48|0;f[w>>2]=t;f[t>>2]=0;f[a+56>>2]=0;if(v|0){t=v+12|0;f[t>>2]=(f[t>>2]|0)+1}if((f[s>>2]|0)<3){s=f[c+44>>2]|0;t=f[w>>2]|0;f[t>>2]=f[s>>2];f[t+4>>2]=f[s+4>>2]}else{f[r>>2]=0;$T(q,c)}c=a+60|0;f[c>>2]=f[d>>2];q=a+64|0;r=d+4|0;f[q>>2]=f[r>>2];s=a+68|0;f[s>>2]=f[d+8>>2];f[a+72>>2]=f[d+12>>2];f[a+76>>2]=f[d+16>>2];f[a+80>>2]=f[d+20>>2];f[a+84>>2]=f[d+24>>2];f[a+88>>2]=f[d+28>>2];f[a+92>>2]=f[d+32>>2];t=f[d+36>>2]|0;f[a+96>>2]=t;f[a+100>>2]=s;s=a+108|0;w=a+104|0;f[w>>2]=s;f[s>>2]=0;f[a+112>>2]=0;if(t|0){s=t+12|0;f[s>>2]=(f[s>>2]|0)+1}if((f[r>>2]|0)<3){r=f[d+44>>2]|0;s=f[w>>2]|0;f[s>>2]=f[r>>2];f[s+4>>2]=f[r+4>>2]}else{f[q>>2]=0;$T(c,d)}f[a+116>>2]=e;f[a+120>>2]=g;f[a+124>>2]=h;f[a+128>>2]=i;f[a+132>>2]=f[j>>2];f[a+136>>2]=f[j+4>>2];f[a+140>>2]=f[k>>2];f[a+144>>2]=f[k+4>>2];f[a+148>>2]=l;f[a+152>>2]=m;f[a+156>>2]=n;if((l|0)<17){u=o;return}else{f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;o=cuc(32)|0;f[p>>2]=o;f[p+8>>2]=-2147483616;f[p+4>>2]=18;l=o;n=253175;a=l+18|0;do{b[l>>0]=b[n>>0]|0;l=l+1|0;n=n+1|0}while((l|0)<(a|0));b[o+18>>0]=0;WD(-215,p,253194,252921,2391)}}function xba(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=54312;b=a+60|0;c=a+96|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+76|0;b=a+64|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+100>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+104>>2]|0;if((b|0)!=(a+108|0))TC(b);b=a+4|0;d=a+40|0;c=f[d>>2]|0;if(c|0?(e=c+12|0,c=f[e>>2]|0,f[e>>2]=c+-1,(c|0)==1):0)aU(b);f[d>>2]=0;d=a+20|0;b=a+8|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[b>>2]|0)>0){d=f[a+44>>2]|0;c=0;do{f[d+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[b>>2]|0))}b=f[a+48>>2]|0;if((b|0)==(a+52|0))return;TC(b);return}function yba(a){a=a|0;xba(a);fuc(a);return}function zba(a,c){a=a|0;c=c|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0;e=u;u=u+1264|0;g=e+1256|0;h=e+192|0;i=e+128|0;j=e+64|0;k=e;l=((f[a+4>>2]|0)>>>3&511)+1|0;m=a+140|0;n=(f[m>>2]|0)+15&-16;o=a+148|0;p=f[o>>2]|0;q=Y(n,p)|0;r=h+8|0;f[h>>2]=r;s=h+4|0;f[s>>2]=q;if(q>>>0>264){t=euc(q>>>0>1073741823?-1:q<<2)|0;f[h>>2]=t;v=t}else v=r;t=i;q=t+64|0;do{f[t>>2]=0;t=t+4|0}while((t|0)<(q|0));t=j;q=t+64|0;do{f[t>>2]=0;t=t+4|0}while((t|0)<(q|0));if((p|0)>0){kzc(k|0,-1,p<<2|0)|0;t=0;do{q=v+((Y(t,n)|0)<<2)|0;f[j+(t<<2)>>2]=q;t=t+1|0}while((t|0)<(p|0))}t=f[c>>2]|0;q=c+4|0;if((t|0)<(f[q>>2]|0)){c=a+120|0;w=a+116|0;x=a+124|0;y=a+132|0;z=a+152|0;A=a+156|0;B=a+76|0;C=a+108|0;D=j+4|0;E=j+8|0;F=j+12|0;G=a+136|0;H=a+20|0;I=a+48|0;J=n<<2;n=(f[a+128>>2]|0)+((Y(t,p)|0)<<1)|0;a=t;t=p;while(1){if((t|0)>0){p=(f[(f[c>>2]|0)+(a<<2)>>2]|0)+1+((t|0)/-2|0)|0;K=t;L=0;M=t;N=0;while(1){O=p+N|0;P=f[G>>2]|0;Q=(O|0)>-1?((O|0)<(P|0)?O:P+-1|0):0;P=(L|0)<(N|0)?N:L;a:do if((P|0)<(M|0)){O=P;while(1){if((O|0)<16?(Q|0)==(f[k+(O<<2)>>2]|0):0)break;R=O+1|0;if((R|0)<(M|0))O=R;else{S=M;T=R;break a}}if((O|0)>(N|0)){szc(f[j+(N<<2)>>2]|0,f[j+(O<<2)>>2]|0,J|0)|0;S=f[o>>2]|0;T=O}else{S=M;T=O}}else{S=M;T=P}while(0);K=(N|0)<(K|0)&(T|0)==(S|0)?N:K;P=(f[H>>2]|0)+(Y(f[f[I>>2]>>2]|0,Q)|0)|0;f[i+(N<<2)>>2]=P;f[k+(N<<2)>>2]=Q;N=N+1|0;if((N|0)>=(S|0))break;else{L=T;M=S}}if((S|0)>(K|0))Aba(g,i+(K<<2)|0,j+(K<<2)|0,S-K|0,f[w>>2]|0,f[x>>2]|0,f[y>>2]|0,f[m>>2]|0,l,f[z>>2]|0,f[A>>2]|0)}M=(f[B>>2]|0)+(Y(f[C>>2]|0,a)|0)|0;L=f[m>>2]|0;N=d[n>>1]|0;p=d[n+2>>1]|0;P=d[n+4>>1]|0;R=d[n+6>>1]|0;U=f[j>>2]|0;V=f[D>>2]|0;W=f[E>>2]|0;X=f[F>>2]|0;if((L|0)>0){Z=0;do{_=Y(f[U+(Z<<2)>>2]|0,N)|0;$=Y(f[V+(Z<<2)>>2]|0,p)|0;aa=Y(f[W+(Z<<2)>>2]|0,P)|0;ba=_+2097152+$+aa+(Y(f[X+(Z<<2)>>2]|0,R)|0)>>22;b[M+Z>>0]=ba>>>0<256?ba:(ba|0)>0?255:0;Z=Z+1|0}while((Z|0)!=(L|0))}a=a+1|0;L=f[o>>2]|0;if((a|0)>=(f[q>>2]|0))break;else{n=n+(L<<1)|0;t=L}}ca=f[h>>2]|0}else ca=v;if((ca|0)==(r|0)){u=e;return}if(ca|0)guc(ca);f[h>>2]=r;f[s>>2]=264;u=e;return}function Aba(a,b,c,e,g,i,j,k,l,m,n){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0;if((e|0)<=0)return;a=l<<1;o=0-(k<<2)|0;p=l<<1;q=l*3|0;r=i;i=0;while(1){s=f[b+(i<<2)>>2]|0;t=f[c+(i<<2)>>2]|0;u=m;v=0;w=r;a:while(1){if((u|0)>(v|0)){x=u-v<<2;y=v;z=w;while(1){A=f[g+(y<<2)>>2]|0;B=A-l|0;if(B>>>0<j>>>0)C=B;else{D=B;while(1)if((D|0)<0)D=D+l|0;else{E=D;break}while(1)if((E|0)<(j|0)){C=E;break}else E=E-l|0}D=Y(d[z>>1]|0,h[s+C>>0]|0)|0;if(A>>>0<j>>>0)F=A;else{G=A;while(1)if((G|0)<0)G=G+l|0;else{H=G;break}while(1)if((H|0)<(j|0)){F=H;break}else H=H-l|0}G=(Y(d[z+2>>1]|0,h[s+F>>0]|0)|0)+D|0;A=p+B|0;if(A>>>0<j>>>0)I=A;else{J=A;while(1)if((J|0)<0)J=J+l|0;else{K=J;break}while(1)if((K|0)<(j|0)){I=K;break}else K=K-l|0}J=(Y(d[z+4>>1]|0,h[s+I>>0]|0)|0)+G|0;D=q+B|0;if(D>>>0<j>>>0)L=D;else{A=D;while(1)if((A|0)<0)A=A+l|0;else{M=A;break}while(1)if((M|0)<(j|0)){L=M;break}else M=M-l|0}A=(Y(d[z+6>>1]|0,h[s+L>>0]|0)|0)+J|0;f[t+(y<<2)>>2]=A;y=y+1|0;if((y|0)==(u|0))break;else z=z+8|0}N=u;O=w+(x<<1)|0}else{N=v;O=w}if((u|0)==(k|0))break;if((N|0)<(n|0)){P=N;Q=O}else{u=k;v=N;w=O;continue}while(1){z=f[g+(P<<2)>>2]|0;y=Y(d[Q>>1]|0,h[s+(z-l)>>0]|0)|0;A=(Y(d[Q+2>>1]|0,h[s+z>>0]|0)|0)+y|0;y=A+(Y(d[Q+4>>1]|0,h[s+(z+l)>>0]|0)|0)|0;A=y+(Y(d[Q+6>>1]|0,h[s+(z+a)>>0]|0)|0)|0;f[t+(P<<2)>>2]=A;A=P+1|0;z=Q+8|0;if((A|0)<(n|0)){P=A;Q=z}else{u=k;v=n;w=z;continue a}}}i=i+1|0;if((i|0)==(e|0))break;else r=O+(o<<1)|0}return}function Bba(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0.0,y=0.0;k=u;u=u+192|0;l=k+176|0;m=k+168|0;n=k+160|0;o=k;p=f[a+40>>2]|0;q=f[p+4>>2]|0;r=f[p>>2]|0;f[l>>2]=q;f[l+4>>2]=r;r=b+40|0;p=f[r>>2]|0;s=f[p+4>>2]|0;t=f[p>>2]|0;f[m+4>>2]=t;p=((f[a>>2]|0)>>>3&511)+1|0;v=Y(p,q)|0;f[l>>2]=v;v=Y(s,p)|0;f[m>>2]=v;v=Y(p,h)|0;h=Y(p,i)|0;f[n>>2]=0;f[n+4>>2]=t;cca(o,a,b,c,e,d,g,l,m,j,v,h);h=f[b+4>>2]|0;if((h|0)<3){w=Y(f[b+12>>2]|0,f[b+8>>2]|0)|0;x=+(w>>>0);y=x*.0000152587890625;sZ(n,o,y);dca(o);u=k;return}b=f[r>>2]|0;r=0;v=1;while(1){j=Y(f[b+(r<<2)>>2]|0,v)|0;r=r+1|0;if((r|0)==(h|0)){w=j;break}else v=j}x=+(w>>>0);y=x*.0000152587890625;sZ(n,o,y);dca(o);u=k;return}function Cba(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0.0,y=0.0;k=u;u=u+192|0;l=k+176|0;m=k+168|0;n=k+160|0;o=k;p=f[a+40>>2]|0;q=f[p+4>>2]|0;r=f[p>>2]|0;f[l>>2]=q;f[l+4>>2]=r;r=b+40|0;p=f[r>>2]|0;s=f[p+4>>2]|0;t=f[p>>2]|0;f[m+4>>2]=t;p=((f[a>>2]|0)>>>3&511)+1|0;v=Y(p,q)|0;f[l>>2]=v;v=Y(s,p)|0;f[m>>2]=v;v=Y(p,h)|0;h=Y(p,i)|0;f[n>>2]=0;f[n+4>>2]=t;Yba(o,a,b,c,e,d,g,l,m,j,v,h);h=f[b+4>>2]|0;if((h|0)<3){w=Y(f[b+12>>2]|0,f[b+8>>2]|0)|0;x=+(w>>>0);y=x*.0000152587890625;sZ(n,o,y);Zba(o);u=k;return}b=f[r>>2]|0;r=0;v=1;while(1){j=Y(f[b+(r<<2)>>2]|0,v)|0;r=r+1|0;if((r|0)==(h|0)){w=j;break}else v=j}x=+(w>>>0);y=x*.0000152587890625;sZ(n,o,y);Zba(o);u=k;return}function Dba(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0.0,y=0.0;k=u;u=u+192|0;l=k+176|0;m=k+168|0;n=k+160|0;o=k;p=f[a+40>>2]|0;q=f[p+4>>2]|0;r=f[p>>2]|0;f[l>>2]=q;f[l+4>>2]=r;r=b+40|0;p=f[r>>2]|0;s=f[p+4>>2]|0;t=f[p>>2]|0;f[m+4>>2]=t;p=((f[a>>2]|0)>>>3&511)+1|0;v=Y(p,q)|0;f[l>>2]=v;v=Y(s,p)|0;f[m>>2]=v;v=Y(p,h)|0;h=Y(p,i)|0;f[n>>2]=0;f[n+4>>2]=t;Sba(o,a,b,c,e,d,g,l,m,j,v,h);h=f[b+4>>2]|0;if((h|0)<3){w=Y(f[b+12>>2]|0,f[b+8>>2]|0)|0;x=+(w>>>0);y=x*.0000152587890625;sZ(n,o,y);Tba(o);u=k;return}b=f[r>>2]|0;r=0;v=1;while(1){j=Y(f[b+(r<<2)>>2]|0,v)|0;r=r+1|0;if((r|0)==(h|0)){w=j;break}else v=j}x=+(w>>>0);y=x*.0000152587890625;sZ(n,o,y);Tba(o);u=k;return}function Eba(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0.0,y=0.0;k=u;u=u+192|0;l=k+176|0;m=k+168|0;n=k+160|0;o=k;p=f[a+40>>2]|0;q=f[p+4>>2]|0;r=f[p>>2]|0;f[l>>2]=q;f[l+4>>2]=r;r=b+40|0;p=f[r>>2]|0;s=f[p+4>>2]|0;t=f[p>>2]|0;f[m+4>>2]=t;p=((f[a>>2]|0)>>>3&511)+1|0;v=Y(p,q)|0;f[l>>2]=v;v=Y(s,p)|0;f[m>>2]=v;v=Y(p,h)|0;h=Y(p,i)|0;f[n>>2]=0;f[n+4>>2]=t;Mba(o,a,b,c,e,d,g,l,m,j,v,h);h=f[b+4>>2]|0;if((h|0)<3){w=Y(f[b+12>>2]|0,f[b+8>>2]|0)|0;x=+(w>>>0);y=x*.0000152587890625;sZ(n,o,y);Nba(o);u=k;return}b=f[r>>2]|0;r=0;v=1;while(1){j=Y(f[b+(r<<2)>>2]|0,v)|0;r=r+1|0;if((r|0)==(h|0)){w=j;break}else v=j}x=+(w>>>0);y=x*.0000152587890625;sZ(n,o,y);Nba(o);u=k;return}function Fba(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0.0,y=0.0;k=u;u=u+192|0;l=k+176|0;m=k+168|0;n=k+160|0;o=k;p=f[a+40>>2]|0;q=f[p+4>>2]|0;r=f[p>>2]|0;f[l>>2]=q;f[l+4>>2]=r;r=b+40|0;p=f[r>>2]|0;s=f[p+4>>2]|0;t=f[p>>2]|0;f[m+4>>2]=t;p=((f[a>>2]|0)>>>3&511)+1|0;v=Y(p,q)|0;f[l>>2]=v;v=Y(s,p)|0;f[m>>2]=v;v=Y(p,h)|0;h=Y(p,i)|0;f[n>>2]=0;f[n+4>>2]=t;Gba(o,a,b,c,e,d,g,l,m,j,v,h);h=f[b+4>>2]|0;if((h|0)<3){w=Y(f[b+12>>2]|0,f[b+8>>2]|0)|0;x=+(w>>>0);y=x*.0000152587890625;sZ(n,o,y);Hba(o);u=k;return}b=f[r>>2]|0;r=0;v=1;while(1){j=Y(f[b+(r<<2)>>2]|0,v)|0;r=r+1|0;if((r|0)==(h|0)){w=j;break}else v=j}x=+(w>>>0);y=x*.0000152587890625;sZ(n,o,y);Hba(o);u=k;return}function Gba(a,c,d,e,g,h,i,j,k,l,m,n){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;o=u;u=u+16|0;p=o;f[a>>2]=54332;q=a+4|0;f[q>>2]=f[c>>2];r=a+8|0;s=c+4|0;f[r>>2]=f[s>>2];t=a+12|0;f[t>>2]=f[c+8>>2];f[a+16>>2]=f[c+12>>2];f[a+20>>2]=f[c+16>>2];f[a+24>>2]=f[c+20>>2];f[a+28>>2]=f[c+24>>2];f[a+32>>2]=f[c+28>>2];f[a+36>>2]=f[c+32>>2];v=f[c+36>>2]|0;f[a+40>>2]=v;f[a+44>>2]=t;t=a+52|0;w=a+48|0;f[w>>2]=t;f[t>>2]=0;f[a+56>>2]=0;if(v|0){t=v+12|0;f[t>>2]=(f[t>>2]|0)+1}if((f[s>>2]|0)<3){s=f[c+44>>2]|0;t=f[w>>2]|0;f[t>>2]=f[s>>2];f[t+4>>2]=f[s+4>>2]}else{f[r>>2]=0;$T(q,c)}c=a+60|0;f[c>>2]=f[d>>2];q=a+64|0;r=d+4|0;f[q>>2]=f[r>>2];s=a+68|0;f[s>>2]=f[d+8>>2];f[a+72>>2]=f[d+12>>2];f[a+76>>2]=f[d+16>>2];f[a+80>>2]=f[d+20>>2];f[a+84>>2]=f[d+24>>2];f[a+88>>2]=f[d+28>>2];f[a+92>>2]=f[d+32>>2];t=f[d+36>>2]|0;f[a+96>>2]=t;f[a+100>>2]=s;s=a+108|0;w=a+104|0;f[w>>2]=s;f[s>>2]=0;f[a+112>>2]=0;if(t|0){s=t+12|0;f[s>>2]=(f[s>>2]|0)+1}if((f[r>>2]|0)<3){r=f[d+44>>2]|0;s=f[w>>2]|0;f[s>>2]=f[r>>2];f[s+4>>2]=f[r+4>>2]}else{f[q>>2]=0;$T(c,d)}f[a+116>>2]=e;f[a+120>>2]=g;f[a+124>>2]=h;f[a+128>>2]=i;f[a+132>>2]=f[j>>2];f[a+136>>2]=f[j+4>>2];f[a+140>>2]=f[k>>2];f[a+144>>2]=f[k+4>>2];f[a+148>>2]=l;f[a+152>>2]=m;f[a+156>>2]=n;if((l|0)<17){u=o;return}else{f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;o=cuc(32)|0;f[p>>2]=o;f[p+8>>2]=-2147483616;f[p+4>>2]=18;l=o;n=253175;a=l+18|0;do{b[l>>0]=b[n>>0]|0;l=l+1|0;n=n+1|0}while((l|0)<(a|0));b[o+18>>0]=0;WD(-215,p,253194,252921,2391)}}function Hba(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=54332;b=a+60|0;c=a+96|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+76|0;b=a+64|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+100>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+104>>2]|0;if((b|0)!=(a+108|0))TC(b);b=a+4|0;d=a+40|0;c=f[d>>2]|0;if(c|0?(e=c+12|0,c=f[e>>2]|0,f[e>>2]=c+-1,(c|0)==1):0)aU(b);f[d>>2]=0;d=a+20|0;b=a+8|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[b>>2]|0)>0){d=f[a+44>>2]|0;c=0;do{f[d+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[b>>2]|0))}b=f[a+48>>2]|0;if((b|0)==(a+52|0))return;TC(b);return}function Iba(a){a=a|0;Hba(a);fuc(a);return}function Jba(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0;c=u;u=u+1296|0;d=c+1289|0;e=c+1288|0;g=c;h=c+1224|0;i=c+1160|0;j=c+1096|0;k=((f[a+4>>2]|0)>>>3&511)+1|0;l=a+140|0;m=(f[l>>2]|0)+15&-16;n=a+148|0;o=f[n>>2]|0;p=Y(m,o)|0;q=g+8|0;f[g>>2]=q;r=g+4|0;f[r>>2]=p;if(p>>>0>136){s=euc(p>>>0>536870911?-1:p<<3)|0;f[g>>2]=s;t=s}else t=q;s=h;p=s+64|0;do{f[s>>2]=0;s=s+4|0}while((s|0)<(p|0));s=i;p=s+64|0;do{f[s>>2]=0;s=s+4|0}while((s|0)<(p|0));if((o|0)>0){kzc(j|0,-1,o<<2|0)|0;s=0;do{p=t+((Y(s,m)|0)<<3)|0;f[i+(s<<2)>>2]=p;s=s+1|0}while((s|0)<(o|0))}s=f[b>>2]|0;p=b+4|0;if((s|0)<(f[p>>2]|0)){b=a+120|0;v=a+116|0;w=a+124|0;x=a+132|0;y=a+152|0;z=a+156|0;A=a+76|0;B=a+108|0;C=a+136|0;D=a+20|0;E=a+48|0;F=m<<3;m=(f[a+128>>2]|0)+((Y(s,o)|0)<<2)|0;a=s;s=o;while(1){if((s|0)>0){o=(f[(f[b>>2]|0)+(a<<2)>>2]|0)+1+((s|0)/-2|0)|0;G=s;H=0;I=s;J=0;while(1){K=o+J|0;L=f[C>>2]|0;M=(K|0)>-1?((K|0)<(L|0)?K:L+-1|0):0;L=(H|0)<(J|0)?J:H;a:do if((L|0)<(I|0)){K=L;while(1){if((K|0)<16?(M|0)==(f[j+(K<<2)>>2]|0):0)break;N=K+1|0;if((N|0)<(I|0))K=N;else{O=I;P=N;break a}}if((K|0)>(J|0)){szc(f[i+(J<<2)>>2]|0,f[i+(K<<2)>>2]|0,F|0)|0;O=f[n>>2]|0;P=K}else{O=I;P=K}}else{O=I;P=L}while(0);G=(J|0)<(G|0)&(P|0)==(O|0)?J:G;L=(f[D>>2]|0)+(Y(f[f[E>>2]>>2]|0,M)|0)|0;f[h+(J<<2)>>2]=L;f[j+(J<<2)>>2]=M;J=J+1|0;if((J|0)>=(O|0))break;else{H=P;I=O}}if((O|0)>(G|0))Kba(d,h+(G<<2)|0,i+(G<<2)|0,O-G|0,f[v>>2]|0,f[w>>2]|0,f[x>>2]|0,f[l>>2]|0,k,f[y>>2]|0,f[z>>2]|0)}I=(f[A>>2]|0)+(Y(f[B>>2]|0,a)|0)|0;Lba(e,i,I,m,f[l>>2]|0);a=a+1|0;I=f[n>>2]|0;if((a|0)>=(f[p>>2]|0))break;else{m=m+(I<<2)|0;s=I}}Q=f[g>>2]|0}else Q=t;if((Q|0)==(q|0)){u=c;return}if(Q|0)guc(Q);f[g>>2]=q;f[r>>2]=136;u=c;return}function Kba(a,b,c,d,e,g,h,i,j,k,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,o=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0.0,z=0.0,A=0.0;a:do if((d|0)<2)m=0;else{k=d+-1|0;h=f[b>>2]|0;a=f[c>>2]|0;if((l|0)<=0){o=(i|0)>0;q=0;r=h;s=a;while(1){q=q+1|0;t=r;r=f[b+(q<<2)>>2]|0;u=s;s=f[c+(q<<2)>>2]|0;if(o){v=0;do{w=f[e+(v<<2)>>2]|0;p[u+(v<<3)>>3]=+p[t+(w<<3)>>3];p[s+(v<<3)>>3]=+p[r+(w<<3)>>3];v=v+1|0}while((v|0)!=(i|0))}if((q|0)==(k|0)){m=k;break a}}}q=(l|0)<(i|0);r=0;s=h;o=a;do{r=r+1|0;v=s;s=f[b+(r<<2)>>2]|0;t=o;o=f[c+(r<<2)>>2]|0;u=0;do{w=f[e+(u<<2)>>2]|0;x=u<<1;y=+n[g+(x<<2)>>2];z=+n[g+((x|1)<<2)>>2];x=w+j|0;A=y*+p[s+(w<<3)>>3]+z*+p[s+(x<<3)>>3];p[t+(u<<3)>>3]=y*+p[v+(w<<3)>>3]+z*+p[v+(x<<3)>>3];p[o+(u<<3)>>3]=A;u=u+1|0}while((u|0)!=(l|0));if(q){u=l;do{x=f[e+(u<<2)>>2]|0;p[t+(u<<3)>>3]=+p[v+(x<<3)>>3];p[o+(u<<3)>>3]=+p[s+(x<<3)>>3];u=u+1|0}while((u|0)!=(i|0))}}while((r|0)!=(k|0));m=k}while(0);if((m|0)>=(d|0))return;if((l|0)<=0){k=(i|0)>0;r=m;do{s=f[b+(r<<2)>>2]|0;o=f[c+(r<<2)>>2]|0;if(k){q=0;do{p[o+(q<<3)>>3]=+p[s+(f[e+(q<<2)>>2]<<3)>>3];q=q+1|0}while((q|0)!=(i|0))}r=r+1|0}while((r|0)!=(d|0));return}r=(l|0)<(i|0);k=m;do{m=f[b+(k<<2)>>2]|0;q=f[c+(k<<2)>>2]|0;s=0;do{o=f[e+(s<<2)>>2]|0;a=s<<1;p[q+(s<<3)>>3]=+p[m+(o<<3)>>3]*+n[g+(a<<2)>>2]+ +p[m+(o+j<<3)>>3]*+n[g+((a|1)<<2)>>2];s=s+1|0}while((s|0)!=(l|0));if(r){s=l;do{p[q+(s<<3)>>3]=+p[m+(f[e+(s<<2)>>2]<<3)>>3];s=s+1|0}while((s|0)!=(i|0))}k=k+1|0}while((k|0)!=(d|0));return}function Lba(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0.0,h=0.0,i=0,j=0,k=0,l=0.0,m=0,o=0;g=+n[d>>2];h=+n[d+4>>2];d=f[b>>2]|0;a=f[b+4>>2]|0;b=e+-4|0;if((e|0)<4)i=0;else{j=0;do{k=j|1;l=g*+p[d+(k<<3)>>3]+h*+p[a+(k<<3)>>3];p[c+(j<<3)>>3]=g*+p[d+(j<<3)>>3]+h*+p[a+(j<<3)>>3];p[c+(k<<3)>>3]=l;k=j|2;m=j|3;l=g*+p[d+(m<<3)>>3]+h*+p[a+(m<<3)>>3];p[c+(k<<3)>>3]=g*+p[d+(k<<3)>>3]+h*+p[a+(k<<3)>>3];p[c+(m<<3)>>3]=l;j=j+4|0}while((j|0)<=(b|0));i=e&-4}if((i|0)<(e|0))o=i;else return;do{p[c+(o<<3)>>3]=g*+p[d+(o<<3)>>3]+h*+p[a+(o<<3)>>3];o=o+1|0}while((o|0)!=(e|0));return}function Mba(a,c,d,e,g,h,i,j,k,l,m,n){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;o=u;u=u+16|0;p=o;f[a>>2]=54352;q=a+4|0;f[q>>2]=f[c>>2];r=a+8|0;s=c+4|0;f[r>>2]=f[s>>2];t=a+12|0;f[t>>2]=f[c+8>>2];f[a+16>>2]=f[c+12>>2];f[a+20>>2]=f[c+16>>2];f[a+24>>2]=f[c+20>>2];f[a+28>>2]=f[c+24>>2];f[a+32>>2]=f[c+28>>2];f[a+36>>2]=f[c+32>>2];v=f[c+36>>2]|0;f[a+40>>2]=v;f[a+44>>2]=t;t=a+52|0;w=a+48|0;f[w>>2]=t;f[t>>2]=0;f[a+56>>2]=0;if(v|0){t=v+12|0;f[t>>2]=(f[t>>2]|0)+1}if((f[s>>2]|0)<3){s=f[c+44>>2]|0;t=f[w>>2]|0;f[t>>2]=f[s>>2];f[t+4>>2]=f[s+4>>2]}else{f[r>>2]=0;$T(q,c)}c=a+60|0;f[c>>2]=f[d>>2];q=a+64|0;r=d+4|0;f[q>>2]=f[r>>2];s=a+68|0;f[s>>2]=f[d+8>>2];f[a+72>>2]=f[d+12>>2];f[a+76>>2]=f[d+16>>2];f[a+80>>2]=f[d+20>>2];f[a+84>>2]=f[d+24>>2];f[a+88>>2]=f[d+28>>2];f[a+92>>2]=f[d+32>>2];t=f[d+36>>2]|0;f[a+96>>2]=t;f[a+100>>2]=s;s=a+108|0;w=a+104|0;f[w>>2]=s;f[s>>2]=0;f[a+112>>2]=0;if(t|0){s=t+12|0;f[s>>2]=(f[s>>2]|0)+1}if((f[r>>2]|0)<3){r=f[d+44>>2]|0;s=f[w>>2]|0;f[s>>2]=f[r>>2];f[s+4>>2]=f[r+4>>2]}else{f[q>>2]=0;$T(c,d)}f[a+116>>2]=e;f[a+120>>2]=g;f[a+124>>2]=h;f[a+128>>2]=i;f[a+132>>2]=f[j>>2];f[a+136>>2]=f[j+4>>2];f[a+140>>2]=f[k>>2];f[a+144>>2]=f[k+4>>2];f[a+148>>2]=l;f[a+152>>2]=m;f[a+156>>2]=n;if((l|0)<17){u=o;return}else{f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;o=cuc(32)|0;f[p>>2]=o;f[p+8>>2]=-2147483616;f[p+4>>2]=18;l=o;n=253175;a=l+18|0;do{b[l>>0]=b[n>>0]|0;l=l+1|0;n=n+1|0}while((l|0)<(a|0));b[o+18>>0]=0;WD(-215,p,253194,252921,2391)}}function Nba(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=54352;b=a+60|0;c=a+96|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+76|0;b=a+64|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+100>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+104>>2]|0;if((b|0)!=(a+108|0))TC(b);b=a+4|0;d=a+40|0;c=f[d>>2]|0;if(c|0?(e=c+12|0,c=f[e>>2]|0,f[e>>2]=c+-1,(c|0)==1):0)aU(b);f[d>>2]=0;d=a+20|0;b=a+8|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[b>>2]|0)>0){d=f[a+44>>2]|0;c=0;do{f[d+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[b>>2]|0))}b=f[a+48>>2]|0;if((b|0)==(a+52|0))return;TC(b);return}function Oba(a){a=a|0;Nba(a);fuc(a);return}function Pba(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0;c=u;u=u+1264|0;d=c+1257|0;e=c+1256|0;g=c+192|0;h=c+128|0;i=c+64|0;j=c;k=((f[a+4>>2]|0)>>>3&511)+1|0;l=a+140|0;m=(f[l>>2]|0)+15&-16;n=a+148|0;o=f[n>>2]|0;p=Y(m,o)|0;q=g+8|0;f[g>>2]=q;r=g+4|0;f[r>>2]=p;if(p>>>0>264){s=euc(p>>>0>1073741823?-1:p<<2)|0;f[g>>2]=s;t=s}else t=q;s=h;p=s+64|0;do{f[s>>2]=0;s=s+4|0}while((s|0)<(p|0));s=i;p=s+64|0;do{f[s>>2]=0;s=s+4|0}while((s|0)<(p|0));if((o|0)>0){kzc(j|0,-1,o<<2|0)|0;s=0;do{p=t+((Y(s,m)|0)<<2)|0;f[i+(s<<2)>>2]=p;s=s+1|0}while((s|0)<(o|0))}s=f[b>>2]|0;p=b+4|0;if((s|0)<(f[p>>2]|0)){b=a+120|0;v=a+116|0;w=a+124|0;x=a+132|0;y=a+152|0;z=a+156|0;A=a+76|0;B=a+108|0;C=a+136|0;D=a+20|0;E=a+48|0;F=m<<2;m=(f[a+128>>2]|0)+((Y(s,o)|0)<<2)|0;a=s;s=o;while(1){if((s|0)>0){o=(f[(f[b>>2]|0)+(a<<2)>>2]|0)+1+((s|0)/-2|0)|0;G=s;H=0;I=s;J=0;while(1){K=o+J|0;L=f[C>>2]|0;M=(K|0)>-1?((K|0)<(L|0)?K:L+-1|0):0;L=(H|0)<(J|0)?J:H;a:do if((L|0)<(I|0)){K=L;while(1){if((K|0)<16?(M|0)==(f[j+(K<<2)>>2]|0):0)break;N=K+1|0;if((N|0)<(I|0))K=N;else{O=I;P=N;break a}}if((K|0)>(J|0)){szc(f[i+(J<<2)>>2]|0,f[i+(K<<2)>>2]|0,F|0)|0;O=f[n>>2]|0;P=K}else{O=I;P=K}}else{O=I;P=L}while(0);G=(J|0)<(G|0)&(P|0)==(O|0)?J:G;L=(f[D>>2]|0)+(Y(f[f[E>>2]>>2]|0,M)|0)|0;f[h+(J<<2)>>2]=L;f[j+(J<<2)>>2]=M;J=J+1|0;if((J|0)>=(O|0))break;else{H=P;I=O}}if((O|0)>(G|0))Qba(d,h+(G<<2)|0,i+(G<<2)|0,O-G|0,f[v>>2]|0,f[w>>2]|0,f[x>>2]|0,f[l>>2]|0,k,f[y>>2]|0,f[z>>2]|0)}I=(f[A>>2]|0)+(Y(f[B>>2]|0,a)|0)|0;Rba(e,i,I,m,f[l>>2]|0);a=a+1|0;I=f[n>>2]|0;if((a|0)>=(f[p>>2]|0))break;else{m=m+(I<<2)|0;s=I}}Q=f[g>>2]|0}else Q=t;if((Q|0)==(q|0)){u=c;return}if(Q|0)guc(Q);f[g>>2]=q;f[r>>2]=264;u=c;return}function Qba(a,b,c,d,e,g,h,i,j,k,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0.0,z=0.0;a:do if((d|0)<2)m=0;else{k=d+-1|0;h=f[b>>2]|0;a=f[c>>2]|0;if((l|0)<=0){o=(i|0)>0;p=0;q=a;r=h;while(1){p=p+1|0;s=r;r=f[b+(p<<2)>>2]|0;t=q;q=f[c+(p<<2)>>2]|0;if(o){u=0;do{v=f[e+(u<<2)>>2]|0;f[t+(u<<2)>>2]=f[s+(v<<2)>>2];f[q+(u<<2)>>2]=f[r+(v<<2)>>2];u=u+1|0}while((u|0)!=(i|0))}if((p|0)==(k|0)){m=k;break a}}}p=(l|0)<(i|0);r=0;q=h;o=a;do{r=r+1|0;u=q;q=f[b+(r<<2)>>2]|0;s=o;o=f[c+(r<<2)>>2]|0;t=0;do{v=f[e+(t<<2)>>2]|0;w=t<<1;x=+n[g+(w<<2)>>2];y=+n[g+((w|1)<<2)>>2];w=v+j|0;z=x*+n[q+(v<<2)>>2]+y*+n[q+(w<<2)>>2];n[s+(t<<2)>>2]=x*+n[u+(v<<2)>>2]+y*+n[u+(w<<2)>>2];n[o+(t<<2)>>2]=z;t=t+1|0}while((t|0)!=(l|0));if(p){t=l;do{w=f[e+(t<<2)>>2]|0;f[s+(t<<2)>>2]=f[u+(w<<2)>>2];f[o+(t<<2)>>2]=f[q+(w<<2)>>2];t=t+1|0}while((t|0)!=(i|0))}}while((r|0)!=(k|0));m=k}while(0);if((m|0)>=(d|0))return;if((l|0)<=0){k=(i|0)>0;r=m;do{q=f[b+(r<<2)>>2]|0;o=f[c+(r<<2)>>2]|0;if(k){p=0;do{f[o+(p<<2)>>2]=f[q+(f[e+(p<<2)>>2]<<2)>>2];p=p+1|0}while((p|0)!=(i|0))}r=r+1|0}while((r|0)!=(d|0));return}r=(l|0)<(i|0);k=m;do{m=f[b+(k<<2)>>2]|0;p=f[c+(k<<2)>>2]|0;q=0;do{o=f[e+(q<<2)>>2]|0;a=q<<1;n[p+(q<<2)>>2]=+n[m+(o<<2)>>2]*+n[g+(a<<2)>>2]+ +n[m+(o+j<<2)>>2]*+n[g+((a|1)<<2)>>2];q=q+1|0}while((q|0)!=(l|0));if(r){q=l;do{f[p+(q<<2)>>2]=f[m+(f[e+(q<<2)>>2]<<2)>>2];q=q+1|0}while((q|0)!=(i|0))}k=k+1|0}while((k|0)!=(d|0));return}function Rba(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0.0,h=0.0,i=0,j=0,k=0,l=0.0,m=0,o=0;g=+n[d>>2];h=+n[d+4>>2];d=f[b>>2]|0;a=f[b+4>>2]|0;b=e+-4|0;if((e|0)<4)i=0;else{j=0;do{k=j|1;l=g*+n[d+(k<<2)>>2]+h*+n[a+(k<<2)>>2];n[c+(j<<2)>>2]=g*+n[d+(j<<2)>>2]+h*+n[a+(j<<2)>>2];n[c+(k<<2)>>2]=l;k=j|2;m=j|3;l=g*+n[d+(m<<2)>>2]+h*+n[a+(m<<2)>>2];n[c+(k<<2)>>2]=g*+n[d+(k<<2)>>2]+h*+n[a+(k<<2)>>2];n[c+(m<<2)>>2]=l;j=j+4|0}while((j|0)<=(b|0));i=e&-4}if((i|0)<(e|0))o=i;else return;do{n[c+(o<<2)>>2]=g*+n[d+(o<<2)>>2]+h*+n[a+(o<<2)>>2];o=o+1|0}while((o|0)!=(e|0));return}function Sba(a,c,d,e,g,h,i,j,k,l,m,n){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;o=u;u=u+16|0;p=o;f[a>>2]=54372;q=a+4|0;f[q>>2]=f[c>>2];r=a+8|0;s=c+4|0;f[r>>2]=f[s>>2];t=a+12|0;f[t>>2]=f[c+8>>2];f[a+16>>2]=f[c+12>>2];f[a+20>>2]=f[c+16>>2];f[a+24>>2]=f[c+20>>2];f[a+28>>2]=f[c+24>>2];f[a+32>>2]=f[c+28>>2];f[a+36>>2]=f[c+32>>2];v=f[c+36>>2]|0;f[a+40>>2]=v;f[a+44>>2]=t;t=a+52|0;w=a+48|0;f[w>>2]=t;f[t>>2]=0;f[a+56>>2]=0;if(v|0){t=v+12|0;f[t>>2]=(f[t>>2]|0)+1}if((f[s>>2]|0)<3){s=f[c+44>>2]|0;t=f[w>>2]|0;f[t>>2]=f[s>>2];f[t+4>>2]=f[s+4>>2]}else{f[r>>2]=0;$T(q,c)}c=a+60|0;f[c>>2]=f[d>>2];q=a+64|0;r=d+4|0;f[q>>2]=f[r>>2];s=a+68|0;f[s>>2]=f[d+8>>2];f[a+72>>2]=f[d+12>>2];f[a+76>>2]=f[d+16>>2];f[a+80>>2]=f[d+20>>2];f[a+84>>2]=f[d+24>>2];f[a+88>>2]=f[d+28>>2];f[a+92>>2]=f[d+32>>2];t=f[d+36>>2]|0;f[a+96>>2]=t;f[a+100>>2]=s;s=a+108|0;w=a+104|0;f[w>>2]=s;f[s>>2]=0;f[a+112>>2]=0;if(t|0){s=t+12|0;f[s>>2]=(f[s>>2]|0)+1}if((f[r>>2]|0)<3){r=f[d+44>>2]|0;s=f[w>>2]|0;f[s>>2]=f[r>>2];f[s+4>>2]=f[r+4>>2]}else{f[q>>2]=0;$T(c,d)}f[a+116>>2]=e;f[a+120>>2]=g;f[a+124>>2]=h;f[a+128>>2]=i;f[a+132>>2]=f[j>>2];f[a+136>>2]=f[j+4>>2];f[a+140>>2]=f[k>>2];f[a+144>>2]=f[k+4>>2];f[a+148>>2]=l;f[a+152>>2]=m;f[a+156>>2]=n;if((l|0)<17){u=o;return}else{f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;o=cuc(32)|0;f[p>>2]=o;f[p+8>>2]=-2147483616;f[p+4>>2]=18;l=o;n=253175;a=l+18|0;do{b[l>>0]=b[n>>0]|0;l=l+1|0;n=n+1|0}while((l|0)<(a|0));b[o+18>>0]=0;WD(-215,p,253194,252921,2391)}}function Tba(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=54372;b=a+60|0;c=a+96|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+76|0;b=a+64|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+100>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+104>>2]|0;if((b|0)!=(a+108|0))TC(b);b=a+4|0;d=a+40|0;c=f[d>>2]|0;if(c|0?(e=c+12|0,c=f[e>>2]|0,f[e>>2]=c+-1,(c|0)==1):0)aU(b);f[d>>2]=0;d=a+20|0;b=a+8|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[b>>2]|0)>0){d=f[a+44>>2]|0;c=0;do{f[d+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[b>>2]|0))}b=f[a+48>>2]|0;if((b|0)==(a+52|0))return;TC(b);return}function Uba(a){a=a|0;Tba(a);fuc(a);return}function Vba(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0;c=u;u=u+1264|0;d=c+1257|0;e=c+1256|0;g=c+192|0;h=c+128|0;i=c+64|0;j=c;k=((f[a+4>>2]|0)>>>3&511)+1|0;l=a+140|0;m=(f[l>>2]|0)+15&-16;n=a+148|0;o=f[n>>2]|0;p=Y(m,o)|0;q=g+8|0;f[g>>2]=q;r=g+4|0;f[r>>2]=p;if(p>>>0>264){s=euc(p>>>0>1073741823?-1:p<<2)|0;f[g>>2]=s;t=s}else t=q;s=h;p=s+64|0;do{f[s>>2]=0;s=s+4|0}while((s|0)<(p|0));s=i;p=s+64|0;do{f[s>>2]=0;s=s+4|0}while((s|0)<(p|0));if((o|0)>0){kzc(j|0,-1,o<<2|0)|0;s=0;do{p=t+((Y(s,m)|0)<<2)|0;f[i+(s<<2)>>2]=p;s=s+1|0}while((s|0)<(o|0))}s=f[b>>2]|0;p=b+4|0;if((s|0)<(f[p>>2]|0)){b=a+120|0;v=a+116|0;w=a+124|0;x=a+132|0;y=a+152|0;z=a+156|0;A=a+76|0;B=a+108|0;C=a+136|0;D=a+20|0;E=a+48|0;F=m<<2;m=(f[a+128>>2]|0)+((Y(s,o)|0)<<2)|0;a=s;s=o;while(1){if((s|0)>0){o=(f[(f[b>>2]|0)+(a<<2)>>2]|0)+1+((s|0)/-2|0)|0;G=s;H=0;I=s;J=0;while(1){K=o+J|0;L=f[C>>2]|0;M=(K|0)>-1?((K|0)<(L|0)?K:L+-1|0):0;L=(H|0)<(J|0)?J:H;a:do if((L|0)<(I|0)){K=L;while(1){if((K|0)<16?(M|0)==(f[j+(K<<2)>>2]|0):0)break;N=K+1|0;if((N|0)<(I|0))K=N;else{O=I;P=N;break a}}if((K|0)>(J|0)){szc(f[i+(J<<2)>>2]|0,f[i+(K<<2)>>2]|0,F|0)|0;O=f[n>>2]|0;P=K}else{O=I;P=K}}else{O=I;P=L}while(0);G=(J|0)<(G|0)&(P|0)==(O|0)?J:G;L=(f[D>>2]|0)+(Y(f[f[E>>2]>>2]|0,M)|0)|0;f[h+(J<<2)>>2]=L;f[j+(J<<2)>>2]=M;J=J+1|0;if((J|0)>=(O|0))break;else{H=P;I=O}}if((O|0)>(G|0))Wba(d,h+(G<<2)|0,i+(G<<2)|0,O-G|0,f[v>>2]|0,f[w>>2]|0,f[x>>2]|0,f[l>>2]|0,k,f[y>>2]|0,f[z>>2]|0)}I=(f[A>>2]|0)+(Y(f[B>>2]|0,a)|0)|0;Xba(e,i,I,m,f[l>>2]|0);a=a+1|0;I=f[n>>2]|0;if((a|0)>=(f[p>>2]|0))break;else{m=m+(I<<2)|0;s=I}}Q=f[g>>2]|0}else Q=t;if((Q|0)==(q|0)){u=c;return}if(Q|0)guc(Q);f[g>>2]=q;f[r>>2]=264;u=c;return}function Wba(a,b,c,e,g,h,i,j,k,l,m){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0.0,z=0.0,A=0.0;a:do if((e|0)<2)o=0;else{l=e+-1|0;i=f[b>>2]|0;a=f[c>>2]|0;if((m|0)<=0){p=(j|0)>0;q=0;r=i;s=a;while(1){q=q+1|0;t=r;r=f[b+(q<<2)>>2]|0;u=s;s=f[c+(q<<2)>>2]|0;if(p){v=0;do{w=f[g+(v<<2)>>2]|0;n[u+(v<<2)>>2]=+(d[t+(w<<1)>>1]|0);n[s+(v<<2)>>2]=+(d[r+(w<<1)>>1]|0);v=v+1|0}while((v|0)!=(j|0))}if((q|0)==(l|0)){o=l;break a}}}q=(m|0)<(j|0);r=0;s=i;p=a;do{r=r+1|0;v=s;s=f[b+(r<<2)>>2]|0;t=p;p=f[c+(r<<2)>>2]|0;u=0;do{w=f[g+(u<<2)>>2]|0;x=u<<1;y=+n[h+(x<<2)>>2];z=+n[h+((x|1)<<2)>>2];x=w+k|0;A=y*+(d[s+(w<<1)>>1]|0)+z*+(d[s+(x<<1)>>1]|0);n[t+(u<<2)>>2]=y*+(d[v+(w<<1)>>1]|0)+z*+(d[v+(x<<1)>>1]|0);n[p+(u<<2)>>2]=A;u=u+1|0}while((u|0)!=(m|0));if(q){u=m;do{x=f[g+(u<<2)>>2]|0;n[t+(u<<2)>>2]=+(d[v+(x<<1)>>1]|0);n[p+(u<<2)>>2]=+(d[s+(x<<1)>>1]|0);u=u+1|0}while((u|0)!=(j|0))}}while((r|0)!=(l|0));o=l}while(0);if((o|0)>=(e|0))return;if((m|0)<=0){l=(j|0)>0;r=o;do{s=f[b+(r<<2)>>2]|0;p=f[c+(r<<2)>>2]|0;if(l){q=0;do{n[p+(q<<2)>>2]=+(d[s+(f[g+(q<<2)>>2]<<1)>>1]|0);q=q+1|0}while((q|0)!=(j|0))}r=r+1|0}while((r|0)!=(e|0));return}r=(m|0)<(j|0);l=o;do{o=f[b+(l<<2)>>2]|0;q=f[c+(l<<2)>>2]|0;s=0;do{p=f[g+(s<<2)>>2]|0;a=s<<1;n[q+(s<<2)>>2]=+(d[o+(p<<1)>>1]|0)*+n[h+(a<<2)>>2]+ +(d[o+(p+k<<1)>>1]|0)*+n[h+((a|1)<<2)>>2];s=s+1|0}while((s|0)!=(m|0));if(r){s=m;do{n[q+(s<<2)>>2]=+(d[o+(f[g+(s<<2)>>2]<<1)>>1]|0);s=s+1|0}while((s|0)!=(j|0))}l=l+1|0}while((l|0)!=(e|0));return}function Xba(a,b,c,e,g){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;var h=0.0,i=0.0,j=0,k=0,l=0,m=0.0,o=0,p=0,q=0;h=+n[e>>2];i=+n[e+4>>2];e=f[b>>2]|0;a=f[b+4>>2]|0;b=g+-4|0;if((g|0)<4)j=0;else{k=0;do{l=k|1;m=h*+n[e+(l<<2)>>2]+i*+n[a+(l<<2)>>2];o=Ghc(h*+n[e+(k<<2)>>2]+i*+n[a+(k<<2)>>2])|0;d[c+(k<<1)>>1]=(o+32768|0)>>>0<65536?o:(o|0)>0?32767:32768;o=Ghc(m)|0;d[c+(l<<1)>>1]=(o+32768|0)>>>0<65536?o:(o|0)>0?32767:32768;o=k|2;l=k|3;m=h*+n[e+(l<<2)>>2]+i*+n[a+(l<<2)>>2];p=Ghc(h*+n[e+(o<<2)>>2]+i*+n[a+(o<<2)>>2])|0;d[c+(o<<1)>>1]=(p+32768|0)>>>0<65536?p:(p|0)>0?32767:32768;p=Ghc(m)|0;d[c+(l<<1)>>1]=(p+32768|0)>>>0<65536?p:(p|0)>0?32767:32768;k=k+4|0}while((k|0)<=(b|0));j=g&-4}if((j|0)<(g|0))q=j;else return;do{j=Ghc(h*+n[e+(q<<2)>>2]+i*+n[a+(q<<2)>>2])|0;d[c+(q<<1)>>1]=(j+32768|0)>>>0<65536?j:(j|0)>0?32767:32768;q=q+1|0}while((q|0)!=(g|0));return}function Yba(a,c,d,e,g,h,i,j,k,l,m,n){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;o=u;u=u+16|0;p=o;f[a>>2]=54392;q=a+4|0;f[q>>2]=f[c>>2];r=a+8|0;s=c+4|0;f[r>>2]=f[s>>2];t=a+12|0;f[t>>2]=f[c+8>>2];f[a+16>>2]=f[c+12>>2];f[a+20>>2]=f[c+16>>2];f[a+24>>2]=f[c+20>>2];f[a+28>>2]=f[c+24>>2];f[a+32>>2]=f[c+28>>2];f[a+36>>2]=f[c+32>>2];v=f[c+36>>2]|0;f[a+40>>2]=v;f[a+44>>2]=t;t=a+52|0;w=a+48|0;f[w>>2]=t;f[t>>2]=0;f[a+56>>2]=0;if(v|0){t=v+12|0;f[t>>2]=(f[t>>2]|0)+1}if((f[s>>2]|0)<3){s=f[c+44>>2]|0;t=f[w>>2]|0;f[t>>2]=f[s>>2];f[t+4>>2]=f[s+4>>2]}else{f[r>>2]=0;$T(q,c)}c=a+60|0;f[c>>2]=f[d>>2];q=a+64|0;r=d+4|0;f[q>>2]=f[r>>2];s=a+68|0;f[s>>2]=f[d+8>>2];f[a+72>>2]=f[d+12>>2];f[a+76>>2]=f[d+16>>2];f[a+80>>2]=f[d+20>>2];f[a+84>>2]=f[d+24>>2];f[a+88>>2]=f[d+28>>2];f[a+92>>2]=f[d+32>>2];t=f[d+36>>2]|0;f[a+96>>2]=t;f[a+100>>2]=s;s=a+108|0;w=a+104|0;f[w>>2]=s;f[s>>2]=0;f[a+112>>2]=0;if(t|0){s=t+12|0;f[s>>2]=(f[s>>2]|0)+1}if((f[r>>2]|0)<3){r=f[d+44>>2]|0;s=f[w>>2]|0;f[s>>2]=f[r>>2];f[s+4>>2]=f[r+4>>2]}else{f[q>>2]=0;$T(c,d)}f[a+116>>2]=e;f[a+120>>2]=g;f[a+124>>2]=h;f[a+128>>2]=i;f[a+132>>2]=f[j>>2];f[a+136>>2]=f[j+4>>2];f[a+140>>2]=f[k>>2];f[a+144>>2]=f[k+4>>2];f[a+148>>2]=l;f[a+152>>2]=m;f[a+156>>2]=n;if((l|0)<17){u=o;return}else{f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;o=cuc(32)|0;f[p>>2]=o;f[p+8>>2]=-2147483616;f[p+4>>2]=18;l=o;n=253175;a=l+18|0;do{b[l>>0]=b[n>>0]|0;l=l+1|0;n=n+1|0}while((l|0)<(a|0));b[o+18>>0]=0;WD(-215,p,253194,252921,2391)}}function Zba(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=54392;b=a+60|0;c=a+96|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+76|0;b=a+64|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+100>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+104>>2]|0;if((b|0)!=(a+108|0))TC(b);b=a+4|0;d=a+40|0;c=f[d>>2]|0;if(c|0?(e=c+12|0,c=f[e>>2]|0,f[e>>2]=c+-1,(c|0)==1):0)aU(b);f[d>>2]=0;d=a+20|0;b=a+8|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[b>>2]|0)>0){d=f[a+44>>2]|0;c=0;do{f[d+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[b>>2]|0))}b=f[a+48>>2]|0;if((b|0)==(a+52|0))return;TC(b);return}function _ba(a){a=a|0;Zba(a);fuc(a);return}function $ba(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0;c=u;u=u+1264|0;d=c+1257|0;e=c+1256|0;g=c+192|0;h=c+128|0;i=c+64|0;j=c;k=((f[a+4>>2]|0)>>>3&511)+1|0;l=a+140|0;m=(f[l>>2]|0)+15&-16;n=a+148|0;o=f[n>>2]|0;p=Y(m,o)|0;q=g+8|0;f[g>>2]=q;r=g+4|0;f[r>>2]=p;if(p>>>0>264){s=euc(p>>>0>1073741823?-1:p<<2)|0;f[g>>2]=s;t=s}else t=q;s=h;p=s+64|0;do{f[s>>2]=0;s=s+4|0}while((s|0)<(p|0));s=i;p=s+64|0;do{f[s>>2]=0;s=s+4|0}while((s|0)<(p|0));if((o|0)>0){kzc(j|0,-1,o<<2|0)|0;s=0;do{p=t+((Y(s,m)|0)<<2)|0;f[i+(s<<2)>>2]=p;s=s+1|0}while((s|0)<(o|0))}s=f[b>>2]|0;p=b+4|0;if((s|0)<(f[p>>2]|0)){b=a+120|0;v=a+116|0;w=a+124|0;x=a+132|0;y=a+152|0;z=a+156|0;A=a+76|0;B=a+108|0;C=a+136|0;D=a+20|0;E=a+48|0;F=m<<2;m=(f[a+128>>2]|0)+((Y(s,o)|0)<<2)|0;a=s;s=o;while(1){if((s|0)>0){o=(f[(f[b>>2]|0)+(a<<2)>>2]|0)+1+((s|0)/-2|0)|0;G=s;H=0;I=s;J=0;while(1){K=o+J|0;L=f[C>>2]|0;M=(K|0)>-1?((K|0)<(L|0)?K:L+-1|0):0;L=(H|0)<(J|0)?J:H;a:do if((L|0)<(I|0)){K=L;while(1){if((K|0)<16?(M|0)==(f[j+(K<<2)>>2]|0):0)break;N=K+1|0;if((N|0)<(I|0))K=N;else{O=I;P=N;break a}}if((K|0)>(J|0)){szc(f[i+(J<<2)>>2]|0,f[i+(K<<2)>>2]|0,F|0)|0;O=f[n>>2]|0;P=K}else{O=I;P=K}}else{O=I;P=L}while(0);G=(J|0)<(G|0)&(P|0)==(O|0)?J:G;L=(f[D>>2]|0)+(Y(f[f[E>>2]>>2]|0,M)|0)|0;f[h+(J<<2)>>2]=L;f[j+(J<<2)>>2]=M;J=J+1|0;if((J|0)>=(O|0))break;else{H=P;I=O}}if((O|0)>(G|0))aca(d,h+(G<<2)|0,i+(G<<2)|0,O-G|0,f[v>>2]|0,f[w>>2]|0,f[x>>2]|0,f[l>>2]|0,k,f[y>>2]|0,f[z>>2]|0)}I=(f[A>>2]|0)+(Y(f[B>>2]|0,a)|0)|0;bca(e,i,I,m,f[l>>2]|0);a=a+1|0;I=f[n>>2]|0;if((a|0)>=(f[p>>2]|0))break;else{m=m+(I<<2)|0;s=I}}Q=f[g>>2]|0}else Q=t;if((Q|0)==(q|0)){u=c;return}if(Q|0)guc(Q);f[g>>2]=q;f[r>>2]=264;u=c;return}function aca(a,b,c,d,e,g,h,i,k,l,m){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;k=k|0;l=l|0;m=m|0;var o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0.0,z=0.0,A=0.0;a:do if((d|0)<2)o=0;else{l=d+-1|0;h=f[b>>2]|0;a=f[c>>2]|0;if((m|0)<=0){p=(i|0)>0;q=0;r=h;s=a;while(1){q=q+1|0;t=r;r=f[b+(q<<2)>>2]|0;u=s;s=f[c+(q<<2)>>2]|0;if(p){v=0;do{w=f[e+(v<<2)>>2]|0;n[u+(v<<2)>>2]=+(j[t+(w<<1)>>1]|0);n[s+(v<<2)>>2]=+(j[r+(w<<1)>>1]|0);v=v+1|0}while((v|0)!=(i|0))}if((q|0)==(l|0)){o=l;break a}}}q=(m|0)<(i|0);r=0;s=h;p=a;do{r=r+1|0;v=s;s=f[b+(r<<2)>>2]|0;t=p;p=f[c+(r<<2)>>2]|0;u=0;do{w=f[e+(u<<2)>>2]|0;x=u<<1;y=+n[g+(x<<2)>>2];z=+n[g+((x|1)<<2)>>2];x=w+k|0;A=y*+(j[s+(w<<1)>>1]|0)+z*+(j[s+(x<<1)>>1]|0);n[t+(u<<2)>>2]=y*+(j[v+(w<<1)>>1]|0)+z*+(j[v+(x<<1)>>1]|0);n[p+(u<<2)>>2]=A;u=u+1|0}while((u|0)!=(m|0));if(q){u=m;do{x=f[e+(u<<2)>>2]|0;n[t+(u<<2)>>2]=+(j[v+(x<<1)>>1]|0);n[p+(u<<2)>>2]=+(j[s+(x<<1)>>1]|0);u=u+1|0}while((u|0)!=(i|0))}}while((r|0)!=(l|0));o=l}while(0);if((o|0)>=(d|0))return;if((m|0)<=0){l=(i|0)>0;r=o;do{s=f[b+(r<<2)>>2]|0;p=f[c+(r<<2)>>2]|0;if(l){q=0;do{n[p+(q<<2)>>2]=+(j[s+(f[e+(q<<2)>>2]<<1)>>1]|0);q=q+1|0}while((q|0)!=(i|0))}r=r+1|0}while((r|0)!=(d|0));return}r=(m|0)<(i|0);l=o;do{o=f[b+(l<<2)>>2]|0;q=f[c+(l<<2)>>2]|0;s=0;do{p=f[e+(s<<2)>>2]|0;a=s<<1;n[q+(s<<2)>>2]=+(j[o+(p<<1)>>1]|0)*+n[g+(a<<2)>>2]+ +(j[o+(p+k<<1)>>1]|0)*+n[g+((a|1)<<2)>>2];s=s+1|0}while((s|0)!=(m|0));if(r){s=m;do{n[q+(s<<2)>>2]=+(j[o+(f[e+(s<<2)>>2]<<1)>>1]|0);s=s+1|0}while((s|0)!=(i|0))}l=l+1|0}while((l|0)!=(d|0));return}function bca(a,b,c,e,g){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;var h=0.0,i=0.0,j=0,k=0,l=0,m=0.0,o=0,p=0,q=0;h=+n[e>>2];i=+n[e+4>>2];e=f[b>>2]|0;a=f[b+4>>2]|0;b=g+-4|0;if((g|0)<4)j=0;else{k=0;do{l=k|1;m=h*+n[e+(l<<2)>>2]+i*+n[a+(l<<2)>>2];o=Ghc(h*+n[e+(k<<2)>>2]+i*+n[a+(k<<2)>>2])|0;d[c+(k<<1)>>1]=o>>>0<65536?o:(o|0)>0?65535:0;o=Ghc(m)|0;d[c+(l<<1)>>1]=o>>>0<65536?o:(o|0)>0?65535:0;o=k|2;l=k|3;m=h*+n[e+(l<<2)>>2]+i*+n[a+(l<<2)>>2];p=Ghc(h*+n[e+(o<<2)>>2]+i*+n[a+(o<<2)>>2])|0;d[c+(o<<1)>>1]=p>>>0<65536?p:(p|0)>0?65535:0;p=Ghc(m)|0;d[c+(l<<1)>>1]=p>>>0<65536?p:(p|0)>0?65535:0;k=k+4|0}while((k|0)<=(b|0));j=g&-4}if((j|0)<(g|0))q=j;else return;do{j=Ghc(h*+n[e+(q<<2)>>2]+i*+n[a+(q<<2)>>2])|0;d[c+(q<<1)>>1]=j>>>0<65536?j:(j|0)>0?65535:0;q=q+1|0}while((q|0)!=(g|0));return}function cca(a,c,d,e,g,h,i,j,k,l,m,n){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;o=u;u=u+16|0;p=o;f[a>>2]=54412;q=a+4|0;f[q>>2]=f[c>>2];r=a+8|0;s=c+4|0;f[r>>2]=f[s>>2];t=a+12|0;f[t>>2]=f[c+8>>2];f[a+16>>2]=f[c+12>>2];f[a+20>>2]=f[c+16>>2];f[a+24>>2]=f[c+20>>2];f[a+28>>2]=f[c+24>>2];f[a+32>>2]=f[c+28>>2];f[a+36>>2]=f[c+32>>2];v=f[c+36>>2]|0;f[a+40>>2]=v;f[a+44>>2]=t;t=a+52|0;w=a+48|0;f[w>>2]=t;f[t>>2]=0;f[a+56>>2]=0;if(v|0){t=v+12|0;f[t>>2]=(f[t>>2]|0)+1}if((f[s>>2]|0)<3){s=f[c+44>>2]|0;t=f[w>>2]|0;f[t>>2]=f[s>>2];f[t+4>>2]=f[s+4>>2]}else{f[r>>2]=0;$T(q,c)}c=a+60|0;f[c>>2]=f[d>>2];q=a+64|0;r=d+4|0;f[q>>2]=f[r>>2];s=a+68|0;f[s>>2]=f[d+8>>2];f[a+72>>2]=f[d+12>>2];f[a+76>>2]=f[d+16>>2];f[a+80>>2]=f[d+20>>2];f[a+84>>2]=f[d+24>>2];f[a+88>>2]=f[d+28>>2];f[a+92>>2]=f[d+32>>2];t=f[d+36>>2]|0;f[a+96>>2]=t;f[a+100>>2]=s;s=a+108|0;w=a+104|0;f[w>>2]=s;f[s>>2]=0;f[a+112>>2]=0;if(t|0){s=t+12|0;f[s>>2]=(f[s>>2]|0)+1}if((f[r>>2]|0)<3){r=f[d+44>>2]|0;s=f[w>>2]|0;f[s>>2]=f[r>>2];f[s+4>>2]=f[r+4>>2]}else{f[q>>2]=0;$T(c,d)}f[a+116>>2]=e;f[a+120>>2]=g;f[a+124>>2]=h;f[a+128>>2]=i;f[a+132>>2]=f[j>>2];f[a+136>>2]=f[j+4>>2];f[a+140>>2]=f[k>>2];f[a+144>>2]=f[k+4>>2];f[a+148>>2]=l;f[a+152>>2]=m;f[a+156>>2]=n;if((l|0)<17){u=o;return}else{f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;o=cuc(32)|0;f[p>>2]=o;f[p+8>>2]=-2147483616;f[p+4>>2]=18;l=o;n=253175;a=l+18|0;do{b[l>>0]=b[n>>0]|0;l=l+1|0;n=n+1|0}while((l|0)<(a|0));b[o+18>>0]=0;WD(-215,p,253194,252921,2391)}}function dca(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=54412;b=a+60|0;c=a+96|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+76|0;b=a+64|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+100>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+104>>2]|0;if((b|0)!=(a+108|0))TC(b);b=a+4|0;d=a+40|0;c=f[d>>2]|0;if(c|0?(e=c+12|0,c=f[e>>2]|0,f[e>>2]=c+-1,(c|0)==1):0)aU(b);f[d>>2]=0;d=a+20|0;b=a+8|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[b>>2]|0)>0){d=f[a+44>>2]|0;c=0;do{f[d+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[b>>2]|0))}b=f[a+48>>2]|0;if((b|0)==(a+52|0))return;TC(b);return}function eca(a){a=a|0;dca(a);fuc(a);return}function fca(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0;c=u;u=u+1264|0;d=c+1257|0;e=c+1256|0;g=c+192|0;h=c+128|0;i=c+64|0;j=c;k=((f[a+4>>2]|0)>>>3&511)+1|0;l=a+140|0;m=(f[l>>2]|0)+15&-16;n=a+148|0;o=f[n>>2]|0;p=Y(m,o)|0;q=g+8|0;f[g>>2]=q;r=g+4|0;f[r>>2]=p;if(p>>>0>264){s=euc(p>>>0>1073741823?-1:p<<2)|0;f[g>>2]=s;t=s}else t=q;s=h;p=s+64|0;do{f[s>>2]=0;s=s+4|0}while((s|0)<(p|0));s=i;p=s+64|0;do{f[s>>2]=0;s=s+4|0}while((s|0)<(p|0));if((o|0)>0){kzc(j|0,-1,o<<2|0)|0;s=0;do{p=t+((Y(s,m)|0)<<2)|0;f[i+(s<<2)>>2]=p;s=s+1|0}while((s|0)<(o|0))}s=f[b>>2]|0;p=b+4|0;if((s|0)<(f[p>>2]|0)){b=a+120|0;v=a+116|0;w=a+124|0;x=a+132|0;y=a+152|0;z=a+156|0;A=a+76|0;B=a+108|0;C=a+136|0;D=a+20|0;E=a+48|0;F=m<<2;m=(f[a+128>>2]|0)+((Y(s,o)|0)<<1)|0;a=s;s=o;while(1){if((s|0)>0){o=(f[(f[b>>2]|0)+(a<<2)>>2]|0)+1+((s|0)/-2|0)|0;G=s;H=0;I=s;J=0;while(1){K=o+J|0;L=f[C>>2]|0;M=(K|0)>-1?((K|0)<(L|0)?K:L+-1|0):0;L=(H|0)<(J|0)?J:H;a:do if((L|0)<(I|0)){K=L;while(1){if((K|0)<16?(M|0)==(f[j+(K<<2)>>2]|0):0)break;N=K+1|0;if((N|0)<(I|0))K=N;else{O=I;P=N;break a}}if((K|0)>(J|0)){szc(f[i+(J<<2)>>2]|0,f[i+(K<<2)>>2]|0,F|0)|0;O=f[n>>2]|0;P=K}else{O=I;P=K}}else{O=I;P=L}while(0);G=(J|0)<(G|0)&(P|0)==(O|0)?J:G;L=(f[D>>2]|0)+(Y(f[f[E>>2]>>2]|0,M)|0)|0;f[h+(J<<2)>>2]=L;f[j+(J<<2)>>2]=M;J=J+1|0;if((J|0)>=(O|0))break;else{H=P;I=O}}if((O|0)>(G|0))gca(d,h+(G<<2)|0,i+(G<<2)|0,O-G|0,f[v>>2]|0,f[w>>2]|0,f[x>>2]|0,f[l>>2]|0,k,f[y>>2]|0,f[z>>2]|0)}I=(f[A>>2]|0)+(Y(f[B>>2]|0,a)|0)|0;hca(e,i,I,m,f[l>>2]|0);a=a+1|0;I=f[n>>2]|0;if((a|0)>=(f[p>>2]|0))break;else{m=m+(I<<1)|0;s=I}}Q=f[g>>2]|0}else Q=t;if((Q|0)==(q|0)){u=c;return}if(Q|0)guc(Q);f[g>>2]=q;f[r>>2]=264;u=c;return}function gca(a,b,c,e,g,i,j,k,l,m,n){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;a:do if((e|0)<2)o=0;else{m=e+-1|0;j=f[b>>2]|0;a=f[c>>2]|0;if((n|0)<=0){p=(k|0)>0;q=0;r=j;s=a;while(1){q=q+1|0;t=r;r=f[b+(q<<2)>>2]|0;u=s;s=f[c+(q<<2)>>2]|0;if(p){v=0;do{w=f[g+(v<<2)>>2]|0;f[u+(v<<2)>>2]=h[t+w>>0]<<11;f[s+(v<<2)>>2]=h[r+w>>0]<<11;v=v+1|0}while((v|0)!=(k|0))}if((q|0)==(m|0)){o=m;break a}}}q=(n|0)<(k|0);r=0;s=j;p=a;do{r=r+1|0;v=s;s=f[b+(r<<2)>>2]|0;t=p;p=f[c+(r<<2)>>2]|0;u=0;do{w=f[g+(u<<2)>>2]|0;x=u<<1;y=d[i+(x<<1)>>1]|0;z=d[i+((x|1)<<1)>>1]|0;x=Y(h[v+w>>0]|0,y)|0;A=w+l|0;B=(Y(h[v+A>>0]|0,z)|0)+x|0;x=Y(h[s+w>>0]|0,y)|0;y=(Y(h[s+A>>0]|0,z)|0)+x|0;f[t+(u<<2)>>2]=B;f[p+(u<<2)>>2]=y;u=u+1|0}while((u|0)!=(n|0));if(q){u=n;do{y=f[g+(u<<2)>>2]|0;f[t+(u<<2)>>2]=h[v+y>>0]<<11;f[p+(u<<2)>>2]=h[s+y>>0]<<11;u=u+1|0}while((u|0)!=(k|0))}}while((r|0)!=(m|0));o=m}while(0);if((o|0)>=(e|0))return;if((n|0)<=0){m=(k|0)>0;r=o;do{s=f[b+(r<<2)>>2]|0;p=f[c+(r<<2)>>2]|0;if(m){q=0;do{f[p+(q<<2)>>2]=h[s+(f[g+(q<<2)>>2]|0)>>0]<<11;q=q+1|0}while((q|0)!=(k|0))}r=r+1|0}while((r|0)!=(e|0));return}r=(n|0)<(k|0);m=o;do{o=f[b+(m<<2)>>2]|0;q=f[c+(m<<2)>>2]|0;s=0;do{p=f[g+(s<<2)>>2]|0;a=s<<1;j=Y(d[i+(a<<1)>>1]|0,h[o+p>>0]|0)|0;u=(Y(d[i+((a|1)<<1)>>1]|0,h[o+(p+l)>>0]|0)|0)+j|0;f[q+(s<<2)>>2]=u;s=s+1|0}while((s|0)!=(n|0));if(r){s=n;do{f[q+(s<<2)>>2]=h[o+(f[g+(s<<2)>>2]|0)>>0]<<11;s=s+1|0}while((s|0)!=(k|0))}m=m+1|0}while((m|0)!=(e|0));return}function hca(a,c,e,g,h){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;a=d[g>>1]|0;i=d[g+2>>1]|0;g=f[c>>2]|0;j=f[c+4>>2]|0;c=h+-4|0;if((h|0)<4)k=0;else{l=a<<16>>16;m=i<<16>>16;n=0;do{o=(Y(f[g+(n<<2)>>2]>>4,l)|0)>>>16;p=(o+2+((Y(f[j+(n<<2)>>2]>>4,m)|0)>>>16)|0)>>>2&255;b[e+n>>0]=p;p=n|1;o=(Y(f[g+(p<<2)>>2]>>4,l)|0)>>>16;q=(o+2+((Y(f[j+(p<<2)>>2]>>4,m)|0)>>>16)|0)>>>2&255;b[e+p>>0]=q;q=n|2;p=(Y(f[g+(q<<2)>>2]>>4,l)|0)>>>16;o=(p+2+((Y(f[j+(q<<2)>>2]>>4,m)|0)>>>16)|0)>>>2&255;b[e+q>>0]=o;o=n|3;q=(Y(f[g+(o<<2)>>2]>>4,l)|0)>>>16;p=(q+2+((Y(f[j+(o<<2)>>2]>>4,m)|0)>>>16)|0)>>>2&255;b[e+o>>0]=p;n=n+4|0}while((n|0)<=(c|0));k=h&-4}if((k|0)>=(h|0))return;c=a<<16>>16;a=i<<16>>16;i=k;do{k=(Y(f[g+(i<<2)>>2]>>4,c)|0)>>>16;n=(k+2+((Y(f[j+(i<<2)>>2]>>4,a)|0)>>>16)|0)>>>2&255;b[e+i>>0]=n;i=i+1|0}while((i|0)!=(h|0));return}function ica(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0.0,y=0.0;k=u;u=u+192|0;l=k+176|0;m=k+168|0;n=k+160|0;o=k;p=f[a+40>>2]|0;q=f[p+4>>2]|0;r=f[p>>2]|0;f[l>>2]=q;f[l+4>>2]=r;r=b+40|0;p=f[r>>2]|0;s=f[p+4>>2]|0;t=f[p>>2]|0;f[m+4>>2]=t;p=((f[a>>2]|0)>>>3&511)+1|0;v=Y(p,q)|0;f[l>>2]=v;v=Y(s,p)|0;f[m>>2]=v;v=Y(p,h)|0;h=Y(p,i)|0;f[n>>2]=0;f[n+4>>2]=t;Lca(o,a,b,c,e,d,g,l,m,j,v,h);h=f[b+4>>2]|0;if((h|0)<3){w=Y(f[b+12>>2]|0,f[b+8>>2]|0)|0;x=+(w>>>0);y=x*.0000152587890625;sZ(n,o,y);Mca(o);u=k;return}b=f[r>>2]|0;r=0;v=1;while(1){j=Y(f[b+(r<<2)>>2]|0,v)|0;r=r+1|0;if((r|0)==(h|0)){w=j;break}else v=j}x=+(w>>>0);y=x*.0000152587890625;sZ(n,o,y);Mca(o);u=k;return}function jca(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0.0,y=0.0;k=u;u=u+192|0;l=k+176|0;m=k+168|0;n=k+160|0;o=k;p=f[a+40>>2]|0;q=f[p+4>>2]|0;r=f[p>>2]|0;f[l>>2]=q;f[l+4>>2]=r;r=b+40|0;p=f[r>>2]|0;s=f[p+4>>2]|0;t=f[p>>2]|0;f[m+4>>2]=t;p=((f[a>>2]|0)>>>3&511)+1|0;v=Y(p,q)|0;f[l>>2]=v;v=Y(s,p)|0;f[m>>2]=v;v=Y(p,h)|0;h=Y(p,i)|0;f[n>>2]=0;f[n+4>>2]=t;Fca(o,a,b,c,e,d,g,l,m,j,v,h);h=f[b+4>>2]|0;if((h|0)<3){w=Y(f[b+12>>2]|0,f[b+8>>2]|0)|0;x=+(w>>>0);y=x*.0000152587890625;sZ(n,o,y);Gca(o);u=k;return}b=f[r>>2]|0;r=0;v=1;while(1){j=Y(f[b+(r<<2)>>2]|0,v)|0;r=r+1|0;if((r|0)==(h|0)){w=j;break}else v=j}x=+(w>>>0);y=x*.0000152587890625;sZ(n,o,y);Gca(o);u=k;return}function kca(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0.0,y=0.0;k=u;u=u+192|0;l=k+176|0;m=k+168|0;n=k+160|0;o=k;p=f[a+40>>2]|0;q=f[p+4>>2]|0;r=f[p>>2]|0;f[l>>2]=q;f[l+4>>2]=r;r=b+40|0;p=f[r>>2]|0;s=f[p+4>>2]|0;t=f[p>>2]|0;f[m+4>>2]=t;p=((f[a>>2]|0)>>>3&511)+1|0;v=Y(p,q)|0;f[l>>2]=v;v=Y(s,p)|0;f[m>>2]=v;v=Y(p,h)|0;h=Y(p,i)|0;f[n>>2]=0;f[n+4>>2]=t;zca(o,a,b,c,e,d,g,l,m,j,v,h);h=f[b+4>>2]|0;if((h|0)<3){w=Y(f[b+12>>2]|0,f[b+8>>2]|0)|0;x=+(w>>>0);y=x*.0000152587890625;sZ(n,o,y);Aca(o);u=k;return}b=f[r>>2]|0;r=0;v=1;while(1){j=Y(f[b+(r<<2)>>2]|0,v)|0;r=r+1|0;if((r|0)==(h|0)){w=j;break}else v=j}x=+(w>>>0);y=x*.0000152587890625;sZ(n,o,y);Aca(o);u=k;return}function lca(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0.0,y=0.0;k=u;u=u+192|0;l=k+176|0;m=k+168|0;n=k+160|0;o=k;p=f[a+40>>2]|0;q=f[p+4>>2]|0;r=f[p>>2]|0;f[l>>2]=q;f[l+4>>2]=r;r=b+40|0;p=f[r>>2]|0;s=f[p+4>>2]|0;t=f[p>>2]|0;f[m+4>>2]=t;p=((f[a>>2]|0)>>>3&511)+1|0;v=Y(p,q)|0;f[l>>2]=v;v=Y(s,p)|0;f[m>>2]=v;v=Y(p,h)|0;h=Y(p,i)|0;f[n>>2]=0;f[n+4>>2]=t;tca(o,a,b,c,e,d,g,l,m,j,v,h);h=f[b+4>>2]|0;if((h|0)<3){w=Y(f[b+12>>2]|0,f[b+8>>2]|0)|0;x=+(w>>>0);y=x*.0000152587890625;sZ(n,o,y);uca(o);u=k;return}b=f[r>>2]|0;r=0;v=1;while(1){j=Y(f[b+(r<<2)>>2]|0,v)|0;r=r+1|0;if((r|0)==(h|0)){w=j;break}else v=j}x=+(w>>>0);y=x*.0000152587890625;sZ(n,o,y);uca(o);u=k;return}function mca(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0.0,y=0.0;k=u;u=u+192|0;l=k+176|0;m=k+168|0;n=k+160|0;o=k;p=f[a+40>>2]|0;q=f[p+4>>2]|0;r=f[p>>2]|0;f[l>>2]=q;f[l+4>>2]=r;r=b+40|0;p=f[r>>2]|0;s=f[p+4>>2]|0;t=f[p>>2]|0;f[m+4>>2]=t;p=((f[a>>2]|0)>>>3&511)+1|0;v=Y(p,q)|0;f[l>>2]=v;v=Y(s,p)|0;f[m>>2]=v;v=Y(p,h)|0;h=Y(p,i)|0;f[n>>2]=0;f[n+4>>2]=t;nca(o,a,b,c,e,d,g,l,m,j,v,h);h=f[b+4>>2]|0;if((h|0)<3){w=Y(f[b+12>>2]|0,f[b+8>>2]|0)|0;x=+(w>>>0);y=x*.0000152587890625;sZ(n,o,y);oca(o);u=k;return}b=f[r>>2]|0;r=0;v=1;while(1){j=Y(f[b+(r<<2)>>2]|0,v)|0;r=r+1|0;if((r|0)==(h|0)){w=j;break}else v=j}x=+(w>>>0);y=x*.0000152587890625;sZ(n,o,y);oca(o);u=k;return}function nca(a,c,d,e,g,h,i,j,k,l,m,n){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;o=u;u=u+16|0;p=o;f[a>>2]=54432;q=a+4|0;f[q>>2]=f[c>>2];r=a+8|0;s=c+4|0;f[r>>2]=f[s>>2];t=a+12|0;f[t>>2]=f[c+8>>2];f[a+16>>2]=f[c+12>>2];f[a+20>>2]=f[c+16>>2];f[a+24>>2]=f[c+20>>2];f[a+28>>2]=f[c+24>>2];f[a+32>>2]=f[c+28>>2];f[a+36>>2]=f[c+32>>2];v=f[c+36>>2]|0;f[a+40>>2]=v;f[a+44>>2]=t;t=a+52|0;w=a+48|0;f[w>>2]=t;f[t>>2]=0;f[a+56>>2]=0;if(v|0){t=v+12|0;f[t>>2]=(f[t>>2]|0)+1}if((f[s>>2]|0)<3){s=f[c+44>>2]|0;t=f[w>>2]|0;f[t>>2]=f[s>>2];f[t+4>>2]=f[s+4>>2]}else{f[r>>2]=0;$T(q,c)}c=a+60|0;f[c>>2]=f[d>>2];q=a+64|0;r=d+4|0;f[q>>2]=f[r>>2];s=a+68|0;f[s>>2]=f[d+8>>2];f[a+72>>2]=f[d+12>>2];f[a+76>>2]=f[d+16>>2];f[a+80>>2]=f[d+20>>2];f[a+84>>2]=f[d+24>>2];f[a+88>>2]=f[d+28>>2];f[a+92>>2]=f[d+32>>2];t=f[d+36>>2]|0;f[a+96>>2]=t;f[a+100>>2]=s;s=a+108|0;w=a+104|0;f[w>>2]=s;f[s>>2]=0;f[a+112>>2]=0;if(t|0){s=t+12|0;f[s>>2]=(f[s>>2]|0)+1}if((f[r>>2]|0)<3){r=f[d+44>>2]|0;s=f[w>>2]|0;f[s>>2]=f[r>>2];f[s+4>>2]=f[r+4>>2]}else{f[q>>2]=0;$T(c,d)}f[a+116>>2]=e;f[a+120>>2]=g;f[a+124>>2]=h;f[a+128>>2]=i;f[a+132>>2]=f[j>>2];f[a+136>>2]=f[j+4>>2];f[a+140>>2]=f[k>>2];f[a+144>>2]=f[k+4>>2];f[a+148>>2]=l;f[a+152>>2]=m;f[a+156>>2]=n;if((l|0)<17){u=o;return}else{f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;o=cuc(32)|0;f[p>>2]=o;f[p+8>>2]=-2147483616;f[p+4>>2]=18;l=o;n=253175;a=l+18|0;do{b[l>>0]=b[n>>0]|0;l=l+1|0;n=n+1|0}while((l|0)<(a|0));b[o+18>>0]=0;WD(-215,p,253194,252921,2391)}}function oca(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=54432;b=a+60|0;c=a+96|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+76|0;b=a+64|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+100>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+104>>2]|0;if((b|0)!=(a+108|0))TC(b);b=a+4|0;d=a+40|0;c=f[d>>2]|0;if(c|0?(e=c+12|0,c=f[e>>2]|0,f[e>>2]=c+-1,(c|0)==1):0)aU(b);f[d>>2]=0;d=a+20|0;b=a+8|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[b>>2]|0)>0){d=f[a+44>>2]|0;c=0;do{f[d+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[b>>2]|0))}b=f[a+48>>2]|0;if((b|0)==(a+52|0))return;TC(b);return}function pca(a){a=a|0;oca(a);fuc(a);return}function qca(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0;c=u;u=u+1296|0;d=c+1289|0;e=c+1288|0;g=c;h=c+1224|0;i=c+1160|0;j=c+1096|0;k=((f[a+4>>2]|0)>>>3&511)+1|0;l=a+140|0;m=(f[l>>2]|0)+15&-16;n=a+148|0;o=f[n>>2]|0;p=Y(m,o)|0;q=g+8|0;f[g>>2]=q;r=g+4|0;f[r>>2]=p;if(p>>>0>136){s=euc(p>>>0>536870911?-1:p<<3)|0;f[g>>2]=s;t=s}else t=q;s=h;p=s+64|0;do{f[s>>2]=0;s=s+4|0}while((s|0)<(p|0));s=i;p=s+64|0;do{f[s>>2]=0;s=s+4|0}while((s|0)<(p|0));if((o|0)>0){kzc(j|0,-1,o<<2|0)|0;s=0;do{p=t+((Y(s,m)|0)<<3)|0;f[i+(s<<2)>>2]=p;s=s+1|0}while((s|0)<(o|0))}s=f[b>>2]|0;p=b+4|0;if((s|0)<(f[p>>2]|0)){b=a+120|0;v=a+116|0;w=a+124|0;x=a+132|0;y=a+152|0;z=a+156|0;A=a+76|0;B=a+108|0;C=a+136|0;D=a+20|0;E=a+48|0;F=m<<3;m=(f[a+128>>2]|0)+((Y(s,o)|0)<<2)|0;a=s;s=o;while(1){if((s|0)>0){o=(f[(f[b>>2]|0)+(a<<2)>>2]|0)+1+((s|0)/-2|0)|0;G=s;H=0;I=s;J=0;while(1){K=o+J|0;L=f[C>>2]|0;M=(K|0)>-1?((K|0)<(L|0)?K:L+-1|0):0;L=(H|0)<(J|0)?J:H;a:do if((L|0)<(I|0)){K=L;while(1){if((K|0)<16?(M|0)==(f[j+(K<<2)>>2]|0):0)break;N=K+1|0;if((N|0)<(I|0))K=N;else{O=I;P=N;break a}}if((K|0)>(J|0)){szc(f[i+(J<<2)>>2]|0,f[i+(K<<2)>>2]|0,F|0)|0;O=f[n>>2]|0;P=K}else{O=I;P=K}}else{O=I;P=L}while(0);G=(J|0)<(G|0)&(P|0)==(O|0)?J:G;L=(f[D>>2]|0)+(Y(f[f[E>>2]>>2]|0,M)|0)|0;f[h+(J<<2)>>2]=L;f[j+(J<<2)>>2]=M;J=J+1|0;if((J|0)>=(O|0))break;else{H=P;I=O}}if((O|0)>(G|0))rca(d,h+(G<<2)|0,i+(G<<2)|0,O-G|0,f[v>>2]|0,f[w>>2]|0,f[x>>2]|0,f[l>>2]|0,k,f[y>>2]|0,f[z>>2]|0)}I=(f[A>>2]|0)+(Y(f[B>>2]|0,a)|0)|0;sca(e,i,I,m,f[l>>2]|0);a=a+1|0;I=f[n>>2]|0;if((a|0)>=(f[p>>2]|0))break;else{m=m+(I<<2)|0;s=I}}Q=f[g>>2]|0}else Q=t;if((Q|0)==(q|0)){u=c;return}if(Q|0)guc(Q);f[g>>2]=q;f[r>>2]=136;u=c;return}function rca(a,b,c,d,e,g,h,i,j,k,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,o=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0.0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;if((d|0)<=0)return;a=j*3|0;m=j<<1;o=j<<2;q=0-(i<<3)|0;r=0;s=g;while(1){g=f[b+(r<<2)>>2]|0;t=f[c+(r<<2)>>2]|0;u=k;v=0;w=s;a:while(1){if((u|0)>(v|0)){x=u-v<<3;y=v;z=w;while(1){A=f[e+(y<<2)>>2]|0;B=0.0;C=0;do{D=(Y(C+-3|0,j)|0)+A|0;if(D>>>0<h>>>0)E=D;else{F=D;while(1)if((F|0)<0)F=F+j|0;else{G=F;break}while(1)if((G|0)<(h|0)){E=G;break}else G=G-j|0}B=B+ +p[g+(E<<3)>>3]*+n[z+(C<<2)>>2];C=C+1|0}while((C|0)!=8);p[t+(y<<3)>>3]=B;y=y+1|0;if((y|0)==(u|0))break;else z=z+32|0}H=u;I=w+(x<<2)|0}else{H=v;I=w}if((u|0)==(i|0))break;if((H|0)<(l|0)){J=H;K=I}else{u=i;v=H;w=I;continue}while(1){z=f[e+(J<<2)>>2]|0;p[t+(J<<3)>>3]=+p[g+(z-a<<3)>>3]*+n[K>>2]+ +p[g+(z-m<<3)>>3]*+n[K+4>>2]+ +p[g+(z-j<<3)>>3]*+n[K+8>>2]+ +p[g+(z<<3)>>3]*+n[K+12>>2]+ +p[g+(z+j<<3)>>3]*+n[K+16>>2]+ +p[g+(z+m<<3)>>3]*+n[K+20>>2]+ +p[g+(z+a<<3)>>3]*+n[K+24>>2]+ +p[g+(z+o<<3)>>3]*+n[K+28>>2];z=J+1|0;y=K+32|0;if((z|0)<(l|0)){J=z;K=y}else{u=i;v=l;w=y;continue a}}}r=r+1|0;if((r|0)==(d|0))break;else s=I+(q<<2)|0}return}function sca(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0.0,i=0,j=0,k=0.0,l=0,m=0.0,o=0,q=0.0,r=0,s=0.0,t=0.0,u=0,v=0.0,w=0,x=0.0,y=0,z=0,A=0,B=0,C=0,D=0.0,E=0.0,F=0.0;a=e+-4|0;if((e|0)<4)g=0;else{h=+n[d>>2];i=f[b>>2]|0;j=f[b+16>>2]|0;k=+n[d+4>>2];l=f[b+4>>2]|0;m=+n[d+8>>2];o=f[b+8>>2]|0;q=+n[d+12>>2];r=f[b+12>>2]|0;s=+n[d+16>>2];t=+n[d+20>>2];u=f[b+20>>2]|0;v=+n[d+24>>2];w=f[b+24>>2]|0;x=+n[d+28>>2];y=f[b+28>>2]|0;z=0;do{A=z|1;B=z|2;C=z|3;D=h*+p[i+(A<<3)>>3]+k*+p[l+(A<<3)>>3]+m*+p[o+(A<<3)>>3]+q*+p[r+(A<<3)>>3]+s*+p[j+(A<<3)>>3]+t*+p[u+(A<<3)>>3]+v*+p[w+(A<<3)>>3]+x*+p[y+(A<<3)>>3];E=h*+p[i+(B<<3)>>3]+k*+p[l+(B<<3)>>3]+m*+p[o+(B<<3)>>3]+q*+p[r+(B<<3)>>3]+s*+p[j+(B<<3)>>3]+t*+p[u+(B<<3)>>3]+v*+p[w+(B<<3)>>3]+x*+p[y+(B<<3)>>3];F=h*+p[i+(C<<3)>>3]+k*+p[l+(C<<3)>>3]+m*+p[o+(C<<3)>>3]+q*+p[r+(C<<3)>>3]+s*+p[j+(C<<3)>>3]+t*+p[u+(C<<3)>>3]+v*+p[w+(C<<3)>>3]+x*+p[y+(C<<3)>>3];p[c+(z<<3)>>3]=h*+p[i+(z<<3)>>3]+k*+p[l+(z<<3)>>3]+m*+p[o+(z<<3)>>3]+q*+p[r+(z<<3)>>3]+s*+p[j+(z<<3)>>3]+t*+p[u+(z<<3)>>3]+v*+p[w+(z<<3)>>3]+x*+p[y+(z<<3)>>3];p[c+(A<<3)>>3]=D;p[c+(B<<3)>>3]=E;p[c+(C<<3)>>3]=F;z=z+4|0}while((z|0)<=(a|0));g=e&-4}if((g|0)>=(e|0))return;a=f[b>>2]|0;x=+n[d>>2];z=f[b+4>>2]|0;v=+n[d+4>>2];y=f[b+8>>2]|0;t=+n[d+8>>2];w=f[b+12>>2]|0;s=+n[d+12>>2];u=f[b+16>>2]|0;q=+n[d+16>>2];j=f[b+20>>2]|0;m=+n[d+20>>2];r=f[b+24>>2]|0;k=+n[d+24>>2];o=f[b+28>>2]|0;h=+n[d+28>>2];d=g;do{p[c+(d<<3)>>3]=+p[a+(d<<3)>>3]*x+ +p[z+(d<<3)>>3]*v+ +p[y+(d<<3)>>3]*t+ +p[w+(d<<3)>>3]*s+ +p[u+(d<<3)>>3]*q+ +p[j+(d<<3)>>3]*m+ +p[r+(d<<3)>>3]*k+ +p[o+(d<<3)>>3]*h;d=d+1|0}while((d|0)!=(e|0));return}function tca(a,c,d,e,g,h,i,j,k,l,m,n){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;o=u;u=u+16|0;p=o;f[a>>2]=54452;q=a+4|0;f[q>>2]=f[c>>2];r=a+8|0;s=c+4|0;f[r>>2]=f[s>>2];t=a+12|0;f[t>>2]=f[c+8>>2];f[a+16>>2]=f[c+12>>2];f[a+20>>2]=f[c+16>>2];f[a+24>>2]=f[c+20>>2];f[a+28>>2]=f[c+24>>2];f[a+32>>2]=f[c+28>>2];f[a+36>>2]=f[c+32>>2];v=f[c+36>>2]|0;f[a+40>>2]=v;f[a+44>>2]=t;t=a+52|0;w=a+48|0;f[w>>2]=t;f[t>>2]=0;f[a+56>>2]=0;if(v|0){t=v+12|0;f[t>>2]=(f[t>>2]|0)+1}if((f[s>>2]|0)<3){s=f[c+44>>2]|0;t=f[w>>2]|0;f[t>>2]=f[s>>2];f[t+4>>2]=f[s+4>>2]}else{f[r>>2]=0;$T(q,c)}c=a+60|0;f[c>>2]=f[d>>2];q=a+64|0;r=d+4|0;f[q>>2]=f[r>>2];s=a+68|0;f[s>>2]=f[d+8>>2];f[a+72>>2]=f[d+12>>2];f[a+76>>2]=f[d+16>>2];f[a+80>>2]=f[d+20>>2];f[a+84>>2]=f[d+24>>2];f[a+88>>2]=f[d+28>>2];f[a+92>>2]=f[d+32>>2];t=f[d+36>>2]|0;f[a+96>>2]=t;f[a+100>>2]=s;s=a+108|0;w=a+104|0;f[w>>2]=s;f[s>>2]=0;f[a+112>>2]=0;if(t|0){s=t+12|0;f[s>>2]=(f[s>>2]|0)+1}if((f[r>>2]|0)<3){r=f[d+44>>2]|0;s=f[w>>2]|0;f[s>>2]=f[r>>2];f[s+4>>2]=f[r+4>>2]}else{f[q>>2]=0;$T(c,d)}f[a+116>>2]=e;f[a+120>>2]=g;f[a+124>>2]=h;f[a+128>>2]=i;f[a+132>>2]=f[j>>2];f[a+136>>2]=f[j+4>>2];f[a+140>>2]=f[k>>2];f[a+144>>2]=f[k+4>>2];f[a+148>>2]=l;f[a+152>>2]=m;f[a+156>>2]=n;if((l|0)<17){u=o;return}else{f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;o=cuc(32)|0;f[p>>2]=o;f[p+8>>2]=-2147483616;f[p+4>>2]=18;l=o;n=253175;a=l+18|0;do{b[l>>0]=b[n>>0]|0;l=l+1|0;n=n+1|0}while((l|0)<(a|0));b[o+18>>0]=0;WD(-215,p,253194,252921,2391)}}function uca(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=54452;b=a+60|0;c=a+96|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+76|0;b=a+64|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+100>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+104>>2]|0;if((b|0)!=(a+108|0))TC(b);b=a+4|0;d=a+40|0;c=f[d>>2]|0;if(c|0?(e=c+12|0,c=f[e>>2]|0,f[e>>2]=c+-1,(c|0)==1):0)aU(b);f[d>>2]=0;d=a+20|0;b=a+8|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[b>>2]|0)>0){d=f[a+44>>2]|0;c=0;do{f[d+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[b>>2]|0))}b=f[a+48>>2]|0;if((b|0)==(a+52|0))return;TC(b);return}function vca(a){a=a|0;uca(a);fuc(a);return}function wca(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0;c=u;u=u+1264|0;d=c+1257|0;e=c+1256|0;g=c+192|0;h=c+128|0;i=c+64|0;j=c;k=((f[a+4>>2]|0)>>>3&511)+1|0;l=a+140|0;m=(f[l>>2]|0)+15&-16;n=a+148|0;o=f[n>>2]|0;p=Y(m,o)|0;q=g+8|0;f[g>>2]=q;r=g+4|0;f[r>>2]=p;if(p>>>0>264){s=euc(p>>>0>1073741823?-1:p<<2)|0;f[g>>2]=s;t=s}else t=q;s=h;p=s+64|0;do{f[s>>2]=0;s=s+4|0}while((s|0)<(p|0));s=i;p=s+64|0;do{f[s>>2]=0;s=s+4|0}while((s|0)<(p|0));if((o|0)>0){kzc(j|0,-1,o<<2|0)|0;s=0;do{p=t+((Y(s,m)|0)<<2)|0;f[i+(s<<2)>>2]=p;s=s+1|0}while((s|0)<(o|0))}s=f[b>>2]|0;p=b+4|0;if((s|0)<(f[p>>2]|0)){b=a+120|0;v=a+116|0;w=a+124|0;x=a+132|0;y=a+152|0;z=a+156|0;A=a+76|0;B=a+108|0;C=a+136|0;D=a+20|0;E=a+48|0;F=m<<2;m=(f[a+128>>2]|0)+((Y(s,o)|0)<<2)|0;a=s;s=o;while(1){if((s|0)>0){o=(f[(f[b>>2]|0)+(a<<2)>>2]|0)+1+((s|0)/-2|0)|0;G=s;H=0;I=s;J=0;while(1){K=o+J|0;L=f[C>>2]|0;M=(K|0)>-1?((K|0)<(L|0)?K:L+-1|0):0;L=(H|0)<(J|0)?J:H;a:do if((L|0)<(I|0)){K=L;while(1){if((K|0)<16?(M|0)==(f[j+(K<<2)>>2]|0):0)break;N=K+1|0;if((N|0)<(I|0))K=N;else{O=I;P=N;break a}}if((K|0)>(J|0)){szc(f[i+(J<<2)>>2]|0,f[i+(K<<2)>>2]|0,F|0)|0;O=f[n>>2]|0;P=K}else{O=I;P=K}}else{O=I;P=L}while(0);G=(J|0)<(G|0)&(P|0)==(O|0)?J:G;L=(f[D>>2]|0)+(Y(f[f[E>>2]>>2]|0,M)|0)|0;f[h+(J<<2)>>2]=L;f[j+(J<<2)>>2]=M;J=J+1|0;if((J|0)>=(O|0))break;else{H=P;I=O}}if((O|0)>(G|0))xca(d,h+(G<<2)|0,i+(G<<2)|0,O-G|0,f[v>>2]|0,f[w>>2]|0,f[x>>2]|0,f[l>>2]|0,k,f[y>>2]|0,f[z>>2]|0)}I=(f[A>>2]|0)+(Y(f[B>>2]|0,a)|0)|0;yca(e,i,I,m,f[l>>2]|0);a=a+1|0;I=f[n>>2]|0;if((a|0)>=(f[p>>2]|0))break;else{m=m+(I<<2)|0;s=I}}Q=f[g>>2]|0}else Q=t;if((Q|0)==(q|0)){u=c;return}if(Q|0)guc(Q);f[g>>2]=q;f[r>>2]=264;u=c;return}function xca(a,b,c,d,e,g,h,i,j,k,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0.0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;if((d|0)<=0)return;a=j*3|0;m=j<<1;o=j<<2;p=0-(i<<3)|0;q=0;r=g;while(1){g=f[b+(q<<2)>>2]|0;s=f[c+(q<<2)>>2]|0;t=k;u=0;v=r;a:while(1){if((t|0)>(u|0)){w=t-u<<3;x=u;y=v;while(1){z=f[e+(x<<2)>>2]|0;A=0.0;B=0;do{C=(Y(B+-3|0,j)|0)+z|0;if(C>>>0<h>>>0)D=C;else{E=C;while(1)if((E|0)<0)E=E+j|0;else{F=E;break}while(1)if((F|0)<(h|0)){D=F;break}else F=F-j|0}A=A+ +n[g+(D<<2)>>2]*+n[y+(B<<2)>>2];B=B+1|0}while((B|0)!=8);n[s+(x<<2)>>2]=A;x=x+1|0;if((x|0)==(t|0))break;else y=y+32|0}G=t;H=v+(w<<2)|0}else{G=u;H=v}if((t|0)==(i|0))break;if((G|0)<(l|0)){I=G;J=H}else{t=i;u=G;v=H;continue}while(1){y=f[e+(I<<2)>>2]|0;n[s+(I<<2)>>2]=+n[g+(y-a<<2)>>2]*+n[J>>2]+ +n[g+(y-m<<2)>>2]*+n[J+4>>2]+ +n[g+(y-j<<2)>>2]*+n[J+8>>2]+ +n[g+(y<<2)>>2]*+n[J+12>>2]+ +n[g+(y+j<<2)>>2]*+n[J+16>>2]+ +n[g+(y+m<<2)>>2]*+n[J+20>>2]+ +n[g+(y+a<<2)>>2]*+n[J+24>>2]+ +n[g+(y+o<<2)>>2]*+n[J+28>>2];y=I+1|0;x=J+32|0;if((y|0)<(l|0)){I=y;J=x}else{t=i;u=l;v=x;continue a}}}q=q+1|0;if((q|0)==(d|0))break;else r=H+(p<<2)|0}return}function yca(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0.0,z=0,A=0,B=0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0.0,J=0.0,K=0.0,L=0.0;a=e+-4|0;if((e|0)<4)g=0;else{h=f[b>>2]|0;i=d+4|0;j=f[b+16>>2]|0;k=f[b+20>>2]|0;l=f[b+4>>2]|0;m=d+8|0;o=f[b+8>>2]|0;p=d+12|0;q=f[b+12>>2]|0;r=d+16|0;s=d+20|0;t=d+24|0;u=f[b+24>>2]|0;v=d+28|0;w=f[b+28>>2]|0;x=0;do{y=+n[d>>2];z=x|1;A=x|2;B=x|3;C=+n[i>>2];D=+n[m>>2];E=+n[p>>2];F=+n[r>>2];G=+n[s>>2];H=+n[t>>2];I=+n[v>>2];J=y*+n[h+(z<<2)>>2]+C*+n[l+(z<<2)>>2]+D*+n[o+(z<<2)>>2]+E*+n[q+(z<<2)>>2]+F*+n[j+(z<<2)>>2]+G*+n[k+(z<<2)>>2]+H*+n[u+(z<<2)>>2]+I*+n[w+(z<<2)>>2];K=y*+n[h+(A<<2)>>2]+C*+n[l+(A<<2)>>2]+D*+n[o+(A<<2)>>2]+E*+n[q+(A<<2)>>2]+F*+n[j+(A<<2)>>2]+G*+n[k+(A<<2)>>2]+H*+n[u+(A<<2)>>2]+I*+n[w+(A<<2)>>2];L=y*+n[h+(B<<2)>>2]+C*+n[l+(B<<2)>>2]+D*+n[o+(B<<2)>>2]+E*+n[q+(B<<2)>>2]+F*+n[j+(B<<2)>>2]+G*+n[k+(B<<2)>>2]+H*+n[u+(B<<2)>>2]+I*+n[w+(B<<2)>>2];n[c+(x<<2)>>2]=y*+n[h+(x<<2)>>2]+C*+n[l+(x<<2)>>2]+D*+n[o+(x<<2)>>2]+E*+n[q+(x<<2)>>2]+F*+n[j+(x<<2)>>2]+G*+n[k+(x<<2)>>2]+H*+n[u+(x<<2)>>2]+I*+n[w+(x<<2)>>2];n[c+(z<<2)>>2]=J;n[c+(A<<2)>>2]=K;n[c+(B<<2)>>2]=L;x=x+4|0}while((x|0)<=(a|0));g=e&-4}if((g|0)>=(e|0))return;a=f[b>>2]|0;x=f[b+4>>2]|0;w=d+4|0;u=f[b+8>>2]|0;k=d+8|0;j=f[b+12>>2]|0;q=d+12|0;o=f[b+16>>2]|0;l=d+16|0;h=f[b+20>>2]|0;v=d+20|0;t=f[b+24>>2]|0;s=d+24|0;r=f[b+28>>2]|0;b=d+28|0;p=g;do{n[c+(p<<2)>>2]=+n[a+(p<<2)>>2]*+n[d>>2]+ +n[x+(p<<2)>>2]*+n[w>>2]+ +n[u+(p<<2)>>2]*+n[k>>2]+ +n[j+(p<<2)>>2]*+n[q>>2]+ +n[o+(p<<2)>>2]*+n[l>>2]+ +n[h+(p<<2)>>2]*+n[v>>2]+ +n[t+(p<<2)>>2]*+n[s>>2]+ +n[r+(p<<2)>>2]*+n[b>>2];p=p+1|0}while((p|0)!=(e|0));return}function zca(a,c,d,e,g,h,i,j,k,l,m,n){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;o=u;u=u+16|0;p=o;f[a>>2]=54472;q=a+4|0;f[q>>2]=f[c>>2];r=a+8|0;s=c+4|0;f[r>>2]=f[s>>2];t=a+12|0;f[t>>2]=f[c+8>>2];f[a+16>>2]=f[c+12>>2];f[a+20>>2]=f[c+16>>2];f[a+24>>2]=f[c+20>>2];f[a+28>>2]=f[c+24>>2];f[a+32>>2]=f[c+28>>2];f[a+36>>2]=f[c+32>>2];v=f[c+36>>2]|0;f[a+40>>2]=v;f[a+44>>2]=t;t=a+52|0;w=a+48|0;f[w>>2]=t;f[t>>2]=0;f[a+56>>2]=0;if(v|0){t=v+12|0;f[t>>2]=(f[t>>2]|0)+1}if((f[s>>2]|0)<3){s=f[c+44>>2]|0;t=f[w>>2]|0;f[t>>2]=f[s>>2];f[t+4>>2]=f[s+4>>2]}else{f[r>>2]=0;$T(q,c)}c=a+60|0;f[c>>2]=f[d>>2];q=a+64|0;r=d+4|0;f[q>>2]=f[r>>2];s=a+68|0;f[s>>2]=f[d+8>>2];f[a+72>>2]=f[d+12>>2];f[a+76>>2]=f[d+16>>2];f[a+80>>2]=f[d+20>>2];f[a+84>>2]=f[d+24>>2];f[a+88>>2]=f[d+28>>2];f[a+92>>2]=f[d+32>>2];t=f[d+36>>2]|0;f[a+96>>2]=t;f[a+100>>2]=s;s=a+108|0;w=a+104|0;f[w>>2]=s;f[s>>2]=0;f[a+112>>2]=0;if(t|0){s=t+12|0;f[s>>2]=(f[s>>2]|0)+1}if((f[r>>2]|0)<3){r=f[d+44>>2]|0;s=f[w>>2]|0;f[s>>2]=f[r>>2];f[s+4>>2]=f[r+4>>2]}else{f[q>>2]=0;$T(c,d)}f[a+116>>2]=e;f[a+120>>2]=g;f[a+124>>2]=h;f[a+128>>2]=i;f[a+132>>2]=f[j>>2];f[a+136>>2]=f[j+4>>2];f[a+140>>2]=f[k>>2];f[a+144>>2]=f[k+4>>2];f[a+148>>2]=l;f[a+152>>2]=m;f[a+156>>2]=n;if((l|0)<17){u=o;return}else{f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;o=cuc(32)|0;f[p>>2]=o;f[p+8>>2]=-2147483616;f[p+4>>2]=18;l=o;n=253175;a=l+18|0;do{b[l>>0]=b[n>>0]|0;l=l+1|0;n=n+1|0}while((l|0)<(a|0));b[o+18>>0]=0;WD(-215,p,253194,252921,2391)}}function Aca(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=54472;b=a+60|0;c=a+96|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+76|0;b=a+64|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+100>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+104>>2]|0;if((b|0)!=(a+108|0))TC(b);b=a+4|0;d=a+40|0;c=f[d>>2]|0;if(c|0?(e=c+12|0,c=f[e>>2]|0,f[e>>2]=c+-1,(c|0)==1):0)aU(b);f[d>>2]=0;d=a+20|0;b=a+8|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[b>>2]|0)>0){d=f[a+44>>2]|0;c=0;do{f[d+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[b>>2]|0))}b=f[a+48>>2]|0;if((b|0)==(a+52|0))return;TC(b);return}function Bca(a){a=a|0;Aca(a);fuc(a);return}function Cca(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0;c=u;u=u+1264|0;d=c+1257|0;e=c+1256|0;g=c+192|0;h=c+128|0;i=c+64|0;j=c;k=((f[a+4>>2]|0)>>>3&511)+1|0;l=a+140|0;m=(f[l>>2]|0)+15&-16;n=a+148|0;o=f[n>>2]|0;p=Y(m,o)|0;q=g+8|0;f[g>>2]=q;r=g+4|0;f[r>>2]=p;if(p>>>0>264){s=euc(p>>>0>1073741823?-1:p<<2)|0;f[g>>2]=s;t=s}else t=q;s=h;p=s+64|0;do{f[s>>2]=0;s=s+4|0}while((s|0)<(p|0));s=i;p=s+64|0;do{f[s>>2]=0;s=s+4|0}while((s|0)<(p|0));if((o|0)>0){kzc(j|0,-1,o<<2|0)|0;s=0;do{p=t+((Y(s,m)|0)<<2)|0;f[i+(s<<2)>>2]=p;s=s+1|0}while((s|0)<(o|0))}s=f[b>>2]|0;p=b+4|0;if((s|0)<(f[p>>2]|0)){b=a+120|0;v=a+116|0;w=a+124|0;x=a+132|0;y=a+152|0;z=a+156|0;A=a+76|0;B=a+108|0;C=a+136|0;D=a+20|0;E=a+48|0;F=m<<2;m=(f[a+128>>2]|0)+((Y(s,o)|0)<<2)|0;a=s;s=o;while(1){if((s|0)>0){o=(f[(f[b>>2]|0)+(a<<2)>>2]|0)+1+((s|0)/-2|0)|0;G=s;H=0;I=s;J=0;while(1){K=o+J|0;L=f[C>>2]|0;M=(K|0)>-1?((K|0)<(L|0)?K:L+-1|0):0;L=(H|0)<(J|0)?J:H;a:do if((L|0)<(I|0)){K=L;while(1){if((K|0)<16?(M|0)==(f[j+(K<<2)>>2]|0):0)break;N=K+1|0;if((N|0)<(I|0))K=N;else{O=I;P=N;break a}}if((K|0)>(J|0)){szc(f[i+(J<<2)>>2]|0,f[i+(K<<2)>>2]|0,F|0)|0;O=f[n>>2]|0;P=K}else{O=I;P=K}}else{O=I;P=L}while(0);G=(J|0)<(G|0)&(P|0)==(O|0)?J:G;L=(f[D>>2]|0)+(Y(f[f[E>>2]>>2]|0,M)|0)|0;f[h+(J<<2)>>2]=L;f[j+(J<<2)>>2]=M;J=J+1|0;if((J|0)>=(O|0))break;else{H=P;I=O}}if((O|0)>(G|0))Dca(d,h+(G<<2)|0,i+(G<<2)|0,O-G|0,f[v>>2]|0,f[w>>2]|0,f[x>>2]|0,f[l>>2]|0,k,f[y>>2]|0,f[z>>2]|0)}I=(f[A>>2]|0)+(Y(f[B>>2]|0,a)|0)|0;Eca(e,i,I,m,f[l>>2]|0);a=a+1|0;I=f[n>>2]|0;if((a|0)>=(f[p>>2]|0))break;else{m=m+(I<<2)|0;s=I}}Q=f[g>>2]|0}else Q=t;if((Q|0)==(q|0)){u=c;return}if(Q|0)guc(Q);f[g>>2]=q;f[r>>2]=264;u=c;return}function Dca(a,b,c,e,g,h,i,j,k,l,m){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0.0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;if((e|0)<=0)return;a=k*3|0;o=k<<1;p=k<<2;q=0-(j<<3)|0;r=0;s=h;while(1){h=f[b+(r<<2)>>2]|0;t=f[c+(r<<2)>>2]|0;u=l;v=0;w=s;a:while(1){if((u|0)>(v|0)){x=u-v<<3;y=v;z=w;while(1){A=f[g+(y<<2)>>2]|0;B=0.0;C=0;do{D=(Y(C+-3|0,k)|0)+A|0;if(D>>>0<i>>>0)E=D;else{F=D;while(1)if((F|0)<0)F=F+k|0;else{G=F;break}while(1)if((G|0)<(i|0)){E=G;break}else G=G-k|0}B=B+ +(d[h+(E<<1)>>1]|0)*+n[z+(C<<2)>>2];C=C+1|0}while((C|0)!=8);n[t+(y<<2)>>2]=B;y=y+1|0;if((y|0)==(u|0))break;else z=z+32|0}H=u;I=w+(x<<2)|0}else{H=v;I=w}if((u|0)==(j|0))break;if((H|0)<(m|0)){J=H;K=I}else{u=j;v=H;w=I;continue}while(1){z=f[g+(J<<2)>>2]|0;n[t+(J<<2)>>2]=+(d[h+(z-a<<1)>>1]|0)*+n[K>>2]+ +(d[h+(z-o<<1)>>1]|0)*+n[K+4>>2]+ +(d[h+(z-k<<1)>>1]|0)*+n[K+8>>2]+ +(d[h+(z<<1)>>1]|0)*+n[K+12>>2]+ +(d[h+(z+k<<1)>>1]|0)*+n[K+16>>2]+ +(d[h+(z+o<<1)>>1]|0)*+n[K+20>>2]+ +(d[h+(z+a<<1)>>1]|0)*+n[K+24>>2]+ +(d[h+(z+p<<1)>>1]|0)*+n[K+28>>2];z=J+1|0;y=K+32|0;if((z|0)<(m|0)){J=z;K=y}else{u=j;v=m;w=y;continue a}}}r=r+1|0;if((r|0)==(e|0))break;else s=I+(q<<2)|0}return}function Eca(a,b,c,e,g){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;var h=0,i=0.0,j=0,k=0.0,l=0,m=0.0,o=0,p=0.0,q=0,r=0.0,s=0,t=0.0,u=0,v=0.0,w=0,x=0.0,y=0,z=0,A=0,B=0,C=0,D=0.0,E=0.0,F=0.0,G=0;a=g+-4|0;if((g|0)<4)h=0;else{i=+n[e>>2];j=f[b>>2]|0;k=+n[e+20>>2];l=f[b+20>>2]|0;m=+n[e+4>>2];o=f[b+4>>2]|0;p=+n[e+8>>2];q=f[b+8>>2]|0;r=+n[e+12>>2];s=f[b+12>>2]|0;t=+n[e+16>>2];u=f[b+16>>2]|0;v=+n[e+24>>2];w=f[b+24>>2]|0;x=+n[e+28>>2];y=f[b+28>>2]|0;z=0;do{A=z|1;B=z|2;C=z|3;D=i*+n[j+(A<<2)>>2]+m*+n[o+(A<<2)>>2]+p*+n[q+(A<<2)>>2]+r*+n[s+(A<<2)>>2]+t*+n[u+(A<<2)>>2]+k*+n[l+(A<<2)>>2]+v*+n[w+(A<<2)>>2]+x*+n[y+(A<<2)>>2];E=i*+n[j+(B<<2)>>2]+m*+n[o+(B<<2)>>2]+p*+n[q+(B<<2)>>2]+r*+n[s+(B<<2)>>2]+t*+n[u+(B<<2)>>2]+k*+n[l+(B<<2)>>2]+v*+n[w+(B<<2)>>2]+x*+n[y+(B<<2)>>2];F=i*+n[j+(C<<2)>>2]+m*+n[o+(C<<2)>>2]+p*+n[q+(C<<2)>>2]+r*+n[s+(C<<2)>>2]+t*+n[u+(C<<2)>>2]+k*+n[l+(C<<2)>>2]+v*+n[w+(C<<2)>>2]+x*+n[y+(C<<2)>>2];G=Ghc(i*+n[j+(z<<2)>>2]+m*+n[o+(z<<2)>>2]+p*+n[q+(z<<2)>>2]+r*+n[s+(z<<2)>>2]+t*+n[u+(z<<2)>>2]+k*+n[l+(z<<2)>>2]+v*+n[w+(z<<2)>>2]+x*+n[y+(z<<2)>>2])|0;d[c+(z<<1)>>1]=(G+32768|0)>>>0<65536?G:(G|0)>0?32767:32768;G=Ghc(D)|0;d[c+(A<<1)>>1]=(G+32768|0)>>>0<65536?G:(G|0)>0?32767:32768;G=Ghc(E)|0;d[c+(B<<1)>>1]=(G+32768|0)>>>0<65536?G:(G|0)>0?32767:32768;G=Ghc(F)|0;d[c+(C<<1)>>1]=(G+32768|0)>>>0<65536?G:(G|0)>0?32767:32768;z=z+4|0}while((z|0)<=(a|0));h=g&-4}if((h|0)>=(g|0))return;a=f[b>>2]|0;x=+n[e>>2];z=f[b+4>>2]|0;v=+n[e+4>>2];y=f[b+8>>2]|0;k=+n[e+8>>2];w=f[b+12>>2]|0;t=+n[e+12>>2];l=f[b+16>>2]|0;r=+n[e+16>>2];u=f[b+20>>2]|0;p=+n[e+20>>2];s=f[b+24>>2]|0;m=+n[e+24>>2];q=f[b+28>>2]|0;i=+n[e+28>>2];e=h;do{h=Ghc(+n[a+(e<<2)>>2]*x+ +n[z+(e<<2)>>2]*v+ +n[y+(e<<2)>>2]*k+ +n[w+(e<<2)>>2]*t+ +n[l+(e<<2)>>2]*r+ +n[u+(e<<2)>>2]*p+ +n[s+(e<<2)>>2]*m+ +n[q+(e<<2)>>2]*i)|0;d[c+(e<<1)>>1]=(h+32768|0)>>>0<65536?h:(h|0)>0?32767:32768;e=e+1|0}while((e|0)!=(g|0));return}function Fca(a,c,d,e,g,h,i,j,k,l,m,n){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;o=u;u=u+16|0;p=o;f[a>>2]=54492;q=a+4|0;f[q>>2]=f[c>>2];r=a+8|0;s=c+4|0;f[r>>2]=f[s>>2];t=a+12|0;f[t>>2]=f[c+8>>2];f[a+16>>2]=f[c+12>>2];f[a+20>>2]=f[c+16>>2];f[a+24>>2]=f[c+20>>2];f[a+28>>2]=f[c+24>>2];f[a+32>>2]=f[c+28>>2];f[a+36>>2]=f[c+32>>2];v=f[c+36>>2]|0;f[a+40>>2]=v;f[a+44>>2]=t;t=a+52|0;w=a+48|0;f[w>>2]=t;f[t>>2]=0;f[a+56>>2]=0;if(v|0){t=v+12|0;f[t>>2]=(f[t>>2]|0)+1}if((f[s>>2]|0)<3){s=f[c+44>>2]|0;t=f[w>>2]|0;f[t>>2]=f[s>>2];f[t+4>>2]=f[s+4>>2]}else{f[r>>2]=0;$T(q,c)}c=a+60|0;f[c>>2]=f[d>>2];q=a+64|0;r=d+4|0;f[q>>2]=f[r>>2];s=a+68|0;f[s>>2]=f[d+8>>2];f[a+72>>2]=f[d+12>>2];f[a+76>>2]=f[d+16>>2];f[a+80>>2]=f[d+20>>2];f[a+84>>2]=f[d+24>>2];f[a+88>>2]=f[d+28>>2];f[a+92>>2]=f[d+32>>2];t=f[d+36>>2]|0;f[a+96>>2]=t;f[a+100>>2]=s;s=a+108|0;w=a+104|0;f[w>>2]=s;f[s>>2]=0;f[a+112>>2]=0;if(t|0){s=t+12|0;f[s>>2]=(f[s>>2]|0)+1}if((f[r>>2]|0)<3){r=f[d+44>>2]|0;s=f[w>>2]|0;f[s>>2]=f[r>>2];f[s+4>>2]=f[r+4>>2]}else{f[q>>2]=0;$T(c,d)}f[a+116>>2]=e;f[a+120>>2]=g;f[a+124>>2]=h;f[a+128>>2]=i;f[a+132>>2]=f[j>>2];f[a+136>>2]=f[j+4>>2];f[a+140>>2]=f[k>>2];f[a+144>>2]=f[k+4>>2];f[a+148>>2]=l;f[a+152>>2]=m;f[a+156>>2]=n;if((l|0)<17){u=o;return}else{f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;o=cuc(32)|0;f[p>>2]=o;f[p+8>>2]=-2147483616;f[p+4>>2]=18;l=o;n=253175;a=l+18|0;do{b[l>>0]=b[n>>0]|0;l=l+1|0;n=n+1|0}while((l|0)<(a|0));b[o+18>>0]=0;WD(-215,p,253194,252921,2391)}}function Gca(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=54492;b=a+60|0;c=a+96|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+76|0;b=a+64|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+100>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+104>>2]|0;if((b|0)!=(a+108|0))TC(b);b=a+4|0;d=a+40|0;c=f[d>>2]|0;if(c|0?(e=c+12|0,c=f[e>>2]|0,f[e>>2]=c+-1,(c|0)==1):0)aU(b);f[d>>2]=0;d=a+20|0;b=a+8|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[b>>2]|0)>0){d=f[a+44>>2]|0;c=0;do{f[d+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[b>>2]|0))}b=f[a+48>>2]|0;if((b|0)==(a+52|0))return;TC(b);return}function Hca(a){a=a|0;Gca(a);fuc(a);return}function Ica(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0;c=u;u=u+1264|0;d=c+1257|0;e=c+1256|0;g=c+192|0;h=c+128|0;i=c+64|0;j=c;k=((f[a+4>>2]|0)>>>3&511)+1|0;l=a+140|0;m=(f[l>>2]|0)+15&-16;n=a+148|0;o=f[n>>2]|0;p=Y(m,o)|0;q=g+8|0;f[g>>2]=q;r=g+4|0;f[r>>2]=p;if(p>>>0>264){s=euc(p>>>0>1073741823?-1:p<<2)|0;f[g>>2]=s;t=s}else t=q;s=h;p=s+64|0;do{f[s>>2]=0;s=s+4|0}while((s|0)<(p|0));s=i;p=s+64|0;do{f[s>>2]=0;s=s+4|0}while((s|0)<(p|0));if((o|0)>0){kzc(j|0,-1,o<<2|0)|0;s=0;do{p=t+((Y(s,m)|0)<<2)|0;f[i+(s<<2)>>2]=p;s=s+1|0}while((s|0)<(o|0))}s=f[b>>2]|0;p=b+4|0;if((s|0)<(f[p>>2]|0)){b=a+120|0;v=a+116|0;w=a+124|0;x=a+132|0;y=a+152|0;z=a+156|0;A=a+76|0;B=a+108|0;C=a+136|0;D=a+20|0;E=a+48|0;F=m<<2;m=(f[a+128>>2]|0)+((Y(s,o)|0)<<2)|0;a=s;s=o;while(1){if((s|0)>0){o=(f[(f[b>>2]|0)+(a<<2)>>2]|0)+1+((s|0)/-2|0)|0;G=s;H=0;I=s;J=0;while(1){K=o+J|0;L=f[C>>2]|0;M=(K|0)>-1?((K|0)<(L|0)?K:L+-1|0):0;L=(H|0)<(J|0)?J:H;a:do if((L|0)<(I|0)){K=L;while(1){if((K|0)<16?(M|0)==(f[j+(K<<2)>>2]|0):0)break;N=K+1|0;if((N|0)<(I|0))K=N;else{O=I;P=N;break a}}if((K|0)>(J|0)){szc(f[i+(J<<2)>>2]|0,f[i+(K<<2)>>2]|0,F|0)|0;O=f[n>>2]|0;P=K}else{O=I;P=K}}else{O=I;P=L}while(0);G=(J|0)<(G|0)&(P|0)==(O|0)?J:G;L=(f[D>>2]|0)+(Y(f[f[E>>2]>>2]|0,M)|0)|0;f[h+(J<<2)>>2]=L;f[j+(J<<2)>>2]=M;J=J+1|0;if((J|0)>=(O|0))break;else{H=P;I=O}}if((O|0)>(G|0))Jca(d,h+(G<<2)|0,i+(G<<2)|0,O-G|0,f[v>>2]|0,f[w>>2]|0,f[x>>2]|0,f[l>>2]|0,k,f[y>>2]|0,f[z>>2]|0)}I=(f[A>>2]|0)+(Y(f[B>>2]|0,a)|0)|0;Kca(e,i,I,m,f[l>>2]|0);a=a+1|0;I=f[n>>2]|0;if((a|0)>=(f[p>>2]|0))break;else{m=m+(I<<2)|0;s=I}}Q=f[g>>2]|0}else Q=t;if((Q|0)==(q|0)){u=c;return}if(Q|0)guc(Q);f[g>>2]=q;f[r>>2]=264;u=c;return}function Jca(a,b,c,d,e,g,h,i,k,l,m){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;k=k|0;l=l|0;m=m|0;var o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0.0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;if((d|0)<=0)return;a=k*3|0;o=k<<1;p=k<<2;q=0-(i<<3)|0;r=0;s=g;while(1){g=f[b+(r<<2)>>2]|0;t=f[c+(r<<2)>>2]|0;u=l;v=0;w=s;a:while(1){if((u|0)>(v|0)){x=u-v<<3;y=v;z=w;while(1){A=f[e+(y<<2)>>2]|0;B=0.0;C=0;do{D=(Y(C+-3|0,k)|0)+A|0;if(D>>>0<h>>>0)E=D;else{F=D;while(1)if((F|0)<0)F=F+k|0;else{G=F;break}while(1)if((G|0)<(h|0)){E=G;break}else G=G-k|0}B=B+ +(j[g+(E<<1)>>1]|0)*+n[z+(C<<2)>>2];C=C+1|0}while((C|0)!=8);n[t+(y<<2)>>2]=B;y=y+1|0;if((y|0)==(u|0))break;else z=z+32|0}H=u;I=w+(x<<2)|0}else{H=v;I=w}if((u|0)==(i|0))break;if((H|0)<(m|0)){J=H;K=I}else{u=i;v=H;w=I;continue}while(1){z=f[e+(J<<2)>>2]|0;n[t+(J<<2)>>2]=+(j[g+(z-a<<1)>>1]|0)*+n[K>>2]+ +(j[g+(z-o<<1)>>1]|0)*+n[K+4>>2]+ +(j[g+(z-k<<1)>>1]|0)*+n[K+8>>2]+ +(j[g+(z<<1)>>1]|0)*+n[K+12>>2]+ +(j[g+(z+k<<1)>>1]|0)*+n[K+16>>2]+ +(j[g+(z+o<<1)>>1]|0)*+n[K+20>>2]+ +(j[g+(z+a<<1)>>1]|0)*+n[K+24>>2]+ +(j[g+(z+p<<1)>>1]|0)*+n[K+28>>2];z=J+1|0;y=K+32|0;if((z|0)<(m|0)){J=z;K=y}else{u=i;v=m;w=y;continue a}}}r=r+1|0;if((r|0)==(d|0))break;else s=I+(q<<2)|0}return}function Kca(a,b,c,e,g){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;var h=0,i=0.0,j=0,k=0.0,l=0,m=0.0,o=0,p=0.0,q=0,r=0.0,s=0,t=0.0,u=0,v=0.0,w=0,x=0.0,y=0,z=0,A=0,B=0,C=0,D=0.0,E=0.0,F=0.0,G=0;a=g+-4|0;if((g|0)<4)h=0;else{i=+n[e>>2];j=f[b>>2]|0;k=+n[e+20>>2];l=f[b+20>>2]|0;m=+n[e+4>>2];o=f[b+4>>2]|0;p=+n[e+8>>2];q=f[b+8>>2]|0;r=+n[e+12>>2];s=f[b+12>>2]|0;t=+n[e+16>>2];u=f[b+16>>2]|0;v=+n[e+24>>2];w=f[b+24>>2]|0;x=+n[e+28>>2];y=f[b+28>>2]|0;z=0;do{A=z|1;B=z|2;C=z|3;D=i*+n[j+(A<<2)>>2]+m*+n[o+(A<<2)>>2]+p*+n[q+(A<<2)>>2]+r*+n[s+(A<<2)>>2]+t*+n[u+(A<<2)>>2]+k*+n[l+(A<<2)>>2]+v*+n[w+(A<<2)>>2]+x*+n[y+(A<<2)>>2];E=i*+n[j+(B<<2)>>2]+m*+n[o+(B<<2)>>2]+p*+n[q+(B<<2)>>2]+r*+n[s+(B<<2)>>2]+t*+n[u+(B<<2)>>2]+k*+n[l+(B<<2)>>2]+v*+n[w+(B<<2)>>2]+x*+n[y+(B<<2)>>2];F=i*+n[j+(C<<2)>>2]+m*+n[o+(C<<2)>>2]+p*+n[q+(C<<2)>>2]+r*+n[s+(C<<2)>>2]+t*+n[u+(C<<2)>>2]+k*+n[l+(C<<2)>>2]+v*+n[w+(C<<2)>>2]+x*+n[y+(C<<2)>>2];G=Ghc(i*+n[j+(z<<2)>>2]+m*+n[o+(z<<2)>>2]+p*+n[q+(z<<2)>>2]+r*+n[s+(z<<2)>>2]+t*+n[u+(z<<2)>>2]+k*+n[l+(z<<2)>>2]+v*+n[w+(z<<2)>>2]+x*+n[y+(z<<2)>>2])|0;d[c+(z<<1)>>1]=G>>>0<65536?G:(G|0)>0?65535:0;G=Ghc(D)|0;d[c+(A<<1)>>1]=G>>>0<65536?G:(G|0)>0?65535:0;G=Ghc(E)|0;d[c+(B<<1)>>1]=G>>>0<65536?G:(G|0)>0?65535:0;G=Ghc(F)|0;d[c+(C<<1)>>1]=G>>>0<65536?G:(G|0)>0?65535:0;z=z+4|0}while((z|0)<=(a|0));h=g&-4}if((h|0)>=(g|0))return;a=f[b>>2]|0;x=+n[e>>2];z=f[b+4>>2]|0;v=+n[e+4>>2];y=f[b+8>>2]|0;k=+n[e+8>>2];w=f[b+12>>2]|0;t=+n[e+12>>2];l=f[b+16>>2]|0;r=+n[e+16>>2];u=f[b+20>>2]|0;p=+n[e+20>>2];s=f[b+24>>2]|0;m=+n[e+24>>2];q=f[b+28>>2]|0;i=+n[e+28>>2];e=h;do{h=Ghc(+n[a+(e<<2)>>2]*x+ +n[z+(e<<2)>>2]*v+ +n[y+(e<<2)>>2]*k+ +n[w+(e<<2)>>2]*t+ +n[l+(e<<2)>>2]*r+ +n[u+(e<<2)>>2]*p+ +n[s+(e<<2)>>2]*m+ +n[q+(e<<2)>>2]*i)|0;d[c+(e<<1)>>1]=h>>>0<65536?h:(h|0)>0?65535:0;e=e+1|0}while((e|0)!=(g|0));return}function Lca(a,c,d,e,g,h,i,j,k,l,m,n){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;o=u;u=u+16|0;p=o;f[a>>2]=54512;q=a+4|0;f[q>>2]=f[c>>2];r=a+8|0;s=c+4|0;f[r>>2]=f[s>>2];t=a+12|0;f[t>>2]=f[c+8>>2];f[a+16>>2]=f[c+12>>2];f[a+20>>2]=f[c+16>>2];f[a+24>>2]=f[c+20>>2];f[a+28>>2]=f[c+24>>2];f[a+32>>2]=f[c+28>>2];f[a+36>>2]=f[c+32>>2];v=f[c+36>>2]|0;f[a+40>>2]=v;f[a+44>>2]=t;t=a+52|0;w=a+48|0;f[w>>2]=t;f[t>>2]=0;f[a+56>>2]=0;if(v|0){t=v+12|0;f[t>>2]=(f[t>>2]|0)+1}if((f[s>>2]|0)<3){s=f[c+44>>2]|0;t=f[w>>2]|0;f[t>>2]=f[s>>2];f[t+4>>2]=f[s+4>>2]}else{f[r>>2]=0;$T(q,c)}c=a+60|0;f[c>>2]=f[d>>2];q=a+64|0;r=d+4|0;f[q>>2]=f[r>>2];s=a+68|0;f[s>>2]=f[d+8>>2];f[a+72>>2]=f[d+12>>2];f[a+76>>2]=f[d+16>>2];f[a+80>>2]=f[d+20>>2];f[a+84>>2]=f[d+24>>2];f[a+88>>2]=f[d+28>>2];f[a+92>>2]=f[d+32>>2];t=f[d+36>>2]|0;f[a+96>>2]=t;f[a+100>>2]=s;s=a+108|0;w=a+104|0;f[w>>2]=s;f[s>>2]=0;f[a+112>>2]=0;if(t|0){s=t+12|0;f[s>>2]=(f[s>>2]|0)+1}if((f[r>>2]|0)<3){r=f[d+44>>2]|0;s=f[w>>2]|0;f[s>>2]=f[r>>2];f[s+4>>2]=f[r+4>>2]}else{f[q>>2]=0;$T(c,d)}f[a+116>>2]=e;f[a+120>>2]=g;f[a+124>>2]=h;f[a+128>>2]=i;f[a+132>>2]=f[j>>2];f[a+136>>2]=f[j+4>>2];f[a+140>>2]=f[k>>2];f[a+144>>2]=f[k+4>>2];f[a+148>>2]=l;f[a+152>>2]=m;f[a+156>>2]=n;if((l|0)<17){u=o;return}else{f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;o=cuc(32)|0;f[p>>2]=o;f[p+8>>2]=-2147483616;f[p+4>>2]=18;l=o;n=253175;a=l+18|0;do{b[l>>0]=b[n>>0]|0;l=l+1|0;n=n+1|0}while((l|0)<(a|0));b[o+18>>0]=0;WD(-215,p,253194,252921,2391)}}function Mca(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=54512;b=a+60|0;c=a+96|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+76|0;b=a+64|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+100>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+104>>2]|0;if((b|0)!=(a+108|0))TC(b);b=a+4|0;d=a+40|0;c=f[d>>2]|0;if(c|0?(e=c+12|0,c=f[e>>2]|0,f[e>>2]=c+-1,(c|0)==1):0)aU(b);f[d>>2]=0;d=a+20|0;b=a+8|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[b>>2]|0)>0){d=f[a+44>>2]|0;c=0;do{f[d+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[b>>2]|0))}b=f[a+48>>2]|0;if((b|0)==(a+52|0))return;TC(b);return}function Nca(a){a=a|0;Mca(a);fuc(a);return}function Oca(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0;c=u;u=u+1264|0;d=c+1257|0;e=c+1256|0;g=c+192|0;h=c+128|0;i=c+64|0;j=c;k=((f[a+4>>2]|0)>>>3&511)+1|0;l=a+140|0;m=(f[l>>2]|0)+15&-16;n=a+148|0;o=f[n>>2]|0;p=Y(m,o)|0;q=g+8|0;f[g>>2]=q;r=g+4|0;f[r>>2]=p;if(p>>>0>264){s=euc(p>>>0>1073741823?-1:p<<2)|0;f[g>>2]=s;t=s}else t=q;s=h;p=s+64|0;do{f[s>>2]=0;s=s+4|0}while((s|0)<(p|0));s=i;p=s+64|0;do{f[s>>2]=0;s=s+4|0}while((s|0)<(p|0));if((o|0)>0){kzc(j|0,-1,o<<2|0)|0;s=0;do{p=t+((Y(s,m)|0)<<2)|0;f[i+(s<<2)>>2]=p;s=s+1|0}while((s|0)<(o|0))}s=f[b>>2]|0;p=b+4|0;if((s|0)<(f[p>>2]|0)){b=a+120|0;v=a+116|0;w=a+124|0;x=a+132|0;y=a+152|0;z=a+156|0;A=a+76|0;B=a+108|0;C=a+136|0;D=a+20|0;E=a+48|0;F=m<<2;m=(f[a+128>>2]|0)+((Y(s,o)|0)<<1)|0;a=s;s=o;while(1){if((s|0)>0){o=(f[(f[b>>2]|0)+(a<<2)>>2]|0)+1+((s|0)/-2|0)|0;G=s;H=0;I=s;J=0;while(1){K=o+J|0;L=f[C>>2]|0;M=(K|0)>-1?((K|0)<(L|0)?K:L+-1|0):0;L=(H|0)<(J|0)?J:H;a:do if((L|0)<(I|0)){K=L;while(1){if((K|0)<16?(M|0)==(f[j+(K<<2)>>2]|0):0)break;N=K+1|0;if((N|0)<(I|0))K=N;else{O=I;P=N;break a}}if((K|0)>(J|0)){szc(f[i+(J<<2)>>2]|0,f[i+(K<<2)>>2]|0,F|0)|0;O=f[n>>2]|0;P=K}else{O=I;P=K}}else{O=I;P=L}while(0);G=(J|0)<(G|0)&(P|0)==(O|0)?J:G;L=(f[D>>2]|0)+(Y(f[f[E>>2]>>2]|0,M)|0)|0;f[h+(J<<2)>>2]=L;f[j+(J<<2)>>2]=M;J=J+1|0;if((J|0)>=(O|0))break;else{H=P;I=O}}if((O|0)>(G|0))Pca(d,h+(G<<2)|0,i+(G<<2)|0,O-G|0,f[v>>2]|0,f[w>>2]|0,f[x>>2]|0,f[l>>2]|0,k,f[y>>2]|0,f[z>>2]|0)}I=(f[A>>2]|0)+(Y(f[B>>2]|0,a)|0)|0;Qca(e,i,I,m,f[l>>2]|0);a=a+1|0;I=f[n>>2]|0;if((a|0)>=(f[p>>2]|0))break;else{m=m+(I<<1)|0;s=I}}Q=f[g>>2]|0}else Q=t;if((Q|0)==(q|0)){u=c;return}if(Q|0)guc(Q);f[g>>2]=q;f[r>>2]=264;u=c;return}function Pca(a,b,c,e,g,i,j,k,l,m,n){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;if((e|0)<=0)return;a=l*3|0;o=l<<1;p=l<<2;q=0-(k<<3)|0;r=0;s=i;while(1){i=f[b+(r<<2)>>2]|0;t=f[c+(r<<2)>>2]|0;u=m;v=0;w=s;a:while(1){if((u|0)>(v|0)){x=u-v<<3;y=v;z=w;while(1){A=f[g+(y<<2)>>2]|0;B=0;C=0;do{D=(Y(C+-3|0,l)|0)+A|0;if(D>>>0<j>>>0)E=D;else{F=D;while(1)if((F|0)<0)F=F+l|0;else{G=F;break}while(1)if((G|0)<(j|0)){E=G;break}else G=G-l|0}B=(Y(d[z+(C<<1)>>1]|0,h[i+E>>0]|0)|0)+B|0;C=C+1|0}while((C|0)!=8);f[t+(y<<2)>>2]=B;y=y+1|0;if((y|0)==(u|0))break;else z=z+16|0}H=u;I=w+(x<<1)|0}else{H=v;I=w}if((u|0)==(k|0))break;if((H|0)<(n|0)){J=H;K=I}else{u=k;v=H;w=I;continue}while(1){z=f[g+(J<<2)>>2]|0;y=Y(d[K>>1]|0,h[i+(z-a)>>0]|0)|0;C=(Y(d[K+2>>1]|0,h[i+(z-o)>>0]|0)|0)+y|0;y=C+(Y(d[K+4>>1]|0,h[i+(z-l)>>0]|0)|0)|0;C=y+(Y(d[K+6>>1]|0,h[i+z>>0]|0)|0)|0;y=C+(Y(d[K+8>>1]|0,h[i+(z+l)>>0]|0)|0)|0;C=y+(Y(d[K+10>>1]|0,h[i+(z+o)>>0]|0)|0)|0;y=C+(Y(d[K+12>>1]|0,h[i+(z+a)>>0]|0)|0)|0;C=y+(Y(d[K+14>>1]|0,h[i+(z+p)>>0]|0)|0)|0;f[t+(J<<2)>>2]=C;C=J+1|0;z=K+16|0;if((C|0)<(n|0)){J=C;K=z}else{u=k;v=n;w=z;continue a}}}r=r+1|0;if((r|0)==(e|0))break;else s=I+(q<<1)|0}return}function Qca(a,c,e,g,h){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;a=h+-4|0;if((h|0)<4)i=0;else{j=g+2|0;k=c+4|0;l=g+4|0;m=c+8|0;n=g+6|0;o=c+12|0;p=g+8|0;q=c+16|0;r=g+10|0;s=c+20|0;t=g+12|0;u=c+24|0;v=g+14|0;w=c+28|0;x=0;do{y=d[g>>1]|0;z=f[c>>2]|0;A=Y(f[z+(x<<2)>>2]|0,y)|0;B=x|1;C=Y(f[z+(B<<2)>>2]|0,y)|0;D=x|2;E=Y(f[z+(D<<2)>>2]|0,y)|0;F=x|3;G=Y(f[z+(F<<2)>>2]|0,y)|0;y=d[j>>1]|0;z=f[k>>2]|0;H=(Y(f[z+(x<<2)>>2]|0,y)|0)+A|0;A=(Y(f[z+(B<<2)>>2]|0,y)|0)+C|0;C=(Y(f[z+(D<<2)>>2]|0,y)|0)+E|0;E=(Y(f[z+(F<<2)>>2]|0,y)|0)+G|0;G=d[l>>1]|0;y=f[m>>2]|0;z=(Y(f[y+(x<<2)>>2]|0,G)|0)+H|0;H=(Y(f[y+(B<<2)>>2]|0,G)|0)+A|0;A=(Y(f[y+(D<<2)>>2]|0,G)|0)+C|0;C=(Y(f[y+(F<<2)>>2]|0,G)|0)+E|0;E=d[n>>1]|0;G=f[o>>2]|0;y=(Y(f[G+(x<<2)>>2]|0,E)|0)+z|0;z=(Y(f[G+(B<<2)>>2]|0,E)|0)+H|0;H=(Y(f[G+(D<<2)>>2]|0,E)|0)+A|0;A=(Y(f[G+(F<<2)>>2]|0,E)|0)+C|0;C=d[p>>1]|0;E=f[q>>2]|0;G=(Y(f[E+(x<<2)>>2]|0,C)|0)+y|0;y=(Y(f[E+(B<<2)>>2]|0,C)|0)+z|0;z=(Y(f[E+(D<<2)>>2]|0,C)|0)+H|0;H=(Y(f[E+(F<<2)>>2]|0,C)|0)+A|0;A=d[r>>1]|0;C=f[s>>2]|0;E=(Y(f[C+(x<<2)>>2]|0,A)|0)+G|0;G=(Y(f[C+(B<<2)>>2]|0,A)|0)+y|0;y=(Y(f[C+(D<<2)>>2]|0,A)|0)+z|0;z=(Y(f[C+(F<<2)>>2]|0,A)|0)+H|0;H=d[t>>1]|0;A=f[u>>2]|0;C=(Y(f[A+(x<<2)>>2]|0,H)|0)+E|0;E=(Y(f[A+(B<<2)>>2]|0,H)|0)+G|0;G=(Y(f[A+(D<<2)>>2]|0,H)|0)+y|0;y=(Y(f[A+(F<<2)>>2]|0,H)|0)+z|0;z=d[v>>1]|0;H=f[w>>2]|0;A=(Y(f[H+(x<<2)>>2]|0,z)|0)+C|0;C=(Y(f[H+(B<<2)>>2]|0,z)|0)+E|0;E=(Y(f[H+(D<<2)>>2]|0,z)|0)+G|0;G=(Y(f[H+(F<<2)>>2]|0,z)|0)+y|0;y=A+2097152>>22;b[e+x>>0]=y>>>0<256?y:(y|0)>0?255:0;y=C+2097152>>22;b[e+B>>0]=y>>>0<256?y:(y|0)>0?255:0;y=E+2097152>>22;b[e+D>>0]=y>>>0<256?y:(y|0)>0?255:0;y=G+2097152>>22;b[e+F>>0]=y>>>0<256?y:(y|0)>0?255:0;x=x+4|0}while((x|0)<=(a|0));i=h&-4}if((i|0)>=(h|0))return;a=c+4|0;x=g+2|0;w=c+8|0;v=g+4|0;u=c+12|0;t=g+6|0;s=c+16|0;r=g+8|0;q=c+20|0;p=g+10|0;o=c+24|0;n=g+12|0;m=c+28|0;l=g+14|0;k=i;do{i=Y(d[g>>1]|0,f[(f[c>>2]|0)+(k<<2)>>2]|0)|0;j=Y(d[x>>1]|0,f[(f[a>>2]|0)+(k<<2)>>2]|0)|0;y=Y(d[v>>1]|0,f[(f[w>>2]|0)+(k<<2)>>2]|0)|0;F=Y(d[t>>1]|0,f[(f[u>>2]|0)+(k<<2)>>2]|0)|0;G=Y(d[r>>1]|0,f[(f[s>>2]|0)+(k<<2)>>2]|0)|0;D=Y(d[p>>1]|0,f[(f[q>>2]|0)+(k<<2)>>2]|0)|0;E=Y(d[n>>1]|0,f[(f[o>>2]|0)+(k<<2)>>2]|0)|0;B=i+2097152+j+y+F+G+D+E+(Y(d[l>>1]|0,f[(f[m>>2]|0)+(k<<2)>>2]|0)|0)>>22;b[e+k>>0]=B>>>0<256?B:(B|0)>0?255:0;k=k+1|0}while((k|0)!=(h|0));return}function Rca(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0.0,o=0.0;i=u;u=u+48|0;j=i+32|0;k=i;l=f[b+8>>2]|0;f[j>>2]=0;f[j+4>>2]=l;f[k>>2]=54612;f[k+4>>2]=a;f[k+8>>2]=b;f[k+12>>2]=c;f[k+20>>2]=d;f[k+16>>2]=e;f[k+24>>2]=g;f[k+28>>2]=h;h=f[b+4>>2]|0;if((h|0)<3){m=Y(f[b+12>>2]|0,l)|0;n=+(m>>>0);o=n*.0000152587890625;sZ(j,k,o);u=i;return}l=f[b+40>>2]|0;b=0;g=1;while(1){e=Y(f[l+(b<<2)>>2]|0,g)|0;b=b+1|0;if((b|0)==(h|0)){m=e;break}else g=e}n=+(m>>>0);o=n*.0000152587890625;sZ(j,k,o);u=i;return}function Sca(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0.0,o=0.0;i=u;u=u+48|0;j=i+32|0;k=i;l=f[b+8>>2]|0;f[j>>2]=0;f[j+4>>2]=l;f[k>>2]=54592;f[k+4>>2]=a;f[k+8>>2]=b;f[k+12>>2]=c;f[k+20>>2]=d;f[k+16>>2]=e;f[k+24>>2]=g;f[k+28>>2]=h;h=f[b+4>>2]|0;if((h|0)<3){m=Y(f[b+12>>2]|0,l)|0;n=+(m>>>0);o=n*.0000152587890625;sZ(j,k,o);u=i;return}l=f[b+40>>2]|0;b=0;g=1;while(1){e=Y(f[l+(b<<2)>>2]|0,g)|0;b=b+1|0;if((b|0)==(h|0)){m=e;break}else g=e}n=+(m>>>0);o=n*.0000152587890625;sZ(j,k,o);u=i;return}function Tca(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0.0,o=0.0;i=u;u=u+48|0;j=i+32|0;k=i;l=f[b+8>>2]|0;f[j>>2]=0;f[j+4>>2]=l;f[k>>2]=54572;f[k+4>>2]=a;f[k+8>>2]=b;f[k+12>>2]=c;f[k+20>>2]=d;f[k+16>>2]=e;f[k+24>>2]=g;f[k+28>>2]=h;h=f[b+4>>2]|0;if((h|0)<3){m=Y(f[b+12>>2]|0,l)|0;n=+(m>>>0);o=n*.0000152587890625;sZ(j,k,o);u=i;return}l=f[b+40>>2]|0;b=0;g=1;while(1){e=Y(f[l+(b<<2)>>2]|0,g)|0;b=b+1|0;if((b|0)==(h|0)){m=e;break}else g=e}n=+(m>>>0);o=n*.0000152587890625;sZ(j,k,o);u=i;return}function Uca(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0.0,o=0.0;i=u;u=u+48|0;j=i+32|0;k=i;l=f[b+8>>2]|0;f[j>>2]=0;f[j+4>>2]=l;f[k>>2]=54552;f[k+4>>2]=a;f[k+8>>2]=b;f[k+12>>2]=c;f[k+20>>2]=d;f[k+16>>2]=e;f[k+24>>2]=g;f[k+28>>2]=h;h=f[b+4>>2]|0;if((h|0)<3){m=Y(f[b+12>>2]|0,l)|0;n=+(m>>>0);o=n*.0000152587890625;sZ(j,k,o);u=i;return}l=f[b+40>>2]|0;b=0;g=1;while(1){e=Y(f[l+(b<<2)>>2]|0,g)|0;b=b+1|0;if((b|0)==(h|0)){m=e;break}else g=e}n=+(m>>>0);o=n*.0000152587890625;sZ(j,k,o);u=i;return}function Vca(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0.0,o=0.0;i=u;u=u+48|0;j=i+32|0;k=i;l=f[b+8>>2]|0;f[j>>2]=0;f[j+4>>2]=l;f[k>>2]=54532;f[k+4>>2]=a;f[k+8>>2]=b;f[k+12>>2]=c;f[k+20>>2]=d;f[k+16>>2]=e;f[k+24>>2]=g;f[k+28>>2]=h;h=f[b+4>>2]|0;if((h|0)<3){m=Y(f[b+12>>2]|0,l)|0;n=+(m>>>0);o=n*.0000152587890625;sZ(j,k,o);u=i;return}l=f[b+40>>2]|0;b=0;g=1;while(1){e=Y(f[l+(b<<2)>>2]|0,g)|0;b=b+1|0;if((b|0)==(h|0)){m=e;break}else g=e}n=+(m>>>0);o=n*.0000152587890625;sZ(j,k,o);u=i;return}function Wca(a){a=a|0;fuc(a);return}function Xca(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0.0,F=0,G=0,H=0,I=0,J=0,K=0.0,L=0,M=0,N=0.0,O=0,P=0.0,Q=0,R=0;c=u;u=u+1104|0;d=c;e=a+8|0;g=f[e>>2]|0;h=(f[g>>2]|0)>>>3;i=(h&511)+1|0;j=Y(i,f[(f[g+40>>2]|0)+4>>2]|0)|0;g=j<<1;k=d+8|0;f[d>>2]=k;l=d+4|0;f[l>>2]=g;if(g>>>0>136){m=euc(g>>>0>536870911?-1:g<<3)|0;f[d>>2]=m;o=m}else o=k;m=f[a+12>>2]|0;g=f[a+20>>2]|0;q=o+(j<<3)|0;r=f[a+28>>2]|0;s=f[r+(f[b>>2]<<2)>>2]|0;t=f[r+(f[b+4>>2]<<2)>>2]|0;b=a+16|0;r=f[(f[b>>2]|0)+(s*12|0)+4>>2]|0;v=(j|0)>0;if(v)kzc(q|0,0,j<<3|0)|0;a:do if((s|0)<(t|0)){w=f[b>>2]|0;x=f[a+4>>2]|0;y=f[x+16>>2]|0;z=f[f[x+44>>2]>>2]|0;x=h&65535;A=(g|0)>0;B=j<<3;C=r;D=s;while(1){E=+n[w+(D*12|0)+8>>2];F=f[w+(D*12|0)+4>>2]|0;G=y+(Y(z,f[w+(D*12|0)>>2]|0)|0)|0;if(v)kzc(o|0,0,B|0)|0;switch(x&511){case 0:{if(A){H=0;do{I=o+(f[m+(H*12|0)+4>>2]<<3)|0;p[I>>3]=+p[I>>3]+ +n[m+(H*12|0)+8>>2]*+p[G+(f[m+(H*12|0)>>2]<<3)>>3];H=H+1|0}while((H|0)!=(g|0))}break}case 1:{if(A){H=0;do{I=f[m+(H*12|0)>>2]|0;J=f[m+(H*12|0)+4>>2]|0;K=+n[m+(H*12|0)+8>>2];L=o+(J<<3)|0;M=o+(J+1<<3)|0;N=+p[M>>3]+K*+p[G+(I+1<<3)>>3];p[L>>3]=+p[L>>3]+K*+p[G+(I<<3)>>3];p[M>>3]=N;H=H+1|0}while((H|0)!=(g|0))}break}case 2:{if(A){H=0;do{M=f[m+(H*12|0)>>2]|0;I=f[m+(H*12|0)+4>>2]|0;N=+n[m+(H*12|0)+8>>2];L=o+(I<<3)|0;J=o+(I+1<<3)|0;K=+p[J>>3]+N*+p[G+(M+1<<3)>>3];O=o+(I+2<<3)|0;P=+p[O>>3]+N*+p[G+(M+2<<3)>>3];p[L>>3]=+p[L>>3]+N*+p[G+(M<<3)>>3];p[J>>3]=K;p[O>>3]=P;H=H+1|0}while((H|0)!=(g|0))}break}case 3:{if(A){H=0;do{O=f[m+(H*12|0)>>2]|0;J=f[m+(H*12|0)+4>>2]|0;P=+n[m+(H*12|0)+8>>2];M=o+(J<<3)|0;L=o+(J+1<<3)|0;K=+p[L>>3]+P*+p[G+(O+1<<3)>>3];p[M>>3]=+p[M>>3]+P*+p[G+(O<<3)>>3];p[L>>3]=K;L=o+(J+2<<3)|0;M=o+(J+3<<3)|0;K=+p[M>>3]+P*+p[G+(O+3<<3)>>3];p[L>>3]=+p[L>>3]+P*+p[G+(O+2<<3)>>3];p[M>>3]=K;H=H+1|0}while((H|0)!=(g|0))}break}default:if(A){H=0;do{M=f[m+(H*12|0)>>2]|0;O=f[m+(H*12|0)+4>>2]|0;K=+n[m+(H*12|0)+8>>2];L=0;do{J=o+(L+O<<3)|0;p[J>>3]=+p[J>>3]+K*+p[G+(L+M<<3)>>3];L=L+1|0}while((L|0)!=(i|0));H=H+1|0}while((H|0)!=(g|0))}}if((F|0)==(C|0))if(v){H=0;do{G=q+(H<<3)|0;p[G>>3]=+p[G>>3]+E*+p[o+(H<<3)>>3];H=H+1|0}while((H|0)!=(j|0));Q=C}else Q=C;else{H=f[e>>2]|0;G=(f[H+16>>2]|0)+(Y(f[f[H+44>>2]>>2]|0,C)|0)|0;if(v){H=0;do{L=q+(H<<3)|0;p[G+(H<<3)>>3]=+p[L>>3];p[L>>3]=E*+p[o+(H<<3)>>3];H=H+1|0}while((H|0)!=(j|0));Q=F}else Q=F}D=D+1|0;if((D|0)==(t|0)){R=Q;break a}else C=Q}}else R=r;while(0);r=f[e>>2]|0;e=(f[r+16>>2]|0)+(Y(f[f[r+44>>2]>>2]|0,R)|0)|0;if(v){v=0;do{p[e+(v<<3)>>3]=+p[q+(v<<3)>>3];v=v+1|0}while((v|0)!=(j|0))}j=f[d>>2]|0;if((j|0)==(k|0)){u=c;return}if(j|0)guc(j);f[d>>2]=k;f[l>>2]=136;u=c;return}function Yca(a){a=a|0;fuc(a);return}function Zca(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0.0,E=0,F=0,G=0,H=0,I=0,J=0.0,K=0,L=0,M=0.0,N=0,O=0.0,P=0,Q=0;c=u;u=u+1072|0;d=c;e=a+8|0;g=f[e>>2]|0;h=(f[g>>2]|0)>>>3;i=(h&511)+1|0;j=Y(i,f[(f[g+40>>2]|0)+4>>2]|0)|0;g=j<<1;k=d+8|0;f[d>>2]=k;l=d+4|0;f[l>>2]=g;if(g>>>0>264){m=euc(g>>>0>1073741823?-1:g<<2)|0;f[d>>2]=m;o=m}else o=k;m=f[a+12>>2]|0;g=f[a+20>>2]|0;p=o+(j<<2)|0;q=f[a+28>>2]|0;r=f[q+(f[b>>2]<<2)>>2]|0;s=f[q+(f[b+4>>2]<<2)>>2]|0;b=a+16|0;q=f[(f[b>>2]|0)+(r*12|0)+4>>2]|0;t=(j|0)>0;if(t)kzc(p|0,0,j<<2|0)|0;a:do if((r|0)<(s|0)){v=f[b>>2]|0;w=f[a+4>>2]|0;x=f[w+16>>2]|0;y=f[f[w+44>>2]>>2]|0;w=h&65535;z=(g|0)>0;A=j<<2;B=q;C=r;while(1){D=+n[v+(C*12|0)+8>>2];E=f[v+(C*12|0)+4>>2]|0;F=x+(Y(y,f[v+(C*12|0)>>2]|0)|0)|0;if(t)kzc(o|0,0,A|0)|0;switch(w&511){case 0:{if(z){G=0;do{H=o+(f[m+(G*12|0)+4>>2]<<2)|0;n[H>>2]=+n[H>>2]+ +n[m+(G*12|0)+8>>2]*+n[F+(f[m+(G*12|0)>>2]<<2)>>2];G=G+1|0}while((G|0)!=(g|0))}break}case 1:{if(z){G=0;do{H=f[m+(G*12|0)>>2]|0;I=f[m+(G*12|0)+4>>2]|0;J=+n[m+(G*12|0)+8>>2];K=o+(I<<2)|0;L=o+(I+1<<2)|0;M=+n[L>>2]+J*+n[F+(H+1<<2)>>2];n[K>>2]=+n[K>>2]+J*+n[F+(H<<2)>>2];n[L>>2]=M;G=G+1|0}while((G|0)!=(g|0))}break}case 2:{if(z){G=0;do{L=f[m+(G*12|0)>>2]|0;H=f[m+(G*12|0)+4>>2]|0;M=+n[m+(G*12|0)+8>>2];K=o+(H<<2)|0;I=o+(H+1<<2)|0;J=+n[I>>2]+M*+n[F+(L+1<<2)>>2];N=o+(H+2<<2)|0;O=+n[N>>2]+M*+n[F+(L+2<<2)>>2];n[K>>2]=+n[K>>2]+M*+n[F+(L<<2)>>2];n[I>>2]=J;n[N>>2]=O;G=G+1|0}while((G|0)!=(g|0))}break}case 3:{if(z){G=0;do{N=f[m+(G*12|0)>>2]|0;I=f[m+(G*12|0)+4>>2]|0;O=+n[m+(G*12|0)+8>>2];L=o+(I<<2)|0;K=o+(I+1<<2)|0;J=+n[K>>2]+O*+n[F+(N+1<<2)>>2];n[L>>2]=+n[L>>2]+O*+n[F+(N<<2)>>2];n[K>>2]=J;K=o+(I+2<<2)|0;L=o+(I+3<<2)|0;J=+n[L>>2]+O*+n[F+(N+3<<2)>>2];n[K>>2]=+n[K>>2]+O*+n[F+(N+2<<2)>>2];n[L>>2]=J;G=G+1|0}while((G|0)!=(g|0))}break}default:if(z){G=0;do{L=f[m+(G*12|0)>>2]|0;N=f[m+(G*12|0)+4>>2]|0;J=+n[m+(G*12|0)+8>>2];K=0;do{I=o+(K+N<<2)|0;n[I>>2]=+n[I>>2]+J*+n[F+(K+L<<2)>>2];K=K+1|0}while((K|0)!=(i|0));G=G+1|0}while((G|0)!=(g|0))}}if((E|0)==(B|0))if(t){G=0;do{F=p+(G<<2)|0;n[F>>2]=+n[F>>2]+D*+n[o+(G<<2)>>2];G=G+1|0}while((G|0)!=(j|0));P=B}else P=B;else{G=f[e>>2]|0;F=(f[G+16>>2]|0)+(Y(f[f[G+44>>2]>>2]|0,B)|0)|0;if(t){G=0;do{K=p+(G<<2)|0;f[F+(G<<2)>>2]=f[K>>2];n[K>>2]=D*+n[o+(G<<2)>>2];G=G+1|0}while((G|0)!=(j|0));P=E}else P=E}C=C+1|0;if((C|0)==(s|0)){Q=P;break a}else B=P}}else Q=q;while(0);q=f[e>>2]|0;e=(f[q+16>>2]|0)+(Y(f[f[q+44>>2]>>2]|0,Q)|0)|0;if(t){t=0;do{f[e+(t<<2)>>2]=f[p+(t<<2)>>2];t=t+1|0}while((t|0)!=(j|0))}j=f[d>>2]|0;if((j|0)==(k|0)){u=c;return}if(j|0)guc(j);f[d>>2]=k;f[l>>2]=264;u=c;return}function _ca(a){a=a|0;fuc(a);return}function $ca(a,b){a=a|0;b=b|0;var c=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0.0,F=0,G=0,H=0,I=0,J=0,K=0.0,L=0,M=0,N=0.0,O=0,P=0.0,Q=0,R=0;c=u;u=u+1072|0;e=c;g=a+8|0;h=f[g>>2]|0;i=(f[h>>2]|0)>>>3;j=(i&511)+1|0;k=Y(j,f[(f[h+40>>2]|0)+4>>2]|0)|0;h=k<<1;l=e+8|0;f[e>>2]=l;m=e+4|0;f[m>>2]=h;if(h>>>0>264){o=euc(h>>>0>1073741823?-1:h<<2)|0;f[e>>2]=o;p=o}else p=l;o=f[a+12>>2]|0;h=f[a+20>>2]|0;q=p+(k<<2)|0;r=f[a+28>>2]|0;s=f[r+(f[b>>2]<<2)>>2]|0;t=f[r+(f[b+4>>2]<<2)>>2]|0;b=a+16|0;r=f[(f[b>>2]|0)+(s*12|0)+4>>2]|0;v=(k|0)>0;if(v)kzc(q|0,0,k<<2|0)|0;a:do if((s|0)<(t|0)){w=f[b>>2]|0;x=f[a+4>>2]|0;y=f[x+16>>2]|0;z=f[f[x+44>>2]>>2]|0;x=i&65535;A=(h|0)>0;B=k<<2;C=s;D=r;while(1){E=+n[w+(C*12|0)+8>>2];F=f[w+(C*12|0)+4>>2]|0;G=y+(Y(z,f[w+(C*12|0)>>2]|0)|0)|0;if(v)kzc(p|0,0,B|0)|0;switch(x&511){case 0:{if(A){H=0;do{I=p+(f[o+(H*12|0)+4>>2]<<2)|0;n[I>>2]=+n[I>>2]+ +n[o+(H*12|0)+8>>2]*+(d[G+(f[o+(H*12|0)>>2]<<1)>>1]|0);H=H+1|0}while((H|0)!=(h|0))}break}case 1:{if(A){H=0;do{I=f[o+(H*12|0)>>2]|0;J=f[o+(H*12|0)+4>>2]|0;K=+n[o+(H*12|0)+8>>2];L=p+(J<<2)|0;M=p+(J+1<<2)|0;N=+n[M>>2]+K*+(d[G+(I+1<<1)>>1]|0);n[L>>2]=+n[L>>2]+K*+(d[G+(I<<1)>>1]|0);n[M>>2]=N;H=H+1|0}while((H|0)!=(h|0))}break}case 2:{if(A){H=0;do{M=f[o+(H*12|0)>>2]|0;I=f[o+(H*12|0)+4>>2]|0;N=+n[o+(H*12|0)+8>>2];L=p+(I<<2)|0;J=p+(I+1<<2)|0;K=+n[J>>2]+N*+(d[G+(M+1<<1)>>1]|0);O=p+(I+2<<2)|0;P=+n[O>>2]+N*+(d[G+(M+2<<1)>>1]|0);n[L>>2]=+n[L>>2]+N*+(d[G+(M<<1)>>1]|0);n[J>>2]=K;n[O>>2]=P;H=H+1|0}while((H|0)!=(h|0))}break}case 3:{if(A){H=0;do{O=f[o+(H*12|0)>>2]|0;J=f[o+(H*12|0)+4>>2]|0;P=+n[o+(H*12|0)+8>>2];M=p+(J<<2)|0;L=p+(J+1<<2)|0;K=+n[L>>2]+P*+(d[G+(O+1<<1)>>1]|0);n[M>>2]=+n[M>>2]+P*+(d[G+(O<<1)>>1]|0);n[L>>2]=K;L=p+(J+2<<2)|0;M=p+(J+3<<2)|0;K=+n[M>>2]+P*+(d[G+(O+3<<1)>>1]|0);n[L>>2]=+n[L>>2]+P*+(d[G+(O+2<<1)>>1]|0);n[M>>2]=K;H=H+1|0}while((H|0)!=(h|0))}break}default:if(A){H=0;do{M=f[o+(H*12|0)>>2]|0;O=f[o+(H*12|0)+4>>2]|0;K=+n[o+(H*12|0)+8>>2];L=0;do{J=p+(L+O<<2)|0;n[J>>2]=+n[J>>2]+K*+(d[G+(L+M<<1)>>1]|0);L=L+1|0}while((L|0)!=(j|0));H=H+1|0}while((H|0)!=(h|0))}}if((F|0)==(D|0))if(v){H=0;do{G=q+(H<<2)|0;n[G>>2]=+n[G>>2]+E*+n[p+(H<<2)>>2];H=H+1|0}while((H|0)!=(k|0));Q=D}else Q=D;else{H=f[g>>2]|0;G=(f[H+16>>2]|0)+(Y(f[f[H+44>>2]>>2]|0,D)|0)|0;if(v){H=0;do{L=q+(H<<2)|0;M=Ghc(+n[L>>2])|0;d[G+(H<<1)>>1]=(M+32768|0)>>>0<65536?M:(M|0)>0?32767:32768;n[L>>2]=E*+n[p+(H<<2)>>2];H=H+1|0}while((H|0)!=(k|0));Q=F}else Q=F}C=C+1|0;if((C|0)==(t|0)){R=Q;break a}else D=Q}}else R=r;while(0);r=f[g>>2]|0;g=(f[r+16>>2]|0)+(Y(f[f[r+44>>2]>>2]|0,R)|0)|0;if(v){v=0;do{R=Ghc(+n[q+(v<<2)>>2])|0;d[g+(v<<1)>>1]=(R+32768|0)>>>0<65536?R:(R|0)>0?32767:32768;v=v+1|0}while((v|0)!=(k|0))}k=f[e>>2]|0;if((k|0)==(l|0)){u=c;return}if(k|0)guc(k);f[e>>2]=l;f[m>>2]=264;u=c;return}function ada(a){a=a|0;fuc(a);return}function bda(a,b){a=a|0;b=b|0;var c=0,e=0,g=0,h=0,i=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0.0,G=0,H=0,I=0,J=0,K=0,L=0.0,M=0,N=0,O=0.0,P=0,Q=0.0,R=0,S=0;c=u;u=u+1072|0;e=c;g=a+8|0;h=f[g>>2]|0;i=(f[h>>2]|0)>>>3;k=(i&511)+1|0;l=Y(k,f[(f[h+40>>2]|0)+4>>2]|0)|0;h=l<<1;m=e+8|0;f[e>>2]=m;o=e+4|0;f[o>>2]=h;if(h>>>0>264){p=euc(h>>>0>1073741823?-1:h<<2)|0;f[e>>2]=p;q=p}else q=m;p=f[a+12>>2]|0;h=f[a+20>>2]|0;r=q+(l<<2)|0;s=f[a+28>>2]|0;t=f[s+(f[b>>2]<<2)>>2]|0;v=f[s+(f[b+4>>2]<<2)>>2]|0;b=a+16|0;s=f[(f[b>>2]|0)+(t*12|0)+4>>2]|0;w=(l|0)>0;if(w)kzc(r|0,0,l<<2|0)|0;a:do if((t|0)<(v|0)){x=f[b>>2]|0;y=f[a+4>>2]|0;z=f[y+16>>2]|0;A=f[f[y+44>>2]>>2]|0;y=i&65535;B=(h|0)>0;C=l<<2;D=t;E=s;while(1){F=+n[x+(D*12|0)+8>>2];G=f[x+(D*12|0)+4>>2]|0;H=z+(Y(A,f[x+(D*12|0)>>2]|0)|0)|0;if(w)kzc(q|0,0,C|0)|0;switch(y&511){case 0:{if(B){I=0;do{J=q+(f[p+(I*12|0)+4>>2]<<2)|0;n[J>>2]=+n[J>>2]+ +n[p+(I*12|0)+8>>2]*+(j[H+(f[p+(I*12|0)>>2]<<1)>>1]|0);I=I+1|0}while((I|0)!=(h|0))}break}case 1:{if(B){I=0;do{J=f[p+(I*12|0)>>2]|0;K=f[p+(I*12|0)+4>>2]|0;L=+n[p+(I*12|0)+8>>2];M=q+(K<<2)|0;N=q+(K+1<<2)|0;O=+n[N>>2]+L*+(j[H+(J+1<<1)>>1]|0);n[M>>2]=+n[M>>2]+L*+(j[H+(J<<1)>>1]|0);n[N>>2]=O;I=I+1|0}while((I|0)!=(h|0))}break}case 2:{if(B){I=0;do{N=f[p+(I*12|0)>>2]|0;J=f[p+(I*12|0)+4>>2]|0;O=+n[p+(I*12|0)+8>>2];M=q+(J<<2)|0;K=q+(J+1<<2)|0;L=+n[K>>2]+O*+(j[H+(N+1<<1)>>1]|0);P=q+(J+2<<2)|0;Q=+n[P>>2]+O*+(j[H+(N+2<<1)>>1]|0);n[M>>2]=+n[M>>2]+O*+(j[H+(N<<1)>>1]|0);n[K>>2]=L;n[P>>2]=Q;I=I+1|0}while((I|0)!=(h|0))}break}case 3:{if(B){I=0;do{P=f[p+(I*12|0)>>2]|0;K=f[p+(I*12|0)+4>>2]|0;Q=+n[p+(I*12|0)+8>>2];N=q+(K<<2)|0;M=q+(K+1<<2)|0;L=+n[M>>2]+Q*+(j[H+(P+1<<1)>>1]|0);n[N>>2]=+n[N>>2]+Q*+(j[H+(P<<1)>>1]|0);n[M>>2]=L;M=q+(K+2<<2)|0;N=q+(K+3<<2)|0;L=+n[N>>2]+Q*+(j[H+(P+3<<1)>>1]|0);n[M>>2]=+n[M>>2]+Q*+(j[H+(P+2<<1)>>1]|0);n[N>>2]=L;I=I+1|0}while((I|0)!=(h|0))}break}default:if(B){I=0;do{N=f[p+(I*12|0)>>2]|0;P=f[p+(I*12|0)+4>>2]|0;L=+n[p+(I*12|0)+8>>2];M=0;do{K=q+(M+P<<2)|0;n[K>>2]=+n[K>>2]+L*+(j[H+(M+N<<1)>>1]|0);M=M+1|0}while((M|0)!=(k|0));I=I+1|0}while((I|0)!=(h|0))}}if((G|0)==(E|0))if(w){I=0;do{H=r+(I<<2)|0;n[H>>2]=+n[H>>2]+F*+n[q+(I<<2)>>2];I=I+1|0}while((I|0)!=(l|0));R=E}else R=E;else{I=f[g>>2]|0;H=(f[I+16>>2]|0)+(Y(f[f[I+44>>2]>>2]|0,E)|0)|0;if(w){I=0;do{M=r+(I<<2)|0;N=Ghc(+n[M>>2])|0;d[H+(I<<1)>>1]=N>>>0<65536?N:(N|0)>0?65535:0;n[M>>2]=F*+n[q+(I<<2)>>2];I=I+1|0}while((I|0)!=(l|0));R=G}else R=G}D=D+1|0;if((D|0)==(v|0)){S=R;break a}else E=R}}else S=s;while(0);s=f[g>>2]|0;g=(f[s+16>>2]|0)+(Y(f[f[s+44>>2]>>2]|0,S)|0)|0;if(w){w=0;do{S=Ghc(+n[r+(w<<2)>>2])|0;d[g+(w<<1)>>1]=S>>>0<65536?S:(S|0)>0?65535:0;w=w+1|0}while((w|0)!=(l|0))}l=f[e>>2]|0;if((l|0)==(m|0)){u=c;return}if(l|0)guc(l);f[e>>2]=m;f[o>>2]=264;u=c;return}function cda(a){a=a|0;fuc(a);return}function dda(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0.0,F=0,G=0,H=0,I=0,J=0.0,K=0,L=0,M=0.0,N=0,O=0.0,P=0,Q=0;d=u;u=u+1072|0;e=d;g=a+8|0;i=f[g>>2]|0;j=(f[i>>2]|0)>>>3;k=(j&511)+1|0;l=Y(k,f[(f[i+40>>2]|0)+4>>2]|0)|0;i=l<<1;m=e+8|0;f[e>>2]=m;o=e+4|0;f[o>>2]=i;if(i>>>0>264){p=euc(i>>>0>1073741823?-1:i<<2)|0;f[e>>2]=p;q=p}else q=m;p=f[a+12>>2]|0;i=f[a+20>>2]|0;r=q+(l<<2)|0;s=f[a+28>>2]|0;t=f[s+(f[c>>2]<<2)>>2]|0;v=f[s+(f[c+4>>2]<<2)>>2]|0;c=a+16|0;s=f[(f[c>>2]|0)+(t*12|0)+4>>2]|0;w=(l|0)>0;if(w)kzc(r|0,0,l<<2|0)|0;a:do if((t|0)<(v|0)){x=a+4|0;y=j&65535;z=(i|0)>0;A=l<<2;B=s;C=t;while(1){D=f[c>>2]|0;E=+n[D+(C*12|0)+8>>2];F=f[D+(C*12|0)+4>>2]|0;G=f[x>>2]|0;H=(f[G+16>>2]|0)+(Y(f[f[G+44>>2]>>2]|0,f[D+(C*12|0)>>2]|0)|0)|0;if(w)kzc(q|0,0,A|0)|0;switch(y&511){case 0:{if(z){D=0;do{G=q+(f[p+(D*12|0)+4>>2]<<2)|0;n[G>>2]=+n[G>>2]+ +n[p+(D*12|0)+8>>2]*+(h[H+(f[p+(D*12|0)>>2]|0)>>0]|0);D=D+1|0}while((D|0)!=(i|0))}break}case 1:{if(z){D=0;do{G=f[p+(D*12|0)>>2]|0;I=f[p+(D*12|0)+4>>2]|0;J=+n[p+(D*12|0)+8>>2];K=q+(I<<2)|0;L=q+(I+1<<2)|0;M=+n[L>>2]+J*+(h[H+(G+1)>>0]|0);n[K>>2]=+n[K>>2]+J*+(h[H+G>>0]|0);n[L>>2]=M;D=D+1|0}while((D|0)!=(i|0))}break}case 2:{if(z){D=0;do{L=f[p+(D*12|0)>>2]|0;G=f[p+(D*12|0)+4>>2]|0;M=+n[p+(D*12|0)+8>>2];K=q+(G<<2)|0;I=q+(G+1<<2)|0;J=+n[I>>2]+M*+(h[H+(L+1)>>0]|0);N=q+(G+2<<2)|0;O=+n[N>>2]+M*+(h[H+(L+2)>>0]|0);n[K>>2]=+n[K>>2]+M*+(h[H+L>>0]|0);n[I>>2]=J;n[N>>2]=O;D=D+1|0}while((D|0)!=(i|0))}break}case 3:{if(z){D=0;do{N=f[p+(D*12|0)>>2]|0;I=f[p+(D*12|0)+4>>2]|0;O=+n[p+(D*12|0)+8>>2];L=q+(I<<2)|0;K=q+(I+1<<2)|0;J=+n[K>>2]+O*+(h[H+(N+1)>>0]|0);n[L>>2]=+n[L>>2]+O*+(h[H+N>>0]|0);n[K>>2]=J;K=q+(I+2<<2)|0;L=q+(I+3<<2)|0;J=+n[L>>2]+O*+(h[H+(N+3)>>0]|0);n[K>>2]=+n[K>>2]+O*+(h[H+(N+2)>>0]|0);n[L>>2]=J;D=D+1|0}while((D|0)!=(i|0))}break}default:if(z){D=0;do{L=f[p+(D*12|0)>>2]|0;N=f[p+(D*12|0)+4>>2]|0;J=+n[p+(D*12|0)+8>>2];K=0;do{I=q+(K+N<<2)|0;n[I>>2]=+n[I>>2]+J*+(h[H+(K+L)>>0]|0);K=K+1|0}while((K|0)!=(k|0));D=D+1|0}while((D|0)!=(i|0))}}if((F|0)==(B|0))if(w){D=0;do{H=r+(D<<2)|0;n[H>>2]=+n[H>>2]+E*+n[q+(D<<2)>>2];D=D+1|0}while((D|0)!=(l|0));P=B}else P=B;else{D=f[g>>2]|0;H=(f[D+16>>2]|0)+(Y(f[f[D+44>>2]>>2]|0,B)|0)|0;if(w){D=0;do{K=r+(D<<2)|0;L=Ghc(+n[K>>2])|0;b[H+D>>0]=L>>>0<256?L:(L|0)>0?255:0;n[K>>2]=E*+n[q+(D<<2)>>2];D=D+1|0}while((D|0)!=(l|0));P=F}else P=F}C=C+1|0;if((C|0)==(v|0)){Q=P;break a}else B=P}}else Q=s;while(0);s=f[g>>2]|0;g=(f[s+16>>2]|0)+(Y(f[f[s+44>>2]>>2]|0,Q)|0)|0;if(w){w=0;do{Q=Ghc(+n[r+(w<<2)>>2])|0;b[g+w>>0]=Q>>>0<256?Q:(Q|0)>0?255:0;w=w+1|0}while((w|0)!=(l|0))}l=f[e>>2]|0;if((l|0)==(m|0)){u=d;return}if(l|0)guc(l);f[e>>2]=m;f[o>>2]=264;u=d;return}function eda(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0.0,x=0.0;h=u;u=u+144|0;i=h+136|0;j=h;k=b+8|0;l=f[k>>2]|0;f[i>>2]=0;f[i+4>>2]=l;f[j>>2]=54712;l=j+4|0;f[l>>2]=f[a>>2];m=j+8|0;n=a+4|0;o=f[n>>2]|0;f[m>>2]=o;p=j+12|0;f[p>>2]=f[a+8>>2];f[j+16>>2]=f[a+12>>2];f[j+20>>2]=f[a+16>>2];f[j+24>>2]=f[a+20>>2];f[j+28>>2]=f[a+24>>2];f[j+32>>2]=f[a+28>>2];f[j+36>>2]=f[a+32>>2];q=f[a+36>>2]|0;f[j+40>>2]=q;f[j+44>>2]=p;p=j+52|0;r=j+48|0;f[r>>2]=p;f[p>>2]=0;f[j+56>>2]=0;if(!q)s=o;else{o=q+12|0;f[o>>2]=(f[o>>2]|0)+1;s=f[n>>2]|0}if((s|0)<3){s=f[a+44>>2]|0;n=f[r>>2]|0;f[n>>2]=f[s>>2];f[n+4>>2]=f[s+4>>2]}else{f[m>>2]=0;$T(l,a)}a=j+60|0;f[a>>2]=f[b>>2];l=j+64|0;m=b+4|0;s=f[m>>2]|0;f[l>>2]=s;n=j+68|0;f[n>>2]=f[k>>2];r=b+12|0;f[j+72>>2]=f[r>>2];f[j+76>>2]=f[b+16>>2];f[j+80>>2]=f[b+20>>2];f[j+84>>2]=f[b+24>>2];f[j+88>>2]=f[b+28>>2];f[j+92>>2]=f[b+32>>2];o=f[b+36>>2]|0;f[j+96>>2]=o;f[j+100>>2]=n;n=j+108|0;q=j+104|0;f[q>>2]=n;f[n>>2]=0;f[j+112>>2]=0;if(!o)t=s;else{s=o+12|0;f[s>>2]=(f[s>>2]|0)+1;t=f[m>>2]|0}if((t|0)<3){t=f[b+44>>2]|0;s=f[q>>2]|0;f[s>>2]=f[t>>2];f[s+4>>2]=f[t+4>>2]}else{f[l>>2]=0;$T(a,b)}f[j+116>>2]=e;f[j+120>>2]=g;f[j+124>>2]=c;f[j+128>>2]=d;d=f[m>>2]|0;if((d|0)<3){v=Y(f[r>>2]|0,f[k>>2]|0)|0;w=+(v>>>0);x=w*.0000152587890625;sZ(i,j,x);xda(j);u=h;return}k=f[b+40>>2]|0;b=0;r=1;while(1){m=Y(f[k+(b<<2)>>2]|0,r)|0;b=b+1|0;if((b|0)==(d|0)){v=m;break}else r=m}w=+(v>>>0);x=w*.0000152587890625;sZ(i,j,x);xda(j);u=h;return}function fda(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0.0,x=0.0;h=u;u=u+144|0;i=h+136|0;j=h;k=b+8|0;l=f[k>>2]|0;f[i>>2]=0;f[i+4>>2]=l;f[j>>2]=54692;l=j+4|0;f[l>>2]=f[a>>2];m=j+8|0;n=a+4|0;o=f[n>>2]|0;f[m>>2]=o;p=j+12|0;f[p>>2]=f[a+8>>2];f[j+16>>2]=f[a+12>>2];f[j+20>>2]=f[a+16>>2];f[j+24>>2]=f[a+20>>2];f[j+28>>2]=f[a+24>>2];f[j+32>>2]=f[a+28>>2];f[j+36>>2]=f[a+32>>2];q=f[a+36>>2]|0;f[j+40>>2]=q;f[j+44>>2]=p;p=j+52|0;r=j+48|0;f[r>>2]=p;f[p>>2]=0;f[j+56>>2]=0;if(!q)s=o;else{o=q+12|0;f[o>>2]=(f[o>>2]|0)+1;s=f[n>>2]|0}if((s|0)<3){s=f[a+44>>2]|0;n=f[r>>2]|0;f[n>>2]=f[s>>2];f[n+4>>2]=f[s+4>>2]}else{f[m>>2]=0;$T(l,a)}a=j+60|0;f[a>>2]=f[b>>2];l=j+64|0;m=b+4|0;s=f[m>>2]|0;f[l>>2]=s;n=j+68|0;f[n>>2]=f[k>>2];r=b+12|0;f[j+72>>2]=f[r>>2];f[j+76>>2]=f[b+16>>2];f[j+80>>2]=f[b+20>>2];f[j+84>>2]=f[b+24>>2];f[j+88>>2]=f[b+28>>2];f[j+92>>2]=f[b+32>>2];o=f[b+36>>2]|0;f[j+96>>2]=o;f[j+100>>2]=n;n=j+108|0;q=j+104|0;f[q>>2]=n;f[n>>2]=0;f[j+112>>2]=0;if(!o)t=s;else{s=o+12|0;f[s>>2]=(f[s>>2]|0)+1;t=f[m>>2]|0}if((t|0)<3){t=f[b+44>>2]|0;s=f[q>>2]|0;f[s>>2]=f[t>>2];f[s+4>>2]=f[t+4>>2]}else{f[l>>2]=0;$T(a,b)}f[j+116>>2]=e;f[j+120>>2]=g;f[j+124>>2]=c;f[j+128>>2]=d;d=f[m>>2]|0;if((d|0)<3){v=Y(f[r>>2]|0,f[k>>2]|0)|0;w=+(v>>>0);x=w*.0000152587890625;sZ(i,j,x);tda(j);u=h;return}k=f[b+40>>2]|0;b=0;r=1;while(1){m=Y(f[k+(b<<2)>>2]|0,r)|0;b=b+1|0;if((b|0)==(d|0)){v=m;break}else r=m}w=+(v>>>0);x=w*.0000152587890625;sZ(i,j,x);tda(j);u=h;return}function gda(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0.0,x=0.0;h=u;u=u+144|0;i=h+136|0;j=h;k=b+8|0;l=f[k>>2]|0;f[i>>2]=0;f[i+4>>2]=l;f[j>>2]=54672;l=j+4|0;f[l>>2]=f[a>>2];m=j+8|0;n=a+4|0;o=f[n>>2]|0;f[m>>2]=o;p=j+12|0;f[p>>2]=f[a+8>>2];f[j+16>>2]=f[a+12>>2];f[j+20>>2]=f[a+16>>2];f[j+24>>2]=f[a+20>>2];f[j+28>>2]=f[a+24>>2];f[j+32>>2]=f[a+28>>2];f[j+36>>2]=f[a+32>>2];q=f[a+36>>2]|0;f[j+40>>2]=q;f[j+44>>2]=p;p=j+52|0;r=j+48|0;f[r>>2]=p;f[p>>2]=0;f[j+56>>2]=0;if(!q)s=o;else{o=q+12|0;f[o>>2]=(f[o>>2]|0)+1;s=f[n>>2]|0}if((s|0)<3){s=f[a+44>>2]|0;n=f[r>>2]|0;f[n>>2]=f[s>>2];f[n+4>>2]=f[s+4>>2]}else{f[m>>2]=0;$T(l,a)}a=j+60|0;f[a>>2]=f[b>>2];l=j+64|0;m=b+4|0;s=f[m>>2]|0;f[l>>2]=s;n=j+68|0;f[n>>2]=f[k>>2];r=b+12|0;f[j+72>>2]=f[r>>2];f[j+76>>2]=f[b+16>>2];f[j+80>>2]=f[b+20>>2];f[j+84>>2]=f[b+24>>2];f[j+88>>2]=f[b+28>>2];f[j+92>>2]=f[b+32>>2];o=f[b+36>>2]|0;f[j+96>>2]=o;f[j+100>>2]=n;n=j+108|0;q=j+104|0;f[q>>2]=n;f[n>>2]=0;f[j+112>>2]=0;if(!o)t=s;else{s=o+12|0;f[s>>2]=(f[s>>2]|0)+1;t=f[m>>2]|0}if((t|0)<3){t=f[b+44>>2]|0;s=f[q>>2]|0;f[s>>2]=f[t>>2];f[s+4>>2]=f[t+4>>2]}else{f[l>>2]=0;$T(a,b)}f[j+116>>2]=e;f[j+120>>2]=g;f[j+124>>2]=c;f[j+128>>2]=d;d=f[m>>2]|0;if((d|0)<3){v=Y(f[r>>2]|0,f[k>>2]|0)|0;w=+(v>>>0);x=w*.0000152587890625;sZ(i,j,x);pda(j);u=h;return}k=f[b+40>>2]|0;b=0;r=1;while(1){m=Y(f[k+(b<<2)>>2]|0,r)|0;b=b+1|0;if((b|0)==(d|0)){v=m;break}else r=m}w=+(v>>>0);x=w*.0000152587890625;sZ(i,j,x);pda(j);u=h;return}function hda(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0.0,x=0.0;h=u;u=u+144|0;i=h+136|0;j=h;k=b+8|0;l=f[k>>2]|0;f[i>>2]=0;f[i+4>>2]=l;f[j>>2]=54652;l=j+4|0;f[l>>2]=f[a>>2];m=j+8|0;n=a+4|0;o=f[n>>2]|0;f[m>>2]=o;p=j+12|0;f[p>>2]=f[a+8>>2];f[j+16>>2]=f[a+12>>2];f[j+20>>2]=f[a+16>>2];f[j+24>>2]=f[a+20>>2];f[j+28>>2]=f[a+24>>2];f[j+32>>2]=f[a+28>>2];f[j+36>>2]=f[a+32>>2];q=f[a+36>>2]|0;f[j+40>>2]=q;f[j+44>>2]=p;p=j+52|0;r=j+48|0;f[r>>2]=p;f[p>>2]=0;f[j+56>>2]=0;if(!q)s=o;else{o=q+12|0;f[o>>2]=(f[o>>2]|0)+1;s=f[n>>2]|0}if((s|0)<3){s=f[a+44>>2]|0;n=f[r>>2]|0;f[n>>2]=f[s>>2];f[n+4>>2]=f[s+4>>2]}else{f[m>>2]=0;$T(l,a)}a=j+60|0;f[a>>2]=f[b>>2];l=j+64|0;m=b+4|0;s=f[m>>2]|0;f[l>>2]=s;n=j+68|0;f[n>>2]=f[k>>2];r=b+12|0;f[j+72>>2]=f[r>>2];f[j+76>>2]=f[b+16>>2];f[j+80>>2]=f[b+20>>2];f[j+84>>2]=f[b+24>>2];f[j+88>>2]=f[b+28>>2];f[j+92>>2]=f[b+32>>2];o=f[b+36>>2]|0;f[j+96>>2]=o;f[j+100>>2]=n;n=j+108|0;q=j+104|0;f[q>>2]=n;f[n>>2]=0;f[j+112>>2]=0;if(!o)t=s;else{s=o+12|0;f[s>>2]=(f[s>>2]|0)+1;t=f[m>>2]|0}if((t|0)<3){t=f[b+44>>2]|0;s=f[q>>2]|0;f[s>>2]=f[t>>2];f[s+4>>2]=f[t+4>>2]}else{f[l>>2]=0;$T(a,b)}f[j+116>>2]=e;f[j+120>>2]=g;f[j+124>>2]=c;f[j+128>>2]=d;d=f[m>>2]|0;if((d|0)<3){v=Y(f[r>>2]|0,f[k>>2]|0)|0;w=+(v>>>0);x=w*.0000152587890625;sZ(i,j,x);mda(j);u=h;return}k=f[b+40>>2]|0;b=0;r=1;while(1){m=Y(f[k+(b<<2)>>2]|0,r)|0;b=b+1|0;if((b|0)==(d|0)){v=m;break}else r=m}w=+(v>>>0);x=w*.0000152587890625;sZ(i,j,x);mda(j);u=h;return}function ida(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0.0,x=0.0;h=u;u=u+144|0;i=h+136|0;j=h;k=b+8|0;l=f[k>>2]|0;f[i>>2]=0;f[i+4>>2]=l;f[j>>2]=54632;l=j+4|0;f[l>>2]=f[a>>2];m=j+8|0;n=a+4|0;o=f[n>>2]|0;f[m>>2]=o;p=j+12|0;f[p>>2]=f[a+8>>2];f[j+16>>2]=f[a+12>>2];f[j+20>>2]=f[a+16>>2];f[j+24>>2]=f[a+20>>2];f[j+28>>2]=f[a+24>>2];f[j+32>>2]=f[a+28>>2];f[j+36>>2]=f[a+32>>2];q=f[a+36>>2]|0;f[j+40>>2]=q;f[j+44>>2]=p;p=j+52|0;r=j+48|0;f[r>>2]=p;f[p>>2]=0;f[j+56>>2]=0;if(!q)s=o;else{o=q+12|0;f[o>>2]=(f[o>>2]|0)+1;s=f[n>>2]|0}if((s|0)<3){s=f[a+44>>2]|0;n=f[r>>2]|0;f[n>>2]=f[s>>2];f[n+4>>2]=f[s+4>>2]}else{f[m>>2]=0;$T(l,a)}a=j+60|0;f[a>>2]=f[b>>2];l=j+64|0;m=b+4|0;s=f[m>>2]|0;f[l>>2]=s;n=j+68|0;f[n>>2]=f[k>>2];r=b+12|0;f[j+72>>2]=f[r>>2];f[j+76>>2]=f[b+16>>2];f[j+80>>2]=f[b+20>>2];f[j+84>>2]=f[b+24>>2];f[j+88>>2]=f[b+28>>2];f[j+92>>2]=f[b+32>>2];o=f[b+36>>2]|0;f[j+96>>2]=o;f[j+100>>2]=n;n=j+108|0;q=j+104|0;f[q>>2]=n;f[n>>2]=0;f[j+112>>2]=0;if(!o)t=s;else{s=o+12|0;f[s>>2]=(f[s>>2]|0)+1;t=f[m>>2]|0}if((t|0)<3){t=f[b+44>>2]|0;s=f[q>>2]|0;f[s>>2]=f[t>>2];f[s+4>>2]=f[t+4>>2]}else{f[l>>2]=0;$T(a,b)}f[j+116>>2]=e;f[j+120>>2]=g;f[j+124>>2]=c;f[j+128>>2]=d;d=f[m>>2]|0;if((d|0)<3){v=Y(f[r>>2]|0,f[k>>2]|0)|0;w=+(v>>>0);x=w*.0000152587890625;sZ(i,j,x);jda(j);u=h;return}k=f[b+40>>2]|0;b=0;r=1;while(1){m=Y(f[k+(b<<2)>>2]|0,r)|0;b=b+1|0;if((b|0)==(d|0)){v=m;break}else r=m}w=+(v>>>0);x=w*.0000152587890625;sZ(i,j,x);jda(j);u=h;return}function jda(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=54632;b=a+60|0;c=a+96|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+76|0;b=a+64|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+100>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+104>>2]|0;if((b|0)!=(a+108|0))TC(b);b=a+4|0;d=a+40|0;c=f[d>>2]|0;if(c|0?(e=c+12|0,c=f[e>>2]|0,f[e>>2]=c+-1,(c|0)==1):0)aU(b);f[d>>2]=0;d=a+20|0;b=a+8|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[b>>2]|0)>0){d=f[a+44>>2]|0;c=0;do{f[d+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[b>>2]|0))}b=f[a+48>>2]|0;if((b|0)==(a+52|0))return;TC(b);return}function kda(a){a=a|0;jda(a);fuc(a);return}function lda(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,u=0,v=0.0,w=0,x=0,y=0,z=0,A=0,B=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0.0,O=0,P=0.0,Q=0.0,R=0,S=0.0,T=0.0,U=0,V=0,W=0.0,X=0,Z=0,_=0,$=0.0,aa=0,ba=0,ca=0.0;c=f[a+44>>2]|0;d=f[c+4>>2]|0;e=f[c>>2]|0;c=((f[a+4>>2]|0)>>>3&511)+1|0;g=a+116|0;h=f[g>>2]|0;i=a+120|0;j=f[i>>2]|0;k=Y(j,h)|0;l=Y((d|0)/(h|0)|0,c)|0;h=Y(c,f[(f[a+100>>2]|0)+4>>2]|0)|0;m=Y(c,d)|0;d=f[b>>2]|0;n=f[b+4>>2]|0;if((d|0)>=(n|0))return;b=f[a+76>>2]|0;o=f[a+108>>2]|0;q=a+20|0;r=a+48|0;s=a+128|0;t=k+-4|0;u=(k|0)<4;v=1.0/+(k|0);w=a+124|0;a=(h|0)>0;x=h<<3;y=k&-4;z=(y|0)<(k|0);A=(k|0)>0;B=d;D=0;while(1){E=b+(Y(o,d+D|0)|0)|0;F=b+(Y(o,B)|0)|0;G=Y(j,B)|0;H=(G+j|0)<=(e|0)?l:0;a:do if((G|0)<(e|0)){b:do if((H|0)>0){I=(f[q>>2]|0)+(Y(f[f[r>>2]>>2]|0,G)|0)|0;J=f[s>>2]|0;if(u){K=0;while(1){L=I+(f[J+(K<<2)>>2]<<3)|0;if(A){M=f[w>>2]|0;N=0.0;O=0;while(1){P=N+ +p[L+(f[M+(O<<2)>>2]<<3)>>3];O=O+1|0;if((O|0)==(k|0)){Q=P;break}else N=P}}else Q=0.0;p[F+(K<<3)>>3]=v*Q;K=K+1|0;if((K|0)==(H|0)){R=H;break b}}}K=f[w>>2]|0;O=0;do{M=I+(f[J+(O<<2)>>2]<<3)|0;N=0.0;L=0;do{N=N+(+p[M+(f[K+(L<<2)>>2]<<3)>>3]+ +p[M+(f[K+((L|1)<<2)>>2]<<3)>>3]+ +p[M+(f[K+((L|2)<<2)>>2]<<3)>>3]+ +p[M+(f[K+((L|3)<<2)>>2]<<3)>>3]);L=L+4|0}while((L|0)<=(t|0));if(z){P=N;L=y;while(1){S=P+ +p[M+(f[K+(L<<2)>>2]<<3)>>3];L=L+1|0;if((L|0)==(k|0)){T=S;break}else P=S}}else T=N;p[F+(O<<3)>>3]=v*T;O=O+1|0}while((O|0)!=(H|0));R=H}else R=0;while(0);if((R|0)<(h|0)){O=f[s>>2]|0;K=f[i>>2]|0;if((K|0)>0)U=R;else{J=R;while(1){I=F+(J<<3)|0;if((f[O+(J<<2)>>2]|0)>=(m|0))p[I>>3]=0.0;p[I>>3]=C;J=J+1|0;if((J|0)==(h|0))break a}}do{J=f[O+(U<<2)>>2]|0;c:do if((J|0)<(m|0)){I=0;L=0;P=0.0;while(1){M=I+G|0;if((M|0)>=(e|0)){V=L;W=P;break c}X=(f[q>>2]|0)+(Y(f[f[r>>2]>>2]|0,M)|0)+(J<<3)|0;M=Y(f[g>>2]|0,c)|0;if((M|0)>0){Z=0;_=L;S=P;while(1){$=S+ +p[X+(Z<<3)>>3];aa=_+1|0;Z=Z+c|0;if(!((Z+J|0)<(m|0)&(Z|0)<(M|0))){ba=aa;ca=$;break}else{_=aa;S=$}}}else{ba=L;ca=P}I=I+1|0;if((I|0)>=(K|0)){V=ba;W=ca;break}else{L=ba;P=ca}}}else{p[F+(U<<3)>>3]=0.0;V=0;W=0.0}while(0);p[F+(U<<3)>>3]=W/+(V|0);U=U+1|0}while((U|0)!=(h|0))}}else if(a)kzc(E|0,0,x|0)|0;while(0);B=B+1|0;if((B|0)>=(n|0))break;else D=D+1|0}return}function mda(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=54652;b=a+60|0;c=a+96|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+76|0;b=a+64|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+100>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+104>>2]|0;if((b|0)!=(a+108|0))TC(b);b=a+4|0;d=a+40|0;c=f[d>>2]|0;if(c|0?(e=c+12|0,c=f[e>>2]|0,f[e>>2]=c+-1,(c|0)==1):0)aU(b);f[d>>2]=0;d=a+20|0;b=a+8|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[b>>2]|0)>0){d=f[a+44>>2]|0;c=0;do{f[d+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[b>>2]|0))}b=f[a+48>>2]|0;if((b|0)==(a+52|0))return;TC(b);return}function nda(a){a=a|0;mda(a);fuc(a);return}function oda(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0.0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0.0,O=0,P=0.0,Q=0.0,R=0,S=0.0,T=0.0,U=0,V=0,W=0.0,X=0,Z=0,_=0,$=0.0,aa=0,ba=0,ca=0.0;c=f[a+44>>2]|0;d=f[c+4>>2]|0;e=f[c>>2]|0;c=((f[a+4>>2]|0)>>>3&511)+1|0;g=a+116|0;h=f[g>>2]|0;i=a+120|0;j=f[i>>2]|0;k=Y(j,h)|0;l=1.0/+(k|0);m=Y((d|0)/(h|0)|0,c)|0;h=Y(c,f[(f[a+100>>2]|0)+4>>2]|0)|0;o=Y(c,d)|0;d=f[b>>2]|0;p=f[b+4>>2]|0;if((d|0)>=(p|0))return;b=f[a+76>>2]|0;q=f[a+108>>2]|0;r=a+20|0;s=a+48|0;t=a+128|0;u=k+-4|0;v=(k|0)<4;w=a+124|0;a=(h|0)>0;x=h<<2;y=k&-4;z=(y|0)<(k|0);A=(k|0)>0;B=d;D=0;while(1){E=b+(Y(q,d+D|0)|0)|0;F=b+(Y(q,B)|0)|0;G=Y(j,B)|0;H=(G+j|0)<=(e|0)?m:0;a:do if((G|0)<(e|0)){b:do if((H|0)>0){I=(f[r>>2]|0)+(Y(f[f[s>>2]>>2]|0,G)|0)|0;J=f[t>>2]|0;if(v){K=0;while(1){L=I+(f[J+(K<<2)>>2]<<2)|0;if(A){M=f[w>>2]|0;N=0.0;O=0;while(1){P=N+ +n[L+(f[M+(O<<2)>>2]<<2)>>2];O=O+1|0;if((O|0)==(k|0)){Q=P;break}else N=P}}else Q=0.0;n[F+(K<<2)>>2]=l*Q;K=K+1|0;if((K|0)==(H|0)){R=H;break b}}}K=f[w>>2]|0;O=0;do{M=I+(f[J+(O<<2)>>2]<<2)|0;N=0.0;L=0;do{N=N+(+n[M+(f[K+(L<<2)>>2]<<2)>>2]+ +n[M+(f[K+((L|1)<<2)>>2]<<2)>>2]+ +n[M+(f[K+((L|2)<<2)>>2]<<2)>>2]+ +n[M+(f[K+((L|3)<<2)>>2]<<2)>>2]);L=L+4|0}while((L|0)<=(u|0));if(z){P=N;L=y;while(1){S=P+ +n[M+(f[K+(L<<2)>>2]<<2)>>2];L=L+1|0;if((L|0)==(k|0)){T=S;break}else P=S}}else T=N;n[F+(O<<2)>>2]=l*T;O=O+1|0}while((O|0)!=(H|0));R=H}else R=0;while(0);if((R|0)<(h|0)){O=f[t>>2]|0;K=f[i>>2]|0;if((K|0)>0)U=R;else{J=R;while(1){I=F+(J<<2)|0;if((f[O+(J<<2)>>2]|0)>=(o|0))n[I>>2]=0.0;n[I>>2]=C;J=J+1|0;if((J|0)==(h|0))break a}}do{J=f[O+(U<<2)>>2]|0;c:do if((J|0)<(o|0)){I=0;L=0;P=0.0;while(1){M=I+G|0;if((M|0)>=(e|0)){V=L;W=P;break c}X=(f[r>>2]|0)+(Y(f[f[s>>2]>>2]|0,M)|0)+(J<<2)|0;M=Y(f[g>>2]|0,c)|0;if((M|0)>0){Z=0;_=L;S=P;while(1){$=S+ +n[X+(Z<<2)>>2];aa=_+1|0;Z=Z+c|0;if(!((Z+J|0)<(o|0)&(Z|0)<(M|0))){ba=aa;ca=$;break}else{_=aa;S=$}}}else{ba=L;ca=P}I=I+1|0;if((I|0)>=(K|0)){V=ba;W=ca;break}else{L=ba;P=ca}}}else{n[F+(U<<2)>>2]=0.0;V=0;W=0.0}while(0);n[F+(U<<2)>>2]=W/+(V|0);U=U+1|0}while((U|0)!=(h|0))}}else if(a)kzc(E|0,0,x|0)|0;while(0);B=B+1|0;if((B|0)>=(p|0))break;else D=D+1|0}return}function pda(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=54672;b=a+60|0;c=a+96|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+76|0;b=a+64|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+100>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+104>>2]|0;if((b|0)!=(a+108|0))TC(b);b=a+4|0;d=a+40|0;c=f[d>>2]|0;if(c|0?(e=c+12|0,c=f[e>>2]|0,f[e>>2]=c+-1,(c|0)==1):0)aU(b);f[d>>2]=0;d=a+20|0;b=a+8|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[b>>2]|0)>0){d=f[a+44>>2]|0;c=0;do{f[d+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[b>>2]|0))}b=f[a+48>>2]|0;if((b|0)==(a+52|0))return;TC(b);return}function qda(a){a=a|0;pda(a);fuc(a);return}function rda(a,c){a=a|0;c=c|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0.0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0.0,Q=0,R=0.0,S=0.0,T=0,U=0.0,V=0.0,W=0,X=0,Z=0.0,_=0,$=0,aa=0.0,ba=0,ca=0,da=0.0;e=u;u=u+32|0;g=e;h=f[a+44>>2]|0;i=f[h+4>>2]|0;j=f[h>>2]|0;h=(f[a+4>>2]|0)>>>3;k=(h&511)+1|0;l=a+116|0;m=f[l>>2]|0;n=a+120|0;o=f[n>>2]|0;p=Y(o,m)|0;q=1.0/+(p|0);r=Y((i|0)/(m|0)|0,k)|0;s=Y(k,f[(f[a+100>>2]|0)+4>>2]|0)|0;t=Y(k,i)|0;i=f[a+52>>2]|0;f[g>>2]=m;f[g+4>>2]=o;f[g+8>>2]=k;f[g+16>>2]=i;a:do if((m|0)==2&(o|0)==2){switch(h&511){case 2:case 0:{v=1;break a;break}default:{}}v=(k|0)==4&1}else v=0;while(0);b[g+12>>0]=v;v=f[c>>2]|0;h=c+4|0;if((v|0)>=(f[h>>2]|0)){u=e;return}c=a+76|0;m=a+108|0;i=a+20|0;w=a+48|0;x=a+128|0;y=p+-4|0;z=(p|0)<4;A=a+124|0;a=(s|0)>0;B=s<<1;D=p&-4;E=(D|0)<(p|0);F=(p|0)>0;G=v;v=o;while(1){o=(f[c>>2]|0)+(Y(f[m>>2]|0,G)|0)|0;H=Y(v,G)|0;I=(H+v|0)<=(j|0)?r:0;b:do if((H|0)<(j|0)){J=sda(g,(f[i>>2]|0)+(Y(f[f[w>>2]>>2]|0,H)|0)|0,o,I)|0;c:do if((J|0)<(I|0)){K=(f[i>>2]|0)+(Y(f[f[w>>2]>>2]|0,H)|0)|0;L=f[x>>2]|0;if(z){M=J;while(1){N=K+(f[L+(M<<2)>>2]<<1)|0;if(F){O=f[A>>2]|0;P=0.0;Q=0;while(1){R=P+ +(d[N+(f[O+(Q<<2)>>2]<<1)>>1]|0);Q=Q+1|0;if((Q|0)==(p|0)){S=R;break}else P=R}}else S=0.0;Q=Ghc(q*S)|0;d[o+(M<<1)>>1]=(Q+32768|0)>>>0<65536?Q:(Q|0)>0?32767:32768;M=M+1|0;if((M|0)==(I|0)){T=I;break c}}}M=f[A>>2]|0;Q=J;do{O=K+(f[L+(Q<<2)>>2]<<1)|0;P=0.0;N=0;do{P=P+ +((d[O+(f[M+((N|1)<<2)>>2]<<1)>>1]|0)+(d[O+(f[M+(N<<2)>>2]<<1)>>1]|0)+(d[O+(f[M+((N|2)<<2)>>2]<<1)>>1]|0)+(d[O+(f[M+((N|3)<<2)>>2]<<1)>>1]|0)|0);N=N+4|0}while((N|0)<=(y|0));if(E){R=P;N=D;while(1){U=R+ +(d[O+(f[M+(N<<2)>>2]<<1)>>1]|0);N=N+1|0;if((N|0)==(p|0)){V=U;break}else R=U}}else V=P;N=Ghc(q*V)|0;d[o+(Q<<1)>>1]=(N+32768|0)>>>0<65536?N:(N|0)>0?32767:32768;Q=Q+1|0}while((Q|0)!=(I|0));T=I}else T=J;while(0);if((T|0)<(s|0)){J=f[x>>2]|0;Q=f[n>>2]|0;if((Q|0)>0)W=T;else{M=Ghc(C)|0;L=((M+32768|0)>>>0<65536?M:(M|0)>0?32767:32768)&65535;M=T;while(1){K=o+(M<<1)|0;if((f[J+(M<<2)>>2]|0)>=(t|0))d[K>>1]=0;d[K>>1]=L;M=M+1|0;if((M|0)==(s|0))break b}}do{M=f[J+(W<<2)>>2]|0;d:do if((M|0)<(t|0)){L=0;K=0;R=0.0;while(1){N=L+H|0;if((N|0)>=(j|0)){X=K;Z=R;break d}O=(f[i>>2]|0)+(Y(f[f[w>>2]>>2]|0,N)|0)+(M<<1)|0;N=Y(f[l>>2]|0,k)|0;if((N|0)>0){_=0;$=K;U=R;while(1){aa=U+ +(d[O+(_<<1)>>1]|0);ba=$+1|0;_=_+k|0;if(!((_+M|0)<(t|0)&(_|0)<(N|0))){ca=ba;da=aa;break}else{$=ba;U=aa}}}else{ca=K;da=R}L=L+1|0;if((L|0)>=(Q|0)){X=ca;Z=da;break}else{K=ca;R=da}}}else{d[o+(W<<1)>>1]=0;X=0;Z=0.0}while(0);M=Ghc(Z/+(X|0))|0;d[o+(W<<1)>>1]=(M+32768|0)>>>0<65536?M:(M|0)>0?32767:32768;W=W+1|0}while((W|0)!=(s|0))}}else if(a)kzc(o|0,0,B|0)|0;while(0);o=G+1|0;if((o|0)>=(f[h>>2]|0))break;G=o;v=f[n>>2]|0}u=e;return}function sda(a,c,e,g){a=a|0;c=c|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;h=u;u=u+16|0;i=h;if(!(b[a+12>>0]|0)){j=0;u=h;return j|0}k=c+(f[a+16>>2]|0)|0;switch(f[a+8>>2]|0){case 1:{if((g|0)>0)l=0;else{j=0;u=h;return j|0}do{a=l<<1;m=a|1;d[e+(l<<1)>>1]=((d[c+(a<<1)>>1]|0)+2+(d[c+(m<<1)>>1]|0)+(d[k+(a<<1)>>1]|0)+(d[k+(m<<1)>>1]|0)|0)>>>2;l=l+1|0}while((l|0)!=(g|0));j=g;u=h;return j|0}case 3:{if((g|0)>0)n=0;else{j=0;u=h;return j|0}while(1){l=n<<1;m=l+3|0;d[e+(n<<1)>>1]=((d[c+(l<<1)>>1]|0)+2+(d[c+(m<<1)>>1]|0)+(d[k+(l<<1)>>1]|0)+(d[k+(m<<1)>>1]|0)|0)>>>2;m=l|1;a=l+4|0;d[e+(n+1<<1)>>1]=((d[c+(m<<1)>>1]|0)+2+(d[c+(a<<1)>>1]|0)+(d[k+(m<<1)>>1]|0)+(d[k+(a<<1)>>1]|0)|0)>>>2;a=l+2|0;m=l+5|0;d[e+(n+2<<1)>>1]=((d[c+(a<<1)>>1]|0)+2+(d[c+(m<<1)>>1]|0)+(d[k+(a<<1)>>1]|0)+(d[k+(m<<1)>>1]|0)|0)>>>2;m=n+3|0;if((m|0)<(g|0))n=m;else{j=m;break}}u=h;return j|0}case 4:{if((g|0)>0)o=0;else{j=0;u=h;return j|0}do{n=o<<1;m=n|4;d[e+(o<<1)>>1]=((d[c+(n<<1)>>1]|0)+2+(d[c+(m<<1)>>1]|0)+(d[k+(n<<1)>>1]|0)+(d[k+(m<<1)>>1]|0)|0)>>>2;m=n|1;a=n|5;d[e+((o|1)<<1)>>1]=((d[c+(m<<1)>>1]|0)+2+(d[c+(a<<1)>>1]|0)+(d[k+(m<<1)>>1]|0)+(d[k+(a<<1)>>1]|0)|0)>>>2;a=n|2;m=n|6;d[e+((o|2)<<1)>>1]=((d[c+(a<<1)>>1]|0)+2+(d[c+(m<<1)>>1]|0)+(d[k+(a<<1)>>1]|0)+(d[k+(m<<1)>>1]|0)|0)>>>2;m=n|3;a=n|7;d[e+((o|3)<<1)>>1]=((d[c+(m<<1)>>1]|0)+2+(d[c+(a<<1)>>1]|0)+(d[k+(m<<1)>>1]|0)+(d[k+(a<<1)>>1]|0)|0)>>>2;o=o+4|0}while((o|0)<(g|0));j=g+3&-4;u=h;return j|0}default:{f[i+8>>2]=0;b[i+11>>0]=7;b[i>>0]=b[255196]|0;b[i+1>>0]=b[255197]|0;b[i+2>>0]=b[255198]|0;b[i+3>>0]=b[255199]|0;b[i+4>>0]=b[255200]|0;b[i+5>>0]=b[255201]|0;b[i+6>>0]=b[255202]|0;b[i+7>>0]=0;WD(-215,i,531152,252921,3070)}}return 0}function tda(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=54692;b=a+60|0;c=a+96|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+76|0;b=a+64|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+100>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+104>>2]|0;if((b|0)!=(a+108|0))TC(b);b=a+4|0;d=a+40|0;c=f[d>>2]|0;if(c|0?(e=c+12|0,c=f[e>>2]|0,f[e>>2]=c+-1,(c|0)==1):0)aU(b);f[d>>2]=0;d=a+20|0;b=a+8|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[b>>2]|0)>0){d=f[a+44>>2]|0;c=0;do{f[d+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[b>>2]|0))}b=f[a+48>>2]|0;if((b|0)==(a+52|0))return;TC(b);return}function uda(a){a=a|0;tda(a);fuc(a);return}function vda(a,c){a=a|0;c=c|0;var e=0,g=0,h=0,i=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0.0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0.0,R=0,S=0.0,T=0.0,U=0,V=0.0,W=0.0,X=0,Z=0,_=0.0,$=0,aa=0,ba=0.0,ca=0,da=0,ea=0.0;e=u;u=u+32|0;g=e;h=f[a+44>>2]|0;i=f[h+4>>2]|0;k=f[h>>2]|0;h=(f[a+4>>2]|0)>>>3;l=(h&511)+1|0;m=a+116|0;n=f[m>>2]|0;o=a+120|0;p=f[o>>2]|0;q=Y(p,n)|0;r=1.0/+(q|0);s=Y((i|0)/(n|0)|0,l)|0;t=Y(l,f[(f[a+100>>2]|0)+4>>2]|0)|0;v=Y(l,i)|0;i=f[a+52>>2]|0;f[g>>2]=n;f[g+4>>2]=p;f[g+8>>2]=l;f[g+16>>2]=i;a:do if((n|0)==2&(p|0)==2){switch(h&511){case 2:case 0:{w=1;break a;break}default:{}}w=(l|0)==4&1}else w=0;while(0);b[g+12>>0]=w;w=f[c>>2]|0;h=c+4|0;if((w|0)>=(f[h>>2]|0)){u=e;return}c=a+76|0;n=a+108|0;i=a+20|0;x=a+48|0;y=a+128|0;z=q+-4|0;A=(q|0)<4;B=a+124|0;a=(t|0)>0;D=t<<1;E=q&-4;F=(E|0)<(q|0);G=(q|0)>0;H=w;w=p;while(1){p=(f[c>>2]|0)+(Y(f[n>>2]|0,H)|0)|0;I=Y(w,H)|0;J=(I+w|0)<=(k|0)?s:0;b:do if((I|0)<(k|0)){K=wda(g,(f[i>>2]|0)+(Y(f[f[x>>2]>>2]|0,I)|0)|0,p,J)|0;c:do if((K|0)<(J|0)){L=(f[i>>2]|0)+(Y(f[f[x>>2]>>2]|0,I)|0)|0;M=f[y>>2]|0;if(A){N=K;while(1){O=L+(f[M+(N<<2)>>2]<<1)|0;if(G){P=f[B>>2]|0;Q=0.0;R=0;while(1){S=Q+ +(j[O+(f[P+(R<<2)>>2]<<1)>>1]|0);R=R+1|0;if((R|0)==(q|0)){T=S;break}else Q=S}}else T=0.0;R=Ghc(r*T)|0;d[p+(N<<1)>>1]=R>>>0<65536?R:(R|0)>0?65535:0;N=N+1|0;if((N|0)==(J|0)){U=J;break c}}}N=f[B>>2]|0;R=K;do{P=L+(f[M+(R<<2)>>2]<<1)|0;Q=0.0;O=0;do{Q=Q+ +((j[P+(f[N+((O|1)<<2)>>2]<<1)>>1]|0)+(j[P+(f[N+(O<<2)>>2]<<1)>>1]|0)+(j[P+(f[N+((O|2)<<2)>>2]<<1)>>1]|0)+(j[P+(f[N+((O|3)<<2)>>2]<<1)>>1]|0)|0);O=O+4|0}while((O|0)<=(z|0));if(F){S=Q;O=E;while(1){V=S+ +(j[P+(f[N+(O<<2)>>2]<<1)>>1]|0);O=O+1|0;if((O|0)==(q|0)){W=V;break}else S=V}}else W=Q;O=Ghc(r*W)|0;d[p+(R<<1)>>1]=O>>>0<65536?O:(O|0)>0?65535:0;R=R+1|0}while((R|0)!=(J|0));U=J}else U=K;while(0);if((U|0)<(t|0)){K=f[y>>2]|0;R=f[o>>2]|0;if((R|0)>0)X=U;else{N=Ghc(C)|0;M=(N>>>0<65536?N:(N|0)>0?65535:0)&65535;N=U;while(1){L=p+(N<<1)|0;if((f[K+(N<<2)>>2]|0)>=(v|0))d[L>>1]=0;d[L>>1]=M;N=N+1|0;if((N|0)==(t|0))break b}}do{N=f[K+(X<<2)>>2]|0;d:do if((N|0)<(v|0)){M=0;L=0;S=0.0;while(1){O=M+I|0;if((O|0)>=(k|0)){Z=L;_=S;break d}P=(f[i>>2]|0)+(Y(f[f[x>>2]>>2]|0,O)|0)+(N<<1)|0;O=Y(f[m>>2]|0,l)|0;if((O|0)>0){$=0;aa=L;V=S;while(1){ba=V+ +(j[P+($<<1)>>1]|0);ca=aa+1|0;$=$+l|0;if(!(($+N|0)<(v|0)&($|0)<(O|0))){da=ca;ea=ba;break}else{aa=ca;V=ba}}}else{da=L;ea=S}M=M+1|0;if((M|0)>=(R|0)){Z=da;_=ea;break}else{L=da;S=ea}}}else{d[p+(X<<1)>>1]=0;Z=0;_=0.0}while(0);N=Ghc(_/+(Z|0))|0;d[p+(X<<1)>>1]=N>>>0<65536?N:(N|0)>0?65535:0;X=X+1|0}while((X|0)!=(t|0))}}else if(a)kzc(p|0,0,D|0)|0;while(0);p=H+1|0;if((p|0)>=(f[h>>2]|0))break;H=p;w=f[o>>2]|0}u=e;return}function wda(a,c,e,g){a=a|0;c=c|0;e=e|0;g=g|0;var h=0,i=0,k=0,l=0,m=0,n=0,o=0,p=0;h=u;u=u+16|0;i=h;if(!(b[a+12>>0]|0)){k=0;u=h;return k|0}l=c+(f[a+16>>2]|0)|0;switch(f[a+8>>2]|0){case 1:{if((g|0)>0)m=0;else{k=0;u=h;return k|0}do{a=m<<1;n=a|1;d[e+(m<<1)>>1]=((j[c+(a<<1)>>1]|0)+2+(j[c+(n<<1)>>1]|0)+(j[l+(a<<1)>>1]|0)+(j[l+(n<<1)>>1]|0)|0)>>>2;m=m+1|0}while((m|0)!=(g|0));k=g;u=h;return k|0}case 3:{if((g|0)>0)o=0;else{k=0;u=h;return k|0}while(1){m=o<<1;n=m+3|0;d[e+(o<<1)>>1]=((j[c+(m<<1)>>1]|0)+2+(j[c+(n<<1)>>1]|0)+(j[l+(m<<1)>>1]|0)+(j[l+(n<<1)>>1]|0)|0)>>>2;n=m|1;a=m+4|0;d[e+(o+1<<1)>>1]=((j[c+(n<<1)>>1]|0)+2+(j[c+(a<<1)>>1]|0)+(j[l+(n<<1)>>1]|0)+(j[l+(a<<1)>>1]|0)|0)>>>2;a=m+2|0;n=m+5|0;d[e+(o+2<<1)>>1]=((j[c+(a<<1)>>1]|0)+2+(j[c+(n<<1)>>1]|0)+(j[l+(a<<1)>>1]|0)+(j[l+(n<<1)>>1]|0)|0)>>>2;n=o+3|0;if((n|0)<(g|0))o=n;else{k=n;break}}u=h;return k|0}case 4:{if((g|0)>0)p=0;else{k=0;u=h;return k|0}do{o=p<<1;n=o|4;d[e+(p<<1)>>1]=((j[c+(o<<1)>>1]|0)+2+(j[c+(n<<1)>>1]|0)+(j[l+(o<<1)>>1]|0)+(j[l+(n<<1)>>1]|0)|0)>>>2;n=o|1;a=o|5;d[e+((p|1)<<1)>>1]=((j[c+(n<<1)>>1]|0)+2+(j[c+(a<<1)>>1]|0)+(j[l+(n<<1)>>1]|0)+(j[l+(a<<1)>>1]|0)|0)>>>2;a=o|2;n=o|6;d[e+((p|2)<<1)>>1]=((j[c+(a<<1)>>1]|0)+2+(j[c+(n<<1)>>1]|0)+(j[l+(a<<1)>>1]|0)+(j[l+(n<<1)>>1]|0)|0)>>>2;n=o|3;a=o|7;d[e+((p|3)<<1)>>1]=((j[c+(n<<1)>>1]|0)+2+(j[c+(a<<1)>>1]|0)+(j[l+(n<<1)>>1]|0)+(j[l+(a<<1)>>1]|0)|0)>>>2;p=p+4|0}while((p|0)<(g|0));k=g+3&-4;u=h;return k|0}default:{f[i+8>>2]=0;b[i+11>>0]=7;b[i>>0]=b[255196]|0;b[i+1>>0]=b[255197]|0;b[i+2>>0]=b[255198]|0;b[i+3>>0]=b[255199]|0;b[i+4>>0]=b[255200]|0;b[i+5>>0]=b[255201]|0;b[i+6>>0]=b[255202]|0;b[i+7>>0]=0;WD(-215,i,531152,252921,3070)}}return 0}function xda(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=54712;b=a+60|0;c=a+96|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+76|0;b=a+64|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+100>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+104>>2]|0;if((b|0)!=(a+108|0))TC(b);b=a+4|0;d=a+40|0;c=f[d>>2]|0;if(c|0?(e=c+12|0,c=f[e>>2]|0,f[e>>2]=c+-1,(c|0)==1):0)aU(b);f[d>>2]=0;d=a+20|0;b=a+8|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[b>>2]|0)>0){d=f[a+44>>2]|0;c=0;do{f[d+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[b>>2]|0))}b=f[a+48>>2]|0;if((b|0)==(a+52|0))return;TC(b);return}function yda(a){a=a|0;xda(a);fuc(a);return}function zda(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0.0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0;d=u;u=u+32|0;e=d;g=f[a+44>>2]|0;i=f[g+4>>2]|0;j=f[g>>2]|0;g=(f[a+4>>2]|0)>>>3;k=(g&511)+1|0;l=a+116|0;m=f[l>>2]|0;n=a+120|0;o=f[n>>2]|0;p=Y(o,m)|0;q=1.0/+(p|0);r=Y((i|0)/(m|0)|0,k)|0;s=Y(k,f[(f[a+100>>2]|0)+4>>2]|0)|0;t=Y(k,i)|0;i=f[a+52>>2]|0;f[e>>2]=m;f[e+4>>2]=o;f[e+8>>2]=k;f[e+16>>2]=i;a:do if((m|0)==2&(o|0)==2){switch(g&511){case 2:case 0:{v=1;break a;break}default:{}}v=(k|0)==4&1}else v=0;while(0);b[e+12>>0]=v;v=f[c>>2]|0;g=c+4|0;if((v|0)>=(f[g>>2]|0)){u=d;return}c=a+76|0;m=a+108|0;i=a+20|0;w=a+48|0;x=a+128|0;y=p+-4|0;z=(p|0)<4;A=a+124|0;a=(s|0)>0;B=p&-4;C=(p|0)>0;D=(B|0)<(p|0);E=v;v=o;while(1){o=(f[c>>2]|0)+(Y(f[m>>2]|0,E)|0)|0;F=Y(v,E)|0;G=(F+v|0)<=(j|0)?r:0;if((F|0)<(j|0)){H=Ada(e,(f[i>>2]|0)+(Y(f[f[w>>2]>>2]|0,F)|0)|0,o,G)|0;b:do if((H|0)<(G|0)){if(z){I=H;while(1){J=(f[i>>2]|0)+(Y(f[f[w>>2]>>2]|0,F)|0)|0;K=J+(f[(f[x>>2]|0)+(I<<2)>>2]|0)|0;if(C){J=f[A>>2]|0;L=0;M=0;while(1){N=(h[K+(f[J+(M<<2)>>2]|0)>>0]|0)+L|0;M=M+1|0;if((M|0)==(p|0)){O=N;break}else L=N}}else O=0;L=Ghc(q*+(O|0))|0;b[o+I>>0]=L>>>0<256?L:(L|0)>0?255:0;I=I+1|0;if((I|0)==(G|0)){P=G;break b}}}else Q=H;do{I=(f[i>>2]|0)+(Y(f[f[w>>2]>>2]|0,F)|0)|0;L=I+(f[(f[x>>2]|0)+(Q<<2)>>2]|0)|0;I=f[A>>2]|0;M=0;J=0;do{M=(h[L+(f[I+(J<<2)>>2]|0)>>0]|0)+M+(h[L+(f[I+((J|1)<<2)>>2]|0)>>0]|0)+(h[L+(f[I+((J|2)<<2)>>2]|0)>>0]|0)+(h[L+(f[I+((J|3)<<2)>>2]|0)>>0]|0)|0;J=J+4|0}while((J|0)<=(y|0));if(D){J=M;K=B;while(1){N=(h[L+(f[I+(K<<2)>>2]|0)>>0]|0)+J|0;K=K+1|0;if((K|0)==(p|0)){R=N;break}else J=N}}else R=M;J=Ghc(q*+(R|0))|0;b[o+Q>>0]=J>>>0<256?J:(J|0)>0?255:0;Q=Q+1|0}while((Q|0)!=(G|0));P=G}else P=H;while(0);if((P|0)<(s|0)){H=P;do{G=f[(f[x>>2]|0)+(H<<2)>>2]|0;J=(G|0)<(t|0);if(!J)b[o+H>>0]=0;K=f[n>>2]|0;c:do if((K|0)<1|J^1){S=0;T=0}else{I=0;L=0;N=0;while(1){U=I+F|0;if((U|0)>=(j|0)){S=L;T=N;break c}V=(f[i>>2]|0)+(Y(f[f[w>>2]>>2]|0,U)|0)+G|0;U=Y(f[l>>2]|0,k)|0;if((U|0)>0){W=0;X=L;Z=N;while(1){_=(h[V+W>>0]|0)+Z|0;$=X+1|0;W=W+k|0;if(!((W+G|0)<(t|0)&(W|0)<(U|0))){aa=$;ba=_;break}else{X=$;Z=_}}}else{aa=L;ba=N}I=I+1|0;if((I|0)>=(K|0)){S=aa;T=ba;break}else{L=aa;N=ba}}}while(0);K=Ghc(+(T|0)/+(S|0))|0;b[o+H>>0]=K>>>0<256?K:(K|0)>0?255:0;H=H+1|0}while((H|0)!=(s|0))}}else if(a)kzc(o|0,0,s|0)|0;H=E+1|0;if((H|0)>=(f[g>>2]|0))break;E=H;v=f[n>>2]|0}u=d;return}function Ada(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;g=u;u=u+16|0;i=g;if(!(b[a+12>>0]|0)){j=0;u=g;return j|0}k=c+(f[a+16>>2]|0)|0;switch(f[a+8>>2]|0){case 1:{if((e|0)>0)l=0;else{j=0;u=g;return j|0}do{a=l<<1;m=a|1;b[d+l>>0]=((h[c+a>>0]|0)+2+(h[c+m>>0]|0)+(h[k+a>>0]|0)+(h[k+m>>0]|0)|0)>>>2;l=l+1|0}while((l|0)!=(e|0));j=e;u=g;return j|0}case 3:{if((e|0)>0)n=0;else{j=0;u=g;return j|0}while(1){l=n<<1;m=l+3|0;b[d+n>>0]=((h[c+l>>0]|0)+2+(h[c+m>>0]|0)+(h[k+l>>0]|0)+(h[k+m>>0]|0)|0)>>>2;m=l|1;a=l+4|0;b[d+(n+1)>>0]=((h[c+m>>0]|0)+2+(h[c+a>>0]|0)+(h[k+m>>0]|0)+(h[k+a>>0]|0)|0)>>>2;a=l+2|0;m=l+5|0;b[d+(n+2)>>0]=((h[c+a>>0]|0)+2+(h[c+m>>0]|0)+(h[k+a>>0]|0)+(h[k+m>>0]|0)|0)>>>2;m=n+3|0;if((m|0)<(e|0))n=m;else{j=m;break}}u=g;return j|0}case 4:{if((e|0)>0)o=0;else{j=0;u=g;return j|0}do{n=o<<1;m=n|4;b[d+o>>0]=((h[c+n>>0]|0)+2+(h[c+m>>0]|0)+(h[k+n>>0]|0)+(h[k+m>>0]|0)|0)>>>2;m=n|1;a=n|5;b[d+(o|1)>>0]=((h[c+m>>0]|0)+2+(h[c+a>>0]|0)+(h[k+m>>0]|0)+(h[k+a>>0]|0)|0)>>>2;a=n|2;m=n|6;b[d+(o|2)>>0]=((h[c+a>>0]|0)+2+(h[c+m>>0]|0)+(h[k+a>>0]|0)+(h[k+m>>0]|0)|0)>>>2;m=n|3;a=n|7;b[d+(o|3)>>0]=((h[c+m>>0]|0)+2+(h[c+a>>0]|0)+(h[k+m>>0]|0)+(h[k+a>>0]|0)|0)>>>2;o=o+4|0}while((o|0)<(e|0));j=e+3&-4;u=g;return j|0}default:{f[i+8>>2]=0;b[i+11>>0]=7;b[i>>0]=b[255196]|0;b[i+1>>0]=b[255197]|0;b[i+2>>0]=b[255198]|0;b[i+3>>0]=b[255199]|0;b[i+4>>0]=b[255200]|0;b[i+5>>0]=b[255201]|0;b[i+6>>0]=b[255202]|0;b[i+7>>0]=0;WD(-215,i,531152,252921,3070)}}return 0}function Bda(a){a=a|0;Waa(a);fuc(a);return}function Cda(a,c){a=a|0;c=c|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,u=0,v=0.0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;e=f[(f[a+100>>2]|0)+4>>2]|0;g=f[a+8>>2]|0;if((g|0)>0)h=f[(f[a+48>>2]|0)+(g+-1<<2)>>2]|0;else h=0;g=f[c>>2]|0;i=c+4|0;if((g|0)>=(f[i>>2]|0))return;c=a+76|0;j=a+108|0;k=a+128|0;l=(f[f[a+44>>2]>>2]|0)+-1|0;m=a+20|0;n=a+48|0;o=(e|0)>0;q=a+116|0;r=a+120|0;a=e+-2|0;s=(e|0)<2;t=e&-2;u=g;do{g=(f[c>>2]|0)+(Y(f[j>>2]|0,u)|0)|0;v=+(u|0)*+p[k>>3];w=~~v;x=w-(+(w|0)>v&1)|0;w=(f[m>>2]|0)+(Y((l|0)<(x|0)?l:x,f[f[n>>2]>>2]|0)|0)|0;switch(h|0){case 1:{if(s)y=0;else{x=0;do{z=f[q>>2]|0;A=x|1;B=b[w+(f[z+(A<<2)>>2]|0)>>0]|0;b[g+x>>0]=b[w+(f[z+(x<<2)>>2]|0)>>0]|0;b[g+A>>0]=B;x=x+2|0}while((x|0)<=(a|0));y=t}if((y|0)<(e|0)){x=y;do{b[g+x>>0]=b[w+(f[(f[q>>2]|0)+(x<<2)>>2]|0)>>0]|0;x=x+1|0}while((x|0)!=(e|0))}break}case 2:{if(o){x=f[q>>2]|0;B=0;do{d[g+(B<<1)>>1]=d[w+(f[x+(B<<2)>>2]|0)>>1]|0;B=B+1|0}while((B|0)!=(e|0))}break}case 3:{if(o){B=g;x=0;while(1){A=w+(f[(f[q>>2]|0)+(x<<2)>>2]|0)|0;b[B>>0]=b[A>>0]|0;b[B+1>>0]=b[A+1>>0]|0;b[B+2>>0]=b[A+2>>0]|0;x=x+1|0;if((x|0)==(e|0))break;else B=B+3|0}}break}case 4:{if(o){B=f[q>>2]|0;x=0;do{f[g+(x<<2)>>2]=f[w+(f[B+(x<<2)>>2]|0)>>2];x=x+1|0}while((x|0)!=(e|0))}break}case 6:{if(o){x=f[q>>2]|0;B=g;A=0;while(1){z=w+(f[x+(A<<2)>>2]|0)|0;d[B>>1]=d[z>>1]|0;d[B+2>>1]=d[z+2>>1]|0;d[B+4>>1]=d[z+4>>1]|0;A=A+1|0;if((A|0)==(e|0))break;else B=B+6|0}}break}case 8:{if(o){B=f[q>>2]|0;A=g;x=0;while(1){z=w+(f[B+(x<<2)>>2]|0)|0;f[A>>2]=f[z>>2];f[A+4>>2]=f[z+4>>2];x=x+1|0;if((x|0)==(e|0))break;else A=A+8|0}}break}case 12:{if(o){A=f[q>>2]|0;x=g;B=0;while(1){z=w+(f[A+(B<<2)>>2]|0)|0;f[x>>2]=f[z>>2];f[x+4>>2]=f[z+4>>2];f[x+8>>2]=f[z+8>>2];B=B+1|0;if((B|0)==(e|0))break;else x=x+12|0}}break}default:if(o){x=f[q>>2]|0;B=g;A=0;z=f[r>>2]|0;while(1){C=w+(f[x+(A<<2)>>2]|0)|0;if((z|0)>0){D=0;do{f[B+(D<<2)>>2]=f[C+(D<<2)>>2];D=D+1|0;E=f[r>>2]|0}while((D|0)<(E|0));F=E}else F=z;A=A+1|0;if((A|0)==(e|0))break;else{B=B+h|0;z=F}}}}u=u+1|0}while((u|0)<(f[i>>2]|0));return}function Dda(a,b,c,d,e,g,h,i,j,k,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=+k;l=+l;var m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;m=u;u=u+1184|0;n=m+128|0;o=m+48|0;q=m+24|0;r=m;s=m+1168|0;switch(j|0){case 1:{t=(c|0)>2?171:170;break}case 2:{t=(c|0)>2?173:172;break}case 3:{t=(c|0)>2?175:174;break}case 4:{t=(c|0)>2?177:176;break}default:t=(c|0)>2?179:178}v=n;f[v>>2]=0;f[v+4>>2]=1072693248;p[o>>3]=k;tHb(q,n,o);f[q+8>>2]=c;v=q+12|0;f[v>>2]=0;w=q+16|0;f[w>>2]=h;x=n;f[x>>2]=0;f[x+4>>2]=1072693248;p[o>>3]=l;tHb(r,n,o);f[r+8>>2]=d;x=r+12|0;f[x>>2]=0;y=r+16|0;f[y>>2]=i;z=i+h<<3;A=n+8|0;f[n>>2]=A;B=n+4|0;f[B>>2]=z;if(z>>>0>1032){C=euc(z)|0;f[n>>2]=C;D=C}else D=A;C=D+(h<<2)|0;z=C+(i<<2)|0;E=z+(h<<2)|0;if((h|0)>0){F=0;do{Qea(q,F,D+(F<<2)|0,z+(F<<2)|0);F=F+1|0}while((F|0)<(h|0))}F=f[v>>2]|0;v=f[w>>2]|0;if((i|0)>0){w=0;do{Qea(r,w,C+(w<<2)|0,E+(w<<2)|0);w=w+1|0}while((w|0)<(i|0))}w=f[x>>2]|0;x=f[y>>2]|0;f[o>>2]=54812;f[o+4>>2]=a;f[o+8>>2]=b;f[o+12>>2]=c;f[o+16>>2]=d;f[o+20>>2]=e;f[o+24>>2]=g;f[o+28>>2]=h;f[o+32>>2]=i;f[o+36>>2]=j;f[o+40>>2]=D;f[o+44>>2]=C;f[o+48>>2]=z;f[o+52>>2]=E;f[o+56>>2]=F;f[o+60>>2]=v;f[o+64>>2]=w;f[o+68>>2]=x;f[o+72>>2]=t;f[s>>2]=0;f[s+4>>2]=i;sZ(s,o,+(Y(i,h)|0)*.0000152587890625);h=f[n>>2]|0;if((h|0)==(A|0)){u=m;return}if(h|0)guc(h);f[n>>2]=A;f[B>>2]=1032;u=m;return}function Eda(a,b,c,d,e,g,h,i,j,k,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=+k;l=+l;var m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;m=u;u=u+1184|0;n=m+128|0;o=m+48|0;q=m+24|0;r=m;s=m+1168|0;switch(j|0){case 1:{t=(c|0)>2?181:180;break}case 2:{t=(c|0)>2?183:182;break}case 3:{t=(c|0)>2?185:184;break}case 4:{t=(c|0)>2?187:186;break}default:t=(c|0)>2?189:188}v=n;f[v>>2]=0;f[v+4>>2]=1072693248;p[o>>3]=k;tHb(q,n,o);f[q+8>>2]=c;v=q+12|0;f[v>>2]=0;w=q+16|0;f[w>>2]=h;x=n;f[x>>2]=0;f[x+4>>2]=1072693248;p[o>>3]=l;tHb(r,n,o);f[r+8>>2]=d;x=r+12|0;f[x>>2]=0;y=r+16|0;f[y>>2]=i;z=(i+h|0)*12|0;A=n+8|0;f[n>>2]=A;B=n+4|0;f[B>>2]=z;if(z>>>0>1032){C=euc(z)|0;f[n>>2]=C;D=C}else D=A;C=D+(h<<2)|0;z=C+(i<<2)|0;E=z+(h<<1<<2)|0;if((h|0)>0){F=0;do{Dea(q,F,D+(F<<2)|0,z+(F<<1<<2)|0);F=F+1|0}while((F|0)<(h|0))}F=f[v>>2]|0;v=f[w>>2]|0;if((i|0)>0){w=0;do{Dea(r,w,C+(w<<2)|0,E+(w<<1<<2)|0);w=w+1|0}while((w|0)<(i|0))}w=f[x>>2]|0;x=f[y>>2]|0;f[o>>2]=54792;f[o+4>>2]=a;f[o+8>>2]=b;f[o+12>>2]=c;f[o+16>>2]=d;f[o+20>>2]=e;f[o+24>>2]=g;f[o+28>>2]=h;f[o+32>>2]=i;f[o+36>>2]=j;f[o+40>>2]=D;f[o+44>>2]=C;f[o+48>>2]=z;f[o+52>>2]=E;f[o+56>>2]=F;f[o+60>>2]=v;f[o+64>>2]=w;f[o+68>>2]=x;f[o+72>>2]=t;f[s>>2]=0;f[s+4>>2]=i;sZ(s,o,+(Y(i,h)|0)*.0000152587890625);h=f[n>>2]|0;if((h|0)==(A|0)){u=m;return}if(h|0)guc(h);f[n>>2]=A;f[B>>2]=1032;u=m;return}function Fda(a,b,c,d,e,g,h,i,j,k,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=+k;l=+l;var m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;m=u;u=u+1184|0;n=m+128|0;o=m+48|0;q=m+24|0;r=m;s=m+1168|0;switch(j|0){case 1:{t=(c|0)>2?191:190;break}case 2:{t=(c|0)>2?193:192;break}case 3:{t=(c|0)>2?195:194;break}case 4:{t=(c|0)>2?197:196;break}default:t=(c|0)>2?199:198}v=n;f[v>>2]=0;f[v+4>>2]=1072693248;p[o>>3]=k;tHb(q,n,o);f[q+8>>2]=c;v=q+12|0;f[v>>2]=0;w=q+16|0;f[w>>2]=h;x=n;f[x>>2]=0;f[x+4>>2]=1072693248;p[o>>3]=l;tHb(r,n,o);f[r+8>>2]=d;x=r+12|0;f[x>>2]=0;y=r+16|0;f[y>>2]=i;z=(i+h|0)*12|0;A=n+8|0;f[n>>2]=A;B=n+4|0;f[B>>2]=z;if(z>>>0>1032){C=euc(z)|0;f[n>>2]=C;D=C}else D=A;C=D+(h<<2)|0;z=C+(i<<2)|0;E=z+(h<<1<<2)|0;if((h|0)>0){F=0;do{qea(q,F,D+(F<<2)|0,z+(F<<1<<2)|0);F=F+1|0}while((F|0)<(h|0))}F=f[v>>2]|0;v=f[w>>2]|0;if((i|0)>0){w=0;do{qea(r,w,C+(w<<2)|0,E+(w<<1<<2)|0);w=w+1|0}while((w|0)<(i|0))}w=f[x>>2]|0;x=f[y>>2]|0;f[o>>2]=54772;f[o+4>>2]=a;f[o+8>>2]=b;f[o+12>>2]=c;f[o+16>>2]=d;f[o+20>>2]=e;f[o+24>>2]=g;f[o+28>>2]=h;f[o+32>>2]=i;f[o+36>>2]=j;f[o+40>>2]=D;f[o+44>>2]=C;f[o+48>>2]=z;f[o+52>>2]=E;f[o+56>>2]=F;f[o+60>>2]=v;f[o+64>>2]=w;f[o+68>>2]=x;f[o+72>>2]=t;f[s>>2]=0;f[s+4>>2]=i;sZ(s,o,+(Y(i,h)|0)*.0000152587890625);h=f[n>>2]|0;if((h|0)==(A|0)){u=m;return}if(h|0)guc(h);f[n>>2]=A;f[B>>2]=1032;u=m;return}function Gda(a,b,c,d,e,g,h,i,j,k,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=+k;l=+l;var m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;m=u;u=u+1184|0;n=m+128|0;o=m+48|0;q=m+24|0;r=m;s=m+1168|0;switch(j|0){case 1:{t=(c|0)>2?201:200;break}case 2:{t=(c|0)>2?203:202;break}case 3:{t=(c|0)>2?205:204;break}case 4:{t=(c|0)>2?207:206;break}default:t=(c|0)>2?209:208}v=n;f[v>>2]=0;f[v+4>>2]=1072693248;p[o>>3]=k;tHb(q,n,o);f[q+8>>2]=c;v=q+12|0;f[v>>2]=0;w=q+16|0;f[w>>2]=h;x=n;f[x>>2]=0;f[x+4>>2]=1072693248;p[o>>3]=l;tHb(r,n,o);f[r+8>>2]=d;x=r+12|0;f[x>>2]=0;y=r+16|0;f[y>>2]=i;z=(i+h|0)*12|0;A=n+8|0;f[n>>2]=A;B=n+4|0;f[B>>2]=z;if(z>>>0>1032){C=euc(z)|0;f[n>>2]=C;D=C}else D=A;C=D+(h<<2)|0;z=C+(i<<2)|0;E=z+(h<<1<<2)|0;if((h|0)>0){F=0;do{dea(q,F,D+(F<<2)|0,z+(F<<1<<2)|0);F=F+1|0}while((F|0)<(h|0))}F=f[v>>2]|0;v=f[w>>2]|0;if((i|0)>0){w=0;do{dea(r,w,C+(w<<2)|0,E+(w<<1<<2)|0);w=w+1|0}while((w|0)<(i|0))}w=f[x>>2]|0;x=f[y>>2]|0;f[o>>2]=54752;f[o+4>>2]=a;f[o+8>>2]=b;f[o+12>>2]=c;f[o+16>>2]=d;f[o+20>>2]=e;f[o+24>>2]=g;f[o+28>>2]=h;f[o+32>>2]=i;f[o+36>>2]=j;f[o+40>>2]=D;f[o+44>>2]=C;f[o+48>>2]=z;f[o+52>>2]=E;f[o+56>>2]=F;f[o+60>>2]=v;f[o+64>>2]=w;f[o+68>>2]=x;f[o+72>>2]=t;f[s>>2]=0;f[s+4>>2]=i;sZ(s,o,+(Y(i,h)|0)*.0000152587890625);h=f[n>>2]|0;if((h|0)==(A|0)){u=m;return}if(h|0)guc(h);f[n>>2]=A;f[B>>2]=1032;u=m;return}function Hda(a,b,c,d,e,g,h,i,j,k,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=+k;l=+l;var m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;m=u;u=u+1184|0;n=m+128|0;o=m+48|0;q=m+24|0;r=m;s=m+1168|0;switch(j|0){case 1:{t=(c|0)>2?211:210;break}case 2:{t=(c|0)>2?213:212;break}case 3:{t=(c|0)>2?215:214;break}case 4:{t=(c|0)>2?217:216;break}default:t=(c|0)>2?219:218}v=n;f[v>>2]=0;f[v+4>>2]=1072693248;p[o>>3]=k;tHb(q,n,o);f[q+8>>2]=c;v=q+12|0;f[v>>2]=0;w=q+16|0;f[w>>2]=h;x=n;f[x>>2]=0;f[x+4>>2]=1072693248;p[o>>3]=l;tHb(r,n,o);f[r+8>>2]=d;x=r+12|0;f[x>>2]=0;y=r+16|0;f[y>>2]=i;z=(i+h|0)*20|0;A=n+8|0;f[n>>2]=A;B=n+4|0;f[B>>2]=z;if(z>>>0>1032){C=euc(z)|0;f[n>>2]=C;D=C}else D=A;C=D+(h<<2)|0;z=C+(i<<2)|0;E=z+(h<<1<<3)|0;if((h|0)>0){F=0;do{Sda(q,F,D+(F<<2)|0,z+(F<<1<<3)|0);F=F+1|0}while((F|0)<(h|0))}F=f[v>>2]|0;v=f[w>>2]|0;if((i|0)>0){w=0;do{Sda(r,w,C+(w<<2)|0,E+(w<<1<<3)|0);w=w+1|0}while((w|0)<(i|0))}w=f[x>>2]|0;x=f[y>>2]|0;f[o>>2]=54732;f[o+4>>2]=a;f[o+8>>2]=b;f[o+12>>2]=c;f[o+16>>2]=d;f[o+20>>2]=e;f[o+24>>2]=g;f[o+28>>2]=h;f[o+32>>2]=i;f[o+36>>2]=j;f[o+40>>2]=D;f[o+44>>2]=C;f[o+48>>2]=z;f[o+52>>2]=E;f[o+56>>2]=F;f[o+60>>2]=v;f[o+64>>2]=w;f[o+68>>2]=x;f[o+72>>2]=t;f[s>>2]=0;f[s+4>>2]=i;sZ(s,o,+(Y(i,h)|0)*.0000152587890625);h=f[n>>2]|0;if((h|0)==(A|0)){u=m;return}if(h|0)guc(h);f[n>>2]=A;f[B>>2]=1032;u=m;return}function Ida(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;b=f[a>>2]|0;if((g|0)>0){j=0;k=e;while(1){l=k;f[l>>2]=0;f[l+4>>2]=b;j=j+1|0;if((j|0)==(g|0))break;else k=k+8|0}m=d+(g<<1<<3)|0;n=g;o=e+(g<<3)|0}else{m=d;n=0;o=e}if((n|0)<(h|0)){e=m;m=n;d=o;while(1){g=a+(f[c+(m<<2)>>2]<<2)|0;k=e;j=f[k>>2]|0;b=f[k+4>>2]|0;k=f[g>>2]|0;l=(b|0)<0;p=(k|0)<0;q=gzc(0,0,j|0,b|0)|0;r=l?q:j;q=l?J:b;l=gzc(0,0,0,k|0)|0;l=J;s=p?l:k;l=k^b;b=Bzc(s|0,0,r|0,0)|0;r=J;k=Bzc(s|0,0,q|0,0)|0;q=J;s=hzc(k|0,0,r|0,0)|0;r=J|q;if(r>>>0>0|(r|0)==0&(s|k)>>>0>2147483647){k=pzc(j|0,l|0,63)|0;j=hzc(k|0,J|0,-1,2147483647)|0;t=J;u=j}else{j=(l|0)<0;l=gzc(0,0,b|0,s|0)|0;t=j?J:s;u=j?l:b}b=e+8|0;l=f[b>>2]|0;j=f[b+4>>2]|0;b=f[g+4>>2]|0;g=(j|0)<0;s=(b|0)<0;k=gzc(0,0,l|0,j|0)|0;r=g?k:l;k=g?J:j;g=gzc(0,0,0,b|0)|0;g=J;q=s?g:b;g=b^j;j=Bzc(q|0,0,r|0,0)|0;r=J;b=Bzc(q|0,0,k|0,0)|0;k=J;q=hzc(b|0,0,r|0,0)|0;r=J|k;if(r>>>0>0|(r|0)==0&(q|b)>>>0>2147483647){b=pzc(l|0,g|0,63)|0;l=hzc(b|0,J|0,-1,2147483647)|0;v=l;w=J}else{l=(g|0)<0;g=gzc(0,0,j|0,q|0)|0;v=l?g:j;w=l?J:q}q=hzc(v|0,w|0,u|0,t|0)|0;l=J;j=((l^t)&(l^w)|0)<0;g=d;f[g>>2]=j?-1:q;f[g+4>>2]=j?(l|2147483647)^-2147483648:l;m=m+1|0;if((m|0)==(h|0))break;else{e=e+16|0;d=d+8|0}}x=h;y=o+(h-n<<3)|0}else{x=n;y=o}o=f[a+(f[c+(i+-1<<2)>>2]<<2)>>2]|0;if((x|0)<(i|0)){z=x;A=y}else return;while(1){y=A;f[y>>2]=0;f[y+4>>2]=o;z=z+1|0;if((z|0)==(i|0))break;else A=A+8|0}return}function Jda(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;Rda(a,b,c,d,e,f,g,h);return}function Kda(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;b=f[a>>2]|0;j=f[a+4>>2]|0;if((g|0)>0){k=g<<1;l=0;m=e;while(1){n=m;f[n>>2]=0;f[n+4>>2]=b;n=m+8|0;f[n>>2]=0;f[n+4>>2]=j;l=l+1|0;if((l|0)==(g|0))break;else m=m+16|0}o=d+(k<<3)|0;p=g;q=e+(k<<3)|0}else{o=d;p=0;q=e}if((p|0)<(h|0)){e=h-p|0;d=p;k=q;g=o;while(1){o=a+(f[c+(d<<2)>>2]<<1<<2)|0;m=g;l=f[m>>2]|0;j=f[m+4>>2]|0;m=f[o>>2]|0;b=(j|0)<0;n=(m|0)<0;r=gzc(0,0,l|0,j|0)|0;s=b?r:l;r=b?J:j;b=gzc(0,0,0,m|0)|0;b=J;t=n?b:m;b=m^j;j=Bzc(t|0,0,s|0,0)|0;s=J;m=Bzc(t|0,0,r|0,0)|0;r=J;t=hzc(m|0,0,s|0,0)|0;s=J|r;if(s>>>0>0|(s|0)==0&(t|m)>>>0>2147483647){m=pzc(l|0,b|0,63)|0;l=hzc(m|0,J|0,-1,2147483647)|0;u=l;v=J}else{l=(b|0)<0;b=gzc(0,0,j|0,t|0)|0;u=l?b:j;v=l?J:t}t=g+8|0;l=t;j=f[l>>2]|0;b=f[l+4>>2]|0;l=f[o+8>>2]|0;m=(b|0)<0;s=(l|0)<0;r=gzc(0,0,j|0,b|0)|0;n=m?r:j;r=m?J:b;m=gzc(0,0,0,l|0)|0;m=J;w=s?m:l;m=l^b;b=Bzc(w|0,0,n|0,0)|0;n=J;l=Bzc(w|0,0,r|0,0)|0;r=J;w=hzc(l|0,0,n|0,0)|0;n=J|r;if(n>>>0>0|(n|0)==0&(w|l)>>>0>2147483647){l=pzc(j|0,m|0,63)|0;j=hzc(l|0,J|0,-1,2147483647)|0;x=j;y=J}else{j=(m|0)<0;m=gzc(0,0,b|0,w|0)|0;x=j?m:b;y=j?J:w}w=hzc(x|0,y|0,u|0,v|0)|0;j=J;b=((j^v)&(j^y)|0)<0;m=k;f[m>>2]=b?-1:w;f[m+4>>2]=b?(j|2147483647)^-2147483648:j;j=g;b=f[j>>2]|0;m=f[j+4>>2]|0;j=f[o+4>>2]|0;w=(m|0)<0;l=(j|0)<0;n=gzc(0,0,b|0,m|0)|0;r=w?n:b;n=w?J:m;w=gzc(0,0,0,j|0)|0;w=J;s=l?w:j;w=j^m;m=Bzc(s|0,0,r|0,0)|0;r=J;j=Bzc(s|0,0,n|0,0)|0;n=J;s=hzc(j|0,0,r|0,0)|0;r=J|n;if(r>>>0>0|(r|0)==0&(s|j)>>>0>2147483647){j=pzc(b|0,w|0,63)|0;b=hzc(j|0,J|0,-1,2147483647)|0;z=b;A=J}else{b=(w|0)<0;w=gzc(0,0,m|0,s|0)|0;z=b?w:m;A=b?J:s}s=t;t=f[s>>2]|0;b=f[s+4>>2]|0;s=f[o+12>>2]|0;o=(b|0)<0;m=(s|0)<0;w=gzc(0,0,t|0,b|0)|0;j=o?w:t;w=o?J:b;o=gzc(0,0,0,s|0)|0;o=J;r=m?o:s;o=s^b;b=Bzc(r|0,0,j|0,0)|0;j=J;s=Bzc(r|0,0,w|0,0)|0;w=J;r=hzc(s|0,0,j|0,0)|0;j=J|w;if(j>>>0>0|(j|0)==0&(r|s)>>>0>2147483647){s=pzc(t|0,o|0,63)|0;t=hzc(s|0,J|0,-1,2147483647)|0;B=t;C=J}else{t=(o|0)<0;o=gzc(0,0,b|0,r|0)|0;B=t?o:b;C=t?J:r}r=hzc(B|0,C|0,z|0,A|0)|0;t=J;b=((t^A)&(t^C)|0)<0;o=k+8|0;f[o>>2]=b?-1:r;f[o+4>>2]=b?(t|2147483647)^-2147483648:t;d=d+1|0;if((d|0)==(h|0))break;else{k=k+16|0;g=g+16|0}}D=h;E=q+(e<<1<<3)|0}else{D=p;E=q}q=a+(f[c+(i+-1<<2)>>2]<<1<<2)|0;c=f[q>>2]|0;a=f[q+4>>2]|0;if((D|0)<(i|0)){F=E;G=D}else return;while(1){D=F;f[D>>2]=0;f[D+4>>2]=c;D=F+8|0;f[D>>2]=0;f[D+4>>2]=a;G=G+1|0;if((G|0)==(i|0))break;else F=F+16|0}return}function Lda(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;Rda(a,b,c,d,e,f,g,h);return}function Mda(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0;b=f[a>>2]|0;j=f[a+4>>2]|0;k=f[a+8>>2]|0;if((g|0)>0){l=g*3|0;m=0;n=e;while(1){o=n;f[o>>2]=0;f[o+4>>2]=b;o=n+8|0;f[o>>2]=0;f[o+4>>2]=j;o=n+16|0;f[o>>2]=0;f[o+4>>2]=k;m=m+1|0;if((m|0)==(g|0))break;else n=n+24|0}p=d+(g<<1<<3)|0;q=g;r=e+(l<<3)|0}else{p=d;q=0;r=e}if((q|0)<(h|0)){e=h-q|0;d=q;l=r;g=p;while(1){p=a+((f[c+(d<<2)>>2]|0)*3<<2)|0;n=g;m=f[n>>2]|0;k=f[n+4>>2]|0;n=f[p>>2]|0;j=(k|0)<0;b=(n|0)<0;o=gzc(0,0,m|0,k|0)|0;s=j?o:m;o=j?J:k;j=gzc(0,0,0,n|0)|0;j=J;t=b?j:n;j=n^k;k=Bzc(t|0,0,s|0,0)|0;s=J;n=Bzc(t|0,0,o|0,0)|0;o=J;t=hzc(n|0,0,s|0,0)|0;s=J|o;if(s>>>0>0|(s|0)==0&(t|n)>>>0>2147483647){n=pzc(m|0,j|0,63)|0;m=hzc(n|0,J|0,-1,2147483647)|0;u=m;v=J}else{m=(j|0)<0;j=gzc(0,0,k|0,t|0)|0;u=m?j:k;v=m?J:t}t=g+8|0;m=t;k=f[m>>2]|0;j=f[m+4>>2]|0;m=f[p+12>>2]|0;n=(j|0)<0;s=(m|0)<0;o=gzc(0,0,k|0,j|0)|0;b=n?o:k;o=n?J:j;n=gzc(0,0,0,m|0)|0;n=J;w=s?n:m;n=m^j;j=Bzc(w|0,0,b|0,0)|0;b=J;m=Bzc(w|0,0,o|0,0)|0;o=J;w=hzc(m|0,0,b|0,0)|0;b=J|o;if(b>>>0>0|(b|0)==0&(w|m)>>>0>2147483647){m=pzc(k|0,n|0,63)|0;k=hzc(m|0,J|0,-1,2147483647)|0;x=k;y=J}else{k=(n|0)<0;n=gzc(0,0,j|0,w|0)|0;x=k?n:j;y=k?J:w}w=hzc(x|0,y|0,u|0,v|0)|0;k=J;j=((k^v)&(k^y)|0)<0;n=l;f[n>>2]=j?-1:w;f[n+4>>2]=j?(k|2147483647)^-2147483648:k;k=g;j=f[k>>2]|0;n=f[k+4>>2]|0;k=f[p+4>>2]|0;w=(n|0)<0;m=(k|0)<0;b=gzc(0,0,j|0,n|0)|0;o=w?b:j;b=w?J:n;w=gzc(0,0,0,k|0)|0;w=J;s=m?w:k;w=k^n;n=Bzc(s|0,0,o|0,0)|0;o=J;k=Bzc(s|0,0,b|0,0)|0;b=J;s=hzc(k|0,0,o|0,0)|0;o=J|b;if(o>>>0>0|(o|0)==0&(s|k)>>>0>2147483647){k=pzc(j|0,w|0,63)|0;j=hzc(k|0,J|0,-1,2147483647)|0;z=j;A=J}else{j=(w|0)<0;w=gzc(0,0,n|0,s|0)|0;z=j?w:n;A=j?J:s}s=t;j=f[s>>2]|0;n=f[s+4>>2]|0;s=f[p+16>>2]|0;w=(n|0)<0;k=(s|0)<0;o=gzc(0,0,j|0,n|0)|0;b=w?o:j;o=w?J:n;w=gzc(0,0,0,s|0)|0;w=J;m=k?w:s;w=s^n;n=Bzc(m|0,0,b|0,0)|0;b=J;s=Bzc(m|0,0,o|0,0)|0;o=J;m=hzc(s|0,0,b|0,0)|0;b=J|o;if(b>>>0>0|(b|0)==0&(m|s)>>>0>2147483647){s=pzc(j|0,w|0,63)|0;j=hzc(s|0,J|0,-1,2147483647)|0;B=j;C=J}else{j=(w|0)<0;w=gzc(0,0,n|0,m|0)|0;B=j?w:n;C=j?J:m}m=hzc(B|0,C|0,z|0,A|0)|0;j=J;n=((j^A)&(j^C)|0)<0;w=l+8|0;f[w>>2]=n?-1:m;f[w+4>>2]=n?(j|2147483647)^-2147483648:j;j=g;n=f[j>>2]|0;w=f[j+4>>2]|0;j=f[p+8>>2]|0;m=(w|0)<0;s=(j|0)<0;b=gzc(0,0,n|0,w|0)|0;o=m?b:n;b=m?J:w;m=gzc(0,0,0,j|0)|0;m=J;k=s?m:j;m=j^w;w=Bzc(k|0,0,o|0,0)|0;o=J;j=Bzc(k|0,0,b|0,0)|0;b=J;k=hzc(j|0,0,o|0,0)|0;o=J|b;if(o>>>0>0|(o|0)==0&(k|j)>>>0>2147483647){j=pzc(n|0,m|0,63)|0;n=hzc(j|0,J|0,-1,2147483647)|0;D=n;E=J}else{n=(m|0)<0;m=gzc(0,0,w|0,k|0)|0;D=n?m:w;E=n?J:k}k=t;t=f[k>>2]|0;n=f[k+4>>2]|0;k=f[p+20>>2]|0;p=(n|0)<0;w=(k|0)<0;m=gzc(0,0,t|0,n|0)|0;j=p?m:t;m=p?J:n;p=gzc(0,0,0,k|0)|0;p=J;o=w?p:k;p=k^n;n=Bzc(o|0,0,j|0,0)|0;j=J;k=Bzc(o|0,0,m|0,0)|0;m=J;o=hzc(k|0,0,j|0,0)|0;j=J|m;if(j>>>0>0|(j|0)==0&(o|k)>>>0>2147483647){k=pzc(t|0,p|0,63)|0;t=hzc(k|0,J|0,-1,2147483647)|0;F=t;G=J}else{t=(p|0)<0;p=gzc(0,0,n|0,o|0)|0;F=t?p:n;G=t?J:o}o=hzc(F|0,G|0,D|0,E|0)|0;t=J;n=((t^E)&(t^G)|0)<0;p=l+16|0;f[p>>2]=n?-1:o;f[p+4>>2]=n?(t|2147483647)^-2147483648:t;d=d+1|0;if((d|0)==(h|0))break;else{l=l+24|0;g=g+16|0}}H=h;I=r+(e*3<<3)|0}else{H=q;I=r}r=a+((f[c+(i+-1<<2)>>2]|0)*3<<2)|0;c=f[r>>2]|0;a=f[r+4>>2]|0;q=f[r+8>>2]|0;if((H|0)<(i|0)){K=I;L=H}else return;while(1){H=K;f[H>>2]=0;f[H+4>>2]=c;H=K+8|0;f[H>>2]=0;f[H+4>>2]=a;H=K+16|0;f[H>>2]=0;f[H+4>>2]=q;L=L+1|0;if((L|0)==(i|0))break;else K=K+24|0}return}function Nda(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;Rda(a,b,c,d,e,f,g,h);return}function Oda(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0;b=f[a>>2]|0;j=f[a+4>>2]|0;k=f[a+8>>2]|0;l=f[a+12>>2]|0;if((g|0)>0){m=g<<2;n=0;o=e;while(1){p=o;f[p>>2]=0;f[p+4>>2]=b;p=o+8|0;f[p>>2]=0;f[p+4>>2]=j;p=o+16|0;f[p>>2]=0;f[p+4>>2]=k;p=o+24|0;f[p>>2]=0;f[p+4>>2]=l;n=n+1|0;if((n|0)==(g|0))break;else o=o+32|0}q=d+(g<<1<<3)|0;r=g;s=e+(m<<3)|0}else{q=d;r=0;s=e}if((r|0)<(h|0)){e=h-r|0;d=q;q=r;m=s;while(1){g=a+(f[c+(q<<2)>>2]<<2<<2)|0;o=d;n=f[o>>2]|0;l=f[o+4>>2]|0;o=f[g>>2]|0;k=(l|0)<0;j=(o|0)<0;b=gzc(0,0,n|0,l|0)|0;p=k?b:n;b=k?J:l;k=gzc(0,0,0,o|0)|0;k=J;t=j?k:o;k=o^l;l=Bzc(t|0,0,p|0,0)|0;p=J;o=Bzc(t|0,0,b|0,0)|0;b=J;t=hzc(o|0,0,p|0,0)|0;p=J|b;if(p>>>0>0|(p|0)==0&(t|o)>>>0>2147483647){o=pzc(n|0,k|0,63)|0;n=hzc(o|0,J|0,-1,2147483647)|0;u=n;v=J}else{n=(k|0)<0;k=gzc(0,0,l|0,t|0)|0;u=n?k:l;v=n?J:t}t=d+8|0;n=t;l=f[n>>2]|0;k=f[n+4>>2]|0;n=f[g+16>>2]|0;o=(k|0)<0;p=(n|0)<0;b=gzc(0,0,l|0,k|0)|0;j=o?b:l;b=o?J:k;o=gzc(0,0,0,n|0)|0;o=J;w=p?o:n;o=n^k;k=Bzc(w|0,0,j|0,0)|0;j=J;n=Bzc(w|0,0,b|0,0)|0;b=J;w=hzc(n|0,0,j|0,0)|0;j=J|b;if(j>>>0>0|(j|0)==0&(w|n)>>>0>2147483647){n=pzc(l|0,o|0,63)|0;l=hzc(n|0,J|0,-1,2147483647)|0;x=l;y=J}else{l=(o|0)<0;o=gzc(0,0,k|0,w|0)|0;x=l?o:k;y=l?J:w}w=hzc(x|0,y|0,u|0,v|0)|0;l=J;k=((l^v)&(l^y)|0)<0;o=m;f[o>>2]=k?-1:w;f[o+4>>2]=k?(l|2147483647)^-2147483648:l;l=d;k=f[l>>2]|0;o=f[l+4>>2]|0;l=f[g+4>>2]|0;w=(o|0)<0;n=(l|0)<0;j=gzc(0,0,k|0,o|0)|0;b=w?j:k;j=w?J:o;w=gzc(0,0,0,l|0)|0;w=J;p=n?w:l;w=l^o;o=Bzc(p|0,0,b|0,0)|0;b=J;l=Bzc(p|0,0,j|0,0)|0;j=J;p=hzc(l|0,0,b|0,0)|0;b=J|j;if(b>>>0>0|(b|0)==0&(p|l)>>>0>2147483647){l=pzc(k|0,w|0,63)|0;k=hzc(l|0,J|0,-1,2147483647)|0;z=k;A=J}else{k=(w|0)<0;w=gzc(0,0,o|0,p|0)|0;z=k?w:o;A=k?J:p}p=t;k=f[p>>2]|0;o=f[p+4>>2]|0;p=f[g+20>>2]|0;w=(o|0)<0;l=(p|0)<0;b=gzc(0,0,k|0,o|0)|0;j=w?b:k;b=w?J:o;w=gzc(0,0,0,p|0)|0;w=J;n=l?w:p;w=p^o;o=Bzc(n|0,0,j|0,0)|0;j=J;p=Bzc(n|0,0,b|0,0)|0;b=J;n=hzc(p|0,0,j|0,0)|0;j=J|b;if(j>>>0>0|(j|0)==0&(n|p)>>>0>2147483647){p=pzc(k|0,w|0,63)|0;k=hzc(p|0,J|0,-1,2147483647)|0;B=k;C=J}else{k=(w|0)<0;w=gzc(0,0,o|0,n|0)|0;B=k?w:o;C=k?J:n}n=hzc(B|0,C|0,z|0,A|0)|0;k=J;o=((k^A)&(k^C)|0)<0;w=m+8|0;f[w>>2]=o?-1:n;f[w+4>>2]=o?(k|2147483647)^-2147483648:k;k=d;o=f[k>>2]|0;w=f[k+4>>2]|0;k=f[g+8>>2]|0;n=(w|0)<0;p=(k|0)<0;j=gzc(0,0,o|0,w|0)|0;b=n?j:o;j=n?J:w;n=gzc(0,0,0,k|0)|0;n=J;l=p?n:k;n=k^w;w=Bzc(l|0,0,b|0,0)|0;b=J;k=Bzc(l|0,0,j|0,0)|0;j=J;l=hzc(k|0,0,b|0,0)|0;b=J|j;if(b>>>0>0|(b|0)==0&(l|k)>>>0>2147483647){k=pzc(o|0,n|0,63)|0;o=hzc(k|0,J|0,-1,2147483647)|0;D=o;E=J}else{o=(n|0)<0;n=gzc(0,0,w|0,l|0)|0;D=o?n:w;E=o?J:l}l=t;o=f[l>>2]|0;w=f[l+4>>2]|0;l=f[g+24>>2]|0;n=(w|0)<0;k=(l|0)<0;b=gzc(0,0,o|0,w|0)|0;j=n?b:o;b=n?J:w;n=gzc(0,0,0,l|0)|0;n=J;p=k?n:l;n=l^w;w=Bzc(p|0,0,j|0,0)|0;j=J;l=Bzc(p|0,0,b|0,0)|0;b=J;p=hzc(l|0,0,j|0,0)|0;j=J|b;if(j>>>0>0|(j|0)==0&(p|l)>>>0>2147483647){l=pzc(o|0,n|0,63)|0;o=hzc(l|0,J|0,-1,2147483647)|0;F=o;G=J}else{o=(n|0)<0;n=gzc(0,0,w|0,p|0)|0;F=o?n:w;G=o?J:p}p=hzc(F|0,G|0,D|0,E|0)|0;o=J;w=((o^E)&(o^G)|0)<0;n=m+16|0;f[n>>2]=w?-1:p;f[n+4>>2]=w?(o|2147483647)^-2147483648:o;o=d;w=f[o>>2]|0;n=f[o+4>>2]|0;o=f[g+12>>2]|0;p=(n|0)<0;l=(o|0)<0;j=gzc(0,0,w|0,n|0)|0;b=p?j:w;j=p?J:n;p=gzc(0,0,0,o|0)|0;p=J;k=l?p:o;p=o^n;n=Bzc(k|0,0,b|0,0)|0;b=J;o=Bzc(k|0,0,j|0,0)|0;j=J;k=hzc(o|0,0,b|0,0)|0;b=J|j;if(b>>>0>0|(b|0)==0&(k|o)>>>0>2147483647){o=pzc(w|0,p|0,63)|0;w=hzc(o|0,J|0,-1,2147483647)|0;H=w;I=J}else{w=(p|0)<0;p=gzc(0,0,n|0,k|0)|0;H=w?p:n;I=w?J:k}k=t;t=f[k>>2]|0;w=f[k+4>>2]|0;k=f[g+28>>2]|0;g=(w|0)<0;n=(k|0)<0;p=gzc(0,0,t|0,w|0)|0;o=g?p:t;p=g?J:w;g=gzc(0,0,0,k|0)|0;g=J;b=n?g:k;g=k^w;w=Bzc(b|0,0,o|0,0)|0;o=J;k=Bzc(b|0,0,p|0,0)|0;p=J;b=hzc(k|0,0,o|0,0)|0;o=J|p;if(o>>>0>0|(o|0)==0&(b|k)>>>0>2147483647){k=pzc(t|0,g|0,63)|0;t=hzc(k|0,J|0,-1,2147483647)|0;K=t;L=J}else{t=(g|0)<0;g=gzc(0,0,w|0,b|0)|0;K=t?g:w;L=t?J:b}b=hzc(K|0,L|0,H|0,I|0)|0;t=J;w=((t^I)&(t^L)|0)<0;g=m+24|0;f[g>>2]=w?-1:b;f[g+4>>2]=w?(t|2147483647)^-2147483648:t;q=q+1|0;if((q|0)==(h|0))break;else{d=d+16|0;m=m+32|0}}M=h;N=s+(e<<2<<3)|0}else{M=r;N=s}s=a+(f[c+(i+-1<<2)>>2]<<2<<2)|0;c=f[s>>2]|0;a=f[s+4>>2]|0;r=f[s+8>>2]|0;e=f[s+12>>2]|0;if((M|0)<(i|0)){O=N;P=M}else return;while(1){M=O;f[M>>2]=0;f[M+4>>2]=c;M=O+8|0;f[M>>2]=0;f[M+4>>2]=a;M=O+16|0;f[M>>2]=0;f[M+4>>2]=r;M=O+24|0;f[M>>2]=0;f[M+4>>2]=e;P=P+1|0;if((P|0)==(i|0))break;else O=O+32|0}return}function Pda(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;Rda(a,b,c,d,e,f,g,h);return}function Qda(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;do if((g|0)>0){j=g<<1;if((b|0)<=0){k=d+(j<<3)|0;l=e;m=g;break}n=Y(g,b)|0;o=e;p=0;while(1){q=0;r=o;while(1){s=f[a+(q<<2)>>2]|0;t=r;f[t>>2]=0;f[t+4>>2]=s;q=q+1|0;if((q|0)==(b|0))break;else r=r+8|0}p=p+1|0;if((p|0)==(g|0))break;else o=o+(b<<3)|0}k=d+(j<<3)|0;l=e+(n<<3)|0;m=g}else{k=d;l=e;m=0}while(0);if((m|0)<(h|0)){e=(b|0)>0;d=k;k=m;g=l;while(1){o=a+((Y(f[c+(k<<2)>>2]|0,b)|0)<<2)|0;if(e){p=d+8|0;r=0;q=g;while(1){s=d;t=f[s>>2]|0;u=f[s+4>>2]|0;s=f[o+(r<<2)>>2]|0;v=(u|0)<0;w=(s|0)<0;x=gzc(0,0,t|0,u|0)|0;y=v?x:t;x=v?J:u;v=gzc(0,0,0,s|0)|0;v=J;z=w?v:s;v=s^u;u=Bzc(z|0,0,y|0,0)|0;y=J;s=Bzc(z|0,0,x|0,0)|0;x=J;z=hzc(s|0,0,y|0,0)|0;y=J|x;if(y>>>0>0|(y|0)==0&(z|s)>>>0>2147483647){s=pzc(t|0,v|0,63)|0;t=hzc(s|0,J|0,-1,2147483647)|0;A=t;B=J}else{t=(v|0)<0;v=gzc(0,0,u|0,z|0)|0;A=t?v:u;B=t?J:z}z=q;f[z>>2]=A;f[z+4>>2]=B;z=p;t=f[z>>2]|0;u=f[z+4>>2]|0;z=f[o+(r+b<<2)>>2]|0;v=(u|0)<0;s=(z|0)<0;y=gzc(0,0,t|0,u|0)|0;x=v?y:t;y=v?J:u;v=gzc(0,0,0,z|0)|0;v=J;w=s?v:z;v=z^u;u=Bzc(w|0,0,x|0,0)|0;x=J;z=Bzc(w|0,0,y|0,0)|0;y=J;w=hzc(z|0,0,x|0,0)|0;x=J|y;if(x>>>0>0|(x|0)==0&(w|z)>>>0>2147483647){z=pzc(t|0,v|0,63)|0;t=hzc(z|0,J|0,-1,2147483647)|0;C=t;D=J}else{t=(v|0)<0;v=gzc(0,0,u|0,w|0)|0;C=t?v:u;D=t?J:w}w=hzc(A|0,B|0,C|0,D|0)|0;t=J;u=((t^B)&(t^D)|0)<0;v=q;f[v>>2]=u?-1:w;f[v+4>>2]=u?(t|2147483647)^-2147483648:t;r=r+1|0;if((r|0)==(b|0))break;else q=q+8|0}E=g+(b<<3)|0}else E=g;k=k+1|0;if((k|0)==(h|0)){F=h;G=E;break}else{d=d+16|0;g=E}}}else{F=m;G=l}l=a+((Y(f[c+(i+-1<<2)>>2]|0,b)|0)<<2)|0;if((F|0)<(i|0)&(b|0)>0){H=F;I=G}else return;while(1){G=0;F=I;while(1){c=f[l+(G<<2)>>2]|0;a=F;f[a>>2]=0;f[a+4>>2]=c;G=G+1|0;if((G|0)==(b|0))break;else F=F+8|0}H=H+1|0;if((H|0)==(i|0))break;else I=I+(b<<3)|0}return}function Rda(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;do if((g|0)>0){j=g<<1;if((b|0)<=0){k=d+(j<<3)|0;l=e;m=g;break}n=Y(g,b)|0;o=e;p=0;while(1){q=0;r=o;while(1){s=f[a+(q<<2)>>2]|0;t=r;f[t>>2]=0;f[t+4>>2]=s;q=q+1|0;if((q|0)==(b|0))break;else r=r+8|0}p=p+1|0;if((p|0)==(g|0))break;else o=o+(b<<3)|0}k=d+(j<<3)|0;l=e+(n<<3)|0;m=g}else{k=d;l=e;m=0}while(0);if((m|0)<(h|0)){e=(b|0)>0;d=k;k=m;g=l;while(1){o=a+((Y(f[c+(k<<2)>>2]|0,b)|0)<<2)|0;if(e){p=d+8|0;r=0;q=g;while(1){s=d;t=f[s>>2]|0;u=f[s+4>>2]|0;do if(!((t|0)==0&(u|0)==0)){s=f[o+(r<<2)>>2]|0;v=(u|0)<0;w=(s|0)<0;x=gzc(0,0,t|0,u|0)|0;y=v?x:t;x=v?J:u;v=gzc(0,0,0,s|0)|0;v=J;z=w?v:s;v=s^u;s=Bzc(z|0,0,y|0,0)|0;y=J;w=Bzc(z|0,0,x|0,0)|0;x=J;z=hzc(w|0,0,y|0,0)|0;y=J|x;if(y>>>0>0|(y|0)==0&(z|w)>>>0>2147483647){w=pzc(t|0,v|0,63)|0;y=hzc(w|0,J|0,-1,2147483647)|0;A=y;B=J;break}else{y=(v|0)<0;v=gzc(0,0,s|0,z|0)|0;A=y?v:s;B=y?J:z;break}}else{A=0;B=0}while(0);t=q;f[t>>2]=A;f[t+4>>2]=B;t=p;u=f[t>>2]|0;z=f[t+4>>2]|0;do if(!((u|0)==0&(z|0)==0)){t=f[o+(r+b<<2)>>2]|0;y=(z|0)<0;s=(t|0)<0;v=gzc(0,0,u|0,z|0)|0;w=y?v:u;v=y?J:z;y=gzc(0,0,0,t|0)|0;y=J;x=s?y:t;y=t^z;t=Bzc(x|0,0,w|0,0)|0;w=J;s=Bzc(x|0,0,v|0,0)|0;v=J;x=hzc(s|0,0,w|0,0)|0;w=J|v;if(w>>>0>0|(w|0)==0&(x|s)>>>0>2147483647){s=pzc(u|0,y|0,63)|0;w=hzc(s|0,J|0,-1,2147483647)|0;C=w;D=J;break}else{w=(y|0)<0;y=gzc(0,0,t|0,x|0)|0;C=w?y:t;D=w?J:x;break}}else{C=0;D=0}while(0);u=hzc(A|0,B|0,C|0,D|0)|0;z=J;x=((z^B)&(z^D)|0)<0;w=q;f[w>>2]=x?-1:u;f[w+4>>2]=x?(z|2147483647)^-2147483648:z;r=r+1|0;if((r|0)==(b|0))break;else q=q+8|0}E=g+(b<<3)|0}else E=g;k=k+1|0;if((k|0)==(h|0)){F=h;G=E;break}else{d=d+16|0;g=E}}}else{F=m;G=l}l=a+((Y(f[c+(i+-1<<2)>>2]|0,b)|0)<<2)|0;if((F|0)<(i|0)&(b|0)>0){H=F;I=G}else return;while(1){G=0;F=I;while(1){c=f[l+(G<<2)>>2]|0;a=F;f[a>>2]=0;f[a+4>>2]=c;G=G+1|0;if((G|0)==(b|0))break;else F=F+8|0}H=H+1|0;if((H|0)==(i|0))break;else I=I+(b<<3)|0}return}function Sda(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=u;u=u+64|0;g=e+48|0;h=e+40|0;i=e+32|0;j=e+24|0;k=e+16|0;l=e+8|0;m=e;gHb(j,b);p[h>>3]=.5;oHb(g,j,h);sHb(k,a,g);p[l>>3]=.5;rHb(i,k,l);k=lHb(i)|0;if((k|0)>-1?(j=f[a+8>>2]|0,(j|0)>1):0){n=j+-1|0;if((k|0)<(n|0)){f[c>>2]=k;gHb(m,k);rHb(l,i,m);hHb(h,0,1);sHb(g,l,h);h=mHb(g)|0;g=J;l=d+8|0;f[l>>2]=h;f[l+4>>2]=g;l=gzc(0,1,h|0,g|0)|0;h=J;m=(h&g|0)<0;g=d;f[g>>2]=m?-1:l;f[g+4>>2]=m?(h|2147483647)^-2147483648:h;u=e;return}else{f[c>>2]=n;n=a+16|0;c=f[n>>2]|0;f[n>>2]=(c|0)>(b|0)?b:c;u=e;return}}c=a+12|0;a=b+1|0;b=f[c>>2]|0;f[c>>2]=(b|0)<(a|0)?a:b;u=e;return}function Tda(a){a=a|0;fuc(a);return}function Uda(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0;c=u;u=u+1120|0;d=c+16|0;e=c;g=a+28|0;h=f[g>>2]|0;i=a+36|0;j=f[i>>2]|0;k=Y(h<<1,j)|0;l=d+8|0;kzc(l|0,0,1088)|0;f[d>>2]=l;m=d+4|0;f[m>>2]=k;if(k>>>0>136){n=euc(k>>>0>536870911?-1:k<<3)|0;kzc(n|0,0,k<<3|0)|0;f[d>>2]=n;o=n}else o=l;n=f[a+64>>2]|0;k=f[b>>2]|0;p=(n|0)<(k|0)?k:n;q=b+4|0;r=f[q>>2]|0;s=f[a+68>>2]|0;t=(r|0)<(s|0)?r:s;if((k|0)<(n|0)){Gh[f[a+72>>2]&255](f[a+4>>2]|0,j,f[a+40>>2]|0,f[a+48>>2]|0,o,f[a+56>>2]|0,f[a+60>>2]|0,h);v=-1;w=1;x=f[b>>2]|0}else{v=-2;w=0;x=k}if((x|0)<(p|0)){k=f[d>>2]|0;b=f[a+20>>2]|0;h=a+24|0;o=x;do{j=b+(Y(f[h>>2]|0,o)|0)|0;n=Y(f[i>>2]|0,f[g>>2]|0)|0;if((n|0)>0){s=0;do{r=k+(s<<3)|0;y=hzc(f[r>>2]|0,f[r+4>>2]|0,-2147483648,0)|0;r=ozc(y|0,J|0,32)|0;y=J;z=hzc(r|0,y|0,-2147483648,0)|0;A=J;f[j+(s<<2)>>2]=A>>>0<1|(A|0)==1&z>>>0<0?r:(y|0)>0|(y|0)==0&r>>>0>0?2147483647:-2147483648;s=s+1|0}while((s|0)!=(n|0))}o=o+1|0}while((o|0)<(p|0));B=p}else B=x;if((B|0)<(t|0)){x=a+44|0;p=a+16|0;o=a+20|0;k=a+24|0;h=e+8|0;b=a+52|0;n=a+72|0;s=a+4|0;j=a+8|0;r=a+40|0;y=a+48|0;z=a+56|0;A=a+60|0;C=v;D=w;E=B;F=0;while(1){G=B+F<<1;H=(f[x>>2]|0)+(E<<2)|0;I=C+2|0;K=f[H>>2]|0;L=(K|0)<(I|0)?I:K;I=K+2|0;M=f[p>>2]|0;if((L|0)<(((M|0)<(I|0)?M:I)|0)){I=L;L=D;while(1){N=(f[s>>2]|0)+(Y(f[j>>2]|0,I)|0)|0;O=f[i>>2]|0;P=f[g>>2]|0;Q=(f[d>>2]|0)+((Y(Y(O,L)|0,P)|0)<<3)|0;Gh[f[n>>2]&255](N,O,f[r>>2]|0,f[y>>2]|0,Q,f[z>>2]|0,f[A>>2]|0,P);I=I+1|0;P=(L+1|0)%2|0;Q=f[H>>2]|0;O=Q+2|0;N=f[p>>2]|0;if((I|0)>=(((N|0)<(O|0)?N:O)|0)){R=P;S=N;T=Q;break}else L=P}}else{R=D;S=M;T=K}L=S+-2|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;I=(((T|0)<(L|0)?L:T)+R-((C|0)<(L|0)?L:C)|0)%2|0;if((I|0)>0){szc(e|0,(f[b>>2]|0)+((E<<1)+2-I<<3)|0,I<<3|0)|0;U=I}else U=0;szc(e+(U<<3)|0,(f[b>>2]|0)+(U+G-I<<3)|0,16-(U<<3)|0)|0;L=f[d>>2]|0;H=Y(f[i>>2]|0,f[g>>2]|0)|0;P=(f[o>>2]|0)+(Y(f[k>>2]|0,E)|0)|0;if((H|0)>0){Q=e;N=f[Q>>2]|0;O=f[Q+4>>2]|0;Q=(O|0)<0;V=gzc(0,0,N|0,O|0)|0;W=Q?V:N;V=Q?J:O;Q=h;X=f[Q>>2]|0;Z=f[Q+4>>2]|0;Q=(Z|0)<0;_=gzc(0,0,X|0,Z|0)|0;$=Q?_:X;_=Q?J:Z;Q=0;do{aa=L+(Q<<3)|0;ba=f[aa>>2]|0;ca=f[aa+4>>2]|0;aa=(ca|0)<0;da=gzc(0,0,ba|0,ca|0)|0;ea=aa?da:ba;da=aa?J:ca;aa=ca^O;ca=Bzc(ea|0,0,W|0,0)|0;hzc(ca|0,J|0,-2147483648,0)|0;ca=J;fa=Bzc(da|0,0,W|0,0)|0;ga=J;ha=Bzc(ea|0,0,V|0,0)|0;ea=J;ia=Bzc(da|0,0,V|0,0)|0;da=J;ja=hzc(fa|0,0,ha|0,0)|0;ha=hzc(ja|0,J|0,ca|0,0)|0;ca=J;ja=hzc(ia|0,0,ga|0,0)|0;ga=hzc(ja|0,J|0,ea|0,0)|0;ea=hzc(ga|0,J|0,ca|0,0)|0;ca=J|da;if(ca>>>0>0|(ca|0)==0&(ea|ia)>>>0>2147483647){ia=pzc(ba^N|0,aa|0,63)|0;ba=hzc(ia|0,J|0,-1,2147483647)|0;ka=ba;la=J}else{ba=(aa|0)<0;aa=gzc(0,0,ha|0,ea|0)|0;ka=ba?aa:ha;la=ba?J:ea}ea=L+(Q+H<<3)|0;ba=f[ea>>2]|0;ha=f[ea+4>>2]|0;ea=(ha|0)<0;aa=gzc(0,0,ba|0,ha|0)|0;ia=ea?aa:ba;aa=ea?J:ha;ea=ha^Z;ha=Bzc(ia|0,0,$|0,0)|0;hzc(ha|0,J|0,-2147483648,0)|0;ha=J;ca=Bzc(aa|0,0,$|0,0)|0;da=J;ga=Bzc(ia|0,0,_|0,0)|0;ia=J;ja=Bzc(aa|0,0,_|0,0)|0;aa=J;fa=hzc(ca|0,0,ga|0,0)|0;ga=hzc(fa|0,J|0,ha|0,0)|0;ha=J;fa=hzc(ja|0,0,da|0,0)|0;da=hzc(fa|0,J|0,ia|0,0)|0;ia=hzc(da|0,J|0,ha|0,0)|0;ha=J|aa;if(ha>>>0>0|(ha|0)==0&(ia|ja)>>>0>2147483647){ja=pzc(ba^X|0,ea|0,63)|0;ba=hzc(ja|0,J|0,-1,2147483647)|0;ma=ba;na=J}else{ba=(ea|0)<0;ea=gzc(0,0,ga|0,ia|0)|0;ma=ba?ea:ga;na=ba?J:ia}ia=hzc(ma|0,na|0,ka|0,la|0)|0;ba=J;ga=((ba^la)&(ba^na)|0)<0;ea=hzc((ga?-1:ia)|0,(ga?(ba|2147483647)^-2147483648:ba)|0,-2147483648,0)|0;ba=ozc(ea|0,J|0,32)|0;ea=J;ga=hzc(ba|0,ea|0,-2147483648,0)|0;ia=J;f[P+(Q<<2)>>2]=ia>>>0<1|(ia|0)==1&ga>>>0<0?ba:(ea|0)>0|(ea|0)==0&ba>>>0>0?2147483647:-2147483648;Q=Q+1|0}while((Q|0)!=(H|0))}H=E+1|0;if((H|0)<(t|0)){C=T;D=I;E=H;F=F+1|0}else{oa=T;pa=I;qa=H;ra=L;sa=p;break}}}else{oa=v;pa=w;qa=B;ra=f[d>>2]|0;sa=a+16|0}B=f[sa>>2]|0;if((oa+2|0)>(B|0))ta=ra+((Y(Y(f[g>>2]|0,(pa+~oa+B|0)%2|0)|0,f[i>>2]|0)|0)<<3)|0;else{oa=(f[a+4>>2]|0)+(Y(f[a+8>>2]|0,B+-1|0)|0)|0;Gh[f[a+72>>2]&255](oa,f[i>>2]|0,f[a+40>>2]|0,f[a+48>>2]|0,ra,f[a+56>>2]|0,f[a+60>>2]|0,f[g>>2]|0);ta=ra}ra=f[q>>2]|0;if((qa|0)<(ra|0)){oa=f[a+20>>2]|0;B=a+24|0;a=qa;qa=ra;while(1){ra=oa+(Y(f[B>>2]|0,a)|0)|0;pa=Y(f[i>>2]|0,f[g>>2]|0)|0;if((pa|0)>0){sa=0;do{w=ta+(sa<<3)|0;v=hzc(f[w>>2]|0,f[w+4>>2]|0,-2147483648,0)|0;w=ozc(v|0,J|0,32)|0;v=J;p=hzc(w|0,v|0,-2147483648,0)|0;T=J;f[ra+(sa<<2)>>2]=T>>>0<1|(T|0)==1&p>>>0<0?w:(v|0)>0|(v|0)==0&w>>>0>0?2147483647:-2147483648;sa=sa+1|0}while((sa|0)!=(pa|0));ua=f[q>>2]|0}else ua=qa;a=a+1|0;if((a|0)>=(ua|0))break;else qa=ua}}ua=f[d>>2]|0;if((ua|0)==(l|0)){u=c;return}if(ua|0)guc(ua);f[d>>2]=l;f[m>>2]=136;u=c;return}function Vda(a,b,c,e,g,h,i,k){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;b=j[a>>1]<<16;if((h|0)>0){l=0;m=g;while(1){f[m>>2]=b;l=l+1|0;if((l|0)==(h|0))break;else m=m+4|0}n=e+(h<<1<<2)|0;o=h;p=g+(h<<2)|0}else{n=e;o=0;p=g}if((o|0)<(i|0)){g=n;n=o;e=p;while(1){h=a+(f[c+(n<<2)>>2]<<1)|0;m=f[g>>2]|0;l=d[h>>1]|0;b=Bzc(l|0,((l|0)<0)<<31>>31|0,m|0,((m|0)<0)<<31>>31|0)|0;m=J;l=hzc(b|0,m|0,-2147483648,0)|0;q=J;r=q>>>0<1|(q|0)==1&l>>>0<0?b:(m|0)>0|(m|0)==0&b>>>0>0?2147483647:-2147483648;b=f[g+4>>2]|0;m=d[h+2>>1]|0;h=Bzc(m|0,((m|0)<0)<<31>>31|0,b|0,((b|0)<0)<<31>>31|0)|0;b=J;m=hzc(h|0,b|0,-2147483648,0)|0;l=J;q=l>>>0<1|(l|0)==1&m>>>0<0?h:(b|0)>0|(b|0)==0&h>>>0>0?2147483647:-2147483648;h=q+r|0;f[e>>2]=((h^r)&(h^q)|0)<0?(h|2147483647)^-2147483648:h;n=n+1|0;if((n|0)==(i|0))break;else{g=g+8|0;e=e+4|0}}s=i;t=p+(i-o<<2)|0}else{s=o;t=p}p=j[a+(f[c+(k+-1<<2)>>2]<<1)>>1]<<16;if((s|0)<(k|0)){u=s;v=t}else return;while(1){f[v>>2]=p;u=u+1|0;if((u|0)==(k|0))break;else v=v+4|0}return}function Wda(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;cea(a,b,c,d,e,f,g,h);return}function Xda(a,b,c,e,g,h,i,k){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;b=j[a>>1]<<16;l=j[a+2>>1]<<16;if((h|0)>0){m=h<<1;n=0;o=g;while(1){f[o>>2]=b;f[o+4>>2]=l;n=n+1|0;if((n|0)==(h|0))break;else o=o+8|0}p=e+(m<<2)|0;q=h;r=g+(m<<2)|0}else{p=e;q=0;r=g}if((q|0)<(i|0)){g=i-q|0;e=q;m=r;h=p;while(1){p=a+(f[c+(e<<2)>>2]<<1<<1)|0;o=f[h>>2]|0;n=d[p>>1]|0;l=Bzc(n|0,((n|0)<0)<<31>>31|0,o|0,((o|0)<0)<<31>>31|0)|0;o=J;n=hzc(l|0,o|0,-2147483648,0)|0;b=J;s=b>>>0<1|(b|0)==1&n>>>0<0?l:(o|0)>0|(o|0)==0&l>>>0>0?2147483647:-2147483648;l=h+4|0;o=f[l>>2]|0;n=d[p+4>>1]|0;b=Bzc(n|0,((n|0)<0)<<31>>31|0,o|0,((o|0)<0)<<31>>31|0)|0;o=J;n=hzc(b|0,o|0,-2147483648,0)|0;t=J;u=t>>>0<1|(t|0)==1&n>>>0<0?b:(o|0)>0|(o|0)==0&b>>>0>0?2147483647:-2147483648;b=u+s|0;f[m>>2]=((b^s)&(b^u)|0)<0?(b|2147483647)^-2147483648:b;b=f[h>>2]|0;u=d[p+2>>1]|0;s=Bzc(u|0,((u|0)<0)<<31>>31|0,b|0,((b|0)<0)<<31>>31|0)|0;b=J;u=hzc(s|0,b|0,-2147483648,0)|0;o=J;n=o>>>0<1|(o|0)==1&u>>>0<0?s:(b|0)>0|(b|0)==0&s>>>0>0?2147483647:-2147483648;s=f[l>>2]|0;l=d[p+6>>1]|0;p=Bzc(l|0,((l|0)<0)<<31>>31|0,s|0,((s|0)<0)<<31>>31|0)|0;s=J;l=hzc(p|0,s|0,-2147483648,0)|0;b=J;u=b>>>0<1|(b|0)==1&l>>>0<0?p:(s|0)>0|(s|0)==0&p>>>0>0?2147483647:-2147483648;p=u+n|0;f[m+4>>2]=((p^n)&(p^u)|0)<0?(p|2147483647)^-2147483648:p;e=e+1|0;if((e|0)==(i|0))break;else{m=m+8|0;h=h+8|0}}v=i;w=r+(g<<1<<2)|0}else{v=q;w=r}r=a+(f[c+(k+-1<<2)>>2]<<1<<1)|0;c=j[r>>1]<<16;a=j[r+2>>1]<<16;if((v|0)<(k|0)){x=w;y=v}else return;while(1){f[x>>2]=c;f[x+4>>2]=a;y=y+1|0;if((y|0)==(k|0))break;else x=x+8|0}return}function Yda(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;cea(a,b,c,d,e,f,g,h);return}function Zda(a,b,c,e,g,h,i,k){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;b=j[a>>1]<<16;l=j[a+2>>1]<<16;m=j[a+4>>1]<<16;if((h|0)>0){n=h*3|0;o=0;p=g;while(1){f[p>>2]=b;f[p+4>>2]=l;f[p+8>>2]=m;o=o+1|0;if((o|0)==(h|0))break;else p=p+12|0}q=e+(h<<1<<2)|0;r=h;s=g+(n<<2)|0}else{q=e;r=0;s=g}if((r|0)<(i|0)){g=i-r|0;e=r;n=s;h=q;while(1){q=a+((f[c+(e<<2)>>2]|0)*3<<1)|0;p=f[h>>2]|0;o=d[q>>1]|0;m=Bzc(o|0,((o|0)<0)<<31>>31|0,p|0,((p|0)<0)<<31>>31|0)|0;p=J;o=hzc(m|0,p|0,-2147483648,0)|0;l=J;b=l>>>0<1|(l|0)==1&o>>>0<0?m:(p|0)>0|(p|0)==0&m>>>0>0?2147483647:-2147483648;m=h+4|0;p=f[m>>2]|0;o=d[q+6>>1]|0;l=Bzc(o|0,((o|0)<0)<<31>>31|0,p|0,((p|0)<0)<<31>>31|0)|0;p=J;o=hzc(l|0,p|0,-2147483648,0)|0;t=J;u=t>>>0<1|(t|0)==1&o>>>0<0?l:(p|0)>0|(p|0)==0&l>>>0>0?2147483647:-2147483648;l=u+b|0;f[n>>2]=((l^b)&(l^u)|0)<0?(l|2147483647)^-2147483648:l;l=f[h>>2]|0;u=d[q+2>>1]|0;b=Bzc(u|0,((u|0)<0)<<31>>31|0,l|0,((l|0)<0)<<31>>31|0)|0;l=J;u=hzc(b|0,l|0,-2147483648,0)|0;p=J;o=p>>>0<1|(p|0)==1&u>>>0<0?b:(l|0)>0|(l|0)==0&b>>>0>0?2147483647:-2147483648;b=f[m>>2]|0;l=d[q+8>>1]|0;u=Bzc(l|0,((l|0)<0)<<31>>31|0,b|0,((b|0)<0)<<31>>31|0)|0;b=J;l=hzc(u|0,b|0,-2147483648,0)|0;p=J;t=p>>>0<1|(p|0)==1&l>>>0<0?u:(b|0)>0|(b|0)==0&u>>>0>0?2147483647:-2147483648;u=t+o|0;f[n+4>>2]=((u^o)&(u^t)|0)<0?(u|2147483647)^-2147483648:u;u=f[h>>2]|0;t=d[q+4>>1]|0;o=Bzc(t|0,((t|0)<0)<<31>>31|0,u|0,((u|0)<0)<<31>>31|0)|0;u=J;t=hzc(o|0,u|0,-2147483648,0)|0;b=J;l=b>>>0<1|(b|0)==1&t>>>0<0?o:(u|0)>0|(u|0)==0&o>>>0>0?2147483647:-2147483648;o=f[m>>2]|0;m=d[q+10>>1]|0;q=Bzc(m|0,((m|0)<0)<<31>>31|0,o|0,((o|0)<0)<<31>>31|0)|0;o=J;m=hzc(q|0,o|0,-2147483648,0)|0;u=J;t=u>>>0<1|(u|0)==1&m>>>0<0?q:(o|0)>0|(o|0)==0&q>>>0>0?2147483647:-2147483648;q=t+l|0;f[n+8>>2]=((q^l)&(q^t)|0)<0?(q|2147483647)^-2147483648:q;e=e+1|0;if((e|0)==(i|0))break;else{n=n+12|0;h=h+8|0}}v=i;w=s+(g*3<<2)|0}else{v=r;w=s}s=a+((f[c+(k+-1<<2)>>2]|0)*3<<1)|0;c=j[s>>1]<<16;a=j[s+2>>1]<<16;r=j[s+4>>1]<<16;if((v|0)<(k|0)){x=w;y=v}else return;while(1){f[x>>2]=c;f[x+4>>2]=a;f[x+8>>2]=r;y=y+1|0;if((y|0)==(k|0))break;else x=x+12|0}return}function _da(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;cea(a,b,c,d,e,f,g,h);return}function $da(a,b,c,e,g,h,i,k){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;b=j[a>>1]<<16;l=j[a+2>>1]<<16;m=j[a+4>>1]<<16;n=j[a+6>>1]<<16;if((h|0)>0){o=h<<2;p=0;q=g;while(1){f[q>>2]=b;f[q+4>>2]=l;f[q+8>>2]=m;f[q+12>>2]=n;p=p+1|0;if((p|0)==(h|0))break;else q=q+16|0}r=e+(h<<1<<2)|0;s=h;t=g+(o<<2)|0}else{r=e;s=0;t=g}if((s|0)<(i|0)){g=i-s|0;e=r;r=s;o=t;while(1){h=a+(f[c+(r<<2)>>2]<<2<<1)|0;q=f[e>>2]|0;p=d[h>>1]|0;n=Bzc(p|0,((p|0)<0)<<31>>31|0,q|0,((q|0)<0)<<31>>31|0)|0;q=J;p=hzc(n|0,q|0,-2147483648,0)|0;m=J;l=m>>>0<1|(m|0)==1&p>>>0<0?n:(q|0)>0|(q|0)==0&n>>>0>0?2147483647:-2147483648;n=e+4|0;q=f[n>>2]|0;p=d[h+8>>1]|0;m=Bzc(p|0,((p|0)<0)<<31>>31|0,q|0,((q|0)<0)<<31>>31|0)|0;q=J;p=hzc(m|0,q|0,-2147483648,0)|0;b=J;u=b>>>0<1|(b|0)==1&p>>>0<0?m:(q|0)>0|(q|0)==0&m>>>0>0?2147483647:-2147483648;m=u+l|0;f[o>>2]=((m^l)&(m^u)|0)<0?(m|2147483647)^-2147483648:m;m=f[e>>2]|0;u=d[h+2>>1]|0;l=Bzc(u|0,((u|0)<0)<<31>>31|0,m|0,((m|0)<0)<<31>>31|0)|0;m=J;u=hzc(l|0,m|0,-2147483648,0)|0;q=J;p=q>>>0<1|(q|0)==1&u>>>0<0?l:(m|0)>0|(m|0)==0&l>>>0>0?2147483647:-2147483648;l=f[n>>2]|0;m=d[h+10>>1]|0;u=Bzc(m|0,((m|0)<0)<<31>>31|0,l|0,((l|0)<0)<<31>>31|0)|0;l=J;m=hzc(u|0,l|0,-2147483648,0)|0;q=J;b=q>>>0<1|(q|0)==1&m>>>0<0?u:(l|0)>0|(l|0)==0&u>>>0>0?2147483647:-2147483648;u=b+p|0;f[o+4>>2]=((u^p)&(u^b)|0)<0?(u|2147483647)^-2147483648:u;u=f[e>>2]|0;b=d[h+4>>1]|0;p=Bzc(b|0,((b|0)<0)<<31>>31|0,u|0,((u|0)<0)<<31>>31|0)|0;u=J;b=hzc(p|0,u|0,-2147483648,0)|0;l=J;m=l>>>0<1|(l|0)==1&b>>>0<0?p:(u|0)>0|(u|0)==0&p>>>0>0?2147483647:-2147483648;p=f[n>>2]|0;u=d[h+12>>1]|0;b=Bzc(u|0,((u|0)<0)<<31>>31|0,p|0,((p|0)<0)<<31>>31|0)|0;p=J;u=hzc(b|0,p|0,-2147483648,0)|0;l=J;q=l>>>0<1|(l|0)==1&u>>>0<0?b:(p|0)>0|(p|0)==0&b>>>0>0?2147483647:-2147483648;b=q+m|0;f[o+8>>2]=((b^m)&(b^q)|0)<0?(b|2147483647)^-2147483648:b;b=f[e>>2]|0;q=d[h+6>>1]|0;m=Bzc(q|0,((q|0)<0)<<31>>31|0,b|0,((b|0)<0)<<31>>31|0)|0;b=J;q=hzc(m|0,b|0,-2147483648,0)|0;p=J;u=p>>>0<1|(p|0)==1&q>>>0<0?m:(b|0)>0|(b|0)==0&m>>>0>0?2147483647:-2147483648;m=f[n>>2]|0;n=d[h+14>>1]|0;h=Bzc(n|0,((n|0)<0)<<31>>31|0,m|0,((m|0)<0)<<31>>31|0)|0;m=J;n=hzc(h|0,m|0,-2147483648,0)|0;b=J;q=b>>>0<1|(b|0)==1&n>>>0<0?h:(m|0)>0|(m|0)==0&h>>>0>0?2147483647:-2147483648;h=q+u|0;f[o+12>>2]=((h^u)&(h^q)|0)<0?(h|2147483647)^-2147483648:h;r=r+1|0;if((r|0)==(i|0))break;else{e=e+8|0;o=o+16|0}}v=i;w=t+(g<<2<<2)|0}else{v=s;w=t}t=a+(f[c+(k+-1<<2)>>2]<<2<<1)|0;c=j[t>>1]<<16;a=j[t+2>>1]<<16;s=j[t+4>>1]<<16;g=j[t+6>>1]<<16;if((v|0)<(k|0)){x=w;y=v}else return;while(1){f[x>>2]=c;f[x+4>>2]=a;f[x+8>>2]=s;f[x+12>>2]=g;y=y+1|0;if((y|0)==(k|0))break;else x=x+16|0}return}function aea(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;cea(a,b,c,d,e,f,g,h);return}function bea(a,b,c,e,g,h,i,k){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0;do if((h|0)>0){l=h<<1;if((b|0)<=0){m=e+(l<<2)|0;n=g;o=h;break}p=Y(h,b)|0;q=g;r=0;while(1){s=0;t=q;while(1){f[t>>2]=j[a+(s<<1)>>1]<<16;s=s+1|0;if((s|0)==(b|0))break;else t=t+4|0}r=r+1|0;if((r|0)==(h|0))break;else q=q+(b<<2)|0}m=e+(l<<2)|0;n=g+(p<<2)|0;o=h}else{m=e;n=g;o=0}while(0);if((o|0)<(i|0))if((b|0)>0){g=n+((Y(i-o|0,b)|0)<<2)|0;e=m;m=o;h=n;while(1){q=a+((Y(f[c+(m<<2)>>2]|0,b)|0)<<1)|0;r=e+4|0;t=0;s=h;while(1){u=f[e>>2]|0;v=d[q+(t<<1)>>1]|0;w=Bzc(v|0,((v|0)<0)<<31>>31|0,u|0,((u|0)<0)<<31>>31|0)|0;u=J;v=hzc(w|0,u|0,-2147483648,0)|0;x=J;y=x>>>0<1|(x|0)==1&v>>>0<0?w:(u|0)>0|(u|0)==0&w>>>0>0?2147483647:-2147483648;f[s>>2]=y;w=f[r>>2]|0;u=d[q+(t+b<<1)>>1]|0;v=Bzc(u|0,((u|0)<0)<<31>>31|0,w|0,((w|0)<0)<<31>>31|0)|0;w=J;u=hzc(v|0,w|0,-2147483648,0)|0;x=J;z=x>>>0<1|(x|0)==1&u>>>0<0?v:(w|0)>0|(w|0)==0&v>>>0>0?2147483647:-2147483648;v=z+y|0;f[s>>2]=((v^y)&(v^z)|0)<0?(v|2147483647)^-2147483648:v;t=t+1|0;if((t|0)==(b|0))break;else s=s+4|0}m=m+1|0;if((m|0)==(i|0)){A=i;B=g;break}else{e=e+8|0;h=h+(b<<2)|0}}}else{A=i;B=n}else{A=o;B=n}n=a+((Y(f[c+(k+-1<<2)>>2]|0,b)|0)<<1)|0;if((A|0)<(k|0)&(b|0)>0){C=A;D=B}else return;while(1){B=0;A=D;while(1){f[A>>2]=j[n+(B<<1)>>1]<<16;B=B+1|0;if((B|0)==(b|0))break;else A=A+4|0}C=C+1|0;if((C|0)==(k|0))break;else D=D+(b<<2)|0}return}function cea(a,b,c,e,g,h,i,k){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;do if((h|0)>0){l=h<<1;if((b|0)<=0){m=e+(l<<2)|0;n=g;o=h;break}p=Y(h,b)|0;q=g;r=0;while(1){s=0;t=q;while(1){f[t>>2]=j[a+(s<<1)>>1]<<16;s=s+1|0;if((s|0)==(b|0))break;else t=t+4|0}r=r+1|0;if((r|0)==(h|0))break;else q=q+(b<<2)|0}m=e+(l<<2)|0;n=g+(p<<2)|0;o=h}else{m=e;n=g;o=0}while(0);if((o|0)<(i|0)){g=(b|0)>0;e=m;m=o;h=n;while(1){q=a+((Y(f[c+(m<<2)>>2]|0,b)|0)<<1)|0;if(g){r=e+4|0;t=0;s=h;while(1){u=f[e>>2]|0;if(!u)v=0;else{w=d[q+(t<<1)>>1]|0;x=Bzc(w|0,((w|0)<0)<<31>>31|0,u|0,((u|0)<0)<<31>>31|0)|0;u=J;w=hzc(x|0,u|0,-2147483648,0)|0;y=J;v=y>>>0<1|(y|0)==1&w>>>0<0?x:(u|0)>0|(u|0)==0&x>>>0>0?2147483647:-2147483648}f[s>>2]=v;x=f[r>>2]|0;if(!x)z=0;else{u=d[q+(t+b<<1)>>1]|0;w=Bzc(u|0,((u|0)<0)<<31>>31|0,x|0,((x|0)<0)<<31>>31|0)|0;x=J;u=hzc(w|0,x|0,-2147483648,0)|0;y=J;z=y>>>0<1|(y|0)==1&u>>>0<0?w:(x|0)>0|(x|0)==0&w>>>0>0?2147483647:-2147483648}w=v+z|0;f[s>>2]=((w^v)&(w^z)|0)<0?(w|2147483647)^-2147483648:w;t=t+1|0;if((t|0)==(b|0))break;else s=s+4|0}A=h+(b<<2)|0}else A=h;m=m+1|0;if((m|0)==(i|0)){B=i;C=A;break}else{e=e+8|0;h=A}}}else{B=o;C=n}n=a+((Y(f[c+(k+-1<<2)>>2]|0,b)|0)<<1)|0;if((B|0)<(k|0)&(b|0)>0){D=B;E=C}else return;while(1){C=0;B=E;while(1){f[B>>2]=j[n+(C<<1)>>1]<<16;C=C+1|0;if((C|0)==(b|0))break;else B=B+4|0}D=D+1|0;if((D|0)==(k|0))break;else E=E+(b<<2)|0}return}function dea(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=u;u=u+64|0;g=e+48|0;h=e+40|0;i=e+32|0;j=e+24|0;k=e+16|0;l=e+8|0;m=e;gHb(j,b);p[h>>3]=.5;oHb(g,j,h);sHb(k,a,g);p[l>>3]=.5;rHb(i,k,l);k=lHb(i)|0;if((k|0)>-1?(j=f[a+8>>2]|0,(j|0)>1):0){n=j+-1|0;if((k|0)<(n|0)){f[c>>2]=k;gHb(m,k);rHb(l,i,m);gHb(h,65536);sHb(g,l,h);h=kHb(g)|0;f[d+4>>2]=h;g=65536-h|0;f[d>>2]=(g&h|0)<0?(g|2147483647)^-2147483648:g;u=e;return}else{f[c>>2]=n;n=a+16|0;c=f[n>>2]|0;f[n>>2]=(c|0)>(b|0)?b:c;u=e;return}}c=a+12|0;a=b+1|0;b=f[c>>2]|0;f[c>>2]=(b|0)<(a|0)?a:b;u=e;return}function eea(a){a=a|0;fuc(a);return}function fea(a,b){a=a|0;b=b|0;var c=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0;c=u;u=u+1072|0;e=c+8|0;g=c;h=a+28|0;i=f[h>>2]|0;j=a+36|0;k=f[j>>2]|0;l=Y(i<<1,k)|0;m=e+8|0;kzc(m|0,0,1056)|0;f[e>>2]=m;n=e+4|0;f[n>>2]=l;if(l>>>0>264){o=euc(l>>>0>1073741823?-1:l<<2)|0;kzc(o|0,0,l<<2|0)|0;f[e>>2]=o;p=o}else p=m;o=f[a+64>>2]|0;l=f[b>>2]|0;q=(o|0)<(l|0)?l:o;r=b+4|0;s=f[r>>2]|0;t=f[a+68>>2]|0;v=(s|0)<(t|0)?s:t;if((l|0)<(o|0)){Gh[f[a+72>>2]&255](f[a+4>>2]|0,k,f[a+40>>2]|0,f[a+48>>2]|0,p,f[a+56>>2]|0,f[a+60>>2]|0,i);w=-1;x=1;y=f[b>>2]|0}else{w=-2;x=0;y=l}if((y|0)<(q|0)){l=f[e>>2]|0;b=f[a+20>>2]|0;i=f[a+24>>2]|0;p=Y(f[j>>2]|0,f[h>>2]|0)|0;if((p|0)>0){k=y;do{o=b+(Y(i,k)|0)|0;t=0;do{s=(f[l+(t<<2)>>2]|0)+32768>>16;d[o+(t<<1)>>1]=(s+32768|0)>>>0<65536?s:(s|0)>0?32767:32768;t=t+1|0}while((t|0)!=(p|0));k=k+1|0}while((k|0)<(q|0));z=q}else z=q}else z=y;if((z|0)<(v|0)){y=a+44|0;q=a+16|0;k=a+20|0;p=a+24|0;l=g+4|0;i=a+52|0;b=a+72|0;t=a+4|0;o=a+8|0;s=a+40|0;A=a+48|0;B=a+56|0;C=a+60|0;D=w;E=x;F=z;G=0;while(1){H=z+G<<1;I=(f[y>>2]|0)+(F<<2)|0;K=D+2|0;L=f[I>>2]|0;M=(L|0)<(K|0)?K:L;K=L+2|0;N=f[q>>2]|0;if((M|0)<(((N|0)<(K|0)?N:K)|0)){K=M;M=E;while(1){O=(f[t>>2]|0)+(Y(f[o>>2]|0,K)|0)|0;P=f[j>>2]|0;Q=f[h>>2]|0;R=(f[e>>2]|0)+((Y(Y(P,M)|0,Q)|0)<<2)|0;Gh[f[b>>2]&255](O,P,f[s>>2]|0,f[A>>2]|0,R,f[B>>2]|0,f[C>>2]|0,Q);K=K+1|0;Q=(M+1|0)%2|0;R=f[I>>2]|0;P=R+2|0;O=f[q>>2]|0;if((K|0)>=(((O|0)<(P|0)?O:P)|0)){S=Q;T=O;U=R;break}else M=Q}}else{S=E;T=N;U=L}M=T+-2|0;K=g;f[K>>2]=0;f[K+4>>2]=0;K=(((U|0)<(M|0)?M:U)+S-((D|0)<(M|0)?M:D)|0)%2|0;if((K|0)>0){szc(g|0,(f[i>>2]|0)+((F<<1)+2-K<<2)|0,K<<2|0)|0;V=K}else V=0;szc(g+(V<<2)|0,(f[i>>2]|0)+(V+H-K<<2)|0,8-(V<<2)|0)|0;M=f[e>>2]|0;I=Y(f[j>>2]|0,f[h>>2]|0)|0;Q=(f[k>>2]|0)+(Y(f[p>>2]|0,F)|0)|0;if((I|0)>0){R=f[g>>2]|0;O=((R|0)<0)<<31>>31;P=f[l>>2]|0;W=((P|0)<0)<<31>>31;X=0;do{Z=f[M+(X<<2)>>2]|0;_=Bzc(Z|0,((Z|0)<0)<<31>>31|0,R|0,O|0)|0;Z=J;$=f[M+(X+I<<2)>>2]|0;aa=Bzc($|0,(($|0)<0)<<31>>31|0,P|0,W|0)|0;$=J;ba=hzc(aa|0,$|0,_|0,Z|0)|0;_=J;aa=((_^Z)&(_^$)|0)<0;$=hzc((aa?-1:ba)|0,(aa?(_|2147483647)^-2147483648:_)|0,-2147483648,0)|0;_=ozc($|0,J|0,32)|0;$=J;aa=hzc(_|0,$|0,32768,0)|0;ba=J;d[Q+(X<<1)>>1]=ba>>>0<0|(ba|0)==0&aa>>>0<65536?_&65535:($|0)>0|($|0)==0&_>>>0>0?32767:-32768;X=X+1|0}while((X|0)!=(I|0))}I=F+1|0;if((I|0)<(v|0)){D=U;E=K;F=I;G=G+1|0}else{ca=U;da=K;ea=I;fa=M;ga=T;break}}}else{ca=w;da=x;ea=z;fa=f[e>>2]|0;ga=f[a+16>>2]|0}if((ca+2|0)>(ga|0))ha=fa+((Y(Y(f[h>>2]|0,(da+~ca+ga|0)%2|0)|0,f[j>>2]|0)|0)<<2)|0;else{ca=(f[a+4>>2]|0)+(Y(f[a+8>>2]|0,ga+-1|0)|0)|0;Gh[f[a+72>>2]&255](ca,f[j>>2]|0,f[a+40>>2]|0,f[a+48>>2]|0,fa,f[a+56>>2]|0,f[a+60>>2]|0,f[h>>2]|0);ha=fa}fa=f[r>>2]|0;if((ea|0)<(fa|0)?(r=f[a+20>>2]|0,ca=f[a+24>>2]|0,a=Y(f[j>>2]|0,f[h>>2]|0)|0,(a|0)>0):0){h=ea;do{ea=r+(Y(ca,h)|0)|0;j=0;do{ga=(f[ha+(j<<2)>>2]|0)+32768>>16;d[ea+(j<<1)>>1]=(ga+32768|0)>>>0<65536?ga:(ga|0)>0?32767:32768;j=j+1|0}while((j|0)!=(a|0));h=h+1|0}while((h|0)<(fa|0))}fa=f[e>>2]|0;if((fa|0)==(m|0)){u=c;return}if(fa|0)guc(fa);f[e>>2]=m;f[n>>2]=264;u=c;return}function gea(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;b=(j[a>>1]|0)<<16;if((g|0)>0){k=g<<1;l=0;m=e;while(1){f[m>>2]=b;l=l+1|0;if((l|0)==(g|0))break;else m=m+4|0}n=d+(k<<2)|0;o=g;p=e+(g<<2)|0}else{n=d;o=0;p=e}if((o|0)<(h|0)){e=h-o|0;d=o;g=p;k=n;while(1){n=a+(f[c+(d<<2)>>2]<<1)|0;m=Bzc(j[n>>1]|0|0,0,f[k>>2]|0,0)|0;l=J;b=l>>>0<0|(l|0)==0&m>>>0<4294967295;l=b?m:-1;m=Bzc(j[n+2>>1]|0|0,0,f[k+4>>2]|0,0)|0;n=J;b=n>>>0<0|(n|0)==0&m>>>0<4294967295;n=b?m:-1;m=n+l|0;f[g>>2]=m>>>0<l>>>0?-1:m;d=d+1|0;if((d|0)==(h|0))break;else{g=g+4|0;k=k+8|0}}q=h;r=p+(e<<2)|0}else{q=o;r=p}p=(j[a+(f[c+(i+-1<<2)>>2]<<1)>>1]|0)<<16;if((q|0)<(i|0)){s=r;t=q}else return;while(1){f[s>>2]=p;t=t+1|0;if((t|0)==(i|0))break;else s=s+4|0}return}function hea(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;pea(a,b,c,d,e,f,g,h);return}function iea(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;b=(j[a>>1]|0)<<16;k=(j[a+2>>1]|0)<<16;if((g|0)>0){l=g<<1;m=0;n=e;while(1){f[n>>2]=b;f[n+4>>2]=k;m=m+1|0;if((m|0)==(g|0))break;else n=n+8|0}o=d+(l<<2)|0;p=g;q=e+(l<<2)|0}else{o=d;p=0;q=e}if((p|0)<(h|0)){e=h-p|0;d=p;l=q;g=o;while(1){o=a+(f[c+(d<<2)>>2]<<1<<1)|0;n=Bzc(j[o>>1]|0|0,0,f[g>>2]|0,0)|0;m=J;k=m>>>0<0|(m|0)==0&n>>>0<4294967295;m=k?n:-1;n=g+4|0;k=Bzc(j[o+4>>1]|0|0,0,f[n>>2]|0,0)|0;b=J;r=b>>>0<0|(b|0)==0&k>>>0<4294967295;b=r?k:-1;k=b+m|0;f[l>>2]=k>>>0<m>>>0?-1:k;k=Bzc(j[o+2>>1]|0|0,0,f[g>>2]|0,0)|0;m=J;b=m>>>0<0|(m|0)==0&k>>>0<4294967295;m=b?k:-1;k=Bzc(j[o+6>>1]|0|0,0,f[n>>2]|0,0)|0;n=J;o=n>>>0<0|(n|0)==0&k>>>0<4294967295;n=o?k:-1;k=n+m|0;f[l+4>>2]=k>>>0<m>>>0?-1:k;d=d+1|0;if((d|0)==(h|0))break;else{l=l+8|0;g=g+8|0}}s=h;t=q+(e<<1<<2)|0}else{s=p;t=q}q=a+(f[c+(i+-1<<2)>>2]<<1<<1)|0;c=(j[q>>1]|0)<<16;a=(j[q+2>>1]|0)<<16;if((s|0)<(i|0)){u=s;v=t}else return;while(1){f[v>>2]=c;f[v+4>>2]=a;u=u+1|0;if((u|0)==(i|0))break;else v=v+8|0}return}function jea(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;pea(a,b,c,d,e,f,g,h);return}function kea(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;b=(j[a>>1]|0)<<16;k=(j[a+2>>1]|0)<<16;l=(j[a+4>>1]|0)<<16;if((g|0)>0){m=g*3|0;n=0;o=e;while(1){f[o>>2]=b;f[o+4>>2]=k;f[o+8>>2]=l;n=n+1|0;if((n|0)==(g|0))break;else o=o+12|0}p=d+(g<<1<<2)|0;q=g;r=e+(m<<2)|0}else{p=d;q=0;r=e}if((q|0)<(h|0)){e=h-q|0;d=q;m=r;g=p;while(1){p=a+((f[c+(d<<2)>>2]|0)*3<<1)|0;o=Bzc(j[p>>1]|0|0,0,f[g>>2]|0,0)|0;n=J;l=n>>>0<0|(n|0)==0&o>>>0<4294967295;n=l?o:-1;o=g+4|0;l=Bzc(j[p+6>>1]|0|0,0,f[o>>2]|0,0)|0;k=J;b=k>>>0<0|(k|0)==0&l>>>0<4294967295;k=b?l:-1;l=k+n|0;f[m>>2]=l>>>0<n>>>0?-1:l;l=Bzc(j[p+2>>1]|0|0,0,f[g>>2]|0,0)|0;n=J;k=n>>>0<0|(n|0)==0&l>>>0<4294967295;n=k?l:-1;l=Bzc(j[p+8>>1]|0|0,0,f[o>>2]|0,0)|0;k=J;b=k>>>0<0|(k|0)==0&l>>>0<4294967295;k=b?l:-1;l=k+n|0;f[m+4>>2]=l>>>0<n>>>0?-1:l;l=Bzc(j[p+4>>1]|0|0,0,f[g>>2]|0,0)|0;n=J;k=n>>>0<0|(n|0)==0&l>>>0<4294967295;n=k?l:-1;l=Bzc(j[p+10>>1]|0|0,0,f[o>>2]|0,0)|0;o=J;p=o>>>0<0|(o|0)==0&l>>>0<4294967295;o=p?l:-1;l=o+n|0;f[m+8>>2]=l>>>0<n>>>0?-1:l;d=d+1|0;if((d|0)==(h|0))break;else{m=m+12|0;g=g+8|0}}s=h;t=r+(e*3<<2)|0}else{s=q;t=r}r=a+((f[c+(i+-1<<2)>>2]|0)*3<<1)|0;c=(j[r>>1]|0)<<16;a=(j[r+2>>1]|0)<<16;q=(j[r+4>>1]|0)<<16;if((s|0)<(i|0)){u=t;v=s}else return;while(1){f[u>>2]=c;f[u+4>>2]=a;f[u+8>>2]=q;v=v+1|0;if((v|0)==(i|0))break;else u=u+12|0}return}function lea(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;pea(a,b,c,d,e,f,g,h);return}function mea(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;b=(j[a>>1]|0)<<16;k=(j[a+2>>1]|0)<<16;l=(j[a+4>>1]|0)<<16;m=(j[a+6>>1]|0)<<16;if((g|0)>0){n=g<<2;o=0;p=e;while(1){f[p>>2]=b;f[p+4>>2]=k;f[p+8>>2]=l;f[p+12>>2]=m;o=o+1|0;if((o|0)==(g|0))break;else p=p+16|0}q=d+(g<<1<<2)|0;r=g;s=e+(n<<2)|0}else{q=d;r=0;s=e}if((r|0)<(h|0)){e=h-r|0;d=r;n=s;g=q;while(1){q=a+(f[c+(d<<2)>>2]<<2<<1)|0;p=Bzc(j[q>>1]|0|0,0,f[g>>2]|0,0)|0;o=J;m=o>>>0<0|(o|0)==0&p>>>0<4294967295;o=m?p:-1;p=g+4|0;m=Bzc(j[q+8>>1]|0|0,0,f[p>>2]|0,0)|0;l=J;k=l>>>0<0|(l|0)==0&m>>>0<4294967295;l=k?m:-1;m=l+o|0;f[n>>2]=m>>>0<o>>>0?-1:m;m=Bzc(j[q+2>>1]|0|0,0,f[g>>2]|0,0)|0;o=J;l=o>>>0<0|(o|0)==0&m>>>0<4294967295;o=l?m:-1;m=Bzc(j[q+10>>1]|0|0,0,f[p>>2]|0,0)|0;l=J;k=l>>>0<0|(l|0)==0&m>>>0<4294967295;l=k?m:-1;m=l+o|0;f[n+4>>2]=m>>>0<o>>>0?-1:m;m=Bzc(j[q+4>>1]|0|0,0,f[g>>2]|0,0)|0;o=J;l=o>>>0<0|(o|0)==0&m>>>0<4294967295;o=l?m:-1;m=Bzc(j[q+12>>1]|0|0,0,f[p>>2]|0,0)|0;l=J;k=l>>>0<0|(l|0)==0&m>>>0<4294967295;l=k?m:-1;m=l+o|0;f[n+8>>2]=m>>>0<o>>>0?-1:m;m=Bzc(j[q+6>>1]|0|0,0,f[g>>2]|0,0)|0;o=J;l=o>>>0<0|(o|0)==0&m>>>0<4294967295;o=l?m:-1;m=Bzc(j[q+14>>1]|0|0,0,f[p>>2]|0,0)|0;p=J;q=p>>>0<0|(p|0)==0&m>>>0<4294967295;p=q?m:-1;m=p+o|0;f[n+12>>2]=m>>>0<o>>>0?-1:m;d=d+1|0;if((d|0)==(h|0))break;else{n=n+16|0;g=g+8|0}}t=h;u=s+(e<<2<<2)|0}else{t=r;u=s}s=a+(f[c+(i+-1<<2)>>2]<<2<<1)|0;c=(j[s>>1]|0)<<16;a=(j[s+2>>1]|0)<<16;r=(j[s+4>>1]|0)<<16;e=(j[s+6>>1]|0)<<16;if((t|0)<(i|0)){v=u;w=t}else return;while(1){f[v>>2]=c;f[v+4>>2]=a;f[v+8>>2]=r;f[v+12>>2]=e;w=w+1|0;if((w|0)==(i|0))break;else v=v+16|0}return}function nea(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;pea(a,b,c,d,e,f,g,h);return}function oea(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;do if((g|0)>0){k=g<<1;if((b|0)<=0){l=d+(k<<2)|0;m=e;n=g;break}o=Y(g,b)|0;p=e;q=0;while(1){r=0;s=p;while(1){f[s>>2]=(j[a+(r<<1)>>1]|0)<<16;r=r+1|0;if((r|0)==(b|0))break;else s=s+4|0}q=q+1|0;if((q|0)==(g|0))break;else p=p+(b<<2)|0}l=d+(k<<2)|0;m=e+(o<<2)|0;n=g}else{l=d;m=e;n=0}while(0);if((n|0)<(h|0))if((b|0)>0){e=m+((Y(h-n|0,b)|0)<<2)|0;d=l;l=n;g=m;while(1){p=a+((Y(f[c+(l<<2)>>2]|0,b)|0)<<1)|0;q=d+4|0;s=0;r=g;while(1){t=Bzc(j[p+(s<<1)>>1]|0|0,0,f[d>>2]|0,0)|0;u=J;v=u>>>0<0|(u|0)==0&t>>>0<4294967295;u=v?t:-1;f[r>>2]=u;t=Bzc(j[p+(s+b<<1)>>1]|0|0,0,f[q>>2]|0,0)|0;v=J;w=v>>>0<0|(v|0)==0&t>>>0<4294967295;v=w?t:-1;t=v+u|0;f[r>>2]=t>>>0<u>>>0?-1:t;s=s+1|0;if((s|0)==(b|0))break;else r=r+4|0}l=l+1|0;if((l|0)==(h|0)){x=h;y=e;break}else{d=d+8|0;g=g+(b<<2)|0}}}else{x=h;y=m}else{x=n;y=m}m=a+((Y(f[c+(i+-1<<2)>>2]|0,b)|0)<<1)|0;if((x|0)<(i|0)&(b|0)>0){z=x;A=y}else return;while(1){y=0;x=A;while(1){f[x>>2]=(j[m+(y<<1)>>1]|0)<<16;y=y+1|0;if((y|0)==(b|0))break;else x=x+4|0}z=z+1|0;if((z|0)==(i|0))break;else A=A+(b<<2)|0}return}function pea(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;do if((g|0)>0){k=g<<1;if((b|0)<=0){l=d+(k<<2)|0;m=e;n=g;break}o=Y(g,b)|0;p=e;q=0;while(1){r=0;s=p;while(1){f[s>>2]=(j[a+(r<<1)>>1]|0)<<16;r=r+1|0;if((r|0)==(b|0))break;else s=s+4|0}q=q+1|0;if((q|0)==(g|0))break;else p=p+(b<<2)|0}l=d+(k<<2)|0;m=e+(o<<2)|0;n=g}else{l=d;m=e;n=0}while(0);if((n|0)<(h|0))if((b|0)>0){e=m+((Y(h-n|0,b)|0)<<2)|0;d=l;l=n;g=m;while(1){p=a+((Y(f[c+(l<<2)>>2]|0,b)|0)<<1)|0;q=d+4|0;s=0;r=g;while(1){t=f[d>>2]|0;if(!t)u=0;else{v=Bzc(j[p+(s<<1)>>1]|0|0,0,t|0,0)|0;t=J;w=t>>>0<0|(t|0)==0&v>>>0<4294967295;t=w?v:-1;u=t}f[r>>2]=u;t=f[q>>2]|0;if(!t)x=0;else{v=Bzc(j[p+(s+b<<1)>>1]|0|0,0,t|0,0)|0;t=J;w=t>>>0<0|(t|0)==0&v>>>0<4294967295;t=w?v:-1;x=t}t=u+x|0;f[r>>2]=t>>>0<u>>>0?-1:t;s=s+1|0;if((s|0)==(b|0))break;else r=r+4|0}l=l+1|0;if((l|0)==(h|0)){y=h;z=e;break}else{d=d+8|0;g=g+(b<<2)|0}}}else{y=h;z=m}else{y=n;z=m}m=a+((Y(f[c+(i+-1<<2)>>2]|0,b)|0)<<1)|0;if((y|0)<(i|0)&(b|0)>0){A=y;B=z}else return;while(1){z=0;y=B;while(1){f[y>>2]=(j[m+(z<<1)>>1]|0)<<16;z=z+1|0;if((z|0)==(b|0))break;else y=y+4|0}A=A+1|0;if((A|0)==(i|0))break;else B=B+(b<<2)|0}return}function qea(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;e=u;u=u+64|0;g=e+48|0;h=e+40|0;i=e+32|0;j=e+24|0;k=e+16|0;l=e+8|0;m=e;gHb(j,b);p[h>>3]=.5;oHb(g,j,h);sHb(k,a,g);p[l>>3]=.5;rHb(i,k,l);k=lHb(i)|0;if((k|0)>-1?(j=f[a+8>>2]|0,(j|0)>1):0){n=j+-1|0;if((k|0)>=(n|0)){f[c>>2]=n;n=a+16|0;j=f[n>>2]|0;f[n>>2]=(j|0)>(b|0)?b:j;u=e;return}f[c>>2]=k;gHb(m,k);rHb(l,i,m);if((f[l+4>>2]|0)<0)o=0;else{gHb(h,65536);sHb(g,l,h);o=kHb(g)|0}f[d+4>>2]=o;f[d>>2]=o>>>0<65536?65536-o|0:0;u=e;return}o=a+12|0;a=b+1|0;b=f[o>>2]|0;f[o>>2]=(b|0)<(a|0)?a:b;u=e;return}function rea(a){a=a|0;fuc(a);return}function sea(a,b){a=a|0;b=b|0;var c=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0;c=u;u=u+1072|0;e=c+8|0;g=c;h=a+28|0;i=f[h>>2]|0;j=a+36|0;k=f[j>>2]|0;l=Y(i<<1,k)|0;m=e+8|0;kzc(m|0,0,1056)|0;f[e>>2]=m;n=e+4|0;f[n>>2]=l;if(l>>>0>264){o=euc(l>>>0>1073741823?-1:l<<2)|0;kzc(o|0,0,l<<2|0)|0;f[e>>2]=o;p=o}else p=m;o=f[a+64>>2]|0;l=f[b>>2]|0;q=(o|0)<(l|0)?l:o;r=b+4|0;s=f[r>>2]|0;t=f[a+68>>2]|0;v=(s|0)<(t|0)?s:t;if((l|0)<(o|0)){Gh[f[a+72>>2]&255](f[a+4>>2]|0,k,f[a+40>>2]|0,f[a+48>>2]|0,p,f[a+56>>2]|0,f[a+60>>2]|0,i);w=-1;x=1;y=f[b>>2]|0}else{w=-2;x=0;y=l}if((y|0)<(q|0)){l=f[e>>2]|0;b=f[a+20>>2]|0;i=f[a+24>>2]|0;p=Y(f[j>>2]|0,f[h>>2]|0)|0;if((p|0)>0){k=y;do{o=b+(Y(i,k)|0)|0;t=0;do{d[o+(t<<1)>>1]=((f[l+(t<<2)>>2]|0)+32768|0)>>>16;t=t+1|0}while((t|0)!=(p|0));k=k+1|0}while((k|0)<(q|0));z=q}else z=q}else z=y;if((z|0)<(v|0)){y=a+44|0;q=a+16|0;k=a+20|0;p=a+24|0;l=g+4|0;i=a+52|0;b=a+72|0;t=a+4|0;o=a+8|0;s=a+40|0;A=a+48|0;B=a+56|0;C=a+60|0;D=w;E=x;F=z;G=0;while(1){H=z+G<<1;I=(f[y>>2]|0)+(F<<2)|0;K=D+2|0;L=f[I>>2]|0;M=(L|0)<(K|0)?K:L;K=L+2|0;N=f[q>>2]|0;if((M|0)<(((N|0)<(K|0)?N:K)|0)){K=M;M=E;while(1){O=(f[t>>2]|0)+(Y(f[o>>2]|0,K)|0)|0;P=f[j>>2]|0;Q=f[h>>2]|0;R=(f[e>>2]|0)+((Y(Y(P,M)|0,Q)|0)<<2)|0;Gh[f[b>>2]&255](O,P,f[s>>2]|0,f[A>>2]|0,R,f[B>>2]|0,f[C>>2]|0,Q);K=K+1|0;Q=(M+1|0)%2|0;R=f[I>>2]|0;P=R+2|0;O=f[q>>2]|0;if((K|0)>=(((O|0)<(P|0)?O:P)|0)){S=Q;T=O;U=R;break}else M=Q}}else{S=E;T=N;U=L}M=T+-2|0;K=g;f[K>>2]=0;f[K+4>>2]=0;K=(((U|0)<(M|0)?M:U)+S-((D|0)<(M|0)?M:D)|0)%2|0;if((K|0)>0){szc(g|0,(f[i>>2]|0)+((F<<1)+2-K<<2)|0,K<<2|0)|0;V=K}else V=0;szc(g+(V<<2)|0,(f[i>>2]|0)+(V+H-K<<2)|0,8-(V<<2)|0)|0;M=f[e>>2]|0;I=Y(f[j>>2]|0,f[h>>2]|0)|0;Q=(f[k>>2]|0)+(Y(f[p>>2]|0,F)|0)|0;if((I|0)>0){R=f[g>>2]|0;O=f[l>>2]|0;P=0;do{W=Bzc(f[M+(P<<2)>>2]|0,0,R|0,0)|0;X=J;Z=Bzc(f[M+(P+I<<2)>>2]|0,0,O|0,0)|0;_=hzc(Z|0,J|0,W|0,X|0)|0;Z=J;$=Z>>>0<X>>>0|(Z|0)==(X|0)&_>>>0<W>>>0;hzc(_|0,Z|0,-2147483648,0)|0;Z=$?0:J;_=$?0:0;$=_>>>0<0|(_|0)==0&Z>>>0<65535;_=$?Z:65535;d[Q+(P<<1)>>1]=_;P=P+1|0}while((P|0)!=(I|0))}I=F+1|0;if((I|0)<(v|0)){D=U;E=K;F=I;G=G+1|0}else{aa=U;ba=K;ca=I;da=M;ea=T;break}}}else{aa=w;ba=x;ca=z;da=f[e>>2]|0;ea=f[a+16>>2]|0}if((aa+2|0)>(ea|0))fa=da+((Y(Y(f[h>>2]|0,(ba+~aa+ea|0)%2|0)|0,f[j>>2]|0)|0)<<2)|0;else{aa=(f[a+4>>2]|0)+(Y(f[a+8>>2]|0,ea+-1|0)|0)|0;Gh[f[a+72>>2]&255](aa,f[j>>2]|0,f[a+40>>2]|0,f[a+48>>2]|0,da,f[a+56>>2]|0,f[a+60>>2]|0,f[h>>2]|0);fa=da}da=f[r>>2]|0;if((ca|0)<(da|0)?(r=f[a+20>>2]|0,aa=f[a+24>>2]|0,a=Y(f[j>>2]|0,f[h>>2]|0)|0,(a|0)>0):0){h=ca;do{ca=r+(Y(aa,h)|0)|0;j=0;do{d[ca+(j<<1)>>1]=((f[fa+(j<<2)>>2]|0)+32768|0)>>>16;j=j+1|0}while((j|0)!=(a|0));h=h+1|0}while((h|0)<(da|0))}da=f[e>>2]|0;if((da|0)==(m|0)){u=c;return}if(da|0)guc(da);f[e>>2]=m;f[n>>2]=264;u=c;return}function tea(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;c=b[a>>0]<<16;if((h|0)>0){k=0;l=g;while(1){f[l>>2]=c;k=k+1|0;if((k|0)==(h|0))break;else l=l+4|0}m=e+(h<<1<<2)|0;n=h;o=g+(h<<2)|0}else{m=e;n=0;o=g}if((n|0)<(i|0)){g=m;m=n;e=o;while(1){h=a+(f[d+(m<<2)>>2]|0)|0;l=f[g>>2]|0;k=b[h>>0]|0;c=Bzc(k|0,((k|0)<0)<<31>>31|0,l|0,((l|0)<0)<<31>>31|0)|0;l=J;k=hzc(c|0,l|0,-2147483648,0)|0;p=J;q=p>>>0<1|(p|0)==1&k>>>0<0?c:(l|0)>0|(l|0)==0&c>>>0>0?2147483647:-2147483648;c=f[g+4>>2]|0;l=b[h+1>>0]|0;h=Bzc(l|0,((l|0)<0)<<31>>31|0,c|0,((c|0)<0)<<31>>31|0)|0;c=J;l=hzc(h|0,c|0,-2147483648,0)|0;k=J;p=k>>>0<1|(k|0)==1&l>>>0<0?h:(c|0)>0|(c|0)==0&h>>>0>0?2147483647:-2147483648;h=p+q|0;f[e>>2]=((h^q)&(h^p)|0)<0?(h|2147483647)^-2147483648:h;m=m+1|0;if((m|0)==(i|0))break;else{g=g+8|0;e=e+4|0}}r=i;s=o+(i-n<<2)|0}else{r=n;s=o}o=b[a+(f[d+(j+-1<<2)>>2]|0)>>0]<<16;if((r|0)<(j|0)){t=r;u=s}else return;while(1){f[u>>2]=o;t=t+1|0;if((t|0)==(j|0))break;else u=u+4|0}return}function uea(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;Cea(a,b,c,d,e,f,g,h);return}function vea(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;c=b[a>>0]<<16;k=b[a+1>>0]<<16;if((h|0)>0){l=h<<1;m=0;n=g;while(1){f[n>>2]=c;f[n+4>>2]=k;m=m+1|0;if((m|0)==(h|0))break;else n=n+8|0}o=e+(l<<2)|0;p=h;q=g+(l<<2)|0}else{o=e;p=0;q=g}if((p|0)<(i|0)){g=i-p|0;e=p;l=q;h=o;while(1){o=a+(f[d+(e<<2)>>2]<<1)|0;n=f[h>>2]|0;m=b[o>>0]|0;k=Bzc(m|0,((m|0)<0)<<31>>31|0,n|0,((n|0)<0)<<31>>31|0)|0;n=J;m=hzc(k|0,n|0,-2147483648,0)|0;c=J;r=c>>>0<1|(c|0)==1&m>>>0<0?k:(n|0)>0|(n|0)==0&k>>>0>0?2147483647:-2147483648;k=h+4|0;n=f[k>>2]|0;m=b[o+2>>0]|0;c=Bzc(m|0,((m|0)<0)<<31>>31|0,n|0,((n|0)<0)<<31>>31|0)|0;n=J;m=hzc(c|0,n|0,-2147483648,0)|0;s=J;t=s>>>0<1|(s|0)==1&m>>>0<0?c:(n|0)>0|(n|0)==0&c>>>0>0?2147483647:-2147483648;c=t+r|0;f[l>>2]=((c^r)&(c^t)|0)<0?(c|2147483647)^-2147483648:c;c=f[h>>2]|0;t=b[o+1>>0]|0;r=Bzc(t|0,((t|0)<0)<<31>>31|0,c|0,((c|0)<0)<<31>>31|0)|0;c=J;t=hzc(r|0,c|0,-2147483648,0)|0;n=J;m=n>>>0<1|(n|0)==1&t>>>0<0?r:(c|0)>0|(c|0)==0&r>>>0>0?2147483647:-2147483648;r=f[k>>2]|0;k=b[o+3>>0]|0;o=Bzc(k|0,((k|0)<0)<<31>>31|0,r|0,((r|0)<0)<<31>>31|0)|0;r=J;k=hzc(o|0,r|0,-2147483648,0)|0;c=J;t=c>>>0<1|(c|0)==1&k>>>0<0?o:(r|0)>0|(r|0)==0&o>>>0>0?2147483647:-2147483648;o=t+m|0;f[l+4>>2]=((o^m)&(o^t)|0)<0?(o|2147483647)^-2147483648:o;e=e+1|0;if((e|0)==(i|0))break;else{l=l+8|0;h=h+8|0}}u=i;v=q+(g<<1<<2)|0}else{u=p;v=q}q=a+(f[d+(j+-1<<2)>>2]<<1)|0;d=b[q>>0]<<16;a=b[q+1>>0]<<16;if((u|0)<(j|0)){w=v;x=u}else return;while(1){f[w>>2]=d;f[w+4>>2]=a;x=x+1|0;if((x|0)==(j|0))break;else w=w+8|0}return}function wea(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;Cea(a,b,c,d,e,f,g,h);return}function xea(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;c=b[a>>0]<<16;k=b[a+1>>0]<<16;l=b[a+2>>0]<<16;if((h|0)>0){m=h*3|0;n=0;o=g;while(1){f[o>>2]=c;f[o+4>>2]=k;f[o+8>>2]=l;n=n+1|0;if((n|0)==(h|0))break;else o=o+12|0}p=e+(h<<1<<2)|0;q=h;r=g+(m<<2)|0}else{p=e;q=0;r=g}if((q|0)<(i|0)){g=i-q|0;e=q;m=r;h=p;while(1){p=a+((f[d+(e<<2)>>2]|0)*3|0)|0;o=f[h>>2]|0;n=b[p>>0]|0;l=Bzc(n|0,((n|0)<0)<<31>>31|0,o|0,((o|0)<0)<<31>>31|0)|0;o=J;n=hzc(l|0,o|0,-2147483648,0)|0;k=J;c=k>>>0<1|(k|0)==1&n>>>0<0?l:(o|0)>0|(o|0)==0&l>>>0>0?2147483647:-2147483648;l=h+4|0;o=f[l>>2]|0;n=b[p+3>>0]|0;k=Bzc(n|0,((n|0)<0)<<31>>31|0,o|0,((o|0)<0)<<31>>31|0)|0;o=J;n=hzc(k|0,o|0,-2147483648,0)|0;s=J;t=s>>>0<1|(s|0)==1&n>>>0<0?k:(o|0)>0|(o|0)==0&k>>>0>0?2147483647:-2147483648;k=t+c|0;f[m>>2]=((k^c)&(k^t)|0)<0?(k|2147483647)^-2147483648:k;k=f[h>>2]|0;t=b[p+1>>0]|0;c=Bzc(t|0,((t|0)<0)<<31>>31|0,k|0,((k|0)<0)<<31>>31|0)|0;k=J;t=hzc(c|0,k|0,-2147483648,0)|0;o=J;n=o>>>0<1|(o|0)==1&t>>>0<0?c:(k|0)>0|(k|0)==0&c>>>0>0?2147483647:-2147483648;c=f[l>>2]|0;k=b[p+4>>0]|0;t=Bzc(k|0,((k|0)<0)<<31>>31|0,c|0,((c|0)<0)<<31>>31|0)|0;c=J;k=hzc(t|0,c|0,-2147483648,0)|0;o=J;s=o>>>0<1|(o|0)==1&k>>>0<0?t:(c|0)>0|(c|0)==0&t>>>0>0?2147483647:-2147483648;t=s+n|0;f[m+4>>2]=((t^n)&(t^s)|0)<0?(t|2147483647)^-2147483648:t;t=f[h>>2]|0;s=b[p+2>>0]|0;n=Bzc(s|0,((s|0)<0)<<31>>31|0,t|0,((t|0)<0)<<31>>31|0)|0;t=J;s=hzc(n|0,t|0,-2147483648,0)|0;c=J;k=c>>>0<1|(c|0)==1&s>>>0<0?n:(t|0)>0|(t|0)==0&n>>>0>0?2147483647:-2147483648;n=f[l>>2]|0;l=b[p+5>>0]|0;p=Bzc(l|0,((l|0)<0)<<31>>31|0,n|0,((n|0)<0)<<31>>31|0)|0;n=J;l=hzc(p|0,n|0,-2147483648,0)|0;t=J;s=t>>>0<1|(t|0)==1&l>>>0<0?p:(n|0)>0|(n|0)==0&p>>>0>0?2147483647:-2147483648;p=s+k|0;f[m+8>>2]=((p^k)&(p^s)|0)<0?(p|2147483647)^-2147483648:p;e=e+1|0;if((e|0)==(i|0))break;else{m=m+12|0;h=h+8|0}}u=i;v=r+(g*3<<2)|0}else{u=q;v=r}r=a+((f[d+(j+-1<<2)>>2]|0)*3|0)|0;d=b[r>>0]<<16;a=b[r+1>>0]<<16;q=b[r+2>>0]<<16;if((u|0)<(j|0)){w=v;x=u}else return;while(1){f[w>>2]=d;f[w+4>>2]=a;f[w+8>>2]=q;x=x+1|0;if((x|0)==(j|0))break;else w=w+12|0}return}function yea(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;Cea(a,b,c,d,e,f,g,h);return}function zea(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;c=b[a>>0]<<16;k=b[a+1>>0]<<16;l=b[a+2>>0]<<16;m=b[a+3>>0]<<16;if((h|0)>0){n=h<<2;o=0;p=g;while(1){f[p>>2]=c;f[p+4>>2]=k;f[p+8>>2]=l;f[p+12>>2]=m;o=o+1|0;if((o|0)==(h|0))break;else p=p+16|0}q=e+(h<<1<<2)|0;r=h;s=g+(n<<2)|0}else{q=e;r=0;s=g}if((r|0)<(i|0)){g=i-r|0;e=q;q=r;n=s;while(1){h=a+(f[d+(q<<2)>>2]<<2)|0;p=f[e>>2]|0;o=b[h>>0]|0;m=Bzc(o|0,((o|0)<0)<<31>>31|0,p|0,((p|0)<0)<<31>>31|0)|0;p=J;o=hzc(m|0,p|0,-2147483648,0)|0;l=J;k=l>>>0<1|(l|0)==1&o>>>0<0?m:(p|0)>0|(p|0)==0&m>>>0>0?2147483647:-2147483648;m=e+4|0;p=f[m>>2]|0;o=b[h+4>>0]|0;l=Bzc(o|0,((o|0)<0)<<31>>31|0,p|0,((p|0)<0)<<31>>31|0)|0;p=J;o=hzc(l|0,p|0,-2147483648,0)|0;c=J;t=c>>>0<1|(c|0)==1&o>>>0<0?l:(p|0)>0|(p|0)==0&l>>>0>0?2147483647:-2147483648;l=t+k|0;f[n>>2]=((l^k)&(l^t)|0)<0?(l|2147483647)^-2147483648:l;l=f[e>>2]|0;t=b[h+1>>0]|0;k=Bzc(t|0,((t|0)<0)<<31>>31|0,l|0,((l|0)<0)<<31>>31|0)|0;l=J;t=hzc(k|0,l|0,-2147483648,0)|0;p=J;o=p>>>0<1|(p|0)==1&t>>>0<0?k:(l|0)>0|(l|0)==0&k>>>0>0?2147483647:-2147483648;k=f[m>>2]|0;l=b[h+5>>0]|0;t=Bzc(l|0,((l|0)<0)<<31>>31|0,k|0,((k|0)<0)<<31>>31|0)|0;k=J;l=hzc(t|0,k|0,-2147483648,0)|0;p=J;c=p>>>0<1|(p|0)==1&l>>>0<0?t:(k|0)>0|(k|0)==0&t>>>0>0?2147483647:-2147483648;t=c+o|0;f[n+4>>2]=((t^o)&(t^c)|0)<0?(t|2147483647)^-2147483648:t;t=f[e>>2]|0;c=b[h+2>>0]|0;o=Bzc(c|0,((c|0)<0)<<31>>31|0,t|0,((t|0)<0)<<31>>31|0)|0;t=J;c=hzc(o|0,t|0,-2147483648,0)|0;k=J;l=k>>>0<1|(k|0)==1&c>>>0<0?o:(t|0)>0|(t|0)==0&o>>>0>0?2147483647:-2147483648;o=f[m>>2]|0;t=b[h+6>>0]|0;c=Bzc(t|0,((t|0)<0)<<31>>31|0,o|0,((o|0)<0)<<31>>31|0)|0;o=J;t=hzc(c|0,o|0,-2147483648,0)|0;k=J;p=k>>>0<1|(k|0)==1&t>>>0<0?c:(o|0)>0|(o|0)==0&c>>>0>0?2147483647:-2147483648;c=p+l|0;f[n+8>>2]=((c^l)&(c^p)|0)<0?(c|2147483647)^-2147483648:c;c=f[e>>2]|0;p=b[h+3>>0]|0;l=Bzc(p|0,((p|0)<0)<<31>>31|0,c|0,((c|0)<0)<<31>>31|0)|0;c=J;p=hzc(l|0,c|0,-2147483648,0)|0;o=J;t=o>>>0<1|(o|0)==1&p>>>0<0?l:(c|0)>0|(c|0)==0&l>>>0>0?2147483647:-2147483648;l=f[m>>2]|0;m=b[h+7>>0]|0;h=Bzc(m|0,((m|0)<0)<<31>>31|0,l|0,((l|0)<0)<<31>>31|0)|0;l=J;m=hzc(h|0,l|0,-2147483648,0)|0;c=J;p=c>>>0<1|(c|0)==1&m>>>0<0?h:(l|0)>0|(l|0)==0&h>>>0>0?2147483647:-2147483648;h=p+t|0;f[n+12>>2]=((h^t)&(h^p)|0)<0?(h|2147483647)^-2147483648:h;q=q+1|0;if((q|0)==(i|0))break;else{e=e+8|0;n=n+16|0}}u=i;v=s+(g<<2<<2)|0}else{u=r;v=s}s=a+(f[d+(j+-1<<2)>>2]<<2)|0;d=b[s>>0]<<16;a=b[s+1>>0]<<16;r=b[s+2>>0]<<16;g=b[s+3>>0]<<16;if((u|0)<(j|0)){w=v;x=u}else return;while(1){f[w>>2]=d;f[w+4>>2]=a;f[w+8>>2]=r;f[w+12>>2]=g;x=x+1|0;if((x|0)==(j|0))break;else w=w+16|0}return}function Aea(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;Cea(a,b,c,d,e,f,g,h);return}function Bea(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;do if((h|0)>0){k=h<<1;if((c|0)<=0){l=e+(k<<2)|0;m=g;n=h;break}o=Y(h,c)|0;p=g;q=0;while(1){r=0;s=p;while(1){f[s>>2]=b[a+r>>0]<<16;r=r+1|0;if((r|0)==(c|0))break;else s=s+4|0}q=q+1|0;if((q|0)==(h|0))break;else p=p+(c<<2)|0}l=e+(k<<2)|0;m=g+(o<<2)|0;n=h}else{l=e;m=g;n=0}while(0);if((n|0)<(i|0))if((c|0)>0){g=m+((Y(i-n|0,c)|0)<<2)|0;e=l;l=n;h=m;while(1){p=a+(Y(f[d+(l<<2)>>2]|0,c)|0)|0;q=e+4|0;s=0;r=h;while(1){t=f[e>>2]|0;u=b[p+s>>0]|0;v=Bzc(u|0,((u|0)<0)<<31>>31|0,t|0,((t|0)<0)<<31>>31|0)|0;t=J;u=hzc(v|0,t|0,-2147483648,0)|0;w=J;x=w>>>0<1|(w|0)==1&u>>>0<0?v:(t|0)>0|(t|0)==0&v>>>0>0?2147483647:-2147483648;f[r>>2]=x;v=f[q>>2]|0;t=b[p+(s+c)>>0]|0;u=Bzc(t|0,((t|0)<0)<<31>>31|0,v|0,((v|0)<0)<<31>>31|0)|0;v=J;t=hzc(u|0,v|0,-2147483648,0)|0;w=J;y=w>>>0<1|(w|0)==1&t>>>0<0?u:(v|0)>0|(v|0)==0&u>>>0>0?2147483647:-2147483648;u=y+x|0;f[r>>2]=((u^x)&(u^y)|0)<0?(u|2147483647)^-2147483648:u;s=s+1|0;if((s|0)==(c|0))break;else r=r+4|0}l=l+1|0;if((l|0)==(i|0)){z=i;A=g;break}else{e=e+8|0;h=h+(c<<2)|0}}}else{z=i;A=m}else{z=n;A=m}m=a+(Y(f[d+(j+-1<<2)>>2]|0,c)|0)|0;if((z|0)<(j|0)&(c|0)>0){B=z;C=A}else return;while(1){A=0;z=C;while(1){f[z>>2]=b[m+A>>0]<<16;A=A+1|0;if((A|0)==(c|0))break;else z=z+4|0}B=B+1|0;if((B|0)==(j|0))break;else C=C+(c<<2)|0}return}function Cea(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;do if((h|0)>0){k=h<<1;if((c|0)<=0){l=e+(k<<2)|0;m=g;n=h;break}o=Y(h,c)|0;p=g;q=0;while(1){r=0;s=p;while(1){f[s>>2]=b[a+r>>0]<<16;r=r+1|0;if((r|0)==(c|0))break;else s=s+4|0}q=q+1|0;if((q|0)==(h|0))break;else p=p+(c<<2)|0}l=e+(k<<2)|0;m=g+(o<<2)|0;n=h}else{l=e;m=g;n=0}while(0);if((n|0)<(i|0))if((c|0)>0){g=m+((Y(i-n|0,c)|0)<<2)|0;e=l;l=n;h=m;while(1){p=a+(Y(f[d+(l<<2)>>2]|0,c)|0)|0;q=e+4|0;s=0;r=h;while(1){t=f[e>>2]|0;if(!t)u=0;else{v=b[p+s>>0]|0;w=Bzc(v|0,((v|0)<0)<<31>>31|0,t|0,((t|0)<0)<<31>>31|0)|0;t=J;v=hzc(w|0,t|0,-2147483648,0)|0;x=J;u=x>>>0<1|(x|0)==1&v>>>0<0?w:(t|0)>0|(t|0)==0&w>>>0>0?2147483647:-2147483648}f[r>>2]=u;w=f[q>>2]|0;if(!w)y=0;else{t=b[p+(s+c)>>0]|0;v=Bzc(t|0,((t|0)<0)<<31>>31|0,w|0,((w|0)<0)<<31>>31|0)|0;w=J;t=hzc(v|0,w|0,-2147483648,0)|0;x=J;y=x>>>0<1|(x|0)==1&t>>>0<0?v:(w|0)>0|(w|0)==0&v>>>0>0?2147483647:-2147483648}v=u+y|0;f[r>>2]=((v^u)&(v^y)|0)<0?(v|2147483647)^-2147483648:v;s=s+1|0;if((s|0)==(c|0))break;else r=r+4|0}l=l+1|0;if((l|0)==(i|0)){z=i;A=g;break}else{e=e+8|0;h=h+(c<<2)|0}}}else{z=i;A=m}else{z=n;A=m}m=a+(Y(f[d+(j+-1<<2)>>2]|0,c)|0)|0;if((z|0)<(j|0)&(c|0)>0){B=z;C=A}else return;while(1){A=0;z=C;while(1){f[z>>2]=b[m+A>>0]<<16;A=A+1|0;if((A|0)==(c|0))break;else z=z+4|0}B=B+1|0;if((B|0)==(j|0))break;else C=C+(c<<2)|0}return}function Dea(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=u;u=u+64|0;g=e+48|0;h=e+40|0;i=e+32|0;j=e+24|0;k=e+16|0;l=e+8|0;m=e;gHb(j,b);p[h>>3]=.5;oHb(g,j,h);sHb(k,a,g);p[l>>3]=.5;rHb(i,k,l);k=lHb(i)|0;if((k|0)>-1?(j=f[a+8>>2]|0,(j|0)>1):0){n=j+-1|0;if((k|0)<(n|0)){f[c>>2]=k;gHb(m,k);rHb(l,i,m);gHb(h,65536);sHb(g,l,h);h=kHb(g)|0;f[d+4>>2]=h;g=65536-h|0;f[d>>2]=(g&h|0)<0?(g|2147483647)^-2147483648:g;u=e;return}else{f[c>>2]=n;n=a+16|0;c=f[n>>2]|0;f[n>>2]=(c|0)>(b|0)?b:c;u=e;return}}c=a+12|0;a=b+1|0;b=f[c>>2]|0;f[c>>2]=(b|0)<(a|0)?a:b;u=e;return}function Eea(a){a=a|0;fuc(a);return}function Fea(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0;d=u;u=u+1072|0;e=d+8|0;g=d;h=a+28|0;i=f[h>>2]|0;j=a+36|0;k=f[j>>2]|0;l=Y(i<<1,k)|0;m=e+8|0;kzc(m|0,0,1056)|0;f[e>>2]=m;n=e+4|0;f[n>>2]=l;if(l>>>0>264){o=euc(l>>>0>1073741823?-1:l<<2)|0;kzc(o|0,0,l<<2|0)|0;f[e>>2]=o;p=o}else p=m;o=f[a+64>>2]|0;l=f[c>>2]|0;q=(o|0)<(l|0)?l:o;r=c+4|0;s=f[r>>2]|0;t=f[a+68>>2]|0;v=(s|0)<(t|0)?s:t;if((l|0)<(o|0)){Gh[f[a+72>>2]&255](f[a+4>>2]|0,k,f[a+40>>2]|0,f[a+48>>2]|0,p,f[a+56>>2]|0,f[a+60>>2]|0,i);w=-1;x=1;y=f[c>>2]|0}else{w=-2;x=0;y=l}if((y|0)<(q|0)){l=a+20|0;c=a+24|0;i=y;do{p=f[e>>2]|0;k=(f[l>>2]|0)+(Y(f[c>>2]|0,i)|0)|0;o=Y(f[j>>2]|0,f[h>>2]|0)|0;if((o|0)>0){t=0;do{s=(f[p+(t<<2)>>2]|0)+32768>>16;b[k+t>>0]=(s+128|0)>>>0<256?s:(s|0)>0?127:128;t=t+1|0}while((t|0)!=(o|0))}i=i+1|0}while((i|0)<(q|0));z=q}else z=y;if((z|0)<(v|0)){y=a+44|0;q=a+16|0;i=a+20|0;c=a+24|0;l=g+4|0;o=a+52|0;t=a+72|0;k=a+4|0;p=a+8|0;s=a+40|0;A=a+48|0;B=a+56|0;C=a+60|0;D=w;E=x;F=z;G=0;while(1){H=z+G<<1;I=(f[y>>2]|0)+(F<<2)|0;K=D+2|0;L=f[I>>2]|0;M=(L|0)<(K|0)?K:L;K=L+2|0;N=f[q>>2]|0;if((M|0)<(((N|0)<(K|0)?N:K)|0)){K=M;M=E;while(1){O=(f[k>>2]|0)+(Y(f[p>>2]|0,K)|0)|0;P=f[j>>2]|0;Q=f[h>>2]|0;R=(f[e>>2]|0)+((Y(Y(P,M)|0,Q)|0)<<2)|0;Gh[f[t>>2]&255](O,P,f[s>>2]|0,f[A>>2]|0,R,f[B>>2]|0,f[C>>2]|0,Q);K=K+1|0;Q=(M+1|0)%2|0;R=f[I>>2]|0;P=R+2|0;O=f[q>>2]|0;if((K|0)>=(((O|0)<(P|0)?O:P)|0)){S=Q;T=O;U=R;break}else M=Q}}else{S=E;T=N;U=L}M=T+-2|0;K=g;f[K>>2]=0;f[K+4>>2]=0;K=(((U|0)<(M|0)?M:U)+S-((D|0)<(M|0)?M:D)|0)%2|0;if((K|0)>0){szc(g|0,(f[o>>2]|0)+((F<<1)+2-K<<2)|0,K<<2|0)|0;V=K}else V=0;szc(g+(V<<2)|0,(f[o>>2]|0)+(V+H-K<<2)|0,8-(V<<2)|0)|0;M=f[e>>2]|0;I=Y(f[j>>2]|0,f[h>>2]|0)|0;Q=(f[i>>2]|0)+(Y(f[c>>2]|0,F)|0)|0;if((I|0)>0){R=f[g>>2]|0;O=f[l>>2]|0;P=((R|0)<0)<<31>>31;W=((O|0)<0)<<31>>31;X=0;do{Z=f[M+(X<<2)>>2]|0;_=Bzc(R|0,P|0,Z|0,((Z|0)<0)<<31>>31|0)|0;Z=J;$=f[M+(X+I<<2)>>2]|0;aa=Bzc(O|0,W|0,$|0,(($|0)<0)<<31>>31|0)|0;$=J;ba=hzc(aa|0,$|0,_|0,Z|0)|0;_=J;aa=((_^Z)&(_^$)|0)<0;$=hzc((aa?-1:ba)|0,(aa?(_|2147483647)^-2147483648:_)|0,-2147483648,0)|0;_=ozc($|0,J|0,32)|0;$=J;aa=hzc(_|0,$|0,128,0)|0;ba=J;b[Q+X>>0]=ba>>>0<0|(ba|0)==0&aa>>>0<256?_&255:($|0)>0|($|0)==0&_>>>0>0?127:-128;X=X+1|0}while((X|0)!=(I|0))}I=F+1|0;if((I|0)<(v|0)){D=U;E=K;F=I;G=G+1|0}else{ca=U;da=K;ea=I;fa=q;break}}}else{ca=w;da=x;ea=z;fa=a+16|0}z=f[e>>2]|0;x=f[fa>>2]|0;if((ca+2|0)>(x|0))ga=z+((Y(Y(f[h>>2]|0,(da+~ca+x|0)%2|0)|0,f[j>>2]|0)|0)<<2)|0;else{ca=(f[a+4>>2]|0)+(Y(f[a+8>>2]|0,x+-1|0)|0)|0;Gh[f[a+72>>2]&255](ca,f[j>>2]|0,f[a+40>>2]|0,f[a+48>>2]|0,z,f[a+56>>2]|0,f[a+60>>2]|0,f[h>>2]|0);ga=z}z=f[r>>2]|0;if((ea|0)<(z|0)){ca=a+20|0;x=a+24|0;a=ea;ea=z;while(1){z=(f[ca>>2]|0)+(Y(f[x>>2]|0,a)|0)|0;da=Y(f[j>>2]|0,f[h>>2]|0)|0;if((da|0)>0){fa=0;do{w=(f[ga+(fa<<2)>>2]|0)+32768>>16;b[z+fa>>0]=(w+128|0)>>>0<256?w:(w|0)>0?127:128;fa=fa+1|0}while((fa|0)!=(da|0));ha=f[r>>2]|0}else ha=ea;a=a+1|0;if((a|0)>=(ha|0))break;else ea=ha}}ha=f[e>>2]|0;if((ha|0)==(m|0)){u=d;return}if(ha|0)guc(ha);f[e>>2]=m;f[n>>2]=264;u=d;return}function Gea(a,b,c,e,g,i,k,l){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;i=i|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;b=(h[a>>0]|0)<<8&65535;if((i|0)>0){m=i<<1;n=0;o=g;while(1){d[o>>1]=b;n=n+1|0;if((n|0)==(i|0))break;else o=o+2|0}p=e+(m<<1)|0;q=i;r=g+(i<<1)|0}else{p=e;q=0;r=g}if((q|0)<(k|0)){g=k-q|0;e=q;i=r;m=p;while(1){p=a+(f[c+(e<<2)>>2]|0)|0;o=Y(h[p>>0]|0,j[m>>1]|0)|0;n=o>>>0<65535?o:65535;o=Y(h[p+1>>0]|0,j[m+2>>1]|0)|0;p=(o>>>0<65535?o:65535)+n|0;d[i>>1]=n>>>0>(p&65535)>>>0?-1:p&65535;e=e+1|0;if((e|0)==(k|0))break;else{i=i+2|0;m=m+4|0}}s=k;t=r+(g<<1)|0}else{s=q;t=r}r=(h[a+(f[c+(l+-1<<2)>>2]|0)>>0]|0)<<8&65535;if((s|0)<(l|0)){u=t;v=s}else return;while(1){d[u>>1]=r;v=v+1|0;if((v|0)==(l|0))break;else u=u+2|0}return}function Hea(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;Pea(a,b,c,d,e,f,g,h);return}function Iea(a,b,c,e,g,i,k,l){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;i=i|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;b=(h[a>>0]|0)<<8&65535;m=(h[a+1>>0]|0)<<8&65535;if((i|0)>0){n=i<<1;o=g+(n<<1)|0;p=0;q=g;while(1){d[q>>1]=b;d[q+2>>1]=m;p=p+1|0;if((p|0)==(i|0))break;else q=q+4|0}r=e+(n<<1)|0;s=i;t=o}else{r=e;s=0;t=g}if((s|0)<(k|0)){g=k-s<<1;e=s;o=t;i=r;while(1){r=a+(f[c+(e<<2)>>2]<<1)|0;n=Y(h[r>>0]|0,j[i>>1]|0)|0;q=n>>>0<65535?n:65535;n=i+2|0;p=Y(h[r+2>>0]|0,j[n>>1]|0)|0;m=(p>>>0<65535?p:65535)+q|0;d[o>>1]=q>>>0>(m&65535)>>>0?-1:m&65535;m=Y(h[r+1>>0]|0,j[i>>1]|0)|0;q=m>>>0<65535?m:65535;m=Y(h[r+3>>0]|0,j[n>>1]|0)|0;n=(m>>>0<65535?m:65535)+q|0;d[o+2>>1]=q>>>0>(n&65535)>>>0?-1:n&65535;e=e+1|0;if((e|0)==(k|0))break;else{o=o+4|0;i=i+4|0}}u=k;v=t+(g<<1)|0}else{u=s;v=t}t=a+(f[c+(l+-1<<2)>>2]<<1)|0;c=(h[t>>0]|0)<<8&65535;a=(h[t+1>>0]|0)<<8&65535;if((u|0)<(l|0)){w=v;x=u}else return;while(1){d[w>>1]=c;d[w+2>>1]=a;x=x+1|0;if((x|0)==(l|0))break;else w=w+4|0}return}function Jea(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;Pea(a,b,c,d,e,f,g,h);return}function Kea(a,b,c,e,g,i,k,l){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;i=i|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;b=(h[a>>0]|0)<<8&65535;m=(h[a+1>>0]|0)<<8&65535;n=(h[a+2>>0]|0)<<8&65535;if((i|0)>0){o=i*3|0;p=0;q=g;while(1){d[q>>1]=b;d[q+2>>1]=m;d[q+4>>1]=n;p=p+1|0;if((p|0)==(i|0))break;else q=q+6|0}r=e+(i<<1<<1)|0;s=i;t=g+(o<<1)|0}else{r=e;s=0;t=g}if((s|0)<(k|0)){g=k-s|0;e=s;o=t;i=r;while(1){r=a+((f[c+(e<<2)>>2]|0)*3|0)|0;q=Y(h[r>>0]|0,j[i>>1]|0)|0;p=q>>>0<65535?q:65535;q=i+2|0;n=Y(h[r+3>>0]|0,j[q>>1]|0)|0;m=(n>>>0<65535?n:65535)+p|0;d[o>>1]=p>>>0>(m&65535)>>>0?-1:m&65535;m=Y(h[r+1>>0]|0,j[i>>1]|0)|0;p=m>>>0<65535?m:65535;m=Y(h[r+4>>0]|0,j[q>>1]|0)|0;n=(m>>>0<65535?m:65535)+p|0;d[o+2>>1]=p>>>0>(n&65535)>>>0?-1:n&65535;n=Y(h[r+2>>0]|0,j[i>>1]|0)|0;p=n>>>0<65535?n:65535;n=Y(h[r+5>>0]|0,j[q>>1]|0)|0;q=(n>>>0<65535?n:65535)+p|0;d[o+4>>1]=p>>>0>(q&65535)>>>0?-1:q&65535;e=e+1|0;if((e|0)==(k|0))break;else{o=o+6|0;i=i+4|0}}u=k;v=t+(g*3<<1)|0}else{u=s;v=t}t=a+((f[c+(l+-1<<2)>>2]|0)*3|0)|0;c=(h[t>>0]|0)<<8&65535;a=(h[t+1>>0]|0)<<8&65535;s=(h[t+2>>0]|0)<<8&65535;if((u|0)<(l|0)){w=v;x=u}else return;while(1){d[w>>1]=c;d[w+2>>1]=a;d[w+4>>1]=s;x=x+1|0;if((x|0)==(l|0))break;else w=w+6|0}return}function Lea(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;Pea(a,b,c,d,e,f,g,h);return}function Mea(a,b,c,e,g,i,k,l){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;i=i|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;if((i|0)>0){i=(h[a+3>>0]|0)<<8&65535;b=(h[a+2>>0]|0)<<8&65535;m=(h[a+1>>0]|0)<<8&65535;d[g>>1]=(h[a>>0]|0)<<8;d[g+2>>1]=m;d[g+4>>1]=b;d[g+6>>1]=i;n=e+4|0;o=1;p=g+8|0}else{n=e;o=0;p=g}if((o|0)<(k|0)){g=k-o<<2;e=n;n=o;i=p;while(1){b=a+(f[c+(n<<2)>>2]<<2)|0;m=Y(h[b>>0]|0,j[e>>1]|0)|0;q=m>>>0<65535?m:65535;m=e+2|0;r=Y(h[b+4>>0]|0,j[m>>1]|0)|0;s=(r>>>0<65535?r:65535)+q|0;d[i>>1]=q>>>0>(s&65535)>>>0?-1:s&65535;s=Y(h[b+1>>0]|0,j[e>>1]|0)|0;q=s>>>0<65535?s:65535;s=Y(h[b+5>>0]|0,j[m>>1]|0)|0;r=(s>>>0<65535?s:65535)+q|0;d[i+2>>1]=q>>>0>(r&65535)>>>0?-1:r&65535;r=Y(h[b+2>>0]|0,j[e>>1]|0)|0;q=r>>>0<65535?r:65535;r=Y(h[b+6>>0]|0,j[m>>1]|0)|0;s=(r>>>0<65535?r:65535)+q|0;d[i+4>>1]=q>>>0>(s&65535)>>>0?-1:s&65535;s=Y(h[b+3>>0]|0,j[e>>1]|0)|0;q=s>>>0<65535?s:65535;s=Y(h[b+7>>0]|0,j[m>>1]|0)|0;m=(s>>>0<65535?s:65535)+q|0;d[i+6>>1]=q>>>0>(m&65535)>>>0?-1:m&65535;n=n+1|0;if((n|0)==(k|0))break;else{e=e+4|0;i=i+8|0}}t=k;u=p+(g<<1)|0}else{t=o;u=p}p=a+(f[c+(l+-1<<2)>>2]<<2)|0;if((t|0)>=(l|0))return;l=(h[p+3>>0]|0)<<8&65535;t=(h[p+2>>0]|0)<<8&65535;c=(h[p+1>>0]|0)<<8&65535;d[u>>1]=(h[p>>0]|0)<<8;d[u+2>>1]=c;d[u+4>>1]=t;d[u+6>>1]=l;return}function Nea(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;Pea(a,b,c,d,e,f,g,h);return}function Oea(a,b,c,e,g,i,k,l){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;i=i|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;do if((i|0)>0){m=i<<1;if((b|0)<=0){n=e+(m<<1)|0;o=g;p=i;break}q=Y(i,b)|0;r=g;s=0;while(1){t=0;u=r;while(1){d[u>>1]=(h[a+t>>0]|0)<<8;t=t+1|0;if((t|0)==(b|0))break;else u=u+2|0}s=s+1|0;if((s|0)==(i|0))break;else r=r+(b<<1)|0}n=e+(m<<1)|0;o=g+(q<<1)|0;p=i}else{n=e;o=g;p=0}while(0);if((p|0)<(k|0))if((b|0)>0){g=o+((Y(k-p|0,b)|0)<<1)|0;e=n;n=p;i=o;while(1){r=a+(Y(f[c+(n<<2)>>2]|0,b)|0)|0;s=e+2|0;u=0;t=i;while(1){v=Y(h[r+u>>0]|0,j[e>>1]|0)|0;w=v>>>0<65535?v:65535;d[t>>1]=w;v=Y(h[r+(u+b)>>0]|0,j[s>>1]|0)|0;x=(v>>>0<65535?v:65535)+w|0;d[t>>1]=w>>>0>(x&65535)>>>0?-1:x&65535;u=u+1|0;if((u|0)==(b|0))break;else t=t+2|0}n=n+1|0;if((n|0)==(k|0)){y=k;z=g;break}else{e=e+4|0;i=i+(b<<1)|0}}}else{y=k;z=o}else{y=p;z=o}o=a+(Y(f[c+(l+-1<<2)>>2]|0,b)|0)|0;if((y|0)<(l|0)&(b|0)>0){A=y;B=z}else return;while(1){z=0;y=B;while(1){d[y>>1]=(h[o+z>>0]|0)<<8;z=z+1|0;if((z|0)==(b|0))break;else y=y+2|0}A=A+1|0;if((A|0)==(l|0))break;else B=B+(b<<1)|0}return}function Pea(a,b,c,e,g,i,j,k){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;do if((i|0)>0){l=i<<1;if((b|0)<=0){m=e+(l<<1)|0;n=g;o=i;break}p=Y(i,b)|0;q=g;r=0;while(1){s=0;t=q;while(1){d[t>>1]=(h[a+s>>0]|0)<<8;s=s+1|0;if((s|0)==(b|0))break;else t=t+2|0}r=r+1|0;if((r|0)==(i|0))break;else q=q+(b<<1)|0}m=e+(l<<1)|0;n=g+(p<<1)|0;o=i}else{m=e;n=g;o=0}while(0);if((o|0)<(j|0))if((b|0)>0){g=n+((Y(j-o|0,b)|0)<<1)|0;e=m;m=o;i=n;while(1){q=a+(Y(f[c+(m<<2)>>2]|0,b)|0)|0;r=e+2|0;t=0;s=i;while(1){u=d[e>>1]|0;if(!(u<<16>>16))v=0;else{w=Y(h[q+t>>0]|0,u&65535)|0;v=(w>>>0<65535?w:65535)&65535}d[s>>1]=v;w=d[r>>1]|0;if(!(w<<16>>16))x=0;else{u=Y(h[q+(t+b)>>0]|0,w&65535)|0;x=u>>>0<65535?u:65535}u=v&65535;w=u+x|0;d[s>>1]=u>>>0>(w&65535)>>>0?-1:w&65535;t=t+1|0;if((t|0)==(b|0))break;else s=s+2|0}m=m+1|0;if((m|0)==(j|0)){y=j;z=g;break}else{e=e+4|0;i=i+(b<<1)|0}}}else{y=j;z=n}else{y=o;z=n}n=a+(Y(f[c+(k+-1<<2)>>2]|0,b)|0)|0;if((y|0)<(k|0)&(b|0)>0){A=y;B=z}else return;while(1){z=0;y=B;while(1){d[y>>1]=(h[n+z>>0]|0)<<8;z=z+1|0;if((z|0)==(b|0))break;else y=y+2|0}A=A+1|0;if((A|0)==(k|0))break;else B=B+(b<<1)|0}return}function Qea(a,b,c,e){a=a|0;b=b|0;c=c|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0;g=u;u=u+64|0;h=g+48|0;i=g+40|0;j=g+32|0;k=g+24|0;l=g+16|0;m=g+8|0;n=g;gHb(k,b);p[i>>3]=.5;oHb(h,k,i);sHb(l,a,h);p[m>>3]=.5;rHb(j,l,m);l=lHb(j)|0;if((l|0)>-1?(k=f[a+8>>2]|0,(k|0)>1):0){o=k+-1|0;if((l|0)>=(o|0)){f[c>>2]=o;o=a+16|0;k=f[o>>2]|0;f[o>>2]=(k|0)>(b|0)?b:k;u=g;return}f[c>>2]=l;gHb(n,l);rHb(m,j,n);if((f[m+4>>2]|0)<0)q=0;else{gHb(i,256);sHb(h,m,i);q=(kHb(h)|0)&65535}d[e+2>>1]=q;d[e>>1]=(q&65535)<256?256-(q&65535)&65535:0;u=g;return}q=a+12|0;a=b+1|0;b=f[q>>2]|0;f[q>>2]=(b|0)<(a|0)?a:b;u=g;return}function Rea(a){a=a|0;fuc(a);return}function Sea(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0;d=u;u=u+1056|0;e=d+8|0;g=d;h=a+28|0;i=f[h>>2]|0;k=a+36|0;l=f[k>>2]|0;m=Y(i<<1,l)|0;n=e+8|0;kzc(n|0,0,1040)|0;f[e>>2]=n;o=e+4|0;f[o>>2]=m;if(m>>>0>520){p=euc(m>>>0>2147483647?-1:m<<1)|0;kzc(p|0,0,m<<1|0)|0;f[e>>2]=p;q=p}else q=n;p=f[a+64>>2]|0;m=f[c>>2]|0;r=(p|0)<(m|0)?m:p;s=c+4|0;t=f[s>>2]|0;v=f[a+68>>2]|0;w=(t|0)<(v|0)?t:v;if((m|0)<(p|0)){Gh[f[a+72>>2]&255](f[a+4>>2]|0,l,f[a+40>>2]|0,f[a+48>>2]|0,q,f[a+56>>2]|0,f[a+60>>2]|0,i);x=-1;y=1;z=f[c>>2]|0}else{x=-2;y=0;z=m}if((z|0)<(r|0)){m=a+20|0;c=a+24|0;i=z;do{q=Y(f[k>>2]|0,f[h>>2]|0)|0;if((q|0)>0){l=(f[m>>2]|0)+(Y(f[c>>2]|0,i)|0)|0;p=f[e>>2]|0;v=l;l=0;while(1){b[v>>0]=((j[p>>1]|0)+128|0)>>>8;l=l+1|0;if((l|0)==(q|0))break;else{p=p+2|0;v=v+1|0}}}i=i+1|0}while((i|0)<(r|0));A=r}else A=z;if((A|0)<(w|0)){z=a+44|0;r=a+16|0;i=a+20|0;c=a+24|0;m=g+2|0;v=a+52|0;p=a+72|0;q=a+4|0;l=a+8|0;t=a+40|0;B=a+48|0;C=a+56|0;D=a+60|0;E=x;F=y;G=A;H=0;while(1){I=A+H<<1;J=(f[z>>2]|0)+(G<<2)|0;K=E+2|0;L=f[J>>2]|0;M=(L|0)<(K|0)?K:L;K=L+2|0;N=f[r>>2]|0;if((M|0)<(((N|0)<(K|0)?N:K)|0)){K=M;M=F;while(1){O=(f[q>>2]|0)+(Y(f[l>>2]|0,K)|0)|0;P=f[k>>2]|0;Q=f[h>>2]|0;R=(f[e>>2]|0)+((Y(Y(P,M)|0,Q)|0)<<1)|0;Gh[f[p>>2]&255](O,P,f[t>>2]|0,f[B>>2]|0,R,f[C>>2]|0,f[D>>2]|0,Q);K=K+1|0;Q=(M+1|0)%2|0;R=f[J>>2]|0;P=R+2|0;O=f[r>>2]|0;if((K|0)>=(((O|0)<(P|0)?O:P)|0)){S=Q;T=O;U=R;break}else M=Q}}else{S=F;T=N;U=L}M=T+-2|0;f[g>>2]=0;K=(((U|0)<(M|0)?M:U)+S-((E|0)<(M|0)?M:E)|0)%2|0;if((K|0)>0){szc(g|0,(f[v>>2]|0)+((G<<1)+2-K<<1)|0,K<<1|0)|0;V=K}else V=0;szc(g+(V<<1)|0,(f[v>>2]|0)+(V+I-K<<1)|0,4-(V<<1)|0)|0;M=f[e>>2]|0;J=Y(f[k>>2]|0,f[h>>2]|0)|0;if((J|0)>0){Q=0;R=M;O=(f[i>>2]|0)+(Y(f[c>>2]|0,G)|0)|0;P=M+(J<<1)|0;while(1){M=Y(j[g>>1]|0,j[R>>1]|0)|0;W=(Y(j[m>>1]|0,j[P>>1]|0)|0)+M|0;X=W>>>0<M>>>0?0:(W+32768|0)>>>16;b[O>>0]=X>>>0<255?X:255;Q=Q+1|0;if((Q|0)==(J|0))break;else{R=R+2|0;O=O+1|0;P=P+2|0}}}P=G+1|0;if((P|0)<(w|0)){E=U;F=K;G=P;H=H+1|0}else{Z=U;_=K;$=P;aa=r;break}}}else{Z=x;_=y;$=A;aa=a+16|0}A=f[e>>2]|0;y=f[aa>>2]|0;if((Z+2|0)>(y|0))ba=A+((Y(Y(f[h>>2]|0,(_+~Z+y|0)%2|0)|0,f[k>>2]|0)|0)<<1)|0;else{Z=(f[a+4>>2]|0)+(Y(f[a+8>>2]|0,y+-1|0)|0)|0;Gh[f[a+72>>2]&255](Z,f[k>>2]|0,f[a+40>>2]|0,f[a+48>>2]|0,A,f[a+56>>2]|0,f[a+60>>2]|0,f[h>>2]|0);ba=A}A=f[s>>2]|0;if(($|0)<(A|0)){Z=a+20|0;y=a+24|0;a=$;$=A;while(1){A=Y(f[k>>2]|0,f[h>>2]|0)|0;if((A|0)>0){_=ba;aa=(f[Z>>2]|0)+(Y(f[y>>2]|0,a)|0)|0;x=0;while(1){b[aa>>0]=((j[_>>1]|0)+128|0)>>>8;x=x+1|0;if((x|0)==(A|0))break;else{_=_+2|0;aa=aa+1|0}}ca=f[s>>2]|0}else ca=$;a=a+1|0;if((a|0)>=(ca|0))break;else $=ca}}ca=f[e>>2]|0;if((ca|0)==(n|0)){u=d;return}if(ca|0)guc(ca);f[e>>2]=n;f[o>>2]=520;u=d;return}function Tea(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=+e;g=+g;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0.0,E=0.0,F=0,G=0;i=u;u=u+160|0;j=i+144|0;k=i+136|0;l=i+80|0;m=i+72|0;n=i+16|0;o=i;gV(j,54824);oJ(k,a,-1);p=f[k>>2]|0;if((p|0)<1){f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;q=cuc(16)|0;f[l>>2]=q;r=l+8|0;f[r>>2]=-2147483632;s=l+4|0;f[s>>2]=14;t=q;v=255933;w=t+14|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));x=q+14|0;b[x>>0]=0;WD(-215,l,252914,252921,4224)}y=k+4|0;z=f[y>>2]|0;if((z|0)<1){f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;q=cuc(16)|0;f[l>>2]=q;r=l+8|0;f[r>>2]=-2147483632;s=l+4|0;f[s>>2]=14;t=q;v=255933;w=t+14|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));x=q+14|0;b[x>>0]=0;WD(-215,l,252914,252921,4224)}x=f[d>>2]|0;if((x|0)>=1?(q=d+4|0,s=f[q>>2]|0,(s|0)>=1):0){A=q;B=s}else C=6;do if((C|0)==6)if(e>0.0&g>0.0){s=d+4|0;A=s;B=f[s>>2]|0;break}else{f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;s=cuc(64)|0;f[l>>2]=s;f[l+8>>2]=-2147483584;f[l+4>>2]=54;t=s;v=255948;w=t+54|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));b[s+54>>0]=0;WD(-215,l,252914,252921,4225)}while(0);if(!(Y(B,x)|0)){C=Fhc(+(p|0)*e)|0;q=Fhc(+(z|0)*g)|0;f[d>>2]=C;f[A>>2]=q;if((C|0)<1|(q|0)<1){f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;q=cuc(16)|0;f[l>>2]=q;f[l+8>>2]=-2147483632;f[l+4>>2]=14;t=q;v=252992;w=t+14|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));b[q+14>>0]=0;WD(-215,l,252914,252921,4230)}else{D=g;E=e}}else{D=+(B|0)/+(z|0);E=+(x|0)/+(p|0)}do if((h|0)==5){if((CJ(a,-1)|0)!=5?(CJ(a,-1)|0)!=6:0){F=5;break}F=1}else F=h;while(0);do if((qJ(a)|0)==65536){h=f[a+4>>2]|0;f[l>>2]=f[h>>2];p=l+4|0;x=h+4|0;f[p>>2]=f[x>>2];z=l+8|0;f[z>>2]=f[h+8>>2];f[l+12>>2]=f[h+12>>2];f[l+16>>2]=f[h+16>>2];f[l+20>>2]=f[h+20>>2];f[l+24>>2]=f[h+24>>2];f[l+28>>2]=f[h+28>>2];f[l+32>>2]=f[h+32>>2];B=f[h+36>>2]|0;f[l+36>>2]=B;f[l+40>>2]=z;z=l+48|0;q=l+44|0;f[q>>2]=z;f[z>>2]=0;f[l+52>>2]=0;if(B|0){z=B+12|0;f[z>>2]=(f[z>>2]|0)+1}if((f[x>>2]|0)<3){x=f[h+44>>2]|0;z=f[q>>2]|0;f[z>>2]=f[x>>2];f[z+4>>2]=f[x+4>>2];G=l;break}else{f[p>>2]=0;$T(l,h);G=l;break}}else{nJ(l,a,-1);G=l}while(0);f[m>>2]=f[d>>2];f[m+4>>2]=f[A>>2];IJ(c,m,f[G>>2]&4095,-1,0,0);do if((qJ(c)|0)==65536){m=f[c+4>>2]|0;f[n>>2]=f[m>>2];a=n+4|0;h=m+4|0;f[a>>2]=f[h>>2];p=n+8|0;f[p>>2]=f[m+8>>2];f[n+12>>2]=f[m+12>>2];f[n+16>>2]=f[m+16>>2];f[n+20>>2]=f[m+20>>2];f[n+24>>2]=f[m+24>>2];f[n+28>>2]=f[m+28>>2];f[n+32>>2]=f[m+32>>2];x=f[m+36>>2]|0;f[n+36>>2]=x;f[n+40>>2]=p;p=n+48|0;z=n+44|0;f[z>>2]=p;f[p>>2]=0;f[n+52>>2]=0;if(x|0){p=x+12|0;f[p>>2]=(f[p>>2]|0)+1}if((f[h>>2]|0)<3){h=f[m+44>>2]|0;p=f[z>>2]|0;f[p>>2]=f[h>>2];f[p+4>>2]=f[h+4>>2];break}else{f[a>>2]=0;$T(n,m);break}}else nJ(n,c,-1);while(0);if((f[d>>2]|0)==(f[k>>2]|0)?(f[A>>2]|0)==(f[y>>2]|0):0){y=o+8|0;f[y>>2]=0;f[y+4>>2]=0;f[o>>2]=33619968;f[o+4>>2]=n;EI(l,o)}else Vaa(f[G>>2]&4095,f[l+16>>2]|0,f[l+48>>2]|0,f[l+12>>2]|0,f[l+8>>2]|0,f[n+16>>2]|0,f[n+48>>2]|0,f[n+12>>2]|0,f[n+8>>2]|0,E,D,F);F=n+36|0;G=f[F>>2]|0;if(G|0?(o=G+12|0,G=f[o>>2]|0,f[o>>2]=G+-1,(G|0)==1):0)aU(n);f[F>>2]=0;F=n+16|0;G=n+4|0;f[F>>2]=0;f[F+4>>2]=0;f[F+8>>2]=0;f[F+12>>2]=0;if((f[G>>2]|0)>0){F=f[n+40>>2]|0;o=0;do{f[F+(o<<2)>>2]=0;o=o+1|0}while((o|0)<(f[G>>2]|0))}G=f[n+44>>2]|0;if((G|0)!=(n+48|0))TC(G);G=l+36|0;n=f[G>>2]|0;if(n|0?(o=n+12|0,n=f[o>>2]|0,f[o>>2]=n+-1,(n|0)==1):0)aU(l);f[G>>2]=0;G=l+16|0;n=l+4|0;f[G>>2]=0;f[G+4>>2]=0;f[G+8>>2]=0;f[G+12>>2]=0;if((f[n>>2]|0)>0){G=f[l+40>>2]|0;o=0;do{f[G+(o<<2)>>2]=0;o=o+1|0}while((o|0)<(f[n>>2]|0))}n=f[l+44>>2]|0;if((n|0)!=(l+48|0))TC(n);if(!(f[j+4>>2]|0)){u=i;return}u=i;return}function Uea(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;e=u;u=u+160|0;g=e+96|0;h=e+40|0;i=e+24|0;j=e;k=e+16|0;tK(g,a,0,1,0,0);tK(h,c,0,1,0,0);if((f[h>>2]^f[g>>2])&4095|0){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;c=cuc(32)|0;f[i>>2]=c;f[i+8>>2]=-2147483616;f[i+4>>2]=24;a=c;l=463659;m=a+24|0;do{b[a>>0]=b[l>>0]|0;a=a+1|0;l=l+1|0}while((a|0)<(m|0));b[c+24>>0]=0;WD(-215,i,256071,252921,4263)}f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=g;c=j+8|0;f[c>>2]=0;f[c+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=h;c=h+40|0;l=f[c>>2]|0;a=f[l>>2]|0;f[k>>2]=f[l+4>>2];f[k+4>>2]=a;Tea(i,j,k,+(f[h+12>>2]|0)/+(f[g+12>>2]|0),+(f[h+8>>2]|0)/+(f[g+8>>2]|0),d);d=h+36|0;k=f[d>>2]|0;if(k|0?(j=k+12|0,k=f[j>>2]|0,f[j>>2]=k+-1,(k|0)==1):0)aU(h);f[d>>2]=0;d=h+16|0;k=h+4|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[k>>2]|0)>0){d=f[c>>2]|0;c=0;do{f[d+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[k>>2]|0))}k=f[h+44>>2]|0;if((k|0)!=(h+48|0))TC(k);k=g+36|0;h=f[k>>2]|0;if(h|0?(c=h+12|0,h=f[c>>2]|0,f[c>>2]=h+-1,(h|0)==1):0)aU(g);f[k>>2]=0;k=g+16|0;h=g+4|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;if((f[h>>2]|0)>0){k=f[g+40>>2]|0;c=0;do{f[k+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[h>>2]|0))}h=f[g+44>>2]|0;if((h|0)==(g+48|0)){u=e;return}TC(h);u=e;return}function Vea(a,c,d,e,g){a=a|0;c=c|0;d=+d;e=+e;g=g|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0.0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0.0,R=0.0,S=0.0,T=0.0,U=0.0,V=0.0,W=0.0,X=0.0,Z=0.0,_=0.0,$=0.0,aa=0.0,ba=0.0,ca=0.0,da=0.0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0.0,sa=0.0,ta=0.0,ua=0,va=0.0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0;i=u;u=u+1376|0;j=i+344|0;k=i+336|0;l=i+280|0;m=i+272|0;n=i+144|0;o=i;q=i+216|0;r=i+160|0;gV(k,54844);do if((qJ(a)|0)==65536){s=f[a+4>>2]|0;f[l>>2]=f[s>>2];t=l+4|0;v=s+4|0;f[t>>2]=f[v>>2];w=l+8|0;f[w>>2]=f[s+8>>2];f[l+12>>2]=f[s+12>>2];f[l+16>>2]=f[s+16>>2];f[l+20>>2]=f[s+20>>2];f[l+24>>2]=f[s+24>>2];f[l+28>>2]=f[s+28>>2];f[l+32>>2]=f[s+32>>2];x=f[s+36>>2]|0;f[l+36>>2]=x;f[l+40>>2]=w;w=l+48|0;y=l+44|0;f[y>>2]=w;f[w>>2]=0;f[l+52>>2]=0;if(x|0){w=x+12|0;f[w>>2]=(f[w>>2]|0)+1}if((f[v>>2]|0)<3){v=f[s+44>>2]|0;w=f[y>>2]|0;f[w>>2]=f[v>>2];f[w+4>>2]=f[v+4>>2];break}else{f[t>>2]=0;$T(l,s);break}}else nJ(l,a,-1);while(0);a=g&7;switch(g&-8|0){case 24:{f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;s=cuc(64)|0;f[j>>2]=s;f[j+8>>2]=-2147483584;f[j+4>>2]=57;z=s;A=256080;B=z+57|0;do{b[z>>0]=b[A>>0]|0;z=z+1|0;A=A+1|0}while((z|0)<(B|0));b[s+57>>0]=0;WD(-215,j,381547,256138,1386);break}case 8:{s=f[l>>2]|0;if(s&4095|0){f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;t=cuc(32)|0;f[j>>2]=t;f[j+8>>2]=-2147483616;f[j+4>>2]=21;z=t;A=367838;B=z+21|0;do{b[z>>0]=b[A>>0]|0;z=z+1|0;A=A+1|0}while((z|0)<(B|0));b[t+21>>0]=0;WD(-215,j,381547,256138,1389)}t=l+40|0;v=f[t>>2]|0;w=f[v+4>>2]|0;y=f[v>>2]|0;x=(s&16384|0)!=0;C=Y(y,w)|0;D=x?C:w;w=x?1:y;y=x?C:f[l+48>>2]|0;kzc(j|0,0,1024)|0;a:do if((w|0)>0){x=f[l+16>>2]|0;E=D+-4|0;if((D|0)<4){if((D|0)>0)F=0;else{G=0.0;H=0;break}while(1){I=x+(Y(F,y)|0)|0;J=0;do{K=j+((h[I+J>>0]|0)<<2)|0;f[K>>2]=(f[K>>2]|0)+1;J=J+1|0}while((J|0)!=(D|0));F=F+1|0;if((F|0)==(w|0)){G=0.0;H=0;break a}}}J=D&-4;if((J|0)<(D|0))L=0;else{I=0;while(1){K=x+(Y(I,y)|0)|0;M=0;do{N=h[K+(M|1)>>0]|0;O=j+((h[K+M>>0]|0)<<2)|0;f[O>>2]=(f[O>>2]|0)+1;O=j+(N<<2)|0;f[O>>2]=(f[O>>2]|0)+1;O=h[K+(M|3)>>0]|0;N=j+((h[K+(M|2)>>0]|0)<<2)|0;f[N>>2]=(f[N>>2]|0)+1;N=j+(O<<2)|0;f[N>>2]=(f[N>>2]|0)+1;M=M+4|0}while((M|0)<=(E|0));I=I+1|0;if((I|0)==(w|0)){G=0.0;H=0;break a}}}do{I=x+(Y(L,y)|0)|0;M=0;do{K=h[I+(M|1)>>0]|0;N=j+((h[I+M>>0]|0)<<2)|0;f[N>>2]=(f[N>>2]|0)+1;N=j+(K<<2)|0;f[N>>2]=(f[N>>2]|0)+1;N=h[I+(M|3)>>0]|0;K=j+((h[I+(M|2)>>0]|0)<<2)|0;f[K>>2]=(f[K>>2]|0)+1;K=j+(N<<2)|0;f[K>>2]=(f[K>>2]|0)+1;M=M+4|0}while((M|0)<=(E|0));P=J;do{M=j+((h[I+P>>0]|0)<<2)|0;f[M>>2]=(f[M>>2]|0)+1;P=P+1|0}while((P|0)!=(D|0));L=L+1|0}while((L|0)!=(w|0));G=0.0;H=0}else{G=0.0;H=0}while(0);do{G=G+ +(H|0)*+(f[j+(H<<2)>>2]|0);H=H+1|0}while((H|0)!=256);Q=1.0/+(C|0);R=Q*G;G=0.0;S=0.0;T=0.0;U=0.0;C=0;while(1){V=Q*+(f[j+(C<<2)>>2]|0);W=U*G;G=G+V;X=1.0-G;if(!((X<G?X:G)<1.1920928955078125e-07)?!((G<X?X:G)>.9999998807907104):0){Z=+(C|0);_=(W+Z*V)/G;V=_-(R-G*_)/X;$=V*(G*X*V);H=$>T;aa=_;ba=H?Z:S;ca=H?$:T}else{aa=W;ba=S;ca=T}C=C+1|0;if((C|0)==256)break;else{S=ba;T=ca;U=aa}}da=ba;ea=l;fa=t;ga=v;ha=s;break}case 16:{s=f[l>>2]|0;if(s&4095|0){f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;v=cuc(32)|0;f[j>>2]=v;f[j+8>>2]=-2147483616;f[j+4>>2]=21;z=v;A=367838;B=z+21|0;do{b[z>>0]=b[A>>0]|0;z=z+1|0;A=A+1|0}while((z|0)<(B|0));b[v+21>>0]=0;WD(-215,j,381547,256138,1394)}v=l+40|0;A=f[v>>2]|0;z=f[A+4>>2]|0;B=f[A>>2]|0;t=(s&16384|0)!=0;C=Y(B,z)|0;H=t?1:B;B=t?C:z;z=t?C:f[l+48>>2]|0;kzc(j|0,0,1024)|0;b:do if((H|0)>0){C=f[l+16>>2]|0;t=B+-4|0;if((B|0)<4){if((B|0)>0)ia=0;else{ja=0;break}while(1){w=C+(Y(ia,z)|0)|0;L=0;do{D=j+((h[w+L>>0]|0)<<2)|0;f[D>>2]=(f[D>>2]|0)+1;L=L+1|0}while((L|0)!=(B|0));ia=ia+1|0;if((ia|0)==(H|0)){ja=0;break b}}}L=B&-4;if((L|0)<(B|0))ka=0;else{w=0;while(1){D=C+(Y(w,z)|0)|0;P=0;do{y=h[D+(P|1)>>0]|0;F=j+((h[D+P>>0]|0)<<2)|0;f[F>>2]=(f[F>>2]|0)+1;F=j+(y<<2)|0;f[F>>2]=(f[F>>2]|0)+1;F=h[D+(P|3)>>0]|0;y=j+((h[D+(P|2)>>0]|0)<<2)|0;f[y>>2]=(f[y>>2]|0)+1;y=j+(F<<2)|0;f[y>>2]=(f[y>>2]|0)+1;P=P+4|0}while((P|0)<=(t|0));w=w+1|0;if((w|0)==(H|0)){ja=0;break b}}}do{w=C+(Y(ka,z)|0)|0;P=0;do{D=h[w+(P|1)>>0]|0;y=j+((h[w+P>>0]|0)<<2)|0;f[y>>2]=(f[y>>2]|0)+1;y=j+(D<<2)|0;f[y>>2]=(f[y>>2]|0)+1;y=h[w+(P|3)>>0]|0;D=j+((h[w+(P|2)>>0]|0)<<2)|0;f[D>>2]=(f[D>>2]|0)+1;D=j+(y<<2)|0;f[D>>2]=(f[D>>2]|0)+1;P=P+4|0}while((P|0)<=(t|0));la=L;do{P=j+((h[w+la>>0]|0)<<2)|0;f[P>>2]=(f[P>>2]|0)+1;la=la+1|0}while((la|0)!=(B|0));ka=ka+1|0}while((ka|0)!=(H|0));ja=0}else ja=0;while(0);while(1){if((f[j+(ja<<2)>>2]|0)>0){ma=ja;break}ja=ja+1|0;if((ja|0)>=256){ma=0;break}}ja=(((ma|0)>0)<<31>>31)+ma|0;ma=255;while(1){if((f[j+(ma<<2)>>2]|0)>0){na=ma;break}if((ma|0)>1)ma=ma+-1|0;else{na=0;break}}ma=(na|0)<255;H=0;ka=0;B=0;do{la=f[j+(B<<2)>>2]|0;z=(la|0)>(H|0);ka=z?B:ka;H=z?la:H;B=B+1|0}while((B|0)!=256);B=(ma&1)+na|0;if((ka-ja|0)<(B-ka|0)){na=255;ma=0;do{la=j+(ma<<2)|0;z=f[la>>2]|0;ia=j+(na<<2)|0;f[la>>2]=f[ia>>2];f[ia>>2]=z;ma=ma+1|0;na=na+-1|0}while((ma|0)<(na|0));oa=1;pa=255-B|0;qa=255-ka|0}else{oa=0;pa=ja;qa=ka}ba=+(pa|0);aa=+(H|0);U=+(pa-qa|0);if((pa|0)<(qa|0)){ca=0.0;T=ba;H=pa;while(1){H=H+1|0;S=+(H|0);G=aa*S+U*+(f[j+(H<<2)>>2]|0);pa=G>ca;R=pa?S:T;if((H|0)==(qa|0)){ra=R;break}else{ca=pa?G:ca;T=R}}}else ra=ba;ba=ra+-1.0;da=oa?255.0-ba:ba;ea=l;fa=v;ga=A;ha=s;break}default:{s=l+40|0;da=d;ea=l;fa=s;ga=f[s>>2]|0;ha=f[l>>2]|0}}s=f[ga>>2]|0;f[m>>2]=f[ga+4>>2];f[m+4>>2]=s;IJ(c,m,ha&4095,-1,0,0);do if((qJ(c)|0)==65536){ha=f[c+4>>2]|0;f[j>>2]=f[ha>>2];m=j+4|0;s=ha+4|0;f[m>>2]=f[s>>2];ga=j+8|0;f[ga>>2]=f[ha+8>>2];f[j+12>>2]=f[ha+12>>2];f[j+16>>2]=f[ha+16>>2];f[j+20>>2]=f[ha+20>>2];f[j+24>>2]=f[ha+24>>2];f[j+28>>2]=f[ha+28>>2];f[j+32>>2]=f[ha+32>>2];A=f[ha+36>>2]|0;f[j+36>>2]=A;f[j+40>>2]=ga;ga=j+48|0;v=j+44|0;f[v>>2]=ga;f[ga>>2]=0;f[j+52>>2]=0;if(A|0){ga=A+12|0;f[ga>>2]=(f[ga>>2]|0)+1}if((f[s>>2]|0)<3){s=f[ha+44>>2]|0;ga=f[v>>2]|0;f[ga>>2]=f[s>>2];f[ga+4>>2]=f[s+4>>2];break}else{f[m>>2]=0;$T(j,ha);break}}else nJ(j,c,-1);while(0);c=f[ea>>2]|0;c:do switch(c&7){case 0:{ea=~~da;ha=ea-(+(ea|0)>da&1)|0;d=+(ha|0);ea=Fhc(e)|0;m=(a|0)==2;s=m?ha:ea;ea=s>>>0<256?s:(s|0)>0?255:0;s=ea&255;ga=(ha|0)>254;if(ha>>>0<=254){sa=+(ea&255);ta=d;ua=101;break c}if((a|1|0)!=1?!((m|(a|0)==4)&(ha|0)<0|(a|0)==3&ga):0){ha=n+8|0;f[ha>>2]=0;f[ha+4>>2]=0;f[n>>2]=33619968;f[n+4>>2]=j;EI(l,n);va=d;break c}switch(g&7){case 0:{wa=ga?0:s;break}case 1:{wa=ga?s:0;break}default:wa=0}p[o>>3]=+(wa|0);f[n>>2]=-1056833530;f[n+4>>2]=o;f[n+8>>2]=1;f[n+12>>2]=1;HI(j,n,sK()|0)|0;va=d;break}case 3:{s=~~da;ga=s-(+(s|0)>da&1)|0;d=+(ga|0);s=Fhc(e)|0;ha=(a|0)==2;m=ha?ga:s;s=(m+32768|0)>>>0<65536?m:(m|0)>0?32767:32768;m=s<<16>>16;ea=(ga|0)>32766;if((ga+32768|0)>>>0<=65534){sa=+((s&65535)<<16>>16);ta=d;ua=101;break c}if((a|1|0)!=1?!((ha|(a|0)==4)&(ga|0)<-32768|(a|0)==3&ea):0){ga=n+8|0;f[ga>>2]=0;f[ga+4>>2]=0;f[n>>2]=33619968;f[n+4>>2]=j;EI(l,n);va=d;break c}switch(g&7){case 0:{xa=ea?0:m;break}case 1:{xa=ea?m:0;break}default:xa=0}p[o>>3]=+(xa|0);f[n>>2]=-1056833530;f[n+4>>2]=o;f[n+8>>2]=1;f[n+12>>2]=1;HI(j,n,sK()|0)|0;va=d;break}case 2:{m=~~da;ea=m-(+(m|0)>da&1)|0;d=+(ea|0);m=Fhc(e)|0;ga=(a|0)==2?ea:m;m=ga>>>0<65536?ga:(ga|0)>0?65535:0;ga=m&65535;ha=(ea|0)>65534;if(ea>>>0<=65534){sa=+(m&65535);ta=d;ua=101;break c}m=g&255;d:do if((a|1|0)==1)ua=94;else{switch(m&7){case 2:case 4:{if((a|0)==3&ha|(ea|0)<0){ua=94;break d}break}default:if((a|0)==3&ha){ya=0;break d}}s=n+8|0;f[s>>2]=0;f[s+4>>2]=0;f[n>>2]=33619968;f[n+4>>2]=j;EI(l,n);va=d;break c}while(0);e:do if((ua|0)==94)switch(m&7){case 0:{ya=ha?0:ga;break e;break}case 1:{ya=ha?ga:0;break e;break}default:{ya=0;break e}}while(0);p[o>>3]=+(ya|0);f[n>>2]=-1056833530;f[n+4>>2]=o;f[n+8>>2]=1;f[n+12>>2]=1;HI(j,n,sK()|0)|0;va=d;break}case 6:case 5:{sa=e;ta=da;ua=101;break}default:{f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;WD(-210,n,381547,256138,1492)}}while(0);if((ua|0)==101){ua=j+8|0;ya=f[ua>>2]|0;f[n>>2]=0;f[n+4>>2]=ya;f[q>>2]=c;c=q+4|0;ya=l+4|0;g=f[ya>>2]|0;f[c>>2]=g;xa=q+8|0;f[xa>>2]=f[l+8>>2];f[q+12>>2]=f[l+12>>2];wa=q+16|0;f[wa>>2]=f[l+16>>2];f[q+20>>2]=f[l+20>>2];f[q+24>>2]=f[l+24>>2];f[q+28>>2]=f[l+28>>2];f[q+32>>2]=f[l+32>>2];ga=q+36|0;ha=f[l+36>>2]|0;f[ga>>2]=ha;m=q+40|0;f[m>>2]=xa;xa=q+48|0;ea=q+44|0;f[ea>>2]=xa;f[xa>>2]=0;f[q+52>>2]=0;if(!ha)za=g;else{g=ha+12|0;f[g>>2]=(f[g>>2]|0)+1;za=f[ya>>2]|0}if((za|0)<3){za=f[l+44>>2]|0;ya=f[ea>>2]|0;f[ya>>2]=f[za>>2];f[ya+4>>2]=f[za+4>>2]}else{f[c>>2]=0;$T(q,l)}f[r>>2]=f[j>>2];za=r+4|0;ya=j+4|0;g=f[ya>>2]|0;f[za>>2]=g;ha=r+8|0;f[ha>>2]=f[ua>>2];s=j+12|0;f[r+12>>2]=f[s>>2];v=r+16|0;f[v>>2]=f[j+16>>2];f[r+20>>2]=f[j+20>>2];f[r+24>>2]=f[j+24>>2];f[r+28>>2]=f[j+28>>2];f[r+32>>2]=f[j+32>>2];A=r+36|0;oa=f[j+36>>2]|0;f[A>>2]=oa;qa=r+40|0;f[qa>>2]=ha;ha=r+48|0;H=r+44|0;f[H>>2]=ha;f[ha>>2]=0;f[r+52>>2]=0;if(!oa)Aa=g;else{g=oa+12|0;f[g>>2]=(f[g>>2]|0)+1;Aa=f[ya>>2]|0}if((Aa|0)<3){Aa=f[j+44>>2]|0;g=f[H>>2]|0;f[g>>2]=f[Aa>>2];f[g+4>>2]=f[Aa+4>>2]}else{f[za>>2]=0;$T(r,j)}Wea(o,q,r,ta,sa,a);a=f[ya>>2]|0;if((a|0)<3)Ba=Y(f[s>>2]|0,f[ua>>2]|0)|0;else{ua=f[j+40>>2]|0;s=0;ya=1;while(1){Aa=Y(f[ua+(s<<2)>>2]|0,ya)|0;s=s+1|0;if((s|0)==(a|0)){Ba=Aa;break}else ya=Aa}}sZ(n,o,+(Ba>>>0)*.0000152587890625);Xea(o);o=f[A>>2]|0;if(o|0?(Ba=o+12|0,o=f[Ba>>2]|0,f[Ba>>2]=o+-1,(o|0)==1):0)aU(r);f[A>>2]=0;f[v>>2]=0;f[v+4>>2]=0;f[v+8>>2]=0;f[v+12>>2]=0;if((f[za>>2]|0)>0){v=f[qa>>2]|0;qa=0;do{f[v+(qa<<2)>>2]=0;qa=qa+1|0}while((qa|0)<(f[za>>2]|0))}za=f[H>>2]|0;if((za|0)!=(ha|0))TC(za);za=f[ga>>2]|0;if(za|0?(ha=za+12|0,za=f[ha>>2]|0,f[ha>>2]=za+-1,(za|0)==1):0)aU(q);f[ga>>2]=0;f[wa>>2]=0;f[wa+4>>2]=0;f[wa+8>>2]=0;f[wa+12>>2]=0;if((f[c>>2]|0)>0){wa=f[m>>2]|0;m=0;do{f[wa+(m<<2)>>2]=0;m=m+1|0}while((m|0)<(f[c>>2]|0))}c=f[ea>>2]|0;if((c|0)!=(xa|0))TC(c);va=ta}c=j+36|0;xa=f[c>>2]|0;if(xa|0?(ea=xa+12|0,xa=f[ea>>2]|0,f[ea>>2]=xa+-1,(xa|0)==1):0)aU(j);f[c>>2]=0;c=j+16|0;xa=j+4|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[xa>>2]|0)>0){c=f[j+40>>2]|0;ea=0;do{f[c+(ea<<2)>>2]=0;ea=ea+1|0}while((ea|0)<(f[xa>>2]|0))}xa=f[j+44>>2]|0;if((xa|0)!=(j+48|0))TC(xa);xa=l+36|0;j=f[xa>>2]|0;if(j|0?(ea=j+12|0,j=f[ea>>2]|0,f[ea>>2]=j+-1,(j|0)==1):0)aU(l);f[xa>>2]=0;xa=l+16|0;j=l+4|0;f[xa>>2]=0;f[xa+4>>2]=0;f[xa+8>>2]=0;f[xa+12>>2]=0;if((f[j>>2]|0)>0){xa=f[fa>>2]|0;fa=0;do{f[xa+(fa<<2)>>2]=0;fa=fa+1|0}while((fa|0)<(f[j>>2]|0))}j=f[l+44>>2]|0;if((j|0)!=(l+48|0))TC(j);if(!(f[k+4>>2]|0)){u=i;return +va}u=i;return +va}function Wea(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=+d;e=+e;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;f[a>>2]=54872;h=a+4|0;f[h>>2]=1124007936;i=a+8|0;j=a+12|0;k=a+44|0;l=i;m=l+36|0;do{f[l>>2]=0;l=l+4|0}while((l|0)<(m|0));f[k>>2]=j;n=a+52|0;o=a+48|0;f[o>>2]=n;f[n>>2]=0;f[a+56>>2]=0;n=a+60|0;f[n>>2]=1124007936;q=a+64|0;r=a+68|0;s=a+100|0;l=q;m=l+36|0;do{f[l>>2]=0;l=l+4|0}while((l|0)<(m|0));f[s>>2]=r;l=a+108|0;m=a+104|0;f[m>>2]=l;f[l>>2]=0;f[a+112>>2]=0;if((h|0)!=(b|0)){l=b+36|0;t=f[l>>2]|0;if(t){u=t+12|0;f[u>>2]=(f[u>>2]|0)+1;u=a+40|0;t=f[u>>2]|0;if((t|0)!=0?(v=t+12|0,t=f[v>>2]|0,f[v>>2]=t+-1,(t|0)==1):0){aU(h);w=u}else w=u}else w=a+40|0;f[w>>2]=0;u=a+20|0;f[u>>2]=0;f[u+4>>2]=0;f[u+8>>2]=0;f[u+12>>2]=0;if((f[i>>2]|0)>0){t=f[k>>2]|0;k=0;do{f[t+(k<<2)>>2]=0;k=k+1|0;x=f[i>>2]|0}while((k|0)<(x|0));f[h>>2]=f[b>>2];if((x|0)<3)y=12;else y=14}else{f[h>>2]=f[b>>2];y=12}if((y|0)==12){x=f[b+4>>2]|0;if((x|0)<3){f[i>>2]=x;f[j>>2]=f[b+8>>2];f[a+16>>2]=f[b+12>>2];j=f[b+44>>2]|0;x=f[o>>2]|0;f[x>>2]=f[j>>2];f[x+4>>2]=f[j+4>>2]}else y=14}if((y|0)==14)$T(h,b);f[u>>2]=f[b+16>>2];f[a+24>>2]=f[b+20>>2];f[a+28>>2]=f[b+24>>2];f[a+32>>2]=f[b+28>>2];f[a+36>>2]=f[b+32>>2];f[w>>2]=f[l>>2]}if((n|0)==(c|0)){z=a+120|0;p[z>>3]=d;A=a+128|0;p[A>>3]=e;B=a+136|0;f[B>>2]=g;return}l=c+36|0;w=f[l>>2]|0;if(w|0){b=w+12|0;f[b>>2]=(f[b>>2]|0)+1}b=a+96|0;w=f[b>>2]|0;if(w|0?(u=w+12|0,w=f[u>>2]|0,f[u>>2]=w+-1,(w|0)==1):0)aU(n);f[b>>2]=0;w=a+76|0;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;f[w+12>>2]=0;if((f[q>>2]|0)>0){u=f[s>>2]|0;s=0;do{f[u+(s<<2)>>2]=0;s=s+1|0;C=f[q>>2]|0}while((s|0)<(C|0));f[n>>2]=f[c>>2];if((C|0)<3)y=27;else y=29}else{f[n>>2]=f[c>>2];y=27}if((y|0)==27){C=f[c+4>>2]|0;if((C|0)<3){f[q>>2]=C;f[r>>2]=f[c+8>>2];f[a+72>>2]=f[c+12>>2];r=f[c+44>>2]|0;C=f[m>>2]|0;f[C>>2]=f[r>>2];f[C+4>>2]=f[r+4>>2]}else y=29}if((y|0)==29)$T(n,c);f[w>>2]=f[c+16>>2];f[a+80>>2]=f[c+20>>2];f[a+84>>2]=f[c+24>>2];f[a+88>>2]=f[c+28>>2];f[a+92>>2]=f[c+32>>2];f[b>>2]=f[l>>2];z=a+120|0;p[z>>3]=d;A=a+128|0;p[A>>3]=e;B=a+136|0;f[B>>2]=g;return}function Xea(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=54872;b=a+60|0;c=a+96|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+76|0;b=a+64|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+100>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+104>>2]|0;if((b|0)!=(a+108|0))TC(b);b=a+4|0;d=a+40|0;c=f[d>>2]|0;if(c|0?(e=c+12|0,c=f[e>>2]|0,f[e>>2]=c+-1,(c|0)==1):0)aU(b);f[d>>2]=0;d=a+20|0;b=a+8|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[b>>2]|0)>0){d=f[a+44>>2]|0;c=0;do{f[d+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[b>>2]|0))}b=f[a+48>>2]|0;if((b|0)==(a+52|0))return;TC(b);return}function Yea(a){a=a|0;Xea(a);fuc(a);return}function Zea(a,c){a=a|0;c=c|0;var e=0,g=0,i=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0.0,wa=0.0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0;e=u;u=u+384|0;g=e+120|0;i=e+112|0;k=e+56|0;l=e;m=f[c>>2]|0;o=f[c+4>>2]|0;f[g>>2]=m;f[g+4>>2]=o;f[i>>2]=-2147483648;f[i+4>>2]=2147483647;bU(k,a+4|0,g,i);f[g>>2]=m;f[g+4>>2]=o;f[i>>2]=-2147483648;f[i+4>>2]=2147483647;bU(l,a+60|0,g,i);i=k+16|0;o=l+16|0;m=f[k>>2]|0;c=m>>>3&511;q=a+120|0;r=a+128|0;s=a+136|0;a:do switch(m&7){case 0:{a=~~+p[q>>3]&255;t=~~+p[r>>3]&255;v=f[s>>2]|0;w=f[k+40>>2]|0;x=f[w>>2]|0;y=Y(f[w+4>>2]|0,c+1|0)|0;w=f[k+48>>2]|0;z=f[l+48>>2]|0;if(!(m&16384)){A=w;B=z;C=y;D=x}else{E=(f[l>>2]&16384|0)!=0;F=Y(y,x)|0;A=E?F:w;B=E?F:z;C=E?F:y;D=E?1:x}if((C|0)>0){x=a&255;E=x+1|0;kzc(g|0,0,256)|0;switch(v|0){case 0:{kzc(g|0,0,E|0)|0;if(E>>>0<256)kzc(g+E|0,t|0,x^255|0)|0;break}case 1:{kzc(g|0,t|0,E|0)|0;if(E>>>0<256)kzc(g+E|0,0,x^255|0)|0;break}case 2:{t=0;do{b[g+t>>0]=t;t=t+1|0}while((t|0)!=(E|0));if(E>>>0<256)kzc(g+E|0,a|0,x^255|0)|0;break}case 3:{kzc(g|0,0,E|0)|0;if(E>>>0<256){t=E;do{b[g+t>>0]=t;t=t+1|0}while((t|0)!=256)}break}case 4:{t=0;do{b[g+t>>0]=t;t=t+1|0}while((t|0)!=(E|0));if(E>>>0<256)kzc(g+E|0,0,x^255|0)|0;break}default:{}}t=f[i>>2]|0;a=f[o>>2]|0;b:do if((D|0)>0){v=C+-4|0;if((C|0)<4){y=0;F=t;z=a;while(1){w=0;do{b[z+w>>0]=b[g+(h[F+w>>0]|0)>>0]|0;w=w+1|0}while((w|0)!=(C|0));y=y+1|0;if((y|0)==(D|0))break b;else{F=F+A|0;z=z+B|0}}}z=C&-4;if((z|0)<(C|0)){G=0;H=t;I=a}else{F=0;y=t;w=a;while(1){J=0;do{K=J|1;L=b[g+(h[y+K>>0]|0)>>0]|0;b[w+J>>0]=b[g+(h[y+J>>0]|0)>>0]|0;b[w+K>>0]=L;L=J|2;K=J|3;M=b[g+(h[y+K>>0]|0)>>0]|0;b[w+L>>0]=b[g+(h[y+L>>0]|0)>>0]|0;b[w+K>>0]=M;J=J+4|0}while((J|0)<=(v|0));F=F+1|0;if((F|0)==(D|0))break b;else{y=y+A|0;w=w+B|0}}}while(1){w=0;do{y=w|1;F=b[g+(h[H+y>>0]|0)>>0]|0;b[I+w>>0]=b[g+(h[H+w>>0]|0)>>0]|0;b[I+y>>0]=F;F=w|2;y=w|3;J=b[g+(h[H+y>>0]|0)>>0]|0;b[I+F>>0]=b[g+(h[H+F>>0]|0)>>0]|0;b[I+y>>0]=J;w=w+4|0}while((w|0)<=(v|0));N=z;do{b[I+N>>0]=b[g+(h[H+N>>0]|0)>>0]|0;N=N+1|0}while((N|0)!=(C|0));G=G+1|0;if((G|0)==(D|0))break;else{H=H+A|0;I=I+B|0}}}while(0)}break}case 3:{a=~~+p[q>>3];t=~~+p[r>>3];x=f[k+40>>2]|0;E=f[x>>2]|0;z=Y(f[x+4>>2]|0,c+1|0)|0;x=f[i>>2]|0;v=f[o>>2]|0;w=(f[k+48>>2]|0)>>>1;J=(f[l+48>>2]|0)>>>1;if(!(m&16384)){O=J;P=w;Q=z;R=E}else{y=(f[l>>2]&16384|0)!=0;F=Y(z,E)|0;O=y?F:J;P=y?F:w;Q=y?F:z;R=y?1:E}switch(f[s>>2]|0){case 0:{if((Q|0)>0&(R|0)>0){S=x;T=v;U=0}else break a;while(1){E=0;do{d[T+(E<<1)>>1]=(d[S+(E<<1)>>1]|0)>a<<16>>16?t:0;E=E+1|0}while((E|0)!=(Q|0));U=U+1|0;if((U|0)==(R|0))break;else{S=S+(P<<1)|0;T=T+(O<<1)|0}}break}case 1:{if((Q|0)>0&(R|0)>0){V=x;W=v;X=0}else break a;while(1){E=0;do{d[W+(E<<1)>>1]=(d[V+(E<<1)>>1]|0)>a<<16>>16?0:t;E=E+1|0}while((E|0)!=(Q|0));X=X+1|0;if((X|0)==(R|0))break;else{V=V+(P<<1)|0;W=W+(O<<1)|0}}break}case 2:{if((Q|0)>0&(R|0)>0){Z=x;_=v;$=0}else break a;while(1){t=0;do{E=d[Z+(t<<1)>>1]|0;d[_+(t<<1)>>1]=E<<16>>16>a<<16>>16?a:E;t=t+1|0}while((t|0)!=(Q|0));$=$+1|0;if(($|0)==(R|0))break;else{Z=Z+(P<<1)|0;_=_+(O<<1)|0}}break}case 3:{if((Q|0)>0&(R|0)>0){aa=x;ba=v;ca=0}else break a;while(1){t=0;do{E=d[aa+(t<<1)>>1]|0;d[ba+(t<<1)>>1]=E<<16>>16>a<<16>>16?E:0;t=t+1|0}while((t|0)!=(Q|0));ca=ca+1|0;if((ca|0)==(R|0))break;else{aa=aa+(P<<1)|0;ba=ba+(O<<1)|0}}break}case 4:{if((Q|0)>0&(R|0)>0){da=x;ea=v;fa=0}else break a;while(1){t=0;do{E=d[da+(t<<1)>>1]|0;d[ea+(t<<1)>>1]=E<<16>>16>a<<16>>16?0:E;t=t+1|0}while((t|0)!=(Q|0));fa=fa+1|0;if((fa|0)==(R|0))break;else{da=da+(P<<1)|0;ea=ea+(O<<1)|0}}break}default:{f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;WD(-5,g,256209,256138,120)}}break}case 2:{a=~~+p[q>>3]&65535;v=~~+p[r>>3]&65535;x=f[k+40>>2]|0;t=f[x>>2]|0;E=Y(f[x+4>>2]|0,c+1|0)|0;x=((f[k+48>>2]|0)>>>0)/((675553809>>>(m<<2&28)&15)>>>0)|0;y=f[l>>2]|0;z=((f[l+48>>2]|0)>>>0)/((675553809>>>(y<<2&28)&15)>>>0)|0;F=(m&16384|0)==0;w=(y&16384|0)!=0;y=Y(E,t)|0;J=F?E:w?y:E;E=F?t:w?1:t;t=F?z:w?y:z;z=F?x:w?y:x;x=f[i>>2]|0;y=f[o>>2]|0;switch(f[s>>2]|0){case 0:{if((J|0)>0&(E|0)>0){ga=x;ha=y;ia=0}else break a;while(1){w=0;do{d[ha+(w<<1)>>1]=(j[ga+(w<<1)>>1]|0)>(a&65535)?v:0;w=w+1|0}while((w|0)!=(J|0));ia=ia+1|0;if((ia|0)==(E|0))break;else{ga=ga+(z<<1)|0;ha=ha+(t<<1)|0}}break}case 1:{if((J|0)>0&(E|0)>0){ja=x;ka=y;la=0}else break a;while(1){w=0;do{d[ka+(w<<1)>>1]=(j[ja+(w<<1)>>1]|0)>(a&65535)?0:v;w=w+1|0}while((w|0)!=(J|0));la=la+1|0;if((la|0)==(E|0))break;else{ja=ja+(z<<1)|0;ka=ka+(t<<1)|0}}break}case 2:{if((J|0)>0&(E|0)>0){ma=x;na=y;oa=0}else break a;while(1){v=0;do{w=d[ma+(v<<1)>>1]|0;d[na+(v<<1)>>1]=(w&65535)>(a&65535)?a:w;v=v+1|0}while((v|0)!=(J|0));oa=oa+1|0;if((oa|0)==(E|0))break;else{ma=ma+(z<<1)|0;na=na+(t<<1)|0}}break}case 3:{if((J|0)>0&(E|0)>0){pa=x;qa=y;ra=0}else break a;while(1){v=0;do{w=d[pa+(v<<1)>>1]|0;d[qa+(v<<1)>>1]=(w&65535)>(a&65535)?w:0;v=v+1|0}while((v|0)!=(J|0));ra=ra+1|0;if((ra|0)==(E|0))break;else{pa=pa+(z<<1)|0;qa=qa+(t<<1)|0}}break}case 4:{if((J|0)>0&(E|0)>0){sa=x;ta=y;ua=0}else break a;while(1){v=0;do{w=d[sa+(v<<1)>>1]|0;d[ta+(v<<1)>>1]=(w&65535)>(a&65535)?0:w;v=v+1|0}while((v|0)!=(J|0));ua=ua+1|0;if((ua|0)==(E|0))break;else{sa=sa+(z<<1)|0;ta=ta+(t<<1)|0}}break}default:{f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;WD(-5,g,256209,256138,120)}}break}case 5:{va=+p[q>>3];wa=+p[r>>3];t=f[k+40>>2]|0;z=f[t>>2]|0;E=Y(f[t+4>>2]|0,c+1|0)|0;t=f[i>>2]|0;J=f[o>>2]|0;a=(f[k+48>>2]|0)>>>2;y=(f[l+48>>2]|0)>>>2;if(!(m&16384)){xa=E;ya=z}else{x=(f[l>>2]&16384|0)!=0;v=Y(x?z:1,E)|0;xa=v;ya=x?1:z}switch(f[s>>2]|0){case 0:{if((xa|0)>0&(ya|0)>0){za=t;Aa=J;Ba=0}else break a;while(1){z=0;do{n[Aa+(z<<2)>>2]=+n[za+(z<<2)>>2]>va?wa:0.0;z=z+1|0}while((z|0)!=(xa|0));Ba=Ba+1|0;if((Ba|0)==(ya|0))break;else{za=za+(a<<2)|0;Aa=Aa+(y<<2)|0}}break}case 1:{if((xa|0)>0&(ya|0)>0){Ca=t;Da=J;Ea=0}else break a;while(1){z=0;do{n[Da+(z<<2)>>2]=!(+n[Ca+(z<<2)>>2]<=va)?0.0:wa;z=z+1|0}while((z|0)!=(xa|0));Ea=Ea+1|0;if((Ea|0)==(ya|0))break;else{Ca=Ca+(a<<2)|0;Da=Da+(y<<2)|0}}break}case 2:{if((xa|0)>0&(ya|0)>0){Fa=t;Ga=J;Ha=0}else break a;while(1){z=0;do{wa=+n[Fa+(z<<2)>>2];n[Ga+(z<<2)>>2]=wa>va?va:wa;z=z+1|0}while((z|0)!=(xa|0));Ha=Ha+1|0;if((Ha|0)==(ya|0))break;else{Fa=Fa+(a<<2)|0;Ga=Ga+(y<<2)|0}}break}case 3:{if((xa|0)>0&(ya|0)>0){Ia=t;Ja=J;Ka=0}else break a;while(1){z=0;do{wa=+n[Ia+(z<<2)>>2];n[Ja+(z<<2)>>2]=wa>va?wa:0.0;z=z+1|0}while((z|0)!=(xa|0));Ka=Ka+1|0;if((Ka|0)==(ya|0))break;else{Ia=Ia+(a<<2)|0;Ja=Ja+(y<<2)|0}}break}case 4:{if((xa|0)>0&(ya|0)>0){La=t;Ma=J;Na=0}else break a;while(1){z=0;do{wa=+n[La+(z<<2)>>2];n[Ma+(z<<2)>>2]=!(wa<=va)?0.0:wa;z=z+1|0}while((z|0)!=(xa|0));Na=Na+1|0;if((Na|0)==(ya|0))break;else{La=La+(a<<2)|0;Ma=Ma+(y<<2)|0}}break}default:{f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;WD(-5,g,256209,256138,120)}}break}case 6:{va=+p[q>>3];wa=+p[r>>3];y=f[k+40>>2]|0;a=f[y>>2]|0;J=Y(f[y+4>>2]|0,c+1|0)|0;y=f[i>>2]|0;t=f[o>>2]|0;z=(f[k+48>>2]|0)>>>3;x=(f[l+48>>2]|0)>>>3;if(!(m&16384)){Oa=J;Pa=a}else{v=(f[l>>2]&16384|0)!=0;E=Y(v?a:1,J)|0;Oa=E;Pa=v?1:a}switch(f[s>>2]|0){case 0:{if((Oa|0)>0&(Pa|0)>0){Qa=y;Ra=t;Sa=0}else break a;while(1){a=0;do{p[Ra+(a<<3)>>3]=+p[Qa+(a<<3)>>3]>va?wa:0.0;a=a+1|0}while((a|0)!=(Oa|0));Sa=Sa+1|0;if((Sa|0)==(Pa|0))break;else{Qa=Qa+(z<<3)|0;Ra=Ra+(x<<3)|0}}break}case 1:{if((Oa|0)>0&(Pa|0)>0){Ta=y;Ua=t;Va=0}else break a;while(1){a=0;do{p[Ua+(a<<3)>>3]=!(+p[Ta+(a<<3)>>3]<=va)?0.0:wa;a=a+1|0}while((a|0)!=(Oa|0));Va=Va+1|0;if((Va|0)==(Pa|0))break;else{Ta=Ta+(z<<3)|0;Ua=Ua+(x<<3)|0}}break}case 2:{if((Oa|0)>0&(Pa|0)>0){Wa=y;Xa=t;Ya=0}else break a;while(1){a=0;do{wa=+p[Wa+(a<<3)>>3];p[Xa+(a<<3)>>3]=wa>va?va:wa;a=a+1|0}while((a|0)!=(Oa|0));Ya=Ya+1|0;if((Ya|0)==(Pa|0))break;else{Wa=Wa+(z<<3)|0;Xa=Xa+(x<<3)|0}}break}case 3:{if((Oa|0)>0&(Pa|0)>0){Za=y;_a=t;$a=0}else break a;while(1){a=0;do{wa=+p[Za+(a<<3)>>3];p[_a+(a<<3)>>3]=wa>va?wa:0.0;a=a+1|0}while((a|0)!=(Oa|0));$a=$a+1|0;if(($a|0)==(Pa|0))break;else{Za=Za+(z<<3)|0;_a=_a+(x<<3)|0}}break}case 4:{if((Oa|0)>0&(Pa|0)>0){ab=y;bb=t;cb=0}else break a;while(1){a=0;do{wa=+p[ab+(a<<3)>>3];p[bb+(a<<3)>>3]=!(wa<=va)?0.0:wa;a=a+1|0}while((a|0)!=(Oa|0));cb=cb+1|0;if((cb|0)==(Pa|0))break;else{ab=ab+(z<<3)|0;bb=bb+(x<<3)|0}}break}default:{f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;WD(-5,g,256209,256138,120)}}break}default:{}}while(0);g=l+36|0;bb=f[g>>2]|0;if(bb|0?(ab=bb+12|0,bb=f[ab>>2]|0,f[ab>>2]=bb+-1,(bb|0)==1):0)aU(l);f[g>>2]=0;g=l+4|0;f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;f[o+12>>2]=0;if((f[g>>2]|0)>0){o=f[l+40>>2]|0;bb=0;do{f[o+(bb<<2)>>2]=0;bb=bb+1|0}while((bb|0)<(f[g>>2]|0))}g=f[l+44>>2]|0;if((g|0)!=(l+48|0))TC(g);g=k+36|0;l=f[g>>2]|0;if(l|0?(bb=l+12|0,l=f[bb>>2]|0,f[bb>>2]=l+-1,(l|0)==1):0)aU(k);f[g>>2]=0;g=k+4|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;if((f[g>>2]|0)>0){i=f[k+40>>2]|0;l=0;do{f[i+(l<<2)>>2]=0;l=l+1|0}while((l|0)<(f[g>>2]|0))}g=f[k+44>>2]|0;if((g|0)==(k+48|0)){u=e;return}TC(g);u=e;return}function _ea(a,c,d,e,g,i,j){a=a|0;c=c|0;d=+d;e=e|0;g=g|0;i=i|0;j=+j;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0;k=u;u=u+1072|0;l=k+1056|0;m=k+1e3|0;n=k+944|0;o=k+936|0;p=k;q=k+160|0;r=k+96|0;s=k+928|0;t=k+152|0;v=k+72|0;w=k+56|0;x=k+88|0;gV(l,54884);do if((qJ(a)|0)==65536){y=f[a+4>>2]|0;f[m>>2]=f[y>>2];z=m+4|0;A=y+4|0;f[z>>2]=f[A>>2];B=m+8|0;f[B>>2]=f[y+8>>2];f[m+12>>2]=f[y+12>>2];f[m+16>>2]=f[y+16>>2];f[m+20>>2]=f[y+20>>2];f[m+24>>2]=f[y+24>>2];f[m+28>>2]=f[y+28>>2];f[m+32>>2]=f[y+32>>2];C=f[y+36>>2]|0;f[m+36>>2]=C;f[m+40>>2]=B;B=m+48|0;D=m+44|0;f[D>>2]=B;f[B>>2]=0;f[m+52>>2]=0;if(C|0){B=C+12|0;f[B>>2]=(f[B>>2]|0)+1}if((f[A>>2]|0)<3){A=f[y+44>>2]|0;B=f[D>>2]|0;f[B>>2]=f[A>>2];f[B+4>>2]=f[A+4>>2];E=m;break}else{f[z>>2]=0;$T(m,y);E=m;break}}else{nJ(m,a,-1);E=m}while(0);if(f[E>>2]&4095|0){f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;a=cuc(32)|0;f[n>>2]=a;f[n+8>>2]=-2147483616;f[n+4>>2]=21;F=a;G=367838;H=F+21|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));b[a+21>>0]=0;WD(-215,n,256313,256138,1507)}if(!((i|0)>1&((i|0)%2|0|0)==1)){f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;a=cuc(48)|0;f[n>>2]=a;f[n+8>>2]=-2147483600;f[n+4>>2]=35;F=a;G=256331;H=F+35|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));b[a+35>>0]=0;WD(-215,n,256313,256138,1508)}a=m+40|0;y=f[a>>2]|0;z=f[y+4>>2]|0;A=f[y>>2]|0;f[o>>2]=z;f[o+4>>2]=A;IJ(c,o,0,-1,0,0);do if((qJ(c)|0)==65536){o=f[c+4>>2]|0;f[n>>2]=f[o>>2];y=n+4|0;B=o+4|0;f[y>>2]=f[B>>2];D=n+8|0;f[D>>2]=f[o+8>>2];f[n+12>>2]=f[o+12>>2];f[n+16>>2]=f[o+16>>2];f[n+20>>2]=f[o+20>>2];f[n+24>>2]=f[o+24>>2];f[n+28>>2]=f[o+28>>2];f[n+32>>2]=f[o+32>>2];C=f[o+36>>2]|0;f[n+36>>2]=C;f[n+40>>2]=D;D=n+48|0;I=n+44|0;f[I>>2]=D;f[D>>2]=0;f[n+52>>2]=0;if(C|0){D=C+12|0;f[D>>2]=(f[D>>2]|0)+1}if((f[B>>2]|0)<3){B=f[o+44>>2]|0;D=f[I>>2]|0;f[D>>2]=f[B>>2];f[D+4>>2]=f[B+4>>2];break}else{f[y>>2]=0;$T(n,o);break}}else nJ(n,c,-1);while(0);if(!(d<0.0)){c=m+16|0;o=n+16|0;f[p>>2]=1124007936;y=p+4|0;B=p+8|0;D=p+40|0;F=y;H=F+36|0;do{f[F>>2]=0;F=F+4|0}while((F|0)<(H|0));f[D>>2]=B;I=p+48|0;C=p+44|0;f[C>>2]=I;f[I>>2]=0;f[p+52>>2]=0;if((f[c>>2]|0)!=(f[o>>2]|0)){J=n+36|0;K=f[J>>2]|0;if(K){L=K+12|0;f[L>>2]=(f[L>>2]|0)+1;L=p+36|0;K=f[L>>2]|0;if((K|0)!=0?(M=K+12|0,K=f[M>>2]|0,f[M>>2]=K+-1,(K|0)==1):0){aU(p);N=L}else N=L}else N=p+36|0;f[N>>2]=0;L=p+16|0;f[L>>2]=0;f[L+4>>2]=0;f[L+8>>2]=0;f[L+12>>2]=0;if((f[y>>2]|0)>0){K=f[D>>2]|0;M=0;do{f[K+(M<<2)>>2]=0;M=M+1|0;O=f[y>>2]|0}while((M|0)<(O|0));f[p>>2]=f[n>>2];if((O|0)<3)P=32;else P=34}else{f[p>>2]=f[n>>2];P=32}if((P|0)==32){O=f[n+4>>2]|0;if((O|0)<3){f[y>>2]=O;f[B>>2]=f[n+8>>2];f[p+12>>2]=f[n+12>>2];B=f[n+44>>2]|0;O=f[C>>2]|0;f[O>>2]=f[B>>2];f[O+4>>2]=f[B+4>>2]}else P=34}if((P|0)==34)$T(p,n);f[L>>2]=f[o>>2];f[p+20>>2]=f[n+20>>2];f[p+24>>2]=f[n+24>>2];f[p+28>>2]=f[n+28>>2];f[p+32>>2]=f[n+32>>2];f[N>>2]=f[J>>2]}switch(e|0){case 0:{f[q+8>>2]=0;f[q+12>>2]=0;f[q>>2]=16842752;f[q+4>>2]=m;e=r+8|0;f[e>>2]=0;f[e+4>>2]=0;f[r>>2]=33619968;f[r+4>>2]=p;e=f[E>>2]&4095;f[s>>2]=i;f[s+4>>2]=i;f[t>>2]=-1;f[t+4>>2]=-1;Tka(q,r,e,s,t,1,17);break}case 1:{f[q>>2]=1124007936;t=q+4|0;s=q+8|0;e=q+40|0;F=t;H=F+36|0;do{f[F>>2]=0;F=F+4|0}while((F|0)<(H|0));f[e>>2]=s;J=q+48|0;N=q+44|0;f[N>>2]=J;f[J>>2]=0;f[q+52>>2]=0;f[r>>2]=1124007936;L=r+4|0;B=r+8|0;O=r+40|0;F=L;H=F+36|0;do{f[F>>2]=0;F=F+4|0}while((F|0)<(H|0));f[O>>2]=B;M=r+48|0;K=r+44|0;f[K>>2]=M;f[M>>2]=0;f[r+52>>2]=0;Q=v+8|0;f[Q>>2]=0;f[Q+4>>2]=0;f[v>>2]=33619968;f[v+4>>2]=q;kQ(m,v,5,1.0,0.0);Q=q+36|0;R=f[Q>>2]|0;if(R|0){S=R+12|0;f[S>>2]=(f[S>>2]|0)+1}S=r+36|0;R=f[S>>2]|0;if(R|0?(T=R+12|0,R=f[T>>2]|0,f[T>>2]=R+-1,(R|0)==1):0)aU(r);f[S>>2]=0;R=r+16|0;f[R>>2]=0;f[R+4>>2]=0;f[R+8>>2]=0;f[R+12>>2]=0;if((f[L>>2]|0)>0){T=f[O>>2]|0;U=0;do{f[T+(U<<2)>>2]=0;U=U+1|0;V=f[L>>2]|0}while((U|0)<(V|0));f[r>>2]=f[q>>2];if((V|0)<3)P=48;else P=50}else{f[r>>2]=f[q>>2];P=48}if((P|0)==48){V=f[t>>2]|0;if((V|0)<3){f[L>>2]=V;f[B>>2]=f[s>>2];f[r+12>>2]=f[q+12>>2];s=f[N>>2]|0;B=f[K>>2]|0;f[B>>2]=f[s>>2];f[B+4>>2]=f[s+4>>2]}else P=50}if((P|0)==50)$T(r,q);s=q+16|0;f[R>>2]=f[s>>2];f[r+20>>2]=f[q+20>>2];f[r+24>>2]=f[q+24>>2];f[r+28>>2]=f[q+28>>2];f[r+32>>2]=f[q+32>>2];f[S>>2]=f[Q>>2];f[v+8>>2]=0;f[v+12>>2]=0;f[v>>2]=16842752;f[v+4>>2]=q;B=w+8|0;f[B>>2]=0;f[B+4>>2]=0;f[w>>2]=33619968;f[w+4>>2]=r;f[x>>2]=i;f[x+4>>2]=i;Ala(v,w,x,0.0,0.0,17);x=v+8|0;f[x>>2]=0;f[x+4>>2]=0;f[v>>2]=33619968;f[v+4>>2]=p;kQ(r,v,f[E>>2]&4095,1.0,0.0);v=f[S>>2]|0;if(v|0?(x=v+12|0,v=f[x>>2]|0,f[x>>2]=v+-1,(v|0)==1):0)aU(r);f[S>>2]=0;f[R>>2]=0;f[R+4>>2]=0;f[R+8>>2]=0;f[R+12>>2]=0;if((f[L>>2]|0)>0){R=f[O>>2]|0;O=0;do{f[R+(O<<2)>>2]=0;O=O+1|0}while((O|0)<(f[L>>2]|0))}L=f[K>>2]|0;if((L|0)!=(M|0))TC(L);L=f[Q>>2]|0;if(L|0?(M=L+12|0,L=f[M>>2]|0,f[M>>2]=L+-1,(L|0)==1):0)aU(q);f[Q>>2]=0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;if((f[t>>2]|0)>0){s=f[e>>2]|0;e=0;do{f[s+(e<<2)>>2]=0;e=e+1|0}while((e|0)<(f[t>>2]|0))}t=f[N>>2]|0;if((t|0)!=(J|0))TC(t);break}default:{f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;t=cuc(48)|0;f[q>>2]=t;f[q+8>>2]=-2147483600;f[q+4>>2]=45;F=t;G=256367;H=F+45|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));b[t+45>>0]=0;WD(-206,q,256313,256138,1540)}}t=Fhc(d)|0;J=(t>>>0<256?t:(t|0)>0?255:0)&255;t=~~j;d=+(t|0);if(!g){N=0-(t+(d<j&1))|0;e=0;do{b[q+e>>0]=(e+-255|0)>(N|0)?J:0;e=e+1|0}while((e|0)!=768);W=q}else{if((g|0)!=1){f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;g=cuc(48)|0;f[r>>2]=g;f[r+8>>2]=-2147483600;f[r+4>>2]=34;F=g;G=256413;H=F+34|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));b[g+34>>0]=0;WD(-206,r,256313,256138,1554)}r=(d>j&1)-t|0;t=0;do{b[q+t>>0]=(t+-255|0)<=(r|0)?J:0;t=t+1|0}while((t|0)!=768);W=q}if((f[E>>2]&16384|0)!=0?(f[p>>2]&16384|0)!=0:0){E=(f[n>>2]&16384|0)!=0;W=Y(E?A:1,z)|0;if(E){X=W;Z=1;P=80}else{_=W;P=79}}else{_=z;P=79}if((P|0)==79?(A|0)>0:0){X=_;Z=A;P=80}if((P|0)==80?(P=m+44|0,A=p+16|0,_=n+44|0,(X|0)>0):0){z=0;do{W=(f[c>>2]|0)+(Y(f[f[P>>2]>>2]|0,z)|0)|0;E=(f[A>>2]|0)+(Y(f[f[C>>2]>>2]|0,z)|0)|0;t=(f[o>>2]|0)+(Y(f[f[_>>2]>>2]|0,z)|0)|0;J=0;do{b[t+J>>0]=b[q+((h[W+J>>0]|0)+255-(h[E+J>>0]|0))>>0]|0;J=J+1|0}while((J|0)!=(X|0));z=z+1|0}while((z|0)!=(Z|0))}Z=p+36|0;z=f[Z>>2]|0;if(z|0?(X=z+12|0,z=f[X>>2]|0,f[X>>2]=z+-1,(z|0)==1):0)aU(p);f[Z>>2]=0;Z=p+16|0;f[Z>>2]=0;f[Z+4>>2]=0;f[Z+8>>2]=0;f[Z+12>>2]=0;if((f[y>>2]|0)>0){Z=f[D>>2]|0;D=0;do{f[Z+(D<<2)>>2]=0;D=D+1|0}while((D|0)<(f[y>>2]|0))}y=f[C>>2]|0;if((y|0)!=(I|0))TC(y)}else{f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;f[p+12>>2]=0;f[p+16>>2]=0;f[p+20>>2]=0;f[p+24>>2]=0;f[p+28>>2]=0;GI(n,p)|0}p=n+36|0;y=f[p>>2]|0;if(y|0?(I=y+12|0,y=f[I>>2]|0,f[I>>2]=y+-1,(y|0)==1):0)aU(n);f[p>>2]=0;p=n+16|0;y=n+4|0;f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;f[p+12>>2]=0;if((f[y>>2]|0)>0){p=f[n+40>>2]|0;I=0;do{f[p+(I<<2)>>2]=0;I=I+1|0}while((I|0)<(f[y>>2]|0))}y=f[n+44>>2]|0;if((y|0)!=(n+48|0))TC(y);y=m+36|0;n=f[y>>2]|0;if(n|0?(I=n+12|0,n=f[I>>2]|0,f[I>>2]=n+-1,(n|0)==1):0)aU(m);f[y>>2]=0;y=m+16|0;n=m+4|0;f[y>>2]=0;f[y+4>>2]=0;f[y+8>>2]=0;f[y+12>>2]=0;if((f[n>>2]|0)>0){y=f[a>>2]|0;a=0;do{f[y+(a<<2)>>2]=0;a=a+1|0}while((a|0)<(f[n>>2]|0))}n=f[m+44>>2]|0;if((n|0)!=(m+48|0))TC(n);if(!(f[l+4>>2]|0)){u=k;return}u=k;return}function $ea(a,c,d,e,g){a=a|0;c=c|0;d=+d;e=+e;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0.0;h=u;u=u+208|0;i=h+144|0;j=h+88|0;k=h+32|0;l=h+16|0;m=h;tK(i,a,0,1,0,0);tK(j,c,0,1,0,0);f[k>>2]=f[j>>2];c=k+4|0;a=j+4|0;n=f[a>>2]|0;f[c>>2]=n;o=k+8|0;f[o>>2]=f[j+8>>2];f[k+12>>2]=f[j+12>>2];p=k+16|0;q=j+16|0;f[p>>2]=f[q>>2];f[k+20>>2]=f[j+20>>2];f[k+24>>2]=f[j+24>>2];f[k+28>>2]=f[j+28>>2];f[k+32>>2]=f[j+32>>2];r=k+36|0;s=j+36|0;t=f[s>>2]|0;f[r>>2]=t;v=k+40|0;f[v>>2]=o;o=k+48|0;w=k+44|0;f[w>>2]=o;f[o>>2]=0;f[k+52>>2]=0;if(!t)x=n;else{n=t+12|0;f[n>>2]=(f[n>>2]|0)+1;x=f[a>>2]|0}if((x|0)<3){x=f[j+44>>2]|0;n=f[w>>2]|0;f[n>>2]=f[x>>2];f[n+4>>2]=f[x+4>>2]}else{f[c>>2]=0;$T(k,j)}x=i+40|0;n=f[x>>2]|0;t=f[n+-4>>2]|0;y=j+40|0;z=f[y>>2]|0;a:do if((t|0)==(f[z+-4>>2]|0)){if((t|0)==2){if((f[n>>2]|0)!=(f[z>>2]|0))break;if((f[n+4>>2]|0)!=(f[z+4>>2]|0))break}else if((t|0)>0){A=0;do{if((f[n+(A<<2)>>2]|0)!=(f[z+(A<<2)>>2]|0))break a;A=A+1|0}while((A|0)<(t|0))}A=f[i>>2]|0;B=f[j>>2]|0;if(((B^A)&4088|0)==0?(C=B&7,(A&7|0)==(C|0)|(C|0)==0):0){f[l+8>>2]=0;f[l+12>>2]=0;f[l>>2]=16842752;f[l+4>>2]=i;C=m+8|0;f[C>>2]=0;f[C+4>>2]=0;f[m>>2]=33619968;f[m+4>>2]=j;D=+Vea(l,m,d,e,g);if((f[p>>2]|0)!=(f[q>>2]|0)){C=l+8|0;f[C>>2]=0;f[C+4>>2]=0;f[l>>2]=33619968;f[l+4>>2]=k;kQ(j,l,f[k>>2]&7,1.0,0.0)}C=f[r>>2]|0;if(C|0?(A=C+12|0,C=f[A>>2]|0,f[A>>2]=C+-1,(C|0)==1):0)aU(k);f[r>>2]=0;f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;f[p+12>>2]=0;if((f[c>>2]|0)>0){C=f[v>>2]|0;A=0;do{f[C+(A<<2)>>2]=0;A=A+1|0}while((A|0)<(f[c>>2]|0))}A=f[w>>2]|0;if((A|0)!=(o|0))TC(A);A=f[s>>2]|0;if(A|0?(C=A+12|0,A=f[C>>2]|0,f[C>>2]=A+-1,(A|0)==1):0)aU(j);f[s>>2]=0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;f[q+12>>2]=0;if((f[a>>2]|0)>0){A=f[y>>2]|0;C=0;do{f[A+(C<<2)>>2]=0;C=C+1|0}while((C|0)<(f[a>>2]|0))}C=f[j+44>>2]|0;if((C|0)!=(j+48|0))TC(C);C=i+36|0;A=f[C>>2]|0;if(A|0?(B=A+12|0,A=f[B>>2]|0,f[B>>2]=A+-1,(A|0)==1):0)aU(i);f[C>>2]=0;C=i+16|0;A=i+4|0;f[C>>2]=0;f[C+4>>2]=0;f[C+8>>2]=0;f[C+12>>2]=0;if((f[A>>2]|0)>0){C=f[x>>2]|0;B=0;do{f[C+(B<<2)>>2]=0;B=B+1|0}while((B|0)<(f[A>>2]|0))}A=f[i+44>>2]|0;if((A|0)==(i+48|0)){u=h;return +D}TC(A);u=h;return +D}}while(0);f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;h=cuc(128)|0;f[l>>2]=h;f[l+8>>2]=-2147483520;f[l+4>>2]=112;i=h;x=256531;j=i+112|0;do{b[i>>0]=b[x>>0]|0;i=i+1|0;x=x+1|0}while((i|0)<(j|0));b[h+112>>0]=0;WD(-215,l,256644,256138,1579);return +(0.0)}function afa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0.0,J=0.0,K=0.0;e=u;u=u+80|0;g=e+72|0;h=e+16|0;i=e+4|0;j=e;gV(g,54904);do if((qJ(a)|0)==65536){k=f[a+4>>2]|0;f[h>>2]=f[k>>2];l=h+4|0;m=k+4|0;f[l>>2]=f[m>>2];o=h+8|0;f[o>>2]=f[k+8>>2];f[h+12>>2]=f[k+12>>2];f[h+16>>2]=f[k+16>>2];f[h+20>>2]=f[k+20>>2];f[h+24>>2]=f[k+24>>2];f[h+28>>2]=f[k+28>>2];f[h+32>>2]=f[k+32>>2];p=f[k+36>>2]|0;f[h+36>>2]=p;f[h+40>>2]=o;o=h+48|0;q=h+44|0;f[q>>2]=o;f[o>>2]=0;f[h+52>>2]=0;if(p|0){o=p+12|0;f[o>>2]=(f[o>>2]|0)+1}if((f[m>>2]|0)<3){m=f[k+44>>2]|0;o=f[q>>2]|0;f[o>>2]=f[m>>2];f[o+4>>2]=f[m+4>>2];break}else{f[l>>2]=0;$T(h,k);break}}else nJ(h,a,-1);while(0);a=qU(h,2,-1,1)|0;k=f[h>>2]&7;if((a|0)<=-1){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;r=cuc(64)|0;f[i>>2]=r;t=i+8|0;f[t>>2]=-2147483584;v=i+4|0;f[v>>2]=50;w=r;x=256656;y=w+50|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));z=r+50|0;b[z>>0]=0;WD(-215,i,256707,256726,158)}l=(k|0)==5;if((k|1|0)!=5){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;r=cuc(64)|0;f[i>>2]=r;t=i+8|0;f[t>>2]=-2147483584;v=i+4|0;f[v>>2]=50;w=r;x=256656;y=w+50|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));z=r+50|0;b[z>>0]=0;WD(-215,i,256707,256726,158)}z=c+4|0;n[z>>2]=0.0;n[c>>2]=0.0;n[d>>2]=0.0;a:do if(a|0){r=f[h+16>>2]|0;switch(a|0){case 1:{x=f[r>>2]|0;if(l){A=x;B=f[r+4>>2]|0}else{w=(n[s>>2]=+(x|0),f[s>>2]|0);A=w;B=(n[s>>2]=+(f[r+4>>2]|0),f[s>>2]|0)}f[c>>2]=A;f[z>>2]=B;n[d>>2]=9.999999747378752e-05;break a;break}case 2:{if(l){C=+n[r>>2];D=+n[r+12>>2];E=+n[r+4>>2];F=+n[r+8>>2]}else{C=+(f[r>>2]|0);D=+(f[r+12>>2]|0);E=+(f[r+4>>2]|0);F=+(f[r+8>>2]|0)}n[c>>2]=(C+F)*.5;n[z>>2]=(E+D)*.5;G=C-F;H=E-D;I=+M(+(H*H+G*G))*.5+9.999999747378752e-05;n[d>>2]=I;break a;break}default:{n[i>>2]=0.0;w=i+4|0;n[w>>2]=0.0;n[j>>2]=0.0;b:do if(l){I=+n[r+8>>2];G=(+n[r>>2]+I)*.5;n[i>>2]=G;x=r+4|0;H=+n[r+12>>2];J=(+n[x>>2]+H)*.5;n[w>>2]=J;K=+n[r>>2]-I;I=+n[x>>2]-H;H=+M(+(K*K+I*I))*.5+9.999999747378752e-05;n[j>>2]=H;x=2;I=G;G=J;J=H;while(1){H=+n[r+(x<<3)>>2]-I;K=+n[r+(x<<3)+4>>2]-G;if(!(+M(+(H*H+K*K))<J))bfa(r,x,i,j);y=x+1|0;if((y|0)==(a|0))break b;x=y;I=+n[i>>2];G=+n[w>>2];J=+n[j>>2]}}else{x=f[r>>2]|0;y=f[r+8>>2]|0;J=+(y+x|0)*.5;n[i>>2]=J;v=f[r+4>>2]|0;t=f[r+12>>2]|0;G=+(t+v|0)*.5;n[w>>2]=G;I=+(x-y|0);K=+(v-t|0);H=+M(+(I*I+K*K))*.5+9.999999747378752e-05;n[j>>2]=H;t=2;K=J;J=G;G=H;while(1){H=+(f[r+(t<<3)>>2]|0)-K;I=+(f[r+(t<<3)+4>>2]|0)-J;if(!(+M(+(H*H+I*I))<G))cfa(r,t,i,j);v=t+1|0;if((v|0)==(a|0))break b;t=v;K=+n[i>>2];J=+n[w>>2];G=+n[j>>2]}}while(0);f[c>>2]=f[i>>2];f[z>>2]=f[w>>2];f[d>>2]=f[j>>2];break a}}}while(0);j=h+36|0;d=f[j>>2]|0;if(d|0?(z=d+12|0,d=f[z>>2]|0,f[z>>2]=d+-1,(d|0)==1):0)aU(h);f[j>>2]=0;j=h+16|0;d=h+4|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;if((f[d>>2]|0)>0){j=f[h+40>>2]|0;z=0;do{f[j+(z<<2)>>2]=0;z=z+1|0}while((z|0)<(f[d>>2]|0))}d=f[h+44>>2]|0;if((d|0)!=(h+48|0))TC(d);if(!(f[g+4>>2]|0)){u=e;return}u=e;return}function bfa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0.0,j=0.0,k=0.0,l=0,m=0.0,o=0,p=0.0,q=0.0,r=0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0;e=a+(b<<3)|0;n[c>>2]=(+n[a>>2]+ +n[e>>2])*.5;f=a+4|0;g=a+(b<<3)+4|0;h=c+4|0;n[h>>2]=(+n[f>>2]+ +n[g>>2])*.5;i=+n[a>>2]-+n[e>>2];j=+n[f>>2]-+n[g>>2];k=+M(+(i*i+j*j))*.5+9.999999747378752e-05;n[d>>2]=k;if((b|0)>1){l=1;m=k}else return;while(1){f=a+(l<<3)|0;k=+n[f>>2];o=a+(l<<3)+4|0;j=+n[o>>2];i=+n[c>>2]-k;p=+n[h>>2]-j;if(+M(+(i*i+p*p))<m)q=m;else{n[c>>2]=(k+ +n[e>>2])*.5;n[h>>2]=(j+ +n[g>>2])*.5;j=+n[f>>2]-+n[e>>2];k=+n[o>>2]-+n[g>>2];p=+M(+(j*j+k*k))*.5+9.999999747378752e-05;n[d>>2]=p;r=0;k=p;while(1){p=+n[a+(r<<3)>>2];j=+n[a+(r<<3)+4>>2];i=+n[c>>2]-p;s=+n[h>>2]-j;if(+M(+(i*i+s*s))<k)t=k;else{s=+n[e>>2];i=+n[g>>2];u=+n[f>>2];v=+n[o>>2];w=u-s;x=v-i;y=p-s;z=j-i;A=w*((s+u)*.5)+x*((i+v)*.5);v=y*((p+s)*.5)+z*((j+i)*.5);j=z*w-y*x;p=(z*A-x*v)/j;x=(w*v-y*A)/j;n[c>>2]=p;n[h>>2]=x;j=p-s;s=x-i;i=+M(+(j*j+s*s))+9.999999747378752e-05;n[d>>2]=i;t=i}r=r+1|0;if((r|0)==(l|0)){q=t;break}else k=t}}l=l+1|0;if((l|0)==(b|0))break;else m=q}return}function cfa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0.0,l=0.0,m=0.0,o=0.0,p=0,q=0.0,r=0.0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0;e=f[a>>2]|0;g=f[a+(b<<3)>>2]|0;n[c>>2]=+(g+e|0)*.5;h=f[a+4>>2]|0;i=f[a+(b<<3)+4>>2]|0;j=c+4|0;n[j>>2]=+(i+h|0)*.5;k=+(e-g|0);l=+(h-i|0);m=+M(+(k*k+l*l))*.5+9.999999747378752e-05;n[d>>2]=m;if((b|0)<=1)return;l=+(g|0);k=+(i|0);h=1;o=m;while(1){e=f[a+(h<<3)>>2]|0;m=+(e|0);p=f[a+(h<<3)+4>>2]|0;q=+(p|0);r=+n[c>>2]-m;s=+n[j>>2]-q;if(+M(+(r*r+s*s))<o)t=o;else{n[c>>2]=+(g+e|0)*.5;n[j>>2]=+(i+p|0)*.5;s=+(e-g|0);r=+(p-i|0);u=+M(+(s*s+r*r))*.5+9.999999747378752e-05;n[d>>2]=u;r=m-l;s=q-k;v=r*((m+l)*.5)+s*((q+k)*.5);p=0;q=u;while(1){u=+(f[a+(p<<3)>>2]|0);m=+(f[a+(p<<3)+4>>2]|0);w=+n[c>>2]-u;x=+n[j>>2]-m;if(+M(+(w*w+x*x))<q)y=q;else{x=u-l;w=m-k;z=x*((l+u)*.5)+w*((k+m)*.5);m=r*w-s*x;u=(v*w-s*z)/m;w=(r*z-v*x)/m;n[c>>2]=u;n[j>>2]=w;m=u-l;u=w-k;w=+M(+(m*m+u*u))+9.999999747378752e-05;n[d>>2]=w;y=w}p=p+1|0;if((p|0)==(h|0)){t=y;break}else q=y}}h=h+1|0;if((h|0)==(b|0))break;else o=t}return}function dfa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,t=0,v=0,w=0,x=0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0,D=0.0,E=0.0;d=u;u=u+80|0;e=d+72|0;g=d+16|0;h=d;gV(e,54924);do if((qJ(a)|0)==65536){i=f[a+4>>2]|0;f[g>>2]=f[i>>2];j=g+4|0;k=i+4|0;f[j>>2]=f[k>>2];l=g+8|0;f[l>>2]=f[i+8>>2];f[g+12>>2]=f[i+12>>2];f[g+16>>2]=f[i+16>>2];f[g+20>>2]=f[i+20>>2];f[g+24>>2]=f[i+24>>2];f[g+28>>2]=f[i+28>>2];f[g+32>>2]=f[i+32>>2];m=f[i+36>>2]|0;f[g+36>>2]=m;f[g+40>>2]=l;l=g+48|0;o=g+44|0;f[o>>2]=l;f[l>>2]=0;f[g+52>>2]=0;if(m|0){l=m+12|0;f[l>>2]=(f[l>>2]|0)+1}if((f[k>>2]|0)<3){k=f[i+44>>2]|0;l=f[o>>2]|0;f[l>>2]=f[k>>2];f[l+4>>2]=f[k+4>>2];break}else{f[j>>2]=0;$T(g,i);break}}else nJ(g,a,-1);while(0);a=qU(g,2,-1,1)|0;i=f[g>>2]&7;if((a|0)<=-1){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;p=cuc(64)|0;f[h>>2]=p;q=h+8|0;f[q>>2]=-2147483584;r=h+4|0;f[r>>2]=50;t=p;v=256656;w=t+50|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));x=p+50|0;b[x>>0]=0;WD(-215,h,256861,256726,237)}j=(i|0)==5;if((i|1|0)!=5){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;p=cuc(64)|0;f[h>>2]=p;q=h+8|0;f[q>>2]=-2147483584;r=h+4|0;f[r>>2]=50;t=p;v=256656;w=t+50|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));x=p+50|0;b[x>>0]=0;WD(-215,h,256861,256726,237)}if((a|0)>=2){h=c?a+-1|0:0;c=f[g+16>>2]|0;if(j){y=0.0;j=0;x=f[c+(h<<3)>>2]|0;p=f[c+(h<<3)+4>>2]|0;while(1){v=x;x=f[c+(j<<3)>>2]|0;z=(f[s>>2]=x,+n[s>>2]);t=p;p=f[c+(j<<3)+4>>2]|0;A=(f[s>>2]=p,+n[s>>2]);B=z-(f[s>>2]=v,+n[s>>2]);z=A-(f[s>>2]=t,+n[s>>2]);A=y+ +M(+(z*z+B*B));j=j+1|0;if((j|0)==(a|0)){C=A;break}else y=A}}else{y=0.0;j=0;A=+(f[c+(h<<3)>>2]|0);B=+(f[c+(h<<3)+4>>2]|0);while(1){z=A;A=+(f[c+(j<<3)>>2]|0);D=B;B=+(f[c+(j<<3)+4>>2]|0);E=A-z;z=B-D;D=y+ +M(+(z*z+E*E));j=j+1|0;if((j|0)==(a|0)){C=D;break}else y=D}}}else C=0.0;a=g+36|0;j=f[a>>2]|0;if(j|0?(c=j+12|0,j=f[c>>2]|0,f[c>>2]=j+-1,(j|0)==1):0)aU(g);f[a>>2]=0;a=g+16|0;j=g+4|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;if((f[j>>2]|0)>0){a=f[g+40>>2]|0;c=0;do{f[a+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[j>>2]|0))}j=f[g+44>>2]|0;if((j|0)!=(g+48|0))TC(j);if(!(f[e+4>>2]|0)){u=d;return +C}u=d;return +C}function efa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,t=0,v=0,w=0,x=0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0,D=0.0,E=0.0,F=0.0;d=u;u=u+80|0;e=d+72|0;g=d+16|0;h=d;gV(e,54944);do if((qJ(a)|0)==65536){i=f[a+4>>2]|0;f[g>>2]=f[i>>2];j=g+4|0;k=i+4|0;f[j>>2]=f[k>>2];l=g+8|0;f[l>>2]=f[i+8>>2];f[g+12>>2]=f[i+12>>2];f[g+16>>2]=f[i+16>>2];f[g+20>>2]=f[i+20>>2];f[g+24>>2]=f[i+24>>2];f[g+28>>2]=f[i+28>>2];f[g+32>>2]=f[i+32>>2];m=f[i+36>>2]|0;f[g+36>>2]=m;f[g+40>>2]=l;l=g+48|0;o=g+44|0;f[o>>2]=l;f[l>>2]=0;f[g+52>>2]=0;if(m|0){l=m+12|0;f[l>>2]=(f[l>>2]|0)+1}if((f[k>>2]|0)<3){k=f[i+44>>2]|0;l=f[o>>2]|0;f[l>>2]=f[k>>2];f[l+4>>2]=f[k+4>>2];break}else{f[j>>2]=0;$T(g,i);break}}else nJ(g,a,-1);while(0);a=qU(g,2,-1,1)|0;i=f[g>>2]&7;if((a|0)<=-1){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;p=cuc(64)|0;f[h>>2]=p;q=h+8|0;f[q>>2]=-2147483584;r=h+4|0;f[r>>2]=52;t=p;v=256910;w=t+52|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));x=p+52|0;b[x>>0]=0;WD(-215,h,256963,256726,272)}j=(i|0)==5;if((i|1|0)!=5){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;p=cuc(64)|0;f[h>>2]=p;q=h+8|0;f[q>>2]=-2147483584;r=h+4|0;f[r>>2]=52;t=p;v=256910;w=t+52|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));x=p+52|0;b[x>>0]=0;WD(-215,h,256963,256726,272)}if(a){h=f[g+16>>2]|0;x=a+-1|0;if(j){y=0.0;j=0;p=f[h+(x<<3)+4>>2]|0;z=+n[h+(x<<3)>>2];while(1){A=z;z=+n[h+(j<<3)>>2];v=p;p=f[h+(j<<3)+4>>2]|0;B=A*(f[s>>2]=p,+n[s>>2]);A=y+(B-(f[s>>2]=v,+n[s>>2])*z);j=j+1|0;if((j|0)==(a|0)){C=A;break}else y=A}}else{y=0.0;j=0;z=+(f[h+(x<<3)>>2]|0);A=+(f[h+(x<<3)+4>>2]|0);while(1){B=z;z=+(f[h+(j<<3)>>2]|0);D=A;A=+(f[h+(j<<3)+4>>2]|0);E=y+(B*A-D*z);j=j+1|0;if((j|0)==(a|0)){C=E;break}else y=E}}y=C*.5;if(c)F=y;else F=+L(+y)}else F=0.0;c=g+36|0;a=f[c>>2]|0;if(a|0?(j=a+12|0,a=f[j>>2]|0,f[j>>2]=a+-1,(a|0)==1):0)aU(g);f[c>>2]=0;c=g+16|0;a=g+4|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[a>>2]|0)>0){c=f[g+40>>2]|0;j=0;do{f[c+(j<<2)>>2]=0;j=j+1|0}while((j|0)<(f[a>>2]|0))}a=f[g+44>>2]|0;if((a|0)!=(g+48|0))TC(a);if(!(f[e+4>>2]|0)){u=d;return +F}u=d;return +F}function ffa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,N=0,O=0,Q=0,R=0,S=0,T=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0.0,pa=0.0,qa=0.0,ra=0.0,sa=0.0,ta=0.0,ua=0,va=0.0,wa=0.0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0.0,$a=0.0,ab=0.0,bb=0,cb=0.0,db=0.0;d=u;u=u+2592|0;e=d+2584|0;g=d+2528|0;h=d+2232|0;i=d+2192|0;j=d+1096|0;k=d;l=d+2472|0;m=d+2416|0;o=d+2360|0;q=d+2304|0;r=d+2288|0;s=d+2272|0;gV(e,54964);do if((qJ(c)|0)==65536){t=f[c+4>>2]|0;f[g>>2]=f[t>>2];v=g+4|0;w=t+4|0;f[v>>2]=f[w>>2];x=g+8|0;f[x>>2]=f[t+8>>2];f[g+12>>2]=f[t+12>>2];f[g+16>>2]=f[t+16>>2];f[g+20>>2]=f[t+20>>2];f[g+24>>2]=f[t+24>>2];f[g+28>>2]=f[t+28>>2];f[g+32>>2]=f[t+32>>2];y=f[t+36>>2]|0;f[g+36>>2]=y;f[g+40>>2]=x;x=g+48|0;z=g+44|0;f[z>>2]=x;f[x>>2]=0;f[g+52>>2]=0;if(y|0){x=y+12|0;f[x>>2]=(f[x>>2]|0)+1}if((f[w>>2]|0)<3){w=f[t+44>>2]|0;x=f[z>>2]|0;f[x>>2]=f[w>>2];f[x+4>>2]=f[w+4>>2];break}else{f[v>>2]=0;$T(g,t);break}}else nJ(g,c,-1);while(0);c=qU(g,2,-1,1)|0;t=f[g>>2]&7;if((c|0)<=-1){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;A=cuc(48)|0;f[h>>2]=A;B=h+8|0;f[B>>2]=-2147483600;C=h+4|0;f[C>>2]=46;D=A;E=257016;F=D+46|0;do{b[D>>0]=b[E>>0]|0;D=D+1|0;E=E+1|0}while((D|0)<(F|0));G=A+46|0;b[G>>0]=0;WD(-215,h,257063,256726,305)}v=(t|0)==5;if((t|1|0)!=5){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;A=cuc(48)|0;f[h>>2]=A;B=h+8|0;f[B>>2]=-2147483600;C=h+4|0;f[C>>2]=46;D=A;E=257016;F=D+46|0;do{b[D>>0]=b[E>>0]|0;D=D+1|0;E=E+1|0}while((D|0)<(F|0));G=A+46|0;b[G>>0]=0;WD(-215,h,257063,256726,305)};f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;f[a+16>>2]=0;if((c|0)<5){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;G=cuc(64)|0;f[h>>2]=G;f[h+8>>2]=-2147483584;f[h+4>>2]=52;D=G;E=257074;F=D+52|0;do{b[D>>0]=b[E>>0]|0;D=D+1|0;E=E+1|0}while((D|0)<(F|0));b[G+52>>0]=0;WD(-201,h,257063,256726,310)}D=h;F=D+40|0;do{f[D>>2]=0;D=D+4|0}while((D|0)<(F|0));D=i;F=D+40|0;do{f[D>>2]=0;D=D+4|0}while((D|0)<(F|0));D=g+16|0;F=f[D>>2]|0;G=g+44|0;E=c*5|0;A=j+8|0;f[j>>2]=A;C=j+4|0;f[C>>2]=E;if(E>>>0>136){B=euc(E>>>0>536870911?-1:E<<3)|0;f[j>>2]=B;H=B}else H=A;B=k+8|0;f[k>>2]=B;t=k+4|0;f[t>>2]=c;if(c>>>0>136){w=euc(c>>>0>536870911?-1:c<<3)|0;f[k>>2]=w;I=w}else I=B;f[l>>2]=1124007942;w=l+4|0;f[w>>2]=2;x=l+8|0;f[x>>2]=c;z=l+12|0;f[z>>2]=5;y=l+16|0;f[y>>2]=H;J=l+20|0;f[J>>2]=H;K=l+24|0;N=l+28|0;O=l+40|0;Q=K+8|0;f[Q>>2]=0;f[Q+4>>2]=0;f[O>>2]=x;Q=l+48|0;R=l+44|0;f[R>>2]=Q;f[Q>>2]=40;f[l+52>>2]=8;S=H+(E<<3)|0;f[N>>2]=S;f[K>>2]=S+-40+40;YT(l);f[m>>2]=1124007942;S=m+4|0;f[S>>2]=2;E=m+8|0;f[E>>2]=c;T=m+12|0;f[T>>2]=1;V=m+16|0;f[V>>2]=I;W=m+20|0;f[W>>2]=I;X=m+24|0;Y=m+28|0;Z=m+40|0;_=X+8|0;f[_>>2]=0;f[_+4>>2]=0;f[Z>>2]=E;_=m+48|0;$=m+44|0;f[$>>2]=_;f[_>>2]=8;f[m+52>>2]=8;aa=I+(c<<3)|0;f[Y>>2]=aa;ba=aa+-8+8|0;f[X>>2]=ba;YT(m);f[o>>2]=1124007942;ca=o+4|0;f[ca>>2]=2;da=o+8|0;f[da>>2]=5;ea=o+12|0;f[ea>>2]=1;fa=o+16|0;f[fa>>2]=h;ga=o+20|0;f[ga>>2]=h;ha=o+24|0;ia=o+28|0;ja=o+40|0;ka=ha+8|0;f[ka>>2]=0;f[ka+4>>2]=0;f[ja>>2]=da;ka=o+48|0;la=o+44|0;f[la>>2]=ka;f[ka>>2]=8;f[o+52>>2]=8;f[ia>>2]=h+40;f[ha>>2]=h+40;YT(o);ma=(c|0)>0;if(ma){if(v){na=0;oa=0.0;pa=0.0;while(1){qa=oa+ +n[F+(na<<3)>>2];ra=pa+ +n[F+(na<<3)+4>>2];na=na+1|0;if((na|0)==(c|0)){sa=qa;ta=ra;break}else{oa=qa;pa=ra}}}else{na=0;pa=0.0;oa=0.0;while(1){ra=pa+ +(f[F+(na<<3)>>2]|0);qa=oa+ +(f[F+(na<<3)+4>>2]|0);na=na+1|0;if((na|0)==(c|0)){sa=ra;ta=qa;break}else{pa=ra;oa=qa}}}oa=+(c|0);pa=sa/oa;sa=ta/oa;if(ma)if(v){na=0;do{oa=+n[F+(na<<3)>>2]-pa;ta=+n[F+(na<<3)+4>>2]-sa;p[I+(na<<3)>>3]=1.0e4;qa=oa;ua=na*5|0;p[H+(ua<<3)>>3]=-(qa*qa);oa=ta;p[H+(ua+1<<3)>>3]=-(oa*oa);p[H+(ua+2<<3)>>3]=-(oa*qa);p[H+(ua+3<<3)>>3]=qa;p[H+(ua+4<<3)>>3]=oa;na=na+1|0}while((na|0)!=(c|0));va=pa;wa=sa}else{na=0;do{oa=+(f[F+(na<<3)>>2]|0)-pa;qa=+(f[F+(na<<3)+4>>2]|0)-sa;p[I+(na<<3)>>3]=1.0e4;ta=oa;ua=na*5|0;p[H+(ua<<3)>>3]=-(ta*ta);oa=qa;p[H+(ua+1<<3)>>3]=-(oa*oa);p[H+(ua+2<<3)>>3]=-(oa*ta);p[H+(ua+3<<3)>>3]=ta;p[H+(ua+4<<3)>>3]=oa;na=na+1|0}while((na|0)!=(c|0));va=pa;wa=sa}else{va=pa;wa=sa}}else{sa=+(c|0);va=0.0/sa;wa=0.0/sa}f[q+8>>2]=0;f[q+12>>2]=0;f[q>>2]=16842752;f[q+4>>2]=l;f[r+8>>2]=0;f[r+12>>2]=0;f[r>>2]=16842752;f[r+4>>2]=m;na=s+8|0;f[na>>2]=0;f[na+4>>2]=0;f[s>>2]=33619968;f[s+4>>2]=o;QD(q,r,s,1)|0;f[q>>2]=1124007942;na=q+4|0;f[na>>2]=2;ua=q+8|0;f[ua>>2]=2;xa=q+12|0;f[xa>>2]=2;ya=q+16|0;f[ya>>2]=H;za=q+20|0;f[za>>2]=H;Aa=q+24|0;Ba=q+28|0;Ca=q+40|0;Da=Aa+8|0;f[Da>>2]=0;f[Da+4>>2]=0;f[Ca>>2]=ua;Da=q+48|0;f[q+44>>2]=Da;f[Da>>2]=16;f[q+52>>2]=8;Ea=H+32|0;f[Ba>>2]=Ea;f[Aa>>2]=Ea;YT(q);Ea=l+36|0;Fa=f[Ea>>2]|0;if(Fa|0?(Ga=Fa+12|0,Fa=f[Ga>>2]|0,f[Ga>>2]=Fa+-1,(Fa|0)==1):0)aU(l);f[Ea>>2]=0;f[y>>2]=0;f[y+4>>2]=0;f[y+8>>2]=0;f[y+12>>2]=0;if((f[w>>2]|0)>0){Fa=f[O>>2]|0;Ga=0;do{f[Fa+(Ga<<2)>>2]=0;Ga=Ga+1|0}while((Ga|0)<(f[w>>2]|0))}f[l>>2]=f[q>>2];Ga=f[na>>2]|0;f[w>>2]=Ga;f[x>>2]=f[ua>>2];f[z>>2]=f[xa>>2];f[y>>2]=f[ya>>2];f[J>>2]=f[za>>2];f[K>>2]=f[Aa>>2];f[N>>2]=f[Ba>>2];Ba=l+32|0;f[Ba>>2]=f[q+32>>2];Aa=q+36|0;f[Ea>>2]=f[Aa>>2];za=l+44|0;xa=f[za>>2]|0;if((xa|0)==(Q|0))Ha=Ga;else{TC(xa);f[za>>2]=Q;f[O>>2]=x;Ha=f[na>>2]|0}xa=q+44|0;if((Ha|0)<3){Ha=f[xa>>2]|0;f[Q>>2]=f[Ha>>2];f[l+52>>2]=f[Ha+4>>2];Ia=Ha}else{f[za>>2]=f[xa>>2];f[l+40>>2]=f[Ca>>2];f[xa>>2]=Da;f[Ca>>2]=ua;Ia=Da}f[q>>2]=1124007936;f[na>>2]=0;f[na+4>>2]=0;f[na+8>>2]=0;f[na+12>>2]=0;f[na+16>>2]=0;f[na+20>>2]=0;f[na+24>>2]=0;f[na+28>>2]=0;f[Aa>>2]=0;f[ya>>2]=0;f[ya+4>>2]=0;f[ya+8>>2]=0;f[ya+12>>2]=0;if((Ia|0)!=(Da|0))TC(Ia);f[q>>2]=1124007942;Ia=q+4|0;f[Ia>>2]=2;Da=q+8|0;f[Da>>2]=2;ya=q+12|0;f[ya>>2]=1;Aa=q+16|0;f[Aa>>2]=I;na=q+20|0;f[na>>2]=I;ua=q+24|0;Ca=q+28|0;xa=q+40|0;Ha=ua+8|0;f[Ha>>2]=0;f[Ha+4>>2]=0;f[xa>>2]=Da;Ha=q+48|0;f[q+44>>2]=Ha;f[Ha>>2]=8;f[q+52>>2]=8;Ga=I+16|0;f[Ca>>2]=Ga;f[ua>>2]=Ga;YT(q);Ga=m+36|0;Fa=f[Ga>>2]|0;if(Fa|0?(Ja=Fa+12|0,Fa=f[Ja>>2]|0,f[Ja>>2]=Fa+-1,(Fa|0)==1):0)aU(m);f[Ga>>2]=0;f[V>>2]=0;f[V+4>>2]=0;f[V+8>>2]=0;f[V+12>>2]=0;if((f[S>>2]|0)>0){Fa=f[Z>>2]|0;Ja=0;do{f[Fa+(Ja<<2)>>2]=0;Ja=Ja+1|0}while((Ja|0)<(f[S>>2]|0))}f[m>>2]=f[q>>2];Ja=f[Ia>>2]|0;f[S>>2]=Ja;f[E>>2]=f[Da>>2];f[T>>2]=f[ya>>2];f[V>>2]=f[Aa>>2];f[W>>2]=f[na>>2];f[X>>2]=f[ua>>2];f[Y>>2]=f[Ca>>2];Ca=m+32|0;f[Ca>>2]=f[q+32>>2];ua=q+36|0;f[Ga>>2]=f[ua>>2];na=m+44|0;ya=f[na>>2]|0;if((ya|0)==(_|0))Ka=Ja;else{TC(ya);f[na>>2]=_;f[Z>>2]=E;Ka=f[Ia>>2]|0}ya=q+44|0;if((Ka|0)<3){Ka=f[ya>>2]|0;f[_>>2]=f[Ka>>2];f[m+52>>2]=f[Ka+4>>2];La=Ka}else{f[na>>2]=f[ya>>2];f[m+40>>2]=f[xa>>2];f[ya>>2]=Ha;f[xa>>2]=Da;La=Ha}f[q>>2]=1124007936;f[Ia>>2]=0;f[Ia+4>>2]=0;f[Ia+8>>2]=0;f[Ia+12>>2]=0;f[Ia+16>>2]=0;f[Ia+20>>2]=0;f[Ia+24>>2]=0;f[Ia+28>>2]=0;f[ua>>2]=0;f[Aa>>2]=0;f[Aa+4>>2]=0;f[Aa+8>>2]=0;f[Aa+12>>2]=0;if((La|0)!=(Ha|0))TC(La);f[q>>2]=1124007942;La=q+4|0;f[La>>2]=2;Ha=q+8|0;f[Ha>>2]=2;Aa=q+12|0;f[Aa>>2]=1;ua=q+16|0;f[ua>>2]=i;Ia=q+20|0;f[Ia>>2]=i;Da=q+24|0;xa=q+28|0;ya=q+40|0;Ka=Da+8|0;f[Ka>>2]=0;f[Ka+4>>2]=0;f[ya>>2]=Ha;Ka=q+48|0;f[q+44>>2]=Ka;f[Ka>>2]=8;f[q+52>>2]=8;Ja=i+16|0;f[xa>>2]=Ja;f[Da>>2]=Ja;YT(q);Fa=o+36|0;Ma=f[Fa>>2]|0;if(Ma|0?(Na=Ma+12|0,Ma=f[Na>>2]|0,f[Na>>2]=Ma+-1,(Ma|0)==1):0)aU(o);f[Fa>>2]=0;f[fa>>2]=0;f[fa+4>>2]=0;f[fa+8>>2]=0;f[fa+12>>2]=0;if((f[ca>>2]|0)>0){Ma=f[ja>>2]|0;Na=0;do{f[Ma+(Na<<2)>>2]=0;Na=Na+1|0}while((Na|0)<(f[ca>>2]|0))}f[o>>2]=f[q>>2];Na=f[La>>2]|0;f[ca>>2]=Na;f[da>>2]=f[Ha>>2];f[ea>>2]=f[Aa>>2];f[fa>>2]=f[ua>>2];f[ga>>2]=f[Ia>>2];f[ha>>2]=f[Da>>2];f[ia>>2]=f[xa>>2];xa=o+32|0;f[xa>>2]=f[q+32>>2];Da=q+36|0;f[Fa>>2]=f[Da>>2];Ia=o+44|0;Aa=f[Ia>>2]|0;if((Aa|0)==(ka|0))Oa=Na;else{TC(Aa);f[Ia>>2]=ka;f[ja>>2]=da;Oa=f[La>>2]|0}Aa=q+44|0;if((Oa|0)<3){Oa=f[Aa>>2]|0;f[ka>>2]=f[Oa>>2];f[o+52>>2]=f[Oa+4>>2];Pa=Oa}else{f[Ia>>2]=f[Aa>>2];f[o+40>>2]=f[ya>>2];f[Aa>>2]=Ka;f[ya>>2]=Ha;Pa=Ka}f[q>>2]=1124007936;f[La>>2]=0;f[La+4>>2]=0;f[La+8>>2]=0;f[La+12>>2]=0;f[La+16>>2]=0;f[La+20>>2]=0;f[La+24>>2]=0;f[La+28>>2]=0;f[Da>>2]=0;f[ua>>2]=0;f[ua+4>>2]=0;f[ua+8>>2]=0;f[ua+12>>2]=0;if((Pa|0)!=(Ka|0))TC(Pa);p[H>>3]=+p[h>>3]*2.0;Pa=h+16|0;sa=+p[Pa>>3];p[H+16>>3]=sa;p[H+8>>3]=sa;Ka=h+8|0;p[H+24>>3]=+p[Ka>>3]*2.0;ua=h+24|0;p[I>>3]=+p[ua>>3];p[I+8>>3]=+p[h+32>>3];f[q+8>>2]=0;f[q+12>>2]=0;f[q>>2]=16842752;f[q+4>>2]=l;f[r+8>>2]=0;f[r+12>>2]=0;f[r>>2]=16842752;f[r+4>>2]=m;Da=s+8|0;f[Da>>2]=0;f[Da+4>>2]=0;f[s>>2]=33619968;f[s+4>>2]=o;QD(q,r,s,1)|0;f[q>>2]=1124007942;Da=q+4|0;f[Da>>2]=2;La=q+8|0;f[La>>2]=c;Ha=q+12|0;f[Ha>>2]=3;ya=q+16|0;f[ya>>2]=H;Aa=q+20|0;f[Aa>>2]=H;Oa=q+24|0;Na=q+28|0;Ma=q+40|0;Qa=Oa+8|0;f[Qa>>2]=0;f[Qa+4>>2]=0;f[Ma>>2]=La;Qa=q+48|0;f[q+44>>2]=Qa;f[Qa>>2]=24;f[q+52>>2]=8;Ra=H+(c*3<<3)|0;f[Na>>2]=Ra;f[Oa>>2]=Ra+-24+24;YT(q);Ra=f[Ea>>2]|0;do if(Ra|0){Sa=Ra+12|0;Ta=f[Sa>>2]|0;f[Sa>>2]=Ta+-1;if((Ta|0)!=1)break;aU(l)}while(0);f[Ea>>2]=0;f[y>>2]=0;f[y+4>>2]=0;f[y+8>>2]=0;f[y+12>>2]=0;if((f[w>>2]|0)>0){Ra=f[O>>2]|0;Ta=0;do{f[Ra+(Ta<<2)>>2]=0;Ta=Ta+1|0}while((Ta|0)<(f[w>>2]|0))}f[l>>2]=f[q>>2];Ta=f[Da>>2]|0;f[w>>2]=Ta;f[x>>2]=f[La>>2];f[z>>2]=f[Ha>>2];f[y>>2]=f[ya>>2];f[J>>2]=f[Aa>>2];f[K>>2]=f[Oa>>2];f[N>>2]=f[Na>>2];f[Ba>>2]=f[q+32>>2];Ba=q+36|0;f[Ea>>2]=f[Ba>>2];Na=f[za>>2]|0;if((Na|0)==(Q|0))Ua=Ta;else{TC(Na);f[za>>2]=Q;f[O>>2]=x;Ua=f[Da>>2]|0}x=q+44|0;if((Ua|0)<3){Ua=f[x>>2]|0;f[Q>>2]=f[Ua>>2];f[l+52>>2]=f[Ua+4>>2];Va=Ua}else{f[za>>2]=f[x>>2];f[l+40>>2]=f[Ma>>2];f[x>>2]=Qa;f[Ma>>2]=La;Va=Qa}f[q>>2]=1124007936;f[Da>>2]=0;f[Da+4>>2]=0;f[Da+8>>2]=0;f[Da+12>>2]=0;f[Da+16>>2]=0;f[Da+20>>2]=0;f[Da+24>>2]=0;f[Da+28>>2]=0;f[Ba>>2]=0;f[ya>>2]=0;f[ya+4>>2]=0;f[ya+8>>2]=0;f[ya+12>>2]=0;if((Va|0)!=(Qa|0))TC(Va);f[q>>2]=1124007942;Va=q+4|0;f[Va>>2]=2;Qa=q+8|0;f[Qa>>2]=c;ya=q+12|0;f[ya>>2]=1;Ba=q+16|0;f[Ba>>2]=I;Da=q+20|0;f[Da>>2]=I;La=q+24|0;Ma=q+28|0;x=q+40|0;za=La+8|0;f[za>>2]=0;f[za+4>>2]=0;f[x>>2]=Qa;za=q+48|0;f[q+44>>2]=za;f[za>>2]=8;f[q+52>>2]=8;f[Ma>>2]=aa;f[La>>2]=ba;YT(q);ba=f[Ga>>2]|0;do if(ba|0){aa=ba+12|0;Ua=f[aa>>2]|0;f[aa>>2]=Ua+-1;if((Ua|0)!=1)break;aU(m)}while(0);f[Ga>>2]=0;f[V>>2]=0;f[V+4>>2]=0;f[V+8>>2]=0;f[V+12>>2]=0;if((f[S>>2]|0)>0){ba=f[Z>>2]|0;Ua=0;do{f[ba+(Ua<<2)>>2]=0;Ua=Ua+1|0}while((Ua|0)<(f[S>>2]|0))}f[m>>2]=f[q>>2];Ua=f[Va>>2]|0;f[S>>2]=Ua;f[E>>2]=f[Qa>>2];f[T>>2]=f[ya>>2];f[V>>2]=f[Ba>>2];f[W>>2]=f[Da>>2];f[X>>2]=f[La>>2];f[Y>>2]=f[Ma>>2];f[Ca>>2]=f[q+32>>2];Ca=q+36|0;f[Ga>>2]=f[Ca>>2];Ma=f[na>>2]|0;if((Ma|0)==(_|0))Wa=Ua;else{TC(Ma);f[na>>2]=_;f[Z>>2]=E;Wa=f[Va>>2]|0}E=q+44|0;if((Wa|0)<3){Wa=f[E>>2]|0;f[_>>2]=f[Wa>>2];f[m+52>>2]=f[Wa+4>>2];Xa=Wa}else{f[na>>2]=f[E>>2];f[m+40>>2]=f[x>>2];f[E>>2]=za;f[x>>2]=Qa;Xa=za}f[q>>2]=1124007936;f[Va>>2]=0;f[Va+4>>2]=0;f[Va+8>>2]=0;f[Va+12>>2]=0;f[Va+16>>2]=0;f[Va+20>>2]=0;f[Va+24>>2]=0;f[Va+28>>2]=0;f[Ca>>2]=0;f[Ba>>2]=0;f[Ba+4>>2]=0;f[Ba+8>>2]=0;f[Ba+12>>2]=0;if((Xa|0)!=(za|0))TC(Xa);f[q>>2]=1124007942;Xa=q+4|0;f[Xa>>2]=2;za=q+8|0;f[za>>2]=3;Ba=q+12|0;f[Ba>>2]=1;Ca=q+16|0;f[Ca>>2]=h;Va=q+20|0;f[Va>>2]=h;Qa=q+24|0;x=q+28|0;E=q+40|0;na=Qa+8|0;f[na>>2]=0;f[na+4>>2]=0;f[E>>2]=za;na=q+48|0;f[q+44>>2]=na;f[na>>2]=8;f[q+52>>2]=8;f[x>>2]=ua;f[Qa>>2]=ua;YT(q);ua=f[Fa>>2]|0;do if(ua|0){Wa=ua+12|0;Ma=f[Wa>>2]|0;f[Wa>>2]=Ma+-1;if((Ma|0)!=1)break;aU(o)}while(0);f[Fa>>2]=0;f[fa>>2]=0;f[fa+4>>2]=0;f[fa+8>>2]=0;f[fa+12>>2]=0;if((f[ca>>2]|0)>0){ua=f[ja>>2]|0;Ma=0;do{f[ua+(Ma<<2)>>2]=0;Ma=Ma+1|0}while((Ma|0)<(f[ca>>2]|0))}f[o>>2]=f[q>>2];Ma=f[Xa>>2]|0;f[ca>>2]=Ma;f[da>>2]=f[za>>2];f[ea>>2]=f[Ba>>2];f[fa>>2]=f[Ca>>2];f[ga>>2]=f[Va>>2];f[ha>>2]=f[Qa>>2];f[ia>>2]=f[x>>2];f[xa>>2]=f[q+32>>2];xa=q+36|0;f[Fa>>2]=f[xa>>2];x=f[Ia>>2]|0;if((x|0)==(ka|0))Ya=Ma;else{TC(x);f[Ia>>2]=ka;f[ja>>2]=da;Ya=f[Xa>>2]|0}da=q+44|0;if((Ya|0)<3){Ya=f[da>>2]|0;f[ka>>2]=f[Ya>>2];f[o+52>>2]=f[Ya+4>>2];Za=Ya}else{f[Ia>>2]=f[da>>2];f[o+40>>2]=f[E>>2];f[da>>2]=na;f[E>>2]=za;Za=na}f[q>>2]=1124007936;f[Xa>>2]=0;f[Xa+4>>2]=0;f[Xa+8>>2]=0;f[Xa+12>>2]=0;f[Xa+16>>2]=0;f[Xa+20>>2]=0;f[Xa+24>>2]=0;f[Xa+28>>2]=0;f[xa>>2]=0;f[Ca>>2]=0;f[Ca+4>>2]=0;f[Ca+8>>2]=0;f[Ca+12>>2]=0;if((Za|0)!=(na|0))TC(Za);if(ma){sa=+p[i>>3];pa=+p[i+8>>3];if(v){v=0;do{oa=+n[F+(v<<3)>>2]-va;ta=+n[F+(v<<3)+4>>2]-wa;p[I+(v<<3)>>3]=1.0;qa=oa;oa=qa-sa;ma=v*3|0;p[H+(ma<<3)>>3]=oa*oa;oa=ta;ta=oa-pa;p[H+(ma+1<<3)>>3]=ta*ta;p[H+(ma+2<<3)>>3]=(qa-sa)*(oa-pa);v=v+1|0}while((v|0)!=(c|0))}else{v=0;do{oa=+(f[F+(v<<3)>>2]|0)-va;qa=+(f[F+(v<<3)+4>>2]|0)-wa;p[I+(v<<3)>>3]=1.0;ta=oa;oa=ta-sa;ma=v*3|0;p[H+(ma<<3)>>3]=oa*oa;oa=qa;qa=oa-pa;p[H+(ma+1<<3)>>3]=qa*qa;p[H+(ma+2<<3)>>3]=(ta-sa)*(oa-pa);v=v+1|0}while((v|0)!=(c|0))}}f[q+8>>2]=0;f[q+12>>2]=0;f[q>>2]=16842752;f[q+4>>2]=l;f[r+8>>2]=0;f[r+12>>2]=0;f[r>>2]=16842752;f[r+4>>2]=m;c=s+8|0;f[c>>2]=0;f[c+4>>2]=0;f[s>>2]=33619968;f[s+4>>2]=o;QD(q,r,s,1)|0;pa=+p[Pa>>3];sa=+p[Ka>>3];oa=+p[h>>3];ta=sa-oa;qa=+U(+pa,+ta)*-.5;p[i+32>>3]=qa;if(+L(+pa)>1.0e-08)_a=pa/+P(+(qa*-2.0));else _a=ta;ta=sa+oa;oa=+L(+(ta-_a));if(oa>1.0e-08)$a=+M(+(2.0/oa));else $a=oa;p[Ja>>3]=$a;oa=+L(+(ta+_a));if(oa>1.0e-08)ab=+M(+(2.0/oa));else ab=oa;p[i+24>>3]=ab;n[a>>2]=va+ +p[i>>3];n[a+4>>2]=wa+ +p[i+8>>3];wa=$a*2.0;i=a+8|0;n[i>>2]=wa;$a=ab*2.0;Ja=a+12|0;n[Ja>>2]=$a;if(wa>$a){n[i>>2]=$a;n[Ja>>2]=wa;wa=qa*180.0/3.141592653589793+90.0;Ja=a+16|0;n[Ja>>2]=wa;bb=Ja;cb=wa}else{Ja=a+16|0;bb=Ja;cb=+n[Ja>>2]}wa=cb+360.0;if(cb<-180.0){n[bb>>2]=wa;db=wa}else db=cb;if(db>360.0)n[bb>>2]=db+-360.0;bb=f[Fa>>2]|0;do if(bb|0){Ja=bb+12|0;a=f[Ja>>2]|0;f[Ja>>2]=a+-1;if((a|0)!=1)break;aU(o)}while(0);f[Fa>>2]=0;f[fa>>2]=0;f[fa+4>>2]=0;f[fa+8>>2]=0;f[fa+12>>2]=0;if((f[ca>>2]|0)>0){fa=f[ja>>2]|0;ja=0;do{f[fa+(ja<<2)>>2]=0;ja=ja+1|0}while((ja|0)<(f[ca>>2]|0))}ca=f[la>>2]|0;if((ca|0)!=(ka|0))TC(ca);ca=f[Ga>>2]|0;do if(ca|0){ka=ca+12|0;la=f[ka>>2]|0;f[ka>>2]=la+-1;if((la|0)!=1)break;aU(m)}while(0);f[Ga>>2]=0;f[V>>2]=0;f[V+4>>2]=0;f[V+8>>2]=0;f[V+12>>2]=0;if((f[S>>2]|0)>0){V=f[Z>>2]|0;Z=0;do{f[V+(Z<<2)>>2]=0;Z=Z+1|0}while((Z|0)<(f[S>>2]|0))}S=f[$>>2]|0;if((S|0)!=(_|0))TC(S);S=f[Ea>>2]|0;do if(S|0){_=S+12|0;$=f[_>>2]|0;f[_>>2]=$+-1;if(($|0)!=1)break;aU(l)}while(0);f[Ea>>2]=0;f[y>>2]=0;f[y+4>>2]=0;f[y+8>>2]=0;f[y+12>>2]=0;if((f[w>>2]|0)>0){y=f[O>>2]|0;O=0;do{f[y+(O<<2)>>2]=0;O=O+1|0}while((O|0)<(f[w>>2]|0))}w=f[R>>2]|0;if((w|0)!=(Q|0))TC(w);w=f[k>>2]|0;if((w|0)!=(B|0)){if(w|0)guc(w);f[k>>2]=B;f[t>>2]=136}t=f[j>>2]|0;if((t|0)!=(A|0)){if(t|0)guc(t);f[j>>2]=A;f[C>>2]=136}C=g+36|0;A=f[C>>2]|0;do if(A|0){j=A+12|0;t=f[j>>2]|0;f[j>>2]=t+-1;if((t|0)!=1)break;aU(g)}while(0);f[C>>2]=0;C=g+4|0;f[D>>2]=0;f[D+4>>2]=0;f[D+8>>2]=0;f[D+12>>2]=0;if((f[C>>2]|0)>0){D=f[g+40>>2]|0;A=0;do{f[D+(A<<2)>>2]=0;A=A+1|0}while((A|0)<(f[C>>2]|0))}C=f[G>>2]|0;if((C|0)!=(g+48|0))TC(C);if(!(f[e+4>>2]|0)){u=d;return}u=d;return}function gfa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=u;u=u+64|0;d=c+56|0;e=c;gV(d,54984);do if((qJ(b)|0)==65536){g=f[b+4>>2]|0;f[e>>2]=f[g>>2];h=e+4|0;i=g+4|0;f[h>>2]=f[i>>2];j=e+8|0;f[j>>2]=f[g+8>>2];f[e+12>>2]=f[g+12>>2];f[e+16>>2]=f[g+16>>2];f[e+20>>2]=f[g+20>>2];f[e+24>>2]=f[g+24>>2];f[e+28>>2]=f[g+28>>2];f[e+32>>2]=f[g+32>>2];k=f[g+36>>2]|0;f[e+36>>2]=k;f[e+40>>2]=j;j=e+48|0;l=e+44|0;f[l>>2]=j;f[j>>2]=0;f[e+52>>2]=0;if(k|0){j=k+12|0;f[j>>2]=(f[j>>2]|0)+1}if((f[i>>2]|0)<3){i=f[g+44>>2]|0;j=f[l>>2]|0;f[j>>2]=f[i>>2];f[j+4>>2]=f[i+4>>2];m=e;break}else{f[h>>2]=0;$T(e,g);m=e;break}}else{nJ(e,b,-1);m=e}while(0);if(!(f[m>>2]&7))hfa(a,e);else ifa(a,e);a=e+36|0;m=f[a>>2]|0;if(m|0?(b=m+12|0,m=f[b>>2]|0,f[b>>2]=m+-1,(m|0)==1):0)aU(e);f[a>>2]=0;a=e+16|0;m=e+4|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;if((f[m>>2]|0)>0){a=f[e+40>>2]|0;b=0;do{f[a+(b<<2)>>2]=0;b=b+1|0}while((b|0)<(f[m>>2]|0))}m=f[e+44>>2]|0;if((m|0)!=(e+48|0))TC(m);if(!(f[d+4>>2]|0)){u=c;return}u=c;return}function hfa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0;d=u;u=u+16|0;e=d;g=f[c>>2]|0;if(!((g&6)>>>0<2&(g&4088|0)==0)){g=cuc(48)|0;f[e>>2]=g;f[e+8>>2]=-2147483600;f[e+4>>2]=43;h=g;i=257191;j=h+43|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(j|0));b[g+43>>0]=0;WD(-215,e,257235,256726,859)}e=f[c+40>>2]|0;g=f[e+4>>2]|0;i=f[e>>2]|0;if((i|0)<=0){k=g;l=-1;m=-1;n=0;o=(k|0)<(g|0);p=o?l:0;q=o?k:0;r=m+1|0;s=r-q|0;t=n-p|0;f[a>>2]=q;v=a+4|0;f[v>>2]=p;w=a+8|0;f[w>>2]=s;x=a+12|0;f[x>>2]=t;u=d;return}e=f[c+16>>2]|0;h=f[f[c+44>>2]>>2]|0;c=-1;j=-1;y=0;z=-1;A=g;while(1){B=e+(Y(h,y)|0)|0;C=B;D=C+3&-4;E=D;F=D-C|0;C=(F|0)>(g|0)?g:F;a:do if((C|0)>0){D=0;while(1){if(b[B+D>>0]|0)break;G=D+1|0;if((G|0)<(C|0))D=G;else{H=0;I=j;J=A;break a}}H=1;I=(D|0)>(j|0)?D:j;J=(D|0)<(A|0)?D:A}else{H=0;I=j;J=A}while(0);if((g|0)>(F|0)){B=J-C|0;G=I-C|0;K=g-C|0;L=B+-4|0;b:do if((B|0)<4)M=0;else{N=0;while(1){if(f[E+N>>2]|0){M=N;break b}O=N+4|0;if((O|0)>(L|0)){M=O;break}else N=O}}while(0);c:do if((M|0)<(B|0)){L=M;while(1){if(b[E+L>>0]|0)break;F=L+1|0;if((F|0)<(B|0))L=F;else{P=H;Q=F;R=B;S=G;break c}}P=1;Q=L;R=L;S=(L|0)>(G|0)?L:G}else{P=H;Q=M;R=B;S=G}while(0);G=Q+-1|0;B=(G|0)<(S|0)?S:G;G=K;while(1){T=G+-1|0;U=(T|0)>(B|0);V=(T&3|0)==3;if(V|U^1){W=20;break}if(!(b[E+T>>0]|0))G=T;else{X=T;break}}d:do if((W|0)==20){W=0;if(U&V?(G=B+3|0,(T|0)>(G|0)):0){K=T;while(1){if(f[E+K+-3>>2]|0){X=K;break d}F=K+-4|0;if((F|0)>(G|0))K=F;else{X=F;break}}}else X=T}while(0);e:do if((X|0)>(B|0)){K=X;while(1){if(b[E+K>>0]|0){Z=1;_=K;break e}G=K+-1|0;if((G|0)>(B|0))K=G;else{$=G;W=27;break}}}else{$=X;W=27}while(0);f:do if((W|0)==27){W=0;if(!P){B=Q&-4;K=$+-3|0;g:do if((B|0)>(K|0))aa=B;else{G=B;while(1){if(f[E+G>>2]|0){aa=G;break g}L=G+4|0;if((L|0)>(K|0)){aa=L;break}else G=L}}while(0);if((aa|0)>($|0)){Z=0;_=S}else{K=aa;while(1){if(b[E+K>>0]|0){Z=1;_=S;break f}if((K|0)<($|0))K=K+1|0;else{Z=0;_=S;break}}}}else{Z=P;_=S}}while(0);ba=R+C|0;ca=Z;da=_+C|0}else{ba=J;ca=H;da=I}E=(ca|0)==0;z=E?z:y;c=E?c:(c|0)<0?y:c;y=y+1|0;if((y|0)==(i|0))break;else{j=da;A=ba}}k=ba;l=c;m=da;n=z+1|0;o=(k|0)<(g|0);p=o?l:0;q=o?k:0;r=m+1|0;s=r-q|0;t=n-p|0;f[a>>2]=q;v=a+4|0;f[v>>2]=p;w=a+8|0;f[w>>2]=s;x=a+12|0;f[x>>2]=t;u=d;return}function ifa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0.0,E=0.0,F=0.0,G=0.0;d=u;u=u+16|0;e=d;g=qU(c,2,-1,1)|0;h=f[c>>2]&7;if((g|0)<=-1){i=cuc(64)|0;f[e>>2]=i;j=e+8|0;f[j>>2]=-2147483584;k=e+4|0;f[k>>2]=52;l=i;m=256910;o=l+52|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(o|0));p=i+52|0;b[p>>0]=0;WD(-215,e,257170,256726,741)}q=(h|0)==5;if((h|1|0)!=5){i=cuc(64)|0;f[e>>2]=i;j=e+8|0;f[j>>2]=-2147483584;k=e+4|0;f[k>>2]=52;l=i;m=256910;o=l+52|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(o|0));p=i+52|0;b[p>>0]=0;WD(-215,e,257170,256726,741)}if(!g){f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;u=d;return}e=f[c+16>>2]|0;c=f[e>>2]|0;p=f[e+4>>2]|0;if(!q)if((g|0)>1){q=c;i=p;m=c;l=1;o=p;while(1){k=f[e+(l<<3)>>2]|0;j=f[e+(l<<3)+4>>2]|0;h=(q|0)>(k|0)?k:q;r=(m|0)<(k|0)?k:m;k=(i|0)>(j|0)?j:i;t=(o|0)<(j|0)?j:o;l=l+1|0;if((l|0)==(g|0)){v=h;w=k;x=r;y=t;break}else{q=h;i=k;m=r;o=t}}}else{v=c;w=p;x=c;y=p}else{o=c>>31&2147483647^c;c=p>>31&2147483647^p;if((g|0)>1){p=1;m=c;i=o;q=c;l=o;while(1){t=f[e+(p<<3)>>2]|0;r=f[e+(p<<3)+4>>2]|0;k=t>>31&2147483647^t;t=r>>31&2147483647^r;r=(l|0)>(k|0)?k:l;h=(i|0)<(k|0)?k:i;k=(m|0)>(t|0)?t:m;j=(q|0)<(t|0)?t:q;p=p+1|0;if((p|0)==(g|0)){z=r;A=k;B=h;C=j;break}else{m=k;i=h;q=j;l=r}}}else{z=o;A=c;B=o;C=c}D=(f[s>>2]=z>>31&2147483647^z,+n[s>>2]);z=~~D;E=(f[s>>2]=A>>31&2147483647^A,+n[s>>2]);A=~~E;F=(f[s>>2]=B>>31&2147483647^B,+n[s>>2]);B=~~F;G=(f[s>>2]=C>>31&2147483647^C,+n[s>>2]);C=~~G;v=z-(+(z|0)>D&1)|0;w=A-(+(A|0)>E&1)|0;x=B-(+(B|0)>F&1)|0;y=C-(+(C|0)>G&1)|0}f[a>>2]=v;f[a+4>>2]=w;f[a+8>>2]=x+1-v;f[a+12>>2]=y+1-w;u=d;return}function jfa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;e=u;u=u+1344|0;g=e+1256|0;h=e+1236|0;i=e+1208|0;j=e;k=e+1152|0;l=e+1096|0;if((c|0)!=0?(m=f[c>>2]|0,(m&-65536|0)==1117323264):0){if((m&4094|0)!=12){m=cuc(32)|0;f[j>>2]=m;f[j+8>>2]=-2147483616;f[j+4>>2]=25;n=m;o=257290;p=n+25|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));b[m+25>>0]=0;WD(-5,j,257316,256726,1316)}if((f[c+4>>2]|0)>=88)if(!d){m=c+56|0;f[a>>2]=f[m>>2];f[a+4>>2]=f[m+4>>2];f[a+8>>2]=f[m+8>>2];f[a+12>>2]=f[m+12>>2];u=e;return}else{q=d;r=c;s=21}else{q=0;r=c;s=21}}else s=6;a:do if((s|0)==6){d=IZ(c,i,0,0)|0;switch(f[d>>2]&4095){case 13:case 12:{q=0;r=rga(0,d,g,h)|0;s=21;break a;break}case 1:case 0:{if(!d){q=0;r=0;s=21;break a}tK(k,d,0,1,0,0);hfa(j,k);d=f[j>>2]|0;m=f[j+4>>2]|0;t=f[j+8>>2]|0;v=f[j+12>>2]|0;w=k+36|0;x=f[w>>2]|0;if(x|0?(y=x+12|0,x=f[y>>2]|0,f[y>>2]=x+-1,(x|0)==1):0)aU(k);f[w>>2]=0;w=k+16|0;x=k+4|0;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;f[w+12>>2]=0;if((f[x>>2]|0)>0){w=f[k+40>>2]|0;y=0;do{f[w+(y<<2)>>2]=0;y=y+1|0}while((y|0)<(f[x>>2]|0))}x=f[k+44>>2]|0;if((x|0)!=(k+48|0))TC(x);z=d;A=t;B=v;C=m;break a;break}default:{x=cuc(64)|0;f[j>>2]=x;f[j+8>>2]=-2147483584;f[j+4>>2]=56;n=x;o=257331;p=n+56|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));b[x+56>>0]=0;WD(-210,j,257316,256726,1336)}}}while(0);if((s|0)==21){if(!(f[r+24>>2]|0)){D=0;E=0;F=0;G=0}else{s=j+8|0;f[j>>2]=s;o=j+4|0;f[o>>2]=136;tK(l,r,0,0,0,j);ifa(k,l);n=f[k>>2]|0;p=f[k+4>>2]|0;h=f[k+8>>2]|0;g=f[k+12>>2]|0;k=l+36|0;i=f[k>>2]|0;if(i|0?(c=i+12|0,i=f[c>>2]|0,f[c>>2]=i+-1,(i|0)==1):0)aU(l);f[k>>2]=0;k=l+16|0;i=l+4|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;if((f[i>>2]|0)>0){k=f[l+40>>2]|0;c=0;do{f[k+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[i>>2]|0))}i=f[l+44>>2]|0;if((i|0)!=(l+48|0))TC(i);i=f[j>>2]|0;if((i|0)!=(s|0)){if(i|0)guc(i);f[j>>2]=s;f[o>>2]=136}D=n;E=h;F=g;G=p}if(!q){z=D;A=E;B=F;C=G}else{f[r+56>>2]=D;f[r+60>>2]=G;f[r+64>>2]=E;f[r+68>>2]=F;z=D;A=E;B=F;C=G}}f[a>>2]=z;f[a+4>>2]=C;f[a+8>>2]=A;f[a+12>>2]=B;u=e;return}function kfa(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0;i=u;u=u+208|0;j=i+144|0;k=i+88|0;l=i+72|0;m=i+16|0;n=i;if((h+-5|0)>>>0>=2){o=cuc(48)|0;f[j>>2]=o;f[j+8>>2]=-2147483600;f[j+4>>2]=34;p=o;q=267593;r=p+34|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(r|0));b[o+34>>0]=0;WD(-215,j,257571,257404,61)}jK(a,3,1,h,-1,1,0);jK(c,3,1,h,-1,1,0);do if((qJ(a)|0)==65536){o=f[a+4>>2]|0;f[j>>2]=f[o>>2];s=j+4|0;t=o+4|0;f[s>>2]=f[t>>2];v=j+8|0;f[v>>2]=f[o+8>>2];f[j+12>>2]=f[o+12>>2];f[j+16>>2]=f[o+16>>2];f[j+20>>2]=f[o+20>>2];f[j+24>>2]=f[o+24>>2];f[j+28>>2]=f[o+28>>2];f[j+32>>2]=f[o+32>>2];w=f[o+36>>2]|0;f[j+36>>2]=w;f[j+40>>2]=v;v=j+48|0;x=j+44|0;f[x>>2]=v;f[v>>2]=0;f[j+52>>2]=0;if(w|0){v=w+12|0;f[v>>2]=(f[v>>2]|0)+1}if((f[t>>2]|0)<3){t=f[o+44>>2]|0;v=f[x>>2]|0;f[v>>2]=f[t>>2];f[v+4>>2]=f[t+4>>2];break}else{f[s>>2]=0;$T(j,o);break}}else nJ(j,a,-1);while(0);do if((qJ(c)|0)==65536){a=f[c+4>>2]|0;f[k>>2]=f[a>>2];o=k+4|0;s=a+4|0;f[o>>2]=f[s>>2];t=k+8|0;f[t>>2]=f[a+8>>2];f[k+12>>2]=f[a+12>>2];f[k+16>>2]=f[a+16>>2];f[k+20>>2]=f[a+20>>2];f[k+24>>2]=f[a+24>>2];f[k+28>>2]=f[a+28>>2];f[k+32>>2]=f[a+32>>2];v=f[a+36>>2]|0;f[k+36>>2]=v;f[k+40>>2]=t;t=k+48|0;x=k+44|0;f[x>>2]=t;f[t>>2]=0;f[k+52>>2]=0;if(v|0){t=v+12|0;f[t>>2]=(f[t>>2]|0)+1}if((f[s>>2]|0)<3){s=f[a+44>>2]|0;t=f[x>>2]|0;f[t>>2]=f[s>>2];f[t+4>>2]=f[s+4>>2];break}else{f[o>>2]=0;$T(k,a);break}}else nJ(k,c,-1);while(0);if(!((e|d|0)>-1&(e+d|0)==1)){f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;c=cuc(48)|0;f[l>>2]=c;f[l+8>>2]=-2147483600;f[l+4>>2]=32;p=c;q=257588;r=p+32|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(r|0));b[c+32>>0]=0;WD(-215,l,257571,257404,67)}c=m+4|0;q=m+8|0;p=m+12|0;r=m+16|0;a=m+20|0;o=m+24|0;s=m+28|0;t=m+40|0;x=m+48|0;v=m+44|0;w=m+52|0;y=n+8|0;z=n+4|0;A=m+36|0;B=l+4|0;C=l+8|0;if(g){switch(d|0){case 0:{D=3;E=10;F=3;G=51;break}case 1:{D=1;E=0;F=-1;G=51;break}default:{}}if((G|0)==51){f[l>>2]=F;f[B>>2]=E;f[C>>2]=D}D=f[j+8>>2]|0;E=f[j+12>>2]|0;f[m>>2]=1124007940;f[c>>2]=2;f[q>>2]=D;f[p>>2]=E;f[r>>2]=l;f[a>>2]=l;F=o+8|0;f[F>>2]=0;f[F+4>>2]=0;f[t>>2]=q;f[v>>2]=x;F=E<<2;f[x>>2]=F;f[w>>2]=4;g=l+((Y(E,D)|0)<<2)|0;f[s>>2]=g;f[o>>2]=g+(0-F)+F;YT(m);F=y;f[F>>2]=0;f[F+4>>2]=0;f[n>>2]=33619968;f[z>>2]=j;kQ(m,n,h,(d|0)==1?1.0:.03125,0.0);F=f[A>>2]|0;if(F|0?(g=F+12|0,F=f[g>>2]|0,f[g>>2]=F+-1,(F|0)==1):0)aU(m);f[A>>2]=0;f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;f[r+12>>2]=0;if((f[c>>2]|0)>0){F=f[t>>2]|0;g=0;do{f[F+(g<<2)>>2]=0;g=g+1|0}while((g|0)<(f[c>>2]|0))}g=f[v>>2]|0;if((g|0)!=(x|0))TC(g);switch(e|0){case 0:{H=3;I=10;J=3;G=62;break}case 1:{H=1;I=0;J=-1;G=62;break}default:{}}if((G|0)==62){f[l>>2]=J;f[B>>2]=I;f[C>>2]=H}H=f[k+8>>2]|0;I=f[k+12>>2]|0;f[m>>2]=1124007940;f[c>>2]=2;f[q>>2]=H;f[p>>2]=I;f[r>>2]=l;f[a>>2]=l;J=o+8|0;f[J>>2]=0;f[J+4>>2]=0;f[t>>2]=q;f[v>>2]=x;J=I<<2;f[x>>2]=J;f[w>>2]=4;g=l+((Y(I,H)|0)<<2)|0;f[s>>2]=g;f[o>>2]=g+(0-J)+J;YT(m);J=y;f[J>>2]=0;f[J+4>>2]=0;f[n>>2]=33619968;f[z>>2]=k;kQ(m,n,h,(e|0)==1?1.0:.03125,0.0);J=f[A>>2]|0;if(J|0?(g=J+12|0,J=f[g>>2]|0,f[g>>2]=J+-1,(J|0)==1):0)aU(m);f[A>>2]=0;f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;f[r+12>>2]=0;if((f[c>>2]|0)>0){J=f[t>>2]|0;g=0;do{f[J+(g<<2)>>2]=0;g=g+1|0}while((g|0)<(f[c>>2]|0))}g=f[v>>2]|0;if((g|0)!=(x|0))TC(g)}else{switch(d|0){case 0:{K=3;L=10;M=3;G=22;break}case 1:{K=1;L=0;M=-1;G=22;break}default:{}}if((G|0)==22){f[l>>2]=M;f[B>>2]=L;f[C>>2]=K}K=f[j+8>>2]|0;L=f[j+12>>2]|0;f[m>>2]=1124007940;f[c>>2]=2;f[q>>2]=K;f[p>>2]=L;f[r>>2]=l;f[a>>2]=l;M=o+8|0;f[M>>2]=0;f[M+4>>2]=0;f[t>>2]=q;f[v>>2]=x;M=L<<2;f[x>>2]=M;f[w>>2]=4;d=l+((Y(L,K)|0)<<2)|0;f[s>>2]=d;f[o>>2]=d+(0-M)+M;YT(m);M=y;f[M>>2]=0;f[M+4>>2]=0;f[n>>2]=33619968;f[z>>2]=j;kQ(m,n,h,1.0,0.0);M=f[A>>2]|0;if(M|0?(d=M+12|0,M=f[d>>2]|0,f[d>>2]=M+-1,(M|0)==1):0)aU(m);f[A>>2]=0;f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;f[r+12>>2]=0;if((f[c>>2]|0)>0){M=f[t>>2]|0;d=0;do{f[M+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[c>>2]|0))}d=f[v>>2]|0;if((d|0)!=(x|0))TC(d);switch(e|0){case 0:{N=3;O=10;P=3;G=73;break}case 1:{N=1;O=0;P=-1;G=73;break}default:{}}if((G|0)==73){f[l>>2]=P;f[B>>2]=O;f[C>>2]=N}N=f[k+8>>2]|0;C=f[k+12>>2]|0;f[m>>2]=1124007940;f[c>>2]=2;f[q>>2]=N;f[p>>2]=C;f[r>>2]=l;f[a>>2]=l;a=o+8|0;f[a>>2]=0;f[a+4>>2]=0;f[t>>2]=q;f[v>>2]=x;q=C<<2;f[x>>2]=q;f[w>>2]=4;w=l+((Y(C,N)|0)<<2)|0;f[s>>2]=w;f[o>>2]=w+(0-q)+q;YT(m);q=y;f[q>>2]=0;f[q+4>>2]=0;f[n>>2]=33619968;f[z>>2]=k;kQ(m,n,h,1.0,0.0);h=f[A>>2]|0;if(h|0?(n=h+12|0,h=f[n>>2]|0,f[n>>2]=h+-1,(h|0)==1):0)aU(m);f[A>>2]=0;f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;f[r+12>>2]=0;if((f[c>>2]|0)>0){r=f[t>>2]|0;t=0;do{f[r+(t<<2)>>2]=0;t=t+1|0}while((t|0)<(f[c>>2]|0))}c=f[v>>2]|0;if((c|0)!=(x|0))TC(c)}c=k+36|0;x=f[c>>2]|0;if(x|0?(v=x+12|0,x=f[v>>2]|0,f[v>>2]=x+-1,(x|0)==1):0)aU(k);f[c>>2]=0;c=k+16|0;x=k+4|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[x>>2]|0)>0){c=f[k+40>>2]|0;v=0;do{f[c+(v<<2)>>2]=0;v=v+1|0}while((v|0)<(f[x>>2]|0))}x=f[k+44>>2]|0;if((x|0)!=(k+48|0))TC(x);x=j+36|0;k=f[x>>2]|0;if(k|0?(v=k+12|0,k=f[v>>2]|0,f[v>>2]=k+-1,(k|0)==1):0)aU(j);f[x>>2]=0;x=j+16|0;k=j+4|0;f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;f[x+12>>2]=0;if((f[k>>2]|0)>0){x=f[j+40>>2]|0;v=0;do{f[x+(v<<2)>>2]=0;v=v+1|0}while((v|0)<(f[k>>2]|0))}k=f[j+44>>2]|0;if((k|0)==(j+48|0)){u=i;return}TC(k);u=i;return}function lfa(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0.0;j=u;u=u+208|0;k=j+184|0;l=j+128|0;m=j+72|0;n=j+56|0;o=j;p=(g|0)==1;q=(d|0)>0&p?3:g;r=(e|0)>0&p?3:g;if((i+-5|0)>>>0>=2){p=cuc(48)|0;f[k>>2]=p;f[k+8>>2]=-2147483600;f[k+4>>2]=34;s=p;t=267593;v=s+34|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));b[p+34>>0]=0;WD(-215,k,257388,257404,96)}jK(a,q,1,i,-1,1,0);jK(c,r,1,i,-1,1,0);do if((qJ(a)|0)==65536){p=f[a+4>>2]|0;f[l>>2]=f[p>>2];w=l+4|0;x=p+4|0;f[w>>2]=f[x>>2];y=l+8|0;f[y>>2]=f[p+8>>2];f[l+12>>2]=f[p+12>>2];f[l+16>>2]=f[p+16>>2];f[l+20>>2]=f[p+20>>2];f[l+24>>2]=f[p+24>>2];f[l+28>>2]=f[p+28>>2];f[l+32>>2]=f[p+32>>2];z=f[p+36>>2]|0;f[l+36>>2]=z;f[l+40>>2]=y;y=l+48|0;A=l+44|0;f[A>>2]=y;f[y>>2]=0;f[l+52>>2]=0;if(z|0){y=z+12|0;f[y>>2]=(f[y>>2]|0)+1}if((f[x>>2]|0)<3){x=f[p+44>>2]|0;y=f[A>>2]|0;f[y>>2]=f[x>>2];f[y+4>>2]=f[x+4>>2];break}else{f[w>>2]=0;$T(l,p);break}}else nJ(l,a,-1);while(0);do if((qJ(c)|0)==65536){a=f[c+4>>2]|0;f[m>>2]=f[a>>2];p=m+4|0;w=a+4|0;f[p>>2]=f[w>>2];x=m+8|0;f[x>>2]=f[a+8>>2];f[m+12>>2]=f[a+12>>2];f[m+16>>2]=f[a+16>>2];f[m+20>>2]=f[a+20>>2];f[m+24>>2]=f[a+24>>2];f[m+28>>2]=f[a+28>>2];f[m+32>>2]=f[a+32>>2];y=f[a+36>>2]|0;f[m+36>>2]=y;f[m+40>>2]=x;x=m+48|0;A=m+44|0;f[A>>2]=x;f[x>>2]=0;f[m+52>>2]=0;if(y|0){x=y+12|0;f[x>>2]=(f[x>>2]|0)+1}if((f[w>>2]|0)<3){w=f[a+44>>2]|0;x=f[A>>2]|0;f[x>>2]=f[w>>2];f[x+4>>2]=f[w+4>>2];break}else{f[p>>2]=0;$T(m,a);break}}else nJ(m,c,-1);while(0);if((g|0)>31|(g&1|0)==0){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;g=cuc(64)|0;f[k>>2]=g;f[k+8>>2]=-2147483584;f[k+4>>2]=50;s=g;t=257474;v=s+50|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));b[g+50>>0]=0;WD(-211,k,257388,257404,104)}g=((q|0)<(r|0)?r:q)+1|0;f[n>>2]=0;c=n+4|0;f[c>>2]=0;f[n+8>>2]=0;do if(g|0)if(g>>>0>1073741823)nsc(n);else{a=g<<2;p=cuc(a)|0;f[n>>2]=p;w=p+(g<<2)|0;f[n+8>>2]=w;kzc(p|0,0,a|0)|0;f[c>>2]=w;break}while(0);if(!((e|d|0)>-1&(e+d|0)>0)){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;g=cuc(32)|0;f[k>>2]=g;f[k+8>>2]=-2147483616;f[k+4>>2]=31;s=g;t=257525;v=s+31|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));b[g+31>>0]=0;WD(-215,k,257388,257404,107)}g=o+4|0;w=o+8|0;a=o+12|0;p=o+16|0;x=o+20|0;A=o+24|0;y=o+40|0;z=o+48|0;B=o+44|0;C=o+52|0;D=o+28|0;E=k+8|0;F=k+4|0;G=o+36|0;H=0;while(1){I=(H|0)==0;J=I?l:m;K=I?d:e;L=I?q:r;if((L|0)<=(K|0)){M=48;break}switch(L|0){case 1:{I=f[n>>2]|0;N=0;O=I;P=I;M=69;break}case 3:{do if(K){I=f[n>>2]|0;if((K|0)==1){f[I>>2]=-1;Q=0;R=I;S=I;break}else{f[I>>2]=1;Q=-2;R=I;S=I;break}}else{I=f[n>>2]|0;f[I>>2]=1;Q=2;R=I;S=I}while(0);f[R+4>>2]=Q;N=2;O=R;P=S;M=69;break}default:{I=f[n>>2]|0;T=1;U=0;while(1){f[I+(U<<2)>>2]=T;if((U|0)<(L|0)){T=0;U=U+1|0}else break}U=L+~K|0;if((U|0)>0){T=f[n>>2]|0;if((L|0)<1)V=T;else{W=0;do{X=f[T>>2]|0;Z=X;_=1;$=X;while(1){X=f[T+(_<<2)>>2]|0;f[T+(_+-1<<2)>>2]=Z;if((_|0)==(L|0))break;else{Z=$+X|0;_=_+1|0;$=X}}W=W+1|0}while((W|0)!=(U|0));V=T}}else V=I;if((K|0)>0){T=f[n>>2]|0;if((L|0)<1)aa=T;else{U=0;do{W=f[T>>2]|0;$=0-W|0;_=1;Z=W;while(1){W=f[T+(_<<2)>>2]|0;f[T+(_+-1<<2)>>2]=$;if((_|0)==(L|0))break;else{$=Z-W|0;_=_+1|0;Z=W}}U=U+1|0}while((U|0)!=(K|0));aa=T}}else aa=V}}if((M|0)==69){M=0;f[O+(N<<2)>>2]=1;aa=P}T=f[J+8>>2]|0;U=f[J+12>>2]|0;f[o>>2]=1124007940;f[g>>2]=2;f[w>>2]=T;f[a>>2]=U;f[p>>2]=aa;f[x>>2]=aa;f[A>>2]=0;f[A+4>>2]=0;f[A+8>>2]=0;f[A+12>>2]=0;f[y>>2]=w;f[B>>2]=z;f[C>>2]=0;f[z>>2]=0;if((Y(U,T)|0)!=0&(aa|0)==0){M=71;break}I=U<<2;f[z>>2]=I;f[C>>2]=4;U=aa+(Y(I,T)|0)|0;f[D>>2]=U;f[A>>2]=U+(0-I)+I;YT(o);if(h)ba=1.0/+(1<<L+~K|0);else ba=1.0;I=E;f[I>>2]=0;f[I+4>>2]=0;f[k>>2]=33619968;f[F>>2]=J;kQ(o,k,i,ba,0.0);I=f[G>>2]|0;if(I|0?(U=I+12|0,I=f[U>>2]|0,f[U>>2]=I+-1,(I|0)==1):0)aU(o);f[G>>2]=0;f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;f[p+12>>2]=0;if((f[g>>2]|0)>0){I=f[y>>2]|0;U=0;do{f[I+(U<<2)>>2]=0;U=U+1|0}while((U|0)<(f[g>>2]|0))}U=f[B>>2]|0;if((U|0)!=(z|0))TC(U);H=H+1|0;if((H|0)>=2){M=26;break}}if((M|0)==26){H=f[n>>2]|0;if(H|0){n=f[c>>2]|0;if((n|0)!=(H|0))f[c>>2]=n+(~((n+-4-H|0)>>>2)<<2);fuc(H)}H=m+36|0;n=f[H>>2]|0;if(n|0?(c=n+12|0,n=f[c>>2]|0,f[c>>2]=n+-1,(n|0)==1):0)aU(m);f[H>>2]=0;H=m+16|0;n=m+4|0;f[H>>2]=0;f[H+4>>2]=0;f[H+8>>2]=0;f[H+12>>2]=0;if((f[n>>2]|0)>0){H=f[m+40>>2]|0;c=0;do{f[H+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[n>>2]|0))}n=f[m+44>>2]|0;if((n|0)!=(m+48|0))TC(n);n=l+36|0;m=f[n>>2]|0;if(m|0?(c=m+12|0,m=f[c>>2]|0,f[c>>2]=m+-1,(m|0)==1):0)aU(l);f[n>>2]=0;n=l+16|0;m=l+4|0;f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;f[n+12>>2]=0;if((f[m>>2]|0)>0){n=f[l+40>>2]|0;c=0;do{f[n+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[m>>2]|0))}m=f[l+44>>2]|0;if((m|0)==(l+48|0)){u=j;return}TC(m);u=j;return}else if((M|0)==48){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;j=cuc(16)|0;f[k>>2]=j;f[k+8>>2]=-2147483632;f[k+4>>2]=13;s=j;t=257557;v=s+13|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));b[j+13>>0]=0;WD(-215,k,257388,257404,115)}else if((M|0)==71){M=cuc(32)|0;f[k>>2]=M;f[k+8>>2]=-2147483616;f[k+4>>2]=28;s=M;t=466324;v=s+28|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));b[M+28>>0]=0;WD(-215,k,466353,466357,548)}}function mfa(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=+h;i=+i;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;k=u;u=u+336|0;l=k+280|0;m=k+272|0;n=k+264|0;o=k+200|0;p=k+208|0;q=k+144|0;r=k+88|0;s=k+80|0;t=k+72|0;v=k+56|0;w=k+40|0;x=k+16|0;y=k;z=k+32|0;f[m>>2]=c;gV(n,55004);A=pJ(a,-1)|0;B=A&7;if((c|0)<0){f[m>>2]=B;C=B}else C=c;oJ(o,a,-1);IJ(b,o,C&7|A&4088,-1,0,0);A=(C|0)<(B|0)?B:C;C=(A|0)>5?A:5;f[p>>2]=1124007936;A=p+4|0;B=p+8|0;o=p+40|0;c=A;D=c+36|0;do{f[c>>2]=0;c=c+4|0}while((c|0)<(D|0));f[o>>2]=B;B=p+48|0;E=p+44|0;f[E>>2]=B;f[B>>2]=0;f[p+52>>2]=0;f[q>>2]=1124007936;F=q+4|0;G=q+8|0;H=q+40|0;c=F;D=c+36|0;do{f[c>>2]=0;c=c+4|0}while((c|0)<(D|0));f[H>>2]=G;G=q+48|0;c=q+44|0;f[c>>2]=G;f[G>>2]=0;f[q+52>>2]=0;D=l+8|0;f[D>>2]=0;f[D+4>>2]=0;f[l>>2]=33619968;f[l+4>>2]=p;D=r+8|0;f[D>>2]=0;f[D+4>>2]=0;f[r>>2]=33619968;f[r+4>>2]=q;if((g|0)<1)kfa(l,r,d,e,0,C);else lfa(l,r,d,e,g,0,C);do if(h!=1.0)if(!d){C=l+8|0;f[C>>2]=0;f[C+4>>2]=0;f[l>>2]=33619968;f[l+4>>2]=p;kQ(p,l,-1,h,0.0);break}else{C=l+8|0;f[C>>2]=0;f[C+4>>2]=0;f[l>>2]=33619968;f[l+4>>2]=q;kQ(q,l,-1,h,0.0);break}while(0);do if((qJ(a)|0)==65536){d=f[a+4>>2]|0;f[l>>2]=f[d>>2];C=l+4|0;g=d+4|0;f[C>>2]=f[g>>2];e=l+8|0;f[e>>2]=f[d+8>>2];f[l+12>>2]=f[d+12>>2];f[l+16>>2]=f[d+16>>2];f[l+20>>2]=f[d+20>>2];f[l+24>>2]=f[d+24>>2];f[l+28>>2]=f[d+28>>2];f[l+32>>2]=f[d+32>>2];D=f[d+36>>2]|0;f[l+36>>2]=D;f[l+40>>2]=e;e=l+48|0;I=l+44|0;f[I>>2]=e;f[e>>2]=0;f[l+52>>2]=0;if(D|0){e=D+12|0;f[e>>2]=(f[e>>2]|0)+1}if((f[g>>2]|0)<3){g=f[d+44>>2]|0;e=f[I>>2]|0;f[e>>2]=f[g>>2];f[e+4>>2]=f[g+4>>2];break}else{f[C>>2]=0;$T(l,d);break}}else nJ(l,a,-1);while(0);do if((qJ(b)|0)==65536){a=f[b+4>>2]|0;f[r>>2]=f[a>>2];d=r+4|0;C=a+4|0;f[d>>2]=f[C>>2];g=r+8|0;f[g>>2]=f[a+8>>2];f[r+12>>2]=f[a+12>>2];f[r+16>>2]=f[a+16>>2];f[r+20>>2]=f[a+20>>2];f[r+24>>2]=f[a+24>>2];f[r+28>>2]=f[a+28>>2];f[r+32>>2]=f[a+32>>2];e=f[a+36>>2]|0;f[r+36>>2]=e;f[r+40>>2]=g;g=r+48|0;I=r+44|0;f[I>>2]=g;f[g>>2]=0;f[r+52>>2]=0;if(e|0){g=e+12|0;f[g>>2]=(f[g>>2]|0)+1}if((f[C>>2]|0)<3){C=f[a+44>>2]|0;g=f[I>>2]|0;f[g>>2]=f[C>>2];f[g+4>>2]=f[C+4>>2];break}else{f[d>>2]=0;$T(r,a);break}}else nJ(r,b,-1);while(0);f[s>>2]=0;f[s+4>>2]=0;b=f[l+8>>2]|0;f[t>>2]=f[l+12>>2];f[t+4>>2]=b;if(!(j&16))kU(l,t,s);s=l+16|0;t=l+44|0;b=r+16|0;a=r+44|0;f[v+8>>2]=0;f[v+12>>2]=0;f[v>>2]=16842752;f[v+4>>2]=l;d=w+8|0;f[d>>2]=0;f[d+4>>2]=0;f[w>>2]=33619968;f[w+4>>2]=r;d=f[m>>2]|0;f[x+8>>2]=0;f[x+12>>2]=0;f[x>>2]=16842752;f[x+4>>2]=p;f[y+8>>2]=0;f[y+12>>2]=0;f[y>>2]=16842752;f[y+4>>2]=q;f[z>>2]=-1;f[z+4>>2]=-1;taa(v,w,d,x,y,z,i,j);j=r+36|0;z=f[j>>2]|0;if(z|0?(y=z+12|0,z=f[y>>2]|0,f[y>>2]=z+-1,(z|0)==1):0)aU(r);f[j>>2]=0;j=r+4|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;if((f[j>>2]|0)>0){b=f[r+40>>2]|0;z=0;do{f[b+(z<<2)>>2]=0;z=z+1|0}while((z|0)<(f[j>>2]|0))}j=f[a>>2]|0;if((j|0)!=(r+48|0))TC(j);j=l+36|0;r=f[j>>2]|0;if(r|0?(a=r+12|0,r=f[a>>2]|0,f[a>>2]=r+-1,(r|0)==1):0)aU(l);f[j>>2]=0;j=l+4|0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;if((f[j>>2]|0)>0){s=f[l+40>>2]|0;r=0;do{f[s+(r<<2)>>2]=0;r=r+1|0}while((r|0)<(f[j>>2]|0))}j=f[t>>2]|0;if((j|0)!=(l+48|0))TC(j);j=q+36|0;l=f[j>>2]|0;if(l|0?(t=l+12|0,l=f[t>>2]|0,f[t>>2]=l+-1,(l|0)==1):0)aU(q);f[j>>2]=0;j=q+16|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;if((f[F>>2]|0)>0){j=f[H>>2]|0;H=0;do{f[j+(H<<2)>>2]=0;H=H+1|0}while((H|0)<(f[F>>2]|0))}F=f[c>>2]|0;if((F|0)!=(G|0))TC(F);F=p+36|0;G=f[F>>2]|0;if(G|0?(c=G+12|0,G=f[c>>2]|0,f[c>>2]=G+-1,(G|0)==1):0)aU(p);f[F>>2]=0;F=p+16|0;f[F>>2]=0;f[F+4>>2]=0;f[F+8>>2]=0;f[F+12>>2]=0;if((f[A>>2]|0)>0){F=f[o>>2]|0;o=0;do{f[F+(o<<2)>>2]=0;o=o+1|0}while((o|0)<(f[A>>2]|0))}A=f[E>>2]|0;if((A|0)!=(B|0))TC(A);if(!(f[n+4>>2]|0)){u=k;return}u=k;return}function nfa(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=+g;h=+h;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;j=u;u=u+336|0;k=j+280|0;l=j+272|0;m=j+264|0;n=j+200|0;o=j+208|0;p=j+144|0;q=j+88|0;r=j+80|0;s=j+72|0;t=j+56|0;v=j+40|0;w=j+16|0;x=j;y=j+32|0;f[l>>2]=c;gV(m,55024);z=pJ(a,-1)|0;A=z&7;if((c|0)<0){f[l>>2]=A;B=A}else B=c;oJ(n,a,-1);IJ(b,n,B&7|z&4088,-1,0,0);z=(B|0)<(A|0)?A:B;B=(z|0)>5?z:5;f[o>>2]=1124007936;z=o+4|0;A=o+8|0;n=o+40|0;c=z;C=c+36|0;do{f[c>>2]=0;c=c+4|0}while((c|0)<(C|0));f[n>>2]=A;A=o+48|0;D=o+44|0;f[D>>2]=A;f[A>>2]=0;f[o+52>>2]=0;f[p>>2]=1124007936;E=p+4|0;F=p+8|0;G=p+40|0;c=E;C=c+36|0;do{f[c>>2]=0;c=c+4|0}while((c|0)<(C|0));f[G>>2]=F;F=p+48|0;c=p+44|0;f[c>>2]=F;f[F>>2]=0;f[p+52>>2]=0;C=k+8|0;f[C>>2]=0;f[C+4>>2]=0;f[k>>2]=33619968;f[k+4>>2]=o;C=q+8|0;f[C>>2]=0;f[C+4>>2]=0;f[q>>2]=33619968;f[q+4>>2]=p;kfa(k,q,d,e,0,B);do if(g!=1.0)if(!d){B=k+8|0;f[B>>2]=0;f[B+4>>2]=0;f[k>>2]=33619968;f[k+4>>2]=o;kQ(o,k,-1,g,0.0);break}else{B=k+8|0;f[B>>2]=0;f[B+4>>2]=0;f[k>>2]=33619968;f[k+4>>2]=p;kQ(p,k,-1,g,0.0);break}while(0);do if((qJ(a)|0)==65536){d=f[a+4>>2]|0;f[k>>2]=f[d>>2];B=k+4|0;e=d+4|0;f[B>>2]=f[e>>2];C=k+8|0;f[C>>2]=f[d+8>>2];f[k+12>>2]=f[d+12>>2];f[k+16>>2]=f[d+16>>2];f[k+20>>2]=f[d+20>>2];f[k+24>>2]=f[d+24>>2];f[k+28>>2]=f[d+28>>2];f[k+32>>2]=f[d+32>>2];H=f[d+36>>2]|0;f[k+36>>2]=H;f[k+40>>2]=C;C=k+48|0;I=k+44|0;f[I>>2]=C;f[C>>2]=0;f[k+52>>2]=0;if(H|0){C=H+12|0;f[C>>2]=(f[C>>2]|0)+1}if((f[e>>2]|0)<3){e=f[d+44>>2]|0;C=f[I>>2]|0;f[C>>2]=f[e>>2];f[C+4>>2]=f[e+4>>2];break}else{f[B>>2]=0;$T(k,d);break}}else nJ(k,a,-1);while(0);do if((qJ(b)|0)==65536){a=f[b+4>>2]|0;f[q>>2]=f[a>>2];d=q+4|0;B=a+4|0;f[d>>2]=f[B>>2];e=q+8|0;f[e>>2]=f[a+8>>2];f[q+12>>2]=f[a+12>>2];f[q+16>>2]=f[a+16>>2];f[q+20>>2]=f[a+20>>2];f[q+24>>2]=f[a+24>>2];f[q+28>>2]=f[a+28>>2];f[q+32>>2]=f[a+32>>2];C=f[a+36>>2]|0;f[q+36>>2]=C;f[q+40>>2]=e;e=q+48|0;I=q+44|0;f[I>>2]=e;f[e>>2]=0;f[q+52>>2]=0;if(C|0){e=C+12|0;f[e>>2]=(f[e>>2]|0)+1}if((f[B>>2]|0)<3){B=f[a+44>>2]|0;e=f[I>>2]|0;f[e>>2]=f[B>>2];f[e+4>>2]=f[B+4>>2];break}else{f[d>>2]=0;$T(q,a);break}}else nJ(q,b,-1);while(0);f[r>>2]=0;f[r+4>>2]=0;b=f[k+8>>2]|0;f[s>>2]=f[k+12>>2];f[s+4>>2]=b;if(!(i&16))kU(k,s,r);r=k+16|0;s=k+44|0;b=q+16|0;a=q+44|0;f[t+8>>2]=0;f[t+12>>2]=0;f[t>>2]=16842752;f[t+4>>2]=k;d=v+8|0;f[d>>2]=0;f[d+4>>2]=0;f[v>>2]=33619968;f[v+4>>2]=q;d=f[l>>2]|0;f[w+8>>2]=0;f[w+12>>2]=0;f[w>>2]=16842752;f[w+4>>2]=o;f[x+8>>2]=0;f[x+12>>2]=0;f[x>>2]=16842752;f[x+4>>2]=p;f[y>>2]=-1;f[y+4>>2]=-1;taa(t,v,d,w,x,y,h,i);i=q+36|0;y=f[i>>2]|0;if(y|0?(x=y+12|0,y=f[x>>2]|0,f[x>>2]=y+-1,(y|0)==1):0)aU(q);f[i>>2]=0;i=q+4|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;if((f[i>>2]|0)>0){b=f[q+40>>2]|0;y=0;do{f[b+(y<<2)>>2]=0;y=y+1|0}while((y|0)<(f[i>>2]|0))}i=f[a>>2]|0;if((i|0)!=(q+48|0))TC(i);i=k+36|0;q=f[i>>2]|0;if(q|0?(a=q+12|0,q=f[a>>2]|0,f[a>>2]=q+-1,(q|0)==1):0)aU(k);f[i>>2]=0;i=k+4|0;f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;f[r+12>>2]=0;if((f[i>>2]|0)>0){r=f[k+40>>2]|0;q=0;do{f[r+(q<<2)>>2]=0;q=q+1|0}while((q|0)<(f[i>>2]|0))}i=f[s>>2]|0;if((i|0)!=(k+48|0))TC(i);i=p+36|0;k=f[i>>2]|0;if(k|0?(s=k+12|0,k=f[s>>2]|0,f[s>>2]=k+-1,(k|0)==1):0)aU(p);f[i>>2]=0;i=p+16|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;if((f[E>>2]|0)>0){i=f[G>>2]|0;G=0;do{f[i+(G<<2)>>2]=0;G=G+1|0}while((G|0)<(f[E>>2]|0))}E=f[c>>2]|0;if((E|0)!=(F|0))TC(E);E=o+36|0;F=f[E>>2]|0;if(F|0?(c=F+12|0,F=f[c>>2]|0,f[c>>2]=F+-1,(F|0)==1):0)aU(o);f[E>>2]=0;E=o+16|0;f[E>>2]=0;f[E+4>>2]=0;f[E+8>>2]=0;f[E+12>>2]=0;if((f[z>>2]|0)>0){E=f[n>>2]|0;n=0;do{f[E+(n<<2)>>2]=0;n=n+1|0}while((n|0)<(f[z>>2]|0))}z=f[D>>2]|0;if((z|0)!=(A|0))TC(z);if(!(f[m+4>>2]|0)){u=j;return}u=j;return}function ofa(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;g=+g;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0;i=u;u=u+624|0;j=i+600|0;k=i+528|0;l=i;m=i+520|0;n=i+496|0;o=i+512|0;p=i+504|0;q=i+432|0;r=i+376|0;s=i+312|0;t=i+256|0;v=i+248|0;w=i+240|0;x=i+232|0;y=i+488|0;z=i+224|0;A=i+368|0;B=i+168|0;C=i+112|0;D=i+56|0;f[m>>2]=c;gV(n,55044);E=pJ(a,-1)|0;F=E&7;G=E>>>3&511;H=G+1|0;if((c|0)<0){f[m>>2]=F;I=F}else I=c;oJ(o,a,-1);c=G<<3;IJ(b,o,I&7|c,-1,0,0);if((d|2|0)==3){o=(d|0)==3;J=k;G=55064;K=J+72|0;do{f[J>>2]=f[G>>2];J=J+4|0;G=G+4|0}while((J|0)<(K|0));L=o&1;o=k+(L*36|0)|0;f[l>>2]=1124007941;M=l+4|0;f[M>>2]=2;N=l+8|0;f[N>>2]=3;f[l+12>>2]=3;O=l+16|0;f[O>>2]=o;f[l+20>>2]=o;o=l+24|0;P=l+40|0;Q=o+8|0;f[Q>>2]=0;f[Q+4>>2]=0;f[P>>2]=N;N=l+48|0;Q=l+44|0;f[Q>>2]=N;f[N>>2]=12;f[l+52>>2]=4;R=k+(L*36|0)+36|0;f[l+28>>2]=R;f[o>>2]=R;YT(l);R=e!=1.0;if(R){o=j+8|0;f[o>>2]=0;f[o+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=l;kQ(l,j,-1,e,0.0)}o=l+36|0;S=f[o>>2]|0;if(S|0?(T=S+12|0,S=f[T>>2]|0,f[T>>2]=S+-1,(S|0)==1):0)aU(l);f[o>>2]=0;f[O>>2]=0;f[O+4>>2]=0;f[O+8>>2]=0;f[O+12>>2]=0;if((f[M>>2]|0)>0){O=f[P>>2]|0;P=0;do{f[O+(P<<2)>>2]=0;P=P+1|0}while((P|0)<(f[M>>2]|0))}M=f[Q>>2]|0;if((M|0)!=(N|0))TC(M);J=k;G=55064;K=J+72|0;do{f[J>>2]=f[G>>2];J=J+4|0;G=G+4|0}while((J|0)<(K|0));G=k+(L*36|0)|0;f[l>>2]=1124007941;M=l+4|0;f[M>>2]=2;N=l+8|0;f[N>>2]=3;f[l+12>>2]=3;Q=l+16|0;f[Q>>2]=G;f[l+20>>2]=G;G=l+24|0;P=l+40|0;O=G+8|0;f[O>>2]=0;f[O+4>>2]=0;f[P>>2]=N;N=l+48|0;O=l+44|0;f[O>>2]=N;f[N>>2]=12;f[l+52>>2]=4;o=k+(L*36|0)+36|0;f[l+28>>2]=o;f[G>>2]=o;YT(l);if(R){R=j+8|0;f[R>>2]=0;f[R+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=l;kQ(l,j,-1,e,0.0)}R=f[m>>2]|0;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=l;f[p>>2]=-1;f[p+4>>2]=-1;saa(a,b,R,j,p,g,h);p=l+36|0;R=f[p>>2]|0;if(R|0?(o=R+12|0,R=f[o>>2]|0,f[o>>2]=R+-1,(R|0)==1):0)aU(l);f[p>>2]=0;f[Q>>2]=0;f[Q+4>>2]=0;f[Q+8>>2]=0;f[Q+12>>2]=0;if((f[M>>2]|0)>0){Q=f[P>>2]|0;P=0;do{f[Q+(P<<2)>>2]=0;P=P+1|0}while((P|0)<(f[M>>2]|0))}M=f[O>>2]|0;if((M|0)!=(N|0))TC(M)}else{M=(I|0)<(F|0)?F:I;I=(M|0)>5?M:5;M=((d|0)<6&(F|0)==0?3:F>>>0<6?5:6)|c;f[q>>2]=1124007936;c=q+4|0;N=q+8|0;O=q+40|0;J=c;K=J+36|0;do{f[J>>2]=0;J=J+4|0}while((J|0)<(K|0));f[O>>2]=N;P=q+48|0;Q=q+44|0;f[Q>>2]=P;f[P>>2]=0;f[q+52>>2]=0;f[r>>2]=1124007936;p=r+4|0;R=r+8|0;o=r+40|0;J=p;K=J+36|0;do{f[J>>2]=0;J=J+4|0}while((J|0)<(K|0));f[o>>2]=R;R=r+48|0;G=r+44|0;f[G>>2]=R;f[R>>2]=0;f[r+52>>2]=0;L=j+8|0;f[L>>2]=0;f[L+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=q;L=k+8|0;f[L>>2]=0;f[L+4>>2]=0;f[k>>2]=33619968;f[k+4>>2]=r;lfa(j,k,2,0,d,0,I);do if((qJ(a)|0)==65536){I=f[a+4>>2]|0;f[s>>2]=f[I>>2];d=s+4|0;L=I+4|0;f[d>>2]=f[L>>2];S=s+8|0;f[S>>2]=f[I+8>>2];f[s+12>>2]=f[I+12>>2];f[s+16>>2]=f[I+16>>2];f[s+20>>2]=f[I+20>>2];f[s+24>>2]=f[I+24>>2];f[s+28>>2]=f[I+28>>2];f[s+32>>2]=f[I+32>>2];T=f[I+36>>2]|0;f[s+36>>2]=T;f[s+40>>2]=S;S=s+48|0;U=s+44|0;f[U>>2]=S;f[S>>2]=0;f[s+52>>2]=0;if(T|0){S=T+12|0;f[S>>2]=(f[S>>2]|0)+1}if((f[L>>2]|0)<3){L=f[I+44>>2]|0;S=f[U>>2]|0;f[S>>2]=f[L>>2];f[S+4>>2]=f[L+4>>2];break}else{f[d>>2]=0;$T(s,I);break}}else nJ(s,a,-1);while(0);do if((qJ(b)|0)==65536){a=f[b+4>>2]|0;f[t>>2]=f[a>>2];I=t+4|0;d=a+4|0;f[I>>2]=f[d>>2];L=t+8|0;f[L>>2]=f[a+8>>2];f[t+12>>2]=f[a+12>>2];f[t+16>>2]=f[a+16>>2];f[t+20>>2]=f[a+20>>2];f[t+24>>2]=f[a+24>>2];f[t+28>>2]=f[a+28>>2];f[t+32>>2]=f[a+32>>2];S=f[a+36>>2]|0;f[t+36>>2]=S;f[t+40>>2]=L;L=t+48|0;U=t+44|0;f[U>>2]=L;f[L>>2]=0;f[t+52>>2]=0;if(S|0){L=S+12|0;f[L>>2]=(f[L>>2]|0)+1}if((f[d>>2]|0)<3){d=f[a+44>>2]|0;L=f[U>>2]|0;f[L>>2]=f[d>>2];f[L+4>>2]=f[d+4>>2];break}else{f[I>>2]=0;$T(t,a);break}}else nJ(t,b,-1);while(0);f[v>>2]=0;f[v+4>>2]=0;b=s+12|0;a=s+8|0;I=f[a>>2]|0;f[w>>2]=f[b>>2];f[w+4>>2]=I;if(!(h&16))kU(s,w,v);I=h&-17;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=q;f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=16842752;f[k+4>>2]=r;f[y>>2]=-1;f[y+4>>2]=-1;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;f[l+16>>2]=0;f[l+20>>2]=0;f[l+24>>2]=0;f[l+28>>2]=0;i8(x,E,M,j,k,y,0.0,I,I,l);f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=r;f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=16842752;f[k+4>>2]=q;f[A>>2]=-1;f[A+4>>2]=-1;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;f[l+16>>2]=0;f[l+20>>2]=0;f[l+24>>2]=0;f[l+28>>2]=0;i8(z,E,M,j,k,A,0.0,I,I,l);I=f[x>>2]|0;A=Cg[f[(f[I>>2]|0)+12>>2]&127](I,s,w,v)|0;I=f[z>>2]|0;Cg[f[(f[I>>2]|0)+12>>2]&127](I,s,w,v)|0;v=s+16|0;w=s+44|0;I=(f[v>>2]|0)+(Y(f[f[w>>2]>>2]|0,A)|0)|0;A=Y(675553809>>>(F<<2)&15,H)|0;H=f[b>>2]|0;F=Y(A,H)|0;A=f[a>>2]|0;E=F>>>0>16384?1:16384/(F>>>0)|0;F=(A|0)<(E|0)?A:E;E=(f[N>>2]|0)+-1+F|0;f[B>>2]=1124007936;A=B+4|0;y=B+8|0;h=B+40|0;J=A;K=J+36|0;do{f[J>>2]=0;J=J+4|0}while((J|0)<(K|0));f[h>>2]=y;d=B+48|0;L=B+44|0;f[L>>2]=d;f[d>>2]=0;f[B+52>>2]=0;f[j>>2]=E;E=j+4|0;f[E>>2]=H;ZT(B,2,j,M);H=F+-1+(f[N>>2]|0)|0;N=f[b>>2]|0;f[C>>2]=1124007936;b=C+4|0;U=C+8|0;S=C+40|0;J=b;K=J+36|0;do{f[J>>2]=0;J=J+4|0}while((J|0)<(K|0));f[S>>2]=U;J=C+48|0;K=C+44|0;f[K>>2]=J;f[J>>2]=0;f[C+52>>2]=0;f[j>>2]=H;f[E>>2]=N;ZT(C,2,j,M);if((f[a>>2]|0)>0){M=s+48|0;N=B+16|0;E=C+16|0;H=j+4|0;T=k+4|0;V=j+8|0;W=j+12|0;X=j+4|0;Z=k+8|0;_=k+12|0;$=k+4|0;aa=l+8|0;ba=l+4|0;ca=j+8|0;da=j+4|0;ea=D+36|0;fa=D+16|0;ga=D+4|0;ha=D+40|0;ia=D+44|0;ja=D+48|0;ka=I;I=0;la=f[M>>2]|0;while(1){ma=f[x>>2]|0;Wf[f[(f[ma>>2]|0)+16>>2]&127](ma,ka,la,F,f[N>>2]|0,f[d>>2]|0)|0;ma=f[z>>2]|0;na=Wf[f[(f[ma>>2]|0)+16>>2]&127](ma,ka,f[M>>2]|0,F,f[E>>2]|0,f[J>>2]|0)|0;if((na|0)>0){ma=na+I|0;f[j>>2]=I;f[H>>2]=ma;f[k>>2]=-2147483648;f[T>>2]=2147483647;bU(D,t,j,k);f[U>>2]=na;f[y>>2]=na;f[V>>2]=0;f[W>>2]=0;f[j>>2]=16842752;f[X>>2]=B;f[Z>>2]=0;f[_>>2]=0;f[k>>2]=16842752;f[$>>2]=C;oa=aa;f[oa>>2]=0;f[oa+4>>2]=0;f[l>>2]=33619968;f[ba>>2]=B;rW(j,k,l,sK()|0,-1);oa=ca;f[oa>>2]=0;f[oa+4>>2]=0;f[j>>2]=33619968;f[da>>2]=D;kQ(B,j,f[m>>2]|0,e,g);oa=f[ea>>2]|0;if(oa|0?(pa=oa+12|0,oa=f[pa>>2]|0,f[pa>>2]=oa+-1,(oa|0)==1):0)aU(D);f[ea>>2]=0;f[fa>>2]=0;f[fa+4>>2]=0;f[fa+8>>2]=0;f[fa+12>>2]=0;if((f[ga>>2]|0)>0){oa=f[ha>>2]|0;pa=0;do{f[oa+(pa<<2)>>2]=0;pa=pa+1|0}while((pa|0)<(f[ga>>2]|0))}pa=f[ia>>2]|0;if((pa|0)!=(ja|0))TC(pa);qa=ma}else qa=na+I|0;la=f[M>>2]|0;ka=ka+(Y(la,F)|0)|0;if((qa|0)>=(f[a>>2]|0))break;else I=qa}}qa=C+36|0;I=f[qa>>2]|0;if(I|0?(a=I+12|0,I=f[a>>2]|0,f[a>>2]=I+-1,(I|0)==1):0)aU(C);f[qa>>2]=0;qa=C+16|0;f[qa>>2]=0;f[qa+4>>2]=0;f[qa+8>>2]=0;f[qa+12>>2]=0;if((f[b>>2]|0)>0){qa=f[S>>2]|0;S=0;do{f[qa+(S<<2)>>2]=0;S=S+1|0}while((S|0)<(f[b>>2]|0))}b=f[K>>2]|0;if((b|0)!=(J|0))TC(b);b=B+36|0;J=f[b>>2]|0;if(J|0?(K=J+12|0,J=f[K>>2]|0,f[K>>2]=J+-1,(J|0)==1):0)aU(B);f[b>>2]=0;b=B+16|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;if((f[A>>2]|0)>0){b=f[h>>2]|0;h=0;do{f[b+(h<<2)>>2]=0;h=h+1|0}while((h|0)<(f[A>>2]|0))}A=f[L>>2]|0;if((A|0)!=(d|0))TC(A);A=f[z+4>>2]|0;if(A|0)Xtc(A);A=f[x+4>>2]|0;if(A|0)Xtc(A);A=t+36|0;x=f[A>>2]|0;if(x|0?(z=x+12|0,x=f[z>>2]|0,f[z>>2]=x+-1,(x|0)==1):0)aU(t);f[A>>2]=0;A=t+16|0;x=t+4|0;f[A>>2]=0;f[A+4>>2]=0;f[A+8>>2]=0;f[A+12>>2]=0;if((f[x>>2]|0)>0){A=f[t+40>>2]|0;z=0;do{f[A+(z<<2)>>2]=0;z=z+1|0}while((z|0)<(f[x>>2]|0))}x=f[t+44>>2]|0;if((x|0)!=(t+48|0))TC(x);x=s+36|0;t=f[x>>2]|0;do if(t|0){z=t+12|0;A=f[z>>2]|0;f[z>>2]=A+-1;if((A|0)!=1)break;aU(s)}while(0);f[x>>2]=0;x=s+4|0;f[v>>2]=0;f[v+4>>2]=0;f[v+8>>2]=0;f[v+12>>2]=0;if((f[x>>2]|0)>0){v=f[s+40>>2]|0;t=0;do{f[v+(t<<2)>>2]=0;t=t+1|0}while((t|0)<(f[x>>2]|0))}x=f[w>>2]|0;if((x|0)!=(s+48|0))TC(x);x=r+36|0;s=f[x>>2]|0;do if(s|0){w=s+12|0;t=f[w>>2]|0;f[w>>2]=t+-1;if((t|0)!=1)break;aU(r)}while(0);f[x>>2]=0;x=r+16|0;f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;f[x+12>>2]=0;if((f[p>>2]|0)>0){x=f[o>>2]|0;o=0;do{f[x+(o<<2)>>2]=0;o=o+1|0}while((o|0)<(f[p>>2]|0))}p=f[G>>2]|0;if((p|0)!=(R|0))TC(p);p=q+36|0;R=f[p>>2]|0;do if(R|0){G=R+12|0;o=f[G>>2]|0;f[G>>2]=o+-1;if((o|0)!=1)break;aU(q)}while(0);f[p>>2]=0;p=q+16|0;f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;f[p+12>>2]=0;if((f[c>>2]|0)>0){p=f[O>>2]|0;O=0;do{f[p+(O<<2)>>2]=0;O=O+1|0}while((O|0)<(f[c>>2]|0))}c=f[Q>>2]|0;if((c|0)!=(P|0))TC(c)}if(!(f[n+4>>2]|0)){u=i;return}u=i;return}function pfa(a,c,d,e,g,h){a=a|0;c=c|0;d=+d;e=+e;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0.0,I=0.0,J=0.0,K=0.0,L=0.0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0;i=u;u=u+400|0;j=i+384|0;k=i+368|0;l=i+304|0;m=i+360|0;n=i+240|0;o=i+184|0;p=i+296|0;q=i+128|0;r=i+104|0;s=i+96|0;t=i+24|0;v=i+16|0;w=i;gV(j,55136);if(CJ(a,-1)|0){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;x=cuc(32)|0;f[k>>2]=x;f[k+8>>2]=-2147483616;f[k+4>>2]=21;y=x;z=257854;A=y+21|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));b[x+21>>0]=0;WD(-215,k,257876,257882,947)}oJ(k,a,-1);x=c+4|0;B=a+4|0;if((f[x>>2]|0)==(f[B>>2]|0)?pJ(a,-1)|0:0){f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;C=cuc(112)|0;f[l>>2]=C;f[l+8>>2]=-2147483536;f[l+4>>2]=100;y=C;z=257952;A=y+100|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));b[C+100>>0]=0;WD(-215,l,257876,257882,952)}f[m>>2]=f[k>>2];f[m+4>>2]=f[k+4>>2];IJ(c,m,0,-1,0,0);m=(g|0)<0&(h^1);k=m|h;h=m?g&2147483647:g;if(!(h&1)){f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;D=cuc(48)|0;f[l>>2]=D;E=l+8|0;f[E>>2]=-2147483600;F=l+4|0;f[F>>2]=43;y=D;z=258053;A=y+43|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));G=D+43|0;b[G>>0]=0;WD(-206,l,257876,257882,964)}switch(h|0){case 7:{H=d*.0625;I=e*.0625;break}case -1:case 6:case 5:case 4:case 3:{H=d;I=e;break}default:{f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;D=cuc(48)|0;f[l>>2]=D;E=l+8|0;f[E>>2]=-2147483600;F=l+4|0;f[F>>2]=43;y=D;z=258053;A=y+43|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));G=D+43|0;b[G>>0]=0;WD(-206,l,257876,257882,964)}}G=H>I;e=G?H:I;d=G?I:H;do if((qJ(a)|0)==65536){G=f[B>>2]|0;f[l>>2]=f[G>>2];D=l+4|0;z=G+4|0;f[D>>2]=f[z>>2];F=l+8|0;f[F>>2]=f[G+8>>2];f[l+12>>2]=f[G+12>>2];f[l+16>>2]=f[G+16>>2];f[l+20>>2]=f[G+20>>2];f[l+24>>2]=f[G+24>>2];f[l+28>>2]=f[G+28>>2];f[l+32>>2]=f[G+32>>2];E=f[G+36>>2]|0;f[l+36>>2]=E;f[l+40>>2]=F;F=l+48|0;g=l+44|0;f[g>>2]=F;f[F>>2]=0;f[l+52>>2]=0;if(E|0){F=E+12|0;f[F>>2]=(f[F>>2]|0)+1}if((f[z>>2]|0)<3){z=f[G+44>>2]|0;F=f[g>>2]|0;f[F>>2]=f[z>>2];f[F+4>>2]=f[z+4>>2];break}else{f[D>>2]=0;$T(l,G);break}}else nJ(l,a,-1);while(0);do if((qJ(c)|0)==65536){a=f[x>>2]|0;f[n>>2]=f[a>>2];B=n+4|0;G=a+4|0;f[B>>2]=f[G>>2];D=n+8|0;f[D>>2]=f[a+8>>2];f[n+12>>2]=f[a+12>>2];f[n+16>>2]=f[a+16>>2];f[n+20>>2]=f[a+20>>2];f[n+24>>2]=f[a+24>>2];f[n+28>>2]=f[a+28>>2];f[n+32>>2]=f[a+32>>2];z=f[a+36>>2]|0;f[n+36>>2]=z;f[n+40>>2]=D;D=n+48|0;F=n+44|0;f[F>>2]=D;f[D>>2]=0;f[n+52>>2]=0;if(z|0){D=z+12|0;f[D>>2]=(f[D>>2]|0)+1}if((f[G>>2]|0)<3){G=f[a+44>>2]|0;D=f[F>>2]|0;f[D>>2]=f[G>>2];f[D+4>>2]=f[G+4>>2];break}else{f[B>>2]=0;$T(n,a);break}}else nJ(n,c,-1);while(0);c=l+40|0;x=f[c>>2]|0;a=f[x>>2]|0;f[p>>2]=f[x+4>>2];f[p+4>>2]=a;a=l+16|0;x=l+48|0;zD(o,p,f[l>>2]&4095,f[a>>2]|0,f[x>>2]|0);p=o+16|0;B=n+16|0;G=o+12|0;D=o+8|0;if(k){H=d<32767.0?d:32767.0;I=e<32767.0?e:32767.0;J=H>0.0?H*H:H;if(I>0.0){K=I*I;L=J}else{K=I;L=J}}else{K=e;L=d}F=~~L;z=F-(+(F|0)>L&1)|0;F=~~K;g=F-(+(F|0)>K&1)|0;F=tZ()|0;E=uZ()|0;m=(E|0)<(F|0)?E:F;F=(m|0)>1?m:1;m=f[D>>2]|0;E=(h|0)<0?4:(((h|0)/2|0)<<1)+2|0;if(((m|0)/(F|0)|0|0)<(E|0)){C=(m|0)/(E|0)|0;M=(C|0)>1?C:1}else M=F;f[q>>2]=1124007936;F=q+4|0;C=q+8|0;E=q+40|0;y=F;A=y+36|0;do{f[y>>2]=0;y=y+4|0}while((y|0)<(A|0));f[E>>2]=C;C=q+48|0;y=q+44|0;f[y>>2]=C;f[C>>2]=0;f[q+52>>2]=0;f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;f[r+12>>2]=0;f[r+16>>2]=0;f[r+20>>2]=0;f[s>>2]=0;f[s+4>>2]=m;qfa(t,o,q,r,z,g,h,k);sZ(s,t,+(M|0));f[t>>2]=55164;_tc(t+44|0);gV(s,55176);s=f[q+12>>2]|0;M=r+20|0;k=f[M>>2]|0;if(k|0){h=r+16|0;g=r+4|0;z=r+8|0;m=0-s|0;A=~s;N=1-s|0;O=s+-1|0;P=s+1|0;Q=k;while(1){k=f[h>>2]|0;R=Q+-1|0;S=k+R|0;T=f[g>>2]|0;U=f[(f[T+(S>>>10<<2)>>2]|0)+((S&1023)<<2)>>2]|0;f[M>>2]=R;R=f[z>>2]|0;S=R-T|0;if((1-Q-k+((S|0)==0?0:(S<<8)+-1|0)|0)>>>0>2047){fuc(f[R+-4>>2]|0);f[z>>2]=(f[z>>2]|0)+-4}R=U+m|0;if(!(b[U+A>>0]|0)){S=R+-1|0;b[S>>0]=2;k=f[g>>2]|0;T=(f[z>>2]|0)-k|0;V=f[h>>2]|0;W=f[M>>2]|0;if((((T|0)==0?0:(T<<8)+-1|0)|0)==(W+V|0)){rfa(r);X=f[h>>2]|0;Z=f[M>>2]|0;_=f[g>>2]|0}else{X=V;Z=W;_=k}k=Z+X|0;f[(f[_+(k>>>10<<2)>>2]|0)+((k&1023)<<2)>>2]=S;f[M>>2]=Z+1}if(!(b[R>>0]|0)){b[R>>0]=2;S=f[g>>2]|0;k=(f[z>>2]|0)-S|0;W=f[h>>2]|0;V=f[M>>2]|0;if((((k|0)==0?0:(k<<8)+-1|0)|0)==(V+W|0)){rfa(r);$=f[h>>2]|0;aa=f[M>>2]|0;ba=f[g>>2]|0}else{$=W;aa=V;ba=S}S=aa+$|0;f[(f[ba+(S>>>10<<2)>>2]|0)+((S&1023)<<2)>>2]=R;f[M>>2]=aa+1}if(!(b[U+N>>0]|0)){R=U+m+1|0;b[R>>0]=2;S=f[g>>2]|0;V=(f[z>>2]|0)-S|0;W=f[h>>2]|0;k=f[M>>2]|0;if((((V|0)==0?0:(V<<8)+-1|0)|0)==(k+W|0)){rfa(r);ca=f[h>>2]|0;da=f[M>>2]|0;ea=f[g>>2]|0}else{ca=W;da=k;ea=S}S=da+ca|0;f[(f[ea+(S>>>10<<2)>>2]|0)+((S&1023)<<2)>>2]=R;f[M>>2]=da+1}R=U+-1|0;if(!(b[R>>0]|0)){b[R>>0]=2;S=f[g>>2]|0;k=(f[z>>2]|0)-S|0;W=f[h>>2]|0;V=f[M>>2]|0;if((((k|0)==0?0:(k<<8)+-1|0)|0)==(V+W|0)){rfa(r);fa=f[h>>2]|0;ga=f[M>>2]|0;ha=f[g>>2]|0}else{fa=W;ga=V;ha=S}S=ga+fa|0;f[(f[ha+(S>>>10<<2)>>2]|0)+((S&1023)<<2)>>2]=R;f[M>>2]=ga+1}R=U+1|0;if(!(b[R>>0]|0)){b[R>>0]=2;S=f[g>>2]|0;V=(f[z>>2]|0)-S|0;W=f[h>>2]|0;k=f[M>>2]|0;if((((V|0)==0?0:(V<<8)+-1|0)|0)==(k+W|0)){rfa(r);ia=f[h>>2]|0;ja=f[M>>2]|0;ka=f[g>>2]|0}else{ia=W;ja=k;ka=S}S=ja+ia|0;f[(f[ka+(S>>>10<<2)>>2]|0)+((S&1023)<<2)>>2]=R;f[M>>2]=ja+1}R=U+s|0;if(!(b[U+O>>0]|0)){S=R+-1|0;b[S>>0]=2;k=f[g>>2]|0;W=(f[z>>2]|0)-k|0;V=f[h>>2]|0;T=f[M>>2]|0;if((((W|0)==0?0:(W<<8)+-1|0)|0)==(T+V|0)){rfa(r);la=f[h>>2]|0;ma=f[M>>2]|0;na=f[g>>2]|0}else{la=V;ma=T;na=k}k=ma+la|0;f[(f[na+(k>>>10<<2)>>2]|0)+((k&1023)<<2)>>2]=S;f[M>>2]=ma+1}if(!(b[R>>0]|0)){b[R>>0]=2;S=f[g>>2]|0;k=(f[z>>2]|0)-S|0;T=f[h>>2]|0;V=f[M>>2]|0;if((((k|0)==0?0:(k<<8)+-1|0)|0)==(V+T|0)){rfa(r);oa=f[h>>2]|0;pa=f[M>>2]|0;qa=f[g>>2]|0}else{oa=T;pa=V;qa=S}S=pa+oa|0;f[(f[qa+(S>>>10<<2)>>2]|0)+((S&1023)<<2)>>2]=R;f[M>>2]=pa+1}if(!(b[U+P>>0]|0)){R=U+s+1|0;b[R>>0]=2;U=f[g>>2]|0;S=(f[z>>2]|0)-U|0;V=f[h>>2]|0;T=f[M>>2]|0;if((((S|0)==0?0:(S<<8)+-1|0)|0)==(T+V|0)){rfa(r);ra=f[h>>2]|0;sa=f[M>>2]|0;ta=f[g>>2]|0}else{ra=V;sa=T;ta=U}U=sa+ra|0;f[(f[ta+(U>>>10<<2)>>2]|0)+((U&1023)<<2)>>2]=R;R=sa+1|0;f[M>>2]=R;ua=R}else ua=f[M>>2]|0;if(!ua)break;else Q=ua}}gV(t,55196);t=f[D>>2]|0;f[v>>2]=0;f[v+4>>2]=t;f[w>>2]=55224;f[w+4>>2]=q;f[w+8>>2]=n;D=o+4|0;ua=f[D>>2]|0;if((ua|0)<3)va=Y(f[G>>2]|0,t)|0;else{t=f[o+40>>2]|0;G=0;Q=1;while(1){M=Y(f[t+(G<<2)>>2]|0,Q)|0;G=G+1|0;if((G|0)==(ua|0)){va=M;break}else Q=M}}sZ(v,w,+(va>>>0)*.0000152587890625);sfa(r);r=q+36|0;va=f[r>>2]|0;if(va|0?(w=va+12|0,va=f[w>>2]|0,f[w>>2]=va+-1,(va|0)==1):0)aU(q);f[r>>2]=0;r=q+16|0;f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;f[r+12>>2]=0;if((f[F>>2]|0)>0){r=f[E>>2]|0;E=0;do{f[r+(E<<2)>>2]=0;E=E+1|0}while((E|0)<(f[F>>2]|0))}F=f[y>>2]|0;if((F|0)!=(C|0))TC(F);F=o+36|0;C=f[F>>2]|0;if(C|0?(y=C+12|0,C=f[y>>2]|0,f[y>>2]=C+-1,(C|0)==1):0)aU(o);f[F>>2]=0;f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;f[p+12>>2]=0;if((f[D>>2]|0)>0){p=f[o+40>>2]|0;F=0;do{f[p+(F<<2)>>2]=0;F=F+1|0}while((F|0)<(f[D>>2]|0))}D=f[o+44>>2]|0;if((D|0)!=(o+48|0))TC(D);D=n+36|0;o=f[D>>2]|0;if(o|0?(F=o+12|0,o=f[F>>2]|0,f[F>>2]=o+-1,(o|0)==1):0)aU(n);f[D>>2]=0;D=n+4|0;f[B>>2]=0;f[B+4>>2]=0;f[B+8>>2]=0;f[B+12>>2]=0;if((f[D>>2]|0)>0){B=f[n+40>>2]|0;o=0;do{f[B+(o<<2)>>2]=0;o=o+1|0}while((o|0)<(f[D>>2]|0))}D=f[n+44>>2]|0;if((D|0)!=(n+48|0))TC(D);D=l+36|0;n=f[D>>2]|0;do if(n|0){o=n+12|0;B=f[o>>2]|0;f[o>>2]=B+-1;if((B|0)!=1)break;aU(l)}while(0);f[D>>2]=0;D=l+4|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;if((f[D>>2]|0)>0){a=f[c>>2]|0;c=0;do{f[a+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[D>>2]|0))}D=f[l+44>>2]|0;if((D|0)!=(x|0))TC(D);if(!(f[j+4>>2]|0)){u=i;return}u=i;return}function qfa(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;k=u;u=u+80|0;l=k+64|0;m=k;n=k+8|0;f[a>>2]=55164;o=a+4|0;f[o>>2]=c;f[a+8>>2]=c;c=a+12|0;f[c>>2]=d;f[a+16>>2]=e;f[a+20>>2]=g;f[a+24>>2]=h;f[a+28>>2]=i;b[a+32>>0]=j&1;Ztc(a+44|0);j=f[o>>2]|0;i=(f[j+8>>2]|0)+2|0;h=(f[j+12>>2]|0)+2|0;j=d+4|0;if(!(((((f[j>>2]|0)<3?(f[d+8>>2]|0)==(i|0):0)?(f[d+12>>2]|0)==(h|0):0)?(f[d>>2]&4095|0)==0:0)?(f[d+16>>2]|0)!=0:0)){f[l>>2]=i;f[l+4>>2]=h;ZT(d,2,l,0)}h=f[c>>2]|0;if((h|0)==(d|0))q=d;else{i=d+36|0;g=f[i>>2]|0;if(g|0){e=g+12|0;f[e>>2]=(f[e>>2]|0)+1}e=h+36|0;g=f[e>>2]|0;if(g|0?(r=g+12|0,g=f[r>>2]|0,f[r>>2]=g+-1,(g|0)==1):0)aU(h);f[e>>2]=0;g=h+16|0;r=h+4|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;if((f[r>>2]|0)>0){s=f[h+40>>2]|0;t=0;do{f[s+(t<<2)>>2]=0;t=t+1|0;v=f[r>>2]|0}while((t|0)<(v|0));f[h>>2]=f[d>>2];if((v|0)<3)w=18;else w=20}else{f[h>>2]=f[d>>2];w=18}if((w|0)==18){v=f[j>>2]|0;if((v|0)<3){f[r>>2]=v;f[h+8>>2]=f[d+8>>2];f[h+12>>2]=f[d+12>>2];v=f[d+44>>2]|0;r=f[h+44>>2]|0;f[r>>2]=f[v>>2];f[r+4>>2]=f[v+4>>2]}else w=20}if((w|0)==20)$T(h,d);f[g>>2]=f[d+16>>2];f[h+20>>2]=f[d+20>>2];f[h+24>>2]=f[d+24>>2];f[h+28>>2]=f[d+28>>2];f[h+32>>2]=f[d+32>>2];f[e>>2]=f[i>>2];q=f[c>>2]|0}f[l>>2]=0;f[l+4>>2]=1;f[m>>2]=-2147483648;f[m+4>>2]=2147483647;bU(n,q,l,m);p[m>>3]=1.0;f[l>>2]=-1056833530;f[l+4>>2]=m;f[l+8>>2]=1;f[l+12>>2]=1;HI(n,l,sK()|0)|0;q=n+36|0;i=f[q>>2]|0;if(i|0?(e=i+12|0,i=f[e>>2]|0,f[e>>2]=i+-1,(i|0)==1):0)aU(n);f[q>>2]=0;q=n+16|0;i=n+4|0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;f[q+12>>2]=0;if((f[i>>2]|0)>0){q=f[n+40>>2]|0;e=0;do{f[q+(e<<2)>>2]=0;e=e+1|0}while((e|0)<(f[i>>2]|0))}i=f[n+44>>2]|0;if((i|0)!=(n+48|0))TC(i);i=f[c>>2]|0;e=f[(f[o>>2]|0)+8>>2]|0;f[l>>2]=e+1;f[l+4>>2]=e+2;f[m>>2]=-2147483648;f[m+4>>2]=2147483647;bU(n,i,l,m);p[m>>3]=1.0;f[l>>2]=-1056833530;f[l+4>>2]=m;f[l+8>>2]=1;f[l+12>>2]=1;HI(n,l,sK()|0)|0;l=n+36|0;m=f[l>>2]|0;if(m|0?(i=m+12|0,m=f[i>>2]|0,f[i>>2]=m+-1,(m|0)==1):0)aU(n);f[l>>2]=0;l=n+16|0;m=n+4|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;if((f[m>>2]|0)>0){l=f[n+40>>2]|0;i=0;do{f[l+(i<<2)>>2]=0;i=i+1|0}while((i|0)<(f[m>>2]|0))}m=f[n+44>>2]|0;if((m|0)==(n+48|0)){x=f[c>>2]|0;y=x+12|0;z=f[y>>2]|0;A=a+36|0;f[A>>2]=z;B=a+33|0;b[B>>0]=1;C=f[o>>2]|0;D=f[C>>2]|0;E=D>>>3;F=E&511;G=F+1|0;H=a+40|0;f[H>>2]=G;u=k;return}TC(m);x=f[c>>2]|0;y=x+12|0;z=f[y>>2]|0;A=a+36|0;f[A>>2]=z;B=a+33|0;b[B>>0]=1;C=f[o>>2]|0;D=f[C>>2]|0;E=D>>>3;F=E&511;G=F+1|0;H=a+40|0;f[H>>2]=G;u=k;return}function rfa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;b=u;u=u+32|0;c=b+4|0;d=b;e=a+16|0;g=f[e>>2]|0;if(g>>>0>1023){f[e>>2]=g+-1024;g=a+4|0;e=f[g>>2]|0;h=f[e>>2]|0;i=e+4|0;f[g>>2]=i;e=a+8|0;j=f[e>>2]|0;k=a+12|0;l=f[k>>2]|0;m=l;n=j;do if((j|0)==(l|0)){o=f[a>>2]|0;p=o;if(i>>>0>o>>>0){q=i;r=((q-p>>2)+1|0)/-2|0;s=i+(r<<2)|0;t=n-q|0;q=t>>2;if(!q)v=i;else{uzc(s|0,i|0,t|0)|0;v=f[g>>2]|0}t=s+(q<<2)|0;f[e>>2]=t;f[g>>2]=v+(r<<2);w=t;break}t=m-p>>1;p=(t|0)==0?1:t;if(p>>>0>1073741823){t=ze(8)|0;kuc(t,519086);f[t>>2]=167148;Hf(t|0,26888,1888)}t=cuc(p<<2)|0;r=t;q=t+(p>>>2<<2)|0;s=q;x=t+(p<<2)|0;if((i|0)==(j|0)){y=s;z=o}else{o=q;q=s;p=i;do{f[o>>2]=f[p>>2];o=q+4|0;q=o;p=p+4|0}while((p|0)!=(j|0));y=q;z=f[a>>2]|0}f[a>>2]=r;f[g>>2]=s;f[e>>2]=y;f[k>>2]=x;if(!z)w=y;else{fuc(z);w=f[e>>2]|0}}else w=j;while(0);f[w>>2]=h;f[e>>2]=(f[e>>2]|0)+4;u=b;return}e=a+8|0;h=f[e>>2]|0;w=a+4|0;j=h-(f[w>>2]|0)|0;z=a+12|0;y=f[z>>2]|0;k=y-(f[a>>2]|0)|0;if(j>>>0>=k>>>0){g=k>>1;k=(g|0)==0?1:g;f[c+12>>2]=0;f[c+16>>2]=a+12;if(k>>>0>1073741823){g=ze(8)|0;kuc(g,519086);f[g>>2]=167148;Hf(g|0,26888,1888)}g=cuc(k<<2)|0;f[c>>2]=g;i=g+(j>>2<<2)|0;j=c+8|0;f[j>>2]=i;m=c+4|0;f[m>>2]=i;i=c+12|0;f[i>>2]=g+(k<<2);k=cuc(4096)|0;f[d>>2]=k;xfa(c,d);d=f[e>>2]|0;while(1){A=f[w>>2]|0;if((d|0)==(A|0))break;k=d+-4|0;yfa(c,k);d=k}k=A;A=f[a>>2]|0;f[a>>2]=f[c>>2];f[c>>2]=A;f[w>>2]=f[m>>2];f[m>>2]=k;m=f[e>>2]|0;f[e>>2]=f[j>>2];f[j>>2]=m;g=f[z>>2]|0;f[z>>2]=f[i>>2];f[i>>2]=g;g=m;if((g|0)!=(d|0))f[j>>2]=g+(~((g+-4-k|0)>>>2)<<2);if(A|0)fuc(A);u=b;return}if((y|0)!=(h|0)){h=cuc(4096)|0;f[c>>2]=h;vfa(a,c);u=b;return}h=cuc(4096)|0;f[c>>2]=h;wfa(a,c);c=f[w>>2]|0;h=f[c>>2]|0;y=c+4|0;f[w>>2]=y;c=f[e>>2]|0;A=f[z>>2]|0;k=A;g=c;do if((c|0)==(A|0)){j=f[a>>2]|0;d=j;if(y>>>0>j>>>0){m=y;i=((m-d>>2)+1|0)/-2|0;v=y+(i<<2)|0;n=g-m|0;m=n>>2;if(!m)B=y;else{uzc(v|0,y|0,n|0)|0;B=f[w>>2]|0}n=v+(m<<2)|0;f[e>>2]=n;f[w>>2]=B+(i<<2);C=n;break}n=k-d>>1;d=(n|0)==0?1:n;if(d>>>0>1073741823){n=ze(8)|0;kuc(n,519086);f[n>>2]=167148;Hf(n|0,26888,1888)}n=cuc(d<<2)|0;i=n;m=n+(d>>>2<<2)|0;v=m;l=n+(d<<2)|0;if((y|0)==(c|0)){D=v;E=j}else{j=m;m=v;d=y;do{f[j>>2]=f[d>>2];j=m+4|0;m=j;d=d+4|0}while((d|0)!=(c|0));D=m;E=f[a>>2]|0}f[a>>2]=i;f[w>>2]=v;f[e>>2]=D;f[z>>2]=l;if(!E)C=D;else{fuc(E);C=f[e>>2]|0}}else C=c;while(0);f[C>>2]=h;f[e>>2]=(f[e>>2]|0)+4;u=b;return}function sfa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;b=a+4|0;c=f[b>>2]|0;d=a+16|0;e=f[d>>2]|0;g=c+(e>>>10<<2)|0;h=a+8|0;i=f[h>>2]|0;j=i;k=c;if((i|0)==(c|0)){l=0;m=a+20|0;n=0}else{i=a+20|0;o=(f[i>>2]|0)+e|0;l=(f[c+(o>>>10<<2)>>2]|0)+((o&1023)<<2)|0;m=i;n=(f[g>>2]|0)+((e&1023)<<2)|0}e=g;g=n;a:while(1){n=g;do{i=n;if((i|0)==(l|0))break a;n=i+4|0}while((n-(f[e>>2]|0)|0)!=4096);n=e+4|0;e=n;g=f[n>>2]|0}f[m>>2]=0;m=j-k>>2;if(m>>>0>2){k=c;do{fuc(f[k>>2]|0);k=(f[b>>2]|0)+4|0;f[b>>2]=k;c=(f[h>>2]|0)-k>>2}while(c>>>0>2);p=c}else p=m;switch(p|0){case 1:{q=512;r=13;break}case 2:{q=1024;r=13;break}default:{}}if((r|0)==13)f[d>>2]=q;q=f[b>>2]|0;d=f[h>>2]|0;if((q|0)!=(d|0)){r=q;do{fuc(f[r>>2]|0);r=r+4|0}while((r|0)!=(d|0));d=f[b>>2]|0;b=f[h>>2]|0;if((b|0)!=(d|0))f[h>>2]=b+(~((b+-4-d|0)>>>2)<<2)}d=f[a>>2]|0;if(!d)return;fuc(d);return}function tfa(a){a=a|0;fuc(a);return}function ufa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;d=f[c>>2]|0;e=c+4|0;c=f[e>>2]|0;if((d|0)>=(c|0))return;g=a+8|0;i=a+4|0;a=d;d=f[g>>2]|0;j=c;while(1){c=(f[d+16>>2]|0)+(Y(f[f[d+44>>2]>>2]|0,a)|0)|0;k=f[i>>2]|0;a=a+1|0;l=(f[k+16>>2]|0)+(Y(f[f[k+44>>2]>>2]|0,a)|0)+1|0;if((f[d+12>>2]|0)>0){k=0;do{b[c+k>>0]=0-((h[l+k>>0]|0)>>>1);k=k+1|0;m=f[g>>2]|0}while((k|0)<(f[m+12>>2]|0));n=f[e>>2]|0;o=m}else{n=j;o=d}if((a|0)>=(n|0))break;else{d=o;j=n}}return}function vfa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;c=a+8|0;d=f[c>>2]|0;e=a+12|0;g=f[e>>2]|0;h=g;i=d;do if((d|0)==(g|0)){j=a+4|0;k=f[j>>2]|0;l=f[a>>2]|0;m=l;if(k>>>0>l>>>0){n=k;o=((n-m>>2)+1|0)/-2|0;p=k+(o<<2)|0;q=i-n|0;n=q>>2;if(!n)r=k;else{uzc(p|0,k|0,q|0)|0;r=f[j>>2]|0}q=p+(n<<2)|0;f[c>>2]=q;f[j>>2]=r+(o<<2);s=q;break}q=h-m>>1;m=(q|0)==0?1:q;if(m>>>0>1073741823){q=ze(8)|0;kuc(q,519086);f[q>>2]=167148;Hf(q|0,26888,1888)}q=cuc(m<<2)|0;o=q;n=q+(m>>>2<<2)|0;p=n;t=q+(m<<2)|0;if((k|0)==(d|0)){u=p;v=l}else{l=n;n=p;m=k;do{f[l>>2]=f[m>>2];l=n+4|0;n=l;m=m+4|0}while((m|0)!=(d|0));u=n;v=f[a>>2]|0}f[a>>2]=o;f[j>>2]=p;f[c>>2]=u;f[e>>2]=t;if(!v)s=u;else{fuc(v);s=f[c>>2]|0}}else s=d;while(0);f[s>>2]=f[b>>2];f[c>>2]=(f[c>>2]|0)+4;return}function wfa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;c=a+4|0;d=f[c>>2]|0;e=f[a>>2]|0;g=e;do if((d|0)==(e|0)){h=a+8|0;i=f[h>>2]|0;j=a+12|0;k=f[j>>2]|0;l=k;if(i>>>0<k>>>0){k=i;m=((l-k>>2)+1|0)/2|0;n=i+(m<<2)|0;o=k-d|0;k=o>>2;p=n+(0-k<<2)|0;if(!k){q=n;r=i}else{uzc(p|0,d|0,o|0)|0;q=p;r=f[h>>2]|0}f[c>>2]=q;f[h>>2]=r+(m<<2);s=q;break}m=l-g>>1;l=(m|0)==0?1:m;if(l>>>0>1073741823){m=ze(8)|0;kuc(m,519086);f[m>>2]=167148;Hf(m|0,26888,1888)}m=cuc(l<<2)|0;p=m;o=m+((l+3|0)>>>2<<2)|0;n=o;k=m+(l<<2)|0;if((d|0)==(i|0)){t=n;u=d}else{l=o;m=n;v=d;do{f[l>>2]=f[v>>2];l=m+4|0;m=l;v=v+4|0}while((v|0)!=(i|0));t=m;u=f[a>>2]|0}f[a>>2]=p;f[c>>2]=n;f[h>>2]=t;f[j>>2]=k;if(!u)s=o;else{fuc(u);s=f[c>>2]|0}}else s=d;while(0);f[s+-4>>2]=f[b>>2];f[c>>2]=(f[c>>2]|0)+-4;return}function xfa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;c=a+8|0;d=f[c>>2]|0;e=a+12|0;g=f[e>>2]|0;h=g;i=d;do if((d|0)==(g|0)){j=a+4|0;k=f[j>>2]|0;l=f[a>>2]|0;m=l;if(k>>>0>l>>>0){n=k;o=((n-m>>2)+1|0)/-2|0;p=k+(o<<2)|0;q=i-n|0;n=q>>2;if(!n)r=k;else{uzc(p|0,k|0,q|0)|0;r=f[j>>2]|0}q=p+(n<<2)|0;f[c>>2]=q;f[j>>2]=r+(o<<2);s=q;break}q=h-m>>1;m=(q|0)==0?1:q;if(m>>>0>1073741823){q=ze(8)|0;kuc(q,519086);f[q>>2]=167148;Hf(q|0,26888,1888)}q=cuc(m<<2)|0;o=q;n=q+(m>>>2<<2)|0;p=n;t=q+(m<<2)|0;if((k|0)==(d|0)){u=p;v=l}else{l=n;n=p;m=k;do{f[l>>2]=f[m>>2];l=n+4|0;n=l;m=m+4|0}while((m|0)!=(d|0));u=n;v=f[a>>2]|0}f[a>>2]=o;f[j>>2]=p;f[c>>2]=u;f[e>>2]=t;if(!v)s=u;else{fuc(v);s=f[c>>2]|0}}else s=d;while(0);f[s>>2]=f[b>>2];f[c>>2]=(f[c>>2]|0)+4;return}function yfa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;c=a+4|0;d=f[c>>2]|0;e=f[a>>2]|0;g=e;do if((d|0)==(e|0)){h=a+8|0;i=f[h>>2]|0;j=a+12|0;k=f[j>>2]|0;l=k;if(i>>>0<k>>>0){k=i;m=((l-k>>2)+1|0)/2|0;n=i+(m<<2)|0;o=k-d|0;k=o>>2;p=n+(0-k<<2)|0;if(!k){q=n;r=i}else{uzc(p|0,d|0,o|0)|0;q=p;r=f[h>>2]|0}f[c>>2]=q;f[h>>2]=r+(m<<2);s=q;break}m=l-g>>1;l=(m|0)==0?1:m;if(l>>>0>1073741823){m=ze(8)|0;kuc(m,519086);f[m>>2]=167148;Hf(m|0,26888,1888)}m=cuc(l<<2)|0;p=m;o=m+((l+3|0)>>>2<<2)|0;n=o;k=m+(l<<2)|0;if((d|0)==(i|0)){t=n;u=d}else{l=o;m=n;v=d;do{f[l>>2]=f[v>>2];l=m+4|0;m=l;v=v+4|0}while((v|0)!=(i|0));t=m;u=f[a>>2]|0}f[a>>2]=p;f[c>>2]=n;f[h>>2]=t;f[j>>2]=k;if(!u)s=o;else{fuc(u);s=f[c>>2]|0}}else s=d;while(0);f[s+-4>>2]=f[b>>2];f[c>>2]=(f[c>>2]|0)+-4;return}function zfa(a){a=a|0;f[a>>2]=55164;_tc(a+44|0);return}function Afa(a){a=a|0;f[a>>2]=55164;_tc(a+44|0);fuc(a);return}function Bfa(a,c){a=a|0;c=c|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0.0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0;e=u;u=u+3520|0;g=e+3496|0;h=e+3488|0;i=e+3432|0;j=e+3424|0;k=e+3368|0;l=e+3312|0;m=e+2256|0;n=e+1200|0;o=e+1168|0;p=e+1144|0;q=e+1136|0;r=e+1080|0;s=e+16|0;t=e+8|0;v=e+3304|0;w=e+2248|0;x=e+1192|0;y=e;gV(j,55236);f[k>>2]=1124007936;z=k+4|0;A=k+8|0;B=k+40|0;C=z;D=C+36|0;do{f[C>>2]=0;C=C+4|0}while((C|0)<(D|0));f[B>>2]=A;E=k+48|0;F=k+44|0;f[F>>2]=E;f[E>>2]=0;f[k+52>>2]=0;f[l>>2]=1124007936;G=l+4|0;H=l+8|0;I=l+40|0;C=G;D=C+36|0;do{f[C>>2]=0;C=C+4|0}while((C|0)<(D|0));f[I>>2]=H;C=l+48|0;D=l+44|0;f[D>>2]=C;f[C>>2]=0;f[l+52>>2]=0;J=m+8|0;f[m>>2]=J;K=m+4|0;f[K>>2]=0;L=n+8|0;f[n>>2]=L;M=n+4|0;f[M>>2]=0;f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;f[o+12>>2]=0;f[o+16>>2]=0;f[o+20>>2]=0;f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;f[p+12>>2]=0;f[p+16>>2]=0;f[p+20>>2]=0;N=f[c>>2]|0;O=N+-1|0;P=(O|0)>0?O:0;O=a+4|0;Q=c+4|0;R=(f[Q>>2]|0)+1|0;S=f[(f[O>>2]|0)+8>>2]|0;T=(R|0)<(S|0)?R:S;gV(q,55256);if(!(b[a+33>>0]|0)){q=f[O>>2]|0;f[g>>2]=P;f[g+4>>2]=T;f[h>>2]=-2147483648;f[h+4>>2]=2147483647;bU(i,q,g,h);q=k+36|0;S=f[q>>2]|0;if(S|0?(R=S+12|0,S=f[R>>2]|0,f[R>>2]=S+-1,(S|0)==1):0)aU(k);f[q>>2]=0;S=k+16|0;f[S>>2]=0;f[S+4>>2]=0;f[S+8>>2]=0;f[S+12>>2]=0;if((f[z>>2]|0)>0){R=f[B>>2]|0;U=0;do{f[R+(U<<2)>>2]=0;U=U+1|0}while((U|0)<(f[z>>2]|0))}f[k>>2]=f[i>>2];U=i+4|0;R=f[U>>2]|0;f[z>>2]=R;V=i+8|0;f[A>>2]=f[V>>2];f[k+12>>2]=f[i+12>>2];W=i+16|0;f[S>>2]=f[W>>2];f[k+20>>2]=f[i+20>>2];f[k+24>>2]=f[i+24>>2];f[k+28>>2]=f[i+28>>2];f[k+32>>2]=f[i+32>>2];S=i+36|0;f[q>>2]=f[S>>2];q=k+44|0;X=f[q>>2]|0;if((X|0)==(E|0))Z=R;else{TC(X);f[q>>2]=E;f[B>>2]=A;Z=f[U>>2]|0}A=i+44|0;if((Z|0)<3){Z=f[A>>2]|0;f[E>>2]=f[Z>>2];f[k+52>>2]=f[Z+4>>2];_=Z}else{f[q>>2]=f[A>>2];q=i+40|0;f[k+40>>2]=f[q>>2];Z=i+48|0;f[A>>2]=Z;f[q>>2]=V;_=Z}f[i>>2]=1124007936;f[U>>2]=0;f[U+4>>2]=0;f[U+8>>2]=0;f[U+12>>2]=0;f[U+16>>2]=0;f[U+20>>2]=0;f[U+24>>2]=0;f[U+28>>2]=0;f[S>>2]=0;f[W>>2]=0;f[W+4>>2]=0;f[W+8>>2]=0;f[W+12>>2]=0;if((_|0)!=(i+48|0))TC(_);_=f[a+8>>2]|0;f[g>>2]=P;f[g+4>>2]=T;f[h>>2]=-2147483648;f[h+4>>2]=2147483647;bU(i,_,g,h);_=l+36|0;W=f[_>>2]|0;if(W|0?(S=W+12|0,W=f[S>>2]|0,f[S>>2]=W+-1,(W|0)==1):0)aU(l);f[_>>2]=0;W=l+16|0;f[W>>2]=0;f[W+4>>2]=0;f[W+8>>2]=0;f[W+12>>2]=0;if((f[G>>2]|0)>0){S=f[I>>2]|0;U=0;do{f[S+(U<<2)>>2]=0;U=U+1|0}while((U|0)<(f[G>>2]|0))}f[l>>2]=f[i>>2];U=i+4|0;S=f[U>>2]|0;f[G>>2]=S;Z=i+8|0;f[H>>2]=f[Z>>2];f[l+12>>2]=f[i+12>>2];V=i+16|0;f[W>>2]=f[V>>2];f[l+20>>2]=f[i+20>>2];f[l+24>>2]=f[i+24>>2];f[l+28>>2]=f[i+28>>2];f[l+32>>2]=f[i+32>>2];W=i+36|0;f[_>>2]=f[W>>2];_=l+44|0;q=f[_>>2]|0;if((q|0)==(C|0))$=S;else{TC(q);f[_>>2]=C;f[I>>2]=H;$=f[U>>2]|0}H=i+44|0;if(($|0)<3){$=f[H>>2]|0;f[C>>2]=f[$>>2];f[l+52>>2]=f[$+4>>2];aa=$}else{f[_>>2]=f[H>>2];_=i+40|0;f[l+40>>2]=f[_>>2];$=i+48|0;f[H>>2]=$;f[_>>2]=Z;aa=$}f[i>>2]=1124007936;f[U>>2]=0;f[U+4>>2]=0;f[U+8>>2]=0;f[U+12>>2]=0;f[U+16>>2]=0;f[U+20>>2]=0;f[U+24>>2]=0;f[U+28>>2]=0;f[W>>2]=0;f[V>>2]=0;f[V+4>>2]=0;f[V+8>>2]=0;f[V+12>>2]=0;if((aa|0)!=(i+48|0))TC(aa)}else{aa=a+28|0;ba=(f[aa>>2]|0)==7?.0625:1.0;V=f[O>>2]|0;f[g>>2]=P;f[g+4>>2]=T;f[h>>2]=-2147483648;f[h+4>>2]=2147483647;bU(r,V,g,h);f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=r;V=g+8|0;f[V>>2]=0;f[V+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=k;mfa(i,g,3,1,0,f[aa>>2]|0,ba,0.0,1);V=r+36|0;W=f[V>>2]|0;if(W|0?(U=W+12|0,W=f[U>>2]|0,f[U>>2]=W+-1,(W|0)==1):0)aU(r);f[V>>2]=0;V=r+16|0;W=r+4|0;f[V>>2]=0;f[V+4>>2]=0;f[V+8>>2]=0;f[V+12>>2]=0;if((f[W>>2]|0)>0){V=f[r+40>>2]|0;U=0;do{f[V+(U<<2)>>2]=0;U=U+1|0}while((U|0)<(f[W>>2]|0))}W=f[r+44>>2]|0;if((W|0)!=(r+48|0))TC(W);W=f[O>>2]|0;f[g>>2]=P;f[g+4>>2]=T;f[h>>2]=-2147483648;f[h+4>>2]=2147483647;bU(r,W,g,h);f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=r;W=g+8|0;f[W>>2]=0;f[W+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=l;mfa(i,g,3,0,1,f[aa>>2]|0,ba,0.0,1);aa=r+36|0;W=f[aa>>2]|0;if(W|0?(U=W+12|0,W=f[U>>2]|0,f[U>>2]=W+-1,(W|0)==1):0)aU(r);f[aa>>2]=0;aa=r+16|0;W=r+4|0;f[aa>>2]=0;f[aa+4>>2]=0;f[aa+8>>2]=0;f[aa+12>>2]=0;if((f[W>>2]|0)>0){aa=f[r+40>>2]|0;U=0;do{f[aa+(U<<2)>>2]=0;U=U+1|0}while((U|0)<(f[W>>2]|0))}W=f[r+44>>2]|0;if((W|0)!=(r+48|0))TC(W)}gV(r,55276);r=a+40|0;W=f[r>>2]|0;if((W|0)>1){U=k+12|0;aa=f[U>>2]<<1;if((f[K>>2]|0)>>>0<aa>>>0){V=f[m>>2]|0;if((V|0)!=(J|0)){if(V|0)guc(V);f[m>>2]=J;f[K>>2]=520}f[K>>2]=aa;if(aa>>>0>520){V=euc(aa>>>0>2147483647?-1:aa<<1)|0;f[m>>2]=V}}else f[K>>2]=aa;aa=l+12|0;V=f[aa>>2]<<1;if((f[M>>2]|0)>>>0<V>>>0){$=f[n>>2]|0;if(($|0)!=(L|0)){if($|0)guc($);f[n>>2]=L;f[M>>2]=520}f[M>>2]=V;if(V>>>0>520){$=euc(V>>>0>2147483647?-1:V<<1)|0;f[n>>2]=$;ca=$}else ca=L}else{f[M>>2]=V;ca=f[n>>2]|0}V=f[m>>2]|0;da=ca+(f[aa>>2]<<1)|0;ea=V+(f[U>>2]<<1)|0;fa=ca;ga=V;ha=f[r>>2]|0}else{da=0;ea=0;fa=0;ga=0;ha=W}W=a+36|0;V=f[W>>2]|0;ca=Y(V*3|0,ha)|0;U=s+8|0;f[s>>2]=U;aa=s+4|0;f[aa>>2]=ca;if(ca>>>0>264){$=euc(ca>>>0>1073741823?-1:ca<<2)|0;f[s>>2]=$;ia=$}else ia=U;$=ia+4|0;ca=Y(ha,V)|0;ha=$+(ca<<2)|0;Z=ha+(ca<<2)|0;ca=Z+-4|0;if((P|0)==(f[c>>2]|0))kzc(ca|0,0,V<<2|0)|0;else{f[ca>>2]=0;f[Z+(f[(f[O>>2]|0)+12>>2]<<2)>>2]=0}f[ia>>2]=0;f[$+(f[(f[O>>2]|0)+12>>2]<<2)>>2]=0;f[ha+-4>>2]=0;f[ha+(f[(f[O>>2]|0)+12>>2]<<2)>>2]=0;ia=f[Q>>2]|0;if((P|0)>(ia|0)){ja=ia;ka=a+12|0}else{ia=k+16|0;ca=l+16|0;V=a+32|0;_=a+12|0;H=a+20|0;q=a+24|0;S=o+8|0;A=o+4|0;X=o+16|0;R=o+20|0;la=P;ma=da;da=ea;ea=fa;fa=ga;ga=Z;Z=ha;ha=$;while(1){if((la|0)<(T|0)){$=la-P|0;na=(f[ia>>2]|0)+(Y(f[f[F>>2]>>2]|0,$)|0)|0;oa=(f[ca>>2]|0)+(Y(f[f[D>>2]>>2]|0,$)|0)|0;$=Y(f[r>>2]|0,f[(f[O>>2]|0)+12>>2]|0)|0;pa=($|0)>0;if(!(b[V>>0]|0)){if(pa){qa=ha;ra=0;do{sa=d[na+(ra<<1)>>1]|0;ta=sa<<16>>16;ua=d[oa+(ra<<1)>>1]|0;va=ua<<16>>16;f[qa+(ra<<2)>>2]=(ua<<16>>16>-1?va:0-va|0)+(sa<<16>>16>-1?ta:0-ta|0);ra=ra+1|0}while((ra|0)!=($|0))}}else if(pa){ra=ha;qa=0;do{ta=d[na+(qa<<1)>>1]|0;sa=Y(ta,ta)|0;ta=d[oa+(qa<<1)>>1]|0;va=(Y(ta,ta)|0)+sa|0;f[ra+(qa<<2)>>2]=va;qa=qa+1|0}while((qa|0)!=($|0))}$=f[r>>2]|0;if(($|0)>1){qa=f[(f[O>>2]|0)+12>>2]|0;ra=ha;if((qa|0)>0){pa=fa;va=ea;sa=0;ta=0;ua=$;while(1){$=f[ra+(ta<<2)>>2]|0;if((ua|0)>1){wa=ta;xa=1;ya=$;while(1){za=xa+ta|0;Aa=(f[ra+(za<<2)>>2]|0)>(ya|0)?za:wa;xa=xa+1|0;za=f[ra+(Aa<<2)>>2]|0;if((xa|0)>=(ua|0)){Ba=Aa;Ca=za;break}else{wa=Aa;ya=za}}}else{Ba=ta;Ca=$}f[ra+(sa<<2)>>2]=Ca;d[pa+(sa<<1)>>1]=d[na+(Ba<<1)>>1]|0;d[va+(sa<<1)>>1]=d[oa+(Ba<<1)>>1]|0;sa=sa+1|0;ya=f[r>>2]|0;wa=f[(f[O>>2]|0)+12>>2]|0;if((sa|0)>=(wa|0)){Da=wa;break}else{ta=ya+ta|0;ua=ya}}}else Da=qa;f[ra+(Da<<2)>>2]=0;Ea=ea;Fa=fa;Ga=ma;Ha=da}else{Ea=ma;Fa=da;Ga=ea;Ha=fa}if((la|0)>(f[c>>2]|0)){Ia=Ea;Ja=Fa;Ka=Ga;La=Ha;Ma=90}else{Na=Ea;Oa=Fa;Pa=Ga;Qa=Ha}}else{kzc(ha+-4|0,0,f[W>>2]<<2|0)|0;ua=(f[r>>2]|0)>1;Ia=ua?ea:ma;Ja=ua?fa:da;Ka=ua?ma:ea;La=ua?da:fa;Ma=90}if((Ma|0)==90){Ma=0;ua=f[_>>2]|0;ta=(f[ua+16>>2]|0)+(Y(f[f[ua+44>>2]>>2]|0,la)|0)|0;ua=ta+1|0;b[ta>>0]=1;b[ua+(f[(f[O>>2]|0)+12>>2]|0)>>0]=1;if((f[r>>2]|0)==1){ta=la-P+-1|0;sa=(f[ia>>2]|0)+(Y(f[f[F>>2]>>2]|0,ta)|0)|0;Ra=sa;Sa=(f[ca>>2]|0)+(Y(f[f[D>>2]>>2]|0,ta)|0)|0}else{Ra=La;Sa=Ka}if((f[(f[O>>2]|0)+12>>2]|0)>0){ta=ga;sa=Z;oa=ha;va=0;do{na=f[ta+(va<<2)>>2]|0;do if((na|0)>(f[H>>2]|0)){pa=d[Ra+(va<<1)>>1]|0;ya=d[Sa+(va<<1)>>1]|0;wa=pa<<16>>16;xa=pa<<16>>16>-1?wa:0-wa|0;wa=ya<<16>>16;za=(ya<<16>>16>-1?wa:0-wa|0)<<15;if((za|0)<(xa*13573|0)){if((na|0)<=(f[ta+(va+-1<<2)>>2]|0)){Ma=119;break}if((na|0)<(f[ta+(va+1<<2)>>2]|0)){Ma=119;break}wa=ua+va|0;if((na|0)<=(f[q>>2]|0)){b[wa>>0]=0;break}b[wa>>0]=2;Aa=f[A>>2]|0;Ta=(f[S>>2]|0)-Aa|0;Ua=f[X>>2]|0;Va=f[R>>2]|0;if((((Ta|0)==0?0:(Ta<<8)+-1|0)|0)==(Va+Ua|0)){rfa(o);Wa=f[X>>2]|0;Xa=f[R>>2]|0;Ya=f[A>>2]|0}else{Wa=Ua;Xa=Va;Ya=Aa}Aa=Xa+Wa|0;f[(f[Ya+(Aa>>>10<<2)>>2]|0)+((Aa&1023)<<2)>>2]=wa;f[R>>2]=Xa+1;break}if((za|0)>(xa*79109|0)){if((na|0)<=(f[sa+(va<<2)>>2]|0)){Ma=119;break}if((na|0)<(f[oa+(va<<2)>>2]|0)){Ma=119;break}xa=ua+va|0;if((na|0)<=(f[q>>2]|0)){b[xa>>0]=0;break}b[xa>>0]=2;za=f[A>>2]|0;wa=(f[S>>2]|0)-za|0;Aa=f[X>>2]|0;Va=f[R>>2]|0;if((((wa|0)==0?0:(wa<<8)+-1|0)|0)==(Va+Aa|0)){rfa(o);Za=f[X>>2]|0;_a=f[R>>2]|0;$a=f[A>>2]|0}else{Za=Aa;_a=Va;$a=za}za=_a+Za|0;f[(f[$a+(za>>>10<<2)>>2]|0)+((za&1023)<<2)>>2]=xa;f[R>>2]=_a+1;break}else{xa=(ya^pa)<<16>>16<0?-1:1;if((na|0)<=(f[sa+(va-xa<<2)>>2]|0)){Ma=119;break}if((na|0)<=(f[oa+(xa+va<<2)>>2]|0)){Ma=119;break}xa=ua+va|0;if((na|0)<=(f[q>>2]|0)){b[xa>>0]=0;break}b[xa>>0]=2;pa=f[A>>2]|0;ya=(f[S>>2]|0)-pa|0;za=f[X>>2]|0;Va=f[R>>2]|0;if((((ya|0)==0?0:(ya<<8)+-1|0)|0)==(Va+za|0)){rfa(o);ab=f[X>>2]|0;bb=f[R>>2]|0;cb=f[A>>2]|0}else{ab=za;bb=Va;cb=pa}pa=bb+ab|0;f[(f[cb+(pa>>>10<<2)>>2]|0)+((pa&1023)<<2)>>2]=xa;f[R>>2]=bb+1;break}}else Ma=119;while(0);if((Ma|0)==119){Ma=0;b[ua+va>>0]=1}va=va+1|0}while((va|0)<(f[(f[O>>2]|0)+12>>2]|0));Na=Ia;Oa=Ja;Pa=Ka;Qa=La}else{Na=Ia;Oa=Ja;Pa=Ka;Qa=La}}va=f[Q>>2]|0;if((la|0)<(va|0)){ua=ha;la=la+1|0;ma=Na;da=Oa;ea=Pa;fa=Qa;ha=Z;Z=ga;ga=ua}else{ja=va;ka=_;break}}}_=f[ka>>2]|0;ka=f[_+16>>2]|0;if((N|0)<2)db=ka;else db=ka+(Y((f[c>>2]|0)+2|0,f[W>>2]|0)|0)|0;if((T|0)==(f[(f[O>>2]|0)+8>>2]|0))eb=f[_+28>>2]|0;else eb=ka+(Y(f[W>>2]|0,ja)|0)|0;ja=db;ka=eb-ja|0;gV(t,55296);t=o+20|0;eb=f[t>>2]|0;if(!eb)fb=p+20|0;else{_=o+16|0;O=o+4|0;T=o+8|0;c=p+8|0;N=p+4|0;ga=p+16|0;Z=p+20|0;ha=eb;while(1){eb=f[_>>2]|0;Qa=ha+-1|0;fa=eb+Qa|0;Pa=f[O>>2]|0;ea=f[(f[Pa+(fa>>>10<<2)>>2]|0)+((fa&1023)<<2)>>2]|0;f[t>>2]=Qa;Qa=f[T>>2]|0;fa=Qa-Pa|0;if((1-ha-eb+((fa|0)==0?0:(fa<<8)+-1|0)|0)>>>0>2047){fuc(f[Qa+-4>>2]|0);f[T>>2]=(f[T>>2]|0)+-4}Qa=ea;do if((ea-ja|0)>>>0>=ka>>>0){fa=f[N>>2]|0;eb=(f[c>>2]|0)-fa|0;Pa=f[ga>>2]|0;Oa=f[Z>>2]|0;if((((eb|0)==0?0:(eb<<8)+-1|0)|0)==(Oa+Pa|0)){rfa(p);gb=f[ga>>2]|0;hb=f[Z>>2]|0;ib=f[N>>2]|0}else{gb=Pa;hb=Oa;ib=fa}fa=hb+gb|0;f[(f[ib+(fa>>>10<<2)>>2]|0)+((fa&1023)<<2)>>2]=ea;f[Z>>2]=hb+1;fa=f[W>>2]|0;Oa=Qa>>>0<db>>>0?fa:0-fa|0;fa=Qa+-1|0;if(!(b[fa>>0]|0)){b[fa>>0]=2;Pa=f[O>>2]|0;eb=(f[T>>2]|0)-Pa|0;da=f[_>>2]|0;Na=f[t>>2]|0;if((((eb|0)==0?0:(eb<<8)+-1|0)|0)==(Na+da|0)){rfa(o);jb=f[_>>2]|0;kb=f[t>>2]|0;lb=f[O>>2]|0}else{jb=da;kb=Na;lb=Pa}Pa=kb+jb|0;f[(f[lb+(Pa>>>10<<2)>>2]|0)+((Pa&1023)<<2)>>2]=fa;f[t>>2]=kb+1}fa=Qa+1|0;if(!(b[fa>>0]|0)){b[fa>>0]=2;Pa=f[O>>2]|0;Na=(f[T>>2]|0)-Pa|0;da=f[_>>2]|0;eb=f[t>>2]|0;if((((Na|0)==0?0:(Na<<8)+-1|0)|0)==(eb+da|0)){rfa(o);mb=f[_>>2]|0;nb=f[t>>2]|0;ob=f[O>>2]|0}else{mb=da;nb=eb;ob=Pa}Pa=nb+mb|0;f[(f[ob+(Pa>>>10<<2)>>2]|0)+((Pa&1023)<<2)>>2]=fa;f[t>>2]=nb+1}fa=Qa+Oa|0;if(!(b[Qa+(Oa+-1)>>0]|0)){Pa=fa+-1|0;b[Pa>>0]=2;eb=f[O>>2]|0;da=(f[T>>2]|0)-eb|0;Na=f[_>>2]|0;ma=f[t>>2]|0;if((((da|0)==0?0:(da<<8)+-1|0)|0)==(ma+Na|0)){rfa(o);pb=f[_>>2]|0;qb=f[t>>2]|0;rb=f[O>>2]|0}else{pb=Na;qb=ma;rb=eb}eb=qb+pb|0;f[(f[rb+(eb>>>10<<2)>>2]|0)+((eb&1023)<<2)>>2]=Pa;f[t>>2]=qb+1}if(!(b[fa>>0]|0)){b[fa>>0]=2;Pa=f[O>>2]|0;eb=(f[T>>2]|0)-Pa|0;ma=f[_>>2]|0;Na=f[t>>2]|0;if((((eb|0)==0?0:(eb<<8)+-1|0)|0)==(Na+ma|0)){rfa(o);sb=f[_>>2]|0;tb=f[t>>2]|0;ub=f[O>>2]|0}else{sb=ma;tb=Na;ub=Pa}Pa=tb+sb|0;f[(f[ub+(Pa>>>10<<2)>>2]|0)+((Pa&1023)<<2)>>2]=fa;f[t>>2]=tb+1}if(!(b[Qa+(Oa+1)>>0]|0)){fa=Qa+Oa+1|0;b[fa>>0]=2;Oa=f[O>>2]|0;Pa=(f[T>>2]|0)-Oa|0;Na=f[_>>2]|0;ma=f[t>>2]|0;if((((Pa|0)==0?0:(Pa<<8)+-1|0)|0)==(ma+Na|0)){rfa(o);vb=f[_>>2]|0;wb=f[t>>2]|0;xb=f[O>>2]|0}else{vb=Na;wb=ma;xb=Oa}Oa=wb+vb|0;f[(f[xb+(Oa>>>10<<2)>>2]|0)+((Oa&1023)<<2)>>2]=fa;fa=wb+1|0;f[t>>2]=fa;yb=fa}else Ma=186}else{fa=f[W>>2]|0;if(!(b[Qa+~fa>>0]|0)){b[Qa+(0-fa)+-1>>0]=2;Oa=f[W>>2]|0;ma=f[O>>2]|0;Na=(f[T>>2]|0)-ma|0;Pa=f[_>>2]|0;eb=f[t>>2]|0;if((((Na|0)==0?0:(Na<<8)+-1|0)|0)==(eb+Pa|0)){rfa(o);zb=f[W>>2]|0;Ab=f[_>>2]|0;Bb=f[t>>2]|0;Cb=f[O>>2]|0}else{zb=Oa;Ab=Pa;Bb=eb;Cb=ma}ma=Bb+Ab|0;f[(f[Cb+(ma>>>10<<2)>>2]|0)+((ma&1023)<<2)>>2]=Qa+(0-Oa)+-1;f[t>>2]=Bb+1;Db=zb}else Db=fa;fa=Qa+(0-Db)|0;if(!(b[fa>>0]|0)){b[fa>>0]=2;fa=f[W>>2]|0;Oa=f[O>>2]|0;ma=(f[T>>2]|0)-Oa|0;eb=f[_>>2]|0;Pa=f[t>>2]|0;if((((ma|0)==0?0:(ma<<8)+-1|0)|0)==(Pa+eb|0)){rfa(o);Eb=f[W>>2]|0;Fb=f[_>>2]|0;Gb=f[t>>2]|0;Hb=f[O>>2]|0}else{Eb=fa;Fb=eb;Gb=Pa;Hb=Oa}Oa=Gb+Fb|0;f[(f[Hb+(Oa>>>10<<2)>>2]|0)+((Oa&1023)<<2)>>2]=Qa+(0-fa);f[t>>2]=Gb+1;Ib=Eb}else Ib=Db;if(!(b[Qa+(1-Ib)>>0]|0)){b[Qa+(0-Ib)+1>>0]=2;fa=Qa+(0-(f[W>>2]|0))+1|0;Oa=f[O>>2]|0;Pa=(f[T>>2]|0)-Oa|0;eb=f[_>>2]|0;ma=f[t>>2]|0;if((((Pa|0)==0?0:(Pa<<8)+-1|0)|0)==(ma+eb|0)){rfa(o);Jb=f[_>>2]|0;Kb=f[t>>2]|0;Lb=f[O>>2]|0}else{Jb=eb;Kb=ma;Lb=Oa}Oa=Kb+Jb|0;f[(f[Lb+(Oa>>>10<<2)>>2]|0)+((Oa&1023)<<2)>>2]=fa;f[t>>2]=Kb+1}fa=Qa+-1|0;if(!(b[fa>>0]|0)){b[fa>>0]=2;Oa=f[O>>2]|0;ma=(f[T>>2]|0)-Oa|0;eb=f[_>>2]|0;Pa=f[t>>2]|0;if((((ma|0)==0?0:(ma<<8)+-1|0)|0)==(Pa+eb|0)){rfa(o);Mb=f[_>>2]|0;Nb=f[t>>2]|0;Ob=f[O>>2]|0}else{Mb=eb;Nb=Pa;Ob=Oa}Oa=Nb+Mb|0;f[(f[Ob+(Oa>>>10<<2)>>2]|0)+((Oa&1023)<<2)>>2]=fa;f[t>>2]=Nb+1}fa=Qa+1|0;if(!(b[fa>>0]|0)){b[fa>>0]=2;Oa=f[O>>2]|0;Pa=(f[T>>2]|0)-Oa|0;eb=f[_>>2]|0;ma=f[t>>2]|0;if((((Pa|0)==0?0:(Pa<<8)+-1|0)|0)==(ma+eb|0)){rfa(o);Pb=f[_>>2]|0;Qb=f[t>>2]|0;Rb=f[O>>2]|0}else{Pb=eb;Qb=ma;Rb=Oa}Oa=Qb+Pb|0;f[(f[Rb+(Oa>>>10<<2)>>2]|0)+((Oa&1023)<<2)>>2]=fa;f[t>>2]=Qb+1}fa=f[W>>2]|0;if(!(b[Qa+(fa+-1)>>0]|0)){b[Qa+fa+-1>>0]=2;Oa=f[W>>2]|0;ma=f[O>>2]|0;eb=(f[T>>2]|0)-ma|0;Pa=f[_>>2]|0;Na=f[t>>2]|0;if((((eb|0)==0?0:(eb<<8)+-1|0)|0)==(Na+Pa|0)){rfa(o);Sb=f[W>>2]|0;Tb=f[_>>2]|0;Ub=f[t>>2]|0;Vb=f[O>>2]|0}else{Sb=Oa;Tb=Pa;Ub=Na;Vb=ma}ma=Ub+Tb|0;f[(f[Vb+(ma>>>10<<2)>>2]|0)+((ma&1023)<<2)>>2]=Qa+Oa+-1;f[t>>2]=Ub+1;Wb=Sb}else Wb=fa;fa=Qa+Wb|0;if(!(b[fa>>0]|0)){b[fa>>0]=2;fa=f[W>>2]|0;Oa=f[O>>2]|0;ma=(f[T>>2]|0)-Oa|0;Na=f[_>>2]|0;Pa=f[t>>2]|0;if((((ma|0)==0?0:(ma<<8)+-1|0)|0)==(Pa+Na|0)){rfa(o);Xb=f[W>>2]|0;Yb=f[_>>2]|0;Zb=f[t>>2]|0;_b=f[O>>2]|0}else{Xb=fa;Yb=Na;Zb=Pa;_b=Oa}Oa=Zb+Yb|0;f[(f[_b+(Oa>>>10<<2)>>2]|0)+((Oa&1023)<<2)>>2]=Qa+fa;f[t>>2]=Zb+1;$b=Xb}else $b=Wb;if(b[Qa+($b+1)>>0]|0){Ma=186;break}b[Qa+$b+1>>0]=2;fa=Qa+(f[W>>2]|0)+1|0;Oa=f[O>>2]|0;Pa=(f[T>>2]|0)-Oa|0;Na=f[_>>2]|0;ma=f[t>>2]|0;if((((Pa|0)==0?0:(Pa<<8)+-1|0)|0)==(ma+Na|0)){rfa(o);ac=f[_>>2]|0;bc=f[t>>2]|0;cc=f[O>>2]|0}else{ac=Na;bc=ma;cc=Oa}Oa=bc+ac|0;f[(f[cc+(Oa>>>10<<2)>>2]|0)+((Oa&1023)<<2)>>2]=fa;fa=bc+1|0;f[t>>2]=fa;yb=fa}while(0);if((Ma|0)==186){Ma=0;yb=f[t>>2]|0}if(!yb){fb=Z;break}else ha=yb}}if(f[fb>>2]|0){yb=a+44|0;$tc(yb);ha=f[a+16>>2]|0;a=(f[ha+16>>2]|0)+(f[ha+20>>2]|0)|0;Z=f[ha+4>>2]|0;t=Z+(a>>>10<<2)|0;if((f[ha+8>>2]|0)==(Z|0))dc=0;else dc=(f[t>>2]|0)+((a&1023)<<2)|0;f[v>>2]=t;f[v+4>>2]=dc;dc=f[p+4>>2]|0;t=f[p+16>>2]|0;a=dc+(t>>>10<<2)|0;Z=(f[p+8>>2]|0)==(dc|0);if(Z)ec=0;else ec=(f[a>>2]|0)+((t&1023)<<2)|0;f[w>>2]=a;f[w+4>>2]=ec;ec=t+(f[fb>>2]|0)|0;fb=dc+(ec>>>10<<2)|0;if(Z)fc=0;else fc=(f[fb>>2]|0)+((ec&1023)<<2)|0;f[x>>2]=fb;f[x+4>>2]=fc;f[i>>2]=f[v>>2];f[i+4>>2]=f[v+4>>2];f[h>>2]=f[w>>2];f[h+4>>2]=f[w+4>>2];f[g>>2]=f[x>>2];f[g+4>>2]=f[x+4>>2];Cfa(y,ha,i,h,g,0);auc(yb)}yb=f[s>>2]|0;if((yb|0)!=(U|0)){if(yb|0)guc(yb);f[s>>2]=U;f[aa>>2]=264}sfa(p);sfa(o);o=f[n>>2]|0;if((o|0)!=(L|0)){if(o|0)guc(o);f[n>>2]=L;f[M>>2]=520}M=f[m>>2]|0;if((M|0)!=(J|0)){if(M|0)guc(M);f[m>>2]=J;f[K>>2]=520}K=l+36|0;J=f[K>>2]|0;if(J|0?(m=J+12|0,J=f[m>>2]|0,f[m>>2]=J+-1,(J|0)==1):0)aU(l);f[K>>2]=0;K=l+16|0;f[K>>2]=0;f[K+4>>2]=0;f[K+8>>2]=0;f[K+12>>2]=0;if((f[G>>2]|0)>0){K=f[I>>2]|0;I=0;do{f[K+(I<<2)>>2]=0;I=I+1|0}while((I|0)<(f[G>>2]|0))}G=f[D>>2]|0;if((G|0)!=(C|0))TC(G);G=k+36|0;C=f[G>>2]|0;do if(C|0){D=C+12|0;I=f[D>>2]|0;f[D>>2]=I+-1;if((I|0)!=1)break;aU(k)}while(0);f[G>>2]=0;G=k+16|0;f[G>>2]=0;f[G+4>>2]=0;f[G+8>>2]=0;f[G+12>>2]=0;if((f[z>>2]|0)>0){G=f[B>>2]|0;B=0;do{f[G+(B<<2)>>2]=0;B=B+1|0}while((B|0)<(f[z>>2]|0))}z=f[F>>2]|0;if((z|0)!=(E|0))TC(z);if(!(f[j+4>>2]|0)){u=e;return}u=e;return}function Cfa(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0;g=u;u=u+128|0;h=g+120|0;i=g+112|0;j=g+104|0;k=g+24|0;l=g+96|0;m=g+88|0;n=g+80|0;o=g+72|0;p=g+64|0;q=g+56|0;r=g+48|0;s=g+40|0;t=g+32|0;v=g+16|0;w=g+8|0;x=g;y=d;z=f[y>>2]|0;A=f[y+4>>2]|0;y=e;B=f[y>>2]|0;C=f[y+4>>2]|0;if((C|0)==(A|0))D=0;else D=(C-(f[B>>2]|0)>>2)+(B-z<<8)-(A-(f[z>>2]|0)>>2)|0;y=b+4|0;E=f[y>>2]|0;F=b+16|0;G=f[F>>2]|0;H=E+(G>>>10<<2)|0;I=b+8|0;J=f[I>>2]|0;K=J;L=E;if((J|0)==(E|0))M=0;else M=(f[H>>2]|0)+((G&1023)<<2)|0;N=f[c+4>>2]|0;if((N|0)==(M|0))O=0;else{P=f[c>>2]|0;O=(N-(f[P>>2]|0)>>2)+(P-H<<8)-(M-(f[H>>2]|0)>>2)|0}H=b+20|0;M=f[H>>2]|0;if(O>>>0<(M-O|0)>>>0){if(D>>>0>G>>>0){Dfa(b,D-G|0);Q=f[F>>2]|0;R=f[y>>2]|0;S=f[I>>2]|0}else{Q=G;R=E;S=J}P=R+(Q>>>10<<2)|0;if((S|0)==(R|0))T=0;else T=(f[P>>2]|0)+((Q&1023)<<2)|0;R=P;S=T;if(D>>>0>O>>>0){if(O>>>0<D>>>1>>>0)if(!O){U=B;V=C}else{N=B;c=(C-(f[B>>2]|0)>>2)-O|0;if((c|0)>0){W=N+(c>>>10<<2)|0;X=(f[W>>2]|0)+((c&1023)<<2)|0;Y=W}else{W=1023-c|0;c=N+(((W|0)/-1024|0)<<2)|0;X=(f[c>>2]|0)+(1023-((W|0)%1024|0)<<2)|0;Y=c}U=Y;V=X}else{X=D-O|0;if(!X){U=z;V=A}else{Y=z;c=(A-(f[z>>2]|0)>>2)+X|0;if((c|0)>0){X=Y+(c>>>10<<2)|0;Z=(f[X>>2]|0)+((c&1023)<<2)|0;_=X}else{X=1023-c|0;c=Y+(((X|0)/-1024|0)<<2)|0;Z=(f[c>>2]|0)+(1023-((X|0)%1024|0)<<2)|0;_=c}U=_;V=Z}}Z=V;_=d+4|0;if((Z|0)==(f[_>>2]|0)){$=O;aa=Q;ba=R;ca=S;da=U;ea=V}else{c=U;X=R;Y=S;W=Z;Z=Q;N=f[H>>2]|0;while(1){fa=Y;ga=X;if((fa|0)==(f[ga>>2]|0)){ha=ga+-4|0;ia=ha;ja=(f[ha>>2]|0)+4096|0}else{ia=X;ja=fa}fa=ja+-4|0;Y=fa;ha=c;if((W|0)==(f[ha>>2]|0)){ga=ha+-4|0;ka=ga;la=(f[ga>>2]|0)+4096|0}else{ka=c;la=W}W=la+-4|0;f[fa>>2]=f[W>>2];Z=Z+-1|0;N=N+1|0;if((W|0)==(f[_>>2]|0))break;else{c=ka;X=ia}}f[F>>2]=Z;f[H>>2]=N;$=O;aa=Z;ba=ia;ca=Y;da=U;ea=V}}else{$=D;aa=Q;ba=R;ca=S;da=z;ea=A}if($|0){Q=(S-(f[P>>2]|0)>>2)+$|0;if((Q|0)>0){V=P+(Q>>>10<<2)|0;ma=(f[V>>2]|0)+((Q&1023)<<2)|0;na=V}else{V=1023-Q|0;Q=P+(((V|0)/-1024|0)<<2)|0;ma=(f[Q>>2]|0)+(1023-((V|0)%1024|0)<<2)|0;na=Q}Q=na;na=ma;if((ma|0)!=(T|0)){V=Q;U=ba;ba=ca;ca=ma;ma=aa;aa=f[H>>2]|0;while(1){Y=ba;ia=U;if((Y|0)==(f[ia>>2]|0)){Z=ia+-4|0;oa=Z;pa=(f[Z>>2]|0)+4096|0}else{oa=U;pa=Y}ba=pa+-4|0;Y=V;if((ca|0)==(f[Y>>2]|0)){Z=Y+-4|0;qa=Z;ra=(f[Z>>2]|0)+4096|0}else{qa=V;ra=ca}ca=ra+-4|0;f[ba>>2]=f[ca>>2];ma=ma+-1|0;aa=aa+1|0;if((ca|0)==(T|0))break;else{V=qa;U=oa}}f[F>>2]=ma;f[H>>2]=aa}if($>>>0<O>>>0){f[l>>2]=Q;f[l+4>>2]=na;na=m;f[na>>2]=R;f[na+4>>2]=S;na=(S-(f[P>>2]|0)>>2)+O|0;if((na|0)>0){Q=P+(na>>>10<<2)|0;f[m>>2]=Q;sa=(f[Q>>2]|0)+((na&1023)<<2)|0}else{Q=1023-na|0;na=P+(((Q|0)/-1024|0)<<2)|0;f[m>>2]=na;sa=(f[na>>2]|0)+(1023-((Q|0)%1024|0)<<2)|0}f[m+4>>2]=sa;f[n>>2]=R;f[n+4>>2]=S;f[j>>2]=f[l>>2];f[j+4>>2]=f[l+4>>2];f[i>>2]=f[m>>2];f[i+4>>2]=f[m+4>>2];f[h>>2]=f[n>>2];f[h+4>>2]=f[n+4>>2];Efa(k,j,i,h);ta=f[k>>2]|0;ua=f[k+4>>2]|0}else{ta=R;ua=S}S=o;f[S>>2]=da;f[S+4>>2]=ea;ea=e;S=f[ea+4>>2]|0;da=p;f[da>>2]=f[ea>>2];f[da+4>>2]=S;f[q>>2]=ta;f[q+4>>2]=ua;f[j>>2]=f[o>>2];f[j+4>>2]=f[o+4>>2];f[i>>2]=f[p>>2];f[i+4>>2]=f[p+4>>2];f[h>>2]=f[q>>2];f[h+4>>2]=f[q+4>>2];Ffa(k,j,i,h)}}else{q=K-L|0;L=((q|0)==0?0:(q<<8)+-1|0)-(M+G)|0;if(D>>>0>L>>>0){Gfa(b,D-L|0);va=f[H>>2]|0;wa=f[F>>2]|0;xa=f[y>>2]|0;ya=f[I>>2]|0}else{va=M;wa=G;xa=E;ya=J}J=wa+va|0;wa=xa+(J>>>10<<2)|0;if((ya|0)==(xa|0))za=0;else za=(f[wa>>2]|0)+((J&1023)<<2)|0;J=wa;xa=za;ya=va-O|0;if(D>>>0>ya>>>0){if(ya>>>0<D>>>1>>>0)if(!ya){Aa=z;Ba=A}else{E=z;G=(A-(f[z>>2]|0)>>2)+ya|0;if((G|0)>0){z=E+(G>>>10<<2)|0;Ca=(f[z>>2]|0)+((G&1023)<<2)|0;Da=z}else{z=1023-G|0;G=E+(((z|0)/-1024|0)<<2)|0;Ca=(f[G>>2]|0)+(1023-((z|0)%1024|0)<<2)|0;Da=G}Aa=Da;Ba=Ca}else{Ca=D-ya|0;if(!Ca){Aa=B;Ba=C}else{Da=B;G=(C-(f[B>>2]|0)>>2)-Ca|0;if((G|0)>0){Ca=Da+(G>>>10<<2)|0;Ea=(f[Ca>>2]|0)+((G&1023)<<2)|0;Fa=Ca}else{Ca=1023-G|0;G=Da+(((Ca|0)/-1024|0)<<2)|0;Ea=(f[G>>2]|0)+(1023-((Ca|0)%1024|0)<<2)|0;Fa=G}Aa=Fa;Ba=Ea}}Ea=Ba;Fa=e+4|0;if((Ea|0)==(f[Fa>>2]|0)){Ga=ya;Ha=va;Ia=J;Ja=xa;Ka=Aa;La=Ba}else{e=Aa;G=J;Ca=Ba;Da=xa;z=Ea;Ea=va;while(1){f[Da>>2]=f[Ca>>2];E=Da+4|0;if((E-(f[G>>2]|0)|0)==4096){A=G+4|0;Ma=A;Na=f[A>>2]|0}else{Ma=G;Na=E}E=z+4|0;if((E-(f[e>>2]|0)|0)==4096){A=e+4|0;Oa=A;Pa=f[A>>2]|0}else{Oa=e;Pa=E}Ea=Ea+1|0;z=Pa;if((z|0)==(f[Fa>>2]|0))break;else{e=Oa;G=Ma;Ca=Pa;Da=Na}}f[H>>2]=Ea;Ga=ya;Ha=Ea;Ia=Ma;Ja=Na;Ka=Aa;La=Ba}}else{Ga=D;Ha=va;Ia=J;Ja=xa;Ka=B;La=C}if(Ga|0){C=(xa-(f[wa>>2]|0)>>2)-Ga|0;if((C|0)>0){B=wa+(C>>>10<<2)|0;Qa=(f[B>>2]|0)+((C&1023)<<2)|0;Ra=B}else{B=1023-C|0;C=wa+(((B|0)/-1024|0)<<2)|0;Qa=(f[C>>2]|0)+(1023-((B|0)%1024|0)<<2)|0;Ra=C}C=Ra;Ra=Qa;if((Qa|0)!=(za|0)){B=C;va=Ia;Ia=Ra;D=Ja;Ja=Qa;Qa=Ha;while(1){f[D>>2]=f[Ia>>2];Ha=D+4|0;if((Ha-(f[va>>2]|0)|0)==4096){Ba=va+4|0;Sa=Ba;Ta=f[Ba>>2]|0}else{Sa=va;Ta=Ha}Ha=Ja+4|0;if((Ha-(f[B>>2]|0)|0)==4096){Ba=B+4|0;Ua=Ba;Va=f[Ba>>2]|0}else{Ua=B;Va=Ha}Qa=Qa+1|0;Ja=Va;if((Ja|0)==(za|0))break;else{B=Ua;va=Sa;Ia=Va;D=Ta}}f[H>>2]=Qa}if(Ga>>>0<ya>>>0){Ga=r;f[Ga>>2]=J;f[Ga+4>>2]=xa;Ga=(xa-(f[wa>>2]|0)>>2)-ya|0;if((Ga|0)>0){ya=wa+(Ga>>>10<<2)|0;f[r>>2]=ya;Wa=(f[ya>>2]|0)+((Ga&1023)<<2)|0}else{ya=1023-Ga|0;Ga=wa+(((ya|0)/-1024|0)<<2)|0;f[r>>2]=Ga;Wa=(f[Ga>>2]|0)+(1023-((ya|0)%1024|0)<<2)|0}f[r+4>>2]=Wa;f[s>>2]=C;f[s+4>>2]=Ra;f[t>>2]=J;f[t+4>>2]=xa;f[j>>2]=f[r>>2];f[j+4>>2]=f[r+4>>2];f[i>>2]=f[s>>2];f[i+4>>2]=f[s+4>>2];f[h>>2]=f[t>>2];f[h+4>>2]=f[t+4>>2];Hfa(k,j,i,h);Xa=f[k>>2]|0;Ya=f[k+4>>2]|0}else{Xa=J;Ya=xa}xa=d;d=f[xa+4>>2]|0;J=v;f[J>>2]=f[xa>>2];f[J+4>>2]=d;d=w;f[d>>2]=Ka;f[d+4>>2]=La;f[x>>2]=Xa;f[x+4>>2]=Ya;f[j>>2]=f[v>>2];f[j+4>>2]=f[v+4>>2];f[i>>2]=f[w>>2];f[i+4>>2]=f[w+4>>2];f[h>>2]=f[x>>2];f[h+4>>2]=f[x+4>>2];Ifa(k,j,i,h)}}h=f[y>>2]|0;y=f[F>>2]|0;F=h+(y>>>10<<2)|0;if((f[I>>2]|0)==(h|0)){Za=0;_a=0}else{Za=0;_a=(f[F>>2]|0)+((y&1023)<<2)|0}y=a;f[y>>2]=Za|F;f[y+4>>2]=_a;if(!O){u=g;return}y=(_a-(f[F>>2]|0)>>2)+O|0;if((y|0)>0){O=F+(y>>>10<<2)|0;f[a>>2]=O;$a=(f[O>>2]|0)+((y&1023)<<2)|0}else{O=1023-y|0;y=F+(((O|0)/-1024|0)<<2)|0;f[a>>2]=y;$a=(f[y>>2]|0)+(1023-((O|0)%1024|0)<<2)|0}f[a+4>>2]=$a;u=g;return}function Dfa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0;c=u;u=u+32|0;d=c+4|0;e=c;g=a+8|0;h=f[g>>2]|0;i=a+4|0;j=f[i>>2]|0;k=(h|0)==(j|0);l=(k&1)+b|0;b=((l&1023|0)!=0&1)+(l>>>10)|0;l=j;j=h-l|0;m=a+16|0;n=f[m>>2]|0;o=(((j|0)==0?0:(j<<8)+-1|0)-((f[a+20>>2]|0)+n)|0)>>>10;p=b>>>0<o>>>0?b:o;q=b-p|0;if(!q){f[m>>2]=(p<<10)+n;if(!p){u=c;return}n=h+-4|0;f[d>>2]=f[n>>2];f[g>>2]=n;Jfa(a,d);n=p+-1|0;if(!n){u=c;return}else r=n;do{n=(f[g>>2]|0)+-4|0;f[d>>2]=f[n>>2];f[g>>2]=n;Jfa(a,d);r=r+-1|0}while((r|0)!=0);u=c;return}r=a+12|0;n=f[a>>2]|0;h=(f[r>>2]|0)-n|0;s=j>>2;if(q>>>0<=((h>>2)-s|0)>>>0){a:do if((l|0)==(n|0)){t=q;v=7}else{j=q;while(1){w=cuc(4096)|0;f[d>>2]=w;wfa(a,d);w=j+-1|0;x=f[i>>2]|0;y=(f[m>>2]|0)+1024+((((f[g>>2]|0)-x|0)==4)<<31>>31)|0;f[m>>2]=y;if(!w){z=p;A=y;break a}if((x|0)==(f[a>>2]|0)){t=w;v=7;break}else j=w}}while(0);if((v|0)==7){n=~(b>>>0>o>>>0?o:b);o=t;do{l=cuc(4096)|0;f[d>>2]=l;vfa(a,d);o=o+-1|0}while((o|0)!=0);z=t+-1-n|0;A=f[m>>2]|0}f[m>>2]=A+(z<<10);if(!z){u=c;return}A=z;do{z=(f[g>>2]|0)+-4|0;f[d>>2]=f[z>>2];f[g>>2]=z;Jfa(a,d);A=A+-1|0}while((A|0)!=0);u=c;return}A=(b<<10)+(k<<31>>31)|0;k=h>>1;h=s+q|0;s=k>>>0<h>>>0?h:k;f[d+12>>2]=0;f[d+16>>2]=a+12;do if(s)if(s>>>0>1073741823){k=ze(8)|0;kuc(k,519086);f[k>>2]=167148;Hf(k|0,26888,1888)}else{B=cuc(s<<2)|0;break}else B=0;while(0);f[d>>2]=B;k=d+8|0;f[k>>2]=B;h=d+4|0;f[h>>2]=B;b=d+12|0;f[b>>2]=B+(s<<2);s=q;do{q=cuc(4096)|0;f[e>>2]=q;xfa(d,e);s=s+-1|0}while((s|0)!=0);b:do if(!p)C=f[g>>2]|0;else{s=p;e=f[g>>2]|0;q=f[k>>2]|0;c:while(1){B=e+-4|0;z=f[b>>2]|0;n=z;t=q;do if((q|0)==(z|0)){o=f[h>>2]|0;l=f[d>>2]|0;j=l;if(o>>>0>l>>>0){w=o;x=((w-j>>2)+1|0)/-2|0;y=o+(x<<2)|0;D=t-w|0;w=D>>2;if(!w)E=o;else{uzc(y|0,o|0,D|0)|0;E=f[h>>2]|0}D=y+(w<<2)|0;f[k>>2]=D;f[h>>2]=E+(x<<2);F=D;break}D=n-j>>1;j=(D|0)==0?1:D;if(j>>>0>1073741823)break c;D=cuc(j<<2)|0;x=D;w=D+(j>>>2<<2)|0;y=w;G=D+(j<<2)|0;if((o|0)==(q|0))H=y;else{j=w;w=y;D=o;while(1){f[j>>2]=f[D>>2];j=w+4|0;o=j;D=D+4|0;if((D|0)==(q|0)){H=o;break}else w=o}}f[d>>2]=x;f[h>>2]=y;f[k>>2]=H;f[b>>2]=G;if(!l)F=H;else{fuc(l);F=f[k>>2]|0}}else F=q;while(0);f[F>>2]=f[B>>2];q=(f[k>>2]|0)+4|0;f[k>>2]=q;n=(f[g>>2]|0)+-4|0;f[g>>2]=n;s=s+-1|0;if(!s){C=n;break b}else e=n}e=ze(8)|0;kuc(e,519086);f[e>>2]=167148;Hf(e|0,26888,1888)}while(0);F=f[i>>2]|0;do if((F|0)!=(C|0)){H=F;E=f[k>>2]|0;d:while(1){p=f[b>>2]|0;e=p;s=E;do if((E|0)==(p|0)){q=f[h>>2]|0;n=f[d>>2]|0;t=n;if(q>>>0>n>>>0){z=q;w=((z-t>>2)+1|0)/-2|0;D=q+(w<<2)|0;j=s-z|0;z=j>>2;if(!z)I=q;else{uzc(D|0,q|0,j|0)|0;I=f[h>>2]|0}j=D+(z<<2)|0;f[k>>2]=j;f[h>>2]=I+(w<<2);J=j;break}j=e-t>>1;t=(j|0)==0?1:j;if(t>>>0>1073741823){v=51;break d}j=cuc(t<<2)|0;w=j;z=j+(t>>>2<<2)|0;D=z;o=j+(t<<2)|0;if((q|0)==(E|0))K=D;else{t=z;z=D;j=q;while(1){f[t>>2]=f[j>>2];t=z+4|0;q=t;j=j+4|0;if((j|0)==(E|0)){K=q;break}else z=q}}f[d>>2]=w;f[h>>2]=D;f[k>>2]=K;f[b>>2]=o;if(!n)J=K;else{fuc(n);J=f[k>>2]|0}}else J=E;while(0);f[J>>2]=f[H>>2];E=(f[k>>2]|0)+4|0;f[k>>2]=E;H=H+4|0;L=f[g>>2]|0;if((H|0)==(L|0)){v=39;break}}if((v|0)==39){M=L;N=h;O=k;P=b;Q=d;R=f[i>>2]|0;S=E;break}else if((v|0)==51){H=ze(8)|0;kuc(H,519086);f[H>>2]=167148;Hf(H|0,26888,1888)}}else{M=C;N=h;O=k;P=b;Q=d;R=F;S=f[k>>2]|0}while(0);F=f[a>>2]|0;f[a>>2]=f[Q>>2];f[Q>>2]=F;f[i>>2]=f[N>>2];f[N>>2]=R;f[g>>2]=S;f[O>>2]=M;O=f[r>>2]|0;f[r>>2]=f[P>>2];f[P>>2]=O;f[m>>2]=A+(f[m>>2]|0);if((M|0)!=(R|0))f[k>>2]=M+(~((M+-4-R|0)>>>2)<<2);if(F|0)fuc(F);u=c;return}function Efa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;e=f[c+4>>2]|0;g=b+4|0;h=f[g>>2]|0;if((e|0)!=(h|0)?(i=f[c>>2]|0,c=f[b>>2]|0,j=(e-(f[i>>2]|0)>>2)+(i-c<<8)-(h-(f[c>>2]|0)>>2)|0,(j|0)>0):0){c=d;i=j;j=f[c>>2]|0;e=f[c+4>>2]|0;c=h;while(1){h=(f[f[b>>2]>>2]|0)+4096|0;k=h-c>>2;l=(k|0)>(i|0);m=l?c+(i<<2)|0:h;h=l?i:k;if((c|0)==(m|0)){n=j;o=e}else{k=m;l=c;p=e;q=j;r=e;while(1){s=q;t=(f[s>>2]|0)+4096-p>>2;u=l;v=k-u>>2;w=(v|0)>(t|0);x=w?t:v;v=l;l=w?l+(t<<2)|0:m;t=l-u|0;if(t|0)uzc(p|0,v|0,t|0)|0;if(!x){y=p;z=q;A=r}else{t=(r-(f[q>>2]|0)>>2)+x|0;if((t|0)>0){x=s+(t>>>10<<2)|0;B=(f[x>>2]|0)+((t&1023)<<2)|0;C=x}else{x=1023-t|0;t=s+(((x|0)/-1024|0)<<2)|0;B=(f[t>>2]|0)+(1023-((x|0)%1024|0)<<2)|0;C=t}y=B;z=C;A=B}if((l|0)==(m|0)){n=z;o=A;break}else{p=y;q=z;r=A}}}r=d;f[r>>2]=n;f[r+4>>2]=o;r=i-h|0;if(h|0){q=f[b>>2]|0;p=((f[g>>2]|0)-(f[q>>2]|0)>>2)+h|0;if((p|0)>0){m=q+(p>>>10<<2)|0;f[b>>2]=m;D=(f[m>>2]|0)+((p&1023)<<2)|0}else{m=1023-p|0;p=q+(((m|0)/-1024|0)<<2)|0;f[b>>2]=p;D=(f[p>>2]|0)+(1023-((m|0)%1024|0)<<2)|0}f[g>>2]=D}if((r|0)<=0){E=n;F=o;break}i=r;j=n;e=o;c=f[g>>2]|0}G=a;H=G;f[H>>2]=E;I=G+4|0;J=I;f[J>>2]=F;return}g=d;E=f[g>>2]|0;F=f[g+4>>2]|0;G=a;H=G;f[H>>2]=E;I=G+4|0;J=I;f[J>>2]=F;return}function Ffa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;e=f[c+4>>2]|0;g=b+4|0;h=f[g>>2]|0;if((e|0)!=(h|0)?(i=f[c>>2]|0,c=f[b>>2]|0,j=(e-(f[i>>2]|0)>>2)+(i-c<<8)-(h-(f[c>>2]|0)>>2)|0,(j|0)>0):0){c=d;i=j;j=f[c>>2]|0;e=f[c+4>>2]|0;c=h;while(1){h=(f[f[b>>2]>>2]|0)+4096|0;k=h-c>>2;l=(k|0)>(i|0);m=l?c+(i<<2)|0:h;h=l?i:k;if((c|0)==(m|0)){n=j;o=e}else{k=m;l=c;p=e;q=j;r=e;while(1){s=q;t=(f[s>>2]|0)+4096-p>>2;u=l;v=k-u>>2;w=(v|0)>(t|0);x=w?t:v;v=l;l=w?l+(t<<2)|0:m;t=l-u|0;if(t|0)uzc(p|0,v|0,t|0)|0;if(!x){y=p;z=q;A=r}else{t=(r-(f[q>>2]|0)>>2)+x|0;if((t|0)>0){x=s+(t>>>10<<2)|0;B=(f[x>>2]|0)+((t&1023)<<2)|0;C=x}else{x=1023-t|0;t=s+(((x|0)/-1024|0)<<2)|0;B=(f[t>>2]|0)+(1023-((x|0)%1024|0)<<2)|0;C=t}y=B;z=C;A=B}if((l|0)==(m|0)){n=z;o=A;break}else{p=y;q=z;r=A}}}r=d;f[r>>2]=n;f[r+4>>2]=o;r=i-h|0;if(h|0){q=f[b>>2]|0;p=((f[g>>2]|0)-(f[q>>2]|0)>>2)+h|0;if((p|0)>0){m=q+(p>>>10<<2)|0;f[b>>2]=m;D=(f[m>>2]|0)+((p&1023)<<2)|0}else{m=1023-p|0;p=q+(((m|0)/-1024|0)<<2)|0;f[b>>2]=p;D=(f[p>>2]|0)+(1023-((m|0)%1024|0)<<2)|0}f[g>>2]=D}if((r|0)<=0){E=n;F=o;break}i=r;j=n;e=o;c=f[g>>2]|0}G=a;H=G;f[H>>2]=E;I=G+4|0;J=I;f[J>>2]=F;return}g=d;E=f[g>>2]|0;F=f[g+4>>2]|0;G=a;H=G;f[H>>2]=E;I=G+4|0;J=I;f[J>>2]=F;return}function Gfa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0;c=u;u=u+32|0;d=c+4|0;e=c;g=a+8|0;h=f[g>>2]|0;i=a+4|0;j=f[i>>2]|0;k=((h|0)==(j|0)&1)+b|0;b=((k&1023|0)!=0&1)+(k>>>10)|0;k=a+16|0;l=f[k>>2]|0;m=l>>>10;n=b>>>0<m>>>0?b:m;o=b-n|0;p=h;if(!o){f[k>>2]=l-(n<<10);if(!n){u=c;return}l=a+12|0;q=n;r=j;s=h;a:while(1){h=f[r>>2]|0;t=r+4|0;f[i>>2]=t;v=f[l>>2]|0;w=v;x=s;do if((s|0)==(v|0)){y=f[a>>2]|0;z=y;if(t>>>0>y>>>0){A=t;B=((A-z>>2)+1|0)/-2|0;C=t+(B<<2)|0;D=x-A|0;A=D>>2;if(!A)E=t;else{uzc(C|0,t|0,D|0)|0;E=f[i>>2]|0}D=C+(A<<2)|0;f[g>>2]=D;f[i>>2]=E+(B<<2);F=D;break}D=w-z>>1;z=(D|0)==0?1:D;if(z>>>0>1073741823){G=10;break a}D=cuc(z<<2)|0;B=D;A=D+(z>>>2<<2)|0;C=A;H=D+(z<<2)|0;if((t|0)==(s|0)){I=C;J=y}else{y=A;A=C;z=t;do{f[y>>2]=f[z>>2];y=A+4|0;A=y;z=z+4|0}while((z|0)!=(s|0));I=A;J=f[a>>2]|0}f[a>>2]=B;f[i>>2]=C;f[g>>2]=I;f[l>>2]=H;if(!J)F=I;else{fuc(J);F=f[g>>2]|0}}else F=s;while(0);f[F>>2]=h;t=(f[g>>2]|0)+4|0;f[g>>2]=t;w=q+-1|0;if(!w){G=69;break}q=w;r=f[i>>2]|0;s=t}if((G|0)==10){s=ze(8)|0;kuc(s,519086);f[s>>2]=167148;Hf(s|0,26888,1888)}else if((G|0)==69){u=c;return}}s=a+12|0;r=f[s>>2]|0;q=r-(f[a>>2]|0)|0;F=p-j>>2;if(o>>>0<=((q>>2)-F|0)>>>0){b:do if((r|0)==(p|0)){K=o;G=21}else{j=o;while(1){J=cuc(4096)|0;f[d>>2]=J;vfa(a,d);J=j+-1|0;if(!J)break;if((f[s>>2]|0)==(f[g>>2]|0)){K=J;G=21;break b}else j=J}L=n;M=f[k>>2]|0}while(0);if((G|0)==21){p=~(b>>>0>m>>>0?m:b);b=K;do{m=cuc(4096)|0;f[d>>2]=m;wfa(a,d);b=b+-1|0;N=(f[k>>2]|0)+1024+((((f[g>>2]|0)-(f[i>>2]|0)|0)==4)<<31>>31)|0;f[k>>2]=N}while((b|0)!=0);L=K+-1-p|0;M=N}f[k>>2]=M-(L<<10);if(!L){u=c;return}M=L;L=f[g>>2]|0;c:while(1){N=f[i>>2]|0;p=f[N>>2]|0;K=N+4|0;f[i>>2]=K;N=f[s>>2]|0;b=N;m=L;do if((L|0)==(N|0)){r=f[a>>2]|0;j=r;if(K>>>0>r>>>0){h=K;J=((h-j>>2)+1|0)/-2|0;I=K+(J<<2)|0;l=m-h|0;h=l>>2;if(!h)O=K;else{uzc(I|0,K|0,l|0)|0;O=f[i>>2]|0}l=I+(h<<2)|0;f[g>>2]=l;f[i>>2]=O+(J<<2);P=l;break}l=b-j>>1;j=(l|0)==0?1:l;if(j>>>0>1073741823){G=34;break c}l=cuc(j<<2)|0;J=l;h=l+(j>>>2<<2)|0;I=h;E=l+(j<<2)|0;if((K|0)==(L|0)){Q=I;R=r}else{r=h;h=I;j=K;do{f[r>>2]=f[j>>2];r=h+4|0;h=r;j=j+4|0}while((j|0)!=(L|0));Q=h;R=f[a>>2]|0}f[a>>2]=J;f[i>>2]=I;f[g>>2]=Q;f[s>>2]=E;if(!R)P=Q;else{fuc(R);P=f[g>>2]|0}}else P=L;while(0);f[P>>2]=p;L=(f[g>>2]|0)+4|0;f[g>>2]=L;M=M+-1|0;if(!M){G=69;break}}if((G|0)==34){M=ze(8)|0;kuc(M,519086);f[M>>2]=167148;Hf(M|0,26888,1888)}else if((G|0)==69){u=c;return}}G=n<<10;M=q>>1;q=F+o|0;L=M>>>0<q>>>0?q:M;M=F-n|0;f[d+12>>2]=0;f[d+16>>2]=a+12;do if(L)if(L>>>0>1073741823){F=ze(8)|0;kuc(F,519086);f[F>>2]=167148;Hf(F|0,26888,1888)}else{S=cuc(L<<2)|0;break}else S=0;while(0);f[d>>2]=S;F=S+(M<<2)|0;M=d+8|0;f[M>>2]=F;q=d+4|0;f[q>>2]=F;F=d+12|0;f[F>>2]=S+(L<<2);L=o;do{o=cuc(4096)|0;f[e>>2]=o;xfa(d,e);L=L+-1|0}while((L|0)!=0);d:do if(n|0){L=n;e=f[M>>2]|0;o=f[i>>2]|0;e:while(1){S=f[F>>2]|0;P=S;R=e;do if((e|0)==(S|0)){Q=f[q>>2]|0;O=f[d>>2]|0;K=O;if(Q>>>0>O>>>0){b=Q;m=((b-K>>2)+1|0)/-2|0;N=Q+(m<<2)|0;j=R-b|0;b=j>>2;if(!b)T=Q;else{uzc(N|0,Q|0,j|0)|0;T=f[q>>2]|0}j=N+(b<<2)|0;f[M>>2]=j;f[q>>2]=T+(m<<2);U=j;break}j=P-K>>1;K=(j|0)==0?1:j;if(K>>>0>1073741823)break e;j=cuc(K<<2)|0;m=j;b=j+(K>>>2<<2)|0;N=b;r=j+(K<<2)|0;if((Q|0)==(e|0))V=N;else{K=b;b=N;j=Q;while(1){f[K>>2]=f[j>>2];K=b+4|0;Q=K;j=j+4|0;if((j|0)==(e|0)){V=Q;break}else b=Q}}f[d>>2]=m;f[q>>2]=N;f[M>>2]=V;f[F>>2]=r;if(!O)U=V;else{fuc(O);U=f[M>>2]|0}}else U=e;while(0);f[U>>2]=f[o>>2];e=(f[M>>2]|0)+4|0;f[M>>2]=e;o=(f[i>>2]|0)+4|0;f[i>>2]=o;L=L+-1|0;if(!L)break d}L=ze(8)|0;kuc(L,519086);f[L>>2]=167148;Hf(L|0,26888,1888)}while(0);U=f[g>>2]|0;while(1){W=f[i>>2]|0;if((U|0)==(W|0))break;V=U+-4|0;yfa(d,V);U=V}V=W;W=f[a>>2]|0;f[a>>2]=f[d>>2];f[d>>2]=W;f[i>>2]=f[q>>2];f[q>>2]=V;q=f[g>>2]|0;f[g>>2]=f[M>>2];f[M>>2]=q;g=f[s>>2]|0;f[s>>2]=f[F>>2];f[F>>2]=g;f[k>>2]=(f[k>>2]|0)-G;G=q;if((G|0)!=(U|0))f[M>>2]=G+(~((G+-4-V|0)>>>2)<<2);if(W|0)fuc(W);u=c;return}function Hfa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0;e=c+4|0;g=f[e>>2]|0;h=f[b+4>>2]|0;if((g|0)!=(h|0)?(i=f[c>>2]|0,j=f[b>>2]|0,b=(g-(f[i>>2]|0)>>2)+(i-j<<8)-(h-(f[j>>2]|0)>>2)|0,(b|0)>0):0){j=b;b=f[c>>2]|0;h=g;while(1){if((h|0)==(f[b>>2]|0)){g=b+-4|0;f[c>>2]=g;i=(f[g>>2]|0)+4096|0;f[e>>2]=i;k=i;l=g}else{k=h;l=b}g=k+-4|0;f[e>>2]=g;i=f[l>>2]|0;m=k-i>>2;n=(m|0)>(j|0);o=n?k+(0-j<<2)|0:i;i=n?j:m;m=d;n=f[m>>2]|0;p=f[m+4>>2]|0;m=g;if((k|0)==(o|0)){q=n;r=p}else{s=o;t=k;u=n;n=p;while(1){p=u;v=u;w=n-(f[v>>2]|0)|0;x=w>>2;y=x+-1|0;if((w|0)>4){w=p+(y>>>10<<2)|0;z=(f[w>>2]|0)+((y&1023)<<2)|0;A=w}else{w=1024-x|0;x=p+(((w|0)/-1024|0)<<2)|0;z=(f[x>>2]|0)+(1023-((w|0)%1024|0)<<2)|0;A=x}x=z+4|0;w=x-(f[A>>2]|0)>>2;y=t;B=y-s>>2;C=(B|0)>(w|0);D=C?w:B;t=C?t+(0-w<<2)|0:o;w=y-t|0;y=w>>2;if(y|0)uzc(x+(0-y<<2)|0,t|0,w|0)|0;if(!D){E=u;F=n}else{w=(n-(f[v>>2]|0)>>2)-D|0;if((w|0)>0){D=p+(w>>>10<<2)|0;G=(f[D>>2]|0)+((w&1023)<<2)|0;H=D}else{D=1023-w|0;w=p+(((D|0)/-1024|0)<<2)|0;G=(f[w>>2]|0)+(1023-((D|0)%1024|0)<<2)|0;H=w}E=H;F=G}if((t|0)==(o|0)){q=E;r=F;break}else{u=E;n=F}}}n=d;f[n>>2]=q;f[n+4>>2]=r;j=j-i|0;n=i+-1|0;if(!n){I=l;J=g}else{u=(m-(f[l>>2]|0)>>2)-n|0;if((u|0)>0){n=l+(u>>>10<<2)|0;f[c>>2]=n;K=(f[n>>2]|0)+((u&1023)<<2)|0;L=n}else{n=1023-u|0;u=l+(((n|0)/-1024|0)<<2)|0;f[c>>2]=u;K=(f[u>>2]|0)+(1023-((n|0)%1024|0)<<2)|0;L=u}f[e>>2]=K;I=L;J=K}if((j|0)<=0){M=q;N=r;break}else{b=I;h=J}}O=a;P=O;f[P>>2]=M;Q=O+4|0;R=Q;f[R>>2]=N;return}J=d;M=f[J>>2]|0;N=f[J+4>>2]|0;O=a;P=O;f[P>>2]=M;Q=O+4|0;R=Q;f[R>>2]=N;return}function Ifa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0;e=c+4|0;g=f[e>>2]|0;h=f[b+4>>2]|0;if((g|0)!=(h|0)?(i=f[c>>2]|0,j=f[b>>2]|0,b=(g-(f[i>>2]|0)>>2)+(i-j<<8)-(h-(f[j>>2]|0)>>2)|0,(b|0)>0):0){j=b;b=f[c>>2]|0;h=g;while(1){if((h|0)==(f[b>>2]|0)){g=b+-4|0;f[c>>2]=g;i=(f[g>>2]|0)+4096|0;f[e>>2]=i;k=i;l=g}else{k=h;l=b}g=k+-4|0;f[e>>2]=g;i=f[l>>2]|0;m=k-i>>2;n=(m|0)>(j|0);o=n?k+(0-j<<2)|0:i;i=n?j:m;m=d;n=f[m>>2]|0;p=f[m+4>>2]|0;m=g;if((k|0)==(o|0)){q=n;r=p}else{s=o;t=k;u=n;n=p;while(1){p=u;v=u;w=n-(f[v>>2]|0)|0;x=w>>2;y=x+-1|0;if((w|0)>4){w=p+(y>>>10<<2)|0;z=(f[w>>2]|0)+((y&1023)<<2)|0;A=w}else{w=1024-x|0;x=p+(((w|0)/-1024|0)<<2)|0;z=(f[x>>2]|0)+(1023-((w|0)%1024|0)<<2)|0;A=x}x=z+4|0;w=x-(f[A>>2]|0)>>2;y=t;B=y-s>>2;C=(B|0)>(w|0);D=C?w:B;t=C?t+(0-w<<2)|0:o;w=y-t|0;y=w>>2;if(y|0)uzc(x+(0-y<<2)|0,t|0,w|0)|0;if(!D){E=u;F=n}else{w=(n-(f[v>>2]|0)>>2)-D|0;if((w|0)>0){D=p+(w>>>10<<2)|0;G=(f[D>>2]|0)+((w&1023)<<2)|0;H=D}else{D=1023-w|0;w=p+(((D|0)/-1024|0)<<2)|0;G=(f[w>>2]|0)+(1023-((D|0)%1024|0)<<2)|0;H=w}E=H;F=G}if((t|0)==(o|0)){q=E;r=F;break}else{u=E;n=F}}}n=d;f[n>>2]=q;f[n+4>>2]=r;j=j-i|0;n=i+-1|0;if(!n){I=l;J=g}else{u=(m-(f[l>>2]|0)>>2)-n|0;if((u|0)>0){n=l+(u>>>10<<2)|0;f[c>>2]=n;K=(f[n>>2]|0)+((u&1023)<<2)|0;L=n}else{n=1023-u|0;u=l+(((n|0)/-1024|0)<<2)|0;f[c>>2]=u;K=(f[u>>2]|0)+(1023-((n|0)%1024|0)<<2)|0;L=u}f[e>>2]=K;I=L;J=K}if((j|0)<=0){M=q;N=r;break}else{b=I;h=J}}O=a;P=O;f[P>>2]=M;Q=O+4|0;R=Q;f[R>>2]=N;return}J=d;M=f[J>>2]|0;N=f[J+4>>2]|0;O=a;P=O;f[P>>2]=M;Q=O+4|0;R=Q;f[R>>2]=N;return}function Jfa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;c=a+4|0;d=f[c>>2]|0;e=f[a>>2]|0;g=e;do if((d|0)==(e|0)){h=a+8|0;i=f[h>>2]|0;j=a+12|0;k=f[j>>2]|0;l=k;if(i>>>0<k>>>0){k=i;m=((l-k>>2)+1|0)/2|0;n=i+(m<<2)|0;o=k-d|0;k=o>>2;p=n+(0-k<<2)|0;if(!k){q=n;r=i}else{uzc(p|0,d|0,o|0)|0;q=p;r=f[h>>2]|0}f[c>>2]=q;f[h>>2]=r+(m<<2);s=q;break}m=l-g>>1;l=(m|0)==0?1:m;if(l>>>0>1073741823){m=ze(8)|0;kuc(m,519086);f[m>>2]=167148;Hf(m|0,26888,1888)}m=cuc(l<<2)|0;p=m;o=m+((l+3|0)>>>2<<2)|0;n=o;k=m+(l<<2)|0;if((d|0)==(i|0)){t=n;u=d}else{l=o;m=n;v=d;do{f[l>>2]=f[v>>2];l=m+4|0;m=l;v=v+4|0}while((v|0)!=(i|0));t=m;u=f[a>>2]|0}f[a>>2]=p;f[c>>2]=n;f[h>>2]=t;f[j>>2]=k;if(!u)s=o;else{fuc(u);s=f[c>>2]|0}}else s=d;while(0);f[s+-4>>2]=f[b>>2];f[c>>2]=(f[c>>2]|0)+-4;return}function Kfa(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=+e;g=+g;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0.0,B=0.0,C=0,D=0,E=0.0,F=0.0,G=0.0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0;i=u;u=u+384|0;j=i+376|0;k=i+360|0;l=i+352|0;m=i+296|0;n=i+240|0;o=i+184|0;p=i+160|0;q=i+104|0;r=i+96|0;s=i+24|0;t=i+16|0;v=i;gV(j,55316);if((AJ(a,-1)|0)!=2){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;w=cuc(16)|0;f[k>>2]=w;f[k+8>>2]=-2147483632;f[k+4>>2]=15;x=w;y=258327;z=x+15|0;do{b[x>>0]=b[y>>0]|0;x=x+1|0;y=y+1|0}while((x|0)<(z|0));b[w+15>>0]=0;WD(-215,k,257876,257882,1056)}if((pJ(a,-1)|0)!=3?(pJ(a,-1)|0)!=19:0){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;w=cuc(64)|0;f[k>>2]=w;f[k+8>>2]=-2147483584;f[k+4>>2]=48;x=w;y=258343;z=x+48|0;do{b[x>>0]=b[y>>0]|0;x=x+1|0;y=y+1|0}while((x|0)<(z|0));b[w+48>>0]=0;WD(-215,k,257876,257882,1057)}w=pJ(c,-1)|0;if((w|0)!=(pJ(a,-1)|0)){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;w=cuc(32)|0;f[k>>2]=w;f[k+8>>2]=-2147483616;f[k+4>>2]=24;x=w;y=258392;z=x+24|0;do{b[x>>0]=b[y>>0]|0;x=x+1|0;y=y+1|0}while((x|0)<(z|0));b[w+24>>0]=0;WD(-215,k,257876,257882,1058)}if(!(zJ(a,c)|0)){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;w=cuc(32)|0;f[k>>2]=w;f[k+8>>2]=-2147483616;f[k+4>>2]=17;x=w;y=258417;z=x+17|0;do{b[x>>0]=b[y>>0]|0;x=x+1|0;y=y+1|0}while((x|0)<(z|0));b[w+17>>0]=0;WD(-215,k,257876,257882,1059)}w=e>g;A=w?e:g;B=w?g:e;oJ(k,a,-1);f[l>>2]=f[k>>2];f[l+4>>2]=f[k+4>>2];IJ(d,l,0,-1,0,0);do if((qJ(d)|0)==65536){l=f[d+4>>2]|0;f[m>>2]=f[l>>2];k=m+4|0;w=l+4|0;f[k>>2]=f[w>>2];y=m+8|0;f[y>>2]=f[l+8>>2];f[m+12>>2]=f[l+12>>2];f[m+16>>2]=f[l+16>>2];f[m+20>>2]=f[l+20>>2];f[m+24>>2]=f[l+24>>2];f[m+28>>2]=f[l+28>>2];f[m+32>>2]=f[l+32>>2];C=f[l+36>>2]|0;f[m+36>>2]=C;f[m+40>>2]=y;y=m+48|0;D=m+44|0;f[D>>2]=y;f[y>>2]=0;f[m+52>>2]=0;if(C|0){y=C+12|0;f[y>>2]=(f[y>>2]|0)+1}if((f[w>>2]|0)<3){w=f[l+44>>2]|0;y=f[D>>2]|0;f[y>>2]=f[w>>2];f[y+4>>2]=f[w+4>>2];break}else{f[k>>2]=0;$T(m,l);break}}else nJ(m,d,-1);while(0);do if((qJ(a)|0)==65536){d=f[a+4>>2]|0;f[n>>2]=f[d>>2];l=n+4|0;k=d+4|0;f[l>>2]=f[k>>2];w=n+8|0;f[w>>2]=f[d+8>>2];f[n+12>>2]=f[d+12>>2];f[n+16>>2]=f[d+16>>2];f[n+20>>2]=f[d+20>>2];f[n+24>>2]=f[d+24>>2];f[n+28>>2]=f[d+28>>2];f[n+32>>2]=f[d+32>>2];y=f[d+36>>2]|0;f[n+36>>2]=y;f[n+40>>2]=w;w=n+48|0;D=n+44|0;f[D>>2]=w;f[w>>2]=0;f[n+52>>2]=0;if(y|0){w=y+12|0;f[w>>2]=(f[w>>2]|0)+1}if((f[k>>2]|0)<3){k=f[d+44>>2]|0;w=f[D>>2]|0;f[w>>2]=f[k>>2];f[w+4>>2]=f[k+4>>2];break}else{f[l>>2]=0;$T(n,d);break}}else nJ(n,a,-1);while(0);do if((qJ(c)|0)==65536){a=f[c+4>>2]|0;f[o>>2]=f[a>>2];d=o+4|0;l=a+4|0;f[d>>2]=f[l>>2];k=o+8|0;f[k>>2]=f[a+8>>2];f[o+12>>2]=f[a+12>>2];f[o+16>>2]=f[a+16>>2];f[o+20>>2]=f[a+20>>2];f[o+24>>2]=f[a+24>>2];f[o+28>>2]=f[a+28>>2];f[o+32>>2]=f[a+32>>2];w=f[a+36>>2]|0;f[o+36>>2]=w;f[o+40>>2]=k;k=o+48|0;D=o+44|0;f[D>>2]=k;f[k>>2]=0;f[o+52>>2]=0;if(w|0){k=w+12|0;f[k>>2]=(f[k>>2]|0)+1}if((f[l>>2]|0)<3){l=f[a+44>>2]|0;k=f[D>>2]|0;f[k>>2]=f[l>>2];f[k+4>>2]=f[l+4>>2];break}else{f[d>>2]=0;$T(o,a);break}}else nJ(o,c,-1);while(0);if(h){e=B<32767.0?B:32767.0;g=A<32767.0?A:32767.0;E=e>0.0?e*e:e;if(g>0.0){F=g*g;G=E}else{F=g;G=E}}else{F=A;G=B}c=~~G;a=c-(+(c|0)>G&1)|0;c=~~F;d=c-(+(c|0)>F&1)|0;f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;f[p+12>>2]=0;f[p+16>>2]=0;f[p+20>>2]=0;f[q>>2]=1124007936;c=q+4|0;l=q+8|0;k=q+40|0;x=c;z=x+36|0;do{f[x>>2]=0;x=x+4|0}while((x|0)<(z|0));f[k>>2]=l;l=q+48|0;x=q+44|0;f[x>>2]=l;f[l>>2]=0;f[q+52>>2]=0;z=tZ()|0;D=uZ()|0;w=(D|0)<(z|0)?D:z;z=(w|0)>1?w:1;w=n+8|0;D=f[w>>2]|0;if(((D|0)/(z|0)|0|0)<3){y=(D|0)/3|0;H=(y|0)>1?y:1}else H=z;f[r>>2]=0;f[r+4>>2]=D;Lfa(s,n,o,q,p,a,d,h);sZ(r,s,+(H|0));f[s>>2]=55164;_tc(s+44|0);gV(r,55336);r=f[q+12>>2]|0;H=p+20|0;h=f[H>>2]|0;if(h|0){d=p+16|0;a=p+4|0;D=p+8|0;z=0-r|0;y=~r;C=1-r|0;I=r+-1|0;J=r+1|0;K=h;while(1){h=f[d>>2]|0;L=K+-1|0;M=h+L|0;N=f[a>>2]|0;O=f[(f[N+(M>>>10<<2)>>2]|0)+((M&1023)<<2)>>2]|0;f[H>>2]=L;L=f[D>>2]|0;M=L-N|0;if((1-K-h+((M|0)==0?0:(M<<8)+-1|0)|0)>>>0>2047){fuc(f[L+-4>>2]|0);f[D>>2]=(f[D>>2]|0)+-4}L=O+z|0;if(!(b[O+y>>0]|0)){M=L+-1|0;b[M>>0]=2;h=f[a>>2]|0;N=(f[D>>2]|0)-h|0;P=f[d>>2]|0;Q=f[H>>2]|0;if((((N|0)==0?0:(N<<8)+-1|0)|0)==(Q+P|0)){rfa(p);R=f[d>>2]|0;S=f[H>>2]|0;T=f[a>>2]|0}else{R=P;S=Q;T=h}h=S+R|0;f[(f[T+(h>>>10<<2)>>2]|0)+((h&1023)<<2)>>2]=M;f[H>>2]=S+1}if(!(b[L>>0]|0)){b[L>>0]=2;M=f[a>>2]|0;h=(f[D>>2]|0)-M|0;Q=f[d>>2]|0;P=f[H>>2]|0;if((((h|0)==0?0:(h<<8)+-1|0)|0)==(P+Q|0)){rfa(p);U=f[d>>2]|0;V=f[H>>2]|0;W=f[a>>2]|0}else{U=Q;V=P;W=M}M=V+U|0;f[(f[W+(M>>>10<<2)>>2]|0)+((M&1023)<<2)>>2]=L;f[H>>2]=V+1}if(!(b[O+C>>0]|0)){L=O+z+1|0;b[L>>0]=2;M=f[a>>2]|0;P=(f[D>>2]|0)-M|0;Q=f[d>>2]|0;h=f[H>>2]|0;if((((P|0)==0?0:(P<<8)+-1|0)|0)==(h+Q|0)){rfa(p);X=f[d>>2]|0;Z=f[H>>2]|0;_=f[a>>2]|0}else{X=Q;Z=h;_=M}M=Z+X|0;f[(f[_+(M>>>10<<2)>>2]|0)+((M&1023)<<2)>>2]=L;f[H>>2]=Z+1}L=O+-1|0;if(!(b[L>>0]|0)){b[L>>0]=2;M=f[a>>2]|0;h=(f[D>>2]|0)-M|0;Q=f[d>>2]|0;P=f[H>>2]|0;if((((h|0)==0?0:(h<<8)+-1|0)|0)==(P+Q|0)){rfa(p);$=f[d>>2]|0;aa=f[H>>2]|0;ba=f[a>>2]|0}else{$=Q;aa=P;ba=M}M=aa+$|0;f[(f[ba+(M>>>10<<2)>>2]|0)+((M&1023)<<2)>>2]=L;f[H>>2]=aa+1}L=O+1|0;if(!(b[L>>0]|0)){b[L>>0]=2;M=f[a>>2]|0;P=(f[D>>2]|0)-M|0;Q=f[d>>2]|0;h=f[H>>2]|0;if((((P|0)==0?0:(P<<8)+-1|0)|0)==(h+Q|0)){rfa(p);ca=f[d>>2]|0;da=f[H>>2]|0;ea=f[a>>2]|0}else{ca=Q;da=h;ea=M}M=da+ca|0;f[(f[ea+(M>>>10<<2)>>2]|0)+((M&1023)<<2)>>2]=L;f[H>>2]=da+1}L=O+r|0;if(!(b[O+I>>0]|0)){M=L+-1|0;b[M>>0]=2;h=f[a>>2]|0;Q=(f[D>>2]|0)-h|0;P=f[d>>2]|0;N=f[H>>2]|0;if((((Q|0)==0?0:(Q<<8)+-1|0)|0)==(N+P|0)){rfa(p);fa=f[d>>2]|0;ga=f[H>>2]|0;ha=f[a>>2]|0}else{fa=P;ga=N;ha=h}h=ga+fa|0;f[(f[ha+(h>>>10<<2)>>2]|0)+((h&1023)<<2)>>2]=M;f[H>>2]=ga+1}if(!(b[L>>0]|0)){b[L>>0]=2;M=f[a>>2]|0;h=(f[D>>2]|0)-M|0;N=f[d>>2]|0;P=f[H>>2]|0;if((((h|0)==0?0:(h<<8)+-1|0)|0)==(P+N|0)){rfa(p);ia=f[d>>2]|0;ja=f[H>>2]|0;ka=f[a>>2]|0}else{ia=N;ja=P;ka=M}M=ja+ia|0;f[(f[ka+(M>>>10<<2)>>2]|0)+((M&1023)<<2)>>2]=L;f[H>>2]=ja+1}if(!(b[O+J>>0]|0)){L=O+r+1|0;b[L>>0]=2;O=f[a>>2]|0;M=(f[D>>2]|0)-O|0;P=f[d>>2]|0;N=f[H>>2]|0;if((((M|0)==0?0:(M<<8)+-1|0)|0)==(N+P|0)){rfa(p);la=f[d>>2]|0;ma=f[H>>2]|0;na=f[a>>2]|0}else{la=P;ma=N;na=O}O=ma+la|0;f[(f[na+(O>>>10<<2)>>2]|0)+((O&1023)<<2)>>2]=L;L=ma+1|0;f[H>>2]=L;oa=L}else oa=f[H>>2]|0;if(!oa)break;else K=oa}}gV(s,55356);s=f[w>>2]|0;f[t>>2]=0;f[t+4>>2]=s;f[v>>2]=55224;f[v+4>>2]=q;f[v+8>>2]=m;w=n+4|0;oa=f[w>>2]|0;if((oa|0)<3)pa=Y(f[n+12>>2]|0,s)|0;else{s=f[n+40>>2]|0;K=0;H=1;while(1){ma=Y(f[s+(K<<2)>>2]|0,H)|0;K=K+1|0;if((K|0)==(oa|0)){pa=ma;break}else H=ma}}sZ(t,v,+(pa>>>0)*.0000152587890625);pa=q+36|0;v=f[pa>>2]|0;if(v|0?(t=v+12|0,v=f[t>>2]|0,f[t>>2]=v+-1,(v|0)==1):0)aU(q);f[pa>>2]=0;pa=q+16|0;f[pa>>2]=0;f[pa+4>>2]=0;f[pa+8>>2]=0;f[pa+12>>2]=0;if((f[c>>2]|0)>0){pa=f[k>>2]|0;k=0;do{f[pa+(k<<2)>>2]=0;k=k+1|0}while((k|0)<(f[c>>2]|0))}c=f[x>>2]|0;if((c|0)!=(l|0))TC(c);sfa(p);p=o+36|0;c=f[p>>2]|0;if(c|0?(l=c+12|0,c=f[l>>2]|0,f[l>>2]=c+-1,(c|0)==1):0)aU(o);f[p>>2]=0;p=o+16|0;c=o+4|0;f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;f[p+12>>2]=0;if((f[c>>2]|0)>0){p=f[o+40>>2]|0;l=0;do{f[p+(l<<2)>>2]=0;l=l+1|0}while((l|0)<(f[c>>2]|0))}c=f[o+44>>2]|0;if((c|0)!=(o+48|0))TC(c);c=n+36|0;o=f[c>>2]|0;do if(o|0){l=o+12|0;p=f[l>>2]|0;f[l>>2]=p+-1;if((p|0)!=1)break;aU(n)}while(0);f[c>>2]=0;c=n+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[w>>2]|0)>0){c=f[n+40>>2]|0;o=0;do{f[c+(o<<2)>>2]=0;o=o+1|0}while((o|0)<(f[w>>2]|0))}w=f[n+44>>2]|0;if((w|0)!=(n+48|0))TC(w);w=m+36|0;n=f[w>>2]|0;do if(n|0){o=n+12|0;c=f[o>>2]|0;f[o>>2]=c+-1;if((c|0)!=1)break;aU(m)}while(0);f[w>>2]=0;w=m+16|0;n=m+4|0;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;f[w+12>>2]=0;if((f[n>>2]|0)>0){w=f[m+40>>2]|0;c=0;do{f[w+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[n>>2]|0))}n=f[m+44>>2]|0;if((n|0)!=(m+48|0))TC(n);if(!(f[j+4>>2]|0)){u=i;return}u=i;return}function Lfa(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;k=u;u=u+80|0;l=k+64|0;m=k;n=k+8|0;f[a>>2]=55164;o=a+4|0;f[o>>2]=c;f[a+8>>2]=d;d=a+12|0;f[d>>2]=e;f[a+16>>2]=g;f[a+20>>2]=h;f[a+24>>2]=i;f[a+28>>2]=0;b[a+32>>0]=j&1;Ztc(a+44|0);j=f[o>>2]|0;i=(f[j+8>>2]|0)+2|0;h=(f[j+12>>2]|0)+2|0;j=e+4|0;if(!(((((f[j>>2]|0)<3?(f[e+8>>2]|0)==(i|0):0)?(f[e+12>>2]|0)==(h|0):0)?(f[e>>2]&4095|0)==0:0)?(f[e+16>>2]|0)!=0:0)){f[l>>2]=i;f[l+4>>2]=h;ZT(e,2,l,0)}h=f[d>>2]|0;if((h|0)==(e|0))q=e;else{i=e+36|0;g=f[i>>2]|0;if(g|0){c=g+12|0;f[c>>2]=(f[c>>2]|0)+1}c=h+36|0;g=f[c>>2]|0;if(g|0?(r=g+12|0,g=f[r>>2]|0,f[r>>2]=g+-1,(g|0)==1):0)aU(h);f[c>>2]=0;g=h+16|0;r=h+4|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;if((f[r>>2]|0)>0){s=f[h+40>>2]|0;t=0;do{f[s+(t<<2)>>2]=0;t=t+1|0;v=f[r>>2]|0}while((t|0)<(v|0));f[h>>2]=f[e>>2];if((v|0)<3)w=18;else w=20}else{f[h>>2]=f[e>>2];w=18}if((w|0)==18){v=f[j>>2]|0;if((v|0)<3){f[r>>2]=v;f[h+8>>2]=f[e+8>>2];f[h+12>>2]=f[e+12>>2];v=f[e+44>>2]|0;r=f[h+44>>2]|0;f[r>>2]=f[v>>2];f[r+4>>2]=f[v+4>>2]}else w=20}if((w|0)==20)$T(h,e);f[g>>2]=f[e+16>>2];f[h+20>>2]=f[e+20>>2];f[h+24>>2]=f[e+24>>2];f[h+28>>2]=f[e+28>>2];f[h+32>>2]=f[e+32>>2];f[c>>2]=f[i>>2];q=f[d>>2]|0}f[l>>2]=0;f[l+4>>2]=1;f[m>>2]=-2147483648;f[m+4>>2]=2147483647;bU(n,q,l,m);p[m>>3]=1.0;f[l>>2]=-1056833530;f[l+4>>2]=m;f[l+8>>2]=1;f[l+12>>2]=1;HI(n,l,sK()|0)|0;q=n+36|0;i=f[q>>2]|0;if(i|0?(c=i+12|0,i=f[c>>2]|0,f[c>>2]=i+-1,(i|0)==1):0)aU(n);f[q>>2]=0;q=n+16|0;i=n+4|0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;f[q+12>>2]=0;if((f[i>>2]|0)>0){q=f[n+40>>2]|0;c=0;do{f[q+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[i>>2]|0))}i=f[n+44>>2]|0;if((i|0)!=(n+48|0))TC(i);i=f[d>>2]|0;c=f[(f[o>>2]|0)+8>>2]|0;f[l>>2]=c+1;f[l+4>>2]=c+2;f[m>>2]=-2147483648;f[m+4>>2]=2147483647;bU(n,i,l,m);p[m>>3]=1.0;f[l>>2]=-1056833530;f[l+4>>2]=m;f[l+8>>2]=1;f[l+12>>2]=1;HI(n,l,sK()|0)|0;l=n+36|0;m=f[l>>2]|0;if(m|0?(i=m+12|0,m=f[i>>2]|0,f[i>>2]=m+-1,(m|0)==1):0)aU(n);f[l>>2]=0;l=n+16|0;m=n+4|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;if((f[m>>2]|0)>0){l=f[n+40>>2]|0;i=0;do{f[l+(i<<2)>>2]=0;i=i+1|0}while((i|0)<(f[m>>2]|0))}m=f[n+44>>2]|0;if((m|0)==(n+48|0)){x=f[d>>2]|0;y=x+12|0;z=f[y>>2]|0;A=a+36|0;f[A>>2]=z;B=a+33|0;b[B>>0]=0;C=f[o>>2]|0;D=f[C>>2]|0;E=D>>>3;F=E&511;G=F+1|0;H=a+40|0;f[H>>2]=G;u=k;return}TC(m);x=f[d>>2]|0;y=x+12|0;z=f[y>>2]|0;A=a+36|0;f[A>>2]=z;B=a+33|0;b[B>>0]=0;C=f[o>>2]|0;D=f[C>>2]|0;E=D>>>3;F=E&511;G=F+1|0;H=a+40|0;f[H>>2]=G;u=k;return}function Mfa(a,c,d,e,g){a=a|0;c=c|0;d=+d;e=+e;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;h=u;u=u+144|0;i=h+88|0;j=h+32|0;k=h+16|0;l=h;tK(i,a,0,1,0,0);tK(j,c,0,1,0,0);c=i+40|0;a=f[c>>2]|0;m=f[a+-4>>2]|0;n=j+40|0;o=f[n>>2]|0;a:do if((m|0)==(f[o+-4>>2]|0)){if((m|0)==2){if((f[a>>2]|0)!=(f[o>>2]|0))break;if((f[a+4>>2]|0)!=(f[o+4>>2]|0))break}else if((m|0)>0){p=0;do{if((f[a+(p<<2)>>2]|0)!=(f[o+(p<<2)>>2]|0))break a;p=p+1|0}while((p|0)<(m|0))}if((f[i>>2]&7|0)==0?(f[j>>2]&4095|0)==0:0){f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=16842752;f[k+4>>2]=i;p=l+8|0;f[p>>2]=0;f[p+4>>2]=0;f[l>>2]=33619968;f[l+4>>2]=j;pfa(k,l,d,e,g&255,(g|0)<0);p=j+36|0;q=f[p>>2]|0;if(q|0?(r=q+12|0,q=f[r>>2]|0,f[r>>2]=q+-1,(q|0)==1):0)aU(j);f[p>>2]=0;p=j+16|0;q=j+4|0;f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;f[p+12>>2]=0;if((f[q>>2]|0)>0){p=f[n>>2]|0;r=0;do{f[p+(r<<2)>>2]=0;r=r+1|0}while((r|0)<(f[q>>2]|0))}q=f[j+44>>2]|0;if((q|0)!=(j+48|0))TC(q);q=i+36|0;r=f[q>>2]|0;if(r|0?(p=r+12|0,r=f[p>>2]|0,f[p>>2]=r+-1,(r|0)==1):0)aU(i);f[q>>2]=0;q=i+16|0;r=i+4|0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;f[q+12>>2]=0;if((f[r>>2]|0)>0){q=f[c>>2]|0;p=0;do{f[q+(p<<2)>>2]=0;p=p+1|0}while((p|0)<(f[r>>2]|0))}r=f[i+44>>2]|0;if((r|0)==(i+48|0)){u=h;return}TC(r);u=h;return}}while(0);f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;h=cuc(80)|0;f[k>>2]=h;f[k+8>>2]=-2147483568;f[k+4>>2]=67;i=h;c=258509;j=i+67|0;do{b[i>>0]=b[c>>0]|0;i=i+1|0;c=c+1|0}while((i|0)<(j|0));b[h+67>>0]=0;WD(-215,k,258577,257882,1128)}function Nfa(){i1(894792,258585,839,1959,571,251,840);Bd(1953,894792,x|0)|0;return}function Ofa(a){a=a|0;var b=0;if((a|0)!=0?(f[a>>2]&-65536|0)==1111818240:0)b=(f[a+4>>2]|0)!=0;else b=0;return b&1|0}function Pfa(a){a=a|0;var c=0,d=0,e=0,g=0;c=u;u=u+16|0;d=c;if(!a){f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;WD(-27,d,259085,258643,2324)}e=f[a>>2]|0;if(!e){u=c;return}if((f[e>>2]&-65536|0)==1111818240?(g=e+4|0,f[g>>2]|0):0){f[a>>2]=0;a=f[g>>2]|0;if((a|0)!=0?(f[a>>2]&-65536|0)==1111752704:0)LZ(g);else{OZ(a);f[g>>2]=0}g=e+264|0;a=f[g>>2]|0;if(a|0){VC(a);f[g>>2]=0}VC(e);u=c;return}c=cuc(32)|0;f[d>>2]=c;f[d+8>>2]=-2147483616;f[d+4>>2]=24;e=c;g=258784;a=e+24|0;do{b[e>>0]=b[g>>0]|0;e=e+1|0;g=g+1|0}while((e|0)<(a|0));b[c+24>>0]=0;WD(-5,d,259085,258643,2331)}function Qfa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;d=u;u=u+272|0;e=d+144|0;g=d+16|0;h=d;i=UC(544)|0;j=K_(a,c,410954)|0;a:do if(!j)k=0;else switch(f[j>>2]&7){case 1:{k=f[j+8>>2]|0;break a;break}case 2:{k=Fhc(+p[j+8>>3])|0;break a;break}default:{k=2147483647;break a}}while(0);j=K_(a,c,258976)|0;b:do if(!j)l=0;else switch(f[j>>2]&7){case 1:{l=f[j+8>>2]|0;break b;break}case 2:{l=Fhc(+p[j+8>>3])|0;break b;break}default:{l=2147483647;break b}}while(0);j=K_(a,c,258987)|0;c:do if(!j)m=0;else switch(f[j>>2]&7){case 1:{m=f[j+8>>2]|0;break c;break}case 2:{m=Fhc(+p[j+8>>3])|0;break c;break}default:{m=2147483647;break c}}while(0);j=(l|0)!=0;l=(m|0)!=0;f[i>>2]=k|(j?1024:0)|(l?2048:0)|1111818240;if(k){k=L_(a,K_(a,c,259003)|0,0)|0;f[i+4>>2]=k;if(!k){n=cuc(32)|0;f[e>>2]=n;o=e+8|0;f[o>>2]=-2147483616;q=e+4|0;f[q>>2]=22;r=n;s=259037;t=r+22|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));v=n+22|0;b[v>>0]=0;WD(-2,e,259025,258643,3450)}if((f[k>>2]&-65536|0)!=1111752704){n=cuc(32)|0;f[e>>2]=n;o=e+8|0;f[o>>2]=-2147483616;q=e+4|0;f[q>>2]=22;r=n;s=259037;t=r+22|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));v=n+22|0;b[v>>0]=0;WD(-2,e,259025,258643,3450)}}else{v=L_(a,K_(a,c,258999)|0,0)|0;f[e>>2]=v;if(!v){w=cuc(32)|0;f[h>>2]=w;x=h+8|0;f[x>>2]=-2147483616;y=h+4|0;f[y>>2]=16;r=w;s=259008;t=r+16|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));z=w+16|0;b[z>>0]=0;WD(-2,h,259025,258643,3429)}if((f[v>>2]&-65536|0)!=1111687168){w=cuc(32)|0;f[h>>2]=w;x=h+8|0;f[x>>2]=-2147483616;y=h+4|0;f[y>>2]=16;r=w;s=259008;t=r+16|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));z=w+16|0;b[z>>0]=0;WD(-2,h,259025,258643,3429)}n=v+16|0;if(!(f[n>>2]|0)){w=cuc(32)|0;f[h>>2]=w;x=h+8|0;f[x>>2]=-2147483616;y=h+4|0;f[y>>2]=16;r=w;s=259008;t=r+16|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));z=w+16|0;b[z>>0]=0;WD(-2,h,259025,258643,3429)}z=v+4|0;w=f[z>>2]|0;if((w|0)>0){y=0;do{f[g+(y<<2)>>2]=f[v+20+(y<<3)>>2];y=y+1|0;x=f[z>>2]|0}while((y|0)<(x|0));A=x}else A=w;w=i+268|0;CZ(w,A,g,f[v>>2]|0,f[v+16>>2]|0)|0;f[i+4>>2]=w;f[i+276>>2]=f[v+8>>2];w=f[v>>2]&-65536;d:do if((w|0)<1111687168){switch(w|0){case 1111621632:break;default:break d}if((((f[v+24>>2]|0)>0?(f[v+20>>2]|0)>0:0)?f[n>>2]|0:0)?(A=f[v+8>>2]|0,A|0):0)f[A>>2]=(f[A>>2]|0)+1}else{switch(w|0){case 1111687168:break;default:break d}if(f[n>>2]|0?(A=f[v+8>>2]|0,A|0):0)f[A>>2]=(f[A>>2]|0)+1}while(0);AZ(e)}if(!l){u=d;return i|0}l=SZ(f[i+4>>2]|0,e)|0;v=(l|0)>0;if(v){n=0;w=0;while(1){A=n+1+(f[e+(w<<2)>>2]|0)|0;w=w+1|0;if((w|0)==(l|0)){B=A;break}else n=A}}else B=0;n=K_(a,c,457755)|0;if(!n){c=cuc(32)|0;f[h>>2]=c;f[h+8>>2]=-2147483616;f[h+4>>2]=24;r=c;s=259060;t=r+24|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));b[c+24>>0]=0;WD(-2,h,259025,258643,3467)}Y_(a,n,g);if(!j){j=UC(B+l<<2)|0;B=i+264|0;f[B>>2]=j;if(v?(n=j+(l<<2)|0,f[j>>2]=n,Z_(a,g,(f[e>>2]|0)+1|0,n,517940),(l|0)!=1):0){j=n;n=e;h=1;do{j=j+((f[n>>2]|0)+1<<2)|0;f[(f[B>>2]|0)+(h<<2)>>2]=j;n=e+(h<<2)|0;Z_(a,g,(f[n>>2]|0)+1|0,j,517940);h=h+1|0}while((h|0)!=(l|0))}}else{if(v){v=i+8|0;h=0;do{Z_(a,g,2,v+(h<<3)|0,517940);h=h+1|0}while((h|0)!=(l|0))}f[i+264>>2]=0}u=d;return i|0}function Rfa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;d=u;u=u+176|0;e=d+160|0;g=d+8|0;h=d+152|0;i=d+144|0;j=d+136|0;k=d;f[h>>2]=0;f[h+4>>2]=0;f[e>>2]=f[h>>2];f[e+4>>2]=f[h+4>>2];R_(a,b,6,258585,e);b=f[c>>2]|0;h=b&1024;l=(h|0)==0;m=b&2048;n=(m|0)==0;T_(a,410954,b&1);T_(a,258976,h>>>10);T_(a,258987,m>>>11);m=c+4|0;h=f[m>>2]|0;if((h|0)!=0?(f[h>>2]&-65536|0)==1111752704:0){f[j>>2]=0;f[j+4>>2]=0;f[e>>2]=f[j>>2];f[e+4>>2]=f[j+4>>2];c$(a,259003,h,e)}else{f[i>>2]=0;f[i+4>>2]=0;f[e>>2]=f[i>>2];f[e+4>>2]=f[i+4>>2];c$(a,258999,c+268|0,e)}if(n){S_(a);u=d;return}n=SZ(f[m>>2]|0,g)|0;f[k>>2]=0;f[k+4>>2]=0;f[e>>2]=f[k>>2];f[e+4>>2]=f[k+4>>2];R_(a,457755,13,0,e);e=(n|0)>0;if(l){if(e){l=c+264|0;k=0;do{X_(a,f[(f[l>>2]|0)+(k<<2)>>2]|0,(f[g+(k<<2)>>2]|0)+1|0,517940);k=k+1|0}while((k|0)!=(n|0))}}else if(e){e=c+8|0;c=0;do{X_(a,e+(c<<3)|0,2,517940);c=c+1|0}while((c|0)!=(n|0))}S_(a);S_(a);u=d;return}function Sfa(a){a=a|0;var b=0,c=0;b=u;u=u+16|0;c=b;f[c>>2]=0;Tfa(a,c);u=b;return f[c>>2]|0}function Tfa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;d=u;u=u+256|0;e=d+128|0;g=d;if(!c){h=cuc(48)|0;f[e>>2]=h;f[e+8>>2]=-2147483600;f[e+4>>2]=34;i=h;j=258597;k=i+34|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));b[h+34>>0]=0;WD(-27,e,258632,258643,2714)}h=f[c>>2]|0;do if((a|0?(f[a>>2]&-65536|0)==1111818240:0)?(l=a+4|0,m=f[l>>2]|0,m|0):0){n=(h|0)!=0;if(n){if((f[h>>2]&-65536|0)!=1111818240)break;if(!(f[h+4>>2]|0))break}o=(f[m>>2]&-65536|0)==1111752704;p=SZ(m,e)|0;do if(n){m=f[h+4>>2]|0;if(!m){if(o){q=20;break}}else if(o^(f[m>>2]&-65536|0)==1111752704){q=20;break}if((p|0)!=(SZ(m,g)|0)){q=20;break}a:do if((p|0)>0){m=0;while(1){if((f[e+(m<<2)>>2]|0)!=(f[g+(m<<2)>>2]|0)){r=m;break a}s=m+1|0;if((s|0)<(p|0))m=s;else{r=s;break}}}else r=0;while(0);if((r|0)==(p|0))t=h;else q=20}else q=20;while(0);if((q|0)==20){Pfa(c);n=Ufa(p,e,o&1,0,0)|0;f[c>>2]=n;t=n}n=f[a>>2]|0;if(!(n&2048)){v=f[l>>2]|0;w=t+4|0;x=f[w>>2]|0;NI(v,x,0);u=d;return}if(!(n&1024))y=f[a+264>>2]|0;else{if((p|0)>0){m=0;do{f[g+(m<<2)>>2]=a+8+(m<<3);m=m+1|0}while((m|0)!=(p|0))}y=g}Vfa(t,y,n>>>10&1);v=f[l>>2]|0;w=t+4|0;x=f[w>>2]|0;NI(v,x,0);u=d;return}while(0);d=cuc(32)|0;f[e>>2]=d;f[e+8>>2]=-2147483616;f[e+4>>2]=27;i=d;j=258717;k=i+27|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));b[d+27>>0]=0;WD(-5,e,258632,258643,2719)}function Ufa(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;h=u;u=u+16|0;i=h;if(a>>>0>32){j=cuc(48)|0;f[i>>2]=j;f[i+8>>2]=-2147483600;f[i+4>>2]=36;k=j;l=258882;m=k+36|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));b[j+36>>0]=0;WD(-19,i,258919,258643,2265)}if(!c){j=cuc(32)|0;f[i>>2]=j;f[i+8>>2]=-2147483616;f[i+4>>2]=20;k=j;l=258932;m=k+20|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));b[j+20>>0]=0;WD(-9,i,258919,258643,2268)}j=UC(544)|0;f[j>>2]=((g|0)==0?1111818240:1111819264)|d&1;f[j+264>>2]=0;n=j+4|0;f[n>>2]=0;switch(d|0){case 0:{d=j+268|0;o=CZ(d,a,c,5,0)|0;f[n>>2]=o;yZ(d);break}case 1:{d=KZ(a,c,5)|0;f[n>>2]=d;break}default:{d=cuc(32)|0;f[i>>2]=d;f[i+8>>2]=-2147483616;f[i+4>>2]=22;k=d;l=258953;m=k+22|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));b[d+22>>0]=0;WD(-5,i,258919,258643,2284)}}if(!e){u=h;return j|0}Vfa(j,e,g);u=h;return j|0}function Vfa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0.0,y=0,z=0.0;e=u;u=u+144|0;g=e+16|0;h=e;if(!c){i=cuc(32)|0;f[h>>2]=i;f[h+8>>2]=-2147483616;f[h+4>>2]=19;j=i;k=258745;l=j+19|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[i+19>>0]=0;WD(-27,h,258765,258643,2784)}if((a|0?(f[a>>2]&-65536|0)==1111818240:0)?(i=f[a+4>>2]|0,i|0):0){m=SZ(i,g)|0;i=(m|0)>0;if(i){o=0;p=0;while(1){q=o+1+(f[g+(p<<2)>>2]|0)|0;p=p+1|0;if((p|0)==(m|0)){r=q;break}else o=q}}else r=0;if(d|0){a:do if(i){d=0;while(1){o=f[c+(d<<2)>>2]|0;if(!o)break;f[a+8+(d<<3)>>2]=f[o>>2];f[a+8+(d<<3)+4>>2]=f[o+4>>2];d=d+1|0;if((d|0)>=(m|0))break a}d=cuc(48)|0;f[h>>2]=d;f[h+8>>2]=-2147483600;f[h+4>>2]=32;j=d;k=258809;l=j+32|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[d+32>>0]=0;WD(-27,h,258765,258643,2798)}while(0);s=f[a>>2]|3072;f[a>>2]=s;u=e;return}o=a+264|0;p=f[o>>2]|0;if(!p){q=UC(r+m<<2)|0;f[o>>2]=q;t=q}else t=p;b:do if(i){p=t+(m<<2)|0;q=0;c:while(1){r=f[c+(q<<2)>>2]|0;if(!r){v=21;break}w=f[g+(q<<2)>>2]|0;if((w|0)>=0){x=-3402823466385288598117041.0e14;y=0;while(1){z=x;x=+n[r+(y<<2)>>2];if(x<=z){v=23;break c}n[p+(y<<2)>>2]=x;if((y|0)>=(w|0))break;else y=y+1|0}}f[(f[o>>2]|0)+(q<<2)>>2]=p;q=q+1|0;if((q|0)>=(m|0))break b;else p=p+(w+1<<2)|0}if((v|0)==21){p=cuc(48)|0;f[h>>2]=p;f[h+8>>2]=-2147483600;f[h+4>>2]=32;j=p;k=258809;l=j+32|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[p+32>>0]=0;WD(-27,h,258765,258643,2822)}else if((v|0)==23){q=cuc(48)|0;f[h>>2]=q;f[h+8>>2]=-2147483600;f[h+4>>2]=39;j=q;k=258842;l=j+39|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[q+39>>0]=0;WD(-211,h,258765,258643,2828)}}while(0);s=f[a>>2]&-3073|2048;f[a>>2]=s;u=e;return}e=cuc(32)|0;f[h>>2]=e;f[h+8>>2]=-2147483616;f[h+4>>2]=24;j=e;k=258784;l=j+24|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[e+24>>0]=0;WD(-5,h,258765,258643,2787)}function Wfa(a,c,d,e,g,i,k,l,m,o){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;i=i|0;k=k|0;l=l|0;m=m|0;o=o|0;var q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0.0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0.0,Wa=0.0,Xa=0.0,Ya=0.0,Za=0.0,_a=0.0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0;q=u;u=u+1504|0;r=q;s=q+480|0;t=q+352|0;v=q+344|0;w=q+288|0;x=q+232|0;y=q+176|0;z=q+160|0;A=q+148|0;B=q+136|0;C=q+128|0;gV(v,55376);do if((qJ(e)|0)==65536){D=f[e+4>>2]|0;f[w>>2]=f[D>>2];E=w+4|0;F=D+4|0;f[E>>2]=f[F>>2];G=w+8|0;f[G>>2]=f[D+8>>2];f[w+12>>2]=f[D+12>>2];f[w+16>>2]=f[D+16>>2];f[w+20>>2]=f[D+20>>2];f[w+24>>2]=f[D+24>>2];f[w+28>>2]=f[D+28>>2];f[w+32>>2]=f[D+32>>2];H=f[D+36>>2]|0;f[w+36>>2]=H;f[w+40>>2]=G;G=w+48|0;I=w+44|0;f[I>>2]=G;f[G>>2]=0;f[w+52>>2]=0;if(H|0){G=H+12|0;f[G>>2]=(f[G>>2]|0)+1}if((f[F>>2]|0)<3){F=f[D+44>>2]|0;G=f[I>>2]|0;f[G>>2]=f[F>>2];f[G+4>>2]=f[F+4>>2];break}else{f[E>>2]=0;$T(w,D);break}}else nJ(w,e,-1);while(0);if(!((i|0)>0&(k|0)!=0)){f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;e=cuc(32)|0;f[r>>2]=e;f[r+8>>2]=-2147483616;f[r+4>>2]=20;J=e;K=259099;L=J+20|0;do{b[J>>0]=b[K>>0]|0;J=J+1|0;K=K+1|0}while((J|0)<(L|0));b[e+20>>0]=0;WD(-215,r,259120,258643,877)}do if((qJ(g)|0)==65536){e=f[g+4>>2]|0;f[r>>2]=f[e>>2];D=r+4|0;E=e+4|0;f[D>>2]=f[E>>2];F=r+8|0;f[F>>2]=f[e+8>>2];f[r+12>>2]=f[e+12>>2];G=r+16|0;f[G>>2]=f[e+16>>2];f[r+20>>2]=f[e+20>>2];f[r+24>>2]=f[e+24>>2];f[r+28>>2]=f[e+28>>2];f[r+32>>2]=f[e+32>>2];I=r+36|0;H=f[e+36>>2]|0;f[I>>2]=H;f[r+40>>2]=F;F=r+48|0;M=r+44|0;f[M>>2]=F;f[F>>2]=0;f[r+52>>2]=0;if(H|0){F=H+12|0;f[F>>2]=(f[F>>2]|0)+1}if((f[E>>2]|0)<3){E=f[e+44>>2]|0;F=f[M>>2]|0;f[F>>2]=f[E>>2];f[F+4>>2]=f[E+4>>2];N=M;O=I;P=G;break}else{f[D>>2]=0;$T(r,e);N=M;O=I;P=G;break}}else{nJ(r,g,-1);N=r+44|0;O=r+36|0;P=r+16|0}while(0);G=f[P>>2]|0;I=f[O>>2]|0;if(I|0?(M=I+12|0,I=f[M>>2]|0,f[M>>2]=I+-1,(I|0)==1):0)aU(r);f[O>>2]=0;O=r+4|0;f[P>>2]=0;f[P+4>>2]=0;f[P+8>>2]=0;f[P+12>>2]=0;if((f[O>>2]|0)>0){P=f[r+40>>2]|0;I=0;do{f[P+(I<<2)>>2]=0;I=I+1|0}while((I|0)<(f[O>>2]|0))}O=f[N>>2]|0;if((O|0)!=(r+48|0))TC(O);JJ(g,i,k,5,-1,0,0);do if((qJ(g)|0)==65536){k=f[g+4>>2]|0;f[x>>2]=f[k>>2];O=x+4|0;N=k+4|0;f[O>>2]=f[N>>2];I=x+8|0;f[I>>2]=f[k+8>>2];P=x+12|0;f[P>>2]=f[k+12>>2];M=x+16|0;f[M>>2]=f[k+16>>2];e=x+20|0;f[e>>2]=f[k+20>>2];D=x+24|0;f[D>>2]=f[k+24>>2];E=x+28|0;f[E>>2]=f[k+28>>2];F=x+32|0;f[F>>2]=f[k+32>>2];H=x+36|0;Q=f[k+36>>2]|0;f[H>>2]=Q;f[x+40>>2]=I;R=x+48|0;S=x+44|0;f[S>>2]=R;f[R>>2]=0;f[x+52>>2]=0;if(Q|0){R=Q+12|0;f[R>>2]=(f[R>>2]|0)+1}if((f[N>>2]|0)<3){N=f[k+44>>2]|0;R=f[S>>2]|0;f[R>>2]=f[N>>2];f[R+4>>2]=f[N+4>>2];T=M;U=x;V=O;W=I;X=P;Z=e;_=D;$=E;aa=F;ba=H;ca=H;break}else{f[O>>2]=0;$T(x,k);T=M;U=x;V=O;W=I;X=P;Z=e;_=D;$=E;aa=F;ba=H;ca=H;break}}else{nJ(x,g,-1);H=x+36|0;T=x+16|0;U=x;V=x+4|0;W=x+8|0;X=x+12|0;Z=x+20|0;_=x+24|0;$=x+28|0;aa=x+32|0;ba=H;ca=H}while(0);g=f[T>>2]|0;f[y>>2]=f[U>>2];U=y+4|0;H=f[V>>2]|0;f[U>>2]=H;F=y+8|0;f[F>>2]=f[W>>2];f[y+12>>2]=f[X>>2];X=y+16|0;f[X>>2]=g;f[y+20>>2]=f[Z>>2];f[y+24>>2]=f[_>>2];f[y+28>>2]=f[$>>2];f[y+32>>2]=f[aa>>2];aa=y+36|0;$=f[ca>>2]|0;f[aa>>2]=$;ca=y+40|0;f[ca>>2]=F;F=y+48|0;_=y+44|0;f[_>>2]=F;f[F>>2]=0;f[y+52>>2]=0;if(!$)da=H;else{H=$+12|0;f[H>>2]=(f[H>>2]|0)+1;da=f[V>>2]|0}if((da|0)<3){da=f[x+44>>2]|0;H=f[_>>2]|0;f[H>>2]=f[da>>2];f[H+4>>2]=f[da+4>>2]}else{f[U>>2]=0;$T(y,x)}f[y>>2]=f[y>>2]&-4096|4;if((G|0)==(g|0)&o){o=r+8|0;f[o>>2]=0;f[o+4>>2]=0;f[r>>2]=33619968;f[r+4>>2]=y;kQ(x,r,4,1.0,0.0)}else{f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;f[r+12>>2]=0;f[r+16>>2]=0;f[r+20>>2]=0;f[r+24>>2]=0;f[r+28>>2]=0;GI(x,r)|0}f[z>>2]=0;o=z+4|0;f[o>>2]=0;f[z+8>>2]=0;f[A>>2]=0;g=A+4|0;f[g>>2]=0;f[A+8>>2]=0;f[B>>2]=0;G=B+4|0;f[G>>2]=0;f[B+8>>2]=0;f[C>>2]=0;da=C+4|0;f[da>>2]=0;H=w+16|0;if(f[H>>2]|0){$=f[w+4>>2]|0;if(($|0)<3)ea=Y(f[w+12>>2]|0,f[w+8>>2]|0)|0;else{Z=f[w+40>>2]|0;W=0;E=1;while(1){D=Y(f[Z+(W<<2)>>2]|0,E)|0;W=W+1|0;if((W|0)==($|0)){ea=D;break}else E=D}}if(!(($|0)==0|(ea|0)==0)?f[w>>2]&4095|0:0){f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;ea=cuc(48)|0;f[r>>2]=ea;f[r+8>>2]=-2147483600;f[r+4>>2]=38;J=ea;K=259129;L=J+38|0;do{b[J>>0]=b[K>>0]|0;J=J+1|0;K=K+1|0}while((J|0)<(L|0));b[ea+38>>0]=0;WD(-215,r,259120,258643,904)}}ea=x+40|0;Xfa(a,c,d,w,i,f[ea>>2]|0,l,m,z,A,C,B);d=m?f[B>>2]|0:0;switch(f[a>>2]&7){case 0:{a=f[C>>2]|0;c=f[da>>2]|0;$=f[z>>2]|0;E=f[A>>2]|0;W=f[X>>2]|0;Z=f[$+(i<<2)>>2]|0;D=f[E+((i<<1|1)<<2)>>2]|0;f[r>>2]=0;e=r+4|0;f[e>>2]=0;f[r+8>>2]=0;f[s>>2]=1123876864;f[s+4>>2]=0;Yfa(y,s,i,l,d,m,0,r);P=f[r>>2]|0;switch(i|0){case 1:{I=f[E>>2]|0;O=f[E+4>>2]|0;kzc(s|0,0,1024)|0;a:do if(!c)fa=0;else{M=f[$>>2]|0;k=(I|0)==1;N=I<<1;R=(a|0)<4;S=a+-4|0;if((a|0)<=0){Q=a&-4;ga=Y(I,Q)|0;ha=Z;ia=M;ja=c;while(1){ja=ja+-1|0;do if(!ha){do if(k){if(R){ka=0;la=ia;break}else{ma=0;na=ia}while(1){oa=h[ia+(ma|1)>>0]|0;pa=s+(h[na>>0]<<2)|0;f[pa>>2]=(f[pa>>2]|0)+1;pa=s+(oa<<2)|0;f[pa>>2]=(f[pa>>2]|0)+1;pa=h[ia+(ma|3)>>0]|0;oa=s+(h[ia+(ma|2)>>0]<<2)|0;f[oa>>2]=(f[oa>>2]|0)+1;oa=s+(pa<<2)|0;f[oa>>2]=(f[oa>>2]|0)+1;oa=ma+4|0;if((oa|0)>(S|0))break;else{ma=oa;na=ia+oa|0}}ka=Q;la=ia+Q|0}else{if(R){ka=0;la=ia;break}else{qa=ia;ra=0}while(1){oa=h[qa+I>>0]|0;pa=s+(h[qa>>0]<<2)|0;f[pa>>2]=(f[pa>>2]|0)+1;pa=s+(oa<<2)|0;f[pa>>2]=(f[pa>>2]|0)+1;pa=qa+N|0;oa=h[pa+I>>0]|0;sa=s+(h[pa>>0]<<2)|0;f[sa>>2]=(f[sa>>2]|0)+1;sa=s+(oa<<2)|0;f[sa>>2]=(f[sa>>2]|0)+1;ra=ra+4|0;if((ra|0)>(S|0))break;else qa=pa+N|0}ka=Q;la=ia+ga|0}while(0);if((a|0)<=(ka|0)){ta=la;break}pa=Y(I,a-ka|0)|0;sa=la;oa=ka;while(1){ua=s+(h[sa>>0]<<2)|0;f[ua>>2]=(f[ua>>2]|0)+1;oa=oa+1|0;if((oa|0)==(a|0))break;else sa=sa+I|0}ta=la+pa|0}else ta=ia;while(0);if(!ja){fa=0;break a}else{ha=ha+D|0;ia=ta+O|0}}}ia=Y(a,I)|0;ha=a&-4;ja=Y(I,ha)|0;ga=Z;Q=M;sa=c;while(1){sa=sa+-1|0;do if(!ga){do if(k){if(R){va=0;wa=Q;break}else{xa=0;ya=Q}while(1){oa=h[Q+(xa|1)>>0]|0;ua=s+(h[ya>>0]<<2)|0;f[ua>>2]=(f[ua>>2]|0)+1;ua=s+(oa<<2)|0;f[ua>>2]=(f[ua>>2]|0)+1;ua=h[Q+(xa|3)>>0]|0;oa=s+(h[Q+(xa|2)>>0]<<2)|0;f[oa>>2]=(f[oa>>2]|0)+1;oa=s+(ua<<2)|0;f[oa>>2]=(f[oa>>2]|0)+1;oa=xa+4|0;if((oa|0)>(S|0))break;else{xa=oa;ya=Q+oa|0}}va=ha;wa=Q+ha|0}else{if(R){va=0;wa=Q;break}else{za=Q;Aa=0}while(1){oa=h[za+I>>0]|0;ua=s+(h[za>>0]<<2)|0;f[ua>>2]=(f[ua>>2]|0)+1;ua=s+(oa<<2)|0;f[ua>>2]=(f[ua>>2]|0)+1;ua=za+N|0;oa=h[ua+I>>0]|0;Ba=s+(h[ua>>0]<<2)|0;f[Ba>>2]=(f[Ba>>2]|0)+1;Ba=s+(oa<<2)|0;f[Ba>>2]=(f[Ba>>2]|0)+1;Aa=Aa+4|0;if((Aa|0)>(S|0))break;else za=ua+N|0}va=ha;wa=Q+ja|0}while(0);if((a|0)<=(va|0)){Ca=wa;break}pa=Y(I,a-va|0)|0;ua=wa;Ba=va;while(1){oa=s+(h[ua>>0]<<2)|0;f[oa>>2]=(f[oa>>2]|0)+1;Ba=Ba+1|0;if((Ba|0)==(a|0))break;else ua=ua+I|0}Ca=wa+pa|0}else{ua=Q;Ba=0;while(1){if(b[ga+Ba>>0]|0){oa=s+(h[ua>>0]<<2)|0;f[oa>>2]=(f[oa>>2]|0)+1}Ba=Ba+1|0;if((Ba|0)==(a|0))break;else ua=ua+I|0}Ca=Q+ia|0}while(0);if(!sa){fa=0;break}else{ga=ga+D|0;Q=Ca+O|0}}}while(0);do{O=f[P+(fa<<2)>>2]|0;Ca=W+O|0;if(O>>>0<1073741824)f[Ca>>2]=(f[Ca>>2]|0)+(f[s+(fa<<2)>>2]|0);fa=fa+1|0}while((fa|0)!=256);Da=134;break}case 2:{fa=f[E>>2]|0;Ca=f[E+4>>2]|0;O=f[E+8>>2]|0;I=f[E+12>>2]|0;if((c|0)!=0&(a|0)>0){wa=a+-1|0;va=Y(fa,wa)|0;za=Y(O,wa)|0;wa=f[$>>2]|0;Aa=f[$+4>>2]|0;ya=Z;xa=c;while(1){xa=xa+-1|0;if(!ya){ta=wa;la=Aa;ka=0;while(1){qa=(f[P+((h[la>>0]|256)<<2)>>2]|0)+(f[P+(h[ta>>0]<<2)>>2]|0)|0;if(qa>>>0<1073741824){ra=W+qa|0;f[ra>>2]=(f[ra>>2]|0)+1}ka=ka+1|0;if((ka|0)==(a|0))break;else{ta=ta+fa|0;la=la+O|0}}}else{la=wa;ta=Aa;ka=0;while(1){do if(b[ya+ka>>0]|0){ra=(f[P+((h[ta>>0]|256)<<2)>>2]|0)+(f[P+(h[la>>0]<<2)>>2]|0)|0;if(ra>>>0>=1073741824)break;qa=W+ra|0;f[qa>>2]=(f[qa>>2]|0)+1}while(0);ka=ka+1|0;if((ka|0)==(a|0))break;else{la=la+fa|0;ta=ta+O|0}}}if(!xa){Da=133;break}else{wa=wa+va+fa+Ca|0;Aa=Aa+za+O+I|0;ya=ya+D|0}}}else Da=133;break}case 3:{ya=f[E>>2]|0;I=f[E+4>>2]|0;O=f[E+8>>2]|0;za=f[E+12>>2]|0;Aa=f[E+16>>2]|0;Ca=f[E+20>>2]|0;if((c|0)!=0&(a|0)>0){fa=a+-1|0;va=Y(Aa,fa)|0;wa=Y(O,fa)|0;xa=Y(ya,fa)|0;fa=f[$+8>>2]|0;ta=f[$+4>>2]|0;la=f[$>>2]|0;ka=Z;qa=c;while(1){qa=qa+-1|0;if(!ka){ra=fa;na=ta;ma=la;Q=0;while(1){ga=(f[P+((h[na>>0]|256)<<2)>>2]|0)+(f[P+(h[ma>>0]<<2)>>2]|0)+(f[P+((h[ra>>0]|512)<<2)>>2]|0)|0;if(ga>>>0<1073741824){sa=W+ga|0;f[sa>>2]=(f[sa>>2]|0)+1}Q=Q+1|0;if((Q|0)==(a|0))break;else{ra=ra+Aa|0;na=na+O|0;ma=ma+ya|0}}}else{ma=fa;na=ta;ra=la;Q=0;while(1){do if(b[ka+Q>>0]|0){sa=(f[P+((h[na>>0]|256)<<2)>>2]|0)+(f[P+(h[ra>>0]<<2)>>2]|0)+(f[P+((h[ma>>0]|512)<<2)>>2]|0)|0;if(sa>>>0>=1073741824)break;ga=W+sa|0;f[ga>>2]=(f[ga>>2]|0)+1}while(0);Q=Q+1|0;if((Q|0)==(a|0))break;else{ma=ma+Aa|0;na=na+O|0;ra=ra+ya|0}}}if(!qa){Da=133;break}else{fa=fa+va+Aa+Ca|0;ta=ta+wa+O+za|0;la=la+xa+ya+I|0;ka=ka+D|0}}}else Da=133;break}default:if(!c)Da=133;else{ka=(a|0)>0;I=Z;Z=c;while(1){Z=Z+-1|0;if(!I)if(ka){c=0;do{ya=0;xa=W;while(1){la=$+(ya<<2)|0;za=f[la>>2]|0;O=f[P+((h[za>>0]|ya<<8)<<2)>>2]|0;if(O>>>0>1073741823){Ea=ya;Fa=xa;break}wa=xa+O|0;f[la>>2]=za+(f[E+(ya<<1<<2)>>2]|0);za=ya+1|0;if((za|0)<(i|0)){ya=za;xa=wa}else{Ea=za;Fa=wa;break}}do if((Ea|0)==(i|0))f[Fa>>2]=(f[Fa>>2]|0)+1;else{if((Ea|0)<(i|0))Ga=Ea;else break;do{xa=$+(Ga<<2)|0;f[xa>>2]=(f[xa>>2]|0)+(f[E+(Ga<<1<<2)>>2]|0);Ga=Ga+1|0}while((Ga|0)!=(i|0))}while(0);c=c+1|0}while((c|0)!=(a|0));Ha=0}else Ha=0;else if(ka){c=0;while(1){b:do if(!(b[I+c>>0]|0)){Ia=0;Ja=W}else{xa=0;ya=W;while(1){wa=$+(xa<<2)|0;za=f[wa>>2]|0;la=f[P+((h[za>>0]|xa<<8)<<2)>>2]|0;if(la>>>0>1073741823){Ia=xa;Ja=ya;break b}O=ya+la|0;f[wa>>2]=za+(f[E+(xa<<1<<2)>>2]|0);za=xa+1|0;if((za|0)<(i|0)){xa=za;ya=O}else{Ia=za;Ja=O;break}}}while(0);do if((Ia|0)==(i|0))f[Ja>>2]=(f[Ja>>2]|0)+1;else{if((Ia|0)<(i|0))Ka=Ia;else break;do{ya=$+(Ka<<2)|0;f[ya>>2]=(f[ya>>2]|0)+(f[E+(Ka<<1<<2)>>2]|0);Ka=Ka+1|0}while((Ka|0)!=(i|0))}while(0);c=c+1|0;if((c|0)==(a|0)){Ha=0;break}}}else Ha=0;do{c=$+(Ha<<2)|0;f[c>>2]=(f[c>>2]|0)+(f[E+((Ha<<1|1)<<2)>>2]|0);Ha=Ha+1|0}while((Ha|0)!=(i|0));if(!Z){Da=133;break}else I=I+D|0}}}if((Da|0)==133?P|0:0)Da=134;if((Da|0)==134){Da=f[e>>2]|0;if((Da|0)!=(P|0))f[e>>2]=Da+(~((Da+-4-P|0)>>>2)<<2);fuc(P)}break}case 2:{P=f[C>>2]|0;Da=f[da>>2]|0;e=f[z>>2]|0;D=f[A>>2]|0;I=f[X>>2]|0;Z=f[e+(i<<2)>>2]|0;Ha=f[D+((i<<1|1)<<2)>>2]|0;E=i<<2;$=f[_>>2]|0;szc(s|0,f[ca>>2]|0,E|0)|0;szc(t|0,$|0,E|0)|0;c:do if(!m){if(!l){$=cuc(64)|0;f[r>>2]=$;f[r+8>>2]=-2147483584;f[r+4>>2]=55;J=$;K=259168;L=J+55|0;do{b[J>>0]=b[K>>0]|0;J=J+1|0;K=K+1|0}while((J|0)<(L|0));b[$+55>>0]=0;WD(-5,r,259224,258643,431)}szc(r|0,l|0,E|0)|0;if(Da|0){a=(P|0)>0;Ka=Z;Ia=Da;while(1){Ia=Ia+-1|0;if(a)if(!Ka){Ja=0;do{W=I;ka=0;while(1){Ga=e+(ka<<2)|0;Ea=f[Ga>>2]|0;La=+(j[Ea>>1]|0);Fa=f[r+(ka<<2)>>2]|0;c=f[s+(ka<<2)>>2]|0;ya=-1;while(1){xa=ya+1|0;if(!(La>=+n[Fa+(xa<<2)>>2])){Ma=ya;break}if((xa|0)<(c|0))ya=xa;else{Ma=xa;break}}if(Ma>>>0>=c>>>0){Na=W;Oa=ka;break}f[Ga>>2]=Ea+(f[D+(ka<<1<<2)>>2]<<1);ya=W+(Y(f[t+(ka<<2)>>2]|0,Ma)|0)|0;Fa=ka+1|0;if((Fa|0)<(i|0)){W=ya;ka=Fa}else{Na=ya;Oa=Fa;break}}do if((Oa|0)==(i|0))f[Na>>2]=(f[Na>>2]|0)+1;else{if((Oa|0)<(i|0))Pa=Oa;else break;do{ka=e+(Pa<<2)|0;f[ka>>2]=(f[ka>>2]|0)+(f[D+(Pa<<1<<2)>>2]<<1);Pa=Pa+1|0}while((Pa|0)!=(i|0))}while(0);Ja=Ja+1|0}while((Ja|0)!=(P|0));Qa=0}else{Ja=0;while(1){d:do if(!(b[Ka+Ja>>0]|0)){Ra=I;Sa=0}else{Ea=I;Ga=0;while(1){c=e+(Ga<<2)|0;ka=f[c>>2]|0;La=+(j[ka>>1]|0);W=f[r+(Ga<<2)>>2]|0;Fa=f[s+(Ga<<2)>>2]|0;ya=-1;while(1){xa=ya+1|0;if(!(La>=+n[W+(xa<<2)>>2])){Ta=ya;break}if((xa|0)<(Fa|0))ya=xa;else{Ta=xa;break}}if(Ta>>>0>=Fa>>>0){Ra=Ea;Sa=Ga;break d}f[c>>2]=ka+(f[D+(Ga<<1<<2)>>2]<<1);ya=Ea+(Y(f[t+(Ga<<2)>>2]|0,Ta)|0)|0;W=Ga+1|0;if((W|0)<(i|0)){Ea=ya;Ga=W}else{Ra=ya;Sa=W;break}}}while(0);do if((Sa|0)==(i|0))f[Ra>>2]=(f[Ra>>2]|0)+1;else{if((Sa|0)<(i|0))Ua=Sa;else break;do{Ga=e+(Ua<<2)|0;f[Ga>>2]=(f[Ga>>2]|0)+(f[D+(Ua<<1<<2)>>2]<<1);Ua=Ua+1|0}while((Ua|0)!=(i|0))}while(0);Ja=Ja+1|0;if((Ja|0)==(P|0)){Qa=0;break}}}else Qa=0;do{Ja=e+(Qa<<2)|0;f[Ja>>2]=(f[Ja>>2]|0)+(f[D+((Qa<<1|1)<<2)>>2]<<1);Qa=Qa+1|0}while((Qa|0)!=(i|0));if(!Ia)break;else Ka=Ka+Ha|0}}}else switch(i|0){case 1:{La=+p[d>>3];Va=+p[d+8>>3];Ka=f[s>>2]|0;Ia=f[D>>2]|0;a=f[D+4>>2]|0;if(!Da)break c;if((P|0)<=0)break c;$=Y(Ia,P+-1|0)|0;Ja=Z;Ga=f[e>>2]|0;Ea=Da;while(1){Ea=Ea+-1|0;if(!Ja){W=0;ya=Ga;while(1){Wa=Va+La*+(j[ya>>1]|0);xa=~~Wa;O=xa-(+(xa|0)>Wa&1)|0;xa=I+(O<<2)|0;if(O>>>0<Ka>>>0)f[xa>>2]=(f[xa>>2]|0)+1;W=W+1|0;if((W|0)==(P|0))break;else ya=ya+(Ia<<1)|0}}else{ya=0;W=Ga;while(1){do if(b[Ja+ya>>0]|0){Wa=Va+La*+(j[W>>1]|0);xa=~~Wa;O=xa-(+(xa|0)>Wa&1)|0;xa=I+(O<<2)|0;if(O>>>0>=Ka>>>0)break;f[xa>>2]=(f[xa>>2]|0)+1}while(0);ya=ya+1|0;if((ya|0)==(P|0))break;else W=W+(Ia<<1)|0}}if(!Ea)break;else{Ja=Ja+Ha|0;Ga=Ga+($<<1)+(Ia<<1)+(a<<1)|0}}break}case 2:{La=+p[d>>3];Va=+p[d+8>>3];Wa=+p[d+16>>3];Xa=+p[d+24>>3];a=f[s>>2]|0;Ia=f[s+4>>2]|0;$=f[D>>2]|0;Ga=f[D+4>>2]|0;Ja=f[D+8>>2]|0;Ea=f[D+12>>2]|0;Ka=f[t>>2]|0;if(!((Da|0)!=0&(P|0)>0))break c;W=P+-1|0;ya=Y($,W)|0;xa=Y(Ja,W)|0;W=f[e>>2]|0;O=f[e+4>>2]|0;za=Z;wa=Da;while(1){wa=wa+-1|0;if(!za){la=W;ta=O;Ca=0;while(1){Ya=Va+La*+(j[la>>1]|0);Aa=~~Ya;va=Aa-(+(Aa|0)>Ya&1)|0;Ya=Xa+Wa*+(j[ta>>1]|0);Aa=~~Ya;fa=Aa-(+(Aa|0)>Ya&1)|0;Aa=I+(Y(va,Ka)|0)+(fa<<2)|0;if(va>>>0<a>>>0&fa>>>0<Ia>>>0)f[Aa>>2]=(f[Aa>>2]|0)+1;Ca=Ca+1|0;if((Ca|0)==(P|0))break;else{la=la+($<<1)|0;ta=ta+(Ja<<1)|0}}}else{ta=W;la=O;Ca=0;while(1){do if(b[za+Ca>>0]|0){Ya=Va+La*+(j[ta>>1]|0);Aa=~~Ya;fa=Aa-(+(Aa|0)>Ya&1)|0;Ya=Xa+Wa*+(j[la>>1]|0);Aa=~~Ya;va=Aa-(+(Aa|0)>Ya&1)|0;Aa=I+(Y(fa,Ka)|0)+(va<<2)|0;if(!(fa>>>0<a>>>0&va>>>0<Ia>>>0))break;f[Aa>>2]=(f[Aa>>2]|0)+1}while(0);Ca=Ca+1|0;if((Ca|0)==(P|0))break;else{ta=ta+($<<1)|0;la=la+(Ja<<1)|0}}}if(!wa)break;else{W=W+(ya<<1)+($<<1)+(Ga<<1)|0;O=O+(xa<<1)+(Ja<<1)+(Ea<<1)|0;za=za+Ha|0}}break}case 3:{Wa=+p[d>>3];Xa=+p[d+8>>3];La=+p[d+16>>3];Va=+p[d+24>>3];Ya=+p[d+32>>3];Za=+p[d+40>>3];za=f[s>>2]|0;Ea=f[s+4>>2]|0;Ja=f[s+8>>2]|0;xa=f[D>>2]|0;O=f[D+4>>2]|0;Ga=f[D+8>>2]|0;$=f[D+12>>2]|0;ya=f[D+16>>2]|0;W=f[D+20>>2]|0;wa=f[t>>2]|0;Ia=f[t+4>>2]|0;if(!Da)break c;a=(P|0)>0;Ka=Y(P,xa)|0;la=Y(P,Ga)|0;ta=Y(P,ya)|0;Ca=f[e>>2]|0;Aa=f[e+4>>2]|0;va=f[e+8>>2]|0;fa=Z;qa=Da;while(1){qa=qa+-1|0;if(!fa)if(a){ra=Aa+(la<<1)|0;na=Ca;ma=Aa;Q=va;ga=0;while(1){_a=Xa+Wa*+(j[na>>1]|0);sa=~~_a;ia=sa-(+(sa|0)>_a&1)|0;_a=Va+La*+(j[ma>>1]|0);sa=~~_a;ja=sa-(+(sa|0)>_a&1)|0;_a=Za+Ya*+(j[Q>>1]|0);sa=~~_a;ha=sa-(+(sa|0)>_a&1)|0;sa=I+(Y(ia,wa)|0)+(Y(ja,Ia)|0)+(ha<<2)|0;if(ia>>>0<za>>>0&ja>>>0<Ea>>>0&ha>>>0<Ja>>>0)f[sa>>2]=(f[sa>>2]|0)+1;ga=ga+1|0;if((ga|0)==(P|0))break;else{na=na+(xa<<1)|0;ma=ma+(Ga<<1)|0;Q=Q+(ya<<1)|0}}$a=Ca+(Ka<<1)|0;ab=ra;bb=va+(ta<<1)|0}else{$a=Ca;ab=Aa;bb=va}else if(a){Q=Aa+(la<<1)|0;ma=Ca;na=Aa;ga=va;sa=0;while(1){do if(b[fa+sa>>0]|0){_a=Xa+Wa*+(j[ma>>1]|0);ha=~~_a;ja=ha-(+(ha|0)>_a&1)|0;_a=Va+La*+(j[na>>1]|0);ha=~~_a;ia=ha-(+(ha|0)>_a&1)|0;_a=Za+Ya*+(j[ga>>1]|0);ha=~~_a;N=ha-(+(ha|0)>_a&1)|0;ha=I+(Y(ja,wa)|0)+(Y(ia,Ia)|0)+(N<<2)|0;if(!(ja>>>0<za>>>0&ia>>>0<Ea>>>0&N>>>0<Ja>>>0))break;f[ha>>2]=(f[ha>>2]|0)+1}while(0);sa=sa+1|0;if((sa|0)==(P|0))break;else{ma=ma+(xa<<1)|0;na=na+(Ga<<1)|0;ga=ga+(ya<<1)|0}}$a=Ca+(Ka<<1)|0;ab=Q;bb=va+(ta<<1)|0}else{$a=Ca;ab=Aa;bb=va}if(!qa)break;else{Ca=$a+(O<<1)|0;Aa=ab+($<<1)|0;va=bb+(W<<1)|0;fa=fa+Ha|0}}break}default:{if(!Da)break c;fa=(P|0)>0;W=Z;va=Da;while(1){va=va+-1|0;if(!W)if(fa){$=0;do{Aa=I;O=0;while(1){Ca=e+(O<<2)|0;qa=f[Ca>>2]|0;ta=O<<1;Ya=+(j[qa>>1]|0)*+p[d+(ta<<3)>>3]+ +p[d+((ta|1)<<3)>>3];Ka=~~Ya;ya=Ka-(+(Ka|0)>Ya&1)|0;if(ya>>>0>=(f[s+(O<<2)>>2]|0)>>>0){cb=Aa;db=O;break}f[Ca>>2]=qa+(f[D+(ta<<2)>>2]<<1);ta=Aa+(Y(f[t+(O<<2)>>2]|0,ya)|0)|0;ya=O+1|0;if((ya|0)<(i|0)){Aa=ta;O=ya}else{cb=ta;db=ya;break}}do if((db|0)==(i|0))f[cb>>2]=(f[cb>>2]|0)+1;else{if((db|0)<(i|0))eb=db;else break;do{O=e+(eb<<2)|0;f[O>>2]=(f[O>>2]|0)+(f[D+(eb<<1<<2)>>2]<<1);eb=eb+1|0}while((eb|0)!=(i|0))}while(0);$=$+1|0}while(($|0)!=(P|0));fb=0}else fb=0;else if(fa){$=0;while(1){e:do if(!(b[W+$>>0]|0)){gb=I;hb=0}else{Q=I;O=0;while(1){Aa=e+(O<<2)|0;ya=f[Aa>>2]|0;ta=O<<1;Ya=+(j[ya>>1]|0)*+p[d+(ta<<3)>>3]+ +p[d+((ta|1)<<3)>>3];qa=~~Ya;Ca=qa-(+(qa|0)>Ya&1)|0;if(Ca>>>0>=(f[s+(O<<2)>>2]|0)>>>0){gb=Q;hb=O;break e}f[Aa>>2]=ya+(f[D+(ta<<2)>>2]<<1);ta=Q+(Y(f[t+(O<<2)>>2]|0,Ca)|0)|0;Ca=O+1|0;if((Ca|0)<(i|0)){Q=ta;O=Ca}else{gb=ta;hb=Ca;break}}}while(0);do if((hb|0)==(i|0))f[gb>>2]=(f[gb>>2]|0)+1;else{if((hb|0)<(i|0))ib=hb;else break;do{O=e+(ib<<2)|0;f[O>>2]=(f[O>>2]|0)+(f[D+(ib<<1<<2)>>2]<<1);ib=ib+1|0}while((ib|0)!=(i|0))}while(0);$=$+1|0;if(($|0)==(P|0)){fb=0;break}}}else fb=0;do{$=e+(fb<<2)|0;f[$>>2]=(f[$>>2]|0)+(f[D+((fb<<1|1)<<2)>>2]<<1);fb=fb+1|0}while((fb|0)!=(i|0));if(!va)break;else W=W+Ha|0}}}while(0);break}case 5:{Ha=f[C>>2]|0;C=f[da>>2]|0;da=f[z>>2]|0;fb=f[A>>2]|0;D=f[X>>2]|0;e=f[da+(i<<2)>>2]|0;P=f[fb+((i<<1|1)<<2)>>2]|0;ib=i<<2;hb=f[_>>2]|0;szc(s|0,f[ca>>2]|0,ib|0)|0;szc(t|0,hb|0,ib|0)|0;f:do if(!m){if(!l){hb=cuc(64)|0;f[r>>2]=hb;f[r+8>>2]=-2147483584;f[r+4>>2]=55;J=hb;K=259168;L=J+55|0;do{b[J>>0]=b[K>>0]|0;J=J+1|0;K=K+1|0}while((J|0)<(L|0));b[hb+55>>0]=0;WD(-5,r,259224,258643,431)}szc(r|0,l|0,ib|0)|0;if(C|0){gb=(Ha|0)>0;I=e;eb=C;while(1){eb=eb+-1|0;if(gb)if(!I){db=0;do{cb=D;Da=0;while(1){Z=da+(Da<<2)|0;bb=f[Z>>2]|0;Ya=+n[bb>>2];ab=f[r+(Da<<2)>>2]|0;$a=f[s+(Da<<2)>>2]|0;Qa=-1;while(1){Ua=Qa+1|0;if(!(Ya>=+n[ab+(Ua<<2)>>2])){jb=Qa;break}if((Ua|0)<($a|0))Qa=Ua;else{jb=Ua;break}}if(jb>>>0>=$a>>>0){kb=cb;lb=Da;break}f[Z>>2]=bb+(f[fb+(Da<<1<<2)>>2]<<2);Qa=cb+(Y(f[t+(Da<<2)>>2]|0,jb)|0)|0;ab=Da+1|0;if((ab|0)<(i|0)){cb=Qa;Da=ab}else{kb=Qa;lb=ab;break}}do if((lb|0)==(i|0))f[kb>>2]=(f[kb>>2]|0)+1;else{if((lb|0)<(i|0))mb=lb;else break;do{Da=da+(mb<<2)|0;f[Da>>2]=(f[Da>>2]|0)+(f[fb+(mb<<1<<2)>>2]<<2);mb=mb+1|0}while((mb|0)!=(i|0))}while(0);db=db+1|0}while((db|0)!=(Ha|0));nb=0}else{db=0;while(1){g:do if(!(b[I+db>>0]|0)){ob=D;pb=0}else{bb=D;Z=0;while(1){$a=da+(Z<<2)|0;Da=f[$a>>2]|0;Ya=+n[Da>>2];cb=f[r+(Z<<2)>>2]|0;ab=f[s+(Z<<2)>>2]|0;Qa=-1;while(1){Ua=Qa+1|0;if(!(Ya>=+n[cb+(Ua<<2)>>2])){qb=Qa;break}if((Ua|0)<(ab|0))Qa=Ua;else{qb=Ua;break}}if(qb>>>0>=ab>>>0){ob=bb;pb=Z;break g}f[$a>>2]=Da+(f[fb+(Z<<1<<2)>>2]<<2);Qa=bb+(Y(f[t+(Z<<2)>>2]|0,qb)|0)|0;cb=Z+1|0;if((cb|0)<(i|0)){bb=Qa;Z=cb}else{ob=Qa;pb=cb;break}}}while(0);do if((pb|0)==(i|0))f[ob>>2]=(f[ob>>2]|0)+1;else{if((pb|0)<(i|0))rb=pb;else break;do{Z=da+(rb<<2)|0;f[Z>>2]=(f[Z>>2]|0)+(f[fb+(rb<<1<<2)>>2]<<2);rb=rb+1|0}while((rb|0)!=(i|0))}while(0);db=db+1|0;if((db|0)==(Ha|0)){nb=0;break}}}else nb=0;do{db=da+(nb<<2)|0;f[db>>2]=(f[db>>2]|0)+(f[fb+((nb<<1|1)<<2)>>2]<<2);nb=nb+1|0}while((nb|0)!=(i|0));if(!eb)break;else I=I+P|0}}}else switch(i|0){case 1:{Ya=+p[d>>3];Za=+p[d+8>>3];I=f[s>>2]|0;eb=f[fb>>2]|0;gb=f[fb+4>>2]|0;if(!C)break f;if((Ha|0)<=0)break f;hb=Y(eb,Ha+-1|0)|0;db=e;Z=f[da>>2]|0;bb=C;while(1){bb=bb+-1|0;if(!db){cb=0;Qa=Z;while(1){La=Za+Ya*+n[Qa>>2];ka=~~La;c=ka-(+(ka|0)>La&1)|0;ka=D+(c<<2)|0;if(c>>>0<I>>>0)f[ka>>2]=(f[ka>>2]|0)+1;cb=cb+1|0;if((cb|0)==(Ha|0))break;else Qa=Qa+(eb<<2)|0}}else{Qa=0;cb=Z;while(1){do if(b[db+Qa>>0]|0){La=Za+Ya*+n[cb>>2];ka=~~La;c=ka-(+(ka|0)>La&1)|0;ka=D+(c<<2)|0;if(c>>>0>=I>>>0)break;f[ka>>2]=(f[ka>>2]|0)+1}while(0);Qa=Qa+1|0;if((Qa|0)==(Ha|0))break;else cb=cb+(eb<<2)|0}}if(!bb)break;else{db=db+P|0;Z=Z+(hb<<2)+(eb<<2)+(gb<<2)|0}}break}case 2:{Ya=+p[d>>3];Za=+p[d+8>>3];La=+p[d+16>>3];Va=+p[d+24>>3];gb=f[s>>2]|0;eb=f[s+4>>2]|0;hb=f[fb>>2]|0;Z=f[fb+4>>2]|0;db=f[fb+8>>2]|0;bb=f[fb+12>>2]|0;I=f[t>>2]|0;if(!((C|0)!=0&(Ha|0)>0))break f;cb=Ha+-1|0;Qa=Y(hb,cb)|0;ka=Y(db,cb)|0;cb=f[da>>2]|0;c=f[da+4>>2]|0;Fa=e;Ua=C;while(1){Ua=Ua+-1|0;if(!Fa){Sa=cb;Ra=c;Ta=0;while(1){Wa=Za+Ya*+n[Sa>>2];Pa=~~Wa;Oa=Pa-(+(Pa|0)>Wa&1)|0;Wa=Va+La*+n[Ra>>2];Pa=~~Wa;Na=Pa-(+(Pa|0)>Wa&1)|0;Pa=D+(Y(Oa,I)|0)+(Na<<2)|0;if(Oa>>>0<gb>>>0&Na>>>0<eb>>>0)f[Pa>>2]=(f[Pa>>2]|0)+1;Ta=Ta+1|0;if((Ta|0)==(Ha|0))break;else{Sa=Sa+(hb<<2)|0;Ra=Ra+(db<<2)|0}}}else{Ra=cb;Sa=c;Ta=0;while(1){do if(b[Fa+Ta>>0]|0){Wa=Za+Ya*+n[Ra>>2];Pa=~~Wa;Na=Pa-(+(Pa|0)>Wa&1)|0;Wa=Va+La*+n[Sa>>2];Pa=~~Wa;Oa=Pa-(+(Pa|0)>Wa&1)|0;Pa=D+(Y(Na,I)|0)+(Oa<<2)|0;if(!(Na>>>0<gb>>>0&Oa>>>0<eb>>>0))break;f[Pa>>2]=(f[Pa>>2]|0)+1}while(0);Ta=Ta+1|0;if((Ta|0)==(Ha|0))break;else{Ra=Ra+(hb<<2)|0;Sa=Sa+(db<<2)|0}}}if(!Ua)break;else{cb=cb+(Qa<<2)+(hb<<2)+(Z<<2)|0;c=c+(ka<<2)+(db<<2)+(bb<<2)|0;Fa=Fa+P|0}}break}case 3:{La=+p[d>>3];Va=+p[d+8>>3];Ya=+p[d+16>>3];Za=+p[d+24>>3];Wa=+p[d+32>>3];Xa=+p[d+40>>3];Fa=f[s>>2]|0;bb=f[s+4>>2]|0;db=f[s+8>>2]|0;ka=f[fb>>2]|0;c=f[fb+4>>2]|0;Z=f[fb+8>>2]|0;hb=f[fb+12>>2]|0;Qa=f[fb+16>>2]|0;cb=f[fb+20>>2]|0;Ua=f[t>>2]|0;eb=f[t+4>>2]|0;if(!C)break f;gb=(Ha|0)>0;I=Y(Ha,ka)|0;Sa=Y(Ha,Z)|0;Ra=Y(Ha,Qa)|0;Ta=f[da>>2]|0;Pa=f[da+4>>2]|0;Oa=f[da+8>>2]|0;Na=e;Ma=C;while(1){Ma=Ma+-1|0;if(!Na)if(gb){E=Pa+(Sa<<2)|0;W=Ta;va=Pa;fa=Oa;$=0;while(1){_a=Va+La*+n[W>>2];O=~~_a;Q=O-(+(O|0)>_a&1)|0;_a=Za+Ya*+n[va>>2];O=~~_a;Ca=O-(+(O|0)>_a&1)|0;_a=Xa+Wa*+n[fa>>2];O=~~_a;ta=O-(+(O|0)>_a&1)|0;O=D+(Y(Q,Ua)|0)+(Y(Ca,eb)|0)+(ta<<2)|0;if(Q>>>0<Fa>>>0&Ca>>>0<bb>>>0&ta>>>0<db>>>0)f[O>>2]=(f[O>>2]|0)+1;$=$+1|0;if(($|0)==(Ha|0))break;else{W=W+(ka<<2)|0;va=va+(Z<<2)|0;fa=fa+(Qa<<2)|0}}sb=Ta+(I<<2)|0;tb=E;ub=Oa+(Ra<<2)|0}else{sb=Ta;tb=Pa;ub=Oa}else if(gb){fa=Pa+(Sa<<2)|0;va=Ta;W=Pa;$=Oa;O=0;while(1){do if(b[Na+O>>0]|0){_a=Va+La*+n[va>>2];ta=~~_a;Ca=ta-(+(ta|0)>_a&1)|0;_a=Za+Ya*+n[W>>2];ta=~~_a;Q=ta-(+(ta|0)>_a&1)|0;_a=Xa+Wa*+n[$>>2];ta=~~_a;ya=ta-(+(ta|0)>_a&1)|0;ta=D+(Y(Ca,Ua)|0)+(Y(Q,eb)|0)+(ya<<2)|0;if(!(Ca>>>0<Fa>>>0&Q>>>0<bb>>>0&ya>>>0<db>>>0))break;f[ta>>2]=(f[ta>>2]|0)+1}while(0);O=O+1|0;if((O|0)==(Ha|0))break;else{va=va+(ka<<2)|0;W=W+(Z<<2)|0;$=$+(Qa<<2)|0}}sb=Ta+(I<<2)|0;tb=fa;ub=Oa+(Ra<<2)|0}else{sb=Ta;tb=Pa;ub=Oa}if(!Ma)break;else{Ta=sb+(c<<2)|0;Pa=tb+(hb<<2)|0;Oa=ub+(cb<<2)|0;Na=Na+P|0}}break}default:{if(!C)break f;Na=(Ha|0)>0;cb=e;Oa=C;while(1){Oa=Oa+-1|0;if(!cb)if(Na){hb=0;do{Pa=D;c=0;while(1){Ta=da+(c<<2)|0;Ma=f[Ta>>2]|0;Ra=c<<1;Wa=+n[Ma>>2]*+p[d+(Ra<<3)>>3]+ +p[d+((Ra|1)<<3)>>3];I=~~Wa;Qa=I-(+(I|0)>Wa&1)|0;if(Qa>>>0>=(f[s+(c<<2)>>2]|0)>>>0){vb=Pa;wb=c;break}f[Ta>>2]=Ma+(f[fb+(Ra<<2)>>2]<<2);Ra=Pa+(Y(f[t+(c<<2)>>2]|0,Qa)|0)|0;Qa=c+1|0;if((Qa|0)<(i|0)){Pa=Ra;c=Qa}else{vb=Ra;wb=Qa;break}}do if((wb|0)==(i|0))f[vb>>2]=(f[vb>>2]|0)+1;else{if((wb|0)<(i|0))xb=wb;else break;do{c=da+(xb<<2)|0;f[c>>2]=(f[c>>2]|0)+(f[fb+(xb<<1<<2)>>2]<<2);xb=xb+1|0}while((xb|0)!=(i|0))}while(0);hb=hb+1|0}while((hb|0)!=(Ha|0));yb=0}else yb=0;else if(Na){hb=0;while(1){h:do if(!(b[cb+hb>>0]|0)){zb=D;Ab=0}else{fa=D;c=0;while(1){Pa=da+(c<<2)|0;Qa=f[Pa>>2]|0;Ra=c<<1;Wa=+n[Qa>>2]*+p[d+(Ra<<3)>>3]+ +p[d+((Ra|1)<<3)>>3];Ma=~~Wa;Ta=Ma-(+(Ma|0)>Wa&1)|0;if(Ta>>>0>=(f[s+(c<<2)>>2]|0)>>>0){zb=fa;Ab=c;break h}f[Pa>>2]=Qa+(f[fb+(Ra<<2)>>2]<<2);Ra=fa+(Y(f[t+(c<<2)>>2]|0,Ta)|0)|0;Ta=c+1|0;if((Ta|0)<(i|0)){fa=Ra;c=Ta}else{zb=Ra;Ab=Ta;break}}}while(0);do if((Ab|0)==(i|0))f[zb>>2]=(f[zb>>2]|0)+1;else{if((Ab|0)<(i|0))Bb=Ab;else break;do{c=da+(Bb<<2)|0;f[c>>2]=(f[c>>2]|0)+(f[fb+(Bb<<1<<2)>>2]<<2);Bb=Bb+1|0}while((Bb|0)!=(i|0))}while(0);hb=hb+1|0;if((hb|0)==(Ha|0)){yb=0;break}}}else yb=0;do{hb=da+(yb<<2)|0;f[hb>>2]=(f[hb>>2]|0)+(f[fb+((yb<<1|1)<<2)>>2]<<2);yb=yb+1|0}while((yb|0)!=(i|0));if(!Oa)break;else cb=cb+P|0}}}while(0);break}default:{f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;WD(-210,r,259120,258643,918)}}P=r+8|0;f[P>>2]=0;f[P+4>>2]=0;f[r>>2]=33619968;f[r+4>>2]=x;kQ(y,r,5,1.0,0.0);r=f[B>>2]|0;if(r|0){B=f[G>>2]|0;if((B|0)!=(r|0))f[G>>2]=B+(~((B+-8-r|0)>>>3)<<3);fuc(r)}r=f[A>>2]|0;if(r|0){A=f[g>>2]|0;if((A|0)!=(r|0))f[g>>2]=A+(~((A+-4-r|0)>>>2)<<2);fuc(r)}r=f[z>>2]|0;if(r|0){z=f[o>>2]|0;if((z|0)!=(r|0))f[o>>2]=z+(~((z+-4-r|0)>>>2)<<2);fuc(r)}r=f[aa>>2]|0;if(r|0?(z=r+12|0,r=f[z>>2]|0,f[z>>2]=r+-1,(r|0)==1):0)aU(y);f[aa>>2]=0;f[X>>2]=0;f[X+4>>2]=0;f[X+8>>2]=0;f[X+12>>2]=0;if((f[U>>2]|0)>0){X=f[ca>>2]|0;ca=0;do{f[X+(ca<<2)>>2]=0;ca=ca+1|0}while((ca|0)<(f[U>>2]|0))}U=f[_>>2]|0;if((U|0)!=(F|0))TC(U);U=f[ba>>2]|0;if(U|0?(F=U+12|0,U=f[F>>2]|0,f[F>>2]=U+-1,(U|0)==1):0)aU(x);f[ba>>2]=0;f[T>>2]=0;f[T+4>>2]=0;f[T+8>>2]=0;f[T+12>>2]=0;if((f[V>>2]|0)>0){T=f[ea>>2]|0;ea=0;do{f[T+(ea<<2)>>2]=0;ea=ea+1|0}while((ea|0)<(f[V>>2]|0))}V=f[x+44>>2]|0;if((V|0)!=(x+48|0))TC(V);V=w+36|0;x=f[V>>2]|0;do if(x|0){ea=x+12|0;T=f[ea>>2]|0;f[ea>>2]=T+-1;if((T|0)!=1)break;aU(w)}while(0);f[V>>2]=0;V=w+4|0;f[H>>2]=0;f[H+4>>2]=0;f[H+8>>2]=0;f[H+12>>2]=0;if((f[V>>2]|0)>0){H=f[w+40>>2]|0;x=0;do{f[H+(x<<2)>>2]=0;x=x+1|0}while((x|0)<(f[V>>2]|0))}V=f[w+44>>2]|0;if((V|0)!=(w+48|0))TC(V);if(!(f[v+4>>2]|0)){u=q;return}u=q;return}function Xfa(a,c,d,e,g,h,i,j,k,l,m,o){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;o=o|0;var q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0.0,ba=0.0,ca=0.0;q=u;u=u+16|0;r=q;s=(d|0)!=0;if(!(s|(c|0)==(g|0))){t=cuc(48)|0;f[r>>2]=t;f[r+8>>2]=-2147483600;f[r+4>>2]=32;v=t;w=259258;x=v+32|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));b[t+32>>0]=0;WD(-215,r,259291,258643,128)}t=f[a+40>>2]|0;y=f[t>>2]|0;f[m>>2]=f[t+4>>2];t=m+4|0;f[t>>2]=y;y=f[a>>2]|0;z=y&7;A=675553809>>>(y<<2&28)&15;y=g+1|0;B=k+4|0;C=f[B>>2]|0;D=f[k>>2]|0;E=C-D>>2;F=D;D=C;if(y>>>0<=E>>>0){if(y>>>0<E>>>0?(C=F+(y<<2)|0,(D|0)!=(C|0)):0)f[B>>2]=D+(~((D+-4-C|0)>>>2)<<2)}else O2(k,y-E|0);E=y<<1;y=l+4|0;C=f[y>>2]|0;D=f[l>>2]|0;B=C-D>>2;F=D;D=C;if(E>>>0<=B>>>0){if(E>>>0<B>>>0?(C=F+(E<<2)|0,(D|0)!=(C|0)):0)f[y>>2]=D+(~((D+-4-C|0)>>>2)<<2)}else OJ(l,E-B|0);B=(g|0)>0;a:do if(B){E=(c|0)>0;if(!s){C=0;D=1;while(1){y=f[a+(C*56|0)>>2]|0;if(y&4088|0){G=22;break}F=f[a+(C*56|0)+40>>2]|0;if(!(((f[F>>2]|0)==(f[t>>2]|0)?(f[F+4>>2]|0)==(f[m>>2]|0):0)&(y&7|0)==(z|0))){G=26;break}F=D&(y&16384|0)!=0;f[(f[k>>2]|0)+(C<<2)>>2]=f[a+(C*56|0)+16>>2];H=(y>>>3&511)+1|0;y=C<<1;I=f[l>>2]|0;f[I+(y<<2)>>2]=H;J=(((f[a+(C*56|0)+48>>2]|0)>>>0)/(A>>>0)|0)-(Y(H,f[m>>2]|0)|0)|0;f[I+((y|1)<<2)>>2]=J;C=C+1|0;if((C|0)>=(g|0)){K=F;break a}else D=F}if((G|0)==22){D=cuc(32)|0;f[r>>2]=D;f[r+8>>2]=-2147483616;f[r+4>>2]=25;v=D;w=259309;x=v+25|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));b[D+25>>0]=0;WD(-215,r,259291,258643,143)}else if((G|0)==26){L=cuc(64)|0;f[r>>2]=L;M=r+8|0;f[M>>2]=-2147483584;N=r+4|0;f[N>>2]=56;v=L;w=259354;x=v+56|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));O=L+56|0;b[O>>0]=0;WD(-215,r,259291,258643,155)}}else{P=0;Q=1}b:while(1){D=f[d+(P<<2)>>2]|0;if((D|0)<=-1){G=23;break}if(E){R=0;S=D}else{G=24;break}while(1){T=f[a+(R*56|0)>>2]|0;U=T>>>3&511;if((S|0)<=(U|0))break;D=R+1|0;if((D|0)<(c|0)){R=D;S=S+-1-U|0}else{G=24;break b}}D=f[a+(R*56|0)+40>>2]|0;if(!(((f[D>>2]|0)==(f[t>>2]|0)?(f[D+4>>2]|0)==(f[m>>2]|0):0)&(T&7|0)==(z|0))){G=26;break}D=Q&(T&16384|0)!=0;C=(f[a+(R*56|0)+16>>2]|0)+(Y(S,A)|0)|0;f[(f[k>>2]|0)+(P<<2)>>2]=C;C=U+1|0;F=P<<1;J=f[l>>2]|0;f[J+(F<<2)>>2]=C;y=(((f[a+(R*56|0)+48>>2]|0)>>>0)/(A>>>0)|0)-(Y(C,f[m>>2]|0)|0)|0;f[J+((F|1)<<2)>>2]=y;P=P+1|0;if((P|0)>=(g|0)){K=D;break a}else Q=D}if((G|0)==23){f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;b[r+11>>0]=6;b[r>>0]=b[259335]|0;b[r+1>>0]=b[259336]|0;b[r+2>>0]=b[259337]|0;b[r+3>>0]=b[259338]|0;b[r+4>>0]=b[259339]|0;b[r+5>>0]=b[259340]|0;b[r+6>>0]=0;WD(-215,r,259291,258643,148)}else if((G|0)==24){E=cuc(16)|0;f[r>>2]=E;f[r+8>>2]=-2147483632;f[r+4>>2]=11;v=E;w=259342;x=v+11|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));b[E+11>>0]=0;WD(-215,r,259291,258643,152)}else if((G|0)==26){L=cuc(64)|0;f[r>>2]=L;M=r+8|0;f[M>>2]=-2147483584;N=r+4|0;f[N>>2]=56;v=L;w=259354;x=v+56|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));O=L+56|0;b[O>>0]=0;WD(-215,r,259291,258643,155)}}else K=1;while(0);O=f[e+16>>2]|0;L=O;do if(!O){if(K)G=40}else{N=f[e+4>>2]|0;if((N|0)<3)V=Y(f[e+12>>2]|0,f[e+8>>2]|0)|0;else{M=f[e+40>>2]|0;Q=0;P=1;while(1){A=Y(f[M+(Q<<2)>>2]|0,P)|0;Q=Q+1|0;if((Q|0)==(N|0)){V=A;break}else P=A}}if((N|0)==0|(V|0)==0)if(K){G=40;break}else break;P=f[e+40>>2]|0;if(!((f[P>>2]|0)==(f[t>>2]|0)?(f[P+4>>2]|0)==(f[m>>2]|0):0)){W=cuc(48)|0;f[r>>2]=W;X=r+8|0;f[X>>2]=-2147483600;Z=r+4|0;f[Z>>2]=45;v=W;w=259411;x=v+45|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));_=W+45|0;b[_>>0]=0;WD(-215,r,259291,258643,165)}N=f[e>>2]|0;if(!(N&4088)){f[(f[k>>2]|0)+(g<<2)>>2]=L;P=g<<1;Q=f[l>>2]|0;f[Q+(P<<2)>>2]=1;f[Q+((P|1)<<2)>>2]=((f[e+48>>2]|0)>>>0)/((675553809>>>(f[e>>2]<<2&28)&15)>>>0)|0;if(K&(N&16384|0)!=0){G=40;break}else break}else{W=cuc(48)|0;f[r>>2]=W;X=r+8|0;f[X>>2]=-2147483600;Z=r+4|0;f[Z>>2]=45;v=W;w=259411;x=v+45|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));_=W+45|0;b[_>>0]=0;WD(-215,r,259291,258643,165)}}while(0);if((G|0)==40){_=Y(f[m>>2]|0,f[t>>2]|0)|0;f[m>>2]=_;f[t>>2]=1}if(!i){if(z|0){z=cuc(16)|0;f[r>>2]=z;f[r+8>>2]=-2147483632;f[r+4>>2]=14;v=z;w=388357;x=v+14|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));b[z+14>>0]=0;WD(-215,r,259291,258643,180)}z=g<<1;t=o+4|0;_=f[t>>2]|0;m=f[o>>2]|0;W=_-m>>3;Z=m;m=_;if(z>>>0<=W>>>0){if(z>>>0<W>>>0?(_=Z+(z<<3)|0,(m|0)!=(_|0)):0)f[t>>2]=m+(~((m+-8-_|0)>>>3)<<3)}else Zfa(o,z-W|0);if(!B){u=q;return}W=f[o>>2]|0;z=0;do{_=z<<1;p[W+(_<<3)>>3]=+(f[h+(z<<2)>>2]|0)*.00390625;p[W+((_|1)<<3)>>3]=0.0;z=z+1|0}while((z|0)!=(g|0));u=q;return}if(!j){if(B)$=0;else{u=q;return}c:while(1){j=f[h+($<<2)>>2]|0;z=i+($<<2)|0;W=0;while(1){if(W>>>0>=j>>>0)break;_=f[z>>2]|0;m=W;W=W+1|0;if(!(+n[_+(m<<2)>>2]<+n[_+(W<<2)>>2])){G=69;break c}}$=$+1|0;if(($|0)>=(g|0)){G=70;break}}if((G|0)==69){$=cuc(32)|0;f[r>>2]=$;f[r+8>>2]=-2147483616;f[r+4>>2]=29;v=$;w=259498;x=v+29|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));b[$+29>>0]=0;WD(-215,r,259291,258643,207)}else if((G|0)==70){u=q;return}}$=g<<1;W=o+4|0;z=f[W>>2]|0;j=f[o>>2]|0;_=z-j>>3;m=j;j=z;if($>>>0<=_>>>0){if($>>>0<_>>>0?(z=m+($<<3)|0,(j|0)!=(z|0)):0)f[W>>2]=j+(~((j+-8-z|0)>>>3)<<3)}else Zfa(o,$-_|0);if(!B){u=q;return}B=f[o>>2]|0;o=0;while(1){_=f[i+(o<<2)>>2]|0;if(!_){G=63;break}aa=+n[_>>2];ba=+n[_+4>>2];if(!(aa<ba)){G=63;break}ca=aa;aa=+(f[h+(o<<2)>>2]|0)/(ba-ca);_=o<<1;p[B+(_<<3)>>3]=aa;p[B+((_|1)<<3)>>3]=-(ca*aa);o=o+1|0;if((o|0)>=(g|0)){G=70;break}}if((G|0)==63){g=cuc(48)|0;f[r>>2]=g;f[r+8>>2]=-2147483600;f[r+4>>2]=40;v=g;w=259457;x=v+40|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));b[g+40>>0]=0;WD(-215,r,259291,258643,194)}else if((G|0)==70){u=q;return}}function Yfa(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0.0,y=0.0,z=0,A=0.0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;k=u;u=u+16|0;l=k;m=d<<8;o=j+4|0;q=f[o>>2]|0;r=f[j>>2]|0;s=q-r>>2;t=r;r=q;if(m>>>0<=s>>>0)if(m>>>0<s>>>0?(q=t+(m<<2)|0,(r|0)!=(q|0)):0){f[o>>2]=r+(~((r+-4-q|0)>>>2)<<2);v=t}else v=t;else{dY(j,m-s|0);v=f[j>>2]|0}if(h){if((d|0)<=0){u=k;return}h=f[c+4>>2]|0;j=(h|0)==0;s=f[a+40>>2]|0;m=f[a+44>>2]|0;if(i)w=0;else{t=0;do{q=t<<1;x=+p[g+(q<<3)>>3];y=+p[g+((q|1)<<3)>>3];q=f[s+(t<<2)>>2]|0;r=f[m+(t<<2)>>2]|0;o=t<<8;z=0;do{A=y+x*+(z|0);B=~~A;C=B-(+(B|0)>A&1)|0;B=Y(C,r)|0;f[v+(z+o<<2)>>2]=C>>>0<q>>>0?B:1073741824;z=z+1|0}while((z|0)!=256);t=t+1|0}while((t|0)!=(d|0));u=k;return}do{t=w<<1;x=+p[g+(t<<3)>>3];y=+p[g+((t|1)<<3)>>3];if(j)D=0;else D=f[h+48+(w<<2)>>2]|0;t=w<<8;m=0;do{A=y+x*+(m|0);s=~~A;z=s-(+(s|0)>A&1)|0;f[v+(m+t<<2)>>2]=z>>>0<D>>>0?z:1073741824;m=m+1|0}while((m|0)!=256);w=w+1|0}while((w|0)!=(d|0));u=k;return}if(!e){w=cuc(64)|0;f[l>>2]=w;f[l+8>>2]=-2147483584;f[l+4>>2]=55;D=w;h=259168;j=D+55|0;do{b[D>>0]=b[h>>0]|0;D=D+1|0;h=h+1|0}while((D|0)<(j|0));b[w+55>>0]=0;WD(-5,l,259234,258643,116)}if((d|0)<=0){u=k;return}l=f[c+4>>2]|0;c=(l|0)==0;w=f[a+40>>2]|0;h=f[a+44>>2]|0;if(i)E=0;else{i=0;do{a=f[e+(i<<2)>>2]|0;x=+n[a>>2];D=~~x;j=(+(D|0)<x&1)+D|0;D=f[w+(i<<2)>>2]|0;g=f[h+(i<<2)>>2]|0;m=i<<8;t=1073741824;z=(j|0)<256?j:256;j=-1;s=0;while(1){if((s|0)<(z|0)){q=s;do{f[v+(q+m<<2)>>2]=t;q=q+1|0}while((q|0)!=(z|0));F=z}else F=s;q=j+1|0;if(q>>>0>=D>>>0)break;x=+n[a+(j+2<<2)>>2];o=~~x;r=(+(o|0)<x&1)+o|0;t=Y(q,g)|0;z=(r|0)<256?r:256;j=q;s=F}if((F|0)<256){s=F;do{f[v+(s+m<<2)>>2]=1073741824;s=s+1|0}while((s|0)!=256)}i=i+1|0}while((i|0)!=(d|0));u=k;return}do{i=f[e+(E<<2)>>2]|0;x=+n[i>>2];F=~~x;h=(+(F|0)<x&1)+F|0;if(c)G=0;else G=f[l+48+(E<<2)>>2]|0;F=E<<8;w=1073741824;s=(h|0)<256?h:256;h=-1;m=0;while(1){if((m|0)<(s|0)){j=m;do{f[v+(j+F<<2)>>2]=w;j=j+1|0}while((j|0)!=(s|0));H=s}else H=m;j=h+1|0;if(j>>>0>=G>>>0)break;x=+n[i+(h+2<<2)>>2];z=~~x;g=(+(z|0)<x&1)+z|0;w=j;s=(g|0)<256?g:256;h=j;m=H}if((H|0)<256){m=H;do{f[v+(m+F<<2)>>2]=1073741824;m=m+1|0}while((m|0)!=256)}E=E+1|0}while((E|0)!=(d|0));u=k;return}function Zfa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(d-g>>3>>>0>=b>>>0){kzc(g|0,0,b<<3|0)|0;f[e>>2]=g+(b<<3);return}h=f[a>>2]|0;i=g-h|0;g=i>>3;j=g+b|0;if(j>>>0>536870911)nsc(a);k=d-h|0;d=k>>2;l=k>>3>>>0<268435455?(d>>>0<j>>>0?j:d):536870911;do if(l)if(l>>>0>536870911){d=ze(8)|0;kuc(d,519086);f[d>>2]=167148;Hf(d|0,26888,1888)}else{m=cuc(l<<3)|0;break}else m=0;while(0);d=m+(g<<3)|0;kzc(d|0,0,b<<3|0)|0;j=d+(0-g<<3)|0;if((i|0)>0)szc(j|0,h|0,i|0)|0;f[a>>2]=j;f[e>>2]=d+(b<<3);f[c>>2]=m+(l<<3);if(!h)return;fuc(h);return}function _fa(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0;j=u;u=u+1664|0;k=j+1648|0;l=j+1520|0;m=j+56|0;n=j;gV(k,55396);o=(f[g+4>>2]|0)-(f[g>>2]|0)|0;p=o>>2;q=(f[h+4>>2]|0)-(f[h>>2]|0)|0;r=q>>2;s=(f[c+4>>2]|0)-(f[c>>2]|0)>>2;t=BJ(a,-1)|0;if(!((o|0)>0&(t|0)>0)){f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;v=cuc(32)|0;f[l>>2]=v;f[l+8>>2]=-2147483616;f[l+4>>2]=23;w=v;x=259652;y=w+23|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));b[v+23>>0]=0;WD(-215,l,259120,258643,1200)}if((r|0)!=(o>>>1|0)){if(r|0){f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;z=cuc(64)|0;f[l>>2]=z;A=l+8|0;f[A>>2]=-2147483584;B=l+4|0;f[B>>2]=55;w=z;x=259676;y=w+55|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));C=z+55|0;b[C>>0]=0;WD(-215,l,259120,258643,1201)}if(CJ(a,0)|0){f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;z=cuc(64)|0;f[l>>2]=z;A=l+8|0;f[A>>2]=-2147483584;B=l+4|0;f[B>>2]=55;w=z;x=259676;y=w+55|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));C=z+55|0;b[C>>0]=0;WD(-215,l,259120,258643,1201)}}C=(s|0)==0;if(!(C|(s|0)==(p|0))){f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;s=cuc(32)|0;f[l>>2]=s;f[l+8>>2]=-2147483616;f[l+4>>2]=23;w=s;x=259732;y=w+23|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));b[s+23>>0]=0;WD(-215,l,259120,258643,1202)}if((q|0)>0?(s=(r|0)/2|0,(q|0)>4):0){q=f[h>>2]|0;h=0;do{f[l+(h<<2)>>2]=q+(h<<1<<2);h=h+1|0}while((h|0)<(s|0))}oV(m,t);s=n+4|0;h=n+8|0;q=n+12|0;x=n+16|0;z=n+20|0;B=n+24|0;A=n+28|0;o=n+32|0;v=n+36|0;D=n+40|0;E=n+48|0;F=n+44|0;G=n+44|0;H=0;do{nJ(n,a,H);I=f[m>>2]|0;J=I+(H*56|0)|0;if((J|0)==(n|0)){K=f[v>>2]|0;if(K|0?(L=K+12|0,K=f[L>>2]|0,f[L>>2]=K+-1,(K|0)==1):0)aU(n)}else{K=I+(H*56|0)+36|0;L=f[K>>2]|0;if(L|0?(M=L+12|0,L=f[M>>2]|0,f[M>>2]=L+-1,(L|0)==1):0)aU(J);f[K>>2]=0;L=I+(H*56|0)+16|0;M=I+(H*56|0)+4|0;f[L>>2]=0;f[L+4>>2]=0;f[L+8>>2]=0;f[L+12>>2]=0;if((f[M>>2]|0)>0){N=f[I+(H*56|0)+40>>2]|0;O=0;do{f[N+(O<<2)>>2]=0;O=O+1|0}while((O|0)<(f[M>>2]|0))}f[J>>2]=f[n>>2];f[M>>2]=f[s>>2];O=I+(H*56|0)+8|0;f[O>>2]=f[h>>2];f[I+(H*56|0)+12>>2]=f[q>>2];f[L>>2]=f[x>>2];f[I+(H*56|0)+20>>2]=f[z>>2];f[I+(H*56|0)+24>>2]=f[B>>2];f[I+(H*56|0)+28>>2]=f[A>>2];f[I+(H*56|0)+32>>2]=f[o>>2];f[K>>2]=f[v>>2];N=I+(H*56|0)+44|0;P=f[N>>2]|0;Q=I+(H*56|0)+48|0;if((P|0)==(Q|0))R=P;else{TC(P);f[N>>2]=Q;f[I+(H*56|0)+40>>2]=O;R=Q}if((f[s>>2]|0)<3){Q=f[G>>2]|0;f[R>>2]=f[Q>>2];f[R+4>>2]=f[Q+4>>2]}else{f[N>>2]=f[G>>2];f[I+(H*56|0)+40>>2]=f[D>>2];f[G>>2]=E;f[D>>2]=h}f[n>>2]=1124007936;w=s;y=w+36|0;do{f[w>>2]=0;w=w+4|0}while((w|0)<(y|0))}f[v>>2]=0;f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;f[x+12>>2]=0;if((f[s>>2]|0)>0){I=f[D>>2]|0;K=0;do{f[I+(K<<2)>>2]=0;K=K+1|0}while((K|0)<(f[s>>2]|0))}K=f[F>>2]|0;if((K|0)!=(E|0))TC(K);H=H+1|0}while((H|0)<(t|0));Wfa(f[m>>2]|0,t,C?0:f[c>>2]|0,d,e,p,f[g>>2]|0,r|0?l:0,1,i);pV(m);i=m+8|0;l=m+1464|0;do{m=l;l=l+-56|0;r=m+-20|0;g=f[r>>2]|0;if(g|0?(p=g+12|0,g=f[p>>2]|0,f[p>>2]=g+-1,(g|0)==1):0)aU(l);f[r>>2]=0;r=m+-40|0;g=m+-52|0;f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;f[r+12>>2]=0;if((f[g>>2]|0)>0){r=f[m+-16>>2]|0;p=0;do{f[r+(p<<2)>>2]=0;p=p+1|0}while((p|0)<(f[g>>2]|0))}g=f[m+-12>>2]|0;if((g|0)!=(m+-8|0))TC(g)}while((l|0)!=(i|0));if(!(f[k+4>>2]|0)){u=j;return}u=j;return}function $fa(a,c,e,g,i,k,l,m){a=a|0;c=c|0;e=e|0;g=g|0;i=i|0;k=k|0;l=+l;m=m|0;var o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0.0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0.0,za=0,Aa=0,Ba=0,Ca=0,Da=0.0,Ea=0.0,Fa=0,Ga=0.0,Ha=0.0,Ia=0,Ja=0.0,Ka=0.0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0.0,Ua=0.0,Va=0.0,Wa=0,Xa=0,Ya=0;o=u;u=u+688|0;q=o+560|0;r=o+304|0;s=o+176|0;t=o+168|0;v=o+104|0;w=o+88|0;x=o+76|0;y=o+64|0;z=o+56|0;A=o+160|0;B=o;gV(t,55416);do if((qJ(g)|0)==65536){C=f[g+4>>2]|0;f[v>>2]=f[C>>2];D=v+4|0;E=C+4|0;f[D>>2]=f[E>>2];F=v+8|0;f[F>>2]=f[C+8>>2];f[v+12>>2]=f[C+12>>2];f[v+16>>2]=f[C+16>>2];f[v+20>>2]=f[C+20>>2];f[v+24>>2]=f[C+24>>2];f[v+28>>2]=f[C+28>>2];f[v+32>>2]=f[C+32>>2];G=f[C+36>>2]|0;f[v+36>>2]=G;f[v+40>>2]=F;F=v+48|0;H=v+44|0;f[H>>2]=F;f[F>>2]=0;f[v+52>>2]=0;if(G|0){F=G+12|0;f[F>>2]=(f[F>>2]|0)+1}if((f[E>>2]|0)<3){E=f[C+44>>2]|0;F=f[H>>2]|0;f[F>>2]=f[E>>2];f[F+4>>2]=f[E+4>>2];I=D;break}else{f[D>>2]=0;$T(v,C);I=D;break}}else{nJ(v,g,-1);I=v+4|0}while(0);f[w>>2]=0;g=w+4|0;f[g>>2]=0;f[w+8>>2]=0;f[x>>2]=0;D=x+4|0;f[D>>2]=0;f[x+8>>2]=0;f[y>>2]=0;C=y+4|0;f[C>>2]=0;f[y+8>>2]=0;f[z>>2]=0;E=z+4|0;f[E>>2]=0;F=f[I>>2]|0;if((F|0)!=2)if((F|0)>0)J=F;else{f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;K=cuc(32)|0;f[q>>2]=K;L=q+8|0;f[L>>2]=-2147483616;M=q+4|0;f[M>>2]=25;N=K;O=259905;P=N+25|0;do{b[N>>0]=b[O>>0]|0;N=N+1|0;O=O+1|0}while((N|0)<(P|0));Q=K+25|0;b[Q>>0]=0;WD(-215,q,259931,258643,1531)}else J=(f[(f[v+40>>2]|0)+4>>2]|0)==1?1:2;H=v+16|0;if(!(f[H>>2]|0)){f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;K=cuc(32)|0;f[q>>2]=K;L=q+8|0;f[L>>2]=-2147483616;M=q+4|0;f[M>>2]=25;N=K;O=259905;P=N+25|0;do{b[N>>0]=b[O>>0]|0;N=N+1|0;O=O+1|0}while((N|0)<(P|0));Q=K+25|0;b[Q>>0]=0;WD(-215,q,259931,258643,1531)}if((F|0)<3)R=Y(f[v+12>>2]|0,f[v+8>>2]|0)|0;else{G=f[v+40>>2]|0;S=0;T=1;while(1){U=Y(f[G+(S<<2)>>2]|0,T)|0;S=S+1|0;if((S|0)==(F|0)){R=U;break}else T=U}}if((F|0)==0|(R|0)==0){f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;K=cuc(32)|0;f[q>>2]=K;L=q+8|0;f[L>>2]=-2147483616;M=q+4|0;f[M>>2]=25;N=K;O=259905;P=N+25|0;do{b[N>>0]=b[O>>0]|0;N=N+1|0;O=O+1|0}while((N|0)<(P|0));Q=K+25|0;b[Q>>0]=0;WD(-215,q,259931,258643,1531)}Q=f[a+40>>2]|0;K=f[Q>>2]|0;f[A>>2]=f[Q+4>>2];f[A+4>>2]=K;IJ(i,A,f[a>>2]&7,-1,0,0);do if((qJ(i)|0)==65536){A=f[i+4>>2]|0;f[B>>2]=f[A>>2];K=B+4|0;Q=A+4|0;f[K>>2]=f[Q>>2];M=B+8|0;f[M>>2]=f[A+8>>2];f[B+12>>2]=f[A+12>>2];f[B+16>>2]=f[A+16>>2];f[B+20>>2]=f[A+20>>2];f[B+24>>2]=f[A+24>>2];f[B+28>>2]=f[A+28>>2];f[B+32>>2]=f[A+32>>2];L=f[A+36>>2]|0;f[B+36>>2]=L;f[B+40>>2]=M;M=B+48|0;R=B+44|0;f[R>>2]=M;f[M>>2]=0;f[B+52>>2]=0;if(L|0){M=L+12|0;f[M>>2]=(f[M>>2]|0)+1}if((f[Q>>2]|0)<3){Q=f[A+44>>2]|0;M=f[R>>2]|0;f[M>>2]=f[Q>>2];f[M+4>>2]=f[Q+4>>2];break}else{f[K>>2]=0;$T(B,A);break}}else nJ(B,i,-1);while(0);i=v+40|0;Xfa(a,c,e,B,J,f[i>>2]|0,k,m,w,x,z,y);e=m?f[y>>2]|0:0;switch(f[a>>2]&7){case 0:{a=f[z>>2]|0;c=f[E>>2]|0;V=l;A=f[w>>2]|0;K=f[x>>2]|0;Q=f[H>>2]|0;M=f[A+(J<<2)>>2]|0;R=f[K+((J<<1|1)<<2)>>2]|0;f[q>>2]=0;L=q+4|0;f[L>>2]=0;f[q+8>>2]=0;f[r>>2]=1123876864;f[r+4>>2]=0;Yfa(v,r,J,k,e,m,0,q);F=f[q>>2]|0;a:do switch(J|0){case 1:{T=f[K>>2]|0;S=f[K+4>>2]|0;kzc(r|0,0,256)|0;G=f[A>>2]|0;U=0;do{W=f[F+(U<<2)>>2]|0;if(W>>>0<1073741824){X=Ghc(V*+n[Q+W>>2])|0;b[r+U>>0]=X>>>0<256?X:(X|0)>0?255:0}U=U+1|0}while((U|0)!=256);U=c+-1|0;b:do if(c|0){X=T<<1;W=(a|0)<4;Z=a+-4|0;if((T|0)==1){if(W){_=(a|0)>0;$=M;aa=G;ba=U;while(1){if(_){ca=0;da=aa;while(1){b[$+ca>>0]=b[r+(h[da>>0]|0)>>0]|0;ca=ca+1|0;if((ca|0)==(a|0))break;else da=da+1|0}ea=aa+a|0}else ea=aa;if(!ba)break b;else{$=$+R|0;aa=ea+S|0;ba=ba+-1|0}}}ba=a&-4;aa=(ba|0)<(a|0);$=M;_=G;da=U;while(1){ca=0;fa=_;while(1){ga=ca|1;ha=b[r+(h[_+ga>>0]|0)>>0]|0;b[$+ca>>0]=b[r+(h[fa>>0]|0)>>0]|0;b[$+ga>>0]=ha;ha=ca|2;ga=ca|3;ia=b[r+(h[_+ga>>0]|0)>>0]|0;b[$+ha>>0]=b[r+(h[_+ha>>0]|0)>>0]|0;b[$+ga>>0]=ia;ia=ca+4|0;if((ia|0)>(Z|0))break;else{ca=ia;fa=_+ia|0}}if(aa){fa=ba;ca=_+ba|0;while(1){b[$+fa>>0]=b[r+(h[ca>>0]|0)>>0]|0;fa=fa+1|0;if((fa|0)==(a|0)){ja=a;break}else ca=ca+1|0}}else ja=ba;if(!da)break;else{$=$+R|0;_=_+ja+S|0;da=da+-1|0}}}else{if(W){da=Y(a,T)|0;_=(a|0)>0;$=M;ba=G;aa=U;while(1){if(_){ca=0;fa=ba;while(1){b[$+ca>>0]=b[r+(h[fa>>0]|0)>>0]|0;ca=ca+1|0;if((ca|0)==(a|0))break;else fa=fa+T|0}ka=ba+da|0}else ka=ba;if(!aa)break b;else{$=$+R|0;ba=ka+S|0;aa=aa+-1|0}}}aa=a&-4;ba=Y(T,aa)|0;$=Y(a,T)|0;da=(aa|0)<(a|0);_=M;W=G;fa=U;while(1){ca=0;ia=W;while(1){ga=b[r+(h[ia+T>>0]|0)>>0]|0;b[_+ca>>0]=b[r+(h[ia>>0]|0)>>0]|0;b[_+(ca|1)>>0]=ga;ga=ia+X|0;ha=b[r+(h[ga+T>>0]|0)>>0]|0;b[_+(ca|2)>>0]=b[r+(h[ga>>0]|0)>>0]|0;b[_+(ca|3)>>0]=ha;ca=ca+4|0;if((ca|0)>(Z|0))break;else ia=ga+X|0}if(da){ia=aa;ca=W+ba|0;while(1){b[_+ia>>0]=b[r+(h[ca>>0]|0)>>0]|0;ia=ia+1|0;if((ia|0)==(a|0)){la=$;break}else ca=ca+T|0}}else la=ba;if(!fa)break;else{_=_+R|0;W=W+la+S|0;fa=fa+-1|0}}}}while(0);break}case 2:{S=f[K>>2]|0;T=f[K+4>>2]|0;U=f[K+8>>2]|0;G=f[K+12>>2]|0;if((c|0)!=0&(a|0)>0){fa=Y(a,S)|0;W=Y(a,U)|0;_=f[A>>2]|0;ba=f[A+4>>2]|0;$=M;aa=c;while(1){da=_+fa|0;X=_;Z=ba;ca=0;while(1){ia=(f[F+((h[Z>>0]|0|256)<<2)>>2]|0)+(f[F+((h[X>>0]|0)<<2)>>2]|0)|0;if(ia>>>0<1073741824){ga=Ghc(V*+n[Q+ia>>2])|0;ma=(ga>>>0<256?ga:(ga|0)>0?255:0)&255}else ma=0;b[$+ca>>0]=ma;ca=ca+1|0;if((ca|0)==(a|0))break;else{X=X+S|0;Z=Z+U|0}}aa=aa+-1|0;if(!aa)break;else{_=da+T|0;ba=ba+W+G|0;$=$+R|0}}}break}case 3:{$=f[K>>2]|0;G=f[K+4>>2]|0;W=f[K+8>>2]|0;ba=f[K+12>>2]|0;T=f[K+16>>2]|0;_=f[K+20>>2]|0;if((c|0)!=0&(a|0)>0){aa=Y(a,$)|0;U=Y(a,W)|0;S=Y(a,T)|0;fa=f[A+8>>2]|0;Z=f[A+4>>2]|0;X=f[A>>2]|0;ca=M;ga=c;while(1){ga=ga+-1|0;ia=Z+U|0;ha=fa;na=Z;oa=X;pa=0;while(1){qa=(f[F+((h[na>>0]|0|256)<<2)>>2]|0)+(f[F+((h[oa>>0]|0)<<2)>>2]|0)+(f[F+((h[ha>>0]|0|512)<<2)>>2]|0)|0;if(qa>>>0<1073741824){ra=Ghc(V*+n[Q+qa>>2])|0;sa=(ra>>>0<256?ra:(ra|0)>0?255:0)&255}else sa=0;b[ca+pa>>0]=sa;pa=pa+1|0;if((pa|0)==(a|0))break;else{ha=ha+T|0;na=na+W|0;oa=oa+$|0}}if(!ga)break;else{fa=fa+S+_|0;Z=ia+ba|0;X=X+aa+G|0;ca=ca+R|0}}}break}default:if(c|0){if((a|0)>0){ta=M;ua=c}else{ca=c;while(1){G=0;do{aa=A+(G<<2)|0;f[aa>>2]=(f[aa>>2]|0)+(f[K+((G<<1|1)<<2)>>2]|0);G=G+1|0}while((G|0)!=(J|0));ca=ca+-1|0;if(!ca)break a}}while(1){ca=0;do{G=Q;ia=0;while(1){aa=A+(ia<<2)|0;X=f[aa>>2]|0;ba=f[F+((h[X>>0]|0|ia<<8)<<2)>>2]|0;if(ba>>>0>1073741823){va=G;wa=ia;break}Z=G+ba|0;f[aa>>2]=X+(f[K+(ia<<1<<2)>>2]|0);X=ia+1|0;if((X|0)<(J|0)){G=Z;ia=X}else{va=Z;wa=X;break}}if((wa|0)!=(J|0)){b[ta+ca>>0]=0;if((wa|0)<(J|0)){ia=wa;do{G=A+(ia<<2)|0;f[G>>2]=(f[G>>2]|0)+(f[K+(ia<<1<<2)>>2]|0);ia=ia+1|0}while((ia|0)!=(J|0))}}else{ia=Ghc(V*+n[va>>2])|0;b[ta+ca>>0]=ia>>>0<256?ia:(ia|0)>0?255:0}ca=ca+1|0}while((ca|0)!=(a|0));xa=0;do{ca=A+(xa<<2)|0;f[ca>>2]=(f[ca>>2]|0)+(f[K+((xa<<1|1)<<2)>>2]|0);xa=xa+1|0}while((xa|0)!=(J|0));ua=ua+-1|0;if(!ua)break;else ta=ta+R|0}}}while(0);R=f[q>>2]|0;if(R|0){ta=f[L>>2]|0;if((ta|0)!=(R|0))f[L>>2]=ta+(~((ta+-4-R|0)>>>2)<<2);fuc(R)}break}case 2:{R=f[z>>2]|0;ta=f[E>>2]|0;V=l;L=f[w>>2]|0;ua=f[x>>2]|0;xa=f[H>>2]|0;K=f[L+(J<<2)>>2]|0;A=f[ua+((J<<1|1)<<2)>>2]|0;a=J<<2;va=f[v+44>>2]|0;szc(r|0,f[i>>2]|0,a|0)|0;szc(s|0,va|0,a|0)|0;c:do if(!m){if(!k){va=cuc(64)|0;f[q>>2]=va;f[q+8>>2]=-2147483584;f[q+4>>2]=55;N=va;O=259168;P=N+55|0;do{b[N>>0]=b[O>>0]|0;N=N+1|0;O=O+1|0}while((N|0)<(P|0));b[va+55>>0]=0;WD(-5,q,259947,258643,1389)}szc(q|0,k|0,a|0)|0;if(ta|0){wa=(R|0)>0;F=K;Q=ta;while(1){Q=Q+-1|0;if(wa){c=0;do{M=xa;sa=0;while(1){ma=L+(sa<<2)|0;la=f[ma>>2]|0;ya=+(j[la>>1]|0);ka=f[q+(sa<<2)>>2]|0;ja=f[r+(sa<<2)>>2]|0;ea=-1;while(1){ca=ea+1|0;if(!(ya>=+n[ka+(ca<<2)>>2])){za=ea;break}if((ca|0)<(ja|0))ea=ca;else{za=ca;break}}if(za>>>0>=ja>>>0){Aa=M;Ba=sa;break}f[ma>>2]=la+(f[ua+(sa<<1<<2)>>2]<<1);ea=M+(Y(f[s+(sa<<2)>>2]|0,za)|0)|0;ka=sa+1|0;if((ka|0)<(J|0)){M=ea;sa=ka}else{Aa=ea;Ba=ka;break}}if((Ba|0)!=(J|0)){d[F+(c<<1)>>1]=0;if((Ba|0)<(J|0)){sa=Ba;do{M=L+(sa<<2)|0;f[M>>2]=(f[M>>2]|0)+(f[ua+(sa<<1<<2)>>2]<<1);sa=sa+1|0}while((sa|0)!=(J|0))}}else{sa=Ghc(V*+n[Aa>>2])|0;d[F+(c<<1)>>1]=sa>>>0<65536?sa:(sa|0)>0?65535:0}c=c+1|0}while((c|0)!=(R|0));Ca=0}else Ca=0;do{c=L+(Ca<<2)|0;f[c>>2]=(f[c>>2]|0)+(f[ua+((Ca<<1|1)<<2)>>2]<<1);Ca=Ca+1|0}while((Ca|0)!=(J|0));if(!Q)break;else F=F+(A<<1)|0}}}else switch(J|0){case 1:{ya=+p[e>>3];Da=+p[e+8>>3];F=f[r>>2]|0;Q=f[ua>>2]|0;wa=f[ua+4>>2]|0;if(!ta)break c;if((R|0)<=0)break c;va=Y(R,Q)|0;c=K;sa=f[L>>2]|0;M=ta;while(1){M=M+-1|0;ka=0;ea=sa;while(1){Ea=Da+ya*+(j[ea>>1]|0);ca=~~Ea;ia=ca-(+(ca|0)>Ea&1)|0;if(ia>>>0<F>>>0){ca=Ghc(V*+n[xa+(ia<<2)>>2])|0;Fa=(ca>>>0<65536?ca:(ca|0)>0?65535:0)&65535}else Fa=0;d[c+(ka<<1)>>1]=Fa;ka=ka+1|0;if((ka|0)==(R|0))break;else ea=ea+(Q<<1)|0}if(!M)break;else{c=c+(A<<1)|0;sa=sa+(va<<1)+(wa<<1)|0}}break}case 2:{ya=+p[e>>3];Da=+p[e+8>>3];Ea=+p[e+16>>3];Ga=+p[e+24>>3];wa=f[r>>2]|0;va=f[r+4>>2]|0;sa=f[ua>>2]|0;c=f[ua+4>>2]|0;M=f[ua+8>>2]|0;Q=f[ua+12>>2]|0;F=f[s>>2]|0;if(!((R|0)>0&(ta|0)!=0))break c;ea=Y(R,sa)|0;ka=Y(R,M)|0;ca=f[L>>2]|0;ia=f[L+4>>2]|0;G=K;X=ta;while(1){Z=ca+(ea<<1)|0;aa=0;ba=ca;_=ia;while(1){Ha=Da+ya*+(j[ba>>1]|0);S=~~Ha;fa=S-(+(S|0)>Ha&1)|0;Ha=Ga+Ea*+(j[_>>1]|0);S=~~Ha;ga=S-(+(S|0)>Ha&1)|0;if(fa>>>0<wa>>>0&ga>>>0<va>>>0){S=xa+(Y(fa,F)|0)+(ga<<2)|0;ga=Ghc(V*+n[S>>2])|0;Ia=(ga>>>0<65536?ga:(ga|0)>0?65535:0)&65535}else Ia=0;d[G+(aa<<1)>>1]=Ia;aa=aa+1|0;if((aa|0)==(R|0))break;else{ba=ba+(sa<<1)|0;_=_+(M<<1)|0}}X=X+-1|0;if(!X)break;else{ca=Z+(c<<1)|0;ia=ia+(ka<<1)+(Q<<1)|0;G=G+(A<<1)|0}}break}case 3:{Ea=+p[e>>3];Ga=+p[e+8>>3];ya=+p[e+16>>3];Da=+p[e+24>>3];Ha=+p[e+32>>3];Ja=+p[e+40>>3];G=f[r>>2]|0;Q=f[r+4>>2]|0;ka=f[r+8>>2]|0;ia=f[ua>>2]|0;c=f[ua+4>>2]|0;ca=f[ua+8>>2]|0;X=f[ua+12>>2]|0;M=f[ua+16>>2]|0;sa=f[ua+20>>2]|0;F=f[s>>2]|0;va=f[s+4>>2]|0;if(!((R|0)>0&(ta|0)!=0))break c;wa=Y(R,ia)|0;ea=Y(R,ca)|0;_=Y(R,M)|0;ba=f[L>>2]|0;aa=f[L+4>>2]|0;ga=f[L+8>>2]|0;S=K;fa=ta;while(1){fa=fa+-1|0;$=aa+(ea<<1)|0;W=ba;T=aa;U=ga;oa=0;while(1){Ka=Ga+Ea*+(j[W>>1]|0);na=~~Ka;ha=na-(+(na|0)>Ka&1)|0;Ka=Da+ya*+(j[T>>1]|0);na=~~Ka;pa=na-(+(na|0)>Ka&1)|0;Ka=Ja+Ha*+(j[U>>1]|0);na=~~Ka;da=na-(+(na|0)>Ka&1)|0;if(ha>>>0<G>>>0&pa>>>0<Q>>>0&da>>>0<ka>>>0){na=xa+(Y(ha,F)|0)+(Y(pa,va)|0)+(da<<2)|0;da=Ghc(V*+n[na>>2])|0;La=(da>>>0<65536?da:(da|0)>0?65535:0)&65535}else La=0;d[S+(oa<<1)>>1]=La;oa=oa+1|0;if((oa|0)==(R|0))break;else{W=W+(ia<<1)|0;T=T+(ca<<1)|0;U=U+(M<<1)|0}}if(!fa)break;else{ba=ba+(wa<<1)+(c<<1)|0;aa=$+(X<<1)|0;ga=ga+(_<<1)+(sa<<1)|0;S=S+(A<<1)|0}}break}default:{if(!ta)break c;S=(k|0)==0;sa=(R|0)>0;_=K;ga=ta;while(1){ga=ga+-1|0;if(sa){X=0;while(1){d:do if(S){aa=xa;c=0;while(1){wa=L+(c<<2)|0;ba=f[wa>>2]|0;fa=c<<1;Ha=+(j[ba>>1]|0)*+p[e+(fa<<3)>>3]+ +p[e+((fa|1)<<3)>>3];M=~~Ha;ca=M-(+(M|0)>Ha&1)|0;if(ca>>>0>=(f[r+(c<<2)>>2]|0)>>>0){Ma=aa;Na=c;break d}f[wa>>2]=ba+(f[ua+(fa<<2)>>2]<<1);fa=aa+(Y(f[s+(c<<2)>>2]|0,ca)|0)|0;ca=c+1|0;if((ca|0)<(J|0)){aa=fa;c=ca}else{Ma=fa;Na=ca;break}}}else{c=xa;aa=0;while(1){la=L+(aa<<2)|0;ma=f[la>>2]|0;ja=d[ma>>1]|0;ca=aa<<1;Ha=+(ja&65535)*+p[e+(ca<<3)>>3]+ +p[e+((ca|1)<<3)>>3];fa=~~Ha;ba=fa-(+(fa|0)>Ha&1)|0;if(ba>>>0>=(f[r+(aa<<2)>>2]|0)>>>0){Ma=c;Na=aa;break d}if(+(ja&65535)>=+n[(f[k+(aa<<2)>>2]|0)+4>>2]){Ma=c;Na=aa;break d}f[la>>2]=ma+(f[ua+(ca<<2)>>2]<<1);ca=c+(Y(f[s+(aa<<2)>>2]|0,ba)|0)|0;ba=aa+1|0;if((ba|0)<(J|0)){c=ca;aa=ba}else{Ma=ca;Na=ba;break}}}while(0);if((Na|0)!=(J|0)){d[_+(X<<1)>>1]=0;if((Na|0)<(J|0)){aa=Na;do{c=L+(aa<<2)|0;f[c>>2]=(f[c>>2]|0)+(f[ua+(aa<<1<<2)>>2]<<1);aa=aa+1|0}while((aa|0)!=(J|0))}}else{aa=Ghc(V*+n[Ma>>2])|0;d[_+(X<<1)>>1]=aa>>>0<65536?aa:(aa|0)>0?65535:0}X=X+1|0;if((X|0)==(R|0)){Oa=0;break}}}else Oa=0;do{X=L+(Oa<<2)|0;f[X>>2]=(f[X>>2]|0)+(f[ua+((Oa<<1|1)<<2)>>2]<<1);Oa=Oa+1|0}while((Oa|0)!=(J|0));if(!ga)break;else _=_+(A<<1)|0}}}while(0);break}case 5:{A=f[z>>2]|0;z=f[E>>2]|0;V=l;E=f[w>>2]|0;Oa=f[x>>2]|0;ua=f[H>>2]|0;L=f[E+(J<<2)>>2]|0;R=f[Oa+((J<<1|1)<<2)>>2]|0;Ma=J<<2;Na=f[v+44>>2]|0;szc(r|0,f[i>>2]|0,Ma|0)|0;szc(s|0,Na|0,Ma|0)|0;e:do if(!m){if(!k){Na=cuc(64)|0;f[q>>2]=Na;f[q+8>>2]=-2147483584;f[q+4>>2]=55;N=Na;O=259168;P=N+55|0;do{b[N>>0]=b[O>>0]|0;N=N+1|0;O=O+1|0}while((N|0)<(P|0));b[Na+55>>0]=0;WD(-5,q,259947,258643,1389)}szc(q|0,k|0,Ma|0)|0;if(z|0){xa=(A|0)>0;ta=L;K=z;while(1){K=K+-1|0;if(xa){La=0;do{Ia=ua;Fa=0;while(1){Ca=E+(Fa<<2)|0;Aa=f[Ca>>2]|0;l=+n[Aa>>2];Ba=f[q+(Fa<<2)>>2]|0;za=f[r+(Fa<<2)>>2]|0;a=-1;while(1){_=a+1|0;if(!(l>=+n[Ba+(_<<2)>>2])){Pa=a;break}if((_|0)<(za|0))a=_;else{Pa=_;break}}if(Pa>>>0>=za>>>0){Qa=Ia;Ra=Fa;break}f[Ca>>2]=Aa+(f[Oa+(Fa<<1<<2)>>2]<<2);a=Ia+(Y(f[s+(Fa<<2)>>2]|0,Pa)|0)|0;Ba=Fa+1|0;if((Ba|0)<(J|0)){Ia=a;Fa=Ba}else{Qa=a;Ra=Ba;break}}if((Ra|0)!=(J|0)){n[ta+(La<<2)>>2]=0.0;if((Ra|0)<(J|0)){Fa=Ra;do{Ia=E+(Fa<<2)|0;f[Ia>>2]=(f[Ia>>2]|0)+(f[Oa+(Fa<<1<<2)>>2]<<2);Fa=Fa+1|0}while((Fa|0)!=(J|0))}}else n[ta+(La<<2)>>2]=V*+n[Qa>>2];La=La+1|0}while((La|0)!=(A|0));Sa=0}else Sa=0;do{La=E+(Sa<<2)|0;f[La>>2]=(f[La>>2]|0)+(f[Oa+((Sa<<1|1)<<2)>>2]<<2);Sa=Sa+1|0}while((Sa|0)!=(J|0));if(!K)break;else ta=ta+(R<<2)|0}}}else switch(J|0){case 1:{l=+p[e>>3];Ha=+p[e+8>>3];ta=f[r>>2]|0;K=f[Oa>>2]|0;xa=f[Oa+4>>2]|0;if(!z)break e;if((A|0)<=0)break e;Na=Y(A,K)|0;La=L;Fa=f[E>>2]|0;Ia=z;while(1){Ia=Ia+-1|0;Ba=0;a=Fa;while(1){Ja=Ha+l*+n[a>>2];_=~~Ja;ga=_-(+(_|0)>Ja&1)|0;if(ga>>>0<ta>>>0)Ta=V*+n[ua+(ga<<2)>>2];else Ta=0.0;n[La+(Ba<<2)>>2]=Ta;Ba=Ba+1|0;if((Ba|0)==(A|0))break;else a=a+(K<<2)|0}if(!Ia)break;else{La=La+(R<<2)|0;Fa=Fa+(Na<<2)+(xa<<2)|0}}break}case 2:{l=+p[e>>3];Ha=+p[e+8>>3];Ja=+p[e+16>>3];ya=+p[e+24>>3];xa=f[r>>2]|0;Na=f[r+4>>2]|0;Fa=f[Oa>>2]|0;La=f[Oa+4>>2]|0;Ia=f[Oa+8>>2]|0;K=f[Oa+12>>2]|0;ta=f[s>>2]|0;if(!((A|0)>0&(z|0)!=0))break e;a=Y(A,Fa)|0;Ba=Y(A,Ia)|0;ga=f[E>>2]|0;_=f[E+4>>2]|0;S=L;sa=z;while(1){X=ga+(a<<2)|0;$=0;aa=ga;c=_;while(1){Da=Ha+l*+n[aa>>2];ba=~~Da;ca=ba-(+(ba|0)>Da&1)|0;Da=ya+Ja*+n[c>>2];ba=~~Da;ma=ba-(+(ba|0)>Da&1)|0;if(ca>>>0<xa>>>0&ma>>>0<Na>>>0){ba=ua+(Y(ca,ta)|0)+(ma<<2)|0;Ua=V*+n[ba>>2]}else Ua=0.0;n[S+($<<2)>>2]=Ua;$=$+1|0;if(($|0)==(A|0))break;else{aa=aa+(Fa<<2)|0;c=c+(Ia<<2)|0}}sa=sa+-1|0;if(!sa)break;else{ga=X+(La<<2)|0;_=_+(Ba<<2)+(K<<2)|0;S=S+(R<<2)|0}}break}case 3:{Ja=+p[e>>3];ya=+p[e+8>>3];l=+p[e+16>>3];Ha=+p[e+24>>3];Da=+p[e+32>>3];Ea=+p[e+40>>3];S=f[r>>2]|0;K=f[r+4>>2]|0;Ba=f[r+8>>2]|0;_=f[Oa>>2]|0;La=f[Oa+4>>2]|0;ga=f[Oa+8>>2]|0;sa=f[Oa+12>>2]|0;Ia=f[Oa+16>>2]|0;Fa=f[Oa+20>>2]|0;ta=f[s>>2]|0;Na=f[s+4>>2]|0;if(!((A|0)>0&(z|0)!=0))break e;xa=Y(A,_)|0;a=Y(A,ga)|0;c=Y(A,Ia)|0;aa=f[E>>2]|0;$=f[E+4>>2]|0;ba=f[E+8>>2]|0;ma=L;ca=z;while(1){ca=ca+-1|0;la=$+(a<<2)|0;ja=aa;fa=$;wa=ba;M=0;while(1){Ga=ya+Ja*+n[ja>>2];ia=~~Ga;va=ia-(+(ia|0)>Ga&1)|0;Ga=Ha+l*+n[fa>>2];ia=~~Ga;F=ia-(+(ia|0)>Ga&1)|0;Ga=Ea+Da*+n[wa>>2];ia=~~Ga;ka=ia-(+(ia|0)>Ga&1)|0;if(va>>>0<S>>>0&F>>>0<K>>>0&ka>>>0<Ba>>>0){ia=ua+(Y(va,ta)|0)+(Y(F,Na)|0)+(ka<<2)|0;Va=V*+n[ia>>2]}else Va=0.0;n[ma+(M<<2)>>2]=Va;M=M+1|0;if((M|0)==(A|0))break;else{ja=ja+(_<<2)|0;fa=fa+(ga<<2)|0;wa=wa+(Ia<<2)|0}}if(!ca)break;else{aa=aa+(xa<<2)+(La<<2)|0;$=la+(sa<<2)|0;ba=ba+(c<<2)+(Fa<<2)|0;ma=ma+(R<<2)|0}}break}default:{if(!z)break e;ma=(k|0)==0;Fa=(A|0)>0;c=L;ba=z;while(1){ba=ba+-1|0;if(Fa){sa=0;while(1){f:do if(ma){$=ua;La=0;while(1){xa=E+(La<<2)|0;aa=f[xa>>2]|0;ca=La<<1;Da=+n[aa>>2]*+p[e+(ca<<3)>>3]+ +p[e+((ca|1)<<3)>>3];Ia=~~Da;ga=Ia-(+(Ia|0)>Da&1)|0;if(ga>>>0>=(f[r+(La<<2)>>2]|0)>>>0){Wa=$;Xa=La;break f}f[xa>>2]=aa+(f[Oa+(ca<<2)>>2]<<2);ca=$+(Y(f[s+(La<<2)>>2]|0,ga)|0)|0;ga=La+1|0;if((ga|0)<(J|0)){$=ca;La=ga}else{Wa=ca;Xa=ga;break}}}else{La=ua;$=0;while(1){Aa=E+($<<2)|0;Ca=f[Aa>>2]|0;Da=+n[Ca>>2];za=$<<1;Ea=Da*+p[e+(za<<3)>>3]+ +p[e+((za|1)<<3)>>3];ga=~~Ea;ca=ga-(+(ga|0)>Ea&1)|0;if(ca>>>0>=(f[r+($<<2)>>2]|0)>>>0){Wa=La;Xa=$;break f}if(Da>=+n[(f[k+($<<2)>>2]|0)+4>>2]){Wa=La;Xa=$;break f}f[Aa>>2]=Ca+(f[Oa+(za<<2)>>2]<<2);za=La+(Y(f[s+($<<2)>>2]|0,ca)|0)|0;ca=$+1|0;if((ca|0)<(J|0)){La=za;$=ca}else{Wa=za;Xa=ca;break}}}while(0);if((Xa|0)!=(J|0)){n[c+(sa<<2)>>2]=0.0;if((Xa|0)<(J|0)){$=Xa;do{La=E+($<<2)|0;f[La>>2]=(f[La>>2]|0)+(f[Oa+($<<1<<2)>>2]<<2);$=$+1|0}while(($|0)!=(J|0))}}else n[c+(sa<<2)>>2]=V*+n[Wa>>2];sa=sa+1|0;if((sa|0)==(A|0)){Ya=0;break}}}else Ya=0;do{sa=E+(Ya<<2)|0;f[sa>>2]=(f[sa>>2]|0)+(f[Oa+((Ya<<1|1)<<2)>>2]<<2);Ya=Ya+1|0}while((Ya|0)!=(J|0));if(!ba)break;else c=c+(R<<2)|0}}}while(0);break}default:{f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;WD(-210,q,259931,258643,1546)}}q=B+36|0;R=f[q>>2]|0;if(R|0?(J=R+12|0,R=f[J>>2]|0,f[J>>2]=R+-1,(R|0)==1):0)aU(B);f[q>>2]=0;q=B+16|0;R=B+4|0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;f[q+12>>2]=0;if((f[R>>2]|0)>0){q=f[B+40>>2]|0;J=0;do{f[q+(J<<2)>>2]=0;J=J+1|0}while((J|0)<(f[R>>2]|0))}R=f[B+44>>2]|0;if((R|0)!=(B+48|0))TC(R);R=f[y>>2]|0;if(R|0){y=f[C>>2]|0;if((y|0)!=(R|0))f[C>>2]=y+(~((y+-8-R|0)>>>3)<<3);fuc(R)}R=f[x>>2]|0;if(R|0){x=f[D>>2]|0;if((x|0)!=(R|0))f[D>>2]=x+(~((x+-4-R|0)>>>2)<<2);fuc(R)}R=f[w>>2]|0;if(R|0){w=f[g>>2]|0;if((w|0)!=(R|0))f[g>>2]=w+(~((w+-4-R|0)>>>2)<<2);fuc(R)}R=v+36|0;w=f[R>>2]|0;if(w|0?(g=w+12|0,w=f[g>>2]|0,f[g>>2]=w+-1,(w|0)==1):0)aU(v);f[R>>2]=0;f[H>>2]=0;f[H+4>>2]=0;f[H+8>>2]=0;f[H+12>>2]=0;if((f[I>>2]|0)>0){H=f[i>>2]|0;i=0;do{f[H+(i<<2)>>2]=0;i=i+1|0}while((i|0)<(f[I>>2]|0))}I=f[v+44>>2]|0;if((I|0)!=(v+48|0))TC(I);if(!(f[t+4>>2]|0)){u=o;return}u=o;return}function aga(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=+h;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0;i=u;u=u+3696|0;j=i+3688|0;k=i+3632|0;l=i+3576|0;m=i+1520|0;n=i+56|0;o=i;gV(j,55436);AJ(d,-1)|0;do if((qJ(d)|0)==65536){p=f[d+4>>2]|0;f[k>>2]=f[p>>2];q=k+4|0;r=p+4|0;f[q>>2]=f[r>>2];s=k+8|0;f[s>>2]=f[p+8>>2];f[k+12>>2]=f[p+12>>2];f[k+16>>2]=f[p+16>>2];f[k+20>>2]=f[p+20>>2];f[k+24>>2]=f[p+24>>2];f[k+28>>2]=f[p+28>>2];f[k+32>>2]=f[p+32>>2];t=f[p+36>>2]|0;f[k+36>>2]=t;f[k+40>>2]=s;s=k+48|0;v=k+44|0;f[v>>2]=s;f[s>>2]=0;f[k+52>>2]=0;if(t|0){s=t+12|0;f[s>>2]=(f[s>>2]|0)+1}if((f[r>>2]|0)<3){r=f[p+44>>2]|0;s=f[v>>2]|0;f[s>>2]=f[r>>2];f[s+4>>2]=f[r+4>>2];w=k;break}else{f[q>>2]=0;$T(k,p);w=k;break}}else{nJ(k,d,-1);w=k}while(0);f[l>>2]=1124007936;p=l+4|0;q=l+8|0;r=l+40|0;s=p;v=s+36|0;do{f[s>>2]=0;s=s+4|0}while((s|0)<(v|0));f[r>>2]=q;t=l+48|0;x=l+44|0;f[x>>2]=t;f[t>>2]=0;f[l+52>>2]=0;y=f[w>>2]|0;z=y>>>3&511;A=z+1|0;if(!z){z=k+36|0;B=f[z>>2]|0;if(B){C=B+12|0;f[C>>2]=(f[C>>2]|0)+1;C=l+36|0;B=f[C>>2]|0;if((B|0)!=0?(D=B+12|0,B=f[D>>2]|0,f[D>>2]=B+-1,(B|0)==1):0){aU(l);E=C}else E=C}else E=l+36|0;f[E>>2]=0;C=l+16|0;f[C>>2]=0;f[C+4>>2]=0;f[C+8>>2]=0;f[C+12>>2]=0;if((f[p>>2]|0)>0){B=f[r>>2]|0;D=0;do{f[B+(D<<2)>>2]=0;D=D+1|0;F=f[p>>2]|0}while((D|0)<(F|0));f[l>>2]=f[w>>2];if((F|0)<3)G=35;else G=37}else{f[l>>2]=f[w>>2];G=35}if((G|0)==35){w=f[k+4>>2]|0;if((w|0)<3){f[p>>2]=w;f[q>>2]=f[k+8>>2];w=l+12|0;f[w>>2]=f[k+12>>2];F=f[k+44>>2]|0;D=f[x>>2]|0;f[D>>2]=f[F>>2];f[D+4>>2]=f[F+4>>2];H=w}else G=37}if((G|0)==37){$T(l,k);H=l+12|0}f[C>>2]=f[k+16>>2];f[l+20>>2]=f[k+20>>2];f[l+24>>2]=f[k+24>>2];f[l+28>>2]=f[k+28>>2];f[l+32>>2]=f[k+32>>2];f[E>>2]=f[z>>2];I=H}else{if(!(y&16384)){f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;H=cuc(32)|0;f[m>>2]=H;f[m+8>>2]=-2147483616;f[m+4>>2]=17;s=H;J=260076;v=s+17|0;do{b[s>>0]=b[J>>0]|0;s=s+1|0;J=J+1|0}while((s|0)<(v|0));b[H+17>>0]=0;WD(-215,m,259931,258643,1889)}H=f[k+4>>2]|0;szc(m|0,f[k+40>>2]|0,H<<2|0)|0;f[m+(H<<2)>>2]=A;fU(n,H+1|0,m,y&7,f[k+16>>2]|0,0);y=l+36|0;H=f[y>>2]|0;if(H|0?(A=H+12|0,H=f[A>>2]|0,f[A>>2]=H+-1,(H|0)==1):0)aU(l);f[y>>2]=0;H=l+16|0;f[H>>2]=0;f[H+4>>2]=0;f[H+8>>2]=0;f[H+12>>2]=0;if((f[p>>2]|0)>0){A=f[r>>2]|0;z=0;do{f[A+(z<<2)>>2]=0;z=z+1|0}while((z|0)<(f[p>>2]|0))}f[l>>2]=f[n>>2];z=n+4|0;A=f[z>>2]|0;f[p>>2]=A;E=n+8|0;f[q>>2]=f[E>>2];C=l+12|0;f[C>>2]=f[n+12>>2];G=n+16|0;f[H>>2]=f[G>>2];f[l+20>>2]=f[n+20>>2];f[l+24>>2]=f[n+24>>2];f[l+28>>2]=f[n+28>>2];f[l+32>>2]=f[n+32>>2];H=n+36|0;f[y>>2]=f[H>>2];y=l+44|0;w=f[y>>2]|0;if((w|0)==(t|0))K=A;else{TC(w);f[y>>2]=t;f[r>>2]=q;K=f[z>>2]|0}w=n+44|0;if((K|0)<3){K=f[w>>2]|0;f[t>>2]=f[K>>2];f[l+52>>2]=f[K+4>>2];L=K}else{f[y>>2]=f[w>>2];y=n+40|0;f[l+40>>2]=f[y>>2];K=n+48|0;f[w>>2]=K;f[y>>2]=E;L=K}f[n>>2]=1124007936;f[z>>2]=0;f[z+4>>2]=0;f[z+8>>2]=0;f[z+12>>2]=0;f[z+16>>2]=0;f[z+20>>2]=0;f[z+24>>2]=0;f[z+28>>2]=0;f[H>>2]=0;f[G>>2]=0;f[G+4>>2]=0;f[G+8>>2]=0;f[G+12>>2]=0;if((L|0)!=(n+48|0))TC(L);I=C}C=(f[q>>2]|0)==1;q=(f[I>>2]|0)==1;I=C|q;L=f[p>>2]|0;G=(f[g+4>>2]|0)-(f[g>>2]|0)|0;H=G>>2;z=(f[c+4>>2]|0)-(f[c>>2]|0)>>2;K=BJ(a,-1)|0;if((K|0)<=0){f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;E=cuc(16)|0;f[m>>2]=E;f[m+8>>2]=-2147483632;f[m+4>>2]=11;s=E;J=260094;v=s+11|0;do{b[s>>0]=b[J>>0]|0;s=s+1|0;J=J+1|0}while((s|0)<(v|0));b[E+11>>0]=0;WD(-215,m,259931,258643,1902)}if((H|0)!=(L<<1|0)?(H|0)!=2|(C|q)^1:0){if(H|0){f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;M=cuc(80)|0;f[m>>2]=M;N=m+8|0;f[N>>2]=-2147483568;O=m+4|0;f[O>>2]=76;s=M;J=260106;v=s+76|0;do{b[s>>0]=b[J>>0]|0;s=s+1|0;J=J+1|0}while((s|0)<(v|0));P=M+76|0;b[P>>0]=0;WD(-215,m,259931,258643,1903)}if(CJ(a,0)|0){f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;M=cuc(80)|0;f[m>>2]=M;N=m+8|0;f[N>>2]=-2147483568;O=m+4|0;f[O>>2]=76;s=M;J=260106;v=s+76|0;do{b[s>>0]=b[J>>0]|0;s=s+1|0;J=J+1|0}while((s|0)<(v|0));P=M+76|0;b[P>>0]=0;WD(-215,m,259931,258643,1903)}}P=(z|0)==0;if(!(P|(z|0)==(L|0))?(z|0)!=1|I^1:0){f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;I=cuc(48)|0;f[m>>2]=I;f[m+8>>2]=-2147483600;f[m+4>>2]=44;s=I;J=260183;v=s+44|0;do{b[s>>0]=b[J>>0]|0;s=s+1|0;J=J+1|0}while((s|0)<(v|0));b[I+44>>0]=0;WD(-215,m,259931,258643,1904)}if((G|0)>0?(I=(H|0)/2|0,(G|0)>4):0){G=f[g>>2]|0;g=0;do{f[m+(g<<2)>>2]=G+(g<<1<<2);g=g+1|0}while((g|0)<(I|0))}oV(n,K);I=o+4|0;g=o+8|0;G=o+12|0;J=o+16|0;z=o+20|0;L=o+24|0;M=o+28|0;O=o+32|0;N=o+36|0;q=o+40|0;C=o+48|0;E=o+44|0;y=o+44|0;w=0;do{nJ(o,a,w);A=f[n>>2]|0;F=A+(w*56|0)|0;if((F|0)==(o|0)){D=f[N>>2]|0;if(D|0?(B=D+12|0,D=f[B>>2]|0,f[B>>2]=D+-1,(D|0)==1):0)aU(o)}else{D=A+(w*56|0)+36|0;B=f[D>>2]|0;if(B|0?(Q=B+12|0,B=f[Q>>2]|0,f[Q>>2]=B+-1,(B|0)==1):0)aU(F);f[D>>2]=0;B=A+(w*56|0)+16|0;Q=A+(w*56|0)+4|0;f[B>>2]=0;f[B+4>>2]=0;f[B+8>>2]=0;f[B+12>>2]=0;if((f[Q>>2]|0)>0){R=f[A+(w*56|0)+40>>2]|0;S=0;do{f[R+(S<<2)>>2]=0;S=S+1|0}while((S|0)<(f[Q>>2]|0))}f[F>>2]=f[o>>2];f[Q>>2]=f[I>>2];S=A+(w*56|0)+8|0;f[S>>2]=f[g>>2];f[A+(w*56|0)+12>>2]=f[G>>2];f[B>>2]=f[J>>2];f[A+(w*56|0)+20>>2]=f[z>>2];f[A+(w*56|0)+24>>2]=f[L>>2];f[A+(w*56|0)+28>>2]=f[M>>2];f[A+(w*56|0)+32>>2]=f[O>>2];f[D>>2]=f[N>>2];R=A+(w*56|0)+44|0;T=f[R>>2]|0;U=A+(w*56|0)+48|0;if((T|0)==(U|0))V=T;else{TC(T);f[R>>2]=U;f[A+(w*56|0)+40>>2]=S;V=U}if((f[I>>2]|0)<3){U=f[y>>2]|0;f[V>>2]=f[U>>2];f[V+4>>2]=f[U+4>>2]}else{f[R>>2]=f[y>>2];f[A+(w*56|0)+40>>2]=f[q>>2];f[y>>2]=C;f[q>>2]=g}f[o>>2]=1124007936;s=I;v=s+36|0;do{f[s>>2]=0;s=s+4|0}while((s|0)<(v|0))}f[N>>2]=0;f[J>>2]=0;f[J+4>>2]=0;f[J+8>>2]=0;f[J+12>>2]=0;if((f[I>>2]|0)>0){A=f[q>>2]|0;D=0;do{f[A+(D<<2)>>2]=0;D=D+1|0}while((D|0)<(f[I>>2]|0))}D=f[E>>2]|0;if((D|0)!=(C|0))TC(D);w=w+1|0}while((w|0)<(K|0));$fa(f[n>>2]|0,K,P?0:f[c>>2]|0,d,e,H|0?m:0,h,1);pV(n);m=n+8|0;H=n+1464|0;do{n=H;H=H+-56|0;e=n+-20|0;d=f[e>>2]|0;if(d|0?(c=d+12|0,d=f[c>>2]|0,f[c>>2]=d+-1,(d|0)==1):0)aU(H);f[e>>2]=0;e=n+-40|0;d=n+-52|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((f[d>>2]|0)>0){e=f[n+-16>>2]|0;c=0;do{f[e+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[d>>2]|0))}d=f[n+-12>>2]|0;if((d|0)!=(n+-8|0))TC(d)}while((H|0)!=(m|0));m=l+36|0;H=f[m>>2]|0;if(H|0?(d=H+12|0,H=f[d>>2]|0,f[d>>2]=H+-1,(H|0)==1):0)aU(l);f[m>>2]=0;m=l+16|0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;if((f[p>>2]|0)>0){m=f[r>>2]|0;r=0;do{f[m+(r<<2)>>2]=0;r=r+1|0}while((r|0)<(f[p>>2]|0))}p=f[x>>2]|0;if((p|0)!=(t|0))TC(p);p=k+36|0;t=f[p>>2]|0;if(t|0?(x=t+12|0,t=f[x>>2]|0,f[x>>2]=t+-1,(t|0)==1):0)aU(k);f[p>>2]=0;p=k+16|0;t=k+4|0;f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;f[p+12>>2]=0;if((f[t>>2]|0)>0){p=f[k+40>>2]|0;x=0;do{f[p+(x<<2)>>2]=0;x=x+1|0}while((x|0)<(f[t>>2]|0))}t=f[k+44>>2]|0;if((t|0)!=(k+48|0))TC(t);if(!(f[j+4>>2]|0)){u=i;return}u=i;return}function bga(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0.0,B=0.0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0.0,J=0.0,K=0.0,N=0.0,O=0.0,P=0.0,Q=0.0,R=0.0,S=0.0,T=0.0,U=0.0,V=0.0,X=0.0,Z=0.0,_=0.0,$=0.0,aa=0,ba=0.0,ca=0,da=0.0;e=u;u=u+304|0;g=e+288|0;h=e+232|0;i=e+176|0;j=e+160|0;k=e+48|0;l=e+16|0;m=e;gV(g,55456);do if((qJ(a)|0)==65536){o=f[a+4>>2]|0;f[h>>2]=f[o>>2];p=h+4|0;q=o+4|0;f[p>>2]=f[q>>2];r=h+8|0;f[r>>2]=f[o+8>>2];f[h+12>>2]=f[o+12>>2];f[h+16>>2]=f[o+16>>2];f[h+20>>2]=f[o+20>>2];f[h+24>>2]=f[o+24>>2];f[h+28>>2]=f[o+28>>2];f[h+32>>2]=f[o+32>>2];s=f[o+36>>2]|0;f[h+36>>2]=s;f[h+40>>2]=r;r=h+48|0;t=h+44|0;f[t>>2]=r;f[r>>2]=0;f[h+52>>2]=0;if(s|0){r=s+12|0;f[r>>2]=(f[r>>2]|0)+1}if((f[q>>2]|0)<3){q=f[o+44>>2]|0;r=f[t>>2]|0;f[r>>2]=f[q>>2];f[r+4>>2]=f[q+4>>2];break}else{f[p>>2]=0;$T(h,o);break}}else nJ(h,a,-1);while(0);do if((qJ(c)|0)==65536){a=f[c+4>>2]|0;f[i>>2]=f[a>>2];o=i+4|0;p=a+4|0;f[o>>2]=f[p>>2];q=i+8|0;f[q>>2]=f[a+8>>2];f[i+12>>2]=f[a+12>>2];f[i+16>>2]=f[a+16>>2];f[i+20>>2]=f[a+20>>2];f[i+24>>2]=f[a+24>>2];f[i+28>>2]=f[a+28>>2];f[i+32>>2]=f[a+32>>2];r=f[a+36>>2]|0;f[i+36>>2]=r;f[i+40>>2]=q;q=i+48|0;t=i+44|0;f[t>>2]=q;f[q>>2]=0;f[i+52>>2]=0;if(r|0){q=r+12|0;f[q>>2]=(f[q>>2]|0)+1}if((f[p>>2]|0)<3){p=f[a+44>>2]|0;q=f[t>>2]|0;f[q>>2]=f[p>>2];f[q+4>>2]=f[p+4>>2];break}else{f[o>>2]=0;$T(i,a);break}}else nJ(i,c,-1);while(0);f[j>>2]=h;f[j+4>>2]=i;f[j+8>>2]=0;f[k>>2]=1124007936;c=k+8|0;a=k+40|0;o=k+4|0;p=o+36|0;do{f[o>>2]=0;o=o+4|0}while((o|0)<(p|0));f[a>>2]=c;c=k+48|0;f[k+44>>2]=c;f[c>>2]=0;f[k+52>>2]=0;f[k+56>>2]=1124007936;c=k+64|0;a=k+96|0;o=k+60|0;p=o+36|0;do{f[o>>2]=0;o=o+4|0}while((o|0)<(p|0));f[a>>2]=c;c=k+104|0;f[k+100>>2]=c;f[c>>2]=0;f[k+108>>2]=0;WC(l,j,k,-1);j=f[h>>2]|0;if(!((j&7|0)==5?((f[i>>2]^j)&4095|0)==0:0)){f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;j=cuc(48)|0;f[m>>2]=j;f[m+8>>2]=-2147483600;f[m+4>>2]=46;o=j;v=260360;p=o+46|0;do{b[o>>0]=b[v>>0]|0;o=o+1|0;v=v+1|0}while((o|0)<(p|0));b[j+46>>0]=0;WD(-215,m,260407,258643,1935)}j=l+4|0;c=f[j>>2]|0;if(!(f[c>>2]&16384)){f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;w=cuc(64)|0;f[m>>2]=w;x=m+8|0;f[x>>2]=-2147483584;y=m+4|0;f[y>>2]=58;o=w;v=260419;p=o+58|0;do{b[o>>0]=b[v>>0]|0;o=o+1|0;v=v+1|0}while((o|0)<(p|0));z=w+58|0;b[z>>0]=0;WD(-215,m,260407,258643,1939)}if(!(f[c+56>>2]&16384)){f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;w=cuc(64)|0;f[m>>2]=w;x=m+8|0;f[x>>2]=-2147483584;y=m+4|0;f[y>>2]=58;o=w;v=260419;p=o+58|0;do{b[o>>0]=b[v>>0]|0;o=o+1|0;v=v+1|0}while((o|0)<(p|0));z=w+58|0;b[z>>0]=0;WD(-215,m,260407,258643,1939)}z=l+16|0;w=(d|0)==1;A=0.0;B=0.0;C=0.0;D=0.0;E=0.0;F=0.0;y=0;a:while(1){if(y>>>0>=(f[z>>2]|0)>>>0)break;x=f[j>>2]|0;c=f[x+16>>2]|0;a=f[x+72>>2]|0;q=Y(f[x+12>>2]|0,f[x+8>>2]|0)|0;x=Y(q,((f[h>>2]|0)>>>3&511)+1|0)|0;switch(d|0){case 1:case 4:{if((x|0)>0)if(w){q=0;G=A;while(1){H=+n[c+(q<<2)>>2];I=H-+n[a+(q<<2)>>2];t=+L(+H)>2.220446049250313e-16;J=t?G+I*I/H:G;q=q+1|0;if((q|0)==(x|0)){K=D;N=E;O=F;P=B;Q=C;R=J;break}else G=J}}else{q=0;G=A;while(1){J=+n[c+(q<<2)>>2];H=+n[a+(q<<2)>>2];I=J-H;S=J+H;t=+L(+S)>2.220446049250313e-16;H=t?G+I*I/S:G;q=q+1|0;if((q|0)==(x|0)){K=D;N=E;O=F;P=B;Q=C;R=H;break}else G=H}}else{K=D;N=E;O=F;P=B;Q=C;R=A}break}case 0:{if((x|0)>0){q=0;G=B;H=C;S=D;I=E;J=F;while(1){T=+n[c+(q<<2)>>2];U=+n[a+(q<<2)>>2];V=I+T*U;X=G+T;Z=S+T*T;T=H+U;_=J+U*U;q=q+1|0;if((q|0)==(x|0)){K=Z;N=V;O=_;P=X;Q=T;R=A;break}else{G=X;H=T;S=Z;I=V;J=_}}}else{K=D;N=E;O=F;P=B;Q=C;R=A}break}case 2:{if((x|0)>0){q=0;J=A;while(1){I=+n[a+(q<<2)>>2];S=+n[c+(q<<2)>>2];H=J+(I<S?I:S);q=q+1|0;if((q|0)==(x|0)){K=D;N=E;O=F;P=B;Q=C;R=H;break}else J=H}}else{K=D;N=E;O=F;P=B;Q=C;R=A}break}case 3:{if((x|0)>0){J=B;H=C;q=0;S=A;while(1){I=+n[c+(q<<2)>>2];G=+n[a+(q<<2)>>2];_=S+ +M(+(I*G));V=J+I;I=H+G;q=q+1|0;if((q|0)==(x|0)){K=D;N=E;O=F;P=V;Q=I;R=_;break}else{J=V;H=I;S=_}}}else{K=D;N=E;O=F;P=B;Q=C;R=A}break}case 5:{if((x|0)>0){q=0;S=A;while(1){H=+n[c+(q<<2)>>2];J=H;_=+n[a+(q<<2)>>2];if(!(+L(+H)<=2.220446049250313e-16)){t=!(+L(+_)<=2.220446049250313e-16);$=S+J*+W(+(J/(t?_:1.0e-10)))}else $=S;q=q+1|0;if((q|0)==(x|0)){K=D;N=E;O=F;P=B;Q=C;R=$;break}else S=$}}else{K=D;N=E;O=F;P=B;Q=C;R=A}break}default:{aa=38;break a}}ZC(l)|0;A=R;B=P;C=Q;D=K;E=N;F=O;y=y+1|0}if((aa|0)==38){f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;aa=cuc(32)|0;f[m>>2]=aa;f[m+8>>2]=-2147483616;f[m+4>>2]=25;o=aa;v=263482;p=o+25|0;do{b[o>>0]=b[v>>0]|0;o=o+1|0;v=v+1|0}while((o|0)<(p|0));b[aa+25>>0]=0;WD(-5,m,260407,258643,2108)}switch(d|0){case 4:{ba=A*2.0;break}case 0:{d=f[h+4>>2]|0;if((d|0)<3)ca=Y(f[h+12>>2]|0,f[h+8>>2]|0)|0;else{m=f[h+40>>2]|0;aa=0;v=1;while(1){o=Y(f[m+(aa<<2)>>2]|0,v)|0;aa=aa+1|0;if((aa|0)==(d|0)){ca=o;break}else v=o}}O=1.0/+(ca>>>0);N=(D-B*B*O)*(F-C*C*O);if(+L(+N)>2.220446049250313e-16)ba=(E-C*B*O)/+M(+N);else ba=1.0;break}case 3:{N=C*B;if(+L(+N)>1.1920928955078125e-07)da=1.0/+M(+N);else da=1.0;N=1.0-A*da;ba=+M(+(N<0.0?0.0:N));break}default:ba=A}ca=k+56|0;v=k+92|0;d=f[v>>2]|0;if(d|0?(aa=d+12|0,d=f[aa>>2]|0,f[aa>>2]=d+-1,(d|0)==1):0)aU(ca);f[v>>2]=0;v=k+72|0;ca=k+60|0;f[v>>2]=0;f[v+4>>2]=0;f[v+8>>2]=0;f[v+12>>2]=0;if((f[ca>>2]|0)>0){v=f[k+96>>2]|0;d=0;do{f[v+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[ca>>2]|0))}ca=f[k+100>>2]|0;if((ca|0)!=(k+104|0))TC(ca);ca=k+36|0;d=f[ca>>2]|0;if(d|0?(v=d+12|0,d=f[v>>2]|0,f[v>>2]=d+-1,(d|0)==1):0)aU(k);f[ca>>2]=0;ca=k+16|0;d=k+4|0;f[ca>>2]=0;f[ca+4>>2]=0;f[ca+8>>2]=0;f[ca+12>>2]=0;if((f[d>>2]|0)>0){ca=f[k+40>>2]|0;v=0;do{f[ca+(v<<2)>>2]=0;v=v+1|0}while((v|0)<(f[d>>2]|0))}d=f[k+44>>2]|0;if((d|0)!=(k+48|0))TC(d);d=i+36|0;k=f[d>>2]|0;if(k|0?(v=k+12|0,k=f[v>>2]|0,f[v>>2]=k+-1,(k|0)==1):0)aU(i);f[d>>2]=0;d=i+16|0;k=i+4|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[k>>2]|0)>0){d=f[i+40>>2]|0;v=0;do{f[d+(v<<2)>>2]=0;v=v+1|0}while((v|0)<(f[k>>2]|0))}k=f[i+44>>2]|0;if((k|0)!=(i+48|0))TC(k);k=h+36|0;i=f[k>>2]|0;if(i|0?(v=i+12|0,i=f[v>>2]|0,f[v>>2]=i+-1,(i|0)==1):0)aU(h);f[k>>2]=0;k=h+16|0;i=h+4|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;if((f[i>>2]|0)>0){k=f[h+40>>2]|0;v=0;do{f[k+(v<<2)>>2]=0;v=v+1|0}while((v|0)<(f[i>>2]|0))}i=f[h+44>>2]|0;if((i|0)!=(h+48|0))TC(i);if(!(f[g+4>>2]|0)){u=e;return +ba}u=e;return +ba}function cga(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0.0,I=0;d=u;u=u+2272|0;e=d+2264|0;g=d+2208|0;h=d+2200|0;i=d+2144|0;j=d+2112|0;k=d+1088|0;l=d+64|0;m=d+48|0;n=d+32|0;o=d+24|0;q=d+8|0;r=d;gV(e,55476);if(pJ(a,-1)|0){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;s=cuc(32)|0;f[g>>2]=s;f[g+8>>2]=-2147483616;f[g+4>>2]=22;t=s;v=260530;w=t+22|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));b[s+22>>0]=0;WD(-215,g,260553,258643,3334)}if(!(EJ(a)|0)){do if((qJ(a)|0)==65536){s=f[a+4>>2]|0;f[g>>2]=f[s>>2];v=g+4|0;t=s+4|0;f[v>>2]=f[t>>2];w=g+8|0;f[w>>2]=f[s+8>>2];f[g+12>>2]=f[s+12>>2];f[g+16>>2]=f[s+16>>2];f[g+20>>2]=f[s+20>>2];f[g+24>>2]=f[s+24>>2];f[g+28>>2]=f[s+28>>2];f[g+32>>2]=f[s+32>>2];x=f[s+36>>2]|0;f[g+36>>2]=x;y=g+40|0;f[y>>2]=w;w=g+48|0;z=g+44|0;f[z>>2]=w;f[w>>2]=0;f[g+52>>2]=0;if(x|0){w=x+12|0;f[w>>2]=(f[w>>2]|0)+1}if((f[t>>2]|0)<3){t=f[s+44>>2]|0;w=f[z>>2]|0;f[w>>2]=f[t>>2];f[w+4>>2]=f[t+4>>2];A=g;B=y;break}else{f[v>>2]=0;$T(g,s);A=g;B=y;break}}else{nJ(g,a,-1);A=g;B=g+40|0}while(0);a=f[B>>2]|0;y=f[a>>2]|0;f[h>>2]=f[a+4>>2];f[h+4>>2]=y;IJ(c,h,f[A>>2]&4095,-1,0,0);do if((qJ(c)|0)==65536){A=f[c+4>>2]|0;f[i>>2]=f[A>>2];h=i+4|0;y=A+4|0;f[h>>2]=f[y>>2];a=i+8|0;f[a>>2]=f[A+8>>2];f[i+12>>2]=f[A+12>>2];f[i+16>>2]=f[A+16>>2];f[i+20>>2]=f[A+20>>2];f[i+24>>2]=f[A+24>>2];f[i+28>>2]=f[A+28>>2];f[i+32>>2]=f[A+32>>2];s=f[A+36>>2]|0;f[i+36>>2]=s;f[i+40>>2]=a;a=i+48|0;v=i+44|0;f[v>>2]=a;f[a>>2]=0;f[i+52>>2]=0;if(s|0){a=s+12|0;f[a>>2]=(f[a>>2]|0)+1}if((f[y>>2]|0)<3){y=f[A+44>>2]|0;a=f[v>>2]|0;f[a>>2]=f[y>>2];f[a+4>>2]=f[y+4>>2];break}else{f[h>>2]=0;$T(i,A);break}}else nJ(i,c,-1);while(0);Ztc(j);kzc(k|0,0,1024)|0;f[m>>2]=55504;f[m+4>>2]=g;f[m+8>>2]=k;f[m+12>>2]=j;f[n>>2]=55524;f[n+4>>2]=g;f[n+8>>2]=i;f[n+12>>2]=l;c=g+8|0;A=f[c>>2]|0;f[o>>2]=0;f[o+4>>2]=A;h=g+4|0;y=f[h>>2]|0;if((y|0)<3)C=Y(f[g+12>>2]|0,A)|0;else{A=f[B>>2]|0;a=0;v=1;while(1){s=Y(f[A+(a<<2)>>2]|0,v)|0;a=a+1|0;if((a|0)==(y|0)){C=s;break}else v=s}}if(C>>>0>307199){sZ(o,m,-1.0);D=0}else{dga(m,o);D=0}while(1){E=f[k+(D<<2)>>2]|0;F=D+1|0;if(!E)D=F;else break}m=f[h>>2]|0;C=(m|0)<3;if(C)G=Y(f[g+12>>2]|0,f[c>>2]|0)|0;else{v=f[B>>2]|0;y=0;a=1;while(1){A=Y(f[v+(y<<2)>>2]|0,a)|0;y=y+1|0;if((y|0)==(m|0)){G=A;break}else a=A}}do if((G|0)!=(E|0)){H=255.0/+(G-E|0);f[l+(D<<2)>>2]=0;if((F|0)<256){a=0;y=F;do{a=(f[k+(y<<2)>>2]|0)+a|0;v=Ghc(H*+(a|0))|0;f[l+(y<<2)>>2]=(v>>>0<256?v:(v|0)>0?255:0)&255;y=y+1|0}while((y|0)!=256)}if(C)I=Y(f[g+12>>2]|0,f[c>>2]|0)|0;else{y=f[B>>2]|0;a=0;v=1;while(1){A=Y(f[y+(a<<2)>>2]|0,v)|0;a=a+1|0;if((a|0)==(m|0)){I=A;break}else v=A}}if(I>>>0>307199){sZ(o,n,-1.0);break}else{ega(n,o);break}}else{p[r>>3]=+(D|0);f[q>>2]=-1056833530;f[q+4>>2]=r;f[q+8>>2]=1;f[q+12>>2]=1;HI(i,q,sK()|0)|0}while(0);_tc(j);j=i+36|0;q=f[j>>2]|0;if(q|0?(r=q+12|0,q=f[r>>2]|0,f[r>>2]=q+-1,(q|0)==1):0)aU(i);f[j>>2]=0;j=i+16|0;q=i+4|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;if((f[q>>2]|0)>0){j=f[i+40>>2]|0;r=0;do{f[j+(r<<2)>>2]=0;r=r+1|0}while((r|0)<(f[q>>2]|0))}q=f[i+44>>2]|0;if((q|0)!=(i+48|0))TC(q);q=g+36|0;i=f[q>>2]|0;if(i|0?(r=i+12|0,i=f[r>>2]|0,f[r>>2]=i+-1,(i|0)==1):0)aU(g);f[q>>2]=0;q=g+16|0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;f[q+12>>2]=0;if((f[h>>2]|0)>0){q=f[B>>2]|0;B=0;do{f[q+(B<<2)>>2]=0;B=B+1|0}while((B|0)<(f[h>>2]|0))}h=f[g+44>>2]|0;if((h|0)!=(g+48|0))TC(h)}if(!(f[e+4>>2]|0)){u=d;return}u=d;return}function dga(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;c=u;u=u+1024|0;d=c;kzc(d|0,0,1024)|0;e=f[a+4>>2]|0;g=f[e+48>>2]|0;i=f[b>>2]|0;j=(f[b+4>>2]|0)-i|0;b=(f[e>>2]&16384|0)!=0;k=Y(b?j:1,f[e+12>>2]|0)|0;l=(f[e+16>>2]|0)+(Y(f[f[e+44>>2]>>2]|0,i)|0)|0;i=b?1:j;j=i+-1|0;a:do if(i|0){b=k+-4|0;if((k|0)<4){e=(k|0)>0;m=l;n=j;while(1){if(e){o=0;do{p=d+((h[m+o>>0]|0)<<2)|0;f[p>>2]=(f[p>>2]|0)+1;o=o+1|0}while((o|0)!=(k|0))}if(!n)break a;else{m=m+g|0;n=n+-1|0}}}n=k&-4;m=(n|0)<(k|0);e=l;o=j;while(1){p=0;do{q=h[e+(p|1)>>0]|0;r=d+((h[e+p>>0]|0)<<2)|0;f[r>>2]=(f[r>>2]|0)+1;r=d+(q<<2)|0;f[r>>2]=(f[r>>2]|0)+1;r=h[e+(p|3)>>0]|0;q=d+((h[e+(p|2)>>0]|0)<<2)|0;f[q>>2]=(f[q>>2]|0)+1;q=d+(r<<2)|0;f[q>>2]=(f[q>>2]|0)+1;p=p+4|0}while((p|0)<=(b|0));if(m){p=n;do{q=d+((h[e+p>>0]|0)<<2)|0;f[q>>2]=(f[q>>2]|0)+1;p=p+1|0}while((p|0)!=(k|0))}if(!o)break;else{e=e+g|0;o=o+-1|0}}}while(0);g=f[a+12>>2]|0;$tc(g);k=f[a+8>>2]|0;a=0;do{j=k+(a<<2)|0;f[j>>2]=(f[j>>2]|0)+(f[d+(a<<2)>>2]|0);a=a+1|0}while((a|0)!=256);auc(g);u=c;return}function ega(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=f[a+4>>2]|0;e=f[d+48>>2]|0;g=f[a+8>>2]|0;i=f[g+48>>2]|0;j=f[d+12>>2]|0;k=f[c>>2]|0;l=(f[c+4>>2]|0)-k|0;c=f[a+12>>2]|0;if(!(f[d>>2]&16384)){m=j;n=l}else{a=(f[g>>2]&16384|0)!=0;o=Y(a?l:1,j)|0;m=o;n=a?1:l}l=(f[d+16>>2]|0)+(Y(f[f[d+44>>2]>>2]|0,k)|0)|0;d=(f[g+16>>2]|0)+(Y(f[f[g+44>>2]>>2]|0,k)|0)|0;k=n+-1|0;if(!n)return;n=m+-4|0;if((m|0)<4){g=(m|0)>0;a=l;o=d;j=k;while(1){if(g){p=0;do{b[o+p>>0]=f[c+((h[a+p>>0]|0)<<2)>>2];p=p+1|0}while((p|0)!=(m|0))}if(!j)break;else{a=a+e|0;o=o+i|0;j=j+-1|0}}return}j=m&-4;o=(j|0)<(m|0);a=l;l=d;d=k;while(1){k=0;do{g=k|1;p=f[c+((h[a+g>>0]|0)<<2)>>2]|0;b[l+k>>0]=f[c+((h[a+k>>0]|0)<<2)>>2];b[l+g>>0]=p;p=k|2;g=k|3;q=f[c+((h[a+g>>0]|0)<<2)>>2]|0;b[l+p>>0]=f[c+((h[a+p>>0]|0)<<2)>>2];b[l+g>>0]=q;k=k+4|0}while((k|0)<=(n|0));if(o){k=j;do{b[l+k>>0]=f[c+((h[a+k>>0]|0)<<2)>>2];k=k+1|0}while((k|0)!=(m|0))}if(!d)break;else{a=a+e|0;l=l+i|0;d=d+-1|0}}return}function fga(a){a=a|0;fuc(a);return}function gga(a){a=a|0;fuc(a);return}function hga(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;e=u;u=u+128|0;g=e+72|0;h=e+16|0;i=e;do if((qJ(b)|0)==65536){j=f[b+4>>2]|0;f[g>>2]=f[j>>2];k=g+4|0;l=j+4|0;f[k>>2]=f[l>>2];m=g+8|0;f[m>>2]=f[j+8>>2];f[g+12>>2]=f[j+12>>2];f[g+16>>2]=f[j+16>>2];f[g+20>>2]=f[j+20>>2];f[g+24>>2]=f[j+24>>2];f[g+28>>2]=f[j+28>>2];f[g+32>>2]=f[j+32>>2];n=f[j+36>>2]|0;f[g+36>>2]=n;f[g+40>>2]=m;m=g+48|0;o=g+44|0;f[o>>2]=m;f[m>>2]=0;f[g+52>>2]=0;if(n|0){m=n+12|0;f[m>>2]=(f[m>>2]|0)+1}if((f[l>>2]|0)<3){l=f[j+44>>2]|0;m=f[o>>2]|0;f[m>>2]=f[l>>2];f[m+4>>2]=f[l+4>>2];break}else{f[k>>2]=0;$T(g,j);break}}else nJ(g,b,-1);while(0);if(!d?(b=f[g>>2]|0,(b&4095|0)==6):0){f[a>>2]=b;b=g+4|0;j=f[b>>2]|0;f[a+4>>2]=j;k=a+8|0;l=g+8|0;f[k>>2]=f[l>>2];f[a+12>>2]=f[g+12>>2];f[a+16>>2]=f[g+16>>2];f[a+20>>2]=f[g+20>>2];f[a+24>>2]=f[g+24>>2];f[a+28>>2]=f[g+28>>2];f[a+32>>2]=f[g+32>>2];m=g+36|0;f[a+36>>2]=f[m>>2];o=a+40|0;f[o>>2]=k;k=a+44|0;n=a+48|0;f[k>>2]=n;q=a+52|0;f[q>>2]=0;f[n>>2]=0;r=g+44|0;if((j|0)<3){j=f[r>>2]|0;f[n>>2]=f[j>>2];f[q>>2]=f[j+4>>2]}else{f[k>>2]=f[r>>2];k=g+40|0;f[o>>2]=f[k>>2];f[r>>2]=g+48;f[k>>2]=l}f[g>>2]=1124007936;s=b;t=s+36|0;do{f[s>>2]=0;s=s+4|0}while((s|0)<(t|0));v=m}else{f[h>>2]=1124007936;m=h+4|0;b=h+8|0;l=h+40|0;s=m;t=s+36|0;do{f[s>>2]=0;s=s+4|0}while((s|0)<(t|0));f[l>>2]=b;s=h+48|0;f[h+44>>2]=s;f[s>>2]=0;f[h+52>>2]=0;t=i+8|0;f[t>>2]=0;f[t+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=h;kQ(g,i,6,1.0,0.0);if(d){d=h+16|0;i=f[d>>2]|0;p[i+16>>3]=+((f[c>>2]|0)+-1|0)*.5;p[i+40>>3]=+((f[c+4>>2]|0)+-1|0)*.5;w=d;x=i}else{i=h+16|0;w=i;x=f[i>>2]|0}f[a>>2]=f[h>>2];i=f[m>>2]|0;f[a+4>>2]=i;d=a+8|0;f[d>>2]=f[b>>2];f[a+12>>2]=f[h+12>>2];f[a+16>>2]=x;f[a+20>>2]=f[h+20>>2];f[a+24>>2]=f[h+24>>2];f[a+28>>2]=f[h+28>>2];f[a+32>>2]=f[h+32>>2];x=h+36|0;f[a+36>>2]=f[x>>2];c=a+40|0;f[c>>2]=d;d=a+44|0;t=a+48|0;f[d>>2]=t;k=a+52|0;f[k>>2]=0;f[t>>2]=0;a=h+44|0;if((i|0)<3){i=f[a>>2]|0;f[t>>2]=f[i>>2];f[k>>2]=f[i+4>>2];y=i}else{f[d>>2]=f[a>>2];f[c>>2]=f[l>>2];f[a>>2]=s;f[l>>2]=b;y=s}f[h>>2]=1124007936;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;f[m+16>>2]=0;f[m+20>>2]=0;f[m+24>>2]=0;f[m+28>>2]=0;f[x>>2]=0;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;f[w+12>>2]=0;if((y|0)!=(s|0))TC(y);y=g+36|0;s=f[y>>2]|0;if((s|0)!=0?(w=s+12|0,s=f[w>>2]|0,f[w>>2]=s+-1,(s|0)==1):0){aU(g);v=y}else v=y}f[v>>2]=0;v=g+16|0;y=g+4|0;f[v>>2]=0;f[v+4>>2]=0;f[v+8>>2]=0;f[v+12>>2]=0;if((f[y>>2]|0)>0){v=f[g+40>>2]|0;s=0;do{f[v+(s<<2)>>2]=0;s=s+1|0}while((s|0)<(f[y>>2]|0))}y=f[g+44>>2]|0;if((y|0)==(g+48|0)){u=e;return}TC(y);u=e;return}function iga(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0.0,ia=0.0,ja=0.0,ka=0.0,la=0,ma=0.0,na=0.0,oa=0.0,pa=0.0,qa=0.0,ra=0.0,sa=0.0,ta=0.0,ua=0.0,va=0.0,wa=0.0,xa=0.0,ya=0.0,za=0.0,Aa=0.0,Ba=0.0,Ca=0.0,Da=0.0,Ea=0.0,Fa=0.0,Ga=0.0,Ha=0.0,Ia=0.0,Ja=0.0,Ka=0.0,La=0.0,Ma=0.0;k=u;u=u+1328|0;l=k+448|0;m=k+1312|0;n=k+1256|0;o=k+1200|0;q=k+1144|0;r=k+1080|0;s=k+1136|0;t=k+1024|0;v=k+960|0;w=k+1016|0;x=k+904|0;y=k+840|0;z=k+784|0;A=k+896|0;B=k+728|0;C=k+224|0;D=k;E=k+672|0;do if((qJ(a)|0)==65536){F=f[a+4>>2]|0;f[n>>2]=f[F>>2];G=n+4|0;H=F+4|0;f[G>>2]=f[H>>2];I=n+8|0;f[I>>2]=f[F+8>>2];f[n+12>>2]=f[F+12>>2];f[n+16>>2]=f[F+16>>2];f[n+20>>2]=f[F+20>>2];f[n+24>>2]=f[F+24>>2];f[n+28>>2]=f[F+28>>2];f[n+32>>2]=f[F+32>>2];J=f[F+36>>2]|0;f[n+36>>2]=J;f[n+40>>2]=I;I=n+48|0;K=n+44|0;f[K>>2]=I;f[I>>2]=0;f[n+52>>2]=0;if(J|0){I=J+12|0;f[I>>2]=(f[I>>2]|0)+1}if((f[H>>2]|0)<3){H=f[F+44>>2]|0;I=f[K>>2]|0;f[I>>2]=f[H>>2];f[I+4>>2]=f[H+4>>2];break}else{f[G>>2]=0;$T(n,F);break}}else nJ(n,a,-1);while(0);do if((qJ(c)|0)==65536){a=f[c+4>>2]|0;f[o>>2]=f[a>>2];F=o+4|0;G=a+4|0;f[F>>2]=f[G>>2];H=o+8|0;f[H>>2]=f[a+8>>2];f[o+12>>2]=f[a+12>>2];f[o+16>>2]=f[a+16>>2];f[o+20>>2]=f[a+20>>2];f[o+24>>2]=f[a+24>>2];f[o+28>>2]=f[a+28>>2];f[o+32>>2]=f[a+32>>2];I=f[a+36>>2]|0;f[o+36>>2]=I;f[o+40>>2]=H;H=o+48|0;K=o+44|0;f[K>>2]=H;f[H>>2]=0;f[o+52>>2]=0;if(I|0){H=I+12|0;f[H>>2]=(f[H>>2]|0)+1}if((f[G>>2]|0)<3){G=f[a+44>>2]|0;H=f[K>>2]|0;f[H>>2]=f[G>>2];f[H+4>>2]=f[G+4>>2];break}else{f[F>>2]=0;$T(o,a);break}}else nJ(o,c,-1);while(0);do if((qJ(d)|0)==65536){c=f[d+4>>2]|0;f[q>>2]=f[c>>2];a=q+4|0;F=c+4|0;f[a>>2]=f[F>>2];G=q+8|0;f[G>>2]=f[c+8>>2];f[q+12>>2]=f[c+12>>2];f[q+16>>2]=f[c+16>>2];f[q+20>>2]=f[c+20>>2];f[q+24>>2]=f[c+24>>2];f[q+28>>2]=f[c+28>>2];f[q+32>>2]=f[c+32>>2];H=f[c+36>>2]|0;f[q+36>>2]=H;f[q+40>>2]=G;G=q+48|0;K=q+44|0;f[K>>2]=G;f[G>>2]=0;f[q+52>>2]=0;if(H|0){G=H+12|0;f[G>>2]=(f[G>>2]|0)+1}if((f[F>>2]|0)<3){F=f[c+44>>2]|0;G=f[K>>2]|0;f[G>>2]=f[F>>2];f[G+4>>2]=f[F+4>>2];break}else{f[a>>2]=0;$T(q,c);break}}else nJ(q,d,-1);while(0);do if((qJ(e)|0)==65536){d=f[e+4>>2]|0;f[r>>2]=f[d>>2];c=r+4|0;a=d+4|0;f[c>>2]=f[a>>2];F=r+8|0;f[F>>2]=f[d+8>>2];f[r+12>>2]=f[d+12>>2];f[r+16>>2]=f[d+16>>2];f[r+20>>2]=f[d+20>>2];f[r+24>>2]=f[d+24>>2];f[r+28>>2]=f[d+28>>2];f[r+32>>2]=f[d+32>>2];G=f[d+36>>2]|0;f[r+36>>2]=G;f[r+40>>2]=F;F=r+48|0;K=r+44|0;f[K>>2]=F;f[F>>2]=0;f[r+52>>2]=0;if(G|0){F=G+12|0;f[F>>2]=(f[F>>2]|0)+1}if((f[a>>2]|0)<3){a=f[d+44>>2]|0;F=f[K>>2]|0;f[F>>2]=f[a>>2];f[F+4>>2]=f[a+4>>2];break}else{f[c>>2]=0;$T(r,d);break}}else nJ(r,e,-1);while(0);e=(h|0)<1?11:h;h=(e|0)==11;switch(e|0){case 5:case 11:case 13:break;default:{f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;d=cuc(64)|0;f[l>>2]=d;f[l+8>>2]=-2147483584;f[l+4>>2]=62;L=d;M=260670;N=L+62|0;do{b[L>>0]=b[M>>0]|0;L=L+1|0;M=M+1|0}while((L|0)<(N|0));b[d+62>>0]=0;WD(-215,l,260733,260757,200)}}f[s>>2]=f[g>>2];d=g+4|0;f[s+4>>2]=f[d>>2];IJ(i,s,e,-1,0,0);do if((qJ(i)|0)==65536){s=f[i+4>>2]|0;f[t>>2]=f[s>>2];c=t+4|0;a=s+4|0;f[c>>2]=f[a>>2];F=t+8|0;f[F>>2]=f[s+8>>2];f[t+12>>2]=f[s+12>>2];f[t+16>>2]=f[s+16>>2];f[t+20>>2]=f[s+20>>2];f[t+24>>2]=f[s+24>>2];f[t+28>>2]=f[s+28>>2];f[t+32>>2]=f[s+32>>2];K=f[s+36>>2]|0;f[t+36>>2]=K;f[t+40>>2]=F;F=t+48|0;G=t+44|0;f[G>>2]=F;f[F>>2]=0;f[t+52>>2]=0;if(K|0){F=K+12|0;f[F>>2]=(f[F>>2]|0)+1}if((f[a>>2]|0)<3){a=f[s+44>>2]|0;F=f[G>>2]|0;f[F>>2]=f[a>>2];f[F+4>>2]=f[a+4>>2];break}else{f[c>>2]=0;$T(t,s);break}}else nJ(t,i,-1);while(0);f[v>>2]=1124007936;i=v+4|0;s=v+8|0;c=v+40|0;L=i;N=L+36|0;do{f[L>>2]=0;L=L+4|0}while((L|0)<(N|0));f[c>>2]=s;a=v+48|0;F=v+44|0;f[F>>2]=a;f[a>>2]=0;f[v+52>>2]=0;if((e|0)!=13){f[w>>2]=f[g>>2];f[w+4>>2]=f[d>>2];IJ(j,w,h?2:5,-1,0,0);do if((qJ(j)|0)==65536){h=f[j+4>>2]|0;f[l>>2]=f[h>>2];w=l+4|0;G=h+4|0;f[w>>2]=f[G>>2];K=l+8|0;f[K>>2]=f[h+8>>2];f[l+12>>2]=f[h+12>>2];f[l+16>>2]=f[h+16>>2];f[l+20>>2]=f[h+20>>2];f[l+24>>2]=f[h+24>>2];f[l+28>>2]=f[h+28>>2];f[l+32>>2]=f[h+32>>2];H=f[h+36>>2]|0;f[l+36>>2]=H;f[l+40>>2]=K;K=l+48|0;I=l+44|0;f[I>>2]=K;f[K>>2]=0;f[l+52>>2]=0;if(H|0){K=H+12|0;f[K>>2]=(f[K>>2]|0)+1}if((f[G>>2]|0)<3){G=f[h+44>>2]|0;K=f[I>>2]|0;f[K>>2]=f[G>>2];f[K+4>>2]=f[G+4>>2];break}else{f[w>>2]=0;$T(l,h);break}}else nJ(l,j,-1);while(0);h=v+36|0;w=f[h>>2]|0;if(w|0?(G=w+12|0,w=f[G>>2]|0,f[G>>2]=w+-1,(w|0)==1):0)aU(v);f[h>>2]=0;w=v+16|0;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;f[w+12>>2]=0;if((f[i>>2]|0)>0){G=f[c>>2]|0;K=0;do{f[G+(K<<2)>>2]=0;K=K+1|0}while((K|0)<(f[i>>2]|0))}f[v>>2]=f[l>>2];K=l+4|0;G=f[K>>2]|0;f[i>>2]=G;I=l+8|0;f[s>>2]=f[I>>2];f[v+12>>2]=f[l+12>>2];H=l+16|0;f[w>>2]=f[H>>2];f[v+20>>2]=f[l+20>>2];f[v+24>>2]=f[l+24>>2];f[v+28>>2]=f[l+28>>2];f[v+32>>2]=f[l+32>>2];w=l+36|0;f[h>>2]=f[w>>2];h=v+44|0;J=f[h>>2]|0;if((J|0)==(a|0))Q=G;else{TC(J);f[h>>2]=a;f[c>>2]=s;Q=f[K>>2]|0}s=l+44|0;if((Q|0)<3){Q=f[s>>2]|0;f[a>>2]=f[Q>>2];f[v+52>>2]=f[Q+4>>2];R=Q}else{f[h>>2]=f[s>>2];h=l+40|0;f[v+40>>2]=f[h>>2];Q=l+48|0;f[s>>2]=Q;f[h>>2]=I;R=Q}f[l>>2]=1124007936;f[K>>2]=0;f[K+4>>2]=0;f[K+8>>2]=0;f[K+12>>2]=0;f[K+16>>2]=0;f[K+20>>2]=0;f[K+24>>2]=0;f[K+28>>2]=0;f[w>>2]=0;f[H>>2]=0;f[H+4>>2]=0;f[H+8>>2]=0;f[H+12>>2]=0;if((R|0)!=(l+48|0))TC(R)}else HJ(j);BT(l,3,3,6);jga(x,l);Xi(l);kga(y,n);j=z+4|0;R=z+8|0;H=z+40|0;L=j;N=L+36|0;do{f[L>>2]=0;L=L+4|0}while((L|0)<(N|0));f[H>>2]=R;w=z+48|0;K=z+44|0;f[K>>2]=w;f[w>>2]=0;f[z+52>>2]=0;f[z>>2]=1124007942;Q=r+16|0;if(f[Q>>2]|0){I=f[r+4>>2]|0;if((I|0)<3)S=Y(f[r+12>>2]|0,f[r+8>>2]|0)|0;else{h=f[r+40>>2]|0;s=0;J=1;while(1){G=Y(f[h+(s<<2)>>2]|0,J)|0;s=s+1|0;if((s|0)==(I|0)){S=G;break}else J=G}}if(!((I|0)==0|(S|0)==0)){kga(l,r);S=z+36|0;I=f[S>>2]|0;if(I|0?(J=I+12|0,I=f[J>>2]|0,f[J>>2]=I+-1,(I|0)==1):0)aU(z);f[S>>2]=0;I=z+16|0;f[I>>2]=0;f[I+4>>2]=0;f[I+8>>2]=0;f[I+12>>2]=0;if((f[j>>2]|0)>0){J=f[H>>2]|0;s=0;do{f[J+(s<<2)>>2]=0;s=s+1|0}while((s|0)<(f[j>>2]|0))}f[z>>2]=f[l>>2];s=l+4|0;J=f[s>>2]|0;f[j>>2]=J;h=l+8|0;f[R>>2]=f[h>>2];f[z+12>>2]=f[l+12>>2];G=l+16|0;f[I>>2]=f[G>>2];f[z+20>>2]=f[l+20>>2];f[z+24>>2]=f[l+24>>2];f[z+28>>2]=f[l+28>>2];f[z+32>>2]=f[l+32>>2];I=l+36|0;f[S>>2]=f[I>>2];S=z+44|0;T=f[S>>2]|0;if((T|0)==(w|0))U=J;else{TC(T);f[S>>2]=w;f[H>>2]=R;U=f[s>>2]|0}R=l+44|0;if((U|0)<3){U=f[R>>2]|0;f[w>>2]=f[U>>2];f[z+52>>2]=f[U+4>>2];V=U}else{f[S>>2]=f[R>>2];S=l+40|0;f[z+40>>2]=f[S>>2];U=l+48|0;f[R>>2]=U;f[S>>2]=h;V=U}f[l>>2]=1124007936;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;f[s+16>>2]=0;f[s+20>>2]=0;f[s+24>>2]=0;f[s+28>>2]=0;f[I>>2]=0;f[G>>2]=0;f[G+4>>2]=0;f[G+8>>2]=0;f[G+12>>2]=0;if((V|0)!=(l+48|0))TC(V)}else W=81}else W=81;if((W|0)==81){f[m+8>>2]=0;f[m+12>>2]=0;f[m>>2]=-2130640890;f[m+4>>2]=y;f[A>>2]=f[g>>2];f[A+4>>2]=f[d>>2];hga(l,m,A,1);lga(z,l)|0;A=l+36|0;V=f[A>>2]|0;if(V|0?(G=V+12|0,V=f[G>>2]|0,f[G>>2]=V+-1,(V|0)==1):0)aU(l);f[A>>2]=0;A=l+16|0;V=l+4|0;f[A>>2]=0;f[A+4>>2]=0;f[A+8>>2]=0;f[A+12>>2]=0;if((f[V>>2]|0)>0){A=f[l+40>>2]|0;G=0;do{f[A+(G<<2)>>2]=0;G=G+1|0}while((G|0)<(f[V>>2]|0))}V=f[l+44>>2]|0;if((V|0)!=(l+48|0))TC(V)}V=q+16|0;if(f[V>>2]|0){G=f[q+4>>2]|0;if((G|0)<3)X=Y(f[q+12>>2]|0,f[q+8>>2]|0)|0;else{A=f[q+40>>2]|0;I=0;s=1;while(1){U=Y(f[A+(I<<2)>>2]|0,s)|0;I=I+1|0;if((I|0)==(G|0)){X=U;break}else s=U}}if(!((G|0)==0|(X|0)==0)){kga(l,q);X=x+36|0;G=f[X>>2]|0;if(G|0?(s=G+12|0,G=f[s>>2]|0,f[s>>2]=G+-1,(G|0)==1):0)aU(x);f[X>>2]=0;G=x+16|0;s=x+4|0;f[G>>2]=0;f[G+4>>2]=0;f[G+8>>2]=0;f[G+12>>2]=0;if((f[s>>2]|0)>0){I=f[x+40>>2]|0;A=0;do{f[I+(A<<2)>>2]=0;A=A+1|0}while((A|0)<(f[s>>2]|0))}f[x>>2]=f[l>>2];A=l+4|0;I=f[A>>2]|0;f[s>>2]=I;s=l+8|0;U=x+8|0;f[U>>2]=f[s>>2];f[x+12>>2]=f[l+12>>2];h=l+16|0;f[G>>2]=f[h>>2];f[x+20>>2]=f[l+20>>2];f[x+24>>2]=f[l+24>>2];f[x+28>>2]=f[l+28>>2];f[x+32>>2]=f[l+32>>2];G=l+36|0;f[X>>2]=f[G>>2];X=x+44|0;S=f[X>>2]|0;R=x+48|0;if((S|0)==(R|0)){Z=I;_=S}else{TC(S);f[X>>2]=R;f[x+40>>2]=U;Z=f[A>>2]|0;_=R}R=l+44|0;if((Z|0)<3){Z=f[R>>2]|0;f[_>>2]=f[Z>>2];f[_+4>>2]=f[Z+4>>2];$=Z}else{f[X>>2]=f[R>>2];X=l+40|0;f[x+40>>2]=f[X>>2];Z=l+48|0;f[R>>2]=Z;f[X>>2]=s;$=Z}f[l>>2]=1124007936;f[A>>2]=0;f[A+4>>2]=0;f[A+8>>2]=0;f[A+12>>2]=0;f[A+16>>2]=0;f[A+20>>2]=0;f[A+24>>2]=0;f[A+28>>2]=0;f[G>>2]=0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;if(($|0)!=(l+48|0))TC($)}}$=o+16|0;h=(f[$>>2]|0)==0;G=o+4|0;A=f[G>>2]|0;if(!h){if((A|0)<3)aa=Y(f[o+12>>2]|0,f[o+8>>2]|0)|0;else{Z=f[o+40>>2]|0;s=0;X=1;while(1){R=Y(f[Z+(s<<2)>>2]|0,X)|0;s=s+1|0;if((s|0)==(A|0)){aa=R;break}else X=R}}if(!((A|0)==0|(aa|0)==0)){kga(l,o);aa=o+36|0;X=f[aa>>2]|0;if(X|0?(s=X+12|0,X=f[s>>2]|0,f[s>>2]=X+-1,(X|0)==1):0)aU(o);f[aa>>2]=0;f[$>>2]=0;f[$+4>>2]=0;f[$+8>>2]=0;f[$+12>>2]=0;if((f[G>>2]|0)>0){X=f[o+40>>2]|0;s=0;do{f[X+(s<<2)>>2]=0;s=s+1|0}while((s|0)<(f[G>>2]|0))}f[o>>2]=f[l>>2];s=l+4|0;X=f[s>>2]|0;f[G>>2]=X;G=l+8|0;Z=o+8|0;f[Z>>2]=f[G>>2];f[o+12>>2]=f[l+12>>2];R=l+16|0;f[$>>2]=f[R>>2];f[o+20>>2]=f[l+20>>2];f[o+24>>2]=f[l+24>>2];f[o+28>>2]=f[l+28>>2];f[o+32>>2]=f[l+32>>2];_=l+36|0;f[aa>>2]=f[_>>2];aa=o+44|0;U=f[aa>>2]|0;S=o+48|0;if((U|0)==(S|0))ba=X;else{TC(U);f[aa>>2]=S;f[o+40>>2]=Z;ba=f[s>>2]|0}Z=l+44|0;if((ba|0)<3){ba=f[Z>>2]|0;f[S>>2]=f[ba>>2];f[o+52>>2]=f[ba+4>>2];ca=ba}else{f[aa>>2]=f[Z>>2];aa=l+40|0;f[o+40>>2]=f[aa>>2];ba=l+48|0;f[Z>>2]=ba;f[aa>>2]=G;ca=ba}f[l>>2]=1124007936;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;f[s+16>>2]=0;f[s+20>>2]=0;f[s+24>>2]=0;f[s+28>>2]=0;f[_>>2]=0;f[R>>2]=0;f[R+4>>2]=0;f[R+8>>2]=0;f[R+12>>2]=0;if((ca|0)!=(l+48|0))TC(ca)}else W=130}else W=130;if((W|0)==130){if(!((((A|0)<3?(f[o+8>>2]|0)==14:0)?(f[o+12>>2]|0)==1:0)?!((f[o>>2]&4095|0)!=6|h):0))W=134;if((W|0)==134){f[l>>2]=14;f[l+4>>2]=1;ZT(o,2,l,6)};f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;f[l+16>>2]=0;f[l+20>>2]=0;f[l+24>>2]=0;f[l+28>>2]=0;GI(o,l)|0}W=y+40|0;h=f[W>>2]|0;if(!((f[h>>2]|0)==3?(f[h+4>>2]|0)==3:0)){f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;da=cuc(48)|0;f[l>>2]=da;ea=l+8|0;f[ea>>2]=-2147483600;fa=l+4|0;f[fa>>2]=45;L=da;M=260831;N=L+45|0;do{b[L>>0]=b[M>>0]|0;L=L+1|0;M=M+1|0}while((L|0)<(N|0));ga=da+45|0;b[ga>>0]=0;WD(-215,l,260733,260757,230)}h=x+40|0;A=f[h>>2]|0;if(!((f[A>>2]|0)==3?(f[A+4>>2]|0)==3:0)){f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;da=cuc(48)|0;f[l>>2]=da;ea=l+8|0;f[ea>>2]=-2147483600;fa=l+4|0;f[fa>>2]=45;L=da;M=260831;N=L+45|0;do{b[L>>0]=b[M>>0]|0;L=L+1|0;M=M+1|0}while((L|0)<(N|0));ga=da+45|0;b[ga>>0]=0;WD(-215,l,260733,260757,230)}ga=f[H>>2]|0;if(!((f[ga>>2]|0)==3?((f[ga+4>>2]|0)+-3|0)>>>0<2:0)){f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;ga=cuc(64)|0;f[l>>2]=ga;f[l+8>>2]=-2147483584;f[l+4>>2]=49;L=ga;M=260877;N=L+49|0;do{b[L>>0]=b[M>>0]|0;L=L+1|0;M=M+1|0}while((L|0)<(N|0));b[ga+49>>0]=0;WD(-215,l,260733,260757,231)}f[l>>2]=-2147483648;f[l+4>>2]=2147483647;f[m>>2]=0;f[m+4>>2]=3;bU(E,z,l,m);iT(D,E,x);_S(C,D,0);jga(B,C);Xi(C);Xi(D);D=E+36|0;ga=f[D>>2]|0;if(ga|0?(M=ga+12|0,ga=f[M>>2]|0,f[M>>2]=ga+-1,(ga|0)==1):0)aU(E);f[D>>2]=0;D=E+16|0;ga=E+4|0;f[D>>2]=0;f[D+4>>2]=0;f[D+8>>2]=0;f[D+12>>2]=0;if((f[ga>>2]|0)>0){D=f[E+40>>2]|0;M=0;do{f[D+(M<<2)>>2]=0;M=M+1|0}while((M|0)<(f[ga>>2]|0))}ga=f[E+44>>2]|0;if((ga|0)!=(E+48|0))TC(ga);ga=B+16|0;E=f[ga>>2]|0;M=y+16|0;D=f[M>>2]|0;L=y+44|0;ha=+p[D+16>>3];N=D+(f[f[L>>2]>>2]|0)|0;ia=+p[N+16>>3];ja=+p[D>>3];ka=+p[N+8>>3];N=o+40|0;D=f[N>>2]|0;da=f[D+4>>2]|0;fa=f[D>>2]|0;D=(da|0)==1;if(!(D&(fa|0)==4)?(ea=(fa|0)==1,!((da|0)==14&ea|(D&(fa|0)==14|((da|0)==12&ea|(D&(fa|0)==12|((da|0)==8&ea|(D&(fa|0)==8|((da|0)==5&ea|((da|0)==4&ea|D&(fa|0)==5))))))))):0){f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;fa=cuc(352)|0;f[l>>2]=fa;f[l+8>>2]=-2147483296;f[l+4>>2]=350;szc(fa|0,260927,350)|0;b[fa+350>>0]=0;WD(-215,l,260733,260757,242)}fa=o+8|0;D=f[fa>>2]|0;if((D|0)!=1)if(!(f[o>>2]&16384)){tT(l,o);ea=f[l>>2]|0;sh[f[(f[ea>>2]|0)+12>>2]&255](ea,l,o,-1);Xi(l);la=f[fa>>2]|0}else la=D;else la=1;D=f[$>>2]|0;fa=o+44|0;ma=+p[D>>3];na=+p[D+8>>3];oa=+p[D+16>>3];pa=+p[D+24>>3];ea=(f[o+12>>2]|0)+-1+la|0;do if((ea|0)>4){qa=+p[D+32>>3];if((ea|0)>7){ra=+p[D+40>>3];sa=+p[D+48>>3];ta=+p[D+56>>3];if((ea|0)<=11){ua=0.0;va=0.0;wa=qa;xa=ra;ya=sa;za=ta;Aa=0.0;Ba=0.0;Ca=0.0;Da=0.0;break}Ea=+p[D+64>>3];Fa=+p[D+72>>3];Ga=+p[D+80>>3];Ha=+p[D+88>>3];if((ea|0)<=13){ua=0.0;va=0.0;wa=qa;xa=ra;ya=sa;za=ta;Aa=Ea;Ba=Fa;Ca=Ga;Da=Ha;break}ua=+p[D+96>>3];va=+p[D+104>>3];wa=qa;xa=ra;ya=sa;za=ta;Aa=Ea;Ba=Fa;Ca=Ga;Da=Ha}else{ua=0.0;va=0.0;wa=qa;xa=0.0;ya=0.0;za=0.0;Aa=0.0;Ba=0.0;Ca=0.0;Da=0.0}}else{ua=0.0;va=0.0;wa=0.0;xa=0.0;ya=0.0;za=0.0;Aa=0.0;Ba=0.0;Ca=0.0;Da=0.0}while(0);qa=+O(+ua);Ha=+P(+ua);ua=+O(+va);Ga=+P(+va);va=Ga*0.0;Fa=ua+0.0-va;Ea=ua*0.0;ta=Ea+0.0;sa=qa*0.0;ra=Ha*Ga+(sa+ta);Ia=Ha*0.0;Ja=Ia+ta-qa*Ga;ta=qa+0.0-Ia;Ka=sa+(Ha+0.0);La=Ea+(Ga+0.0);Ga=va+0.0;va=sa+Ga-Ha*ua;Ha=qa*ua+(Ia+Ga);Ga=-Ja;Ia=-Ka;ua=ta*0.0;qa=Ka*0.0;sa=Fa*0.0+0.0;Ea=ra*0.0+0.0;Ma=Ja*0.0+0.0;p[l>>3]=La*Ga+(Fa*Ha+0.0);p[l+8>>3]=va*Ga+(ua+(ra*Ha+0.0));p[l+16>>3]=Ha*Ga+(qa+(Ja*Ha+0.0));p[l+24>>3]=La*Ia+(sa+Ha*0.0);p[l+32>>3]=va*Ia+(Ea+ta*Ha);p[l+40>>3]=Ha*Ia+(Ma+Ka*Ha);p[l+48>>3]=La+sa;p[l+56>>3]=va+(ua+Ea);p[l+64>>3]=Ha+(qa+Ma);D=f[d>>2]|0;f[m>>2]=0;f[m+4>>2]=D;d=f[g>>2]|0;f[C>>2]=55544;f[C+4>>2]=d;f[C+8>>2]=D;f[C+12>>2]=t;f[C+16>>2]=v;f[C+20>>2]=e;f[C+24>>2]=E;f[C+28>>2]=l;p[C+32>>3]=ha;p[C+40>>3]=ia;p[C+48>>3]=ja;p[C+56>>3]=ka;p[C+64>>3]=ma;p[C+72>>3]=na;p[C+80>>3]=oa;p[C+88>>3]=pa;p[C+96>>3]=wa;p[C+104>>3]=xa;p[C+112>>3]=ya;p[C+120>>3]=za;p[C+128>>3]=Aa;p[C+136>>3]=Ba;p[C+144>>3]=Ca;p[C+152>>3]=Da;sZ(m,C,-1.0);C=B+36|0;m=f[C>>2]|0;do if(m|0){l=m+12|0;E=f[l>>2]|0;f[l>>2]=E+-1;if((E|0)!=1)break;aU(B)}while(0);f[C>>2]=0;C=B+4|0;f[ga>>2]=0;f[ga+4>>2]=0;f[ga+8>>2]=0;f[ga+12>>2]=0;if((f[C>>2]|0)>0){ga=f[B+40>>2]|0;m=0;do{f[ga+(m<<2)>>2]=0;m=m+1|0}while((m|0)<(f[C>>2]|0))}C=f[B+44>>2]|0;if((C|0)!=(B+48|0))TC(C);C=z+36|0;B=f[C>>2]|0;do if(B|0){m=B+12|0;ga=f[m>>2]|0;f[m>>2]=ga+-1;if((ga|0)!=1)break;aU(z)}while(0);f[C>>2]=0;C=z+16|0;f[C>>2]=0;f[C+4>>2]=0;f[C+8>>2]=0;f[C+12>>2]=0;if((f[j>>2]|0)>0){C=f[H>>2]|0;H=0;do{f[C+(H<<2)>>2]=0;H=H+1|0}while((H|0)<(f[j>>2]|0))}j=f[K>>2]|0;if((j|0)!=(w|0))TC(j);j=y+36|0;w=f[j>>2]|0;do if(w|0){K=w+12|0;H=f[K>>2]|0;f[K>>2]=H+-1;if((H|0)!=1)break;aU(y)}while(0);f[j>>2]=0;j=y+4|0;f[M>>2]=0;f[M+4>>2]=0;f[M+8>>2]=0;f[M+12>>2]=0;if((f[j>>2]|0)>0){M=f[W>>2]|0;W=0;do{f[M+(W<<2)>>2]=0;W=W+1|0}while((W|0)<(f[j>>2]|0))}j=f[L>>2]|0;if((j|0)!=(y+48|0))TC(j);j=x+36|0;y=f[j>>2]|0;do if(y|0){L=y+12|0;W=f[L>>2]|0;f[L>>2]=W+-1;if((W|0)!=1)break;aU(x)}while(0);f[j>>2]=0;j=x+16|0;y=x+4|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;if((f[y>>2]|0)>0){j=f[h>>2]|0;h=0;do{f[j+(h<<2)>>2]=0;h=h+1|0}while((h|0)<(f[y>>2]|0))}y=f[x+44>>2]|0;if((y|0)!=(x+48|0))TC(y);y=v+36|0;x=f[y>>2]|0;do if(x|0){h=x+12|0;j=f[h>>2]|0;f[h>>2]=j+-1;if((j|0)!=1)break;aU(v)}while(0);f[y>>2]=0;y=v+16|0;f[y>>2]=0;f[y+4>>2]=0;f[y+8>>2]=0;f[y+12>>2]=0;if((f[i>>2]|0)>0){y=f[c>>2]|0;c=0;do{f[y+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[i>>2]|0))}i=f[F>>2]|0;if((i|0)!=(a|0))TC(i);i=t+36|0;a=f[i>>2]|0;do if(a|0){F=a+12|0;c=f[F>>2]|0;f[F>>2]=c+-1;if((c|0)!=1)break;aU(t)}while(0);f[i>>2]=0;i=t+16|0;a=t+4|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;if((f[a>>2]|0)>0){i=f[t+40>>2]|0;c=0;do{f[i+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[a>>2]|0))}a=f[t+44>>2]|0;if((a|0)!=(t+48|0))TC(a);a=r+36|0;t=f[a>>2]|0;do if(t|0){c=t+12|0;i=f[c>>2]|0;f[c>>2]=i+-1;if((i|0)!=1)break;aU(r)}while(0);f[a>>2]=0;a=r+4|0;f[Q>>2]=0;f[Q+4>>2]=0;f[Q+8>>2]=0;f[Q+12>>2]=0;if((f[a>>2]|0)>0){Q=f[r+40>>2]|0;t=0;do{f[Q+(t<<2)>>2]=0;t=t+1|0}while((t|0)<(f[a>>2]|0))}a=f[r+44>>2]|0;if((a|0)!=(r+48|0))TC(a);a=q+36|0;r=f[a>>2]|0;do if(r|0){t=r+12|0;Q=f[t>>2]|0;f[t>>2]=Q+-1;if((Q|0)!=1)break;aU(q)}while(0);f[a>>2]=0;a=q+4|0;f[V>>2]=0;f[V+4>>2]=0;f[V+8>>2]=0;f[V+12>>2]=0;if((f[a>>2]|0)>0){V=f[q+40>>2]|0;r=0;do{f[V+(r<<2)>>2]=0;r=r+1|0}while((r|0)<(f[a>>2]|0))}a=f[q+44>>2]|0;if((a|0)!=(q+48|0))TC(a);a=o+36|0;q=f[a>>2]|0;do if(q|0){r=q+12|0;V=f[r>>2]|0;f[r>>2]=V+-1;if((V|0)!=1)break;aU(o)}while(0);f[a>>2]=0;a=o+4|0;f[$>>2]=0;f[$+4>>2]=0;f[$+8>>2]=0;f[$+12>>2]=0;if((f[a>>2]|0)>0){$=f[N>>2]|0;N=0;do{f[$+(N<<2)>>2]=0;N=N+1|0}while((N|0)<(f[a>>2]|0))}a=f[fa>>2]|0;if((a|0)!=(o+48|0))TC(a);a=n+36|0;o=f[a>>2]|0;do if(o|0){fa=o+12|0;N=f[fa>>2]|0;f[fa>>2]=N+-1;if((N|0)!=1)break;aU(n)}while(0);f[a>>2]=0;a=n+16|0;o=n+4|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;if((f[o>>2]|0)>0){a=f[n+40>>2]|0;N=0;do{f[a+(N<<2)>>2]=0;N=N+1|0}while((N|0)<(f[o>>2]|0))}o=f[n+44>>2]|0;if((o|0)==(n+48|0)){u=k;return}TC(o);u=k;return}function jga(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0;c=u;u=u+64|0;d=c;e=a+8|0;g=a+40|0;h=a+4|0;i=h+36|0;do{f[h>>2]=0;h=h+4|0}while((h|0)<(i|0));f[g>>2]=e;e=a+48|0;f[a+44>>2]=e;f[e>>2]=0;f[a+52>>2]=0;f[a>>2]=1124007942;f[d>>2]=1124007936;e=d+4|0;g=d+8|0;j=d+40|0;h=e;i=h+36|0;do{f[h>>2]=0;h=h+4|0}while((h|0)<(i|0));f[j>>2]=g;g=d+48|0;h=d+44|0;f[h>>2]=g;f[g>>2]=0;f[d+52>>2]=0;i=f[b>>2]|0;sh[f[(f[i>>2]|0)+12>>2]&255](i,b,d,-1);lga(a,d)|0;a=d+36|0;b=f[a>>2]|0;if(b|0?(i=b+12|0,b=f[i>>2]|0,f[i>>2]=b+-1,(b|0)==1):0)aU(d);f[a>>2]=0;a=d+16|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;if((f[e>>2]|0)>0){a=f[j>>2]|0;j=0;do{f[a+(j<<2)>>2]=0;j=j+1|0}while((j|0)<(f[e>>2]|0))}e=f[h>>2]|0;if((e|0)==(g|0)){u=c;return}TC(e);u=c;return}function kga(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=a+8|0;d=a+40|0;e=a+4|0;g=e+36|0;do{f[e>>2]=0;e=e+4|0}while((e|0)<(g|0));f[d>>2]=c;c=a+48|0;f[a+44>>2]=c;f[c>>2]=0;f[a+52>>2]=0;f[a>>2]=1124007942;pga(a,b)|0;return}function lga(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;c=u;u=u+64|0;d=c;e=f[b>>2]|0;if((e&4095|0)==6){oga(a,b)|0;u=c;return a|0}if((e&7|0)!=6){e=d+8|0;f[e>>2]=0;f[e+4>>2]=0;f[d>>2]=-2113863674;f[d+4>>2]=a;kQ(b,d,6,1.0,0.0);u=c;return a|0}nU(d,b,1,f[b+4>>2]|0,0);if((a|0)==(d|0)){b=d+36|0;e=f[b>>2]|0;if((e|0)!=0?(g=e+12|0,e=f[g>>2]|0,f[g>>2]=e+-1,(e|0)==1):0){aU(d);h=b}else h=b}else{b=a+36|0;e=f[b>>2]|0;if(e|0?(g=e+12|0,e=f[g>>2]|0,f[g>>2]=e+-1,(e|0)==1):0)aU(a);f[b>>2]=0;e=a+16|0;g=a+4|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((f[g>>2]|0)>0){i=f[a+40>>2]|0;j=0;do{f[i+(j<<2)>>2]=0;j=j+1|0}while((j|0)<(f[g>>2]|0))}f[a>>2]=f[d>>2];j=d+4|0;i=f[j>>2]|0;f[g>>2]=i;g=d+8|0;k=a+8|0;f[k>>2]=f[g>>2];f[a+12>>2]=f[d+12>>2];f[e>>2]=f[d+16>>2];f[a+20>>2]=f[d+20>>2];f[a+24>>2]=f[d+24>>2];f[a+28>>2]=f[d+28>>2];f[a+32>>2]=f[d+32>>2];e=d+36|0;f[b>>2]=f[e>>2];b=a+44|0;l=f[b>>2]|0;m=a+48|0;if((l|0)==(m|0)){n=i;o=l}else{TC(l);f[b>>2]=m;f[a+40>>2]=k;n=f[j>>2]|0;o=m}m=d+44|0;if((n|0)<3){n=f[m>>2]|0;f[o>>2]=f[n>>2];f[o+4>>2]=f[n+4>>2]}else{f[b>>2]=f[m>>2];b=d+40|0;f[a+40>>2]=f[b>>2];f[m>>2]=d+48;f[b>>2]=g}f[d>>2]=1124007936;g=j;j=g+36|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(j|0));h=e}f[h>>2]=0;h=d+16|0;e=d+4|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;if((f[e>>2]|0)>0){h=f[d+40>>2]|0;g=0;do{f[h+(g<<2)>>2]=0;g=g+1|0}while((g|0)<(f[e>>2]|0))}e=f[d+44>>2]|0;if((e|0)!=(d+48|0))TC(e);u=c;return a|0}function mga(a){a=a|0;fuc(a);return}function nga(a,c){a=a|0;c=c|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0.0,X=0.0,Z=0.0,_=0.0,$=0,aa=0,ba=0,ca=0,da=0.0,ea=0.0,fa=0.0,ga=0.0,ha=0.0,ia=0.0,ja=0.0,ka=0.0,la=0.0,ma=0.0,na=0.0,oa=0.0,pa=0.0,qa=0.0,ra=0.0,sa=0.0,ta=0.0,ua=0.0,va=0.0,wa=0.0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0;e=u;u=u+16|0;g=e;h=f[c>>2]|0;i=f[c+4>>2]|0;if((h|0)>=(i|0)){u=e;return}c=a+12|0;j=a+16|0;k=a+24|0;l=f[k>>2]|0;m=l+8|0;o=l+16|0;q=l+32|0;r=l+40|0;s=l+56|0;t=l+64|0;l=a+20|0;v=a+4|0;w=a+96|0;x=a+72|0;y=a+64|0;z=a+120|0;A=a+112|0;B=a+104|0;C=a+80|0;D=a+88|0;E=a+128|0;F=a+136|0;G=a+144|0;H=a+152|0;I=a+28|0;J=a+48|0;K=a+32|0;L=a+56|0;M=a+40|0;a=h;a:while(1){h=f[c>>2]|0;N=(f[h+16>>2]|0)+(Y(f[f[h+44>>2]>>2]|0,a)|0)|0;h=f[j>>2]|0;O=f[h+16>>2]|0;if(O){P=f[h+4>>2]|0;if((P|0)<3)Q=Y(f[h+12>>2]|0,f[h+8>>2]|0)|0;else{R=f[h+40>>2]|0;S=0;T=1;while(1){U=Y(f[R+(S<<2)>>2]|0,T)|0;S=S+1|0;if((S|0)==(P|0)){Q=U;break}else T=U}}if(!((P|0)==0|(Q|0)==0))V=O+(Y(f[f[h+44>>2]>>2]|0,a)|0)|0;else V=0}else V=0;W=+(a|0);X=W*+p[m>>3]+ +p[o>>3];Z=W*+p[q>>3]+ +p[r>>3];_=W*+p[s>>3]+ +p[t>>3];T=f[l>>2]|0;switch(T|0){case 11:{if(!((N|0)!=0&(V|0)!=0)){$=13;break a}break}case 5:{if(!((N|0)!=0&(V|0)!=0)){$=15;break a}break}default:if(!N){$=19;break a}}S=f[v>>2]|0;if((S|0)>0){R=(T|0)==11;U=f[k>>2]|0;aa=U+24|0;ba=U+48|0;ca=(T|0)==5;W=+p[w>>3];da=+p[x>>3];ea=+p[y>>3];fa=+p[z>>3];ga=+p[A>>3];ha=+p[B>>3];ia=+p[C>>3];ja=+p[D>>3];ka=+p[E>>3];la=+p[F>>3];ma=+p[G>>3];na=+p[H>>3];oa=+p[J>>3];pa=X;X=Z;Z=_;T=0;while(1){_=1.0/Z;qa=_*pa;ra=X*_;_=qa*qa;sa=ra*ra;ta=sa+_;ua=ra*(qa*2.0);va=(ta*(ea+ta*(ta*W+da))+1.0)/(ta*(ha+ta*(ta*fa+ga))+1.0);wa=ta*(ta*la)+(ta*ka+((ta+_*2.0)*ja+(ua*ia+qa*va)));qa=ta*(ta*na)+(ta*ma+(ua*ja+((sa*2.0+ta)*ia+ra*va)));xa=f[I>>2]|0;va=+p[xa+64>>3]+(wa*+p[xa+48>>3]+0.0+qa*+p[xa+56>>3]);ra=va!=0.0?1.0/va:1.0;va=+p[K>>3]+(+p[xa+16>>3]+(+p[xa+8>>3]*qa+(+p[xa>>3]*wa+0.0)))*(oa*ra);ta=+p[M>>3]+(+p[xa+40>>3]+(wa*+p[xa+24>>3]+0.0+qa*+p[xa+32>>3]))*(+p[L>>3]*ra);if(R){xa=Fhc(va*32.0)|0;ya=Fhc(ta*32.0)|0;d[N+(T<<2)>>1]=xa>>>5;d[N+((T<<1|1)<<1)>>1]=ya>>>5;d[V+(T<<1)>>1]=ya<<5&992|xa&31}else{ra=va;if(ca){n[N+(T<<2)>>2]=ra;za=V+(T<<2)|0}else{xa=T<<1;n[N+(xa<<2)>>2]=ra;za=N+((xa|1)<<2)|0}n[za>>2]=ta}T=T+1|0;if((T|0)>=(S|0))break;else{pa=pa+ +p[U>>3];X=X+ +p[aa>>3];Z=Z+ +p[ba>>3]}}}a=a+1|0;if((a|0)>=(i|0)){$=3;break}}if(($|0)==3){u=e;return}else if(($|0)==13){e=cuc(32)|0;f[g>>2]=e;f[g+8>>2]=-2147483616;f[g+4>>2]=24;Aa=e;Ba=261278;Ca=Aa+24|0;do{b[Aa>>0]=b[Ba>>0]|0;Aa=Aa+1|0;Ba=Ba+1|0}while((Aa|0)<(Ca|0));b[e+24>>0]=0;WD(-215,g,531152,260757,117)}else if(($|0)==15){e=cuc(32)|0;f[g>>2]=e;f[g+8>>2]=-2147483616;f[g+4>>2]=26;Aa=e;Ba=261303;Ca=Aa+26|0;do{b[Aa>>0]=b[Ba>>0]|0;Aa=Aa+1|0;Ba=Ba+1|0}while((Aa|0)<(Ca|0));b[e+26>>0]=0;WD(-215,g,531152,260757,119)}else if(($|0)==19){b[g+11>>0]=10;Aa=g;Ba=261330;Ca=Aa+10|0;do{b[Aa>>0]=b[Ba>>0]|0;Aa=Aa+1|0;Ba=Ba+1|0}while((Aa|0)<(Ca|0));b[g+10>>0]=0;WD(-215,g,531152,260757,121)}}function oga(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0;if((a|0)==(b|0))return a|0;c=a+36|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(a);f[c>>2]=0;d=a+16|0;e=a+4|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[e>>2]|0)>0){g=f[a+40>>2]|0;h=0;do{f[g+(h<<2)>>2]=0;h=h+1|0}while((h|0)<(f[e>>2]|0))}f[a>>2]=f[b>>2];h=b+4|0;f[e>>2]=f[h>>2];e=b+8|0;g=a+8|0;f[g>>2]=f[e>>2];f[a+12>>2]=f[b+12>>2];f[d>>2]=f[b+16>>2];f[a+20>>2]=f[b+20>>2];f[a+24>>2]=f[b+24>>2];f[a+28>>2]=f[b+28>>2];f[a+32>>2]=f[b+32>>2];f[c>>2]=f[b+36>>2];c=a+44|0;d=f[c>>2]|0;i=a+48|0;if((d|0)==(i|0))j=d;else{TC(d);f[c>>2]=i;f[a+40>>2]=g;j=i}i=b+44|0;if((f[h>>2]|0)<3){g=f[i>>2]|0;f[j>>2]=f[g>>2];f[j+4>>2]=f[g+4>>2]}else{f[c>>2]=f[i>>2];c=b+40|0;f[a+40>>2]=f[c>>2];f[i>>2]=b+48;f[c>>2]=e}f[b>>2]=1124007936;b=h;h=b+36|0;do{f[b>>2]=0;b=b+4|0}while((b|0)<(h|0));return a|0}function pga(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=u;u=u+64|0;e=d;g=f[c>>2]|0;if((g&4095|0)==6){if((a|0)==(c|0)){h=a;u=d;return h|0}i=c+36|0;j=f[i>>2]|0;if(j|0){k=j+12|0;f[k>>2]=(f[k>>2]|0)+1}k=a+36|0;j=f[k>>2]|0;if(j|0?(l=j+12|0,j=f[l>>2]|0,f[l>>2]=j+-1,(j|0)==1):0)aU(a);f[k>>2]=0;j=a+16|0;l=a+4|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;if((f[l>>2]|0)>0){m=f[a+40>>2]|0;n=0;do{f[m+(n<<2)>>2]=0;n=n+1|0;o=f[l>>2]|0}while((n|0)<(o|0));f[a>>2]=f[c>>2];if((o|0)<3)p=13;else p=15}else{f[a>>2]=f[c>>2];p=13}if((p|0)==13){o=f[c+4>>2]|0;if((o|0)<3){f[l>>2]=o;f[a+8>>2]=f[c+8>>2];f[a+12>>2]=f[c+12>>2];o=f[c+44>>2]|0;l=f[a+44>>2]|0;f[l>>2]=f[o>>2];f[l+4>>2]=f[o+4>>2]}else p=15}if((p|0)==15)$T(a,c);f[j>>2]=f[c+16>>2];f[a+20>>2]=f[c+20>>2];f[a+24>>2]=f[c+24>>2];f[a+28>>2]=f[c+28>>2];f[a+32>>2]=f[c+32>>2];f[k>>2]=f[i>>2];h=a;u=d;return h|0}if((g&7|0)==6){nU(e,c,1,f[c+4>>2]|0,0);i=lga(a,e)|0;k=e+36|0;j=f[k>>2]|0;if(j|0?(p=j+12|0,j=f[p>>2]|0,f[p>>2]=j+-1,(j|0)==1):0)aU(e);f[k>>2]=0;k=e+16|0;j=e+4|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;if((f[j>>2]|0)>0){k=f[e+40>>2]|0;p=0;do{f[k+(p<<2)>>2]=0;p=p+1|0}while((p|0)<(f[j>>2]|0))}j=f[e+44>>2]|0;if((j|0)!=(e+48|0))TC(j);h=i;u=d;return h|0}else{if(g&4088|0?f[c+16>>2]|0:0){g=f[c+4>>2]|0;if((g|0)<3)q=Y(f[c+12>>2]|0,f[c+8>>2]|0)|0;else{i=f[c+40>>2]|0;j=0;p=1;while(1){k=Y(f[i+(j<<2)>>2]|0,p)|0;j=j+1|0;if((j|0)==(g|0)){q=k;break}else p=k}}if(!((g|0)==0|(q|0)==0)){q=cuc(64)|0;f[e>>2]=q;f[e+8>>2]=-2147483584;f[e+4>>2]=52;g=q;p=261375;j=g+52|0;do{b[g>>0]=b[p>>0]|0;g=g+1|0;p=p+1|0}while((g|0)<(j|0));b[q+52>>0]=0;WD(-215,e,531142,466357,1711)}}q=e+8|0;f[q>>2]=0;f[q+4>>2]=0;f[e>>2]=-2113863674;f[e+4>>2]=a;kQ(c,e,6,1.0,0.0);h=a;u=d;return h|0}return 0}function qga(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0.0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0;h=u;u=u+1072|0;i=h+32|0;j=h+1056|0;k=h+1040|0;l=h+984|0;m=h+928|0;n=h+872|0;o=h+816|0;q=h+1048|0;r=h+760|0;s=h+704|0;t=h+648|0;v=h+592|0;w=h+536|0;x=h+480|0;y=h+416|0;z=h+360|0;A=h+304|0;B=h+288|0;C=h+272|0;D=h+472|0;E=h;F=h+256|0;gV(k,55556);do if((qJ(a)|0)==65536){G=f[a+4>>2]|0;f[l>>2]=f[G>>2];H=l+4|0;I=G+4|0;f[H>>2]=f[I>>2];J=l+8|0;f[J>>2]=f[G+8>>2];f[l+12>>2]=f[G+12>>2];f[l+16>>2]=f[G+16>>2];f[l+20>>2]=f[G+20>>2];f[l+24>>2]=f[G+24>>2];f[l+28>>2]=f[G+28>>2];f[l+32>>2]=f[G+32>>2];K=f[G+36>>2]|0;f[l+36>>2]=K;f[l+40>>2]=J;J=l+48|0;L=l+44|0;f[L>>2]=J;f[J>>2]=0;f[l+52>>2]=0;if(K|0){J=K+12|0;f[J>>2]=(f[J>>2]|0)+1}if((f[I>>2]|0)<3){I=f[G+44>>2]|0;J=f[L>>2]|0;f[J>>2]=f[I>>2];f[J+4>>2]=f[I+4>>2];break}else{f[H>>2]=0;$T(l,G);break}}else nJ(l,a,-1);while(0);do if((qJ(d)|0)==65536){a=f[d+4>>2]|0;f[m>>2]=f[a>>2];G=m+4|0;H=a+4|0;f[G>>2]=f[H>>2];I=m+8|0;f[I>>2]=f[a+8>>2];f[m+12>>2]=f[a+12>>2];f[m+16>>2]=f[a+16>>2];f[m+20>>2]=f[a+20>>2];f[m+24>>2]=f[a+24>>2];f[m+28>>2]=f[a+28>>2];f[m+32>>2]=f[a+32>>2];J=f[a+36>>2]|0;f[m+36>>2]=J;f[m+40>>2]=I;I=m+48|0;L=m+44|0;f[L>>2]=I;f[I>>2]=0;f[m+52>>2]=0;if(J|0){I=J+12|0;f[I>>2]=(f[I>>2]|0)+1}if((f[H>>2]|0)<3){H=f[a+44>>2]|0;I=f[L>>2]|0;f[I>>2]=f[H>>2];f[I+4>>2]=f[H+4>>2];break}else{f[G>>2]=0;$T(m,a);break}}else nJ(m,d,-1);while(0);do if((qJ(e)|0)==65536){d=f[e+4>>2]|0;f[n>>2]=f[d>>2];a=n+4|0;G=d+4|0;f[a>>2]=f[G>>2];H=n+8|0;f[H>>2]=f[d+8>>2];f[n+12>>2]=f[d+12>>2];f[n+16>>2]=f[d+16>>2];f[n+20>>2]=f[d+20>>2];f[n+24>>2]=f[d+24>>2];f[n+28>>2]=f[d+28>>2];f[n+32>>2]=f[d+32>>2];I=f[d+36>>2]|0;f[n+36>>2]=I;f[n+40>>2]=H;H=n+48|0;L=n+44|0;f[L>>2]=H;f[H>>2]=0;f[n+52>>2]=0;if(I|0){H=I+12|0;f[H>>2]=(f[H>>2]|0)+1}if((f[G>>2]|0)<3){G=f[d+44>>2]|0;H=f[L>>2]|0;f[H>>2]=f[G>>2];f[H+4>>2]=f[G+4>>2];break}else{f[a>>2]=0;$T(n,d);break}}else nJ(n,e,-1);while(0);do if((qJ(g)|0)==65536){e=f[g+4>>2]|0;f[o>>2]=f[e>>2];d=o+4|0;a=e+4|0;f[d>>2]=f[a>>2];G=o+8|0;f[G>>2]=f[e+8>>2];f[o+12>>2]=f[e+12>>2];f[o+16>>2]=f[e+16>>2];f[o+20>>2]=f[e+20>>2];f[o+24>>2]=f[e+24>>2];f[o+28>>2]=f[e+28>>2];f[o+32>>2]=f[e+32>>2];H=f[e+36>>2]|0;f[o+36>>2]=H;f[o+40>>2]=G;G=o+48|0;L=o+44|0;f[L>>2]=G;f[G>>2]=0;f[o+52>>2]=0;if(H|0){G=H+12|0;f[G>>2]=(f[G>>2]|0)+1}if((f[a>>2]|0)<3){a=f[e+44>>2]|0;G=f[L>>2]|0;f[G>>2]=f[a>>2];f[G+4>>2]=f[a+4>>2];break}else{f[d>>2]=0;$T(o,e);break}}else nJ(o,g,-1);while(0);g=l+40|0;e=f[g>>2]|0;d=f[e>>2]|0;f[q>>2]=f[e+4>>2];f[q+4>>2]=d;IJ(c,q,f[l>>2]&4095,-1,0,0);do if((qJ(c)|0)==65536){q=f[c+4>>2]|0;f[r>>2]=f[q>>2];d=r+4|0;e=q+4|0;f[d>>2]=f[e>>2];a=r+8|0;f[a>>2]=f[q+8>>2];f[r+12>>2]=f[q+12>>2];G=r+16|0;f[G>>2]=f[q+16>>2];f[r+20>>2]=f[q+20>>2];f[r+24>>2]=f[q+24>>2];f[r+28>>2]=f[q+28>>2];f[r+32>>2]=f[q+32>>2];L=f[q+36>>2]|0;f[r+36>>2]=L;f[r+40>>2]=a;a=r+48|0;H=r+44|0;f[H>>2]=a;f[a>>2]=0;f[r+52>>2]=0;if(L|0){a=L+12|0;f[a>>2]=(f[a>>2]|0)+1}if((f[e>>2]|0)<3){e=f[q+44>>2]|0;a=f[H>>2]|0;f[a>>2]=f[e>>2];f[a+4>>2]=f[e+4>>2];M=G;break}else{f[d>>2]=0;$T(r,q);M=G;break}}else{nJ(r,c,-1);M=r+16|0}while(0);c=l+16|0;if((f[M>>2]|0)==(f[c>>2]|0)){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;G=cuc(32)|0;f[i>>2]=G;f[i+8>>2]=-2147483616;f[i+4>>2]=20;N=G;q=261428;O=N+20|0;do{b[N>>0]=b[q>>0]|0;N=N+1|0;q=q+1|0}while((N|0)<(O|0));b[G+20>>0]=0;WD(-215,i,261449,260757,284)}G=l+12|0;q=f[G>>2]|0;d=4096/(((q|0)>1?q:1)>>>0)|0;e=l+8|0;a=f[e>>2]|0;H=d>>>0>1?d:1;d=(a|0)<(H|0)?a:H;f[s>>2]=1124007936;H=s+4|0;a=s+8|0;L=s+40|0;N=H;O=N+36|0;do{f[N>>2]=0;N=N+4|0}while((N|0)<(O|0));f[L>>2]=a;a=s+48|0;I=s+44|0;f[I>>2]=a;f[a>>2]=0;f[s+52>>2]=0;f[i>>2]=d;J=i+4|0;f[J>>2]=q;ZT(s,2,i,11);q=f[G>>2]|0;f[t>>2]=1124007936;K=t+4|0;P=t+8|0;Q=t+40|0;N=K;O=N+36|0;do{f[N>>2]=0;N=N+4|0}while((N|0)<(O|0));f[Q>>2]=P;P=t+48|0;R=t+44|0;f[R>>2]=P;f[P>>2]=0;f[t+52>>2]=0;f[i>>2]=d;f[J>>2]=q;ZT(t,2,i,2);q=v+4|0;S=v+8|0;T=v+40|0;N=q;O=N+36|0;do{f[N>>2]=0;N=N+4|0}while((N|0)<(O|0));f[T>>2]=S;S=v+48|0;U=v+44|0;f[U>>2]=S;f[S>>2]=0;f[v+52>>2]=0;f[v>>2]=1124007942;V=w+4|0;W=w+8|0;X=w+40|0;N=V;O=N+36|0;do{f[N>>2]=0;N=N+4|0}while((N|0)<(O|0));f[X>>2]=W;W=w+48|0;N=w+44|0;f[N>>2]=W;f[W>>2]=0;f[w+52>>2]=0;f[w>>2]=1124007942;BT(i,3,3,6);jga(x,i);Xi(i);O=i+8|0;f[O>>2]=0;f[O+4>>2]=0;f[i>>2]=-2113863674;f[i+4>>2]=v;kQ(m,i,6,1.0,0.0);O=n+16|0;Z=(f[O>>2]|0)==0;_=n+4|0;$=f[_>>2]|0;if(!Z){if(($|0)<3)aa=Y(f[n+12>>2]|0,f[n+8>>2]|0)|0;else{ba=f[n+40>>2]|0;ca=0;da=1;while(1){ea=Y(f[ba+(ca<<2)>>2]|0,da)|0;ca=ca+1|0;if((ca|0)==($|0)){aa=ea;break}else da=ea}}if(!(($|0)==0|(aa|0)==0)){kga(i,n);aa=n+36|0;da=f[aa>>2]|0;if(da|0?(ca=da+12|0,da=f[ca>>2]|0,f[ca>>2]=da+-1,(da|0)==1):0)aU(n);f[aa>>2]=0;f[O>>2]=0;f[O+4>>2]=0;f[O+8>>2]=0;f[O+12>>2]=0;if((f[_>>2]|0)>0){da=f[n+40>>2]|0;ca=0;do{f[da+(ca<<2)>>2]=0;ca=ca+1|0}while((ca|0)<(f[_>>2]|0))}f[n>>2]=f[i>>2];ca=i+4|0;da=f[ca>>2]|0;f[_>>2]=da;_=i+8|0;ba=n+8|0;f[ba>>2]=f[_>>2];f[n+12>>2]=f[i+12>>2];ea=i+16|0;f[O>>2]=f[ea>>2];f[n+20>>2]=f[i+20>>2];f[n+24>>2]=f[i+24>>2];f[n+28>>2]=f[i+28>>2];f[n+32>>2]=f[i+32>>2];fa=i+36|0;f[aa>>2]=f[fa>>2];aa=n+44|0;ga=f[aa>>2]|0;ha=n+48|0;if((ga|0)==(ha|0))ia=da;else{TC(ga);f[aa>>2]=ha;f[n+40>>2]=ba;ia=f[ca>>2]|0}ba=i+44|0;if((ia|0)<3){ia=f[ba>>2]|0;f[ha>>2]=f[ia>>2];f[n+52>>2]=f[ia+4>>2];ja=ia}else{f[aa>>2]=f[ba>>2];aa=i+40|0;f[n+40>>2]=f[aa>>2];ia=i+48|0;f[ba>>2]=ia;f[aa>>2]=_;ja=ia}f[i>>2]=1124007936;f[ca>>2]=0;f[ca+4>>2]=0;f[ca+8>>2]=0;f[ca+12>>2]=0;f[ca+16>>2]=0;f[ca+20>>2]=0;f[ca+24>>2]=0;f[ca+28>>2]=0;f[fa>>2]=0;f[ea>>2]=0;f[ea+4>>2]=0;f[ea+8>>2]=0;f[ea+12>>2]=0;if((ja|0)!=(i+48|0))TC(ja)}else ka=58}else ka=58;if((ka|0)==58){if(!(((($|0)<3?(f[n+8>>2]|0)==5:0)?(f[n+12>>2]|0)==1:0)?!((f[n>>2]&4095|0)!=6|Z):0))ka=62;if((ka|0)==62){f[i>>2]=5;f[J>>2]=1;ZT(n,2,i,6)};f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;f[i+16>>2]=0;f[i+20>>2]=0;f[i+24>>2]=0;f[i+28>>2]=0;GI(n,i)|0}J=o+16|0;if(f[J>>2]|0){Z=f[o+4>>2]|0;if((Z|0)<3)la=Y(f[o+12>>2]|0,f[o+8>>2]|0)|0;else{$=f[o+40>>2]|0;ja=0;ea=1;while(1){fa=Y(f[$+(ja<<2)>>2]|0,ea)|0;ja=ja+1|0;if((ja|0)==(Z|0)){la=fa;break}else ea=fa}}if(!((Z|0)==0|(la|0)==0)){la=i+8|0;f[la>>2]=0;f[la+4>>2]=0;f[i>>2]=-2113863674;f[i+4>>2]=w;kQ(o,i,6,1.0,0.0)}else ka=71}else ka=71;if((ka|0)==71){ka=i+8|0;f[ka>>2]=0;f[ka+4>>2]=0;f[i>>2]=-2113863674;f[i+4>>2]=w;EI(v,i)}ka=w+16|0;ma=+p[(f[ka>>2]|0)+(f[f[N>>2]>>2]|0)+16>>3];la=f[e>>2]|0;if((la|0)>0){Z=i+4|0;ea=j+4|0;ja=i+4|0;$=j+4|0;fa=i+4|0;ca=j+4|0;ia=i+8|0;_=i+12|0;aa=i+4|0;ba=j+8|0;ha=j+12|0;ga=j+4|0;da=B+8|0;na=B+12|0;oa=B+4|0;pa=C+8|0;qa=C+12|0;ra=C+4|0;sa=D+4|0;ta=E+8|0;ua=E+4|0;va=F+8|0;wa=F+4|0;xa=i+8|0;ya=i+12|0;za=i+4|0;Aa=j+8|0;Ba=j+4|0;Ca=B+8|0;Da=B+12|0;Ea=B+4|0;Fa=C+8|0;Ga=C+12|0;Ha=C+4|0;Ia=A+36|0;Ja=A+16|0;Ka=A+4|0;La=A+40|0;Ma=A+44|0;Na=A+48|0;Oa=z+36|0;Pa=z+16|0;Qa=z+4|0;Ra=z+40|0;Sa=z+44|0;Ta=z+48|0;Ua=y+36|0;Va=y+16|0;Wa=y+4|0;Xa=y+40|0;Ya=y+44|0;Za=y+48|0;_a=0;$a=la;do{la=$a-_a|0;ab=(la|0)<(d|0)?la:d;p[(f[ka>>2]|0)+(f[f[N>>2]>>2]|0)+16>>3]=ma-+(_a|0);f[i>>2]=0;f[Z>>2]=ab;f[j>>2]=-2147483648;f[ea>>2]=2147483647;bU(y,s,i,j);f[i>>2]=0;f[ja>>2]=ab;f[j>>2]=-2147483648;f[$>>2]=2147483647;bU(z,t,i,j);f[i>>2]=_a;f[fa>>2]=ab+_a;f[j>>2]=-2147483648;f[ca>>2]=2147483647;bU(A,r,i,j);f[ia>>2]=0;f[_>>2]=0;f[i>>2]=-2130640890;f[aa>>2]=v;f[ba>>2]=0;f[ha>>2]=0;f[j>>2]=16842752;f[ga>>2]=n;f[da>>2]=0;f[na>>2]=0;f[B>>2]=-2130640890;f[oa>>2]=x;f[pa>>2]=0;f[qa>>2]=0;f[C>>2]=-2130640890;f[ra>>2]=w;f[D>>2]=f[G>>2];f[sa>>2]=ab;ab=f[y>>2]&4095;la=ta;f[la>>2]=0;f[la+4>>2]=0;f[E>>2]=33619968;f[ua>>2]=y;la=va;f[la>>2]=0;f[la+4>>2]=0;f[F>>2]=33619968;f[wa>>2]=z;iga(i,j,B,C,D,ab,E,F);f[xa>>2]=0;f[ya>>2]=0;f[i>>2]=16842752;f[za>>2]=l;ab=Aa;f[ab>>2]=0;f[ab+4>>2]=0;f[j>>2]=33619968;f[Ba>>2]=A;f[Ca>>2]=0;f[Da>>2]=0;f[B>>2]=16842752;f[Ea>>2]=y;f[Fa>>2]=0;f[Ga>>2]=0;f[C>>2]=16842752;f[Ha>>2]=z;f[E>>2]=0;f[E+4>>2]=0;f[E+8>>2]=0;f[E+12>>2]=0;f[E+16>>2]=0;f[E+20>>2]=0;f[E+24>>2]=0;f[E+28>>2]=0;l1(i,j,B,C,1,0,E);ab=f[Ia>>2]|0;if(ab|0?(la=ab+12|0,ab=f[la>>2]|0,f[la>>2]=ab+-1,(ab|0)==1):0)aU(A);f[Ia>>2]=0;f[Ja>>2]=0;f[Ja+4>>2]=0;f[Ja+8>>2]=0;f[Ja+12>>2]=0;if((f[Ka>>2]|0)>0){ab=f[La>>2]|0;la=0;do{f[ab+(la<<2)>>2]=0;la=la+1|0}while((la|0)<(f[Ka>>2]|0))}la=f[Ma>>2]|0;if((la|0)!=(Na|0))TC(la);la=f[Oa>>2]|0;if(la|0?(ab=la+12|0,la=f[ab>>2]|0,f[ab>>2]=la+-1,(la|0)==1):0)aU(z);f[Oa>>2]=0;f[Pa>>2]=0;f[Pa+4>>2]=0;f[Pa+8>>2]=0;f[Pa+12>>2]=0;if((f[Qa>>2]|0)>0){la=f[Ra>>2]|0;ab=0;do{f[la+(ab<<2)>>2]=0;ab=ab+1|0}while((ab|0)<(f[Qa>>2]|0))}ab=f[Sa>>2]|0;if((ab|0)!=(Ta|0))TC(ab);ab=f[Ua>>2]|0;if(ab|0?(la=ab+12|0,ab=f[la>>2]|0,f[la>>2]=ab+-1,(ab|0)==1):0)aU(y);f[Ua>>2]=0;f[Va>>2]=0;f[Va+4>>2]=0;f[Va+8>>2]=0;f[Va+12>>2]=0;if((f[Wa>>2]|0)>0){ab=f[Xa>>2]|0;la=0;do{f[ab+(la<<2)>>2]=0;la=la+1|0}while((la|0)<(f[Wa>>2]|0))}la=f[Ya>>2]|0;if((la|0)!=(Za|0))TC(la);_a=_a+d|0;$a=f[e>>2]|0}while(($a|0)>(_a|0))}_a=x+36|0;$a=f[_a>>2]|0;if($a|0?(e=$a+12|0,$a=f[e>>2]|0,f[e>>2]=$a+-1,($a|0)==1):0)aU(x);f[_a>>2]=0;_a=x+16|0;$a=x+4|0;f[_a>>2]=0;f[_a+4>>2]=0;f[_a+8>>2]=0;f[_a+12>>2]=0;if((f[$a>>2]|0)>0){_a=f[x+40>>2]|0;e=0;do{f[_a+(e<<2)>>2]=0;e=e+1|0}while((e|0)<(f[$a>>2]|0))}$a=f[x+44>>2]|0;if(($a|0)!=(x+48|0))TC($a);$a=w+36|0;x=f[$a>>2]|0;if(x|0?(e=x+12|0,x=f[e>>2]|0,f[e>>2]=x+-1,(x|0)==1):0)aU(w);f[$a>>2]=0;f[ka>>2]=0;f[ka+4>>2]=0;f[ka+8>>2]=0;f[ka+12>>2]=0;if((f[V>>2]|0)>0){ka=f[X>>2]|0;X=0;do{f[ka+(X<<2)>>2]=0;X=X+1|0}while((X|0)<(f[V>>2]|0))}V=f[N>>2]|0;if((V|0)!=(W|0))TC(V);V=v+36|0;W=f[V>>2]|0;if(W|0?(N=W+12|0,W=f[N>>2]|0,f[N>>2]=W+-1,(W|0)==1):0)aU(v);f[V>>2]=0;V=v+16|0;f[V>>2]=0;f[V+4>>2]=0;f[V+8>>2]=0;f[V+12>>2]=0;if((f[q>>2]|0)>0){V=f[T>>2]|0;T=0;do{f[V+(T<<2)>>2]=0;T=T+1|0}while((T|0)<(f[q>>2]|0))}q=f[U>>2]|0;if((q|0)!=(S|0))TC(q);q=t+36|0;S=f[q>>2]|0;do if(S|0){U=S+12|0;T=f[U>>2]|0;f[U>>2]=T+-1;if((T|0)!=1)break;aU(t)}while(0);f[q>>2]=0;q=t+16|0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;f[q+12>>2]=0;if((f[K>>2]|0)>0){q=f[Q>>2]|0;Q=0;do{f[q+(Q<<2)>>2]=0;Q=Q+1|0}while((Q|0)<(f[K>>2]|0))}K=f[R>>2]|0;if((K|0)!=(P|0))TC(K);K=s+36|0;P=f[K>>2]|0;do if(P|0){R=P+12|0;Q=f[R>>2]|0;f[R>>2]=Q+-1;if((Q|0)!=1)break;aU(s)}while(0);f[K>>2]=0;K=s+16|0;f[K>>2]=0;f[K+4>>2]=0;f[K+8>>2]=0;f[K+12>>2]=0;if((f[H>>2]|0)>0){K=f[L>>2]|0;L=0;do{f[K+(L<<2)>>2]=0;L=L+1|0}while((L|0)<(f[H>>2]|0))}H=f[I>>2]|0;if((H|0)!=(a|0))TC(H);H=r+36|0;a=f[H>>2]|0;do if(a|0){I=a+12|0;L=f[I>>2]|0;f[I>>2]=L+-1;if((L|0)!=1)break;aU(r)}while(0);f[H>>2]=0;H=r+4|0;f[M>>2]=0;f[M+4>>2]=0;f[M+8>>2]=0;f[M+12>>2]=0;if((f[H>>2]|0)>0){M=f[r+40>>2]|0;a=0;do{f[M+(a<<2)>>2]=0;a=a+1|0}while((a|0)<(f[H>>2]|0))}H=f[r+44>>2]|0;if((H|0)!=(r+48|0))TC(H);H=o+36|0;r=f[H>>2]|0;do if(r|0){a=r+12|0;M=f[a>>2]|0;f[a>>2]=M+-1;if((M|0)!=1)break;aU(o)}while(0);f[H>>2]=0;H=o+4|0;f[J>>2]=0;f[J+4>>2]=0;f[J+8>>2]=0;f[J+12>>2]=0;if((f[H>>2]|0)>0){J=f[o+40>>2]|0;r=0;do{f[J+(r<<2)>>2]=0;r=r+1|0}while((r|0)<(f[H>>2]|0))}H=f[o+44>>2]|0;if((H|0)!=(o+48|0))TC(H);H=n+36|0;o=f[H>>2]|0;do if(o|0){r=o+12|0;J=f[r>>2]|0;f[r>>2]=J+-1;if((J|0)!=1)break;aU(n)}while(0);f[H>>2]=0;H=n+4|0;f[O>>2]=0;f[O+4>>2]=0;f[O+8>>2]=0;f[O+12>>2]=0;if((f[H>>2]|0)>0){O=f[n+40>>2]|0;o=0;do{f[O+(o<<2)>>2]=0;o=o+1|0}while((o|0)<(f[H>>2]|0))}H=f[n+44>>2]|0;if((H|0)!=(n+48|0))TC(H);H=m+36|0;n=f[H>>2]|0;do if(n|0){o=n+12|0;O=f[o>>2]|0;f[o>>2]=O+-1;if((O|0)!=1)break;aU(m)}while(0);f[H>>2]=0;H=m+16|0;n=m+4|0;f[H>>2]=0;f[H+4>>2]=0;f[H+8>>2]=0;f[H+12>>2]=0;if((f[n>>2]|0)>0){H=f[m+40>>2]|0;O=0;do{f[H+(O<<2)>>2]=0;O=O+1|0}while((O|0)<(f[n>>2]|0))}n=f[m+44>>2]|0;if((n|0)!=(m+48|0))TC(n);n=l+36|0;m=f[n>>2]|0;do if(m|0){O=m+12|0;H=f[O>>2]|0;f[O>>2]=H+-1;if((H|0)!=1)break;aU(l)}while(0);f[n>>2]=0;n=l+4|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[n>>2]|0)>0){c=f[g>>2]|0;g=0;do{f[c+(g<<2)>>2]=0;g=g+1|0}while((g|0)<(f[n>>2]|0))}n=f[l+44>>2]|0;if((n|0)!=(l+48|0))TC(n);if(!(f[k+4>>2]|0)){u=h;return}u=h;return}function rga(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;g=u;u=u+48|0;h=g+12|0;i=g;if(!((c|0)!=0&(d|0)!=0&(e|0)!=0)){j=cuc(48)|0;f[h>>2]=j;f[h+8>>2]=-2147483600;f[h+4>>2]=45;k=j;l=261539;m=k+45|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));b[j+45>>0]=0;WD(-215,h,261585,261603,47)}j=f[c>>2]|0;if((((j&-65536|0)==1111621632?(n=f[c+24>>2]|0,(n|0)>0):0)?(f[c+20>>2]|0)>0:0)?f[c+16>>2]|0:0){if((j&4088|0)==0&(n|0)==2){VZ(c,h,2,0)|0;o=h}else o=c;c=f[o>>2]|0;h=c&4095;if((c&4094|0)!=12){n=cuc(96)|0;f[i>>2]=n;f[i+8>>2]=-2147483552;f[i+4>>2]=87;k=n;l=261707;m=k+87|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));b[n+87>>0]=0;WD(-210,i,261585,261603,63)}n=f[o+24>>2]|0;if((n|0)!=1)if((c&16384|0)==0?1:(f[o+20>>2]|0)!=1){p=cuc(80)|0;f[i>>2]=p;q=i+8|0;f[q>>2]=-2147483568;r=i+4|0;f[r>>2]=75;k=p;l=261795;m=k+75|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));s=p+75|0;b[s>>0]=0;WD(-5,i,261585,261603,68)}else{t=1;v=a&28672;w=h|v;x=c>>>3;y=x&511;z=y+1|0;A=c<<2;B=A&28;C=675553809>>>B;D=C&15;E=Y(D,z)|0;F=o+16|0;G=f[F>>2]|0;H=Y(t,n)|0;JK(w,88,E,G,H,d,e)|0;u=g;return d|0}if(!(c&16384)){p=cuc(80)|0;f[i>>2]=p;q=i+8|0;f[q>>2]=-2147483568;r=i+4|0;f[r>>2]=75;k=p;l=261795;m=k+75|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));s=p+75|0;b[s>>0]=0;WD(-5,i,261585,261603,68)}t=f[o+20>>2]|0;v=a&28672;w=h|v;x=c>>>3;y=x&511;z=y+1|0;A=c<<2;B=A&28;C=675553809>>>B;D=C&15;E=Y(D,z)|0;F=o+16|0;G=f[F>>2]|0;H=Y(t,n)|0;JK(w,88,E,G,H,d,e)|0;u=g;return d|0}d=cuc(48)|0;f[i>>2]=d;f[i+8>>2]=-2147483600;f[i+4>>2]=33;k=d;l=261673;m=k+33|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));b[d+33>>0]=0;WD(-5,i,261585,261603,54);return 0}function sga(a,c,e,g){a=a|0;c=c|0;e=e|0;g=g|0;var i=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0.0,Rb=0,Sb=0,Tb=0,Ub=0.0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0,qc=0,rc=0,sc=0,tc=0,uc=0,vc=0,wc=0,xc=0,yc=0,zc=0,Ac=0;i=u;u=u+1536|0;k=i+480|0;l=i;m=i+336|0;o=i+304|0;p=i+248|0;q=i+192|0;r=i+328|0;s=i+320|0;t=i+136|0;v=i+312|0;gV(o,55576);do if((qJ(a)|0)==65536){w=f[a+4>>2]|0;f[p>>2]=f[w>>2];x=p+4|0;y=w+4|0;f[x>>2]=f[y>>2];z=p+8|0;f[z>>2]=f[w+8>>2];f[p+12>>2]=f[w+12>>2];f[p+16>>2]=f[w+16>>2];f[p+20>>2]=f[w+20>>2];f[p+24>>2]=f[w+24>>2];f[p+28>>2]=f[w+28>>2];f[p+32>>2]=f[w+32>>2];A=f[w+36>>2]|0;f[p+36>>2]=A;B=p+40|0;f[B>>2]=z;z=p+48|0;C=p+44|0;f[C>>2]=z;f[z>>2]=0;f[p+52>>2]=0;if(A|0){z=A+12|0;f[z>>2]=(f[z>>2]|0)+1}if((f[y>>2]|0)<3){y=f[w+44>>2]|0;z=f[C>>2]|0;f[z>>2]=f[y>>2];f[z+4>>2]=f[y+4>>2];D=B;E=p;break}else{f[x>>2]=0;$T(p,w);D=B;E=p;break}}else{nJ(p,a,-1);D=p+40|0;E=p}while(0);f[q>>2]=1124007936;a=q+4|0;B=q+8|0;w=q+40|0;x=a;y=x+36|0;do{f[x>>2]=0;x=x+4|0}while((x|0)<(y|0));f[w>>2]=B;z=q+48|0;C=q+44|0;f[C>>2]=z;f[z>>2]=0;f[q+52>>2]=0;A=f[D>>2]|0;F=f[A+4>>2]|0;G=f[A>>2]|0;H=f[E>>2]|0;E=H>>>3&511;I=H&7;H=(I|0)==0;J=(I|0)==2;if((I|2|0)!=2){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;K=cuc(48)|0;f[k>>2]=K;f[k+8>>2]=-2147483600;f[k+4>>2]=33;x=K;L=261871;y=x+33|0;do{b[x>>0]=b[L>>0]|0;x=x+1|0;L=L+1|0}while((x|0)<(y|0));b[K+33>>0]=0;WD(-215,k,261905,261917,1670)}K=p+16|0;if(!(f[K>>2]|0)){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;M=cuc(16)|0;f[k>>2]=M;N=k+8|0;f[N>>2]=-2147483632;O=k+4|0;f[O>>2]=12;x=M;L=384929;y=x+12|0;do{b[x>>0]=b[L>>0]|0;x=x+1|0;L=L+1|0}while((x|0)<(y|0));P=M+12|0;b[P>>0]=0;WD(-215,k,261905,261917,1671)}Q=p+4|0;R=f[Q>>2]|0;if((R|0)<3)S=Y(f[p+12>>2]|0,f[p+8>>2]|0)|0;else{T=1;U=G;while(1){V=Y(f[A+(T<<2)>>2]|0,U)|0;T=T+1|0;if((T|0)==(R|0)){S=V;break}else U=V}}if((R|0)==0|(S|0)==0){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;M=cuc(16)|0;f[k>>2]=M;N=k+8|0;f[N>>2]=-2147483632;O=k+4|0;f[O>>2]=12;x=M;L=384929;y=x+12|0;do{b[x>>0]=b[L>>0]|0;x=x+1|0;L=L+1|0}while((x|0)<(y|0));P=M+12|0;b[P>>0]=0;WD(-215,k,261905,261917,1671)}a:do switch(e|0){case 89:case 88:case 87:case 86:{if(!((g|0)<2&(E|0)==0)){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;P=cuc(32)|0;f[k>>2]=P;f[k+8>>2]=-2147483616;f[k+4>>2]=20;x=P;L=261993;y=x+20|0;do{b[x>>0]=b[L>>0]|0;x=x+1|0;L=L+1|0}while((x|0)<(y|0));b[P+20>>0]=0;WD(-215,k,261905,261917,1678)}f[r>>2]=F;f[r+4>>2]=G;IJ(c,r,I,-1,0,0);do if((qJ(c)|0)==65536){M=f[c+4>>2]|0;f[k>>2]=f[M>>2];O=k+4|0;N=M+4|0;f[O>>2]=f[N>>2];S=k+8|0;f[S>>2]=f[M+8>>2];f[k+12>>2]=f[M+12>>2];f[k+16>>2]=f[M+16>>2];f[k+20>>2]=f[M+20>>2];f[k+24>>2]=f[M+24>>2];f[k+28>>2]=f[M+28>>2];f[k+32>>2]=f[M+32>>2];R=f[M+36>>2]|0;f[k+36>>2]=R;f[k+40>>2]=S;S=k+48|0;U=k+44|0;f[U>>2]=S;f[S>>2]=0;f[k+52>>2]=0;if(R|0){S=R+12|0;f[S>>2]=(f[S>>2]|0)+1}if((f[N>>2]|0)<3){N=f[M+44>>2]|0;S=f[U>>2]|0;f[S>>2]=f[N>>2];f[S+4>>2]=f[N+4>>2];break}else{f[O>>2]=0;$T(k,M);break}}else nJ(k,c,-1);while(0);P=q+36|0;M=f[P>>2]|0;if(M|0?(O=M+12|0,M=f[O>>2]|0,f[O>>2]=M+-1,(M|0)==1):0)aU(q);f[P>>2]=0;M=q+16|0;f[M>>2]=0;f[M+4>>2]=0;f[M+8>>2]=0;f[M+12>>2]=0;if((f[a>>2]|0)>0){O=f[w>>2]|0;N=0;do{f[O+(N<<2)>>2]=0;N=N+1|0}while((N|0)<(f[a>>2]|0))}f[q>>2]=f[k>>2];N=k+4|0;O=f[N>>2]|0;f[a>>2]=O;S=k+8|0;f[B>>2]=f[S>>2];U=q+12|0;f[U>>2]=f[k+12>>2];R=k+16|0;f[M>>2]=f[R>>2];f[q+20>>2]=f[k+20>>2];f[q+24>>2]=f[k+24>>2];f[q+28>>2]=f[k+28>>2];f[q+32>>2]=f[k+32>>2];T=k+36|0;f[P>>2]=f[T>>2];A=q+44|0;V=f[A>>2]|0;if((V|0)==(z|0))W=O;else{TC(V);f[A>>2]=z;f[w>>2]=B;W=f[N>>2]|0}V=k+44|0;if((W|0)<3){O=f[V>>2]|0;f[z>>2]=f[O>>2];f[q+52>>2]=f[O+4>>2];X=O}else{f[A>>2]=f[V>>2];A=k+40|0;f[q+40>>2]=f[A>>2];O=k+48|0;f[V>>2]=O;f[A>>2]=S;X=O}f[k>>2]=1124007936;f[N>>2]=0;f[N+4>>2]=0;f[N+8>>2]=0;f[N+12>>2]=0;f[N+16>>2]=0;f[N+20>>2]=0;f[N+24>>2]=0;f[N+28>>2]=0;f[T>>2]=0;f[R>>2]=0;f[R+4>>2]=0;f[R+8>>2]=0;f[R+12>>2]=0;if((X|0)!=(k+48|0))TC(X);if(H){R=f[D>>2]|0;T=f[R+4>>2]|0;N=f[R>>2]|0;R=k+4|0;O=(e&-2|0)==86;S=N+-2|0;f[R>>2]=S;f[k>>2]=T+-2;if((N|0)>2){f[l>>2]=0;f[l+4>>2]=S;tga(m,p,q,((e|0)==87|(e|0)==89)&1,O,k,O?1868:4899,O?4899:1868);O=f[a>>2]|0;if((O|0)<3)Z=Y(f[U>>2]|0,f[B>>2]|0)|0;else{S=f[w>>2]|0;N=0;T=1;while(1){A=Y(f[S+(N<<2)>>2]|0,T)|0;N=N+1|0;if((N|0)==(O|0)){Z=A;break}else T=A}}sZ(l,m,+(Z>>>0)*.0000152587890625);uga(m)}T=f[w>>2]|0;O=f[T+4>>2]|0;N=f[T>>2]|0;f[k>>2]=O;f[R>>2]=N;T=f[M>>2]|0;S=f[z>>2]|0;A=(O|0)>0;if((N|0)>2){if(A){O=0;do{b[T+O>>0]=b[T+(O+S)>>0]|0;V=f[R>>2]|0;_=T+((Y(V+-2|0,S)|0)+O)|0;$=T+((Y(V+-1|0,S)|0)+O)|0;b[$>>0]=b[_>>0]|0;O=O+1|0}while((O|0)<(f[k>>2]|0))}}else if(A?(O=T+(Y(N+-1|0,S)|0)|0,b[O>>0]=0,b[T>>0]=0,(f[k>>2]|0)>1):0){O=1;do{_=T+((Y((f[R>>2]|0)+-1|0,S)|0)+O)|0;b[_>>0]=0;b[T+O>>0]=0;O=O+1|0}while((O|0)<(f[k>>2]|0))}aa=P;break a}if(!J){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;O=cuc(64)|0;f[k>>2]=O;f[k+8>>2]=-2147483584;f[k+4>>2]=54;x=O;L=262014;y=x+54|0;do{b[x>>0]=b[L>>0]|0;x=x+1|0;L=L+1|0}while((x|0)<(y|0));b[O+54>>0]=0;WD(-210,k,261905,261917,1688)}T=f[D>>2]|0;S=f[T+4>>2]|0;R=f[T>>2]|0;T=k+4|0;N=(e&-2|0)==86;A=R+-2|0;f[T>>2]=A;f[k>>2]=S+-2;if((R|0)>2){f[l>>2]=0;f[l+4>>2]=A;vga(m,p,q,((e|0)==87|(e|0)==89)&1,N,k,N?1868:4899,N?4899:1868);N=f[a>>2]|0;if((N|0)<3)ba=Y(f[U>>2]|0,f[B>>2]|0)|0;else{A=f[w>>2]|0;R=0;S=1;while(1){_=Y(f[A+(R<<2)>>2]|0,S)|0;R=R+1|0;if((R|0)==(N|0)){ba=_;break}else S=_}}sZ(l,m,+(ba>>>0)*.0000152587890625);wga(m)}S=f[w>>2]|0;N=f[S+4>>2]|0;R=f[S>>2]|0;f[k>>2]=N;f[T>>2]=R;S=f[M>>2]|0;A=(f[z>>2]|0)>>>1;U=(N|0)>0;if((R|0)>2){if(U){O=Y(A,R+-2|0)|0;_=Y(A,R+-1|0)|0;$=0;do{d[S+($<<1)>>1]=d[S+($+A<<1)>>1]|0;d[S+($+_<<1)>>1]=d[S+($+O<<1)>>1]|0;$=$+1|0}while(($|0)!=(N|0))}}else if(U){$=Y(A,R+-1|0)|0;O=0;do{d[S+(O+$<<1)>>1]=0;d[S+(O<<1)>>1]=0;O=O+1|0}while((O|0)!=(N|0))}aa=P;break}case 142:case 141:case 140:case 139:{ca=(g|0)<1?4:g;da=70;break}case 65:case 64:case 63:case 62:case 49:case 48:case 47:case 46:{ca=g;da=70;break}case 138:case 137:case 136:case 135:{if(!(((g|0)<1|(g|0)==3)&(E|0)==0)){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;N=cuc(32)|0;f[k>>2]=N;f[k+8>>2]=-2147483616;f[k+4>>2]=20;x=N;L=262158;y=x+20|0;do{b[x>>0]=b[L>>0]|0;x=x+1|0;L=L+1|0}while((x|0)<(y|0));b[N+20>>0]=0;WD(-215,k,261905,261917,1729)}f[v>>2]=F;f[v+4>>2]=G;IJ(c,v,I|16,-1,0,0);do if((qJ(c)|0)==65536){P=f[c+4>>2]|0;f[k>>2]=f[P>>2];O=k+4|0;S=P+4|0;f[O>>2]=f[S>>2];$=k+8|0;f[$>>2]=f[P+8>>2];f[k+12>>2]=f[P+12>>2];f[k+16>>2]=f[P+16>>2];f[k+20>>2]=f[P+20>>2];f[k+24>>2]=f[P+24>>2];f[k+28>>2]=f[P+28>>2];f[k+32>>2]=f[P+32>>2];R=f[P+36>>2]|0;f[k+36>>2]=R;f[k+40>>2]=$;$=k+48|0;A=k+44|0;f[A>>2]=$;f[$>>2]=0;f[k+52>>2]=0;if(R|0){$=R+12|0;f[$>>2]=(f[$>>2]|0)+1}if((f[S>>2]|0)<3){S=f[P+44>>2]|0;$=f[A>>2]|0;f[$>>2]=f[S>>2];f[$+4>>2]=f[S+4>>2];break}else{f[O>>2]=0;$T(k,P);break}}else nJ(k,c,-1);while(0);N=q+36|0;P=f[N>>2]|0;if(P|0?(O=P+12|0,P=f[O>>2]|0,f[O>>2]=P+-1,(P|0)==1):0)aU(q);f[N>>2]=0;P=q+16|0;f[P>>2]=0;f[P+4>>2]=0;f[P+8>>2]=0;f[P+12>>2]=0;if((f[a>>2]|0)>0){O=f[w>>2]|0;S=0;do{f[O+(S<<2)>>2]=0;S=S+1|0}while((S|0)<(f[a>>2]|0))}f[q>>2]=f[k>>2];S=k+4|0;O=f[S>>2]|0;f[a>>2]=O;$=k+8|0;f[B>>2]=f[$>>2];A=q+12|0;f[A>>2]=f[k+12>>2];R=k+16|0;f[P>>2]=f[R>>2];f[q+20>>2]=f[k+20>>2];f[q+24>>2]=f[k+24>>2];f[q+28>>2]=f[k+28>>2];f[q+32>>2]=f[k+32>>2];U=k+36|0;f[N>>2]=f[U>>2];_=q+44|0;M=f[_>>2]|0;if((M|0)==(z|0))ea=O;else{TC(M);f[_>>2]=z;f[w>>2]=B;ea=f[S>>2]|0}M=k+44|0;if((ea|0)<3){O=f[M>>2]|0;f[z>>2]=f[O>>2];f[q+52>>2]=f[O+4>>2];fa=O}else{f[_>>2]=f[M>>2];_=k+40|0;f[q+40>>2]=f[_>>2];O=k+48|0;f[M>>2]=O;f[_>>2]=$;fa=O}f[k>>2]=1124007936;f[S>>2]=0;f[S+4>>2]=0;f[S+8>>2]=0;f[S+12>>2]=0;f[S+16>>2]=0;f[S+20>>2]=0;f[S+24>>2]=0;f[S+28>>2]=0;f[U>>2]=0;f[R>>2]=0;f[R+4>>2]=0;f[R+8>>2]=0;f[R+12>>2]=0;if((fa|0)!=(k+48|0))TC(fa);if(H){R=f[D>>2]|0;U=f[R+4>>2]|0;S=f[R>>2]|0;f[k>>2]=U;R=k+4|0;f[R>>2]=S;b:do if(!((U|0)<3|(S|0)<3)){f[k>>2]=U+-2;f[R>>2]=S+-2;Aga(l,p,q,k,(e+-135|0)>>>0<2&1,(e|2|0)==138&1);O=f[R>>2]|0;f[m>>2]=0;f[m+4>>2]=O;O=f[a>>2]|0;if((O|0)<3)ga=Y(f[A>>2]|0,f[B>>2]|0)|0;else{$=f[w>>2]|0;_=0;M=1;while(1){T=Y(f[$+(_<<2)>>2]|0,M)|0;_=_+1|0;if((_|0)==(O|0)){ga=T;break}else M=T}}sZ(m,l,+(ga>>>0)*.0000152587890625);Bga(l);M=f[w>>2]|0;O=f[M+4>>2]|0;_=f[M>>2]|0;f[R>>2]=_;M=f[q>>2]|0;$=Y((M>>>3&511)+1|0,O)|0;f[k>>2]=$;O=((f[z>>2]|0)>>>0)/((675553809>>>(M<<2&28)&15)>>>0)|0;M=f[P>>2]|0;T=M+(Y(O,_+-1|0)|0)|0;V=($|0)>0;if((_|0)<=2){if(V)ha=0;else break;while(1){b[T+ha>>0]=0;b[M+ha>>0]=0;ha=ha+1|0;if((ha|0)>=(f[k>>2]|0))break b}}if(V){_=M+O|0;$=T+(0-O)|0;ia=0;do{b[M+ia>>0]=b[_+ia>>0]|0;b[T+ia>>0]=b[$+ia>>0]|0;ia=ia+1|0}while((ia|0)<(f[k>>2]|0))}}else{f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;f[l+16>>2]=0;f[l+20>>2]=0;f[l+24>>2]=0;f[l+28>>2]=0;GI(q,l)|0}while(0);aa=N;break a}if(!J){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;R=cuc(80)|0;f[k>>2]=R;f[k+8>>2]=-2147483568;f[k+4>>2]=74;x=R;L=262179;y=x+74|0;do{b[x>>0]=b[L>>0]|0;x=x+1|0;L=L+1|0}while((x|0)<(y|0));b[R+74>>0]=0;WD(-210,k,261905,261917,1738)}S=f[D>>2]|0;U=f[S+4>>2]|0;ia=f[S>>2]|0;f[k>>2]=U;S=k+4|0;f[S>>2]=ia;c:do if(!((U|0)<3|(ia|0)<3)){f[k>>2]=U+-2;f[S>>2]=ia+-2;Cga(l,p,q,k,(e+-135|0)>>>0<2&1,(e|2|0)==138&1);$=f[S>>2]|0;f[m>>2]=0;f[m+4>>2]=$;$=f[a>>2]|0;if(($|0)<3)ja=Y(f[A>>2]|0,f[B>>2]|0)|0;else{T=f[w>>2]|0;_=0;M=1;while(1){O=Y(f[T+(_<<2)>>2]|0,M)|0;_=_+1|0;if((_|0)==($|0)){ja=O;break}else M=O}}sZ(m,l,+(ja>>>0)*.0000152587890625);Dga(l);M=f[w>>2]|0;$=f[M+4>>2]|0;_=f[M>>2]|0;f[S>>2]=_;M=f[q>>2]|0;T=Y((M>>>3&511)+1|0,$)|0;f[k>>2]=T;$=((f[z>>2]|0)>>>0)/((675553809>>>(M<<2&28)&15)>>>0)|0;M=f[P>>2]|0;O=M+((Y($,_+-1|0)|0)<<1)|0;V=(T|0)>0;if((_|0)<=2){if(V)ka=0;else break;while(1){d[O+(ka<<1)>>1]=0;d[M+(ka<<1)>>1]=0;ka=ka+1|0;if((ka|0)==(T|0))break c}}if(V){_=M+($<<1)|0;la=O+(0-$<<1)|0;ma=0;do{d[M+(ma<<1)>>1]=d[_+(ma<<1)>>1]|0;d[O+(ma<<1)>>1]=d[la+(ma<<1)>>1]|0;ma=ma+1|0}while((ma|0)!=(T|0))}}else{f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;f[l+16>>2]=0;f[l+20>>2]=0;f[l+24>>2]=0;f[l+28>>2]=0;GI(q,l)|0}while(0);aa=N;break}default:{f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;P=cuc(48)|0;f[k>>2]=P;f[k+8>>2]=-2147483600;f[k+4>>2]=43;x=P;L=262254;y=x+43|0;do{b[x>>0]=b[L>>0]|0;x=x+1|0;L=L+1|0}while((x|0)<(y|0));b[P+43>>0]=0;WD(-206,k,261905,261917,1743)}}while(0);if((da|0)==70){da=(ca|0)<1?3:ca;if(!((E|0)==0&(da+-3|0)>>>0<2)){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;E=cuc(48)|0;f[k>>2]=E;f[k+8>>2]=-2147483600;f[k+4>>2]=34;x=E;L=262069;y=x+34|0;do{b[x>>0]=b[L>>0]|0;x=x+1|0;L=L+1|0}while((x|0)<(y|0));b[E+34>>0]=0;WD(-215,k,261905,261917,1700)}f[s>>2]=F;f[s+4>>2]=G;IJ(c,s,(da<<3)+-8|I,-1,0,0);do if((qJ(c)|0)==65536){I=f[c+4>>2]|0;f[t>>2]=f[I>>2];da=t+4|0;s=I+4|0;f[da>>2]=f[s>>2];G=t+8|0;f[G>>2]=f[I+8>>2];f[t+12>>2]=f[I+12>>2];f[t+16>>2]=f[I+16>>2];f[t+20>>2]=f[I+20>>2];f[t+24>>2]=f[I+24>>2];f[t+28>>2]=f[I+28>>2];f[t+32>>2]=f[I+32>>2];F=f[I+36>>2]|0;f[t+36>>2]=F;f[t+40>>2]=G;G=t+48|0;E=t+44|0;f[E>>2]=G;f[G>>2]=0;f[t+52>>2]=0;if(F|0){G=F+12|0;f[G>>2]=(f[G>>2]|0)+1}if((f[s>>2]|0)<3){s=f[I+44>>2]|0;G=f[E>>2]|0;f[G>>2]=f[s>>2];f[G+4>>2]=f[s+4>>2];break}else{f[da>>2]=0;$T(t,I);break}}else nJ(t,c,-1);while(0);d:do switch(e|0){case 46:case 47:case 48:case 49:case 139:case 140:case 141:case 142:{if(H){xga(p,t,e);break d}if(!J){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;c=cuc(64)|0;f[k>>2]=c;f[k+8>>2]=-2147483584;f[k+4>>2]=53;x=c;L=262104;y=x+53|0;do{b[x>>0]=b[L>>0]|0;x=x+1|0;L=L+1|0}while((x|0)<(y|0));b[c+53>>0]=0;WD(-210,k,261905,261917,1715)}P=(f[t+48>>2]|0)>>>1;I=f[D>>2]|0;da=f[I+4>>2]|0;s=f[I>>2]|0;f[k>>2]=da;I=k+4|0;f[I>>2]=s;switch(e|0){case 46:case 47:case 139:{na=-1;break}default:na=(e|0)==140?-1:1}switch(e|0){case 142:case 47:case 49:case 140:{oa=1;break}default:oa=0}G=((f[t>>2]|0)>>>3&511)+1|0;E=s+-2|0;f[I>>2]=E;f[k>>2]=da+-2;if((s|0)>2){f[l>>2]=0;f[l+4>>2]=E;yga(m,p,t,oa,na,k);E=f[t+4>>2]|0;if((E|0)<3)pa=Y(f[t+12>>2]|0,f[t+8>>2]|0)|0;else{s=f[t+40>>2]|0;da=0;F=1;while(1){ca=Y(f[s+(da<<2)>>2]|0,F)|0;da=da+1|0;if((da|0)==(E|0)){pa=ca;break}else F=ca}}sZ(l,m,+(pa>>>0)*.0000152587890625);zga(m)}F=f[t+40>>2]|0;E=f[F+4>>2]|0;da=f[F>>2]|0;f[k>>2]=E;f[I>>2]=da;F=f[t+16>>2]|0;s=Y(E,G)|0;E=(s|0)>0;if((da|0)>2){if(E){c=Y(da+-2|0,P)|0;ca=Y(da+-1|0,P)|0;ka=0;do{d[F+(ka<<1)>>1]=d[F+(ka+P<<1)>>1]|0;d[F+(ka+ca<<1)>>1]=d[F+(ka+c<<1)>>1]|0;ka=ka+1|0}while((ka|0)!=(s|0))}}else if(E){ka=Y(da+-1|0,P)|0;c=0;do{d[F+(c+ka<<1)>>1]=0;d[F+(c<<1)>>1]=0;c=c+1|0}while((c|0)!=(s|0))}break}default:{if(!H){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;s=cuc(16)|0;f[k>>2]=s;f[k+8>>2]=-2147483632;f[k+4>>2]=14;x=s;L=388357;y=x+14|0;do{b[x>>0]=b[L>>0]|0;x=x+1|0;L=L+1|0}while((x|0)<(y|0));b[s+14>>0]=0;WD(-215,k,261905,261917,1719)}c=f[K>>2]|0;F=f[p+48>>2]|0;ka=f[t+16>>2]|0;P=f[t+48>>2]|0;da=f[D>>2]|0;E=f[da+4>>2]|0;ca=f[da>>2]|0;if((((E|0)>(ca|0)?ca:E)|0)<8){xga(p,t,e);break d}da=E<<1;G=E*3|0;I=E<<2;ja=E*5|0;B=E*6|0;ha=E*49|0;ga=E*147|0;fa=k+8|0;f[k>>2]=fa;ea=k+4|0;f[ea>>2]=ga;if(ga>>>0>520){v=euc(ga>>>0>2147483647?-1:ga<<1)|0;f[k>>2]=v;qa=v}else qa=fa;v=F<<1;ga=c+v|0;c=ca+-4|0;if((c|0)>2){g=E+-2|0;ba=E+-1|0;Z=(ba|0)>1;X=~F;W=F+-1|0;r=0-F|0;N=1-F|0;S=F+1|0;A=(g|0)>2;ia=G+-9|0;U=g*3|0;R=E+1|0;T=da|1;ma=da+-1|0;la=G+-1|0;O=G+1|0;_=r<<1;M=_+-1|0;$=_|1;V=v+-1|0;ra=v|1;sa=-2-F|0;ta=F+-2|0;ua=2-F|0;va=F+2|0;wa=I|1;xa=I+-1|0;ya=ja+-1|0;za=ja+1|0;Aa=Y(F,-2)|0;Ba=Aa+2|0;Ca=B|1;Da=v+-2|0;Ea=B+-1|0;Fa=Aa+-2|0;Aa=v+2|0;Ga=g+E|0;Ha=g+da|0;Ia=g+G|0;Ja=g+I|0;Ka=g+ja|0;La=g+B|0;Ma=(e|1|0)==63?0:2;Na=2;Oa=(e|0)!=62&(e|0)!=64;while(1){Pa=Y(Na,P)|0;Qa=(Na|0)==2?-1:1;do{Ra=Qa+Na|0;Sa=qa+((Y((Ra+-1|0)%3|0,ha)|0)<<1)+2|0;d[Sa+(g<<1)>>1]=0;d[Sa+-2>>1]=0;d[Sa+(Ga<<1)>>1]=0;d[Sa+(ba<<1)>>1]=0;d[Sa+(Ha<<1)>>1]=0;d[Sa+(ma<<1)>>1]=0;d[Sa+(Ia<<1)>>1]=0;d[Sa+(la<<1)>>1]=0;d[Sa+(Ja<<1)>>1]=0;d[Sa+(xa<<1)>>1]=0;d[Sa+(Ka<<1)>>1]=0;d[Sa+(ya<<1)>>1]=0;d[Sa+(La<<1)>>1]=0;d[Sa+(Ea<<1)>>1]=0;if(Z){Ta=Sa;Sa=ga+(Y(Ra,F)|0)+1|0;Ra=1;while(1){Ua=Sa+X|0;Va=Sa+W|0;Wa=(h[Ua>>0]|0)-(h[Va>>0]|0)|0;Xa=Sa+r|0;Ya=Sa+F|0;Za=(h[Xa>>0]|0)-(h[Ya>>0]|0)|0;_a=Sa+N|0;$a=Sa+S|0;ab=(h[_a>>0]|0)-(h[$a>>0]|0)|0;d[Ta>>1]=(((Za|0)>-1?Za:0-Za|0)<<1)+((Wa|0)>-1?Wa:0-Wa|0)+((ab|0)>-1?ab:0-ab|0);ab=(h[Ua>>0]|0)-(h[_a>>0]|0)|0;Wa=Sa+-1|0;Sa=Sa+1|0;Za=(h[Wa>>0]|0)-(h[Sa>>0]|0)|0;bb=(h[Va>>0]|0)-(h[$a>>0]|0)|0;d[Ta+(E<<1)>>1]=(((Za|0)>-1?Za:0-Za|0)<<1)+((ab|0)>-1?ab:0-ab|0)+((bb|0)>-1?bb:0-bb|0);bb=(h[_a>>0]|0)-(h[Va>>0]|0)|0;Va=Ta+(da<<1)|0;d[Va>>1]=((bb|0)>-1?bb:0-bb|0)<<1;bb=(h[Ua>>0]|0)-(h[$a>>0]|0)|0;$a=Ta+(G<<1)|0;d[$a>>1]=((bb|0)>-1?bb:0-bb|0)<<1;bb=(h[Xa>>0]|0)-(h[Wa>>0]|0)|0;Ua=(h[Ya>>0]|0)-(h[Sa>>0]|0)|0;d[Ta+(I<<1)>>1]=((bb|0)>-1?bb:0-bb|0)+(j[Va>>1]|0)+((Ua|0)>-1?Ua:0-Ua|0);Ua=(h[Xa>>0]|0)-(h[Sa>>0]|0)|0;Va=(h[Ya>>0]|0)-(h[Wa>>0]|0)|0;d[Ta+(ja<<1)>>1]=((Ua|0)>-1?Ua:0-Ua|0)+(j[$a>>1]|0)+((Va|0)>-1?Va:0-Va|0);d[Ta+(B<<1)>>1]=((h[Wa>>0]|0)+(h[Xa>>0]|0)+(h[Sa>>0]|0)+(h[Ya>>0]|0)|0)>>>1;Ra=Ra+1|0;if((Ra|0)==(ba|0))break;else Ta=Ta+2|0}}Qa=Qa+1|0}while((Qa|0)!=2);Qa=ka+Pa|0;if(A){Ta=Ma^2;Ra=Oa;Sa=qa+((Y((Na|0)%3|0,ha)|0)<<1)+4|0;Ya=qa+((Y((Na+-1|0)%3|0,ha)|0)<<1)+4|0;Xa=qa+((Y((Na+-2|0)%3|0,ha)|0)<<1)+4|0;Wa=Qa+6|0;Va=ga+(Y(Na,F)|0)+2|0;$a=2;while(1){Ua=j[Ya>>1]|0;bb=Ua+(j[Xa>>1]|0)|0;_a=(j[Sa>>1]|0)+Ua|0;Ua=j[Ya+(E<<1)>>1]|0;ab=Ua+(j[Ya+(ba<<1)>>1]|0)|0;Za=(j[Ya+(R<<1)>>1]|0)+Ua|0;Ua=_a>>>0<bb>>>0?_a:bb;cb=(ab|0)<(Ua|0)?ab:Ua;Ua=(Za|0)<(cb|0)?Za:cb;cb=bb>>>0<_a>>>0?_a:bb;db=(cb|0)<(ab|0)?ab:cb;cb=(db|0)<(Za|0)?Za:db;if(Ra){db=j[Ya+(da<<1)>>1]|0;eb=(j[Xa+(T<<1)>>1]|0)+(j[Xa+(da<<1)>>1]|0)+db+(j[Ya+(T<<1)>>1]|0)|0;fb=(j[Ya+(ma<<1)>>1]|0)+db+(j[Sa+(da<<1)>>1]|0)+(j[Sa+(ma<<1)>>1]|0)|0;db=j[Ya+(G<<1)>>1]|0;gb=(j[Xa+(la<<1)>>1]|0)+(j[Xa+(G<<1)>>1]|0)+db+(j[Ya+(la<<1)>>1]|0)|0;hb=(j[Ya+(O<<1)>>1]|0)+db+(j[Sa+(G<<1)>>1]|0)+(j[Sa+(O<<1)>>1]|0)|0;db=(eb|0)<(Ua|0)?eb:Ua;ib=(fb|0)<(db|0)?fb:db;db=(gb|0)<(ib|0)?gb:ib;ib=(cb|0)<(eb|0)?eb:cb;jb=(ib|0)<(fb|0)?fb:ib;ib=(jb|0)<(gb|0)?gb:jb;jb=(ib|0)<(hb|0)?hb:ib;ib=((jb|0)<2?1:jb>>>1)+((hb|0)<(db|0)?hb:db)|0;if((bb|0)<(ib|0)){kb=1;lb=(h[Va+r>>0]|0)<<1;mb=(h[Va>>0]|0)+(h[Va+_>>0]|0)|0;nb=(h[Va+$>>0]|0)+(h[Va+M>>0]|0)|0}else{kb=0;lb=0;mb=0;nb=0}if((_a|0)<(ib|0)){ob=kb+1|0;pb=((h[Va+F>>0]|0)<<1)+lb|0;qb=(h[Va+v>>0]|0)+mb+(h[Va>>0]|0)|0;rb=(h[Va+V>>0]|0)+nb+(h[Va+ra>>0]|0)|0}else{ob=kb;pb=lb;qb=mb;rb=nb}if((ab|0)<(ib|0)){sb=ob+1|0;tb=(h[Va+sa>>0]|0)+pb+(h[Va+ta>>0]|0)|0;ub=(h[Va+-2>>0]|0)+qb+(h[Va>>0]|0)|0;vb=((h[Va+-1>>0]|0)<<1)+rb|0}else{sb=ob;tb=pb;ub=qb;vb=rb}if((Za|0)<(ib|0)){wb=sb+1|0;xb=(h[Va+ua>>0]|0)+tb+(h[Va+va>>0]|0)|0;yb=(h[Va+2>>0]|0)+ub+(h[Va>>0]|0)|0;zb=((h[Va+1>>0]|0)<<1)+vb|0}else{wb=sb;xb=tb;yb=ub;zb=vb}if((eb|0)<(ib|0)){Ab=wb+1|0;Bb=(h[Va+r>>0]|0)+xb+(h[Va+ua>>0]|0)|0;Cb=((h[Va+N>>0]|0)<<1)+yb|0;Db=(h[Va+$>>0]|0)+zb+(h[Va+1>>0]|0)|0}else{Ab=wb;Bb=xb;Cb=yb;Db=zb}if((fb|0)<(ib|0)){Eb=Ab+1|0;Fb=(h[Va+F>>0]|0)+Bb+(h[Va+ta>>0]|0)|0;Gb=((h[Va+W>>0]|0)<<1)+Cb|0;Hb=(h[Va+V>>0]|0)+Db+(h[Va+-1>>0]|0)|0}else{Eb=Ab;Fb=Bb;Gb=Cb;Hb=Db}if((gb|0)<(ib|0)){Ib=Eb+1|0;Jb=(h[Va+sa>>0]|0)+Fb+(h[Va+r>>0]|0)|0;Kb=((h[Va+X>>0]|0)<<1)+Gb|0;Lb=(h[Va+M>>0]|0)+Hb+(h[Va+-1>>0]|0)|0}else{Ib=Eb;Jb=Fb;Kb=Gb;Lb=Hb}if((hb|0)<(ib|0)){Mb=Ib+1|0;Nb=(h[Va+va>>0]|0)+Jb+(h[Va+F>>0]|0)|0;Ob=((h[Va+S>>0]|0)<<1)+Kb|0;Pb=(h[Va+ra>>0]|0)+Lb+(h[Va+1>>0]|0)|0}else{Mb=Ib;Nb=Jb;Ob=Kb;Pb=Lb}ib=h[Va>>0]|0;Qb=+n[55596+(Mb<<2)>>2];Rb=ib;Sb=(Ghc(+(Pb-Ob|0)*Qb)|0)+ib|0;Tb=ib;Ub=Qb;Vb=Nb-Ob|0}else{ib=j[Ya+(I<<1)>>1]|0;hb=ib+(j[Xa+(wa<<1)>>1]|0)|0;gb=(j[Sa+(xa<<1)>>1]|0)+ib|0;ib=j[Ya+(ja<<1)>>1]|0;fb=ib+(j[Xa+(ya<<1)>>1]|0)|0;eb=(j[Sa+(za<<1)>>1]|0)+ib|0;ib=(hb|0)<(Ua|0)?hb:Ua;Ua=(gb|0)<(ib|0)?gb:ib;ib=(fb|0)<(Ua|0)?fb:Ua;Ua=(cb|0)<(hb|0)?hb:cb;cb=(Ua|0)<(gb|0)?gb:Ua;Ua=(cb|0)<(fb|0)?fb:cb;cb=(Ua|0)<(eb|0)?eb:Ua;Ua=((cb|0)<2?1:cb>>>1)+((eb|0)<(ib|0)?eb:ib)|0;ib=h[Va>>0]|0;if((bb|0)<(Ua|0)){Wb=1;Xb=(h[Va+N>>0]|0)+(h[Va+X>>0]|0)|0;Yb=(h[Va+r>>0]|0)<<1;Zb=(h[Va+_>>0]|0)+ib|0}else{Wb=0;Xb=0;Yb=0;Zb=0}if((_a|0)<(Ua|0)){_b=Wb+1|0;$b=(h[Va+W>>0]|0)+Xb+(h[Va+S>>0]|0)|0;ac=((h[Va+F>>0]|0)<<1)+Yb|0;bc=Zb+ib+(h[Va+v>>0]|0)|0}else{_b=Wb;$b=Xb;ac=Yb;bc=Zb}if((ab|0)<(Ua|0)){cc=_b+1|0;dc=(h[Va+X>>0]|0)+$b+(h[Va+W>>0]|0)|0;ec=((h[Va+-1>>0]|0)<<1)+ac|0;fc=bc+ib+(h[Va+-2>>0]|0)|0}else{cc=_b;dc=$b;ec=ac;fc=bc}if((Za|0)<(Ua|0)){gc=cc+1|0;hc=(h[Va+N>>0]|0)+dc+(h[Va+S>>0]|0)|0;ic=((h[Va+1>>0]|0)<<1)+ec|0;jc=fc+ib+(h[Va+2>>0]|0)|0}else{gc=cc;hc=dc;ic=ec;jc=fc}if((hb|0)<(Ua|0)){kc=gc+1|0;lc=((h[Va+N>>0]|0)<<1)+hc|0;mc=(j[Xa+(Ca<<1)>>1]|0)+ic|0;nc=jc+ib+(h[Va+Ba>>0]|0)|0}else{kc=gc;lc=hc;mc=ic;nc=jc}if((gb|0)<(Ua|0)){oc=kc+1|0;pc=((h[Va+W>>0]|0)<<1)+lc|0;qc=(j[Sa+(Ea<<1)>>1]|0)+mc|0;rc=nc+ib+(h[Va+Da>>0]|0)|0}else{oc=kc;pc=lc;qc=mc;rc=nc}if((fb|0)<(Ua|0)){sc=oc+1|0;tc=((h[Va+N>>0]|0)<<1)+pc|0;uc=(j[Xa+(Ea<<1)>>1]|0)+qc|0;vc=rc+ib+(h[Va+Fa>>0]|0)|0}else{sc=oc;tc=pc;uc=qc;vc=rc}if((eb|0)<(Ua|0)){wc=sc+1|0;xc=((h[Va+N>>0]|0)<<1)+tc|0;yc=(j[Sa+(Ca<<1)>>1]|0)+uc|0;zc=vc+ib+(h[Va+Aa>>0]|0)|0}else{wc=sc;xc=tc;yc=uc;zc=vc}Qb=+n[55596+(wc<<2)>>2];Rb=(Ghc(+(yc-zc|0)*Qb)|0)+ib|0;Sb=ib;Tb=ib;Ub=Qb;Vb=xc-zc|0}ib=(Ghc(+(Vb|0)*Ub)|0)+Tb|0;b[Wa+Ma>>0]=ib>>>0<256?ib:(ib|0)>0?255:0;b[Wa+1>>0]=Rb>>>0<256?Rb:(Rb|0)>0?255:0;b[Wa+Ta>>0]=Sb>>>0<256?Sb:(Sb|0)>0?255:0;$a=$a+1|0;if(($a|0)==(g|0)){Ac=Ta;break}else{Ra=Ra^1;Sa=Sa+2|0;Ya=Ya+2|0;Xa=Xa+2|0;Wa=Wa+3|0;Va=Va+1|0}}}else Ac=Ma^2;Va=ia+Pa|0;Wa=Pa+U|0;Xa=ka+(Pa+5)|0;b[Xa>>0]=b[ka+(Pa+8)>>0]|0;b[ka+Wa>>0]=b[ka+Va>>0]|0;Ya=ka+(Pa+4)|0;b[Ya>>0]=b[ka+(Pa+7)>>0]|0;b[ka+(Wa+1)>>0]=b[ka+(Va+1)>>0]|0;Sa=ka+(Pa+3)|0;b[Sa>>0]=b[ka+(Pa+6)>>0]|0;b[ka+(Wa+2)>>0]=b[ka+(Va+2)>>0]|0;b[ka+(Pa+2)>>0]=b[Xa>>0]|0;b[ka+(Wa+3)>>0]=b[ka+(Va+3)>>0]|0;b[ka+(Pa+1)>>0]=b[Ya>>0]|0;b[ka+(Wa+4)>>0]=b[ka+(Va+4)>>0]|0;b[Qa>>0]=b[Sa>>0]|0;b[ka+(Wa+5)>>0]=b[ka+(Va+5)>>0]|0;Na=Na+1|0;if((Na|0)==(c|0))break;else{Ma=Ac;Oa=Oa^1}}}if((G|0)>0){Oa=P<<1;Ma=Y(ca+-5|0,P)|0;Na=Y(ca+-1|0,P)|0;U=Y(ca+-2|0,P)|0;ia=Y(ca+-3|0,P)|0;g=Y(c,P)|0;Aa=0;do{Ca=b[ka+(Aa+Oa)>>0]|0;b[ka+(Aa+P)>>0]=Ca;b[ka+Aa>>0]=Ca;Ca=b[ka+(Aa+Ma)>>0]|0;b[ka+(Aa+Na)>>0]=Ca;b[ka+(Aa+U)>>0]=Ca;b[ka+(Aa+ia)>>0]=Ca;b[ka+(Aa+g)>>0]=Ca;Aa=Aa+1|0}while((Aa|0)!=(G|0))}G=f[k>>2]|0;if((G|0)!=(fa|0)){if(G|0)guc(G);f[k>>2]=fa;f[ea>>2]=520}}}while(0);k=t+36|0;Ac=f[k>>2]|0;if(Ac|0?(Sb=Ac+12|0,Ac=f[Sb>>2]|0,f[Sb>>2]=Ac+-1,(Ac|0)==1):0)aU(t);f[k>>2]=0;k=t+16|0;Ac=t+4|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;if((f[Ac>>2]|0)>0){k=f[t+40>>2]|0;Sb=0;do{f[k+(Sb<<2)>>2]=0;Sb=Sb+1|0}while((Sb|0)<(f[Ac>>2]|0))}Ac=f[t+44>>2]|0;if((Ac|0)!=(t+48|0))TC(Ac);aa=q+36|0}Ac=f[aa>>2]|0;if(Ac|0?(t=Ac+12|0,Ac=f[t>>2]|0,f[t>>2]=Ac+-1,(Ac|0)==1):0)aU(q);f[aa>>2]=0;aa=q+16|0;f[aa>>2]=0;f[aa+4>>2]=0;f[aa+8>>2]=0;f[aa+12>>2]=0;if((f[a>>2]|0)>0){aa=f[w>>2]|0;w=0;do{f[aa+(w<<2)>>2]=0;w=w+1|0}while((w|0)<(f[a>>2]|0))}a=f[C>>2]|0;if((a|0)!=(z|0))TC(a);a=p+36|0;z=f[a>>2]|0;if(z|0?(C=z+12|0,z=f[C>>2]|0,f[C>>2]=z+-1,(z|0)==1):0)aU(p);f[a>>2]=0;f[K>>2]=0;f[K+4>>2]=0;f[K+8>>2]=0;f[K+12>>2]=0;if((f[Q>>2]|0)>0){K=f[D>>2]|0;D=0;do{f[K+(D<<2)>>2]=0;D=D+1|0}while((D|0)<(f[Q>>2]|0))}Q=f[p+44>>2]|0;if((Q|0)!=(p+48|0))TC(Q);if(!(f[o+4>>2]|0)){u=i;return}u=i;return}function tga(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;k=g&1;f[a>>2]=55740;g=a+4|0;f[g>>2]=f[c>>2];l=a+8|0;m=c+4|0;f[l>>2]=f[m>>2];n=a+12|0;f[n>>2]=f[c+8>>2];f[a+16>>2]=f[c+12>>2];f[a+20>>2]=f[c+16>>2];f[a+24>>2]=f[c+20>>2];f[a+28>>2]=f[c+24>>2];f[a+32>>2]=f[c+28>>2];f[a+36>>2]=f[c+32>>2];o=f[c+36>>2]|0;f[a+40>>2]=o;f[a+44>>2]=n;n=a+52|0;p=a+48|0;f[p>>2]=n;f[n>>2]=0;f[a+56>>2]=0;if(o|0){n=o+12|0;f[n>>2]=(f[n>>2]|0)+1}if((f[m>>2]|0)<3){m=f[c+44>>2]|0;n=f[p>>2]|0;f[n>>2]=f[m>>2];f[n+4>>2]=f[m+4>>2]}else{f[l>>2]=0;$T(g,c)}c=a+60|0;f[c>>2]=f[d>>2];g=a+64|0;l=d+4|0;f[g>>2]=f[l>>2];m=a+68|0;f[m>>2]=f[d+8>>2];f[a+72>>2]=f[d+12>>2];f[a+76>>2]=f[d+16>>2];f[a+80>>2]=f[d+20>>2];f[a+84>>2]=f[d+24>>2];f[a+88>>2]=f[d+28>>2];f[a+92>>2]=f[d+32>>2];n=f[d+36>>2]|0;f[a+96>>2]=n;f[a+100>>2]=m;m=a+108|0;p=a+104|0;f[p>>2]=m;f[m>>2]=0;f[a+112>>2]=0;if(n|0){m=n+12|0;f[m>>2]=(f[m>>2]|0)+1}if((f[l>>2]|0)<3){l=f[d+44>>2]|0;m=f[p>>2]|0;f[m>>2]=f[l>>2];f[m+4>>2]=f[l+4>>2];q=a+116|0;f[q>>2]=e;r=a+120|0;b[r>>0]=k;s=a+124|0;t=f[h>>2]|0;f[s>>2]=t;u=a+128|0;v=h+4|0;w=f[v>>2]|0;f[u>>2]=w;x=a+132|0;f[x>>2]=i;y=a+136|0;f[y>>2]=j;return}else{f[g>>2]=0;$T(c,d);q=a+116|0;f[q>>2]=e;r=a+120|0;b[r>>0]=k;s=a+124|0;t=f[h>>2]|0;f[s>>2]=t;u=a+128|0;v=h+4|0;w=f[v>>2]|0;f[u>>2]=w;x=a+132|0;f[x>>2]=i;y=a+136|0;f[y>>2]=j;return}}function uga(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=55740;b=a+60|0;c=a+96|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+76|0;b=a+64|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+100>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+104>>2]|0;if((b|0)!=(a+108|0))TC(b);b=a+4|0;d=a+40|0;c=f[d>>2]|0;if(c|0?(e=c+12|0,c=f[e>>2]|0,f[e>>2]=c+-1,(c|0)==1):0)aU(b);f[d>>2]=0;d=a+20|0;b=a+8|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[b>>2]|0)>0){d=f[a+44>>2]|0;c=0;do{f[d+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[b>>2]|0))}b=f[a+48>>2]|0;if((b|0)==(a+52|0))return;TC(b);return}function vga(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;k=g&1;f[a>>2]=55720;g=a+4|0;f[g>>2]=f[c>>2];l=a+8|0;m=c+4|0;f[l>>2]=f[m>>2];n=a+12|0;f[n>>2]=f[c+8>>2];f[a+16>>2]=f[c+12>>2];f[a+20>>2]=f[c+16>>2];f[a+24>>2]=f[c+20>>2];f[a+28>>2]=f[c+24>>2];f[a+32>>2]=f[c+28>>2];f[a+36>>2]=f[c+32>>2];o=f[c+36>>2]|0;f[a+40>>2]=o;f[a+44>>2]=n;n=a+52|0;p=a+48|0;f[p>>2]=n;f[n>>2]=0;f[a+56>>2]=0;if(o|0){n=o+12|0;f[n>>2]=(f[n>>2]|0)+1}if((f[m>>2]|0)<3){m=f[c+44>>2]|0;n=f[p>>2]|0;f[n>>2]=f[m>>2];f[n+4>>2]=f[m+4>>2]}else{f[l>>2]=0;$T(g,c)}c=a+60|0;f[c>>2]=f[d>>2];g=a+64|0;l=d+4|0;f[g>>2]=f[l>>2];m=a+68|0;f[m>>2]=f[d+8>>2];f[a+72>>2]=f[d+12>>2];f[a+76>>2]=f[d+16>>2];f[a+80>>2]=f[d+20>>2];f[a+84>>2]=f[d+24>>2];f[a+88>>2]=f[d+28>>2];f[a+92>>2]=f[d+32>>2];n=f[d+36>>2]|0;f[a+96>>2]=n;f[a+100>>2]=m;m=a+108|0;p=a+104|0;f[p>>2]=m;f[m>>2]=0;f[a+112>>2]=0;if(n|0){m=n+12|0;f[m>>2]=(f[m>>2]|0)+1}if((f[l>>2]|0)<3){l=f[d+44>>2]|0;m=f[p>>2]|0;f[m>>2]=f[l>>2];f[m+4>>2]=f[l+4>>2];q=a+116|0;f[q>>2]=e;r=a+120|0;b[r>>0]=k;s=a+124|0;t=f[h>>2]|0;f[s>>2]=t;u=a+128|0;v=h+4|0;w=f[v>>2]|0;f[u>>2]=w;x=a+132|0;f[x>>2]=i;y=a+136|0;f[y>>2]=j;return}else{f[g>>2]=0;$T(c,d);q=a+116|0;f[q>>2]=e;r=a+120|0;b[r>>0]=k;s=a+124|0;t=f[h>>2]|0;f[s>>2]=t;u=a+128|0;v=h+4|0;w=f[v>>2]|0;f[u>>2]=w;x=a+132|0;f[x>>2]=i;y=a+136|0;f[y>>2]=j;return}}function wga(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=55720;b=a+60|0;c=a+96|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+76|0;b=a+64|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+100>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+104>>2]|0;if((b|0)!=(a+108|0))TC(b);b=a+4|0;d=a+40|0;c=f[d>>2]|0;if(c|0?(e=c+12|0,c=f[e>>2]|0,f[e>>2]=c+-1,(c|0)==1):0)aU(b);f[d>>2]=0;d=a+20|0;b=a+8|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[b>>2]|0)>0){d=f[a+44>>2]|0;c=0;do{f[d+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[b>>2]|0))}b=f[a+48>>2]|0;if((b|0)==(a+52|0))return;TC(b);return}function xga(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;e=u;u=u+160|0;g=e+144|0;h=e+136|0;i=e;j=f[c+48>>2]|0;k=f[a+40>>2]|0;l=f[k+4>>2]|0;m=f[k>>2]|0;f[g>>2]=l;k=g+4|0;f[k>>2]=m;switch(d|0){case 46:case 47:case 139:{n=-1;break}default:n=(d|0)==140?-1:1}switch(d|0){case 142:case 47:case 49:case 140:{o=1;break}default:o=0}d=((f[c>>2]|0)>>>3&511)+1|0;p=m+-2|0;f[k>>2]=p;f[g>>2]=l+-2;if((m|0)>2){f[h>>2]=0;f[h+4>>2]=p;Kga(i,a,c,o,n,g);n=f[c+4>>2]|0;if((n|0)<3)q=Y(f[c+12>>2]|0,f[c+8>>2]|0)|0;else{o=f[c+40>>2]|0;a=0;p=1;while(1){m=Y(f[o+(a<<2)>>2]|0,p)|0;a=a+1|0;if((a|0)==(n|0)){q=m;break}else p=m}}sZ(h,i,+(q>>>0)*.0000152587890625);Lga(i)}i=f[c+40>>2]|0;q=f[i+4>>2]|0;h=f[i>>2]|0;f[g>>2]=q;f[k>>2]=h;i=f[c+16>>2]|0;c=(Y(q,d)|0)>0;if((h|0)>2){if(c)r=0;else{u=e;return}do{b[i+r>>0]=b[i+(r+j)>>0]|0;q=f[k>>2]|0;p=i+((Y(q+-2|0,j)|0)+r)|0;n=i+((Y(q+-1|0,j)|0)+r)|0;b[n>>0]=b[p>>0]|0;r=r+1|0}while((r|0)<(Y(f[g>>2]|0,d)|0));u=e;return}if(!c){u=e;return}c=i+(Y(h+-1|0,j)|0)|0;b[c>>0]=0;b[i>>0]=0;if((Y(f[g>>2]|0,d)|0)>1)s=1;else{u=e;return}do{c=i+((Y((f[k>>2]|0)+-1|0,j)|0)+s)|0;b[c>>0]=0;b[i+s>>0]=0;s=s+1|0}while((s|0)<(Y(f[g>>2]|0,d)|0));u=e;return}function yga(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;f[a>>2]=55680;h=a+4|0;f[h>>2]=f[b>>2];i=a+8|0;j=b+4|0;f[i>>2]=f[j>>2];k=a+12|0;f[k>>2]=f[b+8>>2];f[a+16>>2]=f[b+12>>2];f[a+20>>2]=f[b+16>>2];f[a+24>>2]=f[b+20>>2];f[a+28>>2]=f[b+24>>2];f[a+32>>2]=f[b+28>>2];f[a+36>>2]=f[b+32>>2];l=f[b+36>>2]|0;f[a+40>>2]=l;f[a+44>>2]=k;k=a+52|0;m=a+48|0;f[m>>2]=k;f[k>>2]=0;f[a+56>>2]=0;if(l|0){k=l+12|0;f[k>>2]=(f[k>>2]|0)+1}if((f[j>>2]|0)<3){j=f[b+44>>2]|0;k=f[m>>2]|0;f[k>>2]=f[j>>2];f[k+4>>2]=f[j+4>>2]}else{f[i>>2]=0;$T(h,b)}b=a+60|0;f[b>>2]=f[c>>2];h=a+64|0;i=c+4|0;f[h>>2]=f[i>>2];j=a+68|0;f[j>>2]=f[c+8>>2];f[a+72>>2]=f[c+12>>2];f[a+76>>2]=f[c+16>>2];f[a+80>>2]=f[c+20>>2];f[a+84>>2]=f[c+24>>2];f[a+88>>2]=f[c+28>>2];f[a+92>>2]=f[c+32>>2];k=f[c+36>>2]|0;f[a+96>>2]=k;f[a+100>>2]=j;j=a+108|0;m=a+104|0;f[m>>2]=j;f[j>>2]=0;f[a+112>>2]=0;if(k|0){j=k+12|0;f[j>>2]=(f[j>>2]|0)+1}if((f[i>>2]|0)<3){i=f[c+44>>2]|0;j=f[m>>2]|0;f[j>>2]=f[i>>2];f[j+4>>2]=f[i+4>>2];n=a+116|0;f[n>>2]=d;o=a+120|0;f[o>>2]=e;p=a+124|0;q=f[g>>2]|0;f[p>>2]=q;r=a+128|0;s=g+4|0;t=f[s>>2]|0;f[r>>2]=t;return}else{f[h>>2]=0;$T(b,c);n=a+116|0;f[n>>2]=d;o=a+120|0;f[o>>2]=e;p=a+124|0;q=f[g>>2]|0;f[p>>2]=q;r=a+128|0;s=g+4|0;t=f[s>>2]|0;f[r>>2]=t;return}}function zga(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=55680;b=a+60|0;c=a+96|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+76|0;b=a+64|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+100>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+104>>2]|0;if((b|0)!=(a+108|0))TC(b);b=a+4|0;d=a+40|0;c=f[d>>2]|0;if(c|0?(e=c+12|0,c=f[e>>2]|0,f[e>>2]=c+-1,(c|0)==1):0)aU(b);f[d>>2]=0;d=a+20|0;b=a+8|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[b>>2]|0)>0){d=f[a+44>>2]|0;c=0;do{f[d+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[b>>2]|0))}b=f[a+48>>2]|0;if((b|0)==(a+52|0))return;TC(b);return}function Aga(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;f[a>>2]=55660;h=a+4|0;f[h>>2]=f[b>>2];i=a+8|0;j=b+4|0;f[i>>2]=f[j>>2];k=a+12|0;f[k>>2]=f[b+8>>2];f[a+16>>2]=f[b+12>>2];f[a+20>>2]=f[b+16>>2];f[a+24>>2]=f[b+20>>2];f[a+28>>2]=f[b+24>>2];f[a+32>>2]=f[b+28>>2];f[a+36>>2]=f[b+32>>2];l=f[b+36>>2]|0;f[a+40>>2]=l;f[a+44>>2]=k;k=a+52|0;m=a+48|0;f[m>>2]=k;f[k>>2]=0;f[a+56>>2]=0;if(l|0){k=l+12|0;f[k>>2]=(f[k>>2]|0)+1}if((f[j>>2]|0)<3){j=f[b+44>>2]|0;k=f[m>>2]|0;f[k>>2]=f[j>>2];f[k+4>>2]=f[j+4>>2]}else{f[i>>2]=0;$T(h,b)}b=a+60|0;f[b>>2]=f[c>>2];h=a+64|0;i=c+4|0;f[h>>2]=f[i>>2];j=a+68|0;f[j>>2]=f[c+8>>2];f[a+72>>2]=f[c+12>>2];f[a+76>>2]=f[c+16>>2];f[a+80>>2]=f[c+20>>2];f[a+84>>2]=f[c+24>>2];f[a+88>>2]=f[c+28>>2];f[a+92>>2]=f[c+32>>2];k=f[c+36>>2]|0;f[a+96>>2]=k;f[a+100>>2]=j;j=a+108|0;m=a+104|0;f[m>>2]=j;f[j>>2]=0;f[a+112>>2]=0;if(k|0){j=k+12|0;f[j>>2]=(f[j>>2]|0)+1}if((f[i>>2]|0)<3){i=f[c+44>>2]|0;j=f[m>>2]|0;f[j>>2]=f[i>>2];f[j+4>>2]=f[i+4>>2];n=a+116|0;o=f[d>>2]|0;f[n>>2]=o;p=a+120|0;q=d+4|0;r=f[q>>2]|0;f[p>>2]=r;s=a+124|0;f[s>>2]=e;t=a+128|0;f[t>>2]=g;return}else{f[h>>2]=0;$T(b,c);n=a+116|0;o=f[d>>2]|0;f[n>>2]=o;p=a+120|0;q=d+4|0;r=f[q>>2]|0;f[p>>2]=r;s=a+124|0;f[s>>2]=e;t=a+128|0;f[t>>2]=g;return}}function Bga(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=55660;b=a+60|0;c=a+96|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+76|0;b=a+64|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+100>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+104>>2]|0;if((b|0)!=(a+108|0))TC(b);b=a+4|0;d=a+40|0;c=f[d>>2]|0;if(c|0?(e=c+12|0,c=f[e>>2]|0,f[e>>2]=c+-1,(c|0)==1):0)aU(b);f[d>>2]=0;d=a+20|0;b=a+8|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[b>>2]|0)>0){d=f[a+44>>2]|0;c=0;do{f[d+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[b>>2]|0))}b=f[a+48>>2]|0;if((b|0)==(a+52|0))return;TC(b);return}function Cga(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;f[a>>2]=55640;h=a+4|0;f[h>>2]=f[b>>2];i=a+8|0;j=b+4|0;f[i>>2]=f[j>>2];k=a+12|0;f[k>>2]=f[b+8>>2];f[a+16>>2]=f[b+12>>2];f[a+20>>2]=f[b+16>>2];f[a+24>>2]=f[b+20>>2];f[a+28>>2]=f[b+24>>2];f[a+32>>2]=f[b+28>>2];f[a+36>>2]=f[b+32>>2];l=f[b+36>>2]|0;f[a+40>>2]=l;f[a+44>>2]=k;k=a+52|0;m=a+48|0;f[m>>2]=k;f[k>>2]=0;f[a+56>>2]=0;if(l|0){k=l+12|0;f[k>>2]=(f[k>>2]|0)+1}if((f[j>>2]|0)<3){j=f[b+44>>2]|0;k=f[m>>2]|0;f[k>>2]=f[j>>2];f[k+4>>2]=f[j+4>>2]}else{f[i>>2]=0;$T(h,b)}b=a+60|0;f[b>>2]=f[c>>2];h=a+64|0;i=c+4|0;f[h>>2]=f[i>>2];j=a+68|0;f[j>>2]=f[c+8>>2];f[a+72>>2]=f[c+12>>2];f[a+76>>2]=f[c+16>>2];f[a+80>>2]=f[c+20>>2];f[a+84>>2]=f[c+24>>2];f[a+88>>2]=f[c+28>>2];f[a+92>>2]=f[c+32>>2];k=f[c+36>>2]|0;f[a+96>>2]=k;f[a+100>>2]=j;j=a+108|0;m=a+104|0;f[m>>2]=j;f[j>>2]=0;f[a+112>>2]=0;if(k|0){j=k+12|0;f[j>>2]=(f[j>>2]|0)+1}if((f[i>>2]|0)<3){i=f[c+44>>2]|0;j=f[m>>2]|0;f[j>>2]=f[i>>2];f[j+4>>2]=f[i+4>>2];n=a+116|0;o=f[d>>2]|0;f[n>>2]=o;p=a+120|0;q=d+4|0;r=f[q>>2]|0;f[p>>2]=r;s=a+124|0;f[s>>2]=e;t=a+128|0;f[t>>2]=g;return}else{f[h>>2]=0;$T(b,c);n=a+116|0;o=f[d>>2]|0;f[n>>2]=o;p=a+120|0;q=d+4|0;r=f[q>>2]|0;f[p>>2]=r;s=a+124|0;f[s>>2]=e;t=a+128|0;f[t>>2]=g;return}}function Dga(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=55640;b=a+60|0;c=a+96|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+76|0;b=a+64|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+100>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+104>>2]|0;if((b|0)!=(a+108|0))TC(b);b=a+4|0;d=a+40|0;c=f[d>>2]|0;if(c|0?(e=c+12|0,c=f[e>>2]|0,f[e>>2]=c+-1,(c|0)==1):0)aU(b);f[d>>2]=0;d=a+20|0;b=a+8|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[b>>2]|0)>0){d=f[a+44>>2]|0;c=0;do{f[d+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[b>>2]|0))}b=f[a+48>>2]|0;if((b|0)==(a+52|0))return;TC(b);return}function Ega(a){a=a|0;Dga(a);fuc(a);return}function Fga(a,b){a=a|0;b=b|0;var c=0,e=0,g=0,h=0,i=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0;c=f[a+60>>2]|0;e=(c>>>3&511)+1|0;g=e<<1;h=((f[a+52>>2]|0)>>>0)/((675553809>>>(f[a+4>>2]<<2&28)&15)>>>0)|0;i=f[a+108>>2]|0;k=(i>>>0)/((675553809>>>(c<<2&28)&15)>>>0)|0;c=f[b>>2]|0;l=c+1|0;m=f[b+4>>2]|0;if((c|0)>=(m|0))return;b=c&1;n=(f[a+76>>2]|0)+(Y(l,i)|0)+(e<<1)|0;i=0-h|0;o=a+116|0;p=g-k|0;q=e-k|0;k=~h;r=1-h|0;s=h+-1|0;t=h+1|0;u=c;c=n;n=(f[a+20>>2]|0)+(Y(f[f[a+48>>2]>>2]|0,l)|0)+2|0;l=b^f[a+124>>2];v=b^f[a+128>>2];while(1){if(!v){w=1;x=c;y=n}else{a=l<<1;d[c+(a<<1)>>1]=((j[n+(h<<1)>>1]|0)+(j[n+(i<<1)>>1]|0)|0)>>>1;d[c+2>>1]=d[n>>1]|0;b=n+2|0;d[c+(2-a<<1)>>1]=((j[b>>1]|0)+(j[n+-2>>1]|0)|0)>>>1;w=2;x=c+(e<<1)|0;y=b}b=f[o>>2]|0;a=(w|0)<(b|0);if(!l)if(a){z=w;A=x;B=y;while(1){C=B+(r<<1)|0;D=B+(t<<1)|0;d[A>>1]=((j[B+(k<<1)>>1]|0)+2+(j[C>>1]|0)+(j[B+(s<<1)>>1]|0)+(j[D>>1]|0)|0)>>>2;E=j[B+-2>>1]|0;F=B+2|0;G=d[F>>1]|0;H=E-(G&65535)|0;I=j[B+(h<<1)>>1]|0;J=d[B+(i<<1)>>1]|0;K=I-(J&65535)|0;L=(((H|0)>-1?H:0-H|0)|0)>(((K|0)>-1?K:0-K|0)|0);d[A+2>>1]=((L?I:E)+1+((L?J:G)&65535)|0)>>>1;d[A+4>>1]=d[B>>1]|0;d[A+6>>1]=((j[C>>1]|0)+1+(j[D>>1]|0)|0)>>>1;d[A+8>>1]=d[F>>1]|0;F=B+4|0;d[A+10>>1]=((j[B>>1]|0)+1+(j[F>>1]|0)|0)>>>1;D=z+2|0;C=A+(g<<1)|0;if((D|0)<(b|0)){z=D;A=C;B=F}else{M=D;N=C;O=F;break}}}else{M=w;N=x;O=y}else if(a){B=w;A=x;z=y;while(1){d[A>>1]=d[z>>1]|0;F=j[z+-2>>1]|0;C=z+2|0;D=d[C>>1]|0;G=F-(D&65535)|0;J=j[z+(h<<1)>>1]|0;L=d[z+(i<<1)>>1]|0;E=J-(L&65535)|0;I=(((G|0)>-1?G:0-G|0)|0)>(((E|0)>-1?E:0-E|0)|0);d[A+2>>1]=((I?J:F)+1+((I?L:D)&65535)|0)>>>1;D=z+(r<<1)|0;L=z+(t<<1)|0;d[A+4>>1]=((j[D>>1]|0)+(j[z+(k<<1)>>1]|0)+(j[z+(s<<1)>>1]|0)+(j[L>>1]|0)|0)>>>2;I=z+4|0;d[A+6>>1]=((j[z>>1]|0)+1+(j[I>>1]|0)|0)>>>1;d[A+8>>1]=d[C>>1]|0;d[A+10>>1]=((j[D>>1]|0)+1+(j[L>>1]|0)|0)>>>1;L=B+2|0;D=A+(g<<1)|0;if((L|0)<(b|0)){B=L;A=D;z=I}else{M=L;N=D;O=I;break}}}else{M=w;N=x;O=y}if((M|0)>(b|0)){P=N;Q=O}else{z=l<<1;d[N+(z<<1)>>1]=((j[O+(k<<1)>>1]|0)+2+(j[O+(r<<1)>>1]|0)+(j[O+(s<<1)>>1]|0)+(j[O+(t<<1)>>1]|0)|0)>>>2;A=j[O+-2>>1]|0;B=O+2|0;a=d[B>>1]|0;I=A-(a&65535)|0;D=j[O+(h<<1)>>1]|0;L=d[O+(i<<1)>>1]|0;C=D-(L&65535)|0;F=(((I|0)>-1?I:0-I|0)|0)>(((C|0)>-1?C:0-C|0)|0);d[N+2>>1]=((F?D:A)+1+((F?L:a)&65535)|0)>>>1;d[N+(2-z<<1)>>1]=d[O>>1]|0;P=N+(e<<1)|0;Q=B}B=0;do{d[P+(B<<1)>>1]=d[P+(B-e<<1)>>1]|0;d[P+(q+B<<1)>>1]=d[P+(p+B<<1)>>1]|0;B=B+1|0}while((B|0)!=(e|0));u=u+1|0;if((u|0)>=(m|0))break;else{c=P+(g<<1)|0;n=Q+4|0;l=l^1;v=v^1}}return}function Gga(a){a=a|0;Bga(a);fuc(a);return}function Hga(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0;d=f[a+60>>2]|0;e=(d>>>3&511)+1|0;g=e<<1;i=((f[a+52>>2]|0)>>>0)/((675553809>>>(f[a+4>>2]<<2&28)&15)>>>0)|0;j=f[a+108>>2]|0;k=(j>>>0)/((675553809>>>(d<<2&28)&15)>>>0)|0;d=f[c>>2]|0;l=d+1|0;m=c+4|0;if((d|0)>=(f[m>>2]|0))return;c=d&1;n=(f[a+76>>2]|0)+(Y(l,j)|0)+e|0;j=0-i|0;o=a+116|0;p=g-k|0;q=e-k|0;k=~i;r=1-i|0;s=i+-1|0;t=i+1|0;u=d;d=n;n=(f[a+20>>2]|0)+(Y(f[f[a+48>>2]>>2]|0,l)|0)+1|0;l=c^f[a+124>>2];v=c^f[a+128>>2];while(1){if(!v){w=1;x=d;y=n}else{a=l<<1;b[d+a>>0]=((h[n+i>>0]|0)+(h[n+j>>0]|0)|0)>>>1;b[d+1>>0]=b[n>>0]|0;c=n+1|0;b[d+(2-a)>>0]=((h[c>>0]|0)+(h[n+-1>>0]|0)|0)>>>1;w=2;x=d+e|0;y=c}c=f[o>>2]|0;a=(w|0)<(c|0);if(!l)if(a){z=w;A=x;B=y;while(1){C=B+r|0;D=B+t|0;b[A>>0]=((h[B+k>>0]|0)+2+(h[C>>0]|0)+(h[B+s>>0]|0)+(h[D>>0]|0)|0)>>>2;E=h[B+-1>>0]|0;F=B+1|0;G=b[F>>0]|0;H=E-(G&255)|0;I=h[B+i>>0]|0;J=b[B+j>>0]|0;K=I-(J&255)|0;L=(((H|0)>-1?H:0-H|0)|0)>(((K|0)>-1?K:0-K|0)|0);b[A+1>>0]=((L?I:E)+1+((L?J:G)&255)|0)>>>1;b[A+2>>0]=b[B>>0]|0;b[A+3>>0]=((h[C>>0]|0)+1+(h[D>>0]|0)|0)>>>1;b[A+4>>0]=b[F>>0]|0;F=B+2|0;b[A+5>>0]=((h[B>>0]|0)+1+(h[F>>0]|0)|0)>>>1;D=z+2|0;C=A+g|0;G=f[o>>2]|0;if((D|0)<(G|0)){z=D;A=C;B=F}else{M=D;N=C;O=F;P=G;break}}}else{M=w;N=x;O=y;P=c}else if(a){B=w;A=x;z=y;while(1){b[A>>0]=b[z>>0]|0;G=h[z+-1>>0]|0;F=z+1|0;C=b[F>>0]|0;D=G-(C&255)|0;J=h[z+i>>0]|0;L=b[z+j>>0]|0;E=J-(L&255)|0;I=(((D|0)>-1?D:0-D|0)|0)>(((E|0)>-1?E:0-E|0)|0);b[A+1>>0]=((I?J:G)+1+((I?L:C)&255)|0)>>>1;C=z+r|0;L=z+t|0;b[A+2>>0]=((h[C>>0]|0)+(h[z+k>>0]|0)+(h[z+s>>0]|0)+(h[L>>0]|0)|0)>>>2;I=z+2|0;b[A+3>>0]=((h[z>>0]|0)+1+(h[I>>0]|0)|0)>>>1;b[A+4>>0]=b[F>>0]|0;b[A+5>>0]=((h[C>>0]|0)+1+(h[L>>0]|0)|0)>>>1;L=B+2|0;C=A+g|0;F=f[o>>2]|0;if((L|0)<(F|0)){B=L;A=C;z=I}else{M=L;N=C;O=I;P=F;break}}}else{M=w;N=x;O=y;P=c}if((M|0)>(P|0)){Q=N;R=O}else{z=l<<1;b[N+z>>0]=((h[O+k>>0]|0)+2+(h[O+r>>0]|0)+(h[O+s>>0]|0)+(h[O+t>>0]|0)|0)>>>2;A=h[O+-1>>0]|0;B=O+1|0;a=b[B>>0]|0;F=A-(a&255)|0;I=h[O+i>>0]|0;C=b[O+j>>0]|0;L=I-(C&255)|0;G=(((F|0)>-1?F:0-F|0)|0)>(((L|0)>-1?L:0-L|0)|0);b[N+1>>0]=((G?I:A)+1+((G?C:a)&255)|0)>>>1;b[N+(2-z)>>0]=b[O>>0]|0;Q=N+e|0;R=B}B=0;do{b[Q+B>>0]=b[Q+(B-e)>>0]|0;b[Q+(q+B)>>0]=b[Q+(p+B)>>0]|0;B=B+1|0}while((B|0)!=(e|0));u=u+1|0;if((u|0)>=(f[m>>2]|0))break;else{d=Q+g|0;n=R+2|0;l=l^1;v=v^1}}return}function Iga(a){a=a|0;zga(a);fuc(a);return}function Jga(a,b){a=a|0;b=b|0;var c=0,e=0,g=0,h=0,i=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0;c=((f[a+60>>2]|0)>>>3&511)+1|0;e=c<<1;g=f[a+52>>2]|0;h=g>>>1;i=f[b>>2]|0;k=(f[a+108>>2]|0)>>>1;l=f[a+120>>2]|0;m=f[a+116>>2]|0;n=(i&1|0)==0;o=f[b+4>>2]|0;if((i|0)>=(o|0))return;b=(f[a+76>>2]|0)+((Y(k,i+1|0)|0)<<1)+(c<<1)+2|0;p=(f[a+20>>2]|0)+((Y(i,h)|0)<<1)|0;q=a+124|0;a=f[q>>2]|0;r=(a|0)<1;s=(c|0)==3;t=Y(a,c)|0;u=t+1|0;v=t+-1|0;w=t+2|0;x=g|1;g=h+2|0;y=h+1|0;z=(c|0)==4;A=h<<1;B=A+2|0;C=A|1;D=h+3|0;E=b;b=i;i=p;p=n?m:(m|0)==0&1;m=n?l:0-l|0;while(1){l=i+(a<<1)|0;if(r){d[E+(u<<1)>>1]=0;d[E+(t<<1)>>1]=0;d[E+(v<<1)>>1]=0;if(s){F=-4;G=0;H=-3;I=-2}else{d[E+-6>>1]=0;d[E+-8>>1]=0;F=-2;G=-1;H=w;I=-5}d[E+(I<<1)>>1]=0;d[E+(H<<1)>>1]=G;d[E+(F<<1)>>1]=G;J=p;K=m}else{n=(p|0)!=0;if(n){L=i+2|0;M=((j[i+(h<<1)>>1]|0)+1+(j[i+(g<<1)>>1]|0)|0)>>>1;d[E+(0-m<<1)>>1]=((j[L>>1]|0)+1+(j[i+(x<<1)>>1]|0)|0)>>>1;d[E>>1]=d[i+(y<<1)>>1]|0;d[E+(m<<1)>>1]=M;if(z)d[E+4>>1]=-1;N=E+(c<<1)|0;O=L}else{N=E;O=i}L=(m|0)>0;M=l+-4|0;P=O>>>0>M>>>0;do if(s)if(L){if(P){Q=N;R=O;break}else{S=O;T=N}while(1){U=S+4|0;V=S+(B<<1)|0;W=S+(g<<1)|0;X=((j[S+2>>1]|0)+2+(j[S+(h<<1)>>1]|0)+(j[W>>1]|0)+(j[S+(C<<1)>>1]|0)|0)>>>2;d[T+-2>>1]=((j[S>>1]|0)+2+(j[U>>1]|0)+(j[S+(A<<1)>>1]|0)+(j[V>>1]|0)|0)>>>2;d[T>>1]=X;X=S+(y<<1)|0;d[T+2>>1]=d[X>>1]|0;Z=((j[X>>1]|0)+1+(j[S+(D<<1)>>1]|0)|0)>>>1;d[T+4>>1]=((j[U>>1]|0)+1+(j[V>>1]|0)|0)>>>1;d[T+6>>1]=d[W>>1]|0;d[T+8>>1]=Z;Z=T+(e<<1)|0;if(U>>>0>M>>>0){Q=Z;R=U;break}else{S=U;T=Z}}}else{if(P){Q=N;R=O;break}else{_=O;$=N}while(1){Z=_+4|0;U=_+(B<<1)|0;W=_+(g<<1)|0;V=((j[_+2>>1]|0)+2+(j[_+(h<<1)>>1]|0)+(j[W>>1]|0)+(j[_+(C<<1)>>1]|0)|0)>>>2;d[$+2>>1]=((j[_>>1]|0)+2+(j[Z>>1]|0)+(j[_+(A<<1)>>1]|0)+(j[U>>1]|0)|0)>>>2;d[$>>1]=V;V=_+(y<<1)|0;d[$+-2>>1]=d[V>>1]|0;X=((j[V>>1]|0)+1+(j[_+(D<<1)>>1]|0)|0)>>>1;d[$+8>>1]=((j[Z>>1]|0)+1+(j[U>>1]|0)|0)>>>1;d[$+6>>1]=d[W>>1]|0;d[$+4>>1]=X;X=$+(e<<1)|0;if(Z>>>0>M>>>0){Q=X;R=Z;break}else{_=Z;$=X}}}else if(L){if(P){Q=N;R=O;break}else{aa=O;ba=N}while(1){X=aa+4|0;Z=aa+(B<<1)|0;W=aa+(g<<1)|0;U=((j[aa+2>>1]|0)+2+(j[aa+(h<<1)>>1]|0)+(j[W>>1]|0)+(j[aa+(C<<1)>>1]|0)|0)>>>2;d[ba+-2>>1]=((j[aa>>1]|0)+2+(j[X>>1]|0)+(j[aa+(A<<1)>>1]|0)+(j[Z>>1]|0)|0)>>>2;d[ba>>1]=U;U=aa+(y<<1)|0;d[ba+2>>1]=d[U>>1]|0;d[ba+4>>1]=-1;V=((j[U>>1]|0)+1+(j[aa+(D<<1)>>1]|0)|0)>>>1;d[ba+6>>1]=((j[X>>1]|0)+1+(j[Z>>1]|0)|0)>>>1;d[ba+8>>1]=d[W>>1]|0;d[ba+10>>1]=V;d[ba+12>>1]=-1;V=ba+(e<<1)|0;if(X>>>0>M>>>0){Q=V;R=X;break}else{aa=X;ba=V}}}else{if(P){Q=N;R=O;break}else{ca=O;da=N}while(1){V=ca+4|0;X=ca+(B<<1)|0;W=((j[ca>>1]|0)+2+(j[V>>1]|0)+(j[ca+(A<<1)>>1]|0)+(j[X>>1]|0)|0)>>>2;Z=ca+(g<<1)|0;U=((j[ca+2>>1]|0)+2+(j[ca+(h<<1)>>1]|0)+(j[Z>>1]|0)+(j[ca+(C<<1)>>1]|0)|0)>>>2;ea=ca+(y<<1)|0;d[da+-2>>1]=d[ea>>1]|0;d[da>>1]=U;d[da+2>>1]=W;d[da+4>>1]=-1;W=((j[V>>1]|0)+1+(j[X>>1]|0)|0)>>>1;d[da+6>>1]=((j[ea>>1]|0)+1+(j[ca+(D<<1)>>1]|0)|0)>>>1;d[da+8>>1]=d[Z>>1]|0;d[da+10>>1]=W;d[da+12>>1]=-1;W=da+(e<<1)|0;if(V>>>0>M>>>0){Q=W;R=V;break}else{ca=V;da=W}}}while(0);if(R>>>0<l>>>0?(M=((j[R+2>>1]|0)+2+(j[R+(h<<1)>>1]|0)+(j[R+(g<<1)>>1]|0)+(j[R+(C<<1)>>1]|0)|0)>>>2,d[Q+(0-m<<1)>>1]=((j[R>>1]|0)+2+(j[R+4>>1]|0)+(j[R+(A<<1)>>1]|0)+(j[R+(B<<1)>>1]|0)|0)>>>2,d[Q>>1]=M,d[Q+(m<<1)>>1]=d[R+(y<<1)>>1]|0,z):0)d[Q+4>>1]=-1;M=d[E+-2>>1]|0;P=d[E+2>>1]|0;L=d[E>>1]|0;W=Y(f[q>>2]|0,c)|0;V=W+-4|0;if(s){d[E+-8>>1]=M;d[E+-6>>1]=L;d[E+-4>>1]=P;fa=W;ga=d[E+(V<<1)>>1]|0;ha=1}else{d[E+-10>>1]=M;d[E+-8>>1]=L;d[E+-6>>1]=P;d[E+-4>>1]=d[E+4>>1]|0;P=d[E+(W+-5<<1)>>1]|0;d[E+(W<<1)>>1]=d[E+(V<<1)>>1]|0;fa=W+1|0;ga=P;ha=2}d[E+(W+-1<<1)>>1]=ga;d[E+(fa<<1)>>1]=d[E+(W+-3<<1)>>1]|0;d[E+(ha+W<<1)>>1]=d[E+(W+-2<<1)>>1]|0;J=(n^1)&1;K=0-m|0}b=b+1|0;if((b|0)>=(o|0))break;else{E=E+(k<<1)|0;i=i+(h<<1)|0;p=J;m=K}}return}function Kga(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;f[a>>2]=55700;h=a+4|0;f[h>>2]=f[b>>2];i=a+8|0;j=b+4|0;f[i>>2]=f[j>>2];k=a+12|0;f[k>>2]=f[b+8>>2];f[a+16>>2]=f[b+12>>2];f[a+20>>2]=f[b+16>>2];f[a+24>>2]=f[b+20>>2];f[a+28>>2]=f[b+24>>2];f[a+32>>2]=f[b+28>>2];f[a+36>>2]=f[b+32>>2];l=f[b+36>>2]|0;f[a+40>>2]=l;f[a+44>>2]=k;k=a+52|0;m=a+48|0;f[m>>2]=k;f[k>>2]=0;f[a+56>>2]=0;if(l|0){k=l+12|0;f[k>>2]=(f[k>>2]|0)+1}if((f[j>>2]|0)<3){j=f[b+44>>2]|0;k=f[m>>2]|0;f[k>>2]=f[j>>2];f[k+4>>2]=f[j+4>>2]}else{f[i>>2]=0;$T(h,b)}b=a+60|0;f[b>>2]=f[c>>2];h=a+64|0;i=c+4|0;f[h>>2]=f[i>>2];j=a+68|0;f[j>>2]=f[c+8>>2];f[a+72>>2]=f[c+12>>2];f[a+76>>2]=f[c+16>>2];f[a+80>>2]=f[c+20>>2];f[a+84>>2]=f[c+24>>2];f[a+88>>2]=f[c+28>>2];f[a+92>>2]=f[c+32>>2];k=f[c+36>>2]|0;f[a+96>>2]=k;f[a+100>>2]=j;j=a+108|0;m=a+104|0;f[m>>2]=j;f[j>>2]=0;f[a+112>>2]=0;if(k|0){j=k+12|0;f[j>>2]=(f[j>>2]|0)+1}if((f[i>>2]|0)<3){i=f[c+44>>2]|0;j=f[m>>2]|0;f[j>>2]=f[i>>2];f[j+4>>2]=f[i+4>>2];n=a+116|0;f[n>>2]=d;o=a+120|0;f[o>>2]=e;p=a+124|0;q=f[g>>2]|0;f[p>>2]=q;r=a+128|0;s=g+4|0;t=f[s>>2]|0;f[r>>2]=t;return}else{f[h>>2]=0;$T(b,c);n=a+116|0;f[n>>2]=d;o=a+120|0;f[o>>2]=e;p=a+124|0;q=f[g>>2]|0;f[p>>2]=q;r=a+128|0;s=g+4|0;t=f[s>>2]|0;f[r>>2]=t;return}}function Lga(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=55700;b=a+60|0;c=a+96|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+76|0;b=a+64|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+100>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+104>>2]|0;if((b|0)!=(a+108|0))TC(b);b=a+4|0;d=a+40|0;c=f[d>>2]|0;if(c|0?(e=c+12|0,c=f[e>>2]|0,f[e>>2]=c+-1,(c|0)==1):0)aU(b);f[d>>2]=0;d=a+20|0;b=a+8|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[b>>2]|0)>0){d=f[a+44>>2]|0;c=0;do{f[d+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[b>>2]|0))}b=f[a+48>>2]|0;if((b|0)==(a+52|0))return;TC(b);return}function Mga(a){a=a|0;Lga(a);fuc(a);return}function Nga(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0;d=((f[a+60>>2]|0)>>>3&511)+1|0;e=d<<1;g=f[a+52>>2]|0;i=f[c>>2]|0;j=f[a+108>>2]|0;k=f[a+120>>2]|0;l=f[a+116>>2]|0;m=(i&1|0)==0;n=c+4|0;if((i|0)>=(f[n>>2]|0))return;c=(f[a+76>>2]|0)+(Y(i+1|0,j)|0)+d+1|0;o=a+124|0;p=(d|0)==3;q=g<<1;r=q|1;s=g+2|0;t=g+1|0;u=(d|0)==4;v=q+2|0;w=g+3|0;x=c;c=i;y=(f[a+20>>2]|0)+(Y(i,g)|0)|0;i=m?l:(l|0)==0&1;l=m?k:0-k|0;while(1){k=f[o>>2]|0;m=y+k|0;if((k|0)<1){a=x+((Y(k,d)|0)+1)|0;b[a>>0]=0;a=x+(Y(f[o>>2]|0,d)|0)|0;b[a>>0]=0;a=x+((Y(f[o>>2]|0,d)|0)+-1)|0;b[a>>0]=0;if(p){b[x+-2>>0]=0;z=-4;A=0;B=-3}else{b[x+-3>>0]=0;b[x+-4>>0]=0;b[x+-5>>0]=0;z=-2;A=-1;B=(Y(f[o>>2]|0,d)|0)+2|0}b[x+B>>0]=A;b[x+z>>0]=A;C=i;D=l}else{a=(i|0)!=0;if(a){k=y+1|0;E=((h[y+g>>0]|0)+1+(h[y+s>>0]|0)|0)>>>1;b[x+(0-l)>>0]=((h[k>>0]|0)+1+(h[y+r>>0]|0)|0)>>>1;b[x>>0]=b[y+t>>0]|0;b[x+l>>0]=E;if(u)b[x+2>>0]=-1;F=x+d|0;G=k}else{F=x;G=y}k=(l|0)>0;E=m+-2|0;H=G>>>0>E>>>0;do if(p)if(k){if(H){I=F;J=G;break}else{K=G;L=F}while(1){M=K+2|0;N=K+v|0;O=K+s|0;P=((h[K+1>>0]|0)+2+(h[K+g>>0]|0)+(h[O>>0]|0)+(h[K+r>>0]|0)|0)>>>2;b[L+-1>>0]=((h[K>>0]|0)+2+(h[M>>0]|0)+(h[K+q>>0]|0)+(h[N>>0]|0)|0)>>>2;b[L>>0]=P;P=K+t|0;b[L+1>>0]=b[P>>0]|0;Q=((h[P>>0]|0)+1+(h[K+w>>0]|0)|0)>>>1;b[L+2>>0]=((h[M>>0]|0)+1+(h[N>>0]|0)|0)>>>1;b[L+3>>0]=b[O>>0]|0;b[L+4>>0]=Q;Q=L+e|0;if(M>>>0>E>>>0){I=Q;J=M;break}else{K=M;L=Q}}}else{if(H){I=F;J=G;break}else{R=G;S=F}while(1){Q=R+2|0;M=R+v|0;O=R+s|0;N=((h[R+1>>0]|0)+2+(h[R+g>>0]|0)+(h[O>>0]|0)+(h[R+r>>0]|0)|0)>>>2;b[S+1>>0]=((h[R>>0]|0)+2+(h[Q>>0]|0)+(h[R+q>>0]|0)+(h[M>>0]|0)|0)>>>2;b[S>>0]=N;N=R+t|0;b[S+-1>>0]=b[N>>0]|0;P=((h[N>>0]|0)+1+(h[R+w>>0]|0)|0)>>>1;b[S+4>>0]=((h[Q>>0]|0)+1+(h[M>>0]|0)|0)>>>1;b[S+3>>0]=b[O>>0]|0;b[S+2>>0]=P;P=S+e|0;if(Q>>>0>E>>>0){I=P;J=Q;break}else{R=Q;S=P}}}else if(k){if(H){I=F;J=G;break}else{T=G;U=F}while(1){P=T+2|0;Q=T+v|0;O=T+s|0;M=((h[T+1>>0]|0)+2+(h[T+g>>0]|0)+(h[O>>0]|0)+(h[T+r>>0]|0)|0)>>>2;b[U+-1>>0]=((h[T>>0]|0)+2+(h[P>>0]|0)+(h[T+q>>0]|0)+(h[Q>>0]|0)|0)>>>2;b[U>>0]=M;M=T+t|0;b[U+1>>0]=b[M>>0]|0;b[U+2>>0]=-1;N=((h[M>>0]|0)+1+(h[T+w>>0]|0)|0)>>>1;b[U+3>>0]=((h[P>>0]|0)+1+(h[Q>>0]|0)|0)>>>1;b[U+4>>0]=b[O>>0]|0;b[U+5>>0]=N;b[U+6>>0]=-1;N=U+e|0;if(P>>>0>E>>>0){I=N;J=P;break}else{T=P;U=N}}}else{if(H){I=F;J=G;break}else{V=G;W=F}while(1){N=V+2|0;P=V+v|0;O=((h[V>>0]|0)+2+(h[N>>0]|0)+(h[V+q>>0]|0)+(h[P>>0]|0)|0)>>>2;Q=V+s|0;M=((h[V+1>>0]|0)+2+(h[V+g>>0]|0)+(h[Q>>0]|0)+(h[V+r>>0]|0)|0)>>>2;X=V+t|0;b[W+-1>>0]=b[X>>0]|0;b[W>>0]=M;b[W+1>>0]=O;b[W+2>>0]=-1;O=((h[N>>0]|0)+1+(h[P>>0]|0)|0)>>>1;b[W+3>>0]=((h[X>>0]|0)+1+(h[V+w>>0]|0)|0)>>>1;b[W+4>>0]=b[Q>>0]|0;b[W+5>>0]=O;b[W+6>>0]=-1;O=W+e|0;if(N>>>0>E>>>0){I=O;J=N;break}else{V=N;W=O}}}while(0);if(J>>>0<m>>>0?(E=((h[J+1>>0]|0)+2+(h[J+g>>0]|0)+(h[J+s>>0]|0)+(h[J+r>>0]|0)|0)>>>2,b[I+(0-l)>>0]=((h[J>>0]|0)+2+(h[J+2>>0]|0)+(h[J+q>>0]|0)+(h[J+v>>0]|0)|0)>>>2,b[I>>0]=E,b[I+l>>0]=b[J+t>>0]|0,u):0)b[I+2>>0]=-1;E=b[x+-1>>0]|0;H=b[x+1>>0]|0;k=b[x>>0]|0;if(p){b[x+-4>>0]=E;b[x+-3>>0]=k;b[x+-2>>0]=H;O=(f[o>>2]|0)*3|0;b[x+(O+-1)>>0]=b[x+(O+-4)>>0]|0;O=(f[o>>2]|0)*3|0;Z=O;_=O;$=1}else{b[x+-5>>0]=E;b[x+-4>>0]=k;b[x+-3>>0]=H;b[x+-2>>0]=b[x+2>>0]|0;H=Y(f[o>>2]|0,d)|0;b[x+(H+-1)>>0]=b[x+(H+-5)>>0]|0;H=Y(f[o>>2]|0,d)|0;b[x+H>>0]=b[x+(H+-4)>>0]|0;H=Y(f[o>>2]|0,d)|0;Z=H;_=H+1|0;$=2}b[x+_>>0]=b[x+(Z+-3)>>0]|0;H=Y(f[o>>2]|0,d)|0;b[x+(H+$)>>0]=b[x+(H+-2)>>0]|0;C=(a^1)&1;D=0-l|0}c=c+1|0;if((c|0)>=(f[n>>2]|0))break;else{x=x+j|0;y=y+g|0;i=C;l=D}}return}function Oga(a){a=a|0;wga(a);fuc(a);return}function Pga(a,b){a=a|0;b=b|0;var c=0,e=0,g=0,h=0,i=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0;c=f[a+52>>2]|0;e=c>>>1;g=(f[a+108>>2]|0)>>>1;h=f[a+132>>2]|0;i=f[a+136>>2]|0;k=f[a+116>>2]|0;l=f[b>>2]|0;m=(l&1|0)==0;n=f[b+4>>2]|0;if((l|0)>=(n|0))return;b=(f[a+76>>2]|0)+(g+1<<1)+((Y(l,g)|0)<<1)|0;o=(f[a+20>>2]|0)+((Y(l,e)|0)<<1)|0;p=f[a+124>>2]|0;a=(p|0)<1;q=c|1;c=e+2|0;r=e+1|0;s=e<<1;t=s+2|0;u=s|1;v=e+3|0;w=p+-1|0;x=b;b=l;l=o;o=m?k:(k|0)==0&1;k=m?i:h;y=m?h:i;while(1){i=l+(p<<1)|0;if(a){d[x+(p<<1)>>1]=0;d[x+-2>>1]=0;z=k;A=o;B=y}else{h=(o|0)!=0;if(h){m=l+2|0;C=Y((j[l+(q<<1)>>1]|0)+(j[m>>1]|0)|0,k)|0;D=Y((j[l+(c<<1)>>1]|0)+(j[l+(e<<1)>>1]|0)|0,y)|0;d[x>>1]=(C+16384+D+((j[l+(r<<1)>>1]|0)*19234|0)|0)>>>15;E=x+2|0;F=m}else{E=x;F=l}m=i+-4|0;if(F>>>0>m>>>0){G=E;H=F}else{D=y<<2;C=F;I=E;while(1){J=C+4|0;K=C+(t<<1)|0;L=Y((j[J>>1]|0)+(j[C>>1]|0)+(j[C+(s<<1)>>1]|0)+(j[K>>1]|0)|0,k)|0;M=C+(c<<1)|0;N=C+(r<<1)|0;O=(L+32768+(((j[C+(e<<1)>>1]|0)+(j[C+2>>1]|0)+(j[M>>1]|0)+(j[C+(u<<1)>>1]|0)|0)*9617|0)+(Y(D,j[N>>1]|0)|0)|0)>>>16&65535;d[I>>1]=O;O=Y((j[K>>1]|0)+(j[J>>1]|0)|0,k)|0;K=Y((j[C+(v<<1)>>1]|0)+(j[N>>1]|0)|0,y)|0;d[I+2>>1]=(O+16384+K+((j[M>>1]|0)*19234|0)|0)>>>15;M=I+4|0;if(J>>>0>m>>>0){G=M;H=J;break}else{C=J;I=M}}}if(H>>>0<i>>>0){I=Y((j[H+4>>1]|0)+(j[H>>1]|0)+(j[H+(s<<1)>>1]|0)+(j[H+(t<<1)>>1]|0)|0,k)|0;C=(I+32768+(((j[H+(e<<1)>>1]|0)+(j[H+2>>1]|0)+(j[H+(c<<1)>>1]|0)+(j[H+(u<<1)>>1]|0)|0)*9617|0)+(Y(y<<2,j[H+(r<<1)>>1]|0)|0)|0)>>>16&65535;d[G>>1]=C}d[x+-2>>1]=d[x>>1]|0;d[x+(p<<1)>>1]=d[x+(w<<1)>>1]|0;z=y;A=(h^1)&1;B=k}b=b+1|0;if((b|0)>=(n|0))break;else{x=x+(g<<1)|0;l=l+(e<<1)|0;o=A;k=z;y=B}}return}function Qga(a){a=a|0;uga(a);fuc(a);return}function Rga(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0;d=f[a+52>>2]|0;e=f[a+108>>2]|0;g=f[a+132>>2]|0;i=f[a+136>>2]|0;j=f[a+116>>2]|0;k=f[c>>2]|0;l=(k&1|0)==0;m=c+4|0;if((k|0)>=(f[m>>2]|0))return;c=(f[a+76>>2]|0)+(e+1)+(Y(k,e)|0)|0;n=(f[a+20>>2]|0)+(Y(k,d)|0)|0;o=a+124|0;a=d<<1;p=a|1;q=d+2|0;r=d+1|0;s=a+2|0;t=d+3|0;u=c;c=k;k=n;n=l?j:(j|0)==0&1;j=l?i:g;v=l?g:i;while(1){i=f[o>>2]|0;g=k+i|0;if((i|0)<1){b[u+i>>0]=0;b[u+-1>>0]=0;w=j;x=n;y=v}else{i=(n|0)!=0;if(i){l=k+1|0;z=Y((h[k+p>>0]|0)+(h[l>>0]|0)|0,j)|0;A=Y((h[k+q>>0]|0)+(h[k+d>>0]|0)|0,v)|0;b[u>>0]=(z+16384+A+((h[k+r>>0]|0)*19234|0)|0)>>>15;B=u+1|0;C=l}else{B=u;C=k}l=g+-2|0;if(C>>>0>l>>>0){D=B;E=C}else{A=v<<2;z=C;F=B;while(1){G=z+2|0;H=z+s|0;I=Y((h[G>>0]|0)+(h[z>>0]|0)+(h[z+a>>0]|0)+(h[H>>0]|0)|0,j)|0;J=z+q|0;K=z+r|0;L=(I+32768+(((h[z+d>>0]|0)+(h[z+1>>0]|0)+(h[J>>0]|0)+(h[z+p>>0]|0)|0)*9617|0)+(Y(A,h[K>>0]|0)|0)|0)>>>16&255;b[F>>0]=L;L=Y((h[H>>0]|0)+(h[G>>0]|0)|0,j)|0;H=Y((h[z+t>>0]|0)+(h[K>>0]|0)|0,v)|0;b[F+1>>0]=(L+16384+H+((h[J>>0]|0)*19234|0)|0)>>>15;J=F+2|0;if(G>>>0>l>>>0){D=J;E=G;break}else{z=G;F=J}}}if(E>>>0<g>>>0){F=Y((h[E+2>>0]|0)+(h[E>>0]|0)+(h[E+a>>0]|0)+(h[E+s>>0]|0)|0,j)|0;z=(F+32768+(((h[E+d>>0]|0)+(h[E+1>>0]|0)+(h[E+q>>0]|0)+(h[E+p>>0]|0)|0)*9617|0)+(Y(v<<2,h[E+r>>0]|0)|0)|0)>>>16&255;b[D>>0]=z}b[u+-1>>0]=b[u>>0]|0;z=f[o>>2]|0;b[u+z>>0]=b[u+(z+-1)>>0]|0;w=v;x=(i^1)&1;y=j}c=c+1|0;if((c|0)>=(f[m>>2]|0))break;else{u=u+e|0;k=k+d|0;n=x;j=w;v=y}}return}function Sga(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;g=u;u=u+144|0;h=g+136|0;i=g+80|0;j=g+72|0;k=g+16|0;l=g;gV(h,55752);if(!e){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;m=cuc(32)|0;f[i>>2]=m;f[i+8>>2]=-2147483616;f[i+4>>2]=29;n=m;o=262758;p=n+29|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));b[m+29>>0]=0;WD(-215,i,262788,262796,1342)}do if((qJ(a)|0)==65536){m=f[a+4>>2]|0;f[i>>2]=f[m>>2];o=i+4|0;n=m+4|0;f[o>>2]=f[n>>2];p=i+8|0;f[p>>2]=f[m+8>>2];f[i+12>>2]=f[m+12>>2];f[i+16>>2]=f[m+16>>2];f[i+20>>2]=f[m+20>>2];f[i+24>>2]=f[m+24>>2];f[i+28>>2]=f[m+28>>2];f[i+32>>2]=f[m+32>>2];q=f[m+36>>2]|0;f[i+36>>2]=q;f[i+40>>2]=p;p=i+48|0;r=i+44|0;f[r>>2]=p;f[p>>2]=0;f[i+52>>2]=0;if(q|0){p=q+12|0;f[p>>2]=(f[p>>2]|0)+1}if((f[n>>2]|0)<3){n=f[m+44>>2]|0;p=f[r>>2]|0;f[p>>2]=f[n>>2];f[p+4>>2]=f[n+4>>2];break}else{f[o>>2]=0;$T(i,m);break}}else nJ(i,a,-1);while(0);a=f[d>>2]|0;m=f[d+4>>2]|0;if(!(Y(m,a)|0)){s=((f[i+12>>2]|0)+1|0)/2|0;t=((f[i+8>>2]|0)+1|0)/2|0}else{s=a;t=m}f[j>>2]=s;f[j+4>>2]=t;IJ(c,j,f[i>>2]&4095,-1,0,0);do if((qJ(c)|0)==65536){j=f[c+4>>2]|0;f[k>>2]=f[j>>2];t=k+4|0;s=j+4|0;f[t>>2]=f[s>>2];m=k+8|0;f[m>>2]=f[j+8>>2];f[k+12>>2]=f[j+12>>2];a=k+16|0;f[a>>2]=f[j+16>>2];f[k+20>>2]=f[j+20>>2];f[k+24>>2]=f[j+24>>2];f[k+28>>2]=f[j+28>>2];f[k+32>>2]=f[j+32>>2];d=f[j+36>>2]|0;f[k+36>>2]=d;f[k+40>>2]=m;m=k+48|0;o=k+44|0;f[o>>2]=m;f[m>>2]=0;f[k+52>>2]=0;if(d|0){m=d+12|0;f[m>>2]=(f[m>>2]|0)+1}if((f[s>>2]|0)<3){s=f[j+44>>2]|0;m=f[o>>2]|0;f[m>>2]=f[s>>2];f[m+4>>2]=f[s+4>>2];v=a;break}else{f[t>>2]=0;$T(k,j);v=a;break}}else{nJ(k,c,-1);v=k+16|0}while(0);c=i+16|0;switch(f[i>>2]&7){case 0:{w=321;break}case 3:{w=322;break}case 2:{w=323;break}case 5:{w=324;break}case 6:{w=325;break}default:{f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;WD(-210,l,262788,262796,1378)}}Zh[w&511](i,k,e);e=k+36|0;w=f[e>>2]|0;if(w|0?(l=w+12|0,w=f[l>>2]|0,f[l>>2]=w+-1,(w|0)==1):0)aU(k);f[e>>2]=0;e=k+4|0;f[v>>2]=0;f[v+4>>2]=0;f[v+8>>2]=0;f[v+12>>2]=0;if((f[e>>2]|0)>0){v=f[k+40>>2]|0;w=0;do{f[v+(w<<2)>>2]=0;w=w+1|0}while((w|0)<(f[e>>2]|0))}e=f[k+44>>2]|0;if((e|0)!=(k+48|0))TC(e);e=i+36|0;k=f[e>>2]|0;if(k|0?(w=k+12|0,k=f[w>>2]|0,f[w>>2]=k+-1,(k|0)==1):0)aU(i);f[e>>2]=0;e=i+4|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[e>>2]|0)>0){c=f[i+40>>2]|0;k=0;do{f[c+(k<<2)>>2]=0;k=k+1|0}while((k|0)<(f[e>>2]|0))}e=f[i+44>>2]|0;if((e|0)!=(i+48|0))TC(e);if(!(f[h+4>>2]|0)){u=g;return}u=g;return}function Tga(a,c,e){a=a|0;c=c|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0;g=u;u=u+30816|0;h=g+29752|0;i=g+15416|0;j=g+1080|0;k=g+16|0;l=g;m=a+16|0;if(!(f[m>>2]|0)){n=cuc(16)|0;f[h>>2]=n;o=h+8|0;f[o>>2]=-2147483632;p=h+4|0;f[p>>2]=13;q=n;r=371751;s=q+13|0;do{b[q>>0]=b[r>>0]|0;q=q+1|0;r=r+1|0}while((q|0)<(s|0));t=n+13|0;b[t>>0]=0;WD(-215,h,262869,262796,858)}v=f[a+4>>2]|0;if((v|0)<3)w=Y(f[a+12>>2]|0,f[a+8>>2]|0)|0;else{x=f[a+40>>2]|0;y=0;z=1;while(1){A=Y(f[x+(y<<2)>>2]|0,z)|0;y=y+1|0;if((y|0)==(v|0)){w=A;break}else z=A}}if((v|0)==0|(w|0)==0){n=cuc(16)|0;f[h>>2]=n;o=h+8|0;f[o>>2]=-2147483632;p=h+4|0;f[p>>2]=13;q=n;r=371751;s=q+13|0;do{b[q>>0]=b[r>>0]|0;q=q+1|0;r=r+1|0}while((q|0)<(s|0));t=n+13|0;b[t>>0]=0;WD(-215,h,262869,262796,858)}t=f[a+40>>2]|0;n=f[t+4>>2]|0;r=f[t>>2]|0;t=f[c+40>>2]|0;q=f[t+4>>2]|0;s=f[t>>2]|0;t=(f[a>>2]|0)>>>3;p=(t&511)+1|0;o=Y(p,q)|0;w=o+15&-16;v=(w*5|0)+16|0;z=h+8|0;f[h>>2]=z;y=h+4|0;f[y>>2]=v;if(v>>>0>264){x=euc(v>>>0>1073741823?-1:v<<2)|0;f[h>>2]=x;B=x}else B=z;x=B+15&-16;B=k+8|0;f[k>>2]=B;v=k+4|0;f[v>>2]=o;if(o>>>0>264){A=euc(o>>>0>1073741823?-1:o<<2)|0;f[k>>2]=A;C=A}else C=B;if(!((n|0)>0&(r|0)>0)){f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;D=cuc(144)|0;f[l>>2]=D;E=l+8|0;f[E>>2]=-2147483504;F=l+4|0;f[F>>2]=129;szc(D|0,262878,129)|0;G=D+129|0;b[G>>0]=0;WD(-215,l,262869,262796,873)}A=(q<<1)-n|0;if((((A|0)>-1?A:0-A|0)|0)>=3){f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;D=cuc(144)|0;f[l>>2]=D;E=l+8|0;f[E>>2]=-2147483504;F=l+4|0;f[F>>2]=129;szc(D|0,262878,129)|0;G=D+129|0;b[G>>0]=0;WD(-215,l,262869,262796,873)}A=(s<<1)-r|0;if((((A|0)>-1?A:0-A|0)|0)>=3){f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;D=cuc(144)|0;f[l>>2]=D;E=l+8|0;f[E>>2]=-2147483504;F=l+4|0;f[F>>2]=129;szc(D|0,262878,129)|0;G=D+129|0;b[G>>0]=0;WD(-215,l,262869,262796,873)}l=((n+-3|0)/2|0)+1|0;G=(q|0)<(l|0)?q:l;l=(G<<1)+-2|0;q=0;do{D=Y(LI(q+-2|0,n,e)|0,p)|0;F=Y(LI(l+q|0,n,e)|0,p)|0;E=Y(q,p)|0;A=0;do{H=A+E|0;f[i+(H<<2)>>2]=A+D;f[j+(H<<2)>>2]=A+F;A=A+1|0}while((A|0)!=(p|0));q=q+1|0}while((q|0)<7);q=Y(p,G)|0;G=(o|0)>0;if(G){n=p<<1;l=0;do{A=(Y(n,(l|0)/(p|0)|0)|0)+((l|0)%(p|0)|0)|0;f[C+(l<<2)>>2]=A;l=l+1|0}while((l|0)!=(o|0))}if((s|0)>0){l=c+16|0;n=c+44|0;c=a+44|0;a=t&65535;t=p<<1;A=p*3|0;F=p<<2;D=-2;E=0;while(1){H=(f[l>>2]|0)+(Y(f[f[n>>2]>>2]|0,E)|0)|0;I=E<<1;J=I+2|0;if((D|0)>(J|0))K=D;else{L=D;while(1){M=x+((Y((L+2|0)%5|0,w)|0)<<2)|0;N=LI(L,r,e)|0;O=(f[m>>2]|0)+(Y(f[f[c>>2]>>2]|0,N)|0)|0;N=p;P=i;Q=0;while(1){if((Q|0)<(N|0)){R=Q;do{f[M+(R<<2)>>2]=((d[O+(f[P+(R+A<<2)>>2]<<1)>>1]|0)+(d[O+(f[P+(R+p<<2)>>2]<<1)>>1]|0)<<2)+((d[O+(f[P+(R+t<<2)>>2]<<1)>>1]|0)*6|0)+(d[O+(f[P+(R<<2)>>2]<<1)>>1]|0)+(d[O+(f[P+(R+F<<2)>>2]<<1)>>1]|0);R=R+1|0}while((R|0)!=(N|0));S=N}else S=Q;if((S|0)==(o|0))break;switch(a&511){case 0:{if((S|0)<(q|0)){R=S;do{T=R<<1;f[M+(R<<2)>>2]=(d[O+(T+-2<<1)>>1]|0)+((d[O+(T<<1)>>1]|0)*6|0)+((d[O+((T|1)<<1)>>1]|0)+(d[O+(T+-1<<1)>>1]|0)<<2)+(d[O+(T+2<<1)>>1]|0);R=R+1|0}while((R|0)<(q|0));U=q}else U=S;break}case 2:{if((S|0)<(q|0)){R=S;while(1){T=O+(R<<1<<1)|0;V=(d[T+-10>>1]|0)+((d[T+2>>1]|0)*6|0)+((d[T+8>>1]|0)+(d[T+-4>>1]|0)<<2)+(d[T+14>>1]|0)|0;W=(d[T+-8>>1]|0)+((d[T+4>>1]|0)*6|0)+((d[T+10>>1]|0)+(d[T+-2>>1]|0)<<2)+(d[T+16>>1]|0)|0;f[M+(R<<2)>>2]=(d[T+-12>>1]|0)+((d[T>>1]|0)*6|0)+((d[T+6>>1]|0)+(d[T+-6>>1]|0)<<2)+(d[T+12>>1]|0);f[M+(R+1<<2)>>2]=V;f[M+(R+2<<2)>>2]=W;W=R+3|0;if((W|0)<(q|0))R=W;else{U=W;break}}}else U=S;break}case 3:{if((S|0)<(q|0)){R=S;while(1){W=O+(R<<1<<1)|0;V=(d[W+-14>>1]|0)+((d[W+2>>1]|0)*6|0)+((d[W+10>>1]|0)+(d[W+-6>>1]|0)<<2)+(d[W+18>>1]|0)|0;f[M+(R<<2)>>2]=(d[W+-16>>1]|0)+((d[W>>1]|0)*6|0)+((d[W+8>>1]|0)+(d[W+-8>>1]|0)<<2)+(d[W+16>>1]|0);f[M+(R+1<<2)>>2]=V;V=(d[W+-10>>1]|0)+((d[W+6>>1]|0)*6|0)+((d[W+14>>1]|0)+(d[W+-2>>1]|0)<<2)+(d[W+22>>1]|0)|0;f[M+(R+2<<2)>>2]=(d[W+-12>>1]|0)+((d[W+4>>1]|0)*6|0)+((d[W+12>>1]|0)+(d[W+-4>>1]|0)<<2)+(d[W+20>>1]|0);f[M+(R+3<<2)>>2]=V;V=R+4|0;if((V|0)<(q|0))R=V;else{U=V;break}}}else U=S;break}default:if((S|0)<(q|0)){R=S;do{V=f[C+(R<<2)>>2]|0;f[M+(R<<2)>>2]=(d[O+(V-t<<1)>>1]|0)+((d[O+(V<<1)>>1]|0)*6|0)+((d[O+(V+p<<1)>>1]|0)+(d[O+(V-p<<1)>>1]|0)<<2)+(d[O+(V+t<<1)>>1]|0);R=R+1|0}while((R|0)<(q|0));U=q}else U=S}N=o;P=j+(0-U<<2)|0;Q=U}Q=L+1|0;if((L|0)<(J|0))L=Q;else{K=Q;break}}}L=x+((Y((I|0)%5|0,w)|0)<<2)|0;Q=x+((Y((I|1|0)%5|0,w)|0)<<2)|0;P=x+((Y((J|0)%5|0,w)|0)<<2)|0;N=x+((Y((I+3|0)%5|0,w)|0)<<2)|0;O=x+((Y((I+4|0)%5|0,w)|0)<<2)|0;if(G){M=0;do{d[H+(M<<1)>>1]=(((f[P+(M<<2)>>2]|0)*6|0)+128+(f[L+(M<<2)>>2]|0)+((f[N+(M<<2)>>2]|0)+(f[Q+(M<<2)>>2]|0)<<2)+(f[O+(M<<2)>>2]|0)|0)>>>8;M=M+1|0}while((M|0)!=(o|0))}E=E+1|0;if((E|0)>=(s|0))break;else D=K}}K=f[k>>2]|0;if((K|0)!=(B|0)){if(K|0)guc(K);f[k>>2]=B;f[v>>2]=264}v=f[h>>2]|0;if((v|0)==(z|0)){u=g;return}if(v|0)guc(v);f[h>>2]=z;f[y>>2]=264;u=g;return}function Uga(a,c,e){a=a|0;c=c|0;e=e|0;var g=0,h=0,i=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0;g=u;u=u+30816|0;h=g+29752|0;i=g+15416|0;k=g+1080|0;l=g+16|0;m=g;n=a+16|0;if(!(f[n>>2]|0)){o=cuc(16)|0;f[h>>2]=o;p=h+8|0;f[p>>2]=-2147483632;q=h+4|0;f[q>>2]=13;r=o;s=371751;t=r+13|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));v=o+13|0;b[v>>0]=0;WD(-215,h,262869,262796,858)}w=f[a+4>>2]|0;if((w|0)<3)x=Y(f[a+12>>2]|0,f[a+8>>2]|0)|0;else{y=f[a+40>>2]|0;z=0;A=1;while(1){B=Y(f[y+(z<<2)>>2]|0,A)|0;z=z+1|0;if((z|0)==(w|0)){x=B;break}else A=B}}if((w|0)==0|(x|0)==0){o=cuc(16)|0;f[h>>2]=o;p=h+8|0;f[p>>2]=-2147483632;q=h+4|0;f[q>>2]=13;r=o;s=371751;t=r+13|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));v=o+13|0;b[v>>0]=0;WD(-215,h,262869,262796,858)}v=f[a+40>>2]|0;o=f[v+4>>2]|0;s=f[v>>2]|0;v=f[c+40>>2]|0;r=f[v+4>>2]|0;t=f[v>>2]|0;v=(f[a>>2]|0)>>>3;q=(v&511)+1|0;p=Y(q,r)|0;x=p+15&-16;w=(x*5|0)+16|0;A=h+8|0;f[h>>2]=A;z=h+4|0;f[z>>2]=w;if(w>>>0>264){y=euc(w>>>0>1073741823?-1:w<<2)|0;f[h>>2]=y;C=y}else C=A;y=C+15&-16;C=l+8|0;f[l>>2]=C;w=l+4|0;f[w>>2]=p;if(p>>>0>264){B=euc(p>>>0>1073741823?-1:p<<2)|0;f[l>>2]=B;D=B}else D=C;if(!((o|0)>0&(s|0)>0)){f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;E=cuc(144)|0;f[m>>2]=E;F=m+8|0;f[F>>2]=-2147483504;G=m+4|0;f[G>>2]=129;szc(E|0,262878,129)|0;H=E+129|0;b[H>>0]=0;WD(-215,m,262869,262796,873)}B=(r<<1)-o|0;if((((B|0)>-1?B:0-B|0)|0)>=3){f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;E=cuc(144)|0;f[m>>2]=E;F=m+8|0;f[F>>2]=-2147483504;G=m+4|0;f[G>>2]=129;szc(E|0,262878,129)|0;H=E+129|0;b[H>>0]=0;WD(-215,m,262869,262796,873)}B=(t<<1)-s|0;if((((B|0)>-1?B:0-B|0)|0)>=3){f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;E=cuc(144)|0;f[m>>2]=E;F=m+8|0;f[F>>2]=-2147483504;G=m+4|0;f[G>>2]=129;szc(E|0,262878,129)|0;H=E+129|0;b[H>>0]=0;WD(-215,m,262869,262796,873)}m=((o+-3|0)/2|0)+1|0;H=(r|0)<(m|0)?r:m;m=(H<<1)+-2|0;r=0;do{E=Y(LI(r+-2|0,o,e)|0,q)|0;G=Y(LI(m+r|0,o,e)|0,q)|0;F=Y(r,q)|0;B=0;do{I=B+F|0;f[i+(I<<2)>>2]=B+E;f[k+(I<<2)>>2]=B+G;B=B+1|0}while((B|0)!=(q|0));r=r+1|0}while((r|0)<7);r=Y(q,H)|0;H=(p|0)>0;if(H){o=q<<1;m=0;do{B=(Y(o,(m|0)/(q|0)|0)|0)+((m|0)%(q|0)|0)|0;f[D+(m<<2)>>2]=B;m=m+1|0}while((m|0)!=(p|0))}if((t|0)>0){m=c+16|0;o=c+44|0;c=a+44|0;a=v&65535;v=q<<1;B=q*3|0;G=q<<2;E=-2;F=0;while(1){I=(f[m>>2]|0)+(Y(f[f[o>>2]>>2]|0,F)|0)|0;J=F<<1;K=J+2|0;if((E|0)>(K|0))L=E;else{M=E;while(1){N=y+((Y((M+2|0)%5|0,x)|0)<<2)|0;O=LI(M,s,e)|0;P=(f[n>>2]|0)+(Y(f[f[c>>2]>>2]|0,O)|0)|0;O=q;Q=i;R=0;while(1){if((R|0)<(O|0)){S=R;do{f[N+(S<<2)>>2]=((j[P+(f[Q+(S+B<<2)>>2]<<1)>>1]|0)+(j[P+(f[Q+(S+q<<2)>>2]<<1)>>1]|0)<<2)+((j[P+(f[Q+(S+v<<2)>>2]<<1)>>1]|0)*6|0)+(j[P+(f[Q+(S<<2)>>2]<<1)>>1]|0)+(j[P+(f[Q+(S+G<<2)>>2]<<1)>>1]|0);S=S+1|0}while((S|0)!=(O|0));T=O}else T=R;if((T|0)==(p|0))break;switch(a&511){case 0:{if((T|0)<(r|0)){S=T;do{U=S<<1;f[N+(S<<2)>>2]=(j[P+(U+-2<<1)>>1]|0)+((j[P+(U<<1)>>1]|0)*6|0)+((j[P+((U|1)<<1)>>1]|0)+(j[P+(U+-1<<1)>>1]|0)<<2)+(j[P+(U+2<<1)>>1]|0);S=S+1|0}while((S|0)<(r|0));V=r}else V=T;break}case 2:{if((T|0)<(r|0)){S=T;while(1){U=P+(S<<1<<1)|0;W=(j[U+-10>>1]|0)+((j[U+2>>1]|0)*6|0)+((j[U+8>>1]|0)+(j[U+-4>>1]|0)<<2)+(j[U+14>>1]|0)|0;X=(j[U+-8>>1]|0)+((j[U+4>>1]|0)*6|0)+((j[U+10>>1]|0)+(j[U+-2>>1]|0)<<2)+(j[U+16>>1]|0)|0;f[N+(S<<2)>>2]=(j[U+-12>>1]|0)+((j[U>>1]|0)*6|0)+((j[U+6>>1]|0)+(j[U+-6>>1]|0)<<2)+(j[U+12>>1]|0);f[N+(S+1<<2)>>2]=W;f[N+(S+2<<2)>>2]=X;X=S+3|0;if((X|0)<(r|0))S=X;else{V=X;break}}}else V=T;break}case 3:{if((T|0)<(r|0)){S=T;while(1){X=P+(S<<1<<1)|0;W=(j[X+-14>>1]|0)+((j[X+2>>1]|0)*6|0)+((j[X+10>>1]|0)+(j[X+-6>>1]|0)<<2)+(j[X+18>>1]|0)|0;f[N+(S<<2)>>2]=(j[X+-16>>1]|0)+((j[X>>1]|0)*6|0)+((j[X+8>>1]|0)+(j[X+-8>>1]|0)<<2)+(j[X+16>>1]|0);f[N+(S+1<<2)>>2]=W;W=(j[X+-10>>1]|0)+((j[X+6>>1]|0)*6|0)+((j[X+14>>1]|0)+(j[X+-2>>1]|0)<<2)+(j[X+22>>1]|0)|0;f[N+(S+2<<2)>>2]=(j[X+-12>>1]|0)+((j[X+4>>1]|0)*6|0)+((j[X+12>>1]|0)+(j[X+-4>>1]|0)<<2)+(j[X+20>>1]|0);f[N+(S+3<<2)>>2]=W;W=S+4|0;if((W|0)<(r|0))S=W;else{V=W;break}}}else V=T;break}default:if((T|0)<(r|0)){S=T;do{W=f[D+(S<<2)>>2]|0;f[N+(S<<2)>>2]=(j[P+(W-v<<1)>>1]|0)+((j[P+(W<<1)>>1]|0)*6|0)+((j[P+(W+q<<1)>>1]|0)+(j[P+(W-q<<1)>>1]|0)<<2)+(j[P+(W+v<<1)>>1]|0);S=S+1|0}while((S|0)<(r|0));V=r}else V=T}O=p;Q=k+(0-V<<2)|0;R=V}R=M+1|0;if((M|0)<(K|0))M=R;else{L=R;break}}}M=y+((Y((J|0)%5|0,x)|0)<<2)|0;R=y+((Y((J|1|0)%5|0,x)|0)<<2)|0;Q=y+((Y((K|0)%5|0,x)|0)<<2)|0;O=y+((Y((J+3|0)%5|0,x)|0)<<2)|0;P=y+((Y((J+4|0)%5|0,x)|0)<<2)|0;if(H){N=0;do{d[I+(N<<1)>>1]=(((f[Q+(N<<2)>>2]|0)*6|0)+128+(f[M+(N<<2)>>2]|0)+((f[O+(N<<2)>>2]|0)+(f[R+(N<<2)>>2]|0)<<2)+(f[P+(N<<2)>>2]|0)|0)>>>8;N=N+1|0}while((N|0)!=(p|0))}F=F+1|0;if((F|0)>=(t|0))break;else E=L}}L=f[l>>2]|0;if((L|0)!=(C|0)){if(L|0)guc(L);f[l>>2]=C;f[w>>2]=264}w=f[h>>2]|0;if((w|0)==(A|0)){u=g;return}if(w|0)guc(w);f[h>>2]=A;f[z>>2]=264;u=g;return}function Vga(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0.0,W=0.0;e=u;u=u+30816|0;g=e+29752|0;h=e+15416|0;i=e+1080|0;j=e+16|0;k=e;l=a+16|0;if(!(f[l>>2]|0)){m=cuc(16)|0;f[g>>2]=m;o=g+8|0;f[o>>2]=-2147483632;p=g+4|0;f[p>>2]=13;q=m;r=371751;s=q+13|0;do{b[q>>0]=b[r>>0]|0;q=q+1|0;r=r+1|0}while((q|0)<(s|0));t=m+13|0;b[t>>0]=0;WD(-215,g,262869,262796,858)}v=f[a+4>>2]|0;if((v|0)<3)w=Y(f[a+12>>2]|0,f[a+8>>2]|0)|0;else{x=f[a+40>>2]|0;y=0;z=1;while(1){A=Y(f[x+(y<<2)>>2]|0,z)|0;y=y+1|0;if((y|0)==(v|0)){w=A;break}else z=A}}if((v|0)==0|(w|0)==0){m=cuc(16)|0;f[g>>2]=m;o=g+8|0;f[o>>2]=-2147483632;p=g+4|0;f[p>>2]=13;q=m;r=371751;s=q+13|0;do{b[q>>0]=b[r>>0]|0;q=q+1|0;r=r+1|0}while((q|0)<(s|0));t=m+13|0;b[t>>0]=0;WD(-215,g,262869,262796,858)}t=f[a+40>>2]|0;m=f[t+4>>2]|0;r=f[t>>2]|0;t=f[c+40>>2]|0;q=f[t+4>>2]|0;s=f[t>>2]|0;t=(f[a>>2]|0)>>>3;p=(t&511)+1|0;o=Y(p,q)|0;w=o+15&-16;v=(w*5|0)+16|0;z=g+8|0;f[g>>2]=z;y=g+4|0;f[y>>2]=v;if(v>>>0>264){x=euc(v>>>0>1073741823?-1:v<<2)|0;f[g>>2]=x;B=x}else B=z;x=B+15&-16;B=j+8|0;f[j>>2]=B;v=j+4|0;f[v>>2]=o;if(o>>>0>264){A=euc(o>>>0>1073741823?-1:o<<2)|0;f[j>>2]=A;C=A}else C=B;if(!((m|0)>0&(r|0)>0)){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;D=cuc(144)|0;f[k>>2]=D;E=k+8|0;f[E>>2]=-2147483504;F=k+4|0;f[F>>2]=129;szc(D|0,262878,129)|0;G=D+129|0;b[G>>0]=0;WD(-215,k,262869,262796,873)}A=(q<<1)-m|0;if((((A|0)>-1?A:0-A|0)|0)>=3){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;D=cuc(144)|0;f[k>>2]=D;E=k+8|0;f[E>>2]=-2147483504;F=k+4|0;f[F>>2]=129;szc(D|0,262878,129)|0;G=D+129|0;b[G>>0]=0;WD(-215,k,262869,262796,873)}A=(s<<1)-r|0;if((((A|0)>-1?A:0-A|0)|0)>=3){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;D=cuc(144)|0;f[k>>2]=D;E=k+8|0;f[E>>2]=-2147483504;F=k+4|0;f[F>>2]=129;szc(D|0,262878,129)|0;G=D+129|0;b[G>>0]=0;WD(-215,k,262869,262796,873)}k=((m+-3|0)/2|0)+1|0;G=(q|0)<(k|0)?q:k;k=(G<<1)+-2|0;q=0;do{D=Y(LI(q+-2|0,m,d)|0,p)|0;F=Y(LI(k+q|0,m,d)|0,p)|0;E=Y(q,p)|0;A=0;do{H=A+E|0;f[h+(H<<2)>>2]=A+D;f[i+(H<<2)>>2]=A+F;A=A+1|0}while((A|0)!=(p|0));q=q+1|0}while((q|0)<7);q=Y(p,G)|0;G=(o|0)>0;if(G){m=p<<1;k=0;do{A=(Y(m,(k|0)/(p|0)|0)|0)+((k|0)%(p|0)|0)|0;f[C+(k<<2)>>2]=A;k=k+1|0}while((k|0)!=(o|0))}if((s|0)>0){k=c+16|0;m=c+44|0;c=a+44|0;a=t&65535;t=p<<1;A=p*3|0;F=p<<2;D=-2;E=0;while(1){H=(f[k>>2]|0)+(Y(f[f[m>>2]>>2]|0,E)|0)|0;I=E<<1;J=I+2|0;if((D|0)>(J|0))K=D;else{L=D;while(1){M=x+((Y((L+2|0)%5|0,w)|0)<<2)|0;N=LI(L,r,d)|0;O=(f[l>>2]|0)+(Y(f[f[c>>2]>>2]|0,N)|0)|0;N=p;P=h;Q=0;while(1){if((Q|0)<(N|0)){R=Q;do{n[M+(R<<2)>>2]=+n[O+(f[P+(R<<2)>>2]<<2)>>2]+(+n[O+(f[P+(R+t<<2)>>2]<<2)>>2]*6.0+(+n[O+(f[P+(R+p<<2)>>2]<<2)>>2]+ +n[O+(f[P+(R+A<<2)>>2]<<2)>>2])*4.0)+ +n[O+(f[P+(R+F<<2)>>2]<<2)>>2];R=R+1|0}while((R|0)!=(N|0));S=N}else S=Q;if((S|0)==(o|0))break;switch(a&511){case 0:{if((S|0)<(q|0)){R=S;do{T=R<<1;n[M+(R<<2)>>2]=+n[O+(T+2<<2)>>2]+(+n[O+(T+-2<<2)>>2]+(+n[O+(T<<2)>>2]*6.0+(+n[O+(T+-1<<2)>>2]+ +n[O+((T|1)<<2)>>2])*4.0));R=R+1|0}while((R|0)<(q|0));U=q}else U=S;break}case 2:{if((S|0)<(q|0)){R=S;while(1){T=O+(R<<1<<2)|0;V=+n[T+28>>2]+(+n[T+-20>>2]+(+n[T+4>>2]*6.0+(+n[T+-8>>2]+ +n[T+16>>2])*4.0));W=+n[T+32>>2]+(+n[T+-16>>2]+(+n[T+8>>2]*6.0+(+n[T+-4>>2]+ +n[T+20>>2])*4.0));n[M+(R<<2)>>2]=+n[T+24>>2]+(+n[T+-24>>2]+(+n[T>>2]*6.0+(+n[T+-12>>2]+ +n[T+12>>2])*4.0));n[M+(R+1<<2)>>2]=V;n[M+(R+2<<2)>>2]=W;T=R+3|0;if((T|0)<(q|0))R=T;else{U=T;break}}}else U=S;break}case 3:{if((S|0)<(q|0)){R=S;while(1){T=O+(R<<1<<2)|0;W=+n[T+36>>2]+(+n[T+-28>>2]+(+n[T+4>>2]*6.0+(+n[T+-12>>2]+ +n[T+20>>2])*4.0));n[M+(R<<2)>>2]=+n[T+32>>2]+(+n[T+-32>>2]+(+n[T>>2]*6.0+(+n[T+-16>>2]+ +n[T+16>>2])*4.0));n[M+(R+1<<2)>>2]=W;W=+n[T+44>>2]+(+n[T+-20>>2]+(+n[T+12>>2]*6.0+(+n[T+-4>>2]+ +n[T+28>>2])*4.0));n[M+(R+2<<2)>>2]=+n[T+40>>2]+(+n[T+-24>>2]+(+n[T+8>>2]*6.0+(+n[T+-8>>2]+ +n[T+24>>2])*4.0));n[M+(R+3<<2)>>2]=W;T=R+4|0;if((T|0)<(q|0))R=T;else{U=T;break}}}else U=S;break}default:if((S|0)<(q|0)){R=S;do{T=f[C+(R<<2)>>2]|0;n[M+(R<<2)>>2]=+n[O+(T+t<<2)>>2]+(+n[O+(T-t<<2)>>2]+(+n[O+(T<<2)>>2]*6.0+(+n[O+(T-p<<2)>>2]+ +n[O+(T+p<<2)>>2])*4.0));R=R+1|0}while((R|0)<(q|0));U=q}else U=S}N=o;P=i+(0-U<<2)|0;Q=U}Q=L+1|0;if((L|0)<(J|0))L=Q;else{K=Q;break}}}L=x+((Y((I|0)%5|0,w)|0)<<2)|0;Q=x+((Y((I|1|0)%5|0,w)|0)<<2)|0;P=x+((Y((J|0)%5|0,w)|0)<<2)|0;N=x+((Y((I+3|0)%5|0,w)|0)<<2)|0;O=x+((Y((I+4|0)%5|0,w)|0)<<2)|0;if(G){M=0;do{n[H+(M<<2)>>2]=(+n[O+(M<<2)>>2]+(+n[L+(M<<2)>>2]+(+n[P+(M<<2)>>2]*6.0+(+n[Q+(M<<2)>>2]+ +n[N+(M<<2)>>2])*4.0)))*.00390625;M=M+1|0}while((M|0)!=(o|0))}E=E+1|0;if((E|0)>=(s|0))break;else D=K}}K=f[j>>2]|0;if((K|0)!=(B|0)){if(K|0)guc(K);f[j>>2]=B;f[v>>2]=264}v=f[g>>2]|0;if((v|0)==(z|0)){u=e;return}if(v|0)guc(v);f[g>>2]=z;f[y>>2]=264;u=e;return}function Wga(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0.0,W=0.0;e=u;u=u+30848|0;g=e;h=e+16512|0;i=e+2176|0;j=e+1112|0;k=e+1096|0;l=a+16|0;if(!(f[l>>2]|0)){m=cuc(16)|0;f[g>>2]=m;n=g+8|0;f[n>>2]=-2147483632;o=g+4|0;f[o>>2]=13;q=m;r=371751;s=q+13|0;do{b[q>>0]=b[r>>0]|0;q=q+1|0;r=r+1|0}while((q|0)<(s|0));t=m+13|0;b[t>>0]=0;WD(-215,g,262869,262796,858)}v=f[a+4>>2]|0;if((v|0)<3)w=Y(f[a+12>>2]|0,f[a+8>>2]|0)|0;else{x=f[a+40>>2]|0;y=0;z=1;while(1){A=Y(f[x+(y<<2)>>2]|0,z)|0;y=y+1|0;if((y|0)==(v|0)){w=A;break}else z=A}}if((v|0)==0|(w|0)==0){m=cuc(16)|0;f[g>>2]=m;n=g+8|0;f[n>>2]=-2147483632;o=g+4|0;f[o>>2]=13;q=m;r=371751;s=q+13|0;do{b[q>>0]=b[r>>0]|0;q=q+1|0;r=r+1|0}while((q|0)<(s|0));t=m+13|0;b[t>>0]=0;WD(-215,g,262869,262796,858)}t=f[a+40>>2]|0;m=f[t+4>>2]|0;r=f[t>>2]|0;t=f[c+40>>2]|0;q=f[t+4>>2]|0;s=f[t>>2]|0;t=(f[a>>2]|0)>>>3;o=(t&511)+1|0;n=Y(o,q)|0;w=n+15&-16;v=(w*5|0)+16|0;z=g+8|0;f[g>>2]=z;y=g+4|0;f[y>>2]=v;if(v>>>0>136){x=euc(v>>>0>536870911?-1:v<<3)|0;f[g>>2]=x;B=x}else B=z;x=B+15&-16;B=j+8|0;f[j>>2]=B;v=j+4|0;f[v>>2]=n;if(n>>>0>264){A=euc(n>>>0>1073741823?-1:n<<2)|0;f[j>>2]=A;C=A}else C=B;if(!((m|0)>0&(r|0)>0)){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;D=cuc(144)|0;f[k>>2]=D;E=k+8|0;f[E>>2]=-2147483504;F=k+4|0;f[F>>2]=129;szc(D|0,262878,129)|0;G=D+129|0;b[G>>0]=0;WD(-215,k,262869,262796,873)}A=(q<<1)-m|0;if((((A|0)>-1?A:0-A|0)|0)>=3){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;D=cuc(144)|0;f[k>>2]=D;E=k+8|0;f[E>>2]=-2147483504;F=k+4|0;f[F>>2]=129;szc(D|0,262878,129)|0;G=D+129|0;b[G>>0]=0;WD(-215,k,262869,262796,873)}A=(s<<1)-r|0;if((((A|0)>-1?A:0-A|0)|0)>=3){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;D=cuc(144)|0;f[k>>2]=D;E=k+8|0;f[E>>2]=-2147483504;F=k+4|0;f[F>>2]=129;szc(D|0,262878,129)|0;G=D+129|0;b[G>>0]=0;WD(-215,k,262869,262796,873)}k=((m+-3|0)/2|0)+1|0;G=(q|0)<(k|0)?q:k;k=(G<<1)+-2|0;q=0;do{D=Y(LI(q+-2|0,m,d)|0,o)|0;F=Y(LI(k+q|0,m,d)|0,o)|0;E=Y(q,o)|0;A=0;do{H=A+E|0;f[h+(H<<2)>>2]=A+D;f[i+(H<<2)>>2]=A+F;A=A+1|0}while((A|0)!=(o|0));q=q+1|0}while((q|0)<7);q=Y(o,G)|0;G=(n|0)>0;if(G){m=o<<1;k=0;do{A=(Y(m,(k|0)/(o|0)|0)|0)+((k|0)%(o|0)|0)|0;f[C+(k<<2)>>2]=A;k=k+1|0}while((k|0)!=(n|0))}if((s|0)>0){k=c+16|0;m=c+44|0;c=a+44|0;a=t&65535;t=o<<1;A=o*3|0;F=o<<2;D=-2;E=0;while(1){H=(f[k>>2]|0)+(Y(f[f[m>>2]>>2]|0,E)|0)|0;I=E<<1;J=I+2|0;if((D|0)>(J|0))K=D;else{L=D;while(1){M=x+((Y((L+2|0)%5|0,w)|0)<<3)|0;N=LI(L,r,d)|0;O=(f[l>>2]|0)+(Y(f[f[c>>2]>>2]|0,N)|0)|0;N=o;P=h;Q=0;while(1){if((Q|0)<(N|0)){R=Q;do{p[M+(R<<3)>>3]=+p[O+(f[P+(R<<2)>>2]<<3)>>3]+(+p[O+(f[P+(R+t<<2)>>2]<<3)>>3]*6.0+(+p[O+(f[P+(R+o<<2)>>2]<<3)>>3]+ +p[O+(f[P+(R+A<<2)>>2]<<3)>>3])*4.0)+ +p[O+(f[P+(R+F<<2)>>2]<<3)>>3];R=R+1|0}while((R|0)!=(N|0));S=N}else S=Q;if((S|0)==(n|0))break;switch(a&511){case 0:{if((S|0)<(q|0)){R=S;do{T=R<<1;p[M+(R<<3)>>3]=+p[O+(T+2<<3)>>3]+(+p[O+(T+-2<<3)>>3]+(+p[O+(T<<3)>>3]*6.0+(+p[O+(T+-1<<3)>>3]+ +p[O+((T|1)<<3)>>3])*4.0));R=R+1|0}while((R|0)<(q|0));U=q}else U=S;break}case 2:{if((S|0)<(q|0)){R=S;while(1){T=O+(R<<1<<3)|0;V=+p[T+56>>3]+(+p[T+-40>>3]+(+p[T+8>>3]*6.0+(+p[T+-16>>3]+ +p[T+32>>3])*4.0));W=+p[T+64>>3]+(+p[T+-32>>3]+(+p[T+16>>3]*6.0+(+p[T+-8>>3]+ +p[T+40>>3])*4.0));p[M+(R<<3)>>3]=+p[T+48>>3]+(+p[T+-48>>3]+(+p[T>>3]*6.0+(+p[T+-24>>3]+ +p[T+24>>3])*4.0));p[M+(R+1<<3)>>3]=V;p[M+(R+2<<3)>>3]=W;T=R+3|0;if((T|0)<(q|0))R=T;else{U=T;break}}}else U=S;break}case 3:{if((S|0)<(q|0)){R=S;while(1){T=O+(R<<1<<3)|0;W=+p[T+72>>3]+(+p[T+-56>>3]+(+p[T+8>>3]*6.0+(+p[T+-24>>3]+ +p[T+40>>3])*4.0));p[M+(R<<3)>>3]=+p[T+64>>3]+(+p[T+-64>>3]+(+p[T>>3]*6.0+(+p[T+-32>>3]+ +p[T+32>>3])*4.0));p[M+(R+1<<3)>>3]=W;W=+p[T+88>>3]+(+p[T+-40>>3]+(+p[T+24>>3]*6.0+(+p[T+-8>>3]+ +p[T+56>>3])*4.0));p[M+(R+2<<3)>>3]=+p[T+80>>3]+(+p[T+-48>>3]+(+p[T+16>>3]*6.0+(+p[T+-16>>3]+ +p[T+48>>3])*4.0));p[M+(R+3<<3)>>3]=W;T=R+4|0;if((T|0)<(q|0))R=T;else{U=T;break}}}else U=S;break}default:if((S|0)<(q|0)){R=S;do{T=f[C+(R<<2)>>2]|0;p[M+(R<<3)>>3]=+p[O+(T+t<<3)>>3]+(+p[O+(T-t<<3)>>3]+(+p[O+(T<<3)>>3]*6.0+(+p[O+(T-o<<3)>>3]+ +p[O+(T+o<<3)>>3])*4.0));R=R+1|0}while((R|0)<(q|0));U=q}else U=S}N=n;P=i+(0-U<<2)|0;Q=U}Q=L+1|0;if((L|0)<(J|0))L=Q;else{K=Q;break}}}L=x+((Y((I|0)%5|0,w)|0)<<3)|0;Q=x+((Y((I|1|0)%5|0,w)|0)<<3)|0;P=x+((Y((J|0)%5|0,w)|0)<<3)|0;N=x+((Y((I+3|0)%5|0,w)|0)<<3)|0;O=x+((Y((I+4|0)%5|0,w)|0)<<3)|0;if(G){M=0;do{p[H+(M<<3)>>3]=(+p[O+(M<<3)>>3]+(+p[L+(M<<3)>>3]+(+p[P+(M<<3)>>3]*6.0+(+p[Q+(M<<3)>>3]+ +p[N+(M<<3)>>3])*4.0)))*.00390625;M=M+1|0}while((M|0)!=(n|0))}E=E+1|0;if((E|0)>=(s|0))break;else D=K}}K=f[j>>2]|0;if((K|0)!=(B|0)){if(K|0)guc(K);f[j>>2]=B;f[v>>2]=264}v=f[g>>2]|0;if((v|0)==(z|0)){u=e;return}if(v|0)guc(v);f[g>>2]=z;f[y>>2]=136;u=e;return}function Xga(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0;e=u;u=u+30816|0;g=e+29752|0;i=e+15416|0;j=e+1080|0;k=e+16|0;l=e;m=a+16|0;if(!(f[m>>2]|0)){n=cuc(16)|0;f[g>>2]=n;o=g+8|0;f[o>>2]=-2147483632;p=g+4|0;f[p>>2]=13;q=n;r=371751;s=q+13|0;do{b[q>>0]=b[r>>0]|0;q=q+1|0;r=r+1|0}while((q|0)<(s|0));t=n+13|0;b[t>>0]=0;WD(-215,g,262869,262796,858)}v=f[a+4>>2]|0;if((v|0)<3)w=Y(f[a+12>>2]|0,f[a+8>>2]|0)|0;else{x=f[a+40>>2]|0;y=0;z=1;while(1){A=Y(f[x+(y<<2)>>2]|0,z)|0;y=y+1|0;if((y|0)==(v|0)){w=A;break}else z=A}}if((v|0)==0|(w|0)==0){n=cuc(16)|0;f[g>>2]=n;o=g+8|0;f[o>>2]=-2147483632;p=g+4|0;f[p>>2]=13;q=n;r=371751;s=q+13|0;do{b[q>>0]=b[r>>0]|0;q=q+1|0;r=r+1|0}while((q|0)<(s|0));t=n+13|0;b[t>>0]=0;WD(-215,g,262869,262796,858)}t=f[a+40>>2]|0;n=f[t+4>>2]|0;r=f[t>>2]|0;t=f[c+40>>2]|0;q=f[t+4>>2]|0;s=f[t>>2]|0;t=(f[a>>2]|0)>>>3;p=(t&511)+1|0;o=Y(p,q)|0;w=o+15&-16;v=(w*5|0)+16|0;z=g+8|0;f[g>>2]=z;y=g+4|0;f[y>>2]=v;if(v>>>0>264){x=euc(v>>>0>1073741823?-1:v<<2)|0;f[g>>2]=x;B=x}else B=z;x=B+15&-16;B=k+8|0;f[k>>2]=B;v=k+4|0;f[v>>2]=o;if(o>>>0>264){A=euc(o>>>0>1073741823?-1:o<<2)|0;f[k>>2]=A;C=A}else C=B;if(!((n|0)>0&(r|0)>0)){f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;D=cuc(144)|0;f[l>>2]=D;E=l+8|0;f[E>>2]=-2147483504;F=l+4|0;f[F>>2]=129;szc(D|0,262878,129)|0;G=D+129|0;b[G>>0]=0;WD(-215,l,262869,262796,873)}A=(q<<1)-n|0;if((((A|0)>-1?A:0-A|0)|0)>=3){f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;D=cuc(144)|0;f[l>>2]=D;E=l+8|0;f[E>>2]=-2147483504;F=l+4|0;f[F>>2]=129;szc(D|0,262878,129)|0;G=D+129|0;b[G>>0]=0;WD(-215,l,262869,262796,873)}A=(s<<1)-r|0;if((((A|0)>-1?A:0-A|0)|0)>=3){f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;D=cuc(144)|0;f[l>>2]=D;E=l+8|0;f[E>>2]=-2147483504;F=l+4|0;f[F>>2]=129;szc(D|0,262878,129)|0;G=D+129|0;b[G>>0]=0;WD(-215,l,262869,262796,873)}l=((n+-3|0)/2|0)+1|0;G=(q|0)<(l|0)?q:l;l=(G<<1)+-2|0;q=0;do{D=Y(LI(q+-2|0,n,d)|0,p)|0;F=Y(LI(l+q|0,n,d)|0,p)|0;E=Y(q,p)|0;A=0;do{H=A+E|0;f[i+(H<<2)>>2]=A+D;f[j+(H<<2)>>2]=A+F;A=A+1|0}while((A|0)!=(p|0));q=q+1|0}while((q|0)<7);q=Y(p,G)|0;G=(o|0)>0;if(G){n=p<<1;l=0;do{A=(Y(n,(l|0)/(p|0)|0)|0)+((l|0)%(p|0)|0)|0;f[C+(l<<2)>>2]=A;l=l+1|0}while((l|0)!=(o|0))}if((s|0)>0){l=c+16|0;n=c+44|0;c=a+44|0;a=t&65535;t=p<<1;A=p*3|0;F=p<<2;D=-2;E=0;while(1){H=(f[l>>2]|0)+(Y(f[f[n>>2]>>2]|0,E)|0)|0;I=E<<1;J=I+2|0;if((D|0)>(J|0))K=D;else{L=D;while(1){M=x+((Y((L+2|0)%5|0,w)|0)<<2)|0;N=LI(L,r,d)|0;O=(f[m>>2]|0)+(Y(f[f[c>>2]>>2]|0,N)|0)|0;N=p;P=i;Q=0;while(1){if((Q|0)<(N|0)){R=Q;do{f[M+(R<<2)>>2]=((h[O+(f[P+(R+A<<2)>>2]|0)>>0]|0)+(h[O+(f[P+(R+p<<2)>>2]|0)>>0]|0)<<2)+((h[O+(f[P+(R+t<<2)>>2]|0)>>0]|0)*6|0)+(h[O+(f[P+(R<<2)>>2]|0)>>0]|0)+(h[O+(f[P+(R+F<<2)>>2]|0)>>0]|0);R=R+1|0}while((R|0)!=(N|0));S=N}else S=Q;if((S|0)==(o|0))break;switch(a&511){case 0:{if((S|0)<(q|0)){R=S;do{T=R<<1;f[M+(R<<2)>>2]=(h[O+(T+-2)>>0]|0)+((h[O+T>>0]|0)*6|0)+((h[O+(T|1)>>0]|0)+(h[O+(T+-1)>>0]|0)<<2)+(h[O+(T+2)>>0]|0);R=R+1|0}while((R|0)<(q|0));U=q}else U=S;break}case 2:{if((S|0)<(q|0)){R=S;while(1){T=O+(R<<1)|0;V=(h[T+-5>>0]|0)+((h[T+1>>0]|0)*6|0)+((h[T+4>>0]|0)+(h[T+-2>>0]|0)<<2)+(h[T+7>>0]|0)|0;W=(h[T+-4>>0]|0)+((h[T+2>>0]|0)*6|0)+((h[T+5>>0]|0)+(h[T+-1>>0]|0)<<2)+(h[T+8>>0]|0)|0;f[M+(R<<2)>>2]=(h[T+-6>>0]|0)+((h[T>>0]|0)*6|0)+((h[T+3>>0]|0)+(h[T+-3>>0]|0)<<2)+(h[T+6>>0]|0);f[M+(R+1<<2)>>2]=V;f[M+(R+2<<2)>>2]=W;W=R+3|0;if((W|0)<(q|0))R=W;else{U=W;break}}}else U=S;break}case 3:{if((S|0)<(q|0)){R=S;while(1){W=O+(R<<1)|0;V=(h[W+-7>>0]|0)+((h[W+1>>0]|0)*6|0)+((h[W+5>>0]|0)+(h[W+-3>>0]|0)<<2)+(h[W+9>>0]|0)|0;f[M+(R<<2)>>2]=(h[W+-8>>0]|0)+((h[W>>0]|0)*6|0)+((h[W+4>>0]|0)+(h[W+-4>>0]|0)<<2)+(h[W+8>>0]|0);f[M+(R+1<<2)>>2]=V;V=(h[W+-5>>0]|0)+((h[W+3>>0]|0)*6|0)+((h[W+7>>0]|0)+(h[W+-1>>0]|0)<<2)+(h[W+11>>0]|0)|0;f[M+(R+2<<2)>>2]=(h[W+-6>>0]|0)+((h[W+2>>0]|0)*6|0)+((h[W+6>>0]|0)+(h[W+-2>>0]|0)<<2)+(h[W+10>>0]|0);f[M+(R+3<<2)>>2]=V;V=R+4|0;if((V|0)<(q|0))R=V;else{U=V;break}}}else U=S;break}default:if((S|0)<(q|0)){R=S;do{V=f[C+(R<<2)>>2]|0;f[M+(R<<2)>>2]=(h[O+(V-t)>>0]|0)+((h[O+V>>0]|0)*6|0)+((h[O+(V+p)>>0]|0)+(h[O+(V-p)>>0]|0)<<2)+(h[O+(V+t)>>0]|0);R=R+1|0}while((R|0)<(q|0));U=q}else U=S}N=o;P=j+(0-U<<2)|0;Q=U}Q=L+1|0;if((L|0)<(J|0))L=Q;else{K=Q;break}}}L=x+((Y((I|0)%5|0,w)|0)<<2)|0;Q=x+((Y((I|1|0)%5|0,w)|0)<<2)|0;P=x+((Y((J|0)%5|0,w)|0)<<2)|0;N=x+((Y((I+3|0)%5|0,w)|0)<<2)|0;O=x+((Y((I+4|0)%5|0,w)|0)<<2)|0;if(G){M=0;do{b[H+M>>0]=(((f[P+(M<<2)>>2]|0)*6|0)+128+(f[L+(M<<2)>>2]|0)+((f[N+(M<<2)>>2]|0)+(f[Q+(M<<2)>>2]|0)<<2)+(f[O+(M<<2)>>2]|0)|0)>>>8;M=M+1|0}while((M|0)!=(o|0))}E=E+1|0;if((E|0)>=(s|0))break;else D=K}}K=f[k>>2]|0;if((K|0)!=(B|0)){if(K|0)guc(K);f[k>>2]=B;f[v>>2]=264}v=f[g>>2]|0;if((v|0)==(z|0)){u=e;return}if(v|0)guc(v);f[g>>2]=z;f[y>>2]=264;u=e;return}function Yga(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;g=u;u=u+144|0;h=g+136|0;i=g+80|0;j=g+72|0;k=g+16|0;l=g;gV(h,55772);if((e|0)!=4){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;e=cuc(32)|0;f[i>>2]=e;f[i+8>>2]=-2147483616;f[i+4>>2]=28;m=e;n=263069;o=m+28|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));b[e+28>>0]=0;WD(-215,i,263098,262796,1449)}do if((qJ(a)|0)==65536){e=f[a+4>>2]|0;f[i>>2]=f[e>>2];n=i+4|0;m=e+4|0;f[n>>2]=f[m>>2];o=i+8|0;f[o>>2]=f[e+8>>2];f[i+12>>2]=f[e+12>>2];f[i+16>>2]=f[e+16>>2];f[i+20>>2]=f[e+20>>2];f[i+24>>2]=f[e+24>>2];f[i+28>>2]=f[e+28>>2];f[i+32>>2]=f[e+32>>2];p=f[e+36>>2]|0;f[i+36>>2]=p;f[i+40>>2]=o;o=i+48|0;q=i+44|0;f[q>>2]=o;f[o>>2]=0;f[i+52>>2]=0;if(p|0){o=p+12|0;f[o>>2]=(f[o>>2]|0)+1}if((f[m>>2]|0)<3){m=f[e+44>>2]|0;o=f[q>>2]|0;f[o>>2]=f[m>>2];f[o+4>>2]=f[m+4>>2];break}else{f[n>>2]=0;$T(i,e);break}}else nJ(i,a,-1);while(0);a=f[d>>2]|0;e=f[d+4>>2]|0;if(!(Y(e,a)|0)){r=f[i+12>>2]<<1;s=f[i+8>>2]<<1}else{r=a;s=e}f[j>>2]=r;f[j+4>>2]=s;IJ(c,j,f[i>>2]&4095,-1,0,0);do if((qJ(c)|0)==65536){j=f[c+4>>2]|0;f[k>>2]=f[j>>2];s=k+4|0;r=j+4|0;f[s>>2]=f[r>>2];e=k+8|0;f[e>>2]=f[j+8>>2];f[k+12>>2]=f[j+12>>2];f[k+16>>2]=f[j+16>>2];f[k+20>>2]=f[j+20>>2];f[k+24>>2]=f[j+24>>2];f[k+28>>2]=f[j+28>>2];f[k+32>>2]=f[j+32>>2];a=f[j+36>>2]|0;f[k+36>>2]=a;f[k+40>>2]=e;e=k+48|0;d=k+44|0;f[d>>2]=e;f[e>>2]=0;f[k+52>>2]=0;if(a|0){e=a+12|0;f[e>>2]=(f[e>>2]|0)+1}if((f[r>>2]|0)<3){r=f[j+44>>2]|0;e=f[d>>2]|0;f[e>>2]=f[r>>2];f[e+4>>2]=f[r+4>>2];break}else{f[s>>2]=0;$T(k,j);break}}else nJ(k,c,-1);while(0);switch(f[i>>2]&7){case 0:{t=326;break}case 3:{t=327;break}case 2:{t=328;break}case 5:{t=329;break}case 6:{t=330;break}default:{f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;WD(-210,l,263098,262796,1481)}}Zh[t&511](i,k,4);t=k+36|0;l=f[t>>2]|0;if(l|0?(c=l+12|0,l=f[c>>2]|0,f[c>>2]=l+-1,(l|0)==1):0)aU(k);f[t>>2]=0;t=k+16|0;l=k+4|0;f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;f[t+12>>2]=0;if((f[l>>2]|0)>0){t=f[k+40>>2]|0;c=0;do{f[t+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[l>>2]|0))}l=f[k+44>>2]|0;if((l|0)!=(k+48|0))TC(l);l=i+36|0;k=f[l>>2]|0;if(k|0?(c=k+12|0,k=f[c>>2]|0,f[c>>2]=k+-1,(k|0)==1):0)aU(i);f[l>>2]=0;l=i+16|0;k=i+4|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;if((f[k>>2]|0)>0){l=f[i+40>>2]|0;c=0;do{f[l+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[k>>2]|0))}k=f[i+44>>2]|0;if((k|0)!=(i+48|0))TC(k);if(!(f[h+4>>2]|0)){u=g;return}u=g;return}function Zga(a,c,e){a=a|0;c=c|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0;e=u;u=u+2144|0;g=e+1080|0;h=e+16|0;i=e;j=f[a+40>>2]|0;k=f[j+4>>2]|0;l=f[j>>2]|0;j=f[c+40>>2]|0;m=f[j+4>>2]|0;n=f[j>>2]|0;j=((f[a>>2]|0)>>>3&511)+1|0;o=(Y(j,m+1|0)|0)+15&-16;p=(o*3|0)+16|0;q=g+8|0;f[g>>2]=q;r=g+4|0;f[r>>2]=p;if(p>>>0>264){s=euc(p>>>0>1073741823?-1:p<<2)|0;f[g>>2]=s;t=s}else t=q;s=t+15&-16;t=Y(j,k)|0;p=h+8|0;f[h>>2]=p;v=h+4|0;f[v>>2]=t;if(t>>>0>264){w=euc(t>>>0>1073741823?-1:t<<2)|0;f[h>>2]=w;x=w}else x=p;w=m-(k<<1)|0;if((((w|0)>-1?w:0-w|0)|0)!=((m|0)%2|0|0)){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;y=cuc(128)|0;f[i>>2]=y;z=i+8|0;f[z>>2]=-2147483520;A=i+4|0;f[A>>2]=119;B=y;C=263104;D=B+119|0;do{b[B>>0]=b[C>>0]|0;B=B+1|0;C=C+1|0}while((B|0)<(D|0));E=y+119|0;b[E>>0]=0;WD(-215,i,263224,262796,996)}w=l<<1;k=n-w|0;if((((k|0)>-1?k:0-k|0)|0)!=((n|0)%2|0|0)){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;y=cuc(128)|0;f[i>>2]=y;z=i+8|0;f[z>>2]=-2147483520;A=i+4|0;f[A>>2]=119;B=y;C=263104;D=B+119|0;do{b[B>>0]=b[C>>0]|0;B=B+1|0;C=C+1|0}while((B|0)<(D|0));E=y+119|0;b[E>>0]=0;WD(-215,i,263224,262796,996)}i=Y(j,m)|0;if((t|0)>0){m=j<<1;E=0;do{y=(Y(m,(E|0)/(j|0)|0)|0)+((E|0)%(j|0)|0)|0;f[x+(E<<2)>>2]=y;E=E+1|0}while((E|0)!=(t|0))}if((l|0)>0){E=c+16|0;m=c+44|0;y=n+-1|0;C=(i|0)>0;B=a+16|0;D=a+44|0;a=(t|0)==(j|0);A=t-j|0;z=(i|0)>(t<<1|0);t=c+12|0;k=(j|0)<(A|0);F=-1;G=0;while(1){H=G<<1;I=f[E>>2]|0;J=f[f[m>>2]>>2]|0;K=I+(Y(J,H)|0)|0;L=H|1;H=I+(Y(J,(y|0)<(L|0)?y:L)|0)|0;L=G;G=G+1|0;if((F|0)>(G|0))M=F;else{J=F;while(1){I=J+1|0;N=s+((Y((I|0)%3|0,o)|0)<<2)|0;O=(LI(J<<1,w,4)|0)/2|0;P=(f[B>>2]|0)+(Y(f[f[D>>2]>>2]|0,O)|0)|0;if(!a){if(z){O=0;do{Q=f[x+(O<<2)>>2]|0;R=d[P+(O<<1)>>1]|0;S=d[P+(O+j<<1)>>1]|0;f[N+(Q<<2)>>2]=(S<<1)+(R*6|0);f[N+(Q+j<<2)>>2]=S+R<<2;R=O+A|0;S=f[x+(R<<2)>>2]|0;Q=d[P+(R<<1)>>1]|0;T=Q<<3;f[N+(S<<2)>>2]=(Q*7|0)+(d[P+(R-j<<1)>>1]|0);f[N+(S+j<<2)>>2]=T;f[N+(O+-1+(f[t>>2]|0)<<2)>>2]=T;O=O+1|0}while((O|0)!=(j|0))}else{O=0;do{T=f[x+(O<<2)>>2]|0;S=d[P+(O<<1)>>1]|0;R=d[P+(O+j<<1)>>1]|0;f[N+(T<<2)>>2]=(R<<1)+(S*6|0);f[N+(T+j<<2)>>2]=R+S<<2;S=O+A|0;R=f[x+(S<<2)>>2]|0;T=d[P+(S<<1)>>1]|0;f[N+(R<<2)>>2]=(T*7|0)+(d[P+(S-j<<1)>>1]|0);f[N+(R+j<<2)>>2]=T<<3;O=O+1|0}while((O|0)!=(j|0))}if(k){O=j;do{T=f[x+(O<<2)>>2]|0;R=d[P+(O<<1)>>1]|0;S=d[P+(O+j<<1)>>1]|0;f[N+(T<<2)>>2]=(R*6|0)+(d[P+(O-j<<1)>>1]|0)+S;f[N+(T+j<<2)>>2]=S+R<<2;O=O+1|0}while((O|0)!=(A|0))}}else{O=0;do{R=d[P+(O<<1)>>1]<<3;f[N+(O+j<<2)>>2]=R;f[N+(O<<2)>>2]=R;O=O+1|0}while((O|0)!=(j|0))}if((J|0)>(L|0)){M=I;break}else J=I}}J=s+((Y((L|0)%3|0,o)|0)<<2)|0;O=s+((Y((G|0)%3|0,o)|0)<<2)|0;N=s+((Y((L+2|0)%3|0,o)|0)<<2)|0;if(C){P=0;do{R=f[O+(P<<2)>>2]|0;S=f[N+(P<<2)>>2]|0;T=((R*6|0)+32+S+(f[J+(P<<2)>>2]|0)|0)>>>6&65535;d[H+(P<<1)>>1]=((S+R<<2)+32|0)>>>6;d[K+(P<<1)>>1]=T;P=P+1|0}while((P|0)!=(i|0))}if((G|0)>=(l|0))break;else F=M}}if((n|0)>(w|0)?(n=f[c+16>>2]|0,M=f[f[c+44>>2]>>2]|0,c=n+(Y(M,w+-2|0)|0)|0,F=n+(Y(M,w)|0)|0,(i|0)>0):0){w=0;do{d[F+(w<<1)>>1]=d[c+(w<<1)>>1]|0;w=w+1|0}while((w|0)!=(i|0))}i=f[h>>2]|0;if((i|0)!=(p|0)){if(i|0)guc(i);f[h>>2]=p;f[v>>2]=264}v=f[g>>2]|0;if((v|0)==(q|0)){u=e;return}if(v|0)guc(v);f[g>>2]=q;f[r>>2]=264;u=e;return}function _ga(a,c,e){a=a|0;c=c|0;e=e|0;var g=0,h=0,i=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0;e=u;u=u+2144|0;g=e+1080|0;h=e+16|0;i=e;k=f[a+40>>2]|0;l=f[k+4>>2]|0;m=f[k>>2]|0;k=f[c+40>>2]|0;n=f[k+4>>2]|0;o=f[k>>2]|0;k=((f[a>>2]|0)>>>3&511)+1|0;p=(Y(k,n+1|0)|0)+15&-16;q=(p*3|0)+16|0;r=g+8|0;f[g>>2]=r;s=g+4|0;f[s>>2]=q;if(q>>>0>264){t=euc(q>>>0>1073741823?-1:q<<2)|0;f[g>>2]=t;v=t}else v=r;t=v+15&-16;v=Y(k,l)|0;q=h+8|0;f[h>>2]=q;w=h+4|0;f[w>>2]=v;if(v>>>0>264){x=euc(v>>>0>1073741823?-1:v<<2)|0;f[h>>2]=x;y=x}else y=q;x=n-(l<<1)|0;if((((x|0)>-1?x:0-x|0)|0)!=((n|0)%2|0|0)){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;z=cuc(128)|0;f[i>>2]=z;A=i+8|0;f[A>>2]=-2147483520;B=i+4|0;f[B>>2]=119;C=z;D=263104;E=C+119|0;do{b[C>>0]=b[D>>0]|0;C=C+1|0;D=D+1|0}while((C|0)<(E|0));F=z+119|0;b[F>>0]=0;WD(-215,i,263224,262796,996)}x=m<<1;l=o-x|0;if((((l|0)>-1?l:0-l|0)|0)!=((o|0)%2|0|0)){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;z=cuc(128)|0;f[i>>2]=z;A=i+8|0;f[A>>2]=-2147483520;B=i+4|0;f[B>>2]=119;C=z;D=263104;E=C+119|0;do{b[C>>0]=b[D>>0]|0;C=C+1|0;D=D+1|0}while((C|0)<(E|0));F=z+119|0;b[F>>0]=0;WD(-215,i,263224,262796,996)}i=Y(k,n)|0;if((v|0)>0){n=k<<1;F=0;do{z=(Y(n,(F|0)/(k|0)|0)|0)+((F|0)%(k|0)|0)|0;f[y+(F<<2)>>2]=z;F=F+1|0}while((F|0)!=(v|0))}if((m|0)>0){F=c+16|0;n=c+44|0;z=o+-1|0;D=(i|0)>0;C=a+16|0;E=a+44|0;a=(v|0)==(k|0);B=v-k|0;A=(i|0)>(v<<1|0);v=c+12|0;l=(k|0)<(B|0);G=-1;H=0;while(1){I=H<<1;J=f[F>>2]|0;K=f[f[n>>2]>>2]|0;L=J+(Y(K,I)|0)|0;M=I|1;I=J+(Y(K,(z|0)<(M|0)?z:M)|0)|0;M=H;H=H+1|0;if((G|0)>(H|0))N=G;else{K=G;while(1){J=K+1|0;O=t+((Y((J|0)%3|0,p)|0)<<2)|0;P=(LI(K<<1,x,4)|0)/2|0;Q=(f[C>>2]|0)+(Y(f[f[E>>2]>>2]|0,P)|0)|0;if(!a){if(A){P=0;do{R=f[y+(P<<2)>>2]|0;S=j[Q+(P<<1)>>1]|0;T=j[Q+(P+k<<1)>>1]|0;f[O+(R<<2)>>2]=(T<<1)+(S*6|0);f[O+(R+k<<2)>>2]=T+S<<2;S=P+B|0;T=f[y+(S<<2)>>2]|0;R=j[Q+(S<<1)>>1]|0;U=R<<3;f[O+(T<<2)>>2]=(R*7|0)+(j[Q+(S-k<<1)>>1]|0);f[O+(T+k<<2)>>2]=U;f[O+(P+-1+(f[v>>2]|0)<<2)>>2]=U;P=P+1|0}while((P|0)!=(k|0))}else{P=0;do{U=f[y+(P<<2)>>2]|0;T=j[Q+(P<<1)>>1]|0;S=j[Q+(P+k<<1)>>1]|0;f[O+(U<<2)>>2]=(S<<1)+(T*6|0);f[O+(U+k<<2)>>2]=S+T<<2;T=P+B|0;S=f[y+(T<<2)>>2]|0;U=j[Q+(T<<1)>>1]|0;f[O+(S<<2)>>2]=(U*7|0)+(j[Q+(T-k<<1)>>1]|0);f[O+(S+k<<2)>>2]=U<<3;P=P+1|0}while((P|0)!=(k|0))}if(l){P=k;do{U=f[y+(P<<2)>>2]|0;S=j[Q+(P<<1)>>1]|0;T=j[Q+(P+k<<1)>>1]|0;f[O+(U<<2)>>2]=(S*6|0)+(j[Q+(P-k<<1)>>1]|0)+T;f[O+(U+k<<2)>>2]=T+S<<2;P=P+1|0}while((P|0)!=(B|0))}}else{P=0;do{S=(j[Q+(P<<1)>>1]|0)<<3;f[O+(P+k<<2)>>2]=S;f[O+(P<<2)>>2]=S;P=P+1|0}while((P|0)!=(k|0))}if((K|0)>(M|0)){N=J;break}else K=J}}K=t+((Y((M|0)%3|0,p)|0)<<2)|0;P=t+((Y((H|0)%3|0,p)|0)<<2)|0;O=t+((Y((M+2|0)%3|0,p)|0)<<2)|0;if(D){Q=0;do{S=f[P+(Q<<2)>>2]|0;T=f[O+(Q<<2)>>2]|0;U=((S*6|0)+32+T+(f[K+(Q<<2)>>2]|0)|0)>>>6&65535;d[I+(Q<<1)>>1]=((T+S<<2)+32|0)>>>6;d[L+(Q<<1)>>1]=U;Q=Q+1|0}while((Q|0)!=(i|0))}if((H|0)>=(m|0))break;else G=N}}if((o|0)>(x|0)?(o=f[c+16>>2]|0,N=f[f[c+44>>2]>>2]|0,c=o+(Y(N,x+-2|0)|0)|0,G=o+(Y(N,x)|0)|0,(i|0)>0):0){x=0;do{d[G+(x<<1)>>1]=d[c+(x<<1)>>1]|0;x=x+1|0}while((x|0)!=(i|0))}i=f[h>>2]|0;if((i|0)!=(q|0)){if(i|0)guc(i);f[h>>2]=q;f[w>>2]=264}w=f[g>>2]|0;if((w|0)==(r|0)){u=e;return}if(w|0)guc(w);f[g>>2]=r;f[s>>2]=264;u=e;return}function $ga(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0.0,T=0.0,U=0,V=0.0;d=u;u=u+2144|0;e=d+1080|0;g=d+16|0;h=d;i=f[a+40>>2]|0;j=f[i+4>>2]|0;k=f[i>>2]|0;i=f[c+40>>2]|0;l=f[i+4>>2]|0;m=f[i>>2]|0;i=((f[a>>2]|0)>>>3&511)+1|0;o=(Y(i,l+1|0)|0)+15&-16;p=(o*3|0)+16|0;q=e+8|0;f[e>>2]=q;r=e+4|0;f[r>>2]=p;if(p>>>0>264){s=euc(p>>>0>1073741823?-1:p<<2)|0;f[e>>2]=s;t=s}else t=q;s=t+15&-16;t=Y(i,j)|0;p=g+8|0;f[g>>2]=p;v=g+4|0;f[v>>2]=t;if(t>>>0>264){w=euc(t>>>0>1073741823?-1:t<<2)|0;f[g>>2]=w;x=w}else x=p;w=l-(j<<1)|0;if((((w|0)>-1?w:0-w|0)|0)!=((l|0)%2|0|0)){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;y=cuc(128)|0;f[h>>2]=y;z=h+8|0;f[z>>2]=-2147483520;A=h+4|0;f[A>>2]=119;B=y;C=263104;D=B+119|0;do{b[B>>0]=b[C>>0]|0;B=B+1|0;C=C+1|0}while((B|0)<(D|0));E=y+119|0;b[E>>0]=0;WD(-215,h,263224,262796,996)}w=k<<1;j=m-w|0;if((((j|0)>-1?j:0-j|0)|0)!=((m|0)%2|0|0)){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;y=cuc(128)|0;f[h>>2]=y;z=h+8|0;f[z>>2]=-2147483520;A=h+4|0;f[A>>2]=119;B=y;C=263104;D=B+119|0;do{b[B>>0]=b[C>>0]|0;B=B+1|0;C=C+1|0}while((B|0)<(D|0));E=y+119|0;b[E>>0]=0;WD(-215,h,263224,262796,996)}h=Y(i,l)|0;if((t|0)>0){l=i<<1;E=0;do{y=(Y(l,(E|0)/(i|0)|0)|0)+((E|0)%(i|0)|0)|0;f[x+(E<<2)>>2]=y;E=E+1|0}while((E|0)!=(t|0))}if((k|0)>0){E=c+16|0;l=c+44|0;y=m+-1|0;C=(h|0)>0;B=a+16|0;D=a+44|0;a=(t|0)==(i|0);A=t-i|0;z=(h|0)>(t<<1|0);t=c+12|0;j=(i|0)<(A|0);F=-1;G=0;while(1){H=G<<1;I=f[E>>2]|0;J=f[f[l>>2]>>2]|0;K=I+(Y(J,H)|0)|0;L=H|1;H=I+(Y(J,(y|0)<(L|0)?y:L)|0)|0;L=G;G=G+1|0;if((F|0)>(G|0))M=F;else{J=F;while(1){I=J+1|0;N=s+((Y((I|0)%3|0,o)|0)<<2)|0;O=(LI(J<<1,w,4)|0)/2|0;P=(f[B>>2]|0)+(Y(f[f[D>>2]>>2]|0,O)|0)|0;if(!a){O=f[t>>2]|0;if(z){Q=0;do{R=f[x+(Q<<2)>>2]|0;S=+n[P+(Q<<2)>>2];T=+n[P+(Q+i<<2)>>2];n[N+(R<<2)>>2]=S*6.0+T*2.0;n[N+(R+i<<2)>>2]=(S+T)*4.0;R=Q+A|0;U=f[x+(R<<2)>>2]|0;T=+n[P+(R<<2)>>2];S=T*8.0;n[N+(U<<2)>>2]=+n[P+(R-i<<2)>>2]+T*7.0;n[N+(U+i<<2)>>2]=S;n[N+(Q+-1+O<<2)>>2]=S;Q=Q+1|0}while((Q|0)!=(i|0))}else{Q=0;do{O=f[x+(Q<<2)>>2]|0;S=+n[P+(Q<<2)>>2];T=+n[P+(Q+i<<2)>>2];n[N+(O<<2)>>2]=S*6.0+T*2.0;n[N+(O+i<<2)>>2]=(S+T)*4.0;O=Q+A|0;U=f[x+(O<<2)>>2]|0;T=+n[P+(O<<2)>>2];n[N+(U<<2)>>2]=+n[P+(O-i<<2)>>2]+T*7.0;n[N+(U+i<<2)>>2]=T*8.0;Q=Q+1|0}while((Q|0)!=(i|0))}if(j){Q=i;do{U=f[x+(Q<<2)>>2]|0;T=+n[P+(Q<<2)>>2];S=+n[P+(Q+i<<2)>>2];n[N+(U<<2)>>2]=S+(+n[P+(Q-i<<2)>>2]+T*6.0);n[N+(U+i<<2)>>2]=(T+S)*4.0;Q=Q+1|0}while((Q|0)!=(A|0))}}else{Q=0;do{S=+n[P+(Q<<2)>>2]*8.0;n[N+(Q+i<<2)>>2]=S;n[N+(Q<<2)>>2]=S;Q=Q+1|0}while((Q|0)!=(i|0))}if((J|0)>(L|0)){M=I;break}else J=I}}J=s+((Y((L|0)%3|0,o)|0)<<2)|0;Q=s+((Y((G|0)%3|0,o)|0)<<2)|0;N=s+((Y((L+2|0)%3|0,o)|0)<<2)|0;if(C){P=0;do{S=+n[Q+(P<<2)>>2];T=+n[N+(P<<2)>>2];V=(T+(S*6.0+ +n[J+(P<<2)>>2]))*.015625;n[H+(P<<2)>>2]=(S+T)*4.0*.015625;n[K+(P<<2)>>2]=V;P=P+1|0}while((P|0)!=(h|0))}if((G|0)>=(k|0))break;else F=M}}if((m|0)>(w|0)?(m=f[c+16>>2]|0,M=f[f[c+44>>2]>>2]|0,c=m+(Y(M,w+-2|0)|0)|0,F=m+(Y(M,w)|0)|0,(h|0)>0):0){w=0;do{f[F+(w<<2)>>2]=f[c+(w<<2)>>2];w=w+1|0}while((w|0)!=(h|0))}h=f[g>>2]|0;if((h|0)!=(p|0)){if(h|0)guc(h);f[g>>2]=p;f[v>>2]=264}v=f[e>>2]|0;if((v|0)==(q|0)){u=d;return}if(v|0)guc(v);f[e>>2]=q;f[r>>2]=264;u=d;return}function aha(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0.0,T=0.0,U=0,V=0.0;d=u;u=u+2176|0;e=d;g=d+1112|0;h=d+1096|0;i=f[a+40>>2]|0;j=f[i+4>>2]|0;k=f[i>>2]|0;i=f[c+40>>2]|0;l=f[i+4>>2]|0;m=f[i>>2]|0;i=((f[a>>2]|0)>>>3&511)+1|0;n=(Y(i,l+1|0)|0)+15&-16;o=(n*3|0)+16|0;q=e+8|0;f[e>>2]=q;r=e+4|0;f[r>>2]=o;if(o>>>0>136){s=euc(o>>>0>536870911?-1:o<<3)|0;f[e>>2]=s;t=s}else t=q;s=t+15&-16;t=Y(i,j)|0;o=g+8|0;f[g>>2]=o;v=g+4|0;f[v>>2]=t;if(t>>>0>264){w=euc(t>>>0>1073741823?-1:t<<2)|0;f[g>>2]=w;x=w}else x=o;w=l-(j<<1)|0;if((((w|0)>-1?w:0-w|0)|0)!=((l|0)%2|0|0)){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;y=cuc(128)|0;f[h>>2]=y;z=h+8|0;f[z>>2]=-2147483520;A=h+4|0;f[A>>2]=119;B=y;C=263104;D=B+119|0;do{b[B>>0]=b[C>>0]|0;B=B+1|0;C=C+1|0}while((B|0)<(D|0));E=y+119|0;b[E>>0]=0;WD(-215,h,263224,262796,996)}w=k<<1;j=m-w|0;if((((j|0)>-1?j:0-j|0)|0)!=((m|0)%2|0|0)){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;y=cuc(128)|0;f[h>>2]=y;z=h+8|0;f[z>>2]=-2147483520;A=h+4|0;f[A>>2]=119;B=y;C=263104;D=B+119|0;do{b[B>>0]=b[C>>0]|0;B=B+1|0;C=C+1|0}while((B|0)<(D|0));E=y+119|0;b[E>>0]=0;WD(-215,h,263224,262796,996)}h=Y(i,l)|0;if((t|0)>0){l=i<<1;E=0;do{y=(Y(l,(E|0)/(i|0)|0)|0)+((E|0)%(i|0)|0)|0;f[x+(E<<2)>>2]=y;E=E+1|0}while((E|0)!=(t|0))}if((k|0)>0){E=c+16|0;l=c+44|0;y=m+-1|0;C=(h|0)>0;B=a+16|0;D=a+44|0;a=(t|0)==(i|0);A=t-i|0;z=(h|0)>(t<<1|0);t=c+12|0;j=(i|0)<(A|0);F=-1;G=0;while(1){H=G<<1;I=f[E>>2]|0;J=f[f[l>>2]>>2]|0;K=I+(Y(J,H)|0)|0;L=H|1;H=I+(Y(J,(y|0)<(L|0)?y:L)|0)|0;L=G;G=G+1|0;if((F|0)>(G|0))M=F;else{J=F;while(1){I=J+1|0;N=s+((Y((I|0)%3|0,n)|0)<<3)|0;O=(LI(J<<1,w,4)|0)/2|0;P=(f[B>>2]|0)+(Y(f[f[D>>2]>>2]|0,O)|0)|0;if(!a){O=f[t>>2]|0;if(z){Q=0;do{R=f[x+(Q<<2)>>2]|0;S=+p[P+(Q<<3)>>3];T=+p[P+(Q+i<<3)>>3];p[N+(R<<3)>>3]=S*6.0+T*2.0;p[N+(R+i<<3)>>3]=(S+T)*4.0;R=Q+A|0;U=f[x+(R<<2)>>2]|0;T=+p[P+(R<<3)>>3];S=T*8.0;p[N+(U<<3)>>3]=+p[P+(R-i<<3)>>3]+T*7.0;p[N+(U+i<<3)>>3]=S;p[N+(Q+-1+O<<3)>>3]=S;Q=Q+1|0}while((Q|0)!=(i|0))}else{Q=0;do{O=f[x+(Q<<2)>>2]|0;S=+p[P+(Q<<3)>>3];T=+p[P+(Q+i<<3)>>3];p[N+(O<<3)>>3]=S*6.0+T*2.0;p[N+(O+i<<3)>>3]=(S+T)*4.0;O=Q+A|0;U=f[x+(O<<2)>>2]|0;T=+p[P+(O<<3)>>3];p[N+(U<<3)>>3]=+p[P+(O-i<<3)>>3]+T*7.0;p[N+(U+i<<3)>>3]=T*8.0;Q=Q+1|0}while((Q|0)!=(i|0))}if(j){Q=i;do{U=f[x+(Q<<2)>>2]|0;T=+p[P+(Q<<3)>>3];S=+p[P+(Q+i<<3)>>3];p[N+(U<<3)>>3]=S+(+p[P+(Q-i<<3)>>3]+T*6.0);p[N+(U+i<<3)>>3]=(T+S)*4.0;Q=Q+1|0}while((Q|0)!=(A|0))}}else{Q=0;do{S=+p[P+(Q<<3)>>3]*8.0;p[N+(Q+i<<3)>>3]=S;p[N+(Q<<3)>>3]=S;Q=Q+1|0}while((Q|0)!=(i|0))}if((J|0)>(L|0)){M=I;break}else J=I}}J=s+((Y((L|0)%3|0,n)|0)<<3)|0;Q=s+((Y((G|0)%3|0,n)|0)<<3)|0;N=s+((Y((L+2|0)%3|0,n)|0)<<3)|0;if(C){P=0;do{S=+p[Q+(P<<3)>>3];T=+p[N+(P<<3)>>3];V=(T+(S*6.0+ +p[J+(P<<3)>>3]))*.015625;p[H+(P<<3)>>3]=(S+T)*4.0*.015625;p[K+(P<<3)>>3]=V;P=P+1|0}while((P|0)!=(h|0))}if((G|0)>=(k|0))break;else F=M}}if((m|0)>(w|0)?(m=f[c+16>>2]|0,M=f[f[c+44>>2]>>2]|0,c=m+(Y(M,w+-2|0)|0)|0,F=m+(Y(M,w)|0)|0,(h|0)>0):0){w=0;do{p[F+(w<<3)>>3]=+p[c+(w<<3)>>3];w=w+1|0}while((w|0)!=(h|0))}h=f[g>>2]|0;if((h|0)!=(o|0)){if(h|0)guc(h);f[g>>2]=o;f[v>>2]=264}v=f[e>>2]|0;if((v|0)==(q|0)){u=d;return}if(v|0)guc(v);f[e>>2]=q;f[r>>2]=136;u=d;return}function bha(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0;d=u;u=u+2144|0;e=d+1080|0;g=d+16|0;i=d;j=f[a+40>>2]|0;k=f[j+4>>2]|0;l=f[j>>2]|0;j=f[c+40>>2]|0;m=f[j+4>>2]|0;n=f[j>>2]|0;j=((f[a>>2]|0)>>>3&511)+1|0;o=(Y(j,m+1|0)|0)+15&-16;p=(o*3|0)+16|0;q=e+8|0;f[e>>2]=q;r=e+4|0;f[r>>2]=p;if(p>>>0>264){s=euc(p>>>0>1073741823?-1:p<<2)|0;f[e>>2]=s;t=s}else t=q;s=t+15&-16;t=Y(j,k)|0;p=g+8|0;f[g>>2]=p;v=g+4|0;f[v>>2]=t;if(t>>>0>264){w=euc(t>>>0>1073741823?-1:t<<2)|0;f[g>>2]=w;x=w}else x=p;w=m-(k<<1)|0;if((((w|0)>-1?w:0-w|0)|0)!=((m|0)%2|0|0)){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;y=cuc(128)|0;f[i>>2]=y;z=i+8|0;f[z>>2]=-2147483520;A=i+4|0;f[A>>2]=119;B=y;C=263104;D=B+119|0;do{b[B>>0]=b[C>>0]|0;B=B+1|0;C=C+1|0}while((B|0)<(D|0));E=y+119|0;b[E>>0]=0;WD(-215,i,263224,262796,996)}w=l<<1;k=n-w|0;if((((k|0)>-1?k:0-k|0)|0)!=((n|0)%2|0|0)){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;y=cuc(128)|0;f[i>>2]=y;z=i+8|0;f[z>>2]=-2147483520;A=i+4|0;f[A>>2]=119;B=y;C=263104;D=B+119|0;do{b[B>>0]=b[C>>0]|0;B=B+1|0;C=C+1|0}while((B|0)<(D|0));E=y+119|0;b[E>>0]=0;WD(-215,i,263224,262796,996)}i=Y(j,m)|0;if((t|0)>0){m=j<<1;E=0;do{y=(Y(m,(E|0)/(j|0)|0)|0)+((E|0)%(j|0)|0)|0;f[x+(E<<2)>>2]=y;E=E+1|0}while((E|0)!=(t|0))}if((l|0)>0){E=c+16|0;m=c+44|0;y=n+-1|0;C=(i|0)>0;B=a+16|0;D=a+44|0;a=(t|0)==(j|0);A=t-j|0;z=(i|0)>(t<<1|0);t=c+12|0;k=(j|0)<(A|0);F=-1;G=0;while(1){H=G<<1;I=f[E>>2]|0;J=f[f[m>>2]>>2]|0;K=I+(Y(J,H)|0)|0;L=H|1;H=I+(Y(J,(y|0)<(L|0)?y:L)|0)|0;L=G;G=G+1|0;if((F|0)>(G|0))M=F;else{J=F;while(1){I=J+1|0;N=s+((Y((I|0)%3|0,o)|0)<<2)|0;O=(LI(J<<1,w,4)|0)/2|0;P=(f[B>>2]|0)+(Y(f[f[D>>2]>>2]|0,O)|0)|0;if(!a){if(z){O=0;do{Q=f[x+(O<<2)>>2]|0;R=h[P+O>>0]|0;S=h[P+(O+j)>>0]|0;f[N+(Q<<2)>>2]=(S<<1)+(R*6|0);f[N+(Q+j<<2)>>2]=S+R<<2;R=O+A|0;S=f[x+(R<<2)>>2]|0;Q=h[P+R>>0]|0;T=Q<<3;f[N+(S<<2)>>2]=(Q*7|0)+(h[P+(R-j)>>0]|0);f[N+(S+j<<2)>>2]=T;f[N+(O+-1+(f[t>>2]|0)<<2)>>2]=T;O=O+1|0}while((O|0)!=(j|0))}else{O=0;do{T=f[x+(O<<2)>>2]|0;S=h[P+O>>0]|0;R=h[P+(O+j)>>0]|0;f[N+(T<<2)>>2]=(R<<1)+(S*6|0);f[N+(T+j<<2)>>2]=R+S<<2;S=O+A|0;R=f[x+(S<<2)>>2]|0;T=h[P+S>>0]|0;f[N+(R<<2)>>2]=(T*7|0)+(h[P+(S-j)>>0]|0);f[N+(R+j<<2)>>2]=T<<3;O=O+1|0}while((O|0)!=(j|0))}if(k){O=j;do{T=f[x+(O<<2)>>2]|0;R=h[P+O>>0]|0;S=h[P+(O+j)>>0]|0;f[N+(T<<2)>>2]=(R*6|0)+(h[P+(O-j)>>0]|0)+S;f[N+(T+j<<2)>>2]=S+R<<2;O=O+1|0}while((O|0)!=(A|0))}}else{O=0;do{R=(h[P+O>>0]|0)<<3;f[N+(O+j<<2)>>2]=R;f[N+(O<<2)>>2]=R;O=O+1|0}while((O|0)!=(j|0))}if((J|0)>(L|0)){M=I;break}else J=I}}J=s+((Y((L|0)%3|0,o)|0)<<2)|0;O=s+((Y((G|0)%3|0,o)|0)<<2)|0;N=s+((Y((L+2|0)%3|0,o)|0)<<2)|0;if(C){P=0;do{R=f[O+(P<<2)>>2]|0;S=f[N+(P<<2)>>2]|0;T=((R*6|0)+32+S+(f[J+(P<<2)>>2]|0)|0)>>>6&255;b[H+P>>0]=((S+R<<2)+32|0)>>>6;b[K+P>>0]=T;P=P+1|0}while((P|0)!=(i|0))}if((G|0)>=(l|0))break;else F=M}}if((n|0)>(w|0)?(n=f[c+16>>2]|0,M=f[f[c+44>>2]>>2]|0,c=n+(Y(M,w+-2|0)|0)|0,F=n+(Y(M,w)|0)|0,(i|0)>0):0){w=0;do{b[F+w>>0]=b[c+w>>0]|0;w=w+1|0}while((w|0)!=(i|0))}i=f[g>>2]|0;if((i|0)!=(p|0)){if(i|0)guc(i);f[g>>2]=p;f[v>>2]=264}v=f[e>>2]|0;if((v|0)==(q|0)){u=d;return}if(v|0)guc(v);f[e>>2]=q;f[r>>2]=264;u=d;return}function cha(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0;g=u;u=u+128|0;h=g+112|0;i=g+56|0;j=g;gV(h,55792);if(EJ(a)|0){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;k=cuc(16)|0;f[i>>2]=k;f[i+8>>2]=-2147483632;f[i+4>>2]=13;l=k;m=371751;n=l+13|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));b[k+13>>0]=0;WD(-215,i,263360,263290,181)}a:do if((e|0)<1)switch(d|0){case 120:case 119:case 122:case 121:case 112:case 111:case 104:case 105:case 102:case 103:case 94:case 95:case 96:case 97:case 9:case 29:case 19:case 28:case 18:case 5:case 2:case 0:{o=4;break a;break}case 116:case 115:case 118:case 117:case 108:case 107:case 100:case 101:case 98:case 99:case 90:case 91:case 92:case 93:case 8:case 25:case 15:case 24:case 14:case 4:case 3:case 1:{o=3;break a;break}default:{o=0;break a}}else o=e;while(0);do switch(d|0){case 5:case 4:case 3:case 1:case 2:case 0:{Zoa(a,c,o,d>>>0>1);break}case 27:case 17:case 23:case 13:case 26:case 16:case 22:case 12:{e=d+-12|0;b:do if(e>>>0<15){k=(11178>>>(e&32767)&1)!=0;switch(d|0){case 20:case 21:case 19:case 18:case 15:case 14:case 17:case 16:case 13:case 12:{p=k;q=6;break b;break}case 24:case 25:case 26:case 23:case 22:{r=k;s=11;break b;break}default:{}}p=k;q=0}else{r=1;s=11}while(0);if((s|0)==11){p=r;q=5}apa(a,c,p,q);break}case 29:case 19:case 25:case 15:case 28:case 18:case 24:case 14:{e=d+-14|0;c:do if(e>>>0<15){k=(10986>>>(e&32767)&1)!=0;switch(d|0){case 24:case 27:case 26:case 23:case 22:case 25:case 28:{t=k;s=16;break c;break}case 20:case 21:case 19:case 18:case 15:case 14:case 17:case 16:{v=k;w=6;break c;break}default:{}}v=k;w=0}else{t=1;s=16}while(0);if((s|0)==16){v=t;w=5}dpa(a,c,o,v,w);break}case 11:case 7:case 10:case 6:{switch(d|0){case 10:case 6:{x=0;break}default:x=1}gpa(a,c,x);break}case 31:case 21:{switch(d|0){case 22:case 30:case 31:case 29:case 28:case 25:case 24:case 27:case 26:case 23:{y=5;break}case 21:{y=6;break}default:y=0}mpa(a,c,y);break}case 9:case 8:{jpa(a,c,o);break}case 30:case 20:{switch(d|0){case 22:case 30:case 29:case 28:case 25:case 24:case 27:case 26:case 23:{z=5;break}case 20:case 21:{z=6;break}default:z=0}ppa(a,c,z);break}case 83:case 82:case 37:case 36:{switch(d|0){case 40:case 80:case 78:case 58:case 38:case 82:case 36:case 56:case 72:case 70:case 60:case 54:case 76:case 74:case 50:case 44:case 68:case 66:case 52:{A=0;break}default:A=1}lxa(a,c,A,(d|1|0)==37);break}case 85:case 84:case 39:case 38:{switch(d|0){case 40:case 80:case 78:case 84:case 38:case 82:case 58:case 56:case 72:case 70:case 60:case 54:case 76:case 74:case 50:case 44:case 68:case 66:case 52:{B=0;break}default:B=1}mxa(a,c,o,B,(d|1|0)==39);break}case 33:case 32:{Lua(a,c,(d|0)!=32);break}case 35:case 34:{Oua(a,c,o,(d|0)!=34);break}case 67:case 41:case 66:case 40:{e=d+-40|0;if(e>>>0<27)C=(65711086>>>(e&134217727)&1|0)!=0;else C=1;Xxa(a,c,C,(d+-66|0)>>>0<8);break}case 69:case 53:case 68:case 52:{e=d+-52|0;if(e>>>0<17)D=(48810>>>(e&131071)&1|0)!=0;else D=1;Wxa(a,c,D,(d+-66|0)>>>0<8);break}case 71:case 55:case 70:case 54:{e=d+-54|0;if(e>>>0<17)E=(44970>>>(e&131071)&1|0)!=0;else E=1;Zxa(a,c,o,E,(d+-66|0)>>>0<8);break}case 73:case 61:case 72:case 60:{e=d+-60|0;if(e>>>0<13)F=(2750>>>(e&8191)&1)!=0;else F=1;Yxa(a,c,o,F,(d+-66|0)>>>0<8);break}case 75:case 45:case 74:case 44:{e=d+-44|0;if(e>>>0<31){k=(717138622>>>(e&2147483647)&1|0)!=0;if(e>>>0<16){G=k;H=((-3901&65535)>>>(e&65535)&1)!=0}else{G=k;H=0}}else{G=1;H=0}Dua(a,c,G,H);break}case 77:case 51:case 76:case 50:{k=d+-50|0;if(k>>>0<27){e=(44759722>>>(k&134217727)&1|0)!=0;k=d+-44|0;if(k>>>0<16){I=e;J=((-3901&65535)>>>(k&65535)&1)!=0}else{I=e;J=0}}else{I=1;J=0}Gua(a,c,I,J);break}case 79:case 57:case 78:case 56:{e=d+-56|0;if(e>>>0<23){k=(2796522>>>(e&8388607)&1|0)!=0;e=d+-44|0;if(e>>>0<16){K=k;L=((-3901&65535)>>>(e&65535)&1)!=0}else{K=k;L=0}}else{K=1;L=0}Hua(a,c,o,K,L);break}case 81:case 59:case 80:case 58:{k=d+-58|0;if(k>>>0<23){e=(2796282>>>(k&8388607)&1|0)!=0;k=d+-44|0;if(k>>>0<16){M=e;N=((-3901&65535)>>>(k&65535)&1)!=0}else{M=e;N=0}}else{M=1;N=0}Kua(a,c,o,M,N);break}case 142:case 141:case 140:case 139:case 138:case 137:case 136:case 135:case 65:case 64:case 63:case 62:case 49:case 48:case 47:case 46:case 89:case 88:case 87:case 86:{f[i>>2]=1124007936;e=i+4|0;k=i+8|0;O=i+40|0;l=e;n=l+36|0;do{f[l>>2]=0;l=l+4|0}while((l|0)<(n|0));f[O>>2]=k;P=i+48|0;Q=i+44|0;f[Q>>2]=P;f[P>>2]=0;f[i+52>>2]=0;R=a+4|0;if((f[R>>2]|0)!=(f[c+4>>2]|0)){do if((qJ(a)|0)==65536){S=f[R>>2]|0;f[j>>2]=f[S>>2];T=j+4|0;U=S+4|0;f[T>>2]=f[U>>2];V=j+8|0;f[V>>2]=f[S+8>>2];f[j+12>>2]=f[S+12>>2];f[j+16>>2]=f[S+16>>2];f[j+20>>2]=f[S+20>>2];f[j+24>>2]=f[S+24>>2];f[j+28>>2]=f[S+28>>2];f[j+32>>2]=f[S+32>>2];W=f[S+36>>2]|0;f[j+36>>2]=W;f[j+40>>2]=V;V=j+48|0;X=j+44|0;f[X>>2]=V;f[V>>2]=0;f[j+52>>2]=0;if(W|0){V=W+12|0;f[V>>2]=(f[V>>2]|0)+1}if((f[U>>2]|0)<3){U=f[S+44>>2]|0;V=f[X>>2]|0;f[V>>2]=f[U>>2];f[V+4>>2]=f[U+4>>2];break}else{f[T>>2]=0;$T(j,S);break}}else nJ(j,a,-1);while(0);R=i+36|0;S=f[R>>2]|0;if(S|0?(T=S+12|0,S=f[T>>2]|0,f[T>>2]=S+-1,(S|0)==1):0)aU(i);f[R>>2]=0;S=i+16|0;f[S>>2]=0;f[S+4>>2]=0;f[S+8>>2]=0;f[S+12>>2]=0;if((f[e>>2]|0)>0){T=f[O>>2]|0;U=0;do{f[T+(U<<2)>>2]=0;U=U+1|0}while((U|0)<(f[e>>2]|0))}f[i>>2]=f[j>>2];U=j+4|0;T=f[U>>2]|0;f[e>>2]=T;V=j+8|0;f[k>>2]=f[V>>2];f[i+12>>2]=f[j+12>>2];X=j+16|0;f[S>>2]=f[X>>2];f[i+20>>2]=f[j+20>>2];f[i+24>>2]=f[j+24>>2];f[i+28>>2]=f[j+28>>2];f[i+32>>2]=f[j+32>>2];W=j+36|0;f[R>>2]=f[W>>2];Y=i+44|0;Z=f[Y>>2]|0;if((Z|0)==(P|0))_=T;else{TC(Z);f[Y>>2]=P;f[O>>2]=k;_=f[U>>2]|0}Z=j+44|0;if((_|0)<3){T=f[Z>>2]|0;f[P>>2]=f[T>>2];f[i+52>>2]=f[T+4>>2];$=T}else{f[Y>>2]=f[Z>>2];Y=j+40|0;f[i+40>>2]=f[Y>>2];T=j+48|0;f[Z>>2]=T;f[Y>>2]=V;$=T}f[j>>2]=1124007936;f[U>>2]=0;f[U+4>>2]=0;f[U+8>>2]=0;f[U+12>>2]=0;f[U+16>>2]=0;f[U+20>>2]=0;f[U+24>>2]=0;f[U+28>>2]=0;f[W>>2]=0;f[X>>2]=0;f[X+4>>2]=0;f[X+8>>2]=0;f[X+12>>2]=0;if(($|0)!=(j+48|0))TC($)}else{X=j+8|0;f[X>>2]=0;f[X+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=i;GJ(a,j)}f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=i;sga(j,c,d,o);X=i+36|0;W=f[X>>2]|0;if(W|0?(U=W+12|0,W=f[U>>2]|0,f[U>>2]=W+-1,(W|0)==1):0)aU(i);f[X>>2]=0;X=i+16|0;f[X>>2]=0;f[X+4>>2]=0;f[X+8>>2]=0;f[X+12>>2]=0;if((f[e>>2]|0)>0){X=f[O>>2]|0;W=0;do{f[X+(W<<2)>>2]=0;W=W+1|0}while((W|0)<(f[e>>2]|0))}e=f[Q>>2]|0;if((e|0)!=(P|0))TC(e);break}case 94:case 95:case 96:case 97:case 90:case 91:case 92:case 93:{e=d+-91|0;W=e>>>0>6|(e&1|0)!=0;switch(d|0){case 94:case 95:case 90:case 91:{aa=0;break}case 96:case 97:case 92:case 93:{aa=1;break}default:aa=-1}yxa(a,c,o,W,aa);break}case 104:case 105:case 100:case 101:case 102:case 103:case 98:case 99:{W=d+-99|0;e=W>>>0>6|(W&1|0)!=0;switch(d|0){case 102:case 103:case 98:case 99:{ba=1;break}case 104:case 105:case 100:case 101:{ba=0;break}default:ba=-1}vxa(a,c,o,e,ba);break}case 106:{sxa(a,c);break}case 130:case 129:case 128:case 127:case 134:case 133:case 132:case 131:{e=d+-128|0;W=e>>>0>6|(e&1|0)!=0;switch(d|0){case 134:case 133:case 132:case 131:{ca=2;break}case 130:case 129:case 128:case 127:{ca=1;break}default:ca=-1}pxa(a,c,W,ca);break}case 122:case 121:case 120:case 119:case 118:case 117:case 116:case 115:case 112:case 111:case 108:case 107:{W=d+-107|0;if(W>>>0<6)da=51>>>(W&63)&1;else da=0;W=d+-108|0;d:do if(W>>>0<15){e=(10990>>>(W&32767)&1)!=0;switch(d|0){case 119:case 116:case 115:case 112:case 111:case 108:case 120:{ea=e;s=116;break d;break}case 122:case 121:case 118:case 117:{fa=1;ga=e;break d;break}default:{}}fa=-1;ga=e}else{ea=1;s=116}while(0);if((s|0)==116){fa=0;ga=ea}nxa(a,c,o,ga,fa,da);break}case 124:case 123:{oxa(a,c,(d|0)==123&1);break}case 125:{spa(a,c);break}case 126:{vpa(a,c);break}default:{f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;W=cuc(48)|0;f[i>>2]=W;f[i+8>>2]=-2147483600;f[i+4>>2]=41;l=W;m=370027;n=l+41|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));b[W+41>>0]=0;WD(-206,i,263360,263290,351)}}while(0);if(!(f[h+4>>2]|0)){u=g;return}u=g;return}function dha(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;e=u;u=u+208|0;g=e+144|0;h=e+88|0;i=e+32|0;j=e+16|0;k=e;tK(g,a,0,1,0,0);tK(h,c,0,1,0,0);f[i>>2]=f[h>>2];c=i+4|0;a=h+4|0;l=f[a>>2]|0;f[c>>2]=l;m=i+8|0;f[m>>2]=f[h+8>>2];f[i+12>>2]=f[h+12>>2];n=i+16|0;o=h+16|0;f[n>>2]=f[o>>2];f[i+20>>2]=f[h+20>>2];f[i+24>>2]=f[h+24>>2];f[i+28>>2]=f[h+28>>2];f[i+32>>2]=f[h+32>>2];p=i+36|0;q=h+36|0;r=f[q>>2]|0;f[p>>2]=r;s=i+40|0;f[s>>2]=m;m=i+48|0;t=i+44|0;f[t>>2]=m;f[m>>2]=0;f[i+52>>2]=0;if(!r)v=l;else{l=r+12|0;f[l>>2]=(f[l>>2]|0)+1;v=f[a>>2]|0}if((v|0)<3){v=f[h+44>>2]|0;l=f[t>>2]|0;f[l>>2]=f[v>>2];f[l+4>>2]=f[v+4>>2]}else{f[c>>2]=0;$T(i,h)}v=f[i>>2]|0;if((v^f[g>>2])&7|0){f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;l=cuc(32)|0;f[j>>2]=l;f[j+8>>2]=-2147483616;f[j+4>>2]=26;w=l;x=263422;y=w+26|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));b[l+26>>0]=0;WD(-215,j,263449,263290,361)}f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=g;l=k+8|0;f[l>>2]=0;f[l+4>>2]=0;f[k>>2]=33619968;f[k+4>>2]=i;cha(j,k,d,(v>>>3&511)+1|0);if((f[n>>2]|0)!=(f[o>>2]|0)){f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;v=cuc(32)|0;f[j>>2]=v;f[j+8>>2]=-2147483616;f[j+4>>2]=21;w=v;x=263460;y=w+21|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));b[v+21>>0]=0;WD(-215,j,263449,263290,364)}j=f[p>>2]|0;if(j|0?(v=j+12|0,j=f[v>>2]|0,f[v>>2]=j+-1,(j|0)==1):0)aU(i);f[p>>2]=0;f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;f[n+12>>2]=0;if((f[c>>2]|0)>0){n=f[s>>2]|0;s=0;do{f[n+(s<<2)>>2]=0;s=s+1|0}while((s|0)<(f[c>>2]|0))}c=f[t>>2]|0;if((c|0)!=(m|0))TC(c);c=f[q>>2]|0;if(c|0?(m=c+12|0,c=f[m>>2]|0,f[m>>2]=c+-1,(c|0)==1):0)aU(h);f[q>>2]=0;f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;f[o+12>>2]=0;if((f[a>>2]|0)>0){o=f[h+40>>2]|0;q=0;do{f[o+(q<<2)>>2]=0;q=q+1|0}while((q|0)<(f[a>>2]|0))}a=f[h+44>>2]|0;if((a|0)!=(h+48|0))TC(a);a=g+36|0;h=f[a>>2]|0;if(h|0?(q=h+12|0,h=f[q>>2]|0,f[q>>2]=h+-1,(h|0)==1):0)aU(g);f[a>>2]=0;a=g+16|0;h=g+4|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;if((f[h>>2]|0)>0){a=f[g+40>>2]|0;q=0;do{f[a+(q<<2)>>2]=0;q=q+1|0}while((q|0)<(f[h>>2]|0))}h=f[g+44>>2]|0;if((h|0)==(g+48|0)){u=e;return}TC(h);u=e;return}function eha(a,c,d,e){a=a|0;c=c|0;d=d|0;e=+e;var g=0,h=0,i=0,j=0,k=0,l=0.0,m=0.0,n=0.0,o=0.0,q=0.0,r=0.0,s=0,t=0,v=0.0,w=0.0,x=0,y=0,z=0.0;g=u;u=u+320|0;h=g+304|0;i=g+248|0;j=g+192|0;k=g;gV(h,55812);aoa(k,a,0);goa(k,i);aoa(k,c,0);goa(k,j);switch(d|0){case 1:{d=0;c=0;e=0.0;a=0;while(1){l=+p[i+(a<<3)>>3];m=+L(+l);n=+p[j+(a<<3)>>3];o=+L(+n);c=l!=l|0.0!=0.0|l==0.0?c:1;d=n!=n|0.0!=0.0|n==0.0?d:1;if(m>1.0e-05&o>1.0e-05){q=1.0/((l>0.0?1.0:l<0.0?-1.0:0.0)*+Chc(m));r=e+ +L(+(1.0/((n>0.0?1.0:n<0.0?-1.0:0.0)*+Chc(o))-q))}else r=e;a=a+1|0;if((a|0)==7)break;else e=r}s=(d&1)!=0;t=(c&1)!=0;v=r;break}case 2:{c=0;d=0;r=0.0;a=0;while(1){e=+p[i+(c<<3)>>3];q=+L(+e);o=+p[j+(c<<3)>>3];n=+L(+o);d=e!=e|0.0!=0.0|e==0.0?d:1;a=o!=o|0.0!=0.0|o==0.0?a:1;if(q>1.0e-05&n>1.0e-05){m=(e>0.0?1.0:e<0.0?-1.0:0.0)*+Chc(q);w=r+ +L(+((o>0.0?1.0:o<0.0?-1.0:0.0)*+Chc(n)-m))}else w=r;c=c+1|0;if((c|0)==7)break;else r=w}s=(a&1)!=0;t=(d&1)!=0;v=w;break}case 3:{d=0;a=0;c=0;w=0.0;while(1){r=+p[i+(d<<3)>>3];m=+L(+r);n=+p[j+(d<<3)>>3];o=+L(+n);x=c|r==r&0.0==0.0&r!=0.0;y=a|n==n&0.0==0.0&n!=0.0;if(m>1.0e-05&o>1.0e-05?(q=(r>0.0?1.0:r<0.0?-1.0:0.0)*+Chc(m),m=+L(+((q-(n>0.0?1.0:n<0.0?-1.0:0.0)*+Chc(o))/q)),w<m):0)z=m;else z=w;d=d+1|0;if((d|0)==7){s=y;t=x;v=z;break}else{a=y;c=x;w=z}}break}default:{f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;c=cuc(32)|0;f[k>>2]=c;f[k+8>>2]=-2147483616;f[k+4>>2]=25;a=c;d=263482;j=a+25|0;do{b[a>>0]=b[d>>0]|0;a=a+1|0;d=d+1|0}while((a|0)<(j|0));b[c+25>>0]=0;WD(-5,k,263508,263520,161)}}z=t^s?1797693134862315708145274.0e284:v;if(!(f[h+4>>2]|0)){u=g;return +z}u=g;return +z}function fha(a,b,c){a=a|0;b=+b;c=c|0;var d=0,e=0,g=0,h=0,i=0;d=f[c>>2]|0;e=f[c+4>>2]|0;c=cuc(152)|0;f[c+4>>2]=0;f[c+8>>2]=0;f[c>>2]=55840;g=c+16|0;LG(g);f[g>>2]=55868;p[c+24>>3]=b;f[c+32>>2]=d;f[c+36>>2]=e;f[c+40>>2]=1124007936;e=c+48|0;d=c+80|0;h=c+44|0;i=h+36|0;do{f[h>>2]=0;h=h+4|0}while((h|0)<(i|0));f[d>>2]=e;e=c+88|0;f[c+84>>2]=e;f[e>>2]=0;f[c+92>>2]=0;f[c+96>>2]=1124007936;e=c+104|0;d=c+136|0;h=c+100|0;i=h+36|0;do{f[h>>2]=0;h=h+4|0}while((h|0)<(i|0));f[d>>2]=e;e=c+144|0;f[c+140>>2]=e;f[e>>2]=0;f[c+148>>2]=0;f[a>>2]=g;f[a+4>>2]=c;return}function gha(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=55868;b=a+80|0;c=a+116|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+96|0;b=a+84|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+120>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+124>>2]|0;if((b|0)!=(a+128|0))TC(b);b=a+24|0;d=a+60|0;c=f[d>>2]|0;if(c|0?(e=c+12|0,c=f[e>>2]|0,f[e>>2]=c+-1,(c|0)==1):0)aU(b);f[d>>2]=0;d=a+40|0;b=a+28|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[b>>2]|0)>0){d=f[a+64>>2]|0;c=0;do{f[d+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[b>>2]|0))}b=f[a+68>>2]|0;if((b|0)==(a+72|0)){DG(a);return}TC(b);DG(a);return}function hha(a){a=a|0;gha(a);fuc(a);return}function iha(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0.0,K=0.0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0.0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0;e=u;u=u+224|0;g=e+200|0;h=e+192|0;i=e+56|0;j=e+136|0;k=e+72|0;l=e;m=e+128|0;gV(h,55924);if(pJ(c,-1)|0?(pJ(c,-1)|0)!=2:0){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;o=cuc(64)|0;f[g>>2]=o;f[g+8>>2]=-2147483584;f[g+4>>2]=49;q=o;r=263658;s=q+49|0;do{b[q>>0]=b[r>>0]|0;q=q+1|0;r=r+1|0}while((q|0)<(s|0));b[o+49>>0]=0;WD(-215,g,450262,263708,351)}o=(pJ(c,-1)|0)==0;t=o?256:65536;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;oJ(g,c,-1);o=a+16|0;if(!((f[g>>2]|0)%(f[o>>2]|0)|0)){oJ(j,c,-1);v=a+20|0;w=f[v>>2]|0;if(!((f[j+4>>2]|0)%(w|0)|0)){oJ(g,c,-1);x=f[g>>2]|0;y=f[o>>2]|0;oJ(j,c,-1);z=(f[j+4>>2]|0)/(f[v>>2]|0)|0;A=c;B=f[A+4>>2]|0;C=i;f[C>>2]=f[A>>2];f[C+4>>2]=B;f[i+8>>2]=f[c+8>>2];D=f[c+12>>2]|0;E=(x|0)/(y|0)|0;F=z}else{G=v;H=w;I=8}}else{w=a+20|0;G=w;H=f[w>>2]|0;I=8}if((I|0)==8){I=a+24|0;w=g+8|0;f[w>>2]=0;f[w+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=I;oJ(j,c,-1);w=f[j+4>>2]|0;v=f[G>>2]|0;z=f[o>>2]|0;oJ(k,c,-1);y=f[k>>2]|0;x=f[o>>2]|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;f[l+16>>2]=0;f[l+20>>2]=0;f[l+24>>2]=0;f[l+28>>2]=0;MI(c,g,0,H-((w|0)%(v|0)|0)|0,0,z-((y|0)%(x|0)|0)|0,4,l);x=f[a+64>>2]|0;y=(f[x+4>>2]|0)/(f[o>>2]|0)|0;z=(f[x>>2]|0)/(f[G>>2]|0)|0;f[i>>2]=16842752;f[i+4>>2]=I;f[i+8>>2]=0;D=0;E=y;F=z}f[i+12>>2]=D;D=Y(F,E)|0;J=+(t+-1|0)/+(D|0);K=+p[a+8>>3];if(K>0.0){z=~~(K*+(D|0)/+(t|0));L=(z|0)>1?z:1}else L=0;do if((qJ(c)|0)==65536){z=f[c+4>>2]|0;f[j>>2]=f[z>>2];D=j+4|0;y=z+4|0;f[D>>2]=f[y>>2];I=j+8|0;f[I>>2]=f[z+8>>2];f[j+12>>2]=f[z+12>>2];f[j+16>>2]=f[z+16>>2];f[j+20>>2]=f[z+20>>2];f[j+24>>2]=f[z+24>>2];f[j+28>>2]=f[z+28>>2];f[j+32>>2]=f[z+32>>2];G=f[z+36>>2]|0;f[j+36>>2]=G;x=j+40|0;f[x>>2]=I;I=j+48|0;v=j+44|0;f[v>>2]=I;f[I>>2]=0;f[j+52>>2]=0;if(G|0){I=G+12|0;f[I>>2]=(f[I>>2]|0)+1}if((f[y>>2]|0)<3){y=f[z+44>>2]|0;I=f[v>>2]|0;f[I>>2]=f[y>>2];f[I+4>>2]=f[y+4>>2];M=x;N=j;break}else{f[D>>2]=0;$T(j,z);M=x;N=j;break}}else{nJ(j,c,-1);M=j+40|0;N=j}while(0);x=f[M>>2]|0;z=f[x>>2]|0;f[m>>2]=f[x+4>>2];f[m+4>>2]=z;IJ(d,m,f[N>>2]&4095,-1,0,0);do if((qJ(d)|0)==65536){m=f[d+4>>2]|0;f[k>>2]=f[m>>2];z=k+4|0;x=m+4|0;f[z>>2]=f[x>>2];D=k+8|0;f[D>>2]=f[m+8>>2];f[k+12>>2]=f[m+12>>2];f[k+16>>2]=f[m+16>>2];f[k+20>>2]=f[m+20>>2];f[k+24>>2]=f[m+24>>2];f[k+28>>2]=f[m+28>>2];f[k+32>>2]=f[m+32>>2];y=f[m+36>>2]|0;f[k+36>>2]=y;f[k+40>>2]=D;D=k+48|0;I=k+44|0;f[I>>2]=D;f[D>>2]=0;f[k+52>>2]=0;if(y|0){D=y+12|0;f[D>>2]=(f[D>>2]|0)+1}if((f[x>>2]|0)<3){x=f[m+44>>2]|0;D=f[I>>2]|0;f[D>>2]=f[x>>2];f[D+4>>2]=f[x+4>>2];break}else{f[z>>2]=0;$T(k,m);break}}else nJ(k,d,-1);while(0);do if((qJ(i)|0)==65536){d=f[i+4>>2]|0;f[l>>2]=f[d>>2];m=l+4|0;z=d+4|0;f[m>>2]=f[z>>2];x=l+8|0;f[x>>2]=f[d+8>>2];f[l+12>>2]=f[d+12>>2];f[l+16>>2]=f[d+16>>2];f[l+20>>2]=f[d+20>>2];f[l+24>>2]=f[d+24>>2];f[l+28>>2]=f[d+28>>2];f[l+32>>2]=f[d+32>>2];D=f[d+36>>2]|0;f[l+36>>2]=D;f[l+40>>2]=x;x=l+48|0;I=l+44|0;f[I>>2]=x;f[x>>2]=0;f[l+52>>2]=0;if(D|0){x=D+12|0;f[x>>2]=(f[x>>2]|0)+1}if((f[z>>2]|0)<3){z=f[d+44>>2]|0;x=f[I>>2]|0;f[x>>2]=f[z>>2];f[x+4>>2]=f[z+4>>2];break}else{f[m>>2]=0;$T(l,d);break}}else nJ(l,i,-1);while(0);i=a+80|0;d=f[o>>2]|0;m=a+20|0;z=f[m>>2]|0;x=Y(z,d)|0;d=(pJ(c,-1)|0)&4095;z=a+84|0;if(!(((((f[z>>2]|0)<3?(f[a+88>>2]|0)==(x|0):0)?(f[a+92>>2]|0)==(t|0):0)?(f[i>>2]&4095|0)==(d|0):0)?(f[a+96>>2]|0)!=0:0)){f[g>>2]=x;f[g+4>>2]=t;ZT(i,2,g,d)}if(!(pJ(c,-1)|0)){d=cuc(148)|0;f[d+4>>2]=0;f[d+8>>2]=0;f[d>>2]=55952;t=d+12|0;f[t>>2]=55980;x=d+16|0;f[x>>2]=f[l>>2];I=d+20|0;D=l+4|0;y=f[D>>2]|0;f[I>>2]=y;v=d+24|0;f[v>>2]=f[l+8>>2];f[d+28>>2]=f[l+12>>2];f[d+32>>2]=f[l+16>>2];f[d+36>>2]=f[l+20>>2];f[d+40>>2]=f[l+24>>2];f[d+44>>2]=f[l+28>>2];f[d+48>>2]=f[l+32>>2];G=f[l+36>>2]|0;f[d+52>>2]=G;f[d+56>>2]=v;v=d+64|0;w=d+60|0;f[w>>2]=v;f[v>>2]=0;f[d+68>>2]=0;if(!G)O=y;else{y=G+12|0;f[y>>2]=(f[y>>2]|0)+1;O=f[D>>2]|0}if((O|0)<3){O=f[l+44>>2]|0;D=f[w>>2]|0;f[D>>2]=f[O>>2];f[D+4>>2]=f[O+4>>2]}else{f[I>>2]=0;$T(x,l)}x=d+72|0;f[x>>2]=f[i>>2];I=d+76|0;O=f[z>>2]|0;f[I>>2]=O;D=d+80|0;f[D>>2]=f[a+88>>2];f[d+84>>2]=f[a+92>>2];f[d+88>>2]=f[a+96>>2];f[d+92>>2]=f[a+100>>2];f[d+96>>2]=f[a+104>>2];f[d+100>>2]=f[a+108>>2];f[d+104>>2]=f[a+112>>2];w=f[a+116>>2]|0;f[d+108>>2]=w;f[d+112>>2]=D;D=d+120|0;y=d+116|0;f[y>>2]=D;f[D>>2]=0;f[d+124>>2]=0;if(!w)P=O;else{O=w+12|0;f[O>>2]=(f[O>>2]|0)+1;P=f[z>>2]|0}if((P|0)<3){P=f[a+124>>2]|0;O=f[y>>2]|0;f[O>>2]=f[P>>2];f[O+4>>2]=f[P+4>>2]}else{f[I>>2]=0;$T(x,i)}f[d+128>>2]=E;f[d+132>>2]=F;f[d+136>>2]=f[o>>2];f[d+140>>2]=L;n[d+144>>2]=J;Wtc(d);Xtc(d);Q=t;R=d}else{if((pJ(c,-1)|0)!=2){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;d=cuc(32)|0;f[g>>2]=d;f[g+8>>2]=-2147483616;f[g+4>>2]=16;q=d;r=263778;s=q+16|0;do{b[q>>0]=b[r>>0]|0;q=q+1|0;r=r+1|0}while((q|0)<(s|0));b[d+16>>0]=0;WD(-5,g,450262,263708,416)}d=cuc(148)|0;f[d+4>>2]=0;f[d+8>>2]=0;f[d>>2]=56e3;r=d+12|0;f[r>>2]=56028;q=d+16|0;f[q>>2]=f[l>>2];s=d+20|0;t=l+4|0;x=f[t>>2]|0;f[s>>2]=x;I=d+24|0;f[I>>2]=f[l+8>>2];f[d+28>>2]=f[l+12>>2];f[d+32>>2]=f[l+16>>2];f[d+36>>2]=f[l+20>>2];f[d+40>>2]=f[l+24>>2];f[d+44>>2]=f[l+28>>2];f[d+48>>2]=f[l+32>>2];P=f[l+36>>2]|0;f[d+52>>2]=P;f[d+56>>2]=I;I=d+64|0;O=d+60|0;f[O>>2]=I;f[I>>2]=0;f[d+68>>2]=0;if(!P)S=x;else{x=P+12|0;f[x>>2]=(f[x>>2]|0)+1;S=f[t>>2]|0}if((S|0)<3){S=f[l+44>>2]|0;t=f[O>>2]|0;f[t>>2]=f[S>>2];f[t+4>>2]=f[S+4>>2]}else{f[s>>2]=0;$T(q,l)}q=d+72|0;f[q>>2]=f[i>>2];s=d+76|0;S=f[z>>2]|0;f[s>>2]=S;t=d+80|0;f[t>>2]=f[a+88>>2];f[d+84>>2]=f[a+92>>2];f[d+88>>2]=f[a+96>>2];f[d+92>>2]=f[a+100>>2];f[d+96>>2]=f[a+104>>2];f[d+100>>2]=f[a+108>>2];f[d+104>>2]=f[a+112>>2];O=f[a+116>>2]|0;f[d+108>>2]=O;f[d+112>>2]=t;t=d+120|0;x=d+116|0;f[x>>2]=t;f[t>>2]=0;f[d+124>>2]=0;if(!O)T=S;else{S=O+12|0;f[S>>2]=(f[S>>2]|0)+1;T=f[z>>2]|0}if((T|0)<3){T=f[a+124>>2]|0;S=f[x>>2]|0;f[S>>2]=f[T>>2];f[S+4>>2]=f[T+4>>2]}else{f[s>>2]=0;$T(q,i)}f[d+128>>2]=E;f[d+132>>2]=F;f[d+136>>2]=f[o>>2];f[d+140>>2]=L;n[d+144>>2]=J;Wtc(d);Xtc(d);Q=r;R=d}d=Y(f[m>>2]|0,f[o>>2]|0)|0;f[g>>2]=0;f[g+4>>2]=d;sZ(g,Q,-1.0);do if(!(pJ(c,-1)|0)){Q=cuc(1280)|0;f[Q+4>>2]=0;f[Q+8>>2]=0;f[Q>>2]=56048;d=Q+12|0;f[d>>2]=56076;r=Q+16|0;f[r>>2]=f[N>>2];L=Q+20|0;q=j+4|0;s=f[q>>2]|0;f[L>>2]=s;T=Q+24|0;S=j+8|0;f[T>>2]=f[S>>2];x=j+12|0;f[Q+28>>2]=f[x>>2];f[Q+32>>2]=f[j+16>>2];f[Q+36>>2]=f[j+20>>2];f[Q+40>>2]=f[j+24>>2];f[Q+44>>2]=f[j+28>>2];f[Q+48>>2]=f[j+32>>2];O=f[j+36>>2]|0;f[Q+52>>2]=O;f[Q+56>>2]=T;T=Q+64|0;t=Q+60|0;f[t>>2]=T;f[T>>2]=0;f[Q+68>>2]=0;if(!O)U=s;else{s=O+12|0;f[s>>2]=(f[s>>2]|0)+1;U=f[q>>2]|0}if((U|0)<3){q=f[j+44>>2]|0;s=f[t>>2]|0;f[s>>2]=f[q>>2];f[s+4>>2]=f[q+4>>2]}else{f[L>>2]=0;$T(r,j)}r=Q+72|0;f[r>>2]=f[k>>2];L=Q+76|0;q=k+4|0;s=f[q>>2]|0;f[L>>2]=s;t=Q+80|0;f[t>>2]=f[k+8>>2];f[Q+84>>2]=f[k+12>>2];f[Q+88>>2]=f[k+16>>2];f[Q+92>>2]=f[k+20>>2];f[Q+96>>2]=f[k+24>>2];f[Q+100>>2]=f[k+28>>2];f[Q+104>>2]=f[k+32>>2];O=f[k+36>>2]|0;f[Q+108>>2]=O;f[Q+112>>2]=t;t=Q+120|0;T=Q+116|0;f[T>>2]=t;f[t>>2]=0;f[Q+124>>2]=0;if(!O)V=s;else{s=O+12|0;f[s>>2]=(f[s>>2]|0)+1;V=f[q>>2]|0}if((V|0)<3){q=f[k+44>>2]|0;s=f[T>>2]|0;f[s>>2]=f[q>>2];f[s+4>>2]=f[q+4>>2]}else{f[L>>2]=0;$T(r,k)}r=Q+128|0;f[r>>2]=f[i>>2];L=Q+132|0;q=f[z>>2]|0;f[L>>2]=q;s=Q+136|0;f[s>>2]=f[a+88>>2];f[Q+140>>2]=f[a+92>>2];f[Q+144>>2]=f[a+96>>2];f[Q+148>>2]=f[a+100>>2];f[Q+152>>2]=f[a+104>>2];f[Q+156>>2]=f[a+108>>2];f[Q+160>>2]=f[a+112>>2];T=f[a+116>>2]|0;f[Q+164>>2]=T;f[Q+168>>2]=s;s=Q+176|0;O=Q+172|0;f[O>>2]=s;f[s>>2]=0;f[Q+180>>2]=0;if(!T)W=q;else{q=T+12|0;f[q>>2]=(f[q>>2]|0)+1;W=f[z>>2]|0}if((W|0)<3){q=f[a+124>>2]|0;T=f[O>>2]|0;f[T>>2]=f[q>>2];f[T+4>>2]=f[q+4>>2]}else{f[L>>2]=0;$T(r,i)}f[Q+184>>2]=E;f[Q+188>>2]=F;r=Q+192|0;L=f[o>>2]|0;f[r>>2]=L;f[Q+196>>2]=f[m>>2];q=Q+200|0;T=Q+208|0;f[q>>2]=T;O=f[x>>2]|0;x=O<<2;f[Q+204>>2]=x;if(x>>>0>264){t=euc(x>>>0>1073741823?-1:x<<2)|0;f[q>>2]=t;X=t}else X=T;f[Q+1264>>2]=X;T=X+(O<<2)|0;f[Q+1268>>2]=T;t=T+(O<<2)|0;f[Q+1272>>2]=t;q=t+(O<<2)|0;f[Q+1276>>2]=q;x=f[s>>2]|0;J=1.0/+(E|0);a:do if((O|0)>0){s=O+-1|0;P=0;I=L;while(1){K=J*+(P|0)+-.5;y=~~K;w=y-(+(y|0)>K&1)|0;y=w+1|0;Z=K-+(w|0);n[t+(P<<2)>>2]=Z;n[q+(P<<2)>>2]=1.0-Z;D=I+-1|0;G=Y((w|0)>0?w:0,x)|0;f[X+(P<<2)>>2]=G;G=Y((D|0)<(y|0)?D:y,x)|0;f[T+(P<<2)>>2]=G;if((P|0)==(s|0))break a;P=P+1|0;I=f[r>>2]|0}}while(0);Wtc(Q);Xtc(Q);_=S;$=d;aa=Q}else{if((pJ(c,-1)|0)!=2){_=j+8|0;$=0;aa=0;break}r=cuc(1280)|0;f[r+4>>2]=0;f[r+8>>2]=0;f[r>>2]=56096;T=r+12|0;f[T>>2]=56124;x=r+16|0;f[x>>2]=f[N>>2];q=r+20|0;t=j+4|0;L=f[t>>2]|0;f[q>>2]=L;O=r+24|0;I=j+8|0;f[O>>2]=f[I>>2];P=j+12|0;f[r+28>>2]=f[P>>2];f[r+32>>2]=f[j+16>>2];f[r+36>>2]=f[j+20>>2];f[r+40>>2]=f[j+24>>2];f[r+44>>2]=f[j+28>>2];f[r+48>>2]=f[j+32>>2];s=f[j+36>>2]|0;f[r+52>>2]=s;f[r+56>>2]=O;O=r+64|0;G=r+60|0;f[G>>2]=O;f[O>>2]=0;f[r+68>>2]=0;if(!s)ba=L;else{L=s+12|0;f[L>>2]=(f[L>>2]|0)+1;ba=f[t>>2]|0}if((ba|0)<3){t=f[j+44>>2]|0;L=f[G>>2]|0;f[L>>2]=f[t>>2];f[L+4>>2]=f[t+4>>2]}else{f[q>>2]=0;$T(x,j)}x=r+72|0;f[x>>2]=f[k>>2];q=r+76|0;t=k+4|0;L=f[t>>2]|0;f[q>>2]=L;G=r+80|0;f[G>>2]=f[k+8>>2];f[r+84>>2]=f[k+12>>2];f[r+88>>2]=f[k+16>>2];f[r+92>>2]=f[k+20>>2];f[r+96>>2]=f[k+24>>2];f[r+100>>2]=f[k+28>>2];f[r+104>>2]=f[k+32>>2];s=f[k+36>>2]|0;f[r+108>>2]=s;f[r+112>>2]=G;G=r+120|0;O=r+116|0;f[O>>2]=G;f[G>>2]=0;f[r+124>>2]=0;if(!s)ca=L;else{L=s+12|0;f[L>>2]=(f[L>>2]|0)+1;ca=f[t>>2]|0}if((ca|0)<3){t=f[k+44>>2]|0;L=f[O>>2]|0;f[L>>2]=f[t>>2];f[L+4>>2]=f[t+4>>2]}else{f[q>>2]=0;$T(x,k)}x=r+128|0;f[x>>2]=f[i>>2];q=r+132|0;t=f[z>>2]|0;f[q>>2]=t;L=r+136|0;f[L>>2]=f[a+88>>2];f[r+140>>2]=f[a+92>>2];f[r+144>>2]=f[a+96>>2];f[r+148>>2]=f[a+100>>2];f[r+152>>2]=f[a+104>>2];f[r+156>>2]=f[a+108>>2];f[r+160>>2]=f[a+112>>2];O=f[a+116>>2]|0;f[r+164>>2]=O;f[r+168>>2]=L;L=r+176|0;s=r+172|0;f[s>>2]=L;f[L>>2]=0;f[r+180>>2]=0;if(!O)da=t;else{t=O+12|0;f[t>>2]=(f[t>>2]|0)+1;da=f[z>>2]|0}if((da|0)<3){t=f[a+124>>2]|0;O=f[s>>2]|0;f[O>>2]=f[t>>2];f[O+4>>2]=f[t+4>>2]}else{f[q>>2]=0;$T(x,i)}f[r+184>>2]=E;f[r+188>>2]=F;x=r+192|0;q=f[o>>2]|0;f[x>>2]=q;f[r+196>>2]=f[m>>2];t=r+200|0;O=r+208|0;f[t>>2]=O;s=f[P>>2]|0;P=s<<2;f[r+204>>2]=P;if(P>>>0>264){G=euc(P>>>0>1073741823?-1:P<<2)|0;f[t>>2]=G;ea=G}else ea=O;f[r+1264>>2]=ea;O=ea+(s<<2)|0;f[r+1268>>2]=O;G=O+(s<<2)|0;f[r+1272>>2]=G;t=G+(s<<2)|0;f[r+1276>>2]=t;P=(f[L>>2]|0)>>>1;J=1.0/+(E|0);b:do if((s|0)>0){L=s+-1|0;y=0;D=q;while(1){Z=J*+(y|0)+-.5;w=~~Z;v=w-(+(w|0)>Z&1)|0;w=v+1|0;K=Z-+(v|0);n[G+(y<<2)>>2]=K;n[t+(y<<2)>>2]=1.0-K;H=D+-1|0;B=Y((v|0)>0?v:0,P)|0;f[ea+(y<<2)>>2]=B;B=Y((H|0)<(w|0)?H:w,P)|0;f[O+(y<<2)>>2]=B;if((y|0)==(L|0))break b;y=y+1|0;D=f[x>>2]|0}}while(0);Wtc(r);Xtc(r);_=I;$=T;aa=r}while(0);ea=f[_>>2]|0;f[g>>2]=0;f[g+4>>2]=ea;sZ(g,$,-1.0);if(aa|0)Xtc(aa);Xtc(R);R=l+36|0;aa=f[R>>2]|0;if(aa|0?($=aa+12|0,aa=f[$>>2]|0,f[$>>2]=aa+-1,(aa|0)==1):0)aU(l);f[R>>2]=0;R=l+16|0;aa=l+4|0;f[R>>2]=0;f[R+4>>2]=0;f[R+8>>2]=0;f[R+12>>2]=0;if((f[aa>>2]|0)>0){R=f[l+40>>2]|0;$=0;do{f[R+($<<2)>>2]=0;$=$+1|0}while(($|0)<(f[aa>>2]|0))}aa=f[l+44>>2]|0;if((aa|0)!=(l+48|0))TC(aa);aa=k+36|0;l=f[aa>>2]|0;if(l|0?($=l+12|0,l=f[$>>2]|0,f[$>>2]=l+-1,(l|0)==1):0)aU(k);f[aa>>2]=0;aa=k+16|0;l=k+4|0;f[aa>>2]=0;f[aa+4>>2]=0;f[aa+8>>2]=0;f[aa+12>>2]=0;if((f[l>>2]|0)>0){aa=f[k+40>>2]|0;$=0;do{f[aa+($<<2)>>2]=0;$=$+1|0}while(($|0)<(f[l>>2]|0))}l=f[k+44>>2]|0;if((l|0)!=(k+48|0))TC(l);l=j+36|0;k=f[l>>2]|0;if(k|0?($=k+12|0,k=f[$>>2]|0,f[$>>2]=k+-1,(k|0)==1):0)aU(j);f[l>>2]=0;l=j+16|0;k=j+4|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;if((f[k>>2]|0)>0){l=f[M>>2]|0;M=0;do{f[l+(M<<2)>>2]=0;M=M+1|0}while((M|0)<(f[k>>2]|0))}k=f[j+44>>2]|0;if((k|0)!=(j+48|0))TC(k);if(!(f[h+4>>2]|0)){u=e;return}u=e;return}function jha(a,b){a=a|0;b=+b;p[a+8>>3]=b;return}function kha(a){a=a|0;return +(+p[a+8>>3])}function lha(a,b){a=a|0;b=b|0;f[a+16>>2]=f[b>>2];f[a+20>>2]=f[b+4>>2];return}function mha(a,b){a=a|0;b=b|0;var c=0;c=f[b+20>>2]|0;f[a>>2]=f[b+16>>2];f[a+4>>2]=c;return}function nha(a){a=a|0;var b=0,c=0,d=0,e=0;b=a+24|0;c=a+60|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+40|0;b=a+28|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+64>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=a+80|0;d=a+116|0;c=f[d>>2]|0;if(c|0?(e=c+12|0,c=f[e>>2]|0,f[e>>2]=c+-1,(c|0)==1):0)aU(b);f[d>>2]=0;d=a+96|0;b=a+84|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[b>>2]|0)<=0)return;d=f[a+120>>2]|0;a=0;do{f[d+(a<<2)>>2]=0;a=a+1|0}while((a|0)<(f[b>>2]|0));return}function oha(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=56124;b=a+188|0;c=f[b>>2]|0;d=a+196|0;if((c|0)!=(d|0)){if(c|0)guc(c);f[b>>2]=d;f[a+192>>2]=264}d=a+116|0;b=a+152|0;c=f[b>>2]|0;if(c|0?(e=c+12|0,c=f[e>>2]|0,f[e>>2]=c+-1,(c|0)==1):0)aU(d);f[b>>2]=0;b=a+132|0;d=a+120|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;if((f[d>>2]|0)>0){b=f[a+156>>2]|0;c=0;do{f[b+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[d>>2]|0))}d=f[a+160>>2]|0;if((d|0)!=(a+164|0))TC(d);d=a+60|0;c=a+96|0;b=f[c>>2]|0;if(b|0?(e=b+12|0,b=f[e>>2]|0,f[e>>2]=b+-1,(b|0)==1):0)aU(d);f[c>>2]=0;c=a+76|0;d=a+64|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[d>>2]|0)>0){c=f[a+100>>2]|0;b=0;do{f[c+(b<<2)>>2]=0;b=b+1|0}while((b|0)<(f[d>>2]|0))}d=f[a+104>>2]|0;if((d|0)!=(a+108|0))TC(d);d=a+4|0;b=a+40|0;c=f[b>>2]|0;if(c|0?(e=c+12|0,c=f[e>>2]|0,f[e>>2]=c+-1,(c|0)==1):0)aU(d);f[b>>2]=0;b=a+20|0;d=a+8|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;if((f[d>>2]|0)>0){b=f[a+44>>2]|0;c=0;do{f[b+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[d>>2]|0))}d=f[a+48>>2]|0;if((d|0)==(a+52|0))return;TC(d);return}function pha(a){a=a|0;oha(a);fuc(a);return}function qha(a,b){a=a|0;b=b|0;var c=0.0,e=0,g=0,h=0,i=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0.0,x=0,y=0,z=0.0,A=0,B=0,C=0,D=0,E=0.0,F=0.0;c=1.0/+(f[a+176>>2]|0);e=f[b>>2]|0;g=f[b+4>>2]|0;if((e|0)>=(g|0))return;b=f[a+20>>2]|0;h=f[f[a+48>>2]>>2]|0;i=f[a+76>>2]|0;k=f[f[a+104>>2]>>2]|0;l=(f[a+184>>2]|0)+-1|0;m=f[a+180>>2]|0;o=f[a+132>>2]|0;p=f[f[a+160>>2]>>2]|0;q=f[a+16>>2]|0;if((q|0)<=0)return;r=f[a+1252>>2]|0;s=f[a+1256>>2]|0;t=f[a+1264>>2]|0;u=f[a+1260>>2]|0;a=e;do{e=b+(Y(h,a)|0)|0;v=i+(Y(k,a)|0)|0;w=c*+(a|0)+-.5;x=~~w;y=x-(+(x|0)>w&1)|0;x=y+1|0;z=w-+(y|0);w=1.0-z;A=o+(Y(Y(m,(y|0)>0?y:0)|0,p)|0)|0;y=o+(Y(Y((l|0)<(x|0)?l:x,m)|0,p)|0)|0;x=0;do{B=j[e+(x<<1)>>1]|0;C=(f[r+(x<<2)>>2]|0)+B|0;D=(f[s+(x<<2)>>2]|0)+B|0;E=+n[t+(x<<2)>>2];F=+n[u+(x<<2)>>2];B=Ghc(w*(+(j[A+(C<<1)>>1]|0)*E+ +(j[A+(D<<1)>>1]|0)*F)+z*(E*+(j[y+(C<<1)>>1]|0)+F*+(j[y+(D<<1)>>1]|0)))|0;d[v+(x<<1)>>1]=B>>>0<65536?B:(B|0)>0?65535:0;x=x+1|0}while((x|0)<(q|0));a=a+1|0}while((a|0)<(g|0));return}function rha(a){a=a|0;f[a>>2]=56096;oha(a+12|0);Qtc(a);return}function sha(a){a=a|0;f[a>>2]=56096;oha(a+12|0);Qtc(a);fuc(a);return}function tha(a){a=a|0;var b=0;b=a+12|0;bi[f[f[b>>2]>>2]&2047](b);return}function uha(a){a=a|0;fuc(a);return}function vha(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=56076;b=a+188|0;c=f[b>>2]|0;d=a+196|0;if((c|0)!=(d|0)){if(c|0)guc(c);f[b>>2]=d;f[a+192>>2]=264}d=a+116|0;b=a+152|0;c=f[b>>2]|0;if(c|0?(e=c+12|0,c=f[e>>2]|0,f[e>>2]=c+-1,(c|0)==1):0)aU(d);f[b>>2]=0;b=a+132|0;d=a+120|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;if((f[d>>2]|0)>0){b=f[a+156>>2]|0;c=0;do{f[b+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[d>>2]|0))}d=f[a+160>>2]|0;if((d|0)!=(a+164|0))TC(d);d=a+60|0;c=a+96|0;b=f[c>>2]|0;if(b|0?(e=b+12|0,b=f[e>>2]|0,f[e>>2]=b+-1,(b|0)==1):0)aU(d);f[c>>2]=0;c=a+76|0;d=a+64|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[d>>2]|0)>0){c=f[a+100>>2]|0;b=0;do{f[c+(b<<2)>>2]=0;b=b+1|0}while((b|0)<(f[d>>2]|0))}d=f[a+104>>2]|0;if((d|0)!=(a+108|0))TC(d);d=a+4|0;b=a+40|0;c=f[b>>2]|0;if(c|0?(e=c+12|0,c=f[e>>2]|0,f[e>>2]=c+-1,(c|0)==1):0)aU(d);f[b>>2]=0;b=a+20|0;d=a+8|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;if((f[d>>2]|0)>0){b=f[a+44>>2]|0;c=0;do{f[b+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[d>>2]|0))}d=f[a+48>>2]|0;if((d|0)==(a+52|0))return;TC(d);return}function wha(a){a=a|0;vha(a);fuc(a);return}function xha(a,c){a=a|0;c=c|0;var d=0.0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0.0,z=0,A=0,B=0.0,C=0,D=0,E=0,F=0,G=0,H=0.0,I=0.0,J=0,K=0,L=0;d=1.0/+(f[a+176>>2]|0);e=f[c>>2]|0;g=c+4|0;c=f[g>>2]|0;if((e|0)>=(c|0))return;i=a+20|0;j=a+48|0;k=a+76|0;l=a+104|0;m=a+184|0;o=a+180|0;p=a+132|0;q=a+160|0;r=a+16|0;s=a+1252|0;t=a+1256|0;u=a+1264|0;v=a+1260|0;a=e;e=c;c=f[r>>2]|0;while(1){w=(f[i>>2]|0)+(Y(f[f[j>>2]>>2]|0,a)|0)|0;x=(f[k>>2]|0)+(Y(f[f[l>>2]>>2]|0,a)|0)|0;y=d*+(a|0)+-.5;z=~~y;A=z-(+(z|0)>y&1)|0;z=A+1|0;B=y-+(A|0);y=1.0-B;C=(f[m>>2]|0)+-1|0;D=f[o>>2]|0;E=Y(D,(A|0)>0?A:0)|0;A=f[p>>2]|0;F=f[f[q>>2]>>2]|0;G=A+(Y(E,F)|0)|0;E=A+(Y(Y((C|0)<(z|0)?C:z,D)|0,F)|0)|0;if((c|0)>0){F=0;do{D=h[w+F>>0]|0;z=(f[(f[s>>2]|0)+(F<<2)>>2]|0)+D|0;C=(f[(f[t>>2]|0)+(F<<2)>>2]|0)+D|0;H=+n[(f[u>>2]|0)+(F<<2)>>2];I=+n[(f[v>>2]|0)+(F<<2)>>2];D=Ghc(y*(+(h[G+z>>0]|0)*H+ +(h[G+C>>0]|0)*I)+B*(H*+(h[E+z>>0]|0)+I*+(h[E+C>>0]|0)))|0;b[x+F>>0]=D>>>0<256?D:(D|0)>0?255:0;F=F+1|0;J=f[r>>2]|0}while((F|0)<(J|0));K=J;L=f[g>>2]|0}else{K=c;L=e}a=a+1|0;if((a|0)>=(L|0))break;else{e=L;c=K}}return}function yha(a){a=a|0;f[a>>2]=56048;vha(a+12|0);Qtc(a);return}function zha(a){a=a|0;f[a>>2]=56048;vha(a+12|0);Qtc(a);fuc(a);return}function Aha(a){a=a|0;var b=0;b=a+12|0;bi[f[f[b>>2]>>2]&2047](b);return}function Bha(a){a=a|0;fuc(a);return}function Cha(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=56028;b=a+60|0;c=a+96|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+76|0;b=a+64|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+100>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+104>>2]|0;if((b|0)!=(a+108|0))TC(b);b=a+4|0;d=a+40|0;c=f[d>>2]|0;if(c|0?(e=c+12|0,c=f[e>>2]|0,f[e>>2]=c+-1,(c|0)==1):0)aU(b);f[d>>2]=0;d=a+20|0;b=a+8|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[b>>2]|0)>0){d=f[a+44>>2]|0;c=0;do{f[d+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[b>>2]|0))}b=f[a+48>>2]|0;if((b|0)==(a+52|0))return;TC(b);return}function Dha(a){a=a|0;Cha(a);fuc(a);return}function Eha(a,b){a=a|0;b=b|0;var c=0,e=0,g=0,h=0,i=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0.0;c=u;u=u+262224|0;e=c+262200|0;g=c+262144|0;h=c;i=f[b>>2]|0;k=(f[a+108>>2]|0)>>>1;l=b+4|0;if((i|0)>=(f[l>>2]|0)){u=c;return}b=a+124|0;m=a+116|0;o=a+120|0;p=e+4|0;q=e+8|0;r=e+12|0;s=a+4|0;t=a+52|0;v=g+16|0;w=g+44|0;x=a+128|0;y=a+132|0;z=g+36|0;A=g+4|0;B=g+40|0;C=g+48|0;D=(f[a+76>>2]|0)+(Y(f[f[a+104>>2]>>2]|0,i)|0)|0;a=i;while(1){i=f[b>>2]|0;E=f[m>>2]|0;F=Y(E,(a|0)%(i|0)|0)|0;f[e>>2]=F;F=f[o>>2]|0;G=Y(F,(a|0)/(i|0)|0)|0;f[p>>2]=G;f[q>>2]=E;f[r>>2]=F;eU(g,s,e);kzc(h|0,0,262144)|0;F=f[r>>2]|0;E=(f[t>>2]|0)>>>1;G=f[v>>2]|0;i=F+-1|0;a:do if(F|0){H=f[q>>2]|0;I=H+-4|0;if((H|0)<4){J=(H|0)>0;K=G;L=i;while(1){if(J){M=0;do{N=h+((j[K+(M<<1)>>1]|0)<<2)|0;f[N>>2]=(f[N>>2]|0)+1;M=M+1|0}while((M|0)!=(H|0))}if(!L)break a;else{K=K+(E<<1)|0;L=L+-1|0}}}L=H&-4;K=(L|0)<(H|0);J=G;M=i;while(1){N=0;do{O=j[J+((N|1)<<1)>>1]|0;P=h+((j[J+(N<<1)>>1]|0)<<2)|0;f[P>>2]=(f[P>>2]|0)+1;P=h+(O<<2)|0;f[P>>2]=(f[P>>2]|0)+1;P=j[J+((N|3)<<1)>>1]|0;O=h+((j[J+((N|2)<<1)>>1]|0)<<2)|0;f[O>>2]=(f[O>>2]|0)+1;O=h+(P<<2)|0;f[O>>2]=(f[O>>2]|0)+1;N=N+4|0}while((N|0)<=(I|0));if(K){N=L;do{O=h+((j[J+(N<<1)>>1]|0)<<2)|0;f[O>>2]=(f[O>>2]|0)+1;N=N+1|0}while((N|0)!=(H|0))}if(!M)break;else{J=J+(E<<1)|0;M=M+-1|0}}}while(0);E=f[x>>2]|0;if((E|0)>0){i=0;G=0;while(1){F=h+(i<<2)|0;M=f[F>>2]|0;if((M|0)>(E|0)){f[F>>2]=E;Q=M+G-E|0}else Q=G;i=i+1|0;if((i|0)==65536)break;else G=Q}G=(Q|0)/65536|0;i=G<<16;E=0;do{M=h+(E<<2)|0;f[M>>2]=(f[M>>2]|0)+G;E=E+1|0}while((E|0)!=65536);E=Q-i|0;if(E|0?(G=65536/(E|0)|0,M=(G|0)>1?G:1,(E|0)>0):0){G=0;F=E;while(1){E=h+(G<<2)|0;f[E>>2]=(f[E>>2]|0)+1;G=G+M|0;if(!((F|0)>1&(G|0)<65536))break;else F=F+-1|0}}}R=+n[y>>2];F=0;G=0;do{F=(f[h+(G<<2)>>2]|0)+F|0;M=Ghc(R*+(F|0))|0;d[D+(G<<1)>>1]=M>>>0<65536?M:(M|0)>0?65535:0;G=G+1|0}while((G|0)!=65536);G=f[z>>2]|0;if(G|0?(F=G+12|0,G=f[F>>2]|0,f[F>>2]=G+-1,(G|0)==1):0)aU(g);f[z>>2]=0;f[v>>2]=0;f[v+4>>2]=0;f[v+8>>2]=0;f[v+12>>2]=0;if((f[A>>2]|0)>0){G=f[B>>2]|0;F=0;do{f[G+(F<<2)>>2]=0;F=F+1|0}while((F|0)<(f[A>>2]|0))}F=f[w>>2]|0;if((F|0)!=(C|0))TC(F);a=a+1|0;if((a|0)>=(f[l>>2]|0))break;else D=D+(k<<1)|0}u=c;return}function Fha(a){a=a|0;f[a>>2]=56e3;Cha(a+12|0);Qtc(a);return}function Gha(a){a=a|0;f[a>>2]=56e3;Cha(a+12|0);Qtc(a);fuc(a);return}function Hha(a){a=a|0;var b=0;b=a+12|0;bi[f[f[b>>2]>>2]&2047](b);return}function Iha(a){a=a|0;fuc(a);return}function Jha(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=55980;b=a+60|0;c=a+96|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+76|0;b=a+64|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+100>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+104>>2]|0;if((b|0)!=(a+108|0))TC(b);b=a+4|0;d=a+40|0;c=f[d>>2]|0;if(c|0?(e=c+12|0,c=f[e>>2]|0,f[e>>2]=c+-1,(c|0)==1):0)aU(b);f[d>>2]=0;d=a+20|0;b=a+8|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[b>>2]|0)>0){d=f[a+44>>2]|0;c=0;do{f[d+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[b>>2]|0))}b=f[a+48>>2]|0;if((b|0)==(a+52|0))return;TC(b);return}function Kha(a){a=a|0;Jha(a);fuc(a);return}function Lha(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0;d=u;u=u+1104|0;e=d+1080|0;g=d+1024|0;i=d;j=f[c>>2]|0;k=f[a+108>>2]|0;l=c+4|0;if((j|0)>=(f[l>>2]|0)){u=d;return}c=a+124|0;m=a+116|0;o=a+120|0;p=e+4|0;q=e+8|0;r=e+12|0;s=a+4|0;t=a+52|0;v=g+16|0;w=g+44|0;x=a+128|0;y=a+132|0;z=g+36|0;A=g+4|0;B=g+40|0;C=g+48|0;D=(f[a+76>>2]|0)+(Y(f[f[a+104>>2]>>2]|0,j)|0)|0;a=j;while(1){j=f[c>>2]|0;E=f[m>>2]|0;F=Y(E,(a|0)%(j|0)|0)|0;f[e>>2]=F;F=f[o>>2]|0;G=Y(F,(a|0)/(j|0)|0)|0;f[p>>2]=G;f[q>>2]=E;f[r>>2]=F;eU(g,s,e);kzc(i|0,0,1024)|0;F=f[r>>2]|0;E=f[t>>2]|0;if(F|0){G=f[q>>2]|0;j=(G|0)<4;H=G+-4|0;I=f[v>>2]|0;J=F;while(1){J=J+-1|0;if(j)K=0;else{F=0;while(1){L=h[I+(F|1)>>0]|0;M=i+((h[I+F>>0]|0)<<2)|0;f[M>>2]=(f[M>>2]|0)+1;M=i+(L<<2)|0;f[M>>2]=(f[M>>2]|0)+1;M=h[I+(F|3)>>0]|0;L=i+((h[I+(F|2)>>0]|0)<<2)|0;f[L>>2]=(f[L>>2]|0)+1;L=i+(M<<2)|0;f[L>>2]=(f[L>>2]|0)+1;L=F+4|0;if((L|0)>(H|0)){K=L;break}else F=L}}if((K|0)<(G|0)){F=K;do{L=i+((h[I+F>>0]|0)<<2)|0;f[L>>2]=(f[L>>2]|0)+1;F=F+1|0}while((F|0)!=(G|0))}if(!J)break;else I=I+E|0}}E=f[x>>2]|0;if((E|0)>0){I=0;J=0;while(1){G=i+(I<<2)|0;H=f[G>>2]|0;if((H|0)>(E|0)){f[G>>2]=E;N=H+J-E|0}else N=J;I=I+1|0;if((I|0)==256)break;else J=N}J=(N|0)/256|0;I=J<<8;E=0;do{H=i+(E<<2)|0;f[H>>2]=(f[H>>2]|0)+J;E=E+1|0}while((E|0)!=256);E=N-I|0;if((E|0)!=0?(J=256/(E|0)|0,H=(J|0)>1?J:1,(E|0)>0):0){J=0;G=E;while(1){E=i+(J<<2)|0;f[E>>2]=(f[E>>2]|0)+1;J=J+H|0;if(!((G|0)>1&(J|0)<256)){O=0;P=0;break}else G=G+-1|0}}else{O=0;P=0}}else{O=0;P=0}do{O=(f[i+(P<<2)>>2]|0)+O|0;G=Ghc(+n[y>>2]*+(O|0))|0;b[D+P>>0]=G>>>0<256?G:(G|0)>0?255:0;P=P+1|0}while((P|0)!=256);G=f[z>>2]|0;if(G|0?(J=G+12|0,G=f[J>>2]|0,f[J>>2]=G+-1,(G|0)==1):0)aU(g);f[z>>2]=0;f[v>>2]=0;f[v+4>>2]=0;f[v+8>>2]=0;f[v+12>>2]=0;if((f[A>>2]|0)>0){G=f[B>>2]|0;J=0;do{f[G+(J<<2)>>2]=0;J=J+1|0}while((J|0)<(f[A>>2]|0))}J=f[w>>2]|0;if((J|0)!=(C|0))TC(J);a=a+1|0;if((a|0)>=(f[l>>2]|0))break;else D=D+k|0}u=d;return}function Mha(a){a=a|0;f[a>>2]=55952;Jha(a+12|0);Qtc(a);return}function Nha(a){a=a|0;f[a>>2]=55952;Jha(a+12|0);Qtc(a);fuc(a);return}function Oha(a){a=a|0;var b=0;b=a+12|0;bi[f[f[b>>2]>>2]&2047](b);return}function Pha(a){a=a|0;fuc(a);return}function Qha(a){a=a|0;f[a>>2]=55840;gha(a+16|0);Qtc(a);return}function Rha(a){a=a|0;f[a>>2]=55840;gha(a+16|0);Qtc(a);fuc(a);return}function Sha(a){a=a|0;gha(a+16|0);return}function Tha(a){a=a|0;fuc(a);return}function Uha(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;h=u;u=u+32|0;i=h;j=h+8|0;k=c&7;l=d&7;if((d^c)&4088|0){m=cuc(48)|0;f[j>>2]=m;f[j+8>>2]=-2147483600;f[j+4>>2]=40;n=m;o=264599;p=n+40|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));b[m+40>>0]=0;WD(-215,j,264640,264656,1306)}m=(g|0)<0?(e|0)/2|0:g;g=(k|0)==0;o=(l|0)==4;do if(!(g&o)){if(g&(l|0)==2){n=cuc(24)|0;f[n+4>>2]=0;f[n+8>>2]=0;f[n>>2]=56172;p=n+12|0;P2(p);q=n;r=56424;s=p;break}p=(l|0)==6;if(g&p){n=cuc(24)|0;f[n+4>>2]=0;f[n+8>>2]=0;f[n>>2]=56200;t=n+12|0;P2(t);q=n;r=56444;s=t;break}t=(k|0)==2;if(t&o){n=cuc(24)|0;f[n+4>>2]=0;f[n+8>>2]=0;f[n>>2]=56228;v=n+12|0;P2(v);q=n;r=56464;s=v;break}if(t&p){t=cuc(24)|0;f[t+4>>2]=0;f[t+8>>2]=0;f[t>>2]=56256;v=t+12|0;P2(v);q=t;r=56484;s=v;break}v=(k|0)==3;if(v&o){t=cuc(24)|0;f[t+4>>2]=0;f[t+8>>2]=0;f[t>>2]=56284;n=t+12|0;P2(n);q=t;r=56504;s=n;break}if((k|0)==4&o){n=cuc(24)|0;f[n+4>>2]=0;f[n+8>>2]=0;f[n>>2]=56312;t=n+12|0;P2(t);q=n;r=56524;s=t;break}if(v&p){v=cuc(24)|0;f[v+4>>2]=0;f[v+8>>2]=0;f[v>>2]=56340;t=v+12|0;P2(t);q=v;r=56544;s=t;break}if((k|0)==5&p){t=cuc(24)|0;f[t+4>>2]=0;f[t+8>>2]=0;f[t>>2]=56368;v=t+12|0;P2(v);q=t;r=56564;s=v;break}if((k|0)==6&p){p=cuc(24)|0;f[p+4>>2]=0;f[p+8>>2]=0;f[p>>2]=56396;v=p+12|0;P2(v);q=p;r=56584;s=v;break}else{f[i>>2]=c;f[i+4>>2]=d;cE(j,264727,i);WD(-213,j,264640,264656,1334)}}else{v=cuc(24)|0;f[v+4>>2]=0;f[v+8>>2]=0;f[v>>2]=56144;p=v+12|0;P2(p);q=v;r=56604;s=p}while(0);f[s>>2]=r;f[q+16>>2]=e;f[q+20>>2]=m;f[a>>2]=s;f[a+4>>2]=q;u=h;return}function Vha(a){a=a|0;fuc(a);return}function Wha(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;g=f[a+4>>2]|0;a=Y(g,e)|0;i=Y(d+-1|0,e)|0;switch(g|0){case 3:{g=Y(e,d)|0;if((g|0)<=0)return;j=e<<1;k=0;do{f[c+(k<<2)>>2]=(h[b+(k+e)>>0]|0)+(h[b+k>>0]|0)+(h[b+(k+j)>>0]|0);k=k+1|0}while((k|0)!=(g|0));return}case 5:{g=Y(e,d)|0;if((g|0)<=0)return;d=e<<1;k=e*3|0;j=e<<2;l=0;do{f[c+(l<<2)>>2]=(h[b+(l+e)>>0]|0)+(h[b+l>>0]|0)+(h[b+(l+d)>>0]|0)+(h[b+(l+k)>>0]|0)+(h[b+(l+j)>>0]|0);l=l+1|0}while((l|0)!=(g|0));return}default:switch(e|0){case 1:{if((a|0)>0){g=0;l=0;while(1){j=(h[b+l>>0]|0)+g|0;l=l+1|0;if((l|0)==(a|0)){m=j;break}else g=j}}else m=0;f[c>>2]=m;if((i|0)>0){n=m;o=0}else return;do{n=(h[b+(o+a)>>0]|0)-(h[b+o>>0]|0)+n|0;o=o+1|0;f[c+(o<<2)>>2]=n}while((o|0)!=(i|0));return}case 3:{if((a|0)>0){o=0;n=0;m=0;g=0;while(1){l=(h[b+g>>0]|0)+m|0;j=(h[b+(g+1)>>0]|0)+n|0;k=(h[b+(g+2)>>0]|0)+o|0;g=g+3|0;if((g|0)>=(a|0)){p=k;q=j;r=l;break}else{o=k;n=j;m=l}}}else{p=0;q=0;r=0}f[c>>2]=r;f[c+4>>2]=q;f[c+8>>2]=p;if((i|0)>0){s=p;t=q;u=r;v=0}else return;do{r=v+a|0;u=(h[b+r>>0]|0)-(h[b+v>>0]|0)+u|0;t=(h[b+(r+1)>>0]|0)-(h[b+(v+1)>>0]|0)+t|0;s=(h[b+(r+2)>>0]|0)-(h[b+(v+2)>>0]|0)+s|0;r=v;v=v+3|0;f[c+(v<<2)>>2]=u;f[c+(r+4<<2)>>2]=t;f[c+(r+5<<2)>>2]=s}while((v|0)<(i|0));return}case 4:{if((a|0)>0){v=0;s=0;t=0;u=0;r=0;while(1){q=(h[b+r>>0]|0)+u|0;p=(h[b+(r|1)>>0]|0)+t|0;m=(h[b+(r|2)>>0]|0)+s|0;n=(h[b+(r|3)>>0]|0)+v|0;r=r+4|0;if((r|0)>=(a|0)){w=n;x=m;y=p;z=q;break}else{v=n;s=m;t=p;u=q}}}else{w=0;x=0;y=0;z=0}f[c>>2]=z;f[c+4>>2]=y;f[c+8>>2]=x;f[c+12>>2]=w;if((i|0)>0){A=w;B=x;C=y;D=z;E=0}else return;do{z=E+a|0;D=(h[b+z>>0]|0)-(h[b+E>>0]|0)+D|0;C=(h[b+(z+1)>>0]|0)-(h[b+(E|1)>>0]|0)+C|0;B=(h[b+(z+2)>>0]|0)-(h[b+(E|2)>>0]|0)+B|0;A=(h[b+(z+3)>>0]|0)-(h[b+(E|3)>>0]|0)+A|0;z=E;E=E+4|0;f[c+(E<<2)>>2]=D;f[c+(z+5<<2)>>2]=C;f[c+(z+6<<2)>>2]=B;f[c+(z+7<<2)>>2]=A}while((E|0)<(i|0));return}default:{if((e|0)<=0)return;E=(i|0)>0;if((a|0)>0){A=0;B=c;C=b;while(1){D=0;z=0;do{D=(h[C+z>>0]|0)+D|0;z=z+e|0}while((z|0)<(a|0));f[B>>2]=D;if(E){z=D;y=0;do{z=(h[C+(y+a)>>0]|0)-(h[C+y>>0]|0)+z|0;y=y+e|0;f[B+(y<<2)>>2]=z}while((y|0)<(i|0))}A=A+1|0;if((A|0)==(e|0))break;else{B=B+4|0;C=C+1|0}}return}if(E){F=0;G=c;H=b}else{kzc(c|0,0,e<<2|0)|0;return}while(1){f[G>>2]=0;c=0;b=0;do{c=(h[H+(b+a)>>0]|0)-(h[H+b>>0]|0)+c|0;b=b+e|0;f[G+(b<<2)>>2]=c}while((b|0)<(i|0));F=F+1|0;if((F|0)==(e|0))break;else{G=G+4|0;H=H+1|0}}return}}}}function Xha(a){a=a|0;fuc(a);return}function Yha(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0.0,m=0.0,n=0.0,o=0.0,q=0,r=0.0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0.0,y=0.0,z=0,A=0.0,B=0.0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0,J=0,K=0,L=0;g=f[a+4>>2]|0;a=Y(g,e)|0;h=Y(d+-1|0,e)|0;switch(g|0){case 3:{g=Y(e,d)|0;if((g|0)<=0)return;i=e<<1;j=0;do{p[c+(j<<3)>>3]=+p[b+(j<<3)>>3]+ +p[b+(j+e<<3)>>3]+ +p[b+(j+i<<3)>>3];j=j+1|0}while((j|0)!=(g|0));return}case 5:{g=Y(e,d)|0;if((g|0)<=0)return;d=e<<1;j=e*3|0;i=e<<2;k=0;do{p[c+(k<<3)>>3]=+p[b+(k<<3)>>3]+ +p[b+(k+e<<3)>>3]+ +p[b+(k+d<<3)>>3]+ +p[b+(k+j<<3)>>3]+ +p[b+(k+i<<3)>>3];k=k+1|0}while((k|0)!=(g|0));return}default:switch(e|0){case 1:{if((a|0)>0){l=0.0;g=0;while(1){m=l+ +p[b+(g<<3)>>3];g=g+1|0;if((g|0)==(a|0)){n=m;break}else l=m}}else n=0.0;p[c>>3]=n;if((h|0)>0){o=n;q=0}else return;do{o=o+(+p[b+(q+a<<3)>>3]-+p[b+(q<<3)>>3]);q=q+1|0;p[c+(q<<3)>>3]=o}while((q|0)!=(h|0));return}case 3:{if((a|0)>0){o=0.0;n=0.0;l=0.0;q=0;while(1){m=l+ +p[b+(q<<3)>>3];r=n+ +p[b+(q+1<<3)>>3];s=o+ +p[b+(q+2<<3)>>3];q=q+3|0;if((q|0)>=(a|0)){t=s;u=r;v=m;break}else{o=s;n=r;l=m}}}else{t=0.0;u=0.0;v=0.0}p[c>>3]=v;p[c+8>>3]=u;p[c+16>>3]=t;if((h|0)>0){w=t;x=u;y=v;z=0}else return;do{q=z+a|0;y=y+(+p[b+(q<<3)>>3]-+p[b+(z<<3)>>3]);x=x+(+p[b+(q+1<<3)>>3]-+p[b+(z+1<<3)>>3]);w=w+(+p[b+(q+2<<3)>>3]-+p[b+(z+2<<3)>>3]);q=z;z=z+3|0;p[c+(z<<3)>>3]=y;p[c+(q+4<<3)>>3]=x;p[c+(q+5<<3)>>3]=w}while((z|0)<(h|0));return}case 4:{if((a|0)>0){w=0.0;x=0.0;y=0.0;v=0.0;z=0;while(1){u=v+ +p[b+(z<<3)>>3];t=y+ +p[b+((z|1)<<3)>>3];l=x+ +p[b+((z|2)<<3)>>3];n=w+ +p[b+((z|3)<<3)>>3];z=z+4|0;if((z|0)>=(a|0)){A=n;B=l;C=t;D=u;break}else{w=n;x=l;y=t;v=u}}}else{A=0.0;B=0.0;C=0.0;D=0.0}p[c>>3]=D;p[c+8>>3]=C;p[c+16>>3]=B;p[c+24>>3]=A;if((h|0)>0){E=A;F=B;G=C;H=D;I=0}else return;do{z=I+a|0;H=H+(+p[b+(z<<3)>>3]-+p[b+(I<<3)>>3]);G=G+(+p[b+(z+1<<3)>>3]-+p[b+((I|1)<<3)>>3]);F=F+(+p[b+(z+2<<3)>>3]-+p[b+((I|2)<<3)>>3]);E=E+(+p[b+(z+3<<3)>>3]-+p[b+((I|3)<<3)>>3]);z=I;I=I+4|0;p[c+(I<<3)>>3]=H;p[c+(z+5<<3)>>3]=G;p[c+(z+6<<3)>>3]=F;p[c+(z+7<<3)>>3]=E}while((I|0)<(h|0));return}default:{if((e|0)<=0)return;I=(h|0)>0;if((a|0)>0){z=0;q=c;g=b;while(1){E=0.0;k=0;do{E=E+ +p[g+(k<<3)>>3];k=k+e|0}while((k|0)<(a|0));p[q>>3]=E;if(I){F=E;k=0;do{F=F+(+p[g+(k+a<<3)>>3]-+p[g+(k<<3)>>3]);k=k+e|0;p[q+(k<<3)>>3]=F}while((k|0)<(h|0))}z=z+1|0;if((z|0)==(e|0))break;else{q=q+8|0;g=g+8|0}}return}if(I){J=0;K=c;L=b}else{kzc(c|0,0,e<<3|0)|0;return}while(1){p[K>>3]=0.0;F=0.0;c=0;do{F=F+(+p[L+(c+a<<3)>>3]-+p[L+(c<<3)>>3]);c=c+e|0;p[K+(c<<3)>>3]=F}while((c|0)<(h|0));J=J+1|0;if((J|0)==(e|0))break;else{K=K+8|0;L=L+8|0}}return}}}}function Zha(a){a=a|0;fuc(a);return}function _ha(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0.0,m=0.0,o=0.0,q=0.0,r=0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0,B=0.0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0.0,J=0,K=0,L=0,M=0;g=f[a+4>>2]|0;a=Y(g,e)|0;h=Y(d+-1|0,e)|0;switch(g|0){case 3:{g=Y(e,d)|0;if((g|0)<=0)return;i=e<<1;j=0;do{p[c+(j<<3)>>3]=+n[b+(j<<2)>>2]+ +n[b+(j+e<<2)>>2]+ +n[b+(j+i<<2)>>2];j=j+1|0}while((j|0)!=(g|0));return}case 5:{g=Y(e,d)|0;if((g|0)<=0)return;d=e<<1;j=e*3|0;i=e<<2;k=0;do{p[c+(k<<3)>>3]=+n[b+(k<<2)>>2]+ +n[b+(k+e<<2)>>2]+ +n[b+(k+d<<2)>>2]+ +n[b+(k+j<<2)>>2]+ +n[b+(k+i<<2)>>2];k=k+1|0}while((k|0)!=(g|0));return}default:switch(e|0){case 1:{if((a|0)>0){l=0.0;g=0;while(1){m=l+ +n[b+(g<<2)>>2];g=g+1|0;if((g|0)==(a|0)){o=m;break}else l=m}}else o=0.0;p[c>>3]=o;if((h|0)>0){q=o;r=0}else return;do{q=q+(+n[b+(r+a<<2)>>2]-+n[b+(r<<2)>>2]);r=r+1|0;p[c+(r<<3)>>3]=q}while((r|0)!=(h|0));return}case 3:{if((a|0)>0){q=0.0;o=0.0;l=0.0;r=0;while(1){m=l+ +n[b+(r<<2)>>2];s=o+ +n[b+(r+1<<2)>>2];t=q+ +n[b+(r+2<<2)>>2];r=r+3|0;if((r|0)>=(a|0)){u=t;v=s;w=m;break}else{q=t;o=s;l=m}}}else{u=0.0;v=0.0;w=0.0}p[c>>3]=w;p[c+8>>3]=v;p[c+16>>3]=u;if((h|0)>0){x=u;y=v;z=w;A=0}else return;do{r=A+a|0;z=z+(+n[b+(r<<2)>>2]-+n[b+(A<<2)>>2]);y=y+(+n[b+(r+1<<2)>>2]-+n[b+(A+1<<2)>>2]);x=x+(+n[b+(r+2<<2)>>2]-+n[b+(A+2<<2)>>2]);r=A;A=A+3|0;p[c+(A<<3)>>3]=z;p[c+(r+4<<3)>>3]=y;p[c+(r+5<<3)>>3]=x}while((A|0)<(h|0));return}case 4:{if((a|0)>0){x=0.0;y=0.0;z=0.0;w=0.0;A=0;while(1){v=w+ +n[b+(A<<2)>>2];u=z+ +n[b+((A|1)<<2)>>2];l=y+ +n[b+((A|2)<<2)>>2];o=x+ +n[b+((A|3)<<2)>>2];A=A+4|0;if((A|0)>=(a|0)){B=o;C=l;D=u;E=v;break}else{x=o;y=l;z=u;w=v}}}else{B=0.0;C=0.0;D=0.0;E=0.0}p[c>>3]=E;p[c+8>>3]=D;p[c+16>>3]=C;p[c+24>>3]=B;if((h|0)>0){F=B;G=C;H=D;I=E;J=0}else return;do{A=J+a|0;I=I+(+n[b+(A<<2)>>2]-+n[b+(J<<2)>>2]);H=H+(+n[b+(A+1<<2)>>2]-+n[b+((J|1)<<2)>>2]);G=G+(+n[b+(A+2<<2)>>2]-+n[b+((J|2)<<2)>>2]);F=F+(+n[b+(A+3<<2)>>2]-+n[b+((J|3)<<2)>>2]);A=J;J=J+4|0;p[c+(J<<3)>>3]=I;p[c+(A+5<<3)>>3]=H;p[c+(A+6<<3)>>3]=G;p[c+(A+7<<3)>>3]=F}while((J|0)<(h|0));return}default:{if((e|0)<=0)return;J=(h|0)>0;if((a|0)>0){A=0;r=c;g=b;while(1){F=0.0;k=0;do{F=F+ +n[g+(k<<2)>>2];k=k+e|0}while((k|0)<(a|0));p[r>>3]=F;if(J){G=F;k=0;do{G=G+(+n[g+(k+a<<2)>>2]-+n[g+(k<<2)>>2]);k=k+e|0;p[r+(k<<3)>>3]=G}while((k|0)<(h|0))}A=A+1|0;if((A|0)==(e|0))break;else{r=r+8|0;g=g+4|0}}return}if(J){K=0;L=c;M=b}else{kzc(c|0,0,e<<3|0)|0;return}while(1){p[L>>3]=0.0;G=0.0;c=0;do{G=G+(+n[M+(c+a<<2)>>2]-+n[M+(c<<2)>>2]);c=c+e|0;p[L+(c<<3)>>3]=G}while((c|0)<(h|0));K=K+1|0;if((K|0)==(e|0))break;else{L=L+8|0;M=M+4|0}}return}}}}function $ha(a){a=a|0;fuc(a);return}function aia(a,b,c,e,g){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0.0,n=0.0,o=0.0,q=0.0,r=0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0,B=0.0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0.0,J=0,K=0,L=0,M=0;h=f[a+4>>2]|0;a=Y(h,g)|0;i=Y(e+-1|0,g)|0;switch(h|0){case 3:{h=Y(g,e)|0;if((h|0)<=0)return;j=g<<1;k=0;do{p[c+(k<<3)>>3]=+(d[b+(k<<1)>>1]|0)+ +(d[b+(k+g<<1)>>1]|0)+ +(d[b+(k+j<<1)>>1]|0);k=k+1|0}while((k|0)!=(h|0));return}case 5:{h=Y(g,e)|0;if((h|0)<=0)return;e=g<<1;k=g*3|0;j=g<<2;l=0;do{p[c+(l<<3)>>3]=+(d[b+(l<<1)>>1]|0)+ +(d[b+(l+g<<1)>>1]|0)+ +(d[b+(l+e<<1)>>1]|0)+ +(d[b+(l+k<<1)>>1]|0)+ +(d[b+(l+j<<1)>>1]|0);l=l+1|0}while((l|0)!=(h|0));return}default:switch(g|0){case 1:{if((a|0)>0){m=0.0;h=0;while(1){n=m+ +(d[b+(h<<1)>>1]|0);h=h+1|0;if((h|0)==(a|0)){o=n;break}else m=n}}else o=0.0;p[c>>3]=o;if((i|0)>0){q=o;r=0}else return;do{q=q+(+(d[b+(r+a<<1)>>1]|0)-+(d[b+(r<<1)>>1]|0));r=r+1|0;p[c+(r<<3)>>3]=q}while((r|0)!=(i|0));return}case 3:{if((a|0)>0){q=0.0;o=0.0;m=0.0;r=0;while(1){n=m+ +(d[b+(r<<1)>>1]|0);s=o+ +(d[b+(r+1<<1)>>1]|0);t=q+ +(d[b+(r+2<<1)>>1]|0);r=r+3|0;if((r|0)>=(a|0)){u=t;v=s;w=n;break}else{q=t;o=s;m=n}}}else{u=0.0;v=0.0;w=0.0}p[c>>3]=w;p[c+8>>3]=v;p[c+16>>3]=u;if((i|0)>0){x=u;y=v;z=w;A=0}else return;do{r=A+a|0;z=z+(+(d[b+(r<<1)>>1]|0)-+(d[b+(A<<1)>>1]|0));y=y+(+(d[b+(r+1<<1)>>1]|0)-+(d[b+(A+1<<1)>>1]|0));x=x+(+(d[b+(r+2<<1)>>1]|0)-+(d[b+(A+2<<1)>>1]|0));r=A;A=A+3|0;p[c+(A<<3)>>3]=z;p[c+(r+4<<3)>>3]=y;p[c+(r+5<<3)>>3]=x}while((A|0)<(i|0));return}case 4:{if((a|0)>0){x=0.0;y=0.0;z=0.0;w=0.0;A=0;while(1){v=w+ +(d[b+(A<<1)>>1]|0);u=z+ +(d[b+((A|1)<<1)>>1]|0);m=y+ +(d[b+((A|2)<<1)>>1]|0);o=x+ +(d[b+((A|3)<<1)>>1]|0);A=A+4|0;if((A|0)>=(a|0)){B=o;C=m;D=u;E=v;break}else{x=o;y=m;z=u;w=v}}}else{B=0.0;C=0.0;D=0.0;E=0.0}p[c>>3]=E;p[c+8>>3]=D;p[c+16>>3]=C;p[c+24>>3]=B;if((i|0)>0){F=B;G=C;H=D;I=E;J=0}else return;do{A=J+a|0;I=I+(+(d[b+(A<<1)>>1]|0)-+(d[b+(J<<1)>>1]|0));H=H+(+(d[b+(A+1<<1)>>1]|0)-+(d[b+((J|1)<<1)>>1]|0));G=G+(+(d[b+(A+2<<1)>>1]|0)-+(d[b+((J|2)<<1)>>1]|0));F=F+(+(d[b+(A+3<<1)>>1]|0)-+(d[b+((J|3)<<1)>>1]|0));A=J;J=J+4|0;p[c+(J<<3)>>3]=I;p[c+(A+5<<3)>>3]=H;p[c+(A+6<<3)>>3]=G;p[c+(A+7<<3)>>3]=F}while((J|0)<(i|0));return}default:{if((g|0)<=0)return;J=(i|0)>0;if((a|0)>0){A=0;r=c;h=b;while(1){F=0.0;l=0;do{F=F+ +(d[h+(l<<1)>>1]|0);l=l+g|0}while((l|0)<(a|0));p[r>>3]=F;if(J){G=F;l=0;do{G=G+(+(d[h+(l+a<<1)>>1]|0)-+(d[h+(l<<1)>>1]|0));l=l+g|0;p[r+(l<<3)>>3]=G}while((l|0)<(i|0))}A=A+1|0;if((A|0)==(g|0))break;else{r=r+8|0;h=h+2|0}}return}if(J){K=0;L=c;M=b}else{kzc(c|0,0,g<<3|0)|0;return}while(1){p[L>>3]=0.0;G=0.0;c=0;do{G=G+(+(d[M+(c+a<<1)>>1]|0)-+(d[M+(c<<1)>>1]|0));c=c+g|0;p[L+(c<<3)>>3]=G}while((c|0)<(i|0));K=K+1|0;if((K|0)==(g|0))break;else{L=L+8|0;M=M+2|0}}return}}}}function bia(a){a=a|0;fuc(a);return}function cia(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;g=f[a+4>>2]|0;a=Y(g,e)|0;h=Y(d+-1|0,e)|0;switch(g|0){case 3:{g=Y(e,d)|0;if((g|0)<=0)return;i=e<<1;j=0;do{f[c+(j<<2)>>2]=(f[b+(j+e<<2)>>2]|0)+(f[b+(j<<2)>>2]|0)+(f[b+(j+i<<2)>>2]|0);j=j+1|0}while((j|0)!=(g|0));return}case 5:{g=Y(e,d)|0;if((g|0)<=0)return;d=e<<1;j=e*3|0;i=e<<2;k=0;do{f[c+(k<<2)>>2]=(f[b+(k+e<<2)>>2]|0)+(f[b+(k<<2)>>2]|0)+(f[b+(k+d<<2)>>2]|0)+(f[b+(k+j<<2)>>2]|0)+(f[b+(k+i<<2)>>2]|0);k=k+1|0}while((k|0)!=(g|0));return}default:switch(e|0){case 1:{if((a|0)>0){g=0;k=0;while(1){i=(f[b+(k<<2)>>2]|0)+g|0;k=k+1|0;if((k|0)==(a|0)){l=i;break}else g=i}}else l=0;f[c>>2]=l;if((h|0)>0){m=l;n=0}else return;do{m=(f[b+(n+a<<2)>>2]|0)-(f[b+(n<<2)>>2]|0)+m|0;n=n+1|0;f[c+(n<<2)>>2]=m}while((n|0)!=(h|0));return}case 3:{if((a|0)>0){n=0;m=0;l=0;g=0;while(1){k=(f[b+(g<<2)>>2]|0)+l|0;i=(f[b+(g+1<<2)>>2]|0)+m|0;j=(f[b+(g+2<<2)>>2]|0)+n|0;g=g+3|0;if((g|0)>=(a|0)){o=j;p=i;q=k;break}else{n=j;m=i;l=k}}}else{o=0;p=0;q=0}f[c>>2]=q;f[c+4>>2]=p;f[c+8>>2]=o;if((h|0)>0){r=o;s=p;t=q;u=0}else return;do{q=u+a|0;t=(f[b+(q<<2)>>2]|0)-(f[b+(u<<2)>>2]|0)+t|0;s=(f[b+(q+1<<2)>>2]|0)-(f[b+(u+1<<2)>>2]|0)+s|0;r=(f[b+(q+2<<2)>>2]|0)-(f[b+(u+2<<2)>>2]|0)+r|0;q=u;u=u+3|0;f[c+(u<<2)>>2]=t;f[c+(q+4<<2)>>2]=s;f[c+(q+5<<2)>>2]=r}while((u|0)<(h|0));return}case 4:{if((a|0)>0){u=0;r=0;s=0;t=0;q=0;while(1){p=(f[b+(q<<2)>>2]|0)+t|0;o=(f[b+((q|1)<<2)>>2]|0)+s|0;l=(f[b+((q|2)<<2)>>2]|0)+r|0;m=(f[b+((q|3)<<2)>>2]|0)+u|0;q=q+4|0;if((q|0)>=(a|0)){v=m;w=l;x=o;y=p;break}else{u=m;r=l;s=o;t=p}}}else{v=0;w=0;x=0;y=0}f[c>>2]=y;f[c+4>>2]=x;f[c+8>>2]=w;f[c+12>>2]=v;if((h|0)>0){z=v;A=w;B=x;C=y;D=0}else return;do{y=D+a|0;C=(f[b+(y<<2)>>2]|0)-(f[b+(D<<2)>>2]|0)+C|0;B=(f[b+(y+1<<2)>>2]|0)-(f[b+((D|1)<<2)>>2]|0)+B|0;A=(f[b+(y+2<<2)>>2]|0)-(f[b+((D|2)<<2)>>2]|0)+A|0;z=(f[b+(y+3<<2)>>2]|0)-(f[b+((D|3)<<2)>>2]|0)+z|0;y=D;D=D+4|0;f[c+(D<<2)>>2]=C;f[c+(y+5<<2)>>2]=B;f[c+(y+6<<2)>>2]=A;f[c+(y+7<<2)>>2]=z}while((D|0)<(h|0));return}default:{if((e|0)<=0)return;D=(h|0)>0;if((a|0)>0){z=0;A=c;B=b;while(1){C=0;y=0;do{C=(f[B+(y<<2)>>2]|0)+C|0;y=y+e|0}while((y|0)<(a|0));f[A>>2]=C;if(D){y=C;x=0;do{y=(f[B+(x+a<<2)>>2]|0)-(f[B+(x<<2)>>2]|0)+y|0;x=x+e|0;f[A+(x<<2)>>2]=y}while((x|0)<(h|0))}z=z+1|0;if((z|0)==(e|0))break;else{A=A+4|0;B=B+4|0}}return}if(D){E=0;F=c;G=b}else{kzc(c|0,0,e<<2|0)|0;return}while(1){f[F>>2]=0;c=0;b=0;do{c=(f[G+(b+a<<2)>>2]|0)-(f[G+(b<<2)>>2]|0)+c|0;b=b+e|0;f[F+(b<<2)>>2]=c}while((b|0)<(h|0));E=E+1|0;if((E|0)==(e|0))break;else{F=F+4|0;G=G+4|0}}return}}}}function dia(a){a=a|0;fuc(a);return}function eia(a,b,c,e,g){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;h=f[a+4>>2]|0;a=Y(h,g)|0;i=Y(e+-1|0,g)|0;switch(h|0){case 3:{h=Y(g,e)|0;if((h|0)<=0)return;j=g<<1;k=0;do{f[c+(k<<2)>>2]=(d[b+(k+g<<1)>>1]|0)+(d[b+(k<<1)>>1]|0)+(d[b+(k+j<<1)>>1]|0);k=k+1|0}while((k|0)!=(h|0));return}case 5:{h=Y(g,e)|0;if((h|0)<=0)return;e=g<<1;k=g*3|0;j=g<<2;l=0;do{f[c+(l<<2)>>2]=(d[b+(l+g<<1)>>1]|0)+(d[b+(l<<1)>>1]|0)+(d[b+(l+e<<1)>>1]|0)+(d[b+(l+k<<1)>>1]|0)+(d[b+(l+j<<1)>>1]|0);l=l+1|0}while((l|0)!=(h|0));return}default:switch(g|0){case 1:{if((a|0)>0){h=0;l=0;while(1){j=(d[b+(l<<1)>>1]|0)+h|0;l=l+1|0;if((l|0)==(a|0)){m=j;break}else h=j}}else m=0;f[c>>2]=m;if((i|0)>0){n=m;o=0}else return;do{n=(d[b+(o+a<<1)>>1]|0)-(d[b+(o<<1)>>1]|0)+n|0;o=o+1|0;f[c+(o<<2)>>2]=n}while((o|0)!=(i|0));return}case 3:{if((a|0)>0){o=0;n=0;m=0;h=0;while(1){l=(d[b+(h<<1)>>1]|0)+m|0;j=(d[b+(h+1<<1)>>1]|0)+n|0;k=(d[b+(h+2<<1)>>1]|0)+o|0;h=h+3|0;if((h|0)>=(a|0)){p=k;q=j;r=l;break}else{o=k;n=j;m=l}}}else{p=0;q=0;r=0}f[c>>2]=r;f[c+4>>2]=q;f[c+8>>2]=p;if((i|0)>0){s=p;t=q;u=r;v=0}else return;do{r=v+a|0;u=(d[b+(r<<1)>>1]|0)-(d[b+(v<<1)>>1]|0)+u|0;t=(d[b+(r+1<<1)>>1]|0)-(d[b+(v+1<<1)>>1]|0)+t|0;s=(d[b+(r+2<<1)>>1]|0)-(d[b+(v+2<<1)>>1]|0)+s|0;r=v;v=v+3|0;f[c+(v<<2)>>2]=u;f[c+(r+4<<2)>>2]=t;f[c+(r+5<<2)>>2]=s}while((v|0)<(i|0));return}case 4:{if((a|0)>0){v=0;s=0;t=0;u=0;r=0;while(1){q=(d[b+(r<<1)>>1]|0)+u|0;p=(d[b+((r|1)<<1)>>1]|0)+t|0;m=(d[b+((r|2)<<1)>>1]|0)+s|0;n=(d[b+((r|3)<<1)>>1]|0)+v|0;r=r+4|0;if((r|0)>=(a|0)){w=n;x=m;y=p;z=q;break}else{v=n;s=m;t=p;u=q}}}else{w=0;x=0;y=0;z=0}f[c>>2]=z;f[c+4>>2]=y;f[c+8>>2]=x;f[c+12>>2]=w;if((i|0)>0){A=w;B=x;C=y;D=z;E=0}else return;do{z=E+a|0;D=(d[b+(z<<1)>>1]|0)-(d[b+(E<<1)>>1]|0)+D|0;C=(d[b+(z+1<<1)>>1]|0)-(d[b+((E|1)<<1)>>1]|0)+C|0;B=(d[b+(z+2<<1)>>1]|0)-(d[b+((E|2)<<1)>>1]|0)+B|0;A=(d[b+(z+3<<1)>>1]|0)-(d[b+((E|3)<<1)>>1]|0)+A|0;z=E;E=E+4|0;f[c+(E<<2)>>2]=D;f[c+(z+5<<2)>>2]=C;f[c+(z+6<<2)>>2]=B;f[c+(z+7<<2)>>2]=A}while((E|0)<(i|0));return}default:{if((g|0)<=0)return;E=(i|0)>0;if((a|0)>0){A=0;B=c;C=b;while(1){D=0;z=0;do{D=(d[C+(z<<1)>>1]|0)+D|0;z=z+g|0}while((z|0)<(a|0));f[B>>2]=D;if(E){z=D;y=0;do{z=(d[C+(y+a<<1)>>1]|0)-(d[C+(y<<1)>>1]|0)+z|0;y=y+g|0;f[B+(y<<2)>>2]=z}while((y|0)<(i|0))}A=A+1|0;if((A|0)==(g|0))break;else{B=B+4|0;C=C+2|0}}return}if(E){F=0;G=c;H=b}else{kzc(c|0,0,g<<2|0)|0;return}while(1){f[G>>2]=0;c=0;b=0;do{c=(d[H+(b+a<<1)>>1]|0)-(d[H+(b<<1)>>1]|0)+c|0;b=b+g|0;f[G+(b<<2)>>2]=c}while((b|0)<(i|0));F=F+1|0;if((F|0)==(g|0))break;else{G=G+4|0;H=H+2|0}}return}}}}function fia(a){a=a|0;fuc(a);return}function gia(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,k=0,l=0,m=0.0,n=0.0,o=0.0,q=0.0,r=0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0,B=0.0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0.0,J=0,K=0,L=0,M=0;g=f[a+4>>2]|0;a=Y(g,e)|0;h=Y(d+-1|0,e)|0;switch(g|0){case 3:{g=Y(e,d)|0;if((g|0)<=0)return;i=e<<1;k=0;do{p[c+(k<<3)>>3]=+(j[b+(k<<1)>>1]|0)+ +(j[b+(k+e<<1)>>1]|0)+ +(j[b+(k+i<<1)>>1]|0);k=k+1|0}while((k|0)!=(g|0));return}case 5:{g=Y(e,d)|0;if((g|0)<=0)return;d=e<<1;k=e*3|0;i=e<<2;l=0;do{p[c+(l<<3)>>3]=+(j[b+(l<<1)>>1]|0)+ +(j[b+(l+e<<1)>>1]|0)+ +(j[b+(l+d<<1)>>1]|0)+ +(j[b+(l+k<<1)>>1]|0)+ +(j[b+(l+i<<1)>>1]|0);l=l+1|0}while((l|0)!=(g|0));return}default:switch(e|0){case 1:{if((a|0)>0){m=0.0;g=0;while(1){n=m+ +(j[b+(g<<1)>>1]|0);g=g+1|0;if((g|0)==(a|0)){o=n;break}else m=n}}else o=0.0;p[c>>3]=o;if((h|0)>0){q=o;r=0}else return;do{q=q+(+(j[b+(r+a<<1)>>1]|0)-+(j[b+(r<<1)>>1]|0));r=r+1|0;p[c+(r<<3)>>3]=q}while((r|0)!=(h|0));return}case 3:{if((a|0)>0){q=0.0;o=0.0;m=0.0;r=0;while(1){n=m+ +(j[b+(r<<1)>>1]|0);s=o+ +(j[b+(r+1<<1)>>1]|0);t=q+ +(j[b+(r+2<<1)>>1]|0);r=r+3|0;if((r|0)>=(a|0)){u=t;v=s;w=n;break}else{q=t;o=s;m=n}}}else{u=0.0;v=0.0;w=0.0}p[c>>3]=w;p[c+8>>3]=v;p[c+16>>3]=u;if((h|0)>0){x=u;y=v;z=w;A=0}else return;do{r=A+a|0;z=z+(+(j[b+(r<<1)>>1]|0)-+(j[b+(A<<1)>>1]|0));y=y+(+(j[b+(r+1<<1)>>1]|0)-+(j[b+(A+1<<1)>>1]|0));x=x+(+(j[b+(r+2<<1)>>1]|0)-+(j[b+(A+2<<1)>>1]|0));r=A;A=A+3|0;p[c+(A<<3)>>3]=z;p[c+(r+4<<3)>>3]=y;p[c+(r+5<<3)>>3]=x}while((A|0)<(h|0));return}case 4:{if((a|0)>0){x=0.0;y=0.0;z=0.0;w=0.0;A=0;while(1){v=w+ +(j[b+(A<<1)>>1]|0);u=z+ +(j[b+((A|1)<<1)>>1]|0);m=y+ +(j[b+((A|2)<<1)>>1]|0);o=x+ +(j[b+((A|3)<<1)>>1]|0);A=A+4|0;if((A|0)>=(a|0)){B=o;C=m;D=u;E=v;break}else{x=o;y=m;z=u;w=v}}}else{B=0.0;C=0.0;D=0.0;E=0.0}p[c>>3]=E;p[c+8>>3]=D;p[c+16>>3]=C;p[c+24>>3]=B;if((h|0)>0){F=B;G=C;H=D;I=E;J=0}else return;do{A=J+a|0;I=I+(+(j[b+(A<<1)>>1]|0)-+(j[b+(J<<1)>>1]|0));H=H+(+(j[b+(A+1<<1)>>1]|0)-+(j[b+((J|1)<<1)>>1]|0));G=G+(+(j[b+(A+2<<1)>>1]|0)-+(j[b+((J|2)<<1)>>1]|0));F=F+(+(j[b+(A+3<<1)>>1]|0)-+(j[b+((J|3)<<1)>>1]|0));A=J;J=J+4|0;p[c+(J<<3)>>3]=I;p[c+(A+5<<3)>>3]=H;p[c+(A+6<<3)>>3]=G;p[c+(A+7<<3)>>3]=F}while((J|0)<(h|0));return}default:{if((e|0)<=0)return;J=(h|0)>0;if((a|0)>0){A=0;r=c;g=b;while(1){F=0.0;l=0;do{F=F+ +(j[g+(l<<1)>>1]|0);l=l+e|0}while((l|0)<(a|0));p[r>>3]=F;if(J){G=F;l=0;do{G=G+(+(j[g+(l+a<<1)>>1]|0)-+(j[g+(l<<1)>>1]|0));l=l+e|0;p[r+(l<<3)>>3]=G}while((l|0)<(h|0))}A=A+1|0;if((A|0)==(e|0))break;else{r=r+8|0;g=g+2|0}}return}if(J){K=0;L=c;M=b}else{kzc(c|0,0,e<<3|0)|0;return}while(1){p[L>>3]=0.0;G=0.0;c=0;do{G=G+(+(j[M+(c+a<<1)>>1]|0)-+(j[M+(c<<1)>>1]|0));c=c+e|0;p[L+(c<<3)>>3]=G}while((c|0)<(h|0));K=K+1|0;if((K|0)==(e|0))break;else{L=L+8|0;M=M+2|0}}return}}}}function hia(a){a=a|0;fuc(a);return}function iia(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;g=f[a+4>>2]|0;a=Y(g,e)|0;h=Y(d+-1|0,e)|0;switch(g|0){case 3:{g=Y(e,d)|0;if((g|0)<=0)return;i=e<<1;k=0;do{f[c+(k<<2)>>2]=(j[b+(k+e<<1)>>1]|0)+(j[b+(k<<1)>>1]|0)+(j[b+(k+i<<1)>>1]|0);k=k+1|0}while((k|0)!=(g|0));return}case 5:{g=Y(e,d)|0;if((g|0)<=0)return;d=e<<1;k=e*3|0;i=e<<2;l=0;do{f[c+(l<<2)>>2]=(j[b+(l+e<<1)>>1]|0)+(j[b+(l<<1)>>1]|0)+(j[b+(l+d<<1)>>1]|0)+(j[b+(l+k<<1)>>1]|0)+(j[b+(l+i<<1)>>1]|0);l=l+1|0}while((l|0)!=(g|0));return}default:switch(e|0){case 1:{if((a|0)>0){g=0;l=0;while(1){i=(j[b+(l<<1)>>1]|0)+g|0;l=l+1|0;if((l|0)==(a|0)){m=i;break}else g=i}}else m=0;f[c>>2]=m;if((h|0)>0){n=m;o=0}else return;do{n=(j[b+(o+a<<1)>>1]|0)-(j[b+(o<<1)>>1]|0)+n|0;o=o+1|0;f[c+(o<<2)>>2]=n}while((o|0)!=(h|0));return}case 3:{if((a|0)>0){o=0;n=0;m=0;g=0;while(1){l=(j[b+(g<<1)>>1]|0)+m|0;i=(j[b+(g+1<<1)>>1]|0)+n|0;k=(j[b+(g+2<<1)>>1]|0)+o|0;g=g+3|0;if((g|0)>=(a|0)){p=k;q=i;r=l;break}else{o=k;n=i;m=l}}}else{p=0;q=0;r=0}f[c>>2]=r;f[c+4>>2]=q;f[c+8>>2]=p;if((h|0)>0){s=p;t=q;u=r;v=0}else return;do{r=v+a|0;u=(j[b+(r<<1)>>1]|0)-(j[b+(v<<1)>>1]|0)+u|0;t=(j[b+(r+1<<1)>>1]|0)-(j[b+(v+1<<1)>>1]|0)+t|0;s=(j[b+(r+2<<1)>>1]|0)-(j[b+(v+2<<1)>>1]|0)+s|0;r=v;v=v+3|0;f[c+(v<<2)>>2]=u;f[c+(r+4<<2)>>2]=t;f[c+(r+5<<2)>>2]=s}while((v|0)<(h|0));return}case 4:{if((a|0)>0){v=0;s=0;t=0;u=0;r=0;while(1){q=(j[b+(r<<1)>>1]|0)+u|0;p=(j[b+((r|1)<<1)>>1]|0)+t|0;m=(j[b+((r|2)<<1)>>1]|0)+s|0;n=(j[b+((r|3)<<1)>>1]|0)+v|0;r=r+4|0;if((r|0)>=(a|0)){w=n;x=m;y=p;z=q;break}else{v=n;s=m;t=p;u=q}}}else{w=0;x=0;y=0;z=0}f[c>>2]=z;f[c+4>>2]=y;f[c+8>>2]=x;f[c+12>>2]=w;if((h|0)>0){A=w;B=x;C=y;D=z;E=0}else return;do{z=E+a|0;D=(j[b+(z<<1)>>1]|0)-(j[b+(E<<1)>>1]|0)+D|0;C=(j[b+(z+1<<1)>>1]|0)-(j[b+((E|1)<<1)>>1]|0)+C|0;B=(j[b+(z+2<<1)>>1]|0)-(j[b+((E|2)<<1)>>1]|0)+B|0;A=(j[b+(z+3<<1)>>1]|0)-(j[b+((E|3)<<1)>>1]|0)+A|0;z=E;E=E+4|0;f[c+(E<<2)>>2]=D;f[c+(z+5<<2)>>2]=C;f[c+(z+6<<2)>>2]=B;f[c+(z+7<<2)>>2]=A}while((E|0)<(h|0));return}default:{if((e|0)<=0)return;E=(h|0)>0;if((a|0)>0){A=0;B=c;C=b;while(1){D=0;z=0;do{D=(j[C+(z<<1)>>1]|0)+D|0;z=z+e|0}while((z|0)<(a|0));f[B>>2]=D;if(E){z=D;y=0;do{z=(j[C+(y+a<<1)>>1]|0)-(j[C+(y<<1)>>1]|0)+z|0;y=y+e|0;f[B+(y<<2)>>2]=z}while((y|0)<(h|0))}A=A+1|0;if((A|0)==(e|0))break;else{B=B+4|0;C=C+2|0}}return}if(E){F=0;G=c;H=b}else{kzc(c|0,0,e<<2|0)|0;return}while(1){f[G>>2]=0;c=0;b=0;do{c=(j[H+(b+a<<1)>>1]|0)-(j[H+(b<<1)>>1]|0)+c|0;b=b+e|0;f[G+(b<<2)>>2]=c}while((b|0)<(h|0));F=F+1|0;if((F|0)==(e|0))break;else{G=G+4|0;H=H+2|0}}return}}}}function jia(a){a=a|0;fuc(a);return}function kia(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,i=0,j=0,k=0,l=0,m=0.0,n=0.0,o=0.0,q=0.0,r=0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0,B=0.0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0.0,J=0,K=0,L=0,M=0;g=f[a+4>>2]|0;a=Y(g,e)|0;i=Y(d+-1|0,e)|0;switch(g|0){case 3:{g=Y(e,d)|0;if((g|0)<=0)return;j=e<<1;k=0;do{p[c+(k<<3)>>3]=+(h[b+k>>0]|0)+ +(h[b+(k+e)>>0]|0)+ +(h[b+(k+j)>>0]|0);k=k+1|0}while((k|0)!=(g|0));return}case 5:{g=Y(e,d)|0;if((g|0)<=0)return;d=e<<1;k=e*3|0;j=e<<2;l=0;do{p[c+(l<<3)>>3]=+(h[b+l>>0]|0)+ +(h[b+(l+e)>>0]|0)+ +(h[b+(l+d)>>0]|0)+ +(h[b+(l+k)>>0]|0)+ +(h[b+(l+j)>>0]|0);l=l+1|0}while((l|0)!=(g|0));return}default:switch(e|0){case 1:{if((a|0)>0){m=0.0;g=0;while(1){n=m+ +(h[b+g>>0]|0);g=g+1|0;if((g|0)==(a|0)){o=n;break}else m=n}}else o=0.0;p[c>>3]=o;if((i|0)>0){q=o;r=0}else return;do{q=q+(+(h[b+(r+a)>>0]|0)-+(h[b+r>>0]|0));r=r+1|0;p[c+(r<<3)>>3]=q}while((r|0)!=(i|0));return}case 3:{if((a|0)>0){q=0.0;o=0.0;m=0.0;r=0;while(1){n=m+ +(h[b+r>>0]|0);s=o+ +(h[b+(r+1)>>0]|0);t=q+ +(h[b+(r+2)>>0]|0);r=r+3|0;if((r|0)>=(a|0)){u=t;v=s;w=n;break}else{q=t;o=s;m=n}}}else{u=0.0;v=0.0;w=0.0}p[c>>3]=w;p[c+8>>3]=v;p[c+16>>3]=u;if((i|0)>0){x=u;y=v;z=w;A=0}else return;do{r=A+a|0;z=z+(+(h[b+r>>0]|0)-+(h[b+A>>0]|0));y=y+(+(h[b+(r+1)>>0]|0)-+(h[b+(A+1)>>0]|0));x=x+(+(h[b+(r+2)>>0]|0)-+(h[b+(A+2)>>0]|0));r=A;A=A+3|0;p[c+(A<<3)>>3]=z;p[c+(r+4<<3)>>3]=y;p[c+(r+5<<3)>>3]=x}while((A|0)<(i|0));return}case 4:{if((a|0)>0){x=0.0;y=0.0;z=0.0;w=0.0;A=0;while(1){v=w+ +(h[b+A>>0]|0);u=z+ +(h[b+(A|1)>>0]|0);m=y+ +(h[b+(A|2)>>0]|0);o=x+ +(h[b+(A|3)>>0]|0);A=A+4|0;if((A|0)>=(a|0)){B=o;C=m;D=u;E=v;break}else{x=o;y=m;z=u;w=v}}}else{B=0.0;C=0.0;D=0.0;E=0.0}p[c>>3]=E;p[c+8>>3]=D;p[c+16>>3]=C;p[c+24>>3]=B;if((i|0)>0){F=B;G=C;H=D;I=E;J=0}else return;do{A=J+a|0;I=I+(+(h[b+A>>0]|0)-+(h[b+J>>0]|0));H=H+(+(h[b+(A+1)>>0]|0)-+(h[b+(J|1)>>0]|0));G=G+(+(h[b+(A+2)>>0]|0)-+(h[b+(J|2)>>0]|0));F=F+(+(h[b+(A+3)>>0]|0)-+(h[b+(J|3)>>0]|0));A=J;J=J+4|0;p[c+(J<<3)>>3]=I;p[c+(A+5<<3)>>3]=H;p[c+(A+6<<3)>>3]=G;p[c+(A+7<<3)>>3]=F}while((J|0)<(i|0));return}default:{if((e|0)<=0)return;J=(i|0)>0;if((a|0)>0){A=0;r=c;g=b;while(1){F=0.0;l=0;do{F=F+ +(h[g+l>>0]|0);l=l+e|0}while((l|0)<(a|0));p[r>>3]=F;if(J){G=F;l=0;do{G=G+(+(h[g+(l+a)>>0]|0)-+(h[g+l>>0]|0));l=l+e|0;p[r+(l<<3)>>3]=G}while((l|0)<(i|0))}A=A+1|0;if((A|0)==(e|0))break;else{r=r+8|0;g=g+1|0}}return}if(J){K=0;L=c;M=b}else{kzc(c|0,0,e<<3|0)|0;return}while(1){p[L>>3]=0.0;G=0.0;c=0;do{G=G+(+(h[M+(c+a)>>0]|0)-+(h[M+c>>0]|0));c=c+e|0;p[L+(c<<3)>>3]=G}while((c|0)<(i|0));K=K+1|0;if((K|0)==(e|0))break;else{L=L+8|0;M=M+1|0}}return}}}}function lia(a){a=a|0;fuc(a);return}function mia(a,b,c,e,g){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;i=f[a+4>>2]|0;a=Y(i,g)|0;j=Y(e+-1|0,g)|0;switch(i|0){case 3:{i=Y(g,e)|0;if((i|0)<=0)return;k=g<<1;l=0;do{d[c+(l<<1)>>1]=(h[b+(l+g)>>0]|0)+(h[b+l>>0]|0)+(h[b+(l+k)>>0]|0);l=l+1|0}while((l|0)!=(i|0));return}case 5:{i=Y(g,e)|0;if((i|0)<=0)return;e=g<<1;l=g*3|0;k=g<<2;m=0;do{d[c+(m<<1)>>1]=(h[b+(m+g)>>0]|0)+(h[b+m>>0]|0)+(h[b+(m+e)>>0]|0)+(h[b+(m+l)>>0]|0)+(h[b+(m+k)>>0]|0);m=m+1|0}while((m|0)!=(i|0));return}default:switch(g|0){case 1:{if((a|0)>0){i=0;m=0;do{i=(h[b+m>>0]|0)+(i&65535)|0;m=m+1|0}while((m|0)!=(a|0));n=i&65535}else n=0;d[c>>1]=n;if((j|0)>0){o=n;p=0}else return;do{o=(h[b+(p+a)>>0]|0)+(o&65535)-(h[b+p>>0]|0)&65535;p=p+1|0;d[c+(p<<1)>>1]=o}while((p|0)!=(j|0));return}case 3:{if((a|0)>0){p=0;o=0;n=0;i=0;do{n=(h[b+i>>0]|0)+(n&65535)|0;o=(h[b+(i+1)>>0]|0)+(o&65535)|0;p=(h[b+(i+2)>>0]|0)+(p&65535)|0;i=i+3|0}while((i|0)<(a|0));q=p&65535;r=o&65535;s=n&65535}else{q=0;r=0;s=0}d[c>>1]=s;d[c+2>>1]=r;d[c+4>>1]=q;if((j|0)>0){t=q;u=r;v=s;w=0}else return;do{s=w+a|0;v=(h[b+s>>0]|0)+(v&65535)-(h[b+w>>0]|0)&65535;u=(h[b+(s+1)>>0]|0)+(u&65535)-(h[b+(w+1)>>0]|0)&65535;t=(h[b+(s+2)>>0]|0)+(t&65535)-(h[b+(w+2)>>0]|0)&65535;s=w;w=w+3|0;d[c+(w<<1)>>1]=v;d[c+(s+4<<1)>>1]=u;d[c+(s+5<<1)>>1]=t}while((w|0)<(j|0));return}case 4:{if((a|0)>0){w=0;t=0;u=0;v=0;s=0;do{v=(h[b+s>>0]|0)+(v&65535)|0;u=(h[b+(s|1)>>0]|0)+(u&65535)|0;t=(h[b+(s|2)>>0]|0)+(t&65535)|0;w=(h[b+(s|3)>>0]|0)+(w&65535)|0;s=s+4|0}while((s|0)<(a|0));x=w&65535;y=t&65535;z=u&65535;A=v&65535}else{x=0;y=0;z=0;A=0}d[c>>1]=A;d[c+2>>1]=z;d[c+4>>1]=y;d[c+6>>1]=x;if((j|0)>0){B=x;C=y;D=z;E=A;F=0}else return;do{A=F+a|0;E=(h[b+A>>0]|0)+(E&65535)-(h[b+F>>0]|0)&65535;D=(h[b+(A+1)>>0]|0)+(D&65535)-(h[b+(F|1)>>0]|0)&65535;C=(h[b+(A+2)>>0]|0)+(C&65535)-(h[b+(F|2)>>0]|0)&65535;B=(h[b+(A+3)>>0]|0)+(B&65535)-(h[b+(F|3)>>0]|0)&65535;A=F;F=F+4|0;d[c+(F<<1)>>1]=E;d[c+(A+5<<1)>>1]=D;d[c+(A+6<<1)>>1]=C;d[c+(A+7<<1)>>1]=B}while((F|0)<(j|0));return}default:{if((g|0)<=0)return;F=(j|0)>0;if((a|0)>0){B=0;C=c;D=b;while(1){E=0;A=0;do{E=(h[D+A>>0]|0)+(E&65535)|0;A=A+g|0}while((A|0)<(a|0));d[C>>1]=E;if(F){A=E;z=0;do{A=(h[D+(z+a)>>0]|0)+(A&65535)-(h[D+z>>0]|0)|0;z=z+g|0;d[C+(z<<1)>>1]=A}while((z|0)<(j|0))}B=B+1|0;if((B|0)==(g|0))break;else{C=C+2|0;D=D+1|0}}return}if(F){G=0;H=c;I=b}else{kzc(c|0,0,g<<1|0)|0;return}while(1){d[H>>1]=0;c=0;b=0;do{c=(h[I+(b+a)>>0]|0)+(c&65535)-(h[I+b>>0]|0)|0;b=b+g|0;d[H+(b<<1)>>1]=c}while((b|0)<(j|0));G=G+1|0;if((G|0)==(g|0))break;else{H=H+2|0;I=I+1|0}}return}}}}function nia(a){a=a|0;f[a>>2]=56396;Qtc(a);return}function oia(a){a=a|0;f[a>>2]=56396;Qtc(a);fuc(a);return}function pia(a){a=a|0;var b=0;b=a+12|0;bi[f[f[b>>2]>>2]&2047](b);return}function qia(a){a=a|0;fuc(a);return}function ria(a){a=a|0;f[a>>2]=56368;Qtc(a);return}function sia(a){a=a|0;f[a>>2]=56368;Qtc(a);fuc(a);return}function tia(a){a=a|0;var b=0;b=a+12|0;bi[f[f[b>>2]>>2]&2047](b);return}function uia(a){a=a|0;fuc(a);return}function via(a){a=a|0;f[a>>2]=56340;Qtc(a);return}function wia(a){a=a|0;f[a>>2]=56340;Qtc(a);fuc(a);return}function xia(a){a=a|0;var b=0;b=a+12|0;bi[f[f[b>>2]>>2]&2047](b);return}function yia(a){a=a|0;fuc(a);return}function zia(a){a=a|0;f[a>>2]=56312;Qtc(a);return}function Aia(a){a=a|0;f[a>>2]=56312;Qtc(a);fuc(a);return}function Bia(a){a=a|0;var b=0;b=a+12|0;bi[f[f[b>>2]>>2]&2047](b);return}function Cia(a){a=a|0;fuc(a);return}function Dia(a){a=a|0;f[a>>2]=56284;Qtc(a);return}function Eia(a){a=a|0;f[a>>2]=56284;Qtc(a);fuc(a);return}function Fia(a){a=a|0;var b=0;b=a+12|0;bi[f[f[b>>2]>>2]&2047](b);return}function Gia(a){a=a|0;fuc(a);return}function Hia(a){a=a|0;f[a>>2]=56256;Qtc(a);return}function Iia(a){a=a|0;f[a>>2]=56256;Qtc(a);fuc(a);return}function Jia(a){a=a|0;var b=0;b=a+12|0;bi[f[f[b>>2]>>2]&2047](b);return}function Kia(a){a=a|0;fuc(a);return}function Lia(a){a=a|0;f[a>>2]=56228;Qtc(a);return}function Mia(a){a=a|0;f[a>>2]=56228;Qtc(a);fuc(a);return}function Nia(a){a=a|0;var b=0;b=a+12|0;bi[f[f[b>>2]>>2]&2047](b);return}function Oia(a){a=a|0;fuc(a);return}function Pia(a){a=a|0;f[a>>2]=56200;Qtc(a);return}function Qia(a){a=a|0;f[a>>2]=56200;Qtc(a);fuc(a);return}function Ria(a){a=a|0;var b=0;b=a+12|0;bi[f[f[b>>2]>>2]&2047](b);return}function Sia(a){a=a|0;fuc(a);return}function Tia(a){a=a|0;f[a>>2]=56172;Qtc(a);return}function Uia(a){a=a|0;f[a>>2]=56172;Qtc(a);fuc(a);return}function Via(a){a=a|0;var b=0;b=a+12|0;bi[f[f[b>>2]>>2]&2047](b);return}function Wia(a){a=a|0;fuc(a);return}function Xia(a){a=a|0;f[a>>2]=56144;Qtc(a);return}function Yia(a){a=a|0;f[a>>2]=56144;Qtc(a);fuc(a);return}function Zia(a){a=a|0;var b=0;b=a+12|0;bi[f[f[b>>2]>>2]&2047](b);return}function _ia(a){a=a|0;fuc(a);return}function $ia(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=+h;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;i=u;u=u+48|0;j=i+8|0;k=i+24|0;l=i+20|0;m=i+16|0;n=i;f[l>>2]=e;f[m>>2]=g;p[n>>3]=h;o=c&7;q=d&7;if((d^c)&4088|0){r=cuc(48)|0;f[k>>2]=r;f[k+8>>2]=-2147483600;f[k+4>>2]=40;s=r;t=265649;v=s+40|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));b[r+40>>0]=0;WD(-215,k,265690,264656,1342)}if((g|0)<0){r=(e|0)/2|0;f[m>>2]=r;w=r}else w=g;g=(q|0)==0;r=(o|0)==4;if(r&g){t=cuc(56)|0;f[t+4>>2]=0;f[t+8>>2]=0;f[t>>2]=56624;s=t+16|0;Q2(s);f[s>>2]=56652;f[t+44>>2]=0;f[t+48>>2]=0;f[t+52>>2]=0;f[t+20>>2]=e;f[t+24>>2]=w;p[t+32>>3]=h;f[t+40>>2]=0;x=t;y=s;f[a>>2]=y;z=a+4|0;f[z>>2]=x;u=i;return}if((o|0)==2&g){aja(k,l,m,n);x=f[k+4>>2]|0;y=f[k>>2]|0;f[a>>2]=y;z=a+4|0;f[z>>2]=x;u=i;return}n=(o|0)==6;if(n&g){g=cuc(56)|0;f[g+4>>2]=0;f[g+8>>2]=0;f[g>>2]=56676;o=g+16|0;Q2(o);f[o>>2]=56704;f[g+44>>2]=0;f[g+48>>2]=0;f[g+52>>2]=0;f[g+20>>2]=e;f[g+24>>2]=w;p[g+32>>3]=h;f[g+40>>2]=0;x=g;y=o;f[a>>2]=y;z=a+4|0;f[z>>2]=x;u=i;return}o=(q|0)==2;if(r&o){g=cuc(56)|0;f[g+4>>2]=0;f[g+8>>2]=0;f[g>>2]=56728;m=g+16|0;Q2(m);f[m>>2]=56756;f[g+44>>2]=0;f[g+48>>2]=0;f[g+52>>2]=0;f[g+20>>2]=e;f[g+24>>2]=w;p[g+32>>3]=h;f[g+40>>2]=0;x=g;y=m;f[a>>2]=y;z=a+4|0;f[z>>2]=x;u=i;return}if(n&o){o=cuc(56)|0;f[o+4>>2]=0;f[o+8>>2]=0;f[o>>2]=56780;m=o+16|0;Q2(m);f[m>>2]=56808;f[o+44>>2]=0;f[o+48>>2]=0;f[o+52>>2]=0;f[o+20>>2]=e;f[o+24>>2]=w;p[o+32>>3]=h;f[o+40>>2]=0;x=o;y=m;f[a>>2]=y;z=a+4|0;f[z>>2]=x;u=i;return}m=(q|0)==3;if(r&m){o=cuc(56)|0;f[o+4>>2]=0;f[o+8>>2]=0;f[o>>2]=56832;g=o+16|0;Q2(g);f[g>>2]=56860;f[o+44>>2]=0;f[o+48>>2]=0;f[o+52>>2]=0;f[o+20>>2]=e;f[o+24>>2]=w;p[o+32>>3]=h;f[o+40>>2]=0;x=o;y=g;f[a>>2]=y;z=a+4|0;f[z>>2]=x;u=i;return}if(n&m){m=cuc(56)|0;f[m+4>>2]=0;f[m+8>>2]=0;f[m>>2]=56884;g=m+16|0;Q2(g);f[g>>2]=56912;f[m+44>>2]=0;f[m+48>>2]=0;f[m+52>>2]=0;f[m+20>>2]=e;f[m+24>>2]=w;p[m+32>>3]=h;f[m+40>>2]=0;x=m;y=g;f[a>>2]=y;z=a+4|0;f[z>>2]=x;u=i;return}if(r&(q|0)==4){g=cuc(56)|0;f[g+4>>2]=0;f[g+8>>2]=0;f[g>>2]=56936;m=g+16|0;Q2(m);f[m>>2]=56964;f[g+44>>2]=0;f[g+48>>2]=0;f[g+52>>2]=0;f[g+20>>2]=e;f[g+24>>2]=w;p[g+32>>3]=h;f[g+40>>2]=0;x=g;y=m;f[a>>2]=y;z=a+4|0;f[z>>2]=x;u=i;return}m=(q|0)==5;if(r&m){g=cuc(56)|0;f[g+4>>2]=0;f[g+8>>2]=0;f[g>>2]=56988;o=g+16|0;Q2(o);f[o>>2]=57016;f[g+44>>2]=0;f[g+48>>2]=0;f[g+52>>2]=0;f[g+20>>2]=e;f[g+24>>2]=w;p[g+32>>3]=h;f[g+40>>2]=0;x=g;y=o;f[a>>2]=y;z=a+4|0;f[z>>2]=x;u=i;return}if(n&m){m=cuc(56)|0;f[m+4>>2]=0;f[m+8>>2]=0;f[m>>2]=57040;o=m+16|0;Q2(o);f[o>>2]=57068;f[m+44>>2]=0;f[m+48>>2]=0;f[m+52>>2]=0;f[m+20>>2]=e;f[m+24>>2]=w;p[m+32>>3]=h;f[m+40>>2]=0;x=m;y=o;f[a>>2]=y;z=a+4|0;f[z>>2]=x;u=i;return}o=(q|0)==6;if(r&o){r=cuc(56)|0;f[r+4>>2]=0;f[r+8>>2]=0;f[r>>2]=57092;q=r+16|0;Q2(q);f[q>>2]=57120;f[r+44>>2]=0;f[r+48>>2]=0;f[r+52>>2]=0;f[r+20>>2]=e;f[r+24>>2]=w;p[r+32>>3]=h;f[r+40>>2]=0;x=r;y=q;f[a>>2]=y;z=a+4|0;f[z>>2]=x;u=i;return}if(!(n&o)){f[j>>2]=c;f[j+4>>2]=d;cE(k,265709,j);WD(-213,k,265690,264656,1374)}k=cuc(56)|0;f[k+4>>2]=0;f[k+8>>2]=0;f[k>>2]=57144;j=k+16|0;Q2(j);f[j>>2]=57172;f[k+44>>2]=0;f[k+48>>2]=0;f[k+52>>2]=0;f[k+20>>2]=e;f[k+24>>2]=w;p[k+32>>3]=h;f[k+40>>2]=0;x=k;y=j;f[a>>2]=y;z=a+4|0;f[z>>2]=x;u=i;return}function aja(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0.0,j=0,k=0;e=cuc(64)|0;f[e+4>>2]=0;f[e+8>>2]=0;f[e>>2]=57196;g=e+16|0;h=f[b>>2]|0;b=f[c>>2]|0;i=+p[d>>3];Q2(g);f[g>>2]=57224;f[e+52>>2]=0;f[e+56>>2]=0;f[e+60>>2]=0;f[e+20>>2]=h;f[e+24>>2]=b;p[e+32>>3]=i;f[e+40>>2]=0;b=e+44|0;f[b>>2]=0;h=e+48|0;f[h>>2]=1;if(!(i!=1.0)){j=a+4|0;f[a>>2]=g;f[j>>2]=e;return}d=Fhc(1.0/i)|0;i=8388608.0/+(d|0);c=~~i;k=c-(+(c|0)>i&1)|0;f[h>>2]=k;c=(d|0)/2|0;f[b>>2]=c;if(i-+(k|0)<.5){f[b>>2]=c+1;j=a+4|0;f[a>>2]=g;f[j>>2]=e;return}else{f[h>>2]=k+1;j=a+4|0;f[a>>2]=g;f[j>>2]=e;return}}function bja(a){a=a|0;var b=0,c=0;f[a>>2]=57172;b=f[a+28>>2]|0;if(!b)return;c=a+32|0;a=f[c>>2]|0;if((a|0)!=(b|0))f[c>>2]=a+(~((a+-8-b|0)>>>3)<<3);fuc(b);return}function cja(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=57172;b=f[a+28>>2]|0;if(!b){fuc(a);return}c=a+32|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-8-b|0)>>>3)<<3);fuc(b);fuc(a);return}function dja(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0.0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0.0,J=0.0,K=0.0,L=0;i=u;u=u+16|0;j=i;k=+p[a+16>>3];l=k!=1.0;m=a+28|0;n=a+32|0;o=f[n>>2]|0;q=f[m>>2]|0;r=o-q>>3;s=q;do if((r|0)==(h|0)){q=a+24|0;t=f[q>>2]|0;if(t){v=f[a+4>>2]|0;if((t|0)==(v+-1|0)){w=c+(t<<2)|0;x=v;y=s;break}else{v=cuc(32)|0;f[j>>2]=v;f[j+8>>2]=-2147483616;f[j+4>>2]=19;t=v;z=265783;A=t+19|0;do{b[t>>0]=b[z>>0]|0;t=t+1|0;z=z+1|0}while((t|0)<(A|0));b[v+19>>0]=0;WD(-215,j,531152,264656,232)}}else{B=q;C=s;D=9}}else{z=o;if(r>>>0>=h>>>0)if(r>>>0>h>>>0?(t=s+(h<<3)|0,(z|0)!=(t|0)):0){f[n>>2]=z+(~((z+-8-t|0)>>>3)<<3);E=s}else E=s;else{Zfa(m,h-r|0);E=f[m>>2]|0}t=a+24|0;f[t>>2]=0;B=t;C=E;D=9}while(0);if((D|0)==9){kzc(C|0,0,h<<3|0)|0;D=f[B>>2]|0;E=f[a+4>>2]|0;a=E+-1|0;if((D|0)<(a|0)){if((h|0)>0){m=c;r=D;while(1){s=f[m>>2]|0;n=0;do{o=C+(n<<3)|0;p[o>>3]=+p[s+(n<<3)>>3]+ +p[o>>3];n=n+1|0}while((n|0)!=(h|0));n=r+1|0;s=m+4|0;if((n|0)<(a|0)){m=s;r=n}else{F=n;G=s;break}}}else{r=D+1|0;m=(a|0)>(r|0)?a:r;F=m;G=c+(m-D<<2)|0}f[B>>2]=F;w=G;x=E;y=C}else{w=c;x=E;y=C}}if(!g){u=i;return}C=1-x|0;x=h+-2|0;E=(h|0)<2;c=h&-2;G=d;d=w;w=g;while(1){w=w+-1|0;g=f[d>>2]|0;F=f[d+(C<<2)>>2]|0;if(l){if(E)H=0;else{B=0;do{D=y+(B<<3)|0;I=+p[D>>3]+ +p[g+(B<<3)>>3];m=B|1;r=y+(m<<3)|0;J=+p[r>>3]+ +p[g+(m<<3)>>3];p[G+(B<<3)>>3]=k*I;p[G+(m<<3)>>3]=k*J;K=J-+p[F+(m<<3)>>3];p[D>>3]=I-+p[F+(B<<3)>>3];p[r>>3]=K;B=B+2|0}while((B|0)<=(x|0));H=c}if((H|0)<(h|0)){B=H;do{r=y+(B<<3)|0;K=+p[r>>3]+ +p[g+(B<<3)>>3];p[G+(B<<3)>>3]=k*K;p[r>>3]=K-+p[F+(B<<3)>>3];B=B+1|0}while((B|0)!=(h|0))}}else{if(E)L=0;else{B=0;do{r=y+(B<<3)|0;K=+p[r>>3]+ +p[g+(B<<3)>>3];D=B|1;m=y+(D<<3)|0;I=+p[m>>3]+ +p[g+(D<<3)>>3];p[G+(B<<3)>>3]=K;p[G+(D<<3)>>3]=I;J=I-+p[F+(D<<3)>>3];p[r>>3]=K-+p[F+(B<<3)>>3];p[m>>3]=J;B=B+2|0}while((B|0)<=(x|0));L=c}if((L|0)<(h|0)){B=L;do{m=y+(B<<3)|0;J=+p[m>>3]+ +p[g+(B<<3)>>3];p[G+(B<<3)>>3]=J;p[m>>3]=J-+p[F+(B<<3)>>3];B=B+1|0}while((B|0)!=(h|0))}}if(!w)break;else{G=G+e|0;d=d+4|0}}u=i;return}function eja(a){a=a|0;f[a+24>>2]=0;return}function fja(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=57144;f[a+16>>2]=57172;b=f[a+44>>2]|0;if(!b){Qtc(a);return}c=a+48|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-8-b|0)>>>3)<<3);fuc(b);Qtc(a);return}function gja(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=57144;f[a+16>>2]=57172;b=f[a+44>>2]|0;if(!b){Qtc(a);fuc(a);return}c=a+48|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-8-b|0)>>>3)<<3);fuc(b);Qtc(a);fuc(a);return}function hja(a){a=a|0;var b=0;b=a+16|0;bi[f[f[b>>2]>>2]&2047](b);return}function ija(a){a=a|0;fuc(a);return}function jja(a){a=a|0;var b=0,c=0;f[a>>2]=57120;b=f[a+28>>2]|0;if(!b)return;c=a+32|0;a=f[c>>2]|0;if((a|0)!=(b|0))f[c>>2]=a+(~((a+-4-b|0)>>>2)<<2);fuc(b);return}function kja(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=57120;b=f[a+28>>2]|0;if(!b){fuc(a);return}c=a+32|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b);fuc(a);return}function lja(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0.0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;i=u;u=u+16|0;j=i;k=+p[a+16>>3];l=k!=1.0;m=a+28|0;n=a+32|0;o=f[n>>2]|0;q=f[m>>2]|0;r=o-q>>2;s=q;do if((r|0)==(h|0)){q=a+24|0;t=f[q>>2]|0;if(t){v=f[a+4>>2]|0;if((t|0)==(v+-1|0)){w=c+(t<<2)|0;x=v;y=s;break}else{v=cuc(32)|0;f[j>>2]=v;f[j+8>>2]=-2147483616;f[j+4>>2]=19;t=v;z=265783;A=t+19|0;do{b[t>>0]=b[z>>0]|0;t=t+1|0;z=z+1|0}while((t|0)<(A|0));b[v+19>>0]=0;WD(-215,j,531152,264656,232)}}else{B=q;C=s;D=9}}else{z=o;if(r>>>0>=h>>>0)if(r>>>0>h>>>0?(t=s+(h<<2)|0,(z|0)!=(t|0)):0){f[n>>2]=z+(~((z+-4-t|0)>>>2)<<2);E=s}else E=s;else{OJ(m,h-r|0);E=f[m>>2]|0}t=a+24|0;f[t>>2]=0;B=t;C=E;D=9}while(0);do if((D|0)==9){kzc(C|0,0,h<<2|0)|0;E=f[B>>2]|0;m=a+4|0;r=f[m>>2]|0;s=r+-1|0;if((E|0)<(s|0)){if((h|0)>0)F=c;else{n=c;o=E;do{o=o+1|0;n=n+4|0}while((o|0)<(s|0));f[B>>2]=o;w=n;x=r;y=C;break}while(1){s=f[F>>2]|0;q=0;do{v=C+(q<<2)|0;f[v>>2]=(f[v>>2]|0)+(f[s+(q<<2)>>2]|0);q=q+1|0}while((q|0)!=(h|0));q=(f[B>>2]|0)+1|0;f[B>>2]=q;s=F+4|0;v=f[m>>2]|0;if((q|0)<(v+-1|0))F=s;else{w=s;x=v;y=C;break}}}else{w=c;x=r;y=C}}while(0);if(!g){u=i;return}C=a+4|0;a=h+-2|0;c=(h|0)<2;F=h&-2;B=d;d=w;w=g;g=x;while(1){x=w+-1|0;D=f[d>>2]|0;m=f[d+(1-g<<2)>>2]|0;if(l){if(c)G=0;else{n=0;do{o=y+(n<<2)|0;v=(f[D+(n<<2)>>2]|0)+(f[o>>2]|0)|0;s=n|1;q=y+(s<<2)|0;E=(f[D+(s<<2)>>2]|0)+(f[q>>2]|0)|0;p[B+(n<<3)>>3]=k*+(v|0);p[B+(s<<3)>>3]=k*+(E|0);j=E-(f[m+(s<<2)>>2]|0)|0;f[o>>2]=v-(f[m+(n<<2)>>2]|0);f[q>>2]=j;n=n+2|0}while((n|0)<=(a|0));G=F}if((G|0)<(h|0)){n=G;do{r=y+(n<<2)|0;j=(f[D+(n<<2)>>2]|0)+(f[r>>2]|0)|0;p[B+(n<<3)>>3]=k*+(j|0);f[r>>2]=j-(f[m+(n<<2)>>2]|0);n=n+1|0}while((n|0)!=(h|0))}}else{if(c)H=0;else{n=0;do{j=y+(n<<2)|0;r=(f[D+(n<<2)>>2]|0)+(f[j>>2]|0)|0;q=n|1;v=y+(q<<2)|0;o=(f[D+(q<<2)>>2]|0)+(f[v>>2]|0)|0;p[B+(n<<3)>>3]=+(r|0);p[B+(q<<3)>>3]=+(o|0);s=o-(f[m+(q<<2)>>2]|0)|0;f[j>>2]=r-(f[m+(n<<2)>>2]|0);f[v>>2]=s;n=n+2|0}while((n|0)<=(a|0));H=F}if((H|0)<(h|0)){n=H;do{s=y+(n<<2)|0;v=(f[D+(n<<2)>>2]|0)+(f[s>>2]|0)|0;p[B+(n<<3)>>3]=+(v|0);f[s>>2]=v-(f[m+(n<<2)>>2]|0);n=n+1|0}while((n|0)!=(h|0))}}if(!x)break;B=B+e|0;d=d+4|0;w=x;g=f[C>>2]|0}u=i;return}function mja(a){a=a|0;f[a+24>>2]=0;return}function nja(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=57092;f[a+16>>2]=57120;b=f[a+44>>2]|0;if(!b){Qtc(a);return}c=a+48|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b);Qtc(a);return}function oja(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=57092;f[a+16>>2]=57120;b=f[a+44>>2]|0;if(!b){Qtc(a);fuc(a);return}c=a+48|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b);Qtc(a);fuc(a);return}function pja(a){a=a|0;var b=0;b=a+16|0;bi[f[f[b>>2]>>2]&2047](b);return}function qja(a){a=a|0;fuc(a);return}function rja(a){a=a|0;var b=0,c=0;f[a>>2]=57068;b=f[a+28>>2]|0;if(!b)return;c=a+32|0;a=f[c>>2]|0;if((a|0)!=(b|0))f[c>>2]=a+(~((a+-8-b|0)>>>3)<<3);fuc(b);return}function sja(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=57068;b=f[a+28>>2]|0;if(!b){fuc(a);return}c=a+32|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-8-b|0)>>>3)<<3);fuc(b);fuc(a);return}function tja(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0.0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0.0,K=0.0,L=0.0,M=0;i=u;u=u+16|0;j=i;k=+p[a+16>>3];l=k!=1.0;m=a+28|0;o=a+32|0;q=f[o>>2]|0;r=f[m>>2]|0;s=q-r>>3;t=r;do if((s|0)==(h|0)){r=a+24|0;v=f[r>>2]|0;if(v){w=f[a+4>>2]|0;if((v|0)==(w+-1|0)){x=c+(v<<2)|0;y=w;z=t;break}else{w=cuc(32)|0;f[j>>2]=w;f[j+8>>2]=-2147483616;f[j+4>>2]=19;v=w;A=265783;B=v+19|0;do{b[v>>0]=b[A>>0]|0;v=v+1|0;A=A+1|0}while((v|0)<(B|0));b[w+19>>0]=0;WD(-215,j,531152,264656,232)}}else{C=r;D=t;E=9}}else{A=q;if(s>>>0>=h>>>0)if(s>>>0>h>>>0?(v=t+(h<<3)|0,(A|0)!=(v|0)):0){f[o>>2]=A+(~((A+-8-v|0)>>>3)<<3);F=t}else F=t;else{Zfa(m,h-s|0);F=f[m>>2]|0}v=a+24|0;f[v>>2]=0;C=v;D=F;E=9}while(0);if((E|0)==9){kzc(D|0,0,h<<3|0)|0;E=f[C>>2]|0;F=f[a+4>>2]|0;a=F+-1|0;if((E|0)<(a|0)){if((h|0)>0){m=c;s=E;while(1){t=f[m>>2]|0;o=0;do{q=D+(o<<3)|0;p[q>>3]=+p[t+(o<<3)>>3]+ +p[q>>3];o=o+1|0}while((o|0)!=(h|0));o=s+1|0;t=m+4|0;if((o|0)<(a|0)){m=t;s=o}else{G=o;H=t;break}}}else{s=E+1|0;m=(a|0)>(s|0)?a:s;G=m;H=c+(m-E<<2)|0}f[C>>2]=G;x=H;y=F;z=D}else{x=c;y=F;z=D}}if(!g){u=i;return}D=1-y|0;y=h+-2|0;F=(h|0)<2;c=h&-2;H=d;d=x;x=g;while(1){x=x+-1|0;g=f[d>>2]|0;G=f[d+(D<<2)>>2]|0;if(l){if(F)I=0;else{C=0;do{E=z+(C<<3)|0;J=+p[E>>3]+ +p[g+(C<<3)>>3];m=C|1;s=z+(m<<3)|0;K=+p[s>>3]+ +p[g+(m<<3)>>3];n[H+(C<<2)>>2]=k*J;n[H+(m<<2)>>2]=k*K;L=K-+p[G+(m<<3)>>3];p[E>>3]=J-+p[G+(C<<3)>>3];p[s>>3]=L;C=C+2|0}while((C|0)<=(y|0));I=c}if((I|0)<(h|0)){C=I;do{s=z+(C<<3)|0;L=+p[s>>3]+ +p[g+(C<<3)>>3];n[H+(C<<2)>>2]=k*L;p[s>>3]=L-+p[G+(C<<3)>>3];C=C+1|0}while((C|0)!=(h|0))}}else{if(F)M=0;else{C=0;do{s=z+(C<<3)|0;L=+p[s>>3]+ +p[g+(C<<3)>>3];E=C|1;m=z+(E<<3)|0;J=+p[m>>3]+ +p[g+(E<<3)>>3];n[H+(C<<2)>>2]=L;n[H+(E<<2)>>2]=J;K=J-+p[G+(E<<3)>>3];p[s>>3]=L-+p[G+(C<<3)>>3];p[m>>3]=K;C=C+2|0}while((C|0)<=(y|0));M=c}if((M|0)<(h|0)){C=M;do{m=z+(C<<3)|0;K=+p[m>>3]+ +p[g+(C<<3)>>3];n[H+(C<<2)>>2]=K;p[m>>3]=K-+p[G+(C<<3)>>3];C=C+1|0}while((C|0)!=(h|0))}}if(!x)break;else{H=H+e|0;d=d+4|0}}u=i;return}function uja(a){a=a|0;f[a+24>>2]=0;return}function vja(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=57040;f[a+16>>2]=57068;b=f[a+44>>2]|0;if(!b){Qtc(a);return}c=a+48|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-8-b|0)>>>3)<<3);fuc(b);Qtc(a);return}function wja(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=57040;f[a+16>>2]=57068;b=f[a+44>>2]|0;if(!b){Qtc(a);fuc(a);return}c=a+48|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-8-b|0)>>>3)<<3);fuc(b);Qtc(a);fuc(a);return}function xja(a){a=a|0;var b=0;b=a+16|0;bi[f[f[b>>2]>>2]&2047](b);return}function yja(a){a=a|0;fuc(a);return}function zja(a){a=a|0;var b=0,c=0;f[a>>2]=57016;b=f[a+28>>2]|0;if(!b)return;c=a+32|0;a=f[c>>2]|0;if((a|0)!=(b|0))f[c>>2]=a+(~((a+-4-b|0)>>>2)<<2);fuc(b);return}function Aja(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=57016;b=f[a+28>>2]|0;if(!b){fuc(a);return}c=a+32|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b);fuc(a);return}function Bja(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0.0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;i=u;u=u+16|0;j=i;k=+p[a+16>>3];l=k!=1.0;m=a+28|0;o=a+32|0;q=f[o>>2]|0;r=f[m>>2]|0;s=q-r>>2;t=r;do if((s|0)==(h|0)){r=a+24|0;v=f[r>>2]|0;if(v){w=f[a+4>>2]|0;if((v|0)==(w+-1|0)){x=c+(v<<2)|0;y=w;z=t;break}else{w=cuc(32)|0;f[j>>2]=w;f[j+8>>2]=-2147483616;f[j+4>>2]=19;v=w;A=265783;B=v+19|0;do{b[v>>0]=b[A>>0]|0;v=v+1|0;A=A+1|0}while((v|0)<(B|0));b[w+19>>0]=0;WD(-215,j,531152,264656,990)}}else{C=r;D=t;E=9}}else{A=q;if(s>>>0>=h>>>0)if(s>>>0>h>>>0?(v=t+(h<<2)|0,(A|0)!=(v|0)):0){f[o>>2]=A+(~((A+-4-v|0)>>>2)<<2);F=t}else F=t;else{OJ(m,h-s|0);F=f[m>>2]|0}v=a+24|0;f[v>>2]=0;C=v;D=F;E=9}while(0);do if((E|0)==9){kzc(D|0,0,h<<2|0)|0;F=f[C>>2]|0;m=a+4|0;s=f[m>>2]|0;t=s+-1|0;if((F|0)<(t|0)){if((h|0)>0)G=c;else{o=c;q=F;do{q=q+1|0;o=o+4|0}while((q|0)<(t|0));f[C>>2]=q;x=o;y=s;z=D;break}while(1){t=f[G>>2]|0;r=0;do{w=D+(r<<2)|0;f[w>>2]=(f[w>>2]|0)+(f[t+(r<<2)>>2]|0);r=r+1|0}while((r|0)!=(h|0));r=(f[C>>2]|0)+1|0;f[C>>2]=r;t=G+4|0;w=f[m>>2]|0;if((r|0)<(w+-1|0))G=t;else{x=t;y=w;z=D;break}}}else{x=c;y=s;z=D}}while(0);D=g+-1|0;if(!g){u=i;return}g=a+4|0;a=(h|0)>0;if(l){l=d;c=x;G=y;C=D;while(1){E=f[c>>2]|0;m=f[c+(1-G<<2)>>2]|0;if(a){o=0;do{q=z+(o<<2)|0;w=(f[E+(o<<2)>>2]|0)+(f[q>>2]|0)|0;n[l+(o<<2)>>2]=k*+(w|0);f[q>>2]=w-(f[m+(o<<2)>>2]|0);o=o+1|0}while((o|0)!=(h|0))}if(!C)break;l=l+e|0;c=c+4|0;G=f[g>>2]|0;C=C+-1|0}u=i;return}if(a){H=d;I=x;J=D;K=y}else{u=i;return}while(1){y=f[I>>2]|0;D=f[I+(1-K<<2)>>2]|0;x=0;do{d=z+(x<<2)|0;a=(f[y+(x<<2)>>2]|0)+(f[d>>2]|0)|0;n[H+(x<<2)>>2]=+(a|0);f[d>>2]=a-(f[D+(x<<2)>>2]|0);x=x+1|0}while((x|0)!=(h|0));if(!J)break;H=H+e|0;I=I+4|0;J=J+-1|0;K=f[g>>2]|0}u=i;return}function Cja(a){a=a|0;f[a+24>>2]=0;return}function Dja(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=56988;f[a+16>>2]=57016;b=f[a+44>>2]|0;if(!b){Qtc(a);return}c=a+48|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b);Qtc(a);return}function Eja(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=56988;f[a+16>>2]=57016;b=f[a+44>>2]|0;if(!b){Qtc(a);fuc(a);return}c=a+48|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b);Qtc(a);fuc(a);return}function Fja(a){a=a|0;var b=0;b=a+16|0;bi[f[f[b>>2]>>2]&2047](b);return}function Gja(a){a=a|0;fuc(a);return}function Hja(a){a=a|0;var b=0,c=0;f[a>>2]=56964;b=f[a+28>>2]|0;if(!b)return;c=a+32|0;a=f[c>>2]|0;if((a|0)!=(b|0))f[c>>2]=a+(~((a+-4-b|0)>>>2)<<2);fuc(b);return}function Ija(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=56964;b=f[a+28>>2]|0;if(!b){fuc(a);return}c=a+32|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b);fuc(a);return}function Jja(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0.0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;i=u;u=u+16|0;j=i;k=+p[a+16>>3];l=k!=1.0;m=a+28|0;n=a+32|0;o=f[n>>2]|0;q=f[m>>2]|0;r=o-q>>2;s=q;do if((r|0)==(h|0)){q=a+24|0;t=f[q>>2]|0;if(t){v=f[a+4>>2]|0;if((t|0)==(v+-1|0)){w=c+(t<<2)|0;x=v;y=s;break}else{v=cuc(32)|0;f[j>>2]=v;f[j+8>>2]=-2147483616;f[j+4>>2]=19;t=v;z=265783;A=t+19|0;do{b[t>>0]=b[z>>0]|0;t=t+1|0;z=z+1|0}while((t|0)<(A|0));b[v+19>>0]=0;WD(-215,j,531152,264656,870)}}else{B=q;C=s;D=9}}else{z=o;if(r>>>0>=h>>>0)if(r>>>0>h>>>0?(t=s+(h<<2)|0,(z|0)!=(t|0)):0){f[n>>2]=z+(~((z+-4-t|0)>>>2)<<2);E=s}else E=s;else{OJ(m,h-r|0);E=f[m>>2]|0}t=a+24|0;f[t>>2]=0;B=t;C=E;D=9}while(0);do if((D|0)==9){kzc(C|0,0,h<<2|0)|0;E=f[B>>2]|0;m=a+4|0;r=f[m>>2]|0;s=r+-1|0;if((E|0)<(s|0)){if((h|0)>0)F=c;else{n=c;o=E;do{o=o+1|0;n=n+4|0}while((o|0)<(s|0));f[B>>2]=o;w=n;x=r;y=C;break}while(1){s=f[F>>2]|0;q=0;do{v=C+(q<<2)|0;f[v>>2]=(f[v>>2]|0)+(f[s+(q<<2)>>2]|0);q=q+1|0}while((q|0)!=(h|0));q=(f[B>>2]|0)+1|0;f[B>>2]=q;s=F+4|0;v=f[m>>2]|0;if((q|0)<(v+-1|0))F=s;else{w=s;x=v;y=C;break}}}else{w=c;x=r;y=C}}while(0);C=g+-1|0;if(!g){u=i;return}g=a+4|0;a=(h|0)>0;if(l){l=d;c=w;F=x;B=C;while(1){D=f[c>>2]|0;m=f[c+(1-F<<2)>>2]|0;if(a){n=0;do{o=y+(n<<2)|0;v=(f[D+(n<<2)>>2]|0)+(f[o>>2]|0)|0;s=Fhc(k*+(v|0))|0;f[l+(n<<2)>>2]=s;f[o>>2]=v-(f[m+(n<<2)>>2]|0);n=n+1|0}while((n|0)!=(h|0))}if(!B)break;l=l+e|0;c=c+4|0;F=f[g>>2]|0;B=B+-1|0}u=i;return}if(a){G=d;H=w;I=C;J=x}else{u=i;return}while(1){x=f[H>>2]|0;C=f[H+(1-J<<2)>>2]|0;w=0;do{d=y+(w<<2)|0;a=(f[x+(w<<2)>>2]|0)+(f[d>>2]|0)|0;f[G+(w<<2)>>2]=a;f[d>>2]=a-(f[C+(w<<2)>>2]|0);w=w+1|0}while((w|0)!=(h|0));if(!I)break;G=G+e|0;H=H+4|0;I=I+-1|0;J=f[g>>2]|0}u=i;return}function Kja(a){a=a|0;f[a+24>>2]=0;return}function Lja(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=56936;f[a+16>>2]=56964;b=f[a+44>>2]|0;if(!b){Qtc(a);return}c=a+48|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b);Qtc(a);return}function Mja(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=56936;f[a+16>>2]=56964;b=f[a+44>>2]|0;if(!b){Qtc(a);fuc(a);return}c=a+48|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b);Qtc(a);fuc(a);return}function Nja(a){a=a|0;var b=0;b=a+16|0;bi[f[f[b>>2]>>2]&2047](b);return}function Oja(a){a=a|0;fuc(a);return}function Pja(a){a=a|0;var b=0,c=0;f[a>>2]=56912;b=f[a+28>>2]|0;if(!b)return;c=a+32|0;a=f[c>>2]|0;if((a|0)!=(b|0))f[c>>2]=a+(~((a+-8-b|0)>>>3)<<3);fuc(b);return}function Qja(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=56912;b=f[a+28>>2]|0;if(!b){fuc(a);return}c=a+32|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-8-b|0)>>>3)<<3);fuc(b);fuc(a);return}function Rja(a,c,e,g,h,i){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0.0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0.0,K=0.0,L=0.0,M=0;j=u;u=u+16|0;k=j;l=+p[a+16>>3];m=l!=1.0;n=a+28|0;o=a+32|0;q=f[o>>2]|0;r=f[n>>2]|0;s=q-r>>3;t=r;do if((s|0)==(i|0)){r=a+24|0;v=f[r>>2]|0;if(v){w=f[a+4>>2]|0;if((v|0)==(w+-1|0)){x=c+(v<<2)|0;y=w;z=t;break}else{w=cuc(32)|0;f[k>>2]=w;f[k+8>>2]=-2147483616;f[k+4>>2]=19;v=w;A=265783;B=v+19|0;do{b[v>>0]=b[A>>0]|0;v=v+1|0;A=A+1|0}while((v|0)<(B|0));b[w+19>>0]=0;WD(-215,k,531152,264656,232)}}else{C=r;D=t;E=9}}else{A=q;if(s>>>0>=i>>>0)if(s>>>0>i>>>0?(v=t+(i<<3)|0,(A|0)!=(v|0)):0){f[o>>2]=A+(~((A+-8-v|0)>>>3)<<3);F=t}else F=t;else{Zfa(n,i-s|0);F=f[n>>2]|0}v=a+24|0;f[v>>2]=0;C=v;D=F;E=9}while(0);if((E|0)==9){kzc(D|0,0,i<<3|0)|0;E=f[C>>2]|0;F=f[a+4>>2]|0;a=F+-1|0;if((E|0)<(a|0)){if((i|0)>0){n=c;s=E;while(1){t=f[n>>2]|0;o=0;do{q=D+(o<<3)|0;p[q>>3]=+p[t+(o<<3)>>3]+ +p[q>>3];o=o+1|0}while((o|0)!=(i|0));o=s+1|0;t=n+4|0;if((o|0)<(a|0)){n=t;s=o}else{G=o;H=t;break}}}else{s=E+1|0;n=(a|0)>(s|0)?a:s;G=n;H=c+(n-E<<2)|0}f[C>>2]=G;x=H;y=F;z=D}else{x=c;y=F;z=D}}if(!h){u=j;return}D=1-y|0;y=i+-2|0;F=(i|0)<2;c=i&-2;H=e;e=x;x=h;while(1){x=x+-1|0;h=f[e>>2]|0;G=f[e+(D<<2)>>2]|0;if(m){if(F)I=0;else{C=0;do{E=z+(C<<3)|0;J=+p[E>>3]+ +p[h+(C<<3)>>3];n=C|1;s=z+(n<<3)|0;K=+p[s>>3]+ +p[h+(n<<3)>>3];a=Fhc(l*J)|0;d[H+(C<<1)>>1]=(a+32768|0)>>>0<65536?a:(a|0)>0?32767:32768;a=Fhc(l*K)|0;d[H+(n<<1)>>1]=(a+32768|0)>>>0<65536?a:(a|0)>0?32767:32768;L=K-+p[G+(n<<3)>>3];p[E>>3]=J-+p[G+(C<<3)>>3];p[s>>3]=L;C=C+2|0}while((C|0)<=(y|0));I=c}if((I|0)<(i|0)){C=I;do{s=z+(C<<3)|0;L=+p[s>>3]+ +p[h+(C<<3)>>3];E=Fhc(l*L)|0;d[H+(C<<1)>>1]=(E+32768|0)>>>0<65536?E:(E|0)>0?32767:32768;p[s>>3]=L-+p[G+(C<<3)>>3];C=C+1|0}while((C|0)!=(i|0))}}else{if(F)M=0;else{C=0;do{s=z+(C<<3)|0;L=+p[s>>3]+ +p[h+(C<<3)>>3];E=C|1;n=z+(E<<3)|0;J=+p[n>>3]+ +p[h+(E<<3)>>3];a=Fhc(L)|0;d[H+(C<<1)>>1]=(a+32768|0)>>>0<65536?a:(a|0)>0?32767:32768;a=Fhc(J)|0;d[H+(E<<1)>>1]=(a+32768|0)>>>0<65536?a:(a|0)>0?32767:32768;K=J-+p[G+(E<<3)>>3];p[s>>3]=L-+p[G+(C<<3)>>3];p[n>>3]=K;C=C+2|0}while((C|0)<=(y|0));M=c}if((M|0)<(i|0)){C=M;do{n=z+(C<<3)|0;K=+p[n>>3]+ +p[h+(C<<3)>>3];s=Fhc(K)|0;d[H+(C<<1)>>1]=(s+32768|0)>>>0<65536?s:(s|0)>0?32767:32768;p[n>>3]=K-+p[G+(C<<3)>>3];C=C+1|0}while((C|0)!=(i|0))}}if(!x)break;else{H=H+g|0;e=e+4|0}}u=j;return}function Sja(a){a=a|0;f[a+24>>2]=0;return}function Tja(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=56884;f[a+16>>2]=56912;b=f[a+44>>2]|0;if(!b){Qtc(a);return}c=a+48|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-8-b|0)>>>3)<<3);fuc(b);Qtc(a);return}function Uja(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=56884;f[a+16>>2]=56912;b=f[a+44>>2]|0;if(!b){Qtc(a);fuc(a);return}c=a+48|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-8-b|0)>>>3)<<3);fuc(b);Qtc(a);fuc(a);return}function Vja(a){a=a|0;var b=0;b=a+16|0;bi[f[f[b>>2]>>2]&2047](b);return}function Wja(a){a=a|0;fuc(a);return}function Xja(a){a=a|0;var b=0,c=0;f[a>>2]=56860;b=f[a+28>>2]|0;if(!b)return;c=a+32|0;a=f[c>>2]|0;if((a|0)!=(b|0))f[c>>2]=a+(~((a+-4-b|0)>>>2)<<2);fuc(b);return}function Yja(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=56860;b=f[a+28>>2]|0;if(!b){fuc(a);return}c=a+32|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b);fuc(a);return}function Zja(a,c,e,g,h,i){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0.0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;j=u;u=u+16|0;k=j;l=+p[a+16>>3];m=l!=1.0;n=a+28|0;o=a+32|0;q=f[o>>2]|0;r=f[n>>2]|0;s=q-r>>2;t=r;do if((s|0)==(i|0)){r=a+24|0;v=f[r>>2]|0;if(v){w=f[a+4>>2]|0;if((v|0)==(w+-1|0)){x=c+(v<<2)|0;y=w;z=t;break}else{w=cuc(32)|0;f[k>>2]=w;f[k+8>>2]=-2147483616;f[k+4>>2]=19;v=w;A=265783;B=v+19|0;do{b[v>>0]=b[A>>0]|0;v=v+1|0;A=A+1|0}while((v|0)<(B|0));b[w+19>>0]=0;WD(-215,k,531152,264656,618)}}else{C=r;D=t;E=9}}else{A=q;if(s>>>0>=i>>>0)if(s>>>0>i>>>0?(v=t+(i<<2)|0,(A|0)!=(v|0)):0){f[o>>2]=A+(~((A+-4-v|0)>>>2)<<2);F=t}else F=t;else{OJ(n,i-s|0);F=f[n>>2]|0}v=a+24|0;f[v>>2]=0;C=v;D=F;E=9}while(0);do if((E|0)==9){kzc(D|0,0,i<<2|0)|0;F=f[C>>2]|0;n=a+4|0;s=f[n>>2]|0;t=s+-1|0;if((F|0)<(t|0)){if((i|0)>0)G=c;else{o=c;q=F;do{q=q+1|0;o=o+4|0}while((q|0)<(t|0));f[C>>2]=q;x=o;y=s;z=D;break}while(1){t=f[G>>2]|0;r=0;do{w=D+(r<<2)|0;f[w>>2]=(f[w>>2]|0)+(f[t+(r<<2)>>2]|0);r=r+1|0}while((r|0)!=(i|0));r=(f[C>>2]|0)+1|0;f[C>>2]=r;t=G+4|0;w=f[n>>2]|0;if((r|0)<(w+-1|0))G=t;else{x=t;y=w;z=D;break}}}else{x=c;y=s;z=D}}while(0);D=h+-1|0;if(!h){u=j;return}h=a+4|0;a=(i|0)>0;if(m){m=e;c=x;G=y;C=D;while(1){E=f[c>>2]|0;n=f[c+(1-G<<2)>>2]|0;if(a){o=0;do{q=z+(o<<2)|0;w=(f[E+(o<<2)>>2]|0)+(f[q>>2]|0)|0;t=Fhc(l*+(w|0))|0;d[m+(o<<1)>>1]=(t+32768|0)>>>0<65536?t:(t|0)>0?32767:32768;f[q>>2]=w-(f[n+(o<<2)>>2]|0);o=o+1|0}while((o|0)!=(i|0))}if(!C)break;m=m+g|0;c=c+4|0;G=f[h>>2]|0;C=C+-1|0}u=j;return}else{C=e;e=x;x=y;y=D;while(1){D=f[e>>2]|0;G=f[e+(1-x<<2)>>2]|0;if(a){c=0;do{m=z+(c<<2)|0;o=(f[D+(c<<2)>>2]|0)+(f[m>>2]|0)|0;d[C+(c<<1)>>1]=(o+32768|0)>>>0<65536?o:(o|0)>0?32767:32768;f[m>>2]=o-(f[G+(c<<2)>>2]|0);c=c+1|0}while((c|0)!=(i|0))}if(!y)break;C=C+g|0;e=e+4|0;x=f[h>>2]|0;y=y+-1|0}u=j;return}}function _ja(a){a=a|0;f[a+24>>2]=0;return}function $ja(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=56832;f[a+16>>2]=56860;b=f[a+44>>2]|0;if(!b){Qtc(a);return}c=a+48|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b);Qtc(a);return}function aka(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=56832;f[a+16>>2]=56860;b=f[a+44>>2]|0;if(!b){Qtc(a);fuc(a);return}c=a+48|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b);Qtc(a);fuc(a);return}function bka(a){a=a|0;var b=0;b=a+16|0;bi[f[f[b>>2]>>2]&2047](b);return}function cka(a){a=a|0;fuc(a);return}function dka(a){a=a|0;var b=0,c=0;f[a>>2]=56808;b=f[a+28>>2]|0;if(!b)return;c=a+32|0;a=f[c>>2]|0;if((a|0)!=(b|0))f[c>>2]=a+(~((a+-8-b|0)>>>3)<<3);fuc(b);return}function eka(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=56808;b=f[a+28>>2]|0;if(!b){fuc(a);return}c=a+32|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-8-b|0)>>>3)<<3);fuc(b);fuc(a);return}function fka(a,c,e,g,h,i){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0.0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0.0,K=0.0,L=0.0,M=0;j=u;u=u+16|0;k=j;l=+p[a+16>>3];m=l!=1.0;n=a+28|0;o=a+32|0;q=f[o>>2]|0;r=f[n>>2]|0;s=q-r>>3;t=r;do if((s|0)==(i|0)){r=a+24|0;v=f[r>>2]|0;if(v){w=f[a+4>>2]|0;if((v|0)==(w+-1|0)){x=c+(v<<2)|0;y=w;z=t;break}else{w=cuc(32)|0;f[k>>2]=w;f[k+8>>2]=-2147483616;f[k+4>>2]=19;v=w;A=265783;B=v+19|0;do{b[v>>0]=b[A>>0]|0;v=v+1|0;A=A+1|0}while((v|0)<(B|0));b[w+19>>0]=0;WD(-215,k,531152,264656,232)}}else{C=r;D=t;E=9}}else{A=q;if(s>>>0>=i>>>0)if(s>>>0>i>>>0?(v=t+(i<<3)|0,(A|0)!=(v|0)):0){f[o>>2]=A+(~((A+-8-v|0)>>>3)<<3);F=t}else F=t;else{Zfa(n,i-s|0);F=f[n>>2]|0}v=a+24|0;f[v>>2]=0;C=v;D=F;E=9}while(0);if((E|0)==9){kzc(D|0,0,i<<3|0)|0;E=f[C>>2]|0;F=f[a+4>>2]|0;a=F+-1|0;if((E|0)<(a|0)){if((i|0)>0){n=c;s=E;while(1){t=f[n>>2]|0;o=0;do{q=D+(o<<3)|0;p[q>>3]=+p[t+(o<<3)>>3]+ +p[q>>3];o=o+1|0}while((o|0)!=(i|0));o=s+1|0;t=n+4|0;if((o|0)<(a|0)){n=t;s=o}else{G=o;H=t;break}}}else{s=E+1|0;n=(a|0)>(s|0)?a:s;G=n;H=c+(n-E<<2)|0}f[C>>2]=G;x=H;y=F;z=D}else{x=c;y=F;z=D}}if(!h){u=j;return}D=1-y|0;y=i+-2|0;F=(i|0)<2;c=i&-2;H=e;e=x;x=h;while(1){x=x+-1|0;h=f[e>>2]|0;G=f[e+(D<<2)>>2]|0;if(m){if(F)I=0;else{C=0;do{E=z+(C<<3)|0;J=+p[E>>3]+ +p[h+(C<<3)>>3];n=C|1;s=z+(n<<3)|0;K=+p[s>>3]+ +p[h+(n<<3)>>3];a=Fhc(l*J)|0;d[H+(C<<1)>>1]=a>>>0<65536?a:(a|0)>0?65535:0;a=Fhc(l*K)|0;d[H+(n<<1)>>1]=a>>>0<65536?a:(a|0)>0?65535:0;L=K-+p[G+(n<<3)>>3];p[E>>3]=J-+p[G+(C<<3)>>3];p[s>>3]=L;C=C+2|0}while((C|0)<=(y|0));I=c}if((I|0)<(i|0)){C=I;do{s=z+(C<<3)|0;L=+p[s>>3]+ +p[h+(C<<3)>>3];E=Fhc(l*L)|0;d[H+(C<<1)>>1]=E>>>0<65536?E:(E|0)>0?65535:0;p[s>>3]=L-+p[G+(C<<3)>>3];C=C+1|0}while((C|0)!=(i|0))}}else{if(F)M=0;else{C=0;do{s=z+(C<<3)|0;L=+p[s>>3]+ +p[h+(C<<3)>>3];E=C|1;n=z+(E<<3)|0;J=+p[n>>3]+ +p[h+(E<<3)>>3];a=Fhc(L)|0;d[H+(C<<1)>>1]=a>>>0<65536?a:(a|0)>0?65535:0;a=Fhc(J)|0;d[H+(E<<1)>>1]=a>>>0<65536?a:(a|0)>0?65535:0;K=J-+p[G+(E<<3)>>3];p[s>>3]=L-+p[G+(C<<3)>>3];p[n>>3]=K;C=C+2|0}while((C|0)<=(y|0));M=c}if((M|0)<(i|0)){C=M;do{n=z+(C<<3)|0;K=+p[n>>3]+ +p[h+(C<<3)>>3];s=Fhc(K)|0;d[H+(C<<1)>>1]=s>>>0<65536?s:(s|0)>0?65535:0;p[n>>3]=K-+p[G+(C<<3)>>3];C=C+1|0}while((C|0)!=(i|0))}}if(!x)break;else{H=H+g|0;e=e+4|0}}u=j;return}function gka(a){a=a|0;f[a+24>>2]=0;return}function hka(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=56780;f[a+16>>2]=56808;b=f[a+44>>2]|0;if(!b){Qtc(a);return}c=a+48|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-8-b|0)>>>3)<<3);fuc(b);Qtc(a);return}function ika(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=56780;f[a+16>>2]=56808;b=f[a+44>>2]|0;if(!b){Qtc(a);fuc(a);return}c=a+48|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-8-b|0)>>>3)<<3);fuc(b);Qtc(a);fuc(a);return}function jka(a){a=a|0;var b=0;b=a+16|0;bi[f[f[b>>2]>>2]&2047](b);return}function kka(a){a=a|0;fuc(a);return}function lka(a){a=a|0;var b=0,c=0;f[a>>2]=56756;b=f[a+28>>2]|0;if(!b)return;c=a+32|0;a=f[c>>2]|0;if((a|0)!=(b|0))f[c>>2]=a+(~((a+-4-b|0)>>>2)<<2);fuc(b);return}function mka(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=56756;b=f[a+28>>2]|0;if(!b){fuc(a);return}c=a+32|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b);fuc(a);return}function nka(a,c,e,g,h,i){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0.0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;j=u;u=u+16|0;k=j;l=+p[a+16>>3];m=l!=1.0;n=a+28|0;o=a+32|0;q=f[o>>2]|0;r=f[n>>2]|0;s=q-r>>2;t=r;do if((s|0)==(i|0)){r=a+24|0;v=f[r>>2]|0;if(v){w=f[a+4>>2]|0;if((v|0)==(w+-1|0)){x=c+(v<<2)|0;y=w;z=t;break}else{w=cuc(32)|0;f[k>>2]=w;f[k+8>>2]=-2147483616;f[k+4>>2]=19;v=w;A=265783;B=v+19|0;do{b[v>>0]=b[A>>0]|0;v=v+1|0;A=A+1|0}while((v|0)<(B|0));b[w+19>>0]=0;WD(-215,k,531152,264656,745)}}else{C=r;D=t;E=9}}else{A=q;if(s>>>0>=i>>>0)if(s>>>0>i>>>0?(v=t+(i<<2)|0,(A|0)!=(v|0)):0){f[o>>2]=A+(~((A+-4-v|0)>>>2)<<2);F=t}else F=t;else{OJ(n,i-s|0);F=f[n>>2]|0}v=a+24|0;f[v>>2]=0;C=v;D=F;E=9}while(0);do if((E|0)==9){kzc(D|0,0,i<<2|0)|0;F=f[C>>2]|0;n=a+4|0;s=f[n>>2]|0;t=s+-1|0;if((F|0)<(t|0)){if((i|0)>0)G=c;else{o=c;q=F;do{q=q+1|0;o=o+4|0}while((q|0)<(t|0));f[C>>2]=q;x=o;y=s;z=D;break}while(1){t=f[G>>2]|0;r=0;do{w=D+(r<<2)|0;f[w>>2]=(f[w>>2]|0)+(f[t+(r<<2)>>2]|0);r=r+1|0}while((r|0)!=(i|0));r=(f[C>>2]|0)+1|0;f[C>>2]=r;t=G+4|0;w=f[n>>2]|0;if((r|0)<(w+-1|0))G=t;else{x=t;y=w;z=D;break}}}else{x=c;y=s;z=D}}while(0);D=h+-1|0;if(!h){u=j;return}h=a+4|0;a=(i|0)>0;if(m){m=e;c=x;G=y;C=D;while(1){E=f[c>>2]|0;n=f[c+(1-G<<2)>>2]|0;if(a){o=0;do{q=z+(o<<2)|0;w=(f[E+(o<<2)>>2]|0)+(f[q>>2]|0)|0;t=Fhc(l*+(w|0))|0;d[m+(o<<1)>>1]=t>>>0<65536?t:(t|0)>0?65535:0;f[q>>2]=w-(f[n+(o<<2)>>2]|0);o=o+1|0}while((o|0)!=(i|0))}if(!C)break;m=m+g|0;c=c+4|0;G=f[h>>2]|0;C=C+-1|0}u=j;return}else{C=e;e=x;x=y;y=D;while(1){D=f[e>>2]|0;G=f[e+(1-x<<2)>>2]|0;if(a){c=0;do{m=z+(c<<2)|0;o=(f[D+(c<<2)>>2]|0)+(f[m>>2]|0)|0;d[C+(c<<1)>>1]=o>>>0<65536?o:(o|0)>0?65535:0;f[m>>2]=o-(f[G+(c<<2)>>2]|0);c=c+1|0}while((c|0)!=(i|0))}if(!y)break;C=C+g|0;e=e+4|0;x=f[h>>2]|0;y=y+-1|0}u=j;return}}function oka(a){a=a|0;f[a+24>>2]=0;return}function pka(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=56728;f[a+16>>2]=56756;b=f[a+44>>2]|0;if(!b){Qtc(a);return}c=a+48|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b);Qtc(a);return}function qka(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=56728;f[a+16>>2]=56756;b=f[a+44>>2]|0;if(!b){Qtc(a);fuc(a);return}c=a+48|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b);Qtc(a);fuc(a);return}function rka(a){a=a|0;var b=0;b=a+16|0;bi[f[f[b>>2]>>2]&2047](b);return}function ska(a){a=a|0;fuc(a);return}function tka(a){a=a|0;var b=0,c=0;f[a>>2]=56704;b=f[a+28>>2]|0;if(!b)return;c=a+32|0;a=f[c>>2]|0;if((a|0)!=(b|0))f[c>>2]=a+(~((a+-8-b|0)>>>3)<<3);fuc(b);return}function uka(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=56704;b=f[a+28>>2]|0;if(!b){fuc(a);return}c=a+32|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-8-b|0)>>>3)<<3);fuc(b);fuc(a);return}function vka(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0.0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0.0,J=0.0,K=0.0,L=0;i=u;u=u+16|0;j=i;k=+p[a+16>>3];l=k!=1.0;m=a+28|0;n=a+32|0;o=f[n>>2]|0;q=f[m>>2]|0;r=o-q>>3;s=q;do if((r|0)==(h|0)){q=a+24|0;t=f[q>>2]|0;if(t){v=f[a+4>>2]|0;if((t|0)==(v+-1|0)){w=c+(t<<2)|0;x=v;y=s;break}else{v=cuc(32)|0;f[j>>2]=v;f[j+8>>2]=-2147483616;f[j+4>>2]=19;t=v;z=265783;A=t+19|0;do{b[t>>0]=b[z>>0]|0;t=t+1|0;z=z+1|0}while((t|0)<(A|0));b[v+19>>0]=0;WD(-215,j,531152,264656,232)}}else{B=q;C=s;D=9}}else{z=o;if(r>>>0>=h>>>0)if(r>>>0>h>>>0?(t=s+(h<<3)|0,(z|0)!=(t|0)):0){f[n>>2]=z+(~((z+-8-t|0)>>>3)<<3);E=s}else E=s;else{Zfa(m,h-r|0);E=f[m>>2]|0}t=a+24|0;f[t>>2]=0;B=t;C=E;D=9}while(0);if((D|0)==9){kzc(C|0,0,h<<3|0)|0;D=f[B>>2]|0;E=f[a+4>>2]|0;m=E+-1|0;if((D|0)<(m|0)){if((h|0)>0){r=c;s=D;while(1){n=f[r>>2]|0;o=0;do{j=C+(o<<3)|0;p[j>>3]=+p[n+(o<<3)>>3]+ +p[j>>3];o=o+1|0}while((o|0)!=(h|0));o=s+1|0;n=r+4|0;if((o|0)<(m|0)){r=n;s=o}else{F=o;G=n;break}}}else{s=D+1|0;r=(m|0)>(s|0)?m:s;F=r;G=c+(r-D<<2)|0}f[B>>2]=F;w=G;x=E;y=C}else{w=c;x=E;y=C}}if(!g){u=i;return}C=a+4|0;a=h+-2|0;E=(h|0)<2;c=h&-2;G=d;d=w;w=g;g=x;while(1){x=w+-1|0;F=f[d>>2]|0;B=f[d+(1-g<<2)>>2]|0;if(l){if(E)H=0;else{D=0;do{r=y+(D<<3)|0;I=+p[r>>3]+ +p[F+(D<<3)>>3];s=D|1;m=y+(s<<3)|0;J=+p[m>>3]+ +p[F+(s<<3)>>3];n=Fhc(k*I)|0;b[G+D>>0]=n>>>0<256?n:(n|0)>0?255:0;n=Fhc(k*J)|0;b[G+s>>0]=n>>>0<256?n:(n|0)>0?255:0;K=J-+p[B+(s<<3)>>3];p[r>>3]=I-+p[B+(D<<3)>>3];p[m>>3]=K;D=D+2|0}while((D|0)<=(a|0));H=c}if((H|0)<(h|0)){D=H;do{m=y+(D<<3)|0;K=+p[m>>3]+ +p[F+(D<<3)>>3];r=Fhc(k*K)|0;b[G+D>>0]=r>>>0<256?r:(r|0)>0?255:0;p[m>>3]=K-+p[B+(D<<3)>>3];D=D+1|0}while((D|0)!=(h|0))}}else{if(E)L=0;else{D=0;do{m=y+(D<<3)|0;K=+p[m>>3]+ +p[F+(D<<3)>>3];r=D|1;s=y+(r<<3)|0;I=+p[s>>3]+ +p[F+(r<<3)>>3];n=Fhc(K)|0;b[G+D>>0]=n>>>0<256?n:(n|0)>0?255:0;n=Fhc(I)|0;b[G+r>>0]=n>>>0<256?n:(n|0)>0?255:0;J=I-+p[B+(r<<3)>>3];p[m>>3]=K-+p[B+(D<<3)>>3];p[s>>3]=J;D=D+2|0}while((D|0)<=(a|0));L=c}if((L|0)<(h|0)){D=L;do{s=y+(D<<3)|0;J=+p[s>>3]+ +p[F+(D<<3)>>3];m=Fhc(J)|0;b[G+D>>0]=m>>>0<256?m:(m|0)>0?255:0;p[s>>3]=J-+p[B+(D<<3)>>3];D=D+1|0}while((D|0)!=(h|0))}}if(!x)break;G=G+e|0;d=d+4|0;w=x;g=f[C>>2]|0}u=i;return}function wka(a){a=a|0;f[a+24>>2]=0;return}function xka(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=56676;f[a+16>>2]=56704;b=f[a+44>>2]|0;if(!b){Qtc(a);return}c=a+48|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-8-b|0)>>>3)<<3);fuc(b);Qtc(a);return}function yka(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=56676;f[a+16>>2]=56704;b=f[a+44>>2]|0;if(!b){Qtc(a);fuc(a);return}c=a+48|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-8-b|0)>>>3)<<3);fuc(b);Qtc(a);fuc(a);return}function zka(a){a=a|0;var b=0;b=a+16|0;bi[f[f[b>>2]>>2]&2047](b);return}function Aka(a){a=a|0;fuc(a);return}function Bka(a){a=a|0;var b=0,c=0;f[a>>2]=57224;b=f[a+36>>2]|0;if(!b)return;c=a+40|0;a=f[c>>2]|0;if((a|0)!=(b|0))f[c>>2]=a+(~((a+-2-b|0)>>>1)<<1);fuc(b);return}function Cka(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=57224;b=f[a+36>>2]|0;if(!b){fuc(a);return}c=a+40|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-2-b|0)>>>1)<<1);fuc(b);fuc(a);return}function Dka(a,c,e,g,h,i){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;var k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;k=u;u=u+16|0;l=k;m=f[a+32>>2]|0;n=f[a+28>>2]|0;o=+p[a+16>>3]!=1.0;q=a+36|0;r=a+40|0;s=f[r>>2]|0;t=f[q>>2]|0;v=s-t>>1;w=t;do if((v|0)==(i|0)){t=a+24|0;x=f[t>>2]|0;if(x){y=f[a+4>>2]|0;if((x|0)==(y+-1|0)){z=c+(x<<2)|0;A=y;B=w;break}else{y=cuc(32)|0;f[l>>2]=y;f[l+8>>2]=-2147483616;f[l+4>>2]=19;x=y;C=265783;D=x+19|0;do{b[x>>0]=b[C>>0]|0;x=x+1|0;C=C+1|0}while((x|0)<(D|0));b[y+19>>0]=0;WD(-215,l,531152,264656,489)}}else{E=t;F=w;G=9}}else{C=s;if(v>>>0>=i>>>0)if(v>>>0>i>>>0?(x=w+(i<<1)|0,(C|0)!=(x|0)):0){f[r>>2]=C+(~((C+-2-x|0)>>>1)<<1);H=w}else H=w;else{Fka(q,i-v|0);H=f[q>>2]|0}x=a+24|0;f[x>>2]=0;E=x;F=H;G=9}while(0);if((G|0)==9){kzc(F|0,0,i<<1|0)|0;G=f[E>>2]|0;H=f[a+4>>2]|0;q=H+-1|0;if((G|0)<(q|0)){if((i|0)>0){v=c;w=G;while(1){r=f[v>>2]|0;s=0;do{l=F+(s<<1)|0;d[l>>1]=(j[l>>1]|0)+(j[r+(s<<1)>>1]|0);s=s+1|0}while((s|0)!=(i|0));s=w+1|0;r=v+4|0;if((s|0)<(q|0)){v=r;w=s}else{I=s;J=r;break}}}else{w=G+1|0;v=(q|0)>(w|0)?q:w;I=v;J=c+(v-G<<2)|0}f[E>>2]=I;z=J;A=H;B=F}else{z=c;A=H;B=F}}F=h+-1|0;if(!h){u=k;return}h=a+4|0;a=(i|0)>0;if(o){o=e;H=z;c=A;J=F;while(1){I=f[H>>2]|0;E=f[H+(1-c<<2)>>2]|0;if(a){G=0;do{v=B+(G<<1)|0;w=(j[I+(G<<1)>>1]|0)+(j[v>>1]|0)|0;q=(Y(w+n|0,m)|0)>>>23&255;b[o+G>>0]=q;d[v>>1]=w-(j[E+(G<<1)>>1]|0);G=G+1|0}while((G|0)!=(i|0))}if(!J)break;o=o+g|0;H=H+4|0;c=f[h>>2]|0;J=J+-1|0}u=k;return}else{J=e;e=z;z=A;A=F;while(1){F=f[e>>2]|0;c=f[e+(1-z<<2)>>2]|0;if(a){H=0;do{o=B+(H<<1)|0;m=(j[F+(H<<1)>>1]|0)+(j[o>>1]|0)|0;b[J+H>>0]=m>>>0<256?m:m|0?255:0;d[o>>1]=m-(j[c+(H<<1)>>1]|0);H=H+1|0}while((H|0)!=(i|0))}if(!A)break;J=J+g|0;e=e+4|0;z=f[h>>2]|0;A=A+-1|0}u=k;return}}function Eka(a){a=a|0;f[a+24>>2]=0;return}function Fka(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(d-g>>1>>>0>=b>>>0){kzc(g|0,0,b<<1|0)|0;f[e>>2]=g+(b<<1);return}h=f[a>>2]|0;i=g-h|0;g=i>>1;j=g+b|0;if((j|0)<0)nsc(a);k=d-h|0;d=k>>1>>>0<1073741823?(k>>>0<j>>>0?j:k):2147483647;do if(d)if((d|0)<0){k=ze(8)|0;kuc(k,519086);f[k>>2]=167148;Hf(k|0,26888,1888)}else{l=cuc(d<<1)|0;break}else l=0;while(0);k=l+(g<<1)|0;kzc(k|0,0,b<<1|0)|0;j=k+(0-g<<1)|0;if((i|0)>0)szc(j|0,h|0,i|0)|0;f[a>>2]=j;f[e>>2]=k+(b<<1);f[c>>2]=l+(d<<1);if(!h)return;fuc(h);return}function Gka(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=57196;f[a+16>>2]=57224;b=f[a+52>>2]|0;if(!b){Qtc(a);return}c=a+56|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-2-b|0)>>>1)<<1);fuc(b);Qtc(a);return}function Hka(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=57196;f[a+16>>2]=57224;b=f[a+52>>2]|0;if(!b){Qtc(a);fuc(a);return}c=a+56|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-2-b|0)>>>1)<<1);fuc(b);Qtc(a);fuc(a);return}function Ika(a){a=a|0;var b=0;b=a+16|0;bi[f[f[b>>2]>>2]&2047](b);return}function Jka(a){a=a|0;fuc(a);return}function Kka(a){a=a|0;var b=0,c=0;f[a>>2]=56652;b=f[a+28>>2]|0;if(!b)return;c=a+32|0;a=f[c>>2]|0;if((a|0)!=(b|0))f[c>>2]=a+(~((a+-4-b|0)>>>2)<<2);fuc(b);return}function Lka(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=56652;b=f[a+28>>2]|0;if(!b){fuc(a);return}c=a+32|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b);fuc(a);return}function Mka(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0.0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;i=u;u=u+16|0;j=i;k=+p[a+16>>3];l=k!=1.0;m=a+28|0;n=a+32|0;o=f[n>>2]|0;q=f[m>>2]|0;r=o-q>>2;s=q;do if((r|0)==(h|0)){q=a+24|0;t=f[q>>2]|0;if(t){v=f[a+4>>2]|0;if((t|0)==(v+-1|0)){w=c+(t<<2)|0;x=v;y=s;break}else{v=cuc(32)|0;f[j>>2]=v;f[j+8>>2]=-2147483616;f[j+4>>2]=19;t=v;z=265783;A=t+19|0;do{b[t>>0]=b[z>>0]|0;t=t+1|0;z=z+1|0}while((t|0)<(A|0));b[v+19>>0]=0;WD(-215,j,531152,264656,341)}}else{B=q;C=s;D=9}}else{z=o;if(r>>>0>=h>>>0)if(r>>>0>h>>>0?(t=s+(h<<2)|0,(z|0)!=(t|0)):0){f[n>>2]=z+(~((z+-4-t|0)>>>2)<<2);E=s}else E=s;else{OJ(m,h-r|0);E=f[m>>2]|0}t=a+24|0;f[t>>2]=0;B=t;C=E;D=9}while(0);do if((D|0)==9){kzc(C|0,0,h<<2|0)|0;E=f[B>>2]|0;m=a+4|0;r=f[m>>2]|0;s=r+-1|0;if((E|0)<(s|0)){if((h|0)>0)F=c;else{n=c;o=E;do{o=o+1|0;n=n+4|0}while((o|0)<(s|0));f[B>>2]=o;w=n;x=r;y=C;break}while(1){s=f[F>>2]|0;q=0;do{v=C+(q<<2)|0;f[v>>2]=(f[v>>2]|0)+(f[s+(q<<2)>>2]|0);q=q+1|0}while((q|0)!=(h|0));q=(f[B>>2]|0)+1|0;f[B>>2]=q;s=F+4|0;v=f[m>>2]|0;if((q|0)<(v+-1|0))F=s;else{w=s;x=v;y=C;break}}}else{w=c;x=r;y=C}}while(0);C=g+-1|0;if(!g){u=i;return}g=a+4|0;a=(h|0)>0;if(l){l=d;c=w;F=x;B=C;while(1){D=f[c>>2]|0;m=f[c+(1-F<<2)>>2]|0;if(a){n=0;do{o=y+(n<<2)|0;v=(f[D+(n<<2)>>2]|0)+(f[o>>2]|0)|0;s=Fhc(k*+(v|0))|0;b[l+n>>0]=s>>>0<256?s:(s|0)>0?255:0;f[o>>2]=v-(f[m+(n<<2)>>2]|0);n=n+1|0}while((n|0)!=(h|0))}if(!B)break;l=l+e|0;c=c+4|0;F=f[g>>2]|0;B=B+-1|0}u=i;return}else{B=d;d=w;w=x;x=C;while(1){C=f[d>>2]|0;F=f[d+(1-w<<2)>>2]|0;if(a){c=0;do{l=y+(c<<2)|0;n=(f[C+(c<<2)>>2]|0)+(f[l>>2]|0)|0;b[B+c>>0]=n>>>0<256?n:(n|0)>0?255:0;f[l>>2]=n-(f[F+(c<<2)>>2]|0);c=c+1|0}while((c|0)!=(h|0))}if(!x)break;B=B+e|0;d=d+4|0;w=f[g>>2]|0;x=x+-1|0}u=i;return}}function Nka(a){a=a|0;f[a+24>>2]=0;return}function Oka(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=56624;f[a+16>>2]=56652;b=f[a+44>>2]|0;if(!b){Qtc(a);return}c=a+48|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b);Qtc(a);return}function Pka(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=56624;f[a+16>>2]=56652;b=f[a+44>>2]|0;if(!b){Qtc(a);fuc(a);return}c=a+48|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b);Qtc(a);fuc(a);return}function Qka(a){a=a|0;var b=0;b=a+16|0;bi[f[f[b>>2]>>2]&2047](b);return}function Rka(a){a=a|0;fuc(a);return}function Ska(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0.0;i=u;u=u+64|0;j=i;k=i+48|0;l=i+40|0;m=i+32|0;n=b&7;o=b&4088;p=(n|0)==0;if(p)if((c&7|0)==0?(Y(f[d+4>>2]|0,f[d>>2]|0)|0)<257:0)q=2;else r=5;else if(n>>>0<5)r=5;else q=6;do if((r|0)==5){if(g?(s=Y(f[d+4>>2]|0,f[d>>2]|0)|0,(s|0)>((p?8388608:(n|0)==2?32768:65536)|0)):0){q=6;break}q=4}while(0);n=q|o;Uha(k,b,n,f[d>>2]|0,f[e>>2]|0);o=f[d+4>>2]|0;if(g)t=1.0/+(Y(f[d>>2]|0,o)|0);else t=1.0;$ia(l,n,c,o,f[e+4>>2]|0,t);f[m>>2]=0;e=m+4|0;f[e>>2]=0;o=cuc(212)|0;f[o+4>>2]=0;f[o+8>>2]=0;f[o>>2]=53852;d=o+12|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;f[j+16>>2]=0;f[j+20>>2]=0;f[j+24>>2]=0;f[j+28>>2]=0;S2(d,m,k,l,b,c,n,h,-1,j);f[a>>2]=d;f[a+4>>2]=o;o=f[e>>2]|0;if(o|0)Xtc(o);o=f[l+4>>2]|0;if(o|0)Xtc(o);o=f[k+4>>2]|0;if(!o){u=i;return}Xtc(o);u=i;return}function Tka(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0;i=u;u=u+176|0;j=i+160|0;k=i+104|0;l=i+40|0;m=i+48|0;n=i+32|0;o=i+24|0;p=i+16|0;q=i+8|0;r=i;gV(j,57240);do if((qJ(a)|0)==65536){s=f[a+4>>2]|0;f[k>>2]=f[s>>2];t=k+4|0;v=s+4|0;f[t>>2]=f[v>>2];w=k+8|0;f[w>>2]=f[s+8>>2];f[k+12>>2]=f[s+12>>2];f[k+16>>2]=f[s+16>>2];f[k+20>>2]=f[s+20>>2];f[k+24>>2]=f[s+24>>2];f[k+28>>2]=f[s+28>>2];f[k+32>>2]=f[s+32>>2];x=f[s+36>>2]|0;f[k+36>>2]=x;y=k+40|0;f[y>>2]=w;w=k+48|0;z=k+44|0;f[z>>2]=w;f[w>>2]=0;f[k+52>>2]=0;if(x|0){w=x+12|0;f[w>>2]=(f[w>>2]|0)+1}if((f[v>>2]|0)<3){v=f[s+44>>2]|0;w=f[z>>2]|0;f[w>>2]=f[v>>2];f[w+4>>2]=f[v+4>>2];A=k;B=y;break}else{f[t>>2]=0;$T(k,s);A=k;B=y;break}}else{nJ(k,a,-1);A=k;B=k+40|0}while(0);a=f[A>>2]|0;y=f[B>>2]|0;s=f[y>>2]|0;f[l>>2]=f[y+4>>2];f[l+4>>2]=s;IJ(b,l,((c|0)<0?a:c)&7|a&4088,-1,0,0);do if((qJ(b)|0)==65536){a=f[b+4>>2]|0;f[m>>2]=f[a>>2];c=m+4|0;l=a+4|0;f[c>>2]=f[l>>2];s=m+8|0;f[s>>2]=f[a+8>>2];f[m+12>>2]=f[a+12>>2];f[m+16>>2]=f[a+16>>2];f[m+20>>2]=f[a+20>>2];f[m+24>>2]=f[a+24>>2];f[m+28>>2]=f[a+28>>2];f[m+32>>2]=f[a+32>>2];y=f[a+36>>2]|0;f[m+36>>2]=y;f[m+40>>2]=s;s=m+48|0;t=m+44|0;f[t>>2]=s;f[s>>2]=0;f[m+52>>2]=0;if(y|0){s=y+12|0;f[s>>2]=(f[s>>2]|0)+1}if((f[l>>2]|0)<3){l=f[a+44>>2]|0;s=f[t>>2]|0;f[s>>2]=f[l>>2];f[s+4>>2]=f[l+4>>2];break}else{f[c>>2]=0;$T(m,a);break}}else nJ(m,b,-1);while(0);b=(h&16|0)==0;if(!(b|g^1)){a=f[k+8>>2]|0;if((a|0)==1)f[d+4>>2]=1;c=f[k+12>>2]|0;if((c|0)==1){f[d>>2]=1;C=1;D=a}else{C=c;D=a}}else{C=f[k+12>>2]|0;D=f[k+8>>2]|0}f[n>>2]=0;f[n+4>>2]=0;f[o>>2]=C;f[o+4>>2]=D;if(b)kU(k,o,n);b=k+16|0;D=k+44|0;C=m+16|0;a=m+44|0;c=f[A>>2]&4095;A=f[m>>2]&4095;f[q>>2]=f[d>>2];f[q+4>>2]=f[d+4>>2];f[r>>2]=f[e>>2];f[r+4>>2]=f[e+4>>2];Ska(p,c,A,q,r,g,h&-17);h=f[p>>2]|0;th[f[(f[h>>2]|0)+20>>2]&255](h,k,m,o,n);n=f[p+4>>2]|0;if(n|0)Xtc(n);n=m+36|0;p=f[n>>2]|0;if(p|0?(o=p+12|0,p=f[o>>2]|0,f[o>>2]=p+-1,(p|0)==1):0)aU(m);f[n>>2]=0;n=m+4|0;f[C>>2]=0;f[C+4>>2]=0;f[C+8>>2]=0;f[C+12>>2]=0;if((f[n>>2]|0)>0){C=f[m+40>>2]|0;p=0;do{f[C+(p<<2)>>2]=0;p=p+1|0}while((p|0)<(f[n>>2]|0))}n=f[a>>2]|0;if((n|0)!=(m+48|0))TC(n);n=k+36|0;m=f[n>>2]|0;if(m|0?(a=m+12|0,m=f[a>>2]|0,f[a>>2]=m+-1,(m|0)==1):0)aU(k);f[n>>2]=0;n=k+4|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;if((f[n>>2]|0)>0){b=f[B>>2]|0;B=0;do{f[b+(B<<2)>>2]=0;B=B+1|0}while((B|0)<(f[n>>2]|0))}n=f[D>>2]|0;if((n|0)!=(k+48|0))TC(n);if(!(f[j+4>>2]|0)){u=i;return}u=i;return}function Uka(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0;g=u;u=u+32|0;h=g+16|0;i=g+8|0;j=g;gV(h,57260);f[i>>2]=f[c>>2];f[i+4>>2]=f[c+4>>2];f[j>>2]=f[d>>2];f[j+4>>2]=f[d+4>>2];Tka(a,b,-1,i,j,1,e);if(!(f[h+4>>2]|0)){u=g;return}u=g;return}function Vka(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0.0;i=u;u=u+208|0;j=i+32|0;k=i;l=i+192|0;m=i+184|0;n=i+120|0;o=i+176|0;p=i+64|0;q=i+56|0;r=i+48|0;s=i+40|0;gV(l,57280);t=pJ(a,-1)|0;v=t&7;w=t&4088;oJ(m,a,-1);x=(c|0)<0?(v>>>0<5?5:6):c;if(!((h|0)==0|g^1)){if((f[m+4>>2]|0)==1)f[d+4>>2]=1;if((f[m>>2]|0)==1)f[d>>2]=1}c=(v|0)==0;v=(c?4:6)|w;y=x&7|w;do if((qJ(a)|0)==65536){w=f[a+4>>2]|0;f[n>>2]=f[w>>2];x=n+4|0;z=w+4|0;f[x>>2]=f[z>>2];A=n+8|0;f[A>>2]=f[w+8>>2];f[n+12>>2]=f[w+12>>2];f[n+16>>2]=f[w+16>>2];f[n+20>>2]=f[w+20>>2];f[n+24>>2]=f[w+24>>2];f[n+28>>2]=f[w+28>>2];f[n+32>>2]=f[w+32>>2];B=f[w+36>>2]|0;f[n+36>>2]=B;f[n+40>>2]=A;A=n+48|0;C=n+44|0;f[C>>2]=A;f[A>>2]=0;f[n+52>>2]=0;if(B|0){A=B+12|0;f[A>>2]=(f[A>>2]|0)+1}if((f[z>>2]|0)<3){z=f[w+44>>2]|0;A=f[C>>2]|0;f[A>>2]=f[z>>2];f[A+4>>2]=f[z+4>>2];break}else{f[x>>2]=0;$T(n,w);break}}else nJ(n,a,-1);while(0);f[o>>2]=f[m>>2];f[o+4>>2]=f[m+4>>2];IJ(b,o,y,-1,0,0);do if((qJ(b)|0)==65536){o=f[b+4>>2]|0;f[p>>2]=f[o>>2];m=p+4|0;a=o+4|0;f[m>>2]=f[a>>2];w=p+8|0;f[w>>2]=f[o+8>>2];f[p+12>>2]=f[o+12>>2];f[p+16>>2]=f[o+16>>2];f[p+20>>2]=f[o+20>>2];f[p+24>>2]=f[o+24>>2];f[p+28>>2]=f[o+28>>2];f[p+32>>2]=f[o+32>>2];x=f[o+36>>2]|0;f[p+36>>2]=x;f[p+40>>2]=w;w=p+48|0;z=p+44|0;f[z>>2]=w;f[w>>2]=0;f[p+52>>2]=0;if(x|0){w=x+12|0;f[w>>2]=(f[w>>2]|0)+1}if((f[a>>2]|0)<3){a=f[o+44>>2]|0;w=f[z>>2]|0;f[w>>2]=f[a>>2];f[w+4>>2]=f[a+4>>2];break}else{f[m>>2]=0;$T(p,o);break}}else nJ(p,b,-1);while(0);b=f[d>>2]|0;o=f[e>>2]|0;m=(o|0)<0?(b|0)/2|0:o;a:do if(c){o=cuc(24)|0;f[o+4>>2]=0;f[o+8>>2]=0;f[o>>2]=57308;a=o+12|0;P2(a);D=o;E=57528;F=a}else switch(t&7){case 2:{a=cuc(24)|0;f[a+4>>2]=0;f[a+8>>2]=0;f[a>>2]=57336;o=a+12|0;P2(o);D=a;E=57448;F=o;break a;break}case 3:{o=cuc(24)|0;f[o+4>>2]=0;f[o+8>>2]=0;f[o>>2]=57364;a=o+12|0;P2(a);D=o;E=57468;F=a;break a;break}case 5:{a=cuc(24)|0;f[a+4>>2]=0;f[a+8>>2]=0;f[a>>2]=57392;o=a+12|0;P2(o);D=a;E=57488;F=o;break a;break}case 6:{o=cuc(24)|0;f[o+4>>2]=0;f[o+8>>2]=0;f[o>>2]=57420;a=o+12|0;P2(a);D=o;E=57508;F=a;break a;break}default:{f[j>>2]=t;f[j+4>>2]=v;cE(k,264727,j);WD(-213,k,267025,264656,1654)}}while(0);f[F>>2]=E;f[D+16>>2]=b;f[D+20>>2]=m;f[q>>2]=F;F=q+4|0;f[F>>2]=D;D=f[d+4>>2]|0;if(g)G=1.0/+(Y(f[d>>2]|0,D)|0);else G=1.0;$ia(r,v,y,D,f[e+4>>2]|0,G);f[s>>2]=0;e=s+4|0;f[e>>2]=0;D=cuc(212)|0;f[D+4>>2]=0;f[D+8>>2]=0;f[D>>2]=53852;d=D+12|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;f[k+16>>2]=0;f[k+20>>2]=0;f[k+24>>2]=0;f[k+28>>2]=0;S2(d,s,q,r,t,y,v,h,-1,k);h=f[e>>2]|0;if(h|0)Xtc(h);f[k>>2]=0;f[k+4>>2]=0;h=f[n+8>>2]|0;f[s>>2]=f[n+12>>2];f[s+4>>2]=h;kU(n,s,k);th[f[(f[d>>2]|0)+20>>2]&255](d,n,p,s,k);Xtc(D);D=f[r+4>>2]|0;if(D|0)Xtc(D);D=f[F>>2]|0;if(D|0)Xtc(D);D=p+36|0;F=f[D>>2]|0;if(F|0?(r=F+12|0,F=f[r>>2]|0,f[r>>2]=F+-1,(F|0)==1):0)aU(p);f[D>>2]=0;D=p+16|0;F=p+4|0;f[D>>2]=0;f[D+4>>2]=0;f[D+8>>2]=0;f[D+12>>2]=0;if((f[F>>2]|0)>0){D=f[p+40>>2]|0;r=0;do{f[D+(r<<2)>>2]=0;r=r+1|0}while((r|0)<(f[F>>2]|0))}F=f[p+44>>2]|0;if((F|0)!=(p+48|0))TC(F);F=n+36|0;p=f[F>>2]|0;if(p|0?(r=p+12|0,p=f[r>>2]|0,f[r>>2]=p+-1,(p|0)==1):0)aU(n);f[F>>2]=0;F=n+16|0;p=n+4|0;f[F>>2]=0;f[F+4>>2]=0;f[F+8>>2]=0;f[F+12>>2]=0;if((f[p>>2]|0)>0){F=f[n+40>>2]|0;r=0;do{f[F+(r<<2)>>2]=0;r=r+1|0}while((r|0)<(f[p>>2]|0))}p=f[n+44>>2]|0;if((p|0)!=(n+48|0))TC(p);if(!(f[l+4>>2]|0)){u=i;return}u=i;return}function Wka(a){a=a|0;fuc(a);return}function Xka(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;g=Y(f[a+4>>2]|0,e)|0;a=Y(d+-1|0,e)|0;if((e|0)<=0)return;d=(a|0)>0;if((g|0)>0){i=c;j=0;k=b;while(1){l=0;m=0;do{n=h[k+m>>0]|0;l=(Y(n,n)|0)+l|0;m=m+e|0}while((m|0)<(g|0));f[i>>2]=l;if(d){m=0;n=l;do{o=h[k+m>>0]|0;p=h[k+(m+g)>>0]|0;n=(Y(p,p)|0)-(Y(o,o)|0)+n|0;m=m+e|0;f[i+(m<<2)>>2]=n}while((m|0)<(a|0))}j=j+1|0;if((j|0)==(e|0))break;else{i=i+4|0;k=k+1|0}}return}if(d){q=c;r=0;s=b}else{kzc(c|0,0,e<<2|0)|0;return}while(1){f[q>>2]=0;c=0;b=0;do{d=h[s+c>>0]|0;k=h[s+(c+g)>>0]|0;b=(Y(k,k)|0)-(Y(d,d)|0)+b|0;c=c+e|0;f[q+(c<<2)>>2]=b}while((c|0)<(a|0));r=r+1|0;if((r|0)==(e|0))break;else{q=q+4|0;s=s+1|0}}return}function Yka(a){a=a|0;fuc(a);return}function Zka(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0.0,l=0,m=0.0,n=0.0,o=0.0,q=0,r=0,s=0;g=Y(f[a+4>>2]|0,e)|0;a=Y(d+-1|0,e)|0;if((e|0)<=0)return;d=(a|0)>0;if((g|0)>0){h=c;i=0;j=b;while(1){k=0.0;l=0;do{m=+p[j+(l<<3)>>3];k=k+m*m;l=l+e|0}while((l|0)<(g|0));p[h>>3]=k;if(d){l=0;m=k;do{n=+p[j+(l<<3)>>3];o=+p[j+(l+g<<3)>>3];m=m+(o*o-n*n);l=l+e|0;p[h+(l<<3)>>3]=m}while((l|0)<(a|0))}i=i+1|0;if((i|0)==(e|0))break;else{h=h+8|0;j=j+8|0}}return}if(d){q=c;r=0;s=b}else{kzc(c|0,0,e<<3|0)|0;return}while(1){p[q>>3]=0.0;c=0;m=0.0;do{k=+p[s+(c<<3)>>3];n=+p[s+(c+g<<3)>>3];m=m+(n*n-k*k);c=c+e|0;p[q+(c<<3)>>3]=m}while((c|0)<(a|0));r=r+1|0;if((r|0)==(e|0))break;else{q=q+8|0;s=s+8|0}}return}function _ka(a){a=a|0;fuc(a);return}function $ka(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0.0,l=0,m=0.0,o=0.0,q=0.0,r=0,s=0,t=0;g=Y(f[a+4>>2]|0,e)|0;a=Y(d+-1|0,e)|0;if((e|0)<=0)return;d=(a|0)>0;if((g|0)>0){h=c;i=0;j=b;while(1){k=0.0;l=0;do{m=+n[j+(l<<2)>>2];k=k+m*m;l=l+e|0}while((l|0)<(g|0));p[h>>3]=k;if(d){l=0;m=k;do{o=+n[j+(l<<2)>>2];q=+n[j+(l+g<<2)>>2];m=m+(q*q-o*o);l=l+e|0;p[h+(l<<3)>>3]=m}while((l|0)<(a|0))}i=i+1|0;if((i|0)==(e|0))break;else{h=h+8|0;j=j+4|0}}return}if(d){r=c;s=0;t=b}else{kzc(c|0,0,e<<3|0)|0;return}while(1){p[r>>3]=0.0;c=0;m=0.0;do{k=+n[t+(c<<2)>>2];o=+n[t+(c+g<<2)>>2];m=m+(o*o-k*k);c=c+e|0;p[r+(c<<3)>>3]=m}while((c|0)<(a|0));s=s+1|0;if((s|0)==(e|0))break;else{r=r+8|0;t=t+4|0}}return}function ala(a){a=a|0;fuc(a);return}function bla(a,b,c,e,g){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0.0,m=0,n=0.0,o=0.0,q=0.0,r=0,s=0,t=0;h=Y(f[a+4>>2]|0,g)|0;a=Y(e+-1|0,g)|0;if((g|0)<=0)return;e=(a|0)>0;if((h|0)>0){i=c;j=0;k=b;while(1){l=0.0;m=0;do{n=+(d[k+(m<<1)>>1]|0);l=l+n*n;m=m+g|0}while((m|0)<(h|0));p[i>>3]=l;if(e){m=0;n=l;do{o=+(d[k+(m<<1)>>1]|0);q=+(d[k+(m+h<<1)>>1]|0);n=n+(q*q-o*o);m=m+g|0;p[i+(m<<3)>>3]=n}while((m|0)<(a|0))}j=j+1|0;if((j|0)==(g|0))break;else{i=i+8|0;k=k+2|0}}return}if(e){r=c;s=0;t=b}else{kzc(c|0,0,g<<3|0)|0;return}while(1){p[r>>3]=0.0;c=0;n=0.0;do{l=+(d[t+(c<<1)>>1]|0);o=+(d[t+(c+h<<1)>>1]|0);n=n+(o*o-l*l);c=c+g|0;p[r+(c<<3)>>3]=n}while((c|0)<(a|0));s=s+1|0;if((s|0)==(g|0))break;else{r=r+8|0;t=t+2|0}}return}function cla(a){a=a|0;fuc(a);return}function dla(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,k=0,l=0.0,m=0,n=0.0,o=0.0,q=0.0,r=0,s=0,t=0;g=Y(f[a+4>>2]|0,e)|0;a=Y(d+-1|0,e)|0;if((e|0)<=0)return;d=(a|0)>0;if((g|0)>0){h=c;i=0;k=b;while(1){l=0.0;m=0;do{n=+(j[k+(m<<1)>>1]|0);l=l+n*n;m=m+e|0}while((m|0)<(g|0));p[h>>3]=l;if(d){m=0;n=l;do{o=+(j[k+(m<<1)>>1]|0);q=+(j[k+(m+g<<1)>>1]|0);n=n+(q*q-o*o);m=m+e|0;p[h+(m<<3)>>3]=n}while((m|0)<(a|0))}i=i+1|0;if((i|0)==(e|0))break;else{h=h+8|0;k=k+2|0}}return}if(d){r=c;s=0;t=b}else{kzc(c|0,0,e<<3|0)|0;return}while(1){p[r>>3]=0.0;c=0;n=0.0;do{l=+(j[t+(c<<1)>>1]|0);o=+(j[t+(c+g<<1)>>1]|0);n=n+(o*o-l*l);c=c+e|0;p[r+(c<<3)>>3]=n}while((c|0)<(a|0));s=s+1|0;if((s|0)==(e|0))break;else{r=r+8|0;t=t+2|0}}return}function ela(a){a=a|0;f[a>>2]=57420;Qtc(a);return}function fla(a){a=a|0;f[a>>2]=57420;Qtc(a);fuc(a);return}function gla(a){a=a|0;var b=0;b=a+12|0;bi[f[f[b>>2]>>2]&2047](b);return}function hla(a){a=a|0;fuc(a);return}function ila(a){a=a|0;f[a>>2]=57392;Qtc(a);return}function jla(a){a=a|0;f[a>>2]=57392;Qtc(a);fuc(a);return}function kla(a){a=a|0;var b=0;b=a+12|0;bi[f[f[b>>2]>>2]&2047](b);return}function lla(a){a=a|0;fuc(a);return}function mla(a){a=a|0;f[a>>2]=57364;Qtc(a);return}function nla(a){a=a|0;f[a>>2]=57364;Qtc(a);fuc(a);return}function ola(a){a=a|0;var b=0;b=a+12|0;bi[f[f[b>>2]>>2]&2047](b);return}function pla(a){a=a|0;fuc(a);return}function qla(a){a=a|0;f[a>>2]=57336;Qtc(a);return}function rla(a){a=a|0;f[a>>2]=57336;Qtc(a);fuc(a);return}function sla(a){a=a|0;var b=0;b=a+12|0;bi[f[f[b>>2]>>2]&2047](b);return}function tla(a){a=a|0;fuc(a);return}function ula(a){a=a|0;f[a>>2]=57308;Qtc(a);return}function vla(a){a=a|0;f[a>>2]=57308;Qtc(a);fuc(a);return}function wla(a){a=a|0;var b=0;b=a+12|0;bi[f[f[b>>2]>>2]&2047](b);return}function xla(a){a=a|0;fuc(a);return}function yla(a,c,d,e){a=a|0;c=c|0;d=+d;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0.0,r=0.0,s=0.0,t=0.0,v=0.0,w=0.0;g=u;u=u+16|0;h=g;if((c|0)<=0){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;b[h+11>>0]=5;b[h>>0]=b[375184]|0;b[h+1>>0]=b[375185]|0;b[h+2>>0]=b[375186]|0;b[h+3>>0]=b[375187]|0;b[h+4>>0]=b[375188]|0;b[h+5>>0]=0;WD(-215,h,267575,264656,1712)}i=d<=0.0&((c|0)<8&(c&1|0)!=0)?57540+((c>>>1)*28|0)|0:0;j=(e|0)==5;if((e+-5|0)>>>0>=2){k=cuc(48)|0;f[h>>2]=k;f[h+8>>2]=-2147483600;f[h+4>>2]=34;l=k;m=267593;o=l+34|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(o|0));b[k+34>>0]=0;WD(-215,h,267575,264656,1725)}f[a>>2]=1124007936;k=a+8|0;m=a+40|0;l=a+4|0;o=l+36|0;do{f[l>>2]=0;l=l+4|0}while((l|0)<(o|0));f[m>>2]=k;k=a+48|0;f[a+44>>2]=k;f[k>>2]=0;f[a+52>>2]=0;f[h>>2]=c;f[h+4>>2]=1;ZT(a,2,h,e&4095);e=f[a+16>>2]|0;q=+(c+-1|0)*.5;r=d>0.0?d:(q+-1.0)*.3+.8;d=-.5/(r*r);if(i)if(j){a=0;r=0.0;while(1){s=+n[i+(a<<2)>>2];n[e+(a<<2)>>2]=s;t=r+s;a=a+1|0;if((a|0)==(c|0)){v=t;break}else r=t}}else{a=0;r=0.0;while(1){t=+n[i+(a<<2)>>2];p[e+(a<<3)>>3]=t;s=r+t;a=a+1|0;if((a|0)==(c|0)){v=s;break}else r=s}}else{a=0;r=0.0;while(1){s=+(a|0)-q;t=+V(+(s*(d*s)));if(j){s=t;n[e+(a<<2)>>2]=s;w=s}else{p[e+(a<<3)>>3]=t;w=t}t=r+w;a=a+1|0;if((a|0)==(c|0)){v=t;break}else r=t}}r=1.0/v;if(j){j=0;do{a=e+(j<<2)|0;n[a>>2]=r*+n[a>>2];j=j+1|0}while((j|0)!=(c|0));u=g;return}else{j=0;do{a=e+(j<<3)|0;p[a>>3]=r*+p[a>>3];j=j+1|0}while((j|0)!=(c|0));u=g;return}}function zla(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=+g;h=+h;var i=0,j=0,k=0,l=0.0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;i=u;u=u+64|0;j=i;k=d&7;l=!(h<=0.0)?h:g;d=f[e>>2]|0;if(g>0.0&(d|0)<1){m=Fhc(((k|0)==0?3.0:4.0)*g*2.0+1.0)|0|1;f[e>>2]=m;n=m}else n=d;d=e+4|0;m=f[d>>2]|0;if(l>0.0&(m|0)<1){o=Fhc(((k|0)==0?3.0:4.0)*l*2.0+1.0)|0|1;f[d>>2]=o;p=o}else p=m;if(!((n|0)>0&((n|0)%2|0|0)==1)){q=cuc(96)|0;f[j>>2]=q;r=j+8|0;f[r>>2]=-2147483552;s=j+4|0;f[s>>2]=84;t=q;v=267628;w=t+84|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));x=q+84|0;b[x>>0]=0;WD(-215,j,267713,264656,3780)}if(!((p|0)>0&((p|0)%2|0|0)==1)){q=cuc(96)|0;f[j>>2]=q;r=j+8|0;f[r>>2]=-2147483552;s=j+4|0;f[s>>2]=84;t=q;v=267628;w=t+84|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));x=q+84|0;b[x>>0]=0;WD(-215,j,267713,264656,3780)}h=g<0.0?0.0:g;g=l<0.0?0.0:l;x=k>>>0>5?k:5;yla(j,n,h,x);n=a+36|0;k=f[n>>2]|0;if((j|0)==(a|0)){q=j+36|0;if((k|0)!=0?(v=k+12|0,s=f[v>>2]|0,f[v>>2]=s+-1,(s|0)==1):0){aU(j);y=q}else y=q}else{if(k|0?(q=k+12|0,k=f[q>>2]|0,f[q>>2]=k+-1,(k|0)==1):0)aU(a);f[n>>2]=0;k=a+16|0;q=a+4|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;if((f[q>>2]|0)>0){s=f[a+40>>2]|0;v=0;do{f[s+(v<<2)>>2]=0;v=v+1|0}while((v|0)<(f[q>>2]|0))}f[a>>2]=f[j>>2];v=j+4|0;s=f[v>>2]|0;f[q>>2]=s;q=j+8|0;r=a+8|0;f[r>>2]=f[q>>2];f[a+12>>2]=f[j+12>>2];f[k>>2]=f[j+16>>2];f[a+20>>2]=f[j+20>>2];f[a+24>>2]=f[j+24>>2];f[a+28>>2]=f[j+28>>2];f[a+32>>2]=f[j+32>>2];k=j+36|0;f[n>>2]=f[k>>2];n=a+44|0;p=f[n>>2]|0;m=a+48|0;if((p|0)==(m|0)){z=s;A=p}else{TC(p);f[n>>2]=m;f[a+40>>2]=r;z=f[v>>2]|0;A=m}m=j+44|0;if((z|0)<3){z=f[m>>2]|0;f[A>>2]=f[z>>2];f[A+4>>2]=f[z+4>>2]}else{f[n>>2]=f[m>>2];n=j+40|0;f[a+40>>2]=f[n>>2];f[m>>2]=j+48;f[n>>2]=q}f[j>>2]=1124007936;t=v;w=t+36|0;do{f[t>>2]=0;t=t+4|0}while((t|0)<(w|0));y=k}f[y>>2]=0;y=j+16|0;k=j+4|0;f[y>>2]=0;f[y+4>>2]=0;f[y+8>>2]=0;f[y+12>>2]=0;if((f[k>>2]|0)>0){y=f[j+40>>2]|0;v=0;do{f[y+(v<<2)>>2]=0;v=v+1|0}while((v|0)<(f[k>>2]|0))}k=f[j+44>>2]|0;if((k|0)!=(j+48|0))TC(k);k=f[d>>2]|0;if((k|0)==(f[e>>2]|0)?+L(+(h-g))<2.220446049250313e-16:0){if((c|0)==(a|0)){u=i;return}e=a+36|0;d=f[e>>2]|0;if(d|0){v=d+12|0;f[v>>2]=(f[v>>2]|0)+1}v=c+36|0;d=f[v>>2]|0;if(d|0?(y=d+12|0,d=f[y>>2]|0,f[y>>2]=d+-1,(d|0)==1):0)aU(c);f[v>>2]=0;d=c+16|0;y=c+4|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[y>>2]|0)>0){q=f[c+40>>2]|0;n=0;do{f[q+(n<<2)>>2]=0;n=n+1|0;B=f[y>>2]|0}while((n|0)<(B|0));f[c>>2]=f[a>>2];if((B|0)<3)C=42;else C=44}else{f[c>>2]=f[a>>2];C=42}if((C|0)==42){B=f[a+4>>2]|0;if((B|0)<3){f[y>>2]=B;f[c+8>>2]=f[a+8>>2];f[c+12>>2]=f[a+12>>2];B=f[a+44>>2]|0;y=f[c+44>>2]|0;f[y>>2]=f[B>>2];f[y+4>>2]=f[B+4>>2]}else C=44}if((C|0)==44)$T(c,a);f[d>>2]=f[a+16>>2];f[c+20>>2]=f[a+20>>2];f[c+24>>2]=f[a+24>>2];f[c+28>>2]=f[a+28>>2];f[c+32>>2]=f[a+32>>2];f[v>>2]=f[e>>2];u=i;return}yla(j,k,g,x);x=c+36|0;k=f[x>>2]|0;if((j|0)==(c|0)){e=j+36|0;if((k|0)!=0?(v=k+12|0,a=f[v>>2]|0,f[v>>2]=a+-1,(a|0)==1):0){aU(j);D=e}else D=e}else{if(k|0?(e=k+12|0,k=f[e>>2]|0,f[e>>2]=k+-1,(k|0)==1):0)aU(c);f[x>>2]=0;k=c+16|0;e=c+4|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;if((f[e>>2]|0)>0){a=f[c+40>>2]|0;v=0;do{f[a+(v<<2)>>2]=0;v=v+1|0}while((v|0)<(f[e>>2]|0))}f[c>>2]=f[j>>2];v=j+4|0;a=f[v>>2]|0;f[e>>2]=a;e=j+8|0;d=c+8|0;f[d>>2]=f[e>>2];f[c+12>>2]=f[j+12>>2];f[k>>2]=f[j+16>>2];f[c+20>>2]=f[j+20>>2];f[c+24>>2]=f[j+24>>2];f[c+28>>2]=f[j+28>>2];f[c+32>>2]=f[j+32>>2];k=j+36|0;f[x>>2]=f[k>>2];x=c+44|0;C=f[x>>2]|0;B=c+48|0;if((C|0)==(B|0)){E=a;F=C}else{TC(C);f[x>>2]=B;f[c+40>>2]=d;E=f[v>>2]|0;F=B}B=j+44|0;if((E|0)<3){E=f[B>>2]|0;f[F>>2]=f[E>>2];f[F+4>>2]=f[E+4>>2]}else{f[x>>2]=f[B>>2];x=j+40|0;f[c+40>>2]=f[x>>2];f[B>>2]=j+48;f[x>>2]=e}f[j>>2]=1124007936;t=v;w=t+36|0;do{f[t>>2]=0;t=t+4|0}while((t|0)<(w|0));D=k}f[D>>2]=0;D=j+16|0;k=j+4|0;f[D>>2]=0;f[D+4>>2]=0;f[D+8>>2]=0;f[D+12>>2]=0;if((f[k>>2]|0)>0){D=f[j+40>>2]|0;t=0;do{f[D+(t<<2)>>2]=0;t=t+1|0}while((t|0)<(f[k>>2]|0))}k=f[j+44>>2]|0;if((k|0)!=(j+48|0))TC(k);u=i;return}function Ala(a,c,e,g,h,i){a=a|0;c=c|0;e=e|0;g=+g;h=+h;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0.0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0;j=u;u=u+432|0;k=j+360|0;l=j+352|0;m=j+336|0;n=j+344|0;o=j+280|0;p=j+224|0;q=j+168|0;r=j+112|0;s=j+104|0;t=j+96|0;v=j+80|0;w=j+56|0;x=j;y=j+72|0;gV(l,57652);z=pJ(a,-1)|0;oJ(m,a,-1);f[n>>2]=f[m>>2];A=m+4|0;f[n+4>>2]=f[A>>2];IJ(c,n,z,-1,0,0);n=i&-17;do if(n|0){if(!(i&16)){do if((qJ(a)|0)==65536){B=f[a+4>>2]|0;f[k>>2]=f[B>>2];C=k+4|0;D=B+4|0;f[C>>2]=f[D>>2];E=k+8|0;f[E>>2]=f[B+8>>2];f[k+12>>2]=f[B+12>>2];f[k+16>>2]=f[B+16>>2];f[k+20>>2]=f[B+20>>2];f[k+24>>2]=f[B+24>>2];f[k+28>>2]=f[B+28>>2];f[k+32>>2]=f[B+32>>2];F=k+36|0;G=f[B+36>>2]|0;f[F>>2]=G;f[k+40>>2]=E;E=k+48|0;H=k+44|0;f[H>>2]=E;f[E>>2]=0;f[k+52>>2]=0;if(G|0){E=G+12|0;f[E>>2]=(f[E>>2]|0)+1}if((f[D>>2]|0)<3){D=f[B+44>>2]|0;E=f[H>>2]|0;f[E>>2]=f[D>>2];f[E+4>>2]=f[D+4>>2];I=k;J=F;break}else{f[C>>2]=0;$T(k,B);I=k;J=F;break}}else{nJ(k,a,-1);I=k;J=k+36|0}while(0);F=(f[I>>2]&32768|0)==0;B=f[J>>2]|0;if(B|0?(C=B+12|0,B=f[C>>2]|0,f[C>>2]=B+-1,(B|0)==1):0)aU(k);f[J>>2]=0;B=k+16|0;C=k+4|0;f[B>>2]=0;f[B+4>>2]=0;f[B+8>>2]=0;f[B+12>>2]=0;if((f[C>>2]|0)>0){B=f[k+40>>2]|0;D=0;do{f[B+(D<<2)>>2]=0;D=D+1|0}while((D|0)<(f[C>>2]|0))}C=f[k+44>>2]|0;if((C|0)!=(k+48|0))TC(C);if(!F)break}if((f[A>>2]|0)==1)f[e+4>>2]=1;if((f[m>>2]|0)==1)f[e>>2]=1}while(0);if((f[e>>2]|0)==1?(f[e+4>>2]|0)==1:0)GJ(a,c);else{m=z&7;f[o>>2]=1124007936;A=o+4|0;J=o+8|0;I=o+40|0;C=A;D=C+36|0;do{f[C>>2]=0;C=C+4|0}while((C|0)<(D|0));f[I>>2]=J;J=o+48|0;B=o+44|0;f[B>>2]=J;f[J>>2]=0;f[o+52>>2]=0;f[p>>2]=1124007936;E=p+4|0;H=p+8|0;G=p+40|0;C=E;D=C+36|0;do{f[C>>2]=0;C=C+4|0}while((C|0)<(D|0));f[G>>2]=H;H=p+48|0;K=p+44|0;f[K>>2]=H;f[H>>2]=0;f[p+52>>2]=0;zla(o,p,z,e,g,h);do if((qJ(a)|0)==65536){z=f[a+4>>2]|0;f[q>>2]=f[z>>2];M=q+4|0;N=z+4|0;f[M>>2]=f[N>>2];O=q+8|0;f[O>>2]=f[z+8>>2];f[q+12>>2]=f[z+12>>2];f[q+16>>2]=f[z+16>>2];f[q+20>>2]=f[z+20>>2];f[q+24>>2]=f[z+24>>2];f[q+28>>2]=f[z+28>>2];f[q+32>>2]=f[z+32>>2];P=f[z+36>>2]|0;f[q+36>>2]=P;f[q+40>>2]=O;O=q+48|0;Q=q+44|0;f[Q>>2]=O;f[O>>2]=0;f[q+52>>2]=0;if(P|0){O=P+12|0;f[O>>2]=(f[O>>2]|0)+1}if((f[N>>2]|0)<3){N=f[z+44>>2]|0;O=f[Q>>2]|0;f[O>>2]=f[N>>2];f[O+4>>2]=f[N+4>>2];break}else{f[M>>2]=0;$T(q,z);break}}else nJ(q,a,-1);while(0);do if((qJ(c)|0)==65536){z=f[c+4>>2]|0;f[r>>2]=f[z>>2];M=r+4|0;N=z+4|0;f[M>>2]=f[N>>2];O=r+8|0;f[O>>2]=f[z+8>>2];f[r+12>>2]=f[z+12>>2];f[r+16>>2]=f[z+16>>2];f[r+20>>2]=f[z+20>>2];f[r+24>>2]=f[z+24>>2];f[r+28>>2]=f[z+28>>2];f[r+32>>2]=f[z+32>>2];Q=f[z+36>>2]|0;f[r+36>>2]=Q;f[r+40>>2]=O;O=r+48|0;P=r+44|0;f[P>>2]=O;f[O>>2]=0;f[r+52>>2]=0;if(Q|0){O=Q+12|0;f[O>>2]=(f[O>>2]|0)+1}if((f[N>>2]|0)<3){N=f[z+44>>2]|0;O=f[P>>2]|0;f[O>>2]=f[N>>2];f[O+4>>2]=f[N+4>>2];break}else{f[M>>2]=0;$T(r,z);break}}else nJ(r,c,-1);while(0);f[s>>2]=0;f[s+4>>2]=0;c=q+12|0;z=q+8|0;M=f[z>>2]|0;f[t>>2]=f[c>>2];f[t+4>>2]=M;M=(i&16|0)!=0;if(!M)kU(q,t,s);s=q+16|0;t=q+44|0;N=q+44|0;O=r+16|0;P=r+44|0;Q=e+4|0;R=(m|0)==0;if(M|R^1)if(R)S=60;else S=155;else{do if((qJ(a)|0)==65536){M=f[a+4>>2]|0;f[k>>2]=f[M>>2];T=k+4|0;U=M+4|0;f[T>>2]=f[U>>2];V=k+8|0;f[V>>2]=f[M+8>>2];f[k+12>>2]=f[M+12>>2];f[k+16>>2]=f[M+16>>2];f[k+20>>2]=f[M+20>>2];f[k+24>>2]=f[M+24>>2];f[k+28>>2]=f[M+28>>2];f[k+32>>2]=f[M+32>>2];W=k+36|0;X=f[M+36>>2]|0;f[W>>2]=X;f[k+40>>2]=V;V=k+48|0;Y=k+44|0;f[Y>>2]=V;f[V>>2]=0;f[k+52>>2]=0;if(X|0){V=X+12|0;f[V>>2]=(f[V>>2]|0)+1}if((f[U>>2]|0)<3){U=f[M+44>>2]|0;V=f[Y>>2]|0;f[V>>2]=f[U>>2];f[V+4>>2]=f[U+4>>2];Z=k;_=W;break}else{f[T>>2]=0;$T(k,M);Z=k;_=W;break}}else{nJ(k,a,-1);Z=k;_=k+36|0}while(0);a=(f[Z>>2]&32768|0)==0;Z=f[_>>2]|0;if(Z|0?(W=Z+12|0,Z=f[W>>2]|0,f[W>>2]=Z+-1,(Z|0)==1):0)aU(k);f[_>>2]=0;_=k+16|0;Z=k+4|0;f[_>>2]=0;f[_+4>>2]=0;f[_+8>>2]=0;f[_+12>>2]=0;if((f[Z>>2]|0)>0){_=f[k+40>>2]|0;W=0;do{f[_+(W<<2)>>2]=0;W=W+1|0}while((W|0)<(f[Z>>2]|0))}Z=f[k+44>>2]|0;if((Z|0)!=(k+48|0))TC(Z);if(a)S=60;else S=155}if((S|0)==60){f[v>>2]=0;a=v+4|0;f[a>>2]=0;f[v+8>>2]=0;f[w>>2]=0;Z=w+4|0;f[Z>>2]=0;f[w+8>>2]=0;$=!(h<=0.0)?h:g;W=f[e>>2]|0;if(g>0.0&(W|0)<1){_=Fhc((R?3.0:4.0)*g*2.0+1.0)|0|1;f[e>>2]=_;aa=_}else aa=W;W=f[Q>>2]|0;if($>0.0&(W|0)<1){_=Fhc($*(R?3.0:4.0)*2.0+1.0)|0|1;f[Q>>2]=_;ba=_}else ba=W;if(!((aa|0)>0&((aa|0)%2|0|0)==1)){ca=cuc(96)|0;f[k>>2]=ca;da=k+8|0;f[da>>2]=-2147483552;ea=k+4|0;f[ea>>2]=84;C=ca;fa=267628;D=C+84|0;do{b[C>>0]=b[fa>>0]|0;C=C+1|0;fa=fa+1|0}while((C|0)<(D|0));ga=ca+84|0;b[ga>>0]=0;WD(-215,k,267713,264656,3780)}if(!((ba|0)>0&((ba|0)%2|0|0)==1)){ca=cuc(96)|0;f[k>>2]=ca;da=k+8|0;f[da>>2]=-2147483552;ea=k+4|0;f[ea>>2]=84;C=ca;fa=267628;D=C+84|0;do{b[C>>0]=b[fa>>0]|0;C=C+1|0;fa=fa+1|0}while((C|0)<(D|0));ga=ca+84|0;b[ga>>0]=0;WD(-215,k,267713,264656,3780)}h=g<0.0?0.0:g;g=$<0.0?0.0:$;Bla(aa,h,v);aa=f[Q>>2]|0;do if((aa|0)==(f[e>>2]|0)?+L(+(h-g))<2.220446049250313e-16:0){Q=f[v>>2]|0;ga=f[a>>2]|0;ca=ga;fa=Q;ea=ca-fa|0;da=ea>>1;ba=w+8|0;W=f[ba>>2]|0;_=f[w>>2]|0;R=_;if(da>>>0<=W-_>>1>>>0){M=f[Z>>2]|0;T=M-_>>1;U=da>>>0>T>>>0;V=U?Q+(T<<1)|0:ga;ga=M;T=M;if((V|0)==(Q|0))ha=R;else{M=Q;Y=R;while(1){d[Y>>1]=d[M>>1]|0;M=M+2|0;if((M|0)==(V|0))break;else Y=Y+2|0}ha=R+(((V+-2-fa|0)>>>1)+1<<1)|0}if(U){Y=ca-V|0;if((Y|0)<=0)break;szc(T|0,V|0,Y|0)|0;f[Z>>2]=(f[Z>>2]|0)+(Y>>>1<<1);break}else{if((ga|0)==(ha|0))break;f[Z>>2]=ga+(~((ga+-2-ha|0)>>>1)<<1);break}}Y=_;if(!_)ia=W;else{M=f[Z>>2]|0;if((M|0)!=(R|0))f[Z>>2]=M+(~((M+-2-_|0)>>>1)<<1);fuc(Y);f[ba>>2]=0;f[Z>>2]=0;f[w>>2]=0;ia=0}if((ea|0)<0)nsc(w);Y=ia>>1>>>0<1073741823?(ia>>>0<da>>>0?da:ia):2147483647;if((Y|0)<0)nsc(w);M=cuc(Y<<1)|0;f[Z>>2]=M;f[w>>2]=M;f[ba>>2]=M+(Y<<1);if((ea|0)>0){szc(M|0,Q|0,ea|0)|0;f[Z>>2]=M+(ea>>>1<<1)}}else S=88;while(0);if((S|0)==88)Bla(aa,g,w);aa=f[s>>2]|0;ia=f[O>>2]|0;if((aa|0)==(ia|0)){f[x>>2]=1124007936;ha=x+4|0;e=x+8|0;M=x+40|0;C=ha;D=C+36|0;do{f[C>>2]=0;C=C+4|0}while((C|0)<(D|0));f[M>>2]=e;C=x+48|0;f[x+44>>2]=C;f[C>>2]=0;f[x+52>>2]=0;D=k+8|0;f[D>>2]=0;f[D+4>>2]=0;f[k>>2]=33619968;f[k+4>>2]=x;EI(q,k);D=q+36|0;Y=f[D>>2]|0;if(Y|0?(F=Y+12|0,Y=f[F>>2]|0,f[F>>2]=Y+-1,(Y|0)==1):0)aU(q);f[D>>2]=0;Y=q+4|0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;if((f[Y>>2]|0)>0){F=f[q+40>>2]|0;X=0;do{f[F+(X<<2)>>2]=0;X=X+1|0}while((X|0)<(f[Y>>2]|0))}f[q>>2]=f[x>>2];X=f[ha>>2]|0;f[Y>>2]=X;f[z>>2]=f[e>>2];f[c>>2]=f[x+12>>2];c=x+16|0;f[s>>2]=f[c>>2];f[q+20>>2]=f[x+20>>2];f[q+24>>2]=f[x+24>>2];f[q+28>>2]=f[x+28>>2];f[q+32>>2]=f[x+32>>2];Y=x+36|0;f[D>>2]=f[Y>>2];D=f[N>>2]|0;F=q+48|0;if((D|0)==(F|0))ja=X;else{TC(D);f[N>>2]=F;f[q+40>>2]=z;ja=f[ha>>2]|0}z=x+44|0;if((ja|0)<3){ja=f[z>>2]|0;f[F>>2]=f[ja>>2];f[q+52>>2]=f[ja+4>>2];ka=ja}else{f[N>>2]=f[z>>2];f[q+40>>2]=f[M>>2];f[z>>2]=C;f[M>>2]=e;ka=C}f[x>>2]=1124007936;f[ha>>2]=0;f[ha+4>>2]=0;f[ha+8>>2]=0;f[ha+12>>2]=0;f[ha+16>>2]=0;f[ha+20>>2]=0;f[ha+24>>2]=0;f[ha+28>>2]=0;f[Y>>2]=0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((ka|0)!=(C|0))TC(ka);la=q;ma=f[s>>2]|0;na=f[O>>2]|0}else{la=q;ma=aa;na=ia}ia=((f[f[t>>2]>>2]|0)>>>0)/((675553809>>>(f[la>>2]<<2&28)&15)>>>0)|0;la=f[r>>2]|0;aa=((f[f[P>>2]>>2]|0)>>>0)/((675553809>>>(la<<2&28)&15)>>>0)|0;ka=f[r+12>>2]|0;C=f[r+8>>2]|0;c=f[v>>2]|0;Y=f[a>>2]|0;ha=c;e=Y-ha|0;M=e>>1;z=f[w>>2]|0;N=(f[Z>>2]|0)-z|0;ja=N>>1;f[k>>2]=57680;f[k+4>>2]=ma;f[k+8>>2]=na;f[k+12>>2]=ia;f[k+16>>2]=aa;f[k+20>>2]=ka;f[k+24>>2]=C;f[k+28>>2]=(la>>>3&511)+1;f[k+32>>2]=c;f[k+36>>2]=z;f[k+40>>2]=M;f[k+44>>2]=ja;f[k+48>>2]=n;n=Y;a:do switch(M|0){case 1:{f[k+52>>2]=(d[c>>1]|0)==256?96:95;break}case 3:{Y=d[c>>1]|0;if((Y<<16>>16==64?(d[c+2>>1]|0)==128:0)?(d[c+4>>1]|0)==64:0)oa=103;else{la=d[c+4>>1]|0;oa=((Y&65535)<=(la&65535)?1:((Y&65535)-(la&65535)&65535)<<16>>16==0)?98:97}f[k+52>>2]=oa;break}case 5:{if(((((d[c+4>>1]|0)==96?(d[c+2>>1]|0)==64:0)?(d[c+6>>1]|0)==64:0)?(d[c>>1]|0)==16:0)?(d[c+8>>1]|0)==16:0)pa=104;else if((d[c>>1]|0)==(d[c+8>>1]|0))pa=(d[c+2>>1]|0)==(d[c+6>>1]|0)?100:99;else pa=99;f[k+52>>2]=pa;break}default:{la=k+52|0;if(((M|0)%2|0|0)!=1){f[la>>2]=102;break a}f[la>>2]=101;if((e|0)>2){Y=M>>>1;ka=0;while(1){if((d[c+(ka<<1)>>1]|0)!=(d[c+(M+~ka<<1)>>1]|0))break;ka=ka+1|0;if((ka|0)>=(Y|0))break a}f[la>>2]=102}}}while(0);b:do switch(ja|0){case 1:{f[k+56>>2]=(d[z>>1]|0)==256?139:138;break}case 3:{if((d[z>>1]|0)==64?(d[z+2>>1]|0)==128:0)qa=(d[z+4>>1]|0)==64?141:140;else qa=140;f[k+56>>2]=qa;break}case 5:{if((((d[z+4>>1]|0)==96?(d[z+2>>1]|0)==64:0)?(d[z+6>>1]|0)==64:0)?(d[z>>1]|0)==16:0)ra=(d[z+8>>1]|0)==16?143:142;else ra=142;f[k+56>>2]=ra;break}default:{M=k+56|0;if(((ja|0)%2|0|0)!=1){f[M>>2]=145;break b}f[M>>2]=144;if((N|0)>2){e=ja>>>1;pa=0;while(1){if((d[z+(pa<<1)>>1]|0)!=(d[z+(ja+~pa<<1)>>1]|0))break;pa=pa+1|0;if((pa|0)>=(e|0))break b}f[M>>2]=145}}}while(0);f[x>>2]=0;f[x+4>>2]=C;C=tZ()|0;ja=uZ()|0;z=(ja|0)<(C|0)?ja:C;sZ(x,k,+(((z|0)>1?z:1)|0));z=f[w>>2]|0;if(z|0){C=f[Z>>2]|0;if((C|0)!=(z|0))f[Z>>2]=C+(~((C+-2-z|0)>>>1)<<1);fuc(z)}if(c|0){if((n|0)!=(c|0))f[a>>2]=n+(~((n+-2-ha|0)>>>1)<<1);fuc(c)}}else if((S|0)==155){f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=16842752;f[k+4>>2]=q;S=v+8|0;f[S>>2]=0;f[S+4>>2]=0;f[v>>2]=33619968;f[v+4>>2]=r;f[w+8>>2]=0;f[w+12>>2]=0;f[w>>2]=16842752;f[w+4>>2]=o;f[x+8>>2]=0;f[x+12>>2]=0;f[x>>2]=16842752;f[x+4>>2]=p;f[y>>2]=-1;f[y+4>>2]=-1;taa(k,v,m,w,x,y,0.0,i)}i=r+36|0;y=f[i>>2]|0;if(y|0?(x=y+12|0,y=f[x>>2]|0,f[x>>2]=y+-1,(y|0)==1):0)aU(r);f[i>>2]=0;i=r+4|0;f[O>>2]=0;f[O+4>>2]=0;f[O+8>>2]=0;f[O+12>>2]=0;if((f[i>>2]|0)>0){O=f[r+40>>2]|0;y=0;do{f[O+(y<<2)>>2]=0;y=y+1|0}while((y|0)<(f[i>>2]|0))}i=f[P>>2]|0;if((i|0)!=(r+48|0))TC(i);i=q+36|0;r=f[i>>2]|0;if(r|0?(P=r+12|0,r=f[P>>2]|0,f[P>>2]=r+-1,(r|0)==1):0)aU(q);f[i>>2]=0;i=q+4|0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;if((f[i>>2]|0)>0){s=f[q+40>>2]|0;r=0;do{f[s+(r<<2)>>2]=0;r=r+1|0}while((r|0)<(f[i>>2]|0))}i=f[t>>2]|0;if((i|0)!=(q+48|0))TC(i);i=p+36|0;q=f[i>>2]|0;if(q|0?(t=q+12|0,q=f[t>>2]|0,f[t>>2]=q+-1,(q|0)==1):0)aU(p);f[i>>2]=0;i=p+16|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;if((f[E>>2]|0)>0){i=f[G>>2]|0;G=0;do{f[i+(G<<2)>>2]=0;G=G+1|0}while((G|0)<(f[E>>2]|0))}E=f[K>>2]|0;if((E|0)!=(H|0))TC(E);E=o+36|0;H=f[E>>2]|0;if(H|0?(K=H+12|0,H=f[K>>2]|0,f[K>>2]=H+-1,(H|0)==1):0)aU(o);f[E>>2]=0;E=o+16|0;f[E>>2]=0;f[E+4>>2]=0;f[E+8>>2]=0;f[E+12>>2]=0;if((f[A>>2]|0)>0){E=f[I>>2]|0;I=0;do{f[E+(I<<2)>>2]=0;I=I+1|0}while((I|0)<(f[A>>2]|0))}A=f[B>>2]|0;if((A|0)!=(J|0))TC(A)}if(!(f[l+4>>2]|0)){u=j;return}u=j;return}function Bla(a,b,c){a=a|0;b=+b;c=c|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0;e=u;u=u+112|0;g=e+104|0;h=e+96|0;i=e+88|0;j=e+80|0;k=e+64|0;l=e+56|0;m=e+40|0;n=e+32|0;o=e+24|0;q=e+16|0;r=e+8|0;s=e;a:do if(!(b<=0.0))t=7;else switch(a|0){case 1:{p[i>>3]=1.0;gHb(h,256);sHb(g,i,h);v=(kHb(g)|0)&65535;w=cuc(2)|0;x=w+2|0;d[w>>1]=v;y=w;z=x;A=x;break a;break}case 3:{p[i>>3]=.25;gHb(h,256);sHb(g,i,h);x=(kHb(g)|0)&65535;p[j>>3]=.5;gHb(h,256);sHb(g,j,h);w=(kHb(g)|0)&65535;p[k>>3]=.25;gHb(h,256);sHb(g,k,h);v=(kHb(g)|0)&65535;B=cuc(6)|0;C=B+6|0;d[B>>1]=x;d[B+2>>1]=w;d[B+4>>1]=v;y=B;z=C;A=C;break a;break}case 5:{p[i>>3]=.0625;gHb(h,256);sHb(g,i,h);C=(kHb(g)|0)&65535;p[j>>3]=.25;gHb(h,256);sHb(g,j,h);B=(kHb(g)|0)&65535;p[k>>3]=.375;gHb(h,256);sHb(g,k,h);v=(kHb(g)|0)&65535;p[l>>3]=.25;gHb(h,256);sHb(g,l,h);w=(kHb(g)|0)&65535;p[m>>3]=.0625;gHb(h,256);sHb(g,m,h);x=(kHb(g)|0)&65535;D=cuc(10)|0;E=D+10|0;d[D>>1]=C;d[D+2>>1]=B;d[D+4>>1]=v;d[D+6>>1]=w;d[D+8>>1]=x;y=D;z=E;A=E;break a;break}case 7:{p[i>>3]=.03125;gHb(h,256);sHb(g,i,h);E=(kHb(g)|0)&65535;p[j>>3]=.109375;gHb(h,256);sHb(g,j,h);D=(kHb(g)|0)&65535;p[k>>3]=.21875;gHb(h,256);sHb(g,k,h);x=(kHb(g)|0)&65535;p[l>>3]=.28125;gHb(h,256);sHb(g,l,h);w=(kHb(g)|0)&65535;p[m>>3]=.21875;gHb(h,256);sHb(g,m,h);v=(kHb(g)|0)&65535;p[n>>3]=.109375;gHb(h,256);sHb(g,n,h);B=(kHb(g)|0)&65535;p[o>>3]=.03125;gHb(h,256);sHb(g,o,h);C=(kHb(g)|0)&65535;F=cuc(14)|0;G=F+14|0;d[F>>1]=E;d[F+2>>1]=D;d[F+4>>1]=x;d[F+6>>1]=w;d[F+8>>1]=v;d[F+10>>1]=B;d[F+12>>1]=C;y=F;z=G;A=G;break a;break}default:{t=7;break a}}while(0);if((t|0)==7){if(b>0.0)p[i>>3]=b;else{gHb(g,a);p[h>>3]=.15;p[j>>3]=.35;xHb(i,g,h,j)}p[q>>3]=-.125;sHb(g,i,i);tHb(j,q,g);f[k>>2]=0;q=k+4|0;f[q>>2]=0;f[k+8>>2]=0;i=(a|0)==0;if(i){p[l>>3]=0.0;H=0;I=l}else{if(a>>>0>536870911)nsc(k);t=a<<3;o=cuc(t)|0;f[k>>2]=o;G=o+(a<<3)|0;f[k+8>>2]=G;kzc(o|0,0,t|0)|0;f[q>>2]=G;p[l>>3]=0.0;G=1-a|0;t=0;while(1){gHb(r,Y(G,G)|0);sHb(h,r,j);yHb(g,h);o=(f[k>>2]|0)+(t<<3)|0;if((g|0)!=(o|0)){F=g;C=f[F+4>>2]|0;B=o;f[B>>2]=f[F>>2];f[B+4>>2]=C}oHb(g,l,o);o=g;C=f[o+4>>2]|0;B=l;f[B>>2]=f[o>>2];f[B+4>>2]=C;t=t+1|0;if((t|0)>=(a|0)){H=1;I=l;break}else G=G+2|0}}G=s;f[G>>2]=0;f[G+4>>2]=1072693248;tHb(g,s,l);s=g;G=f[s+4>>2]|0;I=l;f[I>>2]=f[s>>2];f[I+4>>2]=G;f[m>>2]=0;G=m+4|0;f[G>>2]=0;f[m+8>>2]=0;do if(!i)if((a|0)<0)nsc(m);else{I=a<<1;s=cuc(I)|0;f[m>>2]=s;t=s+(a<<1)|0;f[m+8>>2]=t;kzc(s|0,0,I|0)|0;f[G>>2]=t;J=t;K=s;break}else{J=0;K=0}while(0);if(H){H=0;do{sHb(n,(f[k>>2]|0)+(H<<3)|0,l);i=f[m>>2]|0;if((f[n+4>>2]|0)<0)L=0;else{gHb(h,256);sHb(g,n,h);L=(kHb(g)|0)&65535}d[i+(H<<1)>>1]=L;H=H+1|0}while((H|0)<(a|0));a=m+8|0;M=a;N=f[a>>2]|0;O=f[G>>2]|0;P=f[m>>2]|0}else{M=m+8|0;N=J;O=J;P=K}f[M>>2]=0;M=f[k>>2]|0;if(M|0){k=f[q>>2]|0;if((k|0)!=(M|0))f[q>>2]=k+(~((k+-8-M|0)>>>3)<<3);fuc(M)}y=P;z=O;A=N}N=f[c>>2]|0;O=c+4|0;if(!N){Q=c+8|0;f[c>>2]=y;f[O>>2]=z;f[Q>>2]=A;u=e;return}P=f[O>>2]|0;if((P|0)!=(N|0))f[O>>2]=P+(~((P+-2-N|0)>>>1)<<1);fuc(N);N=c+8|0;f[N>>2]=0;f[O>>2]=0;f[c>>2]=0;Q=N;f[c>>2]=y;f[O>>2]=z;f[Q>>2]=A;u=e;return}function Cla(a,b,c,e,f,g,i){a=a|0;b=b|0;c=c|0;e=e|0;f=f|0;g=g|0;i=i|0;var j=0;i=Y(g,b)|0;if((i|0)>0)j=0;else return;do{d[f+(j<<1)>>1]=(h[a+j>>0]|0)<<8;j=j+1|0}while((j|0)!=(i|0));return}function Dla(a,b,c,e,f,g,i){a=a|0;b=b|0;c=c|0;e=e|0;f=f|0;g=g|0;i=i|0;i=Y(g,b)|0;if((i|0)<=0)return;b=0;do{g=Y(h[a+b>>0]|0,j[c>>1]|0)|0;d[f+(b<<1)>>1]=g>>>0<65535?g:65535;b=b+1|0}while((b|0)!=(i|0));return}function Ela(a,b,c,e,f,g,i){a=a|0;b=b|0;c=c|0;e=e|0;f=f|0;g=g|0;i=i|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;if((g|0)==1){if(!i)k=d[c+2>>1]|0;else{e=(j[c>>1]|0)<<1&65534;l=e+(j[c+2>>1]|0)|0;k=e>>>0>(l&65535)>>>0?-1:l&65535}if((b|0)<=0)return;l=k&65535;k=0;do{e=Y(h[a+k>>0]|0,l)|0;d[f+(k<<1)>>1]=e>>>0<65535?e:65535;k=k+1|0}while((k|0)!=(b|0));return}k=(i|0)!=0;if(k){l=LI(-1,g,i)|0;if((b|0)>0){e=c+2|0;m=Y(l,b)|0;l=0;do{n=Y(h[a+l>>0]|0,j[e>>1]|0)|0;o=(Y((h[a+(l+m)>>0]|0)+(h[a+(l+b)>>0]|0)|0,j[c>>1]|0)|0)+n&65535;d[f+(l<<1)>>1]=o;l=l+1|0}while((l|0)!=(b|0))}}else if((b|0)>0){l=c+2|0;m=0;do{e=Y(h[a+m>>0]|0,j[l>>1]|0)|0;o=e>>>0<65535?e:65535;e=Y(h[a+(m+b)>>0]|0,j[c>>1]|0)|0;n=(e>>>0<65535?e:65535)+o|0;d[f+(m<<1)>>1]=o>>>0>(n&65535)>>>0?-1:n&65535;m=m+1|0}while((m|0)!=(b|0))}m=a+b|0;l=f+(b<<1)|0;n=g+-1|0;o=Y(n,b)|0;if((o|0)>(b|0)){e=c+2|0;p=0-b|0;q=f+(Y((g<<1)+-2|0,b)|0)|0;f=m;r=l;s=b;while(1){t=Y(h[f>>0]|0,j[e>>1]|0)|0;u=(Y((h[f+b>>0]|0)+(h[f+p>>0]|0)|0,j[c>>1]|0)|0)+t&65535;d[r>>1]=u;s=s+1|0;if((s|0)==(o|0))break;else{f=f+1|0;r=r+2|0}}v=a+o|0;w=q}else{v=m;w=l}if(k){k=Y((LI(g,g,i)|0)-n|0,b)|0;if((b|0)<=0)return;n=c+2|0;i=0;do{g=Y(h[v+i>>0]|0,j[n>>1]|0)|0;l=(Y((h[v+(i+k)>>0]|0)+(h[v+(i-b)>>0]|0)|0,j[c>>1]|0)|0)+g&65535;d[w+(i<<1)>>1]=l;i=i+1|0}while((i|0)!=(b|0));return}else{if((b|0)<=0)return;i=c+2|0;k=0;do{n=Y(h[v+(k-b)>>0]|0,j[c>>1]|0)|0;l=n>>>0<65535?n:65535;n=Y(h[v+k>>0]|0,j[i>>1]|0)|0;g=(n>>>0<65535?n:65535)+l|0;d[w+(k<<1)>>1]=l>>>0>(g&65535)>>>0?-1:g&65535;k=k+1|0}while((k|0)!=(b|0));return}}function Fla(a,b,c,e,f,g,i){a=a|0;b=b|0;c=c|0;e=e|0;f=f|0;g=g|0;i=i|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;if((g|0)==1){if(!i)k=d[c+2>>1]|0;else{e=j[c>>1]|0;l=(j[c+2>>1]|0)+e&65535;m=e>>>0>l>>>0?65535:l;l=m+(j[c+4>>1]|0)|0;k=m>>>0>(l&65535)>>>0?-1:l&65535}if((b|0)<=0)return;l=k&65535;k=0;do{m=Y(h[a+k>>0]|0,l)|0;d[f+(k<<1)>>1]=m>>>0<65535?m:65535;k=k+1|0}while((k|0)!=(b|0));return}k=(b|0)>0;if(k){l=c+2|0;m=c+4|0;e=0;do{n=Y(h[a+e>>0]|0,j[l>>1]|0)|0;o=n>>>0<65535?n:65535;n=Y(h[a+(e+b)>>0]|0,j[m>>1]|0)|0;p=(n>>>0<65535?n:65535)+o|0;d[f+(e<<1)>>1]=o>>>0>(p&65535)>>>0?-1:p&65535;e=e+1|0}while((e|0)!=(b|0))}e=(i|0)!=0;if(e?(m=LI(-1,g,i)|0,k):0){l=Y(m,b)|0;m=0;do{p=Y(h[a+(m+l)>>0]|0,j[c>>1]|0)|0;o=f+(m<<1)|0;n=j[o>>1]|0;q=(p>>>0<65535?p:65535)+n|0;d[o>>1]=n>>>0>(q&65535)>>>0?-1:q&65535;m=m+1|0}while((m|0)!=(b|0))}m=a+b|0;l=f+(b<<1)|0;q=g+-1|0;n=Y(q,b)|0;if((n|0)>(b|0)){o=0-b|0;p=c+2|0;r=c+4|0;s=f+(Y((g<<1)+-2|0,b)|0)|0;f=m;t=l;u=b;while(1){v=Y(h[f+o>>0]|0,j[c>>1]|0)|0;w=v>>>0<65535?v:65535;v=Y(h[f>>0]|0,j[p>>1]|0)|0;x=(v>>>0<65535?v:65535)+w&65535;v=Y(h[f+b>>0]|0,j[r>>1]|0)|0;y=w>>>0>x>>>0?65535:x;x=y+(v>>>0<65535?v:65535)|0;d[t>>1]=y>>>0>(x&65535)>>>0?-1:x&65535;u=u+1|0;if((u|0)==(n|0))break;else{f=f+1|0;t=t+2|0}}z=a+n|0;A=s}else{z=m;A=l}if(k){l=c+2|0;m=0;do{s=Y(h[z+(m-b)>>0]|0,j[c>>1]|0)|0;n=s>>>0<65535?s:65535;s=Y(h[z+m>>0]|0,j[l>>1]|0)|0;a=(s>>>0<65535?s:65535)+n|0;d[A+(m<<1)>>1]=n>>>0>(a&65535)>>>0?-1:a&65535;m=m+1|0}while((m|0)!=(b|0))}if(!e)return;e=Y((LI(g,g,i)|0)-q|0,b)|0;if(!k)return;k=c+4|0;c=0;do{q=Y(h[z+(c+e)>>0]|0,j[k>>1]|0)|0;i=A+(c<<1)|0;g=j[i>>1]|0;m=(q>>>0<65535?q:65535)+g|0;d[i>>1]=g>>>0>(m&65535)>>>0?-1:m&65535;c=c+1|0}while((c|0)!=(b|0));return}function Gla(a,b,c,e,f,g,i){a=a|0;b=b|0;c=c|0;e=e|0;f=f|0;g=g|0;i=i|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;if((g|0)==1){e=(b|0)>0;if(!i){if(e)k=0;else return;do{d[f+(k<<1)>>1]=(h[a+k>>0]|0)<<7;k=k+1|0}while((k|0)!=(b|0));return}else{if(e)l=0;else return;do{d[f+(l<<1)>>1]=(h[a+l>>0]|0)<<8;l=l+1|0}while((l|0)!=(b|0));return}}l=(b|0)>0;if(l){e=0;do{d[f+(e<<1)>>1]=((h[a+(e+b)>>0]|0)<<6)+((h[a+e>>0]|0)<<7);e=e+1|0}while((e|0)!=(b|0))}e=(i|0)!=0;if(e?(k=LI(-1,g,i)|0,l):0){c=Y(k,b)|0;k=0;do{m=f+(k<<1)|0;n=j[m>>1]|0;o=((h[a+(k+c)>>0]|0)<<6)+n|0;d[m>>1]=n>>>0>(o&65535)>>>0?-1:o&65535;k=k+1|0}while((k|0)!=(b|0))}k=a+b|0;c=f+(b<<1)|0;o=g+-1|0;n=Y(o,b)|0;if((n|0)>(b|0)){m=0-b|0;p=f+(Y((g<<1)+-2|0,b)|0)|0;f=k;q=c;r=b;while(1){d[q>>1]=(h[f+b>>0]|0)+(h[f+m>>0]|0)+((h[f>>0]|0)<<1)<<6;r=r+1|0;if((r|0)==(n|0))break;else{f=f+1|0;q=q+2|0}}s=a+n|0;t=p}else{s=k;t=c}if(l){c=0;do{d[t+(c<<1)>>1]=((h[s+c>>0]|0)<<7)+((h[s+(c-b)>>0]|0)<<6);c=c+1|0}while((c|0)!=(b|0))}if(!e)return;e=Y((LI(g,g,i)|0)-o|0,b)|0;if(l)u=0;else return;do{l=t+(u<<1)|0;o=j[l>>1]|0;i=((h[s+(u+e)>>0]|0)<<6)+o|0;d[l>>1]=o>>>0>(i&65535)>>>0?-1:i&65535;u=u+1|0}while((u|0)!=(b|0));return}
function yub(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;g=u;u=u+80|0;h=g+72|0;i=g+56|0;j=g+44|0;k=g+32|0;l=g+24|0;m=g+16|0;n=g+8|0;o=g;gV(h,136876);if(f[h>>2]|0){}if((CJ(c,-1)|0)==3)JKa(a,c,d,e);else{f[i>>2]=0;e=i+4|0;f[e>>2]=0;f[i+8>>2]=0;f[j>>2]=0;p=j+4|0;f[p>>2]=0;f[j+8>>2]=0;sJ(c,i);sJ(d,j);d=f[i>>2]|0;c=d;if(((f[e>>2]|0)-d|0)!=56){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;d=cuc(32)|0;f[k>>2]=d;f[k+8>>2]=-2147483616;f[k+4>>2]=26;q=d;r=472377;s=q+26|0;do{b[q>>0]=b[r>>0]|0;q=q+1|0;r=r+1|0}while((q|0)<(s|0));b[d+26>>0]=0;WD(-215,k,477126,472215,1025)}d=f[(f[c+40>>2]|0)+4>>2]|0;e=f[(f[a+4>>2]|0)+40>>2]|0;t=f[e+4>>2]|0;if((d|0)%(t|0)|0|0){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;v=cuc(48)|0;f[k>>2]=v;f[k+8>>2]=-2147483600;f[k+4>>2]=41;q=v;r=472588;s=q+41|0;do{b[q>>0]=b[r>>0]|0;q=q+1|0;r=r+1|0}while((q|0)<(s|0));b[v+41>>0]=0;WD(-215,k,477126,472215,1025)}v=f[j>>2]|0;w=v;if(((f[p>>2]|0)-v|0)!=56){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;v=cuc(32)|0;f[k>>2]=v;f[k+8>>2]=-2147483616;f[k+4>>2]=19;q=v;r=472630;s=q+19|0;do{b[q>>0]=b[r>>0]|0;q=q+1|0;r=r+1|0}while((q|0)<(s|0));b[v+19>>0]=0;WD(-215,k,477126,472215,1025)}if((f[c+16>>2]|0)==(f[w+16>>2]|0)){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;c=cuc(48)|0;f[k>>2]=c;f[k+8>>2]=-2147483600;f[k+4>>2]=33;q=c;r=472650;s=q+33|0;do{b[q>>0]=b[r>>0]|0;q=q+1|0;r=r+1|0}while((q|0)<(s|0));b[c+33>>0]=0;WD(-215,k,477126,472215,1025)}c=(d|0)/(t|0)|0;if((f[(f[w+40>>2]|0)+4>>2]|0)%(c|0)|0|0){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;w=cuc(48)|0;f[k>>2]=w;f[k+8>>2]=-2147483600;f[k+4>>2]=33;q=w;r=472684;s=q+33|0;do{b[q>>0]=b[r>>0]|0;q=q+1|0;r=r+1|0}while((q|0)<(s|0));b[w+33>>0]=0;WD(-215,k,477126,472215,1028)}w=f[e>>2]|0;e=a+180|0;t=f[e>>2]|0;d=a+184|0;v=f[d>>2]|0;if((v|0)!=(t|0))f[d>>2]=v+(~((v+-4-t|0)>>>2)<<2);t=a+192|0;v=f[t>>2]|0;if(v|0){p=ovc(v,19128,20760,0)|0;if(p){v=f[a+196>>2]|0;x=v;if(v|0)Wtc(v);if(!p)y=x;else{nqb(e,w+2|0,p+44|0);y=x}}else y=0;x=f[t>>2]|0;if(x|0?(p=ovc(x,19128,21272,0)|0,p|0):0){x=f[a+196>>2]|0;if(x|0)Wtc(x);if(p|0){v=f[p+4>>2]|0;if((f[v>>2]&20479|0)!=16389){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;z=cuc(80)|0;f[k>>2]=z;A=k+8|0;f[A>>2]=-2147483568;B=k+4|0;f[B>>2]=65;q=z;r=472718;s=q+65|0;do{b[q>>0]=b[r>>0]|0;q=q+1|0;r=r+1|0}while((q|0)<(s|0));C=z+65|0;b[C>>0]=0;WD(-215,k,477126,472215,1044)}p=f[v+4>>2]|0;if((p|0)<3)D=Y(f[v+12>>2]|0,f[v+8>>2]|0)|0;else{E=f[v+40>>2]|0;F=0;G=1;while(1){H=Y(f[E+(F<<2)>>2]|0,G)|0;F=F+1|0;if((F|0)==(p|0)){D=H;break}else G=H}}if((D|0)!=(w|0)){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;z=cuc(80)|0;f[k>>2]=z;A=k+8|0;f[A>>2]=-2147483568;B=k+4|0;f[B>>2]=65;q=z;r=472718;s=q+65|0;do{b[q>>0]=b[r>>0]|0;q=q+1|0;r=r+1|0}while((q|0)<(s|0));C=z+65|0;b[C>>0]=0;WD(-215,k,477126,472215,1044)}k=f[v+16>>2]|0;v=w+2|0;C=f[d>>2]|0;z=f[e>>2]|0;r=C-z>>2;q=z;z=C;do if(v>>>0>r>>>0)EBa(e,v-r|0);else{if(v>>>0>=r>>>0)break;C=q+(v<<2)|0;if((z|0)==(C|0))break;f[d>>2]=z+(~((z+-4-C|0)>>>2)<<2)}while(0);z=k+(w<<2)-k|0;if(z|0)uzc(f[e>>2]|0,k|0,z|0)|0;z=f[e>>2]|0;k=f[z+(w+-1<<2)>>2]|0;f[z+(w+1<<2)>>2]=k;f[z+(w<<2)>>2]=k}if(x|0)Xtc(x)}if(y|0)Xtc(y)}y=tZ()|0;x=f[i>>2]|0;k=f[j>>2]|0;f[l>>2]=f[a+44>>2];f[l+4>>2]=f[a+48>>2];f[m>>2]=f[a+60>>2];f[m+4>>2]=f[a+64>>2];f[n>>2]=f[a+52>>2];f[n+4>>2]=f[a+56>>2];f[o>>2]=f[a+68>>2];f[o+4>>2]=f[a+72>>2];Jub(x,k,a+100|0,a+168|0,e,l,m,n,o,f[t>>2]|0,c,(y|0)>1?y:1);ut(j);ut(i)}if(!(f[h+4>>2]|0)){u=g;return}u=g;return}function zub(a,b){a=a|0;b=b|0;var c=0;if((b|0)!=2){c=(b|2|0)==3;return c|0}if((f[a+40>>2]|0)!=3){c=1;return c|0}c=(f[a+68>>2]|0)==(f[a+72>>2]|0);return c|0}function Aub(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function Bub(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function Cub(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return}function Dub(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0;c=a+192|0;do if(f[c>>2]|0){d=f[b>>2]|0;if(!d){e=d;break}else{g=0;return g|0}}else e=f[b>>2]|0;while(0);d=f[b+4>>2]|0;if(d|0)Wtc(d);f[c>>2]=e;b=a+196|0;h=f[b>>2]|0;f[b>>2]=d;if(!h)i=e;else{Xtc(h);i=f[c>>2]|0}if((i|0)==0?(c=f[a+180>>2]|0,h=a+184|0,a=f[h>>2]|0,(a|0)!=(c|0)):0)f[h>>2]=a+(~((a+-4-c|0)>>>2)<<2);g=(i|0)!=0;return g|0}function Eub(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;c=u;u=u+112|0;d=c+56|0;e=c;f[d>>2]=1124007936;g=d+4|0;h=d+8|0;i=d+40|0;j=g;k=j+36|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));f[i>>2]=h;l=d+48|0;m=d+44|0;f[m>>2]=l;f[l>>2]=0;f[d+52>>2]=0;f[e>>2]=1124007936;n=e+4|0;o=e+8|0;p=e+40|0;j=n;k=j+36|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));f[p>>2]=o;j=e+48|0;k=e+44|0;f[k>>2]=j;f[j>>2]=0;f[e+52>>2]=0;q=f[b>>2]|0;Zh[f[(f[q>>2]|0)+84>>2]&511](q,d,e);q=d+16|0;if(f[q>>2]|0){b=f[g>>2]|0;if((b|0)<3)r=Y(f[d+12>>2]|0,f[h>>2]|0)|0;else{h=f[i>>2]|0;s=0;t=1;while(1){v=Y(f[h+(s<<2)>>2]|0,t)|0;s=s+1|0;if((s|0)==(b|0)){r=v;break}else t=v}}if(!((b|0)==0|(r|0)==0))w=13;else w=7}else w=7;if((w|0)==7)if(f[e+16>>2]|0){r=f[n>>2]|0;if((r|0)<3)x=Y(f[e+12>>2]|0,f[o>>2]|0)|0;else{o=f[p>>2]|0;b=0;t=1;while(1){s=Y(f[o+(b<<2)>>2]|0,t)|0;b=b+1|0;if((b|0)==(r|0)){x=s;break}else t=s}}if(!((r|0)==0|(x|0)==0))w=13;else y=0}else y=0;if((w|0)==13){Iub(a,d,e);y=1}a=e+36|0;w=f[a>>2]|0;if(w|0?(x=w+12|0,w=f[x>>2]|0,f[x>>2]=w+-1,(w|0)==1):0)aU(e);f[a>>2]=0;a=e+16|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;if((f[n>>2]|0)>0){a=f[p>>2]|0;p=0;do{f[a+(p<<2)>>2]=0;p=p+1|0}while((p|0)<(f[n>>2]|0))}n=f[k>>2]|0;if((n|0)!=(j|0))TC(n);n=d+36|0;j=f[n>>2]|0;if(j|0?(k=j+12|0,j=f[k>>2]|0,f[k>>2]=j+-1,(j|0)==1):0)aU(d);f[n>>2]=0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;f[q+12>>2]=0;if((f[g>>2]|0)>0){q=f[i>>2]|0;i=0;do{f[q+(i<<2)>>2]=0;i=i+1|0}while((i|0)<(f[g>>2]|0))}g=f[m>>2]|0;if((g|0)==(l|0)){u=c;return y|0}TC(g);u=c;return y|0}function Fub(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;d=u;u=u+48|0;h=d+32|0;i=d+16|0;j=d;k=a+4|0;l=f[a+8>>2]|0;m=f[k>>2]|0;n=m;if((l|0)==(m|0)){o=cuc(32)|0;f[h>>2]=o;f[h+8>>2]=-2147483616;f[h+4>>2]=17;p=o;q=472300;r=p+17|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(r|0));b[o+17>>0]=0;WD(-215,h,477070,472215,233)}if(((l-m|0)/56|0)>>>0>1){m=f[n+60>>2]|0;if((m|0)<3)s=Y(f[n+68>>2]|0,f[n+64>>2]|0)|0;else{l=f[n+96>>2]|0;o=0;t=1;while(1){v=Y(f[l+(o<<2)>>2]|0,t)|0;o=o+1|0;if((o|0)==(m|0)){s=v;break}else t=v}}if((s|0)!=(f[f[n+40>>2]>>2]|0)){s=cuc(64)|0;f[h>>2]=s;f[h+8>>2]=-2147483584;f[h+4>>2]=58;p=s;q=472318;r=p+58|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(r|0));b[s+58>>0]=0;WD(-215,h,477070,472215,234)}}s=c+4|0;t=f[c>>2]|0;m=t;if(((f[s>>2]|0)-t|0)!=12){t=cuc(32)|0;f[h>>2]=t;f[h+8>>2]=-2147483616;f[h+4>>2]=26;p=t;q=472377;r=p+26|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(r|0));b[t+26>>0]=0;WD(-215,h,477070,472215,235)}t=f[g>>2]|0;o=g+4|0;g=f[o>>2]|0;if((g|0)==(t|0)){w=k;x=c;y=m;z=n}else{n=g;while(1){g=n+-12|0;f[o>>2]=g;m=f[g>>2]|0;if(!m)A=g;else{g=n+-8|0;l=f[g>>2]|0;if((l|0)!=(m|0))f[g>>2]=l+(~((l+-4-m|0)>>>2)<<2);fuc(m);A=f[o>>2]|0}if((A|0)==(t|0))break;else n=A}w=k;x=c;y=f[c>>2]|0;z=f[k>>2]|0}k=f[y>>2]|0;y=f[k+4>>2]|0;c=f[k+8>>2]|0;A=f[k+12>>2]|0;k=f[f[z+40>>2]>>2]|0;f[h>>2]=0;z=h+4|0;f[z>>2]=0;n=a+84|0;t=b[n+11>>0]|0;if(t<<24>>24<0)B=f[a+88>>2]|0;else B=t&255;if(!B){B=c+-1+(f[a+64>>2]<<1)-(Y((f[a+48>>2]|0)+-1|0,f[a+72>>2]|0)|0)|0;f[z>>2]=((B|0)/(f[a+56>>2]|0)|0)+1;B=A+-1+(f[a+60>>2]<<1)-(Y((f[a+44>>2]|0)+-1|0,f[a+68>>2]|0)|0)|0;f[h>>2]=((B|0)/(f[a+52>>2]|0)|0)+1}else{f[i>>2]=A;f[i+4>>2]=c;hsb(i,a+44|0,a+52|0,n,a+68|0,h)}a=(y|0)/(f[(f[(f[w>>2]|0)+40>>2]|0)+4>>2]|0)|0;if((a|0)<=0){C=cuc(64)|0;f[i>>2]=C;D=i+8|0;f[D>>2]=-2147483584;E=i+4|0;f[E>>2]=59;p=C;q=472404;r=p+59|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(r|0));F=C+59|0;b[F>>0]=0;WD(-215,i,477070,472215,257)}if((y|0)%(a|0)|0|0){C=cuc(64)|0;f[i>>2]=C;D=i+8|0;f[D>>2]=-2147483584;E=i+4|0;f[E>>2]=59;p=C;q=472404;r=p+59|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(r|0));F=C+59|0;b[F>>0]=0;WD(-215,i,477070,472215,257)}if((k|0)%(a|0)|0|0){C=cuc(64)|0;f[i>>2]=C;D=i+8|0;f[D>>2]=-2147483584;E=i+4|0;f[E>>2]=59;p=C;q=472404;r=p+59|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(r|0));F=C+59|0;b[F>>0]=0;WD(-215,i,477070,472215,257)}F=f[x>>2]|0;f[i>>2]=f[f[F>>2]>>2];f[i+4>>2]=k;f[i+8>>2]=f[z>>2];f[i+12>>2]=f[h>>2];h=((f[s>>2]|0)-F|0)/12|0;f[j>>2]=0;F=j+4|0;f[F>>2]=0;f[j+8>>2]=0;KKa(j,i,i+16|0);i=e+4|0;s=f[i>>2]|0;z=f[e>>2]|0;k=(s-z|0)/12|0;x=z;z=s;if(h>>>0<=k>>>0){if(h>>>0<k>>>0?(s=x+(h*12|0)|0,(z|0)!=(s|0)):0){x=z;while(1){z=x+-12|0;f[i>>2]=z;C=f[z>>2]|0;if(!C)G=z;else{z=x+-8|0;q=f[z>>2]|0;if((q|0)!=(C|0))f[z>>2]=q+(~((q+-4-C|0)>>>2)<<2);fuc(C);G=f[i>>2]|0}if((G|0)==(s|0))break;else x=G}}}else Hmb(e,h-k|0,j);k=f[j>>2]|0;if(!k){u=d;return 0}j=f[F>>2]|0;if((j|0)!=(k|0))f[F>>2]=j+(~((j+-4-k|0)>>>2)<<2);fuc(k);u=d;return 0}function Gub(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;e=u;u=u+16|0;g=e;h=f[c+4>>2]|0;i=f[c>>2]|0;c=h-i|0;j=f[d>>2]|0;k=j;l=i;if((c|0)!=((f[d+4>>2]|0)-j|0)){j=cuc(32)|0;f[g>>2]=j;f[g+8>>2]=-2147483616;f[g+4>>2]=31;m=j;n=472174;o=m+31|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));b[j+31>>0]=0;WD(-215,g,472206,472215,1061)}if((h|0)==(i|0)){p=0;q=0;J=p;u=e;return q|0}i=a+44|0;h=a+48|0;a=(c|0)/12|0;c=0;j=0;d=0;while(1){r=f[k+(c*12|0)+4>>2]|0;s=f[k+(c*12|0)>>2]|0;t=r-s|0;v=t>>2;w=s;if((w|0)!=(r|0)){if((t|0)<=-4){x=9;break}if((t|0)>0){t=0;r=1;while(1){s=Y(f[w+(t<<2)>>2]|0,r)|0;t=t+1|0;if((t|0)>=(v|0)){y=s;break}else r=s}}else y=1}else y=0;r=Y(f[h>>2]|0,f[i>>2]|0)|0;v=yzc(r|0,((r|0)<0)<<31>>31|0,1)|0;r=f[(f[l+(c*12|0)>>2]|0)+4>>2]|0;t=Bzc(v|0,J|0,r|0,((r|0)<0)<<31>>31|0)|0;r=Bzc(t|1|0,J|0,y|0,((y|0)<0)<<31>>31|0)|0;t=hzc(r|0,J|0,j|0,d|0)|0;r=J;c=c+1|0;if(c>>>0>=a>>>0){p=r;q=t;x=5;break}else{j=t;d=r}}if((x|0)==5){J=p;u=e;return q|0}else if((x|0)==9){x=cuc(80)|0;f[g>>2]=x;f[g+8>>2]=-2147483568;f[g+4>>2]=70;m=x;n=475319;o=m+70|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));b[x+70>>0]=0;WD(-215,g,475390,475396,161)}return 0}function Hub(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0;c=u;u=u+16|0;e=c;g=f[d>>2]|0;d=Y(f[b+48>>2]|0,f[(f[(f[b+4>>2]|0)+40>>2]|0)+4>>2]|0)|0;h=Y(d,f[b+44>>2]|0)|0;b=Y(f[g+8>>2]|0,f[g+12>>2]|0)|0;f[e>>2]=b;f[e+4>>2]=h;f[e+8>>2]=-1;f[e+12>>2]=-1;f[a>>2]=0;h=a+4|0;f[h>>2]=0;f[a+8>>2]=0;KKa(a,e,e+16|0);e=f[a>>2]|0;a=f[h>>2]|0;a:do if((e|0)==(a|0))i=e;else{b=e;do{if((f[b>>2]|0)<0){i=b;break a}b=b+4|0}while((b|0)!=(a|0));u=c;return}while(0);if((i|0)==(a|0)){u=c;return}e=i+4|0;if((e|0)==(a|0)){j=a;k=i}else{b=e;e=i;while(1){i=f[b>>2]|0;if((i|0)<0)l=e;else{f[e>>2]=i;l=e+4|0}b=b+4|0;if((b|0)==(a|0))break;else e=l}j=f[h>>2]|0;k=l}if((k|0)==(j|0)){u=c;return}f[h>>2]=j+(~((j+-4-k|0)>>>2)<<2);u=c;return}function Iub(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0.0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0;e=u;u=u+384|0;g=e+360|0;h=e;i=e+304|0;j=e+248|0;k=e+192|0;l=e+176|0;m=e+120|0;o=e+104|0;q=e+88|0;r=e+32|0;s=a+100|0;t=a+140|0;v=f[f[t>>2]>>2]|0;w=c+4|0;x=f[w>>2]|0;if((x|0)<3)y=Y(f[c+12>>2]|0,f[c+8>>2]|0)|0;else{z=f[c+40>>2]|0;A=0;B=1;while(1){C=Y(f[z+(A<<2)>>2]|0,B)|0;A=A+1|0;if((A|0)==(x|0)){y=C;break}else B=C}}do if((y|0)!=1){f[i>>2]=f[c>>2];B=i+4|0;f[B>>2]=x;A=i+8|0;f[A>>2]=f[c+8>>2];f[i+12>>2]=f[c+12>>2];f[i+16>>2]=f[c+16>>2];f[i+20>>2]=f[c+20>>2];f[i+24>>2]=f[c+24>>2];f[i+28>>2]=f[c+28>>2];f[i+32>>2]=f[c+32>>2];z=f[c+36>>2]|0;f[i+36>>2]=z;f[i+40>>2]=A;A=i+48|0;C=i+44|0;f[C>>2]=A;f[A>>2]=0;f[i+52>>2]=0;if(!z)D=x;else{A=z+12|0;f[A>>2]=(f[A>>2]|0)+1;D=f[w>>2]|0}if((D|0)<3){A=f[c+44>>2]|0;z=f[C>>2]|0;f[z>>2]=f[A>>2];f[z+4>>2]=f[A+4>>2];break}else{f[B>>2]=0;$T(i,c);break}}else{p[h>>3]=+n[f[c+16>>2]>>2];B=h+8|0;f[B>>2]=0;f[B+4>>2]=0;f[B+8>>2]=0;f[B+12>>2]=0;f[B+16>>2]=0;f[B+20>>2]=0;f[i>>2]=1124007936;B=i+8|0;A=i+40|0;E=i+4|0;F=E+36|0;do{f[E>>2]=0;E=E+4|0}while((E|0)<(F|0));f[A>>2]=B;z=i+48|0;f[i+44>>2]=z;f[z>>2]=0;f[i+52>>2]=0;f[g>>2]=1;f[g+4>>2]=v;ZT(i,2,g,5);GI(i,h)|0}while(0);c=d+4|0;D=f[c>>2]|0;if((D|0)<3)G=Y(f[d+12>>2]|0,f[d+8>>2]|0)|0;else{w=f[d+40>>2]|0;x=0;y=1;while(1){z=Y(f[w+(x<<2)>>2]|0,y)|0;x=x+1|0;if((x|0)==(D|0)){G=z;break}else y=z}}do if((G|0)!=1){f[j>>2]=f[d>>2];y=j+4|0;f[y>>2]=D;x=j+8|0;f[x>>2]=f[d+8>>2];f[j+12>>2]=f[d+12>>2];f[j+16>>2]=f[d+16>>2];f[j+20>>2]=f[d+20>>2];f[j+24>>2]=f[d+24>>2];f[j+28>>2]=f[d+28>>2];f[j+32>>2]=f[d+32>>2];w=f[d+36>>2]|0;f[j+36>>2]=w;f[j+40>>2]=x;x=j+48|0;z=j+44|0;f[z>>2]=x;f[x>>2]=0;f[j+52>>2]=0;if(!w)H=D;else{x=w+12|0;f[x>>2]=(f[x>>2]|0)+1;H=f[c>>2]|0}if((H|0)<3){x=f[d+44>>2]|0;w=f[z>>2]|0;f[w>>2]=f[x>>2];f[w+4>>2]=f[x+4>>2];break}else{f[y>>2]=0;$T(j,d);break}}else{p[h>>3]=+n[f[d+16>>2]>>2];y=h+8|0;f[y>>2]=0;f[y+4>>2]=0;f[y+8>>2]=0;f[y+12>>2]=0;f[y+16>>2]=0;f[y+20>>2]=0;f[j>>2]=1124007936;y=j+8|0;x=j+40|0;E=j+4|0;F=E+36|0;do{f[E>>2]=0;E=E+4|0}while((E|0)<(F|0));f[x>>2]=y;B=j+48|0;f[j+44>>2]=B;f[B>>2]=0;f[j+52>>2]=0;f[g>>2]=1;f[g+4>>2]=v;ZT(j,2,g,5);GI(j,h)|0}while(0);if(!(f[a+116>>2]|0)){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;I=cuc(32)|0;f[g>>2]=I;J=g+8|0;f[J>>2]=-2147483616;K=g+4|0;f[K>>2]=19;E=I;L=472464;F=E+19|0;do{b[E>>0]=b[L>>0]|0;E=E+1|0;L=L+1|0}while((E|0)<(F|0));M=I+19|0;b[M>>0]=0;WD(-215,g,472484,472215,362)}d=f[a+104>>2]|0;if((d|0)<3)N=Y(f[a+112>>2]|0,f[a+108>>2]|0)|0;else{H=f[t>>2]|0;t=0;c=1;while(1){D=Y(f[H+(t<<2)>>2]|0,c)|0;t=t+1|0;if((t|0)==(d|0)){N=D;break}else c=D}}if((d|0)==0|(N|0)==0){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;I=cuc(32)|0;f[g>>2]=I;J=g+8|0;f[J>>2]=-2147483616;K=g+4|0;f[K>>2]=19;E=I;L=472464;F=E+19|0;do{b[E>>0]=b[L>>0]|0;E=E+1|0;L=L+1|0}while((E|0)<(F|0));M=I+19|0;b[M>>0]=0;WD(-215,g,472484,472215,362)}M=a+168|0;if(((f[a+172>>2]|0)-(f[M>>2]|0)>>2|0)!=(v+2|0)){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;I=cuc(32)|0;f[g>>2]=I;f[g+8>>2]=-2147483616;f[g+4>>2]=27;E=I;L=472496;F=E+27|0;do{b[E>>0]=b[L>>0]|0;E=E+1|0;L=L+1|0}while((E|0)<(F|0));b[I+27>>0]=0;WD(-215,g,472484,472215,362)}I=i+16|0;K=(f[I>>2]|0)==0;if(!K){J=f[i+4>>2]|0;N=(J|0)<3;if(N)O=Y(f[i+12>>2]|0,f[i+8>>2]|0)|0;else{d=f[i+40>>2]|0;c=0;t=1;while(1){H=Y(f[d+(c<<2)>>2]|0,t)|0;c=c+1|0;if((c|0)==(J|0)){O=H;break}else t=H}}if(!((J|0)==0|(O|0)==0)){if(N)P=Y(f[i+12>>2]|0,f[i+8>>2]|0)|0;else{N=f[i+40>>2]|0;O=0;t=1;while(1){c=Y(f[N+(O<<2)>>2]|0,t)|0;O=O+1|0;if((O|0)==(J|0)){P=c;break}else t=c}}if((v|0)!=(P|0)){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;P=cuc(32)|0;f[g>>2]=P;f[g+8>>2]=-2147483616;f[g+4>>2]=31;E=P;L=472524;F=E+31|0;do{b[E>>0]=b[L>>0]|0;E=E+1|0;L=L+1|0}while((E|0)<(F|0));b[P+31>>0]=0;WD(-215,g,472484,472215,362)}}}P=j+16|0;t=f[P>>2]|0;if(t|0){J=f[j+4>>2]|0;O=(J|0)<3;if(O)Q=Y(f[j+12>>2]|0,f[j+8>>2]|0)|0;else{N=f[j+40>>2]|0;c=0;d=1;while(1){H=Y(f[N+(c<<2)>>2]|0,d)|0;c=c+1|0;if((c|0)==(J|0)){Q=H;break}else d=H}}if(!((J|0)==0|(Q|0)==0)){if(O)R=Y(f[j+12>>2]|0,f[j+8>>2]|0)|0;else{O=f[j+40>>2]|0;Q=0;d=1;while(1){c=Y(f[O+(Q<<2)>>2]|0,d)|0;Q=Q+1|0;if((Q|0)==(J|0)){R=c;break}else d=c}}if((v|0)!=(R|0)){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;R=cuc(32)|0;f[g>>2]=R;f[g+8>>2]=-2147483616;f[g+4>>2]=31;E=R;L=472556;F=E+31|0;do{b[E>>0]=b[L>>0]|0;E=E+1|0;L=L+1|0}while((E|0)<(F|0));b[R+31>>0]=0;WD(-215,g,472484,472215,362)}}}if(!K){K=f[i+4>>2]|0;if((K|0)<3)S=Y(f[i+12>>2]|0,f[i+8>>2]|0)|0;else{R=f[i+40>>2]|0;L=0;E=1;while(1){F=Y(f[R+(L<<2)>>2]|0,E)|0;L=L+1|0;if((L|0)==(K|0)){S=F;break}else E=F}}if(!((K|0)==0|(S|0)==0)){mU(k,f[a+4>>2]|0,1,v);if((v|0)>0){S=i+40|0;K=i+44|0;E=i+12|0;L=a+156|0;R=g+4|0;F=h+4|0;d=l+8|0;J=l+12|0;Q=l+4|0;O=o+8|0;c=o+12|0;N=o+4|0;H=g+4|0;D=h+4|0;G=q+8|0;B=q+4|0;A=r+36|0;w=r+16|0;z=r+4|0;C=r+40|0;T=r+44|0;U=r+48|0;V=m+36|0;W=m+16|0;X=m+4|0;Z=m+40|0;_=m+44|0;$=m+48|0;aa=0;do{ba=f[I>>2]|0;do if((f[i>>2]&16384|0)==0?(ca=f[S>>2]|0,(f[ca>>2]|0)!=1):0){da=f[f[K>>2]>>2]|0;if((f[ca+4>>2]|0)==1){ea=ba+(Y(da,aa)|0)|0;break}else{ca=f[E>>2]|0;fa=(aa|0)/(ca|0)|0;ea=ba+(Y(fa,da)|0)+(aa-(Y(fa,ca)|0)<<2)|0;break}}else ga=75;while(0);if((ga|0)==75){ga=0;ea=ba+(aa<<2)|0}ha=+n[ea>>2];y=(f[L>>2]|0)+(aa<<3)|0;p[y>>3]=ha*+p[y>>3];y=aa;aa=aa+1|0;f[g>>2]=y;f[R>>2]=aa;f[h>>2]=-2147483648;f[F>>2]=2147483647;bU(m,k,g,h);f[d>>2]=0;f[J>>2]=0;f[l>>2]=16842752;f[Q>>2]=m;x=(f[L>>2]|0)+(y<<3)|0;f[o>>2]=-1056833530;f[N>>2]=x;f[O>>2]=1;f[c>>2]=1;f[g>>2]=y;f[H>>2]=aa;f[h>>2]=-2147483648;f[D>>2]=2147483647;bU(r,s,g,h);x=G;f[x>>2]=0;f[x+4>>2]=0;f[q>>2]=-1040121856;f[B>>2]=r;jX(l,o,q,1.0,-1);x=f[A>>2]|0;do if(x|0){ca=x+12|0;fa=f[ca>>2]|0;f[ca>>2]=fa+-1;if((fa|0)!=1)break;aU(r)}while(0);f[A>>2]=0;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;f[w+12>>2]=0;if((f[z>>2]|0)>0){x=f[C>>2]|0;ba=0;do{f[x+(ba<<2)>>2]=0;ba=ba+1|0}while((ba|0)<(f[z>>2]|0))}ba=f[T>>2]|0;if((ba|0)!=(U|0))TC(ba);ba=f[V>>2]|0;do if(ba|0){x=ba+12|0;fa=f[x>>2]|0;f[x>>2]=fa+-1;if((fa|0)!=1)break;aU(m)}while(0);f[V>>2]=0;f[W>>2]=0;f[W+4>>2]=0;f[W+8>>2]=0;f[W+12>>2]=0;if((f[X>>2]|0)>0){ba=f[Z>>2]|0;fa=0;do{f[ba+(fa<<2)>>2]=0;fa=fa+1|0}while((fa|0)<(f[X>>2]|0))}fa=f[_>>2]|0;if((fa|0)!=($|0))TC(fa);fa=(f[M>>2]|0)+(y<<2)|0;n[fa>>2]=ha*+n[fa>>2]}while((aa|0)<(v|0))}aa=k+36|0;$=f[aa>>2]|0;if($|0?(_=$+12|0,$=f[_>>2]|0,f[_>>2]=$+-1,($|0)==1):0)aU(k);f[aa>>2]=0;aa=k+16|0;$=k+4|0;f[aa>>2]=0;f[aa+4>>2]=0;f[aa+8>>2]=0;f[aa+12>>2]=0;if((f[$>>2]|0)>0){aa=f[k+40>>2]|0;_=0;do{f[aa+(_<<2)>>2]=0;_=_+1|0}while((_|0)<(f[$>>2]|0))}$=f[k+44>>2]|0;if(($|0)!=(k+48|0))TC($);ia=f[P>>2]|0}else ia=t}else ia=t;t=(ia|0)==0;a:do if(!t){$=f[j+4>>2]|0;if(($|0)<3)ja=Y(f[j+12>>2]|0,f[j+8>>2]|0)|0;else{k=f[j+40>>2]|0;_=0;aa=1;while(1){X=Y(f[k+(_<<2)>>2]|0,aa)|0;_=_+1|0;if((_|0)==($|0)){ja=X;break}else aa=X}}if((ja|0)!=0&($|0)!=0&(v|0)>0){aa=f[j+40>>2]|0;_=aa+4|0;k=f[j+44>>2]|0;y=f[j+12>>2]|0;X=f[M>>2]|0;if(f[j>>2]&16384|0){Z=0;while(1){W=X+(Z<<2)|0;n[W>>2]=+n[ia+(Z<<2)>>2]+ +n[W>>2];Z=Z+1|0;if((Z|0)==(v|0))break a}}Z=(f[aa>>2]|0)==1;$=0;do{do if(!Z){W=f[k>>2]|0;if((f[_>>2]|0)==1){ka=ia+(Y(W,$)|0)|0;break}else{V=($|0)/(y|0)|0;ka=ia+(Y(V,W)|0)+($-(Y(V,y)|0)<<2)|0;break}}else ka=ia+($<<2)|0;while(0);V=X+($<<2)|0;n[V>>2]=+n[ka>>2]+ +n[V>>2];$=$+1|0}while(($|0)!=(v|0))}}while(0);if(!(f[I>>2]|0))if(t)la=0;else ga=118;else{ka=f[i+4>>2]|0;if((ka|0)<3)ma=Y(f[i+12>>2]|0,f[i+8>>2]|0)|0;else{ia=f[i+40>>2]|0;ja=0;$=1;while(1){X=Y(f[ia+(ja<<2)>>2]|0,$)|0;ja=ja+1|0;if((ja|0)==(ka|0)){ma=X;break}else $=X}}$=(ma|0)!=0&(ka|0)!=0;if($|t)la=$;else ga=118}if((ga|0)==118){ga=f[j+4>>2]|0;if((ga|0)<3)na=Y(f[j+12>>2]|0,f[j+8>>2]|0)|0;else{$=f[j+40>>2]|0;ka=0;ma=1;while(1){ja=Y(f[$+(ka<<2)>>2]|0,ma)|0;ka=ka+1|0;if((ka|0)==(ga|0)){na=ja;break}else ma=ja}}la=(ga|0)!=0&(na|0)!=0}b[a+200>>0]=la&1;la=(((f[a+8>>2]|0)-(f[a+4>>2]|0)|0)/56|0)>>>0>1;if(la|t)oa=la;else{la=f[j+4>>2]|0;if((la|0)<3)pa=Y(f[j+12>>2]|0,f[j+8>>2]|0)|0;else{t=f[j+40>>2]|0;na=0;ga=1;while(1){ma=Y(f[t+(na<<2)>>2]|0,ga)|0;na=na+1|0;if((na|0)==(la|0)){pa=ma;break}else ga=ma}}oa=(la|0)!=0&(pa|0)!=0}b[a+201>>0]=oa&1;oa=f[M>>2]|0;M=f[oa+(v+-1<<2)>>2]|0;f[oa+(v+1<<2)>>2]=M;f[oa+(v<<2)>>2]=M;M=j+36|0;v=f[M>>2]|0;if(v|0?(oa=v+12|0,v=f[oa>>2]|0,f[oa>>2]=v+-1,(v|0)==1):0)aU(j);f[M>>2]=0;M=j+4|0;f[P>>2]=0;f[P+4>>2]=0;f[P+8>>2]=0;f[P+12>>2]=0;if((f[M>>2]|0)>0){P=f[j+40>>2]|0;v=0;do{f[P+(v<<2)>>2]=0;v=v+1|0}while((v|0)<(f[M>>2]|0))}M=f[j+44>>2]|0;if((M|0)!=(j+48|0))TC(M);M=i+36|0;j=f[M>>2]|0;if(j|0?(v=j+12|0,j=f[v>>2]|0,f[v>>2]=j+-1,(j|0)==1):0)aU(i);f[M>>2]=0;M=i+4|0;f[I>>2]=0;f[I+4>>2]=0;f[I+8>>2]=0;f[I+12>>2]=0;if((f[M>>2]|0)>0){I=f[i+40>>2]|0;j=0;do{f[I+(j<<2)>>2]=0;j=j+1|0}while((j|0)<(f[M>>2]|0))}M=f[i+44>>2]|0;if((M|0)==(i+48|0)){u=e;return}TC(M);u=e;return}function Jub(a,c,d,e,g,h,i,j,k,l,m,n){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;o=u;u=u+112|0;p=o+8|0;q=o;if((f[a+4>>2]|0)!=4){r=cuc(48)|0;f[p>>2]=r;s=p+8|0;f[s>>2]=-2147483600;t=p+4|0;f[t>>2]=35;v=r;w=472784;x=v+35|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));y=r+35|0;b[y>>0]=0;WD(-215,p,472820,472215,534)}if((f[c+4>>2]|0)!=4){r=cuc(48)|0;f[p>>2]=r;s=p+8|0;f[s>>2]=-2147483600;t=p+4|0;f[t>>2]=35;v=r;w=472784;x=v+35|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));y=r+35|0;b[y>>0]=0;WD(-215,p,472820,472215,534)}y=f[a+40>>2]|0;r=f[c+40>>2]|0;if((f[y>>2]|0)!=(f[r>>2]|0)){t=cuc(32)|0;f[p>>2]=t;f[p+8>>2]=-2147483616;f[p+4>>2]=31;v=t;w=472824;x=v+31|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));b[t+31>>0]=0;WD(-215,p,472820,472215,534)}t=f[d+8>>2]|0;s=r+4|0;if((t|0)!=(f[s>>2]|0)){z=cuc(32)|0;f[p>>2]=z;f[p+8>>2]=-2147483616;f[p+4>>2]=30;v=z;w=472856;x=v+30|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));b[z+30>>0]=0;WD(-215,p,472820,472215,534)}z=y+4|0;A=f[h>>2]|0;B=Y(A,(f[z>>2]|0)/(m|0)|0)|0;C=h+4|0;D=f[C>>2]|0;if((f[d+12>>2]|0)!=(Y(B,D)|0)){B=cuc(80)|0;f[p>>2]=B;f[p+8>>2]=-2147483568;f[p+4>>2]=66;v=B;w=472887;x=v+66|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));b[B+66>>0]=0;WD(-215,p,472820,472215,534)}B=f[a>>2]|0;E=B&4095;F=f[c>>2]|0;if((E|0)!=(F&4095|0)){G=cuc(32)|0;f[p>>2]=G;f[p+8>>2]=-2147483616;f[p+4>>2]=29;v=G;w=472954;x=v+29|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));b[G+29>>0]=0;WD(-215,p,472820,472215,534)}if((E|0)!=(f[d>>2]&4095|0)){G=cuc(32)|0;f[p>>2]=G;f[p+8>>2]=-2147483616;f[p+4>>2]=30;v=G;w=472984;x=v+30|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));b[G+30>>0]=0;WD(-215,p,472820,472215,534)}if((E|0)!=5){E=cuc(64)|0;f[p>>2]=E;f[p+8>>2]=-2147483584;f[p+4>>2]=57;v=E;w=473015;x=v+57|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));b[E+57>>0]=0;WD(-215,p,472820,472215,534)}if(!(B&16384)){B=cuc(32)|0;f[p>>2]=B;f[p+8>>2]=-2147483616;f[p+4>>2]=20;v=B;w=473073;x=v+20|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));b[B+20>>0]=0;WD(-215,p,472820,472215,534)}if(!(F&16384)){F=cuc(32)|0;f[p>>2]=F;f[p+8>>2]=-2147483616;f[p+4>>2]=21;v=F;w=473094;x=v+21|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));b[F+21>>0]=0;WD(-215,p,472820,472215,534)}if(((f[e+4>>2]|0)-(f[e>>2]|0)>>2|0)!=(t+2|0)){t=cuc(48)|0;f[p>>2]=t;f[p+8>>2]=-2147483600;f[p+4>>2]=42;v=t;w=473116;x=v+42|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));b[t+42>>0]=0;WD(-215,p,472820,472215,534)}f[p>>2]=136916;t=p+4|0;w=p+8|0;F=p+12|0;B=p+32|0;v=B;x=v+68|0;do{f[v>>2]=0;v=v+4|0}while((v|0)<(x|0));f[t>>2]=a;f[w>>2]=d;f[F>>2]=c;f[p+16>>2]=f[r>>2];c=f[s>>2]|0;s=p+20|0;f[s>>2]=c;f[p+24>>2]=f[r+8>>2];f[p+28>>2]=f[r+12>>2];f[s>>2]=(c|0)/(m|0)|0;f[B>>2]=A;f[p+36>>2]=D;B=f[i>>2]|0;f[p+40>>2]=B;c=f[i+4>>2]|0;f[p+44>>2]=c;f[p+48>>2]=f[j>>2];f[p+52>>2]=f[j+4>>2];f[p+56>>2]=f[k>>2];j=k+4|0;f[p+60>>2]=f[j>>2];f[p+64>>2]=m;f[p+68>>2]=n;i=f[y+12>>2]|0;s=f[y+8>>2]|0;y=(f[z>>2]|0)/(m|0)|0;b[p+96>>0]=(D|A|(c|B)|0)==0&1;B=(xE(10)|0)&1;b[p+97>>0]=B;B=(xE(11)|0)&1;b[p+98>>0]=B;b[p+99>>0]=0;B=(y|0)<64?y:64;c=p+72|0;A=Y(Y(f[h>>2]|0,B)|0,f[C>>2]|0)|0;D=p+76|0;m=f[D>>2]|0;z=f[c>>2]|0;r=m-z>>2;F=z;z=m;if(A>>>0<=r>>>0)if(A>>>0<r>>>0?(m=F+(A<<2)|0,(z|0)!=(m|0)):0){f[D>>2]=z+(~((z+-4-m|0)>>>2)<<2);H=F}else H=F;else{OJ(c,A-r|0);H=f[c>>2]|0}if((y|0)>0){y=0;c=f[C>>2]|0;while(1){if((c|0)>0){r=Y(y,s)|0;A=0;F=f[h>>2]|0;m=c;while(1){if((F|0)>0){z=0;d=m;w=F;while(1){a=Y((Y(f[j>>2]|0,A)|0)+r|0,i)|0;t=a+(Y(f[k>>2]|0,z)|0)|0;a=H+((Y((Y(d,y)|0)+A|0,w)|0)+z<<2)|0;f[a>>2]=t;z=z+1|0;t=f[h>>2]|0;a=f[C>>2]|0;if((z|0)>=(t|0)){I=a;J=t;break}else{d=a;w=t}}}else{I=m;J=F}A=A+1|0;if((A|0)>=(I|0)){K=I;break}else{F=J;m=I}}}else K=c;y=y+1|0;if((y|0)>=(B|0))break;else c=K}}f[p+84>>2]=e;f[p+88>>2]=g;f[p+92>>2]=(f[g>>2]|0)==(f[g+4>>2]|0)?l:0;f[q>>2]=0;f[q+4>>2]=n;sZ(q,p,+(n|0));f[p>>2]=136916;n=f[p+72>>2]|0;if(!n){u=o;return}p=f[D>>2]|0;if((p|0)!=(n|0))f[D>>2]=p+(~((p+-4-n|0)>>>2)<<2);fuc(n);u=o;return}function Kub(a){a=a|0;var b=0,c=0;f[a>>2]=136916;b=f[a+72>>2]|0;if(!b)return;c=a+76|0;a=f[c>>2]|0;if((a|0)!=(b|0))f[c>>2]=a+(~((a+-4-b|0)>>>2)<<2);fuc(b);return}function Lub(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=136916;b=f[a+72>>2]|0;if(!b){fuc(a);return}c=a+76|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b);fuc(a);return}function Mub(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0.0,tb=0.0,ub=0.0,vb=0.0,wb=0.0,xb=0.0,yb=0.0,zb=0.0,Ab=0.0,Bb=0.0,Cb=0.0,Db=0.0,Eb=0.0;d=u;u=u+1072|0;e=d+1068|0;g=d+1064|0;h=d;i=f[a+64>>2]|0;j=f[a+4>>2]|0;k=f[j+40>>2]|0;l=Y(f[k>>2]|0,i)|0;m=f[a+12>>2]|0;o=f[m+40>>2]|0;p=f[o+12>>2]|0;q=(f[o+4>>2]|0)/(i|0)|0;r=f[k+12>>2]|0;s=f[k+8>>2]|0;t=(f[k+4>>2]|0)/(i|0)|0;k=f[a+68>>2]|0;v=f[a+32>>2]|0;w=f[a+36>>2]|0;x=f[a+40>>2]|0;y=f[a+44>>2]|0;z=f[a+48>>2]|0;A=f[a+52>>2]|0;B=f[a+56>>2]|0;C=f[a+60>>2]|0;D=Y(w,v)|0;E=Y(s,r)|0;F=Y(f[o+8>>2]|0,p)|0;f[e>>2]=F;o=(b[a+96>>0]|0)==0;G=f[c>>2]|0;H=f[c+4>>2]|0;if((k|0)<(l<<1|0)){c=(l+-1+k|0)/(k|0)|0;I=(c|0)>1?c:1;J=1;K=Y(I,G)|0;L=Y(I,H)|0;M=F}else{I=(k|0)/(l|0)|0;k=(((I+-1+F|0)>>>0)/(I>>>0)|0)+7&-8;f[g>>2]=k;J=I;K=G;L=H;M=F>>>0<k>>>0?f[e>>2]|0:k}f[g>>2]=M;M=f[j+16>>2]|0;j=f[a+72>>2]|0;k=f[a+8>>2]|0;F=f[k+16>>2]|0;H=((f[f[k+44>>2]>>2]|0)>>>0)/((675553809>>>(f[k>>2]<<2&28)&15)>>>0)|0;k=f[a+84>>2]|0;G=f[k>>2]|0;if((f[k+4>>2]|0)==(G|0))osc(k);k=G;G=f[a+88>>2]|0;I=f[G>>2]|0;c=(I|0)==(f[G+4>>2]|0)?0:I;I=f[m+16>>2]|0;m=D<<11|8;G=h+8|0;f[h>>2]=G;N=h+4|0;f[N>>2]=m;if(m>>>0>264){O=euc(m>>>0>1073741823?-1:m<<2)|0;f[h>>2]=O;P=O}else P=G;O=P+31&-32;P=O;kzc(O|0,0,D<<13|0)|0;a:do if((K|0)<(L|0)){O=Y(t,E)|0;m=(t|0)>0;Q=a+92|0;R=(c|0)!=0;S=s-(Y(C,w+-1|0)|0)|0;T=C+-1|0;U=s+-1+C|0;V=z<<1;W=r-(Y(B,v+-1|0)|0)|0;X=B+-1|0;Z=r+-1+B|0;_=Y(C,r)|0;$=(q|0)>0;aa=~t;ba=~p;ca=K;da=K;do{ca=ca+1|0;ea=(da|0)/(J|0)|0;if((ea|0)>=(l|0))break a;fa=Y(ea,J)|0;ga=f[g>>2]|0;ha=Y(ga,da-fa|0)|0;ia=ha+ga|0;ja=f[e>>2]|0;ka=ja>>>0<ia>>>0?ja:ia;ia=M+((Y(O,ea)|0)<<2)|0;la=I+((Y(Y(ea,q)|0,ja)|0)<<2)|0;ma=Y((ea|0)%(i|0)|0,q)|0;ea=F+((Y(ma,H)|0)<<2)|0;na=k+(ma<<2)|0;if(m){oa=c+(ma<<2)|0;pa=(ka|0)>(ha|0);qa=Y(ga,ca-fa|0)|0;fa=~(ja>>>0>qa>>>0?qa:ja);ja=-33-ha|0;qa=0;ga=-1;ra=-65;while(1){sa=((Y(D,ga-((ra|0)>(aa|0)?ra:aa)|0)|0)+7|0)>>>3;ta=qa;qa=qa+64|0;ua=((t|0)<(qa|0)?t:qa)-ta|0;va=Y(ua,D)|0;wa=va+7&-8;xa=ea+((Y(ta,D)|0)<<2)|0;ya=R&(t|0)<=(qa|0)?oa:0;if(pa){za=Y(ta,s)|0;Aa=(va|0)>0;Ba=va<<2;Ca=(ua|0)>0;Da=(ya|0)!=0;Ea=(ta|0)==0;ta=ha;Fa=ja;while(1){Ga=(Fa|0)<(fa|0)?fa:Fa;Ha=ta;ta=ta+32|0;Ia=(ka|0)<(ta|0)?ka:ta;Ja=(Ha|0)/(p|0)|0;if((Ia|0)>(Ha|0)){Ka=Ha;La=Ja;Ma=Ha-(Y(Ja,p)|0)|0;Ja=P;while(1){Na=Ia-Ka|0;Oa=p-Ma|0;Pa=(Oa|0)<(Na|0)?Oa:Na;Na=Pa+Ma|0;Oa=(Y(La,A)|0)-y|0;Qa=(Y(Ma,z)|0)-x|0;Ra=ia+((Y(Oa+za|0,r)|0)<<2)+(Qa<<2)|0;do if(o){Sa=(Oa|0)>-1&(Oa|0)<(S|0);Ta=(T-Oa|0)/(C|0)|0;Ua=(Ta|0)>0?Ta:0;Ta=(U-Oa|0)/(C|0)|0;Va=(Ta|0)<(w|0)?Ta:w;if((Pa|0)>0){Ta=(Ua|0)<(Va|0);Wa=Ra;Xa=Ma;Ya=Ja;Za=Qa;while(1){do if(Sa){if((Xa+2|0)>(Na|0)|(Za|0)<0|(Za+V|0)>(W|0)){_a=34;break}if(Aa){$a=0;do{ab=f[j+($a<<2)>>2]|0;bb=f[Wa+(ab+z<<2)>>2]|0;f[Ya+($a<<2)>>2]=f[Wa+(ab<<2)>>2];f[Ya+($a+wa<<2)>>2]=bb;$a=$a+1|0}while(($a|0)<(va|0))}cb=Za+z|0;db=Wa+(z<<2)|0;eb=Xa+1|0;fb=Ya+(wa<<2)|0}else _a=34;while(0);do if((_a|0)==34){_a=0;$a=(X-Za|0)/(B|0)|0;bb=($a|0)>0?$a:0;$a=(Z-Za|0)/(B|0)|0;ab=($a|0)<(v|0)?$a:v;kzc(Ya|0,0,Ba|0)|0;if(!Ca){cb=Za;db=Wa;eb=Xa;fb=Ya;break}$a=(bb|0)<(ab|0);if(Ta)gb=0;else{cb=Za;db=Wa;eb=Xa;fb=Ya;break}do{hb=Y(gb,E)|0;ib=Y(gb,w)|0;if($a){jb=Ua;do{kb=(Y(_,jb)|0)+hb|0;lb=Y(jb+ib|0,v)|0;mb=bb;do{nb=Wa+(kb+(Y(mb,B)|0)<<2)|0;f[Ya+(mb+lb<<2)>>2]=f[nb>>2];mb=mb+1|0}while((mb|0)<(ab|0));jb=jb+1|0}while((jb|0)<(Va|0))}gb=gb+1|0}while((gb|0)<(ua|0));cb=Za;db=Wa;eb=Xa;fb=Ya}while(0);Xa=eb+1|0;ab=fb+(wa<<2)|0;if((Xa|0)>=(Na|0)){ob=ab;break}else{Wa=db+(z<<2)|0;Ya=ab;Za=cb+z|0}}}else ob=Ja}else if((Pa|0)>0){if(Aa){pb=Ra;qb=Ma;rb=Ja}else{Za=Ma+ba|0;Ya=Ga+Ka|0;Wa=Ma+-1-((Za|0)>(Ya|0)?Za:Ya)|0;Ya=Ma+1|0;ob=Ja+(Y(sa,((Wa|0)>(Ya|0)?Wa:Ya)-Ma<<5)|0)|0;break}while(1){Ya=0;do{Wa=pb+((Y(Ya,E)|0)<<2)|0;f[rb+(Ya<<2)>>2]=f[Wa>>2];Ya=Ya+1|0}while((Ya|0)<(va|0));qb=qb+1|0;Ya=rb+(wa<<2)|0;if((qb|0)>=(Na|0)){ob=Ya;break}else{pb=pb+(z<<2)|0;rb=Ya}}}else ob=Ja;while(0);Ka=Pa+Ka|0;if((Ia|0)<=(Ka|0))break;else{La=La+1|0;Ma=0;Ja=ob}}}Ja=Ia-Ha|0;if($){Ma=la+(Ha<<2)|0;La=(Ja|0)>0;Ka=0;do{Ga=xa+((Y(Ka,H)|0)<<2)|0;Na=f[e>>2]|0;Ra=Ma+((Y(Na,Ka)|0)<<2)|0;sb=+n[na+(Ka<<2)>>2];Qa=Ka|1;Oa=(Qa|0)>=(q|0);Ya=Oa?Ga:Ga+(H<<2)|0;Wa=Oa?Ra:Ra+(Na<<2)|0;tb=Oa?sb:+n[na+(Qa<<2)>>2];if(Da){ub=+n[ya+(Ka<<2)>>2];vb=Oa?ub:+n[ya+(Qa<<2)>>2];wb=ub}else{vb=1.0;wb=1.0}if(La)if(Ea){Qa=0;do{Oa=P+((Y(Qa,wa)|0)<<2)|0;if(Aa){ub=sb;xb=tb;Na=0;while(1){yb=+n[Oa+(Na<<2)>>2];zb=ub+yb*+n[Ga+(Na<<2)>>2];Ab=xb+yb*+n[Ya+(Na<<2)>>2];Na=Na+1|0;if((Na|0)>=(va|0)){Bb=Ab;Cb=zb;break}else{ub=zb;xb=Ab}}}else{Bb=tb;Cb=sb}n[Ra+(Qa<<2)>>2]=Da?(Cb>0.0?Cb:wb*Cb):Cb;n[Wa+(Qa<<2)>>2]=Da?(Bb>0.0?Bb:vb*Bb):Bb;Qa=Qa+1|0}while((Qa|0)<(Ja|0))}else{Qa=0;do{Pa=P+((Y(Qa,wa)|0)<<2)|0;Na=Wa+(Qa<<2)|0;Oa=Ra+(Qa<<2)|0;sb=+n[Oa>>2];tb=+n[Na>>2];if(Aa){xb=sb;ub=tb;Za=0;while(1){Ab=+n[Pa+(Za<<2)>>2];zb=xb+Ab*+n[Ga+(Za<<2)>>2];yb=ub+Ab*+n[Ya+(Za<<2)>>2];Za=Za+1|0;if((Za|0)>=(va|0)){Db=yb;Eb=zb;break}else{xb=zb;ub=yb}}}else{Db=tb;Eb=sb}n[Oa>>2]=Da?(Eb>0.0?Eb:wb*Eb):Eb;n[Na>>2]=Da?(Db>0.0?Db:vb*Db):Db;Qa=Qa+1|0}while((Qa|0)<(Ja|0))}Ka=Ka+2|0}while((Ka|0)<(q|0))}if((ta|0)>=(ka|0))break;else Fa=Fa+-32|0}}if((qa|0)>=(t|0))break;else{ga=ga+-64|0;ra=ra+-64|0}}}ra=f[Q>>2]|0;if(ra|0){ga=la+(ha<<2)|0;Ph[f[(f[ra>>2]|0)+100>>2]&127](ra,ga,ga,ka-ha|0,f[e>>2]|0,ma,ma+q|0)}da=da+1|0}while((da|0)<(L|0))}while(0);L=f[h>>2]|0;if((L|0)==(G|0)){u=d;return}if(L|0)guc(L);f[h>>2]=G;f[N>>2]=264;u=d;return}function Nub(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;e=u;u=u+64|0;g=e+52|0;h=e+40|0;i=e+28|0;j=e+24|0;k=e+20|0;l=e+16|0;m=e+12|0;n=e;f[g>>2]=0;o=g+4|0;f[o>>2]=0;f[g+8>>2]=0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;sJ(c,g);sJ(d,h);d=f[o>>2]|0;o=f[g>>2]|0;c=o;if((d|0)==(o|0)){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;p=cuc(32)|0;f[i>>2]=p;f[i+8>>2]=-2147483616;f[i+4>>2]=17;q=p;r=473334;s=q+17|0;do{b[q>>0]=b[r>>0]|0;q=q+1|0;r=r+1|0}while((q|0)<(s|0));b[p+17>>0]=0;WD(-215,i,476610,472215,95)}p=f[a+4>>2]|0;t=(f[a+8>>2]|0)-p|0;v=p;if(!((t|0)!=0&((t|0)/56|0)>>>0<3)){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;t=cuc(48)|0;f[i>>2]=t;f[i+8>>2]=-2147483600;f[i+4>>2]=38;q=t;r=473352;s=q+38|0;do{b[q>>0]=b[r>>0]|0;q=q+1|0;r=r+1|0}while((q|0)<(s|0));b[t+38>>0]=0;WD(-215,i,476610,472215,97)}if((f[v+4>>2]|0)!=4){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;w=cuc(96)|0;f[i>>2]=w;x=i+8|0;f[x>>2]=-2147483552;y=i+4|0;f[y>>2]=91;q=w;r=473391;s=q+91|0;do{b[q>>0]=b[r>>0]|0;q=q+1|0;r=r+1|0}while((q|0)<(s|0));z=w+91|0;b[z>>0]=0;WD(-215,i,476610,472215,98)}t=f[v+40>>2]|0;v=a+44|0;if((f[t+12>>2]|0)!=(f[v>>2]|0)){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;w=cuc(96)|0;f[i>>2]=w;x=i+8|0;f[x>>2]=-2147483552;y=i+4|0;f[y>>2]=91;q=w;r=473391;s=q+91|0;do{b[q>>0]=b[r>>0]|0;q=q+1|0;r=r+1|0}while((q|0)<(s|0));z=w+91|0;b[z>>0]=0;WD(-215,i,476610,472215,98)}if((f[t+8>>2]|0)!=(f[a+48>>2]|0)){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;w=cuc(96)|0;f[i>>2]=w;x=i+8|0;f[x>>2]=-2147483552;y=i+4|0;f[y>>2]=91;q=w;r=473391;s=q+91|0;do{b[q>>0]=b[r>>0]|0;q=q+1|0;r=r+1|0}while((q|0)<(s|0));z=w+91|0;b[z>>0]=0;WD(-215,i,476610,472215,98)}if((f[c+4>>2]|0)!=4){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;A=cuc(96)|0;f[i>>2]=A;B=i+8|0;f[B>>2]=-2147483552;C=i+4|0;f[C>>2]=95;q=A;r=473483;s=q+95|0;do{b[q>>0]=b[r>>0]|0;q=q+1|0;r=r+1|0}while((q|0)<(s|0));D=A+95|0;b[D>>0]=0;WD(-215,i,476610,472215,101)}z=f[c>>2]|0;switch(z&4095){case 3:case 6:case 5:break;default:{f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;A=cuc(96)|0;f[i>>2]=A;B=i+8|0;f[B>>2]=-2147483552;C=i+4|0;f[C>>2]=95;q=A;r=473483;s=q+95|0;do{b[q>>0]=b[r>>0]|0;q=q+1|0;r=r+1|0}while((q|0)<(s|0));D=A+95|0;b[D>>0]=0;WD(-215,i,476610,472215,101)}}D=c+40|0;A=(d-o|0)/56|0;o=0;while(1){if((f[c+(o*56|0)+4>>2]|0)!=4){E=19;break}d=f[c+(o*56|0)+40>>2]|0;C=f[D>>2]|0;if((f[d+4>>2]|0)!=(f[C+4>>2]|0)){E=19;break}F=f[d+8>>2]|0;if((F|0)!=(f[C+8>>2]|0)){E=22;break}G=f[d+12>>2]|0;o=o+1|0;if((G|0)!=(f[C+12>>2]|0)){E=22;break}if(o>>>0>=A>>>0){E=15;break}if((z^f[c+(o*56|0)>>2])&4095|0){E=16;break}}if((E|0)==15){o=f[(f[h>>2]|0)+40>>2]|0;c=f[o+8>>2]|0;f[i>>2]=f[o+12>>2];f[i+4>>2]=c;c=a+64|0;o=f[c>>2]|0;f[j>>2]=o;z=a+60|0;A=f[z>>2]|0;f[k>>2]=A;f[l>>2]=o;f[m>>2]=A;f[n>>2]=G;f[n+4>>2]=F;isb(n,i,v,a+52|0,a+84|0,a+68|0,j,k,l,m);a=f[j>>2]|0;if((a|0)!=(f[l>>2]|0)){f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;H=cuc(64)|0;f[n>>2]=H;I=n+8|0;f[I>>2]=-2147483584;J=n+4|0;f[J>>2]=51;q=H;r=473743;s=q+51|0;do{b[q>>0]=b[r>>0]|0;q=q+1|0;r=r+1|0}while((q|0)<(s|0));K=H+51|0;b[K>>0]=0;WD(-213,n,476610,472215,118)}l=f[k>>2]|0;if((l|0)==(f[m>>2]|0)){f[z>>2]=l;f[c>>2]=a;ut(h);ut(g);u=e;return}else{f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;H=cuc(64)|0;f[n>>2]=H;I=n+8|0;f[I>>2]=-2147483584;J=n+4|0;f[J>>2]=51;q=H;r=473743;s=q+51|0;do{b[q>>0]=b[r>>0]|0;q=q+1|0;r=r+1|0}while((q|0)<(s|0));K=H+51|0;b[K>>0]=0;WD(-213,n,476610,472215,118)}}else if((E|0)==16){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;n=cuc(48)|0;f[i>>2]=n;f[i+8>>2]=-2147483600;f[i+4>>2]=32;q=n;r=473579;s=q+32|0;do{b[q>>0]=b[r>>0]|0;q=q+1|0;r=r+1|0}while((q|0)<(s|0));b[n+32>>0]=0;WD(-215,i,476610,472215,104)}else if((E|0)==19){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;n=cuc(64)|0;f[i>>2]=n;f[i+8>>2]=-2147483584;f[i+4>>2]=57;q=n;r=473612;s=q+57|0;do{b[q>>0]=b[r>>0]|0;q=q+1|0;r=r+1|0}while((q|0)<(s|0));b[n+57>>0]=0;WD(-215,i,476610,472215,105)}else if((E|0)==22){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;E=cuc(80)|0;f[i>>2]=E;f[i+8>>2]=-2147483568;f[i+4>>2]=72;q=E;r=473670;s=q+72|0;do{b[q>>0]=b[r>>0]|0;q=q+1|0;r=r+1|0}while((q|0)<(s|0));b[E+72>>0]=0;WD(-215,i,476610,472215,106)}}function Oub(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0;d=a+8|0;e=f[d>>2]|0;g=f[a>>2]|0;h=g;do if(e-g>>3>>>0>=b>>>0){i=a+4|0;j=f[i>>2]|0;k=j-g>>3;l=k>>>0<b>>>0;m=l?k:b;n=j;if(m|0){j=m;m=h;while(1){p[m>>3]=+p[c>>3];j=j+-1|0;if(!j)break;else m=m+8|0}}if(!l){m=h+(b<<3)|0;if((n|0)==(m|0))return;else{o=i;q=n+(~((n+-8-m|0)>>>3)<<3)|0;break}}else{m=b-k|0;j=m;r=n;while(1){p[r>>3]=+p[c>>3];j=j+-1|0;if(!j)break;else r=r+8|0}o=i;q=n+(m<<3)|0;break}}else{r=g;if(!g)s=e;else{j=a+4|0;k=f[j>>2]|0;if((k|0)!=(h|0))f[j>>2]=k+(~((k+-8-g|0)>>>3)<<3);fuc(r);f[d>>2]=0;f[j>>2]=0;f[a>>2]=0;s=0}if(b>>>0>536870911)nsc(a);j=s>>2;r=s>>3>>>0<268435455?(j>>>0<b>>>0?b:j):536870911;if(r>>>0>536870911)nsc(a);j=cuc(r<<3)|0;k=a+4|0;f[k>>2]=j;f[a>>2]=j;f[d>>2]=j+(r<<3);r=b;l=j;while(1){p[l>>3]=+p[c>>3];r=r+-1|0;if(!r)break;else l=l+8|0}o=k;q=j+(b<<3)|0}while(0);f[o>>2]=q;return}function Pub(a){a=a|0;var c=0;f[a>>2]=136748;c=a+84|0;if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);pKa(a);fuc(a);return}function Qub(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=cuc(308)|0;oub(c,b);f[c>>2]=137048;f[c+100>>2]=1124007936;b=c+108|0;d=c+140|0;e=c+104|0;g=e+36|0;do{f[e>>2]=0;e=e+4|0}while((e|0)<(g|0));f[d>>2]=b;b=c+148|0;f[c+144>>2]=b;f[b>>2]=0;f[c+152>>2]=0;f[c+156>>2]=1124007936;b=c+164|0;d=c+196|0;e=c+160|0;g=e+36|0;do{f[e>>2]=0;e=e+4|0}while((e|0)<(g|0));f[d>>2]=b;b=c+204|0;f[c+200>>2]=b;f[b>>2]=0;f[c+208>>2]=0;f[c+212>>2]=1124007936;b=c+216|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;f[b+16>>2]=0;f[b+20>>2]=0;f[b+24>>2]=0;f[c+244>>2]=c+220;b=c+252|0;f[c+248>>2]=b;f[c+256>>2]=0;f[b>>2]=0;f[c+260>>2]=1124007936;b=c+264|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;f[b+16>>2]=0;f[b+20>>2]=0;f[b+24>>2]=0;f[c+292>>2]=c+268;b=c+300|0;f[c+296>>2]=b;f[c+304>>2]=0;f[b>>2]=0;f[a>>2]=c;b=cuc(16)|0;f[b+4>>2]=0;f[b+8>>2]=0;f[b>>2]=137160;f[b+12>>2]=c;f[a+4>>2]=b;return}function Rub(a){a=a|0;Qtc(a);fuc(a);return}function Sub(a){a=a|0;var b=0;b=f[a+12>>2]|0;if(!b)return;bi[f[(f[b>>2]|0)+4>>2]&2047](b);return}function Tub(a,b){a=a|0;b=b|0;return ((f[b+4>>2]|0)==474003?a+12|0:0)|0}function Uub(a){a=a|0;fuc(a);return}function Vub(a){a=a|0;var c=0,d=0,e=0,g=0;f[a>>2]=137048;VH(a+260|0);VH(a+212|0);c=a+156|0;d=a+192|0;e=f[d>>2]|0;if(e|0?(g=e+12|0,e=f[g>>2]|0,f[g>>2]=e+-1,(e|0)==1):0)aU(c);f[d>>2]=0;d=a+172|0;c=a+160|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[c>>2]|0)>0){d=f[a+196>>2]|0;e=0;do{f[d+(e<<2)>>2]=0;e=e+1|0}while((e|0)<(f[c>>2]|0))}c=f[a+200>>2]|0;if((c|0)!=(a+204|0))TC(c);c=a+100|0;e=a+136|0;d=f[e>>2]|0;if(d|0?(g=d+12|0,d=f[g>>2]|0,f[g>>2]=d+-1,(d|0)==1):0)aU(c);f[e>>2]=0;e=a+116|0;c=a+104|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((f[c>>2]|0)>0){e=f[a+140>>2]|0;d=0;do{f[e+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[c>>2]|0))}c=f[a+144>>2]|0;if((c|0)!=(a+148|0))TC(c);f[a>>2]=136748;c=a+84|0;if((b[c+11>>0]|0)>=0){pKa(a);return}fuc(f[c>>2]|0);pKa(a);return}function Wub(a){a=a|0;Vub(a);fuc(a);return}function Xub(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;e=u;u=u+64|0;g=e+48|0;h=e+36|0;i=e+32|0;j=e+28|0;k=e+24|0;l=e+20|0;m=e+8|0;n=e;Nub(a,c,d);f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;sJ(c,g);sJ(d,h);d=a+64|0;c=f[d>>2]|0;f[i>>2]=c;o=a+60|0;p=f[o>>2]|0;f[j>>2]=p;f[k>>2]=c;f[l>>2]=p;p=f[(f[h>>2]|0)+40>>2]|0;c=f[p+8>>2]|0;f[m>>2]=f[p+12>>2];f[m+4>>2]=c;c=f[(f[g>>2]|0)+40>>2]|0;p=f[c+8>>2]|0;f[n>>2]=f[c+12>>2];f[n+4>>2]=p;isb(m,n,a+44|0,a+52|0,a+84|0,a+68|0,i,j,k,l);a=f[i>>2]|0;if((a|0)==(f[k>>2]|0)?(k=f[j>>2]|0,(k|0)==(f[l>>2]|0)):0){f[o>>2]=k;f[d>>2]=a;ut(h);ut(g);u=e;return};f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;e=cuc(64)|0;f[m>>2]=e;f[m+8>>2]=-2147483584;f[m+4>>2]=51;g=e;h=473743;a=g+51|0;do{b[g>>0]=b[h>>0]|0;g=g+1|0;h=h+1|0}while((g|0)<(a|0));b[e+51>>0]=0;WD(-213,m,476610,472215,1183)}function Yub(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0.0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0;g=u;u=u+768|0;h=g+688|0;i=g+632|0;j=g+624|0;k=g+608|0;l=g+596|0;m=g+584|0;n=g+528|0;o=g;p=g+472|0;q=g+416|0;r=g+360|0;s=g+304|0;t=g+248|0;v=g+224|0;gV(j,137180);if(f[j>>2]|0){}if((CJ(c,-1)|0)==3)JKa(a,c,d,e);else{f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[l>>2]=0;w=l+4|0;f[w>>2]=0;f[l+8>>2]=0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;sJ(c,k);sJ(d,l);sJ(e,m);e=f[a+96>>2]|0;d=f[(f[(f[k>>2]|0)+40>>2]|0)+4>>2]|0;c=a+48|0;if(((((f[c>>2]|0)==1?(f[a+44>>2]|0)==1:0)?(f[a+56>>2]|0)==1:0)?(f[a+52>>2]|0)==1:0)?(f[a+72>>2]|0)==1:0)x=(f[a+68>>2]|0)==1;else x=0;y=tZ()|0;z=a+100|0;if(f[a+116>>2]|0){A=f[a+104>>2]|0;if((A|0)<3)B=Y(f[a+112>>2]|0,f[a+108>>2]|0)|0;else{C=f[a+140>>2]|0;D=0;E=1;while(1){F=Y(f[C+(D<<2)>>2]|0,E)|0;D=D+1|0;if((D|0)==(A|0)){B=F;break}else E=F}}if((A|0)==0|(B|0)==0)G=22}else G=22;if((G|0)==22){mU(i,f[a+4>>2]|0,1,d);f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=i;G=n+8|0;f[G>>2]=0;f[G+4>>2]=0;f[n>>2]=33619968;f[n+4>>2]=z;HN(h,n);G=i+36|0;B=f[G>>2]|0;if(B|0?(A=B+12|0,B=f[A>>2]|0,f[A>>2]=B+-1,(B|0)==1):0)aU(i);f[G>>2]=0;G=i+16|0;B=i+4|0;f[G>>2]=0;f[G+4>>2]=0;f[G+8>>2]=0;f[G+12>>2]=0;if((f[B>>2]|0)>0){G=f[i+40>>2]|0;A=0;do{f[G+(A<<2)>>2]=0;A=A+1|0}while((A|0)<(f[B>>2]|0))}B=f[i+44>>2]|0;if((B|0)!=(i+48|0))TC(B);B=f[a+4>>2]|0;if((((f[a+8>>2]|0)-B|0)/56|0)>>>0>1){mU(h,B+56|0,1,e);H=0}else{wT(o,e,1,5);f[h>>2]=1124007936;B=h+8|0;A=h+40|0;I=h+4|0;J=I+36|0;do{f[I>>2]=0;I=I+4|0}while((I|0)<(J|0));f[A>>2]=B;B=h+48|0;f[h+44>>2]=B;f[B>>2]=0;f[h+52>>2]=0;B=f[o>>2]|0;sh[f[(f[B>>2]|0)+12>>2]&255](B,o,h,-1);H=1}B=a+156|0;if((B|0)==(h|0)){A=h+36|0;G=f[A>>2]|0;if((G|0)!=0?(E=G+12|0,G=f[E>>2]|0,f[E>>2]=G+-1,(G|0)==1):0){aU(h);K=A}else K=A}else{A=a+192|0;G=f[A>>2]|0;if(G|0?(E=G+12|0,G=f[E>>2]|0,f[E>>2]=G+-1,(G|0)==1):0)aU(B);f[A>>2]=0;G=a+172|0;E=a+160|0;f[G>>2]=0;f[G+4>>2]=0;f[G+8>>2]=0;f[G+12>>2]=0;if((f[E>>2]|0)>0){D=f[a+196>>2]|0;C=0;do{f[D+(C<<2)>>2]=0;C=C+1|0}while((C|0)<(f[E>>2]|0))}f[B>>2]=f[h>>2];B=h+4|0;C=f[B>>2]|0;f[E>>2]=C;E=h+8|0;D=a+164|0;f[D>>2]=f[E>>2];f[a+168>>2]=f[h+12>>2];f[G>>2]=f[h+16>>2];f[a+176>>2]=f[h+20>>2];f[a+180>>2]=f[h+24>>2];f[a+184>>2]=f[h+28>>2];f[a+188>>2]=f[h+32>>2];G=h+36|0;f[A>>2]=f[G>>2];A=a+200|0;F=f[A>>2]|0;L=a+204|0;if((F|0)==(L|0)){M=C;N=F}else{TC(F);f[A>>2]=L;f[a+196>>2]=D;M=f[B>>2]|0;N=L}L=h+44|0;if((M|0)<3){M=f[L>>2]|0;f[N>>2]=f[M>>2];f[N+4>>2]=f[M+4>>2]}else{f[A>>2]=f[L>>2];A=h+40|0;f[a+196>>2]=f[A>>2];f[L>>2]=h+48;f[A>>2]=E}f[h>>2]=1124007936;I=B;J=I+36|0;do{f[I>>2]=0;I=I+4|0}while((I|0)<(J|0));K=G}f[K>>2]=0;K=h+16|0;G=h+4|0;f[K>>2]=0;f[K+4>>2]=0;f[K+8>>2]=0;f[K+12>>2]=0;if((f[G>>2]|0)>0){K=f[h+40>>2]|0;I=0;do{f[K+(I<<2)>>2]=0;I=I+1|0}while((I|0)<(f[G>>2]|0))}G=f[h+44>>2]|0;if((G|0)!=(h+48|0))TC(G);if(H)Xi(o)}if((f[w>>2]|0)!=(f[l>>2]|0)){o=a+4|0;H=p+36|0;G=p+16|0;I=p+4|0;K=p+40|0;J=p+44|0;B=p+48|0;E=n+36|0;A=n+16|0;L=n+4|0;M=n+40|0;N=n+44|0;D=n+48|0;F=i+4|0;C=h+4|0;O=i+4|0;P=h+4|0;Q=i+4|0;R=h+4|0;S=a+156|0;T=i+4|0;U=h+4|0;V=v+4|0;W=v+8|0;X=v+12|0;Z=v+16|0;_=v+20|0;$=v+21|0;aa=v+22|0;ba=h+4|0;ca=+(y|0);da=a+44|0;ea=a+64|0;fa=a+60|0;ga=a+56|0;ha=a+52|0;a=q+16|0;ia=q+44|0;ja=t+16|0;ka=t+44|0;la=x&1;ma=h+4|0;na=h+48|0;oa=h+12|0;pa=h+16|0;qa=h+20|0;ra=h+24|0;sa=h+28|0;ta=h+32|0;ua=h+36|0;va=h+40|0;wa=h+44|0;xa=h+52|0;ya=h+56|0;za=h+60|0;Aa=h+64|0;Ba=h+8|0;Ca=i+4|0;Da=t+36|0;Ea=t+4|0;Fa=t+40|0;Ga=t+48|0;Ha=s+36|0;Ia=s+16|0;Ja=s+4|0;Ka=s+40|0;La=s+44|0;Ma=s+48|0;Na=r+36|0;Oa=r+16|0;Pa=r+4|0;Qa=r+40|0;Ra=r+44|0;Sa=r+48|0;Ta=q+36|0;Ua=q+4|0;Va=q+40|0;Wa=q+48|0;Xa=0;Ya=f[l>>2]|0;do{Za=f[(f[(f[o>>2]|0)+40>>2]|0)+4>>2]|0;_a=(e|0)/(Za|0)|0;$a=(d|0)/(_a|0)|0;ab=f[k>>2]|0;bb=f[ab+(Xa*56|0)+40>>2]|0;cb=f[bb>>2]|0;db=f[bb+8>>2]|0;eb=f[bb+12>>2]|0;bb=f[Ya+(Xa*56|0)+40>>2]|0;fb=f[bb+8>>2]|0;gb=f[bb+12>>2]|0;mU(n,ab+(Xa*56|0)|0,1,Y(cb,d)|0);mU(p,Ya+(Xa*56|0)|0,1,Y(cb,e)|0);if((cb|0)>0){ab=(_a|0)>0;bb=0;do{if(ab){hb=Y(bb,_a)|0;ib=0;do{jb=ib+hb|0;kb=Y(jb,Za)|0;f[i>>2]=kb;f[F>>2]=kb+Za;f[h>>2]=-2147483648;f[C>>2]=2147483647;bU(q,p,i,h);kb=x?q:f[m>>2]|0;lb=Y(jb,$a)|0;f[i>>2]=lb;f[O>>2]=lb+$a;f[h>>2]=-2147483648;f[P>>2]=2147483647;bU(r,n,i,h);lb=Y(ib,$a)|0;f[i>>2]=lb;f[Q>>2]=lb+$a;f[h>>2]=-2147483648;f[R>>2]=2147483647;bU(s,z,h,i);lb=Y(ib,Za)|0;f[i>>2]=lb;f[T>>2]=lb+Za;f[h>>2]=-2147483648;f[U>>2]=2147483647;bU(t,S,i,h);f[v>>2]=137220;f[V>>2]=s;f[W>>2]=r;f[X>>2]=kb;f[Z>>2]=y;lb=(xE(10)|0)&1;b[_>>0]=lb;lb=(xE(11)|0)&1;b[$>>0]=lb;b[aa>>0]=0;f[h>>2]=0;f[ba>>2]=y;sZ(h,v,ca);lb=f[kb+16>>2]|0;kb=f[c>>2]|0;jb=f[da>>2]|0;mb=f[ea>>2]|0;nb=f[fa>>2]|0;ob=f[ga>>2]|0;pb=f[ha>>2]|0;qb=f[a>>2]|0;rb=f[ja>>2]|0;sb=tZ()|0;f[h>>2]=137240;f[ma>>2]=lb;f[na>>2]=qb;f[oa>>2]=Za;f[pa>>2]=fb;f[qa>>2]=gb;f[ra>>2]=kb;f[sa>>2]=jb;f[ta>>2]=mb;f[ua>>2]=nb;f[va>>2]=ob;f[wa>>2]=pb;f[xa>>2]=db;f[ya>>2]=eb;f[za>>2]=sb;b[Aa>>0]=la;f[Ba>>2]=rb;f[i>>2]=0;f[Ca>>2]=sb;sZ(i,h,+(sb|0));sb=f[Da>>2]|0;if(sb|0?(rb=sb+12|0,sb=f[rb>>2]|0,f[rb>>2]=sb+-1,(sb|0)==1):0)aU(t);f[Da>>2]=0;f[ja>>2]=0;f[ja+4>>2]=0;f[ja+8>>2]=0;f[ja+12>>2]=0;if((f[Ea>>2]|0)>0){sb=f[Fa>>2]|0;rb=0;do{f[sb+(rb<<2)>>2]=0;rb=rb+1|0}while((rb|0)<(f[Ea>>2]|0))}rb=f[ka>>2]|0;if((rb|0)!=(Ga|0))TC(rb);rb=f[Ha>>2]|0;if(rb|0?(sb=rb+12|0,rb=f[sb>>2]|0,f[sb>>2]=rb+-1,(rb|0)==1):0)aU(s);f[Ha>>2]=0;f[Ia>>2]=0;f[Ia+4>>2]=0;f[Ia+8>>2]=0;f[Ia+12>>2]=0;if((f[Ja>>2]|0)>0){rb=f[Ka>>2]|0;sb=0;do{f[rb+(sb<<2)>>2]=0;sb=sb+1|0}while((sb|0)<(f[Ja>>2]|0))}sb=f[La>>2]|0;if((sb|0)!=(Ma|0))TC(sb);sb=f[Na>>2]|0;do if(sb|0){rb=sb+12|0;pb=f[rb>>2]|0;f[rb>>2]=pb+-1;if((pb|0)!=1)break;aU(r)}while(0);f[Na>>2]=0;f[Oa>>2]=0;f[Oa+4>>2]=0;f[Oa+8>>2]=0;f[Oa+12>>2]=0;if((f[Pa>>2]|0)>0){sb=f[Qa>>2]|0;pb=0;do{f[sb+(pb<<2)>>2]=0;pb=pb+1|0}while((pb|0)<(f[Pa>>2]|0))}pb=f[Ra>>2]|0;if((pb|0)!=(Sa|0))TC(pb);pb=f[Ta>>2]|0;do if(pb|0){sb=pb+12|0;rb=f[sb>>2]|0;f[sb>>2]=rb+-1;if((rb|0)!=1)break;aU(q)}while(0);f[Ta>>2]=0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;if((f[Ua>>2]|0)>0){pb=f[Va>>2]|0;rb=0;do{f[pb+(rb<<2)>>2]=0;rb=rb+1|0}while((rb|0)<(f[Ua>>2]|0))}rb=f[ia>>2]|0;if((rb|0)!=(Wa|0))TC(rb);ib=ib+1|0}while((ib|0)<(_a|0))}bb=bb+1|0}while((bb|0)<(cb|0))}cb=f[H>>2]|0;if(cb|0?(bb=cb+12|0,cb=f[bb>>2]|0,f[bb>>2]=cb+-1,(cb|0)==1):0)aU(p);f[H>>2]=0;f[G>>2]=0;f[G+4>>2]=0;f[G+8>>2]=0;f[G+12>>2]=0;if((f[I>>2]|0)>0){cb=f[K>>2]|0;bb=0;do{f[cb+(bb<<2)>>2]=0;bb=bb+1|0}while((bb|0)<(f[I>>2]|0))}bb=f[J>>2]|0;if((bb|0)!=(B|0))TC(bb);bb=f[E>>2]|0;if(bb|0?(cb=bb+12|0,bb=f[cb>>2]|0,f[cb>>2]=bb+-1,(bb|0)==1):0)aU(n);f[E>>2]=0;f[A>>2]=0;f[A+4>>2]=0;f[A+8>>2]=0;f[A+12>>2]=0;if((f[L>>2]|0)>0){bb=f[M>>2]|0;cb=0;do{f[bb+(cb<<2)>>2]=0;cb=cb+1|0}while((cb|0)<(f[L>>2]|0))}cb=f[N>>2]|0;if((cb|0)!=(D|0))TC(cb);Xa=Xa+1|0;Ya=f[l>>2]|0}while(Xa>>>0<(((f[w>>2]|0)-Ya|0)/56|0)>>>0)}ut(m);ut(l);ut(k)}if(!(f[j+4>>2]|0)){u=g;return}u=g;return}function Zub(a,b){a=a|0;b=b|0;return (b|2|0)==3|0}function _ub(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function $ub(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function avb(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0;d=u;u=u+48|0;h=d+32|0;i=d+16|0;j=d;k=a+4|0;l=a+8|0;m=f[k>>2]|0;n=m;if((((f[l>>2]|0)-m|0)/56|0)>>>0>1){m=f[n+60>>2]|0;if((m|0)<3)o=Y(f[n+68>>2]|0,f[n+64>>2]|0)|0;else{p=f[n+96>>2]|0;n=0;q=1;while(1){r=Y(f[p+(n<<2)>>2]|0,q)|0;n=n+1|0;if((n|0)==(m|0)){o=r;break}else q=r}}if((o|0)!=(f[a+96>>2]|0)){o=cuc(64)|0;f[h>>2]=o;f[h+8>>2]=-2147483584;f[h+4>>2]=51;s=o;t=474174;v=s+51|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));b[o+51>>0]=0;WD(-215,h,477070,472215,1122)}}o=c+4|0;q=f[c>>2]|0;if((f[o>>2]|0)==(q|0)){m=cuc(32)|0;f[h>>2]=m;f[h+8>>2]=-2147483616;f[h+4>>2]=18;s=m;t=474226;v=s+18|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));b[m+18>>0]=0;WD(-215,h,477070,472215,1123)}m=f[q>>2]|0;q=f[m+4>>2]|0;n=f[m+8>>2]|0;p=f[m+12>>2]|0;m=a+84|0;r=m+11|0;w=b[r>>0]|0;x=w<<24>>24<0;if(x)y=f[a+88>>2]|0;else y=w&255;a:do if(y){z=a+88|0;A=f[z>>2]|0;do if(((x?A:w&255)|0)==5)if(!(Puc(m,0,-1,474245,5)|0)){B=Y(f[a+56>>2]|0,n+-1|0)|0;C=Y(f[a+52>>2]|0,p+-1|0)|0;D=B+(f[a+48>>2]|0)+(f[a+80>>2]|0)|0;E=C+(f[a+44>>2]|0)|0;break a}else{F=b[r>>0]|0;G=f[z>>2]|0;break}else{F=w;G=A}while(0);if(((F<<24>>24<0?G:F&255)|0)!=4){nEa(h,474256,m);WD(-2,h,477070,472215,1146)}if(!(Puc(m,0,-1,474251,4)|0)){A=(Y(f[a+56>>2]|0,n+-1|0)|0)+1|0;D=A+(f[a+80>>2]|0)|0;E=(Y(f[a+52>>2]|0,p+-1|0)|0)+1|0;break}else{nEa(h,474256,m);WD(-2,h,477070,472215,1146)}}else{A=Y(f[a+56>>2]|0,n+-1|0)|0;z=Y(f[a+52>>2]|0,p+-1|0)|0;D=A+(f[a+48>>2]|0)-(f[a+64>>2]<<1)+(f[a+80>>2]|0)|0;E=z+(f[a+44>>2]|0)-(f[a+60>>2]<<1)|0}while(0);p=(f[a+76>>2]|0)+E|0;E=f[a+96>>2]|0;n=a+4|0;m=f[(f[n>>2]|0)+40>>2]|0;F=f[m+4>>2]|0;if((E|0)%(F|0)|0|0){G=cuc(32)|0;f[h>>2]=G;f[h+8>>2]=-2147483616;f[h+4>>2]=29;s=G;t=474282;v=s+29|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));b[G+29>>0]=0;WD(-215,h,477070,472215,1150)}G=(E|0)/(F|0)|0;if((q|0)%(G|0)|0|0){H=cuc(48)|0;f[h>>2]=H;I=h+8|0;f[I>>2]=-2147483600;J=h+4|0;f[J>>2]=44;s=H;t=474312;v=s+44|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));K=H+44|0;b[K>>0]=0;WD(-215,h,477070,472215,1153)}if((E|0)%(G|0)|0|0){H=cuc(48)|0;f[h>>2]=H;I=h+8|0;f[I>>2]=-2147483600;J=h+4|0;f[J>>2]=44;s=H;t=474312;v=s+44|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));K=H+44|0;b[K>>0]=0;WD(-215,h,477070,472215,1153)}if((f[m>>2]|0)!=(q|0)){q=cuc(32)|0;f[h>>2]=q;f[h+8>>2]=-2147483616;f[h+4>>2]=25;s=q;t=474357;v=s+25|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));b[q+25>>0]=0;WD(-215,h,477070,472215,1154)}q=f[c>>2]|0;f[i>>2]=f[f[q>>2]>>2];f[i+4>>2]=E;f[i+8>>2]=D;f[i+12>>2]=p;E=((f[o>>2]|0)-q|0)/12|0;f[h>>2]=0;q=h+4|0;f[q>>2]=0;f[h+8>>2]=0;KKa(h,i,i+16|0);i=e+4|0;o=f[i>>2]|0;t=f[e>>2]|0;s=(o-t|0)/12|0;v=t;t=o;if(E>>>0<=s>>>0){if(E>>>0<s>>>0?(o=v+(E*12|0)|0,(t|0)!=(o|0)):0){v=t;while(1){t=v+-12|0;f[i>>2]=t;m=f[t>>2]|0;if(!m)L=t;else{t=v+-8|0;K=f[t>>2]|0;if((K|0)!=(m|0))f[t>>2]=K+(~((K+-4-m|0)>>>2)<<2);fuc(m);L=f[i>>2]|0}if((L|0)==(o|0))break;else v=L}}}else Hmb(e,E-s|0,h);s=f[h>>2]|0;if(s|0){E=f[q>>2]|0;if((E|0)!=(s|0))f[q>>2]=E+(~((E+-4-s|0)>>>2)<<2);fuc(s)}f[h>>2]=0;s=h+4|0;f[s>>2]=0;f[h+8>>2]=0;E=g+4|0;q=f[E>>2]|0;L=g+8|0;if(q>>>0>=(f[L>>2]|0)>>>0){bMa(g,h);v=f[h>>2]|0;if(v|0){o=f[s>>2]|0;if((o|0)!=(v|0))f[s>>2]=o+(~((o+-4-v|0)>>>2)<<2);fuc(v)}}else{f[q>>2]=0;v=q+4|0;f[v>>2]=0;f[q+8>>2]=0;f[q>>2]=f[h>>2];f[v>>2]=f[s>>2];v=h+8|0;f[q+8>>2]=f[v>>2];f[v>>2]=0;f[s>>2]=0;f[h>>2]=0;f[E>>2]=(f[E>>2]|0)+12}s=f[a+48>>2]|0;v=f[a+44>>2]|0;if((s|0)==1&(v|0)==1){if(!((((f[a+56>>2]|0)==1?(f[a+52>>2]|0)==1:0)?(f[a+72>>2]|0)==1:0)?(f[a+68>>2]|0)==1:0)){M=1;N=54}}else{M=v;N=54}if((N|0)==54){v=f[f[c>>2]>>2]|0;c=Y(Y(s,(f[(f[f[e>>2]>>2]|0)+4>>2]|0)/((f[v+4>>2]|0)/(f[f[(f[n>>2]|0)+40>>2]>>2]|0)|0|0)|0)|0,M)|0;M=Y(f[v+12>>2]|0,f[v+8>>2]|0)|0;f[h>>2]=c;f[h+4>>2]=M;f[h+8>>2]=-1;f[h+12>>2]=-1;f[j>>2]=0;M=j+4|0;f[M>>2]=0;f[j+8>>2]=0;KKa(j,h,h+16|0);c=f[j>>2]|0;v=f[M>>2]|0;n=c;e=v;b:do if((c|0)==(v|0)){O=c;N=57}else{s=c;while(1){if((f[s>>2]|0)<0){O=s;N=57;break b}s=s+4|0;if((s|0)==(v|0)){P=e;break}}}while(0);if((N|0)==57)if((O|0)!=(v|0)){c=O+4|0;if((c|0)==(v|0)){Q=v;R=O;S=e}else{s=c;c=O;while(1){O=f[s>>2]|0;if((O|0)<0)T=c;else{f[c>>2]=O;T=c+4|0}s=s+4|0;if((s|0)==(v|0))break;else c=T}c=f[M>>2]|0;Q=c;R=T;S=c}if((R|0)==(Q|0))P=S;else{S=Q+(~((Q+-4-R|0)>>>2)<<2)|0;f[M>>2]=S;P=S}}else P=e;e=f[g>>2]|0;S=f[e>>2]|0;R=e+4|0;if(!S){U=e+8|0;V=n;W=P}else{P=f[R>>2]|0;if((P|0)!=(S|0))f[R>>2]=P+(~((P+-4-S|0)>>>2)<<2);fuc(S);S=e+8|0;f[S>>2]=0;f[R>>2]=0;f[e>>2]=0;U=S;V=f[j>>2]|0;W=f[M>>2]|0}f[e>>2]=V;f[R>>2]=W;f[U>>2]=f[j+8>>2]}if((((f[l>>2]|0)-(f[k>>2]|0)|0)/56|0)>>>0<=1){u=d;return 0}k=Y(p,D)|0;f[h>>2]=1;f[h+4>>2]=k;f[h+8>>2]=-1;f[h+12>>2]=-1;f[j>>2]=0;k=j+4|0;f[k>>2]=0;f[j+8>>2]=0;KKa(j,h,h+16|0);h=f[j>>2]|0;D=f[k>>2]|0;c:do if((h|0)==(D|0)){X=h;N=75}else{p=h;do{if((f[p>>2]|0)<0){X=p;N=75;break c}p=p+4|0}while((p|0)!=(D|0))}while(0);if((N|0)==75?(X|0)!=(D|0):0){N=X+4|0;if((N|0)==(D|0)){Z=D;_=X}else{h=N;N=X;while(1){X=f[h>>2]|0;if((X|0)<0)$=N;else{f[N>>2]=X;$=N+4|0}h=h+4|0;if((h|0)==(D|0))break;else N=$}Z=f[k>>2]|0;_=$}if((_|0)!=(Z|0))f[k>>2]=Z+(~((Z+-4-_|0)>>>2)<<2)}_=f[E>>2]|0;if(_>>>0>=(f[L>>2]|0)>>>0){bMa(g,j);g=f[j>>2]|0;if(g|0){L=f[k>>2]|0;if((L|0)!=(g|0))f[k>>2]=L+(~((L+-4-g|0)>>>2)<<2);fuc(g)}}else{f[_>>2]=0;g=_+4|0;f[g>>2]=0;f[_+8>>2]=0;f[_>>2]=f[j>>2];f[g>>2]=f[k>>2];g=j+8|0;f[_+8>>2]=f[g>>2];f[g>>2]=0;f[k>>2]=0;f[j>>2]=0;f[E>>2]=(f[E>>2]|0)+12}u=d;return 0}function bvb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0.0,q=0,r=0,s=0,t=0,v=0,w=0;e=u;u=u+16|0;g=e;h=f[c+4>>2]|0;i=f[c>>2]|0;c=h-i|0;j=i;if((c|0)!=((f[d+4>>2]|0)-(f[d>>2]|0)|0)){d=cuc(32)|0;f[g>>2]=d;f[g+8>>2]=-2147483616;f[g+4>>2]=31;k=d;l=472174;m=k+31|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));b[d+31>>0]=0;WD(-215,g,472206,472215,1685)}if((h|0)==(i|0)){n=0;o=0;J=n;u=e;return o|0}i=f[f[(f[a+4>>2]|0)+40>>2]>>2]|0;h=yzc(i|0,((i|0)<0)<<31>>31|0,1)|0;i=Y(f[a+48>>2]|0,f[a+44>>2]|0)|0;a=Bzc(h|0,J|0,i|0,((i|0)<0)<<31>>31|0)|0;i=J;h=(c|0)/12|0;p=0.0;c=0;do{d=f[j+(c*12|0)+4>>2]|0;q=f[j+(c*12|0)>>2]|0;r=d-q|0;s=r>>2;t=q;if((t|0)!=(d|0)){if((r|0)<=-4){v=10;break}if((r|0)>0){r=0;d=1;while(1){q=Y(f[t+(r<<2)>>2]|0,d)|0;r=r+1|0;if((r|0)>=(s|0)){w=q;break}else d=q}}else w=1}else w=0;d=Bzc(a|0,i|0,w|0,((w|0)<0)<<31>>31|0)|0;p=p+(+(d>>>0)+4294967296.0*+(J|0));c=c+1|0}while(c>>>0<h>>>0);if((v|0)==10){v=cuc(80)|0;f[g>>2]=v;f[g+8>>2]=-2147483568;f[g+4>>2]=70;k=v;l=475319;m=k+70|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));b[v+70>>0]=0;WD(-215,g,475390,475396,161)}n=+L(p)>=1.0?(p>0.0?~~+Z(+K(p/4294967296.0),4294967295.0)>>>0:~~+X((p-+(~~p>>>0))/4294967296.0)>>>0):0;o=~~p>>>0;J=n;u=e;return o|0}function cvb(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;e=f[c>>2]|0;c=Y(f[b+48>>2]|0,(f[(f[d>>2]|0)+4>>2]|0)/((f[e+4>>2]|0)/(f[f[(f[b+4>>2]|0)+40>>2]>>2]|0)|0|0)|0)|0;dvb(a,Y(c,f[b+44>>2]|0)|0,Y(f[e+12>>2]|0,f[e+8>>2]|0)|0);return}function dvb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0;d=u;u=u+16|0;e=d;f[e>>2]=b;f[e+4>>2]=c;f[e+8>>2]=-1;f[e+12>>2]=-1;f[a>>2]=0;c=a+4|0;f[c>>2]=0;f[a+8>>2]=0;KKa(a,e,e+16|0);e=f[a>>2]|0;a=f[c>>2]|0;a:do if((e|0)==(a|0))g=e;else{b=e;do{if((f[b>>2]|0)<0){g=b;break a}b=b+4|0}while((b|0)!=(a|0));u=d;return}while(0);if((g|0)==(a|0)){u=d;return}e=g+4|0;if((e|0)==(a|0)){h=a;i=g}else{b=e;e=g;while(1){g=f[b>>2]|0;if((g|0)<0)j=e;else{f[e>>2]=g;j=e+4|0}b=b+4|0;if((b|0)==(a|0))break;else e=j}h=f[c>>2]|0;i=j}if((i|0)==(h|0)){u=d;return}f[c>>2]=h+(~((h+-4-i|0)>>>2)<<2);u=d;return}function evb(a){a=a|0;fuc(a);return}function fvb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0.0,H=0,I=0,J=0.0,K=0,L=0.0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0;d=f[a+4>>2]|0;e=f[a+48>>2]|0;g=f[a+40>>2]|0;h=f[a+28>>2]|0;i=Y(h,g)|0;j=f[a+52>>2]|0;k=1-(Y(i,j)|0)|0;i=f[a+56>>2]|0;l=Y(k,i)|0;k=f[a+44>>2]|0;m=Y(i,j)|0;o=1-(Y(m,k)|0)|0;p=f[a+16>>2]|0;q=Y(p,f[a+12>>2]|0)|0;r=f[a+20>>2]|0;s=Y(q,r)|0;q=f[a+60>>2]|0;t=((q+-1+s|0)>>>0)/(q>>>0)|0;q=Y(f[c>>2]|0,t)|0;u=Y(f[c+4>>2]|0,t)|0;t=s>>>0<u>>>0?s:u;u=f[a+36>>2]|0;s=u+((q>>>0)%(r>>>0)|0)|0;c=f[a+32>>2]|0;v=c+((((q>>>0)/(r>>>0)|0)>>>0)%(p>>>0)|0)|0;w=Y(r,p)|0;x=(q>>>0)/(w>>>0)|0;y=f[a+24>>2]|0;if((v|0)<(y|0))z=0;else z=((v-y|0)/(g|0)|0)+1|0;A=((v|0)/(g|0)|0)+1|0;B=(b[a+64>>0]|0)==0;C=f[a+8>>2]|0;if(q>>>0>=t>>>0)return;a=Y((Y((Y(y,x)|0)+v|0,h)|0)+s|0,m)|0;v=u+r|0;D=s;s=q;q=x;x=z;z=a;a=(j|0)<(A|0)?j:A;while(1){if((D|0)<(h|0))E=0;else E=((D-h|0)/(k|0)|0)+1|0;A=((D|0)/(k|0)|0)+1|0;F=(i|0)<(A|0)?i:A;if(B)if((x|0)<(a|0)&(E|0)<(F|0)){A=x;G=0.0;while(1){H=(Y(l,A)|0)+z|0;I=E;J=G;do{K=d+(H+(Y(I,o)|0)<<2)|0;J=J+ +n[K>>2];I=I+1|0}while((I|0)<(F|0));A=A+1|0;if((A|0)==(a|0)){L=J;break}else G=J}}else L=0.0;else L=+n[e+(s<<2)>>2];n[e+(s<<2)>>2]=L+ +n[C+(q<<2)>>2];A=D+1|0;if((A|0)<(v|0)){M=A;N=q;O=x;P=z+m|0;Q=a;R=s+1|0}else{A=s+1|0;F=((A>>>0)%(r>>>0)|0)+u|0;I=c+((((A>>>0)/(r>>>0)|0)>>>0)%(p>>>0)|0)|0;H=(A>>>0)/(w>>>0)|0;if((I|0)<(y|0))S=0;else S=((I-y|0)/(g|0)|0)+1|0;K=((I|0)/(g|0)|0)+1|0;M=F;N=H;O=S;P=Y((Y((Y(y,H)|0)+I|0,h)|0)+F|0,m)|0;Q=(j|0)<(K|0)?j:K;R=A}if(R>>>0<t>>>0){D=M;s=R;q=N;x=O;z=P;a=Q}else break}return}function gvb(a){a=a|0;fuc(a);return}function hvb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0.0,w=0.0,x=0,y=0,z=0.0,A=0.0,B=0,C=0.0,D=0.0,E=0,F=0.0,G=0.0,H=0.0,I=0,J=0,K=0,L=0.0,M=0.0,N=0.0,O=0.0;c=f[a+8>>2]|0;d=f[c+12>>2]|0;e=f[a+16>>2]|0;g=((d+-1+e|0)/(e|0)|0)+15&-16;e=Y(g,f[b>>2]|0)|0;h=Y(f[b+4>>2]|0,g)|0;g=f[a+4>>2]|0;b=f[g+8>>2]|0;i=((d|0)<(h|0)?d:h)-e|0;h=f[g+12>>2]|0;d=f[g+16>>2]|0;j=(f[c+16>>2]|0)+(e<<2)|0;k=f[a+12>>2]|0;a=(f[k+16>>2]|0)+(e<<2)|0;e=((f[f[g+44>>2]>>2]|0)>>>0)/((675553809>>>(f[g>>2]<<2&28)&15)>>>0)|0;g=((f[f[c+44>>2]>>2]|0)>>>0)/((675553809>>>(f[c>>2]<<2&28)&15)>>>0)|0;c=((f[f[k+44>>2]>>2]|0)>>>0)/((675553809>>>(f[k>>2]<<2&28)&15)>>>0)|0;if((b|0)<=0)return;k=b+-1|0;b=(i|0)>0;l=k>>>1;m=(h|0)<1|b^1;o=0;p=0;while(1){q=a+((Y(o,c)|0)<<2)|0;r=o|1;s=(k|0)<(r|0)?k:r;r=a+((Y(s,c)|0)<<2)|0;t=d+((Y(o,e)|0)<<2)|0;u=d+((Y(s,e)|0)<<2)|0;if(b){s=0;do{n[q+(s<<2)>>2]=0.0;n[r+(s<<2)>>2]=0.0;s=s+1|0}while((s|0)<(i|0))}if(!m){s=0;do{v=+n[t+(s<<2)>>2];w=+n[u+(s<<2)>>2];x=j+((Y(s,g)|0)<<2)|0;y=s|1;if((y|0)<(h|0)){z=+n[t+(y<<2)>>2];A=+n[u+(y<<2)>>2];y=x+(g<<2)|0;B=s|2;if((B|0)<(h|0)){C=+n[t+(B<<2)>>2];D=+n[u+(B<<2)>>2];B=y+(g<<2)|0;E=s|3;if((E|0)<(h|0)){F=z;G=A;H=C;I=B+(g<<2)|0;J=B;K=y;L=D;M=+n[u+(E<<2)>>2];N=+n[t+(E<<2)>>2]}else{F=z;G=A;H=C;I=x;J=B;K=y;L=D;M=0.0;N=0.0}}else{F=z;G=A;H=0.0;I=x;J=x;K=y;L=0.0;M=0.0;N=0.0}}else{F=0.0;G=0.0;H=0.0;I=x;J=x;K=x;L=0.0;M=0.0;N=0.0}y=0;do{A=+n[x+(y<<2)>>2];z=+n[K+(y<<2)>>2];D=+n[J+(y<<2)>>2];C=+n[I+(y<<2)>>2];B=q+(y<<2)|0;E=r+(y<<2)|0;O=M*C+(L*D+(G*z+(w*A+ +n[E>>2])));n[B>>2]=N*C+(H*D+(F*z+(v*A+ +n[B>>2])));n[E>>2]=O;y=y+1|0}while((y|0)<(i|0));s=s+4|0}while((s|0)<(h|0))}if((p|0)==(l|0))break;else{o=o+2|0;p=p+1|0}}return}function ivb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;a=u;u=u+16|0;d=a;ouc(d,c);c=d+11|0;e=b[c>>0]|0;g=e<<24>>24<0;h=f[d>>2]|0;i=d+4|0;j=f[i>>2]|0;k=g?h+j|0:d+(e&255)|0;l=g?h:d;if((l|0)==(k|0)){m=e;n=j}else{j=l;do{l=(Uec(b[j>>0]|0)|0)&255;b[j>>0]=l;j=j+1|0}while((j|0)!=(k|0));m=b[c>>0]|0;n=f[i>>2]|0}if(((m<<24>>24<0?n:m&255)|0)==1){n=(Puc(d,0,-1,474635,1)|0)!=0;o=n;p=b[c>>0]|0}else{o=1;p=m}if(p<<24>>24>=0){q=o<<31>>31;u=a;return q|0}fuc(f[d>>2]|0);q=o<<31>>31;u=a;return q|0}function jvb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;a=u;u=u+16|0;d=a;ouc(d,c);e=d+11|0;g=b[e>>0]|0;h=g<<24>>24<0;i=f[d>>2]|0;j=d+4|0;k=f[j>>2]|0;l=h?i+k|0:d+(g&255)|0;m=h?i:d;if((m|0)==(l|0)){n=g;o=k}else{k=m;do{m=(Uec(b[k>>0]|0)|0)&255;b[k>>0]=m;k=k+1|0}while((k|0)!=(l|0));n=b[e>>0]|0;o=f[j>>2]|0}if(((n<<24>>24<0?o:n&255)|0)==1){o=(Puc(d,0,-1,474631,1)|0)==0;p=o;q=b[e>>0]|0}else{p=0;q=n}if(q<<24>>24<0)fuc(f[d>>2]|0);if(p){r=0;u=a;return r|0}ouc(d,c);c=d+11|0;p=b[c>>0]|0;q=p<<24>>24<0;n=f[d>>2]|0;e=d+4|0;o=f[e>>2]|0;j=q?n+o|0:d+(p&255)|0;l=q?n:d;if((l|0)==(j|0)){s=p;t=o}else{o=l;do{l=(Uec(b[o>>0]|0)|0)&255;b[o>>0]=l;o=o+1|0}while((o|0)!=(j|0));s=b[c>>0]|0;t=f[e>>2]|0}if(((s<<24>>24<0?t:s&255)|0)==1){t=(Puc(d,0,-1,474633,1)|0)==0;v=t?1:-1;w=b[c>>0]|0}else{v=-1;w=s}if(w<<24>>24<0)fuc(f[d>>2]|0);r=v;u=a;return r|0}function kvb(a,b){a=a|0;b=b|0;var c=0;c=cuc(96)|0;lvb(c,b);f[a>>2]=c;b=cuc(16)|0;f[b+4>>2]=0;f[b+8>>2]=0;f[b>>2]=137260;f[b+12>>2]=c;f[a+4>>2]=b;return}function lvb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0.0,ba=0.0,ca=0,da=0;d=u;u=u+64|0;e=d;WMa(a);f[a>>2]=137288;f[a+44>>2]=0;f[a+48>>2]=0;g=a+56|0;h=a+60|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;f[g+16>>2]=0;f[g+20>>2]=0;XMa(a,c);i=a+4|0;j=f[i>>2]|0;k=a+8|0;l=f[k>>2]|0;do if((j|0)!=(l|0)){if(((l-j|0)/56|0)>>>0<=2){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;m=cuc(32)|0;f[e>>2]=m;f[e+8>>2]=-2147483616;f[e+4>>2]=17;o=m;p=474826;q=o+17|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[m+17>>0]=0;WD(-215,e,474844,474858,105)}mU(e,j+112|0,1,1);r=f[i>>2]|0;s=r+112|0;if((s|0)==(e|0)){t=e+36|0;v=f[t>>2]|0;if((v|0)!=0?(w=v+12|0,v=f[w>>2]|0,f[w>>2]=v+-1,(v|0)==1):0){aU(e);x=t}else x=t}else{t=r+148|0;v=f[t>>2]|0;if(v|0?(w=v+12|0,v=f[w>>2]|0,f[w>>2]=v+-1,(v|0)==1):0)aU(s);f[t>>2]=0;v=r+128|0;w=r+116|0;f[v>>2]=0;f[v+4>>2]=0;f[v+8>>2]=0;f[v+12>>2]=0;if((f[w>>2]|0)>0){y=f[r+152>>2]|0;z=0;do{f[y+(z<<2)>>2]=0;z=z+1|0}while((z|0)<(f[w>>2]|0))}f[s>>2]=f[e>>2];z=e+4|0;y=f[z>>2]|0;f[w>>2]=y;m=e+8|0;A=r+120|0;f[A>>2]=f[m>>2];f[r+124>>2]=f[e+12>>2];f[v>>2]=f[e+16>>2];f[r+132>>2]=f[e+20>>2];f[r+136>>2]=f[e+24>>2];f[r+140>>2]=f[e+28>>2];f[r+144>>2]=f[e+32>>2];B=e+36|0;f[t>>2]=f[B>>2];C=r+156|0;D=f[C>>2]|0;E=r+160|0;if((D|0)==(E|0)){F=y;G=D}else{TC(D);f[C>>2]=E;f[r+152>>2]=A;F=f[z>>2]|0;G=E}E=e+44|0;if((F|0)<3){A=f[E>>2]|0;f[G>>2]=f[A>>2];f[G+4>>2]=f[A+4>>2]}else{f[C>>2]=f[E>>2];C=e+40|0;f[r+152>>2]=f[C>>2];f[E>>2]=e+48;f[C>>2]=m}f[e>>2]=1124007936;o=z;q=o+36|0;do{f[o>>2]=0;o=o+4|0}while((o|0)<(q|0));x=B}f[x>>2]=0;r=e+16|0;t=e+4|0;f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;f[r+12>>2]=0;if((f[t>>2]|0)>0){r=f[e+40>>2]|0;v=0;do{f[r+(v<<2)>>2]=0;v=v+1|0}while((v|0)<(f[t>>2]|0))}t=f[e+44>>2]|0;if((t|0)!=(e+48|0))TC(t);t=f[i>>2]|0;v=t;if((f[t+4>>2]|0)!=2){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;H=cuc(32)|0;f[e>>2]=H;I=e+8|0;f[I>>2]=-2147483616;K=e+4|0;f[K>>2]=28;o=H;p=474942;q=o+28|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));L=H+28|0;b[L>>0]=0;WD(-215,e,474844,474858,112)}if((f[t+60>>2]|0)!=2){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;H=cuc(32)|0;f[e>>2]=H;I=e+8|0;f[I>>2]=-2147483616;K=e+4|0;f[K>>2]=28;o=H;p=474942;q=o+28|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));L=H+28|0;b[L>>0]=0;WD(-215,e,474844,474858,112)}r=f[t+8>>2]|0;if((r|0)!=(f[t+64>>2]|0)){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;B=cuc(32)|0;f[e>>2]=B;f[e+8>>2]=-2147483616;f[e+4>>2]=18;o=B;p=474971;q=o+18|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[B+18>>0]=0;WD(-215,e,474844,474858,113)}w=f[t+12>>2]|0;if((r|0)!=(w<<2|0)){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;s=cuc(32)|0;f[e>>2]=s;f[e+8>>2]=-2147483616;f[e+4>>2]=20;o=s;p=474990;q=o+20|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[s+20>>0]=0;WD(-215,e,474844,474858,114)}B=f[t+116>>2]|0;if((B|0)<3)M=Y(f[t+124>>2]|0,f[t+120>>2]|0)|0;else{z=f[t+152>>2]|0;m=0;C=1;while(1){E=Y(f[z+(m<<2)>>2]|0,C)|0;m=m+1|0;if((m|0)==(B|0)){M=E;break}else C=E}}if((r|0)!=(M|0)){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;C=cuc(32)|0;f[e>>2]=C;f[e+8>>2]=-2147483616;f[e+4>>2]=28;o=C;p=475011;q=o+28|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[C+28>>0]=0;WD(-215,e,474844,474858,115)}r=f[t>>2]&4095;if((r|0)!=(f[t+56>>2]&4095|0)){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;N=cuc(64)|0;f[e>>2]=N;O=e+8|0;f[O>>2]=-2147483584;P=e+4|0;f[P>>2]=50;o=N;p=475040;q=o+50|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));Q=N+50|0;b[Q>>0]=0;WD(-215,e,474844,474858,116)}C=f[t+112>>2]|0;if((r|0)!=(C&4095|0)){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;N=cuc(64)|0;f[e>>2]=N;O=e+8|0;f[O>>2]=-2147483584;P=e+4|0;f[P>>2]=50;o=N;p=475040;q=o+50|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));Q=N+50|0;b[Q>>0]=0;WD(-215,e,474844,474858,116)}r=(f[k>>2]|0)-v|0;if(((r|0)/56|0)>>>0>3){if((r|0)!=336){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;r=cuc(32)|0;f[e>>2]=r;f[e+8>>2]=-2147483616;f[e+4>>2]=17;o=r;p=475091;q=o+17|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[r+17>>0]=0;WD(-215,e,474844,474858,121)}if((f[t+176>>2]|0)!=(w|0)){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;R=cuc(48)|0;f[e>>2]=R;S=e+8|0;f[S>>2]=-2147483600;T=e+4|0;f[T>>2]=40;o=R;p=475109;q=o+40|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));U=R+40|0;b[U>>0]=0;WD(-215,e,474844,474858,125)}if((f[t+180>>2]|0)!=(w|0)){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;R=cuc(48)|0;f[e>>2]=R;S=e+8|0;f[S>>2]=-2147483600;T=e+4|0;f[T>>2]=40;o=R;p=475109;q=o+40|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));U=R+40|0;b[U>>0]=0;WD(-215,e,474844,474858,125)}if((C^f[t+168>>2])&4095|0){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;V=cuc(32)|0;f[e>>2]=V;W=e+8|0;f[W>>2]=-2147483616;X=e+4|0;f[X>>2]=30;o=V;p=475150;q=o+30|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));Z=V+30|0;b[Z>>0]=0;WD(-215,e,474844,474858,126)}if((f[t+232>>2]|0)!=(w|0)){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;R=cuc(48)|0;f[e>>2]=R;S=e+8|0;f[S>>2]=-2147483600;T=e+4|0;f[T>>2]=40;o=R;p=475109;q=o+40|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));U=R+40|0;b[U>>0]=0;WD(-215,e,474844,474858,125)}if((f[t+236>>2]|0)!=(w|0)){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;R=cuc(48)|0;f[e>>2]=R;S=e+8|0;f[S>>2]=-2147483600;T=e+4|0;f[T>>2]=40;o=R;p=475109;q=o+40|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));U=R+40|0;b[U>>0]=0;WD(-215,e,474844,474858,125)}if((C^f[t+224>>2])&4095|0){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;V=cuc(32)|0;f[e>>2]=V;W=e+8|0;f[W>>2]=-2147483616;X=e+4|0;f[X>>2]=30;o=V;p=475150;q=o+30|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));Z=V+30|0;b[Z>>0]=0;WD(-215,e,474844,474858,126)}if((f[t+288>>2]|0)!=(w|0)){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;R=cuc(48)|0;f[e>>2]=R;S=e+8|0;f[S>>2]=-2147483600;T=e+4|0;f[T>>2]=40;o=R;p=475109;q=o+40|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));U=R+40|0;b[U>>0]=0;WD(-215,e,474844,474858,125)}if((f[t+292>>2]|0)!=(w|0)){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;R=cuc(48)|0;f[e>>2]=R;S=e+8|0;f[S>>2]=-2147483600;T=e+4|0;f[T>>2]=40;o=R;p=475109;q=o+40|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));U=R+40|0;b[U>>0]=0;WD(-215,e,474844,474858,125)}if(!((C^f[t+280>>2])&4095))break;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;V=cuc(32)|0;f[e>>2]=V;W=e+8|0;f[W>>2]=-2147483616;X=e+4|0;f[X>>2]=30;o=V;p=475150;q=o+30|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));Z=V+30|0;b[Z>>0]=0;WD(-215,e,474844,474858,126)}}while(0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;Z=cuc(32)|0;f[e>>2]=Z;f[e+8>>2]=-2147483616;f[e+4>>2]=17;o=Z;p=475181;q=o+17|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[Z+17>>0]=0;Z=gEa(c,e)|0;V=c+4|0;if((Z|0)==(V|0))_=1;else{X=hEa(Z+28|0,-1)|0;_=(X|0)!=0|(J|0)!=0}b[a+80>>0]=_&1;if((b[e+11>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;_=cuc(32)|0;f[e>>2]=_;f[e+8>>2]=-2147483616;f[e+4>>2]=19;o=_;p=475199;q=o+19|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[_+19>>0]=0;_=gEa(c,e)|0;if((_|0)==(V|0))$=0;else{X=hEa(_+28|0,-1)|0;$=(X|0)!=0|(J|0)!=0}b[a+81>>0]=$&1;if((b[e+11>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;$=cuc(16)|0;f[e>>2]=$;f[e+8>>2]=-2147483632;f[e+4>>2]=11;o=$;p=475219;q=o+11|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[$+11>>0]=0;$=gEa(c,e)|0;if(($|0)==(V|0))aa=0.0;else aa=+iEa($+28|0,-1);n[a+84>>2]=aa;if((b[e+11>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;$=e+11|0;b[$>>0]=9;o=e;p=475231;q=o+9|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[e+9>>0]=0;X=gEa(c,e)|0;if((X|0)==(V|0))ba=0.0;else ba=+iEa(X+28|0,-1);n[a+88>>2]=ba;if((b[$>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;$=cuc(16)|0;f[e>>2]=$;f[e+8>>2]=-2147483632;f[e+4>>2]=13;o=$;p=475241;q=o+13|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[$+13>>0]=0;$=gEa(c,e)|0;if(($|0)==(V|0))ca=0;else{X=hEa($+28|0,-1)|0;ca=((X|0)!=0|(J|0)!=0)&1}b[a+92>>0]=ca;if((b[e+11>>0]|0)<0)fuc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;ca=cuc(16)|0;f[e>>2]=ca;f[e+8>>2]=-2147483632;f[e+4>>2]=12;o=ca;p=475255;q=o+12|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[ca+12>>0]=0;ca=gEa(c,e)|0;if((ca|0)==(V|0))da=0;else{V=hEa(ca+28|0,-1)|0;da=((V|0)!=0|(J|0)!=0)&1}b[a+93>>0]=da;if((b[e+11>>0]|0)<0)fuc(f[e>>2]|0);b[a+52>>0]=0;a=f[g>>2]|0;g=f[h>>2]|0;if((g|0)==(a|0)){u=d;return}f[h>>2]=g+(~((g+-4-a|0)>>>2)<<2);u=d;return}function mvb(a){a=a|0;Qtc(a);fuc(a);return}function nvb(a){a=a|0;var b=0;b=f[a+12>>2]|0;if(!b)return;bi[f[(f[b>>2]|0)+4>>2]&2047](b);return}function ovb(a,b){a=a|0;b=b|0;return ((f[b+4>>2]|0)==474673?a+12|0:0)|0}function pvb(a){a=a|0;fuc(a);return}function qvb(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=137288;b=f[a+68>>2]|0;if(b|0){c=a+72|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+56>>2]|0;if(!b){pKa(a);return}d=a+60|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-4-b|0)>>>2)<<2);fuc(b);pKa(a);return}function rvb(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=137288;b=f[a+68>>2]|0;if(b|0){c=a+72|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b)}b=f[a+56>>2]|0;if(!b){pKa(a);fuc(a);return}d=a+60|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-4-b|0)>>>2)<<2);fuc(b);pKa(a);fuc(a);return}function svb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0;d=u;u=u+48|0;e=d+36|0;g=d+32|0;h=d+28|0;i=d+16|0;j=d;k=d+12|0;l=d+8|0;m=d+4|0;f[i>>2]=0;n=i+4|0;f[n>>2]=0;f[i+8>>2]=0;sJ(c,i);if(!(b[a+93>>0]|0)){c=f[a+4>>2]|0;if(((f[a+8>>2]|0)-c|0)==168)o=c;else{f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;p=cuc(80)|0;f[e>>2]=p;q=e+8|0;f[q>>2]=-2147483568;r=e+4|0;f[r>>2]=69;s=p;t=475565;v=s+69|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));w=p+69|0;b[w>>0]=0;WD(-215,e,476610,474858,224)}}else{c=f[a+4>>2]|0;if(((f[a+8>>2]|0)-c|0)==336)o=c;else{f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;p=cuc(80)|0;f[e>>2]=p;q=e+8|0;f[q>>2]=-2147483568;r=e+4|0;f[r>>2]=69;s=p;t=475565;v=s+69|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));w=p+69|0;b[w>>0]=0;WD(-215,e,476610,474858,224)}}w=o;o=f[i>>2]|0;p=o;if(((f[n>>2]|0)-o|0)!=56){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;o=cuc(32)|0;f[e>>2]=o;f[e+8>>2]=-2147483616;f[e+4>>2]=17;s=o;t=475915;v=s+17|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));b[o+17>>0]=0;WD(-215,e,476610,474858,225)}o=f[(f[w+40>>2]|0)+4>>2]|0;f[j>>2]=o;n=f[(f[w+96>>2]|0)+4>>2]|0;w=a+56|0;r=f[w>>2]|0;q=a+60|0;c=f[q>>2]|0;if((r|0)!=(c|0)){x=c-r|0;c=x>>2;if((x|0)<0){y=cuc(80)|0;f[e>>2]=y;f[e+8>>2]=-2147483568;f[e+4>>2]=70;s=y;t=475319;v=s+70|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));b[y+70>>0]=0;WD(-215,e,475390,475396,161)}if(!x)z=1;else{x=0;y=1;while(1){A=Y(f[r+(x<<2)>>2]|0,y)|0;x=x+1|0;if((x|0)==(c|0)){z=A;break}else y=A}}if((z|0)!=(o|0)){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;o=cuc(32)|0;f[e>>2]=o;f[e+8>>2]=-2147483616;f[e+4>>2]=29;s=o;t=475933;v=s+29|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));b[o+29>>0]=0;WD(-215,e,476610,474858,233)}}else zvb(w,1,j);j=f[p+4>>2]|0;o=(j|0)>1;do if(!(b[a+80>>0]|0)){if(!o){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;B=cuc(48)|0;f[e>>2]=B;C=e+8|0;f[C>>2]=-2147483600;D=e+4|0;f[D>>2]=46;s=B;t=476010;v=s+46|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));E=B+46|0;b[E>>0]=0;WD(-215,e,476610,474858,245)}z=f[p+40>>2]|0;y=1;c=1;do{y=Y(f[z+(c<<2)>>2]|0,y)|0;c=c+1|0}while((c|0)!=(j|0));if((y|0)==(n|0)){F=1;G=0;H=z}else{f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;B=cuc(48)|0;f[e>>2]=B;C=e+8|0;f[C>>2]=-2147483600;D=e+4|0;f[D>>2]=46;s=B;t=476010;v=s+46|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));E=B+46|0;b[E>>0]=0;WD(-215,e,476610,474858,245)}}else{if(!o){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;I=cuc(48)|0;f[e>>2]=I;J=e+8|0;f[J>>2]=-2147483600;K=e+4|0;f[K>>2]=46;s=I;t=475963;v=s+46|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));L=I+46|0;b[L>>0]=0;WD(-215,e,476610,474858,239)}if((j|0)==2)M=1;else{z=f[p+40>>2]|0;y=1;c=2;while(1){x=Y(f[z+(c<<2)>>2]|0,y)|0;c=c+1|0;if((c|0)>=(j|0)){M=x;break}else y=x}}if((M|0)==(n|0)){y=f[p+40>>2]|0;F=f[y>>2]|0;G=1;H=y;break}else{f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;I=cuc(48)|0;f[e>>2]=I;J=e+8|0;f[J>>2]=-2147483600;K=e+4|0;f[K>>2]=46;s=I;t=475963;v=s+46|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));L=I+46|0;b[L>>0]=0;WD(-215,e,476610,474858,239)}}while(0);f[a+44>>2]=F;F=f[H+(G<<2)>>2]|0;G=a+48|0;f[G>>2]=F;H=a+68|0;L=f[H>>2]|0;I=a+72|0;t=f[I>>2]|0;if((t|0)==(L|0))N=L;else{s=t+(~((t+-4-L|0)>>>2)<<2)|0;f[I>>2]=s;N=s}if((N|0)==(f[a+76>>2]|0)){es(H,G);O=f[I>>2]|0;f[k>>2]=O;P=f[w>>2]|0;f[l>>2]=P;Q=f[q>>2]|0;f[m>>2]=Q;f[h>>2]=f[k>>2];f[g>>2]=f[l>>2];f[e>>2]=f[m>>2];Ava(H,h,g,e)|0;R=a+52|0;b[R>>0]=1;ut(i);u=d;return}else{f[N>>2]=F;F=N+4|0;f[I>>2]=F;O=F;f[k>>2]=O;P=f[w>>2]|0;f[l>>2]=P;Q=f[q>>2]|0;f[m>>2]=Q;f[h>>2]=f[k>>2];f[g>>2]=f[l>>2];f[e>>2]=f[m>>2];Ava(H,h,g,e)|0;R=a+52|0;b[R>>0]=1;ut(i);u=d;return}}function tvb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0,qc=0,rc=0,sc=0,tc=0,uc=0,vc=0,wc=0,xc=0,yc=0,zc=0,Ac=0,Bc=0,Cc=0,Dc=0,Ec=0,Fc=0,Gc=0,Hc=0,Ic=0,Jc=0,Kc=0,Lc=0,Mc=0,Nc=0,Oc=0,Pc=0,Qc=0,Rc=0,Sc=0,Tc=0,Uc=0,Vc=0,Wc=0,Xc=0,Yc=0,Zc=0,_c=0,$c=0,ad=0,bd=0,cd=0,dd=0,ed=0,fd=0,gd=0,hd=0,id=0,jd=0,kd=0,ld=0,md=0,nd=0,od=0,pd=0,qd=0,rd=0,sd=0,td=0,ud=0,vd=0,wd=0,xd=0,yd=0,zd=0,Ad=0,Bd=0,Cd=0,Dd=0,Ed=0,Fd=0,Gd=0,Hd=0,Id=0,Jd=0,Kd=0,Ld=0,Md=0,Nd=0,Od=0,Pd=0,Qd=0,Rd=0,Sd=0,Td=0,Ud=0,Vd=0,Wd=0,Xd=0,Yd=0,Zd=0,_d=0.0;g=u;u=u+848|0;h=g+832|0;i=g+56|0;j=g+824|0;k=g+808|0;l=g+796|0;m=g+784|0;o=g+728|0;q=g+672|0;r=g+616|0;s=g+560|0;t=g+504|0;v=g+448|0;w=g+392|0;x=g+384|0;y=g+328|0;z=g+272|0;A=g+216|0;B=g+160|0;C=g+104|0;D=g;E=g+88|0;F=g+72|0;gV(j,137404);if(f[j>>2]|0){}if((CJ(c,-1)|0)==3)JKa(a,c,d,e);else{f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;sJ(c,k);sJ(d,l);sJ(e,m);e=a+4|0;d=f[e>>2]|0;c=d+56|0;G=d+112|0;H=f[(f[d+40>>2]|0)+4>>2]|0;I=f[m>>2]|0;f[o>>2]=f[I>>2];J=o+4|0;K=I+4|0;f[J>>2]=f[K>>2];L=o+8|0;f[L>>2]=f[I+8>>2];f[o+12>>2]=f[I+12>>2];M=o+16|0;f[M>>2]=f[I+16>>2];f[o+20>>2]=f[I+20>>2];f[o+24>>2]=f[I+24>>2];f[o+28>>2]=f[I+28>>2];f[o+32>>2]=f[I+32>>2];N=o+36|0;O=f[I+36>>2]|0;f[N>>2]=O;P=o+40|0;f[P>>2]=L;L=o+48|0;Q=o+44|0;f[Q>>2]=L;f[L>>2]=0;f[o+52>>2]=0;if(O|0){R=O+12|0;f[R>>2]=(f[R>>2]|0)+1}if((f[K>>2]|0)<3){K=f[I+44>>2]|0;R=f[Q>>2]|0;f[R>>2]=f[K>>2];f[R+4>>2]=f[K+4>>2]}else{f[J>>2]=0;$T(o,I)}I=f[m>>2]|0;K=I+56|0;f[q>>2]=f[K>>2];R=q+4|0;O=I+60|0;S=f[O>>2]|0;f[R>>2]=S;T=q+8|0;f[T>>2]=f[I+64>>2];f[q+12>>2]=f[I+68>>2];U=q+16|0;f[U>>2]=f[I+72>>2];f[q+20>>2]=f[I+76>>2];f[q+24>>2]=f[I+80>>2];f[q+28>>2]=f[I+84>>2];f[q+32>>2]=f[I+88>>2];V=q+36|0;W=f[I+92>>2]|0;f[V>>2]=W;X=q+40|0;f[X>>2]=T;T=q+48|0;Z=q+44|0;f[Z>>2]=T;f[T>>2]=0;f[q+52>>2]=0;if(!W)_=S;else{S=W+12|0;f[S>>2]=(f[S>>2]|0)+1;_=f[O>>2]|0}if((_|0)<3){_=f[I+100>>2]|0;I=f[Z>>2]|0;f[I>>2]=f[_>>2];f[I+4>>2]=f[_+4>>2]}else{f[R>>2]=0;$T(q,K)}K=f[m>>2]|0;_=K+112|0;f[r>>2]=f[_>>2];I=r+4|0;O=K+116|0;S=f[O>>2]|0;f[I>>2]=S;W=r+8|0;f[W>>2]=f[K+120>>2];f[r+12>>2]=f[K+124>>2];$=r+16|0;f[$>>2]=f[K+128>>2];f[r+20>>2]=f[K+132>>2];f[r+24>>2]=f[K+136>>2];f[r+28>>2]=f[K+140>>2];f[r+32>>2]=f[K+144>>2];aa=r+36|0;ba=f[K+148>>2]|0;f[aa>>2]=ba;ca=r+40|0;f[ca>>2]=W;W=r+48|0;da=r+44|0;f[da>>2]=W;f[W>>2]=0;f[r+52>>2]=0;if(!ba)ea=S;else{S=ba+12|0;f[S>>2]=(f[S>>2]|0)+1;ea=f[O>>2]|0}if((ea|0)<3){ea=f[K+156>>2]|0;K=f[da>>2]|0;f[K>>2]=f[ea>>2];f[K+4>>2]=f[ea+4>>2]}else{f[I>>2]=0;$T(r,_)}_=f[m>>2]|0;ea=_+168|0;f[s>>2]=f[ea>>2];K=s+4|0;O=_+172|0;S=f[O>>2]|0;f[K>>2]=S;ba=s+8|0;f[ba>>2]=f[_+176>>2];f[s+12>>2]=f[_+180>>2];fa=s+16|0;f[fa>>2]=f[_+184>>2];f[s+20>>2]=f[_+188>>2];f[s+24>>2]=f[_+192>>2];f[s+28>>2]=f[_+196>>2];f[s+32>>2]=f[_+200>>2];ga=s+36|0;ha=f[_+204>>2]|0;f[ga>>2]=ha;ia=s+40|0;f[ia>>2]=ba;ba=s+48|0;ja=s+44|0;f[ja>>2]=ba;f[ba>>2]=0;f[s+52>>2]=0;if(!ha)ka=S;else{S=ha+12|0;f[S>>2]=(f[S>>2]|0)+1;ka=f[O>>2]|0}if((ka|0)<3){ka=f[_+212>>2]|0;_=f[ja>>2]|0;f[_>>2]=f[ka>>2];f[_+4>>2]=f[ka+4>>2]}else{f[K>>2]=0;$T(s,ea)}p[i>>3]=0.0;f[h>>2]=-1056833530;f[h+4>>2]=i;f[h+8>>2]=1;f[h+12>>2]=1;HI(o,h,sK()|0)|0;p[i>>3]=0.0;f[h>>2]=-1056833530;f[h+4>>2]=i;f[h+8>>2]=1;f[h+12>>2]=1;HI(q,h,sK()|0)|0;p[i>>3]=1.0;f[h>>2]=-1056833530;f[h+4>>2]=i;f[h+8>>2]=1;f[h+12>>2]=1;HI(r,h,sK()|0)|0;ea=a+44|0;ka=a+48|0;_=Y(f[ka>>2]|0,f[ea>>2]|0)|0;mU(t,f[k>>2]|0,1,_);mU(v,f[l>>2]|0,1,_);O=a+81|0;if(!(b[O>>0]|0)){f[w>>2]=1124007936;S=w+8|0;ha=w+40|0;la=w+4|0;ma=la+36|0;do{f[la>>2]=0;la=la+4|0}while((la|0)<(ma|0));f[ha>>2]=S;S=w+48|0;f[w+44>>2]=S;f[S>>2]=0;f[w+52>>2]=0}else mU(w,(f[l>>2]|0)+56|0,1,_);if((f[ea>>2]|0)>0){_=x+4|0;S=h+4|0;ha=h+8|0;la=h+12|0;ma=h+4|0;na=i+8|0;oa=i+12|0;pa=i+4|0;qa=z+8|0;ra=z+12|0;sa=z+4|0;ta=A+8|0;ua=A+4|0;va=h+8|0;wa=h+12|0;xa=h+4|0;ya=i+8|0;za=i+12|0;Aa=i+4|0;Ba=z+8|0;Ca=z+12|0;Da=z+4|0;Ea=A+8|0;Fa=A+4|0;Ga=h+8|0;Ha=h+12|0;Ia=h+4|0;Ja=i+8|0;Ka=i+12|0;La=i+4|0;Ma=z+8|0;Na=z+12|0;Oa=z+4|0;Pa=A+8|0;Qa=A+4|0;Ra=h+4|0;Sa=i+4|0;Ta=H<<1;Ua=h+4|0;Va=i+4|0;Wa=H*3|0;Xa=h+4|0;Ya=i+4|0;Za=H<<2;_a=h+4|0;$a=i+4|0;ab=a+84|0;bb=h+8|0;cb=h+12|0;db=h+4|0;eb=i+8|0;fb=i+12|0;gb=i+4|0;hb=E+8|0;ib=E+4|0;jb=a+93|0;kb=h+4|0;lb=i+4|0;mb=D+36|0;nb=D+16|0;ob=D+4|0;pb=D+40|0;qb=D+44|0;rb=D+48|0;sb=h+8|0;tb=h+12|0;ub=h+4|0;vb=i+8|0;wb=i+12|0;xb=i+4|0;yb=D+8|0;zb=D+4|0;Ab=h+8|0;Bb=h+12|0;Cb=h+4|0;Db=i+8|0;Eb=i+12|0;Fb=i+4|0;Gb=D+8|0;Hb=D+4|0;Ib=h+8|0;Jb=h+12|0;Kb=h+4|0;Lb=i+8|0;Mb=i+12|0;Nb=i+4|0;Ob=D+8|0;Pb=D+4|0;Qb=a+92|0;Rb=h+8|0;Sb=h+12|0;Tb=h+4|0;Ub=i+8|0;Vb=i+12|0;Wb=i+4|0;Xb=D+8|0;Yb=D+4|0;Zb=h+4|0;_b=i+8|0;$b=i+4|0;ac=D+36|0;bc=D+16|0;cc=D+4|0;dc=D+40|0;ec=D+44|0;fc=D+48|0;gc=C+36|0;hc=C+16|0;ic=C+4|0;jc=C+40|0;kc=C+44|0;lc=C+48|0;mc=B+36|0;nc=B+16|0;oc=B+4|0;pc=B+40|0;qc=B+44|0;rc=B+48|0;sc=A+36|0;tc=A+16|0;uc=A+4|0;vc=A+40|0;wc=A+44|0;xc=A+48|0;yc=z+36|0;zc=z+16|0;Ac=z+4|0;Bc=z+40|0;Cc=z+44|0;Dc=z+48|0;Ec=y+36|0;Fc=y+16|0;Gc=y+4|0;Hc=y+40|0;Ic=y+44|0;Jc=y+48|0;Kc=h+4|0;Lc=i+8|0;Mc=i+4|0;Nc=D+36|0;Oc=D+16|0;Pc=D+4|0;Qc=D+40|0;Rc=D+44|0;Sc=D+48|0;Tc=h+8|0;Uc=h+12|0;Vc=h+4|0;Wc=i+8|0;Xc=i+12|0;Yc=i+4|0;Zc=D+8|0;_c=D+12|0;$c=D+4|0;ad=E+8|0;bd=E+4|0;cd=h+8|0;dd=h+12|0;ed=h+4|0;fd=a+88|0;a=i+8|0;gd=i+12|0;hd=i+4|0;id=E+8|0;jd=E+4|0;kd=h+8|0;ld=h+12|0;md=h+4|0;nd=i+8|0;od=i+12|0;pd=i+4|0;qd=E+8|0;rd=E+4|0;sd=h+4|0;td=i+4|0;ud=h+8|0;vd=h+12|0;wd=h+4|0;xd=i+8|0;yd=i+12|0;zd=i+4|0;Ad=E+8|0;Bd=E+12|0;Cd=E+4|0;Dd=F+8|0;Ed=F+4|0;Fd=h+8|0;Gd=h+12|0;Hd=h+4|0;Id=i+8|0;Jd=i+12|0;Kd=i+4|0;Ld=E+8|0;Md=E+12|0;Nd=E+4|0;Od=F+8|0;Pd=F+4|0;Qd=D+36|0;Rd=D+16|0;Sd=D+4|0;Td=D+40|0;Ud=D+44|0;Vd=D+48|0;Wd=0;do{Xd=f[ka>>2]|0;Yd=Y(Xd,Wd)|0;Wd=Wd+1|0;Zd=Y(Xd,Wd)|0;f[x>>2]=Yd;f[_>>2]=Zd;f[h>>2]=-2147483648;f[S>>2]=2147483647;bU(y,t,x,h);f[ha>>2]=0;f[la>>2]=0;f[h>>2]=16842752;f[ma>>2]=y;f[na>>2]=0;f[oa>>2]=0;f[i>>2]=16842752;f[pa>>2]=c;f[qa>>2]=0;f[ra>>2]=0;f[z>>2]=16842752;f[sa>>2]=s;Zd=ta;f[Zd>>2]=0;f[Zd+4>>2]=0;f[A>>2]=33619968;f[ua>>2]=s;HQ(h,i,1.0,z,0.0,A,2);f[va>>2]=0;f[wa>>2]=0;f[h>>2]=16842752;f[xa>>2]=o;f[ya>>2]=0;f[za>>2]=0;f[i>>2]=16842752;f[Aa>>2]=d;f[Ba>>2]=0;f[Ca>>2]=0;f[z>>2]=16842752;f[Da>>2]=s;Zd=Ea;f[Zd>>2]=0;f[Zd+4>>2]=0;f[A>>2]=33619968;f[Fa>>2]=s;HQ(h,i,1.0,z,1.0,A,2);f[Ga>>2]=0;f[Ha>>2]=0;f[h>>2]=16842752;f[Ia>>2]=r;f[Ja>>2]=0;f[Ka>>2]=0;f[i>>2]=16842752;f[La>>2]=G;f[Ma>>2]=0;f[Na>>2]=0;f[z>>2]=16842752;f[Oa>>2]=s;Zd=Pa;f[Zd>>2]=0;f[Zd+4>>2]=0;f[A>>2]=33619968;f[Qa>>2]=s;HQ(h,i,1.0,z,1.0,A,0);f[h>>2]=-2147483648;f[Ra>>2]=2147483647;f[i>>2]=0;f[Sa>>2]=H;bU(z,s,h,i);f[h>>2]=-2147483648;f[Ua>>2]=2147483647;f[i>>2]=H;f[Va>>2]=Ta;bU(A,s,h,i);f[h>>2]=-2147483648;f[Xa>>2]=2147483647;f[i>>2]=Ta;f[Ya>>2]=Wa;bU(B,s,h,i);f[h>>2]=-2147483648;f[_a>>2]=2147483647;f[i>>2]=Wa;f[$a>>2]=Za;bU(C,s,h,i);_d=+n[ab>>2];if(_d!=0.0){f[bb>>2]=0;f[cb>>2]=0;f[h>>2]=16842752;f[db>>2]=A;p[D>>3]=_d;f[i>>2]=-1056833530;f[gb>>2]=D;f[eb>>2]=1;f[fb>>2]=1;Zd=hb;f[Zd>>2]=0;f[Zd+4>>2]=0;f[E>>2]=33619968;f[ib>>2]=A;rW(h,i,E,sK()|0,-1)}if(!(b[jb>>0]|0)){f[h>>2]=-2147483648;f[kb>>2]=2147483647;f[i>>2]=0;f[lb>>2]=Wa;bU(D,s,h,i);Avb(D,D);Zd=f[mb>>2]|0;do if(Zd|0){Yd=Zd+12|0;Xd=f[Yd>>2]|0;f[Yd>>2]=Xd+-1;if((Xd|0)!=1)break;aU(D)}while(0);f[mb>>2]=0;f[nb>>2]=0;f[nb+4>>2]=0;f[nb+8>>2]=0;f[nb+12>>2]=0;if((f[ob>>2]|0)>0){Zd=f[pb>>2]|0;Xd=0;do{f[Zd+(Xd<<2)>>2]=0;Xd=Xd+1|0}while((Xd|0)<(f[ob>>2]|0))}Xd=f[qb>>2]|0;if((Xd|0)!=(rb|0))TC(Xd)}else{f[h>>2]=-2147483648;f[sd>>2]=2147483647;f[i>>2]=0;f[td>>2]=Ta;bU(D,s,h,i);f[ud>>2]=0;f[vd>>2]=0;f[h>>2]=16842752;f[wd>>2]=q;Xd=(f[e>>2]|0)+168|0;f[xd>>2]=0;f[yd>>2]=0;f[i>>2]=16842752;f[zd>>2]=Xd;f[Ad>>2]=0;f[Bd>>2]=0;f[E>>2]=16842752;f[Cd>>2]=z;Xd=Dd;f[Xd>>2]=0;f[Xd+4>>2]=0;f[F>>2]=33619968;f[Ed>>2]=z;HQ(h,i,1.0,E,1.0,F,0);f[Fd>>2]=0;f[Gd>>2]=0;f[h>>2]=16842752;f[Hd>>2]=q;Xd=(f[e>>2]|0)+224|0;f[Id>>2]=0;f[Jd>>2]=0;f[i>>2]=16842752;f[Kd>>2]=Xd;f[Ld>>2]=0;f[Md>>2]=0;f[E>>2]=16842752;f[Nd>>2]=A;Xd=Od;f[Xd>>2]=0;f[Xd+4>>2]=0;f[F>>2]=33619968;f[Pd>>2]=A;HQ(h,i,1.0,E,1.0,F,0);Avb(D,D);Xd=f[Qd>>2]|0;do if(Xd|0){Zd=Xd+12|0;Yd=f[Zd>>2]|0;f[Zd>>2]=Yd+-1;if((Yd|0)!=1)break;aU(D)}while(0);f[Qd>>2]=0;f[Rd>>2]=0;f[Rd+4>>2]=0;f[Rd+8>>2]=0;f[Rd+12>>2]=0;if((f[Sd>>2]|0)>0){Xd=f[Td>>2]|0;Yd=0;do{f[Xd+(Yd<<2)>>2]=0;Yd=Yd+1|0}while((Yd|0)<(f[Sd>>2]|0))}Yd=f[Ud>>2]|0;if((Yd|0)!=(Vd|0))TC(Yd)}Bvb(C,C);f[sb>>2]=0;f[tb>>2]=0;f[h>>2]=16842752;f[ub>>2]=A;f[vb>>2]=0;f[wb>>2]=0;f[i>>2]=16842752;f[xb>>2]=q;Yd=yb;f[Yd>>2]=0;f[Yd+4>>2]=0;f[D>>2]=33619968;f[zb>>2]=A;jX(h,i,D,1.0,-1);f[Ab>>2]=0;f[Bb>>2]=0;f[h>>2]=16842752;f[Cb>>2]=z;f[Db>>2]=0;f[Eb>>2]=0;f[i>>2]=16842752;f[Fb>>2]=C;Yd=Gb;f[Yd>>2]=0;f[Yd+4>>2]=0;f[D>>2]=33619968;f[Hb>>2]=z;jX(h,i,D,1.0,-1);f[Ib>>2]=0;f[Jb>>2]=0;f[h>>2]=16842752;f[Kb>>2]=A;f[Lb>>2]=0;f[Mb>>2]=0;f[i>>2]=16842752;f[Nb>>2]=z;Yd=Ob;f[Yd>>2]=0;f[Yd+4>>2]=0;f[D>>2]=33619968;f[Pb>>2]=q;rW(h,i,D,sK()|0,-1);if(b[Qb>>0]|0){f[cd>>2]=0;f[dd>>2]=0;f[h>>2]=16842752;f[ed>>2]=q;p[D>>3]=+n[fd>>2];f[i>>2]=-1056833530;f[hd>>2]=D;f[a>>2]=1;f[gd>>2]=1;Yd=id;f[Yd>>2]=0;f[Yd+4>>2]=0;f[E>>2]=33619968;f[jd>>2]=q;aW(h,i,E);f[kd>>2]=0;f[ld>>2]=0;f[h>>2]=16842752;f[md>>2]=q;p[D>>3]=-+n[fd>>2];f[i>>2]=-1056833530;f[pd>>2]=D;f[nd>>2]=1;f[od>>2]=1;Yd=qd;f[Yd>>2]=0;f[Yd+4>>2]=0;f[E>>2]=33619968;f[rd>>2]=q;NV(h,i,E)}if(b[jb>>0]|0){f[Tc>>2]=0;f[Uc>>2]=0;f[h>>2]=16842752;f[Vc>>2]=q;Yd=(f[e>>2]|0)+280|0;f[Wc>>2]=0;f[Xc>>2]=0;f[i>>2]=16842752;f[Yc>>2]=Yd;f[Zc>>2]=0;f[_c>>2]=0;f[D>>2]=16842752;f[$c>>2]=B;Yd=ad;f[Yd>>2]=0;f[Yd+4>>2]=0;f[E>>2]=33619968;f[bd>>2]=B;HQ(h,i,1.0,D,1.0,E,0);Avb(B,B)}Bvb(q,o);f[Rb>>2]=0;f[Sb>>2]=0;f[h>>2]=16842752;f[Tb>>2]=B;f[Ub>>2]=0;f[Vb>>2]=0;f[i>>2]=16842752;f[Wb>>2]=o;Yd=Xb;f[Yd>>2]=0;f[Yd+4>>2]=0;f[D>>2]=33619968;f[Yb>>2]=o;jX(h,i,D,1.0,-1);f[h>>2]=-2147483648;f[Zb>>2]=2147483647;bU(D,v,x,h);Yd=_b;f[Yd>>2]=0;f[Yd+4>>2]=0;f[i>>2]=-1040121856;f[$b>>2]=D;EI(o,i);Yd=f[ac>>2]|0;do if(Yd|0){Xd=Yd+12|0;Zd=f[Xd>>2]|0;f[Xd>>2]=Zd+-1;if((Zd|0)!=1)break;aU(D)}while(0);f[ac>>2]=0;f[bc>>2]=0;f[bc+4>>2]=0;f[bc+8>>2]=0;f[bc+12>>2]=0;if((f[cc>>2]|0)>0){Yd=f[dc>>2]|0;Zd=0;do{f[Yd+(Zd<<2)>>2]=0;Zd=Zd+1|0}while((Zd|0)<(f[cc>>2]|0))}Zd=f[ec>>2]|0;if((Zd|0)!=(fc|0))TC(Zd);if(b[O>>0]|0){f[h>>2]=-2147483648;f[Kc>>2]=2147483647;bU(D,w,x,h);Zd=Lc;f[Zd>>2]=0;f[Zd+4>>2]=0;f[i>>2]=-1040121856;f[Mc>>2]=D;EI(q,i);Zd=f[Nc>>2]|0;do if(Zd|0){Yd=Zd+12|0;Xd=f[Yd>>2]|0;f[Yd>>2]=Xd+-1;if((Xd|0)!=1)break;aU(D)}while(0);f[Nc>>2]=0;f[Oc>>2]=0;f[Oc+4>>2]=0;f[Oc+8>>2]=0;f[Oc+12>>2]=0;if((f[Pc>>2]|0)>0){Zd=f[Qc>>2]|0;Xd=0;do{f[Zd+(Xd<<2)>>2]=0;Xd=Xd+1|0}while((Xd|0)<(f[Pc>>2]|0))}Xd=f[Rc>>2]|0;if((Xd|0)!=(Sc|0))TC(Xd)}Xd=f[gc>>2]|0;do if(Xd|0){Zd=Xd+12|0;Yd=f[Zd>>2]|0;f[Zd>>2]=Yd+-1;if((Yd|0)!=1)break;aU(C)}while(0);f[gc>>2]=0;f[hc>>2]=0;f[hc+4>>2]=0;f[hc+8>>2]=0;f[hc+12>>2]=0;if((f[ic>>2]|0)>0){Xd=f[jc>>2]|0;Yd=0;do{f[Xd+(Yd<<2)>>2]=0;Yd=Yd+1|0}while((Yd|0)<(f[ic>>2]|0))}Yd=f[kc>>2]|0;if((Yd|0)!=(lc|0))TC(Yd);Yd=f[mc>>2]|0;do if(Yd|0){Xd=Yd+12|0;Zd=f[Xd>>2]|0;f[Xd>>2]=Zd+-1;if((Zd|0)!=1)break;aU(B)}while(0);f[mc>>2]=0;f[nc>>2]=0;f[nc+4>>2]=0;f[nc+8>>2]=0;f[nc+12>>2]=0;if((f[oc>>2]|0)>0){Yd=f[pc>>2]|0;Zd=0;do{f[Yd+(Zd<<2)>>2]=0;Zd=Zd+1|0}while((Zd|0)<(f[oc>>2]|0))}Zd=f[qc>>2]|0;if((Zd|0)!=(rc|0))TC(Zd);Zd=f[sc>>2]|0;do if(Zd|0){Yd=Zd+12|0;Xd=f[Yd>>2]|0;f[Yd>>2]=Xd+-1;if((Xd|0)!=1)break;aU(A)}while(0);f[sc>>2]=0;f[tc>>2]=0;f[tc+4>>2]=0;f[tc+8>>2]=0;f[tc+12>>2]=0;if((f[uc>>2]|0)>0){Zd=f[vc>>2]|0;Xd=0;do{f[Zd+(Xd<<2)>>2]=0;Xd=Xd+1|0}while((Xd|0)<(f[uc>>2]|0))}Xd=f[wc>>2]|0;if((Xd|0)!=(xc|0))TC(Xd);Xd=f[yc>>2]|0;do if(Xd|0){Zd=Xd+12|0;Yd=f[Zd>>2]|0;f[Zd>>2]=Yd+-1;if((Yd|0)!=1)break;aU(z)}while(0);f[yc>>2]=0;f[zc>>2]=0;f[zc+4>>2]=0;f[zc+8>>2]=0;f[zc+12>>2]=0;if((f[Ac>>2]|0)>0){Xd=f[Bc>>2]|0;Yd=0;do{f[Xd+(Yd<<2)>>2]=0;Yd=Yd+1|0}while((Yd|0)<(f[Ac>>2]|0))}Yd=f[Cc>>2]|0;if((Yd|0)!=(Dc|0))TC(Yd);Yd=f[Ec>>2]|0;do if(Yd|0){Xd=Yd+12|0;Zd=f[Xd>>2]|0;f[Xd>>2]=Zd+-1;if((Zd|0)!=1)break;aU(y)}while(0);f[Ec>>2]=0;f[Fc>>2]=0;f[Fc+4>>2]=0;f[Fc+8>>2]=0;f[Fc+12>>2]=0;if((f[Gc>>2]|0)>0){Yd=f[Hc>>2]|0;Zd=0;do{f[Yd+(Zd<<2)>>2]=0;Zd=Zd+1|0}while((Zd|0)<(f[Gc>>2]|0))}Zd=f[Ic>>2]|0;if((Zd|0)!=(Jc|0))TC(Zd)}while((Wd|0)<(f[ea>>2]|0))}ea=w+36|0;Wd=f[ea>>2]|0;if(Wd|0?(Jc=Wd+12|0,Wd=f[Jc>>2]|0,f[Jc>>2]=Wd+-1,(Wd|0)==1):0)aU(w);f[ea>>2]=0;ea=w+16|0;Wd=w+4|0;f[ea>>2]=0;f[ea+4>>2]=0;f[ea+8>>2]=0;f[ea+12>>2]=0;if((f[Wd>>2]|0)>0){ea=f[w+40>>2]|0;Jc=0;do{f[ea+(Jc<<2)>>2]=0;Jc=Jc+1|0}while((Jc|0)<(f[Wd>>2]|0))}Wd=f[w+44>>2]|0;if((Wd|0)!=(w+48|0))TC(Wd);Wd=v+36|0;w=f[Wd>>2]|0;if(w|0?(Jc=w+12|0,w=f[Jc>>2]|0,f[Jc>>2]=w+-1,(w|0)==1):0)aU(v);f[Wd>>2]=0;Wd=v+16|0;w=v+4|0;f[Wd>>2]=0;f[Wd+4>>2]=0;f[Wd+8>>2]=0;f[Wd+12>>2]=0;if((f[w>>2]|0)>0){Wd=f[v+40>>2]|0;Jc=0;do{f[Wd+(Jc<<2)>>2]=0;Jc=Jc+1|0}while((Jc|0)<(f[w>>2]|0))}w=f[v+44>>2]|0;if((w|0)!=(v+48|0))TC(w);w=t+36|0;v=f[w>>2]|0;do if(v|0){Jc=v+12|0;Wd=f[Jc>>2]|0;f[Jc>>2]=Wd+-1;if((Wd|0)!=1)break;aU(t)}while(0);f[w>>2]=0;w=t+16|0;v=t+4|0;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;f[w+12>>2]=0;if((f[v>>2]|0)>0){w=f[t+40>>2]|0;Wd=0;do{f[w+(Wd<<2)>>2]=0;Wd=Wd+1|0}while((Wd|0)<(f[v>>2]|0))}v=f[t+44>>2]|0;if((v|0)!=(t+48|0))TC(v);v=f[ga>>2]|0;do if(v|0){t=v+12|0;Wd=f[t>>2]|0;f[t>>2]=Wd+-1;if((Wd|0)!=1)break;aU(s)}while(0);f[ga>>2]=0;f[fa>>2]=0;f[fa+4>>2]=0;f[fa+8>>2]=0;f[fa+12>>2]=0;if((f[K>>2]|0)>0){fa=f[ia>>2]|0;ia=0;do{f[fa+(ia<<2)>>2]=0;ia=ia+1|0}while((ia|0)<(f[K>>2]|0))}K=f[ja>>2]|0;if((K|0)!=(ba|0))TC(K);K=f[aa>>2]|0;do if(K|0){ba=K+12|0;ja=f[ba>>2]|0;f[ba>>2]=ja+-1;if((ja|0)!=1)break;aU(r)}while(0);f[aa>>2]=0;f[$>>2]=0;f[$+4>>2]=0;f[$+8>>2]=0;f[$+12>>2]=0;if((f[I>>2]|0)>0){$=f[ca>>2]|0;ca=0;do{f[$+(ca<<2)>>2]=0;ca=ca+1|0}while((ca|0)<(f[I>>2]|0))}I=f[da>>2]|0;if((I|0)!=(W|0))TC(I);I=f[V>>2]|0;do if(I|0){W=I+12|0;da=f[W>>2]|0;f[W>>2]=da+-1;if((da|0)!=1)break;aU(q)}while(0);f[V>>2]=0;f[U>>2]=0;f[U+4>>2]=0;f[U+8>>2]=0;f[U+12>>2]=0;if((f[R>>2]|0)>0){U=f[X>>2]|0;X=0;do{f[U+(X<<2)>>2]=0;X=X+1|0}while((X|0)<(f[R>>2]|0))}R=f[Z>>2]|0;if((R|0)!=(T|0))TC(R);R=f[N>>2]|0;do if(R|0){T=R+12|0;Z=f[T>>2]|0;f[T>>2]=Z+-1;if((Z|0)!=1)break;aU(o)}while(0);f[N>>2]=0;f[M>>2]=0;f[M+4>>2]=0;f[M+8>>2]=0;f[M+12>>2]=0;if((f[J>>2]|0)>0){M=f[P>>2]|0;P=0;do{f[M+(P<<2)>>2]=0;P=P+1|0}while((P|0)<(f[J>>2]|0))}J=f[Q>>2]|0;if((J|0)!=(L|0))TC(J);ut(m);ut(l);ut(k)}if(!(f[j+4>>2]|0)){u=g;return}u=g;return}function uvb(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0;d=u;u=u+80|0;h=d+64|0;i=d+48|0;j=d+44|0;k=d+28|0;l=d+16|0;m=d+4|0;n=d;o=d+40|0;p=d+36|0;q=d+32|0;if(!(b[a+93>>0]|0)){r=f[a+4>>2]|0;if(((f[a+8>>2]|0)-r|0)==168)s=r;else{t=cuc(80)|0;f[h>>2]=t;v=h+8|0;f[v>>2]=-2147483568;w=h+4|0;f[w>>2]=69;x=t;y=475565;z=x+69|0;do{b[x>>0]=b[y>>0]|0;x=x+1|0;y=y+1|0}while((x|0)<(z|0));A=t+69|0;b[A>>0]=0;WD(-215,h,477070,474858,178)}}else{r=f[a+4>>2]|0;if(((f[a+8>>2]|0)-r|0)==336)s=r;else{t=cuc(80)|0;f[h>>2]=t;v=h+8|0;f[v>>2]=-2147483568;w=h+4|0;f[w>>2]=69;x=t;y=475565;z=x+69|0;do{b[x>>0]=b[y>>0]|0;x=x+1|0;y=y+1|0}while((x|0)<(z|0));A=t+69|0;b[A>>0]=0;WD(-215,h,477070,474858,178)}}A=s;s=f[c>>2]|0;t=s;if(((f[c+4>>2]|0)-s|0)!=12){c=cuc(32)|0;f[h>>2]=c;f[h+8>>2]=-2147483616;f[h+4>>2]=18;x=c;y=477051;z=x+18|0;do{b[x>>0]=b[y>>0]|0;x=x+1|0;y=y+1|0}while((x|0)<(z|0));b[c+18>>0]=0;WD(-215,h,477070,474858,179)}f[k>>2]=f[(f[A+40>>2]|0)+4>>2];c=f[(f[A+96>>2]|0)+4>>2]|0;tHa(l,a+56|0);f[m>>2]=0;A=m+4|0;f[A>>2]=0;f[m+8>>2]=0;w=f[l>>2]|0;v=l+4|0;r=f[v>>2]|0;if((w|0)!=(r|0)){B=r-w|0;r=B>>2;if((B|0)<0){C=cuc(80)|0;f[h>>2]=C;f[h+8>>2]=-2147483568;f[h+4>>2]=70;x=C;y=475319;z=x+70|0;do{b[x>>0]=b[y>>0]|0;x=x+1|0;y=y+1|0}while((x|0)<(z|0));b[C+70>>0]=0;WD(-215,h,475390,475396,161)}if(!B)D=1;else{B=0;C=1;while(1){E=Y(f[w+(B<<2)>>2]|0,C)|0;B=B+1|0;if((B|0)==(r|0)){D=E;break}else C=E}}if((D|0)!=(f[k>>2]|0)){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;D=cuc(32)|0;f[h>>2]=D;f[h+8>>2]=-2147483616;f[h+4>>2]=31;x=D;y=475635;z=x+31|0;do{b[x>>0]=b[y>>0]|0;x=x+1|0;y=y+1|0}while((x|0)<(z|0));b[D+31>>0]=0;WD(-215,h,477070,474858,188)}}else zvb(l,1,k);D=f[t+4>>2]|0;t=f[s>>2]|0;s=D-t|0;C=s>>2;r=C>>>0>1;B=t;do if(!(b[a+80>>0]|0)){if(!r){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;F=cuc(48)|0;f[h>>2]=F;G=h+8|0;f[G>>2]=-2147483600;H=h+4|0;f[H>>2]=45;x=F;y=475713;z=x+45|0;do{b[x>>0]=b[y>>0]|0;x=x+1|0;y=y+1|0}while((x|0)<(z|0));I=F+45|0;b[I>>0]=0;WD(-215,h,477070,474858,201)}if((B|0)!=(D|0)){if((s|0)<4){t=cuc(80)|0;f[h>>2]=t;f[h+8>>2]=-2147483568;f[h+4>>2]=70;x=t;y=475319;z=x+70|0;do{b[x>>0]=b[y>>0]|0;x=x+1|0;y=y+1|0}while((x|0)<(z|0));b[t+70>>0]=0;WD(-215,h,475390,475396,161)}if((s|0)==4)J=1;else{w=1;E=1;while(1){K=Y(f[B+(w<<2)>>2]|0,E)|0;w=w+1|0;if((w|0)==(C|0)){J=K;break}else E=K}}}else J=0;if((J|0)==(c|0)){f[n>>2]=f[B>>2];L=m+8|0;break}else{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;F=cuc(48)|0;f[h>>2]=F;G=h+8|0;f[G>>2]=-2147483600;H=h+4|0;f[H>>2]=45;x=F;y=475713;z=x+45|0;do{b[x>>0]=b[y>>0]|0;x=x+1|0;y=y+1|0}while((x|0)<(z|0));I=F+45|0;b[I>>0]=0;WD(-215,h,477070,474858,201)}}else{if(!r){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;M=cuc(48)|0;f[h>>2]=M;N=h+8|0;f[N>>2]=-2147483600;O=h+4|0;f[O>>2]=45;x=M;y=475667;z=x+45|0;do{b[x>>0]=b[y>>0]|0;x=x+1|0;y=y+1|0}while((x|0)<(z|0));P=M+45|0;b[P>>0]=0;WD(-215,h,477070,474858,195)}if((B|0)!=(D|0)){if((s|0)<8){E=cuc(80)|0;f[h>>2]=E;f[h+8>>2]=-2147483568;f[h+4>>2]=70;x=E;y=475319;z=x+70|0;do{b[x>>0]=b[y>>0]|0;x=x+1|0;y=y+1|0}while((x|0)<(z|0));b[E+70>>0]=0;WD(-215,h,475390,475396,161)}if((s|0)==8)Q=1;else{w=2;t=1;while(1){K=Y(f[B+(w<<2)>>2]|0,t)|0;w=w+1|0;if((w|0)==(C|0)){Q=K;break}else t=K}}}else Q=0;if((Q|0)!=(c|0)){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;M=cuc(48)|0;f[h>>2]=M;N=h+8|0;f[N>>2]=-2147483600;O=h+4|0;f[O>>2]=45;x=M;y=475667;z=x+45|0;do{b[x>>0]=b[y>>0]|0;x=x+1|0;y=y+1|0}while((x|0)<(z|0));P=M+45|0;b[P>>0]=0;WD(-215,h,477070,474858,195)}f[n>>2]=f[B+4>>2];t=f[A>>2]|0;w=m+8|0;if((t|0)==(f[w>>2]|0)){es(m,B);L=w;break}else{f[t>>2]=f[B>>2];f[A>>2]=t+4;L=w;break}}while(0);B=f[A>>2]|0;if((B|0)==(f[L>>2]|0)){es(m,n);R=f[A>>2]|0}else{f[B>>2]=f[n>>2];L=B+4|0;f[A>>2]=L;R=L}f[o>>2]=R;f[p>>2]=f[l>>2];f[q>>2]=f[v>>2];f[j>>2]=f[o>>2];f[i>>2]=f[p>>2];f[h>>2]=f[q>>2];Ava(m,j,i,h)|0;IKa(e,b[a+81>>0]|0?2:1,m);a=f[k>>2]|0;f[h>>2]=f[n>>2];e=h+4|0;f[e>>2]=a;a=h+8|0;f[a>>2]=-1;j=h+12|0;f[j>>2]=-1;f[i>>2]=0;q=i+4|0;f[q>>2]=0;f[i+8>>2]=0;p=h+16|0;KKa(i,h,p);o=f[i>>2]|0;R=f[q>>2]|0;a:do if((o|0)==(R|0)){S=o;T=42}else{L=o;do{if((f[L>>2]|0)<0){S=L;T=42;break a}L=L+4|0}while((L|0)!=(R|0))}while(0);if((T|0)==42?(S|0)!=(R|0):0){o=S+4|0;if((o|0)==(R|0)){U=R;V=S}else{L=o;o=S;while(1){S=f[L>>2]|0;if((S|0)<0)W=o;else{f[o>>2]=S;W=o+4|0}L=L+4|0;if((L|0)==(R|0))break;else o=W}U=f[q>>2]|0;V=W}if((V|0)!=(U|0))f[q>>2]=U+(~((U+-4-V|0)>>>2)<<2)}IKa(g,1,i);V=f[i>>2]|0;if(V|0){U=f[q>>2]|0;if((U|0)!=(V|0))f[q>>2]=U+(~((U+-4-V|0)>>>2)<<2);fuc(V)}V=f[k>>2]|0;f[h>>2]=f[n>>2];f[e>>2]=V;f[a>>2]=-1;f[j>>2]=-1;f[i>>2]=0;V=i+4|0;f[V>>2]=0;f[i+8>>2]=0;KKa(i,h,p);U=f[i>>2]|0;q=f[V>>2]|0;b:do if((U|0)==(q|0)){X=U;T=57}else{W=U;do{if((f[W>>2]|0)<0){X=W;T=57;break b}W=W+4|0}while((W|0)!=(q|0))}while(0);if((T|0)==57?(X|0)!=(q|0):0){U=X+4|0;if((U|0)==(q|0)){Z=q;_=X}else{W=U;U=X;while(1){X=f[W>>2]|0;if((X|0)<0)$=U;else{f[U>>2]=X;$=U+4|0}W=W+4|0;if((W|0)==(q|0))break;else U=$}Z=f[V>>2]|0;_=$}if((_|0)!=(Z|0))f[V>>2]=Z+(~((Z+-4-_|0)>>>2)<<2)}_=g+4|0;Z=f[_>>2]|0;$=g+8|0;if(Z>>>0>=(f[$>>2]|0)>>>0){bMa(g,i);U=f[i>>2]|0;if(U|0){q=f[V>>2]|0;if((q|0)!=(U|0))f[V>>2]=q+(~((q+-4-U|0)>>>2)<<2);fuc(U)}}else{f[Z>>2]=0;U=Z+4|0;f[U>>2]=0;f[Z+8>>2]=0;f[Z>>2]=f[i>>2];f[U>>2]=f[V>>2];U=i+8|0;f[Z+8>>2]=f[U>>2];f[U>>2]=0;f[V>>2]=0;f[i>>2]=0;f[_>>2]=(f[_>>2]|0)+12}f[h>>2]=f[n>>2];f[e>>2]=1;f[a>>2]=-1;f[j>>2]=-1;f[i>>2]=0;V=i+4|0;f[V>>2]=0;f[i+8>>2]=0;KKa(i,h,p);U=f[i>>2]|0;Z=f[V>>2]|0;c:do if((U|0)==(Z|0)){aa=U;T=74}else{q=U;do{if((f[q>>2]|0)<0){aa=q;T=74;break c}q=q+4|0}while((q|0)!=(Z|0))}while(0);if((T|0)==74?(aa|0)!=(Z|0):0){U=aa+4|0;if((U|0)==(Z|0)){ba=Z;ca=aa}else{q=U;U=aa;while(1){aa=f[q>>2]|0;if((aa|0)<0)da=U;else{f[U>>2]=aa;da=U+4|0}q=q+4|0;if((q|0)==(Z|0))break;else U=da}ba=f[V>>2]|0;ca=da}if((ca|0)!=(ba|0))f[V>>2]=ba+(~((ba+-4-ca|0)>>>2)<<2)}ca=f[_>>2]|0;if(ca>>>0>=(f[$>>2]|0)>>>0){bMa(g,i);ba=f[i>>2]|0;if(ba|0){da=f[V>>2]|0;if((da|0)!=(ba|0))f[V>>2]=da+(~((da+-4-ba|0)>>>2)<<2);fuc(ba)}}else{f[ca>>2]=0;ba=ca+4|0;f[ba>>2]=0;f[ca+8>>2]=0;f[ca>>2]=f[i>>2];f[ba>>2]=f[V>>2];ba=i+8|0;f[ca+8>>2]=f[ba>>2];f[ba>>2]=0;f[V>>2]=0;f[i>>2]=0;f[_>>2]=(f[_>>2]|0)+12}V=f[k>>2]<<2;f[h>>2]=f[n>>2];f[e>>2]=V;f[a>>2]=-1;f[j>>2]=-1;f[i>>2]=0;j=i+4|0;f[j>>2]=0;f[i+8>>2]=0;KKa(i,h,p);p=f[i>>2]|0;h=f[j>>2]|0;d:do if((p|0)==(h|0)){ea=p;T=91}else{a=p;do{if((f[a>>2]|0)<0){ea=a;T=91;break d}a=a+4|0}while((a|0)!=(h|0))}while(0);if((T|0)==91?(ea|0)!=(h|0):0){T=ea+4|0;if((T|0)==(h|0)){fa=h;ga=ea}else{p=T;T=ea;while(1){ea=f[p>>2]|0;if((ea|0)<0)ha=T;else{f[T>>2]=ea;ha=T+4|0}p=p+4|0;if((p|0)==(h|0))break;else T=ha}fa=f[j>>2]|0;ga=ha}if((ga|0)!=(fa|0))f[j>>2]=fa+(~((fa+-4-ga|0)>>>2)<<2)}ga=f[_>>2]|0;if(ga>>>0>=(f[$>>2]|0)>>>0){bMa(g,i);g=f[i>>2]|0;if(g|0){$=f[j>>2]|0;if(($|0)!=(g|0))f[j>>2]=$+(~(($+-4-g|0)>>>2)<<2);fuc(g)}}else{f[ga>>2]=0;g=ga+4|0;f[g>>2]=0;f[ga+8>>2]=0;f[ga>>2]=f[i>>2];f[g>>2]=f[j>>2];g=i+8|0;f[ga+8>>2]=f[g>>2];f[g>>2]=0;f[j>>2]=0;f[i>>2]=0;f[_>>2]=(f[_>>2]|0)+12}_=f[m>>2]|0;if(_|0){m=f[A>>2]|0;if((m|0)!=(_|0))f[A>>2]=m+(~((m+-4-_|0)>>>2)<<2);fuc(_)}_=f[l>>2]|0;if(!_){u=d;return 0}l=f[v>>2]|0;if((l|0)!=(_|0))f[v>>2]=l+(~((l+-4-_|0)>>>2)<<2);fuc(_);u=d;return 0}function vvb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;g=u;u=u+128|0;h=g+112|0;i=g+56|0;j=g;if((f[c+4>>2]|0)!=2){k=cuc(32)|0;f[h>>2]=k;l=h+8|0;f[l>>2]=-2147483616;m=h+4|0;f[m>>2]=28;n=k;o=474942;p=n+28|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));q=k+28|0;b[q>>0]=0;WD(-215,h,475554,474858,161)}if((f[d+4>>2]|0)!=2){k=cuc(32)|0;f[h>>2]=k;l=h+8|0;f[l>>2]=-2147483616;m=h+4|0;f[m>>2]=28;n=k;o=474942;p=n+28|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));q=k+28|0;b[q>>0]=0;WD(-215,h,475554,474858,161)}q=f[c+8>>2]|0;if((q|0)!=(f[d+8>>2]|0)){k=cuc(32)|0;f[h>>2]=k;f[h+8>>2]=-2147483616;f[h+4>>2]=18;n=k;o=474971;p=n+18|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));b[k+18>>0]=0;WD(-215,h,475554,474858,162)}if((q|0)!=(f[c+12>>2]<<2|0)){k=cuc(32)|0;f[h>>2]=k;f[h+8>>2]=-2147483616;f[h+4>>2]=20;n=k;o=474990;p=n+20|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));b[k+20>>0]=0;WD(-215,h,475554,474858,163)}k=f[e+4>>2]|0;if((k|0)<3)r=Y(f[e+12>>2]|0,f[e+8>>2]|0)|0;else{m=f[e+40>>2]|0;l=0;s=1;while(1){t=Y(f[m+(l<<2)>>2]|0,s)|0;l=l+1|0;if((l|0)==(k|0)){r=t;break}else s=t}}if((q|0)!=(r|0)){r=cuc(32)|0;f[h>>2]=r;f[h+8>>2]=-2147483616;f[h+4>>2]=28;n=r;o=475011;p=n+28|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));b[r+28>>0]=0;WD(-215,h,475554,474858,164)}r=f[c>>2]&4095;if((r|0)!=(f[d>>2]&4095|0)){v=cuc(64)|0;f[h>>2]=v;w=h+8|0;f[w>>2]=-2147483584;x=h+4|0;f[x>>2]=50;n=v;o=475040;p=n+50|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));y=v+50|0;b[y>>0]=0;WD(-215,h,475554,474858,165)}if((r|0)!=(f[e>>2]&4095|0)){v=cuc(64)|0;f[h>>2]=v;w=h+8|0;f[w>>2]=-2147483584;x=h+4|0;f[x>>2]=50;n=v;o=475040;p=n+50|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));y=v+50|0;b[y>>0]=0;WD(-215,h,475554,474858,165)}y=a+4|0;tJ(y,3);f[i>>2]=1124007936;a=i+4|0;v=i+8|0;o=i+40|0;n=a;p=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(p|0));f[o>>2]=v;x=i+48|0;w=i+44|0;f[w>>2]=x;f[x>>2]=0;f[i+52>>2]=0;r=h+8|0;f[r>>2]=0;f[r+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=i;EI(c,h);c=f[y>>2]|0;if((c|0)==(i|0)){r=i+36|0;q=f[r>>2]|0;if((q|0)!=0?(s=q+12|0,q=f[s>>2]|0,f[s>>2]=q+-1,(q|0)==1):0){aU(i);z=r}else z=r}else{r=c+36|0;q=f[r>>2]|0;if(q|0?(s=q+12|0,q=f[s>>2]|0,f[s>>2]=q+-1,(q|0)==1):0)aU(c);f[r>>2]=0;q=c+16|0;s=c+4|0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;f[q+12>>2]=0;if((f[s>>2]|0)>0){k=f[c+40>>2]|0;l=0;do{f[k+(l<<2)>>2]=0;l=l+1|0}while((l|0)<(f[s>>2]|0))}f[c>>2]=f[i>>2];f[s>>2]=f[a>>2];s=c+8|0;f[s>>2]=f[v>>2];f[c+12>>2]=f[i+12>>2];f[q>>2]=f[i+16>>2];f[c+20>>2]=f[i+20>>2];f[c+24>>2]=f[i+24>>2];f[c+28>>2]=f[i+28>>2];f[c+32>>2]=f[i+32>>2];q=i+36|0;f[r>>2]=f[q>>2];r=c+44|0;l=f[r>>2]|0;k=c+48|0;if((l|0)==(k|0))A=l;else{TC(l);f[r>>2]=k;f[c+40>>2]=s;A=k}k=i+44|0;if((f[a>>2]|0)<3){s=f[k>>2]|0;f[A>>2]=f[s>>2];f[A+4>>2]=f[s+4>>2]}else{f[r>>2]=f[k>>2];f[c+40>>2]=f[o>>2];f[k>>2]=x;f[o>>2]=v}f[i>>2]=1124007936;n=a;p=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(p|0));z=q}f[z>>2]=0;z=i+16|0;f[z>>2]=0;f[z+4>>2]=0;f[z+8>>2]=0;f[z+12>>2]=0;if((f[a>>2]|0)>0){z=f[o>>2]|0;o=0;do{f[z+(o<<2)>>2]=0;o=o+1|0}while((o|0)<(f[a>>2]|0))}a=f[w>>2]|0;if((a|0)!=(x|0))TC(a);f[i>>2]=1124007936;a=i+4|0;x=i+8|0;w=i+40|0;n=a;p=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(p|0));f[w>>2]=x;o=i+48|0;z=i+44|0;f[z>>2]=o;f[o>>2]=0;f[i+52>>2]=0;q=h+8|0;f[q>>2]=0;f[q+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=i;EI(d,h);d=f[y>>2]|0;q=d+56|0;if((q|0)==(i|0)){v=i+36|0;k=f[v>>2]|0;if((k|0)!=0?(c=k+12|0,k=f[c>>2]|0,f[c>>2]=k+-1,(k|0)==1):0){aU(i);B=v}else B=v}else{v=d+92|0;k=f[v>>2]|0;if(k|0?(c=k+12|0,k=f[c>>2]|0,f[c>>2]=k+-1,(k|0)==1):0)aU(q);f[v>>2]=0;k=d+72|0;c=d+60|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;if((f[c>>2]|0)>0){r=f[d+96>>2]|0;s=0;do{f[r+(s<<2)>>2]=0;s=s+1|0}while((s|0)<(f[c>>2]|0))}f[q>>2]=f[i>>2];q=f[a>>2]|0;f[c>>2]=q;c=d+64|0;f[c>>2]=f[x>>2];f[d+68>>2]=f[i+12>>2];f[k>>2]=f[i+16>>2];f[d+76>>2]=f[i+20>>2];f[d+80>>2]=f[i+24>>2];f[d+84>>2]=f[i+28>>2];f[d+88>>2]=f[i+32>>2];k=i+36|0;f[v>>2]=f[k>>2];v=d+100|0;s=f[v>>2]|0;r=d+104|0;if((s|0)==(r|0)){C=q;D=s}else{TC(s);f[v>>2]=r;f[d+96>>2]=c;C=f[a>>2]|0;D=r}r=i+44|0;if((C|0)<3){C=f[r>>2]|0;f[D>>2]=f[C>>2];f[D+4>>2]=f[C+4>>2]}else{f[v>>2]=f[r>>2];f[d+96>>2]=f[w>>2];f[r>>2]=o;f[w>>2]=x}f[i>>2]=1124007936;n=a;p=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(p|0));B=k}f[B>>2]=0;B=i+16|0;f[B>>2]=0;f[B+4>>2]=0;f[B+8>>2]=0;f[B+12>>2]=0;if((f[a>>2]|0)>0){B=f[w>>2]|0;w=0;do{f[B+(w<<2)>>2]=0;w=w+1|0}while((w|0)<(f[a>>2]|0))}a=f[z>>2]|0;if((a|0)!=(o|0))TC(a);f[j>>2]=1124007936;a=j+4|0;o=j+8|0;z=j+40|0;n=a;p=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(p|0));f[z>>2]=o;o=j+48|0;w=j+44|0;f[w>>2]=o;f[o>>2]=0;f[j+52>>2]=0;B=h+8|0;f[B>>2]=0;f[B+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=j;EI(e,h);mU(i,j,1,1);h=f[y>>2]|0;y=h+112|0;if((y|0)==(i|0)){e=i+36|0;B=f[e>>2]|0;if((B|0)!=0?(k=B+12|0,B=f[k>>2]|0,f[k>>2]=B+-1,(B|0)==1):0){aU(i);E=e}else E=e}else{e=h+148|0;B=f[e>>2]|0;if(B|0?(k=B+12|0,B=f[k>>2]|0,f[k>>2]=B+-1,(B|0)==1):0)aU(y);f[e>>2]=0;B=h+128|0;k=h+116|0;f[B>>2]=0;f[B+4>>2]=0;f[B+8>>2]=0;f[B+12>>2]=0;if((f[k>>2]|0)>0){x=f[h+152>>2]|0;r=0;do{f[x+(r<<2)>>2]=0;r=r+1|0}while((r|0)<(f[k>>2]|0))}f[y>>2]=f[i>>2];y=i+4|0;r=f[y>>2]|0;f[k>>2]=r;k=i+8|0;x=h+120|0;f[x>>2]=f[k>>2];f[h+124>>2]=f[i+12>>2];f[B>>2]=f[i+16>>2];f[h+132>>2]=f[i+20>>2];f[h+136>>2]=f[i+24>>2];f[h+140>>2]=f[i+28>>2];f[h+144>>2]=f[i+32>>2];B=i+36|0;f[e>>2]=f[B>>2];e=h+156|0;d=f[e>>2]|0;v=h+160|0;if((d|0)==(v|0)){F=r;G=d}else{TC(d);f[e>>2]=v;f[h+152>>2]=x;F=f[y>>2]|0;G=v}v=i+44|0;if((F|0)<3){F=f[v>>2]|0;f[G>>2]=f[F>>2];f[G+4>>2]=f[F+4>>2]}else{f[e>>2]=f[v>>2];e=i+40|0;f[h+152>>2]=f[e>>2];f[v>>2]=i+48;f[e>>2]=k}f[i>>2]=1124007936;n=y;p=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(p|0));E=B}f[E>>2]=0;E=i+16|0;B=i+4|0;f[E>>2]=0;f[E+4>>2]=0;f[E+8>>2]=0;f[E+12>>2]=0;if((f[B>>2]|0)>0){E=f[i+40>>2]|0;n=0;do{f[E+(n<<2)>>2]=0;n=n+1|0}while((n|0)<(f[B>>2]|0))}B=f[i+44>>2]|0;if((B|0)!=(i+48|0))TC(B);B=j+36|0;i=f[B>>2]|0;if(i|0?(n=i+12|0,i=f[n>>2]|0,f[n>>2]=i+-1,(i|0)==1):0)aU(j);f[B>>2]=0;B=j+16|0;f[B>>2]=0;f[B+4>>2]=0;f[B+8>>2]=0;f[B+12>>2]=0;if((f[a>>2]|0)>0){B=f[z>>2]|0;z=0;do{f[B+(z<<2)>>2]=0;z=z+1|0}while((z|0)<(f[a>>2]|0))}a=f[w>>2]|0;if((a|0)==(o|0)){u=g;return}TC(a);u=g;return}function wvb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;d=u;u=u+16|0;e=d;g=a+56|0;if(b[a+52>>0]|0){h=f[a+60>>2]|0;a=f[g>>2]|0;i=h-a|0;j=i>>2;k=a;if((k|0)!=(h|0)){if((i|0)<0){h=cuc(80)|0;f[e>>2]=h;f[e+8>>2]=-2147483568;f[e+4>>2]=70;l=h;m=475319;n=l+70|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));b[h+70>>0]=0;WD(-215,e,475390,475396,161)}if(!i)o=1;else{i=0;h=1;while(1){a=Y(f[k+(i<<2)>>2]|0,h)|0;i=i+1|0;if((i|0)==(j|0)){o=a;break}else h=a}}}else o=0;h=f[c+4>>2]|0;j=f[c>>2]|0;i=h-j|0;k=i>>2;a=j;if((a|0)!=(h|0)){if((i|0)<0){h=cuc(80)|0;f[e>>2]=h;f[e+8>>2]=-2147483568;f[e+4>>2]=70;l=h;m=475319;n=l+70|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));b[h+70>>0]=0;WD(-215,e,475390,475396,161)}if(!i)p=1;else{i=0;h=1;while(1){j=Y(f[a+(i<<2)>>2]|0,h)|0;i=i+1|0;if((i|0)==(k|0)){p=j;break}else h=j}}}else p=0;if((o|0)!=(p|0)){p=cuc(64)|0;f[e>>2]=p;f[e+8>>2]=-2147483584;f[e+4>>2]=57;l=p;m=475484;n=l+57|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));b[p+57>>0]=0;WD(-215,e,475542,474858,155)}}if((g|0)==(c|0)){u=d;return}zva(g,f[c>>2]|0,f[c+4>>2]|0);u=d;return}function xvb(a,c){a=a|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;if(!(b[a+52>>0]|0)){b[a+80>>0]=c&1;u=d;return}else{b[e+11>>0]=10;d=e;c=475268;a=d+10|0;do{b[d>>0]=b[c>>0]|0;d=d+1|0;c=c+1|0}while((d|0)<(a|0));b[e+10>>0]=0;WD(-215,e,475300,474858,143)}}function yvb(a,c){a=a|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;if(!(b[a+52>>0]|0)){b[a+81>>0]=c&1;u=d;return}else{b[e+11>>0]=10;d=e;c=475268;a=d+10|0;do{b[d>>0]=b[c>>0]|0;d=d+1|0;c=c+1|0}while((d|0)<(a|0));b[e+10>>0]=0;WD(-215,e,475279,474858,149)}}function zvb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;d=a+8|0;e=f[d>>2]|0;g=f[a>>2]|0;h=g;do if(e-g>>2>>>0>=b>>>0){i=a+4|0;j=f[i>>2]|0;k=j-g>>2;l=k>>>0<b>>>0;m=l?k:b;n=j;if(m|0){j=m;m=h;while(1){f[m>>2]=f[c>>2];j=j+-1|0;if(!j)break;else m=m+4|0}}if(!l){m=h+(b<<2)|0;if((n|0)==(m|0))return;else{o=i;p=n+(~((n+-4-m|0)>>>2)<<2)|0;break}}else{m=b-k|0;j=m;q=n;while(1){f[q>>2]=f[c>>2];j=j+-1|0;if(!j)break;else q=q+4|0}o=i;p=n+(m<<2)|0;break}}else{q=g;if(!g)r=e;else{j=a+4|0;k=f[j>>2]|0;if((k|0)!=(h|0))f[j>>2]=k+(~((k+-4-g|0)>>>2)<<2);fuc(q);f[d>>2]=0;f[j>>2]=0;f[a>>2]=0;r=0}if(b>>>0>1073741823)nsc(a);j=r>>1;q=r>>2>>>0<536870911?(j>>>0<b>>>0?b:j):1073741823;if(q>>>0>1073741823)nsc(a);j=cuc(q<<2)|0;k=a+4|0;f[k>>2]=j;f[a>>2]=j;f[d>>2]=j+(q<<2);q=b;l=j;while(1){f[l>>2]=f[c>>2];q=q+-1|0;if(!q)break;else l=l+4|0}o=k;p=j+(b<<2)|0}while(0);f[o>>2]=p;return}function Avb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0;c=u;u=u+288|0;d=c+272|0;e=c+32|0;g=c;h=c+256|0;gT(e,a);f[d+8>>2]=0;f[d+12>>2]=0;f[d>>2]=-1056571392;f[d+4>>2]=e;a=g+8|0;f[a>>2]=0;f[a+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=b;jD(d,g);Xi(e);p[g>>3]=1.0;a=g+8|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;f[a+16>>2]=0;f[a+20>>2]=0;$S(e,g,b);f[d+8>>2]=0;f[d+12>>2]=0;f[d>>2]=-1056571392;f[d+4>>2]=e;g=h+8|0;f[g>>2]=0;f[g+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=b;lD(d,-1.0,h);Xi(e);u=c;return}function Bvb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0.0,D=0,E=0,F=0,G=0;d=u;u=u+64|0;e=d+40|0;g=d+20|0;h=d;i=a+4|0;j=a+40|0;ZT(c,f[i>>2]|0,f[j>>2]|0,f[a>>2]&4095);k=f[a>>2]|0;switch(k&4095){case 5:{f[e>>2]=a;l=e+4|0;m=f[i>>2]|0;if((m|0)>0)o=f[(f[a+44>>2]|0)+(m+-1<<2)>>2]|0;else o=0;f[l>>2]=o;q=e+8|0;f[q>>2]=0;r=e+12|0;f[r>>2]=0;s=e+16|0;f[s>>2]=0;if(k&16384|0){t=f[a+16>>2]|0;f[r>>2]=t;if((m|0)<3)v=Y(f[a+12>>2]|0,f[a+8>>2]|0)|0;else{r=f[j>>2]|0;w=0;x=1;while(1){y=Y(f[r+(w<<2)>>2]|0,x)|0;w=w+1|0;if((w|0)==(m|0)){v=y;break}else x=y}}x=t+(Y(v,o)|0)|0;f[s>>2]=x}$C(e,0,0);f[g>>2]=c;x=g+4|0;o=f[c+4>>2]|0;if((o|0)>0)z=f[(f[c+44>>2]|0)+(o+-1<<2)>>2]|0;else z=0;f[x>>2]=z;v=g+8|0;f[v>>2]=0;t=g+12|0;f[t>>2]=0;m=g+16|0;f[m>>2]=0;if(f[c>>2]&16384|0){w=f[c+16>>2]|0;f[t>>2]=w;if((o|0)<3)A=Y(f[c+12>>2]|0,f[c+8>>2]|0)|0;else{t=f[c+40>>2]|0;r=0;y=1;while(1){B=Y(f[t+(r<<2)>>2]|0,y)|0;r=r+1|0;if((r|0)==(o|0)){A=B;break}else y=B}}y=w+(Y(A,z)|0)|0;f[m>>2]=y}$C(g,0,0);Cvb(h,a);y=f[e>>2]|0;z=f[q>>2]|0;A=h+8|0;if((y|0)!=(f[h>>2]|0)?1:(z|0)!=(f[A>>2]|0)){w=y;y=z;do{C=+Ihc(+n[y>>2]);n[f[v>>2]>>2]=C;z=f[l>>2]|0;if(w|0?(o=f[s>>2]|0,r=y+z|0,f[q>>2]=r,r>>>0>=o>>>0):0){f[q>>2]=r+(0-z);_C(e,1,1)}z=f[x>>2]|0;if(f[g>>2]|0?(r=f[m>>2]|0,o=(f[v>>2]|0)+z|0,f[v>>2]=o,o>>>0>=r>>>0):0){f[v>>2]=o+(0-z);_C(g,1,1)}Cvb(h,a);w=f[e>>2]|0;y=f[q>>2]|0}while((w|0)!=(f[h>>2]|0)?1:(y|0)!=(f[A>>2]|0))}u=d;return}case 6:{f[e>>2]=a;A=e+4|0;y=f[i>>2]|0;if((y|0)>0)D=f[(f[a+44>>2]|0)+(y+-1<<2)>>2]|0;else D=0;f[A>>2]=D;i=e+8|0;f[i>>2]=0;w=e+12|0;f[w>>2]=0;q=e+16|0;f[q>>2]=0;if(k&16384|0){k=f[a+16>>2]|0;f[w>>2]=k;if((y|0)<3)E=Y(f[a+12>>2]|0,f[a+8>>2]|0)|0;else{w=f[j>>2]|0;j=0;v=1;while(1){m=Y(f[w+(j<<2)>>2]|0,v)|0;j=j+1|0;if((j|0)==(y|0)){E=m;break}else v=m}}v=k+(Y(E,D)|0)|0;f[q>>2]=v}$C(e,0,0);f[g>>2]=c;v=g+4|0;D=f[c+4>>2]|0;if((D|0)>0)F=f[(f[c+44>>2]|0)+(D+-1<<2)>>2]|0;else F=0;f[v>>2]=F;E=g+8|0;f[E>>2]=0;k=g+12|0;f[k>>2]=0;y=g+16|0;f[y>>2]=0;if(f[c>>2]&16384|0){j=f[c+16>>2]|0;f[k>>2]=j;if((D|0)<3)G=Y(f[c+12>>2]|0,f[c+8>>2]|0)|0;else{k=f[c+40>>2]|0;c=0;w=1;while(1){m=Y(f[k+(c<<2)>>2]|0,w)|0;c=c+1|0;if((c|0)==(D|0)){G=m;break}else w=m}}w=j+(Y(G,F)|0)|0;f[y>>2]=w}$C(g,0,0);Dvb(h,a);w=f[e>>2]|0;F=f[i>>2]|0;G=h+8|0;if((w|0)!=(f[h>>2]|0)?1:(F|0)!=(f[G>>2]|0)){j=w;w=F;do{C=+Dhc(+p[w>>3]);p[f[E>>2]>>3]=C;F=f[A>>2]|0;if(j|0?(D=f[q>>2]|0,c=w+F|0,f[i>>2]=c,c>>>0>=D>>>0):0){f[i>>2]=c+(0-F);_C(e,1,1)}F=f[v>>2]|0;if(f[g>>2]|0?(c=f[y>>2]|0,D=(f[E>>2]|0)+F|0,f[E>>2]=D,D>>>0>=c>>>0):0){f[E>>2]=D+(0-F);_C(g,1,1)}Dvb(h,a);j=f[e>>2]|0;w=f[i>>2]|0}while((j|0)!=(f[h>>2]|0)?1:(w|0)!=(f[G>>2]|0))}u=d;return}default:{d=cuc(48)|0;f[e>>2]=d;f[e+8>>2]=-2147483600;f[e+4>>2]=43;G=d;w=475759;h=G+43|0;do{b[G>>0]=b[w>>0]|0;G=G+1|0;w=w+1|0}while((G|0)<(h|0));b[d+43>>0]=0;WD(-210,e,475803,474858,74)}}}function Cvb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;f[a>>2]=b;c=a+4|0;d=b+4|0;e=f[d>>2]|0;if((e|0)>0)g=f[(f[b+44>>2]|0)+(e+-1<<2)>>2]|0;else g=0;f[c>>2]=g;h=a+8|0;f[h>>2]=0;i=a+12|0;f[i>>2]=0;j=a+16|0;f[j>>2]=0;if(f[b>>2]&16384|0){k=f[b+16>>2]|0;f[i>>2]=k;if((e|0)<3)l=Y(f[b+12>>2]|0,f[b+8>>2]|0)|0;else{m=f[b+40>>2]|0;n=0;o=1;while(1){p=Y(f[m+(n<<2)>>2]|0,o)|0;n=n+1|0;if((n|0)==(e|0)){l=p;break}else o=p}}o=k+(Y(l,g)|0)|0;f[j>>2]=o}$C(a,0,0);o=f[d>>2]|0;if((o|0)<3)q=Y(f[b+12>>2]|0,f[b+8>>2]|0)|0;else{d=f[b+40>>2]|0;b=0;g=1;while(1){l=Y(f[d+(b<<2)>>2]|0,g)|0;b=b+1|0;if((b|0)==(o|0)){q=l;break}else g=l}}if((q|0)==0|(f[a>>2]|0)==0)return;g=Y(f[c>>2]|0,q)|0;c=(f[h>>2]|0)+g|0;f[h>>2]=c;if(c>>>0>=(f[i>>2]|0)>>>0?(f[j>>2]|0)>>>0>c>>>0:0)return;f[h>>2]=c+(0-g);_C(a,q,1);return}function Dvb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;f[a>>2]=b;c=a+4|0;d=b+4|0;e=f[d>>2]|0;if((e|0)>0)g=f[(f[b+44>>2]|0)+(e+-1<<2)>>2]|0;else g=0;f[c>>2]=g;h=a+8|0;f[h>>2]=0;i=a+12|0;f[i>>2]=0;j=a+16|0;f[j>>2]=0;if(f[b>>2]&16384|0){k=f[b+16>>2]|0;f[i>>2]=k;if((e|0)<3)l=Y(f[b+12>>2]|0,f[b+8>>2]|0)|0;else{m=f[b+40>>2]|0;n=0;o=1;while(1){p=Y(f[m+(n<<2)>>2]|0,o)|0;n=n+1|0;if((n|0)==(e|0)){l=p;break}else o=p}}o=k+(Y(l,g)|0)|0;f[j>>2]=o}$C(a,0,0);o=f[d>>2]|0;if((o|0)<3)q=Y(f[b+12>>2]|0,f[b+8>>2]|0)|0;else{d=f[b+40>>2]|0;b=0;g=1;while(1){l=Y(f[d+(b<<2)>>2]|0,g)|0;b=b+1|0;if((b|0)==(o|0)){q=l;break}else g=l}}if((q|0)==0|(f[a>>2]|0)==0)return;g=Y(f[c>>2]|0,q)|0;c=(f[h>>2]|0)+g|0;f[h>>2]=c;if(c>>>0>=(f[i>>2]|0)>>>0?(f[j>>2]|0)>>>0>c>>>0:0)return;f[h>>2]=c+(0-g);_C(a,q,1);return}function Evb(a,b){a=a|0;b=b|0;var c=0;c=cuc(72)|0;Fvb(c,b);f[a>>2]=c;b=cuc(16)|0;f[b+4>>2]=0;f[b+8>>2]=0;f[b>>2]=137444;f[b+12>>2]=c;f[a+4>>2]=b;return}function Fvb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=u;u=u+16|0;e=d;g=d+4|0;WMa(a);f[a+48>>2]=0;h=a+52|0;f[h>>2]=0;f[a+56>>2]=0;f[a>>2]=137472;f[a+60>>2]=0;f[a+64>>2]=0;f[a+68>>2]=0;XMa(a,c);f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;i=g+11|0;b[i>>0]=4;f[g>>2]=1936291937;b[g+4>>0]=0;j=gEa(c,g)|0;k=c+4|0;if((j|0)==(k|0))l=2;else{m=hEa(j+28|0,-1)|0;l=m}f[a+44>>2]=l;if((b[i>>0]|0)<0)fuc(f[g>>2]|0);f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;i=g+11|0;b[i>>0]=6;b[g>>0]=b[476235]|0;b[g+1>>0]=b[476236]|0;b[g+2>>0]=b[476237]|0;b[g+3>>0]=b[476238]|0;b[g+4>>0]=b[476239]|0;b[g+5>>0]=b[476240]|0;b[g+6>>0]=0;l=gEa(c,g)|0;c=(l|0)==(k|0)?0:l+28|0;if((b[i>>0]|0)<0)fuc(f[g>>2]|0);if(!c){u=d;return}i=c+4|0;l=a+56|0;k=a+48|0;a=c+4|0;m=0;a:while(1){n=f[c>>2]|0;switch(n|0){case 0:{o=(f[i>>2]|0)+4|0;break}case 3:{o=(f[a>>2]|0)+4|0;break}case 2:{o=(f[a>>2]|0)+4|0;break}default:{p=13;break a}}if((m|0)>=(f[o>>2]|0)){p=19;break}j=hEa(c,m)|0;f[g>>2]=j;q=f[h>>2]|0;if(q>>>0<(f[l>>2]|0)>>>0){f[q>>2]=j;f[h>>2]=q+4}else Aw(k,g);m=m+1|0}if((p|0)==13){f[e>>2]=n;cE(g,476242,e);WD(-3,g,476262,476267,297)}else if((p|0)==19){u=d;return}}function Gvb(a){a=a|0;Qtc(a);fuc(a);return}function Hvb(a){a=a|0;var b=0;b=f[a+12>>2]|0;if(!b)return;bi[f[(f[b>>2]|0)+4>>2]&2047](b);return}function Ivb(a,b){a=a|0;b=b|0;return ((f[b+4>>2]|0)==476082?a+12|0:0)|0}function Jvb(a){a=a|0;fuc(a);return}function Kvb(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=137580;b=f[a+48>>2]|0;if(!b){pKa(a);return}c=a+52|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b);pKa(a);return}function Lvb(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=137580;b=f[a+48>>2]|0;if(!b){pKa(a);fuc(a);return}c=a+52|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b);pKa(a);fuc(a);return}function Mvb(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=137472;b=f[a+60>>2]|0;if(b|0){c=a+64|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-8-b|0)>>>3)<<3);fuc(b)}f[a>>2]=137580;b=f[a+48>>2]|0;if(!b){pKa(a);return}d=a+52|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-4-b|0)>>>2)<<2);fuc(b);pKa(a);return}function Nvb(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=137472;b=f[a+60>>2]|0;if(b|0){c=a+64|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-8-b|0)>>>3)<<3);fuc(b)}f[a>>2]=137580;b=f[a+48>>2]|0;if(!b){pKa(a);fuc(a);return}d=a+52|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-4-b|0)>>>2)<<2);fuc(b);pKa(a);fuc(a);return}function Ovb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;d=u;u=u+48|0;e=d+24|0;g=d+12|0;h=d;f[e>>2]=0;i=e+4|0;f[i>>2]=0;f[e+8>>2]=0;sJ(c,e);c=f[e>>2]|0;j=c;if(((f[i>>2]|0)-c|0)!=112){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;c=cuc(32)|0;f[g>>2]=c;f[g+8>>2]=-2147483616;f[g+4>>2]=18;k=c;l=476591;m=k+18|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));b[c+18>>0]=0;WD(-215,g,476610,476406,97)}c=f[j+4>>2]|0;i=f[a+44>>2]|0;n=((i|0)<0?c:0)+i|0;f[g>>2]=0;i=g+4|0;f[i>>2]=0;f[g+8>>2]=0;do if(c)if(c>>>0>1073741823)nsc(g);else{o=c<<2;p=cuc(o)|0;f[g>>2]=p;q=p+(c<<2)|0;f[g+8>>2]=q;kzc(p|0,0,o|0)|0;f[i>>2]=q;r=p;break}else r=0;while(0);p=f[a+48>>2]|0;q=(f[a+52>>2]|0)-p>>2;o=p;switch(q|0){case 1:{if((c|0)>(n|0)){p=n;do{f[r+(p<<2)>>2]=f[o>>2];p=p+1|0}while((p|0)!=(c|0))}break}case 0:break;default:{if((q|0)!=(c-n|0)){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;q=cuc(96)|0;f[h>>2]=q;f[h+8>>2]=-2147483552;f[h+4>>2]=91;k=q;l=476619;m=k+91|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));b[q+91>>0]=0;WD(-5,h,476610,476406,115)}if((c|0)>(n|0)){q=n;do{f[r+(q<<2)>>2]=f[o+(q-n<<2)>>2];q=q+1|0}while((q|0)!=(c|0))}}}q=a+60|0;o=a+64|0;a=f[o>>2]|0;r=f[q>>2]|0;p=a-r>>3;s=r;r=a;if(c>>>0<=p>>>0){if(c>>>0<p>>>0?(a=s+(c<<3)|0,(r|0)!=(a|0)):0)f[o>>2]=r+(~((r+-8-a|0)>>>3)<<3)}else Vtb(q,c-p|0);if((n|0)>0){p=j+40|0;a=0;do{r=f[(f[p>>2]|0)+(a<<2)>>2]|0;o=(f[q>>2]|0)+(a<<3)|0;f[o>>2]=0;f[o+4>>2]=r;a=a+1|0}while((a|0)!=(n|0))}a:do if((c|0)>(n|0)){a=j+96|0;p=j+40|0;r=n;while(1){o=f[(f[g>>2]|0)+(r<<2)>>2]|0;if((o|0)<0){t=31;break}s=(f[(f[a>>2]|0)+(r<<2)>>2]|0)+o|0;if((s|0)>(f[(f[p>>2]|0)+(r<<2)>>2]|0)){t=31;break}v=(f[q>>2]|0)+(r<<3)|0;f[v>>2]=o;f[v+4>>2]=s;r=r+1|0;if((r|0)>=(c|0))break a}if((t|0)==31){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;r=cuc(48)|0;f[h>>2]=r;f[h+8>>2]=-2147483600;f[h+4>>2]=37;k=r;l=476711;m=k+37|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));b[r+37>>0]=0;WD(-5,h,476610,476406,129)}}while(0);h=f[g>>2]|0;if(!h){ut(e);u=d;return}g=f[i>>2]|0;if((g|0)!=(h|0))f[i>>2]=g+(~((g+-4-h|0)>>>2)<<2);fuc(h);ut(e);u=d;return}function Pvb(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0;e=u;u=u+112|0;g=e+96|0;h=e+84|0;i=e+72|0;j=e+16|0;k=e;gV(g,137680);if(f[g>>2]|0){}if((CJ(b,-1)|0)==3)JKa(a,b,c,d);else{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;sJ(b,h);sJ(c,i);cU(j,f[h>>2]|0,f[a+60>>2]|0);a=f[i>>2]|0;c=k+8|0;f[c>>2]=0;f[c+4>>2]=0;f[k>>2]=33619968;f[k+4>>2]=a;EI(j,k);k=j+36|0;a=f[k>>2]|0;if(a|0?(c=a+12|0,a=f[c>>2]|0,f[c>>2]=a+-1,(a|0)==1):0)aU(j);f[k>>2]=0;k=j+16|0;a=j+4|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;if((f[a>>2]|0)>0){k=f[j+40>>2]|0;c=0;do{f[k+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[a>>2]|0))}a=f[j+44>>2]|0;if((a|0)!=(j+48|0))TC(a);ut(i);ut(h)}if(!(f[g+4>>2]|0)){u=e;return}u=e;return}function Qvb(a,b){a=a|0;b=b|0;var c=0;switch(b|0){case 3:{c=1;break}case 2:{c=((f[a+64>>2]|0)-(f[a+60>>2]|0)|0)==32;break}default:c=0}return c|0}function Rvb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function Svb(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0;g=u;u=u+16|0;d=g;h=f[c>>2]|0;if(((f[c+4>>2]|0)-h|0)!=24){i=cuc(32)|0;f[d>>2]=i;f[d+8>>2]=-2147483616;f[d+4>>2]=18;j=i;k=476387;l=j+18|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[i+18>>0]=0;WD(-215,d,477070,476406,79)}tHa(d,h);h=f[a+44>>2]|0;a=d+4|0;i=f[d>>2]|0;k=(f[a>>2]|0)-i>>2;j=((h|0)<0?k:0)+h|0;h=i;if(j>>>0<k>>>0){i=f[(f[c>>2]|0)+12>>2]|0;c=j;do{f[h+(c<<2)>>2]=f[i+(c<<2)>>2];c=c+1|0}while(c>>>0<k>>>0)}k=e+4|0;c=f[k>>2]|0;i=f[e>>2]|0;h=c-i|0;j=(h|0)/12|0;l=i;i=c;if(h){if(j>>>0>1?(h=l+12|0,(i|0)!=(h|0)):0){l=i;while(1){i=l+-12|0;f[k>>2]=i;c=f[i>>2]|0;if(!c)m=i;else{i=l+-8|0;n=f[i>>2]|0;if((n|0)!=(c|0))f[i>>2]=n+(~((n+-4-c|0)>>>2)<<2);fuc(c);m=f[k>>2]|0}if((m|0)==(h|0))break;else l=m}}}else Hmb(e,1-j|0,d);j=f[d>>2]|0;if(!j){u=g;return 0}d=f[a>>2]|0;if((d|0)!=(j|0))f[a>>2]=d+(~((d+-4-j|0)>>>2)<<2);fuc(j);u=g;return 0}function Tvb(a,b){a=a|0;b=b|0;var c=0;c=cuc(48)|0;Uvb(c,b);f[a>>2]=c;b=cuc(16)|0;f[b+4>>2]=0;f[b+8>>2]=0;f[b>>2]=137720;f[b+12>>2]=c;f[a+4>>2]=b;return}function Uvb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;d=u;u=u+16|0;e=d;WMa(a);f[a>>2]=137748;XMa(a,c);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;g=e+11|0;b[g>>0]=9;h=e;i=476929;j=h+9|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(j|0));b[e+9>>0]=0;k=(cGa(c,e)|0)==0;if((b[g>>0]|0)<0)fuc(f[e>>2]|0);if(k){f[a+44>>2]=-1;u=d;return};f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;k=e+11|0;b[k>>0]=9;h=e;i=476929;j=h+9|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(j|0));b[e+9>>0]=0;g=hEa(iGa(c,e)|0,-1)|0;c=a+44|0;f[c>>2]=g;if((b[k>>0]|0)<0){fuc(f[e>>2]|0);l=f[c>>2]|0}else l=g;if((l|0)>-1){u=d;return}else{f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;d=cuc(32)|0;f[e>>2]=d;f[e+8>>2]=-2147483616;f[e+4>>2]=17;h=d;i=476939;j=h+17|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(j|0));b[d+17>>0]=0;WD(-215,e,476957,476972,61)}}function Vvb(a){a=a|0;Qtc(a);fuc(a);return}function Wvb(a){a=a|0;var b=0;b=f[a+12>>2]|0;if(!b)return;bi[f[(f[b>>2]|0)+4>>2]&2047](b);return}function Xvb(a,b){a=a|0;b=b|0;return ((f[b+4>>2]|0)==476774?a+12|0:0)|0}function Yvb(a){a=a|0;fuc(a);return}function Zvb(a){a=a|0;pKa(a);fuc(a);return}function _vb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;g=u;u=u+48|0;h=g+40|0;i=g+28|0;j=g+16|0;k=g;gV(h,137848);if(f[h>>2]|0){}if((CJ(c,-1)|0)==3)JKa(a,c,d,e);else{f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[j>>2]=0;e=j+4|0;f[e>>2]=0;f[j+8>>2]=0;sJ(c,i);sJ(d,j);d=f[j>>2]|0;a:do if((f[e>>2]|0)!=(d|0)){c=k+8|0;a=k+4|0;l=0;m=d;while(1){n=m;o=f[i>>2]|0;p=f[o+4>>2]|0;if((p|0)<3)q=Y(f[o+12>>2]|0,f[o+8>>2]|0)|0;else{r=f[o+40>>2]|0;s=0;t=1;while(1){v=Y(f[r+(s<<2)>>2]|0,t)|0;s=s+1|0;if((s|0)==(p|0)){q=v;break}else t=v}}t=f[n+(l*56|0)+4>>2]|0;if((t|0)<3)w=Y(f[n+(l*56|0)+12>>2]|0,f[n+(l*56|0)+8>>2]|0)|0;else{p=f[n+(l*56|0)+40>>2]|0;s=0;r=1;while(1){v=Y(f[p+(s<<2)>>2]|0,r)|0;s=s+1|0;if((s|0)==(t|0)){w=v;break}else r=v}}if((q|0)!=(w|0))break;r=c;f[r>>2]=0;f[r+4>>2]=0;f[k>>2]=33619968;f[a>>2]=n+(l*56|0);EI(o,k);l=l+1|0;m=f[j>>2]|0;if(l>>>0>=(((f[e>>2]|0)-m|0)/56|0)>>>0)break a}f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;m=cuc(48)|0;f[k>>2]=m;f[k+8>>2]=-2147483600;f[k+4>>2]=39;l=m;a=477086;c=l+39|0;do{b[l>>0]=b[a>>0]|0;l=l+1|0;a=a+1|0}while((l|0)<(c|0));b[m+39>>0]=0;WD(-215,k,477126,476972,97)}while(0);ut(j);ut(i)}if(!(f[h+4>>2]|0)){u=g;return}u=g;return}function $vb(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0;h=u;u=u+16|0;i=h;if(((f[c+4>>2]|0)-(f[c>>2]|0)|0)==12){j=f[a+44>>2]|0;k=(j|0)>-1?j:d;GKa(a,c,(k|0)>1?k:1,e,g)|0;u=h;return 0}else{h=cuc(32)|0;f[i>>2]=h;f[i+8>>2]=-2147483616;f[i+4>>2]=18;g=h;e=477051;k=g+18|0;do{b[g>>0]=b[e>>0]|0;g=g+1|0;e=e+1|0}while((g|0)<(k|0));b[h+18>>0]=0;WD(-215,i,477070,476972,74)}return 0}function awb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0;f[a>>2]=138048;b=a+36|0;c=f[b>>2]|0;if(c|0?(f[a+24>>2]|0)==0:0){d=f[c>>2]|0;if((d|0)>0){e=0;do{g=f[c+4+(e<<2)>>2]|0;if(g|0)bi[f[(f[g>>2]|0)+4>>2]&2047](g);e=e+1|0}while((e|0)!=(d|0));h=f[b>>2]|0}else h=c;fuc(h)}f[b>>2]=0;b=a+20|0;h=f[b>>2]|0;if(h|0?(f[a+8>>2]|0)==0:0){c=f[h>>2]|0;if((c|0)>0){d=0;do{e=f[h+4+(d<<2)>>2]|0;if(e|0)bi[f[(f[e>>2]|0)+4>>2]&2047](e);d=d+1|0}while((d|0)!=(c|0));i=f[b>>2]|0}else i=h;fuc(i)}f[b>>2]=0;b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}i=a&-2;a=i;if((i|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(i);f[b>>2]=0;return}function bwb(a){a=a|0;awb(a);fuc(a);return}function cwb(a){a=a|0;a=cuc(44)|0;Fyb(a);return a|0}function dwb(a,b){a=a|0;b=b|0;var c=0;if(!b){a=cuc(44)|0;Fyb(a);c=a;return c|0}if(f[b+64>>2]|0)HIb(b,22840,48);a=FIb(b,48)|0;Gyb(a,b);c=a;return c|0}function ewb(a){a=a|0;var b=0,c=0;b=f[a+4>>2]|0;a=b&-2;if(!(b&1)){c=a;return c|0}else{c=f[a+4>>2]|0;return c|0}return 0}function fwb(a){a=a|0;return f[a+4>>2]|0}function gwb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;Eyb(a+8|0);c=a+28|0;d=f[c>>2]|0;if((d|0)>0){e=f[a+36>>2]|0;g=0;do{h=f[e+4+(g<<2)>>2]|0;g=g+1|0;i=h+4|0;j=f[h+8>>2]|0;do if((j|0)!=542896){k=j+11|0;if((b[k>>0]|0)<0){b[f[j>>2]>>0]=0;f[j+4>>2]=0;break}else{b[j>>0]=0;b[k>>0]=0;break}}while(0);j=f[h+12>>2]|0;do if((j|0)!=542896){k=j+11|0;if((b[k>>0]|0)<0){b[f[j>>2]>>0]=0;f[j+4>>2]=0;break}else{b[j>>0]=0;b[k>>0]=0;break}}while(0);j=f[i>>2]|0;if(j&1|0?(h=j&-2,f[h>>2]|0):0)ebc(h)}while((g|0)!=(d|0));f[c>>2]=0}c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;ebc(a);return}function hwb(a){a=a|0;return 1}function iwb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0;d=u;u=u+16|0;e=d;g=c+4|0;h=a+8|0;i=a+20|0;j=a+16|0;k=a+12|0;l=e+4|0;m=a+24|0;n=a+36|0;o=a+32|0;p=a+28|0;q=e+4|0;r=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){s=b[a>>0]|0;t=s&255;if(s<<24>>24>0){f[c>>2]=a+1;v=t;w=6}else{x=t;w=5}}else{x=0;w=5}if((w|0)==5){w=0;t=OJb(c,x)|0;if((t+-1|0)>>>0<127){v=t;w=6}else y=t}b:do if((w|0)==6){w=0;switch(v>>>3&536870911|0){case 1:{if((v&255|0)!=10){y=v;break b}t=f[i>>2]|0;do if(t){a=f[k>>2]|0;s=f[t>>2]|0;if((a|0)>=(s|0))if((s|0)==(f[j>>2]|0)){z=s;w=13;break}else{A=s;B=t;w=14;break}else{f[k>>2]=a+1;C=f[t+4+(a<<2)>>2]|0;break}}else{z=f[j>>2]|0;w=13}while(0);if((w|0)==13){w=0;LKb(h,z+1|0);t=f[i>>2]|0;A=f[t>>2]|0;B=t;w=14}if((w|0)==14){w=0;f[B>>2]=A+1;t=f[h>>2]|0;if(!t){a=cuc(32)|0;yyb(a);D=a}else{if(f[t+64>>2]|0)HIb(t,22872,32);a=FIb(t,32)|0;zyb(a,t);D=a}a=f[i>>2]|0;t=f[k>>2]|0;f[k>>2]=t+1;f[a+4+(t<<2)>>2]=D;C=D}t=f[c>>2]|0;if(t>>>0<(f[g>>2]|0)>>>0?(a=b[t>>0]|0,a<<24>>24>-1):0){f[c>>2]=t+1;E=a&255}else{a=NJb(c)|0;if((a|0)>-1)E=a;else{F=0;w=54;break a}}yJb(e,c,E);if((f[l>>2]|0)<0){w=26;break a}if(!(Th[f[(f[C>>2]|0)+44>>2]&1023](C,c)|0)){w=26;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{F=0;w=54;break a}break}case 2:{if((v&255|0)!=18){y=v;break b}a=f[n>>2]|0;do if(a){t=f[p>>2]|0;s=f[a>>2]|0;if((t|0)>=(s|0))if((s|0)==(f[o>>2]|0)){G=s;w=34;break}else{H=s;I=a;w=35;break}else{f[p>>2]=t+1;J=f[a+4+(t<<2)>>2]|0;break}}else{G=f[o>>2]|0;w=34}while(0);if((w|0)==34){w=0;LKb(m,G+1|0);a=f[n>>2]|0;H=f[a>>2]|0;I=a;w=35}if((w|0)==35){w=0;f[I>>2]=H+1;a=f[m>>2]|0;if(!a){t=cuc(20)|0;Swb(t);K=t}else{if(f[a+64>>2]|0)HIb(a,22856,24);t=FIb(a,24)|0;Twb(t,a);K=t}t=f[n>>2]|0;a=f[p>>2]|0;f[p>>2]=a+1;f[t+4+(a<<2)>>2]=K;J=K}a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(t=b[a>>0]|0,t<<24>>24>-1):0){f[c>>2]=a+1;L=t&255}else{t=NJb(c)|0;if((t|0)>-1)L=t;else{F=0;w=54;break a}}yJb(e,c,L);if((f[q>>2]|0)<0){w=47;break a}if(!(Th[f[(f[J>>2]|0)+44>>2]&1023](J,c)|0)){w=47;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{F=0;w=54;break a}break}default:{y=v;break b}}}while(0);if(!y){F=1;w=54;break}t=f[r>>2]|0;if(!(t&1))M=OOa(r)|0;else M=t&-2;if(!(xbc(c,y,M)|0)){F=0;w=54;break}}if((w|0)==26){F=0;u=d;return F|0}else if((w|0)==47){F=0;u=d;return F|0}else if((w|0)==54){u=d;return F|0}return 0}function jwb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;c=f[a+4>>2]|0;if((c&1|0)!=0&(b[488459]|0)!=0)d=Dbc(c&-2)|0;else d=0;c=f[a+12>>2]|0;e=c+d|0;if(!c)g=e;else{d=a+20|0;h=0;i=e;while(1){e=f[(f[d>>2]|0)+4+(h<<2)>>2]|0;j=di[f[(f[e>>2]|0)+48>>2]&1023](e)|0;e=j+i+((((($(j|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=h+1|0;if((h|0)==(c|0)){g=e;break}else i=e}}i=f[a+28>>2]|0;c=i+g|0;if(!i){k=c;l=a+40|0;f[l>>2]=k;return k|0}g=a+36|0;h=0;d=c;while(1){c=f[(f[g>>2]|0)+4+(h<<2)>>2]|0;e=di[f[(f[c>>2]|0)+48>>2]&1023](c)|0;c=e+d+((((($(e|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=h+1|0;if((h|0)==(i|0)){k=c;break}else d=c}l=a+40|0;f[l>>2]=k;return k|0}function kwb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;d=f[a+12>>2]|0;if(d|0){e=a+20|0;g=0;do{_Lb(1,f[(f[e>>2]|0)+4+(g<<2)>>2]|0,c);g=g+1|0}while((g|0)!=(d|0))}d=f[a+28>>2]|0;if(d|0){g=a+36|0;e=0;do{_Lb(2,f[(f[g>>2]|0)+4+(e<<2)>>2]|0,c);e=e+1|0}while((e|0)!=(d|0))}d=f[a+4>>2]|0;if(!((d&1|0)!=0&(b[488459]|0)!=0))return;Abc(d&-2,c);return}function lwb(a){a=a|0;return f[a+40>>2]|0}function mwb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;e=f[a+12>>2]|0;if(!e)g=d;else{h=a+20|0;i=0;j=d;while(1){d=f[(f[h>>2]|0)+4+(i<<2)>>2]|0;b[j>>0]=10;k=j+1|0;l=di[f[(f[d>>2]|0)+60>>2]&1023](d)|0;if(l>>>0>127){m=l;n=k;while(1){b[n>>0]=m|128;o=m>>>7;p=n+1|0;if(m>>>0>16383){m=o;n=p}else{q=p;r=o;break}}}else{q=k;r=l}b[q>>0]=r;n=li[f[(f[d>>2]|0)+64>>2]&511](d,c,q+1|0)|0;i=i+1|0;if((i|0)==(e|0)){g=n;break}else j=n}}j=f[a+28>>2]|0;if(!j)s=g;else{e=a+36|0;i=0;q=g;while(1){g=f[(f[e>>2]|0)+4+(i<<2)>>2]|0;b[q>>0]=18;r=q+1|0;h=di[f[(f[g>>2]|0)+60>>2]&1023](g)|0;if(h>>>0>127){n=h;m=r;while(1){b[m>>0]=n|128;o=n>>>7;p=m+1|0;if(n>>>0>16383){n=o;m=p}else{t=p;u=o;break}}}else{t=r;u=h}b[t>>0]=u;m=li[f[(f[g>>2]|0)+64>>2]&511](g,c,t+1|0)|0;i=i+1|0;if((i|0)==(j|0)){s=m;break}else q=m}}q=f[a+4>>2]|0;if(!((q&1|0)!=0&(b[488459]|0)!=0)){v=s;return v|0}v=Bbc(q&-2,s)|0;return v|0}function nwb(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;gwb(a);owb(a,b);return}function owb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=ovc(b,24728,22840,0)|0;if(!c){A9b(b,a);return}b=a+4|0;d=f[c+4>>2]|0;if(d&1|0){e=f[b>>2]|0;if(!(e&1))g=OOa(b)|0;else g=e&-2;hbc(g,d&-2)}Ayb(a+8|0,c+8|0);Byb(a+24|0,c+24|0);return}function pwb(a,b){a=a|0;b=b|0;f[a+40>>2]=b;return}function qwb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224929]|0)!=2){f[d>>2]=151624;f[d+4>>2]=94;b[d+8>>0]=0;xLb(899716,d);QKb(d)}d=541320;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function rwb(){var a=0,c=0,d=0,e=0,g=0,h=0;a=u;u=u+16|0;c=a;if((f[224930]|0)!=2){f[c>>2]=151624;f[c+4>>2]=95;b[c+8>>0]=0;xLb(899720,c);QKb(c)}d=cuc(16)|0;f[c>>2]=d;f[c+8>>2]=-2147483632;f[c+4>>2]=14;e=d;g=477311;h=e+14|0;do{b[e>>0]=b[g>>0]|0;e=e+1|0;g=g+1|0}while((e|0)<(h|0));b[d+14>>0]=0;T3b(c,138148,138208,137880,0,541320,0,0);if((b[c+11>>0]|0)>=0){u=a;return}fuc(f[c>>2]|0);u=a;return}function swb(){twb();bQb(477326,615);n9b(477311,1988);MQa();aBb();return}function twb(){var a=0,c=0;a=u;u=u+16|0;c=a;if((f[224931]|0)!=2){f[c>>2]=151624;f[c+4>>2]=96;b[c+8>>0]=0;xLb(899724,c);QKb(c)}if((f[224932]|0)!=2){f[c>>2]=151624;f[c+4>>2]=97;b[c+8>>0]=0;xLb(899728,c);QKb(c)}if((f[224933]|0)!=2){f[c>>2]=151624;f[c+4>>2]=98;b[c+8>>0]=0;xLb(899732,c);QKb(c)}if((f[224934]|0)!=2){f[c>>2]=151624;f[c+4>>2]=99;b[c+8>>0]=0;xLb(899736,c);QKb(c)}if((f[224935]|0)==2){u=a;return}f[c>>2]=151624;f[c+4>>2]=100;b[c+8>>0]=0;xLb(899740,c);QKb(c);u=a;return}function uwb(a){a=a|0;var c=0;a=u;u=u+16|0;c=a;if((f[224929]|0)!=2){f[c>>2]=151624;f[c+4>>2]=94;b[c+8>>0]=0;xLb(899716,c);QKb(c)}Y3b(541320,5);u=a;return}function vwb(){var a=0,c=0,d=0;a=u;u=u+16|0;c=a;TKb(3005001,3005e3,477942);LIb();if((f[224934]|0)!=2){f[c>>2]=151624;f[c+4>>2]=99;b[c+8>>0]=0;xLb(899736,c);QKb(c)}if((f[224935]|0)!=2){f[c>>2]=151624;f[c+4>>2]=100;b[c+8>>0]=0;xLb(899740,c);QKb(c)}f[135272]=138048;c=541092;d=c+36|0;do{f[c>>2]=0;c=c+4|0}while((c|0)<(d|0));f[135282]=0;qLb(541088);u=a;return}function wwb(){TKb(3005001,3005e3,477942);LIb();LQa();f[135287]=0;f[135285]=542896;f[135288]=0;f[135289]=0;f[135284]=138644;f[135286]=535936;return}function xwb(){var a=0,c=0;a=u;u=u+16|0;c=a;TKb(3005001,3005e3,477942);LIb();if((f[224932]|0)!=2){f[c>>2]=151624;f[c+4>>2]=97;b[c+8>>0]=0;xLb(899728,c);QKb(c)}mxb(541160);qLb(541160);u=a;return}function ywb(){var a=0,c=0;a=u;u=u+16|0;c=a;TKb(3005001,3005e3,477942);LIb();$Ab();if((f[224933]|0)!=2){f[c>>2]=151624;f[c+4>>2]=98;b[c+8>>0]=0;xLb(899732,c);QKb(c)}f[135316]=138344;f[135317]=0;f[135318]=0;f[135319]=0;f[135320]=0;f[135321]=0;f[135322]=0;f[135323]=0;qLb(541264);f[135322]=541448;u=a;return}function zwb(){TKb(3005001,3005e3,477942);LIb();f[135324]=138236;f[135325]=0;f[135326]=542896;f[135327]=542896;f[135328]=0;qLb(541296);return}function Awb(a){a=a|0;var c=0,d=0;f[a>>2]=138236;c=f[a+8>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}c=f[a+12>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}c=a+4|0;a=f[c>>2]|0;if(!(a&1)){f[c>>2]=0;return}d=a&-2;a=d;if((d|0)==0|(f[a+4>>2]|0)!=0){f[c>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(d);f[c>>2]=0;return}function Bwb(a){a=a|0;Awb(a);fuc(a);return}function Cwb(a){a=a|0;a=cuc(20)|0;Swb(a);return a|0}function Dwb(a,b){a=a|0;b=b|0;var c=0;if(!b){a=cuc(20)|0;Swb(a);c=a;return c|0}if(f[b+64>>2]|0)HIb(b,22856,24);a=FIb(b,24)|0;Twb(a,b);c=a;return c|0}function Ewb(a){a=a|0;var b=0,c=0;b=f[a+4>>2]|0;a=b&-2;if(!(b&1)){c=a;return c|0}else{c=f[a+4>>2]|0;return c|0}return 0}function Fwb(a){a=a|0;return f[a+4>>2]|0}function Gwb(a){a=a|0;var c=0,d=0,e=0;c=a+4|0;d=f[a+8>>2]|0;do if((d|0)!=542896){e=d+11|0;if((b[e>>0]|0)<0){b[f[d>>2]>>0]=0;f[d+4>>2]=0;break}else{b[d>>0]=0;b[e>>0]=0;break}}while(0);d=f[a+12>>2]|0;do if((d|0)!=542896){a=d+11|0;if((b[a>>0]|0)<0){b[f[d>>2]>>0]=0;f[d+4>>2]=0;break}else{b[d>>0]=0;b[a>>0]=0;break}}while(0);d=f[c>>2]|0;if(!(d&1))return;c=d&-2;if(!(f[c>>2]|0))return;ebc(c);return}function Hwb(a){a=a|0;return 1}function Iwb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;d=c+4|0;e=a+8|0;g=a+4|0;h=a+8|0;i=a+12|0;j=a+12|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[d>>2]|0)>>>0){k=b[a>>0]|0;l=k&255;if(k<<24>>24>0){f[c>>2]=a+1;m=l;n=6}else{o=l;n=5}}else{o=0;n=5}if((n|0)==5){n=0;l=OJb(c,o)|0;if((l+-1|0)>>>0<127){m=l;n=6}else p=l}b:do if((n|0)==6){n=0;switch(m>>>3&536870911|0){case 1:{if((m&255|0)!=10){p=m;break b}l=f[g>>2]|0;a=l&-2;if(!(l&1))q=a;else q=f[a+4>>2]|0;a=f[e>>2]|0;if((a|0)==542896){QGa(e,q,542896);r=f[e>>2]|0}else r=a;if(!($Lb(c,r)|0)){s=0;n=34;break a}a=f[h>>2]|0;l=b[a+11>>0]|0;if(l<<24>>24<0){t=f[a>>2]|0;u=f[a+4>>2]|0}else{t=a;u=l&255}if(aMb(t,u,0,478025)|0)continue a;else{s=0;n=34;break a}break}case 2:{if((m&255|0)!=18){p=m;break b}l=f[g>>2]|0;a=l&-2;if(!(l&1))v=a;else v=f[a+4>>2]|0;a=f[i>>2]|0;if((a|0)==542896){QGa(i,v,542896);w=f[i>>2]|0}else w=a;if(!($Lb(c,w)|0)){s=0;n=34;break a}a=f[j>>2]|0;l=b[a+11>>0]|0;if(l<<24>>24<0){x=f[a>>2]|0;y=f[a+4>>2]|0}else{x=a;y=l&255}if(aMb(x,y,0,478069)|0)continue a;else{s=0;n=34;break a}break}default:{p=m;break b}}}while(0);if(!p){s=1;n=34;break}l=f[g>>2]|0;if(!(l&1))z=OOa(g)|0;else z=l&-2;if(!(xbc(c,p,z)|0)){s=0;n=34;break}}if((n|0)==34)return s|0;return 0}function Jwb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;c=f[a+4>>2]|0;if((c&1|0)!=0&(b[488459]|0)!=0)d=Dbc(c&-2)|0;else d=0;c=f[a+8>>2]|0;e=b[c+11>>0]|0;g=e<<24>>24<0;if(g)h=f[c+4>>2]|0;else h=e&255;if(!h)i=d;else{h=g?f[c+4>>2]|0:e&255;i=d+1+h+((((($(h|1|0)|0)^31)*9|0)+73|0)>>>6)|0}h=f[a+12>>2]|0;d=b[h+11>>0]|0;e=d<<24>>24<0;if(e)j=f[h+4>>2]|0;else j=d&255;if(!j){k=i;l=a+16|0;f[l>>2]=k;return k|0}j=e?f[h+4>>2]|0:d&255;k=i+1+j+((((($(j|1|0)|0)^31)*9|0)+73|0)>>>6)|0;l=a+16|0;f[l>>2]=k;return k|0}function Kwb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;d=a+8|0;e=f[d>>2]|0;g=b[e+11>>0]|0;h=g<<24>>24<0;if(h)i=f[e+4>>2]|0;else i=g&255;if(i|0){if(h){j=f[e>>2]|0;k=f[e+4>>2]|0}else{j=e;k=g&255}aMb(j,k,1,478025)|0;VLb(1,f[d>>2]|0,c)}d=a+12|0;k=f[d>>2]|0;j=b[k+11>>0]|0;g=j<<24>>24<0;if(g)l=f[k+4>>2]|0;else l=j&255;if(l|0){if(g){m=f[k>>2]|0;n=f[k+4>>2]|0}else{m=k;n=j&255}aMb(m,n,1,478069)|0;VLb(2,f[d>>2]|0,c)}d=f[a+4>>2]|0;if(!((d&1|0)!=0&(b[488459]|0)!=0))return;Abc(d&-2,c);return}function Lwb(a){a=a|0;return f[a+16>>2]|0}function Mwb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;c=a+8|0;e=f[c>>2]|0;g=b[e+11>>0]|0;h=g<<24>>24<0;if(h)i=f[e+4>>2]|0;else i=g&255;if(!i)j=d;else{if(h){k=f[e>>2]|0;l=f[e+4>>2]|0}else{k=e;l=g&255}aMb(k,l,1,478025)|0;l=f[c>>2]|0;b[d>>0]=10;j=XJb(l,d+1|0)|0}d=a+12|0;l=f[d>>2]|0;c=b[l+11>>0]|0;k=c<<24>>24<0;if(k)m=f[l+4>>2]|0;else m=c&255;if(!m)n=j;else{if(k){o=f[l>>2]|0;p=f[l+4>>2]|0}else{o=l;p=c&255}aMb(o,p,1,478069)|0;p=f[d>>2]|0;b[j>>0]=18;n=XJb(p,j+1|0)|0}j=f[a+4>>2]|0;if(!((j&1|0)!=0&(b[488459]|0)!=0)){q=n;return q|0}q=Bbc(j&-2,n)|0;return q|0}function Nwb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;if((a|0)==(c|0))return;d=a+4|0;e=f[a+8>>2]|0;do if((e|0)!=542896){g=e+11|0;if((b[g>>0]|0)<0){b[f[e>>2]>>0]=0;f[e+4>>2]=0;break}else{b[e>>0]=0;b[g>>0]=0;break}}while(0);e=f[a+12>>2]|0;do if((e|0)!=542896){g=e+11|0;if((b[g>>0]|0)<0){b[f[e>>2]>>0]=0;f[e+4>>2]=0;break}else{b[e>>0]=0;b[g>>0]=0;break}}while(0);e=f[d>>2]|0;if(e&1|0?(d=e&-2,f[d>>2]|0):0)ebc(d);d=ovc(c,24728,22856,0)|0;if(!d){A9b(c,a);return}else{Rwb(a,d);return}}function Owb(a,b){a=a|0;b=b|0;var c=0;c=ovc(b,24728,22856,0)|0;if(!c){A9b(b,a);return}else{Rwb(a,c);return}}function Pwb(a,b){a=a|0;b=b|0;f[a+16>>2]=b;return}function Qwb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224929]|0)!=2){f[d>>2]=151624;f[d+4>>2]=94;b[d+8>>0]=0;xLb(899716,d);QKb(d)}d=541352;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function Rwb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;d=a+4|0;e=f[c+4>>2]|0;if(e&1|0){g=f[d>>2]|0;if(!(g&1))h=OOa(d)|0;else h=g&-2;hbc(h,e&-2)}e=f[c+8>>2]|0;h=b[e+11>>0]|0;if(h<<24>>24<0)i=f[e+4>>2]|0;else i=h&255;do if(i|0){h=a+8|0;g=f[d>>2]|0;j=g&-2;if(!(g&1))k=j;else k=f[j+4>>2]|0;j=f[h>>2]|0;if((j|0)==542896){QGa(h,k,e);break}else{ruc(j,e)|0;break}}while(0);e=f[c+12>>2]|0;c=b[e+11>>0]|0;if(c<<24>>24<0)l=f[e+4>>2]|0;else l=c&255;if(!l)return;l=a+12|0;a=f[d>>2]|0;d=a&-2;if(!(a&1))m=d;else m=f[d+4>>2]|0;d=f[l>>2]|0;if((d|0)==542896){QGa(l,m,e);return}else{ruc(d,e)|0;return}}function Swb(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=138236;f[a+4>>2]=0;if((a|0)!=541296?(f[224935]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=100;b[d+8>>0]=0;xLb(899740,d);QKb(d)}f[a+8>>2]=542896;f[a+12>>2]=542896;f[a+16>>2]=0;u=c;return}function Twb(a,c){a=a|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;f[a>>2]=138236;f[a+4>>2]=c;if((f[224935]|0)!=2){f[e>>2]=151624;f[e+4>>2]=100;b[e+8>>0]=0;xLb(899740,e);QKb(e)}f[a+8>>2]=542896;f[a+12>>2]=542896;f[a+16>>2]=0;u=d;return}function Uwb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0;f[a>>2]=138344;if((a|0)!=541264?(b=f[a+24>>2]|0,b|0):0)bi[f[(f[b>>2]|0)+4>>2]&2047](b);b=a+20|0;c=f[b>>2]|0;if(c|0?(f[a+8>>2]|0)==0:0){d=f[c>>2]|0;if((d|0)>0){e=0;do{g=f[c+4+(e<<2)>>2]|0;if(g|0)bi[f[(f[g>>2]|0)+4>>2]&2047](g);e=e+1|0}while((e|0)!=(d|0));h=f[b>>2]|0}else h=c;fuc(h)}f[b>>2]=0;b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}h=a&-2;a=h;if((h|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(h);f[b>>2]=0;return}function Vwb(a){a=a|0;Uwb(a);fuc(a);return}function Wwb(a){a=a|0;a=cuc(32)|0;yyb(a);return a|0}function Xwb(a,b){a=a|0;b=b|0;var c=0;if(!b){a=cuc(32)|0;yyb(a);c=a;return c|0}if(f[b+64>>2]|0)HIb(b,22872,32);a=FIb(b,32)|0;zyb(a,b);c=a;return c|0}function Ywb(a){a=a|0;var b=0,c=0;b=f[a+4>>2]|0;a=b&-2;if(!(b&1)){c=a;return c|0}else{c=f[a+4>>2]|0;return c|0}return 0}function Zwb(a){a=a|0;return f[a+4>>2]|0}function _wb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0;b=a+12|0;c=f[b>>2]|0;if((c|0)>0){d=f[a+20>>2]|0;e=0;do{fyb(f[d+4+(e<<2)>>2]|0);e=e+1|0}while((e|0)!=(c|0));f[b>>2]=0}b=a+4|0;c=f[b>>2]|0;e=c&-2;if(!(c&1))g=e;else g=f[e+4>>2]|0;e=a+24|0;if((g|0)==0?(g=f[e>>2]|0,(g|0)!=0):0){bi[f[(f[g>>2]|0)+4>>2]&2047](g);h=f[b>>2]|0}else h=c;f[e>>2]=0;if(!(h&1))return;e=h&-2;if(!(f[e>>2]|0))return;ebc(e);return}function $wb(a){a=a|0;return 1}function axb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;d=u;u=u+16|0;e=d;g=c+4|0;h=a+24|0;i=e+4|0;j=a+8|0;k=a+20|0;l=a+16|0;m=a+12|0;n=e+4|0;o=a+4|0;a:while(1){p=f[c>>2]|0;if(p>>>0<(f[g>>2]|0)>>>0){q=b[p>>0]|0;r=q&255;if(q<<24>>24>0){f[c>>2]=p+1;s=r;t=6}else{v=r;t=5}}else{v=0;t=5}if((t|0)==5){t=0;r=OJb(c,v)|0;if((r+-1|0)>>>0<127){s=r;t=6}else w=r}b:do if((t|0)==6){t=0;switch(s>>>3&536870911|0){case 1:{if((s&255|0)!=10){w=s;break b}r=f[h>>2]|0;if(!r){lxb(a);x=f[h>>2]|0}else x=r;r=f[c>>2]|0;if(r>>>0<(f[g>>2]|0)>>>0?(p=b[r>>0]|0,p<<24>>24>-1):0){f[c>>2]=r+1;y=p&255}else{p=NJb(c)|0;if((p|0)>-1)y=p;else{z=0;t=44;break a}}yJb(e,c,y);if((f[i>>2]|0)<0){t=16;break a}if(!(Th[f[(f[x>>2]|0)+44>>2]&1023](x,c)|0)){t=16;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{z=0;t=44;break a}break}case 2:break;default:{w=s;break b}}if((s&255|0)==18){p=f[k>>2]|0;do if(p){r=f[m>>2]|0;q=f[p>>2]|0;if((r|0)>=(q|0))if((q|0)==(f[l>>2]|0)){A=q;t=24;break}else{B=q;C=p;t=25;break}else{f[m>>2]=r+1;D=f[p+4+(r<<2)>>2]|0;break}}else{A=f[l>>2]|0;t=24}while(0);if((t|0)==24){t=0;LKb(j,A+1|0);p=f[k>>2]|0;B=f[p>>2]|0;C=p;t=25}if((t|0)==25){t=0;f[C>>2]=B+1;p=f[j>>2]|0;if(!p){r=cuc(100)|0;mxb(r);E=r}else{if(f[p+64>>2]|0)HIb(p,22888,104);r=FIb(p,104)|0;oxb(r,p);E=r}r=f[k>>2]|0;p=f[m>>2]|0;f[m>>2]=p+1;f[r+4+(p<<2)>>2]=E;D=E}p=f[c>>2]|0;if(p>>>0<(f[g>>2]|0)>>>0?(r=b[p>>0]|0,r<<24>>24>-1):0){f[c>>2]=p+1;F=r&255}else{r=NJb(c)|0;if((r|0)>-1)F=r;else{z=0;t=44;break a}}yJb(e,c,F);if((f[n>>2]|0)<0){t=37;break a}if(!(Th[f[(f[D>>2]|0)+44>>2]&1023](D,c)|0)){t=37;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{z=0;t=44;break a}}else w=s}while(0);if(!w){z=1;t=44;break}r=f[o>>2]|0;if(!(r&1))G=OOa(o)|0;else G=r&-2;if(!(xbc(c,w,G)|0)){z=0;t=44;break}}if((t|0)==16){z=0;u=d;return z|0}else if((t|0)==37){z=0;u=d;return z|0}else if((t|0)==44){u=d;return z|0}return 0}function bxb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;c=f[a+4>>2]|0;if((c&1|0)!=0&(b[488459]|0)!=0)d=Dbc(c&-2)|0;else d=0;c=f[a+12>>2]|0;e=c+d|0;if(!c)g=e;else{d=a+20|0;h=0;i=e;while(1){e=f[(f[d>>2]|0)+4+(h<<2)>>2]|0;j=di[f[(f[e>>2]|0)+48>>2]&1023](e)|0;e=j+i+((((($(j|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=h+1|0;if((h|0)==(c|0)){g=e;break}else i=e}}if((a|0)==541264){k=g;l=a+28|0;f[l>>2]=k;return k|0}i=f[a+24>>2]|0;if(!i){k=g;l=a+28|0;f[l>>2]=k;return k|0}c=di[f[(f[i>>2]|0)+48>>2]&1023](i)|0;k=g+1+c+((((($(c|1|0)|0)^31)*9|0)+73|0)>>>6)|0;l=a+28|0;f[l>>2]=k;return k|0}function cxb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;if((a|0)!=541264?(d=f[a+24>>2]|0,d|0):0)_Lb(1,d,c);d=f[a+12>>2]|0;if(d|0){e=a+20|0;g=0;do{_Lb(2,f[(f[e>>2]|0)+4+(g<<2)>>2]|0,c);g=g+1|0}while((g|0)!=(d|0))}d=f[a+4>>2]|0;if(!((d&1|0)!=0&(b[488459]|0)!=0))return;Abc(d&-2,c);return}function dxb(a){a=a|0;return f[a+28>>2]|0}function exb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;if((a|0)!=541264?(e=f[a+24>>2]|0,(e|0)!=0):0){b[d>>0]=10;g=d+1|0;h=di[f[(f[e>>2]|0)+60>>2]&1023](e)|0;if(h>>>0>127){i=h;j=g;while(1){b[j>>0]=i|128;k=i>>>7;l=j+1|0;if(i>>>0>16383){i=k;j=l}else{m=l;n=k;break}}}else{m=g;n=h}b[m>>0]=n;o=li[f[(f[e>>2]|0)+64>>2]&511](e,c,m+1|0)|0}else o=d;d=f[a+12>>2]|0;if(!d)p=o;else{m=a+20|0;e=0;n=o;while(1){o=f[(f[m>>2]|0)+4+(e<<2)>>2]|0;b[n>>0]=18;h=n+1|0;g=di[f[(f[o>>2]|0)+60>>2]&1023](o)|0;if(g>>>0>127){j=g;i=h;while(1){b[i>>0]=j|128;k=j>>>7;l=i+1|0;if(j>>>0>16383){j=k;i=l}else{q=l;r=k;break}}}else{q=h;r=g}b[q>>0]=r;i=li[f[(f[o>>2]|0)+64>>2]&511](o,c,q+1|0)|0;e=e+1|0;if((e|0)==(d|0)){p=i;break}else n=i}}n=f[a+4>>2]|0;if(!((n&1|0)!=0&(b[488459]|0)!=0)){s=p;return s|0}s=Bbc(n&-2,p)|0;return s|0}function fxb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0;if((a|0)==(b|0))return;c=a+12|0;d=f[c>>2]|0;if((d|0)>0){e=f[a+20>>2]|0;g=0;do{fyb(f[e+4+(g<<2)>>2]|0);g=g+1|0}while((g|0)!=(d|0));f[c>>2]=0}c=a+4|0;d=f[c>>2]|0;g=d&-2;if(!(d&1))h=g;else h=f[g+4>>2]|0;g=a+24|0;if((h|0)==0?(h=f[g>>2]|0,(h|0)!=0):0){bi[f[(f[h>>2]|0)+4>>2]&2047](h);i=f[c>>2]|0}else i=d;f[g>>2]=0;if(i&1|0?(g=i&-2,f[g>>2]|0):0)ebc(g);g=ovc(b,24728,22872,0)|0;if(!g){A9b(b,a);return}else{jxb(a,g);return}}function gxb(a,b){a=a|0;b=b|0;var c=0;c=ovc(b,24728,22872,0)|0;if(!c){A9b(b,a);return}else{jxb(a,c);return}}function hxb(a,b){a=a|0;b=b|0;f[a+28>>2]=b;return}function ixb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224929]|0)!=2){f[d>>2]=151624;f[d+4>>2]=94;b[d+8>>0]=0;xLb(899716,d);QKb(d)}d=541344;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function jxb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0;c=a+4|0;d=f[b+4>>2]|0;if(d&1|0){e=f[c>>2]|0;if(!(e&1))g=OOa(c)|0;else g=e&-2;hbc(g,d&-2)}kxb(a+8|0,b+8|0);if((b|0)==541264)return;d=b+24|0;b=f[d>>2]|0;if(!b)return;g=a+24|0;e=f[g>>2]|0;if(!e){lxb(a);h=f[d>>2]|0;i=f[g>>2]|0}else{h=b;i=e}Vzb(i,h|0?h:541448);return}function kxb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=f[b+4>>2]|0;if(!c)return;d=f[b+12>>2]|0;b=KKb(a,c)|0;e=a+12|0;g=a+4|0;h=(f[f[e>>2]>>2]|0)-(f[g>>2]|0)|0;if((h|0)>0&(c|0)>0){i=0;do{nxb(f[d+4+(i<<2)>>2]|0,f[b+(i<<2)>>2]|0);i=i+1|0}while((i|0)<(h|0)&(i|0)<(c|0))}i=f[a>>2]|0;a:do if((h|0)<(c|0)){a=i+64|0;if(!i){j=h;while(1){k=f[d+4+(j<<2)>>2]|0;l=cuc(100)|0;mxb(l);nxb(k,l);f[b+(j<<2)>>2]=l;j=j+1|0;if((j|0)>=(c|0))break a}}else m=h;do{j=f[d+4+(m<<2)>>2]|0;if(f[a>>2]|0)HIb(i,22888,104);l=FIb(i,104)|0;oxb(l,i);nxb(j,l);f[b+(m<<2)>>2]=l;m=m+1|0}while((m|0)!=(c|0))}while(0);m=(f[g>>2]|0)+c|0;f[g>>2]=m;g=f[e>>2]|0;if((f[g>>2]|0)>=(m|0))return;f[g>>2]=m;return}function lxb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=f[a+4>>2]|0;c=b&-2;if(!(b&1))d=c;else d=f[c+4>>2]|0;if(!d){c=cuc(80)|0;Bzb(c);e=c;g=a+24|0;f[g>>2]=e;return}if(f[d+64>>2]|0)HIb(d,23016,80);c=FIb(d,80)|0;Dzb(c,d);e=c;g=a+24|0;f[g>>2]=e;return}function mxb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0;c=u;u=u+16|0;d=c;f[a>>2]=138452;e=a+56|0;g=a+4|0;h=g+52|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));f[e>>2]=157748;f[a+60>>2]=0;f[a+64>>2]=0;kLb(a+68|0);f[a+72>>2]=0;f[e>>2]=138560;f[a+76>>2]=0;e=a+80|0;f[e>>2]=0;g=a+84|0;f[g>>2]=0;xGa(e);f[g>>2]=0;if((a|0)!=541160?(f[224933]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=98;b[d+8>>0]=0;xLb(899732,d);QKb(d)}f[a+92>>2]=542896;f[a+96>>2]=0;u=c;return}function nxb(a,b){a=a|0;b=b|0;qyb(b,a);return}function oxb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0;d=u;u=u+16|0;e=d;f[a>>2]=138452;f[a+4>>2]=c;f[a+8>>2]=c;f[a+12>>2]=0;f[a+16>>2]=0;f[a+20>>2]=0;f[a+24>>2]=c;f[a+28>>2]=0;f[a+32>>2]=0;f[a+36>>2]=0;f[a+40>>2]=c;f[a+44>>2]=0;f[a+48>>2]=0;f[a+52>>2]=0;g=a+56|0;f[g>>2]=157748;f[a+60>>2]=c;f[a+64>>2]=0;h=a+68|0;kLb(h);f[a+72>>2]=0;WOa(c,h);f[g>>2]=138560;f[a+76>>2]=c;g=a+80|0;f[g>>2]=c;c=a+84|0;f[c>>2]=0;xGa(g);f[c>>2]=0;if((f[224933]|0)==2){i=a+92|0;f[i>>2]=542896;j=a+96|0;f[j>>2]=0;u=d;return}f[e>>2]=151624;f[e+4>>2]=98;b[e+8>>0]=0;xLb(899732,e);QKb(e);i=a+92|0;f[i>>2]=542896;j=a+96|0;f[j>>2]=0;u=d;return}function pxb(a){a=a|0;f[a>>2]=138560;WFa(a+24|0);y4b(a);return}function qxb(a){a=a|0;f[a>>2]=138560;WFa(a+24|0);y4b(a);fuc(a);return}function rxb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+32|0;e=d+16|0;g=d;ouc(g,qPa(c)|0);VFa(e,f[a+32>>2]|0,g,0);a=(f[e>>2]|0)!=0;if((b[g+11>>0]|0)>=0){u=d;return a|0}fuc(f[g>>2]|0);u=d;return a|0}function sxb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0;e=u;u=u+32|0;g=e+16|0;h=e;i=di[f[(f[a>>2]|0)+68>>2]&1023](a)|0;ouc(h,qPa(c)|0);VFa(g,f[i+8>>2]|0,h,0);c=f[g>>2]|0;if(!c){j=1;k=yGa(i,h)|0}else{j=0;k=(f[c+12>>2]|0)+16|0}f[d>>2]=k;if((b[h+11>>0]|0)>=0){u=e;return j|0}fuc(f[h>>2]|0);u=e;return j|0}function txb(a,c){a=a|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;ouc(e,qPa(c)|0);c=(rPa(di[f[(f[a>>2]|0)+68>>2]&1023](a)|0,e)|0)!=0;if((b[e+11>>0]|0)>=0){u=d;return c|0}fuc(f[e>>2]|0);u=d;return c|0}function uxb(a){a=a|0;T5b(a);return f[f[a+32>>2]>>2]|0}function vxb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;b=u;u=u+16|0;c=b;d=f[a+8>>2]|0;if(!d)e=12;else{g=f[d+8>>2]<<2;h=d+12|0;d=f[h>>2]|0;if(!d)i=g;else{if((f[d>>2]|0)>0){j=0;k=g;l=d;while(1){d=f[l+4+(j<<2)>>2]|0;m=(di[f[(f[d>>2]|0)+84>>2]&1023](d)|0)+k|0;j=j+1|0;l=f[h>>2]|0;if((j|0)>=(f[l>>2]|0)){n=m;break}else k=m}}else n=g;i=n+4|0}e=i+12|0}i=f[a+32>>2]|0;a=f[i+12>>2]|0;n=f[i+4>>2]|0;a:do if(n>>>0>a>>>0){g=f[i+16>>2]|0;k=a;while(1){o=f[g+(k<<2)>>2]|0;if(o|0)break;l=k+1|0;if(l>>>0<n>>>0)k=l;else{p=0;q=l;break a}}if((o|0)==(f[g+((k^1)<<2)>>2]|0)){p=f[(f[o>>2]|0)+16>>2]|0;q=k;break}else{p=o;q=k;break}}else{p=0;q=a}while(0);f[c>>2]=p;f[c+4>>2]=i;f[c+8>>2]=q;if(!p){r=e;u=b;return r|0}q=e;e=p;while(1){p=(f[e+12>>2]|0)+16|0;i=q+12+(di[f[(f[p>>2]|0)+84>>2]&1023](p)|0)|0;pGa(c)|0;e=f[c>>2]|0;if(!e){r=i;break}else q=i}u=b;return r|0}function wxb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;b=u;u=u+16|0;c=b;d=a+8|0;e=f[d>>2]|0;if(!e){g=f[a+4>>2]|0;if(!g){h=cuc(16)|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;i=h}else{if(f[g+64>>2]|0)HIb(g,19296,16);h=GIb(g,16,1975)|0;f[h>>2]=g;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;i=h}f[d>>2]=i;j=i}else j=e;e=j+4|0;i=f[e>>2]|0;if((i|0)>0){d=f[j+12>>2]|0;h=0;do{g=f[d+4+(h<<2)>>2]|0;h=h+1|0;bi[f[(f[g>>2]|0)+28>>2]&2047](g)}while((h|0)!=(i|0));f[e>>2]=0}i=f[a+32>>2]|0;h=f[i+12>>2]|0;d=f[i+4>>2]|0;a:do if(d>>>0>h>>>0){g=f[i+16>>2]|0;k=h;while(1){l=f[g+(k<<2)>>2]|0;if(l|0)break;m=k+1|0;if(m>>>0<d>>>0)k=m;else{n=0;o=m;break a}}if((l|0)==(f[g+((k^1)<<2)>>2]|0)){n=f[(f[l>>2]|0)+16>>2]|0;o=k;break}else{n=l;o=k;break}}else{n=0;o=h}while(0);f[c>>2]=n;f[c+4>>2]=i;f[c+8>>2]=o;if(!n){u=b;return}n=a+4|0;a=j+12|0;o=j+8|0;do{i=Th[f[(f[135284]|0)+16>>2]&1023](541136,f[n>>2]|0)|0;h=i+12|0;l=f[h>>2]|0;d=f[j>>2]|0;if(((d|0)==(l|0)?(m=f[a>>2]|0,(m|0)!=0):0)?(p=f[m>>2]|0,(p|0)<(f[o>>2]|0)):0){q=f[e>>2]|0;if((q|0)<(p|0)){r=m+4+(q<<2)|0;f[m+4+(p<<2)>>2]=f[r>>2];s=r}else s=m+4+(q<<2)|0;f[s>>2]=i;f[e>>2]=q+1;q=f[a>>2]|0;f[q>>2]=(f[q>>2]|0)+1}else Bxb(j,i,l,d);d=f[(f[c>>2]|0)+12>>2]|0;l=i+16|0;f[l>>2]=f[l>>2]|1;q=i+4|0;m=f[q>>2]|0;if((m|0)==542896){QGa(q,f[h>>2]|0,542896);t=f[q>>2]|0}else t=m;ruc(t,d)|0;d=(f[(f[c>>2]|0)+12>>2]|0)+16|0;f[l>>2]=f[l>>2]|2;l=i+8|0;i=f[h>>2]|0;h=f[l>>2]|0;if(!h){if(!i){m=cuc(24)|0;kPa(m);v=m}else{if(f[i+64>>2]|0)HIb(i,19312,24);m=FIb(i,24)|0;lPa(m,i);v=m}f[l>>2]=v;w=v}else w=h;OQa(w,d);mGa(c)|0}while((f[c>>2]|0)!=0);u=b;return}function xxb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0;b=u;u=u+32|0;c=b;d=a+24|0;e=f[a+8>>2]|0;if(!e){iLb(c,3,478148,306);fLb(b+24|0,dLb(c,478242)|0);jLb(c)}LOa(d);c=e+12|0;a=f[c>>2]|0;g=e+4|0;if(!(f[g>>2]|0)){u=b;return}e=(a|0)==0?0:a+4|0;do{a=f[e>>2]|0;h=di[f[(f[a>>2]|0)+104>>2]&1023](a)|0;a=f[e>>2]|0;OQa(yGa(d,di[f[(f[a>>2]|0)+100>>2]&1023](a)|0)|0,h);e=e+4|0;h=f[c>>2]|0}while((e|0)!=(((h|0)==0?0:h+4|0)+(f[g>>2]<<2)|0));u=b;return}function yxb(a){a=a|0;T5b(a);return a+24|0}function zxb(a){a=a|0;T5b(a);S5b(a);return a+24|0}function Axb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;a=f[f[b>>2]>>2]|0;if(!a)return;c=b+8|0;d=a+12|0;a=f[d>>2]|0;e=b+16|0;if((f[e>>2]|0)==9)g=f[c>>2]|0;else{f[e>>2]=9;e=cuc(12)|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[c>>2]=e;g=e}ruc(g,a)|0;f[b+24>>2]=(f[d>>2]|0)+16;return}function Bxb(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;if(!((c|0)==0&(d|0)!=0))if((d|0)!=(c|0)){if(!d){e=cuc(24)|0;f[e+12>>2]=0;f[e+4>>2]=542896;f[e+8>>2]=0;f[e+16>>2]=0;f[e+20>>2]=0;g=e}else{if(f[d+64>>2]|0)HIb(d,22920,24);e=FIb(d,24)|0;h=d;f[e+12>>2]=h;f[e+4>>2]=542896;f[e+8>>2]=0;f[e+16>>2]=0;f[e+20>>2]=h;g=e}f[g>>2]=138644;Dxb(b,g);if((b|0)==0|(c|0)!=0)i=g;else{bi[f[(f[b>>2]|0)+4>>2]&2047](b);i=g}}else i=b;else{Cxb(d,b);i=b}b=a+12|0;d=f[b>>2]|0;g=f[a+8>>2]|0;c=a+4|0;if(d|0?(e=f[c>>2]|0,(e|0)!=(g|0)):0){h=f[d>>2]|0;if((h|0)==(g|0)){j=f[d+4+(e<<2)>>2]|0;if((j|0)==0|(f[a>>2]|0)!=0){k=d;l=f[c>>2]|0;m=l+1|0;f[c>>2]=m;n=k+4+(l<<2)|0;f[n>>2]=i;return}bi[f[(f[j>>2]|0)+4>>2]&2047](j);k=f[b>>2]|0;l=f[c>>2]|0;m=l+1|0;f[c>>2]=m;n=k+4+(l<<2)|0;f[n>>2]=i;return}else{if((e|0)<(h|0)){f[d+4+(h<<2)>>2]=f[d+4+(e<<2)>>2];e=f[b>>2]|0;o=e;p=f[e>>2]|0}else{o=d;p=h}f[o>>2]=p+1;k=o;l=f[c>>2]|0;m=l+1|0;f[c>>2]=m;n=k+4+(l<<2)|0;f[n>>2]=i;return}}LKb(a,g+1|0);g=f[b>>2]|0;f[g>>2]=(f[g>>2]|0)+1;k=g;l=f[c>>2]|0;m=l+1|0;f[c>>2]=m;n=k+4+(l<<2)|0;f[n>>2]=i;return}function Cxb(a,b){a=a|0;b=b|0;if(!b)return;EIb(a,b,1978);return}function Dxb(a,b){a=a|0;b=b|0;Exb(b,a);return}function Exb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0;c=b+16|0;d=f[c>>2]|0;if(!d)return;if(!(d&1))e=d;else{d=a+4|0;g=a+12|0;if((f[d>>2]|0)==542896)QGa(d,f[g>>2]|0,542896);h=di[f[(f[b>>2]|0)+100>>2]&1023](b)|0;i=f[d>>2]|0;if((i|0)==542896)QGa(d,f[g>>2]|0,h);else ruc(i,h)|0;h=a+16|0;f[h>>2]=f[h>>2]|1;e=f[c>>2]|0}if(!(e&2))return;e=a+8|0;c=f[a+12>>2]|0;if(!(f[e>>2]|0)){if(!c){h=cuc(24)|0;kPa(h);j=h}else{if(f[c+64>>2]|0)HIb(c,19312,24);h=FIb(c,24)|0;lPa(h,c);j=h}f[e>>2]=j}j=di[f[(f[b>>2]|0)+104>>2]&1023](b)|0;NOa(f[e>>2]|0,j);j=a+16|0;f[j>>2]=f[j>>2]|2;return}function Fxb(a){a=a|0;var c=0,d=0,e=0;f[a>>2]=138760;c=a+20|0;d=f[c>>2]|0;if(d&1|0?(e=d&-2,d=e,!((e|0)==0|(f[d+4>>2]|0)!=0)):0){if(f[d>>2]|0)ebc(d);fuc(e)}f[c>>2]=0;f[a>>2]=138876;if(f[a+12>>2]|0)return;c=f[a+4>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}c=f[a+8>>2]|0;if(!c)return;bi[f[(f[c>>2]|0)+4>>2]&2047](c);return}function Gxb(a){a=a|0;Fxb(a);fuc(a);return}function Hxb(a,b){a=a|0;b=b|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;return}function Ixb(a){a=a|0;a=cuc(24)|0;f[a+12>>2]=0;f[a+4>>2]=542896;f[a+8>>2]=0;f[a+16>>2]=0;f[a+20>>2]=0;f[a>>2]=138644;return a|0}function Jxb(a,b){a=a|0;b=b|0;var c=0,d=0;if(!b){a=cuc(24)|0;f[a+12>>2]=0;f[a+4>>2]=542896;f[a+8>>2]=0;f[a+16>>2]=0;f[a+20>>2]=0;c=a;f[c>>2]=138644;return c|0}if(f[b+64>>2]|0)HIb(b,22920,24);a=FIb(b,24)|0;d=b;f[a+12>>2]=d;f[a+4>>2]=542896;f[a+8>>2]=0;f[a+16>>2]=0;f[a+20>>2]=d;c=a;f[c>>2]=138644;return c|0}function Kxb(a){a=a|0;return f[a+12>>2]|0}function Lxb(a){a=a|0;var c=0,d=0;c=f[a+4>>2]|0;do if((c|0)!=542896){d=c+11|0;if((b[d>>0]|0)<0){b[f[c>>2]>>0]=0;f[c+4>>2]=0;break}else{b[c>>0]=0;b[d>>0]=0;break}}while(0);c=f[a+8>>2]|0;if(c|0)yQa(c);c=a+16|0;f[c>>2]=f[c>>2]&-4;return}function Mxb(a){a=a|0;return zQa(f[a+8>>2]|0)|0}function Nxb(a,b){a=a|0;b=b|0;Exb(a,b);return}function Oxb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;d=u;u=u+16|0;e=d;g=c+4|0;h=a+16|0;i=a+4|0;j=a+12|0;k=a+8|0;a=e+4|0;l=c+32|0;m=c+12|0;n=c+28|0;a:while(1){o=f[c>>2]|0;if(o>>>0<(f[g>>2]|0)>>>0){p=b[o>>0]|0;q=p&255;if(p<<24>>24>-1){f[c>>2]=o+1;r=q}else{s=q;t=5}}else{s=0;t=5}if((t|0)==5){t=0;r=OJb(c,s)|0}switch(r|0){case 0:{v=1;t=35;break a;break}case 10:{f[h>>2]=f[h>>2]|1;q=f[i>>2]|0;if((q|0)==542896){QGa(i,f[j>>2]|0,542896);w=f[i>>2]|0}else w=q;if(!($Lb(c,w)|0)){v=0;t=35;break a}q=f[h>>2]|1;f[h>>2]=q;o=f[c>>2]|0;if(o>>>0>=(f[g>>2]|0)>>>0)continue a;if((b[o>>0]|0)!=18)continue a;f[c>>2]=o+1;x=q;break}case 18:{x=f[h>>2]|0;break}default:{if((r&7|0)==4){v=1;t=35;break a}if(CLb(c,r)|0)continue a;else{v=0;t=35;break a}}}f[h>>2]=x|2;q=f[j>>2]|0;o=f[k>>2]|0;if(!o){if(!q){p=cuc(24)|0;kPa(p);y=p}else{if(f[q+64>>2]|0)HIb(q,19312,24);p=FIb(q,24)|0;lPa(p,q);y=p}f[k>>2]=y;z=y}else z=o;o=f[c>>2]|0;if(o>>>0<(f[g>>2]|0)>>>0?(p=b[o>>0]|0,p<<24>>24>-1):0){f[c>>2]=o+1;A=p&255}else{p=NJb(c)|0;if((p|0)>-1)A=p;else{v=0;t=35;break}}yJb(e,c,A);if((f[a>>2]|0)<0){t=27;break}if(!(dQa(z,c)|0)){t=27;break}if(!(DJb(c,f[e>>2]|0)|0)){v=0;t=35;break}f[h>>2]=f[h>>2]|2;if((f[c>>2]|0)!=(f[g>>2]|0))continue;if(f[l>>2]|0){t=32;break}if((f[m>>2]|0)==(f[n>>2]|0)){t=32;break}}if((t|0)==27){v=0;u=d;return v|0}else if((t|0)==32){f[c+20>>2]=0;b[c+24>>0]=1;v=1;u=d;return v|0}else if((t|0)==35){u=d;return v|0}return 0}function Pxb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=a+16|0;d=f[c>>2]|0;if(!(d&1)){e=d;g=0}else{d=di[f[(f[a>>2]|0)+100>>2]&1023](a)|0;h=b[d+11>>0]|0;i=h<<24>>24<0?f[d+4>>2]|0:h&255;h=i+1+((((($(i|1|0)|0)^31)*9|0)+73|0)>>>6)|0;e=f[c>>2]|0;g=h}if(!(e&2)){j=0;k=j+g|0;return k|0}e=cQa(di[f[(f[a>>2]|0)+104>>2]&1023](a)|0)|0;j=e+1+((((($(e|1|0)|0)^31)*9|0)+73|0)>>>6)|0;k=j+g|0;return k|0}function Qxb(a,b){a=a|0;b=b|0;ULb(1,di[f[(f[a>>2]|0)+100>>2]&1023](a)|0,b);_Lb(2,di[f[(f[a>>2]|0)+104>>2]&1023](a)|0,b);return}function Rxb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=a+16|0;d=f[c>>2]|0;if(!(d&1)){e=d;g=0}else{d=di[f[(f[a>>2]|0)+100>>2]&1023](a)|0;h=b[d+11>>0]|0;i=h<<24>>24<0?f[d+4>>2]|0:h&255;h=i+1+((((($(i|1|0)|0)^31)*9|0)+73|0)>>>6)|0;e=f[c>>2]|0;g=h}if(!(e&2)){j=0;k=j+g|0;return k|0}e=(di[f[(f[a>>2]|0)+104>>2]&1023](a)|0)+16|0;a=f[e>>2]|0;j=a+1+((((($(a|1|0)|0)^31)*9|0)+73|0)>>>6)|0;k=j+g|0;return k|0}function Sxb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0;e=di[f[(f[a>>2]|0)+100>>2]&1023](a)|0;b[d>>0]=10;g=XJb(e,d+1|0)|0;d=di[f[(f[a>>2]|0)+104>>2]&1023](a)|0;b[g>>0]=18;a=g+1|0;g=di[f[(f[d>>2]|0)+60>>2]&1023](d)|0;if(g>>>0>127){e=g;h=a;while(1){b[h>>0]=e|128;i=e>>>7;j=h+1|0;if(e>>>0>16383){e=i;h=j}else{k=j;l=i;break}}}else{k=a;l=g}b[k>>0]=l;return li[f[(f[d>>2]|0)+64>>2]&511](d,c,k+1|0)|0}function Txb(a,b){a=a|0;b=b|0;e6b(a,b);return}function Uxb(a){a=a|0;var b=0;b=f[a+8>>2]|0;return (di[f[(f[b>>2]|0)+84>>2]&1023](b)|0)+28|0}function Vxb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224929]|0)!=2){f[d>>2]=151624;f[d+4>>2]=94;b[d+8>>0]=0;xLb(899716,d);QKb(d)}d=541328;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function Wxb(a){a=a|0;return f[a+4>>2]|0}function Xxb(a){a=a|0;var b=0;b=f[a+8>>2]|0;return (b|0?b:f[135286]|0)|0}function Yxb(a){a=a|0;var c=0;f[a>>2]=138876;if(f[a+12>>2]|0)return;c=f[a+4>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}c=f[a+8>>2]|0;if(!c)return;bi[f[(f[c>>2]|0)+4>>2]&2047](c);return}function Zxb(a){a=a|0;var c=0;f[a>>2]=138876;if(f[a+12>>2]|0){fuc(a);return}c=f[a+4>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}c=f[a+8>>2]|0;if(!c){fuc(a);return}bi[f[(f[c>>2]|0)+4>>2]&2047](c);fuc(a);return}function _xb(a){a=a|0;Fxb(a);fuc(a);return}function $xb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;f[a>>2]=138452;c=f[a+92>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}c=a+56|0;f[c>>2]=138560;WFa(a+80|0);y4b(c);c=a+52|0;d=f[c>>2]|0;if(d|0?(f[a+40>>2]|0)==0:0){e=f[d>>2]|0;if((e|0)>0){g=0;do{h=f[d+4+(g<<2)>>2]|0;if(h|0){if((b[h+11>>0]|0)<0)fuc(f[h>>2]|0);fuc(h)}g=g+1|0}while((g|0)!=(e|0));i=f[c>>2]|0}else i=d;fuc(i)}f[c>>2]=0;c=a+36|0;i=f[c>>2]|0;if(i|0?(f[a+24>>2]|0)==0:0){d=f[i>>2]|0;if((d|0)>0){e=0;do{g=f[i+4+(e<<2)>>2]|0;if(g|0){if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);fuc(g)}e=e+1|0}while((e|0)!=(d|0));j=f[c>>2]|0}else j=i;fuc(j)}f[c>>2]=0;c=a+20|0;j=f[c>>2]|0;if(j|0?(f[a+8>>2]|0)==0:0){i=f[j>>2]|0;if((i|0)>0){d=0;do{e=f[j+4+(d<<2)>>2]|0;if(e|0){if((b[e+11>>0]|0)<0)fuc(f[e>>2]|0);fuc(e)}d=d+1|0}while((d|0)!=(i|0));k=f[c>>2]|0}else k=j;fuc(k)}f[c>>2]=0;c=a+4|0;a=f[c>>2]|0;if(!(a&1)){f[c>>2]=0;return}k=a&-2;a=k;if((k|0)==0|(f[a+4>>2]|0)!=0){f[c>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(k);f[c>>2]=0;return}function ayb(a){a=a|0;$xb(a);fuc(a);return}function byb(a){a=a|0;a=cuc(100)|0;mxb(a);return a|0}function cyb(a,b){a=a|0;b=b|0;var c=0;if(!b){a=cuc(100)|0;mxb(a);c=a;return c|0}if(f[b+64>>2]|0)HIb(b,22888,104);a=FIb(b,104)|0;oxb(a,b);c=a;return c|0}function dyb(a){a=a|0;var b=0,c=0;b=f[a+4>>2]|0;a=b&-2;if(!(b&1)){c=a;return c|0}else{c=f[a+4>>2]|0;return c|0}return 0}function eyb(a){a=a|0;return f[a+4>>2]|0}function fyb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0;c=a+12|0;d=f[c>>2]|0;if((d|0)>0){e=f[a+20>>2]|0;g=0;do{h=f[e+4+(g<<2)>>2]|0;g=g+1|0;i=h+11|0;if((b[i>>0]|0)<0){b[f[h>>2]>>0]=0;f[h+4>>2]=0}else{b[h>>0]=0;b[i>>0]=0}}while((g|0)!=(d|0));f[c>>2]=0}c=a+28|0;d=f[c>>2]|0;if((d|0)>0){g=f[a+36>>2]|0;e=0;do{i=f[g+4+(e<<2)>>2]|0;e=e+1|0;h=i+11|0;if((b[h>>0]|0)<0){b[f[i>>2]>>0]=0;f[i+4>>2]=0}else{b[i>>0]=0;b[h>>0]=0}}while((e|0)!=(d|0));f[c>>2]=0}c=a+44|0;d=f[c>>2]|0;if((d|0)>0){e=f[a+52>>2]|0;g=0;do{h=f[e+4+(g<<2)>>2]|0;g=g+1|0;i=h+11|0;if((b[i>>0]|0)<0){b[f[h>>2]>>0]=0;f[h+4>>2]=0}else{b[h>>0]=0;b[i>>0]=0}}while((g|0)!=(d|0));f[c>>2]=0}c=a+56|0;T5b(c);LOa(a+80|0);S5b(c);c=a+4|0;d=f[a+92>>2]|0;do if((d|0)!=542896){a=d+11|0;if((b[a>>0]|0)<0){b[f[d>>2]>>0]=0;f[d+4>>2]=0;break}else{b[d>>0]=0;b[a>>0]=0;break}}while(0);d=f[c>>2]|0;if(!(d&1))return;c=d&-2;if(!(f[c>>2]|0))return;ebc(c);return}function gyb(a){a=a|0;return 1}function hyb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0;d=u;u=u+48|0;e=d+32|0;g=d;h=c+4|0;i=a+8|0;j=a+12|0;k=a+20|0;l=a+92|0;m=a+4|0;n=a+92|0;o=a+24|0;p=a+28|0;q=a+36|0;r=a+40|0;s=a+44|0;t=a+52|0;v=a+56|0;a=g+4|0;w=g+8|0;x=g+24|0;y=e+4|0;z=w+11|0;A=g+12|0;a:while(1){B=f[c>>2]|0;if(B>>>0<(f[h>>2]|0)>>>0){C=b[B>>0]|0;D=C&255;if(C<<24>>24>0){f[c>>2]=B+1;E=D;F=6}else{G=D;F=5}}else{G=0;F=5}if((F|0)==5){F=0;D=OJb(c,G)|0;if((D+-1|0)>>>0<127){E=D;F=6}else H=D}b:do if((F|0)==6){F=0;switch(E>>>3&536870911|0){case 1:{if((E&255|0)!=10){H=E;break b}if(!($Lb(c,MEa(i)|0)|0)){I=0;F=57;break a}D=f[(f[k>>2]|0)+4+((f[j>>2]|0)+-1<<2)>>2]|0;B=b[D+11>>0]|0;if(B<<24>>24<0){J=f[D>>2]|0;K=f[D+4>>2]|0}else{J=D;K=B&255}if(aMb(J,K,0,479042)|0)continue a;else{I=0;F=57;break a}break}case 2:{if((E&255|0)!=18){H=E;break b}B=f[m>>2]|0;D=B&-2;if(!(B&1))L=D;else L=f[D+4>>2]|0;D=f[l>>2]|0;if((D|0)==542896){QGa(l,L,542896);M=f[l>>2]|0}else M=D;if(!($Lb(c,M)|0)){I=0;F=57;break a}D=f[n>>2]|0;B=b[D+11>>0]|0;if(B<<24>>24<0){N=f[D>>2]|0;O=f[D+4>>2]|0}else{N=D;O=B&255}if(aMb(N,O,0,479081)|0)continue a;else{I=0;F=57;break a}break}case 3:{if((E&255|0)!=26){H=E;break b}if(!($Lb(c,MEa(o)|0)|0)){I=0;F=57;break a}B=f[(f[q>>2]|0)+4+((f[p>>2]|0)+-1<<2)>>2]|0;D=b[B+11>>0]|0;if(D<<24>>24<0){P=f[B>>2]|0;Q=f[B+4>>2]|0}else{P=B;Q=D&255}if(aMb(P,Q,0,479119)|0)continue a;else{I=0;F=57;break a}break}case 4:{if((E&255|0)!=34){H=E;break b}if(!($Lb(c,MEa(r)|0)|0)){I=0;F=57;break a}D=f[(f[t>>2]|0)+4+((f[s>>2]|0)+-1<<2)>>2]|0;B=b[D+11>>0]|0;if(B<<24>>24<0){R=f[D>>2]|0;S=f[D+4>>2]|0}else{R=D;S=B&255}if(aMb(R,S,0,479158)|0)continue a;else{I=0;F=57;break a}break}case 5:{if((E&255|0)!=42){H=E;break b}f[g>>2]=v;B=di[f[(f[v>>2]|0)+68>>2]&1023](v)|0;f[a>>2]=B;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;f[x>>2]=0;B=f[c>>2]|0;if(B>>>0<(f[h>>2]|0)>>>0?(D=b[B>>0]|0,D<<24>>24>-1):0){f[c>>2]=B+1;T=D&255;F=41}else{D=NJb(c)|0;if((D|0)>-1){T=D;F=41}else U=6}do if((F|0)==41){F=0;yJb(e,c,T);if((f[y>>2]|0)>=0?vyb(g,c)|0:0){if(!(DJb(c,f[e>>2]|0)|0)){U=6;break}D=b[z>>0]|0;B=D<<24>>24<0;C=aMb(B?f[w>>2]|0:w,B?f[A>>2]|0:D&255,0,479197)|0;U=C?0:6;break}U=6}while(0);C=f[x>>2]|0;if(C|0)bi[f[(f[C>>2]|0)+4>>2]&2047](C);if((b[z>>0]|0)<0)fuc(f[w>>2]|0);switch(U&7){case 0:{continue a;break}case 6:{I=0;F=57;break a;break}default:{F=56;break a}}break}default:{H=E;break b}}}while(0);if(!H){F=56;break}C=f[m>>2]|0;if(!(C&1))V=OOa(m)|0;else V=C&-2;if(!(xbc(c,H,V)|0)){I=0;F=57;break}}if((F|0)==56){I=1;u=d;return I|0}else if((F|0)==57){u=d;return I|0}return 0}function iyb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0;c=u;u=u+16|0;d=c;e=f[a+4>>2]|0;if((e&1|0)!=0&(b[488459]|0)!=0)g=Dbc(e&-2)|0;else g=0;e=f[a+12>>2]|0;h=e+g|0;if((e|0)>0){g=f[a+20>>2]|0;i=0;j=h;while(1){k=f[g+4+(i<<2)>>2]|0;l=b[k+11>>0]|0;m=l<<24>>24<0?f[k+4>>2]|0:l&255;l=m+j+((((($(m|1|0)|0)^31)*9|0)+73|0)>>>6)|0;i=i+1|0;if((i|0)==(e|0)){n=l;break}else j=l}}else n=h;h=f[a+28>>2]|0;j=h+n|0;if((h|0)>0){n=f[a+36>>2]|0;e=0;i=j;while(1){g=f[n+4+(e<<2)>>2]|0;l=b[g+11>>0]|0;m=l<<24>>24<0?f[g+4>>2]|0:l&255;l=m+i+((((($(m|1|0)|0)^31)*9|0)+73|0)>>>6)|0;e=e+1|0;if((e|0)==(h|0)){o=l;break}else i=l}}else o=j;j=f[a+44>>2]|0;i=j+o|0;if((j|0)>0){o=f[a+52>>2]|0;h=0;e=i;while(1){n=f[o+4+(h<<2)>>2]|0;l=b[n+11>>0]|0;m=l<<24>>24<0?f[n+4>>2]|0:l&255;l=m+e+((((($(m|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=h+1|0;if((h|0)==(j|0)){p=l;break}else e=l}}else p=i;i=a+56|0;T5b(i);e=a+88|0;j=f[f[e>>2]>>2]|0;T5b(i);h=j+p|0;p=f[e>>2]|0;e=f[p+12>>2]|0;j=f[p+4>>2]|0;a:do if(j>>>0>e>>>0){o=f[p+16>>2]|0;l=e;while(1){q=f[o+(l<<2)>>2]|0;if(q|0)break;m=l+1|0;if(m>>>0<j>>>0)l=m;else{r=0;s=m;break a}}if((q|0)==(f[o+((l^1)<<2)>>2]|0)){r=f[(f[q>>2]|0)+16>>2]|0;s=l;break}else{r=q;s=l;break}}else{r=0;s=e}while(0);f[d>>2]=r;f[d+4>>2]=p;f[d+8>>2]=s;s=a+76|0;p=h;h=0;while(1){T5b(i);r=f[d>>2]|0;if(!r)break;if(!h){t=0;v=r}else{r=(di[f[(f[h>>2]|0)+20>>2]&1023](h)|0)==0;t=r?h:0;v=f[d>>2]|0}r=f[v+12>>2]|0;e=r+16|0;q=f[s>>2]|0;if(!q){j=cuc(32)|0;f[j+12>>2]=0;f[j+4>>2]=542896;f[j+8>>2]=0;f[j+20>>2]=0;w=j}else{if(f[q+64>>2]|0)HIb(q,22968,32);j=FIb(q,32)|0;m=q;f[j+12>>2]=m;f[j+4>>2]=542896;f[j+8>>2]=0;f[j+20>>2]=m;w=j}f[w>>2]=138992;f[w+24>>2]=r;f[w+28>>2]=e;f[w+16>>2]=3;if((t|0)!=(w|0))if(!t)x=w;else{bi[f[(f[t>>2]|0)+4>>2]&2047](t);x=w}else x=t;e=x+16|0;r=f[e>>2]|0;if(!(r&1)){y=r;z=0}else{r=di[f[(f[x>>2]|0)+100>>2]&1023](x)|0;j=b[r+11>>0]|0;m=j<<24>>24<0?f[r+4>>2]|0:j&255;j=m+1+((((($(m|1|0)|0)^31)*9|0)+73|0)>>>6)|0;y=f[e>>2]|0;z=j}if(!(y&2))A=0;else{j=cQa(di[f[(f[x>>2]|0)+104>>2]&1023](x)|0)|0;A=j+1+((((($(j|1|0)|0)^31)*9|0)+73|0)>>>6)|0}j=A+z|0;e=j+p+((((($(j|1|0)|0)^31)*9|0)+73|0)>>>6)|0;mGa(d)|0;p=e;h=x}if(h|0?(di[f[(f[h>>2]|0)+20>>2]&1023](h)|0)==0:0)bi[f[(f[h>>2]|0)+4>>2]&2047](h);h=f[a+92>>2]|0;x=b[h+11>>0]|0;d=x<<24>>24<0;if(d)B=f[h+4>>2]|0;else B=x&255;if(!B){C=p;D=a+96|0;f[D>>2]=C;u=c;return C|0}B=d?f[h+4>>2]|0:x&255;C=p+1+B+((((($(B|1|0)|0)^31)*9|0)+73|0)>>>6)|0;D=a+96|0;f[D>>2]=C;u=c;return C|0}function jyb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;d=u;u=u+16|0;e=d;g=f[a+12>>2]|0;if((g|0)>0){h=a+20|0;i=0;do{j=f[(f[h>>2]|0)+4+(i<<2)>>2]|0;k=b[j+11>>0]|0;if(k<<24>>24<0){l=f[j>>2]|0;m=f[j+4>>2]|0}else{l=j;m=k&255}aMb(l,m,1,479042)|0;ULb(1,f[(f[h>>2]|0)+4+(i<<2)>>2]|0,c);i=i+1|0}while((i|0)!=(g|0))}g=a+92|0;i=f[g>>2]|0;h=b[i+11>>0]|0;m=h<<24>>24<0;if(m)n=f[i+4>>2]|0;else n=h&255;if(n|0){if(m){o=f[i>>2]|0;p=f[i+4>>2]|0}else{o=i;p=h&255}aMb(o,p,1,479081)|0;VLb(2,f[g>>2]|0,c)}g=f[a+28>>2]|0;if((g|0)>0){p=a+36|0;o=0;do{h=f[(f[p>>2]|0)+4+(o<<2)>>2]|0;i=b[h+11>>0]|0;if(i<<24>>24<0){q=f[h>>2]|0;r=f[h+4>>2]|0}else{q=h;r=i&255}aMb(q,r,1,479119)|0;ULb(3,f[(f[p>>2]|0)+4+(o<<2)>>2]|0,c);o=o+1|0}while((o|0)!=(g|0))}g=f[a+44>>2]|0;if((g|0)>0){o=a+52|0;p=0;do{r=f[(f[o>>2]|0)+4+(p<<2)>>2]|0;q=b[r+11>>0]|0;if(q<<24>>24<0){s=f[r>>2]|0;t=f[r+4>>2]|0}else{s=r;t=q&255}aMb(s,t,1,479158)|0;ULb(4,f[(f[o>>2]|0)+4+(p<<2)>>2]|0,c);p=p+1|0}while((p|0)!=(g|0))}g=a+56|0;T5b(g);p=a+88|0;do if(f[f[p>>2]>>2]|0){if(!(b[c+18>>0]|0)){if(f[224967]|0)v=31}else if(b[c+19>>0]|0)v=31;if((v|0)==31?(T5b(g),(f[f[p>>2]>>2]|0)>>>0>1):0){T5b(g);o=f[f[p>>2]>>2]|0;t=euc(o>>>0>1073741823?-1:o<<2)|0;T5b(g);o=f[p>>2]|0;s=f[o+12>>2]|0;q=f[o+4>>2]|0;a:do if(q>>>0>s>>>0){r=f[o+16>>2]|0;i=s;while(1){w=f[r+(i<<2)>>2]|0;if(w|0)break;h=i+1|0;if(h>>>0<q>>>0)i=h;else{x=0;y=h;break a}}if((w|0)==(f[r+((i^1)<<2)>>2]|0)){x=f[(f[w>>2]|0)+16>>2]|0;y=i;break}else{x=w;y=i;break}}else{x=0;y=s}while(0);f[e>>2]=x;f[e+4>>2]=o;f[e+8>>2]=y;s=0;while(1){T5b(g);q=f[e>>2]|0;if(!q)break;f[t+(s<<2)>>2]=f[q+12>>2];mGa(e)|0;s=s+1|0}JPa(t,t+(s<<2)|0,e);if(s|0){o=a+76|0;q=0;h=0;do{m=t+(q<<2)|0;n=f[m>>2]|0;l=n+16|0;k=f[o>>2]|0;if(!k){j=cuc(32)|0;f[j+12>>2]=0;f[j+4>>2]=542896;f[j+8>>2]=0;f[j+20>>2]=0;z=j}else{if(f[k+64>>2]|0)HIb(k,22968,32);j=FIb(k,32)|0;A=k;f[j+12>>2]=A;f[j+4>>2]=542896;f[j+8>>2]=0;f[j+20>>2]=A;z=j}f[z>>2]=138992;f[z+24>>2]=n;f[z+28>>2]=l;f[z+16>>2]=3;if((h|0)!=(z|0))if(!h)B=z;else{bi[f[(f[h>>2]|0)+4>>2]&2047](h);B=z}else B=h;_Lb(5,B,c);l=(di[f[(f[B>>2]|0)+20>>2]&1023](B)|0)==0;h=l?B:0;l=f[m>>2]|0;m=b[l+11>>0]|0;if(m<<24>>24<0){C=f[l>>2]|0;D=f[l+4>>2]|0}else{C=l;D=m&255}aMb(C,D,1,479197)|0;q=q+1|0}while(q>>>0<s>>>0);if(h|0)bi[f[(f[h>>2]|0)+4>>2]&2047](h)}guc(t);break}T5b(g);s=f[p>>2]|0;q=f[s+12>>2]|0;o=f[s+4>>2]|0;b:do if(o>>>0>q>>>0){m=f[s+16>>2]|0;l=q;while(1){E=f[m+(l<<2)>>2]|0;if(E|0)break;n=l+1|0;if(n>>>0<o>>>0)l=n;else{F=0;G=n;break b}}if((E|0)==(f[m+((l^1)<<2)>>2]|0)){F=f[(f[E>>2]|0)+16>>2]|0;G=l;break}else{F=E;G=l;break}}else{F=0;G=q}while(0);f[e>>2]=F;f[e+4>>2]=s;f[e+8>>2]=G;q=a+76|0;o=0;while(1){T5b(g);t=f[e>>2]|0;if(!t)break;h=f[t+12>>2]|0;t=h+16|0;i=f[q>>2]|0;if(!i){r=cuc(32)|0;f[r+12>>2]=0;f[r+4>>2]=542896;f[r+8>>2]=0;f[r+20>>2]=0;H=r}else{if(f[i+64>>2]|0)HIb(i,22968,32);r=FIb(i,32)|0;n=i;f[r+12>>2]=n;f[r+4>>2]=542896;f[r+8>>2]=0;f[r+20>>2]=n;H=r}f[H>>2]=138992;f[H+24>>2]=h;f[H+28>>2]=t;f[H+16>>2]=3;if((o|0)!=(H|0))if(!o)I=H;else{bi[f[(f[o>>2]|0)+4>>2]&2047](o);I=H}else I=o;_Lb(5,I,c);t=(di[f[(f[I>>2]|0)+20>>2]&1023](I)|0)==0;h=f[(f[e>>2]|0)+12>>2]|0;r=b[h+11>>0]|0;if(r<<24>>24<0){J=f[h>>2]|0;K=f[h+4>>2]|0}else{J=h;K=r&255}aMb(J,K,1,479197)|0;mGa(e)|0;o=t?I:0}if(o|0)bi[f[(f[o>>2]|0)+4>>2]&2047](o)}while(0);I=f[a+4>>2]|0;if(!((I&1|0)!=0&(b[488459]|0)!=0)){u=d;return}Abc(I&-2,c);u=d;return}function kyb(a){a=a|0;return f[a+96>>2]|0}function lyb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,aa=0,ba=0,ca=0,da=0,ea=0;e=u;u=u+16|0;g=e;h=f[a+12>>2]|0;if((h|0)>0){i=a+20|0;j=d;k=0;while(1){l=f[(f[i>>2]|0)+4+(k<<2)>>2]|0;m=b[l+11>>0]|0;if(m<<24>>24<0){n=f[l>>2]|0;o=f[l+4>>2]|0}else{n=l;o=m&255}aMb(n,o,1,479042)|0;m=f[(f[i>>2]|0)+4+(k<<2)>>2]|0;b[j>>0]=10;l=XJb(m,j+1|0)|0;k=k+1|0;if((k|0)==(h|0)){p=l;break}else j=l}}else p=d;d=a+92|0;j=f[d>>2]|0;h=b[j+11>>0]|0;k=h<<24>>24<0;if(k)q=f[j+4>>2]|0;else q=h&255;if(!q)r=p;else{if(k){s=f[j>>2]|0;t=f[j+4>>2]|0}else{s=j;t=h&255}aMb(s,t,1,479081)|0;t=f[d>>2]|0;b[p>>0]=18;r=XJb(t,p+1|0)|0}p=f[a+28>>2]|0;if((p|0)>0){t=a+36|0;d=0;s=r;while(1){h=f[(f[t>>2]|0)+4+(d<<2)>>2]|0;j=b[h+11>>0]|0;if(j<<24>>24<0){v=f[h>>2]|0;w=f[h+4>>2]|0}else{v=h;w=j&255}aMb(v,w,1,479119)|0;j=f[(f[t>>2]|0)+4+(d<<2)>>2]|0;b[s>>0]=26;h=XJb(j,s+1|0)|0;d=d+1|0;if((d|0)==(p|0)){x=h;break}else s=h}}else x=r;r=f[a+44>>2]|0;if((r|0)>0){s=a+52|0;p=0;d=x;while(1){t=f[(f[s>>2]|0)+4+(p<<2)>>2]|0;w=b[t+11>>0]|0;if(w<<24>>24<0){y=f[t>>2]|0;z=f[t+4>>2]|0}else{y=t;z=w&255}aMb(y,z,1,479158)|0;w=f[(f[s>>2]|0)+4+(p<<2)>>2]|0;b[d>>0]=34;t=XJb(w,d+1|0)|0;p=p+1|0;if((p|0)==(r|0)){A=t;break}else d=t}}else A=x;x=a+56|0;T5b(x);d=a+88|0;do if(f[f[d>>2]>>2]|0){if(c?(T5b(x),(f[f[d>>2]>>2]|0)>>>0>1):0){T5b(x);r=f[f[d>>2]>>2]|0;p=euc(r>>>0>1073741823?-1:r<<2)|0;T5b(x);r=f[d>>2]|0;s=f[r+12>>2]|0;z=f[r+4>>2]|0;a:do if(z>>>0>s>>>0){y=f[r+16>>2]|0;t=s;while(1){B=f[y+(t<<2)>>2]|0;if(B|0)break;w=t+1|0;if(w>>>0<z>>>0)t=w;else{C=0;D=w;break a}}if((B|0)==(f[y+((t^1)<<2)>>2]|0)){C=f[(f[B>>2]|0)+16>>2]|0;D=t;break}else{C=B;D=t;break}}else{C=0;D=s}while(0);f[g>>2]=C;f[g+4>>2]=r;f[g+8>>2]=D;s=0;while(1){T5b(x);z=f[g>>2]|0;if(!z)break;f[p+(s<<2)>>2]=f[z+12>>2];mGa(g)|0;s=s+1|0}JPa(p,p+(s<<2)|0,g);if(s){r=a+76|0;z=0;w=A;v=0;do{h=p+(z<<2)|0;j=f[h>>2]|0;k=j+16|0;q=f[r>>2]|0;if(!q){i=cuc(32)|0;f[i+12>>2]=0;f[i+4>>2]=542896;f[i+8>>2]=0;f[i+20>>2]=0;E=i}else{if(f[q+64>>2]|0)HIb(q,22968,32);i=FIb(q,32)|0;o=q;f[i+12>>2]=o;f[i+4>>2]=542896;f[i+8>>2]=0;f[i+20>>2]=o;E=i}f[E>>2]=138992;f[E+24>>2]=j;f[E+28>>2]=k;f[E+16>>2]=3;if((v|0)!=(E|0))if(!v)F=E;else{bi[f[(f[v>>2]|0)+4>>2]&2047](v);F=E}else F=v;b[w>>0]=42;k=w+1|0;j=F+16|0;i=f[j>>2]|0;if(!(i&1)){G=i;H=0}else{i=di[f[(f[F>>2]|0)+100>>2]&1023](F)|0;o=b[i+11>>0]|0;q=o<<24>>24<0?f[i+4>>2]|0:o&255;o=q+1+((((($(q|1|0)|0)^31)*9|0)+73|0)>>>6)|0;G=f[j>>2]|0;H=o}if(!(G&2))I=0;else{o=(di[f[(f[F>>2]|0)+104>>2]&1023](F)|0)+16|0;j=f[o>>2]|0;I=j+1+((((($(j|1|0)|0)^31)*9|0)+73|0)>>>6)|0}j=I+H|0;if(j>>>0>127){o=j;q=k;while(1){b[q>>0]=o|128;i=o>>>7;n=q+1|0;if(o>>>0>16383){o=i;q=n}else{J=n;K=i;break}}}else{J=k;K=j}b[J>>0]=K;q=di[f[(f[F>>2]|0)+100>>2]&1023](F)|0;b[J+1>>0]=10;o=XJb(q,J+2|0)|0;q=di[f[(f[F>>2]|0)+104>>2]&1023](F)|0;b[o>>0]=18;t=o+1|0;o=di[f[(f[q>>2]|0)+60>>2]&1023](q)|0;if(o>>>0>127){y=o;i=t;while(1){b[i>>0]=y|128;n=y>>>7;l=i+1|0;if(y>>>0>16383){y=n;i=l}else{L=l;M=n;break}}}else{L=t;M=o}b[L>>0]=M;w=li[f[(f[q>>2]|0)+64>>2]&511](q,1,L+1|0)|0;i=(di[f[(f[F>>2]|0)+20>>2]&1023](F)|0)==0;v=i?F:0;i=f[h>>2]|0;y=b[i+11>>0]|0;if(y<<24>>24<0){N=f[i>>2]|0;O=f[i+4>>2]|0}else{N=i;O=y&255}aMb(N,O,1,479197)|0;z=z+1|0}while(z>>>0<s>>>0);if(!v)P=w;else{bi[f[(f[v>>2]|0)+4>>2]&2047](v);P=w}}else P=A;guc(p);Q=P;break}T5b(x);s=f[d>>2]|0;z=f[s+12>>2]|0;r=f[s+4>>2]|0;b:do if(r>>>0>z>>>0){y=f[s+16>>2]|0;i=z;while(1){R=f[y+(i<<2)>>2]|0;if(R|0)break;j=i+1|0;if(j>>>0<r>>>0)i=j;else{S=0;T=j;break b}}if((R|0)==(f[y+((i^1)<<2)>>2]|0)){S=f[(f[R>>2]|0)+16>>2]|0;T=i;break}else{S=R;T=i;break}}else{S=0;T=z}while(0);f[g>>2]=S;f[g+4>>2]=s;f[g+8>>2]=T;z=a+76|0;r=A;p=0;while(1){T5b(x);w=f[g>>2]|0;if(!w)break;v=f[w+12>>2]|0;w=v+16|0;h=f[z>>2]|0;if(!h){q=cuc(32)|0;f[q+12>>2]=0;f[q+4>>2]=542896;f[q+8>>2]=0;f[q+20>>2]=0;U=q}else{if(f[h+64>>2]|0)HIb(h,22968,32);q=FIb(h,32)|0;o=h;f[q+12>>2]=o;f[q+4>>2]=542896;f[q+8>>2]=0;f[q+20>>2]=o;U=q}f[U>>2]=138992;f[U+24>>2]=v;f[U+28>>2]=w;f[U+16>>2]=3;if((p|0)!=(U|0))if(!p)V=U;else{bi[f[(f[p>>2]|0)+4>>2]&2047](p);V=U}else V=p;b[r>>0]=42;w=r+1|0;v=V+16|0;q=f[v>>2]|0;if(!(q&1)){W=q;X=0}else{q=di[f[(f[V>>2]|0)+100>>2]&1023](V)|0;o=b[q+11>>0]|0;h=o<<24>>24<0?f[q+4>>2]|0:o&255;o=h+1+((((($(h|1|0)|0)^31)*9|0)+73|0)>>>6)|0;W=f[v>>2]|0;X=o}if(!(W&2))Y=0;else{o=(di[f[(f[V>>2]|0)+104>>2]&1023](V)|0)+16|0;v=f[o>>2]|0;Y=v+1+((((($(v|1|0)|0)^31)*9|0)+73|0)>>>6)|0}v=Y+X|0;if(v>>>0>127){o=v;h=w;while(1){b[h>>0]=o|128;q=o>>>7;t=h+1|0;if(o>>>0>16383){o=q;h=t}else{Z=t;_=q;break}}}else{Z=w;_=v}b[Z>>0]=_;h=di[f[(f[V>>2]|0)+100>>2]&1023](V)|0;b[Z+1>>0]=10;o=XJb(h,Z+2|0)|0;h=di[f[(f[V>>2]|0)+104>>2]&1023](V)|0;b[o>>0]=18;i=o+1|0;o=di[f[(f[h>>2]|0)+60>>2]&1023](h)|0;if(o>>>0>127){y=o;q=i;while(1){b[q>>0]=y|128;t=y>>>7;j=q+1|0;if(y>>>0>16383){y=t;q=j}else{aa=j;ba=t;break}}}else{aa=i;ba=o}b[aa>>0]=ba;q=li[f[(f[h>>2]|0)+64>>2]&511](h,c,aa+1|0)|0;y=(di[f[(f[V>>2]|0)+20>>2]&1023](V)|0)==0;v=f[(f[g>>2]|0)+12>>2]|0;w=b[v+11>>0]|0;if(w<<24>>24<0){ca=f[v>>2]|0;da=f[v+4>>2]|0}else{ca=v;da=w&255}aMb(ca,da,1,479197)|0;mGa(g)|0;r=q;p=y?V:0}if(!p)Q=r;else{bi[f[(f[p>>2]|0)+4>>2]&2047](p);Q=r}}else Q=A;while(0);A=f[a+4>>2]|0;if(!((A&1|0)!=0&(b[488459]|0)!=0)){ea=Q;u=e;return ea|0}ea=Bbc(A&-2,Q)|0;u=e;return ea|0}function myb(a,b){a=a|0;b=b|0;var c=0;if((a|0)==(b|0))return;fyb(a);c=ovc(b,24728,22888,0)|0;if(!c){A9b(b,a);return}else{qyb(a,c);return}}function nyb(a,b){a=a|0;b=b|0;var c=0;c=ovc(b,24728,22888,0)|0;if(!c){A9b(b,a);return}else{qyb(a,c);return}}function oyb(a,b){a=a|0;b=b|0;f[a+96>>2]=b;return}function pyb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224929]|0)!=2){f[d>>2]=151624;f[d+4>>2]=94;b[d+8>>0]=0;xLb(899716,d);QKb(d)}d=541336;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function qyb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0;d=a+4|0;e=f[c+4>>2]|0;if(e&1|0){g=f[d>>2]|0;if(!(g&1))h=OOa(d)|0;else h=g&-2;hbc(h,e&-2)}YOa(a+8|0,c+8|0);YOa(a+24|0,c+24|0);YOa(a+40|0,c+40|0);ryb(a+56|0,c+56|0);e=f[c+92>>2]|0;c=b[e+11>>0]|0;if(c<<24>>24<0)i=f[e+4>>2]|0;else i=c&255;if(!i)return;i=a+92|0;a=f[d>>2]|0;d=a&-2;if(!(a&1))j=d;else j=f[d+4>>2]|0;d=f[i>>2]|0;if((d|0)==542896){QGa(i,j,e);return}else{ruc(d,e)|0;return}}function ryb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=u;u=u+16|0;d=c;T5b(a);T5b(b);e=f[b+32>>2]|0;b=f[e+12>>2]|0;g=f[e+4>>2]|0;a:do if(g>>>0>b>>>0){h=f[e+16>>2]|0;i=b;while(1){j=f[h+(i<<2)>>2]|0;if(j|0)break;k=i+1|0;if(k>>>0<g>>>0)i=k;else{l=0;m=k;break a}}if((j|0)==(f[h+((i^1)<<2)>>2]|0)){l=f[(f[j>>2]|0)+16>>2]|0;m=i;break}else{l=j;m=i;break}}else{l=0;m=b}while(0);f[d>>2]=l;f[d+4>>2]=e;f[d+8>>2]=m;if(!l){S5b(a);u=c;return}m=a+24|0;e=l;do{l=f[e+12>>2]|0;OQa(yGa(m,l)|0,l+16|0);mGa(d)|0;e=f[d>>2]|0}while((e|0)!=0);S5b(a);u=c;return}function syb(a){a=a|0;Fxb(a);fuc(a);return}function tyb(a){a=a|0;return f[a+24>>2]|0}function uyb(a){a=a|0;return f[a+28>>2]|0}function vyb(a,c){a=a|0;c=c|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;e=u;u=u+16|0;g=e;h=f[c>>2]|0;i=c+4|0;if(h>>>0<(f[i>>2]|0)>>>0?(b[h>>0]|0)==10:0){f[c>>2]=h+1;h=a+8|0;if(!($Lb(c,h)|0)){j=0;u=e;return j|0}k=f[c>>2]|0;if((((f[i>>2]|0)-k|0)>0?(b[k>>0]|0)==18:0)?(k=a+4|0,l=f[k>>2]|0,m=f[f[l+8>>2]>>2]|0,n=yGa(l,h)|0,l=a+20|0,f[l>>2]=n,(m|0)!=(f[f[(f[k>>2]|0)+8>>2]>>2]|0)):0){m=f[i>>2]|0;o=f[c>>2]|0;p=m-o|0;if((p|0)<1){HJb(c,1,p)|0;q=f[c>>2]|0;r=f[i>>2]|0;s=f[l>>2]|0}else{l=o+1|0;f[c>>2]=l;q=l;r=m;s=n}if(q>>>0<r>>>0?(r=b[q>>0]|0,r<<24>>24>-1):0){f[c>>2]=q+1;t=r&255;v=14}else v=13;if((v|0)==13?(r=NJb(c)|0,(r|0)>-1):0){t=r;v=14}do if(((v|0)==14?(yJb(g,c,t),(f[g+4>>2]|0)>=0):0)?dQa(s,c)|0:0){if(!(DJb(c,f[g>>2]|0)|0))break;do if((f[c>>2]|0)==(f[i>>2]|0)){if((f[c+32>>2]|0)==0?(f[c+12>>2]|0)!=(f[c+28>>2]|0):0)break;f[c+20>>2]=0;b[c+24>>0]=1;j=1;u=e;return j|0}while(0);j=wyb(a,c)|0;u=e;return j|0}while(0);rPa(f[k>>2]|0,h)|0;j=0;u=e;return j|0}}else{f[g>>2]=0;d[g+4>>1]=0;b[g+6>>0]=0;h=a+8|0;k=h+11|0;if((b[k>>0]|0)<0){b[f[h>>2]>>0]=0;f[a+12>>2]=0}else{b[h>>0]=0;b[k>>0]=0}vuc(h,0);f[a+8>>2]=0;h=a+12|0;f[h>>2]=f[g>>2];d[h+4>>1]=d[g+4>>1]|0;b[h+6>>0]=b[g+6>>0]|0;b[a+19>>0]=0}g=f[(f[a>>2]|0)+20>>2]|0;if(!g){h=cuc(24)|0;f[h+12>>2]=0;f[h+4>>2]=542896;f[h+8>>2]=0;f[h+16>>2]=0;f[h+20>>2]=0;w=h}else{if(f[g+64>>2]|0)HIb(g,22920,24);h=FIb(g,24)|0;k=g;f[h+12>>2]=k;f[h+4>>2]=542896;f[h+8>>2]=0;f[h+16>>2]=0;f[h+20>>2]=k;w=h}f[w>>2]=138644;h=a+24|0;k=f[h>>2]|0;if((k|0)==(w|0))x=w;else{if(k|0)bi[f[(f[k>>2]|0)+4>>2]&2047](k);f[h>>2]=w;x=w}w=x+16|0;f[w>>2]=f[w>>2]|1;w=x+4|0;k=f[w>>2]|0;if((k|0)==542896){QGa(w,f[x+12>>2]|0,542896);y=f[w>>2]|0}else y=k;ruc(y,a+8|0)|0;y=f[h>>2]|0;k=Th[f[(f[y>>2]|0)+44>>2]&1023](y,c)|0;if(k)xyb(a);a=f[h>>2]|0;if(!(di[f[(f[a>>2]|0)+20>>2]&1023](a)|0)){j=k;u=e;return j|0}f[h>>2]=0;j=k;u=e;return j|0}function wyb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;d=f[(f[a>>2]|0)+20>>2]|0;if(!d){e=cuc(24)|0;f[e+12>>2]=0;f[e+4>>2]=542896;f[e+8>>2]=0;f[e+16>>2]=0;f[e+20>>2]=0;g=e}else{if(f[d+64>>2]|0)HIb(d,22920,24);e=FIb(d,24)|0;h=d;f[e+12>>2]=h;f[e+4>>2]=542896;f[e+8>>2]=0;f[e+16>>2]=0;f[e+20>>2]=h;g=e}f[g>>2]=138644;e=a+24|0;h=f[e>>2]|0;if((h|0)==(g|0))i=g;else{if(h|0)bi[f[(f[h>>2]|0)+4>>2]&2047](h);f[e>>2]=g;i=g}g=f[a+20>>2]|0;h=i+16|0;f[h>>2]=f[h>>2]|2;h=i+8|0;d=f[i+12>>2]|0;i=f[h>>2]|0;if(!i){if(!d){j=cuc(24)|0;kPa(j);k=j}else{if(f[d+64>>2]|0)HIb(d,19312,24);j=FIb(d,24)|0;lPa(j,d);k=j}f[h>>2]=k;l=k}else l=i;rQa(l,g);g=a+8|0;rPa(f[a+4>>2]|0,g)|0;l=f[e>>2]|0;i=l+16|0;f[i>>2]=f[i>>2]|1;i=l+4|0;k=f[i>>2]|0;if((k|0)==542896){QGa(i,f[l+12>>2]|0,542896);m=f[i>>2]|0}else m=k;k=m+11|0;if((b[k>>0]|0)<0){b[f[m>>2]>>0]=0;f[m+4>>2]=0}else{b[m>>0]=0;b[k>>0]=0}vuc(m,0);f[m>>2]=f[g>>2];f[m+4>>2]=f[g+4>>2];f[m+8>>2]=f[g+8>>2];f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;g=f[e>>2]|0;m=Th[f[(f[g>>2]|0)+44>>2]&1023](g,c)|0;if(m)xyb(a);a=f[e>>2]|0;if(!(di[f[(f[a>>2]|0)+20>>2]&1023](a)|0))return m|0;f[e>>2]=0;return m|0}function xyb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0;b=a+24|0;c=f[b>>2]|0;d=a+8|0;ruc(d,di[f[(f[c>>2]|0)+100>>2]&1023](c)|0)|0;c=yGa(f[a+4>>2]|0,d)|0;d=a+20|0;f[d>>2]=c;a=f[b>>2]|0;b=a+16|0;f[b>>2]=f[b>>2]|2;b=a+8|0;e=f[a+12>>2]|0;a=f[b>>2]|0;if(a|0){g=c;h=a;rQa(g,h);return}if(!e){a=cuc(24)|0;kPa(a);i=a}else{if(f[e+64>>2]|0)HIb(e,19312,24);a=FIb(e,24)|0;lPa(a,e);i=a}f[b>>2]=i;g=f[d>>2]|0;h=i;rQa(g,h);return}function yyb(a){a=a|0;var c=0,d=0,e=0;c=u;u=u+16|0;d=c;f[a>>2]=138344;e=a+4|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;f[e+16>>2]=0;if((a|0)!=541264?(f[224934]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=99;b[d+8>>0]=0;xLb(899736,d);QKb(d)}f[a+24>>2]=0;f[a+28>>2]=0;u=c;return}function zyb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+16|0;e=d;f[a>>2]=138344;f[a+4>>2]=c;f[a+8>>2]=c;f[a+12>>2]=0;f[a+16>>2]=0;f[a+20>>2]=0;if((f[224934]|0)==2){g=a+24|0;f[g>>2]=0;h=a+28|0;f[h>>2]=0;u=d;return}f[e>>2]=151624;f[e+4>>2]=99;b[e+8>>0]=0;xLb(899736,e);QKb(e);g=a+24|0;f[g>>2]=0;h=a+28|0;f[h>>2]=0;u=d;return}function Ayb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=f[b+4>>2]|0;if(!c)return;d=f[b+12>>2]|0;b=KKb(a,c)|0;e=a+12|0;g=a+4|0;h=(f[f[e>>2]>>2]|0)-(f[g>>2]|0)|0;if((h|0)>0&(c|0)>0){i=0;do{Dyb(f[d+4+(i<<2)>>2]|0,f[b+(i<<2)>>2]|0);i=i+1|0}while((i|0)<(h|0)&(i|0)<(c|0))}i=f[a>>2]|0;a:do if((h|0)<(c|0)){a=i+64|0;if(!i){j=h;while(1){k=f[d+4+(j<<2)>>2]|0;l=cuc(32)|0;yyb(l);Dyb(k,l);f[b+(j<<2)>>2]=l;j=j+1|0;if((j|0)>=(c|0))break a}}else m=h;do{j=f[d+4+(m<<2)>>2]|0;if(f[a>>2]|0)HIb(i,22872,32);l=FIb(i,32)|0;zyb(l,i);Dyb(j,l);f[b+(m<<2)>>2]=l;m=m+1|0}while((m|0)!=(c|0))}while(0);m=(f[g>>2]|0)+c|0;f[g>>2]=m;g=f[e>>2]|0;if((f[g>>2]|0)>=(m|0))return;f[g>>2]=m;return}function Byb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=f[b+4>>2]|0;if(!c)return;d=f[b+12>>2]|0;b=KKb(a,c)|0;e=a+12|0;g=a+4|0;h=(f[f[e>>2]>>2]|0)-(f[g>>2]|0)|0;if((h|0)>0&(c|0)>0){i=0;do{Cyb(f[d+4+(i<<2)>>2]|0,f[b+(i<<2)>>2]|0);i=i+1|0}while((i|0)<(h|0)&(i|0)<(c|0))}i=f[a>>2]|0;a:do if((h|0)<(c|0)){a=i+64|0;if(!i){j=h;while(1){k=f[d+4+(j<<2)>>2]|0;l=cuc(20)|0;Swb(l);Cyb(k,l);f[b+(j<<2)>>2]=l;j=j+1|0;if((j|0)>=(c|0))break a}}else m=h;do{j=f[d+4+(m<<2)>>2]|0;if(f[a>>2]|0)HIb(i,22856,24);l=FIb(i,24)|0;Twb(l,i);Cyb(j,l);f[b+(m<<2)>>2]=l;m=m+1|0}while((m|0)!=(c|0))}while(0);m=(f[g>>2]|0)+c|0;f[g>>2]=m;g=f[e>>2]|0;if((f[g>>2]|0)>=(m|0))return;f[g>>2]=m;return}function Cyb(a,b){a=a|0;b=b|0;Rwb(b,a);return}function Dyb(a,b){a=a|0;b=b|0;jxb(b,a);return}function Eyb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;b=a+4|0;c=f[b>>2]|0;if((c|0)<=0)return;d=f[a+12>>2]|0;a=0;do{e=f[d+4+(a<<2)>>2]|0;a=a+1|0;g=e+12|0;h=f[g>>2]|0;if((h|0)>0){i=f[e+20>>2]|0;j=0;do{fyb(f[i+4+(j<<2)>>2]|0);j=j+1|0}while((j|0)!=(h|0));f[g>>2]=0}h=e+4|0;j=f[h>>2]|0;i=j&-2;if(!(j&1))k=i;else k=f[i+4>>2]|0;i=e+24|0;if((k|0)==0?(l=f[i>>2]|0,(l|0)!=0):0){bi[f[(f[l>>2]|0)+4>>2]&2047](l);m=f[h>>2]|0}else m=j;f[i>>2]=0;if(m&1|0?(i=m&-2,f[i>>2]|0):0)ebc(i)}while((a|0)!=(c|0));f[b>>2]=0;return}function Fyb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0;c=u;u=u+16|0;d=c;f[a>>2]=138048;e=(a|0)==541088;g=a+4|0;h=g+36|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));if(!e?(f[224931]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=96;b[d+8>>0]=0;xLb(899724,d);QKb(d)}f[a+40>>2]=0;u=c;return}function Gyb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+16|0;e=d;f[a>>2]=138048;f[a+4>>2]=c;f[a+8>>2]=c;f[a+12>>2]=0;f[a+16>>2]=0;f[a+20>>2]=0;f[a+24>>2]=c;f[a+28>>2]=0;f[a+32>>2]=0;f[a+36>>2]=0;if((f[224931]|0)==2){g=a+40|0;f[g>>2]=0;u=d;return}f[e>>2]=151624;f[e+4>>2]=96;b[e+8>>0]=0;xLb(899724,e);QKb(e);g=a+40|0;f[g>>2]=0;u=d;return}function Hyb(){var a=0,c=0;a=u;u=u+16|0;c=a;if((f[224930]|0)==2){u=a;return}f[c>>2]=151624;f[c+4>>2]=95;b[c+8>>0]=0;xLb(899720,c);QKb(c);u=a;return}function Iyb(){var a=0,c=0;a=u;u=u+16|0;c=a;if((f[224931]|0)==2){u=a;return}f[c>>2]=151624;f[c+4>>2]=96;b[c+8>>0]=0;xLb(899724,c);QKb(c);u=a;return}function Jyb(){var a=0,c=0;a=u;u=u+16|0;c=a;if((f[224930]|0)==2){u=a;return}f[c>>2]=151624;f[c+4>>2]=95;b[c+8>>0]=0;xLb(899720,c);QKb(c);u=a;return}function Kyb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=a+4|0;d=f[b+4>>2]|0;if(d&1|0){e=f[c>>2]|0;if(!(e&1))g=OOa(c)|0;else g=e&-2;hbc(g,d&-2)}Ayb(a+8|0,b+8|0);Byb(a+24|0,b+24|0);return}function Lyb(a){a=a|0;var b=0,c=0;f[a>>2]=139320;ZAb(a);b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(c);f[b>>2]=0;return}function Myb(a){a=a|0;Lyb(a);fuc(a);return}function Nyb(a){a=a|0;a=cuc(40)|0;PAb(a);return a|0}function Oyb(a,b){a=a|0;b=b|0;var c=0;if(!b){a=cuc(40)|0;PAb(a);c=a;return c|0}if(f[b+64>>2]|0)HIb(b,22984,40);a=FIb(b,40)|0;RAb(a,b);c=a;return c|0}function Pyb(a){a=a|0;var b=0,c=0;b=f[a+4>>2]|0;a=b&-2;if(!(b&1)){c=a;return c|0}else{c=f[a+4>>2]|0;return c|0}return 0}function Qyb(a){a=a|0;return f[a+4>>2]|0}function Ryb(a){a=a|0;var c=0,d=0,e=0;c=a+4|0;d=f[a+8>>2]|0;do if((d|0)!=542896){e=d+11|0;if((b[e>>0]|0)<0){b[f[d>>2]>>0]=0;f[d+4>>2]=0;break}else{b[d>>0]=0;b[e>>0]=0;break}}while(0);d=f[a+12>>2]|0;do if((d|0)!=542896){e=d+11|0;if((b[e>>0]|0)<0){b[f[d>>2]>>0]=0;f[d+4>>2]=0;break}else{b[d>>0]=0;b[e>>0]=0;break}}while(0);d=f[a+16>>2]|0;do if((d|0)!=542896){e=d+11|0;if((b[e>>0]|0)<0){b[f[d>>2]>>0]=0;f[d+4>>2]=0;break}else{b[d>>0]=0;b[e>>0]=0;break}}while(0);d=f[a+20>>2]|0;do if((d|0)!=542896){e=d+11|0;if((b[e>>0]|0)<0){b[f[d>>2]>>0]=0;f[d+4>>2]=0;break}else{b[d>>0]=0;b[e>>0]=0;break}}while(0);d=f[a+24>>2]|0;do if((d|0)!=542896){e=d+11|0;if((b[e>>0]|0)<0){b[f[d>>2]>>0]=0;f[d+4>>2]=0;break}else{b[d>>0]=0;b[e>>0]=0;break}}while(0);d=a+28|0;f[d>>2]=0;b[d+4>>0]=0;d=f[c>>2]|0;if(!(d&1))return;c=d&-2;if(!(f[c>>2]|0))return;ebc(c);return}function Syb(a){a=a|0;return 1}function Tyb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0;d=u;u=u+16|0;e=d;g=c+4|0;i=a+8|0;j=a+4|0;k=a+8|0;l=a+12|0;m=a+12|0;n=a+28|0;o=a+16|0;p=a+16|0;q=a+20|0;r=a+20|0;s=a+24|0;t=a+24|0;v=a+32|0;a=e+8|0;a:while(1){w=f[c>>2]|0;x=f[g>>2]|0;do if(w>>>0<x>>>0){y=b[w>>0]|0;z=y&255;A=w+1|0;if(y<<24>>24>0){B=A;C=z}else{if(A>>>0>=x>>>0){D=z;E=7;break}y=h[A>>0]|0;if(((y^128)&z)>>>0<=127){D=z;E=7;break}B=w+2|0;C=z+-128+(y<<7)|0}f[c>>2]=B;F=C;E=9}else{D=0;E=7}while(0);if((E|0)==7){E=0;w=OJb(c,D)|0;if((w+-1|0)>>>0<16383){F=w;E=9}else G=w}b:do if((E|0)==9){E=0;switch(F>>>3&536870911|0){case 1:{if((F&255|0)!=10){G=F;break b}w=f[j>>2]|0;x=w&-2;if(!(w&1))H=x;else H=f[x+4>>2]|0;x=f[i>>2]|0;if((x|0)==542896){QGa(i,H,542896);I=f[i>>2]|0}else I=x;if(!($Lb(c,I)|0)){K=0;E=82;break a}x=f[k>>2]|0;w=b[x+11>>0]|0;if(w<<24>>24<0){L=f[x>>2]|0;M=f[x+4>>2]|0}else{L=x;M=w&255}if(aMb(L,M,0,481073)|0)continue a;else{K=0;E=82;break a}break}case 2:{if((F&255|0)!=18){G=F;break b}w=f[j>>2]|0;x=w&-2;if(!(w&1))N=x;else N=f[x+4>>2]|0;x=f[l>>2]|0;if((x|0)==542896){QGa(l,N,542896);O=f[l>>2]|0}else O=x;if(!($Lb(c,O)|0)){K=0;E=82;break a}x=f[m>>2]|0;w=b[x+11>>0]|0;if(w<<24>>24<0){P=f[x>>2]|0;Q=f[x+4>>2]|0}else{P=x;Q=w&255}if(aMb(P,Q,0,481109)|0)continue a;else{K=0;E=82;break a}break}case 3:{if((F&255|0)!=24){G=F;break b}w=f[c>>2]|0;if(w>>>0<(f[g>>2]|0)>>>0){x=b[w>>0]|0;y=x&255;if(x<<24>>24>-1){f[c>>2]=w+1;R=y}else{S=y;E=36}}else{S=0;E=36}if((E|0)==36){E=0;y=zJb(c,S)|0;w=J;if((w|0)>-1|(w|0)==-1&y>>>0>4294967295)R=y;else{K=0;E=82;break a}}f[n>>2]=R;continue a;break}case 4:{if((F&255|0)!=34){G=F;break b}y=f[j>>2]|0;w=y&-2;if(!(y&1))T=w;else T=f[w+4>>2]|0;w=f[o>>2]|0;if((w|0)==542896){QGa(o,T,542896);U=f[o>>2]|0}else U=w;if(!($Lb(c,U)|0)){K=0;E=82;break a}w=f[p>>2]|0;y=b[w+11>>0]|0;if(y<<24>>24<0){V=f[w>>2]|0;W=f[w+4>>2]|0}else{V=w;W=y&255}if(aMb(V,W,0,481152)|0)continue a;else{K=0;E=82;break a}break}case 5:{if((F&255|0)!=42){G=F;break b}y=f[j>>2]|0;w=y&-2;if(!(y&1))X=w;else X=f[w+4>>2]|0;w=f[q>>2]|0;if((w|0)==542896){QGa(q,X,542896);Y=f[q>>2]|0}else Y=w;if(!($Lb(c,Y)|0)){K=0;E=82;break a}w=f[r>>2]|0;y=b[w+11>>0]|0;if(y<<24>>24<0){Z=f[w>>2]|0;_=f[w+4>>2]|0}else{Z=w;_=y&255}if(aMb(Z,_,0,481193)|0)continue a;else{K=0;E=82;break a}break}case 6:{if((F&255|0)!=50){G=F;break b}y=f[j>>2]|0;w=y&-2;if(!(y&1))$=w;else $=f[w+4>>2]|0;w=f[s>>2]|0;if((w|0)==542896){QGa(s,$,542896);aa=f[s>>2]|0}else aa=w;if(!($Lb(c,aa)|0)){K=0;E=82;break a}w=f[t>>2]|0;y=b[w+11>>0]|0;if(y<<24>>24<0){ba=f[w>>2]|0;ca=f[w+4>>2]|0}else{ba=w;ca=y&255}if(aMb(ba,ca,0,481236)|0)continue a;else{K=0;E=82;break a}break}case 16:{if((F&255|0)!=128){G=F;break b}y=f[c>>2]|0;if(y>>>0<(f[g>>2]|0)>>>0?(w=b[y>>0]|0,w<<24>>24>-1):0){f[c>>2]=y+1;da=w<<24>>24!=0}else{AJb(e,c);w=e;if(!(b[a>>0]|0)){K=0;E=82;break a}else da=(f[w>>2]|0)!=0|(f[w+4>>2]|0)!=0}b[v>>0]=da&1;continue a;break}default:{G=F;break b}}}while(0);if(!G){K=1;E=82;break}w=f[j>>2]|0;if(!(w&1))ea=OOa(j)|0;else ea=w&-2;if(!(xbc(c,G,ea)|0)){K=0;E=82;break}}if((E|0)==82){u=d;return K|0}return 0}function Uyb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;c=f[a+4>>2]|0;if((c&1|0)!=0&(b[488459]|0)!=0)d=Dbc(c&-2)|0;else d=0;c=f[a+8>>2]|0;e=b[c+11>>0]|0;g=e<<24>>24<0;if(g)h=f[c+4>>2]|0;else h=e&255;if(!h)i=d;else{h=g?f[c+4>>2]|0:e&255;i=d+1+h+((((($(h|1|0)|0)^31)*9|0)+73|0)>>>6)|0}h=f[a+12>>2]|0;d=b[h+11>>0]|0;e=d<<24>>24<0;if(e)j=f[h+4>>2]|0;else j=d&255;if(!j)k=i;else{j=e?f[h+4>>2]|0:d&255;k=i+1+j+((((($(j|1|0)|0)^31)*9|0)+73|0)>>>6)|0}j=f[a+16>>2]|0;i=b[j+11>>0]|0;d=i<<24>>24<0;if(d)l=f[j+4>>2]|0;else l=i&255;if(!l)m=k;else{l=d?f[j+4>>2]|0:i&255;m=k+1+l+((((($(l|1|0)|0)^31)*9|0)+73|0)>>>6)|0}l=f[a+20>>2]|0;k=b[l+11>>0]|0;i=k<<24>>24<0;if(i)n=f[l+4>>2]|0;else n=k&255;if(!n)o=m;else{n=i?f[l+4>>2]|0:k&255;o=m+1+n+((((($(n|1|0)|0)^31)*9|0)+73|0)>>>6)|0}n=f[a+24>>2]|0;m=b[n+11>>0]|0;k=m<<24>>24<0;if(k)p=f[n+4>>2]|0;else p=m&255;if(!p)q=o;else{p=k?f[n+4>>2]|0:m&255;q=o+1+p+((((($(p|1|0)|0)^31)*9|0)+73|0)>>>6)|0}p=f[a+28>>2]|0;if(!p){r=q;s=a+32|0;t=b[s>>0]|0;u=t<<24>>24!=0;v=r+3|0;w=u?v:r;x=a+36|0;f[x>>2]=w;return w|0}if((p|0)<0)y=11;else y=((((($(p|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;r=y+q|0;s=a+32|0;t=b[s>>0]|0;u=t<<24>>24!=0;v=r+3|0;w=u?v:r;x=a+36|0;f[x>>2]=w;return w|0}function Vyb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;d=a+8|0;e=f[d>>2]|0;g=b[e+11>>0]|0;h=g<<24>>24<0;if(h)i=f[e+4>>2]|0;else i=g&255;if(i|0){if(h){j=f[e>>2]|0;k=f[e+4>>2]|0}else{j=e;k=g&255}aMb(j,k,1,481073)|0;VLb(1,f[d>>2]|0,c)}d=a+12|0;k=f[d>>2]|0;j=b[k+11>>0]|0;g=j<<24>>24<0;if(g)l=f[k+4>>2]|0;else l=j&255;if(l|0){if(g){m=f[k>>2]|0;n=f[k+4>>2]|0}else{m=k;n=j&255}aMb(m,n,1,481109)|0;VLb(2,f[d>>2]|0,c)}d=f[a+28>>2]|0;if(d|0)TLb(3,d,c);d=a+16|0;n=f[d>>2]|0;m=b[n+11>>0]|0;j=m<<24>>24<0;if(j)o=f[n+4>>2]|0;else o=m&255;if(o|0){if(j){p=f[n>>2]|0;q=f[n+4>>2]|0}else{p=n;q=m&255}aMb(p,q,1,481152)|0;VLb(4,f[d>>2]|0,c)}d=a+20|0;q=f[d>>2]|0;p=b[q+11>>0]|0;m=p<<24>>24<0;if(m)r=f[q+4>>2]|0;else r=p&255;if(r|0){if(m){s=f[q>>2]|0;t=f[q+4>>2]|0}else{s=q;t=p&255}aMb(s,t,1,481193)|0;VLb(5,f[d>>2]|0,c)}d=a+24|0;t=f[d>>2]|0;s=b[t+11>>0]|0;p=s<<24>>24<0;if(p)u=f[t+4>>2]|0;else u=s&255;if(u|0){if(p){v=f[t>>2]|0;w=f[t+4>>2]|0}else{v=t;w=s&255}aMb(v,w,1,481236)|0;VLb(6,f[d>>2]|0,c)}if(b[a+32>>0]|0)SLb(16,1,c);d=f[a+4>>2]|0;if(!((d&1|0)!=0&(b[488459]|0)!=0))return;Abc(d&-2,c);return}function Wyb(a){a=a|0;return f[a+36>>2]|0}function Xyb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;c=a+8|0;e=f[c>>2]|0;g=b[e+11>>0]|0;h=g<<24>>24<0;if(h)i=f[e+4>>2]|0;else i=g&255;if(!i)j=d;else{if(h){k=f[e>>2]|0;l=f[e+4>>2]|0}else{k=e;l=g&255}aMb(k,l,1,481073)|0;l=f[c>>2]|0;b[d>>0]=10;j=XJb(l,d+1|0)|0}d=a+12|0;l=f[d>>2]|0;c=b[l+11>>0]|0;k=c<<24>>24<0;if(k)m=f[l+4>>2]|0;else m=c&255;if(!m)n=j;else{if(k){o=f[l>>2]|0;p=f[l+4>>2]|0}else{o=l;p=c&255}aMb(o,p,1,481109)|0;p=f[d>>2]|0;b[j>>0]=18;n=XJb(p,j+1|0)|0}j=f[a+28>>2]|0;if(!j)q=n;else{b[n>>0]=24;p=n+1|0;n=j&255;if(j>>>0>127){d=p;o=n;c=j;l=((j|0)<0)<<31>>31;while(1){b[d>>0]=o|-128;j=c;c=pzc(c|0,l|0,7)|0;k=d+1|0;m=c&255;if(!(l>>>0>0|(l|0)==0&j>>>0>16383)){r=k;s=m;break}else{d=k;o=m;l=J}}}else{r=p;s=n}b[r>>0]=s;q=r+1|0}r=a+16|0;s=f[r>>2]|0;n=b[s+11>>0]|0;p=n<<24>>24<0;if(p)t=f[s+4>>2]|0;else t=n&255;if(!t)u=q;else{if(p){v=f[s>>2]|0;w=f[s+4>>2]|0}else{v=s;w=n&255}aMb(v,w,1,481152)|0;w=f[r>>2]|0;b[q>>0]=34;u=XJb(w,q+1|0)|0}q=a+20|0;w=f[q>>2]|0;r=b[w+11>>0]|0;v=r<<24>>24<0;if(v)x=f[w+4>>2]|0;else x=r&255;if(!x)y=u;else{if(v){z=f[w>>2]|0;A=f[w+4>>2]|0}else{z=w;A=r&255}aMb(z,A,1,481193)|0;A=f[q>>2]|0;b[u>>0]=42;y=XJb(A,u+1|0)|0}u=a+24|0;A=f[u>>2]|0;q=b[A+11>>0]|0;z=q<<24>>24<0;if(z)B=f[A+4>>2]|0;else B=q&255;if(!B)C=y;else{if(z){D=f[A>>2]|0;E=f[A+4>>2]|0}else{D=A;E=q&255}aMb(D,E,1,481236)|0;E=f[u>>2]|0;b[y>>0]=50;C=XJb(E,y+1|0)|0}if(!(b[a+32>>0]|0))F=C;else{b[C>>0]=-128;b[C+1>>0]=1;b[C+2>>0]=1;F=C+3|0}C=f[a+4>>2]|0;if(!((C&1|0)!=0&(b[488459]|0)!=0)){G=F;return G|0}G=Bbc(C&-2,F)|0;return G|0}function Yyb(a,b){a=a|0;b=b|0;var c=0;if((a|0)==(b|0))return;Ryb(a);c=ovc(b,24728,22984,0)|0;if(!c){A9b(b,a);return}else{SAb(a,c);return}}function Zyb(a,b){a=a|0;b=b|0;var c=0;c=ovc(b,24728,22984,0)|0;if(!c){A9b(b,a);return}else{SAb(a,c);return}}function _yb(a,b){a=a|0;b=b|0;f[a+36>>2]=b;return}function $yb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224936]|0)!=2){f[d>>2]=151624;f[d+4>>2]=101;b[d+8>>0]=0;xLb(899744,d);QKb(d)}d=541584;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function azb(){var a=0,c=0,d=0,e=0,g=0,h=0;a=u;u=u+16|0;c=a;if((f[224937]|0)!=2){f[c>>2]=151624;f[c+4>>2]=102;b[c+8>>0]=0;xLb(899748,c);QKb(c)}d=cuc(16)|0;f[c>>2]=d;f[c+8>>2]=-2147483632;f[c+4>>2]=12;e=d;g=479619;h=e+12|0;do{b[e>>0]=b[g>>0]|0;e=e+1|0;g=g+1|0}while((e|0)<(h|0));b[d+12>>0]=0;T3b(c,139420,139480,139100,0,541584,0,0);if((b[c+11>>0]|0)>=0){u=a;return}fuc(f[c>>2]|0);u=a;return}function bzb(){czb();bQb(479632,969);n9b(479619,1989);MQa();TQa();return}function czb(){var a=0,c=0;a=u;u=u+16|0;c=a;if((f[224938]|0)!=2){f[c>>2]=151624;f[c+4>>2]=103;b[c+8>>0]=0;xLb(899752,c);QKb(c)}if((f[224939]|0)!=2){f[c>>2]=151624;f[c+4>>2]=104;b[c+8>>0]=0;xLb(899756,c);QKb(c)}if((f[224940]|0)!=2){f[c>>2]=151624;f[c+4>>2]=105;b[c+8>>0]=0;xLb(899760,c);QKb(c)}if((f[224941]|0)!=2){f[c>>2]=151624;f[c+4>>2]=106;b[c+8>>0]=0;xLb(899764,c);QKb(c)}if((f[224942]|0)==2){u=a;return}f[c>>2]=151624;f[c+4>>2]=107;b[c+8>>0]=0;xLb(899768,c);QKb(c);u=a;return}function dzb(a){a=a|0;var c=0;a=u;u=u+16|0;c=a;if((f[224936]|0)!=2){f[c>>2]=151624;f[c+4>>2]=101;b[c+8>>0]=0;xLb(899744,c);QKb(c)}Y3b(541584,5);u=a;return}function ezb(){TKb(3005001,3005e3,480602);LIb();f[135340]=139320;f[135341]=0;f[135342]=542896;f[135343]=542896;f[135344]=542896;f[135345]=542896;f[135346]=542896;f[135347]=0;b[541392]=0;f[135349]=0;qLb(541360);return}function fzb(){TKb(3005001,3005e3,480602);LIb();LQa();f[135350]=139832;f[135351]=0;f[135352]=542896;f[135353]=542896;f[135354]=542896;f[135355]=0;f[135356]=0;f[135357]=0;f[135358]=0;f[135359]=0;b[541440]=0;f[135361]=0;qLb(541400);f[135355]=535936;f[135356]=535936;return}function gzb(){var a=0,c=0,d=0;a=u;u=u+16|0;c=a;TKb(3005001,3005e3,480602);LIb();if((f[224938]|0)!=2){f[c>>2]=151624;f[c+4>>2]=103;b[c+8>>0]=0;xLb(899752,c);QKb(c)}if((f[224939]|0)!=2){f[c>>2]=151624;f[c+4>>2]=104;b[c+8>>0]=0;xLb(899756,c);QKb(c)}if((f[224941]|0)!=2){f[c>>2]=151624;f[c+4>>2]=106;b[c+8>>0]=0;xLb(899764,c);QKb(c)}f[135362]=139616;c=541452;d=c+52|0;do{f[c>>2]=0;c=c+4|0}while((c|0)<(d|0));f[135376]=542896;f[135377]=542896;f[135378]=542896;c=541516;f[c>>2]=0;f[c+4>>2]=0;f[135381]=0;qLb(541448);f[135379]=541528;u=a;return}function hzb(){TKb(3005001,3005e3,480602);LIb();f[135382]=139724;f[135383]=0;f[135384]=542896;f[135385]=0;f[135386]=0;qLb(541528);return}function izb(){var a=0,c=0;a=u;u=u+16|0;c=a;TKb(3005001,3005e3,480602);LIb();if((f[224940]|0)!=2){f[c>>2]=151624;f[c+4>>2]=105;b[c+8>>0]=0;xLb(899760,c);QKb(c)}f[135388]=139508;f[135389]=0;f[135390]=0;f[135391]=0;f[135392]=0;f[135393]=0;f[135394]=0;qLb(541552);u=a;return}function jzb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0;f[a>>2]=139508;b=a+20|0;c=f[b>>2]|0;if(c|0?(f[a+8>>2]|0)==0:0){d=f[c>>2]|0;if((d|0)>0){e=0;do{g=f[c+4+(e<<2)>>2]|0;if(g|0)bi[f[(f[g>>2]|0)+4>>2]&2047](g);e=e+1|0}while((e|0)!=(d|0));h=f[b>>2]|0}else h=c;fuc(h)}f[b>>2]=0;b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}h=a&-2;a=h;if((h|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(h);f[b>>2]=0;return}function kzb(a){a=a|0;jzb(a);fuc(a);return}function lzb(a){a=a|0;a=cuc(28)|0;XAb(a);return a|0}function mzb(a,b){a=a|0;b=b|0;var c=0;if(!b){a=cuc(28)|0;XAb(a);c=a;return c|0}if(f[b+64>>2]|0)HIb(b,23e3,32);a=FIb(b,32)|0;YAb(a,b);c=a;return c|0}function nzb(a){a=a|0;var b=0,c=0;b=f[a+4>>2]|0;a=b&-2;if(!(b&1)){c=a;return c|0}else{c=f[a+4>>2]|0;return c|0}return 0}function ozb(a){a=a|0;return f[a+4>>2]|0}function pzb(a){a=a|0;var b=0,c=0,d=0,e=0;b=a+12|0;c=f[b>>2]|0;if((c|0)>0){d=f[a+20>>2]|0;e=0;do{Kzb(f[d+4+(e<<2)>>2]|0);e=e+1|0}while((e|0)!=(c|0));f[b>>2]=0}b=f[a+4>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;ebc(a);return}function qzb(a){a=a|0;return 1}function rzb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;d=u;u=u+16|0;e=d;g=c+4|0;h=a+8|0;i=a+20|0;j=a+16|0;k=a+12|0;l=e+4|0;m=a+4|0;while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){n=b[a>>0]|0;o=n&255;if(n<<24>>24>0){f[c>>2]=a+1;p=o;q=6}else{r=o;q=5}}else{r=0;q=5}if((q|0)==5){q=0;o=OJb(c,r)|0;if((o+-1|0)>>>0<127){p=o;q=6}else s=o}if((q|0)==6){q=0;if((p|0)==10){o=f[i>>2]|0;do if(o){a=f[k>>2]|0;n=f[o>>2]|0;if((a|0)>=(n|0))if((n|0)==(f[j>>2]|0)){t=n;q=12;break}else{v=n;w=o;q=13;break}else{f[k>>2]=a+1;x=f[o+4+(a<<2)>>2]|0;break}}else{t=f[j>>2]|0;q=12}while(0);if((q|0)==12){q=0;LKb(h,t+1|0);o=f[i>>2]|0;v=f[o>>2]|0;w=o;q=13}if((q|0)==13){q=0;f[w>>2]=v+1;o=f[h>>2]|0;if(!o){a=cuc(80)|0;Bzb(a);y=a}else{if(f[o+64>>2]|0)HIb(o,23016,80);a=FIb(o,80)|0;Dzb(a,o);y=a}a=f[i>>2]|0;o=f[k>>2]|0;f[k>>2]=o+1;f[a+4+(o<<2)>>2]=y;x=y}o=f[c>>2]|0;if(o>>>0<(f[g>>2]|0)>>>0?(a=b[o>>0]|0,a<<24>>24>-1):0){f[c>>2]=o+1;z=a&255}else{a=NJb(c)|0;if((a|0)>-1)z=a;else{A=0;q=32;break}}yJb(e,c,z);if((f[l>>2]|0)<0){q=25;break}if(!(Th[f[(f[x>>2]|0)+44>>2]&1023](x,c)|0)){q=25;break}if(DJb(c,f[e>>2]|0)|0)continue;else{A=0;q=32;break}}else s=p}if(!s){A=1;q=32;break}a=f[m>>2]|0;if(!(a&1))B=OOa(m)|0;else B=a&-2;if(!(xbc(c,s,B)|0)){A=0;q=32;break}}if((q|0)==25){A=0;u=d;return A|0}else if((q|0)==32){u=d;return A|0}return 0}function szb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=f[a+4>>2]|0;if((c&1|0)!=0&(b[488459]|0)!=0)d=Dbc(c&-2)|0;else d=0;c=f[a+12>>2]|0;e=c+d|0;if(!c){g=e;h=a+24|0;f[h>>2]=g;return g|0}d=a+20|0;i=0;j=e;while(1){e=f[(f[d>>2]|0)+4+(i<<2)>>2]|0;k=di[f[(f[e>>2]|0)+48>>2]&1023](e)|0;e=k+j+((((($(k|1|0)|0)^31)*9|0)+73|0)>>>6)|0;i=i+1|0;if((i|0)==(c|0)){g=e;break}else j=e}h=a+24|0;f[h>>2]=g;return g|0}function tzb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;d=f[a+12>>2]|0;if(d|0){e=a+20|0;g=0;do{_Lb(1,f[(f[e>>2]|0)+4+(g<<2)>>2]|0,c);g=g+1|0}while((g|0)!=(d|0))}d=f[a+4>>2]|0;if(!((d&1|0)!=0&(b[488459]|0)!=0))return;Abc(d&-2,c);return}function uzb(a){a=a|0;return f[a+24>>2]|0}function vzb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;e=f[a+12>>2]|0;if(!e)g=d;else{h=a+20|0;i=0;j=d;while(1){d=f[(f[h>>2]|0)+4+(i<<2)>>2]|0;b[j>>0]=10;k=j+1|0;l=di[f[(f[d>>2]|0)+60>>2]&1023](d)|0;if(l>>>0>127){m=l;n=k;while(1){b[n>>0]=m|128;o=m>>>7;p=n+1|0;if(m>>>0>16383){m=o;n=p}else{q=p;r=o;break}}}else{q=k;r=l}b[q>>0]=r;n=li[f[(f[d>>2]|0)+64>>2]&511](d,c,q+1|0)|0;i=i+1|0;if((i|0)==(e|0)){g=n;break}else j=n}}j=f[a+4>>2]|0;if(!((j&1|0)!=0&(b[488459]|0)!=0)){s=g;return s|0}s=Bbc(j&-2,g)|0;return s|0}function wzb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0;if((a|0)==(b|0))return;c=a+12|0;d=f[c>>2]|0;if((d|0)>0){e=f[a+20>>2]|0;g=0;do{Kzb(f[e+4+(g<<2)>>2]|0);g=g+1|0}while((g|0)!=(d|0));f[c>>2]=0}c=a+4|0;d=f[c>>2]|0;if(d&1|0?(g=d&-2,f[g>>2]|0):0)ebc(g);g=ovc(b,24728,23e3,0)|0;if(!g){A9b(b,a);return}b=f[g+4>>2]|0;if(b&1|0){d=f[c>>2]|0;if(!(d&1))h=OOa(c)|0;else h=d&-2;hbc(h,b&-2)}Azb(a+8|0,g+8|0);return}function xzb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=ovc(b,24728,23e3,0)|0;if(!c){A9b(b,a);return}b=a+4|0;d=f[c+4>>2]|0;if(d&1|0){e=f[b>>2]|0;if(!(e&1))g=OOa(b)|0;else g=e&-2;hbc(g,d&-2)}Azb(a+8|0,c+8|0);return}function yzb(a,b){a=a|0;b=b|0;f[a+24>>2]=b;return}function zzb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224936]|0)!=2){f[d>>2]=151624;f[d+4>>2]=101;b[d+8>>0]=0;xLb(899744,d);QKb(d)}d=541616;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function Azb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=f[b+4>>2]|0;if(!c)return;d=f[b+12>>2]|0;b=KKb(a,c)|0;e=a+12|0;g=a+4|0;h=(f[f[e>>2]>>2]|0)-(f[g>>2]|0)|0;if((h|0)>0&(c|0)>0){i=0;do{Czb(f[d+4+(i<<2)>>2]|0,f[b+(i<<2)>>2]|0);i=i+1|0}while((i|0)<(h|0)&(i|0)<(c|0))}i=f[a>>2]|0;a:do if((h|0)<(c|0)){a=i+64|0;if(!i){j=h;while(1){k=f[d+4+(j<<2)>>2]|0;l=cuc(80)|0;Bzb(l);Czb(k,l);f[b+(j<<2)>>2]=l;j=j+1|0;if((j|0)>=(c|0))break a}}else m=h;do{j=f[d+4+(m<<2)>>2]|0;if(f[a>>2]|0)HIb(i,23016,80);l=FIb(i,80)|0;Dzb(l,i);Czb(j,l);f[b+(m<<2)>>2]=l;m=m+1|0}while((m|0)!=(c|0))}while(0);m=(f[g>>2]|0)+c|0;f[g>>2]=m;g=f[e>>2]|0;if((f[g>>2]|0)>=(m|0))return;f[g>>2]=m;return}function Bzb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0;c=u;u=u+16|0;d=c;f[a>>2]=139616;e=(a|0)==541448;g=a+4|0;h=g+52|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));if(!e?(f[224940]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=105;b[d+8>>0]=0;xLb(899760,d);QKb(d)}f[a+56>>2]=542896;f[a+60>>2]=542896;f[a+64>>2]=542896;d=a+68|0;f[d>>2]=0;f[d+4>>2]=0;f[a+76>>2]=0;u=c;return}function Czb(a,b){a=a|0;b=b|0;Vzb(b,a);return}function Dzb(a,c){a=a|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;f[a>>2]=139616;f[a+4>>2]=c;f[a+8>>2]=c;f[a+12>>2]=0;f[a+16>>2]=0;f[a+20>>2]=0;f[a+24>>2]=c;f[a+28>>2]=0;f[a+32>>2]=0;f[a+36>>2]=0;f[a+40>>2]=c;f[a+44>>2]=0;f[a+48>>2]=0;f[a+52>>2]=0;if((f[224940]|0)!=2){f[e>>2]=151624;f[e+4>>2]=105;b[e+8>>0]=0;xLb(899760,e);QKb(e)}f[a+56>>2]=542896;f[a+60>>2]=542896;f[a+64>>2]=542896;e=a+68|0;f[e>>2]=0;f[e+4>>2]=0;f[a+76>>2]=0;u=d;return}function Ezb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0;f[a>>2]=139616;UAb(a);b=a+52|0;c=f[b>>2]|0;if(c|0?(f[a+40>>2]|0)==0:0){d=f[c>>2]|0;if((d|0)>0){e=0;do{g=f[c+4+(e<<2)>>2]|0;if(g|0)bi[f[(f[g>>2]|0)+4>>2]&2047](g);e=e+1|0}while((e|0)!=(d|0));h=f[b>>2]|0}else h=c;fuc(h)}f[b>>2]=0;b=a+36|0;h=f[b>>2]|0;if(h|0?(f[a+24>>2]|0)==0:0){c=f[h>>2]|0;if((c|0)>0){d=0;do{e=f[h+4+(d<<2)>>2]|0;if(e|0)bi[f[(f[e>>2]|0)+4>>2]&2047](e);d=d+1|0}while((d|0)!=(c|0));i=f[b>>2]|0}else i=h;fuc(i)}f[b>>2]=0;b=a+20|0;i=f[b>>2]|0;if(i|0?(f[a+8>>2]|0)==0:0){h=f[i>>2]|0;if((h|0)>0){c=0;do{d=f[i+4+(c<<2)>>2]|0;if(d|0)bi[f[(f[d>>2]|0)+4>>2]&2047](d);c=c+1|0}while((c|0)!=(h|0));j=f[b>>2]|0}else j=i;fuc(j)}f[b>>2]=0;b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}j=a&-2;a=j;if((j|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(j);f[b>>2]=0;return}function Fzb(a){a=a|0;Ezb(a);fuc(a);return}function Gzb(a){a=a|0;a=cuc(80)|0;Bzb(a);return a|0}function Hzb(a,b){a=a|0;b=b|0;var c=0;if(!b){a=cuc(80)|0;Bzb(a);c=a;return c|0}if(f[b+64>>2]|0)HIb(b,23016,80);a=FIb(b,80)|0;Dzb(a,b);c=a;return c|0}function Izb(a){a=a|0;var b=0,c=0;b=f[a+4>>2]|0;a=b&-2;if(!(b&1)){c=a;return c|0}else{c=f[a+4>>2]|0;return c|0}return 0}function Jzb(a){a=a|0;return f[a+4>>2]|0}function Kzb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0;c=a+12|0;d=f[c>>2]|0;if((d|0)>0){e=f[a+20>>2]|0;g=0;do{Ryb(f[e+4+(g<<2)>>2]|0);g=g+1|0}while((g|0)!=(d|0));f[c>>2]=0}c=a+28|0;d=f[c>>2]|0;if((d|0)>0){g=f[a+36>>2]|0;e=0;do{Ryb(f[g+4+(e<<2)>>2]|0);e=e+1|0}while((e|0)!=(d|0));f[c>>2]=0}c=a+44|0;d=f[c>>2]|0;if((d|0)>0){e=f[a+52>>2]|0;g=0;do{AAb(f[e+4+(g<<2)>>2]|0);g=g+1|0}while((g|0)!=(d|0));f[c>>2]=0}c=a+4|0;d=f[a+56>>2]|0;do if((d|0)!=542896){g=d+11|0;if((b[g>>0]|0)<0){b[f[d>>2]>>0]=0;f[d+4>>2]=0;break}else{b[d>>0]=0;b[g>>0]=0;break}}while(0);d=f[a+60>>2]|0;do if((d|0)!=542896){g=d+11|0;if((b[g>>0]|0)<0){b[f[d>>2]>>0]=0;f[d+4>>2]=0;break}else{b[d>>0]=0;b[g>>0]=0;break}}while(0);d=f[a+64>>2]|0;do if((d|0)!=542896){g=d+11|0;if((b[g>>0]|0)<0){b[f[d>>2]>>0]=0;f[d+4>>2]=0;break}else{b[d>>0]=0;b[g>>0]=0;break}}while(0);d=f[c>>2]|0;g=d&-2;if(!(d&1))h=g;else h=f[g+4>>2]|0;g=a+68|0;if((h|0)==0?(h=f[g>>2]|0,(h|0)!=0):0){bi[f[(f[h>>2]|0)+4>>2]&2047](h);i=f[c>>2]|0}else i=d;f[g>>2]=0;f[a+72>>2]=0;if(!(i&1))return;a=i&-2;if(!(f[a>>2]|0))return;ebc(a);return}function Lzb(a){a=a|0;return 1}function Mzb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0;d=u;u=u+16|0;e=d;g=c+4|0;i=a+56|0;j=a+4|0;k=a+56|0;l=a+8|0;m=e+4|0;n=a+24|0;o=e+4|0;p=a+40|0;q=a+52|0;r=a+48|0;s=a+44|0;t=e+4|0;v=a+60|0;w=a+60|0;x=a+64|0;y=a+64|0;z=a+68|0;A=e+4|0;B=a+73|0;C=e+8|0;D=a+74|0;E=e+8|0;F=a+72|0;G=e+8|0;H=a+75|0;I=e+8|0;a:while(1){J=f[c>>2]|0;K=f[g>>2]|0;do if(J>>>0<K>>>0){L=b[J>>0]|0;M=L&255;N=J+1|0;if(L<<24>>24>0){O=N;P=M}else{if(N>>>0>=K>>>0){Q=M;R=7;break}L=h[N>>0]|0;if(((L^128)&M)>>>0<=127){Q=M;R=7;break}O=J+2|0;P=M+-128+(L<<7)|0}f[c>>2]=O;S=P;R=9}else{Q=0;R=7}while(0);if((R|0)==7){R=0;J=OJb(c,Q)|0;if((J+-1|0)>>>0<16383){S=J;R=9}else T=J}b:do if((R|0)==9){R=0;do switch(S>>>3&536870911|0){case 1:{if((S&255|0)!=10){T=S;break b}J=f[j>>2]|0;K=J&-2;if(!(J&1))U=K;else U=f[K+4>>2]|0;K=f[i>>2]|0;if((K|0)==542896){QGa(i,U,542896);V=f[i>>2]|0}else V=K;if(!($Lb(c,V)|0)){W=0;R=122;break a}K=f[k>>2]|0;J=b[K+11>>0]|0;if(J<<24>>24<0){X=f[K>>2]|0;Y=f[K+4>>2]|0}else{X=K;Y=J&255}if(aMb(X,Y,0,480919)|0)continue a;else{W=0;R=122;break a}break}case 2:{if((S&255|0)!=18){T=S;break b}J=TAb(l)|0;K=f[c>>2]|0;if(K>>>0<(f[g>>2]|0)>>>0?(L=b[K>>0]|0,L<<24>>24>-1):0){f[c>>2]=K+1;Z=L&255}else{L=NJb(c)|0;if((L|0)>-1)Z=L;else{W=0;R=122;break a}}yJb(e,c,Z);if((f[m>>2]|0)<0){R=28;break a}if(!(Th[f[(f[J>>2]|0)+44>>2]&1023](J,c)|0)){R=28;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{W=0;R=122;break a}break}case 3:{if((S&255|0)!=26){T=S;break b}J=TAb(n)|0;L=f[c>>2]|0;if(L>>>0<(f[g>>2]|0)>>>0?(K=b[L>>0]|0,K<<24>>24>-1):0){f[c>>2]=L+1;_=K&255}else{K=NJb(c)|0;if((K|0)>-1)_=K;else{W=0;R=122;break a}}yJb(e,c,_);if((f[o>>2]|0)<0){R=37;break a}if(!(Th[f[(f[J>>2]|0)+44>>2]&1023](J,c)|0)){R=37;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{W=0;R=122;break a}break}case 4:{if((S&255|0)!=34){T=S;break b}J=f[q>>2]|0;do if(J){K=f[s>>2]|0;L=f[J>>2]|0;if((K|0)>=(L|0))if((L|0)==(f[r>>2]|0)){$=L;R=45;break}else{aa=L;ba=J;R=46;break}else{f[s>>2]=K+1;ca=f[J+4+(K<<2)>>2]|0;break}}else{$=f[r>>2]|0;R=45}while(0);if((R|0)==45){R=0;LKb(p,$+1|0);J=f[q>>2]|0;aa=f[J>>2]|0;ba=J;R=46}if((R|0)==46){R=0;f[ba>>2]=aa+1;J=f[p>>2]|0;if(!J){K=cuc(48)|0;rAb(K);da=K}else{if(f[J+64>>2]|0)HIb(J,23048,48);K=FIb(J,48)|0;tAb(K,J);da=K}K=f[q>>2]|0;J=f[s>>2]|0;f[s>>2]=J+1;f[K+4+(J<<2)>>2]=da;ca=da}J=f[c>>2]|0;if(J>>>0<(f[g>>2]|0)>>>0?(K=b[J>>0]|0,K<<24>>24>-1):0){f[c>>2]=J+1;ea=K&255}else{K=NJb(c)|0;if((K|0)>-1)ea=K;else{W=0;R=122;break a}}yJb(e,c,ea);if((f[t>>2]|0)<0){R=58;break a}if(!(Th[f[(f[ca>>2]|0)+44>>2]&1023](ca,c)|0)){R=58;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{W=0;R=122;break a}break}case 5:{if((S&255|0)!=42){T=S;break b}K=f[j>>2]|0;J=K&-2;if(!(K&1))fa=J;else fa=f[J+4>>2]|0;J=f[v>>2]|0;if((J|0)==542896){QGa(v,fa,542896);ga=f[v>>2]|0}else ga=J;if(!($Lb(c,ga)|0)){W=0;R=122;break a}J=f[w>>2]|0;K=b[J+11>>0]|0;if(K<<24>>24<0){ha=f[J>>2]|0;ia=f[J+4>>2]|0}else{ha=J;ia=K&255}if(aMb(ha,ia,0,480948)|0)continue a;else{W=0;R=122;break a}break}case 6:{if((S&255|0)!=50){T=S;break b}K=f[j>>2]|0;J=K&-2;if(!(K&1))ja=J;else ja=f[J+4>>2]|0;J=f[x>>2]|0;if((J|0)==542896){QGa(x,ja,542896);ka=f[x>>2]|0}else ka=J;if(!($Lb(c,ka)|0)){W=0;R=122;break a}J=f[y>>2]|0;K=b[J+11>>0]|0;if(K<<24>>24<0){la=f[J>>2]|0;ma=f[J+4>>2]|0}else{la=J;ma=K&255}if(aMb(la,ma,0,480980)|0)continue a;else{W=0;R=122;break a}break}case 8:{if((S&255|0)!=66){T=S;break b}K=f[z>>2]|0;if(!K){Yzb(a);na=f[z>>2]|0}else na=K;K=f[c>>2]|0;if(K>>>0<(f[g>>2]|0)>>>0?(J=b[K>>0]|0,J<<24>>24>-1):0){f[c>>2]=K+1;oa=J&255}else{J=NJb(c)|0;if((J|0)>-1)oa=J;else{W=0;R=122;break a}}yJb(e,c,oa);if((f[A>>2]|0)<0){R=91;break a}if(!(Th[f[(f[na>>2]|0)+44>>2]&1023](na,c)|0)){R=91;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{W=0;R=122;break a}break}case 16:{if((S&255|0)!=128){T=S;break b}J=f[c>>2]|0;if(J>>>0<(f[g>>2]|0)>>>0?(K=b[J>>0]|0,K<<24>>24>-1):0){f[c>>2]=J+1;pa=K<<24>>24!=0}else{AJb(e,c);K=e;if(!(b[C>>0]|0)){W=0;R=122;break a}else pa=(f[K>>2]|0)!=0|(f[K+4>>2]|0)!=0}b[B>>0]=pa&1;continue a;break}case 17:{if((S&255|0)!=136){T=S;break b}K=f[c>>2]|0;if(K>>>0<(f[g>>2]|0)>>>0?(J=b[K>>0]|0,J<<24>>24>-1):0){f[c>>2]=K+1;qa=J<<24>>24!=0}else{AJb(e,c);J=e;if(!(b[E>>0]|0)){W=0;R=122;break a}else qa=(f[J>>2]|0)!=0|(f[J+4>>2]|0)!=0}b[D>>0]=qa&1;continue a;break}case 18:{if((S&255|0)!=144){T=S;break b}J=f[c>>2]|0;if(J>>>0<(f[g>>2]|0)>>>0?(K=b[J>>0]|0,K<<24>>24>-1):0){f[c>>2]=J+1;ra=K<<24>>24!=0}else{AJb(e,c);K=e;if(!(b[G>>0]|0)){W=0;R=122;break a}else ra=(f[K>>2]|0)!=0|(f[K+4>>2]|0)!=0}b[F>>0]=ra&1;continue a;break}case 19:{if((S&255|0)!=152){T=S;break b}K=f[c>>2]|0;if(K>>>0<(f[g>>2]|0)>>>0?(J=b[K>>0]|0,J<<24>>24>-1):0){f[c>>2]=K+1;sa=J<<24>>24!=0}else{AJb(e,c);J=e;if(!(b[I>>0]|0)){W=0;R=122;break a}else sa=(f[J>>2]|0)!=0|(f[J+4>>2]|0)!=0}b[H>>0]=sa&1;continue a;break}default:{T=S;break b}}while(0)}while(0);if(!T){W=1;R=122;break}J=f[j>>2]|0;if(!(J&1))ta=OOa(j)|0;else ta=J&-2;if(!(xbc(c,T,ta)|0)){W=0;R=122;break}}if((R|0)==28){W=0;u=d;return W|0}else if((R|0)==37){W=0;u=d;return W|0}else if((R|0)==58){W=0;u=d;return W|0}else if((R|0)==91){W=0;u=d;return W|0}else if((R|0)==122){u=d;return W|0}return 0}function Nzb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;c=f[a+4>>2]|0;if((c&1|0)!=0&(b[488459]|0)!=0)d=Dbc(c&-2)|0;else d=0;c=f[a+12>>2]|0;e=c+d|0;if(!c)g=e;else{d=a+20|0;h=0;i=e;while(1){e=f[(f[d>>2]|0)+4+(h<<2)>>2]|0;j=di[f[(f[e>>2]|0)+48>>2]&1023](e)|0;e=j+i+((((($(j|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=h+1|0;if((h|0)==(c|0)){g=e;break}else i=e}}i=f[a+28>>2]|0;c=i+g|0;if(!i)k=c;else{g=a+36|0;h=0;d=c;while(1){c=f[(f[g>>2]|0)+4+(h<<2)>>2]|0;e=di[f[(f[c>>2]|0)+48>>2]&1023](c)|0;c=e+d+((((($(e|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=h+1|0;if((h|0)==(i|0)){k=c;break}else d=c}}d=f[a+44>>2]|0;i=d+k|0;if(!d)l=i;else{k=a+52|0;h=0;g=i;while(1){i=f[(f[k>>2]|0)+4+(h<<2)>>2]|0;c=di[f[(f[i>>2]|0)+48>>2]&1023](i)|0;i=c+g+((((($(c|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=h+1|0;if((h|0)==(d|0)){l=i;break}else g=i}}g=f[a+56>>2]|0;d=b[g+11>>0]|0;h=d<<24>>24<0;if(h)m=f[g+4>>2]|0;else m=d&255;if(!m)n=l;else{m=h?f[g+4>>2]|0:d&255;n=l+1+m+((((($(m|1|0)|0)^31)*9|0)+73|0)>>>6)|0}m=f[a+60>>2]|0;l=b[m+11>>0]|0;d=l<<24>>24<0;if(d)o=f[m+4>>2]|0;else o=l&255;if(!o)p=n;else{o=d?f[m+4>>2]|0:l&255;p=n+1+o+((((($(o|1|0)|0)^31)*9|0)+73|0)>>>6)|0}o=f[a+64>>2]|0;n=b[o+11>>0]|0;l=n<<24>>24<0;if(l)q=f[o+4>>2]|0;else q=n&255;if(!q)r=p;else{q=l?f[o+4>>2]|0:n&255;r=p+1+q+((((($(q|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if((a|0)!=541448?(q=f[a+68>>2]|0,(q|0)!=0):0){p=di[f[(f[q>>2]|0)+48>>2]&1023](q)|0;s=r+1+p+((((($(p|1|0)|0)^31)*9|0)+73|0)>>>6)|0}else s=r;r=b[a+72>>0]|0?s+3|0:s;s=b[a+73>>0]|0?r+3|0:r;r=b[a+74>>0]|0?s+3|0:s;s=b[a+75>>0]|0?r+3|0:r;f[a+76>>2]=s;return s|0}function Ozb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=a+56|0;e=f[d>>2]|0;g=b[e+11>>0]|0;h=g<<24>>24<0;if(h)i=f[e+4>>2]|0;else i=g&255;if(i|0){if(h){j=f[e>>2]|0;k=f[e+4>>2]|0}else{j=e;k=g&255}aMb(j,k,1,480919)|0;VLb(1,f[d>>2]|0,c)}d=f[a+12>>2]|0;if(d|0){k=a+20|0;j=0;do{_Lb(2,f[(f[k>>2]|0)+4+(j<<2)>>2]|0,c);j=j+1|0}while((j|0)!=(d|0))}d=f[a+28>>2]|0;if(d|0){j=a+36|0;k=0;do{_Lb(3,f[(f[j>>2]|0)+4+(k<<2)>>2]|0,c);k=k+1|0}while((k|0)!=(d|0))}d=f[a+44>>2]|0;if(d|0){k=a+52|0;j=0;do{_Lb(4,f[(f[k>>2]|0)+4+(j<<2)>>2]|0,c);j=j+1|0}while((j|0)!=(d|0))}d=a+60|0;j=f[d>>2]|0;k=b[j+11>>0]|0;g=k<<24>>24<0;if(g)l=f[j+4>>2]|0;else l=k&255;if(l|0){if(g){m=f[j>>2]|0;n=f[j+4>>2]|0}else{m=j;n=k&255}aMb(m,n,1,480948)|0;VLb(5,f[d>>2]|0,c)}d=a+64|0;n=f[d>>2]|0;m=b[n+11>>0]|0;k=m<<24>>24<0;if(k)o=f[n+4>>2]|0;else o=m&255;if(o|0){if(k){p=f[n>>2]|0;q=f[n+4>>2]|0}else{p=n;q=m&255}aMb(p,q,1,480980)|0;VLb(6,f[d>>2]|0,c)}if((a|0)!=541448?(d=f[a+68>>2]|0,d|0):0)_Lb(8,d,c);if(b[a+73>>0]|0)SLb(16,1,c);if(b[a+74>>0]|0)SLb(17,1,c);if(b[a+72>>0]|0)SLb(18,1,c);if(b[a+75>>0]|0)SLb(19,1,c);d=f[a+4>>2]|0;if(!((d&1|0)!=0&(b[488459]|0)!=0))return;Abc(d&-2,c);return}function Pzb(a){a=a|0;return f[a+76>>2]|0}function Qzb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0;e=a+56|0;g=f[e>>2]|0;h=b[g+11>>0]|0;i=h<<24>>24<0;if(i)j=f[g+4>>2]|0;else j=h&255;if(!j)k=d;else{if(i){l=f[g>>2]|0;m=f[g+4>>2]|0}else{l=g;m=h&255}aMb(l,m,1,480919)|0;m=f[e>>2]|0;b[d>>0]=10;k=XJb(m,d+1|0)|0}d=f[a+12>>2]|0;if(!d)n=k;else{m=a+20|0;e=0;l=k;while(1){k=f[(f[m>>2]|0)+4+(e<<2)>>2]|0;b[l>>0]=18;h=l+1|0;g=di[f[(f[k>>2]|0)+60>>2]&1023](k)|0;if(g>>>0>127){i=g;j=h;while(1){b[j>>0]=i|128;o=i>>>7;p=j+1|0;if(i>>>0>16383){i=o;j=p}else{q=p;r=o;break}}}else{q=h;r=g}b[q>>0]=r;j=li[f[(f[k>>2]|0)+64>>2]&511](k,c,q+1|0)|0;e=e+1|0;if((e|0)==(d|0)){n=j;break}else l=j}}l=f[a+28>>2]|0;if(!l)s=n;else{d=a+36|0;e=0;q=n;while(1){n=f[(f[d>>2]|0)+4+(e<<2)>>2]|0;b[q>>0]=26;r=q+1|0;m=di[f[(f[n>>2]|0)+60>>2]&1023](n)|0;if(m>>>0>127){j=m;i=r;while(1){b[i>>0]=j|128;o=j>>>7;p=i+1|0;if(j>>>0>16383){j=o;i=p}else{t=p;u=o;break}}}else{t=r;u=m}b[t>>0]=u;i=li[f[(f[n>>2]|0)+64>>2]&511](n,c,t+1|0)|0;e=e+1|0;if((e|0)==(l|0)){s=i;break}else q=i}}q=f[a+44>>2]|0;if(!q)v=s;else{l=a+52|0;e=0;t=s;while(1){s=f[(f[l>>2]|0)+4+(e<<2)>>2]|0;b[t>>0]=34;u=t+1|0;d=di[f[(f[s>>2]|0)+60>>2]&1023](s)|0;if(d>>>0>127){i=d;j=u;while(1){b[j>>0]=i|128;k=i>>>7;g=j+1|0;if(i>>>0>16383){i=k;j=g}else{w=g;x=k;break}}}else{w=u;x=d}b[w>>0]=x;j=li[f[(f[s>>2]|0)+64>>2]&511](s,c,w+1|0)|0;e=e+1|0;if((e|0)==(q|0)){v=j;break}else t=j}}t=a+60|0;q=f[t>>2]|0;e=b[q+11>>0]|0;w=e<<24>>24<0;if(w)y=f[q+4>>2]|0;else y=e&255;if(!y)z=v;else{if(w){A=f[q>>2]|0;B=f[q+4>>2]|0}else{A=q;B=e&255}aMb(A,B,1,480948)|0;B=f[t>>2]|0;b[v>>0]=42;z=XJb(B,v+1|0)|0}v=a+64|0;B=f[v>>2]|0;t=b[B+11>>0]|0;A=t<<24>>24<0;if(A)C=f[B+4>>2]|0;else C=t&255;if(!C)D=z;else{if(A){E=f[B>>2]|0;F=f[B+4>>2]|0}else{E=B;F=t&255}aMb(E,F,1,480980)|0;F=f[v>>2]|0;b[z>>0]=50;D=XJb(F,z+1|0)|0}if((a|0)!=541448?(z=f[a+68>>2]|0,(z|0)!=0):0){b[D>>0]=66;F=D+1|0;v=di[f[(f[z>>2]|0)+60>>2]&1023](z)|0;if(v>>>0>127){E=v;t=F;while(1){b[t>>0]=E|128;B=E>>>7;A=t+1|0;if(E>>>0>16383){E=B;t=A}else{G=A;H=B;break}}}else{G=F;H=v}b[G>>0]=H;I=li[f[(f[z>>2]|0)+64>>2]&511](z,c,G+1|0)|0}else I=D;if(!(b[a+73>>0]|0))J=I;else{b[I>>0]=-128;b[I+1>>0]=1;b[I+2>>0]=1;J=I+3|0}if(!(b[a+74>>0]|0))K=J;else{b[J>>0]=-120;b[J+1>>0]=1;b[J+2>>0]=1;K=J+3|0}if(!(b[a+72>>0]|0))L=K;else{b[K>>0]=-112;b[K+1>>0]=1;b[K+2>>0]=1;L=K+3|0}if(!(b[a+75>>0]|0))M=L;else{b[L>>0]=-104;b[L+1>>0]=1;b[L+2>>0]=1;M=L+3|0}L=f[a+4>>2]|0;if(!((L&1|0)!=0&(b[488459]|0)!=0)){N=M;return N|0}N=Bbc(L&-2,M)|0;return N|0}function Rzb(a,b){a=a|0;b=b|0;var c=0;if((a|0)==(b|0))return;Kzb(a);c=ovc(b,24728,23016,0)|0;if(!c){A9b(b,a);return}else{Vzb(a,c);return}}function Szb(a,b){a=a|0;b=b|0;var c=0;c=ovc(b,24728,23016,0)|0;if(!c){A9b(b,a);return}else{Vzb(a,c);return}}function Tzb(a,b){a=a|0;b=b|0;f[a+76>>2]=b;return}function Uzb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224936]|0)!=2){f[d>>2]=151624;f[d+4>>2]=101;b[d+8>>0]=0;xLb(899744,d);QKb(d)}d=541600;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function Vzb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=a+4|0;e=f[c+4>>2]|0;if(e&1|0){g=f[d>>2]|0;if(!(g&1))h=OOa(d)|0;else h=g&-2;hbc(h,e&-2)}Wzb(a+8|0,c+8|0);Wzb(a+24|0,c+24|0);Xzb(a+40|0,c+40|0);e=f[c+56>>2]|0;h=b[e+11>>0]|0;if(h<<24>>24<0)i=f[e+4>>2]|0;else i=h&255;do if(i|0){h=a+56|0;g=f[d>>2]|0;j=g&-2;if(!(g&1))k=j;else k=f[j+4>>2]|0;j=f[h>>2]|0;if((j|0)==542896){QGa(h,k,e);break}else{ruc(j,e)|0;break}}while(0);e=f[c+60>>2]|0;k=b[e+11>>0]|0;if(k<<24>>24<0)l=f[e+4>>2]|0;else l=k&255;do if(l|0){k=a+60|0;i=f[d>>2]|0;j=i&-2;if(!(i&1))m=j;else m=f[j+4>>2]|0;j=f[k>>2]|0;if((j|0)==542896){QGa(k,m,e);break}else{ruc(j,e)|0;break}}while(0);e=f[c+64>>2]|0;m=b[e+11>>0]|0;if(m<<24>>24<0)n=f[e+4>>2]|0;else n=m&255;do if(n|0){m=a+64|0;l=f[d>>2]|0;j=l&-2;if(!(l&1))o=j;else o=f[j+4>>2]|0;j=f[m>>2]|0;if((j|0)==542896){QGa(m,o,e);break}else{ruc(j,e)|0;break}}while(0);if((c|0)!=541448?(e=c+68|0,o=f[e>>2]|0,o|0):0){d=a+68|0;n=f[d>>2]|0;if(!n){Yzb(a);p=f[e>>2]|0;q=f[d>>2]|0}else{p=o;q=n}Zzb(q,p|0?p:541528)}if(b[c+72>>0]|0)b[a+72>>0]=1;if(b[c+73>>0]|0)b[a+73>>0]=1;if(b[c+74>>0]|0)b[a+74>>0]=1;if(!(b[c+75>>0]|0))return;b[a+75>>0]=1;return}function Wzb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=f[b+4>>2]|0;if(!c)return;d=f[b+12>>2]|0;b=KKb(a,c)|0;e=a+12|0;g=a+4|0;h=(f[f[e>>2]>>2]|0)-(f[g>>2]|0)|0;if((h|0)>0&(c|0)>0){i=0;do{QAb(f[d+4+(i<<2)>>2]|0,f[b+(i<<2)>>2]|0);i=i+1|0}while((i|0)<(h|0)&(i|0)<(c|0))}i=f[a>>2]|0;a:do if((h|0)<(c|0)){a=i+64|0;if(!i){j=h;while(1){k=f[d+4+(j<<2)>>2]|0;l=cuc(40)|0;PAb(l);QAb(k,l);f[b+(j<<2)>>2]=l;j=j+1|0;if((j|0)>=(c|0))break a}}else m=h;do{j=f[d+4+(m<<2)>>2]|0;if(f[a>>2]|0)HIb(i,22984,40);l=FIb(i,40)|0;RAb(l,i);QAb(j,l);f[b+(m<<2)>>2]=l;m=m+1|0}while((m|0)!=(c|0))}while(0);m=(f[g>>2]|0)+c|0;f[g>>2]=m;g=f[e>>2]|0;if((f[g>>2]|0)>=(m|0))return;f[g>>2]=m;return}function Xzb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=f[b+4>>2]|0;if(!c)return;d=f[b+12>>2]|0;b=KKb(a,c)|0;e=a+12|0;g=a+4|0;h=(f[f[e>>2]>>2]|0)-(f[g>>2]|0)|0;if((h|0)>0&(c|0)>0){i=0;do{sAb(f[d+4+(i<<2)>>2]|0,f[b+(i<<2)>>2]|0);i=i+1|0}while((i|0)<(h|0)&(i|0)<(c|0))}i=f[a>>2]|0;a:do if((h|0)<(c|0)){a=i+64|0;if(!i){j=h;while(1){k=f[d+4+(j<<2)>>2]|0;l=cuc(48)|0;rAb(l);sAb(k,l);f[b+(j<<2)>>2]=l;j=j+1|0;if((j|0)>=(c|0))break a}}else m=h;do{j=f[d+4+(m<<2)>>2]|0;if(f[a>>2]|0)HIb(i,23048,48);l=FIb(i,48)|0;tAb(l,i);sAb(j,l);f[b+(m<<2)>>2]=l;m=m+1|0}while((m|0)!=(c|0))}while(0);m=(f[g>>2]|0)+c|0;f[g>>2]=m;g=f[e>>2]|0;if((f[g>>2]|0)>=(m|0))return;f[g>>2]=m;return}function Yzb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=f[a+4>>2]|0;c=b&-2;if(!(b&1))d=c;else d=f[c+4>>2]|0;if(!d){c=cuc(20)|0;_zb(c);e=c;g=a+68|0;f[g>>2]=e;return}if(f[d+64>>2]|0)HIb(d,23032,24);c=FIb(d,24)|0;$zb(c,d);e=c;g=a+68|0;f[g>>2]=e;return}function Zzb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;d=a+4|0;e=f[c+4>>2]|0;if(e&1|0){g=f[d>>2]|0;if(!(g&1))h=OOa(d)|0;else h=g&-2;hbc(h,e&-2)}e=f[c+8>>2]|0;h=b[e+11>>0]|0;if(h<<24>>24<0)i=f[e+4>>2]|0;else i=h&255;do if(i|0){h=a+8|0;g=f[d>>2]|0;j=g&-2;if(!(g&1))k=j;else k=f[j+4>>2]|0;j=f[h>>2]|0;if((j|0)==542896){QGa(h,k,e);break}else{ruc(j,e)|0;break}}while(0);e=f[c+12>>2]|0;if(!e)return;f[a+12>>2]=e;return}function _zb(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=139724;f[a+4>>2]=0;if((a|0)!=541528?(f[224941]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=106;b[d+8>>0]=0;xLb(899764,d);QKb(d)}f[a+8>>2]=542896;f[a+12>>2]=0;f[a+16>>2]=0;u=c;return}function $zb(a,c){a=a|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;f[a>>2]=139724;f[a+4>>2]=c;if((f[224941]|0)!=2){f[e>>2]=151624;f[e+4>>2]=106;b[e+8>>0]=0;xLb(899764,e);QKb(e)}f[a+8>>2]=542896;f[a+12>>2]=0;f[a+16>>2]=0;u=d;return}function aAb(a){a=a|0;var c=0,d=0;f[a>>2]=139724;c=f[a+8>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}c=a+4|0;a=f[c>>2]|0;if(!(a&1)){f[c>>2]=0;return}d=a&-2;a=d;if((d|0)==0|(f[a+4>>2]|0)!=0){f[c>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(d);f[c>>2]=0;return}function bAb(a){a=a|0;aAb(a);fuc(a);return}function cAb(a){a=a|0;a=cuc(20)|0;_zb(a);return a|0}function dAb(a,b){a=a|0;b=b|0;var c=0;if(!b){a=cuc(20)|0;_zb(a);c=a;return c|0}if(f[b+64>>2]|0)HIb(b,23032,24);a=FIb(b,24)|0;$zb(a,b);c=a;return c|0}function eAb(a){a=a|0;var b=0,c=0;b=f[a+4>>2]|0;a=b&-2;if(!(b&1)){c=a;return c|0}else{c=f[a+4>>2]|0;return c|0}return 0}function fAb(a){a=a|0;return f[a+4>>2]|0}function gAb(a){a=a|0;var c=0,d=0,e=0;c=a+4|0;d=f[a+8>>2]|0;do if((d|0)!=542896){e=d+11|0;if((b[e>>0]|0)<0){b[f[d>>2]>>0]=0;f[d+4>>2]=0;break}else{b[d>>0]=0;b[e>>0]=0;break}}while(0);f[a+12>>2]=0;a=f[c>>2]|0;if(!(a&1))return;c=a&-2;if(!(f[c>>2]|0))return;ebc(c);return}function hAb(a){a=a|0;return 1}function iAb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;d=c+4|0;e=a+12|0;g=a+8|0;h=a+4|0;i=a+8|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[d>>2]|0)>>>0){j=b[a>>0]|0;k=j&255;if(j<<24>>24>0){f[c>>2]=a+1;l=k;m=6}else{n=k;m=5}}else{n=0;m=5}if((m|0)==5){m=0;k=OJb(c,n)|0;if((k+-1|0)>>>0<127){l=k;m=6}else o=k}b:do if((m|0)==6){m=0;switch(l>>>3&536870911|0){case 1:{if((l&255|0)!=8){o=l;break b}k=f[c>>2]|0;if(k>>>0<(f[d>>2]|0)>>>0){a=b[k>>0]|0;j=a&255;if(a<<24>>24>-1){f[c>>2]=k+1;p=j}else{q=j;m=11}}else{q=0;m=11}if((m|0)==11){m=0;j=zJb(c,q)|0;k=J;if((k|0)>-1|(k|0)==-1&j>>>0>4294967295)p=j;else{r=0;m=29;break a}}f[e>>2]=p;continue a;break}case 2:break;default:{o=l;break b}}if((l&255|0)==18){j=f[h>>2]|0;k=j&-2;if(!(j&1))s=k;else s=f[k+4>>2]|0;k=f[g>>2]|0;if((k|0)==542896){QGa(g,s,542896);t=f[g>>2]|0}else t=k;if(!($Lb(c,t)|0)){r=0;m=29;break a}k=f[i>>2]|0;j=b[k+11>>0]|0;if(j<<24>>24<0){u=f[k>>2]|0;v=f[k+4>>2]|0}else{u=k;v=j&255}if(aMb(u,v,0,480683)|0)continue a;else{r=0;m=29;break a}}else o=l}while(0);if(!o){r=1;m=29;break}j=f[h>>2]|0;if(!(j&1))w=OOa(h)|0;else w=j&-2;if(!(xbc(c,o,w)|0)){r=0;m=29;break}}if((m|0)==29)return r|0;return 0}function jAb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;c=f[a+4>>2]|0;if((c&1|0)!=0&(b[488459]|0)!=0)d=Dbc(c&-2)|0;else d=0;c=f[a+8>>2]|0;e=b[c+11>>0]|0;g=e<<24>>24<0;if(g)h=f[c+4>>2]|0;else h=e&255;if(!h)i=d;else{h=g?f[c+4>>2]|0:e&255;i=d+1+h+((((($(h|1|0)|0)^31)*9|0)+73|0)>>>6)|0}h=f[a+12>>2]|0;if(!h){j=i;k=a+16|0;f[k>>2]=j;return j|0}if((h|0)<0)l=11;else l=((((($(h|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;j=l+i|0;k=a+16|0;f[k>>2]=j;return j|0}function kAb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;d=f[a+12>>2]|0;if(d|0)GLb(1,d,c);d=a+8|0;e=f[d>>2]|0;g=b[e+11>>0]|0;h=g<<24>>24<0;if(h)i=f[e+4>>2]|0;else i=g&255;if(i|0){if(h){j=f[e>>2]|0;k=f[e+4>>2]|0}else{j=e;k=g&255}aMb(j,k,1,480683)|0;VLb(2,f[d>>2]|0,c)}d=f[a+4>>2]|0;if(!((d&1|0)!=0&(b[488459]|0)!=0))return;Abc(d&-2,c);return}function lAb(a){a=a|0;return f[a+16>>2]|0}function mAb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;c=f[a+12>>2]|0;if(!c)e=d;else{b[d>>0]=8;g=d+1|0;d=c&255;if(c>>>0>127){h=g;i=d;j=c;k=((c|0)<0)<<31>>31;while(1){b[h>>0]=i|-128;c=j;j=pzc(j|0,k|0,7)|0;l=h+1|0;m=j&255;if(!(k>>>0>0|(k|0)==0&c>>>0>16383)){n=l;o=m;break}else{h=l;i=m;k=J}}}else{n=g;o=d}b[n>>0]=o;e=n+1|0}n=a+8|0;o=f[n>>2]|0;d=b[o+11>>0]|0;g=d<<24>>24<0;if(g)p=f[o+4>>2]|0;else p=d&255;if(!p)q=e;else{if(g){r=f[o>>2]|0;s=f[o+4>>2]|0}else{r=o;s=d&255}aMb(r,s,1,480683)|0;s=f[n>>2]|0;b[e>>0]=18;q=XJb(s,e+1|0)|0}e=f[a+4>>2]|0;if(!((e&1|0)!=0&(b[488459]|0)!=0)){t=q;return t|0}t=Bbc(e&-2,q)|0;return t|0}function nAb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;if((a|0)==(c|0))return;d=a+4|0;e=f[a+8>>2]|0;do if((e|0)!=542896){g=e+11|0;if((b[g>>0]|0)<0){b[f[e>>2]>>0]=0;f[e+4>>2]=0;break}else{b[e>>0]=0;b[g>>0]=0;break}}while(0);f[a+12>>2]=0;e=f[d>>2]|0;if(e&1|0?(d=e&-2,f[d>>2]|0):0)ebc(d);d=ovc(c,24728,23032,0)|0;if(!d){A9b(c,a);return}else{Zzb(a,d);return}}function oAb(a,b){a=a|0;b=b|0;var c=0;c=ovc(b,24728,23032,0)|0;if(!c){A9b(b,a);return}else{Zzb(a,c);return}}function pAb(a,b){a=a|0;b=b|0;f[a+16>>2]=b;return}function qAb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224936]|0)!=2){f[d>>2]=151624;f[d+4>>2]=101;b[d+8>>0]=0;xLb(899744,d);QKb(d)}d=541608;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function rAb(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=139832;f[a+4>>2]=0;if((a|0)!=541400?(f[224939]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=104;b[d+8>>0]=0;xLb(899756,d);QKb(d)}f[a+8>>2]=542896;f[a+12>>2]=542896;f[a+16>>2]=542896;d=a+20|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;f[d+16>>2]=0;b[d+20>>0]=0;f[a+44>>2]=0;u=c;return}function sAb(a,b){a=a|0;b=b|0;LAb(b,a);return}function tAb(a,c){a=a|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;f[a>>2]=139832;f[a+4>>2]=c;if((f[224939]|0)!=2){f[e>>2]=151624;f[e+4>>2]=104;b[e+8>>0]=0;xLb(899756,e);QKb(e)}f[a+8>>2]=542896;f[a+12>>2]=542896;f[a+16>>2]=542896;e=a+20|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;f[e+16>>2]=0;b[e+20>>0]=0;f[a+44>>2]=0;u=d;return}function uAb(a){a=a|0;var b=0,c=0;f[a>>2]=139832;OAb(a);b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(c);f[b>>2]=0;return}function vAb(a){a=a|0;uAb(a);fuc(a);return}function wAb(a){a=a|0;a=cuc(48)|0;rAb(a);return a|0}function xAb(a,b){a=a|0;b=b|0;var c=0;if(!b){a=cuc(48)|0;rAb(a);c=a;return c|0}if(f[b+64>>2]|0)HIb(b,23048,48);a=FIb(b,48)|0;tAb(a,b);c=a;return c|0}function yAb(a){a=a|0;var b=0,c=0;b=f[a+4>>2]|0;a=b&-2;if(!(b&1)){c=a;return c|0}else{c=f[a+4>>2]|0;return c|0}return 0}function zAb(a){a=a|0;return f[a+4>>2]|0}function AAb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0;c=a+4|0;d=f[a+8>>2]|0;do if((d|0)!=542896){e=d+11|0;if((b[e>>0]|0)<0){b[f[d>>2]>>0]=0;f[d+4>>2]=0;break}else{b[d>>0]=0;b[e>>0]=0;break}}while(0);d=f[a+12>>2]|0;do if((d|0)!=542896){e=d+11|0;if((b[e>>0]|0)<0){b[f[d>>2]>>0]=0;f[d+4>>2]=0;break}else{b[d>>0]=0;b[e>>0]=0;break}}while(0);d=f[a+16>>2]|0;do if((d|0)!=542896){e=d+11|0;if((b[e>>0]|0)<0){b[f[d>>2]>>0]=0;f[d+4>>2]=0;break}else{b[d>>0]=0;b[e>>0]=0;break}}while(0);d=f[c>>2]|0;e=d&-2;if(!(d&1))g=e;else g=f[e+4>>2]|0;e=a+20|0;if((g|0)==0?(g=f[e>>2]|0,(g|0)!=0):0){bi[f[(f[g>>2]|0)+4>>2]&2047](g);h=f[c>>2]|0}else h=d;f[e>>2]=0;e=h&-2;if(!(h&1))i=e;else i=f[e+4>>2]|0;e=a+24|0;if((i|0)==0?(i=f[e>>2]|0,(i|0)!=0):0){bi[f[(f[i>>2]|0)+4>>2]&2047](i);j=f[c>>2]|0}else j=h;f[e>>2]=0;e=a+32|0;f[e>>2]=0;f[e+4>>2]=0;b[e+8>>0]=0;if(!(j&1))return;e=j&-2;if(!(f[e>>2]|0))return;ebc(e);return}function BAb(a){a=a|0;return 1}function CAb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0;d=u;u=u+16|0;e=d;g=c+4|0;h=a+8|0;i=a+4|0;j=a+8|0;k=a+12|0;l=a+12|0;m=a+20|0;n=e+4|0;o=a+16|0;p=a+16|0;q=a+40|0;r=e+8|0;s=a+32|0;t=e+8|0;v=a+24|0;w=e+4|0;a:while(1){x=f[c>>2]|0;if(x>>>0<(f[g>>2]|0)>>>0){y=b[x>>0]|0;z=y&255;if(y<<24>>24>0){f[c>>2]=x+1;A=z;B=6}else{C=z;B=5}}else{C=0;B=5}if((B|0)==5){B=0;z=OJb(c,C)|0;if((z+-1|0)>>>0<127){A=z;B=6}else D=z}b:do if((B|0)==6){B=0;switch(A>>>3&536870911|0){case 1:{if((A&255|0)!=10){D=A;break b}z=f[i>>2]|0;x=z&-2;if(!(z&1))E=x;else E=f[x+4>>2]|0;x=f[h>>2]|0;if((x|0)==542896){QGa(h,E,542896);F=f[h>>2]|0}else F=x;if(!($Lb(c,F)|0)){G=0;B=79;break a}x=f[j>>2]|0;z=b[x+11>>0]|0;if(z<<24>>24<0){H=f[x>>2]|0;I=f[x+4>>2]|0}else{H=x;I=z&255}if(aMb(H,I,0,480764)|0)continue a;else{G=0;B=79;break a}break}case 2:{if((A&255|0)!=18){D=A;break b}z=f[i>>2]|0;x=z&-2;if(!(z&1))J=x;else J=f[x+4>>2]|0;x=f[k>>2]|0;if((x|0)==542896){QGa(k,J,542896);K=f[k>>2]|0}else K=x;if(!($Lb(c,K)|0)){G=0;B=79;break a}x=f[l>>2]|0;z=b[x+11>>0]|0;if(z<<24>>24<0){L=f[x>>2]|0;M=f[x+4>>2]|0}else{L=x;M=z&255}if(aMb(L,M,0,480801)|0)continue a;else{G=0;B=79;break a}break}case 3:{if((A&255|0)!=26){D=A;break b}z=f[m>>2]|0;if(!z){MAb(a);N=f[m>>2]|0}else N=z;z=f[c>>2]|0;if(z>>>0<(f[g>>2]|0)>>>0?(x=b[z>>0]|0,x<<24>>24>-1):0){f[c>>2]=z+1;O=x&255}else{x=NJb(c)|0;if((x|0)>-1)O=x;else{G=0;B=79;break a}}yJb(e,c,O);if((f[n>>2]|0)<0){B=38;break a}if(!(Th[f[(f[N>>2]|0)+44>>2]&1023](N,c)|0)){B=38;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{G=0;B=79;break a}break}case 4:{if((A&255|0)!=34){D=A;break b}x=f[i>>2]|0;z=x&-2;if(!(x&1))P=z;else P=f[z+4>>2]|0;z=f[o>>2]|0;if((z|0)==542896){QGa(o,P,542896);Q=f[o>>2]|0}else Q=z;if(!($Lb(c,Q)|0)){G=0;B=79;break a}z=f[p>>2]|0;x=b[z+11>>0]|0;if(x<<24>>24<0){R=f[z>>2]|0;S=f[z+4>>2]|0}else{R=z;S=x&255}if(aMb(R,S,0,480838)|0)continue a;else{G=0;B=79;break a}break}case 5:{if((A&255|0)!=40){D=A;break b}x=f[c>>2]|0;if(x>>>0<(f[g>>2]|0)>>>0?(z=b[x>>0]|0,z<<24>>24>-1):0){f[c>>2]=x+1;T=z<<24>>24!=0}else{AJb(e,c);z=e;if(!(b[r>>0]|0)){G=0;B=79;break a}else T=(f[z>>2]|0)!=0|(f[z+4>>2]|0)!=0}b[q>>0]=T&1;continue a;break}case 6:{if((A&255|0)!=48){D=A;break b}z=f[c>>2]|0;if(z>>>0<(f[g>>2]|0)>>>0?(x=b[z>>0]|0,x<<24>>24>-1):0){f[c>>2]=z+1;U=x&255;V=0}else{AJb(e,c);x=e;if(!(b[t>>0]|0)){G=0;B=79;break a}else{U=f[x>>2]|0;V=f[x+4>>2]|0}}x=s;f[x>>2]=U;f[x+4>>2]=V;continue a;break}case 7:{if((A&255|0)!=58){D=A;break b}x=f[v>>2]|0;if(!x){NAb(a);W=f[v>>2]|0}else W=x;x=f[c>>2]|0;if(x>>>0<(f[g>>2]|0)>>>0?(z=b[x>>0]|0,z<<24>>24>-1):0){f[c>>2]=x+1;X=z&255}else{z=NJb(c)|0;if((z|0)>-1)X=z;else{G=0;B=79;break a}}yJb(e,c,X);if((f[w>>2]|0)<0){B=72;break a}if(!(Th[f[(f[W>>2]|0)+44>>2]&1023](W,c)|0)){B=72;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{G=0;B=79;break a}break}default:{D=A;break b}}}while(0);if(!D){G=1;B=79;break}z=f[i>>2]|0;if(!(z&1))Y=OOa(i)|0;else Y=z&-2;if(!(xbc(c,D,Y)|0)){G=0;B=79;break}}if((B|0)==38){G=0;u=d;return G|0}else if((B|0)==72){G=0;u=d;return G|0}else if((B|0)==79){u=d;return G|0}return 0}function DAb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;c=f[a+4>>2]|0;if((c&1|0)!=0&(b[488459]|0)!=0)d=Dbc(c&-2)|0;else d=0;c=f[a+8>>2]|0;e=b[c+11>>0]|0;g=e<<24>>24<0;if(g)h=f[c+4>>2]|0;else h=e&255;if(!h)i=d;else{h=g?f[c+4>>2]|0:e&255;i=d+1+h+((((($(h|1|0)|0)^31)*9|0)+73|0)>>>6)|0}h=f[a+12>>2]|0;d=b[h+11>>0]|0;e=d<<24>>24<0;if(e)j=f[h+4>>2]|0;else j=d&255;if(!j)k=i;else{j=e?f[h+4>>2]|0:d&255;k=i+1+j+((((($(j|1|0)|0)^31)*9|0)+73|0)>>>6)|0}j=f[a+16>>2]|0;i=b[j+11>>0]|0;d=i<<24>>24<0;if(d)l=f[j+4>>2]|0;else l=i&255;if(!l)m=k;else{l=d?f[j+4>>2]|0:i&255;m=k+1+l+((((($(l|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if((a|0)!=541400){l=f[a+20>>2]|0;if(!l)n=m;else{k=di[f[(f[l>>2]|0)+48>>2]&1023](l)|0;n=m+1+k+((((($(k|1|0)|0)^31)*9|0)+73|0)>>>6)|0}k=f[a+24>>2]|0;if(!k)o=n;else{l=di[f[(f[k>>2]|0)+48>>2]&1023](k)|0;o=n+1+l+((((($(l|1|0)|0)^31)*9|0)+73|0)>>>6)|0}}else o=m;m=a+32|0;l=f[m>>2]|0;n=f[m+4>>2]|0;if((l|0)==0&(n|0)==0){p=o;q=a+40|0;r=b[q>>0]|0;s=r<<24>>24!=0;t=p+2|0;u=s?t:p;v=a+44|0;f[v>>2]=u;return u|0}m=xzc(l|1|0,n|0,1)|0;p=o+1+((((m^63)*9|0)+73|0)>>>6)|0;q=a+40|0;r=b[q>>0]|0;s=r<<24>>24!=0;t=p+2|0;u=s?t:p;v=a+44|0;f[v>>2]=u;return u|0}function EAb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=a+8|0;e=f[d>>2]|0;g=b[e+11>>0]|0;h=g<<24>>24<0;if(h)i=f[e+4>>2]|0;else i=g&255;if(i|0){if(h){j=f[e>>2]|0;k=f[e+4>>2]|0}else{j=e;k=g&255}aMb(j,k,1,480764)|0;VLb(1,f[d>>2]|0,c)}d=a+12|0;k=f[d>>2]|0;j=b[k+11>>0]|0;g=j<<24>>24<0;if(g)l=f[k+4>>2]|0;else l=j&255;if(l|0){if(g){m=f[k>>2]|0;n=f[k+4>>2]|0}else{m=k;n=j&255}aMb(m,n,1,480801)|0;VLb(2,f[d>>2]|0,c)}d=(a|0)==541400;if(!d?(n=f[a+20>>2]|0,n|0):0)_Lb(3,n,c);n=a+16|0;m=f[n>>2]|0;j=b[m+11>>0]|0;k=j<<24>>24<0;if(k)o=f[m+4>>2]|0;else o=j&255;if(o|0){if(k){p=f[m>>2]|0;q=f[m+4>>2]|0}else{p=m;q=j&255}aMb(p,q,1,480838)|0;VLb(4,f[n>>2]|0,c)}if(b[a+40>>0]|0)SLb(5,1,c);n=a+32|0;q=f[n>>2]|0;p=f[n+4>>2]|0;if(!((q|0)==0&(p|0)==0))HLb(6,q,p,c);if(!d?(d=f[a+24>>2]|0,d|0):0)_Lb(7,d,c);d=f[a+4>>2]|0;if(!((d&1|0)!=0&(b[488459]|0)!=0))return;Abc(d&-2,c);return}function FAb(a){a=a|0;return f[a+44>>2]|0}function GAb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;e=a+8|0;g=f[e>>2]|0;h=b[g+11>>0]|0;i=h<<24>>24<0;if(i)j=f[g+4>>2]|0;else j=h&255;if(!j)k=d;else{if(i){l=f[g>>2]|0;m=f[g+4>>2]|0}else{l=g;m=h&255}aMb(l,m,1,480764)|0;m=f[e>>2]|0;b[d>>0]=10;k=XJb(m,d+1|0)|0}d=a+12|0;m=f[d>>2]|0;e=b[m+11>>0]|0;l=e<<24>>24<0;if(l)n=f[m+4>>2]|0;else n=e&255;if(!n)o=k;else{if(l){p=f[m>>2]|0;q=f[m+4>>2]|0}else{p=m;q=e&255}aMb(p,q,1,480801)|0;q=f[d>>2]|0;b[k>>0]=18;o=XJb(q,k+1|0)|0}k=(a|0)==541400;if(!k?(q=f[a+20>>2]|0,(q|0)!=0):0){b[o>>0]=26;d=o+1|0;p=di[f[(f[q>>2]|0)+60>>2]&1023](q)|0;if(p>>>0>127){e=p;m=d;while(1){b[m>>0]=e|128;l=e>>>7;n=m+1|0;if(e>>>0>16383){e=l;m=n}else{r=n;s=l;break}}}else{r=d;s=p}b[r>>0]=s;t=li[f[(f[q>>2]|0)+64>>2]&511](q,c,r+1|0)|0}else t=o;o=a+16|0;r=f[o>>2]|0;q=b[r+11>>0]|0;s=q<<24>>24<0;if(s)u=f[r+4>>2]|0;else u=q&255;if(!u)v=t;else{if(s){w=f[r>>2]|0;x=f[r+4>>2]|0}else{w=r;x=q&255}aMb(w,x,1,480838)|0;x=f[o>>2]|0;b[t>>0]=34;v=XJb(x,t+1|0)|0}if(!(b[a+40>>0]|0))y=v;else{b[v>>0]=40;b[v+1>>0]=1;y=v+2|0}v=a+32|0;t=f[v>>2]|0;x=f[v+4>>2]|0;if((t|0)==0&(x|0)==0)z=y;else{b[y>>0]=48;v=y+1|0;y=t&255;if(x>>>0>0|(x|0)==0&t>>>0>127){o=v;w=y;q=t;t=x;while(1){b[o>>0]=w|-128;x=q;q=pzc(q|0,t|0,7)|0;r=o+1|0;s=q&255;if(!(t>>>0>0|(t|0)==0&x>>>0>16383)){A=r;B=s;break}else{o=r;w=s;t=J}}}else{A=v;B=y}b[A>>0]=B;z=A+1|0}if(!k?(k=f[a+24>>2]|0,(k|0)!=0):0){b[z>>0]=58;A=z+1|0;B=di[f[(f[k>>2]|0)+60>>2]&1023](k)|0;if(B>>>0>127){y=B;v=A;while(1){b[v>>0]=y|128;t=y>>>7;w=v+1|0;if(y>>>0>16383){y=t;v=w}else{C=w;D=t;break}}}else{C=A;D=B}b[C>>0]=D;E=li[f[(f[k>>2]|0)+64>>2]&511](k,c,C+1|0)|0}else E=z;z=f[a+4>>2]|0;if(!((z&1|0)!=0&(b[488459]|0)!=0)){F=E;return F|0}F=Bbc(z&-2,E)|0;return F|0}function HAb(a,b){a=a|0;b=b|0;var c=0;if((a|0)==(b|0))return;AAb(a);c=ovc(b,24728,23048,0)|0;if(!c){A9b(b,a);return}else{LAb(a,c);return}}function IAb(a,b){a=a|0;b=b|0;var c=0;c=ovc(b,24728,23048,0)|0;if(!c){A9b(b,a);return}else{LAb(a,c);return}}function JAb(a,b){a=a|0;b=b|0;f[a+44>>2]=b;return}function KAb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224936]|0)!=2){f[d>>2]=151624;f[d+4>>2]=101;b[d+8>>0]=0;xLb(899744,d);QKb(d)}d=541592;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function LAb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;d=a+4|0;e=f[c+4>>2]|0;if(e&1|0){g=f[d>>2]|0;if(!(g&1))h=OOa(d)|0;else h=g&-2;hbc(h,e&-2)}e=f[c+8>>2]|0;h=b[e+11>>0]|0;if(h<<24>>24<0)i=f[e+4>>2]|0;else i=h&255;do if(i|0){h=a+8|0;g=f[d>>2]|0;j=g&-2;if(!(g&1))k=j;else k=f[j+4>>2]|0;j=f[h>>2]|0;if((j|0)==542896){QGa(h,k,e);break}else{ruc(j,e)|0;break}}while(0);e=f[c+12>>2]|0;k=b[e+11>>0]|0;if(k<<24>>24<0)l=f[e+4>>2]|0;else l=k&255;do if(l|0){k=a+12|0;i=f[d>>2]|0;j=i&-2;if(!(i&1))m=j;else m=f[j+4>>2]|0;j=f[k>>2]|0;if((j|0)==542896){QGa(k,m,e);break}else{ruc(j,e)|0;break}}while(0);e=f[c+16>>2]|0;m=b[e+11>>0]|0;if(m<<24>>24<0)n=f[e+4>>2]|0;else n=m&255;do if(n|0){m=a+16|0;l=f[d>>2]|0;j=l&-2;if(!(l&1))o=j;else o=f[j+4>>2]|0;j=f[m>>2]|0;if((j|0)==542896){QGa(m,o,e);break}else{ruc(j,e)|0;break}}while(0);if((c|0)!=541400){e=c+20|0;o=f[e>>2]|0;if(o|0){d=a+20|0;n=f[d>>2]|0;if(!n){MAb(a);p=f[e>>2]|0;q=f[d>>2]|0}else{p=o;q=n}NOa(q,p|0?p:535936)}p=c+24|0;q=f[p>>2]|0;if(q|0){n=a+24|0;o=f[n>>2]|0;if(!o){NAb(a);r=f[p>>2]|0;s=f[n>>2]|0}else{r=q;s=o}NOa(s,r|0?r:535936)}}r=c+32|0;s=f[r>>2]|0;o=f[r+4>>2]|0;if(!((s|0)==0&(o|0)==0)){r=a+32|0;f[r>>2]=s;f[r+4>>2]=o}if(!(b[c+40>>0]|0))return;b[a+40>>0]=1;return}function MAb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=f[a+4>>2]|0;c=b&-2;if(!(b&1))d=c;else d=f[c+4>>2]|0;if(!d){c=cuc(24)|0;kPa(c);e=c;g=a+20|0;f[g>>2]=e;return}if(f[d+64>>2]|0)HIb(d,19312,24);c=FIb(d,24)|0;lPa(c,d);e=c;g=a+20|0;f[g>>2]=e;return}function NAb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=f[a+4>>2]|0;c=b&-2;if(!(b&1))d=c;else d=f[c+4>>2]|0;if(!d){c=cuc(24)|0;kPa(c);e=c;g=a+24|0;f[g>>2]=e;return}if(f[d+64>>2]|0)HIb(d,19312,24);c=FIb(d,24)|0;lPa(c,d);e=c;g=a+24|0;f[g>>2]=e;return}function OAb(a){a=a|0;var c=0;c=f[a+8>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}c=f[a+12>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}c=f[a+16>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}if((a|0)==541400)return;c=f[a+20>>2]|0;if(c|0)bi[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+24>>2]|0;if(!c)return;bi[f[(f[c>>2]|0)+4>>2]&2047](c);return}function PAb(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=139320;f[a+4>>2]=0;if((a|0)!=541360?(f[224938]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=103;b[d+8>>0]=0;xLb(899752,d);QKb(d)}f[a+8>>2]=542896;f[a+12>>2]=542896;f[a+16>>2]=542896;f[a+20>>2]=542896;f[a+24>>2]=542896;d=a+28|0;f[d>>2]=0;b[d+4>>0]=0;f[a+36>>2]=0;u=c;return}function QAb(a,b){a=a|0;b=b|0;SAb(b,a);return}function RAb(a,c){a=a|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;f[a>>2]=139320;f[a+4>>2]=c;if((f[224938]|0)!=2){f[e>>2]=151624;f[e+4>>2]=103;b[e+8>>0]=0;xLb(899752,e);QKb(e)}f[a+8>>2]=542896;f[a+12>>2]=542896;f[a+16>>2]=542896;f[a+20>>2]=542896;f[a+24>>2]=542896;e=a+28|0;f[e>>2]=0;b[e+4>>0]=0;f[a+36>>2]=0;u=d;return}function SAb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;d=a+4|0;e=f[c+4>>2]|0;if(e&1|0){g=f[d>>2]|0;if(!(g&1))h=OOa(d)|0;else h=g&-2;hbc(h,e&-2)}e=f[c+8>>2]|0;h=b[e+11>>0]|0;if(h<<24>>24<0)i=f[e+4>>2]|0;else i=h&255;do if(i|0){h=a+8|0;g=f[d>>2]|0;j=g&-2;if(!(g&1))k=j;else k=f[j+4>>2]|0;j=f[h>>2]|0;if((j|0)==542896){QGa(h,k,e);break}else{ruc(j,e)|0;break}}while(0);e=f[c+12>>2]|0;k=b[e+11>>0]|0;if(k<<24>>24<0)l=f[e+4>>2]|0;else l=k&255;do if(l|0){k=a+12|0;i=f[d>>2]|0;j=i&-2;if(!(i&1))m=j;else m=f[j+4>>2]|0;j=f[k>>2]|0;if((j|0)==542896){QGa(k,m,e);break}else{ruc(j,e)|0;break}}while(0);e=f[c+16>>2]|0;m=b[e+11>>0]|0;if(m<<24>>24<0)n=f[e+4>>2]|0;else n=m&255;do if(n|0){m=a+16|0;l=f[d>>2]|0;j=l&-2;if(!(l&1))o=j;else o=f[j+4>>2]|0;j=f[m>>2]|0;if((j|0)==542896){QGa(m,o,e);break}else{ruc(j,e)|0;break}}while(0);e=f[c+20>>2]|0;o=b[e+11>>0]|0;if(o<<24>>24<0)p=f[e+4>>2]|0;else p=o&255;do if(p|0){o=a+20|0;n=f[d>>2]|0;j=n&-2;if(!(n&1))q=j;else q=f[j+4>>2]|0;j=f[o>>2]|0;if((j|0)==542896){QGa(o,q,e);break}else{ruc(j,e)|0;break}}while(0);e=f[c+24>>2]|0;q=b[e+11>>0]|0;if(q<<24>>24<0)r=f[e+4>>2]|0;else r=q&255;do if(r|0){q=a+24|0;p=f[d>>2]|0;j=p&-2;if(!(p&1))s=j;else s=f[j+4>>2]|0;j=f[q>>2]|0;if((j|0)==542896){QGa(q,s,e);break}else{ruc(j,e)|0;break}}while(0);e=f[c+28>>2]|0;if(e|0)f[a+28>>2]=e;if(!(b[c+32>>0]|0))return;b[a+32>>0]=1;return}function TAb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;b=a+12|0;c=f[b>>2]|0;do if(!c){d=a+4|0;e=f[a+8>>2]|0;g=6}else{h=a+4|0;i=f[h>>2]|0;j=f[c>>2]|0;if((i|0)>=(j|0))if((j|0)==(f[a+8>>2]|0)){d=h;e=j;g=6;break}else{k=h;l=j;m=c;break}f[h>>2]=i+1;n=f[c+4+(i<<2)>>2]|0;return n|0}while(0);if((g|0)==6){LKb(a,e+1|0);e=f[b>>2]|0;k=d;l=f[e>>2]|0;m=e}f[m>>2]=l+1;l=f[a>>2]|0;if(!l){a=cuc(40)|0;PAb(a);o=a}else{if(f[l+64>>2]|0)HIb(l,22984,40);a=FIb(l,40)|0;RAb(a,l);o=a}a=f[b>>2]|0;b=f[k>>2]|0;f[k>>2]=b+1;f[a+4+(b<<2)>>2]=o;n=o;return n|0}function UAb(a){a=a|0;var c=0;c=f[a+56>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}c=f[a+60>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}c=f[a+64>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}if((a|0)==541448)return;c=f[a+68>>2]|0;if(!c)return;bi[f[(f[c>>2]|0)+4>>2]&2047](c);return}function VAb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=a+12|0;c=f[b>>2]|0;if(!c){f[b>>2]=0;return}if(f[a>>2]|0){f[b>>2]=0;return}a=f[c>>2]|0;if((a|0)>0){d=0;do{e=f[c+4+(d<<2)>>2]|0;if(e|0)bi[f[(f[e>>2]|0)+4>>2]&2047](e);d=d+1|0}while((d|0)!=(a|0));g=f[b>>2]|0}else g=c;fuc(g);f[b>>2]=0;return}function WAb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=a+12|0;c=f[b>>2]|0;if(!c){f[b>>2]=0;return}if(f[a>>2]|0){f[b>>2]=0;return}a=f[c>>2]|0;if((a|0)>0){d=0;do{e=f[c+4+(d<<2)>>2]|0;if(e|0)bi[f[(f[e>>2]|0)+4>>2]&2047](e);d=d+1|0}while((d|0)!=(a|0));g=f[b>>2]|0}else g=c;fuc(g);f[b>>2]=0;return}function XAb(a){a=a|0;var c=0,d=0,e=0;c=u;u=u+16|0;d=c;f[a>>2]=139508;e=a+4|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;f[e+16>>2]=0;if((a|0)!=541552?(f[224942]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=107;b[d+8>>0]=0;xLb(899768,d);QKb(d)}f[a+24>>2]=0;u=c;return}function YAb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+16|0;e=d;f[a>>2]=139508;f[a+4>>2]=c;f[a+8>>2]=c;f[a+12>>2]=0;f[a+16>>2]=0;f[a+20>>2]=0;if((f[224942]|0)==2){g=a+24|0;f[g>>2]=0;u=d;return}f[e>>2]=151624;f[e+4>>2]=107;b[e+8>>0]=0;xLb(899768,e);QKb(e);g=a+24|0;f[g>>2]=0;u=d;return}function ZAb(a){a=a|0;var c=0;c=f[a+8>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}c=f[a+12>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}c=f[a+16>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}c=f[a+20>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}c=f[a+24>>2]|0;if((c|0)==542896|(c|0)==0)return;if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c);return}function _Ab(){var a=0,c=0;a=u;u=u+16|0;c=a;if((f[224937]|0)==2){u=a;return}f[c>>2]=151624;f[c+4>>2]=102;b[c+8>>0]=0;xLb(899748,c);QKb(c);u=a;return}function $Ab(){var a=0,c=0;a=u;u=u+16|0;c=a;if((f[224940]|0)==2){u=a;return}f[c>>2]=151624;f[c+4>>2]=105;b[c+8>>0]=0;xLb(899760,c);QKb(c);u=a;return}function aBb(){var a=0,c=0;a=u;u=u+16|0;c=a;if((f[224937]|0)==2){u=a;return}f[c>>2]=151624;f[c+4>>2]=102;b[c+8>>0]=0;xLb(899748,c);QKb(c);u=a;return}function bBb(a){a=a|0;var b=0,c=0;f[a>>2]=139972;b=f[a+16>>2]|0;if(b|0?(f[b>>2]|0)==0:0)fuc(b);b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(c);f[b>>2]=0;return}function cBb(a){a=a|0;var b=0,c=0;f[a>>2]=139972;b=f[a+16>>2]|0;if(b|0?(f[b>>2]|0)==0:0)fuc(b);b=f[a+4>>2]|0;if(!(b&1)){fuc(a);return}c=b&-2;b=c;if((c|0)==0|(f[b+4>>2]|0)!=0){fuc(a);return}if(f[b>>2]|0)ebc(b);fuc(c);fuc(a);return}function dBb(a){a=a|0;a=cuc(36)|0;wBb(a);return a|0}function eBb(a,b){a=a|0;b=b|0;var c=0;if(!b){a=cuc(36)|0;wBb(a);c=a;return c|0}if(f[b+64>>2]|0)HIb(b,23064,40);a=FIb(b,40)|0;xBb(a,b);c=a;return c|0}function fBb(a){a=a|0;var b=0,c=0;b=f[a+4>>2]|0;a=b&-2;if(!(b&1)){c=a;return c|0}else{c=f[a+4>>2]|0;return c|0}return 0}function gBb(a){a=a|0;return f[a+4>>2]|0}function hBb(a){a=a|0;var b=0;f[a+8>>2]=0;b=a+24|0;f[b>>2]=0;f[b+4>>2]=0;b=f[a+4>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;ebc(a);return}function iBb(a){a=a|0;return 1}function jBb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;d=c+4|0;e=a+24|0;g=a+28|0;h=a+8|0;i=a+12|0;j=a+16|0;k=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[d>>2]|0)>>>0){l=b[a>>0]|0;m=l&255;if(l<<24>>24>0){f[c>>2]=a+1;n=m;o=6}else{p=m;o=5}}else{p=0;o=5}if((o|0)==5){o=0;m=OJb(c,p)|0;if((m+-1|0)>>>0<127){n=m;o=6}else q=m}b:do if((o|0)==6){o=0;switch(n>>>3&536870911|0){case 1:{if((n&255|0)!=8){q=n;break b}m=f[c>>2]|0;if(m>>>0<(f[d>>2]|0)>>>0){a=b[m>>0]|0;l=a&255;if(a<<24>>24>-1){f[c>>2]=m+1;r=l}else{s=l;o=11}}else{s=0;o=11}if((o|0)==11){o=0;l=zJb(c,s)|0;m=J;if((m|0)>-1|(m|0)==-1&l>>>0>4294967295)r=l;else{t=0;o=39;break a}}f[e>>2]=r;continue a;break}case 2:{if((n&255|0)!=16){q=n;break b}l=f[c>>2]|0;if(l>>>0<(f[d>>2]|0)>>>0){m=b[l>>0]|0;a=m&255;if(m<<24>>24>-1){f[c>>2]=l+1;u=a}else{v=a;o=17}}else{v=0;o=17}if((o|0)==17){o=0;a=zJb(c,v)|0;l=J;if((l|0)>-1|(l|0)==-1&a>>>0>4294967295)u=a;else{t=0;o=39;break a}}f[g>>2]=u;continue a;break}case 3:{switch((n&255)<<24>>24){case 26:break;case 24:{if(rRa(1,26,c,h)|0)continue a;else{t=0;o=39;break a}break}default:{q=n;break b}}a=f[c>>2]|0;if(a>>>0<(f[d>>2]|0)>>>0?(l=b[a>>0]|0,l<<24>>24>-1):0){f[c>>2]=a+1;w=l&255}else{l=NJb(c)|0;if((l|0)>-1)w=l;else{t=0;o=39;break a}}l=wJb(c,w)|0;if((EJb(c)|0)>0)do{a=f[c>>2]|0;if(a>>>0<(f[d>>2]|0)>>>0){m=b[a>>0]|0;x=m&255;if(m<<24>>24>-1){f[c>>2]=a+1;y=x}else{z=x;o=28}}else{z=0;o=28}if((o|0)==28){o=0;x=zJb(c,z)|0;a=J;if((a|0)>-1|(a|0)==-1&x>>>0>4294967295)y=x;else{t=0;o=39;break a}}x=f[h>>2]|0;if((x|0)==(f[i>>2]|0)){NEa(h,x+1|0);A=f[h>>2]|0}else A=x;x=f[j>>2]|0;f[h>>2]=A+1;f[x+4+(A<<2)>>2]=y}while((EJb(c)|0)>0);xJb(c,l);continue a;break}default:{q=n;break b}}}while(0);if(!q){t=1;o=39;break}x=f[k>>2]|0;if(!(x&1))B=OOa(k)|0;else B=x&-2;if(!(xbc(c,q,B)|0)){t=0;o=39;break}}if((o|0)==39)return t|0;return 0}function kBb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;c=f[a+4>>2]|0;if((c&1|0)!=0&(b[488459]|0)!=0)d=Dbc(c&-2)|0;else d=0;c=bMb(a+8|0)|0;if(!c)e=d;else{if((c|0)<0)g=11;else g=((((($(c|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;e=g+d|0}f[a+20>>2]=c;d=e+c|0;c=f[a+24>>2]|0;if(!c)h=d;else{if((c|0)<0)i=11;else i=((((($(c|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;h=i+d|0}d=f[a+28>>2]|0;if(!d){j=h;k=a+32|0;f[k>>2]=j;return j|0}if((d|0)<0)l=11;else l=((((($(d|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;j=l+h|0;k=a+32|0;f[k>>2]=j;return j|0}function lBb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;d=f[a+24>>2]|0;if(d|0)GLb(1,d,c);d=f[a+28>>2]|0;if(d|0)GLb(2,d,c);d=a+8|0;if((f[d>>2]|0)>0){e=c+8|0;if((f[e>>2]|0)>4){g=c+4|0;b[f[g>>2]>>0]=26;f[g>>2]=(f[g>>2]|0)+1;g=(f[e>>2]|0)+-1|0;f[e>>2]=g;h=g}else{VJb(c,26);h=f[e>>2]|0}g=f[a+20>>2]|0;if((h|0)>4){h=c+4|0;i=f[h>>2]|0;if(g>>>0>127){j=g;k=i;while(1){b[k>>0]=j|128;l=j>>>7;m=k+1|0;if(j>>>0>16383){j=l;k=m}else{n=m;o=l;break}}}else{n=i;o=g}b[n>>0]=o;o=n+1-i|0;f[h>>2]=(f[h>>2]|0)+o;f[e>>2]=(f[e>>2]|0)-o}else VJb(c,g);g=f[d>>2]|0;if((g|0)>0){d=a+16|0;o=c+8|0;e=c+4|0;h=0;do{i=f[(f[d>>2]|0)+4+(h<<2)>>2]|0;n=((i|0)<0)<<31>>31;if((f[o>>2]|0)>9){k=f[e>>2]|0;j=i&255;if(i>>>0>127){l=k;m=j;p=i;q=n;while(1){b[l>>0]=m|-128;r=p;p=pzc(p|0,q|0,7)|0;s=l+1|0;t=p&255;if(!(q>>>0>0|(q|0)==0&r>>>0>16383)){u=s;v=t;break}else{l=s;m=t;q=J}}}else{u=k;v=j}b[u>>0]=v;q=u+1-k|0;f[e>>2]=(f[e>>2]|0)+q;f[o>>2]=(f[o>>2]|0)-q}else WJb(c,i,n);h=h+1|0}while((h|0)!=(g|0))}}g=f[a+4>>2]|0;if(!((g&1|0)!=0&(b[488459]|0)!=0))return;Abc(g&-2,c);return}function mBb(a){a=a|0;return f[a+32>>2]|0}function nBb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;c=f[a+24>>2]|0;if(!c)e=d;else{b[d>>0]=8;g=d+1|0;d=c&255;if(c>>>0>127){h=g;i=d;j=c;k=((c|0)<0)<<31>>31;while(1){b[h>>0]=i|-128;c=j;j=pzc(j|0,k|0,7)|0;l=h+1|0;m=j&255;if(!(k>>>0>0|(k|0)==0&c>>>0>16383)){n=l;o=m;break}else{h=l;i=m;k=J}}}else{n=g;o=d}b[n>>0]=o;e=n+1|0}n=f[a+28>>2]|0;if(!n)p=e;else{b[e>>0]=16;o=e+1|0;e=n&255;if(n>>>0>127){d=o;g=e;k=n;i=((n|0)<0)<<31>>31;while(1){b[d>>0]=g|-128;n=k;k=pzc(k|0,i|0,7)|0;h=d+1|0;j=k&255;if(!(i>>>0>0|(i|0)==0&n>>>0>16383)){q=h;r=j;break}else{d=h;g=j;i=J}}}else{q=o;r=e}b[q>>0]=r;p=q+1|0}q=a+8|0;if((f[q>>2]|0)>0){b[p>>0]=26;r=p+1|0;e=f[a+20>>2]|0;if(e>>>0>127){o=e;i=r;while(1){b[i>>0]=o|128;g=o>>>7;d=i+1|0;if(o>>>0>16383){o=g;i=d}else{s=d;t=g;break}}}else{s=r;t=e}b[s>>0]=t;t=f[q>>2]|0;q=f[a+16>>2]|0;e=0;r=s+1|0;while(1){s=f[q+4+(e<<2)>>2]|0;i=s&255;if(s>>>0>127){o=r;g=i;d=s;k=((s|0)<0)<<31>>31;while(1){b[o>>0]=g|-128;s=d;d=pzc(d|0,k|0,7)|0;j=o+1|0;h=d&255;if(!(k>>>0>0|(k|0)==0&s>>>0>16383)){u=j;v=h;break}else{o=j;g=h;k=J}}}else{u=r;v=i}b[u>>0]=v;k=u+1|0;e=e+1|0;if((e|0)>=(t|0)){w=k;break}else r=k}}else w=p;p=f[a+4>>2]|0;if(!((p&1|0)!=0&(b[488459]|0)!=0)){x=w;return x|0}x=Bbc(p&-2,w)|0;return x|0}function oBb(a,b){a=a|0;b=b|0;var c=0,d=0;if((a|0)==(b|0))return;f[a+8>>2]=0;c=a+24|0;f[c>>2]=0;f[c+4>>2]=0;c=f[a+4>>2]|0;if(c&1|0?(d=c&-2,f[d>>2]|0):0)ebc(d);pBb(a,b);return}function pBb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=ovc(b,24728,23064,0)|0;if(!c){A9b(b,a);return}b=a+4|0;d=f[c+4>>2]|0;if(d&1|0){e=f[b>>2]|0;if(!(e&1))g=OOa(b)|0;else g=e&-2;hbc(g,d&-2)}d=a+8|0;g=c+8|0;e=f[g>>2]|0;if(e|0){NEa(d,(f[d>>2]|0)+e|0);szc((f[a+16>>2]|0)+4+(f[d>>2]<<2)|0,(f[c+16>>2]|0)+4|0,f[g>>2]<<2|0)|0;f[d>>2]=(f[d>>2]|0)+(f[g>>2]|0)}g=f[c+24>>2]|0;if(g|0)f[a+24>>2]=g;g=f[c+28>>2]|0;if(!g)return;f[a+28>>2]=g;return}function qBb(a,b){a=a|0;b=b|0;f[a+32>>2]=b;return}function rBb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224943]|0)!=2){f[d>>2]=151624;f[d+4>>2]=108;b[d+8>>0]=0;xLb(899772,d);QKb(d)}d=541664;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function sBb(){var a=0,c=0,d=0,e=0,g=0,h=0;a=u;u=u+16|0;c=a;if((f[224944]|0)!=2){f[c>>2]=151624;f[c+4>>2]=109;b[c+8>>0]=0;xLb(899776,c);QKb(c)}d=cuc(16)|0;f[c>>2]=d;f[c+8>>2]=-2147483632;f[c+4>>2]=14;e=d;g=481318;h=e+14|0;do{b[e>>0]=b[g>>0]|0;e=e+1|0;g=g+1|0}while((e|0)<(h|0));b[d+14>>0]=0;T3b(c,140072,140084,139932,0,541664,0,0);if((b[c+11>>0]|0)>=0){u=a;return}fuc(f[c>>2]|0);u=a;return}function tBb(){var a=0,c=0;a=u;u=u+16|0;c=a;if((f[224945]|0)!=2){f[c>>2]=151624;f[c+4>>2]=110;b[c+8>>0]=0;xLb(899780,c);QKb(c)}bQb(481333,169);n9b(481318,1990);u=a;return}function uBb(){var a=0;TKb(3005001,3005e3,481503);LIb();f[135406]=139972;f[135407]=0;f[135408]=0;f[135409]=0;f[135410]=0;a=541648;f[a>>2]=0;f[a+4>>2]=0;f[135414]=0;qLb(541624);return}function vBb(a){a=a|0;var c=0;a=u;u=u+16|0;c=a;if((f[224943]|0)!=2){f[c>>2]=151624;f[c+4>>2]=108;b[c+8>>0]=0;xLb(899772,c);QKb(c)}Y3b(541664,1);u=a;return}function wBb(a){a=a|0;var c=0,d=0,e=0;c=u;u=u+16|0;d=c;f[a>>2]=139972;e=a+4|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((a|0)!=541624?(f[224945]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=110;b[d+8>>0]=0;xLb(899780,d);QKb(d)}d=a+24|0;f[d>>2]=0;f[d+4>>2]=0;f[a+32>>2]=0;u=c;return}function xBb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;d=u;u=u+16|0;e=d;f[a>>2]=139972;f[a+4>>2]=c;f[a+8>>2]=0;f[a+12>>2]=0;g=a+16|0;f[g>>2]=0;if(c|0){if(f[c+64>>2]|0)HIb(c,27008,8);h=FIb(c,8)|0;f[g>>2]=h;f[h>>2]=c}if((f[224945]|0)==2){i=a+24|0;j=i;k=j;f[k>>2]=0;l=j+4|0;m=l;f[m>>2]=0;n=a+32|0;f[n>>2]=0;u=d;return}f[e>>2]=151624;f[e+4>>2]=110;b[e+8>>0]=0;xLb(899780,e);QKb(e);i=a+24|0;j=i;k=j;f[k>>2]=0;l=j+4|0;m=l;f[m>>2]=0;n=a+32|0;f[n>>2]=0;u=d;return}function yBb(){var a=0,c=0;a=u;u=u+16|0;c=a;if((f[224944]|0)==2){u=a;return}f[c>>2]=151624;f[c+4>>2]=109;b[c+8>>0]=0;xLb(899776,c);QKb(c);u=a;return}function zBb(){var a=0,c=0;a=u;u=u+16|0;c=a;if((f[224945]|0)==2){u=a;return}f[c>>2]=151624;f[c+4>>2]=110;b[c+8>>0]=0;xLb(899780,c);QKb(c);u=a;return}function ABb(){var a=0,c=0;a=u;u=u+16|0;c=a;if((f[224944]|0)==2){u=a;return}f[c>>2]=151624;f[c+4>>2]=109;b[c+8>>0]=0;xLb(899776,c);QKb(c);u=a;return}function BBb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=a+4|0;d=f[b+4>>2]|0;if(d&1|0){e=f[c>>2]|0;if(!(e&1))g=OOa(c)|0;else g=e&-2;hbc(g,d&-2)}d=a+8|0;g=b+8|0;e=f[g>>2]|0;if(e|0){NEa(d,(f[d>>2]|0)+e|0);szc((f[a+16>>2]|0)+4+(f[d>>2]<<2)|0,(f[b+16>>2]|0)+4|0,f[g>>2]<<2|0)|0;f[d>>2]=(f[d>>2]|0)+(f[g>>2]|0)}g=f[b+24>>2]|0;if(g|0)f[a+24>>2]=g;g=f[b+28>>2]|0;if(!g)return;f[a+28>>2]=g;return}function CBb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;f[a>>2]=140892;RGb(a);c=a+84|0;d=f[c>>2]|0;if(d|0?(f[a+72>>2]|0)==0:0){e=f[d>>2]|0;if((e|0)>0){g=0;do{h=f[d+4+(g<<2)>>2]|0;if(h|0)bi[f[(f[h>>2]|0)+4>>2]&2047](h);g=g+1|0}while((g|0)!=(e|0));i=f[c>>2]|0}else i=d;fuc(i)}f[c>>2]=0;c=a+68|0;i=f[c>>2]|0;if(i|0?(f[a+56>>2]|0)==0:0){d=f[i>>2]|0;if((d|0)>0){e=0;do{g=f[i+4+(e<<2)>>2]|0;if(g|0)bi[f[(f[g>>2]|0)+4>>2]&2047](g);e=e+1|0}while((e|0)!=(d|0));j=f[c>>2]|0}else j=i;fuc(j)}f[c>>2]=0;c=a+52|0;j=f[c>>2]|0;if(j|0?(f[a+40>>2]|0)==0:0){i=f[j>>2]|0;if((i|0)>0){d=0;do{e=f[j+4+(d<<2)>>2]|0;if(e|0){if((b[e+11>>0]|0)<0)fuc(f[e>>2]|0);fuc(e)}d=d+1|0}while((d|0)!=(i|0));k=f[c>>2]|0}else k=j;fuc(k)}f[c>>2]=0;c=f[a+36>>2]|0;if(c|0?(f[c>>2]|0)==0:0)fuc(c);c=f[a+24>>2]|0;if(c|0?(f[c>>2]|0)==0:0)fuc(c);c=a+4|0;a=f[c>>2]|0;if(!(a&1)){f[c>>2]=0;return}k=a&-2;a=k;if((k|0)==0|(f[a+4>>2]|0)!=0){f[c>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(k);f[c>>2]=0;return}function DBb(a){a=a|0;CBb(a);fuc(a);return}function EBb(a){a=a|0;a=cuc(128)|0;SFb(a);return a|0}function FBb(a,b){a=a|0;b=b|0;a=cuc(128)|0;SFb(a);if(!b)return a|0;QGb(b,a);return a|0}function GBb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0;f[a+16>>2]=0;f[a+28>>2]=0;c=a+44|0;d=f[c>>2]|0;if((d|0)>0){e=f[a+52>>2]|0;g=0;do{h=f[e+4+(g<<2)>>2]|0;g=g+1|0;i=h+11|0;if((b[i>>0]|0)<0){b[f[h>>2]>>0]=0;f[h+4>>2]=0}else{b[h>>0]=0;b[i>>0]=0}}while((g|0)!=(d|0));f[c>>2]=0}c=a+60|0;d=f[c>>2]|0;if((d|0)>0){g=f[a+68>>2]|0;e=0;do{UDb(f[g+4+(e<<2)>>2]|0);e=e+1|0}while((e|0)!=(d|0));f[c>>2]=0}c=a+76|0;d=f[c>>2]|0;if((d|0)>0){e=f[a+84>>2]|0;g=0;do{tGb(f[e+4+(g<<2)>>2]|0);g=g+1|0}while((g|0)!=(d|0));f[c>>2]=0}c=a+8|0;d=f[c>>2]|0;if(d&63|0){do if(d&1|0){g=f[a+88>>2]|0;e=g+11|0;if((b[e>>0]|0)<0){b[f[g>>2]>>0]=0;f[g+4>>2]=0;break}else{b[g>>0]=0;b[e>>0]=0;break}}while(0);do if(d&2|0){e=f[a+92>>2]|0;g=e+11|0;if((b[g>>0]|0)<0){b[f[e>>2]>>0]=0;f[e+4>>2]=0;break}else{b[e>>0]=0;b[g>>0]=0;break}}while(0);do if(d&4|0){g=f[a+96>>2]|0;e=g+11|0;if((b[e>>0]|0)<0){b[f[g>>2]>>0]=0;f[g+4>>2]=0;break}else{b[g>>0]=0;b[e>>0]=0;break}}while(0);do if(d&8|0){e=f[a+100>>2]|0;g=e+11|0;if((b[g>>0]|0)<0){b[f[e>>2]>>0]=0;f[e+4>>2]=0;break}else{b[e>>0]=0;b[g>>0]=0;break}}while(0);if(d&16|0)UDb(f[a+104>>2]|0);if(d&32|0)tGb(f[a+108>>2]|0)}if(d&192|0){d=a+112|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0}f[a+124>>2]=0;f[c>>2]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;ebc(a);return}function HBb(a){a=a|0;return 1}function IBb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0;d=u;u=u+16|0;e=d;g=c+4|0;i=a+8|0;j=a+88|0;k=a+120|0;l=a+112|0;m=e+8|0;n=a+92|0;o=a+104|0;p=e+4|0;q=a+108|0;r=e+4|0;s=a+16|0;t=a+20|0;v=a+24|0;w=a+28|0;x=a+32|0;y=a+36|0;z=e+8|0;A=e+8|0;B=a+40|0;C=a+56|0;D=e+4|0;E=a+72|0;F=a+84|0;G=a+80|0;H=a+76|0;I=e+4|0;K=a+96|0;L=a+124|0;M=a+4|0;N=a+100|0;a:while(1){a=f[c>>2]|0;O=f[g>>2]|0;do if(a>>>0<O>>>0){P=b[a>>0]|0;Q=P&255;R=a+1|0;if(P<<24>>24>0){S=R;T=Q}else{if(R>>>0>=O>>>0){U=Q;V=7;break}P=h[R>>0]|0;if(((P^128)&Q)>>>0<=127){U=Q;V=7;break}S=a+2|0;T=Q+-128+(P<<7)|0}f[c>>2]=S;W=T;V=9}else{U=0;V=7}while(0);if((V|0)==7){V=0;a=OJb(c,U)|0;if((a+-1|0)>>>0<16383){W=a;V=9}else X=a}b:do if((V|0)==9){V=0;do switch(W>>>3&536870911|0){case 1:{if((W&255|0)!=10){X=W;break b}f[i>>2]=f[i>>2]|1;a=f[j>>2]|0;if((a|0)==542896){JEa(j,542896);Y=f[j>>2]|0}else Y=a;if($Lb(c,Y)|0)continue a;else{Z=0;V=143;break a}break}case 2:{if((W&255|0)!=21){X=W;break b}f[i>>2]=f[i>>2]|128;a=f[c>>2]|0;if(((f[g>>2]|0)-a|0)>3){O=a;P=h[O>>0]|h[O+1>>0]<<8|h[O+2>>0]<<16|h[O+3>>0]<<24;f[e>>2]=P;f[c>>2]=a+4;_=P}else{if(!(LJb(c,e)|0)){V=20;break a}_=f[e>>2]|0}f[k>>2]=_;continue a;break}case 3:{if((W&255|0)!=24){X=W;break b}f[i>>2]=f[i>>2]|64;P=f[c>>2]|0;if(P>>>0<(f[g>>2]|0)>>>0?(a=b[P>>0]|0,a<<24>>24>-1):0){f[c>>2]=P+1;$=a&255;aa=0}else{AJb(e,c);a=e;if(!(b[m>>0]|0)){Z=0;V=143;break a}else{$=f[a>>2]|0;aa=f[a+4>>2]|0}}a=l;f[a>>2]=$;f[a+4>>2]=aa;continue a;break}case 4:{if((W&255|0)!=34){X=W;break b}f[i>>2]=f[i>>2]|2;a=f[n>>2]|0;if((a|0)==542896){JEa(n,542896);ba=f[n>>2]|0}else ba=a;if($Lb(c,ba)|0)continue a;else{Z=0;V=143;break a}break}case 5:{if((W&255|0)!=42){X=W;break b}f[i>>2]=f[i>>2]|16;a=f[o>>2]|0;if(!a){P=cuc(144)|0;yEb(P);f[o>>2]=P;ca=P}else ca=a;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(P=b[a>>0]|0,P<<24>>24>-1):0){f[c>>2]=a+1;da=P&255}else{P=NJb(c)|0;if((P|0)>-1)da=P;else{Z=0;V=143;break a}}yJb(e,c,da);if((f[p>>2]|0)<0){V=40;break a}if(!(Th[f[(f[ca>>2]|0)+44>>2]&1023](ca,c)|0)){V=40;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{Z=0;V=143;break a}break}case 6:{if((W&255|0)!=50){X=W;break b}f[i>>2]=f[i>>2]|32;P=f[q>>2]|0;if(!P){a=cuc(104)|0;mFb(a);f[q>>2]=a;ea=a}else ea=P;P=f[c>>2]|0;if(P>>>0<(f[g>>2]|0)>>>0?(a=b[P>>0]|0,a<<24>>24>-1):0){f[c>>2]=P+1;fa=a&255}else{a=NJb(c)|0;if((a|0)>-1)fa=a;else{Z=0;V=143;break a}}yJb(e,c,fa);if((f[r>>2]|0)<0){V=51;break a}if(!(Th[f[(f[ea>>2]|0)+44>>2]&1023](ea,c)|0)){V=51;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{Z=0;V=143;break a}break}case 7:{switch((W&255)<<24>>24){case 61:break;case 58:{if(DWa(c,s)|0)continue a;else{Z=0;V=143;break a}break}default:{X=W;break b}}a=f[c>>2]|0;if(((f[g>>2]|0)-a|0)>3){P=a;O=h[P>>0]|h[P+1>>0]<<8|h[P+2>>0]<<16|h[P+3>>0]<<24;f[e>>2]=O;f[c>>2]=a+4;ga=O}else{if(!(LJb(c,e)|0)){V=68;break a}ga=f[e>>2]|0}O=f[s>>2]|0;if((O|0)==(f[t>>2]|0)){REa(s,O+1|0);ha=f[s>>2]|0}else ha=O;O=f[v>>2]|0;a=ha+1|0;f[s>>2]=a;f[O+4+(ha<<2)>>2]=ga;P=f[c>>2]|0;Q=(f[g>>2]|0)-P|0;if((Q|0)<=0)continue a;R=P;P=(f[t>>2]|0)-a|0;ia=(Q>>>0)/5|0;ja=(ia|0)<(P|0)?ia:P;if((ja|0)>0){ka=0;la=R;ma=a}else continue a;while(1){if((b[la>>0]|0)!=61){na=ka;break}a=la+1|0;P=h[a>>0]|h[a+1>>0]<<8|h[a+2>>0]<<16|h[a+3>>0]<<24;a=ma;ma=ma+1|0;f[s>>2]=ma;f[O+4+(a<<2)>>2]=P;P=ka+1|0;if((P|0)>=(ja|0)){na=P;break}else{ka=P;la=la+5|0}}ja=na*5|0;if((na|0)<=0)continue a;if((Q|0)<(ja|0)){HJb(c,ja,Q)|0;continue a}else{f[c>>2]=R+ja;continue a}break}case 8:{switch((W&255)<<24>>24){case 64:break;case 66:{if(wEb(c,w)|0)continue a;else{Z=0;V=143;break a}break}default:{X=W;break b}}ja=f[c>>2]|0;if(ja>>>0<(f[g>>2]|0)>>>0?(O=b[ja>>0]|0,O<<24>>24>-1):0){f[c>>2]=ja+1;oa=O&255;pa=0}else{AJb(e,c);O=e;if(!(b[A>>0]|0)){Z=0;V=143;break a}else{oa=f[O>>2]|0;pa=f[O+4>>2]|0}}O=f[w>>2]|0;ja=f[x>>2]|0;if((O|0)==(ja|0)){ZOa(w,O+1|0);qa=f[w>>2]|0;ra=f[x>>2]|0}else{qa=O;ra=ja}ja=f[y>>2]|0;O=qa+1|0;f[w>>2]=O;P=ja+8+(qa<<3)|0;f[P>>2]=oa;f[P+4>>2]=pa;P=ra-O|0;if((P|0)>0){sa=P;ta=O;ua=ja}else continue a;while(1){ja=f[c>>2]|0;O=f[g>>2]|0;if(ja>>>0>=O>>>0)continue a;if((b[ja>>0]|0)!=64)continue a;P=ja+1|0;f[c>>2]=P;if(P>>>0<O>>>0?(O=b[P>>0]|0,O<<24>>24>-1):0){f[c>>2]=ja+2;va=ta;wa=ua;xa=O&255;ya=0}else{AJb(e,c);O=e;if(!(b[z>>0]|0)){Z=0;V=143;break a}va=f[w>>2]|0;wa=f[y>>2]|0;xa=f[O>>2]|0;ya=f[O+4>>2]|0}O=va+1|0;f[w>>2]=O;ja=wa+8+(va<<3)|0;f[ja>>2]=xa;f[ja+4>>2]=ya;if((sa|0)>1){sa=sa+-1|0;ta=O;ua=wa}else continue a}break}case 9:{if((W&255|0)!=74){X=W;break b}if($Lb(c,MEa(B)|0)|0)continue a;else{Z=0;V=143;break a}break}case 10:{if((W&255|0)!=82){X=W;break b}R=EGb(C)|0;Q=f[c>>2]|0;if(Q>>>0<(f[g>>2]|0)>>>0?(O=b[Q>>0]|0,O<<24>>24>-1):0){f[c>>2]=Q+1;za=O&255}else{O=NJb(c)|0;if((O|0)>-1)za=O;else{Z=0;V=143;break a}}yJb(e,c,za);if((f[D>>2]|0)<0){V=96;break a}if(!(Th[f[(f[R>>2]|0)+44>>2]&1023](R,c)|0)){V=96;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{Z=0;V=143;break a}break}case 11:{if((W&255|0)!=90){X=W;break b}R=f[F>>2]|0;do if(R){O=f[H>>2]|0;Q=f[R>>2]|0;if((O|0)>=(Q|0))if((Q|0)==(f[G>>2]|0)){Aa=Q;V=104;break}else{Ba=Q;Ca=R;V=105;break}else{f[H>>2]=O+1;Da=f[R+4+(O<<2)>>2]|0;break}}else{Aa=f[G>>2]|0;V=104}while(0);if((V|0)==104){V=0;LKb(E,Aa+1|0);R=f[F>>2]|0;Ba=f[R>>2]|0;Ca=R;V=105}if((V|0)==105){V=0;f[Ca>>2]=Ba+1;R=f[E>>2]|0;if(!R){O=cuc(104)|0;mFb(O);Ea=O}else{if(f[R+64>>2]|0)HIb(R,23272,104);O=GIb(R,104,1991)|0;mFb(O);Ea=O}O=f[F>>2]|0;R=f[H>>2]|0;f[H>>2]=R+1;f[O+4+(R<<2)>>2]=Ea;Da=Ea}R=f[c>>2]|0;if(R>>>0<(f[g>>2]|0)>>>0?(O=b[R>>0]|0,O<<24>>24>-1):0){f[c>>2]=R+1;Fa=O&255}else{O=NJb(c)|0;if((O|0)>-1)Fa=O;else{Z=0;V=143;break a}}yJb(e,c,Fa);if((f[I>>2]|0)<0){V=117;break a}if(!(Th[f[(f[Da>>2]|0)+44>>2]&1023](Da,c)|0)){V=117;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{Z=0;V=143;break a}break}case 13:{if((W&255|0)!=106){X=W;break b}f[i>>2]=f[i>>2]|4;O=f[K>>2]|0;if((O|0)==542896){JEa(K,542896);Ga=f[K>>2]|0}else Ga=O;if($Lb(c,Ga)|0)continue a;else{Z=0;V=143;break a}break}case 20:{if((W&255|0)!=160){X=W;break b}O=f[c>>2]|0;if(O>>>0<(f[g>>2]|0)>>>0){R=b[O>>0]|0;Q=R&255;if(R<<24>>24>-1){f[c>>2]=O+1;Ha=Q}else{Ia=Q;V=127}}else{Ia=0;V=127}if((V|0)==127){V=0;Q=zJb(c,Ia)|0;O=J;if((O|0)>-1|(O|0)==-1&Q>>>0>4294967295)Ha=Q;else{Z=0;V=143;break a}}if(Ha>>>0<11){f[i>>2]=f[i>>2]|256;f[L>>2]=Ha;continue a}Q=f[M>>2]|0;if(!(Q&1))Ja=OOa(M)|0;else Ja=Q&-2;kbc(Ja,20,Ha,((Ha|0)<0)<<31>>31);continue a;break}case 21:{if((W&255|0)!=170){X=W;break b}f[i>>2]=f[i>>2]|8;Q=f[N>>2]|0;if((Q|0)==542896){JEa(N,542896);Ka=f[N>>2]|0}else Ka=Q;if($Lb(c,Ka)|0)continue a;else{Z=0;V=143;break a}break}default:{X=W;break b}}while(0)}while(0);if(!X){Z=1;V=143;break}Q=f[M>>2]|0;if(!(Q&1))La=OOa(M)|0;else La=Q&-2;if(!(xbc(c,X,La)|0)){Z=0;V=143;break}}if((V|0)==20){Z=0;u=d;return Z|0}else if((V|0)==40){Z=0;u=d;return Z|0}else if((V|0)==51){Z=0;u=d;return Z|0}else if((V|0)==68){Z=0;u=d;return Z|0}else if((V|0)==96){Z=0;u=d;return Z|0}else if((V|0)==117){Z=0;u=d;return Z|0}else if((V|0)==143){u=d;return Z|0}return 0}function JBb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;c=f[a+4>>2]|0;if(!(c&1))d=0;else d=Dbc(c&-2)|0;c=f[a+16>>2]|0;e=c+d+(c<<2)|0;c=f[a+28>>2]|0;if((c|0)>0){d=f[a+36>>2]|0;g=0;h=0;while(1){i=d+8+(h<<3)|0;j=xzc(f[i>>2]|1|0,f[i+4>>2]|0,1)|0;i=((((j^63)*9|0)+73|0)>>>6)+g|0;h=h+1|0;if((h|0)==(c|0)){k=i;break}else g=i}}else k=0;g=f[a+44>>2]|0;h=e+k+c+g|0;if((g|0)>0){c=f[a+52>>2]|0;k=0;e=h;while(1){d=f[c+4+(k<<2)>>2]|0;i=b[d+11>>0]|0;j=i<<24>>24<0?f[d+4>>2]|0:i&255;i=j+e+((((($(j|1|0)|0)^31)*9|0)+73|0)>>>6)|0;k=k+1|0;if((k|0)==(g|0)){l=i;break}else e=i}}else l=h;h=f[a+60>>2]|0;e=h+l|0;if(!h)m=e;else{l=a+68|0;g=0;k=e;while(1){e=f[(f[l>>2]|0)+4+(g<<2)>>2]|0;c=di[f[(f[e>>2]|0)+48>>2]&1023](e)|0;e=c+k+((((($(c|1|0)|0)^31)*9|0)+73|0)>>>6)|0;g=g+1|0;if((g|0)==(h|0)){m=e;break}else k=e}}k=f[a+76>>2]|0;h=k+m|0;if(!k)n=h;else{m=a+84|0;g=0;l=h;while(1){h=f[(f[m>>2]|0)+4+(g<<2)>>2]|0;e=di[f[(f[h>>2]|0)+48>>2]&1023](h)|0;h=e+l+((((($(e|1|0)|0)^31)*9|0)+73|0)>>>6)|0;g=g+1|0;if((g|0)==(k|0)){n=h;break}else l=h}}l=a+8|0;k=f[l>>2]|0;if(!(k&255)){o=n;p=k}else{if(!(k&1))q=n;else{g=f[a+88>>2]|0;m=b[g+11>>0]|0;h=m<<24>>24<0?f[g+4>>2]|0:m&255;q=n+1+h+((((($(h|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(k&2))r=q;else{h=f[a+92>>2]|0;n=b[h+11>>0]|0;m=n<<24>>24<0?f[h+4>>2]|0:n&255;r=q+1+m+((((($(m|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(k&4))s=r;else{m=f[a+96>>2]|0;q=b[m+11>>0]|0;n=q<<24>>24<0?f[m+4>>2]|0:q&255;s=r+1+n+((((($(n|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(k&8))t=s;else{n=f[a+100>>2]|0;r=b[n+11>>0]|0;q=r<<24>>24<0?f[n+4>>2]|0:r&255;t=s+2+q+((((($(q|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(k&16)){u=t;v=k}else{k=f[a+104>>2]|0;q=di[f[(f[k>>2]|0)+48>>2]&1023](k)|0;k=t+1+q+((((($(q|1|0)|0)^31)*9|0)+73|0)>>>6)|0;u=k;v=f[l>>2]|0}if(!(v&32)){w=u;x=v}else{v=f[a+108>>2]|0;k=di[f[(f[v>>2]|0)+48>>2]&1023](v)|0;v=u+1+k+((((($(k|1|0)|0)^31)*9|0)+73|0)>>>6)|0;w=v;x=f[l>>2]|0}if(!(x&64))y=w;else{l=a+112|0;v=xzc(f[l>>2]|1|0,f[l+4>>2]|0,1)|0;y=w+1+((((v^63)*9|0)+73|0)>>>6)|0}o=x&128|0?y+5|0:y;p=x}if(!(p&256)){z=o;A=a+12|0;f[A>>2]=z;return z|0}p=f[a+124>>2]|0;if((p|0)<0)B=12;else B=((((($(p|1|0)|0)^31)*9|0)+73|0)>>>6)+2|0;z=B+o|0;A=a+12|0;f[A>>2]=z;return z|0}function KBb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0;c=f[a+8>>2]|0;if(c&1|0)VLb(1,f[a+88>>2]|0,b);if(c&128|0)QLb(2,+n[a+120>>2],b);if(c&64|0){d=a+112|0;HLb(3,f[d>>2]|0,f[d+4>>2]|0,b)}if(c&2|0)XLb(4,f[a+92>>2]|0,b);if(c&16|0)_Lb(5,f[a+104>>2]|0,b);if(c&32|0)_Lb(6,f[a+108>>2]|0,b);d=f[a+16>>2]|0;if((d|0)>0){e=a+24|0;g=0;do{QLb(7,+n[(f[e>>2]|0)+4+(g<<2)>>2],b);g=g+1|0}while((g|0)!=(d|0))}d=f[a+28>>2]|0;if((d|0)>0){g=a+36|0;e=0;do{h=(f[g>>2]|0)+8+(e<<3)|0;HLb(8,f[h>>2]|0,f[h+4>>2]|0,b);e=e+1|0}while((e|0)!=(d|0))}d=f[a+44>>2]|0;if((d|0)>0){e=a+52|0;g=0;do{WLb(9,f[(f[e>>2]|0)+4+(g<<2)>>2]|0,b);g=g+1|0}while((g|0)!=(d|0))}d=f[a+60>>2]|0;if(d|0){g=a+68|0;e=0;do{_Lb(10,f[(f[g>>2]|0)+4+(e<<2)>>2]|0,b);e=e+1|0}while((e|0)!=(d|0))}d=f[a+76>>2]|0;if(d|0){e=a+84|0;g=0;do{_Lb(11,f[(f[e>>2]|0)+4+(g<<2)>>2]|0,b);g=g+1|0}while((g|0)!=(d|0))}if(c&4|0)VLb(13,f[a+96>>2]|0,b);if(c&256|0)TLb(20,f[a+124>>2]|0,b);if(c&8|0)VLb(21,f[a+100>>2]|0,b);c=f[a+4>>2]|0;if(!(c&1))return;Abc(c&-2,b);return}function LBb(a){a=a|0;return f[a+12>>2]|0}function MBb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0;e=f[a+8>>2]|0;if(!(e&1))g=d;else{h=f[a+88>>2]|0;b[d>>0]=10;g=XJb(h,d+1|0)|0}if(!(e&128))i=g;else{d=f[a+120>>2]|0;b[g>>0]=21;h=g+1|0;b[h>>0]=d;b[h+1>>0]=d>>8;b[h+2>>0]=d>>16;b[h+3>>0]=d>>24;i=g+5|0}if(!(e&64))j=i;else{g=a+112|0;d=f[g>>2]|0;h=f[g+4>>2]|0;b[i>>0]=24;g=i+1|0;i=d&255;if(h>>>0>0|(h|0)==0&d>>>0>127){k=g;l=i;m=d;d=h;while(1){b[k>>0]=l|-128;h=m;m=pzc(m|0,d|0,7)|0;n=k+1|0;o=m&255;if(!(d>>>0>0|(d|0)==0&h>>>0>16383)){p=n;q=o;break}else{k=n;l=o;d=J}}}else{p=g;q=i}b[p>>0]=q;j=p+1|0}if(!(e&2))r=j;else{p=f[a+92>>2]|0;b[j>>0]=34;r=XJb(p,j+1|0)|0}if(!(e&16))s=r;else{j=f[a+104>>2]|0;b[r>>0]=42;p=r+1|0;r=di[f[(f[j>>2]|0)+60>>2]&1023](j)|0;if(r>>>0>127){q=r;i=p;while(1){b[i>>0]=q|128;g=q>>>7;d=i+1|0;if(q>>>0>16383){q=g;i=d}else{t=d;u=g;break}}}else{t=p;u=r}b[t>>0]=u;s=li[f[(f[j>>2]|0)+64>>2]&511](j,c,t+1|0)|0}if(!(e&32))v=s;else{t=f[a+108>>2]|0;b[s>>0]=50;j=s+1|0;s=di[f[(f[t>>2]|0)+60>>2]&1023](t)|0;if(s>>>0>127){u=s;r=j;while(1){b[r>>0]=u|128;p=u>>>7;i=r+1|0;if(u>>>0>16383){u=p;r=i}else{w=i;x=p;break}}}else{w=j;x=s}b[w>>0]=x;v=li[f[(f[t>>2]|0)+64>>2]&511](t,c,w+1|0)|0}w=f[a+16>>2]|0;if(!w)y=v;else{t=f[a+24>>2]|0;x=0;s=v;while(1){v=f[t+4+(x<<2)>>2]|0;b[s>>0]=61;j=s+1|0;b[j>>0]=v;b[j+1>>0]=v>>8;b[j+2>>0]=v>>16;b[j+3>>0]=v>>24;v=s+5|0;x=x+1|0;if((x|0)>=(w|0)){y=v;break}else s=v}}s=f[a+28>>2]|0;if(!s)z=y;else{w=f[a+36>>2]|0;x=0;t=y;while(1){y=w+8+(x<<3)|0;v=f[y>>2]|0;j=f[y+4>>2]|0;b[t>>0]=64;y=t+1|0;r=v&255;if(j>>>0>0|(j|0)==0&v>>>0>127){u=y;p=r;i=v;v=j;while(1){b[u>>0]=p|-128;j=i;i=pzc(i|0,v|0,7)|0;q=u+1|0;g=i&255;if(!(v>>>0>0|(v|0)==0&j>>>0>16383)){A=q;B=g;break}else{u=q;p=g;v=J}}}else{A=y;B=r}b[A>>0]=B;v=A+1|0;x=x+1|0;if((x|0)>=(s|0)){z=v;break}else t=v}}t=f[a+44>>2]|0;if((t|0)>0){s=a+52|0;x=0;A=z;while(1){B=f[(f[s>>2]|0)+4+(x<<2)>>2]|0;b[A>>0]=74;w=XJb(B,A+1|0)|0;x=x+1|0;if((x|0)==(t|0)){C=w;break}else A=w}}else C=z;z=f[a+60>>2]|0;if(!z)D=C;else{A=a+68|0;t=0;x=C;while(1){C=f[(f[A>>2]|0)+4+(t<<2)>>2]|0;b[x>>0]=82;s=x+1|0;w=di[f[(f[C>>2]|0)+60>>2]&1023](C)|0;if(w>>>0>127){B=w;v=s;while(1){b[v>>0]=B|128;p=B>>>7;u=v+1|0;if(B>>>0>16383){B=p;v=u}else{E=u;F=p;break}}}else{E=s;F=w}b[E>>0]=F;v=li[f[(f[C>>2]|0)+64>>2]&511](C,c,E+1|0)|0;t=t+1|0;if((t|0)==(z|0)){D=v;break}else x=v}}x=f[a+76>>2]|0;if(!x)G=D;else{z=a+84|0;t=0;E=D;while(1){D=f[(f[z>>2]|0)+4+(t<<2)>>2]|0;b[E>>0]=90;F=E+1|0;A=di[f[(f[D>>2]|0)+60>>2]&1023](D)|0;if(A>>>0>127){v=A;B=F;while(1){b[B>>0]=v|128;r=v>>>7;y=B+1|0;if(v>>>0>16383){v=r;B=y}else{H=y;I=r;break}}}else{H=F;I=A}b[H>>0]=I;B=li[f[(f[D>>2]|0)+64>>2]&511](D,c,H+1|0)|0;t=t+1|0;if((t|0)==(x|0)){G=B;break}else E=B}}if(!(e&4))K=G;else{E=f[a+96>>2]|0;b[G>>0]=106;K=XJb(E,G+1|0)|0}if(!(e&256))L=K;else{G=f[a+124>>2]|0;b[K>>0]=-96;b[K+1>>0]=1;E=K+2|0;K=G&255;if(G>>>0>127){x=E;t=K;H=G;c=((G|0)<0)<<31>>31;while(1){b[x>>0]=t|-128;G=H;H=pzc(H|0,c|0,7)|0;I=x+1|0;z=H&255;if(!(c>>>0>0|(c|0)==0&G>>>0>16383)){M=I;N=z;break}else{x=I;t=z;c=J}}}else{M=E;N=K}b[M>>0]=N;L=M+1|0}if(!(e&8))O=L;else{e=f[a+100>>2]|0;b[L>>0]=-86;b[L+1>>0]=1;O=XJb(e,L+2|0)|0}L=f[a+4>>2]|0;if(!(L&1)){P=O;return P|0}P=Bbc(L&-2,O)|0;return P|0}function NBb(a,b){a=a|0;b=b|0;var c=0;if((a|0)==(b|0))return;GBb(a);c=ovc(b,24728,23080,0)|0;if(!c){A9b(b,a);return}else{VFb(a,c);return}}function OBb(a,b){a=a|0;b=b|0;var c=0;c=ovc(b,24728,23080,0)|0;if(!c){A9b(b,a);return}else{VFb(a,c);return}}function PBb(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function QBb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224949]|0)!=2){f[d>>2]=151624;f[d+4>>2]=111;b[d+8>>0]=0;xLb(899796,d);QKb(d)}d=542488;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function RBb(){var a=0,c=0,d=0,e=0,g=0,h=0;a=u;u=u+16|0;c=a;if((f[224950]|0)!=2){f[c>>2]=151624;f[c+4>>2]=112;b[c+8>>0]=0;xLb(899800,c);QKb(c)}d=cuc(32)|0;f[c>>2]=d;f[c+8>>2]=-2147483616;f[c+4>>2]=17;e=d;g=481620;h=e+17|0;do{b[e>>0]=b[g>>0]|0;e=e+1|0;g=g+1|0}while((e|0)<(h|0));b[d+17>>0]=0;T3b(c,140992,141148,140088,0,542488,899784,0);if((b[c+11>>0]|0)>=0){u=a;return}fuc(f[c>>2]|0);u=a;return}function SBb(){TBb();bQb(481638,2523);n9b(481620,1992);return}function TBb(){var a=0,c=0;a=u;u=u+16|0;c=a;if((f[224951]|0)!=2){f[c>>2]=151624;f[c+4>>2]=113;b[c+8>>0]=0;xLb(899804,c);QKb(c)}if((f[224952]|0)!=2){f[c>>2]=151624;f[c+4>>2]=114;b[c+8>>0]=0;xLb(899808,c);QKb(c)}if((f[224953]|0)!=2){f[c>>2]=151624;f[c+4>>2]=115;b[c+8>>0]=0;xLb(899812,c);QKb(c)}if((f[224954]|0)!=2){f[c>>2]=151624;f[c+4>>2]=116;b[c+8>>0]=0;xLb(899816,c);QKb(c)}if((f[224955]|0)!=2){f[c>>2]=151624;f[c+4>>2]=117;b[c+8>>0]=0;xLb(899820,c);QKb(c)}if((f[224956]|0)!=2){f[c>>2]=151624;f[c+4>>2]=118;b[c+8>>0]=0;xLb(899824,c);QKb(c)}if((f[224957]|0)!=2){f[c>>2]=151624;f[c+4>>2]=119;b[c+8>>0]=0;xLb(899828,c);QKb(c)}if((f[224958]|0)!=2){f[c>>2]=151624;f[c+4>>2]=120;b[c+8>>0]=0;xLb(899832,c);QKb(c)}if((f[224959]|0)!=2){f[c>>2]=151624;f[c+4>>2]=121;b[c+8>>0]=0;xLb(899836,c);QKb(c)}if((f[224960]|0)!=2){f[c>>2]=151624;f[c+4>>2]=122;b[c+8>>0]=0;xLb(899840,c);QKb(c)}if((f[224961]|0)==2){u=a;return}f[c>>2]=151624;f[c+4>>2]=123;b[c+8>>0]=0;xLb(899844,c);QKb(c);u=a;return}function UBb(a){a=a|0;var c=0;a=u;u=u+16|0;c=a;if((f[224949]|0)!=2){f[c>>2]=151624;f[c+4>>2]=111;b[c+8>>0]=0;xLb(899796,c);QKb(c)}Y3b(542488,13);u=a;return}function VBb(){var a=0,c=0,d=0;a=u;u=u+16|0;c=a;TKb(3005001,3005e3,484162);LIb();if((f[224956]|0)!=2){f[c>>2]=151624;f[c+4>>2]=118;b[c+8>>0]=0;xLb(899824,c);QKb(c)}if((f[224952]|0)!=2){f[c>>2]=151624;f[c+4>>2]=114;b[c+8>>0]=0;xLb(899808,c);QKb(c)}f[135418]=140892;f[135419]=0;c=541680;d=c+80|0;do{f[c>>2]=0;c=c+4|0}while((c|0)<(d|0));f[135440]=542896;f[135441]=542896;f[135442]=542896;f[135443]=542896;f[135444]=0;f[135445]=0;f[135446]=0;f[135447]=0;f[135448]=0;f[135449]=0;qLb(541672);f[135458]=142288;f[135459]=0;c=541840;d=c+56|0;do{f[c>>2]=0;c=c+4|0}while((c|0)<(d|0));f[135474]=542896;f[135475]=542896;f[135476]=542896;f[135477]=542896;qLb(541832);f[135506]=142396;f[135507]=0;c=542032;d=c+88|0;do{f[c>>2]=0;c=c+4|0}while((c|0)<(d|0));f[135530]=542896;f[135531]=542896;qLb(542024);f[135444]=542160;f[135445]=542024;u=a;return}function WBb(){var a=0,c=0;a=u;u=u+16|0;c=a;TKb(3005001,3005e3,484162);LIb();if((f[224960]|0)!=2){f[c>>2]=151624;f[c+4>>2]=122;b[c+8>>0]=0;xLb(899840,c);QKb(c)}f[135450]=142180;f[135451]=0;f[135452]=0;f[135453]=0;f[135454]=542896;f[135455]=542896;f[135456]=0;qLb(541800);f[135456]=542416;u=a;return}function XBb(){var a=0,c=0,d=0;a=u;u=u+16|0;c=a;TKb(3005001,3005e3,484162);LIb();if((f[224961]|0)!=2){f[c>>2]=151624;f[c+4>>2]=123;b[c+8>>0]=0;xLb(899844,c);QKb(c)}if((f[224951]|0)!=2){f[c>>2]=151624;f[c+4>>2]=113;b[c+8>>0]=0;xLb(899804,c);QKb(c)}if((f[224954]|0)!=2){f[c>>2]=151624;f[c+4>>2]=116;b[c+8>>0]=0;xLb(899816,c);QKb(c)}f[135478]=142072;f[135479]=0;c=541920;d=c+40|0;do{f[c>>2]=0;c=c+4|0}while((c|0)<(d|0));f[135490]=542896;f[135491]=542896;f[135492]=542896;f[135493]=542896;f[135494]=0;f[135495]=0;f[135496]=0;f[135497]=0;f[135498]=0;f[135499]=0;qLb(541912);f[135494]=542024;u=a;return}function YBb(){TKb(3005001,3005e3,484162);LIb();f[135500]=141964;f[135501]=0;f[135502]=0;f[135503]=0;f[135504]=542896;f[135505]=542896;qLb(542e3);return}function ZBb(){TKb(3005001,3005e3,484162);LIb();f[135532]=141856;f[135533]=0;f[135534]=0;f[135535]=0;f[135536]=0;f[135537]=0;f[135538]=0;f[135539]=0;qLb(542128);return}function _Bb(){var a=0,c=0;a=u;u=u+16|0;c=a;TKb(3005001,3005e3,484162);LIb();if((f[224955]|0)!=2){f[c>>2]=151624;f[c+4>>2]=117;b[c+8>>0]=0;xLb(899820,c);QKb(c)}f[135540]=141748;f[135541]=0;f[135551]=0;f[135552]=0;f[135553]=0;f[135563]=0;f[135564]=0;f[135565]=0;f[135567]=0;f[135568]=0;f[135569]=0;f[135555]=0;f[135556]=0;f[135557]=0;f[135558]=0;f[135559]=0;f[135560]=0;f[135561]=0;f[135542]=0;f[135543]=0;f[135544]=0;f[135545]=0;f[135546]=0;f[135547]=0;f[135548]=0;f[135549]=0;f[135571]=542896;f[135572]=542896;f[135573]=542896;c=542296;f[c>>2]=0;f[c+4>>2]=0;qLb(542160);f[135574]=542128;u=a;return}function $Bb(){var a=0;TKb(3005001,3005e3,484162);LIb();f[135576]=141424;f[135577]=0;f[135578]=0;f[135579]=0;f[135580]=542896;f[135584]=0;qLb(542304);a=542344;f[a>>2]=0;f[a+4>>2]=0;f[135588]=542896;return}function aCb(){var a=0,c=0;a=u;u=u+16|0;c=a;TKb(3005001,3005e3,484162);LIb();if((f[224957]|0)!=2){f[c>>2]=151624;f[c+4>>2]=119;b[c+8>>0]=0;xLb(899828,c);QKb(c)}f[135590]=141532;f[135591]=0;f[135592]=0;f[135593]=0;f[135594]=0;f[135595]=0;f[135596]=0;f[135597]=0;qLb(542360);u=a;return}function bCb(){var a=0,c=0;a=u;u=u+16|0;c=a;TKb(3005001,3005e3,484162);LIb();if((f[224958]|0)!=2){f[c>>2]=151624;f[c+4>>2]=120;b[c+8>>0]=0;xLb(899832,c);QKb(c)}f[135598]=141640;f[135599]=0;f[135600]=0;f[135601]=0;f[135602]=0;f[135603]=0;qLb(542392);f[135602]=542360;u=a;return}function cCb(){var a=0,c=0;a=u;u=u+16|0;c=a;TKb(3005001,3005e3,484162);LIb();if((f[224959]|0)!=2){f[c>>2]=151624;f[c+4>>2]=121;b[c+8>>0]=0;xLb(899836,c);QKb(c)}f[135604]=141316;f[135605]=0;f[135606]=0;f[135607]=0;f[135608]=542896;f[135610]=0;qLb(542416);f[135612]=542392;u=a;return}function dCb(){var a=0;TKb(3005001,3005e3,484162);LIb();f[135614]=141208;f[135615]=0;f[135616]=0;f[135617]=0;f[135618]=542896;a=542480;f[a>>2]=0;f[a+4>>2]=0;qLb(542456);return}function eCb(a){a=a|0;var c=0,d=0;f[a>>2]=141208;c=f[a+16>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}c=a+4|0;a=f[c>>2]|0;if(!(a&1)){f[c>>2]=0;return}d=a&-2;a=d;if((d|0)==0|(f[a+4>>2]|0)!=0){f[c>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(d);f[c>>2]=0;return}function fCb(a){a=a|0;eCb(a);fuc(a);return}function gCb(a){a=a|0;a=cuc(32)|0;uCb(a);return a|0}function hCb(a,b){a=a|0;b=b|0;a=cuc(32)|0;uCb(a);if(!b)return a|0;vCb(b,a);return a|0}function iCb(a){a=a|0;var c=0,d=0,e=0;c=a+8|0;do if(f[c>>2]&1|0){d=f[a+16>>2]|0;e=d+11|0;if((b[e>>0]|0)<0){b[f[d>>2]>>0]=0;f[d+4>>2]=0;break}else{b[d>>0]=0;b[e>>0]=0;break}}while(0);e=a+24|0;f[e>>2]=0;f[e+4>>2]=0;f[c>>2]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;ebc(a);return}function jCb(a){a=a|0;return 1}function kCb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;d=u;u=u+16|0;e=d;g=c+4|0;h=a+8|0;i=a+16|0;j=a+24|0;k=e+8|0;l=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){m=b[a>>0]|0;n=m&255;if(m<<24>>24>0){f[c>>2]=a+1;o=n;p=6}else{q=n;p=5}}else{q=0;p=5}if((p|0)==5){p=0;n=OJb(c,q)|0;if((n+-1|0)>>>0<127){o=n;p=6}else r=n}b:do if((p|0)==6){p=0;switch(o>>>3&536870911|0){case 1:{if((o&255|0)!=10){r=o;break b}f[h>>2]=f[h>>2]|1;n=f[i>>2]|0;if((n|0)==542896){JEa(i,542896);s=f[i>>2]|0}else s=n;if($Lb(c,s)|0)continue a;else{t=0;p=22;break a}break}case 2:break;default:{r=o;break b}}if((o&255|0)==16){f[h>>2]=f[h>>2]|2;n=f[c>>2]|0;if(n>>>0<(f[g>>2]|0)>>>0?(a=b[n>>0]|0,a<<24>>24>-1):0){f[c>>2]=n+1;v=a&255;w=0}else{AJb(e,c);a=e;if(!(b[k>>0]|0)){t=0;p=22;break a}else{v=f[a>>2]|0;w=f[a+4>>2]|0}}a=j;f[a>>2]=v;f[a+4>>2]=w;continue a}else r=o}while(0);if(!r){t=1;p=22;break}a=f[l>>2]|0;if(!(a&1))x=OOa(l)|0;else x=a&-2;if(!(xbc(c,r,x)|0)){t=0;p=22;break}}if((p|0)==22){u=d;return t|0}return 0}function lCb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=f[a+4>>2]|0;if(!(c&1))d=0;else d=Dbc(c&-2)|0;c=f[a+8>>2]|0;if(!(c&3)){e=d;g=a+12|0;f[g>>2]=e;return e|0}if(!(c&1))h=d;else{i=f[a+16>>2]|0;j=b[i+11>>0]|0;k=j<<24>>24<0?f[i+4>>2]|0:j&255;h=d+1+k+((((($(k|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(c&2)){e=h;g=a+12|0;f[g>>2]=e;return e|0}c=a+24|0;k=xzc(f[c>>2]|1|0,f[c+4>>2]|0,1)|0;e=h+1+((((k^63)*9|0)+73|0)>>>6)|0;g=a+12|0;f[g>>2]=e;return e|0}function mCb(a,b){a=a|0;b=b|0;var c=0;c=f[a+8>>2]|0;if(c&1|0)VLb(1,f[a+16>>2]|0,b);if(c&2|0){c=a+24|0;HLb(2,f[c>>2]|0,f[c+4>>2]|0,b)}c=f[a+4>>2]|0;if(!(c&1))return;Abc(c&-2,b);return}function nCb(a){a=a|0;return f[a+12>>2]|0}function oCb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;c=f[a+8>>2]|0;if(!(c&1))e=d;else{g=f[a+16>>2]|0;b[d>>0]=10;e=XJb(g,d+1|0)|0}if(!(c&2))h=e;else{c=a+24|0;d=f[c>>2]|0;g=f[c+4>>2]|0;b[e>>0]=16;c=e+1|0;e=d&255;if(g>>>0>0|(g|0)==0&d>>>0>127){i=c;j=e;k=d;d=g;while(1){b[i>>0]=j|-128;g=k;k=pzc(k|0,d|0,7)|0;l=i+1|0;m=k&255;if(!(d>>>0>0|(d|0)==0&g>>>0>16383)){n=l;o=m;break}else{i=l;j=m;d=J}}}else{n=c;o=e}b[n>>0]=o;h=n+1|0}n=f[a+4>>2]|0;if(!(n&1)){p=h;return p|0}p=Bbc(n&-2,h)|0;return p|0}function pCb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;if((a|0)==(c|0))return;d=a+8|0;do if(f[d>>2]&1|0){e=f[a+16>>2]|0;g=e+11|0;if((b[g>>0]|0)<0){b[f[e>>2]>>0]=0;f[e+4>>2]=0;break}else{b[e>>0]=0;b[g>>0]=0;break}}while(0);g=a+24|0;f[g>>2]=0;f[g+4>>2]=0;f[d>>2]=0;d=f[a+4>>2]|0;if(d&1|0?(g=d&-2,f[g>>2]|0):0)ebc(g);g=ovc(c,24728,23096,0)|0;if(!g){A9b(c,a);return}else{tCb(a,g);return}}function qCb(a,b){a=a|0;b=b|0;var c=0;c=ovc(b,24728,23096,0)|0;if(!c){A9b(b,a);return}else{tCb(a,c);return}}function rCb(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function sCb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224949]|0)!=2){f[d>>2]=151624;f[d+4>>2]=111;b[d+8>>0]=0;xLb(899796,d);QKb(d)}d=542584;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function tCb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=a+4|0;d=f[b+4>>2]|0;if(d&1|0){e=f[c>>2]|0;if(!(e&1))g=OOa(c)|0;else g=e&-2;hbc(g,d&-2)}d=f[b+8>>2]|0;if(!(d&3))return;do if(d&1|0?(g=a+8|0,f[g>>2]=f[g>>2]|1,g=a+16|0,e=f[b+16>>2]|0,c=f[g>>2]|0,(c|0)!=(e|0)):0)if((c|0)==542896){JEa(g,e);break}else{ruc(c,e)|0;break}while(0);if(d&2|0){e=b+24|0;b=f[e+4>>2]|0;c=a+24|0;f[c>>2]=f[e>>2];f[c+4>>2]=b}b=a+8|0;f[b>>2]=f[b>>2]|d;return}function uCb(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=141208;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=542456?(f[224961]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=123;b[d+8>>0]=0;xLb(899844,d);QKb(d)}f[a+12>>2]=0;f[a+16>>2]=542896;d=a+24|0;f[d>>2]=0;f[d+4>>2]=0;u=c;return}function vCb(a,b){a=a|0;b=b|0;if(!b)return;EIb(a,b,1978);return}function wCb(a){a=a|0;var c=0,d=0,e=0;f[a>>2]=141316;c=f[a+16>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}c=a+24|0;switch(f[c>>2]|0){case 0:break;case 1:{d=f[a+20>>2]|0;if(!d)e=8;else{bi[f[(f[d>>2]|0)+4>>2]&2047](d);e=8}break}default:e=8}if((e|0)==8)f[c>>2]=0;c=a+4|0;a=f[c>>2]|0;if(!(a&1)){f[c>>2]=0;return}e=a&-2;a=e;if((e|0)==0|(f[a+4>>2]|0)!=0){f[c>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(e);f[c>>2]=0;return}function xCb(a){a=a|0;wCb(a);fuc(a);return}function yCb(a){a=a|0;a=cuc(28)|0;ODb(a);return a|0}function zCb(a,b){a=a|0;b=b|0;a=cuc(28)|0;ODb(a);if(!b)return a|0;PDb(b,a);return a|0}function ACb(a){a=a|0;var c=0,d=0,e=0;c=a+8|0;do if(f[c>>2]&1|0){d=f[a+16>>2]|0;e=d+11|0;if((b[e>>0]|0)<0){b[f[d>>2]>>0]=0;f[d+4>>2]=0;break}else{b[d>>0]=0;b[e>>0]=0;break}}while(0);e=a+24|0;if((f[e>>2]|0)==1?(d=f[a+20>>2]|0,d|0):0)bi[f[(f[d>>2]|0)+4>>2]&2047](d);f[e>>2]=0;f[c>>2]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;ebc(a);return}function BCb(a){a=a|0;return 1}function CCb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;d=u;u=u+16|0;e=d;g=c+4|0;h=a+24|0;i=a+20|0;j=e+4|0;k=a+8|0;l=a+16|0;m=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){n=b[a>>0]|0;o=n&255;if(n<<24>>24>0){f[c>>2]=a+1;p=o;q=6}else{r=o;q=5}}else{r=0;q=5}if((q|0)==5){q=0;o=OJb(c,r)|0;if((o+-1|0)>>>0<127){p=o;q=6}else s=o}b:do if((q|0)==6){q=0;switch(p>>>3&536870911|0){case 1:break;case 6:{if((p&255|0)!=50){s=p;break b}f[k>>2]=f[k>>2]|1;o=f[l>>2]|0;if((o|0)==542896){JEa(l,542896);t=f[l>>2]|0}else t=o;if($Lb(c,t)|0)continue a;else{v=0;q=28;break a}break}default:{s=p;break b}}if((p&255|0)==10){if((f[h>>2]|0)==1)w=f[i>>2]|0;else{f[h>>2]=1;o=cuc(24)|0;MCb(o);f[i>>2]=o;w=o}o=f[c>>2]|0;if(o>>>0<(f[g>>2]|0)>>>0?(a=b[o>>0]|0,a<<24>>24>-1):0){f[c>>2]=o+1;x=a&255}else{a=NJb(c)|0;if((a|0)>-1)x=a;else{v=0;q=28;break a}}yJb(e,c,x);if((f[j>>2]|0)<0){q=17;break a}if(!(Th[f[(f[w>>2]|0)+44>>2]&1023](w,c)|0)){q=17;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{v=0;q=28;break a}}else s=p}while(0);if(!s){v=1;q=28;break}a=f[m>>2]|0;if(!(a&1))y=OOa(m)|0;else y=a&-2;if(!(xbc(c,s,y)|0)){v=0;q=28;break}}if((q|0)==17){v=0;u=d;return v|0}else if((q|0)==28){u=d;return v|0}return 0}function DCb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0;c=f[a+4>>2]|0;if(!(c&1))d=0;else d=Dbc(c&-2)|0;if(!(f[a+8>>2]&1))e=d;else{c=f[a+16>>2]|0;g=b[c+11>>0]|0;h=g<<24>>24<0?f[c+4>>2]|0:g&255;e=d+1+h+((((($(h|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if((f[a+24>>2]|0)!=1){i=e;j=a+12|0;f[j>>2]=i;return i|0}h=f[a+20>>2]|0;d=di[f[(f[h>>2]|0)+48>>2]&1023](h)|0;i=e+1+d+((((($(d|1|0)|0)^31)*9|0)+73|0)>>>6)|0;j=a+12|0;f[j>>2]=i;return i|0}function ECb(a,b){a=a|0;b=b|0;var c=0;if((f[a+24>>2]|0)==1)_Lb(1,f[a+20>>2]|0,b);if(f[a+8>>2]&1|0)VLb(6,f[a+16>>2]|0,b);c=f[a+4>>2]|0;if(!(c&1))return;Abc(c&-2,b);return}function FCb(a){a=a|0;return f[a+12>>2]|0}function GCb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;if((f[a+24>>2]|0)==1){e=f[a+20>>2]|0;b[d>>0]=10;g=d+1|0;h=di[f[(f[e>>2]|0)+60>>2]&1023](e)|0;if(h>>>0>127){i=h;j=g;while(1){b[j>>0]=i|128;k=i>>>7;l=j+1|0;if(i>>>0>16383){i=k;j=l}else{m=l;n=k;break}}}else{m=g;n=h}b[m>>0]=n;o=li[f[(f[e>>2]|0)+64>>2]&511](e,c,m+1|0)|0}else o=d;if(!(f[a+8>>2]&1))p=o;else{d=f[a+16>>2]|0;b[o>>0]=50;p=XJb(d,o+1|0)|0}o=f[a+4>>2]|0;if(!(o&1)){q=p;return q|0}q=Bbc(o&-2,p)|0;return q|0}function HCb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;if((a|0)==(c|0))return;d=a+8|0;do if(f[d>>2]&1|0){e=f[a+16>>2]|0;g=e+11|0;if((b[g>>0]|0)<0){b[f[e>>2]>>0]=0;f[e+4>>2]=0;break}else{b[e>>0]=0;b[g>>0]=0;break}}while(0);g=a+24|0;if((f[g>>2]|0)==1?(e=f[a+20>>2]|0,e|0):0)bi[f[(f[e>>2]|0)+4>>2]&2047](e);f[g>>2]=0;f[d>>2]=0;d=f[a+4>>2]|0;if(d&1|0?(g=d&-2,f[g>>2]|0):0)ebc(g);g=ovc(c,24728,23112,0)|0;if(!g){A9b(c,a);return}else{LCb(a,g);return}}function ICb(a,b){a=a|0;b=b|0;var c=0;c=ovc(b,24728,23112,0)|0;if(!c){A9b(b,a);return}else{LCb(a,c);return}}function JCb(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function KCb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224949]|0)!=2){f[d>>2]=151624;f[d+4>>2]=111;b[d+8>>0]=0;xLb(899796,d);QKb(d)}d=542576;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function LCb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=a+4|0;d=f[b+4>>2]|0;if(d&1|0){e=f[c>>2]|0;if(!(e&1))g=OOa(c)|0;else g=e&-2;hbc(g,d&-2)}do if(f[b+8>>2]&1|0?(d=a+8|0,f[d>>2]=f[d>>2]|1,d=a+16|0,g=f[b+16>>2]|0,e=f[d>>2]|0,(e|0)!=(g|0)):0)if((e|0)==542896){JEa(d,g);break}else{ruc(e,g)|0;break}while(0);g=b+24|0;if((f[g>>2]|0)!=1)return;e=a+24|0;if((f[e>>2]|0)!=1){f[e>>2]=1;e=cuc(24)|0;MCb(e);f[a+20>>2]=e;if((f[g>>2]|0)==1){h=e;i=15}else{j=e;k=542392}}else{h=f[a+20>>2]|0;i=15}if((i|0)==15){j=h;k=f[b+20>>2]|0}NCb(j,k);return}function MCb(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=141640;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=542392?(f[224959]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=121;b[d+8>>0]=0;xLb(899836,d);QKb(d)}f[a+12>>2]=0;d=a+16|0;f[d>>2]=0;f[d+4>>2]=0;u=c;return}function NCb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0;c=a+4|0;d=f[b+4>>2]|0;if(d&1|0){e=f[c>>2]|0;if(!(e&1))g=OOa(c)|0;else g=e&-2;hbc(g,d&-2)}d=f[b+8>>2]|0;if(!(d&3))return;if(d&1|0){g=a+8|0;f[g>>2]=f[g>>2]|1;g=a+16|0;e=f[g>>2]|0;if(!e){c=cuc(32)|0;OCb(c);f[g>>2]=c;h=c}else h=e;e=f[b+16>>2]|0;c=e|0?e:542360;e=h+4|0;g=f[c+4>>2]|0;if(g&1|0){i=f[e>>2]|0;if(!(i&1))j=OOa(e)|0;else j=i&-2;hbc(j,g&-2)}PCb(h+16|0,c+16|0)}if(d&2|0)f[a+20>>2]=f[b+20>>2];b=a+8|0;f[b>>2]=f[b>>2]|d;return}function OCb(a){a=a|0;var c=0,d=0,e=0;c=u;u=u+16|0;d=c;f[a>>2]=141532;f[a+4>>2]=0;f[a+8>>2]=0;e=a+16|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((a|0)!=542360?(f[224958]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=120;b[d+8>>0]=0;xLb(899832,d);QKb(d)}f[a+12>>2]=0;u=c;return}function PCb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=f[b+4>>2]|0;if(!c)return;d=f[b+12>>2]|0;b=KKb(a,c)|0;e=a+12|0;g=a+4|0;h=(f[f[e>>2]>>2]|0)-(f[g>>2]|0)|0;if((h|0)>0&(c|0)>0){i=0;do{RCb(f[d+4+(i<<2)>>2]|0,f[b+(i<<2)>>2]|0);i=i+1|0}while((i|0)<(h|0)&(i|0)<(c|0))}i=f[a>>2]|0;a:do if((h|0)<(c|0)){a=i+64|0;if(!i){j=h;while(1){k=f[d+4+(j<<2)>>2]|0;l=cuc(40)|0;QCb(l);RCb(k,l);f[b+(j<<2)>>2]=l;j=j+1|0;if((j|0)>=(c|0))break a}}else m=h;do{j=f[d+4+(m<<2)>>2]|0;if(f[a>>2]|0)HIb(i,23128,40);l=GIb(i,40,1993)|0;QCb(l);RCb(j,l);f[b+(m<<2)>>2]=l;m=m+1|0}while((m|0)!=(c|0))}while(0);m=(f[g>>2]|0)+c|0;f[g>>2]=m;g=f[e>>2]|0;if((f[g>>2]|0)>=(m|0))return;f[g>>2]=m;return}function QCb(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=141424;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=542304?(f[224957]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=119;b[d+8>>0]=0;xLb(899828,d);QKb(d)}f[a+12>>2]=0;f[a+16>>2]=542896;f[a+32>>2]=0;u=c;return}function RCb(a,b){a=a|0;b=b|0;TCb(b,a);return}function SCb(a){a=a|0;bi[f[f[a>>2]>>2]&2047](a);return}function TCb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0;d=a+4|0;e=f[c+4>>2]|0;if(e&1|0){g=f[d>>2]|0;if(!(g&1))h=OOa(d)|0;else h=g&-2;hbc(h,e&-2)}do if(f[c+8>>2]&1|0?(e=a+8|0,f[e>>2]=f[e>>2]|1,e=a+16|0,h=f[c+16>>2]|0,g=f[e>>2]|0,(g|0)!=(h|0)):0)if((g|0)==542896){JEa(e,h);break}else{ruc(g,h)|0;break}while(0);switch(f[c+32>>2]|0){case 1:{h=c+24|0;g=f[h>>2]|0;e=f[h+4>>2]|0;h=a+32|0;switch(f[h>>2]|0){case 1:break;case 2:{d=f[a+24>>2]|0;if((d|0)==542896|(d|0)==0)i=17;else{if((b[d+11>>0]|0)<0)fuc(f[d>>2]|0);fuc(d);i=17}break}default:i=17}if((i|0)==17)f[h>>2]=1;h=a+24|0;f[h>>2]=g;f[h+4>>2]=e;return}case 2:{e=f[c+24>>2]|0;c=a+32|0;if((f[c>>2]|0)==2){h=a+24|0;g=f[h>>2]|0;if((g|0)==542896)j=h;else{ruc(g,e)|0;return}}else{f[c>>2]=2;c=a+24|0;f[c>>2]=542896;j=c}JEa(j,e);return}default:return}}function UCb(a){a=a|0;var c=0,d=0,e=0;f[a>>2]=141424;c=f[a+16>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}c=a+32|0;switch(f[c>>2]|0){case 0:break;case 2:{d=f[a+24>>2]|0;if((d|0)==542896|(d|0)==0)e=10;else{if((b[d+11>>0]|0)<0)fuc(f[d>>2]|0);fuc(d);e=10}break}default:e=10}if((e|0)==10)f[c>>2]=0;c=a+4|0;a=f[c>>2]|0;if(!(a&1)){f[c>>2]=0;return}e=a&-2;a=e;if((e|0)==0|(f[a+4>>2]|0)!=0){f[c>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(e);f[c>>2]=0;return}function VCb(a){a=a|0;UCb(a);fuc(a);return}function WCb(a){a=a|0;a=cuc(40)|0;QCb(a);return a|0}function XCb(a,b){a=a|0;b=b|0;a=cuc(40)|0;QCb(a);if(!b)return a|0;hDb(b,a);return a|0}function YCb(a){a=a|0;var c=0,d=0,e=0;c=a+8|0;do if(f[c>>2]&1|0){d=f[a+16>>2]|0;e=d+11|0;if((b[e>>0]|0)<0){b[f[d>>2]>>0]=0;f[d+4>>2]=0;break}else{b[d>>0]=0;b[e>>0]=0;break}}while(0);e=a+32|0;if((f[e>>2]|0)==2?(d=f[a+24>>2]|0,!((d|0)==542896|(d|0)==0)):0){if((b[d+11>>0]|0)<0)fuc(f[d>>2]|0);fuc(d)}f[e>>2]=0;f[c>>2]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;ebc(a);return}function ZCb(a){a=a|0;return 1}function _Cb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;d=u;u=u+16|0;e=d;g=c+4|0;h=a+32|0;i=a+24|0;j=a+24|0;k=e+8|0;l=a+8|0;m=a+16|0;n=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){o=b[a>>0]|0;p=o&255;if(o<<24>>24>0){f[c>>2]=a+1;q=p;r=6}else{s=p;r=5}}else{s=0;r=5}if((r|0)==5){r=0;p=OJb(c,s)|0;if((p+-1|0)>>>0<127){q=p;r=6}else t=p}b:do if((r|0)==6){r=0;switch(q>>>3&536870911|0){case 1:{if((q&255|0)!=8){t=q;break b}if((f[h>>2]|0)==2?(p=f[i>>2]|0,!((p|0)==542896|(p|0)==0)):0){if((b[p+11>>0]|0)<0)fuc(f[p>>2]|0);fuc(p)}f[h>>2]=0;p=f[c>>2]|0;if(p>>>0<(f[g>>2]|0)>>>0?(a=b[p>>0]|0,a<<24>>24>-1):0){f[c>>2]=p+1;v=a&255;w=0}else{AJb(e,c);a=e;if(!(b[k>>0]|0)){x=0;r=33;break a}else{v=f[a>>2]|0;w=f[a+4>>2]|0}}a=j;f[a>>2]=v;f[a+4>>2]=w;f[h>>2]=1;continue a;break}case 2:{if((q&255|0)!=18){t=q;break b}if((f[h>>2]|0)==2){a=f[i>>2]|0;if((a|0)==542896)r=22;else y=a}else{f[h>>2]=2;f[i>>2]=542896;r=22}if((r|0)==22){r=0;JEa(i,542896);y=f[i>>2]|0}if($Lb(c,y)|0)continue a;else{x=0;r=33;break a}break}case 3:{if((q&255|0)!=26){t=q;break b}f[l>>2]=f[l>>2]|1;a=f[m>>2]|0;if((a|0)==542896){JEa(m,542896);z=f[m>>2]|0}else z=a;if($Lb(c,z)|0)continue a;else{x=0;r=33;break a}break}default:{t=q;break b}}}while(0);if(!t){x=1;r=33;break}a=f[n>>2]|0;if(!(a&1))A=OOa(n)|0;else A=a&-2;if(!(xbc(c,t,A)|0)){x=0;r=33;break}}if((r|0)==33){u=d;return x|0}return 0}function $Cb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0;c=f[a+4>>2]|0;if(!(c&1))d=0;else d=Dbc(c&-2)|0;if(!(f[a+8>>2]&1))e=d;else{c=f[a+16>>2]|0;g=b[c+11>>0]|0;h=g<<24>>24<0?f[c+4>>2]|0:g&255;e=d+1+h+((((($(h|1|0)|0)^31)*9|0)+73|0)>>>6)|0}switch(f[a+32>>2]|0){case 1:{h=a+24|0;i=e+1+(((((xzc(f[h>>2]|1|0,f[h+4>>2]|0,1)|0)^63)*9|0)+73|0)>>>6)|0;j=a+12|0;f[j>>2]=i;return i|0}case 2:{h=f[a+24>>2]|0;d=b[h+11>>0]|0;g=d<<24>>24<0?f[h+4>>2]|0:d&255;i=e+1+g+((((($(g|1|0)|0)^31)*9|0)+73|0)>>>6)|0;j=a+12|0;f[j>>2]=i;return i|0}default:{i=e;j=a+12|0;f[j>>2]=i;return i|0}}return 0}function aDb(a,b){a=a|0;b=b|0;var c=0;switch(f[a+32>>2]|0){case 1:{c=a+24|0;HLb(1,f[c>>2]|0,f[c+4>>2]|0,b);break}case 2:{VLb(2,f[a+24>>2]|0,b);break}default:{}}if(f[a+8>>2]&1|0)VLb(3,f[a+16>>2]|0,b);c=f[a+4>>2]|0;if(!(c&1))return;Abc(c&-2,b);return}function bDb(a){a=a|0;return f[a+12>>2]|0}function cDb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;switch(f[a+32>>2]|0){case 1:{c=a+24|0;e=f[c>>2]|0;g=f[c+4>>2]|0;b[d>>0]=8;c=d+1|0;h=e&255;if(g>>>0>0|(g|0)==0&e>>>0>127){i=c;j=h;k=e;e=g;while(1){b[i>>0]=j|-128;g=k;k=pzc(k|0,e|0,7)|0;l=i+1|0;m=k&255;if(!(e>>>0>0|(e|0)==0&g>>>0>16383)){n=l;o=m;break}else{i=l;j=m;e=J}}}else{n=c;o=h}b[n>>0]=o;p=n+1|0;break}case 2:{n=f[a+24>>2]|0;b[d>>0]=18;p=XJb(n,d+1|0)|0;break}default:p=d}if(!(f[a+8>>2]&1))q=p;else{d=f[a+16>>2]|0;b[p>>0]=26;q=XJb(d,p+1|0)|0}p=f[a+4>>2]|0;if(!(p&1)){r=q;return r|0}r=Bbc(p&-2,q)|0;return r|0}function dDb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;if((a|0)==(c|0))return;d=a+8|0;do if(f[d>>2]&1|0){e=f[a+16>>2]|0;g=e+11|0;if((b[g>>0]|0)<0){b[f[e>>2]>>0]=0;f[e+4>>2]=0;break}else{b[e>>0]=0;b[g>>0]=0;break}}while(0);g=a+32|0;if((f[g>>2]|0)==2?(e=f[a+24>>2]|0,!((e|0)==542896|(e|0)==0)):0){if((b[e+11>>0]|0)<0)fuc(f[e>>2]|0);fuc(e)}f[g>>2]=0;f[d>>2]=0;d=f[a+4>>2]|0;if(d&1|0?(g=d&-2,f[g>>2]|0):0)ebc(g);g=ovc(c,24728,23128,0)|0;if(!g){A9b(c,a);return}else{TCb(a,g);return}}function eDb(a,b){a=a|0;b=b|0;var c=0;c=ovc(b,24728,23128,0)|0;if(!c){A9b(b,a);return}else{TCb(a,c);return}}function fDb(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function gDb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224949]|0)!=2){f[d>>2]=151624;f[d+4>>2]=111;b[d+8>>0]=0;xLb(899796,d);QKb(d)}d=542552;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function hDb(a,b){a=a|0;b=b|0;if(!b)return;EIb(a,b,1978);return}function iDb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0;f[a>>2]=141532;b=a+28|0;c=f[b>>2]|0;if(c|0?(f[a+16>>2]|0)==0:0){d=f[c>>2]|0;if((d|0)>0){e=0;do{g=f[c+4+(e<<2)>>2]|0;if(g|0)bi[f[(f[g>>2]|0)+4>>2]&2047](g);e=e+1|0}while((e|0)!=(d|0));h=f[b>>2]|0}else h=c;fuc(h)}f[b>>2]=0;b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}h=a&-2;a=h;if((h|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(h);f[b>>2]=0;return}function jDb(a){a=a|0;iDb(a);fuc(a);return}function kDb(a){a=a|0;a=cuc(32)|0;OCb(a);return a|0}function lDb(a,b){a=a|0;b=b|0;a=cuc(32)|0;OCb(a);if(!b)return a|0;xDb(b,a);return a|0}function mDb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=a+20|0;d=f[c>>2]|0;if((d|0)>0){e=f[a+28>>2]|0;g=0;do{h=f[e+4+(g<<2)>>2]|0;g=g+1|0;i=h+8|0;do if(f[i>>2]&1|0){j=f[h+16>>2]|0;k=j+11|0;if((b[k>>0]|0)<0){b[f[j>>2]>>0]=0;f[j+4>>2]=0;break}else{b[j>>0]=0;b[k>>0]=0;break}}while(0);k=h+32|0;if((f[k>>2]|0)==2?(j=f[h+24>>2]|0,!((j|0)==542896|(j|0)==0)):0){if((b[j+11>>0]|0)<0)fuc(f[j>>2]|0);fuc(j)}f[k>>2]=0;f[i>>2]=0;k=f[h+4>>2]|0;if(k&1|0?(j=k&-2,f[j>>2]|0):0)ebc(j)}while((g|0)!=(d|0));f[c>>2]=0}f[a+8>>2]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;ebc(a);return}function nDb(a){a=a|0;return 1}function oDb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;d=u;u=u+16|0;e=d;g=c+4|0;h=a+16|0;i=a+28|0;j=a+24|0;k=a+20|0;l=e+4|0;m=a+4|0;while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){n=b[a>>0]|0;o=n&255;if(n<<24>>24>0){f[c>>2]=a+1;p=o;q=6}else{r=o;q=5}}else{r=0;q=5}if((q|0)==5){q=0;o=OJb(c,r)|0;if((o+-1|0)>>>0<127){p=o;q=6}else s=o}if((q|0)==6){q=0;if((p|0)==10){o=f[i>>2]|0;do if(o){a=f[k>>2]|0;n=f[o>>2]|0;if((a|0)>=(n|0))if((n|0)==(f[j>>2]|0)){t=n;q=12;break}else{v=n;w=o;q=13;break}else{f[k>>2]=a+1;x=f[o+4+(a<<2)>>2]|0;break}}else{t=f[j>>2]|0;q=12}while(0);if((q|0)==12){q=0;LKb(h,t+1|0);o=f[i>>2]|0;v=f[o>>2]|0;w=o;q=13}if((q|0)==13){q=0;f[w>>2]=v+1;o=f[h>>2]|0;if(!o){a=cuc(40)|0;QCb(a);y=a}else{if(f[o+64>>2]|0)HIb(o,23128,40);a=GIb(o,40,1993)|0;QCb(a);y=a}a=f[i>>2]|0;o=f[k>>2]|0;f[k>>2]=o+1;f[a+4+(o<<2)>>2]=y;x=y}o=f[c>>2]|0;if(o>>>0<(f[g>>2]|0)>>>0?(a=b[o>>0]|0,a<<24>>24>-1):0){f[c>>2]=o+1;z=a&255}else{a=NJb(c)|0;if((a|0)>-1)z=a;else{A=0;q=32;break}}yJb(e,c,z);if((f[l>>2]|0)<0){q=25;break}if(!(Th[f[(f[x>>2]|0)+44>>2]&1023](x,c)|0)){q=25;break}if(DJb(c,f[e>>2]|0)|0)continue;else{A=0;q=32;break}}else s=p}if(!s){A=1;q=32;break}a=f[m>>2]|0;if(!(a&1))B=OOa(m)|0;else B=a&-2;if(!(xbc(c,s,B)|0)){A=0;q=32;break}}if((q|0)==25){A=0;u=d;return A|0}else if((q|0)==32){u=d;return A|0}return 0}function pDb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=Dbc(b&-2)|0;b=f[a+20>>2]|0;d=b+c|0;if(!b){e=d;g=a+12|0;f[g>>2]=e;return e|0}c=a+28|0;h=0;i=d;while(1){d=f[(f[c>>2]|0)+4+(h<<2)>>2]|0;j=di[f[(f[d>>2]|0)+48>>2]&1023](d)|0;d=j+i+((((($(j|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=h+1|0;if((h|0)==(b|0)){e=d;break}else i=d}g=a+12|0;f[g>>2]=e;return e|0}function qDb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=f[a+20>>2]|0;if(c|0){d=a+28|0;e=0;do{_Lb(1,f[(f[d>>2]|0)+4+(e<<2)>>2]|0,b);e=e+1|0}while((e|0)!=(c|0))}c=f[a+4>>2]|0;if(!(c&1))return;Abc(c&-2,b);return}function rDb(a){a=a|0;return f[a+12>>2]|0}function sDb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;e=f[a+20>>2]|0;if(!e)g=d;else{h=a+28|0;i=0;j=d;while(1){d=f[(f[h>>2]|0)+4+(i<<2)>>2]|0;b[j>>0]=10;k=j+1|0;l=di[f[(f[d>>2]|0)+60>>2]&1023](d)|0;if(l>>>0>127){m=l;n=k;while(1){b[n>>0]=m|128;o=m>>>7;p=n+1|0;if(m>>>0>16383){m=o;n=p}else{q=p;r=o;break}}}else{q=k;r=l}b[q>>0]=r;n=li[f[(f[d>>2]|0)+64>>2]&511](d,c,q+1|0)|0;i=i+1|0;if((i|0)==(e|0)){g=n;break}else j=n}}j=f[a+4>>2]|0;if(!(j&1)){s=g;return s|0}s=Bbc(j&-2,g)|0;return s|0}function tDb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;if((a|0)==(b|0))return;mDb(a);c=ovc(b,24728,23144,0)|0;if(!c){A9b(b,a);return}b=a+4|0;d=f[c+4>>2]|0;if(d&1|0){e=f[b>>2]|0;if(!(e&1))g=OOa(b)|0;else g=e&-2;hbc(g,d&-2)}PCb(a+16|0,c+16|0);return}function uDb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=ovc(b,24728,23144,0)|0;if(!c){A9b(b,a);return}b=a+4|0;d=f[c+4>>2]|0;if(d&1|0){e=f[b>>2]|0;if(!(e&1))g=OOa(b)|0;else g=e&-2;hbc(g,d&-2)}PCb(a+16|0,c+16|0);return}function vDb(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function wDb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224949]|0)!=2){f[d>>2]=151624;f[d+4>>2]=111;b[d+8>>0]=0;xLb(899796,d);QKb(d)}d=542560;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function xDb(a,b){a=a|0;b=b|0;if(!b)return;EIb(a,b,1978);return}function yDb(a){a=a|0;var b=0,c=0;f[a>>2]=141640;if((a|0)!=542392?(b=f[a+16>>2]|0,b|0):0)bi[f[(f[b>>2]|0)+4>>2]&2047](b);b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(c);f[b>>2]=0;return}function zDb(a){a=a|0;var b=0,c=0;f[a>>2]=141640;if((a|0)!=542392?(b=f[a+16>>2]|0,b|0):0)bi[f[(f[b>>2]|0)+4>>2]&2047](b);b=f[a+4>>2]|0;if(!(b&1)){fuc(a);return}c=b&-2;b=c;if((c|0)==0|(f[b+4>>2]|0)!=0){fuc(a);return}if(f[b>>2]|0)ebc(b);fuc(c);fuc(a);return}function ADb(a){a=a|0;a=cuc(24)|0;MCb(a);return a|0}function BDb(a,b){a=a|0;b=b|0;a=cuc(24)|0;MCb(a);if(!b)return a|0;NDb(b,a);return a|0}function CDb(a){a=a|0;var b=0;b=a+8|0;if(f[b>>2]&1|0)mDb(f[a+16>>2]|0);f[a+20>>2]=0;f[b>>2]=0;b=f[a+4>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;ebc(a);return}function DDb(a){a=a|0;return 1}function EDb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;d=u;u=u+16|0;e=d;g=c+4|0;h=a+8|0;i=a+16|0;j=e+4|0;k=a+4|0;l=a+20|0;a:while(1){b:while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){m=b[a>>0]|0;n=m&255;if(m<<24>>24>0){f[c>>2]=a+1;o=n;p=7}else{q=n;p=6}}else{q=0;p=6}if((p|0)==6){p=0;n=OJb(c,q)|0;if((n+-1|0)>>>0<127){o=n;p=7}else r=n}c:do if((p|0)==7){p=0;switch(o>>>3&536870911|0){case 1:{if((o&255|0)==8)break b;else{r=o;break c}break}case 2:break;default:{r=o;break c}}if((o&255|0)==18){f[h>>2]=f[h>>2]|1;n=f[i>>2]|0;if(!n){a=cuc(32)|0;OCb(a);f[i>>2]=a;s=a}else s=n;n=f[c>>2]|0;if(n>>>0<(f[g>>2]|0)>>>0?(a=b[n>>0]|0,a<<24>>24>-1):0){f[c>>2]=n+1;t=a&255}else{a=NJb(c)|0;if((a|0)>-1)t=a;else{v=0;p=35;break a}}yJb(e,c,t);if((f[j>>2]|0)<0){p=28;break a}if(!(Th[f[(f[s>>2]|0)+44>>2]&1023](s,c)|0)){p=28;break a}if(DJb(c,f[e>>2]|0)|0)continue b;else{v=0;p=35;break a}}else r=o}while(0);if(!r){v=1;p=35;break a}a=f[k>>2]|0;if(!(a&1))w=OOa(k)|0;else w=a&-2;if(!(xbc(c,r,w)|0)){v=0;p=35;break a}}a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){n=b[a>>0]|0;m=n&255;if(n<<24>>24>-1){f[c>>2]=a+1;x=m}else{y=m;p=12}}else{y=0;p=12}if((p|0)==12){p=0;m=zJb(c,y)|0;a=J;if((a|0)>-1|(a|0)==-1&m>>>0>4294967295)x=m;else{v=0;p=35;break}}if(x>>>0<16){f[h>>2]=f[h>>2]|2;f[l>>2]=x;continue}m=f[k>>2]|0;if(!(m&1))z=OOa(k)|0;else z=m&-2;kbc(z,1,x,((x|0)<0)<<31>>31)}if((p|0)==28){v=0;u=d;return v|0}else if((p|0)==35){u=d;return v|0}return 0}function FDb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=Dbc(b&-2)|0;b=a+8|0;d=f[b>>2]|0;if(!(d&3)){e=c;g=a+12|0;f[g>>2]=e;return e|0}if(!(d&1)){h=c;i=d}else{d=f[a+16>>2]|0;j=di[f[(f[d>>2]|0)+48>>2]&1023](d)|0;d=c+1+j+((((($(j|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=d;i=f[b>>2]|0}if(!(i&2)){e=h;g=a+12|0;f[g>>2]=e;return e|0}i=f[a+20>>2]|0;if((i|0)<0)k=11;else k=((((($(i|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;e=k+h|0;g=a+12|0;f[g>>2]=e;return e|0}function GDb(a,b){a=a|0;b=b|0;var c=0;c=f[a+8>>2]|0;if(c&2|0)TLb(1,f[a+20>>2]|0,b);if(c&1|0)_Lb(2,f[a+16>>2]|0,b);c=f[a+4>>2]|0;if(!(c&1))return;Abc(c&-2,b);return}function HDb(a){a=a|0;return f[a+12>>2]|0}function IDb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;e=f[a+8>>2]|0;if(!(e&2))g=d;else{h=f[a+20>>2]|0;b[d>>0]=8;i=d+1|0;d=h&255;if(h>>>0>127){j=i;k=d;l=h;m=((h|0)<0)<<31>>31;while(1){b[j>>0]=k|-128;h=l;l=pzc(l|0,m|0,7)|0;n=j+1|0;o=l&255;if(!(m>>>0>0|(m|0)==0&h>>>0>16383)){p=n;q=o;break}else{j=n;k=o;m=J}}}else{p=i;q=d}b[p>>0]=q;g=p+1|0}if(!(e&1))r=g;else{e=f[a+16>>2]|0;b[g>>0]=18;p=g+1|0;g=di[f[(f[e>>2]|0)+60>>2]&1023](e)|0;if(g>>>0>127){q=g;d=p;while(1){b[d>>0]=q|128;i=q>>>7;m=d+1|0;if(q>>>0>16383){q=i;d=m}else{s=m;t=i;break}}}else{s=p;t=g}b[s>>0]=t;r=li[f[(f[e>>2]|0)+64>>2]&511](e,c,s+1|0)|0}s=f[a+4>>2]|0;if(!(s&1)){u=r;return u|0}u=Bbc(s&-2,r)|0;return u|0}function JDb(a,b){a=a|0;b=b|0;var c=0,d=0;if((a|0)==(b|0))return;c=a+8|0;if(f[c>>2]&1|0)mDb(f[a+16>>2]|0);f[a+20>>2]=0;f[c>>2]=0;c=f[a+4>>2]|0;if(c&1|0?(d=c&-2,f[d>>2]|0):0)ebc(d);d=ovc(b,24728,23160,0)|0;if(!d){A9b(b,a);return}else{NCb(a,d);return}}function KDb(a,b){a=a|0;b=b|0;var c=0;c=ovc(b,24728,23160,0)|0;if(!c){A9b(b,a);return}else{NCb(a,c);return}}function LDb(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function MDb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224949]|0)!=2){f[d>>2]=151624;f[d+4>>2]=111;b[d+8>>0]=0;xLb(899796,d);QKb(d)}d=542568;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function NDb(a,b){a=a|0;b=b|0;if(!b)return;EIb(a,b,1978);return}function ODb(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=141316;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=542416?(f[224960]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=122;b[d+8>>0]=0;xLb(899840,d);QKb(d)}f[a+12>>2]=0;f[a+16>>2]=542896;f[a+24>>2]=0;u=c;return}function PDb(a,b){a=a|0;b=b|0;if(!b)return;EIb(a,b,1978);return}function QDb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0;f[a>>2]=141748;AEb(a);c=f[a+116>>2]|0;if(c|0?(f[c>>2]|0)==0:0)fuc(c);c=f[a+100>>2]|0;if(c|0?(f[c>>2]|0)==0:0)fuc(c);c=f[a+84>>2]|0;if(c|0?(f[c>>2]|0)==0:0)fuc(c);c=a+72|0;d=f[c>>2]|0;if(d|0?(f[a+60>>2]|0)==0:0){e=f[d>>2]|0;if((e|0)>0){g=0;do{h=f[d+4+(g<<2)>>2]|0;if(h|0){if((b[h+11>>0]|0)<0)fuc(f[h>>2]|0);fuc(h)}g=g+1|0}while((g|0)!=(e|0));i=f[c>>2]|0}else i=d;fuc(i)}f[c>>2]=0;c=f[a+52>>2]|0;if(c|0?(f[c>>2]|0)==0:0)fuc(c);c=f[a+36>>2]|0;if(c|0?(f[c>>2]|0)==0:0)fuc(c);c=f[a+24>>2]|0;if(c|0?(f[c>>2]|0)==0:0)fuc(c);c=a+4|0;a=f[c>>2]|0;if(!(a&1)){f[c>>2]=0;return}i=a&-2;a=i;if((i|0)==0|(f[a+4>>2]|0)!=0){f[c>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(i);f[c>>2]=0;return}function RDb(a){a=a|0;QDb(a);fuc(a);return}function SDb(a){a=a|0;a=cuc(144)|0;yEb(a);return a|0}function TDb(a,b){a=a|0;b=b|0;a=cuc(144)|0;yEb(a);if(!b)return a|0;zEb(b,a);return a|0}function UDb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0;f[a+16>>2]=0;f[a+28>>2]=0;f[a+44>>2]=0;c=a+64|0;d=f[c>>2]|0;if((d|0)>0){e=f[a+72>>2]|0;g=0;do{h=f[e+4+(g<<2)>>2]|0;g=g+1|0;i=h+11|0;if((b[i>>0]|0)<0){b[f[h>>2]>>0]=0;f[h+4>>2]=0}else{b[h>>0]=0;b[i>>0]=0}}while((g|0)!=(d|0));f[c>>2]=0}f[a+76>>2]=0;f[a+92>>2]=0;f[a+108>>2]=0;c=a+8|0;d=f[c>>2]|0;if(d&15|0){do if(d&1|0){g=f[a+124>>2]|0;e=g+11|0;if((b[e>>0]|0)<0){b[f[g>>2]>>0]=0;f[g+4>>2]=0;break}else{b[g>>0]=0;b[e>>0]=0;break}}while(0);do if(d&2|0){e=f[a+128>>2]|0;g=e+11|0;if((b[g>>0]|0)<0){b[f[e>>2]>>0]=0;f[e+4>>2]=0;break}else{b[e>>0]=0;b[g>>0]=0;break}}while(0);do if(d&4|0){g=f[a+132>>2]|0;e=g+11|0;if((b[e>>0]|0)<0){b[f[g>>2]>>0]=0;f[g+4>>2]=0;break}else{b[g>>0]=0;b[e>>0]=0;break}}while(0);if(d&8|0){d=f[a+136>>2]|0;e=d+8|0;if(f[e>>2]&3|0){g=d+16|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0}f[e>>2]=0;e=f[d+4>>2]|0;if(e&1|0?(d=e&-2,f[d>>2]|0):0)ebc(d)}}f[a+140>>2]=0;f[c>>2]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;ebc(a);return}function VDb(a){a=a|0;return 1}function WDb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0.0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0;d=u;u=u+16|0;e=d;g=c+4|0;i=a+16|0;j=a+20|0;k=a+24|0;l=e+8|0;m=e+8|0;n=a+8|0;o=a+140|0;q=a+4|0;r=a+136|0;t=e+4|0;v=a+28|0;w=a+32|0;x=a+36|0;y=a+44|0;z=a+48|0;A=a+52|0;B=a+60|0;C=a+76|0;D=a+80|0;E=a+84|0;F=e+8|0;G=a+124|0;H=a+128|0;I=a+92|0;K=a+96|0;L=a+100|0;M=a+108|0;N=a+112|0;O=a+116|0;P=e+8|0;Q=a+132|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){R=b[a>>0]|0;S=R&255;if(R<<24>>24>0){f[c>>2]=a+1;T=S;U=6}else{V=S;U=5}}else{V=0;U=5}if((U|0)==5){U=0;S=OJb(c,V)|0;if((S+-1|0)>>>0<127){T=S;U=6}else W=S}b:do if((U|0)==6){U=0;do switch(T>>>3&536870911|0){case 1:{switch((T&255)<<24>>24){case 8:break;case 10:{if(wEb(c,i)|0)continue a;else{X=0;U=156;break a}break}default:{W=T;break b}}S=f[c>>2]|0;if(S>>>0<(f[g>>2]|0)>>>0?(a=b[S>>0]|0,a<<24>>24>-1):0){f[c>>2]=S+1;Y=a&255;Z=0}else{AJb(e,c);a=e;if(!(b[m>>0]|0)){X=0;U=156;break a}else{Y=f[a>>2]|0;Z=f[a+4>>2]|0}}a=f[i>>2]|0;S=f[j>>2]|0;if((a|0)==(S|0)){ZOa(i,a+1|0);_=f[i>>2]|0;$=f[j>>2]|0}else{_=a;$=S}S=f[k>>2]|0;a=_+1|0;f[i>>2]=a;R=S+8+(_<<3)|0;f[R>>2]=Y;f[R+4>>2]=Z;R=$-a|0;if((R|0)>0){aa=R;ba=a;ca=S}else continue a;while(1){S=f[c>>2]|0;a=f[g>>2]|0;if(S>>>0>=a>>>0)continue a;if((b[S>>0]|0)!=8)continue a;R=S+1|0;f[c>>2]=R;if(R>>>0<a>>>0?(a=b[R>>0]|0,a<<24>>24>-1):0){f[c>>2]=S+2;da=a&255;ea=0;fa=ba;ga=ca}else{AJb(e,c);a=e;if(!(b[l>>0]|0)){X=0;U=156;break a}da=f[a>>2]|0;ea=f[a+4>>2]|0;fa=f[i>>2]|0;ga=f[k>>2]|0}a=fa+1|0;f[i>>2]=a;S=ga+8+(fa<<3)|0;f[S>>2]=da;f[S+4>>2]=ea;if((aa|0)>1){aa=aa+-1|0;ba=a;ca=ga}else continue a}break}case 2:{if((T&255|0)!=16){W=T;break b}a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){S=b[a>>0]|0;R=S&255;if(S<<24>>24>-1){f[c>>2]=a+1;ha=R}else{ia=R;U=28}}else{ia=0;U=28}if((U|0)==28){U=0;R=zJb(c,ia)|0;a=J;if((a|0)>-1|(a|0)==-1&R>>>0>4294967295)ha=R;else{X=0;U=156;break a}}if(ha>>>0<16){f[n>>2]=f[n>>2]|16;f[o>>2]=ha;continue a}R=f[q>>2]|0;if(!(R&1))ja=OOa(q)|0;else ja=R&-2;kbc(ja,2,ha,((ha|0)<0)<<31>>31);continue a;break}case 3:{if((T&255|0)!=26){W=T;break b}f[n>>2]=f[n>>2]|8;R=f[r>>2]|0;if(!R){a=cuc(32)|0;fEb(a);f[r>>2]=a;ka=a}else ka=R;R=f[c>>2]|0;if(R>>>0<(f[g>>2]|0)>>>0?(a=b[R>>0]|0,a<<24>>24>-1):0){f[c>>2]=R+1;la=a&255}else{a=NJb(c)|0;if((a|0)>-1)la=a;else{X=0;U=156;break a}}yJb(e,c,la);if((f[t>>2]|0)<0){U=44;break a}if(!(Th[f[(f[ka>>2]|0)+44>>2]&1023](ka,c)|0)){U=44;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{X=0;U=156;break a}break}case 4:{switch((T&255)<<24>>24){case 34:break;case 37:{if(IQa(1,34,c,v)|0)continue a;else{X=0;U=156;break a}break}default:{W=T;break b}}a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(R=b[a>>0]|0,R<<24>>24>-1):0){f[c>>2]=a+1;ma=R&255}else{R=NJb(c)|0;if((R|0)>-1)ma=R;else{X=0;U=156;break a}}na=f[v>>2]|0;R=(ma|0)/4|0;if((R<<2|0)!=(ma|0)){X=0;U=156;break a}a=GJb(c)|0;S=EJb(c)|0;if((((a|0)==-1|(S|0)<(a|0)?S:a)|0)>=(ma|0)){a=na+R|0;if((f[v>>2]|0)<(a|0)?(REa(v,a),S=f[v>>2]|0,oa=a-S|0,(oa<<2|0)>0):0)kzc((f[x>>2]|0)+((S<<2)+4)|0,0,(((oa|-1073741824|0)==-1073741824?1073741823:1073741822)+oa<<2)+8|0)|0;f[v>>2]=a;a=f[x>>2]|0;if(IJb(c,((a|0)==0?0:a+4|0)+(na<<2)|0,ma)|0)continue a;else{U=58;break a}}if((ma|0)>3)pa=0;else continue a;while(1){a=f[c>>2]|0;if(((f[g>>2]|0)-a|0)>3){oa=a;S=h[oa>>0]|h[oa+1>>0]<<8|h[oa+2>>0]<<16|h[oa+3>>0]<<24;f[e>>2]=S;f[c>>2]=a+4;qa=S}else{if(!(LJb(c,e)|0)){U=67;break a}qa=f[e>>2]|0}S=f[v>>2]|0;if((S|0)==(f[w>>2]|0)){REa(v,S+1|0);ra=f[v>>2]|0}else ra=S;S=f[x>>2]|0;f[v>>2]=ra+1;f[S+4+(ra<<2)>>2]=qa;S=pa+1|0;if((S|0)<(R|0))pa=S;else continue a}break}case 5:{switch((T&255)<<24>>24){case 42:break;case 40:{if(rRa(1,42,c,y)|0)continue a;else{X=0;U=156;break a}break}default:{W=T;break b}}R=f[c>>2]|0;if(R>>>0<(f[g>>2]|0)>>>0?(S=b[R>>0]|0,S<<24>>24>-1):0){f[c>>2]=R+1;sa=S&255}else{S=NJb(c)|0;if((S|0)>-1)sa=S;else{X=0;U=156;break a}}S=wJb(c,sa)|0;if((EJb(c)|0)>0)do{R=f[c>>2]|0;if(R>>>0<(f[g>>2]|0)>>>0){a=b[R>>0]|0;oa=a&255;if(a<<24>>24>-1){f[c>>2]=R+1;ta=oa}else{ua=oa;U=78}}else{ua=0;U=78}if((U|0)==78){U=0;oa=zJb(c,ua)|0;R=J;if((R|0)>-1|(R|0)==-1&oa>>>0>4294967295)ta=oa;else{X=0;U=156;break a}}oa=f[y>>2]|0;if((oa|0)==(f[z>>2]|0)){NEa(y,oa+1|0);va=f[y>>2]|0}else va=oa;oa=f[A>>2]|0;f[y>>2]=va+1;f[oa+4+(va<<2)>>2]=ta}while((EJb(c)|0)>0);xJb(c,S);continue a;break}case 6:{if((T&255|0)!=50){W=T;break b}if($Lb(c,MEa(B)|0)|0)continue a;else{X=0;U=156;break a}break}case 7:{switch((T&255)<<24>>24){case 58:break;case 56:{if(HQa(1,58,c,C)|0)continue a;else{X=0;U=156;break a}break}default:{W=T;break b}}oa=f[c>>2]|0;if(oa>>>0<(f[g>>2]|0)>>>0?(R=b[oa>>0]|0,R<<24>>24>-1):0){f[c>>2]=oa+1;wa=R&255}else{R=NJb(c)|0;if((R|0)>-1)wa=R;else{X=0;U=156;break a}}R=wJb(c,wa)|0;if((EJb(c)|0)>0)do{oa=f[c>>2]|0;if(oa>>>0<(f[g>>2]|0)>>>0?(a=b[oa>>0]|0,a<<24>>24>-1):0){f[c>>2]=oa+1;xa=a&255;ya=0}else{AJb(e,c);a=e;if(!(b[F>>0]|0)){X=0;U=156;break a}else{xa=f[a>>2]|0;ya=f[a+4>>2]|0}}a=f[C>>2]|0;if((a|0)==(f[D>>2]|0)){ZOa(C,a+1|0);za=f[C>>2]|0}else za=a;a=f[E>>2]|0;f[C>>2]=za+1;oa=a+8+(za<<3)|0;f[oa>>2]=xa;f[oa+4>>2]=ya}while((EJb(c)|0)>0);xJb(c,R);continue a;break}case 8:{if((T&255|0)!=66){W=T;break b}f[n>>2]=f[n>>2]|1;S=f[G>>2]|0;if((S|0)==542896){JEa(G,542896);Aa=f[G>>2]|0}else Aa=S;if($Lb(c,Aa)|0)continue a;else{X=0;U=156;break a}break}case 9:{if((T&255|0)!=74){W=T;break b}f[n>>2]=f[n>>2]|2;S=f[H>>2]|0;if((S|0)==542896){JEa(H,542896);Ba=f[H>>2]|0}else Ba=S;if($Lb(c,Ba)|0)continue a;else{X=0;U=156;break a}break}case 10:{switch((T&255)<<24>>24){case 82:break;case 81:{if(qRa(1,82,c,I)|0)continue a;else{X=0;U=156;break a}break}default:{W=T;break b}}S=f[c>>2]|0;if(S>>>0<(f[g>>2]|0)>>>0?(oa=b[S>>0]|0,oa<<24>>24>-1):0){f[c>>2]=S+1;Ca=oa&255}else{oa=NJb(c)|0;if((oa|0)>-1)Ca=oa;else{X=0;U=156;break a}}Da=f[I>>2]|0;oa=(Ca|0)/8|0;if((oa<<3|0)!=(Ca|0)){X=0;U=156;break a}S=GJb(c)|0;a=EJb(c)|0;if((((S|0)==-1|(a|0)<(S|0)?a:S)|0)>=(Ca|0)){S=Da+oa|0;if((f[I>>2]|0)<(S|0)?(oRa(I,S),a=f[I>>2]|0,Ea=S-a|0,(Ea<<3|0)>0):0)kzc((f[L>>2]|0)+((a<<3)+8)|0,0,(((Ea|-536870912|0)==-536870912?536870911:536870910)+Ea<<3)+16|0)|0;f[I>>2]=S;S=f[L>>2]|0;if(IJb(c,((S|0)==0?0:S+8|0)+(Da<<3)|0,Ca)|0)continue a;else{U=121;break a}}if((Ca|0)>7)Fa=0;else continue a;while(1){S=f[c>>2]|0;if(((f[g>>2]|0)-S|0)>7){Ea=S;a=Ea;Ga=h[a>>0]|h[a+1>>0]<<8|h[a+2>>0]<<16|h[a+3>>0]<<24;a=Ea+4|0;Ea=h[a>>0]|h[a+1>>0]<<8|h[a+2>>0]<<16|h[a+3>>0]<<24;a=e;f[a>>2]=Ga;f[a+4>>2]=Ea;f[c>>2]=S+8;f[s>>2]=Ga;f[s+4>>2]=Ea;Ha=+p[s>>3]}else{if(!(MJb(c,e)|0)){U=130;break a}Ha=+p[e>>3]}Ea=f[I>>2]|0;if((Ea|0)==(f[K>>2]|0)){oRa(I,Ea+1|0);Ia=f[I>>2]|0}else Ia=Ea;Ea=f[L>>2]|0;f[I>>2]=Ia+1;p[Ea+8+(Ia<<3)>>3]=Ha;Ea=Fa+1|0;if((Ea|0)<(oa|0))Fa=Ea;else continue a}break}case 11:{switch((T&255)<<24>>24){case 90:break;case 88:{if(xEb(1,90,c,M)|0)continue a;else{X=0;U=156;break a}break}default:{W=T;break b}}oa=f[c>>2]|0;if(oa>>>0<(f[g>>2]|0)>>>0?(R=b[oa>>0]|0,R<<24>>24>-1):0){f[c>>2]=oa+1;Ja=R&255}else{R=NJb(c)|0;if((R|0)>-1)Ja=R;else{X=0;U=156;break a}}R=wJb(c,Ja)|0;if((EJb(c)|0)>0)do{oa=f[c>>2]|0;if(oa>>>0<(f[g>>2]|0)>>>0?(Ea=b[oa>>0]|0,Ea<<24>>24>-1):0){f[c>>2]=oa+1;Ka=Ea&255;La=0}else{AJb(e,c);Ea=e;if(!(b[P>>0]|0)){X=0;U=156;break a}else{Ka=f[Ea>>2]|0;La=f[Ea+4>>2]|0}}Ea=f[M>>2]|0;if((Ea|0)==(f[N>>2]|0)){eEb(M,Ea+1|0);Ma=f[M>>2]|0}else Ma=Ea;Ea=f[O>>2]|0;f[M>>2]=Ma+1;oa=Ea+8+(Ma<<3)|0;f[oa>>2]=Ka;f[oa+4>>2]=La}while((EJb(c)|0)>0);xJb(c,R);continue a;break}case 12:{if((T&255|0)!=98){W=T;break b}f[n>>2]=f[n>>2]|4;oa=f[Q>>2]|0;if((oa|0)==542896){JEa(Q,542896);Na=f[Q>>2]|0}else Na=oa;if($Lb(c,Na)|0)continue a;else{X=0;U=156;break a}break}default:{W=T;break b}}while(0)}while(0);if(!W){X=1;U=156;break}oa=f[q>>2]|0;if(!(oa&1))Oa=OOa(q)|0;else Oa=oa&-2;if(!(xbc(c,W,Oa)|0)){X=0;U=156;break}}if((U|0)==44){X=0;u=d;return X|0}else if((U|0)==58){if((f[v>>2]|0)<=0){X=0;u=d;return X|0}f[v>>2]=na;X=0;u=d;return X|0}else if((U|0)==67){X=0;u=d;return X|0}else if((U|0)==121){if((f[I>>2]|0)<=0){X=0;u=d;return X|0}f[I>>2]=Da;X=0;u=d;return X|0}else if((U|0)==130){X=0;u=d;return X|0}else if((U|0)==156){u=d;return X|0}return 0}function XDb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;c=f[a+4>>2]|0;if(!(c&1))d=0;else d=Dbc(c&-2)|0;c=f[a+16>>2]|0;if((c|0)>0){e=f[a+24>>2]|0;g=0;h=0;while(1){i=e+8+(h<<3)|0;j=xzc(f[i>>2]|1|0,f[i+4>>2]|0,1)|0;i=((((j^63)*9|0)+73|0)>>>6)+g|0;h=h+1|0;if((h|0)==(c|0)){k=i;break}else g=i}}else k=0;g=k+d+c|0;c=f[a+28>>2]<<2;if(!c)l=g;else{if((c|0)<0)m=10;else m=(((($(c|1|0)|0)^31)*9|0)+73|0)>>>6;l=g+1+m|0}f[a+40>>2]=c;m=l+c|0;c=bMb(a+44|0)|0;if(!c)n=m;else{if((c|0)<0)o=10;else o=(((($(c|1|0)|0)^31)*9|0)+73|0)>>>6;n=m+1+o|0}f[a+56>>2]=c;o=f[a+64>>2]|0;m=n+c+o|0;if((o|0)>0){c=f[a+72>>2]|0;n=0;l=m;while(1){g=f[c+4+(n<<2)>>2]|0;d=b[g+11>>0]|0;k=d<<24>>24<0?f[g+4>>2]|0:d&255;d=k+l+((((($(k|1|0)|0)^31)*9|0)+73|0)>>>6)|0;n=n+1|0;if((n|0)==(o|0)){p=d;break}else l=d}}else p=m;m=f[a+76>>2]|0;if((m|0)>0){l=f[a+84>>2]|0;o=0;n=0;do{c=l+8+(n<<3)|0;d=xzc(f[c>>2]|1|0,f[c+4>>2]|0,1)|0;o=((((d^63)*9|0)+73|0)>>>6)+o|0;n=n+1|0}while((n|0)!=(m|0));if(o){if((o|0)<0)q=11;else q=((((($(o|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;r=o;s=q+p|0}else{r=0;s=p}}else{r=0;s=p}f[a+88>>2]=r;p=s+r|0;r=f[a+92>>2]<<3;if(!r)t=p;else{if((r|0)<0)u=11;else u=((((($(r|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;t=u+p|0}f[a+104>>2]=r;p=t+r|0;r=f[a+108>>2]|0;if((r|0)>0){t=f[a+116>>2]|0;u=0;s=0;do{q=t+8+(s<<3)|0;o=xzc(f[q>>2]|1|0,f[q+4>>2]|0,1)|0;u=((((o^63)*9|0)+73|0)>>>6)+u|0;s=s+1|0}while((s|0)!=(r|0));if(u){if((u|0)<0)v=11;else v=((((($(u|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;w=u;x=v+p|0}else{w=0;x=p}}else{w=0;x=p}f[a+120>>2]=w;p=x+w|0;w=a+8|0;x=f[w>>2]|0;if(!(x&31)){y=p;z=a+12|0;f[z>>2]=y;return y|0}if(!(x&1))A=p;else{v=f[a+124>>2]|0;u=b[v+11>>0]|0;r=u<<24>>24<0?f[v+4>>2]|0:u&255;A=p+1+r+((((($(r|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(x&2))B=A;else{r=f[a+128>>2]|0;p=b[r+11>>0]|0;u=p<<24>>24<0?f[r+4>>2]|0:p&255;B=A+1+u+((((($(u|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(x&4))C=B;else{u=f[a+132>>2]|0;A=b[u+11>>0]|0;p=A<<24>>24<0?f[u+4>>2]|0:A&255;C=B+1+p+((((($(p|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(x&8)){D=C;E=x}else{x=f[a+136>>2]|0;p=di[f[(f[x>>2]|0)+48>>2]&1023](x)|0;x=C+1+p+((((($(p|1|0)|0)^31)*9|0)+73|0)>>>6)|0;D=x;E=f[w>>2]|0}if(!(E&16)){y=D;z=a+12|0;f[z>>2]=y;return y|0}E=f[a+140>>2]|0;if((E|0)<0)F=11;else F=((((($(E|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;y=F+D|0;z=a+12|0;f[z>>2]=y;return y|0}function YDb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0;d=f[a+16>>2]|0;if((d|0)>0){e=a+24|0;g=0;do{h=(f[e>>2]|0)+8+(g<<3)|0;HLb(1,f[h>>2]|0,f[h+4>>2]|0,c);g=g+1|0}while((g|0)!=(d|0))}d=f[a+8>>2]|0;if(d&16|0)TLb(2,f[a+140>>2]|0,c);if(d&8|0)_Lb(3,f[a+136>>2]|0,c);g=a+28|0;if((f[g>>2]|0)>0){e=c+8|0;if((f[e>>2]|0)>4){h=c+4|0;b[f[h>>2]>>0]=34;f[h>>2]=(f[h>>2]|0)+1;h=(f[e>>2]|0)+-1|0;f[e>>2]=h;i=h}else{VJb(c,34);i=f[e>>2]|0}h=f[a+40>>2]|0;if((i|0)>4){i=c+4|0;j=f[i>>2]|0;if(h>>>0>127){k=h;l=j;while(1){b[l>>0]=k|128;m=k>>>7;n=l+1|0;if(k>>>0>16383){k=m;l=n}else{o=n;p=m;break}}}else{o=j;p=h}b[o>>0]=p;p=o+1-j|0;f[i>>2]=(f[i>>2]|0)+p;f[e>>2]=(f[e>>2]|0)-p}else VJb(c,h);h=f[a+36>>2]|0;DLb((h|0)==0?0:h+4|0,f[g>>2]|0,c)}g=a+44|0;if((f[g>>2]|0)>0){h=c+8|0;if((f[h>>2]|0)>4){p=c+4|0;b[f[p>>2]>>0]=42;f[p>>2]=(f[p>>2]|0)+1;p=(f[h>>2]|0)+-1|0;f[h>>2]=p;q=p}else{VJb(c,42);q=f[h>>2]|0}p=f[a+56>>2]|0;if((q|0)>4){q=c+4|0;e=f[q>>2]|0;if(p>>>0>127){i=p;j=e;while(1){b[j>>0]=i|128;o=i>>>7;l=j+1|0;if(i>>>0>16383){i=o;j=l}else{r=l;s=o;break}}}else{r=e;s=p}b[r>>0]=s;s=r+1-e|0;f[q>>2]=(f[q>>2]|0)+s;f[h>>2]=(f[h>>2]|0)-s}else VJb(c,p);p=f[g>>2]|0;if((p|0)>0){g=a+52|0;s=c+8|0;h=c+4|0;q=0;do{e=f[(f[g>>2]|0)+4+(q<<2)>>2]|0;r=((e|0)<0)<<31>>31;if((f[s>>2]|0)>9){j=f[h>>2]|0;i=e&255;if(e>>>0>127){o=j;l=i;k=e;m=r;while(1){b[o>>0]=l|-128;n=k;k=pzc(k|0,m|0,7)|0;t=o+1|0;u=k&255;if(!(m>>>0>0|(m|0)==0&n>>>0>16383)){v=t;w=u;break}else{o=t;l=u;m=J}}}else{v=j;w=i}b[v>>0]=w;m=v+1-j|0;f[h>>2]=(f[h>>2]|0)+m;f[s>>2]=(f[s>>2]|0)-m}else WJb(c,e,r);q=q+1|0}while((q|0)!=(p|0))}}p=f[a+64>>2]|0;if((p|0)>0){q=a+72|0;s=0;do{WLb(6,f[(f[q>>2]|0)+4+(s<<2)>>2]|0,c);s=s+1|0}while((s|0)!=(p|0))}p=a+76|0;if((f[p>>2]|0)>0){s=c+8|0;if((f[s>>2]|0)>4){q=c+4|0;b[f[q>>2]>>0]=58;f[q>>2]=(f[q>>2]|0)+1;q=(f[s>>2]|0)+-1|0;f[s>>2]=q;x=q}else{VJb(c,58);x=f[s>>2]|0}q=f[a+88>>2]|0;if((x|0)>4){x=c+4|0;h=f[x>>2]|0;if(q>>>0>127){v=q;w=h;while(1){b[w>>0]=v|128;g=v>>>7;m=w+1|0;if(v>>>0>16383){v=g;w=m}else{y=m;z=g;break}}}else{y=h;z=q}b[y>>0]=z;z=y+1-h|0;f[x>>2]=(f[x>>2]|0)+z;f[s>>2]=(f[s>>2]|0)-z}else VJb(c,q);q=f[p>>2]|0;if((q|0)>0){p=a+84|0;z=c+8|0;s=c+4|0;x=0;do{h=(f[p>>2]|0)+8+(x<<3)|0;y=f[h>>2]|0;w=f[h+4>>2]|0;if((f[z>>2]|0)>9){h=f[s>>2]|0;v=y&255;if(w>>>0>0|(w|0)==0&y>>>0>127){g=h;m=v;l=y;o=w;while(1){b[g>>0]=m|-128;k=l;l=pzc(l|0,o|0,7)|0;u=g+1|0;t=l&255;if(!(o>>>0>0|(o|0)==0&k>>>0>16383)){A=u;B=t;break}else{g=u;m=t;o=J}}}else{A=h;B=v}b[A>>0]=B;o=A+1-h|0;f[s>>2]=(f[s>>2]|0)+o;f[z>>2]=(f[z>>2]|0)-o}else WJb(c,y,w);x=x+1|0}while((x|0)!=(q|0))}}if(d&1|0)VLb(8,f[a+124>>2]|0,c);if(d&2|0)XLb(9,f[a+128>>2]|0,c);q=a+92|0;if((f[q>>2]|0)>0){x=c+8|0;if((f[x>>2]|0)>4){z=c+4|0;b[f[z>>2]>>0]=82;f[z>>2]=(f[z>>2]|0)+1;z=(f[x>>2]|0)+-1|0;f[x>>2]=z;C=z}else{VJb(c,82);C=f[x>>2]|0}z=f[a+104>>2]|0;if((C|0)>4){C=c+4|0;s=f[C>>2]|0;if(z>>>0>127){A=z;B=s;while(1){b[B>>0]=A|128;p=A>>>7;o=B+1|0;if(A>>>0>16383){A=p;B=o}else{D=o;E=p;break}}}else{D=s;E=z}b[D>>0]=E;E=D+1-s|0;f[C>>2]=(f[C>>2]|0)+E;f[x>>2]=(f[x>>2]|0)-E}else VJb(c,z);z=f[a+100>>2]|0;ELb((z|0)==0?0:z+8|0,f[q>>2]|0,c)}q=a+108|0;if((f[q>>2]|0)>0){z=c+8|0;if((f[z>>2]|0)>4){E=c+4|0;b[f[E>>2]>>0]=90;f[E>>2]=(f[E>>2]|0)+1;E=(f[z>>2]|0)+-1|0;f[z>>2]=E;F=E}else{VJb(c,90);F=f[z>>2]|0}E=f[a+120>>2]|0;if((F|0)>4){F=c+4|0;x=f[F>>2]|0;if(E>>>0>127){C=E;s=x;while(1){b[s>>0]=C|128;D=C>>>7;B=s+1|0;if(C>>>0>16383){C=D;s=B}else{G=B;H=D;break}}}else{G=x;H=E}b[G>>0]=H;H=G+1-x|0;f[F>>2]=(f[F>>2]|0)+H;f[z>>2]=(f[z>>2]|0)-H}else VJb(c,E);E=f[q>>2]|0;if((E|0)>0){q=a+116|0;H=c+8|0;z=c+4|0;F=0;do{x=(f[q>>2]|0)+8+(F<<3)|0;G=f[x>>2]|0;s=f[x+4>>2]|0;if((f[H>>2]|0)>9){x=f[z>>2]|0;C=G&255;if(s>>>0>0|(s|0)==0&G>>>0>127){D=x;B=C;A=G;p=s;while(1){b[D>>0]=B|-128;o=A;A=pzc(A|0,p|0,7)|0;m=D+1|0;g=A&255;if(!(p>>>0>0|(p|0)==0&o>>>0>16383)){I=m;K=g;break}else{D=m;B=g;p=J}}}else{I=x;K=C}b[I>>0]=K;p=I+1-x|0;f[z>>2]=(f[z>>2]|0)+p;f[H>>2]=(f[H>>2]|0)-p}else WJb(c,G,s);F=F+1|0}while((F|0)!=(E|0))}}if(d&4|0)VLb(12,f[a+132>>2]|0,c);d=f[a+4>>2]|0;if(!(d&1))return;Abc(d&-2,c);return}function ZDb(a){a=a|0;return f[a+12>>2]|0}function _Db(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0;e=f[a+16>>2]|0;if(!e)g=d;else{h=f[a+24>>2]|0;i=0;j=d;while(1){d=h+8+(i<<3)|0;k=f[d>>2]|0;l=f[d+4>>2]|0;b[j>>0]=8;d=j+1|0;m=k&255;if(l>>>0>0|(l|0)==0&k>>>0>127){n=d;o=m;p=k;k=l;while(1){b[n>>0]=o|-128;l=p;p=pzc(p|0,k|0,7)|0;q=n+1|0;r=p&255;if(!(k>>>0>0|(k|0)==0&l>>>0>16383)){s=q;t=r;break}else{n=q;o=r;k=J}}}else{s=d;t=m}b[s>>0]=t;k=s+1|0;i=i+1|0;if((i|0)>=(e|0)){g=k;break}else j=k}}j=f[a+8>>2]|0;if(!(j&16))u=g;else{e=f[a+140>>2]|0;b[g>>0]=16;i=g+1|0;g=e&255;if(e>>>0>127){s=i;t=g;h=e;k=((e|0)<0)<<31>>31;while(1){b[s>>0]=t|-128;e=h;h=pzc(h|0,k|0,7)|0;o=s+1|0;n=h&255;if(!(k>>>0>0|(k|0)==0&e>>>0>16383)){v=o;w=n;break}else{s=o;t=n;k=J}}}else{v=i;w=g}b[v>>0]=w;u=v+1|0}if(!(j&8))x=u;else{v=f[a+136>>2]|0;b[u>>0]=26;w=u+1|0;u=di[f[(f[v>>2]|0)+60>>2]&1023](v)|0;if(u>>>0>127){g=u;i=w;while(1){b[i>>0]=g|128;k=g>>>7;t=i+1|0;if(g>>>0>16383){g=k;i=t}else{y=t;z=k;break}}}else{y=w;z=u}b[y>>0]=z;x=li[f[(f[v>>2]|0)+64>>2]&511](v,c,y+1|0)|0}y=a+28|0;if((f[y>>2]|0)>0){b[x>>0]=34;c=x+1|0;v=f[a+40>>2]|0;if(v>>>0>127){z=v;u=c;while(1){b[u>>0]=z|128;w=z>>>7;i=u+1|0;if(z>>>0>16383){z=w;u=i}else{A=i;B=w;break}}}else{A=c;B=v}b[A>>0]=B;B=A+1|0;A=f[y>>2]<<2;szc(B|0,(f[a+36>>2]|0)+4|0,A|0)|0;C=B+A|0}else C=x;x=a+44|0;if((f[x>>2]|0)>0){b[C>>0]=42;A=C+1|0;B=f[a+56>>2]|0;if(B>>>0>127){y=B;v=A;while(1){b[v>>0]=y|128;c=y>>>7;u=v+1|0;if(y>>>0>16383){y=c;v=u}else{D=u;E=c;break}}}else{D=A;E=B}b[D>>0]=E;E=f[x>>2]|0;x=f[a+52>>2]|0;B=0;A=D+1|0;while(1){D=f[x+4+(B<<2)>>2]|0;v=D&255;if(D>>>0>127){y=A;c=v;u=D;z=((D|0)<0)<<31>>31;while(1){b[y>>0]=c|-128;D=u;u=pzc(u|0,z|0,7)|0;w=y+1|0;i=u&255;if(!(z>>>0>0|(z|0)==0&D>>>0>16383)){F=w;G=i;break}else{y=w;c=i;z=J}}}else{F=A;G=v}b[F>>0]=G;z=F+1|0;B=B+1|0;if((B|0)>=(E|0)){H=z;break}else A=z}}else H=C;C=f[a+64>>2]|0;if((C|0)>0){A=a+72|0;E=0;B=H;while(1){F=f[(f[A>>2]|0)+4+(E<<2)>>2]|0;b[B>>0]=50;G=XJb(F,B+1|0)|0;E=E+1|0;if((E|0)==(C|0)){I=G;break}else B=G}}else I=H;H=a+76|0;if((f[H>>2]|0)>0){b[I>>0]=58;B=I+1|0;C=f[a+88>>2]|0;if(C>>>0>127){E=C;A=B;while(1){b[A>>0]=E|128;G=E>>>7;F=A+1|0;if(E>>>0>16383){E=G;A=F}else{K=F;L=G;break}}}else{K=B;L=C}b[K>>0]=L;L=f[H>>2]|0;H=f[a+84>>2]|0;C=0;B=K+1|0;while(1){K=H+8+(C<<3)|0;A=f[K>>2]|0;E=f[K+4>>2]|0;K=A&255;if(E>>>0>0|(E|0)==0&A>>>0>127){G=B;F=K;x=A;A=E;while(1){b[G>>0]=F|-128;E=x;x=pzc(x|0,A|0,7)|0;z=G+1|0;c=x&255;if(!(A>>>0>0|(A|0)==0&E>>>0>16383)){M=z;N=c;break}else{G=z;F=c;A=J}}}else{M=B;N=K}b[M>>0]=N;A=M+1|0;C=C+1|0;if((C|0)>=(L|0)){O=A;break}else B=A}}else O=I;if(!(j&1))P=O;else{I=f[a+124>>2]|0;b[O>>0]=66;P=XJb(I,O+1|0)|0}if(!(j&2))Q=P;else{O=f[a+128>>2]|0;b[P>>0]=74;Q=XJb(O,P+1|0)|0}P=a+92|0;if((f[P>>2]|0)>0){b[Q>>0]=82;O=Q+1|0;I=f[a+104>>2]|0;if(I>>>0>127){B=I;L=O;while(1){b[L>>0]=B|128;C=B>>>7;M=L+1|0;if(B>>>0>16383){B=C;L=M}else{R=M;S=C;break}}}else{R=O;S=I}b[R>>0]=S;S=R+1|0;R=f[P>>2]<<3;szc(S|0,(f[a+100>>2]|0)+8|0,R|0)|0;T=S+R|0}else T=Q;Q=a+108|0;if((f[Q>>2]|0)>0){b[T>>0]=90;R=T+1|0;S=f[a+120>>2]|0;if(S>>>0>127){P=S;I=R;while(1){b[I>>0]=P|128;O=P>>>7;L=I+1|0;if(P>>>0>16383){P=O;I=L}else{U=L;V=O;break}}}else{U=R;V=S}b[U>>0]=V;V=f[Q>>2]|0;Q=f[a+116>>2]|0;S=0;R=U+1|0;while(1){U=Q+8+(S<<3)|0;I=f[U>>2]|0;P=f[U+4>>2]|0;U=I&255;if(P>>>0>0|(P|0)==0&I>>>0>127){O=R;L=U;B=I;I=P;while(1){b[O>>0]=L|-128;P=B;B=pzc(B|0,I|0,7)|0;C=O+1|0;M=B&255;if(!(I>>>0>0|(I|0)==0&P>>>0>16383)){W=C;X=M;break}else{O=C;L=M;I=J}}}else{W=R;X=U}b[W>>0]=X;I=W+1|0;S=S+1|0;if((S|0)>=(V|0)){Y=I;break}else R=I}}else Y=T;if(!(j&4))Z=Y;else{j=f[a+132>>2]|0;b[Y>>0]=98;Z=XJb(j,Y+1|0)|0}Y=f[a+4>>2]|0;if(!(Y&1)){_=Z;return _|0}_=Bbc(Y&-2,Z)|0;return _|0}function $Db(a,b){a=a|0;b=b|0;var c=0;if((a|0)==(b|0))return;UDb(a);c=ovc(b,24728,23176,0)|0;if(!c){A9b(b,a);return}else{dEb(a,c);return}}function aEb(a,b){a=a|0;b=b|0;var c=0;c=ovc(b,24728,23176,0)|0;if(!c){A9b(b,a);return}else{dEb(a,c);return}}function bEb(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function cEb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224949]|0)!=2){f[d>>2]=151624;f[d+4>>2]=111;b[d+8>>0]=0;xLb(899796,d);QKb(d)}d=542544;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function dEb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0;c=a+4|0;d=f[b+4>>2]|0;if(d&1|0){e=f[c>>2]|0;if(!(e&1))g=OOa(c)|0;else g=e&-2;hbc(g,d&-2)}d=a+16|0;g=b+16|0;e=f[g>>2]|0;if(e|0){ZOa(d,(f[d>>2]|0)+e|0);szc((f[a+24>>2]|0)+8+(f[d>>2]<<3)|0,(f[b+24>>2]|0)+8|0,f[g>>2]<<3|0)|0;f[d>>2]=(f[d>>2]|0)+(f[g>>2]|0)}g=a+28|0;d=b+28|0;e=f[d>>2]|0;if(e|0){REa(g,(f[g>>2]|0)+e|0);szc((f[a+36>>2]|0)+4+(f[g>>2]<<2)|0,(f[b+36>>2]|0)+4|0,f[d>>2]<<2|0)|0;f[g>>2]=(f[g>>2]|0)+(f[d>>2]|0)}d=a+44|0;g=b+44|0;e=f[g>>2]|0;if(e|0){NEa(d,(f[d>>2]|0)+e|0);szc((f[a+52>>2]|0)+4+(f[d>>2]<<2)|0,(f[b+52>>2]|0)+4|0,f[g>>2]<<2|0)|0;f[d>>2]=(f[d>>2]|0)+(f[g>>2]|0)}YOa(a+60|0,b+60|0);g=a+76|0;d=b+76|0;e=f[d>>2]|0;if(e|0){ZOa(g,(f[g>>2]|0)+e|0);szc((f[a+84>>2]|0)+8+(f[g>>2]<<3)|0,(f[b+84>>2]|0)+8|0,f[d>>2]<<3|0)|0;f[g>>2]=(f[g>>2]|0)+(f[d>>2]|0)}d=a+92|0;g=b+92|0;e=f[g>>2]|0;if(e|0){oRa(d,(f[d>>2]|0)+e|0);szc((f[a+100>>2]|0)+8+(f[d>>2]<<3)|0,(f[b+100>>2]|0)+8|0,f[g>>2]<<3|0)|0;f[d>>2]=(f[d>>2]|0)+(f[g>>2]|0)}g=a+108|0;d=b+108|0;e=f[d>>2]|0;if(e|0){eEb(g,(f[g>>2]|0)+e|0);szc((f[a+116>>2]|0)+8+(f[g>>2]<<3)|0,(f[b+116>>2]|0)+8|0,f[d>>2]<<3|0)|0;f[g>>2]=(f[g>>2]|0)+(f[d>>2]|0)}d=f[b+8>>2]|0;if(!(d&31))return;do if(d&1|0?(g=a+8|0,f[g>>2]=f[g>>2]|1,g=a+124|0,e=f[b+124>>2]|0,c=f[g>>2]|0,(c|0)!=(e|0)):0)if((c|0)==542896){JEa(g,e);break}else{ruc(c,e)|0;break}while(0);do if(d&2|0?(e=a+8|0,f[e>>2]=f[e>>2]|2,e=a+128|0,c=f[b+128>>2]|0,g=f[e>>2]|0,(g|0)!=(c|0)):0)if((g|0)==542896){JEa(e,c);break}else{ruc(g,c)|0;break}while(0);do if(d&4|0?(c=a+8|0,f[c>>2]=f[c>>2]|4,c=a+132|0,g=f[b+132>>2]|0,e=f[c>>2]|0,(e|0)!=(g|0)):0)if((e|0)==542896){JEa(c,g);break}else{ruc(e,g)|0;break}while(0);if(d&8|0){g=a+8|0;f[g>>2]=f[g>>2]|8;g=a+136|0;e=f[g>>2]|0;if(!e){c=cuc(32)|0;fEb(c);f[g>>2]=c;h=c}else h=e;e=f[b+136>>2]|0;c=e|0?e:542128;e=h+4|0;g=f[c+4>>2]|0;if(g&1|0){i=f[e>>2]|0;if(!(i&1))j=OOa(e)|0;else j=i&-2;hbc(j,g&-2)}g=f[c+8>>2]|0;if(g&3|0){if(g&1|0){j=c+16|0;i=f[j+4>>2]|0;e=h+16|0;f[e>>2]=f[j>>2];f[e+4>>2]=i}if(g&2|0){i=c+24|0;c=f[i+4>>2]|0;e=h+24|0;f[e>>2]=f[i>>2];f[e+4>>2]=c}c=h+8|0;f[c>>2]=f[c>>2]|g}}if(d&16|0)f[a+140>>2]=f[b+140>>2];b=a+8|0;f[b>>2]=f[b>>2]|d;return}function eEb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=a+4|0;d=f[c>>2]|0;if((d|0)>=(b|0))return;e=a+8|0;g=f[e>>2]|0;h=(g|0)==0;if(h)i=0;else i=f[g>>2]|0;j=d<<1;d=(j|0)<(b|0)?b:j;j=(d|0)>4?d:4;d=j<<3;if(!i)k=cuc(d+8|0)|0;else{b=d+15&-8;if(f[i+64>>2]|0)HIb(i,27008,b);k=FIb(i,b)|0}f[e>>2]=k;f[k>>2]=i;f[c>>2]=j;j=f[a>>2]|0;if((j|0)>0)szc(k+8|0,g+8|0,j<<3|0)|0;if(h)return;if(f[g>>2]|0)return;fuc(g);return}function fEb(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=141856;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=542128?(f[224955]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=117;b[d+8>>0]=0;xLb(899820,d);QKb(d)}d=a+12|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;f[d+16>>2]=0;u=c;return}function gEb(a){a=a|0;var b=0,c=0;f[a>>2]=141856;b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(c);f[b>>2]=0;return}function hEb(a){a=a|0;var b=0,c=0;f[a>>2]=141856;b=f[a+4>>2]|0;if(!(b&1)){fuc(a);return}c=b&-2;b=c;if((c|0)==0|(f[b+4>>2]|0)!=0){fuc(a);return}if(f[b>>2]|0)ebc(b);fuc(c);fuc(a);return}function iEb(a){a=a|0;a=cuc(32)|0;fEb(a);return a|0}function jEb(a,b){a=a|0;b=b|0;a=cuc(32)|0;fEb(a);if(!b)return a|0;vEb(b,a);return a|0}function kEb(a){a=a|0;var b=0,c=0;b=a+8|0;if(f[b>>2]&3|0){c=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0}f[b>>2]=0;b=f[a+4>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;ebc(a);return}function lEb(a){a=a|0;return 1}function mEb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;d=u;u=u+16|0;e=d;g=c+4|0;h=a+8|0;i=a+16|0;j=e+8|0;k=a+24|0;l=e+8|0;m=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){n=b[a>>0]|0;o=n&255;if(n<<24>>24>0){f[c>>2]=a+1;p=o;q=6}else{r=o;q=5}}else{r=0;q=5}if((q|0)==5){q=0;o=OJb(c,r)|0;if((o+-1|0)>>>0<127){p=o;q=6}else s=o}b:do if((q|0)==6){q=0;switch(p>>>3&536870911|0){case 1:{if((p&255|0)!=8){s=p;break b}f[h>>2]=f[h>>2]|1;o=f[c>>2]|0;if(o>>>0<(f[g>>2]|0)>>>0?(a=b[o>>0]|0,a<<24>>24>-1):0){f[c>>2]=o+1;t=a&255;v=0}else{AJb(e,c);a=e;if(!(b[j>>0]|0)){w=0;q=24;break a}else{t=f[a>>2]|0;v=f[a+4>>2]|0}}a=i;f[a>>2]=t;f[a+4>>2]=v;continue a;break}case 2:{if((p&255|0)!=16){s=p;break b}f[h>>2]=f[h>>2]|2;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(o=b[a>>0]|0,o<<24>>24>-1):0){f[c>>2]=a+1;x=o&255;y=0}else{AJb(e,c);o=e;if(!(b[l>>0]|0)){w=0;q=24;break a}else{x=f[o>>2]|0;y=f[o+4>>2]|0}}o=k;f[o>>2]=x;f[o+4>>2]=y;continue a;break}default:{s=p;break b}}}while(0);if(!s){w=1;q=24;break}o=f[m>>2]|0;if(!(o&1))z=OOa(m)|0;else z=o&-2;if(!(xbc(c,s,z)|0)){w=0;q=24;break}}if((q|0)==24){u=d;return w|0}return 0}function nEb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=Dbc(b&-2)|0;b=f[a+8>>2]|0;if(!(b&3)){d=c;e=a+12|0;f[e>>2]=d;return d|0}if(!(b&1))g=c;else{h=a+16|0;i=xzc(f[h>>2]|1|0,f[h+4>>2]|0,1)|0;g=c+1+((((i^63)*9|0)+73|0)>>>6)|0}if(!(b&2)){d=g;e=a+12|0;f[e>>2]=d;return d|0}b=a+24|0;i=xzc(f[b>>2]|1|0,f[b+4>>2]|0,1)|0;d=g+1+((((i^63)*9|0)+73|0)>>>6)|0;e=a+12|0;f[e>>2]=d;return d|0}function oEb(a,b){a=a|0;b=b|0;var c=0,d=0;c=f[a+8>>2]|0;if(c&1|0){d=a+16|0;HLb(1,f[d>>2]|0,f[d+4>>2]|0,b)}if(c&2|0){c=a+24|0;HLb(2,f[c>>2]|0,f[c+4>>2]|0,b)}c=f[a+4>>2]|0;if(!(c&1))return;Abc(c&-2,b);return}function pEb(a){a=a|0;return f[a+12>>2]|0}function qEb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;c=f[a+8>>2]|0;if(!(c&1))e=d;else{g=a+16|0;h=f[g>>2]|0;i=f[g+4>>2]|0;b[d>>0]=8;g=d+1|0;d=h&255;if(i>>>0>0|(i|0)==0&h>>>0>127){j=g;k=d;l=h;h=i;while(1){b[j>>0]=k|-128;i=l;l=pzc(l|0,h|0,7)|0;m=j+1|0;n=l&255;if(!(h>>>0>0|(h|0)==0&i>>>0>16383)){o=m;p=n;break}else{j=m;k=n;h=J}}}else{o=g;p=d}b[o>>0]=p;e=o+1|0}if(!(c&2))q=e;else{c=a+24|0;o=f[c>>2]|0;p=f[c+4>>2]|0;b[e>>0]=16;c=e+1|0;e=o&255;if(p>>>0>0|(p|0)==0&o>>>0>127){d=c;g=e;h=o;o=p;while(1){b[d>>0]=g|-128;p=h;h=pzc(h|0,o|0,7)|0;k=d+1|0;j=h&255;if(!(o>>>0>0|(o|0)==0&p>>>0>16383)){r=k;s=j;break}else{d=k;g=j;o=J}}}else{r=c;s=e}b[r>>0]=s;q=r+1|0}r=f[a+4>>2]|0;if(!(r&1)){t=q;return t|0}t=Bbc(r&-2,q)|0;return t|0}function rEb(a,b){a=a|0;b=b|0;var c=0,d=0;if((a|0)==(b|0))return;c=a+8|0;if(f[c>>2]&3|0){d=a+16|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0}f[c>>2]=0;c=f[a+4>>2]|0;if(c&1|0?(d=c&-2,f[d>>2]|0):0)ebc(d);sEb(a,b);return}function sEb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=ovc(b,24728,23192,0)|0;if(!c){A9b(b,a);return}b=a+4|0;d=f[c+4>>2]|0;if(d&1|0){e=f[b>>2]|0;if(!(e&1))g=OOa(b)|0;else g=e&-2;hbc(g,d&-2)}d=f[c+8>>2]|0;if(!(d&3))return;if(d&1|0){g=c+16|0;e=f[g+4>>2]|0;b=a+16|0;f[b>>2]=f[g>>2];f[b+4>>2]=e}if(d&2|0){e=c+24|0;c=f[e+4>>2]|0;b=a+24|0;f[b>>2]=f[e>>2];f[b+4>>2]=c}c=a+8|0;f[c>>2]=f[c>>2]|d;return}function tEb(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function uEb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224949]|0)!=2){f[d>>2]=151624;f[d+4>>2]=111;b[d+8>>0]=0;xLb(899796,d);QKb(d)}d=542536;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function vEb(a,b){a=a|0;b=b|0;if(!b)return;EIb(a,b,1978);return}function wEb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=u;u=u+16|0;e=d;g=f[a>>2]|0;h=a+4|0;if(g>>>0<(f[h>>2]|0)>>>0?(i=b[g>>0]|0,i<<24>>24>-1):0){f[a>>2]=g+1;j=i&255}else{i=NJb(a)|0;if((i|0)>-1)j=i;else{k=0;u=d;return k|0}}i=wJb(a,j)|0;a:do if((EJb(a)|0)>0){j=c+4|0;g=c+8|0;l=e+8|0;while(1){m=f[a>>2]|0;if(m>>>0<(f[h>>2]|0)>>>0?(n=b[m>>0]|0,n<<24>>24>-1):0){f[a>>2]=m+1;o=n&255;p=0}else{AJb(e,a);n=e;if(!(b[l>>0]|0)){k=0;break}else{o=f[n>>2]|0;p=f[n+4>>2]|0}}n=f[c>>2]|0;if((n|0)==(f[j>>2]|0)){ZOa(c,n+1|0);q=f[c>>2]|0}else q=n;n=f[g>>2]|0;f[c>>2]=q+1;m=n+8+(q<<3)|0;f[m>>2]=o;f[m+4>>2]=p;if((EJb(a)|0)<=0)break a}u=d;return k|0}while(0);xJb(a,i);k=1;u=d;return k|0}function xEb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;a=u;u=u+16|0;g=a;i=f[d>>2]|0;j=d+4|0;if(i>>>0<(f[j>>2]|0)>>>0?(k=b[i>>0]|0,k<<24>>24>-1):0){f[d>>2]=i+1;l=k&255;m=0}else{AJb(g,d);k=g;if(!(b[g+8>>0]|0)){n=0;u=a;return n|0}else{l=f[k>>2]|0;m=f[k+4>>2]|0}}k=f[e>>2]|0;i=e+4|0;o=f[i>>2]|0;if((k|0)==(o|0)){eEb(e,k+1|0);p=f[e>>2]|0;q=f[i>>2]|0}else{p=k;q=o}o=e+8|0;k=f[o>>2]|0;i=p+1|0;f[e>>2]=i;r=k+8+(p<<3)|0;f[r>>2]=l;f[r+4>>2]=m;m=q-i|0;if((m|0)<=0){n=1;u=a;return n|0}q=g+8|0;r=c&127|128;l=c>>>7&255;if(c>>>0<128){p=m;s=i;t=k;while(1){v=f[d>>2]|0;w=f[j>>2]|0;if(v>>>0>=w>>>0){n=1;x=27;break}if((h[v>>0]|0)!=(c|0)){n=1;x=27;break}y=v+1|0;f[d>>2]=y;if(y>>>0<w>>>0?(w=b[y>>0]|0,w<<24>>24>-1):0){f[d>>2]=v+2;z=s;A=t;B=w&255;C=0}else{AJb(g,d);w=g;if(!(b[q>>0]|0)){n=0;x=27;break}z=f[e>>2]|0;A=f[o>>2]|0;B=f[w>>2]|0;C=f[w+4>>2]|0}s=z+1|0;f[e>>2]=s;w=A+8+(z<<3)|0;f[w>>2]=B;f[w+4>>2]=C;if((p|0)<=1){n=1;x=27;break}else{p=p+-1|0;t=A}}if((x|0)==27){u=a;return n|0}}if(c>>>0<16384){D=m;E=i;F=k}else{n=1;u=a;return n|0}while(1){k=f[j>>2]|0;i=f[d>>2]|0;m=i;if((k-i|0)<=1){n=1;x=27;break}if((h[m>>0]|0)!=(r|0)){n=1;x=27;break}if((b[m+1>>0]|0)!=l<<24>>24){n=1;x=27;break}i=m+2|0;f[d>>2]=i;if(i>>>0<k>>>0?(k=b[i>>0]|0,k<<24>>24>-1):0){f[d>>2]=m+3;G=E;H=F;I=k&255;J=0}else{AJb(g,d);k=g;if(!(b[q>>0]|0)){n=0;x=27;break}G=f[e>>2]|0;H=f[o>>2]|0;I=f[k>>2]|0;J=f[k+4>>2]|0}E=G+1|0;f[e>>2]=E;k=H+8+(G<<3)|0;f[k>>2]=I;f[k+4>>2]=J;if((D|0)<=1){n=1;x=27;break}else{D=D+-1|0;F=H}}if((x|0)==27){u=a;return n|0}return 0}function yEb(a){a=a|0;var c=0,d=0,e=0,g=0;c=u;u=u+16|0;d=c;f[a>>2]=141748;f[a+4>>2]=0;f[a+8>>2]=0;e=a+16|0;f[a+44>>2]=0;f[a+48>>2]=0;f[a+52>>2]=0;g=a+60|0;f[a+92>>2]=0;f[a+96>>2]=0;f[a+100>>2]=0;f[a+108>>2]=0;f[a+112>>2]=0;f[a+116>>2]=0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;f[e+16>>2]=0;f[e+20>>2]=0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;f[g+16>>2]=0;f[g+20>>2]=0;f[g+24>>2]=0;if((a|0)!=542160?(f[224956]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=118;b[d+8>>0]=0;xLb(899824,d);QKb(d)}f[a+12>>2]=0;f[a+124>>2]=542896;f[a+128>>2]=542896;f[a+132>>2]=542896;d=a+136|0;f[d>>2]=0;f[d+4>>2]=0;u=c;return}function zEb(a,b){a=a|0;b=b|0;if(!b)return;EIb(a,b,1978);return}function AEb(a){a=a|0;var c=0;c=f[a+124>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}c=f[a+128>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}c=f[a+132>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}if((a|0)==542160)return;c=f[a+136>>2]|0;if(!c)return;bi[f[(f[c>>2]|0)+4>>2]&2047](c);return}function BEb(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(!b)return;if(f[b>>2]|0)return;fuc(b);return}function CEb(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(!b)return;if(f[b>>2]|0)return;fuc(b);return}function DEb(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(!b)return;if(f[b>>2]|0)return;fuc(b);return}function EEb(a){a=a|0;var c=0,d=0;f[a>>2]=141964;c=f[a+16>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}c=f[a+20>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}c=a+4|0;a=f[c>>2]|0;if(!(a&1)){f[c>>2]=0;return}d=a&-2;a=d;if((d|0)==0|(f[a+4>>2]|0)!=0){f[c>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(d);f[c>>2]=0;return}function FEb(a){a=a|0;EEb(a);fuc(a);return}function GEb(a){a=a|0;a=cuc(24)|0;UEb(a);return a|0}function HEb(a,b){a=a|0;b=b|0;a=cuc(24)|0;UEb(a);if(!b)return a|0;VEb(b,a);return a|0}function IEb(a){a=a|0;var c=0,d=0,e=0,g=0;c=a+8|0;d=f[c>>2]|0;do if(d&3|0){do if(d&1|0){e=f[a+16>>2]|0;g=e+11|0;if((b[g>>0]|0)<0){b[f[e>>2]>>0]=0;f[e+4>>2]=0;break}else{b[e>>0]=0;b[g>>0]=0;break}}while(0);if(d&2|0){g=f[a+20>>2]|0;e=g+11|0;if((b[e>>0]|0)<0){b[f[g>>2]>>0]=0;f[g+4>>2]=0;break}else{b[g>>0]=0;b[e>>0]=0;break}}}while(0);f[c>>2]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;ebc(a);return}function JEb(a){a=a|0;return 1}function KEb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;d=c+4|0;e=a+8|0;g=a+16|0;h=a+20|0;i=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[d>>2]|0)>>>0){j=b[a>>0]|0;k=j&255;if(j<<24>>24>0){f[c>>2]=a+1;l=k;m=6}else{n=k;m=5}}else{n=0;m=5}if((m|0)==5){m=0;k=OJb(c,n)|0;if((k+-1|0)>>>0<127){l=k;m=6}else o=k}b:do if((m|0)==6){m=0;switch(l>>>3&536870911|0){case 1:{if((l&255|0)!=10){o=l;break b}f[e>>2]=f[e>>2]|1;k=f[g>>2]|0;if((k|0)==542896){JEa(g,542896);p=f[g>>2]|0}else p=k;if($Lb(c,p)|0)continue a;else{q=0;m=20;break a}break}case 2:{if((l&255|0)!=18){o=l;break b}f[e>>2]=f[e>>2]|2;k=f[h>>2]|0;if((k|0)==542896){JEa(h,542896);r=f[h>>2]|0}else r=k;if($Lb(c,r)|0)continue a;else{q=0;m=20;break a}break}default:{o=l;break b}}}while(0);if(!o){q=1;m=20;break}k=f[i>>2]|0;if(!(k&1))s=OOa(i)|0;else s=k&-2;if(!(xbc(c,o,s)|0)){q=0;m=20;break}}if((m|0)==20)return q|0;return 0}function LEb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=f[a+4>>2]|0;if(!(c&1))d=0;else d=Dbc(c&-2)|0;c=f[a+8>>2]|0;if(!(c&3)){e=d;g=a+12|0;f[g>>2]=e;return e|0}if(!(c&1))h=d;else{i=f[a+16>>2]|0;j=b[i+11>>0]|0;k=j<<24>>24<0?f[i+4>>2]|0:j&255;h=d+1+k+((((($(k|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(c&2)){e=h;g=a+12|0;f[g>>2]=e;return e|0}c=f[a+20>>2]|0;k=b[c+11>>0]|0;d=k<<24>>24<0?f[c+4>>2]|0:k&255;e=h+1+d+((((($(d|1|0)|0)^31)*9|0)+73|0)>>>6)|0;g=a+12|0;f[g>>2]=e;return e|0}function MEb(a,b){a=a|0;b=b|0;var c=0;c=f[a+8>>2]|0;if(c&1|0)VLb(1,f[a+16>>2]|0,b);if(c&2|0)VLb(2,f[a+20>>2]|0,b);c=f[a+4>>2]|0;if(!(c&1))return;Abc(c&-2,b);return}function NEb(a){a=a|0;return f[a+12>>2]|0}function OEb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0;c=f[a+8>>2]|0;if(!(c&1))e=d;else{g=f[a+16>>2]|0;b[d>>0]=10;e=XJb(g,d+1|0)|0}if(!(c&2))h=e;else{c=f[a+20>>2]|0;b[e>>0]=18;h=XJb(c,e+1|0)|0}e=f[a+4>>2]|0;if(!(e&1)){i=h;return i|0}i=Bbc(e&-2,h)|0;return i|0}function PEb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;if((a|0)==(c|0))return;d=a+8|0;e=f[d>>2]|0;do if(e&3|0){do if(e&1|0){g=f[a+16>>2]|0;h=g+11|0;if((b[h>>0]|0)<0){b[f[g>>2]>>0]=0;f[g+4>>2]=0;break}else{b[g>>0]=0;b[h>>0]=0;break}}while(0);if(e&2|0){h=f[a+20>>2]|0;g=h+11|0;if((b[g>>0]|0)<0){b[f[h>>2]>>0]=0;f[h+4>>2]=0;break}else{b[h>>0]=0;b[g>>0]=0;break}}}while(0);f[d>>2]=0;d=f[a+4>>2]|0;if(d&1|0?(e=d&-2,f[e>>2]|0):0)ebc(e);e=ovc(c,24728,23208,0)|0;if(!e){A9b(c,a);return}else{TEb(a,e);return}}function QEb(a,b){a=a|0;b=b|0;var c=0;c=ovc(b,24728,23208,0)|0;if(!c){A9b(b,a);return}else{TEb(a,c);return}}function REb(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function SEb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224949]|0)!=2){f[d>>2]=151624;f[d+4>>2]=111;b[d+8>>0]=0;xLb(899796,d);QKb(d)}d=542520;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function TEb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=a+4|0;d=f[b+4>>2]|0;if(d&1|0){e=f[c>>2]|0;if(!(e&1))g=OOa(c)|0;else g=e&-2;hbc(g,d&-2)}d=f[b+8>>2]|0;if(!(d&3))return;do if(d&1|0?(g=a+8|0,f[g>>2]=f[g>>2]|1,g=a+16|0,e=f[b+16>>2]|0,c=f[g>>2]|0,(c|0)!=(e|0)):0)if((c|0)==542896){JEa(g,e);break}else{ruc(c,e)|0;break}while(0);if(!(d&2))return;d=a+8|0;f[d>>2]=f[d>>2]|2;d=a+20|0;a=f[b+20>>2]|0;b=f[d>>2]|0;if((b|0)==(a|0))return;if((b|0)==542896){JEa(d,a);return}else{ruc(b,a)|0;return}}function UEb(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=141964;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=542e3?(f[224954]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=116;b[d+8>>0]=0;xLb(899816,d);QKb(d)}f[a+12>>2]=0;f[a+16>>2]=542896;f[a+20>>2]=542896;u=c;return}function VEb(a,b){a=a|0;b=b|0;if(!b)return;EIb(a,b,1978);return}function WEb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0;f[a>>2]=142072;NGb(a);b=a+44|0;c=f[b>>2]|0;if(c|0?(f[a+32>>2]|0)==0:0){d=f[c>>2]|0;if((d|0)>0){e=0;do{g=f[c+4+(e<<2)>>2]|0;if(g|0)bi[f[(f[g>>2]|0)+4>>2]&2047](g);e=e+1|0}while((e|0)!=(d|0));h=f[b>>2]|0}else h=c;fuc(h)}f[b>>2]=0;b=a+28|0;h=f[b>>2]|0;if(h|0?(f[a+16>>2]|0)==0:0){c=f[h>>2]|0;if((c|0)>0){d=0;do{e=f[h+4+(d<<2)>>2]|0;if(e|0)bi[f[(f[e>>2]|0)+4>>2]&2047](e);d=d+1|0}while((d|0)!=(c|0));i=f[b>>2]|0}else i=h;fuc(i)}f[b>>2]=0;b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}i=a&-2;a=i;if((i|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(i);f[b>>2]=0;return}function XEb(a){a=a|0;WEb(a);fuc(a);return}function YEb(a){a=a|0;a=cuc(88)|0;LGb(a);return a|0}function ZEb(a,b){a=a|0;b=b|0;a=cuc(88)|0;LGb(a);if(!b)return a|0;MGb(b,a);return a|0}function _Eb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;c=a+20|0;d=f[c>>2]|0;if((d|0)>0){e=f[a+28>>2]|0;g=0;do{h=f[e+4+(g<<2)>>2]|0;g=g+1|0;i=h+8|0;do if(f[i>>2]&1|0){j=f[h+16>>2]|0;k=j+11|0;if((b[k>>0]|0)<0){b[f[j>>2]>>0]=0;f[j+4>>2]=0;break}else{b[j>>0]=0;b[k>>0]=0;break}}while(0);k=h+24|0;f[k>>2]=0;f[k+4>>2]=0;f[i>>2]=0;k=f[h+4>>2]|0;if(k&1|0?(j=k&-2,f[j>>2]|0):0)ebc(j)}while((g|0)!=(d|0));f[c>>2]=0}c=a+36|0;d=f[c>>2]|0;if((d|0)>0){g=f[a+44>>2]|0;e=0;do{j=f[g+4+(e<<2)>>2]|0;e=e+1|0;k=j+8|0;l=f[k>>2]|0;do if(l&3|0){do if(l&1|0){m=f[j+16>>2]|0;n=m+11|0;if((b[n>>0]|0)<0){b[f[m>>2]>>0]=0;f[m+4>>2]=0;break}else{b[m>>0]=0;b[n>>0]=0;break}}while(0);if(l&2|0){n=f[j+20>>2]|0;m=n+11|0;if((b[m>>0]|0)<0){b[f[n>>2]>>0]=0;f[n+4>>2]=0;break}else{b[n>>0]=0;b[m>>0]=0;break}}}while(0);f[k>>2]=0;l=f[j+4>>2]|0;if(l&1|0?(h=l&-2,f[h>>2]|0):0)ebc(h)}while((e|0)!=(d|0));f[c>>2]=0}c=a+8|0;d=f[c>>2]|0;if(d&31|0){do if(d&1|0){e=f[a+48>>2]|0;g=e+11|0;if((b[g>>0]|0)<0){b[f[e>>2]>>0]=0;f[e+4>>2]=0;break}else{b[e>>0]=0;b[g>>0]=0;break}}while(0);do if(d&2|0){g=f[a+52>>2]|0;e=g+11|0;if((b[e>>0]|0)<0){b[f[g>>2]>>0]=0;f[g+4>>2]=0;break}else{b[g>>0]=0;b[e>>0]=0;break}}while(0);do if(d&4|0){e=f[a+56>>2]|0;g=e+11|0;if((b[g>>0]|0)<0){b[f[e>>2]>>0]=0;f[e+4>>2]=0;break}else{b[e>>0]=0;b[g>>0]=0;break}}while(0);do if(d&8|0){g=f[a+60>>2]|0;e=g+11|0;if((b[e>>0]|0)<0){b[f[g>>2]>>0]=0;f[g+4>>2]=0;break}else{b[g>>0]=0;b[e>>0]=0;break}}while(0);if(d&16|0)tGb(f[a+64>>2]|0)}if(d&96|0){d=a+72|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0}f[c>>2]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;ebc(a);return}function $Eb(a){a=a|0;return 1}function aFb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0;d=u;u=u+16|0;e=d;g=c+4|0;h=a+8|0;i=a+72|0;j=e+8|0;k=a+48|0;l=a+52|0;m=a+56|0;n=a+80|0;o=e+8|0;p=a+60|0;q=a+64|0;r=e+4|0;s=a+16|0;t=a+28|0;v=a+24|0;w=a+20|0;x=e+4|0;y=a+32|0;z=a+44|0;A=a+40|0;B=a+36|0;C=e+4|0;D=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){E=b[a>>0]|0;F=E&255;if(E<<24>>24>0){f[c>>2]=a+1;G=F;H=6}else{I=F;H=5}}else{I=0;H=5}if((H|0)==5){H=0;F=OJb(c,I)|0;if((F+-1|0)>>>0<127){G=F;H=6}else J=F}b:do if((H|0)==6){H=0;switch(G>>>3&536870911|0){case 1:{if((G&255|0)!=8){J=G;break b}f[h>>2]=f[h>>2]|32;F=f[c>>2]|0;if(F>>>0<(f[g>>2]|0)>>>0?(a=b[F>>0]|0,a<<24>>24>-1):0){f[c>>2]=F+1;K=a&255;L=0}else{AJb(e,c);a=e;if(!(b[j>>0]|0)){M=0;H=93;break a}else{K=f[a>>2]|0;L=f[a+4>>2]|0}}a=i;f[a>>2]=K;f[a+4>>2]=L;continue a;break}case 2:{if((G&255|0)!=18){J=G;break b}f[h>>2]=f[h>>2]|1;a=f[k>>2]|0;if((a|0)==542896){JEa(k,542896);N=f[k>>2]|0}else N=a;if($Lb(c,N)|0)continue a;else{M=0;H=93;break a}break}case 3:{if((G&255|0)!=26){J=G;break b}f[h>>2]=f[h>>2]|2;a=f[l>>2]|0;if((a|0)==542896){JEa(l,542896);O=f[l>>2]|0}else O=a;if($Lb(c,O)|0)continue a;else{M=0;H=93;break a}break}case 4:{if((G&255|0)!=34){J=G;break b}f[h>>2]=f[h>>2]|4;a=f[m>>2]|0;if((a|0)==542896){JEa(m,542896);P=f[m>>2]|0}else P=a;if($Lb(c,P)|0)continue a;else{M=0;H=93;break a}break}case 5:{if((G&255|0)!=40){J=G;break b}f[h>>2]=f[h>>2]|64;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(F=b[a>>0]|0,F<<24>>24>-1):0){f[c>>2]=a+1;Q=F&255;R=0}else{AJb(e,c);F=e;if(!(b[o>>0]|0)){M=0;H=93;break a}else{Q=f[F>>2]|0;R=f[F+4>>2]|0}}F=n;f[F>>2]=Q;f[F+4>>2]=R;continue a;break}case 6:{if((G&255|0)!=50){J=G;break b}f[h>>2]=f[h>>2]|8;F=f[p>>2]|0;if((F|0)==542896){JEa(p,542896);S=f[p>>2]|0}else S=F;if($Lb(c,S)|0)continue a;else{M=0;H=93;break a}break}case 7:{if((G&255|0)!=58){J=G;break b}f[h>>2]=f[h>>2]|16;F=f[q>>2]|0;if(!F){a=cuc(104)|0;mFb(a);f[q>>2]=a;T=a}else T=F;F=f[c>>2]|0;if(F>>>0<(f[g>>2]|0)>>>0?(a=b[F>>0]|0,a<<24>>24>-1):0){f[c>>2]=F+1;U=a&255}else{a=NJb(c)|0;if((a|0)>-1)U=a;else{M=0;H=93;break a}}yJb(e,c,U);if((f[r>>2]|0)<0){H=44;break a}if(!(Th[f[(f[T>>2]|0)+44>>2]&1023](T,c)|0)){H=44;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{M=0;H=93;break a}break}case 8:{if((G&255|0)!=66){J=G;break b}a=f[t>>2]|0;do if(a){F=f[w>>2]|0;E=f[a>>2]|0;if((F|0)>=(E|0))if((E|0)==(f[v>>2]|0)){V=E;H=52;break}else{W=E;X=a;H=53;break}else{f[w>>2]=F+1;Y=f[a+4+(F<<2)>>2]|0;break}}else{V=f[v>>2]|0;H=52}while(0);if((H|0)==52){H=0;LKb(s,V+1|0);a=f[t>>2]|0;W=f[a>>2]|0;X=a;H=53}if((H|0)==53){H=0;f[X>>2]=W+1;a=f[s>>2]|0;if(!a){F=cuc(32)|0;uCb(F);Z=F}else{if(f[a+64>>2]|0)HIb(a,23096,32);F=GIb(a,32,1994)|0;uCb(F);Z=F}F=f[t>>2]|0;a=f[w>>2]|0;f[w>>2]=a+1;f[F+4+(a<<2)>>2]=Z;Y=Z}a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(F=b[a>>0]|0,F<<24>>24>-1):0){f[c>>2]=a+1;_=F&255}else{F=NJb(c)|0;if((F|0)>-1)_=F;else{M=0;H=93;break a}}yJb(e,c,_);if((f[x>>2]|0)<0){H=65;break a}if(!(Th[f[(f[Y>>2]|0)+44>>2]&1023](Y,c)|0)){H=65;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{M=0;H=93;break a}break}case 14:{if((G&255|0)!=114){J=G;break b}F=f[z>>2]|0;do if(F){a=f[B>>2]|0;E=f[F>>2]|0;if((a|0)>=(E|0))if((E|0)==(f[A>>2]|0)){$=E;H=73;break}else{aa=E;ba=F;H=74;break}else{f[B>>2]=a+1;ca=f[F+4+(a<<2)>>2]|0;break}}else{$=f[A>>2]|0;H=73}while(0);if((H|0)==73){H=0;LKb(y,$+1|0);F=f[z>>2]|0;aa=f[F>>2]|0;ba=F;H=74}if((H|0)==74){H=0;f[ba>>2]=aa+1;F=f[y>>2]|0;if(!F){a=cuc(24)|0;UEb(a);da=a}else{if(f[F+64>>2]|0)HIb(F,23208,24);a=GIb(F,24,1995)|0;UEb(a);da=a}a=f[z>>2]|0;F=f[B>>2]|0;f[B>>2]=F+1;f[a+4+(F<<2)>>2]=da;ca=da}F=f[c>>2]|0;if(F>>>0<(f[g>>2]|0)>>>0?(a=b[F>>0]|0,a<<24>>24>-1):0){f[c>>2]=F+1;ea=a&255}else{a=NJb(c)|0;if((a|0)>-1)ea=a;else{M=0;H=93;break a}}yJb(e,c,ea);if((f[C>>2]|0)<0){H=86;break a}if(!(Th[f[(f[ca>>2]|0)+44>>2]&1023](ca,c)|0)){H=86;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{M=0;H=93;break a}break}default:{J=G;break b}}}while(0);if(!J){M=1;H=93;break}a=f[D>>2]|0;if(!(a&1))fa=OOa(D)|0;else fa=a&-2;if(!(xbc(c,J,fa)|0)){M=0;H=93;break}}if((H|0)==44){M=0;u=d;return M|0}else if((H|0)==65){M=0;u=d;return M|0}else if((H|0)==86){M=0;u=d;return M|0}else if((H|0)==93){u=d;return M|0}return 0}function bFb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;c=f[a+4>>2]|0;if(!(c&1))d=0;else d=Dbc(c&-2)|0;c=f[a+20>>2]|0;e=c+d|0;if(!c)g=e;else{d=a+28|0;h=0;i=e;while(1){e=f[(f[d>>2]|0)+4+(h<<2)>>2]|0;j=di[f[(f[e>>2]|0)+48>>2]&1023](e)|0;e=j+i+((((($(j|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=h+1|0;if((h|0)==(c|0)){g=e;break}else i=e}}i=f[a+36>>2]|0;c=i+g|0;if(!i)k=c;else{g=a+44|0;h=0;d=c;while(1){c=f[(f[g>>2]|0)+4+(h<<2)>>2]|0;e=di[f[(f[c>>2]|0)+48>>2]&1023](c)|0;c=e+d+((((($(e|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=h+1|0;if((h|0)==(i|0)){k=c;break}else d=c}}d=a+8|0;i=f[d>>2]|0;if(!(i&127)){l=k;m=a+12|0;f[m>>2]=l;return l|0}if(!(i&1))n=k;else{h=f[a+48>>2]|0;g=b[h+11>>0]|0;c=g<<24>>24<0?f[h+4>>2]|0:g&255;n=k+1+c+((((($(c|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(i&2))o=n;else{c=f[a+52>>2]|0;k=b[c+11>>0]|0;g=k<<24>>24<0?f[c+4>>2]|0:k&255;o=n+1+g+((((($(g|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(i&4))p=o;else{g=f[a+56>>2]|0;n=b[g+11>>0]|0;k=n<<24>>24<0?f[g+4>>2]|0:n&255;p=o+1+k+((((($(k|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(i&8))q=p;else{k=f[a+60>>2]|0;o=b[k+11>>0]|0;n=o<<24>>24<0?f[k+4>>2]|0:o&255;q=p+1+n+((((($(n|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(i&16)){r=q;s=i}else{i=f[a+64>>2]|0;n=di[f[(f[i>>2]|0)+48>>2]&1023](i)|0;i=q+1+n+((((($(n|1|0)|0)^31)*9|0)+73|0)>>>6)|0;r=i;s=f[d>>2]|0}if(!(s&32))t=r;else{d=a+72|0;i=xzc(f[d>>2]|1|0,f[d+4>>2]|0,1)|0;t=r+1+((((i^63)*9|0)+73|0)>>>6)|0}if(!(s&64)){l=t;m=a+12|0;f[m>>2]=l;return l|0}s=a+80|0;i=xzc(f[s>>2]|1|0,f[s+4>>2]|0,1)|0;l=t+1+((((i^63)*9|0)+73|0)>>>6)|0;m=a+12|0;f[m>>2]=l;return l|0}function cFb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=f[a+8>>2]|0;if(c&32|0){d=a+72|0;HLb(1,f[d>>2]|0,f[d+4>>2]|0,b)}if(c&1|0)VLb(2,f[a+48>>2]|0,b);if(c&2|0)VLb(3,f[a+52>>2]|0,b);if(c&4|0)VLb(4,f[a+56>>2]|0,b);if(c&64|0){d=a+80|0;HLb(5,f[d>>2]|0,f[d+4>>2]|0,b)}if(c&8|0)VLb(6,f[a+60>>2]|0,b);if(c&16|0)_Lb(7,f[a+64>>2]|0,b);c=f[a+20>>2]|0;if(c|0){d=a+28|0;e=0;do{_Lb(8,f[(f[d>>2]|0)+4+(e<<2)>>2]|0,b);e=e+1|0}while((e|0)!=(c|0))}c=f[a+36>>2]|0;if(c|0){e=a+44|0;d=0;do{_Lb(14,f[(f[e>>2]|0)+4+(d<<2)>>2]|0,b);d=d+1|0}while((d|0)!=(c|0))}c=f[a+4>>2]|0;if(!(c&1))return;Abc(c&-2,b);return}function dFb(a){a=a|0;return f[a+12>>2]|0}function eFb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;e=f[a+8>>2]|0;if(!(e&32))g=d;else{h=a+72|0;i=f[h>>2]|0;j=f[h+4>>2]|0;b[d>>0]=8;h=d+1|0;d=i&255;if(j>>>0>0|(j|0)==0&i>>>0>127){k=h;l=d;m=i;i=j;while(1){b[k>>0]=l|-128;j=m;m=pzc(m|0,i|0,7)|0;n=k+1|0;o=m&255;if(!(i>>>0>0|(i|0)==0&j>>>0>16383)){p=n;q=o;break}else{k=n;l=o;i=J}}}else{p=h;q=d}b[p>>0]=q;g=p+1|0}if(!(e&1))r=g;else{p=f[a+48>>2]|0;b[g>>0]=18;r=XJb(p,g+1|0)|0}if(!(e&2))s=r;else{g=f[a+52>>2]|0;b[r>>0]=26;s=XJb(g,r+1|0)|0}if(!(e&4))t=s;else{r=f[a+56>>2]|0;b[s>>0]=34;t=XJb(r,s+1|0)|0}if(!(e&64))u=t;else{s=a+80|0;r=f[s>>2]|0;g=f[s+4>>2]|0;b[t>>0]=40;s=t+1|0;t=r&255;if(g>>>0>0|(g|0)==0&r>>>0>127){p=s;q=t;d=r;r=g;while(1){b[p>>0]=q|-128;g=d;d=pzc(d|0,r|0,7)|0;h=p+1|0;i=d&255;if(!(r>>>0>0|(r|0)==0&g>>>0>16383)){v=h;w=i;break}else{p=h;q=i;r=J}}}else{v=s;w=t}b[v>>0]=w;u=v+1|0}if(!(e&8))x=u;else{v=f[a+60>>2]|0;b[u>>0]=50;x=XJb(v,u+1|0)|0}if(!(e&16))y=x;else{e=f[a+64>>2]|0;b[x>>0]=58;u=x+1|0;x=di[f[(f[e>>2]|0)+60>>2]&1023](e)|0;if(x>>>0>127){v=x;w=u;while(1){b[w>>0]=v|128;t=v>>>7;s=w+1|0;if(v>>>0>16383){v=t;w=s}else{z=s;A=t;break}}}else{z=u;A=x}b[z>>0]=A;y=li[f[(f[e>>2]|0)+64>>2]&511](e,c,z+1|0)|0}z=f[a+20>>2]|0;if(!z)B=y;else{e=a+28|0;A=0;x=y;while(1){y=f[(f[e>>2]|0)+4+(A<<2)>>2]|0;b[x>>0]=66;u=x+1|0;w=di[f[(f[y>>2]|0)+60>>2]&1023](y)|0;if(w>>>0>127){v=w;t=u;while(1){b[t>>0]=v|128;s=v>>>7;r=t+1|0;if(v>>>0>16383){v=s;t=r}else{C=r;D=s;break}}}else{C=u;D=w}b[C>>0]=D;t=li[f[(f[y>>2]|0)+64>>2]&511](y,c,C+1|0)|0;A=A+1|0;if((A|0)==(z|0)){B=t;break}else x=t}}x=f[a+36>>2]|0;if(!x)E=B;else{z=a+44|0;A=0;C=B;while(1){B=f[(f[z>>2]|0)+4+(A<<2)>>2]|0;b[C>>0]=114;D=C+1|0;e=di[f[(f[B>>2]|0)+60>>2]&1023](B)|0;if(e>>>0>127){t=e;v=D;while(1){b[v>>0]=t|128;s=t>>>7;r=v+1|0;if(t>>>0>16383){t=s;v=r}else{F=r;G=s;break}}}else{F=D;G=e}b[F>>0]=G;v=li[f[(f[B>>2]|0)+64>>2]&511](B,c,F+1|0)|0;A=A+1|0;if((A|0)==(x|0)){E=v;break}else C=v}}C=f[a+4>>2]|0;if(!(C&1)){H=E;return H|0}H=Bbc(C&-2,E)|0;return H|0}function fFb(a,b){a=a|0;b=b|0;var c=0;if((a|0)==(b|0))return;_Eb(a);c=ovc(b,24728,23224,0)|0;if(!c){A9b(b,a);return}else{jFb(a,c);return}}function gFb(a,b){a=a|0;b=b|0;var c=0;c=ovc(b,24728,23224,0)|0;if(!c){A9b(b,a);return}else{jFb(a,c);return}}function hFb(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function iFb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224949]|0)!=2){f[d>>2]=151624;f[d+4>>2]=111;b[d+8>>0]=0;xLb(899796,d);QKb(d)}d=542512;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function jFb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0;c=a+4|0;d=f[b+4>>2]|0;if(d&1|0){e=f[c>>2]|0;if(!(e&1))g=OOa(c)|0;else g=e&-2;hbc(g,d&-2)}kFb(a+16|0,b+16|0);lFb(a+32|0,b+32|0);d=f[b+8>>2]|0;if(!(d&127))return;do if(d&1|0?(g=a+8|0,f[g>>2]=f[g>>2]|1,g=a+48|0,e=f[b+48>>2]|0,c=f[g>>2]|0,(c|0)!=(e|0)):0)if((c|0)==542896){JEa(g,e);break}else{ruc(c,e)|0;break}while(0);do if(d&2|0?(e=a+8|0,f[e>>2]=f[e>>2]|2,e=a+52|0,c=f[b+52>>2]|0,g=f[e>>2]|0,(g|0)!=(c|0)):0)if((g|0)==542896){JEa(e,c);break}else{ruc(g,c)|0;break}while(0);do if(d&4|0?(c=a+8|0,f[c>>2]=f[c>>2]|4,c=a+56|0,g=f[b+56>>2]|0,e=f[c>>2]|0,(e|0)!=(g|0)):0)if((e|0)==542896){JEa(c,g);break}else{ruc(e,g)|0;break}while(0);do if(d&8|0?(g=a+8|0,f[g>>2]=f[g>>2]|8,g=a+60|0,e=f[b+60>>2]|0,c=f[g>>2]|0,(c|0)!=(e|0)):0)if((c|0)==542896){JEa(g,e);break}else{ruc(c,e)|0;break}while(0);if(d&16|0){e=a+8|0;f[e>>2]=f[e>>2]|16;e=a+64|0;c=f[e>>2]|0;if(!c){g=cuc(104)|0;mFb(g);f[e>>2]=g;h=g}else h=c;c=f[b+64>>2]|0;nFb(h,c|0?c:542024)}if(d&32|0){c=b+72|0;h=f[c+4>>2]|0;g=a+72|0;f[g>>2]=f[c>>2];f[g+4>>2]=h}if(d&64|0){h=b+80|0;b=f[h+4>>2]|0;g=a+80|0;f[g>>2]=f[h>>2];f[g+4>>2]=b}b=a+8|0;f[b>>2]=f[b>>2]|d;return}function kFb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=f[b+4>>2]|0;if(!c)return;d=f[b+12>>2]|0;b=KKb(a,c)|0;e=a+12|0;g=a+4|0;h=(f[f[e>>2]>>2]|0)-(f[g>>2]|0)|0;if((h|0)>0&(c|0)>0){i=0;do{JGb(f[d+4+(i<<2)>>2]|0,f[b+(i<<2)>>2]|0);i=i+1|0}while((i|0)<(h|0)&(i|0)<(c|0))}i=f[a>>2]|0;a:do if((h|0)<(c|0)){a=i+64|0;if(!i){j=h;while(1){k=f[d+4+(j<<2)>>2]|0;l=cuc(32)|0;uCb(l);JGb(k,l);f[b+(j<<2)>>2]=l;j=j+1|0;if((j|0)>=(c|0))break a}}else m=h;do{j=f[d+4+(m<<2)>>2]|0;if(f[a>>2]|0)HIb(i,23096,32);l=GIb(i,32,1994)|0;uCb(l);JGb(j,l);f[b+(m<<2)>>2]=l;m=m+1|0}while((m|0)!=(c|0))}while(0);m=(f[g>>2]|0)+c|0;f[g>>2]=m;g=f[e>>2]|0;if((f[g>>2]|0)>=(m|0))return;f[g>>2]=m;return}function lFb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=f[b+4>>2]|0;if(!c)return;d=f[b+12>>2]|0;b=KKb(a,c)|0;e=a+12|0;g=a+4|0;h=(f[f[e>>2]>>2]|0)-(f[g>>2]|0)|0;if((h|0)>0&(c|0)>0){i=0;do{HGb(f[d+4+(i<<2)>>2]|0,f[b+(i<<2)>>2]|0);i=i+1|0}while((i|0)<(h|0)&(i|0)<(c|0))}i=f[a>>2]|0;a:do if((h|0)<(c|0)){a=i+64|0;if(!i){j=h;while(1){k=f[d+4+(j<<2)>>2]|0;l=cuc(24)|0;UEb(l);HGb(k,l);f[b+(j<<2)>>2]=l;j=j+1|0;if((j|0)>=(c|0))break a}}else m=h;do{j=f[d+4+(m<<2)>>2]|0;if(f[a>>2]|0)HIb(i,23208,24);l=GIb(i,24,1995)|0;UEb(l);HGb(j,l);f[b+(m<<2)>>2]=l;m=m+1|0}while((m|0)!=(c|0))}while(0);m=(f[g>>2]|0)+c|0;f[g>>2]=m;g=f[e>>2]|0;if((f[g>>2]|0)>=(m|0))return;f[g>>2]=m;return}function mFb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0;c=u;u=u+16|0;d=c;f[a>>2]=142396;f[a+4>>2]=0;f[a+8>>2]=0;e=(a|0)==542024;g=a+16|0;h=g+80|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));if(!e?(f[224951]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=113;b[d+8>>0]=0;xLb(899804,d);QKb(d)}f[a+12>>2]=0;f[a+96>>2]=542896;f[a+100>>2]=542896;u=c;return}function nFb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=a+4|0;d=f[b+4>>2]|0;if(d&1|0){e=f[c>>2]|0;if(!(e&1))g=OOa(c)|0;else g=e&-2;hbc(g,d&-2)}oFb(a+16|0,b+16|0);pFb(a+32|0,b+32|0);qFb(a+48|0,b+48|0);qFb(a+64|0,b+64|0);qFb(a+80|0,b+80|0);d=f[b+8>>2]|0;if(!(d&3))return;do if(d&1|0?(g=a+8|0,f[g>>2]=f[g>>2]|1,g=a+96|0,e=f[b+96>>2]|0,c=f[g>>2]|0,(c|0)!=(e|0)):0)if((c|0)==542896){JEa(g,e);break}else{ruc(c,e)|0;break}while(0);if(!(d&2))return;d=a+8|0;f[d>>2]=f[d>>2]|2;d=a+100|0;a=f[b+100>>2]|0;b=f[d>>2]|0;if((b|0)==(a|0))return;if((b|0)==542896){JEa(d,a);return}else{ruc(b,a)|0;return}}function oFb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=f[b+4>>2]|0;if(!c)return;d=f[b+12>>2]|0;b=KKb(a,c)|0;e=a+12|0;g=a+4|0;h=(f[f[e>>2]>>2]|0)-(f[g>>2]|0)|0;if((h|0)>0&(c|0)>0){i=0;do{OFb(f[d+4+(i<<2)>>2]|0,f[b+(i<<2)>>2]|0);i=i+1|0}while((i|0)<(h|0)&(i|0)<(c|0))}i=f[a>>2]|0;a:do if((h|0)<(c|0)){a=i+64|0;if(!i){j=h;while(1){k=f[d+4+(j<<2)>>2]|0;l=cuc(80)|0;NFb(l);OFb(k,l);f[b+(j<<2)>>2]=l;j=j+1|0;if((j|0)>=(c|0))break a}}else m=h;do{j=f[d+4+(m<<2)>>2]|0;if(f[a>>2]|0)HIb(i,23256,80);l=GIb(i,80,1996)|0;NFb(l);OFb(j,l);f[b+(m<<2)>>2]=l;m=m+1|0}while((m|0)!=(c|0))}while(0);m=(f[g>>2]|0)+c|0;f[g>>2]=m;g=f[e>>2]|0;if((f[g>>2]|0)>=(m|0))return;f[g>>2]=m;return}function pFb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=f[b+4>>2]|0;if(!c)return;d=f[b+12>>2]|0;b=KKb(a,c)|0;e=a+12|0;g=a+4|0;h=(f[f[e>>2]>>2]|0)-(f[g>>2]|0)|0;if((h|0)>0&(c|0)>0){i=0;do{LFb(f[d+4+(i<<2)>>2]|0,f[b+(i<<2)>>2]|0);i=i+1|0}while((i|0)<(h|0)&(i|0)<(c|0))}i=f[a>>2]|0;a:do if((h|0)<(c|0)){a=i+64|0;if(!i){j=h;while(1){k=f[d+4+(j<<2)>>2]|0;l=cuc(144)|0;yEb(l);LFb(k,l);f[b+(j<<2)>>2]=l;j=j+1|0;if((j|0)>=(c|0))break a}}else m=h;do{j=f[d+4+(m<<2)>>2]|0;if(f[a>>2]|0)HIb(i,23176,144);l=GIb(i,144,1997)|0;yEb(l);LFb(j,l);f[b+(m<<2)>>2]=l;m=m+1|0}while((m|0)!=(c|0))}while(0);m=(f[g>>2]|0)+c|0;f[g>>2]=m;g=f[e>>2]|0;if((f[g>>2]|0)>=(m|0))return;f[g>>2]=m;return}function qFb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=f[b+4>>2]|0;if(!c)return;d=f[b+12>>2]|0;b=KKb(a,c)|0;e=a+12|0;g=a+4|0;h=(f[f[e>>2]>>2]|0)-(f[g>>2]|0)|0;if((h|0)>0&(c|0)>0){i=0;do{sFb(f[d+4+(i<<2)>>2]|0,f[b+(i<<2)>>2]|0);i=i+1|0}while((i|0)<(h|0)&(i|0)<(c|0))}i=f[a>>2]|0;a:do if((h|0)<(c|0)){a=i+64|0;if(!i){j=h;while(1){k=f[d+4+(j<<2)>>2]|0;l=cuc(28)|0;rFb(l);sFb(k,l);f[b+(j<<2)>>2]=l;j=j+1|0;if((j|0)>=(c|0))break a}}else m=h;do{j=f[d+4+(m<<2)>>2]|0;if(f[a>>2]|0)HIb(i,23240,32);l=GIb(i,32,1998)|0;rFb(l);sFb(j,l);f[b+(m<<2)>>2]=l;m=m+1|0}while((m|0)!=(c|0))}while(0);m=(f[g>>2]|0)+c|0;f[g>>2]=m;g=f[e>>2]|0;if((f[g>>2]|0)>=(m|0))return;f[g>>2]=m;return}function rFb(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=142180;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=541800?(f[224952]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=114;b[d+8>>0]=0;xLb(899808,d);QKb(d)}f[a+12>>2]=0;f[a+16>>2]=542896;f[a+20>>2]=542896;f[a+24>>2]=0;u=c;return}function sFb(a,b){a=a|0;b=b|0;uFb(b,a);return}function tFb(a){a=a|0;bi[f[f[a>>2]>>2]&2047](a);return}function uFb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0;c=a+4|0;d=f[b+4>>2]|0;if(d&1|0){e=f[c>>2]|0;if(!(e&1))g=OOa(c)|0;else g=e&-2;hbc(g,d&-2)}d=f[b+8>>2]|0;if(!(d&7))return;do if(d&1|0?(g=a+8|0,f[g>>2]=f[g>>2]|1,g=a+16|0,e=f[b+16>>2]|0,c=f[g>>2]|0,(c|0)!=(e|0)):0)if((c|0)==542896){JEa(g,e);break}else{ruc(c,e)|0;break}while(0);do if(d&2|0?(e=a+8|0,f[e>>2]=f[e>>2]|2,e=a+20|0,c=f[b+20>>2]|0,g=f[e>>2]|0,(g|0)!=(c|0)):0)if((g|0)==542896){JEa(e,c);break}else{ruc(g,c)|0;break}while(0);if(!(d&4))return;d=a+8|0;f[d>>2]=f[d>>2]|4;d=a+24|0;a=f[d>>2]|0;if(!a){c=cuc(28)|0;ODb(c);f[d>>2]=c;h=c}else h=a;a=f[b+24>>2]|0;LCb(h,a|0?a:542416);return}function vFb(a){a=a|0;var c=0,d=0;f[a>>2]=142180;c=f[a+16>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}c=f[a+20>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}if((a|0)!=541800?(c=f[a+24>>2]|0,c|0):0)bi[f[(f[c>>2]|0)+4>>2]&2047](c);c=a+4|0;a=f[c>>2]|0;if(!(a&1)){f[c>>2]=0;return}d=a&-2;a=d;if((d|0)==0|(f[a+4>>2]|0)!=0){f[c>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(d);f[c>>2]=0;return}function wFb(a){a=a|0;vFb(a);fuc(a);return}function xFb(a){a=a|0;a=cuc(28)|0;rFb(a);return a|0}function yFb(a,b){a=a|0;b=b|0;a=cuc(28)|0;rFb(a);if(!b)return a|0;KFb(b,a);return a|0}function zFb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0;c=a+8|0;d=f[c>>2]|0;if(d&7|0){do if(d&1|0){e=f[a+16>>2]|0;g=e+11|0;if((b[g>>0]|0)<0){b[f[e>>2]>>0]=0;f[e+4>>2]=0;break}else{b[e>>0]=0;b[g>>0]=0;break}}while(0);do if(d&2|0){g=f[a+20>>2]|0;e=g+11|0;if((b[e>>0]|0)<0){b[f[g>>2]>>0]=0;f[g+4>>2]=0;break}else{b[g>>0]=0;b[e>>0]=0;break}}while(0);if(d&4|0){d=f[a+24>>2]|0;e=d+8|0;do if(f[e>>2]&1|0){g=f[d+16>>2]|0;h=g+11|0;if((b[h>>0]|0)<0){b[f[g>>2]>>0]=0;f[g+4>>2]=0;break}else{b[g>>0]=0;b[h>>0]=0;break}}while(0);h=d+24|0;if((f[h>>2]|0)==1?(g=f[d+20>>2]|0,g|0):0)bi[f[(f[g>>2]|0)+4>>2]&2047](g);f[h>>2]=0;f[e>>2]=0;e=f[d+4>>2]|0;if(e&1|0?(d=e&-2,f[d>>2]|0):0)ebc(d)}}f[c>>2]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;ebc(a);return}function AFb(a){a=a|0;return 1}function BFb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;d=u;u=u+16|0;e=d;g=c+4|0;h=a+8|0;i=a+16|0;j=a+24|0;k=e+4|0;l=a+20|0;m=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){n=b[a>>0]|0;o=n&255;if(n<<24>>24>0){f[c>>2]=a+1;p=o;q=6}else{r=o;q=5}}else{r=0;q=5}if((q|0)==5){q=0;o=OJb(c,r)|0;if((o+-1|0)>>>0<127){p=o;q=6}else s=o}b:do if((q|0)==6){q=0;switch(p>>>3&536870911|0){case 1:{if((p&255|0)!=10){s=p;break b}f[h>>2]=f[h>>2]|1;o=f[i>>2]|0;if((o|0)==542896){JEa(i,542896);t=f[i>>2]|0}else t=o;if($Lb(c,t)|0)continue a;else{v=0;q=31;break a}break}case 2:{if((p&255|0)!=18){s=p;break b}f[h>>2]=f[h>>2]|4;o=f[j>>2]|0;if(!o){a=cuc(28)|0;ODb(a);f[j>>2]=a;w=a}else w=o;o=f[c>>2]|0;if(o>>>0<(f[g>>2]|0)>>>0?(a=b[o>>0]|0,a<<24>>24>-1):0){f[c>>2]=o+1;x=a&255}else{a=NJb(c)|0;if((a|0)>-1)x=a;else{v=0;q=31;break a}}yJb(e,c,x);if((f[k>>2]|0)<0){q=20;break a}if(!(Th[f[(f[w>>2]|0)+44>>2]&1023](w,c)|0)){q=20;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{v=0;q=31;break a}break}case 3:{if((p&255|0)!=26){s=p;break b}f[h>>2]=f[h>>2]|2;a=f[l>>2]|0;if((a|0)==542896){JEa(l,542896);y=f[l>>2]|0}else y=a;if($Lb(c,y)|0)continue a;else{v=0;q=31;break a}break}default:{s=p;break b}}}while(0);if(!s){v=1;q=31;break}a=f[m>>2]|0;if(!(a&1))z=OOa(m)|0;else z=a&-2;if(!(xbc(c,s,z)|0)){v=0;q=31;break}}if((q|0)==20){v=0;u=d;return v|0}else if((q|0)==31){u=d;return v|0}return 0}function CFb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;c=f[a+4>>2]|0;if(!(c&1))d=0;else d=Dbc(c&-2)|0;c=f[a+8>>2]|0;if(!(c&7)){e=d;g=a+12|0;f[g>>2]=e;return e|0}if(!(c&1))h=d;else{i=f[a+16>>2]|0;j=b[i+11>>0]|0;k=j<<24>>24<0?f[i+4>>2]|0:j&255;h=d+1+k+((((($(k|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(c&2))l=h;else{k=f[a+20>>2]|0;d=b[k+11>>0]|0;j=d<<24>>24<0?f[k+4>>2]|0:d&255;l=h+1+j+((((($(j|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(c&4)){e=l;g=a+12|0;f[g>>2]=e;return e|0}c=f[a+24>>2]|0;j=di[f[(f[c>>2]|0)+48>>2]&1023](c)|0;e=l+1+j+((((($(j|1|0)|0)^31)*9|0)+73|0)>>>6)|0;g=a+12|0;f[g>>2]=e;return e|0}function DFb(a,b){a=a|0;b=b|0;var c=0;c=f[a+8>>2]|0;if(c&1|0)VLb(1,f[a+16>>2]|0,b);if(c&4|0)_Lb(2,f[a+24>>2]|0,b);if(c&2|0)VLb(3,f[a+20>>2]|0,b);c=f[a+4>>2]|0;if(!(c&1))return;Abc(c&-2,b);return}function EFb(a){a=a|0;return f[a+12>>2]|0}function FFb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=f[a+8>>2]|0;if(!(e&1))g=d;else{h=f[a+16>>2]|0;b[d>>0]=10;g=XJb(h,d+1|0)|0}if(!(e&4))i=g;else{d=f[a+24>>2]|0;b[g>>0]=18;h=g+1|0;g=di[f[(f[d>>2]|0)+60>>2]&1023](d)|0;if(g>>>0>127){j=g;k=h;while(1){b[k>>0]=j|128;l=j>>>7;m=k+1|0;if(j>>>0>16383){j=l;k=m}else{n=m;o=l;break}}}else{n=h;o=g}b[n>>0]=o;i=li[f[(f[d>>2]|0)+64>>2]&511](d,c,n+1|0)|0}if(!(e&2))p=i;else{e=f[a+20>>2]|0;b[i>>0]=26;p=XJb(e,i+1|0)|0}i=f[a+4>>2]|0;if(!(i&1)){q=p;return q|0}q=Bbc(i&-2,p)|0;return q|0}function GFb(a,b){a=a|0;b=b|0;var c=0;if((a|0)==(b|0))return;zFb(a);c=ovc(b,24728,23240,0)|0;if(!c){A9b(b,a);return}else{uFb(a,c);return}}function HFb(a,b){a=a|0;b=b|0;var c=0;c=ovc(b,24728,23240,0)|0;if(!c){A9b(b,a);return}else{uFb(a,c);return}}function IFb(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function JFb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224949]|0)!=2){f[d>>2]=151624;f[d+4>>2]=111;b[d+8>>0]=0;xLb(899796,d);QKb(d)}d=542496;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function KFb(a,b){a=a|0;b=b|0;if(!b)return;EIb(a,b,1978);return}function LFb(a,b){a=a|0;b=b|0;dEb(b,a);return}function MFb(a){a=a|0;bi[f[f[a>>2]>>2]&2047](a);return}function NFb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0;c=u;u=u+16|0;d=c;f[a>>2]=142288;f[a+4>>2]=0;f[a+8>>2]=0;e=(a|0)==541832;g=a+16|0;h=g+48|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));if(!e?(f[224951]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=113;b[d+8>>0]=0;xLb(899804,d);QKb(d)}f[a+12>>2]=0;f[a+64>>2]=542896;f[a+68>>2]=542896;f[a+72>>2]=542896;f[a+76>>2]=542896;u=c;return}function OFb(a,b){a=a|0;b=b|0;QFb(b,a);return}function PFb(a){a=a|0;bi[f[f[a>>2]>>2]&2047](a);return}function QFb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=a+4|0;d=f[b+4>>2]|0;if(d&1|0){e=f[c>>2]|0;if(!(e&1))g=OOa(c)|0;else g=e&-2;hbc(g,d&-2)}YOa(a+16|0,b+16|0);YOa(a+32|0,b+32|0);RFb(a+48|0,b+48|0);d=f[b+8>>2]|0;if(!(d&15))return;do if(d&1|0?(g=a+8|0,f[g>>2]=f[g>>2]|1,g=a+64|0,e=f[b+64>>2]|0,c=f[g>>2]|0,(c|0)!=(e|0)):0)if((c|0)==542896){JEa(g,e);break}else{ruc(c,e)|0;break}while(0);do if(d&2|0?(e=a+8|0,f[e>>2]=f[e>>2]|2,e=a+68|0,c=f[b+68>>2]|0,g=f[e>>2]|0,(g|0)!=(c|0)):0)if((g|0)==542896){JEa(e,c);break}else{ruc(g,c)|0;break}while(0);do if(d&4|0?(c=a+8|0,f[c>>2]=f[c>>2]|4,c=a+72|0,g=f[b+72>>2]|0,e=f[c>>2]|0,(e|0)!=(g|0)):0)if((e|0)==542896){JEa(c,g);break}else{ruc(e,g)|0;break}while(0);if(!(d&8))return;d=a+8|0;f[d>>2]=f[d>>2]|8;d=a+76|0;a=f[b+76>>2]|0;b=f[d>>2]|0;if((b|0)==(a|0))return;if((b|0)==542896){JEa(d,a);return}else{ruc(b,a)|0;return}}function RFb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=f[b+4>>2]|0;if(!c)return;d=f[b+12>>2]|0;b=KKb(a,c)|0;e=a+12|0;g=a+4|0;h=(f[f[e>>2]>>2]|0)-(f[g>>2]|0)|0;if((h|0)>0&(c|0)>0){i=0;do{TFb(f[d+4+(i<<2)>>2]|0,f[b+(i<<2)>>2]|0);i=i+1|0}while((i|0)<(h|0)&(i|0)<(c|0))}i=f[a>>2]|0;a:do if((h|0)<(c|0)){a=i+64|0;if(!i){j=h;while(1){k=f[d+4+(j<<2)>>2]|0;l=cuc(128)|0;SFb(l);TFb(k,l);f[b+(j<<2)>>2]=l;j=j+1|0;if((j|0)>=(c|0))break a}}else m=h;do{j=f[d+4+(m<<2)>>2]|0;if(f[a>>2]|0)HIb(i,23080,128);l=GIb(i,128,1999)|0;SFb(l);TFb(j,l);f[b+(m<<2)>>2]=l;m=m+1|0}while((m|0)!=(c|0))}while(0);m=(f[g>>2]|0)+c|0;f[g>>2]=m;g=f[e>>2]|0;if((f[g>>2]|0)>=(m|0))return;f[g>>2]=m;return}function SFb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0;c=u;u=u+16|0;d=c;f[a>>2]=140892;f[a+4>>2]=0;f[a+8>>2]=0;e=(a|0)==541672;g=a+16|0;h=g+72|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));if(!e?(f[224951]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=113;b[d+8>>0]=0;xLb(899804,d);QKb(d)}f[a+12>>2]=0;f[a+88>>2]=542896;f[a+92>>2]=542896;f[a+96>>2]=542896;f[a+100>>2]=542896;d=a+104|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;f[d+16>>2]=0;f[d+20>>2]=0;u=c;return}function TFb(a,b){a=a|0;b=b|0;VFb(b,a);return}function UFb(a){a=a|0;bi[f[f[a>>2]>>2]&2047](a);return}function VFb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0;c=a+4|0;d=f[b+4>>2]|0;if(d&1|0){e=f[c>>2]|0;if(!(e&1))g=OOa(c)|0;else g=e&-2;hbc(g,d&-2)}d=a+16|0;g=b+16|0;e=f[g>>2]|0;if(e|0){REa(d,(f[d>>2]|0)+e|0);szc((f[a+24>>2]|0)+4+(f[d>>2]<<2)|0,(f[b+24>>2]|0)+4|0,f[g>>2]<<2|0)|0;f[d>>2]=(f[d>>2]|0)+(f[g>>2]|0)}g=a+28|0;d=b+28|0;e=f[d>>2]|0;if(e|0){ZOa(g,(f[g>>2]|0)+e|0);szc((f[a+36>>2]|0)+8+(f[g>>2]<<3)|0,(f[b+36>>2]|0)+8|0,f[d>>2]<<3|0)|0;f[g>>2]=(f[g>>2]|0)+(f[d>>2]|0)}YOa(a+40|0,b+40|0);pFb(a+56|0,b+56|0);WFb(a+72|0,b+72|0);d=f[b+8>>2]|0;if(d&255|0){do if(d&1|0?(g=a+8|0,f[g>>2]=f[g>>2]|1,g=a+88|0,e=f[b+88>>2]|0,c=f[g>>2]|0,(c|0)!=(e|0)):0)if((c|0)==542896){JEa(g,e);break}else{ruc(c,e)|0;break}while(0);do if(d&2|0?(e=a+8|0,f[e>>2]=f[e>>2]|2,e=a+92|0,c=f[b+92>>2]|0,g=f[e>>2]|0,(g|0)!=(c|0)):0)if((g|0)==542896){JEa(e,c);break}else{ruc(g,c)|0;break}while(0);do if(d&4|0?(c=a+8|0,f[c>>2]=f[c>>2]|4,c=a+96|0,g=f[b+96>>2]|0,e=f[c>>2]|0,(e|0)!=(g|0)):0)if((e|0)==542896){JEa(c,g);break}else{ruc(e,g)|0;break}while(0);do if(d&8|0?(g=a+8|0,f[g>>2]=f[g>>2]|8,g=a+100|0,e=f[b+100>>2]|0,c=f[g>>2]|0,(c|0)!=(e|0)):0)if((c|0)==542896){JEa(g,e);break}else{ruc(c,e)|0;break}while(0);if(d&16|0){e=a+8|0;f[e>>2]=f[e>>2]|16;e=a+104|0;c=f[e>>2]|0;if(!c){g=cuc(144)|0;yEb(g);f[e>>2]=g;h=g}else h=c;c=f[b+104>>2]|0;dEb(h,c|0?c:542160)}if(d&32|0){c=a+8|0;f[c>>2]=f[c>>2]|32;c=a+108|0;h=f[c>>2]|0;if(!h){g=cuc(104)|0;mFb(g);f[c>>2]=g;i=g}else i=h;h=f[b+108>>2]|0;nFb(i,h|0?h:542024)}if(d&64|0){h=b+112|0;i=f[h+4>>2]|0;g=a+112|0;f[g>>2]=f[h>>2];f[g+4>>2]=i}if(d&128|0)f[a+120>>2]=f[b+120>>2];i=a+8|0;f[i>>2]=f[i>>2]|d}if(!(d&256))return;d=f[b+124>>2]|0;b=a+8|0;f[b>>2]=f[b>>2]|256;f[a+124>>2]=d;return}function WFb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=f[b+4>>2]|0;if(!c)return;d=f[b+12>>2]|0;b=KKb(a,c)|0;e=a+12|0;g=a+4|0;h=(f[f[e>>2]>>2]|0)-(f[g>>2]|0)|0;if((h|0)>0&(c|0)>0){i=0;do{XFb(f[d+4+(i<<2)>>2]|0,f[b+(i<<2)>>2]|0);i=i+1|0}while((i|0)<(h|0)&(i|0)<(c|0))}i=f[a>>2]|0;a:do if((h|0)<(c|0)){a=i+64|0;if(!i){j=h;while(1){k=f[d+4+(j<<2)>>2]|0;l=cuc(104)|0;mFb(l);XFb(k,l);f[b+(j<<2)>>2]=l;j=j+1|0;if((j|0)>=(c|0))break a}}else m=h;do{j=f[d+4+(m<<2)>>2]|0;if(f[a>>2]|0)HIb(i,23272,104);l=GIb(i,104,1991)|0;mFb(l);XFb(j,l);f[b+(m<<2)>>2]=l;m=m+1|0}while((m|0)!=(c|0))}while(0);m=(f[g>>2]|0)+c|0;f[g>>2]=m;g=f[e>>2]|0;if((f[g>>2]|0)>=(m|0))return;f[g>>2]=m;return}function XFb(a,b){a=a|0;b=b|0;nFb(b,a);return}function YFb(a){a=a|0;bi[f[f[a>>2]>>2]&2047](a);return}function ZFb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;f[a>>2]=142288;nGb(a);c=a+60|0;d=f[c>>2]|0;if(d|0?(f[a+48>>2]|0)==0:0){e=f[d>>2]|0;if((e|0)>0){g=0;do{h=f[d+4+(g<<2)>>2]|0;if(h|0)bi[f[(f[h>>2]|0)+4>>2]&2047](h);g=g+1|0}while((g|0)!=(e|0));i=f[c>>2]|0}else i=d;fuc(i)}f[c>>2]=0;c=a+44|0;i=f[c>>2]|0;if(i|0?(f[a+32>>2]|0)==0:0){d=f[i>>2]|0;if((d|0)>0){e=0;do{g=f[i+4+(e<<2)>>2]|0;if(g|0){if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);fuc(g)}e=e+1|0}while((e|0)!=(d|0));j=f[c>>2]|0}else j=i;fuc(j)}f[c>>2]=0;c=a+28|0;j=f[c>>2]|0;if(j|0?(f[a+16>>2]|0)==0:0){i=f[j>>2]|0;if((i|0)>0){d=0;do{e=f[j+4+(d<<2)>>2]|0;if(e|0){if((b[e+11>>0]|0)<0)fuc(f[e>>2]|0);fuc(e)}d=d+1|0}while((d|0)!=(i|0));k=f[c>>2]|0}else k=j;fuc(k)}f[c>>2]=0;c=a+4|0;a=f[c>>2]|0;if(!(a&1)){f[c>>2]=0;return}k=a&-2;a=k;if((k|0)==0|(f[a+4>>2]|0)!=0){f[c>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(k);f[c>>2]=0;return}function _Fb(a){a=a|0;ZFb(a);fuc(a);return}function $Fb(a){a=a|0;a=cuc(80)|0;NFb(a);return a|0}function aGb(a,b){a=a|0;b=b|0;a=cuc(80)|0;NFb(a);if(!b)return a|0;mGb(b,a);return a|0}function bGb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0;c=a+20|0;d=f[c>>2]|0;if((d|0)>0){e=f[a+28>>2]|0;g=0;do{h=f[e+4+(g<<2)>>2]|0;g=g+1|0;i=h+11|0;if((b[i>>0]|0)<0){b[f[h>>2]>>0]=0;f[h+4>>2]=0}else{b[h>>0]=0;b[i>>0]=0}}while((g|0)!=(d|0));f[c>>2]=0}c=a+36|0;d=f[c>>2]|0;if((d|0)>0){g=f[a+44>>2]|0;e=0;do{i=f[g+4+(e<<2)>>2]|0;e=e+1|0;h=i+11|0;if((b[h>>0]|0)<0){b[f[i>>2]>>0]=0;f[i+4>>2]=0}else{b[i>>0]=0;b[h>>0]=0}}while((e|0)!=(d|0));f[c>>2]=0}c=a+52|0;d=f[c>>2]|0;if((d|0)>0){e=f[a+60>>2]|0;g=0;do{GBb(f[e+4+(g<<2)>>2]|0);g=g+1|0}while((g|0)!=(d|0));f[c>>2]=0}c=a+8|0;d=f[c>>2]|0;do if(d&15|0){do if(d&1|0){g=f[a+64>>2]|0;e=g+11|0;if((b[e>>0]|0)<0){b[f[g>>2]>>0]=0;f[g+4>>2]=0;break}else{b[g>>0]=0;b[e>>0]=0;break}}while(0);do if(d&2|0){e=f[a+68>>2]|0;g=e+11|0;if((b[g>>0]|0)<0){b[f[e>>2]>>0]=0;f[e+4>>2]=0;break}else{b[e>>0]=0;b[g>>0]=0;break}}while(0);do if(d&4|0){g=f[a+72>>2]|0;e=g+11|0;if((b[e>>0]|0)<0){b[f[g>>2]>>0]=0;f[g+4>>2]=0;break}else{b[g>>0]=0;b[e>>0]=0;break}}while(0);if(d&8|0){e=f[a+76>>2]|0;g=e+11|0;if((b[g>>0]|0)<0){b[f[e>>2]>>0]=0;f[e+4>>2]=0;break}else{b[e>>0]=0;b[g>>0]=0;break}}}while(0);f[c>>2]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;ebc(a);return}function cGb(a){a=a|0;return 1}function dGb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0;d=u;u=u+16|0;e=d;g=c+4|0;h=a+16|0;i=a+32|0;j=a+8|0;k=a+64|0;l=a+68|0;m=a+48|0;n=a+60|0;o=a+56|0;p=a+52|0;q=e+4|0;r=a+72|0;s=a+76|0;t=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){v=b[a>>0]|0;w=v&255;if(v<<24>>24>0){f[c>>2]=a+1;x=w;y=6}else{z=w;y=5}}else{z=0;y=5}if((y|0)==5){y=0;w=OJb(c,z)|0;if((w+-1|0)>>>0<127){x=w;y=6}else A=w}b:do if((y|0)==6){y=0;switch(x>>>3&536870911|0){case 1:{if((x&255|0)!=10){A=x;break b}if($Lb(c,MEa(h)|0)|0)continue a;else{B=0;y=53;break a}break}case 2:{if((x&255|0)!=18){A=x;break b}if($Lb(c,MEa(i)|0)|0)continue a;else{B=0;y=53;break a}break}case 3:{if((x&255|0)!=26){A=x;break b}f[j>>2]=f[j>>2]|1;w=f[k>>2]|0;if((w|0)==542896){JEa(k,542896);C=f[k>>2]|0}else C=w;if($Lb(c,C)|0)continue a;else{B=0;y=53;break a}break}case 4:{if((x&255|0)!=34){A=x;break b}f[j>>2]=f[j>>2]|2;w=f[l>>2]|0;if((w|0)==542896){JEa(l,542896);D=f[l>>2]|0}else D=w;if($Lb(c,D)|0)continue a;else{B=0;y=53;break a}break}case 5:{if((x&255|0)!=42){A=x;break b}w=f[n>>2]|0;do if(w){a=f[p>>2]|0;v=f[w>>2]|0;if((a|0)>=(v|0))if((v|0)==(f[o>>2]|0)){E=v;y=25;break}else{F=v;G=w;y=26;break}else{f[p>>2]=a+1;H=f[w+4+(a<<2)>>2]|0;break}}else{E=f[o>>2]|0;y=25}while(0);if((y|0)==25){y=0;LKb(m,E+1|0);w=f[n>>2]|0;F=f[w>>2]|0;G=w;y=26}if((y|0)==26){y=0;f[G>>2]=F+1;w=f[m>>2]|0;if(!w){a=cuc(128)|0;SFb(a);I=a}else{if(f[w+64>>2]|0)HIb(w,23080,128);a=GIb(w,128,1999)|0;SFb(a);I=a}a=f[n>>2]|0;w=f[p>>2]|0;f[p>>2]=w+1;f[a+4+(w<<2)>>2]=I;H=I}w=f[c>>2]|0;if(w>>>0<(f[g>>2]|0)>>>0?(a=b[w>>0]|0,a<<24>>24>-1):0){f[c>>2]=w+1;J=a&255}else{a=NJb(c)|0;if((a|0)>-1)J=a;else{B=0;y=53;break a}}yJb(e,c,J);if((f[q>>2]|0)<0){y=38;break a}if(!(Th[f[(f[H>>2]|0)+44>>2]&1023](H,c)|0)){y=38;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{B=0;y=53;break a}break}case 6:{if((x&255|0)!=50){A=x;break b}f[j>>2]=f[j>>2]|4;a=f[r>>2]|0;if((a|0)==542896){JEa(r,542896);K=f[r>>2]|0}else K=a;if($Lb(c,K)|0)continue a;else{B=0;y=53;break a}break}case 7:{if((x&255|0)!=58){A=x;break b}f[j>>2]=f[j>>2]|8;a=f[s>>2]|0;if((a|0)==542896){JEa(s,542896);L=f[s>>2]|0}else L=a;if($Lb(c,L)|0)continue a;else{B=0;y=53;break a}break}default:{A=x;break b}}}while(0);if(!A){B=1;y=53;break}a=f[t>>2]|0;if(!(a&1))M=OOa(t)|0;else M=a&-2;if(!(xbc(c,A,M)|0)){B=0;y=53;break}}if((y|0)==38){B=0;u=d;return B|0}else if((y|0)==53){u=d;return B|0}return 0}function eGb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;c=f[a+4>>2]|0;if(!(c&1))d=0;else d=Dbc(c&-2)|0;c=f[a+20>>2]|0;e=c+d|0;if((c|0)>0){d=f[a+28>>2]|0;g=0;h=e;while(1){i=f[d+4+(g<<2)>>2]|0;j=b[i+11>>0]|0;k=j<<24>>24<0?f[i+4>>2]|0:j&255;j=k+h+((((($(k|1|0)|0)^31)*9|0)+73|0)>>>6)|0;g=g+1|0;if((g|0)==(c|0)){l=j;break}else h=j}}else l=e;e=f[a+36>>2]|0;h=e+l|0;if((e|0)>0){l=f[a+44>>2]|0;c=0;g=h;while(1){d=f[l+4+(c<<2)>>2]|0;j=b[d+11>>0]|0;k=j<<24>>24<0?f[d+4>>2]|0:j&255;j=k+g+((((($(k|1|0)|0)^31)*9|0)+73|0)>>>6)|0;c=c+1|0;if((c|0)==(e|0)){m=j;break}else g=j}}else m=h;h=f[a+52>>2]|0;g=h+m|0;if(!h)n=g;else{m=a+60|0;e=0;c=g;while(1){g=f[(f[m>>2]|0)+4+(e<<2)>>2]|0;l=di[f[(f[g>>2]|0)+48>>2]&1023](g)|0;g=l+c+((((($(l|1|0)|0)^31)*9|0)+73|0)>>>6)|0;e=e+1|0;if((e|0)==(h|0)){n=g;break}else c=g}}c=f[a+8>>2]|0;if(!(c&15)){o=n;p=a+12|0;f[p>>2]=o;return o|0}if(!(c&1))q=n;else{h=f[a+64>>2]|0;e=b[h+11>>0]|0;m=e<<24>>24<0?f[h+4>>2]|0:e&255;q=n+1+m+((((($(m|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(c&2))r=q;else{m=f[a+68>>2]|0;n=b[m+11>>0]|0;e=n<<24>>24<0?f[m+4>>2]|0:n&255;r=q+1+e+((((($(e|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(c&4))s=r;else{e=f[a+72>>2]|0;q=b[e+11>>0]|0;n=q<<24>>24<0?f[e+4>>2]|0:q&255;s=r+1+n+((((($(n|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(c&8)){o=s;p=a+12|0;f[p>>2]=o;return o|0}c=f[a+76>>2]|0;n=b[c+11>>0]|0;r=n<<24>>24<0?f[c+4>>2]|0:n&255;o=s+1+r+((((($(r|1|0)|0)^31)*9|0)+73|0)>>>6)|0;p=a+12|0;f[p>>2]=o;return o|0}function fGb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=f[a+20>>2]|0;if((c|0)>0){d=a+28|0;e=0;do{ULb(1,f[(f[d>>2]|0)+4+(e<<2)>>2]|0,b);e=e+1|0}while((e|0)!=(c|0))}c=f[a+36>>2]|0;if((c|0)>0){e=a+44|0;d=0;do{ULb(2,f[(f[e>>2]|0)+4+(d<<2)>>2]|0,b);d=d+1|0}while((d|0)!=(c|0))}c=f[a+8>>2]|0;if(c&1|0)VLb(3,f[a+64>>2]|0,b);if(c&2|0)VLb(4,f[a+68>>2]|0,b);d=f[a+52>>2]|0;if(d|0){e=a+60|0;g=0;do{_Lb(5,f[(f[e>>2]|0)+4+(g<<2)>>2]|0,b);g=g+1|0}while((g|0)!=(d|0))}if(c&4|0)VLb(6,f[a+72>>2]|0,b);if(c&8|0)VLb(7,f[a+76>>2]|0,b);c=f[a+4>>2]|0;if(!(c&1))return;Abc(c&-2,b);return}function gGb(a){a=a|0;return f[a+12>>2]|0}function hGb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;e=f[a+20>>2]|0;if((e|0)>0){g=a+28|0;h=0;i=d;while(1){j=f[(f[g>>2]|0)+4+(h<<2)>>2]|0;b[i>>0]=10;k=XJb(j,i+1|0)|0;h=h+1|0;if((h|0)==(e|0)){l=k;break}else i=k}}else l=d;d=f[a+36>>2]|0;if((d|0)>0){i=a+44|0;e=0;h=l;while(1){g=f[(f[i>>2]|0)+4+(e<<2)>>2]|0;b[h>>0]=18;k=XJb(g,h+1|0)|0;e=e+1|0;if((e|0)==(d|0)){m=k;break}else h=k}}else m=l;l=f[a+8>>2]|0;if(!(l&1))n=m;else{h=f[a+64>>2]|0;b[m>>0]=26;n=XJb(h,m+1|0)|0}if(!(l&2))o=n;else{m=f[a+68>>2]|0;b[n>>0]=34;o=XJb(m,n+1|0)|0}n=f[a+52>>2]|0;if(!n)p=o;else{m=a+60|0;h=0;d=o;while(1){o=f[(f[m>>2]|0)+4+(h<<2)>>2]|0;b[d>>0]=42;e=d+1|0;i=di[f[(f[o>>2]|0)+60>>2]&1023](o)|0;if(i>>>0>127){k=i;g=e;while(1){b[g>>0]=k|128;j=k>>>7;q=g+1|0;if(k>>>0>16383){k=j;g=q}else{r=q;s=j;break}}}else{r=e;s=i}b[r>>0]=s;g=li[f[(f[o>>2]|0)+64>>2]&511](o,c,r+1|0)|0;h=h+1|0;if((h|0)==(n|0)){p=g;break}else d=g}}if(!(l&4))t=p;else{d=f[a+72>>2]|0;b[p>>0]=50;t=XJb(d,p+1|0)|0}if(!(l&8))u=t;else{l=f[a+76>>2]|0;b[t>>0]=58;u=XJb(l,t+1|0)|0}t=f[a+4>>2]|0;if(!(t&1)){v=u;return v|0}v=Bbc(t&-2,u)|0;return v|0}function iGb(a,b){a=a|0;b=b|0;var c=0;if((a|0)==(b|0))return;bGb(a);c=ovc(b,24728,23256,0)|0;if(!c){A9b(b,a);return}else{QFb(a,c);return}}function jGb(a,b){a=a|0;b=b|0;var c=0;c=ovc(b,24728,23256,0)|0;if(!c){A9b(b,a);return}else{QFb(a,c);return}}function kGb(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function lGb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224949]|0)!=2){f[d>>2]=151624;f[d+4>>2]=111;b[d+8>>0]=0;xLb(899796,d);QKb(d)}d=542504;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function mGb(a,b){a=a|0;b=b|0;if(!b)return;EIb(a,b,1978);return}function nGb(a){a=a|0;var c=0;c=f[a+64>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}c=f[a+68>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}c=f[a+72>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}c=f[a+76>>2]|0;if((c|0)==542896|(c|0)==0)return;if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c);return}function oGb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=a+12|0;c=f[b>>2]|0;if(!c){f[b>>2]=0;return}if(f[a>>2]|0){f[b>>2]=0;return}a=f[c>>2]|0;if((a|0)>0){d=0;do{e=f[c+4+(d<<2)>>2]|0;if(e|0)bi[f[(f[e>>2]|0)+4>>2]&2047](e);d=d+1|0}while((d|0)!=(a|0));g=f[b>>2]|0}else g=c;fuc(g);f[b>>2]=0;return}function pGb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;f[a>>2]=142396;c=f[a+96>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}c=f[a+100>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}c=a+92|0;d=f[c>>2]|0;if(d|0?(f[a+80>>2]|0)==0:0){e=f[d>>2]|0;if((e|0)>0){g=0;do{h=f[d+4+(g<<2)>>2]|0;if(h|0)bi[f[(f[h>>2]|0)+4>>2]&2047](h);g=g+1|0}while((g|0)!=(e|0));i=f[c>>2]|0}else i=d;fuc(i)}f[c>>2]=0;c=a+76|0;i=f[c>>2]|0;if(i|0?(f[a+64>>2]|0)==0:0){d=f[i>>2]|0;if((d|0)>0){e=0;do{g=f[i+4+(e<<2)>>2]|0;if(g|0)bi[f[(f[g>>2]|0)+4>>2]&2047](g);e=e+1|0}while((e|0)!=(d|0));j=f[c>>2]|0}else j=i;fuc(j)}f[c>>2]=0;c=a+60|0;j=f[c>>2]|0;if(j|0?(f[a+48>>2]|0)==0:0){i=f[j>>2]|0;if((i|0)>0){d=0;do{e=f[j+4+(d<<2)>>2]|0;if(e|0)bi[f[(f[e>>2]|0)+4>>2]&2047](e);d=d+1|0}while((d|0)!=(i|0));k=f[c>>2]|0}else k=j;fuc(k)}f[c>>2]=0;c=a+44|0;k=f[c>>2]|0;if(k|0?(f[a+32>>2]|0)==0:0){j=f[k>>2]|0;if((j|0)>0){i=0;do{d=f[k+4+(i<<2)>>2]|0;if(d|0)bi[f[(f[d>>2]|0)+4>>2]&2047](d);i=i+1|0}while((i|0)!=(j|0));l=f[c>>2]|0}else l=k;fuc(l)}f[c>>2]=0;c=a+28|0;l=f[c>>2]|0;if(l|0?(f[a+16>>2]|0)==0:0){k=f[l>>2]|0;if((k|0)>0){j=0;do{i=f[l+4+(j<<2)>>2]|0;if(i|0)bi[f[(f[i>>2]|0)+4>>2]&2047](i);j=j+1|0}while((j|0)!=(k|0));m=f[c>>2]|0}else m=l;fuc(m)}f[c>>2]=0;c=a+4|0;a=f[c>>2]|0;if(!(a&1)){f[c>>2]=0;return}m=a&-2;a=m;if((m|0)==0|(f[a+4>>2]|0)!=0){f[c>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(m);f[c>>2]=0;return}function qGb(a){a=a|0;pGb(a);fuc(a);return}function rGb(a){a=a|0;a=cuc(104)|0;mFb(a);return a|0}function sGb(a,b){a=a|0;b=b|0;a=cuc(104)|0;mFb(a);if(!b)return a|0;GGb(b,a);return a|0}function tGb(a){a=a|0;var c=0,d=0,e=0,g=0;c=a+20|0;d=f[c>>2]|0;if((d|0)>0){e=f[a+28>>2]|0;g=0;do{bGb(f[e+4+(g<<2)>>2]|0);g=g+1|0}while((g|0)!=(d|0));f[c>>2]=0}c=a+36|0;d=f[c>>2]|0;if((d|0)>0){g=f[a+44>>2]|0;e=0;do{UDb(f[g+4+(e<<2)>>2]|0);e=e+1|0}while((e|0)!=(d|0));f[c>>2]=0}c=a+52|0;d=f[c>>2]|0;if((d|0)>0){e=f[a+60>>2]|0;g=0;do{zFb(f[e+4+(g<<2)>>2]|0);g=g+1|0}while((g|0)!=(d|0));f[c>>2]=0}c=a+68|0;d=f[c>>2]|0;if((d|0)>0){g=f[a+76>>2]|0;e=0;do{zFb(f[g+4+(e<<2)>>2]|0);e=e+1|0}while((e|0)!=(d|0));f[c>>2]=0}c=a+84|0;d=f[c>>2]|0;if((d|0)>0){e=f[a+92>>2]|0;g=0;do{zFb(f[e+4+(g<<2)>>2]|0);g=g+1|0}while((g|0)!=(d|0));f[c>>2]=0}c=a+8|0;d=f[c>>2]|0;do if(d&3|0){do if(d&1|0){g=f[a+96>>2]|0;e=g+11|0;if((b[e>>0]|0)<0){b[f[g>>2]>>0]=0;f[g+4>>2]=0;break}else{b[g>>0]=0;b[e>>0]=0;break}}while(0);if(d&2|0){e=f[a+100>>2]|0;g=e+11|0;if((b[g>>0]|0)<0){b[f[e>>2]>>0]=0;f[e+4>>2]=0;break}else{b[e>>0]=0;b[g>>0]=0;break}}}while(0);f[c>>2]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;ebc(a);return}function uGb(a){a=a|0;return 1}function vGb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0;d=u;u=u+16|0;e=d;g=c+4|0;h=a+16|0;i=a+28|0;j=a+24|0;k=a+20|0;l=e+4|0;m=a+8|0;n=a+96|0;o=a+32|0;p=e+4|0;q=a+100|0;r=a+48|0;s=e+4|0;t=a+64|0;v=e+4|0;w=a+80|0;x=e+4|0;y=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){z=b[a>>0]|0;A=z&255;if(z<<24>>24>0){f[c>>2]=a+1;B=A;C=6}else{D=A;C=5}}else{D=0;C=5}if((C|0)==5){C=0;A=OJb(c,D)|0;if((A+-1|0)>>>0<127){B=A;C=6}else E=A}b:do if((C|0)==6){C=0;switch(B>>>3&536870911|0){case 1:{if((B&255|0)!=10){E=B;break b}A=f[i>>2]|0;do if(A){a=f[k>>2]|0;z=f[A>>2]|0;if((a|0)>=(z|0))if((z|0)==(f[j>>2]|0)){F=z;C=13;break}else{G=z;H=A;C=14;break}else{f[k>>2]=a+1;I=f[A+4+(a<<2)>>2]|0;break}}else{F=f[j>>2]|0;C=13}while(0);if((C|0)==13){C=0;LKb(h,F+1|0);A=f[i>>2]|0;G=f[A>>2]|0;H=A;C=14}if((C|0)==14){C=0;f[H>>2]=G+1;A=f[h>>2]|0;if(!A){a=cuc(80)|0;NFb(a);J=a}else{if(f[A+64>>2]|0)HIb(A,23256,80);a=GIb(A,80,1996)|0;NFb(a);J=a}a=f[i>>2]|0;A=f[k>>2]|0;f[k>>2]=A+1;f[a+4+(A<<2)>>2]=J;I=J}A=f[c>>2]|0;if(A>>>0<(f[g>>2]|0)>>>0?(a=b[A>>0]|0,a<<24>>24>-1):0){f[c>>2]=A+1;K=a&255}else{a=NJb(c)|0;if((a|0)>-1)K=a;else{L=0;C=77;break a}}yJb(e,c,K);if((f[l>>2]|0)<0){C=26;break a}if(!(Th[f[(f[I>>2]|0)+44>>2]&1023](I,c)|0)){C=26;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{L=0;C=77;break a}break}case 2:{if((B&255|0)!=18){E=B;break b}f[m>>2]=f[m>>2]|1;a=f[n>>2]|0;if((a|0)==542896){JEa(n,542896);M=f[n>>2]|0}else M=a;if($Lb(c,M)|0)continue a;else{L=0;C=77;break a}break}case 5:{if((B&255|0)!=42){E=B;break b}a=EGb(o)|0;A=f[c>>2]|0;if(A>>>0<(f[g>>2]|0)>>>0?(z=b[A>>0]|0,z<<24>>24>-1):0){f[c>>2]=A+1;N=z&255}else{z=NJb(c)|0;if((z|0)>-1)N=z;else{L=0;C=77;break a}}yJb(e,c,N);if((f[p>>2]|0)<0){C=39;break a}if(!(Th[f[(f[a>>2]|0)+44>>2]&1023](a,c)|0)){C=39;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{L=0;C=77;break a}break}case 10:{if((B&255|0)!=82){E=B;break b}f[m>>2]=f[m>>2]|2;a=f[q>>2]|0;if((a|0)==542896){JEa(q,542896);O=f[q>>2]|0}else O=a;if($Lb(c,O)|0)continue a;else{L=0;C=77;break a}break}case 11:{if((B&255|0)!=90){E=B;break b}a=FGb(r)|0;z=f[c>>2]|0;if(z>>>0<(f[g>>2]|0)>>>0?(A=b[z>>0]|0,A<<24>>24>-1):0){f[c>>2]=z+1;P=A&255}else{A=NJb(c)|0;if((A|0)>-1)P=A;else{L=0;C=77;break a}}yJb(e,c,P);if((f[s>>2]|0)<0){C=52;break a}if(!(Th[f[(f[a>>2]|0)+44>>2]&1023](a,c)|0)){C=52;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{L=0;C=77;break a}break}case 12:{if((B&255|0)!=98){E=B;break b}a=FGb(t)|0;A=f[c>>2]|0;if(A>>>0<(f[g>>2]|0)>>>0?(z=b[A>>0]|0,z<<24>>24>-1):0){f[c>>2]=A+1;Q=z&255}else{z=NJb(c)|0;if((z|0)>-1)Q=z;else{L=0;C=77;break a}}yJb(e,c,Q);if((f[v>>2]|0)<0){C=61;break a}if(!(Th[f[(f[a>>2]|0)+44>>2]&1023](a,c)|0)){C=61;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{L=0;C=77;break a}break}case 13:{if((B&255|0)!=106){E=B;break b}a=FGb(w)|0;z=f[c>>2]|0;if(z>>>0<(f[g>>2]|0)>>>0?(A=b[z>>0]|0,A<<24>>24>-1):0){f[c>>2]=z+1;R=A&255}else{A=NJb(c)|0;if((A|0)>-1)R=A;else{L=0;C=77;break a}}yJb(e,c,R);if((f[x>>2]|0)<0){C=70;break a}if(!(Th[f[(f[a>>2]|0)+44>>2]&1023](a,c)|0)){C=70;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{L=0;C=77;break a}break}default:{E=B;break b}}}while(0);if(!E){L=1;C=77;break}a=f[y>>2]|0;if(!(a&1))S=OOa(y)|0;else S=a&-2;if(!(xbc(c,E,S)|0)){L=0;C=77;break}}if((C|0)==26){L=0;u=d;return L|0}else if((C|0)==39){L=0;u=d;return L|0}else if((C|0)==52){L=0;u=d;return L|0}else if((C|0)==61){L=0;u=d;return L|0}else if((C|0)==70){L=0;u=d;return L|0}else if((C|0)==77){u=d;return L|0}return 0}function wGb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;c=f[a+4>>2]|0;if(!(c&1))d=0;else d=Dbc(c&-2)|0;c=f[a+20>>2]|0;e=c+d|0;if(!c)g=e;else{d=a+28|0;h=0;i=e;while(1){e=f[(f[d>>2]|0)+4+(h<<2)>>2]|0;j=di[f[(f[e>>2]|0)+48>>2]&1023](e)|0;e=j+i+((((($(j|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=h+1|0;if((h|0)==(c|0)){g=e;break}else i=e}}i=f[a+36>>2]|0;c=i+g|0;if(!i)k=c;else{g=a+44|0;h=0;d=c;while(1){c=f[(f[g>>2]|0)+4+(h<<2)>>2]|0;e=di[f[(f[c>>2]|0)+48>>2]&1023](c)|0;c=e+d+((((($(e|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=h+1|0;if((h|0)==(i|0)){k=c;break}else d=c}}d=f[a+52>>2]|0;i=d+k|0;if(!d)l=i;else{k=a+60|0;h=0;g=i;while(1){i=f[(f[k>>2]|0)+4+(h<<2)>>2]|0;c=di[f[(f[i>>2]|0)+48>>2]&1023](i)|0;i=c+g+((((($(c|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=h+1|0;if((h|0)==(d|0)){l=i;break}else g=i}}g=f[a+68>>2]|0;d=g+l|0;if(!g)m=d;else{l=a+76|0;h=0;k=d;while(1){d=f[(f[l>>2]|0)+4+(h<<2)>>2]|0;i=di[f[(f[d>>2]|0)+48>>2]&1023](d)|0;d=i+k+((((($(i|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=h+1|0;if((h|0)==(g|0)){m=d;break}else k=d}}k=f[a+84>>2]|0;g=k+m|0;if(!k)n=g;else{m=a+92|0;h=0;l=g;while(1){g=f[(f[m>>2]|0)+4+(h<<2)>>2]|0;d=di[f[(f[g>>2]|0)+48>>2]&1023](g)|0;g=d+l+((((($(d|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=h+1|0;if((h|0)==(k|0)){n=g;break}else l=g}}l=f[a+8>>2]|0;if(!(l&3)){o=n;p=a+12|0;f[p>>2]=o;return o|0}if(!(l&1))q=n;else{k=f[a+96>>2]|0;h=b[k+11>>0]|0;m=h<<24>>24<0?f[k+4>>2]|0:h&255;q=n+1+m+((((($(m|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(l&2)){o=q;p=a+12|0;f[p>>2]=o;return o|0}l=f[a+100>>2]|0;m=b[l+11>>0]|0;n=m<<24>>24<0?f[l+4>>2]|0:m&255;o=q+1+n+((((($(n|1|0)|0)^31)*9|0)+73|0)>>>6)|0;p=a+12|0;f[p>>2]=o;return o|0}function xGb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=f[a+20>>2]|0;if(c|0){d=a+28|0;e=0;do{_Lb(1,f[(f[d>>2]|0)+4+(e<<2)>>2]|0,b);e=e+1|0}while((e|0)!=(c|0))}c=f[a+8>>2]|0;if(c&1|0)VLb(2,f[a+96>>2]|0,b);e=f[a+36>>2]|0;if(e|0){d=a+44|0;g=0;do{_Lb(5,f[(f[d>>2]|0)+4+(g<<2)>>2]|0,b);g=g+1|0}while((g|0)!=(e|0))}if(c&2|0)VLb(10,f[a+100>>2]|0,b);c=f[a+52>>2]|0;if(c|0){e=a+60|0;g=0;do{_Lb(11,f[(f[e>>2]|0)+4+(g<<2)>>2]|0,b);g=g+1|0}while((g|0)!=(c|0))}c=f[a+68>>2]|0;if(c|0){g=a+76|0;e=0;do{_Lb(12,f[(f[g>>2]|0)+4+(e<<2)>>2]|0,b);e=e+1|0}while((e|0)!=(c|0))}c=f[a+84>>2]|0;if(c|0){e=a+92|0;g=0;do{_Lb(13,f[(f[e>>2]|0)+4+(g<<2)>>2]|0,b);g=g+1|0}while((g|0)!=(c|0))}c=f[a+4>>2]|0;if(!(c&1))return;Abc(c&-2,b);return}function yGb(a){a=a|0;return f[a+12>>2]|0}function zGb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;e=f[a+20>>2]|0;if(!e)g=d;else{h=a+28|0;i=d;d=0;while(1){j=f[(f[h>>2]|0)+4+(d<<2)>>2]|0;b[i>>0]=10;k=i+1|0;l=di[f[(f[j>>2]|0)+60>>2]&1023](j)|0;if(l>>>0>127){m=l;n=k;while(1){b[n>>0]=m|128;o=m>>>7;p=n+1|0;if(m>>>0>16383){m=o;n=p}else{q=p;r=o;break}}}else{q=k;r=l}b[q>>0]=r;n=li[f[(f[j>>2]|0)+64>>2]&511](j,c,q+1|0)|0;d=d+1|0;if((d|0)==(e|0)){g=n;break}else i=n}}i=f[a+8>>2]|0;if(!(i&1))s=g;else{e=f[a+96>>2]|0;b[g>>0]=18;s=XJb(e,g+1|0)|0}g=f[a+36>>2]|0;if(!g)t=s;else{e=a+44|0;d=0;q=s;while(1){s=f[(f[e>>2]|0)+4+(d<<2)>>2]|0;b[q>>0]=42;r=q+1|0;h=di[f[(f[s>>2]|0)+60>>2]&1023](s)|0;if(h>>>0>127){n=h;m=r;while(1){b[m>>0]=n|128;o=n>>>7;p=m+1|0;if(n>>>0>16383){n=o;m=p}else{u=p;v=o;break}}}else{u=r;v=h}b[u>>0]=v;m=li[f[(f[s>>2]|0)+64>>2]&511](s,c,u+1|0)|0;d=d+1|0;if((d|0)==(g|0)){t=m;break}else q=m}}if(!(i&2))w=t;else{i=f[a+100>>2]|0;b[t>>0]=82;w=XJb(i,t+1|0)|0}t=f[a+52>>2]|0;if(!t)x=w;else{i=a+60|0;q=0;g=w;while(1){w=f[(f[i>>2]|0)+4+(q<<2)>>2]|0;b[g>>0]=90;d=g+1|0;u=di[f[(f[w>>2]|0)+60>>2]&1023](w)|0;if(u>>>0>127){v=u;e=d;while(1){b[e>>0]=v|128;m=v>>>7;n=e+1|0;if(v>>>0>16383){v=m;e=n}else{y=n;z=m;break}}}else{y=d;z=u}b[y>>0]=z;e=li[f[(f[w>>2]|0)+64>>2]&511](w,c,y+1|0)|0;q=q+1|0;if((q|0)==(t|0)){x=e;break}else g=e}}g=f[a+68>>2]|0;if(!g)A=x;else{t=a+76|0;q=0;y=x;while(1){x=f[(f[t>>2]|0)+4+(q<<2)>>2]|0;b[y>>0]=98;z=y+1|0;i=di[f[(f[x>>2]|0)+60>>2]&1023](x)|0;if(i>>>0>127){e=i;v=z;while(1){b[v>>0]=e|128;s=e>>>7;h=v+1|0;if(e>>>0>16383){e=s;v=h}else{B=h;C=s;break}}}else{B=z;C=i}b[B>>0]=C;v=li[f[(f[x>>2]|0)+64>>2]&511](x,c,B+1|0)|0;q=q+1|0;if((q|0)==(g|0)){A=v;break}else y=v}}y=f[a+84>>2]|0;if(!y)D=A;else{g=a+92|0;q=0;B=A;while(1){A=f[(f[g>>2]|0)+4+(q<<2)>>2]|0;b[B>>0]=106;C=B+1|0;t=di[f[(f[A>>2]|0)+60>>2]&1023](A)|0;if(t>>>0>127){v=t;e=C;while(1){b[e>>0]=v|128;w=v>>>7;u=e+1|0;if(v>>>0>16383){v=w;e=u}else{E=u;F=w;break}}}else{E=C;F=t}b[E>>0]=F;e=li[f[(f[A>>2]|0)+64>>2]&511](A,c,E+1|0)|0;q=q+1|0;if((q|0)==(y|0)){D=e;break}else B=e}}B=f[a+4>>2]|0;if(!(B&1)){G=D;return G|0}G=Bbc(B&-2,D)|0;return G|0}function AGb(a,b){a=a|0;b=b|0;var c=0;if((a|0)==(b|0))return;tGb(a);c=ovc(b,24728,23272,0)|0;if(!c){A9b(b,a);return}else{nFb(a,c);return}}function BGb(a,b){a=a|0;b=b|0;var c=0;c=ovc(b,24728,23272,0)|0;if(!c){A9b(b,a);return}else{nFb(a,c);return}}function CGb(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function DGb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224949]|0)!=2){f[d>>2]=151624;f[d+4>>2]=111;b[d+8>>0]=0;xLb(899796,d);QKb(d)}d=542528;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function EGb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;b=a+12|0;c=f[b>>2]|0;do if(!c){d=a+4|0;e=f[a+8>>2]|0;g=6}else{h=a+4|0;i=f[h>>2]|0;j=f[c>>2]|0;if((i|0)>=(j|0))if((j|0)==(f[a+8>>2]|0)){d=h;e=j;g=6;break}else{k=h;l=j;m=c;break}f[h>>2]=i+1;n=f[c+4+(i<<2)>>2]|0;return n|0}while(0);if((g|0)==6){LKb(a,e+1|0);e=f[b>>2]|0;k=d;l=f[e>>2]|0;m=e}f[m>>2]=l+1;l=f[a>>2]|0;if(!l){a=cuc(144)|0;yEb(a);o=a}else{if(f[l+64>>2]|0)HIb(l,23176,144);a=GIb(l,144,1997)|0;yEb(a);o=a}a=f[b>>2]|0;b=f[k>>2]|0;f[k>>2]=b+1;f[a+4+(b<<2)>>2]=o;n=o;return n|0}function FGb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;b=a+12|0;c=f[b>>2]|0;do if(!c){d=a+4|0;e=f[a+8>>2]|0;g=6}else{h=a+4|0;i=f[h>>2]|0;j=f[c>>2]|0;if((i|0)>=(j|0))if((j|0)==(f[a+8>>2]|0)){d=h;e=j;g=6;break}else{k=h;l=j;m=c;break}f[h>>2]=i+1;n=f[c+4+(i<<2)>>2]|0;return n|0}while(0);if((g|0)==6){LKb(a,e+1|0);e=f[b>>2]|0;k=d;l=f[e>>2]|0;m=e}f[m>>2]=l+1;l=f[a>>2]|0;if(!l){a=cuc(28)|0;rFb(a);o=a}else{if(f[l+64>>2]|0)HIb(l,23240,32);a=GIb(l,32,1998)|0;rFb(a);o=a}a=f[b>>2]|0;b=f[k>>2]|0;f[k>>2]=b+1;f[a+4+(b<<2)>>2]=o;n=o;return n|0}function GGb(a,b){a=a|0;b=b|0;if(!b)return;EIb(a,b,1978);return}function HGb(a,b){a=a|0;b=b|0;TEb(b,a);return}function IGb(a){a=a|0;bi[f[f[a>>2]>>2]&2047](a);return}function JGb(a,b){a=a|0;b=b|0;tCb(b,a);return}function KGb(a){a=a|0;bi[f[f[a>>2]>>2]&2047](a);return}function LGb(a){a=a|0;var c=0,d=0,e=0;c=u;u=u+16|0;d=c;f[a>>2]=142072;f[a+4>>2]=0;f[a+8>>2]=0;e=a+16|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;f[e+16>>2]=0;f[e+20>>2]=0;f[e+24>>2]=0;f[e+28>>2]=0;if((a|0)!=541912?(f[224953]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=115;b[d+8>>0]=0;xLb(899812,d);QKb(d)}f[a+12>>2]=0;f[a+48>>2]=542896;f[a+52>>2]=542896;f[a+56>>2]=542896;f[a+60>>2]=542896;d=a+64|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;f[d+16>>2]=0;f[d+20>>2]=0;u=c;return}function MGb(a,b){a=a|0;b=b|0;if(!b)return;EIb(a,b,1978);return}function NGb(a){a=a|0;var c=0;c=f[a+48>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}c=f[a+52>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}c=f[a+56>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}c=f[a+60>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}if((a|0)==541912)return;c=f[a+64>>2]|0;if(!c)return;bi[f[(f[c>>2]|0)+4>>2]&2047](c);return}function OGb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=a+12|0;c=f[b>>2]|0;if(!c){f[b>>2]=0;return}if(f[a>>2]|0){f[b>>2]=0;return}a=f[c>>2]|0;if((a|0)>0){d=0;do{e=f[c+4+(d<<2)>>2]|0;if(e|0)bi[f[(f[e>>2]|0)+4>>2]&2047](e);d=d+1|0}while((d|0)!=(a|0));g=f[b>>2]|0}else g=c;fuc(g);f[b>>2]=0;return}function PGb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=a+12|0;c=f[b>>2]|0;if(!c){f[b>>2]=0;return}if(f[a>>2]|0){f[b>>2]=0;return}a=f[c>>2]|0;if((a|0)>0){d=0;do{e=f[c+4+(d<<2)>>2]|0;if(e|0)bi[f[(f[e>>2]|0)+4>>2]&2047](e);d=d+1|0}while((d|0)!=(a|0));g=f[b>>2]|0}else g=c;fuc(g);f[b>>2]=0;return}function QGb(a,b){a=a|0;b=b|0;if(!b)return;EIb(a,b,1978);return}function RGb(a){a=a|0;var c=0;c=f[a+88>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}c=f[a+92>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}c=f[a+96>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}c=f[a+100>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}if((a|0)==541672)return;c=f[a+104>>2]|0;if(c|0)bi[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+108>>2]|0;if(!c)return;bi[f[(f[c>>2]|0)+4>>2]&2047](c);return}function SGb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=a+12|0;c=f[b>>2]|0;if(!c){f[b>>2]=0;return}if(f[a>>2]|0){f[b>>2]=0;return}a=f[c>>2]|0;if((a|0)>0){d=0;do{e=f[c+4+(d<<2)>>2]|0;if(e|0)bi[f[(f[e>>2]|0)+4>>2]&2047](e);d=d+1|0}while((d|0)!=(a|0));g=f[b>>2]|0}else g=c;fuc(g);f[b>>2]=0;return}function TGb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=a+12|0;c=f[b>>2]|0;if(!c){f[b>>2]=0;return}if(f[a>>2]|0){f[b>>2]=0;return}a=f[c>>2]|0;if((a|0)>0){d=0;do{e=f[c+4+(d<<2)>>2]|0;if(e|0)bi[f[(f[e>>2]|0)+4>>2]&2047](e);d=d+1|0}while((d|0)!=(a|0));g=f[b>>2]|0}else g=c;fuc(g);f[b>>2]=0;return}function UGb(){var a=0,c=0;a=u;u=u+16|0;c=a;if((f[224950]|0)==2){u=a;return}f[c>>2]=151624;f[c+4>>2]=112;b[c+8>>0]=0;xLb(899800,c);QKb(c);u=a;return}function VGb(a,c,d,e,g,h,i){a=a|0;c=c|0;d=+d;e=+e;g=g|0;h=+h;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0.0,Q=0.0,R=0.0,S=0.0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0.0,aa=0,ba=0,ca=0,da=0;j=u;u=u+48|0;k=j;l=j+36|0;m=j+32|0;if(((f[a+4>>2]|0)-(f[a>>2]|0)>>5|0)!=((f[c+4>>2]|0)-(f[c>>2]|0)>>2|0)){n=cuc(32)|0;f[k>>2]=n;f[k+8>>2]=-2147483616;f[k+4>>2]=30;o=n;q=484668;r=o+30|0;do{b[o>>0]=b[q>>0]|0;o=o+1|0;q=q+1|0}while((o|0)<(r|0));b[n+30>>0]=0;WD(-215,k,484699,484708,36)}if(!(d>=0.0)){n=cuc(32)|0;f[k>>2]=n;f[k+8>>2]=-2147483616;f[k+4>>2]=20;o=n;q=484772;r=o+20|0;do{b[o>>0]=b[q>>0]|0;o=o+1|0;q=q+1|0}while((o|0)<(r|0));b[n+20>>0]=0;WD(-215,k,484699,484708,36)}if(!(e>=0.0)){n=cuc(32)|0;f[k>>2]=n;f[k+8>>2]=-2147483616;f[k+4>>2]=18;o=n;q=484793;r=o+18|0;do{b[o>>0]=b[q>>0]|0;o=o+1|0;q=q+1|0}while((o|0)<(r|0));b[n+18>>0]=0;WD(-215,k,484699,484708,36)}if(!(h>0.0)){f[k+8>>2]=0;b[k+11>>0]=7;b[k>>0]=b[484812]|0;b[k+1>>0]=b[484813]|0;b[k+2>>0]=b[484814]|0;b[k+3>>0]=b[484815]|0;b[k+4>>0]=b[484816]|0;b[k+5>>0]=b[484817]|0;b[k+6>>0]=b[484818]|0;b[k+7>>0]=0;WD(-215,k,484699,484708,36)}f[l>>2]=0;n=l+4|0;f[n>>2]=0;f[l+8>>2]=0;Psb(c,d,i,l);i=f[g>>2]|0;c=g+4|0;q=f[c>>2]|0;o=i;r=q+(~((q+-4-o|0)>>>2)<<2)|0;if((q|0)==(i|0)){s=q;t=i}else{f[c>>2]=r;s=r;t=r}r=s;s=t;q=f[n>>2]|0;v=f[l>>2]|0;w=v;a:do if((q|0)!=(v|0)){x=g+8|0;if(h<1.0){y=k+8|0;z=k+16|0;A=k+24|0;B=0;d=e;C=r;D=t;E=i;F=w;G=o;H=s;while(1){I=f[F+(B<<3)+4>>2]|0;f[m>>2]=I;if((H-G|0)>0){J=0;K=G;L=C;M=E;N=I;while(1){I=f[M+(J<<2)>>2]|0;O=f[a>>2]|0;P=+p[O+(N<<5)+16>>3];Q=+p[O+(N<<5)+24>>3];R=P*Q+ +p[O+(I<<5)+16>>3]*+p[O+(I<<5)+24>>3];if(!(R<=2.220446049250313e-16)){p[k>>3]=+p[O+(N<<5)>>3];p[y>>3]=+p[O+(N<<5)+8>>3];p[z>>3]=P;p[A>>3]=Q;WGb(k,O+(I<<5)|0)|0;Q=+p[k+16>>3]*+p[k+24>>3];S=1.0-Q/(R-Q);T=f[g>>2]|0;U=f[c>>2]|0}else{S=0.0;T=K;U=L}V=1.0-S<=d;I=J+1|0;if(!(V&(I|0)<(U-T>>2|0)))break;J=I;K=T;L=U;M=T;N=f[m>>2]|0}if(V){W=U;X=17}else Y=0}else{W=D;X=17}do if((X|0)==17){X=0;if((W|0)==(f[x>>2]|0)){es(g,m);Y=1;break}else{f[W>>2]=f[m>>2];f[c>>2]=W+4;Y=1;break}}while(0);N=B+1|0;M=f[n>>2]|0;L=f[l>>2]|0;K=L;if(N>>>0>=M-L>>3>>>0){Z=M;_=K;break a}M=f[c>>2]|0;L=f[g>>2]|0;B=N;d=d>.5&Y?d*h:d;C=M;D=M;E=L;F=K;G=L;H=M}}else{H=k+8|0;G=k+16|0;F=k+24|0;E=0;D=w;C=o;B=s;A=r;z=t;y=i;while(1){M=f[D+(E<<3)+4>>2]|0;f[m>>2]=M;if((B-C|0)>0){L=0;K=y;N=M;M=C;J=A;while(1){I=f[K+(L<<2)>>2]|0;O=f[a>>2]|0;d=+p[O+(N<<5)+16>>3];Q=+p[O+(N<<5)+24>>3];R=d*Q+ +p[O+(I<<5)+16>>3]*+p[O+(I<<5)+24>>3];if(!(R<=2.220446049250313e-16)){p[k>>3]=+p[O+(N<<5)>>3];p[H>>3]=+p[O+(N<<5)+8>>3];p[G>>3]=d;p[F>>3]=Q;WGb(k,O+(I<<5)|0)|0;Q=+p[k+16>>3]*+p[k+24>>3];$=1.0-Q/(R-Q);aa=f[c>>2]|0;ba=f[g>>2]|0}else{$=0.0;aa=J;ba=M}ca=1.0-$<=e;I=L+1|0;if(!(ca&(I|0)<(aa-ba>>2|0)))break;L=I;K=ba;N=f[m>>2]|0;M=ba;J=aa}if(ca){da=aa;X=36}}else{da=z;X=36}do if((X|0)==36){X=0;if((da|0)==(f[x>>2]|0)){es(g,m);break}else{f[da>>2]=f[m>>2];f[c>>2]=da+4;break}}while(0);J=E+1|0;M=f[n>>2]|0;N=f[l>>2]|0;K=N;if(J>>>0>=M-N>>3>>>0){Z=M;_=K;break a}M=f[c>>2]|0;N=f[g>>2]|0;E=J;D=K;C=N;B=M;A=M;z=M;y=N}}}else{Z=q;_=w}while(0);w=Z;if(!_){u=j;return}if((w|0)!=(_|0))f[n>>2]=w+(~((w+-8-_|0)>>>3)<<3);fuc(_);u=j;return}function WGb(a,b){a=a|0;b=b|0;var c=0.0,d=0.0,e=0.0,g=0,h=0.0,i=0.0,j=0.0,k=0,l=0.0;c=+p[a>>3];d=+p[b>>3];e=c<d?d:c;g=a+8|0;h=+p[g>>3];i=+p[b+8>>3];j=h<i?i:h;k=a+16|0;l=c+ +p[k>>3];c=d+ +p[b+16>>3];d=(c<l?c:l)-e;p[k>>3]=d;k=a+24|0;l=h+ +p[k>>3];h=i+ +p[b+24>>3];i=(h<l?h:l)-j;p[k>>3]=i;p[a>>3]=e;p[g>>3]=j;if(!(d<=0.0)&!(i<=0.0))return a|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;f[a+16>>2]=0;f[a+20>>2]=0;f[a+24>>2]=0;f[a+28>>2]=0;return a|0}function XGb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0;if(!(b&2147483647)){c=b>>31&-822083584;f[a>>2]=c;return}d=(b|0)<0?0-b|0:b;e=d>>>0<65536;g=e?d<<16:d;i=e?16:0;e=g>>>0<16777216;j=((h[484820+((e?g<<8:g)>>>24)>>0]|0)+((e?i|8:i)&255)<<24)+-16777216|0;i=j>>24;e=156-i|0;if((j|0)>100663296&e>>>0<253){c=(d<<i+-7)+(b&-2147483648)+(b|0?e<<23:0)|0;f[a>>2]=c;return}j=d<<i;i=j&127;do if(e>>>0>252){if((e|0)>=0){if(!((e|0)>253|(j+64|0)<0)){k=e;l=i;m=j;break}c=b&-2147483648|2139095040;f[a>>2]=c;return}d=0-e|0;if(d>>>0<31)n=(j<<(e&31)|0)!=0|j>>>d;else n=(j|0)!=0&1;k=0;l=n&127;m=n}else{k=e;l=i;m=j}while(0);j=(m+64|0)>>>7&~(l<<24>>24==64);c=((j|0)==0?0:k<<23)+(j|b&-2147483648)|0;f[a>>2]=c;return}function YGb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;c=f[b>>2]|0;b=c>>>23;d=c&8388607;a:do switch((b&255)<<24>>24){case -1:{e=c>>>31;if(!d){g=yzc(e|0,0,63)|0;i=g;j=J|2146435072;break a}else{g=yzc(e|0,0,63)|0;e=J;k=yzc(c|0,0,29)|0;i=k|g;j=J|e|2146959360;break a}break}case 0:{if(!d){e=yzc(c>>>31|0,0,63)|0;i=e;j=J;break a}else{e=d>>>0<65536;g=e?c<<16:d;k=e?16:0;e=g>>>0<16777216;l=((h[484820+((e?g<<8:g)>>>24)>>0]|0)+((e?k|8:k)&255)<<24)+-134217728>>24;m=0-l|0;n=d<<l;o=8;break a}break}default:{m=b&255;n=d;o=8}}while(0);if((o|0)==8){o=yzc(c>>>31|0,0,63)|0;c=J;d=yzc(m+896|0,0,52)|0;m=J;b=yzc(n|0,0,29)|0;n=hzc(d|0,m|0,b|o|0,J|c|0)|0;i=n;j=J}n=a;f[n>>2]=i;f[n+4>>2]=j;return}function ZGb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;d=f[b>>2]|0;b=f[c>>2]|0;if((b^d|0)<0){_Gb(a,d,b);return}else{$Gb(a,d,b);return}}function _Gb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;d=b>>>23&255;e=b&8388607;g=c>>>23&255;i=c&8388607;j=d-g|0;a:do if(!j){if((d|0)==255){if(!(i|e))k=-4194304;else break;f[a>>2]=k;return}l=e-i|0;if(!l){k=0;f[a>>2]=k;return}m=(d|0)==0?0:d+-1|0;n=(l|0)<0;o=n?0-l|0:l;l=o>>>0<65536;p=l?o<<16:o;q=l?16:0;l=p>>>0<16777216;r=((h[484820+((l?p<<8:p)>>>24)>>0]|0)+((l?q|8:q)&255)&255)+248|0;q=m-(r<<24>>24)|0;l=(q|0)<0;k=(l?0:q<<23)+(((n?(b|0)>-1:(b|0)<0)&1)<<31)+(o<<((l?m:r)<<24>>24))|0;f[a>>2]=k;return}else{r=e<<7;m=i<<7;do if((j|0)<0){if((g|0)!=255){s=(d|0?1073741824:r)+r|0;t=m;u=0-j|0;v=g;w=(b|0)>-1;break}if(i|0)break a;k=(b&-2147483648)+-8388608|0;f[a>>2]=k;return}else{if((d|0)!=255){s=(g|0?1073741824:m)+m|0;t=r;u=j;v=d;w=(b|0)<0;break}if(!e)k=b;else break a;f[a>>2]=k;return}while(0);if(u>>>0<31)x=(s<<(0-u&31)|0)!=0|s>>>u;else x=(s|0)!=0&1;r=(t|1073741824)-x|0;m=r>>>0<65536;l=m?r<<16:r;o=m?16:0;m=l>>>0<16777216;n=(((m?o|8:o)&255)+(h[484820+((m?l<<8:l)>>>24)>>0]|0)<<24)+-16777216|0;l=n>>24;m=v+-1-l|0;if((n|0)>100663296&m>>>0<253){k=(r<<l+-7)+((w&1)<<31)+(r|0?m<<23:0)|0;f[a>>2]=k;return}n=r<<l;l=n&127;do if(m>>>0>252){if((m|0)>=0){if(!((m|0)>253|(n+64|0)<0)){y=m;z=l;A=n;break}k=(w&1)<<31|2139095040;f[a>>2]=k;return}r=0-m|0;if(r>>>0<31)B=(n<<(m&31)|0)!=0|n>>>r;else B=(n|0)!=0&1;y=0;z=B&127;A=B}else{y=m;z=l;A=n}while(0);n=(A+64|0)>>>7&~(z<<24>>24==64);k=((n|0)==0?0:y<<23)+(n|(w&1)<<31)|0;f[a>>2]=k;return}while(0);k=((b&2143289344|0)==2139095040&(b&4194303|0)!=0?b:(b&2139095040|0)!=2139095040|(e|0)==0?c:b)|4194304;f[a>>2]=k;return}function $Gb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;d=b>>>23;e=d&255;g=b&8388607;h=c>>>23;i=h&255;j=c&8388607;k=e-i|0;a:do if(!k)switch((d&255)<<24>>24){case 0:{l=j+b|0;f[a>>2]=l;return}case -1:{if(!(j|g))l=b;else{m=30;break a}f[a>>2]=l;return}default:{n=(g|16777216)+j|0;if(!(e>>>0<254&(c+b&1|0)==0)){o=n<<6;p=e;break a}l=(e<<23|b&-2147483648)+(n>>>1)|0;f[a>>2]=l;return}}else{n=g<<6;q=j<<6;do if((k|0)<0)if((i|0)!=255){r=(e|0?536870912:n)+n|0;s=0-k|0;if(s>>>0<31){t=i;u=(r<<(d-h&31)|0)!=0|r>>>s;v=q;break}else{t=i;u=(r|0)!=0&1;v=q;break}}else{if(j|0){m=30;break a}l=b&-2147483648|2139095040;f[a>>2]=l;return}else{if((e|0)==255){if(!g)l=b;else{m=30;break a}f[a>>2]=l;return}r=(i|0?536870912:q)+q|0;if(k>>>0<31){t=e;u=n;v=(r<<(0-k&31)|0)!=0|r>>>k;break}else{t=e;u=n;v=(r|0)!=0&1;break}}while(0);n=v+536870912+u|0;q=n>>>0<1073741824;o=n<<(q&1);p=(q<<31>>31)+t|0}while(0);if((m|0)==30){l=((b&2143289344|0)==2139095040&(b&4194303|0)!=0?b:(b&2139095040|0)!=2139095040|(g|0)==0?c:b)|4194304;f[a>>2]=l;return}c=o&127;do if(p>>>0>252){if((p|0)>=0){if(!((p|0)>253|(o+64|0)<0)){w=p;x=c;y=o;break}l=b&-2147483648|2139095040;f[a>>2]=l;return}g=0-p|0;if(g>>>0<31)z=(o<<(p&31)|0)!=0|o>>>g;else z=(o|0)!=0&1;w=0;x=z&127;y=z}else{w=p;x=c;y=o}while(0);o=(y+64|0)>>>7&~(x<<24>>24==64);l=((o|0)==0?0:w<<23)+(o|b&-2147483648)|0;f[a>>2]=l;return}function aHb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;d=f[b>>2]|0;b=f[c>>2]|0;if((b^d|0)<0){$Gb(a,d,b);return}else{_Gb(a,d,b);return}}function bHb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;d=f[b>>2]|0;b=f[c>>2]|0;c=d>>>23&255;e=d&8388607;g=b>>>23&255;i=b&8388607;j=b^d;do if((c|0)==255)if((e|0)==0?!((i|0)!=0&(g|0)==255):0){k=g|i;l=24}else l=23;else{if((g|0)==255){if(i|0){l=23;break}k=c|e;l=24;break}if(!c){if(e|0){m=e>>>0<65536;n=m?d<<16:e;o=m?16:0;m=n>>>0<16777216;p=((h[484820+((m?n<<8:n)>>>24)>>0]|0)+((m?o|8:o)&255)<<24)+-134217728>>24;q=1-p|0;r=e<<p;l=11}}else{q=c;r=e;l=11}do if((l|0)==11){if(!g){if(!i)break;p=i>>>0<65536;o=p?b<<16:i;m=p?16:0;p=o>>>0<16777216;n=((h[484820+((p?o<<8:o)>>>24)>>0]|0)+((p?m|8:m)&255)<<24)+-134217728>>24;s=i<<n;t=1-n|0}else{s=i;t=g}n=Bzc(s<<8|-2147483648|0,0,r<<7|1073741824|0,0)|0;m=((n&-32768|0)!=0|0!=0)&1|J;n=m>>>0<1073741824;p=t+q+(n?-128:-127)|0;o=m<<(n&1);n=o&127;do if(p>>>0>252){if((p|0)>=0){if(!((p|0)>253|(o+64|0)<0)){u=p;v=n;w=o;break}x=j&-2147483648|2139095040;f[a>>2]=x;return}m=0-p|0;if(m>>>0<31)y=(o<<(p&31)|0)!=0|o>>>m;else y=(o|0)!=0&1;u=0;v=y&127;w=y}else{u=p;v=n;w=o}while(0);o=(w+64|0)>>>7&~(v<<24>>24==64);x=((o|0)==0?0:u<<23)+(o|j&-2147483648)|0;f[a>>2]=x;return}while(0);x=j&-2147483648;f[a>>2]=x;return}while(0);if((l|0)==23){x=((d&2143289344|0)==2139095040&(d&4194303|0)!=0?d:(d&2139095040|0)!=2139095040|(e|0)==0?b:d)|4194304;f[a>>2]=x;return}else if((l|0)==24){x=(k|0)==0?-4194304:j&-2147483648|2139095040;f[a>>2]=x;return}}function cHb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;d=f[b>>2]|0;b=f[c>>2]|0;c=d>>>23&255;e=d&8388607;g=b>>>23;i=g&255;j=b&8388607;k=b^d;a:do if((c|0)==255)if(!e)if((i|0)==255)if(!j){l=-4194304;f[a>>2]=l;return}else m=22;else m=23;else m=22;else{b:do switch((g&255)<<24>>24){case -1:{if(j|0){m=22;break a}break}case 0:{if(j|0){n=j>>>0<65536;o=n?b<<16:j;p=n?16:0;n=o>>>0<16777216;q=((h[484820+((n?o<<8:o)>>>24)>>0]|0)+((n?p|8:p)&255)<<24)+-134217728>>24;r=j<<q;s=1-q|0;m=10;break b}if(!(c|e))l=-4194304;else{m=23;break a}f[a>>2]=l;return}default:{r=j;s=i;m=10}}while(0);do if((m|0)==10){if(!c){if(!e)break;q=e>>>0<65536;p=q?d<<16:e;n=q?16:0;q=p>>>0<16777216;o=((h[484820+((q?p<<8:p)>>>24)>>0]|0)+((q?n|8:n)&255)<<24)+-134217728>>24;t=1-o|0;u=e<<o}else{t=c;u=e}o=u|8388608;n=r|8388608;q=o>>>0<n>>>0;p=(q?125:126)+(t-s)|0;v=yzc(o|0,0,(q?31:30)|0)|0;q=J;o=qzc(v|0,q|0,n|0,0)|0;w=Bzc(o|0,0,n|0,0)|0;n=(o&63|0)==0&((w|0)!=(v|0)|(J|0)!=(q|0))&1|o;o=n&127;do if(p>>>0>252){if((p|0)>=0){if(!((p|0)>253|(n+64|0)<0)){x=p;y=o;z=n;break}l=k&-2147483648|2139095040;f[a>>2]=l;return}q=0-p|0;if(q>>>0<31)A=(n<<(p&31)|0)!=0|n>>>q;else A=(n|0)!=0&1;x=0;y=A&127;z=A}else{x=p;y=o;z=n}while(0);n=(z+64|0)>>>7&~(y<<24>>24==64);l=((n|0)==0?0:x<<23)+(n|k&-2147483648)|0;f[a>>2]=l;return}while(0);l=k&-2147483648;f[a>>2]=l;return}while(0);if((m|0)==22){l=((d&2143289344|0)==2139095040&(d&4194303|0)!=0?d:(d&2139095040|0)!=2139095040|(e|0)==0?b:d)|4194304;f[a>>2]=l;return}else if((m|0)==23){l=k&-2147483648|2139095040;f[a>>2]=l;return}}function dHb(a,b){a=a|0;b=b|0;var c=0,d=0;c=f[b>>2]|0;b=f[a>>2]|0;if(!((c&2139095040|0)!=2139095040|(c&8388607|0)==0)){d=0;return d|0}if(!((b&2139095040|0)!=2139095040|(b&8388607|0)==0)){d=0;return d|0}a=c>>>31;if((a|0)==(b>>>31|0)){d=(c|0)!=(b|0)&(a|0)!=(c>>>0<b>>>0|0);return d|0}else{d=(c|0)<0&((b|c)&2147483647|0)!=0;return d|0}return 0}function eHb(a,b){a=a|0;b=b|0;var c=0,d=0;c=f[a>>2]|0;a=f[b>>2]|0;if(!((c&2139095040|0)!=2139095040|(c&8388607|0)==0)){d=0;return d|0}if(!((a&2139095040|0)!=2139095040|(a&8388607|0)==0)){d=0;return d|0}b=c>>>31;if((b|0)==(a>>>31|0)){d=(c|0)!=(a|0)&(b|0)!=(c>>>0<a>>>0|0);return d|0}else{d=(c|0)<0&((a|c)&2147483647|0)!=0;return d|0}return 0}function fHb(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;g=(e|0)==0;i=g?32:0;j=g?d:e;g=j>>>0<65536;k=g?i|16:i;i=g?j<<16:j;j=i>>>0<16777216;g=((h[484820+((j?i<<8:i)>>>24)>>0]|0)+((j?k|8:k)&255)<<24)+-16777216|0;k=g>>24;j=c-k|0;if((g|0)>150994944&j>>>0<2045){g=yzc(b&1|0,0,63)|0;c=J;i=(d|0)!=0|(e|0)!=0;l=yzc(j|0,0,52)|0;m=i?J:0;n=yzc(d|0,e|0,k+-10|0)|0;o=hzc(n|0,J|0,g|0,c|0)|0;c=hzc(o|0,J|0,(i?l:0)|0,m|0)|0;p=J;q=c;r=a;s=r;f[s>>2]=q;t=r+4|0;u=t;f[u>>2]=p;return}c=yzc(d|0,e|0,k|0)|0;k=J;e=c&1023;do if((j&65535)>>>0>2044){if((j|0)>=0){hzc(c|0,k|0,512,0)|0;if(!((j|0)>2045|(J|0)<0)){v=j;w=e;x=c;y=k;break}d=yzc(b&1|0,0,63)|0;p=J|2146435072;q=d;r=a;s=r;f[s>>2]=q;t=r+4|0;u=t;f[u>>2]=p;return}d=0-j|0;if(d>>>0<63){m=pzc(c|0,k|0,d|0)|0;d=J;l=yzc(c|0,k|0,j&63|0)|0;z=d;A=((l|0)!=0|(J|0)!=0)&1|m}else{z=0;A=((c|0)!=0|(k|0)!=0)&1}v=0;w=A&1023;x=A;y=z}else{v=j;w=e;x=c;y=k}while(0);k=hzc(x|0,y|0,512,0)|0;y=pzc(k|0,J|0,10)|0;k=J;x=y&~((w|0)==512);w=(x|0)==0&(k|0)==0;y=yzc(b&1|0,0,63)|0;b=J;c=yzc(v|0,0,52)|0;v=hzc((w?0:c)|0,(w?0:J)|0,x|y|0,k|b|0)|0;p=J;q=v;r=a;s=r;f[s>>2]=q;t=r+4|0;u=t;f[u>>2]=p;return}function gHb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;if(!b){c=0;d=0;e=a;g=e;f[g>>2]=c;i=e+4|0;j=i;f[j>>2]=d;return}k=(b|0)<0?0-b|0:b;l=k>>>0<65536;m=l?k<<16:k;n=l?16:0;l=m>>>0<16777216;o=(h[484820+((l?m<<8:m)>>>24)>>0]|0)+((l?n|8:n)&255)|0;n=yzc(b>>>31|0,0,63)|0;b=J;l=(o<<24)+352321536>>24;o=yzc(1074-l|0,0,52)|0;m=J;p=yzc(k|0,0,l|0)|0;l=hzc(p|0,J|0,n|0,b|0)|0;b=hzc(l|0,J|0,o|0,m|0)|0;c=b;d=J;e=a;g=e;f[g>>2]=c;i=e+4|0;j=i;f[j>>2]=d;return}function hHb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+16|0;e=d;g=(c|0)<0;if((b|0)==0&(c&2147483647|0)==0){ozc(b|0,c|0,63)|0;h=e;f[h>>2]=0;f[h+4>>2]=J&-1008730112}else{h=gzc(0,0,b|0,c|0)|0;fHb(e,g,1084,g?h:b,g?J:c)}if((e|0)==(a|0)){u=d;return}c=e;e=f[c+4>>2]|0;g=a;f[g>>2]=f[c>>2];f[g+4>>2]=e;u=d;return}function iHb(a){a=a|0;var b=0,c=0,d=0;b=f[a>>2]|0;a=b>>>23&255;c=158-a|0;if((c|0)>31){d=0;return d|0}if((c|0)<1){d=(b|0)==-822083584?-2147483648:(b&8388607|0)!=0&(a|0)==255?2147483647:(b>>>31)+2147483647|0;return d|0}else{a=(b<<8|-2147483648)>>>c;d=(b|0)<0?0-a|0:a;return d|0}return 0}function jHb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0;b=f[a>>2]|0;a=b>>>23&255;c=b&8388607;d=(b|0)<0&((c|0)==0|(a|0)!=255);b=(a|0)==0?c:c|8388608;c=170-a|0;do if((c|0)>0)if(c>>>0<63){a=pzc(0,b|0,c|0)|0;e=J;g=yzc(0,b|0,0-c&63|0)|0;h=((g|0)!=0|(J|0)!=0)&1|a;i=e;break}else{h=(b|0)!=0&1;i=0;break}else{h=0;i=b}while(0);b=hzc(h|0,i|0,2048,0)|0;i=J;if(!(i>>>0>4095|(i|0)==4095&b>>>0>4294967295)){c=pzc(b|0,i|0,12)|0;i=(h&4095|0)==2048&0==0&1;h=d?(i|~c)+1|0:c&~i;if(!h){j=0;return j|0}if((h>>>31|0)==(d&1|0)){j=h;return j|0}}j=d?-2147483648:2147483647;return j|0}function kHb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;b=a;a=f[b>>2]|0;c=f[b+4>>2]|0;b=pzc(a|0,c|0,52)|0;d=b&2047;b=c&1048575;e=(c|0)<0&((a|0)==0&(b|0)==0|(d|0)!=2047);c=(d|0)==0;g=c?a:a;a=c?b:b|1048576;b=1063-d|0;do if((b|0)>0)if(b>>>0<63){d=pzc(g|0,a|0,b|0)|0;c=J;h=yzc(g|0,a|0,0-b&63|0)|0;i=((h|0)!=0|(J|0)!=0)&1|d;j=c;break}else{i=((g|0)!=0|(a|0)!=0)&1;j=0;break}else{i=g;j=a}while(0);a=hzc(i|0,j|0,2048,0)|0;j=J;if(!(j>>>0>4095|(j|0)==4095&a>>>0>4294967295)){g=pzc(a|0,j|0,12)|0;j=(i&4095|0)==2048&0==0&1;i=e?(j|~g)+1|0:g&~j;if(!i){k=0;return k|0}if((i>>>31|0)==(e&1|0)){k=i;return k|0}}k=e?-2147483648:2147483647;return k|0}function lHb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;b=a;a=f[b>>2]|0;c=f[b+4>>2]|0;b=pzc(a|0,c|0,52)|0;d=b&2047;b=c&1048575;e=(c|0)<0&((a|0)==0&(b|0)==0|(d|0)!=2047);c=(d|0)==0;g=c?a:a;a=c?b:b|1048576;b=1063-d|0;do if((b|0)>0)if(b>>>0<63){d=pzc(g|0,a|0,b|0)|0;c=J;h=yzc(g|0,a|0,0-b&63|0)|0;i=((h|0)!=0|(J|0)!=0)&1|d;j=c;break}else{i=((g|0)!=0|(a|0)!=0)&1;j=0;break}else{i=g;j=a}while(0);a=hzc(i|0,j|0,(e?4095:0)|0,(e?0:0)|0)|0;j=J;if(!(j>>>0>4095|(j|0)==4095&a>>>0>4294967295)){i=pzc(a|0,j|0,12)|0;j=e?0-i|0:i;if(!j){k=0;return k|0}if((j>>>31|0)==(e&1|0)){k=j;return k|0}}k=e?-2147483648:2147483647;return k|0}function mHb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;b=a;a=f[b>>2]|0;c=f[b+4>>2]|0;b=pzc(a|0,c|0,52)|0;d=b&2047;b=c&1048575;e=(c|0)<0&((a|0)==0&(b|0)==0|(d|0)!=2047);c=(d|0)==0;g=c?a:a;a=c?b:b|1048576;b=1075-d|0;if((b|0)<1){d=yzc(g|0,a|0,0-b|0)|0;c=J;if((b|0)<-11|(c|0)<0){h=e?-2147483648:2147483647;i=e?0:-1;J=h;return i|0}else{j=gzc(0,0,d|0,c|0)|0;h=e?J:c;i=e?j:d;J=h;return i|0}}if((b|0)>=64){h=0;i=0;J=h;return i|0}d=pzc(g|0,a|0,b|0)|0;j=J;c=yzc(g|0,a|0,0-b&63|0)|0;b=J;if((b|0)<0){a=hzc(d|0,j|0,1,0)|0;g=J;if(!((a|0)==0&(g|0)==0)){k=a&~((c|0)==0&(b&2147483647|0)==0&1);l=g;m=9}}else{k=d;l=j;m=9}if((m|0)==9){m=gzc(0,0,k|0,l|0)|0;j=e?m:k;m=e?J:l;if((k|0)==0&(l|0)==0){h=m;i=j;J=h;return i|0}l=pzc(j|0,m|0,63)|0;if((l|0)==(e&1|0)){h=m;i=j;J=h;return i|0}}h=e?-2147483648:2147483647;i=e?0:-1;J=h;return i|0}function nHb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;c=b;b=f[c>>2]|0;d=f[c+4>>2]|0;c=pzc(b|0,d|0,52)|0;e=c&2047;g=d&1048575;if((e|0)==2047){h=d&-2147483648;if((b|0)==0&(g|0)==0){i=h|2139095040;f[a>>2]=i;return}else{j=pzc(b|0,d|0,29)|0;i=h|2143289344|j&8388607;f[a>>2]=i;return}}j=pzc(b|0,g|0,22)|0;g=((b&4194303|0)!=0|0!=0)&1|j;if(!(g|e)){i=d&-2147483648;f[a>>2]=i;return}j=e+-897|0;b=g|1073741824;h=g&127;do if(j>>>0>252){if(e>>>0<897){g=897-e|0;k=g>>>0<31?(b<<(c+31&31)|0)!=0|b>>>g:1;l=0;m=k&127;n=k;break}if((j|0)>253|(b+64|0)<0){i=d&-2147483648|2139095040;f[a>>2]=i;return}else{l=j;m=h;n=b}}else{l=j;m=h;n=b}while(0);b=(n+64|0)>>>7&~(m<<24>>24==64);i=((b|0)==0?0:l<<23)+(b|d&-2147483648)|0;f[a>>2]=i;return}function oHb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0;d=b;b=f[d>>2]|0;e=f[d+4>>2]|0;d=c;c=f[d>>2]|0;g=f[d+4>>2]|0;d=(e|0)<0;h=pzc(b|0,e|0,63)|0;i=pzc(c|0,g|0,63)|0;if((h|0)==(i|0)){pHb(a,b,e,c,g,d);return}else{qHb(a,b,e,c,g,d);return}}function pHb(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0;h=pzc(b|0,c|0,52)|0;i=h&2047;j=c&1048575;k=pzc(d|0,e|0,52)|0;l=k&2047;m=e&1048575;n=i-l|0;a:do if(!n)switch(h&2047){case 0:{o=hzc(d|0,m|0,b|0,c|0)|0;p=J;q=a;r=q;f[r>>2]=o;s=q+4|0;t=s;f[t>>2]=p;return}case 2047:{if((d|b|0)==0&(m|j|0)==0){o=b;p=c}else{u=28;break a}q=a;r=q;f[r>>2]=o;s=q+4|0;t=s;f[t>>2]=p;return}default:{v=i;w=yzc(hzc(b|0,j|2097152|0,d|0,m|0)|0,J|0,9)|0;x=J;break a}}else{y=yzc(b|0,j|0,9)|0;z=J;A=yzc(d|0,m|0,9)|0;B=J;do if((n|0)<0)if((l|0)!=2047){C=(i|0)==0;D=yzc(b|0,j|0,10)|0;E=C?D:y;D=C?J:z|536870912;C=0-n|0;if(C>>>0<63){F=pzc(E|0,D|0,C|0)|0;C=J;G=yzc(E|0,D|0,h-k&63|0)|0;H=l;I=A;K=B;L=((G|0)!=0|(J|0)!=0)&1|F;M=C;break}else{H=l;I=A;K=B;L=((E|0)!=0|(D|0)!=0)&1;M=0;break}}else{if(!((d|0)==0&(m|0)==0)){u=28;break a}D=yzc(g&1|0,0,63)|0;o=D;p=J|2146435072;q=a;r=q;f[r>>2]=o;s=q+4|0;t=s;f[t>>2]=p;return}else{if((i|0)==2047){if((b|0)==0&(j|0)==0){o=b;p=c}else{u=28;break a}q=a;r=q;f[r>>2]=o;s=q+4|0;t=s;f[t>>2]=p;return}D=(l|0)==0;E=yzc(d|0,m|0,10)|0;C=D?E:A;E=D?J:B|536870912;if(n>>>0<63){D=pzc(C|0,E|0,n|0)|0;F=J;G=yzc(C|0,E|0,0-n&63|0)|0;H=i;I=((G|0)!=0|(J|0)!=0)&1|D;K=F;L=y;M=z;break}else{H=i;I=((C|0)!=0|(E|0)!=0)&1;K=0;L=y;M=z;break}}while(0);z=hzc(I|0,K|0,0,536870912)|0;y=hzc(z|0,J|0,L|0,M|0)|0;z=J;B=z>>>0<1073741824|(z|0)==1073741824&y>>>0<0;A=yzc(y|0,z|0,B&1|0)|0;v=(B<<31>>31)+H|0;w=A;x=J}while(0);if((u|0)==28){u=0==0&(c&2146959360|0)==2146435072&((b|0)!=0|(c&524287|0)!=0);H=0!=0|(c&2146435072|0)!=2146435072|(b|0)==0&(j|0)==0;o=u?b:H?d:b;p=(u?c:H?e:c)|524288;q=a;r=q;f[r>>2]=o;s=q+4|0;t=s;f[t>>2]=p;return}c=w&1023;do if((v&65535)>>>0>2044){if((v|0)>=0){hzc(w|0,x|0,512,0)|0;if(!((v|0)>2045|(J|0)<0)){N=v;O=c;P=w;Q=x;break}e=yzc(g&1|0,0,63)|0;o=e;p=J|2146435072;q=a;r=q;f[r>>2]=o;s=q+4|0;t=s;f[t>>2]=p;return}e=0-v|0;if(e>>>0<63){H=pzc(w|0,x|0,e|0)|0;e=J;u=yzc(w|0,x|0,v&63|0)|0;R=((u|0)!=0|(J|0)!=0)&1|H;S=e}else{R=((w|0)!=0|(x|0)!=0)&1;S=0}N=0;O=R&1023;P=R;Q=S}else{N=v;O=c;P=w;Q=x}while(0);x=hzc(P|0,Q|0,512,0)|0;Q=pzc(x|0,J|0,10)|0;x=J;P=Q&~((O|0)==512);O=(P|0)==0&(x|0)==0;Q=yzc(g&1|0,0,63)|0;g=J;w=yzc(N|0,0,52)|0;N=hzc((O?0:w)|0,(O?0:J)|0,P|Q|0,x|g|0)|0;o=N;p=J;q=a;r=q;f[r>>2]=o;s=q+4|0;t=s;f[t>>2]=p;return}function qHb(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;i=pzc(b|0,c|0,52)|0;j=i&2047;k=c&1048575;l=pzc(d|0,e|0,52)|0;m=l&2047;n=e&1048575;o=j-m|0;a:do if(!o){if((j|0)==2047)if((d|b|0)==0&(n|k|0)==0){p=0;q=-524288;break}else{r=19;break}s=gzc(b|0,k|0,d|0,n|0)|0;t=J;if((s|0)==0&(t|0)==0){p=0;q=0}else{u=(j|0)==0?0:j+-1|0;v=(t|0)<0;w=gzc(0,0,s|0,t|0)|0;x=v?w:s;s=v?J:t;t=(s|0)==0;w=t?32:0;y=t?x:s;t=y>>>0<65536;z=t?w|16:w;w=t?y<<16:y;y=w>>>0<16777216;t=((h[484820+((y?w<<8:w)>>>24)>>0]|0)+((y?z|8:z)&255)&255)+245|0;z=u-(t<<24>>24)|0;y=(z|0)<0;w=yzc((v^g)&1|0,0,63)|0;v=J;A=yzc(z|0,0,52)|0;z=hzc((y?0:A)|0,(y?0:J)|0,w|0,v|0)|0;v=J;w=yzc(x|0,s|0,(y?u:t)<<24>>24|0)|0;t=hzc(z|0,v|0,w|0,J|0)|0;p=t;q=J}}else{t=yzc(b|0,k|0,10)|0;w=J;v=yzc(d|0,n|0,10)|0;z=J;do if((o|0)<0){u=g^1;if((m|0)==2047){if(!((d|0)==0&(n|0)==0)){r=19;break a}y=yzc(u&1|0,0,63)|0;p=y;q=J|2146435072;break a}y=(j|0)!=0;s=hzc((y?0:t)|0,(y?1073741824:w)|0,t|0,w|0)|0;y=J;x=0-o|0;if(x>>>0<63){A=pzc(s|0,y|0,x|0)|0;x=J;B=yzc(s|0,y|0,i-l&63|0)|0;C=m;D=u;E=z;F=v;G=((B|0)!=0|(J|0)!=0)&1|A;H=x;break}else{C=m;D=u;E=z;F=v;G=((s|0)!=0|(y|0)!=0)&1;H=0;break}}else{if((j|0)==2047)if((b|0)==0&(k|0)==0){p=b;q=c;break a}else{r=19;break a}y=(m|0)!=0;s=hzc((y?0:v)|0,(y?1073741824:z)|0,v|0,z|0)|0;y=J;if(o>>>0<63){u=pzc(s|0,y|0,o|0)|0;x=J;A=yzc(s|0,y|0,0-o&63|0)|0;C=j;D=g;E=w;F=t;G=((A|0)!=0|(J|0)!=0)&1|u;H=x;break}else{C=j;D=g;E=w;F=t;G=((s|0)!=0|(y|0)!=0)&1;H=0;break}}while(0);t=gzc(F|0,E|1073741824|0,G|0,H|0)|0;fHb(a,D,C+-1|0,t,J);return}while(0);if((r|0)==19){r=0==0&(c&2146959360|0)==2146435072&((b|0)!=0|(c&524287|0)!=0);C=0!=0|(c&2146435072|0)!=2146435072|(b|0)==0&(k|0)==0;p=r?b:C?d:b;q=(r?c:C?e:c)|524288}c=a;f[c>>2]=p;f[c+4>>2]=q;return}function rHb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0;d=b;b=f[d>>2]|0;e=f[d+4>>2]|0;d=c;c=f[d>>2]|0;g=f[d+4>>2]|0;d=(e|0)<0;h=pzc(b|0,e|0,63)|0;i=pzc(c|0,g|0,63)|0;if((h|0)==(i|0)){qHb(a,b,e,c,g,d);return}else{pHb(a,b,e,c,g,d);return}}function sHb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0;d=b;b=f[d>>2]|0;e=f[d+4>>2]|0;d=c;c=f[d>>2]|0;g=f[d+4>>2]|0;d=pzc(b|0,e|0,52)|0;i=d&2047;d=e&1048575;j=pzc(c|0,g|0,52)|0;k=j&2047;j=g&1048575;l=g^e;do if((i|0)==2047)if((b|0)==0&(d|0)==0?!(((c|0)!=0|(j|0)!=0)&(k|0)==2047):0){m=k;n=c;o=j;p=22}else p=21;else{if((k|0)==2047)if((c|0)==0&(j|0)==0){m=i;n=b;o=d;p=22;break}else{p=21;break}if(!i){if(!((b|0)==0&(d|0)==0)){q=(d|0)==0;r=q?32:0;s=q?b:d;q=s>>>0<65536;t=q?r|16:r;r=q?s<<16:s;s=r>>>0<16777216;q=((h[484820+((s?r<<8:r)>>>24)>>0]|0)+((s?t|8:t)&255)<<24)+-184549376>>24;t=yzc(b|0,d|0,q|0)|0;u=1-q|0;v=t;w=J;p=9}}else{u=i;v=b;w=d;p=9}do if((p|0)==9){if(!k){if((c|0)==0&(j|0)==0)break;t=(j|0)==0;q=t?32:0;s=t?c:j;t=s>>>0<65536;r=t?q|16:q;q=t?s<<16:s;s=q>>>0<16777216;t=((h[484820+((s?q<<8:q)>>>24)>>0]|0)+((s?r|8:r)&255)<<24)+-184549376>>24;r=yzc(c|0,j|0,t|0)|0;x=1-t|0;y=r;z=J}else{x=k;y=c;z=j}r=yzc(v|0,w|0,10)|0;t=yzc(y|0,z|0,11)|0;s=pzc(v|0,w|0,22)|0;q=s&-1073741825|1073741824;s=pzc(y|0,z|0,21)|0;A=s&2147483647|-2147483648;s=r&-1024;r=t&-2048;t=Bzc(r|0,0,s|0,0)|0;B=J;C=Bzc(r|0,0,q|0,0)|0;r=J;D=Bzc(A|0,0,s|0,0)|0;s=hzc(D|0,J|0,C|0,r|0)|0;D=J;E=Bzc(A|0,0,q|0,0)|0;q=hzc(D|0,(D>>>0<r>>>0|(D|0)==(r|0)&s>>>0<C>>>0)&1|0,E|0,J|0)|0;E=J;C=hzc(0,s|0,t|0,B|0)|0;B=J;t=hzc(q|0,E|0,(B>>>0<s>>>0|(B|0)==(s|0)&C>>>0<0)&1|0,0)|0;s=J;E=t|((C|0)!=0|(B|0)!=0)&1;B=s>>>0<1073741824|(s|0)==1073741824&E>>>0<0;C=x+u+(B?-1024:-1023)|0;t=yzc(E|0,s|0,B&1|0)|0;B=J;s=t&1023;do if((C&65535)>>>0>2044){if((C|0)>=0){hzc(t|0,B|0,512,0)|0;if(!((C|0)>2045|(J|0)<0)){F=C;G=s;H=t;I=B;break}K=0;L=l&-2147483648|2146435072;M=a;N=M;f[N>>2]=K;O=M+4|0;P=O;f[P>>2]=L;return}E=0-C|0;if(E>>>0<63){q=pzc(t|0,B|0,E|0)|0;E=J;r=yzc(t|0,B|0,C&63|0)|0;Q=((r|0)!=0|(J|0)!=0)&1|q;R=E}else{Q=((t|0)!=0|(B|0)!=0)&1;R=0}F=0;G=Q&1023;H=Q;I=R}else{F=C;G=s;H=t;I=B}while(0);B=hzc(H|0,I|0,512,0)|0;t=pzc(B|0,J|0,10)|0;B=J;s=t&~((G|0)==512);t=(s|0)==0&(B|0)==0;C=yzc(F|0,0,52)|0;E=hzc((t?0:C)|0,(t?0:J)|0,s|0,B|l&-2147483648|0)|0;K=E;L=J;M=a;N=M;f[N>>2]=K;O=M+4|0;P=O;f[P>>2]=L;return}while(0);K=0;L=l&-2147483648;M=a;N=M;f[N>>2]=K;O=M+4|0;P=O;f[P>>2]=L;return}while(0);if((p|0)==21){F=0==0&(e&2146959360|0)==2146435072&((b|0)!=0|(e&524287|0)!=0);G=0!=0|(e&2146435072|0)!=2146435072|(b|0)==0&(d|0)==0;K=F?b:G?c:b;L=(F?e:G?g:e)|524288;M=a;N=M;f[N>>2]=K;O=M+4|0;P=O;f[P>>2]=L;return}else if((p|0)==22){p=(m|n|0)==0&(o|0)==0;K=p?0:0;L=p?-524288:l&-2147483648|2146435072;M=a;N=M;f[N>>2]=K;O=M+4|0;P=O;f[P>>2]=L;return}}function tHb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0;d=b;b=f[d>>2]|0;e=f[d+4>>2]|0;d=c;c=f[d>>2]|0;g=f[d+4>>2]|0;d=pzc(b|0,e|0,52)|0;i=d&2047;d=e&1048575;j=pzc(c|0,g|0,52)|0;k=j&2047;l=g&1048575;m=g^e;a:do if((i|0)==2047)if((b|0)==0&(d|0)==0)if((k|0)==2047)if((c|0)==0&(l|0)==0){n=0;o=-524288;p=a;q=p;f[q>>2]=n;r=p+4|0;s=r;f[s>>2]=o;return}else t=26;else t=27;else t=26;else{b:do switch(j&2047){case 2047:{if(!((c|0)==0&(l|0)==0)){t=26;break a}break}case 0:{if(!((c|0)==0&(l|0)==0)){u=(l|0)==0;v=u?32:0;w=u?c:l;u=w>>>0<65536;x=u?v|16:v;v=u?w<<16:w;w=v>>>0<16777216;u=((h[484820+((w?v<<8:v)>>>24)>>0]|0)+((w?x|8:x)&255)<<24)+-184549376>>24;x=yzc(c|0,l|0,u|0)|0;y=1-u|0;z=J;A=x;t=10;break b}if((i|b|0)==0&(d|0)==0){n=0;o=-524288}else{t=27;break a}p=a;q=p;f[q>>2]=n;r=p+4|0;s=r;f[s>>2]=o;return}default:{y=k;z=l;A=c;t=10}}while(0);do if((t|0)==10){if(!i){if((b|0)==0&(d|0)==0)break;x=(d|0)==0;u=x?32:0;w=x?b:d;x=w>>>0<65536;v=x?u|16:u;u=x?w<<16:w;w=u>>>0<16777216;x=((h[484820+((w?u<<8:u)>>>24)>>0]|0)+((w?v|8:v)&255)<<24)+-184549376>>24;v=yzc(b|0,d|0,x|0)|0;B=1-x|0;C=J;D=v}else{B=i;C=d;D=b}v=C|1048576;x=z|1048576;w=v>>>0<x>>>0|(v|0)==(x|0)&D>>>0<A>>>0;u=(w?1021:1022)+(B-y)|0;E=yzc(D|0,v|0,(w?11:10)|0)|0;w=J;v=pzc(A|0,x|0,21)|0;x=qzc(-1,2147483647,v|0,0)|0;F=x+-2|0;Bzc(w|0,0,F|0,0)|0;x=J;G=yzc(x|0,0,1)|0;H=G&-2;G=Bzc(H|0,0,v|0,0)|0;I=gzc(E|0,w|0,G|0,J|0)|0;G=yzc(I|0,J|0,28)|0;I=J;w=A<<7&268435328;E=Bzc(H|0,0,w|0,0)|0;H=gzc(G|0,I|0,E|0,J|0)|0;E=J;Bzc(E|0,0,F|0,0)|0;F=hzc(J|0,0,4,0)|0;I=yzc(F|0,J|0,4)|0;G=hzc(I&-16|0,J&15|0,0,x|0)|0;x=J;do if(0<0|0==0&(G&448)>>>0<64){I=G&-128;K=F<<1&-16;L=Bzc(K|0,0,v|0,0)|0;M=gzc(H|0,E|0,L|0,J|0)|0;L=yzc(M|0,J|0,28)|0;M=J;N=Bzc(K|0,0,w|0,0)|0;K=gzc(L|0,M|0,N|0,J|0)|0;N=J;if((N|0)<0){M=hzc(I|0,x|0,-128,-1)|0;O=M;P=J;break}else{O=((K|0)!=0|(N|0)!=0)&1|I;P=x;break}}else{O=G;P=x}while(0);x=O&1023;do if((u&65535)>>>0>2044){if((u|0)>=0){hzc(O|0,P|0,512,0)|0;if(!((u|0)>2045|(J|0)<0)){Q=u;R=x;S=O;T=P;break}n=0;o=m&-2147483648|2146435072;p=a;q=p;f[q>>2]=n;r=p+4|0;s=r;f[s>>2]=o;return}G=0-u|0;if(G>>>0<63){w=pzc(O|0,P|0,G|0)|0;G=J;E=yzc(O|0,P|0,u&63|0)|0;U=((E|0)!=0|(J|0)!=0)&1|w;V=G}else{U=((O|0)!=0|(P|0)!=0)&1;V=0}Q=0;R=U&1023;S=U;T=V}else{Q=u;R=x;S=O;T=P}while(0);x=hzc(S|0,T|0,512,0)|0;u=pzc(x|0,J|0,10)|0;x=J;G=u&~((R|0)==512);u=(G|0)==0&(x|0)==0;w=yzc(Q|0,0,52)|0;E=hzc((u?0:w)|0,(u?0:J)|0,G|0,x|m&-2147483648|0)|0;n=E;o=J;p=a;q=p;f[q>>2]=n;r=p+4|0;s=r;f[s>>2]=o;return}while(0);n=0;o=m&-2147483648;p=a;q=p;f[q>>2]=n;r=p+4|0;s=r;f[s>>2]=o;return}while(0);if((t|0)==26){Q=0==0&(e&2146959360|0)==2146435072&((b|0)!=0|(e&524287|0)!=0);R=0!=0|(e&2146435072|0)!=2146435072|(b|0)==0&(d|0)==0;n=Q?b:R?c:b;o=(Q?e:R?g:e)|524288;p=a;q=p;f[q>>2]=n;r=p+4|0;s=r;f[s>>2]=o;return}else if((t|0)==27){n=0;o=m&-2147483648|2146435072;p=a;q=p;f[q>>2]=n;r=p+4|0;s=r;f[s>>2]=o;return}}function uHb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=a;a=f[c>>2]|0;d=f[c+4>>2]|0;c=b;b=f[c>>2]|0;e=f[c+4>>2]|0;if(!(0!=0|(d&2146435072|0)!=2146435072|(a|0)==0&(d&1048575|0)==0)){g=0;return g|0}if(!(0!=0|(e&2146435072|0)!=2146435072|(b|0)==0&(e&1048575|0)==0)){g=0;return g|0}g=(a|0)==(b|0)&(d|0)==(e|0)|(b|a|0)==0&((e|d)&2147483647|0)==0;return g|0}function vHb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0;c=a;a=f[c>>2]|0;d=f[c+4>>2]|0;c=b;b=f[c>>2]|0;e=f[c+4>>2]|0;if(!(0!=0|(d&2146435072|0)!=2146435072|(a|0)==0&(d&1048575|0)==0)){g=0;return g|0}if(!(0!=0|(e&2146435072|0)!=2146435072|(b|0)==0&(e&1048575|0)==0)){g=0;return g|0}c=pzc(a|0,d|0,63)|0;h=pzc(b|0,e|0,63)|0;if((c|0)==(h|0)){g=(a|0)==(b|0)&(d|0)==(e|0)|(c|0)!=((d>>>0<e>>>0|(d|0)==(e|0)&a>>>0<b>>>0)&1|0);return g|0}else{g=(d|0)<0|(b|a|0)==0&((e|d)&2147483647|0)==0;return g|0}return 0}function wHb(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0;e=f[b>>2]|0;b=f[c>>2]|0;c=f[d>>2]|0;d=e>>>23&255;g=e&8388607;i=b>>>23&255;j=b&8388607;k=c>>>31;l=k&255;m=c>>>23&255;n=c&8388607;o=b^e;p=o>>>31;q=p&255;do if((d|0)==255)if((g|0)==0?!((j|0)!=0&(i|0)==255):0){r=i|j;s=54}else s=53;else{if((i|0)==255){if(j|0){s=53;break}r=d|g;s=54;break}if((m|0)==255){if(!n)t=c;else{u=0;break}f[a>>2]=t;return}if(!d)if(!g)s=59;else{v=g>>>0<65536;w=v?e<<16:g;x=v?16:0;v=w>>>0<16777216;y=((h[484820+((v?w<<8:w)>>>24)>>0]|0)+((v?x|8:x)&255)<<24)+-134217728>>24;z=1-y|0;A=g<<y;s=13}else{z=d;A=g;s=13}a:do if((s|0)==13){if(!i){if(!j){s=59;break}y=j>>>0<65536;x=y?b<<16:j;v=y?16:0;y=x>>>0<16777216;w=((h[484820+((y?x<<8:x)>>>24)>>0]|0)+((y?v|8:v)&255)<<24)+-134217728>>24;B=1-w|0;C=j<<w}else{B=i;C=j}w=Bzc(C<<7|1073741824|0,0,A<<7|1073741824|0,0)|0;v=J;y=v>>>0<536870912|(v|0)==536870912&w>>>0<0;x=B+z+(y?-127:-126)|0;D=yzc(w|0,v|0,y&1|0)|0;y=J;do if(!m)if(!n){v=pzc(D|0,y|0,31)|0;E=((D&2147467264|0)!=0|0!=0)&1|v;F=(p|0)!=0;G=x+-1|0;break}else{v=n>>>0<65536;w=v?c<<16:n;H=v?16:0;v=w>>>0<16777216;I=((h[484820+((v?w<<8:w)>>>24)>>0]|0)+((v?H|8:H)&255)<<24)+-134217728>>24;K=n<<I;L=1-I|0;s=20;break}else{K=n;L=m;s=20}while(0);do if((s|0)==20){I=K<<6|536870912;H=x-L|0;if((o^c|0)>-1){if((H|0)<1){v=32-H|0;if(v>>>0<63){w=pzc(D|0,y|0,v|0)|0;M=yzc(D|0,y|0,0-v&63|0)|0;N=((M|0)!=0|(J|0)!=0)&1|w}else N=((D|0)!=0|(y|0)!=0)&1;O=N+I|0;P=L}else{if(H>>>0<63){w=pzc(0,I|0,H|0)|0;M=J;v=yzc(0,I|0,0-H&63|0)|0;Q=((v|0)!=0|(J|0)!=0)&1|w;R=M}else{Q=1;R=0}M=hzc(Q|0,R|0,D|0,y|0)|0;O=((M|0)!=0|0!=0)&1|J;P=x}M=O>>>0<1073741824;E=O<<(M&1);F=(p|0)!=0;G=(M<<31>>31)+P|0;break}do if((H|0)<0){M=0-H|0;if(M>>>0<63){w=pzc(D|0,y|0,M|0)|0;M=J;v=yzc(D|0,y|0,H&63|0)|0;S=((v|0)!=0|(J|0)!=0)&1|w;T=M}else{S=((D|0)!=0|(y|0)!=0)&1;T=0}M=gzc(0,I|0,S|0,T|0)|0;U=l;V=L;W=J;X=M}else{if(!H){M=gzc(D|0,y|0,0,I|0)|0;w=J;if((M|0)==0&(w|0)==0)break a;v=(w|0)<0;Y=gzc(0,0,M|0,w|0)|0;Z=J;_=pzc(M|0,w|0,63)|0;U=_&255^q;V=x;W=v?Z:w;X=v?Y:M;break}if(H>>>0<63){M=pzc(0,I|0,H|0)|0;Y=J;v=yzc(0,I|0,0-H&63|0)|0;$=((v|0)!=0|(J|0)!=0)&1|M;aa=Y}else{$=1;aa=0}Y=gzc(D|0,y|0,$|0,aa|0)|0;U=q;V=x;W=J;X=Y}while(0);H=(W|0)==0;I=H?32:0;Y=H?X:W;H=Y>>>0<65536;M=H?I|16:I;I=H?Y<<16:Y;Y=I>>>0<16777216;H=((Y?M|8:M)&255)+(h[484820+((Y?I<<8:I)>>>24)>>0]|0)<<24;I=V-(H+-16777216>>24)|0;Y=H+-553648128|0;H=Y>>24;if((Y|0)<0){Y=0-H&255;M=pzc(X|0,W|0,Y|0)|0;v=yzc(1,0,Y|0)|0;Y=hzc(v|0,J|0,-1,-1)|0;E=((Y&X|0)!=0|(J&W|0)!=0)&1|M;F=(U&1)!=0;G=I;break}else{E=X<<H;F=(U&1)!=0;G=I;break}}while(0);x=E&127;do if(G>>>0>252){if((G|0)>=0){if(!((G|0)>253|(E+64|0)<0)){ba=G;ca=x;da=E;break}t=(F&1)<<31|2139095040;f[a>>2]=t;return}y=0-G|0;if(y>>>0<31)ea=(E<<(G&31)|0)!=0|E>>>y;else ea=(E|0)!=0&1;ba=0;ca=ea&127;da=ea}else{ba=G;ca=x;da=E}while(0);x=(da+64|0)>>>7&~(ca<<24>>24==64);t=((x|0)==0?0:ba<<23)+(x|(F&1)<<31)|0;f[a>>2]=t;return}while(0);if((s|0)==59?!((o^c|0)<0&(m|n|0)==0):0){t=c;f[a>>2]=t;return}t=0;f[a>>2]=t;return}while(0);if((s|0)==53)u=((e&2143289344|0)==2139095040&(e&4194303|0)!=0?e:(e&2139095040|0)!=2139095040|(g|0)==0?b:e)|4194304;else if((s|0)==54)if(r){r=p<<31|2139095040;if((m|0)!=255){t=r;f[a>>2]=t;return}if(!n)if((p|0)==(k|0)){t=r;f[a>>2]=t;return}else u=-4194304;else u=r}else u=-4194304;t=((u&2143289344|0)==2139095040&(u&4194303|0)!=0?u:(u&2139095040|0)!=2139095040|(u&8388607|0)==0?c:u)|4194304;f[a>>2]=t;return}function xHb(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0;e=b;b=f[e>>2]|0;g=f[e+4>>2]|0;e=c;c=f[e>>2]|0;i=f[e+4>>2]|0;e=d;d=f[e>>2]|0;j=f[e+4>>2]|0;e=pzc(b|0,g|0,52)|0;k=e&2047;e=g&1048575;l=pzc(c|0,i|0,52)|0;m=l&2047;l=i&1048575;n=pzc(d|0,j|0,63)|0;o=n&255;p=pzc(d|0,j|0,52)|0;q=p&2047;p=j&1048575;r=i^g;s=pzc(c^b|0,r|0,63)|0;t=J;u=s&255;do if((k|0)==2047)if((b|0)==0&(e|0)==0?!(((c|0)!=0|(l|0)!=0)&(m|0)==2047):0){v=m;w=c;x=l;y=54}else y=53;else{if((m|0)==2047)if((c|0)==0&(l|0)==0){v=k;w=b;x=e;y=54;break}else{y=53;break}if((q|0)==2047){if((d|0)==0&(p|0)==0){z=d;A=j}else{B=0;C=0;break}D=a;E=D;f[E>>2]=z;F=D+4|0;G=F;f[G>>2]=A;return}if(!k)if((b|0)==0&(e|0)==0)y=59;else{H=(e|0)==0;I=H?32:0;K=H?b:e;H=K>>>0<65536;L=H?I|16:I;I=H?K<<16:K;K=I>>>0<16777216;H=((h[484820+((K?I<<8:I)>>>24)>>0]|0)+((K?L|8:L)&255)<<24)+-184549376>>24;L=yzc(b|0,e|0,H|0)|0;M=1-H|0;N=L;O=J;y=11}else{M=k;N=b;O=e;y=11}a:do if((y|0)==11){if(!m){if((c|0)==0&(l|0)==0){y=59;break}L=(l|0)==0;H=L?32:0;K=L?c:l;L=K>>>0<65536;I=L?H|16:H;H=L?K<<16:K;K=H>>>0<16777216;L=((h[484820+((K?H<<8:H)>>>24)>>0]|0)+((K?I|8:I)&255)<<24)+-184549376>>24;I=yzc(c|0,l|0,L|0)|0;P=1-L|0;Q=I;R=J}else{P=m;Q=c;R=l}I=yzc(N|0,O|0,10)|0;L=yzc(Q|0,R|0,10)|0;K=pzc(N|0,O|0,22)|0;H=K&-1073741825|1073741824;K=pzc(Q|0,R|0,22)|0;S=K&-1073741825|1073741824;K=I&-1024;I=L&-1024;L=Bzc(I|0,0,K|0,0)|0;T=J;U=Bzc(I|0,0,H|0,0)|0;I=J;V=Bzc(S|0,0,K|0,0)|0;K=hzc(V|0,J|0,U|0,I|0)|0;V=J;W=Bzc(S|0,0,H|0,0)|0;H=hzc(V|0,(V>>>0<I>>>0|(V|0)==(I|0)&K>>>0<U>>>0)&1|0,W|0,J|0)|0;W=J;U=hzc(0,K|0,L|0,T|0)|0;T=J;L=hzc(H|0,W|0,(T>>>0<K>>>0|(T|0)==(K|0)&U>>>0<0)&1|0,0)|0;K=J;W=K>>>0<536870912|(K|0)==536870912&L>>>0<0;H=yzc(U|0,T|0,1)|0;I=J;V=yzc(L|0,K|0,1)|0;S=P+M+(W?-1023:-1022)|0;X=W?V|(I>>>0<T>>>0|(I|0)==(T|0)&H>>>0<U>>>0)&1:L;L=W?J:K;K=W?H:U;U=W?I:T;do if(!q)if((d|0)==0&(p|0)==0){T=yzc(X|0,L|0,1)|0;Y=(s|0)!=0|(t|0)!=0;Z=S+-1|0;_=T|((K|0)!=0|(U|0)!=0)&1;$=J;break}else{T=(p|0)==0;I=T?32:0;W=T?d:p;T=W>>>0<65536;H=T?I|16:I;I=T?W<<16:W;W=I>>>0<16777216;T=((h[484820+((W?I<<8:I)>>>24)>>0]|0)+((W?H|8:H)&255)<<24)+-184549376>>24;H=yzc(d|0,p|0,T|0)|0;aa=1-T|0;ba=H;ca=J;y=18;break}else{aa=q;ba=d;ca=p;y=18}while(0);do if((y|0)==18){H=yzc(ba|0,ca|0,9)|0;T=J|536870912;W=S-aa|0;I=(W|0)<0;do if(I){if(!((s|0)==(n|0)|(W|0)!=-1)){V=pzc(X|0,L|0,1)|0;da=J;ea=yzc(X|0,L|0,63)|0;fa=J;ga=pzc(K|0,U|0,1)|0;ha=aa;ia=V;ja=da;ka=0;la=0;ma=ea|ga;na=fa|J;oa=0;pa=0;break}fa=0-W|0;if(fa>>>0<63){ga=pzc(X|0,L|0,fa|0)|0;fa=J;ea=yzc(X|0,L|0,W&63|0)|0;ha=aa;ia=((ea|0)!=0|(J|0)!=0)&1|ga;ja=fa;ka=0;la=0;ma=K;na=U;oa=0;pa=0;break}else{ha=aa;ia=((X|0)!=0|(L|0)!=0)&1;ja=0;ka=0;la=0;ma=K;na=U;oa=0;pa=0;break}}else if(W){if(W>>>0<64){fa=pzc(H|0,T|0,W|0)|0;ga=J;ea=yzc(H|0,T|0,0-W&63|0)|0;ha=S;ia=X;ja=L;ka=ea;la=J;ma=K;na=U;oa=fa;pa=ga;break}if(W>>>0<127){ga=W&63;fa=pzc(H|0,T|0,ga|0)|0;ea=J;da=yzc(1,0,ga|0)|0;ga=hzc(da|0,J|0,-1,-1)|0;ha=S;ia=X;ja=L;ka=((ga&H|0)!=0|(J&T|0)!=0)&1|fa;la=ea;ma=K;na=U;oa=0;pa=0}else{ha=S;ia=X;ja=L;ka=1;la=0;ma=K;na=U;oa=0;pa=0}}else{ha=S;ia=X;ja=L;ka=0;la=0;ma=K;na=U;oa=0;pa=0}while(0);if((s|0)==(n|0)){if((W|0)<1){ea=hzc(ia|0,ja|0,H|0,T|0)|0;qa=ma;ra=na;sa=ea;ta=J}else{ea=hzc(ka|0,la|0,ma|0,na|0)|0;fa=J;ga=hzc(oa|0,pa|0,ia|0,ja|0)|0;da=hzc(ga|0,J|0,(fa>>>0<na>>>0|(fa|0)==(na|0)&ea>>>0<ma>>>0)&1|0,0)|0;qa=ea;ra=fa;sa=da;ta=J}da=((qa|0)!=0|(ra|0)!=0)&1|sa;fa=ta>>>0<1073741824|(ta|0)==1073741824&da>>>0<0;ea=yzc(da|0,ta|0,fa&1|0)|0;Y=(s|0)!=0|(t|0)!=0;Z=(fa<<31>>31)+ha|0;_=ea;$=J;break}do if(I){ea=gzc(0,0,ma|0,na|0)|0;fa=J;da=gzc(H|0,T|0,ia|0,ja|0)|0;ga=((ma|0)!=0|(na|0)!=0)<<31>>31;V=hzc(da|0,J|0,ga|0,((ga|0)<0)<<31>>31|0)|0;ua=o;va=V;wa=J;xa=ea;ya=fa}else{if(W|0){fa=gzc(ma|0,na|0,ka|0,la|0)|0;ea=J;V=gzc(ia|0,ja|0,oa|0,pa|0)|0;ga=(na>>>0<la>>>0|(na|0)==(la|0)&ma>>>0<ka>>>0)<<31>>31;da=hzc(V|0,J|0,ga|0,((ga|0)<0)<<31>>31|0)|0;ua=u;va=da;wa=J;xa=fa;ya=ea;break}ea=gzc(ia|0,ja|0,H|0,T|0)|0;fa=J;if((ea|ma|0)==0&(fa|na|0)==0)break a;da=(fa|0)<0;ga=gzc(0,0,ma|0,na|0)|0;V=J;za=((ma|0)!=0|(na|0)!=0)<<31>>31;Aa=gzc(za|0,((za|0)<0)<<31>>31|0,ea|0,fa|0)|0;za=J;Ba=pzc(ea|0,fa|0,63)|0;ua=(Ba^s)&255;va=da?Aa:ea;wa=da?za:fa;xa=da?ga:ma;ya=da?V:na}while(0);T=(va|0)==0&(wa|0)==0;H=T?xa:va;W=T?ya:wa;I=T?0:xa;V=T?0:ya;da=(W|0)==0;ga=da?32:0;fa=da?H:W;da=fa>>>0<65536;za=da?ga|16:ga;ga=da?fa<<16:fa;fa=ga>>>0<16777216;da=((fa?za|8:za)&255)+(h[484820+((fa?ga<<8:ga)>>>24)>>0]|0)|0;ga=(da<<24)+-16777216|0;fa=ga>>24;if((ga|0)<0){ga=0-fa&255;za=pzc(H|0,W|0,ga|0)|0;ea=J;Aa=yzc(1,0,ga|0)|0;ga=hzc(Aa|0,J|0,-1,-1)|0;Ca=I;Da=V;Ea=((ga&H|0)!=0|(J&W|0)!=0)&1|za;Fa=ea}else{ea=da+255&255;za=yzc(H|0,W|0,ea|0)|0;W=J;H=pzc(I|0,V|0,-63-da&63|0)|0;da=J|W;W=yzc(I|0,V|0,ea|0)|0;Ca=W;Da=J;Ea=H|za;Fa=da}Y=(ua&1)!=0;Z=(T?ha+-64|0:ha)-fa|0;_=((Ca|0)!=0|(Da|0)!=0)&1|Ea;$=Fa}while(0);U=_&1023;do if((Z&65535)>>>0>2044){if((Z|0)>=0){hzc(_|0,$|0,512,0)|0;if(!((Z|0)>2045|(J|0)<0)){Ga=Z;Ha=U;Ia=_;Ja=$;break}K=yzc(Y&1|0,0,63)|0;z=K;A=J|2146435072;D=a;E=D;f[E>>2]=z;F=D+4|0;G=F;f[G>>2]=A;return}K=0-Z|0;if(K>>>0<63){L=pzc(_|0,$|0,K|0)|0;K=J;X=yzc(_|0,$|0,Z&63|0)|0;Ka=((X|0)!=0|(J|0)!=0)&1|L;La=K}else{Ka=((_|0)!=0|($|0)!=0)&1;La=0}Ga=0;Ha=Ka&1023;Ia=Ka;Ja=La}else{Ga=Z;Ha=U;Ia=_;Ja=$}while(0);U=hzc(Ia|0,Ja|0,512,0)|0;K=pzc(U|0,J|0,10)|0;U=J;L=K&~((Ha|0)==512);K=(L|0)==0&(U|0)==0;X=yzc(Y&1|0,0,63)|0;S=J;fa=yzc(Ga|0,0,52)|0;T=hzc((K?0:fa)|0,(K?0:J)|0,L|X|0,U|S|0)|0;z=T;A=J;D=a;E=D;f[E>>2]=z;F=D+4|0;G=F;f[G>>2]=A;return}while(0);if((y|0)==59){if(!((q|d|0)==0&(p|0)==0)){z=d;A=j;D=a;E=D;f[E>>2]=z;F=D+4|0;G=F;f[G>>2]=A;return}if((s|0)==(n|0)){z=d;A=j;D=a;E=D;f[E>>2]=z;F=D+4|0;G=F;f[G>>2]=A;return}}z=0;A=0;D=a;E=D;f[E>>2]=z;F=D+4|0;G=F;f[G>>2]=A;return}while(0);if((y|0)==53){Ga=0==0&(g&2146959360|0)==2146435072&((b|0)!=0|(g&524287|0)!=0);Y=0!=0|(g&2146435072|0)!=2146435072|(b|0)==0&(e|0)==0;B=(Ga?g:Y?i:g)|524288;C=Ga?b:Y?c:b}else if((y|0)==54)if(!((v|w|0)==0&(x|0)==0)){x=r&-2147483648|2146435072;if((q|0)!=2047){z=0;A=x;D=a;E=D;f[E>>2]=z;F=D+4|0;G=F;f[G>>2]=A;return}if((d|0)==0&(p|0)==0)if((s|0)==(n|0)){z=0;A=x;D=a;E=D;f[E>>2]=z;F=D+4|0;G=F;f[G>>2]=A;return}else{B=-524288;C=0}else{B=x;C=0}}else{B=-524288;C=0}x=0==0&(B&2146959360|0)==2146435072&((C|0)!=0|(B&524287|0)!=0);n=0!=0|(B&2146435072|0)!=2146435072|(C|0)==0&(B&1048575|0)==0;z=x?C:n?d:C;A=(x?B:n?j:B)|524288;D=a;E=D;f[E>>2]=z;F=D+4|0;G=F;f[G>>2]=A;return}function yHb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=u;u=u+16|0;d=c;e=b;b=f[e+4>>2]|0;g=d;f[g>>2]=f[e>>2];f[g+4>>2]=b;zHb(a,d);u=c;return}function zHb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0;d=u;u=u+176|0;e=d+160|0;g=d+144|0;h=d+136|0;i=d+120|0;j=d+104|0;k=d+96|0;l=d+168|0;m=d+152|0;n=d+88|0;o=d+80|0;p=d+128|0;q=d+72|0;r=d+112|0;s=d+64|0;t=d+56|0;v=d+48|0;w=d+40|0;x=d+32|0;y=d+24|0;z=d+16|0;A=d+8|0;B=d;C=c;D=f[C>>2]|0;E=f[C+4>>2]|0;C=E&2147483647;if(C>>>0>2146435072|(C|0)==2146435072&D>>>0>0){F=a;f[F>>2]=-1;f[F+4>>2]=2147483647;u=d;return}if((D|0)==0&(C|0)==2146435072)if((D|0)==0&(E|0)==2146435072&(0!=0|(E&2146435072|0)!=2146435072|(D|0)==0&(E&1048575|0)==0)){E=a;f[E>>2]=0;f[E+4>>2]=2146435072;u=d;return}else{E=a;f[E>>2]=0;f[E+4>>2]=0;u=d;return}if((b[542592]|0)==0?$yc(542592)|0:0){E=e;f[E>>2]=0;f[E+4>>2]=1072693248;tHb(542600,e,23288)}if((b[542608]|0)==0?$yc(542608)|0:0){e=g;f[e>>2]=-17155599;f[e+4>>2]=1072049730;tHb(542616,g,23288)}if((b[542624]|0)==0?$yc(542624)|0:0){g=h;f[g>>2]=-8215462;f[g+4>>2]=1070514109;tHb(542632,h,23288)}if((b[542640]|0)==0?$yc(542640)|0:0){h=i;f[h>>2]=-668996491;f[h+4>>2]=1068264200;tHb(542648,i,23288)}if((b[542656]|0)==0?$yc(542656)|0:0){i=j;f[i>>2]=726613203;f[i+4>>2]=1065595559;tHb(542664,j,23288)}if((b[542672]|0)==0?$yc(542672)|0:0){j=k;f[j>>2]=359056036;f[j+4>>2]=1062594474;tHb(542680,k,23288)}k=l;f[k>>2]=0;f[k+4>>2]=0;k=f[c+4>>2]|0;j=k&2145386496;if(j>>>0>1083179008|(j|0)==1083179008&0>0){j=k&-2147483648|1091006464;k=l;f[k>>2]=0;f[k+4>>2]=j;G=0;H=j}else{sHb(m,c,23296);c=m;j=f[c>>2]|0;k=f[c+4>>2]|0;c=l;f[c>>2]=j;f[c+4>>2]=k;G=j;H=k}k=pzc(G|0,H|0,52)|0;j=k&2047;k=H&1048575;c=(H|0)<0;i=(G|0)==0&(k|0)==0|(j|0)!=2047;h=c&i;g=(j|0)==0;e=g?G:G;E=g?k:k|1048576;g=1063-j|0;do if((g|0)>0)if(g>>>0<63){D=pzc(e|0,E|0,g|0)|0;C=J;F=yzc(e|0,E|0,0-g&63|0)|0;I=((F|0)!=0|(J|0)!=0)&1|D;K=C;break}else{I=((e|0)!=0|(E|0)!=0)&1;K=0;break}else{I=e;K=E}while(0);E=hzc(I|0,K|0,2048,0)|0;K=J;if(!(K>>>0>4095|(K|0)==4095&E>>>0>4294967295)){e=pzc(E|0,K|0,12)|0;K=(I&4095|0)==2048&0==0&1;I=h?(K|~e)+1|0:e&~K;if(I)if((I>>>31|0)==(h&1|0))L=I;else M=35;else L=0}else M=35;if((M|0)==35)L=h?-2147483648:2147483647;h=L>>6;M=h+1023|0;I=(h|0)<-1023;h=yzc(((M|0)<2047?M:2047)|0,0,52)|0;M=m;f[M>>2]=I?0:h;f[M+4>>2]=I?0:J;do if(j>>>0>=1023){if(j>>>0<=1074){I=yzc(1,0,1075-j|0)|0;M=J;h=hzc(I|0,M|0,-1,-1)|0;K=J;e=pzc(I|0,M|0,1)|0;E=hzc(e|0,J|0,G|0,H|0)|0;e=J;g=(E&h|0)==0&(e&K|0)==0;K=gzc(0,0,I|0,M|0)|0;N=E&K&(g?~I:-1);O=e&J&(g?~M:-1);break}if(i){N=G;O=H}else{M=0==0&(H&2146959360|0)==2146435072&((G|0)!=0|(H&524287|0)!=0);g=0!=0|(H&2146435072|0)!=2146435072;N=M?G:g?0:G;O=(M?H:g?0:H)|524288}}else{g=(G|0)==0&(H&2147483647|0)==0;M=H&-2147483648;e=((G|0)!=0|(k|0)!=0)&(j|0)==1022;N=g?G:e?0:0;O=g?H:e?M|1072693248:M}while(0);j=pzc(G|0,H|0,63)|0;k=pzc(N|0,O|0,63)|0;if((j|0)==(k|0))qHb(n,G,H,N,O,c);else pHb(n,G,H,N,O,c);sHb(l,n,23304);sHb(o,m,23288);m=23312+((L&63)<<3)|0;L=f[m+4>>2]|0;n=p;f[n>>2]=f[m>>2];f[n+4>>2]=L;sHb(q,o,p);sHb(s,542680,l);p=s;s=f[p>>2]|0;o=f[p+4>>2]|0;p=542664;L=f[p>>2]|0;n=f[p+4>>2]|0;p=(o|0)<0;m=pzc(s|0,o|0,63)|0;c=pzc(L|0,n|0,63)|0;if((m|0)==(c|0))pHb(t,s,o,L,n,p);else qHb(t,s,o,L,n,p);sHb(v,t,l);t=v;v=f[t>>2]|0;p=f[t+4>>2]|0;t=542648;n=f[t>>2]|0;L=f[t+4>>2]|0;t=(p|0)<0;o=pzc(v|0,p|0,63)|0;s=pzc(n|0,L|0,63)|0;if((o|0)==(s|0))pHb(w,v,p,n,L,t);else qHb(w,v,p,n,L,t);sHb(x,w,l);w=x;x=f[w>>2]|0;t=f[w+4>>2]|0;w=542632;L=f[w>>2]|0;n=f[w+4>>2]|0;w=(t|0)<0;p=pzc(x|0,t|0,63)|0;v=pzc(L|0,n|0,63)|0;if((p|0)==(v|0))pHb(y,x,t,L,n,w);else qHb(y,x,t,L,n,w);sHb(z,y,l);y=z;z=f[y>>2]|0;w=f[y+4>>2]|0;y=542616;n=f[y>>2]|0;L=f[y+4>>2]|0;y=(w|0)<0;t=pzc(z|0,w|0,63)|0;x=pzc(n|0,L|0,63)|0;if((t|0)==(x|0))pHb(A,z,w,n,L,y);else qHb(A,z,w,n,L,y);sHb(B,A,l);l=B;B=f[l>>2]|0;A=f[l+4>>2]|0;l=542600;y=f[l>>2]|0;L=f[l+4>>2]|0;l=(A|0)<0;n=pzc(B|0,A|0,63)|0;w=pzc(y|0,L|0,63)|0;if((n|0)==(w|0))pHb(r,B,A,y,L,l);else qHb(r,B,A,y,L,l);sHb(a,q,r);u=d;return}function AHb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0;d=u;u=u+240|0;e=d+232|0;g=d+224|0;i=d+216|0;j=d+208|0;k=d+200|0;l=d+192|0;m=d+184|0;n=d+176|0;o=d+168|0;p=d+160|0;q=d+152|0;r=d+144|0;s=d+128|0;t=d+136|0;v=d+120|0;w=d+112|0;x=d+96|0;y=d+88|0;z=d+80|0;A=d+72|0;B=d+64|0;C=d+56|0;D=d+48|0;E=d+104|0;F=d+40|0;G=d+32|0;H=d+24|0;I=d+16|0;K=d+8|0;L=d;M=c;N=f[M>>2]|0;O=f[M+4>>2]|0;M=O&2147483647;if(!(M>>>0>2146435072|(M|0)==2146435072&N>>>0>0)?(P=O&2146435072,Q=O&1048575,(N|0)==0&(M|0)==0|((O|0)>-1|(O|0)==-1&N>>>0>4294967295|((N|0)!=0|(Q|0)!=0)&(0==0&(P|0)==2146435072))):0){a:do if(0!=0|(P|0)!=2146435072|(N|0)==0&(Q|0)==0?(N|0)==0:0){if((O|0)<0)switch(O|0){case -2147483648:break;default:break a}else switch(O|0){case 0:break;default:break a}M=a;f[M>>2]=0;f[M+4>>2]=-1048576;u=d;return}while(0);if((b[542688]|0)==0?$yc(542688)|0:0){O=542696;f[O>>2]=0;f[O+4>>2]=1072693248}if((b[542704]|0)==0?$yc(542704)|0:0){O=g;f[O>>2]=0;f[O+4>>2]=-1074790400;O=e;f[O>>2]=0;f[O+4>>2]=1073741824;tHb(542712,g,e)}if((b[542720]|0)==0?$yc(542720)|0:0){g=i;f[g>>2]=0;f[g+4>>2]=1072693248;g=e;f[g>>2]=0;f[g+4>>2]=1074266112;tHb(542728,i,e)}if((b[542736]|0)==0?$yc(542736)|0:0){i=j;f[i>>2]=0;f[i+4>>2]=-1074790400;i=e;f[i>>2]=0;f[i+4>>2]=1074790400;tHb(542744,j,e)}if((b[542752]|0)==0?$yc(542752)|0:0){j=k;f[j>>2]=0;f[j+4>>2]=1072693248;j=e;f[j>>2]=0;f[j+4>>2]=1075052544;tHb(542760,k,e)}if((b[542768]|0)==0?$yc(542768)|0:0){k=l;f[k>>2]=0;f[k+4>>2]=-1074790400;k=e;f[k>>2]=0;f[k+4>>2]=1075314688;tHb(542776,l,e)}if((b[542784]|0)==0?$yc(542784)|0:0){l=m;f[l>>2]=0;f[l+4>>2]=1072693248;l=e;f[l>>2]=0;f[l+4>>2]=1075576832;tHb(542792,m,e)}if((b[542800]|0)==0?$yc(542800)|0:0){m=n;f[m>>2]=0;f[m+4>>2]=-1074790400;m=e;f[m>>2]=0;f[m+4>>2]=1075838976;tHb(542808,n,e)}n=c;m=f[n>>2]|0;l=f[n+4>>2]|0;n=pzc(m|0,l|0,44)|0;k=n&255;n=l&4095|1072693248;l=o;f[l>>2]=m;f[l+4>>2]=n;qHb(o,m,n,0,1072693248,0);n=k<<1;m=4672+(n<<3)|0;l=f[m>>2]|0;j=f[m+4>>2]|0;m=4672+((n|1)<<3)|0;n=f[m+4>>2]|0;i=p;f[i>>2]=f[m>>2];f[i+4>>2]=n;sHb(q,o,p);if((k|0)==255){k=s;f[k>>2]=0;f[k+4>>2]=-1074790400;k=t;f[k>>2]=0;f[k+4>>2]=1082130432;tHb(r,s,t);s=q;k=f[s>>2]|0;p=f[s+4>>2]|0;s=r;o=f[s>>2]|0;n=f[s+4>>2]|0;s=(p|0)<0;i=pzc(k|0,p|0,63)|0;m=pzc(o|0,n|0,63)|0;if((i|0)==(m|0))pHb(e,k,p,o,n,s);else qHb(e,k,p,o,n,s);s=e;n=f[s+4>>2]|0;o=q;f[o>>2]=f[s>>2];f[o+4>>2]=n}sHb(e,q,q);n=c;c=pzc(f[n>>2]|0,f[n+4>>2]|0,52)|0;n=c&2047;c=n+-1023|0;if(!c){R=0;S=0}else{o=n>>>0<1023?1023-n|0:c;n=o>>>0<65536;s=n?o<<16:o;p=n?16:0;n=s>>>0<16777216;k=(h[484820+((n?s<<8:s)>>>24)>>0]|0)+((n?p|8:p)&255)|0;p=yzc(c>>>31|0,0,63)|0;c=J;n=(k<<24)+352321536>>24;k=yzc(1074-n|0,0,52)|0;s=J;m=yzc(o|0,0,n|0)|0;n=hzc(m|0,J|0,p|0,c|0)|0;c=hzc(n|0,J|0,k|0,s|0)|0;R=c;S=J}c=r;f[c>>2]=R;f[c+4>>2]=S;sHb(v,23824,r);r=v;v=f[r>>2]|0;S=f[r+4>>2]|0;r=(S|0)<0;c=pzc(v|0,S|0,63)|0;R=pzc(l|0,j|0,63)|0;if((c|0)==(R|0))pHb(w,v,S,l,j,r);else qHb(w,v,S,l,j,r);sHb(x,542808,e);r=x;x=f[r>>2]|0;j=f[r+4>>2]|0;r=542776;l=f[r>>2]|0;S=f[r+4>>2]|0;r=(j|0)<0;v=pzc(x|0,j|0,63)|0;R=pzc(l|0,S|0,63)|0;if((v|0)==(R|0))pHb(y,x,j,l,S,r);else qHb(y,x,j,l,S,r);sHb(z,y,e);y=z;z=f[y>>2]|0;r=f[y+4>>2]|0;y=542744;S=f[y>>2]|0;l=f[y+4>>2]|0;y=(r|0)<0;j=pzc(z|0,r|0,63)|0;x=pzc(S|0,l|0,63)|0;if((j|0)==(x|0))pHb(A,z,r,S,l,y);else qHb(A,z,r,S,l,y);sHb(B,A,e);A=B;B=f[A>>2]|0;y=f[A+4>>2]|0;A=542712;l=f[A>>2]|0;S=f[A+4>>2]|0;A=(y|0)<0;r=pzc(B|0,y|0,63)|0;z=pzc(l|0,S|0,63)|0;if((r|0)==(z|0))pHb(C,B,y,l,S,A);else qHb(C,B,y,l,S,A);sHb(t,C,e);C=w;w=f[C>>2]|0;A=f[C+4>>2]|0;C=t;t=f[C>>2]|0;S=f[C+4>>2]|0;C=(A|0)<0;l=pzc(w|0,A|0,63)|0;y=pzc(t|0,S|0,63)|0;if((l|0)==(y|0))pHb(D,w,A,t,S,C);else qHb(D,w,A,t,S,C);sHb(F,542792,e);C=F;F=f[C>>2]|0;S=f[C+4>>2]|0;C=542760;t=f[C>>2]|0;A=f[C+4>>2]|0;C=(S|0)<0;w=pzc(F|0,S|0,63)|0;y=pzc(t|0,A|0,63)|0;if((w|0)==(y|0))pHb(G,F,S,t,A,C);else qHb(G,F,S,t,A,C);sHb(H,G,e);G=H;H=f[G>>2]|0;C=f[G+4>>2]|0;G=542728;A=f[G>>2]|0;t=f[G+4>>2]|0;G=(C|0)<0;S=pzc(H|0,C|0,63)|0;F=pzc(A|0,t|0,63)|0;if((S|0)==(F|0))pHb(I,H,C,A,t,G);else qHb(I,H,C,A,t,G);sHb(K,I,e);e=K;K=f[e>>2]|0;I=f[e+4>>2]|0;e=542696;G=f[e>>2]|0;t=f[e+4>>2]|0;e=(I|0)<0;A=pzc(K|0,I|0,63)|0;C=pzc(G|0,t|0,63)|0;if((A|0)==(C|0))pHb(L,K,I,G,t,e);else qHb(L,K,I,G,t,e);sHb(E,L,q);q=D;D=f[q>>2]|0;L=f[q+4>>2]|0;q=E;E=f[q>>2]|0;e=f[q+4>>2]|0;q=(L|0)<0;t=pzc(D|0,L|0,63)|0;G=pzc(E|0,e|0,63)|0;if((t|0)==(G|0))pHb(a,D,L,E,e,q);else qHb(a,D,L,E,e,q);u=d;return}q=a;f[q>>2]=-1;f[q+4>>2]=2147483647;u=d;return}function BHb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0;e=u;u=u+64|0;g=e+56|0;h=e+48|0;i=e+40|0;j=e+32|0;k=e+8|0;l=e;m=e+24|0;n=e+16|0;o=c;c=f[o+4>>2]|0;p=m;f[p>>2]=f[o>>2];f[p+4>>2]=c;c=d;d=f[c+4>>2]|0;p=n;f[p>>2]=f[c>>2];f[p+4>>2]=d;if((b[542816]|0)==0?$yc(542816)|0:0){d=542824;f[d>>2]=0;f[d+4>>2]=0}if((b[542832]|0)==0?$yc(542832)|0:0){d=542840;f[d>>2]=0;f[d+4>>2]=1072693248}if((b[542848]|0)==0?$yc(542848)|0:0){d=542856;f[d>>2]=0;f[d+4>>2]=2146435072}if((b[542864]|0)==0?$yc(542864)|0:0){d=542872;f[d>>2]=-1;f[d+4>>2]=2147483647}d=m;m=f[d>>2]|0;p=f[d+4>>2]|0;d=p&2147483647;c=(m|0)==0&(d|0)==2146435072;o=n;q=f[o>>2]|0;r=f[o+4>>2]|0;o=r&2147483647;s=(q|0)==0&(o|0)==2146435072;t=d>>>0>2146435072|(d|0)==2146435072&m>>>0>0;v=o>>>0>2146435072|(o|0)==2146435072&q>>>0>0;w=542824;x=f[w>>2]|0;y=f[w+4>>2]|0;w=y&2146435072;z=y&1048575;A=0!=0|(w|0)!=2146435072|(x|0)==0&(z|0)==0;do if(A?0!=0|(r&2146435072|0)!=2146435072|(q|0)==0&(r&1048575|0)==0:0){B=pzc(x|0,y|0,63)|0;C=pzc(q|0,r|0,63)|0;if((B|0)==(C|0)){D=((x|0)!=(q|0)|(y|0)!=(r|0))&(B|0)!=((y>>>0<r>>>0|(y|0)==(r|0)&x>>>0<q>>>0)&1|0);break}else{D=(y|0)<0&((x|q|0)!=0|((y|r)&2147483647|0)!=0);break}}else D=0;while(0);B=542840;C=f[B>>2]|0;E=f[B+4>>2]|0;B=E&2146435072;F=0!=0|(B|0)!=2146435072;G=E&1048575;H=(C|0)==0&(G|0)==0;do if(F|H?0!=0|(p&2146435072|0)!=2146435072|(m|0)==0&(p&1048575|0)==0:0)if((E|0)>-1|(E|0)==-1&C>>>0>4294967295){I=E>>>0<d>>>0|(E|0)==(d|0)&C>>>0<m>>>0;break}else{I=(C|m|0)!=0|((E|p)&2147483647|0)!=0;break}else I=0;while(0);K=D^I;I=a;f[I>>2]=0;f[I+4>>2]=0;if(v){if((a|0)==542872){u=e;return}v=542872;I=f[v+4>>2]|0;D=a;f[D>>2]=f[v>>2];f[D+4>>2]=I;u=e;return}if(s){if(((m|0)!=0|(p&1048575|0)!=0)&(0==0&(p&2146435072|0)==2146435072)|(F|H)^1){L=t;M=K?542824:542856}else{L=(m|0)==(C|0)&(d|0)==(E|0)|(C|m|0)==0&((E|p)&2147483647|0)==0;M=t?542872:K?542824:542856}K=L?542872:M;if((K|0)==(a|0)){u=e;return}M=K;K=f[M+4>>2]|0;L=a;f[L>>2]=f[M>>2];f[L+4>>2]=K;u=e;return}K=0!=0|(r&2146435072|0)!=2146435072;L=r&1048575;M=(q|0)==0&(L|0)==0;d=K|M;do if(d){if(((x|0)!=0|(z|0)!=0)&(0==0&(w|0)==2146435072)|((q|0)!=(x|0)|(r|0)!=(y|0))&((x|q|0)!=0|((y|r)&2147483647|0)!=0)){if(((C|0)!=0|(G|0)!=0)&(0==0&(B|0)==2146435072)|((q|0)!=(C|0)|(r|0)!=(E|0))&((C|q|0)!=0|((E|r)&2147483647|0)!=0))break;H=a;f[H>>2]=m;f[H+4>>2]=p;u=e;return}if((a|0)==542840){u=e;return}H=a;f[H>>2]=C;f[H+4>>2]=E;u=e;return}while(0);if(t){if((a|0)==542872){u=e;return}t=542872;E=f[t+4>>2]|0;C=a;f[C>>2]=f[t>>2];f[C+4>>2]=E;u=e;return}if(c){do if(d&A){c=pzc(q|0,r|0,63)|0;E=pzc(x|0,y|0,63)|0;if((c|0)==(E|0)){if(!(((q|0)!=(x|0)|(r|0)!=(y|0))&(E|0)!=((r>>>0<y>>>0|(r|0)==(y|0)&q>>>0<x>>>0)&1|0))){N=542856;break}}else if(!((r|0)<0&((x|q|0)!=0|((y|r)&2147483647|0)!=0))){N=542856;break}N=542824}else N=542856;while(0);if((N|0)==(a|0)){u=e;return}E=N;N=f[E+4>>2]|0;c=a;f[c>>2]=f[E>>2];f[c+4>>2]=N;u=e;return}N=pzc(q|0,r|0,52)|0;c=N&2047;do if(c>>>0>=1023){if(c>>>0<=1074){N=yzc(1,0,1075-c|0)|0;E=J;C=hzc(N|0,E|0,-1,-1)|0;t=J;B=pzc(N|0,E|0,1)|0;G=hzc(B|0,J|0,q|0,r|0)|0;B=J;H=(G&C|0)==0&(B&t|0)==0;t=gzc(0,0,N|0,E|0)|0;O=B&J&(H?~E:-1);P=G&t&(H?~N:-1);break}if(M|(c|0)!=2047){O=r;P=q}else{N=0==0&(r&2146959360|0)==2146435072&((q|0)!=0|(r&524287|0)!=0);O=(N?r:K?0:r)|524288;P=N?q:K?0:q}}else{N=(q|0)==0&(o|0)==0;H=r&-2147483648;t=((q|0)!=0|(L|0)!=0)&(c|0)==1022;O=N?r:t?H|1072693248:H;P=N?q:t?0:0}while(0);if(d?!(((P|0)!=0|(O&1048575|0)!=0)&(0==0&(O&2146435072|0)==2146435072)|((q|0)!=(P|0)|(r|0)!=(O|0))&((P|q|0)!=0|((O|r)&2147483647|0)!=0)):0){O=(r|0)<0&(M|(c|0)!=2047);M=(c|0)==0;P=M?q:q;o=M?L:L|1048576;L=1063-c|0;do if((L|0)>0)if(L>>>0<63){c=pzc(P|0,o|0,L|0)|0;M=J;K=yzc(P|0,o|0,0-L&63|0)|0;Q=((K|0)!=0|(J|0)!=0)&1|c;R=M;break}else{Q=((P|0)!=0|(o|0)!=0)&1;R=0;break}else{Q=P;R=o}while(0);o=hzc(Q|0,R|0,2048,0)|0;R=J;if(!(R>>>0>4095|(R|0)==4095&o>>>0>4294967295)){P=pzc(o|0,R|0,12)|0;R=(Q&4095|0)==2048&0==0&1;Q=O?(R|~P)+1|0:P&~R;if(Q)if((Q>>>31|0)==(O&1|0))S=Q;else T=64;else S=0}else T=64;if((T|0)==64)S=O?-2147483648:2147483647;a:do if(0!=0|(p&2146435072|0)!=2146435072|(m|0)==0&(p&1048575|0)==0?(m|0)==0:0){if((p|0)<0)switch(p|0){case -2147483648:break;default:{T=69;break a}}else switch(p|0){case 0:break;default:{T=69;break a}}O=(S|0)<0;Q=(S|0)==0;U=O?0:Q?0:0;V=O?2146435072:Q?1072693248:0}else T=69;while(0);if((T|0)==69){T=h;f[T>>2]=0;f[T+4>>2]=1072693248;T=i;f[T>>2]=m;f[T+4>>2]=p;T=(S|0)>-1?S:0-S|0;if((S|0)<0){S=j;f[S>>2]=0;f[S+4>>2]=1072693248;tHb(g,j,i);j=g;S=f[j+4>>2]|0;Q=i;f[Q>>2]=f[j>>2];f[Q+4>>2]=S}if((T|0)>1){S=T;while(1){if(S&1|0){sHb(g,h,i);T=g;Q=f[T+4>>2]|0;j=h;f[j>>2]=f[T>>2];f[j+4>>2]=Q}sHb(g,i,i);Q=g;j=f[Q+4>>2]|0;T=i;f[T>>2]=f[Q>>2];f[T+4>>2]=j;if(S>>>0>3)S=S>>>1;else break}}sHb(g,h,i);i=g;U=f[i>>2]|0;V=f[i+4>>2]|0}i=a;f[i>>2]=U;f[i+4>>2]=V;u=e;return}if(0!=0|(p&2146435072|0)!=2146435072|(m|0)==0&(p&1048575|0)==0){do if(A){V=pzc(m|0,p|0,63)|0;i=pzc(x|0,y|0,63)|0;if((V|0)==(i|0)){if(!(((m|0)!=(x|0)|(p|0)!=(y|0))&(i|0)!=((p>>>0<y>>>0|(p|0)==(y|0)&m>>>0<x>>>0)&1|0)))break}else if(!((p|0)<0&((x|m|0)!=0|((y|p)&2147483647|0)!=0)))break;if((a|0)==542872){u=e;return}i=542872;V=f[i+4>>2]|0;U=a;f[U>>2]=f[i>>2];f[U+4>>2]=V;u=e;return}while(0);if(!(((x|0)!=0|(z|0)!=0)&(0==0&(w|0)==2146435072)|((m|0)!=(x|0)|(p|0)!=(y|0))&((x|m|0)!=0|((y|p)&2147483647|0)!=0))){do if(d&A){w=pzc(q|0,r|0,63)|0;z=pzc(x|0,y|0,63)|0;if((w|0)!=(z|0)){w=x|q;V=(y|r)&2147483647;if((r|0)<0&((w|0)!=0|(V|0)!=0)){W=542856;break}else{X=w;Y=V}}else{if(((q|0)!=(x|0)|(r|0)!=(y|0))&(z|0)!=((r>>>0<y>>>0|(r|0)==(y|0)&q>>>0<x>>>0)&1|0)){W=542856;break}X=x|q;Y=(y|r)&2147483647}W=(q|0)==(x|0)&(r|0)==(y|0)|(X|0)==0&(Y|0)==0?542840:542824}else W=542824;while(0);if((W|0)==(a|0)){u=e;return}Y=W;W=f[Y+4>>2]|0;X=a;f[X>>2]=f[Y>>2];f[X+4>>2]=W;u=e;return}}W=l;f[W>>2]=m;f[W+4>>2]=p;AHb(h,l);sHb(k,n,h);zHb(g,k);if((g|0)!=(a|0)){k=g;g=f[k+4>>2]|0;h=a;f[h>>2]=f[k>>2];f[h+4>>2]=g}u=e;return}function CHb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;c=u;u=u+160|0;d=c+152|0;e=c+144|0;g=c+136|0;h=c+128|0;i=c+120|0;j=c+112|0;k=c+104|0;l=c+96|0;m=c+88|0;n=c+80|0;o=c+72|0;p=c+64|0;q=c+56|0;r=c+48|0;s=c+40|0;t=c+32|0;v=c+24|0;w=c+16|0;x=c+8|0;y=c;z=f[b>>2]|0;b=z&2147483647;if(b>>>0>2139095040){f[a>>2]=2147483647;u=c;return}if((b|0)==2139095040){f[a>>2]=z;u=c;return}A=(z>>>23&255)+-127|0;B=(A|0)%3|0;C=B+-3-(B>>31&-3)|0;B=yzc(C+1023|0,0,52)|0;D=J;E=yzc(z&8388607|0,0,29)|0;F=d;f[F>>2]=B|E;f[F+4>>2]=D|J;D=e;f[D>>2]=1716763248;f[D+4>>2]=1078370462;D=g;f[D>>2]=1712249633;f[D+4>>2]=1076731424;sHb(i,e,d);e=i;i=f[e>>2]|0;D=f[e+4>>2]|0;e=(D|0)<0;if((D|0)>-1|(D|0)==-1&i>>>0>4294967295)pHb(j,i,D,1818302176,1080559860,e);else qHb(j,i,D,1818302176,1080559860,e);sHb(k,j,d);j=k;k=f[j>>2]|0;e=f[j+4>>2]|0;j=(e|0)<0;if((e|0)>-1|(e|0)==-1&k>>>0>4294967295)pHb(l,k,e,1134341652,1079888535,j);else qHb(l,k,e,1134341652,1079888535,j);sHb(m,l,d);l=m;m=f[l>>2]|0;j=f[l+4>>2]|0;l=(j|0)<0;if((j|0)>-1|(j|0)==-1&m>>>0>4294967295)pHb(n,m,j,-763202304,1076551024,l);else qHb(n,m,j,-763202304,1076551024,l);sHb(o,n,d);n=o;o=f[n>>2]|0;l=f[n+4>>2]|0;n=(l|0)<0;if((l|0)>-1|(l|0)==-1&o>>>0>4294967295)pHb(p,o,l,-2081071827,1069871455,n);else qHb(p,o,l,-2081071827,1069871455,n);sHb(r,g,d);g=r;r=f[g>>2]|0;n=f[g+4>>2]|0;g=(n|0)<0;if((n|0)>-1|(n|0)==-1&r>>>0>4294967295)pHb(s,r,n,-1071097835,1080229653,g);else qHb(s,r,n,-1071097835,1080229653,g);sHb(t,s,d);s=t;t=f[s>>2]|0;g=f[s+4>>2]|0;s=(g|0)<0;if((g|0)>-1|(g|0)==-1&t>>>0>4294967295)pHb(v,t,g,1786843854,1080365264,s);else qHb(v,t,g,1786843854,1080365264,s);sHb(w,v,d);v=w;w=f[v>>2]|0;s=f[v+4>>2]|0;v=(s|0)<0;if((s|0)>-1|(s|0)==-1&w>>>0>4294967295)pHb(x,w,s,-907885707,1078001355,v);else qHb(x,w,s,-907885707,1078001355,v);sHb(y,x,d);x=y;y=f[x>>2]|0;v=f[x+4>>2]|0;x=(v|0)<0;if((v|0)>-1|(v|0)==-1&y>>>0>4294967295)pHb(q,y,v,0,1072693248,x);else qHb(q,y,v,0,1072693248,x);tHb(h,p,q);q=h;h=f[q>>2]|0;p=f[q+4>>2]|0;q=d;f[q>>2]=h;f[q+4>>2]=p;if(!b)G=0;else{b=pzc(h|0,p|0,29)|0;G=b&8388607|(((A-C|0)/3|0)<<23)+(z&-2147483648|1056964608)}f[a>>2]=G;u=c;return}function DHb(){var a=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0;a=u;u=u+16|0;c=a;if(b[542880]|0){u=a;return}if(!($yc(542880)|0)){u=a;return}if((b[542888]|0)==0?$yc(542888)|0:0){_E(899852,485076,490339);Bd(1936,899852,x|0)|0}d=b[899863]|0;e=f[224964]|0;if(((d<<24>>24<0?e:d&255)|0)==8)if(!(Puc(899852,0,-1,485093,8)|0))g=0;else{h=b[899863]|0;i=f[224964]|0;j=9}else{h=d;i=e;j=9}do if((j|0)==9){if(((h<<24>>24<0?i:h&255)|0)==8){if(!(Puc(899852,0,-1,485102,8)|0)){g=0;break}k=b[899863]|0;l=f[224964]|0}else{k=h;l=i}if(((k<<24>>24<0?l:k&255)|0)==1){if(!(Puc(899852,0,-1,485111,1)|0)){g=0;break}m=b[899863]|0;n=f[224964]|0}else{m=k;n=l}if(((m<<24>>24<0?n:m&255)|0)==3){if(!(Puc(899852,0,-1,485113,3)|0)){g=0;break}o=b[899863]|0;p=f[224964]|0}else{o=m;p=n}if(((o<<24>>24<0?p:o&255)|0)==3){if(!(Puc(899852,0,-1,485117,3)|0)){g=0;break}q=b[899863]|0;r=f[224964]|0}else{q=o;r=p}if(((q<<24>>24<0?r:q&255)|0)==5){if(!(Puc(899852,0,-1,490347,5)|0)){g=1;break}s=b[899863]|0;t=f[224964]|0}else{s=q;t=r}if(((s<<24>>24<0?t:s&255)|0)==5){if(!(Puc(899852,0,-1,485121,5)|0)){g=1;break}v=b[899863]|0;w=f[224964]|0}else{v=s;w=t}if(((v<<24>>24<0?w:v&255)|0)==5){if(!(Puc(899852,0,-1,490738,5)|0)){g=2;break}y=b[899863]|0;z=f[224964]|0}else{y=v;z=w}if(((y<<24>>24<0?z:y&255)|0)==5){if(!(Puc(899852,0,-1,485127,5)|0)){g=2;break}A=b[899863]|0;B=f[224964]|0}else{A=y;B=z}if(((A<<24>>24<0?B:A&255)|0)==7){if(!(Puc(899852,0,-1,490339,7)|0)){g=3;break}C=b[899863]|0;D=f[224964]|0}else{C=A;D=B}if(((C<<24>>24<0?D:C&255)|0)==7){if(!(Puc(899852,0,-1,485133,7)|0)){g=3;break}E=f[224964]|0;F=b[899863]|0}else{E=D;F=C}if(((F<<24>>24<0?E:F&255)|0)==8){if(!(Puc(899852,0,-1,485141,8)|0)){g=3;break}G=b[899863]|0;H=f[224964]|0}else{G=F;H=E}if(((G<<24>>24<0?H:G&255)|0)==8){if(!(Puc(899852,0,-1,485150,8)|0)){g=3;break}I=b[899863]|0;J=f[224964]|0}else{I=G;J=H}if(((I<<24>>24<0?J:I&255)|0)==4){if(!(Puc(899852,0,-1,485159,4)|0)){g=3;break}K=b[899863]|0;L=f[224964]|0}else{K=I;L=J}if(((K<<24>>24<0?L:K&255)|0)==4){if(!(Puc(899852,0,-1,485164,4)|0)){g=3;break}M=b[899863]|0;N=f[224964]|0}else{M=K;N=L}if(((M<<24>>24<0?N:M&255)|0)==4){if(!(Puc(899852,0,-1,490334,4)|0)){g=4;break}O=b[899863]|0;P=f[224964]|0}else{O=M;P=N}if(((O<<24>>24<0?P:O&255)|0)==4){if(!(Puc(899852,0,-1,485169,4)|0)){g=4;break}Q=b[899863]|0;R=f[224964]|0}else{Q=O;R=P}if(((Q<<24>>24<0?R:Q&255)|0)==5){if(!(Puc(899852,0,-1,485174,5)|0)){g=5;break}S=b[899863]|0;T=f[224964]|0}else{S=Q;T=R}if(((S<<24>>24<0?T:S&255)|0)==5){if(!(Puc(899852,0,-1,485180,5)|0)){g=5;break}U=b[899863]|0;V=f[224964]|0}else{U=S;V=T}if(((U<<24>>24<0?V:U&255)|0)==7){if(!(Puc(899852,0,-1,485186,7)|0)){g=6;break}W=b[899863]|0;X=f[224964]|0}else{W=U;X=V}if(((W<<24>>24<0?X:W&255)|0)==7?(Puc(899852,0,-1,485194,7)|0)==0:0){g=6;break}e=aE(901172,485202,39)|0;d=(b[899863]|0)<0?f[224963]|0:899852;Y=aE(e,d,jfc(d)|0)|0;dkc(c,Y+(f[(f[Y>>2]|0)+-12>>2]|0)|0);d=Ilc(c,901876)|0;e=Th[f[(f[d>>2]|0)+28>>2]&1023](d,10)|0;Jlc(c);xkc(Y,e)|0;jkc(Y)|0;g=4}while(0);f[224962]=g;u=a;return}function EHb(){DHb();return f[224962]|0}function FHb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;d=u;u=u+160|0;e=d+136|0;g=d;h=UE()|0;i=g+56|0;j=g+4|0;f[g>>2]=10740;f[i>>2]=10760;bkc(g+56|0,j);f[g+128>>2]=0;f[g+132>>2]=-1;f[g>>2]=36996;f[i>>2]=37016;gkc(j);f[j>>2]=35404;k=g+36|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;f[g+52>>2]=16;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;$D(j,e);if((b[e+11>>0]|0)<0)fuc(f[e>>2]|0);switch(a|0){case 1:{l=aE(aE(tkc(aE(g,485242,7)|0,h)|0,517395,2)|0,c,jfc(c)|0)|0;dkc(e,l+(f[(f[l>>2]|0)+-12>>2]|0)|0);m=Ilc(e,901876)|0;n=Th[f[(f[m>>2]|0)+28>>2]&1023](m,10)|0;Jlc(e);xkc(l,n)|0;jkc(l)|0;o=10;break}case 2:{l=aE(aE(tkc(aE(g,485250,7)|0,h)|0,517395,2)|0,c,jfc(c)|0)|0;dkc(e,l+(f[(f[l>>2]|0)+-12>>2]|0)|0);n=Ilc(e,901876)|0;m=Th[f[(f[n>>2]|0)+28>>2]&1023](n,10)|0;Jlc(e);xkc(l,m)|0;jkc(l)|0;o=10;break}case 3:{l=aE(aE(tkc(aE(g,485258,7)|0,h)|0,517395,2)|0,c,jfc(c)|0)|0;dkc(e,l+(f[(f[l>>2]|0)+-12>>2]|0)|0);m=Ilc(e,901876)|0;n=Th[f[(f[m>>2]|0)+28>>2]&1023](m,10)|0;Jlc(e);xkc(l,n)|0;jkc(l)|0;o=10;break}case 4:{l=aE(aE(tkc(aE(g,485266,7)|0,h)|0,517395,2)|0,c,jfc(c)|0)|0;dkc(e,l+(f[(f[l>>2]|0)+-12>>2]|0)|0);n=Ilc(e,901876)|0;m=Th[f[(f[n>>2]|0)+28>>2]&1023](n,10)|0;Jlc(e);xkc(l,m)|0;jkc(l)|0;o=10;break}case 5:{l=aE(aE(tkc(aE(g,485274,7)|0,h)|0,517395,2)|0,c,jfc(c)|0)|0;dkc(e,l+(f[(f[l>>2]|0)+-12>>2]|0)|0);h=Ilc(e,901876)|0;m=Th[f[(f[h>>2]|0)+28>>2]&1023](h,10)|0;Jlc(e);xkc(l,m)|0;jkc(l)|0;o=10;break}case 6:{l=aE(g,c,jfc(c)|0)|0;dkc(e,l+(f[(f[l>>2]|0)+-12>>2]|0)|0);c=Ilc(e,901876)|0;m=Th[f[(f[c>>2]|0)+28>>2]&1023](c,10)|0;Jlc(e);xkc(l,m)|0;jkc(l)|0;o=10;break}default:{}}if((o|0)==10){o=(a|0)<4;a=o?901172:901004;bE(e,j);l=e+11|0;m=(b[l>>0]|0)<0?f[e>>2]|0:e;aE(a,m,jfc(m)|0)|0;if((b[l>>0]|0)<0)fuc(f[e>>2]|0);if(o)jkc(a)|0}f[g>>2]=36996;f[i>>2]=37016;f[j>>2]=35404;if((b[k+11>>0]|0)>=0){Ric(j);Njc(g,37028);Mic(i);u=d;return}fuc(f[k>>2]|0);Ric(j);Njc(g,37028);Mic(i);u=d;return}function GHb(a){a=a|0;var b=0;do if(a)if((f[a+12>>2]|0)==7247){b=QHb(a)|0;break}else{b=VHb(a)|0;break}else b=-2;while(0);return b|0}function HHb(a,b){a=a|0;b=b|0;return IHb(a,-1,b)|0}function IHb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;e=u;u=u+16|0;g=e+8|0;h=e;if(!a){i=0;u=e;return i|0}j=pec(140)|0;if(!j){i=0;u=e;return i|0}f[j+24>>2]=0;f[j+28>>2]=8192;k=j+80|0;f[k>>2]=0;l=j+12|0;f[l>>2]=0;m=j+60|0;f[m>>2]=-1;n=j+64|0;f[n>>2]=0;o=j+40|0;f[o>>2]=0;p=b[d>>0]|0;a:do if(p<<24>>24){q=0;r=d;s=0;t=p;v=0;w=0;b:while(1){x=t<<24>>24;c:do if((t+-48&255)<10){f[m>>2]=x+-48;y=s;z=q;A=w;B=v}else do switch(x|0){case 43:{C=10;break b;break}case 114:{f[l>>2]=7247;y=s;z=q;A=7247;B=v;break c;break}case 119:{f[l>>2]=31153;y=s;z=q;A=31153;B=v;break c;break}case 97:{f[l>>2]=1;y=s;z=q;A=1;B=v;break c;break}case 84:{f[o>>2]=1;y=s;z=q;A=w;B=1;break c;break}case 101:{y=s;z=1;A=w;B=v;break c;break}case 120:{y=1;z=q;A=w;B=v;break c;break}case 102:{f[n>>2]=1;y=s;z=q;A=w;B=v;break c;break}case 104:{f[n>>2]=2;y=s;z=q;A=w;B=v;break c;break}case 82:{f[n>>2]=3;y=s;z=q;A=w;B=v;break c;break}case 70:{f[n>>2]=4;y=s;z=q;A=w;B=v;break c;break}default:{y=s;z=q;A=w;B=v;break c}}while(0);while(0);r=r+1|0;t=b[r>>0]|0;if(!(t<<24>>24))break;else{q=z;s=y;v=B;w=A}}if((C|0)==10){qec(j);i=0;u=e;return i|0}d:do if((A|0)<7247)switch(A|0){case 0:{break a;break}default:{}}else{switch(A|0){case 7247:break;default:break d}if(!B){f[o>>2]=1;break}qec(j);i=0;u=e;return i|0}while(0);w=(jfc(a)|0)+1|0;v=pec(w)|0;s=j+20|0;f[s>>2]=v;if(!v){qec(j);i=0;u=e;return i|0}f[h>>2]=a;ufc(v,w,485282,h)|0;w=f[l>>2]|0;do if((c|0)>-1){f[j+16>>2]=c;D=w;E=c}else{f[g>>2]=438;v=Sec(a,((w|0)==7247?0:((w|0)==31153?512:1024)|(y|0?193:65))|(z|0?557056:32768),g)|0;f[j+16>>2]=v;if((v|0)!=-1){D=f[l>>2]|0;E=v;break}qec(f[s>>2]|0);qec(j);i=0;u=e;return i|0}while(0);e:do if((D|0)>=7247){switch(D|0){case 7247:break;default:{F=j;C=35;break e}}s=Tec(E,0,1)|0;f[j+48>>2]=(s|0)==-1?0:s;s=f[l>>2]|0;f[j>>2]=0;if((s|0)==7247){f[j+52>>2]=0;f[j+56>>2]=0;F=j+44|0;C=35}}else{switch(D|0){case 1:break;default:{F=j;C=35;break e}}Tec(E,0,2)|0;f[l>>2]=31153;F=j;C=35}while(0);if((C|0)==35)f[F>>2]=0;f[j+72>>2]=0;s=f[k>>2]|0;w=j+76|0;if(s|0){if((f[w>>2]|0)!=-4)qec(s);f[k>>2]=0}f[w>>2]=0;f[j+8>>2]=0;f[j+88>>2]=0;i=j;u=e;return i|0}while(0);qec(j);i=0;u=e;return i|0}function JHb(a){a=a|0;var b=0,c=0,d=0,e=0;if(!a){b=-1;return b|0}c=a+12|0;if((f[c>>2]|0)!=7247){b=-1;return b|0}d=a+76|0;switch(f[d>>2]|0){case -5:case 0:break;default:{b=-1;return b|0}}if((Tec(f[a+16>>2]|0,f[a+48>>2]|0,0)|0)==-1){b=-1;return b|0}f[a>>2]=0;if((f[c>>2]|0)==7247){f[a+52>>2]=0;f[a+56>>2]=0;f[a+44>>2]=0}f[a+72>>2]=0;c=a+80|0;e=f[c>>2]|0;if(e|0){if((f[d>>2]|0)!=-4)qec(e);f[c>>2]=0}f[d>>2]=0;f[a+8>>2]=0;f[a+88>>2]=0;b=0;return b|0}function KHb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0;d=u;u=u+16|0;e=d;g=a+80|0;h=f[g>>2]|0;if(h|0){if((f[a+76>>2]|0)!=-4)qec(h);f[g>>2]=0}switch(b|0){case 0:case -5:break;default:f[a>>2]=0}h=a+76|0;f[h>>2]=b;if((b|0)==-4|(c|0)==0){u=d;return}b=f[a+20>>2]|0;a=jfc(b)|0;i=pec(a+3+(jfc(c)|0)|0)|0;f[g>>2]=i;if(!i){f[h>>2]=-4;u=d;return}else{h=jfc(b)|0;g=h+3+(jfc(c)|0)|0;f[e>>2]=b;f[e+4>>2]=517123;f[e+8>>2]=c;ufc(i,g,485285,e)|0;u=d;return}}function LHb(a){a=a|0;var b=0;if((a|0)!=0?(f[a+12>>2]|0)==7247:0)b=f[a+56>>2]|0;else b=0;return b|0}function MHb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;b=a+44|0;c=a+52|0;d=a+88|0;e=a+24|0;g=a+100|0;h=a+36|0;i=a+96|0;a:while(1){switch(f[b>>2]|0){case 1:{j=5;break a;break}case 0:{if((OHb(a)|0)==-1){k=-1;j=16;break a}if(!(f[b>>2]|0)){k=0;j=16;break a}break}case 2:{f[g>>2]=f[e>>2]<<1;f[i>>2]=f[h>>2];if((NHb(a)|0)==-1){k=-1;j=16;break a}break}default:{}}if(f[a>>2]|0){k=0;j=16;break}if(!(f[c>>2]|0))continue;if(!(f[d>>2]|0)){k=0;j=16;break}}if((j|0)==5){d=f[h>>2]|0;i=f[e>>2]<<1;f[a>>2]=0;e=a+16|0;g=0;do{b=i-g|0;l=nfc(f[e>>2]|0,d+g|0,b>>>0<1073741824?b:1073741824)|0;if((l|0)<1){j=8;break}g=(f[a>>2]|0)+l|0;f[a>>2]=g}while(g>>>0<i>>>0);do if((j|0)==8){if((l|0)>=0){f[c>>2]=1;break}i=Bec()|0;KHb(a,-1,Nec(f[i>>2]|0)|0);k=-1;return k|0}while(0);f[a+4>>2]=f[h>>2];k=0;return k|0}else if((j|0)==16)return k|0;return 0}function NHb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;b=a+84|0;c=a+100|0;d=f[c>>2]|0;e=a+88|0;g=a+76|0;h=a+52|0;i=a+32|0;j=a+24|0;k=a+16|0;l=0;a:while(1){if(!(f[e>>2]|0)){switch(f[g>>2]|0){case -5:case 0:break;default:{m=-1;n=20;break a}}if(f[h>>2]|0){n=12;break}o=f[i>>2]|0;p=f[j>>2]|0;q=0;while(1){r=p-q|0;s=nfc(f[k>>2]|0,o+q|0,r>>>0<1073741824?r:1073741824)|0;if((s|0)<1){n=8;break}r=s+q|0;if(r>>>0<p>>>0)q=r;else{t=r;break}}if((n|0)==8){n=0;if((s|0)<0){n=10;break}f[h>>2]=1;t=q}p=(f[e>>2]|0)+t|0;f[e>>2]=p;f[b>>2]=f[i>>2];if(!p){n=12;break}}p=ZHb(b,0)|0;switch(p|0){case 2:case -2:{n=14;break a;break}case -4:{n=15;break a;break}case -3:{n=16;break a;break}default:{}}o=f[c>>2]|0;if((p|0)!=1&(o|0)!=0)l=p;else{u=p;v=o;break}}if((n|0)==10){b=Bec()|0;KHb(a,-1,Nec(f[b>>2]|0)|0);m=-1;return m|0}else if((n|0)==12){KHb(a,-5,485292);u=l;v=f[c>>2]|0}else if((n|0)==14){KHb(a,-2,485315);m=-1;return m|0}else if((n|0)==15){KHb(a,-4,485415);m=-1;return m|0}else if((n|0)==16){c=f[a+108>>2]|0;KHb(a,-3,(c|0)==0?485354:c);m=-1;return m|0}else if((n|0)==20)return m|0;n=d-v|0;f[a>>2]=n;f[a+4>>2]=(f[a+96>>2]|0)+(0-n);if((u|0)!=1){m=0;return m|0}f[a+44>>2]=0;m=0;return m|0}function OHb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;c=a+84|0;d=a+24|0;if(!(f[d>>2]|0)){e=f[a+28>>2]|0;g=pec(e)|0;h=a+32|0;f[h>>2]=g;i=pec(e<<1)|0;j=a+36|0;f[j>>2]=i;if((g|0)==0|(i|0)==0){qec(i);qec(f[h>>2]|0);KHb(a,-4,485415);k=-1;return k|0}f[d>>2]=e;f[a+116>>2]=0;f[a+120>>2]=0;f[a+124>>2]=0;e=a+88|0;f[e>>2]=0;f[c>>2]=0;if(!(YHb(c,31,485429,56)|0))l=e;else{qec(f[j>>2]|0);qec(f[h>>2]|0);f[d>>2]=0;KHb(a,-4,485415);k=-1;return k|0}}else l=a+88|0;h=f[l>>2]|0;a:do if(h>>>0<2){switch(f[a+76>>2]|0){case -5:case 0:break;default:{k=-1;return k|0}}j=a+52|0;if(!(f[j>>2]|0)){e=a+32|0;if(!h)m=0;else{b[f[e>>2]>>0]=b[f[c>>2]>>0]|0;m=f[l>>2]|0}i=(f[e>>2]|0)+m|0;g=(f[d>>2]|0)-m|0;n=a+16|0;o=0;while(1){p=g-o|0;q=nfc(f[n>>2]|0,i+o|0,p>>>0<1073741824?p:1073741824)|0;if((q|0)<1){r=15;break}p=q+o|0;if(p>>>0<g>>>0)o=p;else{s=p;break}}do if((r|0)==15){if((q|0)>=0){f[j>>2]=1;s=o;break}g=Bec()|0;KHb(a,-1,Nec(f[g>>2]|0)|0);k=-1;return k|0}while(0);o=(f[l>>2]|0)+s|0;f[l>>2]=o;f[c>>2]=f[e>>2];t=o}else t=h;switch(t|0){case 1:{u=1;break a;break}case 0:{k=0;break}default:{v=t;r=20;break a}}return k|0}else{v=h;r=20}while(0);if((r|0)==20){r=f[c>>2]|0;if((b[r>>0]|0)==31?(b[r+1>>0]|0)==-117:0){WHb(c)|0;f[a+44>>2]=2;f[a+40>>2]=0;k=0;return k|0}else u=v}v=a+40|0;if(!(f[v>>2]|0)){f[l>>2]=0;f[a+52>>2]=1;f[a>>2]=0;k=0;return k|0}else{r=f[a+36>>2]|0;f[a+4>>2]=r;szc(r|0,f[c>>2]|0,u|0)|0;f[a>>2]=f[l>>2];f[l>>2]=0;f[a+44>>2]=1;f[v>>2]=1;k=0;return k|0}return 0}function PHb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;if((a|0)==0|(c|0)==0|(d|0)<1){e=0;return e|0}if((f[a+12>>2]|0)!=7247){e=0;return e|0}switch(f[a+76>>2]|0){case -5:case 0:break;default:{e=0;return e|0}}g=a+72|0;a:do if(f[g>>2]|0?(f[g>>2]=0,h=f[a+68>>2]|0,i=a+88|0,j=a+52|0,k=a+4|0,l=a+8|0,h|0):0){m=h;b:while(1){while(1){n=f[a>>2]|0;if(n|0)break;if(f[j>>2]|0?(f[i>>2]|0)==0:0)break a;if((MHb(a)|0)==-1){e=0;break b}}h=(n|0)<0|(n|0)>(m|0)?m:n;f[a>>2]=n-h;f[k>>2]=(f[k>>2]|0)+h;f[l>>2]=(f[l>>2]|0)+h;m=m-h|0;if(!m)break a}return e|0}while(0);n=d+-1|0;if(!n){e=0;return e|0}d=a+4|0;g=a+8|0;m=c;l=n;n=f[a>>2]|0;while(1){if(!n){if((MHb(a)|0)==-1){e=0;o=21;break}k=f[a>>2]|0;if(!k){o=17;break}else p=k}else p=n;k=p>>>0>l>>>0?l:p;i=f[d>>2]|0;j=Gfc(i,10,k)|0;h=(j|0)==0;q=h?k:1-i+j|0;szc(m|0,i|0,q|0)|0;n=(f[a>>2]|0)-q|0;f[a>>2]=n;f[d>>2]=(f[d>>2]|0)+q;f[g>>2]=(f[g>>2]|0)+q;l=l-q|0;i=m+q|0;if(!(h&(l|0)!=0)){r=i;break}else m=i}if((o|0)==17){f[a+56>>2]=1;r=m}else if((o|0)==21)return e|0;if((r|0)==(c|0)){e=0;return e|0}b[r>>0]=0;e=c;return e|0}function QHb(a){a=a|0;var b=0,c=0,d=0;if(!a){b=-2;return b|0}if((f[a+12>>2]|0)!=7247){b=-2;return b|0}if(f[a+24>>2]|0){$Hb(a+84|0)|0;qec(f[a+36>>2]|0);qec(f[a+32>>2]|0)}c=(f[a+76>>2]|0)==-5?-5:0;KHb(a,0,0);qec(f[a+20>>2]|0);d=Rec(f[a+16>>2]|0)|0;qec(a);b=d|0?-1:c;return b|0}function RHb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;if(!c){d=0;return d|0}e=a+24|0;if((f[e>>2]|0)==0?(SHb(a)|0)==-1:0){d=0;return d|0}g=a+72|0;a:do if(f[g>>2]|0){f[g>>2]=0;h=f[a+68>>2]|0;i=a+84|0;j=a+88|0;if(f[j>>2]|0?(THb(a,0)|0)==-1:0){d=0;return d|0}if(h|0){k=a+32|0;l=a+8|0;m=h;h=0;while(1){n=f[e>>2]|0;o=(n|0)<0|(n|0)>(m|0)?m:n;if(!h)kzc(f[k>>2]|0,0,o|0)|0;f[j>>2]=o;f[i>>2]=f[k>>2];f[l>>2]=(f[l>>2]|0)+o;m=m-o|0;if((THb(a,0)|0)==-1){d=0;break}if(!m)break a;else h=1}return d|0}}while(0);g=a+88|0;if((f[e>>2]|0)>>>0<=c>>>0){if(!(f[g>>2]|0)){p=a+84|0;f[p>>2]=b;q=a+8|0;f[g>>2]=c;r=f[q>>2]|0;s=r+c|0;f[q>>2]=s;t=THb(a,0)|0;u=(t|0)==-1;v=u?0:c;return v|0}if((THb(a,0)|0)==-1){d=0;return d|0}else{p=a+84|0;f[p>>2]=b;q=a+8|0;f[g>>2]=c;r=f[q>>2]|0;s=r+c|0;f[q>>2]=s;t=THb(a,0)|0;u=(t|0)==-1;v=u?0:c;return v|0}}v=a+32|0;u=a+84|0;t=a+8|0;s=b;b=c;while(1){q=f[g>>2]|0;r=f[v>>2]|0;if(!q){f[u>>2]=r;w=r}else w=f[u>>2]|0;p=w+q|0;q=r-p+(f[e>>2]|0)|0;r=q>>>0>b>>>0?b:q;szc(p|0,s|0,r|0)|0;f[g>>2]=r+(f[g>>2]|0);f[t>>2]=r+(f[t>>2]|0);b=b-r|0;if(!b){d=c;x=23;break}if((THb(a,0)|0)==-1){d=0;x=23;break}else s=s+r|0}if((x|0)==23)return d|0;return 0}function SHb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0;b=a+84|0;c=a+28|0;d=f[c>>2]|0;e=pec(d<<1)|0;g=a+32|0;f[g>>2]=e;if(!e){KHb(a,-4,485415);h=-1;return h|0}i=a+40|0;if(f[i>>2]|0){f[a+24>>2]=d;h=0;return h|0}j=pec(d)|0;d=a+36|0;f[d>>2]=j;if(!j){qec(e);KHb(a,-4,485415);h=-1;return h|0}f[a+116>>2]=0;f[a+120>>2]=0;f[a+124>>2]=0;if(iIb(b,f[a+60>>2]|0,8,31,8,f[a+64>>2]|0,485429,56)|0){qec(f[d>>2]|0);qec(f[g>>2]|0);KHb(a,-4,485415);h=-1;return h|0}f[b>>2]=0;b=f[c>>2]|0;c=f[i>>2]|0;f[a+24>>2]=b;if(c|0){h=0;return h|0}f[a+100>>2]=b;b=f[a+36>>2]|0;f[a+96>>2]=b;f[a+4>>2]=b;h=0;return h|0}function THb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;c=a+84|0;d=a+24|0;if((f[d>>2]|0)==0?(SHb(a)|0)==-1:0){e=-1;return e|0}if(f[a+40>>2]|0){g=a+88|0;h=f[g>>2]|0;if(!h){e=0;return e|0}i=a+16|0;j=h;h=f[c>>2]|0;while(1){k=ofc(f[i>>2]|0,h,j>>>0<1073741824?j:1073741824)|0;if((k|0)<0)break;j=(f[g>>2]|0)-k|0;f[g>>2]=j;h=(f[c>>2]|0)+k|0;f[c>>2]=h;if(!j){e=0;l=41;break}}if((l|0)==41)return e|0;j=Bec()|0;KHb(a,-1,Nec(f[j>>2]|0)|0);e=-1;return e|0}j=a+100|0;h=a+96|0;g=a+4|0;i=a+36|0;k=a+16|0;a:do switch(b|0){case 0:{m=f[j>>2]|0;while(1){do if(!m){n=f[h>>2]|0;o=f[g>>2]|0;if(n>>>0>o>>>0){p=n;n=o;do{o=p-n|0;q=ofc(f[k>>2]|0,n,(o|0)<1073741824?o:1073741824)|0;if((q|0)<0){l=31;break a}n=(f[g>>2]|0)+q|0;f[g>>2]=n;p=f[h>>2]|0}while(p>>>0>n>>>0);n=f[j>>2]|0;if(n|0){r=n;break}}n=f[d>>2]|0;f[j>>2]=n;p=f[i>>2]|0;f[h>>2]=p;f[g>>2]=p;r=n}else r=m;while(0);if((rIb(c,0)|0)==-2){l=37;break a}m=f[j>>2]|0;if((r|0)==(m|0)){l=39;break}}break}case 4:{m=0;n=f[j>>2]|0;while(1){if((n|0)==0|(m|0)==1){p=f[h>>2]|0;q=f[g>>2]|0;if(p>>>0>q>>>0){o=p;p=q;do{q=o-p|0;s=ofc(f[k>>2]|0,p,(q|0)<1073741824?q:1073741824)|0;if((s|0)<0){l=31;break a}p=(f[g>>2]|0)+s|0;f[g>>2]=p;o=f[h>>2]|0}while(o>>>0>p>>>0);t=f[j>>2]|0}else t=n;if(!t){p=f[d>>2]|0;f[j>>2]=p;o=f[i>>2]|0;f[h>>2]=o;f[g>>2]=o;u=p}else u=t}else u=n;m=rIb(c,4)|0;if((m|0)==-2){l=37;break a}n=f[j>>2]|0;if((u|0)==(n|0)){l=39;break}}break}default:while(1){n=f[h>>2]|0;m=f[g>>2]|0;if(n>>>0>m>>>0){p=n;n=m;do{m=p-n|0;o=ofc(f[k>>2]|0,n,(m|0)<1073741824?m:1073741824)|0;if((o|0)<0){l=31;break a}n=(f[g>>2]|0)+o|0;f[g>>2]=n;p=f[h>>2]|0}while(p>>>0>n>>>0)}n=f[j>>2]|0;if(!n){p=f[d>>2]|0;f[j>>2]=p;o=f[i>>2]|0;f[h>>2]=o;f[g>>2]=o;v=p}else v=n;if((rIb(c,b)|0)==-2){l=37;break a}if((v|0)==(f[j>>2]|0)){l=39;break}}}while(0);if((l|0)==31){j=Bec()|0;KHb(a,-1,Nec(f[j>>2]|0)|0);e=-1;return e|0}else if((l|0)==37){KHb(a,-2,485376);e=-1;return e|0}else if((l|0)==39){if((b|0)!=4){e=0;return e|0}qIb(c)|0;e=0;return e|0}return 0}function UHb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;if(!a){c=-1;return c|0}if((f[a+12>>2]|0)!=31153){c=-1;return c|0}if(f[a+76>>2]|0){c=-1;return c|0}d=jfc(b)|0;e=RHb(a,b,d)|0;c=(d|0)!=0&(e|0)==0?-1:e;return c|0}function VHb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;if(!a){b=-2;return b|0}if((f[a+12>>2]|0)!=31153){b=-2;return b|0}c=a+72|0;a:do if(!(f[c>>2]|0))d=0;else{f[c>>2]=0;e=f[a+68>>2]|0;g=a+88|0;if(!((f[g>>2]|0)!=0?(THb(a,0)|0)==-1:0))h=6;b:do if((h|0)==6){if(!e){d=0;break a}i=a+24|0;j=a+32|0;k=a+84|0;l=a+8|0;m=e;n=0;while(1){o=f[i>>2]|0;p=(o|0)<0|(o|0)>(m|0)?m:o;if(!n)kzc(f[j>>2]|0,0,p|0)|0;f[g>>2]=p;f[k>>2]=f[j>>2];f[l>>2]=(f[l>>2]|0)+p;m=m-p|0;if((THb(a,0)|0)==-1)break b;if(!m){d=0;break a}else n=1}}while(0);d=f[a+76>>2]|0}while(0);if((THb(a,4)|0)==-1)q=f[a+76>>2]|0;else q=d;if(f[a+24>>2]|0){if(!(f[a+40>>2]|0)){jIb(a+84|0)|0;qec(f[a+36>>2]|0)}qec(f[a+32>>2]|0)}KHb(a,0,0);qec(f[a+20>>2]|0);d=(Rec(f[a+16>>2]|0)|0)==-1;qec(a);b=d?-1:q;return b|0}function WHb(a){a=a|0;var b=0,c=0,d=0,e=0;if(!a){b=-2;return b|0}if(!(f[a+32>>2]|0)){b=-2;return b|0}if(!(f[a+36>>2]|0)){b=-2;return b|0}c=f[a+28>>2]|0;if(!c){b=-2;return b|0}if((f[c>>2]|0)!=(a|0)){b=-2;return b|0}d=c+4|0;if(((f[d>>2]|0)+-16180|0)>>>0>31){b=-2;return b|0}f[c+44>>2]=0;f[c+48>>2]=0;f[c+52>>2]=0;f[c+32>>2]=0;f[a+20>>2]=0;f[a+8>>2]=0;f[a+24>>2]=0;e=f[c+12>>2]|0;if(e|0)f[a+48>>2]=e&1;f[d>>2]=16180;f[c+8>>2]=0;f[c+16>>2]=0;f[c+24>>2]=32768;f[c+36>>2]=0;f[c+60>>2]=0;f[c+64>>2]=0;d=c+1332|0;f[c+112>>2]=d;f[c+84>>2]=d;f[c+80>>2]=d;f[c+7108>>2]=1;f[c+7112>>2]=-1;b=0;return b|0}function XHb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;if(!a){c=-2;return c|0}d=a+32|0;if(!(f[d>>2]|0)){c=-2;return c|0}e=a+36|0;g=f[e>>2]|0;if(!g){c=-2;return c|0}h=a+28|0;i=f[h>>2]|0;if(!i){c=-2;return c|0}if((f[i>>2]|0)!=(a|0)){c=-2;return c|0}if(((f[i+4>>2]|0)+-16180|0)>>>0>31){c=-2;return c|0}if((b|0)<0){j=0;k=0-b|0}else{j=(b>>>4)+5|0;k=(b|0)<48?b&15:b}if(!((k|0)==0|(k&-8|0)==8)){c=-2;return c|0}b=i+56|0;l=f[b>>2]|0;m=i+40|0;if((l|0)!=0?(f[m>>2]|0)!=(k|0):0){yh[g&2047](f[a+40>>2]|0,l);f[b>>2]=0;b=f[d>>2]|0;f[i+12>>2]=j;f[m>>2]=k;if(!b){c=-2;return c|0}}else{f[i+12>>2]=j;f[m>>2]=k}if(!(f[e>>2]|0)){c=-2;return c|0}e=f[h>>2]|0;if(!e){c=-2;return c|0}if((f[e>>2]|0)!=(a|0)){c=-2;return c|0}h=e+4|0;if(((f[h>>2]|0)+-16180|0)>>>0>31){c=-2;return c|0}f[e+44>>2]=0;f[e+48>>2]=0;f[e+52>>2]=0;f[e+32>>2]=0;f[a+20>>2]=0;f[a+8>>2]=0;f[a+24>>2]=0;k=f[e+12>>2]|0;if(k|0)f[a+48>>2]=k&1;f[h>>2]=16180;f[e+8>>2]=0;f[e+16>>2]=0;f[e+24>>2]=32768;f[e+36>>2]=0;f[e+60>>2]=0;f[e+64>>2]=0;h=e+1332|0;f[e+112>>2]=h;f[e+84>>2]=h;f[e+80>>2]=h;f[e+7108>>2]=1;f[e+7112>>2]=-1;c=0;return c|0}function YHb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0;if(!d){g=-6;return g|0}if((e|0)!=56|(b[d>>0]|0)!=49){g=-6;return g|0}if(!a){g=-2;return g|0}f[a+24>>2]=0;d=a+32|0;e=f[d>>2]|0;if(!e){f[d>>2]=299;f[a+40>>2]=0;h=299}else h=e;e=a+36|0;if(!(f[e>>2]|0))f[e>>2]=1122;d=a+40|0;i=li[h&511](f[d>>2]|0,1,7120)|0;if(!i){g=-4;return g|0}h=a+28|0;f[h>>2]=i;f[i>>2]=a;f[i+56>>2]=0;f[i+4>>2]=16180;j=XHb(a,c)|0;if(!j){g=0;return g|0}yh[f[e>>2]&2047](f[d>>2]|0,i);f[h>>2]=0;g=j;return g|0}function ZHb(a,c){a=a|0;c=c|0;var e=0,g=0,i=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0,qc=0,rc=0,sc=0,tc=0,uc=0,vc=0,wc=0,xc=0,yc=0,zc=0,Ac=0,Bc=0,Cc=0,Dc=0,Ec=0,Fc=0,Gc=0,Hc=0,Ic=0,Jc=0,Kc=0,Lc=0,Mc=0,Nc=0,Oc=0,Pc=0,Qc=0,Rc=0,Sc=0,Tc=0,Uc=0,Vc=0,Wc=0,Xc=0,Yc=0,Zc=0,_c=0,$c=0,ad=0,bd=0,cd=0,dd=0,ed=0,fd=0,gd=0,hd=0,id=0,jd=0,kd=0,ld=0,md=0,nd=0,od=0,pd=0,qd=0,rd=0,sd=0,td=0,ud=0,vd=0,wd=0,xd=0,yd=0,zd=0,Ad=0,Bd=0,Cd=0,Dd=0,Ed=0,Fd=0,Gd=0,Hd=0,Id=0,Jd=0,Kd=0,Ld=0,Md=0,Nd=0,Od=0,Pd=0,Qd=0,Rd=0,Sd=0,Td=0,Ud=0,Vd=0,Wd=0,Xd=0,Yd=0,Zd=0,_d=0,$d=0,ae=0,be=0,ce=0,de=0,ee=0,fe=0,ge=0,he=0,ie=0,je=0,ke=0,le=0,me=0,ne=0,oe=0,pe=0,qe=0,re=0,se=0,te=0,ue=0,ve=0,we=0,xe=0,ye=0,ze=0,Ae=0,Be=0,Ce=0,De=0,Ee=0,Fe=0,Ge=0,He=0,Ie=0,Je=0,Ke=0,Le=0,Me=0,Ne=0,Oe=0,Pe=0,Qe=0,Re=0,Se=0,Te=0,Ue=0,Ve=0,We=0,Xe=0,Ye=0,Ze=0,_e=0,$e=0,af=0,bf=0,cf=0,df=0,ef=0,ff=0,gf=0,hf=0,jf=0,kf=0,lf=0,mf=0,nf=0,of=0,pf=0,qf=0,rf=0,sf=0,tf=0,uf=0,vf=0,wf=0,xf=0,yf=0,zf=0,Af=0,Bf=0,Cf=0,Df=0,Ef=0,Ff=0,Gf=0,Hf=0,If=0,Jf=0,Kf=0,Lf=0,Mf=0,Nf=0,Of=0,Pf=0,Qf=0,Rf=0,Sf=0,Tf=0,Uf=0,Vf=0,Wf=0,Xf=0,Yf=0,Zf=0,_f=0,$f=0,ag=0,bg=0,cg=0,dg=0,eg=0,fg=0,gg=0,hg=0,ig=0,jg=0,kg=0,lg=0,mg=0,ng=0,og=0,pg=0,qg=0,rg=0,sg=0,tg=0,ug=0,vg=0,wg=0,xg=0,yg=0,zg=0,Ag=0;e=u;u=u+16|0;g=e;if(!a){i=-2;u=e;return i|0}if(!(f[a+32>>2]|0)){i=-2;u=e;return i|0}if(!(f[a+36>>2]|0)){i=-2;u=e;return i|0}k=f[a+28>>2]|0;if(!k){i=-2;u=e;return i|0}if((f[k>>2]|0)!=(a|0)){i=-2;u=e;return i|0}l=k+4|0;m=f[l>>2]|0;if((m+-16180|0)>>>0>31){i=-2;u=e;return i|0}n=a+12|0;o=f[n>>2]|0;if(!o){i=-2;u=e;return i|0}p=f[a>>2]|0;if((p|0)==0?f[a+4>>2]|0:0){i=-2;u=e;return i|0}if((m|0)==16191){f[l>>2]=16192;q=16192}else q=m;m=a+16|0;r=f[m>>2]|0;s=a+4|0;t=f[s>>2]|0;v=k+60|0;w=k+64|0;x=k+12|0;y=k+40|0;z=k+28|0;A=g+1|0;B=k+20|0;C=k+36|0;D=a+24|0;E=k+24|0;F=a+48|0;G=k+68|0;H=k+16|0;I=(c+-5|0)>>>0<2;J=k+8|0;K=k+80|0;L=k+88|0;M=k+84|0;N=k+92|0;O=(c|0)==6;P=k+7112|0;Q=k+76|0;R=k+7116|0;S=k+72|0;T=k+48|0;U=k+7108|0;V=k+52|0;W=k+56|0;X=k+44|0;Y=a+20|0;Z=k+32|0;_=g+2|0;$=g+3|0;aa=k+108|0;ba=k+100|0;ca=k+104|0;da=k+628|0;ea=k+1332|0;fa=k+112|0;ga=k+116|0;ha=k+756|0;ia=k+96|0;ja=0;ka=r;la=t;ma=p;p=r;r=f[w>>2]|0;na=f[v>>2]|0;oa=o;o=q;a:while(1){b:do switch(o|0){case 16208:{pa=r;qa=na;ra=la;sa=ma;ta=1;ua=ka;va=296;break a;break}case 16209:{wa=p;xa=r;ya=na;za=la;Aa=ma;Ba=-3;Ca=ka;break a;break}case 16210:{va=310;break a;break}case 16180:{q=f[x>>2]|0;if(!q){f[l>>2]=16192;Da=ja;Ea=ka;Fa=la;Ga=oa;Ha=ma;Ia=p;Ja=r;Ka=na;break b}if(r>>>0<16){La=la;Ma=ma;Na=r;Oa=na;while(1){if(!La){wa=p;xa=Na;ya=Oa;za=0;Aa=Ma;Ba=ja;Ca=ka;break a}Pa=La+-1|0;Qa=Ma+1|0;Ra=(h[Ma>>0]<<Na)+Oa|0;Sa=Na+8|0;if(Sa>>>0<16){La=Pa;Ma=Qa;Na=Sa;Oa=Ra}else{Ta=Pa;Ua=Qa;Va=Sa;Wa=Ra;break}}}else{Ta=la;Ua=ma;Va=r;Wa=na}if((Wa|0)==35615&(q&2|0)!=0){if(!(f[y>>2]|0))f[y>>2]=15;Oa=hIb(0,0,0)|0;f[z>>2]=Oa;b[g>>0]=31;b[A>>0]=-117;Na=hIb(Oa,g,2)|0;f[z>>2]=Na;f[l>>2]=16181;Da=ja;Ea=ka;Fa=Ta;Ga=oa;Ha=Ua;Ia=p;Ja=0;Ka=0;break b}f[B>>2]=0;Na=f[C>>2]|0;if(Na|0)f[Na+48>>2]=-1;if(q&1|0?((((Wa<<8&65280)+(Wa>>>8)|0)>>>0)%31|0|0)==0:0){if((Wa&15|0)!=8){f[D>>2]=485459;f[l>>2]=16209;Da=ja;Ea=ka;Fa=Ta;Ga=oa;Ha=Ua;Ia=p;Ja=Va;Ka=Wa;break b}Na=Wa>>>4;Oa=Na&15;Ma=Oa+8|0;La=f[y>>2]|0;if(!La){f[y>>2]=Ma;Xa=Ma}else Xa=La;if(Ma>>>0>15|Ma>>>0>Xa>>>0){f[D>>2]=485486;f[l>>2]=16209;Da=ja;Ea=ka;Fa=Ta;Ga=oa;Ha=Ua;Ia=p;Ja=Va+-4|0;Ka=Na;break b}else{f[E>>2]=256<<Oa;Oa=fIb(0,0,0)|0;f[z>>2]=Oa;f[F>>2]=Oa;f[l>>2]=Wa>>>12&2^16191;Da=ja;Ea=ka;Fa=Ta;Ga=oa;Ha=Ua;Ia=p;Ja=0;Ka=0;break b}}f[D>>2]=485436;f[l>>2]=16209;Da=ja;Ea=ka;Fa=Ta;Ga=oa;Ha=Ua;Ia=p;Ja=Va;Ka=Wa;break}case 16181:{if(r>>>0<16){Oa=la;Na=ma;Ma=r;La=na;while(1){if(!Oa){wa=p;xa=Ma;ya=La;za=0;Aa=Na;Ba=ja;Ca=ka;break a}Ra=Oa+-1|0;Sa=Na+1|0;Qa=(h[Na>>0]<<Ma)+La|0;Pa=Ma+8|0;if(Pa>>>0<16){Oa=Ra;Na=Sa;Ma=Pa;La=Qa}else{Ya=Ra;Za=Sa;_a=Pa;$a=Qa;break}}}else{Ya=la;Za=ma;_a=r;$a=na}f[B>>2]=$a;if(($a&255|0)!=8){f[D>>2]=485459;f[l>>2]=16209;Da=ja;Ea=ka;Fa=Ya;Ga=oa;Ha=Za;Ia=p;Ja=_a;Ka=$a;break b}if($a&57344|0){f[D>>2]=485506;f[l>>2]=16209;Da=ja;Ea=ka;Fa=Ya;Ga=oa;Ha=Za;Ia=p;Ja=_a;Ka=$a;break b}La=f[C>>2]|0;if(La|0)f[La>>2]=$a>>>8&1;if($a&512|0?f[x>>2]&4|0:0){b[g>>0]=$a;b[A>>0]=$a>>>8;La=hIb(f[z>>2]|0,g,2)|0;f[z>>2]=La}f[l>>2]=16182;ab=Ya;bb=Za;cb=0;db=0;va=55;break}case 16182:{if(r>>>0<32){ab=la;bb=ma;cb=r;db=na;va=55}else{eb=la;fb=ma;gb=na;va=57}break}case 16183:{if(r>>>0<16){hb=la;ib=ma;jb=r;kb=na;va=64}else{lb=la;mb=ma;nb=na;va=66}break}case 16184:{ob=la;pb=ma;qb=r;rb=na;va=72;break}case 16185:{sb=la;tb=ma;ub=r;vb=na;va=84;break}case 16186:{wb=la;xb=ma;yb=r;zb=na;va=95;break}case 16187:{Ab=r;Bb=na;Cb=la;Db=ma;va=109;break}case 16188:{Eb=r;Fb=na;Gb=la;Hb=ma;va=123;break}case 16189:{if(r>>>0<32){La=r;Ma=na;Na=la;Oa=ma;while(1){if(!Na){wa=p;xa=La;ya=Ma;za=0;Aa=Oa;Ba=ja;Ca=ka;break a}q=Na+-1|0;Qa=Oa+1|0;Pa=(h[Oa>>0]<<La)+Ma|0;La=La+8|0;if(La>>>0>=32){Ib=Pa;Jb=q;Kb=Qa;break}else{Ma=Pa;Na=q;Oa=Qa}}}else{Ib=na;Jb=la;Kb=ma}Oa=wzc(Ib|0)|0;f[z>>2]=Oa;f[F>>2]=Oa;f[l>>2]=16190;Lb=0;Mb=0;Nb=Jb;Ob=Kb;va=136;break}case 16190:{Lb=r;Mb=na;Nb=la;Ob=ma;va=136;break}case 16191:{Pb=r;Qb=na;Rb=la;Sb=ma;va=139;break}case 16192:{Tb=r;Ub=na;Vb=la;Wb=ma;va=140;break}case 16193:{Oa=r&7;Na=na>>>Oa;Ma=r-Oa|0;if(Ma>>>0<32){Oa=Ma;La=Na;Qa=la;q=ma;while(1){if(!Qa){wa=p;xa=Oa;ya=La;za=0;Aa=q;Ba=ja;Ca=ka;break a}Pa=Qa+-1|0;Sa=q+1|0;Ra=(h[q>>0]<<Oa)+La|0;Xb=Oa+8|0;if(Xb>>>0<32){Oa=Xb;La=Ra;Qa=Pa;q=Sa}else{Yb=Xb;Zb=Ra;_b=Pa;$b=Sa;break}}}else{Yb=Ma;Zb=Na;_b=la;$b=ma}q=Zb&65535;if((q|0)==(Zb>>>16^65535|0)){f[G>>2]=q;f[l>>2]=16194;if(O){pa=0;qa=0;ra=_b;sa=$b;ta=ja;ua=ka;va=296;break a}else{ac=0;bc=0;cc=_b;dc=$b;va=159;break b}}else{f[D>>2]=485570;f[l>>2]=16209;Da=ja;Ea=ka;Fa=_b;Ga=oa;Ha=$b;Ia=p;Ja=Yb;Ka=Zb;break b}break}case 16194:{ac=r;bc=na;cc=la;dc=ma;va=159;break}case 16195:{ec=r;fc=na;gc=la;hc=ma;va=160;break}case 16196:{if(r>>>0<14){q=r;Qa=na;La=la;Oa=ma;while(1){if(!La){wa=p;xa=q;ya=Qa;za=0;Aa=Oa;Ba=ja;Ca=ka;break a}Sa=La+-1|0;Pa=Oa+1|0;Ra=(h[Oa>>0]<<q)+Qa|0;Xb=q+8|0;if(Xb>>>0<14){q=Xb;Qa=Ra;La=Sa;Oa=Pa}else{ic=Xb;jc=Ra;kc=Sa;lc=Pa;break}}}else{ic=r;jc=na;kc=la;lc=ma}Oa=(jc&31)+257|0;f[ba>>2]=Oa;La=(jc>>>5&31)+1|0;f[ca>>2]=La;Qa=(jc>>>10&15)+4|0;f[ia>>2]=Qa;q=jc>>>14;Na=ic+-14|0;if(Oa>>>0>286|La>>>0>30){f[D>>2]=485599;f[l>>2]=16209;Da=ja;Ea=ka;Fa=kc;Ga=oa;Ha=lc;Ia=p;Ja=Na;Ka=q;break b}else{f[aa>>2]=0;f[l>>2]=16197;mc=Na;nc=q;oc=kc;pc=lc;qc=Qa;rc=0;va=170;break b}break}case 16197:{Qa=f[aa>>2]|0;q=f[ia>>2]|0;if(Qa>>>0<q>>>0){mc=r;nc=na;oc=la;pc=ma;qc=q;rc=Qa;va=170}else{sc=r;tc=na;uc=la;vc=ma;wc=Qa;va=171}break}case 16198:{xc=ja;yc=r;zc=na;Ac=la;Bc=ma;Cc=f[aa>>2]|0;va=181;break}case 16199:{Dc=ja;Ec=r;Fc=na;Gc=la;Hc=ma;va=214;break}case 16200:{Ic=ja;Jc=r;Kc=na;Lc=la;Mc=ma;va=215;break}case 16201:{Nc=r;Oc=na;Pc=ja;Qc=la;Rc=ma;Sc=f[Q>>2]|0;va=233;break}case 16202:{Tc=r;Uc=na;Vc=la;Wc=ma;Xc=ja;va=240;break}case 16203:{Yc=r;Zc=na;_c=la;$c=ma;ad=ja;bd=f[Q>>2]|0;va=252;break}case 16204:{cd=r;dd=na;ed=la;fd=ma;gd=ja;va=258;break}case 16205:{if(!ka){pa=r;qa=na;ra=la;sa=ma;ta=ja;ua=0;va=296;break a}b[oa>>0]=f[G>>2];f[l>>2]=16200;Da=ja;Ea=ka+-1|0;Fa=la;Ga=oa+1|0;Ha=ma;Ia=p;Ja=r;Ka=na;break}case 16206:{Qa=f[x>>2]|0;if(Qa){if(r>>>0<32){q=na;Na=r;La=la;Oa=ma;while(1){if(!La){wa=p;xa=Na;ya=q;za=0;Aa=Oa;Ba=ja;Ca=ka;break a}Ma=La+-1|0;Pa=Oa+1|0;Sa=(h[Oa>>0]<<Na)+q|0;Ra=Na+8|0;if(Ra>>>0<32){q=Sa;Na=Ra;La=Ma;Oa=Pa}else{hd=Ra;id=Sa;jd=Ma;kd=Pa;break}}}else{hd=r;id=na;jd=la;kd=ma}Oa=p-ka|0;f[Y>>2]=(f[Y>>2]|0)+Oa;f[Z>>2]=(f[Z>>2]|0)+Oa;if((Oa|0)!=0&(Qa&4|0)!=0){La=f[z>>2]|0;Na=oa+(0-Oa)|0;if(!(f[B>>2]|0))ld=fIb(La,Na,Oa)|0;else ld=hIb(La,Na,Oa)|0;f[z>>2]=ld;f[F>>2]=ld;md=f[x>>2]|0}else md=Qa;if((md&4|0)!=0?(Oa=(f[B>>2]|0)==0,Na=wzc(id|0)|0,((Oa?Na:id)|0)!=(f[z>>2]|0)):0){f[D>>2]=485773;f[l>>2]=16209;Da=ja;Ea=ka;Fa=jd;Ga=oa;Ha=kd;Ia=ka;Ja=hd;Ka=id;break b}else{nd=ka;od=0;pd=0;qd=jd;rd=kd;sd=md}}else{nd=p;od=r;pd=na;qd=la;rd=ma;sd=0}f[l>>2]=16207;td=nd;ud=od;vd=pd;wd=qd;xd=rd;yd=sd;va=288;break}case 16207:{td=p;ud=r;vd=na;wd=la;xd=ma;yd=f[x>>2]|0;va=288;break}default:{i=-2;va=311;break a}}while(0);if((va|0)==55)while(1){va=0;if(!ab){wa=p;xa=cb;ya=db;za=0;Aa=bb;Ba=ja;Ca=ka;break a}Na=ab+-1|0;Oa=bb+1|0;La=(h[bb>>0]<<cb)+db|0;cb=cb+8|0;if(cb>>>0>=32){eb=Na;fb=Oa;gb=La;va=57;break}else{ab=Na;bb=Oa;db=La;va=55}}else if((va|0)==136){va=0;if(!(f[H>>2]|0)){va=137;break}La=fIb(0,0,0)|0;f[z>>2]=La;f[F>>2]=La;f[l>>2]=16191;Pb=Lb;Qb=Mb;Rb=Nb;Sb=Ob;va=139}else if((va|0)==159){va=0;f[l>>2]=16195;ec=ac;fc=bc;gc=cc;hc=dc;va=160}else if((va|0)==170){va=0;La=mc;Oa=nc;Na=oc;q=pc;Pa=rc;while(1){if(La>>>0<3){if(!Na){wa=p;xa=La;ya=Oa;za=0;Aa=q;Ba=ja;Ca=ka;break a}zd=La+8|0;Ad=(h[q>>0]<<La)+Oa|0;Bd=Na+-1|0;Cd=q+1|0}else{zd=La;Ad=Oa;Bd=Na;Cd=q}Ma=Pa+1|0;f[aa>>2]=Ma;d[k+116+(j[169500+(Pa<<1)>>1]<<1)>>1]=Ad&7;Sa=Ad>>>3;Ra=zd+-3|0;if(Ma>>>0<qc>>>0){La=Ra;Oa=Sa;Na=Bd;q=Cd;Pa=Ma}else{sc=Ra;tc=Sa;uc=Bd;vc=Cd;wc=Ma;va=171;break}}}else if((va|0)==288){va=0;if(!yd){Dd=ud;Ed=vd;Fd=wd;Gd=xd;va=295;break}if(!(f[B>>2]|0)){Dd=ud;Ed=vd;Fd=wd;Gd=xd;va=295;break}if(ud>>>0<32){Pa=vd;q=ud;Na=xd;Oa=wd;while(1){if(!Oa){wa=td;xa=q;ya=Pa;za=0;Aa=Na;Ba=ja;Ca=ka;break a}La=Oa+-1|0;Ma=Na+1|0;Sa=(h[Na>>0]<<q)+Pa|0;Ra=q+8|0;if(Ra>>>0<32){Pa=Sa;q=Ra;Na=Ma;Oa=La}else{Hd=Ra;Id=Sa;Jd=La;Kd=Ma;break}}}else{Hd=ud;Id=vd;Jd=wd;Kd=xd}if((Id|0)==(f[Z>>2]|0)){Dd=0;Ed=0;Fd=Jd;Gd=Kd;va=295;break}f[D>>2]=485794;f[l>>2]=16209;Da=ja;Ea=ka;Fa=Jd;Ga=oa;Ha=Kd;Ia=td;Ja=Hd;Ka=Id}do if((va|0)==57){va=0;Oa=f[C>>2]|0;if(Oa|0)f[Oa+4>>2]=gb;if(f[B>>2]&512|0?f[x>>2]&4|0:0){b[g>>0]=gb;b[A>>0]=gb>>>8;b[_>>0]=gb>>>16;b[$>>0]=gb>>>24;Oa=hIb(f[z>>2]|0,g,4)|0;f[z>>2]=Oa}f[l>>2]=16183;hb=eb;ib=fb;jb=0;kb=0;va=64}else if((va|0)==139){va=0;if(I){pa=Pb;qa=Qb;ra=Rb;sa=Sb;ta=ja;ua=ka;va=296;break a}else{Tb=Pb;Ub=Qb;Vb=Rb;Wb=Sb;va=140}}else if((va|0)==160){va=0;Oa=f[G>>2]|0;if(!Oa){f[l>>2]=16191;Da=ja;Ea=ka;Fa=gc;Ga=oa;Ha=hc;Ia=p;Ja=ec;Ka=fc;break}Na=Oa>>>0>gc>>>0?gc:Oa;Oa=Na>>>0>ka>>>0?ka:Na;if(!Oa){pa=ec;qa=fc;ra=gc;sa=hc;ta=ja;ua=ka;va=296;break a}szc(oa|0,hc|0,Oa|0)|0;f[G>>2]=(f[G>>2]|0)-Oa;Da=ja;Ea=ka-Oa|0;Fa=gc-Oa|0;Ga=oa+Oa|0;Ha=hc+Oa|0;Ia=p;Ja=ec;Ka=fc}else if((va|0)==171){va=0;if(wc>>>0<19){Oa=wc;do{d[k+116+(j[169500+(Oa<<1)>>1]<<1)>>1]=0;Oa=Oa+1|0}while((Oa|0)!=19);f[aa>>2]=19}f[fa>>2]=ea;f[K>>2]=ea;f[L>>2]=7;Oa=aIb(0,ga,19,fa,L,ha)|0;if(!Oa){f[aa>>2]=0;f[l>>2]=16198;xc=0;yc=sc;zc=tc;Ac=uc;Bc=vc;Cc=0;va=181;break}else{f[D>>2]=485635;f[l>>2]=16209;Da=Oa;Ea=ka;Fa=uc;Ga=oa;Ha=vc;Ia=p;Ja=sc;Ka=tc;break}}while(0);c:do if((va|0)==64)while(1){va=0;if(!hb){wa=p;xa=jb;ya=kb;za=0;Aa=ib;Ba=ja;Ca=ka;break a}Oa=hb+-1|0;Qa=ib+1|0;Na=(h[ib>>0]<<jb)+kb|0;jb=jb+8|0;if(jb>>>0>=16){lb=Oa;mb=Qa;nb=Na;va=66;break}else{hb=Oa;ib=Qa;kb=Na;va=64}}else if((va|0)==140){va=0;if(f[J>>2]|0){Na=Tb&7;f[l>>2]=16206;Da=ja;Ea=ka;Fa=Vb;Ga=oa;Ha=Wb;Ia=p;Ja=Tb-Na|0;Ka=Ub>>>Na;break}if(Tb>>>0<3){if(!Vb){pa=Tb;qa=Ub;ra=0;sa=Wb;ta=ja;ua=ka;va=296;break a}Ld=Tb+8|0;Md=(h[Wb>>0]<<Tb)+Ub|0;Nd=Vb+-1|0;Od=Wb+1|0}else{Ld=Tb;Md=Ub;Nd=Vb;Od=Wb}f[J>>2]=Md&1;switch(Md>>>1&3){case 0:{Pd=16193;va=151;break}case 1:{f[K>>2]=167324;f[L>>2]=9;f[M>>2]=169372;f[N>>2]=5;f[l>>2]=16199;if(O){va=147;break a}break}case 2:{Pd=16196;va=151;break}case 3:{f[D>>2]=485551;Pd=16209;va=151;break}default:{va=150;break a}}if((va|0)==151){va=0;f[l>>2]=Pd}Da=ja;Ea=ka;Fa=Nd;Ga=oa;Ha=Od;Ia=p;Ja=Ld+-3|0;Ka=Md>>>3}else if((va|0)==181){va=0;Na=f[ba>>2]|0;Qa=f[ca>>2]|0;do if(Cc>>>0<(Qa+Na|0)>>>0){Oa=yc;q=zc;Pa=Ac;Ma=Bc;La=Cc;Sa=Na;Ra=Qa;d:while(1){Xb=f[K>>2]|0;Qd=(1<<f[L>>2])+-1|0;Rd=Qd&q;Sd=h[Xb+(Rd<<2)+1>>0]|0;if(Oa>>>0<Sd>>>0){Td=Oa;Ud=q;Vd=Pa;Wd=Ma;while(1){if(!Vd){wa=p;xa=Td;ya=Ud;za=0;Aa=Wd;Ba=xc;Ca=ka;break a}Xd=Vd+-1|0;Yd=Wd+1|0;Zd=(h[Wd>>0]<<Td)+Ud|0;_d=Td+8|0;$d=Qd&Zd;ae=h[Xb+($d<<2)+1>>0]|0;if(_d>>>0<ae>>>0){Td=_d;Ud=Zd;Vd=Xd;Wd=Yd}else{be=_d;ce=Zd;de=Xd;ee=Yd;fe=ae;ge=$d;break}}}else{be=Oa;ce=q;de=Pa;ee=Ma;fe=Sd;ge=Rd}Wd=d[Xb+(ge<<2)+2>>1]|0;if((Wd&65535)>=16){switch(Wd<<16>>16){case 16:{Vd=fe+2|0;if(be>>>0<Vd>>>0){Ud=be;Td=ce;Qd=de;$d=ee;while(1){if(!Qd){wa=p;xa=Ud;ya=Td;za=0;Aa=$d;Ba=xc;Ca=ka;break a}ae=Qd+-1|0;Yd=$d+1|0;Xd=(h[$d>>0]<<Ud)+Td|0;Zd=Ud+8|0;if(Zd>>>0<Vd>>>0){Ud=Zd;Td=Xd;Qd=ae;$d=Yd}else{he=Zd;ie=Xd;je=ae;ke=Yd;break}}}else{he=be;ie=ce;je=de;ke=ee}$d=ie>>>fe;Qd=he-fe|0;if(!La){le=Qd;me=$d;ne=je;oe=ke;va=205;break d}pe=j[k+116+(La+-1<<1)>>1]|0;qe=Qd+-2|0;re=$d>>>2;se=je;te=ke;ue=($d&3)+3|0;break}case 17:{$d=fe+3|0;if(be>>>0<$d>>>0){Qd=be;Td=ce;Ud=de;Vd=ee;while(1){if(!Ud){wa=p;xa=Qd;ya=Td;za=0;Aa=Vd;Ba=xc;Ca=ka;break a}Xb=Ud+-1|0;Rd=Vd+1|0;Sd=(h[Vd>>0]<<Qd)+Td|0;Yd=Qd+8|0;if(Yd>>>0<$d>>>0){Qd=Yd;Td=Sd;Ud=Xb;Vd=Rd}else{ve=Yd;we=Sd;xe=Xb;ye=Rd;break}}}else{ve=be;we=ce;xe=de;ye=ee}Vd=we>>>fe;pe=0;qe=-3-fe+ve|0;re=Vd>>>3;se=xe;te=ye;ue=(Vd&7)+3|0;break}default:{Vd=fe+7|0;if(be>>>0<Vd>>>0){Ud=be;Td=ce;Qd=de;$d=ee;while(1){if(!Qd){wa=p;xa=Ud;ya=Td;za=0;Aa=$d;Ba=xc;Ca=ka;break a}Rd=Qd+-1|0;Xb=$d+1|0;Sd=(h[$d>>0]<<Ud)+Td|0;Yd=Ud+8|0;if(Yd>>>0<Vd>>>0){Ud=Yd;Td=Sd;Qd=Rd;$d=Xb}else{ze=Yd;Ae=Sd;Be=Rd;Ce=Xb;break}}}else{ze=be;Ae=ce;Be=de;Ce=ee}$d=Ae>>>fe;pe=0;qe=-7-fe+ze|0;re=$d>>>7;se=Be;te=Ce;ue=($d&127)+11|0}}if((La+ue|0)>>>0>(Ra+Sa|0)>>>0){le=qe;me=re;ne=se;oe=te;va=205;break}$d=pe&65535;Qd=ue+-1|0;f[aa>>2]=La+1;d[k+116+(La<<1)>>1]=$d;if(!Qd){De=qe;Ee=re;Fe=se;Ge=te}else{Td=Qd;do{Qd=f[aa>>2]|0;Td=Td+-1|0;f[aa>>2]=Qd+1;d[k+116+(Qd<<1)>>1]=$d}while((Td|0)!=0);De=qe;Ee=re;Fe=se;Ge=te}}else{f[aa>>2]=La+1;d[k+116+(La<<1)>>1]=Wd;De=be-fe|0;Ee=ce>>>fe;Fe=de;Ge=ee}La=f[aa>>2]|0;Sa=f[ba>>2]|0;Ra=f[ca>>2]|0;if(La>>>0>=(Ra+Sa|0)>>>0){va=206;break}else{Oa=De;q=Ee;Pa=Fe;Ma=Ge}}if((va|0)==205){va=0;f[D>>2]=485660;f[l>>2]=16209;Da=xc;Ea=ka;Fa=ne;Ga=oa;Ha=oe;Ia=p;Ja=le;Ka=me;break c}else if((va|0)==206){va=0;if((f[l>>2]|0)==16209){Da=xc;Ea=ka;Fa=Fe;Ga=oa;Ha=Ge;Ia=p;Ja=De;Ka=Ee;break c}else{He=De;Ie=Ee;Je=Fe;Ke=Ge;Le=Sa;break}}}else{He=yc;Ie=zc;Je=Ac;Ke=Bc;Le=Na}while(0);if(!(d[da>>1]|0)){f[D>>2]=485686;f[l>>2]=16209;Da=xc;Ea=ka;Fa=Je;Ga=oa;Ha=Ke;Ia=p;Ja=He;Ka=Ie;break}f[fa>>2]=ea;f[K>>2]=ea;f[L>>2]=9;Na=aIb(1,ga,Le,fa,L,ha)|0;if(Na|0){f[D>>2]=485723;f[l>>2]=16209;Da=Na;Ea=ka;Fa=Je;Ga=oa;Ha=Ke;Ia=p;Ja=He;Ka=Ie;break}f[M>>2]=f[fa>>2];f[N>>2]=6;Na=aIb(2,k+116+(f[ba>>2]<<1)|0,f[ca>>2]|0,fa,N,ha)|0;if(!Na){f[l>>2]=16199;if(O){pa=He;qa=Ie;ra=Je;sa=Ke;ta=0;ua=ka;va=296;break a}else{Dc=0;Ec=He;Fc=Ie;Gc=Je;Hc=Ke;va=214;break}}else{f[D>>2]=485751;f[l>>2]=16209;Da=Na;Ea=ka;Fa=Je;Ga=oa;Ha=Ke;Ia=p;Ja=He;Ka=Ie;break}}while(0);if((va|0)==66){va=0;Na=f[C>>2]|0;if(Na|0){f[Na+8>>2]=nb&255;f[Na+12>>2]=nb>>>8}if(f[B>>2]&512|0?f[x>>2]&4|0:0){b[g>>0]=nb;b[A>>0]=nb>>>8;Na=hIb(f[z>>2]|0,g,2)|0;f[z>>2]=Na}f[l>>2]=16184;ob=lb;pb=mb;qb=0;rb=0;va=72}else if((va|0)==214){va=0;f[l>>2]=16200;Ic=Dc;Jc=Ec;Kc=Fc;Lc=Gc;Mc=Hc;va=215}do if((va|0)==72){va=0;Na=f[B>>2]|0;if(!(Na&1024)){Qa=f[C>>2]|0;if(!Qa){Me=ob;Ne=pb;Oe=qb;Pe=rb}else{f[Qa+16>>2]=0;Me=ob;Ne=pb;Oe=qb;Pe=rb}}else{if(qb>>>0<16){Qa=ob;Ma=pb;Pa=qb;q=rb;while(1){if(!Qa){wa=p;xa=Pa;ya=q;za=0;Aa=Ma;Ba=ja;Ca=ka;break a}Oa=Qa+-1|0;Ra=Ma+1|0;La=(h[Ma>>0]<<Pa)+q|0;Pa=Pa+8|0;if(Pa>>>0>=16){Qe=Oa;Re=Ra;Se=La;break}else{Qa=Oa;Ma=Ra;q=La}}}else{Qe=ob;Re=pb;Se=rb}f[G>>2]=Se;q=f[C>>2]|0;if(q|0)f[q+20>>2]=Se;if((Na&512|0)!=0?(f[x>>2]&4|0)!=0:0){b[g>>0]=Se;b[A>>0]=Se>>>8;q=hIb(f[z>>2]|0,g,2)|0;f[z>>2]=q;Me=Qe;Ne=Re;Oe=0;Pe=0}else{Me=Qe;Ne=Re;Oe=0;Pe=0}}f[l>>2]=16185;sb=Me;tb=Ne;ub=Oe;vb=Pe;va=84}else if((va|0)==215){va=0;if(ka>>>0>257&Lc>>>0>5){f[n>>2]=oa;f[m>>2]=ka;f[a>>2]=Mc;f[s>>2]=Lc;f[v>>2]=Kc;f[w>>2]=Jc;bIb(a,p);q=f[n>>2]|0;Ma=f[m>>2]|0;Qa=f[a>>2]|0;Pa=f[s>>2]|0;La=f[v>>2]|0;Ra=f[w>>2]|0;if((f[l>>2]|0)!=16191){Da=Ic;Ea=Ma;Fa=Pa;Ga=q;Ha=Qa;Ia=p;Ja=Ra;Ka=La;break}f[P>>2]=-1;Da=Ic;Ea=Ma;Fa=Pa;Ga=q;Ha=Qa;Ia=p;Ja=Ra;Ka=La;break}f[P>>2]=0;La=f[K>>2]|0;Ra=(1<<f[L>>2])+-1|0;Qa=Ra&Kc;q=b[La+(Qa<<2)+1>>0]|0;Pa=q&255;if(Pa>>>0>Jc>>>0){Ma=Jc;Oa=Kc;Td=Lc;$d=Mc;while(1){if(!Td){wa=p;xa=Ma;ya=Oa;za=0;Aa=$d;Ba=Ic;Ca=ka;break a}Qd=Td+-1|0;Ud=$d+1|0;Vd=(h[$d>>0]<<Ma)+Oa|0;Xb=Ma+8|0;Rd=Ra&Vd;Sd=b[La+(Rd<<2)+1>>0]|0;Yd=Sd&255;if(Yd>>>0>Xb>>>0){Ma=Xb;Oa=Vd;Td=Qd;$d=Ud}else{Te=Xb;Ue=Vd;Ve=Qd;We=Ud;Xe=Yd;Ye=Rd;Ze=Sd;break}}}else{Te=Jc;Ue=Kc;Ve=Lc;We=Mc;Xe=Pa;Ye=Qa;Ze=q}$d=d[La+(Ye<<2)+2>>1]|0;Td=b[La+(Ye<<2)>>0]|0;Oa=Td&255;if(Td<<24>>24!=0&(Oa&240|0)==0){Ma=$d&65535;Ra=(1<<Xe+Oa)+-1|0;Oa=((Ue&Ra)>>>Xe)+Ma|0;Na=b[La+(Oa<<2)+1>>0]|0;if(((Na&255)+Xe|0)>>>0>Te>>>0){Sd=Te;Rd=Ue;Yd=Ve;Ud=We;while(1){if(!Yd){wa=p;xa=Sd;ya=Rd;za=0;Aa=Ud;Ba=Ic;Ca=ka;break a}Qd=Yd+-1|0;Vd=Ud+1|0;Xb=(h[Ud>>0]<<Sd)+Rd|0;ae=Sd+8|0;Xd=((Xb&Ra)>>>Xe)+Ma|0;Zd=b[La+(Xd<<2)+1>>0]|0;if(((Zd&255)+Xe|0)>>>0>ae>>>0){Sd=ae;Rd=Xb;Yd=Qd;Ud=Vd}else{_e=ae;$e=Xb;af=Qd;bf=Vd;cf=Xd;df=Zd;break}}}else{_e=Te;$e=Ue;af=Ve;bf=We;cf=Oa;df=Na}Ud=d[La+(cf<<2)+2>>1]|0;Yd=b[La+(cf<<2)>>0]|0;f[P>>2]=Xe;ef=_e-Xe|0;ff=$e>>>Xe;gf=af;hf=bf;jf=Yd;kf=df;lf=Ud;mf=Xe}else{ef=Te;ff=Ue;gf=Ve;hf=We;jf=Td;kf=Ze;lf=$d;mf=0}Ud=kf&255;Yd=ff>>>Ud;Rd=ef-Ud|0;f[P>>2]=mf+Ud;f[G>>2]=lf&65535;Ud=jf&255;if(!(jf<<24>>24)){f[l>>2]=16205;Da=Ic;Ea=ka;Fa=gf;Ga=oa;Ha=hf;Ia=p;Ja=Rd;Ka=Yd;break}if(Ud&32|0){f[P>>2]=-1;f[l>>2]=16191;Da=Ic;Ea=ka;Fa=gf;Ga=oa;Ha=hf;Ia=p;Ja=Rd;Ka=Yd;break}if(!(Ud&64)){Sd=Ud&15;f[Q>>2]=Sd;f[l>>2]=16201;Nc=Rd;Oc=Yd;Pc=Ic;Qc=gf;Rc=hf;Sc=Sd;va=233;break}else{f[D>>2]=485817;f[l>>2]=16209;Da=Ic;Ea=ka;Fa=gf;Ga=oa;Ha=hf;Ia=p;Ja=Rd;Ka=Yd;break}}while(0);if((va|0)==84){va=0;Yd=f[B>>2]|0;if(Yd&1024){Rd=f[G>>2]|0;Sd=Rd>>>0>sb>>>0?sb:Rd;if(!Sd){nf=sb;of=tb;pf=Rd}else{Ud=f[C>>2]|0;if((Ud|0)!=0?(Ma=f[Ud+16>>2]|0,(Ma|0)!=0):0){Ra=(f[Ud+20>>2]|0)-Rd|0;Rd=f[Ud+24>>2]|0;szc(Ma+Ra|0,tb|0,((Ra+Sd|0)>>>0>Rd>>>0?Rd-Ra|0:Sd)|0)|0;qf=f[B>>2]|0}else qf=Yd;if(qf&512|0?f[x>>2]&4|0:0){Yd=hIb(f[z>>2]|0,tb,Sd)|0;f[z>>2]=Yd}Yd=(f[G>>2]|0)-Sd|0;f[G>>2]=Yd;nf=sb-Sd|0;of=tb+Sd|0;pf=Yd}if(!pf){rf=nf;sf=of}else{pa=ub;qa=vb;ra=nf;sa=of;ta=ja;ua=ka;va=296;break}}else{rf=sb;sf=tb}f[G>>2]=0;f[l>>2]=16186;wb=rf;xb=sf;yb=ub;zb=vb;va=95}else if((va|0)==233){va=0;if(!Sc){tf=Nc;uf=Oc;vf=Qc;wf=Rc;xf=f[G>>2]|0}else{if(Nc>>>0<Sc>>>0){Yd=Nc;Sd=Oc;Ra=Qc;Rd=Rc;while(1){if(!Ra){wa=p;xa=Yd;ya=Sd;za=0;Aa=Rd;Ba=Pc;Ca=ka;break a}Ma=Ra+-1|0;Ud=Rd+1|0;q=(h[Rd>>0]<<Yd)+Sd|0;Qa=Yd+8|0;if(Qa>>>0<Sc>>>0){Yd=Qa;Sd=q;Ra=Ma;Rd=Ud}else{yf=Qa;zf=q;Af=Ma;Bf=Ud;break}}}else{yf=Nc;zf=Oc;Af=Qc;Bf=Rc}Rd=(f[G>>2]|0)+(zf&(1<<Sc)+-1)|0;f[G>>2]=Rd;f[P>>2]=(f[P>>2]|0)+Sc;tf=yf-Sc|0;uf=zf>>>Sc;vf=Af;wf=Bf;xf=Rd}f[R>>2]=xf;f[l>>2]=16202;Tc=tf;Uc=uf;Vc=vf;Wc=wf;Xc=Pc;va=240}do if((va|0)==95){va=0;if(!(f[B>>2]&2048)){Rd=f[C>>2]|0;if(!Rd){Cf=wb;Df=xb}else{f[Rd+28>>2]=0;Cf=wb;Df=xb}}else{if(!wb){pa=yb;qa=zb;ra=0;sa=xb;ta=ja;ua=ka;va=296;break a}else Ef=0;do{Rd=Ef;Ef=Ef+1|0;Ra=b[xb+Rd>>0]|0;Rd=f[C>>2]|0;if((Rd|0?(Sd=f[Rd+28>>2]|0,Sd|0):0)?(Yd=f[G>>2]|0,Yd>>>0<(f[Rd+32>>2]|0)>>>0):0){f[G>>2]=Yd+1;b[Sd+Yd>>0]=Ra}Ff=Ra<<24>>24!=0}while(Ff&wb>>>0>Ef>>>0);if(f[B>>2]&512|0?f[x>>2]&4|0:0){$d=hIb(f[z>>2]|0,xb,Ef)|0;f[z>>2]=$d}$d=wb-Ef|0;Td=xb+Ef|0;if(Ff){pa=yb;qa=zb;ra=$d;sa=Td;ta=ja;ua=ka;va=296;break a}else{Cf=$d;Df=Td}}f[G>>2]=0;f[l>>2]=16187;Ab=yb;Bb=zb;Cb=Cf;Db=Df;va=109}else if((va|0)==240){va=0;Td=f[M>>2]|0;$d=(1<<f[N>>2])+-1|0;La=$d&Uc;Na=b[Td+(La<<2)+1>>0]|0;Oa=Na&255;if(Oa>>>0>Tc>>>0){Ra=Tc;Yd=Uc;Sd=Vc;Rd=Wc;while(1){if(!Sd){wa=p;xa=Ra;ya=Yd;za=0;Aa=Rd;Ba=Xc;Ca=ka;break a}Ud=Sd+-1|0;Ma=Rd+1|0;q=(h[Rd>>0]<<Ra)+Yd|0;Qa=Ra+8|0;Pa=$d&q;Zd=b[Td+(Pa<<2)+1>>0]|0;Xd=Zd&255;if(Xd>>>0>Qa>>>0){Ra=Qa;Yd=q;Sd=Ud;Rd=Ma}else{Gf=Qa;Hf=q;If=Ud;Jf=Ma;Kf=Xd;Lf=Pa;Mf=Zd;break}}}else{Gf=Tc;Hf=Uc;If=Vc;Jf=Wc;Kf=Oa;Lf=La;Mf=Na}Rd=d[Td+(Lf<<2)+2>>1]|0;Sd=b[Td+(Lf<<2)>>0]|0;Yd=Sd&255;if(!(Yd&240)){Ra=Rd&65535;$d=(1<<Kf+Yd)+-1|0;Yd=((Hf&$d)>>>Kf)+Ra|0;Zd=b[Td+(Yd<<2)+1>>0]|0;if(((Zd&255)+Kf|0)>>>0>Gf>>>0){Pa=Gf;Xd=Hf;Ma=If;Ud=Jf;while(1){if(!Ma){wa=p;xa=Pa;ya=Xd;za=0;Aa=Ud;Ba=Xc;Ca=ka;break a}q=Ma+-1|0;Qa=Ud+1|0;Vd=(h[Ud>>0]<<Pa)+Xd|0;Qd=Pa+8|0;Xb=((Vd&$d)>>>Kf)+Ra|0;ae=b[Td+(Xb<<2)+1>>0]|0;if(((ae&255)+Kf|0)>>>0>Qd>>>0){Pa=Qd;Xd=Vd;Ma=q;Ud=Qa}else{Nf=Qd;Of=Vd;Pf=q;Qf=Qa;Rf=Xb;Sf=ae;break}}}else{Nf=Gf;Of=Hf;Pf=If;Qf=Jf;Rf=Yd;Sf=Zd}Ud=d[Td+(Rf<<2)+2>>1]|0;Ma=b[Td+(Rf<<2)>>0]|0;Xd=(f[P>>2]|0)+Kf|0;f[P>>2]=Xd;Tf=Nf-Kf|0;Uf=Of>>>Kf;Vf=Pf;Wf=Qf;Xf=Ma;Yf=Sf;Zf=Ud;_f=Xd}else{Tf=Gf;Uf=Hf;Vf=If;Wf=Jf;Xf=Sd;Yf=Mf;Zf=Rd;_f=f[P>>2]|0}Xd=Yf&255;Ud=Uf>>>Xd;Ma=Tf-Xd|0;f[P>>2]=_f+Xd;Xd=Xf&255;if(!(Xd&64)){f[S>>2]=Zf&65535;Pa=Xd&15;f[Q>>2]=Pa;f[l>>2]=16203;Yc=Ma;Zc=Ud;_c=Vf;$c=Wf;ad=Xc;bd=Pa;va=252;break}else{f[D>>2]=485845;f[l>>2]=16209;Da=Xc;Ea=ka;Fa=Vf;Ga=oa;Ha=Wf;Ia=p;Ja=Ma;Ka=Ud;break}}while(0);if((va|0)==109){va=0;if(!(f[B>>2]&4096)){Ud=f[C>>2]|0;if(!Ud){$f=Cb;ag=Db}else{f[Ud+36>>2]=0;$f=Cb;ag=Db}}else{if(!Cb){pa=Ab;qa=Bb;ra=0;sa=Db;ta=ja;ua=ka;va=296;break}else bg=0;do{Ud=bg;bg=bg+1|0;Ma=b[Db+Ud>>0]|0;Ud=f[C>>2]|0;if((Ud|0?(Pa=f[Ud+36>>2]|0,Pa|0):0)?(Xd=f[G>>2]|0,Xd>>>0<(f[Ud+40>>2]|0)>>>0):0){f[G>>2]=Xd+1;b[Pa+Xd>>0]=Ma}cg=Ma<<24>>24!=0}while(cg&Cb>>>0>bg>>>0);if(f[B>>2]&512|0?f[x>>2]&4|0:0){Ma=hIb(f[z>>2]|0,Db,bg)|0;f[z>>2]=Ma}Ma=Cb-bg|0;Xd=Db+bg|0;if(cg){pa=Ab;qa=Bb;ra=Ma;sa=Xd;ta=ja;ua=ka;va=296;break}else{$f=Ma;ag=Xd}}f[l>>2]=16188;Eb=Ab;Fb=Bb;Gb=$f;Hb=ag;va=123}else if((va|0)==252){va=0;if(!bd){dg=Yc;eg=Zc;fg=_c;gg=$c}else{if(Yc>>>0<bd>>>0){Xd=Yc;Ma=Zc;Pa=_c;Ud=$c;while(1){if(!Pa){wa=p;xa=Xd;ya=Ma;za=0;Aa=Ud;Ba=ad;Ca=ka;break a}Ra=Pa+-1|0;$d=Ud+1|0;Na=(h[Ud>>0]<<Xd)+Ma|0;La=Xd+8|0;if(La>>>0<bd>>>0){Xd=La;Ma=Na;Pa=Ra;Ud=$d}else{hg=La;ig=Na;jg=Ra;kg=$d;break}}}else{hg=Yc;ig=Zc;jg=_c;kg=$c}f[S>>2]=(f[S>>2]|0)+(ig&(1<<bd)+-1);f[P>>2]=(f[P>>2]|0)+bd;dg=hg-bd|0;eg=ig>>>bd;fg=jg;gg=kg}f[l>>2]=16204;cd=dg;dd=eg;ed=fg;fd=gg;gd=ad;va=258}do if((va|0)==123){va=0;Ud=f[B>>2]|0;if(Ud&512){if(Eb>>>0<16){Pa=Eb;Ma=Fb;Xd=Gb;$d=Hb;while(1){if(!Xd){wa=p;xa=Pa;ya=Ma;za=0;Aa=$d;Ba=ja;Ca=ka;break a}Ra=Xd+-1|0;Na=$d+1|0;La=(h[$d>>0]<<Pa)+Ma|0;Oa=Pa+8|0;if(Oa>>>0<16){Pa=Oa;Ma=La;Xd=Ra;$d=Na}else{lg=Oa;mg=La;ng=Ra;og=Na;break}}}else{lg=Eb;mg=Fb;ng=Gb;og=Hb}if((f[x>>2]&4|0)!=0?(mg|0)!=(f[z>>2]&65535|0):0){f[D>>2]=485531;f[l>>2]=16209;Da=ja;Ea=ka;Fa=ng;Ga=oa;Ha=og;Ia=p;Ja=lg;Ka=mg;break}else{pg=0;qg=0;rg=ng;sg=og}}else{pg=Eb;qg=Fb;rg=Gb;sg=Hb}$d=f[C>>2]|0;if($d|0){f[$d+44>>2]=Ud>>>9&1;f[$d+48>>2]=1}$d=hIb(0,0,0)|0;f[z>>2]=$d;f[F>>2]=$d;f[l>>2]=16191;Da=ja;Ea=ka;Fa=rg;Ga=oa;Ha=sg;Ia=p;Ja=pg;Ka=qg}else if((va|0)==258){va=0;if(!ka){pa=cd;qa=dd;ra=ed;sa=fd;ta=gd;ua=0;va=296;break a}$d=p-ka|0;Xd=f[S>>2]|0;if(Xd>>>0>$d>>>0){Ma=Xd-$d|0;if(Ma>>>0>(f[T>>2]|0)>>>0?f[U>>2]|0:0){f[D>>2]=485867;f[l>>2]=16209;Da=gd;Ea=ka;Fa=ed;Ga=oa;Ha=fd;Ia=p;Ja=cd;Ka=dd;break}$d=f[V>>2]|0;if(Ma>>>0>$d>>>0){Pa=Ma-$d|0;tg=Pa;ug=(f[X>>2]|0)-Pa|0}else{tg=Ma;ug=$d-Ma|0}Ma=f[G>>2]|0;vg=(f[W>>2]|0)+ug|0;wg=tg>>>0>Ma>>>0?Ma:tg;xg=Ma}else{Ma=f[G>>2]|0;vg=oa+(0-Xd)|0;wg=Ma;xg=Ma}Ma=wg>>>0>ka>>>0?ka:wg;f[G>>2]=xg-Ma;Xd=Ma+1|0;$d=Ma;Pa=oa;Rd=vg;while(1){b[Pa>>0]=b[Rd>>0]|0;$d=$d+-1|0;if(!$d)break;else{Pa=Pa+1|0;Rd=Rd+1|0}}Rd=ka-Ma|0;Pa=oa+-1+Xd|0;if(!(f[G>>2]|0)){f[l>>2]=16200;Da=gd;Ea=Rd;Fa=ed;Ga=Pa;Ha=fd;Ia=p;Ja=cd;Ka=dd}else{Da=gd;Ea=Rd;Fa=ed;Ga=Pa;Ha=fd;Ia=p;Ja=cd;Ka=dd}}while(0);ja=Da;ka=Ea;la=Fa;ma=Ha;p=Ia;r=Ja;na=Ka;oa=Ga;o=f[l>>2]|0}if((va|0)==137){f[n>>2]=oa;f[m>>2]=ka;f[a>>2]=Ob;f[s>>2]=Nb;f[v>>2]=Mb;f[w>>2]=Lb;i=2;u=e;return i|0}else if((va|0)==147){wa=p;xa=Ld+-3|0;ya=Md>>>3;za=Nd;Aa=Od;Ba=ja;Ca=ka}else if((va|0)!=150)if((va|0)==295){f[l>>2]=16208;wa=td;xa=Dd;ya=Ed;za=Fd;Aa=Gd;Ba=1;Ca=ka}else if((va|0)==296){wa=p;xa=pa;ya=qa;za=ra;Aa=sa;Ba=ta;Ca=ua}else if((va|0)==310){i=-4;u=e;return i|0}else if((va|0)==311){u=e;return i|0}f[n>>2]=oa;f[m>>2]=Ca;f[a>>2]=Aa;f[s>>2]=za;f[v>>2]=ya;f[w>>2]=xa;if(!(f[X>>2]|0))if(((wa|0)!=(Ca|0)?(X=f[l>>2]|0,X>>>0<16209):0)?(c|0)!=4|X>>>0<16206:0)va=301;else{yg=za;zg=Ca}else va=301;do if((va|0)==301){if(!(_Hb(a,oa,wa-Ca|0)|0)){yg=f[s>>2]|0;zg=f[m>>2]|0;break}f[l>>2]=16210;i=-4;u=e;return i|0}while(0);m=t-yg|0;yg=wa-zg|0;zg=a+8|0;f[zg>>2]=(f[zg>>2]|0)+m;f[Y>>2]=(f[Y>>2]|0)+yg;f[Z>>2]=(f[Z>>2]|0)+yg;if((yg|0)!=0&(f[x>>2]&4|0)!=0){x=f[z>>2]|0;Z=(f[n>>2]|0)+(0-yg)|0;if(!(f[B>>2]|0))Ag=fIb(x,Z,yg)|0;else Ag=hIb(x,Z,yg)|0;f[z>>2]=Ag;f[F>>2]=Ag}Ag=f[l>>2]|0;f[a+44>>2]=(f[J>>2]|0?64:0)+(f[w>>2]|0)+((Ag|0)==16191?128:0)+((Ag|0)==16199|(Ag|0)==16194?256:0);i=(Ba|0)==0&((c|0)==4|(yg|m|0)==0)?-5:Ba;u=e;return i|0}function _Hb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;d=f[a+28>>2]|0;e=d+56|0;g=f[e>>2]|0;if(!g){h=li[f[a+32>>2]&511](f[a+40>>2]|0,1<<f[d+40>>2],1)|0;f[e>>2]=h;if(!h){i=1;return i|0}else j=h}else j=g;g=d+44|0;h=f[g>>2]|0;if(!h){a=1<<f[d+40>>2];f[g>>2]=a;f[d+52>>2]=0;f[d+48>>2]=0;k=a}else k=h;if(k>>>0<=c>>>0){szc(j|0,b+(0-k)|0,k|0)|0;f[d+52>>2]=0;f[d+48>>2]=f[g>>2];i=0;return i|0}h=d+52|0;a=f[h>>2]|0;l=k-a|0;k=l>>>0>c>>>0?c:l;szc(j+a|0,b+(0-c)|0,k|0)|0;a=c-k|0;if(a|0){szc(f[e>>2]|0,b+(0-a)|0,a|0)|0;f[h>>2]=a;f[d+48>>2]=f[g>>2];i=0;return i|0}a=(f[h>>2]|0)+k|0;b=f[g>>2]|0;f[h>>2]=(a|0)==(b|0)?0:a;a=d+48|0;d=f[a>>2]|0;if(d>>>0>=b>>>0){i=0;return i|0}f[a>>2]=d+k;i=0;return i|0}function $Hb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;if(!a){b=-2;return b|0}if(!(f[a+32>>2]|0)){b=-2;return b|0}c=a+36|0;d=f[c>>2]|0;if(!d){b=-2;return b|0}e=a+28|0;g=f[e>>2]|0;if(!g){b=-2;return b|0}if((f[g>>2]|0)!=(a|0)){b=-2;return b|0}if(((f[g+4>>2]|0)+-16180|0)>>>0>31){b=-2;return b|0}h=f[g+56>>2]|0;i=a+40|0;if(!h){j=d;k=g}else{yh[d&2047](f[i>>2]|0,h);j=f[c>>2]|0;k=f[e>>2]|0}yh[j&2047](f[i>>2]|0,k);f[e>>2]=0;b=0;return b|0}function aIb(a,c,e,g,h,i){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0;k=u;u=u+64|0;l=k+32|0;m=k;n=l;o=n+32|0;do{d[n>>1]=0;n=n+2|0}while((n|0)<(o|0));n=(e|0)==0;if(!n){o=0;do{p=l+(j[c+(o<<1)>>1]<<1)|0;d[p>>1]=(d[p>>1]|0)+1<<16>>16;o=o+1|0}while((o|0)!=(e|0));o=d[l+30>>1]|0;p=f[h>>2]|0;if(!(o<<16>>16)){q=p;r=5}else{s=15;t=p;v=o;r=7}}else{q=f[h>>2]|0;r=5}do if((r|0)==5)if(!(d[l+28>>1]|0))if(!(d[l+26>>1]|0))if(!(d[l+24>>1]|0))if(!(d[l+22>>1]|0))if(!(d[l+20>>1]|0))if(!(d[l+18>>1]|0))if(!(d[l+16>>1]|0))if(!(d[l+14>>1]|0))if(!(d[l+12>>1]|0))if(!(d[l+10>>1]|0))if(!(d[l+8>>1]|0))if(!(d[l+6>>1]|0))if(!(d[l+4>>1]|0)){if(d[l+2>>1]|0){w=(q|0)!=0&1;x=1;y=1;z=0;break}o=f[g>>2]|0;f[g>>2]=o+4;b[o>>0]=64;b[o+1>>0]=1;d[o+2>>1]=0;o=f[g>>2]|0;f[g>>2]=o+4;b[o>>0]=64;b[o+1>>0]=1;d[o+2>>1]=0;f[h>>2]=1;A=0;u=k;return A|0}else{s=2;t=q;v=0;r=7}else{s=3;t=q;v=0;r=7}else{s=4;t=q;v=0;r=7}else{s=5;t=q;v=0;r=7}else{s=6;t=q;v=0;r=7}else{s=7;t=q;v=0;r=7}else{s=8;t=q;v=0;r=7}else{s=9;t=q;v=0;r=7}else{s=10;t=q;v=0;r=7}else{s=11;t=q;v=0;r=7}else{s=12;t=q;v=0;r=7}else{s=13;t=q;v=0;r=7}else{s=14;t=q;v=0;r=7}while(0);a:do if((r|0)==7){q=t>>>0>s>>>0?s:t;o=1;while(1){if(d[l+(o<<1)>>1]|0){w=q;x=s;y=o;z=v;break a}p=o+1|0;if(p>>>0<s>>>0)o=p;else{w=q;x=s;y=p;z=v;break}}}while(0);v=w>>>0<y>>>0?y:w;w=d[l+2>>1]|0;s=w&65535;t=2-s|0;if((t|0)<0){A=-1;u=k;return A|0}q=j[l+4>>1]|0;o=(t<<1)-q|0;if((o|0)<0){A=-1;u=k;return A|0}t=j[l+6>>1]|0;p=(o<<1)-t|0;if((p|0)<0){A=-1;u=k;return A|0}o=j[l+8>>1]|0;B=(p<<1)-o|0;if((B|0)<0){A=-1;u=k;return A|0}p=j[l+10>>1]|0;C=(B<<1)-p|0;if((C|0)<0){A=-1;u=k;return A|0}B=j[l+12>>1]|0;D=(C<<1)-B|0;if((D|0)<0){A=-1;u=k;return A|0}C=j[l+14>>1]|0;E=(D<<1)-C|0;if((E|0)<0){A=-1;u=k;return A|0}D=j[l+16>>1]|0;F=(E<<1)-D|0;if((F|0)<0){A=-1;u=k;return A|0}E=j[l+18>>1]|0;G=(F<<1)-E|0;if((G|0)<0){A=-1;u=k;return A|0}F=j[l+20>>1]|0;H=(G<<1)-F|0;if((H|0)<0){A=-1;u=k;return A|0}G=j[l+22>>1]|0;I=(H<<1)-G|0;if((I|0)<0){A=-1;u=k;return A|0}H=j[l+24>>1]|0;J=(I<<1)-H|0;if((J|0)<0){A=-1;u=k;return A|0}I=j[l+26>>1]|0;K=(J<<1)-I|0;if((K|0)<0){A=-1;u=k;return A|0}J=j[l+28>>1]|0;L=(K<<1)-J|0;if((L|0)<0){A=-1;u=k;return A|0}K=(L<<1)-(z&65535)|0;if((K|0)<0){A=-1;u=k;return A|0}if(K|0?(a|0)==0|(x|0)!=1:0){A=-1;u=k;return A|0}d[m+2>>1]=0;d[m+4>>1]=w;w=q+s|0;d[m+6>>1]=w;d[m+8>>1]=t+w;s=w+t|0;d[m+10>>1]=o+s;t=s+o|0;d[m+12>>1]=p+t;o=t+p|0;d[m+14>>1]=B+o;p=o+B|0;d[m+16>>1]=C+p;B=p+C|0;d[m+18>>1]=D+B;C=B+D|0;d[m+20>>1]=E+C;D=C+E|0;d[m+22>>1]=F+D;E=D+F|0;d[m+24>>1]=G+E;F=E+G|0;d[m+26>>1]=H+F;G=F+H|0;d[m+28>>1]=I+G;d[m+30>>1]=J+(G+I);if(!n){n=0;do{I=d[c+(n<<1)>>1]|0;if(I<<16>>16){G=m+((I&65535)<<1)|0;I=d[G>>1]|0;d[G>>1]=I+1<<16>>16;d[i+((I&65535)<<1)>>1]=n}n=n+1|0}while((n|0)!=(e|0))}switch(a|0){case 0:{M=i;N=i;O=20;P=0;Q=0;break}case 1:{if(v>>>0>9){A=1;u=k;return A|0}else{M=169728;N=169602;O=257;P=0;Q=1}break}default:{e=(a|0)==2;if(e&v>>>0>9){A=1;u=k;return A|0}else{M=169664;N=169538;O=0;P=e;Q=0}}}e=1<<v;a=e+-1|0;n=v&255;m=f[g>>2]|0;I=-1;G=0;J=e;e=0;H=v;F=0;E=y;b:while(1){y=1<<H;R=G;D=F;C=E;while(1){B=C-e|0;S=B&255;p=d[i+(D<<1)>>1]|0;o=p&65535;do if((o+1|0)>>>0<O>>>0){T=p;U=0}else{t=o-O|0;if(o>>>0<O>>>0){T=0;U=96;break}T=d[N+(t<<1)>>1]|0;U=d[M+(t<<1)>>1]&255}while(0);o=1<<B;p=R>>>e;t=y;do{t=t-o|0;s=t+p|0;b[m+(s<<2)>>0]=U;b[m+(s<<2)+1>>0]=S;d[m+(s<<2)+2>>1]=T}while((t|0)!=0);t=1<<C+-1;while(1)if(!(t&R))break;else t=t>>>1;p=R;R=(t|0)==0?0:(t+-1&R)+t|0;p=D;D=D+1|0;p=l+(C<<1)|0;o=(d[p>>1]|0)+-1<<16>>16;d[p>>1]=o;if(!(o<<16>>16)){if((C|0)==(x|0))break b;V=j[c+(j[i+(D<<1)>>1]<<1)>>1]|0}else V=C;if(V>>>0<=v>>>0){R=R;D=D;C=V;continue}W=R&a;if((W|0)!=(I|0))break;else C=V}C=(e|0)==0?v:e;o=m+(y<<2)|0;p=V-C|0;c:do if(V>>>0<x>>>0){B=1<<p;s=p;w=V;while(1){q=B-(j[l+(w<<1)>>1]|0)|0;if((q|0)<1){X=s;break c}K=s+1|0;w=K+C|0;if(w>>>0>=x>>>0){X=K;break}else{B=q<<1;s=K}}}else X=p;while(0);p=(1<<X)+J|0;if(Q&p>>>0>852|P&p>>>0>592){A=1;r=43;break}y=f[g>>2]|0;b[y+(W<<2)>>0]=X;b[y+(W<<2)+1>>0]=n;d[y+(W<<2)+2>>1]=(o-y|0)>>>2;m=o;I=W;G=R;J=p;e=C;H=X;F=D;E=V}if((r|0)==43){u=k;return A|0}if(R|0){b[m+(R<<2)>>0]=64;b[m+(R<<2)+1>>0]=S;d[m+(R<<2)+2>>1]=0}f[g>>2]=(f[g>>2]|0)+(J<<2);f[h>>2]=v;A=0;u=k;return A|0}function bIb(a,c){a=a|0;c=c|0;var e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0;e=f[a+28>>2]|0;g=f[a>>2]|0;i=a+4|0;j=g+((f[i>>2]|0)+-5)|0;k=a+12|0;l=f[k>>2]|0;m=a+16|0;n=f[m>>2]|0;o=l+(n+-257)|0;p=f[e+44>>2]|0;q=f[e+48>>2]|0;r=f[e+52>>2]|0;s=f[e+56>>2]|0;t=e+60|0;u=e+64|0;v=f[e+80>>2]|0;w=f[e+84>>2]|0;x=(1<<f[e+88>>2])+-1|0;y=(1<<f[e+92>>2])+-1|0;z=l+(n-c)|0;c=e+7108|0;n=(r|0)==0;A=r+p|0;B=z-r|0;C=g;g=l;l=f[t>>2]|0;D=f[u>>2]|0;a:while(1){if(D>>>0<15){E=C+2|0;F=((h[C>>0]|0)<<D)+l+((h[C+1>>0]|0)<<D+8)|0;G=D+16|0}else{E=C;F=l;G=D}H=F&x;I=b[v+(H<<2)>>0]|0;J=d[v+(H<<2)+2>>1]|0;K=h[v+(H<<2)+1>>0]|0;H=F>>>K;L=G-K|0;do if(I<<24>>24){K=J;M=I&255;N=L;O=H;while(1){if(M&16|0)break;if(M&64|0){P=53;break a}Q=(O&(1<<M)+-1)+(K&65535)|0;R=b[v+(Q<<2)>>0]|0;S=d[v+(Q<<2)+2>>1]|0;T=h[v+(Q<<2)+1>>0]|0;U=O>>>T;V=N-T|0;if(!(R<<24>>24)){P=6;break}else{K=S;M=R&255;N=V;O=U}}if((P|0)==6){P=0;W=V;X=U;Y=S&255;P=7;break}R=K&65535;T=M&15;if(!T){Z=R;_=E;$=O;aa=N}else{if(N>>>0<T>>>0){ba=E+1|0;ca=((h[E>>0]|0)<<N)+O|0;da=N+8|0}else{ba=E;ca=O;da=N}Z=(ca&(1<<T)+-1)+R|0;_=ba;$=ca>>>T;aa=da-T|0}if(aa>>>0<15){ea=_+2|0;fa=((h[_>>0]|0)<<aa)+$+((h[_+1>>0]|0)<<aa+8)|0;ga=aa+16|0}else{ea=_;fa=$;ga=aa}T=fa&y;R=d[w+(T<<2)+2>>1]|0;Q=h[w+(T<<2)+1>>0]|0;ha=fa>>>Q;ia=ga-Q|0;Q=h[w+(T<<2)>>0]|0;if(!(Q&16)){T=R;ja=Q;ka=ha;la=ia;while(1){if(ja&64|0){ma=ea;na=ka;oa=la;pa=485845;P=55;break a}qa=(ka&(1<<ja)+-1)+(T&65535)|0;ra=d[w+(qa<<2)+2>>1]|0;sa=h[w+(qa<<2)+1>>0]|0;ta=ka>>>sa;ua=la-sa|0;sa=h[w+(qa<<2)>>0]|0;if(!(sa&16)){T=ra;ja=sa;ka=ta;la=ua}else{va=sa;wa=ua;xa=ta;ya=ra;break}}}else{va=Q;wa=ia;xa=ha;ya=R}la=ya&65535;ka=va&15;if(wa>>>0<ka>>>0){ja=ea+1|0;T=((h[ea>>0]|0)<<wa)+xa|0;K=wa+8|0;if(K>>>0<ka>>>0){za=ea+2|0;Aa=((h[ja>>0]|0)<<K)+T|0;Ba=wa+16|0}else{za=ja;Aa=T;Ba=K}}else{za=ea;Aa=xa;Ba=wa}K=(Aa&(1<<ka)+-1)+la|0;la=Aa>>>ka;T=Ba-ka|0;ka=g;ja=ka-z|0;if(K>>>0<=ja>>>0){ra=Z;ta=g+(0-K)|0;ua=g;while(1){b[ua>>0]=b[ta>>0]|0;b[ua+1>>0]=b[ta+1>>0]|0;Ca=ta+3|0;Da=ua+3|0;b[ua+2>>0]=b[ta+2>>0]|0;ra=ra+-3|0;if(ra>>>0<=2)break;else{ta=Ca;ua=Da}}if(!ra){Ea=za;Fa=Da;Ga=la;Ha=T;break}R=ua+4|0;b[Da>>0]=b[Ca>>0]|0;if((ra|0)==1){Ea=za;Fa=R;Ga=la;Ha=T;break}b[R>>0]=b[ta+4>>0]|0;Ea=za;Fa=ua+5|0;Ga=la;Ha=T;break}R=K-ja|0;if(R>>>0>q>>>0?f[c>>2]|0:0){ma=za;na=la;oa=T;pa=485867;P=55;break a}do if(n){ha=s+(p-R)|0;if(Z>>>0>R>>>0){ia=Z-R|0;Q=K-ka|0;sa=ha;qa=R;Ia=g;while(1){b[Ia>>0]=b[sa>>0]|0;qa=qa+-1|0;if(!qa)break;else{sa=sa+1|0;Ia=Ia+1|0}}Ia=g+z+Q|0;Ja=ia;Ka=Ia+(0-K)|0;La=Ia}else{Ja=Z;Ka=ha;La=g}}else{if(r>>>0>=R>>>0){Ia=s+(r-R)|0;if(Z>>>0<=R>>>0){Ja=Z;Ka=Ia;La=g;break}sa=Z-R|0;qa=K-ka|0;Ma=Ia;Ia=R;Na=g;while(1){b[Na>>0]=b[Ma>>0]|0;Ia=Ia+-1|0;if(!Ia)break;else{Ma=Ma+1|0;Na=Na+1|0}}Na=g+z+qa|0;Ja=sa;Ka=Na+(0-K)|0;La=Na;break}Na=s+(A-R)|0;Ma=R-r|0;if(Z>>>0>Ma>>>0){Ia=Z-Ma|0;ha=K-ka|0;ia=Na;Q=Ma;Ma=g;while(1){b[Ma>>0]=b[ia>>0]|0;Q=Q+-1|0;if(!Q)break;else{ia=ia+1|0;Ma=Ma+1|0}}Ma=g+B+ha|0;if(Ia>>>0>r>>>0){ia=g+z|0;Q=s;sa=r;qa=Ma;while(1){b[qa>>0]=b[Q>>0]|0;sa=sa+-1|0;if(!sa)break;else{Q=Q+1|0;qa=qa+1|0}}qa=ia+ha|0;Ja=Ia-r|0;Ka=qa+(0-K)|0;La=qa}else{Ja=Ia;Ka=s;La=Ma}}else{Ja=Z;Ka=Na;La=g}}while(0);if(Ja>>>0>2){K=Ja;ka=Ka;R=La;while(1){b[R>>0]=b[ka>>0]|0;b[R+1>>0]=b[ka+1>>0]|0;ja=ka+3|0;ua=R+3|0;b[R+2>>0]=b[ka+2>>0]|0;ta=K+-3|0;if(ta>>>0>2){K=ta;ka=ja;R=ua}else{Oa=ta;Pa=ja;Qa=ua;break}}}else{Oa=Ja;Pa=Ka;Qa=La}if(Oa){R=Qa+1|0;b[Qa>>0]=b[Pa>>0]|0;if((Oa|0)==1){Ea=za;Fa=R;Ga=la;Ha=T}else{b[R>>0]=b[Pa+1>>0]|0;Ea=za;Fa=Qa+2|0;Ga=la;Ha=T}}else{Ea=za;Fa=Qa;Ga=la;Ha=T}}else{W=L;X=H;Y=J&255;P=7}while(0);if((P|0)==7){P=0;b[g>>0]=Y;Ea=E;Fa=g+1|0;Ga=X;Ha=W}if(Fa>>>0<o>>>0&Ea>>>0<j>>>0){C=Ea;g=Fa;l=Ga;D=Ha}else{Ra=Ga;Sa=Ha;Ta=Ea;Ua=Fa;P=57;break}}if((P|0)==53)if(!(M&32)){ma=E;na=O;oa=N;pa=485817;P=55}else{Va=E;Wa=O;Xa=N;Ya=16191}else if((P|0)==57){Za=Sa>>>3;_a=0-Za|0;$a=Ta+_a|0;ab=Za<<3;bb=Sa-ab|0;cb=1<<bb;db=cb+-1|0;eb=db&Ra;f[a>>2]=$a;f[k>>2]=Ua;fb=j;gb=$a;hb=fb+5|0;ib=hb-gb|0;f[i>>2]=ib;jb=o;kb=Ua;lb=jb+257|0;mb=lb-kb|0;f[m>>2]=mb;f[t>>2]=eb;f[u>>2]=bb;return}if((P|0)==55){f[a+24>>2]=pa;Va=ma;Wa=na;Xa=oa;Ya=16209}f[e+4>>2]=Ya;Ra=Wa;Sa=Xa;Ta=Va;Ua=g;Za=Sa>>>3;_a=0-Za|0;$a=Ta+_a|0;ab=Za<<3;bb=Sa-ab|0;cb=1<<bb;db=cb+-1|0;eb=db&Ra;f[a>>2]=$a;f[k>>2]=Ua;fb=j;gb=$a;hb=fb+5|0;ib=hb-gb|0;f[i>>2]=ib;jb=o;kb=Ua;lb=jb+257|0;mb=lb-kb|0;f[m>>2]=mb;f[t>>2]=eb;f[u>>2]=bb;return}function cIb(a,b,c){a=a|0;b=b|0;c=c|0;return pec(Y(c,b)|0)|0}function dIb(a,b){a=a|0;b=b|0;qec(b);return}function eIb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0;d=a>>>16;e=a&65535;if((c|0)==1){a=(h[b>>0]|0)+e|0;f=a>>>0>65520?a+-65521|0:a;a=f+d|0;g=(a>>>0>65520?a+15|0:a)<<16|f;return g|0}if(!b){g=1;return g|0}if(c>>>0<16){if(!c){i=d;j=e}else{f=c;a=b;k=e;l=d;while(1){f=f+-1|0;m=(h[a>>0]|0)+k|0;n=m+l|0;if(!f){i=n;j=m;break}else{a=a+1|0;k=m;l=n}}}g=((i>>>0)%65521|0)<<16|(j>>>0>65520?j+-65521|0:j);return g|0}if(c>>>0>5551){j=c;i=b;l=d;k=e;do{j=j+-5552|0;a=347;f=i;n=l;m=k;while(1){o=(h[f>>0]|0)+m|0;p=o+(h[f+1>>0]|0)|0;q=p+(h[f+2>>0]|0)|0;r=q+(h[f+3>>0]|0)|0;s=r+(h[f+4>>0]|0)|0;t=s+(h[f+5>>0]|0)|0;u=t+(h[f+6>>0]|0)|0;v=u+(h[f+7>>0]|0)|0;w=v+(h[f+8>>0]|0)|0;x=w+(h[f+9>>0]|0)|0;y=x+(h[f+10>>0]|0)|0;z=y+(h[f+11>>0]|0)|0;A=z+(h[f+12>>0]|0)|0;B=A+(h[f+13>>0]|0)|0;C=B+(h[f+14>>0]|0)|0;m=C+(h[f+15>>0]|0)|0;n=o+n+p+q+r+s+t+u+v+w+x+y+z+A+B+C+m|0;a=a+-1|0;if(!a)break;else f=f+16|0}i=i+5552|0;k=(m>>>0)%65521|0;l=(n>>>0)%65521|0}while(j>>>0>5551);if(j)if(j>>>0>15){D=j;E=i;F=l;G=k;H=14}else{I=j;J=i;K=l;L=k;H=17}else{M=l;N=k}}else{D=c;E=b;F=d;G=e;H=14}if((H|0)==14){e=D+-16|0;d=e&-16;b=d+16|0;c=D;D=E;k=F;F=G;while(1){c=c+-16|0;G=(h[D>>0]|0)+F|0;l=G+(h[D+1>>0]|0)|0;i=l+(h[D+2>>0]|0)|0;j=i+(h[D+3>>0]|0)|0;f=j+(h[D+4>>0]|0)|0;a=f+(h[D+5>>0]|0)|0;C=a+(h[D+6>>0]|0)|0;B=C+(h[D+7>>0]|0)|0;A=B+(h[D+8>>0]|0)|0;z=A+(h[D+9>>0]|0)|0;y=z+(h[D+10>>0]|0)|0;x=y+(h[D+11>>0]|0)|0;w=x+(h[D+12>>0]|0)|0;v=w+(h[D+13>>0]|0)|0;u=v+(h[D+14>>0]|0)|0;F=u+(h[D+15>>0]|0)|0;k=G+k+l+i+j+f+a+C+B+A+z+y+x+w+v+u+F|0;if(c>>>0<=15)break;else D=D+16|0}D=e-d|0;if(!D){O=k;P=F;H=18}else{I=D;J=E+b|0;K=k;L=F;H=17}}if((H|0)==17)while(1){H=0;I=I+-1|0;F=(h[J>>0]|0)+L|0;k=F+K|0;if(!I){O=k;P=F;H=18;break}else{J=J+1|0;K=k;L=F;H=17}}if((H|0)==18){M=(O>>>0)%65521|0;N=(P>>>0)%65521|0}g=M<<16|N;return g|0}function fIb(a,b,c){a=a|0;b=b|0;c=c|0;return eIb(a,b,c)|0}function gIb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;if(!b){d=0;return d|0}e=~a;a:do if(c){a=e;g=c;i=b;while(1){if(!(i&3))break;j=f[142536+(((h[i>>0]|0)^a&255)<<2)>>2]^a>>>8;k=g+-1|0;if(!k){l=j;break a}else{a=j;g=k;i=i+1|0}}if(g>>>0>31){k=g+-32|0;j=k&-32;m=i+(j+32)|0;n=i;o=a;p=g;while(1){q=f[n>>2]^o;r=f[144584+((q>>>8&255)<<2)>>2]^f[145608+((q&255)<<2)>>2]^f[143560+((q>>>16&255)<<2)>>2]^f[142536+(q>>>24<<2)>>2]^f[n+4>>2];q=f[144584+((r>>>8&255)<<2)>>2]^f[145608+((r&255)<<2)>>2]^f[143560+((r>>>16&255)<<2)>>2]^f[142536+(r>>>24<<2)>>2]^f[n+8>>2];r=f[144584+((q>>>8&255)<<2)>>2]^f[145608+((q&255)<<2)>>2]^f[143560+((q>>>16&255)<<2)>>2]^f[142536+(q>>>24<<2)>>2]^f[n+12>>2];q=f[144584+((r>>>8&255)<<2)>>2]^f[145608+((r&255)<<2)>>2]^f[143560+((r>>>16&255)<<2)>>2]^f[142536+(r>>>24<<2)>>2]^f[n+16>>2];r=f[144584+((q>>>8&255)<<2)>>2]^f[145608+((q&255)<<2)>>2]^f[143560+((q>>>16&255)<<2)>>2]^f[142536+(q>>>24<<2)>>2]^f[n+20>>2];q=f[144584+((r>>>8&255)<<2)>>2]^f[145608+((r&255)<<2)>>2]^f[143560+((r>>>16&255)<<2)>>2]^f[142536+(r>>>24<<2)>>2]^f[n+24>>2];r=f[144584+((q>>>8&255)<<2)>>2]^f[145608+((q&255)<<2)>>2]^f[143560+((q>>>16&255)<<2)>>2]^f[142536+(q>>>24<<2)>>2]^f[n+28>>2];o=f[144584+((r>>>8&255)<<2)>>2]^f[145608+((r&255)<<2)>>2]^f[143560+((r>>>16&255)<<2)>>2]^f[142536+(r>>>24<<2)>>2];p=p+-32|0;if(p>>>0<=31)break;else n=n+32|0}s=m;t=o;u=k-j|0}else{s=i;t=a;u=g}if(u>>>0>3){n=u+-4|0;p=n>>>2;r=p+1|0;q=s;v=u;w=t;while(1){x=f[q>>2]^w;w=f[144584+((x>>>8&255)<<2)>>2]^f[145608+((x&255)<<2)>>2]^f[143560+((x>>>16&255)<<2)>>2]^f[142536+(x>>>24<<2)>>2];v=v+-4|0;if(v>>>0<=3)break;else q=q+4|0}y=s+(r<<2)|0;z=w;A=n-(p<<2)|0}else{y=s;z=t;A=u}if(!A)l=z;else{q=y;v=z;g=A;while(1){a=f[142536+(((h[q>>0]|0)^v&255)<<2)>>2]^v>>>8;g=g+-1|0;if(!g){l=a;break}else{q=q+1|0;v=a}}}}else l=e;while(0);d=~l;return d|0}function hIb(a,b,c){a=a|0;b=b|0;c=c|0;return gIb(a,b,c)|0}function iIb(a,c,e,g,h,i,k,l){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;if(!k){m=-6;return m|0}if((l|0)!=56|(b[k>>0]|0)!=49){m=-6;return m|0}if(!a){m=-2;return m|0}k=a+24|0;f[k>>2]=0;l=a+32|0;n=f[l>>2]|0;if(!n){f[l>>2]=299;f[a+40>>2]=0;o=299}else o=n;n=a+36|0;if(!(f[n>>2]|0))f[n>>2]=1122;n=(c|0)==-1?6:c;if((g|0)<0){p=0;q=0-g|0}else{c=(g|0)>15;p=c?2:1;q=c?g+-16|0:g}if(i>>>0>4|(n>>>0>9|((e|0)!=8|(h+-1|0)>>>0>8|(q&-8|0)!=8))){m=-2;return m|0}e=(q|0)==8;if(e&(p|0)!=1){m=-2;return m|0}g=e?9:q;q=a+40|0;e=li[o&511](f[q>>2]|0,1,5828)|0;if(!e){m=-4;return m|0}o=a+28|0;f[o>>2]=e;f[e>>2]=a;c=e+4|0;f[c>>2]=42;f[e+24>>2]=p;f[e+28>>2]=0;f[e+48>>2]=g;p=1<<g;g=e+44|0;f[g>>2]=p;f[e+52>>2]=p+-1;r=h+7|0;f[e+80>>2]=r;s=1<<r;r=e+76|0;f[r>>2]=s;f[e+84>>2]=s+-1;f[e+88>>2]=((h+9|0)>>>0)/3|0;s=li[f[l>>2]&511](f[q>>2]|0,p,2)|0;p=e+56|0;f[p>>2]=s;s=li[f[l>>2]&511](f[q>>2]|0,f[g>>2]|0,2)|0;g=e+64|0;f[g>>2]=s;s=li[f[l>>2]&511](f[q>>2]|0,f[r>>2]|0,2)|0;r=e+68|0;f[r>>2]=s;f[e+5824>>2]=0;s=1<<h+6;h=e+5788|0;f[h>>2]=s;t=li[f[l>>2]&511](f[q>>2]|0,s,4)|0;f[e+8>>2]=t;s=f[h>>2]|0;f[e+12>>2]=s<<2;if((f[p>>2]|0?f[g>>2]|0:0)?!((f[r>>2]|0)==0|(t|0)==0):0){f[e+5796>>2]=t+(s>>>1<<1);f[e+5784>>2]=t+(s*3|0);f[e+132>>2]=n;f[e+136>>2]=i;b[e+36>>0]=8;e=kIb(a)|0;if(e|0){m=e;return m|0}e=f[o>>2]|0;f[e+60>>2]=f[e+44>>2]<<1;o=f[e+68>>2]|0;i=(f[e+76>>2]|0)+-1|0;d[o+(i<<1)>>1]=0;kzc(o|0,0,i<<1|0)|0;i=f[e+132>>2]|0;f[e+128>>2]=j[150728+(i*12|0)+2>>1];f[e+140>>2]=j[150728+(i*12|0)>>1];f[e+144>>2]=j[150728+(i*12|0)+4>>1];f[e+124>>2]=j[150728+(i*12|0)+6>>1];f[e+108>>2]=0;f[e+92>>2]=0;f[e+116>>2]=0;f[e+5812>>2]=0;f[e+120>>2]=2;f[e+96>>2]=2;f[e+104>>2]=0;f[e+72>>2]=0;m=0;return m|0}f[c>>2]=666;f[k>>2]=f[35630];jIb(a)|0;m=-4;return m|0}function jIb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;if(!a){b=-2;return b|0}if(!(f[a+32>>2]|0)){b=-2;return b|0}c=a+36|0;d=f[c>>2]|0;if(!d){b=-2;return b|0}e=a+28|0;g=f[e>>2]|0;if(!g){b=-2;return b|0}if((f[g>>2]|0)!=(a|0)){b=-2;return b|0}h=f[g+4>>2]|0;switch(h|0){case 666:case 113:case 103:case 91:case 73:case 69:case 57:case 42:break;default:{b=-2;return b|0}}i=f[g+8>>2]|0;if(!i)j=g;else{yh[d&2047](f[a+40>>2]|0,i);j=f[e>>2]|0}i=f[j+68>>2]|0;if(!i)k=j;else{yh[f[c>>2]&2047](f[a+40>>2]|0,i);k=f[e>>2]|0}i=f[k+64>>2]|0;if(!i)l=k;else{yh[f[c>>2]&2047](f[a+40>>2]|0,i);l=f[e>>2]|0}i=f[l+56>>2]|0;if(!i){m=a+40|0;n=l}else{l=a+40|0;yh[f[c>>2]&2047](f[l>>2]|0,i);m=l;n=f[e>>2]|0}yh[f[c>>2]&2047](f[m>>2]|0,n);f[e>>2]=0;b=(h|0)==113?-3:0;return b|0}function kIb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0;if(!a){b=-2;return b|0}if(!(f[a+32>>2]|0)){b=-2;return b|0}if(!(f[a+36>>2]|0)){b=-2;return b|0}c=f[a+28>>2]|0;if(!c){b=-2;return b|0}if((f[c>>2]|0)!=(a|0)){b=-2;return b|0}d=c+4|0;switch(f[d>>2]|0){case 666:case 113:case 103:case 91:case 73:case 69:case 57:case 42:break;default:{b=-2;return b|0}}f[a+20>>2]=0;f[a+8>>2]=0;f[a+24>>2]=0;f[a+44>>2]=2;f[c+20>>2]=0;f[c+16>>2]=f[c+8>>2];e=c+24|0;g=f[e>>2]|0;h=0-g|0;if((g|0)<0){f[e>>2]=h;i=h}else i=g;g=(i|0)==2;f[d>>2]=g?57:i|0?42:113;if(g)j=hIb(0,0,0)|0;else j=fIb(0,0,0)|0;f[a+48>>2]=j;f[c+40>>2]=0;sIb(c);b=0;return b|0}function lIb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0;d=a+12|0;e=(f[d>>2]|0)+-5|0;g=a+44|0;h=f[g>>2]|0;i=e>>>0>h>>>0?h:e;e=f[a>>2]|0;h=f[e+4>>2]|0;j=a+5820|0;k=a+108|0;l=a+92|0;m=(c|0)!=4;n=(c|0)==0;o=(c|0)==4;p=a+8|0;q=a+20|0;r=a+56|0;s=(f[j>>2]|0)+42>>3;t=f[e+16>>2]|0;a:do if(t>>>0<s>>>0){u=0;v=e}else{w=0;x=s;y=t;z=e;while(1){A=y-x|0;B=(f[k>>2]|0)-(f[l>>2]|0)|0;C=B+(f[z+4>>2]|0)|0;D=C>>>0<65535?C:65535;E=D>>>0>A>>>0?A:D;if(E>>>0<i>>>0?!((E|0)==(C|0)&((n|m&(E|0)==0)^1)):0){u=w;v=z;break a}D=o&(E|0)==(C|0);C=D&1;uIb(a,0,0,C);b[(f[p>>2]|0)+((f[q>>2]|0)+-4)>>0]=E;b[(f[p>>2]|0)+((f[q>>2]|0)+-3)>>0]=E>>>8;A=~E;b[(f[p>>2]|0)+((f[q>>2]|0)+-2)>>0]=A;b[(f[p>>2]|0)+((f[q>>2]|0)+-1)>>0]=A>>>8;A=f[a>>2]|0;F=f[A+28>>2]|0;vIb(F);G=F+20|0;H=f[G>>2]|0;I=A+16|0;J=f[I>>2]|0;K=H>>>0>J>>>0?J:H;if(K|0?(H=A+12|0,J=F+16|0,szc(f[H>>2]|0,f[J>>2]|0,K|0)|0,f[H>>2]=(f[H>>2]|0)+K,f[J>>2]=(f[J>>2]|0)+K,H=A+20|0,f[H>>2]=(f[H>>2]|0)+K,f[I>>2]=(f[I>>2]|0)-K,I=(f[G>>2]|0)-K|0,f[G>>2]=I,(I|0)==0):0)f[J>>2]=f[F+8>>2];if(!B)L=E;else{F=B>>>0>E>>>0?E:B;szc(f[(f[a>>2]|0)+12>>2]|0,(f[r>>2]|0)+(f[l>>2]|0)|0,F|0)|0;B=f[a>>2]|0;J=B+12|0;f[J>>2]=(f[J>>2]|0)+F;J=B+16|0;f[J>>2]=(f[J>>2]|0)-F;J=B+20|0;f[J>>2]=(f[J>>2]|0)+F;f[l>>2]=(f[l>>2]|0)+F;L=E-F|0}if(L|0){F=f[a>>2]|0;E=f[F+12>>2]|0;J=F+4|0;B=f[J>>2]|0;I=B>>>0>L>>>0?L:B;if(!I){M=F;N=E}else{f[J>>2]=B-I;szc(E|0,f[F>>2]|0,I|0)|0;switch(f[(f[F+28>>2]|0)+24>>2]|0){case 1:{B=F+48|0;O=B;P=fIb(f[B>>2]|0,E,I)|0;Q=14;break}case 2:{B=F+48|0;O=B;P=hIb(f[B>>2]|0,E,I)|0;Q=14;break}default:{}}if((Q|0)==14){Q=0;f[O>>2]=P}f[F>>2]=(f[F>>2]|0)+I;E=F+8|0;f[E>>2]=(f[E>>2]|0)+I;I=f[a>>2]|0;M=I;N=f[I+12>>2]|0}f[M+12>>2]=N+L;I=M+16|0;f[I>>2]=(f[I>>2]|0)-L;I=M+20|0;f[I>>2]=(f[I>>2]|0)+L}I=f[a>>2]|0;if(D){u=C;v=I;break a}x=(f[j>>2]|0)+42>>3;y=f[I+16>>2]|0;if(y>>>0<x>>>0){u=C;v=I;break}else{w=C;z=I}}}while(0);L=h-(f[v+4>>2]|0)|0;if(!L)R=f[k>>2]|0;else{h=f[g>>2]|0;if(L>>>0<h>>>0){M=f[k>>2]|0;if(((f[a+60>>2]|0)-M|0)>>>0<=L>>>0?(N=M-h|0,f[k>>2]=N,M=f[r>>2]|0,szc(M|0,M+h|0,N|0)|0,N=a+5808|0,M=f[N>>2]|0,M>>>0<2):0)f[N>>2]=M+1;szc((f[r>>2]|0)+(f[k>>2]|0)|0,(f[f[a>>2]>>2]|0)+(0-L)|0,L|0)|0;M=(f[k>>2]|0)+L|0;f[k>>2]=M;S=M;T=f[g>>2]|0}else{f[a+5808>>2]=2;szc(f[r>>2]|0,(f[v>>2]|0)+(0-h)|0,h|0)|0;h=f[g>>2]|0;f[k>>2]=h;S=h;T=h}f[l>>2]=S;h=a+5812|0;v=f[h>>2]|0;M=T-v|0;f[h>>2]=(L>>>0>M>>>0?M:L)+v;R=S}S=a+5824|0;if((f[S>>2]|0)>>>0<R>>>0)f[S>>2]=R;if(u|0){U=3;return U|0}u=(c|0)!=0;v=f[a>>2]|0;L=f[v+4>>2]|0;switch(c|0){case 0:case 4:break;default:if((L|0)==0?(R|0)==(f[l>>2]|0):0){U=1;return U|0}}c=(f[a+60>>2]|0)-R+-1|0;if(L>>>0>c>>>0?(M=f[l>>2]|0,h=f[g>>2]|0,(M|0)>=(h|0)):0){f[l>>2]=M-h;M=R-h|0;f[k>>2]=M;R=f[r>>2]|0;szc(R|0,R+h|0,M|0)|0;M=a+5808|0;h=f[M>>2]|0;if(h>>>0<2)f[M>>2]=h+1;h=f[a>>2]|0;V=(f[g>>2]|0)+c|0;W=f[h+4>>2]|0;X=h}else{V=c;W=L;X=v}v=V>>>0>W>>>0?W:V;if(!v)Y=f[k>>2]|0;else{V=(f[r>>2]|0)+(f[k>>2]|0)|0;f[X+4>>2]=W-v;szc(V|0,f[X>>2]|0,v|0)|0;switch(f[(f[X+28>>2]|0)+24>>2]|0){case 1:{W=X+48|0;Z=W;_=fIb(f[W>>2]|0,V,v)|0;Q=44;break}case 2:{W=X+48|0;Z=W;_=hIb(f[W>>2]|0,V,v)|0;Q=44;break}default:{}}if((Q|0)==44)f[Z>>2]=_;f[X>>2]=(f[X>>2]|0)+v;_=X+8|0;f[_>>2]=(f[_>>2]|0)+v;_=(f[k>>2]|0)+v|0;f[k>>2]=_;Y=_}if((f[S>>2]|0)>>>0<Y>>>0)f[S>>2]=Y;S=(f[d>>2]|0)-((f[j>>2]|0)+42>>3)|0;j=S>>>0<65535?S:65535;S=f[g>>2]|0;g=f[l>>2]|0;d=Y-g|0;if(d>>>0<(j>>>0>S>>>0?S:j)>>>0)if(u&(o|(d|0)!=0)?!(d>>>0>j>>>0?1:(f[(f[a>>2]|0)+4>>2]|0)!=0):0)Q=51;else $=0;else Q=51;if((Q|0)==51){Q=d>>>0>j>>>0?j:d;if(o)aa=d>>>0<=j>>>0?(f[(f[a>>2]|0)+4>>2]|0)==0:0;else aa=0;j=aa&1;uIb(a,(f[r>>2]|0)+g|0,Q,j);f[l>>2]=(f[l>>2]|0)+Q;Q=f[a>>2]|0;a=f[Q+28>>2]|0;vIb(a);l=a+20|0;g=f[l>>2]|0;r=Q+16|0;aa=f[r>>2]|0;d=g>>>0>aa>>>0?aa:g;if((d|0)!=0?(g=Q+12|0,aa=a+16|0,szc(f[g>>2]|0,f[aa>>2]|0,d|0)|0,f[g>>2]=(f[g>>2]|0)+d,f[aa>>2]=(f[aa>>2]|0)+d,g=Q+20|0,f[g>>2]=(f[g>>2]|0)+d,f[r>>2]=(f[r>>2]|0)-d,r=(f[l>>2]|0)-d|0,f[l>>2]=r,(r|0)==0):0){f[aa>>2]=f[a+8>>2];$=j}else $=j}U=$|0?2:0;return U|0}function mIb(a,c){a=a|0;c=c|0;var e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0;e=a+116|0;g=(c|0)==0;i=a+72|0;j=a+88|0;k=a+56|0;l=a+108|0;m=a+84|0;n=a+68|0;o=a+64|0;p=a+52|0;q=a+44|0;r=a+96|0;s=a+5784|0;t=a+5796|0;u=a+112|0;v=a+5792|0;w=a+5788|0;x=a+128|0;y=a+92|0;while(1){if((f[e>>2]|0)>>>0<262){oIb(a);z=f[e>>2]|0;if(g&z>>>0<262){A=0;B=39;break}if(!z){B=24;break}if(z>>>0<=2)B=9;else B=6}else B=6;if((B|0)==6){B=0;z=f[l>>2]|0;C=((h[(f[k>>2]|0)+(z+2)>>0]|0)^f[i>>2]<<f[j>>2])&f[m>>2];f[i>>2]=C;D=(f[n>>2]|0)+(C<<1)|0;C=d[D>>1]|0;d[(f[o>>2]|0)+((f[p>>2]&z)<<1)>>1]=C;E=C&65535;d[D>>1]=z;if(C<<16>>16!=0?(z-E|0)>>>0<=((f[q>>2]|0)+-262|0)>>>0:0){z=pIb(a,E)|0;f[r>>2]=z;F=z}else B=9}if((B|0)==9){B=0;F=f[r>>2]|0}z=f[s>>2]|0;E=f[t>>2]|0;do if(F>>>0>2){C=F+253|0;D=(f[l>>2]|0)-(f[u>>2]|0)|0;G=f[v>>2]|0;d[E+(G<<1)>>1]=D;f[v>>2]=G+1;b[z+G>>0]=C;G=a+148+((h[486525+(C&255)>>0]|0|256)+1<<2)|0;d[G>>1]=(d[G>>1]|0)+1<<16>>16;G=D+65535&65535;D=a+2440+((h[486013+(G>>>0<256?G:(G>>>7)+256|0)>>0]|0)<<2)|0;d[D>>1]=(d[D>>1]|0)+1<<16>>16;D=(f[v>>2]|0)==((f[w>>2]|0)+-1|0)&1;G=f[r>>2]|0;C=(f[e>>2]|0)-G|0;f[e>>2]=C;if(!(C>>>0>2?G>>>0<=(f[x>>2]|0)>>>0:0)){C=(f[l>>2]|0)+G|0;f[l>>2]=C;f[r>>2]=0;H=f[k>>2]|0;I=h[H+C>>0]|0;f[i>>2]=I;f[i>>2]=((h[H+(C+1)>>0]|0)^I<<f[j>>2])&f[m>>2];J=D;K=C;break}C=G+-1|0;f[r>>2]=C;G=f[j>>2]|0;I=f[k>>2]|0;H=f[m>>2]|0;L=f[n>>2]|0;M=f[o>>2]|0;N=f[p>>2]|0;O=f[l>>2]|0;P=f[i>>2]|0;Q=C;while(1){C=O+1|0;f[l>>2]=C;P=((h[I+(O+3)>>0]|0)^P<<G)&H;f[i>>2]=P;R=L+(P<<1)|0;d[M+((N&C)<<1)>>1]=d[R>>1]|0;d[R>>1]=C;Q=Q+-1|0;f[r>>2]=Q;if(!Q)break;else O=C}Q=O+2|0;f[l>>2]=Q;J=D;K=Q}else{Q=b[(f[k>>2]|0)+(f[l>>2]|0)>>0]|0;N=f[v>>2]|0;d[E+(N<<1)>>1]=0;f[v>>2]=N+1;b[z+N>>0]=Q;N=a+148+((Q&255)<<2)|0;d[N>>1]=(d[N>>1]|0)+1<<16>>16;N=(f[v>>2]|0)==((f[w>>2]|0)+-1|0)&1;f[e>>2]=(f[e>>2]|0)+-1;Q=(f[l>>2]|0)+1|0;f[l>>2]=Q;J=N;K=Q}while(0);if(!J)continue;z=f[y>>2]|0;if((z|0)>-1)S=(f[k>>2]|0)+z|0;else S=0;xIb(a,S,K-z|0,0);f[y>>2]=f[l>>2];z=f[a>>2]|0;E=f[z+28>>2]|0;vIb(E);Q=E+20|0;N=f[Q>>2]|0;M=z+16|0;P=f[M>>2]|0;L=N>>>0>P>>>0?P:N;if(L|0?(N=z+12|0,P=E+16|0,szc(f[N>>2]|0,f[P>>2]|0,L|0)|0,f[N>>2]=(f[N>>2]|0)+L,f[P>>2]=(f[P>>2]|0)+L,N=z+20|0,f[N>>2]=(f[N>>2]|0)+L,f[M>>2]=(f[M>>2]|0)-L,M=(f[Q>>2]|0)-L|0,f[Q>>2]=M,(M|0)==0):0)f[P>>2]=f[E+8>>2];if(!(f[(f[a>>2]|0)+16>>2]|0)){A=0;B=39;break}}if((B|0)==24){K=f[l>>2]|0;f[a+5812>>2]=K>>>0<2?K:2;if((c|0)==4){c=f[y>>2]|0;if((c|0)>-1)T=(f[k>>2]|0)+c|0;else T=0;xIb(a,T,K-c|0,1);f[y>>2]=f[l>>2];c=f[a>>2]|0;T=f[c+28>>2]|0;vIb(T);S=T+20|0;J=f[S>>2]|0;e=c+16|0;w=f[e>>2]|0;r=J>>>0>w>>>0?w:J;if(r|0?(J=c+12|0,w=T+16|0,szc(f[J>>2]|0,f[w>>2]|0,r|0)|0,f[J>>2]=(f[J>>2]|0)+r,f[w>>2]=(f[w>>2]|0)+r,J=c+20|0,f[J>>2]=(f[J>>2]|0)+r,f[e>>2]=(f[e>>2]|0)-r,e=(f[S>>2]|0)-r|0,f[S>>2]=e,(e|0)==0):0)f[w>>2]=f[T+8>>2];A=(f[(f[a>>2]|0)+16>>2]|0)==0?2:3;return A|0}if(f[v>>2]|0){v=f[y>>2]|0;if((v|0)>-1)U=(f[k>>2]|0)+v|0;else U=0;xIb(a,U,K-v|0,0);f[y>>2]=f[l>>2];l=f[a>>2]|0;y=f[l+28>>2]|0;vIb(y);v=y+20|0;K=f[v>>2]|0;U=l+16|0;k=f[U>>2]|0;T=K>>>0>k>>>0?k:K;if(T|0?(K=l+12|0,k=y+16|0,szc(f[K>>2]|0,f[k>>2]|0,T|0)|0,f[K>>2]=(f[K>>2]|0)+T,f[k>>2]=(f[k>>2]|0)+T,K=l+20|0,f[K>>2]=(f[K>>2]|0)+T,f[U>>2]=(f[U>>2]|0)-T,U=(f[v>>2]|0)-T|0,f[v>>2]=U,(U|0)==0):0)f[k>>2]=f[y+8>>2];if(!(f[(f[a>>2]|0)+16>>2]|0)){A=0;return A|0}}A=1;return A|0}else if((B|0)==39)return A|0;return 0}function nIb(a,c){a=a|0;c=c|0;var e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0;e=a+116|0;g=(c|0)==0;i=a+72|0;j=a+88|0;k=a+56|0;l=a+108|0;m=a+84|0;n=a+68|0;o=a+64|0;p=a+52|0;q=a+96|0;r=a+120|0;s=a+112|0;t=a+100|0;u=a+5796|0;v=a+5792|0;w=a+5784|0;x=a+5788|0;y=a+104|0;z=a+92|0;A=a+128|0;B=a+44|0;C=a+136|0;a:while(1){D=f[e>>2]|0;while(1){if(D>>>0<262){oIb(a);E=f[e>>2]|0;if(g&E>>>0<262){F=0;G=55;break a}if(!E){G=38;break a}if(E>>>0<=2){f[r>>2]=f[q>>2];f[t>>2]=f[s>>2];f[q>>2]=2;H=2;G=16}else G=8}else G=8;do if((G|0)==8){G=0;E=f[l>>2]|0;I=((h[(f[k>>2]|0)+(E+2)>>0]|0)^f[i>>2]<<f[j>>2])&f[m>>2];f[i>>2]=I;J=(f[n>>2]|0)+(I<<1)|0;I=d[J>>1]|0;d[(f[o>>2]|0)+((f[p>>2]&E)<<1)>>1]=I;K=I&65535;d[J>>1]=E;E=f[q>>2]|0;f[r>>2]=E;f[t>>2]=f[s>>2];f[q>>2]=2;if(I<<16>>16)if(E>>>0<(f[A>>2]|0)>>>0)if(((f[l>>2]|0)-K|0)>>>0<=((f[B>>2]|0)+-262|0)>>>0){I=pIb(a,K)|0;f[q>>2]=I;if(I>>>0<6){if((f[C>>2]|0)!=1){if((I|0)!=3){H=I;G=16;break}if(((f[l>>2]|0)-(f[s>>2]|0)|0)>>>0<=4096){H=3;G=16;break}}f[q>>2]=2;H=2;G=16}else{H=I;G=16}}else{H=2;G=16}else{L=E;M=2}else{H=2;G=16}}while(0);if((G|0)==16){G=0;L=f[r>>2]|0;M=H}if(!(L>>>0<3|M>>>0>L>>>0))break;if(!(f[y>>2]|0)){f[y>>2]=1;f[l>>2]=(f[l>>2]|0)+1;E=(f[e>>2]|0)+-1|0;f[e>>2]=E;D=E;continue}E=b[(f[k>>2]|0)+((f[l>>2]|0)+-1)>>0]|0;I=f[v>>2]|0;d[(f[u>>2]|0)+(I<<1)>>1]=0;K=f[w>>2]|0;f[v>>2]=I+1;b[K+I>>0]=E;I=a+148+((E&255)<<2)|0;d[I>>1]=(d[I>>1]|0)+1<<16>>16;if((f[v>>2]|0)==((f[x>>2]|0)+-1|0)){I=f[z>>2]|0;if((I|0)>-1)N=(f[k>>2]|0)+I|0;else N=0;xIb(a,N,(f[l>>2]|0)-I|0,0);f[z>>2]=f[l>>2];I=f[a>>2]|0;E=f[I+28>>2]|0;vIb(E);K=E+20|0;J=f[K>>2]|0;O=I+16|0;P=f[O>>2]|0;Q=J>>>0>P>>>0?P:J;if(Q|0?(J=I+12|0,P=E+16|0,szc(f[J>>2]|0,f[P>>2]|0,Q|0)|0,f[J>>2]=(f[J>>2]|0)+Q,f[P>>2]=(f[P>>2]|0)+Q,J=I+20|0,f[J>>2]=(f[J>>2]|0)+Q,f[O>>2]=(f[O>>2]|0)-Q,O=(f[K>>2]|0)-Q|0,f[K>>2]=O,(O|0)==0):0)f[P>>2]=f[E+8>>2]}f[l>>2]=(f[l>>2]|0)+1;D=(f[e>>2]|0)+-1|0;f[e>>2]=D;if(!(f[(f[a>>2]|0)+16>>2]|0)){F=0;G=55;break a}}D=f[l>>2]|0;E=D+-3+(f[e>>2]|0)|0;P=L+253|0;O=D+65535-(f[t>>2]|0)|0;D=f[v>>2]|0;d[(f[u>>2]|0)+(D<<1)>>1]=O;K=f[w>>2]|0;f[v>>2]=D+1;b[K+D>>0]=P;D=a+148+((h[486525+(P&255)>>0]|0|256)+1<<2)|0;d[D>>1]=(d[D>>1]|0)+1<<16>>16;D=O+65535&65535;O=a+2440+((h[486013+(D>>>0<256?D:(D>>>7)+256|0)>>0]|0)<<2)|0;d[O>>1]=(d[O>>1]|0)+1<<16>>16;O=f[v>>2]|0;D=(f[x>>2]|0)+-1|0;P=f[r>>2]|0;f[e>>2]=1-P+(f[e>>2]|0);K=P+-2|0;f[r>>2]=K;P=f[l>>2]|0;Q=K;while(1){K=P+1|0;f[l>>2]=K;if(K>>>0<=E>>>0){J=((h[(f[k>>2]|0)+(P+3)>>0]|0)^f[i>>2]<<f[j>>2])&f[m>>2];f[i>>2]=J;I=(f[n>>2]|0)+(J<<1)|0;d[(f[o>>2]|0)+((f[p>>2]&K)<<1)>>1]=d[I>>1]|0;d[I>>1]=K}Q=Q+-1|0;f[r>>2]=Q;if(!Q)break;else P=K}f[y>>2]=0;f[q>>2]=2;Q=P+2|0;f[l>>2]=Q;if((O|0)!=(D|0))continue;E=f[z>>2]|0;if((E|0)>-1)R=(f[k>>2]|0)+E|0;else R=0;xIb(a,R,Q-E|0,0);f[z>>2]=f[l>>2];E=f[a>>2]|0;Q=f[E+28>>2]|0;vIb(Q);K=Q+20|0;I=f[K>>2]|0;J=E+16|0;S=f[J>>2]|0;T=I>>>0>S>>>0?S:I;if(T|0?(I=E+12|0,S=Q+16|0,szc(f[I>>2]|0,f[S>>2]|0,T|0)|0,f[I>>2]=(f[I>>2]|0)+T,f[S>>2]=(f[S>>2]|0)+T,I=E+20|0,f[I>>2]=(f[I>>2]|0)+T,f[J>>2]=(f[J>>2]|0)-T,J=(f[K>>2]|0)-T|0,f[K>>2]=J,(J|0)==0):0)f[S>>2]=f[Q+8>>2];if(!(f[(f[a>>2]|0)+16>>2]|0)){F=0;G=55;break}}if((G|0)==38){if(f[y>>2]|0){R=b[(f[k>>2]|0)+((f[l>>2]|0)+-1)>>0]|0;q=f[v>>2]|0;d[(f[u>>2]|0)+(q<<1)>>1]=0;u=f[w>>2]|0;f[v>>2]=q+1;b[u+q>>0]=R;q=a+148+((R&255)<<2)|0;d[q>>1]=(d[q>>1]|0)+1<<16>>16;f[y>>2]=0}y=f[l>>2]|0;f[a+5812>>2]=y>>>0<2?y:2;if((c|0)==4){c=f[z>>2]|0;if((c|0)>-1)U=(f[k>>2]|0)+c|0;else U=0;xIb(a,U,y-c|0,1);f[z>>2]=f[l>>2];c=f[a>>2]|0;U=f[c+28>>2]|0;vIb(U);q=U+20|0;R=f[q>>2]|0;u=c+16|0;w=f[u>>2]|0;r=R>>>0>w>>>0?w:R;if(r|0?(R=c+12|0,w=U+16|0,szc(f[R>>2]|0,f[w>>2]|0,r|0)|0,f[R>>2]=(f[R>>2]|0)+r,f[w>>2]=(f[w>>2]|0)+r,R=c+20|0,f[R>>2]=(f[R>>2]|0)+r,f[u>>2]=(f[u>>2]|0)-r,u=(f[q>>2]|0)-r|0,f[q>>2]=u,(u|0)==0):0)f[w>>2]=f[U+8>>2];F=(f[(f[a>>2]|0)+16>>2]|0)==0?2:3;return F|0}if(f[v>>2]|0){v=f[z>>2]|0;if((v|0)>-1)V=(f[k>>2]|0)+v|0;else V=0;xIb(a,V,y-v|0,0);f[z>>2]=f[l>>2];l=f[a>>2]|0;z=f[l+28>>2]|0;vIb(z);v=z+20|0;y=f[v>>2]|0;V=l+16|0;k=f[V>>2]|0;U=y>>>0>k>>>0?k:y;if(U|0?(y=l+12|0,k=z+16|0,szc(f[y>>2]|0,f[k>>2]|0,U|0)|0,f[y>>2]=(f[y>>2]|0)+U,f[k>>2]=(f[k>>2]|0)+U,y=l+20|0,f[y>>2]=(f[y>>2]|0)+U,f[V>>2]=(f[V>>2]|0)-U,V=(f[v>>2]|0)-U|0,f[v>>2]=V,(V|0)==0):0)f[k>>2]=f[z+8>>2];if(!(f[(f[a>>2]|0)+16>>2]|0)){F=0;return F|0}}F=1;return F|0}else if((G|0)==55)return F|0;return 0}function oIb(a){a=a|0;var b=0,c=0,e=0,g=0,i=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0;b=a+44|0;c=f[b>>2]|0;e=a+60|0;g=a+116|0;i=a+108|0;k=c+-262|0;l=a+56|0;m=a+5812|0;n=a+72|0;o=a+88|0;p=a+84|0;q=a+68|0;r=a+64|0;s=a+52|0;t=a+112|0;u=a+92|0;v=a+76|0;w=f[g>>2]|0;x=c;while(1){y=f[i>>2]|0;z=(f[e>>2]|0)-w-y|0;if(y>>>0<(k+x|0)>>>0){A=z;B=y}else{y=f[l>>2]|0;szc(y|0,y+c|0,c-z|0)|0;f[t>>2]=(f[t>>2]|0)-c;y=(f[i>>2]|0)-c|0;f[i>>2]=y;f[u>>2]=(f[u>>2]|0)-c;C=f[b>>2]|0;D=f[v>>2]|0;E=D;F=(f[q>>2]|0)+(D<<1)|0;do{F=F+-2|0;D=j[F>>1]|0;d[F>>1]=D>>>0<C>>>0?0:D-C&65535;E=E+-1|0}while((E|0)!=0);E=C;F=(f[r>>2]|0)+(C<<1)|0;do{F=F+-2|0;D=j[F>>1]|0;d[F>>1]=D>>>0<C>>>0?0:D-C&65535;E=E+-1|0}while((E|0)!=0);A=z+c|0;B=y}E=f[a>>2]|0;C=E+4|0;F=f[C>>2]|0;if(!F)break;D=f[g>>2]|0;G=(f[l>>2]|0)+B+D|0;H=F>>>0>A>>>0?A:F;if(!H){I=0;J=D}else{f[C>>2]=F-H;szc(G|0,f[E>>2]|0,H|0)|0;switch(f[(f[E+28>>2]|0)+24>>2]|0){case 1:{F=E+48|0;K=F;L=fIb(f[F>>2]|0,G,H)|0;M=13;break}case 2:{F=E+48|0;K=F;L=hIb(f[F>>2]|0,G,H)|0;M=13;break}default:{}}if((M|0)==13){M=0;f[K>>2]=L}f[E>>2]=(f[E>>2]|0)+H;G=E+8|0;f[G>>2]=(f[G>>2]|0)+H;I=H;J=f[g>>2]|0}H=J+I|0;f[g>>2]=H;G=f[m>>2]|0;a:do if((G+H|0)>>>0>2){E=(f[i>>2]|0)-G|0;F=f[l>>2]|0;C=h[F+E>>0]|0;f[n>>2]=C;D=f[o>>2]|0;N=f[p>>2]|0;O=((h[F+(E+1)>>0]|0)^C<<D)&N;f[n>>2]=O;C=E;E=G;P=O;while(1){if(!E)break a;P=((h[F+(C+2)>>0]|0)^P<<D)&N;f[n>>2]=P;O=(f[q>>2]|0)+(P<<1)|0;d[(f[r>>2]|0)+((f[s>>2]&C)<<1)>>1]=d[O>>1]|0;d[O>>1]=C;E=E+-1|0;f[m>>2]=E;if((H+E|0)>>>0<3)break;else C=C+1|0}}while(0);if(H>>>0>=262)break;if(!(f[(f[a>>2]|0)+4>>2]|0))break;w=H;x=f[b>>2]|0}b=a+5824|0;a=f[b>>2]|0;x=f[e>>2]|0;if(x>>>0<=a>>>0)return;e=(f[g>>2]|0)+(f[i>>2]|0)|0;do if(a>>>0>=e>>>0){i=e+258|0;if(i>>>0>a>>>0){g=i-a|0;i=x-a|0;w=g>>>0>i>>>0?i:g;kzc((f[l>>2]|0)+a|0,0,w|0)|0;Q=(f[b>>2]|0)+w|0;break}else return}else{w=x-e|0;g=w>>>0<258?w:258;kzc((f[l>>2]|0)+e|0,0,g|0)|0;Q=g+e|0}while(0);f[b>>2]=Q;return}function pIb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;d=f[a+124>>2]|0;e=f[a+56>>2]|0;g=f[a+108>>2]|0;h=e+g|0;i=f[a+120>>2]|0;k=f[a+144>>2]|0;l=(f[a+44>>2]|0)+-262|0;m=g>>>0>l>>>0?g-l|0:0;l=f[a+64>>2]|0;g=f[a+52>>2]|0;n=f[a+116>>2]|0;o=k>>>0>n>>>0?n:k;k=a+112|0;p=h+1|0;q=h+258|0;r=b[h+i>>0]|0;s=b[h+(i+-1)>>0]|0;t=c;c=i;u=i>>>0<(f[a+140>>2]|0)>>>0?d:d>>>2;while(1){d=e+t|0;if((((b[d+c>>0]|0)==r<<24>>24?(b[d+(c+-1)>>0]|0)==s<<24>>24:0)?(b[d>>0]|0)==(b[h>>0]|0):0)?(a=d+1|0,(b[a>>0]|0)==(b[p>>0]|0)):0){d=2;i=a;while(1){a=h+d|0;v=a+1|0;if((b[v>>0]|0)!=(b[i+2>>0]|0)){w=v;break}v=a+2|0;if((b[v>>0]|0)!=(b[i+3>>0]|0)){w=v;break}v=a+3|0;if((b[v>>0]|0)!=(b[i+4>>0]|0)){w=v;break}v=a+4|0;if((b[v>>0]|0)!=(b[i+5>>0]|0)){w=v;break}v=a+5|0;if((b[v>>0]|0)!=(b[i+6>>0]|0)){w=v;break}v=a+6|0;if((b[v>>0]|0)!=(b[i+7>>0]|0)){w=v;break}v=a+7|0;a=i;i=i+8|0;if((b[v>>0]|0)!=(b[i>>0]|0)){w=v;break}d=d+8|0;v=h+d|0;if(!((d|0)<258?(b[v>>0]|0)==(b[a+9>>0]|0):0)){w=v;break}}d=w-q|0;i=d+258|0;if((i|0)>(c|0)){f[k>>2]=t;if((i|0)>=(o|0)){x=i;y=19;break}z=b[h+i>>0]|0;A=b[h+(d+257)>>0]|0;B=i}else{z=r;A=s;B=c}}else{z=r;A=s;B=c}t=j[l+((t&g)<<1)>>1]|0;if(t>>>0<=m>>>0){x=B;y=19;break}u=u+-1|0;if(!u){x=B;y=19;break}else{r=z;s=A;c=B}}if((y|0)==19)return (x>>>0>n>>>0?n:x)|0;return 0}function qIb(a){a=a|0;var b=0,c=0,e=0;b=kIb(a)|0;if(b|0)return b|0;c=f[a+28>>2]|0;f[c+60>>2]=f[c+44>>2]<<1;a=f[c+68>>2]|0;e=(f[c+76>>2]|0)+-1|0;d[a+(e<<1)>>1]=0;kzc(a|0,0,e<<1|0)|0;e=f[c+132>>2]|0;f[c+128>>2]=j[150728+(e*12|0)+2>>1];f[c+140>>2]=j[150728+(e*12|0)>>1];f[c+144>>2]=j[150728+(e*12|0)+4>>1];f[c+124>>2]=j[150728+(e*12|0)+6>>1];f[c+108>>2]=0;f[c+92>>2]=0;f[c+116>>2]=0;f[c+5812>>2]=0;f[c+120>>2]=2;f[c+96>>2]=2;f[c+104>>2]=0;f[c+72>>2]=0;return b|0}function rIb(a,c){a=a|0;c=c|0;var e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0;if(!a){e=-2;return e|0}if(!(f[a+32>>2]|0)){e=-2;return e|0}if(!(f[a+36>>2]|0)){e=-2;return e|0}g=a+28|0;i=f[g>>2]|0;if(!i){e=-2;return e|0}if((f[i>>2]|0)!=(a|0)){e=-2;return e|0}j=i+4|0;k=f[j>>2]|0;switch(k|0){case 666:case 113:case 103:case 91:case 73:case 69:case 57:case 42:break;default:{e=-2;return e|0}}if(c>>>0>5){e=-2;return e|0}l=a+12|0;do if(f[l>>2]|0){m=a+4|0;n=(f[m>>2]|0)==0;if(!n?(f[a>>2]|0)==0:0)break;o=(c|0)!=4;if(!(o&(k|0)==666)){p=a+16|0;if(!(f[p>>2]|0)){f[a+24>>2]=f[35631];e=-5;return e|0}q=i+40|0;r=f[q>>2]|0;f[q>>2]=c;s=i+20|0;do if(!(f[s>>2]|0))if(n?o&((c<<1)-((c|0)>4?9:0)|0)<=((r<<1)-((r|0)>4?9:0)|0):0){f[a+24>>2]=f[35631];e=-5;return e|0}else{t=0;u=k}else{vIb(i);v=f[s>>2]|0;w=f[p>>2]|0;x=v>>>0>w>>>0?w:v;if(x){y=i+16|0;szc(f[l>>2]|0,f[y>>2]|0,x|0)|0;f[l>>2]=(f[l>>2]|0)+x;f[y>>2]=(f[y>>2]|0)+x;z=a+20|0;f[z>>2]=(f[z>>2]|0)+x;z=(f[p>>2]|0)-x|0;f[p>>2]=z;A=(f[s>>2]|0)-x|0;f[s>>2]=A;if(!A){f[y>>2]=f[i+8>>2];B=0;C=z}else{B=A;C=z}}else{B=v;C=w}if(C|0){t=B;u=f[j>>2]|0;break}f[q>>2]=-1;e=0;return e|0}while(0);a:do switch(u|0){case 666:{if(!(f[m>>2]|0))D=123;else{f[a+24>>2]=f[35631];e=-5;return e|0}break}case 42:{r=(f[i+48>>2]<<12)+-30720|0;if((f[i+136>>2]|0)<=1?(n=f[i+132>>2]|0,(n|0)>=2):0)E=(n|0)<6?64:(n|0)==6?128:192;else E=0;n=E|r;r=i+108|0;w=(f[r>>2]|0)==0?n:n|32;n=(((w>>>0)%31|0)^31)+w|0;w=i+8|0;v=f[w>>2]|0;f[s>>2]=t+1;b[v+t>>0]=n>>>8;v=f[w>>2]|0;z=f[s>>2]|0;f[s>>2]=z+1;b[v+z>>0]=n;n=a+48|0;if(f[r>>2]|0){r=f[n>>2]|0;z=f[w>>2]|0;v=f[s>>2]|0;f[s>>2]=v+1;b[z+v>>0]=r>>>24;v=f[w>>2]|0;z=f[s>>2]|0;f[s>>2]=z+1;b[v+z>>0]=r>>>16;r=f[n>>2]|0;z=f[w>>2]|0;v=f[s>>2]|0;f[s>>2]=v+1;b[z+v>>0]=r>>>8;v=f[w>>2]|0;w=f[s>>2]|0;f[s>>2]=w+1;b[v+w>>0]=r}r=fIb(0,0,0)|0;f[n>>2]=r;f[j>>2]=113;r=f[g>>2]|0;vIb(r);n=r+20|0;w=f[n>>2]|0;v=f[p>>2]|0;z=w>>>0>v>>>0?v:w;if(z|0?(w=r+16|0,szc(f[l>>2]|0,f[w>>2]|0,z|0)|0,f[l>>2]=(f[l>>2]|0)+z,f[w>>2]=(f[w>>2]|0)+z,v=a+20|0,f[v>>2]=(f[v>>2]|0)+z,f[p>>2]=(f[p>>2]|0)-z,v=(f[n>>2]|0)-z|0,f[n>>2]=v,(v|0)==0):0)f[w>>2]=f[r+8>>2];if(!(f[s>>2]|0)){F=f[j>>2]|0;D=39;break a}f[q>>2]=-1;e=0;return e|0}default:{F=u;D=39}}while(0);if((D|0)==39){do if((F|0)==57){r=hIb(0,0,0)|0;w=a+48|0;f[w>>2]=r;r=i+8|0;v=f[r>>2]|0;n=f[s>>2]|0;f[s>>2]=n+1;b[v+n>>0]=31;n=f[r>>2]|0;v=f[s>>2]|0;f[s>>2]=v+1;b[n+v>>0]=-117;v=f[r>>2]|0;n=f[s>>2]|0;f[s>>2]=n+1;b[v+n>>0]=8;n=i+28|0;v=f[n>>2]|0;if(v|0){z=((f[v+44>>2]|0?2:0)|(f[v>>2]|0)!=0|((f[v+16>>2]|0)==0?0:4)|((f[v+28>>2]|0)==0?0:8)|((f[v+36>>2]|0)==0?0:16))&255;v=f[r>>2]|0;A=f[s>>2]|0;f[s>>2]=A+1;b[v+A>>0]=z;z=f[(f[n>>2]|0)+4>>2]&255;A=f[r>>2]|0;v=f[s>>2]|0;f[s>>2]=v+1;b[A+v>>0]=z;z=(f[(f[n>>2]|0)+4>>2]|0)>>>8&255;v=f[r>>2]|0;A=f[s>>2]|0;f[s>>2]=A+1;b[v+A>>0]=z;z=(f[(f[n>>2]|0)+4>>2]|0)>>>16&255;A=f[r>>2]|0;v=f[s>>2]|0;f[s>>2]=v+1;b[A+v>>0]=z;z=(f[(f[n>>2]|0)+4>>2]|0)>>>24&255;v=f[r>>2]|0;A=f[s>>2]|0;f[s>>2]=A+1;b[v+A>>0]=z;z=f[i+132>>2]|0;if((z|0)==9)G=2;else G=((z|0)<2?1:(f[i+136>>2]|0)>1)?4:0;z=f[r>>2]|0;A=f[s>>2]|0;f[s>>2]=A+1;b[z+A>>0]=G;A=f[(f[n>>2]|0)+12>>2]&255;z=f[r>>2]|0;v=f[s>>2]|0;f[s>>2]=v+1;b[z+v>>0]=A;A=f[n>>2]|0;if(!(f[A+16>>2]|0))H=A;else{v=f[A+20>>2]&255;A=f[r>>2]|0;z=f[s>>2]|0;f[s>>2]=z+1;b[A+z>>0]=v;v=(f[(f[n>>2]|0)+20>>2]|0)>>>8&255;z=f[r>>2]|0;A=f[s>>2]|0;f[s>>2]=A+1;b[z+A>>0]=v;H=f[n>>2]|0}if(f[H+44>>2]|0){v=hIb(f[w>>2]|0,f[r>>2]|0,f[s>>2]|0)|0;f[w>>2]=v}f[i+32>>2]=0;f[j>>2]=69;I=n;D=59;break}n=f[r>>2]|0;v=f[s>>2]|0;f[s>>2]=v+1;b[n+v>>0]=0;v=f[r>>2]|0;n=f[s>>2]|0;f[s>>2]=n+1;b[v+n>>0]=0;n=f[r>>2]|0;v=f[s>>2]|0;f[s>>2]=v+1;b[n+v>>0]=0;v=f[r>>2]|0;n=f[s>>2]|0;f[s>>2]=n+1;b[v+n>>0]=0;n=f[r>>2]|0;v=f[s>>2]|0;f[s>>2]=v+1;b[n+v>>0]=0;v=f[i+132>>2]|0;if((v|0)==9)J=2;else J=((v|0)<2?1:(f[i+136>>2]|0)>1)?4:0;v=f[r>>2]|0;n=f[s>>2]|0;f[s>>2]=n+1;b[v+n>>0]=J;n=f[r>>2]|0;r=f[s>>2]|0;f[s>>2]=r+1;b[n+r>>0]=3;f[j>>2]=113;r=f[g>>2]|0;vIb(r);n=r+20|0;v=f[n>>2]|0;w=f[p>>2]|0;A=v>>>0>w>>>0?w:v;if(A|0?(v=r+16|0,szc(f[l>>2]|0,f[v>>2]|0,A|0)|0,f[l>>2]=(f[l>>2]|0)+A,f[v>>2]=(f[v>>2]|0)+A,w=a+20|0,f[w>>2]=(f[w>>2]|0)+A,f[p>>2]=(f[p>>2]|0)-A,w=(f[n>>2]|0)-A|0,f[n>>2]=w,(w|0)==0):0)f[v>>2]=f[r+8>>2];if(!(f[s>>2]|0)){K=f[j>>2]|0;D=56;break}f[q>>2]=-1;e=0;return e|0}else{K=F;D=56}while(0);b:do if((D|0)==56)switch(K|0){case 69:{I=i+28|0;D=59;break b;break}case 73:{L=i+28|0;D=74;break b;break}case 91:{M=i+28|0;D=93;break b;break}case 103:{N=i+28|0;D=109;break b;break}default:break b}while(0);if((D|0)==59){r=f[I>>2]|0;v=f[r+16>>2]|0;if(v|0){w=f[s>>2]|0;n=i+32|0;A=f[n>>2]|0;z=(f[r+20>>2]&65535)-A|0;r=i+12|0;y=f[r>>2]|0;x=i+8|0;c:do if((w+z|0)>>>0>y>>>0){O=a+48|0;P=a+20|0;Q=z;R=w;S=y;T=v;U=A;while(1){V=S-R|0;szc((f[x>>2]|0)+R|0,T+U|0,V|0)|0;W=f[r>>2]|0;f[s>>2]=W;if(W>>>0>R>>>0?(f[(f[I>>2]|0)+44>>2]|0)!=0:0){X=hIb(f[O>>2]|0,(f[x>>2]|0)+R|0,W-R|0)|0;f[O>>2]=X}f[n>>2]=(f[n>>2]|0)+V;X=f[g>>2]|0;vIb(X);W=X+20|0;Y=f[W>>2]|0;Z=f[p>>2]|0;_=Y>>>0>Z>>>0?Z:Y;do if(_|0){Y=X+16|0;szc(f[l>>2]|0,f[Y>>2]|0,_|0)|0;f[l>>2]=(f[l>>2]|0)+_;f[Y>>2]=(f[Y>>2]|0)+_;f[P>>2]=(f[P>>2]|0)+_;f[p>>2]=(f[p>>2]|0)-_;Z=(f[W>>2]|0)-_|0;f[W>>2]=Z;if(Z|0)break;f[Y>>2]=f[X+8>>2]}while(0);if(f[s>>2]|0)break;X=Q-V|0;S=f[r>>2]|0;W=f[(f[I>>2]|0)+16>>2]|0;_=f[n>>2]|0;if(X>>>0<=S>>>0){$=X;aa=0;ba=W;ca=_;break c}else{Q=X;R=0;T=W;U=_}}f[q>>2]=-1;e=0;return e|0}else{$=z;aa=w;ba=v;ca=A}while(0);szc((f[x>>2]|0)+aa|0,ba+ca|0,$|0)|0;A=(f[s>>2]|0)+$|0;f[s>>2]=A;if(A>>>0>aa>>>0?(f[(f[I>>2]|0)+44>>2]|0)!=0:0){v=a+48|0;w=hIb(f[v>>2]|0,(f[x>>2]|0)+aa|0,A-aa|0)|0;f[v>>2]=w}f[n>>2]=0}f[j>>2]=73;L=I;D=74}if((D|0)==74){if(f[(f[L>>2]|0)+28>>2]|0){w=f[s>>2]|0;v=i+12|0;A=a+48|0;z=i+8|0;r=a+20|0;y=i+32|0;U=w;T=w;while(1){if((T|0)==(f[v>>2]|0)){if(T>>>0>U>>>0?(f[(f[L>>2]|0)+44>>2]|0)!=0:0){w=hIb(f[A>>2]|0,(f[z>>2]|0)+U|0,T-U|0)|0;f[A>>2]=w}w=f[g>>2]|0;vIb(w);R=w+20|0;Q=f[R>>2]|0;S=f[p>>2]|0;P=Q>>>0>S>>>0?S:Q;do if(P|0){Q=w+16|0;szc(f[l>>2]|0,f[Q>>2]|0,P|0)|0;f[l>>2]=(f[l>>2]|0)+P;f[Q>>2]=(f[Q>>2]|0)+P;f[r>>2]=(f[r>>2]|0)+P;f[p>>2]=(f[p>>2]|0)-P;S=(f[R>>2]|0)-P|0;f[R>>2]=S;if(S|0)break;f[Q>>2]=f[w+8>>2]}while(0);if(!(f[s>>2]|0)){da=0;ea=0}else{D=83;break}}else{da=U;ea=T}w=f[(f[L>>2]|0)+28>>2]|0;R=f[y>>2]|0;f[y>>2]=R+1;P=b[w+R>>0]|0;R=f[z>>2]|0;f[s>>2]=ea+1;b[R+ea>>0]=P;if(!(P<<24>>24))break;U=da;T=f[s>>2]|0}if((D|0)==83){f[q>>2]=-1;e=0;return e|0}if(f[(f[L>>2]|0)+44>>2]|0?(T=f[s>>2]|0,T>>>0>da>>>0):0){U=hIb(f[A>>2]|0,(f[z>>2]|0)+da|0,T-da|0)|0;f[A>>2]=U}f[y>>2]=0}f[j>>2]=91;M=L;D=93}if((D|0)==93){if(f[(f[M>>2]|0)+36>>2]|0){U=f[s>>2]|0;T=i+12|0;r=a+48|0;v=i+8|0;n=a+20|0;x=i+32|0;P=U;R=U;while(1){if((R|0)==(f[T>>2]|0)){if(R>>>0>P>>>0?(f[(f[M>>2]|0)+44>>2]|0)!=0:0){U=hIb(f[r>>2]|0,(f[v>>2]|0)+P|0,R-P|0)|0;f[r>>2]=U}U=f[g>>2]|0;vIb(U);w=U+20|0;Q=f[w>>2]|0;S=f[p>>2]|0;O=Q>>>0>S>>>0?S:Q;do if(O|0){Q=U+16|0;szc(f[l>>2]|0,f[Q>>2]|0,O|0)|0;f[l>>2]=(f[l>>2]|0)+O;f[Q>>2]=(f[Q>>2]|0)+O;f[n>>2]=(f[n>>2]|0)+O;f[p>>2]=(f[p>>2]|0)-O;S=(f[w>>2]|0)-O|0;f[w>>2]=S;if(S|0)break;f[Q>>2]=f[U+8>>2]}while(0);if(!(f[s>>2]|0)){fa=0;ga=0}else{D=102;break}}else{fa=P;ga=R}U=f[(f[M>>2]|0)+36>>2]|0;w=f[x>>2]|0;f[x>>2]=w+1;O=b[U+w>>0]|0;w=f[v>>2]|0;f[s>>2]=ga+1;b[w+ga>>0]=O;if(!(O<<24>>24))break;P=fa;R=f[s>>2]|0}if((D|0)==102){f[q>>2]=-1;e=0;return e|0}if(f[(f[M>>2]|0)+44>>2]|0?(R=f[s>>2]|0,R>>>0>fa>>>0):0){P=hIb(f[r>>2]|0,(f[v>>2]|0)+fa|0,R-fa|0)|0;f[r>>2]=P}}f[j>>2]=103;N=M;D=109}if((D|0)==109){if(f[(f[N>>2]|0)+44>>2]|0){P=f[s>>2]|0;do if((P+2|0)>>>0>(f[i+12>>2]|0)>>>0){R=f[g>>2]|0;vIb(R);x=R+20|0;n=f[x>>2]|0;T=f[p>>2]|0;y=n>>>0>T>>>0?T:n;do if(y|0){n=R+16|0;szc(f[l>>2]|0,f[n>>2]|0,y|0)|0;f[l>>2]=(f[l>>2]|0)+y;f[n>>2]=(f[n>>2]|0)+y;T=a+20|0;f[T>>2]=(f[T>>2]|0)+y;f[p>>2]=(f[p>>2]|0)-y;T=(f[x>>2]|0)-y|0;f[x>>2]=T;if(T|0)break;f[n>>2]=f[R+8>>2]}while(0);if(!(f[s>>2]|0)){ha=0;break}f[q>>2]=-1;e=0;return e|0}else ha=P;while(0);P=a+48|0;r=f[P>>2]&255;v=i+8|0;R=f[v>>2]|0;f[s>>2]=ha+1;b[R+ha>>0]=r;r=(f[P>>2]|0)>>>8&255;R=f[v>>2]|0;v=f[s>>2]|0;f[s>>2]=v+1;b[R+v>>0]=r;r=hIb(0,0,0)|0;f[P>>2]=r}f[j>>2]=113;r=f[g>>2]|0;vIb(r);P=r+20|0;v=f[P>>2]|0;R=f[p>>2]|0;x=v>>>0>R>>>0?R:v;if(x|0?(v=r+16|0,szc(f[l>>2]|0,f[v>>2]|0,x|0)|0,f[l>>2]=(f[l>>2]|0)+x,f[v>>2]=(f[v>>2]|0)+x,R=a+20|0,f[R>>2]=(f[R>>2]|0)+x,f[p>>2]=(f[p>>2]|0)-x,R=(f[P>>2]|0)-x|0,f[P>>2]=R,(R|0)==0):0)f[v>>2]=f[r+8>>2];if(f[s>>2]|0){f[q>>2]=-1;e=0;return e|0}}if(!(f[m>>2]|0))D=123;else D=126}if((D|0)==123)if(!(f[i+116>>2]|0)){if(c|0?(f[j>>2]|0)!=666:0)D=126}else D=126;do if((D|0)==126){r=f[i+132>>2]|0;d:do if(!r){ia=lIb(i,c)|0;D=200}else switch(f[i+136>>2]|0){case 2:{v=i+116|0;R=i+96|0;P=i+56|0;x=i+108|0;y=i+5796|0;n=i+5792|0;T=i+5784|0;A=i+5788|0;z=i+92|0;while(1){if((f[v>>2]|0)==0?(oIb(i),(f[v>>2]|0)==0):0)break;f[R>>2]=0;O=b[(f[P>>2]|0)+(f[x>>2]|0)>>0]|0;w=f[n>>2]|0;d[(f[y>>2]|0)+(w<<1)>>1]=0;U=f[T>>2]|0;f[n>>2]=w+1;b[U+w>>0]=O;w=i+148+((O&255)<<2)|0;d[w>>1]=(d[w>>1]|0)+1<<16>>16;w=(f[n>>2]|0)==((f[A>>2]|0)+-1|0);f[v>>2]=(f[v>>2]|0)+-1;O=(f[x>>2]|0)+1|0;f[x>>2]=O;if(!w)continue;w=f[z>>2]|0;if((w|0)>-1)ja=(f[P>>2]|0)+w|0;else ja=0;xIb(i,ja,O-w|0,0);f[z>>2]=f[x>>2];w=f[i>>2]|0;O=f[w+28>>2]|0;vIb(O);U=O+20|0;Q=f[U>>2]|0;S=w+16|0;_=f[S>>2]|0;W=Q>>>0>_>>>0?_:Q;do if(W|0){Q=w+12|0;_=O+16|0;szc(f[Q>>2]|0,f[_>>2]|0,W|0)|0;f[Q>>2]=(f[Q>>2]|0)+W;f[_>>2]=(f[_>>2]|0)+W;Q=w+20|0;f[Q>>2]=(f[Q>>2]|0)+W;f[S>>2]=(f[S>>2]|0)-W;Q=(f[U>>2]|0)-W|0;f[U>>2]=Q;if(Q|0)break;f[_>>2]=f[O+8>>2]}while(0);if(!(f[(f[i>>2]|0)+16>>2]|0)){D=203;break d}}if(!c){D=203;break d}f[i+5812>>2]=0;if((c|0)==4){v=f[z>>2]|0;if((v|0)>-1)ka=(f[P>>2]|0)+v|0;else ka=0;xIb(i,ka,(f[x>>2]|0)-v|0,1);f[z>>2]=f[x>>2];v=f[i>>2]|0;A=f[v+28>>2]|0;vIb(A);T=A+20|0;y=f[T>>2]|0;R=v+16|0;V=f[R>>2]|0;O=y>>>0>V>>>0?V:y;do if(O|0){y=v+12|0;V=A+16|0;szc(f[y>>2]|0,f[V>>2]|0,O|0)|0;f[y>>2]=(f[y>>2]|0)+O;f[V>>2]=(f[V>>2]|0)+O;y=v+20|0;f[y>>2]=(f[y>>2]|0)+O;f[R>>2]=(f[R>>2]|0)-O;y=(f[T>>2]|0)-O|0;f[T>>2]=y;if(y|0)break;f[V>>2]=f[A+8>>2]}while(0);ia=(f[(f[i>>2]|0)+16>>2]|0)==0?2:3;D=200;break d}if(!(f[n>>2]|0))break d;A=f[z>>2]|0;if((A|0)>-1)la=(f[P>>2]|0)+A|0;else la=0;xIb(i,la,(f[x>>2]|0)-A|0,0);f[z>>2]=f[x>>2];A=f[i>>2]|0;T=f[A+28>>2]|0;vIb(T);O=T+20|0;R=f[O>>2]|0;v=A+16|0;V=f[v>>2]|0;y=R>>>0>V>>>0?V:R;do if(y|0){R=A+12|0;V=T+16|0;szc(f[R>>2]|0,f[V>>2]|0,y|0)|0;f[R>>2]=(f[R>>2]|0)+y;f[V>>2]=(f[V>>2]|0)+y;R=A+20|0;f[R>>2]=(f[R>>2]|0)+y;f[v>>2]=(f[v>>2]|0)-y;R=(f[O>>2]|0)-y|0;f[O>>2]=R;if(R|0)break;f[V>>2]=f[T+8>>2]}while(0);if(!(f[(f[i>>2]|0)+16>>2]|0)){D=203;break d}else break d;break}case 3:{T=i+116|0;O=(c|0)==0;y=i+96|0;v=i+108|0;A=i+5784|0;x=i+5796|0;z=i+5792|0;P=i+5788|0;n=i+56|0;V=i+92|0;e:while(1){R=f[T>>2]|0;do if(R>>>0<259){oIb(i);U=f[T>>2]|0;if(O&U>>>0<259){D=203;break d}if(!U)break e;f[y>>2]=0;if(U>>>0>2){ma=U;D=161;break}na=f[v>>2]|0;oa=f[x>>2]|0;pa=f[A>>2]|0;D=177}else{f[y>>2]=0;ma=R;D=161}while(0);f:do if((D|0)==161){D=0;R=f[v>>2]|0;do if(R|0){U=(f[n>>2]|0)+R|0;W=b[U+-1>>0]|0;if(W<<24>>24!=(b[U>>0]|0))break;S=U+1|0;if(W<<24>>24!=(b[S>>0]|0))break;if(W<<24>>24!=(b[S+1>>0]|0))break;S=U+258|0;w=1;while(1){_=U+w|0;Q=_+2|0;if(W<<24>>24!=(b[Q>>0]|0)){qa=Q;break}Q=_+3|0;if(W<<24>>24!=(b[Q>>0]|0)){qa=Q;break}Q=_+4|0;if(W<<24>>24!=(b[Q>>0]|0)){qa=Q;break}Q=_+5|0;if(W<<24>>24!=(b[Q>>0]|0)){qa=Q;break}Q=_+6|0;if(W<<24>>24!=(b[Q>>0]|0)){qa=Q;break}Q=_+7|0;if(W<<24>>24!=(b[Q>>0]|0)){qa=Q;break}Q=w;w=w+8|0;_=U+w|0;if(W<<24>>24!=(b[_>>0]|0)){qa=_;break}_=Q+9|0;Q=U+_|0;if(!((_|0)<258?W<<24>>24==(b[Q>>0]|0):0)){qa=Q;break}}W=qa-S+258|0;U=W>>>0>ma>>>0?ma:W;f[y>>2]=U;W=f[A>>2]|0;w=f[x>>2]|0;if(U>>>0<=2){na=R;oa=w;pa=W;D=177;break f}Q=U+253|0;U=f[z>>2]|0;d[w+(U<<1)>>1]=1;f[z>>2]=U+1;b[W+U>>0]=Q;U=i+148+((h[486525+(Q&255)>>0]|256)+1<<2)|0;d[U>>1]=(d[U>>1]|0)+1<<16>>16;U=i+2440+(h[486013]<<2)|0;d[U>>1]=(d[U>>1]|0)+1<<16>>16;U=(f[z>>2]|0)==((f[P>>2]|0)+-1|0)&1;Q=f[y>>2]|0;f[T>>2]=(f[T>>2]|0)-Q;W=(f[v>>2]|0)+Q|0;f[v>>2]=W;f[y>>2]=0;ra=U;sa=W;break f}while(0);na=R;oa=f[x>>2]|0;pa=f[A>>2]|0;D=177}while(0);if((D|0)==177){D=0;W=b[(f[n>>2]|0)+na>>0]|0;U=f[z>>2]|0;d[oa+(U<<1)>>1]=0;f[z>>2]=U+1;b[pa+U>>0]=W;U=i+148+((W&255)<<2)|0;d[U>>1]=(d[U>>1]|0)+1<<16>>16;U=(f[z>>2]|0)==((f[P>>2]|0)+-1|0)&1;f[T>>2]=(f[T>>2]|0)+-1;W=(f[v>>2]|0)+1|0;f[v>>2]=W;ra=U;sa=W}if(!ra)continue;W=f[V>>2]|0;if((W|0)>-1)ta=(f[n>>2]|0)+W|0;else ta=0;xIb(i,ta,sa-W|0,0);f[V>>2]=f[v>>2];W=f[i>>2]|0;U=f[W+28>>2]|0;vIb(U);Q=U+20|0;w=f[Q>>2]|0;_=W+16|0;X=f[_>>2]|0;Y=w>>>0>X>>>0?X:w;do if(Y|0){w=W+12|0;X=U+16|0;szc(f[w>>2]|0,f[X>>2]|0,Y|0)|0;f[w>>2]=(f[w>>2]|0)+Y;f[X>>2]=(f[X>>2]|0)+Y;w=W+20|0;f[w>>2]=(f[w>>2]|0)+Y;f[_>>2]=(f[_>>2]|0)-Y;w=(f[Q>>2]|0)-Y|0;f[Q>>2]=w;if(w|0)break;f[X>>2]=f[U+8>>2]}while(0);if(!(f[(f[i>>2]|0)+16>>2]|0)){D=203;break d}}f[i+5812>>2]=0;if((c|0)==4){T=f[V>>2]|0;if((T|0)>-1)ua=(f[n>>2]|0)+T|0;else ua=0;xIb(i,ua,(f[v>>2]|0)-T|0,1);f[V>>2]=f[v>>2];T=f[i>>2]|0;P=f[T+28>>2]|0;vIb(P);A=P+20|0;x=f[A>>2]|0;y=T+16|0;O=f[y>>2]|0;U=x>>>0>O>>>0?O:x;do if(U|0){x=T+12|0;O=P+16|0;szc(f[x>>2]|0,f[O>>2]|0,U|0)|0;f[x>>2]=(f[x>>2]|0)+U;f[O>>2]=(f[O>>2]|0)+U;x=T+20|0;f[x>>2]=(f[x>>2]|0)+U;f[y>>2]=(f[y>>2]|0)-U;x=(f[A>>2]|0)-U|0;f[A>>2]=x;if(x|0)break;f[O>>2]=f[P+8>>2]}while(0);ia=(f[(f[i>>2]|0)+16>>2]|0)==0?2:3;D=200;break d}if(!(f[z>>2]|0))break d;P=f[V>>2]|0;if((P|0)>-1)va=(f[n>>2]|0)+P|0;else va=0;xIb(i,va,(f[v>>2]|0)-P|0,0);f[V>>2]=f[v>>2];P=f[i>>2]|0;A=f[P+28>>2]|0;vIb(A);U=A+20|0;y=f[U>>2]|0;T=P+16|0;O=f[T>>2]|0;x=y>>>0>O>>>0?O:y;do if(x|0){y=P+12|0;O=A+16|0;szc(f[y>>2]|0,f[O>>2]|0,x|0)|0;f[y>>2]=(f[y>>2]|0)+x;f[O>>2]=(f[O>>2]|0)+x;y=P+20|0;f[y>>2]=(f[y>>2]|0)+x;f[T>>2]=(f[T>>2]|0)-x;y=(f[U>>2]|0)-x|0;f[U>>2]=y;if(y|0)break;f[O>>2]=f[A+8>>2]}while(0);if(!(f[(f[i>>2]|0)+16>>2]|0)){D=203;break d}else break d;break}default:{ia=Th[f[150728+(r*12|0)+8>>2]&1023](i,c)|0;D=200;break d}}while(0);if((D|0)==200){if((ia|1|0)==3)f[j>>2]=666;if((ia|2|0)!=2){if((ia|0)!=1)break}else D=203}if((D|0)==203){if(f[p>>2]|0){e=0;return e|0}f[q>>2]=-1;e=0;return e|0}switch(c|0){case 1:{wIb(i);break}case 5:break;default:{uIb(i,0,0,0);if((c|0)==3?(r=f[i+68>>2]|0,A=(f[i+76>>2]|0)+-1|0,d[r+(A<<1)>>1]=0,kzc(r|0,0,A<<1|0)|0,(f[i+116>>2]|0)==0):0){f[i+108>>2]=0;f[i+92>>2]=0;f[i+5812>>2]=0}}}A=f[g>>2]|0;vIb(A);r=A+20|0;U=f[r>>2]|0;x=f[p>>2]|0;T=U>>>0>x>>>0?x:U;if(T){U=A+16|0;szc(f[l>>2]|0,f[U>>2]|0,T|0)|0;f[l>>2]=(f[l>>2]|0)+T;f[U>>2]=(f[U>>2]|0)+T;P=a+20|0;f[P>>2]=(f[P>>2]|0)+T;P=(f[p>>2]|0)-T|0;f[p>>2]=P;v=(f[r>>2]|0)-T|0;f[r>>2]=v;if(!v){f[U>>2]=f[A+8>>2];wa=P}else wa=P}else wa=x;if(!wa){f[q>>2]=-1;e=0;return e|0}}while(0);if(o){e=0;return e|0}q=i+24|0;m=f[q>>2]|0;if((m|0)<1){e=1;return e|0}x=a+48|0;P=f[x>>2]|0;if((m|0)==2){m=i+8|0;A=f[m>>2]|0;U=f[s>>2]|0;f[s>>2]=U+1;b[A+U>>0]=P;U=(f[x>>2]|0)>>>8&255;A=f[m>>2]|0;v=f[s>>2]|0;f[s>>2]=v+1;b[A+v>>0]=U;U=(f[x>>2]|0)>>>16&255;v=f[m>>2]|0;A=f[s>>2]|0;f[s>>2]=A+1;b[v+A>>0]=U;U=(f[x>>2]|0)>>>24&255;A=f[m>>2]|0;v=f[s>>2]|0;f[s>>2]=v+1;b[A+v>>0]=U;U=a+8|0;v=f[U>>2]&255;A=f[m>>2]|0;r=f[s>>2]|0;f[s>>2]=r+1;b[A+r>>0]=v;v=(f[U>>2]|0)>>>8&255;r=f[m>>2]|0;A=f[s>>2]|0;f[s>>2]=A+1;b[r+A>>0]=v;v=(f[U>>2]|0)>>>16&255;A=f[m>>2]|0;r=f[s>>2]|0;f[s>>2]=r+1;b[A+r>>0]=v;v=(f[U>>2]|0)>>>24;U=f[m>>2]|0;m=f[s>>2]|0;f[s>>2]=m+1;xa=v;ya=U+m|0}else{m=i+8|0;U=f[m>>2]|0;v=f[s>>2]|0;f[s>>2]=v+1;b[U+v>>0]=P>>>24;v=f[m>>2]|0;U=f[s>>2]|0;f[s>>2]=U+1;b[v+U>>0]=P>>>16;P=f[x>>2]|0;x=f[m>>2]|0;U=f[s>>2]|0;f[s>>2]=U+1;b[x+U>>0]=P>>>8;U=f[m>>2]|0;m=f[s>>2]|0;f[s>>2]=m+1;xa=P;ya=U+m|0}b[ya>>0]=xa;m=f[g>>2]|0;vIb(m);U=m+20|0;P=f[U>>2]|0;x=f[p>>2]|0;v=P>>>0>x>>>0?x:P;if(v|0?(P=m+16|0,szc(f[l>>2]|0,f[P>>2]|0,v|0)|0,f[l>>2]=(f[l>>2]|0)+v,f[P>>2]=(f[P>>2]|0)+v,x=a+20|0,f[x>>2]=(f[x>>2]|0)+v,f[p>>2]=(f[p>>2]|0)-v,x=(f[U>>2]|0)-v|0,f[U>>2]=x,(x|0)==0):0)f[P>>2]=f[m+8>>2];m=f[q>>2]|0;if((m|0)>0)f[q>>2]=0-m;e=(f[s>>2]|0)==0&1;return e|0}}while(0);f[a+24>>2]=f[35628];e=-2;return e|0}function sIb(a){a=a|0;f[a+2840>>2]=a+148;f[a+2848>>2]=150848;f[a+2852>>2]=a+2440;f[a+2860>>2]=150868;f[a+2864>>2]=a+2684;f[a+2872>>2]=150888;d[a+5816>>1]=0;f[a+5820>>2]=0;tIb(a);return}function tIb(a){a=a|0;var b=0;b=0;do{d[a+148+(b<<2)>>1]=0;b=b+1|0}while((b|0)!=286);d[a+2440>>1]=0;d[a+2444>>1]=0;d[a+2448>>1]=0;d[a+2452>>1]=0;d[a+2456>>1]=0;d[a+2460>>1]=0;d[a+2464>>1]=0;d[a+2468>>1]=0;d[a+2472>>1]=0;d[a+2476>>1]=0;d[a+2480>>1]=0;d[a+2484>>1]=0;d[a+2488>>1]=0;d[a+2492>>1]=0;d[a+2496>>1]=0;d[a+2500>>1]=0;d[a+2504>>1]=0;d[a+2508>>1]=0;d[a+2512>>1]=0;d[a+2516>>1]=0;d[a+2520>>1]=0;d[a+2524>>1]=0;d[a+2528>>1]=0;d[a+2532>>1]=0;d[a+2536>>1]=0;d[a+2540>>1]=0;d[a+2544>>1]=0;d[a+2548>>1]=0;d[a+2552>>1]=0;d[a+2556>>1]=0;d[a+2684>>1]=0;d[a+2688>>1]=0;d[a+2692>>1]=0;d[a+2696>>1]=0;d[a+2700>>1]=0;d[a+2704>>1]=0;d[a+2708>>1]=0;d[a+2712>>1]=0;d[a+2716>>1]=0;d[a+2720>>1]=0;d[a+2724>>1]=0;d[a+2728>>1]=0;d[a+2732>>1]=0;d[a+2736>>1]=0;d[a+2740>>1]=0;d[a+2744>>1]=0;d[a+2748>>1]=0;d[a+2752>>1]=0;d[a+2756>>1]=0;d[a+1172>>1]=1;f[a+5804>>2]=0;f[a+5800>>2]=0;f[a+5808>>2]=0;f[a+5792>>2]=0;return}function uIb(a,c,e,g){a=a|0;c=c|0;e=e|0;g=g|0;var h=0,i=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;h=a+5820|0;i=f[h>>2]|0;k=g&65535;g=a+5816|0;l=j[g>>1]|0|k<<i;d[g>>1]=l;if((i|0)>13){m=a+8|0;n=f[m>>2]|0;o=a+20|0;p=f[o>>2]|0;f[o>>2]=p+1;b[n+p>>0]=l;p=(j[g>>1]|0)>>>8&255;n=f[m>>2]|0;m=f[o>>2]|0;f[o>>2]=m+1;b[n+m>>0]=p;p=f[h>>2]|0;m=k>>>(16-p|0);d[g>>1]=m;q=m;r=p+-13|0}else{q=l;r=i+3|0}i=q&255;f[h>>2]=r;if((r|0)<=8){if((r|0)>0){r=f[a+8>>2]|0;q=a+20|0;l=f[q>>2]|0;f[q>>2]=l+1;s=i;t=r+l|0;u=8}}else{l=a+8|0;r=f[l>>2]|0;q=a+20|0;p=f[q>>2]|0;f[q>>2]=p+1;b[r+p>>0]=i;i=(j[g>>1]|0)>>>8&255;p=f[l>>2]|0;l=f[q>>2]|0;f[q>>2]=l+1;s=i;t=p+l|0;u=8}if((u|0)==8)b[t>>0]=s;d[g>>1]=0;f[h>>2]=0;h=a+8|0;g=f[h>>2]|0;s=a+20|0;a=f[s>>2]|0;f[s>>2]=a+1;b[g+a>>0]=e;a=f[h>>2]|0;g=f[s>>2]|0;f[s>>2]=g+1;b[a+g>>0]=e>>>8;g=e&65535^65535;a=f[h>>2]|0;t=f[s>>2]|0;f[s>>2]=t+1;b[a+t>>0]=g;t=f[h>>2]|0;a=f[s>>2]|0;f[s>>2]=a+1;b[t+a>>0]=g>>>8;szc((f[h>>2]|0)+(f[s>>2]|0)|0,c|0,e|0)|0;f[s>>2]=(f[s>>2]|0)+e;return}function vIb(a){a=a|0;var c=0,e=0,g=0,h=0,i=0,k=0,l=0,m=0,n=0;c=a+5820|0;e=f[c>>2]|0;do if((e|0)!=16)if((e|0)>7){g=a+5816|0;h=d[g>>1]&255;i=f[a+8>>2]|0;k=a+20|0;l=f[k>>2]|0;f[k>>2]=l+1;b[i+l>>0]=h;d[g>>1]=(j[g>>1]|0)>>>8;m=(f[c>>2]|0)+-8|0;break}else return;else{g=a+5816|0;h=d[g>>1]&255;l=a+8|0;i=f[l>>2]|0;k=a+20|0;n=f[k>>2]|0;f[k>>2]=n+1;b[i+n>>0]=h;h=(j[g>>1]|0)>>>8&255;n=f[l>>2]|0;l=f[k>>2]|0;f[k>>2]=l+1;b[n+l>>0]=h;d[g>>1]=0;m=0}while(0);f[c>>2]=m;return}function wIb(a){a=a|0;var c=0,e=0,g=0,h=0,i=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;c=a+5820|0;e=f[c>>2]|0;g=a+5816|0;h=j[g>>1]|0|2<<e;d[g>>1]=h;if((e|0)>13){i=a+8|0;k=f[i>>2]|0;l=a+20|0;m=f[l>>2]|0;f[l>>2]=m+1;b[k+m>>0]=h;m=(j[g>>1]|0)>>>8&255;k=f[i>>2]|0;i=f[l>>2]|0;f[l>>2]=i+1;b[k+i>>0]=m;m=f[c>>2]|0;i=2>>>(16-m|0);d[g>>1]=i;n=i;o=m+-13|0}else{n=h;o=e+3|0}e=n&255;f[c>>2]=o;if((o|0)>9){n=a+8|0;h=f[n>>2]|0;m=a+20|0;i=f[m>>2]|0;f[m>>2]=i+1;b[h+i>>0]=e;i=(j[g>>1]|0)>>>8&255;h=f[n>>2]|0;n=f[m>>2]|0;f[m>>2]=n+1;b[h+n>>0]=i;i=f[c>>2]|0;d[g>>1]=0;p=0;q=i+-9|0}else{p=e;q=o+7|0}f[c>>2]=q;do if((q|0)!=16)if((q|0)>7){o=f[a+8>>2]|0;e=a+20|0;i=f[e>>2]|0;f[e>>2]=i+1;b[o+i>>0]=p;d[g>>1]=(j[g>>1]|0)>>>8;r=(f[c>>2]|0)+-8|0;break}else return;else{i=a+8|0;o=f[i>>2]|0;e=a+20|0;n=f[e>>2]|0;f[e>>2]=n+1;b[o+n>>0]=p;n=(j[g>>1]|0)>>>8&255;o=f[i>>2]|0;i=f[e>>2]|0;f[e>>2]=i+1;b[o+i>>0]=n;d[g>>1]=0;r=0}while(0);f[c>>2]=r;return}function xIb(a,c,e,g){a=a|0;c=c|0;e=e|0;g=g|0;var i=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0;if((f[a+132>>2]|0)>0){i=(f[a>>2]|0)+44|0;if((f[i>>2]|0)==2){k=-201342849;l=0;while(1){if(k&1|0?d[a+148+(l<<2)>>1]|0:0){m=0;break}l=l+1|0;if((l|0)>=32){n=6;break}else k=k>>>1}a:do if((n|0)==6)if(((d[a+184>>1]|0)==0?(d[a+188>>1]|0)==0:0)?(d[a+200>>1]|0)==0:0){k=32;while(1){if(d[a+148+(k<<2)>>1]|0){m=1;break a}k=k+1|0;if((k|0)>=256){m=0;break}}}else m=1;while(0);f[i>>2]=m}yIb(a,a+2840|0);yIb(a,a+2852|0);m=f[a+2844>>2]|0;i=d[a+150>>1]|0;k=i<<16>>16==0;d[a+148+(m+1<<2)+2>>1]=-1;l=a+2756|0;o=a+2752|0;p=a+2748|0;q=i&65535;i=0;r=-1;s=k?3:4;t=k?138:7;b:while(1){k=0;u=i;do{if((u|0)>(m|0))break b;u=u+1|0;v=d[a+148+(u<<2)+2>>1]|0;w=v&65535;k=k+1|0;x=(q|0)==(w|0)}while((k|0)<(t|0)&x);if((k|0)<(s|0)){y=a+2684+(q<<2)|0;d[y>>1]=(j[y>>1]|0)+k}else{if(q){y=a+2684+(q<<2)|0;if((q|0)==(r|0))z=p;else{d[y>>1]=(d[y>>1]|0)+1<<16>>16;z=p}}else z=(k|0)<11?o:l;d[z>>1]=(d[z>>1]|0)+1<<16>>16}y=v<<16>>16==0;A=q;q=w;i=u;s=y|x?3:4;t=y?138:x?6:7;r=A}r=f[a+2856>>2]|0;x=d[a+2442>>1]|0;t=x<<16>>16==0;d[a+2440+(r+1<<2)+2>>1]=-1;s=x&65535;x=0;i=-1;w=t?3:4;q=t?138:7;c:while(1){t=0;v=x;do{if((v|0)>(r|0))break c;v=v+1|0;B=d[a+2440+(v<<2)+2>>1]|0;C=B&65535;t=t+1|0;D=(s|0)==(C|0)}while((t|0)<(q|0)&D);if((t|0)<(w|0)){u=a+2684+(s<<2)|0;d[u>>1]=(j[u>>1]|0)+t}else{if(s){u=a+2684+(s<<2)|0;if((s|0)==(i|0))E=p;else{d[u>>1]=(d[u>>1]|0)+1<<16>>16;E=p}}else E=(t|0)<11?o:l;d[E>>1]=(d[E>>1]|0)+1<<16>>16}u=B<<16>>16==0;k=s;s=C;x=v;w=u|D?3:4;q=u?138:D?6:7;i=k}yIb(a,a+2864|0);if(!(d[a+2746>>1]|0))if(!(d[a+2690>>1]|0))if(!(d[a+2742>>1]|0))if(!(d[a+2694>>1]|0))if(!(d[a+2738>>1]|0))if(!(d[a+2698>>1]|0))if(!(d[a+2734>>1]|0))if(!(d[a+2702>>1]|0))if(!(d[a+2730>>1]|0))if(!(d[a+2706>>1]|0))if(!(d[a+2726>>1]|0))if(!(d[a+2710>>1]|0))if(!(d[a+2722>>1]|0))if(!(d[a+2714>>1]|0))if(!(d[a+2718>>1]|0))F=(d[a+2686>>1]|0)==0?2:3;else F=4;else F=5;else F=6;else F=7;else F=8;else F=9;else F=10;else F=11;else F=12;else F=13;else F=14;else F=15;else F=16;else F=17;else F=18;i=a+5800|0;D=(F*3|0)+17+(f[i>>2]|0)|0;f[i>>2]=D;i=(D+10|0)>>>3;D=((f[a+5804>>2]|0)+10|0)>>>3;G=D>>>0>i>>>0?i:D;H=D;I=F}else{F=e+5|0;G=F;H=F;I=0}do if((c|0)!=0&(e+4|0)>>>0<=G>>>0)uIb(a,c,e,g);else{F=a+5820|0;D=f[F>>2]|0;i=(D|0)>13;if((H|0)==(G|0)?1:(f[a+136>>2]|0)==4){q=g+2&65535;w=a+5816|0;x=j[w>>1]|q<<D;d[w>>1]=x;if(i){C=a+8|0;s=f[C>>2]|0;B=a+20|0;E=f[B>>2]|0;f[B>>2]=E+1;b[s+E>>0]=x;x=(j[w>>1]|0)>>>8&255;E=f[C>>2]|0;C=f[B>>2]|0;f[B>>2]=C+1;b[E+C>>0]=x;x=f[F>>2]|0;d[w>>1]=q>>>(16-x|0);J=x+-13|0}else J=D+3|0;f[F>>2]=J;zIb(a,169910,169790);break}x=g+4&65535;q=a+5816|0;w=j[q>>1]|x<<D;d[q>>1]=w;if(i){i=a+8|0;C=f[i>>2]|0;E=a+20|0;B=f[E>>2]|0;f[E>>2]=B+1;b[C+B>>0]=w;B=(j[q>>1]|0)>>>8&255;C=f[i>>2]|0;i=f[E>>2]|0;f[E>>2]=i+1;b[C+i>>0]=B;B=f[F>>2]|0;i=x>>>(16-B|0);d[q>>1]=i;K=i;L=B+-13|0}else{K=w;L=D+3|0}f[F>>2]=L;D=f[a+2844>>2]|0;w=f[a+2856>>2]|0;B=D+65280&65535;i=K&65535|B<<L;d[q>>1]=i;if((L|0)>11){x=a+8|0;C=f[x>>2]|0;E=a+20|0;s=f[E>>2]|0;f[E>>2]=s+1;b[C+s>>0]=i;s=(j[q>>1]|0)>>>8&255;C=f[x>>2]|0;x=f[E>>2]|0;f[E>>2]=x+1;b[C+x>>0]=s;s=f[F>>2]|0;x=B>>>(16-s|0);d[q>>1]=x;M=s+-11|0;N=x}else{M=L+5|0;N=i}f[F>>2]=M;i=w&65535;x=i<<M|N&65535;d[q>>1]=x;if((M|0)>11){s=a+8|0;B=f[s>>2]|0;C=a+20|0;E=f[C>>2]|0;f[C>>2]=E+1;b[B+E>>0]=x;E=(j[q>>1]|0)>>>8&255;B=f[s>>2]|0;s=f[C>>2]|0;f[C>>2]=s+1;b[B+s>>0]=E;E=f[F>>2]|0;s=i>>>(16-E|0);d[q>>1]=s;O=E+-11|0;P=s}else{O=M+5|0;P=x}f[F>>2]=O;x=I+65533&65535;s=x<<O|P&65535;d[q>>1]=s;if((O|0)>12){E=a+8|0;i=f[E>>2]|0;B=a+20|0;C=f[B>>2]|0;f[B>>2]=C+1;b[i+C>>0]=s;C=(j[q>>1]|0)>>>8&255;i=f[E>>2]|0;l=f[B>>2]|0;f[B>>2]=l+1;b[i+l>>0]=C;C=f[F>>2]|0;l=x>>>(16-C|0);d[q>>1]=l;Q=B;R=E;S=l;T=C+-12|0}else{Q=a+20|0;R=a+8|0;S=s;T=O+4|0}f[F>>2]=T;s=0;C=T;l=S;while(1){E=j[a+2684+(h[486781+s>>0]<<2)+2>>1]|0;B=E<<C|l&65535;d[q>>1]=B;if((C|0)>13){x=f[R>>2]|0;i=f[Q>>2]|0;f[Q>>2]=i+1;b[x+i>>0]=B;i=(j[q>>1]|0)>>>8&255;x=f[R>>2]|0;o=f[Q>>2]|0;f[Q>>2]=o+1;b[x+o>>0]=i;i=f[F>>2]|0;o=E>>>(16-i|0);d[q>>1]=o;U=o;V=i+-13|0}else{U=B;V=C+3|0}f[F>>2]=V;if((s|0)==(I|0))break;else{s=s+1|0;C=V;l=U}}l=a+148|0;AIb(a,l,D);C=a+2440|0;AIb(a,C,w);zIb(a,l,C)}while(0);tIb(a);if(!g)return;g=a+5820|0;U=f[g>>2]|0;if((U|0)<=8){if((U|0)>0){U=d[a+5816>>1]&255;V=f[a+8>>2]|0;I=a+20|0;Q=f[I>>2]|0;f[I>>2]=Q+1;W=U;X=V+Q|0;n=84}}else{Q=a+5816|0;V=d[Q>>1]&255;U=a+8|0;I=f[U>>2]|0;R=a+20|0;S=f[R>>2]|0;f[R>>2]=S+1;b[I+S>>0]=V;V=(j[Q>>1]|0)>>>8&255;Q=f[U>>2]|0;U=f[R>>2]|0;f[R>>2]=U+1;W=V;X=Q+U|0;n=84}if((n|0)==84)b[X>>0]=W;d[a+5816>>1]=0;f[g>>2]=0;return}function yIb(a,c){a=a|0;c=c|0;var e=0,g=0,i=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0;e=u;u=u+32|0;g=e;i=f[c>>2]|0;k=c+8|0;l=f[k>>2]|0;m=f[l>>2]|0;n=f[l+12>>2]|0;l=a+5200|0;f[l>>2]=0;o=a+5204|0;f[o>>2]=573;if((n|0)>0){p=-1;q=0;while(1){if(!(d[i+(q<<2)>>1]|0)){d[i+(q<<2)+2>>1]=0;r=p}else{s=(f[l>>2]|0)+1|0;f[l>>2]=s;f[a+2908+(s<<2)>>2]=q;b[a+5208+q>>0]=0;r=q}q=q+1|0;if((q|0)==(n|0))break;else p=r}p=f[l>>2]|0;if((p|0)<2){t=r;v=p;w=3}else{x=r;y=p}}else{t=-1;v=0;w=3}if((w|0)==3){w=a+5800|0;p=a+5804|0;if(!m){r=t;q=v;while(1){s=(r|0)<2;z=r+1|0;A=s?z:r;B=s?z:0;z=q+1|0;f[l>>2]=z;f[a+2908+(z<<2)>>2]=B;d[i+(B<<2)>>1]=1;b[a+5208+B>>0]=0;f[w>>2]=(f[w>>2]|0)+-1;B=f[l>>2]|0;if((B|0)<2){r=A;q=B}else{x=A;y=B;break}}}else{q=t;t=v;while(1){v=(q|0)<2;r=q+1|0;B=v?r:q;A=v?r:0;r=t+1|0;f[l>>2]=r;f[a+2908+(r<<2)>>2]=A;d[i+(A<<2)>>1]=1;b[a+5208+A>>0]=0;f[w>>2]=(f[w>>2]|0)+-1;f[p>>2]=(f[p>>2]|0)-(j[m+(A<<2)+2>>1]|0);A=f[l>>2]|0;if((A|0)<2){q=B;t=A}else{x=B;y=A;break}}}}t=c+4|0;f[t>>2]=x;q=y>>>1;if(!q)C=y;else{m=q;q=y;while(1){y=f[a+2908+(m<<2)>>2]|0;p=a+5208+y|0;w=m<<1;a:do if((w|0)>(q|0))D=m;else{A=i+(y<<2)|0;B=m;r=w;v=q;while(1){do if((r|0)<(v|0)){z=r|1;s=f[a+2908+(z<<2)>>2]|0;E=d[i+(s<<2)>>1]|0;F=f[a+2908+(r<<2)>>2]|0;G=d[i+(F<<2)>>1]|0;if((E&65535)>=(G&65535)){if(E<<16>>16!=G<<16>>16){H=r;break}if((h[a+5208+s>>0]|0)>(h[a+5208+F>>0]|0)){H=r;break}}H=z}else H=r;while(0);z=d[A>>1]|0;F=f[a+2908+(H<<2)>>2]|0;s=d[i+(F<<2)>>1]|0;if((z&65535)<(s&65535)){D=B;break a}if(z<<16>>16==s<<16>>16?(h[p>>0]|0)<=(h[a+5208+F>>0]|0):0){D=B;break a}f[a+2908+(B<<2)>>2]=F;r=H<<1;v=f[l>>2]|0;if((r|0)>(v|0)){D=H;break}else B=H}}while(0);f[a+2908+(D<<2)>>2]=y;if((m|0)<=1)break;m=m+-1|0;q=f[l>>2]|0}C=f[l>>2]|0}q=a+2912|0;m=n;n=C;do{C=f[q>>2]|0;D=n+-1|0;f[l>>2]=D;H=f[a+2908+(n<<2)>>2]|0;f[q>>2]=H;p=a+5208+H|0;b:do if((n|0)<3)I=1;else{w=i+(H<<2)|0;B=1;v=2;r=D;while(1){do if((v|0)<(r|0)){A=v|1;F=f[a+2908+(A<<2)>>2]|0;s=d[i+(F<<2)>>1]|0;z=f[a+2908+(v<<2)>>2]|0;G=d[i+(z<<2)>>1]|0;if((s&65535)>=(G&65535)){if(s<<16>>16!=G<<16>>16){J=v;break}if((h[a+5208+F>>0]|0)>(h[a+5208+z>>0]|0)){J=v;break}}J=A}else J=v;while(0);A=d[w>>1]|0;z=f[a+2908+(J<<2)>>2]|0;F=d[i+(z<<2)>>1]|0;if((A&65535)<(F&65535)){I=B;break b}if(A<<16>>16==F<<16>>16?(h[p>>0]|0)<=(h[a+5208+z>>0]|0):0){I=B;break b}f[a+2908+(B<<2)>>2]=z;v=J<<1;r=f[l>>2]|0;if((v|0)>(r|0)){I=J;break}else B=J}}while(0);f[a+2908+(I<<2)>>2]=H;p=f[q>>2]|0;D=(f[o>>2]|0)+-1|0;f[o>>2]=D;f[a+2908+(D<<2)>>2]=C;D=(f[o>>2]|0)+-1|0;f[o>>2]=D;f[a+2908+(D<<2)>>2]=p;D=i+(m<<2)|0;d[D>>1]=(j[i+(p<<2)>>1]|0)+(j[i+(C<<2)>>1]|0);y=a+5208+m|0;b[y>>0]=(h[((h[a+5208+C>>0]|0)>=(h[a+5208+p>>0]|0)?C:p)+(a+5208)>>0]|0)+1;B=m&65535;d[i+(p<<2)+2>>1]=B;d[i+(C<<2)+2>>1]=B;f[q>>2]=m;B=f[l>>2]|0;c:do if((B|0)<2)K=1;else{p=1;r=2;v=B;while(1){do if((r|0)<(v|0)){w=r|1;z=f[a+2908+(w<<2)>>2]|0;F=d[i+(z<<2)>>1]|0;A=f[a+2908+(r<<2)>>2]|0;G=d[i+(A<<2)>>1]|0;if((F&65535)>=(G&65535)){if(F<<16>>16!=G<<16>>16){L=r;break}if((h[a+5208+z>>0]|0)>(h[a+5208+A>>0]|0)){L=r;break}}L=w}else L=r;while(0);w=d[D>>1]|0;A=f[a+2908+(L<<2)>>2]|0;z=d[i+(A<<2)>>1]|0;if((w&65535)<(z&65535)){K=p;break c}if(w<<16>>16==z<<16>>16?(h[y>>0]|0)<=(h[a+5208+A>>0]|0):0){K=p;break c}f[a+2908+(p<<2)>>2]=A;r=L<<1;v=f[l>>2]|0;if((r|0)>(v|0)){K=L;break}else p=L}}while(0);f[a+2908+(K<<2)>>2]=m;m=m+1|0;n=f[l>>2]|0}while((n|0)>1);n=f[q>>2]|0;q=(f[o>>2]|0)+-1|0;f[o>>2]=q;f[a+2908+(q<<2)>>2]=n;n=f[c>>2]|0;c=f[t>>2]|0;t=f[k>>2]|0;k=f[t>>2]|0;q=f[t+4>>2]|0;l=f[t+8>>2]|0;m=f[t+16>>2]|0;t=a+2876|0;K=t+32|0;do{d[t>>1]=0;t=t+2|0}while((t|0)<(K|0));t=f[o>>2]|0;d[n+(f[a+2908+(t<<2)>>2]<<2)+2>>1]=0;o=t+1|0;d:do if((o|0)<573){t=a+5800|0;K=a+5804|0;if(!k){L=o;I=0;while(1){J=f[a+2908+(L<<2)>>2]|0;y=n+(J<<2)+2|0;D=j[n+(j[y>>1]<<2)+2>>1]|0;B=(D|0)<(m|0);C=B?D+1|0:m;D=((B^1)&1)+I|0;d[y>>1]=C;if((J|0)<=(c|0)){y=a+2876+(C<<1)|0;d[y>>1]=(d[y>>1]|0)+1<<16>>16;if((J|0)<(l|0))M=0;else M=f[q+(J-l<<2)>>2]|0;y=Y(j[n+(J<<2)>>1]|0,M+C|0)|0;f[t>>2]=y+(f[t>>2]|0)}L=L+1|0;if((L|0)==573){N=D;break}else I=D}}else{I=o;L=0;while(1){D=f[a+2908+(I<<2)>>2]|0;y=n+(D<<2)+2|0;C=j[n+(j[y>>1]<<2)+2>>1]|0;J=(C|0)<(m|0);B=J?C+1|0:m;C=((J^1)&1)+L|0;d[y>>1]=B;if((D|0)<=(c|0)){y=a+2876+(B<<1)|0;d[y>>1]=(d[y>>1]|0)+1<<16>>16;if((D|0)<(l|0))O=0;else O=f[q+(D-l<<2)>>2]|0;y=j[n+(D<<2)>>1]|0;J=Y(y,O+B|0)|0;f[t>>2]=J+(f[t>>2]|0);J=Y((j[k+(D<<2)+2>>1]|0)+O|0,y)|0;f[K>>2]=J+(f[K>>2]|0)}I=I+1|0;if((I|0)==573){N=C;break}else L=C}}if(N|0){L=a+2876+(m<<1)|0;I=N;while(1){K=m;while(1){C=K+-1|0;P=a+2876+(C<<1)|0;Q=d[P>>1]|0;if(!(Q<<16>>16))K=C;else break}d[P>>1]=Q+-1<<16>>16;C=a+2876+(K<<1)|0;d[C>>1]=(j[C>>1]|0)+2;R=(d[L>>1]|0)+-1<<16>>16;d[L>>1]=R;if((I|0)>2)I=I+-2|0;else break}if(m|0){I=573;L=m;C=R;while(1){J=L&65535;if(!(C<<16>>16))S=I;else{y=C&65535;D=I;while(1){B=D;do{B=B+-1|0;T=f[a+2908+(B<<2)>>2]|0}while((T|0)>(c|0));H=n+(T<<2)+2|0;p=j[H>>1]|0;if((L|0)!=(p|0)){v=Y(j[n+(T<<2)>>1]|0,L-p|0)|0;f[t>>2]=v+(f[t>>2]|0);d[H>>1]=J}y=y+-1|0;if(!y){S=B;break}else D=B}}D=L+-1|0;if(!D)break d;I=S;L=D;C=d[a+2876+(D<<1)>>1]|0}}}}while(0);S=0;T=1;do{S=(j[a+2876+(T+-1<<1)>>1]|0)+S<<1;d[g+(T<<1)>>1]=S;T=T+1|0}while((T|0)!=16);if((x|0)<0){u=e;return}else U=0;while(1){T=d[i+(U<<2)+2>>1]|0;S=T&65535;if(T<<16>>16){T=g+(S<<1)|0;a=d[T>>1]|0;d[T>>1]=a+1<<16>>16;T=0;n=S;S=a&65535;while(1){V=T|S&1;if((n|0)>1){T=V<<1;n=n+-1|0;S=S>>>1}else break}d[i+(U<<2)>>1]=V}if((U|0)==(x|0))break;else U=U+1|0}u=e;return}function zIb(a,c,e){a=a|0;c=c|0;e=e|0;var g=0,i=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0;g=a+5792|0;if(!(f[g>>2]|0)){i=a+5820|0;k=a+5816|0;l=k;m=i;n=f[i>>2]|0;o=d[k>>1]|0}else{k=a+5796|0;i=a+5784|0;p=a+5820|0;q=a+5816|0;r=a+8|0;s=a+20|0;t=0;do{u=d[(f[k>>2]|0)+(t<<1)>>1]|0;v=u&65535;w=h[(f[i>>2]|0)+t>>0]|0;t=t+1|0;do if(!(u<<16>>16)){x=j[c+(w<<2)+2>>1]|0;y=f[p>>2]|0;z=j[c+(w<<2)>>1]|0;A=j[q>>1]|0|z<<y;B=A&65535;d[q>>1]=B;if((y|0)>(16-x|0)){C=f[r>>2]|0;D=f[s>>2]|0;f[s>>2]=D+1;b[C+D>>0]=A;A=(j[q>>1]|0)>>>8&255;D=f[r>>2]|0;C=f[s>>2]|0;f[s>>2]=C+1;b[D+C>>0]=A;A=f[p>>2]|0;C=z>>>(16-A|0)&65535;d[q>>1]=C;E=C;F=x+-16+A|0;G=23;break}else{E=B;F=y+x|0;G=23;break}}else{x=h[486525+w>>0]|0;y=(x|256)+1|0;B=j[c+(y<<2)+2>>1]|0;A=f[p>>2]|0;C=j[c+(y<<2)>>1]|0;y=j[q>>1]|0|C<<A;z=y&65535;d[q>>1]=z;if((A|0)>(16-B|0)){D=f[r>>2]|0;H=f[s>>2]|0;f[s>>2]=H+1;b[D+H>>0]=y;y=(j[q>>1]|0)>>>8&255;H=f[r>>2]|0;D=f[s>>2]|0;f[s>>2]=D+1;b[H+D>>0]=y;y=f[p>>2]|0;D=C>>>(16-y|0)&65535;d[q>>1]=D;I=D;J=B+-16+y|0}else{I=z;J=A+B|0}f[p>>2]=J;B=f[151104+(x<<2)>>2]|0;if((x+-8|0)>>>0<20){A=w-(f[151220+(x<<2)>>2]|0)&65535;x=A<<J|I&65535;z=x&65535;d[q>>1]=z;if((J|0)>(16-B|0)){y=f[r>>2]|0;D=f[s>>2]|0;f[s>>2]=D+1;b[y+D>>0]=x;x=(j[q>>1]|0)>>>8&255;D=f[r>>2]|0;y=f[s>>2]|0;f[s>>2]=y+1;b[D+y>>0]=x;x=f[p>>2]|0;y=A>>>(16-x|0)&65535;d[q>>1]=y;K=y;L=B+-16+x|0}else{K=z;L=J+B|0}f[p>>2]=L;M=L;N=K}else{M=J;N=I}B=v+-1|0;z=h[486013+(B>>>0<256?B:(B>>>7)+256|0)>>0]|0;x=j[e+(z<<2)+2>>1]|0;y=j[e+(z<<2)>>1]|0;A=N&65535|y<<M;D=A&65535;d[q>>1]=D;if((M|0)>(16-x|0)){C=f[r>>2]|0;H=f[s>>2]|0;f[s>>2]=H+1;b[C+H>>0]=A;A=(j[q>>1]|0)>>>8&255;H=f[r>>2]|0;C=f[s>>2]|0;f[s>>2]=C+1;b[H+C>>0]=A;A=f[p>>2]|0;C=y>>>(16-A|0)&65535;d[q>>1]=C;O=x+-16+A|0;P=C}else{O=M+x|0;P=D}f[p>>2]=O;D=f[150984+(z<<2)>>2]|0;if((z+-4|0)>>>0<26){x=B-(f[151336+(z<<2)>>2]|0)&65535;z=x<<O|P&65535;B=z&65535;d[q>>1]=B;if((O|0)>(16-D|0)){C=f[r>>2]|0;A=f[s>>2]|0;f[s>>2]=A+1;b[C+A>>0]=z;z=(j[q>>1]|0)>>>8&255;A=f[r>>2]|0;C=f[s>>2]|0;f[s>>2]=C+1;b[A+C>>0]=z;z=f[p>>2]|0;C=x>>>(16-z|0)&65535;d[q>>1]=C;E=C;F=D+-16+z|0;G=23;break}else{E=B;F=O+D|0;G=23;break}}else{Q=P;R=O}}while(0);if((G|0)==23){G=0;f[p>>2]=F;Q=E;R=F}}while(t>>>0<(f[g>>2]|0)>>>0);l=q;m=p;n=R;o=Q}Q=j[c+1026>>1]|0;R=j[c+1024>>1]|0;c=o&65535|R<<n;d[l>>1]=c;if((n|0)>(16-Q|0)){o=a+8|0;p=f[o>>2]|0;q=a+20|0;a=f[q>>2]|0;f[q>>2]=a+1;b[p+a>>0]=c;c=(j[l>>1]|0)>>>8&255;a=f[o>>2]|0;o=f[q>>2]|0;f[q>>2]=o+1;b[a+o>>0]=c;c=f[m>>2]|0;d[l>>1]=R>>>(16-c|0);S=Q+-16+c|0;f[m>>2]=S;return}else{S=n+Q|0;f[m>>2]=S;return}}function AIb(a,c,e){a=a|0;c=c|0;e=e|0;var g=0,h=0,i=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0;g=d[c+2>>1]|0;h=g<<16>>16==0;i=a+2754|0;k=a+5820|0;l=a+2752|0;m=a+5816|0;n=a+8|0;o=a+20|0;p=a+2758|0;q=a+2756|0;r=a+2750|0;s=a+2748|0;t=0;u=-1;v=g&65535;g=h?138:7;w=h?3:4;a:while(1){h=t;x=0;while(1){if((h|0)>(e|0))break a;h=h+1|0;y=d[c+(h<<2)+2>>1]|0;z=y&65535;A=x+1|0;B=(v|0)==(z|0);if(!((A|0)<(g|0)&B))break;else x=A}if((A|0)<(w|0)){C=a+2684+(v<<2)+2|0;D=a+2684+(v<<2)|0;E=A;F=f[k>>2]|0;G=d[m>>1]|0;while(1){H=j[C>>1]|0;I=j[D>>1]|0;J=G&65535|I<<F;K=J&65535;d[m>>1]=K;if((F|0)>(16-H|0)){L=f[n>>2]|0;M=f[o>>2]|0;f[o>>2]=M+1;b[L+M>>0]=J;J=(j[m>>1]|0)>>>8&255;M=f[n>>2]|0;L=f[o>>2]|0;f[o>>2]=L+1;b[M+L>>0]=J;J=f[k>>2]|0;L=I>>>(16-J|0)&65535;d[m>>1]=L;N=L;O=H+-16+J|0}else{N=K;O=F+H|0}f[k>>2]=O;E=E+-1|0;if(!E)break;else{F=O;G=N}}}else{do if(!v)if((A|0)<11){G=j[i>>1]|0;F=f[k>>2]|0;E=j[l>>1]|0;D=j[m>>1]|0|E<<F;d[m>>1]=D;if((F|0)>(16-G|0)){C=f[n>>2]|0;H=f[o>>2]|0;f[o>>2]=H+1;b[C+H>>0]=D;H=(j[m>>1]|0)>>>8&255;C=f[n>>2]|0;K=f[o>>2]|0;f[o>>2]=K+1;b[C+K>>0]=H;H=f[k>>2]|0;K=E>>>(16-H|0);d[m>>1]=K;P=G+-16+H|0;Q=K}else{P=F+G|0;Q=D}f[k>>2]=P;D=x+65534&65535;G=Q&65535|D<<P;d[m>>1]=G;if((P|0)>13){F=f[n>>2]|0;K=f[o>>2]|0;f[o>>2]=K+1;b[F+K>>0]=G;G=(j[m>>1]|0)>>>8&255;K=f[n>>2]|0;F=f[o>>2]|0;f[o>>2]=F+1;b[K+F>>0]=G;G=f[k>>2]|0;d[m>>1]=D>>>(16-G|0);R=G+-13|0;break}else{R=P+3|0;break}}else{G=j[p>>1]|0;D=f[k>>2]|0;F=j[q>>1]|0;K=j[m>>1]|0|F<<D;d[m>>1]=K;if((D|0)>(16-G|0)){H=f[n>>2]|0;E=f[o>>2]|0;f[o>>2]=E+1;b[H+E>>0]=K;E=(j[m>>1]|0)>>>8&255;H=f[n>>2]|0;C=f[o>>2]|0;f[o>>2]=C+1;b[H+C>>0]=E;E=f[k>>2]|0;C=F>>>(16-E|0);d[m>>1]=C;S=G+-16+E|0;T=C}else{S=D+G|0;T=K}f[k>>2]=S;K=x+65526&65535;G=T&65535|K<<S;d[m>>1]=G;if((S|0)>9){D=f[n>>2]|0;C=f[o>>2]|0;f[o>>2]=C+1;b[D+C>>0]=G;G=(j[m>>1]|0)>>>8&255;C=f[n>>2]|0;D=f[o>>2]|0;f[o>>2]=D+1;b[C+D>>0]=G;G=f[k>>2]|0;d[m>>1]=K>>>(16-G|0);R=G+-9|0;break}else{R=S+7|0;break}}else{if((v|0)==(u|0)){U=A;V=d[m>>1]|0;W=f[k>>2]|0}else{G=j[a+2684+(v<<2)+2>>1]|0;K=f[k>>2]|0;D=j[a+2684+(v<<2)>>1]|0;C=j[m>>1]|0|D<<K;E=C&65535;d[m>>1]=E;if((K|0)>(16-G|0)){F=f[n>>2]|0;H=f[o>>2]|0;f[o>>2]=H+1;b[F+H>>0]=C;C=(j[m>>1]|0)>>>8&255;H=f[n>>2]|0;F=f[o>>2]|0;f[o>>2]=F+1;b[H+F>>0]=C;C=f[k>>2]|0;F=D>>>(16-C|0)&65535;d[m>>1]=F;X=F;Y=G+-16+C|0}else{X=E;Y=K+G|0}f[k>>2]=Y;U=x;V=X;W=Y}G=j[r>>1]|0;K=j[s>>1]|0;E=V&65535|K<<W;d[m>>1]=E;if((W|0)>(16-G|0)){C=f[n>>2]|0;F=f[o>>2]|0;f[o>>2]=F+1;b[C+F>>0]=E;F=(j[m>>1]|0)>>>8&255;C=f[n>>2]|0;D=f[o>>2]|0;f[o>>2]=D+1;b[C+D>>0]=F;F=f[k>>2]|0;D=K>>>(16-F|0);d[m>>1]=D;Z=G+-16+F|0;_=D}else{Z=W+G|0;_=E}f[k>>2]=Z;E=U+65533&65535;G=_&65535|E<<Z;d[m>>1]=G;if((Z|0)>14){D=f[n>>2]|0;F=f[o>>2]|0;f[o>>2]=F+1;b[D+F>>0]=G;G=(j[m>>1]|0)>>>8&255;F=f[n>>2]|0;D=f[o>>2]|0;f[o>>2]=D+1;b[F+D>>0]=G;G=f[k>>2]|0;d[m>>1]=E>>>(16-G|0);R=G+-14|0;break}else{R=Z+2|0;break}}while(0);f[k>>2]=R}x=y<<16>>16==0;G=v;t=h;v=z;g=x?138:B?6:7;w=x|B?3:4;u=G}return}function BIb(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0;e=u;u=u+32|0;g=e;if(!c)h=f[a+24>>2]|0;else{i=f[c+16>>2]<<1;c=f[a+28>>2]|0;h=c>>>0<i>>>0?c:i}if(d>>>0>4294967271){iLb(g,3,486800,116);fLb(e+24|0,dLb(g,486887)|0);jLb(g)}g=d+24|0;d=h>>>0<g>>>0?g:h;h=di[f[a+40>>2]&1023](d)|0;f[h+12>>2]=24;f[h+16>>2]=d;f[h>>2]=b;f[h+8>>2]=0;b=a+8|0;f[b>>2]=(f[b>>2]|0)+d;u=e;return h|0}function CIb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;if(!b)d=8;else d=f[b+4>>2]<<1;b=d>>>0<64?d:64;d=(b<<3|12)+7&2032;e=f[c+12>>2]|0;do if(((f[c+16>>2]|0)-e|0)>>>0<d>>>0){g=23832;h=a+16|0;i=h;if((f[g>>2]|0)==(f[i>>2]|0)?(f[g+4>>2]|0)==(f[i+4>>2]|0):0){i=f[5960]|0;g=f[i+12>>2]|0;if(((f[i+16>>2]|0)-g|0)>>>0<d>>>0)j=i;else{k=i;l=g;break}}else j=0;g=a+4|0;i=f[g>>2]|0;m=i;if((i|0)!=0?(f[m>>2]|0)==23832:0){i=f[m+12>>2]|0;if(((f[m+16>>2]|0)-i|0)>>>0<d>>>0){n=m;o=10}else{k=m;l=i;break}}else if(!j)p=DIb(a,23832,d)|0;else{n=j;o=10}if((o|0)==10)p=f[n+4>>2]|0;i=p+4|0;m=f[i>>2]|0;if(((f[m+16>>2]|0)-(f[m+12>>2]|0)|0)>>>0<d>>>0){q=BIb(a,23832,m,d)|0;f[q+4>>2]=p;f[q+8>>2]=m;f[i>>2]=q;r=q}else r=m;f[5960]=r;m=h;h=f[m+4>>2]|0;q=23832;f[q>>2]=f[m>>2];f[q+4>>2]=h;f[g>>2]=r;k=r;l=f[r+12>>2]|0}else{k=c;l=e}while(0);f[k+12>>2]=l+d;d=k+l|0;l=k+4|0;f[d+8>>2]=f[(f[l>>2]|0)+8>>2];f[d+4>>2]=b;f[d>>2]=0;f[(f[l>>2]|0)+8>>2]=d;return d|0}function DIb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;d=u;u=u+32|0;e=d;g=d+24|0;h=f[a>>2]|0;a:do if(h|0){i=h;while(1){if((f[i>>2]|0)==(b|0))break;j=f[i+12>>2]|0;if(!j)break a;else i=j}if(i|0){k=i;u=d;return k|0}}while(0);h=f[a+24>>2]|0;if((c+16|0)>>>0>4294967271){iLb(e,3,486800,116);fLb(g,dLb(e,486887)|0);jLb(e)}e=c+40|0;c=h>>>0<e>>>0?e:h;h=di[f[a+40>>2]&1023](c)|0;e=h+12|0;f[e>>2]=24;f[h+16>>2]=c;f[h>>2]=b;f[h+8>>2]=0;b=a+8|0;f[b>>2]=(f[b>>2]|0)+c;c=f[e>>2]|0;f[e>>2]=c+16;e=h+c|0;f[h+4>>2]=e;f[e>>2]=f[h>>2];f[e+4>>2]=h;f[e+8>>2]=0;h=e+12|0;c=e;do{b=f[a>>2]|0;f[h>>2]=b;g=f[a>>2]|0;if((g|0)==(b|0))f[a>>2]=c}while((((g|0)==(b|0)?b:g)|0)!=(b|0));k=e;u=d;return k|0}function EIb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;d=23832;e=a+16|0;g=e;do if((f[d>>2]|0)==(f[g>>2]|0)?(f[d+4>>2]|0)==(f[g+4>>2]|0):0)h=f[5960]|0;else{i=a+4|0;j=f[i>>2]|0;k=j;if(j|0?(f[k>>2]|0)==23832:0){h=k;break}k=f[a>>2]|0;a:do if(k){j=k;while(1){if((f[j>>2]|0)==23832)break;l=f[j+12>>2]|0;if(!l){m=10;break a}else j=l}if(j)n=j;else m=10}else m=10;while(0);if((m|0)==10){k=f[a+24>>2]|0;l=k>>>0>40?k:40;k=di[f[a+40>>2]&1023](l)|0;o=k+12|0;f[o>>2]=24;f[k+16>>2]=l;f[k>>2]=23832;f[k+8>>2]=0;p=a+8|0;f[p>>2]=(f[p>>2]|0)+l;l=f[o>>2]|0;f[o>>2]=l+16;o=k+l|0;f[k+4>>2]=o;f[o>>2]=f[k>>2];f[o+4>>2]=k;f[o+8>>2]=0;k=o+12|0;l=o;do{p=f[a>>2]|0;f[k>>2]=p;q=f[a>>2]|0;if((q|0)==(p|0))f[a>>2]=l}while((((q|0)==(p|0)?p:q)|0)!=(p|0));n=o}l=f[n+4>>2]|0;f[5960]=l;k=e;p=f[k+4>>2]|0;q=23832;f[q>>2]=f[k>>2];f[q+4>>2]=p;f[i>>2]=l;h=l}while(0);e=f[(f[h+4>>2]|0)+8>>2]|0;if(e|0?(n=f[e>>2]|0,(n|0)!=(f[e+4>>2]|0)):0){r=e;s=n;t=s+1|0;f[r>>2]=t;u=r+12+(s<<3)|0;f[u>>2]=b;v=r+12+(s<<3)+4|0;f[v>>2]=c;return}n=CIb(a,e,h)|0;r=n;s=f[n>>2]|0;t=s+1|0;f[r>>2]=t;u=r+12+(s<<3)|0;f[u>>2]=b;v=r+12+(s<<3)+4|0;f[v>>2]=c;return}function FIb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;c=23832;d=a+16|0;e=d;if((f[c>>2]|0)==(f[e>>2]|0)?(f[c+4>>2]|0)==(f[e+4>>2]|0):0){e=f[5960]|0;c=f[e+12>>2]|0;if(((f[e+16>>2]|0)-c|0)>>>0<b>>>0)g=e;else{h=e;i=c;j=h+12|0;k=i+b|0;f[j>>2]=k;l=h+i|0;return l|0}}else g=0;c=a+4|0;e=f[c>>2]|0;m=e;if((e|0)!=0?(f[m>>2]|0)==23832:0){e=f[m+12>>2]|0;if(((f[m+16>>2]|0)-e|0)>>>0<b>>>0){n=m;o=7}else{h=m;i=e;j=h+12|0;k=i+b|0;f[j>>2]=k;l=h+i|0;return l|0}}else if(!g)p=DIb(a,23832,b)|0;else{n=g;o=7}if((o|0)==7)p=f[n+4>>2]|0;n=p+4|0;o=f[n>>2]|0;if(((f[o+16>>2]|0)-(f[o+12>>2]|0)|0)>>>0<b>>>0){g=BIb(a,23832,o,b)|0;f[g+4>>2]=p;f[g+8>>2]=o;f[n>>2]=g;q=g}else q=o;f[5960]=q;o=d;d=f[o+4>>2]|0;g=23832;f[g>>2]=f[o>>2];f[g+4>>2]=d;f[c>>2]=q;h=q;i=f[q+12>>2]|0;j=h+12|0;k=i+b|0;f[j>>2]=k;l=h+i|0;return l|0}function GIb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;d=23832;e=a+16|0;g=e;if((f[d>>2]|0)==(f[g>>2]|0)?(f[d+4>>2]|0)==(f[g+4>>2]|0):0){g=f[5960]|0;d=f[g+12>>2]|0;if(((f[g+16>>2]|0)-d|0)>>>0<b>>>0){h=g;i=3}else{j=g;k=d}}else{h=0;i=3}do if((i|0)==3){d=a+4|0;g=f[d>>2]|0;l=g;if((g|0)!=0?(f[l>>2]|0)==23832:0){g=f[l+12>>2]|0;if(((f[l+16>>2]|0)-g|0)>>>0<b>>>0){m=l;i=7}else{j=l;k=g;break}}else if(!h)n=DIb(a,23832,b)|0;else{m=h;i=7}if((i|0)==7)n=f[m+4>>2]|0;g=n+4|0;l=f[g>>2]|0;if(((f[l+16>>2]|0)-(f[l+12>>2]|0)|0)>>>0<b>>>0){o=BIb(a,23832,l,b)|0;f[o+4>>2]=n;f[o+8>>2]=l;f[g>>2]=o;p=o}else p=l;f[5960]=p;l=e;o=f[l+4>>2]|0;g=23832;f[g>>2]=f[l>>2];f[g+4>>2]=o;f[d>>2]=p;j=p;k=f[p+12>>2]|0}while(0);f[j+12>>2]=k+b;b=j+k|0;k=f[(f[j+4>>2]|0)+8>>2]|0;if(k|0?(p=f[k>>2]|0,(p|0)!=(f[k+4>>2]|0)):0){q=k;r=p;s=r+1|0;f[q>>2]=s;t=q+12+(r<<3)|0;f[t>>2]=b;u=q+12+(r<<3)+4|0;f[u>>2]=c;return b|0}p=CIb(a,k,j)|0;q=p;r=f[p>>2]|0;s=r+1|0;f[q>>2]=s;t=q+12+(r<<3)|0;f[t>>2]=b;u=q+12+(r<<3)+4|0;f[u>>2]=c;return b|0}function HIb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;d=f[a+52>>2]|0;if(!d)return;sh[d&255](b,c,0,f[a+64>>2]|0);return}function IIb(){if((b[542907]|0)>=0)return;fuc(f[135724]|0);return}function JIb(){f[135724]=0;f[135725]=0;f[135726]=0;$Kb(124);return}function KIb(a){a=a|0;var c=0,d=0,e=0;c=(b[a+11>>0]|0)<0;d=f[a>>2]|0;if(a>>>0>(c?d:a)>>>0){if(!c){e=10;return e|0}}else{if(!c){e=0;return e|0}if(d>>>0<(a+12|0)>>>0){e=0;return e|0}}e=(f[a+8>>2]&2147483647)+-1|0;return e|0}function LIb(){var a=0,c=0;a=u;u=u+16|0;c=a;if((f[224966]|0)==2){u=a;return}f[c>>2]=151624;f[c+4>>2]=125;b[c+8>>0]=0;xLb(899864,c);QKb(c);u=a;return}function MIb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0;g=u;u=u+32|0;h=g;i=g+24|0;if((d|0)<=0){u=g;return}j=e+8|0;k=e+4|0;l=0;do{m=c+(l*20|0)|0;o=f[m>>2]|0;q=a+o|0;r=f[c+(l*20|0)+12>>2]|0;a:do switch(r|0){case 0:{s=f[c+(l*20|0)+8>>2]|0;if(1<<(s&31)&f[a+(s>>>5<<2)>>2]|0){s=f[c+(l*20|0)+4>>2]|0;if((f[j>>2]|0)>4){t=f[k>>2]|0;if(s>>>0>127){v=s;w=t;while(1){b[w>>0]=v|128;x=v>>>7;y=w+1|0;if(v>>>0>16383){v=x;w=y}else{z=y;A=x;break}}}else{z=t;A=s}b[z>>0]=A;w=z+1-t|0;f[k>>2]=(f[k>>2]|0)+w;f[j>>2]=(f[j>>2]|0)-w}else VJb(e,s);w=q;UJb(e,f[w>>2]|0,f[w+4>>2]|0)}break}case 20:{if(!(+p[q>>3]==0.0)){w=f[c+(l*20|0)+4>>2]|0;if((f[j>>2]|0)>4){v=f[k>>2]|0;if(w>>>0>127){x=w;y=v;while(1){b[y>>0]=x|128;B=x>>>7;C=y+1|0;if(x>>>0>16383){x=B;y=C}else{D=C;E=B;break}}}else{D=v;E=w}b[D>>0]=E;y=D+1-v|0;f[k>>2]=(f[k>>2]|0)+y;f[j>>2]=(f[j>>2]|0)-y}else VJb(e,w);y=q;UJb(e,f[y>>2]|0,f[y+4>>2]|0)}break}case 40:{if((f[q>>2]|0)>0){y=c+(l*20|0)+4|0;x=q+8|0;s=0;do{t=f[y>>2]|0;if((f[j>>2]|0)>4){B=f[k>>2]|0;if(t>>>0>127){C=t;F=B;while(1){b[F>>0]=C|128;G=C>>>7;H=F+1|0;if(C>>>0>16383){C=G;F=H}else{I=H;J=G;break}}}else{I=B;J=t}b[I>>0]=J;F=I+1-B|0;f[k>>2]=(f[k>>2]|0)+F;f[j>>2]=(f[j>>2]|0)-F}else VJb(e,t);F=(f[x>>2]|0)+8+(s<<3)|0;UJb(e,f[F>>2]|0,f[F+4>>2]|0);s=s+1|0}while((s|0)<(f[q>>2]|0))}break}case 60:{NIb(q,m,e);break}case 80:{s=f[c+(l*20|0)+4>>2]|0;if((f[a+(f[c+(l*20|0)+8>>2]|0)>>2]|0)==(s>>>3|0)){if((f[j>>2]|0)>4){x=f[k>>2]|0;if(s>>>0>127){y=s;w=x;while(1){b[w>>0]=y|128;v=y>>>7;F=w+1|0;if(y>>>0>16383){y=v;w=F}else{K=F;L=v;break}}}else{K=x;L=s}b[K>>0]=L;w=K+1-x|0;f[k>>2]=(f[k>>2]|0)+w;f[j>>2]=(f[j>>2]|0)-w}else VJb(e,s);w=q;UJb(e,f[w>>2]|0,f[w+4>>2]|0)}break}case 1:{w=f[c+(l*20|0)+8>>2]|0;if(1<<(w&31)&f[a+(w>>>5<<2)>>2]|0){w=f[c+(l*20|0)+4>>2]|0;if((f[j>>2]|0)>4){y=f[k>>2]|0;if(w>>>0>127){v=w;F=y;while(1){b[F>>0]=v|128;C=v>>>7;G=F+1|0;if(v>>>0>16383){v=C;F=G}else{M=G;N=C;break}}}else{M=y;N=w}b[M>>0]=N;F=M+1-y|0;f[k>>2]=(f[k>>2]|0)+F;f[j>>2]=(f[j>>2]|0)-F}else VJb(e,w);TJb(e,f[q>>2]|0)}break}case 21:{if(!(+n[q>>2]==0.0)){F=f[c+(l*20|0)+4>>2]|0;if((f[j>>2]|0)>4){v=f[k>>2]|0;if(F>>>0>127){s=F;x=v;while(1){b[x>>0]=s|128;C=s>>>7;G=x+1|0;if(s>>>0>16383){s=C;x=G}else{O=G;P=C;break}}}else{O=v;P=F}b[O>>0]=P;x=O+1-v|0;f[k>>2]=(f[k>>2]|0)+x;f[j>>2]=(f[j>>2]|0)-x}else VJb(e,F);TJb(e,f[q>>2]|0)}break}case 41:{if((f[q>>2]|0)>0){x=c+(l*20|0)+4|0;s=q+8|0;w=0;do{y=f[x>>2]|0;if((f[j>>2]|0)>4){C=f[k>>2]|0;if(y>>>0>127){G=y;H=C;while(1){b[H>>0]=G|128;Q=G>>>7;R=H+1|0;if(G>>>0>16383){G=Q;H=R}else{S=R;T=Q;break}}}else{S=C;T=y}b[S>>0]=T;H=S+1-C|0;f[k>>2]=(f[k>>2]|0)+H;f[j>>2]=(f[j>>2]|0)-H}else VJb(e,y);TJb(e,f[(f[s>>2]|0)+4+(w<<2)>>2]|0);w=w+1|0}while((w|0)<(f[q>>2]|0))}break}case 61:{OIb(q,m,e);break}case 81:{w=f[c+(l*20|0)+4>>2]|0;if((f[a+(f[c+(l*20|0)+8>>2]|0)>>2]|0)==(w>>>3|0)){if((f[j>>2]|0)>4){s=f[k>>2]|0;if(w>>>0>127){x=w;F=s;while(1){b[F>>0]=x|128;v=x>>>7;H=F+1|0;if(x>>>0>16383){x=v;F=H}else{U=H;V=v;break}}}else{U=s;V=w}b[U>>0]=V;F=U+1-s|0;f[k>>2]=(f[k>>2]|0)+F;f[j>>2]=(f[j>>2]|0)-F}else VJb(e,w);TJb(e,f[q>>2]|0)}break}case 2:{F=f[c+(l*20|0)+8>>2]|0;if(1<<(F&31)&f[a+(F>>>5<<2)>>2]|0)PIb(q,m,e);break}case 22:{F=q;if(!((f[F>>2]|0)==0&(f[F+4>>2]|0)==0))PIb(q,m,e);break}case 42:{QIb(q,m,e);break}case 62:{RIb(q,m,e);break}case 82:{if((f[a+(f[c+(l*20|0)+8>>2]|0)>>2]|0)==((f[c+(l*20|0)+4>>2]|0)>>>3|0))PIb(q,m,e);break}case 3:{F=f[c+(l*20|0)+8>>2]|0;if(1<<(F&31)&f[a+(F>>>5<<2)>>2]|0)SIb(q,m,e);break}case 23:{F=q;if(!((f[F>>2]|0)==0&(f[F+4>>2]|0)==0))SIb(q,m,e);break}case 43:{TIb(q,m,e);break}case 63:{UIb(q,m,e);break}case 83:{if((f[a+(f[c+(l*20|0)+8>>2]|0)>>2]|0)==((f[c+(l*20|0)+4>>2]|0)>>>3|0))SIb(q,m,e);break}case 4:{F=f[c+(l*20|0)+8>>2]|0;if(1<<(F&31)&f[a+(F>>>5<<2)>>2]|0)VIb(q,m,e);break}case 24:{if(f[q>>2]|0)VIb(q,m,e);break}case 44:{WIb(q,m,e);break}case 64:{XIb(q,m,e);break}case 84:{if((f[a+(f[c+(l*20|0)+8>>2]|0)>>2]|0)==((f[c+(l*20|0)+4>>2]|0)>>>3|0))VIb(q,m,e);break}case 5:{F=f[c+(l*20|0)+8>>2]|0;if(1<<(F&31)&f[a+(F>>>5<<2)>>2]|0){F=f[c+(l*20|0)+4>>2]|0;if((f[j>>2]|0)>4){x=f[k>>2]|0;if(F>>>0>127){v=F;H=x;while(1){b[H>>0]=v|128;G=v>>>7;t=H+1|0;if(v>>>0>16383){v=G;H=t}else{W=t;X=G;break}}}else{W=x;X=F}b[W>>0]=X;H=W+1-x|0;f[k>>2]=(f[k>>2]|0)+H;f[j>>2]=(f[j>>2]|0)-H}else VJb(e,F);H=q;UJb(e,f[H>>2]|0,f[H+4>>2]|0)}break}case 25:{H=q;if(!((f[H>>2]|0)==0&(f[H+4>>2]|0)==0)){H=f[c+(l*20|0)+4>>2]|0;if((f[j>>2]|0)>4){v=f[k>>2]|0;if(H>>>0>127){w=H;s=v;while(1){b[s>>0]=w|128;G=w>>>7;t=s+1|0;if(w>>>0>16383){w=G;s=t}else{Y=t;Z=G;break}}}else{Y=v;Z=H}b[Y>>0]=Z;s=Y+1-v|0;f[k>>2]=(f[k>>2]|0)+s;f[j>>2]=(f[j>>2]|0)-s}else VJb(e,H);s=q;UJb(e,f[s>>2]|0,f[s+4>>2]|0)}break}case 45:{if((f[q>>2]|0)>0){s=c+(l*20|0)+4|0;w=q+8|0;F=0;do{x=f[s>>2]|0;if((f[j>>2]|0)>4){G=f[k>>2]|0;if(x>>>0>127){t=x;B=G;while(1){b[B>>0]=t|128;Q=t>>>7;R=B+1|0;if(t>>>0>16383){t=Q;B=R}else{_=R;$=Q;break}}}else{_=G;$=x}b[_>>0]=$;B=_+1-G|0;f[k>>2]=(f[k>>2]|0)+B;f[j>>2]=(f[j>>2]|0)-B}else VJb(e,x);B=(f[w>>2]|0)+8+(F<<3)|0;UJb(e,f[B>>2]|0,f[B+4>>2]|0);F=F+1|0}while((F|0)<(f[q>>2]|0))}break}case 65:{YIb(q,m,e);break}case 85:{F=f[c+(l*20|0)+4>>2]|0;if((f[a+(f[c+(l*20|0)+8>>2]|0)>>2]|0)==(F>>>3|0)){if((f[j>>2]|0)>4){w=f[k>>2]|0;if(F>>>0>127){s=F;H=w;while(1){b[H>>0]=s|128;v=s>>>7;B=H+1|0;if(s>>>0>16383){s=v;H=B}else{aa=B;ba=v;break}}}else{aa=w;ba=F}b[aa>>0]=ba;H=aa+1-w|0;f[k>>2]=(f[k>>2]|0)+H;f[j>>2]=(f[j>>2]|0)-H}else VJb(e,F);H=q;UJb(e,f[H>>2]|0,f[H+4>>2]|0)}break}case 6:{H=f[c+(l*20|0)+8>>2]|0;if(1<<(H&31)&f[a+(H>>>5<<2)>>2]|0){H=f[c+(l*20|0)+4>>2]|0;if((f[j>>2]|0)>4){s=f[k>>2]|0;if(H>>>0>127){v=H;B=s;while(1){b[B>>0]=v|128;t=v>>>7;y=B+1|0;if(v>>>0>16383){v=t;B=y}else{ca=y;da=t;break}}}else{ca=s;da=H}b[ca>>0]=da;B=ca+1-s|0;f[k>>2]=(f[k>>2]|0)+B;f[j>>2]=(f[j>>2]|0)-B}else VJb(e,H);TJb(e,f[q>>2]|0)}break}case 26:{if(f[q>>2]|0){B=f[c+(l*20|0)+4>>2]|0;if((f[j>>2]|0)>4){v=f[k>>2]|0;if(B>>>0>127){F=B;w=v;while(1){b[w>>0]=F|128;t=F>>>7;y=w+1|0;if(F>>>0>16383){F=t;w=y}else{ea=y;fa=t;break}}}else{ea=v;fa=B}b[ea>>0]=fa;w=ea+1-v|0;f[k>>2]=(f[k>>2]|0)+w;f[j>>2]=(f[j>>2]|0)-w}else VJb(e,B);TJb(e,f[q>>2]|0)}break}case 46:{if((f[q>>2]|0)>0){w=c+(l*20|0)+4|0;F=q+8|0;H=0;do{s=f[w>>2]|0;if((f[j>>2]|0)>4){t=f[k>>2]|0;if(s>>>0>127){y=s;C=t;while(1){b[C>>0]=y|128;Q=y>>>7;R=C+1|0;if(y>>>0>16383){y=Q;C=R}else{ga=R;ha=Q;break}}}else{ga=t;ha=s}b[ga>>0]=ha;C=ga+1-t|0;f[k>>2]=(f[k>>2]|0)+C;f[j>>2]=(f[j>>2]|0)-C}else VJb(e,s);TJb(e,f[(f[F>>2]|0)+4+(H<<2)>>2]|0);H=H+1|0}while((H|0)<(f[q>>2]|0))}break}case 66:{ZIb(q,m,e);break}case 86:{H=f[c+(l*20|0)+4>>2]|0;if((f[a+(f[c+(l*20|0)+8>>2]|0)>>2]|0)==(H>>>3|0)){if((f[j>>2]|0)>4){F=f[k>>2]|0;if(H>>>0>127){w=H;B=F;while(1){b[B>>0]=w|128;v=w>>>7;C=B+1|0;if(w>>>0>16383){w=v;B=C}else{ia=C;ja=v;break}}}else{ia=F;ja=H}b[ia>>0]=ja;B=ia+1-F|0;f[k>>2]=(f[k>>2]|0)+B;f[j>>2]=(f[j>>2]|0)-B}else VJb(e,H);TJb(e,f[q>>2]|0)}break}case 7:{B=f[c+(l*20|0)+8>>2]|0;if(1<<(B&31)&f[a+(B>>>5<<2)>>2]|0){B=f[c+(l*20|0)+4>>2]|0;if((f[j>>2]|0)>4){w=f[k>>2]|0;if(B>>>0>127){v=B;C=w;while(1){b[C>>0]=v|128;y=v>>>7;x=C+1|0;if(v>>>0>16383){v=y;C=x}else{ka=x;la=y;break}}}else{ka=w;la=B}b[ka>>0]=la;C=ka+1-w|0;f[k>>2]=(f[k>>2]|0)+C;v=(f[j>>2]|0)-C|0;f[j>>2]=v;ma=v}else{VJb(e,B);ma=f[j>>2]|0}v=b[q>>0]|0;if((ma|0)>4){b[f[k>>2]>>0]=v;f[k>>2]=(f[k>>2]|0)+1;f[j>>2]=(f[j>>2]|0)+-1;break a}else{VJb(e,v&255);break a}}break}case 27:{if(b[q>>0]|0){v=f[c+(l*20|0)+4>>2]|0;if((f[j>>2]|0)>4){C=f[k>>2]|0;if(v>>>0>127){H=v;F=C;while(1){b[F>>0]=H|128;y=H>>>7;x=F+1|0;if(H>>>0>16383){H=y;F=x}else{na=x;oa=y;break}}}else{na=C;oa=v}b[na>>0]=oa;F=na+1-C|0;f[k>>2]=(f[k>>2]|0)+F;H=(f[j>>2]|0)-F|0;f[j>>2]=H;pa=H}else{VJb(e,v);pa=f[j>>2]|0}H=b[q>>0]|0;if((pa|0)>4){b[f[k>>2]>>0]=H;f[k>>2]=(f[k>>2]|0)+1;f[j>>2]=(f[j>>2]|0)+-1;break a}else{VJb(e,H&255);break a}}break}case 47:{_Ib(q,m,e);break}case 67:{$Ib(q,m,e);break}case 87:{H=f[c+(l*20|0)+4>>2]|0;if((f[a+(f[c+(l*20|0)+8>>2]|0)>>2]|0)==(H>>>3|0)){if((f[j>>2]|0)>4){F=f[k>>2]|0;if(H>>>0>127){B=H;w=F;while(1){b[w>>0]=B|128;y=B>>>7;x=w+1|0;if(B>>>0>16383){B=y;w=x}else{qa=x;ra=y;break}}}else{qa=F;ra=H}b[qa>>0]=ra;w=qa+1-F|0;f[k>>2]=(f[k>>2]|0)+w;B=(f[j>>2]|0)-w|0;f[j>>2]=B;sa=B}else{VJb(e,H);sa=f[j>>2]|0}B=b[q>>0]|0;if((sa|0)>4){b[f[k>>2]>>0]=B;f[k>>2]=(f[k>>2]|0)+1;f[j>>2]=(f[j>>2]|0)+-1;break a}else{VJb(e,B&255);break a}}break}case 8:{B=f[c+(l*20|0)+8>>2]|0;if(1<<(B&31)&f[a+(B>>>5<<2)>>2]|0){B=f[c+(l*20|0)+4>>2]|0;if((f[j>>2]|0)>4){w=f[k>>2]|0;if(B>>>0>127){v=B;C=w;while(1){b[C>>0]=v|128;y=v>>>7;x=C+1|0;if(v>>>0>16383){v=y;C=x}else{ta=x;ua=y;break}}}else{ta=w;ua=B}b[ta>>0]=ua;C=ta+1-w|0;f[k>>2]=(f[k>>2]|0)+C;f[j>>2]=(f[j>>2]|0)-C}else VJb(e,B);aJb(f[q>>2]|0,e)}break}case 28:{C=f[q>>2]|0;v=b[C+11>>0]|0;if(v<<24>>24<0)va=f[C+4>>2]|0;else va=v&255;if(va|0){v=f[c+(l*20|0)+4>>2]|0;if((f[j>>2]|0)>4){C=f[k>>2]|0;if(v>>>0>127){H=v;F=C;while(1){b[F>>0]=H|128;y=H>>>7;x=F+1|0;if(H>>>0>16383){H=y;F=x}else{wa=x;xa=y;break}}}else{wa=C;xa=v}b[wa>>0]=xa;F=wa+1-C|0;f[k>>2]=(f[k>>2]|0)+F;f[j>>2]=(f[j>>2]|0)-F}else VJb(e,v);aJb(f[q>>2]|0,e)}break}case 48:{F=q+4|0;if((f[F>>2]|0)>0){H=c+(l*20|0)+4|0;B=q+12|0;w=0;do{y=f[H>>2]|0;if((f[j>>2]|0)>4){x=f[k>>2]|0;if(y>>>0>127){G=y;Q=x;while(1){b[Q>>0]=G|128;R=G>>>7;ya=Q+1|0;if(G>>>0>16383){G=R;Q=ya}else{za=ya;Aa=R;break}}}else{za=x;Aa=y}b[za>>0]=Aa;Q=za+1-x|0;f[k>>2]=(f[k>>2]|0)+Q;f[j>>2]=(f[j>>2]|0)-Q}else VJb(e,y);Q=f[B>>2]|0;aJb(f[((Q|0)==0?0:Q+4|0)+(w<<2)>>2]|0,e);w=w+1|0}while((w|0)<(f[F>>2]|0))}break}case 68:{bJb(q,m,e);break}case 88:{F=f[c+(l*20|0)+4>>2]|0;if((f[a+(f[c+(l*20|0)+8>>2]|0)>>2]|0)==(F>>>3|0)){if((f[j>>2]|0)>4){w=f[k>>2]|0;if(F>>>0>127){B=F;H=w;while(1){b[H>>0]=B|128;v=B>>>7;C=H+1|0;if(B>>>0>16383){B=v;H=C}else{Ba=C;Ca=v;break}}}else{Ba=w;Ca=F}b[Ba>>0]=Ca;H=Ba+1-w|0;f[k>>2]=(f[k>>2]|0)+H;f[j>>2]=(f[j>>2]|0)-H}else VJb(e,F);aJb(f[q>>2]|0,e)}break}case 9:{H=f[c+(l*20|0)+8>>2]|0;if(1<<(H&31)&f[a+(H>>>5<<2)>>2]|0)cJb(q,m,e);break}case 29:{if(f[q>>2]|0)cJb(q,m,e);break}case 49:{dJb(q,m,e);break}case 69:{bJb(q,m,e);break}case 89:{if((f[a+(f[c+(l*20|0)+8>>2]|0)>>2]|0)==((f[c+(l*20|0)+4>>2]|0)>>>3|0))cJb(q,m,e);break}case 10:{H=f[c+(l*20|0)+8>>2]|0;if(1<<(H&31)&f[a+(H>>>5<<2)>>2]|0){H=f[c+(l*20|0)+4>>2]|0;if((f[j>>2]|0)>4){B=f[k>>2]|0;if(H>>>0>127){v=H;C=B;while(1){b[C>>0]=v|128;Q=v>>>7;G=C+1|0;if(v>>>0>16383){v=Q;C=G}else{Da=G;Ea=Q;break}}}else{Da=B;Ea=H}b[Da>>0]=Ea;C=Da+1-B|0;f[k>>2]=(f[k>>2]|0)+C;f[j>>2]=(f[j>>2]|0)-C}else VJb(e,H);eJb(f[q>>2]|0,f[c+(l*20|0)+16>>2]|0,e)}break}case 30:{if(f[q>>2]|0){C=f[c+(l*20|0)+4>>2]|0;if((f[j>>2]|0)>4){v=f[k>>2]|0;if(C>>>0>127){F=C;w=v;while(1){b[w>>0]=F|128;Q=F>>>7;G=w+1|0;if(F>>>0>16383){F=Q;w=G}else{Fa=G;Ga=Q;break}}}else{Fa=v;Ga=C}b[Fa>>0]=Ga;w=Fa+1-v|0;f[k>>2]=(f[k>>2]|0)+w;f[j>>2]=(f[j>>2]|0)-w}else VJb(e,C);eJb(f[q>>2]|0,f[c+(l*20|0)+16>>2]|0,e)}break}case 50:{w=q+4|0;if((f[w>>2]|0)>0){F=c+(l*20|0)+4|0;H=q+12|0;B=c+(l*20|0)+16|0;Q=0;do{G=f[F>>2]|0;if((f[j>>2]|0)>4){s=f[k>>2]|0;if(G>>>0>127){t=G;R=s;while(1){b[R>>0]=t|128;ya=t>>>7;Ha=R+1|0;if(t>>>0>16383){t=ya;R=Ha}else{Ia=Ha;Ja=ya;break}}}else{Ia=s;Ja=G}b[Ia>>0]=Ja;R=Ia+1-s|0;f[k>>2]=(f[k>>2]|0)+R;f[j>>2]=(f[j>>2]|0)-R}else VJb(e,G);R=f[H>>2]|0;eJb(f[((R|0)==0?0:R+4|0)+(Q<<2)>>2]|0,f[B>>2]|0,e);Q=Q+1|0}while((Q|0)<(f[w>>2]|0))}break}case 70:{bJb(q,m,e);break}case 90:{w=f[c+(l*20|0)+4>>2]|0;if((f[a+(f[c+(l*20|0)+8>>2]|0)>>2]|0)==(w>>>3|0)){if((f[j>>2]|0)>4){Q=f[k>>2]|0;if(w>>>0>127){B=w;H=Q;while(1){b[H>>0]=B|128;F=B>>>7;C=H+1|0;if(B>>>0>16383){B=F;H=C}else{Ka=C;La=F;break}}}else{Ka=Q;La=w}b[Ka>>0]=La;H=Ka+1-Q|0;f[k>>2]=(f[k>>2]|0)+H;f[j>>2]=(f[j>>2]|0)-H}else VJb(e,w);eJb(f[q>>2]|0,f[c+(l*20|0)+16>>2]|0,e)}break}case 11:{H=f[c+(l*20|0)+8>>2]|0;if(1<<(H&31)&f[a+(H>>>5<<2)>>2]|0){H=f[c+(l*20|0)+4>>2]|0;if((f[j>>2]|0)>4){B=f[k>>2]|0;if(H>>>0>127){F=H;C=B;while(1){b[C>>0]=F|128;v=F>>>7;R=C+1|0;if(F>>>0>16383){F=v;C=R}else{Ma=R;Na=v;break}}}else{Ma=B;Na=H}b[Ma>>0]=Na;C=Ma+1-B|0;f[k>>2]=(f[k>>2]|0)+C;f[j>>2]=(f[j>>2]|0)-C}else VJb(e,H);aJb(f[q>>2]|0,e)}break}case 31:{C=f[q>>2]|0;F=b[C+11>>0]|0;if(F<<24>>24<0)Oa=f[C+4>>2]|0;else Oa=F&255;if(Oa|0){F=f[c+(l*20|0)+4>>2]|0;if((f[j>>2]|0)>4){C=f[k>>2]|0;if(F>>>0>127){w=F;Q=C;while(1){b[Q>>0]=w|128;v=w>>>7;R=Q+1|0;if(w>>>0>16383){w=v;Q=R}else{Pa=R;Qa=v;break}}}else{Pa=C;Qa=F}b[Pa>>0]=Qa;Q=Pa+1-C|0;f[k>>2]=(f[k>>2]|0)+Q;f[j>>2]=(f[j>>2]|0)-Q}else VJb(e,F);aJb(f[q>>2]|0,e)}break}case 51:{Q=q+4|0;if((f[Q>>2]|0)>0){w=c+(l*20|0)+4|0;H=q+12|0;B=0;do{v=f[w>>2]|0;if((f[j>>2]|0)>4){R=f[k>>2]|0;if(v>>>0>127){t=v;y=R;while(1){b[y>>0]=t|128;x=t>>>7;ya=y+1|0;if(t>>>0>16383){t=x;y=ya}else{Ra=ya;Sa=x;break}}}else{Ra=R;Sa=v}b[Ra>>0]=Sa;y=Ra+1-R|0;f[k>>2]=(f[k>>2]|0)+y;f[j>>2]=(f[j>>2]|0)-y}else VJb(e,v);y=f[H>>2]|0;aJb(f[((y|0)==0?0:y+4|0)+(B<<2)>>2]|0,e);B=B+1|0}while((B|0)<(f[Q>>2]|0))}break}case 71:{bJb(q,m,e);break}case 91:{Q=f[c+(l*20|0)+4>>2]|0;if((f[a+(f[c+(l*20|0)+8>>2]|0)>>2]|0)==(Q>>>3|0)){if((f[j>>2]|0)>4){B=f[k>>2]|0;if(Q>>>0>127){H=Q;w=B;while(1){b[w>>0]=H|128;F=H>>>7;C=w+1|0;if(H>>>0>16383){H=F;w=C}else{Ta=C;Ua=F;break}}}else{Ta=B;Ua=Q}b[Ta>>0]=Ua;w=Ta+1-B|0;f[k>>2]=(f[k>>2]|0)+w;f[j>>2]=(f[j>>2]|0)-w}else VJb(e,Q);aJb(f[q>>2]|0,e)}break}case 12:{w=f[c+(l*20|0)+8>>2]|0;if(1<<(w&31)&f[a+(w>>>5<<2)>>2]|0)fJb(q,m,e);break}case 32:{if(f[q>>2]|0)fJb(q,m,e);break}case 52:{gJb(q,m,e);break}case 72:{hJb(q,m,e);break}case 92:{if((f[a+(f[c+(l*20|0)+8>>2]|0)>>2]|0)==((f[c+(l*20|0)+4>>2]|0)>>>3|0))fJb(q,m,e);break}case 13:{w=f[c+(l*20|0)+8>>2]|0;if(1<<(w&31)&f[a+(w>>>5<<2)>>2]|0)iJb(q,m,e);break}case 33:{if(f[q>>2]|0)iJb(q,m,e);break}case 53:{jJb(q,m,e);break}case 73:{kJb(q,m,e);break}case 93:{if((f[a+(f[c+(l*20|0)+8>>2]|0)>>2]|0)==((f[c+(l*20|0)+4>>2]|0)>>>3|0))iJb(q,m,e);break}case 14:{w=f[c+(l*20|0)+8>>2]|0;if(1<<(w&31)&f[a+(w>>>5<<2)>>2]|0){w=f[c+(l*20|0)+4>>2]|0;if((f[j>>2]|0)>4){H=f[k>>2]|0;if(w>>>0>127){F=w;C=H;while(1){b[C>>0]=F|128;y=F>>>7;t=C+1|0;if(F>>>0>16383){F=y;C=t}else{Va=t;Wa=y;break}}}else{Va=H;Wa=w}b[Va>>0]=Wa;C=Va+1-H|0;f[k>>2]=(f[k>>2]|0)+C;f[j>>2]=(f[j>>2]|0)-C}else VJb(e,w);TJb(e,f[q>>2]|0)}break}case 34:{if(f[q>>2]|0){C=f[c+(l*20|0)+4>>2]|0;if((f[j>>2]|0)>4){F=f[k>>2]|0;if(C>>>0>127){Q=C;B=F;while(1){b[B>>0]=Q|128;y=Q>>>7;t=B+1|0;if(Q>>>0>16383){Q=y;B=t}else{Xa=t;Ya=y;break}}}else{Xa=F;Ya=C}b[Xa>>0]=Ya;B=Xa+1-F|0;f[k>>2]=(f[k>>2]|0)+B;f[j>>2]=(f[j>>2]|0)-B}else VJb(e,C);TJb(e,f[q>>2]|0)}break}case 54:{if((f[q>>2]|0)>0){B=c+(l*20|0)+4|0;Q=q+8|0;w=0;do{H=f[B>>2]|0;if((f[j>>2]|0)>4){y=f[k>>2]|0;if(H>>>0>127){t=H;G=y;while(1){b[G>>0]=t|128;s=t>>>7;x=G+1|0;if(t>>>0>16383){t=s;G=x}else{Za=x;_a=s;break}}}else{Za=y;_a=H}b[Za>>0]=_a;G=Za+1-y|0;f[k>>2]=(f[k>>2]|0)+G;f[j>>2]=(f[j>>2]|0)-G}else VJb(e,H);TJb(e,f[(f[Q>>2]|0)+4+(w<<2)>>2]|0);w=w+1|0}while((w|0)<(f[q>>2]|0))}break}case 74:{lJb(q,m,e);break}case 94:{w=f[c+(l*20|0)+4>>2]|0;if((f[a+(f[c+(l*20|0)+8>>2]|0)>>2]|0)==(w>>>3|0)){if((f[j>>2]|0)>4){Q=f[k>>2]|0;if(w>>>0>127){B=w;C=Q;while(1){b[C>>0]=B|128;F=B>>>7;G=C+1|0;if(B>>>0>16383){B=F;C=G}else{$a=G;ab=F;break}}}else{$a=Q;ab=w}b[$a>>0]=ab;C=$a+1-Q|0;f[k>>2]=(f[k>>2]|0)+C;f[j>>2]=(f[j>>2]|0)-C}else VJb(e,w);TJb(e,f[q>>2]|0)}break}case 15:{C=f[c+(l*20|0)+8>>2]|0;if(1<<(C&31)&f[a+(C>>>5<<2)>>2]|0){C=f[c+(l*20|0)+4>>2]|0;if((f[j>>2]|0)>4){B=f[k>>2]|0;if(C>>>0>127){F=C;G=B;while(1){b[G>>0]=F|128;t=F>>>7;v=G+1|0;if(F>>>0>16383){F=t;G=v}else{bb=v;cb=t;break}}}else{bb=B;cb=C}b[bb>>0]=cb;G=bb+1-B|0;f[k>>2]=(f[k>>2]|0)+G;f[j>>2]=(f[j>>2]|0)-G}else VJb(e,C);G=q;UJb(e,f[G>>2]|0,f[G+4>>2]|0)}break}case 35:{G=q;if(!((f[G>>2]|0)==0&(f[G+4>>2]|0)==0)){G=f[c+(l*20|0)+4>>2]|0;if((f[j>>2]|0)>4){F=f[k>>2]|0;if(G>>>0>127){w=G;Q=F;while(1){b[Q>>0]=w|128;t=w>>>7;v=Q+1|0;if(w>>>0>16383){w=t;Q=v}else{db=v;eb=t;break}}}else{db=F;eb=G}b[db>>0]=eb;Q=db+1-F|0;f[k>>2]=(f[k>>2]|0)+Q;f[j>>2]=(f[j>>2]|0)-Q}else VJb(e,G);Q=q;UJb(e,f[Q>>2]|0,f[Q+4>>2]|0)}break}case 55:{if((f[q>>2]|0)>0){Q=c+(l*20|0)+4|0;w=q+8|0;C=0;do{B=f[Q>>2]|0;if((f[j>>2]|0)>4){t=f[k>>2]|0;if(B>>>0>127){v=B;R=t;while(1){b[R>>0]=v|128;s=v>>>7;x=R+1|0;if(v>>>0>16383){v=s;R=x}else{fb=x;gb=s;break}}}else{fb=t;gb=B}b[fb>>0]=gb;R=fb+1-t|0;f[k>>2]=(f[k>>2]|0)+R;f[j>>2]=(f[j>>2]|0)-R}else VJb(e,B);R=(f[w>>2]|0)+8+(C<<3)|0;UJb(e,f[R>>2]|0,f[R+4>>2]|0);C=C+1|0}while((C|0)<(f[q>>2]|0))}break}case 75:{mJb(q,m,e);break}case 95:{C=f[c+(l*20|0)+4>>2]|0;if((f[a+(f[c+(l*20|0)+8>>2]|0)>>2]|0)==(C>>>3|0)){if((f[j>>2]|0)>4){w=f[k>>2]|0;if(C>>>0>127){Q=C;G=w;while(1){b[G>>0]=Q|128;F=Q>>>7;R=G+1|0;if(Q>>>0>16383){Q=F;G=R}else{hb=R;ib=F;break}}}else{hb=w;ib=C}b[hb>>0]=ib;G=hb+1-w|0;f[k>>2]=(f[k>>2]|0)+G;f[j>>2]=(f[j>>2]|0)-G}else VJb(e,C);G=q;UJb(e,f[G>>2]|0,f[G+4>>2]|0)}break}case 16:{G=f[c+(l*20|0)+8>>2]|0;if(1<<(G&31)&f[a+(G>>>5<<2)>>2]|0)nJb(q,m,e);break}case 36:{if(f[q>>2]|0)nJb(q,m,e);break}case 56:{oJb(q,m,e);break}case 76:{pJb(q,m,e);break}case 96:{if((f[a+(f[c+(l*20|0)+8>>2]|0)>>2]|0)==((f[c+(l*20|0)+4>>2]|0)>>>3|0))nJb(q,m,e);break}case 17:{G=f[c+(l*20|0)+8>>2]|0;if(1<<(G&31)&f[a+(G>>>5<<2)>>2]|0)qJb(q,m,e);break}case 37:{G=q;if(!((f[G>>2]|0)==0&(f[G+4>>2]|0)==0))qJb(q,m,e);break}case 57:{rJb(q,m,e);break}case 77:{sJb(q,m,e);break}case 97:{if((f[a+(f[c+(l*20|0)+8>>2]|0)>>2]|0)==((f[c+(l*20|0)+4>>2]|0)>>>3|0))qJb(q,m,e);break}case 100:{th[f[c+(l*20|0)+16>>2]&255](a,o,f[c+(l*20|0)+4>>2]|0,f[c+(l*20|0)+8>>2]|0,e);break}default:{iLb(h,3,486969,537);fLb(i,gLb(dLb(h,487073)|0,r)|0);jLb(h)}}while(0);l=l+1|0}while((l|0)<(d|0));u=g;return}function NIb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;if(!(f[a>>2]|0))return;e=f[c+4>>2]|0;c=d+8|0;if((f[c>>2]|0)>4){g=d+4|0;h=f[g>>2]|0;if(e>>>0>127){i=e;j=h;while(1){b[j>>0]=i|128;k=i>>>7;l=j+1|0;if(i>>>0>16383){i=k;j=l}else{m=l;n=k;break}}}else{m=h;n=e}b[m>>0]=n;n=m+1-h|0;f[g>>2]=(f[g>>2]|0)+n;g=(f[c>>2]|0)-n|0;f[c>>2]=g;o=g}else{VJb(d,e);o=f[c>>2]|0}e=f[a+12>>2]|0;if((o|0)>4){o=d+4|0;g=f[o>>2]|0;if(e>>>0>127){n=e;h=g;while(1){b[h>>0]=n|128;m=n>>>7;j=h+1|0;if(n>>>0>16383){n=m;h=j}else{p=j;q=m;break}}}else{p=g;q=e}b[p>>0]=q;q=p+1-g|0;f[o>>2]=(f[o>>2]|0)+q;f[c>>2]=(f[c>>2]|0)-q}else VJb(d,e);if((f[a>>2]|0)<=0)return;e=a+8|0;q=0;do{c=(f[e>>2]|0)+8+(q<<3)|0;UJb(d,f[c>>2]|0,f[c+4>>2]|0);q=q+1|0}while((q|0)<(f[a>>2]|0));return}function OIb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;if(!(f[a>>2]|0))return;e=f[c+4>>2]|0;c=d+8|0;if((f[c>>2]|0)>4){g=d+4|0;h=f[g>>2]|0;if(e>>>0>127){i=e;j=h;while(1){b[j>>0]=i|128;k=i>>>7;l=j+1|0;if(i>>>0>16383){i=k;j=l}else{m=l;n=k;break}}}else{m=h;n=e}b[m>>0]=n;n=m+1-h|0;f[g>>2]=(f[g>>2]|0)+n;g=(f[c>>2]|0)-n|0;f[c>>2]=g;o=g}else{VJb(d,e);o=f[c>>2]|0}e=f[a+12>>2]|0;if((o|0)>4){o=d+4|0;g=f[o>>2]|0;if(e>>>0>127){n=e;h=g;while(1){b[h>>0]=n|128;m=n>>>7;j=h+1|0;if(n>>>0>16383){n=m;h=j}else{p=j;q=m;break}}}else{p=g;q=e}b[p>>0]=q;q=p+1-g|0;f[o>>2]=(f[o>>2]|0)+q;f[c>>2]=(f[c>>2]|0)-q}else VJb(d,e);if((f[a>>2]|0)<=0)return;e=a+8|0;q=0;do{TJb(d,f[(f[e>>2]|0)+4+(q<<2)>>2]|0);q=q+1|0}while((q|0)<(f[a>>2]|0));return}function PIb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=f[c+4>>2]|0;c=d+8|0;if((f[c>>2]|0)>4){g=d+4|0;h=f[g>>2]|0;if(e>>>0>127){i=e;j=h;while(1){b[j>>0]=i|128;k=i>>>7;l=j+1|0;if(i>>>0>16383){i=k;j=l}else{m=l;n=k;break}}}else{m=h;n=e}b[m>>0]=n;n=m+1-h|0;f[g>>2]=(f[g>>2]|0)+n;g=(f[c>>2]|0)-n|0;f[c>>2]=g;o=g}else{VJb(d,e);o=f[c>>2]|0}e=a;a=f[e>>2]|0;g=f[e+4>>2]|0;if((o|0)<=9){WJb(d,a,g);return}o=d+4|0;d=f[o>>2]|0;e=a&255;if(g>>>0>0|(g|0)==0&a>>>0>127){n=d;h=e;m=a;a=g;while(1){b[n>>0]=h|-128;g=m;m=pzc(m|0,a|0,7)|0;j=n+1|0;i=m&255;if(!(a>>>0>0|(a|0)==0&g>>>0>16383)){p=j;q=i;break}else{n=j;h=i;a=J}}}else{p=d;q=e}b[p>>0]=q;q=p+1-d|0;f[o>>2]=(f[o>>2]|0)+q;f[c>>2]=(f[c>>2]|0)-q;return}function QIb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;if((f[a>>2]|0)<=0)return;e=c+4|0;c=d+8|0;g=d+4|0;h=a+8|0;i=0;do{j=f[e>>2]|0;if((f[c>>2]|0)>4){k=f[g>>2]|0;if(j>>>0>127){l=j;m=k;while(1){b[m>>0]=l|128;n=l>>>7;o=m+1|0;if(l>>>0>16383){l=n;m=o}else{p=o;q=n;break}}}else{p=k;q=j}b[p>>0]=q;m=p+1-k|0;f[g>>2]=(f[g>>2]|0)+m;l=(f[c>>2]|0)-m|0;f[c>>2]=l;r=l}else{VJb(d,j);r=f[c>>2]|0}l=(f[h>>2]|0)+8+(i<<3)|0;m=f[l>>2]|0;n=f[l+4>>2]|0;if((r|0)>9){l=f[g>>2]|0;o=m&255;if(n>>>0>0|(n|0)==0&m>>>0>127){s=l;t=o;u=m;v=n;while(1){b[s>>0]=t|-128;w=u;u=pzc(u|0,v|0,7)|0;x=s+1|0;y=u&255;if(!(v>>>0>0|(v|0)==0&w>>>0>16383)){z=x;A=y;break}else{s=x;t=y;v=J}}}else{z=l;A=o}b[z>>0]=A;v=z+1-l|0;f[g>>2]=(f[g>>2]|0)+v;f[c>>2]=(f[c>>2]|0)-v}else WJb(d,m,n);i=i+1|0}while((i|0)<(f[a>>2]|0));return}function RIb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;if(!(f[a>>2]|0))return;e=f[c+4>>2]|0;c=d+8|0;if((f[c>>2]|0)>4){g=d+4|0;h=f[g>>2]|0;if(e>>>0>127){i=e;j=h;while(1){b[j>>0]=i|128;k=i>>>7;l=j+1|0;if(i>>>0>16383){i=k;j=l}else{m=l;n=k;break}}}else{m=h;n=e}b[m>>0]=n;n=m+1-h|0;f[g>>2]=(f[g>>2]|0)+n;g=(f[c>>2]|0)-n|0;f[c>>2]=g;o=g}else{VJb(d,e);o=f[c>>2]|0}e=f[a+12>>2]|0;if((o|0)>4){o=d+4|0;g=f[o>>2]|0;if(e>>>0>127){n=e;h=g;while(1){b[h>>0]=n|128;m=n>>>7;j=h+1|0;if(n>>>0>16383){n=m;h=j}else{p=j;q=m;break}}}else{p=g;q=e}b[p>>0]=q;q=p+1-g|0;f[o>>2]=(f[o>>2]|0)+q;f[c>>2]=(f[c>>2]|0)-q}else VJb(d,e);if((f[a>>2]|0)<=0)return;e=a+8|0;q=d+4|0;o=0;do{g=(f[e>>2]|0)+8+(o<<3)|0;p=f[g>>2]|0;h=f[g+4>>2]|0;if((f[c>>2]|0)>9){g=f[q>>2]|0;n=p&255;if(h>>>0>0|(h|0)==0&p>>>0>127){m=g;j=n;i=p;k=h;while(1){b[m>>0]=j|-128;l=i;i=pzc(i|0,k|0,7)|0;r=m+1|0;s=i&255;if(!(k>>>0>0|(k|0)==0&l>>>0>16383)){t=r;u=s;break}else{m=r;j=s;k=J}}}else{t=g;u=n}b[t>>0]=u;k=t+1-g|0;f[q>>2]=(f[q>>2]|0)+k;f[c>>2]=(f[c>>2]|0)-k}else WJb(d,p,h);o=o+1|0}while((o|0)<(f[a>>2]|0));return}function SIb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=f[c+4>>2]|0;c=d+8|0;if((f[c>>2]|0)>4){g=d+4|0;h=f[g>>2]|0;if(e>>>0>127){i=e;j=h;while(1){b[j>>0]=i|128;k=i>>>7;l=j+1|0;if(i>>>0>16383){i=k;j=l}else{m=l;n=k;break}}}else{m=h;n=e}b[m>>0]=n;n=m+1-h|0;f[g>>2]=(f[g>>2]|0)+n;g=(f[c>>2]|0)-n|0;f[c>>2]=g;o=g}else{VJb(d,e);o=f[c>>2]|0}e=a;a=f[e>>2]|0;g=f[e+4>>2]|0;if((o|0)<=9){WJb(d,a,g);return}o=d+4|0;d=f[o>>2]|0;e=a&255;if(g>>>0>0|(g|0)==0&a>>>0>127){n=d;h=e;m=a;a=g;while(1){b[n>>0]=h|-128;g=m;m=pzc(m|0,a|0,7)|0;j=n+1|0;i=m&255;if(!(a>>>0>0|(a|0)==0&g>>>0>16383)){p=j;q=i;break}else{n=j;h=i;a=J}}}else{p=d;q=e}b[p>>0]=q;q=p+1-d|0;f[o>>2]=(f[o>>2]|0)+q;f[c>>2]=(f[c>>2]|0)-q;return}function TIb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;if((f[a>>2]|0)<=0)return;e=c+4|0;c=d+8|0;g=d+4|0;h=a+8|0;i=0;do{j=f[e>>2]|0;if((f[c>>2]|0)>4){k=f[g>>2]|0;if(j>>>0>127){l=j;m=k;while(1){b[m>>0]=l|128;n=l>>>7;o=m+1|0;if(l>>>0>16383){l=n;m=o}else{p=o;q=n;break}}}else{p=k;q=j}b[p>>0]=q;m=p+1-k|0;f[g>>2]=(f[g>>2]|0)+m;l=(f[c>>2]|0)-m|0;f[c>>2]=l;r=l}else{VJb(d,j);r=f[c>>2]|0}l=(f[h>>2]|0)+8+(i<<3)|0;m=f[l>>2]|0;n=f[l+4>>2]|0;if((r|0)>9){l=f[g>>2]|0;o=m&255;if(n>>>0>0|(n|0)==0&m>>>0>127){s=l;t=o;u=m;v=n;while(1){b[s>>0]=t|-128;w=u;u=pzc(u|0,v|0,7)|0;x=s+1|0;y=u&255;if(!(v>>>0>0|(v|0)==0&w>>>0>16383)){z=x;A=y;break}else{s=x;t=y;v=J}}}else{z=l;A=o}b[z>>0]=A;v=z+1-l|0;f[g>>2]=(f[g>>2]|0)+v;f[c>>2]=(f[c>>2]|0)-v}else WJb(d,m,n);i=i+1|0}while((i|0)<(f[a>>2]|0));return}function UIb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;if(!(f[a>>2]|0))return;e=f[c+4>>2]|0;c=d+8|0;if((f[c>>2]|0)>4){g=d+4|0;h=f[g>>2]|0;if(e>>>0>127){i=e;j=h;while(1){b[j>>0]=i|128;k=i>>>7;l=j+1|0;if(i>>>0>16383){i=k;j=l}else{m=l;n=k;break}}}else{m=h;n=e}b[m>>0]=n;n=m+1-h|0;f[g>>2]=(f[g>>2]|0)+n;g=(f[c>>2]|0)-n|0;f[c>>2]=g;o=g}else{VJb(d,e);o=f[c>>2]|0}e=f[a+12>>2]|0;if((o|0)>4){o=d+4|0;g=f[o>>2]|0;if(e>>>0>127){n=e;h=g;while(1){b[h>>0]=n|128;m=n>>>7;j=h+1|0;if(n>>>0>16383){n=m;h=j}else{p=j;q=m;break}}}else{p=g;q=e}b[p>>0]=q;q=p+1-g|0;f[o>>2]=(f[o>>2]|0)+q;f[c>>2]=(f[c>>2]|0)-q}else VJb(d,e);if((f[a>>2]|0)<=0)return;e=a+8|0;q=d+4|0;o=0;do{g=(f[e>>2]|0)+8+(o<<3)|0;p=f[g>>2]|0;h=f[g+4>>2]|0;if((f[c>>2]|0)>9){g=f[q>>2]|0;n=p&255;if(h>>>0>0|(h|0)==0&p>>>0>127){m=g;j=n;i=p;k=h;while(1){b[m>>0]=j|-128;l=i;i=pzc(i|0,k|0,7)|0;r=m+1|0;s=i&255;if(!(k>>>0>0|(k|0)==0&l>>>0>16383)){t=r;u=s;break}else{m=r;j=s;k=J}}}else{t=g;u=n}b[t>>0]=u;k=t+1-g|0;f[q>>2]=(f[q>>2]|0)+k;f[c>>2]=(f[c>>2]|0)-k}else WJb(d,p,h);o=o+1|0}while((o|0)<(f[a>>2]|0));return}function VIb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=f[c+4>>2]|0;c=d+8|0;if((f[c>>2]|0)>4){g=d+4|0;h=f[g>>2]|0;if(e>>>0>127){i=e;j=h;while(1){b[j>>0]=i|128;k=i>>>7;l=j+1|0;if(i>>>0>16383){i=k;j=l}else{m=l;n=k;break}}}else{m=h;n=e}b[m>>0]=n;n=m+1-h|0;f[g>>2]=(f[g>>2]|0)+n;g=(f[c>>2]|0)-n|0;f[c>>2]=g;o=g}else{VJb(d,e);o=f[c>>2]|0}e=f[a>>2]|0;a=((e|0)<0)<<31>>31;if((o|0)<=9){WJb(d,e,a);return}o=d+4|0;d=f[o>>2]|0;g=e&255;if(e>>>0>127){n=d;h=g;m=e;e=a;while(1){b[n>>0]=h|-128;a=m;m=pzc(m|0,e|0,7)|0;j=n+1|0;i=m&255;if(!(e>>>0>0|(e|0)==0&a>>>0>16383)){p=j;q=i;break}else{n=j;h=i;e=J}}}else{p=d;q=g}b[p>>0]=q;q=p+1-d|0;f[o>>2]=(f[o>>2]|0)+q;f[c>>2]=(f[c>>2]|0)-q;return}function WIb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;if((f[a>>2]|0)<=0)return;e=c+4|0;c=d+8|0;g=d+4|0;h=a+8|0;i=0;do{j=f[e>>2]|0;if((f[c>>2]|0)>4){k=f[g>>2]|0;if(j>>>0>127){l=j;m=k;while(1){b[m>>0]=l|128;n=l>>>7;o=m+1|0;if(l>>>0>16383){l=n;m=o}else{p=o;q=n;break}}}else{p=k;q=j}b[p>>0]=q;m=p+1-k|0;f[g>>2]=(f[g>>2]|0)+m;l=(f[c>>2]|0)-m|0;f[c>>2]=l;r=l}else{VJb(d,j);r=f[c>>2]|0}l=f[(f[h>>2]|0)+4+(i<<2)>>2]|0;m=((l|0)<0)<<31>>31;if((r|0)>9){n=f[g>>2]|0;o=l&255;if(l>>>0>127){s=n;t=o;u=l;v=m;while(1){b[s>>0]=t|-128;w=u;u=pzc(u|0,v|0,7)|0;x=s+1|0;y=u&255;if(!(v>>>0>0|(v|0)==0&w>>>0>16383)){z=x;A=y;break}else{s=x;t=y;v=J}}}else{z=n;A=o}b[z>>0]=A;v=z+1-n|0;f[g>>2]=(f[g>>2]|0)+v;f[c>>2]=(f[c>>2]|0)-v}else WJb(d,l,m);i=i+1|0}while((i|0)<(f[a>>2]|0));return}function XIb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;if(!(f[a>>2]|0))return;e=f[c+4>>2]|0;c=d+8|0;if((f[c>>2]|0)>4){g=d+4|0;h=f[g>>2]|0;if(e>>>0>127){i=e;j=h;while(1){b[j>>0]=i|128;k=i>>>7;l=j+1|0;if(i>>>0>16383){i=k;j=l}else{m=l;n=k;break}}}else{m=h;n=e}b[m>>0]=n;n=m+1-h|0;f[g>>2]=(f[g>>2]|0)+n;g=(f[c>>2]|0)-n|0;f[c>>2]=g;o=g}else{VJb(d,e);o=f[c>>2]|0}e=f[a+12>>2]|0;if((o|0)>4){o=d+4|0;g=f[o>>2]|0;if(e>>>0>127){n=e;h=g;while(1){b[h>>0]=n|128;m=n>>>7;j=h+1|0;if(n>>>0>16383){n=m;h=j}else{p=j;q=m;break}}}else{p=g;q=e}b[p>>0]=q;q=p+1-g|0;f[o>>2]=(f[o>>2]|0)+q;f[c>>2]=(f[c>>2]|0)-q}else VJb(d,e);if((f[a>>2]|0)<=0)return;e=a+8|0;q=d+4|0;o=0;do{g=f[(f[e>>2]|0)+4+(o<<2)>>2]|0;p=((g|0)<0)<<31>>31;if((f[c>>2]|0)>9){h=f[q>>2]|0;n=g&255;if(g>>>0>127){m=h;j=n;i=g;k=p;while(1){b[m>>0]=j|-128;l=i;i=pzc(i|0,k|0,7)|0;r=m+1|0;s=i&255;if(!(k>>>0>0|(k|0)==0&l>>>0>16383)){t=r;u=s;break}else{m=r;j=s;k=J}}}else{t=h;u=n}b[t>>0]=u;k=t+1-h|0;f[q>>2]=(f[q>>2]|0)+k;f[c>>2]=(f[c>>2]|0)-k}else WJb(d,g,p);o=o+1|0}while((o|0)<(f[a>>2]|0));return}function YIb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;if(!(f[a>>2]|0))return;e=f[c+4>>2]|0;c=d+8|0;if((f[c>>2]|0)>4){g=d+4|0;h=f[g>>2]|0;if(e>>>0>127){i=e;j=h;while(1){b[j>>0]=i|128;k=i>>>7;l=j+1|0;if(i>>>0>16383){i=k;j=l}else{m=l;n=k;break}}}else{m=h;n=e}b[m>>0]=n;n=m+1-h|0;f[g>>2]=(f[g>>2]|0)+n;g=(f[c>>2]|0)-n|0;f[c>>2]=g;o=g}else{VJb(d,e);o=f[c>>2]|0}e=f[a+12>>2]|0;if((o|0)>4){o=d+4|0;g=f[o>>2]|0;if(e>>>0>127){n=e;h=g;while(1){b[h>>0]=n|128;m=n>>>7;j=h+1|0;if(n>>>0>16383){n=m;h=j}else{p=j;q=m;break}}}else{p=g;q=e}b[p>>0]=q;q=p+1-g|0;f[o>>2]=(f[o>>2]|0)+q;f[c>>2]=(f[c>>2]|0)-q}else VJb(d,e);if((f[a>>2]|0)<=0)return;e=a+8|0;q=0;do{c=(f[e>>2]|0)+8+(q<<3)|0;UJb(d,f[c>>2]|0,f[c+4>>2]|0);q=q+1|0}while((q|0)<(f[a>>2]|0));return}function ZIb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;if(!(f[a>>2]|0))return;e=f[c+4>>2]|0;c=d+8|0;if((f[c>>2]|0)>4){g=d+4|0;h=f[g>>2]|0;if(e>>>0>127){i=e;j=h;while(1){b[j>>0]=i|128;k=i>>>7;l=j+1|0;if(i>>>0>16383){i=k;j=l}else{m=l;n=k;break}}}else{m=h;n=e}b[m>>0]=n;n=m+1-h|0;f[g>>2]=(f[g>>2]|0)+n;g=(f[c>>2]|0)-n|0;f[c>>2]=g;o=g}else{VJb(d,e);o=f[c>>2]|0}e=f[a+12>>2]|0;if((o|0)>4){o=d+4|0;g=f[o>>2]|0;if(e>>>0>127){n=e;h=g;while(1){b[h>>0]=n|128;m=n>>>7;j=h+1|0;if(n>>>0>16383){n=m;h=j}else{p=j;q=m;break}}}else{p=g;q=e}b[p>>0]=q;q=p+1-g|0;f[o>>2]=(f[o>>2]|0)+q;f[c>>2]=(f[c>>2]|0)-q}else VJb(d,e);if((f[a>>2]|0)<=0)return;e=a+8|0;q=0;do{TJb(d,f[(f[e>>2]|0)+4+(q<<2)>>2]|0);q=q+1|0}while((q|0)<(f[a>>2]|0));return}function _Ib(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;if((f[a>>2]|0)<=0)return;e=c+4|0;c=d+8|0;g=d+4|0;h=a+8|0;i=0;do{j=f[e>>2]|0;if((f[c>>2]|0)>4){k=f[g>>2]|0;if(j>>>0>127){l=j;m=k;while(1){b[m>>0]=l|128;n=l>>>7;o=m+1|0;if(l>>>0>16383){l=n;m=o}else{p=o;q=n;break}}}else{p=k;q=j}b[p>>0]=q;m=p+1-k|0;f[g>>2]=(f[g>>2]|0)+m;l=(f[c>>2]|0)-m|0;f[c>>2]=l;r=l}else{VJb(d,j);r=f[c>>2]|0}l=b[(f[h>>2]|0)+4+i>>0]|0;if((r|0)>4){b[f[g>>2]>>0]=l;f[g>>2]=(f[g>>2]|0)+1;f[c>>2]=(f[c>>2]|0)+-1}else VJb(d,l&255);i=i+1|0}while((i|0)<(f[a>>2]|0));return}function $Ib(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;if(!(f[a>>2]|0))return;e=f[c+4>>2]|0;c=d+8|0;if((f[c>>2]|0)>4){g=d+4|0;h=f[g>>2]|0;if(e>>>0>127){i=e;j=h;while(1){b[j>>0]=i|128;k=i>>>7;l=j+1|0;if(i>>>0>16383){i=k;j=l}else{m=l;n=k;break}}}else{m=h;n=e}b[m>>0]=n;n=m+1-h|0;f[g>>2]=(f[g>>2]|0)+n;g=(f[c>>2]|0)-n|0;f[c>>2]=g;o=g}else{VJb(d,e);o=f[c>>2]|0}e=f[a+12>>2]|0;if((o|0)>4){o=d+4|0;g=f[o>>2]|0;if(e>>>0>127){n=e;h=g;while(1){b[h>>0]=n|128;m=n>>>7;j=h+1|0;if(n>>>0>16383){n=m;h=j}else{p=j;q=m;break}}}else{p=g;q=e}b[p>>0]=q;q=p+1-g|0;f[o>>2]=(f[o>>2]|0)+q;f[c>>2]=(f[c>>2]|0)-q}else VJb(d,e);if((f[a>>2]|0)<=0)return;e=a+8|0;q=d+4|0;o=0;do{g=b[(f[e>>2]|0)+4+o>>0]|0;if((f[c>>2]|0)>4){b[f[q>>2]>>0]=g;f[q>>2]=(f[q>>2]|0)+1;f[c>>2]=(f[c>>2]|0)+-1}else VJb(d,g&255);o=o+1|0}while((o|0)<(f[a>>2]|0));return}function aJb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=a+11|0;e=b[d>>0]|0;if(e<<24>>24<0)g=f[a+4>>2]|0;else g=e&255;e=c+8|0;if((f[e>>2]|0)>4){h=c+4|0;i=f[h>>2]|0;if(g>>>0>127){j=g;k=i;while(1){b[k>>0]=j|128;l=j>>>7;m=k+1|0;if(j>>>0>16383){j=l;k=m}else{n=m;o=l;break}}}else{n=i;o=g}b[n>>0]=o;o=n+1-i|0;f[h>>2]=(f[h>>2]|0)+o;f[e>>2]=(f[e>>2]|0)-o}else VJb(c,g);g=b[d>>0]|0;if(g<<24>>24<0){p=f[a>>2]|0;q=f[a+4>>2]|0}else{p=a;q=g&255}if(!(b[c+17>>0]|0)){RJb(c,p,q);return}else{SJb(c,p,q);return}}function bJb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;c=u;u=u+32|0;a=c;iLb(a,3,486969,512);d=dLb(a,487073)|0;e=dLb(hLb(d,f[b+4>>2]|0)|0,487103)|0;fLb(c+24|0,hLb(e,f[b+12>>2]|0)|0);jLb(a);u=c;return}function cJb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;e=c+4|0;g=f[e>>2]|0;h=d+8|0;if((f[h>>2]|0)>4){i=d+4|0;j=f[i>>2]|0;if(g>>>0>127){k=g;l=j;while(1){b[l>>0]=k|128;m=k>>>7;n=l+1|0;if(k>>>0>16383){k=m;l=n}else{o=n;p=m;break}}}else{o=j;p=g}b[o>>0]=p;p=o+1-j|0;f[i>>2]=(f[i>>2]|0)+p;f[h>>2]=(f[h>>2]|0)-p}else VJb(d,g);g=f[a>>2]|0;a=f[c+16>>2]|0;do if(!a)yh[f[(f[g>>2]|0)+52>>2]&2047](g,d);else{c=f[a+4>>2]|0;p=f[g+(f[c>>2]|0)>>2]|0;i=(f[a>>2]|0)+-1|0;j=c+20|0;c=f[h>>2]|0;o=d+4|0;if((c|0)>=(p|0)?(l=f[o>>2]|0,f[o>>2]=l+p,f[h>>2]=c-p,l|0):0){if(!(b[d+18>>0]|0))q=(f[224967]|0)!=0;else q=(b[d+19>>0]|0)!=0;li[f[(f[g>>2]|0)+64>>2]&511](g,q,l)|0;break}MIb(g,j,i,d)}while(0);g=(f[e>>2]|0)+1|0;if((f[h>>2]|0)<=4){VJb(d,g);return}e=d+4|0;d=f[e>>2]|0;if(g>>>0>127){q=g;a=d;while(1){b[a>>0]=q|128;i=q>>>7;j=a+1|0;if(q>>>0>16383){q=i;a=j}else{r=j;s=i;break}}}else{r=d;s=g}b[r>>0]=s;s=r+1-d|0;f[e>>2]=(f[e>>2]|0)+s;f[h>>2]=(f[h>>2]|0)-s;return}function dJb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;e=a+4|0;if((f[e>>2]|0)<=0)return;g=c+4|0;h=d+8|0;i=d+4|0;j=a+12|0;a=c+16|0;c=d+18|0;k=d+19|0;l=0;do{m=f[g>>2]|0;if((f[h>>2]|0)>4){n=f[i>>2]|0;if(m>>>0>127){o=m;p=n;while(1){b[p>>0]=o|128;q=o>>>7;r=p+1|0;if(o>>>0>16383){o=q;p=r}else{s=r;t=q;break}}}else{s=n;t=m}b[s>>0]=t;p=s+1-n|0;f[i>>2]=(f[i>>2]|0)+p;f[h>>2]=(f[h>>2]|0)-p}else VJb(d,m);p=f[j>>2]|0;o=f[((p|0)==0?0:p+4|0)+(l<<2)>>2]|0;p=f[a>>2]|0;do if(!p)yh[f[(f[o>>2]|0)+52>>2]&2047](o,d);else{q=f[p+4>>2]|0;r=f[o+(f[q>>2]|0)>>2]|0;u=(f[p>>2]|0)+-1|0;v=q+20|0;q=f[h>>2]|0;if((q|0)>=(r|0)?(w=f[i>>2]|0,f[i>>2]=w+r,f[h>>2]=q-r,w|0):0){if(!(b[c>>0]|0))x=(f[224967]|0)!=0;else x=(b[k>>0]|0)!=0;li[f[(f[o>>2]|0)+64>>2]&511](o,x,w)|0;break}MIb(o,v,u,d)}while(0);o=(f[g>>2]|0)+1|0;if((f[h>>2]|0)>4){p=f[i>>2]|0;if(o>>>0>127){m=o;n=p;while(1){b[n>>0]=m|128;u=m>>>7;v=n+1|0;if(m>>>0>16383){m=u;n=v}else{y=v;z=u;break}}}else{y=p;z=o}b[y>>0]=z;n=y+1-p|0;f[i>>2]=(f[i>>2]|0)+n;f[h>>2]=(f[h>>2]|0)-n}else VJb(d,o);l=l+1|0}while((l|0)<(f[e>>2]|0));return}function eJb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;if(!c){e=di[f[(f[a>>2]|0)+60>>2]&1023](a)|0;g=d+8|0;if((f[g>>2]|0)>4){h=d+4|0;i=f[h>>2]|0;if(e>>>0>127){j=e;k=i;while(1){b[k>>0]=j|128;l=j>>>7;m=k+1|0;if(j>>>0>16383){j=l;k=m}else{n=m;o=l;break}}}else{n=i;o=e}b[n>>0]=o;o=n+1-i|0;f[h>>2]=(f[h>>2]|0)+o;f[g>>2]=(f[g>>2]|0)-o}else VJb(d,e);yh[f[(f[a>>2]|0)+52>>2]&2047](a,d);return}e=f[c+4>>2]|0;o=f[a+(f[e>>2]|0)>>2]|0;g=d+8|0;if((f[g>>2]|0)>4){h=d+4|0;i=f[h>>2]|0;if(o>>>0>127){n=o;k=i;while(1){b[k>>0]=n|128;j=n>>>7;l=k+1|0;if(n>>>0>16383){n=j;k=l}else{p=l;q=j;break}}}else{p=i;q=o}b[p>>0]=q;q=p+1-i|0;f[h>>2]=(f[h>>2]|0)+q;i=(f[g>>2]|0)-q|0;f[g>>2]=i;r=h;s=i}else{VJb(d,o);r=d+4|0;s=f[g>>2]|0}i=(f[c>>2]|0)+-1|0;c=e+20|0;if((s|0)>=(o|0)?(e=f[r>>2]|0,f[r>>2]=e+o,f[g>>2]=s-o,e|0):0){if(!(b[d+18>>0]|0))t=(f[224967]|0)!=0;else t=(b[d+19>>0]|0)!=0;li[f[(f[a>>2]|0)+64>>2]&511](a,t,e)|0;return}MIb(a,c,i,d);return}function fJb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=f[c+4>>2]|0;c=d+8|0;if((f[c>>2]|0)>4){g=d+4|0;h=f[g>>2]|0;if(e>>>0>127){i=e;j=h;while(1){b[j>>0]=i|128;k=i>>>7;l=j+1|0;if(i>>>0>16383){i=k;j=l}else{m=l;n=k;break}}}else{m=h;n=e}b[m>>0]=n;n=m+1-h|0;f[g>>2]=(f[g>>2]|0)+n;g=(f[c>>2]|0)-n|0;f[c>>2]=g;o=g}else{VJb(d,e);o=f[c>>2]|0}e=f[a>>2]|0;if((o|0)<=4){VJb(d,e);return}o=d+4|0;d=f[o>>2]|0;if(e>>>0>127){a=e;g=d;while(1){b[g>>0]=a|128;n=a>>>7;h=g+1|0;if(a>>>0>16383){a=n;g=h}else{p=h;q=n;break}}}else{p=d;q=e}b[p>>0]=q;q=p+1-d|0;f[o>>2]=(f[o>>2]|0)+q;f[c>>2]=(f[c>>2]|0)-q;return}function gJb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;if((f[a>>2]|0)<=0)return;e=c+4|0;c=d+8|0;g=d+4|0;h=a+8|0;i=0;do{j=f[e>>2]|0;if((f[c>>2]|0)>4){k=f[g>>2]|0;if(j>>>0>127){l=j;m=k;while(1){b[m>>0]=l|128;n=l>>>7;o=m+1|0;if(l>>>0>16383){l=n;m=o}else{p=o;q=n;break}}}else{p=k;q=j}b[p>>0]=q;m=p+1-k|0;f[g>>2]=(f[g>>2]|0)+m;l=(f[c>>2]|0)-m|0;f[c>>2]=l;r=l}else{VJb(d,j);r=f[c>>2]|0}l=f[(f[h>>2]|0)+4+(i<<2)>>2]|0;if((r|0)>4){m=f[g>>2]|0;if(l>>>0>127){n=l;o=m;while(1){b[o>>0]=n|128;s=n>>>7;t=o+1|0;if(n>>>0>16383){n=s;o=t}else{u=t;v=s;break}}}else{u=m;v=l}b[u>>0]=v;o=u+1-m|0;f[g>>2]=(f[g>>2]|0)+o;f[c>>2]=(f[c>>2]|0)-o}else VJb(d,l);i=i+1|0}while((i|0)<(f[a>>2]|0));return}function hJb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;if(!(f[a>>2]|0))return;e=f[c+4>>2]|0;c=d+8|0;if((f[c>>2]|0)>4){g=d+4|0;h=f[g>>2]|0;if(e>>>0>127){i=e;j=h;while(1){b[j>>0]=i|128;k=i>>>7;l=j+1|0;if(i>>>0>16383){i=k;j=l}else{m=l;n=k;break}}}else{m=h;n=e}b[m>>0]=n;n=m+1-h|0;f[g>>2]=(f[g>>2]|0)+n;g=(f[c>>2]|0)-n|0;f[c>>2]=g;o=g}else{VJb(d,e);o=f[c>>2]|0}e=f[a+12>>2]|0;if((o|0)>4){o=d+4|0;g=f[o>>2]|0;if(e>>>0>127){n=e;h=g;while(1){b[h>>0]=n|128;m=n>>>7;j=h+1|0;if(n>>>0>16383){n=m;h=j}else{p=j;q=m;break}}}else{p=g;q=e}b[p>>0]=q;q=p+1-g|0;f[o>>2]=(f[o>>2]|0)+q;f[c>>2]=(f[c>>2]|0)-q}else VJb(d,e);if((f[a>>2]|0)<=0)return;e=a+8|0;q=d+4|0;o=0;do{g=f[(f[e>>2]|0)+4+(o<<2)>>2]|0;if((f[c>>2]|0)>4){p=f[q>>2]|0;if(g>>>0>127){h=g;n=p;while(1){b[n>>0]=h|128;m=h>>>7;j=n+1|0;if(h>>>0>16383){h=m;n=j}else{r=j;s=m;break}}}else{r=p;s=g}b[r>>0]=s;n=r+1-p|0;f[q>>2]=(f[q>>2]|0)+n;f[c>>2]=(f[c>>2]|0)-n}else VJb(d,g);o=o+1|0}while((o|0)<(f[a>>2]|0));return}function iJb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=f[c+4>>2]|0;c=d+8|0;if((f[c>>2]|0)>4){g=d+4|0;h=f[g>>2]|0;if(e>>>0>127){i=e;j=h;while(1){b[j>>0]=i|128;k=i>>>7;l=j+1|0;if(i>>>0>16383){i=k;j=l}else{m=l;n=k;break}}}else{m=h;n=e}b[m>>0]=n;n=m+1-h|0;f[g>>2]=(f[g>>2]|0)+n;g=(f[c>>2]|0)-n|0;f[c>>2]=g;o=g}else{VJb(d,e);o=f[c>>2]|0}e=f[a>>2]|0;a=((e|0)<0)<<31>>31;if((o|0)<=9){WJb(d,e,a);return}o=d+4|0;d=f[o>>2]|0;g=e&255;if(e>>>0>127){n=d;h=g;m=e;e=a;while(1){b[n>>0]=h|-128;a=m;m=pzc(m|0,e|0,7)|0;j=n+1|0;i=m&255;if(!(e>>>0>0|(e|0)==0&a>>>0>16383)){p=j;q=i;break}else{n=j;h=i;e=J}}}else{p=d;q=g}b[p>>0]=q;q=p+1-d|0;f[o>>2]=(f[o>>2]|0)+q;f[c>>2]=(f[c>>2]|0)-q;return}function jJb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;if((f[a>>2]|0)<=0)return;e=c+4|0;c=d+8|0;g=d+4|0;h=a+8|0;i=0;do{j=f[e>>2]|0;if((f[c>>2]|0)>4){k=f[g>>2]|0;if(j>>>0>127){l=j;m=k;while(1){b[m>>0]=l|128;n=l>>>7;o=m+1|0;if(l>>>0>16383){l=n;m=o}else{p=o;q=n;break}}}else{p=k;q=j}b[p>>0]=q;m=p+1-k|0;f[g>>2]=(f[g>>2]|0)+m;l=(f[c>>2]|0)-m|0;f[c>>2]=l;r=l}else{VJb(d,j);r=f[c>>2]|0}l=f[(f[h>>2]|0)+4+(i<<2)>>2]|0;m=((l|0)<0)<<31>>31;if((r|0)>9){n=f[g>>2]|0;o=l&255;if(l>>>0>127){s=n;t=o;u=l;v=m;while(1){b[s>>0]=t|-128;w=u;u=pzc(u|0,v|0,7)|0;x=s+1|0;y=u&255;if(!(v>>>0>0|(v|0)==0&w>>>0>16383)){z=x;A=y;break}else{s=x;t=y;v=J}}}else{z=n;A=o}b[z>>0]=A;v=z+1-n|0;f[g>>2]=(f[g>>2]|0)+v;f[c>>2]=(f[c>>2]|0)-v}else WJb(d,l,m);i=i+1|0}while((i|0)<(f[a>>2]|0));return}function kJb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;if(!(f[a>>2]|0))return;e=f[c+4>>2]|0;c=d+8|0;if((f[c>>2]|0)>4){g=d+4|0;h=f[g>>2]|0;if(e>>>0>127){i=e;j=h;while(1){b[j>>0]=i|128;k=i>>>7;l=j+1|0;if(i>>>0>16383){i=k;j=l}else{m=l;n=k;break}}}else{m=h;n=e}b[m>>0]=n;n=m+1-h|0;f[g>>2]=(f[g>>2]|0)+n;g=(f[c>>2]|0)-n|0;f[c>>2]=g;o=g}else{VJb(d,e);o=f[c>>2]|0}e=f[a+12>>2]|0;if((o|0)>4){o=d+4|0;g=f[o>>2]|0;if(e>>>0>127){n=e;h=g;while(1){b[h>>0]=n|128;m=n>>>7;j=h+1|0;if(n>>>0>16383){n=m;h=j}else{p=j;q=m;break}}}else{p=g;q=e}b[p>>0]=q;q=p+1-g|0;f[o>>2]=(f[o>>2]|0)+q;f[c>>2]=(f[c>>2]|0)-q}else VJb(d,e);if((f[a>>2]|0)<=0)return;e=a+8|0;q=d+4|0;o=0;do{g=f[(f[e>>2]|0)+4+(o<<2)>>2]|0;p=((g|0)<0)<<31>>31;if((f[c>>2]|0)>9){h=f[q>>2]|0;n=g&255;if(g>>>0>127){m=h;j=n;i=g;k=p;while(1){b[m>>0]=j|-128;l=i;i=pzc(i|0,k|0,7)|0;r=m+1|0;s=i&255;if(!(k>>>0>0|(k|0)==0&l>>>0>16383)){t=r;u=s;break}else{m=r;j=s;k=J}}}else{t=h;u=n}b[t>>0]=u;k=t+1-h|0;f[q>>2]=(f[q>>2]|0)+k;f[c>>2]=(f[c>>2]|0)-k}else WJb(d,g,p);o=o+1|0}while((o|0)<(f[a>>2]|0));return}function lJb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;if(!(f[a>>2]|0))return;e=f[c+4>>2]|0;c=d+8|0;if((f[c>>2]|0)>4){g=d+4|0;h=f[g>>2]|0;if(e>>>0>127){i=e;j=h;while(1){b[j>>0]=i|128;k=i>>>7;l=j+1|0;if(i>>>0>16383){i=k;j=l}else{m=l;n=k;break}}}else{m=h;n=e}b[m>>0]=n;n=m+1-h|0;f[g>>2]=(f[g>>2]|0)+n;g=(f[c>>2]|0)-n|0;f[c>>2]=g;o=g}else{VJb(d,e);o=f[c>>2]|0}e=f[a+12>>2]|0;if((o|0)>4){o=d+4|0;g=f[o>>2]|0;if(e>>>0>127){n=e;h=g;while(1){b[h>>0]=n|128;m=n>>>7;j=h+1|0;if(n>>>0>16383){n=m;h=j}else{p=j;q=m;break}}}else{p=g;q=e}b[p>>0]=q;q=p+1-g|0;f[o>>2]=(f[o>>2]|0)+q;f[c>>2]=(f[c>>2]|0)-q}else VJb(d,e);if((f[a>>2]|0)<=0)return;e=a+8|0;q=0;do{TJb(d,f[(f[e>>2]|0)+4+(q<<2)>>2]|0);q=q+1|0}while((q|0)<(f[a>>2]|0));return}function mJb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;if(!(f[a>>2]|0))return;e=f[c+4>>2]|0;c=d+8|0;if((f[c>>2]|0)>4){g=d+4|0;h=f[g>>2]|0;if(e>>>0>127){i=e;j=h;while(1){b[j>>0]=i|128;k=i>>>7;l=j+1|0;if(i>>>0>16383){i=k;j=l}else{m=l;n=k;break}}}else{m=h;n=e}b[m>>0]=n;n=m+1-h|0;f[g>>2]=(f[g>>2]|0)+n;g=(f[c>>2]|0)-n|0;f[c>>2]=g;o=g}else{VJb(d,e);o=f[c>>2]|0}e=f[a+12>>2]|0;if((o|0)>4){o=d+4|0;g=f[o>>2]|0;if(e>>>0>127){n=e;h=g;while(1){b[h>>0]=n|128;m=n>>>7;j=h+1|0;if(n>>>0>16383){n=m;h=j}else{p=j;q=m;break}}}else{p=g;q=e}b[p>>0]=q;q=p+1-g|0;f[o>>2]=(f[o>>2]|0)+q;f[c>>2]=(f[c>>2]|0)-q}else VJb(d,e);if((f[a>>2]|0)<=0)return;e=a+8|0;q=0;do{c=(f[e>>2]|0)+8+(q<<3)|0;UJb(d,f[c>>2]|0,f[c+4>>2]|0);q=q+1|0}while((q|0)<(f[a>>2]|0));return}function nJb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=f[c+4>>2]|0;c=d+8|0;if((f[c>>2]|0)>4){g=d+4|0;h=f[g>>2]|0;if(e>>>0>127){i=e;j=h;while(1){b[j>>0]=i|128;k=i>>>7;l=j+1|0;if(i>>>0>16383){i=k;j=l}else{m=l;n=k;break}}}else{m=h;n=e}b[m>>0]=n;n=m+1-h|0;f[g>>2]=(f[g>>2]|0)+n;g=(f[c>>2]|0)-n|0;f[c>>2]=g;o=g}else{VJb(d,e);o=f[c>>2]|0}e=f[a>>2]|0;a=e<<1^e>>31;if((o|0)<=4){VJb(d,a);return}o=d+4|0;d=f[o>>2]|0;if(a>>>0>127){e=a;g=d;while(1){b[g>>0]=e|128;n=e>>>7;h=g+1|0;if(e>>>0>16383){e=n;g=h}else{p=h;q=n;break}}}else{p=d;q=a}b[p>>0]=q;q=p+1-d|0;f[o>>2]=(f[o>>2]|0)+q;f[c>>2]=(f[c>>2]|0)-q;return}function oJb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;if((f[a>>2]|0)<=0)return;e=c+4|0;c=d+8|0;g=d+4|0;h=a+8|0;i=0;do{j=f[e>>2]|0;if((f[c>>2]|0)>4){k=f[g>>2]|0;if(j>>>0>127){l=j;m=k;while(1){b[m>>0]=l|128;n=l>>>7;o=m+1|0;if(l>>>0>16383){l=n;m=o}else{p=o;q=n;break}}}else{p=k;q=j}b[p>>0]=q;m=p+1-k|0;f[g>>2]=(f[g>>2]|0)+m;l=(f[c>>2]|0)-m|0;f[c>>2]=l;r=l}else{VJb(d,j);r=f[c>>2]|0}l=f[(f[h>>2]|0)+4+(i<<2)>>2]|0;m=l<<1^l>>31;if((r|0)>4){l=f[g>>2]|0;if(m>>>0>127){n=m;o=l;while(1){b[o>>0]=n|128;s=n>>>7;t=o+1|0;if(n>>>0>16383){n=s;o=t}else{u=t;v=s;break}}}else{u=l;v=m}b[u>>0]=v;o=u+1-l|0;f[g>>2]=(f[g>>2]|0)+o;f[c>>2]=(f[c>>2]|0)-o}else VJb(d,m);i=i+1|0}while((i|0)<(f[a>>2]|0));return}function pJb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;if(!(f[a>>2]|0))return;e=f[c+4>>2]|0;c=d+8|0;if((f[c>>2]|0)>4){g=d+4|0;h=f[g>>2]|0;if(e>>>0>127){i=e;j=h;while(1){b[j>>0]=i|128;k=i>>>7;l=j+1|0;if(i>>>0>16383){i=k;j=l}else{m=l;n=k;break}}}else{m=h;n=e}b[m>>0]=n;n=m+1-h|0;f[g>>2]=(f[g>>2]|0)+n;g=(f[c>>2]|0)-n|0;f[c>>2]=g;o=g}else{VJb(d,e);o=f[c>>2]|0}e=f[a+12>>2]|0;if((o|0)>4){o=d+4|0;g=f[o>>2]|0;if(e>>>0>127){n=e;h=g;while(1){b[h>>0]=n|128;m=n>>>7;j=h+1|0;if(n>>>0>16383){n=m;h=j}else{p=j;q=m;break}}}else{p=g;q=e}b[p>>0]=q;q=p+1-g|0;f[o>>2]=(f[o>>2]|0)+q;f[c>>2]=(f[c>>2]|0)-q}else VJb(d,e);if((f[a>>2]|0)<=0)return;e=a+8|0;q=d+4|0;o=0;do{g=f[(f[e>>2]|0)+4+(o<<2)>>2]|0;p=g<<1^g>>31;if((f[c>>2]|0)>4){g=f[q>>2]|0;if(p>>>0>127){h=p;n=g;while(1){b[n>>0]=h|128;m=h>>>7;j=n+1|0;if(h>>>0>16383){h=m;n=j}else{r=j;s=m;break}}}else{r=g;s=p}b[r>>0]=s;n=r+1-g|0;f[q>>2]=(f[q>>2]|0)+n;f[c>>2]=(f[c>>2]|0)-n}else VJb(d,p);o=o+1|0}while((o|0)<(f[a>>2]|0));return}function qJb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=f[c+4>>2]|0;c=d+8|0;if((f[c>>2]|0)>4){g=d+4|0;h=f[g>>2]|0;if(e>>>0>127){i=e;j=h;while(1){b[j>>0]=i|128;k=i>>>7;l=j+1|0;if(i>>>0>16383){i=k;j=l}else{m=l;n=k;break}}}else{m=h;n=e}b[m>>0]=n;n=m+1-h|0;f[g>>2]=(f[g>>2]|0)+n;g=(f[c>>2]|0)-n|0;f[c>>2]=g;o=g}else{VJb(d,e);o=f[c>>2]|0}e=a;a=f[e>>2]|0;g=f[e+4>>2]|0;e=yzc(a|0,g|0,1)|0;n=J;h=ozc(a|0,g|0,63)|0;g=e^h;h=n^J;if((o|0)<=9){WJb(d,g,h);return}o=d+4|0;d=f[o>>2]|0;n=g&255;if(h>>>0>0|(h|0)==0&g>>>0>127){e=d;a=n;m=g;g=h;while(1){b[e>>0]=a|-128;h=m;m=pzc(m|0,g|0,7)|0;j=e+1|0;i=m&255;if(!(g>>>0>0|(g|0)==0&h>>>0>16383)){p=j;q=i;break}else{e=j;a=i;g=J}}}else{p=d;q=n}b[p>>0]=q;q=p+1-d|0;f[o>>2]=(f[o>>2]|0)+q;f[c>>2]=(f[c>>2]|0)-q;return}function rJb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;if((f[a>>2]|0)<=0)return;e=c+4|0;c=d+8|0;g=d+4|0;h=a+8|0;i=0;do{j=f[e>>2]|0;if((f[c>>2]|0)>4){k=f[g>>2]|0;if(j>>>0>127){l=j;m=k;while(1){b[m>>0]=l|128;n=l>>>7;o=m+1|0;if(l>>>0>16383){l=n;m=o}else{p=o;q=n;break}}}else{p=k;q=j}b[p>>0]=q;m=p+1-k|0;f[g>>2]=(f[g>>2]|0)+m;l=(f[c>>2]|0)-m|0;f[c>>2]=l;r=l}else{VJb(d,j);r=f[c>>2]|0}l=(f[h>>2]|0)+8+(i<<3)|0;m=f[l>>2]|0;n=f[l+4>>2]|0;l=yzc(m|0,n|0,1)|0;o=J;s=ozc(m|0,n|0,63)|0;n=l^s;s=o^J;if((r|0)>9){o=f[g>>2]|0;l=n&255;if(s>>>0>0|(s|0)==0&n>>>0>127){m=o;t=l;u=n;v=s;while(1){b[m>>0]=t|-128;w=u;u=pzc(u|0,v|0,7)|0;x=m+1|0;y=u&255;if(!(v>>>0>0|(v|0)==0&w>>>0>16383)){z=x;A=y;break}else{m=x;t=y;v=J}}}else{z=o;A=l}b[z>>0]=A;v=z+1-o|0;f[g>>2]=(f[g>>2]|0)+v;f[c>>2]=(f[c>>2]|0)-v}else WJb(d,n,s);i=i+1|0}while((i|0)<(f[a>>2]|0));return}function sJb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;if(!(f[a>>2]|0))return;e=f[c+4>>2]|0;c=d+8|0;if((f[c>>2]|0)>4){g=d+4|0;h=f[g>>2]|0;if(e>>>0>127){i=e;j=h;while(1){b[j>>0]=i|128;k=i>>>7;l=j+1|0;if(i>>>0>16383){i=k;j=l}else{m=l;n=k;break}}}else{m=h;n=e}b[m>>0]=n;n=m+1-h|0;f[g>>2]=(f[g>>2]|0)+n;g=(f[c>>2]|0)-n|0;f[c>>2]=g;o=g}else{VJb(d,e);o=f[c>>2]|0}e=f[a+12>>2]|0;if((o|0)>4){o=d+4|0;g=f[o>>2]|0;if(e>>>0>127){n=e;h=g;while(1){b[h>>0]=n|128;m=n>>>7;j=h+1|0;if(n>>>0>16383){n=m;h=j}else{p=j;q=m;break}}}else{p=g;q=e}b[p>>0]=q;q=p+1-g|0;f[o>>2]=(f[o>>2]|0)+q;f[c>>2]=(f[c>>2]|0)-q}else VJb(d,e);if((f[a>>2]|0)<=0)return;e=a+8|0;q=d+4|0;o=0;do{g=(f[e>>2]|0)+8+(o<<3)|0;p=f[g>>2]|0;h=f[g+4>>2]|0;g=yzc(p|0,h|0,1)|0;n=J;m=ozc(p|0,h|0,63)|0;h=g^m;m=n^J;if((f[c>>2]|0)>9){n=f[q>>2]|0;g=h&255;if(m>>>0>0|(m|0)==0&h>>>0>127){p=n;j=g;i=h;k=m;while(1){b[p>>0]=j|-128;l=i;i=pzc(i|0,k|0,7)|0;r=p+1|0;s=i&255;if(!(k>>>0>0|(k|0)==0&l>>>0>16383)){t=r;u=s;break}else{p=r;j=s;k=J}}}else{t=n;u=g}b[t>>0]=u;k=t+1-n|0;f[q>>2]=(f[q>>2]|0)+k;f[c>>2]=(f[c>>2]|0)-k}else WJb(d,h,m);o=o+1|0}while((o|0)<(f[a>>2]|0));return}function tJb(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0,qc=0,rc=0,sc=0,tc=0,uc=0,vc=0,wc=0,xc=0,yc=0,zc=0,Ac=0,Bc=0,Cc=0,Dc=0,Ec=0,Fc=0,Gc=0,Hc=0,Ic=0,Jc=0,Kc=0,Lc=0,Mc=0,Nc=0,Oc=0,Pc=0,Qc=0,Rc=0,Sc=0,Tc=0,Uc=0,Vc=0,Wc=0,Xc=0,Yc=0,Zc=0,_c=0,$c=0,ad=0,bd=0,cd=0,dd=0,ed=0,fd=0,gd=0,hd=0,id=0,jd=0,kd=0,ld=0,md=0,nd=0,od=0,pd=0,qd=0,rd=0,sd=0,td=0,ud=0,vd=0,wd=0,xd=0,yd=0,zd=0,Ad=0,Bd=0,Cd=0,Dd=0,Ed=0,Fd=0,Gd=0,Hd=0,Id=0,Jd=0,Kd=0,Ld=0,Md=0,Nd=0,Od=0,Pd=0,Qd=0,Rd=0,Sd=0,Td=0,Ud=0,Vd=0,Wd=0,Xd=0,Yd=0,Zd=0,_d=0,$d=0,ae=0,be=0,ce=0,de=0,ee=0,fe=0,ge=0,he=0,ie=0,je=0,ke=0,le=0,me=0,ne=0,oe=0,pe=0,qe=0,re=0,se=0,te=0,ue=0,ve=0,we=0,xe=0,ye=0,ze=0,Ae=0,Be=0,Ce=0,De=0,Ee=0,Fe=0,Ge=0,He=0,Ie=0,Je=0,Ke=0,Le=0,Me=0,Ne=0,Oe=0,Pe=0,Qe=0,Re=0,Se=0,Te=0,Ue=0,Ve=0,We=0,Xe=0,Ye=0,Ze=0,_e=0,$e=0,af=0,bf=0,cf=0,df=0,ef=0,ff=0,gf=0,hf=0,jf=0,kf=0,lf=0,mf=0,nf=0,of=0,pf=0,qf=0,rf=0,sf=0,tf=0,uf=0,vf=0,wf=0;h=u;u=u+64|0;i=h+32|0;j=h+8|0;k=h;l=e&1;f[k>>2]=g;g=k+4|0;b[g>>0]=l;if((d|0)<=0){m=f[k>>2]|0;u=h;return m|0}e=j+18|0;o=j+19|0;q=j+12|0;r=j+8|0;s=0;do{t=c+(s*20|0)|0;v=a+(f[t>>2]|0)|0;w=f[c+(s*20|0)+12>>2]|0;a:do switch(w|0){case 0:{x=f[c+(s*20|0)+8>>2]|0;if(1<<(x&31)&f[a+(x>>>5<<2)>>2]|0){x=f[c+(s*20|0)+4>>2]|0;y=f[k>>2]|0;if(x>>>0>127){z=x;A=y;while(1){b[A>>0]=z|128;B=z>>>7;C=A+1|0;if(z>>>0>16383){z=B;A=C}else{D=C;E=B;break}}}else{D=y;E=x}b[D>>0]=E;A=v;z=f[A>>2]|0;B=f[A+4>>2]|0;A=D+1|0;C=A;b[C>>0]=z;b[C+1>>0]=z>>8;b[C+2>>0]=z>>16;b[C+3>>0]=z>>24;z=A+4|0;b[z>>0]=B;b[z+1>>0]=B>>8;b[z+2>>0]=B>>16;b[z+3>>0]=B>>24;f[k>>2]=D+9}break}case 20:{if(!(+p[v>>3]==0.0)){B=f[c+(s*20|0)+4>>2]|0;z=f[k>>2]|0;if(B>>>0>127){A=B;C=z;while(1){b[C>>0]=A|128;F=A>>>7;G=C+1|0;if(A>>>0>16383){A=F;C=G}else{H=G;I=F;break}}}else{H=z;I=B}b[H>>0]=I;C=v;A=f[C>>2]|0;x=f[C+4>>2]|0;C=H+1|0;y=C;b[y>>0]=A;b[y+1>>0]=A>>8;b[y+2>>0]=A>>16;b[y+3>>0]=A>>24;A=C+4|0;b[A>>0]=x;b[A+1>>0]=x>>8;b[A+2>>0]=x>>16;b[A+3>>0]=x>>24;f[k>>2]=H+9}break}case 40:{if((f[v>>2]|0)>0){x=c+(s*20|0)+4|0;A=v+8|0;C=0;y=f[k>>2]|0;do{F=f[x>>2]|0;if(F>>>0>127){G=F;K=y;while(1){b[K>>0]=G|128;L=G>>>7;M=K+1|0;if(G>>>0>16383){G=L;K=M}else{N=M;O=L;break}}}else{N=y;O=F}b[N>>0]=O;K=(f[A>>2]|0)+8+(C<<3)|0;G=f[K>>2]|0;L=f[K+4>>2]|0;K=N+1|0;M=K;b[M>>0]=G;b[M+1>>0]=G>>8;b[M+2>>0]=G>>16;b[M+3>>0]=G>>24;G=K+4|0;b[G>>0]=L;b[G+1>>0]=L>>8;b[G+2>>0]=L>>16;b[G+3>>0]=L>>24;y=N+9|0;f[k>>2]=y;C=C+1|0}while((C|0)<(f[v>>2]|0))}break}case 60:{if(f[v>>2]|0){C=f[c+(s*20|0)+4>>2]|0;y=f[k>>2]|0;if(C>>>0>127){A=C;x=y;while(1){b[x>>0]=A|128;B=A>>>7;z=x+1|0;if(A>>>0>16383){A=B;x=z}else{P=z;Q=B;break}}}else{P=y;Q=C}b[P>>0]=Q;x=P+1|0;f[k>>2]=x;A=f[v+12>>2]|0;if(A>>>0>127){B=A;z=x;while(1){b[z>>0]=B|128;L=B>>>7;G=z+1|0;if(B>>>0>16383){B=L;z=G}else{R=G;S=L;break}}}else{R=x;S=A}b[R>>0]=S;z=R+1|0;f[k>>2]=z;if((f[v>>2]|0)>0){B=v+8|0;C=0;y=z;do{z=(f[B>>2]|0)+8+(C<<3)|0;L=f[z>>2]|0;G=f[z+4>>2]|0;z=y;K=z;b[K>>0]=L;b[K+1>>0]=L>>8;b[K+2>>0]=L>>16;b[K+3>>0]=L>>24;L=z+4|0;b[L>>0]=G;b[L+1>>0]=G>>8;b[L+2>>0]=G>>16;b[L+3>>0]=G>>24;y=y+8|0;f[k>>2]=y;C=C+1|0}while((C|0)<(f[v>>2]|0))}}break}case 80:{C=f[c+(s*20|0)+4>>2]|0;if((f[a+(f[c+(s*20|0)+8>>2]|0)>>2]|0)==(C>>>3|0)){y=f[k>>2]|0;if(C>>>0>127){B=C;A=y;while(1){b[A>>0]=B|128;x=B>>>7;G=A+1|0;if(B>>>0>16383){B=x;A=G}else{T=G;U=x;break}}}else{T=y;U=C}b[T>>0]=U;A=v;B=f[A>>2]|0;x=f[A+4>>2]|0;A=T+1|0;G=A;b[G>>0]=B;b[G+1>>0]=B>>8;b[G+2>>0]=B>>16;b[G+3>>0]=B>>24;B=A+4|0;b[B>>0]=x;b[B+1>>0]=x>>8;b[B+2>>0]=x>>16;b[B+3>>0]=x>>24;f[k>>2]=T+9}break}case 1:{x=f[c+(s*20|0)+8>>2]|0;if(1<<(x&31)&f[a+(x>>>5<<2)>>2]|0){x=f[c+(s*20|0)+4>>2]|0;B=f[k>>2]|0;if(x>>>0>127){A=x;G=B;while(1){b[G>>0]=A|128;L=A>>>7;z=G+1|0;if(A>>>0>16383){A=L;G=z}else{V=z;W=L;break}}}else{V=B;W=x}b[V>>0]=W;G=V+1|0;A=f[v>>2]|0;b[G>>0]=A;b[G+1>>0]=A>>8;b[G+2>>0]=A>>16;b[G+3>>0]=A>>24;f[k>>2]=V+5}break}case 21:{if(!(+n[v>>2]==0.0)){A=f[c+(s*20|0)+4>>2]|0;G=f[k>>2]|0;if(A>>>0>127){C=A;y=G;while(1){b[y>>0]=C|128;L=C>>>7;z=y+1|0;if(C>>>0>16383){C=L;y=z}else{X=z;Y=L;break}}}else{X=G;Y=A}b[X>>0]=Y;y=X+1|0;C=f[v>>2]|0;b[y>>0]=C;b[y+1>>0]=C>>8;b[y+2>>0]=C>>16;b[y+3>>0]=C>>24;f[k>>2]=X+5}break}case 41:{if((f[v>>2]|0)>0){C=c+(s*20|0)+4|0;y=v+8|0;x=0;B=f[k>>2]|0;do{L=f[C>>2]|0;if(L>>>0>127){z=L;K=B;while(1){b[K>>0]=z|128;M=z>>>7;Z=K+1|0;if(z>>>0>16383){z=M;K=Z}else{_=Z;$=M;break}}}else{_=B;$=L}b[_>>0]=$;K=_+1|0;z=f[(f[y>>2]|0)+4+(x<<2)>>2]|0;b[K>>0]=z;b[K+1>>0]=z>>8;b[K+2>>0]=z>>16;b[K+3>>0]=z>>24;B=_+5|0;f[k>>2]=B;x=x+1|0}while((x|0)<(f[v>>2]|0))}break}case 61:{if(f[v>>2]|0){x=f[c+(s*20|0)+4>>2]|0;B=f[k>>2]|0;if(x>>>0>127){y=x;C=B;while(1){b[C>>0]=y|128;A=y>>>7;G=C+1|0;if(y>>>0>16383){y=A;C=G}else{aa=G;ba=A;break}}}else{aa=B;ba=x}b[aa>>0]=ba;C=aa+1|0;f[k>>2]=C;y=f[v+12>>2]|0;if(y>>>0>127){A=y;G=C;while(1){b[G>>0]=A|128;z=A>>>7;K=G+1|0;if(A>>>0>16383){A=z;G=K}else{ca=K;da=z;break}}}else{ca=C;da=y}b[ca>>0]=da;G=ca+1|0;f[k>>2]=G;if((f[v>>2]|0)>0){A=v+8|0;x=0;B=G;do{G=f[(f[A>>2]|0)+4+(x<<2)>>2]|0;b[B>>0]=G;b[B+1>>0]=G>>8;b[B+2>>0]=G>>16;b[B+3>>0]=G>>24;B=B+4|0;f[k>>2]=B;x=x+1|0}while((x|0)<(f[v>>2]|0))}}break}case 81:{x=f[c+(s*20|0)+4>>2]|0;if((f[a+(f[c+(s*20|0)+8>>2]|0)>>2]|0)==(x>>>3|0)){B=f[k>>2]|0;if(x>>>0>127){A=x;y=B;while(1){b[y>>0]=A|128;C=A>>>7;G=y+1|0;if(A>>>0>16383){A=C;y=G}else{ea=G;fa=C;break}}}else{ea=B;fa=x}b[ea>>0]=fa;y=ea+1|0;A=f[v>>2]|0;b[y>>0]=A;b[y+1>>0]=A>>8;b[y+2>>0]=A>>16;b[y+3>>0]=A>>24;f[k>>2]=ea+5}break}case 2:{A=f[c+(s*20|0)+8>>2]|0;if(1<<(A&31)&f[a+(A>>>5<<2)>>2]|0){A=f[c+(s*20|0)+4>>2]|0;y=f[k>>2]|0;if(A>>>0>127){C=A;G=y;while(1){b[G>>0]=C|128;z=C>>>7;K=G+1|0;if(C>>>0>16383){C=z;G=K}else{ga=K;ha=z;break}}}else{ga=y;ha=A}b[ga>>0]=ha;G=ga+1|0;f[k>>2]=G;C=v;x=f[C>>2]|0;B=f[C+4>>2]|0;C=x&255;if(B>>>0>0|(B|0)==0&x>>>0>127){z=G;K=C;F=x;x=B;while(1){b[z>>0]=K|-128;B=F;F=pzc(F|0,x|0,7)|0;M=z+1|0;Z=F&255;if(!(x>>>0>0|(x|0)==0&B>>>0>16383)){ia=M;ja=Z;break}else{z=M;K=Z;x=J}}}else{ia=G;ja=C}b[ia>>0]=ja;f[k>>2]=ia+1}break}case 22:{x=v;if(!((f[x>>2]|0)==0&(f[x+4>>2]|0)==0)){x=f[c+(s*20|0)+4>>2]|0;K=f[k>>2]|0;if(x>>>0>127){z=x;F=K;while(1){b[F>>0]=z|128;A=z>>>7;y=F+1|0;if(z>>>0>16383){z=A;F=y}else{ka=y;la=A;break}}}else{ka=K;la=x}b[ka>>0]=la;F=ka+1|0;f[k>>2]=F;z=v;C=f[z>>2]|0;G=f[z+4>>2]|0;z=C&255;if(G>>>0>0|(G|0)==0&C>>>0>127){A=F;y=z;Z=C;C=G;while(1){b[A>>0]=y|-128;G=Z;Z=pzc(Z|0,C|0,7)|0;M=A+1|0;B=Z&255;if(!(C>>>0>0|(C|0)==0&G>>>0>16383)){ma=M;na=B;break}else{A=M;y=B;C=J}}}else{ma=F;na=z}b[ma>>0]=na;f[k>>2]=ma+1}break}case 42:{if((f[v>>2]|0)>0){C=c+(s*20|0)+4|0;y=v+8|0;A=0;Z=f[k>>2]|0;do{x=f[C>>2]|0;if(x>>>0>127){K=x;B=Z;while(1){b[B>>0]=K|128;M=K>>>7;G=B+1|0;if(K>>>0>16383){K=M;B=G}else{oa=G;pa=M;break}}}else{oa=Z;pa=x}b[oa>>0]=pa;B=oa+1|0;f[k>>2]=B;K=(f[y>>2]|0)+8+(A<<3)|0;L=f[K>>2]|0;M=f[K+4>>2]|0;K=L&255;if(M>>>0>0|(M|0)==0&L>>>0>127){G=B;qa=K;ra=L;L=M;while(1){b[G>>0]=qa|-128;M=ra;ra=pzc(ra|0,L|0,7)|0;sa=G+1|0;ta=ra&255;if(!(L>>>0>0|(L|0)==0&M>>>0>16383)){ua=sa;va=ta;break}else{G=sa;qa=ta;L=J}}}else{ua=B;va=K}b[ua>>0]=va;Z=ua+1|0;f[k>>2]=Z;A=A+1|0}while((A|0)<(f[v>>2]|0))}break}case 62:{if(f[v>>2]|0){A=f[c+(s*20|0)+4>>2]|0;Z=f[k>>2]|0;if(A>>>0>127){y=A;C=Z;while(1){b[C>>0]=y|128;z=y>>>7;F=C+1|0;if(y>>>0>16383){y=z;C=F}else{wa=F;xa=z;break}}}else{wa=Z;xa=A}b[wa>>0]=xa;C=wa+1|0;f[k>>2]=C;y=f[v+12>>2]|0;if(y>>>0>127){z=y;F=C;while(1){b[F>>0]=z|128;L=z>>>7;qa=F+1|0;if(z>>>0>16383){z=L;F=qa}else{ya=qa;za=L;break}}}else{ya=C;za=y}b[ya>>0]=za;F=ya+1|0;f[k>>2]=F;if((f[v>>2]|0)>0){z=v+8|0;A=0;Z=F;do{F=(f[z>>2]|0)+8+(A<<3)|0;L=f[F>>2]|0;qa=f[F+4>>2]|0;F=L&255;if(qa>>>0>0|(qa|0)==0&L>>>0>127){G=Z;ra=F;x=L;L=qa;while(1){b[G>>0]=ra|-128;qa=x;x=pzc(x|0,L|0,7)|0;ta=G+1|0;sa=x&255;if(!(L>>>0>0|(L|0)==0&qa>>>0>16383)){Aa=ta;Ba=sa;break}else{G=ta;ra=sa;L=J}}}else{Aa=Z;Ba=F}b[Aa>>0]=Ba;Z=Aa+1|0;f[k>>2]=Z;A=A+1|0}while((A|0)<(f[v>>2]|0))}}break}case 82:{A=f[c+(s*20|0)+4>>2]|0;if((f[a+(f[c+(s*20|0)+8>>2]|0)>>2]|0)==(A>>>3|0)){Z=f[k>>2]|0;if(A>>>0>127){z=A;y=Z;while(1){b[y>>0]=z|128;C=z>>>7;L=y+1|0;if(z>>>0>16383){z=C;y=L}else{Ca=L;Da=C;break}}}else{Ca=Z;Da=A}b[Ca>>0]=Da;y=Ca+1|0;f[k>>2]=y;z=v;C=f[z>>2]|0;L=f[z+4>>2]|0;z=C&255;if(L>>>0>0|(L|0)==0&C>>>0>127){ra=y;G=z;x=C;C=L;while(1){b[ra>>0]=G|-128;L=x;x=pzc(x|0,C|0,7)|0;K=ra+1|0;B=x&255;if(!(C>>>0>0|(C|0)==0&L>>>0>16383)){Ea=K;Fa=B;break}else{ra=K;G=B;C=J}}}else{Ea=y;Fa=z}b[Ea>>0]=Fa;f[k>>2]=Ea+1}break}case 3:{C=f[c+(s*20|0)+8>>2]|0;if(1<<(C&31)&f[a+(C>>>5<<2)>>2]|0){C=f[c+(s*20|0)+4>>2]|0;G=f[k>>2]|0;if(C>>>0>127){ra=C;x=G;while(1){b[x>>0]=ra|128;A=ra>>>7;Z=x+1|0;if(ra>>>0>16383){ra=A;x=Z}else{Ga=Z;Ha=A;break}}}else{Ga=G;Ha=C}b[Ga>>0]=Ha;x=Ga+1|0;f[k>>2]=x;ra=v;z=f[ra>>2]|0;y=f[ra+4>>2]|0;ra=z&255;if(y>>>0>0|(y|0)==0&z>>>0>127){A=x;Z=ra;B=z;z=y;while(1){b[A>>0]=Z|-128;y=B;B=pzc(B|0,z|0,7)|0;K=A+1|0;L=B&255;if(!(z>>>0>0|(z|0)==0&y>>>0>16383)){Ia=K;Ja=L;break}else{A=K;Z=L;z=J}}}else{Ia=x;Ja=ra}b[Ia>>0]=Ja;f[k>>2]=Ia+1}break}case 23:{z=v;if(!((f[z>>2]|0)==0&(f[z+4>>2]|0)==0)){z=f[c+(s*20|0)+4>>2]|0;Z=f[k>>2]|0;if(z>>>0>127){A=z;B=Z;while(1){b[B>>0]=A|128;C=A>>>7;G=B+1|0;if(A>>>0>16383){A=C;B=G}else{Ka=G;La=C;break}}}else{Ka=Z;La=z}b[Ka>>0]=La;B=Ka+1|0;f[k>>2]=B;A=v;ra=f[A>>2]|0;x=f[A+4>>2]|0;A=ra&255;if(x>>>0>0|(x|0)==0&ra>>>0>127){C=B;G=A;L=ra;ra=x;while(1){b[C>>0]=G|-128;x=L;L=pzc(L|0,ra|0,7)|0;K=C+1|0;y=L&255;if(!(ra>>>0>0|(ra|0)==0&x>>>0>16383)){Ma=K;Na=y;break}else{C=K;G=y;ra=J}}}else{Ma=B;Na=A}b[Ma>>0]=Na;f[k>>2]=Ma+1}break}case 43:{if((f[v>>2]|0)>0){ra=c+(s*20|0)+4|0;G=v+8|0;C=0;L=f[k>>2]|0;do{z=f[ra>>2]|0;if(z>>>0>127){Z=z;y=L;while(1){b[y>>0]=Z|128;K=Z>>>7;x=y+1|0;if(Z>>>0>16383){Z=K;y=x}else{Oa=x;Pa=K;break}}}else{Oa=L;Pa=z}b[Oa>>0]=Pa;y=Oa+1|0;f[k>>2]=y;Z=(f[G>>2]|0)+8+(C<<3)|0;F=f[Z>>2]|0;K=f[Z+4>>2]|0;Z=F&255;if(K>>>0>0|(K|0)==0&F>>>0>127){x=y;sa=Z;ta=F;F=K;while(1){b[x>>0]=sa|-128;K=ta;ta=pzc(ta|0,F|0,7)|0;qa=x+1|0;M=ta&255;if(!(F>>>0>0|(F|0)==0&K>>>0>16383)){Qa=qa;Ra=M;break}else{x=qa;sa=M;F=J}}}else{Qa=y;Ra=Z}b[Qa>>0]=Ra;L=Qa+1|0;f[k>>2]=L;C=C+1|0}while((C|0)<(f[v>>2]|0))}break}case 63:{if(f[v>>2]|0){C=f[c+(s*20|0)+4>>2]|0;L=f[k>>2]|0;if(C>>>0>127){G=C;ra=L;while(1){b[ra>>0]=G|128;A=G>>>7;B=ra+1|0;if(G>>>0>16383){G=A;ra=B}else{Sa=B;Ta=A;break}}}else{Sa=L;Ta=C}b[Sa>>0]=Ta;ra=Sa+1|0;f[k>>2]=ra;G=f[v+12>>2]|0;if(G>>>0>127){A=G;B=ra;while(1){b[B>>0]=A|128;F=A>>>7;sa=B+1|0;if(A>>>0>16383){A=F;B=sa}else{Ua=sa;Va=F;break}}}else{Ua=ra;Va=G}b[Ua>>0]=Va;B=Ua+1|0;f[k>>2]=B;if((f[v>>2]|0)>0){A=v+8|0;C=0;L=B;do{B=(f[A>>2]|0)+8+(C<<3)|0;F=f[B>>2]|0;sa=f[B+4>>2]|0;B=F&255;if(sa>>>0>0|(sa|0)==0&F>>>0>127){x=L;ta=B;z=F;F=sa;while(1){b[x>>0]=ta|-128;sa=z;z=pzc(z|0,F|0,7)|0;M=x+1|0;qa=z&255;if(!(F>>>0>0|(F|0)==0&sa>>>0>16383)){Wa=M;Xa=qa;break}else{x=M;ta=qa;F=J}}}else{Wa=L;Xa=B}b[Wa>>0]=Xa;L=Wa+1|0;f[k>>2]=L;C=C+1|0}while((C|0)<(f[v>>2]|0))}}break}case 83:{C=f[c+(s*20|0)+4>>2]|0;if((f[a+(f[c+(s*20|0)+8>>2]|0)>>2]|0)==(C>>>3|0)){L=f[k>>2]|0;if(C>>>0>127){A=C;G=L;while(1){b[G>>0]=A|128;ra=A>>>7;F=G+1|0;if(A>>>0>16383){A=ra;G=F}else{Ya=F;Za=ra;break}}}else{Ya=L;Za=C}b[Ya>>0]=Za;G=Ya+1|0;f[k>>2]=G;A=v;ra=f[A>>2]|0;F=f[A+4>>2]|0;A=ra&255;if(F>>>0>0|(F|0)==0&ra>>>0>127){ta=G;x=A;z=ra;ra=F;while(1){b[ta>>0]=x|-128;F=z;z=pzc(z|0,ra|0,7)|0;Z=ta+1|0;y=z&255;if(!(ra>>>0>0|(ra|0)==0&F>>>0>16383)){_a=Z;$a=y;break}else{ta=Z;x=y;ra=J}}}else{_a=G;$a=A}b[_a>>0]=$a;f[k>>2]=_a+1}break}case 4:{ra=f[c+(s*20|0)+8>>2]|0;if(1<<(ra&31)&f[a+(ra>>>5<<2)>>2]|0){ra=f[c+(s*20|0)+4>>2]|0;x=f[k>>2]|0;if(ra>>>0>127){ta=ra;z=x;while(1){b[z>>0]=ta|128;C=ta>>>7;L=z+1|0;if(ta>>>0>16383){ta=C;z=L}else{ab=L;bb=C;break}}}else{ab=x;bb=ra}b[ab>>0]=bb;z=ab+1|0;f[k>>2]=z;ta=f[v>>2]|0;A=ta&255;if(ta>>>0>127){G=z;C=A;L=ta;y=((ta|0)<0)<<31>>31;while(1){b[G>>0]=C|-128;ta=L;L=pzc(L|0,y|0,7)|0;Z=G+1|0;F=L&255;if(!(y>>>0>0|(y|0)==0&ta>>>0>16383)){cb=Z;db=F;break}else{G=Z;C=F;y=J}}}else{cb=z;db=A}b[cb>>0]=db;f[k>>2]=cb+1}break}case 24:{if(f[v>>2]|0){y=f[c+(s*20|0)+4>>2]|0;C=f[k>>2]|0;if(y>>>0>127){G=y;L=C;while(1){b[L>>0]=G|128;ra=G>>>7;x=L+1|0;if(G>>>0>16383){G=ra;L=x}else{eb=x;fb=ra;break}}}else{eb=C;fb=y}b[eb>>0]=fb;L=eb+1|0;f[k>>2]=L;G=f[v>>2]|0;A=G&255;if(G>>>0>127){z=L;ra=A;x=G;F=((G|0)<0)<<31>>31;while(1){b[z>>0]=ra|-128;G=x;x=pzc(x|0,F|0,7)|0;Z=z+1|0;ta=x&255;if(!(F>>>0>0|(F|0)==0&G>>>0>16383)){gb=Z;hb=ta;break}else{z=Z;ra=ta;F=J}}}else{gb=L;hb=A}b[gb>>0]=hb;f[k>>2]=gb+1}break}case 44:{if((f[v>>2]|0)>0){F=c+(s*20|0)+4|0;ra=v+8|0;z=0;x=f[k>>2]|0;do{y=f[F>>2]|0;if(y>>>0>127){C=y;ta=x;while(1){b[ta>>0]=C|128;Z=C>>>7;G=ta+1|0;if(C>>>0>16383){C=Z;ta=G}else{ib=G;jb=Z;break}}}else{ib=x;jb=y}b[ib>>0]=jb;ta=ib+1|0;f[k>>2]=ta;C=f[(f[ra>>2]|0)+4+(z<<2)>>2]|0;B=C&255;if(C>>>0>127){Z=ta;G=B;qa=C;M=((C|0)<0)<<31>>31;while(1){b[Z>>0]=G|-128;C=qa;qa=pzc(qa|0,M|0,7)|0;sa=Z+1|0;K=qa&255;if(!(M>>>0>0|(M|0)==0&C>>>0>16383)){kb=sa;lb=K;break}else{Z=sa;G=K;M=J}}}else{kb=ta;lb=B}b[kb>>0]=lb;x=kb+1|0;f[k>>2]=x;z=z+1|0}while((z|0)<(f[v>>2]|0))}break}case 64:{if(f[v>>2]|0){z=f[c+(s*20|0)+4>>2]|0;x=f[k>>2]|0;if(z>>>0>127){ra=z;F=x;while(1){b[F>>0]=ra|128;A=ra>>>7;L=F+1|0;if(ra>>>0>16383){ra=A;F=L}else{mb=L;nb=A;break}}}else{mb=x;nb=z}b[mb>>0]=nb;F=mb+1|0;f[k>>2]=F;ra=f[v+12>>2]|0;if(ra>>>0>127){A=ra;L=F;while(1){b[L>>0]=A|128;M=A>>>7;G=L+1|0;if(A>>>0>16383){A=M;L=G}else{ob=G;pb=M;break}}}else{ob=F;pb=ra}b[ob>>0]=pb;L=ob+1|0;f[k>>2]=L;if((f[v>>2]|0)>0){A=v+8|0;z=0;x=L;do{L=f[(f[A>>2]|0)+4+(z<<2)>>2]|0;M=L&255;if(L>>>0>127){G=x;Z=M;qa=L;y=((L|0)<0)<<31>>31;while(1){b[G>>0]=Z|-128;L=qa;qa=pzc(qa|0,y|0,7)|0;K=G+1|0;sa=qa&255;if(!(y>>>0>0|(y|0)==0&L>>>0>16383)){qb=K;rb=sa;break}else{G=K;Z=sa;y=J}}}else{qb=x;rb=M}b[qb>>0]=rb;x=qb+1|0;f[k>>2]=x;z=z+1|0}while((z|0)<(f[v>>2]|0))}}break}case 84:{z=f[c+(s*20|0)+4>>2]|0;if((f[a+(f[c+(s*20|0)+8>>2]|0)>>2]|0)==(z>>>3|0)){x=f[k>>2]|0;if(z>>>0>127){A=z;ra=x;while(1){b[ra>>0]=A|128;F=A>>>7;y=ra+1|0;if(A>>>0>16383){A=F;ra=y}else{sb=y;tb=F;break}}}else{sb=x;tb=z}b[sb>>0]=tb;ra=sb+1|0;f[k>>2]=ra;A=f[v>>2]|0;F=A&255;if(A>>>0>127){y=ra;Z=F;G=A;qa=((A|0)<0)<<31>>31;while(1){b[y>>0]=Z|-128;A=G;G=pzc(G|0,qa|0,7)|0;B=y+1|0;ta=G&255;if(!(qa>>>0>0|(qa|0)==0&A>>>0>16383)){ub=B;vb=ta;break}else{y=B;Z=ta;qa=J}}}else{ub=ra;vb=F}b[ub>>0]=vb;f[k>>2]=ub+1}break}case 5:{qa=f[c+(s*20|0)+8>>2]|0;if(1<<(qa&31)&f[a+(qa>>>5<<2)>>2]|0){qa=f[c+(s*20|0)+4>>2]|0;Z=f[k>>2]|0;if(qa>>>0>127){y=qa;G=Z;while(1){b[G>>0]=y|128;z=y>>>7;x=G+1|0;if(y>>>0>16383){y=z;G=x}else{wb=x;xb=z;break}}}else{wb=Z;xb=qa}b[wb>>0]=xb;G=v;y=f[G>>2]|0;F=f[G+4>>2]|0;G=wb+1|0;ra=G;b[ra>>0]=y;b[ra+1>>0]=y>>8;b[ra+2>>0]=y>>16;b[ra+3>>0]=y>>24;y=G+4|0;b[y>>0]=F;b[y+1>>0]=F>>8;b[y+2>>0]=F>>16;b[y+3>>0]=F>>24;f[k>>2]=wb+9}break}case 25:{F=v;if(!((f[F>>2]|0)==0&(f[F+4>>2]|0)==0)){F=f[c+(s*20|0)+4>>2]|0;y=f[k>>2]|0;if(F>>>0>127){G=F;ra=y;while(1){b[ra>>0]=G|128;z=G>>>7;x=ra+1|0;if(G>>>0>16383){G=z;ra=x}else{yb=x;zb=z;break}}}else{yb=y;zb=F}b[yb>>0]=zb;ra=v;G=f[ra>>2]|0;qa=f[ra+4>>2]|0;ra=yb+1|0;Z=ra;b[Z>>0]=G;b[Z+1>>0]=G>>8;b[Z+2>>0]=G>>16;b[Z+3>>0]=G>>24;G=ra+4|0;b[G>>0]=qa;b[G+1>>0]=qa>>8;b[G+2>>0]=qa>>16;b[G+3>>0]=qa>>24;f[k>>2]=yb+9}break}case 45:{if((f[v>>2]|0)>0){qa=c+(s*20|0)+4|0;G=v+8|0;ra=0;Z=f[k>>2]|0;do{z=f[qa>>2]|0;if(z>>>0>127){x=z;ta=Z;while(1){b[ta>>0]=x|128;B=x>>>7;A=ta+1|0;if(x>>>0>16383){x=B;ta=A}else{Ab=A;Bb=B;break}}}else{Ab=Z;Bb=z}b[Ab>>0]=Bb;ta=(f[G>>2]|0)+8+(ra<<3)|0;x=f[ta>>2]|0;M=f[ta+4>>2]|0;ta=Ab+1|0;B=ta;b[B>>0]=x;b[B+1>>0]=x>>8;b[B+2>>0]=x>>16;b[B+3>>0]=x>>24;x=ta+4|0;b[x>>0]=M;b[x+1>>0]=M>>8;b[x+2>>0]=M>>16;b[x+3>>0]=M>>24;Z=Ab+9|0;f[k>>2]=Z;ra=ra+1|0}while((ra|0)<(f[v>>2]|0))}break}case 65:{if(f[v>>2]|0){ra=f[c+(s*20|0)+4>>2]|0;Z=f[k>>2]|0;if(ra>>>0>127){G=ra;qa=Z;while(1){b[qa>>0]=G|128;F=G>>>7;y=qa+1|0;if(G>>>0>16383){G=F;qa=y}else{Cb=y;Db=F;break}}}else{Cb=Z;Db=ra}b[Cb>>0]=Db;qa=Cb+1|0;f[k>>2]=qa;G=f[v+12>>2]|0;if(G>>>0>127){F=G;y=qa;while(1){b[y>>0]=F|128;M=F>>>7;x=y+1|0;if(F>>>0>16383){F=M;y=x}else{Eb=x;Fb=M;break}}}else{Eb=qa;Fb=G}b[Eb>>0]=Fb;y=Eb+1|0;f[k>>2]=y;if((f[v>>2]|0)>0){F=v+8|0;ra=0;Z=y;do{y=(f[F>>2]|0)+8+(ra<<3)|0;M=f[y>>2]|0;x=f[y+4>>2]|0;y=Z;ta=y;b[ta>>0]=M;b[ta+1>>0]=M>>8;b[ta+2>>0]=M>>16;b[ta+3>>0]=M>>24;M=y+4|0;b[M>>0]=x;b[M+1>>0]=x>>8;b[M+2>>0]=x>>16;b[M+3>>0]=x>>24;Z=Z+8|0;f[k>>2]=Z;ra=ra+1|0}while((ra|0)<(f[v>>2]|0))}}break}case 85:{ra=f[c+(s*20|0)+4>>2]|0;if((f[a+(f[c+(s*20|0)+8>>2]|0)>>2]|0)==(ra>>>3|0)){Z=f[k>>2]|0;if(ra>>>0>127){F=ra;G=Z;while(1){b[G>>0]=F|128;qa=F>>>7;x=G+1|0;if(F>>>0>16383){F=qa;G=x}else{Gb=x;Hb=qa;break}}}else{Gb=Z;Hb=ra}b[Gb>>0]=Hb;G=v;F=f[G>>2]|0;qa=f[G+4>>2]|0;G=Gb+1|0;x=G;b[x>>0]=F;b[x+1>>0]=F>>8;b[x+2>>0]=F>>16;b[x+3>>0]=F>>24;F=G+4|0;b[F>>0]=qa;b[F+1>>0]=qa>>8;b[F+2>>0]=qa>>16;b[F+3>>0]=qa>>24;f[k>>2]=Gb+9}break}case 6:{qa=f[c+(s*20|0)+8>>2]|0;if(1<<(qa&31)&f[a+(qa>>>5<<2)>>2]|0){qa=f[c+(s*20|0)+4>>2]|0;F=f[k>>2]|0;if(qa>>>0>127){G=qa;x=F;while(1){b[x>>0]=G|128;M=G>>>7;y=x+1|0;if(G>>>0>16383){G=M;x=y}else{Ib=y;Jb=M;break}}}else{Ib=F;Jb=qa}b[Ib>>0]=Jb;x=Ib+1|0;G=f[v>>2]|0;b[x>>0]=G;b[x+1>>0]=G>>8;b[x+2>>0]=G>>16;b[x+3>>0]=G>>24;f[k>>2]=Ib+5}break}case 26:{if(f[v>>2]|0){G=f[c+(s*20|0)+4>>2]|0;x=f[k>>2]|0;if(G>>>0>127){ra=G;Z=x;while(1){b[Z>>0]=ra|128;M=ra>>>7;y=Z+1|0;if(ra>>>0>16383){ra=M;Z=y}else{Kb=y;Lb=M;break}}}else{Kb=x;Lb=G}b[Kb>>0]=Lb;Z=Kb+1|0;ra=f[v>>2]|0;b[Z>>0]=ra;b[Z+1>>0]=ra>>8;b[Z+2>>0]=ra>>16;b[Z+3>>0]=ra>>24;f[k>>2]=Kb+5}break}case 46:{if((f[v>>2]|0)>0){ra=c+(s*20|0)+4|0;Z=v+8|0;qa=0;F=f[k>>2]|0;do{M=f[ra>>2]|0;if(M>>>0>127){y=M;ta=F;while(1){b[ta>>0]=y|128;B=y>>>7;A=ta+1|0;if(y>>>0>16383){y=B;ta=A}else{Mb=A;Nb=B;break}}}else{Mb=F;Nb=M}b[Mb>>0]=Nb;ta=Mb+1|0;y=f[(f[Z>>2]|0)+4+(qa<<2)>>2]|0;b[ta>>0]=y;b[ta+1>>0]=y>>8;b[ta+2>>0]=y>>16;b[ta+3>>0]=y>>24;F=Mb+5|0;f[k>>2]=F;qa=qa+1|0}while((qa|0)<(f[v>>2]|0))}break}case 66:{if(f[v>>2]|0){qa=f[c+(s*20|0)+4>>2]|0;F=f[k>>2]|0;if(qa>>>0>127){Z=qa;ra=F;while(1){b[ra>>0]=Z|128;G=Z>>>7;x=ra+1|0;if(Z>>>0>16383){Z=G;ra=x}else{Ob=x;Pb=G;break}}}else{Ob=F;Pb=qa}b[Ob>>0]=Pb;ra=Ob+1|0;f[k>>2]=ra;Z=f[v+12>>2]|0;if(Z>>>0>127){G=Z;x=ra;while(1){b[x>>0]=G|128;y=G>>>7;ta=x+1|0;if(G>>>0>16383){G=y;x=ta}else{Qb=ta;Rb=y;break}}}else{Qb=ra;Rb=Z}b[Qb>>0]=Rb;x=Qb+1|0;f[k>>2]=x;if((f[v>>2]|0)>0){G=v+8|0;qa=0;F=x;do{x=f[(f[G>>2]|0)+4+(qa<<2)>>2]|0;b[F>>0]=x;b[F+1>>0]=x>>8;b[F+2>>0]=x>>16;b[F+3>>0]=x>>24;F=F+4|0;f[k>>2]=F;qa=qa+1|0}while((qa|0)<(f[v>>2]|0))}}break}case 86:{qa=f[c+(s*20|0)+4>>2]|0;if((f[a+(f[c+(s*20|0)+8>>2]|0)>>2]|0)==(qa>>>3|0)){F=f[k>>2]|0;if(qa>>>0>127){G=qa;Z=F;while(1){b[Z>>0]=G|128;ra=G>>>7;x=Z+1|0;if(G>>>0>16383){G=ra;Z=x}else{Sb=x;Tb=ra;break}}}else{Sb=F;Tb=qa}b[Sb>>0]=Tb;Z=Sb+1|0;G=f[v>>2]|0;b[Z>>0]=G;b[Z+1>>0]=G>>8;b[Z+2>>0]=G>>16;b[Z+3>>0]=G>>24;f[k>>2]=Sb+5}break}case 7:{G=f[c+(s*20|0)+8>>2]|0;if(1<<(G&31)&f[a+(G>>>5<<2)>>2]|0){G=f[c+(s*20|0)+4>>2]|0;Z=f[k>>2]|0;if(G>>>0>127){ra=G;x=Z;while(1){b[x>>0]=ra|128;y=ra>>>7;ta=x+1|0;if(ra>>>0>16383){ra=y;x=ta}else{Ub=ta;Vb=y;break}}}else{Ub=Z;Vb=G}b[Ub>>0]=Vb;b[Ub+1>>0]=b[v>>0]|0;f[k>>2]=Ub+2}break}case 27:{if(b[v>>0]|0){x=f[c+(s*20|0)+4>>2]|0;ra=f[k>>2]|0;if(x>>>0>127){qa=x;F=ra;while(1){b[F>>0]=qa|128;y=qa>>>7;ta=F+1|0;if(qa>>>0>16383){qa=y;F=ta}else{Wb=ta;Xb=y;break}}}else{Wb=ra;Xb=x}b[Wb>>0]=Xb;b[Wb+1>>0]=b[v>>0]|0;f[k>>2]=Wb+2}break}case 47:{if((f[v>>2]|0)>0){F=c+(s*20|0)+4|0;qa=v+8|0;G=0;Z=f[k>>2]|0;do{y=f[F>>2]|0;if(y>>>0>127){ta=y;z=Z;while(1){b[z>>0]=ta|128;B=ta>>>7;A=z+1|0;if(ta>>>0>16383){ta=B;z=A}else{Yb=A;Zb=B;break}}}else{Yb=Z;Zb=y}b[Yb>>0]=Zb;b[Yb+1>>0]=b[(f[qa>>2]|0)+4+G>>0]|0;Z=Yb+2|0;f[k>>2]=Z;G=G+1|0}while((G|0)<(f[v>>2]|0))}break}case 67:{if(f[v>>2]|0){G=f[c+(s*20|0)+4>>2]|0;Z=f[k>>2]|0;if(G>>>0>127){qa=G;F=Z;while(1){b[F>>0]=qa|128;x=qa>>>7;ra=F+1|0;if(qa>>>0>16383){qa=x;F=ra}else{_b=ra;$b=x;break}}}else{_b=Z;$b=G}b[_b>>0]=$b;F=_b+1|0;f[k>>2]=F;qa=f[v+12>>2]|0;if(qa>>>0>127){x=qa;ra=F;while(1){b[ra>>0]=x|128;z=x>>>7;ta=ra+1|0;if(x>>>0>16383){x=z;ra=ta}else{ac=ta;bc=z;break}}}else{ac=F;bc=qa}b[ac>>0]=bc;ra=ac+1|0;f[k>>2]=ra;if((f[v>>2]|0)>0){x=v+8|0;G=0;Z=ra;do{b[Z>>0]=b[(f[x>>2]|0)+4+G>>0]|0;Z=Z+1|0;f[k>>2]=Z;G=G+1|0}while((G|0)<(f[v>>2]|0))}}break}case 87:{G=f[c+(s*20|0)+4>>2]|0;if((f[a+(f[c+(s*20|0)+8>>2]|0)>>2]|0)==(G>>>3|0)){Z=f[k>>2]|0;if(G>>>0>127){x=G;qa=Z;while(1){b[qa>>0]=x|128;F=x>>>7;ra=qa+1|0;if(x>>>0>16383){x=F;qa=ra}else{cc=ra;dc=F;break}}}else{cc=Z;dc=G}b[cc>>0]=dc;b[cc+1>>0]=b[v>>0]|0;f[k>>2]=cc+2}break}case 8:{qa=f[c+(s*20|0)+8>>2]|0;if(1<<(qa&31)&f[a+(qa>>>5<<2)>>2]|0){qa=f[c+(s*20|0)+4>>2]|0;x=f[k>>2]|0;if(qa>>>0>127){F=qa;ra=x;while(1){b[ra>>0]=F|128;z=F>>>7;ta=ra+1|0;if(F>>>0>16383){F=z;ra=ta}else{ec=ta;fc=z;break}}}else{ec=x;fc=qa}b[ec>>0]=fc;ra=ec+1|0;f[k>>2]=ra;F=XJb(f[v>>2]|0,ra)|0;f[k>>2]=F}break}case 28:{F=f[v>>2]|0;ra=b[F+11>>0]|0;if(ra<<24>>24<0)gc=f[F+4>>2]|0;else gc=ra&255;if(gc|0){ra=f[c+(s*20|0)+4>>2]|0;F=f[k>>2]|0;if(ra>>>0>127){G=ra;Z=F;while(1){b[Z>>0]=G|128;z=G>>>7;ta=Z+1|0;if(G>>>0>16383){G=z;Z=ta}else{hc=ta;ic=z;break}}}else{hc=F;ic=ra}b[hc>>0]=ic;Z=hc+1|0;f[k>>2]=Z;G=XJb(f[v>>2]|0,Z)|0;f[k>>2]=G}break}case 48:{G=v+4|0;if((f[G>>2]|0)>0){Z=c+(s*20|0)+4|0;qa=v+12|0;x=0;z=f[k>>2]|0;do{ta=f[Z>>2]|0;if(ta>>>0>127){M=ta;B=z;while(1){b[B>>0]=M|128;A=M>>>7;sa=B+1|0;if(M>>>0>16383){M=A;B=sa}else{jc=sa;kc=A;break}}}else{jc=z;kc=ta}b[jc>>0]=kc;B=jc+1|0;f[k>>2]=B;M=f[qa>>2]|0;z=XJb(f[((M|0)==0?0:M+4|0)+(x<<2)>>2]|0,B)|0;f[k>>2]=z;x=x+1|0}while((x|0)<(f[G>>2]|0))}break}case 68:{uJb(v,t,k);break}case 88:{G=f[c+(s*20|0)+4>>2]|0;if((f[a+(f[c+(s*20|0)+8>>2]|0)>>2]|0)==(G>>>3|0)){x=f[k>>2]|0;if(G>>>0>127){z=G;qa=x;while(1){b[qa>>0]=z|128;Z=z>>>7;ra=qa+1|0;if(z>>>0>16383){z=Z;qa=ra}else{lc=ra;mc=Z;break}}}else{lc=x;mc=G}b[lc>>0]=mc;qa=lc+1|0;f[k>>2]=qa;z=XJb(f[v>>2]|0,qa)|0;f[k>>2]=z}break}case 9:{z=f[c+(s*20|0)+8>>2]|0;if(1<<(z&31)&f[a+(z>>>5<<2)>>2]|0){z=c+(s*20|0)+4|0;qa=f[z>>2]|0;Z=f[k>>2]|0;if(qa>>>0>127){ra=qa;F=Z;while(1){b[F>>0]=ra|128;B=ra>>>7;M=F+1|0;if(ra>>>0>16383){ra=B;F=M}else{nc=M;oc=B;break}}}else{nc=Z;oc=qa}b[nc>>0]=oc;F=nc+1|0;f[k>>2]=F;ra=f[v>>2]|0;G=f[c+(s*20|0)+16>>2]|0;if(!G)pc=li[f[(f[ra>>2]|0)+64>>2]&511](ra,(b[g>>0]|0)!=0,F)|0;else pc=tJb(ra,(f[G+4>>2]|0)+20|0,(f[G>>2]|0)+-1|0,(b[g>>0]|0)!=0,F)|0;f[k>>2]=pc;F=(f[z>>2]|0)+1|0;if(F>>>0>127){G=F;ra=pc;while(1){b[ra>>0]=G|128;x=G>>>7;B=ra+1|0;if(G>>>0>16383){G=x;ra=B}else{qc=B;rc=x;break}}}else{qc=pc;rc=F}b[qc>>0]=rc;f[k>>2]=qc+1}break}case 29:{if(f[v>>2]|0){ra=c+(s*20|0)+4|0;G=f[ra>>2]|0;z=f[k>>2]|0;if(G>>>0>127){qa=G;Z=z;while(1){b[Z>>0]=qa|128;x=qa>>>7;B=Z+1|0;if(qa>>>0>16383){qa=x;Z=B}else{sc=B;tc=x;break}}}else{sc=z;tc=G}b[sc>>0]=tc;Z=sc+1|0;f[k>>2]=Z;qa=f[v>>2]|0;F=f[c+(s*20|0)+16>>2]|0;if(!F)uc=li[f[(f[qa>>2]|0)+64>>2]&511](qa,(b[g>>0]|0)!=0,Z)|0;else uc=tJb(qa,(f[F+4>>2]|0)+20|0,(f[F>>2]|0)+-1|0,(b[g>>0]|0)!=0,Z)|0;f[k>>2]=uc;Z=(f[ra>>2]|0)+1|0;if(Z>>>0>127){F=Z;qa=uc;while(1){b[qa>>0]=F|128;x=F>>>7;B=qa+1|0;if(F>>>0>16383){F=x;qa=B}else{vc=B;wc=x;break}}}else{vc=uc;wc=Z}b[vc>>0]=wc;f[k>>2]=vc+1}break}case 49:{qa=v+4|0;if((f[qa>>2]|0)>0){F=c+(s*20|0)+4|0;ra=v+12|0;G=c+(s*20|0)+16|0;z=0;do{x=f[F>>2]|0;B=f[k>>2]|0;if(x>>>0>127){M=x;y=B;while(1){b[y>>0]=M|128;A=M>>>7;sa=y+1|0;if(M>>>0>16383){M=A;y=sa}else{xc=sa;yc=A;break}}}else{xc=B;yc=x}b[xc>>0]=yc;y=xc+1|0;f[k>>2]=y;M=f[ra>>2]|0;ta=f[((M|0)==0?0:M+4|0)+(z<<2)>>2]|0;M=f[G>>2]|0;if(!M)zc=li[f[(f[ta>>2]|0)+64>>2]&511](ta,(b[g>>0]|0)!=0,y)|0;else zc=tJb(ta,(f[M+4>>2]|0)+20|0,(f[M>>2]|0)+-1|0,(b[g>>0]|0)!=0,y)|0;f[k>>2]=zc;y=(f[F>>2]|0)+1|0;if(y>>>0>127){M=y;ta=zc;while(1){b[ta>>0]=M|128;A=M>>>7;sa=ta+1|0;if(M>>>0>16383){M=A;ta=sa}else{Ac=sa;Bc=A;break}}}else{Ac=zc;Bc=y}b[Ac>>0]=Bc;f[k>>2]=Ac+1;z=z+1|0}while((z|0)<(f[qa>>2]|0))}break}case 69:{uJb(v,t,k);break}case 89:{qa=c+(s*20|0)+4|0;z=f[qa>>2]|0;if((f[a+(f[c+(s*20|0)+8>>2]|0)>>2]|0)==(z>>>3|0)){F=f[k>>2]|0;if(z>>>0>127){G=z;ra=F;while(1){b[ra>>0]=G|128;Z=G>>>7;ta=ra+1|0;if(G>>>0>16383){G=Z;ra=ta}else{Cc=ta;Dc=Z;break}}}else{Cc=F;Dc=z}b[Cc>>0]=Dc;ra=Cc+1|0;f[k>>2]=ra;G=f[v>>2]|0;Z=f[c+(s*20|0)+16>>2]|0;if(!Z)Ec=li[f[(f[G>>2]|0)+64>>2]&511](G,(b[g>>0]|0)!=0,ra)|0;else Ec=tJb(G,(f[Z+4>>2]|0)+20|0,(f[Z>>2]|0)+-1|0,(b[g>>0]|0)!=0,ra)|0;f[k>>2]=Ec;ra=(f[qa>>2]|0)+1|0;if(ra>>>0>127){Z=ra;G=Ec;while(1){b[G>>0]=Z|128;ta=Z>>>7;M=G+1|0;if(Z>>>0>16383){Z=ta;G=M}else{Fc=M;Gc=ta;break}}}else{Fc=Ec;Gc=ra}b[Fc>>0]=Gc;f[k>>2]=Fc+1}break}case 10:{G=f[c+(s*20|0)+8>>2]|0;if(1<<(G&31)&f[a+(G>>>5<<2)>>2]|0){G=f[c+(s*20|0)+4>>2]|0;Z=f[k>>2]|0;if(G>>>0>127){qa=G;z=Z;while(1){b[z>>0]=qa|128;F=qa>>>7;ta=z+1|0;if(qa>>>0>16383){qa=F;z=ta}else{Hc=ta;Ic=F;break}}}else{Hc=Z;Ic=G}b[Hc>>0]=Ic;z=Hc+1|0;f[k>>2]=z;qa=f[v>>2]|0;ra=f[c+(s*20|0)+16>>2]|0;if(!ra){F=di[f[(f[qa>>2]|0)+60>>2]&1023](qa)|0;ta=f[k>>2]|0;if(F>>>0>127){M=F;x=ta;while(1){b[x>>0]=M|128;B=M>>>7;A=x+1|0;if(M>>>0>16383){M=B;x=A}else{Jc=A;Kc=B;break}}}else{Jc=ta;Kc=F}b[Jc>>0]=Kc;x=Jc+1|0;f[k>>2]=x;M=li[f[(f[qa>>2]|0)+64>>2]&511](qa,(b[g>>0]|0)!=0,x)|0;f[k>>2]=M;break a}else{M=f[ra+4>>2]|0;x=f[qa+(f[M>>2]|0)>>2]|0;if(x>>>0>127){G=x;Z=z;while(1){b[Z>>0]=G|128;B=G>>>7;A=Z+1|0;if(G>>>0>16383){G=B;Z=A}else{Lc=A;Mc=B;break}}}else{Lc=z;Mc=x}b[Lc>>0]=Mc;Z=Lc+1|0;f[k>>2]=Z;G=tJb(qa,M+20|0,(f[ra>>2]|0)+-1|0,(b[g>>0]|0)!=0,Z)|0;f[k>>2]=G;break a}}break}case 30:{if(f[v>>2]|0){G=f[c+(s*20|0)+4>>2]|0;Z=f[k>>2]|0;if(G>>>0>127){F=G;ta=Z;while(1){b[ta>>0]=F|128;B=F>>>7;A=ta+1|0;if(F>>>0>16383){F=B;ta=A}else{Nc=A;Oc=B;break}}}else{Nc=Z;Oc=G}b[Nc>>0]=Oc;ta=Nc+1|0;f[k>>2]=ta;F=f[v>>2]|0;ra=f[c+(s*20|0)+16>>2]|0;if(!ra){M=di[f[(f[F>>2]|0)+60>>2]&1023](F)|0;qa=f[k>>2]|0;if(M>>>0>127){x=M;z=qa;while(1){b[z>>0]=x|128;B=x>>>7;A=z+1|0;if(x>>>0>16383){x=B;z=A}else{Pc=A;Qc=B;break}}}else{Pc=qa;Qc=M}b[Pc>>0]=Qc;z=Pc+1|0;f[k>>2]=z;x=li[f[(f[F>>2]|0)+64>>2]&511](F,(b[g>>0]|0)!=0,z)|0;f[k>>2]=x;break a}else{x=f[ra+4>>2]|0;z=f[F+(f[x>>2]|0)>>2]|0;if(z>>>0>127){G=z;Z=ta;while(1){b[Z>>0]=G|128;B=G>>>7;A=Z+1|0;if(G>>>0>16383){G=B;Z=A}else{Rc=A;Sc=B;break}}}else{Rc=ta;Sc=z}b[Rc>>0]=Sc;Z=Rc+1|0;f[k>>2]=Z;G=tJb(F,x+20|0,(f[ra>>2]|0)+-1|0,(b[g>>0]|0)!=0,Z)|0;f[k>>2]=G;break a}}break}case 50:{G=v+4|0;if((f[G>>2]|0)>0){Z=c+(s*20|0)+4|0;M=v+12|0;qa=c+(s*20|0)+16|0;B=0;do{A=f[Z>>2]|0;sa=f[k>>2]|0;if(A>>>0>127){K=A;L=sa;while(1){b[L>>0]=K|128;C=K>>>7;Tc=L+1|0;if(K>>>0>16383){K=C;L=Tc}else{Uc=Tc;Vc=C;break}}}else{Uc=sa;Vc=A}b[Uc>>0]=Vc;L=Uc+1|0;f[k>>2]=L;K=f[M>>2]|0;y=f[((K|0)==0?0:K+4|0)+(B<<2)>>2]|0;K=f[qa>>2]|0;if(!K){C=di[f[(f[y>>2]|0)+60>>2]&1023](y)|0;Tc=f[k>>2]|0;if(C>>>0>127){Wc=C;Xc=Tc;while(1){b[Xc>>0]=Wc|128;Yc=Wc>>>7;Zc=Xc+1|0;if(Wc>>>0>16383){Wc=Yc;Xc=Zc}else{_c=Zc;$c=Yc;break}}}else{_c=Tc;$c=C}b[_c>>0]=$c;Xc=_c+1|0;f[k>>2]=Xc;ad=li[f[(f[y>>2]|0)+64>>2]&511](y,(b[g>>0]|0)!=0,Xc)|0}else{Xc=f[K+4>>2]|0;Wc=f[y+(f[Xc>>2]|0)>>2]|0;if(Wc>>>0>127){A=Wc;sa=L;while(1){b[sa>>0]=A|128;Yc=A>>>7;Zc=sa+1|0;if(A>>>0>16383){A=Yc;sa=Zc}else{bd=Zc;cd=Yc;break}}}else{bd=L;cd=Wc}b[bd>>0]=cd;sa=bd+1|0;f[k>>2]=sa;ad=tJb(y,Xc+20|0,(f[K>>2]|0)+-1|0,(b[g>>0]|0)!=0,sa)|0}f[k>>2]=ad;B=B+1|0}while((B|0)<(f[G>>2]|0))}break}case 70:{uJb(v,t,k);break}case 90:{G=f[c+(s*20|0)+4>>2]|0;if((f[a+(f[c+(s*20|0)+8>>2]|0)>>2]|0)==(G>>>3|0)){B=f[k>>2]|0;if(G>>>0>127){qa=G;M=B;while(1){b[M>>0]=qa|128;Z=qa>>>7;ra=M+1|0;if(qa>>>0>16383){qa=Z;M=ra}else{dd=ra;ed=Z;break}}}else{dd=B;ed=G}b[dd>>0]=ed;M=dd+1|0;f[k>>2]=M;qa=f[v>>2]|0;Z=f[c+(s*20|0)+16>>2]|0;if(!Z){ra=di[f[(f[qa>>2]|0)+60>>2]&1023](qa)|0;x=f[k>>2]|0;if(ra>>>0>127){F=ra;z=x;while(1){b[z>>0]=F|128;ta=F>>>7;sa=z+1|0;if(F>>>0>16383){F=ta;z=sa}else{fd=sa;gd=ta;break}}}else{fd=x;gd=ra}b[fd>>0]=gd;z=fd+1|0;f[k>>2]=z;F=li[f[(f[qa>>2]|0)+64>>2]&511](qa,(b[g>>0]|0)!=0,z)|0;f[k>>2]=F;break a}else{F=f[Z+4>>2]|0;z=f[qa+(f[F>>2]|0)>>2]|0;if(z>>>0>127){G=z;B=M;while(1){b[B>>0]=G|128;ta=G>>>7;sa=B+1|0;if(G>>>0>16383){G=ta;B=sa}else{hd=sa;id=ta;break}}}else{hd=M;id=z}b[hd>>0]=id;B=hd+1|0;f[k>>2]=B;G=tJb(qa,F+20|0,(f[Z>>2]|0)+-1|0,(b[g>>0]|0)!=0,B)|0;f[k>>2]=G;break a}}break}case 11:{G=f[c+(s*20|0)+8>>2]|0;if(1<<(G&31)&f[a+(G>>>5<<2)>>2]|0){G=f[c+(s*20|0)+4>>2]|0;B=f[k>>2]|0;if(G>>>0>127){ra=G;x=B;while(1){b[x>>0]=ra|128;ta=ra>>>7;sa=x+1|0;if(ra>>>0>16383){ra=ta;x=sa}else{jd=sa;kd=ta;break}}}else{jd=B;kd=G}b[jd>>0]=kd;x=jd+1|0;f[k>>2]=x;ra=XJb(f[v>>2]|0,x)|0;f[k>>2]=ra}break}case 31:{ra=f[v>>2]|0;x=b[ra+11>>0]|0;if(x<<24>>24<0)ld=f[ra+4>>2]|0;else ld=x&255;if(ld|0){x=f[c+(s*20|0)+4>>2]|0;ra=f[k>>2]|0;if(x>>>0>127){Z=x;F=ra;while(1){b[F>>0]=Z|128;qa=Z>>>7;z=F+1|0;if(Z>>>0>16383){Z=qa;F=z}else{md=z;nd=qa;break}}}else{md=ra;nd=x}b[md>>0]=nd;F=md+1|0;f[k>>2]=F;Z=XJb(f[v>>2]|0,F)|0;f[k>>2]=Z}break}case 51:{Z=v+4|0;if((f[Z>>2]|0)>0){F=c+(s*20|0)+4|0;G=v+12|0;B=0;qa=f[k>>2]|0;do{z=f[F>>2]|0;if(z>>>0>127){M=z;ta=qa;while(1){b[ta>>0]=M|128;sa=M>>>7;A=ta+1|0;if(M>>>0>16383){M=sa;ta=A}else{od=A;pd=sa;break}}}else{od=qa;pd=z}b[od>>0]=pd;ta=od+1|0;f[k>>2]=ta;M=f[G>>2]|0;qa=XJb(f[((M|0)==0?0:M+4|0)+(B<<2)>>2]|0,ta)|0;f[k>>2]=qa;B=B+1|0}while((B|0)<(f[Z>>2]|0))}break}case 71:{uJb(v,t,k);break}case 91:{Z=f[c+(s*20|0)+4>>2]|0;if((f[a+(f[c+(s*20|0)+8>>2]|0)>>2]|0)==(Z>>>3|0)){B=f[k>>2]|0;if(Z>>>0>127){qa=Z;G=B;while(1){b[G>>0]=qa|128;F=qa>>>7;x=G+1|0;if(qa>>>0>16383){qa=F;G=x}else{qd=x;rd=F;break}}}else{qd=B;rd=Z}b[qd>>0]=rd;G=qd+1|0;f[k>>2]=G;qa=XJb(f[v>>2]|0,G)|0;f[k>>2]=qa}break}case 12:{qa=f[c+(s*20|0)+8>>2]|0;if(1<<(qa&31)&f[a+(qa>>>5<<2)>>2]|0){qa=f[c+(s*20|0)+4>>2]|0;G=f[k>>2]|0;if(qa>>>0>127){F=qa;x=G;while(1){b[x>>0]=F|128;ra=F>>>7;ta=x+1|0;if(F>>>0>16383){F=ra;x=ta}else{sd=ta;td=ra;break}}}else{sd=G;td=qa}b[sd>>0]=td;x=sd+1|0;f[k>>2]=x;F=f[v>>2]|0;if(F>>>0>127){Z=F;B=x;while(1){b[B>>0]=Z|128;ra=Z>>>7;ta=B+1|0;if(Z>>>0>16383){Z=ra;B=ta}else{ud=ta;vd=ra;break}}}else{ud=x;vd=F}b[ud>>0]=vd;f[k>>2]=ud+1}break}case 32:{if(f[v>>2]|0){B=f[c+(s*20|0)+4>>2]|0;Z=f[k>>2]|0;if(B>>>0>127){qa=B;G=Z;while(1){b[G>>0]=qa|128;ra=qa>>>7;ta=G+1|0;if(qa>>>0>16383){qa=ra;G=ta}else{wd=ta;xd=ra;break}}}else{wd=Z;xd=B}b[wd>>0]=xd;G=wd+1|0;f[k>>2]=G;qa=f[v>>2]|0;if(qa>>>0>127){F=qa;x=G;while(1){b[x>>0]=F|128;ra=F>>>7;ta=x+1|0;if(F>>>0>16383){F=ra;x=ta}else{yd=ta;zd=ra;break}}}else{yd=G;zd=qa}b[yd>>0]=zd;f[k>>2]=yd+1}break}case 52:{if((f[v>>2]|0)>0){x=c+(s*20|0)+4|0;F=v+8|0;B=0;Z=f[k>>2]|0;do{ra=f[x>>2]|0;if(ra>>>0>127){ta=ra;M=Z;while(1){b[M>>0]=ta|128;K=ta>>>7;Xc=M+1|0;if(ta>>>0>16383){ta=K;M=Xc}else{Ad=Xc;Bd=K;break}}}else{Ad=Z;Bd=ra}b[Ad>>0]=Bd;M=Ad+1|0;f[k>>2]=M;ta=f[(f[F>>2]|0)+4+(B<<2)>>2]|0;if(ta>>>0>127){z=ta;K=M;while(1){b[K>>0]=z|128;Xc=z>>>7;y=K+1|0;if(z>>>0>16383){z=Xc;K=y}else{Cd=y;Dd=Xc;break}}}else{Cd=M;Dd=ta}b[Cd>>0]=Dd;Z=Cd+1|0;f[k>>2]=Z;B=B+1|0}while((B|0)<(f[v>>2]|0))}break}case 72:{if(f[v>>2]|0){B=f[c+(s*20|0)+4>>2]|0;Z=f[k>>2]|0;if(B>>>0>127){F=B;x=Z;while(1){b[x>>0]=F|128;qa=F>>>7;G=x+1|0;if(F>>>0>16383){F=qa;x=G}else{Ed=G;Fd=qa;break}}}else{Ed=Z;Fd=B}b[Ed>>0]=Fd;x=Ed+1|0;f[k>>2]=x;F=f[v+12>>2]|0;if(F>>>0>127){qa=F;G=x;while(1){b[G>>0]=qa|128;K=qa>>>7;z=G+1|0;if(qa>>>0>16383){qa=K;G=z}else{Gd=z;Hd=K;break}}}else{Gd=x;Hd=F}b[Gd>>0]=Hd;G=Gd+1|0;f[k>>2]=G;if((f[v>>2]|0)>0){qa=v+8|0;B=0;Z=G;do{G=f[(f[qa>>2]|0)+4+(B<<2)>>2]|0;if(G>>>0>127){K=G;z=Z;while(1){b[z>>0]=K|128;ra=K>>>7;Xc=z+1|0;if(K>>>0>16383){K=ra;z=Xc}else{Id=Xc;Jd=ra;break}}}else{Id=Z;Jd=G}b[Id>>0]=Jd;Z=Id+1|0;f[k>>2]=Z;B=B+1|0}while((B|0)<(f[v>>2]|0))}}break}case 92:{B=f[c+(s*20|0)+4>>2]|0;if((f[a+(f[c+(s*20|0)+8>>2]|0)>>2]|0)==(B>>>3|0)){Z=f[k>>2]|0;if(B>>>0>127){qa=B;F=Z;while(1){b[F>>0]=qa|128;x=qa>>>7;z=F+1|0;if(qa>>>0>16383){qa=x;F=z}else{Kd=z;Ld=x;break}}}else{Kd=Z;Ld=B}b[Kd>>0]=Ld;F=Kd+1|0;f[k>>2]=F;qa=f[v>>2]|0;if(qa>>>0>127){x=qa;z=F;while(1){b[z>>0]=x|128;K=x>>>7;ta=z+1|0;if(x>>>0>16383){x=K;z=ta}else{Md=ta;Nd=K;break}}}else{Md=F;Nd=qa}b[Md>>0]=Nd;f[k>>2]=Md+1}break}case 13:{z=f[c+(s*20|0)+8>>2]|0;if(1<<(z&31)&f[a+(z>>>5<<2)>>2]|0){z=f[c+(s*20|0)+4>>2]|0;x=f[k>>2]|0;if(z>>>0>127){B=z;Z=x;while(1){b[Z>>0]=B|128;K=B>>>7;ta=Z+1|0;if(B>>>0>16383){B=K;Z=ta}else{Od=ta;Pd=K;break}}}else{Od=x;Pd=z}b[Od>>0]=Pd;Z=Od+1|0;f[k>>2]=Z;B=f[v>>2]|0;qa=B&255;if(B>>>0>127){F=Z;K=qa;ta=B;M=((B|0)<0)<<31>>31;while(1){b[F>>0]=K|-128;B=ta;ta=pzc(ta|0,M|0,7)|0;ra=F+1|0;Xc=ta&255;if(!(M>>>0>0|(M|0)==0&B>>>0>16383)){Qd=ra;Rd=Xc;break}else{F=ra;K=Xc;M=J}}}else{Qd=Z;Rd=qa}b[Qd>>0]=Rd;f[k>>2]=Qd+1}break}case 33:{if(f[v>>2]|0){M=f[c+(s*20|0)+4>>2]|0;K=f[k>>2]|0;if(M>>>0>127){F=M;ta=K;while(1){b[ta>>0]=F|128;z=F>>>7;x=ta+1|0;if(F>>>0>16383){F=z;ta=x}else{Sd=x;Td=z;break}}}else{Sd=K;Td=M}b[Sd>>0]=Td;ta=Sd+1|0;f[k>>2]=ta;F=f[v>>2]|0;qa=F&255;if(F>>>0>127){Z=ta;z=qa;x=F;Xc=((F|0)<0)<<31>>31;while(1){b[Z>>0]=z|-128;F=x;x=pzc(x|0,Xc|0,7)|0;ra=Z+1|0;B=x&255;if(!(Xc>>>0>0|(Xc|0)==0&F>>>0>16383)){Ud=ra;Vd=B;break}else{Z=ra;z=B;Xc=J}}}else{Ud=ta;Vd=qa}b[Ud>>0]=Vd;f[k>>2]=Ud+1}break}case 53:{if((f[v>>2]|0)>0){Xc=c+(s*20|0)+4|0;z=v+8|0;Z=0;x=f[k>>2]|0;do{M=f[Xc>>2]|0;if(M>>>0>127){K=M;B=x;while(1){b[B>>0]=K|128;ra=K>>>7;F=B+1|0;if(K>>>0>16383){K=ra;B=F}else{Wd=F;Xd=ra;break}}}else{Wd=x;Xd=M}b[Wd>>0]=Xd;B=Wd+1|0;f[k>>2]=B;K=f[(f[z>>2]|0)+4+(Z<<2)>>2]|0;G=K&255;if(K>>>0>127){ra=B;F=G;y=K;Wc=((K|0)<0)<<31>>31;while(1){b[ra>>0]=F|-128;K=y;y=pzc(y|0,Wc|0,7)|0;L=ra+1|0;sa=y&255;if(!(Wc>>>0>0|(Wc|0)==0&K>>>0>16383)){Yd=L;Zd=sa;break}else{ra=L;F=sa;Wc=J}}}else{Yd=B;Zd=G}b[Yd>>0]=Zd;x=Yd+1|0;f[k>>2]=x;Z=Z+1|0}while((Z|0)<(f[v>>2]|0))}break}case 73:{if(f[v>>2]|0){Z=f[c+(s*20|0)+4>>2]|0;x=f[k>>2]|0;if(Z>>>0>127){z=Z;Xc=x;while(1){b[Xc>>0]=z|128;qa=z>>>7;ta=Xc+1|0;if(z>>>0>16383){z=qa;Xc=ta}else{_d=ta;$d=qa;break}}}else{_d=x;$d=Z}b[_d>>0]=$d;Xc=_d+1|0;f[k>>2]=Xc;z=f[v+12>>2]|0;if(z>>>0>127){qa=z;ta=Xc;while(1){b[ta>>0]=qa|128;Wc=qa>>>7;F=ta+1|0;if(qa>>>0>16383){qa=Wc;ta=F}else{ae=F;be=Wc;break}}}else{ae=Xc;be=z}b[ae>>0]=be;ta=ae+1|0;f[k>>2]=ta;if((f[v>>2]|0)>0){qa=v+8|0;Z=0;x=ta;do{ta=f[(f[qa>>2]|0)+4+(Z<<2)>>2]|0;Wc=ta&255;if(ta>>>0>127){F=x;ra=Wc;y=ta;M=((ta|0)<0)<<31>>31;while(1){b[F>>0]=ra|-128;ta=y;y=pzc(y|0,M|0,7)|0;sa=F+1|0;L=y&255;if(!(M>>>0>0|(M|0)==0&ta>>>0>16383)){ce=sa;de=L;break}else{F=sa;ra=L;M=J}}}else{ce=x;de=Wc}b[ce>>0]=de;x=ce+1|0;f[k>>2]=x;Z=Z+1|0}while((Z|0)<(f[v>>2]|0))}}break}case 93:{Z=f[c+(s*20|0)+4>>2]|0;if((f[a+(f[c+(s*20|0)+8>>2]|0)>>2]|0)==(Z>>>3|0)){x=f[k>>2]|0;if(Z>>>0>127){qa=Z;z=x;while(1){b[z>>0]=qa|128;Xc=qa>>>7;M=z+1|0;if(qa>>>0>16383){qa=Xc;z=M}else{ee=M;fe=Xc;break}}}else{ee=x;fe=Z}b[ee>>0]=fe;z=ee+1|0;f[k>>2]=z;qa=f[v>>2]|0;Xc=qa&255;if(qa>>>0>127){M=z;ra=Xc;F=qa;y=((qa|0)<0)<<31>>31;while(1){b[M>>0]=ra|-128;qa=F;F=pzc(F|0,y|0,7)|0;G=M+1|0;B=F&255;if(!(y>>>0>0|(y|0)==0&qa>>>0>16383)){ge=G;he=B;break}else{M=G;ra=B;y=J}}}else{ge=z;he=Xc}b[ge>>0]=he;f[k>>2]=ge+1}break}case 14:{y=f[c+(s*20|0)+8>>2]|0;if(1<<(y&31)&f[a+(y>>>5<<2)>>2]|0){y=f[c+(s*20|0)+4>>2]|0;ra=f[k>>2]|0;if(y>>>0>127){M=y;F=ra;while(1){b[F>>0]=M|128;Z=M>>>7;x=F+1|0;if(M>>>0>16383){M=Z;F=x}else{ie=x;je=Z;break}}}else{ie=ra;je=y}b[ie>>0]=je;F=ie+1|0;M=f[v>>2]|0;b[F>>0]=M;b[F+1>>0]=M>>8;b[F+2>>0]=M>>16;b[F+3>>0]=M>>24;f[k>>2]=ie+5}break}case 34:{if(f[v>>2]|0){M=f[c+(s*20|0)+4>>2]|0;F=f[k>>2]|0;if(M>>>0>127){Xc=M;z=F;while(1){b[z>>0]=Xc|128;Z=Xc>>>7;x=z+1|0;if(Xc>>>0>16383){Xc=Z;z=x}else{ke=x;le=Z;break}}}else{ke=F;le=M}b[ke>>0]=le;z=ke+1|0;Xc=f[v>>2]|0;b[z>>0]=Xc;b[z+1>>0]=Xc>>8;b[z+2>>0]=Xc>>16;b[z+3>>0]=Xc>>24;f[k>>2]=ke+5}break}case 54:{if((f[v>>2]|0)>0){Xc=c+(s*20|0)+4|0;z=v+8|0;y=0;ra=f[k>>2]|0;do{Z=f[Xc>>2]|0;if(Z>>>0>127){x=Z;B=ra;while(1){b[B>>0]=x|128;G=x>>>7;qa=B+1|0;if(x>>>0>16383){x=G;B=qa}else{me=qa;ne=G;break}}}else{me=ra;ne=Z}b[me>>0]=ne;B=me+1|0;x=f[(f[z>>2]|0)+4+(y<<2)>>2]|0;b[B>>0]=x;b[B+1>>0]=x>>8;b[B+2>>0]=x>>16;b[B+3>>0]=x>>24;ra=me+5|0;f[k>>2]=ra;y=y+1|0}while((y|0)<(f[v>>2]|0))}break}case 74:{if(f[v>>2]|0){y=f[c+(s*20|0)+4>>2]|0;ra=f[k>>2]|0;if(y>>>0>127){z=y;Xc=ra;while(1){b[Xc>>0]=z|128;M=z>>>7;F=Xc+1|0;if(z>>>0>16383){z=M;Xc=F}else{oe=F;pe=M;break}}}else{oe=ra;pe=y}b[oe>>0]=pe;Xc=oe+1|0;f[k>>2]=Xc;z=f[v+12>>2]|0;if(z>>>0>127){M=z;F=Xc;while(1){b[F>>0]=M|128;x=M>>>7;B=F+1|0;if(M>>>0>16383){M=x;F=B}else{qe=B;re=x;break}}}else{qe=Xc;re=z}b[qe>>0]=re;F=qe+1|0;f[k>>2]=F;if((f[v>>2]|0)>0){M=v+8|0;y=0;ra=F;do{F=f[(f[M>>2]|0)+4+(y<<2)>>2]|0;b[ra>>0]=F;b[ra+1>>0]=F>>8;b[ra+2>>0]=F>>16;b[ra+3>>0]=F>>24;ra=ra+4|0;f[k>>2]=ra;y=y+1|0}while((y|0)<(f[v>>2]|0))}}break}case 94:{y=f[c+(s*20|0)+4>>2]|0;if((f[a+(f[c+(s*20|0)+8>>2]|0)>>2]|0)==(y>>>3|0)){ra=f[k>>2]|0;if(y>>>0>127){M=y;z=ra;while(1){b[z>>0]=M|128;Xc=M>>>7;F=z+1|0;if(M>>>0>16383){M=Xc;z=F}else{se=F;te=Xc;break}}}else{se=ra;te=y}b[se>>0]=te;z=se+1|0;M=f[v>>2]|0;b[z>>0]=M;b[z+1>>0]=M>>8;b[z+2>>0]=M>>16;b[z+3>>0]=M>>24;f[k>>2]=se+5}break}case 15:{M=f[c+(s*20|0)+8>>2]|0;if(1<<(M&31)&f[a+(M>>>5<<2)>>2]|0){M=f[c+(s*20|0)+4>>2]|0;z=f[k>>2]|0;if(M>>>0>127){Xc=M;F=z;while(1){b[F>>0]=Xc|128;x=Xc>>>7;B=F+1|0;if(Xc>>>0>16383){Xc=x;F=B}else{ue=B;ve=x;break}}}else{ue=z;ve=M}b[ue>>0]=ve;F=v;Xc=f[F>>2]|0;y=f[F+4>>2]|0;F=ue+1|0;ra=F;b[ra>>0]=Xc;b[ra+1>>0]=Xc>>8;b[ra+2>>0]=Xc>>16;b[ra+3>>0]=Xc>>24;Xc=F+4|0;b[Xc>>0]=y;b[Xc+1>>0]=y>>8;b[Xc+2>>0]=y>>16;b[Xc+3>>0]=y>>24;f[k>>2]=ue+9}break}case 35:{y=v;if(!((f[y>>2]|0)==0&(f[y+4>>2]|0)==0)){y=f[c+(s*20|0)+4>>2]|0;Xc=f[k>>2]|0;if(y>>>0>127){F=y;ra=Xc;while(1){b[ra>>0]=F|128;x=F>>>7;B=ra+1|0;if(F>>>0>16383){F=x;ra=B}else{we=B;xe=x;break}}}else{we=Xc;xe=y}b[we>>0]=xe;ra=v;F=f[ra>>2]|0;M=f[ra+4>>2]|0;ra=we+1|0;z=ra;b[z>>0]=F;b[z+1>>0]=F>>8;b[z+2>>0]=F>>16;b[z+3>>0]=F>>24;F=ra+4|0;b[F>>0]=M;b[F+1>>0]=M>>8;b[F+2>>0]=M>>16;b[F+3>>0]=M>>24;f[k>>2]=we+9}break}case 55:{if((f[v>>2]|0)>0){M=c+(s*20|0)+4|0;F=v+8|0;ra=0;z=f[k>>2]|0;do{x=f[M>>2]|0;if(x>>>0>127){B=x;Wc=z;while(1){b[Wc>>0]=B|128;G=B>>>7;qa=Wc+1|0;if(B>>>0>16383){B=G;Wc=qa}else{ye=qa;ze=G;break}}}else{ye=z;ze=x}b[ye>>0]=ze;Wc=(f[F>>2]|0)+8+(ra<<3)|0;B=f[Wc>>2]|0;Z=f[Wc+4>>2]|0;Wc=ye+1|0;G=Wc;b[G>>0]=B;b[G+1>>0]=B>>8;b[G+2>>0]=B>>16;b[G+3>>0]=B>>24;B=Wc+4|0;b[B>>0]=Z;b[B+1>>0]=Z>>8;b[B+2>>0]=Z>>16;b[B+3>>0]=Z>>24;z=ye+9|0;f[k>>2]=z;ra=ra+1|0}while((ra|0)<(f[v>>2]|0))}break}case 75:{if(f[v>>2]|0){ra=f[c+(s*20|0)+4>>2]|0;z=f[k>>2]|0;if(ra>>>0>127){F=ra;M=z;while(1){b[M>>0]=F|128;y=F>>>7;Xc=M+1|0;if(F>>>0>16383){F=y;M=Xc}else{Ae=Xc;Be=y;break}}}else{Ae=z;Be=ra}b[Ae>>0]=Be;M=Ae+1|0;f[k>>2]=M;F=f[v+12>>2]|0;if(F>>>0>127){y=F;Xc=M;while(1){b[Xc>>0]=y|128;Z=y>>>7;B=Xc+1|0;if(y>>>0>16383){y=Z;Xc=B}else{Ce=B;De=Z;break}}}else{Ce=M;De=F}b[Ce>>0]=De;Xc=Ce+1|0;f[k>>2]=Xc;if((f[v>>2]|0)>0){y=v+8|0;ra=0;z=Xc;do{Xc=(f[y>>2]|0)+8+(ra<<3)|0;Z=f[Xc>>2]|0;B=f[Xc+4>>2]|0;Xc=z;Wc=Xc;b[Wc>>0]=Z;b[Wc+1>>0]=Z>>8;b[Wc+2>>0]=Z>>16;b[Wc+3>>0]=Z>>24;Z=Xc+4|0;b[Z>>0]=B;b[Z+1>>0]=B>>8;b[Z+2>>0]=B>>16;b[Z+3>>0]=B>>24;z=z+8|0;f[k>>2]=z;ra=ra+1|0}while((ra|0)<(f[v>>2]|0))}}break}case 95:{ra=f[c+(s*20|0)+4>>2]|0;if((f[a+(f[c+(s*20|0)+8>>2]|0)>>2]|0)==(ra>>>3|0)){z=f[k>>2]|0;if(ra>>>0>127){y=ra;F=z;while(1){b[F>>0]=y|128;M=y>>>7;B=F+1|0;if(y>>>0>16383){y=M;F=B}else{Ee=B;Fe=M;break}}}else{Ee=z;Fe=ra}b[Ee>>0]=Fe;F=v;y=f[F>>2]|0;M=f[F+4>>2]|0;F=Ee+1|0;B=F;b[B>>0]=y;b[B+1>>0]=y>>8;b[B+2>>0]=y>>16;b[B+3>>0]=y>>24;y=F+4|0;b[y>>0]=M;b[y+1>>0]=M>>8;b[y+2>>0]=M>>16;b[y+3>>0]=M>>24;f[k>>2]=Ee+9}break}case 16:{M=f[c+(s*20|0)+8>>2]|0;if(1<<(M&31)&f[a+(M>>>5<<2)>>2]|0){M=f[c+(s*20|0)+4>>2]|0;y=f[k>>2]|0;if(M>>>0>127){F=M;B=y;while(1){b[B>>0]=F|128;Z=F>>>7;Xc=B+1|0;if(F>>>0>16383){F=Z;B=Xc}else{Ge=Xc;He=Z;break}}}else{Ge=y;He=M}b[Ge>>0]=He;B=Ge+1|0;f[k>>2]=B;F=f[v>>2]|0;ra=F<<1^F>>31;if(ra>>>0>127){F=ra;z=B;while(1){b[z>>0]=F|128;Z=F>>>7;Xc=z+1|0;if(F>>>0>16383){F=Z;z=Xc}else{Ie=Xc;Je=Z;break}}}else{Ie=B;Je=ra}b[Ie>>0]=Je;f[k>>2]=Ie+1}break}case 36:{if(f[v>>2]|0){z=f[c+(s*20|0)+4>>2]|0;F=f[k>>2]|0;if(z>>>0>127){M=z;y=F;while(1){b[y>>0]=M|128;Z=M>>>7;Xc=y+1|0;if(M>>>0>16383){M=Z;y=Xc}else{Ke=Xc;Le=Z;break}}}else{Ke=F;Le=z}b[Ke>>0]=Le;y=Ke+1|0;f[k>>2]=y;M=f[v>>2]|0;ra=M<<1^M>>31;if(ra>>>0>127){M=ra;B=y;while(1){b[B>>0]=M|128;Z=M>>>7;Xc=B+1|0;if(M>>>0>16383){M=Z;B=Xc}else{Me=Xc;Ne=Z;break}}}else{Me=y;Ne=ra}b[Me>>0]=Ne;f[k>>2]=Me+1}break}case 56:{if((f[v>>2]|0)>0){B=c+(s*20|0)+4|0;M=v+8|0;z=0;F=f[k>>2]|0;do{Z=f[B>>2]|0;if(Z>>>0>127){Xc=Z;Wc=F;while(1){b[Wc>>0]=Xc|128;G=Xc>>>7;qa=Wc+1|0;if(Xc>>>0>16383){Xc=G;Wc=qa}else{Oe=qa;Pe=G;break}}}else{Oe=F;Pe=Z}b[Oe>>0]=Pe;Wc=Oe+1|0;f[k>>2]=Wc;Xc=f[(f[M>>2]|0)+4+(z<<2)>>2]|0;x=Xc<<1^Xc>>31;if(x>>>0>127){Xc=x;G=Wc;while(1){b[G>>0]=Xc|128;qa=Xc>>>7;L=G+1|0;if(Xc>>>0>16383){Xc=qa;G=L}else{Qe=L;Re=qa;break}}}else{Qe=Wc;Re=x}b[Qe>>0]=Re;F=Qe+1|0;f[k>>2]=F;z=z+1|0}while((z|0)<(f[v>>2]|0))}break}case 76:{if(f[v>>2]|0){z=f[c+(s*20|0)+4>>2]|0;F=f[k>>2]|0;if(z>>>0>127){M=z;B=F;while(1){b[B>>0]=M|128;ra=M>>>7;y=B+1|0;if(M>>>0>16383){M=ra;B=y}else{Se=y;Te=ra;break}}}else{Se=F;Te=z}b[Se>>0]=Te;B=Se+1|0;f[k>>2]=B;M=f[v+12>>2]|0;if(M>>>0>127){ra=M;y=B;while(1){b[y>>0]=ra|128;G=ra>>>7;Xc=y+1|0;if(ra>>>0>16383){ra=G;y=Xc}else{Ue=Xc;Ve=G;break}}}else{Ue=B;Ve=M}b[Ue>>0]=Ve;y=Ue+1|0;f[k>>2]=y;if((f[v>>2]|0)>0){ra=v+8|0;z=0;F=y;do{y=f[(f[ra>>2]|0)+4+(z<<2)>>2]|0;G=y<<1^y>>31;if(G>>>0>127){y=G;Xc=F;while(1){b[Xc>>0]=y|128;Z=y>>>7;qa=Xc+1|0;if(y>>>0>16383){y=Z;Xc=qa}else{We=qa;Xe=Z;break}}}else{We=F;Xe=G}b[We>>0]=Xe;F=We+1|0;f[k>>2]=F;z=z+1|0}while((z|0)<(f[v>>2]|0))}}break}case 96:{z=f[c+(s*20|0)+4>>2]|0;if((f[a+(f[c+(s*20|0)+8>>2]|0)>>2]|0)==(z>>>3|0)){F=f[k>>2]|0;if(z>>>0>127){ra=z;M=F;while(1){b[M>>0]=ra|128;B=ra>>>7;Xc=M+1|0;if(ra>>>0>16383){ra=B;M=Xc}else{Ye=Xc;Ze=B;break}}}else{Ye=F;Ze=z}b[Ye>>0]=Ze;M=Ye+1|0;f[k>>2]=M;ra=f[v>>2]|0;B=ra<<1^ra>>31;if(B>>>0>127){ra=B;Xc=M;while(1){b[Xc>>0]=ra|128;y=ra>>>7;x=Xc+1|0;if(ra>>>0>16383){ra=y;Xc=x}else{_e=x;$e=y;break}}}else{_e=M;$e=B}b[_e>>0]=$e;f[k>>2]=_e+1}break}case 17:{Xc=f[c+(s*20|0)+8>>2]|0;if(1<<(Xc&31)&f[a+(Xc>>>5<<2)>>2]|0){Xc=f[c+(s*20|0)+4>>2]|0;ra=f[k>>2]|0;if(Xc>>>0>127){z=Xc;F=ra;while(1){b[F>>0]=z|128;y=z>>>7;x=F+1|0;if(z>>>0>16383){z=y;F=x}else{af=x;bf=y;break}}}else{af=ra;bf=Xc}b[af>>0]=bf;F=af+1|0;f[k>>2]=F;z=v;B=f[z>>2]|0;M=f[z+4>>2]|0;z=yzc(B|0,M|0,1)|0;y=J;x=ozc(B|0,M|0,63)|0;M=z^x;x=y^J;y=M&255;if(x>>>0>0|(x|0)==0&M>>>0>127){z=F;B=y;Wc=M;M=x;while(1){b[z>>0]=B|-128;x=Wc;Wc=pzc(Wc|0,M|0,7)|0;Z=z+1|0;qa=Wc&255;if(!(M>>>0>0|(M|0)==0&x>>>0>16383)){cf=Z;df=qa;break}else{z=Z;B=qa;M=J}}}else{cf=F;df=y}b[cf>>0]=df;f[k>>2]=cf+1}break}case 37:{M=v;if(!((f[M>>2]|0)==0&(f[M+4>>2]|0)==0)){M=f[c+(s*20|0)+4>>2]|0;B=f[k>>2]|0;if(M>>>0>127){z=M;Wc=B;while(1){b[Wc>>0]=z|128;Xc=z>>>7;ra=Wc+1|0;if(z>>>0>16383){z=Xc;Wc=ra}else{ef=ra;ff=Xc;break}}}else{ef=B;ff=M}b[ef>>0]=ff;Wc=ef+1|0;f[k>>2]=Wc;z=v;y=f[z>>2]|0;F=f[z+4>>2]|0;z=yzc(y|0,F|0,1)|0;Xc=J;ra=ozc(y|0,F|0,63)|0;F=z^ra;ra=Xc^J;Xc=F&255;if(ra>>>0>0|(ra|0)==0&F>>>0>127){z=Wc;y=Xc;qa=F;F=ra;while(1){b[z>>0]=y|-128;ra=qa;qa=pzc(qa|0,F|0,7)|0;Z=z+1|0;x=qa&255;if(!(F>>>0>0|(F|0)==0&ra>>>0>16383)){gf=Z;hf=x;break}else{z=Z;y=x;F=J}}}else{gf=Wc;hf=Xc}b[gf>>0]=hf;f[k>>2]=gf+1}break}case 57:{if((f[v>>2]|0)>0){F=c+(s*20|0)+4|0;y=v+8|0;z=0;qa=f[k>>2]|0;do{M=f[F>>2]|0;if(M>>>0>127){B=M;x=qa;while(1){b[x>>0]=B|128;Z=B>>>7;ra=x+1|0;if(B>>>0>16383){B=Z;x=ra}else{jf=ra;kf=Z;break}}}else{jf=qa;kf=M}b[jf>>0]=kf;x=jf+1|0;f[k>>2]=x;B=(f[y>>2]|0)+8+(z<<3)|0;G=f[B>>2]|0;Z=f[B+4>>2]|0;B=yzc(G|0,Z|0,1)|0;ra=J;L=ozc(G|0,Z|0,63)|0;Z=B^L;L=ra^J;ra=Z&255;if(L>>>0>0|(L|0)==0&Z>>>0>127){B=x;G=ra;sa=Z;Z=L;while(1){b[B>>0]=G|-128;L=sa;sa=pzc(sa|0,Z|0,7)|0;ta=B+1|0;K=sa&255;if(!(Z>>>0>0|(Z|0)==0&L>>>0>16383)){lf=ta;mf=K;break}else{B=ta;G=K;Z=J}}}else{lf=x;mf=ra}b[lf>>0]=mf;qa=lf+1|0;f[k>>2]=qa;z=z+1|0}while((z|0)<(f[v>>2]|0))}break}case 77:{if(f[v>>2]|0){z=f[c+(s*20|0)+4>>2]|0;qa=f[k>>2]|0;if(z>>>0>127){y=z;F=qa;while(1){b[F>>0]=y|128;Xc=y>>>7;Wc=F+1|0;if(y>>>0>16383){y=Xc;F=Wc}else{nf=Wc;of=Xc;break}}}else{nf=qa;of=z}b[nf>>0]=of;F=nf+1|0;f[k>>2]=F;y=f[v+12>>2]|0;if(y>>>0>127){Xc=y;Wc=F;while(1){b[Wc>>0]=Xc|128;Z=Xc>>>7;G=Wc+1|0;if(Xc>>>0>16383){Xc=Z;Wc=G}else{pf=G;qf=Z;break}}}else{pf=F;qf=y}b[pf>>0]=qf;Wc=pf+1|0;f[k>>2]=Wc;if((f[v>>2]|0)>0){Xc=v+8|0;z=0;qa=Wc;do{Wc=(f[Xc>>2]|0)+8+(z<<3)|0;Z=f[Wc>>2]|0;G=f[Wc+4>>2]|0;Wc=yzc(Z|0,G|0,1)|0;B=J;sa=ozc(Z|0,G|0,63)|0;G=Wc^sa;sa=B^J;B=G&255;if(sa>>>0>0|(sa|0)==0&G>>>0>127){Wc=qa;Z=B;M=G;G=sa;while(1){b[Wc>>0]=Z|-128;sa=M;M=pzc(M|0,G|0,7)|0;K=Wc+1|0;ta=M&255;if(!(G>>>0>0|(G|0)==0&sa>>>0>16383)){rf=K;sf=ta;break}else{Wc=K;Z=ta;G=J}}}else{rf=qa;sf=B}b[rf>>0]=sf;qa=rf+1|0;f[k>>2]=qa;z=z+1|0}while((z|0)<(f[v>>2]|0))}}break}case 97:{z=f[c+(s*20|0)+4>>2]|0;if((f[a+(f[c+(s*20|0)+8>>2]|0)>>2]|0)==(z>>>3|0)){qa=f[k>>2]|0;if(z>>>0>127){Xc=z;y=qa;while(1){b[y>>0]=Xc|128;F=Xc>>>7;G=y+1|0;if(Xc>>>0>16383){Xc=F;y=G}else{tf=G;uf=F;break}}}else{tf=qa;uf=z}b[tf>>0]=uf;y=tf+1|0;f[k>>2]=y;Xc=v;F=f[Xc>>2]|0;G=f[Xc+4>>2]|0;Xc=yzc(F|0,G|0,1)|0;Z=J;Wc=ozc(F|0,G|0,63)|0;G=Xc^Wc;Wc=Z^J;Z=G&255;if(Wc>>>0>0|(Wc|0)==0&G>>>0>127){Xc=y;F=Z;M=G;G=Wc;while(1){b[Xc>>0]=F|-128;Wc=M;M=pzc(M|0,G|0,7)|0;ra=Xc+1|0;x=M&255;if(!(G>>>0>0|(G|0)==0&Wc>>>0>16383)){vf=ra;wf=x;break}else{Xc=ra;F=x;G=J}}}else{vf=y;wf=Z}b[vf>>0]=wf;f[k>>2]=vf+1}break}case 100:{vKb(i,f[k>>2]|0,2147483647,-1);PJb(j,i);b[e>>0]=1;b[o>>0]=l;th[f[c+(s*20|0)+16>>2]&255](a,f[t>>2]|0,f[c+(s*20|0)+4>>2]|0,f[c+(s*20|0)+8>>2]|0,j);f[k>>2]=(f[k>>2]|0)+((f[q>>2]|0)-(f[r>>2]|0));QJb(j);break}default:{iLb(i,3,486969,537);fLb(j,gLb(dLb(i,487073)|0,w)|0);jLb(i)}}while(0);s=s+1|0}while((s|0)<(d|0));m=f[k>>2]|0;u=h;return m|0}function uJb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;c=u;u=u+32|0;a=c;iLb(a,3,486969,512);d=dLb(a,487073)|0;e=dLb(hLb(d,f[b+4>>2]|0)|0,487103)|0;fLb(c+24|0,hLb(e,f[b+12>>2]|0)|0);jLb(a);u=c;return}function vJb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=f[a+8>>2]|0;if(!b)return;c=a+4|0;d=a+32|0;e=a+16|0;g=(f[c>>2]|0)-(f[a>>2]|0)+(f[d>>2]|0)+(f[e>>2]|0)|0;if((g|0)<=0)return;yh[f[(f[b>>2]|0)+12>>2]&2047](b,g);g=f[a>>2]|0;b=a+12|0;f[b>>2]=g-(f[c>>2]|0)-(f[d>>2]|0)+(f[b>>2]|0);f[c>>2]=g;f[d>>2]=0;f[e>>2]=0;return}function wJb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;c=f[a+12>>2]|0;d=a+4|0;e=f[d>>2]|0;g=a+32|0;h=f[g>>2]|0;i=c-e+(f[a>>2]|0)-h|0;j=a+28|0;k=f[j>>2]|0;if(!((k-i|0)>(b|0)&((b|0)>-1&(2147483647-i|0)>=(b|0))))return k|0;l=i+b|0;f[j>>2]=l;j=e+h|0;f[d>>2]=j;h=f[a+36>>2]|0;a=(h|0)<(l|0)?h:l;if((c|0)>(a|0)){l=c-a|0;f[g>>2]=l;f[d>>2]=j+(0-l);return k|0}else{f[g>>2]=0;return k|0}return 0}function xJb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0;f[a+28>>2]=c;d=a+32|0;e=a+4|0;g=(f[e>>2]|0)+(f[d>>2]|0)|0;f[e>>2]=g;h=f[a+36>>2]|0;i=(h|0)<(c|0)?h:c;c=f[a+12>>2]|0;if((c|0)>(i|0)){h=c-i|0;f[d>>2]=h;f[e>>2]=g+(0-h);j=a+24|0;b[j>>0]=0;return}else{f[d>>2]=0;j=a+24|0;b[j>>0]=0;return}}function yJb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;d=f[b+12>>2]|0;e=b+4|0;g=f[e>>2]|0;h=b+32|0;i=f[h>>2]|0;j=d-g+(f[b>>2]|0)-i|0;k=b+28|0;l=f[k>>2]|0;do if((l-j|0)>(c|0)&((c|0)>-1&(2147483647-j|0)>=(c|0))){m=j+c|0;f[k>>2]=m;n=g+i|0;f[e>>2]=n;o=f[b+36>>2]|0;p=(o|0)<(m|0)?o:m;if((d|0)>(p|0)){m=d-p|0;f[h>>2]=m;f[e>>2]=n+(0-m);break}else{f[h>>2]=0;break}}while(0);h=b+40|0;b=(f[h>>2]|0)+-1|0;f[h>>2]=b;f[a>>2]=l;f[a+4>>2]=b;return}function zJb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;d=u;u=u+16|0;e=d;g=f[a+4>>2]|0;i=f[a>>2]|0;j=g;k=i;do if((g-i|0)<=9){if(j>>>0>k>>>0?(b[j+-1>>0]|0)>=0:0)break;AJb(e,a);l=(b[e+8>>0]|0)!=0;m=l?0:-1;n=l?f[e>>2]|0:-1;J=m;u=d;return n|0}while(0);e=k+2|0;j=h[k+1>>0]|0;i=c+-128+(j<<7)|0;if(j&128){j=k+3|0;c=h[e>>0]|0;g=i+-16384+(c<<14)|0;if(c&128){c=k+4|0;l=h[j>>0]|0;o=g+-2097152+(l<<21)|0;if(l&128){l=k+5|0;p=h[c>>0]|0;q=o+-268435456+(p<<28)|0;if(p&128){p=k+6|0;if((b[l>>0]|0)<0){r=k+7|0;if((b[p>>0]|0)<0){s=k+8|0;if((b[r>>0]|0)<0){t=k+9|0;if((b[s>>0]|0)<0)if((b[t>>0]|0)<0){m=-1;n=-1;J=m;u=d;return n|0}else{v=q;w=k+10|0}else{v=q;w=t}}else{v=q;w=s}}else{v=q;w=r}}else{v=q;w=p}}else{v=q;w=l}}else{v=o;w=c}}else{v=g;w=j}}else{v=i;w=e}f[a>>2]=w;m=0;n=v;J=m;u=d;return n|0}function AJb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;d=c+4|0;e=f[d>>2]|0;g=f[c>>2]|0;i=e;j=g;a:do if((e-g|0)>9)k=4;else{if(i>>>0>j>>>0?(b[i+-1>>0]|0)>=0:0){k=4;break}else{l=0;m=0;n=0;o=j;p=i}while(1){if((l|0)==10){q=0;r=0;s=0;break a}if((o|0)==(p|0))while(1){if(!(BJb(c)|0)){q=0;r=0;s=0;break a}t=f[c>>2]|0;u=f[d>>2]|0;if((t|0)!=(u|0)){v=t;w=u;break}}else{v=o;w=p}u=h[v>>0]|0;t=yzc(u&127|0,0,l*7|0)|0;x=t|m;t=J|n;o=v+1|0;f[c>>2]=o;if(!(u&128)){q=1;r=x;s=t;break}else{l=l+1|0;m=x;n=t;p=w}}}while(0);do if((k|0)==4){w=j+1|0;p=h[j>>0]|0;if(p&128){n=j+2|0;m=h[w>>0]|0;l=p+-128+(m<<7)|0;if(m&128){m=j+3|0;o=h[n>>0]|0;v=l+-16384+(o<<14)|0;if(o&128){o=j+4|0;d=h[m>>0]|0;i=v+-2097152+(d<<21)|0;if(d&128){d=i+-268435456|0;g=j+5|0;e=h[o>>0]|0;if(e&128){t=j+6|0;x=h[g>>0]|0;u=e+-128+(x<<7)|0;if(x&128){x=j+7|0;y=h[t>>0]|0;z=u+-16384+(y<<14)|0;if(y&128){y=j+8|0;A=h[x>>0]|0;B=z+-2097152+(A<<21)|0;if(A&128){A=B+-268435456|0;C=j+9|0;D=h[y>>0]|0;if(D&128){E=h[C>>0]|0;if(!(E&128)){F=D+-128+(E<<7)|0;G=A;H=d;I=j+10|0}else{q=0;r=0;s=0;break}}else{F=D;G=A;H=d;I=C}}else{F=0;G=B;H=d;I=y}}else{F=0;G=z;H=d;I=x}}else{F=0;G=u;H=d;I=t}}else{F=0;G=e;H=d;I=g}}else{F=0;G=0;H=i;I=o}}else{F=0;G=0;H=v;I=m}}else{F=0;G=0;H=l;I=n}}else{F=0;G=0;H=p;I=w}w=yzc(G|0,0,28)|0;p=J;n=yzc(F|0,0,56)|0;f[c>>2]=I;q=1;r=w|H|n;s=p|J}while(0);H=a;f[H>>2]=r;f[H+4>>2]=s;b[a+8>>0]=q;return}function BJb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;b=u;u=u+48|0;c=b+28|0;d=b+24|0;e=b;g=b+32|0;h=a+32|0;i=f[h>>2]|0;if(((i|0)<=0?(j=a+16|0,(f[j>>2]|0)<=0):0)?(k=a+12|0,l=a+28|0,(f[k>>2]|0)!=(f[l>>2]|0)):0){m=f[a+8>>2]|0;while(1){if(!(li[f[(f[m>>2]|0)+8>>2]&511](m,c,d)|0)){n=18;break}o=f[d>>2]|0;if(o|0){n=10;break}}do if((n|0)==10){m=f[c>>2]|0;f[a>>2]=m;p=a+4|0;f[p>>2]=m+o;if((o|0)>-1)q=o;else{iLb(e,3,487115,590);fLb(g,dLb(e,487212)|0);jLb(e);q=f[d>>2]|0}m=f[k>>2]|0;r=2147483647-q|0;if((m|0)>(r|0)){s=m-r|0;f[j>>2]=s;r=(f[p>>2]|0)+(0-s)|0;f[p>>2]=r;t=r;v=2147483647}else{t=f[p>>2]|0;v=q+m|0}f[k>>2]=v;m=t+(f[h>>2]|0)|0;f[p>>2]=m;r=f[a+36>>2]|0;s=f[l>>2]|0;w=(r|0)<(s|0)?r:s;if((v|0)>(w|0)){s=v-w|0;f[h>>2]=s;f[p>>2]=m+(0-s);x=1;break}else{f[h>>2]=0;x=1;break}}else if((n|0)==18){f[a>>2]=0;f[a+4>>2]=0;x=0}while(0);y=x;u=b;return y|0}x=f[a+36>>2]|0;if(((f[a+12>>2]|0)-i|0)<(x|0)){y=0;u=b;return y|0}if((x|0)==(f[a+28>>2]|0)){y=0;u=b;return y|0}CJb(a);y=0;u=b;return y|0}function CJb(a){a=a|0;var b=0,c=0,d=0;b=u;u=u+32|0;c=b;iLb(c,2,487115,193);d=dLb(c,487249)|0;fLb(b+24|0,dLb(gLb(d,f[a+36>>2]|0)|0,487316)|0);jLb(c);u=b;return}function DJb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;d=a+24|0;e=(b[d>>0]|0)!=0;f[a+28>>2]=c;g=a+32|0;h=a+4|0;i=(f[h>>2]|0)+(f[g>>2]|0)|0;f[h>>2]=i;j=f[a+36>>2]|0;k=(j|0)<(c|0)?j:c;c=f[a+12>>2]|0;if((c|0)>(k|0)){j=c-k|0;f[g>>2]=j;f[h>>2]=i+(0-j);b[d>>0]=0;l=a+40|0;m=f[l>>2]|0;n=m+1|0;f[l>>2]=n;return e|0}else{f[g>>2]=0;b[d>>0]=0;l=a+40|0;m=f[l>>2]|0;n=m+1|0;f[l>>2]=n;return e|0}return 0}function EJb(a){a=a|0;var b=0,c=0;b=f[a+28>>2]|0;if((b|0)==2147483647){c=-1;return c|0}c=b-(f[a+12>>2]|0)+(f[a+4>>2]|0)-(f[a>>2]|0)+(f[a+32>>2]|0)|0;return c|0}function FJb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0;c=f[a+12>>2]|0;d=a+4|0;e=f[d>>2]|0;g=a+32|0;h=f[g>>2]|0;i=c-e+(f[a>>2]|0)-h|0;j=(i|0)<(b|0)?b:i;f[a+36>>2]=j;i=e+h|0;f[d>>2]=i;h=f[a+28>>2]|0;a=(j|0)<(h|0)?j:h;if((c|0)>(a|0)){h=c-a|0;f[g>>2]=h;f[d>>2]=i+(0-h);return}else{f[g>>2]=0;return}}function GJb(a){a=a|0;var b=0,c=0;b=f[a+36>>2]|0;if((b|0)==2147483647){c=-1;return c|0}c=b-(f[a+12>>2]|0)+(f[a+4>>2]|0)-(f[a>>2]|0)+(f[a+32>>2]|0)|0;return c|0}function HJb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;if((f[a+32>>2]|0)>0){f[a>>2]=(f[a>>2]|0)+c;d=0;return d|0}e=b-c|0;f[a>>2]=0;f[a+4>>2]=0;c=f[a+36>>2]|0;b=f[a+28>>2]|0;g=(c|0)<(b|0)?c:b;b=a+12|0;c=f[b>>2]|0;h=g-c|0;if((h|0)>=(e|0)){f[b>>2]=c+e;c=f[a+8>>2]|0;d=Th[f[(f[c>>2]|0)+16>>2]&1023](c,e)|0;return d|0}if((h|0)<=0){d=0;return d|0}f[b>>2]=g;g=f[a+8>>2]|0;Th[f[(f[g>>2]|0)+16>>2]&1023](g,h)|0;d=0;return d|0}function IJb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0;d=a+4|0;e=c;c=b;while(1){b=f[a>>2]|0;g=(f[d>>2]|0)-b|0;h=b;if((e|0)<=(g|0))break;szc(c|0,h|0,g|0)|0;f[a>>2]=(f[a>>2]|0)+g;if(BJb(a)|0){e=e-g|0;c=c+g|0}else{i=0;j=5;break}}if((j|0)==5)return i|0;szc(c|0,h|0,e|0)|0;f[a>>2]=(f[a>>2]|0)+e;i=1;return i|0}function JJb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0;if((d|0)<0){e=0;return e|0}if(((f[a+4>>2]|0)-(f[a>>2]|0)|0)<(d|0)){e=KJb(a,c,d)|0;return e|0}xuc(c,d,0);if((b[c+11>>0]|0)<0)g=f[c>>2]|0;else g=c;szc(g|0,f[a>>2]|0,d|0)|0;f[a>>2]=(f[a>>2]|0)+d;e=1;return e|0}function KJb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;e=c+11|0;g=b[e>>0]|0;h=g<<24>>24<0;if(h)i=f[c+4>>2]|0;else i=g&255;do if(i|0)if(h){b[f[c>>2]>>0]=0;f[c+4>>2]=0;break}else{b[c>>0]=0;b[e>>0]=0;break}while(0);e=f[a+36>>2]|0;h=f[a+28>>2]|0;i=(e|0)<(h|0)?e:h;if((i|0)!=2147483647){h=a+4|0;e=i-(f[a+12>>2]|0)+(f[h>>2]|0)-(f[a>>2]|0)+(f[a+32>>2]|0)|0;if((e|0)<(d|0)|((d|0)<1|(e|0)<1)){j=h;k=a}else{vuc(c,d);j=h;k=a}}else{j=a+4|0;k=a}h=d;while(1){d=f[k>>2]|0;e=(f[j>>2]|0)-d|0;l=d;if((h|0)<=(e|0))break;if(!e)m=l;else{Cuc(c,l,e)|0;m=f[a>>2]|0}f[a>>2]=m+e;if(BJb(a)|0)h=h-e|0;else{n=0;o=18;break}}if((o|0)==18)return n|0;Cuc(c,l,h)|0;f[a>>2]=(f[a>>2]|0)+h;n=1;return n|0}function LJb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;d=u;u=u+16|0;e=d;g=a+4|0;i=f[g>>2]|0;j=f[a>>2]|0;k=j;if((i-j|0)>>>0>3){l=k;m=k+4|0}else{k=i-j|0;i=j;a:do if((k|0)<4){j=4;n=e;o=i;p=k;while(1){szc(n|0,o|0,p|0)|0;f[a>>2]=(f[a>>2]|0)+p;if(!(BJb(a)|0)){q=0;break}r=j-p|0;s=n+p|0;t=f[a>>2]|0;p=(f[g>>2]|0)-t|0;v=t;if((r|0)<=(p|0)){w=r;x=s;y=v;break a}else{j=r;n=s;o=v}}u=d;return q|0}else{w=4;x=e;y=i}while(0);szc(x|0,y|0,w|0)|0;l=e;m=(f[a>>2]|0)+w|0}f[a>>2]=m;m=h[l>>0]|h[l+1>>0]<<8|h[l+2>>0]<<16|h[l+3>>0]<<24;b[c>>0]=m;b[c+1>>0]=m>>8;b[c+2>>0]=m>>16;b[c+3>>0]=m>>24;q=1;u=d;return q|0}function MJb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;d=u;u=u+16|0;e=d;g=a+4|0;i=f[g>>2]|0;j=f[a>>2]|0;k=j;if((i-j|0)>>>0>7){l=k;m=k+8|0}else{k=i-j|0;i=j;a:do if((k|0)<8){j=8;n=e;o=i;p=k;while(1){szc(n|0,o|0,p|0)|0;f[a>>2]=(f[a>>2]|0)+p;if(!(BJb(a)|0)){q=0;break}r=j-p|0;s=n+p|0;t=f[a>>2]|0;p=(f[g>>2]|0)-t|0;v=t;if((r|0)<=(p|0)){w=r;x=s;y=v;break a}else{j=r;n=s;o=v}}u=d;return q|0}else{w=8;x=e;y=i}while(0);szc(x|0,y|0,w|0)|0;l=e;m=(f[a>>2]|0)+w|0}f[a>>2]=m;m=l;l=m;a=h[l>>0]|h[l+1>>0]<<8|h[l+2>>0]<<16|h[l+3>>0]<<24;l=m+4|0;m=h[l>>0]|h[l+1>>0]<<8|h[l+2>>0]<<16|h[l+3>>0]<<24;l=c;c=l;b[c>>0]=a;b[c+1>>0]=a>>8;b[c+2>>0]=a>>16;b[c+3>>0]=a>>24;a=l+4|0;b[a>>0]=m;b[a+1>>0]=m>>8;b[a+2>>0]=m>>16;b[a+3>>0]=m>>24;q=1;u=d;return q|0}function NJb(a){a=a|0;var c=0,d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;c=u;u=u+16|0;d=c;e=f[a+4>>2]|0;g=f[a>>2]|0;i=e;j=g;do if((e-g|0)<=9){if(i>>>0>j>>>0?(b[i+-1>>0]|0)>=0:0)break;AJb(d,a);if(!(b[d+8>>0]|0))k=-1;else{l=d;m=f[l>>2]|0;n=f[l+4>>2]|0;k=n>>>0>0|(n|0)==0&m>>>0>2147483647?-1:m}o=k;u=c;return o|0}while(0);k=j+1|0;d=h[j>>0]|0;if(d&128){i=j+2|0;g=h[k>>0]|0;e=d+-128+(g<<7)|0;if(g&128){g=j+3|0;m=h[i>>0]|0;n=e+-16384+(m<<14)|0;if(m&128){m=j+4|0;l=h[g>>0]|0;p=n+-2097152+(l<<21)|0;if(l&128){l=p+-268435456|0;q=j+5|0;r=h[m>>0]|0;if(r&128){s=j+6|0;t=h[q>>0]|0;v=r+-128+(t<<7)|0;if(t&128){t=j+7|0;w=h[s>>0]|0;x=v+-16384+(w<<14)|0;if(w&128){w=j+8|0;y=h[t>>0]|0;z=x+-2097152+(y<<21)|0;if(y&128){y=z+-268435456|0;A=j+9|0;B=h[w>>0]|0;if(B&128){C=h[A>>0]|0;if(!(C&128)){D=B+-128+(C<<7)|0;E=y;F=l;G=j+10|0}else{o=-1;u=c;return o|0}}else{D=B;E=y;F=l;G=A}}else{D=0;E=z;F=l;G=w}}else{D=0;E=x;F=l;G=t}}else{D=0;E=v;F=l;G=s}}else{D=0;E=r;F=l;G=q}}else{D=0;E=0;F=p;G=m}}else{D=0;E=0;F=n;G=g}}else{D=0;E=0;F=e;G=i}}else{D=0;E=0;F=d;G=k}k=yzc(E|0,0,28)|0;E=J;d=k|F;F=yzc(D|0,0,56)|0;D=E|J;if(D>>>0>0|(D|0)==0&(d|F)>>>0>2147483647){o=-1;u=c;return o|0}f[a>>2]=G;o=d;u=c;return o|0}function OJb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;d=u;u=u+16|0;e=d;g=a+4|0;i=f[g>>2]|0;j=f[a>>2]|0;k=i-j|0;l=i;i=j;a:do if((k|0)<=9){do if((k|0)>0){if((b[l+-1>>0]|0)>=0)break a}else if(!k){j=f[a+32>>2]|0;m=f[a+12>>2]|0;if((j|0)<=0?(m|0)!=(f[a+28>>2]|0):0)break;if((m-j|0)<(f[a+36>>2]|0)){b[a+24>>0]=1;n=0;u=d;return n|0}}while(0);do if((i|0)==(l|0)){if(BJb(a)|0){o=f[a>>2]|0;p=f[g>>2]|0;break}j=f[a+36>>2]|0;if(((f[a+12>>2]|0)-(f[a+32>>2]|0)|0)<(j|0)){b[a+24>>0]=1;n=0;u=d;return n|0}else{b[a+24>>0]=(f[a+28>>2]|0)==(j|0)&1;n=0;u=d;return n|0}}else{o=i;p=l}while(0);if(o>>>0<p>>>0?(j=b[o>>0]|0,j<<24>>24>-1):0){f[a>>2]=o+1;q=j&255}else{AJb(e,a);if(!(b[e+8>>0]|0)){n=0;u=d;return n|0}else q=f[e>>2]|0}n=q;u=d;return n|0}while(0);if(!c){f[a>>2]=i+1;n=0;u=d;return n|0}q=i+2|0;e=h[i+1>>0]|0;o=c+-128+(e<<7)|0;if(e&128){e=i+3|0;c=h[q>>0]|0;p=o+-16384+(c<<14)|0;if(c&128){c=i+4|0;l=h[e>>0]|0;g=p+-2097152+(l<<21)|0;if(l&128){l=i+5|0;k=h[c>>0]|0;j=g+-268435456+(k<<28)|0;if(k&128){k=i+6|0;if((b[l>>0]|0)<0){m=i+7|0;if((b[k>>0]|0)<0){r=i+8|0;if((b[m>>0]|0)<0){s=i+9|0;if((b[r>>0]|0)<0)if((b[s>>0]|0)<0){n=0;u=d;return n|0}else{t=j;v=i+10|0}else{t=j;v=s}}else{t=j;v=r}}else{t=j;v=m}}else{t=j;v=k}}else{t=j;v=l}}else{t=g;v=c}}else{t=p;v=e}}else{t=o;v=q}f[a>>2]=v;n=t;u=d;return n|0}function PJb(a,c){a=a|0;c=c|0;var e=0,g=0,h=0,i=0,j=0,k=0;e=u;u=u+16|0;g=e;f[a>>2]=c;h=a+4|0;i=a+8|0;j=a+12|0;k=a+16|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;d[h+12>>1]=0;b[h+14>>0]=0;if(li[f[(f[c>>2]|0)+8>>2]&511](c,g,i)|0){f[h>>2]=f[g>>2];f[j>>2]=(f[j>>2]|0)+(f[i>>2]|0);b[k>>0]=0;u=e;return}else{f[h>>2]=0;f[i>>2]=0;b[k>>0]=1;b[k>>0]=0;u=e;return}}function QJb(a){a=a|0;var b=0,c=0,d=0;b=a+8|0;c=f[b>>2]|0;if((c|0)<=0)return;d=f[a>>2]|0;yh[f[(f[d>>2]|0)+12>>2]&2047](d,c);c=a+12|0;f[c>>2]=(f[c>>2]|0)-(f[b>>2]|0);f[b>>2]=0;f[a+4>>2]=0;return}function RJb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;e=u;u=u+16|0;g=e;h=a+8|0;i=f[h>>2]|0;j=a+4|0;k=f[j>>2]|0;a:do if((i|0)<(d|0)){l=a+12|0;m=d;n=c;o=k;p=i;while(1){szc(o|0,n|0,p|0)|0;q=f[h>>2]|0;r=f[a>>2]|0;if(!(li[f[(f[r>>2]|0)+8>>2]&511](r,g,h)|0))break;r=n+q|0;s=m-q|0;q=f[g>>2]|0;f[j>>2]=q;p=f[h>>2]|0;f[l>>2]=(f[l>>2]|0)+p;t=q;if((p|0)>=(s|0)){v=s;w=r;x=t;break a}else{m=s;n=r;o=t}}f[j>>2]=0;f[h>>2]=0;b[a+16>>0]=1;u=e;return}else{v=d;w=c;x=k}while(0);szc(x|0,w|0,v|0)|0;f[j>>2]=(f[j>>2]|0)+v;f[h>>2]=(f[h>>2]|0)-v;u=e;return}function SJb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,i=0,j=0,k=0,l=0;e=a+8|0;g=f[e>>2]|0;if((g|0)>(d|0)){i=a+4|0;szc(f[i>>2]|0,c|0,d|0)|0;f[i>>2]=(f[i>>2]|0)+d;f[e>>2]=(f[e>>2]|0)-d;return}if((g|0)>0){i=f[a>>2]|0;yh[f[(f[i>>2]|0)+12>>2]&2047](i,g);g=a+12|0;i=(f[g>>2]|0)-(f[e>>2]|0)|0;f[g>>2]=i;f[e>>2]=0;f[a+4>>2]=0;j=a;k=g;l=i}else{i=a+12|0;j=a;k=i;l=f[i>>2]|0}f[k>>2]=l+d;l=f[j>>2]|0;j=((li[f[(f[l>>2]|0)+20>>2]&511](l,c,d)|0)^1)&1;d=a+16|0;b[d>>0]=h[d>>0]|0|j;return}function TJb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;d=u;u=u+16|0;e=d+4|0;g=d;h=a+8|0;i=f[h>>2]|0;if(i>>>0>3){j=a+4|0;k=f[j>>2]|0;b[k>>0]=c;b[k+1>>0]=c>>8;b[k+2>>0]=c>>16;b[k+3>>0]=c>>24;f[j>>2]=(f[j>>2]|0)+4;f[h>>2]=(f[h>>2]|0)+-4;u=d;return}f[g>>2]=c;c=a+4|0;j=a+12|0;k=4;l=g;g=f[c>>2]|0;m=i;while(1){szc(g|0,l|0,m|0)|0;i=f[h>>2]|0;n=f[a>>2]|0;if(!(li[f[(f[n>>2]|0)+8>>2]&511](n,e,h)|0)){o=6;break}l=l+i|0;k=k-i|0;i=f[e>>2]|0;f[c>>2]=i;m=f[h>>2]|0;f[j>>2]=(f[j>>2]|0)+m;g=i;if((m|0)>=(k|0)){o=7;break}}if((o|0)==6){f[c>>2]=0;f[h>>2]=0;b[a+16>>0]=1;u=d;return}else if((o|0)==7){szc(g|0,l|0,k|0)|0;f[c>>2]=(f[c>>2]|0)+k;f[h>>2]=(f[h>>2]|0)-k;u=d;return}}function UJb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;e=u;u=u+16|0;g=e+8|0;h=e;i=a+8|0;j=f[i>>2]|0;if(j>>>0>7){k=a+4|0;l=f[k>>2]|0;m=l;b[m>>0]=c;b[m+1>>0]=c>>8;b[m+2>>0]=c>>16;b[m+3>>0]=c>>24;m=l+4|0;b[m>>0]=d;b[m+1>>0]=d>>8;b[m+2>>0]=d>>16;b[m+3>>0]=d>>24;f[k>>2]=(f[k>>2]|0)+8;f[i>>2]=(f[i>>2]|0)+-8;u=e;return}k=h;f[k>>2]=c;f[k+4>>2]=d;d=a+4|0;k=a+12|0;c=8;m=h;h=f[d>>2]|0;l=j;while(1){szc(h|0,m|0,l|0)|0;j=f[i>>2]|0;n=f[a>>2]|0;if(!(li[f[(f[n>>2]|0)+8>>2]&511](n,g,i)|0)){o=6;break}m=m+j|0;c=c-j|0;j=f[g>>2]|0;f[d>>2]=j;l=f[i>>2]|0;f[k>>2]=(f[k>>2]|0)+l;h=j;if((l|0)>=(c|0)){o=7;break}}if((o|0)==6){f[d>>2]=0;f[i>>2]=0;b[a+16>>0]=1;u=e;return}else if((o|0)==7){szc(h|0,m|0,c|0)|0;f[d>>2]=(f[d>>2]|0)+c;f[i>>2]=(f[i>>2]|0)-c;u=e;return}}function VJb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;d=u;u=u+16|0;e=d;g=d+4|0;if(c>>>0>127){h=c;i=g;while(1){b[i>>0]=h|128;j=h>>>7;k=i+1|0;if(h>>>0>16383){h=j;i=k}else{l=k;m=j;break}}}else{l=g;m=c}b[l>>0]=m;m=l+1-g|0;l=a+8|0;c=f[l>>2]|0;i=a+4|0;h=f[i>>2]|0;a:do if((c|0)<(m|0)){j=a+12|0;k=m;n=g;o=h;p=c;while(1){szc(o|0,n|0,p|0)|0;q=f[l>>2]|0;r=f[a>>2]|0;if(!(li[f[(f[r>>2]|0)+8>>2]&511](r,e,l)|0))break;r=n+q|0;s=k-q|0;q=f[e>>2]|0;f[i>>2]=q;p=f[l>>2]|0;f[j>>2]=(f[j>>2]|0)+p;t=q;if((p|0)>=(s|0)){v=s;w=r;x=t;break a}else{k=s;n=r;o=t}}f[i>>2]=0;f[l>>2]=0;b[a+16>>0]=1;u=d;return}else{v=m;w=g;x=h}while(0);szc(x|0,w|0,v|0)|0;f[i>>2]=(f[i>>2]|0)+v;f[l>>2]=(f[l>>2]|0)-v;u=d;return}function WJb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;e=u;u=u+16|0;g=e;h=e+4|0;i=c&255;if(d>>>0>0|(d|0)==0&c>>>0>127){j=h;k=i;l=c;c=d;while(1){b[j>>0]=k|-128;d=l;l=pzc(l|0,c|0,7)|0;m=j+1|0;n=l&255;if(!(c>>>0>0|(c|0)==0&d>>>0>16383)){o=m;p=n;break}else{j=m;k=n;c=J}}}else{o=h;p=i}b[o>>0]=p;p=o+1-h|0;o=a+8|0;i=f[o>>2]|0;c=a+4|0;k=f[c>>2]|0;a:do if((i|0)<(p|0)){j=a+12|0;l=p;n=h;m=k;d=i;while(1){szc(m|0,n|0,d|0)|0;q=f[o>>2]|0;r=f[a>>2]|0;if(!(li[f[(f[r>>2]|0)+8>>2]&511](r,g,o)|0))break;r=n+q|0;s=l-q|0;q=f[g>>2]|0;f[c>>2]=q;d=f[o>>2]|0;f[j>>2]=(f[j>>2]|0)+d;t=q;if((d|0)>=(s|0)){v=s;w=r;x=t;break a}else{l=s;n=r;m=t}}f[c>>2]=0;f[o>>2]=0;b[a+16>>0]=1;u=e;return}else{v=p;w=h;x=k}while(0);szc(x|0,w|0,v|0)|0;f[c>>2]=(f[c>>2]|0)+v;f[o>>2]=(f[o>>2]|0)-v;u=e;return}function XJb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;d=a+11|0;e=b[d>>0]|0;if(e<<24>>24<0){g=a+4|0;h=f[g>>2]|0;if(h>>>0>127){i=h;j=c;while(1){b[j>>0]=i|128;k=i>>>7;l=j+1|0;if(i>>>0>16383){i=k;j=l}else{m=l;n=k;o=g;break}}}else{m=c;n=h;o=g}}else{m=c;n=e&255;o=a+4|0}b[m>>0]=n;n=m+1|0;m=b[d>>0]|0;d=m<<24>>24<0;e=d?f[o>>2]|0:m&255;szc(n|0,(d?f[a>>2]|0:a)|0,e|0)|0;return n+e|0}function YJb(a){a=a|0;return}function ZJb(a){a=a|0;fuc(a);return}function _Jb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0;d=a+16|0;e=f[d>>2]|0;g=f[a+8>>2]|0;if((g|0)>(e|0)){h=g-e|0;g=f[a+12>>2]|0;i=(h|0)<(g|0)?h:g;g=a+20|0;f[g>>2]=i;f[b>>2]=(f[a+4>>2]|0)+e;f[c>>2]=i;f[d>>2]=(f[d>>2]|0)+(f[g>>2]|0);j=1;return j|0}else{f[a+20>>2]=0;j=0;return j|0}return 0}function $Jb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=u;u=u+80|0;d=c+48|0;e=c+24|0;g=c;h=a+20|0;i=f[h>>2]|0;if((i|0)>0)j=i;else{iLb(d,3,487461,82);fLb(c+74|0,dLb(dLb(d,487603)|0,487647)|0);jLb(d);j=f[h>>2]|0}if((j|0)<(b|0)){iLb(e,3,487461,84);fLb(c+73|0,dLb(e,487702)|0);jLb(e)}if((b|0)>-1){k=a+16|0;l=f[k>>2]|0;m=l-b|0;f[k>>2]=m;f[h>>2]=0;u=c;return}iLb(g,3,487461,85);fLb(c+72|0,dLb(g,487572)|0);jLb(g);k=a+16|0;l=f[k>>2]|0;m=l-b|0;f[k>>2]=m;f[h>>2]=0;u=c;return}function aKb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=u;u=u+32|0;d=c;if((b|0)<=-1){iLb(d,3,487461,91);fLb(c+24|0,dLb(d,487572)|0);jLb(d)}f[a+20>>2]=0;d=f[a+8>>2]|0;e=a+16|0;a=f[e>>2]|0;g=(d-a|0)<(b|0);f[e>>2]=g?d:a+b|0;u=c;return g^1|0}function bKb(a){a=a|0;var b=0;b=f[a+16>>2]|0;J=((b|0)<0)<<31>>31;return b|0}function cKb(a){a=a|0;return}function dKb(a){a=a|0;fuc(a);return}function eKb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0;d=a+16|0;e=f[d>>2]|0;g=f[a+8>>2]|0;if((g|0)>(e|0)){h=g-e|0;g=f[a+12>>2]|0;i=(h|0)<(g|0)?h:g;g=a+20|0;f[g>>2]=i;f[b>>2]=(f[a+4>>2]|0)+e;f[c>>2]=i;f[d>>2]=(f[d>>2]|0)+(f[g>>2]|0);j=1;return j|0}else{f[a+20>>2]=0;j=0;return j|0}return 0}function fKb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=u;u=u+80|0;d=c+48|0;e=c+24|0;g=c;h=a+20|0;i=f[h>>2]|0;if((i|0)>0)j=i;else{iLb(d,3,487461,132);fLb(c+74|0,dLb(dLb(d,487603)|0,487647)|0);jLb(d);j=f[h>>2]|0}if((j|0)<(b|0)){iLb(e,3,487461,134);fLb(c+73|0,dLb(e,487702)|0);jLb(e)}if((b|0)>-1){k=a+16|0;l=f[k>>2]|0;m=l-b|0;f[k>>2]=m;f[h>>2]=0;u=c;return}iLb(g,3,487461,135);fLb(c+72|0,dLb(g,487572)|0);jLb(g);k=a+16|0;l=f[k>>2]|0;m=l-b|0;f[k>>2]=m;f[h>>2]=0;u=c;return}function gKb(a){a=a|0;var b=0;b=f[a+16>>2]|0;J=((b|0)<0)<<31>>31;return b|0}function hKb(a){a=a|0;return 0}function iKb(a){a=a|0;fuc(a);return}function jKb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=u;u=u+64|0;g=e+24|0;h=e;i=e+48|0;j=a+4|0;a=f[j>>2]|0;if(!a){iLb(g,3,487461,151);fLb(e+49|0,dLb(g,487875)|0);jLb(g);k=f[j>>2]|0}else k=a;a=b[k+11>>0]|0;g=a<<24>>24<0;if(g){l=f[k+4>>2]|0;m=(f[k+8>>2]&2147483647)+-1|0}else{l=a&255;m=10}do if(l>>>0<m>>>0){if(g)n=(f[k+8>>2]&2147483647)+-1|0;else n=10;xuc(k,n,0)}else{if((l|0)<=1073741823){a=l<<1;xuc(k,(a|0)>16?a:16,0);break}iLb(h,2,487461,164);fLb(i,dLb(dLb(h,487952)|0,488002)|0);jLb(h);o=0;u=e;return o|0}while(0);h=f[j>>2]|0;if((b[h+11>>0]|0)<0)p=f[h>>2]|0;else p=h;f[c>>2]=p+l;p=f[j>>2]|0;j=b[p+11>>0]|0;if(j<<24>>24<0)q=f[p+4>>2]|0;else q=j&255;f[d>>2]=q-l;o=1;u=e;return o|0}function kKb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;d=u;u=u+80|0;e=d+48|0;g=d+24|0;h=d;if((c|0)<=-1){iLb(e,3,487461,182);fLb(d+74|0,dLb(e,487572)|0);jLb(e)}e=a+4|0;a=f[e>>2]|0;if(!a){iLb(g,3,487461,183);fLb(d+73|0,dLb(g,487875)|0);jLb(g);i=f[e>>2]|0}else i=a;a=b[i+11>>0]|0;if(a<<24>>24<0)j=f[i+4>>2]|0;else j=a&255;if(j>>>0<c>>>0){iLb(h,3,487461,184);fLb(d+72|0,dLb(h,487907)|0);jLb(h);h=f[e>>2]|0;k=b[h+11>>0]|0;l=h}else{k=a;l=i}if(k<<24>>24<0){m=f[l+4>>2]|0;n=m-c|0;xuc(l,n,0);u=d;return}else{m=k&255;n=m-c|0;xuc(l,n,0);u=d;return}}function lKb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0;c=u;u=u+32|0;d=c;e=a+4|0;a=f[e>>2]|0;if(!a){iLb(d,3,487461,189);fLb(c+24|0,dLb(d,487875)|0);jLb(d);g=f[e>>2]|0}else g=a;a=b[g+11>>0]|0;if(a<<24>>24<0){h=f[g+4>>2]|0;J=0;u=c;return h|0}else{h=a&255;J=0;u=c;return h|0}return 0}function mKb(a){a=a|0;var c=0;f[a>>2]=151572;if(b[a+8>>0]|0?(c=f[a+4>>2]|0,c|0):0)bi[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+24>>2]|0;if(!c)return;guc(c);return}function nKb(a){a=a|0;var c=0;f[a>>2]=151572;if(b[a+8>>0]|0?(c=f[a+4>>2]|0,c|0):0)bi[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+24>>2]|0;if(!c){fuc(a);return}guc(c);fuc(a);return}function oKb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0;e=a+9|0;if(b[e>>0]|0){g=0;return g|0}h=a+24|0;i=f[h>>2]|0;if(!i){j=f[a+28>>2]|0;k=euc((j|0)>-1?j:-1)|0;f[h>>2]=k;l=k}else l=i;i=a+36|0;k=f[i>>2]|0;if((k|0)>0){f[c>>2]=l+(f[a+32>>2]|0)+(0-k);f[d>>2]=k;f[i>>2]=0;g=1;return g|0}i=f[a+4>>2]|0;k=li[f[(f[i>>2]|0)+8>>2]&511](i,l,f[a+28>>2]|0)|0;f[a+32>>2]=k;if((k|0)>=1){l=a+16|0;i=l;j=hzc(f[i>>2]|0,f[i+4>>2]|0,k|0,((k|0)<0)<<31>>31|0)|0;i=l;f[i>>2]=j;f[i+4>>2]=J;f[d>>2]=k;f[c>>2]=f[h>>2];g=1;return g|0}if((k|0)<0)b[e>>0]=1;sKb(a);g=0;return g|0}function pKb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=u;u=u+80|0;d=c+48|0;e=c+74|0;g=c+24|0;h=c+73|0;i=c;j=c+72|0;k=a+36|0;if(!((f[k>>2]|0)==0?(f[a+24>>2]|0)!=0:0)){iLb(d,3,487461,266);fLb(e,dLb(dLb(d,488064)|0,488124)|0);jLb(d)}if((f[a+32>>2]|0)<(b|0)){iLb(g,3,487461,268);fLb(h,dLb(dLb(g,488167)|0,488209)|0);jLb(g)}if((b|0)>-1){f[k>>2]=b;u=c;return}iLb(i,3,487461,271);fLb(j,dLb(dLb(i,487572)|0,488287)|0);jLb(i);f[k>>2]=b;u=c;return}function qKb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;d=u;u=u+32|0;e=d;if((c|0)<=-1){iLb(e,3,487461,278);fLb(d+24|0,dLb(e,487572)|0);jLb(e)}if(b[a+9>>0]|0){g=0;u=d;return g|0}e=a+36|0;h=f[e>>2]|0;if((h|0)<(c|0)){i=c-h|0;f[e>>2]=0;j=f[a+4>>2]|0;k=Th[f[(f[j>>2]|0)+12>>2]&1023](j,i)|0;j=a+16|0;a=j;l=hzc(f[a>>2]|0,f[a+4>>2]|0,k|0,((k|0)<0)<<31>>31|0)|0;a=j;f[a>>2]=l;f[a+4>>2]=J;g=(k|0)==(i|0);u=d;return g|0}else{f[e>>2]=h-c;g=1;u=d;return g|0}return 0}function rKb(a){a=a|0;var b=0,c=0;b=a+16|0;c=f[a+36>>2]|0;a=gzc(f[b>>2]|0,f[b+4>>2]|0,c|0,((c|0)<0)<<31>>31|0)|0;return a|0}function sKb(a){a=a|0;var b=0,c=0;b=u;u=u+32|0;c=b;if(f[a+36>>2]|0){iLb(c,3,487461,311);fLb(b+24|0,dLb(c,488329)|0);jLb(c)}f[a+32>>2]=0;c=a+24|0;a=f[c>>2]|0;if(!a){u=b;return}guc(a);f[c>>2]=0;u=b;return}function tKb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0;c=u;u=u+4096|0;d=c;e=0;while(1){if((e|0)>=(b|0)){g=4;break}h=b-e|0;i=li[f[(f[a>>2]|0)+8>>2]&511](a,d,(h|0)<4096?h:4096)|0;h=(i|0)<1;if(h){g=4;break}else e=(h?0:i)+e|0}if((g|0)==4){u=c;return e|0}return 0}function uKb(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;f[a>>2]=151468;f[a+4>>2]=b;f[a+8>>2]=c;f[a+12>>2]=(d|0)>0?d:c;f[a+16>>2]=0;f[a+20>>2]=0;return}function vKb(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;f[a>>2]=151500;f[a+4>>2]=b;f[a+8>>2]=c;f[a+12>>2]=(d|0)>0?d:c;f[a+16>>2]=0;f[a+20>>2]=0;return}function wKb(a,b){a=a|0;b=b|0;f[a>>2]=151536;f[a+4>>2]=b;return}function xKb(a,c,d){a=a|0;c=c|0;d=d|0;f[a>>2]=151572;f[a+4>>2]=c;b[a+8>>0]=0;b[a+9>>0]=0;c=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[a+24>>2]=0;f[a+28>>2]=(d|0)>0?d:8192;f[a+32>>2]=0;f[a+36>>2]=0;return}function yKb(a,b){a=a|0;b=b|0;return li[f[(f[a>>2]|0)+64>>2]&511](a,(f[224967]|0)!=0,b)|0}function zKb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0;e=u;u=u+80|0;g=e+48|0;h=e+24|0;i=e;j=di[f[(f[a>>2]|0)+68>>2]&1023](a)|0;if(j|0){k=tJb(a,(f[j+4>>2]|0)+20|0,(f[j>>2]|0)+-1|0,c,d)|0;u=e;return k|0}j=di[f[(f[a>>2]|0)+60>>2]&1023](a)|0;vKb(g,d,j,-1);PJb(h,g);b[h+18>>0]=1;b[h+19>>0]=c&1;yh[f[(f[a>>2]|0)+52>>2]&2047](a,h);if(b[h+16>>0]|0){iLb(i,3,488460,373);fLb(e+72|0,dLb(i,488554)|0);jLb(i)}QJb(h);k=d+j|0;u=e;return k|0}function AKb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;d=u;u=u+64|0;e=d+40|0;g=d+16|0;h=d;bi[f[(f[a>>2]|0)+28>>2]&2047](a);if(!(Th[f[(f[a>>2]|0)+44>>2]&1023](a,c)|0)){i=0;u=d;return i|0}if(di[f[(f[a>>2]|0)+32>>2]&1023](a)|0){i=1;u=d;return i|0}iLb(g,2,488460,121);f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;Duc(h,488624)|0;Duc(h,488631)|0;Duc(h,488637)|0;yh[f[(f[a>>2]|0)+8>>2]&2047](e,a);c=e+11|0;j=b[c>>0]|0;k=j<<24>>24<0;Cuc(h,k?f[e>>2]|0:e,k?f[e+4>>2]|0:j&255)|0;if((b[c>>0]|0)<0)fuc(f[e>>2]|0);Duc(h,488656)|0;yh[f[(f[a>>2]|0)+36>>2]&2047](e,a);a=e+11|0;c=b[a>>0]|0;j=c<<24>>24<0;Cuc(h,j?f[e>>2]|0:e,j?f[e+4>>2]|0:c&255)|0;if((b[a>>0]|0)<0)fuc(f[e>>2]|0);fLb(d+52|0,eLb(g,h)|0);if((b[h+11>>0]|0)<0)fuc(f[h>>2]|0);jLb(g);i=0;u=d;return i|0}function BKb(a,c){a=a|0;c=c|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;e=u;u=u+112|0;g=e+96|0;h=e+72|0;i=e+60|0;j=e+108|0;k=e;l=b[c+11>>0]|0;m=l<<24>>24<0;n=m?f[c>>2]|0:c;o=m?f[c+4>>2]|0:l&255;f[k>>2]=n;f[k+4>>2]=n+o;f[k+8>>2]=0;f[k+12>>2]=o;n=k+16|0;f[n>>2]=0;f[n+4>>2]=0;d[n+8>>1]=0;f[k+28>>2]=o;f[k+32>>2]=0;f[k+36>>2]=2147483647;o=f[37864]|0;f[k+40>>2]=o;f[k+44>>2]=o;b[k+48>>0]=1;f[k+52>>2]=0;f[k+56>>2]=0;bi[f[(f[a>>2]|0)+28>>2]&2047](a);if(Th[f[(f[a>>2]|0)+44>>2]&1023](a,k)|0){if(di[f[(f[a>>2]|0)+32>>2]&1023](a)|0){p=(b[k+24>>0]|0)!=0;vJb(k);u=e;return p|0}iLb(h,2,488460,121);f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;Duc(i,488624)|0;Duc(i,488631)|0;Duc(i,488637)|0;yh[f[(f[a>>2]|0)+8>>2]&2047](g,a);o=g+11|0;n=b[o>>0]|0;l=n<<24>>24<0;Cuc(i,l?f[g>>2]|0:g,l?f[g+4>>2]|0:n&255)|0;if((b[o>>0]|0)<0)fuc(f[g>>2]|0);Duc(i,488656)|0;yh[f[(f[a>>2]|0)+36>>2]&2047](g,a);a=g+11|0;o=b[a>>0]|0;n=o<<24>>24<0;Cuc(i,n?f[g>>2]|0:g,n?f[g+4>>2]|0:o&255)|0;if((b[a>>0]|0)<0)fuc(f[g>>2]|0);fLb(j,eLb(h,i)|0);if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0);jLb(h)}p=0;vJb(k);u=e;return p|0}function CKb(a,c){a=a|0;c=c|0;var e=0,g=0,h=0,i=0,j=0,k=0;e=u;u=u+64|0;g=e;h=b[c+11>>0]|0;i=h<<24>>24<0;j=i?f[c>>2]|0:c;k=i?f[c+4>>2]|0:h&255;f[g>>2]=j;f[g+4>>2]=j+k;f[g+8>>2]=0;f[g+12>>2]=k;j=g+16|0;f[j>>2]=0;f[j+4>>2]=0;d[j+8>>1]=0;f[g+28>>2]=k;f[g+32>>2]=0;f[g+36>>2]=2147483647;k=f[37864]|0;f[g+40>>2]=k;f[g+44>>2]=k;b[g+48>>0]=1;f[g+52>>2]=0;f[g+56>>2]=0;bi[f[(f[a>>2]|0)+28>>2]&2047](a);k=Th[f[(f[a>>2]|0)+44>>2]&1023](a,g)|0;a=k&(b[g+24>>0]|0)!=0;vJb(g);u=e;return a|0}function DKb(a,c,e){a=a|0;c=c|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;g=u;u=u+112|0;h=g+96|0;i=g+72|0;j=g+60|0;k=g+108|0;l=g;f[l>>2]=c;f[l+4>>2]=c+e;f[l+8>>2]=0;f[l+12>>2]=e;c=l+16|0;f[c>>2]=0;f[c+4>>2]=0;d[c+8>>1]=0;f[l+28>>2]=e;f[l+32>>2]=0;f[l+36>>2]=2147483647;e=f[37864]|0;f[l+40>>2]=e;f[l+44>>2]=e;b[l+48>>0]=1;f[l+52>>2]=0;f[l+56>>2]=0;bi[f[(f[a>>2]|0)+28>>2]&2047](a);if(Th[f[(f[a>>2]|0)+44>>2]&1023](a,l)|0){if(di[f[(f[a>>2]|0)+32>>2]&1023](a)|0){m=(b[l+24>>0]|0)!=0;vJb(l);u=g;return m|0}iLb(i,2,488460,121);f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;Duc(j,488624)|0;Duc(j,488631)|0;Duc(j,488637)|0;yh[f[(f[a>>2]|0)+8>>2]&2047](h,a);e=h+11|0;c=b[e>>0]|0;n=c<<24>>24<0;Cuc(j,n?f[h>>2]|0:h,n?f[h+4>>2]|0:c&255)|0;if((b[e>>0]|0)<0)fuc(f[h>>2]|0);Duc(j,488656)|0;yh[f[(f[a>>2]|0)+36>>2]&2047](h,a);a=h+11|0;e=b[a>>0]|0;c=e<<24>>24<0;Cuc(j,c?f[h>>2]|0:h,c?f[h+4>>2]|0:e&255)|0;if((b[a>>0]|0)<0)fuc(f[h>>2]|0);fLb(k,eLb(i,j)|0);if((b[j+11>>0]|0)<0)fuc(f[j>>2]|0);jLb(i)}m=0;vJb(l);u=g;return m|0}function EKb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;g=u;u=u+96|0;h=g+48|0;i=g+72|0;j=g+24|0;k=g+85|0;l=g;m=g+84|0;if((a|0)!=(c|0)){iLb(h,3,488460,68);c=dLb(h,488738)|0;yh[f[(f[e>>2]|0)+8>>2]&2047](i,e);fLb(g+86|0,dLb(eLb(c,i)|0,488822)|0);if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0);jLb(h)}if((d|0)==(a|0)){iLb(l,3,488460,75);n=dLb(l,489112)|0;fLb(m,n);jLb(l);u=g;return}iLb(j,3,488460,71);a=dLb(dLb(j,488871)|0,488957)|0;yh[f[(f[e>>2]|0)+8>>2]&2047](i,e);fLb(k,dLb(eLb(a,i)|0,531099)|0);if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0);jLb(j);iLb(l,3,488460,75);n=dLb(l,489112)|0;fLb(m,n);jLb(l);u=g;return}function FKb(a,b){a=a|0;b=b|0;return GKb(a,b)|0}function GKb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;d=u;u=u+32|0;e=d;g=c+11|0;h=b[g>>0]|0;if(h<<24>>24<0)i=f[c+4>>2]|0;else i=h&255;h=di[f[(f[a>>2]|0)+48>>2]&1023](a)|0;if((h|0)<0){iLb(e,2,488460,289);fLb(d+24|0,hLb(dLb(e,488698)|0,h)|0);jLb(e);j=0;u=d;return j|0}xuc(c,h+i|0,0);if((b[g>>0]|0)<0)k=f[c>>2]|0;else k=c;c=k+i|0;i=(Th[f[(f[a>>2]|0)+56>>2]&1023](a,c)|0)-c|0;if((i|0)==(h|0)){j=1;u=d;return j|0}EKb(h,di[f[(f[a>>2]|0)+48>>2]&1023](a)|0,i,a);j=1;u=d;return j|0}function HKb(a,c){a=a|0;c=c|0;var d=0;d=c+11|0;if((b[d>>0]|0)<0){b[f[c>>2]>>0]=0;f[c+4>>2]=0}else{b[c>>0]=0;b[d>>0]=0}return GKb(a,c)|0}function IKb(a,c){a=a|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;if(GKb(c,a)|0)return;c=a+11|0;if((b[c>>0]|0)<0){b[f[a>>2]>>0]=0;f[a+4>>2]=0;return}else{b[a>>0]=0;b[c>>0]=0;return}}function JKb(a,b){a=a|0;b=b|0;ruc(b,a)|0;return}function KKb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;c=u;u=u+32|0;d=c;e=a+4|0;g=f[e>>2]|0;h=g+b|0;b=a+8|0;i=f[b>>2]|0;j=a+12|0;k=f[j>>2]|0;if((i|0)>=(h|0)){l=k;m=g;n=l+4+(m<<2)|0;u=c;return n|0}g=f[a>>2]|0;a=i<<1;i=(a|0)<(h|0)?h:a;a=(i|0)>4?i:4;if(a>>>0>1073741822){iLb(d,3,489165,59);fLb(c+24|0,dLb(dLb(d,489261)|0,489378)|0);jLb(d)}d=a<<2;i=(g|0)==0;if(i)o=cuc(d+4|0)|0;else{h=d+11&-8;if(f[g+64>>2]|0)HIb(g,27008,h);o=FIb(g,h)|0}f[j>>2]=o;f[b>>2]=a;if((k|0)!=0?(a=f[k>>2]|0,(a|0)>0):0){szc(o+4|0,k+4|0,a<<2|0)|0;p=f[k>>2]|0;q=f[j>>2]|0}else{p=0;q=o}f[q>>2]=p;if(i){fuc(k);r=f[j>>2]|0}else r=q;l=r;m=f[e>>2]|0;n=l+4+(m<<2)|0;u=c;return n|0}function LKb(a,b){a=a|0;b=b|0;var c=0;c=f[a+4>>2]|0;if((c|0)>=(b|0))return;KKb(a,b-c|0)|0;return}function MKb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;d=a+12|0;e=f[d>>2]|0;if(!e)return;g=c+b|0;b=f[e>>2]|0;if((g|0)<(b|0)){h=g;g=e;while(1){f[g+4+(h-c<<2)>>2]=f[g+4+(h<<2)>>2];h=h+1|0;i=f[d>>2]|0;j=f[i>>2]|0;if((h|0)>=(j|0)){k=j;l=i;break}else g=i}}else{k=b;l=e}e=a+4|0;f[e>>2]=(f[e>>2]|0)-c;f[l>>2]=k-c;return}function NKb(a){a=a|0;var c=0;f[a>>2]=151604;c=a+12|0;if((b[c+11>>0]|0)>=0)return;fuc(f[c>>2]|0);return}function OKb(a){a=a|0;var c=0;f[a>>2]=151604;c=a+12|0;if((b[c+11>>0]|0)>=0){fuc(a);return}fuc(f[c>>2]|0);fuc(a);return}function PKb(a){a=a|0;var c=0,d=0;c=a+12|0;if((b[c+11>>0]|0)<0){d=f[c>>2]|0;return d|0}else{d=c;return d|0}return 0}function QKb(a){a=a|0;return}function RKb(a){a=a|0;fuc(a);return}function SKb(a){a=a|0;var c=0;c=b[a+8>>0]|0;_h[f[a+4>>2]&255]();if((a|0)==0|c<<24>>24==0)return;bi[f[(f[a>>2]|0)+4>>2]&2047](a);return}function TKb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;e=u;u=u+256|0;g=e+48|0;h=e+32|0;i=e+16|0;j=e;k=e+128|0;l=e+88|0;m=e+112|0;n=e+64|0;if((c|0)>3005001){f[l>>2]=3;f[l+4>>2]=489534;f[l+8>>2]=68;o=l+12|0;f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;Duc(o,489628)|0;f[j>>2]=(c>>>0)/1e6|0;f[j+4>>2]=(((c>>>0)/1e3|0)>>>0)%1e3|0;f[j+8>>2]=(c>>>0)%1e3|0;ufc(k,128,489659,j)|0;c=k+127|0;b[c>>0]=0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;p=jfc(k)|0;if(p>>>0>4294967279)muc(m);if(p>>>0<11){q=m+11|0;b[q>>0]=p;if(!p){r=m;s=q}else{t=m;v=q;w=7}}else{q=p+16&-16;x=cuc(q)|0;f[m>>2]=x;f[m+8>>2]=q|-2147483648;f[m+4>>2]=p;t=x;v=m+11|0;w=7}if((w|0)==7){szc(t|0,k|0,p|0)|0;r=t;s=v}b[r+p>>0]=0;p=b[s>>0]|0;r=p<<24>>24<0;Cuc(o,r?f[m>>2]|0:m,r?f[m+4>>2]|0:p&255)|0;Duc(o,489668)|0;f[i>>2]=3;f[i+4>>2]=5;f[i+8>>2]=1;ufc(k,128,489659,i)|0;b[c>>0]=0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;c=jfc(k)|0;if(c>>>0>4294967279)muc(j);if(c>>>0<11){i=j+11|0;b[i>>0]=c;if(!c){y=j;z=i}else{A=j;B=i;w=13}}else{i=c+16&-16;p=cuc(i)|0;f[j>>2]=p;f[j+8>>2]=i|-2147483648;f[j+4>>2]=c;A=p;B=j+11|0;w=13}if((w|0)==13){szc(A|0,k|0,c|0)|0;y=A;z=B}b[y+c>>0]=0;c=b[z>>0]|0;y=c<<24>>24<0;Cuc(o,y?f[j>>2]|0:j,y?f[j+4>>2]|0:c&255)|0;Duc(o,489739)|0;Duc(o,d)|0;Duc(o,489945)|0;UKb(l);if((b[z>>0]|0)<0)fuc(f[j>>2]|0);if((b[s>>0]|0)<0)fuc(f[m>>2]|0);if((b[o+11>>0]|0)<0)fuc(f[o>>2]|0)}if((a|0)>=3005e3){u=e;return}f[n>>2]=3;f[n+4>>2]=489534;f[n+8>>2]=79;o=n+12|0;f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;Duc(o,489949)|0;f[h>>2]=(a|0)/1e6|0;f[h+4>>2]=((a|0)/1e3|0|0)%1e3|0;f[h+8>>2]=(a|0)%1e3|0;ufc(k,128,489659,h)|0;a=k+127|0;b[a>>0]=0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;s=jfc(k)|0;if(s>>>0>4294967279)muc(m);if(s>>>0<11){j=m+11|0;b[j>>0]=s;if(!s){C=m;D=j}else{E=m;F=j;w=26}}else{j=s+16&-16;z=cuc(j)|0;f[m>>2]=z;f[m+8>>2]=j|-2147483648;f[m+4>>2]=s;E=z;F=m+11|0;w=26}if((w|0)==26){szc(E|0,k|0,s|0)|0;C=E;D=F}b[C+s>>0]=0;s=b[D>>0]|0;C=s<<24>>24<0;Cuc(o,C?f[m>>2]|0:m,C?f[m+4>>2]|0:s&255)|0;Duc(o,489992)|0;f[g>>2]=3;f[g+4>>2]=5;f[g+8>>2]=1;ufc(k,128,489659,g)|0;b[a>>0]=0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;a=jfc(k)|0;if(a>>>0>4294967279)muc(h);if(a>>>0<11){g=h+11|0;b[g>>0]=a;if(!a){G=h;H=g}else{I=h;J=g;w=32}}else{g=a+16&-16;s=cuc(g)|0;f[h>>2]=s;f[h+8>>2]=g|-2147483648;f[h+4>>2]=a;I=s;J=h+11|0;w=32}if((w|0)==32){szc(I|0,k|0,a|0)|0;G=I;H=J}b[G+a>>0]=0;a=b[H>>0]|0;G=a<<24>>24<0;Cuc(o,G?f[h>>2]|0:h,G?f[h+4>>2]|0:a&255)|0;Duc(o,490086)|0;Duc(o,d)|0;Duc(o,489945)|0;UKb(n);if((b[H>>0]|0)<0)fuc(f[h>>2]|0);if((b[D>>0]|0)<0)fuc(f[m>>2]|0);if((b[o+11>>0]|0)>=0){u=e;return}fuc(f[o>>2]|0);u=e;return}function UKb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0;c=u;u=u+16|0;d=c;if((f[a>>2]|0)!=3){if((f[224968]|0)!=2){f[d>>2]=151624;f[d+4>>2]=126;b[d+8>>0]=0;xLb(899872,d)}d=f[224971]|0;WKb(d);e=f[224972]|0;XKb(d);if((e|0)<=0){g=f[a>>2]|0;h=6}}else{g=3;h=6}if((h|0)==6)sh[f[37909]&255](g,f[a+4>>2]|0,f[a+8>>2]|0,a+12|0);if((f[a>>2]|0)==3){g=ze(24)|0;YKb(g,f[a+4>>2]|0,f[a+8>>2]|0,a+12|0);Hf(g|0,23936,1660)}else{u=c;return}}function VKb(){var a=0,b=0;a=cuc(4)|0;b=cuc(28)|0;f[a>>2]=b;Mf(b|0,0)|0;f[224971]=a;$Kb(127);return}function WKb(a){a=a|0;var c=0,d=0,e=0;c=u;u=u+32|0;d=c;e=jzc(f[a>>2]|0)|0;if(!e){u=c;return}f[d>>2]=3;f[d+4>>2]=489534;f[d+8>>2]=378;a=d+12|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;Duc(a,490376)|0;Duc(a,Nec(e)|0)|0;UKb(d);if((b[a+11>>0]|0)>=0){u=c;return}fuc(f[a>>2]|0);u=c;return}function XKb(a){a=a|0;var c=0,d=0,e=0;c=u;u=u+32|0;d=c;e=izc(f[a>>2]|0)|0;if(!e){u=c;return}f[d>>2]=3;f[d+4>>2]=489534;f[d+8>>2]=385;a=d+12|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;Duc(a,490353)|0;Duc(a,Nec(e)|0)|0;UKb(d);if((b[a+11>>0]|0)>=0){u=c;return}fuc(f[a>>2]|0);u=c;return}function YKb(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;f[a>>2]=151604;f[a+4>>2]=b;f[a+8>>2]=c;ouc(a+12|0,d);return}function ZKb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0;g=u;u=u+16|0;h=g;if((a|0)<0){u=g;return}i=f[39949]|0;j=(b[e+11>>0]|0)<0?f[e>>2]|0:e;f[h>>2]=f[151640+(a<<2)>>2];f[h+4>>2]=c;f[h+8>>2]=d;f[h+12>>2]=j;Ugc(i,490307,h)|0;vgc(i)|0;u=g;return}function _Kb(){var a=0,b=0;a=f[224971]|0;if(!a){f[224971]=0;return}wf(f[a>>2]|0)|0;b=f[a>>2]|0;if(b|0)fuc(b);fuc(a);f[224971]=0;return}function $Kb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0;c=u;u=u+16|0;d=c+4|0;e=c;f[e>>2]=a;if((f[224970]|0)!=2){f[d>>2]=151624;f[d+4>>2]=128;b[d+8>>0]=0;xLb(899880,d)}d=(f[224969]|0)+36|0;WKb(d);a=f[224969]|0;g=a+4|0;h=f[g>>2]|0;if((h|0)==(f[a+8>>2]|0)){bLb(a,e);XKb(d);u=c;return}else{f[h>>2]=f[e>>2];f[g>>2]=(f[g>>2]|0)+4;XKb(d);u=c;return}}function aLb(){var a=0;a=cuc(40)|0;cLb(a);f[224969]=a;return}function bLb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+4|0;d=f[a>>2]|0;e=(f[c>>2]|0)-d|0;g=e>>2;h=g+1|0;if(h>>>0>1073741823)nsc(a);i=a+8|0;j=(f[i>>2]|0)-d|0;k=j>>1;l=j>>2>>>0<536870911?(k>>>0<h>>>0?h:k):1073741823;do if(l)if(l>>>0>1073741823){k=ze(8)|0;kuc(k,519086);f[k>>2]=167148;Hf(k|0,26888,1888)}else{m=cuc(l<<2)|0;break}else m=0;while(0);k=m+(g<<2)|0;f[k>>2]=f[b>>2];b=k+(0-g<<2)|0;if((e|0)>0)szc(b|0,d|0,e|0)|0;f[a>>2]=b;f[c>>2]=k+4;f[i>>2]=m+(l<<2);if(!d)return;fuc(d);return}function cLb(a){a=a|0;var b=0,c=0;b=a;c=b+36|0;do{f[b>>2]=0;b=b+4|0}while((b|0)<(c|0));b=cuc(28)|0;f[a+36>>2]=b;Mf(b|0,0)|0;return}function dLb(a,b){a=a|0;b=b|0;Duc(a+12|0,b)|0;return a|0}function eLb(a,c){a=a|0;c=c|0;var d=0,e=0;d=b[c+11>>0]|0;e=d<<24>>24<0;Cuc(a+12|0,e?f[c>>2]|0:c,e?f[c+4>>2]|0:d&255)|0;return a|0}function fLb(a,b){a=a|0;b=b|0;UKb(b);return}function gLb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+144|0;e=d;g=d+8|0;f[e>>2]=c;ufc(g,128,517292,e)|0;b[g+127>>0]=0;Duc(a+12|0,g)|0;u=d;return a|0}function hLb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+144|0;e=d;g=d+8|0;f[e>>2]=c;ufc(g,128,490397,e)|0;b[g+127>>0]=0;Duc(a+12|0,g)|0;u=d;return a|0}function iLb(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;f[a>>2]=b;f[a+4>>2]=c;f[a+8>>2]=d;d=a+12|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;return}function jLb(a){a=a|0;var c=0;c=a+12|0;if((b[c+11>>0]|0)>=0)return;fuc(f[c>>2]|0);return}function kLb(a){a=a|0;var b=0;b=cuc(28)|0;f[a>>2]=b;Mf(b|0,0)|0;return}function lLb(a){a=a|0;var b=0;wf(f[a>>2]|0)|0;b=f[a>>2]|0;if(!b)return;fuc(b);return}function mLb(a){a=a|0;return}function nLb(a){a=a|0;return wzc(a|0)|0}function oLb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0;c=u;u=u+16|0;d=c+4|0;e=c;f[e>>2]=a;if((f[224970]|0)!=2){f[d>>2]=151624;f[d+4>>2]=128;b[d+8>>0]=0;xLb(899880,d)}d=(f[224969]|0)+36|0;WKb(d);a=f[224969]|0;g=a+16|0;h=f[g>>2]|0;if((h|0)==(f[a+20>>2]|0)){pLb(a+12|0,e);XKb(d);u=c;return}else{f[h>>2]=f[e>>2];f[g>>2]=(f[g>>2]|0)+4;XKb(d);u=c;return}}function pLb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+4|0;d=f[a>>2]|0;e=(f[c>>2]|0)-d|0;g=e>>2;h=g+1|0;if(h>>>0>1073741823)nsc(a);i=a+8|0;j=(f[i>>2]|0)-d|0;k=j>>1;l=j>>2>>>0<536870911?(k>>>0<h>>>0?h:k):1073741823;do if(l)if(l>>>0>1073741823){k=ze(8)|0;kuc(k,519086);f[k>>2]=167148;Hf(k|0,26888,1888)}else{m=cuc(l<<2)|0;break}else m=0;while(0);k=m+(g<<2)|0;f[k>>2]=f[b>>2];b=k+(0-g<<2)|0;if((e|0)>0)szc(b|0,d|0,e|0)|0;f[a>>2]=b;f[c>>2]=k+4;f[i>>2]=m+(l<<2);if(!d)return;fuc(d);return}function qLb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0;c=u;u=u+16|0;d=c;if((f[224970]|0)!=2){f[d>>2]=151624;f[d+4>>2]=128;b[d+8>>0]=0;xLb(899880,d)}e=(f[224969]|0)+36|0;WKb(e);g=f[224969]|0;f[d>>2]=a;h=g+28|0;i=f[h>>2]|0;if(i>>>0<(f[g+32>>2]|0)>>>0){f[i>>2]=a;f[h>>2]=(f[h>>2]|0)+4;XKb(e);u=c;return}else{rLb(g+24|0,d);XKb(e);u=c;return}}function rLb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+4|0;d=f[a>>2]|0;e=(f[c>>2]|0)-d|0;g=e>>2;h=g+1|0;if(h>>>0>1073741823)nsc(a);i=a+8|0;j=(f[i>>2]|0)-d|0;k=j>>1;l=j>>2>>>0<536870911?(k>>>0<h>>>0?h:k):1073741823;do if(l)if(l>>>0>1073741823){k=ze(8)|0;kuc(k,519086);f[k>>2]=167148;Hf(k|0,26888,1888)}else{m=cuc(l<<2)|0;break}else m=0;while(0);k=m+(g<<2)|0;f[k>>2]=f[b>>2];b=k+(0-g<<2)|0;if((e|0)>0)szc(b|0,d|0,e|0)|0;f[a>>2]=b;f[c>>2]=k+4;f[i>>2]=m+(l<<2);if(!d)return;fuc(d);return}function sLb(){var a=0,c=0;a=u;u=u+16|0;c=a;if((f[224970]|0)!=2){f[c>>2]=151624;f[c+4>>2]=128;b[c+8>>0]=0;xLb(899880,c)}c=f[224969]|0;if(!c){u=a;return}tLb(c);fuc(c);f[224969]=0;u=a;return}function tLb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;c=a+4|0;d=f[a>>2]|0;if((f[c>>2]|0)!=(d|0)){e=0;g=d;do{_h[f[g+(e<<2)>>2]&255]();e=e+1|0;g=f[a>>2]|0}while(e>>>0<(f[c>>2]|0)-g>>2>>>0)}g=a+12|0;e=a+16|0;d=f[e>>2]|0;h=f[g>>2]|0;if((d|0)!=(h|0)){i=0;j=h;h=d;while(1){d=f[j+(i<<2)>>2]|0;if((b[d+11>>0]|0)<0){fuc(f[d>>2]|0);k=f[g>>2]|0;l=f[e>>2]|0}else{k=j;l=h}i=i+1|0;if(i>>>0>=l-k>>2>>>0)break;else{j=k;h=l}}}l=a+24|0;h=a+28|0;k=f[l>>2]|0;if((f[h>>2]|0)!=(k|0)){j=0;i=k;do{k=f[i+(j<<2)>>2]|0;bi[f[f[k>>2]>>2]&2047](k);j=j+1|0;i=f[l>>2]|0}while(j>>>0<(f[h>>2]|0)-i>>2>>>0)}i=a+36|0;wf(f[i>>2]|0)|0;j=f[i>>2]|0;if(j|0)fuc(j);j=f[l>>2]|0;if(j|0){l=f[h>>2]|0;if((l|0)!=(j|0))f[h>>2]=l+(~((l+-4-j|0)>>>2)<<2);fuc(j)}j=f[g>>2]|0;if(j|0){g=f[e>>2]|0;if((g|0)!=(j|0))f[e>>2]=g+(~((g+-4-j|0)>>>2)<<2);fuc(j)}j=f[a>>2]|0;if(!j)return;a=f[c>>2]|0;if((a|0)!=(j|0))f[c>>2]=a+(~((a+-4-j|0)>>>2)<<2);fuc(j);return}function uLb(a){a=a|0;var b=0,c=0;b=f[a>>2]|0;if(!b)return;c=a+4|0;a=f[c>>2]|0;if((a|0)!=(b|0))f[c>>2]=a+(~((a+-4-b|0)>>>2)<<2);fuc(b);return}function vLb(a){a=a|0;var b=0,c=0;b=f[a>>2]|0;if(!b)return;c=a+4|0;a=f[c>>2]|0;if((a|0)!=(b|0))f[c>>2]=a+(~((a+-4-b|0)>>>2)<<2);fuc(b);return}function wLb(a){a=a|0;var b=0,c=0;b=f[a>>2]|0;if(!b)return;c=a+4|0;a=f[c>>2]|0;if((a|0)!=(b|0))f[c>>2]=a+(~((a+-4-b|0)>>>2)<<2);fuc(b);return}function xLb(a,b){a=a|0;b=b|0;var c=0;if((f[a>>2]|0)==2)return;c=f[a>>2]|0;if(!c)f[a>>2]=1;switch(((c|0)==0?0:c)|0){case 0:{bi[f[(f[b>>2]|0)+8>>2]&2047](b);f[a>>2]=2;return}case 1:{do ve()|0;while((f[a>>2]|0)==1);return}default:return}}function yLb(){var a=0,b=0,c=0;a=u;u=u+16|0;b=a+8|0;c=a;f[224973]=0;f[224974]=0;f[224975]=0;f[224976]=0;Bd(2e3,899892,x|0)|0;f[c>>2]=1171380;f[c+4>>2]=0;f[b>>2]=f[c>>2];f[b+4>>2]=f[c+4>>2];ALb(899908,1,b);Bd(2e3,899908,x|0)|0;f[c>>2]=1171380;f[c+4>>2]=0;f[b>>2]=f[c>>2];f[b+4>>2]=f[c+4>>2];ALb(899924,2,b);Bd(2e3,899924,x|0)|0;u=a;return}function zLb(a){a=a|0;var c=0;c=a+4|0;if((b[c+11>>0]|0)>=0)return;fuc(f[c>>2]|0);return}function ALb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=u;u=u+16|0;g=e;f[a>>2]=c;h=a+4|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;if(!c){u=e;return}c=f[d>>2]|0;if(c){i=f[d+4>>2]|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;if(i>>>0>4294967279)muc(g);if(i>>>0<11){b[g+11>>0]=i;if(!i)j=g;else{k=g;l=9}}else{d=i+16&-16;m=cuc(d)|0;f[g>>2]=m;f[g+8>>2]=d|-2147483648;f[g+4>>2]=i;k=m;l=9}if((l|0)==9){szc(k|0,c|0,i|0)|0;j=k}b[j+i>>0]=0;i=h+11|0;if((b[i>>0]|0)<0){b[f[h>>2]>>0]=0;f[a+8>>2]=0}else{n=i;l=12}}else{f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;n=h+11|0;l=12}if((l|0)==12){b[h>>0]=0;b[n>>0]=0}vuc(h,0);f[h>>2]=f[g>>2];f[h+4>>2]=f[g+4>>2];f[h+8>>2]=f[g+8>>2];u=e;return}function BLb(a){a=a|0;return}function CLb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;d=u;u=u+16|0;e=d;g=c>>>3;if(!g){i=0;u=d;return i|0}switch(c&7){case 0:{c=f[a>>2]|0;if(c>>>0<(f[a+4>>2]|0)>>>0?(b[c>>0]|0)>-1:0)f[a>>2]=c+1;else j=6;if((j|0)==6?(AJb(e,a),(b[e+8>>0]|0)==0):0){i=0;u=d;return i|0}i=1;u=d;return i|0}case 1:{c=f[a>>2]|0;if(((f[a+4>>2]|0)-c|0)<=7)if(MJb(a,e)|0)j=11;else k=0;else{l=c;m=l;n=l+4|0;l=h[n>>0]|h[n+1>>0]<<8|h[n+2>>0]<<16|h[n+3>>0]<<24;n=e;f[n>>2]=h[m>>0]|h[m+1>>0]<<8|h[m+2>>0]<<16|h[m+3>>0]<<24;f[n+4>>2]=l;f[a>>2]=c+8;j=11}if((j|0)==11)k=1;i=k;u=d;return i|0}case 2:{k=f[a>>2]|0;c=a+4|0;l=f[c>>2]|0;n=l;if(k>>>0<l>>>0){l=b[k>>0]|0;m=l&255;if(l<<24>>24>-1){l=k+1|0;f[a>>2]=l;o=m;p=l;q=n}else{r=m;j=16}}else{r=0;j=16}do if((j|0)==16){m=zJb(a,r)|0;if((J|0)<0|(m|0)<0){i=0;u=d;return i|0}else{o=m;p=f[a>>2]|0;q=f[c>>2]|0;break}}while(0);c=q-p|0;if((c|0)<(o|0)){if(!(HJb(a,o,c)|0)){i=0;u=d;return i|0}}else f[a>>2]=p+o;i=1;u=d;return i|0}case 3:{o=a+40|0;p=f[o>>2]|0;f[o>>2]=p+-1;if((p|0)<=0){i=0;u=d;return i|0}p=a+4|0;c=a+20|0;while(1){q=f[a>>2]|0;if(q>>>0<(f[p>>2]|0)>>>0){r=b[q>>0]|0;m=r&255;if(r<<24>>24>-1){f[a>>2]=q+1;s=m}else{t=m;j=27}}else{t=0;j=27}if((j|0)==27){j=0;s=OJb(a,t)|0}f[c>>2]=s;if((s|0)==0|(s&7|0)==4)break;if(!(CLb(a,s)|0)){i=0;j=38;break}}if((j|0)==38){u=d;return i|0}c=f[o>>2]|0;if((c|0)<(f[a+44>>2]|0))f[o>>2]=c+1;i=(s|0)==(g<<3|4|0);u=d;return i|0}case 5:{g=f[a>>2]|0;if(((f[a+4>>2]|0)-g|0)<=3)if(LJb(a,e)|0)j=36;else v=0;else{s=g;f[e>>2]=h[s>>0]|h[s+1>>0]<<8|h[s+2>>0]<<16|h[s+3>>0]<<24;f[a>>2]=g+4;j=36}if((j|0)==36)v=1;i=v;u=d;return i|0}default:{i=0;u=d;return i|0}}return 0}function DLb(a,b,c){a=a|0;b=b|0;c=c|0;RJb(c,a,b<<2);return}function ELb(a,b,c){a=a|0;b=b|0;c=c|0;RJb(c,a,b<<3);return}function FLb(a,b,c){a=a|0;b=b|0;c=c|0;RJb(c,a,b);return}function GLb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=a<<3;a=d+8|0;if((f[a>>2]|0)>4){g=d+4|0;h=f[g>>2]|0;if(e>>>0>127){i=e;j=h;while(1){b[j>>0]=i|128;k=i>>>7;l=j+1|0;if(i>>>0>16383){i=k;j=l}else{m=l;n=k;break}}}else{m=h;n=e}b[m>>0]=n;n=m+1-h|0;f[g>>2]=(f[g>>2]|0)+n;g=(f[a>>2]|0)-n|0;f[a>>2]=g;o=g}else{VJb(d,e);o=f[a>>2]|0}e=((c|0)<0)<<31>>31;if((o|0)<=9){WJb(d,c,e);return}o=d+4|0;d=f[o>>2]|0;g=c&255;if(c>>>0>127){n=d;h=g;m=c;c=e;while(1){b[n>>0]=h|-128;e=m;m=pzc(m|0,c|0,7)|0;j=n+1|0;i=m&255;if(!(c>>>0>0|(c|0)==0&e>>>0>16383)){p=j;q=i;break}else{n=j;h=i;c=J}}}else{p=d;q=g}b[p>>0]=q;q=p+1-d|0;f[o>>2]=(f[o>>2]|0)+q;f[a>>2]=(f[a>>2]|0)-q;return}function HLb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;g=a<<3;a=e+8|0;if((f[a>>2]|0)>4){h=e+4|0;i=f[h>>2]|0;if(g>>>0>127){j=g;k=i;while(1){b[k>>0]=j|128;l=j>>>7;m=k+1|0;if(j>>>0>16383){j=l;k=m}else{n=m;o=l;break}}}else{n=i;o=g}b[n>>0]=o;o=n+1-i|0;f[h>>2]=(f[h>>2]|0)+o;h=(f[a>>2]|0)-o|0;f[a>>2]=h;p=h}else{VJb(e,g);p=f[a>>2]|0}if((p|0)<=9){WJb(e,c,d);return}p=e+4|0;e=f[p>>2]|0;g=c&255;if(d>>>0>0|(d|0)==0&c>>>0>127){h=e;o=g;i=c;c=d;while(1){b[h>>0]=o|-128;d=i;i=pzc(i|0,c|0,7)|0;n=h+1|0;k=i&255;if(!(c>>>0>0|(c|0)==0&d>>>0>16383)){q=n;r=k;break}else{h=n;o=k;c=J}}}else{q=e;r=g}b[q>>0]=r;r=q+1-e|0;f[p>>2]=(f[p>>2]|0)+r;f[a>>2]=(f[a>>2]|0)-r;return}function ILb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=a<<3;a=d+8|0;if((f[a>>2]|0)>4){g=d+4|0;h=f[g>>2]|0;if(e>>>0>127){i=e;j=h;while(1){b[j>>0]=i|128;k=i>>>7;l=j+1|0;if(i>>>0>16383){i=k;j=l}else{m=l;n=k;break}}}else{m=h;n=e}b[m>>0]=n;n=m+1-h|0;f[g>>2]=(f[g>>2]|0)+n;g=(f[a>>2]|0)-n|0;f[a>>2]=g;o=g}else{VJb(d,e);o=f[a>>2]|0}if((o|0)<=4){VJb(d,c);return}o=d+4|0;d=f[o>>2]|0;if(c>>>0>127){e=c;g=d;while(1){b[g>>0]=e|128;n=e>>>7;h=g+1|0;if(e>>>0>16383){e=n;g=h}else{p=h;q=n;break}}}else{p=d;q=c}b[p>>0]=q;q=p+1-d|0;f[o>>2]=(f[o>>2]|0)+q;f[a>>2]=(f[a>>2]|0)-q;return}function JLb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;g=a<<3;a=e+8|0;if((f[a>>2]|0)>4){h=e+4|0;i=f[h>>2]|0;if(g>>>0>127){j=g;k=i;while(1){b[k>>0]=j|128;l=j>>>7;m=k+1|0;if(j>>>0>16383){j=l;k=m}else{n=m;o=l;break}}}else{n=i;o=g}b[n>>0]=o;o=n+1-i|0;f[h>>2]=(f[h>>2]|0)+o;h=(f[a>>2]|0)-o|0;f[a>>2]=h;p=h}else{VJb(e,g);p=f[a>>2]|0}if((p|0)<=9){WJb(e,c,d);return}p=e+4|0;e=f[p>>2]|0;g=c&255;if(d>>>0>0|(d|0)==0&c>>>0>127){h=e;o=g;i=c;c=d;while(1){b[h>>0]=o|-128;d=i;i=pzc(i|0,c|0,7)|0;n=h+1|0;k=i&255;if(!(c>>>0>0|(c|0)==0&d>>>0>16383)){q=n;r=k;break}else{h=n;o=k;c=J}}}else{q=e;r=g}b[q>>0]=r;r=q+1-e|0;f[p>>2]=(f[p>>2]|0)+r;f[a>>2]=(f[a>>2]|0)-r;return}function KLb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=a<<3;a=d+8|0;if((f[a>>2]|0)>4){g=d+4|0;h=f[g>>2]|0;if(e>>>0>127){i=e;j=h;while(1){b[j>>0]=i|128;k=i>>>7;l=j+1|0;if(i>>>0>16383){i=k;j=l}else{m=l;n=k;break}}}else{m=h;n=e}b[m>>0]=n;n=m+1-h|0;f[g>>2]=(f[g>>2]|0)+n;g=(f[a>>2]|0)-n|0;f[a>>2]=g;o=g}else{VJb(d,e);o=f[a>>2]|0}e=c<<1^c>>31;if((o|0)<=4){VJb(d,e);return}o=d+4|0;d=f[o>>2]|0;if(e>>>0>127){c=e;g=d;while(1){b[g>>0]=c|128;n=c>>>7;h=g+1|0;if(c>>>0>16383){c=n;g=h}else{p=h;q=n;break}}}else{p=d;q=e}b[p>>0]=q;q=p+1-d|0;f[o>>2]=(f[o>>2]|0)+q;f[a>>2]=(f[a>>2]|0)-q;return}function LLb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;g=a<<3;a=e+8|0;if((f[a>>2]|0)>4){h=e+4|0;i=f[h>>2]|0;if(g>>>0>127){j=g;k=i;while(1){b[k>>0]=j|128;l=j>>>7;m=k+1|0;if(j>>>0>16383){j=l;k=m}else{n=m;o=l;break}}}else{n=i;o=g}b[n>>0]=o;o=n+1-i|0;f[h>>2]=(f[h>>2]|0)+o;h=(f[a>>2]|0)-o|0;f[a>>2]=h;p=h}else{VJb(e,g);p=f[a>>2]|0}g=yzc(c|0,d|0,1)|0;h=J;o=ozc(c|0,d|0,63)|0;d=g^o;o=h^J;if((p|0)<=9){WJb(e,d,o);return}p=e+4|0;e=f[p>>2]|0;h=d&255;if(o>>>0>0|(o|0)==0&d>>>0>127){g=e;c=h;i=d;d=o;while(1){b[g>>0]=c|-128;o=i;i=pzc(i|0,d|0,7)|0;n=g+1|0;k=i&255;if(!(d>>>0>0|(d|0)==0&o>>>0>16383)){q=n;r=k;break}else{g=n;c=k;d=J}}}else{q=e;r=h}b[q>>0]=r;r=q+1-e|0;f[p>>2]=(f[p>>2]|0)+r;f[a>>2]=(f[a>>2]|0)-r;return}function MLb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=a<<3|5;a=d+8|0;if((f[a>>2]|0)<=4){VJb(d,e);TJb(d,c);return}g=d+4|0;h=f[g>>2]|0;if(e>>>0>127){i=e;j=h;while(1){b[j>>0]=i|128;k=i>>>7;l=j+1|0;if(i>>>0>16383){i=k;j=l}else{m=l;n=k;break}}}else{m=h;n=e}b[m>>0]=n;n=m+1-h|0;f[g>>2]=(f[g>>2]|0)+n;f[a>>2]=(f[a>>2]|0)-n;TJb(d,c);return}function NLb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;g=a<<3|1;a=e+8|0;if((f[a>>2]|0)<=4){VJb(e,g);UJb(e,c,d);return}h=e+4|0;i=f[h>>2]|0;if(g>>>0>127){j=g;k=i;while(1){b[k>>0]=j|128;l=j>>>7;m=k+1|0;if(j>>>0>16383){j=l;k=m}else{n=m;o=l;break}}}else{n=i;o=g}b[n>>0]=o;o=n+1-i|0;f[h>>2]=(f[h>>2]|0)+o;f[a>>2]=(f[a>>2]|0)-o;UJb(e,c,d);return}function OLb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=a<<3|5;a=d+8|0;if((f[a>>2]|0)<=4){VJb(d,e);TJb(d,c);return}g=d+4|0;h=f[g>>2]|0;if(e>>>0>127){i=e;j=h;while(1){b[j>>0]=i|128;k=i>>>7;l=j+1|0;if(i>>>0>16383){i=k;j=l}else{m=l;n=k;break}}}else{m=h;n=e}b[m>>0]=n;n=m+1-h|0;f[g>>2]=(f[g>>2]|0)+n;f[a>>2]=(f[a>>2]|0)-n;TJb(d,c);return}function PLb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;g=a<<3|1;a=e+8|0;if((f[a>>2]|0)<=4){VJb(e,g);UJb(e,c,d);return}h=e+4|0;i=f[h>>2]|0;if(g>>>0>127){j=g;k=i;while(1){b[k>>0]=j|128;l=j>>>7;m=k+1|0;if(j>>>0>16383){j=l;k=m}else{n=m;o=l;break}}}else{n=i;o=g}b[n>>0]=o;o=n+1-i|0;f[h>>2]=(f[h>>2]|0)+o;f[a>>2]=(f[a>>2]|0)-o;UJb(e,c,d);return}function QLb(a,c,d){a=a|0;c=+c;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0;e=a<<3|5;a=d+8|0;if((f[a>>2]|0)<=4){VJb(d,e);g=(n[s>>2]=c,f[s>>2]|0);TJb(d,g);return}h=d+4|0;i=f[h>>2]|0;if(e>>>0>127){j=e;k=i;while(1){b[k>>0]=j|128;l=j>>>7;m=k+1|0;if(j>>>0>16383){j=l;k=m}else{o=m;p=l;break}}}else{o=i;p=e}b[o>>0]=p;p=o+1-i|0;f[h>>2]=(f[h>>2]|0)+p;f[a>>2]=(f[a>>2]|0)-p;g=(n[s>>2]=c,f[s>>2]|0);TJb(d,g);return}function RLb(a,c,d){a=a|0;c=+c;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=a<<3|1;a=d+8|0;if((f[a>>2]|0)>4){g=d+4|0;h=f[g>>2]|0;if(e>>>0>127){i=e;j=h;while(1){b[j>>0]=i|128;k=i>>>7;l=j+1|0;if(i>>>0>16383){i=k;j=l}else{m=l;n=k;break}}}else{m=h;n=e}b[m>>0]=n;n=m+1-h|0;f[g>>2]=(f[g>>2]|0)+n;f[a>>2]=(f[a>>2]|0)-n}else VJb(d,e);p[s>>3]=c;UJb(d,f[s>>2]|0,f[s+4>>2]|0);return}function SLb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;e=a<<3;a=d+8|0;if((f[a>>2]|0)>4){g=d+4|0;h=f[g>>2]|0;if(e>>>0>127){i=e;j=h;while(1){b[j>>0]=i|128;k=i>>>7;l=j+1|0;if(i>>>0>16383){i=k;j=l}else{m=l;n=k;break}}}else{m=h;n=e}b[m>>0]=n;n=m+1-h|0;f[g>>2]=(f[g>>2]|0)+n;g=(f[a>>2]|0)-n|0;f[a>>2]=g;o=g}else{VJb(d,e);o=f[a>>2]|0}if((o|0)>4){o=d+4|0;b[f[o>>2]>>0]=c&1;f[o>>2]=(f[o>>2]|0)+1;f[a>>2]=(f[a>>2]|0)+-1;return}else{VJb(d,c&1);return}}function TLb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=a<<3;a=d+8|0;if((f[a>>2]|0)>4){g=d+4|0;h=f[g>>2]|0;if(e>>>0>127){i=e;j=h;while(1){b[j>>0]=i|128;k=i>>>7;l=j+1|0;if(i>>>0>16383){i=k;j=l}else{m=l;n=k;break}}}else{m=h;n=e}b[m>>0]=n;n=m+1-h|0;f[g>>2]=(f[g>>2]|0)+n;g=(f[a>>2]|0)-n|0;f[a>>2]=g;o=g}else{VJb(d,e);o=f[a>>2]|0}e=((c|0)<0)<<31>>31;if((o|0)<=9){WJb(d,c,e);return}o=d+4|0;d=f[o>>2]|0;g=c&255;if(c>>>0>127){n=d;h=g;m=c;c=e;while(1){b[n>>0]=h|-128;e=m;m=pzc(m|0,c|0,7)|0;j=n+1|0;i=m&255;if(!(c>>>0>0|(c|0)==0&e>>>0>16383)){p=j;q=i;break}else{n=j;h=i;c=J}}}else{p=d;q=g}b[p>>0]=q;q=p+1-d|0;f[o>>2]=(f[o>>2]|0)+q;f[a>>2]=(f[a>>2]|0)-q;return}function ULb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;e=u;u=u+32|0;g=e;h=e+24|0;i=a<<3|2;a=d+8|0;if((f[a>>2]|0)>4){j=d+4|0;k=f[j>>2]|0;if(i>>>0>127){l=i;m=k;while(1){b[m>>0]=l|128;n=l>>>7;o=m+1|0;if(l>>>0>16383){l=n;m=o}else{p=o;q=n;break}}}else{p=k;q=i}b[p>>0]=q;q=p+1-k|0;f[j>>2]=(f[j>>2]|0)+q;f[a>>2]=(f[a>>2]|0)-q}else VJb(d,i);i=c+11|0;q=b[i>>0]|0;do if(q<<24>>24<0){j=c+4|0;if((f[j>>2]|0)<=-1?(iLb(g,3,490442,510),fLb(h,dLb(g,490540)|0),jLb(g),k=b[i>>0]|0,k<<24>>24>=0):0){r=k;s=10;break}t=f[j>>2]|0}else{r=q;s=10}while(0);if((s|0)==10)t=r&255;if((f[a>>2]|0)<=4){VJb(d,t);v=b[i>>0]|0;w=v<<24>>24<0;x=f[c>>2]|0;y=w?x:c;z=c+4|0;A=f[z>>2]|0;B=v&255;C=w?A:B;RJb(d,y,C);u=e;return}r=d+4|0;s=f[r>>2]|0;if(t>>>0>127){q=t;g=s;while(1){b[g>>0]=q|128;h=q>>>7;j=g+1|0;if(q>>>0>16383){q=h;g=j}else{D=j;E=h;break}}}else{D=s;E=t}b[D>>0]=E;E=D+1-s|0;f[r>>2]=(f[r>>2]|0)+E;f[a>>2]=(f[a>>2]|0)-E;v=b[i>>0]|0;w=v<<24>>24<0;x=f[c>>2]|0;y=w?x:c;z=c+4|0;A=f[z>>2]|0;B=v&255;C=w?A:B;RJb(d,y,C);u=e;return}function VLb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;e=u;u=u+32|0;g=e;h=e+24|0;i=a<<3|2;a=d+8|0;if((f[a>>2]|0)>4){j=d+4|0;k=f[j>>2]|0;if(i>>>0>127){l=i;m=k;while(1){b[m>>0]=l|128;n=l>>>7;o=m+1|0;if(l>>>0>16383){l=n;m=o}else{p=o;q=n;break}}}else{p=k;q=i}b[p>>0]=q;q=p+1-k|0;f[j>>2]=(f[j>>2]|0)+q;f[a>>2]=(f[a>>2]|0)-q}else VJb(d,i);i=c+11|0;q=b[i>>0]|0;do if(q<<24>>24<0){j=c+4|0;if((f[j>>2]|0)<=-1?(iLb(g,3,490442,519),fLb(h,dLb(g,490540)|0),jLb(g),k=b[i>>0]|0,k<<24>>24>=0):0){r=k;s=10;break}t=f[j>>2]|0}else{r=q;s=10}while(0);if((s|0)==10)t=r&255;if((f[a>>2]|0)>4){r=d+4|0;s=f[r>>2]|0;if(t>>>0>127){q=t;g=s;while(1){b[g>>0]=q|128;h=q>>>7;j=g+1|0;if(q>>>0>16383){q=h;g=j}else{v=j;w=h;break}}}else{v=s;w=t}b[v>>0]=w;w=v+1-s|0;f[r>>2]=(f[r>>2]|0)+w;f[a>>2]=(f[a>>2]|0)-w}else VJb(d,t);t=b[i>>0]|0;i=t<<24>>24<0;w=i?f[c>>2]|0:c;a=i?f[c+4>>2]|0:t&255;if(!(b[d+17>>0]|0)){RJb(d,w,a);u=e;return}else{SJb(d,w,a);u=e;return}}function WLb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;e=u;u=u+32|0;g=e;h=e+24|0;i=a<<3|2;a=d+8|0;if((f[a>>2]|0)>4){j=d+4|0;k=f[j>>2]|0;if(i>>>0>127){l=i;m=k;while(1){b[m>>0]=l|128;n=l>>>7;o=m+1|0;if(l>>>0>16383){l=n;m=o}else{p=o;q=n;break}}}else{p=k;q=i}b[p>>0]=q;q=p+1-k|0;f[j>>2]=(f[j>>2]|0)+q;f[a>>2]=(f[a>>2]|0)-q}else VJb(d,i);i=c+11|0;q=b[i>>0]|0;do if(q<<24>>24<0){j=c+4|0;if((f[j>>2]|0)<=-1?(iLb(g,3,490442,526),fLb(h,dLb(g,490540)|0),jLb(g),k=b[i>>0]|0,k<<24>>24>=0):0){r=k;s=10;break}t=f[j>>2]|0}else{r=q;s=10}while(0);if((s|0)==10)t=r&255;if((f[a>>2]|0)<=4){VJb(d,t);v=b[i>>0]|0;w=v<<24>>24<0;x=f[c>>2]|0;y=w?x:c;z=c+4|0;A=f[z>>2]|0;B=v&255;C=w?A:B;RJb(d,y,C);u=e;return}r=d+4|0;s=f[r>>2]|0;if(t>>>0>127){q=t;g=s;while(1){b[g>>0]=q|128;h=q>>>7;j=g+1|0;if(q>>>0>16383){q=h;g=j}else{D=j;E=h;break}}}else{D=s;E=t}b[D>>0]=E;E=D+1-s|0;f[r>>2]=(f[r>>2]|0)+E;f[a>>2]=(f[a>>2]|0)-E;v=b[i>>0]|0;w=v<<24>>24<0;x=f[c>>2]|0;y=w?x:c;z=c+4|0;A=f[z>>2]|0;B=v&255;C=w?A:B;RJb(d,y,C);u=e;return}function XLb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;e=u;u=u+32|0;g=e;h=e+24|0;i=a<<3|2;a=d+8|0;if((f[a>>2]|0)>4){j=d+4|0;k=f[j>>2]|0;if(i>>>0>127){l=i;m=k;while(1){b[m>>0]=l|128;n=l>>>7;o=m+1|0;if(l>>>0>16383){l=n;m=o}else{p=o;q=n;break}}}else{p=k;q=i}b[p>>0]=q;q=p+1-k|0;f[j>>2]=(f[j>>2]|0)+q;f[a>>2]=(f[a>>2]|0)-q}else VJb(d,i);i=c+11|0;q=b[i>>0]|0;do if(q<<24>>24<0){j=c+4|0;if((f[j>>2]|0)<=-1?(iLb(g,3,490442,534),fLb(h,dLb(g,490540)|0),jLb(g),k=b[i>>0]|0,k<<24>>24>=0):0){r=k;s=10;break}t=f[j>>2]|0}else{r=q;s=10}while(0);if((s|0)==10)t=r&255;if((f[a>>2]|0)>4){r=d+4|0;s=f[r>>2]|0;if(t>>>0>127){q=t;g=s;while(1){b[g>>0]=q|128;h=q>>>7;j=g+1|0;if(q>>>0>16383){q=h;g=j}else{v=j;w=h;break}}}else{v=s;w=t}b[v>>0]=w;w=v+1-s|0;f[r>>2]=(f[r>>2]|0)+w;f[a>>2]=(f[a>>2]|0)-w}else VJb(d,t);t=b[i>>0]|0;i=t<<24>>24<0;w=i?f[c>>2]|0:c;a=i?f[c+4>>2]|0:t&255;if(!(b[d+17>>0]|0)){RJb(d,w,a);u=e;return}else{SJb(d,w,a);u=e;return}}function YLb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=a<<3;a=e|3;g=d+8|0;if((f[g>>2]|0)>4){h=d+4|0;i=f[h>>2]|0;if(a>>>0>127){j=a;k=i;while(1){b[k>>0]=j|128;l=j>>>7;m=k+1|0;if(j>>>0>16383){j=l;k=m}else{n=m;o=l;break}}}else{n=i;o=a}b[n>>0]=o;o=n+1-i|0;f[h>>2]=(f[h>>2]|0)+o;f[g>>2]=(f[g>>2]|0)-o}else VJb(d,a);yh[f[(f[c>>2]|0)+52>>2]&2047](c,d);c=e|4;if((f[g>>2]|0)<=4){VJb(d,c);return}e=d+4|0;d=f[e>>2]|0;if(c>>>0>127){a=c;o=d;while(1){b[o>>0]=a|128;h=a>>>7;i=o+1|0;if(a>>>0>16383){a=h;o=i}else{p=i;q=h;break}}}else{p=d;q=c}b[p>>0]=q;q=p+1-d|0;f[e>>2]=(f[e>>2]|0)+q;f[g>>2]=(f[g>>2]|0)-q;return}function ZLb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;e=a<<3|2;a=d+8|0;if((f[a>>2]|0)>4){g=d+4|0;h=f[g>>2]|0;if(e>>>0>127){i=e;j=h;while(1){b[j>>0]=i|128;k=i>>>7;l=j+1|0;if(i>>>0>16383){i=k;j=l}else{m=l;n=k;break}}}else{m=h;n=e}b[m>>0]=n;n=m+1-h|0;f[g>>2]=(f[g>>2]|0)+n;f[a>>2]=(f[a>>2]|0)-n}else VJb(d,e);e=di[f[(f[c>>2]|0)+60>>2]&1023](c)|0;if((f[a>>2]|0)<=4){VJb(d,e);o=f[c>>2]|0;p=o+52|0;q=f[p>>2]|0;yh[q&2047](c,d);return}n=d+4|0;g=f[n>>2]|0;if(e>>>0>127){h=e;m=g;while(1){b[m>>0]=h|128;j=h>>>7;i=m+1|0;if(h>>>0>16383){h=j;m=i}else{r=i;s=j;break}}}else{r=g;s=e}b[r>>0]=s;s=r+1-g|0;f[n>>2]=(f[n>>2]|0)+s;f[a>>2]=(f[a>>2]|0)-s;o=f[c>>2]|0;p=o+52|0;q=f[p>>2]|0;yh[q&2047](c,d);return}function _Lb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;e=a<<3|2;a=d+8|0;if((f[a>>2]|0)>4){g=d+4|0;h=f[g>>2]|0;if(e>>>0>127){i=e;j=h;while(1){b[j>>0]=i|128;k=i>>>7;l=j+1|0;if(i>>>0>16383){i=k;j=l}else{m=l;n=k;break}}}else{m=h;n=e}b[m>>0]=n;n=m+1-h|0;f[g>>2]=(f[g>>2]|0)+n;f[a>>2]=(f[a>>2]|0)-n}else VJb(d,e);e=di[f[(f[c>>2]|0)+60>>2]&1023](c)|0;if((f[a>>2]|0)>4){n=d+4|0;g=f[n>>2]|0;if(e>>>0>127){h=e;m=g;while(1){b[m>>0]=h|128;j=h>>>7;i=m+1|0;if(h>>>0>16383){h=j;m=i}else{o=i;p=j;break}}}else{o=g;p=e}b[o>>0]=p;p=o+1-g|0;f[n>>2]=(f[n>>2]|0)+p;g=(f[a>>2]|0)-p|0;f[a>>2]=g;q=n;r=g}else{VJb(d,e);q=d+4|0;r=f[a>>2]|0}if((r|0)>=(e|0)?(g=f[q>>2]|0,f[q>>2]=g+e,f[a>>2]=r-e,g|0):0){if(!(b[d+18>>0]|0))s=(f[224967]|0)!=0;else s=(b[d+19>>0]|0)!=0;li[f[(f[c>>2]|0)+64>>2]&511](c,s,g)|0;return}yh[f[(f[c>>2]|0)+52>>2]&2047](c,d);return}function $Lb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;d=f[a>>2]|0;e=a+4|0;g=f[e>>2]|0;h=g;if(d>>>0<g>>>0){g=b[d>>0]|0;i=g&255;if(g<<24>>24>-1){g=d+1|0;f[a>>2]=g;j=i;k=g;l=h}else{m=i;n=4}}else{m=0;n=4}do if((n|0)==4){i=zJb(a,m)|0;if((J|0)<0|(i|0)<0){o=0;return o|0}else{j=i;k=f[a>>2]|0;l=f[e>>2]|0;break}}while(0);if((l-k|0)<(j|0)){o=KJb(a,c,j)|0;return o|0}xuc(c,j,0);if((b[c+11>>0]|0)<0)p=f[c>>2]|0;else p=c;szc(p|0,f[a>>2]|0,j|0)|0;f[a>>2]=(f[a>>2]|0)+j;o=1;return o|0}function aMb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0;g=u;u=u+64|0;h=g;i=g+44|0;j=g+32|0;k=g+8|0;l=g+56|0;if(Odc(a,c)|0){m=1;u=g;return m|0}c=(d|0)==0?490598:(d|0)==1?490586:0;d=i+11|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;if(e|0){f[h>>2]=e;Ldc(j,490606,h);if((b[d>>0]|0)<0){b[f[i>>2]>>0]=0;f[i+4>>2]=0}else{b[i>>0]=0;b[d>>0]=0}vuc(i,0);f[i>>2]=f[j>>2];f[i+4>>2]=f[j+4>>2];f[i+8>>2]=f[j+8>>2]}iLb(k,2,490442,629);fLb(l,dLb(dLb(dLb(dLb(dLb(dLb(eLb(dLb(k,490612)|0,i)|0,490625)|0,490644)|0,c)|0,490661)|0,490674)|0,490730)|0);jLb(k);if((b[d>>0]|0)<0)fuc(f[i>>2]|0);m=0;u=g;return m|0}function bMb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0;b=f[a>>2]|0;if((b|0)<=0){c=0;return c|0}d=f[a+8>>2]|0;a=0;e=0;while(1){g=f[d+4+(e<<2)>>2]|0;if((g|0)<0)h=10;else h=(((($(g|1|0)|0)^31)*9|0)+73|0)>>>6;g=h+a|0;e=e+1|0;if((e|0)==(b|0)){c=g;break}else a=g}return c|0}function cMb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=f[a>>2]|0;if((b|0)<=0){c=0;return c|0}d=f[a+8>>2]|0;a=0;e=0;while(1){g=((((($(f[d+4+(e<<2)>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)+a|0;e=e+1|0;if((e|0)==(b|0)){c=g;break}else a=g}return c|0}function dMb(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;f[a+16>>2]=0;f[a+20>>2]=0;f[a+24>>2]=0;n[a+28>>2]=1.0;b=a+32|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;n[a+48>>2]=1.0;b=a+52|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;n[a+68>>2]=1.0;b=a+132|0;c=a+148|0;d=a+72|0;e=d+76|0;do{f[d>>2]=0;d=d+4|0}while((d|0)<(e|0));n[c>>2]=1.0;eMb(b,3);b=a+152|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;n[a+168>>2]=1.0;fMb(b,3);f[a+176>>2]=0;f[a+180>>2]=0;f[a+172>>2]=a+176;d=a+184|0;e=d+48|0;do{f[d>>2]=0;d=d+4|0}while((d|0)<(e|0));return}function eMb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;if((b|0)!=1)if(!(b+-1&b))c=b;else c=Kic(b)|0;else c=2;b=f[a+4>>2]|0;if(c>>>0>b>>>0){hMb(a,c);return}if(c>>>0>=b>>>0)return;d=~~+X(+(+((f[a+12>>2]|0)>>>0)/+n[a+16>>2]))>>>0;if(b>>>0>2&(b+-1&b|0)==0)e=1<<32-($(d+-1|0)|0);else e=Kic(d)|0;d=c>>>0<e>>>0?e:c;if(d>>>0>=b>>>0)return;hMb(a,d);return}function fMb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;if((b|0)!=1)if(!(b+-1&b))c=b;else c=Kic(b)|0;else c=2;b=f[a+4>>2]|0;if(c>>>0>b>>>0){gMb(a,c);return}if(c>>>0>=b>>>0)return;d=~~+X(+(+((f[a+12>>2]|0)>>>0)/+n[a+16>>2]))>>>0;if(b>>>0>2&(b+-1&b|0)==0)e=1<<32-($(d+-1|0)|0);else e=Kic(d)|0;d=c>>>0<e>>>0?e:c;if(d>>>0>=b>>>0)return;gMb(a,d);return}function gMb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;c=a+4|0;if(!b){d=f[a>>2]|0;f[a>>2]=0;if(d|0)fuc(d);f[c>>2]=0;return}if(b>>>0>1073741823){d=ze(8)|0;kuc(d,519086);f[d>>2]=167148;Hf(d|0,26888,1888)}d=cuc(b<<2)|0;e=f[a>>2]|0;f[a>>2]=d;if(e|0)fuc(e);f[c>>2]=b;c=0;do{f[(f[a>>2]|0)+(c<<2)>>2]=0;c=c+1|0}while((c|0)!=(b|0));c=a+8|0;e=f[c>>2]|0;if(!e)return;d=f[e+4>>2]|0;g=b+-1|0;h=(g&b|0)==0;if(!h)if(d>>>0<b>>>0)i=d;else i=(d>>>0)%(b>>>0)|0;else i=d&g;f[(f[a>>2]|0)+(i<<2)>>2]=c;c=f[e>>2]|0;if(!c)return;else{j=i;k=e;l=c;m=e}a:while(1){b:do if(h){e=k;c=l;i=m;while(1){d=c;while(1){n=f[d+4>>2]&g;if((n|0)==(j|0))break;o=(f[a>>2]|0)+(n<<2)|0;if(!(f[o>>2]|0)){p=d;q=i;r=o;s=n;break b}o=d+8|0;t=d;while(1){u=f[t>>2]|0;if(!u)break;if(!(Mec(f[o>>2]|0,f[u+8>>2]|0)|0))t=u;else break}f[i>>2]=u;f[t>>2]=f[f[(f[a>>2]|0)+(n<<2)>>2]>>2];f[f[(f[a>>2]|0)+(n<<2)>>2]>>2]=d;o=f[e>>2]|0;if(!o){v=37;break a}else d=o}c=f[d>>2]|0;if(!c){v=37;break a}else{e=d;i=d}}}else{i=k;e=l;c=m;while(1){o=e;while(1){w=f[o+4>>2]|0;if(w>>>0<b>>>0)x=w;else x=(w>>>0)%(b>>>0)|0;if((x|0)==(j|0))break;w=(f[a>>2]|0)+(x<<2)|0;if(!(f[w>>2]|0)){p=o;q=c;r=w;s=x;break b}w=o+8|0;y=o;while(1){z=f[y>>2]|0;if(!z)break;if(!(Mec(f[w>>2]|0,f[z+8>>2]|0)|0))y=z;else break}f[c>>2]=z;f[y>>2]=f[f[(f[a>>2]|0)+(x<<2)>>2]>>2];f[f[(f[a>>2]|0)+(x<<2)>>2]>>2]=o;w=f[i>>2]|0;if(!w){v=37;break a}else o=w}e=f[o>>2]|0;if(!e){v=37;break a}else{i=o;c=o}}}while(0);f[r>>2]=q;l=f[p>>2]|0;if(!l){v=37;break}else{j=s;k=p;m=p}}if((v|0)==37)return}function hMb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;c=a+4|0;if(!b){d=f[a>>2]|0;f[a>>2]=0;if(d|0)fuc(d);f[c>>2]=0;return}if(b>>>0>1073741823){d=ze(8)|0;kuc(d,519086);f[d>>2]=167148;Hf(d|0,26888,1888)}d=cuc(b<<2)|0;e=f[a>>2]|0;f[a>>2]=d;if(e|0)fuc(e);f[c>>2]=b;c=0;do{f[(f[a>>2]|0)+(c<<2)>>2]=0;c=c+1|0}while((c|0)!=(b|0));c=a+8|0;e=f[c>>2]|0;if(!e)return;d=f[e+4>>2]|0;g=b+-1|0;h=(g&b|0)==0;if(!h)if(d>>>0<b>>>0)i=d;else i=(d>>>0)%(b>>>0)|0;else i=d&g;f[(f[a>>2]|0)+(i<<2)>>2]=c;c=f[e>>2]|0;if(!c)return;else{j=i;k=e;l=c;m=e}a:while(1){b:do if(h){e=k;c=l;i=m;while(1){d=c;while(1){n=f[d+4>>2]&g;if((n|0)==(j|0))break;o=(f[a>>2]|0)+(n<<2)|0;if(!(f[o>>2]|0)){p=d;q=i;r=o;s=n;break b}o=d+8|0;t=d;while(1){u=f[t>>2]|0;if(!u)break;if(!(Mec(f[o>>2]|0,f[u+8>>2]|0)|0))t=u;else break}f[i>>2]=u;f[t>>2]=f[f[(f[a>>2]|0)+(n<<2)>>2]>>2];f[f[(f[a>>2]|0)+(n<<2)>>2]>>2]=d;o=f[e>>2]|0;if(!o){v=37;break a}else d=o}c=f[d>>2]|0;if(!c){v=37;break a}else{e=d;i=d}}}else{i=k;e=l;c=m;while(1){o=e;while(1){w=f[o+4>>2]|0;if(w>>>0<b>>>0)x=w;else x=(w>>>0)%(b>>>0)|0;if((x|0)==(j|0))break;w=(f[a>>2]|0)+(x<<2)|0;if(!(f[w>>2]|0)){p=o;q=c;r=w;s=x;break b}w=o+8|0;y=o;while(1){z=f[y>>2]|0;if(!z)break;if(!(Mec(f[w>>2]|0,f[z+8>>2]|0)|0))y=z;else break}f[c>>2]=z;f[y>>2]=f[f[(f[a>>2]|0)+(x<<2)>>2]>>2];f[f[(f[a>>2]|0)+(x<<2)>>2]>>2]=o;w=f[i>>2]|0;if(!w){v=37;break a}else o=w}e=f[o>>2]|0;if(!e){v=37;break a}else{i=o;c=o}}}while(0);f[r>>2]=q;l=f[p>>2]|0;if(!l){v=37;break}else{j=s;k=p;m=p}}if((v|0)==37)return}function iMb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;c=a+84|0;d=f[c>>2]|0;e=a+88|0;g=f[e>>2]|0;if((d|0)!=(g|0)){h=d;do{d=f[h>>2]|0;h=h+4|0;if(d|0)bi[f[(f[d>>2]|0)+4>>2]&2047](d)}while((h|0)!=(g|0));g=f[c>>2]|0;h=f[e>>2]|0;if((h|0)!=(g|0))f[e>>2]=h+(~((h+-4-g|0)>>>2)<<2)}g=a+120|0;h=a+124|0;d=f[g>>2]|0;if((f[h>>2]|0)!=(d|0)){i=0;j=d;do{fuc(f[j+(i<<2)>>2]|0);i=i+1|0;j=f[g>>2]|0}while(i>>>0<(f[h>>2]|0)-j>>2>>>0)}j=a+72|0;i=f[j>>2]|0;d=a+76|0;k=f[d>>2]|0;if((i|0)!=(k|0)){l=i;do{i=f[l>>2]|0;l=l+4|0;if(i|0){if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0);fuc(i)}}while((l|0)!=(k|0));k=f[j>>2]|0;l=f[d>>2]|0;if((l|0)!=(k|0))f[d>>2]=l+(~((l+-4-k|0)>>>2)<<2)}k=a+108|0;l=f[k>>2]|0;i=a+112|0;m=f[i>>2]|0;if((l|0)!=(m|0)){n=l;do{l=f[n>>2]|0;n=n+4|0;if(l|0){jMb(l);fuc(l)}}while((n|0)!=(m|0));m=f[k>>2]|0;n=f[i>>2]|0;if((n|0)!=(m|0))f[i>>2]=n+(~((n+-4-m|0)>>>2)<<2)}m=a+96|0;n=f[m>>2]|0;l=a+100|0;o=f[l>>2]|0;if((n|0)!=(o|0)){p=n;do{n=f[p>>2]|0;p=p+4|0;if(n|0)fuc(n)}while((p|0)!=(o|0));o=f[m>>2]|0;p=f[l>>2]|0;if((p|0)!=(o|0))f[l>>2]=p+(~((p+-4-o|0)>>>2)<<2)}o=f[a+220>>2]|0;if(o|0){p=a+224|0;n=f[p>>2]|0;if((n|0)!=(o|0))f[p>>2]=n+(~((n+-8-o|0)>>>3)<<3);fuc(o)}o=f[a+208>>2]|0;if(o|0){n=a+212|0;p=f[n>>2]|0;if((p|0)!=(o|0))f[n>>2]=p+(~((p+-4-o|0)>>>2)<<2);fuc(o)}o=f[a+196>>2]|0;if(o|0){p=a+200|0;n=f[p>>2]|0;if((n|0)!=(o|0))f[p>>2]=n+(~((n+-4-o|0)>>>2)<<2);fuc(o)}o=f[a+184>>2]|0;if(o|0){n=a+188|0;p=f[n>>2]|0;if((p|0)!=(o|0))f[n>>2]=p+(~((p+-32-o|0)>>>5)<<5);fuc(o)}kMb(a+172|0,f[a+176>>2]|0);o=f[a+160>>2]|0;if(o|0){p=o;do{o=p;p=f[p>>2]|0;fuc(o)}while((p|0)!=0)}p=a+152|0;o=f[p>>2]|0;f[p>>2]=0;if(o|0)fuc(o);o=f[a+140>>2]|0;if(o|0){p=o;do{o=p;p=f[p>>2]|0;fuc(o)}while((p|0)!=0)}p=a+132|0;o=f[p>>2]|0;f[p>>2]=0;if(o|0)fuc(o);o=f[g>>2]|0;if(o|0){g=f[h>>2]|0;if((g|0)!=(o|0))f[h>>2]=g+(~((g+-4-o|0)>>>2)<<2);fuc(o)}o=f[k>>2]|0;if(o|0){k=f[i>>2]|0;if((k|0)!=(o|0))f[i>>2]=k+(~((k+-4-o|0)>>>2)<<2);fuc(o)}o=f[m>>2]|0;if(o|0){m=f[l>>2]|0;if((m|0)!=(o|0))f[l>>2]=m+(~((m+-4-o|0)>>>2)<<2);fuc(o)}o=f[c>>2]|0;if(o|0){c=f[e>>2]|0;if((c|0)!=(o|0))f[e>>2]=c+(~((c+-4-o|0)>>>2)<<2);fuc(o)}o=f[j>>2]|0;if(o|0){j=f[d>>2]|0;if((j|0)!=(o|0))f[d>>2]=j+(~((j+-4-o|0)>>>2)<<2);fuc(o)}o=f[a+60>>2]|0;if(o|0){j=o;do{o=j;j=f[j>>2]|0;fuc(o)}while((j|0)!=0)}j=a+52|0;o=f[j>>2]|0;f[j>>2]=0;if(o|0)fuc(o);o=f[a+40>>2]|0;if(o|0){j=o;do{o=j;j=f[j>>2]|0;d=o+8|0;if((b[d+11>>0]|0)<0)fuc(f[d>>2]|0);fuc(o)}while((j|0)!=0)}j=a+32|0;o=f[j>>2]|0;f[j>>2]=0;if(o|0)fuc(o);o=f[a+20>>2]|0;if(o|0){j=o;do{o=j;j=f[j>>2]|0;d=o+8|0;if((b[d+11>>0]|0)<0)fuc(f[d>>2]|0);fuc(o)}while((j|0)!=0)}j=a+12|0;o=f[j>>2]|0;f[j>>2]=0;if(o|0)fuc(o);o=f[a>>2]|0;if(!o)return;j=a+4|0;d=f[j>>2]|0;if((d|0)==(o|0))q=o;else{c=d;while(1){d=c+-12|0;f[j>>2]=d;if((b[d+11>>0]|0)<0){fuc(f[d>>2]|0);r=f[j>>2]|0}else r=d;if((r|0)==(o|0))break;else c=r}q=f[a>>2]|0}fuc(q);return}function jMb(a){a=a|0;var c=0,d=0,e=0;lLb(a+160|0);c=f[a+148>>2]|0;if(c|0){d=c;do{c=d;d=f[d>>2]|0;e=c+8|0;if((b[e+11>>0]|0)<0)fuc(f[e>>2]|0);fuc(c)}while((d|0)!=0)}d=a+140|0;c=f[d>>2]|0;f[d>>2]=0;if(c|0)fuc(c);c=f[a+124>>2]|0;if(c|0){d=c;do{c=d;d=f[d>>2]|0;fuc(c)}while((d|0)!=0)}d=a+116|0;c=f[d>>2]|0;f[d>>2]=0;if(c|0)fuc(c);c=f[a+104>>2]|0;if(c|0){d=c;do{c=d;d=f[d>>2]|0;fuc(c)}while((d|0)!=0)}d=a+96|0;c=f[d>>2]|0;f[d>>2]=0;if(c|0)fuc(c);c=f[a+84>>2]|0;if(c|0){d=c;do{c=d;d=f[d>>2]|0;fuc(c)}while((d|0)!=0)}d=a+76|0;c=f[d>>2]|0;f[d>>2]=0;if(c|0)fuc(c);c=f[a+56>>2]|0;if(c|0){d=c;do{c=d;d=f[d>>2]|0;fuc(c)}while((d|0)!=0)}d=a+48|0;c=f[d>>2]|0;f[d>>2]=0;if(c|0)fuc(c);c=f[a+28>>2]|0;if(c|0){d=c;do{c=d;d=f[d>>2]|0;fuc(c)}while((d|0)!=0)}d=a+20|0;c=f[d>>2]|0;f[d>>2]=0;if(c|0)fuc(c);c=f[a+8>>2]|0;if(c|0){d=c;do{c=d;d=f[d>>2]|0;fuc(c)}while((d|0)!=0)}d=f[a>>2]|0;f[a>>2]=0;if(!d)return;fuc(d);return}function kMb(a,b){a=a|0;b=b|0;if(!b)return;else{kMb(a,f[b>>2]|0);kMb(a,f[b+4>>2]|0);fuc(b);return}}function lMb(a){a=a|0;var b=0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;n[a+16>>2]=1.0;mMb(a,3);b=a+20|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;n[a+36>>2]=1.0;nMb(b,3);b=cuc(20)|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;n[b+16>>2]=1.0;f[a+40>>2]=b;b=a+44|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;f[b+16>>2]=0;n[a+64>>2]=1.0;nMb(a+48|0,3);b=cuc(20)|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;n[b+16>>2]=1.0;f[a+68>>2]=b;b=a+72|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;f[b+16>>2]=0;n[a+92>>2]=1.0;oMb(a+76|0,3);b=a+96|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;n[a+112>>2]=1.0;pMb(b,3);b=a+116|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;n[a+132>>2]=1.0;pMb(b,3);b=a+136|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;f[b+16>>2]=0;n[a+156>>2]=1.0;qMb(a+140|0,3);kLb(a+160|0);return}function mMb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;if((b|0)!=1)if(!(b+-1&b))c=b;else c=Kic(b)|0;else c=2;b=f[a+4>>2]|0;if(c>>>0>b>>>0){vMb(a,c);return}if(c>>>0>=b>>>0)return;d=~~+X(+(+((f[a+12>>2]|0)>>>0)/+n[a+16>>2]))>>>0;if(b>>>0>2&(b+-1&b|0)==0)e=1<<32-($(d+-1|0)|0);else e=Kic(d)|0;d=c>>>0<e>>>0?e:c;if(d>>>0>=b>>>0)return;vMb(a,d);return}function nMb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;if((b|0)!=1)if(!(b+-1&b))c=b;else c=Kic(b)|0;else c=2;b=f[a+4>>2]|0;if(c>>>0>b>>>0){uMb(a,c);return}if(c>>>0>=b>>>0)return;d=~~+X(+(+((f[a+12>>2]|0)>>>0)/+n[a+16>>2]))>>>0;if(b>>>0>2&(b+-1&b|0)==0)e=1<<32-($(d+-1|0)|0);else e=Kic(d)|0;d=c>>>0<e>>>0?e:c;if(d>>>0>=b>>>0)return;uMb(a,d);return}function oMb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;if((b|0)!=1)if(!(b+-1&b))c=b;else c=Kic(b)|0;else c=2;b=f[a+4>>2]|0;if(c>>>0>b>>>0){tMb(a,c);return}if(c>>>0>=b>>>0)return;d=~~+X(+(+((f[a+12>>2]|0)>>>0)/+n[a+16>>2]))>>>0;if(b>>>0>2&(b+-1&b|0)==0)e=1<<32-($(d+-1|0)|0);else e=Kic(d)|0;d=c>>>0<e>>>0?e:c;if(d>>>0>=b>>>0)return;tMb(a,d);return}function pMb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;if((b|0)!=1)if(!(b+-1&b))c=b;else c=Kic(b)|0;else c=2;b=f[a+4>>2]|0;if(c>>>0>b>>>0){sMb(a,c);return}if(c>>>0>=b>>>0)return;d=~~+X(+(+((f[a+12>>2]|0)>>>0)/+n[a+16>>2]))>>>0;if(b>>>0>2&(b+-1&b|0)==0)e=1<<32-($(d+-1|0)|0);else e=Kic(d)|0;d=c>>>0<e>>>0?e:c;if(d>>>0>=b>>>0)return;sMb(a,d);return}function qMb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;if((b|0)!=1)if(!(b+-1&b))c=b;else c=Kic(b)|0;else c=2;b=f[a+4>>2]|0;if(c>>>0>b>>>0){rMb(a,c);return}if(c>>>0>=b>>>0)return;d=~~+X(+(+((f[a+12>>2]|0)>>>0)/+n[a+16>>2]))>>>0;if(b>>>0>2&(b+-1&b|0)==0)e=1<<32-($(d+-1|0)|0);else e=Kic(d)|0;d=c>>>0<e>>>0?e:c;if(d>>>0>=b>>>0)return;rMb(a,d);return}function rMb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;d=a+4|0;if(!c){e=f[a>>2]|0;f[a>>2]=0;if(e|0)fuc(e);f[d>>2]=0;return}if(c>>>0>1073741823){e=ze(8)|0;kuc(e,519086);f[e>>2]=167148;Hf(e|0,26888,1888)}e=cuc(c<<2)|0;g=f[a>>2]|0;f[a>>2]=e;if(g|0)fuc(g);f[d>>2]=c;d=0;do{f[(f[a>>2]|0)+(d<<2)>>2]=0;d=d+1|0}while((d|0)!=(c|0));d=a+8|0;g=f[d>>2]|0;if(!g)return;e=f[g+4>>2]|0;h=c+-1|0;i=(h&c|0)==0;if(!i)if(e>>>0<c>>>0)j=e;else j=(e>>>0)%(c>>>0)|0;else j=e&h;f[(f[a>>2]|0)+(j<<2)>>2]=d;d=f[g>>2]|0;if(!d)return;else{k=j;l=g;m=d;n=g}a:while(1){g=l;d=m;j=n;b:while(1){o=d;while(1){e=f[o+4>>2]|0;if(!i)if(e>>>0<c>>>0)p=e;else p=(e>>>0)%(c>>>0)|0;else p=e&h;if((p|0)==(k|0))break;q=(f[a>>2]|0)+(p<<2)|0;if(!(f[q>>2]|0))break b;e=f[o>>2]|0;c:do if(!e)r=o;else{s=o+8|0;t=b[s+11>>0]|0;u=t<<24>>24<0;v=t&255;t=u?f[o+12>>2]|0:v;w=(t|0)==0;if(u){u=o;x=e;while(1){y=x+8|0;z=b[y+11>>0]|0;A=z<<24>>24<0;if((t|0)!=((A?f[x+12>>2]|0:z&255)|0)){r=u;break c}if(!w?ahc(f[s>>2]|0,A?f[y>>2]|0:y,t)|0:0){r=u;break c}y=f[x>>2]|0;if(!y){r=x;break c}else{A=x;x=y;u=A}}}if(w){u=o;x=e;while(1){A=b[x+8+11>>0]|0;if((A<<24>>24<0?f[x+12>>2]|0:A&255)|0){r=u;break c}A=f[x>>2]|0;if(!A){r=x;break c}else{y=x;x=A;u=y}}}u=o;x=e;while(1){w=x+8|0;y=b[w+11>>0]|0;A=y<<24>>24<0;if((t|0)!=((A?f[x+12>>2]|0:y&255)|0)){r=u;break c}y=A?f[w>>2]|0:w;if((f[s>>2]&255)<<24>>24==(b[y>>0]|0)){B=s;C=v;D=y}else{r=u;break c}while(1){C=C+-1|0;B=B+1|0;if(!C)break;D=D+1|0;if((b[B>>0]|0)!=(b[D>>0]|0)){r=u;break c}}y=f[x>>2]|0;if(!y){r=x;break}else{w=x;x=y;u=w}}}while(0);f[j>>2]=f[r>>2];f[r>>2]=f[f[(f[a>>2]|0)+(p<<2)>>2]>>2];f[f[(f[a>>2]|0)+(p<<2)>>2]>>2]=o;e=f[g>>2]|0;if(!e){E=43;break a}else o=e}d=f[o>>2]|0;if(!d){E=43;break a}else{g=o;j=o}}f[q>>2]=j;m=f[o>>2]|0;if(!m){E=43;break}else{k=p;l=o;n=o}}if((E|0)==43)return}function sMb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;c=a+4|0;if(!b){d=f[a>>2]|0;f[a>>2]=0;if(d|0)fuc(d);f[c>>2]=0;return}if(b>>>0>1073741823){d=ze(8)|0;kuc(d,519086);f[d>>2]=167148;Hf(d|0,26888,1888)}d=cuc(b<<2)|0;e=f[a>>2]|0;f[a>>2]=d;if(e|0)fuc(e);f[c>>2]=b;c=0;do{f[(f[a>>2]|0)+(c<<2)>>2]=0;c=c+1|0}while((c|0)!=(b|0));c=a+8|0;e=f[c>>2]|0;if(!e)return;d=f[e+4>>2]|0;g=b+-1|0;h=(g&b|0)==0;if(!h)if(d>>>0<b>>>0)i=d;else i=(d>>>0)%(b>>>0)|0;else i=d&g;f[(f[a>>2]|0)+(i<<2)>>2]=c;c=f[e>>2]|0;if(!c)return;else{j=i;k=e;l=c;m=e}a:while(1){e=k;c=l;i=m;b:while(1){c:do if(h){d=c;while(1){n=f[d+4>>2]&g;if((n|0)==(j|0)){o=d;break c}p=(f[a>>2]|0)+(n<<2)|0;if(!(f[p>>2]|0)){q=d;r=p;s=n;break b}p=d+12|0;t=f[d>>2]|0;d:do if(!t)u=d;else{v=f[d+8>>2]|0;w=d;x=t;while(1){if((v|0)!=(f[x+8>>2]|0)){u=w;break d}if((f[p>>2]|0)!=(f[x+12>>2]|0)){u=w;break d}y=f[x>>2]|0;if(!y){u=x;break}else{z=x;x=y;w=z}}}while(0);f[i>>2]=f[u>>2];f[u>>2]=f[f[(f[a>>2]|0)+(n<<2)>>2]>>2];f[f[(f[a>>2]|0)+(n<<2)>>2]>>2]=d;d=f[e>>2]|0;if(!d){A=39;break a}}}else{d=c;while(1){p=f[d+4>>2]|0;if(p>>>0<b>>>0)B=p;else B=(p>>>0)%(b>>>0)|0;if((B|0)==(j|0)){o=d;break c}p=(f[a>>2]|0)+(B<<2)|0;if(!(f[p>>2]|0)){q=d;r=p;s=B;break b}p=d+12|0;t=f[d>>2]|0;e:do if(!t)C=d;else{w=f[d+8>>2]|0;x=d;v=t;while(1){if((w|0)!=(f[v+8>>2]|0)){C=x;break e}if((f[p>>2]|0)!=(f[v+12>>2]|0)){C=x;break e}z=f[v>>2]|0;if(!z){C=v;break}else{y=v;v=z;x=y}}}while(0);f[i>>2]=f[C>>2];f[C>>2]=f[f[(f[a>>2]|0)+(B<<2)>>2]>>2];f[f[(f[a>>2]|0)+(B<<2)>>2]>>2]=d;d=f[e>>2]|0;if(!d){A=39;break a}}}while(0);c=f[o>>2]|0;if(!c){A=39;break a}else{e=o;i=o}}f[r>>2]=i;l=f[q>>2]|0;if(!l){A=39;break}else{j=s;k=q;m=q}}if((A|0)==39)return}function tMb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;c=a+4|0;if(!b){d=f[a>>2]|0;f[a>>2]=0;if(d|0)fuc(d);f[c>>2]=0;return}if(b>>>0>1073741823){d=ze(8)|0;kuc(d,519086);f[d>>2]=167148;Hf(d|0,26888,1888)}d=cuc(b<<2)|0;e=f[a>>2]|0;f[a>>2]=d;if(e|0)fuc(e);f[c>>2]=b;c=0;do{f[(f[a>>2]|0)+(c<<2)>>2]=0;c=c+1|0}while((c|0)!=(b|0));c=a+8|0;e=f[c>>2]|0;if(!e)return;d=f[e+4>>2]|0;g=b+-1|0;h=(g&b|0)==0;if(!h)if(d>>>0<b>>>0)i=d;else i=(d>>>0)%(b>>>0)|0;else i=d&g;f[(f[a>>2]|0)+(i<<2)>>2]=c;c=f[e>>2]|0;if(!c)return;else{j=i;k=e;l=c;m=e}a:while(1){e=k;c=l;i=m;b:while(1){c:do if(h){d=c;while(1){n=f[d+4>>2]&g;if((n|0)==(j|0)){o=d;break c}p=(f[a>>2]|0)+(n<<2)|0;if(!(f[p>>2]|0)){q=d;r=p;s=n;break b}p=d+12|0;t=f[d>>2]|0;d:do if(!t)u=d;else{v=f[d+8>>2]|0;w=d;x=t;while(1){if((v|0)!=(f[x+8>>2]|0)){u=w;break d}if((f[p>>2]|0)!=(f[x+12>>2]|0)){u=w;break d}y=f[x>>2]|0;if(!y){u=x;break}else{z=x;x=y;w=z}}}while(0);f[i>>2]=f[u>>2];f[u>>2]=f[f[(f[a>>2]|0)+(n<<2)>>2]>>2];f[f[(f[a>>2]|0)+(n<<2)>>2]>>2]=d;d=f[e>>2]|0;if(!d){A=39;break a}}}else{d=c;while(1){p=f[d+4>>2]|0;if(p>>>0<b>>>0)B=p;else B=(p>>>0)%(b>>>0)|0;if((B|0)==(j|0)){o=d;break c}p=(f[a>>2]|0)+(B<<2)|0;if(!(f[p>>2]|0)){q=d;r=p;s=B;break b}p=d+12|0;t=f[d>>2]|0;e:do if(!t)C=d;else{w=f[d+8>>2]|0;x=d;v=t;while(1){if((w|0)!=(f[v+8>>2]|0)){C=x;break e}if((f[p>>2]|0)!=(f[v+12>>2]|0)){C=x;break e}z=f[v>>2]|0;if(!z){C=v;break}else{y=v;v=z;x=y}}}while(0);f[i>>2]=f[C>>2];f[C>>2]=f[f[(f[a>>2]|0)+(B<<2)>>2]>>2];f[f[(f[a>>2]|0)+(B<<2)>>2]>>2]=d;d=f[e>>2]|0;if(!d){A=39;break a}}}while(0);c=f[o>>2]|0;if(!c){A=39;break a}else{e=o;i=o}}f[r>>2]=i;l=f[q>>2]|0;if(!l){A=39;break}else{j=s;k=q;m=q}}if((A|0)==39)return}function uMb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;c=a+4|0;if(!b){d=f[a>>2]|0;f[a>>2]=0;if(d|0)fuc(d);f[c>>2]=0;return}if(b>>>0>1073741823){d=ze(8)|0;kuc(d,519086);f[d>>2]=167148;Hf(d|0,26888,1888)}d=cuc(b<<2)|0;e=f[a>>2]|0;f[a>>2]=d;if(e|0)fuc(e);f[c>>2]=b;c=0;do{f[(f[a>>2]|0)+(c<<2)>>2]=0;c=c+1|0}while((c|0)!=(b|0));c=a+8|0;e=f[c>>2]|0;if(!e)return;d=f[e+4>>2]|0;g=b+-1|0;h=(g&b|0)==0;if(!h)if(d>>>0<b>>>0)i=d;else i=(d>>>0)%(b>>>0)|0;else i=d&g;f[(f[a>>2]|0)+(i<<2)>>2]=c;c=f[e>>2]|0;if(!c)return;else{j=i;k=e;l=c;m=e}a:while(1){e=k;c=l;i=m;b:while(1){c:do if(h){d=c;while(1){n=f[d+4>>2]&g;if((n|0)==(j|0)){o=d;break c}p=(f[a>>2]|0)+(n<<2)|0;if(!(f[p>>2]|0)){q=d;r=p;s=n;break b}p=f[d>>2]|0;d:do if(!p)t=d;else{u=f[d+8>>2]|0;v=d+12|0;w=d;x=p;while(1){if((u|0)!=(f[x+8>>2]|0)){t=w;break d}if(Mec(f[v>>2]|0,f[x+12>>2]|0)|0){t=w;break d}y=f[x>>2]|0;if(!y){t=x;break}else{z=x;x=y;w=z}}}while(0);f[i>>2]=f[t>>2];f[t>>2]=f[f[(f[a>>2]|0)+(n<<2)>>2]>>2];f[f[(f[a>>2]|0)+(n<<2)>>2]>>2]=d;d=f[e>>2]|0;if(!d){A=39;break a}}}else{d=c;while(1){p=f[d+4>>2]|0;if(p>>>0<b>>>0)B=p;else B=(p>>>0)%(b>>>0)|0;if((B|0)==(j|0)){o=d;break c}p=(f[a>>2]|0)+(B<<2)|0;if(!(f[p>>2]|0)){q=d;r=p;s=B;break b}p=f[d>>2]|0;e:do if(!p)C=d;else{w=f[d+8>>2]|0;x=d+12|0;v=d;u=p;while(1){if((w|0)!=(f[u+8>>2]|0)){C=v;break e}if(Mec(f[x>>2]|0,f[u+12>>2]|0)|0){C=v;break e}z=f[u>>2]|0;if(!z){C=u;break}else{y=u;u=z;v=y}}}while(0);f[i>>2]=f[C>>2];f[C>>2]=f[f[(f[a>>2]|0)+(B<<2)>>2]>>2];f[f[(f[a>>2]|0)+(B<<2)>>2]>>2]=d;d=f[e>>2]|0;if(!d){A=39;break a}}}while(0);c=f[o>>2]|0;if(!c){A=39;break a}else{e=o;i=o}}f[r>>2]=i;l=f[q>>2]|0;if(!l){A=39;break}else{j=s;k=q;m=q}}if((A|0)==39)return}function vMb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;c=a+4|0;if(!b){d=f[a>>2]|0;f[a>>2]=0;if(d|0)fuc(d);f[c>>2]=0;return}if(b>>>0>1073741823){d=ze(8)|0;kuc(d,519086);f[d>>2]=167148;Hf(d|0,26888,1888)}d=cuc(b<<2)|0;e=f[a>>2]|0;f[a>>2]=d;if(e|0)fuc(e);f[c>>2]=b;c=0;do{f[(f[a>>2]|0)+(c<<2)>>2]=0;c=c+1|0}while((c|0)!=(b|0));c=a+8|0;e=f[c>>2]|0;if(!e)return;d=f[e+4>>2]|0;g=b+-1|0;h=(g&b|0)==0;if(!h)if(d>>>0<b>>>0)i=d;else i=(d>>>0)%(b>>>0)|0;else i=d&g;f[(f[a>>2]|0)+(i<<2)>>2]=c;c=f[e>>2]|0;if(!c)return;else{j=i;k=e;l=c;m=e}a:while(1){e=k;c=l;i=m;b:while(1){c:do if(h){d=c;while(1){n=f[d+4>>2]&g;if((n|0)==(j|0)){o=d;break c}p=(f[a>>2]|0)+(n<<2)|0;if(!(f[p>>2]|0)){q=d;r=p;s=n;break b}p=f[d>>2]|0;d:do if(!p)t=d;else{u=f[d+8>>2]|0;v=d+12|0;w=d;x=p;while(1){if((u|0)!=(f[x+8>>2]|0)){t=w;break d}if(Mec(f[v>>2]|0,f[x+12>>2]|0)|0){t=w;break d}y=f[x>>2]|0;if(!y){t=x;break}else{z=x;x=y;w=z}}}while(0);f[i>>2]=f[t>>2];f[t>>2]=f[f[(f[a>>2]|0)+(n<<2)>>2]>>2];f[f[(f[a>>2]|0)+(n<<2)>>2]>>2]=d;d=f[e>>2]|0;if(!d){A=39;break a}}}else{d=c;while(1){p=f[d+4>>2]|0;if(p>>>0<b>>>0)B=p;else B=(p>>>0)%(b>>>0)|0;if((B|0)==(j|0)){o=d;break c}p=(f[a>>2]|0)+(B<<2)|0;if(!(f[p>>2]|0)){q=d;r=p;s=B;break b}p=f[d>>2]|0;e:do if(!p)C=d;else{w=f[d+8>>2]|0;x=d+12|0;v=d;u=p;while(1){if((w|0)!=(f[u+8>>2]|0)){C=v;break e}if(Mec(f[x>>2]|0,f[u+12>>2]|0)|0){C=v;break e}z=f[u>>2]|0;if(!z){C=u;break}else{y=u;u=z;v=y}}}while(0);f[i>>2]=f[C>>2];f[C>>2]=f[f[(f[a>>2]|0)+(B<<2)>>2]>>2];f[f[(f[a>>2]|0)+(B<<2)>>2]>>2]=d;d=f[e>>2]|0;if(!d){A=39;break a}}}while(0);c=f[o>>2]|0;if(!c){A=39;break a}else{e=o;i=o}}f[r>>2]=i;l=f[q>>2]|0;if(!l){A=39;break}else{j=s;k=q;m=q}}if((A|0)==39)return}function wMb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+4|0;d=f[a>>2]|0;e=(f[c>>2]|0)-d|0;g=e>>5;h=g+1|0;if(h>>>0>134217727)nsc(a);i=a+8|0;j=(f[i>>2]|0)-d|0;k=j>>4;l=j>>5>>>0<67108863?(k>>>0<h>>>0?h:k):134217727;do if(l)if(l>>>0>134217727){k=ze(8)|0;kuc(k,519086);f[k>>2]=167148;Hf(k|0,26888,1888)}else{m=cuc(l<<5)|0;break}else m=0;while(0);k=m+(g<<5)|0;f[k>>2]=f[b>>2];f[k+4>>2]=f[b+4>>2];f[k+8>>2]=f[b+8>>2];f[k+12>>2]=f[b+12>>2];f[k+16>>2]=f[b+16>>2];f[k+20>>2]=f[b+20>>2];f[k+24>>2]=f[b+24>>2];f[k+28>>2]=f[b+28>>2];b=k+(0-g<<5)|0;if((e|0)>0)szc(b|0,d|0,e|0)|0;f[a>>2]=b;f[c>>2]=k+32;f[i>>2]=m+(l<<5);if(!d)return;fuc(d);return}function xMb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;c=a+188|0;d=f[c>>2]|0;e=d+-12|0;g=f[e>>2]|0;h=a+196|0;i=a+200|0;j=f[h>>2]|0;if(g>>>0<(f[i>>2]|0)-j>>2>>>0){k=a+132|0;l=g;g=j;do{yMb(k,g+(l<<2)|0)|0;l=l+1|0;g=f[h>>2]|0}while(l>>>0<(f[i>>2]|0)-g>>2>>>0)}g=d+-8|0;l=f[g>>2]|0;k=a+208|0;j=a+212|0;m=f[k>>2]|0;if(l>>>0<(f[j>>2]|0)-m>>2>>>0){n=a+152|0;o=l;l=m;do{zMb(n,l+(o<<2)|0)|0;o=o+1|0;l=f[k>>2]|0}while(o>>>0<(f[j>>2]|0)-l>>2>>>0)}l=d+-4|0;o=f[l>>2]|0;n=a+220|0;m=a+224|0;p=f[n>>2]|0;if(o>>>0<(f[m>>2]|0)-p>>3>>>0){q=a+172|0;r=o;o=p;do{CMb(q,o+(r<<3)|0)|0;r=r+1|0;o=f[n>>2]|0}while(r>>>0<(f[m>>2]|0)-o>>3>>>0)}o=f[e>>2]|0;e=f[i>>2]|0;r=f[h>>2]|0;q=e-r>>2;p=r;r=e;if(o>>>0<=q>>>0){if(o>>>0<q>>>0?(e=p+(o<<2)|0,(r|0)!=(e|0)):0)f[i>>2]=r+(~((r+-4-e|0)>>>2)<<2)}else AMb(h,o-q|0);q=f[g>>2]|0;g=f[j>>2]|0;o=f[k>>2]|0;h=g-o>>2;e=o;o=g;if(q>>>0<=h>>>0){if(q>>>0<h>>>0?(g=e+(q<<2)|0,(o|0)!=(g|0)):0)f[j>>2]=o+(~((o+-4-g|0)>>>2)<<2)}else AMb(k,q-h|0);h=f[l>>2]|0;l=f[m>>2]|0;q=f[n>>2]|0;k=l-q>>3;g=q;q=l;if(h>>>0<=k>>>0){if(h>>>0<k>>>0?(l=g+(h<<3)|0,(q|0)!=(l|0)):0)f[m>>2]=q+(~((q+-8-l|0)>>>3)<<3)}else BMb(n,h-k|0);k=a+72|0;h=d+-32|0;n=(f[k>>2]|0)+(f[h>>2]<<2)|0;l=a+76|0;q=f[l>>2]|0;if((n|0)!=(q|0)){m=n;do{n=f[m>>2]|0;m=m+4|0;if(n|0){if((b[n+11>>0]|0)<0)fuc(f[n>>2]|0);fuc(n)}}while((m|0)!=(q|0))}q=a+84|0;m=d+-28|0;n=(f[q>>2]|0)+(f[m>>2]<<2)|0;g=a+88|0;o=f[g>>2]|0;if((n|0)!=(o|0)){j=n;do{n=f[j>>2]|0;j=j+4|0;if(n|0)bi[f[(f[n>>2]|0)+4>>2]&2047](n)}while((j|0)!=(o|0))}o=a+96|0;j=d+-24|0;n=(f[o>>2]|0)+(f[j>>2]<<2)|0;e=a+100|0;r=f[e>>2]|0;if((n|0)!=(r|0)){i=n;do{n=f[i>>2]|0;i=i+4|0;if(n|0)fuc(n)}while((i|0)!=(r|0))}r=a+108|0;i=d+-20|0;n=(f[r>>2]|0)+(f[i>>2]<<2)|0;p=a+112|0;s=f[p>>2]|0;if((n|0)!=(s|0)){t=n;do{n=f[t>>2]|0;t=t+4|0;if(n|0){jMb(n);fuc(n)}}while((t|0)!=(s|0))}s=d+-16|0;d=f[s>>2]|0;t=a+120|0;n=a+124|0;a=f[t>>2]|0;if(d>>>0<(f[n>>2]|0)-a>>2>>>0){u=d;d=a;do{fuc(f[d+(u<<2)>>2]|0);u=u+1|0;d=f[t>>2]|0}while(u>>>0<(f[n>>2]|0)-d>>2>>>0)}d=f[h>>2]|0;h=f[l>>2]|0;u=f[k>>2]|0;a=h-u>>2;v=u;u=h;if(d>>>0<=a>>>0){if(d>>>0<a>>>0?(h=v+(d<<2)|0,(u|0)!=(h|0)):0)f[l>>2]=u+(~((u+-4-h|0)>>>2)<<2)}else DMb(k,d-a|0);a=f[m>>2]|0;m=f[g>>2]|0;d=f[q>>2]|0;k=m-d>>2;h=d;d=m;if(a>>>0<=k>>>0){if(a>>>0<k>>>0?(m=h+(a<<2)|0,(d|0)!=(m|0)):0)f[g>>2]=d+(~((d+-4-m|0)>>>2)<<2)}else EMb(q,a-k|0);k=f[j>>2]|0;j=f[e>>2]|0;a=f[o>>2]|0;q=j-a>>2;m=a;a=j;if(k>>>0<=q>>>0){if(k>>>0<q>>>0?(j=m+(k<<2)|0,(a|0)!=(j|0)):0)f[e>>2]=a+(~((a+-4-j|0)>>>2)<<2)}else FMb(o,k-q|0);q=f[i>>2]|0;i=f[p>>2]|0;k=f[r>>2]|0;o=i-k>>2;j=k;k=i;if(q>>>0<=o>>>0){if(q>>>0<o>>>0?(i=j+(q<<2)|0,(k|0)!=(i|0)):0)f[p>>2]=k+(~((k+-4-i|0)>>>2)<<2)}else GMb(r,q-o|0);o=f[s>>2]|0;s=f[n>>2]|0;q=f[t>>2]|0;r=s-q>>2;i=s;if(o>>>0>r>>>0){HMb(t,o-r|0);w=f[c>>2]|0;x=w+-32|0;f[c>>2]=x;return}if(o>>>0>=r>>>0){w=f[c>>2]|0;x=w+-32|0;f[c>>2]=x;return}r=q+(o<<2)|0;if((i|0)==(r|0)){w=f[c>>2]|0;x=w+-32|0;f[c>>2]=x;return}f[n>>2]=i+(~((i+-4-r|0)>>>2)<<2);w=f[c>>2]|0;x=w+-32|0;f[c>>2]=x;return}function yMb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;c=JMb(a,b)|0;if(!c){d=0;return d|0}b=f[a+4>>2]|0;e=f[c+4>>2]|0;g=b+-1|0;h=(g&b|0)==0;if(!h)if(e>>>0<b>>>0)i=e;else i=(e>>>0)%(b>>>0)|0;else i=g&e;e=(f[a>>2]|0)+(i<<2)|0;j=f[e>>2]|0;while(1){k=f[j>>2]|0;if((k|0)==(c|0))break;else j=k}if((j|0)!=(a+8|0)){k=f[j+4>>2]|0;if(!h)if(k>>>0<b>>>0)l=k;else l=(k>>>0)%(b>>>0)|0;else l=k&g;if((l|0)==(i|0))m=c;else n=15}else n=15;do if((n|0)==15){l=f[c>>2]|0;if(l|0){k=f[l+4>>2]|0;if(!h)if(k>>>0<b>>>0)o=k;else o=(k>>>0)%(b>>>0)|0;else o=k&g;if((o|0)==(i|0)){m=c;break}}f[e>>2]=0;m=c}while(0);e=f[m>>2]|0;o=e;if(e){n=f[e+4>>2]|0;if(!h)if(n>>>0<b>>>0)p=n;else p=(n>>>0)%(b>>>0)|0;else p=n&g;if((p|0)!=(i|0)){f[(f[a>>2]|0)+(p<<2)>>2]=j;q=f[c>>2]|0}else q=o}else q=o;f[j>>2]=q;f[m>>2]=0;m=a+12|0;f[m>>2]=(f[m>>2]|0)+-1;fuc(c);d=1;return d|0}function zMb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;c=IMb(a,b)|0;if(!c){d=0;return d|0}b=f[a+4>>2]|0;e=f[c+4>>2]|0;g=b+-1|0;h=(g&b|0)==0;if(!h)if(e>>>0<b>>>0)i=e;else i=(e>>>0)%(b>>>0)|0;else i=g&e;e=(f[a>>2]|0)+(i<<2)|0;j=f[e>>2]|0;while(1){k=f[j>>2]|0;if((k|0)==(c|0))break;else j=k}if((j|0)!=(a+8|0)){k=f[j+4>>2]|0;if(!h)if(k>>>0<b>>>0)l=k;else l=(k>>>0)%(b>>>0)|0;else l=k&g;if((l|0)==(i|0))m=c;else n=15}else n=15;do if((n|0)==15){l=f[c>>2]|0;if(l|0){k=f[l+4>>2]|0;if(!h)if(k>>>0<b>>>0)o=k;else o=(k>>>0)%(b>>>0)|0;else o=k&g;if((o|0)==(i|0)){m=c;break}}f[e>>2]=0;m=c}while(0);e=f[m>>2]|0;o=e;if(e){n=f[e+4>>2]|0;if(!h)if(n>>>0<b>>>0)p=n;else p=(n>>>0)%(b>>>0)|0;else p=n&g;if((p|0)!=(i|0)){f[(f[a>>2]|0)+(p<<2)>>2]=j;q=f[c>>2]|0}else q=o}else q=o;f[j>>2]=q;f[m>>2]=0;m=a+12|0;f[m>>2]=(f[m>>2]|0)+-1;fuc(c);d=1;return d|0}function AMb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(d-g>>2>>>0>=b>>>0){h=b;i=g;do{f[i>>2]=0;i=(f[e>>2]|0)+4|0;f[e>>2]=i;h=h+-1|0}while((h|0)!=0);return}h=f[a>>2]|0;i=g-h>>2;g=i+b|0;if(g>>>0>1073741823)nsc(a);j=d-h|0;h=j>>1;d=j>>2>>>0<536870911?(h>>>0<g>>>0?g:h):1073741823;do if(d)if(d>>>0>1073741823){h=ze(8)|0;kuc(h,519086);f[h>>2]=167148;Hf(h|0,26888,1888)}else{k=cuc(d<<2)|0;break}else k=0;while(0);h=k+(i<<2)|0;i=k+(d<<2)|0;d=b;b=h;k=h;do{f[k>>2]=0;k=b+4|0;b=k;d=d+-1|0}while((d|0)!=0);d=f[a>>2]|0;k=(f[e>>2]|0)-d|0;g=h+(0-(k>>2)<<2)|0;if((k|0)>0)szc(g|0,d|0,k|0)|0;f[a>>2]=g;f[e>>2]=b;f[c>>2]=i;if(!d)return;fuc(d);return}function BMb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(d-g>>3>>>0>=b>>>0){kzc(g|0,0,b<<3|0)|0;f[e>>2]=g+(b<<3);return}h=f[a>>2]|0;i=g-h|0;g=i>>3;j=g+b|0;if(j>>>0>536870911)nsc(a);k=d-h|0;d=k>>2;l=k>>3>>>0<268435455?(d>>>0<j>>>0?j:d):536870911;do if(l)if(l>>>0>536870911){d=ze(8)|0;kuc(d,519086);f[d>>2]=167148;Hf(d|0,26888,1888)}else{m=cuc(l<<3)|0;break}else m=0;while(0);d=m+(g<<3)|0;kzc(d|0,0,b<<3|0)|0;j=d+(0-g<<3)|0;if((i|0)>0)szc(j|0,h|0,i|0)|0;f[a>>2]=j;f[e>>2]=d+(b<<3);f[c>>2]=m+(l<<3);if(!h)return;fuc(h);return}function CMb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+4|0;d=f[c>>2]|0;if(!d){e=0;return e|0}g=f[b>>2]|0;h=f[b+4>>2]|0;b=c;i=d;a:while(1){j=i;while(1){k=f[j+16>>2]|0;if(k>>>0>=g>>>0){if(g>>>0<k>>>0)break;if((f[j+20>>2]|0)>=(h|0))break}k=f[j+4>>2]|0;if(!k){l=b;break a}else j=k}i=f[j>>2]|0;if(!i){l=j;break}else b=j}if((l|0)==(c|0)){e=0;return e|0}c=f[l+16>>2]|0;if(g>>>0<c>>>0){e=0;return e|0}if(c>>>0>=g>>>0?(h|0)<(f[l+20>>2]|0):0){e=0;return e|0}h=f[l+4>>2]|0;if(!h){g=l+8|0;c=f[g>>2]|0;if((f[c>>2]|0)==(l|0))m=c;else{c=g;do{g=f[c>>2]|0;c=g+8|0;b=f[c>>2]|0}while((f[b>>2]|0)!=(g|0));m=b}}else{c=h;while(1){h=f[c>>2]|0;if(!h)break;else c=h}m=c}if((f[a>>2]|0)==(l|0))f[a>>2]=m;m=a+8|0;f[m>>2]=(f[m>>2]|0)+-1;sGa(d,l);fuc(l);e=1;return e|0}function DMb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(d-g>>2>>>0>=b>>>0){h=b;i=g;do{f[i>>2]=0;i=(f[e>>2]|0)+4|0;f[e>>2]=i;h=h+-1|0}while((h|0)!=0);return}h=f[a>>2]|0;i=g-h>>2;g=i+b|0;if(g>>>0>1073741823)nsc(a);j=d-h|0;h=j>>1;d=j>>2>>>0<536870911?(h>>>0<g>>>0?g:h):1073741823;do if(d)if(d>>>0>1073741823){h=ze(8)|0;kuc(h,519086);f[h>>2]=167148;Hf(h|0,26888,1888)}else{k=cuc(d<<2)|0;break}else k=0;while(0);h=k+(i<<2)|0;i=k+(d<<2)|0;d=b;b=h;k=h;do{f[k>>2]=0;k=b+4|0;b=k;d=d+-1|0}while((d|0)!=0);d=f[a>>2]|0;k=(f[e>>2]|0)-d|0;g=h+(0-(k>>2)<<2)|0;if((k|0)>0)szc(g|0,d|0,k|0)|0;f[a>>2]=g;f[e>>2]=b;f[c>>2]=i;if(!d)return;fuc(d);return}function EMb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(d-g>>2>>>0>=b>>>0){h=b;i=g;do{f[i>>2]=0;i=(f[e>>2]|0)+4|0;f[e>>2]=i;h=h+-1|0}while((h|0)!=0);return}h=f[a>>2]|0;i=g-h>>2;g=i+b|0;if(g>>>0>1073741823)nsc(a);j=d-h|0;h=j>>1;d=j>>2>>>0<536870911?(h>>>0<g>>>0?g:h):1073741823;do if(d)if(d>>>0>1073741823){h=ze(8)|0;kuc(h,519086);f[h>>2]=167148;Hf(h|0,26888,1888)}else{k=cuc(d<<2)|0;break}else k=0;while(0);h=k+(i<<2)|0;i=k+(d<<2)|0;d=b;b=h;k=h;do{f[k>>2]=0;k=b+4|0;b=k;d=d+-1|0}while((d|0)!=0);d=f[a>>2]|0;k=(f[e>>2]|0)-d|0;g=h+(0-(k>>2)<<2)|0;if((k|0)>0)szc(g|0,d|0,k|0)|0;f[a>>2]=g;f[e>>2]=b;f[c>>2]=i;if(!d)return;fuc(d);return}function FMb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(d-g>>2>>>0>=b>>>0){h=b;i=g;do{f[i>>2]=0;i=(f[e>>2]|0)+4|0;f[e>>2]=i;h=h+-1|0}while((h|0)!=0);return}h=f[a>>2]|0;i=g-h>>2;g=i+b|0;if(g>>>0>1073741823)nsc(a);j=d-h|0;h=j>>1;d=j>>2>>>0<536870911?(h>>>0<g>>>0?g:h):1073741823;do if(d)if(d>>>0>1073741823){h=ze(8)|0;kuc(h,519086);f[h>>2]=167148;Hf(h|0,26888,1888)}else{k=cuc(d<<2)|0;break}else k=0;while(0);h=k+(i<<2)|0;i=k+(d<<2)|0;d=b;b=h;k=h;do{f[k>>2]=0;k=b+4|0;b=k;d=d+-1|0}while((d|0)!=0);d=f[a>>2]|0;k=(f[e>>2]|0)-d|0;g=h+(0-(k>>2)<<2)|0;if((k|0)>0)szc(g|0,d|0,k|0)|0;f[a>>2]=g;f[e>>2]=b;f[c>>2]=i;if(!d)return;fuc(d);return}function GMb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(d-g>>2>>>0>=b>>>0){h=b;i=g;do{f[i>>2]=0;i=(f[e>>2]|0)+4|0;f[e>>2]=i;h=h+-1|0}while((h|0)!=0);return}h=f[a>>2]|0;i=g-h>>2;g=i+b|0;if(g>>>0>1073741823)nsc(a);j=d-h|0;h=j>>1;d=j>>2>>>0<536870911?(h>>>0<g>>>0?g:h):1073741823;do if(d)if(d>>>0>1073741823){h=ze(8)|0;kuc(h,519086);f[h>>2]=167148;Hf(h|0,26888,1888)}else{k=cuc(d<<2)|0;break}else k=0;while(0);h=k+(i<<2)|0;i=k+(d<<2)|0;d=b;b=h;k=h;do{f[k>>2]=0;k=b+4|0;b=k;d=d+-1|0}while((d|0)!=0);d=f[a>>2]|0;k=(f[e>>2]|0)-d|0;g=h+(0-(k>>2)<<2)|0;if((k|0)>0)szc(g|0,d|0,k|0)|0;f[a>>2]=g;f[e>>2]=b;f[c>>2]=i;if(!d)return;fuc(d);return}function HMb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(d-g>>2>>>0>=b>>>0){h=b;i=g;do{f[i>>2]=0;i=(f[e>>2]|0)+4|0;f[e>>2]=i;h=h+-1|0}while((h|0)!=0);return}h=f[a>>2]|0;i=g-h>>2;g=i+b|0;if(g>>>0>1073741823)nsc(a);j=d-h|0;h=j>>1;d=j>>2>>>0<536870911?(h>>>0<g>>>0?g:h):1073741823;do if(d)if(d>>>0>1073741823){h=ze(8)|0;kuc(h,519086);f[h>>2]=167148;Hf(h|0,26888,1888)}else{k=cuc(d<<2)|0;break}else k=0;while(0);h=k+(i<<2)|0;i=k+(d<<2)|0;d=b;b=h;k=h;do{f[k>>2]=0;k=b+4|0;b=k;d=d+-1|0}while((d|0)!=0);d=f[a>>2]|0;k=(f[e>>2]|0)-d|0;g=h+(0-(k>>2)<<2)|0;if((k|0)>0)szc(g|0,d|0,k|0)|0;f[a>>2]=g;f[e>>2]=b;f[c>>2]=i;if(!d)return;fuc(d);return}function IMb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;d=f[c>>2]|0;c=b[d>>0]|0;if(!(c<<24>>24))e=0;else{g=d;h=0;i=c;while(1){c=(h*5|0)+(i<<24>>24)|0;g=g+1|0;i=b[g>>0]|0;if(!(i<<24>>24)){e=c;break}else h=c}}h=f[a+4>>2]|0;if(!h){j=0;return j|0}i=h+-1|0;g=(i&h|0)==0;if(!g)if(e>>>0<h>>>0)k=e;else k=(e>>>0)%(h>>>0)|0;else k=i&e;c=f[(f[a>>2]|0)+(k<<2)>>2]|0;if(!c){j=0;return j|0}a=f[c>>2]|0;if(!a){j=0;return j|0}if(g){g=a;while(1){c=f[g+4>>2]|0;l=(c|0)==(e|0);if(!(l|(c&i|0)==(k|0))){j=0;m=22;break}if(l?(Mec(f[g+8>>2]|0,d)|0)==0:0){j=g;m=22;break}g=f[g>>2]|0;if(!g){j=0;m=22;break}}if((m|0)==22)return j|0}else n=a;while(1){a=f[n+4>>2]|0;g=(a|0)==(e|0);if(!g){if(a>>>0<h>>>0)o=a;else o=(a>>>0)%(h>>>0)|0;if((o|0)!=(k|0)){j=0;m=22;break}if(g)m=21}else m=21;if((m|0)==21?(m=0,(Mec(f[n+8>>2]|0,d)|0)==0):0){j=n;m=22;break}n=f[n>>2]|0;if(!n){j=0;m=22;break}}if((m|0)==22)return j|0;return 0}function JMb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;d=f[c>>2]|0;c=b[d>>0]|0;if(!(c<<24>>24))e=0;else{g=d;h=0;i=c;while(1){c=(h*5|0)+(i<<24>>24)|0;g=g+1|0;i=b[g>>0]|0;if(!(i<<24>>24)){e=c;break}else h=c}}h=f[a+4>>2]|0;if(!h){j=0;return j|0}i=h+-1|0;g=(i&h|0)==0;if(!g)if(e>>>0<h>>>0)k=e;else k=(e>>>0)%(h>>>0)|0;else k=i&e;c=f[(f[a>>2]|0)+(k<<2)>>2]|0;if(!c){j=0;return j|0}a=f[c>>2]|0;if(!a){j=0;return j|0}if(g){g=a;while(1){c=f[g+4>>2]|0;l=(c|0)==(e|0);if(!(l|(c&i|0)==(k|0))){j=0;m=22;break}if(l?(Mec(f[g+8>>2]|0,d)|0)==0:0){j=g;m=22;break}g=f[g>>2]|0;if(!g){j=0;m=22;break}}if((m|0)==22)return j|0}else n=a;while(1){a=f[n+4>>2]|0;g=(a|0)==(e|0);if(!g){if(a>>>0<h>>>0)o=a;else o=(a>>>0)%(h>>>0)|0;if((o|0)!=(k|0)){j=0;m=22;break}if(g)m=21}else m=21;if((m|0)==21?(m=0,(Mec(f[n+8>>2]|0,d)|0)==0):0){j=n;m=22;break}n=f[n>>2]|0;if(!n){j=0;m=22;break}}if((m|0)==22)return j|0;return 0}function KMb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;g=u;u=u+16|0;h=g;i=f[d>>2]|0;j=(i|0)==0;if(!j)WKb(i);k=c+44|0;if(f[k>>2]|0){l=c+40|0;m=f[l>>2]|0;if(m|0){n=m;do{m=n;n=f[n>>2]|0;o=m+8|0;if((b[o+11>>0]|0)<0)fuc(f[o>>2]|0);fuc(m)}while((n|0)!=0)}f[l>>2]=0;l=f[c+36>>2]|0;if(l|0){n=c+32|0;m=0;do{f[(f[n>>2]|0)+(m<<2)>>2]=0;m=m+1|0}while((m|0)!=(l|0))}f[k>>2]=0}k=c+24|0;if(f[k>>2]|0){l=c+20|0;m=f[l>>2]|0;if(m|0){n=m;do{m=n;n=f[n>>2]|0;o=m+8|0;if((b[o+11>>0]|0)<0)fuc(f[o>>2]|0);fuc(m)}while((n|0)!=0)}f[l>>2]=0;l=f[c+16>>2]|0;if(l|0){n=c+12|0;m=0;do{f[(f[n>>2]|0)+(m<<2)>>2]=0;m=m+1|0}while((m|0)!=(l|0))}f[k>>2]=0}k=e+11|0;f[h>>2]=(b[k>>0]|0)<0?f[e>>2]|0:e;l=c+132|0;c=LMb(l,h)|0;if(c){m=c+12|0;c=f[m>>2]|0;n=f[m+4>>2]|0;m=a;f[m>>2]=c;f[m+4>>2]=n;if(!c)p=24}else{c=a;f[c>>2]=0;f[c+4>>2]=0;p=24}do if((p|0)==24){c=f[d+12>>2]|0;if(c|0?(KMb(h,f[c+16>>2]|0,c,e),c=h,n=f[c>>2]|0,m=f[c+4>>2]|0,c=a,f[c>>2]=n,f[c+4>>2]=m,n|0):0)break;if(MMb(d,e)|0){f[h>>2]=(b[k>>0]|0)<0?f[e>>2]|0:e;n=LMb(l,h)|0;if(!n){q=0;r=0}else{m=n+12|0;q=f[m>>2]|0;r=f[m+4>>2]|0}m=a;f[m>>2]=q;f[m+4>>2]=r}}while(0);if(j){u=g;return}XKb(i);u=g;return}function LMb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;d=f[c>>2]|0;c=b[d>>0]|0;if(!(c<<24>>24))e=0;else{g=d;h=0;i=c;while(1){c=(h*5|0)+(i<<24>>24)|0;g=g+1|0;i=b[g>>0]|0;if(!(i<<24>>24)){e=c;break}else h=c}}h=f[a+4>>2]|0;if(!h){j=0;return j|0}i=h+-1|0;g=(i&h|0)==0;if(!g)if(e>>>0<h>>>0)k=e;else k=(e>>>0)%(h>>>0)|0;else k=i&e;c=f[(f[a>>2]|0)+(k<<2)>>2]|0;if(!c){j=0;return j|0}a=f[c>>2]|0;if(!a){j=0;return j|0}if(g){g=a;while(1){c=f[g+4>>2]|0;l=(e|0)==(c|0);if(!(l|(c&i|0)==(k|0))){j=0;m=22;break}if(l?(Mec(f[g+8>>2]|0,d)|0)==0:0){j=g;m=22;break}g=f[g>>2]|0;if(!g){j=0;m=22;break}}if((m|0)==22)return j|0}else n=a;while(1){a=f[n+4>>2]|0;g=(e|0)==(a|0);if(!g){if(a>>>0<h>>>0)o=a;else o=(a>>>0)%(h>>>0)|0;if((o|0)!=(k|0)){j=0;m=22;break}if(g)m=21}else m=21;if((m|0)==21?(m=0,(Mec(f[n+8>>2]|0,d)|0)==0):0){j=n;m=22;break}n=f[n>>2]|0;if(!n){j=0;m=22;break}}if((m|0)==22)return j|0;return 0}function MMb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0.0,M=0.0,N=0,O=0,P=0,Q=0;d=u;u=u+144|0;e=d+140|0;g=d;h=a+4|0;if(!(f[h>>2]|0)){i=0;u=d;return i|0}j=a+16|0;if(NMb((f[j>>2]|0)+32|0,c)|0){i=0;u=d;return i|0}F$b(g);do if(!(OMb(a,c)|0)?(k=f[h>>2]|0,li[f[(f[k>>2]|0)+12>>2]&511](k,c,g)|0):0){k=f[j>>2]|0;l=f[g+120>>2]|0;f[e>>2]=(b[l+11>>0]|0)<0?f[l>>2]|0:l;l=PMb(k+152|0,e)|0;if(l)if(f[l+12>>2]|0){m=9;break}if(QMb(a,g)|0)o=1;else m=9}else m=9;while(0);a:do if((m|0)==9){a=f[j>>2]|0;e=a+32|0;h=b[c+11>>0]|0;l=h<<24>>24<0;k=l?f[c>>2]|0:c;p=b[k>>0]|0;if(!(p<<24>>24))q=0;else{r=k;s=0;t=p;while(1){v=(s*5|0)+(t<<24>>24)|0;r=r+1|0;t=b[r>>0]|0;if(!(t<<24>>24)){q=v;break}else s=v}}s=a+36|0;t=f[s>>2]|0;r=(t|0)==0;b:do if(!r){v=t+-1|0;w=(v&t|0)==0;if(!w)if(q>>>0<t>>>0)x=q;else x=(q>>>0)%(t>>>0)|0;else x=v&q;y=f[(f[e>>2]|0)+(x<<2)>>2]|0;if((y|0)!=0?(z=f[y>>2]|0,(z|0)!=0):0){y=l?f[c+4>>2]|0:h&255;A=(y|0)==0;if(w){if(A){w=z;while(1){B=f[w+4>>2]|0;if(!((B|0)==(q|0)|(B&v|0)==(x|0))){C=x;break b}B=b[w+8+11>>0]|0;if(!((B<<24>>24<0?f[w+12>>2]|0:B&255)|0)){o=0;break a}w=f[w>>2]|0;if(!w){C=x;break b}}}else D=z;while(1){w=f[D+4>>2]|0;if(!((w|0)==(q|0)|(w&v|0)==(x|0))){C=x;break b}w=D+8|0;B=b[w+11>>0]|0;E=B<<24>>24<0;F=B&255;do if(((E?f[D+12>>2]|0:F)|0)==(y|0)){B=f[w>>2]|0;if(E)if(!(ahc(B,k,y)|0)){o=0;break a}else break;if((B&255)<<24>>24==p<<24>>24){B=w;G=F;H=k;do{G=G+-1|0;B=B+1|0;if(!G){o=0;break a}H=H+1|0}while((b[B>>0]|0)==(b[H>>0]|0))}}while(0);D=f[D>>2]|0;if(!D){C=x;break b}}}if(A){v=z;while(1){F=f[v+4>>2]|0;if((F|0)!=(q|0)){if(F>>>0<t>>>0)I=F;else I=(F>>>0)%(t>>>0)|0;if((I|0)!=(x|0)){C=x;break b}}F=b[v+8+11>>0]|0;if(!((F<<24>>24<0?f[v+12>>2]|0:F&255)|0)){o=0;break a}v=f[v>>2]|0;if(!v){C=x;break b}}}else J=z;while(1){v=f[J+4>>2]|0;if((v|0)!=(q|0)){if(v>>>0<t>>>0)K=v;else K=(v>>>0)%(t>>>0)|0;if((K|0)!=(x|0)){C=x;break b}}v=J+8|0;A=b[v+11>>0]|0;F=A<<24>>24<0;w=A&255;do if(((F?f[J+12>>2]|0:w)|0)==(y|0)){A=f[v>>2]|0;if(F)if(!(ahc(A,k,y)|0)){o=0;break a}else break;if((A&255)<<24>>24==p<<24>>24){A=v;E=w;H=k;do{E=E+-1|0;A=A+1|0;if(!E){o=0;break a}H=H+1|0}while((b[A>>0]|0)==(b[H>>0]|0))}}while(0);J=f[J>>2]|0;if(!J){C=x;break}}}else C=x}else C=0;while(0);k=cuc(20)|0;ouc(k+8|0,c);f[k+4>>2]=q;f[k>>2]=0;p=a+44|0;L=+(((f[p>>2]|0)+1|0)>>>0);M=+n[a+48>>2];do if(r|L>+(t>>>0)*M){h=(t>>>0<3|(t+-1&t|0)!=0)&1|t<<1;l=~~+X(+(L/M))>>>0;RMb(e,h>>>0<l>>>0?l:h);h=f[s>>2]|0;l=h+-1|0;if(!(l&h)){N=h;O=l&q;break}if(q>>>0<h>>>0){N=h;O=q}else{N=h;O=(q>>>0)%(h>>>0)|0}}else{N=t;O=C}while(0);t=(f[e>>2]|0)+(O<<2)|0;s=f[t>>2]|0;if(!s){r=a+40|0;f[k>>2]=f[r>>2];f[r>>2]=k;f[t>>2]=r;r=f[k>>2]|0;if(r|0){t=f[r+4>>2]|0;r=N+-1|0;if(r&N)if(t>>>0<N>>>0)P=t;else P=(t>>>0)%(N>>>0)|0;else P=t&r;Q=(f[e>>2]|0)+(P<<2)|0;m=64}}else{f[k>>2]=f[s>>2];Q=s;m=64}if((m|0)==64)f[Q>>2]=k;f[p>>2]=(f[p>>2]|0)+1;o=0}while(0);j$b(g);i=o;u=d;return i|0}function NMb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;d=b[c+11>>0]|0;e=d<<24>>24<0;g=e?f[c>>2]|0:c;h=b[g>>0]|0;if(!(h<<24>>24))i=0;else{j=g;k=0;l=h;while(1){m=(k*5|0)+(l<<24>>24)|0;j=j+1|0;l=b[j>>0]|0;if(!(l<<24>>24)){i=m;break}else k=m}}k=f[a+4>>2]|0;if(!k){n=0;return n|0}l=k+-1|0;j=(l&k|0)==0;if(!j)if(i>>>0<k>>>0)o=i;else o=(i>>>0)%(k>>>0)|0;else o=l&i;m=f[(f[a>>2]|0)+(o<<2)>>2]|0;if(!m){n=0;return n|0}a=f[m>>2]|0;if(!a){n=0;return n|0}m=e?f[c+4>>2]|0:d&255;d=(m|0)==0;if(j){j=a;a:while(1){c=f[j+4>>2]|0;e=(i|0)==(c|0);if(!(e|(c&l|0)==(o|0))){n=0;p=36;break}do if(e?(c=j+8|0,q=b[c+11>>0]|0,r=q<<24>>24<0,s=q&255,((r?f[j+12>>2]|0:s)|0)==(m|0)):0){q=f[c>>2]|0;t=r?q:c;if(r){if(d){n=j;p=36;break a}if(!(ahc(t,g,m)|0)){n=j;p=36;break a}else break}if(d){n=j;p=36;break a}if((q&255)<<24>>24==h<<24>>24){q=c;c=s;s=g;do{c=c+-1|0;q=q+1|0;if(!c){n=j;p=36;break a}s=s+1|0}while((b[q>>0]|0)==(b[s>>0]|0))}}while(0);j=f[j>>2]|0;if(!j){n=0;p=36;break}}if((p|0)==36)return n|0}else u=a;b:while(1){a=f[u+4>>2]|0;j=(i|0)==(a|0);if(!j){if(a>>>0<k>>>0)v=a;else v=(a>>>0)%(k>>>0)|0;if((v|0)!=(o|0)){n=0;p=36;break}if(j)p=28}else p=28;do if((p|0)==28?(p=0,j=u+8|0,a=b[j+11>>0]|0,l=a<<24>>24<0,e=a&255,((l?f[u+12>>2]|0:e)|0)==(m|0)):0){a=f[j>>2]|0;s=l?a:j;if(l){if(d){n=u;p=36;break b}if(!(ahc(s,g,m)|0)){n=u;p=36;break b}else break}if(d){n=u;p=36;break b}if((a&255)<<24>>24==h<<24>>24){a=j;j=e;e=g;do{j=j+-1|0;a=a+1|0;if(!j){n=u;p=36;break b}e=e+1|0}while((b[a>>0]|0)==(b[e>>0]|0))}}while(0);u=f[u>>2]|0;if(!u){n=0;p=36;break}}if((p|0)==36)return n|0;return 0}function OMb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;d=u;u=u+32|0;e=d+12|0;g=d;ouc(g,c);h=Ouc(g,46,-1)|0;a:do if((h|0)==-1)i=9;else{j=g+11|0;k=g+4|0;l=a+16|0;m=h;while(1){puc(e,g,0,m,g);if((b[j>>0]|0)<0){b[f[g>>2]>>0]=0;f[k>>2]=0}else{b[g>>0]=0;b[j>>0]=0}vuc(g,0);f[g>>2]=f[e>>2];f[g+4>>2]=f[e+4>>2];f[g+8>>2]=f[e+8>>2];n=f[l>>2]|0;f[e>>2]=(b[j>>0]|0)<0?f[g>>2]|0:g;o=LMb(n+132|0,e)|0;if(o|0)switch(f[o+12>>2]|0){case 8:case 0:break;default:{p=1;break a}}m=Ouc(g,46,-1)|0;if((m|0)==-1){i=9;break}}}while(0);if((i|0)==9){i=f[a+12>>2]|0;if(!i)p=0;else p=OMb(i,c)|0}if((b[g+11>>0]|0)>=0){u=d;return p|0}fuc(f[g>>2]|0);u=d;return p|0}function PMb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;d=f[c>>2]|0;c=b[d>>0]|0;if(!(c<<24>>24))e=0;else{g=d;h=0;i=c;while(1){c=(h*5|0)+(i<<24>>24)|0;g=g+1|0;i=b[g>>0]|0;if(!(i<<24>>24)){e=c;break}else h=c}}h=f[a+4>>2]|0;if(!h){j=0;return j|0}i=h+-1|0;g=(i&h|0)==0;if(!g)if(e>>>0<h>>>0)k=e;else k=(e>>>0)%(h>>>0)|0;else k=i&e;c=f[(f[a>>2]|0)+(k<<2)>>2]|0;if(!c){j=0;return j|0}a=f[c>>2]|0;if(!a){j=0;return j|0}if(g){g=a;while(1){c=f[g+4>>2]|0;l=(e|0)==(c|0);if(!(l|(c&i|0)==(k|0))){j=0;m=22;break}if(l?(Mec(f[g+8>>2]|0,d)|0)==0:0){j=g;m=22;break}g=f[g>>2]|0;if(!g){j=0;m=22;break}}if((m|0)==22)return j|0}else n=a;while(1){a=f[n+4>>2]|0;g=(e|0)==(a|0);if(!g){if(a>>>0<h>>>0)o=a;else o=(a>>>0)%(h>>>0)|0;if((o|0)!=(k|0)){j=0;m=22;break}if(g)m=21}else m=21;if((m|0)==21?(m=0,(Mec(f[n+8>>2]|0,d)|0)==0):0){j=n;m=22;break}n=f[n>>2]|0;if(!n){j=0;m=22;break}}if((m|0)==22)return j|0;return 0}function QMb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0.0,J=0.0,K=0,L=0,M=0,N=0;d=u;u=u+112|0;e=d;g=a+16|0;h=c+120|0;if(NMb((f[g>>2]|0)+12|0,f[h>>2]|0)|0){i=0;u=d;return i|0}j=f[g>>2]|0;k=f[a+8>>2]|0;f[e>>2]=a;f[e+4>>2]=j;f[e+8>>2]=k;k=e+12|0;j=e+28|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[e+52>>2]=0;f[e+56>>2]=0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;b[k+12>>0]=0;f[e+48>>2]=e+52;f[e+64>>2]=0;f[e+68>>2]=0;f[e+60>>2]=e+64;k=e+72|0;j=e+88|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;f[k+16>>2]=0;f[k+20>>2]=0;f[k+24>>2]=0;b[j+11>>0]=0;b[j>>0]=0;j=TMb(e,c)|0;UMb(e);if(j|0){i=j;u=d;return i|0}j=f[g>>2]|0;g=j+12|0;e=f[h>>2]|0;h=b[e+11>>0]|0;c=h<<24>>24<0;k=c?f[e>>2]|0:e;a=b[k>>0]|0;if(!(a<<24>>24))l=0;else{m=k;o=0;p=a;while(1){q=(o*5|0)+(p<<24>>24)|0;m=m+1|0;p=b[m>>0]|0;if(!(p<<24>>24)){l=q;break}else o=q}}o=j+16|0;p=f[o>>2]|0;m=(p|0)==0;a:do if(!m){q=p+-1|0;r=(q&p|0)==0;if(!r)if(l>>>0<p>>>0)s=l;else s=(l>>>0)%(p>>>0)|0;else s=q&l;t=f[(f[g>>2]|0)+(s<<2)>>2]|0;if((t|0)!=0?(v=f[t>>2]|0,(v|0)!=0):0){t=c?f[e+4>>2]|0:h&255;w=(t|0)==0;if(r){if(w){r=v;while(1){x=f[r+4>>2]|0;if(!((x|0)==(l|0)|(x&q|0)==(s|0))){y=s;break a}x=b[r+8+11>>0]|0;if(!((x<<24>>24<0?f[r+12>>2]|0:x&255)|0)){i=0;break}r=f[r>>2]|0;if(!r){y=s;break a}}u=d;return i|0}else z=v;b:while(1){r=f[z+4>>2]|0;if(!((r|0)==(l|0)|(r&q|0)==(s|0))){y=s;break a}r=z+8|0;x=b[r+11>>0]|0;A=x<<24>>24<0;B=x&255;do if(((A?f[z+12>>2]|0:B)|0)==(t|0)){x=f[r>>2]|0;if(A)if(!(ahc(x,k,t)|0)){i=0;C=60;break b}else break;if((x&255)<<24>>24==a<<24>>24){x=r;D=B;E=k;do{D=D+-1|0;x=x+1|0;if(!D){i=0;C=60;break b}E=E+1|0}while((b[x>>0]|0)==(b[E>>0]|0))}}while(0);z=f[z>>2]|0;if(!z){y=s;break a}}if((C|0)==60){u=d;return i|0}}if(w){q=v;while(1){B=f[q+4>>2]|0;if((B|0)!=(l|0)){if(B>>>0<p>>>0)F=B;else F=(B>>>0)%(p>>>0)|0;if((F|0)!=(s|0)){y=s;break a}}B=b[q+8+11>>0]|0;if(!((B<<24>>24<0?f[q+12>>2]|0:B&255)|0)){i=0;break}q=f[q>>2]|0;if(!q){y=s;break a}}u=d;return i|0}else G=v;c:while(1){q=f[G+4>>2]|0;if((q|0)!=(l|0)){if(q>>>0<p>>>0)H=q;else H=(q>>>0)%(p>>>0)|0;if((H|0)!=(s|0)){y=s;break a}}q=G+8|0;w=b[q+11>>0]|0;B=w<<24>>24<0;r=w&255;do if(((B?f[G+12>>2]|0:r)|0)==(t|0)){w=f[q>>2]|0;if(B)if(!(ahc(w,k,t)|0)){i=0;C=60;break c}else break;if((w&255)<<24>>24==a<<24>>24){w=q;A=r;E=k;do{A=A+-1|0;w=w+1|0;if(!A){i=0;C=60;break c}E=E+1|0}while((b[w>>0]|0)==(b[E>>0]|0))}}while(0);G=f[G>>2]|0;if(!G){y=s;break a}}if((C|0)==60){u=d;return i|0}}else y=s}else y=0;while(0);s=cuc(20)|0;ouc(s+8|0,e);f[s+4>>2]=l;f[s>>2]=0;e=j+24|0;I=+(((f[e>>2]|0)+1|0)>>>0);J=+n[j+28>>2];do if(m|I>+(p>>>0)*J){G=(p>>>0<3|(p+-1&p|0)!=0)&1|p<<1;k=~~+X(+(I/J))>>>0;RMb(g,G>>>0<k>>>0?k:G);G=f[o>>2]|0;k=G+-1|0;if(!(k&G)){K=G;L=k&l;break}if(l>>>0<G>>>0){K=G;L=l}else{K=G;L=(l>>>0)%(G>>>0)|0}}else{K=p;L=y}while(0);y=(f[g>>2]|0)+(L<<2)|0;L=f[y>>2]|0;if(!L){p=j+20|0;f[s>>2]=f[p>>2];f[p>>2]=s;f[y>>2]=p;p=f[s>>2]|0;if(p|0){y=f[p+4>>2]|0;p=K+-1|0;if(p&K)if(y>>>0<K>>>0)M=y;else M=(y>>>0)%(K>>>0)|0;else M=y&p;N=(f[g>>2]|0)+(M<<2)|0;C=58}}else{f[s>>2]=f[L>>2];N=L;C=58}if((C|0)==58)f[N>>2]=s;f[e>>2]=(f[e>>2]|0)+1;i=0;u=d;return i|0}function RMb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;if((b|0)!=1)if(!(b+-1&b))c=b;else c=Kic(b)|0;else c=2;b=f[a+4>>2]|0;if(c>>>0>b>>>0){SMb(a,c);return}if(c>>>0>=b>>>0)return;d=~~+X(+(+((f[a+12>>2]|0)>>>0)/+n[a+16>>2]))>>>0;if(b>>>0>2&(b+-1&b|0)==0)e=1<<32-($(d+-1|0)|0);else e=Kic(d)|0;d=c>>>0<e>>>0?e:c;if(d>>>0>=b>>>0)return;SMb(a,d);return}function SMb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;d=a+4|0;if(!c){e=f[a>>2]|0;f[a>>2]=0;if(e|0)fuc(e);f[d>>2]=0;return}if(c>>>0>1073741823){e=ze(8)|0;kuc(e,519086);f[e>>2]=167148;Hf(e|0,26888,1888)}e=cuc(c<<2)|0;g=f[a>>2]|0;f[a>>2]=e;if(g|0)fuc(g);f[d>>2]=c;d=0;do{f[(f[a>>2]|0)+(d<<2)>>2]=0;d=d+1|0}while((d|0)!=(c|0));d=a+8|0;g=f[d>>2]|0;if(!g)return;e=f[g+4>>2]|0;h=c+-1|0;i=(h&c|0)==0;if(!i)if(e>>>0<c>>>0)j=e;else j=(e>>>0)%(c>>>0)|0;else j=e&h;f[(f[a>>2]|0)+(j<<2)>>2]=d;d=f[g>>2]|0;if(!d)return;else{k=j;l=g;m=d;n=g}a:while(1){g=l;d=m;j=n;b:while(1){o=d;while(1){e=f[o+4>>2]|0;if(!i)if(e>>>0<c>>>0)p=e;else p=(e>>>0)%(c>>>0)|0;else p=e&h;if((p|0)==(k|0))break;q=(f[a>>2]|0)+(p<<2)|0;if(!(f[q>>2]|0))break b;e=f[o>>2]|0;c:do if(!e)r=o;else{s=o+8|0;t=b[s+11>>0]|0;u=t<<24>>24<0;v=t&255;t=u?f[o+12>>2]|0:v;w=(t|0)==0;if(u){u=o;x=e;while(1){y=x+8|0;z=b[y+11>>0]|0;A=z<<24>>24<0;if((t|0)!=((A?f[x+12>>2]|0:z&255)|0)){r=u;break c}if(!w?ahc(f[s>>2]|0,A?f[y>>2]|0:y,t)|0:0){r=u;break c}y=f[x>>2]|0;if(!y){r=x;break c}else{A=x;x=y;u=A}}}if(w){u=o;x=e;while(1){A=b[x+8+11>>0]|0;if((A<<24>>24<0?f[x+12>>2]|0:A&255)|0){r=u;break c}A=f[x>>2]|0;if(!A){r=x;break c}else{y=x;x=A;u=y}}}u=o;x=e;while(1){w=x+8|0;y=b[w+11>>0]|0;A=y<<24>>24<0;if((t|0)!=((A?f[x+12>>2]|0:y&255)|0)){r=u;break c}y=A?f[w>>2]|0:w;if((f[s>>2]&255)<<24>>24==(b[y>>0]|0)){B=s;C=v;D=y}else{r=u;break c}while(1){C=C+-1|0;B=B+1|0;if(!C)break;D=D+1|0;if((b[B>>0]|0)!=(b[D>>0]|0)){r=u;break c}}y=f[x>>2]|0;if(!y){r=x;break}else{w=x;x=y;u=w}}}while(0);f[j>>2]=f[r>>2];f[r>>2]=f[f[(f[a>>2]|0)+(p<<2)>>2]>>2];f[f[(f[a>>2]|0)+(p<<2)>>2]>>2]=o;e=f[g>>2]|0;if(!e){E=43;break a}else o=e}d=f[o>>2]|0;if(!d){E=43;break a}else{g=o;j=o}}f[q>>2]=j;m=f[o>>2]|0;if(!m){E=43;break}else{k=p;l=o;n=o}}if((E|0)==43)return}function TMb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;d=u;u=u+176|0;e=d+24|0;g=d+12|0;h=d;i=c+120|0;j=a+28|0;ruc(j,f[i>>2]|0)|0;k=a+4|0;l=f[k>>2]|0;f[e>>2]=(b[j+11>>0]|0)<0?f[j>>2]|0:j;j=PMb(l+152|0,e)|0;if(j){l=f[j+12>>2]|0;if(l|0){F$b(e);WMb(l,e);if((f[l+44>>2]|0)==2?f[c+8>>2]&4|0:0)XMb(e,490984);IKb(g,e);IKb(h,c);j=g+11|0;m=b[j>>0]|0;n=m<<24>>24<0;o=m&255;p=n?f[g+4>>2]|0:o;q=b[h+11>>0]|0;r=q<<24>>24<0;a:do if((p|0)==((r?f[h+4>>2]|0:q&255)|0)){s=f[g>>2]|0;t=n?s:g;v=r?f[h>>2]|0:h;w=(p|0)==0;if(n){if(w){x=1;break}x=(ahc(t,v,p)|0)==0;break}if(!w)if((s&255)<<24>>24==(b[v>>0]|0)){s=g;w=o;t=v;while(1){w=w+-1|0;s=s+1|0;if(!w){x=1;break a}t=t+1|0;if((b[s>>0]|0)!=(b[t>>0]|0)){x=0;break}}}else x=0;else x=1}else x=0;while(0);if(r){fuc(f[h>>2]|0);y=b[j>>0]|0}else y=m;if(y<<24>>24<0)fuc(f[g>>2]|0);j$b(e);if(x){z=l;u=d;return z|0}}}l=f[k>>2]|0;x=l+4|0;g=f[x>>2]|0;y=f[l>>2]|0;m=g;j=y;b:do if((g|0)!=(y|0)){h=f[i>>2]|0;r=b[h+11>>0]|0;o=r<<24>>24<0;p=o?f[h+4>>2]|0:r&255;r=(p|0)==0;n=(g-y|0)/12|0;c:do if(o){q=0;while(1){t=j+(q*12|0)|0;s=b[t+11>>0]|0;w=s<<24>>24<0;v=s&255;do if(((w?f[j+(q*12|0)+4>>2]|0:v)|0)==(p|0)){s=f[t>>2]|0;A=w?s:t;B=f[h>>2]|0;if(w){if(r){C=q;break c}if(!(ahc(A,B,p)|0)){C=q;break c}else break}if(r){C=q;break c}if((s&255)<<24>>24==(b[B>>0]|0)){s=t;A=v;D=B;do{A=A+-1|0;s=s+1|0;if(!A){C=q;break c}D=D+1|0}while((b[s>>0]|0)==(b[D>>0]|0))}}while(0);q=q+1|0;if(q>>>0>=n>>>0)break b}}else{q=0;while(1){v=j+(q*12|0)|0;t=b[v+11>>0]|0;w=t<<24>>24<0;D=t&255;do if(((w?f[j+(q*12|0)+4>>2]|0:D)|0)==(p|0)){t=f[v>>2]|0;s=w?t:v;if(w){if(r){C=q;break c}if(!(ahc(s,h,p)|0)){C=q;break c}else break}if(r){C=q;break c}if((t&255)<<24>>24==(b[h>>0]|0)){t=v;s=D;A=h;do{s=s+-1|0;t=t+1|0;if(!s){C=q;break c}A=A+1|0}while((b[t>>0]|0)==(b[A>>0]|0))}}while(0);q=q+1|0;if(q>>>0>=n>>>0)break b}}while(0);YMb(a,c,C);z=0;u=d;return z|0}while(0);C=f[a>>2]|0;if((b[C+21>>0]|0)==0?(f[C+4>>2]|0)!=0:0){C=f[i>>2]|0;if((m|0)==(f[l+8>>2]|0))fEa(l,C);else{ouc(m,C);f[x>>2]=(f[x>>2]|0)+12}x=c+20|0;C=f[k>>2]|0;if((f[x>>2]|0)>0){m=c+28|0;i=0;j=C;while(1){y=f[(f[m>>2]|0)+4+(i<<2)>>2]|0;f[e>>2]=(b[y+11>>0]|0)<0?f[y>>2]|0:y;y=PMb(j+152|0,e)|0;if(!((y|0)!=0?(f[y+12>>2]|0)!=0:0))E=55;do if((E|0)==55){E=0;y=f[a>>2]|0;g=f[y+12>>2]|0;if(!g)F=y;else{if(ZMb(g,f[(f[m>>2]|0)+4+(i<<2)>>2]|0)|0)break;F=f[a>>2]|0}_Mb(F,f[(f[m>>2]|0)+4+(i<<2)>>2]|0)|0}while(0);i=i+1|0;g=f[k>>2]|0;if((i|0)>=(f[x>>2]|0)){G=g;break}else j=g}}else G=C;C=G+4|0;G=f[C>>2]|0;j=G+-12|0;x=G;while(1){G=x+-12|0;f[C>>2]=G;if((b[G+11>>0]|0)<0){fuc(f[G>>2]|0);H=f[C>>2]|0}else H=G;if((H|0)==(j|0))break;else x=H}I=f[k>>2]|0}else I=l;f[e>>2]=(f[I+76>>2]|0)-(f[I+72>>2]|0)>>2;f[e+4>>2]=(f[I+88>>2]|0)-(f[I+84>>2]|0)>>2;f[e+8>>2]=(f[I+100>>2]|0)-(f[I+96>>2]|0)>>2;f[e+12>>2]=(f[I+112>>2]|0)-(f[I+108>>2]|0)>>2;f[e+16>>2]=(f[I+124>>2]|0)-(f[I+120>>2]|0)>>2;f[e+20>>2]=(f[I+200>>2]|0)-(f[I+196>>2]|0)>>2;f[e+24>>2]=(f[I+212>>2]|0)-(f[I+208>>2]|0)>>2;f[e+28>>2]=(f[I+224>>2]|0)-(f[I+220>>2]|0)>>3;l=I+188|0;H=f[l>>2]|0;if(H>>>0<(f[I+192>>2]|0)>>>0){f[H>>2]=f[e>>2];f[H+4>>2]=f[e+4>>2];f[H+8>>2]=f[e+8>>2];f[H+12>>2]=f[e+12>>2];f[H+16>>2]=f[e+16>>2];f[H+20>>2]=f[e+20>>2];f[H+24>>2]=f[e+24>>2];f[H+28>>2]=f[e+28>>2];f[l>>2]=(f[l>>2]|0)+32}else wMb(I+184|0,e);e=$Mb(a,c)|0;aNb(f[a+44>>2]|0);a=f[k>>2]|0;if(!e){xMb(a);z=0;u=d;return z|0}k=a+188|0;c=(f[k>>2]|0)+-32|0;f[k>>2]=c;if((f[a+184>>2]|0)==(c|0)){c=f[a+196>>2]|0;k=a+200|0;I=f[k>>2]|0;if((I|0)!=(c|0))f[k>>2]=I+(~((I+-4-c|0)>>>2)<<2);c=f[a+208>>2]|0;I=a+212|0;k=f[I>>2]|0;if((k|0)!=(c|0))f[I>>2]=k+(~((k+-4-c|0)>>>2)<<2);c=f[a+220>>2]|0;k=a+224|0;a=f[k>>2]|0;if((a|0)!=(c|0))f[k>>2]=a+(~((a+-8-c|0)>>>3)<<3)}b[e+49>>0]=1;z=e;u=d;return z|0}function UMb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0;c=a+88|0;if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);c=a+76|0;if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);VMb(a+60|0,f[a+64>>2]|0);VMb(a+48|0,f[a+52>>2]|0);c=a+28|0;if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);c=a+12|0;d=f[c>>2]|0;if(!d)return;e=a+16|0;a=f[e>>2]|0;if((a|0)==(d|0))g=d;else{h=a;do{a=h+-32|0;f[e>>2]=a;i=h+-20|0;if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0);if((b[a+11>>0]|0)<0)fuc(f[a>>2]|0);h=f[e>>2]|0}while((h|0)!=(d|0));g=f[c>>2]|0}fuc(g);return}function VMb(a,b){a=a|0;b=b|0;if(!b)return;else{VMb(a,f[b>>2]|0);VMb(a,f[b+4>>2]|0);fuc(b);return}}function WMb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;d=u;u=u+16|0;e=d;g=f[a>>2]|0;h=c+8|0;f[h>>2]=f[h>>2]|1;i=c+120|0;j=c+4|0;k=f[j>>2]|0;l=k&-2;if(!(k&1))m=l;else m=f[l+4>>2]|0;l=f[i>>2]|0;if((l|0)==542896)QGa(i,m,g);else ruc(l,g)|0;g=f[a+4>>2]|0;l=b[g+11>>0]|0;if(l<<24>>24<0)n=f[g+4>>2]|0;else n=l&255;do if(n|0){f[h>>2]=f[h>>2]|2;l=c+124|0;m=f[j>>2]|0;i=m&-2;if(!(m&1))o=i;else o=f[i+4>>2]|0;i=f[l>>2]|0;if((i|0)==542896){QGa(l,o,g);break}else{ruc(i,g)|0;break}}while(0);if((f[a+44>>2]|0)==3)XMb(c,490977);g=a+16|0;if((f[g>>2]|0)>0){o=a+12|0;j=a+52|0;n=c+16|0;i=e+4|0;l=e+8|0;m=e+12|0;k=0;do{p=f[o>>2]|0;if(p|0?(f[p>>2]|0)!=2:0){f[e>>2]=152032;f[i>>2]=2001;b[l>>0]=0;f[m>>2]=a;xLb(p,e)}p=f[f[(f[j>>2]|0)+(k<<2)>>2]>>2]|0;ruc(MEa(n)|0,p)|0;k=k+1|0}while((k|0)<(f[g>>2]|0))}g=a+20|0;if((f[g>>2]|0)>0){k=a+60|0;n=c+96|0;j=c+100|0;e=c+104|0;m=0;do{l=f[(f[k>>2]|0)+(m<<2)>>2]|0;i=f[n>>2]|0;if((i|0)==(f[j>>2]|0)){NEa(n,i+1|0);q=f[n>>2]|0}else q=i;i=f[e>>2]|0;f[n>>2]=q+1;f[i+4+(q<<2)>>2]=l;m=m+1|0}while((m|0)<(f[g>>2]|0))}g=a+24|0;if((f[g>>2]|0)>0){m=a+64|0;q=c+108|0;n=c+112|0;e=c+116|0;j=0;do{k=f[(f[m>>2]|0)+(j<<2)>>2]|0;l=f[q>>2]|0;if((l|0)==(f[n>>2]|0)){NEa(q,l+1|0);r=f[q>>2]|0}else r=l;l=f[e>>2]|0;f[q>>2]=r+1;f[l+4+(r<<2)>>2]=k;j=j+1|0}while((j|0)<(f[g>>2]|0))}g=a+28|0;if((f[g>>2]|0)>0){j=a+68|0;r=c+32|0;q=0;do{e=(f[j>>2]|0)+(q*88|0)|0;KPb(e,JPb(r)|0);q=q+1|0}while((q|0)<(f[g>>2]|0))}g=a+32|0;if((f[g>>2]|0)>0){q=a+72|0;r=c+48|0;j=0;do{e=(f[q>>2]|0)+(j*48|0)|0;MPb(e,LPb(r)|0);j=j+1|0}while((j|0)<(f[g>>2]|0))}g=a+36|0;if((f[g>>2]|0)>0){j=a+76|0;r=c+64|0;q=c+76|0;e=c+72|0;n=c+68|0;m=0;do{k=(f[j>>2]|0)+(m*24|0)|0;l=f[q>>2]|0;do if(l){i=f[n>>2]|0;o=f[l>>2]|0;if((i|0)>=(o|0))if((o|0)==(f[e>>2]|0)){s=o;t=50;break}else{v=o;w=l;t=51;break}else{f[n>>2]=i+1;x=f[l+4+(i<<2)>>2]|0;break}}else{s=f[e>>2]|0;t=50}while(0);if((t|0)==50){t=0;LKb(r,s+1|0);l=f[q>>2]|0;v=f[l>>2]|0;w=l;t=51}if((t|0)==51){t=0;f[w>>2]=v+1;l=f[r>>2]|0;if(!l){i=cuc(40)|0;xXb(i);y=i}else{if(f[l+64>>2]|0)HIb(l,24336,40);i=FIb(l,40)|0;yXb(i,l);y=i}i=f[q>>2]|0;l=f[n>>2]|0;f[n>>2]=l+1;f[i+4+(l<<2)>>2]=y;x=y}NPb(k,x);m=m+1|0}while((m|0)<(f[g>>2]|0))}g=a+40|0;if((f[g>>2]|0)>0){m=a+80|0;x=c+80|0;y=0;do{n=(f[m>>2]|0)+(y*88|0)|0;PPb(n,OPb(x)|0);y=y+1|0}while((y|0)<(f[g>>2]|0))}g=a+84|0;a=f[g>>2]|0;if((a|0)==(U$b()|0)){u=d;return}f[h>>2]=f[h>>2]|8;h=c+132|0;a=f[h>>2]|0;if(!a){C$b(c);z=f[h>>2]|0}else z=a;V$b(z,f[g>>2]|0);u=d;return}function XMb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;d=u;u=u+16|0;e=d;g=a+8|0;f[g>>2]=f[g>>2]|4;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;g=jfc(c)|0;if(g>>>0>4294967279)muc(e);if(g>>>0<11){b[e+11>>0]=g;if(!g)h=e;else{i=e;j=6}}else{k=g+16&-16;l=cuc(k)|0;f[e>>2]=l;f[e+8>>2]=k|-2147483648;f[e+4>>2]=g;i=l;j=6}if((j|0)==6){szc(i|0,c|0,g|0)|0;h=i}b[h+g>>0]=0;g=f[a+4>>2]|0;h=g&-2;if(!(g&1))m=h;else m=f[h+4>>2]|0;h=a+128|0;a=f[h>>2]|0;if((a|0)==542896)QGa(h,m,e);else ruc(a,e)|0;if((b[e+11>>0]|0)>=0){u=d;return}fuc(f[e>>2]|0);u=d;return}function YMb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;e=u;u=u+16|0;g=e;h=cuc(48)|0;f[g>>2]=h;f[g+8>>2]=-2147483600;f[g+4>>2]=33;i=h;j=500290;k=i+33|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));b[h+33>>0]=0;h=a+4|0;j=f[h>>2]|0;if((((f[j+4>>2]|0)-(f[j>>2]|0)|0)/12|0)>>>0>d>>>0){i=d;d=j;do{j=f[d>>2]|0;k=j+(i*12|0)|0;l=b[k+11>>0]|0;m=l<<24>>24<0;Cuc(g,m?f[k>>2]|0:k,m?f[j+(i*12|0)+4>>2]|0:l&255)|0;Duc(g,500324)|0;i=i+1|0;d=f[h>>2]|0}while(i>>>0<(((f[d+4>>2]|0)-(f[d>>2]|0)|0)/12|0)>>>0)}d=c+120|0;i=f[d>>2]|0;h=b[i+11>>0]|0;l=h<<24>>24<0;Cuc(g,l?f[i>>2]|0:i,l?f[i+4>>2]|0:h&255)|0;eNb(a,f[d>>2]|0,c,9,g);if((b[g+11>>0]|0)>=0){u=e;return}fuc(f[g>>2]|0);u=e;return}function ZMb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;d=u;u=u+16|0;e=d;g=f[a>>2]|0;h=(g|0)==0;if(!h)WKb(g);i=a+16|0;j=f[i>>2]|0;k=j+44|0;if(!(f[k>>2]|0))l=j;else{m=j+40|0;n=f[m>>2]|0;if(n|0){o=n;do{n=o;o=f[o>>2]|0;p=n+8|0;if((b[p+11>>0]|0)<0)fuc(f[p>>2]|0);fuc(n)}while((o|0)!=0)}f[m>>2]=0;m=f[j+36>>2]|0;if(m|0){o=j+32|0;j=0;do{f[(f[o>>2]|0)+(j<<2)>>2]=0;j=j+1|0}while((j|0)!=(m|0))}f[k>>2]=0;l=f[i>>2]|0}k=l+24|0;if(!(f[k>>2]|0))q=l;else{m=l+20|0;j=f[m>>2]|0;if(j|0){o=j;do{j=o;o=f[o>>2]|0;n=j+8|0;if((b[n+11>>0]|0)<0)fuc(f[n>>2]|0);fuc(j)}while((o|0)!=0)}f[m>>2]=0;m=f[l+16>>2]|0;if(m|0){o=l+12|0;l=0;do{f[(f[o>>2]|0)+(l<<2)>>2]=0;l=l+1|0}while((l|0)!=(m|0))}f[k>>2]=0;q=f[i>>2]|0}k=c+11|0;f[e>>2]=(b[k>>0]|0)<0?f[c>>2]|0:c;m=PMb(q+152|0,e)|0;if((m|0)!=0?(q=f[m+12>>2]|0,(q|0)!=0):0)r=q;else s=24;a:do if((s|0)==24){q=f[a+12>>2]|0;if(q|0?(m=ZMb(q,c)|0,m|0):0){r=m;break}do if(_Mb(a,c)|0){m=f[i>>2]|0;f[e>>2]=(b[k>>0]|0)<0?f[c>>2]|0:c;q=PMb(m+152|0,e)|0;if((q|0)!=0?(m=f[q+12>>2]|0,(m|0)!=0):0){r=m;break a}else break}while(0);r=0}while(0);if(h){u=d;return r|0}XKb(g);u=d;return r|0}function _Mb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0.0,M=0.0,N=0,O=0,P=0,Q=0;d=u;u=u+144|0;e=d;g=a+4|0;if(!(f[g>>2]|0)){h=0;u=d;return h|0}i=a+16|0;if(NMb((f[i>>2]|0)+12|0,c)|0){h=0;u=d;return h|0}F$b(e);j=f[g>>2]|0;if(li[f[(f[j>>2]|0)+8>>2]&511](j,c,e)|0?(QMb(a,e)|0)!=0:0)k=1;else l=5;a:do if((l|0)==5){a=f[i>>2]|0;j=a+12|0;g=b[c+11>>0]|0;m=g<<24>>24<0;o=m?f[c>>2]|0:c;p=b[o>>0]|0;if(!(p<<24>>24))q=0;else{r=o;s=0;t=p;while(1){v=(s*5|0)+(t<<24>>24)|0;r=r+1|0;t=b[r>>0]|0;if(!(t<<24>>24)){q=v;break}else s=v}}s=a+16|0;t=f[s>>2]|0;r=(t|0)==0;b:do if(!r){v=t+-1|0;w=(v&t|0)==0;if(!w)if(q>>>0<t>>>0)x=q;else x=(q>>>0)%(t>>>0)|0;else x=v&q;y=f[(f[j>>2]|0)+(x<<2)>>2]|0;if((y|0)!=0?(z=f[y>>2]|0,(z|0)!=0):0){y=m?f[c+4>>2]|0:g&255;A=(y|0)==0;if(w){if(A){w=z;while(1){B=f[w+4>>2]|0;if(!((B|0)==(q|0)|(B&v|0)==(x|0))){C=x;break b}B=b[w+8+11>>0]|0;if(!((B<<24>>24<0?f[w+12>>2]|0:B&255)|0)){k=0;break a}w=f[w>>2]|0;if(!w){C=x;break b}}}else D=z;while(1){w=f[D+4>>2]|0;if(!((w|0)==(q|0)|(w&v|0)==(x|0))){C=x;break b}w=D+8|0;B=b[w+11>>0]|0;E=B<<24>>24<0;F=B&255;do if(((E?f[D+12>>2]|0:F)|0)==(y|0)){B=f[w>>2]|0;if(E)if(!(ahc(B,o,y)|0)){k=0;break a}else break;if((B&255)<<24>>24==p<<24>>24){B=w;G=F;H=o;do{G=G+-1|0;B=B+1|0;if(!G){k=0;break a}H=H+1|0}while((b[B>>0]|0)==(b[H>>0]|0))}}while(0);D=f[D>>2]|0;if(!D){C=x;break b}}}if(A){v=z;while(1){F=f[v+4>>2]|0;if((F|0)!=(q|0)){if(F>>>0<t>>>0)I=F;else I=(F>>>0)%(t>>>0)|0;if((I|0)!=(x|0)){C=x;break b}}F=b[v+8+11>>0]|0;if(!((F<<24>>24<0?f[v+12>>2]|0:F&255)|0)){k=0;break a}v=f[v>>2]|0;if(!v){C=x;break b}}}else J=z;while(1){v=f[J+4>>2]|0;if((v|0)!=(q|0)){if(v>>>0<t>>>0)K=v;else K=(v>>>0)%(t>>>0)|0;if((K|0)!=(x|0)){C=x;break b}}v=J+8|0;A=b[v+11>>0]|0;F=A<<24>>24<0;w=A&255;do if(((F?f[J+12>>2]|0:w)|0)==(y|0)){A=f[v>>2]|0;if(F)if(!(ahc(A,o,y)|0)){k=0;break a}else break;if((A&255)<<24>>24==p<<24>>24){A=v;E=w;H=o;do{E=E+-1|0;A=A+1|0;if(!E){k=0;break a}H=H+1|0}while((b[A>>0]|0)==(b[H>>0]|0))}}while(0);J=f[J>>2]|0;if(!J){C=x;break}}}else C=x}else C=0;while(0);o=cuc(20)|0;ouc(o+8|0,c);f[o+4>>2]=q;f[o>>2]=0;p=a+24|0;L=+(((f[p>>2]|0)+1|0)>>>0);M=+n[a+28>>2];do if(r|L>+(t>>>0)*M){g=(t>>>0<3|(t+-1&t|0)!=0)&1|t<<1;m=~~+X(+(L/M))>>>0;RMb(j,g>>>0<m>>>0?m:g);g=f[s>>2]|0;m=g+-1|0;if(!(m&g)){N=g;O=m&q;break}if(q>>>0<g>>>0){N=g;O=q}else{N=g;O=(q>>>0)%(g>>>0)|0}}else{N=t;O=C}while(0);t=(f[j>>2]|0)+(O<<2)|0;s=f[t>>2]|0;if(!s){r=a+20|0;f[o>>2]=f[r>>2];f[r>>2]=o;f[t>>2]=r;r=f[o>>2]|0;if(r|0){t=f[r+4>>2]|0;r=N+-1|0;if(r&N)if(t>>>0<N>>>0)P=t;else P=(t>>>0)%(N>>>0)|0;else P=t&r;Q=(f[j>>2]|0)+(P<<2)|0;l=60}}else{f[o>>2]=f[s>>2];Q=s;l=60}if((l|0)==60)f[Q>>2]=o;f[p>>2]=(f[p>>2]|0)+1;k=0}while(0);j$b(e);h=k;u=d;return h|0}function $Mb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0;d=u;u=u+208|0;e=d;g=d+184|0;h=d+160|0;i=d+199|0;j=d+136|0;k=d+198|0;l=d+112|0;m=d+197|0;n=d+88|0;o=d+196|0;p=d+72|0;q=d+60|0;r=d+48|0;s=d+16|0;t=a+4|0;v=f[t>>2]|0;w=cuc(96)|0;f[e>>2]=w;x=v+124|0;y=f[x>>2]|0;if((y|0)==(f[v+128>>2]|0))OE(v+120|0,e);else{f[y>>2]=w;f[x>>2]=(f[x>>2]|0)+4}x=f[e>>2]|0;w=a+40|0;f[w>>2]=x;b[x+48>>0]=0;b[x+49>>0]=0;y=c+8|0;if(!(f[y>>2]&16))z=i0b()|0;else{v=f[t>>2]|0;A=cuc(32)|0;QSb(A);f[e>>2]=A;B=v+88|0;C=f[B>>2]|0;if(C>>>0<(f[v+92>>2]|0)>>>0){f[C>>2]=A;f[B>>2]=(f[B>>2]|0)+4}else bNb(v+84|0,e);v=f[c+136>>2]|0;j0b(A,v|0?v:544288);z=A}f[x+92>>2]=z;z=f[t>>2]|0;A=cuc(164)|0;lMb(A);f[e>>2]=A;v=z+112|0;B=f[v>>2]|0;if((B|0)==(f[z+116>>2]|0))cNb(z+108|0,e);else{f[B>>2]=A;f[v>>2]=(f[v>>2]|0)+4}v=f[e>>2]|0;f[a+44>>2]=v;f[(f[w>>2]|0)+88>>2]=v;if((f[y>>2]&1|0)==0?(f[e>>2]=0,f[e+4>>2]=0,f[e+8>>2]=0,dNb(a,e,c,9,490991),(b[e+11>>0]|0)<0):0)fuc(f[e>>2]|0);v=c+128|0;A=f[v>>2]|0;B=b[A+11>>0]|0;z=B<<24>>24<0;if(z)D=f[A+4>>2]|0;else D=B&255;a:do if(D){C=f[A+4>>2]|0;if(((z?C:B&255)|0)==6){if(!(Puc(A,0,-1,490984,6)|0)){E=24;break}F=f[v>>2]|0;G=F;H=b[F+11>>0]|0;I=f[F+4>>2]|0}else{G=A;H=B;I=C}do if(((H<<24>>24<0?I:H&255)|0)==6){C=(Puc(G,0,-1,490977,6)|0)==0;F=(f[w>>2]|0)+44|0;if(C){f[F>>2]=3;break a}else{J=F;K=f[v>>2]|0;break}}else{J=(f[w>>2]|0)+44|0;K=G}while(0);f[J>>2]=0;F=f[c+120>>2]|0;nEa(e,491032,K);eNb(a,F,c,9,e);if((b[e+11>>0]|0)<0)fuc(f[e>>2]|0)}else E=24;while(0);if((E|0)==24)f[(f[w>>2]|0)+44>>2]=2;w=f[t>>2]|0;K=c+120|0;J=f[K>>2]|0;G=cuc(12)|0;ouc(G,J);f[e>>2]=G;J=w+76|0;v=f[J>>2]|0;if((v|0)==(f[w+80>>2]|0))fNb(w+72|0,e);else{f[v>>2]=G;f[J>>2]=(f[J>>2]|0)+4}f[x>>2]=f[e>>2];J=f[t>>2]|0;if(!(f[y>>2]&2)){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;G=cuc(12)|0;ouc(G,g);f[e>>2]=G;v=J+76|0;w=f[v>>2]|0;if((w|0)==(f[J+80>>2]|0))fNb(J+72|0,e);else{f[w>>2]=G;f[v>>2]=(f[v>>2]|0)+4}f[x+4>>2]=f[e>>2];if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0)}else{v=f[c+124>>2]|0;G=cuc(12)|0;ouc(G,v);f[e>>2]=G;v=J+76|0;w=f[v>>2]|0;if((w|0)==(f[J+80>>2]|0))fNb(J+72|0,e);else{f[w>>2]=G;f[v>>2]=(f[v>>2]|0)+4}f[x+4>>2]=f[e>>2]}f[x+8>>2]=f[a>>2];v=f[t>>2]|0;G=f[x>>2]|0;if((b[G+11>>0]|0)<0)L=f[G>>2]|0;else L=G;f[e>>2]=L;f[e+4>>2]=x;if(!(gNb(v+152|0,e)|0)){dNb(a,f[K>>2]|0,c,9,491054);M=0;u=d;return M|0}L=f[x>>2]|0;if((b[L+11>>0]|0)<0)N=f[L>>2]|0;else N=L;f[e>>2]=N;L=v+212|0;G=f[L>>2]|0;if(G>>>0<(f[v+216>>2]|0)>>>0){f[G>>2]=N;f[L>>2]=(f[L>>2]|0)+4}else hNb(v+208|0,e);v=x+4|0;L=f[v>>2]|0;N=b[L+11>>0]|0;if(N<<24>>24<0)O=f[L+4>>2]|0;else O=N&255;if(O|0)iNb(a,L,c,x);f[q+4>>2]=0;f[q+8>>2]=0;L=q+4|0;f[q>>2]=L;O=c+20|0;N=f[O>>2]|0;G=x+16|0;f[G>>2]=N;w=f[t>>2]|0;J=N<<2;if(!J)P=0;else{N=cuc(J)|0;f[e>>2]=N;J=w+124|0;H=f[J>>2]|0;if((H|0)==(f[w+128>>2]|0))OE(w+120|0,e);else{f[H>>2]=N;f[J>>2]=(f[J>>2]|0)+4}P=f[e>>2]|0}J=x+52|0;f[J>>2]=P;if(b[(f[a>>2]|0)+21>>0]|0){P=f[t>>2]|0;N=cuc(4)|0;f[N>>2]=0;f[e>>2]=N;H=P+100|0;w=f[H>>2]|0;if((w|0)==(f[P+104>>2]|0))jNb(P+96|0,e);else{f[w>>2]=N;f[H>>2]=(f[H>>2]|0)+4}f[x+12>>2]=f[e>>2];H=f[t>>2]|0;N=f[O>>2]|0;w=N<<2;if(!w){Q=0;R=N}else{N=cuc(w)|0;f[e>>2]=N;w=H+124|0;P=f[w>>2]|0;if((P|0)==(f[H+128>>2]|0))OE(H+120|0,e);else{f[P>>2]=N;f[w>>2]=(f[w>>2]|0)+4}Q=f[e>>2]|0;R=f[O>>2]|0}f[x+56>>2]=Q;if((R|0)>0)kzc(Q|0,0,R<<2|0)|0}else{f[x+12>>2]=0;f[x+56>>2]=0}R=a+60|0;Q=a+64|0;VMb(R,f[Q>>2]|0);w=a+68|0;f[w>>2]=0;f[R>>2]=Q;f[Q>>2]=0;N=r+4|0;f[N>>2]=0;P=r+8|0;f[P>>2]=0;H=r+4|0;f[r>>2]=H;I=c+108|0;B=f[I>>2]|0;b:do if((B|0)>0){A=c+116|0;z=0;D=0;F=B;while(1){C=f[(f[A>>2]|0)+4+(z<<2)>>2]|0;do if(D){S=N;T=D;while(1){U=f[T+16>>2]|0;if((C|0)<(U|0)){V=f[T>>2]|0;if(!V){E=88;break}else{W=T;X=V}}else{if((U|0)>=(C|0)){E=92;break}Y=T+4|0;U=f[Y>>2]|0;if(!U){E=91;break}else{W=Y;X=U}}S=W;T=X}if((E|0)==88){E=0;Z=T;_=T;break}else if((E|0)==91){E=0;Z=T;_=Y;break}else if((E|0)==92){E=0;Z=T;_=S;break}}else{Z=H;_=H}while(0);if(!(f[_>>2]|0)){U=cuc(20)|0;f[U+16>>2]=C;f[U>>2]=0;f[U+4>>2]=0;f[U+8>>2]=Z;f[_>>2]=U;V=f[f[r>>2]>>2]|0;if(!V)$=U;else{f[r>>2]=V;$=f[_>>2]|0}jI(f[N>>2]|0,$);f[P>>2]=(f[P>>2]|0)+1;aa=f[I>>2]|0}else aa=F;V=z+1|0;if((V|0)>=(aa|0))break b;z=V;D=f[H>>2]|0;F=aa}}while(0);c:do if((f[O>>2]|0)>0){aa=c+28|0;P=e+4|0;$=x+56|0;N=a+64|0;_=0;while(1){Z=f[(f[aa>>2]|0)+4+(_<<2)>>2]|0;hI(e,q,Z,Z);if(!(b[P>>0]|0))kNb(a,c,_);Z=f[t>>2]|0;Y=f[(f[aa>>2]|0)+4+(_<<2)>>2]|0;f[e>>2]=(b[Y+11>>0]|0)<0?f[Y>>2]|0:Y;Y=PMb(Z+152|0,e)|0;if(Y){Z=f[Y+12>>2]|0;Y=Z;if(!Z){ba=Y;E=104}else ca=Y}else{ba=0;E=104}do if((E|0)==104){E=0;Y=f[(f[a>>2]|0)+12>>2]|0;if(!Y){ca=ba;break}ca=ZMb(Y,f[(f[aa>>2]|0)+4+(_<<2)>>2]|0)|0}while(0);C=ca;if((C|0)==(x|0)){da=0;ea=q;fa=H;break c}Y=f[a>>2]|0;d:do if(!ca){if(b[Y+21>>0]|0){ga=0;break}e:do if(!(b[Y+22>>0]|0)){do if(!(b[Y+23>>0]|0)){Z=f[H>>2]|0;if(!Z)break;else{ha=H;ia=Z}f:while(1){Z=ia;while(1){if((f[Z+16>>2]|0)>=(_|0))break;X=f[Z+4>>2]|0;if(!X){ja=ha;break f}else Z=X}ia=f[Z>>2]|0;if(!ia){ja=Z;break}else ha=Z}if((ja|0)==(H|0))break;if((_|0)>=(f[ja+16>>2]|0))break e}while(0);mNb(a,c,_);ga=0;break d}while(0);ga=lNb(Y,f[(f[aa>>2]|0)+4+(_<<2)>>2]|0)|0}else{if(!(b[Y+20>>0]|0)){ga=ca;break}S=nNb(Y+28|0,f[K>>2]|0)|0;if((S|0)==((f[a>>2]|0)+32|0)){ga=ca;break}if(f[C+20>>2]|0){ga=ca;break}S=f[Q>>2]|0;do if(S){T=N;X=S;while(1){W=f[X+16>>2]|0;if(C>>>0<W>>>0){B=f[X>>2]|0;if(!B){E=127;break}else{ka=X;la=B}}else{if(W>>>0>=C>>>0){E=131;break}ma=X+4|0;W=f[ma>>2]|0;if(!W){E=130;break}else{ka=ma;la=W}}T=ka;X=la}if((E|0)==127){E=0;na=X;oa=X;break}else if((E|0)==130){E=0;na=X;oa=ma;break}else if((E|0)==131){E=0;na=X;oa=T;break}}else{na=Q;oa=Q}while(0);if(f[oa>>2]|0){ga=ca;break}S=cuc(20)|0;f[S+16>>2]=ca;f[S>>2]=0;f[S+4>>2]=0;f[S+8>>2]=na;f[oa>>2]=S;W=f[f[R>>2]>>2]|0;if(!W)pa=S;else{f[R>>2]=W;pa=f[oa>>2]|0}jI(f[N>>2]|0,pa);f[w>>2]=(f[w>>2]|0)+1;ga=ca}while(0);f[(f[J>>2]|0)+(_<<2)>>2]=ga;if(!(ga|0?1:(b[(f[a>>2]|0)+21>>0]|0)==0)){C=f[t>>2]|0;Y=f[(f[aa>>2]|0)+4+(_<<2)>>2]|0;W=cuc(12)|0;ouc(W,Y);f[e>>2]=W;Y=C+76|0;S=f[Y>>2]|0;if((S|0)==(f[C+80>>2]|0))fNb(C+72|0,e);else{f[S>>2]=W;f[Y>>2]=(f[Y>>2]|0)+4}f[(f[$>>2]|0)+(_<<2)>>2]=f[e>>2]}_=_+1|0;if((_|0)>=(f[O>>2]|0)){E=142;break}}}else E=142;while(0);if((E|0)==142){ga=f[t>>2]|0;ca=c+96|0;pa=f[ca>>2]|0;oa=pa<<2;if(!oa){qa=0;ra=pa}else{pa=cuc(oa)|0;f[e>>2]=pa;oa=ga+124|0;na=f[oa>>2]|0;if((na|0)==(f[ga+128>>2]|0))OE(ga+120|0,e);else{f[na>>2]=pa;f[oa>>2]=(f[oa>>2]|0)+4}qa=f[e>>2]|0;ra=f[ca>>2]|0}oa=x+60|0;f[oa>>2]=qa;if((ra|0)>0){ra=c+104|0;qa=x+12|0;pa=e+4|0;na=e+8|0;ga=e+12|0;ma=0;la=0;while(1){ka=f[(f[ra>>2]|0)+4+(ma<<2)>>2]|0;do if((ka|0)>-1?(ka|0)<(f[O>>2]|0):0){ja=la+1|0;f[(f[oa>>2]|0)+(la<<2)>>2]=ka;if(b[(f[a>>2]|0)+21>>0]|0){sa=ja;break}ha=f[qa>>2]|0;do if(ha|0){if((f[ha>>2]|0)==2)break;f[e>>2]=152032;f[pa>>2]=2001;b[na>>0]=0;f[ga>>2]=x;xLb(ha,e)}while(0);ha=f[(f[J>>2]|0)+(ka<<2)>>2]|0;ia=f[Q>>2]|0;if(!ia){sa=ja;break}else{ta=Q;ua=ia}g:while(1){ba=ua;while(1){if((f[ba+16>>2]|0)>>>0>=ha>>>0)break;_=f[ba+4>>2]|0;if(!_){va=ta;break g}else ba=_}ua=f[ba>>2]|0;if(!ua){va=ba;break}else ta=ba}if((va|0)==(Q|0)){sa=ja;break}if(ha>>>0<(f[va+16>>2]|0)>>>0){sa=ja;break}_=f[va+4>>2]|0;do if(!_){$=va+8|0;aa=f[$>>2]|0;if((f[aa>>2]|0)==(va|0)){wa=aa;break}else xa=$;do{$=f[xa>>2]|0;xa=$+8|0;aa=f[xa>>2]|0}while((f[aa>>2]|0)!=($|0));wa=aa}else{ba=_;while(1){aa=f[ba>>2]|0;if(!aa)break;else ba=aa}wa=ba}while(0);if((f[R>>2]|0)==(va|0))f[R>>2]=wa;f[w>>2]=(f[w>>2]|0)+-1;sGa(ia,va);fuc(va);sa=ja}else{dNb(a,f[K>>2]|0,c,9,491100);sa=la}while(0);ma=ma+1|0;if((ma|0)>=(f[ca>>2]|0)){ya=sa;break}else la=sa}}else ya=0;f[x+20>>2]=ya;ya=a+48|0;sa=a+52|0;VMb(ya,f[sa>>2]|0);f[a+56>>2]=0;f[ya>>2]=sa;f[sa>>2]=0;do if(!(b[(f[a>>2]|0)+21>>0]|0)){if((f[G>>2]|0)<=0)break;sa=x+12|0;ya=e+4|0;la=e+8|0;ca=e+12|0;ma=0;do{va=f[sa>>2]|0;do if(va|0){if((f[va>>2]|0)==2)break;f[e>>2]=152032;f[ya>>2]=2001;b[la>>0]=0;f[ca>>2]=x;xLb(va,e)}while(0);pNb(a,f[(f[J>>2]|0)+(ma<<2)>>2]|0);ma=ma+1|0}while((ma|0)<(f[G>>2]|0))}while(0);G=f[t>>2]|0;J=f[I>>2]|0;ma=J<<2;if(!ma){za=0;Aa=J}else{J=cuc(ma)|0;f[e>>2]=J;ma=G+124|0;ca=f[ma>>2]|0;if((ca|0)==(f[G+128>>2]|0))OE(G+120|0,e);else{f[ca>>2]=J;f[ma>>2]=(f[ma>>2]|0)+4}za=f[e>>2]|0;Aa=f[I>>2]|0}ma=x+64|0;f[ma>>2]=za;if((Aa|0)>0){Aa=c+116|0;za=0;J=0;while(1){ca=f[(f[Aa>>2]|0)+4+(za<<2)>>2]|0;if((ca|0)>-1?(ca|0)<(f[O>>2]|0):0){f[(f[ma>>2]|0)+(J<<2)>>2]=ca;Ba=J+1|0}else{dNb(a,f[K>>2]|0,c,9,491133);Ba=J}za=za+1|0;if((za|0)>=(f[I>>2]|0)){Ca=Ba;break}else J=Ba}}else Ca=0;f[x+24>>2]=Ca;Ca=c+36|0;Ba=f[Ca>>2]|0;f[x+28>>2]=Ba;J=x+68|0;I=f[t>>2]|0;za=Ba*88|0;if(!za){Da=0;Ea=Ba}else{Ba=cuc(za)|0;f[e>>2]=Ba;za=I+124|0;K=f[za>>2]|0;if((K|0)==(f[I+128>>2]|0))OE(I+120|0,e);else{f[K>>2]=Ba;f[za>>2]=(f[za>>2]|0)+4}Da=f[e>>2]|0;Ea=f[Ca>>2]|0}f[J>>2]=Da;h:do if((Ea|0)>0){za=c+44|0;Ba=0;K=Da;while(1){qNb(a,f[(f[za>>2]|0)+4+(Ba<<2)>>2]|0,0,K+(Ba*88|0)|0);I=Ba+1|0;if((I|0)>=(f[Ca>>2]|0))break h;Ba=I;K=f[J>>2]|0}}while(0);Da=c+52|0;Ea=f[Da>>2]|0;f[x+32>>2]=Ea;K=x+72|0;Ba=f[t>>2]|0;za=Ea*48|0;if(!za){Fa=0;Ga=Ea}else{Ea=cuc(za)|0;f[e>>2]=Ea;za=Ba+124|0;I=f[za>>2]|0;if((I|0)==(f[Ba+128>>2]|0))OE(Ba+120|0,e);else{f[I>>2]=Ea;f[za>>2]=(f[za>>2]|0)+4}Fa=f[e>>2]|0;Ga=f[Da>>2]|0}f[K>>2]=Fa;i:do if((Ga|0)>0){za=c+60|0;Ea=0;I=Fa;while(1){rNb(a,f[(f[za>>2]|0)+4+(Ea<<2)>>2]|0,0,I+(Ea*48|0)|0);Ba=Ea+1|0;if((Ba|0)>=(f[Da>>2]|0))break i;Ea=Ba;I=f[K>>2]|0}}while(0);K=c+68|0;Da=f[K>>2]|0;f[x+36>>2]=Da;Fa=x+76|0;Ga=f[t>>2]|0;I=Da*24|0;if(!I){Ha=0;Ia=Da}else{Da=cuc(I)|0;f[e>>2]=Da;I=Ga+124|0;Ea=f[I>>2]|0;if((Ea|0)==(f[Ga+128>>2]|0))OE(Ga+120|0,e);else{f[Ea>>2]=Da;f[I>>2]=(f[I>>2]|0)+4}Ha=f[e>>2]|0;Ia=f[K>>2]|0}f[Fa>>2]=Ha;j:do if((Ia|0)>0){I=c+76|0;Da=0;Ea=Ha;while(1){sNb(a,f[(f[I>>2]|0)+4+(Da<<2)>>2]|0,0,Ea+(Da*24|0)|0);Ga=Da+1|0;if((Ga|0)>=(f[K>>2]|0))break j;Da=Ga;Ea=f[Fa>>2]|0}}while(0);Fa=c+84|0;K=f[Fa>>2]|0;f[x+40>>2]=K;Ha=x+80|0;Ia=f[t>>2]|0;t=K*88|0;if(!t){Ja=0;Ka=K}else{K=cuc(t)|0;f[e>>2]=K;t=Ia+124|0;Ea=f[t>>2]|0;if((Ea|0)==(f[Ia+128>>2]|0))OE(Ia+120|0,e);else{f[Ea>>2]=K;f[t>>2]=(f[t>>2]|0)+4}Ja=f[e>>2]|0;Ka=f[Fa>>2]|0}f[Ha>>2]=Ja;k:do if((Ka|0)>0){t=c+92|0;K=0;Ea=Ja;while(1){tNb(a,f[(f[t>>2]|0)+4+(K<<2)>>2]|0,0,Ea+(K*88|0)|0,1);Ia=K+1|0;if((Ia|0)>=(f[Fa>>2]|0))break k;K=Ia;Ea=f[Ha>>2]|0}}while(0);if(f[y>>2]&8){y=f[c+132>>2]|0;RE(e,f[v>>2]|0,491164);uNb(a,e,f[x>>2]|0,y|0?y:543632,x);if((b[e+11>>0]|0)<0)fuc(f[e>>2]|0)}else f[x+84>>2]=0;vNb(a,x,c);y=a+24|0;do if(!(b[y>>0]|0)){wNb(s,a);v=a+12|0;Ha=f[v>>2]|0;Fa=a+16|0;do if((Ha|0)!=(f[Fa>>2]|0)){Ja=s+4|0;Ka=g+8|0;Ea=g+4|0;K=g+11|0;t=e+4|0;Ia=g+8|0;Da=g+4|0;I=g+11|0;Ga=e+4|0;za=s+8|0;Ba=e+11|0;ma=g+11|0;O=p+11|0;Aa=e+4|0;ca=Ha;do{G=f[ca+28>>2]|0;la=f[ca+24>>2]|0;f[Ja>>2]=ca;yh[f[(f[G>>2]|0)+96>>2]&2047](e,G);ya=f[e>>2]|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;sa=cuc(32)|0;f[g>>2]=sa;f[Ka>>2]=-2147483616;f[Ea>>2]=20;va=sa;ja=491171;ia=va+20|0;do{b[va>>0]=b[ja>>0]|0;va=va+1|0;ja=ja+1|0}while((va|0)<(ia|0));b[sa+20>>0]=0;xNb(e,f[(f[ya+8>>2]|0)+88>>2]|0,ya,g);ba=(f[e>>2]|0)==2;wa=e;R=ba?f[wa+4>>2]|0:0;if(!((ba?f[wa>>2]|0:0)|0))La=0;else La=b[R+38>>0]|0?0:R;if((b[K>>0]|0)<0)fuc(f[g>>2]|0);if(!La){iLb(h,3,490877,6243);fLb(i,dLb(dLb(h,491192)|0,491244)|0);jLb(h)}yh[f[(f[G>>2]|0)+96>>2]&2047](e,G);R=f[t>>2]|0;Zh[f[(f[R>>2]|0)+28>>2]&511](R,G,La);yh[f[(f[la>>2]|0)+96>>2]&2047](e,la);R=f[e>>2]|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;wa=cuc(32)|0;f[g>>2]=wa;f[Ia>>2]=-2147483616;f[Da>>2]=20;va=wa;ja=491171;ia=va+20|0;do{b[va>>0]=b[ja>>0]|0;va=va+1|0;ja=ja+1|0}while((va|0)<(ia|0));b[wa+20>>0]=0;xNb(e,f[(f[R+8>>2]|0)+88>>2]|0,R,g);ja=(f[e>>2]|0)==2;va=e;ia=ja?f[va+4>>2]|0:0;if(!((ja?f[va>>2]|0:0)|0))Ma=0;else Ma=b[ia+38>>0]|0?0:ia;if((b[I>>0]|0)<0)fuc(f[g>>2]|0);if(!Ma){iLb(j,3,490877,6251);fLb(k,dLb(dLb(j,491304)|0,491244)|0);jLb(j)}yh[f[(f[la>>2]|0)+96>>2]&2047](e,la);ia=f[Ga>>2]|0;va=li[f[(f[ia>>2]|0)+24>>2]&511](ia,la,Ma)|0;l:do if((va|0)>0){ia=0;while(1){yh[f[(f[la>>2]|0)+96>>2]&2047](e,la);ja=f[Aa>>2]|0;ya=Cg[f[(f[ja>>2]|0)+208>>2]&127](ja,la,Ma,ia)|0;f[za>>2]=ya;ia=ia+1|0;if(!(yNb(s,G)|0))break;if((ia|0)>=(va|0)){E=255;break l}}f[za>>2]=0;f[Ja>>2]=0}else E=255;while(0);if((E|0)==255){E=0;f[za>>2]=0;f[Ja>>2]=0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;if(!(GKb(G,e)|0)){iLb(l,3,490877,6280);fLb(m,dLb(dLb(l,491365)|0,491418)|0);jLb(l)}if(!(CKb(G,e)|0)){iLb(n,3,490877,6282);fLb(o,dLb(dLb(n,491460)|0,491513)|0);jLb(n)}if(!(di[f[(f[G>>2]|0)+32>>2]&1023](G)|0)){va=f[s>>2]|0;yh[f[(f[G>>2]|0)+36>>2]&2047](p,G);R=Huc(p,0,491568)|0;f[g>>2]=f[R>>2];f[g+4>>2]=f[R+4>>2];f[g+8>>2]=f[R+8>>2];f[R>>2]=0;f[R+4>>2]=0;f[R+8>>2]=0;zNb(va,ca+12|0,la,9,g);if((b[ma>>0]|0)<0)fuc(f[g>>2]|0);if((b[O>>0]|0)<0)fuc(f[p>>2]|0)}if((b[Ba>>0]|0)<0)fuc(f[e>>2]|0)}ca=ca+32|0}while((ca|0)!=(f[Fa>>2]|0));Ba=f[v>>2]|0;if((ca|0)==(Ba|0))break;else Na=ca;do{O=Na+-32|0;f[Fa>>2]=O;ma=Na+-20|0;if((b[ma+11>>0]|0)<0)fuc(f[ma>>2]|0);if((b[O+11>>0]|0)<0)fuc(f[O>>2]|0);Na=f[Fa>>2]|0}while((Na|0)!=(Ba|0))}while(0);b1b(s+12|0);if(b[y>>0]|0){E=272;break}if(b[(f[a>>2]|0)+21>>0]|0)break;ANb(a,x,c);if((b[y>>0]|0)!=0&(f[Ca>>2]|0)>0)E=273}else E=272;while(0);if((E|0)==272?(f[Ca>>2]|0)>0:0)E=273;if((E|0)==273){E=c+44|0;s=0;do{BNb(a,(f[J>>2]|0)+(s*88|0)|0,f[(f[E>>2]|0)+4+(s<<2)>>2]|0);s=s+1|0}while((s|0)<(f[Ca>>2]|0))}do if(f[w>>2]|0){if(b[(f[a>>2]|0)+21>>0]|0)break;CNb(a,c,0)}while(0);da=(b[y>>0]|0)==0?x:0;ea=q;fa=H}MIa(r,f[fa>>2]|0);gI(ea,f[L>>2]|0);M=da;u=d;return M|0}function aNb(a){a=a|0;var b=0,c=0,d=0,e=0;b=a+40|0;c=f[b>>2]|0;if(c|0){d=f[c+8>>2]|0;if(d|0){e=d;do{d=e;e=f[e>>2]|0;fuc(d)}while((e|0)!=0)}e=f[c>>2]|0;f[c>>2]=0;if(e|0)fuc(e);fuc(c)}f[b>>2]=0;b=a+68|0;a=f[b>>2]|0;if(!a){f[b>>2]=0;return}c=f[a+8>>2]|0;if(c|0){e=c;do{c=e;e=f[e>>2]|0;fuc(c)}while((e|0)!=0)}e=f[a>>2]|0;f[a>>2]=0;if(e|0)fuc(e);fuc(a);f[b>>2]=0;return}function bNb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+4|0;d=f[a>>2]|0;e=(f[c>>2]|0)-d|0;g=e>>2;h=g+1|0;if(h>>>0>1073741823)nsc(a);i=a+8|0;j=(f[i>>2]|0)-d|0;k=j>>1;l=j>>2>>>0<536870911?(k>>>0<h>>>0?h:k):1073741823;do if(l)if(l>>>0>1073741823){k=ze(8)|0;kuc(k,519086);f[k>>2]=167148;Hf(k|0,26888,1888)}else{m=cuc(l<<2)|0;break}else m=0;while(0);k=m+(g<<2)|0;f[k>>2]=f[b>>2];b=k+(0-g<<2)|0;if((e|0)>0)szc(b|0,d|0,e|0)|0;f[a>>2]=b;f[c>>2]=k+4;f[i>>2]=m+(l<<2);if(!d)return;fuc(d);return}function cNb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+4|0;d=f[a>>2]|0;e=(f[c>>2]|0)-d|0;g=e>>2;h=g+1|0;if(h>>>0>1073741823)nsc(a);i=a+8|0;j=(f[i>>2]|0)-d|0;k=j>>1;l=j>>2>>>0<536870911?(k>>>0<h>>>0?h:k):1073741823;do if(l)if(l>>>0>1073741823){k=ze(8)|0;kuc(k,519086);f[k>>2]=167148;Hf(k|0,26888,1888)}else{m=cuc(l<<2)|0;break}else m=0;while(0);k=m+(g<<2)|0;f[k>>2]=f[b>>2];b=k+(0-g<<2)|0;if((e|0)>0)szc(b|0,d|0,e|0)|0;f[a>>2]=b;f[c>>2]=k+4;f[i>>2]=m+(l<<2);if(!d)return;fuc(d);return}function dNb(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;h=u;u=u+16|0;i=h;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;j=jfc(g)|0;if(j>>>0>4294967279)muc(i);if(j>>>0<11){b[i+11>>0]=j;if(!j)k=i;else{l=i;m=6}}else{n=j+16&-16;o=cuc(n)|0;f[i>>2]=o;f[i+8>>2]=n|-2147483648;f[i+4>>2]=j;l=o;m=6}if((m|0)==6){szc(l|0,g|0,j|0)|0;k=l}b[k+j>>0]=0;eNb(a,c,d,e,i);if((b[i+11>>0]|0)>=0){u=h;return}fuc(f[i>>2]|0);u=h;return}function eNb(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0;h=u;u=u+64|0;i=h+24|0;j=h;k=f[a+8>>2]|0;if(k|0){Vg[f[(f[k>>2]|0)+8>>2]&255](k,a+28|0,c,d,e,g);l=a+24|0;b[l>>0]=1;u=h;return}e=a+24|0;if(!(b[e>>0]|0)){iLb(i,2,490877,3592);fLb(h+49|0,dLb(eLb(dLb(i,500248)|0,a+28|0)|0,500284)|0);jLb(i)}iLb(j,2,490877,3595);fLb(h+48|0,eLb(dLb(eLb(dLb(j,500287)|0,c)|0,517123)|0,g)|0);jLb(j);l=e;b[l>>0]=1;u=h;return}function fNb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+4|0;d=f[a>>2]|0;e=(f[c>>2]|0)-d|0;g=e>>2;h=g+1|0;if(h>>>0>1073741823)nsc(a);i=a+8|0;j=(f[i>>2]|0)-d|0;k=j>>1;l=j>>2>>>0<536870911?(k>>>0<h>>>0?h:k):1073741823;do if(l)if(l>>>0>1073741823){k=ze(8)|0;kuc(k,519086);f[k>>2]=167148;Hf(k|0,26888,1888)}else{m=cuc(l<<2)|0;break}else m=0;while(0);k=m+(g<<2)|0;f[k>>2]=f[b>>2];b=k+(0-g<<2)|0;if((e|0)>0)szc(b|0,d|0,e|0)|0;f[a>>2]=b;f[c>>2]=k+4;f[i>>2]=m+(l<<2);if(!d)return;fuc(d);return}function gNb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0.0,u=0.0,v=0,w=0,x=0,y=0,z=0;d=f[c>>2]|0;e=b[d>>0]|0;if(!(e<<24>>24))g=0;else{h=d;i=0;j=e;while(1){e=(i*5|0)+(j<<24>>24)|0;h=h+1|0;j=b[h>>0]|0;if(!(j<<24>>24)){g=e;break}else i=e}}i=a+4|0;j=f[i>>2]|0;h=(j|0)==0;a:do if(!h){e=j+-1|0;k=(e&j|0)==0;if(!k)if(g>>>0<j>>>0)l=g;else l=(g>>>0)%(j>>>0)|0;else l=e&g;m=f[(f[a>>2]|0)+(l<<2)>>2]|0;if(!m)o=l;else{if(k){k=m;while(1){k=f[k>>2]|0;if(!k){o=l;break a}p=f[k+4>>2]|0;if(!((p|0)==(g|0)|(p&e|0)==(l|0))){o=l;break a}if(!(Mec(f[k+8>>2]|0,d)|0)){q=0;break}}return q|0}else r=m;while(1){r=f[r>>2]|0;if(!r){o=l;break a}k=f[r+4>>2]|0;if((k|0)!=(g|0)){if(k>>>0<j>>>0)s=k;else s=(k>>>0)%(j>>>0)|0;if((s|0)!=(l|0)){o=l;break a}}if(!(Mec(f[r+8>>2]|0,d)|0)){q=0;break}}return q|0}}else o=0;while(0);d=cuc(16)|0;r=c;c=f[r+4>>2]|0;l=d+8|0;f[l>>2]=f[r>>2];f[l+4>>2]=c;f[d+4>>2]=g;f[d>>2]=0;c=a+12|0;t=+(((f[c>>2]|0)+1|0)>>>0);u=+n[a+16>>2];do if(h|t>+(j>>>0)*u){l=(j>>>0<3|(j+-1&j|0)!=0)&1|j<<1;r=~~+X(+(t/u))>>>0;fMb(a,l>>>0<r>>>0?r:l);l=f[i>>2]|0;r=l+-1|0;if(!(r&l)){v=l;w=r&g;break}if(g>>>0<l>>>0){v=l;w=g}else{v=l;w=(g>>>0)%(l>>>0)|0}}else{v=j;w=o}while(0);o=(f[a>>2]|0)+(w<<2)|0;w=f[o>>2]|0;if(!w){j=a+8|0;f[d>>2]=f[j>>2];f[j>>2]=d;f[o>>2]=j;j=f[d>>2]|0;if(j|0){o=f[j+4>>2]|0;j=v+-1|0;if(j&v)if(o>>>0<v>>>0)x=o;else x=(o>>>0)%(v>>>0)|0;else x=o&j;y=(f[a>>2]|0)+(x<<2)|0;z=32}}else{f[d>>2]=f[w>>2];y=w;z=32}if((z|0)==32)f[y>>2]=d;f[c>>2]=(f[c>>2]|0)+1;q=1;return q|0}function hNb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+4|0;d=f[a>>2]|0;e=(f[c>>2]|0)-d|0;g=e>>2;h=g+1|0;if(h>>>0>1073741823)nsc(a);i=a+8|0;j=(f[i>>2]|0)-d|0;k=j>>1;l=j>>2>>>0<536870911?(k>>>0<h>>>0?h:k):1073741823;do if(l)if(l>>>0>1073741823){k=ze(8)|0;kuc(k,519086);f[k>>2]=167148;Hf(k|0,26888,1888)}else{m=cuc(l<<2)|0;break}else m=0;while(0);k=m+(g<<2)|0;f[k>>2]=f[b>>2];b=k+(0-g<<2)|0;if((e|0)>0)szc(b|0,d|0,e|0)|0;f[a>>2]=b;f[c>>2]=k+4;f[i>>2]=m+(l<<2);if(!d)return;fuc(d);return}function iNb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;g=u;u=u+48|0;h=g+36|0;i=g+24|0;j=g+12|0;k=g;l=a+4|0;m=f[l>>2]|0;n=c+11|0;f[h>>2]=(b[n>>0]|0)<0?f[c>>2]|0:c;f[h+4>>2]=8;f[h+8>>2]=e;if(mPb(m+132|0,h)|0){o=(b[n>>0]|0)<0?f[c>>2]|0:c;f[h>>2]=o;p=m+200|0;q=f[p>>2]|0;if(q>>>0<(f[m+204>>2]|0)>>>0){f[q>>2]=o;f[p>>2]=(f[p>>2]|0)+4}else hNb(m+196|0,h);m=Ouc(c,46,-1)|0;if((m|0)==-1){jPb(a,c,c,d);u=g;return}p=f[l>>2]|0;puc(i,c,0,m,c);o=cuc(12)|0;ouc(o,i);f[h>>2]=o;q=p+76|0;r=f[q>>2]|0;if((r|0)==(f[p+80>>2]|0))fNb(p+72|0,h);else{f[r>>2]=o;f[q>>2]=(f[q>>2]|0)+4}q=f[h>>2]|0;if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0);iNb(a,q,d,e);puc(h,c,m+1|0,-1,c);jPb(a,h,c,d);if((b[h+11>>0]|0)<0)fuc(f[h>>2]|0);u=g;return}m=f[l>>2]|0;f[h>>2]=(b[n>>0]|0)<0?f[c>>2]|0:c;n=LMb(m+132|0,h)|0;if(n){m=f[n+12>>2]|0;if((m|0)==8){u=g;return}else{s=m;t=f[n+16>>2]|0}}else{s=0;t=0}nEa(k,517029,c);n=Duc(k,500181)|0;f[j>>2]=f[n>>2];f[j+4>>2]=f[n+4>>2];f[j+8>>2]=f[n+8>>2];f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;switch(s|0){case 7:{v=(f[t+8>>2]|0)+8|0;w=25;break}case 1:{v=t+8|0;w=25;break}case 2:{v=t+20|0;w=25;break}case 3:{v=(f[t+8>>2]|0)+8|0;w=25;break}case 4:{v=t+8|0;w=25;break}case 5:{v=(f[t+12>>2]|0)+8|0;w=25;break}case 6:{v=t+8|0;w=25;break}default:x=0}if((w|0)==25)x=f[v>>2]|0;v=f[x>>2]|0;x=b[v+11>>0]|0;w=x<<24>>24<0;t=Cuc(j,w?f[v>>2]|0:v,w?f[v+4>>2]|0:x&255)|0;f[i>>2]=f[t>>2];f[i+4>>2]=f[t+4>>2];f[i+8>>2]=f[t+8>>2];f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;t=Duc(i,517668)|0;f[h>>2]=f[t>>2];f[h+4>>2]=f[t+4>>2];f[h+8>>2]=f[t+8>>2];f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;eNb(a,c,d,0,h);if((b[h+11>>0]|0)<0)fuc(f[h>>2]|0);if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0);if((b[j+11>>0]|0)<0)fuc(f[j>>2]|0);if((b[k+11>>0]|0)<0)fuc(f[k>>2]|0);u=g;return}function jNb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+4|0;d=f[a>>2]|0;e=(f[c>>2]|0)-d|0;g=e>>2;h=g+1|0;if(h>>>0>1073741823)nsc(a);i=a+8|0;j=(f[i>>2]|0)-d|0;k=j>>1;l=j>>2>>>0<536870911?(k>>>0<h>>>0?h:k):1073741823;do if(l)if(l>>>0>1073741823){k=ze(8)|0;kuc(k,519086);f[k>>2]=167148;Hf(k|0,26888,1888)}else{m=cuc(l<<2)|0;break}else m=0;while(0);k=m+(g<<2)|0;f[k>>2]=f[b>>2];b=k+(0-g<<2)|0;if((e|0)>0)szc(b|0,d|0,e|0)|0;f[a>>2]=b;f[c>>2]=k+4;f[i>>2]=m+(l<<2);if(!d)return;fuc(d);return}function kNb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0;e=u;u=u+32|0;g=e+12|0;h=e;i=f[c+120>>2]|0;nEa(h,500098,f[(f[c+28>>2]|0)+4+(d<<2)>>2]|0);d=Duc(h,500161)|0;f[g>>2]=f[d>>2];f[g+4>>2]=f[d+4>>2];f[g+8>>2]=f[d+8>>2];f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;eNb(a,i,c,9,g);if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);if((b[h+11>>0]|0)>=0){u=e;return}fuc(f[h>>2]|0);u=e;return}function lNb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;d=u;u=u+16|0;e=d;g=a+16|0;h=f[g>>2]|0;i=cuc(96)|0;f[e>>2]=i;j=h+124|0;k=f[j>>2]|0;if((k|0)==(f[h+128>>2]|0))OE(h+120|0,e);else{f[k>>2]=i;f[j>>2]=(f[j>>2]|0)+4}j=f[e>>2]|0;i=j;k=i+96|0;do{f[i>>2]=0;i=i+4|0}while((i|0)<(k|0));i=f[g>>2]|0;g=cuc(12)|0;ouc(g,c);f[e>>2]=g;c=i+76|0;k=f[c>>2]|0;if((k|0)==(f[i+80>>2]|0))fNb(i+72|0,e);else{f[k>>2]=g;f[c>>2]=(f[c>>2]|0)+4}f[j>>2]=f[e>>2];if((f[224966]|0)!=2){f[e>>2]=151624;f[e+4>>2]=125;b[e+8>>0]=0;xLb(899864,e);QKb(e)}f[j+4>>2]=542896;f[j+8>>2]=a;a=U$b()|0;f[j+84>>2]=a;if((f[224990]|0)==2){l=f[224991]|0;m=j+88|0;f[m>>2]=l;n=i0b()|0;o=j+92|0;f[o>>2]=n;p=j+48|0;b[p>>0]=1;q=j+44|0;f[q>>2]=2;r=j+49|0;b[r>>0]=1;u=d;return j|0}f[e>>2]=151624;f[e+4>>2]=129;b[e+8>>0]=0;xLb(899960,e);QKb(e);l=f[224991]|0;m=j+88|0;f[m>>2]=l;n=i0b()|0;o=j+92|0;f[o>>2]=n;p=j+48|0;b[p>>0]=1;q=j+44|0;f[q>>2]=2;r=j+49|0;b[r>>0]=1;u=d;return j|0}function mNb(a,c,e){a=a|0;c=c|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0;g=u;u=u+32|0;h=g+20|0;i=g+12|0;j=g;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;if(!(f[(f[a>>2]|0)+4>>2]|0)){nEa(j,500098,f[(f[c+28>>2]|0)+4+(e<<2)>>2]|0);k=Duc(j,500107)|0;l=f[k>>2]|0;m=k+4|0;f[i>>2]=f[m>>2];d[i+4>>1]=d[m+4>>1]|0;b[i+6>>0]=b[m+6>>0]|0;m=b[k+11>>0]|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;k=h+11|0;if((b[k>>0]|0)<0){b[f[h>>2]>>0]=0;f[h+4>>2]=0}else{b[h>>0]=0;b[k>>0]=0}vuc(h,0);f[h>>2]=l;l=h+4|0;f[l>>2]=f[i>>2];d[l+4>>1]=d[i+4>>1]|0;b[l+6>>0]=b[i+6>>0]|0;b[h+11>>0]=m;f[i>>2]=0;d[i+4>>1]=0;b[i+6>>0]=0;if((b[j+11>>0]|0)<0)fuc(f[j>>2]|0)}else{nEa(j,500098,f[(f[c+28>>2]|0)+4+(e<<2)>>2]|0);e=Duc(j,500130)|0;m=f[e>>2]|0;l=e+4|0;f[i>>2]=f[l>>2];d[i+4>>1]=d[l+4>>1]|0;b[i+6>>0]=b[l+6>>0]|0;l=b[e+11>>0]|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;e=h+11|0;if((b[e>>0]|0)<0){b[f[h>>2]>>0]=0;f[h+4>>2]=0}else{b[h>>0]=0;b[e>>0]=0}vuc(h,0);f[h>>2]=m;m=h+4|0;f[m>>2]=f[i>>2];d[m+4>>1]=d[i+4>>1]|0;b[m+6>>0]=b[i+6>>0]|0;b[h+11>>0]=l;f[i>>2]=0;d[i+4>>1]=0;b[i+6>>0]=0;if((b[j+11>>0]|0)<0)fuc(f[j>>2]|0)}eNb(a,f[c+120>>2]|0,c,9,h);if((b[h+11>>0]|0)>=0){u=g;return}fuc(f[h>>2]|0);u=g;return}function nNb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;d=a+4|0;a=f[d>>2]|0;do if(a|0){e=b[c+11>>0]|0;g=e<<24>>24<0;h=g?f[c+4>>2]|0:e&255;e=g?f[c>>2]|0:c;g=d;i=a;a:while(1){j=i;while(1){k=j+16|0;l=b[k+11>>0]|0;m=l<<24>>24<0;n=m?f[j+20>>2]|0:l&255;l=h>>>0<n>>>0?h:n;if((l|0)!=0?(o=ahc(m?f[k>>2]|0:k,e,l)|0,(o|0)!=0):0){if((o|0)>=0)break}else p=6;if((p|0)==6?(p=0,n>>>0>=h>>>0):0)break;n=f[j+4>>2]|0;if(!n){q=g;break a}else j=n}i=f[j>>2]|0;if(!i){q=j;break}else g=j}if((q|0)!=(d|0)){g=q+16|0;i=b[g+11>>0]|0;n=i<<24>>24<0;o=n?f[q+20>>2]|0:i&255;i=o>>>0<h>>>0?o:h;if(i|0?(l=ahc(e,n?f[g>>2]|0:g,i)|0,l|0):0){if((l|0)<0)break;else r=q;return r|0}if(h>>>0>=o>>>0){r=q;return r|0}}}while(0);r=d;return r|0}function oNb(a){a=a|0;EPb(a);return}function pNb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;d=u;u=u+16|0;e=d;g=c;if(!c){u=d;return}h=a+48|0;i=a+52|0;j=f[i>>2]|0;do if(j){k=a+52|0;l=j;while(1){m=f[l+16>>2]|0;if(m>>>0>c>>>0){n=f[l>>2]|0;if(!n){o=7;break}else{p=l;q=n}}else{if(m>>>0>=c>>>0){o=11;break}r=l+4|0;m=f[r>>2]|0;if(!m){o=10;break}else{p=r;q=m}}k=p;l=q}if((o|0)==7){s=l;t=l;break}else if((o|0)==10){s=l;t=r;break}else if((o|0)==11){s=l;t=k;break}}else{s=i;t=i}while(0);if(f[t>>2]|0){u=d;return}i=cuc(20)|0;f[i+16>>2]=g;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=s;f[t>>2]=i;s=f[f[h>>2]>>2]|0;if(!s)v=i;else{f[h>>2]=s;v=f[t>>2]|0}jI(f[a+52>>2]|0,v);v=a+56|0;f[v>>2]=(f[v>>2]|0)+1;v=c+20|0;t=c+60|0;s=c+12|0;h=c+52|0;i=e+4|0;g=e+8|0;o=e+12|0;if((f[v>>2]|0)>0)w=0;else{u=d;return}do{r=f[(f[t>>2]|0)+(w<<2)>>2]|0;q=f[s>>2]|0;if(q|0?(f[q>>2]|0)!=2:0){f[e>>2]=152032;f[i>>2]=2001;b[g>>0]=0;f[o>>2]=c;xLb(q,e)}pNb(a,f[(f[h>>2]|0)+(r<<2)>>2]|0);w=w+1|0}while((w|0)<(f[v>>2]|0));u=d;return}function qNb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0.0,sa=0.0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0;g=u;u=u+480|0;h=g+448|0;i=g+440|0;j=g+400|0;k=g+360|0;l=g+320|0;m=g+280|0;o=g+240|0;p=g+200|0;q=g+160|0;r=g+120|0;s=g+80|0;t=g+40|0;v=g;if(!d)w=(f[a+40>>2]|0)+4|0;else w=d+4|0;x=f[w>>2]|0;w=a+4|0;y=f[w>>2]|0;z=cuc(12)|0;ouc(z,x);f[h>>2]=z;x=y+76|0;A=f[x>>2]|0;if((A|0)==(f[y+80>>2]|0))fNb(y+72|0,h);else{f[A>>2]=z;f[x>>2]=(f[x>>2]|0)+4}x=f[h>>2]|0;z=b[x+11>>0]|0;if(z<<24>>24<0)B=f[x+4>>2]|0;else B=z&255;if(B|0)yuc(x,1,46)|0;B=c+144|0;z=f[B>>2]|0;A=b[z+11>>0]|0;y=A<<24>>24<0;Cuc(x,y?f[z>>2]|0:z,y?f[z+4>>2]|0:A&255)|0;jPb(a,f[B>>2]|0,x,c);A=f[w>>2]|0;z=f[B>>2]|0;B=cuc(12)|0;ouc(B,z);f[h>>2]=B;z=A+76|0;y=f[z>>2]|0;if((y|0)==(f[A+80>>2]|0))fNb(A+72|0,h);else{f[y>>2]=B;f[z>>2]=(f[z>>2]|0)+4}f[e>>2]=f[h>>2];z=e+4|0;f[z>>2]=x;f[e+8>>2]=f[a+40>>2];f[e+12>>2]=d;b[e+84>>0]=0;b[e+85>>0]=0;x=c+100|0;B=f[x>>2]|0;f[e+56>>2]=B;y=e+24|0;A=f[w>>2]|0;C=B*28|0;if(!C){D=0;E=B}else{B=cuc(C)|0;f[h>>2]=B;C=A+124|0;F=f[C>>2]|0;if((F|0)==(f[A+128>>2]|0))OE(A+120|0,h);else{f[F>>2]=B;f[C>>2]=(f[C>>2]|0)+4}D=f[h>>2]|0;E=f[x>>2]|0}f[y>>2]=D;if((E|0)>0?(E=c+108|0,APb(a,f[(f[E>>2]|0)+4>>2]|0,e,D),(f[x>>2]|0)>1):0){D=1;do{APb(a,f[(f[E>>2]|0)+4+(D<<2)>>2]|0,e,(f[y>>2]|0)+(D*28|0)|0);D=D+1|0}while((D|0)<(f[x>>2]|0))}x=c+20|0;D=f[x>>2]|0;y=e+52|0;f[y>>2]=D;E=e+20|0;C=f[w>>2]|0;B=D*88|0;if(!B){G=0;H=D}else{D=cuc(B)|0;f[h>>2]=D;B=C+124|0;F=f[B>>2]|0;if((F|0)==(f[C+128>>2]|0))OE(C+120|0,h);else{f[F>>2]=D;f[B>>2]=(f[B>>2]|0)+4}G=f[h>>2]|0;H=f[x>>2]|0}f[E>>2]=G;if((H|0)>0?(H=c+28|0,tNb(a,f[(f[H>>2]|0)+4>>2]|0,e,G,0),(f[x>>2]|0)>1):0){G=1;do{tNb(a,f[(f[H>>2]|0)+4+(G<<2)>>2]|0,e,(f[E>>2]|0)+(G*88|0)|0,0);G=G+1|0}while((G|0)<(f[x>>2]|0))}x=c+36|0;G=f[x>>2]|0;f[e+60>>2]=G;H=e+28|0;B=f[w>>2]|0;D=G*88|0;if(!D){I=0;J=G}else{G=cuc(D)|0;f[h>>2]=G;D=B+124|0;F=f[D>>2]|0;if((F|0)==(f[B+128>>2]|0))OE(B+120|0,h);else{f[F>>2]=G;f[D>>2]=(f[D>>2]|0)+4}I=f[h>>2]|0;J=f[x>>2]|0}f[H>>2]=I;if((J|0)>0?(J=c+44|0,qNb(a,f[(f[J>>2]|0)+4>>2]|0,e,I),(f[x>>2]|0)>1):0){I=1;do{qNb(a,f[(f[J>>2]|0)+4+(I<<2)>>2]|0,e,(f[H>>2]|0)+(I*88|0)|0);I=I+1|0}while((I|0)<(f[x>>2]|0))}x=c+52|0;I=f[x>>2]|0;f[e+64>>2]=I;H=e+32|0;J=f[w>>2]|0;D=I*48|0;if(!D){K=0;L=I}else{I=cuc(D)|0;f[h>>2]=I;D=J+124|0;G=f[D>>2]|0;if((G|0)==(f[J+128>>2]|0))OE(J+120|0,h);else{f[G>>2]=I;f[D>>2]=(f[D>>2]|0)+4}K=f[h>>2]|0;L=f[x>>2]|0}f[H>>2]=K;if((L|0)>0?(L=c+60|0,rNb(a,f[(f[L>>2]|0)+4>>2]|0,e,K),(f[x>>2]|0)>1):0){K=1;do{rNb(a,f[(f[L>>2]|0)+4+(K<<2)>>2]|0,e,(f[H>>2]|0)+(K*48|0)|0);K=K+1|0}while((K|0)<(f[x>>2]|0))}x=c+68|0;K=f[x>>2]|0;H=e+68|0;f[H>>2]=K;L=e+36|0;D=f[w>>2]|0;I=K*12|0;if(!I){M=0;N=K}else{K=cuc(I)|0;f[h>>2]=K;I=D+124|0;G=f[I>>2]|0;if((G|0)==(f[D+128>>2]|0))OE(D+120|0,h);else{f[G>>2]=K;f[I>>2]=(f[I>>2]|0)+4}M=f[h>>2]|0;N=f[x>>2]|0}f[L>>2]=M;a:do if((N|0)>0){I=c+76|0;K=0;G=M;while(1){D=f[(f[I>>2]|0)+4+(K<<2)>>2]|0;J=G+(K*12|0)|0;F=f[D+20>>2]|0;f[J>>2]=F;B=f[D+24>>2]|0;C=G+(K*12|0)+4|0;f[C>>2]=B;if((F|0)<1){dNb(a,f[z>>2]|0,D,1,499538);O=f[J>>2]|0;P=f[C>>2]|0}else{O=F;P=B}if((O|0)>=(P|0))dNb(a,f[z>>2]|0,D,1,499583);if(!(f[D+8>>2]&1))f[G+(K*12|0)+8>>2]=0;else{B=f[z>>2]|0;F=f[D+16>>2]|0;BPb(a,B,B,F|0?F:543296,J)}J=K+1|0;if((J|0)>=(f[x>>2]|0))break a;K=J;G=f[L>>2]|0}}while(0);x=c+84|0;P=f[x>>2]|0;f[e+72>>2]=P;O=e+40|0;M=f[w>>2]|0;N=P*88|0;if(!N){Q=0;R=P}else{P=cuc(N)|0;f[h>>2]=P;N=M+124|0;G=f[N>>2]|0;if((G|0)==(f[M+128>>2]|0))OE(M+120|0,h);else{f[G>>2]=P;f[N>>2]=(f[N>>2]|0)+4}Q=f[h>>2]|0;R=f[x>>2]|0}f[O>>2]=Q;if((R|0)>0?(R=c+92|0,tNb(a,f[(f[R>>2]|0)+4>>2]|0,e,Q,1),(f[x>>2]|0)>1):0){Q=1;do{tNb(a,f[(f[R>>2]|0)+4+(Q<<2)>>2]|0,e,(f[O>>2]|0)+(Q*88|0)|0,1);Q=Q+1|0}while((Q|0)<(f[x>>2]|0))}x=c+116|0;Q=f[x>>2]|0;O=e+76|0;f[O>>2]=Q;R=e+44|0;N=f[w>>2]|0;P=Q<<3;if(!P){S=0;T=Q}else{Q=cuc(P)|0;f[h>>2]=Q;P=N+124|0;G=f[P>>2]|0;if((G|0)==(f[N+128>>2]|0))OE(N+120|0,h);else{f[G>>2]=Q;f[P>>2]=(f[P>>2]|0)+4}S=f[h>>2]|0;T=f[x>>2]|0}f[R>>2]=S;b:do if((T|0)>0){P=c+124|0;Q=0;G=S;N=T;while(1){M=f[(f[P>>2]|0)+4+(Q<<2)>>2]|0;K=f[M+16>>2]|0;f[G+(Q<<3)>>2]=K;f[G+(Q<<3)+4>>2]=f[M+20>>2];if((K|0)<1){dNb(a,f[z>>2]|0,M,1,499645);U=f[x>>2]|0}else U=N;M=Q+1|0;if((M|0)>=(U|0))break b;Q=M;G=f[R>>2]|0;N=U}}while(0);U=c+132|0;T=f[U>>2]|0;f[e+80>>2]=T;S=f[w>>2]|0;N=T<<2;if(!N)V=0;else{G=cuc(N)|0;f[h>>2]=G;N=S+124|0;Q=f[N>>2]|0;if((Q|0)==(f[S+128>>2]|0))OE(S+120|0,h);else{f[Q>>2]=G;f[N>>2]=(f[N>>2]|0)+4}V=f[h>>2]|0}N=e+48|0;f[N>>2]=V;if((T|0)>0){V=c+140|0;G=0;do{Q=f[w>>2]|0;S=f[(f[V>>2]|0)+4+(G<<2)>>2]|0;P=cuc(12)|0;ouc(P,S);f[h>>2]=P;S=Q+76|0;M=f[S>>2]|0;if((M|0)==(f[Q+80>>2]|0))fNb(Q+72|0,h);else{f[M>>2]=P;f[S>>2]=(f[S>>2]|0)+4}f[(f[N>>2]|0)+(G<<2)>>2]=f[h>>2];G=G+1|0}while((G|0)<(T|0))}if(!(f[c+8>>2]&2))f[e+16>>2]=0;else{T=f[c+148>>2]|0;G=f[z>>2]|0;CPb(a,G,G,T|0?T:543728,e)}T=f[z>>2]|0;G=f[e>>2]|0;f[i>>2]=1;f[i+4>>2]=e;f[h>>2]=f[i>>2];f[h+4>>2]=f[i+4>>2];lPb(a,T,d,G,c,h)|0;G=f[x>>2]|0;if((G|0)>0){d=c+124|0;T=j+8|0;i=j+4|0;e=k+8|0;N=k+4|0;V=l+8|0;w=l+4|0;S=m+8|0;P=m+4|0;M=o+4|0;Q=p+4|0;K=q+4|0;I=r+4|0;J=s+4|0;F=t+4|0;B=h+11|0;D=0;C=G;while(1){G=f[d>>2]|0;A=f[G+4+(D<<2)>>2]|0;W=D;D=D+1|0;c:do if((D|0)<(C|0)){Y=A+20|0;Z=A+16|0;_=D;$=G;aa=C;while(1){ba=f[$+4+(_<<2)>>2]|0;ca=f[ba+16>>2]|0;do if((f[Y>>2]|0)>(ca|0)){da=ba+20|0;if((f[da>>2]|0)<=(f[Z>>2]|0)){ea=aa;break}fa=f[z>>2]|0;ga=f[$+4+(W<<2)>>2]|0;ha=Wdc(ca,T)|0;f[j>>2]=ha;ia=jfc(ha)|0;f[i>>2]=ia;ia=Wdc((f[da>>2]|0)+-1|0,e)|0;f[k>>2]=ia;da=jfc(ia)|0;f[N>>2]=da;da=Wdc(f[Z>>2]|0,V)|0;f[l>>2]=da;ia=jfc(da)|0;f[w>>2]=ia;ia=Wdc((f[Y>>2]|0)+-1|0,S)|0;f[m>>2]=ia;da=jfc(ia)|0;f[P>>2]=da;f[o>>2]=0;f[M>>2]=-1;f[p>>2]=0;f[Q>>2]=-1;f[q>>2]=0;f[K>>2]=-1;f[r>>2]=0;f[I>>2]=-1;f[s>>2]=0;f[J>>2]=-1;f[t>>2]=0;f[F>>2]=-1;F9b(h,498995,j,k,l,m,o,p,q,r,s,t);eNb(a,fa,ga,1,h);if((b[B>>0]|0)<0)fuc(f[h>>2]|0);ea=f[x>>2]|0}else ea=aa;while(0);ca=_+1|0;if((ca|0)>=(ea|0)){ja=ea;break c}_=ca;$=f[d>>2]|0;aa=ea}}else ja=C;while(0);if((D|0)>=(ja|0))break;else C=ja}}ja=h+16|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;n[ja>>2]=1.0;if((f[U>>2]|0)>0){C=c+140|0;D=h+4|0;ea=h+12|0;d=h+8|0;x=k+4|0;B=l+4|0;F=m+4|0;J=o+4|0;I=p+4|0;K=q+4|0;Q=r+4|0;M=s+4|0;P=t+4|0;S=v+4|0;w=j+11|0;V=0;do{N=f[(f[C>>2]|0)+4+(V<<2)>>2]|0;d:do if(uPb(h,N)|0){e=b[N+11>>0]|0;i=e<<24>>24<0;f[k>>2]=i?f[N>>2]|0:N;f[x>>2]=i?f[N+4>>2]|0:e&255;f[l>>2]=0;f[B>>2]=-1;f[m>>2]=0;f[F>>2]=-1;f[o>>2]=0;f[J>>2]=-1;f[p>>2]=0;f[I>>2]=-1;f[q>>2]=0;f[K>>2]=-1;f[r>>2]=0;f[Q>>2]=-1;f[s>>2]=0;f[M>>2]=-1;f[t>>2]=0;f[P>>2]=-1;f[v>>2]=0;f[S>>2]=-1;F9b(j,499689,k,l,m,o,p,q,r,s,t,v);eNb(a,N,c,0,j);if((b[w>>0]|0)<0)fuc(f[j>>2]|0)}else{e=b[N+11>>0]|0;i=e<<24>>24<0;T=i?f[N>>2]|0:N;W=b[T>>0]|0;if(!(W<<24>>24))ka=0;else{G=T;A=0;aa=W;while(1){$=(A*5|0)+(aa<<24>>24)|0;G=G+1|0;aa=b[G>>0]|0;if(!(aa<<24>>24)){ka=$;break}else A=$}}A=f[D>>2]|0;aa=(A|0)==0;e:do if(aa)la=0;else{G=A+-1|0;$=(G&A|0)==0;do if($)ma=G&ka;else{if(ka>>>0<A>>>0){ma=ka;break}ma=(ka>>>0)%(A>>>0)|0}while(0);_=f[(f[h>>2]|0)+(ma<<2)>>2]|0;if(!_){la=ma;break}Y=f[_>>2]|0;if(!Y){la=ma;break}_=i?f[N+4>>2]|0:e&255;Z=(_|0)==0;if($){if(Z){ca=Y;while(1){ba=f[ca+4>>2]|0;if(!((ba|0)==(ka|0)|(ba&G|0)==(ma|0))){la=ma;break e}ba=b[ca+8+11>>0]|0;if(!((ba<<24>>24<0?f[ca+12>>2]|0:ba&255)|0))break d;ca=f[ca>>2]|0;if(!ca){la=ma;break e}}}else na=Y;while(1){ca=f[na+4>>2]|0;if(!((ca|0)==(ka|0)|(ca&G|0)==(ma|0))){la=ma;break e}ca=na+8|0;$=b[ca+11>>0]|0;ba=$<<24>>24<0;ga=$&255;do if(((ba?f[na+12>>2]|0:ga)|0)==(_|0)){$=f[ca>>2]|0;if(ba)if(!(ahc($,T,_)|0))break d;else break;if(($&255)<<24>>24!=W<<24>>24)break;$=ca;fa=ga;da=T;do{fa=fa+-1|0;$=$+1|0;if(!fa)break d;da=da+1|0}while((b[$>>0]|0)==(b[da>>0]|0))}while(0);na=f[na>>2]|0;if(!na){la=ma;break e}}}if(Z){G=Y;while(1){ga=f[G+4>>2]|0;if((ga|0)!=(ka|0)){if(ga>>>0<A>>>0)oa=ga;else oa=(ga>>>0)%(A>>>0)|0;if((oa|0)!=(ma|0)){la=ma;break e}}ga=b[G+8+11>>0]|0;if(!((ga<<24>>24<0?f[G+12>>2]|0:ga&255)|0))break d;G=f[G>>2]|0;if(!G){la=ma;break e}}}else pa=Y;while(1){G=f[pa+4>>2]|0;if((G|0)!=(ka|0)){if(G>>>0<A>>>0)qa=G;else qa=(G>>>0)%(A>>>0)|0;if((qa|0)!=(ma|0)){la=ma;break e}}G=pa+8|0;Z=b[G+11>>0]|0;ga=Z<<24>>24<0;ca=Z&255;do if(((ga?f[pa+12>>2]|0:ca)|0)==(_|0)){Z=f[G>>2]|0;if(ga)if(!(ahc(Z,T,_)|0))break d;else break;if((Z&255)<<24>>24!=W<<24>>24)break;Z=G;ba=ca;da=T;do{ba=ba+-1|0;Z=Z+1|0;if(!ba)break d;da=da+1|0}while((b[Z>>0]|0)==(b[da>>0]|0))}while(0);pa=f[pa>>2]|0;if(!pa){la=ma;break}}}while(0);T=cuc(20)|0;ouc(T+8|0,N);f[T+4>>2]=ka;f[T>>2]=0;ra=+(((f[ea>>2]|0)+1|0)>>>0);sa=+n[ja>>2];do if(aa|ra>+(A>>>0)*sa){W=(A>>>0<3|(A+-1&A|0)!=0)&1|A<<1;e=~~+X(+(ra/sa))>>>0;RMb(h,W>>>0<e>>>0?e:W);W=f[D>>2]|0;e=W+-1|0;if(!(e&W)){ta=W;ua=e&ka;break}if(ka>>>0<W>>>0){ta=W;ua=ka;break}ta=W;ua=(ka>>>0)%(W>>>0)|0}else{ta=A;ua=la}while(0);A=(f[h>>2]|0)+(ua<<2)|0;aa=f[A>>2]|0;do if(!aa){f[T>>2]=f[d>>2];f[d>>2]=T;f[A>>2]=d;W=f[T>>2]|0;if(!W)break;e=f[W+4>>2]|0;W=ta+-1|0;do if(!(W&ta))va=e&W;else{if(e>>>0<ta>>>0){va=e;break}va=(e>>>0)%(ta>>>0)|0}while(0);wa=(f[h>>2]|0)+(va<<2)|0;xa=168}else{f[T>>2]=f[aa>>2];wa=aa;xa=168}while(0);if((xa|0)==168){xa=0;f[wa>>2]=T}f[ea>>2]=(f[ea>>2]|0)+1}while(0);V=V+1|0}while((V|0)<(f[U>>2]|0))}if((f[y>>2]|0)>0){U=c+28|0;V=k+4|0;ea=l+4|0;wa=m+4|0;xa=o+4|0;va=p+4|0;ta=q+4|0;d=r+4|0;ua=s+4|0;la=t+4|0;ka=v+4|0;D=j+11|0;ja=c+124|0;ma=k+4|0;pa=l+8|0;qa=l+4|0;oa=m+4|0;na=o+4|0;w=p+4|0;S=q+4|0;P=r+4|0;M=s+4|0;Q=t+4|0;K=v+4|0;I=j+11|0;J=c+76|0;F=k+8|0;B=k+4|0;x=l+8|0;C=l+4|0;N=m+4|0;aa=o+8|0;A=o+4|0;e=p+4|0;W=q+4|0;i=r+4|0;_=s+4|0;Y=t+4|0;ca=v+4|0;G=j+11|0;ga=0;do{da=f[E>>2]|0;Z=da+(ga*88|0)|0;ba=f[H>>2]|0;if((ba|0)>0){$=da+(ga*88|0)+40|0;fa=da+(ga*88|0)+4|0;ia=0;ha=ba;while(1){ba=f[L>>2]|0;ya=f[ba+(ia*12|0)>>2]|0;za=f[$>>2]|0;do if((ya|0)>(za|0))Aa=ha;else{Ba=ba+(ia*12|0)+4|0;if((za|0)>=(f[Ba>>2]|0)){Aa=ha;break}Ca=f[fa>>2]|0;Da=f[(f[J>>2]|0)+4+(ia<<2)>>2]|0;Ea=Wdc(ya,F)|0;f[k>>2]=Ea;Fa=jfc(Ea)|0;f[B>>2]=Fa;Fa=Wdc((f[Ba>>2]|0)+-1|0,x)|0;f[l>>2]=Fa;Ba=jfc(Fa)|0;f[C>>2]=Ba;Ba=f[Z>>2]|0;Fa=b[Ba+11>>0]|0;Ea=Fa<<24>>24<0;f[m>>2]=Ea?f[Ba>>2]|0:Ba;f[N>>2]=Ea?f[Ba+4>>2]|0:Fa&255;Fa=Wdc(f[$>>2]|0,aa)|0;f[o>>2]=Fa;Ba=jfc(Fa)|0;f[A>>2]=Ba;f[p>>2]=0;f[e>>2]=-1;f[q>>2]=0;f[W>>2]=-1;f[r>>2]=0;f[i>>2]=-1;f[s>>2]=0;f[_>>2]=-1;f[t>>2]=0;f[Y>>2]=-1;f[v>>2]=0;f[ca>>2]=-1;F9b(j,499733,k,l,m,o,p,q,r,s,t,v);eNb(a,Ca,Da,1,j);if((b[G>>0]|0)<0)fuc(f[j>>2]|0);Aa=f[H>>2]|0}while(0);ia=ia+1|0;if((ia|0)>=(Aa|0))break;else ha=Aa}}ha=f[O>>2]|0;if((ha|0)>0){ia=da+(ga*88|0)+40|0;$=da+(ga*88|0)+4|0;fa=0;ya=ha;while(1){ha=f[R>>2]|0;za=f[ia>>2]|0;do if((f[ha+(fa<<3)>>2]|0)>(za|0))Ga=ya;else{if((za|0)>=(f[ha+(fa<<3)+4>>2]|0)){Ga=ya;break}ba=f[$>>2]|0;T=f[(f[ja>>2]|0)+4+(fa<<2)>>2]|0;Da=f[Z>>2]|0;Ca=b[Da+11>>0]|0;Ba=Ca<<24>>24<0;f[k>>2]=Ba?f[Da>>2]|0:Da;f[ma>>2]=Ba?f[Da+4>>2]|0:Ca&255;Ca=Wdc(za,pa)|0;f[l>>2]=Ca;Da=jfc(Ca)|0;f[qa>>2]=Da;f[m>>2]=0;f[oa>>2]=-1;f[o>>2]=0;f[na>>2]=-1;f[p>>2]=0;f[w>>2]=-1;f[q>>2]=0;f[S>>2]=-1;f[r>>2]=0;f[P>>2]=-1;f[s>>2]=0;f[M>>2]=-1;f[t>>2]=0;f[Q>>2]=-1;f[v>>2]=0;f[K>>2]=-1;F9b(j,499784,k,l,m,o,p,q,r,s,t,v);eNb(a,ba,T,1,j);if((b[I>>0]|0)<0)fuc(f[j>>2]|0);Ga=f[O>>2]|0}while(0);fa=fa+1|0;if((fa|0)>=(Ga|0)){Ha=Z;break}else ya=Ga}}else Ha=Z;if(uPb(h,f[Ha>>2]|0)|0?(ya=f[da+(ga*88|0)+4>>2]|0,fa=f[(f[U>>2]|0)+4+(ga<<2)>>2]|0,$=f[Ha>>2]|0,ia=b[$+11>>0]|0,za=ia<<24>>24<0,f[k>>2]=za?f[$>>2]|0:$,f[V>>2]=za?f[$+4>>2]|0:ia&255,f[l>>2]=0,f[ea>>2]=-1,f[m>>2]=0,f[wa>>2]=-1,f[o>>2]=0,f[xa>>2]=-1,f[p>>2]=0,f[va>>2]=-1,f[q>>2]=0,f[ta>>2]=-1,f[r>>2]=0,f[d>>2]=-1,f[s>>2]=0,f[ua>>2]=-1,f[t>>2]=0,f[la>>2]=-1,f[v>>2]=0,f[ka>>2]=-1,F9b(j,499820,k,l,m,o,p,q,r,s,t,v),eNb(a,ya,fa,0,j),(b[D>>0]|0)<0):0)fuc(f[j>>2]|0);ga=ga+1|0}while((ga|0)<(f[y>>2]|0))}y=f[H>>2]|0;if((y|0)>0){ga=c+76|0;c=k+8|0;D=k+4|0;ka=l+8|0;la=l+4|0;ua=m+8|0;d=m+4|0;ta=o+8|0;va=o+4|0;xa=p+4|0;wa=q+4|0;ea=r+4|0;V=s+4|0;Ha=t+4|0;U=v+4|0;Ga=j+11|0;I=k+8|0;K=k+4|0;Q=l+8|0;M=l+4|0;P=m+8|0;S=m+4|0;w=o+8|0;na=o+4|0;oa=p+4|0;qa=q+4|0;pa=r+4|0;ma=s+4|0;ja=t+4|0;Aa=v+4|0;G=j+11|0;ca=0;Y=y;while(1){y=f[L>>2]|0;_=y+(ca*12|0)|0;i=f[O>>2]|0;if((i|0)>0){W=y+(ca*12|0)+4|0;e=0;A=i;while(1){i=f[R>>2]|0;aa=i+(e<<3)|0;do if((f[W>>2]|0)>(f[aa>>2]|0)){N=i+(e<<3)+4|0;C=f[_>>2]|0;if((f[N>>2]|0)<=(C|0)){Ia=A;break}x=f[z>>2]|0;B=f[(f[ga>>2]|0)+4+(ca<<2)>>2]|0;F=Wdc(C,I)|0;f[k>>2]=F;C=jfc(F)|0;f[K>>2]=C;C=Wdc((f[W>>2]|0)+-1|0,Q)|0;f[l>>2]=C;F=jfc(C)|0;f[M>>2]=F;F=Wdc(f[aa>>2]|0,P)|0;f[m>>2]=F;C=jfc(F)|0;f[S>>2]=C;C=Wdc((f[N>>2]|0)+-1|0,w)|0;f[o>>2]=C;N=jfc(C)|0;f[na>>2]=N;f[p>>2]=0;f[oa>>2]=-1;f[q>>2]=0;f[qa>>2]=-1;f[r>>2]=0;f[pa>>2]=-1;f[s>>2]=0;f[ma>>2]=-1;f[t>>2]=0;f[ja>>2]=-1;f[v>>2]=0;f[Aa>>2]=-1;F9b(j,499849,k,l,m,o,p,q,r,s,t,v);eNb(a,x,B,1,j);if((b[G>>0]|0)<0)fuc(f[j>>2]|0);Ia=f[O>>2]|0}else Ia=A;while(0);e=e+1|0;if((e|0)>=(Ia|0))break;else A=Ia}Ja=f[H>>2]|0}else Ja=Y;A=ca;ca=ca+1|0;if((ca|0)<(Ja|0)){e=y+(A*12|0)+4|0;W=ca;da=Ja;while(1){Z=f[L>>2]|0;aa=f[Z+(W*12|0)>>2]|0;do if((f[e>>2]|0)>(aa|0)){i=Z+(W*12|0)+4|0;if((f[i>>2]|0)<=(f[_>>2]|0)){Ka=da;break}B=f[z>>2]|0;x=f[(f[ga>>2]|0)+4+(A<<2)>>2]|0;N=Wdc(aa,c)|0;f[k>>2]=N;C=jfc(N)|0;f[D>>2]=C;C=Wdc((f[i>>2]|0)+-1|0,ka)|0;f[l>>2]=C;i=jfc(C)|0;f[la>>2]=i;i=Wdc(f[_>>2]|0,ua)|0;f[m>>2]=i;C=jfc(i)|0;f[d>>2]=C;C=Wdc((f[e>>2]|0)+-1|0,ta)|0;f[o>>2]=C;i=jfc(C)|0;f[va>>2]=i;f[p>>2]=0;f[xa>>2]=-1;f[q>>2]=0;f[wa>>2]=-1;f[r>>2]=0;f[ea>>2]=-1;f[s>>2]=0;f[V>>2]=-1;f[t>>2]=0;f[Ha>>2]=-1;f[v>>2]=0;f[U>>2]=-1;F9b(j,499913,k,l,m,o,p,q,r,s,t,v);eNb(a,B,x,1,j);if((b[Ga>>0]|0)<0)fuc(f[j>>2]|0);Ka=f[H>>2]|0}else Ka=da;while(0);W=W+1|0;if((W|0)>=(Ka|0)){La=Ka;break}else da=Ka}}else La=Ja;if((ca|0)>=(La|0))break;else Y=La}}La=f[h+8>>2]|0;if(La|0){Y=La;do{La=Y;Y=f[Y>>2]|0;ca=La+8|0;if((b[ca+11>>0]|0)<0)fuc(f[ca>>2]|0);fuc(La)}while((Y|0)!=0)}Y=f[h>>2]|0;f[h>>2]=0;if(!Y){u=g;return}fuc(Y);u=g;return}function rNb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0.0,qa=0.0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0;g=u;u=u+480|0;h=g+448|0;i=g+440|0;j=g+400|0;k=g+360|0;l=g+320|0;m=g+280|0;o=g+240|0;p=g+200|0;q=g+160|0;r=g+120|0;s=g+80|0;t=g+40|0;v=g;if(!d)w=(f[a+40>>2]|0)+4|0;else w=d+4|0;x=f[w>>2]|0;w=a+4|0;y=f[w>>2]|0;z=cuc(12)|0;ouc(z,x);f[h>>2]=z;x=y+76|0;A=f[x>>2]|0;if((A|0)==(f[y+80>>2]|0))fNb(y+72|0,h);else{f[A>>2]=z;f[x>>2]=(f[x>>2]|0)+4}x=f[h>>2]|0;z=b[x+11>>0]|0;if(z<<24>>24<0)B=f[x+4>>2]|0;else B=z&255;if(B|0)yuc(x,1,46)|0;B=c+64|0;z=f[B>>2]|0;A=b[z+11>>0]|0;y=A<<24>>24<0;Cuc(x,y?f[z>>2]|0:z,y?f[z+4>>2]|0:A&255)|0;jPb(a,f[B>>2]|0,x,c);A=f[w>>2]|0;z=f[B>>2]|0;B=cuc(12)|0;ouc(B,z);f[h>>2]=B;z=A+76|0;y=f[z>>2]|0;if((y|0)==(f[A+80>>2]|0))fNb(A+72|0,h);else{f[y>>2]=B;f[z>>2]=(f[z>>2]|0)+4}f[e>>2]=f[h>>2];z=e+4|0;f[z>>2]=x;f[e+8>>2]=f[a+40>>2];f[e+12>>2]=d;b[e+20>>0]=0;b[e+21>>0]=0;B=c+20|0;y=f[B>>2]|0;if(!y){dNb(a,x,c,0,498895);C=f[B>>2]|0}else C=y;y=e+24|0;f[y>>2]=C;x=e+28|0;A=f[w>>2]|0;D=C*20|0;if(!D){E=0;F=C}else{C=cuc(D)|0;f[h>>2]=C;D=A+124|0;G=f[D>>2]|0;if((G|0)==(f[A+128>>2]|0))OE(A+120|0,h);else{f[G>>2]=C;f[D>>2]=(f[D>>2]|0)+4}E=f[h>>2]|0;F=f[B>>2]|0}f[x>>2]=E;if((F|0)>0?(F=c+28|0,rPb(a,f[(f[F>>2]|0)+4>>2]|0,e,E),(f[B>>2]|0)>1):0){E=1;do{rPb(a,f[(f[F>>2]|0)+4+(E<<2)>>2]|0,e,(f[x>>2]|0)+(E*20|0)|0);E=E+1|0}while((E|0)<(f[B>>2]|0))}B=c+36|0;E=f[B>>2]|0;F=e+32|0;f[F>>2]=E;D=e+40|0;C=f[w>>2]|0;G=E<<3;if(!G){H=0;I=E}else{E=cuc(G)|0;f[h>>2]=E;G=C+124|0;A=f[G>>2]|0;if((A|0)==(f[C+128>>2]|0))OE(C+120|0,h);else{f[A>>2]=E;f[G>>2]=(f[G>>2]|0)+4}H=f[h>>2]|0;I=f[B>>2]|0}f[D>>2]=H;a:do if((I|0)>0){G=c+44|0;E=0;A=H;C=I;while(1){J=f[(f[G>>2]|0)+4+(E<<2)>>2]|0;K=f[J+16>>2]|0;f[A+(E<<3)>>2]=K;L=f[J+20>>2]|0;f[A+(E<<3)+4>>2]=L;if((K|0)>(L|0)){dNb(a,f[z>>2]|0,J,1,498934);M=f[B>>2]|0}else M=C;J=E+1|0;if((J|0)>=(M|0))break a;E=J;A=f[D>>2]|0;C=M}}while(0);M=c+52|0;I=f[M>>2]|0;f[e+36>>2]=I;H=f[w>>2]|0;C=I<<2;if(!C)N=0;else{A=cuc(C)|0;f[h>>2]=A;C=H+124|0;E=f[C>>2]|0;if((E|0)==(f[H+128>>2]|0))OE(H+120|0,h);else{f[E>>2]=A;f[C>>2]=(f[C>>2]|0)+4}N=f[h>>2]|0}C=e+44|0;f[C>>2]=N;if((I|0)>0){N=c+60|0;A=0;do{E=f[w>>2]|0;H=f[(f[N>>2]|0)+4+(A<<2)>>2]|0;G=cuc(12)|0;ouc(G,H);f[h>>2]=G;H=E+76|0;J=f[H>>2]|0;if((J|0)==(f[E+80>>2]|0))fNb(E+72|0,h);else{f[J>>2]=G;f[H>>2]=(f[H>>2]|0)+4}f[(f[C>>2]|0)+(A<<2)>>2]=f[h>>2];A=A+1|0}while((A|0)<(I|0))}sPb(a,c,e);if(!(f[c+8>>2]&2))f[e+16>>2]=0;else{I=f[c+68>>2]|0;A=f[z>>2]|0;tPb(a,A,A,I|0?I:543896,e)}I=f[z>>2]|0;A=f[e>>2]|0;f[i>>2]=4;f[i+4>>2]=e;f[h>>2]=f[i>>2];f[h+4>>2]=f[i+4>>2];lPb(a,I,d,A,c,h)|0;A=f[B>>2]|0;if((A|0)>0){d=c+44|0;I=j+8|0;i=j+4|0;e=k+8|0;C=k+4|0;N=l+8|0;w=l+4|0;H=m+8|0;G=m+4|0;J=o+4|0;E=p+4|0;L=q+4|0;K=r+4|0;O=s+4|0;P=t+4|0;Q=h+11|0;R=0;S=A;while(1){A=f[d>>2]|0;T=f[A+4+(R<<2)>>2]|0;U=R;R=R+1|0;b:do if((R|0)<(S|0)){V=T+20|0;W=T+16|0;Y=R;Z=A;_=S;while(1){$=f[Z+4+(Y<<2)>>2]|0;aa=f[$+16>>2]|0;do if((f[V>>2]|0)>(aa|0)){ba=$+20|0;if((f[ba>>2]|0)<=(f[W>>2]|0)){ca=_;break}da=f[z>>2]|0;ea=f[Z+4+(U<<2)>>2]|0;fa=Wdc(aa,I)|0;f[j>>2]=fa;ga=jfc(fa)|0;f[i>>2]=ga;ga=Wdc((f[ba>>2]|0)+-1|0,e)|0;f[k>>2]=ga;ba=jfc(ga)|0;f[C>>2]=ba;ba=Wdc(f[W>>2]|0,N)|0;f[l>>2]=ba;ga=jfc(ba)|0;f[w>>2]=ga;ga=Wdc((f[V>>2]|0)+-1|0,H)|0;f[m>>2]=ga;ba=jfc(ga)|0;f[G>>2]=ba;f[o>>2]=0;f[J>>2]=-1;f[p>>2]=0;f[E>>2]=-1;f[q>>2]=0;f[L>>2]=-1;f[r>>2]=0;f[K>>2]=-1;f[s>>2]=0;f[O>>2]=-1;f[t>>2]=0;f[P>>2]=-1;F9b(h,498995,j,k,l,m,o,p,q,r,s,t);eNb(a,da,ea,1,h);if((b[Q>>0]|0)<0)fuc(f[h>>2]|0);ca=f[B>>2]|0}else ca=_;while(0);aa=Y+1|0;if((aa|0)>=(ca|0)){ha=ca;break b}Y=aa;Z=f[d>>2]|0;_=ca}}else ha=S;while(0);if((R|0)>=(ha|0))break;else S=ha}}ha=h+16|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;n[ha>>2]=1.0;if((f[M>>2]|0)>0){S=c+60|0;R=h+4|0;ca=h+12|0;d=h+8|0;B=k+4|0;Q=l+4|0;P=m+4|0;O=o+4|0;K=p+4|0;L=q+4|0;E=r+4|0;J=s+4|0;G=t+4|0;H=v+4|0;w=j+11|0;N=0;do{C=f[(f[S>>2]|0)+4+(N<<2)>>2]|0;c:do if(uPb(h,C)|0){e=b[C+11>>0]|0;i=e<<24>>24<0;f[k>>2]=i?f[C>>2]|0:C;f[B>>2]=i?f[C+4>>2]|0:e&255;f[l>>2]=0;f[Q>>2]=-1;f[m>>2]=0;f[P>>2]=-1;f[o>>2]=0;f[O>>2]=-1;f[p>>2]=0;f[K>>2]=-1;f[q>>2]=0;f[L>>2]=-1;f[r>>2]=0;f[E>>2]=-1;f[s>>2]=0;f[J>>2]=-1;f[t>>2]=0;f[G>>2]=-1;f[v>>2]=0;f[H>>2]=-1;F9b(j,499065,k,l,m,o,p,q,r,s,t,v);eNb(a,C,c,0,j);if((b[w>>0]|0)<0)fuc(f[j>>2]|0)}else{e=b[C+11>>0]|0;i=e<<24>>24<0;I=i?f[C>>2]|0:C;z=b[I>>0]|0;if(!(z<<24>>24))ia=0;else{U=I;A=0;T=z;while(1){_=(A*5|0)+(T<<24>>24)|0;U=U+1|0;T=b[U>>0]|0;if(!(T<<24>>24)){ia=_;break}else A=_}}A=f[R>>2]|0;T=(A|0)==0;d:do if(T)ja=0;else{U=A+-1|0;_=(U&A|0)==0;do if(_)ka=U&ia;else{if(ia>>>0<A>>>0){ka=ia;break}ka=(ia>>>0)%(A>>>0)|0}while(0);Z=f[(f[h>>2]|0)+(ka<<2)>>2]|0;if(!Z){ja=ka;break}Y=f[Z>>2]|0;if(!Y){ja=ka;break}Z=i?f[C+4>>2]|0:e&255;V=(Z|0)==0;if(_){if(V){W=Y;while(1){aa=f[W+4>>2]|0;if(!((aa|0)==(ia|0)|(aa&U|0)==(ka|0))){ja=ka;break d}aa=b[W+8+11>>0]|0;if(!((aa<<24>>24<0?f[W+12>>2]|0:aa&255)|0))break c;W=f[W>>2]|0;if(!W){ja=ka;break d}}}else la=Y;while(1){W=f[la+4>>2]|0;if(!((W|0)==(ia|0)|(W&U|0)==(ka|0))){ja=ka;break d}W=la+8|0;_=b[W+11>>0]|0;aa=_<<24>>24<0;$=_&255;do if(((aa?f[la+12>>2]|0:$)|0)==(Z|0)){_=f[W>>2]|0;if(aa)if(!(ahc(_,I,Z)|0))break c;else break;if((_&255)<<24>>24!=z<<24>>24)break;_=W;ea=$;da=I;do{ea=ea+-1|0;_=_+1|0;if(!ea)break c;da=da+1|0}while((b[_>>0]|0)==(b[da>>0]|0))}while(0);la=f[la>>2]|0;if(!la){ja=ka;break d}}}if(V){U=Y;while(1){$=f[U+4>>2]|0;if(($|0)!=(ia|0)){if($>>>0<A>>>0)ma=$;else ma=($>>>0)%(A>>>0)|0;if((ma|0)!=(ka|0)){ja=ka;break d}}$=b[U+8+11>>0]|0;if(!(($<<24>>24<0?f[U+12>>2]|0:$&255)|0))break c;U=f[U>>2]|0;if(!U){ja=ka;break d}}}else na=Y;while(1){U=f[na+4>>2]|0;if((U|0)!=(ia|0)){if(U>>>0<A>>>0)oa=U;else oa=(U>>>0)%(A>>>0)|0;if((oa|0)!=(ka|0)){ja=ka;break d}}U=na+8|0;V=b[U+11>>0]|0;$=V<<24>>24<0;W=V&255;do if((($?f[na+12>>2]|0:W)|0)==(Z|0)){V=f[U>>2]|0;if($)if(!(ahc(V,I,Z)|0))break c;else break;if((V&255)<<24>>24!=z<<24>>24)break;V=U;aa=W;da=I;do{aa=aa+-1|0;V=V+1|0;if(!aa)break c;da=da+1|0}while((b[V>>0]|0)==(b[da>>0]|0))}while(0);na=f[na>>2]|0;if(!na){ja=ka;break}}}while(0);I=cuc(20)|0;ouc(I+8|0,C);f[I+4>>2]=ia;f[I>>2]=0;pa=+(((f[ca>>2]|0)+1|0)>>>0);qa=+n[ha>>2];do if(T|pa>+(A>>>0)*qa){z=(A>>>0<3|(A+-1&A|0)!=0)&1|A<<1;e=~~+X(+(pa/qa))>>>0;RMb(h,z>>>0<e>>>0?e:z);z=f[R>>2]|0;e=z+-1|0;if(!(e&z)){ra=z;sa=e&ia;break}if(ia>>>0<z>>>0){ra=z;sa=ia;break}ra=z;sa=(ia>>>0)%(z>>>0)|0}else{ra=A;sa=ja}while(0);A=(f[h>>2]|0)+(sa<<2)|0;T=f[A>>2]|0;do if(!T){f[I>>2]=f[d>>2];f[d>>2]=I;f[A>>2]=d;z=f[I>>2]|0;if(!z)break;e=f[z+4>>2]|0;z=ra+-1|0;do if(!(z&ra))ta=e&z;else{if(e>>>0<ra>>>0){ta=e;break}ta=(e>>>0)%(ra>>>0)|0}while(0);ua=(f[h>>2]|0)+(ta<<2)|0;va=122}else{f[I>>2]=f[T>>2];ua=T;va=122}while(0);if((va|0)==122){va=0;f[ua>>2]=I}f[ca>>2]=(f[ca>>2]|0)+1}while(0);N=N+1|0}while((N|0)<(f[M>>2]|0))}if((f[y>>2]|0)>0){M=c+28|0;N=k+4|0;ca=l+4|0;ua=m+4|0;va=o+4|0;ta=p+4|0;ra=q+4|0;d=r+4|0;sa=s+4|0;ja=t+4|0;ia=v+4|0;R=j+11|0;ha=c+44|0;c=k+4|0;ka=l+8|0;na=l+4|0;oa=m+4|0;ma=o+4|0;la=p+4|0;w=q+4|0;H=r+4|0;G=s+4|0;J=t+4|0;E=v+4|0;L=j+11|0;K=0;do{O=f[x>>2]|0;P=O+(K*20|0)|0;Q=f[F>>2]|0;if((Q|0)>0){B=O+(K*20|0)+8|0;S=O+(K*20|0)+4|0;C=0;T=Q;while(1){Q=f[D>>2]|0;A=f[B>>2]|0;do if((f[Q+(C<<3)>>2]|0)>(A|0))wa=T;else{if((A|0)>(f[Q+(C<<3)+4>>2]|0)){wa=T;break}e=f[S>>2]|0;z=f[(f[ha>>2]|0)+4+(C<<2)>>2]|0;i=f[P>>2]|0;Z=b[i+11>>0]|0;Y=Z<<24>>24<0;f[k>>2]=Y?f[i>>2]|0:i;f[c>>2]=Y?f[i+4>>2]|0:Z&255;Z=Wdc(A,ka)|0;f[l>>2]=Z;i=jfc(Z)|0;f[na>>2]=i;f[m>>2]=0;f[oa>>2]=-1;f[o>>2]=0;f[ma>>2]=-1;f[p>>2]=0;f[la>>2]=-1;f[q>>2]=0;f[w>>2]=-1;f[r>>2]=0;f[H>>2]=-1;f[s>>2]=0;f[G>>2]=-1;f[t>>2]=0;f[J>>2]=-1;f[v>>2]=0;f[E>>2]=-1;F9b(j,499109,k,l,m,o,p,q,r,s,t,v);eNb(a,e,z,1,j);if((b[L>>0]|0)<0)fuc(f[j>>2]|0);wa=f[F>>2]|0}while(0);C=C+1|0;if((C|0)>=(wa|0)){xa=P;break}else T=wa}}else xa=P;if(uPb(h,f[xa>>2]|0)|0?(T=f[O+(K*20|0)+4>>2]|0,C=f[(f[M>>2]|0)+4+(K<<2)>>2]|0,S=f[xa>>2]|0,B=b[S+11>>0]|0,A=B<<24>>24<0,f[k>>2]=A?f[S>>2]|0:S,f[N>>2]=A?f[S+4>>2]|0:B&255,f[l>>2]=0,f[ca>>2]=-1,f[m>>2]=0,f[ua>>2]=-1,f[o>>2]=0,f[va>>2]=-1,f[p>>2]=0,f[ta>>2]=-1,f[q>>2]=0,f[ra>>2]=-1,f[r>>2]=0,f[d>>2]=-1,f[s>>2]=0,f[sa>>2]=-1,f[t>>2]=0,f[ja>>2]=-1,f[v>>2]=0,f[ia>>2]=-1,F9b(j,499150,k,l,m,o,p,q,r,s,t,v),eNb(a,T,C,0,j),(b[R>>0]|0)<0):0)fuc(f[j>>2]|0);K=K+1|0}while((K|0)<(f[y>>2]|0))}y=f[h+8>>2]|0;if(y|0){K=y;do{y=K;K=f[K>>2]|0;j=y+8|0;if((b[j+11>>0]|0)<0)fuc(f[j>>2]|0);fuc(y)}while((K|0)!=0)}K=f[h>>2]|0;f[h>>2]=0;if(!K){u=g;return}fuc(K);u=g;return}function sNb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;d=u;u=u+16|0;g=d+8|0;h=d;i=a+4|0;j=f[i>>2]|0;k=a+40|0;l=f[(f[k>>2]|0)+4>>2]|0;m=cuc(12)|0;ouc(m,l);f[g>>2]=m;l=j+76|0;n=f[l>>2]|0;if((n|0)==(f[j+80>>2]|0))fNb(j+72|0,g);else{f[n>>2]=m;f[l>>2]=(f[l>>2]|0)+4}l=f[g>>2]|0;m=b[l+11>>0]|0;if(m<<24>>24<0)o=f[l+4>>2]|0;else o=m&255;if(o|0)yuc(l,1,46)|0;o=c+32|0;m=f[o>>2]|0;n=b[m+11>>0]|0;j=n<<24>>24<0;Cuc(l,j?f[m>>2]|0:m,j?f[m+4>>2]|0:n&255)|0;jPb(a,f[o>>2]|0,l,c);n=f[i>>2]|0;m=f[o>>2]|0;o=cuc(12)|0;ouc(o,m);f[g>>2]=o;m=n+76|0;j=f[m>>2]|0;if((j|0)==(f[n+80>>2]|0))fNb(n+72|0,g);else{f[j>>2]=o;f[m>>2]=(f[m>>2]|0)+4}f[e>>2]=f[g>>2];m=e+4|0;f[m>>2]=l;f[e+8>>2]=f[k>>2];k=c+20|0;l=f[k>>2]|0;f[e+20>>2]=l;o=e+16|0;j=f[i>>2]|0;i=l*52|0;if(!i){p=0;q=l}else{l=cuc(i)|0;f[g>>2]=l;i=j+124|0;n=f[i>>2]|0;if((n|0)==(f[j+128>>2]|0))OE(j+120|0,g);else{f[n>>2]=l;f[i>>2]=(f[i>>2]|0)+4}p=f[g>>2]|0;q=f[k>>2]|0}f[o>>2]=p;if((q|0)>0?(q=c+28|0,oPb(a,f[(f[q>>2]|0)+4>>2]|0,e,p),(f[k>>2]|0)>1):0){p=1;do{oPb(a,f[(f[q>>2]|0)+4+(p<<2)>>2]|0,e,(f[o>>2]|0)+(p*52|0)|0);p=p+1|0}while((p|0)<(f[k>>2]|0))}if(!(f[c+8>>2]&2)){f[e+12>>2]=0;r=f[m>>2]|0;s=f[e>>2]|0;f[h>>2]=6;t=h+4|0;f[t>>2]=e;f[g>>2]=f[h>>2];f[g+4>>2]=f[h+4>>2];lPb(a,r,0,s,c,g)|0;u=d;return}else{k=f[c+36>>2]|0;p=f[m>>2]|0;pPb(a,p,p,k|0?k:544008,e);r=f[m>>2]|0;s=f[e>>2]|0;f[h>>2]=6;t=h+4|0;f[t>>2]=e;f[g>>2]=f[h>>2];f[g+4>>2]=f[h+4>>2];lPb(a,r,0,s,c,g)|0;u=d;return}}function tNb(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0.0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0.0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0;h=u;u=u+448|0;i=h+424|0;j=h+400|0;k=h+360|0;l=h+320|0;m=h+280|0;o=h+240|0;q=h+200|0;r=h+160|0;s=h+120|0;t=h+80|0;v=h+40|0;w=h;x=h+416|0;if(!d)y=(f[a+40>>2]|0)+4|0;else y=d+4|0;z=f[y>>2]|0;y=a+4|0;A=f[y>>2]|0;B=cuc(12)|0;ouc(B,z);f[i>>2]=B;z=A+76|0;E=f[z>>2]|0;if((E|0)==(f[A+80>>2]|0))fNb(A+72|0,i);else{f[E>>2]=B;f[z>>2]=(f[z>>2]|0)+4}z=f[i>>2]|0;B=b[z+11>>0]|0;if(B<<24>>24<0)F=f[z+4>>2]|0;else F=B&255;if(F|0)yuc(z,1,46)|0;F=c+16|0;B=f[F>>2]|0;E=b[B+11>>0]|0;A=E<<24>>24<0;Cuc(z,A?f[B>>2]|0:B,A?f[B+4>>2]|0:E&255)|0;jPb(a,f[F>>2]|0,z,c);E=f[y>>2]|0;B=f[F>>2]|0;A=cuc(12)|0;ouc(A,B);f[i>>2]=A;B=E+76|0;G=f[B>>2]|0;if((G|0)==(f[E+80>>2]|0))fNb(E+72|0,i);else{f[G>>2]=A;f[B>>2]=(f[B>>2]|0)+4}f[e>>2]=f[i>>2];B=e+4|0;f[B>>2]=z;f[e+20>>2]=f[a+40>>2];z=e+40|0;f[z>>2]=f[c+40>>2];A=e+38|0;b[A>>0]=g&1;ouc(j,f[F>>2]|0);G=j+11|0;E=b[G>>0]|0;H=E<<24>>24<0;I=f[j>>2]|0;K=j+4|0;L=f[K>>2]|0;M=H?I+L|0:j+(E&255)|0;N=H?I:j;if((N|0)==(M|0)){O=L;P=E}else{E=N;do{N=b[E>>0]|0;if((N+-65&255)<26)b[E>>0]=(N&255)+32;E=E+1|0}while((E|0)!=(M|0));O=f[K>>2]|0;P=b[G>>0]|0}K=f[F>>2]|0;M=P<<24>>24<0;E=P&255;P=M?O:E;O=b[K+11>>0]|0;N=O<<24>>24<0;a:do if((P|0)==((N?f[K+4>>2]|0:O&255)|0)){L=f[j>>2]|0;I=M?L:j;H=N?f[K>>2]|0:K;Q=(P|0)==0;b:do if(M){if(!Q?ahc(I,H,P)|0:0){R=29;break a}}else if(!Q){if((L&255)<<24>>24==(b[H>>0]|0)){S=j;T=E;U=H}else{R=29;break a}while(1){T=T+-1|0;S=S+1|0;if(!T)break b;U=U+1|0;if((b[S>>0]|0)!=(b[U>>0]|0)){R=29;break a}}}while(0);V=f[e>>2]|0;W=K}else R=29;while(0);if((R|0)==29){K=f[y>>2]|0;U=cuc(12)|0;ouc(U,j);f[i>>2]=U;S=K+76|0;T=f[S>>2]|0;if((T|0)==(f[K+80>>2]|0))fNb(K+72|0,i);else{f[T>>2]=U;f[S>>2]=(f[S>>2]|0)+4}V=f[i>>2]|0;W=f[F>>2]|0}f[e+8>>2]=V;V=f[y>>2]|0;XNb(k,W,1);W=cuc(12)|0;ouc(W,k);f[i>>2]=W;S=V+76|0;U=f[S>>2]|0;if((U|0)==(f[V+80>>2]|0))fNb(V+72|0,i);else{f[U>>2]=W;f[S>>2]=(f[S>>2]|0)+4}f[e+12>>2]=f[i>>2];if((b[k+11>>0]|0)<0)fuc(f[k>>2]|0);S=c+8|0;W=e+37|0;if(!(f[S>>2]&16)){b[W>>0]=0;U=f[y>>2]|0;V=f[F>>2]|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;F=V+11|0;T=b[F>>0]|0;K=V+4|0;vuc(k,T<<24>>24<0?f[K>>2]|0:T&255);T=b[F>>0]|0;if((T<<24>>24<0?f[K>>2]|0:T&255)|0){E=0;P=0;M=T;while(1){T=b[(M<<24>>24<0?f[V>>2]|0:V)+P>>0]|0;do if(T<<24>>24!=95)if(E){N=T<<24>>24;Euc(k,((T+-97&255)<26?N+224|0:N)&255);X=0;break}else{Euc(k,T);X=0;break}else X=1;while(0);P=P+1|0;M=b[F>>0]|0;if(P>>>0>=(M<<24>>24<0?f[K>>2]|0:M&255)>>>0)break;else E=X}}X=cuc(12)|0;ouc(X,k);f[i>>2]=X;E=U+76|0;M=f[E>>2]|0;if((M|0)==(f[U+80>>2]|0))fNb(U+72|0,i);else{f[M>>2]=X;f[E>>2]=(f[E>>2]|0)+4}f[e+16>>2]=f[i>>2];if((b[k+11>>0]|0)<0)fuc(f[k>>2]|0)}else{b[W>>0]=1;W=f[y>>2]|0;E=f[c+32>>2]|0;X=cuc(12)|0;ouc(X,E);f[i>>2]=X;E=W+76|0;M=f[E>>2]|0;if((M|0)==(f[W+80>>2]|0))fNb(W+72|0,i);else{f[M>>2]=X;f[E>>2]=(f[E>>2]|0)+4}f[e+16>>2]=f[i>>2]}E=e+28|0;f[E>>2]=f[c+52>>2];X=f[c+48>>2]|0;M=e+32|0;f[M>>2]=X;if((X|0)==2&(b[A>>0]|0)!=0)dNb(a,f[B>>2]|0,c,2,498076);A=e+48|0;f[A>>2]=0;X=e+56|0;f[X>>2]=0;f[e+60>>2]=0;f[e+64>>2]=0;f[e+72>>2]=0;W=e+24|0;f[W>>2]=0;U=e+80|0;f[U>>2]=0;f[e+76>>2]=0;K=f[S>>2]|0;P=e+36|0;b[P>>0]=K>>>3&1;if((K&8|0)!=0?(f[M>>2]|0)==3:0){dNb(a,f[B>>2]|0,c,4,498124);Y=f[S>>2]|0}else Y=K;c:do if(Y&512|0){if(!(Y&8)){K=f[W>>2]|0;if(K|0?(f[K>>2]|0)!=2:0){f[i>>2]=110384;f[i+4>>2]=1962;b[i+8>>0]=0;f[i+12>>2]=e;xLb(K,i)}switch(f[151812+(f[E>>2]<<2)>>2]|0){case 1:{f[U>>2]=0;break c;break}case 2:{K=U;f[K>>2]=0;f[K+4>>2]=0;break c;break}case 3:{f[U>>2]=0;break c;break}case 4:{K=U;f[K>>2]=0;f[K+4>>2]=0;break c;break}case 6:{n[U>>2]=0.0;break c;break}case 5:{p[U>>3]=0.0;break c;break}case 7:{b[U>>0]=0;break c;break}case 8:{f[U>>2]=0;break c;break}case 9:{if((f[224966]|0)!=2){f[i>>2]=151624;f[i+4>>2]=125;b[i+8>>0]=0;xLb(899864,i);QKb(i)}f[U>>2]=542896;break c;break}default:break c}}f[k>>2]=0;K=f[W>>2]|0;if(K|0?(f[K>>2]|0)!=2:0){f[i>>2]=110384;f[i+4>>2]=1962;b[i+8>>0]=0;f[i+12>>2]=e;xLb(K,i)}d:do switch(f[151812+(f[E>>2]<<2)>>2]|0){case 1:{K=f[c+28>>2]|0;if((b[K+11>>0]|0)<0)Z=f[K>>2]|0;else Z=K;K=gfc(Z,k,0)|0;f[U>>2]=K;break}case 2:{K=f[c+28>>2]|0;if((b[K+11>>0]|0)<0)_=f[K>>2]|0;else _=K;K=efc(_,k,0)|0;M=U;f[M>>2]=K;f[M+4>>2]=J;break}case 3:{M=f[c+28>>2]|0;if((b[M+11>>0]|0)<0)$=f[M>>2]|0;else $=M;M=ffc($,k,0)|0;f[U>>2]=M;break}case 4:{M=f[c+28>>2]|0;if((b[M+11>>0]|0)<0)aa=f[M>>2]|0;else aa=M;M=Xec(aa,k,0)|0;K=U;f[K>>2]=M;f[K+4>>2]=J;break}case 6:{K=c+28|0;M=f[K>>2]|0;F=b[M+11>>0]|0;V=f[M+4>>2]|0;if(((F<<24>>24<0?V:F&255)|0)==3)if(!(Puc(M,0,-1,526874,3)|0))ba=D;else{T=f[K>>2]|0;ca=b[T+11>>0]|0;da=f[T+4>>2]|0;ea=T;R=86}else{ca=F;da=V;ea=M;R=86}do if((R|0)==86){if(((ca<<24>>24<0?da:ca&255)|0)==4){if(!(Puc(ea,0,-1,523189,4)|0)){ba=-D;break}M=f[K>>2]|0;fa=b[M+11>>0]|0;ga=f[M+4>>2]|0;ha=M}else{fa=ca;ga=da;ha=ea}if(((fa<<24>>24<0?ga:fa&255)|0)==3){if(!(Puc(ha,0,-1,527026,3)|0)){ba=C;break}M=f[K>>2]|0;ia=b[M+11>>0]|0;ja=M}else{ia=fa;ja=ha}if(ia<<24>>24<0)ka=f[ja>>2]|0;else ka=ja;ba=+$3b(+Z3b(ka,k))}while(0);n[U>>2]=ba;break}case 5:{K=c+28|0;M=f[K>>2]|0;V=b[M+11>>0]|0;F=f[M+4>>2]|0;if(((V<<24>>24<0?F:V&255)|0)==3)if(!(Puc(M,0,-1,526874,3)|0))la=D;else{T=f[K>>2]|0;ma=b[T+11>>0]|0;na=f[T+4>>2]|0;oa=T;R=100}else{ma=V;na=F;oa=M;R=100}do if((R|0)==100){if(((ma<<24>>24<0?na:ma&255)|0)==4){if(!(Puc(oa,0,-1,523189,4)|0)){la=-D;break}M=f[K>>2]|0;pa=b[M+11>>0]|0;qa=f[M+4>>2]|0;ra=M}else{pa=ma;qa=na;ra=oa}if(((pa<<24>>24<0?qa:pa&255)|0)==3){if(!(Puc(ra,0,-1,527026,3)|0)){la=C;break}M=f[K>>2]|0;sa=b[M+11>>0]|0;ta=M}else{sa=pa;ta=ra}if(sa<<24>>24<0)ua=f[ta>>2]|0;else ua=ta;la=+Z3b(ua,k)}while(0);p[U>>3]=la;break}case 7:{K=c+28|0;M=f[K>>2]|0;F=b[M+11>>0]|0;V=f[M+4>>2]|0;do if(((F<<24>>24<0?V:F&255)|0)==4)if(!(Puc(M,0,-1,532016,4)|0)){b[U>>0]=1;break d}else{T=f[K>>2]|0;va=b[T+11>>0]|0;wa=f[T+4>>2]|0;xa=T;break}else{va=F;wa=V;xa=M}while(0);do if(((va<<24>>24<0?wa:va&255)|0)==5){if(Puc(xa,0,-1,532010,5)|0)break;b[U>>0]=0;break d}while(0);dNb(a,f[B>>2]|0,c,4,498167);break}case 8:{f[U>>2]=0;break}case 9:{M=f[W>>2]|0;if(M|0?(f[M>>2]|0)!=2:0){f[i>>2]=110384;f[i+4>>2]=1962;b[i+8>>0]=0;f[i+12>>2]=e;xLb(M,i)}M=f[y>>2]|0;if((f[E>>2]|0)!=12){V=f[c+28>>2]|0;F=cuc(12)|0;ouc(F,V);f[i>>2]=F;V=M+76|0;K=f[V>>2]|0;if((K|0)==(f[M+80>>2]|0))fNb(M+72|0,i);else{f[K>>2]=F;f[V>>2]=(f[V>>2]|0)+4}f[U>>2]=f[i>>2];break d}Sdc(l,f[c+28>>2]|0);V=cuc(12)|0;ouc(V,l);f[i>>2]=V;F=M+76|0;K=f[F>>2]|0;if((K|0)==(f[M+80>>2]|0))fNb(M+72|0,i);else{f[K>>2]=V;f[F>>2]=(f[F>>2]|0)+4}f[U>>2]=f[i>>2];if((b[l+11>>0]|0)<0)fuc(f[l>>2]|0);break}case 10:{dNb(a,f[B>>2]|0,c,4,497490);b[P>>0]=0;break}default:{}}while(0);F=f[k>>2]|0;do if(F|0){V=f[c+28>>2]|0;K=b[V+11>>0]|0;if(K<<24>>24<0)ya=f[V+4>>2]|0;else ya=K&255;if(ya|0?(b[F>>0]|0)==0:0)break;K=f[B>>2]|0;nEa(l,498206,V);V=Duc(l,517668)|0;f[i>>2]=f[V>>2];f[i+4>>2]=f[V+4>>2];f[i+8>>2]=f[V+8>>2];f[V>>2]=0;f[V+4>>2]=0;f[V+8>>2]=0;eNb(a,K,c,4,i);if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0);if((b[l+11>>0]|0)<0)fuc(f[l>>2]|0)}while(0)}while(0);ya=f[z>>2]|0;do if((ya|0)>=1){if((ya|0)>536870911&(g^1)){z=f[B>>2]|0;P=Wdc(536870911,k+8|0)|0;f[k>>2]=P;U=jfc(P)|0;f[k+4>>2]=U;f[l>>2]=0;f[l+4>>2]=-1;f[m>>2]=0;f[m+4>>2]=-1;f[o>>2]=0;f[o+4>>2]=-1;f[q>>2]=0;f[q+4>>2]=-1;f[r>>2]=0;f[r+4>>2]=-1;f[s>>2]=0;f[s+4>>2]=-1;f[t>>2]=0;f[t+4>>2]=-1;f[v>>2]=0;f[v+4>>2]=-1;f[w>>2]=0;f[w+4>>2]=-1;F9b(i,498278,k,l,m,o,q,r,s,t,v,w);eNb(a,z,c,1,i);if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0);break}if((ya+-19e3|0)>>>0<1e3?(z=f[B>>2]|0,U=Wdc(19e3,k+8|0)|0,f[k>>2]=U,P=jfc(U)|0,f[k+4>>2]=P,P=Wdc(19999,l+8|0)|0,f[l>>2]=P,U=jfc(P)|0,f[l+4>>2]=U,f[m>>2]=0,f[m+4>>2]=-1,f[o>>2]=0,f[o+4>>2]=-1,f[q>>2]=0,f[q+4>>2]=-1,f[r>>2]=0,f[r+4>>2]=-1,f[s>>2]=0,f[s+4>>2]=-1,f[t>>2]=0,f[t+4>>2]=-1,f[v>>2]=0,f[v+4>>2]=-1,f[w>>2]=0,f[w+4>>2]=-1,F9b(i,498319,k,l,m,o,q,r,s,t,v,w),eNb(a,z,c,1,i),(b[i+11>>0]|0)<0):0)fuc(f[i>>2]|0)}else dNb(a,f[B>>2]|0,c,1,498237);while(0);ya=f[S>>2]|0;z=(ya&2|0)!=0;e:do if(g){if(z)za=ya;else{dNb(a,f[B>>2]|0,c,3,498408);za=f[S>>2]|0}f[X>>2]=d;if(!(za&128))Aa=0;else{dNb(a,f[B>>2]|0,c,9,498467);Aa=0}}else{if(z){dNb(a,f[B>>2]|0,c,3,498534);Ba=f[S>>2]|0}else Ba=ya;f[A>>2]=d;if(!(Ba&128))Aa=0;else{U=f[c+44>>2]|0;do if((U|0)>=0){if((U|0)>=(f[d+56>>2]|0))break;Aa=(f[d+24>>2]|0)+(U*28|0)|0;break e}while(0);P=f[B>>2]|0;E=Wdc(U,k+8|0)|0;f[k>>2]=E;y=jfc(E)|0;f[k+4>>2]=y;y=f[d>>2]|0;E=b[y+11>>0]|0;W=E<<24>>24<0;f[l>>2]=W?f[y>>2]|0:y;f[l+4>>2]=W?f[y+4>>2]|0:E&255;f[m>>2]=0;f[m+4>>2]=-1;f[o>>2]=0;f[o+4>>2]=-1;f[q>>2]=0;f[q+4>>2]=-1;f[r>>2]=0;f[r+4>>2]=-1;f[s>>2]=0;f[s+4>>2]=-1;f[t>>2]=0;f[t+4>>2]=-1;f[v>>2]=0;f[v+4>>2]=-1;f[w>>2]=0;f[w+4>>2]=-1;F9b(i,498593,k,l,m,o,q,r,s,t,v,w);eNb(a,P,c,9,i);if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0);Aa=0}}while(0);f[e+52>>2]=Aa;if(!(f[S>>2]&32))f[e+68>>2]=0;else{S=f[c+36>>2]|0;Aa=f[B>>2]|0;kPb(a,Aa,Aa,S|0?S:543784,e)}S=f[B>>2]|0;B=f[e>>2]|0;f[x>>2]=2;f[x+4>>2]=e;f[i>>2]=f[x>>2];f[i+4>>2]=f[x+4>>2];lPb(a,S,d,B,c,i)|0;if((b[G>>0]|0)>=0){u=h;return}fuc(f[j>>2]|0);u=h;return}function uNb(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;h=u;u=u+32|0;i=h;j=f[a+4>>2]|0;k=cuc(96)|0;EWb(k);f[i>>2]=k;l=j+88|0;m=f[l>>2]|0;if(m>>>0<(f[j+92>>2]|0)>>>0){f[m>>2]=k;f[l>>2]=(f[l>>2]|0)+4}else bNb(j+84|0,i);IKb(i,e);BKb(k,i)|0;if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0);f[g+84>>2]=k;if((f[k+36>>2]|0)<=0){u=h;return}g=a+12|0;ouc(i,c);c=i+12|0;ouc(c,d);d=i+24|0;f[d>>2]=e;f[i+28>>2]=k;k=a+16|0;e=f[k>>2]|0;j=a+20|0;a=f[j>>2]|0;l=a;if(e>>>0>=a>>>0){a=e;m=f[g>>2]|0;n=a-m>>5;o=n+1|0;p=m;if(o>>>0>134217727)nsc(g);q=l-m|0;m=q>>4;l=q>>5>>>0<67108863?(m>>>0<o>>>0?o:m):134217727;do if(l)if(l>>>0>134217727){m=ze(8)|0;kuc(m,519086);f[m>>2]=167148;Hf(m|0,26888,1888)}else{r=cuc(l<<5)|0;break}else r=0;while(0);m=r+(n<<5)|0;o=m;q=r+(l<<5)|0;f[m>>2]=f[i>>2];f[m+4>>2]=f[i+4>>2];f[m+8>>2]=f[i+8>>2];f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;l=r+(n<<5)+12|0;f[l>>2]=f[c>>2];f[l+4>>2]=f[c+4>>2];f[l+8>>2]=f[c+8>>2];f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;l=d;s=f[l+4>>2]|0;t=r+(n<<5)+24|0;f[t>>2]=f[l>>2];f[t+4>>2]=s;s=m+32|0;if((e|0)==(p|0)){v=o;w=a;x=e}else{a=e;t=o;o=m;do{m=o+-32|0;l=a;a=a+-32|0;f[m>>2]=f[a>>2];f[m+4>>2]=f[a+4>>2];f[m+8>>2]=f[a+8>>2];f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;m=o+-20|0;n=l+-20|0;f[m>>2]=f[n>>2];f[m+4>>2]=f[n+4>>2];f[m+8>>2]=f[n+8>>2];f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;n=l+-8|0;l=f[n+4>>2]|0;m=o+-8|0;f[m>>2]=f[n>>2];f[m+4>>2]=l;o=t+-32|0;t=o}while((a|0)!=(p|0));v=t;w=f[g>>2]|0;x=f[k>>2]|0}f[g>>2]=v;f[k>>2]=s;f[j>>2]=q;q=w;if((x|0)!=(q|0)){j=x;do{x=j+-20|0;j=j+-32|0;if((b[x+11>>0]|0)<0)fuc(f[x>>2]|0);if((b[j+11>>0]|0)<0)fuc(f[j>>2]|0)}while((j|0)!=(q|0))}if(w|0)fuc(w)}else{f[e>>2]=f[i>>2];f[e+4>>2]=f[i+4>>2];f[e+8>>2]=f[i+8>>2];f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;w=e+12|0;f[w>>2]=f[c>>2];f[w+4>>2]=f[c+4>>2];f[w+8>>2]=f[c+8>>2];f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;w=d;d=f[w+4>>2]|0;q=e+24|0;f[q>>2]=f[w>>2];f[q+4>>2]=d;f[k>>2]=(f[k>>2]|0)+32}if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0);u=h;return}function vNb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;d=b+84|0;if(!(f[d>>2]|0)){e=U$b()|0;f[d>>2]=e}e=b+28|0;if((f[e>>2]|0)>0){d=b+68|0;g=c+44|0;h=0;do{ZOb(a,(f[d>>2]|0)+(h*88|0)|0,f[(f[g>>2]|0)+4+(h<<2)>>2]|0);h=h+1|0}while((h|0)<(f[e>>2]|0))}e=b+40|0;if((f[e>>2]|0)>0){h=b+80|0;g=c+92|0;d=0;do{_Ob(a,(f[h>>2]|0)+(d*88|0)|0,f[(f[g>>2]|0)+4+(d<<2)>>2]|0);d=d+1|0}while((d|0)<(f[e>>2]|0))}e=b+32|0;if((f[e>>2]|0)>0){d=b+72|0;g=0;do{h=f[d>>2]|0;i=h+(g*48|0)+16|0;if(!(f[i>>2]|0)){j=a0b()|0;f[i>>2]=j}j=h+(g*48|0)+24|0;i=f[j>>2]|0;if((i|0)>0){k=h+(g*48|0)+28|0;h=0;l=i;while(1){i=(f[k>>2]|0)+(h*20|0)+16|0;if(!(f[i>>2]|0)){m=c0b()|0;f[i>>2]=m;n=f[j>>2]|0}else n=l;h=h+1|0;if((h|0)>=(n|0))break;else l=n}}g=g+1|0}while((g|0)<(f[e>>2]|0))}e=b+36|0;if((f[e>>2]|0)<=0)return;g=b+76|0;b=c+76|0;c=0;do{n=f[g>>2]|0;d=f[(f[b>>2]|0)+4+(c<<2)>>2]|0;l=n+(c*24|0)+12|0;if(!(f[l>>2]|0)){h=e0b()|0;f[l>>2]=h}h=n+(c*24|0)+20|0;if((f[h>>2]|0)>0){l=n+(c*24|0)+16|0;n=d+28|0;d=0;do{$Ob(a,(f[l>>2]|0)+(d*52|0)|0,f[(f[n>>2]|0)+4+(d<<2)>>2]|0);d=d+1|0}while((d|0)<(f[h>>2]|0))}c=c+1|0}while((c|0)<(f[e>>2]|0));return}function wNb(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+32|0;d=c;f[a>>2]=b;f1b(a+12|0);if(f[a>>2]|0){u=c;return}iLb(d,3,490877,6223);fLb(c+24|0,dLb(d,496792)|0);jLb(d);u=c;return}function xNb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;g=(b[e+11>>0]|0)<0?f[e>>2]|0:e;e=d*65535|0;h=b[g>>0]|0;if(!(h<<24>>24))i=0;else{j=g;k=0;l=h;while(1){h=(k*5|0)+(l<<24>>24)|0;j=j+1|0;l=b[j>>0]|0;if(!(l<<24>>24)){i=h;break}else k=h}}k=i+e|0;e=f[c+4>>2]|0;a:do if(e|0){i=e+-1|0;l=(i&e|0)==0;if(!l)if(k>>>0<e>>>0)m=k;else m=(k>>>0)%(e>>>0)|0;else m=i&k;j=f[(f[c>>2]|0)+(m<<2)>>2]|0;if(j|0?(h=f[j>>2]|0,h|0):0){b:do if(l){j=h;while(1){n=f[j+4>>2]|0;o=(k|0)==(n|0);if(!(o|(n&i|0)==(m|0)))break a;if((o?(f[j+8>>2]|0)==(d|0):0)?(Mec(f[j+12>>2]|0,g)|0)==0:0){p=j;break b}j=f[j>>2]|0;if(!j)break a}}else{j=h;while(1){o=f[j+4>>2]|0;if((k|0)==(o|0)){if((f[j+8>>2]|0)==(d|0)?(Mec(f[j+12>>2]|0,g)|0)==0:0){p=j;break b}}else{if(o>>>0<e>>>0)q=o;else q=(o>>>0)%(e>>>0)|0;if((q|0)!=(m|0))break a}j=f[j>>2]|0;if(!j)break a}}while(0);h=p+16|0;i=f[h+4>>2]|0;l=a;f[l>>2]=f[h>>2];f[l+4>>2]=i;return}}while(0);p=a;f[p>>2]=0;f[p+4>>2]=0;return}function yNb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0;d=u;u=u+224|0;e=d+32|0;g=d+8|0;h=d;i=d+192|0;j=d+218|0;k=d+156|0;l=d+144|0;m=d+108|0;n=d+96|0;o=d+84|0;p=d+72|0;q=d+60|0;r=d+48|0;s=d+188|0;t=d+184|0;v=d+160|0;w=d+217|0;x=d+120|0;y=d+216|0;z=a+8|0;A=f[z>>2]|0;if(!(f[A+20>>2]|0)){B=cuc(32)|0;f[e>>2]=B;f[e+8>>2]=-2147483616;f[e+4>>2]=24;C=B;D=494055;E=C+24|0;do{b[C>>0]=b[D>>0]|0;C=C+1|0;D=D+1|0}while((C|0)<(E|0));b[B+24>>0]=0;eNb(f[a>>2]|0,(f[a+4>>2]|0)+12|0,A,7,e);if((b[e+11>>0]|0)<0)fuc(f[e>>2]|0);F=0;u=d;return F|0}B=f[(f[(f[A+28>>2]|0)+4>>2]|0)+16>>2]|0;A=b[B+11>>0]|0;if(((A<<24>>24<0?f[B+4>>2]|0:A&255)|0)==20?(Puc(B,0,-1,491171,20)|0)==0:0){B=cuc(64)|0;f[e>>2]=B;f[e+8>>2]=-2147483584;f[e+4>>2]=57;C=B;D=494080;E=C+57|0;do{b[C>>0]=b[D>>0]|0;C=C+1|0;D=D+1|0}while((C|0)<(E|0));b[B+57>>0]=0;eNb(f[a>>2]|0,(f[a+4>>2]|0)+12|0,f[z>>2]|0,7,e);if((b[e+11>>0]|0)<0)fuc(f[e>>2]|0);F=0;u=d;return F|0}B=f[a>>2]|0;yh[f[(f[c>>2]|0)+96>>2]&2047](e,c);ZNb(h,B,f[B>>2]|0,f[(f[e>>2]|0)+4>>2]|0,1);if((f[h>>2]|0)==1)G=f[h+4>>2]|0;else{yh[f[(f[c>>2]|0)+96>>2]&2047](e,c);G=f[e>>2]|0}if(!G){iLb(i,3,490877,6330);fLb(j,dLb(i,494138)|0);jLb(i)}f[k>>2]=0;f[l>>2]=0;i=l+4|0;f[i>>2]=0;f[l+8>>2]=0;j=m+11|0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;B=f[z>>2]|0;do if((f[B+20>>2]|0)>0){D=m+4|0;C=l+8|0;E=e+4|0;A=e+8|0;H=e+12|0;I=e+4|0;J=e+8|0;K=e+12|0;L=e+11|0;M=e+4|0;N=g+11|0;O=a+4|0;P=0;Q=G;R=B;S=0;T=0;U=G;while(1){V=f[(f[R+28>>2]|0)+4+(P<<2)>>2]|0;W=f[V+16>>2]|0;if(!((S<<24>>24<0?T:S&255)|0))X=V;else{Duc(m,531099)|0;X=f[(f[(f[z>>2]|0)+28>>2]|0)+4+(P<<2)>>2]|0}do if(b[X+20>>0]|0){nEa(g,530810,W);V=Duc(g,530808)|0;f[e>>2]=f[V>>2];f[e+4>>2]=f[V+4>>2];f[e+8>>2]=f[V+8>>2];f[V>>2]=0;f[V+4>>2]=0;f[V+8>>2]=0;V=b[L>>0]|0;Y=V<<24>>24<0;Cuc(m,Y?f[e>>2]|0:e,Y?f[M>>2]|0:V&255)|0;if((b[L>>0]|0)<0)fuc(f[e>>2]|0);if((b[N>>0]|0)<0)fuc(f[g>>2]|0);V=f[a>>2]|0;_Nb(g,V,W,f[O>>2]|0,0,1);if((f[g>>2]|0)==0?(Y=f[V>>2]|0,b[Y+22>>0]|0):0){$Nb(e,Y,W,0);Y=e;V=f[Y+4>>2]|0;Z=g;f[Z>>2]=f[Y>>2];f[Z+4>>2]=V}V=g;Z=f[V>>2]|0;Y=f[V+4>>2]|0;V=h;f[V>>2]=Z;f[V+4>>2]=Y;if((Z|0)==2){f[k>>2]=Y;_=Y;break}else{_=f[k>>2]|0;break}}else{Y=b[W+11>>0]|0;Z=Y<<24>>24<0;Cuc(m,Z?f[W>>2]|0:W,Z?f[W+4>>2]|0:Y&255)|0;xNb(e,f[(f[Q+8>>2]|0)+88>>2]|0,U,W);Y=(f[e>>2]|0)==2;Z=e;V=Y?f[Z+4>>2]|0:0;if(!((Y?f[Z>>2]|0:0)|0))$=0;else $=b[V+38>>0]|0?0:V;f[k>>2]=$;_=$}while(0);if(!_){aa=34;break}ba=f[_+48>>2]|0;if((ba|0)!=(Q|0)){aa=61;break}W=f[z>>2]|0;V=f[W+20>>2]|0;if((P|0)<(V+-1|0)){Z=f[_+24>>2]|0;if(Z|0?(f[Z>>2]|0)!=2:0){f[e>>2]=110384;f[I>>2]=1962;b[J>>0]=0;f[K>>2]=_;xLb(Z,e)}if((f[_+28>>2]|1|0)!=11){aa=77;break}Z=f[k>>2]|0;if((f[Z+32>>2]|0)==3){aa=83;break}Y=f[i>>2]|0;if((Y|0)==(f[C>>2]|0))bOb(l,k);else{f[Y>>2]=Z;f[i>>2]=(f[i>>2]|0)+4}Z=f[k>>2]|0;Y=f[Z+24>>2]|0;if(Y|0?(f[Y>>2]|0)!=2:0){f[e>>2]=110384;f[E>>2]=1962;b[A>>0]=0;f[H>>2]=Z;xLb(Y,e)}Y=f[Z+60>>2]|0;Z=f[z>>2]|0;ca=Y;da=f[Z+20>>2]|0;ea=Z;fa=Y}else{ca=Q;da=V;ea=W;fa=U}W=P+1|0;if((W|0)>=(da|0)){aa=97;break}P=W;Q=ca;R=ea;S=b[j>>0]|0;T=f[D>>2]|0;U=fa}if((aa|0)==34){U=f[a>>2]|0;if(b[(f[U>>2]|0)+22>>0]|0){aOb(0,f[z>>2]|0,c);ga=1;break}D=b[U+88+11>>0]|0;if(D<<24>>24<0)ha=f[U+92>>2]|0;else ha=D&255;if(!ha){nEa(g,494173,m);D=Duc(g,494363)|0;f[e>>2]=f[D>>2];f[e+4>>2]=f[D+4>>2];f[e+8>>2]=f[D+8>>2];f[D>>2]=0;f[D+4>>2]=0;f[D+8>>2]=0;eNb(f[a>>2]|0,(f[O>>2]|0)+12|0,f[z>>2]|0,7,e);if((b[e+11>>0]|0)<0)fuc(f[e>>2]|0);if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);ga=0;break}nEa(q,494173,m);D=Duc(q,494182)|0;f[p>>2]=f[D>>2];f[p+4>>2]=f[D+4>>2];f[p+8>>2]=f[D+8>>2];f[D>>2]=0;f[D+4>>2]=0;f[D+8>>2]=0;D=f[a>>2]|0;U=D+88|0;T=b[U+11>>0]|0;S=T<<24>>24<0;R=Cuc(p,S?f[U>>2]|0:U,S?f[D+92>>2]|0:T&255)|0;f[o>>2]=f[R>>2];f[o+4>>2]=f[R+4>>2];f[o+8>>2]=f[R+8>>2];f[R>>2]=0;f[R+4>>2]=0;f[R+8>>2]=0;R=Duc(o,494202)|0;f[n>>2]=f[R>>2];f[n+4>>2]=f[R+4>>2];f[n+8>>2]=f[R+8>>2];f[R>>2]=0;f[R+4>>2]=0;f[R+8>>2]=0;puc(r,m,1,-1,m);R=r+11|0;T=b[R>>0]|0;D=T<<24>>24<0;S=Cuc(n,D?f[r>>2]|0:r,D?f[r+4>>2]|0:T&255)|0;f[g>>2]=f[S>>2];f[g+4>>2]=f[S+4>>2];f[g+8>>2]=f[S+8>>2];f[S>>2]=0;f[S+4>>2]=0;f[S+8>>2]=0;S=Duc(g,494325)|0;f[e>>2]=f[S>>2];f[e+4>>2]=f[S+4>>2];f[e+8>>2]=f[S+8>>2];f[S>>2]=0;f[S+4>>2]=0;f[S+8>>2]=0;eNb(f[a>>2]|0,(f[O>>2]|0)+12|0,f[z>>2]|0,7,e);if((b[e+11>>0]|0)<0)fuc(f[e>>2]|0);if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);if((b[R>>0]|0)<0)fuc(f[r>>2]|0);if((b[n+11>>0]|0)<0)fuc(f[n>>2]|0);if((b[o+11>>0]|0)<0)fuc(f[o>>2]|0);if((b[p+11>>0]|0)<0)fuc(f[p>>2]|0);if((b[q+11>>0]|0)<0)fuc(f[q>>2]|0);ga=0;break}else if((aa|0)==61){if(b[ba+84>>0]|0){aOb(0,f[z>>2]|0,c);ga=1;break}nEa(o,494374,m);R=Duc(o,494389)|0;f[n>>2]=f[R>>2];f[n+4>>2]=f[R+4>>2];f[n+8>>2]=f[R+8>>2];f[R>>2]=0;f[R+4>>2]=0;f[R+8>>2]=0;R=f[Q>>2]|0;S=b[R+11>>0]|0;T=S<<24>>24<0;D=Cuc(n,T?f[R>>2]|0:R,T?f[R+4>>2]|0:S&255)|0;f[g>>2]=f[D>>2];f[g+4>>2]=f[D+4>>2];f[g+8>>2]=f[D+8>>2];f[D>>2]=0;f[D+4>>2]=0;f[D+8>>2]=0;D=Duc(g,517668)|0;f[e>>2]=f[D>>2];f[e+4>>2]=f[D+4>>2];f[e+8>>2]=f[D+8>>2];f[D>>2]=0;f[D+4>>2]=0;f[D+8>>2]=0;eNb(f[a>>2]|0,(f[O>>2]|0)+12|0,f[z>>2]|0,7,e);if((b[e+11>>0]|0)<0)fuc(f[e>>2]|0);if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);if((b[n+11>>0]|0)<0)fuc(f[n>>2]|0);if((b[o+11>>0]|0)<0)fuc(f[o>>2]|0);ga=0;break}else if((aa|0)==77){nEa(g,494173,m);D=Duc(g,494432)|0;f[e>>2]=f[D>>2];f[e+4>>2]=f[D+4>>2];f[e+8>>2]=f[D+8>>2];f[D>>2]=0;f[D+4>>2]=0;f[D+8>>2]=0;eNb(f[a>>2]|0,(f[O>>2]|0)+12|0,f[z>>2]|0,7,e);if((b[e+11>>0]|0)<0)fuc(f[e>>2]|0);if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);ga=0;break}else if((aa|0)==83){nEa(g,494374,m);D=Duc(g,494468)|0;f[e>>2]=f[D>>2];f[e+4>>2]=f[D+4>>2];f[e+8>>2]=f[D+8>>2];f[D>>2]=0;f[D+4>>2]=0;f[D+8>>2]=0;eNb(f[a>>2]|0,(f[O>>2]|0)+12|0,f[z>>2]|0,7,e);if((b[e+11>>0]|0)<0)fuc(f[e>>2]|0);if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);ga=0;break}else if((aa|0)==97){ia=f[k>>2]|0;aa=98;break}}else{ia=0;aa=98}while(0);do if((aa|0)==98){if((f[ia+32>>2]|0)!=3?(f[s>>2]=f[l>>2],f[t>>2]=f[i>>2],yh[f[(f[c>>2]|0)+96>>2]&2047](e,c),z=f[e+4>>2]|0,o=Th[f[(f[z>>2]|0)+8>>2]&1023](z,c)|0,f[g>>2]=f[s>>2],f[e>>2]=f[t>>2],!(cOb(a,g,e,ia,m,o)|0)):0){ga=0;break}o=cuc(4)|0;f[o>>2]=0;if(dOb(a,f[k>>2]|0,o)|0){z=f[i>>2]|0;a:do if((z|0)==(f[l>>2]|0)){ja=o;ka=o;aa=123}else{n=g+16|0;ba=e+4|0;q=e+8|0;p=e+12|0;r=o;ha=z;fa=o;ea=o;ca=o;b:while(1){la=cuc(4)|0;f[la>>2]=0;ha=ha+-4|0;da=f[ha>>2]|0;_=f[da+24>>2]|0;if(_|0?(f[_>>2]|0)!=2:0){f[e>>2]=110384;f[ba>>2]=1962;b[q>>0]=0;f[p>>2]=da;xLb(_,e)}switch(f[da+28>>2]|0){case 11:{wKb(e,nbc(la,f[(f[ha>>2]|0)+40>>2]|0)|0);PJb(g,e);Abc(r,g);if(b[n>>0]|0){iLb(v,3,490877,6459);fLb(w,dLb(eLb(dLb(dLb(v,494564)|0,494596)|0,m)|0,517668)|0);jLb(v)}QJb(g);break}case 10:{hbc(obc(la,f[(f[ha>>2]|0)+40>>2]|0)|0,r);break}default:break b}if((r|0)!=(la|0))if(!r){ma=la;na=la;oa=la;pa=la}else{if(f[r>>2]|0)ebc(r);fuc(fa);ma=la;na=la;oa=la;pa=la}else{ma=r;na=ca;oa=ea;pa=fa}if((ha|0)==(f[l>>2]|0)){ja=oa;ka=ma;aa=123;break a}else{r=ma;fa=pa;ea=oa;ca=na}}iLb(x,3,490877,6472);ca=dLb(x,494652)|0;fa=f[ha>>2]|0;n=f[fa+24>>2]|0;if(n|0?(f[n>>2]|0)!=2:0){f[e>>2]=110384;f[e+4>>2]=1962;b[e+8>>0]=0;f[e+12>>2]=fa;xLb(n,e)}fLb(y,gLb(ca,f[fa+28>>2]|0)|0);jLb(x);if(f[la>>2]|0)ebc(la);fuc(la);qa=0;ra=r;sa=ea}while(0);if((aa|0)==123){yh[f[(f[c>>2]|0)+96>>2]&2047](e,c);z=f[e+4>>2]|0;hbc(Th[f[(f[z>>2]|0)+12>>2]&1023](z,c)|0,ka);qa=1;ra=ka;sa=ja}if(!ra){ga=qa;break}else{ta=qa;ua=ra;va=sa}}else{ta=0;ua=o;va=o}if(f[ua>>2]|0)ebc(ua);fuc(va);ga=ta}while(0);if((b[j>>0]|0)<0)fuc(f[m>>2]|0);m=f[l>>2]|0;if(m|0){l=f[i>>2]|0;if((l|0)!=(m|0))f[i>>2]=l+(~((l+-4-m|0)>>>2)<<2);fuc(m)}F=ga;u=d;return F|0}function zNb(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0;g=u;u=u+32|0;h=g;i=f[a+8>>2]|0;if(!i){iLb(h,1,490877,3646);fLb(g+24|0,eLb(dLb(eLb(dLb(eLb(h,a+28|0)|0,530842)|0,b)|0,517123)|0,e)|0);jLb(h);u=g;return}else{Vg[f[(f[i>>2]|0)+12>>2]&255](i,a+28|0,b,c,d,e);u=g;return}}function ANb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;e=u;u=u+48|0;g=e+24|0;h=e+12|0;i=e;j=c+28|0;if((f[j>>2]|0)>0){k=c+68|0;l=d+44|0;m=0;do{GNb(a,(f[k>>2]|0)+(m*88|0)|0,f[(f[l>>2]|0)+4+(m<<2)>>2]|0);m=m+1|0}while((m|0)<(f[j>>2]|0))}j=c+32|0;if((f[j>>2]|0)>0){m=c+72|0;l=d+60|0;k=0;do{HNb(a,(f[m>>2]|0)+(k*48|0)|0,f[(f[l>>2]|0)+4+(k<<2)>>2]|0);k=k+1|0}while((k|0)<(f[j>>2]|0))}j=c+36|0;if((f[j>>2]|0)>0){k=c+76|0;l=d+76|0;m=0;do{n=f[k>>2]|0;o=f[(f[l>>2]|0)+4+(m<<2)>>2]|0;p=n+(m*24|0)+8|0;q=f[p>>2]|0;do if((q|0?(r=q+84|0,s=f[r>>2]|0,(s|0)!=(U$b()|0)):0)?(f[(f[r>>2]|0)+92>>2]|0)==3:0){r=f[(f[p>>2]|0)+84>>2]|0;if((b[r+84>>0]|0)==0?(b[r+85>>0]|0)==0:0)break;dNb(a,f[n+(m*24|0)+4>>2]|0,o,0,492134)}while(0);m=m+1|0}while((m|0)<(f[j>>2]|0))}j=c+40|0;if((f[j>>2]|0)>0){m=c+80|0;l=d+92|0;k=0;do{INb(a,(f[m>>2]|0)+(k*88|0)|0,f[(f[l>>2]|0)+4+(k<<2)>>2]|0);k=k+1|0}while((k|0)<(f[j>>2]|0))}j=c+84|0;k=f[j>>2]|0;if(!((k|0)!=(U$b()|0)?(f[(f[j>>2]|0)+92>>2]|0)==3:0))t=19;a:do if((t|0)==19?(j=c+16|0,(f[j>>2]|0)>0):0){k=c+12|0;l=c+52|0;m=g+4|0;o=g+8|0;n=g+12|0;p=0;while(1){q=f[k>>2]|0;if(q|0?(f[q>>2]|0)!=2:0){f[g>>2]=152032;f[m>>2]=2001;b[o>>0]=0;f[n>>2]=c;xLb(q,g)}q=f[(f[l>>2]|0)+(p<<2)>>2]|0;if((q|0?(r=q+84|0,q=f[r>>2]|0,(q|0)!=(U$b()|0)):0)?(f[(f[r>>2]|0)+92>>2]|0)==3:0)break;r=p+1|0;if((r|0)<(f[j>>2]|0))p=r;else break a}j=f[c>>2]|0;n=f[k>>2]|0;if(n|0?(f[n>>2]|0)!=2:0){f[g>>2]=152032;f[g+4>>2]=2001;b[g+8>>0]=0;f[g+12>>2]=c;xLb(n,g)}nEa(i,492279,f[f[(f[l>>2]|0)+(p<<2)>>2]>>2]|0);n=Duc(i,492416)|0;f[h>>2]=f[n>>2];f[h+4>>2]=f[n+4>>2];f[h+8>>2]=f[n+8>>2];f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;eNb(a,j,d,9,h);if((b[h+11>>0]|0)<0)fuc(f[h>>2]|0);if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0)}while(0);if((f[c+44>>2]|0)!=3){u=e;return}JNb(a,c,d);u=e;return}function BNb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;e=u;u=u+48|0;g=e+28|0;h=e+16|0;i=e;j=h+4|0;f[j>>2]=0;k=h+8|0;f[k>>2]=0;l=h+4|0;f[h>>2]=l;m=c+60|0;if((f[m>>2]|0)>0){n=c+28|0;o=i+12|0;p=i+11|0;q=c+4|0;r=g+11|0;s=i+11|0;t=d+44|0;v=0;do{w=f[n>>2]|0;x=w+(v*88|0)|0;ouc(i,f[x>>2]|0);f[o>>2]=x;y=DNb(h,g,i)|0;z=f[y>>2]|0;if(!z){A=cuc(32)|0;B=A+16|0;f[B>>2]=f[i>>2];f[B+4>>2]=f[i+4>>2];f[B+8>>2]=f[i+8>>2];f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[A+28>>2]=f[o>>2];B=f[g>>2]|0;f[A>>2]=0;f[A+4>>2]=0;f[A+8>>2]=B;f[y>>2]=A;B=f[f[h>>2]>>2]|0;if(!B)C=A;else{f[h>>2]=B;C=f[y>>2]|0}jI(f[j>>2]|0,C);f[k>>2]=(f[k>>2]|0)+1;D=A;E=1}else{D=z;E=0}if((b[p>>0]|0)<0)fuc(f[i>>2]|0);do if(!(E<<24>>24)){if((b[(f[(f[D+28>>2]|0)+16>>2]|0)+51>>0]|0)==0?(b[(f[w+(v*88|0)+16>>2]|0)+51>>0]|0)==0:0)break;z=f[q>>2]|0;nEa(i,491946,f[x>>2]|0);A=Duc(i,491971)|0;f[g>>2]=f[A>>2];f[g+4>>2]=f[A+4>>2];f[g+8>>2]=f[A+8>>2];f[A>>2]=0;f[A+4>>2]=0;f[A+8>>2]=0;eNb(a,z,d,0,g);if((b[r>>0]|0)<0)fuc(f[g>>2]|0);if((b[s>>0]|0)<0)fuc(f[i>>2]|0)}while(0);BNb(a,(f[n>>2]|0)+(v*88|0)|0,f[(f[t>>2]|0)+4+(v<<2)>>2]|0);v=v+1|0}while((v|0)<(f[m>>2]|0))}m=c+52|0;if((f[m>>2]|0)>0){v=c+20|0;t=c+4|0;n=g+11|0;s=i+11|0;r=0;do{q=ENb(h,f[(f[v>>2]|0)+(r*88|0)>>2]|0)|0;if((q|0)!=(l|0)?(D=f[q+28>>2]|0,b[(f[D+16>>2]|0)+51>>0]|0):0){q=f[t>>2]|0;nEa(i,491946,f[D>>2]|0);D=Duc(i,492020)|0;f[g>>2]=f[D>>2];f[g+4>>2]=f[D+4>>2];f[g+8>>2]=f[D+8>>2];f[D>>2]=0;f[D+4>>2]=0;f[D+8>>2]=0;eNb(a,q,d,0,g);if((b[n>>0]|0)<0)fuc(f[g>>2]|0);if((b[s>>0]|0)<0)fuc(f[i>>2]|0)}r=r+1|0}while((r|0)<(f[m>>2]|0))}m=c+64|0;if((f[m>>2]|0)>0){r=c+32|0;s=c+4|0;n=g+11|0;t=i+11|0;v=0;do{q=ENb(h,f[(f[r>>2]|0)+(v*48|0)>>2]|0)|0;if((q|0)!=(l|0)?(D=f[q+28>>2]|0,b[(f[D+16>>2]|0)+51>>0]|0):0){q=f[s>>2]|0;nEa(i,491946,f[D>>2]|0);D=Duc(i,492055)|0;f[g>>2]=f[D>>2];f[g+4>>2]=f[D+4>>2];f[g+8>>2]=f[D+8>>2];f[D>>2]=0;f[D+4>>2]=0;f[D+8>>2]=0;eNb(a,q,d,0,g);if((b[n>>0]|0)<0)fuc(f[g>>2]|0);if((b[t>>0]|0)<0)fuc(f[i>>2]|0)}v=v+1|0}while((v|0)<(f[m>>2]|0))}m=c+56|0;if((f[m>>2]|0)<=0){F=h;G=f[l>>2]|0;FNb(F,G);u=e;return}v=c+24|0;t=c+4|0;c=g+11|0;n=i+11|0;s=0;do{r=ENb(h,f[(f[v>>2]|0)+(s*28|0)>>2]|0)|0;if((r|0)!=(l|0)?(q=f[r+28>>2]|0,b[(f[q+16>>2]|0)+51>>0]|0):0){r=f[t>>2]|0;nEa(i,491946,f[q>>2]|0);q=Duc(i,492094)|0;f[g>>2]=f[q>>2];f[g+4>>2]=f[q+4>>2];f[g+8>>2]=f[q+8>>2];f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;eNb(a,r,d,0,g);if((b[c>>0]|0)<0)fuc(f[g>>2]|0);if((b[n>>0]|0)<0)fuc(f[i>>2]|0)}s=s+1|0}while((s|0)<(f[m>>2]|0));F=h;G=f[l>>2]|0;FNb(F,G);u=e;return}function CNb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;d=u;u=u+48|0;e=d+24|0;g=d+12|0;h=d;if(!(f[a+68>>2]|0)){u=d;return}i=g+4|0;f[i>>2]=0;j=g+8|0;f[j>>2]=0;k=g+4|0;f[g>>2]=k;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;l=cuc(32)|0;f[h>>2]=l;f[h+8>>2]=-2147483616;f[h+4>>2]=30;m=l;n=491683;o=m+30|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));b[l+30>>0]=0;l=iI(g,e,h)|0;if(!(f[l>>2]|0)){p=cuc(28)|0;q=p+16|0;f[q>>2]=f[h>>2];f[q+4>>2]=f[h+4>>2];f[q+8>>2]=f[h+8>>2];f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;q=f[e>>2]|0;f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=q;f[l>>2]=p;q=f[f[g>>2]>>2]|0;if(!q)r=p;else{f[g>>2]=q;r=f[l>>2]|0}jI(f[i>>2]|0,r);f[j>>2]=(f[j>>2]|0)+1}if((b[h+11>>0]|0)<0)fuc(f[h>>2]|0);f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;r=cuc(32)|0;f[h>>2]=r;f[h+8>>2]=-2147483616;f[h+4>>2]=27;m=r;n=491714;o=m+27|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));b[r+27>>0]=0;r=iI(g,e,h)|0;if(!(f[r>>2]|0)){l=cuc(28)|0;q=l+16|0;f[q>>2]=f[h>>2];f[q+4>>2]=f[h+4>>2];f[q+8>>2]=f[h+8>>2];f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;q=f[e>>2]|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=q;f[r>>2]=l;q=f[f[g>>2]>>2]|0;if(!q)s=l;else{f[g>>2]=q;s=f[r>>2]|0}jI(f[i>>2]|0,s);f[j>>2]=(f[j>>2]|0)+1}if((b[h+11>>0]|0)<0)fuc(f[h>>2]|0);f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;s=cuc(32)|0;f[h>>2]=s;f[h+8>>2]=-2147483616;f[h+4>>2]=28;m=s;n=491742;o=m+28|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));b[s+28>>0]=0;s=iI(g,e,h)|0;if(!(f[s>>2]|0)){r=cuc(28)|0;q=r+16|0;f[q>>2]=f[h>>2];f[q+4>>2]=f[h+4>>2];f[q+8>>2]=f[h+8>>2];f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;q=f[e>>2]|0;f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=q;f[s>>2]=r;q=f[f[g>>2]>>2]|0;if(!q)t=r;else{f[g>>2]=q;t=f[s>>2]|0}jI(f[i>>2]|0,t);f[j>>2]=(f[j>>2]|0)+1}if((b[h+11>>0]|0)<0)fuc(f[h>>2]|0);f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;t=cuc(32)|0;f[h>>2]=t;f[h+8>>2]=-2147483616;f[h+4>>2]=27;m=t;n=491771;o=m+27|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));b[t+27>>0]=0;t=iI(g,e,h)|0;if(!(f[t>>2]|0)){s=cuc(28)|0;q=s+16|0;f[q>>2]=f[h>>2];f[q+4>>2]=f[h+4>>2];f[q+8>>2]=f[h+8>>2];f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;q=f[e>>2]|0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=q;f[t>>2]=s;q=f[f[g>>2]>>2]|0;if(!q)v=s;else{f[g>>2]=q;v=f[t>>2]|0}jI(f[i>>2]|0,v);f[j>>2]=(f[j>>2]|0)+1}if((b[h+11>>0]|0)<0)fuc(f[h>>2]|0);f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;v=cuc(48)|0;f[h>>2]=v;f[h+8>>2]=-2147483600;f[h+4>>2]=32;m=v;n=491799;o=m+32|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));b[v+32>>0]=0;v=iI(g,e,h)|0;if(!(f[v>>2]|0)){t=cuc(28)|0;q=t+16|0;f[q>>2]=f[h>>2];f[q+4>>2]=f[h+4>>2];f[q+8>>2]=f[h+8>>2];f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;q=f[e>>2]|0;f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=q;f[v>>2]=t;q=f[f[g>>2]>>2]|0;if(!q)w=t;else{f[g>>2]=q;w=f[v>>2]|0}jI(f[i>>2]|0,w);f[j>>2]=(f[j>>2]|0)+1}if((b[h+11>>0]|0)<0)fuc(f[h>>2]|0);f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;w=cuc(48)|0;f[h>>2]=w;f[h+8>>2]=-2147483600;f[h+4>>2]=32;m=w;n=491799;o=m+32|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));b[w+32>>0]=0;w=iI(g,e,h)|0;if(!(f[w>>2]|0)){v=cuc(28)|0;q=v+16|0;f[q>>2]=f[h>>2];f[q+4>>2]=f[h+4>>2];f[q+8>>2]=f[h+8>>2];f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;q=f[e>>2]|0;f[v>>2]=0;f[v+4>>2]=0;f[v+8>>2]=q;f[w>>2]=v;q=f[f[g>>2]>>2]|0;if(!q)x=v;else{f[g>>2]=q;x=f[w>>2]|0}jI(f[i>>2]|0,x);f[j>>2]=(f[j>>2]|0)+1}if((b[h+11>>0]|0)<0)fuc(f[h>>2]|0);f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;x=cuc(32)|0;f[h>>2]=x;f[h+8>>2]=-2147483616;f[h+4>>2]=30;m=x;n=491832;o=m+30|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));b[x+30>>0]=0;x=iI(g,e,h)|0;if(!(f[x>>2]|0)){w=cuc(28)|0;q=w+16|0;f[q>>2]=f[h>>2];f[q+4>>2]=f[h+4>>2];f[q+8>>2]=f[h+8>>2];f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;q=f[e>>2]|0;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=q;f[x>>2]=w;q=f[f[g>>2]>>2]|0;if(!q)y=w;else{f[g>>2]=q;y=f[x>>2]|0}jI(f[i>>2]|0,y);f[j>>2]=(f[j>>2]|0)+1}if((b[h+11>>0]|0)<0)fuc(f[h>>2]|0);f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;y=cuc(32)|0;f[h>>2]=y;f[h+8>>2]=-2147483616;f[h+4>>2]=29;m=y;n=491863;o=m+29|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));b[y+29>>0]=0;y=iI(g,e,h)|0;if(!(f[y>>2]|0)){x=cuc(28)|0;q=x+16|0;f[q>>2]=f[h>>2];f[q+4>>2]=f[h+4>>2];f[q+8>>2]=f[h+8>>2];f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;q=f[e>>2]|0;f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=q;f[y>>2]=x;q=f[f[g>>2]>>2]|0;if(!q)z=x;else{f[g>>2]=q;z=f[y>>2]|0}jI(f[i>>2]|0,z);f[j>>2]=(f[j>>2]|0)+1}if((b[h+11>>0]|0)<0)fuc(f[h>>2]|0);f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;z=cuc(32)|0;f[h>>2]=z;f[h+8>>2]=-2147483616;f[h+4>>2]=29;m=z;n=491893;o=m+29|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));b[z+29>>0]=0;z=iI(g,e,h)|0;if(!(f[z>>2]|0)){n=cuc(28)|0;m=n+16|0;f[m>>2]=f[h>>2];f[m+4>>2]=f[h+4>>2];f[m+8>>2]=f[h+8>>2];f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;m=f[e>>2]|0;f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=m;f[z>>2]=n;m=f[f[g>>2]>>2]|0;if(!m)A=n;else{f[g>>2]=m;A=f[z>>2]|0}jI(f[i>>2]|0,A);f[j>>2]=(f[j>>2]|0)+1}if((b[h+11>>0]|0)<0)fuc(f[h>>2]|0);j=f[a+60>>2]|0;A=a+64|0;if((j|0)!=(A|0)){i=h+11|0;z=e+11|0;m=j;while(1){j=m+16|0;n=f[j>>2]|0;o=f[n+40>>2]|0;a:do if((o|0)>0){y=0;q=n;while(1){if((MFa(g,f[(f[(f[q+80>>2]|0)+(y*88|0)+48>>2]|0)+4>>2]|0)|0)!=(k|0))break;x=y+1|0;w=f[j>>2]|0;v=f[w+40>>2]|0;if((x|0)<(v|0)){y=x;q=w}else{B=x;C=v;D=w;break a}}q=f[j>>2]|0;B=y;C=f[q+40>>2]|0;D=q}else{B=0;C=o;D=n}while(0);if((B|0)==(C|0)){nEa(h,491923,f[D>>2]|0);n=Duc(h,491931)|0;f[e>>2]=f[n>>2];f[e+4>>2]=f[n+4>>2];f[e+8>>2]=f[n+8>>2];f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;if((b[i>>0]|0)<0)fuc(f[h>>2]|0);zNb(a,f[f[j>>2]>>2]|0,c,9,e);if((b[z>>0]|0)<0)fuc(f[e>>2]|0)}n=f[m+4>>2]|0;do if(!n){o=m+8|0;q=f[o>>2]|0;if((f[q>>2]|0)==(m|0)){E=q;break}else F=o;do{o=f[F>>2]|0;F=o+8|0;q=f[F>>2]|0}while((f[q>>2]|0)!=(o|0));E=q}else{y=n;while(1){q=f[y>>2]|0;if(!q)break;else y=q}E=y}while(0);if((E|0)==(A|0))break;else m=E}}gI(g,f[k>>2]|0);u=d;return}function DNb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;e=a+4|0;g=f[e>>2]|0;if(!g){f[c>>2]=e;h=e;return h|0}e=b[d+11>>0]|0;i=e<<24>>24<0;j=i?f[d+4>>2]|0:e&255;e=i?f[d>>2]|0:d;d=a+4|0;a=g;while(1){g=a+16|0;i=b[g+11>>0]|0;k=i<<24>>24<0;l=k?f[a+20>>2]|0:i&255;i=l>>>0<j>>>0;m=i?l:j;if((m|0)!=0?(n=ahc(e,k?f[g>>2]|0:g,m)|0,(n|0)!=0):0)if((n|0)<0)o=8;else o=10;else if(j>>>0<l>>>0)o=8;else o=10;if((o|0)==8){o=0;n=f[a>>2]|0;if(!n){o=9;break}else{p=a;q=n}}else if((o|0)==10){o=0;n=j>>>0<l>>>0?j:l;if((n|0)!=0?(l=ahc(k?f[g>>2]|0:g,e,n)|0,(l|0)!=0):0){if((l|0)>=0){o=16;break}}else o=12;if((o|0)==12?(o=0,!i):0){o=16;break}r=a+4|0;i=f[r>>2]|0;if(!i){o=15;break}else{p=r;q=i}}d=p;a=q}if((o|0)==9){f[c>>2]=a;h=a;return h|0}else if((o|0)==15){f[c>>2]=a;h=r;return h|0}else if((o|0)==16){f[c>>2]=a;h=d;return h|0}return 0}function ENb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;d=a+4|0;a=f[d>>2]|0;do if(a|0){e=b[c+11>>0]|0;g=e<<24>>24<0;h=g?f[c+4>>2]|0:e&255;e=g?f[c>>2]|0:c;g=d;i=a;a:while(1){j=i;while(1){k=j+16|0;l=b[k+11>>0]|0;m=l<<24>>24<0;n=m?f[j+20>>2]|0:l&255;l=h>>>0<n>>>0?h:n;if((l|0)!=0?(o=ahc(m?f[k>>2]|0:k,e,l)|0,(o|0)!=0):0){if((o|0)>=0)break}else p=6;if((p|0)==6?(p=0,n>>>0>=h>>>0):0)break;n=f[j+4>>2]|0;if(!n){q=g;break a}else j=n}i=f[j>>2]|0;if(!i){q=j;break}else g=j}if((q|0)!=(d|0)){g=q+16|0;i=b[g+11>>0]|0;n=i<<24>>24<0;o=n?f[q+20>>2]|0:i&255;i=o>>>0<h>>>0?o:h;if(i|0?(l=ahc(e,n?f[g>>2]|0:g,i)|0,l|0):0){if((l|0)<0)break;else r=q;return r|0}if(h>>>0>=o>>>0){r=q;return r|0}}}while(0);r=d;return r|0}function FNb(a,c){a=a|0;c=c|0;if(!c)return;FNb(a,f[c>>2]|0);FNb(a,f[c+4>>2]|0);a=c+16|0;if((b[a+11>>0]|0)<0)fuc(f[a>>2]|0);fuc(c);return}function GNb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0;e=u;u=u+416|0;g=e+400|0;h=e+360|0;i=e+320|0;j=e+280|0;k=e+240|0;l=e+200|0;m=e+160|0;n=e+120|0;o=e+80|0;p=e+40|0;q=e;r=c+52|0;if((f[r>>2]|0)>0){s=c+20|0;t=d+28|0;v=0;do{INb(a,(f[s>>2]|0)+(v*88|0)|0,f[(f[t>>2]|0)+4+(v<<2)>>2]|0);v=v+1|0}while((v|0)<(f[r>>2]|0))}r=c+60|0;if((f[r>>2]|0)>0){v=c+28|0;t=d+44|0;s=0;do{GNb(a,(f[v>>2]|0)+(s*88|0)|0,f[(f[t>>2]|0)+4+(s<<2)>>2]|0);s=s+1|0}while((s|0)<(f[r>>2]|0))}r=c+64|0;if((f[r>>2]|0)>0){s=c+32|0;t=d+60|0;v=0;do{HNb(a,(f[s>>2]|0)+(v*48|0)|0,f[(f[t>>2]|0)+4+(v<<2)>>2]|0);v=v+1|0}while((v|0)<(f[r>>2]|0))}r=c+72|0;if((f[r>>2]|0)>0){v=c+40|0;t=d+92|0;s=0;do{INb(a,(f[v>>2]|0)+(s*88|0)|0,f[(f[t>>2]|0)+4+(s<<2)>>2]|0);s=s+1|0}while((s|0)<(f[r>>2]|0))}r=(b[(f[c+16>>2]|0)+48>>0]|0)!=0;s=r?2147483647:536870911;t=r?0:0;r=c+68|0;v=f[r>>2]|0;if((v|0)<=0){u=e;return}w=c+36|0;x=hzc(s|0,t|0,1,0)|0;y=J;z=c+4|0;c=d+76|0;d=h+8|0;A=h+4|0;B=i+4|0;C=j+4|0;D=k+4|0;E=l+4|0;F=m+4|0;G=n+4|0;H=o+4|0;I=p+4|0;K=q+4|0;L=g+11|0;M=0;N=v;while(1){v=f[(f[w>>2]|0)+(M*12|0)+4>>2]|0;O=((v|0)<0)<<31>>31;if((O|0)>(y|0)|(O|0)==(y|0)&v>>>0>x>>>0){v=f[z>>2]|0;O=f[(f[c>>2]|0)+4+(M<<2)>>2]|0;P=Vdc(s,t,d)|0;f[h>>2]=P;Q=jfc(P)|0;f[A>>2]=Q;f[i>>2]=0;f[B>>2]=-1;f[j>>2]=0;f[C>>2]=-1;f[k>>2]=0;f[D>>2]=-1;f[l>>2]=0;f[E>>2]=-1;f[m>>2]=0;f[F>>2]=-1;f[n>>2]=0;f[G>>2]=-1;f[o>>2]=0;f[H>>2]=-1;f[p>>2]=0;f[I>>2]=-1;f[q>>2]=0;f[K>>2]=-1;F9b(g,494010,h,i,j,k,l,m,n,o,p,q);eNb(a,v,O,1,g);if((b[L>>0]|0)<0)fuc(f[g>>2]|0);R=f[r>>2]|0}else R=N;M=M+1|0;if((M|0)>=(R|0))break;else N=R}u=e;return}function HNb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0;e=u;u=u+96|0;g=e+72|0;h=e+60|0;i=e+48|0;j=e+36|0;k=e+24|0;l=e;m=e+84|0;n=c+24|0;o=c+16|0;p=f[o>>2]|0;if(f[p+24>>2]&1|0?b[p+48>>0]|0:0){u=e;return}p=g+4|0;f[p>>2]=0;q=g+8|0;f[q>>2]=0;r=g+4|0;f[g>>2]=r;if((f[n>>2]|0)>0){s=c+28|0;t=i+11|0;v=j+11|0;w=k+11|0;x=c+4|0;c=h+11|0;y=0;z=0;while(1){A=f[s>>2]|0;B=A+(y*20|0)+8|0;C=f[B>>2]|0;do if(z){D=r;E=z;a:while(1){F=E;while(1){if((f[F+16>>2]|0)>=(C|0))break;G=f[F+4>>2]|0;if(!G){H=D;break a}else F=G}E=f[F>>2]|0;if(!E){H=F;break}else D=F}if((H|0)!=(r|0)?(C|0)>=(f[H+16>>2]|0):0){nEa(k,517029,f[A+(y*20|0)+4>>2]|0);D=Duc(k,493897)|0;f[j>>2]=f[D>>2];f[j+4>>2]=f[D+4>>2];f[j+8>>2]=f[D+8>>2];f[D>>2]=0;f[D+4>>2]=0;f[D+8>>2]=0;D=f[B>>2]|0;E=f[r>>2]|0;do if(E){G=p;I=E;while(1){J=f[I+16>>2]|0;if((D|0)<(J|0)){K=f[I>>2]|0;if(!K){L=18;break}else{M=I;N=K}}else{if((J|0)>=(D|0)){L=22;break}O=I+4|0;J=f[O>>2]|0;if(!J){L=21;break}else{M=O;N=J}}G=M;I=N}if((L|0)==18){L=0;P=I;Q=I;break}else if((L|0)==21){L=0;P=I;Q=O;break}else if((L|0)==22){L=0;P=I;Q=G;break}}else{P=r;Q=r}while(0);E=f[Q>>2]|0;if(!E){F=cuc(32)|0;f[F+16>>2]=D;J=F+20|0;f[J>>2]=0;f[J+4>>2]=0;f[J+8>>2]=0;f[F>>2]=0;f[F+4>>2]=0;f[F+8>>2]=P;f[Q>>2]=F;J=f[f[g>>2]>>2]|0;if(!J)R=F;else{f[g>>2]=J;R=f[Q>>2]|0}jI(f[p>>2]|0,R);f[q>>2]=(f[q>>2]|0)+1;S=F}else S=E;E=S+20|0;F=b[E+11>>0]|0;J=F<<24>>24<0;K=Cuc(j,J?f[E>>2]|0:E,J?f[S+24>>2]|0:F&255)|0;f[i>>2]=f[K>>2];f[i+4>>2]=f[K+4>>2];f[i+8>>2]=f[K+8>>2];f[K>>2]=0;f[K+4>>2]=0;f[K+8>>2]=0;K=Duc(i,493929)|0;f[h>>2]=f[K>>2];f[h+4>>2]=f[K+4>>2];f[h+8>>2]=f[K+8>>2];f[K>>2]=0;f[K+4>>2]=0;f[K+8>>2]=0;if((b[t>>0]|0)<0)fuc(f[i>>2]|0);if((b[v>>0]|0)<0)fuc(f[j>>2]|0);if((b[w>>0]|0)<0)fuc(f[k>>2]|0);if(!(b[(f[o>>2]|0)+48>>0]|0))eNb(a,f[x>>2]|0,d,1,h);else{iLb(l,2,490877,6017);fLb(m,eLb(l,h)|0);jLb(l)}if((b[c>>0]|0)<0)fuc(f[h>>2]|0);break}K=f[A+(y*20|0)+4>>2]|0;F=p;J=z;while(1){E=f[J+16>>2]|0;if((C|0)<(E|0)){T=f[J>>2]|0;if(!T){L=43;break}else{U=J;V=T}}else{if((E|0)>=(C|0)){L=47;break}W=J+4|0;E=f[W>>2]|0;if(!E){L=46;break}else{U=W;V=E}}F=U;J=V}if((L|0)==43){L=0;X=J;Y=J;Z=K;L=48;break}else if((L|0)==46){L=0;X=J;Y=W;Z=K;L=48;break}else if((L|0)==47){L=0;X=J;Y=F;Z=K;L=48;break}}else{X=r;Y=r;Z=f[A+(y*20|0)+4>>2]|0;L=48}while(0);if((L|0)==48){L=0;A=f[Y>>2]|0;if(!A){B=cuc(32)|0;f[B+16>>2]=C;D=B+20|0;f[D>>2]=0;f[D+4>>2]=0;f[D+8>>2]=0;f[B>>2]=0;f[B+4>>2]=0;f[B+8>>2]=X;f[Y>>2]=B;D=f[f[g>>2]>>2]|0;if(!D)_=B;else{f[g>>2]=D;_=f[Y>>2]|0}jI(f[p>>2]|0,_);f[q>>2]=(f[q>>2]|0)+1;$=B}else $=A;ruc($+20|0,Z)|0}y=y+1|0;A=f[r>>2]|0;if((y|0)>=(f[n>>2]|0)){aa=A;break}else z=A}}else aa=0;YNb(g,aa);u=e;return}function INb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0;e=u;u=u+16|0;g=e;if(b[(f[a>>2]|0)+21>>0]|0){if(!c){u=e;return}h=f[c+24>>2]|0;if(h|0?(f[h>>2]|0)!=2:0){f[g>>2]=110384;f[g+4>>2]=1962;b[g+8>>0]=0;f[g+12>>2]=c;xLb(h,g)}if(!(f[c+60>>2]|0)){u=e;return}}h=c+68|0;if(b[(f[h>>2]|0)+53>>0]|0){i=f[c+24>>2]|0;if(i|0?(f[i>>2]|0)!=2:0){f[g>>2]=110384;f[g+4>>2]=1962;b[g+8>>0]=0;f[g+12>>2]=c;xLb(i,g)}if((f[c+28>>2]|0)!=11)dNb(a,f[c+4>>2]|0,d,2,493166)}do if(b[(f[h>>2]|0)+52>>0]|0){if((f[c+32>>2]|0)==3){i=f[c+24>>2]|0;if(i|0?(f[i>>2]|0)!=2:0){f[g>>2]=110384;f[g+4>>2]=1962;b[g+8>>0]=0;f[g+12>>2]=c;xLb(i,g)}if(((f[c+28>>2]|0)+-9|0)>>>0>3)break}dNb(a,f[c+4>>2]|0,d,2,493225)}while(0);h=c+48|0;i=f[h>>2]|0;do if((i|0?(j=f[i+16>>2]|0,(j|0)!=(W$b()|0)):0)?b[(f[(f[h>>2]|0)+16>>2]|0)+48>>0]|0:0){if(!(b[c+38>>0]|0)){dNb(a,f[c+4>>2]|0,d,0,493294);break}if((f[c+32>>2]|0)==1){j=f[c+24>>2]|0;if(j|0?(f[j>>2]|0)!=2:0){f[g>>2]=110384;f[g+4>>2]=1962;b[g+8>>0]=0;f[g+12>>2]=c;xLb(j,g)}if((f[c+28>>2]|0)==11)break}dNb(a,f[c+4>>2]|0,d,2,518794)}while(0);i=f[c+20>>2]|0;do if(((i|0?(j=i+84|0,k=f[j>>2]|0,(k|0)!=(U$b()|0)):0)?(f[(f[j>>2]|0)+92>>2]|0)==3:0)?(j=f[h>>2]|0,j|0):0){k=f[j+8>>2]|0;if((k|0?(j=k+84|0,k=f[j>>2]|0,(k|0)!=(U$b()|0)):0)?(f[(f[j>>2]|0)+92>>2]|0)==3:0)break;dNb(a,f[c+4>>2]|0,d,3,493343)}while(0);h=f[c+24>>2]|0;if(h|0?(f[h>>2]|0)!=2:0){f[g>>2]=110384;f[g+4>>2]=1962;b[g+8>>0]=0;f[g+12>>2]=c;xLb(h,g)}if(((f[c+28>>2]|0)==11?b[(f[(f[c+60>>2]|0)+16>>2]|0)+51>>0]|0:0)?!(VNb(a,c,d)|0):0)dNb(a,f[c+4>>2]|0,d,9,493509);WNb(a,c,d);u=e;return}function JNb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0;d=b+40|0;if((f[d>>2]|0)>0){e=b+80|0;g=c+92|0;h=0;do{KNb(a,(f[e>>2]|0)+(h*88|0)|0,f[(f[g>>2]|0)+4+(h<<2)>>2]|0);h=h+1|0}while((h|0)<(f[d>>2]|0))}d=b+28|0;if((f[d>>2]|0)>0){h=b+68|0;g=c+44|0;e=0;do{LNb(a,(f[h>>2]|0)+(e*88|0)|0,f[(f[g>>2]|0)+4+(e<<2)>>2]|0);e=e+1|0}while((e|0)<(f[d>>2]|0))}d=b+32|0;e=f[d>>2]|0;if((e|0)<=0)return;g=b+72|0;b=c+60|0;c=0;h=e;while(1){e=f[g>>2]|0;i=f[(f[b>>2]|0)+4+(c<<2)>>2]|0;if((f[e+(c*48|0)+24>>2]|0)>0?(f[(f[e+(c*48|0)+28>>2]|0)+8>>2]|0)!=0:0){dNb(a,f[e+(c*48|0)+4>>2]|0,i,9,492428);j=f[d>>2]|0}else j=h;c=c+1|0;if((c|0)>=(j|0))break;else h=j}return}function KNb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;e=u;u=u+64|0;g=e+48|0;h=e+36|0;i=e+24|0;j=e+12|0;k=e;if(b[c+38>>0]|0){l=f[(f[c+48>>2]|0)+4>>2]|0;if((f[224985]|0)!=2){f[g>>2]=151624;f[g+4>>2]=130;b[g+8>>0]=0;xLb(899940,g);QKb(g)}m=MFa(f[224986]|0,l)|0;if((m|0)==((f[224986]|0)+4|0))dNb(a,f[c+4>>2]|0,d,9,492652)}if((f[c+32>>2]|0)==2)dNb(a,f[c+4>>2]|0,d,9,492712);if(b[c+36>>0]|0)dNb(a,f[c+4>>2]|0,d,9,492755);m=c+24|0;l=f[m>>2]|0;if(l|0?(f[l>>2]|0)!=2:0){f[g>>2]=110384;f[g+4>>2]=1962;b[g+8>>0]=0;f[g+12>>2]=c;xLb(l,g)}l=c+28|0;if((f[l>>2]|0)==14){n=f[m>>2]|0;if(n|0?(f[n>>2]|0)!=2:0){f[g>>2]=110384;f[g+4>>2]=1962;b[g+8>>0]=0;f[g+12>>2]=c;xLb(n,g)}n=c+64|0;if(f[n>>2]|0){o=f[m>>2]|0;if(o|0?(f[o>>2]|0)!=2:0){f[g>>2]=110384;f[g+4>>2]=1962;b[g+8>>0]=0;f[g+12>>2]=c;xLb(o,g)}if((f[(f[(f[n>>2]|0)+8>>2]|0)+44>>2]|0)!=3){o=f[c+4>>2]|0;p=f[m>>2]|0;if(p|0?(f[p>>2]|0)!=2:0){f[g>>2]=110384;f[g+4>>2]=1962;b[g+8>>0]=0;f[g+12>>2]=c;xLb(p,g)}nEa(k,492806,f[(f[n>>2]|0)+4>>2]|0);n=Duc(k,492818)|0;f[j>>2]=f[n>>2];f[j+4>>2]=f[n+4>>2];f[j+8>>2]=f[n+8>>2];f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;n=f[(f[c+48>>2]|0)+4>>2]|0;p=b[n+11>>0]|0;q=p<<24>>24<0;r=Cuc(j,q?f[n>>2]|0:n,q?f[n+4>>2]|0:p&255)|0;f[i>>2]=f[r>>2];f[i+4>>2]=f[r+4>>2];f[i+8>>2]=f[r+8>>2];f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;r=Duc(i,492859)|0;f[h>>2]=f[r>>2];f[h+4>>2]=f[r+4>>2];f[h+8>>2]=f[r+8>>2];f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;eNb(a,o,d,2,h);if((b[h+11>>0]|0)<0)fuc(f[h>>2]|0);if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0);if((b[j+11>>0]|0)<0)fuc(f[j>>2]|0);if((b[k+11>>0]|0)<0)fuc(f[k>>2]|0)}}}k=f[m>>2]|0;if(k|0?(f[k>>2]|0)!=2:0){f[g>>2]=110384;f[g+4>>2]=1962;b[g+8>>0]=0;f[g+12>>2]=c;xLb(k,g)}if((f[l>>2]|0)!=10){u=e;return}dNb(a,f[c+4>>2]|0,d,2,492893);u=e;return}function LNb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;e=u;u=u+96|0;g=e+72|0;h=e+60|0;i=e+48|0;j=e+36|0;k=e+24|0;l=e+12|0;m=e;n=c+60|0;if((f[n>>2]|0)>0){o=c+28|0;p=d+44|0;q=0;do{LNb(a,(f[o>>2]|0)+(q*88|0)|0,f[(f[p>>2]|0)+4+(q<<2)>>2]|0);q=q+1|0}while((q|0)<(f[n>>2]|0))}n=c+64|0;q=f[n>>2]|0;if((q|0)>0){p=c+32|0;o=d+60|0;r=0;s=q;while(1){q=f[p>>2]|0;t=f[(f[o>>2]|0)+4+(r<<2)>>2]|0;if((f[q+(r*48|0)+24>>2]|0)>0?(f[(f[q+(r*48|0)+28>>2]|0)+8>>2]|0)!=0:0){dNb(a,f[q+(r*48|0)+4>>2]|0,t,9,492428);v=f[n>>2]|0}else v=s;r=r+1|0;if((r|0)>=(v|0))break;else s=v}}v=c+52|0;if((f[v>>2]|0)>0){s=c+20|0;r=d+28|0;n=0;do{KNb(a,(f[s>>2]|0)+(n*88|0)|0,f[(f[r>>2]|0)+4+(n<<2)>>2]|0);n=n+1|0}while((n|0)<(f[v>>2]|0))}n=c+72|0;if((f[n>>2]|0)>0){r=c+40|0;s=d+92|0;o=0;do{KNb(a,(f[r>>2]|0)+(o*88|0)|0,f[(f[s>>2]|0)+4+(o<<2)>>2]|0);o=o+1|0}while((o|0)<(f[n>>2]|0))}if((f[c+68>>2]|0)>0)dNb(a,f[c+4>>2]|0,d,9,492473);if(b[(f[c+16>>2]|0)+48>>0]|0)dNb(a,f[c+4>>2]|0,d,9,492517);f[g+4>>2]=0;f[g+8>>2]=0;n=g+4|0;f[g>>2]=n;if((f[v>>2]|0)<=0){w=g;x=0;MNb(w,x);u=e;return}o=c+20|0;s=h+11|0;r=c+4|0;c=i+11|0;p=j+11|0;t=k+11|0;q=l+11|0;y=m+11|0;z=0;do{A=f[(f[o>>2]|0)+(z*88|0)>>2]|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;B=A+11|0;C=b[B>>0]|0;D=A+4|0;if((C<<24>>24<0?f[D>>2]|0:C&255)|0){E=0;F=C;do{C=b[(F<<24>>24<0?f[A>>2]|0:A)+E>>0]|0;do if(C<<24>>24!=95)if((C+-65&255)<26){Euc(h,(C&255)+32&255);break}else{Euc(h,C);break}while(0);E=E+1|0;F=b[B>>0]|0}while(E>>>0<(F<<24>>24<0?f[D>>2]|0:F&255)>>>0)}if((NNb(g,h)|0)!=(n|0)){F=f[r>>2]|0;nEa(m,492556,f[(f[o>>2]|0)+(z*88|0)>>2]|0);D=Duc(m,492592)|0;f[l>>2]=f[D>>2];f[l+4>>2]=f[D+4>>2];f[l+8>>2]=f[D+8>>2];f[D>>2]=0;f[D+4>>2]=0;f[D+8>>2]=0;D=ONb(g,h)|0;E=f[f[D>>2]>>2]|0;D=b[E+11>>0]|0;B=D<<24>>24<0;A=Cuc(l,B?f[E>>2]|0:E,B?f[E+4>>2]|0:D&255)|0;f[k>>2]=f[A>>2];f[k+4>>2]=f[A+4>>2];f[k+8>>2]=f[A+8>>2];f[A>>2]=0;f[A+4>>2]=0;f[A+8>>2]=0;A=Duc(k,492617)|0;f[j>>2]=f[A>>2];f[j+4>>2]=f[A+4>>2];f[j+8>>2]=f[A+8>>2];f[A>>2]=0;f[A+4>>2]=0;f[A+8>>2]=0;A=Duc(j,492633)|0;f[i>>2]=f[A>>2];f[i+4>>2]=f[A+4>>2];f[i+8>>2]=f[A+8>>2];f[A>>2]=0;f[A+4>>2]=0;f[A+8>>2]=0;eNb(a,F,d,9,i);if((b[c>>0]|0)<0)fuc(f[i>>2]|0);if((b[p>>0]|0)<0)fuc(f[j>>2]|0);if((b[t>>0]|0)<0)fuc(f[k>>2]|0);if((b[q>>0]|0)<0)fuc(f[l>>2]|0);if((b[y>>0]|0)<0)fuc(f[m>>2]|0)}else{F=f[o>>2]|0;A=ONb(g,h)|0;f[A>>2]=F+(z*88|0)}if((b[s>>0]|0)<0)fuc(f[h>>2]|0);z=z+1|0}while((z|0)<(f[v>>2]|0));w=g;x=f[n>>2]|0;MNb(w,x);u=e;return}
function lLa(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0.0,L=0,M=0,N=0.0,O=0,P=0,Q=0,R=0,S=0,T=0.0,U=0.0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0;g=u;u=u+272|0;h=g+144|0;i=g+136|0;j=g+124|0;k=g+112|0;l=g+56|0;m=g;gV(i,112500);if(f[i>>2]|0){}if((CJ(d,-1)|0)==3)JKa(a,c,d,e);else{f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;sJ(d,j);sJ(e,k);e=a+80|0;d=a+84|0;c=f[e>>2]|0;a:do if((f[d>>2]|0)!=(c|0)){n=a+56|0;o=a+68|0;q=h+8|0;r=h+4|0;s=h+8|0;t=h+4|0;v=m+36|0;w=m+16|0;x=m+4|0;y=m+40|0;z=m+44|0;A=m+48|0;B=l+36|0;C=l+16|0;D=l+4|0;E=l+40|0;F=l+44|0;G=l+48|0;H=0;I=c;b:while(1){J=I;K=+p[(f[n>>2]|0)+(H<<3)>>3];L=f[o>>2]|0;M=L+(H<<5)|0;N=+p[M>>3];if(!(((N==0.0?+p[L+(H<<5)+8>>3]==0.0:0)?+p[L+(H<<5)+16>>3]==0.0:0)?+p[L+(H<<5)+24>>3]==0.0:0))O=15;if((O|0)==15?(O=0,(f[(f[J+(H*56|0)+40>>2]|0)+4>>2]|0)>=5):0){O=16;break}P=f[j>>2]|0;Q=f[P+(H*56|0)>>2]&4095;if((Q|0)!=5){O=21;break}if((f[(f[J+(H*56|0)+40>>2]|0)+4>>2]|0)>1){R=f[(f[J+(H*56|0)+40>>2]|0)+4>>2]|0;if((R|0)<4){S=1;T=N;do{U=T;T=+p[L+(H<<5)+(S<<3)>>3];V=T==U;S=S+1|0}while(V&(S|0)<(R|0));W=V}else{R=1;T=N;do{U=T;T=+p[L+(H<<5)+(R<<3)>>3];S=T==U;R=R+1|0}while(S&(R|0)<4);W=S}if(!W)if((f[f[J+(H*56|0)+40>>2]>>2]|0)>0){R=0;S=f[J+(H*56|0)+40>>2]|0;V=J;X=I;while(1){if((f[S+4>>2]|0)>0){Z=0;_=V;do{$=f[_+(H*56|0)+4>>2]|0;if(($|0)<=2){O=32;break b}aa=f[_+(H*56|0)+40>>2]|0;ba=2;do{f[h+(ba+-2<<2)>>2]=f[aa+(ba<<2)>>2];ba=ba+1|0}while((ba|0)!=($|0));ba=f[_+(H*56|0)+44>>2]|0;aa=(f[_+(H*56|0)+16>>2]|0)+(Y(f[ba>>2]|0,R)|0)|0;fU(l,$+-2|0,h,f[_+(H*56|0)>>2]&4095,aa+(Y(f[ba+4>>2]|0,Z)|0)|0,0);ba=f[j>>2]|0;aa=f[ba+(H*56|0)+4>>2]|0;if((aa|0)<=2){O=36;break b}ca=f[ba+(H*56|0)+40>>2]|0;da=2;do{f[h+(da+-2<<2)>>2]=f[ca+(da<<2)>>2];da=da+1|0}while((da|0)!=(aa|0));da=f[ba+(H*56|0)+44>>2]|0;ca=(f[ba+(H*56|0)+16>>2]|0)+(Y(f[da>>2]|0,R)|0)|0;fU(m,aa+-2|0,h,f[ba+(H*56|0)>>2]&4095,ca+(Y(f[da+4>>2]|0,Z)|0)|0,0);da=s;f[da>>2]=0;f[da+4>>2]=0;f[h>>2]=33619968;f[t>>2]=m;kQ(l,h,5,K,-(K*+p[L+(H<<5)+(Z<<3)>>3]));da=f[v>>2]|0;do if(da|0){ca=da+12|0;$=f[ca>>2]|0;f[ca>>2]=$+-1;if(($|0)!=1)break;aU(m)}while(0);f[v>>2]=0;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;f[w+12>>2]=0;if((f[x>>2]|0)>0){da=f[y>>2]|0;ba=0;do{f[da+(ba<<2)>>2]=0;ba=ba+1|0}while((ba|0)<(f[x>>2]|0))}ba=f[z>>2]|0;if((ba|0)!=(A|0))TC(ba);ba=f[B>>2]|0;do if(ba|0){da=ba+12|0;aa=f[da>>2]|0;f[da>>2]=aa+-1;if((aa|0)!=1)break;aU(l)}while(0);f[B>>2]=0;f[C>>2]=0;f[C+4>>2]=0;f[C+8>>2]=0;f[C+12>>2]=0;if((f[D>>2]|0)>0){ba=f[E>>2]|0;aa=0;do{f[ba+(aa<<2)>>2]=0;aa=aa+1|0}while((aa|0)<(f[D>>2]|0))}aa=f[F>>2]|0;if((aa|0)!=(G|0))TC(aa);Z=Z+1|0;_=f[e>>2]|0;ea=f[_+(H*56|0)+40>>2]|0}while((Z|0)<(f[ea+4>>2]|0));fa=ea;ga=_;ha=_}else{fa=f[V+(H*56|0)+40>>2]|0;ga=X;ha=V}R=R+1|0;if((R|0)>=(f[fa>>2]|0)){ia=ga;break}else{S=fa;V=ha;X=ga}}}else ia=I;else O=26}else O=26;if((O|0)==26){O=0;X=q;f[X>>2]=0;f[X+4>>2]=0;f[h>>2]=33619968;f[r>>2]=P+(H*56|0);kQ(J+(H*56|0)|0,h,5,K,-(K*+p[M>>3]));ia=f[e>>2]|0}H=H+1|0;if(H>>>0>=(((f[d>>2]|0)-ia|0)/56|0)>>>0)break a;else I=ia}if((O|0)==16){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;I=cuc(48)|0;f[h>>2]=I;f[h+8>>2]=-2147483600;f[h+4>>2]=46;ja=I;ka=410061;la=ja+46|0;do{b[ja>>0]=b[ka>>0]|0;ja=ja+1|0;ka=ka+1|0}while((ja|0)<(la|0));b[I+46>>0]=0;WD(-215,h,477126,408169,459)}else if((O|0)==21)rN(Q,5,112532);else if((O|0)==32){b[h+11>>0]=10;ja=h;ka=470571;la=ja+10|0;do{b[ja>>0]=b[ka>>0]|0;ja=ja+1|0;ka=ka+1|0}while((ja|0)<(la|0));b[h+10>>0]=0;WD(-215,h,470582,475396,110)}else if((O|0)==36){b[h+11>>0]=10;ja=h;ka=470571;la=ja+10|0;do{b[ja>>0]=b[ka>>0]|0;ja=ja+1|0;ka=ka+1|0}while((ja|0)<(la|0));b[h+10>>0]=0;WD(-215,h,470582,475396,110)}}while(0);ut(k);ut(j)}if(!(f[i+4>>2]|0)){u=g;return}u=g;return}function mLa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=f[a+44>>2]|0;e=f[a+48>>2]|0;a=d;g=e;a:do if((d|0)==(e|0))h=d;else{i=b[c+11>>0]|0;j=i<<24>>24<0;k=j?f[c+4>>2]|0:i&255;i=j?f[c>>2]|0:c;j=(k|0)==0;l=d;while(1){m=b[l+11>>0]|0;n=m<<24>>24<0;o=m&255;do if(((n?f[l+4>>2]|0:o)|0)==(k|0)){m=f[l>>2]|0;p=n?m:l;if(n){if(j){h=l;break a}if(!(ahc(p,i,k)|0)){h=l;break a}else break}if(j){h=l;break a}if((m&255)<<24>>24==(b[i>>0]|0)){m=l;p=o;q=i;do{p=p+-1|0;m=m+1|0;if(!p){h=l;break a}q=q+1|0}while((b[m>>0]|0)==(b[q>>0]|0))}}while(0);l=l+12|0;if((l|0)==(e|0)){h=e;break}}}while(0);e=(h-a|0)/12|0;return ((e|0)<((g-a|0)/12|0|0)?e:-1)|0}function nLa(a,b){a=a|0;b=b|0;var c=0;switch(b|0){case 3:{c=1;break}case 2:{c=((f[a+84>>2]|0)-(f[a+80>>2]|0)|0)==56;break}default:c=0}return c|0}function oLa(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function pLa(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0;g=u;u=u+32|0;a=g+12|0;h=g+8|0;i=g+4|0;j=g;k=f[c+4>>2]|0;l=f[c>>2]|0;if(((k-l|0)/12|0|0)==(d|0)){f[i>>2]=l;f[j>>2]=k;f[h>>2]=f[i>>2];f[a>>2]=f[j>>2];qLa(e,h,a);u=g;return 0}else{g=cuc(48)|0;f[a>>2]=g;f[a+8>>2]=-2147483600;f[a+4>>2]=32;h=g;e=410028;j=h+32|0;do{b[h>>0]=b[e>>0]|0;h=h+1|0;e=e+1|0}while((h|0)<(j|0));b[g+32>>0]=0;WD(-215,a,477070,408169,570)}return 0}function qLa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;d=f[b>>2]|0;e=f[c>>2]|0;g=(e-d|0)/12|0;h=a+8|0;i=f[h>>2]|0;j=f[a>>2]|0;k=d;d=j;l=e;if(g>>>0>((i-j|0)/12|0)>>>0){if(!j)m=i;else{i=a+4|0;n=f[i>>2]|0;if((n|0)==(d|0))o=j;else{p=n;while(1){n=p+-12|0;f[i>>2]=n;q=f[n>>2]|0;if(!q)r=n;else{n=p+-8|0;s=f[n>>2]|0;if((s|0)!=(q|0))f[n>>2]=s+(~((s+-4-q|0)>>>2)<<2);fuc(q);r=f[i>>2]|0}if((r|0)==(d|0))break;else p=r}o=f[a>>2]|0}fuc(o);f[h>>2]=0;f[i>>2]=0;f[a>>2]=0;m=0}if(g>>>0>357913941)nsc(a);i=(m|0)/12|0;m=i<<1;o=i>>>0<178956970?(m>>>0<g>>>0?g:m):357913941;if(o>>>0>357913941)nsc(a);m=cuc(o*12|0)|0;i=a+4|0;f[i>>2]=m;f[a>>2]=m;f[h>>2]=m+(o*12|0);o=f[b>>2]|0;b=f[c>>2]|0;if((o|0)==(b|0))return;c=m;m=o;do{tHa(c,m);m=m+12|0;c=(f[i>>2]|0)+12|0;f[i>>2]=c}while((m|0)!=(b|0));return}else{b=a+4|0;a=((f[b>>2]|0)-j|0)/12|0;j=g>>>0>a>>>0;g=j?k+(a*12|0)|0:e;if((k|0)==(g|0))t=d;else{e=d;d=k;while(1){if((e|0)!=(d|0))zva(e,f[d>>2]|0,f[d+4>>2]|0);d=d+12|0;k=e+12|0;if((d|0)==(g|0)){t=k;break}else e=k}}if(j){if((g|0)==(l|0))return;j=f[b>>2]|0;e=g;do{tHa(j,e);e=e+12|0;j=(f[b>>2]|0)+12|0;f[b>>2]=j}while((e|0)!=(l|0));return}l=f[b>>2]|0;if((l|0)==(t|0))return;else u=l;while(1){l=u+-12|0;f[b>>2]=l;e=f[l>>2]|0;if(!e)v=l;else{l=u+-8|0;j=f[l>>2]|0;if((j|0)!=(e|0))f[l>>2]=j+(~((j+-4-e|0)>>>2)<<2);fuc(e);v=f[b>>2]|0}if((v|0)==(t|0))break;else u=v}return}}function rLa(a){a=a|0;var b=0;b=f[a+4>>2]|0;if(!b)return;Xtc(b);return}function sLa(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;g=u;u=u+464|0;h=g+232|0;i=g+224|0;j=g;gV(i,112560);k=f[a>>2]|0;l=ZEa(k+32|0,c)|0;if((l|0)!=(k+36|0)?(f[l+28>>2]|0)>-1:0){nEa(j,410386,c);l=Duc(j,410394)|0;f[h>>2]=f[l>>2];f[h+4>>2]=f[l+4>>2];f[h+8>>2]=f[l+8>>2];f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;WD(-5,h,410413,408169,2437)}l=f[a>>2]|0;k=l+116|0;m=(f[k>>2]|0)+1|0;f[k>>2]=m;ouc(j,c);k=j+12|0;f[k>>2]=m;n=l+32|0;o=uEa(n,h,j)|0;if(!(f[o>>2]|0)){p=cuc(32)|0;q=p+16|0;f[q>>2]=f[j>>2];f[q+4>>2]=f[j+4>>2];f[q+8>>2]=f[j+8>>2];f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[p+28>>2]=f[k>>2];k=f[h>>2]|0;f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=k;f[o>>2]=p;k=f[f[n>>2]>>2]|0;if(!k)r=p;else{f[n>>2]=k;r=f[o>>2]|0}jI(f[l+36>>2]|0,r);r=l+40|0;f[r>>2]=(f[r>>2]|0)+1}if((b[j+11>>0]|0)<0)fuc(f[j>>2]|0);r=f[a>>2]|0;a=r+20|0;tLa(j,m,c,d,e);f[h>>2]=m;e=h+4|0;f[e>>2]=f[j>>2];d=h+8|0;c=j+4|0;f[d>>2]=f[c>>2];f[d+4>>2]=f[c+4>>2];f[d+8>>2]=f[c+8>>2];f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;c=h+20|0;d=j+16|0;f[c>>2]=f[d>>2];f[c+4>>2]=f[d+4>>2];f[c+8>>2]=f[d+8>>2];f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;d=h+32|0;c=j+28|0;f[d>>2]=f[c>>2];l=f[j+32>>2]|0;f[h+36>>2]=l;o=j+36|0;k=f[o>>2]|0;f[h+40>>2]=k;n=h+36|0;if(!k)f[d>>2]=n;else{f[l+8>>2]=n;n=j+32|0;f[c>>2]=n;f[n>>2]=0;f[o>>2]=0}o=j+40|0;f[h+44>>2]=f[o>>2];n=j+44|0;f[h+48>>2]=f[n>>2];c=j+48|0;f[h+52>>2]=f[c>>2];f[c>>2]=0;f[n>>2]=0;f[o>>2]=0;o=h+56|0;n=j+52|0;f[o>>2]=f[n>>2];f[o+4>>2]=f[n+4>>2];f[o+8>>2]=f[n+8>>2];f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;n=h+68|0;o=j+64|0;f[n>>2]=f[o>>2];f[n+4>>2]=f[o+4>>2];f[n+8>>2]=f[o+8>>2];f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;o=j+76|0;f[h+80>>2]=f[o>>2];n=j+80|0;f[h+84>>2]=f[n>>2];c=j+84|0;f[h+88>>2]=f[c>>2];f[c>>2]=0;f[n>>2]=0;f[o>>2]=0;o=h+92|0;n=j+88|0;f[o>>2]=f[n>>2];c=f[j+92>>2]|0;f[h+96>>2]=c;l=j+96|0;d=f[l>>2]|0;f[h+100>>2]=d;k=h+96|0;if(!d)f[o>>2]=k;else{f[c+8>>2]=k;k=j+92|0;f[n>>2]=k;f[k>>2]=0;f[l>>2]=0}l=h+104|0;k=j+100|0;f[l>>2]=f[k>>2];n=f[j+104>>2]|0;f[h+108>>2]=n;c=j+108|0;o=f[c>>2]|0;f[h+112>>2]=o;d=h+108|0;if(!o)f[l>>2]=d;else{f[n+8>>2]=d;d=j+104|0;f[k>>2]=d;f[d>>2]=0;f[c>>2]=0}c=j+112|0;f[h+116>>2]=f[c>>2];d=j+116|0;f[h+120>>2]=f[d>>2];k=j+120|0;f[h+124>>2]=f[k>>2];f[k>>2]=0;f[d>>2]=0;f[c>>2]=0;c=j+124|0;f[h+128>>2]=f[c>>2];d=j+128|0;f[h+132>>2]=f[d>>2];k=j+132|0;f[h+136>>2]=f[k>>2];f[k>>2]=0;f[d>>2]=0;f[c>>2]=0;c=j+136|0;f[h+140>>2]=f[c>>2];d=j+140|0;f[h+144>>2]=f[d>>2];k=j+144|0;f[h+148>>2]=f[k>>2];f[k>>2]=0;f[d>>2]=0;f[c>>2]=0;c=j+148|0;f[h+152>>2]=f[c>>2];d=j+152|0;f[h+156>>2]=f[d>>2];k=j+156|0;f[h+160>>2]=f[k>>2];f[k>>2]=0;f[d>>2]=0;f[c>>2]=0;c=j+160|0;f[h+164>>2]=f[c>>2];d=j+164|0;f[h+168>>2]=f[d>>2];f[c>>2]=0;f[d>>2]=0;d=j+168|0;f[h+172>>2]=f[d>>2];c=j+172|0;f[h+176>>2]=f[c>>2];k=j+176|0;f[h+180>>2]=f[k>>2];f[k>>2]=0;f[c>>2]=0;f[d>>2]=0;d=j+180|0;f[h+184>>2]=f[d>>2];c=j+184|0;f[h+188>>2]=f[c>>2];k=j+188|0;f[h+192>>2]=f[k>>2];f[k>>2]=0;f[c>>2]=0;f[d>>2]=0;d=j+192|0;f[h+196>>2]=f[d>>2];c=j+196|0;f[h+200>>2]=f[c>>2];k=j+200|0;f[h+204>>2]=f[k>>2];f[k>>2]=0;f[c>>2]=0;f[d>>2]=0;d=h+208|0;c=j+204|0;f[d>>2]=f[c>>2];k=f[j+208>>2]|0;f[h+212>>2]=k;n=j+212|0;l=f[n>>2]|0;f[h+216>>2]=l;o=h+212|0;if(!l)f[d>>2]=o;else{f[k+8>>2]=o;o=j+208|0;f[c>>2]=o;f[o>>2]=0;f[n>>2]=0}n=j+216|0;o=f[n+4>>2]|0;c=h+220|0;f[c>>2]=f[n>>2];f[c+4>>2]=o;o=r+24|0;c=f[o>>2]|0;do if(c){n=f[h>>2]|0;k=r+24|0;d=c;while(1){l=f[d+16>>2]|0;if((n|0)<(l|0)){p=f[d>>2]|0;if(!p){s=27;break}else{t=d;v=p}}else{if((l|0)>=(n|0)){s=31;break}w=d+4|0;l=f[w>>2]|0;if(!l){s=30;break}else{t=w;v=l}}k=t;d=v}if((s|0)==27){x=d;y=d;break}else if((s|0)==30){x=d;y=w;break}else if((s|0)==31){x=d;y=k;break}}else{x=o;y=o}while(0);if(!(f[y>>2]|0)){o=cuc(244)|0;f[o+16>>2]=f[h>>2];dLa(o+20|0,e);f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=x;f[y>>2]=o;x=f[f[a>>2]>>2]|0;if(!x)z=o;else{f[a>>2]=x;z=f[y>>2]|0}jI(f[r+24>>2]|0,z);z=r+28|0;f[z>>2]=(f[z>>2]|0)+1}bLa(e);bLa(j);if(!(f[i+4>>2]|0)){u=g;return m|0}u=g;return m|0}function tLa(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0;h=u;u=u+16|0;i=h;f[a>>2]=c;c=a+4|0;ouc(c,d);d=a+16|0;ouc(d,e);gKa(a+28|0,g);f[a+76>>2]=0;f[a+80>>2]=0;f[a+84>>2]=0;f[a+92>>2]=0;f[a+96>>2]=0;f[a+88>>2]=a+92;f[a+104>>2]=0;f[a+108>>2]=0;f[a+100>>2]=a+104;g=a+204|0;f[a+208>>2]=0;f[a+212>>2]=0;e=a+208|0;j=a+112|0;k=j+92|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));f[g>>2]=e;b[a+216>>0]=0;f[a+220>>2]=0;gV(i,112580);ruc(a+52|0,c)|0;ruc(a+64|0,d)|0;if(!(f[i+4>>2]|0)){u=h;return}u=h;return}function uLa(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0;g=u;u=u+16|0;h=g;gV(h,112600);vLa(f[a>>2]|0,b,c,d,e);if(!(f[h+4>>2]|0)){u=g;return}u=g;return}function vLa(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0;h=u;u=u+48|0;i=h+16|0;j=h+8|0;k=h;l=h+32|0;if((c|0)>=(e|0)){m=cuc(32)|0;f[i>>2]=m;f[i+8>>2]=-2147483616;f[i+4>>2]=22;n=m;o=410660;p=n+22|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));b[m+22>>0]=0;WD(-215,i,410683,408169,1224)}m=a+24|0;a=f[m>>2]|0;if(!a){f[k>>2]=c;cE(i,410691,k);WD(-204,i,410728,408169,1149)}else{q=m;r=a}a:while(1){o=r;while(1){if((f[o+16>>2]|0)>=(c|0))break;n=f[o+4>>2]|0;if(!n){s=q;break a}else o=n}r=f[o>>2]|0;if(!r){s=o;break}else q=o}if((s|0)==(m|0)){f[k>>2]=c;cE(i,410691,k);WD(-204,i,410728,408169,1149)}if((f[s+16>>2]|0)>(c|0)){f[k>>2]=c;cE(i,410691,k);WD(-204,i,410728,408169,1149)}else{t=m;v=a}b:while(1){a=v;while(1){if((f[a+16>>2]|0)>=(e|0))break;k=f[a+4>>2]|0;if(!k){w=t;break b}else a=k}v=f[a>>2]|0;if(!v){w=a;break}else t=a}if((w|0)==(m|0)){f[j>>2]=e;cE(i,410691,j);WD(-204,i,410728,408169,1149)}if((f[w+16>>2]|0)>(e|0)){f[j>>2]=e;cE(i,410691,j);WD(-204,i,410728,408169,1149)}f[l>>2]=c;f[l+4>>2]=d;f[i>>2]=f[l>>2];f[i+4>>2]=f[l+4>>2];wLa(w+20|0,g,i);g=s+120|0;w=s+124|0;l=f[w>>2]|0;do if(l){c=s+124|0;j=l;while(1){m=f[j+16>>2]|0;if((m|0)>(d|0)){t=f[j>>2]|0;if(!t){x=23;break}else{y=j;z=t}}else{if((m|0)>=(d|0)){x=27;break}A=j+4|0;m=f[A>>2]|0;if(!m){x=26;break}else{y=A;z=m}}c=y;j=z}if((x|0)==23){B=j;C=j;break}else if((x|0)==26){B=j;C=A;break}else if((x|0)==27){B=j;C=c;break}}else{B=w;C=w}while(0);if(!(f[C>>2]|0)){w=cuc(20)|0;f[w+16>>2]=d;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=B;f[C>>2]=w;B=f[f[g>>2]>>2]|0;if(!B)D=w;else{f[g>>2]=B;D=f[C>>2]|0}jI(f[s+124>>2]|0,D);D=s+128|0;f[D>>2]=(f[D>>2]|0)+1}f[i>>2]=e;f[i+4>>2]=d;d=s+136|0;e=f[d>>2]|0;if(e>>>0<(f[s+140>>2]|0)>>>0){D=i;C=f[D+4>>2]|0;B=e;f[B>>2]=f[D>>2];f[B+4>>2]=C;f[d>>2]=(f[d>>2]|0)+8;u=h;return}else{xLa(s+132|0,i);u=h;return}}function wLa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=u;u=u+32|0;g=e;h=e+8|0;i=a+76|0;j=a+80|0;k=f[j>>2]|0;l=f[i>>2]|0;m=k-l>>3;n=l;do if((m|0)>(c|0)){l=n+(c<<3)|0;o=f[l>>2]|0;p=f[l+4>>2]|0;if((p|o|0)<0)q=n;else{if((o|0)==(f[d>>2]|0)?(p|0)==(f[d+4>>2]|0):0){q=n;break}p=a+4|0;o=(b[p+11>>0]|0)<0?f[p>>2]|0:p;f[g>>2]=c;f[g+4>>2]=o;cE(h,410741,g);WD(-2,h,410787,408169,1184)}}else{o=c+1|0;p=k;if(o>>>0>m>>>0){yLa(i,o-m|0);q=f[i>>2]|0;break}if(o>>>0<m>>>0?(l=n+(o<<3)|0,(p|0)!=(l|0)):0){f[j>>2]=p+(~((p+-8-l|0)>>>3)<<3);q=n}else q=n}while(0);n=d;d=f[n+4>>2]|0;j=q+(c<<3)|0;f[j>>2]=f[n>>2];f[j+4>>2]=d;u=e;return}function xLa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+4|0;d=f[a>>2]|0;e=(f[c>>2]|0)-d|0;g=e>>3;h=g+1|0;if(h>>>0>536870911)nsc(a);i=a+8|0;j=(f[i>>2]|0)-d|0;k=j>>2;l=j>>3>>>0<268435455?(k>>>0<h>>>0?h:k):536870911;do if(l)if(l>>>0>536870911){k=ze(8)|0;kuc(k,519086);f[k>>2]=167148;Hf(k|0,26888,1888)}else{m=cuc(l<<3)|0;break}else m=0;while(0);k=m+(g<<3)|0;h=b;b=f[h+4>>2]|0;j=k;f[j>>2]=f[h>>2];f[j+4>>2]=b;b=k+(0-g<<3)|0;if((e|0)>0)szc(b|0,d|0,e|0)|0;f[a>>2]=b;f[c>>2]=k+8;f[i>>2]=m+(l<<3);if(!d)return;fuc(d);return}function yLa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(d-g>>3>>>0>=b>>>0){kzc(g|0,-1,b<<3|0)|0;f[e>>2]=g+(b<<3);return}h=f[a>>2]|0;i=g-h|0;g=i>>3;j=g+b|0;if(j>>>0>536870911)nsc(a);k=d-h|0;d=k>>2;l=k>>3>>>0<268435455?(d>>>0<j>>>0?j:d):536870911;do if(l)if(l>>>0>536870911){d=ze(8)|0;kuc(d,519086);f[d>>2]=167148;Hf(d|0,26888,1888)}else{m=cuc(l<<3)|0;break}else m=0;while(0);d=m+(g<<3)|0;kzc(d|0,-1,b<<3|0)|0;j=d+(0-g<<3)|0;if((i|0)>0)szc(j|0,h|0,i|0)|0;f[a>>2]=j;f[e>>2]=d+(b<<3);f[c>>2]=m+(l<<3);if(!h)return;fuc(h);return}function zLa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=u;u=u+16|0;g=e;h=e+4|0;f[a>>2]=-1;i=a+4|0;f[i>>2]=-1;j=d+11|0;k=b[j>>0]|0;l=d+4|0;do if((k<<24>>24<0?f[l>>2]|0:k&255)|0){m=ZEa(c+32|0,d)|0;if((m|0)==(c+36|0)){f[a>>2]=-1;u=e;return}else{n=f[m+28>>2]|0;f[a>>2]=n;if((n|0)>-1){o=n;break}u=e;return}}else{f[a>>2]=0;o=0}while(0);a=c+24|0;c=f[a>>2]|0;if(c|0){k=a;n=c;a:while(1){c=n;while(1){if((f[c+16>>2]|0)>=(o|0))break;m=f[c+4>>2]|0;if(!m){p=k;break a}else c=m}n=f[c>>2]|0;if(!n){p=c;break}else k=c}if((p|0)!=(a|0)?(f[p+16>>2]|0)<=(o|0):0){a=b[j>>0]|0;if((a<<24>>24<0?f[l>>2]|0:a&255)|0){ALa(h,p+20|0);p=f[h>>2]|0;a=Th[f[(f[p>>2]|0)+52>>2]&1023](p,d)|0;d=f[h+4>>2]|0;if(!d)q=a;else{Xtc(d);q=a}}else q=0;f[i>>2]=q;u=e;return}}f[g>>2]=o;cE(h,410691,g);WD(-204,h,410728,408169,1149)}function ALa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=u;u=u+64|0;e=d+48|0;g=d+36|0;h=d+24|0;i=d+12|0;j=d;gV(e,112620);if(f[e>>2]|0){}k=c+160|0;l=f[k>>2]|0;if(!l){m=c+16|0;BLa(g,m,c+28|0);n=f[g>>2]|0;o=g+4|0;p=f[o>>2]|0;if(p|0)Wtc(p);f[k>>2]=n;n=c+164|0;q=f[n>>2]|0;f[n>>2]=p;if(q|0)Xtc(q);q=f[o>>2]|0;if(q|0)Xtc(q);q=f[k>>2]|0;if(!q){nEa(j,410864,c+4|0);k=Duc(j,410885)|0;f[i>>2]=f[k>>2];f[i+4>>2]=f[k+4>>2];f[i+8>>2]=f[k+8>>2];f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;k=b[m+11>>0]|0;j=k<<24>>24<0;o=Cuc(i,j?f[m>>2]|0:m,j?f[c+20>>2]|0:k&255)|0;f[h>>2]=f[o>>2];f[h+4>>2]=f[o+4>>2];f[h+8>>2]=f[o+8>>2];f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;o=Duc(h,517029)|0;f[g>>2]=f[o>>2];f[g+4>>2]=f[o+4>>2];f[g+8>>2]=f[o+8>>2];f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;WD(-2,g,410897,408169,412)}f[a>>2]=q;q=f[n>>2]|0;f[a+4>>2]=q;if(q|0)Wtc(q)}else{f[a>>2]=l;l=f[c+164>>2]|0;f[a+4>>2]=l;if(l|0)Wtc(l)}if(!(f[e+4>>2]|0)){u=d;return}u=d;return}function BLa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;e=u;u=u+32|0;g=e+24|0;h=e+12|0;i=e;gV(g,112652);j=CLa()|0;$tc(j);ouc(h,c);c=h+11|0;k=b[c>>0]|0;l=k<<24>>24<0;m=f[h>>2]|0;n=l?m+(f[h+4>>2]|0)|0:h+(k&255)|0;k=l?m:h;if((k|0)!=(n|0)){m=k;do{k=(Uec(b[m>>0]|0)|0)&255;b[m>>0]=k;m=m+1|0}while((m|0)!=(n|0))}n=ELa(DLa()|0,h)|0;do if((n|0)!=((DLa()|0)+4|0)){m=f[n+32>>2]|0;if((f[n+28>>2]|0)==(m|0)){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;k=cuc(32)|0;f[i>>2]=k;f[i+8>>2]=-2147483616;f[i+4>>2]=19;l=k;o=410914;p=l+19|0;do{b[l>>0]=b[o>>0]|0;l=l+1|0;o=o+1|0}while((l|0)<(p|0));b[k+19>>0]=0;WD(-215,i,410934,408169,3395)}else{yh[f[m+-4>>2]&2047](a,d);break}}else{f[a>>2]=0;f[a+4>>2]=0}while(0);if((b[c>>0]|0)<0)fuc(f[h>>2]|0);auc(j);if(!(f[g+4>>2]|0)){u=e;return}u=e;return}function CLa(){var a=0,b=0,c=0;if(f[224704]|0){a=f[224704]|0;return a|0}b=cNa()|0;$tc(b);if(!(f[224704]|0)){c=cuc(28)|0;Ztc(c);f[224704]=c}auc(b);a=f[224704]|0;return a|0}function DLa(){var a=0,c=0;if(f[224700]|0){a=f[224700]|0;return a|0}c=CLa()|0;$tc(c);if(!(f[224700]|0)){if((b[535792]|0)==0?$yc(535792)|0:0){f[224702]=0;f[224703]=0;f[224701]=898808;Bd(1972,898804,x|0)|0}f[224700]=898804;dNa()}auc(c);a=f[224700]|0;return a|0}function ELa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;d=a+4|0;a=f[d>>2]|0;do if(a|0){e=b[c+11>>0]|0;g=e<<24>>24<0;h=g?f[c+4>>2]|0:e&255;e=g?f[c>>2]|0:c;g=d;i=a;a:while(1){j=i;while(1){k=j+16|0;l=b[k+11>>0]|0;m=l<<24>>24<0;n=m?f[j+20>>2]|0:l&255;l=h>>>0<n>>>0?h:n;if((l|0)!=0?(o=ahc(m?f[k>>2]|0:k,e,l)|0,(o|0)!=0):0){if((o|0)>=0)break}else p=6;if((p|0)==6?(p=0,n>>>0>=h>>>0):0)break;n=f[j+4>>2]|0;if(!n){q=g;break a}else j=n}i=f[j>>2]|0;if(!i){q=j;break}else g=j}if((q|0)!=(d|0)){g=q+16|0;i=b[g+11>>0]|0;n=i<<24>>24<0;o=n?f[q+20>>2]|0:i&255;i=o>>>0<h>>>0?o:h;if(i|0?(l=ahc(e,n?f[g>>2]|0:g,i)|0,l|0):0){if((l|0)<0)break;else r=q;return r|0}if(h>>>0>=o>>>0){r=q;return r|0}}}while(0);r=d;return r|0}function FLa(a){a=a|0;GLa(a,f[a+4>>2]|0);return}function GLa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;if(!c)return;GLa(a,f[c>>2]|0);GLa(a,f[c+4>>2]|0);a=c+16|0;d=f[c+28>>2]|0;if(d|0){e=c+32|0;g=f[e>>2]|0;if((g|0)!=(d|0))f[e>>2]=g+(~((g+-4-d|0)>>>2)<<2);fuc(d)}if((b[a+11>>0]|0)<0)fuc(f[a>>2]|0);fuc(c);return}function HLa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=u;u=u+64|0;g=e;h=e+48|0;i=e+36|0;j=e+12|0;k=e+24|0;gV(h,112684);ouc(i,d);d=i+11|0;l=b[d>>0]|0;if(((l<<24>>24<0?f[i+4>>2]|0:l&255)|0)==0?(ILa(g,c),l=g+4|0,ruc(i,(f[l>>2]|0)+-12|0)|0,m=f[g>>2]|0,m|0):0){n=f[l>>2]|0;if((n|0)==(m|0))o=m;else{p=n;while(1){n=p+-12|0;f[l>>2]=n;if((b[n+11>>0]|0)<0){fuc(f[n>>2]|0);q=f[l>>2]|0}else q=n;if((q|0)==(m|0))break;else p=q}o=f[g>>2]|0}fuc(o)}zLa(g,f[c>>2]|0,i);f[j>>2]=0;o=j+4|0;f[o>>2]=0;f[j+8>>2]=0;q=cuc(8)|0;f[j>>2]=q;f[j+8>>2]=q+8;p=g;m=f[p+4>>2]|0;l=q;f[l>>2]=f[p>>2];f[l+4>>2]=m;f[o>>2]=q+8;JLa(f[c>>2]|0,j);q=f[c>>2]|0;LLa(q,KLa(q,i)|0,1);q=f[c>>2]|0;ouc(k,i);zLa(g,q,k);MLa(a,q,g);if((b[k+11>>0]|0)<0)fuc(f[k>>2]|0);k=f[j>>2]|0;if(k|0){j=f[o>>2]|0;if((j|0)!=(k|0))f[o>>2]=j+(~((j+-8-k|0)>>>3)<<3);fuc(k)}if((b[d>>0]|0)<0)fuc(f[i>>2]|0);if(!(f[h+4>>2]|0)){u=e;return}u=e;return}function ILa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;f[a>>2]=0;c=a+4|0;f[c>>2]=0;f[a+8>>2]=0;OMa(a,f[(f[b>>2]|0)+28>>2]|0);d=f[b>>2]|0;e=f[d+20>>2]|0;if((e|0)==(d+24|0))return;d=a+8|0;g=e;while(1){do if(f[g+20>>2]|0){e=g+24|0;h=f[c>>2]|0;if((h|0)==(f[d>>2]|0)){fEa(a,e);break}else{ouc(h,e);f[c>>2]=(f[c>>2]|0)+12;break}}while(0);e=f[g+4>>2]|0;if(!e){h=g+8|0;i=f[h>>2]|0;if((f[i>>2]|0)==(g|0))j=i;else{i=h;do{h=f[i>>2]|0;i=h+8|0;k=f[i>>2]|0}while((f[k>>2]|0)!=(h|0));j=k}}else{i=e;while(1){k=f[i>>2]|0;if(!k)break;else i=k}j=i}if((j|0)==((f[b>>2]|0)+24|0))break;else g=j}return}function JLa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;d=u;u=u+176|0;e=d+152|0;g=d+144|0;h=d;gV(g,112764);i=a+80|0;j=f[i>>2]|0;if(!j){k=f[224691]|0;f[i>>2]=k;l=k}else l=j;switch(l|0){case 3:{if((f[a+84>>2]|0)>>>0>=3){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;j=cuc(176)|0;f[e>>2]=j;f[e+8>>2]=-2147483472;f[e+4>>2]=164;szc(j|0,412030,164)|0;b[j+164>>0]=0;WD(-215,e,412195,408169,1062)}break}case 1:{if((f[a+84>>2]|0)>>>0>=2){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;j=cuc(128)|0;f[e>>2]=j;f[e+8>>2]=-2147483520;f[e+4>>2]=118;m=j;n=412204;o=m+118|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));b[j+118>>0]=0;WD(-215,e,412195,408169,1065)}break}case 2:{if((f[a+84>>2]|0)>>>0>=4){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;j=cuc(224)|0;f[e>>2]=j;f[e+8>>2]=-2147483424;f[e+4>>2]=215;szc(j|0,412323,215)|0;b[j+215>>0]=0;WD(-215,e,412195,408169,1070)}break}default:{}}j=a+120|0;a:do if((b[j>>0]|0)!=0?(k=f[a+12>>2]|0,p=f[a+8>>2]|0,q=f[c>>2]|0,r=p,s=k,(k-p|0)==((f[c+4>>2]|0)-q|0)):0){if((r|0)!=(s|0)){p=r;r=q;while(1){if((f[p>>2]|0)!=(f[r>>2]|0)){t=17;break a}if((f[p+4>>2]|0)!=(f[r+4>>2]|0)){t=17;break a}p=p+8|0;if((p|0)==(s|0))break;else r=r+8|0}}}else t=17;while(0);if((t|0)==17){if((l|0)==3?(l=a+84|0,((f[l>>2]|0)+-1|0)>>>0<2):0){if((EHb()|0)>=3){t=h+64|0;r=h+8|0;f[r>>2]=35368;s=h+12|0;f[h>>2]=10468;f[t>>2]=10488;f[h+4>>2]=0;bkc(h+64|0,s);f[h+136>>2]=0;f[h+140>>2]=-1;f[h>>2]=35348;f[t>>2]=35388;f[r>>2]=35368;gkc(s);f[s>>2]=35404;r=h+44|0;f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;f[r+12>>2]=0;f[h+60>>2]=24;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;$D(s,e);if((b[e+11>>0]|0)<0)fuc(f[e>>2]|0);p=h+8|0;aE(p,412539,75)|0;bE(e,s);q=e+11|0;FHb(3,(b[q>>0]|0)<0?f[e>>2]|0:e);if((b[q>>0]|0)<0)fuc(f[e>>2]|0);f[h>>2]=35348;f[t>>2]=35388;f[p>>2]=35368;f[s>>2]=35404;if((b[r+11>>0]|0)<0)fuc(f[r>>2]|0);Ric(s);Zjc(h,35464);Mic(t)}f[l>>2]=0}ULa(a);VLa(a,c);l=a+24|0;t=f[l>>2]|0;if(!t){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;v=cuc(32)|0;f[e>>2]=v;w=e+8|0;f[w>>2]=-2147483616;x=e+4|0;f[x>>2]=18;m=v;n=412615;o=m+18|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));y=v+18|0;b[y>>0]=0;WD(-215,e,412195,408169,1095)}else{z=l;A=t}b:while(1){t=A;while(1){if((f[t+16>>2]|0)>=0)break;h=f[t+4>>2]|0;if(!h){B=z;break b}else t=h}A=f[t>>2]|0;if(!A){B=t;break}else z=t}if((B|0)==(l|0)){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;v=cuc(32)|0;f[e>>2]=v;w=e+8|0;f[w>>2]=-2147483616;x=e+4|0;f[x>>2]=18;m=v;n=412615;o=m+18|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));y=v+18|0;b[y>>0]=0;WD(-215,e,412195,408169,1095)}if((f[B+16>>2]|0)>=1){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;v=cuc(32)|0;f[e>>2]=v;w=e+8|0;f[w>>2]=-2147483616;x=e+4|0;f[x>>2]=18;m=v;n=412615;o=m+18|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));y=v+18|0;b[y>>0]=0;WD(-215,e,412195,408169,1095)}b[B+236>>0]=b[(f[a>>2]|0)+92>>0]|0;WLa(a);if((b[j>>0]|0)==0?(f[i>>2]|0)==1:0){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;i=cuc(48)|0;f[e>>2]=i;f[e+8>>2]=-2147483600;f[e+4>>2]=39;m=i;n=412634;o=m+39|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));b[i+39>>0]=0;WD(-215,e,412195,408169,1106)}b[j>>0]=1;j=a+8|0;if((j|0)!=(c|0))XLa(j,f[c>>2]|0,f[c+4>>2]|0)}if(!(f[g+4>>2]|0)){u=d;return}u=d;return}function KLa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=u;u=u+32|0;d=c;e=c+16|0;g=c+4|0;h=ZEa(a+32|0,b)|0;if((h|0)!=(a+36|0)?(i=f[h+28>>2]|0,(i|0)>=0):0){h=a+24|0;a=f[h>>2]|0;if(a|0){j=h;k=a;a:while(1){a=k;while(1){if((f[a+16>>2]|0)>=(i|0))break;l=f[a+4>>2]|0;if(!l){m=j;break a}else a=l}k=f[a>>2]|0;if(!k){m=a;break}else j=a}if((m|0)!=(h|0)?(f[m+16>>2]|0)<=(i|0):0){u=c;return m+20|0}}f[d>>2]=i;cE(e,410691,d);WD(-204,e,410728,408169,1149)}nEa(g,412e3,b);b=Duc(g,412018)|0;f[e>>2]=f[b>>2];f[e+4>>2]=f[b+4>>2];f[e+8>>2]=f[b+8>>2];f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;WD(-2,e,410728,408169,1159);return 0}function LLa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;d=u;u=u+16|0;e=d;gV(e,112724);if(c?(c=f[a+20>>2]|0,g=a+24|0,(c|0)!=(g|0)):0){h=c;while(1){f[h+240>>2]=0;c=f[h+4>>2]|0;if(!c){i=h+8|0;j=f[i>>2]|0;if((f[j>>2]|0)==(h|0))k=j;else{j=i;do{i=f[j>>2]|0;j=i+8|0;l=f[j>>2]|0}while((f[l>>2]|0)!=(i|0));k=l}}else{j=c;while(1){l=f[j>>2]|0;if(!l)break;else j=l}k=j}if((k|0)==(g|0))break;else h=k}}if(!(f[b+220>>2]|0)){k=f[a+20>>2]|0;h=a+24|0;a:do if((k|0)!=(h|0)){g=k;while(1){c=g+20|0;if((f[c>>2]|0)>=(f[b>>2]|0))break a;if(!(f[g+240>>2]|0))OLa(a,c);c=f[g+4>>2]|0;if(!c){l=g+8|0;i=f[l>>2]|0;if((f[i>>2]|0)==(g|0))m=i;else{i=l;do{l=f[i>>2]|0;i=l+8|0;n=f[i>>2]|0}while((f[n>>2]|0)!=(l|0));m=n}}else{i=c;while(1){n=f[i>>2]|0;if(!n)break;else i=n}m=i}if((m|0)==(h|0))break;else g=m}}while(0);OLa(a,b)}if(!(f[e+4>>2]|0)){u=d;return}u=d;return}function MLa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;e=u;u=u+64|0;g=e;h=e+40|0;i=e+24|0;j=e+56|0;k=e+16|0;gV(k,112704);if((f[d>>2]|0)<=-1){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;l=cuc(32)|0;f[h>>2]=l;m=h+8|0;f[m>>2]=-2147483616;n=h+4|0;f[n>>2]=24;o=l;p=411208;q=o+24|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));r=l+24|0;b[r>>0]=0;WD(-204,h,411233,408169,2345)}s=d+4|0;if((f[s>>2]|0)<=-1){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;l=cuc(32)|0;f[h>>2]=l;m=h+8|0;f[m>>2]=-2147483616;n=h+4|0;f[n>>2]=24;o=l;p=411208;q=o+24|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));r=l+24|0;b[r>>0]=0;WD(-204,h,411233,408169,2345)}f[i>>2]=d;NLa(h,c+20|0,d,1169304,i,j);j=f[h>>2]|0;d=f[s>>2]|0;r=j+188|0;l=f[r>>2]|0;n=((f[j+192>>2]|0)-l|0)/56|0;m=l;if(d>>>0>=n>>>0){l=j+24|0;if((b[l+11>>0]|0)<0){t=f[l>>2]|0;f[g>>2]=t;v=g+4|0;f[v>>2]=n;w=g+8|0;f[w>>2]=d;cE(h,411241,g);WD(-211,h,411233,408169,2352)}else{t=l;f[g>>2]=t;v=g+4|0;f[v>>2]=n;w=g+8|0;f[w>>2]=d;cE(h,411241,g);WD(-211,h,411233,408169,2352)}}do if(f[c+84>>2]|0){g=f[j+144>>2]|0;if((g|0)==(f[j+148>>2]|0)){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;x=cuc(80)|0;f[h>>2]=x;y=h+8|0;f[y>>2]=-2147483568;z=h+4|0;f[z>>2]=75;o=x;p=411299;q=o+75|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));A=x+75|0;b[A>>0]=0;WD(-215,h,411233,408169,2356)}w=f[g+(d<<3)>>2]|0;if(!w){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;x=cuc(80)|0;f[h>>2]=x;y=h+8|0;f[y>>2]=-2147483568;z=h+4|0;f[z>>2]=75;o=x;p=411299;q=o+75|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));A=x+75|0;b[A>>0]=0;WD(-215,h,411233,408169,2356)}else{bi[f[(f[w>>2]|0)+8>>2]&2047](w);B=r;C=f[r>>2]|0;D=f[s>>2]|0;break}}else{B=r;C=m;D=d}while(0);d=C+(D*56|0)|0;m=f[d>>2]|0;do if((m&7|0)==3){r=(f[B>>2]|0)+(D*56|0)|0;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=r;r=c+136|0;s=i+8|0;f[s>>2]=0;f[s+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=r;lQ(h,i);f[a>>2]=f[r>>2];s=a+4|0;A=c+140|0;x=f[A>>2]|0;f[s>>2]=x;p=a+8|0;f[p>>2]=f[c+144>>2];f[a+12>>2]=f[c+148>>2];f[a+16>>2]=f[c+152>>2];f[a+20>>2]=f[c+156>>2];f[a+24>>2]=f[c+160>>2];f[a+28>>2]=f[c+164>>2];f[a+32>>2]=f[c+168>>2];o=f[c+172>>2]|0;f[a+36>>2]=o;f[a+40>>2]=p;p=a+48|0;q=a+44|0;f[q>>2]=p;f[p>>2]=0;f[a+52>>2]=0;if(!o)E=x;else{x=o+12|0;f[x>>2]=(f[x>>2]|0)+1;E=f[A>>2]|0}if((E|0)<3){A=f[c+180>>2]|0;x=f[q>>2]|0;f[x>>2]=f[A>>2];f[x+4>>2]=f[A+4>>2];break}else{f[s>>2]=0;$T(a,r);break}}else{f[a>>2]=m;r=a+4|0;s=C+(D*56|0)+4|0;f[r>>2]=f[s>>2];A=a+8|0;f[A>>2]=f[C+(D*56|0)+8>>2];f[a+12>>2]=f[C+(D*56|0)+12>>2];f[a+16>>2]=f[C+(D*56|0)+16>>2];f[a+20>>2]=f[C+(D*56|0)+20>>2];f[a+24>>2]=f[C+(D*56|0)+24>>2];f[a+28>>2]=f[C+(D*56|0)+28>>2];f[a+32>>2]=f[C+(D*56|0)+32>>2];x=f[C+(D*56|0)+36>>2]|0;f[a+36>>2]=x;f[a+40>>2]=A;A=a+48|0;q=a+44|0;f[q>>2]=A;f[A>>2]=0;f[a+52>>2]=0;if(x|0){A=x+12|0;f[A>>2]=(f[A>>2]|0)+1}if((f[s>>2]|0)<3){s=f[C+(D*56|0)+44>>2]|0;A=f[q>>2]|0;f[A>>2]=f[s>>2];f[A+4>>2]=f[s+4>>2];break}else{f[r>>2]=0;$T(a,d);break}}while(0);if(!(f[k+4>>2]|0)){u=e;return}u=e;return}function NLa(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;h=c+4|0;e=f[h>>2]|0;do if(e){i=f[d>>2]|0;j=c+4|0;k=e;while(1){l=f[k+16>>2]|0;if((i|0)<(l|0)){m=f[k>>2]|0;if(!m){n=6;break}else{o=k;p=m}}else{if((l|0)>=(i|0)){n=10;break}q=k+4|0;l=f[q>>2]|0;if(!l){n=9;break}else{o=q;p=l}}j=o;k=p}if((n|0)==6){r=k;s=k;break}else if((n|0)==9){r=k;s=q;break}else if((n|0)==10){r=k;s=j;break}}else{r=h;s=h}while(0);h=f[s>>2]|0;if(h|0){t=h;u=0;v=t;f[a>>2]=v;w=a+4|0;b[w>>0]=u;return}h=cuc(244)|0;f[h+16>>2]=f[f[g>>2]>>2];f[h+20>>2]=-1;g=h+24|0;n=h+52|0;f[n>>2]=0;f[h+56>>2]=0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;f[g+16>>2]=0;f[g+20>>2]=0;f[h+48>>2]=n;n=h+112|0;f[n>>2]=0;f[h+116>>2]=0;g=h+108|0;q=h+60|0;p=q+48|0;do{f[q>>2]=0;q=q+4|0}while((q|0)<(p|0));f[g>>2]=n;n=h+124|0;f[n>>2]=0;f[h+128>>2]=0;f[h+120>>2]=n;n=h+228|0;f[n>>2]=0;f[h+232>>2]=0;g=h+224|0;q=h+132|0;p=q+92|0;do{f[q>>2]=0;q=q+4|0}while((q|0)<(p|0));f[g>>2]=n;b[h+236>>0]=0;f[h+240>>2]=0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=r;f[s>>2]=h;r=f[f[c>>2]>>2]|0;if(!r)x=h;else{f[c>>2]=r;x=f[s>>2]|0}jI(f[c+4>>2]|0,x);x=c+8|0;f[x>>2]=(f[x>>2]|0)+1;t=h;u=1;v=t;f[a>>2]=v;w=a+4|0;b[w>>0]=u;return}function OLa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0;d=u;u=u+320|0;e=d+264|0;g=d+256|0;h=d+240|0;i=d+184|0;j=d+168|0;k=d+112|0;l=d+56|0;m=d;gV(g,112744);n=f[c+160>>2]|0;o=f[c+164>>2]|0;p=(o|0)==0;if(!p)Wtc(o);q=PE()|0;r=J;a:do if(!(b[c+216>>0]|0)){s=a+80|0;t=c+208|0;v=f[t>>2]|0;w=f[s>>2]|0;if(v){x=t;y=v;b:while(1){v=y;while(1){if((f[v+16>>2]|0)>=(w|0))break;z=f[v+4>>2]|0;if(!z){A=x;break b}else v=z}y=f[v>>2]|0;if(!y){A=v;break}else x=v}if((A|0)!=(t|0)?(w|0)>=(f[A+16>>2]|0):0)B=A;else C=11}else C=11;if((C|0)==11)B=t;if((w|0)==3){if(((f[a+84>>2]|0)+-1|0)>>>0<2){PLa(h,c+136|0);x=c+124|0;PLa(i,x);PLa(j,c+148|0);y=n;z=f[(f[n>>2]|0)+44>>2]|0;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=17498112;f[e+4>>2]=h;D=k+8|0;f[D>>2]=0;f[D+4>>2]=0;f[k>>2]=34275328;f[k+4>>2]=i;D=l+8|0;f[D>>2]=0;f[D+4>>2]=0;f[l>>2]=34275328;f[l+4>>2]=j;sh[z&255](y,e,k,l);if(b[1169301]|0?(z=i+4|0,(f[z>>2]|0)!=(f[i>>2]|0)):0){D=k+4|0;E=k+8|0;F=k+40|0;G=k+48|0;H=k+44|0;I=k+52|0;K=e+8|0;L=e+12|0;M=e+4|0;N=l+8|0;O=l+4|0;P=e+8|0;Q=e+12|0;R=e+4|0;S=e+8|0;T=e+12|0;U=e+4|0;V=y+16|0;W=V+11|0;X=y+20|0;y=l+4|0;Y=l+8|0;Z=k+36|0;_=k+16|0;$=l+4|0;aa=l+8|0;ba=e+4|0;ca=e+8|0;da=e+12|0;ea=k+12|0;fa=e+16|0;ga=e+20|0;ha=k+20|0;ia=e+24|0;ja=k+24|0;ka=e+28|0;la=k+28|0;ma=e+32|0;na=k+32|0;oa=e+36|0;pa=k+44|0;qa=e+44|0;ra=e+40|0;sa=e+48|0;ta=k+40|0;ua=k+52|0;va=0;wa=0;xa=f[i>>2]|0;while(1){ya=xa+(wa*48|0)|0;f[k>>2]=1124007936;za=D;Aa=za+36|0;do{f[za>>2]=0;za=za+4|0}while((za|0)<(Aa|0));f[F>>2]=E;f[H>>2]=G;f[G>>2]=0;f[I>>2]=0;if((f[ya>>2]&7|0)!=3){cI(e,ya,16777216);v=f[Z>>2]|0;if(v|0?(Ba=v+12|0,v=f[Ba>>2]|0,f[Ba>>2]=v+-1,(v|0)==1):0)aU(k);f[Z>>2]=0;f[_>>2]=0;f[_+4>>2]=0;f[_+8>>2]=0;f[_+12>>2]=0;if((f[D>>2]|0)>0){v=f[F>>2]|0;Ba=0;do{f[v+(Ba<<2)>>2]=0;Ba=Ba+1|0}while((Ba|0)<(f[D>>2]|0))}f[k>>2]=f[e>>2];Ba=f[ba>>2]|0;f[D>>2]=Ba;f[E>>2]=f[ca>>2];f[ea>>2]=f[da>>2];f[_>>2]=f[fa>>2];f[ha>>2]=f[ga>>2];f[ja>>2]=f[ia>>2];f[la>>2]=f[ka>>2];f[na>>2]=f[ma>>2];f[Z>>2]=f[oa>>2];v=f[pa>>2]|0;if((v|0)==(G|0))Ca=Ba;else{TC(v);f[pa>>2]=G;f[F>>2]=E;Ca=f[ba>>2]|0}if((Ca|0)<3){v=f[qa>>2]|0;f[G>>2]=f[v>>2];f[ua>>2]=f[v+4>>2];Da=v}else{f[pa>>2]=f[qa>>2];f[ta>>2]=f[ra>>2];f[qa>>2]=sa;f[ra>>2]=ca;Da=sa}f[e>>2]=1124007936;f[ba>>2]=0;f[ba+4>>2]=0;f[ba+8>>2]=0;f[ba+12>>2]=0;f[ba+16>>2]=0;f[ba+20>>2]=0;f[ba+24>>2]=0;f[ba+28>>2]=0;f[oa>>2]=0;f[fa>>2]=0;f[fa+4>>2]=0;f[fa+8>>2]=0;f[fa+12>>2]=0;if((Da|0)!=(sa|0))TC(Da)}else{f[K>>2]=0;f[L>>2]=0;f[e>>2]=17432576;f[M>>2]=ya;v=N;f[v>>2]=0;f[v+4>>2]=0;f[l>>2]=33619968;f[O>>2]=k;lQ(e,l)}f[P>>2]=0;f[Q>>2]=0;f[e>>2]=16842752;f[R>>2]=k;if(uD(e,1,0,-1797693134862315708145274.0e284,1797693134862315708145274.0e284)|0){f[S>>2]=0;f[T>>2]=0;f[e>>2]=16842752;f[U>>2]=k;if(uD(e,1,0,-1.0e6,1.0e6)|0)Ea=va;else{v=aE(901172,411546,42)|0;Ba=aE(tkc(v,f[c>>2]|0)|0,411513,6)|0;v=b[W>>0]|0;Fa=v<<24>>24<0;Ga=aE(Ba,Fa?f[V>>2]|0:V,Fa?f[X>>2]|0:v&255)|0;dkc(e,Ga+(f[(f[Ga>>2]|0)+-12>>2]|0)|0);v=Ilc(e,901876)|0;Fa=Th[f[(f[v>>2]|0)+28>>2]&1023](v,10)|0;Jlc(e);xkc(Ga,Fa)|0;jkc(Ga)|0;Ga=aE(ukc(aE(901172,411520,10)|0,wa)|0,411531,14)|0;Fa=f[D>>2]|0;v=f[F>>2]|0;f[l>>2]=0;f[y>>2]=0;f[Y>>2]=0;KKa(l,v,v+(Fa<<2)|0);Fa=QLa(Ga,l)|0;dkc(e,Ga+(f[(f[Ga>>2]|0)+-12>>2]|0)|0);Ga=Ilc(e,901876)|0;v=Th[f[(f[Ga>>2]|0)+28>>2]&1023](Ga,10)|0;Jlc(e);xkc(Fa,v)|0;jkc(Fa)|0;Fa=f[l>>2]|0;if(Fa|0){v=f[y>>2]|0;if((v|0)!=(Fa|0))f[y>>2]=v+(~((v+-4-Fa|0)>>>2)<<2);fuc(Fa)}Ea=1}}else{Fa=aE(901172,411470,42)|0;v=aE(tkc(Fa,f[c>>2]|0)|0,411513,6)|0;Fa=b[W>>0]|0;Ga=Fa<<24>>24<0;Ba=aE(v,Ga?f[V>>2]|0:V,Ga?f[X>>2]|0:Fa&255)|0;dkc(e,Ba+(f[(f[Ba>>2]|0)+-12>>2]|0)|0);Fa=Ilc(e,901876)|0;Ga=Th[f[(f[Fa>>2]|0)+28>>2]&1023](Fa,10)|0;Jlc(e);xkc(Ba,Ga)|0;jkc(Ba)|0;Ba=aE(ukc(aE(901172,411520,10)|0,wa)|0,411531,14)|0;Ga=f[D>>2]|0;Fa=f[F>>2]|0;f[l>>2]=0;f[$>>2]=0;f[aa>>2]=0;KKa(l,Fa,Fa+(Ga<<2)|0);Ga=QLa(Ba,l)|0;dkc(e,Ba+(f[(f[Ba>>2]|0)+-12>>2]|0)|0);Ba=Ilc(e,901876)|0;Fa=Th[f[(f[Ba>>2]|0)+28>>2]&1023](Ba,10)|0;Jlc(e);xkc(Ga,Fa)|0;jkc(Ga)|0;Ga=f[l>>2]|0;if(Ga|0){Fa=f[$>>2]|0;if((Fa|0)!=(Ga|0))f[$>>2]=Fa+(~((Fa+-4-Ga|0)>>>2)<<2);fuc(Ga)}Ea=1}Ga=f[Z>>2]|0;if(Ga|0?(Fa=Ga+12|0,Ga=f[Fa>>2]|0,f[Fa>>2]=Ga+-1,(Ga|0)==1):0)aU(k);f[Z>>2]=0;f[_>>2]=0;f[_+4>>2]=0;f[_+8>>2]=0;f[_+12>>2]=0;if((f[D>>2]|0)>0){Ga=f[F>>2]|0;Fa=0;do{f[Ga+(Fa<<2)>>2]=0;Fa=Fa+1|0}while((Fa|0)<(f[D>>2]|0))}Fa=f[H>>2]|0;if((Fa|0)!=(G|0))TC(Fa);wa=wa+1|0;Ha=f[z>>2]|0;Ia=f[i>>2]|0;xa=Ia;if(wa>>>0>=((Ha-Ia|0)/48|0)>>>0)break;else va=Ea}if(Ea){va=h+4|0;wa=f[h>>2]|0;if((f[va>>2]|0)==(wa|0)){Ja=xa;Ka=Ha;La=Ia}else{G=k+4|0;H=k+8|0;D=k+40|0;F=k+48|0;_=k+44|0;Z=k+52|0;$=e+8|0;aa=e+12|0;X=e+4|0;V=l+8|0;W=l+4|0;y=l+11|0;Y=l+4|0;U=m+4|0;T=m+8|0;S=k+36|0;R=k+16|0;Q=l+36|0;P=l+16|0;O=l+4|0;N=l+40|0;M=l+44|0;L=l+48|0;K=e+4|0;sa=e+8|0;fa=e+12|0;oa=k+12|0;ba=e+16|0;ca=e+20|0;ra=k+20|0;qa=e+24|0;ta=k+24|0;pa=e+28|0;ua=k+28|0;E=e+32|0;ma=k+32|0;na=e+36|0;ka=k+44|0;la=e+44|0;ia=e+40|0;ja=e+48|0;ga=k+40|0;ha=k+52|0;da=0;ea=wa;do{wa=ea+(da*48|0)|0;f[k>>2]=1124007936;za=G;Aa=za+36|0;do{f[za>>2]=0;za=za+4|0}while((za|0)<(Aa|0));f[D>>2]=H;f[_>>2]=F;f[F>>2]=0;f[Z>>2]=0;if((f[wa>>2]&7|0)!=3){cI(e,wa,16777216);I=f[S>>2]|0;if(I|0?(w=I+12|0,I=f[w>>2]|0,f[w>>2]=I+-1,(I|0)==1):0)aU(k);f[S>>2]=0;f[R>>2]=0;f[R+4>>2]=0;f[R+8>>2]=0;f[R+12>>2]=0;if((f[G>>2]|0)>0){I=f[D>>2]|0;w=0;do{f[I+(w<<2)>>2]=0;w=w+1|0}while((w|0)<(f[G>>2]|0))}f[k>>2]=f[e>>2];w=f[K>>2]|0;f[G>>2]=w;f[H>>2]=f[sa>>2];f[oa>>2]=f[fa>>2];f[R>>2]=f[ba>>2];f[ra>>2]=f[ca>>2];f[ta>>2]=f[qa>>2];f[ua>>2]=f[pa>>2];f[ma>>2]=f[E>>2];f[S>>2]=f[na>>2];I=f[ka>>2]|0;if((I|0)==(F|0))Ma=w;else{TC(I);f[ka>>2]=F;f[D>>2]=H;Ma=f[K>>2]|0}if((Ma|0)<3){I=f[la>>2]|0;f[F>>2]=f[I>>2];f[ha>>2]=f[I+4>>2];Na=I}else{f[ka>>2]=f[la>>2];f[ga>>2]=f[ia>>2];f[la>>2]=ja;f[ia>>2]=sa;Na=ja}f[e>>2]=1124007936;f[K>>2]=0;f[K+4>>2]=0;f[K+8>>2]=0;f[K+12>>2]=0;f[K+16>>2]=0;f[K+20>>2]=0;f[K+24>>2]=0;f[K+28>>2]=0;f[na>>2]=0;f[ba>>2]=0;f[ba+4>>2]=0;f[ba+8>>2]=0;f[ba+12>>2]=0;if((Na|0)!=(ja|0))TC(Na)}else{f[$>>2]=0;f[aa>>2]=0;f[e>>2]=17432576;f[X>>2]=wa;I=V;f[I>>2]=0;f[I+4>>2]=0;f[l>>2]=33619968;f[W>>2]=k;lQ(e,l)}I=aE(ukc(aE(901004,411589,6)|0,da)|0,530842,1)|0;qN(l,f[wa>>2]&4095);w=b[y>>0]|0;Fa=w<<24>>24<0;Ga=aE(aE(I,Fa?f[l>>2]|0:l,Fa?f[Y>>2]|0:w&255)|0,530842,1)|0;w=f[G>>2]|0;Fa=f[D>>2]|0;f[m>>2]=0;f[U>>2]=0;f[T>>2]=0;KKa(m,Fa,Fa+(w<<2)|0);w=QLa(Ga,m)|0;dkc(e,Ga+(f[(f[Ga>>2]|0)+-12>>2]|0)|0);Ga=Ilc(e,901876)|0;Fa=Th[f[(f[Ga>>2]|0)+28>>2]&1023](Ga,10)|0;Jlc(e);xkc(w,Fa)|0;jkc(w)|0;w=f[m>>2]|0;if(w|0){Fa=f[U>>2]|0;if((Fa|0)!=(w|0))f[U>>2]=Fa+(~((Fa+-4-w|0)>>>2)<<2);fuc(w)}if((b[y>>0]|0)<0)fuc(f[l>>2]|0);if(b[1169302]|0){mU(l,k,1,1);w=RLa(901004,l)|0;dkc(e,901004+(f[(f[225251]|0)+-12>>2]|0)|0);Fa=Ilc(e,901876)|0;Ga=Th[f[(f[Fa>>2]|0)+28>>2]&1023](Fa,10)|0;Jlc(e);xkc(w,Ga)|0;jkc(w)|0;w=f[Q>>2]|0;do if(w|0){Ga=w+12|0;Fa=f[Ga>>2]|0;f[Ga>>2]=Fa+-1;if((Fa|0)!=1)break;aU(l)}while(0);f[Q>>2]=0;f[P>>2]=0;f[P+4>>2]=0;f[P+8>>2]=0;f[P+12>>2]=0;if((f[O>>2]|0)>0){w=f[N>>2]|0;wa=0;do{f[w+(wa<<2)>>2]=0;wa=wa+1|0}while((wa|0)<(f[O>>2]|0))}wa=f[M>>2]|0;if((wa|0)!=(L|0))TC(wa)}wa=f[S>>2]|0;do if(wa|0){w=wa+12|0;Fa=f[w>>2]|0;f[w>>2]=Fa+-1;if((Fa|0)!=1)break;aU(k)}while(0);f[S>>2]=0;f[R>>2]=0;f[R+4>>2]=0;f[R+8>>2]=0;f[R+12>>2]=0;if((f[G>>2]|0)>0){wa=f[D>>2]|0;Fa=0;do{f[wa+(Fa<<2)>>2]=0;Fa=Fa+1|0}while((Fa|0)<(f[G>>2]|0))}Fa=f[_>>2]|0;if((Fa|0)!=(F|0))TC(Fa);da=da+1|0;ea=f[h>>2]|0}while(da>>>0<(((f[va>>2]|0)-ea|0)/48|0)>>>0);ea=f[i>>2]|0;Ja=ea;Ka=f[z>>2]|0;La=ea}if((Ka|0)!=(La|0)){ea=k+4|0;va=k+8|0;da=k+40|0;F=k+48|0;_=k+44|0;G=k+52|0;D=e+8|0;R=e+12|0;S=e+4|0;L=l+8|0;M=l+4|0;O=l+11|0;N=l+4|0;P=m+4|0;Q=m+8|0;y=k+36|0;U=k+16|0;T=l+36|0;Y=l+16|0;W=l+4|0;V=l+40|0;X=l+44|0;aa=l+48|0;$=e+4|0;ja=e+8|0;ba=e+12|0;na=k+12|0;K=e+16|0;sa=e+20|0;ia=k+20|0;la=e+24|0;ga=k+24|0;ka=e+28|0;ha=k+28|0;H=e+32|0;E=k+32|0;ma=e+36|0;pa=k+44|0;ua=e+44|0;qa=e+40|0;ta=e+48|0;ca=k+40|0;ra=k+52|0;fa=0;oa=Ja;do{Z=oa+(fa*48|0)|0;f[k>>2]=1124007936;za=ea;Aa=za+36|0;do{f[za>>2]=0;za=za+4|0}while((za|0)<(Aa|0));f[da>>2]=va;f[_>>2]=F;f[F>>2]=0;f[G>>2]=0;if((f[Z>>2]&7|0)!=3){cI(e,Z,16777216);xa=f[y>>2]|0;if(xa|0?(Fa=xa+12|0,xa=f[Fa>>2]|0,f[Fa>>2]=xa+-1,(xa|0)==1):0)aU(k);f[y>>2]=0;f[U>>2]=0;f[U+4>>2]=0;f[U+8>>2]=0;f[U+12>>2]=0;if((f[ea>>2]|0)>0){xa=f[da>>2]|0;Fa=0;do{f[xa+(Fa<<2)>>2]=0;Fa=Fa+1|0}while((Fa|0)<(f[ea>>2]|0))}f[k>>2]=f[e>>2];Fa=f[$>>2]|0;f[ea>>2]=Fa;f[va>>2]=f[ja>>2];f[na>>2]=f[ba>>2];f[U>>2]=f[K>>2];f[ia>>2]=f[sa>>2];f[ga>>2]=f[la>>2];f[ha>>2]=f[ka>>2];f[E>>2]=f[H>>2];f[y>>2]=f[ma>>2];xa=f[pa>>2]|0;if((xa|0)==(F|0))Oa=Fa;else{TC(xa);f[pa>>2]=F;f[da>>2]=va;Oa=f[$>>2]|0}if((Oa|0)<3){xa=f[ua>>2]|0;f[F>>2]=f[xa>>2];f[ra>>2]=f[xa+4>>2];Pa=xa}else{f[pa>>2]=f[ua>>2];f[ca>>2]=f[qa>>2];f[ua>>2]=ta;f[qa>>2]=ja;Pa=ta}f[e>>2]=1124007936;f[$>>2]=0;f[$+4>>2]=0;f[$+8>>2]=0;f[$+12>>2]=0;f[$+16>>2]=0;f[$+20>>2]=0;f[$+24>>2]=0;f[$+28>>2]=0;f[ma>>2]=0;f[K>>2]=0;f[K+4>>2]=0;f[K+8>>2]=0;f[K+12>>2]=0;if((Pa|0)!=(ta|0))TC(Pa)}else{f[D>>2]=0;f[R>>2]=0;f[e>>2]=17432576;f[S>>2]=Z;xa=L;f[xa>>2]=0;f[xa+4>>2]=0;f[l>>2]=33619968;f[M>>2]=k;lQ(e,l)}xa=aE(ukc(aE(901004,411596,7)|0,fa)|0,530842,1)|0;qN(l,f[Z>>2]&4095);Fa=b[O>>0]|0;wa=Fa<<24>>24<0;w=aE(aE(xa,wa?f[l>>2]|0:l,wa?f[N>>2]|0:Fa&255)|0,530842,1)|0;Fa=f[ea>>2]|0;wa=f[da>>2]|0;f[m>>2]=0;f[P>>2]=0;f[Q>>2]=0;KKa(m,wa,wa+(Fa<<2)|0);Fa=QLa(w,m)|0;dkc(e,w+(f[(f[w>>2]|0)+-12>>2]|0)|0);w=Ilc(e,901876)|0;wa=Th[f[(f[w>>2]|0)+28>>2]&1023](w,10)|0;Jlc(e);xkc(Fa,wa)|0;jkc(Fa)|0;Fa=f[m>>2]|0;if(Fa|0){wa=f[P>>2]|0;if((wa|0)!=(Fa|0))f[P>>2]=wa+(~((wa+-4-Fa|0)>>>2)<<2);fuc(Fa)}if((b[O>>0]|0)<0)fuc(f[l>>2]|0);if(b[1169302]|0){mU(l,k,1,1);Fa=RLa(901004,l)|0;dkc(e,901004+(f[(f[225251]|0)+-12>>2]|0)|0);wa=Ilc(e,901876)|0;w=Th[f[(f[wa>>2]|0)+28>>2]&1023](wa,10)|0;Jlc(e);xkc(Fa,w)|0;jkc(Fa)|0;Fa=f[T>>2]|0;do if(Fa|0){w=Fa+12|0;wa=f[w>>2]|0;f[w>>2]=wa+-1;if((wa|0)!=1)break;aU(l)}while(0);f[T>>2]=0;f[Y>>2]=0;f[Y+4>>2]=0;f[Y+8>>2]=0;f[Y+12>>2]=0;if((f[W>>2]|0)>0){Fa=f[V>>2]|0;Z=0;do{f[Fa+(Z<<2)>>2]=0;Z=Z+1|0}while((Z|0)<(f[W>>2]|0))}Z=f[X>>2]|0;if((Z|0)!=(aa|0))TC(Z)}Z=f[y>>2]|0;do if(Z|0){Fa=Z+12|0;wa=f[Fa>>2]|0;f[Fa>>2]=wa+-1;if((wa|0)!=1)break;aU(k)}while(0);f[y>>2]=0;f[U>>2]=0;f[U+4>>2]=0;f[U+8>>2]=0;f[U+12>>2]=0;if((f[ea>>2]|0)>0){Z=f[da>>2]|0;wa=0;do{f[Z+(wa<<2)>>2]=0;wa=wa+1|0}while((wa|0)<(f[ea>>2]|0))}wa=f[_>>2]|0;if((wa|0)!=(F|0))TC(wa);fa=fa+1|0;oa=f[i>>2]|0}while(fa>>>0<(((f[z>>2]|0)-oa|0)/48|0)>>>0)}oa=j+4|0;z=f[j>>2]|0;if((f[oa>>2]|0)!=(z|0)){fa=k+4|0;F=k+8|0;_=k+40|0;ea=k+48|0;da=k+44|0;U=k+52|0;y=e+8|0;aa=e+12|0;X=e+4|0;W=l+8|0;V=l+4|0;Y=l+4|0;T=l+8|0;O=k+36|0;P=k+16|0;Q=l+11|0;N=l+4|0;M=m+36|0;L=m+16|0;S=m+4|0;R=m+40|0;D=m+44|0;ta=m+48|0;K=e+4|0;ma=e+8|0;$=e+12|0;ja=k+12|0;qa=e+16|0;ua=e+20|0;ca=k+20|0;pa=e+24|0;ra=k+24|0;va=e+28|0;H=k+28|0;E=e+32|0;ka=k+32|0;ha=e+36|0;la=k+44|0;ga=e+44|0;sa=e+40|0;ia=e+48|0;ba=k+40|0;na=k+52|0;G=0;wa=z;do{z=wa+(G*48|0)|0;f[k>>2]=1124007936;za=fa;Aa=za+36|0;do{f[za>>2]=0;za=za+4|0}while((za|0)<(Aa|0));f[_>>2]=F;f[da>>2]=ea;f[ea>>2]=0;f[U>>2]=0;if((f[z>>2]&7|0)!=3){cI(e,z,16777216);Z=f[O>>2]|0;do if(Z|0){Fa=Z+12|0;w=f[Fa>>2]|0;f[Fa>>2]=w+-1;if((w|0)!=1)break;aU(k)}while(0);f[O>>2]=0;f[P>>2]=0;f[P+4>>2]=0;f[P+8>>2]=0;f[P+12>>2]=0;if((f[fa>>2]|0)>0){Z=f[_>>2]|0;w=0;do{f[Z+(w<<2)>>2]=0;w=w+1|0}while((w|0)<(f[fa>>2]|0))}f[k>>2]=f[e>>2];w=f[K>>2]|0;f[fa>>2]=w;f[F>>2]=f[ma>>2];f[ja>>2]=f[$>>2];f[P>>2]=f[qa>>2];f[ca>>2]=f[ua>>2];f[ra>>2]=f[pa>>2];f[H>>2]=f[va>>2];f[ka>>2]=f[E>>2];f[O>>2]=f[ha>>2];Z=f[la>>2]|0;if((Z|0)==(ea|0))Qa=w;else{TC(Z);f[la>>2]=ea;f[_>>2]=F;Qa=f[K>>2]|0}if((Qa|0)<3){Z=f[ga>>2]|0;f[ea>>2]=f[Z>>2];f[na>>2]=f[Z+4>>2];Ra=Z}else{f[la>>2]=f[ga>>2];f[ba>>2]=f[sa>>2];f[ga>>2]=ia;f[sa>>2]=ma;Ra=ia}f[e>>2]=1124007936;f[K>>2]=0;f[K+4>>2]=0;f[K+8>>2]=0;f[K+12>>2]=0;f[K+16>>2]=0;f[K+20>>2]=0;f[K+24>>2]=0;f[K+28>>2]=0;f[ha>>2]=0;f[qa>>2]=0;f[qa+4>>2]=0;f[qa+8>>2]=0;f[qa+12>>2]=0;if((Ra|0)!=(ia|0))TC(Ra)}else{f[y>>2]=0;f[aa>>2]=0;f[e>>2]=17432576;f[X>>2]=z;Z=W;f[Z>>2]=0;f[Z+4>>2]=0;f[l>>2]=33619968;f[V>>2]=k;lQ(e,l)}Z=aE(ukc(aE(901004,411604,9)|0,G)|0,530842,1)|0;w=f[fa>>2]|0;Fa=f[_>>2]|0;f[l>>2]=0;f[Y>>2]=0;f[T>>2]=0;KKa(l,Fa,Fa+(w<<2)|0);w=QLa(Z,l)|0;dkc(e,Z+(f[(f[Z>>2]|0)+-12>>2]|0)|0);Z=Ilc(e,901876)|0;Fa=Th[f[(f[Z>>2]|0)+28>>2]&1023](Z,10)|0;Jlc(e);xkc(w,Fa)|0;jkc(w)|0;w=f[l>>2]|0;if(w|0){Fa=f[Y>>2]|0;if((Fa|0)!=(w|0))f[Y>>2]=Fa+(~((Fa+-4-w|0)>>>2)<<2);fuc(w)}if(b[1169302]|0){qN(l,f[z>>2]&4095);w=b[Q>>0]|0;Fa=w<<24>>24<0;Z=aE(aE(901004,Fa?f[l>>2]|0:l,Fa?f[N>>2]|0:w&255)|0,530842,1)|0;mU(m,k,1,1);w=RLa(Z,m)|0;dkc(e,Z+(f[(f[Z>>2]|0)+-12>>2]|0)|0);Z=Ilc(e,901876)|0;Fa=Th[f[(f[Z>>2]|0)+28>>2]&1023](Z,10)|0;Jlc(e);xkc(w,Fa)|0;jkc(w)|0;w=f[M>>2]|0;do if(w|0){Fa=w+12|0;Z=f[Fa>>2]|0;f[Fa>>2]=Z+-1;if((Z|0)!=1)break;aU(m)}while(0);f[M>>2]=0;f[L>>2]=0;f[L+4>>2]=0;f[L+8>>2]=0;f[L+12>>2]=0;if((f[S>>2]|0)>0){w=f[R>>2]|0;z=0;do{f[w+(z<<2)>>2]=0;z=z+1|0}while((z|0)<(f[S>>2]|0))}z=f[D>>2]|0;if((z|0)!=(ta|0))TC(z);if((b[Q>>0]|0)<0)fuc(f[l>>2]|0)}z=f[O>>2]|0;do if(z|0){w=z+12|0;Z=f[w>>2]|0;f[w>>2]=Z+-1;if((Z|0)!=1)break;aU(k)}while(0);f[O>>2]=0;f[P>>2]=0;f[P+4>>2]=0;f[P+8>>2]=0;f[P+12>>2]=0;if((f[fa>>2]|0)>0){z=f[_>>2]|0;Z=0;do{f[z+(Z<<2)>>2]=0;Z=Z+1|0}while((Z|0)<(f[fa>>2]|0))}Z=f[da>>2]|0;if((Z|0)!=(ea|0))TC(Z);G=G+1|0;wa=f[j>>2]|0}while(G>>>0<(((f[oa>>2]|0)-wa|0)/48|0)>>>0)}if(b[1169303]|0){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[e+11>>0]=5;b[e>>0]=b[411614]|0;b[e+1>>0]=b[411615]|0;b[e+2>>0]=b[411616]|0;b[e+3>>0]=b[411617]|0;b[e+4>>0]=b[411618]|0;b[e+5>>0]=0;WD(-215,e,411620,408169,2142)}}}SLa(x,i);wa=f[j>>2]|0;if(wa|0){oa=j+4|0;G=f[oa>>2]|0;if((G|0)==(wa|0))Sa=wa;else{ea=G;do{G=ea+-48|0;f[oa>>2]=G;VH(G);ea=f[oa>>2]|0}while((ea|0)!=(wa|0));Sa=f[j>>2]|0}fuc(Sa)}wa=f[i>>2]|0;if(wa|0){ea=i+4|0;oa=f[ea>>2]|0;if((oa|0)==(wa|0))Ta=wa;else{x=oa;do{oa=x+-48|0;f[ea>>2]=oa;VH(oa);x=f[ea>>2]|0}while((x|0)!=(wa|0));Ta=f[i>>2]|0}fuc(Ta)}wa=f[h>>2]|0;if(wa|0){x=h+4|0;ea=f[x>>2]|0;if((ea|0)==(wa|0))Ua=wa;else{oa=ea;do{ea=oa+-48|0;f[x>>2]=ea;VH(ea);oa=f[x>>2]|0}while((oa|0)!=(wa|0));Ua=f[h>>2]|0}fuc(Ua)}Va=q;Wa=r;break}}else if((B|0)!=(t|0)?(wa=f[B+20>>2]|0,wa|0):0){f[e>>2]=wa;wa=e+4|0;oa=f[B+24>>2]|0;f[wa>>2]=oa;if(oa|0?(Wtc(oa),(f[e>>2]|0)==0):0){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;oa=cuc(16)|0;f[h>>2]=oa;f[h+8>>2]=-2147483632;f[h+4>>2]=13;za=oa;Xa=411642;Aa=za+13|0;do{b[za>>0]=b[Xa>>0]|0;za=za+1|0;Xa=Xa+1|0}while((za|0)<(Aa|0));b[oa+13>>0]=0;WD(-215,h,411620,408169,2222)}switch(f[s>>2]|0){case 1:{t=f[wa>>2]|0;if(t|0)Xtc(t);Va=q;Wa=r;break a;break}case 2:{sib(e);break}default:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;t=cuc(32)|0;f[h>>2]=t;f[h+8>>2]=-2147483616;f[h+4>>2]=26;za=t;Xa=411656;Aa=za+26|0;do{b[za>>0]=b[Xa>>0]|0;za=za+1|0;Xa=Xa+1|0}while((za|0)<(Aa|0));b[t+26>>0]=0;WD(-213,h,411620,408169,2233)}}}wa=c+136|0;s=f[wa>>2]|0;oa=(f[c+140>>2]|0)-s|0;x=oa>>3;c:do if((oa|0)>0){ea=0;G=s;while(1){da=f[G+(ea<<3)>>2]|0;if(da|0)bi[f[(f[da>>2]|0)+8>>2]&2047](da);da=ea+1|0;if((da|0)>=(x|0))break c;ea=da;G=f[wa>>2]|0}}while(0);wa=c+180|0;x=c+184|0;s=f[x>>2]|0;oa=f[wa>>2]|0;t=s-oa>>2;f[h>>2]=0;G=h+4|0;f[G>>2]=0;f[h+8>>2]=0;if(!t){Ya=oa;Za=0;_a=s}else{if(t>>>0>76695844)nsc(h);s=t*56|0;oa=cuc(s)|0;f[G>>2]=oa;f[h>>2]=oa;f[h+8>>2]=oa+(t*56|0);ea=oa+s|0;s=t;t=oa;while(1){f[t>>2]=1124007936;da=t+8|0;fa=t+40|0;za=t+4|0;Aa=za+36|0;do{f[za>>2]=0;za=za+4|0}while((za|0)<(Aa|0));f[fa>>2]=da;_=t+48|0;f[t+44>>2]=_;f[_>>2]=0;f[t+52>>2]=0;s=s+-1|0;if(!s)break;else t=t+56|0}f[G>>2]=ea;Ya=f[wa>>2]|0;Za=oa;_a=f[x>>2]|0}d:do if((_a|0)!=(Ya|0)){t=0;s=_a;_=Ya;P=Za;while(1){O=f[_+(t<<2)>>2]|0;Q=P+(t*56|0)|0;if((Q|0)==(O|0)){$a=_;ab=s}else{ta=O+36|0;D=f[ta>>2]|0;if(D|0){S=D+12|0;f[S>>2]=(f[S>>2]|0)+1}S=P+(t*56|0)+36|0;D=f[S>>2]|0;if(D|0?(R=D+12|0,D=f[R>>2]|0,f[R>>2]=D+-1,(D|0)==1):0)aU(Q);f[S>>2]=0;D=P+(t*56|0)+16|0;R=P+(t*56|0)+4|0;f[D>>2]=0;f[D+4>>2]=0;f[D+8>>2]=0;f[D+12>>2]=0;if((f[R>>2]|0)>0){L=f[P+(t*56|0)+40>>2]|0;M=0;do{f[L+(M<<2)>>2]=0;M=M+1|0;bb=f[R>>2]|0}while((M|0)<(bb|0));f[Q>>2]=f[O>>2];if((bb|0)<3)C=229;else C=231}else{f[Q>>2]=f[O>>2];C=229}if((C|0)==229){C=0;M=f[O+4>>2]|0;if((M|0)<3){f[R>>2]=M;f[P+(t*56|0)+8>>2]=f[O+8>>2];f[P+(t*56|0)+12>>2]=f[O+12>>2];M=f[O+44>>2]|0;L=f[P+(t*56|0)+44>>2]|0;f[L>>2]=f[M>>2];f[L+4>>2]=f[M+4>>2]}else C=231}if((C|0)==231){C=0;$T(Q,O)}f[D>>2]=f[O+16>>2];f[P+(t*56|0)+20>>2]=f[O+20>>2];f[P+(t*56|0)+24>>2]=f[O+24>>2];f[P+(t*56|0)+28>>2]=f[O+28>>2];f[P+(t*56|0)+32>>2]=f[O+32>>2];f[S>>2]=f[ta>>2];$a=f[wa>>2]|0;ab=f[x>>2]|0}M=t+1|0;if(M>>>0>=ab-$a>>2>>>0)break d;t=M;s=ab;_=$a;P=f[h>>2]|0}}while(0);oa=n;ea=f[(f[n>>2]|0)+44>>2]|0;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=17104896;f[e+4>>2]=h;G=c+168|0;P=i+8|0;f[P>>2]=0;f[P+4>>2]=0;f[i>>2]=33882112;f[i+4>>2]=G;P=c+192|0;_=j+8|0;f[_>>2]=0;f[_+4>>2]=0;f[j>>2]=33882112;f[j+4>>2]=P;sh[ea&255](oa,e,i,j);if(b[1169301]|0?(ea=c+172|0,_=f[G>>2]|0,(f[ea>>2]|0)!=(_|0)):0){s=e+8|0;t=e+12|0;da=e+4|0;fa=e+8|0;M=e+12|0;L=e+4|0;N=oa+16|0;Y=N+11|0;T=oa+20|0;oa=i+4|0;V=i+8|0;W=i+4|0;X=i+8|0;aa=0;y=0;ia=_;while(1){_=ia+(aa*56|0)|0;f[s>>2]=0;f[t>>2]=0;f[e>>2]=16842752;f[da>>2]=_;if(uD(e,1,0,-1797693134862315708145274.0e284,1797693134862315708145274.0e284)|0){f[fa>>2]=0;f[M>>2]=0;f[e>>2]=16842752;f[L>>2]=_;if(uD(e,1,0,-1.0e6,1.0e6)|0)cb=y;else{_=aE(901172,411546,42)|0;qa=aE(tkc(_,f[c>>2]|0)|0,411513,6)|0;_=b[Y>>0]|0;ha=_<<24>>24<0;K=aE(qa,ha?f[N>>2]|0:N,ha?f[T>>2]|0:_&255)|0;dkc(e,K+(f[(f[K>>2]|0)+-12>>2]|0)|0);_=Ilc(e,901876)|0;ha=Th[f[(f[_>>2]|0)+28>>2]&1023](_,10)|0;Jlc(e);xkc(K,ha)|0;jkc(K)|0;K=aE(ukc(aE(901172,411520,10)|0,aa)|0,411531,14)|0;ha=f[ia+(aa*56|0)+4>>2]|0;_=f[ia+(aa*56|0)+40>>2]|0;f[i>>2]=0;f[oa>>2]=0;f[V>>2]=0;KKa(i,_,_+(ha<<2)|0);ha=QLa(K,i)|0;dkc(e,K+(f[(f[K>>2]|0)+-12>>2]|0)|0);K=Ilc(e,901876)|0;_=Th[f[(f[K>>2]|0)+28>>2]&1023](K,10)|0;Jlc(e);xkc(ha,_)|0;jkc(ha)|0;ha=f[i>>2]|0;if(ha|0){_=f[oa>>2]|0;if((_|0)!=(ha|0))f[oa>>2]=_+(~((_+-4-ha|0)>>>2)<<2);fuc(ha)}cb=1}}else{ha=aE(901172,411470,42)|0;_=aE(tkc(ha,f[c>>2]|0)|0,411513,6)|0;ha=b[Y>>0]|0;K=ha<<24>>24<0;qa=aE(_,K?f[N>>2]|0:N,K?f[T>>2]|0:ha&255)|0;dkc(e,qa+(f[(f[qa>>2]|0)+-12>>2]|0)|0);ha=Ilc(e,901876)|0;K=Th[f[(f[ha>>2]|0)+28>>2]&1023](ha,10)|0;Jlc(e);xkc(qa,K)|0;jkc(qa)|0;qa=aE(ukc(aE(901172,411520,10)|0,aa)|0,411531,14)|0;K=f[ia+(aa*56|0)+4>>2]|0;ha=f[ia+(aa*56|0)+40>>2]|0;f[i>>2]=0;f[W>>2]=0;f[X>>2]=0;KKa(i,ha,ha+(K<<2)|0);K=QLa(qa,i)|0;dkc(e,qa+(f[(f[qa>>2]|0)+-12>>2]|0)|0);qa=Ilc(e,901876)|0;ha=Th[f[(f[qa>>2]|0)+28>>2]&1023](qa,10)|0;Jlc(e);xkc(K,ha)|0;jkc(K)|0;K=f[i>>2]|0;if(K|0){ha=f[W>>2]|0;if((ha|0)!=(K|0))f[W>>2]=ha+(~((ha+-4-K|0)>>>2)<<2);fuc(K)}cb=1}aa=aa+1|0;db=f[ea>>2]|0;eb=f[G>>2]|0;ia=eb;if(aa>>>0>=((db-eb|0)/56|0)>>>0)break;else y=cb}if(cb){y=f[wa>>2]|0;if((f[x>>2]|0)==(y|0)){fb=db;gb=eb;hb=ia}else{aa=i+11|0;W=i+4|0;X=j+4|0;T=j+8|0;N=i+36|0;Y=i+16|0;oa=i+4|0;V=i+40|0;L=i+44|0;M=i+48|0;fa=0;da=y;do{y=f[da+(fa<<2)>>2]|0;t=ukc(aE(901004,411589,6)|0,fa)|0;if(y){s=aE(t,530842,1)|0;qN(i,f[y>>2]&4095);K=b[aa>>0]|0;ha=K<<24>>24<0;qa=aE(aE(s,ha?f[i>>2]|0:i,ha?f[W>>2]|0:K&255)|0,530842,1)|0;K=f[y+4>>2]|0;ha=f[y+40>>2]|0;f[j>>2]=0;f[X>>2]=0;f[T>>2]=0;KKa(j,ha,ha+(K<<2)|0);K=QLa(qa,j)|0;dkc(e,qa+(f[(f[qa>>2]|0)+-12>>2]|0)|0);qa=Ilc(e,901876)|0;ha=Th[f[(f[qa>>2]|0)+28>>2]&1023](qa,10)|0;Jlc(e);xkc(K,ha)|0;jkc(K)|0;K=f[j>>2]|0;if(K|0){ha=f[X>>2]|0;if((ha|0)!=(K|0))f[X>>2]=ha+(~((ha+-4-K|0)>>>2)<<2);fuc(K)}if((b[aa>>0]|0)<0)fuc(f[i>>2]|0);if(b[1169302]|0){mU(i,y,1,1);y=RLa(901004,i)|0;dkc(e,901004+(f[(f[225251]|0)+-12>>2]|0)|0);K=Ilc(e,901876)|0;ha=Th[f[(f[K>>2]|0)+28>>2]&1023](K,10)|0;Jlc(e);xkc(y,ha)|0;jkc(y)|0;y=f[N>>2]|0;do if(y|0){ha=y+12|0;K=f[ha>>2]|0;f[ha>>2]=K+-1;if((K|0)!=1)break;aU(i)}while(0);f[N>>2]=0;f[Y>>2]=0;f[Y+4>>2]=0;f[Y+8>>2]=0;f[Y+12>>2]=0;if((f[oa>>2]|0)>0){y=f[V>>2]|0;K=0;do{f[y+(K<<2)>>2]=0;K=K+1|0}while((K|0)<(f[oa>>2]|0))}K=f[L>>2]|0;if((K|0)!=(M|0))TC(K)}}else{K=aE(t,411633,8)|0;dkc(e,K+(f[(f[K>>2]|0)+-12>>2]|0)|0);y=Ilc(e,901876)|0;ha=Th[f[(f[y>>2]|0)+28>>2]&1023](y,10)|0;Jlc(e);xkc(K,ha)|0;jkc(K)|0}fa=fa+1|0;da=f[wa>>2]|0}while(fa>>>0<(f[x>>2]|0)-da>>2>>>0);da=f[G>>2]|0;fb=f[ea>>2]|0;gb=da;hb=da}if((fb|0)!=(gb|0)){da=i+11|0;x=i+4|0;fa=j+4|0;wa=j+8|0;M=i+36|0;L=i+16|0;oa=i+4|0;V=i+40|0;Y=i+44|0;N=i+48|0;aa=0;X=hb;do{T=X+(aa*56|0)|0;W=aE(ukc(aE(901004,411596,7)|0,aa)|0,530842,1)|0;qN(i,f[T>>2]&4095);ia=b[da>>0]|0;K=ia<<24>>24<0;ha=aE(aE(W,K?f[i>>2]|0:i,K?f[x>>2]|0:ia&255)|0,530842,1)|0;ia=f[X+(aa*56|0)+4>>2]|0;K=f[X+(aa*56|0)+40>>2]|0;f[j>>2]=0;f[fa>>2]=0;f[wa>>2]=0;KKa(j,K,K+(ia<<2)|0);ia=QLa(ha,j)|0;dkc(e,ha+(f[(f[ha>>2]|0)+-12>>2]|0)|0);ha=Ilc(e,901876)|0;K=Th[f[(f[ha>>2]|0)+28>>2]&1023](ha,10)|0;Jlc(e);xkc(ia,K)|0;jkc(ia)|0;ia=f[j>>2]|0;if(ia|0){K=f[fa>>2]|0;if((K|0)!=(ia|0))f[fa>>2]=K+(~((K+-4-ia|0)>>>2)<<2);fuc(ia)}if((b[da>>0]|0)<0)fuc(f[i>>2]|0);if(b[1169302]|0){mU(i,T,1,1);T=RLa(901004,i)|0;dkc(e,901004+(f[(f[225251]|0)+-12>>2]|0)|0);ia=Ilc(e,901876)|0;K=Th[f[(f[ia>>2]|0)+28>>2]&1023](ia,10)|0;Jlc(e);xkc(T,K)|0;jkc(T)|0;T=f[M>>2]|0;do if(T|0){K=T+12|0;ia=f[K>>2]|0;f[K>>2]=ia+-1;if((ia|0)!=1)break;aU(i)}while(0);f[M>>2]=0;f[L>>2]=0;f[L+4>>2]=0;f[L+8>>2]=0;f[L+12>>2]=0;if((f[oa>>2]|0)>0){T=f[V>>2]|0;t=0;do{f[T+(t<<2)>>2]=0;t=t+1|0}while((t|0)<(f[oa>>2]|0))}t=f[Y>>2]|0;if((t|0)!=(N|0))TC(t)}aa=aa+1|0;X=f[G>>2]|0}while(aa>>>0<(((f[ea>>2]|0)-X|0)/56|0)>>>0)}X=c+196|0;ea=f[P>>2]|0;if((f[X>>2]|0)!=(ea|0)){aa=i+11|0;G=i+4|0;N=j+4|0;Y=j+8|0;oa=i+36|0;V=i+16|0;L=i+4|0;M=i+40|0;da=i+44|0;fa=i+48|0;wa=0;x=ea;do{ea=x;t=ea+(wa*56|0)|0;T=aE(ukc(aE(901004,411604,9)|0,wa)|0,530842,1)|0;qN(i,f[t>>2]&4095);ia=b[aa>>0]|0;K=ia<<24>>24<0;ha=aE(aE(T,K?f[i>>2]|0:i,K?f[G>>2]|0:ia&255)|0,530842,1)|0;ia=f[ea+(wa*56|0)+4>>2]|0;K=f[ea+(wa*56|0)+40>>2]|0;f[j>>2]=0;f[N>>2]=0;f[Y>>2]=0;KKa(j,K,K+(ia<<2)|0);ia=QLa(ha,j)|0;dkc(e,ha+(f[(f[ha>>2]|0)+-12>>2]|0)|0);ha=Ilc(e,901876)|0;K=Th[f[(f[ha>>2]|0)+28>>2]&1023](ha,10)|0;Jlc(e);xkc(ia,K)|0;jkc(ia)|0;ia=f[j>>2]|0;if(ia|0){K=f[N>>2]|0;if((K|0)!=(ia|0))f[N>>2]=K+(~((K+-4-ia|0)>>>2)<<2);fuc(ia)}if((b[aa>>0]|0)<0)fuc(f[i>>2]|0);if(b[1169302]|0){mU(i,t,1,1);t=RLa(901004,i)|0;dkc(e,901004+(f[(f[225251]|0)+-12>>2]|0)|0);ia=Ilc(e,901876)|0;K=Th[f[(f[ia>>2]|0)+28>>2]&1023](ia,10)|0;Jlc(e);xkc(t,K)|0;jkc(t)|0;t=f[oa>>2]|0;do if(t|0){K=t+12|0;ia=f[K>>2]|0;f[K>>2]=ia+-1;if((ia|0)!=1)break;aU(i)}while(0);f[oa>>2]=0;f[V>>2]=0;f[V+4>>2]=0;f[V+8>>2]=0;f[V+12>>2]=0;if((f[L>>2]|0)>0){t=f[M>>2]|0;ia=0;do{f[t+(ia<<2)>>2]=0;ia=ia+1|0}while((ia|0)<(f[L>>2]|0))}ia=f[da>>2]|0;if((ia|0)!=(fa|0))TC(ia)}wa=wa+1|0;x=f[P>>2]|0}while(wa>>>0<(((f[X>>2]|0)-x|0)/56|0)>>>0)}if(b[1169303]|0){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[e+11>>0]=5;b[e>>0]=b[411614]|0;b[e+1>>0]=b[411615]|0;b[e+2>>0]=b[411616]|0;b[e+3>>0]=b[411617]|0;b[e+4>>0]=b[411618]|0;b[e+5>>0]=0;WD(-215,e,411620,408169,2208)}}}x=c+124|0;X=f[x>>2]|0;wa=(f[c+128>>2]|0)-X|0;P=wa>>3;e:do if((wa|0)>0){fa=0;da=X;while(1){L=f[da+(fa<<3)>>2]|0;if(L|0)bi[f[(f[L>>2]|0)+12>>2]&2047](L);L=fa+1|0;if((L|0)>=(P|0))break e;fa=L;da=f[x>>2]|0}}while(0);ut(h);Va=q;Wa=r}else{Va=0;Wa=0}while(0);r=PE()|0;q=(Va|0)==0&(Wa|0)==0;h=gzc(r|0,J|0,Va|0,Wa|0)|0;Wa=(f[a+124>>2]|0)+(f[c>>2]<<3)|0;f[Wa>>2]=q?0:h;f[Wa+4>>2]=q?0:J;f[c+220>>2]=1;if(!p)Xtc(o);if(!(f[g+4>>2]|0)){u=d;return}u=d;return}function PLa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;d=u;u=u+16|0;e=d;g=(f[c+4>>2]|0)-(f[c>>2]|0)|0;h=g>>3;TLa(a,h);if((g|0)<=0){u=d;return}g=e+8|0;i=e+4|0;j=0;while(1){k=f[c>>2]|0;l=f[k+(j<<3)>>2]|0;if(!l){m=8;break}n=ovc(l,19056,19112,0)|0;if(!n){m=8;break}l=f[k+(j<<3)+4>>2]|0;if(l|0)Wtc(l);if(!n){m=8;break}k=n+64|0;if(!(b[k>>0]|0))o=n+12|0;else{p=f[n+60>>2]|0;q=n+12|0;r=g;f[r>>2]=0;f[r+4>>2]=0;f[e>>2]=34209792;f[i>>2]=q;EI(p,e);b[k>>0]=0;o=q}q=f[a>>2]|0;k=q+(j*48|0)|0;if((k|0)!=(o|0)){p=n+36|0;r=f[p>>2]|0;if(r|0){s=r+8|0;f[s>>2]=(f[s>>2]|0)+1}s=q+(j*48|0)+24|0;r=f[s>>2]|0;if(r|0?(t=r+8|0,r=f[t>>2]|0,f[t>>2]=r+-1,(r|0)==1):0)WH(k);r=q+(j*48|0)+4|0;if((f[r>>2]|0)>0){t=f[q+(j*48|0)+32>>2]|0;v=0;do{f[t+(v<<2)>>2]=0;v=v+1|0;w=f[r>>2]|0}while((v|0)<(w|0));f[s>>2]=0;f[k>>2]=f[n+12>>2];if((w|0)<3)m=23;else m=25}else{f[s>>2]=0;f[k>>2]=f[n+12>>2];m=23}if((m|0)==23){m=0;v=f[n+16>>2]|0;if((v|0)<3){f[r>>2]=v;f[q+(j*48|0)+8>>2]=f[n+20>>2];f[q+(j*48|0)+12>>2]=f[n+24>>2];v=f[n+48>>2]|0;t=f[q+(j*48|0)+36>>2]|0;f[t>>2]=f[v>>2];f[t+4>>2]=f[v+4>>2]}else m=25}if((m|0)==25){m=0;UH(k,o)}f[q+(j*48|0)+16>>2]=f[n+28>>2];v=q+(j*48|0)+20|0;if(!(f[v>>2]|0))f[v>>2]=f[n+32>>2];f[s>>2]=f[p>>2];f[q+(j*48|0)+28>>2]=f[n+40>>2]}if(l|0)Xtc(l);j=j+1|0;if((j|0)>=(h|0)){m=32;break}}if((m|0)==8){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;h=cuc(32)|0;f[e>>2]=h;f[e+8>>2]=-2147483616;f[e+4>>2]=20;j=h;o=411722;w=j+20|0;do{b[j>>0]=b[o>>0]|0;j=j+1|0;o=o+1|0}while((j|0)<(w|0));b[h+20>>0]=0;WD(-215,e,411794,408169,287)}else if((m|0)==32){u=d;return}}function QLa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=u;u=u+176|0;e=d+160|0;g=d+24|0;h=d+12|0;i=d;j=i+11|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;k=g+56|0;l=g+4|0;f[g>>2]=10740;f[k>>2]=10760;bkc(g+56|0,l);f[g+128>>2]=0;f[g+132>>2]=-1;f[g>>2]=36996;f[k>>2]=37016;gkc(l);f[l>>2]=35404;m=g+36|0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;f[g+52>>2]=16;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;$D(l,e);if((b[e+11>>0]|0)<0){fuc(f[e>>2]|0);n=b[j>>0]|0;o=f[i+4>>2]|0}else{n=0;o=0}p=n<<24>>24<0;q=p?o:n&255;if(q|0){n=aE(g,p?f[i>>2]|0:i,q)|0;b[e>>0]=32;aE(n,e,1)|0}b[e>>0]=91;aE(g,e,1)|0;n=(f[c+4>>2]|0)-(f[c>>2]|0)>>2;if(n|0){q=0;do{b[e>>0]=32;p=aE(g,e,1)|0;tkc(p,f[(f[c>>2]|0)+(q<<2)>>2]|0)|0;q=q+1|0}while(q>>>0<n>>>0)}aE(g,411791,2)|0;bE(h,l);f[g>>2]=36996;f[k>>2]=37016;f[l>>2]=35404;if((b[m+11>>0]|0)<0)fuc(f[m>>2]|0);Ric(l);Njc(g,37028);Mic(k);k=h+11|0;g=b[k>>0]|0;l=g<<24>>24<0;aE(a,l?f[h>>2]|0:h,l?f[h+4>>2]|0:g&255)|0;if((b[k>>0]|0)<0)fuc(f[h>>2]|0);if((b[j>>0]|0)>=0){u=d;return a|0}fuc(f[i>>2]|0);u=d;return a|0}function RLa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=u;u=u+16|0;d=c+8|0;e=c;fY(e,0);g=f[e>>2]|0;Zh[f[(f[g>>2]|0)+8>>2]&511](d,g,b);b=f[d>>2]|0;bi[f[(f[b>>2]|0)+4>>2]&2047](b);b=f[d>>2]|0;g=di[f[f[b>>2]>>2]&1023](b)|0;if(g|0){b=g;do{aE(a,b,jfc(b)|0)|0;g=f[d>>2]|0;b=di[f[f[g>>2]>>2]&1023](g)|0}while((b|0)!=0)}b=f[d+4>>2]|0;if(b|0)Xtc(b);b=f[e+4>>2]|0;if(!b){u=c;return a|0}Xtc(b);u=c;return a|0}function SLa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;d=u;u=u+16|0;e=d;g=f[a>>2]|0;h=(f[a+4>>2]|0)-g>>3;i=(f[c+4>>2]|0)-(f[c>>2]|0)|0;j=g;if((h|0)!=((i|0)/48|0|0)){g=cuc(32)|0;f[e>>2]=g;f[e+8>>2]=-2147483616;f[e+4>>2]=31;k=g;l=411683;m=k+31|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));b[g+31>>0]=0;WD(-215,e,411715,408169,298)}if((i|0)<=0){u=d;return}i=f[j>>2]|0;a:do if(i|0){g=0;n=i;o=j;while(1){p=ovc(n,19056,19112,0)|0;if(!p)break a;q=f[o+(g<<3)+4>>2]|0;if(q|0)Wtc(q);if(!p)break a;r=f[c>>2]|0;s=r+(g*48|0)|0;t=p+12|0;if((t|0)!=(s|0)){v=r+(g*48|0)+24|0;w=f[v>>2]|0;if(w|0){x=w+8|0;f[x>>2]=(f[x>>2]|0)+1}x=p+36|0;w=f[x>>2]|0;if(w|0?(y=w+8|0,w=f[y>>2]|0,f[y>>2]=w+-1,(w|0)==1):0)WH(t);w=p+16|0;if((f[w>>2]|0)>0){y=f[p+44>>2]|0;z=0;do{f[y+(z<<2)>>2]=0;z=z+1|0;A=f[w>>2]|0}while((z|0)<(A|0));f[x>>2]=0;f[t>>2]=f[s>>2];if((A|0)<3)B=22;else B=24}else{f[x>>2]=0;f[t>>2]=f[s>>2];B=22}if((B|0)==22){B=0;z=f[r+(g*48|0)+4>>2]|0;if((z|0)<3){f[w>>2]=z;f[p+20>>2]=f[r+(g*48|0)+8>>2];f[p+24>>2]=f[r+(g*48|0)+12>>2];z=f[r+(g*48|0)+36>>2]|0;y=f[p+48>>2]|0;f[y>>2]=f[z>>2];f[y+4>>2]=f[z+4>>2]}else B=24}if((B|0)==24){B=0;UH(t,s)}f[p+28>>2]=f[r+(g*48|0)+16>>2];z=p+32|0;if(!(f[z>>2]|0))f[z>>2]=f[r+(g*48|0)+20>>2];f[x>>2]=f[v>>2];f[p+40>>2]=f[r+(g*48|0)+28>>2]}if(q|0)Xtc(q);g=g+1|0;if((g|0)>=(h|0))break;o=f[a>>2]|0;n=f[o+(g<<3)>>2]|0;if(!n)break a}u=d;return}while(0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;d=cuc(32)|0;f[e>>2]=d;f[e+8>>2]=-2147483616;f[e+4>>2]=20;k=d;l=411722;m=k+20|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));b[d+20>>0]=0;WD(-215,e,411715,408169,302)}function TLa(a,b){a=a|0;b=b|0;var c=0,d=0;f[a>>2]=0;c=a+4|0;f[c>>2]=0;f[a+8>>2]=0;if(!b)return;if(b>>>0>89478485)nsc(a);d=cuc(b*48|0)|0;f[c>>2]=d;f[a>>2]=d;f[a+8>>2]=d+(b*48|0);a=b;b=d;do{f[b>>2]=1124007936;d=b+4|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;f[d+16>>2]=0;f[d+20>>2]=0;f[d+24>>2]=0;f[b+32>>2]=b+8;d=b+40|0;f[b+36>>2]=d;f[b+44>>2]=0;f[d>>2]=0;b=(f[c>>2]|0)+48|0;f[c>>2]=b;a=a+-1|0}while((a|0)!=0);return}function ULa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;c=u;u=u+16|0;d=c;gV(d,113016);e=f[a+20>>2]|0;g=a+24|0;if((e|0)!=(g|0)){h=e;while(1){if(f[h+20>>2]|0){e=f[h+200>>2]|0;i=h+204|0;j=f[i>>2]|0;if((j|0)!=(e|0))f[i>>2]=j+(~((j+-4-e|0)>>>2)<<2);e=f[h+188>>2]|0;j=h+192|0;i=f[j>>2]|0;if((i|0)!=(e|0)){k=i;do{i=k+-56|0;f[j>>2]=i;l=k+-20|0;m=f[l>>2]|0;if(m|0?(n=m+12|0,m=f[n>>2]|0,f[n>>2]=m+-1,(m|0)==1):0)aU(i);f[l>>2]=0;l=k+-40|0;i=k+-52|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;if((f[i>>2]|0)>0){l=f[k+-16>>2]|0;m=0;do{f[l+(m<<2)>>2]=0;m=m+1|0}while((m|0)<(f[i>>2]|0))}i=f[k+-12>>2]|0;if((i|0)!=(k+-8|0))TC(i);k=f[j>>2]|0}while((k|0)!=(e|0))}e=f[h+212>>2]|0;k=h+216|0;j=f[k>>2]|0;if((j|0)!=(e|0)){i=j;do{j=i+-56|0;f[k>>2]=j;m=i+-20|0;l=f[m>>2]|0;if(l|0?(n=l+12|0,l=f[n>>2]|0,f[n>>2]=l+-1,(l|0)==1):0)aU(j);f[m>>2]=0;m=i+-40|0;j=i+-52|0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;if((f[j>>2]|0)>0){m=f[i+-16>>2]|0;l=0;do{f[m+(l<<2)>>2]=0;l=l+1|0}while((l|0)<(f[j>>2]|0))}j=f[i+-12>>2]|0;if((j|0)!=(i+-8|0))TC(j);i=f[k>>2]|0}while((i|0)!=(e|0))}}b[h+236>>0]=0;e=f[h+180>>2]|0;i=f[h+184>>2]|0;k=(i|0)==0;if(!k)Wtc(i);if(e|0?(bi[f[(f[e>>2]|0)+88>>2]&2047](e),j=ovc(e,19040,19176,0)|0,j|0):0){if(!k)Wtc(i);if(j|0)b[j+89>>0]=1;if(i|0)Xtc(i)}if(!k)Xtc(i);i=f[h+4>>2]|0;if(!i){k=h+8|0;j=f[k>>2]|0;if((f[j>>2]|0)==(h|0))o=j;else{j=k;do{k=f[j>>2]|0;j=k+8|0;e=f[j>>2]|0}while((f[e>>2]|0)!=(k|0));o=e}}else{j=i;while(1){e=f[j>>2]|0;if(!e)break;else j=e}o=j}if((o|0)==(g|0))break;else h=o}}o=f[a+124>>2]|0;h=a+128|0;a=f[h>>2]|0;if((a|0)!=(o|0))f[h>>2]=a+(~((a+-8-o|0)>>>3)<<3);if(!(f[d+4>>2]|0)){u=c;return}u=c;return}function VLa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0;d=u;u=u+64|0;e=d;g=d+48|0;h=d+52|0;i=d+40|0;j=d+28|0;k=d+16|0;l=d+12|0;gV(i,112844);m=a+20|0;n=f[m>>2]|0;o=a+24|0;if((n|0)!=(o|0)){p=n;while(1){f[p+240>>2]=0;n=f[p+4>>2]|0;if(!n){q=p+8|0;r=f[q>>2]|0;if((f[r>>2]|0)==(p|0))s=r;else{r=q;do{q=f[r>>2]|0;r=q+8|0;t=f[r>>2]|0}while((f[t>>2]|0)!=(q|0));s=t}}else{r=n;while(1){t=f[r>>2]|0;if(!t)break;else r=t}s=r}if((s|0)==(o|0))break;else p=s}}f[j>>2]=0;f[g>>2]=j;$La(e,m,j,1169304,g,h);s=f[e>>2]|0;if((f[s+188>>2]|0)==(f[s+192>>2]|0)){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;s=cuc(32)|0;f[e>>2]=s;f[e+8>>2]=-2147483616;f[e+4>>2]=30;v=s;w=413132;x=v+30|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));b[s+30>>0]=0;WD(-215,e,413163,408169,2018)}f[j>>2]=0;s=j+4|0;f[s>>2]=0;f[j+8>>2]=0;p=a+80|0;n=a+84|0;t=e+4|0;q=e+8|0;y=j+8|0;z=e+8|0;A=0;while(1){f[k>>2]=0;f[g>>2]=k;$La(e,m,k,1169304,g,h);B=f[e>>2]|0;if(A>>>0>=(((f[B+192>>2]|0)-(f[B+188>>2]|0)|0)/56|0)>>>0)break;f[k>>2]=0;f[g>>2]=k;$La(e,m,k,1169304,g,h);B=f[(f[e>>2]|0)+188>>2]|0;C=B+(A*56|0)+4|0;D=f[C>>2]|0;if((D|0)<3)E=Y(f[B+(A*56|0)+12>>2]|0,f[B+(A*56|0)+8>>2]|0)|0;else{F=f[B+(A*56|0)+40>>2]|0;G=0;H=1;while(1){I=Y(f[F+(G<<2)>>2]|0,H)|0;G=G+1|0;if((G|0)==(D|0)){E=I;break}else H=I}}if(!E){J=18;break}if((f[p>>2]|0)==3?(f[n>>2]|0)==2:0){f[k>>2]=0;f[g>>2]=k;$La(e,m,k,1169304,g,h);ZT((f[(f[e>>2]|0)+188>>2]|0)+(A*56|0)|0,f[C>>2]|0,f[B+(A*56|0)+40>>2]|0,3);K=f[C>>2]|0}else K=D;H=f[B+(A*56|0)+40>>2]|0;f[e>>2]=0;f[t>>2]=0;f[q>>2]=0;KKa(e,H,H+(K<<2)|0);H=f[s>>2]|0;if(H>>>0>=(f[y>>2]|0)>>>0){bMa(j,e);G=f[e>>2]|0;if(G|0){F=f[t>>2]|0;if((F|0)!=(G|0))f[t>>2]=F+(~((F+-4-G|0)>>>2)<<2);fuc(G)}}else{f[H>>2]=0;G=H+4|0;f[G>>2]=0;f[H+8>>2]=0;f[H>>2]=f[e>>2];f[G>>2]=f[t>>2];f[H+8>>2]=f[z>>2];f[z>>2]=0;f[t>>2]=0;f[e>>2]=0;f[s>>2]=H+12}A=A+1|0}if((J|0)==18){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;A=cuc(16)|0;f[e>>2]=A;f[e+8>>2]=-2147483632;f[e+4>>2]=11;v=A;w=413178;x=v+11|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));b[A+11>>0]=0;WD(-215,e,413163,408169,2023)}f[k+4>>2]=0;f[k+8>>2]=0;A=k+4|0;f[k>>2]=A;aMa(a,j,k);w=a+44|0;cMa(w);v=a+104|0;x=a+108|0;YKa(v,f[x>>2]|0);f[a+112>>2]=0;f[v>>2]=x;f[x>>2]=0;x=a+48|0;v=a+48|0;t=a+52|0;z=0;while(1){f[l>>2]=0;f[g>>2]=l;$La(e,m,l,1169304,g,h);y=f[e>>2]|0;if(z>>>0>=(((f[y+192>>2]|0)-(f[y+188>>2]|0)|0)/56|0)>>>0)break;y=f[x>>2]|0;K=(y|0)==0;a:do if(!K){q=x;n=y;b:while(1){p=n;while(1){E=f[p+16>>2]|0;if((E|0)>=0){if(E|0)break;if((f[p+20>>2]|0)>=(z|0))break}E=f[p+4>>2]|0;if(!E){L=q;break b}else p=E}n=f[p>>2]|0;if(!n){L=p;break}else q=p}do if((L|0)!=(x|0)?(q=f[L+16>>2]|0,(q|0)<=0):0){if((q|0)==0?(z|0)<(f[L+20>>2]|0):0)break;q=L+24|0;f[q>>2]=(f[q>>2]|0)+1;break a}while(0);if(!K){q=v;n=y;c:while(1){E=f[n+16>>2]|0;do if((E|0)<=0){if(!E){H=f[n+20>>2]|0;if((z|0)<(H|0)){J=48;break}if((H|0)>=(z|0)){J=53;break c}}M=n+4|0;H=f[M>>2]|0;if(!H){J=52;break c}else{N=M;O=H}}else J=48;while(0);if((J|0)==48){J=0;E=f[n>>2]|0;if(!E){J=49;break}else{N=n;O=E}}q=N;n=O}if((J|0)==49){J=0;P=n;Q=n;J=54;break}else if((J|0)==52){J=0;P=n;Q=M;J=54;break}else if((J|0)==53){J=0;P=n;Q=q;J=54;break}}else{P=x;Q=x;J=54}}else{P=x;Q=x;J=54}while(0);if((J|0)==54){J=0;y=f[Q>>2]|0;if(!y){K=cuc(28)|0;B=K+16|0;f[B>>2]=0;f[B+4>>2]=z;f[K+24>>2]=0;f[K>>2]=0;f[K+4>>2]=0;f[K+8>>2]=P;f[Q>>2]=K;B=f[f[w>>2]>>2]|0;if(!B)R=K;else{f[w>>2]=B;R=f[Q>>2]|0}jI(f[v>>2]|0,R);f[t>>2]=(f[t>>2]|0)+1;S=K}else S=y;f[S+24>>2]=1}z=z+1|0}z=f[m>>2]|0;if((z|0)!=(o|0)){S=z;while(1){z=S+96|0;t=S+100|0;R=f[t>>2]|0;v=f[z>>2]|0;if((R|0)!=(v|0)){Q=0;P=v;v=R;while(1){R=P;M=R+(Q<<3)|0;O=f[x>>2]|0;do if(O){N=f[M>>2]|0;L=f[R+(Q<<3)+4>>2]|0;h=x;g=O;d:while(1){l=g;while(1){y=f[l+16>>2]|0;if((y|0)>=(N|0)){if((y|0)!=(N|0))break;if((f[l+20>>2]|0)>=(L|0))break}y=f[l+4>>2]|0;if(!y){T=h;break d}else l=y}g=f[l>>2]|0;if(!g){T=l;break}else h=l}if((T|0)!=(x|0)?(h=f[T+16>>2]|0,(N|0)>=(h|0)):0){if((N|0)==(h|0)?(L|0)<(f[T+20>>2]|0):0){J=76;break}h=T+24|0;f[h>>2]=(f[h>>2]|0)+1;U=P;V=v}else J=76}else J=76;while(0);if((J|0)==76){J=0;O=dMa(w,M)|0;f[O>>2]=1;U=f[z>>2]|0;V=f[t>>2]|0}Q=Q+1|0;if(Q>>>0>=V-U>>3>>>0)break;else{P=U;v=V}}}v=f[S+4>>2]|0;if(!v){P=S+8|0;Q=f[P>>2]|0;if((f[Q>>2]|0)==(S|0))W=Q;else{Q=P;do{P=f[Q>>2]|0;Q=P+8|0;t=f[Q>>2]|0}while((f[t>>2]|0)!=(P|0));W=t}}else{Q=v;while(1){t=f[Q>>2]|0;if(!t)break;else Q=t}W=Q}if((W|0)==(o|0))break;else S=W}}W=c+4|0;S=f[W>>2]|0;V=f[c>>2]|0;if((S|0)!=(V|0)){U=0;T=V;V=S;while(1){S=T;v=S+(U<<3)|0;t=f[x>>2]|0;do if(t){P=f[v>>2]|0;z=f[S+(U<<3)+4>>2]|0;O=x;R=t;e:while(1){q=R;while(1){n=f[q+16>>2]|0;if((n|0)>=(P|0)){if((n|0)!=(P|0))break;if((f[q+20>>2]|0)>=(z|0))break}n=f[q+4>>2]|0;if(!n){X=O;break e}else q=n}R=f[q>>2]|0;if(!R){X=q;break}else O=q}if((X|0)!=(x|0)?(O=f[X+16>>2]|0,(P|0)>=(O|0)):0){if((P|0)==(O|0)?(z|0)<(f[X+20>>2]|0):0){J=98;break}O=X+24|0;f[O>>2]=(f[O>>2]|0)+1;Z=T;_=V}else J=98}else J=98;while(0);if((J|0)==98){J=0;t=dMa(w,v)|0;f[t>>2]=1;Z=f[c>>2]|0;_=f[W>>2]|0}U=U+1|0;if(U>>>0>=_-Z>>3>>>0)break;else{T=Z;V=_}}}_=f[m>>2]|0;if((_|0)!=(o|0)){m=_;while(1){eMa(a,f[m+16>>2]|0,k);_=f[m+4>>2]|0;if(!_){V=m+8|0;Z=f[V>>2]|0;if((f[Z>>2]|0)==(m|0))$=Z;else{Z=V;do{V=f[Z>>2]|0;Z=V+8|0;T=f[Z>>2]|0}while((f[T>>2]|0)!=(V|0));$=T}}else{Z=_;while(1){v=f[Z>>2]|0;if(!v)break;else Z=v}$=Z}if(($|0)==(o|0))break;else m=$}}$=a+124|0;m=(f[a+116>>2]|0)+1|0;o=e;f[o>>2]=0;f[o+4>>2]=0;o=a+128|0;_=f[o>>2]|0;v=f[$>>2]|0;T=_-v>>3;V=v;v=_;if(m>>>0<=T>>>0){if(m>>>0<T>>>0?(_=V+(m<<3)|0,(v|0)!=(_|0)):0)f[o>>2]=v+(~((v+-8-_|0)>>>3)<<3)}else fMa($,m-T|0,e);gMa(a,c);hMa(k,f[A>>2]|0);A=f[j>>2]|0;if(A|0){k=f[s>>2]|0;if((k|0)==(A|0))aa=A;else{c=k;while(1){k=c+-12|0;f[s>>2]=k;a=f[k>>2]|0;if(!a)ba=k;else{k=c+-8|0;e=f[k>>2]|0;if((e|0)!=(a|0))f[k>>2]=e+(~((e+-4-a|0)>>>2)<<2);fuc(a);ba=f[s>>2]|0}if((ba|0)==(A|0))break;else c=ba}aa=f[j>>2]|0}fuc(aa)}if(!(f[i+4>>2]|0)){u=d;return}u=d;return}function WLa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0;c=u;u=u+32|0;d=c+16|0;e=c;gV(d,112784);switch(f[a+80>>2]|0){case 3:{if((f[a+84>>2]|0)>>>0>=3){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;g=cuc(80)|0;f[e>>2]=g;f[e+8>>2]=-2147483568;f[e+4>>2]=76;h=g;i=412674;j=h+76|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(j|0));b[g+76>>0]=0;WD(-215,e,412751,408169,1237)}break}case 1:{YLa(a);break}case 2:{ZLa(a);break}default:{f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;a=cuc(32)|0;f[e>>2]=a;f[e+8>>2]=-2147483616;f[e+4>>2]=26;h=a;i=411656;j=h+26|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(j|0));b[a+26>>0]=0;WD(-213,e,412751,408169,1243)}}if(!(f[d+4>>2]|0)){u=c;return}u=c;return}function XLa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=c;e=b;g=d-e|0;h=g>>3;i=a+8|0;j=f[i>>2]|0;k=f[a>>2]|0;l=k;if(h>>>0<=j-k>>3>>>0){m=a+4|0;n=(f[m>>2]|0)-k>>3;o=h>>>0>n>>>0;p=o?b+(n<<3)|0:c;c=p;n=c-e|0;e=n>>3;if(e|0)uzc(k|0,b|0,n|0)|0;n=l+(e<<3)|0;if(o){o=d-c|0;if((o|0)<=0)return;szc(f[m>>2]|0,p|0,o|0)|0;f[m>>2]=(f[m>>2]|0)+(o>>>3<<3);return}else{o=f[m>>2]|0;if((o|0)==(n|0))return;f[m>>2]=o+(~((o+-8-n|0)>>>3)<<3);return}}n=k;if(!k)q=j;else{j=a+4|0;o=f[j>>2]|0;if((o|0)!=(l|0))f[j>>2]=o+(~((o+-8-k|0)>>>3)<<3);fuc(n);f[i>>2]=0;f[j>>2]=0;f[a>>2]=0;q=0}if(h>>>0>536870911)nsc(a);j=q>>2;n=q>>3>>>0<268435455?(j>>>0<h>>>0?h:j):536870911;if(n>>>0>536870911)nsc(a);j=cuc(n<<3)|0;h=a+4|0;f[h>>2]=j;f[a>>2]=j;f[i>>2]=j+(n<<3);if((g|0)<=0)return;szc(j|0,b|0,g|0)|0;f[h>>2]=j+(g>>>3<<3);return}function YLa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0;c=u;u=u+32|0;d=c+24|0;e=c+12|0;g=c;gV(d,112824);h=a+80|0;if((f[h>>2]|0)!=1){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;i=cuc(48)|0;f[e>>2]=i;f[e+8>>2]=-2147483600;f[e+4>>2]=39;j=i;k=412898;l=j+39|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[i+39>>0]=0;WD(-215,e,412938,408169,1249)}if(!(aNa()|0)){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;i=cuc(16)|0;f[e>>2]=i;f[e+8>>2]=-2147483632;f[e+4>>2]=12;j=i;k=412956;l=j+12|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[i+12>>0]=0;WD(-215,e,412938,408169,1249)}i=a+20|0;m=f[i>>2]|0;n=m;f[e>>2]=n;o=a+24|0;a:do if((n|0)!=(o|0)){a=g+4|0;p=g+4|0;q=m;r=n;while(1){s=q;t=f[s+180>>2]|0;v=f[s+184>>2]|0;w=(v|0)==0;if(!w)Wtc(v);if(Th[f[(f[t>>2]|0)+56>>2]&1023](t,f[h>>2]|0)|0){x=f[e>>2]|0;y=f[x+180>>2]|0;z=f[x+184>>2]|0;A=(z|0)==0;if(!A)Wtc(z);if(((((r|0)!=(f[i>>2]|0)?Th[f[(f[y>>2]|0)+56>>2]&1023](y,f[h>>2]|0)|0:0)?(y=f[s+200>>2]|0,B=y,((f[s+204>>2]|0)-y|0)==4):0)?(y=f[x+188>>2]|0,((f[x+192>>2]|0)-y|0)==56):0)?(f[(f[B>>2]|0)+16>>2]|0)==(f[y+16>>2]|0):0){y=x+224|0;B=x+228|0;C=f[B>>2]|0;do if(C){D=f[h>>2]|0;E=x+228|0;F=C;while(1){G=f[F+16>>2]|0;if((D|0)<(G|0)){H=f[F>>2]|0;if(!H){I=23;break}else{J=F;K=H}}else{if((G|0)>=(D|0)){I=27;break}L=F+4|0;G=f[L>>2]|0;if(!G){I=26;break}else{J=L;K=G}}E=J;F=K}if((I|0)==23){I=0;M=F;N=F;break}else if((I|0)==26){I=0;M=F;N=L;break}else if((I|0)==27){I=0;M=F;N=E;break}}else{M=B;N=B}while(0);C=f[N>>2]|0;if(!C){D=cuc(28)|0;f[D+16>>2]=f[h>>2];f[D+20>>2]=0;f[D+24>>2]=0;f[D>>2]=0;f[D+4>>2]=0;f[D+8>>2]=M;f[N>>2]=D;G=f[f[y>>2]>>2]|0;if(!G)O=D;else{f[y>>2]=G;O=f[N>>2]|0}jI(f[x+228>>2]|0,O);G=x+232|0;f[G>>2]=(f[G>>2]|0)+1;P=D}else P=C;if(!(f[P+20>>2]|0))break;C=f[(f[t>>2]|0)+72>>2]|0;D=f[B>>2]|0;do if(D){G=f[h>>2]|0;H=x+228|0;Q=D;while(1){R=f[Q+16>>2]|0;if((G|0)<(R|0)){S=f[Q>>2]|0;if(!S){I=40;break}else{T=Q;U=S}}else{if((R|0)>=(G|0)){I=44;break}V=Q+4|0;R=f[V>>2]|0;if(!R){I=43;break}else{T=V;U=R}}H=T;Q=U}if((I|0)==40){I=0;W=Q;X=Q;break}else if((I|0)==43){I=0;W=Q;X=V;break}else if((I|0)==44){I=0;W=Q;X=H;break}}else{W=B;X=B}while(0);D=f[X>>2]|0;if(!D){G=cuc(28)|0;f[G+16>>2]=f[h>>2];f[G+20>>2]=0;f[G+24>>2]=0;f[G>>2]=0;f[G+4>>2]=0;f[G+8>>2]=W;f[X>>2]=G;E=f[f[y>>2]>>2]|0;if(!E)Y=G;else{f[y>>2]=E;Y=f[X>>2]|0}jI(f[x+228>>2]|0,Y);E=x+232|0;f[E>>2]=(f[E>>2]|0)+1;Z=G}else Z=D;Zh[C&511](g,t,Z+20|0);D=f[g>>2]|0;G=D;do if(!D)_=0;else{b[s+236>>0]=1;E=f[B>>2]|0;do if(E){F=f[h>>2]|0;R=x+228|0;S=E;while(1){$=f[S+16>>2]|0;if((F|0)<($|0)){aa=f[S>>2]|0;if(!aa){I=56;break}else{ba=S;ca=aa}}else{if(($|0)>=(F|0)){I=60;break}da=S+4|0;$=f[da>>2]|0;if(!$){I=59;break}else{ba=da;ca=$}}R=ba;S=ca}if((I|0)==56){I=0;ea=S;fa=S;break}else if((I|0)==59){I=0;ea=S;fa=da;break}else if((I|0)==60){I=0;ea=S;fa=R;break}}else{ea=B;fa=B}while(0);E=f[fa>>2]|0;if(!E){H=cuc(28)|0;f[H+16>>2]=f[h>>2];f[H+20>>2]=0;f[H+24>>2]=0;f[H>>2]=0;f[H+4>>2]=0;f[H+8>>2]=ea;f[fa>>2]=H;Q=f[f[y>>2]>>2]|0;if(!Q)ga=H;else{f[y>>2]=Q;ga=f[fa>>2]|0}jI(f[x+228>>2]|0,ga);Q=x+232|0;f[Q>>2]=(f[Q>>2]|0)+1;ha=H;ia=f[g>>2]|0}else{ha=E;ia=G}E=f[p>>2]|0;if(E|0)Wtc(E);f[ha+20>>2]=ia;H=ha+24|0;Q=f[H>>2]|0;f[H>>2]=E;if(Q|0)Xtc(Q);if((x|0)==(s|0)){_=10;break}_La(x+144|0,f[s+144>>2]|0,f[s+148>>2]|0);_=10}while(0);x=f[p>>2]|0;if(x|0)Xtc(x);if(!_)I=75}else I=75;if((I|0)==75){I=0;b[s+236>>0]=0;Zh[f[(f[t>>2]|0)+60>>2]&511](g,t,s+156|0);x=s+224|0;G=s+228|0;y=f[G>>2]|0;do if(y){B=s+228|0;D=y;while(1){C=f[D+16>>2]|0;if((C|0)>1){Q=f[D>>2]|0;if(!Q){I=80;break}else{ja=D;ka=Q}}else{if((C|0)==1){I=84;break}la=D+4|0;C=f[la>>2]|0;if(!C){I=83;break}else{ja=la;ka=C}}B=ja;D=ka}if((I|0)==80){I=0;ma=D;na=D;break}else if((I|0)==83){I=0;ma=D;na=la;break}else if((I|0)==84){I=0;ma=D;na=B;break}}else{ma=G;na=G}while(0);G=f[na>>2]|0;if(!G){y=cuc(28)|0;f[y+16>>2]=1;f[y+20>>2]=0;f[y+24>>2]=0;f[y>>2]=0;f[y+4>>2]=0;f[y+8>>2]=ma;f[na>>2]=y;t=f[f[x>>2]>>2]|0;if(!t)oa=y;else{f[x>>2]=t;oa=f[na>>2]|0}jI(f[s+228>>2]|0,oa);t=s+232|0;f[t>>2]=(f[t>>2]|0)+1;pa=y}else pa=G;G=f[g>>2]|0;y=f[a>>2]|0;if(y|0)Wtc(y);f[pa+20>>2]=G;G=pa+24|0;t=f[G>>2]|0;f[G>>2]=y;if(t|0)Xtc(t);t=f[a>>2]|0;if(t|0)Xtc(t);f[e>>2]=q}if(!A)Xtc(z)}else f[e>>2]=q;if(!w)Xtc(v);t=f[r+4>>2]|0;if(!t){y=r+8|0;G=f[y>>2]|0;if((f[G>>2]|0)==(q|0))qa=G;else{G=y;do{y=f[G>>2]|0;G=y+8|0;C=f[G>>2]|0}while((f[C>>2]|0)!=(y|0));qa=C}}else{G=t;while(1){v=f[G>>2]|0;if(!v)break;else G=v}qa=G}if((qa|0)==(o|0))break a;else{q=qa;r=qa}}f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;r=cuc(48)|0;f[g>>2]=r;f[g+8>>2]=-2147483600;f[g+4>>2]=46;j=r;k=412969;l=j+46|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[r+46>>0]=0;WD(-215,g,412938,408169,1281)}while(0);if(!(f[d+4>>2]|0)){u=c;return}u=c;return}function ZLa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0;c=u;u=u+32|0;d=c+16|0;e=c;gV(d,112804);if((f[a+80>>2]|0)!=2){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;a=cuc(64)|0;f[e>>2]=a;f[e+8>>2]=-2147483584;f[e+4>>2]=49;g=a;h=412763;i=g+49|0;do{b[g>>0]=b[h>>0]|0;g=g+1|0;h=h+1|0}while((g|0)<(i|0));b[a+49>>0]=0;WD(-215,e,412813,408169,1342)}if(!(rib()|0)){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;a=cuc(16)|0;f[e>>2]=a;f[e+8>>2]=-2147483632;f[e+4>>2]=15;g=a;h=444299;i=g+15|0;do{b[g>>0]=b[h>>0]|0;g=g+1|0;h=h+1|0}while((g|0)<(i|0));b[a+15>>0]=0;WD(-215,e,412813,408169,1342)}if(!(f[d+4>>2]|0)){u=c;return}u=c;return}function _La(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;d=c-b>>3;e=a+8|0;g=f[e>>2]|0;h=f[a>>2]|0;i=h;if(d>>>0>g-h>>3>>>0){if(!h)j=g;else{g=a+4|0;k=f[g>>2]|0;if((k|0)==(i|0))l=h;else{m=k;while(1){k=m+-8|0;f[g>>2]=k;n=f[m+-4>>2]|0;if(!n)o=k;else{Xtc(n);o=f[g>>2]|0}if((o|0)==(i|0))break;else m=o}l=f[a>>2]|0}fuc(l);f[e>>2]=0;f[g>>2]=0;f[a>>2]=0;j=0}if(d>>>0>536870911)nsc(a);g=j>>2;l=j>>3>>>0<268435455?(g>>>0<d>>>0?d:g):536870911;if(l>>>0>536870911)nsc(a);g=cuc(l<<3)|0;j=a+4|0;f[j>>2]=g;f[a>>2]=g;f[e>>2]=g+(l<<3);if((b|0)==(c|0))return;l=b;e=g;do{f[e>>2]=f[l>>2];g=f[l+4>>2]|0;f[e+4>>2]=g;if(g|0)Wtc(g);l=l+8|0;e=(f[j>>2]|0)+8|0;f[j>>2]=e}while((l|0)!=(c|0));return}l=a+4|0;a=(f[l>>2]|0)-h>>3;h=d>>>0>a>>>0;d=b+(a<<3)|0;a=h?d:c;if((a|0)==(b|0))p=i;else{e=b;b=i;while(1){i=f[e>>2]|0;j=f[e+4>>2]|0;if(j|0)Wtc(j);f[b>>2]=i;i=b+4|0;g=f[i>>2]|0;f[i>>2]=j;if(g|0)Xtc(g);e=e+8|0;g=b+8|0;if((e|0)==(a|0)){p=g;break}else b=g}}if(!h){h=f[l>>2]|0;if((h|0)==(p|0))return;else q=h;while(1){h=q+-8|0;f[l>>2]=h;b=f[q+-4>>2]|0;if(!b)r=h;else{Xtc(b);r=f[l>>2]|0}if((r|0)==(p|0))break;else q=r}return}if((a|0)==(c|0))return;a=d;d=f[l>>2]|0;do{f[d>>2]=f[a>>2];r=f[a+4>>2]|0;f[d+4>>2]=r;if(r|0)Wtc(r);a=a+8|0;d=(f[l>>2]|0)+8|0;f[l>>2]=d}while((a|0)!=(c|0));return}function $La(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;h=c+4|0;e=f[h>>2]|0;do if(e){i=f[d>>2]|0;j=c+4|0;k=e;while(1){l=f[k+16>>2]|0;if((i|0)<(l|0)){m=f[k>>2]|0;if(!m){n=6;break}else{o=k;p=m}}else{if((l|0)>=(i|0)){n=10;break}q=k+4|0;l=f[q>>2]|0;if(!l){n=9;break}else{o=q;p=l}}j=o;k=p}if((n|0)==6){r=k;s=k;break}else if((n|0)==9){r=k;s=q;break}else if((n|0)==10){r=k;s=j;break}}else{r=h;s=h}while(0);h=f[s>>2]|0;if(h|0){t=h;u=0;v=t;f[a>>2]=v;w=a+4|0;b[w>>0]=u;return}h=cuc(244)|0;f[h+16>>2]=f[f[g>>2]>>2];f[h+20>>2]=-1;g=h+24|0;n=h+52|0;f[n>>2]=0;f[h+56>>2]=0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;f[g+16>>2]=0;f[g+20>>2]=0;f[h+48>>2]=n;n=h+112|0;f[n>>2]=0;f[h+116>>2]=0;g=h+108|0;q=h+60|0;p=q+48|0;do{f[q>>2]=0;q=q+4|0}while((q|0)<(p|0));f[g>>2]=n;n=h+124|0;f[n>>2]=0;f[h+128>>2]=0;f[h+120>>2]=n;n=h+228|0;f[n>>2]=0;f[h+232>>2]=0;g=h+224|0;q=h+132|0;p=q+92|0;do{f[q>>2]=0;q=q+4|0}while((q|0)<(p|0));f[g>>2]=n;b[h+236>>0]=0;f[h+240>>2]=0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=r;f[s>>2]=h;r=f[f[c>>2]>>2]|0;if(!r)x=h;else{f[c>>2]=r;x=f[s>>2]|0}jI(f[c+4>>2]|0,x);x=c+8|0;f[x>>2]=(f[x>>2]|0)+1;t=h;u=1;v=t;f[a>>2]=v;w=a+4|0;b[w>>0]=u;return}function aMa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=d+4|0;hMa(d,f[e>>2]|0);g=d+8|0;f[g>>2]=0;f[d>>2]=e;f[e>>2]=0;h=cuc(60)|0;i=h+16|0;f[h>>2]=0;f[h+4>>2]=0;j=h+8|0;k=i;l=k+40|0;do{f[k>>2]=0;k=k+4|0}while((k|0)<(l|0));b[i+40>>0]=0;f[j>>2]=e;f[e>>2]=h;f[d>>2]=h;jI(h,h);f[g>>2]=(f[g>>2]|0)+1;g=h+20|0;if((g|0)!=(c|0))MMa(g,f[c>>2]|0,f[c+4>>2]|0);c=f[a+20>>2]|0;g=a+24|0;if((c|0)==(g|0))return;else m=c;while(1){NMa(a,f[m+16>>2]|0,d);c=f[m+4>>2]|0;if(!c){h=m+8|0;e=f[h>>2]|0;if((f[e>>2]|0)==(m|0))n=e;else{e=h;do{h=f[e>>2]|0;e=h+8|0;j=f[e>>2]|0}while((f[j>>2]|0)!=(h|0));n=j}}else{e=c;while(1){j=f[e>>2]|0;if(!j)break;else e=j}n=e}if((n|0)==(g|0))break;else m=n}return}function bMa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;c=a+4|0;d=f[a>>2]|0;e=((f[c>>2]|0)-d|0)/12|0;g=e+1|0;if(g>>>0>357913941)nsc(a);h=a+8|0;i=((f[h>>2]|0)-d|0)/12|0;d=i<<1;j=i>>>0<178956970?(d>>>0<g>>>0?g:d):357913941;do if(j)if(j>>>0>357913941){d=ze(8)|0;kuc(d,519086);f[d>>2]=167148;Hf(d|0,26888,1888)}else{k=cuc(j*12|0)|0;break}else k=0;while(0);d=k+(e*12|0)|0;g=d;i=k+(j*12|0)|0;f[k+(e*12|0)+8>>2]=0;f[d>>2]=f[b>>2];j=b+4|0;f[k+(e*12|0)+4>>2]=f[j>>2];l=b+8|0;f[k+(e*12|0)+8>>2]=f[l>>2];f[l>>2]=0;f[j>>2]=0;f[b>>2]=0;b=d+12|0;j=f[a>>2]|0;l=f[c>>2]|0;if((l|0)==(j|0)){m=g;n=j;o=j}else{e=l;l=g;g=d;do{d=g+-12|0;k=e;e=e+-12|0;f[d>>2]=0;p=g+-8|0;f[p>>2]=0;f[g+-4>>2]=0;f[d>>2]=f[e>>2];d=k+-8|0;f[p>>2]=f[d>>2];p=k+-4|0;f[g+-4>>2]=f[p>>2];f[p>>2]=0;f[d>>2]=0;f[e>>2]=0;g=l+-12|0;l=g}while((e|0)!=(j|0));m=l;n=f[a>>2]|0;o=f[c>>2]|0}f[a>>2]=m;f[c>>2]=b;f[h>>2]=i;i=n;if((o|0)!=(i|0)){h=o;do{o=h;h=h+-12|0;b=f[h>>2]|0;if(b|0){c=o+-8|0;o=f[c>>2]|0;if((o|0)!=(b|0))f[c>>2]=o+(~((o+-4-b|0)>>>2)<<2);fuc(b)}}while((h|0)!=(i|0))}if(!n)return;fuc(n);return}function cMa(a){a=a|0;var b=0,c=0,d=0,e=0;b=u;u=u+16|0;c=b;gV(c,112996);d=a+4|0;$Ka(a,f[d>>2]|0);f[a+8>>2]=0;f[a>>2]=d;f[d>>2]=0;d=a+12|0;e=a+16|0;_Ka(d,f[e>>2]|0);f[a+20>>2]=0;f[d>>2]=e;f[e>>2]=0;e=a+24|0;d=a+28|0;ZKa(e,f[d>>2]|0);f[a+32>>2]=0;f[e>>2]=d;f[d>>2]=0;if(!(f[c+4>>2]|0)){u=b;return}u=b;return}function dMa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;c=a+4|0;d=f[c>>2]|0;do if(d){e=f[b>>2]|0;g=f[b+4>>2]|0;h=a+4|0;i=d;a:while(1){j=f[i+16>>2]|0;do if((e|0)>=(j|0)){k=(e|0)==(j|0);if(k?(g|0)<(f[i+20>>2]|0):0){l=7;break}if((j|0)>=(e|0)){if(!k){l=14;break a}if((f[i+20>>2]|0)>=(g|0)){l=14;break a}}m=i+4|0;k=f[m>>2]|0;if(!k){l=13;break a}else{n=m;o=k}}else l=7;while(0);if((l|0)==7){l=0;j=f[i>>2]|0;if(!j){l=8;break}else{n=i;o=j}}h=n;i=o}if((l|0)==8){p=i;q=i;break}else if((l|0)==13){p=i;q=m;break}else if((l|0)==14){p=i;q=h;break}}else{p=c;q=c}while(0);c=f[q>>2]|0;if(c|0){r=c;s=r+24|0;return s|0}c=cuc(28)|0;l=b;b=f[l+4>>2]|0;m=c+16|0;f[m>>2]=f[l>>2];f[m+4>>2]=b;f[c+24>>2]=0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=p;f[q>>2]=c;p=f[f[a>>2]>>2]|0;if(!p)t=c;else{f[a>>2]=p;t=f[q>>2]|0}jI(f[a+4>>2]|0,t);t=a+8|0;f[t>>2]=(f[t>>2]|0)+1;r=c;s=r+24|0;return s|0}function eMa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0;e=u;u=u+176|0;g=e+8|0;h=e+152|0;i=e+140|0;j=e;k=e+128|0;l=e+116|0;m=e+108|0;n=e+104|0;o=e+96|0;p=e+40|0;q=e+112|0;r=e+32|0;s=e+100|0;t=e+20|0;f[q>>2]=c;gV(r,112936);c=a+20|0;f[h>>2]=q;NLa(g,c,q,1169304,h,i);v=f[g>>2]|0;w=v+20|0;x=v+240|0;if(!(f[x>>2]|0)){y=v+96|0;z=v+100|0;A=f[y>>2]|0;B=(f[z>>2]|0)-A>>3;C=(B|0)==0;a:do if(C)D=v+112|0;else{E=v+108|0;F=v+112|0;G=v+112|0;H=v+116|0;I=0;J=A;while(1){K=J+(I<<3)|0;L=f[F>>2]|0;do if(L){M=f[K>>2]|0;N=G;O=L;while(1){P=f[O+16>>2]|0;if((M|0)<(P|0)){Q=f[O>>2]|0;if(!Q){R=12;break}else{S=O;T=Q}}else{if((P|0)>=(M|0)){R=16;break}U=O+4|0;P=f[U>>2]|0;if(!P){R=15;break}else{S=U;T=P}}N=S;O=T}if((R|0)==12){R=0;V=O;W=O;break}else if((R|0)==15){R=0;V=O;W=U;break}else if((R|0)==16){R=0;V=O;W=N;break}}else{V=F;W=F}while(0);if(!(f[W>>2]|0)){L=cuc(20)|0;f[L+16>>2]=f[K>>2];f[L>>2]=0;f[L+4>>2]=0;f[L+8>>2]=V;f[W>>2]=L;M=f[f[E>>2]>>2]|0;if(!M)X=L;else{f[E>>2]=M;X=f[W>>2]|0}jI(f[G>>2]|0,X);f[H>>2]=(f[H>>2]|0)+1}M=I+1|0;if(M>>>0>=B>>>0){D=F;break a}I=M;J=f[y>>2]|0}}while(0);X=f[v+108>>2]|0;if((X|0)!=(D|0)){W=X;while(1){eMa(a,f[W+16>>2]|0,d);X=f[W+4>>2]|0;if(!X){V=W+8|0;U=f[V>>2]|0;if((f[U>>2]|0)==(W|0))Z=U;else{U=V;do{V=f[U>>2]|0;U=V+8|0;T=f[U>>2]|0}while((f[T>>2]|0)!=(V|0));Z=T}}else{U=X;while(1){T=f[U>>2]|0;if(!T)break;else U=T}Z=U}if((Z|0)==(D|0))break;else W=Z}f[s>>2]=W}b:do if(!(f[w>>2]|0)){W=f[a>>2]|0;s=(f[W+84>>2]|0)-(f[W+80>>2]|0)|0;W=(s|0)/56|0;Z=v+156|0;D=v+160|0;X=f[D>>2]|0;T=f[Z>>2]|0;V=X-T>>3;S=T;T=X;if(W>>>0<=V>>>0){if(W>>>0<V>>>0?(X=S+(W<<3)|0,(T|0)!=(X|0)):0){S=T;while(1){T=S+-8|0;f[D>>2]=T;A=f[S+-4>>2]|0;if(!A)_=T;else{Xtc(A);_=f[D>>2]|0}if((_|0)==(X|0))break;else S=_}}}else zMa(Z,W-V|0);if(s|0){S=g+4|0;X=0;do{mMa(g,a,(f[(f[a>>2]|0)+80>>2]|0)+(X*56|0)|0);D=f[Z>>2]|0;U=f[g>>2]|0;A=f[S>>2]|0;if(A|0)Wtc(A);f[D+(X<<3)>>2]=U;U=D+(X<<3)+4|0;D=f[U>>2]|0;f[U>>2]=A;if(D|0)Xtc(D);D=f[S>>2]|0;if(D|0)Xtc(D);X=X+1|0}while(X>>>0<W>>>0)}}else{W=v+200|0;X=v+204|0;S=f[X>>2]|0;Z=f[W>>2]|0;s=S-Z>>2;V=Z;Z=S;if(B>>>0<=s>>>0){if(B>>>0<s>>>0?(S=V+(B<<2)|0,(Z|0)!=(S|0)):0)f[X>>2]=Z+(~((Z+-4-S|0)>>>2)<<2)}else LKa(W,B-s|0);s=v+156|0;S=v+160|0;Z=f[S>>2]|0;X=f[s>>2]|0;V=Z-X>>3;D=X;X=Z;if(B>>>0<=V>>>0){if(B>>>0<V>>>0?(Z=D+(B<<3)|0,(X|0)!=(Z|0)):0){D=X;while(1){X=D+-8|0;f[S>>2]=X;A=f[D+-4>>2]|0;if(!A)$=X;else{Xtc(A);$=f[S>>2]|0}if(($|0)==(Z|0))break;else D=$}}}else zMa(s,B-V|0);if(!C){D=j+4|0;Z=0;while(1){S=(f[y>>2]|0)+(Z<<3)|0;A=f[S>>2]|0;X=f[S+4>>2]|0;S=j;f[S>>2]=A;f[S+4>>2]=X;if((A|X|0)<=-1)break;f[h>>2]=j;NLa(g,c,j,1169304,h,i);f[(f[W>>2]|0)+(Z<<2)>>2]=(f[(f[g>>2]|0)+188>>2]|0)+((f[D>>2]|0)*56|0);f[h>>2]=j;NLa(g,c,j,1169304,h,i);X=f[D>>2]|0;A=f[(f[g>>2]|0)+144>>2]|0;S=f[s>>2]|0;U=f[A+(X<<3)>>2]|0;T=f[A+(X<<3)+4>>2]|0;if(T|0)Wtc(T);f[S+(Z<<3)>>2]=U;U=S+(Z<<3)+4|0;S=f[U>>2]|0;f[U>>2]=T;if(S|0)Xtc(S);Z=Z+1|0;if(Z>>>0>=B>>>0)break b}f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;Z=cuc(16)|0;f[g>>2]=Z;f[g+8>>2]=-2147483632;f[g+4>>2]=12;aa=Z;ba=414113;ca=aa+12|0;do{b[aa>>0]=b[ba>>0]|0;aa=aa+1|0;ba=ba+1|0}while((aa|0)<(ca|0));b[Z+12>>0]=0;WD(-215,g,414126,408169,1606)}}while(0);B=f[q>>2]|0;q=d+4|0;d=f[q>>2]|0;if(!d){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;da=cuc(48)|0;f[g>>2]=da;ea=g+8|0;f[ea>>2]=-2147483600;fa=g+4|0;f[fa>>2]=35;aa=da;ba=414140;ca=aa+35|0;do{b[aa>>0]=b[ba>>0]|0;aa=aa+1|0;ba=ba+1|0}while((aa|0)<(ca|0));ga=da+35|0;b[ga>>0]=0;WD(-215,g,414126,408169,1615)}else{ha=q;ia=d}c:while(1){d=ia;while(1){if((f[d+16>>2]|0)>=(B|0))break;c=f[d+4>>2]|0;if(!c){ja=ha;break c}else d=c}ia=f[d>>2]|0;if(!ia){ja=d;break}else ha=d}if((ja|0)==(q|0)){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;da=cuc(48)|0;f[g>>2]=da;ea=g+8|0;f[ea>>2]=-2147483600;fa=g+4|0;f[fa>>2]=35;aa=da;ba=414140;ca=aa+35|0;do{b[aa>>0]=b[ba>>0]|0;aa=aa+1|0;ba=ba+1|0}while((aa|0)<(ca|0));ga=da+35|0;b[ga>>0]=0;WD(-215,g,414126,408169,1615)}if((f[ja+16>>2]|0)>(B|0)){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;da=cuc(48)|0;f[g>>2]=da;ea=g+8|0;f[ea>>2]=-2147483600;fa=g+4|0;f[fa>>2]=35;aa=da;ba=414140;ca=aa+35|0;do{b[aa>>0]=b[ba>>0]|0;aa=aa+1|0;ba=ba+1|0}while((aa|0)<(ca|0));ga=da+35|0;b[ga>>0]=0;WD(-215,g,414126,408169,1615)}f[t>>2]=0;ga=t+4|0;f[ga>>2]=0;f[t+8>>2]=0;da=a+44|0;if((f[a+80>>2]|0)==3)ka=(f[a+84>>2]|0)==2;else ka=0;gV(j,112956);j=f[t>>2]|0;fa=f[ga>>2]|0;if((fa|0)!=(j|0))f[ga>>2]=fa+(~((fa+-8-j|0)>>>3)<<3);j=v+188|0;fa=v+212|0;ea=ja+32|0;AMa(k,ja+44|0);B=ja+36|0;q=((f[B>>2]|0)-(f[ea>>2]|0)|0)/12|0;tJ(j,q>>>0>1?q:1);q=k+4|0;tJ(fa,((f[q>>2]|0)-(f[k>>2]|0)|0)/12|0);if((f[v+128>>2]|0)>>>0>(((f[B>>2]|0)-(f[ea>>2]|0)|0)/12|0)>>>0){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;ha=cuc(48)|0;f[g>>2]=ha;f[g+8>>2]=-2147483600;f[g+4>>2]=45;aa=ha;ba=414176;ca=aa+45|0;do{b[aa>>0]=b[ba>>0]|0;aa=aa+1|0;ba=ba+1|0}while((aa|0)<(ca|0));b[ha+45>>0]=0;WD(-215,g,414222,408169,773)}if((b[ja+56>>0]|0)!=0?((f[v+204>>2]|0)-(f[v+200>>2]|0)|0)==4:0)la=(BMa(da,f[v+96>>2]|0)|0)==1;else la=0;AMa(l,ea);ja=l+4|0;f[m>>2]=f[ja>>2];f[n>>2]=f[k>>2];f[o>>2]=f[q>>2];f[i>>2]=f[m>>2];f[h>>2]=f[n>>2];f[g>>2]=f[o>>2];CMa(l,i,h,g)|0;f[h>>2]=0;o=h+4|0;f[o>>2]=0;f[h+8>>2]=0;n=v+192|0;m=f[j>>2]|0;d:do if((f[n>>2]|0)!=(m|0)){ha=h+8|0;ia=0;Z=m;c=0;C=0;while(1){$=Z+(ia*56|0)|0;f[g>>2]=$;if(c>>>0<C>>>0){f[c>>2]=$;f[o>>2]=(f[o>>2]|0)+4}else DMa(h,g);$=ia+1|0;_=f[j>>2]|0;if($>>>0>=(((f[n>>2]|0)-_|0)/56|0)>>>0)break d;ia=$;Z=_;c=f[o>>2]|0;C=f[ha>>2]|0}}while(0);m=v+216|0;ha=f[fa>>2]|0;e:do if((f[m>>2]|0)!=(ha|0)){C=h+8|0;c=g+4|0;Z=t+8|0;ia=0;d=ha;f:while(1){_=d+(ia*56|0)|0;f[g>>2]=_;$=f[o>>2]|0;if($>>>0<(f[C>>2]|0)>>>0){f[$>>2]=_;f[o>>2]=(f[o>>2]|0)+4}else DMa(h,g);_=f[k>>2]|0;$=f[_+(ia*12|0)+4>>2]|0;s=f[_+(ia*12|0)>>2]|0;_=$-s|0;D=_>>2;W=s;do if((W|0)!=($|0)){if((_|0)<=-4)break f;if((_|0)>0){s=0;V=1;do{V=Y(f[W+(s<<2)>>2]|0,V)|0;s=s+1|0}while((s|0)<(D|0));if(!V)break}s=(((f[n>>2]|0)-(f[j>>2]|0)|0)/56|0)+ia|0;f[g>>2]=f[w>>2];f[c>>2]=s;s=f[ga>>2]|0;if(s>>>0<(f[Z>>2]|0)>>>0){N=g;O=f[N+4>>2]|0;S=s;f[S>>2]=f[N>>2];f[S+4>>2]=O;f[ga>>2]=(f[ga>>2]|0)+8}else xLa(t,g)}while(0);ia=ia+1|0;d=f[fa>>2]|0;if(ia>>>0>=(((f[m>>2]|0)-d|0)/56|0)>>>0)break e}d=cuc(80)|0;f[g>>2]=d;f[g+8>>2]=-2147483568;f[g+4>>2]=70;aa=d;ba=475319;ca=aa+70|0;do{b[aa>>0]=b[ba>>0]|0;aa=aa+1|0;ba=ba+1|0}while((aa|0)<(ca|0));b[d+70>>0]=0;WD(-215,g,475390,475396,161)}while(0);ha=f[ga>>2]|0;ia=f[t>>2]|0;if((ha|0)!=(ia|0)){Z=a+48|0;c=0;C=ia;ia=ha;while(1){ha=C;D=ha+(c<<3)|0;W=f[Z>>2]|0;do if(W){_=f[D>>2]|0;$=f[ha+(c<<3)+4>>2]|0;K=Z;O=W;g:while(1){S=O;while(1){N=f[S+16>>2]|0;if((N|0)>=(_|0)){if((N|0)!=(_|0))break;if((f[S+20>>2]|0)>=($|0))break}N=f[S+4>>2]|0;if(!N){ma=K;break g}else S=N}O=f[S>>2]|0;if(!O){ma=S;break}else K=S}if((ma|0)!=(Z|0)){K=f[ma+16>>2]|0;if((_|0)<(K|0)){R=108;break}if((_|0)==(K|0)?($|0)<(f[ma+20>>2]|0):0){R=108;break}K=ma+24|0;f[K>>2]=(f[K>>2]|0)+1;na=C;oa=ia}else R=108}else R=108;while(0);if((R|0)==108){R=0;W=dMa(da,D)|0;f[W>>2]=1;na=f[t>>2]|0;oa=f[ga>>2]|0}c=c+1|0;if(c>>>0>=oa-na>>3>>>0)break;else{C=na;ia=oa}}}oa=i+4|0;f[oa>>2]=0;ia=i+8|0;f[ia>>2]=0;na=i+4|0;f[i>>2]=na;f[p>>2]=0;C=f[l>>2]|0;do if((f[ja>>2]|0)!=(C|0)){c=C;ma=0;h:while(1){Z=c;W=f[Z+(ma*12|0)+4>>2]|0;ha=f[Z+(ma*12|0)>>2]|0;Z=W-ha|0;d=Z>>2;K=ha;do if((K|0)==(W|0))pa=0;else{if((Z|0)<=-4){R=133;break h}if((Z|0)>0){qa=0;ra=1}else{pa=1;break}while(1){ha=Y(f[K+(qa<<2)>>2]|0,ra)|0;qa=qa+1|0;if((qa|0)>=(d|0)){pa=ha;break}else ra=ha}}while(0);d=f[na>>2]|0;do if(d){K=oa;Z=d;while(1){W=f[Z+16>>2]|0;if((pa|0)<(W|0)){$=f[Z>>2]|0;if(!$){R=139;break}else{sa=Z;ta=$}}else{if((W|0)>=(pa|0)){R=143;break}ua=Z+4|0;W=f[ua>>2]|0;if(!W){R=142;break}else{sa=ua;ta=W}}K=sa;Z=ta}if((R|0)==139){R=0;va=Z;wa=Z;break}else if((R|0)==142){R=0;va=Z;wa=ua;break}else if((R|0)==143){R=0;va=Z;wa=K;break}}else{va=na;wa=na}while(0);d=f[wa>>2]|0;if(!d){W=cuc(32)|0;f[W+16>>2]=pa;f[W+20>>2]=0;f[W+24>>2]=0;f[W+28>>2]=0;f[W>>2]=0;f[W+4>>2]=0;f[W+8>>2]=va;f[wa>>2]=W;$=f[f[i>>2]>>2]|0;if(!$)xa=W;else{f[i>>2]=$;xa=f[wa>>2]|0}jI(f[oa>>2]|0,xa);f[ia>>2]=(f[ia>>2]|0)+1;ya=W}else ya=d;d=ya+24|0;W=f[d>>2]|0;if((W|0)==(f[ya+28>>2]|0))es(ya+20|0,p);else{f[W>>2]=f[p>>2];f[d>>2]=W+4}ma=(f[p>>2]|0)+1|0;f[p>>2]=ma;c=f[l>>2]|0;if(ma>>>0>=(((f[ja>>2]|0)-c|0)/12|0)>>>0){R=127;break}}if((R|0)==127){za=f[i>>2]|0;break}else if((R|0)==133){c=cuc(80)|0;f[g>>2]=c;f[g+8>>2]=-2147483568;f[g+4>>2]=70;aa=c;ba=475319;ca=aa+70|0;do{b[aa>>0]=b[ba>>0]|0;aa=aa+1|0;ba=ba+1|0}while((aa|0)<(ca|0));b[c+70>>0]=0;WD(-215,g,475390,475396,161)}}else za=na;while(0);i:do if((na|0)!=(za|0)){ya=g+4|0;ia=la^1;xa=v+200|0;oa=p+36|0;wa=p+16|0;va=p+4|0;pa=p+40|0;ua=p+44|0;ta=p+48|0;sa=v+96|0;ra=p+8|0;qa=p+12|0;C=p+20|0;ma=p+24|0;D=p+28|0;W=p+32|0;d=p+44|0;$=na;_=na;j:while(1){S=$;ha=0;while(1){Aa=f[_>>2]|0;Ba=(Aa|0)==0;if(Ba){O=S;while(1){V=f[O+8>>2]|0;if((f[V>>2]|0)==(O|0))O=V;else{Ca=V;break}}}else{O=Aa;while(1){K=f[O+4>>2]|0;if(!K){Ca=O;break}else O=K}}O=Ca+20|0;if(ha>>>0>=(f[O+4>>2]|0)-(f[O>>2]|0)>>2>>>0)break;if(Ba){O=S;while(1){K=f[O+8>>2]|0;if((f[K>>2]|0)==(O|0))O=K;else{Da=K;break}}}else{O=Aa;while(1){K=f[O+4>>2]|0;if(!K){Da=O;break}else O=K}}O=f[(f[Da+20>>2]|0)+(ha<<2)>>2]|0;K=f[l>>2]|0;Z=K+(O*12|0)|0;V=f[K+(O*12|0)+4>>2]|0;K=f[Z>>2]|0;N=V-K|0;s=N>>2;T=K;do if((T|0)!=(V|0)){if((N|0)<=-4){R=166;break j}K=(N|0)>0;if(K){U=0;X=1;do{X=Y(f[T+(U<<2)>>2]|0,X)|0;U=U+1|0}while((U|0)<(s|0));if(!X)break}f[g>>2]=f[w>>2];f[ya>>2]=O;if(O>>>0>=(((f[B>>2]|0)-(f[ea>>2]|0)|0)/12|0)>>>0|ia)FMa(da,Z,g,f[(f[h>>2]|0)+(O<<2)>>2]|0,ka);else{U=f[f[xa>>2]>>2]|0;A=f[U+4>>2]|0;if((A|0)<3)Ea=Y(f[U+12>>2]|0,f[U+8>>2]|0)|0;else{J=f[U+40>>2]|0;I=0;F=1;while(1){H=Y(f[J+(I<<2)>>2]|0,F)|0;I=I+1|0;if((I|0)==(A|0)){Ea=H;break}else F=H}}if(K){F=0;A=1;while(1){I=Y(f[T+(F<<2)>>2]|0,A)|0;F=F+1|0;if((F|0)>=(s|0)){Fa=I;break}else A=I}}else Fa=1;if((Ea|0)!=(Fa|0)){R=177;break j}oU(p,U,1,Z);A=f[j>>2]|0;F=A+(O*56|0)|0;do if((F|0)==(p|0)){K=f[oa>>2]|0;if(!K)break;I=K+12|0;K=f[I>>2]|0;f[I>>2]=K+-1;if((K|0)!=1)break;aU(p)}else{K=A+(O*56|0)+36|0;I=f[K>>2]|0;do if(I|0){J=I+12|0;X=f[J>>2]|0;f[J>>2]=X+-1;if((X|0)!=1)break;aU(F)}while(0);f[K>>2]=0;I=A+(O*56|0)+16|0;X=A+(O*56|0)+4|0;f[I>>2]=0;f[I+4>>2]=0;f[I+8>>2]=0;f[I+12>>2]=0;if((f[X>>2]|0)>0){J=f[A+(O*56|0)+40>>2]|0;H=0;do{f[J+(H<<2)>>2]=0;H=H+1|0}while((H|0)<(f[X>>2]|0))}f[F>>2]=f[p>>2];f[X>>2]=f[va>>2];H=A+(O*56|0)+8|0;f[H>>2]=f[ra>>2];f[A+(O*56|0)+12>>2]=f[qa>>2];f[I>>2]=f[wa>>2];f[A+(O*56|0)+20>>2]=f[C>>2];f[A+(O*56|0)+24>>2]=f[ma>>2];f[A+(O*56|0)+28>>2]=f[D>>2];f[A+(O*56|0)+32>>2]=f[W>>2];f[K>>2]=f[oa>>2];J=A+(O*56|0)+44|0;G=f[J>>2]|0;E=A+(O*56|0)+48|0;if((G|0)==(E|0))Ga=G;else{TC(G);f[J>>2]=E;f[A+(O*56|0)+40>>2]=H;Ga=E}if((f[va>>2]|0)<3){E=f[d>>2]|0;f[Ga>>2]=f[E>>2];f[Ga+4>>2]=f[E+4>>2]}else{f[J>>2]=f[d>>2];f[A+(O*56|0)+40>>2]=f[pa>>2];f[d>>2]=ta;f[pa>>2]=ra}f[p>>2]=1124007936;aa=va;ca=aa+36|0;do{f[aa>>2]=0;aa=aa+4|0}while((aa|0)<(ca|0))}while(0);f[oa>>2]=0;f[wa>>2]=0;f[wa+4>>2]=0;f[wa+8>>2]=0;f[wa+12>>2]=0;if((f[va>>2]|0)>0){A=f[pa>>2]|0;F=0;do{f[A+(F<<2)>>2]=0;F=F+1|0}while((F|0)<(f[va>>2]|0))}F=f[ua>>2]|0;if((F|0)!=(ta|0))TC(F);EMa(da,f[sa>>2]|0,g)}}while(0);ha=ha+1|0}if(Ba){ha=S;while(1){O=f[ha+8>>2]|0;if((f[O>>2]|0)==(ha|0))ha=O;else{Ha=O;break}}}else{ha=Aa;while(1){S=f[ha+4>>2]|0;if(!S){Ha=ha;break}else ha=S}}if((Ha|0)==(f[i>>2]|0))break i;else{$=Ha;_=Ha}}if((R|0)==166){_=cuc(80)|0;f[g>>2]=_;f[g+8>>2]=-2147483568;f[g+4>>2]=70;aa=_;ba=475319;ca=aa+70|0;do{b[aa>>0]=b[ba>>0]|0;aa=aa+1|0;ba=ba+1|0}while((aa|0)<(ca|0));b[_+70>>0]=0;WD(-215,g,475390,475396,161)}else if((R|0)==177){f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;$=cuc(64)|0;f[p>>2]=$;f[p+8>>2]=-2147483584;f[p+4>>2]=49;aa=$;ba=414244;ca=aa+49|0;do{b[aa>>0]=b[ba>>0]|0;aa=aa+1|0;ba=ba+1|0}while((aa|0)<(ca|0));b[$+49>>0]=0;WD(-215,p,414222,408169,824)}}while(0);GMa(i,f[na>>2]|0);na=f[h>>2]|0;if(na|0){i=f[o>>2]|0;if((i|0)!=(na|0))f[o>>2]=i+(~((i+-4-na|0)>>>2)<<2);fuc(na)}na=f[l>>2]|0;if(na|0){i=f[ja>>2]|0;if((i|0)==(na|0))Ia=na;else{o=i;while(1){i=o+-12|0;f[ja>>2]=i;p=f[i>>2]|0;if(!p)Ja=i;else{i=o+-8|0;ba=f[i>>2]|0;if((ba|0)!=(p|0))f[i>>2]=ba+(~((ba+-4-p|0)>>>2)<<2);fuc(p);Ja=f[ja>>2]|0}if((Ja|0)==(na|0))break;else o=Ja}Ia=f[l>>2]|0}fuc(Ia)}Ia=f[k>>2]|0;if(Ia|0){l=f[q>>2]|0;if((l|0)==(Ia|0))Ka=Ia;else{Ja=l;while(1){l=Ja+-12|0;f[q>>2]=l;o=f[l>>2]|0;if(!o)La=l;else{l=Ja+-8|0;na=f[l>>2]|0;if((na|0)!=(o|0))f[l>>2]=na+(~((na+-4-o|0)>>>2)<<2);fuc(o);La=f[q>>2]|0}if((La|0)==(Ia|0))break;else Ja=La}Ka=f[k>>2]|0}fuc(Ka)}Ka=v+144|0;k=((f[n>>2]|0)-(f[j>>2]|0)|0)/56|0;La=v+148|0;Ja=f[La>>2]|0;Ia=f[Ka>>2]|0;q=Ja-Ia>>3;o=Ia;Ia=Ja;do if(k>>>0>q>>>0)zMa(Ka,k-q|0);else{if(k>>>0>=q>>>0)break;Ja=o+(k<<3)|0;if((Ia|0)==(Ja|0))break;else Ma=Ia;while(1){na=Ma+-8|0;f[La>>2]=na;l=f[Ma+-4>>2]|0;if(!l)Na=na;else{Xtc(l);Na=f[La>>2]|0}if((Na|0)==(Ja|0))break;else Ma=Na}}while(0);Na=f[j>>2]|0;if((f[n>>2]|0)!=(Na|0)){Ma=g+4|0;La=0;Ia=Na;do{mMa(g,a,Ia+(La*56|0)|0);Na=f[Ka>>2]|0;k=f[g>>2]|0;o=f[Ma>>2]|0;if(o|0)Wtc(o);f[Na+(La<<3)>>2]=k;k=Na+(La<<3)+4|0;Na=f[k>>2]|0;f[k>>2]=o;if(Na|0)Xtc(Na);Na=f[Ma>>2]|0;if(Na|0)Xtc(Na);La=La+1|0;Ia=f[j>>2]|0}while(La>>>0<(((f[n>>2]|0)-Ia|0)/56|0)>>>0)}Ia=v+168|0;n=((f[m>>2]|0)-(f[fa>>2]|0)|0)/56|0;La=v+172|0;Ma=f[La>>2]|0;Ka=f[Ia>>2]|0;Na=Ma-Ka>>3;o=Ka;Ka=Ma;do if(n>>>0>Na>>>0)zMa(Ia,n-Na|0);else{if(n>>>0>=Na>>>0)break;Ma=o+(n<<3)|0;if((Ka|0)==(Ma|0))break;else Oa=Ka;while(1){k=Oa+-8|0;f[La>>2]=k;q=f[Oa+-4>>2]|0;if(!q)Pa=k;else{Xtc(q);Pa=f[La>>2]|0}if((Pa|0)==(Ma|0))break;else Oa=Pa}}while(0);Pa=f[fa>>2]|0;if((f[m>>2]|0)!=(Pa|0)){Oa=g+4|0;La=0;Ka=Pa;do{mMa(g,a,Ka+(La*56|0)|0);Pa=f[Ia>>2]|0;n=f[g>>2]|0;o=f[Oa>>2]|0;if(o|0)Wtc(o);f[Pa+(La<<3)>>2]=n;n=Pa+(La<<3)+4|0;Pa=f[n>>2]|0;f[n>>2]=o;if(Pa|0)Xtc(Pa);Pa=f[Oa>>2]|0;if(Pa|0)Xtc(Pa);La=La+1|0;Ka=f[fa>>2]|0}while(La>>>0<(((f[m>>2]|0)-Ka|0)/56|0)>>>0)}ALa(g,w);w=v+200|0;Ka=v+204|0;v=f[Ka>>2]|0;m=f[w>>2]|0;La=v-m>>2;f[h>>2]=0;fa=h+4|0;f[fa>>2]=0;f[h+8>>2]=0;if(!La){Qa=m;Ra=v;Sa=0}else{if(La>>>0>76695844)nsc(h);v=La*56|0;m=cuc(v)|0;f[fa>>2]=m;f[h>>2]=m;f[h+8>>2]=m+(La*56|0);Oa=m+v|0;v=La;La=m;while(1){f[La>>2]=1124007936;Ia=La+8|0;Pa=La+40|0;aa=La+4|0;ca=aa+36|0;do{f[aa>>2]=0;aa=aa+4|0}while((aa|0)<(ca|0));f[Pa>>2]=Ia;o=La+48|0;f[La+44>>2]=o;f[o>>2]=0;f[La+52>>2]=0;v=v+-1|0;if(!v)break;else La=La+56|0}f[fa>>2]=Oa;Qa=f[w>>2]|0;Ra=f[Ka>>2]|0;Sa=m}k:do if((Ra|0)!=(Qa|0)){m=0;Oa=Qa;fa=Sa;La=Ra;while(1){v=f[Oa+(m<<2)>>2]|0;aa=fa+(m*56|0)|0;if((aa|0)==(v|0)){Ta=Oa;Ua=La}else{ca=v+36|0;o=f[ca>>2]|0;if(o|0){n=o+12|0;f[n>>2]=(f[n>>2]|0)+1}n=fa+(m*56|0)+36|0;o=f[n>>2]|0;do if(o|0){Na=o+12|0;Ma=f[Na>>2]|0;f[Na>>2]=Ma+-1;if((Ma|0)!=1)break;aU(aa)}while(0);f[n>>2]=0;o=fa+(m*56|0)+16|0;Ma=fa+(m*56|0)+4|0;f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;f[o+12>>2]=0;if((f[Ma>>2]|0)>0){Na=f[fa+(m*56|0)+40>>2]|0;q=0;do{f[Na+(q<<2)>>2]=0;q=q+1|0;Va=f[Ma>>2]|0}while((q|0)<(Va|0));f[aa>>2]=f[v>>2];if((Va|0)<3)R=279;else R=281}else{f[aa>>2]=f[v>>2];R=279}do if((R|0)==279){R=0;q=f[v+4>>2]|0;if((q|0)>=3){R=281;break}f[Ma>>2]=q;f[fa+(m*56|0)+8>>2]=f[v+8>>2];f[fa+(m*56|0)+12>>2]=f[v+12>>2];q=f[v+44>>2]|0;Na=f[fa+(m*56|0)+44>>2]|0;f[Na>>2]=f[q>>2];f[Na+4>>2]=f[q+4>>2]}while(0);if((R|0)==281){R=0;$T(aa,v)}f[o>>2]=f[v+16>>2];f[fa+(m*56|0)+20>>2]=f[v+20>>2];f[fa+(m*56|0)+24>>2]=f[v+24>>2];f[fa+(m*56|0)+28>>2]=f[v+28>>2];f[fa+(m*56|0)+32>>2]=f[v+32>>2];f[n>>2]=f[ca>>2];Ta=f[w>>2]|0;Ua=f[Ka>>2]|0}Ma=m+1|0;if(Ma>>>0>=Ua-Ta>>2>>>0)break k;m=Ma;Oa=Ta;fa=f[h>>2]|0;La=Ua}}while(0);HMa(f[g>>2]|0,h,j);f[(f[g>>2]|0)+40>>2]=f[a+84>>2];ut(h);h=f[y>>2]|0;if((f[z>>2]|0)!=(h|0)){a=0;j=h;do{IMa(da,j+(a<<3)|0);a=a+1|0;j=f[y>>2]|0}while(a>>>0<(f[z>>2]|0)-j>>3>>>0)}j=f[t>>2]|0;if((f[ga>>2]|0)==(j|0))Wa=j;else{z=0;a=j;while(1){IMa(da,a+(z<<3)|0);z=z+1|0;j=f[t>>2]|0;if(z>>>0>=(f[ga>>2]|0)-j>>3>>>0){Wa=j;break}else a=j}}f[x>>2]=1;x=f[g+4>>2]|0;if(!x)Xa=Wa;else{Xtc(x);Xa=f[t>>2]|0}if(Xa|0){t=f[ga>>2]|0;if((t|0)!=(Xa|0))f[ga>>2]=t+(~((t+-8-Xa|0)>>>3)<<3);fuc(Xa)}}if(!(f[r+4>>2]|0)){u=e;return}u=e;return}function fMa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;d=a+8|0;e=f[d>>2]|0;g=a+4|0;h=f[g>>2]|0;i=h;if(e-h>>3>>>0>=b>>>0){j=b;k=i;while(1){l=c;m=f[l+4>>2]|0;n=k;f[n>>2]=f[l>>2];f[n+4>>2]=m;j=j+-1|0;if(!j)break;else k=k+8|0}f[g>>2]=i+(b<<3);return}i=f[a>>2]|0;k=h-i|0;h=k>>3;j=h+b|0;if(j>>>0>536870911)nsc(a);m=e-i|0;e=m>>2;n=m>>3>>>0<268435455?(e>>>0<j>>>0?j:e):536870911;do if(n)if(n>>>0>536870911){e=ze(8)|0;kuc(e,519086);f[e>>2]=167148;Hf(e|0,26888,1888)}else{o=cuc(n<<3)|0;break}else o=0;while(0);e=o+(h<<3)|0;j=o+(n<<3)|0;n=b;o=e;while(1){m=c;l=f[m+4>>2]|0;p=o;f[p>>2]=f[m>>2];f[p+4>>2]=l;n=n+-1|0;if(!n)break;else o=o+8|0}o=e+(0-h<<3)|0;if((k|0)>0)szc(o|0,i|0,k|0)|0;f[a>>2]=o;f[g>>2]=e+(b<<3);f[d>>2]=j;if(!i)return;fuc(i);return}function gMa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0,qc=0,rc=0,sc=0,tc=0,uc=0,vc=0,wc=0,xc=0,yc=0,zc=0,Ac=0,Bc=0,Cc=0,Dc=0,Ec=0,Fc=0,Gc=0,Hc=0,Ic=0,Jc=0,Kc=0,Lc=0,Mc=0,Nc=0,Oc=0,Pc=0,Qc=0,Rc=0,Sc=0,Tc=0,Uc=0,Vc=0,Wc=0,Xc=0,Yc=0,Zc=0,_c=0;d=u;u=u+304|0;e=d+248|0;g=d+192|0;h=d+144|0;i=d+128|0;j=d+120|0;k=d+104|0;l=d+56|0;m=d+40|0;n=d+8|0;o=d+136|0;p=d;if(!(b[a+121>>0]|0)){u=d;return}q=a+80|0;if((f[q>>2]&-2|0)!=2){u=d;return}gV(j,112864);j=f[c>>2]|0;r=f[c+4>>2]|0;c=k+4|0;f[c>>2]=0;s=k+8|0;f[s>>2]=0;t=k+4|0;f[k>>2]=t;if((j|0)!=(r|0)){v=t;w=j;do{f[i>>2]=v;f[e>>2]=f[i>>2];j=iMa(k,e,g,h,w)|0;if(!(f[j>>2]|0)){x=cuc(24)|0;y=w;z=f[y+4>>2]|0;A=x+16|0;f[A>>2]=f[y>>2];f[A+4>>2]=z;z=f[g>>2]|0;f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=z;f[j>>2]=x;z=f[f[k>>2]>>2]|0;if(!z)B=x;else{f[k>>2]=z;B=f[j>>2]|0}jI(f[c>>2]|0,B);f[s>>2]=(f[s>>2]|0)+1}w=w+8|0}while((w|0)!=(r|0))}r=a+20|0;w=f[r>>2]|0;s=a+24|0;a:do if((w|0)!=(s|0)){B=l+4|0;c=m+4|0;v=a+84|0;j=m+4|0;z=g+4|0;x=g+8|0;A=g+40|0;y=g+48|0;C=g+44|0;D=g+52|0;E=e+8|0;F=e+4|0;G=g+36|0;H=g+16|0;I=e+4|0;J=g+12|0;K=g+20|0;L=g+24|0;M=g+28|0;N=g+32|0;O=g+44|0;P=m+4|0;Q=l+4|0;R=l+8|0;S=l+20|0;T=l+24|0;U=l+28|0;V=l+32|0;W=l+40|0;X=l+36|0;Y=l+44|0;Z=m+4|0;_=m+8|0;$=m+8|0;aa=g+4|0;ba=g+8|0;ca=g+40|0;da=g+48|0;ea=g+44|0;fa=g+52|0;ga=e+8|0;ha=e+4|0;ia=g+36|0;ja=g+16|0;ka=g+4|0;la=g+8|0;ma=g+8|0;na=h+4|0;oa=h+8|0;pa=h+32|0;qa=h+40|0;ra=h+36|0;sa=h+44|0;ta=e+8|0;ua=e+4|0;va=h+12|0;wa=l+12|0;xa=h+16|0;ya=l+16|0;za=h+20|0;Aa=h+24|0;Ba=h+28|0;Ca=l+36|0;Da=h+36|0;Ea=l+32|0;Fa=n+4|0;Ga=n+8|0;Ha=n+12|0;Ia=n+16|0;Ja=n+20|0;Ka=n+24|0;La=n+28|0;Ma=p+4|0;Na=e+40|0;Oa=g+4|0;Pa=h+4|0;Qa=h+8|0;Ra=h+12|0;Sa=h+16|0;Ta=h+20|0;Ua=h+24|0;Va=h+28|0;Wa=h+36|0;Xa=h+32|0;Ya=h+40|0;Za=e+16|0;_a=e+36|0;$a=e+4|0;ab=e+44|0;bb=e+48|0;cb=e+8|0;db=e+12|0;eb=e+20|0;fb=e+24|0;gb=e+28|0;hb=e+32|0;ib=g+12|0;jb=g+20|0;kb=g+24|0;lb=g+28|0;mb=g+32|0;nb=g+44|0;ob=e+4|0;pb=o+4|0;qb=l+44|0;rb=w;b:while(1){f[i>>2]=f[rb+16>>2];f[g>>2]=i;NLa(e,r,i,1169304,g,h);sb=f[e>>2]|0;tb=sb+236|0;c:do if(!(b[tb>>0]|0)){ub=sb+180|0;vb=sb+132|0;wb=sb+136|0;xb=f[vb>>2]|0;yb=xb;d:do if(((f[wb>>2]|0)-xb|0)==8){zb=f[i>>2]|0;Ab=f[t>>2]|0;if(Ab|0){Bb=Ab;do{Ab=f[Bb+16>>2]|0;do if((zb|0)<(Ab|0))Cb=19;else{Db=(zb|0)==(Ab|0);if(Db?(f[Bb+20>>2]|0)>0:0){Cb=19;break}if((Ab|0)>=(zb|0)){if(!Db)break d;if((f[Bb+20>>2]|0)>=0)break d}Eb=Bb+4|0}while(0);if((Cb|0)==19){Cb=0;Eb=Bb}Bb=f[Eb>>2]|0}while((Bb|0)!=0)}f[g>>2]=yb;NLa(e,r,yb,1169304,g,h);Bb=(f[e>>2]|0)+20|0;f[l>>2]=f[f[vb>>2]>>2];f[B>>2]=0;zb=sb+144|0;Ab=sb+188|0;Db=Bb;while(1){f[m>>2]=f[Db+160>>2];Bb=f[Db+164>>2]|0;f[c>>2]=Bb;if(Bb|0)Wtc(Bb);Bb=f[ub>>2]|0;if(Th[f[(f[Bb>>2]|0)+80>>2]&1023](Bb,m)|0){b[Db+216>>0]=1;f[g>>2]=l;NLa(e,r,l,1169304,g,h);Bb=f[e>>2]|0;if((sb|0)!=(Bb|0))kMa(Ab,f[Bb+188>>2]|0,f[Bb+192>>2]|0);f[g>>2]=l;NLa(e,r,l,1169304,g,h);Bb=f[e>>2]|0;if((sb|0)!=(Bb|0))_La(zb,f[Bb+144>>2]|0,f[Bb+148>>2]|0);Bb=f[Db+112>>2]|0;if(((f[Db+116>>2]|0)-Bb|0)==8){f[n>>2]=f[Bb>>2];f[g>>2]=n;NLa(e,r,n,1169304,g,h);Bb=(f[e>>2]|0)+20|0;Fb=l;f[Fb>>2]=f[n>>2];f[Fb+4>>2]=0;Gb=1;Hb=Bb}else{Gb=0;Hb=0}}else{Gb=0;Hb=Db}Bb=f[c>>2]|0;if(Bb|0)Xtc(Bb);if(Gb&(Hb|0)!=0)Db=Hb;else break}if((f[q>>2]|0)!=3)break c;do if(((f[v>>2]|0)+-1|0)>>>0<2){if(!(fI()|0))break c;Db=f[ub>>2]|0;Bb=Db+28|0;Fb=b[Bb+11>>0]|0;Ib=f[Db+32>>2]|0;if(((Fb<<24>>24<0?Ib:Fb&255)|0)==11){if(!(Puc(Bb,0,-1,445519,11)|0))break;Bb=f[ub>>2]|0;Jb=b[Bb+28+11>>0]|0;Kb=f[Bb+32>>2]|0;Lb=Bb}else{Jb=Fb;Kb=Ib;Lb=Db}if(((Jb<<24>>24<0?Kb:Jb&255)|0)==3){if(!(Puc(Lb+28|0,0,-1,415875,3)|0))break;Db=f[ub>>2]|0;Mb=b[Db+28+11>>0]|0;Nb=f[Db+32>>2]|0;Ob=Db}else{Mb=Jb;Nb=Kb;Ob=Lb}if(((Mb<<24>>24<0?Nb:Mb&255)|0)==7){if(!(Puc(Ob+28|0,0,-1,445413,7)|0))break;Db=f[ub>>2]|0;Pb=b[Db+28+11>>0]|0;Qb=f[Db+32>>2]|0;Rb=Db}else{Pb=Mb;Qb=Nb;Rb=Ob}if(((Pb<<24>>24<0?Qb:Pb&255)|0)==6?(Puc(Rb+28|0,0,-1,445316,6)|0)==0:0)break;break c}while(0);e:do if(!Hb)Sb=0;else{Db=Hb;while(1){do if(((f[v>>2]|0)+-1|0)>>>0<2){Ib=Db+16|0;Fb=Ib+11|0;Bb=b[Fb>>0]|0;Tb=Db+20|0;Ub=f[Tb>>2]|0;if(((Bb<<24>>24<0?Ub:Bb&255)|0)==4){if(!(Puc(Ib,0,-1,445489,4)|0))break;Vb=b[Fb>>0]|0;Wb=f[Tb>>2]|0}else{Vb=Bb;Wb=Ub}if(((Vb<<24>>24<0?Wb:Vb&255)|0)==13){if(!(Puc(Ib,0,-1,415885,13)|0))break;Xb=b[Fb>>0]|0;Yb=f[Tb>>2]|0}else{Xb=Vb;Yb=Wb}if(((Xb<<24>>24<0?Yb:Xb&255)|0)==5){if(!(Puc(Ib,0,-1,415879,5)|0))break;Zb=b[Fb>>0]|0;_b=f[Tb>>2]|0}else{Zb=Xb;_b=Yb}if(((Zb<<24>>24<0?_b:Zb&255)|0)==4){if(!(Puc(Ib,0,-1,413190,4)|0))break;$b=b[Fb>>0]|0;ac=f[Tb>>2]|0}else{$b=Zb;ac=_b}if((($b<<24>>24<0?ac:$b&255)|0)!=5){Sb=Db;break e}if(Puc(Ib,0,-1,458405,5)|0){Sb=Db;break e}}while(0);Ib=f[Db+160>>2]|0;do if((Ib|0)!=0?(Tb=ovc(Ib,19040,19128,0)|0,(Tb|0)!=0):0){Fb=f[Db+164>>2]|0;if(Fb|0)Wtc(Fb);f[m>>2]=Tb;f[P>>2]=Fb;if(!Tb){bc=0;cc=Db;dc=Fb;break}Fb=f[ub>>2]|0;do if(Th[f[(f[Fb>>2]|0)+76>>2]&1023](Fb,m)|0){b[Db+216>>0]=1;f[g>>2]=l;NLa(e,r,l,1169304,g,h);Tb=f[e>>2]|0;if((sb|0)!=(Tb|0))kMa(Ab,f[Tb+188>>2]|0,f[Tb+192>>2]|0);f[g>>2]=l;NLa(e,r,l,1169304,g,h);Tb=f[e>>2]|0;if((sb|0)!=(Tb|0))_La(zb,f[Tb+144>>2]|0,f[Tb+148>>2]|0);Tb=f[Db+112>>2]|0;if(((f[Db+116>>2]|0)-Tb|0)!=8){ec=0;fc=0;break}f[n>>2]=f[Tb>>2];f[g>>2]=n;NLa(e,r,n,1169304,g,h);Tb=(f[e>>2]|0)+20|0;Ub=l;f[Ub>>2]=f[n>>2];f[Ub+4>>2]=0;ec=1;fc=Tb}else{ec=0;fc=Db}while(0);bc=ec;cc=fc;dc=f[P>>2]|0}else Cb=72;while(0);if((Cb|0)==72){Cb=0;f[m>>2]=0;f[P>>2]=0;bc=0;cc=Db;dc=0}if(dc|0)Xtc(dc);if(bc&(cc|0)!=0)Db=cc;else{Sb=cc;break}}}while(0);do if((!((Sb|0)==0?1:((f[v>>2]|0)+-1|0)>>>0>1)?(Db=f[Sb+160>>2]|0,Db|0):0)?(Ib=ovc(Db,19040,19144,0)|0,Ib|0):0){Db=f[Sb+164>>2]|0;if(!Db)gc=0;else{Wtc(Db);Wtc(Db);Xtc(Db);gc=Db}f:do if(Ib|0){Db=f[t>>2]|0;if(Db|0){Fb=f[l>>2]|0;Tb=f[B>>2]|0;Ub=Db;do{Db=f[Ub+16>>2]|0;do if((Fb|0)<(Db|0))Cb=96;else{Bb=(Fb|0)==(Db|0);if(Bb?(Tb|0)<(f[Ub+20>>2]|0):0){Cb=96;break}if((Db|0)>=(Fb|0)){if(!Bb)break f;if((f[Ub+20>>2]|0)>=(Tb|0))break f}hc=Ub+4|0}while(0);if((Cb|0)==96){Cb=0;hc=Ub}Ub=f[hc>>2]|0}while((Ub|0)!=0)}Ub=Sb+76|0;Tb=(f[Ub>>2]|0)+8|0;f[g>>2]=Tb;NLa(e,r,Tb,1169304,g,h);Tb=f[e>>2]|0;if(!(b[Tb+236>>0]|0))ic=Tb;else{Fb=Tb;while(1){Tb=f[Fb+96>>2]|0;f[g>>2]=Tb;NLa(e,r,Tb,1169304,g,h);Tb=f[e>>2]|0;if(!(b[Tb+236>>0]|0)){ic=Tb;break}else Fb=Tb}}if((f[sb+20>>2]|0)!=(f[ic+20>>2]|0))break;Fb=f[Ub>>2]|0;f[g>>2]=Fb;NLa(e,r,Fb,1169304,g,h);Fb=f[e>>2]|0;Tb=Fb+20|0;if(!(b[Fb+236>>0]|0))jc=Tb;else{Fb=Tb;while(1){Tb=(Quc(Fb+16|0,445212)|0)==0;Db=f[Fb+76>>2]|0;if(Tb){Tb=Db+8|0;f[g>>2]=Tb;NLa(e,r,Tb,1169304,g,h);kc=f[e>>2]|0}else{f[g>>2]=Db;NLa(e,r,Db,1169304,g,h);kc=f[e>>2]|0}Db=kc+20|0;if(!(b[kc+236>>0]|0)){jc=Db;break}else Fb=Db}}Fb=f[jc+160>>2]|0;if(!Fb)break;Ub=ovc(Fb,19040,19160,0)|0;if(!Ub)break;Fb=f[jc+164>>2]|0;if(Fb|0)Wtc(Fb);do if(Ub|0){Db=Sb+112|0;Tb=f[Db>>2]|0;if(((f[Sb+116>>2]|0)-Tb|0)!=8)break;Bb=Tb;f[g>>2]=Bb;NLa(e,r,Bb,1169304,g,h);Bb=f[e>>2]|0;Tb=l;f[Tb>>2]=f[f[Db>>2]>>2];f[Tb+4>>2]=0;f[m>>2]=0;f[j>>2]=0;Tb=f[Bb+180>>2]|0;do if(!Tb){lc=0;mc=0;nc=1;oc=0}else{Db=ovc(Tb,19040,19128,0)|0;if(!Db){lc=0;mc=0;nc=1;oc=0;break}pc=Db;Db=f[Bb+184>>2]|0;if(!Db){lc=pc;mc=0;nc=1;oc=Db;break}Wtc(Db);Wtc(Db);lc=pc;mc=Db;nc=0;oc=Db}while(0);f[m>>2]=lc;Tb=f[j>>2]|0;f[j>>2]=mc;if(Tb|0)Xtc(Tb);if(!nc)Xtc(oc);g:do if(f[m>>2]|0){Tb=f[t>>2]|0;if(Tb|0){Db=f[l>>2]|0;pc=f[B>>2]|0;qc=Tb;do{Tb=f[qc+16>>2]|0;do if((Db|0)<(Tb|0))Cb=130;else{rc=(Db|0)==(Tb|0);if(rc?(pc|0)<(f[qc+20>>2]|0):0){Cb=130;break}if((Tb|0)>=(Db|0)){if(!rc)break g;if((f[qc+20>>2]|0)>=(pc|0))break g}sc=qc+4|0}while(0);if((Cb|0)==130){Cb=0;sc=qc}qc=f[sc>>2]|0}while((qc|0)!=0)}qc=Bb+36|0;do if(Quc(qc,445489)|0){if(!(Quc(qc,415885)|0))break;if(Quc(qc,458405)|0)break g}while(0);qc=f[ub>>2]|0;if(!(Th[f[(f[qc>>2]|0)+76>>2]&1023](qc,m)|0))break;qc=f[jc+124>>2]|0;pc=qc;if(((f[jc+128>>2]|0)-qc|0)!=8){Cb=142;break b}Db=sb+156|0;Tb=sb+160|0;rc=f[Tb>>2]|0;tc=rc;if((rc-(f[Db>>2]|0)|0)!=8){Cb=142;break b}if((tc|0)==(f[sb+164>>2]|0))lMa(Db,pc);else{f[rc>>2]=f[qc>>2];qc=f[pc+4>>2]|0;f[tc+4>>2]=qc;if(!qc)uc=tc;else{Wtc(qc);uc=f[Tb>>2]|0}f[Tb>>2]=uc+8}b[Sb+216>>0]=1;b[Bb+236>>0]=1;Tb=sb+192|0;qc=f[Ab>>2]|0;tc=qc;if(((f[Tb>>2]|0)-qc|0)!=56){Cb=149;break b}qc=sb+148|0;if(((f[qc>>2]|0)-(f[zb>>2]|0)|0)!=8){Cb=151;break b}f[g>>2]=1124007936;vc=z;wc=vc+36|0;do{f[vc>>2]=0;vc=vc+4|0}while((vc|0)<(wc|0));f[A>>2]=x;f[C>>2]=y;f[y>>2]=0;f[D>>2]=0;pc=E;f[pc>>2]=0;f[pc+4>>2]=0;f[e>>2]=33619968;f[F>>2]=g;EI(tc,e);pc=f[Ab>>2]|0;do if((pc|0)==(g|0)){rc=f[G>>2]|0;if(!rc)break;Db=rc+12|0;rc=f[Db>>2]|0;f[Db>>2]=rc+-1;if((rc|0)!=1)break;aU(g)}else{rc=pc+36|0;Db=f[rc>>2]|0;do if(Db|0){xc=Db+12|0;yc=f[xc>>2]|0;f[xc>>2]=yc+-1;if((yc|0)!=1)break;aU(pc)}while(0);f[rc>>2]=0;Db=pc+16|0;yc=pc+4|0;f[Db>>2]=0;f[Db+4>>2]=0;f[Db+8>>2]=0;f[Db+12>>2]=0;if((f[yc>>2]|0)>0){xc=f[pc+40>>2]|0;zc=0;do{f[xc+(zc<<2)>>2]=0;zc=zc+1|0}while((zc|0)<(f[yc>>2]|0))}f[pc>>2]=f[g>>2];f[yc>>2]=f[z>>2];zc=pc+8|0;f[zc>>2]=f[x>>2];f[pc+12>>2]=f[J>>2];f[Db>>2]=f[H>>2];f[pc+20>>2]=f[K>>2];f[pc+24>>2]=f[L>>2];f[pc+28>>2]=f[M>>2];f[pc+32>>2]=f[N>>2];f[rc>>2]=f[G>>2];xc=pc+44|0;Ac=f[xc>>2]|0;Bc=pc+48|0;if((Ac|0)==(Bc|0))Cc=Ac;else{TC(Ac);f[xc>>2]=Bc;f[pc+40>>2]=zc;Cc=Bc}if((f[z>>2]|0)<3){Bc=f[O>>2]|0;f[Cc>>2]=f[Bc>>2];f[Cc+4>>2]=f[Bc+4>>2]}else{f[xc>>2]=f[O>>2];f[pc+40>>2]=f[A>>2];f[O>>2]=y;f[A>>2]=x}f[g>>2]=1124007936;vc=z;wc=vc+36|0;do{f[vc>>2]=0;vc=vc+4|0}while((vc|0)<(wc|0))}while(0);f[G>>2]=0;f[H>>2]=0;f[H+4>>2]=0;f[H+8>>2]=0;f[H+12>>2]=0;if((f[z>>2]|0)>0){pc=f[A>>2]|0;tc=0;do{f[pc+(tc<<2)>>2]=0;tc=tc+1|0}while((tc|0)<(f[z>>2]|0))}tc=f[C>>2]|0;if((tc|0)!=(y|0))TC(tc);mMa(e,a,f[Ab>>2]|0);tc=f[zb>>2]|0;pc=f[e>>2]|0;rc=f[I>>2]|0;if(rc|0)Wtc(rc);f[tc>>2]=pc;pc=tc+4|0;tc=f[pc>>2]|0;f[pc>>2]=rc;if(tc|0)Xtc(tc);tc=f[I>>2]|0;if(tc|0)Xtc(tc);tc=Sb+168|0;if((tc|0)!=(Ab|0))kMa(tc,f[Ab>>2]|0,f[Tb>>2]|0);tc=(Bb|0)==(sb|0);if(!tc)kMa(Bb+188|0,f[Ab>>2]|0,f[Tb>>2]|0);rc=Sb+124|0;if((rc|0)!=(zb|0))_La(rc,f[zb>>2]|0,f[qc>>2]|0);if(!tc)_La(Bb+144|0,f[zb>>2]|0,f[qc>>2]|0);tc=Bb+132|0;rc=Bb+136|0;pc=f[tc>>2]|0;if((f[rc>>2]|0)==(pc|0))break;else{Dc=0;Ec=pc}do{pc=Ec+(Dc<<3)|0;f[g>>2]=pc;NLa(e,r,pc,1169304,g,h);pc=f[e>>2]|0;Db=f[pc+100>>2]|0;yc=f[pc+96>>2]|0;xc=yc;h:do if((Db|0)!=(yc|0)){Bc=f[l>>2]|0;zc=Db-yc>>3;Ac=0;while(1){if((f[xc+(Ac<<3)>>2]|0)==(Bc|0))break;Fc=Ac+1|0;if(Fc>>>0<zc>>>0)Ac=Fc;else break h}f[(f[pc+200>>2]|0)+(Ac<<2)>>2]=f[Ab>>2];zc=f[zb>>2]|0;Bc=f[pc+156>>2]|0;Fc=f[zc>>2]|0;Gc=f[zc+4>>2]|0;if(Gc|0)Wtc(Gc);f[Bc+(Ac<<3)>>2]=Fc;Fc=Bc+(Ac<<3)+4|0;Bc=f[Fc>>2]|0;f[Fc>>2]=Gc;if(!Bc)break;Xtc(Bc)}while(0);Dc=Dc+1|0;Ec=f[tc>>2]|0}while(Dc>>>0<(f[rc>>2]|0)-Ec>>3>>>0)}while(0);Bb=f[j>>2]|0;if(Bb|0)Xtc(Bb)}while(0);if(!Fb)break;Xtc(Fb)}while(0);if(!gc)break;Xtc(gc)}while(0)}while(0);if((f[q>>2]|0)==3?(yb=f[ub>>2]|0,yb|0):0){xb=ovc(yb,19040,19176,0)|0;i:do if(xb){yb=f[sb+184>>2]|0;zb=yb;if(yb|0)Wtc(yb);if((xb|0)!=0?(yb=f[vb>>2]|0,Ab=f[wb>>2]|0,(yb|0)!=(Ab|0)):0){Ib=Ab-yb>>3;if(Ib|0){Ab=0;do{if((f[yb+(Ab<<3)+4>>2]|0)>0){Hc=zb;break i}Ab=Ab+1|0}while(Ab>>>0<Ib>>>0)}b[xb+89>>0]=0;Hc=zb}else Hc=zb}else Hc=0;while(0);xb=f[ub>>2]|0;if(xb|0?(wb=ovc(xb,19040,19192,0)|0,wb|0):0){xb=f[sb+184>>2]|0;if(xb|0)Wtc(xb);do if((wb|0?(f[wb+44>>2]|0)==1:0)?(b[wb+48>>0]|0)==0:0){vb=f[sb+188>>2]|0;Ib=vb;if(((f[sb+192>>2]|0)-vb|0)!=56)break;f[l>>2]=1124007936;f[Q>>2]=0;f[Q+4>>2]=0;f[Q+8>>2]=0;f[Q+12>>2]=0;f[Q+16>>2]=0;f[Q+20>>2]=0;f[Q+24>>2]=0;f[V>>2]=R;f[X>>2]=W;f[Y>>2]=0;f[W>>2]=0;vb=sb+144|0;do if((f[vb>>2]|0)==(f[sb+148>>2]|0))Cb=262;else{if((f[q>>2]|0)!=3){Cb=262;break}if(((f[v>>2]|0)+-1|0)>>>0>=2){Cb=262;break}Ab=sb+96|0;yb=f[Ab>>2]|0;Ub=(f[sb+100>>2]|0)-yb>>3;if(Ub|0){Bb=1;rc=0;tc=yb;while(1){yb=tc+(rc<<3)|0;qc=f[yb+4>>2]|0;Tb=m;f[Tb>>2]=f[yb>>2];f[Tb+4>>2]=qc;f[g>>2]=m;NLa(e,r,m,1169304,g,h);qc=f[e>>2]|0;Tb=qc+20|0;j:do if(!(b[qc+236>>0]|0))Ic=Tb;else{yb=Tb;pc=qc;while(1){xc=f[pc+96>>2]|0;if(((f[pc+100>>2]|0)-xc|0)!=8){Ic=yb;break j}if(((f[pc+136>>2]|0)-(f[pc+132>>2]|0)|0)!=8){Ic=yb;break j}yc=xc;xc=f[yc+4>>2]|0;Db=m;f[Db>>2]=f[yc>>2];f[Db+4>>2]=xc;f[g>>2]=m;NLa(e,r,m,1169304,g,h);pc=f[e>>2]|0;xc=pc+20|0;if(!(b[pc+236>>0]|0)){Ic=xc;break}else yb=xc}}while(0);do if(Bb){ALa(o,Ic);qc=f[o>>2]|0;Tb=qc+28|0;Fb=b[Tb+11>>0]|0;if(((Fb<<24>>24<0?f[qc+32>>2]|0:Fb&255)|0)==11)Jc=(Puc(Tb,0,-1,445519,11)|0)==0;else Jc=0;Tb=f[pb>>2]|0;if(!Tb){Kc=Jc;break}Xtc(Tb);Kc=Jc}else Kc=0;while(0);Tb=rc+1|0;if(Tb>>>0>=Ub>>>0)break;Bb=Kc;rc=Tb;tc=f[Ab>>2]|0}if(!Kc)break}PLa(e,vb);Ab=f[e>>2]|0;tc=f[ob>>2]|0;rc=Ab;if((l|0)==(rc|0)){if(!Ab){Cb=262;break}}else{Bb=rc+24|0;Ub=f[Bb>>2]|0;if(Ub|0){Tb=Ub+8|0;f[Tb>>2]=(f[Tb>>2]|0)+1}Tb=f[T>>2]|0;do if(Tb|0){Ub=Tb+8|0;Fb=f[Ub>>2]|0;f[Ub>>2]=Fb+-1;if((Fb|0)!=1)break;WH(l)}while(0);if((f[Q>>2]|0)>0){Tb=f[V>>2]|0;Fb=0;do{f[Tb+(Fb<<2)>>2]=0;Fb=Fb+1|0;Lc=f[Q>>2]|0}while((Fb|0)<(Lc|0));f[T>>2]=0;f[l>>2]=f[rc>>2];if((Lc|0)<3)Cb=252;else Cb=254}else{f[T>>2]=0;f[l>>2]=f[rc>>2];Cb=252}do if((Cb|0)==252){Cb=0;Fb=f[rc+4>>2]|0;if((Fb|0)>=3){Cb=254;break}f[Q>>2]=Fb;f[R>>2]=f[rc+8>>2];f[wa>>2]=f[rc+12>>2];Fb=f[rc+36>>2]|0;Tb=f[X>>2]|0;f[Tb>>2]=f[Fb>>2];f[Tb+4>>2]=f[Fb+4>>2]}while(0);if((Cb|0)==254){Cb=0;UH(l,rc)}f[ya>>2]=f[rc+16>>2];if(!(f[S>>2]|0))f[S>>2]=f[rc+20>>2];f[T>>2]=f[Bb>>2];f[U>>2]=f[rc+28>>2]}Fb=tc;if((Fb|0)!=(rc|0)){Tb=Fb;do{Tb=Tb+-48|0;VH(Tb)}while((Tb|0)!=(rc|0))}fuc(Ab);Cb=262}while(0);do if((Cb|0)==262){Cb=0;zb=Ib+4|0;if((f[zb>>2]|0)!=4)break;rc=Ib+40|0;if((f[f[rc>>2]>>2]|0)!=1)break;Tb=sb+96|0;tc=(f[sb+100>>2]|0)-(f[Tb>>2]|0)|0;Bb=tc>>3;f[m>>2]=0;f[Z>>2]=0;f[_>>2]=0;Fb=(Bb|0)==0;k:do if(Fb)Cb=275;else{if(Bb>>>0>536870911){Cb=266;break b}Ub=cuc(tc)|0;f[m>>2]=Ub;qc=Ub+(Bb<<3)|0;f[$>>2]=qc;kzc(Ub|0,-1,tc|0)|0;f[Z>>2]=qc;qc=0;l:while(1){Ub=(f[Tb>>2]|0)+(qc<<3)|0;yb=f[Ub+4>>2]|0;pc=n;f[pc>>2]=f[Ub>>2];f[pc+4>>2]=yb;f[g>>2]=n;NLa(e,r,n,1169304,g,h);yb=f[e>>2]|0;if(!(b[yb+236>>0]|0))Mc=yb;else{pc=yb;while(1){yb=f[pc+96>>2]|0;if(((f[pc+100>>2]|0)-yb|0)!=8)break l;if(((f[pc+136>>2]|0)-(f[pc+132>>2]|0)|0)!=8)break l;Ub=yb;yb=f[Ub+4>>2]|0;xc=n;f[xc>>2]=f[Ub>>2];f[xc+4>>2]=yb;f[g>>2]=n;NLa(e,r,n,1169304,g,h);yb=f[e>>2]|0;if(!(b[yb+236>>0]|0)){Mc=yb;break}else pc=yb}}if(((f[Mc+136>>2]|0)-(f[Mc+132>>2]|0)|0)!=8)break;pc=n;yb=f[pc+4>>2]|0;xc=(f[m>>2]|0)+(qc<<3)|0;f[xc>>2]=f[pc>>2];f[xc+4>>2]=yb;qc=qc+1|0;if(qc>>>0>=Bb>>>0){Cb=275;break k}}}while(0);if((Cb|0)==275){Cb=0;f[g>>2]=1124007936;vc=aa;wc=vc+36|0;do{f[vc>>2]=0;vc=vc+4|0}while((vc|0)<(wc|0));f[ca>>2]=ba;f[ea>>2]=da;f[da>>2]=0;f[fa>>2]=0;Tb=ga;f[Tb>>2]=0;f[Tb+4>>2]=0;f[e>>2]=33619968;f[ha>>2]=g;EI(Ib,e);do if((Ib|0)==(g|0)){Tb=f[ia>>2]|0;if(!Tb)break;tc=Tb+12|0;Tb=f[tc>>2]|0;f[tc>>2]=Tb+-1;if((Tb|0)!=1)break;aU(g)}else{Tb=Ib+36|0;tc=f[Tb>>2]|0;do if(tc|0){Ab=tc+12|0;qc=f[Ab>>2]|0;f[Ab>>2]=qc+-1;if((qc|0)!=1)break;aU(Ib)}while(0);f[Tb>>2]=0;tc=Ib+16|0;f[tc>>2]=0;f[tc+4>>2]=0;f[tc+8>>2]=0;f[tc+12>>2]=0;if((f[zb>>2]|0)>0){qc=f[Ib+40>>2]|0;Ab=0;do{f[qc+(Ab<<2)>>2]=0;Ab=Ab+1|0}while((Ab|0)<(f[zb>>2]|0))}f[Ib>>2]=f[g>>2];f[zb>>2]=f[aa>>2];Ab=Ib+8|0;f[Ab>>2]=f[ba>>2];f[Ib+12>>2]=f[ib>>2];f[tc>>2]=f[ja>>2];f[Ib+20>>2]=f[jb>>2];f[Ib+24>>2]=f[kb>>2];f[Ib+28>>2]=f[lb>>2];f[Ib+32>>2]=f[mb>>2];f[Tb>>2]=f[ia>>2];qc=Ib+44|0;yb=f[qc>>2]|0;xc=Ib+48|0;if((yb|0)==(xc|0))Nc=yb;else{TC(yb);f[qc>>2]=xc;f[Ib+40>>2]=Ab;Nc=xc}if((f[aa>>2]|0)<3){xc=f[nb>>2]|0;f[Nc>>2]=f[xc>>2];f[Nc+4>>2]=f[xc+4>>2]}else{f[qc>>2]=f[nb>>2];f[rc>>2]=f[ca>>2];f[nb>>2]=da;f[ca>>2]=ba}f[g>>2]=1124007936;vc=aa;wc=vc+36|0;do{f[vc>>2]=0;vc=vc+4|0}while((vc|0)<(wc|0))}while(0);f[ia>>2]=0;f[ja>>2]=0;f[ja+4>>2]=0;f[ja+8>>2]=0;f[ja+12>>2]=0;if((f[aa>>2]|0)>0){rc=f[ca>>2]|0;zb=0;do{f[rc+(zb<<2)>>2]=0;zb=zb+1|0}while((zb|0)<(f[aa>>2]|0))}zb=f[ea>>2]|0;if((zb|0)!=(da|0))TC(zb);do if((f[q>>2]|0)==3){if(((f[v>>2]|0)+-1|0)>>>0>=2)break;f[g>>2]=0;f[ka>>2]=0;f[la>>2]=0;zb=cuc(48)|0;f[g>>2]=zb;rc=zb+48|0;f[ma>>2]=rc;f[zb>>2]=1124007936;Tb=zb+4|0;f[Tb>>2]=0;f[Tb+4>>2]=0;f[Tb+8>>2]=0;f[Tb+12>>2]=0;f[Tb+16>>2]=0;f[Tb+20>>2]=0;f[Tb+24>>2]=0;f[zb+32>>2]=zb+8;Tb=zb+40|0;f[zb+36>>2]=Tb;f[zb+44>>2]=0;f[Tb>>2]=0;f[ka>>2]=rc;f[h>>2]=1124007936;f[na>>2]=0;f[na+4>>2]=0;f[na+8>>2]=0;f[na+12>>2]=0;f[na+16>>2]=0;f[na+20>>2]=0;f[na+24>>2]=0;f[pa>>2]=oa;f[ra>>2]=qa;f[sa>>2]=0;f[qa>>2]=0;rc=ta;f[rc>>2]=0;f[rc+4>>2]=0;f[e>>2]=34209792;f[ua>>2]=h;aI(l,e);rc=f[T>>2]|0;do if(rc|0){Tb=rc+8|0;zb=f[Tb>>2]|0;f[Tb>>2]=zb+-1;if((zb|0)!=1)break;WH(l)}while(0);if((f[Q>>2]|0)>0){rc=f[V>>2]|0;zb=0;do{f[rc+(zb<<2)>>2]=0;zb=zb+1|0}while((zb|0)<(f[Q>>2]|0))}f[l>>2]=f[h>>2];zb=f[na>>2]|0;f[Q>>2]=zb;f[R>>2]=f[oa>>2];f[wa>>2]=f[va>>2];f[ya>>2]=f[xa>>2];f[S>>2]=f[za>>2];f[T>>2]=f[Aa>>2];f[U>>2]=f[Ba>>2];rc=f[Ca>>2]|0;if((rc|0)==(W|0))Oc=zb;else{TC(rc);f[Ca>>2]=W;f[V>>2]=R;Oc=f[na>>2]|0}if((Oc|0)<3){rc=f[Da>>2]|0;f[W>>2]=f[rc>>2];f[qb>>2]=f[rc+4>>2]}else{f[Ca>>2]=f[Da>>2];f[Ea>>2]=f[pa>>2];f[Da>>2]=qa;f[pa>>2]=oa}f[h>>2]=1124007936;f[Aa>>2]=0;f[Ba>>2]=0;f[na>>2]=0;f[na+4>>2]=0;f[na+8>>2]=0;f[na+12>>2]=0;VH(h);rc=f[g>>2]|0;if((rc|0)!=(l|0)){zb=f[T>>2]|0;if(zb|0){Tb=zb+8|0;f[Tb>>2]=(f[Tb>>2]|0)+1}Tb=rc+24|0;zb=f[Tb>>2]|0;do if(zb|0){tc=zb+8|0;qc=f[tc>>2]|0;f[tc>>2]=qc+-1;if((qc|0)!=1)break;WH(rc)}while(0);zb=rc+4|0;if((f[zb>>2]|0)>0){qc=f[rc+32>>2]|0;tc=0;do{f[qc+(tc<<2)>>2]=0;tc=tc+1|0;Pc=f[zb>>2]|0}while((tc|0)<(Pc|0));f[Tb>>2]=0;f[rc>>2]=f[l>>2];if((Pc|0)<3)Cb=320;else Cb=322}else{f[Tb>>2]=0;f[rc>>2]=f[l>>2];Cb=320}do if((Cb|0)==320){Cb=0;tc=f[Q>>2]|0;if((tc|0)>=3){Cb=322;break}f[zb>>2]=tc;f[rc+8>>2]=f[R>>2];f[rc+12>>2]=f[wa>>2];tc=f[X>>2]|0;qc=f[rc+36>>2]|0;f[qc>>2]=f[tc>>2];f[qc+4>>2]=f[tc+4>>2]}while(0);if((Cb|0)==322){Cb=0;UH(rc,l)}f[rc+16>>2]=f[ya>>2];zb=rc+20|0;if(!(f[zb>>2]|0))f[zb>>2]=f[S>>2];f[Tb>>2]=f[T>>2];f[rc+28>>2]=f[U>>2]}SLa(vb,g);zb=f[g>>2]|0;if(zb|0){tc=f[ka>>2]|0;if((tc|0)==(zb|0))Qc=zb;else{qc=tc;do{tc=qc+-48|0;f[ka>>2]=tc;VH(tc);qc=f[ka>>2]|0}while((qc|0)!=(zb|0));Qc=f[g>>2]|0}fuc(Qc)}}while(0);f[n>>2]=-2147483648;f[Fa>>2]=2147483647;f[Ga>>2]=-2147483648;f[Ha>>2]=2147483647;f[Ia>>2]=-2147483648;f[Ja>>2]=2147483647;f[Ka>>2]=-2147483648;f[La>>2]=2147483647;if(!Fb){zb=sb+200|0;qc=0;rc=0;do{Tb=(f[m>>2]|0)+(rc<<3)|0;tc=f[Tb+4>>2]|0;xc=p;f[xc>>2]=f[Tb>>2];f[xc+4>>2]=tc;f[g>>2]=p;NLa(e,r,p,1169304,g,h);tc=f[e>>2]|0;xc=qc;qc=(f[(f[(f[(f[zb>>2]|0)+(rc<<2)>>2]|0)+40>>2]|0)+4>>2]|0)+qc|0;Tb=Ga;f[Tb>>2]=xc;f[Tb+4>>2]=qc;cU(e,Ib,n);Tb=f[Ma>>2]|0;xc=f[tc+188>>2]|0;Ab=xc+(Tb*56|0)|0;if(!(f[e>>2]&16384)){Cb=342;break b}yb=f[Na>>2]|0;pc=f[yb+-4>>2]|0;Ub=xc+(Tb*56|0)+40|0;Db=f[Ub>>2]|0;if((pc|0)!=(f[Db+-4>>2]|0)){Cb=342;break b}do if((pc|0)==2){if((f[yb>>2]|0)!=(f[Db>>2]|0)){Cb=342;break b}if((f[yb+4>>2]|0)!=(f[Db+4>>2]|0)){Cb=342;break b}}else{if((pc|0)>0)Rc=0;else break;do{if((f[yb+(Rc<<2)>>2]|0)!=(f[Db+(Rc<<2)>>2]|0)){Cb=342;break b}Rc=Rc+1|0}while((Rc|0)<(pc|0))}while(0);if((Ab|0)!=(e|0)){pc=f[_a>>2]|0;if(pc|0){Db=pc+12|0;f[Db>>2]=(f[Db>>2]|0)+1}Db=xc+(Tb*56|0)+36|0;pc=f[Db>>2]|0;do if(pc|0){yb=pc+12|0;yc=f[yb>>2]|0;f[yb>>2]=yc+-1;if((yc|0)!=1)break;aU(Ab)}while(0);f[Db>>2]=0;pc=xc+(Tb*56|0)+16|0;yc=xc+(Tb*56|0)+4|0;f[pc>>2]=0;f[pc+4>>2]=0;f[pc+8>>2]=0;f[pc+12>>2]=0;if((f[yc>>2]|0)>0){yb=f[Ub>>2]|0;Bc=0;do{f[yb+(Bc<<2)>>2]=0;Bc=Bc+1|0;Sc=f[yc>>2]|0}while((Bc|0)<(Sc|0));f[Ab>>2]=f[e>>2];if((Sc|0)<3)Cb=354;else Cb=356}else{f[Ab>>2]=f[e>>2];Cb=354}do if((Cb|0)==354){Cb=0;Bc=f[$a>>2]|0;if((Bc|0)>=3){Cb=356;break}f[yc>>2]=Bc;f[xc+(Tb*56|0)+8>>2]=f[cb>>2];f[xc+(Tb*56|0)+12>>2]=f[db>>2];Bc=f[ab>>2]|0;yb=f[xc+(Tb*56|0)+44>>2]|0;f[yb>>2]=f[Bc>>2];f[yb+4>>2]=f[Bc+4>>2]}while(0);if((Cb|0)==356){Cb=0;$T(Ab,e)}f[pc>>2]=f[Za>>2];f[xc+(Tb*56|0)+20>>2]=f[eb>>2];f[xc+(Tb*56|0)+24>>2]=f[fb>>2];f[xc+(Tb*56|0)+28>>2]=f[gb>>2];f[xc+(Tb*56|0)+32>>2]=f[hb>>2];f[Db>>2]=f[_a>>2]}do if((f[q>>2]|0)==3){if(((f[v>>2]|0)+-1|0)>>>0>=2)break;yc=tc+144|0;TLa(g,(f[tc+148>>2]|0)-(f[yc>>2]|0)>>3);YH(h,l,n);Bc=f[Ma>>2]|0;yb=f[g>>2]|0;Ub=yb+(Bc*48|0)|0;if((Ub|0)!=(h|0)){Gc=yb+(Bc*48|0)+24|0;Fc=f[Gc>>2]|0;do if(Fc|0){zc=Fc+8|0;Tc=f[zc>>2]|0;f[zc>>2]=Tc+-1;if((Tc|0)!=1)break;WH(Ub)}while(0);Fc=yb+(Bc*48|0)+4|0;if((f[Fc>>2]|0)>0){Tc=f[yb+(Bc*48|0)+32>>2]|0;zc=0;do{f[Tc+(zc<<2)>>2]=0;zc=zc+1|0}while((zc|0)<(f[Fc>>2]|0))}f[Gc>>2]=0;f[Ub>>2]=f[h>>2];f[Fc>>2]=f[Pa>>2];zc=yb+(Bc*48|0)+8|0;f[zc>>2]=f[Qa>>2];f[yb+(Bc*48|0)+12>>2]=f[Ra>>2];f[yb+(Bc*48|0)+16>>2]=f[Sa>>2];f[yb+(Bc*48|0)+20>>2]=f[Ta>>2];f[Gc>>2]=f[Ua>>2];f[yb+(Bc*48|0)+28>>2]=f[Va>>2];Tc=yb+(Bc*48|0)+36|0;Uc=f[Tc>>2]|0;Vc=yb+(Bc*48|0)+40|0;if((Uc|0)==(Vc|0))Wc=Uc;else{TC(Uc);f[Tc>>2]=Vc;f[yb+(Bc*48|0)+32>>2]=zc;Wc=Vc}if((f[Pa>>2]|0)<3){Vc=f[Wa>>2]|0;f[Wc>>2]=f[Vc>>2];f[Wc+4>>2]=f[Vc+4>>2]}else{f[Tc>>2]=f[Wa>>2];f[yb+(Bc*48|0)+32>>2]=f[Xa>>2];f[Wa>>2]=Ya;f[Xa>>2]=Qa}f[h>>2]=1124007936;f[Ua>>2]=0;f[Va>>2]=0;f[Pa>>2]=0;f[Pa+4>>2]=0;f[Pa+8>>2]=0;f[Pa+12>>2]=0}VH(h);SLa(yc,g);Tc=f[g>>2]|0;if(Tc|0){Vc=f[Oa>>2]|0;if((Vc|0)==(Tc|0))Xc=Tc;else{zc=Vc;do{Vc=zc+-48|0;f[Oa>>2]=Vc;VH(Vc);zc=f[Oa>>2]|0}while((zc|0)!=(Tc|0));Xc=f[g>>2]|0}fuc(Xc)}}while(0);if((f[xc+(Tb*56|0)+16>>2]|0)!=(f[Za>>2]|0)){Cb=380;break b}tc=f[_a>>2]|0;do if(tc|0){Db=tc+12|0;pc=f[Db>>2]|0;f[Db>>2]=pc+-1;if((pc|0)!=1)break;aU(e)}while(0);f[_a>>2]=0;f[Za>>2]=0;f[Za+4>>2]=0;f[Za+8>>2]=0;f[Za+12>>2]=0;if((f[$a>>2]|0)>0){tc=f[Na>>2]|0;Tb=0;do{f[tc+(Tb<<2)>>2]=0;Tb=Tb+1|0}while((Tb|0)<(f[$a>>2]|0))}Tb=f[ab>>2]|0;if((Tb|0)!=(bb|0))TC(Tb);rc=rc+1|0}while(rc>>>0<Bb>>>0)}b[tb>>0]=1}Bb=f[m>>2]|0;if(Bb|0){rc=f[Z>>2]|0;if((rc|0)!=(Bb|0))f[Z>>2]=rc+(~((rc+-8-Bb|0)>>>3)<<3);fuc(Bb)}}while(0);VH(l)}while(0);if(xb|0)Xtc(xb)}if(Hc|0)Xtc(Hc)}}while(0);tb=f[rb+4>>2]|0;if(!tb){sb=rb+8|0;wb=f[sb>>2]|0;if((f[wb>>2]|0)==(rb|0))Yc=wb;else{wb=sb;do{sb=f[wb>>2]|0;wb=sb+8|0;ub=f[wb>>2]|0}while((f[ub>>2]|0)!=(sb|0));Yc=ub}}else{wb=tb;while(1){ub=f[wb>>2]|0;if(!ub)break;else wb=ub}Yc=wb}if((Yc|0)==(s|0)){Zc=t;break a}else rb=Yc}if((Cb|0)==142){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;rb=cuc(96)|0;f[e>>2]=rb;f[e+8>>2]=-2147483552;f[e+4>>2]=88;vc=rb;_c=413195;wc=vc+88|0;do{b[vc>>0]=b[_c>>0]|0;vc=vc+1|0;_c=_c+1|0}while((vc|0)<(wc|0));b[rb+88>>0]=0;WD(-215,e,413284,408169,1822)}else if((Cb|0)==149){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;Z=cuc(32)|0;f[e>>2]=Z;f[e+8>>2]=-2147483616;f[e+4>>2]=26;vc=Z;_c=413295;wc=vc+26|0;do{b[vc>>0]=b[_c>>0]|0;vc=vc+1|0;_c=_c+1|0}while((vc|0)<(wc|0));b[Z+26>>0]=0;WD(-215,e,413284,408169,1843)}else if((Cb|0)==151){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;rb=cuc(48)|0;f[e>>2]=rb;f[e+8>>2]=-2147483600;f[e+4>>2]=34;vc=rb;_c=413322;wc=vc+34|0;do{b[vc>>0]=b[_c>>0]|0;vc=vc+1|0;_c=_c+1|0}while((vc|0)<(wc|0));b[rb+34>>0]=0;WD(-215,e,413284,408169,1843)}else if((Cb|0)==266)nsc(m);else if((Cb|0)==342){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;Z=cuc(80)|0;f[g>>2]=Z;f[g+8>>2]=-2147483568;f[g+4>>2]=68;vc=Z;_c=413357;wc=vc+68|0;do{b[vc>>0]=b[_c>>0]|0;vc=vc+1|0;_c=_c+1|0}while((vc|0)<(wc|0));b[Z+68>>0]=0;WD(-215,g,413284,408169,1989)}else if((Cb|0)==380){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;rb=cuc(48)|0;f[g>>2]=rb;f[g+8>>2]=-2147483600;f[g+4>>2]=37;vc=rb;_c=413426;wc=vc+37|0;do{b[vc>>0]=b[_c>>0]|0;vc=vc+1|0;_c=_c+1|0}while((vc|0)<(wc|0));b[rb+37>>0]=0;WD(-215,g,413284,408169,2e3)}}else Zc=t;while(0);jMa(k,f[Zc>>2]|0);u=d;return}function hMa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;if(!b)return;hMa(a,f[b>>2]|0);hMa(a,f[b+4>>2]|0);a=b+44|0;c=f[a>>2]|0;if(c|0){d=b+48|0;e=f[d>>2]|0;if((e|0)==(c|0))g=c;else{h=e;while(1){e=h+-12|0;f[d>>2]=e;i=f[e>>2]|0;if(!i)j=e;else{e=h+-8|0;k=f[e>>2]|0;if((k|0)!=(i|0))f[e>>2]=k+(~((k+-4-i|0)>>>2)<<2);fuc(i);j=f[d>>2]|0}if((j|0)==(c|0))break;else h=j}g=f[a>>2]|0}fuc(g)}g=b+32|0;a=f[g>>2]|0;if(a|0){j=b+36|0;h=f[j>>2]|0;if((h|0)==(a|0))l=a;else{c=h;while(1){h=c+-12|0;f[j>>2]=h;d=f[h>>2]|0;if(!d)m=h;else{h=c+-8|0;i=f[h>>2]|0;if((i|0)!=(d|0))f[h>>2]=i+(~((i+-4-d|0)>>>2)<<2);fuc(d);m=f[j>>2]|0}if((m|0)==(a|0))break;else c=m}l=f[g>>2]|0}fuc(l)}l=b+20|0;g=f[l>>2]|0;if(g|0){m=b+24|0;c=f[m>>2]|0;if((c|0)==(g|0))n=g;else{a=c;while(1){c=a+-12|0;f[m>>2]=c;j=f[c>>2]|0;if(!j)o=c;else{c=a+-8|0;d=f[c>>2]|0;if((d|0)!=(j|0))f[c>>2]=d+(~((d+-4-j|0)>>>2)<<2);fuc(j);o=f[m>>2]|0}if((o|0)==(g|0))break;else a=o}n=f[l>>2]|0}fuc(n)}fuc(b);return}function iMa(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;g=a+4|0;h=f[b>>2]|0;b=h;do if((h|0)!=(g|0)?(i=f[e>>2]|0,j=f[h+16>>2]|0,(i|0)>=(j|0)):0){k=(i|0)==(j|0);if(k?(f[e+4>>2]|0)<(f[h+20>>2]|0):0)break;do if((j|0)>=(i|0)){if(k?(f[h+20>>2]|0)<(f[e+4>>2]|0):0)break;f[c>>2]=b;f[d>>2]=b;l=d;return l|0}while(0);k=h+4|0;j=f[k>>2]|0;if(!j){m=h+8|0;n=f[m>>2]|0;if((f[n>>2]|0)==(h|0))o=n;else{n=m;do{m=f[n>>2]|0;n=m+8|0;p=f[n>>2]|0}while((f[p>>2]|0)!=(m|0));o=p}}else{n=j;while(1){p=f[n>>2]|0;if(!p)break;else n=p}o=n}do if((o|0)!=(g|0)?(j=f[o+16>>2]|0,(i|0)>=(j|0)):0){if((i|0)==(j|0)?(f[e+4>>2]|0)<(f[o+20>>2]|0):0)break;j=f[g>>2]|0;if(!j){f[c>>2]=g;l=g;return l|0}p=f[e+4>>2]|0;m=a+4|0;q=j;a:while(1){j=f[q+16>>2]|0;do if((i|0)>=(j|0)){r=(i|0)==(j|0);if(r?(p|0)<(f[q+20>>2]|0):0){s=51;break}if((j|0)>=(i|0)){if(!r){s=58;break a}if((f[q+20>>2]|0)>=(p|0)){s=58;break a}}t=q+4|0;r=f[t>>2]|0;if(!r){s=57;break a}else{u=t;v=r}}else s=51;while(0);if((s|0)==51){s=0;j=f[q>>2]|0;if(!j){s=52;break}else{u=q;v=j}}m=u;q=v}if((s|0)==52){f[c>>2]=q;l=q;return l|0}else if((s|0)==57){f[c>>2]=q;l=t;return l|0}else if((s|0)==58){f[c>>2]=q;l=m;return l|0}}while(0);if(!(f[h+4>>2]|0)){f[c>>2]=b;l=k;return l|0}else{f[c>>2]=o;l=o;return l|0}}while(0);o=f[h>>2]|0;do if((h|0)!=(f[a>>2]|0)){if(!o){t=h;while(1){v=f[t+8>>2]|0;if((f[v>>2]|0)==(t|0))t=v;else{w=v;break}}}else{t=o;while(1){k=f[t+4>>2]|0;if(!k){w=t;break}else t=k}}t=w;k=f[w+16>>2]|0;v=f[e>>2]|0;if((k|0)>=(v|0)){if((k|0)==(v|0)?(f[w+20>>2]|0)<(f[e+4>>2]|0):0){x=t;break}k=f[g>>2]|0;if(!k){f[c>>2]=g;l=g;return l|0}u=f[e+4>>2]|0;d=a+4|0;i=k;b:while(1){k=f[i+16>>2]|0;do if((v|0)>=(k|0)){n=(v|0)==(k|0);if(n?(u|0)<(f[i+20>>2]|0):0){s=21;break}if((k|0)>=(v|0)){if(!n){s=28;break b}if((f[i+20>>2]|0)>=(u|0)){s=28;break b}}y=i+4|0;n=f[y>>2]|0;if(!n){s=27;break b}else{z=y;A=n}}else s=21;while(0);if((s|0)==21){s=0;k=f[i>>2]|0;if(!k){s=22;break}else{z=i;A=k}}d=z;i=A}if((s|0)==22){f[c>>2]=i;l=i;return l|0}else if((s|0)==27){f[c>>2]=i;l=y;return l|0}else if((s|0)==28){f[c>>2]=i;l=d;return l|0}}else x=t}else x=b;while(0);if(!o){f[c>>2]=h;l=h;return l|0}else{h=x;f[c>>2]=h;l=h+4|0;return l|0}return 0}function jMa(a,b){a=a|0;b=b|0;if(!b)return;else{jMa(a,f[b>>2]|0);jMa(a,f[b+4>>2]|0);fuc(b);return}}function kMa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;d=(c-b|0)/56|0;e=a+8|0;g=f[a>>2]|0;h=g;if(d>>>0>(((f[e>>2]|0)-g|0)/56|0)>>>0){yMa(a);if(d>>>0>76695844)nsc(a);i=((f[e>>2]|0)-(f[a>>2]|0)|0)/56|0;j=i<<1;k=i>>>0<38347922?(j>>>0<d>>>0?d:j):76695844;if(k>>>0>76695844)nsc(a);j=cuc(k*56|0)|0;i=a+4|0;f[i>>2]=j;f[a>>2]=j;f[e>>2]=j+(k*56|0);if((b|0)==(c|0))return;k=b;e=j;do{f[e>>2]=f[k>>2];j=e+4|0;l=k+4|0;f[j>>2]=f[l>>2];m=e+8|0;f[m>>2]=f[k+8>>2];f[e+12>>2]=f[k+12>>2];f[e+16>>2]=f[k+16>>2];f[e+20>>2]=f[k+20>>2];f[e+24>>2]=f[k+24>>2];f[e+28>>2]=f[k+28>>2];f[e+32>>2]=f[k+32>>2];n=f[k+36>>2]|0;f[e+36>>2]=n;f[e+40>>2]=m;m=e+48|0;o=e+44|0;f[o>>2]=m;f[m>>2]=0;f[e+52>>2]=0;if(n|0){m=n+12|0;f[m>>2]=(f[m>>2]|0)+1}if((f[l>>2]|0)<3){l=f[k+44>>2]|0;m=f[o>>2]|0;f[m>>2]=f[l>>2];f[m+4>>2]=f[l+4>>2]}else{f[j>>2]=0;$T(e,k)}k=k+56|0;e=(f[i>>2]|0)+56|0;f[i>>2]=e}while((k|0)!=(c|0));return}k=a+4|0;a=((f[k>>2]|0)-g|0)/56|0;g=d>>>0>a>>>0;d=b+(a*56|0)|0;a=g?d:c;if((a|0)==(b|0))p=h;else{e=h;h=b;while(1){if((e|0)!=(h|0)){b=h+36|0;i=f[b>>2]|0;if(i|0){j=i+12|0;f[j>>2]=(f[j>>2]|0)+1}j=e+36|0;i=f[j>>2]|0;if(i|0?(l=i+12|0,i=f[l>>2]|0,f[l>>2]=i+-1,(i|0)==1):0)aU(e);f[j>>2]=0;i=e+16|0;l=e+4|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;if((f[l>>2]|0)>0){m=f[e+40>>2]|0;o=0;do{f[m+(o<<2)>>2]=0;o=o+1|0;q=f[l>>2]|0}while((o|0)<(q|0));f[e>>2]=f[h>>2];if((q|0)<3)r=14;else r=16}else{f[e>>2]=f[h>>2];r=14}if((r|0)==14){r=0;o=f[h+4>>2]|0;if((o|0)<3){f[l>>2]=o;f[e+8>>2]=f[h+8>>2];f[e+12>>2]=f[h+12>>2];o=f[h+44>>2]|0;m=f[e+44>>2]|0;f[m>>2]=f[o>>2];f[m+4>>2]=f[o+4>>2]}else r=16}if((r|0)==16){r=0;$T(e,h)}f[i>>2]=f[h+16>>2];f[e+20>>2]=f[h+20>>2];f[e+24>>2]=f[h+24>>2];f[e+28>>2]=f[h+28>>2];f[e+32>>2]=f[h+32>>2];f[j>>2]=f[b>>2]}h=h+56|0;o=e+56|0;if((h|0)==(a|0)){p=o;break}else e=o}}if(g){if((a|0)==(c|0))return;a=d;d=f[k>>2]|0;do{f[d>>2]=f[a>>2];g=d+4|0;e=a+4|0;f[g>>2]=f[e>>2];h=d+8|0;f[h>>2]=f[a+8>>2];f[d+12>>2]=f[a+12>>2];f[d+16>>2]=f[a+16>>2];f[d+20>>2]=f[a+20>>2];f[d+24>>2]=f[a+24>>2];f[d+28>>2]=f[a+28>>2];f[d+32>>2]=f[a+32>>2];r=f[a+36>>2]|0;f[d+36>>2]=r;f[d+40>>2]=h;h=d+48|0;q=d+44|0;f[q>>2]=h;f[h>>2]=0;f[d+52>>2]=0;if(r|0){h=r+12|0;f[h>>2]=(f[h>>2]|0)+1}if((f[e>>2]|0)<3){e=f[a+44>>2]|0;h=f[q>>2]|0;f[h>>2]=f[e>>2];f[h+4>>2]=f[e+4>>2]}else{f[g>>2]=0;$T(d,a)}a=a+56|0;d=(f[k>>2]|0)+56|0;f[k>>2]=d}while((a|0)!=(c|0));return}c=f[k>>2]|0;if((c|0)==(p|0))return;else s=c;do{c=s+-56|0;f[k>>2]=c;a=s+-20|0;d=f[a>>2]|0;if(d|0?(g=d+12|0,d=f[g>>2]|0,f[g>>2]=d+-1,(d|0)==1):0)aU(c);f[a>>2]=0;a=s+-40|0;c=s+-52|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;if((f[c>>2]|0)>0){a=f[s+-16>>2]|0;d=0;do{f[a+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[c>>2]|0))}c=f[s+-12>>2]|0;if((c|0)!=(s+-8|0))TC(c);s=f[k>>2]|0}while((s|0)!=(p|0));return}function lMa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;c=a+4|0;d=f[c>>2]|0;e=f[a>>2]|0;g=d-e>>3;h=g+1|0;i=e;j=d;if(h>>>0>536870911)nsc(a);d=a+8|0;k=(f[d>>2]|0)-e|0;e=k>>2;l=k>>3>>>0<268435455?(e>>>0<h>>>0?h:e):536870911;do if(l)if(l>>>0>536870911){e=ze(8)|0;kuc(e,519086);f[e>>2]=167148;Hf(e|0,26888,1888)}else{m=cuc(l<<3)|0;break}else m=0;while(0);e=m+(g<<3)|0;h=e;k=m+(l<<3)|0;f[e>>2]=f[b>>2];l=f[b+4>>2]|0;f[m+(g<<3)+4>>2]=l;if(!l){n=j;o=i}else{Wtc(l);n=f[c>>2]|0;o=f[a>>2]|0}l=e+8|0;if((n|0)==(o|0)){p=h;q=o;r=n}else{i=n;n=h;h=e;do{e=i;i=i+-8|0;f[h+-8>>2]=f[i>>2];j=e+-4|0;f[h+-4>>2]=f[j>>2];f[i>>2]=0;f[j>>2]=0;h=n+-8|0;n=h}while((i|0)!=(o|0));p=n;q=f[a>>2]|0;r=f[c>>2]|0}f[a>>2]=p;f[c>>2]=l;f[d>>2]=k;k=q;if((r|0)!=(k|0)){d=r;do{r=f[d+-4>>2]|0;d=d+-8|0;if(r|0)Xtc(r)}while((d|0)!=(k|0))}if(!q)return;fuc(q);return}function mMa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0;e=u;u=u+48|0;g=e+24|0;h=e+16|0;i=e;j=c+80|0;if((f[j>>2]|0)==3?(f[c+84>>2]|0)==0:0){f[a>>2]=0;f[a+4>>2]=0;u=e;return}k=d+4|0;l=f[k>>2]|0;f[g>>2]=0;m=g+4|0;f[m>>2]=0;f[g+8>>2]=0;if(l|0){if(l>>>0>1073741823)nsc(g);n=l<<2;o=cuc(n)|0;f[g>>2]=o;p=o+(l<<2)|0;f[g+8>>2]=p;kzc(o|0,0,n|0)|0;f[m>>2]=p;p=f[d+40>>2]|0;n=0;do{f[o+(n<<2)>>2]=f[p+(n<<2)>>2];n=n+1|0}while((n|0)<(f[k>>2]|0))}k=f[d+16>>2]|0;n=c+104|0;p=c+108|0;o=f[p>>2]|0;a:do if(o){l=k;q=p;r=o;b:while(1){s=r;while(1){if((f[s+16>>2]|0)>>>0>=l>>>0)break;t=f[s+4>>2]|0;if(!t){v=q;break b}else s=t}r=f[s>>2]|0;if(!r){v=s;break}else q=s}if((v|0)!=(p|0)?l>>>0>=(f[v+16>>2]|0)>>>0:0){q=c+108|0;r=o;while(1){t=f[r+16>>2]|0;if(l>>>0<t>>>0){w=f[r>>2]|0;if(!w){x=r;break}else{y=r;z=w}}else{if(t>>>0>=l>>>0){x=q;break}t=r+4|0;w=f[t>>2]|0;if(!w){x=t;break}else{y=t;z=w}}q=y;r=z}q=f[x>>2]|0;if(!q){l=cuc(28)|0;f[l+16>>2]=k;f[l+20>>2]=0;f[l+24>>2]=0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=r;f[x>>2]=l;w=f[f[n>>2]>>2]|0;if(!w)A=l;else{f[n>>2]=w;A=f[x>>2]|0}jI(f[c+108>>2]|0,A);w=c+112|0;f[w>>2]=(f[w>>2]|0)+1;B=l}else B=q;f[h>>2]=f[B+20>>2];q=h+4|0;l=f[B+24>>2]|0;f[q>>2]=l;if(l|0)Wtc(l);switch(f[j>>2]|0){case 3:{if(((f[c+84>>2]|0)+-1|0)>>>0>=2){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;l=cuc(48)|0;f[i>>2]=l;f[i+8>>2]=-2147483600;f[i+4>>2]=38;C=l;D=413543;E=C+38|0;do{b[C>>0]=b[D>>0]|0;C=C+1|0;D=D+1|0}while((C|0)<(E|0));b[l+38>>0]=0;WD(-215,i,413582,408169,949)}r=cuc(68)|0;nMa(r,h,d);f[a>>2]=r;w=cuc(16)|0;f[w+4>>2]=0;f[w+8>>2]=0;f[w>>2]=112892;f[w+12>>2]=r;f[a+4>>2]=w;w=f[q>>2]|0;if(w|0)Xtc(w);break a;break}case 1:{if(!(aNa()|0)){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;w=cuc(16)|0;f[i>>2]=w;f[i+8>>2]=-2147483632;f[i+4>>2]=12;C=w;D=412956;E=C+12|0;do{b[C>>0]=b[D>>0]|0;C=C+1|0;D=D+1|0}while((C|0)<(E|0));b[w+12>>0]=0;WD(-215,i,413582,408169,954)}l=f[q>>2]|0;if(l|0)Xtc(l);F=40;break a;break}case 2:{oMa(a,2,f[c+84>>2]|0,d);l=f[q>>2]|0;if(l|0)Xtc(l);break a;break}default:{f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;l=cuc(32)|0;f[i>>2]=l;f[i+8>>2]=-2147483616;f[i+4>>2]=26;C=l;D=411656;E=C+26|0;do{b[C>>0]=b[D>>0]|0;C=C+1|0;D=D+1|0}while((C|0)<(E|0));b[l+26>>0]=0;WD(-213,i,413582,408169,964)}}}else F=40}else F=40;while(0);if((F|0)==40){oMa(h,f[j>>2]|0,f[c+84>>2]|0,d);d=f[p>>2]|0;do if(d){j=k;i=c+108|0;D=d;while(1){C=f[D+16>>2]|0;if(j>>>0<C>>>0){E=f[D>>2]|0;if(!E){F=45;break}else{G=D;H=E}}else{if(C>>>0>=j>>>0){F=49;break}I=D+4|0;C=f[I>>2]|0;if(!C){F=48;break}else{G=I;H=C}}i=G;D=H}if((F|0)==45){J=D;K=D;break}else if((F|0)==48){J=D;K=I;break}else if((F|0)==49){J=D;K=i;break}}else{J=p;K=p}while(0);p=f[K>>2]|0;if(!p){F=cuc(28)|0;f[F+16>>2]=k;f[F+20>>2]=0;f[F+24>>2]=0;f[F>>2]=0;f[F+4>>2]=0;f[F+8>>2]=J;f[K>>2]=F;J=f[f[n>>2]>>2]|0;if(!J)L=F;else{f[n>>2]=J;L=f[K>>2]|0}jI(f[c+108>>2]|0,L);L=c+112|0;f[L>>2]=(f[L>>2]|0)+1;M=F}else M=p;p=f[h>>2]|0;F=h+4|0;L=f[F>>2]|0;if(L|0)Wtc(L);f[M+20>>2]=p;p=M+24|0;M=f[p>>2]|0;f[p>>2]=L;if(M|0)Xtc(M);f[a>>2]=f[h>>2];f[a+4>>2]=f[F>>2]}F=f[g>>2]|0;if(F|0){g=f[m>>2]|0;if((g|0)!=(F|0))f[m>>2]=g+(~((g+-4-F|0)>>>2)<<2);fuc(F)}u=e;return}function nMa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;e=u;u=u+176|0;g=e+160|0;h=e+152|0;i=e+144|0;j=e+96|0;k=e+48|0;l=e;f[a+4>>2]=3;f[a+8>>2]=1;f[a>>2]=112920;m=a+12|0;f[m>>2]=1124007936;n=a+16|0;o=a+20|0;p=a+32|0;q=a+36|0;r=a+40|0;s=a+44|0;f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;f[n+12>>2]=0;f[n+16>>2]=0;f[n+20>>2]=0;f[n+24>>2]=0;f[s>>2]=o;t=a+52|0;f[a+48>>2]=t;f[a+56>>2]=0;f[t>>2]=0;v=f[c>>2]|0;if(v|0?(w=ovc(v,19056,19112,0)|0,w|0):0){v=f[c+4>>2]|0;if(v|0)Wtc(v);if(w|0){c=a+60|0;f[c>>2]=d;f[i>>2]=1;d=i+4|0;x=w+12|0;y=f[w+16>>2]|0;if((y|0)<3)z=Y(f[w+24>>2]|0,f[w+20>>2]|0)|0;else{A=f[w+44>>2]|0;w=0;B=1;while(1){C=Y(f[A+(w<<2)>>2]|0,B)|0;w=w+1|0;if((w|0)==(y|0)){z=C;break}else B=C}}f[d>>2]=z;dI(l,x,1,2,i);i=f[c>>2]|0;x=f[i+4>>2]|0;if((x|0)<3)D=Y(f[i+12>>2]|0,f[i+8>>2]|0)|0;else{z=f[i+40>>2]|0;i=0;d=1;while(1){B=Y(f[z+(i<<2)>>2]|0,d)|0;i=i+1|0;if((i|0)==(x|0)){D=B;break}else d=B}}f[g>>2]=-2147483648;f[g+4>>2]=2147483647;f[h>>2]=0;f[h+4>>2]=D;XH(k,l,g,h);h=f[c>>2]|0;dI(j,k,1,f[h+4>>2]|0,f[h+40>>2]|0);if((m|0)!=(j|0)){h=f[q>>2]|0;if(h|0?(c=h+8|0,h=f[c>>2]|0,f[c>>2]=h+-1,(h|0)==1):0)WH(m);if((f[n>>2]|0)>0){h=f[s>>2]|0;c=0;do{f[h+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[n>>2]|0))}f[m>>2]=f[j>>2];m=j+4|0;c=f[m>>2]|0;f[n>>2]=c;n=j+8|0;f[o>>2]=f[n>>2];f[a+24>>2]=f[j+12>>2];f[a+28>>2]=f[j+16>>2];f[p>>2]=f[j+20>>2];p=j+24|0;f[q>>2]=f[p>>2];q=j+28|0;f[r>>2]=f[q>>2];r=a+48|0;h=f[r>>2]|0;if((h|0)==(t|0))E=c;else{TC(h);f[r>>2]=t;f[s>>2]=o;E=f[m>>2]|0}o=j+36|0;if((E|0)<3){E=f[o>>2]|0;f[t>>2]=f[E>>2];f[a+56>>2]=f[E+4>>2]}else{f[r>>2]=f[o>>2];r=j+32|0;f[a+44>>2]=f[r>>2];f[o>>2]=j+40;f[r>>2]=n}f[j>>2]=1124007936;f[p>>2]=0;f[q>>2]=0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0}VH(j);VH(k);VH(l);b[a+64>>0]=0;if(!v){u=e;return}Xtc(v);u=e;return}};f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;e=cuc(16)|0;f[g>>2]=e;f[g+8>>2]=-2147483632;f[g+4>>2]=13;v=e;a=413820;l=v+13|0;do{b[v>>0]=b[a>>0]|0;v=v+1|0;a=a+1|0}while((v|0)<(l|0));b[e+13>>0]=0;WD(-215,g,413834,408169,259)}function oMa(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0;g=u;u=u+16|0;h=g;switch(c|0){case 3:{if(!d){f[a>>2]=0;f[a+4>>2]=0;u=g;return}if((d+-1|0)>>>0>=2){d=cuc(32)|0;f[h>>2]=d;f[h+8>>2]=-2147483616;f[h+4>>2]=25;i=d;j=413786;k=i+25|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));b[d+25>>0]=0;WD(-213,h,413812,408169,870)}tMa(a,e);u=g;return}case 1:{if(!(aNa()|0)){e=cuc(16)|0;f[h>>2]=e;f[h+8>>2]=-2147483632;f[h+4>>2]=12;i=e;j=412956;k=i+12|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));b[e+12>>0]=0;WD(-215,h,413812,408169,874)}break}case 2:{if(!(rib()|0)){e=cuc(16)|0;f[h>>2]=e;f[h+8>>2]=-2147483632;f[h+4>>2]=15;i=e;j=444299;k=i+15|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));b[e+15>>0]=0;WD(-215,h,413812,408169,881)}break}default:{e=cuc(32)|0;f[h>>2]=e;f[h+8>>2]=-2147483616;f[h+4>>2]=26;i=e;j=411656;k=i+26|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));b[e+26>>0]=0;WD(-213,h,413812,408169,887)}}f[a>>2]=0;f[a+4>>2]=0;u=g;return}function pMa(a){a=a|0;Qtc(a);fuc(a);return}function qMa(a){a=a|0;var b=0;b=f[a+12>>2]|0;if(!b)return;bi[f[(f[b>>2]|0)+4>>2]&2047](b);return}function rMa(a,b){a=a|0;b=b|0;return ((f[b+4>>2]|0)==413587?a+12|0:0)|0}function sMa(a){a=a|0;fuc(a);return}function tMa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0;d=u;u=u+16|0;e=d;g=cuc(68)|0;f[g+4>>2]=3;f[g+8>>2]=1;f[g>>2]=112920;h=g+12|0;f[h>>2]=1124007936;i=g+16|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;f[i+16>>2]=0;f[i+20>>2]=0;f[i+24>>2]=0;f[g+44>>2]=g+20;i=g+52|0;f[g+48>>2]=i;f[g+56>>2]=0;f[i>>2]=0;i=e+8|0;f[i>>2]=0;f[i+4>>2]=0;f[e>>2]=34209792;f[e+4>>2]=h;EI(c,e);f[g+60>>2]=c;b[g+64>>0]=0;f[a>>2]=g;c=cuc(16)|0;f[c+4>>2]=0;f[c+8>>2]=0;f[c>>2]=112892;f[c+12>>2]=g;f[a+4>>2]=c;u=d;return}function uMa(a){a=a|0;f[a>>2]=112920;VH(a+12|0);return}function vMa(a){a=a|0;f[a>>2]=112920;VH(a+12|0);fuc(a);return}function wMa(a){a=a|0;var b=0,c=0,d=0,e=0;b=u;u=u+16|0;c=b;d=f[a+60>>2]|0;e=c+8|0;f[e>>2]=0;f[e+4>>2]=0;f[c>>2]=33619968;f[c+4>>2]=d;aI(a+12|0,c);u=b;return}function xMa(a){a=a|0;b[a+64>>0]=1;return}function yMa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0;b=f[a>>2]|0;if(!b)return;c=a+4|0;d=f[c>>2]|0;if((d|0)==(b|0))e=b;else{g=d;do{d=g+-56|0;f[c>>2]=d;h=g+-20|0;i=f[h>>2]|0;if(i|0?(j=i+12|0,i=f[j>>2]|0,f[j>>2]=i+-1,(i|0)==1):0)aU(d);f[h>>2]=0;h=g+-40|0;d=g+-52|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;if((f[d>>2]|0)>0){h=f[g+-16>>2]|0;i=0;do{f[h+(i<<2)>>2]=0;i=i+1|0}while((i|0)<(f[d>>2]|0))}d=f[g+-12>>2]|0;if((d|0)!=(g+-8|0))TC(d);g=f[c>>2]|0}while((g|0)!=(b|0));e=f[a>>2]|0}fuc(e);f[a+8>>2]=0;f[c>>2]=0;f[a>>2]=0;return}function zMa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;h=g;if(d-g>>3>>>0>=b>>>0){kzc(g|0,0,b<<3|0)|0;f[e>>2]=h+(b<<3);return}i=f[a>>2]|0;j=g-i>>3;g=j+b|0;k=i;if(g>>>0>536870911)nsc(a);l=d-i|0;d=l>>2;m=l>>3>>>0<268435455?(d>>>0<g>>>0?g:d):536870911;do if(m)if(m>>>0>536870911){d=ze(8)|0;kuc(d,519086);f[d>>2]=167148;Hf(d|0,26888,1888)}else{n=cuc(m<<3)|0;break}else n=0;while(0);d=n+(j<<3)|0;j=d;g=n+(m<<3)|0;kzc(d|0,0,b<<3|0)|0;m=d+(b<<3)|0;if((h|0)==(k|0)){o=j;p=i;q=h}else{i=h;h=j;j=d;do{d=i;i=i+-8|0;f[j+-8>>2]=f[i>>2];b=d+-4|0;f[j+-4>>2]=f[b>>2];f[i>>2]=0;f[b>>2]=0;j=h+-8|0;h=j}while((i|0)!=(k|0));o=h;p=f[a>>2]|0;q=f[e>>2]|0}f[a>>2]=o;f[e>>2]=m;f[c>>2]=g;g=p;if((q|0)!=(g|0)){c=q;do{q=f[c+-4>>2]|0;c=c+-8|0;if(q|0)Xtc(q)}while((c|0)!=(g|0))}if(!p)return;fuc(p);return}function AMa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0;f[a>>2]=0;c=a+4|0;f[c>>2]=0;f[a+8>>2]=0;d=b+4|0;e=(f[d>>2]|0)-(f[b>>2]|0)|0;g=(e|0)/12|0;if(!e)return;if(g>>>0>357913941)nsc(a);h=cuc(e)|0;f[c>>2]=h;f[a>>2]=h;f[a+8>>2]=h+(g*12|0);g=f[b>>2]|0;b=f[d>>2]|0;if((g|0)==(b|0))return;d=g;g=h;do{tHa(g,d);d=d+12|0;g=(f[c>>2]|0)+12|0;f[c>>2]=g}while((d|0)!=(b|0));return}function BMa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;d=u;u=u+16|0;e=d;g=a+16|0;h=f[g>>2]|0;do if(h|0){i=f[c>>2]|0;j=f[c+4>>2]|0;k=g;l=h;a:while(1){m=l;while(1){n=f[m+16>>2]|0;if((n|0)>=(i|0)){if((n|0)!=(i|0))break;if((f[m+20>>2]|0)>=(j|0))break}n=f[m+4>>2]|0;if(!n){o=k;break a}else m=n}l=f[m>>2]|0;if(!l){o=m;break}else k=m}if((o|0)!=(g|0)?(k=f[o+16>>2]|0,(i|0)>=(k|0)):0){if((i|0)==(k|0)?(j|0)<(f[o+20>>2]|0):0)break;k=o+24|0;l=f[k>>2]|0;n=f[k+4>>2]|0;k=a+4|0;p=f[k>>2]|0;if(p|0){q=k;r=p;b:while(1){p=r;while(1){s=f[p+16>>2]|0;if((s|0)>=(l|0)){if((s|0)!=(l|0))break;if((f[p+20>>2]|0)>=(n|0))break}s=f[p+4>>2]|0;if(!s){t=q;break b}else p=s}r=f[p>>2]|0;if(!r){t=p;break}else q=p}if((t|0)!=(k|0)?(q=f[t+16>>2]|0,(l|0)>=(q|0)):0){if((l|0)!=(q|0)){v=t+24|0;w=f[v>>2]|0;u=d;return w|0}if((n|0)>=(f[t+20>>2]|0)){v=t+24|0;w=f[v>>2]|0;u=d;return w|0}}}q=cuc(32)|0;f[e>>2]=q;f[e+8>>2]=-2147483616;f[e+4>>2]=25;x=q;y=414335;z=x+25|0;do{b[x>>0]=b[y>>0]|0;x=x+1|0;y=y+1|0}while((x|0)<(z|0));b[q+25>>0]=0;WD(-215,e,414597,408169,666)}}while(0);w=cuc(32)|0;f[e>>2]=w;f[e+8>>2]=-2147483616;f[e+4>>2]=23;x=w;y=414294;z=x+23|0;do{b[x>>0]=b[y>>0]|0;x=x+1|0;y=y+1|0}while((x|0)<(z|0));b[w+23>>0]=0;WD(-215,e,414597,408169,662);return 0}function CMa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;e=f[a>>2]|0;g=e;h=(f[b>>2]|0)-g|0;b=e+(((h|0)/12|0)*12|0)|0;i=f[c>>2]|0;j=f[d>>2]|0;d=j-i|0;k=(d|0)/12|0;l=i;i=j;if((d|0)<=0){m=b;return m|0}d=a+8|0;n=f[d>>2]|0;o=a+4|0;p=f[o>>2]|0;q=p;if((k|0)<=((n-q|0)/12|0|0)){r=q-b|0;s=(r|0)/12|0;if((k|0)>(s|0)){t=l+(s*12|0)|0;s=t;if((t|0)==(i|0))u=p;else{v=p;w=t;while(1){tHa(v,w);w=w+12|0;t=(f[o>>2]|0)+12|0;f[o>>2]=t;if((w|0)==(i|0)){u=t;break}else v=t}}if((r|0)>0){x=s;y=u}else{m=b;return m|0}}else{x=j;y=p}j=y-(b+(k*12|0))|0;u=b+(((j|0)/12|0)*12|0)|0;if(u>>>0<p>>>0){s=u;r=y;do{f[r>>2]=0;v=r+4|0;f[v>>2]=0;f[r+8>>2]=0;f[r>>2]=f[s>>2];w=s+4|0;f[v>>2]=f[w>>2];v=s+8|0;f[r+8>>2]=f[v>>2];f[v>>2]=0;f[w>>2]=0;f[s>>2]=0;s=s+12|0;r=(f[o>>2]|0)+12|0;f[o>>2]=r}while(s>>>0<p>>>0)}if(j|0){j=u;u=y;do{y=j;j=j+-12|0;p=u;u=u+-12|0;s=f[u>>2]|0;r=p+-8|0;if(!s)z=p+-4|0;else{w=f[r>>2]|0;if((w|0)!=(s|0))f[r>>2]=w+(~((w+-4-s|0)>>>2)<<2);fuc(s);s=p+-4|0;f[s>>2]=0;f[r>>2]=0;f[u>>2]=0;z=s}f[u>>2]=f[j>>2];s=y+-8|0;f[r>>2]=f[s>>2];r=y+-4|0;f[z>>2]=f[r>>2];f[r>>2]=0;f[s>>2]=0;f[j>>2]=0}while((j|0)!=(b|0))}j=f[c>>2]|0;c=x;if((j|0)==(c|0)){m=b;return m|0}else{A=b;B=j}while(1){if((A|0)!=(B|0))zva(A,f[B>>2]|0,f[B+4>>2]|0);B=B+12|0;if((B|0)==(c|0)){m=b;break}else A=A+12|0}return m|0}A=((q-g|0)/12|0)+k|0;if(A>>>0>357913941)nsc(a);k=(n-g|0)/12|0;g=k<<1;n=k>>>0<178956970?(g>>>0<A>>>0?A:g):357913941;g=(h|0)/12|0;do if(n)if(n>>>0>357913941){h=ze(8)|0;kuc(h,519086);f[h>>2]=167148;Hf(h|0,26888,1888)}else{C=cuc(n*12|0)|0;break}else C=0;while(0);h=C+(g*12|0)|0;g=h;A=C+(n*12|0)|0;if((l|0)==(i|0)){D=g;E=e}else{e=g;n=h;C=l;do{tHa(n,C);n=e+12|0;e=n;C=C+12|0}while((C|0)!=(i|0));D=e;E=f[a>>2]|0}if((E|0)==(b|0)){F=h;G=g}else{e=b;i=g;g=h;while(1){C=g+-12|0;n=e;e=e+-12|0;f[C>>2]=0;l=g+-8|0;f[l>>2]=0;f[g+-4>>2]=0;f[C>>2]=f[e>>2];C=n+-8|0;f[l>>2]=f[C>>2];l=n+-4|0;f[g+-4>>2]=f[l>>2];f[l>>2]=0;f[C>>2]=0;f[e>>2]=0;C=i+-12|0;l=C;if((e|0)==(E|0)){F=C;G=l;break}else{i=l;g=C}}}g=f[o>>2]|0;if((g|0)==(b|0)){H=D;I=F;J=b}else{F=b;b=D;i=D;do{f[i>>2]=0;D=i+4|0;f[D>>2]=0;f[i+8>>2]=0;f[i>>2]=f[F>>2];E=F+4|0;f[D>>2]=f[E>>2];D=F+8|0;f[i+8>>2]=f[D>>2];f[D>>2]=0;f[E>>2]=0;f[F>>2]=0;F=F+12|0;i=b+12|0;b=i}while((F|0)!=(g|0));H=b;I=G;J=f[o>>2]|0}G=f[a>>2]|0;f[a>>2]=I;f[o>>2]=H;f[d>>2]=A;if((J|0)!=(G|0)){A=J;do{J=A;A=A+-12|0;d=f[A>>2]|0;if(d|0){H=J+-8|0;J=f[H>>2]|0;if((J|0)!=(d|0))f[H>>2]=J+(~((J+-4-d|0)>>>2)<<2);fuc(d)}}while((A|0)!=(G|0))}if(!G){m=h;return m|0}fuc(G);m=h;return m|0}function DMa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+4|0;d=f[a>>2]|0;e=(f[c>>2]|0)-d|0;g=e>>2;h=g+1|0;if(h>>>0>1073741823)nsc(a);i=a+8|0;j=(f[i>>2]|0)-d|0;k=j>>1;l=j>>2>>>0<536870911?(k>>>0<h>>>0?h:k):1073741823;do if(l)if(l>>>0>1073741823){k=ze(8)|0;kuc(k,519086);f[k>>2]=167148;Hf(k|0,26888,1888)}else{m=cuc(l<<2)|0;break}else m=0;while(0);k=m+(g<<2)|0;f[k>>2]=f[b>>2];b=k+(0-g<<2)|0;if((e|0)>0)szc(b|0,d|0,e|0)|0;f[a>>2]=b;f[c>>2]=k+4;f[i>>2]=m+(l<<2);if(!d)return;fuc(d);return}function EMa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0;e=u;u=u+16|0;g=e;h=a+12|0;i=a+16|0;j=f[i>>2]|0;if(!j){k=cuc(48)|0;f[g>>2]=k;l=g+8|0;f[l>>2]=-2147483600;m=g+4|0;f[m>>2]=37;n=k;o=414559;p=n+37|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));q=k+37|0;b[q>>0]=0;WD(-215,g,414553,408169,674)}r=f[d>>2]|0;s=d+4|0;t=f[s>>2]|0;v=i;w=j;a:while(1){x=w;while(1){y=f[x+16>>2]|0;if((y|0)>=(r|0)){if((y|0)!=(r|0))break;if((f[x+20>>2]|0)>=(t|0))break}y=f[x+4>>2]|0;if(!y){z=v;break a}else x=y}w=f[x>>2]|0;if(!w){z=x;break}else v=x}if((z|0)!=(i|0)?(v=f[z+16>>2]|0,(r|0)>=(v|0)):0){if((r|0)!=(v|0)){A=cuc(48)|0;f[g>>2]=A;B=g+8|0;f[B>>2]=-2147483600;C=g+4|0;f[C>>2]=37;n=A;o=414515;p=n+37|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));D=A+37|0;b[D>>0]=0;WD(-215,g,414553,408169,673)}if((t|0)>=(f[z+20>>2]|0)){A=cuc(48)|0;f[g>>2]=A;B=g+8|0;f[B>>2]=-2147483600;C=g+4|0;f[C>>2]=37;n=A;o=414515;p=n+37|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));D=A+37|0;b[D>>0]=0;WD(-215,g,414553,408169,673)}}D=f[c>>2]|0;A=f[c+4>>2]|0;C=i;B=j;b:while(1){j=B;while(1){z=f[j+16>>2]|0;if((z|0)>=(D|0)){if((z|0)!=(D|0))break;if((f[j+20>>2]|0)>=(A|0))break}z=f[j+4>>2]|0;if(!z){E=C;break b}else j=z}B=f[j>>2]|0;if(!B){E=j;break}else C=j}if((E|0)==(i|0)){k=cuc(48)|0;f[g>>2]=k;l=g+8|0;f[l>>2]=-2147483600;m=g+4|0;f[m>>2]=37;n=k;o=414559;p=n+37|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));q=k+37|0;b[q>>0]=0;WD(-215,g,414553,408169,674)}i=f[E+16>>2]|0;if((D|0)<(i|0)){k=cuc(48)|0;f[g>>2]=k;l=g+8|0;f[l>>2]=-2147483600;m=g+4|0;f[m>>2]=37;n=k;o=414559;p=n+37|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));q=k+37|0;b[q>>0]=0;WD(-215,g,414553,408169,674)}if((D|0)==(i|0)?(A|0)<(f[E+20>>2]|0):0){k=cuc(48)|0;f[g>>2]=k;l=g+8|0;f[l>>2]=-2147483600;m=g+4|0;f[m>>2]=37;n=k;o=414559;p=n+37|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));q=k+37|0;b[q>>0]=0;WD(-215,g,414553,408169,674)}g=KMa(h,c)|0;c=f[g>>2]|0;q=f[g+4>>2]|0;g=KMa(h,d)|0;f[g>>2]=c;f[g+4>>2]=q;g=a+4|0;h=f[g>>2]|0;if(!h){u=e;return}else{F=g;G=h}c:while(1){k=G;while(1){o=f[k+16>>2]|0;if((o|0)>=(c|0)){if((o|0)!=(c|0))break;if((f[k+20>>2]|0)>=(q|0))break}o=f[k+4>>2]|0;if(!o){H=F;break c}else k=o}G=f[k>>2]|0;if(!G){H=k;break}else F=k}if((H|0)==(g|0)){u=e;return}F=f[H+16>>2]|0;if((c|0)<(F|0)){u=e;return}if((c|0)==(F|0)?(q|0)<(f[H+20>>2]|0):0){u=e;return}H=f[d>>2]|0;d=f[s>>2]|0;s=g;F=h;d:while(1){G=F;while(1){j=f[G+16>>2]|0;if((j|0)>=(H|0)){if((j|0)!=(H|0))break;if((f[G+20>>2]|0)>=(d|0))break}j=f[G+4>>2]|0;if(!j){I=s;break d}else G=j}F=f[G>>2]|0;if(!F){I=G;break}else s=G}do if((I|0)!=(g|0)?(s=f[I+16>>2]|0,(H|0)>=(s|0)):0){if((H|0)==(s|0)?(d|0)<(f[I+20>>2]|0):0)break;s=f[I+24>>2]|0;F=a+4|0;k=h;e:while(1){j=f[k+16>>2]|0;do if((c|0)>=(j|0)){o=(c|0)==(j|0);if(o?(q|0)<(f[k+20>>2]|0):0){J=53;break}if((j|0)>=(c|0)){if(!o){K=F;break e}if((f[k+20>>2]|0)>=(q|0)){K=F;break e}}o=k+4|0;n=f[o>>2]|0;if(!n){K=o;break e}else{L=o;M=n}}else J=53;while(0);if((J|0)==53){J=0;j=f[k>>2]|0;if(!j){K=k;break}else{L=k;M=j}}F=L;k=M}F=f[K>>2]|0;if(!F){G=cuc(28)|0;j=G+16|0;f[j>>2]=c;f[j+4>>2]=q;f[G+24>>2]=0;f[G>>2]=0;f[G+4>>2]=0;f[G+8>>2]=k;f[K>>2]=G;j=f[f[a>>2]>>2]|0;if(!j)N=G;else{f[a>>2]=j;N=f[K>>2]|0}jI(f[a+4>>2]|0,N);j=a+8|0;f[j>>2]=(f[j>>2]|0)+1;O=G}else O=F;F=O+24|0;f[F>>2]=(f[F>>2]|0)+s;F=f[I+4>>2]|0;if(!F){G=I+8|0;j=f[G>>2]|0;if((f[j>>2]|0)==(I|0))P=j;else{j=G;do{G=f[j>>2]|0;j=G+8|0;n=f[j>>2]|0}while((f[n>>2]|0)!=(G|0));P=n}}else{j=F;while(1){s=f[j>>2]|0;if(!s)break;else j=s}P=j}if((f[a>>2]|0)==(I|0))f[a>>2]=P;F=a+8|0;f[F>>2]=(f[F>>2]|0)+-1;sGa(f[a+4>>2]|0,I);fuc(I);u=e;return}while(0);I=a+4|0;P=h;f:while(1){h=f[P+16>>2]|0;do if((c|0)>=(h|0)){O=(c|0)==(h|0);if(O?(q|0)<(f[P+20>>2]|0):0){J=75;break}if((h|0)>=(c|0)){if(!O){Q=I;break f}if((f[P+20>>2]|0)>=(q|0)){Q=I;break f}}O=P+4|0;N=f[O>>2]|0;if(!N){Q=O;break f}else{R=O;S=N}}else J=75;while(0);if((J|0)==75){J=0;h=f[P>>2]|0;if(!h){Q=P;break}else{R=P;S=h}}I=R;P=S}S=f[Q>>2]|0;if(!S){R=cuc(28)|0;I=R+16|0;f[I>>2]=c;f[I+4>>2]=q;f[R+24>>2]=0;f[R>>2]=0;f[R+4>>2]=0;f[R+8>>2]=P;f[Q>>2]=R;P=f[f[a>>2]>>2]|0;if(!P)T=R;else{f[a>>2]=P;T=f[Q>>2]|0}jI(f[a+4>>2]|0,T);T=a+8|0;f[T>>2]=(f[T>>2]|0)+1;U=R}else U=S;S=U+24|0;f[S>>2]=(f[S>>2]|0)+1;u=e;return}function FMa(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0;h=u;u=u+256|0;i=h+240|0;j=h+232|0;k=h+176|0;l=h;m=h+120|0;n=h+64|0;o=h+8|0;if(!(b[1169300]|0)){f[k>>2]=1124007936;p=k+4|0;q=k+8|0;r=k+40|0;s=p;t=s+36|0;do{f[s>>2]=0;s=s+4|0}while((s|0)<(t|0));f[r>>2]=q;v=k+48|0;w=k+44|0;f[w>>2]=v;f[v>>2]=0;f[k+52>>2]=0;f[l>>2]=-1;f[l+4>>2]=-1;x=f[c+4>>2]|0;y=f[c>>2]|0;z=x-y|0;A=z>>2;B=y;if((B|0)!=(x|0)){if((z|0)<=-4){x=cuc(80)|0;f[i>>2]=x;f[i+8>>2]=-2147483568;f[i+4>>2]=70;s=x;y=475319;t=s+70|0;do{b[s>>0]=b[y>>0]|0;s=s+1|0;y=y+1|0}while((s|0)<(t|0));b[x+70>>0]=0;WD(-215,i,475390,475396,161)}if((z|0)>0){z=0;x=1;while(1){y=Y(f[B+(z<<2)>>2]|0,x)|0;z=z+1|0;if((z|0)>=(A|0)){C=y;break}else x=y}}else C=1}else C=0;x=f[a+24>>2]|0;A=a+28|0;if((x|0)!=(A|0)){z=a+4|0;B=k+36|0;y=k+16|0;D=k+12|0;E=k+20|0;F=k+24|0;G=k+28|0;H=k+32|0;I=2147483647;J=x;x=0;K=0;L=0;while(1){M=J+16|0;N=f[z>>2]|0;do if(N){O=f[M>>2]|0;P=f[J+20>>2]|0;Q=z;R=N;a:while(1){S=R;while(1){T=f[S+16>>2]|0;if((T|0)>=(O|0)){if((T|0)!=(O|0))break;if((f[S+20>>2]|0)>=(P|0))break}T=f[S+4>>2]|0;if(!T){U=Q;break a}else S=T}R=f[S>>2]|0;if(!R){U=S;break}else Q=S}if((U|0)!=(z|0)?(Q=f[U+16>>2]|0,(O|0)>=(Q|0)):0){if((O|0)==(Q|0)?(P|0)<(f[U+20>>2]|0):0){V=I;W=K;X=x;Z=L;break}if(!(f[U+24>>2]|0)){Q=J+24|0;R=J+28|0;T=f[R>>2]|0;_=(T|0)<3;if(_)$=Y(f[J+36>>2]|0,f[J+32>>2]|0)|0;else{aa=f[J+64>>2]|0;ba=0;ca=1;while(1){da=Y(f[aa+(ba<<2)>>2]|0,ca)|0;ba=ba+1|0;if((ba|0)==(T|0)){$=da;break}else ca=da}}if($>>>0>=C>>>0){if(_)ea=Y(f[J+36>>2]|0,f[J+32>>2]|0)|0;else{ca=f[J+64>>2]|0;ba=0;aa=1;while(1){P=Y(f[ca+(ba<<2)>>2]|0,aa)|0;ba=ba+1|0;if((ba|0)==(T|0)){ea=P;break}else aa=P}}if(ea>>>0<I>>>0){aa=M;ba=f[aa+4>>2]|0;ca=l;f[ca>>2]=f[aa>>2];f[ca+4>>2]=ba;if((k|0)==(Q|0)){fa=T;ga=x;ha=K;ia=L}else{ba=J+60|0;ca=f[ba>>2]|0;if(!ca)ja=L;else{aa=ca+12|0;f[aa>>2]=(f[aa>>2]|0)+1;ja=f[B>>2]|0}do if(ja|0){aa=ja+12|0;ca=f[aa>>2]|0;f[aa>>2]=ca+-1;if((ca|0)!=1)break;aU(k)}while(0);f[B>>2]=0;f[y>>2]=0;f[y+4>>2]=0;f[y+8>>2]=0;f[y+12>>2]=0;if((f[p>>2]|0)>0){T=f[r>>2]|0;ca=0;do{f[T+(ca<<2)>>2]=0;ca=ca+1|0;ka=f[p>>2]|0}while((ca|0)<(ka|0));f[k>>2]=f[Q>>2];if((ka|0)<3)la=44;else la=46}else{f[k>>2]=f[Q>>2];la=44}do if((la|0)==44){la=0;ca=f[R>>2]|0;if((ca|0)>=3){la=46;break}f[p>>2]=ca;f[q>>2]=f[J+32>>2];f[D>>2]=f[J+36>>2];ca=f[J+68>>2]|0;T=f[w>>2]|0;f[T>>2]=f[ca>>2];f[T+4>>2]=f[ca+4>>2]}while(0);if((la|0)==46){la=0;$T(k,Q)}ca=f[J+40>>2]|0;f[y>>2]=ca;f[E>>2]=f[J+44>>2];f[F>>2]=f[J+48>>2];f[G>>2]=f[J+52>>2];f[H>>2]=f[J+56>>2];T=f[ba>>2]|0;f[B>>2]=T;aa=T;fa=f[R>>2]|0;ga=aa;ha=ca;ia=aa}if((fa|0)<3){V=Y(f[J+36>>2]|0,f[J+32>>2]|0)|0;W=ha;X=ga;Z=ia;break}aa=f[J+64>>2]|0;ca=0;T=1;while(1){_=Y(f[aa+(ca<<2)>>2]|0,T)|0;ca=ca+1|0;if((ca|0)==(fa|0)){V=_;W=ha;X=ga;Z=ia;break}else T=_}}else{V=I;W=K;X=x;Z=L}}else{V=I;W=K;X=x;Z=L}}else{V=I;W=K;X=x;Z=L}}else{V=I;W=K;X=x;Z=L}}else{V=I;W=K;X=x;Z=L}while(0);M=f[J+4>>2]|0;if(!M){N=J+8|0;T=f[N>>2]|0;if((f[T>>2]|0)==(J|0))ma=T;else{T=N;do{N=f[T>>2]|0;T=N+8|0;ca=f[T>>2]|0}while((f[ca>>2]|0)!=(N|0));ma=ca}}else{T=M;while(1){ca=f[T>>2]|0;if(!ca)break;else T=ca}ma=T}if((ma|0)==(A|0))break;else{I=V;J=ma;x=X;K=W;L=Z}}if(W|0){W=f[p>>2]|0;if((W|0)<3)na=Y(f[k+12>>2]|0,f[q>>2]|0)|0;else{q=f[r>>2]|0;Z=0;L=1;while(1){K=Y(f[q+(Z<<2)>>2]|0,L)|0;Z=Z+1|0;if((Z|0)==(W|0)){na=K;break}else L=K}}if(!((W|0)==0|(na|0)==0)){EMa(a,l,d);mU(o,k,1,1);f[i>>2]=-2147483648;f[i+4>>2]=2147483647;f[j>>2]=0;f[j+4>>2]=C;bU(n,o,i,j);oU(m,n,1,c);j=e+36|0;i=f[j>>2]|0;if((m|0)==(e|0)){C=m+36|0;if((i|0)!=0?(l=i+12|0,na=f[l>>2]|0,f[l>>2]=na+-1,(na|0)==1):0){aU(m);oa=C}else oa=C}else{if(i|0?(C=i+12|0,i=f[C>>2]|0,f[C>>2]=i+-1,(i|0)==1):0)aU(e);f[j>>2]=0;i=e+16|0;C=e+4|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;if((f[C>>2]|0)>0){na=f[e+40>>2]|0;l=0;do{f[na+(l<<2)>>2]=0;l=l+1|0}while((l|0)<(f[C>>2]|0))}f[e>>2]=f[m>>2];l=m+4|0;na=f[l>>2]|0;f[C>>2]=na;C=m+8|0;W=e+8|0;f[W>>2]=f[C>>2];f[e+12>>2]=f[m+12>>2];f[i>>2]=f[m+16>>2];f[e+20>>2]=f[m+20>>2];f[e+24>>2]=f[m+24>>2];f[e+28>>2]=f[m+28>>2];f[e+32>>2]=f[m+32>>2];i=m+36|0;f[j>>2]=f[i>>2];j=e+44|0;L=f[j>>2]|0;Z=e+48|0;if((L|0)==(Z|0)){pa=na;qa=L}else{TC(L);f[j>>2]=Z;f[e+40>>2]=W;pa=f[l>>2]|0;qa=Z}Z=m+44|0;if((pa|0)<3){pa=f[Z>>2]|0;f[qa>>2]=f[pa>>2];f[qa+4>>2]=f[pa+4>>2]}else{f[j>>2]=f[Z>>2];j=m+40|0;f[e+40>>2]=f[j>>2];f[Z>>2]=m+48;f[j>>2]=C}f[m>>2]=1124007936;s=l;t=s+36|0;do{f[s>>2]=0;s=s+4|0}while((s|0)<(t|0));oa=i}f[oa>>2]=0;oa=m+16|0;i=m+4|0;f[oa>>2]=0;f[oa+4>>2]=0;f[oa+8>>2]=0;f[oa+12>>2]=0;if((f[i>>2]|0)>0){oa=f[m+40>>2]|0;s=0;do{f[oa+(s<<2)>>2]=0;s=s+1|0}while((s|0)<(f[i>>2]|0))}i=f[m+44>>2]|0;if((i|0)!=(m+48|0))TC(i);i=n+36|0;m=f[i>>2]|0;if(m|0?(s=m+12|0,m=f[s>>2]|0,f[s>>2]=m+-1,(m|0)==1):0)aU(n);f[i>>2]=0;i=n+16|0;m=n+4|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;if((f[m>>2]|0)>0){i=f[n+40>>2]|0;s=0;do{f[i+(s<<2)>>2]=0;s=s+1|0}while((s|0)<(f[m>>2]|0))}m=f[n+44>>2]|0;if((m|0)!=(n+48|0))TC(m);m=o+36|0;n=f[m>>2]|0;if(n|0?(s=n+12|0,n=f[s>>2]|0,f[s>>2]=n+-1,(n|0)==1):0)aU(o);f[m>>2]=0;m=o+16|0;n=o+4|0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;if((f[n>>2]|0)>0){m=f[o+40>>2]|0;s=0;do{f[m+(s<<2)>>2]=0;s=s+1|0}while((s|0)<(f[n>>2]|0))}n=f[o+44>>2]|0;if((n|0)!=(o+48|0))TC(n);n=k+36|0;o=f[n>>2]|0;do if(o|0){s=o+12|0;m=f[s>>2]|0;f[s>>2]=m+-1;if((m|0)!=1)break;aU(k)}while(0);f[n>>2]=0;f[y>>2]=0;f[y+4>>2]=0;f[y+8>>2]=0;f[y+12>>2]=0;if((f[p>>2]|0)>0){n=f[r>>2]|0;o=0;do{f[n+(o<<2)>>2]=0;o=o+1|0}while((o|0)<(f[p>>2]|0))}o=f[w>>2]|0;if((o|0)!=(v|0))TC(o);u=h;return}}o=k+36|0;if((X|0)!=0?(n=X+12|0,X=f[n>>2]|0,f[n>>2]=X+-1,(X|0)==1):0){aU(k);ra=y;sa=o}else{ra=y;sa=o}}else{ra=k+16|0;sa=k+36|0}f[sa>>2]=0;f[ra>>2]=0;f[ra+4>>2]=0;f[ra+8>>2]=0;f[ra+12>>2]=0;if((f[p>>2]|0)>0){ra=f[r>>2]|0;r=0;do{f[ra+(r<<2)>>2]=0;r=r+1|0}while((r|0)<(f[p>>2]|0))}p=f[w>>2]|0;if((p|0)!=(v|0))TC(p)}_T(e,c,g?3:5);JMa(a,d,e);u=h;return}function GMa(a,b){a=a|0;b=b|0;var c=0,d=0;if(!b)return;GMa(a,f[b>>2]|0);GMa(a,f[b+4>>2]|0);a=f[b+20>>2]|0;if(a|0){c=b+24|0;d=f[c>>2]|0;if((d|0)!=(a|0))f[c>>2]=d+(~((d+-4-a|0)>>>2)<<2);fuc(a)}fuc(b);return}function HMa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0;d=u;u=u+48|0;e=d+32|0;g=d+16|0;h=d;gV(e,112976);i=f[(f[a>>2]|0)+36>>2]|0;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=17104896;f[g+4>>2]=b;b=h+8|0;f[b>>2]=0;f[b+4>>2]=0;f[h>>2]=33882112;f[h+4>>2]=c;Zh[i&511](a,g,h);if(!(f[e+4>>2]|0)){u=d;return}u=d;return}function IMa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;d=u;u=u+16|0;e=d;g=a+16|0;h=f[g>>2]|0;do if(h|0){i=f[c>>2]|0;j=f[c+4>>2]|0;k=g;l=h;a:while(1){m=l;while(1){n=f[m+16>>2]|0;if((n|0)>=(i|0)){if((n|0)!=(i|0))break;if((f[m+20>>2]|0)>=(j|0))break}n=f[m+4>>2]|0;if(!n){o=k;break a}else m=n}l=f[m>>2]|0;if(!l){o=m;break}else k=m}if((o|0)!=(g|0)?(k=f[o+16>>2]|0,(i|0)>=(k|0)):0){if((i|0)==(k|0)?(j|0)<(f[o+20>>2]|0):0)break;k=a+4|0;l=f[k>>2]|0;do if(l|0){n=f[o+24>>2]|0;p=f[o+28>>2]|0;q=k;r=l;b:while(1){s=r;while(1){t=f[s+16>>2]|0;if((t|0)>=(n|0)){if((t|0)!=(n|0))break;if((f[s+20>>2]|0)>=(p|0))break}t=f[s+4>>2]|0;if(!t){v=q;break b}else s=t}r=f[s>>2]|0;if(!r){v=s;break}else q=s}if((v|0)!=(k|0)?(q=f[v+16>>2]|0,(n|0)>=(q|0)):0){if((n|0)==(q|0)?(p|0)<(f[v+20>>2]|0):0)break;q=v+24|0;r=f[q>>2]|0;if((r|0)>0){f[q>>2]=r+-1;u=d;return}else{r=cuc(32)|0;f[e>>2]=r;f[e+8>>2]=-2147483616;f[e+4>>2]=17;w=r;x=414361;y=w+17|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));b[r+17>>0]=0;WD(-215,e,414318,408169,698)}}}while(0);k=cuc(32)|0;f[e>>2]=k;f[e+8>>2]=-2147483616;f[e+4>>2]=25;w=k;x=414335;y=w+25|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));b[k+25>>0]=0;WD(-215,e,414318,408169,697)}}while(0);d=cuc(32)|0;f[e>>2]=d;f[e+8>>2]=-2147483616;f[e+4>>2]=23;w=d;x=414294;y=w+23|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));b[d+23>>0]=0;WD(-215,e,414318,408169,694)}function JMa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;e=u;u=u+32|0;g=e+4|0;h=e;i=e+16|0;j=a+28|0;k=f[j>>2]|0;if(k|0){l=f[c>>2]|0;m=f[c+4>>2]|0;n=j;o=k;a:while(1){k=o;while(1){p=f[k+16>>2]|0;if((p|0)>=(l|0)){if((p|0)!=(l|0))break;if((f[k+20>>2]|0)>=(m|0))break}p=f[k+4>>2]|0;if(!p){q=n;break a}else k=p}o=f[k>>2]|0;if(!o){q=k;break}else n=k}if((q|0)!=(j|0)?(j=f[q+16>>2]|0,(l|0)>=(j|0)):0){if((l|0)!=(j|0)){r=cuc(48)|0;f[g>>2]=r;s=g+8|0;f[s>>2]=-2147483600;t=g+4|0;f[t>>2]=35;v=r;w=414471;x=v+35|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));y=r+35|0;b[y>>0]=0;WD(-215,g,414507,408169,849)}if((m|0)>=(f[q+20>>2]|0)){r=cuc(48)|0;f[g>>2]=r;s=g+8|0;f[s>>2]=-2147483600;t=g+4|0;f[t>>2]=35;v=r;w=414471;x=v+35|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));y=r+35|0;b[y>>0]=0;WD(-215,g,414507,408169,849)}}}y=KMa(a+12|0,c)|0;r=c;w=f[r+4>>2]|0;v=y;f[v>>2]=f[r>>2];f[v+4>>2]=w;f[h>>2]=c;LMa(g,a+24|0,c,1169304,h,i);i=f[g>>2]|0;g=i+24|0;if((g|0)==(d|0)){u=e;return}h=d+36|0;c=f[h>>2]|0;if(c|0){a=c+12|0;f[a>>2]=(f[a>>2]|0)+1}a=i+60|0;c=f[a>>2]|0;if(c|0?(w=c+12|0,c=f[w>>2]|0,f[w>>2]=c+-1,(c|0)==1):0)aU(g);f[a>>2]=0;c=i+40|0;w=i+28|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[w>>2]|0)>0){v=f[i+64>>2]|0;r=0;do{f[v+(r<<2)>>2]=0;r=r+1|0;z=f[w>>2]|0}while((r|0)<(z|0));f[g>>2]=f[d>>2];if((z|0)<3)A=25;else A=27}else{f[g>>2]=f[d>>2];A=25}if((A|0)==25){z=f[d+4>>2]|0;if((z|0)<3){f[w>>2]=z;f[i+32>>2]=f[d+8>>2];f[i+36>>2]=f[d+12>>2];z=f[d+44>>2]|0;w=f[i+68>>2]|0;f[w>>2]=f[z>>2];f[w+4>>2]=f[z+4>>2]}else A=27}if((A|0)==27)$T(g,d);f[c>>2]=f[d+16>>2];f[i+44>>2]=f[d+20>>2];f[i+48>>2]=f[d+24>>2];f[i+52>>2]=f[d+28>>2];f[i+56>>2]=f[d+32>>2];f[a>>2]=f[h>>2];u=e;return}function KMa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;c=a+4|0;d=f[c>>2]|0;do if(d){e=f[b>>2]|0;g=f[b+4>>2]|0;h=a+4|0;i=d;a:while(1){j=f[i+16>>2]|0;do if((e|0)>=(j|0)){k=(e|0)==(j|0);if(k?(g|0)<(f[i+20>>2]|0):0){l=7;break}if((j|0)>=(e|0)){if(!k){l=14;break a}if((f[i+20>>2]|0)>=(g|0)){l=14;break a}}m=i+4|0;k=f[m>>2]|0;if(!k){l=13;break a}else{n=m;o=k}}else l=7;while(0);if((l|0)==7){l=0;j=f[i>>2]|0;if(!j){l=8;break}else{n=i;o=j}}h=n;i=o}if((l|0)==8){p=i;q=i;break}else if((l|0)==13){p=i;q=m;break}else if((l|0)==14){p=i;q=h;break}}else{p=c;q=c}while(0);c=f[q>>2]|0;if(c|0){r=c;s=r+24|0;return s|0}c=cuc(32)|0;l=b;b=f[l+4>>2]|0;m=c+16|0;f[m>>2]=f[l>>2];f[m+4>>2]=b;f[c+24>>2]=-1;f[c+28>>2]=-1;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=p;f[q>>2]=c;p=f[f[a>>2]>>2]|0;if(!p)t=c;else{f[a>>2]=p;t=f[q>>2]|0}jI(f[a+4>>2]|0,t);t=a+8|0;f[t>>2]=(f[t>>2]|0)+1;r=c;s=r+24|0;return s|0}function LMa(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;h=c+4|0;e=f[h>>2]|0;do if(e){i=f[d>>2]|0;j=f[d+4>>2]|0;k=c+4|0;l=e;a:while(1){m=f[l+16>>2]|0;do if((i|0)>=(m|0)){n=(i|0)==(m|0);if(n?(j|0)<(f[l+20>>2]|0):0){o=7;break}if((m|0)>=(i|0)){if(!n){o=14;break a}if((f[l+20>>2]|0)>=(j|0)){o=14;break a}}p=l+4|0;n=f[p>>2]|0;if(!n){o=13;break a}else{q=p;r=n}}else o=7;while(0);if((o|0)==7){o=0;m=f[l>>2]|0;if(!m){o=8;break}else{q=l;r=m}}k=q;l=r}if((o|0)==8){s=l;t=l;break}else if((o|0)==13){s=l;t=p;break}else if((o|0)==14){s=l;t=k;break}}else{s=h;t=h}while(0);h=f[t>>2]|0;if(h|0){u=h;v=0;w=u;f[a>>2]=w;x=a+4|0;b[x>>0]=v;return}h=cuc(80)|0;o=f[g>>2]|0;g=f[o+4>>2]|0;p=h+16|0;f[p>>2]=f[o>>2];f[p+4>>2]=g;f[h+24>>2]=1124007936;g=h+32|0;p=h+64|0;o=h+28|0;r=o+36|0;do{f[o>>2]=0;o=o+4|0}while((o|0)<(r|0));f[p>>2]=g;g=h+72|0;f[h+68>>2]=g;f[g>>2]=0;f[h+76>>2]=0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=s;f[t>>2]=h;s=f[f[c>>2]>>2]|0;if(!s)y=h;else{f[c>>2]=s;y=f[t>>2]|0}jI(f[c+4>>2]|0,y);y=c+8|0;f[y>>2]=(f[y>>2]|0)+1;u=h;v=1;w=u;f[a>>2]=w;x=a+4|0;b[x>>0]=v;return}function MMa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;d=(c-b|0)/12|0;e=a+8|0;g=f[e>>2]|0;h=f[a>>2]|0;i=h;if(d>>>0>((g-h|0)/12|0)>>>0){if(!h)j=g;else{g=a+4|0;k=f[g>>2]|0;if((k|0)==(i|0))l=h;else{m=k;while(1){k=m+-12|0;f[g>>2]=k;n=f[k>>2]|0;if(!n)o=k;else{k=m+-8|0;p=f[k>>2]|0;if((p|0)!=(n|0))f[k>>2]=p+(~((p+-4-n|0)>>>2)<<2);fuc(n);o=f[g>>2]|0}if((o|0)==(i|0))break;else m=o}l=f[a>>2]|0}fuc(l);f[e>>2]=0;f[g>>2]=0;f[a>>2]=0;j=0}if(d>>>0>357913941)nsc(a);g=(j|0)/12|0;j=g<<1;l=g>>>0<178956970?(j>>>0<d>>>0?d:j):357913941;if(l>>>0>357913941)nsc(a);j=cuc(l*12|0)|0;g=a+4|0;f[g>>2]=j;f[a>>2]=j;f[e>>2]=j+(l*12|0);if((b|0)==(c|0))return;l=b;e=j;do{tHa(e,l);l=l+12|0;e=(f[g>>2]|0)+12|0;f[g>>2]=e}while((l|0)!=(c|0));return}else{l=a+4|0;a=((f[l>>2]|0)-h|0)/12|0;h=d>>>0>a>>>0;d=b+(a*12|0)|0;a=h?d:c;if((a|0)==(b|0))q=i;else{e=b;b=i;while(1){if((b|0)!=(e|0))zva(b,f[e>>2]|0,f[e+4>>2]|0);e=e+12|0;i=b+12|0;if((e|0)==(a|0)){q=i;break}else b=i}}if(h){if((a|0)==(c|0))return;a=d;d=f[l>>2]|0;do{tHa(d,a);a=a+12|0;d=(f[l>>2]|0)+12|0;f[l>>2]=d}while((a|0)!=(c|0));return}c=f[l>>2]|0;if((c|0)==(q|0))return;else r=c;while(1){c=r+-12|0;f[l>>2]=c;a=f[c>>2]|0;if(!a)s=c;else{c=r+-8|0;d=f[c>>2]|0;if((d|0)!=(a|0))f[c>>2]=d+(~((d+-4-a|0)>>>2)<<2);fuc(a);s=f[l>>2]|0}if((s|0)==(q|0))break;else r=s}return}}function NMa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0;e=u;u=u+32|0;g=e+16|0;h=e+12|0;i=e+24|0;j=e+8|0;k=e;f[j>>2]=c;c=a+20|0;f[h>>2]=j;NLa(g,c,j,1169304,h,i);l=f[g>>2]|0;m=l+96|0;n=f[j>>2]|0;o=d+4|0;p=f[o>>2]|0;do if(p){q=d+4|0;r=p;while(1){s=f[r+16>>2]|0;if((s|0)>(n|0)){t=f[r>>2]|0;if(!t){v=6;break}else{w=r;x=t}}else{if((s|0)>=(n|0)){v=10;break}y=r+4|0;s=f[y>>2]|0;if(!s){v=9;break}else{w=y;x=s}}q=w;r=x}if((v|0)==6){z=r;A=r;break}else if((v|0)==9){z=r;A=y;break}else if((v|0)==10){z=r;A=q;break}}else{z=o;A=o}while(0);y=f[A>>2]|0;if(!y){x=cuc(60)|0;f[x+16>>2]=n;n=x+20|0;B=n;C=B+36|0;do{f[B>>2]=0;B=B+4|0}while((B|0)<(C|0));b[n+36>>0]=0;f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=z;f[A>>2]=x;z=f[f[d>>2]>>2]|0;if(!z)D=x;else{f[d>>2]=z;D=f[A>>2]|0}jI(f[d+4>>2]|0,D);D=d+8|0;f[D>>2]=(f[D>>2]|0)+1;E=x}else E=y;if((f[E+20>>2]|0)==(f[E+24>>2]|0)?(E=l+100|0,l=f[m>>2]|0,(f[E>>2]|0)!=(l|0)):0){y=d+4|0;x=d+8|0;D=0;A=l;do{l=f[A+(D<<3)>>2]|0;z=f[o>>2]|0;if(z){n=o;w=z;a:while(1){p=w;while(1){if((f[p+16>>2]|0)>=(l|0))break;s=f[p+4>>2]|0;if(!s){F=n;break a}else p=s}w=f[p>>2]|0;if(!w){F=p;break}else n=p}if(((F|0)!=(o|0)?(f[F+16>>2]|0)<=(l|0):0)?(f[F+32>>2]|0)!=(f[F+36>>2]|0):0)G=z;else v=27}else v=27;if((v|0)==27){v=0;NMa(a,l,d);G=f[o>>2]|0}do if(G){n=y;w=G;while(1){q=f[w+16>>2]|0;if((q|0)>(l|0)){r=f[w>>2]|0;if(!r){v=32;break}else{H=w;I=r}}else{if((q|0)>=(l|0)){v=36;break}J=w+4|0;q=f[J>>2]|0;if(!q){v=35;break}else{H=J;I=q}}n=H;w=I}if((v|0)==32){v=0;K=w;L=w;break}else if((v|0)==35){v=0;K=w;L=J;break}else if((v|0)==36){v=0;K=w;L=n;break}}else{K=o;L=o}while(0);z=f[L>>2]|0;if(!z){p=cuc(60)|0;f[p+16>>2]=l;q=p+20|0;B=q;C=B+36|0;do{f[B>>2]=0;B=B+4|0}while((B|0)<(C|0));b[q+36>>0]=0;f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=K;f[L>>2]=p;l=f[f[d>>2]>>2]|0;if(!l)M=p;else{f[d>>2]=l;M=f[L>>2]|0}jI(f[y>>2]|0,M);f[x>>2]=(f[x>>2]|0)+1;N=p;O=f[o>>2]|0}else{N=z;O=G}l=(f[N+32>>2]|0)+((f[(f[m>>2]|0)+(D<<3)+4>>2]|0)*12|0)|0;r=f[j>>2]|0;do if(O){s=y;t=O;while(1){P=f[t+16>>2]|0;if((P|0)>(r|0)){Q=f[t>>2]|0;if(!Q){v=45;break}else{R=t;S=Q}}else{if((P|0)>=(r|0)){v=49;break}T=t+4|0;P=f[T>>2]|0;if(!P){v=48;break}else{R=T;S=P}}s=R;t=S}if((v|0)==45){v=0;U=t;V=t;break}else if((v|0)==48){v=0;U=t;V=T;break}else if((v|0)==49){v=0;U=t;V=s;break}}else{U=o;V=o}while(0);z=f[V>>2]|0;if(!z){p=cuc(60)|0;f[p+16>>2]=r;q=p+20|0;B=q;C=B+36|0;do{f[B>>2]=0;B=B+4|0}while((B|0)<(C|0));b[q+36>>0]=0;f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=U;f[V>>2]=p;r=f[f[d>>2]>>2]|0;if(!r)W=p;else{f[d>>2]=r;W=f[V>>2]|0}jI(f[y>>2]|0,W);f[x>>2]=(f[x>>2]|0)+1;X=p}else X=z;r=X+24|0;n=f[r>>2]|0;if((n|0)==(f[X+28>>2]|0))uHa(X+20|0,l);else{tHa(n,l);f[r>>2]=(f[r>>2]|0)+12}D=D+1|0;A=f[m>>2]|0}while(D>>>0<(f[E>>2]|0)-A>>3>>>0)}A=f[j>>2]|0;E=f[o>>2]|0;do if(E){D=d+4|0;m=E;while(1){X=f[m+16>>2]|0;if((X|0)>(A|0)){x=f[m>>2]|0;if(!x){v=63;break}else{Y=m;Z=x}}else{if((X|0)>=(A|0)){v=67;break}_=m+4|0;X=f[_>>2]|0;if(!X){v=66;break}else{Y=_;Z=X}}D=Y;m=Z}if((v|0)==63){$=m;aa=m;break}else if((v|0)==66){$=m;aa=_;break}else if((v|0)==67){$=m;aa=D;break}}else{$=o;aa=o}while(0);_=f[aa>>2]|0;if(!_){Z=cuc(60)|0;f[Z+16>>2]=A;Y=Z+20|0;B=Y;C=B+36|0;do{f[B>>2]=0;B=B+4|0}while((B|0)<(C|0));b[Y+36>>0]=0;f[Z>>2]=0;f[Z+4>>2]=0;f[Z+8>>2]=$;f[aa>>2]=Z;$=f[f[d>>2]>>2]|0;if(!$)ba=Z;else{f[d>>2]=$;ba=f[aa>>2]|0}jI(f[d+4>>2]|0,ba);ba=d+8|0;f[ba>>2]=(f[ba>>2]|0)+1;ca=Z;da=f[j>>2]|0;ea=f[o>>2]|0}else{ca=_;da=A;ea=E}E=ca+20|0;do if(ea){ca=d+4|0;A=ea;while(1){_=f[A+16>>2]|0;if((_|0)>(da|0)){Z=f[A>>2]|0;if(!Z){v=78;break}else{fa=A;ga=Z}}else{if((_|0)>=(da|0)){v=82;break}ha=A+4|0;_=f[ha>>2]|0;if(!_){v=81;break}else{fa=ha;ga=_}}ca=fa;A=ga}if((v|0)==78){ia=A;ja=A;break}else if((v|0)==81){ia=A;ja=ha;break}else if((v|0)==82){ia=A;ja=ca;break}}else{ia=o;ja=o}while(0);ha=f[ja>>2]|0;if(!ha){ga=cuc(60)|0;f[ga+16>>2]=da;fa=ga+20|0;B=fa;C=B+36|0;do{f[B>>2]=0;B=B+4|0}while((B|0)<(C|0));b[fa+36>>0]=0;f[ga>>2]=0;f[ga+4>>2]=0;f[ga+8>>2]=ia;f[ja>>2]=ga;ia=f[f[d>>2]>>2]|0;if(!ia)ka=ga;else{f[d>>2]=ia;ka=f[ja>>2]|0}jI(f[d+4>>2]|0,ka);ka=d+8|0;f[ka>>2]=(f[ka>>2]|0)+1;la=ga;ma=f[j>>2]|0;na=f[o>>2]|0}else{la=ha;ma=da;na=ea}ea=la+32|0;do if(na){la=d+4|0;da=na;while(1){ha=f[da+16>>2]|0;if((ha|0)>(ma|0)){ga=f[da>>2]|0;if(!ga){v=93;break}else{oa=da;pa=ga}}else{if((ha|0)>=(ma|0)){v=97;break}qa=da+4|0;ha=f[qa>>2]|0;if(!ha){v=96;break}else{oa=qa;pa=ha}}la=oa;da=pa}if((v|0)==93){ra=da;sa=da;break}else if((v|0)==96){ra=da;sa=qa;break}else if((v|0)==97){ra=da;sa=la;break}}else{ra=o;sa=o}while(0);qa=f[sa>>2]|0;if(!qa){pa=cuc(60)|0;f[pa+16>>2]=ma;ma=pa+20|0;B=ma;C=B+36|0;do{f[B>>2]=0;B=B+4|0}while((B|0)<(C|0));b[ma+36>>0]=0;f[pa>>2]=0;f[pa+4>>2]=0;f[pa+8>>2]=ra;f[sa>>2]=pa;ra=f[f[d>>2]>>2]|0;if(!ra)ta=pa;else{f[d>>2]=ra;ta=f[sa>>2]|0}jI(f[d+4>>2]|0,ta);ta=d+8|0;f[ta>>2]=(f[ta>>2]|0)+1;ua=pa}else ua=qa;f[h>>2]=j;NLa(g,c,j,1169304,h,i);qa=f[(f[g>>2]|0)+128>>2]|0;f[h>>2]=j;NLa(g,c,j,1169304,h,i);ALa(k,(f[g>>2]|0)+20|0);g=f[k>>2]|0;i=mh[f[(f[g>>2]|0)+92>>2]&127](g,E,qa,ea,ua+44|0)|0;ua=f[j>>2]|0;j=f[o>>2]|0;do if(j){ea=d+4|0;qa=j;while(1){E=f[qa+16>>2]|0;if((E|0)>(ua|0)){g=f[qa>>2]|0;if(!g){v=108;break}else{va=qa;wa=g}}else{if((E|0)>=(ua|0)){v=112;break}xa=qa+4|0;E=f[xa>>2]|0;if(!E){v=111;break}else{va=xa;wa=E}}ea=va;qa=wa}if((v|0)==108){ya=qa;za=qa;break}else if((v|0)==111){ya=qa;za=xa;break}else if((v|0)==112){ya=qa;za=ea;break}}else{ya=o;za=o}while(0);o=f[za>>2]|0;if(!o){v=cuc(60)|0;f[v+16>>2]=ua;ua=v+20|0;B=ua;C=B+36|0;do{f[B>>2]=0;B=B+4|0}while((B|0)<(C|0));b[ua+36>>0]=0;f[v>>2]=0;f[v+4>>2]=0;f[v+8>>2]=ya;f[za>>2]=v;ya=f[f[d>>2]>>2]|0;if(!ya)Aa=v;else{f[d>>2]=ya;Aa=f[za>>2]|0}jI(f[d+4>>2]|0,Aa);Aa=d+8|0;f[Aa>>2]=(f[Aa>>2]|0)+1;Ba=v}else Ba=o;b[Ba+56>>0]=i&1;i=f[k+4>>2]|0;if(!i){u=e;return}Xtc(i);u=e;return}function OMa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;d=a+8|0;e=f[a>>2]|0;g=e;if((((f[d>>2]|0)-e|0)/12|0)>>>0>=c>>>0)return;h=a+4|0;if(c>>>0>357913941){i=ze(8)|0;kuc(i,519086);f[i>>2]=167148;Hf(i|0,26888,1888)}i=f[h>>2]|0;j=cuc(c*12|0)|0;k=j+(((i-e|0)/12|0)*12|0)|0;l=k;m=j+(c*12|0)|0;c=i;if((c|0)==(g|0)){n=l;o=e;p=g}else{e=c;c=l;i=k;do{k=i+-12|0;e=e+-12|0;f[k>>2]=f[e>>2];f[k+4>>2]=f[e+4>>2];f[k+8>>2]=f[e+8>>2];f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;i=c+-12|0;c=i}while((e|0)!=(g|0));n=c;o=f[a>>2]|0;p=f[h>>2]|0}f[a>>2]=n;f[h>>2]=l;f[d>>2]=m;m=o;if((p|0)!=(m|0)){d=p;do{d=d+-12|0;if((b[d+11>>0]|0)<0)fuc(f[d>>2]|0)}while((d|0)!=(m|0))}if(!o)return;fuc(o);return}function PMa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0;e=u;u=u+224|0;g=e;h=e+168|0;i=e+112|0;j=e+104|0;k=e+92|0;l=e+56|0;m=e+48|0;n=e+80|0;o=e+68|0;gV(j,113036);ouc(k,d);d=k+11|0;p=b[d>>0]|0;if(((p<<24>>24<0?f[k+4>>2]|0:p&255)|0)==0?(ILa(g,a),p=g+4|0,ruc(k,(f[p>>2]|0)+-12|0)|0,q=f[g>>2]|0,q|0):0){r=f[p>>2]|0;if((r|0)==(q|0))s=q;else{t=r;while(1){r=t+-12|0;f[p>>2]=r;if((b[r+11>>0]|0)<0){fuc(f[r>>2]|0);v=f[p>>2]|0}else v=r;if((v|0)==(q|0))break;else t=v}s=f[g>>2]|0}fuc(s)}zLa(g,f[a>>2]|0,k);f[l>>2]=0;s=l+4|0;f[s>>2]=0;f[l+8>>2]=0;v=cuc(8)|0;f[l>>2]=v;f[l+8>>2]=v+8;t=g;q=f[t+4>>2]|0;p=v;f[p>>2]=f[t>>2];f[p+4>>2]=q;f[s>>2]=v+8;JLa(f[a>>2]|0,l);v=f[a>>2]|0;LLa(v,KLa(v,k)|0,1);zLa(m,f[a>>2]|0,k);v=(f[a>>2]|0)+20|0;f[h>>2]=m;NLa(g,v,m,1169304,h,i);m=f[g>>2]|0;a:do if((qJ(c)|0)==655360){v=f[a>>2]|0;ouc(n,k);zLa(g,v,n);MLa(i,v,g);QH(h,i,50331648,0);oK(c,h);VH(h);v=i+36|0;q=f[v>>2]|0;if(q|0?(p=q+12|0,q=f[p>>2]|0,f[p>>2]=q+-1,(q|0)==1):0)aU(i);f[v>>2]=0;v=i+16|0;q=i+4|0;f[v>>2]=0;f[v+4>>2]=0;f[v+8>>2]=0;f[v+12>>2]=0;if((f[q>>2]|0)>0){v=f[i+40>>2]|0;p=0;do{f[v+(p<<2)>>2]=0;p=p+1|0}while((p|0)<(f[q>>2]|0))}q=f[i+44>>2]|0;if((q|0)!=(i+48|0))TC(q);if((b[n+11>>0]|0)<0)fuc(f[n>>2]|0)}else{if((qJ(c)|0)==65536){q=f[a>>2]|0;ouc(o,k);zLa(g,q,o);MLa(h,q,g);pK(c,h);q=h+36|0;p=f[q>>2]|0;if(p|0?(v=p+12|0,p=f[v>>2]|0,f[v>>2]=p+-1,(p|0)==1):0)aU(h);f[q>>2]=0;q=h+16|0;p=h+4|0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;f[q+12>>2]=0;if((f[p>>2]|0)>0){q=f[h+40>>2]|0;v=0;do{f[q+(v<<2)>>2]=0;v=v+1|0}while((v|0)<(f[p>>2]|0))}p=f[h+44>>2]|0;if((p|0)!=(h+48|0))TC(p);if((b[o+11>>0]|0)<0)fuc(f[o>>2]|0);break}if((qJ(c)|0)==327680){b:do if(f[(f[a>>2]|0)+84>>2]|0?(p=m+144|0,v=m+148|0,q=f[p>>2]|0,(f[v>>2]|0)!=(q|0)):0){t=0;r=q;while(1){q=f[r+(t<<3)>>2]|0;if(!q)break;bi[f[(f[q>>2]|0)+8>>2]&2047](q);t=t+1|0;r=f[p>>2]|0;if(t>>>0>=(f[v>>2]|0)-r>>3>>>0)break b}f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;r=cuc(48)|0;f[g>>2]=r;f[g+8>>2]=-2147483600;f[g+4>>2]=34;v=r;t=415229;p=v+34|0;do{b[v>>0]=b[t>>0]|0;v=v+1|0;t=t+1|0}while((v|0)<(p|0));b[r+34>>0]=0;WD(-215,g,477126,408169,2523)}while(0);t=m+188|0;v=f[t>>2]|0;p=f[c+4>>2]|0;if((f[v>>2]&7|0)==5){if((p|0)==(t|0))break;kMa(p,v,f[m+192>>2]|0);break}tJ(p,((f[m+192>>2]|0)-v|0)/56|0);v=p+4|0;q=f[p>>2]|0;if((f[v>>2]|0)==(q|0))break;w=g+8|0;x=g+12|0;y=g+4|0;z=h+8|0;A=h+4|0;B=0;C=q;while(1){q=(f[t>>2]|0)+(B*56|0)|0;f[w>>2]=0;f[x>>2]=0;f[g>>2]=16842752;f[y>>2]=q;q=z;f[q>>2]=0;f[q+4>>2]=0;f[h>>2]=33619968;f[A>>2]=C+(B*56|0);lQ(g,h);B=B+1|0;C=f[p>>2]|0;if(B>>>0>=(((f[v>>2]|0)-C|0)/56|0)>>>0)break a}}if((qJ(c)|0)==720896){C=f[c+4>>2]|0;v=f[a>>2]|0;if((f[v+80>>2]|0)==3?(B=f[v+84>>2]|0,(B+-1|0)>>>0<2):0){switch(B|0){case 1:{PLa(g,m+144|0);B=f[C>>2]|0;if(!B){D=C+4|0;E=C+8|0}else{v=C+4|0;p=f[v>>2]|0;if((p|0)==(B|0))F=B;else{A=p;do{p=A+-48|0;f[v>>2]=p;VH(p);A=f[v>>2]|0}while((A|0)!=(B|0));F=f[C>>2]|0}fuc(F);B=C+8|0;f[B>>2]=0;f[v>>2]=0;f[C>>2]=0;D=v;E=B}f[C>>2]=f[g>>2];f[D>>2]=f[g+4>>2];f[E>>2]=f[g+8>>2];break a;break}case 2:break;default:break a}PLa(g,m+144|0);B=g+4|0;A=((f[B>>2]|0)-(f[g>>2]|0)|0)/48|0;p=C+4|0;z=f[p>>2]|0;y=f[C>>2]|0;x=(z-y|0)/48|0;w=y;y=z;if(A>>>0<=x>>>0){if(A>>>0<x>>>0?(z=w+(A*48|0)|0,(y|0)!=(z|0)):0){w=y;do{y=w+-48|0;f[p>>2]=y;VH(y);w=f[p>>2]|0}while((w|0)!=(z|0))}}else wJ(C,A-x|0);z=f[B>>2]|0;w=f[g>>2]|0;p=w;if((z|0)==(w|0)){G=z;H=p}else{z=h+8|0;w=h+12|0;v=h+4|0;y=i+8|0;t=i+4|0;q=0;I=p;while(1){f[z>>2]=0;f[w>>2]=0;f[h>>2]=17432576;f[v>>2]=I+(q*48|0);p=(f[C>>2]|0)+(q*48|0)|0;J=y;f[J>>2]=0;f[J+4>>2]=0;f[i>>2]=34209792;f[t>>2]=p;lQ(h,i);q=q+1|0;p=f[B>>2]|0;J=f[g>>2]|0;K=J;if(q>>>0>=((p-J|0)/48|0)>>>0){G=p;H=K;break}else I=K}}I=G;if(H|0){if((I|0)==(H|0))L=H;else{q=I;do{I=q+-48|0;f[B>>2]=I;VH(I);q=f[B>>2]|0}while((q|0)!=(H|0));L=f[g>>2]|0}fuc(L)}break}q=m+188|0;B=((f[m+192>>2]|0)-(f[q>>2]|0)|0)/56|0;I=C+4|0;t=f[I>>2]|0;y=f[C>>2]|0;v=(t-y|0)/48|0;w=y;y=t;if(B>>>0<=v>>>0)if(B>>>0<v>>>0?(z=w+(B*48|0)|0,(y|0)!=(z|0)):0){w=y;do{y=w+-48|0;f[I>>2]=y;VH(y);w=f[I>>2]|0}while((w|0)!=(z|0));M=w}else M=t;else{wJ(C,B-v|0);M=f[I>>2]|0}if((M|0)!=(f[C>>2]|0)){z=g+4|0;y=g+8|0;x=g+12|0;A=g+16|0;K=g+20|0;p=g+24|0;J=g+28|0;N=g+36|0;O=g+32|0;P=g+40|0;Q=0;do{QH(g,(f[q>>2]|0)+(Q*56|0)|0,50331648,0);R=f[C>>2]|0;S=R+(Q*48|0)|0;if((S|0)!=(g|0)){T=R+(Q*48|0)+24|0;U=f[T>>2]|0;if(U|0?(V=U+8|0,U=f[V>>2]|0,f[V>>2]=U+-1,(U|0)==1):0)WH(S);U=R+(Q*48|0)+4|0;if((f[U>>2]|0)>0){V=f[R+(Q*48|0)+32>>2]|0;W=0;do{f[V+(W<<2)>>2]=0;W=W+1|0}while((W|0)<(f[U>>2]|0))}f[T>>2]=0;f[S>>2]=f[g>>2];f[U>>2]=f[z>>2];W=R+(Q*48|0)+8|0;f[W>>2]=f[y>>2];f[R+(Q*48|0)+12>>2]=f[x>>2];f[R+(Q*48|0)+16>>2]=f[A>>2];f[R+(Q*48|0)+20>>2]=f[K>>2];f[T>>2]=f[p>>2];f[R+(Q*48|0)+28>>2]=f[J>>2];V=R+(Q*48|0)+36|0;r=f[V>>2]|0;X=R+(Q*48|0)+40|0;if((r|0)==(X|0))Y=r;else{TC(r);f[V>>2]=X;f[R+(Q*48|0)+32>>2]=W;Y=X}if((f[z>>2]|0)<3){X=f[N>>2]|0;f[Y>>2]=f[X>>2];f[Y+4>>2]=f[X+4>>2]}else{f[V>>2]=f[N>>2];f[R+(Q*48|0)+32>>2]=f[O>>2];f[N>>2]=P;f[O>>2]=y}f[g>>2]=1124007936;f[p>>2]=0;f[J>>2]=0;f[z>>2]=0;f[z+4>>2]=0;f[z+8>>2]=0;f[z+12>>2]=0}VH(g);Q=Q+1|0}while(Q>>>0<(((f[I>>2]|0)-(f[C>>2]|0)|0)/48|0)>>>0)}}}while(0);g=f[l>>2]|0;if(g|0){l=f[s>>2]|0;if((l|0)!=(g|0))f[s>>2]=l+(~((l+-8-g|0)>>>3)<<3);fuc(g)}if((b[d>>0]|0)<0)fuc(f[k>>2]|0);if(!(f[j+4>>2]|0)){u=e;return}u=e;return}function QMa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;d=u;u=u+112|0;e=d+16|0;g=d;h=d+96|0;i=d+80|0;j=d+24|0;gV(h,113056);f[i>>2]=0;k=i+4|0;f[k>>2]=0;f[i+8>>2]=0;l=c+4|0;m=f[c>>2]|0;if((f[l>>2]|0)==(m|0))n=a;else{o=i+8|0;p=0;q=m;do{zLa(g,f[a>>2]|0,q+(p*12|0)|0);m=f[k>>2]|0;if(m>>>0<(f[o>>2]|0)>>>0){r=g;s=f[r+4>>2]|0;t=m;f[t>>2]=f[r>>2];f[t+4>>2]=s;f[k>>2]=(f[k>>2]|0)+8}else xLa(i,g);p=p+1|0;q=f[c>>2]|0}while(p>>>0<(((f[l>>2]|0)-q|0)/12|0)>>>0);n=a}JLa(f[n>>2]|0,i);a=f[i>>2]|0;q=f[k>>2]|0;a:do if((a|0)!=(q|0)?(l=a+8|0,(l|0)!=(q|0)):0){p=a;c=l;l=f[a>>2]|0;while(1){o=p+4|0;s=p;t=c;while(1){r=f[t>>2]|0;if((l|0)<(r|0)){v=r;break}if((l|0)==(r|0)?(f[o>>2]|0)<(f[s+12>>2]|0):0){v=l;break}r=t+8|0;if((r|0)==(q|0)){w=p;break a}else{m=t;t=r;s=m}}c=t+8|0;if((c|0)==(q|0)){w=t;break}else{p=t;l=v}}}else w=a;while(0);a=f[w>>2]|0;w=f[n>>2]|0;v=w+24|0;q=f[v>>2]|0;if(!q){f[e>>2]=a;cE(g,410691,e);WD(-204,g,410728,408169,1149)}else{x=v;y=q}b:while(1){q=y;while(1){if((f[q+16>>2]|0)>=(a|0))break;l=f[q+4>>2]|0;if(!l){z=x;break b}else q=l}y=f[q>>2]|0;if(!y){z=q;break}else x=q}if((z|0)==(v|0)){f[e>>2]=a;cE(g,410691,e);WD(-204,g,410728,408169,1149)}if((f[z+16>>2]|0)>(a|0)){f[e>>2]=a;cE(g,410691,e);WD(-204,g,410728,408169,1149)}LLa(w,z+20|0,1);f[g>>2]=0;z=g+4|0;f[z>>2]=0;f[g+8>>2]=0;w=f[i>>2]|0;if((f[k>>2]|0)!=(w|0)){e=g+8|0;a=j+4|0;v=j+8|0;x=j+12|0;y=j+16|0;l=j+20|0;p=j+24|0;c=j+28|0;s=j+32|0;o=j+36|0;m=j+44|0;r=j+40|0;A=j+48|0;B=j+44|0;C=0;D=w;do{MLa(j,f[n>>2]|0,D+(C<<3)|0);w=f[z>>2]|0;if(w>>>0>=(f[e>>2]|0)>>>0){$Ia(g,j);E=f[o>>2]|0;if(E|0?(F=E+12|0,E=f[F>>2]|0,f[F>>2]=E+-1,(E|0)==1):0)aU(j)}else{f[w>>2]=f[j>>2];f[w+4>>2]=f[a>>2];E=w+8|0;f[E>>2]=f[v>>2];f[w+12>>2]=f[x>>2];f[w+16>>2]=f[y>>2];f[w+20>>2]=f[l>>2];f[w+24>>2]=f[p>>2];f[w+28>>2]=f[c>>2];f[w+32>>2]=f[s>>2];f[w+36>>2]=f[o>>2];F=w+40|0;f[F>>2]=E;E=w+44|0;G=w+48|0;f[E>>2]=G;H=w+52|0;f[H>>2]=0;f[G>>2]=0;if((f[a>>2]|0)<3){I=f[m>>2]|0;f[G>>2]=f[I>>2];f[H>>2]=f[I+4>>2]}else{f[E>>2]=f[m>>2];f[F>>2]=f[r>>2];f[m>>2]=A;f[r>>2]=v}f[j>>2]=1124007936;F=a;E=F+36|0;do{f[F>>2]=0;F=F+4|0}while((F|0)<(E|0));f[z>>2]=w+56}f[o>>2]=0;f[y>>2]=0;f[y+4>>2]=0;f[y+8>>2]=0;f[y+12>>2]=0;if((f[a>>2]|0)>0){F=f[r>>2]|0;E=0;do{f[F+(E<<2)>>2]=0;E=E+1|0}while((E|0)<(f[a>>2]|0))}E=f[B>>2]|0;if((E|0)!=(A|0))TC(E);C=C+1|0;D=f[i>>2]|0}while(C>>>0<(f[k>>2]|0)-D>>3>>>0)}D=f[b+4>>2]|0;if((D|0)!=(g|0))kMa(D,f[g>>2]|0,f[z>>2]|0);ut(g);g=f[i>>2]|0;if(g|0){i=f[k>>2]|0;if((i|0)!=(g|0))f[k>>2]=i+(~((i+-8-g|0)>>>3)<<3);fuc(g)}if(!(f[h+4>>2]|0)){u=d;return}u=d;return}function RMa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0;c=u;u=u+32|0;d=c+20|0;e=c+16|0;g=c+12|0;h=c+8|0;i=c;gV(i,113076);j=(f[f[a>>2]>>2]|0)+44|0;f[g>>2]=f[b>>2];f[h>>2]=f[b+4>>2];f[e>>2]=f[g>>2];f[d>>2]=f[h>>2];SMa(j,e,d);if(!(f[i+4>>2]|0)){u=c;return}u=c;return}function SMa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;e=f[c>>2]|0;c=f[d>>2]|0;d=(c-e|0)/12|0;g=a+8|0;h=f[g>>2]|0;i=f[a>>2]|0;j=e;e=i;k=c;if(d>>>0<=((h-i|0)/12|0)>>>0){l=a+4|0;m=((f[l>>2]|0)-i|0)/12|0;n=d>>>0>m>>>0;o=n?j+(m*12|0)|0:c;if((j|0)==(o|0))p=e;else{c=e;m=j;while(1){ruc(c,m)|0;m=m+12|0;q=c+12|0;if((m|0)==(o|0)){p=q;break}else c=q}}if(n){if((o|0)==(k|0))return;n=f[l>>2]|0;c=o;do{ouc(n,c);c=c+12|0;n=(f[l>>2]|0)+12|0;f[l>>2]=n}while((c|0)!=(k|0));return}c=f[l>>2]|0;if((c|0)==(p|0))return;else r=c;while(1){c=r+-12|0;f[l>>2]=c;if((b[c+11>>0]|0)<0){fuc(f[c>>2]|0);s=f[l>>2]|0}else s=c;if((s|0)==(p|0))break;else r=s}return}if(!i)t=h;else{h=a+4|0;s=f[h>>2]|0;if((s|0)==(e|0))u=i;else{i=s;while(1){s=i+-12|0;f[h>>2]=s;if((b[s+11>>0]|0)<0){fuc(f[s>>2]|0);v=f[h>>2]|0}else v=s;if((v|0)==(e|0))break;else i=v}u=f[a>>2]|0}fuc(u);f[g>>2]=0;f[h>>2]=0;f[a>>2]=0;t=0}if(d>>>0>357913941)nsc(a);h=(t|0)/12|0;t=h<<1;u=h>>>0<178956970?(t>>>0<d>>>0?d:t):357913941;if(u>>>0>357913941)nsc(a);t=cuc(u*12|0)|0;d=a+4|0;f[d>>2]=t;f[a>>2]=t;f[g>>2]=t+(u*12|0);if((j|0)==(k|0))return;u=t;t=j;do{ouc(u,t);t=t+12|0;u=(f[d>>2]|0)+12|0;f[d>>2]=u}while((t|0)!=(k|0));return}function TMa(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=+e;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0;h=u;u=u+176|0;i=h;j=h+152|0;k=h+136|0;l=h+80|0;m=h+72|0;n=h+64|0;o=h+8|0;gV(m,113096);q=n+4|0;f[q>>2]=-1;f[n>>2]=0;r=(f[a>>2]|0)+24|0;s=f[r>>2]|0;if(!s){f[i>>2]=0;cE(j,410691,i);WD(-204,j,410728,408169,1149)}else{t=r;v=s}a:while(1){s=v;while(1){if((f[s+16>>2]|0)>=0)break;w=f[s+4>>2]|0;if(!w){x=t;break a}else s=w}v=f[s>>2]|0;if(!v){x=s;break}else t=s}if((x|0)==(r|0)){f[i>>2]=0;cE(j,410691,i);WD(-204,j,410728,408169,1149)}if((f[x+16>>2]|0)>0){f[i>>2]=0;cE(j,410691,i);WD(-204,j,410728,408169,1149)}i=b[d+11>>0]|0;if((i<<24>>24<0?f[d+4>>2]|0:i&255)|0){ALa(j,x+20|0);x=f[j>>2]|0;i=Th[f[(f[x>>2]|0)+52>>2]&1023](x,d)|0;x=f[j+4>>2]|0;if(!x)y=i;else{Xtc(x);y=i}}else y=0;f[q>>2]=y;if((f[n>>2]|y|0)<0){nEa(k,415516,d);d=Duc(k,412018)|0;f[j>>2]=f[d>>2];f[j+4>>2]=f[d+4>>2];f[j+8>>2]=f[d+8>>2];f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;WD(-204,j,415533,408169,2679)}d=(f[a>>2]|0)+20|0;f[k>>2]=n;NLa(j,d,n,1169304,k,l);n=f[j>>2]|0;d=(f[q>>2]|0)+1|0;y=f[n+128>>2]|0;i=(d|0)<(y|0)?y:d;d=n+188|0;tJ(d,i);y=n+144|0;x=n+148|0;n=f[x>>2]|0;r=f[y>>2]|0;t=n-r>>3;v=r;r=n;if(i>>>0<=t>>>0){if(i>>>0<t>>>0?(n=v+(i<<3)|0,(r|0)!=(n|0)):0){v=r;while(1){r=v+-8|0;f[x>>2]=r;w=f[v+-4>>2]|0;if(!w)z=r;else{Xtc(w);z=f[x>>2]|0}if((z|0)==(n|0))break;else v=z}}}else zMa(y,i-t|0);tJ((f[f[a>>2]>>2]|0)+80|0,i);t=f[f[a>>2]>>2]|0;z=t+56|0;v=t+60|0;n=f[v>>2]|0;x=f[z>>2]|0;w=n-x>>3;r=x;x=n;if(i>>>0<=w>>>0)if(i>>>0<w>>>0?(n=r+(i<<3)|0,(x|0)!=(n|0)):0){f[v>>2]=x+(~((x+-8-n|0)>>>3)<<3);A=t}else A=t;else{Zfa(z,i-w|0);A=f[f[a>>2]>>2]|0}w=A+68|0;z=A+72|0;t=f[z>>2]|0;n=f[w>>2]|0;x=t-n>>5;v=n;n=t;if(i>>>0<=x>>>0)if(i>>>0<x>>>0?(t=v+(i<<5)|0,(n|0)!=(t|0)):0){f[z>>2]=n+(~((n+-32-t|0)>>>5)<<5);B=A}else B=A;else{UMa(w,i-x|0);B=f[f[a>>2]>>2]|0}x=f[q>>2]|0;i=f[B+80>>2]|0;B=f[i+(x*56|0)+4>>2]|0;w=f[i+(x*56|0)+40>>2]|0;f[k>>2]=0;x=k+4|0;f[x>>2]=0;f[k+8>>2]=0;KKa(k,w,w+(B<<2)|0);do if((qJ(c)|0)==65536){B=f[c+4>>2]|0;f[l>>2]=f[B>>2];w=l+4|0;i=B+4|0;f[w>>2]=f[i>>2];A=l+8|0;f[A>>2]=f[B+8>>2];f[l+12>>2]=f[B+12>>2];f[l+16>>2]=f[B+16>>2];f[l+20>>2]=f[B+20>>2];f[l+24>>2]=f[B+24>>2];f[l+28>>2]=f[B+28>>2];f[l+32>>2]=f[B+32>>2];t=f[B+36>>2]|0;f[l+36>>2]=t;n=l+40|0;f[n>>2]=A;A=l+48|0;z=l+44|0;f[z>>2]=A;f[A>>2]=0;f[l+52>>2]=0;if(t|0){A=t+12|0;f[A>>2]=(f[A>>2]|0)+1}if((f[i>>2]|0)<3){i=f[B+44>>2]|0;A=f[z>>2]|0;f[A>>2]=f[i>>2];f[A+4>>2]=f[i+4>>2];C=w;D=n;break}else{f[w>>2]=0;$T(l,B);C=w;D=n;break}}else{nJ(l,c,-1);C=l+4|0;D=l+40|0}while(0);c=f[C>>2]|0;n=f[D>>2]|0;f[j>>2]=0;w=j+4|0;f[w>>2]=0;f[j+8>>2]=0;KKa(j,n,n+(c<<2)|0);c=f[x>>2]|0;n=f[k>>2]|0;B=f[w>>2]|0;i=f[j>>2]|0;A=n;z=c;t=i;v=B;b:do if((c-n|0)==(B-i|0))if((A|0)==(z|0))E=1;else{r=A;F=t;while(1){if((f[r>>2]|0)!=(f[F>>2]|0)){E=0;break b}r=r+4|0;if((r|0)==(z|0)){E=1;break}else F=F+4|0}}else E=0;while(0);z=i;if(i|0){if((v|0)!=(t|0))f[w>>2]=v+(~((v+-4-i|0)>>>2)<<2);fuc(z)}if(!E){f[o>>2]=1124007936;z=o+4|0;i=o+8|0;v=o+40|0;w=z;t=w+36|0;do{f[w>>2]=0;w=w+4|0}while((w|0)<(t|0));f[v>>2]=i;A=o+48|0;B=o+44|0;f[B>>2]=A;f[A>>2]=0;f[o+52>>2]=0;n=j+8|0;f[n>>2]=0;f[n+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=o;EI(l,j);n=f[q>>2]|0;c=f[d>>2]|0;F=c+(n*56|0)|0;if((F|0)==(o|0)){r=o+36|0;s=f[r>>2]|0;if((s|0)!=0?(G=s+12|0,s=f[G>>2]|0,f[G>>2]=s+-1,(s|0)==1):0){aU(o);H=r}else H=r}else{r=c+(n*56|0)+36|0;s=f[r>>2]|0;if(s|0?(G=s+12|0,s=f[G>>2]|0,f[G>>2]=s+-1,(s|0)==1):0)aU(F);f[r>>2]=0;s=c+(n*56|0)+16|0;G=c+(n*56|0)+4|0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;if((f[G>>2]|0)>0){I=f[c+(n*56|0)+40>>2]|0;J=0;do{f[I+(J<<2)>>2]=0;J=J+1|0}while((J|0)<(f[G>>2]|0))}f[F>>2]=f[o>>2];f[G>>2]=f[z>>2];G=c+(n*56|0)+8|0;f[G>>2]=f[i>>2];f[c+(n*56|0)+12>>2]=f[o+12>>2];f[s>>2]=f[o+16>>2];f[c+(n*56|0)+20>>2]=f[o+20>>2];f[c+(n*56|0)+24>>2]=f[o+24>>2];f[c+(n*56|0)+28>>2]=f[o+28>>2];f[c+(n*56|0)+32>>2]=f[o+32>>2];s=o+36|0;f[r>>2]=f[s>>2];r=c+(n*56|0)+44|0;F=f[r>>2]|0;J=c+(n*56|0)+48|0;if((F|0)==(J|0))K=F;else{TC(F);f[r>>2]=J;f[c+(n*56|0)+40>>2]=G;K=J}J=o+44|0;if((f[z>>2]|0)<3){G=f[J>>2]|0;f[K>>2]=f[G>>2];f[K+4>>2]=f[G+4>>2]}else{f[r>>2]=f[J>>2];f[c+(n*56|0)+40>>2]=f[v>>2];f[J>>2]=A;f[v>>2]=i}f[o>>2]=1124007936;w=z;t=w+36|0;do{f[w>>2]=0;w=w+4|0}while((w|0)<(t|0));H=s}f[H>>2]=0;H=o+16|0;f[H>>2]=0;f[H+4>>2]=0;f[H+8>>2]=0;f[H+12>>2]=0;if((f[z>>2]|0)>0){H=f[v>>2]|0;v=0;do{f[H+(v<<2)>>2]=0;v=v+1|0}while((v|0)<(f[z>>2]|0))}z=f[B>>2]|0;if((z|0)!=(A|0))TC(z);z=f[q>>2]|0;A=f[d>>2]|0;d=A+(z*56|0)|0;B=f[(f[f[a>>2]>>2]|0)+80>>2]|0;v=B+(z*56|0)|0;if((B|0)!=(A|0)){H=A+(z*56|0)+36|0;o=f[H>>2]|0;if(o|0){s=o+12|0;f[s>>2]=(f[s>>2]|0)+1}s=B+(z*56|0)+36|0;o=f[s>>2]|0;do if(o|0){w=o+12|0;t=f[w>>2]|0;f[w>>2]=t+-1;if((t|0)!=1)break;aU(v)}while(0);f[s>>2]=0;o=B+(z*56|0)+16|0;t=B+(z*56|0)+4|0;f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;f[o+12>>2]=0;if((f[t>>2]|0)>0){w=f[B+(z*56|0)+40>>2]|0;i=0;do{f[w+(i<<2)>>2]=0;i=i+1|0;L=f[t>>2]|0}while((i|0)<(L|0));f[v>>2]=f[d>>2];if((L|0)<3)M=82;else M=84}else{f[v>>2]=f[d>>2];M=82}do if((M|0)==82){L=f[A+(z*56|0)+4>>2]|0;if((L|0)>=3){M=84;break}f[t>>2]=L;f[B+(z*56|0)+8>>2]=f[A+(z*56|0)+8>>2];f[B+(z*56|0)+12>>2]=f[A+(z*56|0)+12>>2];L=f[A+(z*56|0)+44>>2]|0;i=f[B+(z*56|0)+44>>2]|0;f[i>>2]=f[L>>2];f[i+4>>2]=f[L+4>>2]}while(0);if((M|0)==84)$T(v,d);f[o>>2]=f[A+(z*56|0)+16>>2];f[B+(z*56|0)+20>>2]=f[A+(z*56|0)+20>>2];f[B+(z*56|0)+24>>2]=f[A+(z*56|0)+24>>2];f[B+(z*56|0)+28>>2]=f[A+(z*56|0)+28>>2];f[B+(z*56|0)+32>>2]=f[A+(z*56|0)+32>>2];f[s>>2]=f[H>>2]}}else{H=(f[(f[f[a>>2]>>2]|0)+80>>2]|0)+((f[q>>2]|0)*56|0)|0;s=j+8|0;f[s>>2]=0;f[s+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=H;EI(l,j)}j=f[q>>2]|0;H=f[(f[y>>2]|0)+(j<<3)>>2]|0;if(!H)N=j;else{bi[f[(f[H>>2]|0)+12>>2]&2047](H);N=f[q>>2]|0}q=f[a>>2]|0;a=f[q>>2]|0;p[(f[a+56>>2]|0)+(N<<3)>>3]=e;H=f[a+68>>2]|0;p[H+(N<<5)>>3]=+p[g>>3];p[H+(N<<5)+8>>3]=+p[g+8>>3];p[H+(N<<5)+16>>3]=+p[g+16>>3];p[H+(N<<5)+24>>3]=+p[g+24>>3];g=q+120|0;b[g>>0]=E&(b[g>>0]|0)!=0&1;g=l+36|0;E=f[g>>2]|0;if(E|0?(q=E+12|0,E=f[q>>2]|0,f[q>>2]=E+-1,(E|0)==1):0)aU(l);f[g>>2]=0;g=l+16|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;if((f[C>>2]|0)>0){g=f[D>>2]|0;D=0;do{f[g+(D<<2)>>2]=0;D=D+1|0}while((D|0)<(f[C>>2]|0))}C=f[l+44>>2]|0;if((C|0)!=(l+48|0))TC(C);C=f[k>>2]|0;if(C|0){k=f[x>>2]|0;if((k|0)!=(C|0))f[x>>2]=k+(~((k+-4-C|0)>>>2)<<2);fuc(C)}if(!(f[m+4>>2]|0)){u=h;return}u=h;return}function UMa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(d-g>>5>>>0>=b>>>0){h=b;i=g;do{f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;f[i+16>>2]=0;f[i+20>>2]=0;f[i+24>>2]=0;f[i+28>>2]=0;i=(f[e>>2]|0)+32|0;f[e>>2]=i;h=h+-1|0}while((h|0)!=0);return}h=f[a>>2]|0;i=g-h>>5;g=i+b|0;if(g>>>0>134217727)nsc(a);j=d-h|0;h=j>>4;d=j>>5>>>0<67108863?(h>>>0<g>>>0?g:h):134217727;do if(d)if(d>>>0>134217727){h=ze(8)|0;kuc(h,519086);f[h>>2]=167148;Hf(h|0,26888,1888)}else{k=cuc(d<<5)|0;break}else k=0;while(0);h=k+(i<<5)|0;i=h;g=k+(d<<5)|0;d=b;b=h;k=i;do{f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;f[b+16>>2]=0;f[b+20>>2]=0;f[b+24>>2]=0;f[b+28>>2]=0;b=k+32|0;k=b;d=d+-1|0}while((d|0)!=0);d=g;g=f[a>>2]|0;b=f[e>>2]|0;if((b|0)==(g|0)){l=i;m=g}else{j=b;b=i;i=h;do{h=i+-32|0;n=j;j=j+-32|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;f[h+16>>2]=0;f[h+20>>2]=0;f[h+24>>2]=0;f[h+28>>2]=0;p[h>>3]=+p[j>>3];p[i+-24>>3]=+p[n+-24>>3];p[i+-16>>3]=+p[n+-16>>3];p[i+-8>>3]=+p[n+-8>>3];i=b+-32|0;b=i}while((j|0)!=(g|0));l=b;m=f[a>>2]|0}f[a>>2]=l;f[e>>2]=k;f[c>>2]=d;if(!m)return;fuc(m);return}function VMa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=u;u=u+16|0;d=c;f[a>>2]=0;e=a+4|0;f[e>>2]=0;f[a+8>>2]=0;g=f[b>>2]|0;h=f[g+20>>2]|0;if((h|0)==(g+24|0)){u=c;return}g=a+8|0;i=h;while(1){h=f[i+16>>2]|0;f[d>>2]=h;do if(!(f[i+128>>2]|0)){j=f[e>>2]|0;if((j|0)==(f[g>>2]|0)){es(a,d);break}else{f[j>>2]=h;f[e>>2]=j+4;break}}while(0);h=f[i+4>>2]|0;if(!h){j=i+8|0;k=f[j>>2]|0;if((f[k>>2]|0)==(i|0))l=k;else{k=j;do{j=f[k>>2]|0;k=j+8|0;m=f[k>>2]|0}while((f[m>>2]|0)!=(j|0));l=m}}else{k=h;while(1){m=f[k>>2]|0;if(!m)break;else k=m}l=k}if((l|0)==((f[b>>2]|0)+24|0))break;else i=l}u=c;return}function WMa(a){a=a|0;var b=0;LG(a);f[a>>2]=112036;b=a+4|0;a=b+40|0;do{f[b>>2]=0;b=b+4|0}while((b|0)<(a|0));return}function XMa(a,b){a=a|0;b=b|0;var c=0,d=0;c=b+12|0;d=a+4|0;if((d|0)!=(c|0))kMa(d,f[c>>2]|0,f[b+16>>2]|0);ruc(a+16|0,b+24|0)|0;ruc(a+28|0,b+36|0)|0;return}function YMa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=u;u=u+64|0;e=d+48|0;g=d+36|0;h=d+40|0;i=d+24|0;j=d;f[g>>2]=c;gV(h,113128);c=CLa()|0;$tc(c);ouc(i,a);a=i+11|0;k=b[a>>0]|0;l=k<<24>>24<0;m=f[i>>2]|0;n=l?m+(f[i+4>>2]|0)|0:i+(k&255)|0;k=l?m:i;if((k|0)!=(n|0)){m=k;do{k=(Uec(b[m>>0]|0)|0)&255;b[m>>0]=k;m=m+1|0}while((m|0)!=(n|0))}n=ELa(DLa()|0,i)|0;do if((n|0)!=((DLa()|0)+4|0)){m=n+32|0;k=f[m>>2]|0;l=f[g>>2]|0;if((f[k+-4>>2]|0)==(l|0)){nEa(j,410386,i);o=Duc(j,415638)|0;f[e>>2]=f[o>>2];f[e+4>>2]=f[o+4>>2];f[e+8>>2]=f[o+8>>2];f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;WD(-5,e,415663,408169,3360)}if((k|0)==(f[n+36>>2]|0)){ZMa(n+28|0,g);break}else{f[k>>2]=l;f[m>>2]=(f[m>>2]|0)+4;break}}while(0);n=DLa()|0;m=cuc(4)|0;f[m>>2]=f[g>>2];ouc(j,i);g=j+12|0;l=j+16|0;f[g>>2]=m;f[l>>2]=m+4;k=j+20|0;f[k>>2]=m+4;m=_Ma(n,e,j)|0;if(!(f[m>>2]|0)){o=cuc(40)|0;p=o+16|0;f[p>>2]=f[j>>2];f[p+4>>2]=f[j+4>>2];f[p+8>>2]=f[j+8>>2];f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[o+28>>2]=f[g>>2];f[o+32>>2]=f[l>>2];f[o+36>>2]=f[k>>2];f[k>>2]=0;f[l>>2]=0;f[g>>2]=0;g=f[e>>2]|0;f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=g;f[m>>2]=o;g=f[f[n>>2]>>2]|0;if(!g)q=o;else{f[n>>2]=g;q=f[m>>2]|0}jI(f[n+4>>2]|0,q);q=n+8|0;f[q>>2]=(f[q>>2]|0)+1}q=f[j+12>>2]|0;if(q|0){n=f[l>>2]|0;if((n|0)!=(q|0))f[l>>2]=n+(~((n+-4-q|0)>>>2)<<2);fuc(q)}if((b[j+11>>0]|0)<0)fuc(f[j>>2]|0);if((b[a>>0]|0)<0)fuc(f[i>>2]|0);auc(c);if(!(f[h+4>>2]|0)){u=d;return}u=d;return}function ZMa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+4|0;d=f[a>>2]|0;e=(f[c>>2]|0)-d|0;g=e>>2;h=g+1|0;if(h>>>0>1073741823)nsc(a);i=a+8|0;j=(f[i>>2]|0)-d|0;k=j>>1;l=j>>2>>>0<536870911?(k>>>0<h>>>0?h:k):1073741823;do if(l)if(l>>>0>1073741823){k=ze(8)|0;kuc(k,519086);f[k>>2]=167148;Hf(k|0,26888,1888)}else{m=cuc(l<<2)|0;break}else m=0;while(0);k=m+(g<<2)|0;f[k>>2]=f[b>>2];b=k+(0-g<<2)|0;if((e|0)>0)szc(b|0,d|0,e|0)|0;f[a>>2]=b;f[c>>2]=k+4;f[i>>2]=m+(l<<2);if(!d)return;fuc(d);return}function _Ma(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;e=a+4|0;g=f[e>>2]|0;if(!g){f[c>>2]=e;h=e;return h|0}e=b[d+11>>0]|0;i=e<<24>>24<0;j=i?f[d+4>>2]|0:e&255;e=i?f[d>>2]|0:d;d=a+4|0;a=g;while(1){g=a+16|0;i=b[g+11>>0]|0;k=i<<24>>24<0;l=k?f[a+20>>2]|0:i&255;i=l>>>0<j>>>0;m=i?l:j;if((m|0)!=0?(n=ahc(e,k?f[g>>2]|0:g,m)|0,(n|0)!=0):0)if((n|0)<0)o=8;else o=10;else if(j>>>0<l>>>0)o=8;else o=10;if((o|0)==8){o=0;n=f[a>>2]|0;if(!n){o=9;break}else{p=a;q=n}}else if((o|0)==10){o=0;n=j>>>0<l>>>0?j:l;if((n|0)!=0?(l=ahc(k?f[g>>2]|0:g,e,n)|0,(l|0)!=0):0){if((l|0)>=0){o=16;break}}else o=12;if((o|0)==12?(o=0,!i):0){o=16;break}r=a+4|0;i=f[r>>2]|0;if(!i){o=15;break}else{p=r;q=i}}d=p;a=q}if((o|0)==9){f[c>>2]=a;h=a;return h|0}else if((o|0)==15){f[c>>2]=a;h=r;return h|0}else if((o|0)==16){f[c>>2]=a;h=d;return h|0}return 0}function $Ma(a,b){a=a|0;b=b|0;return}function aNa(){return 0}function bNa(){var a=0,b=0;a=f[224732]|0;if(a|0){b=a;f[224731]=b;return}a=cuc(28)|0;Ztc(a);f[224732]=a;b=a;f[224731]=b;return}function cNa(){var a=0,b=0;a=f[224732]|0;if(a|0){b=a;return b|0}a=cuc(28)|0;Ztc(a);f[224732]=a;b=a;return b|0}function dNa(){var a=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0;a=u;u=u+32|0;c=a+16|0;d=a;gV(c,113160);if((b[535800]|0)==0?$yc(535800)|0:0){b[1169305]=1;Bd(1973,1169305,x|0)|0};f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;e=d+11|0;b[e>>0]=5;b[d>>0]=b[415771]|0;b[d+1>>0]=b[415772]|0;b[d+2>>0]=b[415773]|0;b[d+3>>0]=b[415774]|0;b[d+4>>0]=b[415775]|0;b[d+5>>0]=0;YMa(d,1081);if((b[e>>0]|0)<0)fuc(f[d>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;e=d+11|0;b[e>>0]=5;b[d>>0]=b[415777]|0;b[d+1>>0]=b[415778]|0;b[d+2>>0]=b[415779]|0;b[d+3>>0]=b[415780]|0;b[d+4>>0]=b[415781]|0;b[d+5>>0]=0;YMa(d,1082);if((b[e>>0]|0)<0)fuc(f[d>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;e=d+11|0;b[e>>0]=6;b[d>>0]=b[445316]|0;b[d+1>>0]=b[445317]|0;b[d+2>>0]=b[445318]|0;b[d+3>>0]=b[445319]|0;b[d+4>>0]=b[445320]|0;b[d+5>>0]=b[445321]|0;b[d+6>>0]=0;YMa(d,1083);if((b[e>>0]|0)<0)fuc(f[d>>2]|0);f[d+8>>2]=0;e=d+11|0;b[e>>0]=7;b[d>>0]=b[415783]|0;b[d+1>>0]=b[415784]|0;b[d+2>>0]=b[415785]|0;b[d+3>>0]=b[415786]|0;b[d+4>>0]=b[415787]|0;b[d+5>>0]=b[415788]|0;b[d+6>>0]=b[415789]|0;b[d+7>>0]=0;YMa(d,1084);if((b[e>>0]|0)<0)fuc(f[d>>2]|0);f[d+8>>2]=0;e=d+11|0;b[e>>0]=7;b[d>>0]=b[415791]|0;b[d+1>>0]=b[415792]|0;b[d+2>>0]=b[415793]|0;b[d+3>>0]=b[415794]|0;b[d+4>>0]=b[415795]|0;b[d+5>>0]=b[415796]|0;b[d+6>>0]=b[415797]|0;b[d+7>>0]=0;YMa(d,1085);if((b[e>>0]|0)<0)fuc(f[d>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;e=d+11|0;b[e>>0]=6;b[d>>0]=b[445179]|0;b[d+1>>0]=b[445180]|0;b[d+2>>0]=b[445181]|0;b[d+3>>0]=b[445182]|0;b[d+4>>0]=b[445183]|0;b[d+5>>0]=b[445184]|0;b[d+6>>0]=0;YMa(d,1086);if((b[e>>0]|0)<0)fuc(f[d>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;e=d+11|0;b[e>>0]=6;b[d>>0]=b[415799]|0;b[d+1>>0]=b[415800]|0;b[d+2>>0]=b[415801]|0;b[d+3>>0]=b[415802]|0;b[d+4>>0]=b[415803]|0;b[d+5>>0]=b[415804]|0;b[d+6>>0]=0;YMa(d,1087);if((b[e>>0]|0)<0)fuc(f[d>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;e=cuc(16)|0;f[d>>2]=e;f[d+8>>2]=-2147483632;f[d+4>>2]=13;g=e;h=415806;i=g+13|0;do{b[g>>0]=b[h>>0]|0;g=g+1|0;h=h+1|0}while((g|0)<(i|0));b[e+13>>0]=0;YMa(d,1088);if((b[d+11>>0]|0)<0)fuc(f[d>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;e=cuc(16)|0;f[d>>2]=e;f[d+8>>2]=-2147483632;f[d+4>>2]=11;g=e;h=445519;i=g+11|0;do{b[g>>0]=b[h>>0]|0;g=g+1|0;h=h+1|0}while((g|0)<(i|0));b[e+11>>0]=0;YMa(d,1089);if((b[d+11>>0]|0)<0)fuc(f[d>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;e=cuc(16)|0;f[d>>2]=e;f[d+8>>2]=-2147483632;f[d+4>>2]=13;g=e;h=415820;i=g+13|0;do{b[g>>0]=b[h>>0]|0;g=g+1|0;h=h+1|0}while((g|0)<(i|0));b[e+13>>0]=0;YMa(d,1090);if((b[d+11>>0]|0)<0)fuc(f[d>>2]|0);f[d+8>>2]=0;e=d+11|0;b[e>>0]=7;b[d>>0]=b[445413]|0;b[d+1>>0]=b[445414]|0;b[d+2>>0]=b[445415]|0;b[d+3>>0]=b[445416]|0;b[d+4>>0]=b[445417]|0;b[d+5>>0]=b[445418]|0;b[d+6>>0]=b[445419]|0;b[d+7>>0]=0;YMa(d,1091);if((b[e>>0]|0)<0)fuc(f[d>>2]|0);e=d+11|0;b[e>>0]=10;g=d;h=415834;i=g+10|0;do{b[g>>0]=b[h>>0]|0;g=g+1|0;h=h+1|0}while((g|0)<(i|0));b[d+10>>0]=0;YMa(d,1091);if((b[e>>0]|0)<0)fuc(f[d>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;e=cuc(16)|0;f[d>>2]=e;f[d+8>>2]=-2147483632;f[d+4>>2]=12;g=e;h=415845;i=g+12|0;do{b[g>>0]=b[h>>0]|0;g=g+1|0;h=h+1|0}while((g|0)<(i|0));b[e+12>>0]=0;YMa(d,1091);if((b[d+11>>0]|0)<0)fuc(f[d>>2]|0);e=d+4|0;f[e>>2]=0;f[e+4>>2]=0;e=d+11|0;b[e>>0]=3;b[d>>0]=b[415858]|0;b[d+1>>0]=b[415859]|0;b[d+2>>0]=b[415860]|0;b[d+3>>0]=0;YMa(d,1092);if((b[e>>0]|0)<0)fuc(f[d>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;e=cuc(16)|0;f[d>>2]=e;f[d+8>>2]=-2147483632;f[d+4>>2]=12;g=e;h=415862;i=g+12|0;do{b[g>>0]=b[h>>0]|0;g=g+1|0;h=h+1|0}while((g|0)<(i|0));b[e+12>>0]=0;YMa(d,1093);if((b[d+11>>0]|0)<0)fuc(f[d>>2]|0);f[d+8>>2]=0;e=d+11|0;b[e>>0]=7;b[d>>0]=b[445381]|0;b[d+1>>0]=b[445382]|0;b[d+2>>0]=b[445383]|0;b[d+3>>0]=b[445384]|0;b[d+4>>0]=b[445385]|0;b[d+5>>0]=b[445386]|0;b[d+6>>0]=b[445387]|0;b[d+7>>0]=0;YMa(d,1094);if((b[e>>0]|0)<0)fuc(f[d>>2]|0);e=d+4|0;f[e>>2]=0;f[e+4>>2]=0;e=d+11|0;b[e>>0]=3;b[d>>0]=b[415875]|0;b[d+1>>0]=b[415876]|0;b[d+2>>0]=b[415877]|0;b[d+3>>0]=0;YMa(d,1095);if((b[e>>0]|0)<0)fuc(f[d>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;e=d+11|0;b[e>>0]=4;f[d>>2]=1431070034;b[d+4>>0]=0;YMa(d,1096);if((b[e>>0]|0)<0)fuc(f[d>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;e=d+11|0;b[e>>0]=5;b[d>>0]=b[415879]|0;b[d+1>>0]=b[415880]|0;b[d+2>>0]=b[415881]|0;b[d+3>>0]=b[415882]|0;b[d+4>>0]=b[415883]|0;b[d+5>>0]=0;YMa(d,1097);if((b[e>>0]|0)<0)fuc(f[d>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;e=cuc(16)|0;f[d>>2]=e;f[d+8>>2]=-2147483632;f[d+4>>2]=13;g=e;h=415885;i=g+13|0;do{b[g>>0]=b[h>>0]|0;g=g+1|0;h=h+1|0}while((g|0)<(i|0));b[e+13>>0]=0;YMa(d,1098);if((b[d+11>>0]|0)<0)fuc(f[d>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;e=d+11|0;b[e>>0]=5;b[d>>0]=b[415899]|0;b[d+1>>0]=b[415900]|0;b[d+2>>0]=b[415901]|0;b[d+3>>0]=b[415902]|0;b[d+4>>0]=b[415903]|0;b[d+5>>0]=0;YMa(d,1098);if((b[e>>0]|0)<0)fuc(f[d>>2]|0);f[d+8>>2]=0;e=d+11|0;b[e>>0]=7;b[d>>0]=b[415905]|0;b[d+1>>0]=b[415906]|0;b[d+2>>0]=b[415907]|0;b[d+3>>0]=b[415908]|0;b[d+4>>0]=b[415909]|0;b[d+5>>0]=b[415910]|0;b[d+6>>0]=b[415911]|0;b[d+7>>0]=0;YMa(d,1099);if((b[e>>0]|0)<0)fuc(f[d>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;e=d+11|0;b[e>>0]=4;f[d>>2]=1215193428;b[d+4>>0]=0;YMa(d,1100);if((b[e>>0]|0)<0)fuc(f[d>>2]|0);e=d+4|0;f[e>>2]=0;f[e+4>>2]=0;e=d+11|0;b[e>>0]=3;b[d>>0]=b[415913]|0;b[d+1>>0]=b[415914]|0;b[d+2>>0]=b[415915]|0;b[d+3>>0]=0;YMa(d,1101);if((b[e>>0]|0)<0)fuc(f[d>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;e=d+11|0;b[e>>0]=4;f[d>>2]=1280069186;b[d+4>>0]=0;YMa(d,1102);if((b[e>>0]|0)<0)fuc(f[d>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;e=d+11|0;b[e>>0]=6;b[d>>0]=b[415917]|0;b[d+1>>0]=b[415918]|0;b[d+2>>0]=b[415919]|0;b[d+3>>0]=b[415920]|0;b[d+4>>0]=b[415921]|0;b[d+5>>0]=b[415922]|0;b[d+6>>0]=0;YMa(d,1103);if((b[e>>0]|0)<0)fuc(f[d>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;e=d+11|0;b[e>>0]=5;b[d>>0]=b[458405]|0;b[d+1>>0]=b[458406]|0;b[d+2>>0]=b[458407]|0;b[d+3>>0]=b[458408]|0;b[d+4>>0]=b[458409]|0;b[d+5>>0]=0;YMa(d,1104);if((b[e>>0]|0)<0)fuc(f[d>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;e=d+11|0;b[e>>0]=9;g=d;h=445463;i=g+9|0;do{b[g>>0]=b[h>>0]|0;g=g+1|0;h=h+1|0}while((g|0)<(i|0));b[d+9>>0]=0;YMa(d,1105);if((b[e>>0]|0)<0)fuc(f[d>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;e=d+11|0;b[e>>0]=9;g=d;h=415924;i=g+9|0;do{b[g>>0]=b[h>>0]|0;g=g+1|0;h=h+1|0}while((g|0)<(i|0));b[d+9>>0]=0;YMa(d,1106);if((b[e>>0]|0)<0)fuc(f[d>>2]|0);f[d+8>>2]=0;e=d+11|0;b[e>>0]=7;b[d>>0]=b[415934]|0;b[d+1>>0]=b[415935]|0;b[d+2>>0]=b[415936]|0;b[d+3>>0]=b[415937]|0;b[d+4>>0]=b[415938]|0;b[d+5>>0]=b[415939]|0;b[d+6>>0]=b[415940]|0;b[d+7>>0]=0;YMa(d,1107);if((b[e>>0]|0)<0)fuc(f[d>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;e=d+11|0;b[e>>0]=8;j=d;f[j>>2]=1852138569;f[j+4>>2]=2037672308;b[d+8>>0]=0;YMa(d,1107);if((b[e>>0]|0)<0)fuc(f[d>>2]|0);f[d+8>>2]=0;e=d+11|0;b[e>>0]=7;b[d>>0]=b[415942]|0;b[d+1>>0]=b[415943]|0;b[d+2>>0]=b[415944]|0;b[d+3>>0]=b[415945]|0;b[d+4>>0]=b[415946]|0;b[d+5>>0]=b[415947]|0;b[d+6>>0]=b[415948]|0;b[d+7>>0]=0;YMa(d,1107);if((b[e>>0]|0)<0)fuc(f[d>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;e=d+11|0;b[e>>0]=4;f[d>>2]=1886351939;b[d+4>>0]=0;YMa(d,1108);if((b[e>>0]|0)<0)fuc(f[d>>2]|0);f[d+8>>2]=0;e=d+11|0;b[e>>0]=7;b[d>>0]=b[445212]|0;b[d+1>>0]=b[445213]|0;b[d+2>>0]=b[445214]|0;b[d+3>>0]=b[445215]|0;b[d+4>>0]=b[445216]|0;b[d+5>>0]=b[445217]|0;b[d+6>>0]=b[445218]|0;b[d+7>>0]=0;YMa(d,1109);if((b[e>>0]|0)<0)fuc(f[d>>2]|0);f[d+8>>2]=0;e=d+11|0;b[e>>0]=7;b[d>>0]=b[445259]|0;b[d+1>>0]=b[445260]|0;b[d+2>>0]=b[445261]|0;b[d+3>>0]=b[445262]|0;b[d+4>>0]=b[445263]|0;b[d+5>>0]=b[445264]|0;b[d+6>>0]=b[445265]|0;b[d+7>>0]=0;YMa(d,1110);if((b[e>>0]|0)<0)fuc(f[d>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;e=cuc(16)|0;f[d>>2]=e;f[d+8>>2]=-2147483632;f[d+4>>2]=14;g=e;h=415950;i=g+14|0;do{b[g>>0]=b[h>>0]|0;g=g+1|0;h=h+1|0}while((g|0)<(i|0));b[e+14>>0]=0;YMa(d,1111);if((b[d+11>>0]|0)<0)fuc(f[d>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;e=d+11|0;b[e>>0]=8;j=d;f[j>>2]=1869181520;f[j+4>>2]=2020557426;b[d+8>>0]=0;YMa(d,1112);if((b[e>>0]|0)<0)fuc(f[d>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;e=cuc(32)|0;f[d>>2]=e;f[d+8>>2]=-2147483616;f[d+4>>2]=17;g=e;h=415965;i=g+17|0;do{b[g>>0]=b[h>>0]|0;g=g+1|0;h=h+1|0}while((g|0)<(i|0));b[e+17>>0]=0;YMa(d,1112);if((b[d+11>>0]|0)<0)fuc(f[d>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;e=d+11|0;b[e>>0]=5;b[d>>0]=b[445289]|0;b[d+1>>0]=b[445290]|0;b[d+2>>0]=b[445291]|0;b[d+3>>0]=b[445292]|0;b[d+4>>0]=b[445293]|0;b[d+5>>0]=0;YMa(d,1113);if((b[e>>0]|0)<0)fuc(f[d>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;e=d+11|0;b[e>>0]=6;b[d>>0]=b[445150]|0;b[d+1>>0]=b[445151]|0;b[d+2>>0]=b[445152]|0;b[d+3>>0]=b[445153]|0;b[d+4>>0]=b[445154]|0;b[d+5>>0]=b[445155]|0;b[d+6>>0]=0;YMa(d,1114);if((b[e>>0]|0)<0)fuc(f[d>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;e=cuc(16)|0;f[d>>2]=e;f[d+8>>2]=-2147483632;f[d+4>>2]=15;g=e;h=467440;i=g+15|0;do{b[g>>0]=b[h>>0]|0;g=g+1|0;h=h+1|0}while((g|0)<(i|0));b[e+15>>0]=0;YMa(d,1115);if((b[d+11>>0]|0)<0)fuc(f[d>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;e=cuc(16)|0;f[d>>2]=e;f[d+8>>2]=-2147483632;f[d+4>>2]=13;g=e;h=415983;i=g+13|0;do{b[g>>0]=b[h>>0]|0;g=g+1|0;h=h+1|0}while((g|0)<(i|0));b[e+13>>0]=0;YMa(d,1116);if((b[d+11>>0]|0)<0)fuc(f[d>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;e=d+11|0;b[e>>0]=9;g=d;h=415997;i=g+9|0;do{b[g>>0]=b[h>>0]|0;g=g+1|0;h=h+1|0}while((g|0)<(i|0));b[d+9>>0]=0;YMa(d,1116);if((b[e>>0]|0)<0)fuc(f[d>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;e=d+11|0;b[e>>0]=5;b[d>>0]=b[416007]|0;b[d+1>>0]=b[416008]|0;b[d+2>>0]=b[416009]|0;b[d+3>>0]=b[416010]|0;b[d+4>>0]=b[416011]|0;b[d+5>>0]=0;YMa(d,1117);if((b[e>>0]|0)<0)fuc(f[d>>2]|0);f[d+8>>2]=0;e=d+11|0;b[e>>0]=7;b[d>>0]=b[416013]|0;b[d+1>>0]=b[416014]|0;b[d+2>>0]=b[416015]|0;b[d+3>>0]=b[416016]|0;b[d+4>>0]=b[416017]|0;b[d+5>>0]=b[416018]|0;b[d+6>>0]=b[416019]|0;b[d+7>>0]=0;YMa(d,1118);if((b[e>>0]|0)<0)fuc(f[d>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;e=d+11|0;b[e>>0]=8;h=d;f[h>>2]=1886351952;f[h+4>>2]=1818325871;b[d+8>>0]=0;YMa(d,1119);if((b[e>>0]|0)<0)fuc(f[d>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;e=d+11|0;b[e>>0]=5;b[d>>0]=b[466801]|0;b[d+1>>0]=b[466802]|0;b[d+2>>0]=b[466803]|0;b[d+3>>0]=b[466804]|0;b[d+4>>0]=b[466805]|0;b[d+5>>0]=0;YMa(d,1120);if((b[e>>0]|0)<0)fuc(f[d>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;e=d+11|0;b[e>>0]=4;f[d>>2]=1297371980;b[d+4>>0]=0;YMa(d,1121);if((b[e>>0]|0)<0)fuc(f[d>>2]|0);if(!(f[c+4>>2]|0)){u=a;return}u=a;return}function eNa(a){a=a|0;b[a>>0]=0;sLb();return}function fNa(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+16|0;d=c;ntb(d,b);f[a>>2]=f[d>>2];f[a+4>>2]=f[d+4>>2];u=c;return}function gNa(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+16|0;d=c;Tvb(d,b);f[a>>2]=f[d>>2];f[a+4>>2]=f[d+4>>2];u=c;return}function hNa(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+16|0;d=c;Umb(d,b);f[a>>2]=f[d>>2];f[a+4>>2]=f[d+4>>2];u=c;return}function iNa(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+16|0;d=c;ypb(d,b);f[a>>2]=f[d>>2];f[a+4>>2]=f[d+4>>2];u=c;return}function jNa(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+16|0;d=c;uob(d,b);f[a>>2]=f[d>>2];f[a+4>>2]=f[d+4>>2];u=c;return}function kNa(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+16|0;d=c;jnb(d,b);f[a>>2]=f[d>>2];f[a+4>>2]=f[d+4>>2];u=c;return}function lNa(a,b){a=a|0;b=b|0;wnb(a,b);return}function mNa(a,b){a=a|0;b=b|0;Lmb(a,b);return}function nNa(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+16|0;d=c;nub(d,b);f[a>>2]=f[d>>2];f[a+4>>2]=f[d+4>>2];u=c;return}function oNa(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+16|0;d=c;Qub(d,b);f[a>>2]=f[d>>2];f[a+4>>2]=f[d+4>>2];u=c;return}function pNa(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+16|0;d=c;Kqb(d,b);f[a>>2]=f[d>>2];f[a+4>>2]=f[d+4>>2];u=c;return}function qNa(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+16|0;d=c;Lpb(d,b);f[a>>2]=f[d>>2];f[a+4>>2]=f[d+4>>2];u=c;return}function rNa(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+16|0;d=c;smb(d,b);f[a>>2]=f[d>>2];f[a+4>>2]=f[d+4>>2];u=c;return}function sNa(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+16|0;d=c;Rnb(d,b);f[a>>2]=f[d>>2];f[a+4>>2]=f[d+4>>2];u=c;return}function tNa(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+16|0;d=c;wqb(d,b);f[a>>2]=f[d>>2];f[a+4>>2]=f[d+4>>2];u=c;return}function uNa(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+16|0;d=c;Wib(d,b);f[a>>2]=f[d>>2];f[a+4>>2]=f[d+4>>2];u=c;return}function vNa(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+16|0;d=c;mjb(d,b);f[a>>2]=f[d>>2];f[a+4>>2]=f[d+4>>2];u=c;return}function wNa(a,b){a=a|0;b=b|0;Glb(a,b);return}function xNa(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+16|0;d=c;Wjb(d,b);f[a>>2]=f[d>>2];f[a+4>>2]=f[d+4>>2];u=c;return}function yNa(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+16|0;d=c;Ejb(d,b);f[a>>2]=f[d>>2];f[a+4>>2]=f[d+4>>2];u=c;return}function zNa(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+16|0;d=c;mkb(d,b);f[a>>2]=f[d>>2];f[a+4>>2]=f[d+4>>2];u=c;return}function ANa(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+16|0;d=c;Wkb(d,b);f[a>>2]=f[d>>2];f[a+4>>2]=f[d+4>>2];u=c;return}function BNa(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+16|0;d=c;Ekb(d,b);f[a>>2]=f[d>>2];f[a+4>>2]=f[d+4>>2];u=c;return}function CNa(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+16|0;d=c;mlb(d,b);f[a>>2]=f[d>>2];f[a+4>>2]=f[d+4>>2];u=c;return}function DNa(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+16|0;d=c;irb(d,b);f[a>>2]=f[d>>2];f[a+4>>2]=f[d+4>>2];u=c;return}function ENa(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+16|0;d=c;_ob(d,b);f[a>>2]=f[d>>2];f[a+4>>2]=f[d+4>>2];u=c;return}function FNa(a,b){a=a|0;b=b|0;Qob(a,b);return}function GNa(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+16|0;d=c;Evb(d,b);f[a>>2]=f[d>>2];f[a+4>>2]=f[d+4>>2];u=c;return}function HNa(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+16|0;d=c;cob(d,b);f[a>>2]=f[d>>2];f[a+4>>2]=f[d+4>>2];u=c;return}function INa(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+16|0;d=c;Ytb(d,b);f[a>>2]=f[d>>2];f[a+4>>2]=f[d+4>>2];u=c;return}function JNa(a,b){a=a|0;b=b|0;Gnb(a,b);return}function KNa(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+16|0;d=c;cqb(d,b);f[a>>2]=f[d>>2];f[a+4>>2]=f[d+4>>2];u=c;return}function LNa(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+16|0;d=c;jpb(d,b);f[a>>2]=f[d>>2];f[a+4>>2]=f[d+4>>2];u=c;return}function MNa(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+16|0;d=c;Fob(d,b);f[a>>2]=f[d>>2];f[a+4>>2]=f[d+4>>2];u=c;return}function NNa(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+16|0;d=c;ksb(d,b);f[a>>2]=f[d>>2];f[a+4>>2]=f[d+4>>2];u=c;return}function ONa(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+16|0;d=c;Arb(d,b);f[a>>2]=f[d>>2];f[a+4>>2]=f[d+4>>2];u=c;return}function PNa(a,b){a=a|0;b=b|0;asb(a,b);return}function QNa(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+16|0;d=c;Htb(d,b);f[a>>2]=f[d>>2];f[a+4>>2]=f[d+4>>2];u=c;return}function RNa(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+16|0;d=c;bmb(d,b);f[a>>2]=f[d>>2];f[a+4>>2]=f[d+4>>2];u=c;return}function SNa(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+16|0;d=c;Mrb(d,b);f[a>>2]=f[d>>2];f[a+4>>2]=f[d+4>>2];u=c;return}function TNa(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+16|0;d=c;kvb(d,b);f[a>>2]=f[d>>2];f[a+4>>2]=f[d+4>>2];u=c;return}function UNa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;f[a>>2]=113364;c=a+116|0;d=f[c>>2]|0;if(d|0?(f[a+104>>2]|0)==0:0){e=f[d>>2]|0;if((e|0)>0){g=0;do{h=f[d+4+(g<<2)>>2]|0;if(h|0)bi[f[(f[h>>2]|0)+4>>2]&2047](h);g=g+1|0}while((g|0)!=(e|0));i=f[c>>2]|0}else i=d;fuc(i)}f[c>>2]=0;c=a+100|0;i=f[c>>2]|0;if(i|0?(f[a+88>>2]|0)==0:0){d=f[i>>2]|0;if((d|0)>0){e=0;do{g=f[i+4+(e<<2)>>2]|0;if(g|0)bi[f[(f[g>>2]|0)+4>>2]&2047](g);e=e+1|0}while((e|0)!=(d|0));j=f[c>>2]|0}else j=i;fuc(j)}f[c>>2]=0;c=f[a+80>>2]|0;if(c|0?(f[c>>2]|0)==0:0)fuc(c);c=f[a+64>>2]|0;if(c|0?(f[c>>2]|0)==0:0)fuc(c);c=f[a+48>>2]|0;if(c|0?(f[c>>2]|0)==0:0)fuc(c);c=f[a+32>>2]|0;if(c|0?(f[c>>2]|0)==0:0)fuc(c);c=a+20|0;j=f[c>>2]|0;if(j|0?(f[a+8>>2]|0)==0:0){i=f[j>>2]|0;if((i|0)>0){d=0;do{e=f[j+4+(d<<2)>>2]|0;if(e|0){if((b[e+11>>0]|0)<0)fuc(f[e>>2]|0);fuc(e)}d=d+1|0}while((d|0)!=(i|0));k=f[c>>2]|0}else k=j;fuc(k)}f[c>>2]=0;c=a+4|0;a=f[c>>2]|0;if(!(a&1)){f[c>>2]=0;return}k=a&-2;a=k;if((k|0)==0|(f[a+4>>2]|0)!=0){f[c>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(k);f[c>>2]=0;return}function VNa(a){a=a|0;UNa(a);fuc(a);return}function WNa(a){a=a|0;a=cuc(124)|0;dPa(a);return a|0}function XNa(a,b){a=a|0;b=b|0;var c=0;if(!b){a=cuc(124)|0;dPa(a);c=a;return c|0}if(f[b+64>>2]|0)HIb(b,19240,128);a=FIb(b,128)|0;ePa(a,b);c=a;return c|0}function YNa(a){a=a|0;var b=0,c=0;b=f[a+4>>2]|0;a=b&-2;if(!(b&1)){c=a;return c|0}else{c=f[a+4>>2]|0;return c|0}return 0}function ZNa(a){a=a|0;return f[a+4>>2]|0}function _Na(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0;c=a+12|0;d=f[c>>2]|0;if((d|0)>0){e=f[a+20>>2]|0;g=0;do{h=f[e+4+(g<<2)>>2]|0;g=g+1|0;i=h+11|0;if((b[i>>0]|0)<0){b[f[h>>2]>>0]=0;f[h+4>>2]=0}else{b[h>>0]=0;b[i>>0]=0}}while((g|0)!=(d|0));f[c>>2]=0}f[a+24>>2]=0;f[a+40>>2]=0;f[a+56>>2]=0;f[a+72>>2]=0;c=a+92|0;d=f[c>>2]|0;if((d|0)>0){g=f[a+100>>2]|0;e=0;do{TTa(f[g+4+(e<<2)>>2]|0);e=e+1|0}while((e|0)!=(d|0));f[c>>2]=0}c=a+108|0;d=f[c>>2]|0;if((d|0)>0){e=f[a+116>>2]|0;g=0;do{_Qa(f[e+4+(g<<2)>>2]|0);g=g+1|0}while((g|0)!=(d|0));f[c>>2]=0}c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;ebc(a);return}function $Na(a){a=a|0;return 1}function aOa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0;d=u;u=u+16|0;e=d;g=c+4|0;i=a+8|0;j=a+24|0;k=a+28|0;l=a+32|0;m=e+8|0;n=a+40|0;o=a+44|0;p=a+48|0;q=a+56|0;r=a+60|0;s=a+64|0;t=e+8|0;v=a+72|0;w=a+76|0;x=a+80|0;y=a+88|0;z=a+100|0;A=a+96|0;B=a+92|0;C=e+4|0;D=a+104|0;E=a+116|0;F=a+112|0;G=a+108|0;H=e+4|0;I=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){K=b[a>>0]|0;L=K&255;if(K<<24>>24>0){f[c>>2]=a+1;M=L;N=6}else{O=L;N=5}}else{O=0;N=5}if((N|0)==5){N=0;L=OJb(c,O)|0;if((L+-1|0)>>>0<127){M=L;N=6}else P=L}b:do if((N|0)==6){N=0;switch(M>>>3&536870911|0){case 2:{if((M&255|0)!=18){P=M;break b}if($Lb(c,MEa(i)|0)|0)continue a;else{Q=0;N=130;break a}break}case 3:{switch((M&255)<<24>>24){case 26:break;case 24:{if(HQa(1,26,c,j)|0)continue a;else{Q=0;N=130;break a}break}default:{P=M;break b}}L=f[c>>2]|0;if(L>>>0<(f[g>>2]|0)>>>0?(a=b[L>>0]|0,a<<24>>24>-1):0){f[c>>2]=L+1;R=a&255}else{a=NJb(c)|0;if((a|0)>-1)R=a;else{Q=0;N=130;break a}}a=wJb(c,R)|0;if((EJb(c)|0)>0)do{L=f[c>>2]|0;if(L>>>0<(f[g>>2]|0)>>>0?(K=b[L>>0]|0,K<<24>>24>-1):0){f[c>>2]=L+1;S=K&255;T=0}else{AJb(e,c);K=e;if(!(b[m>>0]|0)){Q=0;N=130;break a}else{S=f[K>>2]|0;T=f[K+4>>2]|0}}K=f[j>>2]|0;if((K|0)==(f[k>>2]|0)){ZOa(j,K+1|0);U=f[j>>2]|0}else U=K;K=f[l>>2]|0;f[j>>2]=U+1;L=K+8+(U<<3)|0;f[L>>2]=S;f[L+4>>2]=T}while((EJb(c)|0)>0);xJb(c,a);continue a;break}case 4:{switch((M&255)<<24>>24){case 34:break;case 37:{if(IQa(1,34,c,n)|0)continue a;else{Q=0;N=130;break a}break}default:{P=M;break b}}L=f[c>>2]|0;if(L>>>0<(f[g>>2]|0)>>>0?(K=b[L>>0]|0,K<<24>>24>-1):0){f[c>>2]=L+1;V=K&255}else{K=NJb(c)|0;if((K|0)>-1)V=K;else{Q=0;N=130;break a}}W=f[n>>2]|0;K=(V|0)/4|0;if((K<<2|0)!=(V|0)){Q=0;N=130;break a}L=GJb(c)|0;X=EJb(c)|0;if((((L|0)==-1|(X|0)<(L|0)?X:L)|0)>=(V|0)){L=W+K|0;if((f[n>>2]|0)<(L|0)?(REa(n,L),X=f[n>>2]|0,Y=L-X|0,(Y<<2|0)>0):0)kzc((f[p>>2]|0)+((X<<2)+4)|0,0,(((Y|-1073741824|0)==-1073741824?1073741823:1073741822)+Y<<2)+8|0)|0;f[n>>2]=L;L=f[p>>2]|0;if(IJb(c,((L|0)==0?0:L+4|0)+(W<<2)|0,V)|0)continue a;else{N=36;break a}}if((V|0)>3)Z=0;else continue a;while(1){L=f[c>>2]|0;if(((f[g>>2]|0)-L|0)>3){Y=L;X=h[Y>>0]|h[Y+1>>0]<<8|h[Y+2>>0]<<16|h[Y+3>>0]<<24;f[e>>2]=X;f[c>>2]=L+4;_=X}else{if(!(LJb(c,e)|0)){N=45;break a}_=f[e>>2]|0}X=f[n>>2]|0;if((X|0)==(f[o>>2]|0)){REa(n,X+1|0);$=f[n>>2]|0}else $=X;X=f[p>>2]|0;f[n>>2]=$+1;f[X+4+($<<2)>>2]=_;X=Z+1|0;if((X|0)<(K|0))Z=X;else continue a}break}case 5:{switch((M&255)<<24>>24){case 42:break;case 40:{if(JQa(1,42,c,q)|0)continue a;else{Q=0;N=130;break a}break}default:{P=M;break b}}K=f[c>>2]|0;if(K>>>0<(f[g>>2]|0)>>>0?(a=b[K>>0]|0,a<<24>>24>-1):0){f[c>>2]=K+1;aa=a&255}else{a=NJb(c)|0;if((a|0)>-1)aa=a;else{Q=0;N=130;break a}}a=wJb(c,aa)|0;if((EJb(c)|0)>0)do{K=f[c>>2]|0;if(K>>>0<(f[g>>2]|0)>>>0?(X=b[K>>0]|0,X<<24>>24>-1):0){f[c>>2]=K+1;ba=X<<24>>24!=0}else{AJb(e,c);X=e;if(!(b[t>>0]|0)){Q=0;N=130;break a}else ba=(f[X>>2]|0)!=0|(f[X+4>>2]|0)!=0}X=f[q>>2]|0;if((X|0)==(f[r>>2]|0)){_Oa(q,X+1|0);ca=f[q>>2]|0}else ca=X;X=f[s>>2]|0;f[q>>2]=ca+1;b[X+4+ca>>0]=ba&1}while((EJb(c)|0)>0);xJb(c,a);continue a;break}case 6:{switch((M&255)<<24>>24){case 50:break;case 48:{X=f[c>>2]|0;if(X>>>0<(f[g>>2]|0)>>>0){K=b[X>>0]|0;L=K&255;if(K<<24>>24>-1){f[c>>2]=X+1;da=L}else{ea=L;N=79}}else{ea=0;N=79}if((N|0)==79){N=0;L=zJb(c,ea)|0;X=J;if((X|0)>-1|(X|0)==-1&L>>>0>4294967295)da=L;else{Q=0;N=130;break a}}L=f[v>>2]|0;if((L|0)==(f[w>>2]|0)){NEa(v,L+1|0);fa=f[v>>2]|0}else fa=L;L=f[x>>2]|0;f[v>>2]=fa+1;f[L+4+(fa<<2)>>2]=da;continue a;break}default:{P=M;break b}}L=f[c>>2]|0;if(L>>>0<(f[g>>2]|0)>>>0){X=b[L>>0]|0;K=X&255;if(X<<24>>24>-1){f[c>>2]=L+1;ga=K}else{ha=K;N=66}}else{ha=0;N=66}if((N|0)==66){N=0;K=zJb(c,ha)|0;L=J;if((L|0)>-1|(L|0)==-1&K>>>0>4294967295)ga=K;else{Q=0;N=130;break a}}K=wJb(c,ga)|0;if((EJb(c)|0)>0)do{L=f[c>>2]|0;if(L>>>0<(f[g>>2]|0)>>>0){X=b[L>>0]|0;Y=X&255;if(X<<24>>24>-1){f[c>>2]=L+1;ia=Y}else{ja=Y;N=71}}else{ja=0;N=71}if((N|0)==71){N=0;Y=zJb(c,ja)|0;L=J;if((L|0)>-1|(L|0)==-1&Y>>>0>4294967295)ia=Y;else{Q=0;N=130;break a}}Y=f[v>>2]|0;if((Y|0)==(f[w>>2]|0)){NEa(v,Y+1|0);ka=f[v>>2]|0}else ka=Y;Y=f[x>>2]|0;f[v>>2]=ka+1;f[Y+4+(ka<<2)>>2]=ia}while((EJb(c)|0)>0);xJb(c,K);continue a;break}case 7:{if((M&255|0)!=58){P=M;break b}a=f[z>>2]|0;do if(a){Y=f[B>>2]|0;L=f[a>>2]|0;if((Y|0)>=(L|0))if((L|0)==(f[A>>2]|0)){la=L;N=89;break}else{ma=L;na=a;N=90;break}else{f[B>>2]=Y+1;oa=f[a+4+(Y<<2)>>2]|0;break}}else{la=f[A>>2]|0;N=89}while(0);if((N|0)==89){N=0;LKb(y,la+1|0);a=f[z>>2]|0;ma=f[a>>2]|0;na=a;N=90}if((N|0)==90){N=0;f[na>>2]=ma+1;a=f[y>>2]|0;if(!a){K=cuc(32)|0;hUa(K);pa=K}else{if(f[a+64>>2]|0)HIb(a,19560,32);K=FIb(a,32)|0;iUa(K,a);pa=K}K=f[z>>2]|0;a=f[B>>2]|0;f[B>>2]=a+1;f[K+4+(a<<2)>>2]=pa;oa=pa}a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(K=b[a>>0]|0,K<<24>>24>-1):0){f[c>>2]=a+1;qa=K&255}else{K=NJb(c)|0;if((K|0)>-1)qa=K;else{Q=0;N=130;break a}}yJb(e,c,qa);if((f[C>>2]|0)<0){N=102;break a}if(!(Th[f[(f[oa>>2]|0)+44>>2]&1023](oa,c)|0)){N=102;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{Q=0;N=130;break a}break}case 8:{if((M&255|0)!=66){P=M;break b}K=f[E>>2]|0;do if(K){a=f[G>>2]|0;Y=f[K>>2]|0;if((a|0)>=(Y|0))if((Y|0)==(f[F>>2]|0)){ra=Y;N=110;break}else{sa=Y;ta=K;N=111;break}else{f[G>>2]=a+1;ua=f[K+4+(a<<2)>>2]|0;break}}else{ra=f[F>>2]|0;N=110}while(0);if((N|0)==110){N=0;LKb(D,ra+1|0);K=f[E>>2]|0;sa=f[K>>2]|0;ta=K;N=111}if((N|0)==111){N=0;f[ta>>2]=sa+1;K=f[D>>2]|0;if(!K){a=cuc(172)|0;sRa(a);va=a}else{if(f[K+64>>2]|0)HIb(K,19416,176);a=FIb(K,176)|0;tRa(a,K);va=a}a=f[E>>2]|0;K=f[G>>2]|0;f[G>>2]=K+1;f[a+4+(K<<2)>>2]=va;ua=va}K=f[c>>2]|0;if(K>>>0<(f[g>>2]|0)>>>0?(a=b[K>>0]|0,a<<24>>24>-1):0){f[c>>2]=K+1;wa=a&255}else{a=NJb(c)|0;if((a|0)>-1)wa=a;else{Q=0;N=130;break a}}yJb(e,c,wa);if((f[H>>2]|0)<0){N=123;break a}if(!(Th[f[(f[ua>>2]|0)+44>>2]&1023](ua,c)|0)){N=123;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{Q=0;N=130;break a}break}default:{P=M;break b}}}while(0);if(!P){Q=1;N=130;break}a=f[I>>2]|0;if(!(a&1))xa=OOa(I)|0;else xa=a&-2;if(!(xbc(c,P,xa)|0)){Q=0;N=130;break}}if((N|0)==36){if((f[n>>2]|0)<=0){Q=0;u=d;return Q|0}f[n>>2]=W;Q=0;u=d;return Q|0}else if((N|0)==45){Q=0;u=d;return Q|0}else if((N|0)==102){Q=0;u=d;return Q|0}else if((N|0)==123){Q=0;u=d;return Q|0}else if((N|0)==130){u=d;return Q|0}return 0}function bOa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;c=f[a+4>>2]|0;if((c&1|0)!=0&(b[488459]|0)!=0)d=Dbc(c&-2)|0;else d=0;c=f[a+12>>2]|0;e=c+d|0;if((c|0)>0){d=f[a+20>>2]|0;g=0;h=e;while(1){i=f[d+4+(g<<2)>>2]|0;j=b[i+11>>0]|0;k=j<<24>>24<0?f[i+4>>2]|0:j&255;j=k+h+((((($(k|1|0)|0)^31)*9|0)+73|0)>>>6)|0;g=g+1|0;if((g|0)==(c|0)){l=j;break}else h=j}}else l=e;e=f[a+24>>2]|0;if((e|0)>0){h=f[a+32>>2]|0;c=0;g=0;do{d=h+8+(g<<3)|0;j=xzc(f[d>>2]|1|0,f[d+4>>2]|0,1)|0;c=((((j^63)*9|0)+73|0)>>>6)+c|0;g=g+1|0}while((g|0)!=(e|0));if(c){if((c|0)<0)m=11;else m=((((($(c|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;n=c;o=m+l|0}else{n=0;o=l}}else{n=0;o=l}f[a+36>>2]=n;l=o+n|0;n=f[a+40>>2]<<2;if(!n)p=l;else{if((n|0)<0)q=11;else q=((((($(n|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;p=q+l|0}f[a+52>>2]=n;l=p+n|0;n=f[a+56>>2]|0;if(!n)r=l;else{if((n|0)<0)s=11;else s=((((($(n|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;r=s+l|0}f[a+68>>2]=n;l=r+n|0;n=f[a+72>>2]|0;if(n){r=f[a+80>>2]|0;s=0;p=0;do{q=f[r+4+(p<<2)>>2]|0;if((q|0)<0)t=10;else t=(((($(q|1|0)|0)^31)*9|0)+73|0)>>>6;s=t+s|0;p=p+1|0}while((p|0)!=(n|0));if(s){if((s|0)<0)u=11;else u=((((($(s|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;v=s;w=u+l|0}else{v=0;w=l}}else{v=0;w=l}f[a+84>>2]=v;l=f[a+92>>2]|0;u=w+v+l|0;if(!l)x=u;else{v=a+100|0;w=0;s=u;while(1){u=f[(f[v>>2]|0)+4+(w<<2)>>2]|0;n=di[f[(f[u>>2]|0)+48>>2]&1023](u)|0;u=n+s+((((($(n|1|0)|0)^31)*9|0)+73|0)>>>6)|0;w=w+1|0;if((w|0)==(l|0)){x=u;break}else s=u}}s=f[a+108>>2]|0;l=s+x|0;if(!s){y=l;z=a+120|0;f[z>>2]=y;return y|0}x=a+116|0;w=0;v=l;while(1){l=f[(f[x>>2]|0)+4+(w<<2)>>2]|0;u=di[f[(f[l>>2]|0)+48>>2]&1023](l)|0;l=u+v+((((($(u|1|0)|0)^31)*9|0)+73|0)>>>6)|0;w=w+1|0;if((w|0)==(s|0)){y=l;break}else v=l}z=a+120|0;f[z>>2]=y;return y|0}function cOa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;d=f[a+12>>2]|0;if((d|0)>0){e=a+20|0;g=0;do{WLb(2,f[(f[e>>2]|0)+4+(g<<2)>>2]|0,c);g=g+1|0}while((g|0)!=(d|0))}d=a+24|0;if((f[d>>2]|0)>0){g=c+8|0;if((f[g>>2]|0)>4){e=c+4|0;b[f[e>>2]>>0]=26;f[e>>2]=(f[e>>2]|0)+1;e=(f[g>>2]|0)+-1|0;f[g>>2]=e;h=e}else{VJb(c,26);h=f[g>>2]|0}e=f[a+36>>2]|0;if((h|0)>4){h=c+4|0;i=f[h>>2]|0;if(e>>>0>127){j=e;k=i;while(1){b[k>>0]=j|128;l=j>>>7;m=k+1|0;if(j>>>0>16383){j=l;k=m}else{n=m;o=l;break}}}else{n=i;o=e}b[n>>0]=o;o=n+1-i|0;f[h>>2]=(f[h>>2]|0)+o;f[g>>2]=(f[g>>2]|0)-o}else VJb(c,e);e=f[d>>2]|0;if((e|0)>0){d=a+32|0;o=c+8|0;g=c+4|0;h=0;do{i=(f[d>>2]|0)+8+(h<<3)|0;n=f[i>>2]|0;k=f[i+4>>2]|0;if((f[o>>2]|0)>9){i=f[g>>2]|0;j=n&255;if(k>>>0>0|(k|0)==0&n>>>0>127){l=i;m=j;p=n;q=k;while(1){b[l>>0]=m|-128;r=p;p=pzc(p|0,q|0,7)|0;s=l+1|0;t=p&255;if(!(q>>>0>0|(q|0)==0&r>>>0>16383)){u=s;v=t;break}else{l=s;m=t;q=J}}}else{u=i;v=j}b[u>>0]=v;q=u+1-i|0;f[g>>2]=(f[g>>2]|0)+q;f[o>>2]=(f[o>>2]|0)-q}else WJb(c,n,k);h=h+1|0}while((h|0)!=(e|0))}}e=a+40|0;if((f[e>>2]|0)>0){h=c+8|0;if((f[h>>2]|0)>4){o=c+4|0;b[f[o>>2]>>0]=34;f[o>>2]=(f[o>>2]|0)+1;o=(f[h>>2]|0)+-1|0;f[h>>2]=o;w=o}else{VJb(c,34);w=f[h>>2]|0}o=f[a+52>>2]|0;if((w|0)>4){w=c+4|0;g=f[w>>2]|0;if(o>>>0>127){u=o;v=g;while(1){b[v>>0]=u|128;d=u>>>7;q=v+1|0;if(u>>>0>16383){u=d;v=q}else{x=q;y=d;break}}}else{x=g;y=o}b[x>>0]=y;y=x+1-g|0;f[w>>2]=(f[w>>2]|0)+y;f[h>>2]=(f[h>>2]|0)-y}else VJb(c,o);o=f[a+48>>2]|0;DLb((o|0)==0?0:o+4|0,f[e>>2]|0,c)}e=a+56|0;if((f[e>>2]|0)>0){o=c+8|0;if((f[o>>2]|0)>4){y=c+4|0;b[f[y>>2]>>0]=42;f[y>>2]=(f[y>>2]|0)+1;y=(f[o>>2]|0)+-1|0;f[o>>2]=y;z=y}else{VJb(c,42);z=f[o>>2]|0}y=f[a+68>>2]|0;if((z|0)>4){z=c+4|0;h=f[z>>2]|0;if(y>>>0>127){w=y;g=h;while(1){b[g>>0]=w|128;x=w>>>7;v=g+1|0;if(w>>>0>16383){w=x;g=v}else{A=v;B=x;break}}}else{A=h;B=y}b[A>>0]=B;B=A+1-h|0;f[z>>2]=(f[z>>2]|0)+B;f[o>>2]=(f[o>>2]|0)-B}else VJb(c,y);y=f[a+64>>2]|0;FLb((y|0)==0?0:y+4|0,f[e>>2]|0,c)}e=a+72|0;if((f[e>>2]|0)>0){y=c+8|0;if((f[y>>2]|0)>4){B=c+4|0;b[f[B>>2]>>0]=50;f[B>>2]=(f[B>>2]|0)+1;B=(f[y>>2]|0)+-1|0;f[y>>2]=B;C=B}else{VJb(c,50);C=f[y>>2]|0}B=f[a+84>>2]|0;if((C|0)>4){C=c+4|0;o=f[C>>2]|0;if(B>>>0>127){z=B;h=o;while(1){b[h>>0]=z|128;A=z>>>7;g=h+1|0;if(z>>>0>16383){z=A;h=g}else{D=g;E=A;break}}}else{D=o;E=B}b[D>>0]=E;E=D+1-o|0;f[C>>2]=(f[C>>2]|0)+E;f[y>>2]=(f[y>>2]|0)-E}else VJb(c,B);B=f[e>>2]|0;if((B|0)>0){e=a+80|0;E=c+8|0;y=c+4|0;C=0;do{o=f[(f[e>>2]|0)+4+(C<<2)>>2]|0;D=((o|0)<0)<<31>>31;if((f[E>>2]|0)>9){h=f[y>>2]|0;z=o&255;if(o>>>0>127){A=h;g=z;w=o;x=D;while(1){b[A>>0]=g|-128;v=w;w=pzc(w|0,x|0,7)|0;u=A+1|0;d=w&255;if(!(x>>>0>0|(x|0)==0&v>>>0>16383)){F=u;G=d;break}else{A=u;g=d;x=J}}}else{F=h;G=z}b[F>>0]=G;x=F+1-h|0;f[y>>2]=(f[y>>2]|0)+x;f[E>>2]=(f[E>>2]|0)-x}else WJb(c,o,D);C=C+1|0}while((C|0)!=(B|0))}}B=f[a+92>>2]|0;if(B|0){C=a+100|0;E=0;do{_Lb(7,f[(f[C>>2]|0)+4+(E<<2)>>2]|0,c);E=E+1|0}while((E|0)!=(B|0))}B=f[a+108>>2]|0;if(B|0){E=a+116|0;C=0;do{_Lb(8,f[(f[E>>2]|0)+4+(C<<2)>>2]|0,c);C=C+1|0}while((C|0)!=(B|0))}B=f[a+4>>2]|0;if(!((B&1|0)!=0&(b[488459]|0)!=0))return;Abc(B&-2,c);return}function dOa(a){a=a|0;return f[a+120>>2]|0}function eOa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0;e=f[a+12>>2]|0;if((e|0)>0){g=a+20|0;h=d;i=0;while(1){j=f[(f[g>>2]|0)+4+(i<<2)>>2]|0;b[h>>0]=18;k=XJb(j,h+1|0)|0;i=i+1|0;if((i|0)==(e|0)){l=k;break}else h=k}}else l=d;d=a+24|0;if((f[d>>2]|0)>0){b[l>>0]=26;h=l+1|0;e=f[a+36>>2]|0;if(e>>>0>127){i=e;g=h;while(1){b[g>>0]=i|128;k=i>>>7;j=g+1|0;if(i>>>0>16383){i=k;g=j}else{m=j;n=k;break}}}else{m=h;n=e}b[m>>0]=n;n=f[d>>2]|0;d=f[a+32>>2]|0;e=0;h=m+1|0;while(1){m=d+8+(e<<3)|0;g=f[m>>2]|0;i=f[m+4>>2]|0;m=g&255;if(i>>>0>0|(i|0)==0&g>>>0>127){k=h;j=m;o=g;g=i;while(1){b[k>>0]=j|-128;i=o;o=pzc(o|0,g|0,7)|0;p=k+1|0;q=o&255;if(!(g>>>0>0|(g|0)==0&i>>>0>16383)){r=p;s=q;break}else{k=p;j=q;g=J}}}else{r=h;s=m}b[r>>0]=s;g=r+1|0;e=e+1|0;if((e|0)>=(n|0)){t=g;break}else h=g}}else t=l;l=a+40|0;if((f[l>>2]|0)>0){b[t>>0]=34;h=t+1|0;n=f[a+52>>2]|0;if(n>>>0>127){e=n;r=h;while(1){b[r>>0]=e|128;s=e>>>7;d=r+1|0;if(e>>>0>16383){e=s;r=d}else{u=d;v=s;break}}}else{u=h;v=n}b[u>>0]=v;v=u+1|0;u=f[l>>2]<<2;szc(v|0,(f[a+48>>2]|0)+4|0,u|0)|0;w=v+u|0}else w=t;t=a+56|0;if((f[t>>2]|0)>0){b[w>>0]=42;u=w+1|0;v=f[a+68>>2]|0;if(v>>>0>127){l=v;n=u;while(1){b[n>>0]=l|128;h=l>>>7;r=n+1|0;if(l>>>0>16383){l=h;n=r}else{x=r;y=h;break}}}else{x=u;y=v}b[x>>0]=y;y=f[t>>2]|0;t=f[a+64>>2]|0;v=0;u=x+1|0;while(1){b[u>>0]=b[t+4+v>>0]|0;x=u+1|0;v=v+1|0;if((v|0)>=(y|0)){z=x;break}else u=x}}else z=w;w=a+72|0;if((f[w>>2]|0)>0){b[z>>0]=50;u=z+1|0;y=f[a+84>>2]|0;if(y>>>0>127){v=y;t=u;while(1){b[t>>0]=v|128;x=v>>>7;n=t+1|0;if(v>>>0>16383){v=x;t=n}else{A=n;B=x;break}}}else{A=u;B=y}b[A>>0]=B;B=f[w>>2]|0;w=f[a+80>>2]|0;y=0;u=A+1|0;while(1){A=f[w+4+(y<<2)>>2]|0;t=A&255;if(A>>>0>127){v=u;x=t;n=A;l=((A|0)<0)<<31>>31;while(1){b[v>>0]=x|-128;A=n;n=pzc(n|0,l|0,7)|0;h=v+1|0;r=n&255;if(!(l>>>0>0|(l|0)==0&A>>>0>16383)){C=h;D=r;break}else{v=h;x=r;l=J}}}else{C=u;D=t}b[C>>0]=D;l=C+1|0;y=y+1|0;if((y|0)>=(B|0)){E=l;break}else u=l}}else E=z;z=f[a+92>>2]|0;if(!z)F=E;else{u=a+100|0;B=0;y=E;while(1){E=f[(f[u>>2]|0)+4+(B<<2)>>2]|0;b[y>>0]=58;C=y+1|0;D=di[f[(f[E>>2]|0)+60>>2]&1023](E)|0;if(D>>>0>127){w=D;l=C;while(1){b[l>>0]=w|128;x=w>>>7;v=l+1|0;if(w>>>0>16383){w=x;l=v}else{G=v;H=x;break}}}else{G=C;H=D}b[G>>0]=H;l=li[f[(f[E>>2]|0)+64>>2]&511](E,c,G+1|0)|0;B=B+1|0;if((B|0)==(z|0)){F=l;break}else y=l}}y=f[a+108>>2]|0;if(!y)I=F;else{z=a+116|0;B=0;G=F;while(1){F=f[(f[z>>2]|0)+4+(B<<2)>>2]|0;b[G>>0]=66;H=G+1|0;u=di[f[(f[F>>2]|0)+60>>2]&1023](F)|0;if(u>>>0>127){l=u;w=H;while(1){b[w>>0]=l|128;t=l>>>7;x=w+1|0;if(l>>>0>16383){l=t;w=x}else{K=x;L=t;break}}}else{K=H;L=u}b[K>>0]=L;w=li[f[(f[F>>2]|0)+64>>2]&511](F,c,K+1|0)|0;B=B+1|0;if((B|0)==(y|0)){I=w;break}else G=w}}G=f[a+4>>2]|0;if(!((G&1|0)!=0&(b[488459]|0)!=0)){M=I;return M|0}M=Bbc(G&-2,I)|0;return M|0}function fOa(a){a=a|0;return 0}function gOa(a,b){a=a|0;b=b|0;var c=0;if((a|0)==(b|0))return;_Na(a);c=ovc(b,24728,19240,0)|0;if(!c){A9b(b,a);return}else{ROa(a,c);return}}function hOa(a,b){a=a|0;b=b|0;var c=0;c=ovc(b,24728,19240,0)|0;if(!c){A9b(b,a);return}else{ROa(a,c);return}}function iOa(a,b){a=a|0;b=b|0;f[a+120>>2]=b;return}function jOa(a){a=a|0;var b=0,c=0;b=u;u=u+16|0;c=b;yh[f[(f[a>>2]|0)+96>>2]&2047](c,a);u=b;return f[c+4>>2]|0}function kOa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224734]|0)!=2){f[d>>2]=151624;f[d+4>>2]=3;b[d+8>>0]=0;xLb(898936,d);QKb(d)}d=536088;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function lOa(){var a=0,c=0,d=0,e=0,g=0,h=0;a=u;u=u+16|0;c=a;if((f[224735]|0)!=2){f[c>>2]=151624;f[c+4>>2]=4;b[c+8>>0]=0;xLb(898940,c);QKb(c)}d=cuc(32)|0;f[c>>2]=d;f[c+8>>2]=-2147483616;f[c+4>>2]=16;e=d;g=416141;h=e+16|0;do{b[e>>0]=b[g>>0]|0;e=e+1|0;g=g+1|0}while((e|0)<(h|0));b[d+16>>0]=0;T3b(c,113464,113512,113180,0,536088,0,0);if((b[c+11>>0]|0)>=0){u=a;return}fuc(f[c>>2]|0);u=a;return}function mOa(){var a=0,c=0;a=u;u=u+16|0;c=a;if((f[224736]|0)!=2){f[c>>2]=151624;f[c+4>>2]=5;b[c+8>>0]=0;xLb(898944,c);QKb(c)}if((f[224737]|0)!=2){f[c>>2]=151624;f[c+4>>2]=6;b[c+8>>0]=0;xLb(898948,c);QKb(c)}bQb(416158,874);n9b(416141,1974);wRa();lUa();TQa();u=a;return}function nOa(){var a=0,b=0;TKb(3005001,3005e3,417033);LIb();kUa();vRa();f[133952]=113364;f[133962]=0;f[133963]=0;f[133964]=0;f[133966]=0;f[133967]=0;f[133968]=0;f[133970]=0;f[133971]=0;f[133972]=0;f[133953]=0;f[133954]=0;f[133955]=0;f[133956]=0;f[133957]=0;f[133958]=0;f[133959]=0;f[133960]=0;a=535896;b=a+36|0;do{f[a>>2]=0;a=a+4|0}while((a|0)<(b|0));qLb(535808);return}function oOa(){var a=0,c=0;a=u;u=u+16|0;c=a;TKb(3005001,3005e3,417033);LIb();kUa();vRa();if((f[224736]|0)!=2){f[c>>2]=151624;f[c+4>>2]=5;b[c+8>>0]=0;xLb(898944,c);QKb(c)}f[133984]=113536;f[133985]=0;f[133989]=0;f[133988]=0;qLb(535936);f[134005]=0;f[134003]=542896;f[134004]=0;f[134006]=0;f[134007]=0;f[134002]=113644;qOa(536032);qLb(536032);f[133990]=542896;c=535968;f[c>>2]=0;f[c+4>>2]=0;n[133994]=0.0;b[535980]=0;f[133996]=0;f[133997]=536504;f[133998]=536120;f[133999]=535808;f[134e3]=536032;f[134001]=542896;f[134004]=535936;u=a;return}function pOa(a){a=a|0;var c=0;a=u;u=u+16|0;c=a;if((f[224734]|0)!=2){f[c>>2]=151624;f[c+4>>2]=3;b[c+8>>0]=0;xLb(898936,c);QKb(c)}Y3b(536088,4);u=a;return}function qOa(a){a=a|0;var c=0,d=0,e=0,g=0;c=u;u=u+16|0;d=c;f[a>>2]=113760;f[a+4>>2]=0;e=a+8|0;f[e>>2]=157748;f[a+12>>2]=0;f[a+16>>2]=0;kLb(a+20|0);f[a+24>>2]=0;f[e>>2]=113868;f[a+28>>2]=0;e=a+32|0;f[e>>2]=0;g=a+36|0;f[g>>2]=0;xGa(e);f[g>>2]=0;if((a|0)!=536032?(f[224737]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=6;b[d+8>>0]=0;xLb(898948,d);QKb(d)}f[a+44>>2]=542896;f[a+48>>2]=0;u=c;return}function rOa(a){a=a|0;f[a>>2]=113868;WFa(a+24|0);y4b(a);return}function sOa(a){a=a|0;f[a>>2]=113868;WFa(a+24|0);y4b(a);fuc(a);return}function tOa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+32|0;e=d+16|0;g=d;ouc(g,qPa(c)|0);VFa(e,f[a+32>>2]|0,g,0);a=(f[e>>2]|0)!=0;if((b[g+11>>0]|0)>=0){u=d;return a|0}fuc(f[g>>2]|0);u=d;return a|0}function uOa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0;e=u;u=u+32|0;g=e+16|0;h=e;i=di[f[(f[a>>2]|0)+68>>2]&1023](a)|0;ouc(h,qPa(c)|0);VFa(g,f[i+8>>2]|0,h,0);c=f[g>>2]|0;if(!c){j=1;k=yGa(i,h)|0}else{j=0;k=(f[c+12>>2]|0)+16|0}f[d>>2]=k;if((b[h+11>>0]|0)>=0){u=e;return j|0}fuc(f[h>>2]|0);u=e;return j|0}function vOa(a,c){a=a|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;ouc(e,qPa(c)|0);c=(rPa(di[f[(f[a>>2]|0)+68>>2]&1023](a)|0,e)|0)!=0;if((b[e+11>>0]|0)>=0){u=d;return c|0}fuc(f[e>>2]|0);u=d;return c|0}function wOa(a,b,c){a=a|0;b=b|0;c=c|0;return (f[f[b>>2]>>2]|0)==(f[f[c>>2]>>2]|0)|0}function xOa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;c=(di[f[(f[a>>2]|0)+64>>2]&1023](a)|0)+8|0;d=f[c>>2]|0;c=f[d+12>>2]|0;e=f[d+4>>2]|0;a:do if(e>>>0>c>>>0){g=f[d+16>>2]|0;h=c;while(1){i=f[g+(h<<2)>>2]|0;if(i|0)break;j=h+1|0;if(j>>>0<e>>>0)h=j;else{k=0;l=j;break a}}if((i|0)==(f[g+((h^1)<<2)>>2]|0)){k=f[(f[i>>2]|0)+16>>2]|0;l=h;break}else{k=i;l=h;break}}else{k=0;l=c}while(0);c=f[b>>2]|0;f[c>>2]=k;f[c+4>>2]=d;f[c+8>>2]=l;yh[f[(f[a>>2]|0)+72>>2]&2047](a,b);return}function yOa(a,b){a=a|0;b=b|0;di[f[(f[a>>2]|0)+64>>2]&1023](a)|0;a=f[b>>2]|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;return}function zOa(a){a=a|0;T5b(a);return f[f[a+32>>2]>>2]|0}function AOa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;b=u;u=u+16|0;c=b;d=f[a+8>>2]|0;if(!d)e=12;else{g=f[d+8>>2]<<2;h=d+12|0;d=f[h>>2]|0;if(!d)i=g;else{if((f[d>>2]|0)>0){j=0;k=g;l=d;while(1){d=f[l+4+(j<<2)>>2]|0;m=(di[f[(f[d>>2]|0)+84>>2]&1023](d)|0)+k|0;j=j+1|0;l=f[h>>2]|0;if((j|0)>=(f[l>>2]|0)){n=m;break}else k=m}}else n=g;i=n+4|0}e=i+12|0}i=f[a+32>>2]|0;a=f[i+12>>2]|0;n=f[i+4>>2]|0;a:do if(n>>>0>a>>>0){g=f[i+16>>2]|0;k=a;while(1){o=f[g+(k<<2)>>2]|0;if(o|0)break;l=k+1|0;if(l>>>0<n>>>0)k=l;else{p=0;q=l;break a}}if((o|0)==(f[g+((k^1)<<2)>>2]|0)){p=f[(f[o>>2]|0)+16>>2]|0;q=k;break}else{p=o;q=k;break}}else{p=0;q=a}while(0);f[c>>2]=p;f[c+4>>2]=i;f[c+8>>2]=q;if(!p){r=e;u=b;return r|0}q=e;e=p;while(1){p=(f[e+12>>2]|0)+16|0;i=q+12+(di[f[(f[p>>2]|0)+84>>2]&1023](p)|0)|0;pGa(c)|0;e=f[c>>2]|0;if(!e){r=i;break}else q=i}u=b;return r|0}function BOa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;b=u;u=u+16|0;c=b;d=a+8|0;e=f[d>>2]|0;if(!e){g=f[a+4>>2]|0;if(!g){h=cuc(16)|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;i=h}else{if(f[g+64>>2]|0)HIb(g,19296,16);h=GIb(g,16,1975)|0;f[h>>2]=g;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;i=h}f[d>>2]=i;j=i}else j=e;e=j+4|0;i=f[e>>2]|0;if((i|0)>0){d=f[j+12>>2]|0;h=0;do{g=f[d+4+(h<<2)>>2]|0;h=h+1|0;bi[f[(f[g>>2]|0)+28>>2]&2047](g)}while((h|0)!=(i|0));f[e>>2]=0}i=f[a+32>>2]|0;h=f[i+12>>2]|0;d=f[i+4>>2]|0;a:do if(d>>>0>h>>>0){g=f[i+16>>2]|0;k=h;while(1){l=f[g+(k<<2)>>2]|0;if(l|0)break;m=k+1|0;if(m>>>0<d>>>0)k=m;else{n=0;o=m;break a}}if((l|0)==(f[g+((k^1)<<2)>>2]|0)){n=f[(f[l>>2]|0)+16>>2]|0;o=k;break}else{n=l;o=k;break}}else{n=0;o=h}while(0);f[c>>2]=n;f[c+4>>2]=i;f[c+8>>2]=o;if(!n){u=b;return}n=a+4|0;a=j+12|0;o=j+8|0;do{i=Th[f[(f[134002]|0)+16>>2]&1023](536008,f[n>>2]|0)|0;h=i+12|0;l=f[h>>2]|0;d=f[j>>2]|0;if(((d|0)==(l|0)?(m=f[a>>2]|0,(m|0)!=0):0)?(p=f[m>>2]|0,(p|0)<(f[o>>2]|0)):0){q=f[e>>2]|0;if((q|0)<(p|0)){r=m+4+(q<<2)|0;f[m+4+(p<<2)>>2]=f[r>>2];s=r}else s=m+4+(q<<2)|0;f[s>>2]=i;f[e>>2]=q+1;q=f[a>>2]|0;f[q>>2]=(f[q>>2]|0)+1}else jPa(j,i,l,d);d=f[(f[c>>2]|0)+12>>2]|0;l=i+16|0;f[l>>2]=f[l>>2]|1;q=i+4|0;m=f[q>>2]|0;if((m|0)==542896){QGa(q,f[h>>2]|0,542896);t=f[q>>2]|0}else t=m;ruc(t,d)|0;d=(f[(f[c>>2]|0)+12>>2]|0)+16|0;f[l>>2]=f[l>>2]|2;l=i+8|0;i=f[h>>2]|0;h=f[l>>2]|0;if(!h){if(!i){m=cuc(24)|0;kPa(m);v=m}else{if(f[i+64>>2]|0)HIb(i,19312,24);m=FIb(i,24)|0;lPa(m,i);v=m}f[l>>2]=v;w=v}else w=h;if((d|0)!=(w|0)){MOa(w);h=f[w+4>>2]|0;if(h&1|0?(l=h&-2,f[l>>2]|0):0)ebc(l);NOa(w,d)}mGa(c)|0}while((f[c>>2]|0)!=0);u=b;return}function COa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0;b=u;u=u+32|0;c=b;d=a+24|0;e=f[a+8>>2]|0;if(!e){iLb(c,3,478148,306);fLb(b+24|0,dLb(c,478242)|0);jLb(c)}LOa(d);c=e+12|0;a=f[c>>2]|0;g=e+4|0;if(!(f[g>>2]|0)){u=b;return}e=(a|0)==0?0:a+4|0;do{a=f[e>>2]|0;h=di[f[(f[a>>2]|0)+104>>2]&1023](a)|0;a=f[e>>2]|0;i=yGa(d,di[f[(f[a>>2]|0)+100>>2]&1023](a)|0)|0;if((h|0)!=(i|0)){MOa(i);a=f[i+4>>2]|0;if(a&1|0?(j=a&-2,f[j>>2]|0):0)ebc(j);NOa(i,h)}e=e+4|0;h=f[c>>2]|0}while((e|0)!=(((h|0)==0?0:h+4|0)+(f[g>>2]<<2)|0));u=b;return}function DOa(a,b){a=a|0;b=b|0;a=cuc(12)|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[b>>2]=a;return}function EOa(a,b){a=a|0;b=b|0;a=f[b>>2]|0;if(!a)return;fuc(a);return}function FOa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0;e=f[d>>2]|0;g=f[c>>2]|0;f[g>>2]=f[e>>2];f[g+4>>2]=f[e+4>>2];f[g+8>>2]=f[e+8>>2];e=c+8|0;g=KOa(d+8|0)|0;h=c+16|0;i=f[h>>2]|0;if((i|0)!=(g|0)){if((i|0)==9?(i=f[e>>2]|0,i|0):0){if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0);fuc(i)}f[h>>2]=g;if((g|0)==9){g=cuc(12)|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[e>>2]=g}}f[c+28>>2]=f[d+28>>2];yh[f[(f[a>>2]|0)+72>>2]&2047](a,c);return}function GOa(a,b){a=a|0;b=b|0;mGa(f[b>>2]|0)|0;yh[f[(f[a>>2]|0)+72>>2]&2047](a,b);return}function HOa(a){a=a|0;T5b(a);return a+24|0}function IOa(a){a=a|0;T5b(a);S5b(a);return a+24|0}function JOa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;a=f[f[b>>2]>>2]|0;if(!a)return;c=b+8|0;d=a+12|0;a=f[d>>2]|0;e=b+16|0;if((f[e>>2]|0)==9)g=f[c>>2]|0;else{f[e>>2]=9;e=cuc(12)|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[c>>2]=e;g=e}ruc(g,a)|0;f[b+24>>2]=(f[d>>2]|0)+16;return}function KOa(a){a=a|0;var b=0,c=0,d=0,e=0;b=u;u=u+32|0;c=b;d=a+8|0;a=f[d>>2]|0;if(a|0){e=a;u=b;return e|0}iLb(c,3,513310,372);fLb(b+24|0,dLb(dLb(dLb(c,513427)|0,417118)|0,417159)|0);jLb(c);e=f[d>>2]|0;u=b;return e|0}function LOa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;c=u;u=u+48|0;d=c+28|0;e=c+16|0;g=c;h=a+8|0;i=f[h>>2]|0;j=f[i+12>>2]|0;k=f[i+4>>2]|0;if(k>>>0<=j>>>0){u=c;return}l=f[i+16>>2]|0;m=j;while(1){n=f[l+(m<<2)>>2]|0;if(n|0)break;j=m+1|0;if(j>>>0<k>>>0)m=j;else{o=16;break}}if((o|0)==16){u=c;return}if((n|0)==(f[l+((m^1)<<2)>>2]|0))p=f[(f[n>>2]|0)+16>>2]|0;else p=n;if(!p){u=c;return}n=g+4|0;l=g+8|0;o=p;p=i;i=m;while(1){f[g>>2]=o;f[n>>2]=p;f[l>>2]=i;if((f[a>>2]|0)==0?(m=f[o+12>>2]|0,m|0):0){gPa(m+16|0);if((b[m+11>>0]|0)<0)fuc(f[m>>2]|0);fuc(m)};f[e>>2]=f[g>>2];f[e+4>>2]=f[g+4>>2];f[e+8>>2]=f[g+8>>2];pGa(g)|0;m=f[h>>2]|0;f[d>>2]=f[e>>2];f[d+4>>2]=f[e+4>>2];f[d+8>>2]=f[e+8>>2];qGa(m,d);o=f[g>>2]|0;if(!o)break;else{p=f[n>>2]|0;i=f[l>>2]|0}}u=c;return}function MOa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;c=a+20|0;switch(f[c>>2]|0){case 2:{d=f[a+4>>2]|0;e=d&-2;if(!(d&1))g=e;else g=f[e+4>>2]|0;if((g|0)==0?(g=f[a+8>>2]|0,!((g|0)==542896|(g|0)==0)):0){if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);fuc(g)}break}case 9:{g=f[a+4>>2]|0;e=g&-2;if(!(g&1))h=e;else h=f[e+4>>2]|0;if((h|0)==0?(h=f[a+8>>2]|0,!((h|0)==542896|(h|0)==0)):0){if((b[h+11>>0]|0)<0)fuc(f[h>>2]|0);fuc(h)}break}case 10:{h=f[a+4>>2]|0;e=h&-2;if(!(h&1))i=e;else i=f[e+4>>2]|0;if((i|0)==0?(i=f[a+8>>2]|0,i|0):0)bi[f[(f[i>>2]|0)+4>>2]&2047](i);break}case 1:{i=f[a+4>>2]|0;e=i&-2;if(!(i&1))j=e;else j=f[e+4>>2]|0;if((j|0)==0?(j=f[a+8>>2]|0,j|0):0)bi[f[(f[j>>2]|0)+4>>2]&2047](j);break}case 8:{j=f[a+4>>2]|0;e=j&-2;if(!(j&1))k=e;else k=f[e+4>>2]|0;if((k|0)==0?(k=f[a+8>>2]|0,k|0):0)bi[f[(f[k>>2]|0)+4>>2]&2047](k);break}case 7:{k=f[a+4>>2]|0;e=k&-2;if(!(k&1))l=e;else l=f[e+4>>2]|0;if((l|0)==0?(l=f[a+8>>2]|0,l|0):0)bi[f[(f[l>>2]|0)+4>>2]&2047](l);break}default:{}}f[c>>2]=0;return}function NOa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;d=a+4|0;e=f[c+4>>2]|0;if(e&1|0){g=f[d>>2]|0;if(!(g&1))h=OOa(d)|0;else h=g&-2;hbc(h,e&-2)}e=c+20|0;do switch(f[e>>2]|0){case 2:{h=f[c+8>>2]|0;g=a+20|0;if((f[g>>2]|0)==2)i=a+8|0;else{MOa(a);f[g>>2]=2;g=a+8|0;f[g>>2]=542896;i=g}g=f[d>>2]|0;j=g&-2;if(!(g&1))k=j;else k=f[j+4>>2]|0;j=f[i>>2]|0;if((j|0)==542896){QGa(i,k,h);return}else{ruc(j,h)|0;return}break}case 3:{h=c+8|0;j=f[h>>2]|0;g=f[h+4>>2]|0;h=a+20|0;if((f[h>>2]|0)!=3){MOa(a);f[h>>2]=3}h=a+8|0;f[h>>2]=j;f[h+4>>2]=g;return}case 4:{g=f[c+8>>2]|0;h=a+20|0;if((f[h>>2]|0)!=4){MOa(a);f[h>>2]=4}f[a+8>>2]=g;return}case 5:{g=b[c+8>>0]|0;h=a+20|0;if((f[h>>2]|0)!=5){MOa(a);f[h>>2]=5}b[a+8>>0]=g;return}case 6:{g=f[c+8>>2]|0;h=a+20|0;if((f[h>>2]|0)!=6){MOa(a);f[h>>2]=6}f[a+8>>2]=g;return}case 7:{mUa(POa(a)|0,(f[e>>2]|0)==7?f[c+8>>2]|0:536504);return}case 8:{nRa(OGa(a)|0,(f[e>>2]|0)==8?f[c+8>>2]|0:536120);return}case 1:{ROa(QOa(a)|0,(f[e>>2]|0)==1?f[c+8>>2]|0:535808);return}case 10:{TOa(SOa(a)|0,(f[e>>2]|0)==10?f[c+8>>2]|0:536032);return}case 9:{g=f[c+8>>2]|0;h=a+20|0;if((f[h>>2]|0)==9)l=a+8|0;else{MOa(a);f[h>>2]=9;h=a+8|0;f[h>>2]=542896;l=h}h=f[d>>2]|0;j=h&-2;if(!(h&1))m=j;else m=f[j+4>>2]|0;j=f[l>>2]|0;if((j|0)==542896){QGa(l,m,g);return}else{ruc(j,g)|0;return}break}default:return}while(0)}function OOa(a){a=a|0;var b=0,c=0,d=0,e=0;b=f[a>>2]|0;c=b&-2;if(!(b&1))d=c;else d=f[c+4>>2]|0;if(!d){c=cuc(8)|0;b=c;f[b>>2]=0;f[b+4>>2]=0;e=c}else{if(f[d+64>>2]|0)HIb(d,19288,8);c=GIb(d,8,1976)|0;b=c;f[b>>2]=0;f[b+4>>2]=0;e=c}f[e>>2]=0;f[a>>2]=e|1;f[e+4>>2]=d;return e|0}function POa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=a+20|0;if((f[b>>2]|0)==7){c=f[a+8>>2]|0;return c|0}MOa(a);f[b>>2]=7;b=f[a+4>>2]|0;d=b&-2;if(!(b&1))e=d;else e=f[d+4>>2]|0;if(!e){d=cuc(32)|0;hUa(d);g=d}else{if(f[e+64>>2]|0)HIb(e,19560,32);d=FIb(e,32)|0;iUa(d,e);g=d}f[a+8>>2]=g;c=g;return c|0}function QOa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=a+20|0;if((f[b>>2]|0)==1){c=f[a+8>>2]|0;return c|0}MOa(a);f[b>>2]=1;b=f[a+4>>2]|0;d=b&-2;if(!(b&1))e=d;else e=f[d+4>>2]|0;if(!e){d=cuc(124)|0;dPa(d);g=d}else{if(f[e+64>>2]|0)HIb(e,19240,128);d=FIb(e,128)|0;ePa(d,e);g=d}f[a+8>>2]=g;c=g;return c|0}function ROa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=a+4|0;d=f[b+4>>2]|0;if(d&1|0){e=f[c>>2]|0;if(!(e&1))g=OOa(c)|0;else g=e&-2;hbc(g,d&-2)}YOa(a+8|0,b+8|0);d=a+24|0;g=b+24|0;e=f[g>>2]|0;if(e|0){ZOa(d,(f[d>>2]|0)+e|0);szc((f[a+32>>2]|0)+8+(f[d>>2]<<3)|0,(f[b+32>>2]|0)+8|0,f[g>>2]<<3|0)|0;f[d>>2]=(f[d>>2]|0)+(f[g>>2]|0)}g=a+40|0;d=b+40|0;e=f[d>>2]|0;if(e|0){REa(g,(f[g>>2]|0)+e|0);szc((f[a+48>>2]|0)+4+(f[g>>2]<<2)|0,(f[b+48>>2]|0)+4|0,f[d>>2]<<2|0)|0;f[g>>2]=(f[g>>2]|0)+(f[d>>2]|0)}d=a+56|0;g=b+56|0;e=f[g>>2]|0;if(e|0){_Oa(d,(f[d>>2]|0)+e|0);szc((f[d>>2]|0)+((f[a+64>>2]|0)+4)|0,(f[b+64>>2]|0)+4|0,f[g>>2]|0)|0;f[d>>2]=(f[d>>2]|0)+(f[g>>2]|0)}g=a+72|0;d=b+72|0;e=f[d>>2]|0;if(!e){h=a+88|0;i=b+88|0;$Oa(h,i);j=a+104|0;k=b+104|0;aPa(j,k);return}NEa(g,(f[g>>2]|0)+e|0);szc((f[a+80>>2]|0)+4+(f[g>>2]<<2)|0,(f[b+80>>2]|0)+4|0,f[d>>2]<<2|0)|0;f[g>>2]=(f[g>>2]|0)+(f[d>>2]|0);h=a+88|0;i=b+88|0;$Oa(h,i);j=a+104|0;k=b+104|0;aPa(j,k);return}function SOa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=a+20|0;if((f[b>>2]|0)==10){c=f[a+8>>2]|0;return c|0}MOa(a);f[b>>2]=10;b=f[a+4>>2]|0;d=b&-2;if(!(b&1))e=d;else e=f[d+4>>2]|0;if(!e){d=cuc(52)|0;qOa(d);g=d}else{if(f[e+64>>2]|0)HIb(e,19272,56);d=FIb(e,56)|0;VOa(d,e);g=d}f[a+8>>2]=g;c=g;return c|0}function TOa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0;d=a+4|0;e=f[c+4>>2]|0;if(e&1|0){g=f[d>>2]|0;if(!(g&1))h=OOa(d)|0;else h=g&-2;hbc(h,e&-2)}e=a+8|0;T5b(e);T5b(c+8|0);UOa(a+28|0,c+28|0);S5b(e);e=f[c+44>>2]|0;c=b[e+11>>0]|0;if(c<<24>>24<0)i=f[e+4>>2]|0;else i=c&255;if(!i)return;i=a+44|0;a=f[d>>2]|0;d=a&-2;if(!(a&1))j=d;else j=f[d+4>>2]|0;d=f[i>>2]|0;if((d|0)==542896){QGa(i,j,e);return}else{ruc(d,e)|0;return}}function UOa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=u;u=u+16|0;d=c;e=f[b+12>>2]|0;b=f[e+12>>2]|0;g=f[e+4>>2]|0;a:do if(g>>>0>b>>>0){h=f[e+16>>2]|0;i=b;while(1){j=f[h+(i<<2)>>2]|0;if(j|0)break;k=i+1|0;if(k>>>0<g>>>0)i=k;else{l=0;m=k;break a}}if((j|0)==(f[h+((i^1)<<2)>>2]|0)){l=f[(f[j>>2]|0)+16>>2]|0;m=i;break}else{l=j;m=i;break}}else{l=0;m=b}while(0);f[d>>2]=l;f[d+4>>2]=e;f[d+8>>2]=m;if(!l){u=c;return}m=a+4|0;a=l;do{l=f[a+12>>2]|0;e=l+16|0;b=yGa(m,l)|0;if((e|0)!=(b|0)){MOa(b);l=f[b+4>>2]|0;if(l&1|0?(j=l&-2,f[j>>2]|0):0)ebc(j);NOa(b,e)}mGa(d)|0;a=f[d>>2]|0}while((a|0)!=0);u=c;return}function VOa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0;d=u;u=u+16|0;e=d;f[a>>2]=113760;f[a+4>>2]=c;g=a+8|0;f[g>>2]=157748;f[a+12>>2]=c;f[a+16>>2]=0;h=a+20|0;kLb(h);f[a+24>>2]=0;WOa(c,h);f[g>>2]=113868;f[a+28>>2]=c;g=a+32|0;f[g>>2]=c;c=a+36|0;f[c>>2]=0;xGa(g);f[c>>2]=0;if((f[224737]|0)==2){i=a+44|0;f[i>>2]=542896;j=a+48|0;f[j>>2]=0;u=d;return}f[e>>2]=151624;f[e+4>>2]=6;b[e+8>>0]=0;xLb(898948,e);QKb(e);i=a+44|0;f[i>>2]=542896;j=a+48|0;f[j>>2]=0;u=d;return}function WOa(a,b){a=a|0;b=b|0;if(!b)return;EIb(a,b,1977);return}function XOa(a){a=a|0;lLb(a);return}function YOa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=f[b+4>>2]|0;if(!c)return;d=f[b+12>>2]|0;b=KKb(a,c)|0;e=a+12|0;g=a+4|0;h=(f[f[e>>2]>>2]|0)-(f[g>>2]|0)|0;if((h|0)>0&(c|0)>0){i=0;do{ruc(f[b+(i<<2)>>2]|0,f[d+4+(i<<2)>>2]|0)|0;i=i+1|0}while((i|0)<(h|0)&(i|0)<(c|0))}i=f[a>>2]|0;a:do if((h|0)<(c|0)){a=i+64|0;if(!i){j=h;while(1){k=f[d+4+(j<<2)>>2]|0;l=cuc(12)|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;ruc(l,k)|0;f[b+(j<<2)>>2]=l;j=j+1|0;if((j|0)==(c|0))break a}}else m=h;do{j=f[d+4+(m<<2)>>2]|0;if(f[a>>2]|0)HIb(i,9552,16);l=GIb(i,16,1964)|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;ruc(l,j)|0;f[b+(m<<2)>>2]=l;m=m+1|0}while((m|0)!=(c|0))}while(0);m=(f[g>>2]|0)+c|0;f[g>>2]=m;g=f[e>>2]|0;if((f[g>>2]|0)>=(m|0))return;f[g>>2]=m;return}function ZOa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=a+4|0;d=f[c>>2]|0;if((d|0)>=(b|0))return;e=a+8|0;g=f[e>>2]|0;h=(g|0)==0;if(h)i=0;else i=f[g>>2]|0;j=d<<1;d=(j|0)<(b|0)?b:j;j=(d|0)>4?d:4;d=j<<3;if(!i)k=cuc(d+8|0)|0;else{b=d+15&-8;if(f[i+64>>2]|0)HIb(i,27008,b);k=FIb(i,b)|0}f[e>>2]=k;f[k>>2]=i;f[c>>2]=j;j=f[a>>2]|0;if((j|0)>0)szc(k+8|0,g+8|0,j<<3|0)|0;if(h)return;if(f[g>>2]|0)return;fuc(g);return}function _Oa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;c=a+4|0;d=f[c>>2]|0;if((d|0)>=(b|0))return;e=a+8|0;g=f[e>>2]|0;h=(g|0)==0;if(!h){i=f[g>>2]|0;j=d<<1;k=(j|0)<(b|0)?b:j;j=(k|0)>4?k:4;if(!i){l=j;m=5}else{k=j+11&-8;if(f[i+64>>2]|0)HIb(i,27008,k);n=FIb(i,k)|0;o=i;p=j}}else{j=d<<1;d=(j|0)<(b|0)?b:j;l=(d|0)>4?d:4;m=5}if((m|0)==5){n=cuc(l+4|0)|0;o=0;p=l}f[e>>2]=n;f[n>>2]=o;f[c>>2]=p;p=f[a>>2]|0;if((p|0)>0)szc(n+4|0,g+4|0,p|0)|0;if(h)return;if(f[g>>2]|0)return;fuc(g);return}function $Oa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=f[b+4>>2]|0;if(!c)return;d=f[b+12>>2]|0;b=KKb(a,c)|0;e=a+12|0;g=a+4|0;h=(f[f[e>>2]>>2]|0)-(f[g>>2]|0)|0;if((h|0)>0&(c|0)>0){i=0;do{cPa(f[d+4+(i<<2)>>2]|0,f[b+(i<<2)>>2]|0);i=i+1|0}while((i|0)<(h|0)&(i|0)<(c|0))}i=f[a>>2]|0;a:do if((h|0)<(c|0)){a=i+64|0;if(!i){j=h;while(1){k=f[d+4+(j<<2)>>2]|0;l=cuc(32)|0;hUa(l);cPa(k,l);f[b+(j<<2)>>2]=l;j=j+1|0;if((j|0)>=(c|0))break a}}else m=h;do{j=f[d+4+(m<<2)>>2]|0;if(f[a>>2]|0)HIb(i,19560,32);l=FIb(i,32)|0;iUa(l,i);cPa(j,l);f[b+(m<<2)>>2]=l;m=m+1|0}while((m|0)!=(c|0))}while(0);m=(f[g>>2]|0)+c|0;f[g>>2]=m;g=f[e>>2]|0;if((f[g>>2]|0)>=(m|0))return;f[g>>2]=m;return}function aPa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=f[b+4>>2]|0;if(!c)return;d=f[b+12>>2]|0;b=KKb(a,c)|0;e=a+12|0;g=a+4|0;h=(f[f[e>>2]>>2]|0)-(f[g>>2]|0)|0;if((h|0)>0&(c|0)>0){i=0;do{bPa(f[d+4+(i<<2)>>2]|0,f[b+(i<<2)>>2]|0);i=i+1|0}while((i|0)<(h|0)&(i|0)<(c|0))}i=f[a>>2]|0;a:do if((h|0)<(c|0)){a=i+64|0;if(!i){j=h;while(1){k=f[d+4+(j<<2)>>2]|0;l=cuc(172)|0;sRa(l);bPa(k,l);f[b+(j<<2)>>2]=l;j=j+1|0;if((j|0)>=(c|0))break a}}else m=h;do{j=f[d+4+(m<<2)>>2]|0;if(f[a>>2]|0)HIb(i,19416,176);l=FIb(i,176)|0;tRa(l,i);bPa(j,l);f[b+(m<<2)>>2]=l;m=m+1|0}while((m|0)!=(c|0))}while(0);m=(f[g>>2]|0)+c|0;f[g>>2]=m;g=f[e>>2]|0;if((f[g>>2]|0)>=(m|0))return;f[g>>2]=m;return}function bPa(a,b){a=a|0;b=b|0;nRa(b,a);return}function cPa(a,b){a=a|0;b=b|0;mUa(b,a);return}function dPa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0;c=u;u=u+16|0;d=c;f[a>>2]=113364;e=a+4|0;f[a+40>>2]=0;f[a+44>>2]=0;f[a+48>>2]=0;f[a+56>>2]=0;f[a+60>>2]=0;f[a+64>>2]=0;f[a+72>>2]=0;f[a+76>>2]=0;f[a+80>>2]=0;g=a+88|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;f[e+16>>2]=0;f[e+20>>2]=0;f[e+24>>2]=0;f[e+28>>2]=0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;f[g+16>>2]=0;f[g+20>>2]=0;f[g+24>>2]=0;f[g+28>>2]=0;if((a|0)==535808){h=a+120|0;f[h>>2]=0;u=c;return}if((f[224736]|0)==2){h=a+120|0;f[h>>2]=0;u=c;return}f[d>>2]=151624;f[d+4>>2]=5;b[d+8>>0]=0;xLb(898944,d);QKb(d);h=a+120|0;f[h>>2]=0;u=c;return}function ePa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0;d=u;u=u+16|0;e=d;f[a>>2]=113364;f[a+4>>2]=c;f[a+8>>2]=c;g=a+12|0;h=a+32|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;f[g+16>>2]=0;f[g+20>>2]=0;if(!c){f[a+40>>2]=0;f[a+44>>2]=0;f[a+48>>2]=0;f[a+56>>2]=0;f[a+60>>2]=0;f[a+64>>2]=0;f[a+72>>2]=0;f[a+76>>2]=0;f[a+80>>2]=0}else{if(f[c+64>>2]|0)HIb(c,27008,8);g=FIb(c,8)|0;f[h>>2]=g;f[g>>2]=c;f[a+40>>2]=0;f[a+44>>2]=0;g=a+48|0;f[g>>2]=0;if(f[c+64>>2]|0)HIb(c,27008,8);h=FIb(c,8)|0;f[g>>2]=h;f[h>>2]=c;f[a+56>>2]=0;f[a+60>>2]=0;h=a+64|0;f[h>>2]=0;if(f[c+64>>2]|0)HIb(c,27008,8);g=FIb(c,8)|0;f[h>>2]=g;f[g>>2]=c;f[a+72>>2]=0;f[a+76>>2]=0;g=a+80|0;f[g>>2]=0;if(f[c+64>>2]|0)HIb(c,27008,8);h=FIb(c,8)|0;f[g>>2]=h;f[h>>2]=c}f[a+88>>2]=c;f[a+92>>2]=0;f[a+96>>2]=0;f[a+100>>2]=0;f[a+104>>2]=c;f[a+108>>2]=0;f[a+112>>2]=0;f[a+116>>2]=0;if((f[224736]|0)==2){i=a+120|0;f[i>>2]=0;u=d;return}f[e>>2]=151624;f[e+4>>2]=5;b[e+8>>0]=0;xLb(898944,e);QKb(e);i=a+120|0;f[i>>2]=0;u=d;return}function fPa(a){a=a|0;if(!(f[a>>2]|0))return;ebc(a);return}function gPa(a){a=a|0;var b=0,c=0;f[a>>2]=113536;if(f[a+20>>2]|0)MOa(a);b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(c);f[b>>2]=0;return}function hPa(a){a=a|0;var b=0,c=0;b=f[a>>2]|0;if(!(b&1)){f[a>>2]=0;return}c=b&-2;b=c;if((f[b+4>>2]|0)!=0|(c|0)==0){f[a>>2]=0;return}if(f[b>>2]|0)ebc(b);fuc(c);f[a>>2]=0;return}function iPa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=a+12|0;c=f[b>>2]|0;if(!c){f[b>>2]=0;return}if(f[a>>2]|0){f[b>>2]=0;return}a=f[c>>2]|0;if((a|0)>0){d=0;do{e=f[c+4+(d<<2)>>2]|0;if(e|0)bi[f[(f[e>>2]|0)+4>>2]&2047](e);d=d+1|0}while((d|0)!=(a|0));g=f[b>>2]|0}else g=c;fuc(g);f[b>>2]=0;return}function jPa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;if(!((c|0)==0&(d|0)!=0))if((d|0)!=(c|0)){if(!d){e=cuc(24)|0;f[e+12>>2]=0;f[e+4>>2]=542896;f[e+8>>2]=0;f[e+16>>2]=0;f[e+20>>2]=0;g=e}else{if(f[d+64>>2]|0)HIb(d,19328,24);e=FIb(d,24)|0;h=d;f[e+12>>2]=h;f[e+4>>2]=542896;f[e+8>>2]=0;f[e+16>>2]=0;f[e+20>>2]=h;g=e}f[g>>2]=113644;nPa(b,g);if((b|0)==0|(c|0)!=0)i=g;else{bi[f[(f[b>>2]|0)+4>>2]&2047](b);i=g}}else i=b;else{mPa(d,b);i=b}b=a+12|0;d=f[b>>2]|0;g=f[a+8>>2]|0;c=a+4|0;if(d|0?(e=f[c>>2]|0,(e|0)!=(g|0)):0){h=f[d>>2]|0;if((h|0)==(g|0)){j=f[d+4+(e<<2)>>2]|0;if((j|0)==0|(f[a>>2]|0)!=0){k=d;l=f[c>>2]|0;m=l+1|0;f[c>>2]=m;n=k+4+(l<<2)|0;f[n>>2]=i;return}bi[f[(f[j>>2]|0)+4>>2]&2047](j);k=f[b>>2]|0;l=f[c>>2]|0;m=l+1|0;f[c>>2]=m;n=k+4+(l<<2)|0;f[n>>2]=i;return}else{if((e|0)<(h|0)){f[d+4+(h<<2)>>2]=f[d+4+(e<<2)>>2];e=f[b>>2]|0;o=e;p=f[e>>2]|0}else{o=d;p=h}f[o>>2]=p+1;k=o;l=f[c>>2]|0;m=l+1|0;f[c>>2]=m;n=k+4+(l<<2)|0;f[n>>2]=i;return}}LKb(a,g+1|0);g=f[b>>2]|0;f[g>>2]=(f[g>>2]|0)+1;k=g;l=f[c>>2]|0;m=l+1|0;f[c>>2]=m;n=k+4+(l<<2)|0;f[n>>2]=i;return}function kPa(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=113536;f[a+4>>2]=0;if((a|0)!=535936?(f[224737]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=6;b[d+8>>0]=0;xLb(898948,d);QKb(d)}f[a+20>>2]=0;f[a+16>>2]=0;u=c;return}function lPa(a,c){a=a|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;f[a>>2]=113536;f[a+4>>2]=c;if((f[224737]|0)!=2){f[e>>2]=151624;f[e+4>>2]=6;b[e+8>>0]=0;xLb(898948,e);QKb(e)}f[a+20>>2]=0;f[a+16>>2]=0;u=d;return}function mPa(a,b){a=a|0;b=b|0;if(!b)return;EIb(a,b,1978);return}function nPa(a,b){a=a|0;b=b|0;oPa(b,a);return}function oPa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0;c=b+16|0;d=f[c>>2]|0;if(!d)return;if(!(d&1))e=d;else{d=a+4|0;g=a+12|0;if((f[d>>2]|0)==542896)QGa(d,f[g>>2]|0,542896);h=di[f[(f[b>>2]|0)+100>>2]&1023](b)|0;i=f[d>>2]|0;if((i|0)==542896)QGa(d,f[g>>2]|0,h);else ruc(i,h)|0;h=a+16|0;f[h>>2]=f[h>>2]|1;e=f[c>>2]|0}if(!(e&2))return;e=a+8|0;c=f[a+12>>2]|0;if(!(f[e>>2]|0)){if(!c){h=cuc(24)|0;kPa(h);j=h}else{if(f[c+64>>2]|0)HIb(c,19312,24);h=FIb(c,24)|0;lPa(h,c);j=h}f[e>>2]=j}j=di[f[(f[b>>2]|0)+104>>2]&1023](b)|0;NOa(f[e>>2]|0,j);j=a+16|0;f[j>>2]=f[j>>2]|2;return}function pPa(a){a=a|0;if(!a)return;bi[f[(f[a>>2]|0)+4>>2]&2047](a);return}function qPa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=u;u=u+32|0;c=b;if((KOa(a)|0)==9){d=f[a>>2]|0;u=b;return d|0}iLb(c,3,513310,432);e=dLb(dLb(dLb(dLb(c,513427)|0,418e3)|0,513482)|0,513504)|0;g=dLb(dLb(dLb(e,f[38e3]|0)|0,517126)|0,513518)|0;e=151964+((KOa(a)|0)<<2)|0;fLb(b+24|0,dLb(g,f[e>>2]|0)|0);jLb(c);d=f[a>>2]|0;u=b;return d|0}function rPa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;d=u;u=u+48|0;e=d+32|0;g=d+16|0;h=d;i=a+8|0;VFa(e,f[i>>2]|0,c,0);c=f[e>>2]|0;j=f[e+4>>2]|0;k=f[e+8>>2]|0;if(!c){l=0;u=d;return l|0}f[h>>2]=c;f[h+4>>2]=j;f[h+8>>2]=k;if((f[a>>2]|0)==0?(a=f[c+12>>2]|0,a|0):0){gPa(a+16|0);if((b[a+11>>0]|0)<0)fuc(f[a>>2]|0);fuc(a)};f[g>>2]=f[h>>2];f[g+4>>2]=f[h+4>>2];f[g+8>>2]=f[h+8>>2];pGa(h)|0;h=f[i>>2]|0;f[e>>2]=f[g>>2];f[e+4>>2]=f[g+4>>2];f[e+8>>2]=f[g+8>>2];qGa(h,e);l=1;u=d;return l|0}function sPa(a){a=a|0;var c=0,d=0;f[a>>2]=113760;c=f[a+44>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}c=a+8|0;f[c>>2]=113868;WFa(a+32|0);y4b(c);c=a+4|0;a=f[c>>2]|0;if(!(a&1)){f[c>>2]=0;return}d=a&-2;a=d;if((d|0)==0|(f[a+4>>2]|0)!=0){f[c>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(d);f[c>>2]=0;return}function tPa(a){a=a|0;sPa(a);fuc(a);return}function uPa(a){a=a|0;a=cuc(52)|0;qOa(a);return a|0}function vPa(a,b){a=a|0;b=b|0;var c=0;if(!b){a=cuc(52)|0;qOa(a);c=a;return c|0}if(f[b+64>>2]|0)HIb(b,19272,56);a=FIb(b,56)|0;VOa(a,b);c=a;return c|0}function wPa(a){a=a|0;var b=0,c=0;b=f[a+4>>2]|0;a=b&-2;if(!(b&1)){c=a;return c|0}else{c=f[a+4>>2]|0;return c|0}return 0}function xPa(a){a=a|0;return f[a+4>>2]|0}function yPa(a){a=a|0;var c=0,d=0;c=a+8|0;T5b(c);LOa(a+32|0);S5b(c);c=a+4|0;d=f[a+44>>2]|0;do if((d|0)!=542896){a=d+11|0;if((b[a>>0]|0)<0){b[f[d>>2]>>0]=0;f[d+4>>2]=0;break}else{b[d>>0]=0;b[a>>0]=0;break}}while(0);d=f[c>>2]|0;if(!(d&1))return;c=d&-2;if(!(f[c>>2]|0))return;ebc(c);return}function zPa(a){a=a|0;return 1}function APa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;d=u;u=u+48|0;e=d+32|0;g=d;h=c+4|0;i=a+44|0;j=a+4|0;k=a+44|0;l=a+8|0;a=g+4|0;m=g+8|0;n=g+24|0;o=e+4|0;p=m+11|0;q=g+12|0;a:while(1){r=f[c>>2]|0;if(r>>>0<(f[h>>2]|0)>>>0){s=b[r>>0]|0;t=s&255;if(s<<24>>24>0){f[c>>2]=r+1;v=t;w=6}else{x=t;w=5}}else{x=0;w=5}if((w|0)==5){w=0;t=OJb(c,x)|0;if((t+-1|0)>>>0<127){v=t;w=6}else y=t}b:do if((w|0)==6){w=0;switch(v>>>3&536870911|0){case 1:{if((v&255|0)!=10){y=v;break b}t=f[j>>2]|0;r=t&-2;if(!(t&1))z=r;else z=f[r+4>>2]|0;r=f[i>>2]|0;if((r|0)==542896){QGa(i,z,542896);A=f[i>>2]|0}else A=r;if(!($Lb(c,A)|0)){B=0;w=39;break a}r=f[k>>2]|0;t=b[r+11>>0]|0;if(t<<24>>24<0){C=f[r>>2]|0;D=f[r+4>>2]|0}else{C=r;D=t&255}if(aMb(C,D,0,418390)|0)continue a;else{B=0;w=39;break a}break}case 2:break;default:{y=v;break b}}if((v&255|0)==18){f[g>>2]=l;t=di[f[(f[l>>2]|0)+68>>2]&1023](l)|0;f[a>>2]=t;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[n>>2]=0;t=f[c>>2]|0;if(t>>>0<(f[h>>2]|0)>>>0?(r=b[t>>0]|0,r<<24>>24>-1):0){f[c>>2]=t+1;E=r&255;w=23}else{r=NJb(c)|0;if((r|0)>-1){E=r;w=23}else F=6}do if((w|0)==23){w=0;yJb(e,c,E);if((f[o>>2]|0)>=0?oQa(g,c)|0:0){if(!(DJb(c,f[e>>2]|0)|0)){F=6;break}r=b[p>>0]|0;t=r<<24>>24<0;s=aMb(t?f[m>>2]|0:m,t?f[q>>2]|0:r&255,0,418426)|0;F=s?0:6;break}F=6}while(0);s=f[n>>2]|0;if(s|0)bi[f[(f[s>>2]|0)+4>>2]&2047](s);if((b[p>>0]|0)<0)fuc(f[m>>2]|0);switch(F&7){case 0:{continue a;break}case 6:{B=0;w=39;break a;break}default:{w=38;break a}}}else y=v}while(0);if(!y){w=38;break}s=f[j>>2]|0;if(!(s&1))G=OOa(j)|0;else G=s&-2;if(!(xbc(c,y,G)|0)){B=0;w=39;break}}if((w|0)==38){B=1;u=d;return B|0}else if((w|0)==39){u=d;return B|0}return 0}function BPa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;c=u;u=u+16|0;d=c;e=f[a+4>>2]|0;if((e&1|0)!=0&(b[488459]|0)!=0)g=Dbc(e&-2)|0;else g=0;e=a+8|0;T5b(e);h=a+40|0;i=f[f[h>>2]>>2]|0;T5b(e);j=i+g|0;g=f[h>>2]|0;h=f[g+12>>2]|0;i=f[g+4>>2]|0;a:do if(i>>>0>h>>>0){k=f[g+16>>2]|0;l=h;while(1){m=f[k+(l<<2)>>2]|0;if(m|0)break;n=l+1|0;if(n>>>0<i>>>0)l=n;else{o=0;p=n;break a}}if((m|0)==(f[k+((l^1)<<2)>>2]|0)){o=f[(f[m>>2]|0)+16>>2]|0;p=l;break}else{o=m;p=l;break}}else{o=0;p=h}while(0);f[d>>2]=o;f[d+4>>2]=g;f[d+8>>2]=p;p=a+28|0;g=j;j=0;while(1){T5b(e);o=f[d>>2]|0;if(!o)break;if(!j){q=0;r=o}else{o=(di[f[(f[j>>2]|0)+20>>2]&1023](j)|0)==0;q=o?j:0;r=f[d>>2]|0}o=f[r+12>>2]|0;h=o+16|0;m=f[p>>2]|0;if(!m){i=cuc(32)|0;f[i+12>>2]=0;f[i+4>>2]=542896;f[i+8>>2]=0;f[i+20>>2]=0;s=i}else{if(f[m+64>>2]|0)HIb(m,19400,32);i=FIb(m,32)|0;n=m;f[i+12>>2]=n;f[i+4>>2]=542896;f[i+8>>2]=0;f[i+20>>2]=n;s=i}f[s>>2]=113952;f[s+24>>2]=o;f[s+28>>2]=h;f[s+16>>2]=3;if((q|0)!=(s|0))if(!q)t=s;else{bi[f[(f[q>>2]|0)+4>>2]&2047](q);t=s}else t=q;h=t+16|0;o=f[h>>2]|0;if(!(o&1)){v=0;w=o}else{o=di[f[(f[t>>2]|0)+100>>2]&1023](t)|0;i=b[o+11>>0]|0;n=i<<24>>24<0?f[o+4>>2]|0:i&255;i=n+1+((((($(n|1|0)|0)^31)*9|0)+73|0)>>>6)|0;v=i;w=f[h>>2]|0}if(!(w&2))x=0;else{h=cQa(di[f[(f[t>>2]|0)+104>>2]&1023](t)|0)|0;x=h+1+((((($(h|1|0)|0)^31)*9|0)+73|0)>>>6)|0}h=x+v|0;i=h+g+((((($(h|1|0)|0)^31)*9|0)+73|0)>>>6)|0;mGa(d)|0;g=i;j=t}if(j|0?(di[f[(f[j>>2]|0)+20>>2]&1023](j)|0)==0:0)bi[f[(f[j>>2]|0)+4>>2]&2047](j);j=f[a+44>>2]|0;t=b[j+11>>0]|0;d=t<<24>>24<0;if(d)y=f[j+4>>2]|0;else y=t&255;if(!y){z=g;A=a+48|0;f[A>>2]=z;u=c;return z|0}y=d?f[j+4>>2]|0:t&255;z=g+1+y+((((($(y|1|0)|0)^31)*9|0)+73|0)>>>6)|0;A=a+48|0;f[A>>2]=z;u=c;return z|0}function CPa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;d=u;u=u+16|0;e=d;g=a+44|0;h=f[g>>2]|0;i=b[h+11>>0]|0;j=i<<24>>24<0;if(j)k=f[h+4>>2]|0;else k=i&255;if(k|0){if(j){l=f[h>>2]|0;m=f[h+4>>2]|0}else{l=h;m=i&255}aMb(l,m,1,418390)|0;VLb(1,f[g>>2]|0,c)}g=a+8|0;T5b(g);m=a+40|0;do if(f[f[m>>2]>>2]|0){if(!(b[c+18>>0]|0)){if(f[224967]|0)n=13}else if(b[c+19>>0]|0)n=13;if((n|0)==13?(T5b(g),(f[f[m>>2]>>2]|0)>>>0>1):0){T5b(g);l=f[f[m>>2]>>2]|0;i=euc(l>>>0>1073741823?-1:l<<2)|0;T5b(g);l=f[m>>2]|0;h=f[l+12>>2]|0;j=f[l+4>>2]|0;a:do if(j>>>0>h>>>0){k=f[l+16>>2]|0;o=h;while(1){p=f[k+(o<<2)>>2]|0;if(p|0)break;q=o+1|0;if(q>>>0<j>>>0)o=q;else{r=0;s=q;break a}}if((p|0)==(f[k+((o^1)<<2)>>2]|0)){r=f[(f[p>>2]|0)+16>>2]|0;s=o;break}else{r=p;s=o;break}}else{r=0;s=h}while(0);f[e>>2]=r;f[e+4>>2]=l;f[e+8>>2]=s;h=0;while(1){T5b(g);j=f[e>>2]|0;if(!j)break;f[i+(h<<2)>>2]=f[j+12>>2];mGa(e)|0;h=h+1|0}JPa(i,i+(h<<2)|0,e);if(h|0){l=a+28|0;j=0;q=0;do{t=i+(j<<2)|0;v=f[t>>2]|0;w=v+16|0;x=f[l>>2]|0;if(!x){y=cuc(32)|0;f[y+12>>2]=0;f[y+4>>2]=542896;f[y+8>>2]=0;f[y+20>>2]=0;z=y}else{if(f[x+64>>2]|0)HIb(x,19400,32);y=FIb(x,32)|0;A=x;f[y+12>>2]=A;f[y+4>>2]=542896;f[y+8>>2]=0;f[y+20>>2]=A;z=y}f[z>>2]=113952;f[z+24>>2]=v;f[z+28>>2]=w;f[z+16>>2]=3;if((q|0)!=(z|0))if(!q)B=z;else{bi[f[(f[q>>2]|0)+4>>2]&2047](q);B=z}else B=q;_Lb(2,B,c);w=(di[f[(f[B>>2]|0)+20>>2]&1023](B)|0)==0;q=w?B:0;w=f[t>>2]|0;t=b[w+11>>0]|0;if(t<<24>>24<0){C=f[w>>2]|0;D=f[w+4>>2]|0}else{C=w;D=t&255}aMb(C,D,1,418426)|0;j=j+1|0}while(j>>>0<h>>>0);if(q|0)bi[f[(f[q>>2]|0)+4>>2]&2047](q)}guc(i);break}T5b(g);h=f[m>>2]|0;j=f[h+12>>2]|0;l=f[h+4>>2]|0;b:do if(l>>>0>j>>>0){t=f[h+16>>2]|0;w=j;while(1){E=f[t+(w<<2)>>2]|0;if(E|0)break;v=w+1|0;if(v>>>0<l>>>0)w=v;else{F=0;G=v;break b}}if((E|0)==(f[t+((w^1)<<2)>>2]|0)){F=f[(f[E>>2]|0)+16>>2]|0;G=w;break}else{F=E;G=w;break}}else{F=0;G=j}while(0);f[e>>2]=F;f[e+4>>2]=h;f[e+8>>2]=G;j=a+28|0;l=0;while(1){T5b(g);i=f[e>>2]|0;if(!i)break;q=f[i+12>>2]|0;i=q+16|0;o=f[j>>2]|0;if(!o){k=cuc(32)|0;f[k+12>>2]=0;f[k+4>>2]=542896;f[k+8>>2]=0;f[k+20>>2]=0;H=k}else{if(f[o+64>>2]|0)HIb(o,19400,32);k=FIb(o,32)|0;v=o;f[k+12>>2]=v;f[k+4>>2]=542896;f[k+8>>2]=0;f[k+20>>2]=v;H=k}f[H>>2]=113952;f[H+24>>2]=q;f[H+28>>2]=i;f[H+16>>2]=3;if((l|0)!=(H|0))if(!l)I=H;else{bi[f[(f[l>>2]|0)+4>>2]&2047](l);I=H}else I=l;_Lb(2,I,c);i=(di[f[(f[I>>2]|0)+20>>2]&1023](I)|0)==0;q=f[(f[e>>2]|0)+12>>2]|0;k=b[q+11>>0]|0;if(k<<24>>24<0){J=f[q>>2]|0;K=f[q+4>>2]|0}else{J=q;K=k&255}aMb(J,K,1,418426)|0;mGa(e)|0;l=i?I:0}if(l|0)bi[f[(f[l>>2]|0)+4>>2]&2047](l)}while(0);I=f[a+4>>2]|0;if(!((I&1|0)!=0&(b[488459]|0)!=0)){u=d;return}Abc(I&-2,c);u=d;return}function DPa(a){a=a|0;return f[a+48>>2]|0}function EPa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,aa=0,ba=0,ca=0,da=0;e=u;u=u+16|0;g=e;h=a+44|0;i=f[h>>2]|0;j=b[i+11>>0]|0;k=j<<24>>24<0;if(k)l=f[i+4>>2]|0;else l=j&255;if(!l)m=d;else{if(k){n=f[i>>2]|0;o=f[i+4>>2]|0}else{n=i;o=j&255}aMb(n,o,1,418390)|0;o=f[h>>2]|0;b[d>>0]=10;m=XJb(o,d+1|0)|0}d=a+8|0;T5b(d);o=a+40|0;do if(f[f[o>>2]>>2]|0){if(c?(T5b(d),(f[f[o>>2]>>2]|0)>>>0>1):0){T5b(d);h=f[f[o>>2]>>2]|0;n=euc(h>>>0>1073741823?-1:h<<2)|0;T5b(d);h=f[o>>2]|0;j=f[h+12>>2]|0;i=f[h+4>>2]|0;a:do if(i>>>0>j>>>0){k=f[h+16>>2]|0;l=j;while(1){p=f[k+(l<<2)>>2]|0;if(p|0)break;q=l+1|0;if(q>>>0<i>>>0)l=q;else{r=0;s=q;break a}}if((p|0)==(f[k+((l^1)<<2)>>2]|0)){r=f[(f[p>>2]|0)+16>>2]|0;s=l;break}else{r=p;s=l;break}}else{r=0;s=j}while(0);f[g>>2]=r;f[g+4>>2]=h;f[g+8>>2]=s;j=0;while(1){T5b(d);i=f[g>>2]|0;if(!i)break;f[n+(j<<2)>>2]=f[i+12>>2];mGa(g)|0;j=j+1|0}JPa(n,n+(j<<2)|0,g);if(j){h=a+28|0;i=0;q=m;t=0;do{v=n+(i<<2)|0;w=f[v>>2]|0;x=w+16|0;y=f[h>>2]|0;if(!y){z=cuc(32)|0;f[z+12>>2]=0;f[z+4>>2]=542896;f[z+8>>2]=0;f[z+20>>2]=0;A=z}else{if(f[y+64>>2]|0)HIb(y,19400,32);z=FIb(y,32)|0;B=y;f[z+12>>2]=B;f[z+4>>2]=542896;f[z+8>>2]=0;f[z+20>>2]=B;A=z}f[A>>2]=113952;f[A+24>>2]=w;f[A+28>>2]=x;f[A+16>>2]=3;if((t|0)!=(A|0))if(!t)C=A;else{bi[f[(f[t>>2]|0)+4>>2]&2047](t);C=A}else C=t;b[q>>0]=18;x=q+1|0;w=C+16|0;z=f[w>>2]|0;if(!(z&1)){D=z;E=0}else{z=di[f[(f[C>>2]|0)+100>>2]&1023](C)|0;B=b[z+11>>0]|0;y=B<<24>>24<0?f[z+4>>2]|0:B&255;B=y+1+((((($(y|1|0)|0)^31)*9|0)+73|0)>>>6)|0;D=f[w>>2]|0;E=B}if(!(D&2))F=0;else{B=(di[f[(f[C>>2]|0)+104>>2]&1023](C)|0)+16|0;w=f[B>>2]|0;F=w+1+((((($(w|1|0)|0)^31)*9|0)+73|0)>>>6)|0}w=F+E|0;if(w>>>0>127){B=w;y=x;while(1){b[y>>0]=B|128;z=B>>>7;G=y+1|0;if(B>>>0>16383){B=z;y=G}else{H=G;I=z;break}}}else{H=x;I=w}b[H>>0]=I;y=di[f[(f[C>>2]|0)+100>>2]&1023](C)|0;b[H+1>>0]=10;B=XJb(y,H+2|0)|0;y=di[f[(f[C>>2]|0)+104>>2]&1023](C)|0;b[B>>0]=18;l=B+1|0;B=di[f[(f[y>>2]|0)+60>>2]&1023](y)|0;if(B>>>0>127){k=B;z=l;while(1){b[z>>0]=k|128;G=k>>>7;J=z+1|0;if(k>>>0>16383){k=G;z=J}else{K=J;L=G;break}}}else{K=l;L=B}b[K>>0]=L;q=li[f[(f[y>>2]|0)+64>>2]&511](y,1,K+1|0)|0;z=(di[f[(f[C>>2]|0)+20>>2]&1023](C)|0)==0;t=z?C:0;z=f[v>>2]|0;k=b[z+11>>0]|0;if(k<<24>>24<0){M=f[z>>2]|0;N=f[z+4>>2]|0}else{M=z;N=k&255}aMb(M,N,1,418426)|0;i=i+1|0}while(i>>>0<j>>>0);if(!t)O=q;else{bi[f[(f[t>>2]|0)+4>>2]&2047](t);O=q}}else O=m;guc(n);P=O;break}T5b(d);j=f[o>>2]|0;i=f[j+12>>2]|0;h=f[j+4>>2]|0;b:do if(h>>>0>i>>>0){k=f[j+16>>2]|0;z=i;while(1){Q=f[k+(z<<2)>>2]|0;if(Q|0)break;w=z+1|0;if(w>>>0<h>>>0)z=w;else{R=0;S=w;break b}}if((Q|0)==(f[k+((z^1)<<2)>>2]|0)){R=f[(f[Q>>2]|0)+16>>2]|0;S=z;break}else{R=Q;S=z;break}}else{R=0;S=i}while(0);f[g>>2]=R;f[g+4>>2]=j;f[g+8>>2]=S;i=a+28|0;h=m;n=0;while(1){T5b(d);q=f[g>>2]|0;if(!q)break;t=f[q+12>>2]|0;q=t+16|0;v=f[i>>2]|0;if(!v){y=cuc(32)|0;f[y+12>>2]=0;f[y+4>>2]=542896;f[y+8>>2]=0;f[y+20>>2]=0;T=y}else{if(f[v+64>>2]|0)HIb(v,19400,32);y=FIb(v,32)|0;B=v;f[y+12>>2]=B;f[y+4>>2]=542896;f[y+8>>2]=0;f[y+20>>2]=B;T=y}f[T>>2]=113952;f[T+24>>2]=t;f[T+28>>2]=q;f[T+16>>2]=3;if((n|0)!=(T|0))if(!n)U=T;else{bi[f[(f[n>>2]|0)+4>>2]&2047](n);U=T}else U=n;b[h>>0]=18;q=h+1|0;t=U+16|0;y=f[t>>2]|0;if(!(y&1)){V=y;W=0}else{y=di[f[(f[U>>2]|0)+100>>2]&1023](U)|0;B=b[y+11>>0]|0;v=B<<24>>24<0?f[y+4>>2]|0:B&255;B=v+1+((((($(v|1|0)|0)^31)*9|0)+73|0)>>>6)|0;V=f[t>>2]|0;W=B}if(!(V&2))X=0;else{B=(di[f[(f[U>>2]|0)+104>>2]&1023](U)|0)+16|0;t=f[B>>2]|0;X=t+1+((((($(t|1|0)|0)^31)*9|0)+73|0)>>>6)|0}t=X+W|0;if(t>>>0>127){B=t;v=q;while(1){b[v>>0]=B|128;y=B>>>7;l=v+1|0;if(B>>>0>16383){B=y;v=l}else{Y=l;Z=y;break}}}else{Y=q;Z=t}b[Y>>0]=Z;v=di[f[(f[U>>2]|0)+100>>2]&1023](U)|0;b[Y+1>>0]=10;B=XJb(v,Y+2|0)|0;v=di[f[(f[U>>2]|0)+104>>2]&1023](U)|0;b[B>>0]=18;z=B+1|0;B=di[f[(f[v>>2]|0)+60>>2]&1023](v)|0;if(B>>>0>127){k=B;y=z;while(1){b[y>>0]=k|128;l=k>>>7;w=y+1|0;if(k>>>0>16383){k=l;y=w}else{_=w;aa=l;break}}}else{_=z;aa=B}b[_>>0]=aa;y=li[f[(f[v>>2]|0)+64>>2]&511](v,c,_+1|0)|0;k=(di[f[(f[U>>2]|0)+20>>2]&1023](U)|0)==0;t=f[(f[g>>2]|0)+12>>2]|0;q=b[t+11>>0]|0;if(q<<24>>24<0){ba=f[t>>2]|0;ca=f[t+4>>2]|0}else{ba=t;ca=q&255}aMb(ba,ca,1,418426)|0;mGa(g)|0;h=y;n=k?U:0}if(!n)P=h;else{bi[f[(f[n>>2]|0)+4>>2]&2047](n);P=h}}else P=m;while(0);m=f[a+4>>2]|0;if(!((m&1|0)!=0&(b[488459]|0)!=0)){da=P;u=e;return da|0}da=Bbc(m&-2,P)|0;u=e;return da|0}function FPa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;if((a|0)==(c|0))return;d=a+8|0;T5b(d);LOa(a+32|0);S5b(d);d=a+4|0;e=f[a+44>>2]|0;do if((e|0)!=542896){g=e+11|0;if((b[g>>0]|0)<0){b[f[e>>2]>>0]=0;f[e+4>>2]=0;break}else{b[e>>0]=0;b[g>>0]=0;break}}while(0);e=f[d>>2]|0;if(e&1|0?(d=e&-2,f[d>>2]|0):0)ebc(d);d=ovc(c,24728,19272,0)|0;if(!d){A9b(c,a);return}else{TOa(a,d);return}}function GPa(a,b){a=a|0;b=b|0;var c=0;c=ovc(b,24728,19272,0)|0;if(!c){A9b(b,a);return}else{TOa(a,c);return}}function HPa(a,b){a=a|0;b=b|0;f[a+48>>2]=b;return}function IPa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224734]|0)!=2){f[d>>2]=151624;f[d+4>>2]=3;b[d+8>>0]=0;xLb(898936,d);QKb(d)}d=536112;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function JPa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0;e=a;a=c;a:while(1){c=a;g=a+-4|0;h=a+-8|0;i=e;while(1){j=i;b:while(1){k=j;l=c-k|0;m=l>>2;switch(m|0){case 2:{n=5;break a;break}case 3:{n=10;break a;break}case 4:{n=11;break a;break}case 5:{n=12;break a;break}case 1:case 0:{n=111;break a;break}default:{}}if((l|0)<124){n=14;break a}o=j+(((m|0)/2|0)<<2)|0;if((l|0)>3996){l=(m|0)/4|0;p=lQa(j,j+(l<<2)|0,o,o+(l<<2)|0,g,d)|0}else p=jQa(j,o,g,d)|0;q=f[j>>2]|0;l=f[o>>2]|0;m=b[l+11>>0]|0;r=m<<24>>24<0;s=r?f[l+4>>2]|0:m&255;m=b[q+11>>0]|0;t=m<<24>>24<0;u=t?f[q+4>>2]|0:m&255;m=s>>>0<u>>>0?s:u;if((m|0)!=0?(v=ahc(t?f[q>>2]|0:q,r?f[l>>2]|0:l,m)|0,(v|0)!=0):0){if((v|0)<0){w=g;x=p;break}}else n=20;if((n|0)==20?(n=0,u>>>0<s>>>0):0){w=g;x=p;break}if((j|0)!=(h|0))if(r){r=h;do{v=f[r>>2]|0;m=b[v+11>>0]|0;y=m<<24>>24<0;z=y?f[v+4>>2]|0:m&255;m=s>>>0<z>>>0?s:z;if((m|0)!=0?(A=ahc(y?f[v>>2]|0:v,f[l>>2]|0,m)|0,(A|0)!=0):0){if((A|0)<0){B=r;n=74;break b}}else n=27;if((n|0)==27?(n=0,z>>>0<s>>>0):0){B=r;n=74;break b}r=r+-4|0}while((j|0)!=(r|0))}else{r=h;do{z=f[r>>2]|0;A=b[z+11>>0]|0;m=A<<24>>24<0;v=m?f[z+4>>2]|0:A&255;A=s>>>0<v>>>0?s:v;if((A|0)!=0?(y=ahc(m?f[z>>2]|0:z,l,A)|0,(y|0)!=0):0){if((y|0)<0){B=r;n=74;break b}}else n=71;if((n|0)==71?(n=0,v>>>0<s>>>0):0){B=r;n=74;break b}r=r+-4|0}while((j|0)!=(r|0))}r=j+4|0;s=f[g>>2]|0;l=b[s+11>>0]|0;v=l<<24>>24<0;y=v?f[s+4>>2]|0:l&255;l=y>>>0<u>>>0?y:u;A=s;if((l|0)!=0?(z=ahc(t?f[q>>2]|0:q,v?f[s>>2]|0:s,l)|0,(z|0)!=0):0)if((z|0)<0)C=r;else n=33;else if(u>>>0<y>>>0)C=r;else n=33;if((n|0)==33){n=0;if((r|0)==(g|0)){n=111;break a}c:do if(t){y=r;while(1){z=f[y>>2]|0;l=b[z+11>>0]|0;s=l<<24>>24<0;v=s?f[z+4>>2]|0:l&255;l=v>>>0<u>>>0?v:u;if((l|0)!=0?(m=ahc(f[q>>2]|0,s?f[z>>2]|0:z,l)|0,(m|0)!=0):0){if((m|0)<0){D=y;break c}}else n=38;if((n|0)==38?(n=0,u>>>0<v>>>0):0){D=y;break c}y=y+4|0;if((y|0)==(g|0)){n=111;break a}}}else{y=r;while(1){v=f[y>>2]|0;m=b[v+11>>0]|0;l=m<<24>>24<0;z=l?f[v+4>>2]|0:m&255;m=z>>>0<u>>>0?z:u;if((m|0)!=0?(s=ahc(q,l?f[v>>2]|0:v,m)|0,(s|0)!=0):0){if((s|0)<0){D=y;break c}}else n=42;if((n|0)==42?(n=0,u>>>0<z>>>0):0){D=y;break c}y=y+4|0;if((y|0)==(g|0)){n=111;break a}}}while(0);u=f[D>>2]|0;f[D>>2]=A;f[g>>2]=u;C=D+4|0}if((C|0)==(g|0)){n=111;break a}else{E=g;F=C}while(1){u=f[j>>2]|0;r=b[u+11>>0]|0;t=r<<24>>24<0;y=t?f[u+4>>2]|0:r&255;d:do if(t){r=F;while(1){z=f[r>>2]|0;s=b[z+11>>0]|0;m=s<<24>>24<0;v=m?f[z+4>>2]|0:s&255;s=v>>>0<y>>>0?v:y;if((s|0)!=0?(l=ahc(f[u>>2]|0,m?f[z>>2]|0:z,s)|0,(l|0)!=0):0){if((l|0)<0){G=r;break d}}else n=51;if((n|0)==51?(n=0,y>>>0<v>>>0):0){G=r;break d}r=r+4|0}}else{r=F;while(1){v=f[r>>2]|0;l=b[v+11>>0]|0;s=l<<24>>24<0;z=s?f[v+4>>2]|0:l&255;l=z>>>0<y>>>0?z:y;if((l|0)!=0?(m=ahc(u,s?f[v>>2]|0:v,l)|0,(m|0)!=0):0){if((m|0)<0){G=r;break d}}else n=55;if((n|0)==55?(n=0,y>>>0<z>>>0):0){G=r;break d}r=r+4|0}}while(0);e:do if(t){r=E;while(1){z=r+-4|0;m=f[z>>2]|0;l=b[m+11>>0]|0;v=l<<24>>24<0;s=v?f[m+4>>2]|0:l&255;l=s>>>0<y>>>0?s:y;if(l|0?(H=ahc(f[u>>2]|0,v?f[m>>2]|0:m,l)|0,H|0):0)if((H|0)<0){r=z;continue}else{I=z;break e}if(y>>>0<s>>>0)r=z;else{I=z;break}}}else{r=E;while(1){z=r+-4|0;s=f[z>>2]|0;H=b[s+11>>0]|0;l=H<<24>>24<0;m=l?f[s+4>>2]|0:H&255;H=m>>>0<y>>>0?m:y;if(H|0?(v=ahc(u,l?f[s>>2]|0:s,H)|0,v|0):0)if((v|0)<0){r=z;continue}else{I=z;break e}if(y>>>0<m>>>0)r=z;else{I=z;break}}}while(0);if(G>>>0>=I>>>0){j=G;continue b}y=f[G>>2]|0;f[G>>2]=f[I>>2];f[I>>2]=y;E=I;F=G+4|0}}if((n|0)==74){n=0;f[j>>2]=f[B>>2];f[B>>2]=q;w=B;x=p+1|0}A=j+4|0;f:do if(A>>>0<w>>>0){y=o;u=w;t=A;r=x;while(1){z=f[y>>2]|0;m=b[z+11>>0]|0;v=m<<24>>24<0;H=v?f[z+4>>2]|0:m&255;g:do if(v){m=t;while(1){s=f[m>>2]|0;l=b[s+11>>0]|0;J=l<<24>>24<0;K=J?f[s+4>>2]|0:l&255;l=H>>>0<K>>>0?H:K;if((l|0)!=0?(L=ahc(J?f[s>>2]|0:s,f[z>>2]|0,l)|0,(L|0)!=0):0){if((L|0)>=0){M=m;break g}}else n=80;if((n|0)==80?(n=0,K>>>0>=H>>>0):0){M=m;break g}m=m+4|0}}else{m=t;while(1){K=f[m>>2]|0;L=b[K+11>>0]|0;l=L<<24>>24<0;s=l?f[K+4>>2]|0:L&255;L=H>>>0<s>>>0?H:s;if((L|0)!=0?(J=ahc(l?f[K>>2]|0:K,z,L)|0,(J|0)!=0):0){if((J|0)>=0){M=m;break g}}else n=84;if((n|0)==84?(n=0,s>>>0>=H>>>0):0){M=m;break g}m=m+4|0}}while(0);h:do if(v){m=u;while(1){s=m+-4|0;J=f[s>>2]|0;L=b[J+11>>0]|0;K=L<<24>>24<0;l=K?f[J+4>>2]|0:L&255;L=H>>>0<l>>>0?H:l;if(L|0?(N=ahc(K?f[J>>2]|0:J,f[z>>2]|0,L)|0,N|0):0)if((N|0)<0){O=s;break h}else{m=s;continue}if(l>>>0<H>>>0){O=s;break}else m=s}}else{m=u;while(1){s=m+-4|0;l=f[s>>2]|0;N=b[l+11>>0]|0;L=N<<24>>24<0;J=L?f[l+4>>2]|0:N&255;N=H>>>0<J>>>0?H:J;if(N|0?(K=ahc(L?f[l>>2]|0:l,z,N)|0,K|0):0)if((K|0)<0){O=s;break h}else{m=s;continue}if(J>>>0<H>>>0){O=s;break}else m=s}}while(0);if(M>>>0>O>>>0){P=y;Q=r;R=M;break f}H=f[M>>2]|0;f[M>>2]=f[O>>2];f[O>>2]=H;y=(y|0)==(M|0)?O:y;u=O;t=M+4|0;r=r+1|0}}else{P=o;Q=x;R=A}while(0);do if((R|0)==(P|0))S=Q;else{A=f[P>>2]|0;r=f[R>>2]|0;t=b[r+11>>0]|0;u=t<<24>>24<0;y=u?f[r+4>>2]|0:t&255;t=b[A+11>>0]|0;H=t<<24>>24<0;z=H?f[A+4>>2]|0:t&255;t=y>>>0<z>>>0?y:z;v=r;m=A;if((t|0)!=0?(s=ahc(H?f[A>>2]|0:A,u?f[r>>2]|0:r,t)|0,(s|0)!=0):0){if((s|0)>=0){S=Q;break}}else n=101;if((n|0)==101?(n=0,z>>>0>=y>>>0):0){S=Q;break}f[R>>2]=m;f[P>>2]=v;S=Q+1|0}while(0);if(!S){T=nQa(j,R,d)|0;v=R+4|0;if(nQa(v,a,d)|0){n=110;break}if(T){i=v;continue}}v=R;if((v-k|0)>=(c-v|0)){n=109;break}JPa(j,R,d);i=R+4|0}if((n|0)==109){n=0;JPa(R+4|0,a,d);e=j;a=R;continue}else if((n|0)==110){n=0;if(T){n=111;break}else{e=j;a=R;continue}}}if((n|0)==5){R=f[g>>2]|0;e=f[j>>2]|0;T=b[e+11>>0]|0;k=T<<24>>24<0;S=k?f[e+4>>2]|0:T&255;T=b[R+11>>0]|0;Q=T<<24>>24<0;P=Q?f[R+4>>2]|0:T&255;T=S>>>0<P>>>0?S:P;x=e;o=R;if((T|0)!=0?(M=ahc(Q?f[R>>2]|0:R,k?f[e>>2]|0:e,T)|0,(M|0)!=0):0){if((M|0)>=0)return}else n=7;if((n|0)==7?P>>>0>=S>>>0:0)return;f[j>>2]=o;f[g>>2]=x;return}else if((n|0)==10){jQa(j,j+4|0,g,d)|0;return}else if((n|0)==11){kQa(j,j+4|0,j+8|0,g,d)|0;return}else if((n|0)==12){lQa(j,j+4|0,j+8|0,j+12|0,g,d)|0;return}else if((n|0)==14){mQa(j,a,d);return}else if((n|0)==111)return}function KPa(a){a=a|0;var c=0,d=0,e=0;f[a>>2]=114068;c=a+20|0;d=f[c>>2]|0;if(d&1|0?(e=d&-2,d=e,!((e|0)==0|(f[d+4>>2]|0)!=0)):0){if(f[d>>2]|0)ebc(d);fuc(e)}f[c>>2]=0;f[a>>2]=114184;if(f[a+12>>2]|0)return;c=f[a+4>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}c=f[a+8>>2]|0;if(!c)return;bi[f[(f[c>>2]|0)+4>>2]&2047](c);return}function LPa(a){a=a|0;KPa(a);fuc(a);return}function MPa(a,b){a=a|0;b=b|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;return}function NPa(a){a=a|0;a=cuc(24)|0;f[a+12>>2]=0;f[a+4>>2]=542896;f[a+8>>2]=0;f[a+16>>2]=0;f[a+20>>2]=0;f[a>>2]=113644;return a|0}function OPa(a,b){a=a|0;b=b|0;var c=0,d=0;if(!b){a=cuc(24)|0;f[a+12>>2]=0;f[a+4>>2]=542896;f[a+8>>2]=0;f[a+16>>2]=0;f[a+20>>2]=0;c=a;f[c>>2]=113644;return c|0}if(f[b+64>>2]|0)HIb(b,19328,24);a=FIb(b,24)|0;d=b;f[a+12>>2]=d;f[a+4>>2]=542896;f[a+8>>2]=0;f[a+16>>2]=0;f[a+20>>2]=d;c=a;f[c>>2]=113644;return c|0}function PPa(a){a=a|0;return f[a+12>>2]|0}function QPa(a){a=a|0;return di[f[(f[a>>2]|0)+20>>2]&1023](a)|0}function RPa(a){a=a|0;var c=0,d=0;c=f[a+4>>2]|0;do if((c|0)!=542896){d=c+11|0;if((b[d>>0]|0)<0){b[f[c>>2]>>0]=0;f[c+4>>2]=0;break}else{b[c>>0]=0;b[d>>0]=0;break}}while(0);c=f[a+8>>2]|0;if((c|0?(MOa(c),d=f[c+4>>2]|0,d&1|0):0)?(c=d&-2,f[c>>2]|0):0)ebc(c);c=a+16|0;f[c>>2]=f[c>>2]&-4;return}function SPa(a){a=a|0;return 1}function TPa(a,b){a=a|0;b=b|0;oPa(a,b);return}function UPa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;d=u;u=u+16|0;e=d;g=c+4|0;h=a+16|0;i=a+4|0;j=a+12|0;k=a+8|0;a=e+4|0;l=c+32|0;m=c+12|0;n=c+28|0;a:while(1){o=f[c>>2]|0;if(o>>>0<(f[g>>2]|0)>>>0){p=b[o>>0]|0;q=p&255;if(p<<24>>24>-1){f[c>>2]=o+1;r=q}else{s=q;t=5}}else{s=0;t=5}if((t|0)==5){t=0;r=OJb(c,s)|0}switch(r|0){case 0:{v=1;t=35;break a;break}case 10:{f[h>>2]=f[h>>2]|1;q=f[i>>2]|0;if((q|0)==542896){QGa(i,f[j>>2]|0,542896);w=f[i>>2]|0}else w=q;if(!($Lb(c,w)|0)){v=0;t=35;break a}q=f[h>>2]|1;f[h>>2]=q;o=f[c>>2]|0;if(o>>>0>=(f[g>>2]|0)>>>0)continue a;if((b[o>>0]|0)!=18)continue a;f[c>>2]=o+1;x=q;break}case 18:{x=f[h>>2]|0;break}default:{if((r&7|0)==4){v=1;t=35;break a}if(CLb(c,r)|0)continue a;else{v=0;t=35;break a}}}f[h>>2]=x|2;q=f[j>>2]|0;o=f[k>>2]|0;if(!o){if(!q){p=cuc(24)|0;kPa(p);y=p}else{if(f[q+64>>2]|0)HIb(q,19312,24);p=FIb(q,24)|0;lPa(p,q);y=p}f[k>>2]=y;z=y}else z=o;o=f[c>>2]|0;if(o>>>0<(f[g>>2]|0)>>>0?(p=b[o>>0]|0,p<<24>>24>-1):0){f[c>>2]=o+1;A=p&255}else{p=NJb(c)|0;if((p|0)>-1)A=p;else{v=0;t=35;break}}yJb(e,c,A);if((f[a>>2]|0)<0){t=27;break}if(!(dQa(z,c)|0)){t=27;break}if(!(DJb(c,f[e>>2]|0)|0)){v=0;t=35;break}f[h>>2]=f[h>>2]|2;if((f[c>>2]|0)!=(f[g>>2]|0))continue;if(f[l>>2]|0){t=32;break}if((f[m>>2]|0)==(f[n>>2]|0)){t=32;break}}if((t|0)==27){v=0;u=d;return v|0}else if((t|0)==32){f[c+20>>2]=0;b[c+24>>0]=1;v=1;u=d;return v|0}else if((t|0)==35){u=d;return v|0}return 0}function VPa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=a+16|0;d=f[c>>2]|0;if(!(d&1)){e=d;g=0}else{d=di[f[(f[a>>2]|0)+100>>2]&1023](a)|0;h=b[d+11>>0]|0;i=h<<24>>24<0?f[d+4>>2]|0:h&255;h=i+1+((((($(i|1|0)|0)^31)*9|0)+73|0)>>>6)|0;e=f[c>>2]|0;g=h}if(!(e&2)){j=0;k=j+g|0;return k|0}e=cQa(di[f[(f[a>>2]|0)+104>>2]&1023](a)|0)|0;j=e+1+((((($(e|1|0)|0)^31)*9|0)+73|0)>>>6)|0;k=j+g|0;return k|0}function WPa(a,b){a=a|0;b=b|0;ULb(1,di[f[(f[a>>2]|0)+100>>2]&1023](a)|0,b);_Lb(2,di[f[(f[a>>2]|0)+104>>2]&1023](a)|0,b);return}function XPa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=a+16|0;d=f[c>>2]|0;if(!(d&1)){e=d;g=0}else{d=di[f[(f[a>>2]|0)+100>>2]&1023](a)|0;h=b[d+11>>0]|0;i=h<<24>>24<0?f[d+4>>2]|0:h&255;h=i+1+((((($(i|1|0)|0)^31)*9|0)+73|0)>>>6)|0;e=f[c>>2]|0;g=h}if(!(e&2)){j=0;k=j+g|0;return k|0}e=(di[f[(f[a>>2]|0)+104>>2]&1023](a)|0)+16|0;a=f[e>>2]|0;j=a+1+((((($(a|1|0)|0)^31)*9|0)+73|0)>>>6)|0;k=j+g|0;return k|0}function YPa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0;e=di[f[(f[a>>2]|0)+100>>2]&1023](a)|0;b[d>>0]=10;g=XJb(e,d+1|0)|0;d=di[f[(f[a>>2]|0)+104>>2]&1023](a)|0;b[g>>0]=18;a=g+1|0;g=di[f[(f[d>>2]|0)+60>>2]&1023](d)|0;if(g>>>0>127){e=g;h=a;while(1){b[h>>0]=e|128;i=e>>>7;j=h+1|0;if(e>>>0>16383){e=i;h=j}else{k=j;l=i;break}}}else{k=a;l=g}b[k>>0]=l;return li[f[(f[d>>2]|0)+64>>2]&511](d,c,k+1|0)|0}function ZPa(a,b){a=a|0;b=b|0;e6b(a,b);return}function _Pa(a){a=a|0;var b=0;b=f[a+8>>2]|0;return (di[f[(f[b>>2]|0)+84>>2]&1023](b)|0)+28|0}function $Pa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224734]|0)!=2){f[d>>2]=151624;f[d+4>>2]=3;b[d+8>>0]=0;xLb(898936,d);QKb(d)}d=536104;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function aQa(a){a=a|0;return f[a+24>>2]|0}function bQa(a){a=a|0;return f[a+28>>2]|0}function cQa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0;c=f[a+4>>2]|0;if((c&1|0)!=0&(b[488459]|0)!=0)d=Dbc(c&-2)|0;else d=0;do switch(f[a+20>>2]|0){case 2:{c=f[a+8>>2]|0;e=b[c+11>>0]|0;g=e<<24>>24<0?f[c+4>>2]|0:e&255;h=d+1+g+((((($(g|1|0)|0)^31)*9|0)+73|0)>>>6)|0;i=a+16|0;f[i>>2]=h;return h|0}case 3:{g=a+8|0;h=d+1+(((((xzc(f[g>>2]|1|0,f[g+4>>2]|0,1)|0)^63)*9|0)+73|0)>>>6)|0;i=a+16|0;f[i>>2]=h;return h|0}case 4:{h=d+5|0;i=a+16|0;f[i>>2]=h;return h|0}case 5:{h=d+2|0;i=a+16|0;f[i>>2]=h;return h|0}case 6:{g=f[a+8>>2]|0;if((g|0)<0)j=11;else j=((((($(g|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;h=j+d|0;i=a+16|0;f[i>>2]=h;return h|0}case 7:{g=f[a+8>>2]|0;e=di[f[(f[g>>2]|0)+48>>2]&1023](g)|0;h=d+1+e+((((($(e|1|0)|0)^31)*9|0)+73|0)>>>6)|0;i=a+16|0;f[i>>2]=h;return h|0}case 8:{e=f[a+8>>2]|0;g=di[f[(f[e>>2]|0)+48>>2]&1023](e)|0;h=d+1+g+((((($(g|1|0)|0)^31)*9|0)+73|0)>>>6)|0;i=a+16|0;f[i>>2]=h;return h|0}case 1:{g=f[a+8>>2]|0;e=di[f[(f[g>>2]|0)+48>>2]&1023](g)|0;h=d+1+e+((((($(e|1|0)|0)^31)*9|0)+73|0)>>>6)|0;i=a+16|0;f[i>>2]=h;return h|0}case 10:{e=f[a+8>>2]|0;g=di[f[(f[e>>2]|0)+48>>2]&1023](e)|0;h=d+1+g+((((($(g|1|0)|0)^31)*9|0)+73|0)>>>6)|0;i=a+16|0;f[i>>2]=h;return h|0}case 9:{g=f[a+8>>2]|0;e=b[g+11>>0]|0;c=e<<24>>24<0?f[g+4>>2]|0:e&255;h=d+1+c+((((($(c|1|0)|0)^31)*9|0)+73|0)>>>6)|0;i=a+16|0;f[i>>2]=h;return h|0}default:{h=d;i=a+16|0;f[i>>2]=h;return h|0}}while(0);return 0}function dQa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0;d=u;u=u+16|0;e=d;g=c+4|0;i=e+4|0;j=a+20|0;k=a+8|0;l=a+4|0;m=a+8|0;n=e+8|0;o=e+8|0;p=e+4|0;q=e+4|0;r=e+4|0;a:while(1){s=f[c>>2]|0;if(s>>>0<(f[g>>2]|0)>>>0){t=b[s>>0]|0;v=t&255;if(t<<24>>24>0){f[c>>2]=s+1;w=v;x=6}else{y=v;x=5}}else{y=0;x=5}if((x|0)==5){x=0;v=OJb(c,y)|0;if((v+-1|0)>>>0<127){w=v;x=6}else z=v}b:do if((x|0)==6){x=0;do switch(w>>>3&536870911|0){case 1:{if((w&255|0)!=10){z=w;break b}v=QOa(a)|0;s=f[c>>2]|0;if(s>>>0<(f[g>>2]|0)>>>0?(t=b[s>>0]|0,t<<24>>24>-1):0){f[c>>2]=s+1;A=t&255}else{t=NJb(c)|0;if((t|0)>-1)A=t;else{B=0;x=104;break a}}yJb(e,c,A);if((f[i>>2]|0)<0){x=14;break a}if(!(Th[f[(f[v>>2]|0)+44>>2]&1023](v,c)|0)){x=14;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{B=0;x=104;break a}break}case 2:{if((w&255|0)!=18){z=w;break b}if((f[j>>2]|0)!=2){MOa(a);f[j>>2]=2;f[k>>2]=542896}v=f[l>>2]|0;t=v&-2;if(!(v&1))C=t;else C=f[t+4>>2]|0;t=f[k>>2]|0;if((t|0)==542896){QGa(k,C,542896);D=f[k>>2]|0}else D=t;if($Lb(c,D)|0)continue a;else{B=0;x=104;break a}break}case 3:{if((w&255|0)!=24){z=w;break b}MOa(a);t=f[c>>2]|0;if(t>>>0<(f[g>>2]|0)>>>0?(v=b[t>>0]|0,v<<24>>24>-1):0){f[c>>2]=t+1;E=v&255;F=0}else{AJb(e,c);v=e;if(!(b[n>>0]|0)){B=0;x=104;break a}else{E=f[v>>2]|0;F=f[v+4>>2]|0}}v=m;f[v>>2]=E;f[v+4>>2]=F;f[j>>2]=3;continue a;break}case 4:{if((w&255|0)!=37){z=w;break b}MOa(a);v=f[c>>2]|0;if(((f[g>>2]|0)-v|0)>3){t=v;s=h[t>>0]|h[t+1>>0]<<8|h[t+2>>0]<<16|h[t+3>>0]<<24;f[e>>2]=s;f[c>>2]=v+4;G=s}else{if(!(LJb(c,e)|0)){x=36;break a}G=f[e>>2]|0}f[k>>2]=G;f[j>>2]=4;continue a;break}case 5:{if((w&255|0)!=40){z=w;break b}MOa(a);s=f[c>>2]|0;if(s>>>0<(f[g>>2]|0)>>>0?(v=b[s>>0]|0,v<<24>>24>-1):0){f[c>>2]=s+1;H=v<<24>>24!=0}else{AJb(e,c);v=e;if(!(b[o>>0]|0)){B=0;x=104;break a}else H=(f[v>>2]|0)!=0|(f[v+4>>2]|0)!=0}b[k>>0]=H&1;f[j>>2]=5;continue a;break}case 6:{if((w&255|0)!=48){z=w;break b}v=f[c>>2]|0;if(v>>>0<(f[g>>2]|0)>>>0){s=b[v>>0]|0;t=s&255;if(s<<24>>24>-1){f[c>>2]=v+1;I=t}else{K=t;x=48}}else{K=0;x=48}if((x|0)==48){x=0;t=zJb(c,K)|0;v=J;if((v|0)>-1|(v|0)==-1&t>>>0>4294967295)I=t;else{B=0;x=104;break a}}if((f[j>>2]|0)!=6){MOa(a);f[j>>2]=6}f[k>>2]=I;continue a;break}case 7:{if((w&255|0)!=58){z=w;break b}t=POa(a)|0;v=f[c>>2]|0;if(v>>>0<(f[g>>2]|0)>>>0?(s=b[v>>0]|0,s<<24>>24>-1):0){f[c>>2]=v+1;L=s&255}else{s=NJb(c)|0;if((s|0)>-1)L=s;else{B=0;x=104;break a}}yJb(e,c,L);if((f[p>>2]|0)<0){x=59;break a}if(!(Th[f[(f[t>>2]|0)+44>>2]&1023](t,c)|0)){x=59;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{B=0;x=104;break a}break}case 8:{if((w&255|0)!=66){z=w;break b}t=OGa(a)|0;s=f[c>>2]|0;if(s>>>0<(f[g>>2]|0)>>>0?(v=b[s>>0]|0,v<<24>>24>-1):0){f[c>>2]=s+1;M=v&255}else{v=NJb(c)|0;if((v|0)>-1)M=v;else{B=0;x=104;break a}}yJb(e,c,M);if((f[q>>2]|0)<0){x=68;break a}if(!(Th[f[(f[t>>2]|0)+44>>2]&1023](t,c)|0)){x=68;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{B=0;x=104;break a}break}case 9:{if((w&255|0)!=74){z=w;break b}if((f[j>>2]|0)!=9){MOa(a);f[j>>2]=9;f[k>>2]=542896}t=f[l>>2]|0;v=t&-2;if(!(t&1))N=v;else N=f[v+4>>2]|0;v=f[k>>2]|0;if((v|0)==542896){QGa(k,N,542896);O=f[k>>2]|0}else O=v;if(!($Lb(c,O)|0)){B=0;x=104;break a}v=(f[j>>2]|0)==9;if(v){t=f[k>>2]|0;P=t;Q=t}else{P=542896;Q=542896}if((b[Q+11>>0]|0)<0)R=f[P>>2]|0;else R=P;if(v){v=f[k>>2]|0;S=v;T=v}else{S=542896;T=542896}v=b[T+11>>0]|0;if(v<<24>>24<0)U=f[S+4>>2]|0;else U=v&255;if(aMb(R,U,0,418471)|0)continue a;else{B=0;x=104;break a}break}case 10:{if((w&255|0)!=82){z=w;break b}v=SOa(a)|0;t=f[c>>2]|0;if(t>>>0<(f[g>>2]|0)>>>0?(s=b[t>>0]|0,s<<24>>24>-1):0){f[c>>2]=t+1;V=s&255}else{s=NJb(c)|0;if((s|0)>-1)V=s;else{B=0;x=104;break a}}yJb(e,c,V);if((f[r>>2]|0)<0){x=97;break a}if(!(Th[f[(f[v>>2]|0)+44>>2]&1023](v,c)|0)){x=97;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{B=0;x=104;break a}break}default:{z=w;break b}}while(0)}while(0);if(!z){B=1;x=104;break}v=f[l>>2]|0;if(!(v&1))W=OOa(l)|0;else W=v&-2;if(!(xbc(c,z,W)|0)){B=0;x=104;break}}if((x|0)==14){B=0;u=d;return B|0}else if((x|0)==36){B=0;u=d;return B|0}else if((x|0)==59){B=0;u=d;return B|0}else if((x|0)==68){B=0;u=d;return B|0}else if((x|0)==97){B=0;u=d;return B|0}else if((x|0)==104){u=d;return B|0}return 0}function eQa(a){a=a|0;var c=0;f[a>>2]=114184;if(f[a+12>>2]|0)return;c=f[a+4>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}c=f[a+8>>2]|0;if(!c)return;bi[f[(f[c>>2]|0)+4>>2]&2047](c);return}function fQa(a){a=a|0;var c=0;f[a>>2]=114184;if(f[a+12>>2]|0){fuc(a);return}c=f[a+4>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}c=f[a+8>>2]|0;if(!c){fuc(a);return}bi[f[(f[c>>2]|0)+4>>2]&2047](c);fuc(a);return}function gQa(a){a=a|0;return f[a+4>>2]|0}function hQa(a){a=a|0;var b=0;b=f[a+8>>2]|0;return (b|0?b:f[134004]|0)|0}function iQa(a){a=a|0;KPa(a);fuc(a);return}function jQa(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;e=f[c>>2]|0;g=f[a>>2]|0;h=b[g+11>>0]|0;i=h<<24>>24<0;j=g+4|0;k=i?f[j>>2]|0:h&255;h=b[e+11>>0]|0;l=h<<24>>24<0;m=l?f[e+4>>2]|0:h&255;h=k>>>0<m>>>0;n=h?k:m;o=e;p=g;if((n|0)!=0?(q=ahc(l?f[e>>2]|0:e,i?f[g>>2]|0:g,n)|0,(q|0)!=0):0)r=q;else r=m>>>0<k>>>0?-1:h&1;h=(r|0)<0;r=f[d>>2]|0;k=b[r+11>>0]|0;q=k<<24>>24<0;n=q?f[r+4>>2]|0:k&255;k=m>>>0<n>>>0;i=k?m:n;s=r;if((i|0)!=0?(t=ahc(q?f[r>>2]|0:r,l?f[e>>2]|0:e,i)|0,(t|0)!=0):0)u=t;else u=n>>>0<m>>>0?-1:k&1;k=(u|0)<0;if(!h){if(!k){v=0;return v|0}f[c>>2]=s;f[d>>2]=o;h=f[c>>2]|0;u=f[a>>2]|0;m=b[u+11>>0]|0;n=m<<24>>24<0;t=n?f[u+4>>2]|0:m&255;m=b[h+11>>0]|0;i=m<<24>>24<0;e=i?f[h+4>>2]|0:m&255;m=t>>>0<e>>>0?t:e;l=u;r=h;if((m|0)!=0?(q=ahc(i?f[h>>2]|0:h,n?f[u>>2]|0:u,m)|0,(q|0)!=0):0){if((q|0)>=0){v=1;return v|0}}else w=11;if((w|0)==11?e>>>0>=t>>>0:0){v=1;return v|0}f[a>>2]=r;f[c>>2]=l;v=2;return v|0}if(k){f[a>>2]=s;f[d>>2]=p;v=1;return v|0}f[a>>2]=o;f[c>>2]=p;o=f[d>>2]|0;a=b[g+11>>0]|0;s=a<<24>>24<0;k=s?f[j>>2]|0:a&255;a=b[o+11>>0]|0;j=a<<24>>24<0;l=j?f[o+4>>2]|0:a&255;a=k>>>0<l>>>0?k:l;r=o;if((a|0)!=0?(t=ahc(j?f[o>>2]|0:o,s?f[g>>2]|0:g,a)|0,(t|0)!=0):0){if((t|0)>=0){v=1;return v|0}}else w=18;if((w|0)==18?l>>>0>=k>>>0:0){v=1;return v|0}f[c>>2]=r;f[d>>2]=p;v=2;return v|0}function kQa(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;h=jQa(a,c,d,g)|0;g=f[e>>2]|0;i=f[d>>2]|0;j=b[i+11>>0]|0;k=j<<24>>24<0;l=k?f[i+4>>2]|0:j&255;j=b[g+11>>0]|0;m=j<<24>>24<0;n=m?f[g+4>>2]|0:j&255;j=l>>>0<n>>>0?l:n;o=i;p=g;if((j|0)!=0?(q=ahc(m?f[g>>2]|0:g,k?f[i>>2]|0:i,j)|0,(q|0)!=0):0){if((q|0)>=0){r=h;return r|0}}else s=3;if((s|0)==3?n>>>0>=l>>>0:0){r=h;return r|0}f[d>>2]=p;f[e>>2]=o;o=h+1|0;e=f[d>>2]|0;p=f[c>>2]|0;l=b[p+11>>0]|0;n=l<<24>>24<0;q=n?f[p+4>>2]|0:l&255;l=b[e+11>>0]|0;j=l<<24>>24<0;i=j?f[e+4>>2]|0:l&255;l=q>>>0<i>>>0?q:i;k=p;g=e;if((l|0)!=0?(m=ahc(j?f[e>>2]|0:e,n?f[p>>2]|0:p,l)|0,(m|0)!=0):0){if((m|0)>=0){r=o;return r|0}}else s=7;if((s|0)==7?i>>>0>=q>>>0:0){r=o;return r|0}f[c>>2]=g;f[d>>2]=k;k=h+2|0;d=f[c>>2]|0;g=f[a>>2]|0;o=b[g+11>>0]|0;q=o<<24>>24<0;i=q?f[g+4>>2]|0:o&255;o=b[d+11>>0]|0;m=o<<24>>24<0;l=m?f[d+4>>2]|0:o&255;o=i>>>0<l>>>0?i:l;p=g;n=d;if((o|0)!=0?(e=ahc(m?f[d>>2]|0:d,q?f[g>>2]|0:g,o)|0,(e|0)!=0):0){if((e|0)>=0){r=k;return r|0}}else s=11;if((s|0)==11?l>>>0>=i>>>0:0){r=k;return r|0}f[a>>2]=n;f[c>>2]=p;r=h+3|0;return r|0}function lQa(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;i=kQa(a,c,d,e,h)|0;h=f[g>>2]|0;j=f[e>>2]|0;k=b[j+11>>0]|0;l=k<<24>>24<0;m=l?f[j+4>>2]|0:k&255;k=b[h+11>>0]|0;n=k<<24>>24<0;o=n?f[h+4>>2]|0:k&255;k=m>>>0<o>>>0?m:o;p=j;q=h;if((k|0)!=0?(r=ahc(n?f[h>>2]|0:h,l?f[j>>2]|0:j,k)|0,(r|0)!=0):0){if((r|0)>=0){s=i;return s|0}}else t=3;if((t|0)==3?o>>>0>=m>>>0:0){s=i;return s|0}f[e>>2]=q;f[g>>2]=p;p=i+1|0;g=f[e>>2]|0;q=f[d>>2]|0;m=b[q+11>>0]|0;o=m<<24>>24<0;r=o?f[q+4>>2]|0:m&255;m=b[g+11>>0]|0;k=m<<24>>24<0;j=k?f[g+4>>2]|0:m&255;m=r>>>0<j>>>0?r:j;l=q;h=g;if((m|0)!=0?(n=ahc(k?f[g>>2]|0:g,o?f[q>>2]|0:q,m)|0,(n|0)!=0):0){if((n|0)>=0){s=p;return s|0}}else t=7;if((t|0)==7?j>>>0>=r>>>0:0){s=p;return s|0}f[d>>2]=h;f[e>>2]=l;l=i+2|0;e=f[d>>2]|0;h=f[c>>2]|0;p=b[h+11>>0]|0;r=p<<24>>24<0;j=r?f[h+4>>2]|0:p&255;p=b[e+11>>0]|0;n=p<<24>>24<0;m=n?f[e+4>>2]|0:p&255;p=j>>>0<m>>>0?j:m;q=h;o=e;if((p|0)!=0?(g=ahc(n?f[e>>2]|0:e,r?f[h>>2]|0:h,p)|0,(g|0)!=0):0){if((g|0)>=0){s=l;return s|0}}else t=11;if((t|0)==11?m>>>0>=j>>>0:0){s=l;return s|0}f[c>>2]=o;f[d>>2]=q;q=i+3|0;d=f[c>>2]|0;o=f[a>>2]|0;l=b[o+11>>0]|0;j=l<<24>>24<0;m=j?f[o+4>>2]|0:l&255;l=b[d+11>>0]|0;g=l<<24>>24<0;p=g?f[d+4>>2]|0:l&255;l=m>>>0<p>>>0?m:p;h=o;r=d;if((l|0)!=0?(e=ahc(g?f[d>>2]|0:d,j?f[o>>2]|0:o,l)|0,(e|0)!=0):0){if((e|0)>=0){s=q;return s|0}}else t=15;if((t|0)==15?p>>>0>=m>>>0:0){s=q;return s|0}f[a>>2]=r;f[c>>2]=h;s=i+4|0;return s|0}function mQa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;e=a+8|0;jQa(a,a+4|0,e,d)|0;d=a+12|0;if((d|0)==(c|0))return;else{g=d;h=e}while(1){e=f[g>>2]|0;d=f[h>>2]|0;i=b[d+11>>0]|0;j=i<<24>>24<0;k=j?f[d+4>>2]|0:i&255;i=b[e+11>>0]|0;l=i<<24>>24<0;m=e+4|0;n=l?f[m>>2]|0:i&255;i=k>>>0<n>>>0?k:n;o=e;p=d;if((i|0)!=0?(q=ahc(l?f[e>>2]|0:e,j?f[d>>2]|0:d,i)|0,(q|0)!=0):0){if((q|0)<0)r=7}else r=5;if((r|0)==5?(r=0,n>>>0<k>>>0):0)r=7;if((r|0)==7){r=0;f[g>>2]=p;a:do if((h|0)==(a|0))s=h;else{p=b[e+11>>0]|0;k=p<<24>>24<0;n=p&255;p=h;q=h;while(1){i=q;q=p+-4|0;d=f[q>>2]|0;j=b[d+11>>0]|0;l=j<<24>>24<0;t=l?f[d+4>>2]|0:j&255;j=k?f[m>>2]|0:n;u=t>>>0<j>>>0?t:j;v=d;if((u|0)!=0?(w=ahc(k?f[e>>2]|0:e,l?f[d>>2]|0:d,u)|0,(w|0)!=0):0){if((w|0)>=0){s=i;break a}}else r=11;if((r|0)==11?(r=0,j>>>0>=t>>>0):0){s=i;break a}f[i>>2]=v;if((q|0)==(a|0)){s=q;break}else p=q}}while(0);f[s>>2]=o}e=g+4|0;if((e|0)==(c|0))break;else{m=g;g=e;h=m}}return}function nQa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;switch(c-a>>2|0){case 2:{e=c+-4|0;g=f[e>>2]|0;h=f[a>>2]|0;i=b[h+11>>0]|0;j=i<<24>>24<0;k=j?f[h+4>>2]|0:i&255;i=b[g+11>>0]|0;l=i<<24>>24<0;m=l?f[g+4>>2]|0:i&255;i=k>>>0<m>>>0?k:m;n=h;o=g;if((i|0)!=0?(p=ahc(l?f[g>>2]|0:g,j?f[h>>2]|0:h,i)|0,(p|0)!=0):0){if((p|0)>=0){q=1;return q|0}}else r=4;if((r|0)==4?m>>>0>=k>>>0:0){q=1;return q|0}f[a>>2]=o;f[e>>2]=n;q=1;return q|0}case 3:{jQa(a,a+4|0,c+-4|0,d)|0;q=1;return q|0}case 4:{kQa(a,a+4|0,a+8|0,c+-4|0,d)|0;q=1;return q|0}case 5:{lQa(a,a+4|0,a+8|0,a+12|0,c+-4|0,d)|0;q=1;return q|0}case 1:case 0:{q=1;return q|0}default:{n=a+8|0;jQa(a,a+4|0,n,d)|0;d=a+12|0;a:do if((d|0)==(c|0)){s=1;t=0}else{e=d;o=0;k=n;while(1){m=f[e>>2]|0;p=f[k>>2]|0;i=b[p+11>>0]|0;h=i<<24>>24<0;j=h?f[p+4>>2]|0:i&255;i=b[m+11>>0]|0;g=i<<24>>24<0;l=m+4|0;u=g?f[l>>2]|0:i&255;i=j>>>0<u>>>0?j:u;v=m;w=p;if((i|0)!=0?(x=ahc(g?f[m>>2]|0:m,h?f[p>>2]|0:p,i)|0,(x|0)!=0):0)if((x|0)<0)r=15;else y=o;else if(u>>>0<j>>>0)r=15;else y=o;if((r|0)==15){r=0;f[e>>2]=w;b:do if((k|0)==(a|0))z=k;else{w=b[m+11>>0]|0;j=w<<24>>24<0;u=w&255;w=k;x=k;while(1){x=x+-4|0;i=f[x>>2]|0;p=b[i+11>>0]|0;h=p<<24>>24<0;g=h?f[i+4>>2]|0:p&255;p=j?f[l>>2]|0:u;A=g>>>0<p>>>0?g:p;B=i;if((A|0)!=0?(C=ahc(j?f[m>>2]|0:m,h?f[i>>2]|0:i,A)|0,(C|0)!=0):0){if((C|0)>=0){z=w;break b}}else r=19;if((r|0)==19?(r=0,p>>>0>=g>>>0):0){z=w;break b}f[w>>2]=B;if((x|0)==(a|0)){z=x;break}else w=x}}while(0);f[z>>2]=v;m=o+1|0;if((m|0)==8){s=0;t=(e+4|0)==(c|0);break a}else y=m}m=e+4|0;if((m|0)==(c|0)){s=1;t=0;break}else{l=e;e=m;o=y;k=l}}}while(0);q=t|s;return q|0}}return 0}function oQa(a,c){a=a|0;c=c|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;e=u;u=u+16|0;g=e;h=f[c>>2]|0;i=c+4|0;if(h>>>0<(f[i>>2]|0)>>>0?(b[h>>0]|0)==10:0){f[c>>2]=h+1;h=a+8|0;if(!($Lb(c,h)|0)){j=0;u=e;return j|0}k=f[c>>2]|0;if((((f[i>>2]|0)-k|0)>0?(b[k>>0]|0)==18:0)?(k=a+4|0,l=f[k>>2]|0,m=f[f[l+8>>2]>>2]|0,n=yGa(l,h)|0,l=a+20|0,f[l>>2]=n,(m|0)!=(f[f[(f[k>>2]|0)+8>>2]>>2]|0)):0){m=f[i>>2]|0;o=f[c>>2]|0;p=m-o|0;if((p|0)<1){HJb(c,1,p)|0;q=f[c>>2]|0;r=f[i>>2]|0;s=f[l>>2]|0}else{l=o+1|0;f[c>>2]=l;q=l;r=m;s=n}if(q>>>0<r>>>0?(r=b[q>>0]|0,r<<24>>24>-1):0){f[c>>2]=q+1;t=r&255;v=14}else v=13;if((v|0)==13?(r=NJb(c)|0,(r|0)>-1):0){t=r;v=14}do if(((v|0)==14?(yJb(g,c,t),(f[g+4>>2]|0)>=0):0)?dQa(s,c)|0:0){if(!(DJb(c,f[g>>2]|0)|0))break;do if((f[c>>2]|0)==(f[i>>2]|0)){if((f[c+32>>2]|0)==0?(f[c+12>>2]|0)!=(f[c+28>>2]|0):0)break;f[c+20>>2]=0;b[c+24>>0]=1;j=1;u=e;return j|0}while(0);j=pQa(a,c)|0;u=e;return j|0}while(0);rPa(f[k>>2]|0,h)|0;j=0;u=e;return j|0}}else{f[g>>2]=0;d[g+4>>1]=0;b[g+6>>0]=0;h=a+8|0;k=h+11|0;if((b[k>>0]|0)<0){b[f[h>>2]>>0]=0;f[a+12>>2]=0}else{b[h>>0]=0;b[k>>0]=0}vuc(h,0);f[a+8>>2]=0;h=a+12|0;f[h>>2]=f[g>>2];d[h+4>>1]=d[g+4>>1]|0;b[h+6>>0]=b[g+6>>0]|0;b[a+19>>0]=0}g=f[(f[a>>2]|0)+20>>2]|0;if(!g){h=cuc(24)|0;f[h+12>>2]=0;f[h+4>>2]=542896;f[h+8>>2]=0;f[h+16>>2]=0;f[h+20>>2]=0;w=h}else{if(f[g+64>>2]|0)HIb(g,19328,24);h=FIb(g,24)|0;k=g;f[h+12>>2]=k;f[h+4>>2]=542896;f[h+8>>2]=0;f[h+16>>2]=0;f[h+20>>2]=k;w=h}f[w>>2]=113644;h=a+24|0;k=f[h>>2]|0;if((k|0)==(w|0))x=w;else{if(k|0)bi[f[(f[k>>2]|0)+4>>2]&2047](k);f[h>>2]=w;x=w}w=x+16|0;f[w>>2]=f[w>>2]|1;w=x+4|0;k=f[w>>2]|0;if((k|0)==542896){QGa(w,f[x+12>>2]|0,542896);y=f[w>>2]|0}else y=k;ruc(y,a+8|0)|0;y=f[h>>2]|0;k=Th[f[(f[y>>2]|0)+44>>2]&1023](y,c)|0;if(k)qQa(a);a=f[h>>2]|0;if(!(di[f[(f[a>>2]|0)+20>>2]&1023](a)|0)){j=k;u=e;return j|0}f[h>>2]=0;j=k;u=e;return j|0}function pQa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;d=f[(f[a>>2]|0)+20>>2]|0;if(!d){e=cuc(24)|0;f[e+12>>2]=0;f[e+4>>2]=542896;f[e+8>>2]=0;f[e+16>>2]=0;f[e+20>>2]=0;g=e}else{if(f[d+64>>2]|0)HIb(d,19328,24);e=FIb(d,24)|0;h=d;f[e+12>>2]=h;f[e+4>>2]=542896;f[e+8>>2]=0;f[e+16>>2]=0;f[e+20>>2]=h;g=e}f[g>>2]=113644;e=a+24|0;h=f[e>>2]|0;if((h|0)==(g|0))i=g;else{if(h|0)bi[f[(f[h>>2]|0)+4>>2]&2047](h);f[e>>2]=g;i=g}g=f[a+20>>2]|0;h=i+16|0;f[h>>2]=f[h>>2]|2;h=i+8|0;d=f[i+12>>2]|0;i=f[h>>2]|0;if(!i){if(!d){j=cuc(24)|0;kPa(j);k=j}else{if(f[d+64>>2]|0)HIb(d,19312,24);j=FIb(d,24)|0;lPa(j,d);k=j}f[h>>2]=k;l=k}else l=i;rQa(l,g);g=a+8|0;rPa(f[a+4>>2]|0,g)|0;l=f[e>>2]|0;i=l+16|0;f[i>>2]=f[i>>2]|1;i=l+4|0;k=f[i>>2]|0;if((k|0)==542896){QGa(i,f[l+12>>2]|0,542896);m=f[i>>2]|0}else m=k;k=m+11|0;if((b[k>>0]|0)<0){b[f[m>>2]>>0]=0;f[m+4>>2]=0}else{b[m>>0]=0;b[k>>0]=0}vuc(m,0);f[m>>2]=f[g>>2];f[m+4>>2]=f[g+4>>2];f[m+8>>2]=f[g+8>>2];f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;g=f[e>>2]|0;m=Th[f[(f[g>>2]|0)+44>>2]&1023](g,c)|0;if(m)qQa(a);a=f[e>>2]|0;if(!(di[f[(f[a>>2]|0)+20>>2]&1023](a)|0))return m|0;f[e>>2]=0;return m|0}function qQa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0;b=a+24|0;c=f[b>>2]|0;d=a+8|0;ruc(d,di[f[(f[c>>2]|0)+100>>2]&1023](c)|0)|0;c=yGa(f[a+4>>2]|0,d)|0;d=a+20|0;f[d>>2]=c;a=f[b>>2]|0;b=a+16|0;f[b>>2]=f[b>>2]|2;b=a+8|0;e=f[a+12>>2]|0;a=f[b>>2]|0;if(a|0){g=c;h=a;rQa(g,h);return}if(!e){a=cuc(24)|0;kPa(a);i=a}else{if(f[e+64>>2]|0)HIb(e,19312,24);a=FIb(e,24)|0;lPa(a,e);i=a}f[b>>2]=i;g=f[d>>2]|0;h=i;rQa(g,h);return}function rQa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;if((b|0)==(a|0))return;c=a+4|0;d=f[c>>2]|0;e=(d&1|0)==0;g=d&-2;if(e)h=g;else h=f[g+4>>2]|0;d=b+4|0;i=f[d>>2]|0;j=i&-2;if(!(i&1))k=j;else k=f[j+4>>2]|0;if((h|0)==(k|0)){k=a+8|0;h=k;j=f[h>>2]|0;i=f[h+4>>2]|0;h=b+8|0;l=h;m=f[l+4>>2]|0;n=k;f[n>>2]=f[l>>2];f[n+4>>2]=m;m=h;f[m>>2]=j;f[m+4>>2]=i;i=a+20|0;m=b+20|0;j=f[i>>2]|0;f[i>>2]=f[m>>2];f[m>>2]=j;j=b+4|0;m=f[c>>2]|0;i=f[j>>2]|0;if((i|m)&1|0){if(!(i&1)){h=OOa(j)|0;o=h;p=f[c>>2]|0}else{o=i&-2;p=m}if(!(p&1))q=OOa(c)|0;else q=p&-2;p=f[q>>2]|0;f[q>>2]=f[o>>2];f[o>>2]=p}p=a+16|0;o=b+16|0;q=f[p>>2]|0;f[p>>2]=f[o>>2];f[o>>2]=q;return}if(e)r=g;else r=f[g+4>>2]|0;if(!r){g=cuc(24)|0;kPa(g);s=g}else{if(f[r+64>>2]|0)HIb(r,19312,24);g=FIb(r,24)|0;lPa(g,r);s=g}NOa(s,b);MOa(b);g=f[d>>2]|0;if(g&1|0?(d=g&-2,f[d>>2]|0):0)ebc(d);NOa(b,a);b=a+8|0;d=b;g=f[d>>2]|0;r=f[d+4>>2]|0;d=s+8|0;e=d;q=f[e+4>>2]|0;o=b;f[o>>2]=f[e>>2];f[o+4>>2]=q;q=d;f[q>>2]=g;f[q+4>>2]=r;r=a+20|0;q=s+20|0;g=f[r>>2]|0;f[r>>2]=f[q>>2];f[q>>2]=g;g=s+4|0;q=f[c>>2]|0;r=f[g>>2]|0;if(!((r|q)&1))t=q;else{if(!(r&1)){d=OOa(g)|0;u=d;v=f[c>>2]|0}else{u=r&-2;v=q}if(!(v&1))w=OOa(c)|0;else w=v&-2;v=f[w>>2]|0;f[w>>2]=f[u>>2];f[u>>2]=v;t=f[c>>2]|0}c=a+16|0;a=s+16|0;v=f[c>>2]|0;f[c>>2]=f[a>>2];f[a>>2]=v;v=t&-2;if(!(t&1))x=v;else x=f[v+4>>2]|0;if(x|0)return;bi[f[(f[s>>2]|0)+4>>2]&2047](s);return}function sQa(a){a=a|0;KPa(a);fuc(a);return}function tQa(a){a=a|0;gPa(a);fuc(a);return}function uQa(a){a=a|0;a=cuc(24)|0;kPa(a);return a|0}function vQa(a,b){a=a|0;b=b|0;var c=0;if(!b){a=cuc(24)|0;kPa(a);c=a;return c|0}if(f[b+64>>2]|0)HIb(b,19312,24);a=FIb(b,24)|0;lPa(a,b);c=a;return c|0}function wQa(a){a=a|0;var b=0,c=0;b=f[a+4>>2]|0;a=b&-2;if(!(b&1)){c=a;return c|0}else{c=f[a+4>>2]|0;return c|0}return 0}function xQa(a){a=a|0;return f[a+4>>2]|0}function yQa(a){a=a|0;var b=0;MOa(a);b=f[a+4>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;ebc(a);return}function zQa(a){a=a|0;return 1}function AQa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0;d=a+20|0;e=f[d>>2]|0;if((e|0)==1){_Lb(1,f[a+8>>2]|0,c);g=f[d>>2]|0}else g=e;if((g|0)==2){XLb(2,f[a+8>>2]|0,c);h=f[d>>2]|0}else h=g;if((h|0)==3){g=a+8|0;HLb(3,f[g>>2]|0,f[g+4>>2]|0,c);i=f[d>>2]|0}else i=h;if((i|0)==4){QLb(4,+n[a+8>>2],c);j=f[d>>2]|0}else j=i;if((j|0)==5){SLb(5,(b[a+8>>0]|0)!=0,c);k=f[d>>2]|0}else k=j;if((k|0)==6){TLb(6,f[a+8>>2]|0,c);l=f[d>>2]|0}else l=k;if((l|0)==7){_Lb(7,f[a+8>>2]|0,c);m=f[d>>2]|0}else m=l;if((m|0)==8){_Lb(8,f[a+8>>2]|0,c);o=f[d>>2]|0}else o=m;if((o|0)==9){m=a+8|0;l=f[m>>2]|0;k=b[l+11>>0]|0;if(k<<24>>24<0){p=f[l>>2]|0;q=f[l+4>>2]|0}else{p=l;q=k&255}aMb(p,q,1,418471)|0;if((f[d>>2]|0)==9)r=f[m>>2]|0;else r=542896;VLb(9,r,c);s=f[d>>2]|0}else s=o;if((s|0)==10)_Lb(10,f[a+8>>2]|0,c);s=f[a+4>>2]|0;if(!((s&1|0)!=0&(b[488459]|0)!=0))return;Abc(s&-2,c);return}function BQa(a){a=a|0;return f[a+16>>2]|0}function CQa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0;e=a+20|0;g=f[e>>2]|0;if((g|0)==1){h=f[a+8>>2]|0;b[d>>0]=10;i=d+1|0;j=di[f[(f[h>>2]|0)+60>>2]&1023](h)|0;if(j>>>0>127){k=j;l=i;while(1){b[l>>0]=k|128;m=k>>>7;n=l+1|0;if(k>>>0>16383){k=m;l=n}else{o=n;p=m;break}}}else{o=i;p=j}b[o>>0]=p;p=li[f[(f[h>>2]|0)+64>>2]&511](h,c,o+1|0)|0;q=p;r=f[e>>2]|0}else{q=d;r=g}if((r|0)==2){g=f[a+8>>2]|0;b[q>>0]=18;d=XJb(g,q+1|0)|0;s=d;t=f[e>>2]|0}else{s=q;t=r}if((t|0)==3){r=a+8|0;q=f[r>>2]|0;d=f[r+4>>2]|0;b[s>>0]=24;r=s+1|0;g=q&255;if(d>>>0>0|(d|0)==0&q>>>0>127){p=r;o=g;h=q;q=d;while(1){b[p>>0]=o|-128;d=h;h=pzc(h|0,q|0,7)|0;j=p+1|0;i=h&255;if(!(q>>>0>0|(q|0)==0&d>>>0>16383)){u=j;v=i;break}else{p=j;o=i;q=J}}}else{u=r;v=g}b[u>>0]=v;w=u+1|0;x=f[e>>2]|0}else{w=s;x=t}if((x|0)==4){t=f[a+8>>2]|0;b[w>>0]=37;s=w+1|0;b[s>>0]=t;b[s+1>>0]=t>>8;b[s+2>>0]=t>>16;b[s+3>>0]=t>>24;y=w+5|0;z=f[e>>2]|0}else{y=w;z=x}if((z|0)==5){x=b[a+8>>0]|0;b[y>>0]=40;b[y+1>>0]=x;A=y+2|0;B=f[e>>2]|0}else{A=y;B=z}if((B|0)==6){z=f[a+8>>2]|0;b[A>>0]=48;y=A+1|0;x=z&255;if(z>>>0>127){w=y;t=x;s=z;u=((z|0)<0)<<31>>31;while(1){b[w>>0]=t|-128;z=s;s=pzc(s|0,u|0,7)|0;v=w+1|0;g=s&255;if(!(u>>>0>0|(u|0)==0&z>>>0>16383)){C=v;D=g;break}else{w=v;t=g;u=J}}}else{C=y;D=x}b[C>>0]=D;E=C+1|0;F=f[e>>2]|0}else{E=A;F=B}if((F|0)==7){B=f[a+8>>2]|0;b[E>>0]=58;A=E+1|0;C=di[f[(f[B>>2]|0)+60>>2]&1023](B)|0;if(C>>>0>127){D=C;x=A;while(1){b[x>>0]=D|128;y=D>>>7;u=x+1|0;if(D>>>0>16383){D=y;x=u}else{G=u;H=y;break}}}else{G=A;H=C}b[G>>0]=H;H=li[f[(f[B>>2]|0)+64>>2]&511](B,c,G+1|0)|0;I=H;K=f[e>>2]|0}else{I=E;K=F}if((K|0)==8){F=f[a+8>>2]|0;b[I>>0]=66;E=I+1|0;H=di[f[(f[F>>2]|0)+60>>2]&1023](F)|0;if(H>>>0>127){G=H;B=E;while(1){b[B>>0]=G|128;C=G>>>7;A=B+1|0;if(G>>>0>16383){G=C;B=A}else{L=A;M=C;break}}}else{L=E;M=H}b[L>>0]=M;M=li[f[(f[F>>2]|0)+64>>2]&511](F,c,L+1|0)|0;N=M;O=f[e>>2]|0}else{N=I;O=K}if((O|0)==9){K=a+8|0;I=f[K>>2]|0;M=b[I+11>>0]|0;if(M<<24>>24<0){P=f[I>>2]|0;Q=f[I+4>>2]|0}else{P=I;Q=M&255}aMb(P,Q,1,418471)|0;if((f[e>>2]|0)==9)R=f[K>>2]|0;else R=542896;b[N>>0]=74;K=XJb(R,N+1|0)|0;S=K;T=f[e>>2]|0}else{S=N;T=O}if((T|0)==10){T=f[a+8>>2]|0;b[S>>0]=82;O=S+1|0;N=di[f[(f[T>>2]|0)+60>>2]&1023](T)|0;if(N>>>0>127){e=N;K=O;while(1){b[K>>0]=e|128;R=e>>>7;Q=K+1|0;if(e>>>0>16383){e=R;K=Q}else{U=Q;V=R;break}}}else{U=O;V=N}b[U>>0]=V;W=li[f[(f[T>>2]|0)+64>>2]&511](T,c,U+1|0)|0}else W=S;S=f[a+4>>2]|0;if(!((S&1|0)!=0&(b[488459]|0)!=0)){X=W;return X|0}X=Bbc(S&-2,W)|0;return X|0}function DQa(a,b){a=a|0;b=b|0;var c=0,d=0;if((a|0)==(b|0))return;MOa(a);c=f[a+4>>2]|0;if(c&1|0?(d=c&-2,f[d>>2]|0):0)ebc(d);d=ovc(b,24728,19312,0)|0;if(!d){A9b(b,a);return}else{NOa(a,d);return}}function EQa(a,b){a=a|0;b=b|0;var c=0;c=ovc(b,24728,19312,0)|0;if(!c){A9b(b,a);return}else{NOa(a,c);return}}function FQa(a,b){a=a|0;b=b|0;f[a+16>>2]=b;return}function GQa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224734]|0)!=2){f[d>>2]=151624;f[d+4>>2]=3;b[d+8>>0]=0;xLb(898936,d);QKb(d)}d=536096;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function HQa(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;a=u;u=u+16|0;g=a;i=f[d>>2]|0;j=d+4|0;if(i>>>0<(f[j>>2]|0)>>>0?(k=b[i>>0]|0,k<<24>>24>-1):0){f[d>>2]=i+1;l=k&255;m=0}else{AJb(g,d);k=g;if(!(b[g+8>>0]|0)){n=0;u=a;return n|0}else{l=f[k>>2]|0;m=f[k+4>>2]|0}}k=f[e>>2]|0;i=e+4|0;o=f[i>>2]|0;if((k|0)==(o|0)){ZOa(e,k+1|0);p=f[e>>2]|0;q=f[i>>2]|0}else{p=k;q=o}o=e+8|0;k=f[o>>2]|0;i=p+1|0;f[e>>2]=i;r=k+8+(p<<3)|0;f[r>>2]=l;f[r+4>>2]=m;m=q-i|0;if((m|0)<=0){n=1;u=a;return n|0}q=g+8|0;r=c&127|128;l=c>>>7&255;if(c>>>0<128){p=m;s=i;t=k;while(1){v=f[d>>2]|0;w=f[j>>2]|0;if(v>>>0>=w>>>0){n=1;x=27;break}if((h[v>>0]|0)!=(c|0)){n=1;x=27;break}y=v+1|0;f[d>>2]=y;if(y>>>0<w>>>0?(w=b[y>>0]|0,w<<24>>24>-1):0){f[d>>2]=v+2;z=s;A=t;B=w&255;C=0}else{AJb(g,d);w=g;if(!(b[q>>0]|0)){n=0;x=27;break}z=f[e>>2]|0;A=f[o>>2]|0;B=f[w>>2]|0;C=f[w+4>>2]|0}s=z+1|0;f[e>>2]=s;w=A+8+(z<<3)|0;f[w>>2]=B;f[w+4>>2]=C;if((p|0)<=1){n=1;x=27;break}else{p=p+-1|0;t=A}}if((x|0)==27){u=a;return n|0}}if(c>>>0<16384){D=m;E=i;F=k}else{n=1;u=a;return n|0}while(1){k=f[j>>2]|0;i=f[d>>2]|0;m=i;if((k-i|0)<=1){n=1;x=27;break}if((h[m>>0]|0)!=(r|0)){n=1;x=27;break}if((b[m+1>>0]|0)!=l<<24>>24){n=1;x=27;break}i=m+2|0;f[d>>2]=i;if(i>>>0<k>>>0?(k=b[i>>0]|0,k<<24>>24>-1):0){f[d>>2]=m+3;G=E;H=F;I=k&255;J=0}else{AJb(g,d);k=g;if(!(b[q>>0]|0)){n=0;x=27;break}G=f[e>>2]|0;H=f[o>>2]|0;I=f[k>>2]|0;J=f[k+4>>2]|0}E=G+1|0;f[e>>2]=E;k=H+8+(G<<3)|0;f[k>>2]=I;f[k+4>>2]=J;if((D|0)<=1){n=1;x=27;break}else{D=D+-1|0;F=H}}if((x|0)==27){u=a;return n|0}return 0}function IQa(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;g=u;u=u+16|0;i=g;j=d+4|0;k=f[d>>2]|0;do if(((f[j>>2]|0)-k|0)>3){l=k;m=h[l>>0]|h[l+1>>0]<<8|h[l+2>>0]<<16|h[l+3>>0]<<24;f[i>>2]=m;f[d>>2]=k+4;n=m}else{if(LJb(d,i)|0){n=f[i>>2]|0;break}o=0;u=g;return o|0}while(0);i=f[e>>2]|0;k=e+4|0;if((i|0)==(f[k>>2]|0)){REa(e,i+1|0);p=f[e>>2]|0}else p=i;i=f[e+8>>2]|0;m=p+1|0;f[e>>2]=m;f[i+4+(p<<2)>>2]=n;n=f[d>>2]|0;p=(f[j>>2]|0)-n|0;if((p|0)<=0){o=1;u=g;return o|0}j=n;n=a+4|0;a=(f[k>>2]|0)-m|0;k=(p|0)/(n|0)|0;l=(k|0)<(a|0)?k:a;a:do if((l|0)>0){a=c&127|128;k=c>>>7&255;if(c>>>0<128){q=0;r=j;s=m;while(1){if((h[r>>0]|0)!=(c|0)){t=q;break a}v=r+1|0;w=h[v>>0]|h[v+1>>0]<<8|h[v+2>>0]<<16|h[v+3>>0]<<24;v=s;s=s+1|0;f[e>>2]=s;f[i+4+(v<<2)>>2]=w;w=q+1|0;if((w|0)>=(l|0)){t=w;break a}else{q=w;r=r+5|0}}}if(c>>>0<16384){r=0;q=j;s=m;while(1){if((h[q>>0]|0)!=(a|0)){t=r;break a}if((b[q+1>>0]|0)!=k<<24>>24){t=r;break a}w=q+2|0;v=h[w>>0]|h[w+1>>0]<<8|h[w+2>>0]<<16|h[w+3>>0]<<24;w=s;s=s+1|0;f[e>>2]=s;f[i+4+(w<<2)>>2]=v;v=r+1|0;if((v|0)>=(l|0)){t=v;break}else{r=v;q=q+6|0}}}else t=0}else t=0;while(0);l=Y(t,n)|0;if((l|0)<=0){o=1;u=g;return o|0}if((p|0)<(l|0)){HJb(d,l,p)|0;o=1;u=g;return o|0}else{f[d>>2]=j+l;o=1;u=g;return o|0}return 0}function JQa(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;a=u;u=u+16|0;g=a;i=f[d>>2]|0;j=d+4|0;if(i>>>0<(f[j>>2]|0)>>>0?(k=b[i>>0]|0,k<<24>>24>-1):0){f[d>>2]=i+1;l=k<<24>>24!=0}else{AJb(g,d);k=g;if(!(b[g+8>>0]|0)){m=0;u=a;return m|0}else l=(f[k>>2]|0)!=0|(f[k+4>>2]|0)!=0}k=f[e>>2]|0;i=e+4|0;n=f[i>>2]|0;if((k|0)==(n|0)){_Oa(e,k+1|0);o=f[e>>2]|0;p=f[i>>2]|0}else{o=k;p=n}n=e+8|0;k=f[n>>2]|0;i=o+1|0;f[e>>2]=i;b[k+4+o>>0]=l&1;l=p-i|0;if((l|0)<=0){m=1;u=a;return m|0}p=g+8|0;o=c&127|128;q=c>>>7&255;if(c>>>0<128){r=l;s=i;t=k;while(1){v=f[d>>2]|0;w=f[j>>2]|0;if(v>>>0>=w>>>0){m=1;x=27;break}if((h[v>>0]|0)!=(c|0)){m=1;x=27;break}y=v+1|0;f[d>>2]=y;if(y>>>0<w>>>0?(w=b[y>>0]|0,w<<24>>24>-1):0){f[d>>2]=v+2;z=w<<24>>24!=0;A=s;B=t}else{AJb(g,d);w=g;if(!(b[p>>0]|0)){m=0;x=27;break}z=(f[w>>2]|0)!=0|(f[w+4>>2]|0)!=0;A=f[e>>2]|0;B=f[n>>2]|0}s=A+1|0;f[e>>2]=s;b[B+4+A>>0]=z&1;if((r|0)<=1){m=1;x=27;break}else{r=r+-1|0;t=B}}if((x|0)==27){u=a;return m|0}}if(c>>>0<16384){C=l;D=i;E=k}else{m=1;u=a;return m|0}while(1){k=f[j>>2]|0;i=f[d>>2]|0;l=i;if((k-i|0)<=1){m=1;x=27;break}if((h[l>>0]|0)!=(o|0)){m=1;x=27;break}if((b[l+1>>0]|0)!=q<<24>>24){m=1;x=27;break}i=l+2|0;f[d>>2]=i;if(i>>>0<k>>>0?(k=b[i>>0]|0,k<<24>>24>-1):0){f[d>>2]=l+3;F=k<<24>>24!=0;G=D;H=E}else{AJb(g,d);k=g;if(!(b[p>>0]|0)){m=0;x=27;break}F=(f[k>>2]|0)!=0|(f[k+4>>2]|0)!=0;G=f[e>>2]|0;H=f[n>>2]|0}D=G+1|0;f[e>>2]=D;b[H+4+G>>0]=F&1;if((C|0)<=1){m=1;x=27;break}else{C=C+-1|0;E=H}}if((x|0)==27){u=a;return m|0}return 0}function KQa(){var a=0,c=0;a=u;u=u+16|0;c=a;if((f[224735]|0)==2){u=a;return}f[c>>2]=151624;f[c+4>>2]=4;b[c+8>>0]=0;xLb(898940,c);QKb(c);u=a;return}function LQa(){var a=0,c=0;a=u;u=u+16|0;c=a;if((f[224737]|0)==2){u=a;return}f[c>>2]=151624;f[c+4>>2]=6;b[c+8>>0]=0;xLb(898948,c);QKb(c);u=a;return}function MQa(){var a=0,c=0;a=u;u=u+16|0;c=a;if((f[224735]|0)==2){u=a;return}f[c>>2]=151624;f[c+4>>2]=4;b[c+8>>0]=0;xLb(898940,c);QKb(c);u=a;return}function NQa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;f[a>>2]=113536;d=a+4|0;f[d>>2]=0;f[a+16>>2]=0;e=f[c+4>>2]|0;if(e&1|0)hbc(OOa(d)|0,e&-2);e=a+20|0;f[e>>2]=0;d=c+20|0;do switch(f[d>>2]|0){case 2:{g=f[c+8>>2]|0;MOa(a);f[e>>2]=2;h=a+8|0;f[h>>2]=542896;i=f[a+4>>2]|0;j=i&-2;if(!(i&1))k=j;else k=f[j+4>>2]|0;j=f[h>>2]|0;if((j|0)==542896){QGa(h,k,g);return}else{ruc(j,g)|0;return}break}case 3:{g=c+8|0;j=f[g>>2]|0;h=f[g+4>>2]|0;MOa(a);f[e>>2]=3;g=a+8|0;f[g>>2]=j;f[g+4>>2]=h;return}case 4:{h=f[c+8>>2]|0;MOa(a);f[e>>2]=4;f[a+8>>2]=h;return}case 5:{h=b[c+8>>0]|0;MOa(a);f[e>>2]=5;b[a+8>>0]=h;return}case 6:{h=f[c+8>>2]|0;MOa(a);f[e>>2]=6;f[a+8>>2]=h;return}case 7:{mUa(POa(a)|0,(f[d>>2]|0)==7?f[c+8>>2]|0:536504);return}case 8:{nRa(OGa(a)|0,(f[d>>2]|0)==8?f[c+8>>2]|0:536120);return}case 1:{ROa(QOa(a)|0,(f[d>>2]|0)==1?f[c+8>>2]|0:535808);return}case 10:{TOa(SOa(a)|0,(f[d>>2]|0)==10?f[c+8>>2]|0:536032);return}case 9:{h=f[c+8>>2]|0;MOa(a);f[e>>2]=9;g=a+8|0;f[g>>2]=542896;j=f[a+4>>2]|0;i=j&-2;if(!(j&1))l=i;else l=f[i+4>>2]|0;i=f[g>>2]|0;if((i|0)==542896){QGa(g,l,h);return}else{ruc(i,h)|0;return}break}default:return}while(0)}function OQa(a,b){a=a|0;b=b|0;var c=0,d=0;if((b|0)==(a|0))return;MOa(a);c=f[a+4>>2]|0;if(c&1|0?(d=c&-2,f[d>>2]|0):0)ebc(d);NOa(a,b);return}function PQa(){var a=0,c=0;a=u;u=u+16|0;c=a;if((f[224740]|0)==2){u=a;return}f[c>>2]=151624;f[c+4>>2]=7;b[c+8>>0]=0;xLb(898960,c);QKb(c);u=a;return}function QQa(){bQb(418806,757);n9b(419564,1979);return}function RQa(a){a=a|0;var c=0;a=u;u=u+16|0;c=a;if((f[224741]|0)==2){u=a;return}f[c>>2]=151624;f[c+4>>2]=8;b[c+8>>0]=0;xLb(898964,c);QKb(c);u=a;return}function SQa(){var a=0,c=0,d=0,e=0,g=0,h=0;a=u;u=u+16|0;c=a;if((f[224740]|0)!=2){f[c>>2]=151624;f[c+4>>2]=7;b[c+8>>0]=0;xLb(898960,c);QKb(c)}d=cuc(16)|0;f[c>>2]=d;f[c+8>>2]=-2147483632;f[c+4>>2]=11;e=d;g=419564;h=e+11|0;do{b[e>>0]=b[g>>0]|0;e=e+1|0;g=g+1|0}while((e|0)<(h|0));b[d+11>>0]=0;T3b(c,0,0,898956,0,0,898952,0);if((b[c+11>>0]|0)>=0){u=a;return}fuc(f[c>>2]|0);u=a;return}function TQa(){var a=0,c=0;a=u;u=u+16|0;c=a;if((f[224740]|0)==2){u=a;return}f[c>>2]=151624;f[c+4>>2]=7;b[c+8>>0]=0;xLb(898960,c);QKb(c);u=a;return}function UQa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0;f[a>>2]=114372;c=f[a+152>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}if((a|0)!=536120?(c=f[a+156>>2]|0,c|0):0)bi[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+144>>2]|0;if(c|0?(f[c>>2]|0)==0:0)fuc(c);c=f[a+128>>2]|0;if(c|0?(f[c>>2]|0)==0:0)fuc(c);c=f[a+112>>2]|0;if(c|0?(f[c>>2]|0)==0:0)fuc(c);c=f[a+96>>2]|0;if(c|0?(f[c>>2]|0)==0:0)fuc(c);c=f[a+80>>2]|0;if(c|0?(f[c>>2]|0)==0:0)fuc(c);c=a+68|0;d=f[c>>2]|0;if(d|0?(f[a+56>>2]|0)==0:0){e=f[d>>2]|0;if((e|0)>0){g=0;do{h=f[d+4+(g<<2)>>2]|0;if(h|0){if((b[h+11>>0]|0)<0)fuc(f[h>>2]|0);fuc(h)}g=g+1|0}while((g|0)!=(e|0));i=f[c>>2]|0}else i=d;fuc(i)}f[c>>2]=0;c=f[a+48>>2]|0;if(c|0?(f[c>>2]|0)==0:0)fuc(c);c=f[a+32>>2]|0;if(c|0?(f[c>>2]|0)==0:0)fuc(c);c=f[a+16>>2]|0;if(c|0?(f[c>>2]|0)==0:0)fuc(c);c=a+4|0;a=f[c>>2]|0;if(!(a&1)){f[c>>2]=0;return}i=a&-2;a=i;if((i|0)==0|(f[a+4>>2]|0)!=0){f[c>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(i);f[c>>2]=0;return}function VQa(a){a=a|0;UQa(a);fuc(a);return}function WQa(a){a=a|0;a=cuc(172)|0;sRa(a);return a|0}function XQa(a,b){a=a|0;b=b|0;var c=0;if(!b){a=cuc(172)|0;sRa(a);c=a;return c|0}if(f[b+64>>2]|0)HIb(b,19416,176);a=FIb(b,176)|0;tRa(a,b);c=a;return c|0}function YQa(a){a=a|0;var b=0,c=0;b=f[a+4>>2]|0;a=b&-2;if(!(b&1)){c=a;return c|0}else{c=f[a+4>>2]|0;return c|0}return 0}function ZQa(a){a=a|0;return f[a+4>>2]|0}function _Qa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;f[a+8>>2]=0;f[a+24>>2]=0;f[a+40>>2]=0;c=a+60|0;d=f[c>>2]|0;if((d|0)>0){e=f[a+68>>2]|0;g=0;do{h=f[e+4+(g<<2)>>2]|0;g=g+1|0;i=h+11|0;if((b[i>>0]|0)<0){b[f[h>>2]>>0]=0;f[h+4>>2]=0}else{b[h>>0]=0;b[i>>0]=0}}while((g|0)!=(d|0));f[c>>2]=0}f[a+72>>2]=0;f[a+88>>2]=0;f[a+104>>2]=0;f[a+120>>2]=0;f[a+136>>2]=0;c=a+4|0;d=f[a+152>>2]|0;do if((d|0)!=542896){g=d+11|0;if((b[g>>0]|0)<0){b[f[d>>2]>>0]=0;f[d+4>>2]=0;break}else{b[d>>0]=0;b[g>>0]=0;break}}while(0);d=f[c>>2]|0;g=d&-2;if(!(d&1))j=g;else j=f[g+4>>2]|0;g=a+156|0;if((j|0)==0?(j=f[g>>2]|0,(j|0)!=0):0){bi[f[(f[j>>2]|0)+4>>2]&2047](j);k=f[c>>2]|0}else k=d;f[g>>2]=0;g=a+160|0;f[g>>2]=0;f[g+4>>2]=0;if(!(k&1))return;g=k&-2;if(!(f[g>>2]|0))return;ebc(g);return}function $Qa(a){a=a|0;return 1}function aRa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0.0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0.0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0;d=u;u=u+16|0;e=d;g=c+4|0;i=a+160|0;j=a+156|0;k=e+4|0;l=a+164|0;m=a+152|0;n=a+4|0;o=a+8|0;q=a+12|0;r=a+16|0;t=a+24|0;v=a+28|0;w=a+32|0;x=a+40|0;y=a+44|0;z=a+48|0;A=a+56|0;B=a+72|0;C=a+76|0;D=a+80|0;E=a+88|0;F=a+92|0;G=a+96|0;H=e+8|0;I=a+104|0;K=a+108|0;L=a+112|0;M=e+8|0;N=a+120|0;O=a+124|0;P=a+128|0;Q=a+136|0;R=a+140|0;S=a+144|0;a:while(1){T=f[c>>2]|0;if(T>>>0<(f[g>>2]|0)>>>0){U=b[T>>0]|0;V=U&255;if(U<<24>>24>0){f[c>>2]=T+1;W=V;X=6}else{Y=V;X=5}}else{Y=0;X=5}if((X|0)==5){X=0;V=OJb(c,Y)|0;if((V+-1|0)>>>0<127){W=V;X=6}else Z=V}b:do if((X|0)==6){X=0;do switch(W>>>3&536870911|0){case 1:{if((W&255|0)!=8){Z=W;break b}V=f[c>>2]|0;if(V>>>0<(f[g>>2]|0)>>>0){T=b[V>>0]|0;U=T&255;if(T<<24>>24>-1){f[c>>2]=V+1;_=U}else{$=U;X=11}}else{$=0;X=11}if((X|0)==11){X=0;U=zJb(c,$)|0;V=J;if((V|0)>-1|(V|0)==-1&U>>>0>4294967295)_=U;else{aa=0;X=196;break a}}f[i>>2]=_;continue a;break}case 2:{if((W&255|0)!=18){Z=W;break b}U=f[j>>2]|0;if(!U){pRa(a);ba=f[j>>2]|0}else ba=U;U=f[c>>2]|0;if(U>>>0<(f[g>>2]|0)>>>0?(V=b[U>>0]|0,V<<24>>24>-1):0){f[c>>2]=U+1;ca=V&255}else{V=NJb(c)|0;if((V|0)>-1)ca=V;else{aa=0;X=196;break a}}yJb(e,c,ca);if((f[k>>2]|0)<0){X=22;break a}if(!(Th[f[(f[ba>>2]|0)+44>>2]&1023](ba,c)|0)){X=22;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{aa=0;X=196;break a}break}case 3:{if((W&255|0)!=24){Z=W;break b}V=f[c>>2]|0;if(V>>>0<(f[g>>2]|0)>>>0){U=b[V>>0]|0;T=U&255;if(U<<24>>24>-1){f[c>>2]=V+1;da=T}else{ea=T;X=28}}else{ea=0;X=28}if((X|0)==28){X=0;T=zJb(c,ea)|0;V=J;if((V|0)>-1|(V|0)==-1&T>>>0>4294967295)da=T;else{aa=0;X=196;break a}}f[l>>2]=da;continue a;break}case 4:{if((W&255|0)!=34){Z=W;break b}T=f[n>>2]|0;V=T&-2;if(!(T&1))fa=V;else fa=f[V+4>>2]|0;V=f[m>>2]|0;if((V|0)==542896){QGa(m,fa,542896);ga=f[m>>2]|0}else ga=V;if($Lb(c,ga)|0)continue a;else{aa=0;X=196;break a}break}case 5:{switch((W&255)<<24>>24){case 42:break;case 45:{if(IQa(1,42,c,o)|0)continue a;else{aa=0;X=196;break a}break}default:{Z=W;break b}}V=f[c>>2]|0;if(V>>>0<(f[g>>2]|0)>>>0?(T=b[V>>0]|0,T<<24>>24>-1):0){f[c>>2]=V+1;ha=T&255}else{T=NJb(c)|0;if((T|0)>-1)ha=T;else{aa=0;X=196;break a}}ia=f[o>>2]|0;T=(ha|0)/4|0;if((T<<2|0)!=(ha|0)){aa=0;X=196;break a}V=GJb(c)|0;U=EJb(c)|0;if((((V|0)==-1|(U|0)<(V|0)?U:V)|0)>=(ha|0)){V=ia+T|0;if((f[o>>2]|0)<(V|0)?(REa(o,V),U=f[o>>2]|0,ja=V-U|0,(ja<<2|0)>0):0)kzc((f[r>>2]|0)+((U<<2)+4)|0,0,(((ja|-1073741824|0)==-1073741824?1073741823:1073741822)+ja<<2)+8|0)|0;f[o>>2]=V;V=f[r>>2]|0;if(IJb(c,((V|0)==0?0:V+4|0)+(ia<<2)|0,ha)|0)continue a;else{X=49;break a}}if((ha|0)>3)ka=0;else continue a;while(1){V=f[c>>2]|0;if(((f[g>>2]|0)-V|0)>3){ja=V;U=h[ja>>0]|h[ja+1>>0]<<8|h[ja+2>>0]<<16|h[ja+3>>0]<<24;f[e>>2]=U;f[c>>2]=V+4;la=U}else{if(!(LJb(c,e)|0)){X=58;break a}la=f[e>>2]|0}U=f[o>>2]|0;if((U|0)==(f[q>>2]|0)){REa(o,U+1|0);ma=f[o>>2]|0}else ma=U;U=f[r>>2]|0;f[o>>2]=ma+1;f[U+4+(ma<<2)>>2]=la;U=ka+1|0;if((U|0)<(T|0))ka=U;else continue a}break}case 6:{switch((W&255)<<24>>24){case 50:break;case 49:{if(qRa(1,50,c,t)|0)continue a;else{aa=0;X=196;break a}break}default:{Z=W;break b}}T=f[c>>2]|0;if(T>>>0<(f[g>>2]|0)>>>0?(U=b[T>>0]|0,U<<24>>24>-1):0){f[c>>2]=T+1;na=U&255}else{U=NJb(c)|0;if((U|0)>-1)na=U;else{aa=0;X=196;break a}}oa=f[t>>2]|0;U=(na|0)/8|0;if((U<<3|0)!=(na|0)){aa=0;X=196;break a}T=GJb(c)|0;V=EJb(c)|0;if((((T|0)==-1|(V|0)<(T|0)?V:T)|0)>=(na|0)){T=oa+U|0;if((f[t>>2]|0)<(T|0)?(oRa(t,T),V=f[t>>2]|0,ja=T-V|0,(ja<<3|0)>0):0)kzc((f[w>>2]|0)+((V<<3)+8)|0,0,(((ja|-536870912|0)==-536870912?536870911:536870910)+ja<<3)+16|0)|0;f[t>>2]=T;T=f[w>>2]|0;if(IJb(c,((T|0)==0?0:T+8|0)+(oa<<3)|0,na)|0)continue a;else{X=72;break a}}if((na|0)>7)pa=0;else continue a;while(1){T=f[c>>2]|0;if(((f[g>>2]|0)-T|0)>7){ja=T;V=ja;qa=h[V>>0]|h[V+1>>0]<<8|h[V+2>>0]<<16|h[V+3>>0]<<24;V=ja+4|0;ja=h[V>>0]|h[V+1>>0]<<8|h[V+2>>0]<<16|h[V+3>>0]<<24;V=e;f[V>>2]=qa;f[V+4>>2]=ja;f[c>>2]=T+8;f[s>>2]=qa;f[s+4>>2]=ja;ra=+p[s>>3]}else{if(!(MJb(c,e)|0)){X=81;break a}ra=+p[e>>3]}ja=f[t>>2]|0;if((ja|0)==(f[v>>2]|0)){oRa(t,ja+1|0);sa=f[t>>2]|0}else sa=ja;ja=f[w>>2]|0;f[t>>2]=sa+1;p[ja+8+(sa<<3)>>3]=ra;ja=pa+1|0;if((ja|0)<(U|0))pa=ja;else continue a}break}case 7:{switch((W&255)<<24>>24){case 58:break;case 56:{if(rRa(1,58,c,x)|0)continue a;else{aa=0;X=196;break a}break}default:{Z=W;break b}}U=f[c>>2]|0;if(U>>>0<(f[g>>2]|0)>>>0?(ja=b[U>>0]|0,ja<<24>>24>-1):0){f[c>>2]=U+1;ta=ja&255}else{ja=NJb(c)|0;if((ja|0)>-1)ta=ja;else{aa=0;X=196;break a}}ja=wJb(c,ta)|0;if((EJb(c)|0)>0)do{U=f[c>>2]|0;if(U>>>0<(f[g>>2]|0)>>>0){qa=b[U>>0]|0;T=qa&255;if(qa<<24>>24>-1){f[c>>2]=U+1;ua=T}else{va=T;X=92}}else{va=0;X=92}if((X|0)==92){X=0;T=zJb(c,va)|0;U=J;if((U|0)>-1|(U|0)==-1&T>>>0>4294967295)ua=T;else{aa=0;X=196;break a}}T=f[x>>2]|0;if((T|0)==(f[y>>2]|0)){NEa(x,T+1|0);wa=f[x>>2]|0}else wa=T;T=f[z>>2]|0;f[x>>2]=wa+1;f[T+4+(wa<<2)>>2]=ua}while((EJb(c)|0)>0);xJb(c,ja);continue a;break}case 8:{if((W&255|0)!=66){Z=W;break b}if($Lb(c,MEa(A)|0)|0)continue a;else{aa=0;X=196;break a}break}case 9:{switch((W&255)<<24>>24){case 74:break;case 77:{if(IQa(1,74,c,B)|0)continue a;else{aa=0;X=196;break a}break}default:{Z=W;break b}}T=f[c>>2]|0;if(T>>>0<(f[g>>2]|0)>>>0?(U=b[T>>0]|0,U<<24>>24>-1):0){f[c>>2]=T+1;xa=U&255}else{U=NJb(c)|0;if((U|0)>-1)xa=U;else{aa=0;X=196;break a}}ya=f[B>>2]|0;U=(xa|0)/4|0;if((U<<2|0)!=(xa|0)){aa=0;X=196;break a}T=GJb(c)|0;qa=EJb(c)|0;if((((T|0)==-1|(qa|0)<(T|0)?qa:T)|0)>=(xa|0)){T=ya+U|0;if((f[B>>2]|0)<(T|0)?(REa(B,T),qa=f[B>>2]|0,V=T-qa|0,(V<<2|0)>0):0)kzc((f[D>>2]|0)+((qa<<2)+4)|0,0,(((V|-1073741824|0)==-1073741824?1073741823:1073741822)+V<<2)+8|0)|0;f[B>>2]=T;T=f[D>>2]|0;if(IJb(c,((T|0)==0?0:T+4|0)+(ya<<2)|0,xa)|0)continue a;else{X=112;break a}}if((xa|0)>3)za=0;else continue a;while(1){T=f[c>>2]|0;if(((f[g>>2]|0)-T|0)>3){V=T;qa=h[V>>0]|h[V+1>>0]<<8|h[V+2>>0]<<16|h[V+3>>0]<<24;f[e>>2]=qa;f[c>>2]=T+4;Aa=qa}else{if(!(LJb(c,e)|0)){X=121;break a}Aa=f[e>>2]|0}qa=f[B>>2]|0;if((qa|0)==(f[C>>2]|0)){REa(B,qa+1|0);Ba=f[B>>2]|0}else Ba=qa;qa=f[D>>2]|0;f[B>>2]=Ba+1;f[qa+4+(Ba<<2)>>2]=Aa;qa=za+1|0;if((qa|0)<(U|0))za=qa;else continue a}break}case 10:{switch((W&255)<<24>>24){case 82:break;case 80:{if(HQa(1,82,c,E)|0)continue a;else{aa=0;X=196;break a}break}default:{Z=W;break b}}U=f[c>>2]|0;if(U>>>0<(f[g>>2]|0)>>>0?(ja=b[U>>0]|0,ja<<24>>24>-1):0){f[c>>2]=U+1;Ca=ja&255}else{ja=NJb(c)|0;if((ja|0)>-1)Ca=ja;else{aa=0;X=196;break a}}ja=wJb(c,Ca)|0;if((EJb(c)|0)>0)do{U=f[c>>2]|0;if(U>>>0<(f[g>>2]|0)>>>0?(qa=b[U>>0]|0,qa<<24>>24>-1):0){f[c>>2]=U+1;Da=qa&255;Ea=0}else{AJb(e,c);qa=e;if(!(b[H>>0]|0)){aa=0;X=196;break a}else{Da=f[qa>>2]|0;Ea=f[qa+4>>2]|0}}qa=f[E>>2]|0;if((qa|0)==(f[F>>2]|0)){ZOa(E,qa+1|0);Fa=f[E>>2]|0}else Fa=qa;qa=f[G>>2]|0;f[E>>2]=Fa+1;U=qa+8+(Fa<<3)|0;f[U>>2]=Da;f[U+4>>2]=Ea}while((EJb(c)|0)>0);xJb(c,ja);continue a;break}case 11:{switch((W&255)<<24>>24){case 90:break;case 88:{if(JQa(1,90,c,I)|0)continue a;else{aa=0;X=196;break a}break}default:{Z=W;break b}}U=f[c>>2]|0;if(U>>>0<(f[g>>2]|0)>>>0?(qa=b[U>>0]|0,qa<<24>>24>-1):0){f[c>>2]=U+1;Ga=qa&255}else{qa=NJb(c)|0;if((qa|0)>-1)Ga=qa;else{aa=0;X=196;break a}}qa=wJb(c,Ga)|0;if((EJb(c)|0)>0)do{U=f[c>>2]|0;if(U>>>0<(f[g>>2]|0)>>>0?(T=b[U>>0]|0,T<<24>>24>-1):0){f[c>>2]=U+1;Ha=T<<24>>24!=0}else{AJb(e,c);T=e;if(!(b[M>>0]|0)){aa=0;X=196;break a}else Ha=(f[T>>2]|0)!=0|(f[T+4>>2]|0)!=0}T=f[I>>2]|0;if((T|0)==(f[K>>2]|0)){_Oa(I,T+1|0);Ia=f[I>>2]|0}else Ia=T;T=f[L>>2]|0;f[I>>2]=Ia+1;b[T+4+Ia>>0]=Ha&1}while((EJb(c)|0)>0);xJb(c,qa);continue a;break}case 12:{switch((W&255)<<24>>24){case 98:break;case 97:{if(qRa(1,98,c,N)|0)continue a;else{aa=0;X=196;break a}break}default:{Z=W;break b}}ja=f[c>>2]|0;if(ja>>>0<(f[g>>2]|0)>>>0?(T=b[ja>>0]|0,T<<24>>24>-1):0){f[c>>2]=ja+1;Ja=T&255}else{T=NJb(c)|0;if((T|0)>-1)Ja=T;else{aa=0;X=196;break a}}Ka=f[N>>2]|0;T=(Ja|0)/8|0;if((T<<3|0)!=(Ja|0)){aa=0;X=196;break a}ja=GJb(c)|0;U=EJb(c)|0;if((((ja|0)==-1|(U|0)<(ja|0)?U:ja)|0)>=(Ja|0)){ja=Ka+T|0;if((f[N>>2]|0)<(ja|0)?(oRa(N,ja),U=f[N>>2]|0,V=ja-U|0,(V<<3|0)>0):0)kzc((f[P>>2]|0)+((U<<3)+8)|0,0,(((V|-536870912|0)==-536870912?536870911:536870910)+V<<3)+16|0)|0;f[N>>2]=ja;ja=f[P>>2]|0;if(IJb(c,((ja|0)==0?0:ja+8|0)+(Ka<<3)|0,Ja)|0)continue a;else{X=165;break a}}if((Ja|0)>7)La=0;else continue a;while(1){ja=f[c>>2]|0;if(((f[g>>2]|0)-ja|0)>7){V=ja;U=V;Ma=h[U>>0]|h[U+1>>0]<<8|h[U+2>>0]<<16|h[U+3>>0]<<24;U=V+4|0;V=h[U>>0]|h[U+1>>0]<<8|h[U+2>>0]<<16|h[U+3>>0]<<24;U=e;f[U>>2]=Ma;f[U+4>>2]=V;f[c>>2]=ja+8;f[s>>2]=Ma;f[s+4>>2]=V;Na=+p[s>>3]}else{if(!(MJb(c,e)|0)){X=174;break a}Na=+p[e>>3]}V=f[N>>2]|0;if((V|0)==(f[O>>2]|0)){oRa(N,V+1|0);Oa=f[N>>2]|0}else Oa=V;V=f[P>>2]|0;f[N>>2]=Oa+1;p[V+8+(Oa<<3)>>3]=Na;V=La+1|0;if((V|0)<(T|0))La=V;else continue a}break}case 13:{switch((W&255)<<24>>24){case 106:break;case 104:{if(rRa(1,106,c,Q)|0)continue a;else{aa=0;X=196;break a}break}default:{Z=W;break b}}T=f[c>>2]|0;if(T>>>0<(f[g>>2]|0)>>>0?(qa=b[T>>0]|0,qa<<24>>24>-1):0){f[c>>2]=T+1;Pa=qa&255}else{qa=NJb(c)|0;if((qa|0)>-1)Pa=qa;else{aa=0;X=196;break a}}qa=wJb(c,Pa)|0;if((EJb(c)|0)>0)do{T=f[c>>2]|0;if(T>>>0<(f[g>>2]|0)>>>0){V=b[T>>0]|0;Ma=V&255;if(V<<24>>24>-1){f[c>>2]=T+1;Qa=Ma}else{Ra=Ma;X=185}}else{Ra=0;X=185}if((X|0)==185){X=0;Ma=zJb(c,Ra)|0;T=J;if((T|0)>-1|(T|0)==-1&Ma>>>0>4294967295)Qa=Ma;else{aa=0;X=196;break a}}Ma=f[Q>>2]|0;if((Ma|0)==(f[R>>2]|0)){NEa(Q,Ma+1|0);Sa=f[Q>>2]|0}else Sa=Ma;Ma=f[S>>2]|0;f[Q>>2]=Sa+1;f[Ma+4+(Sa<<2)>>2]=Qa}while((EJb(c)|0)>0);xJb(c,qa);continue a;break}default:{Z=W;break b}}while(0)}while(0);if(!Z){aa=1;X=196;break}Ma=f[n>>2]|0;if(!(Ma&1))Ta=OOa(n)|0;else Ta=Ma&-2;if(!(xbc(c,Z,Ta)|0)){aa=0;X=196;break}}switch(X|0){case 22:{aa=0;u=d;return aa|0}case 49:{if((f[o>>2]|0)<=0){aa=0;u=d;return aa|0}f[o>>2]=ia;aa=0;u=d;return aa|0}case 58:{aa=0;u=d;return aa|0}case 72:{if((f[t>>2]|0)<=0){aa=0;u=d;return aa|0}f[t>>2]=oa;aa=0;u=d;return aa|0}case 81:{aa=0;u=d;return aa|0}case 112:{if((f[B>>2]|0)<=0){aa=0;u=d;return aa|0}f[B>>2]=ya;aa=0;u=d;return aa|0}case 121:{aa=0;u=d;return aa|0}case 165:{if((f[N>>2]|0)<=0){aa=0;u=d;return aa|0}f[N>>2]=Ka;aa=0;u=d;return aa|0}case 174:{aa=0;u=d;return aa|0}case 196:{u=d;return aa|0}}return 0}function bRa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;c=f[a+4>>2]|0;if((c&1|0)!=0&(b[488459]|0)!=0)d=Dbc(c&-2)|0;else d=0;c=f[a+8>>2]<<2;if(!c)e=d;else{if((c|0)<0)g=10;else g=(((($(c|1|0)|0)^31)*9|0)+73|0)>>>6;e=d+1+g|0}f[a+20>>2]=c;g=e+c|0;c=f[a+24>>2]<<3;if(!c)h=g;else{if((c|0)<0)i=10;else i=(((($(c|1|0)|0)^31)*9|0)+73|0)>>>6;h=g+1+i|0}f[a+36>>2]=c;i=h+c|0;c=bMb(a+40|0)|0;if(!c)j=i;else{if((c|0)<0)k=10;else k=(((($(c|1|0)|0)^31)*9|0)+73|0)>>>6;j=i+1+k|0}f[a+52>>2]=c;k=f[a+60>>2]|0;i=j+c+k|0;if((k|0)>0){c=f[a+68>>2]|0;j=0;h=i;while(1){g=f[c+4+(j<<2)>>2]|0;e=b[g+11>>0]|0;d=e<<24>>24<0?f[g+4>>2]|0:e&255;e=d+h+((((($(d|1|0)|0)^31)*9|0)+73|0)>>>6)|0;j=j+1|0;if((j|0)==(k|0)){l=e;break}else h=e}}else l=i;i=f[a+72>>2]<<2;if(!i)m=l;else{if((i|0)<0)n=10;else n=(((($(i|1|0)|0)^31)*9|0)+73|0)>>>6;m=l+1+n|0}f[a+84>>2]=i;n=m+i|0;i=f[a+88>>2]|0;if((i|0)>0){m=f[a+96>>2]|0;l=0;h=0;do{k=m+8+(h<<3)|0;j=xzc(f[k>>2]|1|0,f[k+4>>2]|0,1)|0;l=((((j^63)*9|0)+73|0)>>>6)+l|0;h=h+1|0}while((h|0)!=(i|0));if(l){if((l|0)<0)o=11;else o=((((($(l|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;p=l;q=o+n|0}else{p=0;q=n}}else{p=0;q=n}f[a+100>>2]=p;n=q+p|0;p=f[a+104>>2]|0;if(!p)r=n;else{if((p|0)<0)s=11;else s=((((($(p|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;r=s+n|0}f[a+116>>2]=p;n=r+p|0;p=f[a+120>>2]<<3;if(!p)t=n;else{if((p|0)<0)u=11;else u=((((($(p|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;t=u+n|0}f[a+132>>2]=p;n=t+p|0;p=bMb(a+136|0)|0;if(!p)v=n;else{if((p|0)<0)w=11;else w=((((($(p|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;v=w+n|0}f[a+148>>2]=p;n=v+p|0;p=f[a+152>>2]|0;v=b[p+11>>0]|0;w=v<<24>>24<0;if(w)x=f[p+4>>2]|0;else x=v&255;if(!x)y=n;else{x=w?f[p+4>>2]|0:v&255;y=n+1+x+((((($(x|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if((a|0)!=536120?(x=f[a+156>>2]|0,(x|0)!=0):0){n=di[f[(f[x>>2]|0)+48>>2]&1023](x)|0;z=y+1+n+((((($(n|1|0)|0)^31)*9|0)+73|0)>>>6)|0}else z=y;y=f[a+160>>2]|0;if(!y)A=z;else{if((y|0)<0)B=11;else B=((((($(y|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;A=B+z|0}z=f[a+164>>2]|0;if(!z){C=A;D=a+168|0;f[D>>2]=C;return C|0}if((z|0)<0)E=11;else E=((((($(z|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;C=E+A|0;D=a+168|0;f[D>>2]=C;return C|0}function cRa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0;d=f[a+160>>2]|0;if(d|0)TLb(1,d,c);if((a|0)!=536120?(d=f[a+156>>2]|0,d|0):0)_Lb(2,d,c);d=f[a+164>>2]|0;if(d|0)GLb(3,d,c);d=f[a+152>>2]|0;e=b[d+11>>0]|0;if(e<<24>>24<0)g=f[d+4>>2]|0;else g=e&255;if(g|0)XLb(4,d,c);d=a+8|0;if((f[d>>2]|0)>0){g=c+8|0;if((f[g>>2]|0)>4){e=c+4|0;b[f[e>>2]>>0]=42;f[e>>2]=(f[e>>2]|0)+1;e=(f[g>>2]|0)+-1|0;f[g>>2]=e;h=e}else{VJb(c,42);h=f[g>>2]|0}e=f[a+20>>2]|0;if((h|0)>4){h=c+4|0;i=f[h>>2]|0;if(e>>>0>127){j=e;k=i;while(1){b[k>>0]=j|128;l=j>>>7;m=k+1|0;if(j>>>0>16383){j=l;k=m}else{n=m;o=l;break}}}else{n=i;o=e}b[n>>0]=o;o=n+1-i|0;f[h>>2]=(f[h>>2]|0)+o;f[g>>2]=(f[g>>2]|0)-o}else VJb(c,e);e=f[a+16>>2]|0;DLb((e|0)==0?0:e+4|0,f[d>>2]|0,c)}d=a+24|0;if((f[d>>2]|0)>0){e=c+8|0;if((f[e>>2]|0)>4){o=c+4|0;b[f[o>>2]>>0]=50;f[o>>2]=(f[o>>2]|0)+1;o=(f[e>>2]|0)+-1|0;f[e>>2]=o;p=o}else{VJb(c,50);p=f[e>>2]|0}o=f[a+36>>2]|0;if((p|0)>4){p=c+4|0;g=f[p>>2]|0;if(o>>>0>127){h=o;i=g;while(1){b[i>>0]=h|128;n=h>>>7;k=i+1|0;if(h>>>0>16383){h=n;i=k}else{q=k;r=n;break}}}else{q=g;r=o}b[q>>0]=r;r=q+1-g|0;f[p>>2]=(f[p>>2]|0)+r;f[e>>2]=(f[e>>2]|0)-r}else VJb(c,o);o=f[a+32>>2]|0;ELb((o|0)==0?0:o+8|0,f[d>>2]|0,c)}d=a+40|0;if((f[d>>2]|0)>0){o=c+8|0;if((f[o>>2]|0)>4){r=c+4|0;b[f[r>>2]>>0]=58;f[r>>2]=(f[r>>2]|0)+1;r=(f[o>>2]|0)+-1|0;f[o>>2]=r;s=r}else{VJb(c,58);s=f[o>>2]|0}r=f[a+52>>2]|0;if((s|0)>4){s=c+4|0;e=f[s>>2]|0;if(r>>>0>127){p=r;g=e;while(1){b[g>>0]=p|128;q=p>>>7;i=g+1|0;if(p>>>0>16383){p=q;g=i}else{t=i;u=q;break}}}else{t=e;u=r}b[t>>0]=u;u=t+1-e|0;f[s>>2]=(f[s>>2]|0)+u;f[o>>2]=(f[o>>2]|0)-u}else VJb(c,r);r=f[d>>2]|0;if((r|0)>0){d=a+48|0;u=c+8|0;o=c+4|0;s=0;do{e=f[(f[d>>2]|0)+4+(s<<2)>>2]|0;t=((e|0)<0)<<31>>31;if((f[u>>2]|0)>9){g=f[o>>2]|0;p=e&255;if(e>>>0>127){q=g;i=p;h=e;n=t;while(1){b[q>>0]=i|-128;k=h;h=pzc(h|0,n|0,7)|0;j=q+1|0;l=h&255;if(!(n>>>0>0|(n|0)==0&k>>>0>16383)){v=j;w=l;break}else{q=j;i=l;n=J}}}else{v=g;w=p}b[v>>0]=w;n=v+1-g|0;f[o>>2]=(f[o>>2]|0)+n;f[u>>2]=(f[u>>2]|0)-n}else WJb(c,e,t);s=s+1|0}while((s|0)!=(r|0))}}r=f[a+60>>2]|0;if((r|0)>0){s=a+68|0;u=0;do{WLb(8,f[(f[s>>2]|0)+4+(u<<2)>>2]|0,c);u=u+1|0}while((u|0)!=(r|0))}r=a+72|0;if((f[r>>2]|0)>0){u=c+8|0;if((f[u>>2]|0)>4){s=c+4|0;b[f[s>>2]>>0]=74;f[s>>2]=(f[s>>2]|0)+1;s=(f[u>>2]|0)+-1|0;f[u>>2]=s;x=s}else{VJb(c,74);x=f[u>>2]|0}s=f[a+84>>2]|0;if((x|0)>4){x=c+4|0;o=f[x>>2]|0;if(s>>>0>127){v=s;w=o;while(1){b[w>>0]=v|128;d=v>>>7;n=w+1|0;if(v>>>0>16383){v=d;w=n}else{y=n;z=d;break}}}else{y=o;z=s}b[y>>0]=z;z=y+1-o|0;f[x>>2]=(f[x>>2]|0)+z;f[u>>2]=(f[u>>2]|0)-z}else VJb(c,s);s=f[a+80>>2]|0;DLb((s|0)==0?0:s+4|0,f[r>>2]|0,c)}r=a+88|0;if((f[r>>2]|0)>0){s=c+8|0;if((f[s>>2]|0)>4){z=c+4|0;b[f[z>>2]>>0]=82;f[z>>2]=(f[z>>2]|0)+1;z=(f[s>>2]|0)+-1|0;f[s>>2]=z;A=z}else{VJb(c,82);A=f[s>>2]|0}z=f[a+100>>2]|0;if((A|0)>4){A=c+4|0;u=f[A>>2]|0;if(z>>>0>127){x=z;o=u;while(1){b[o>>0]=x|128;y=x>>>7;w=o+1|0;if(x>>>0>16383){x=y;o=w}else{B=w;C=y;break}}}else{B=u;C=z}b[B>>0]=C;C=B+1-u|0;f[A>>2]=(f[A>>2]|0)+C;f[s>>2]=(f[s>>2]|0)-C}else VJb(c,z);z=f[r>>2]|0;if((z|0)>0){r=a+96|0;C=c+8|0;s=c+4|0;A=0;do{u=(f[r>>2]|0)+8+(A<<3)|0;B=f[u>>2]|0;o=f[u+4>>2]|0;if((f[C>>2]|0)>9){u=f[s>>2]|0;x=B&255;if(o>>>0>0|(o|0)==0&B>>>0>127){y=u;w=x;v=B;d=o;while(1){b[y>>0]=w|-128;n=v;v=pzc(v|0,d|0,7)|0;i=y+1|0;q=v&255;if(!(d>>>0>0|(d|0)==0&n>>>0>16383)){D=i;E=q;break}else{y=i;w=q;d=J}}}else{D=u;E=x}b[D>>0]=E;d=D+1-u|0;f[s>>2]=(f[s>>2]|0)+d;f[C>>2]=(f[C>>2]|0)-d}else WJb(c,B,o);A=A+1|0}while((A|0)!=(z|0))}}z=a+104|0;if((f[z>>2]|0)>0){A=c+8|0;if((f[A>>2]|0)>4){C=c+4|0;b[f[C>>2]>>0]=90;f[C>>2]=(f[C>>2]|0)+1;C=(f[A>>2]|0)+-1|0;f[A>>2]=C;F=C}else{VJb(c,90);F=f[A>>2]|0}C=f[a+116>>2]|0;if((F|0)>4){F=c+4|0;s=f[F>>2]|0;if(C>>>0>127){D=C;E=s;while(1){b[E>>0]=D|128;r=D>>>7;d=E+1|0;if(D>>>0>16383){D=r;E=d}else{G=d;H=r;break}}}else{G=s;H=C}b[G>>0]=H;H=G+1-s|0;f[F>>2]=(f[F>>2]|0)+H;f[A>>2]=(f[A>>2]|0)-H}else VJb(c,C);C=f[a+112>>2]|0;FLb((C|0)==0?0:C+4|0,f[z>>2]|0,c)}z=a+120|0;if((f[z>>2]|0)>0){C=c+8|0;if((f[C>>2]|0)>4){H=c+4|0;b[f[H>>2]>>0]=98;f[H>>2]=(f[H>>2]|0)+1;H=(f[C>>2]|0)+-1|0;f[C>>2]=H;I=H}else{VJb(c,98);I=f[C>>2]|0}H=f[a+132>>2]|0;if((I|0)>4){I=c+4|0;A=f[I>>2]|0;if(H>>>0>127){F=H;s=A;while(1){b[s>>0]=F|128;G=F>>>7;E=s+1|0;if(F>>>0>16383){F=G;s=E}else{K=E;L=G;break}}}else{K=A;L=H}b[K>>0]=L;L=K+1-A|0;f[I>>2]=(f[I>>2]|0)+L;f[C>>2]=(f[C>>2]|0)-L}else VJb(c,H);H=f[a+128>>2]|0;ELb((H|0)==0?0:H+8|0,f[z>>2]|0,c)}z=a+136|0;if((f[z>>2]|0)>0){H=c+8|0;if((f[H>>2]|0)>4){L=c+4|0;b[f[L>>2]>>0]=106;f[L>>2]=(f[L>>2]|0)+1;L=(f[H>>2]|0)+-1|0;f[H>>2]=L;M=L}else{VJb(c,106);M=f[H>>2]|0}L=f[a+148>>2]|0;if((M|0)>4){M=c+4|0;C=f[M>>2]|0;if(L>>>0>127){I=L;A=C;while(1){b[A>>0]=I|128;K=I>>>7;s=A+1|0;if(I>>>0>16383){I=K;A=s}else{N=s;O=K;break}}}else{N=C;O=L}b[N>>0]=O;O=N+1-C|0;f[M>>2]=(f[M>>2]|0)+O;f[H>>2]=(f[H>>2]|0)-O}else VJb(c,L);L=f[z>>2]|0;if((L|0)>0){z=a+144|0;O=c+8|0;H=c+4|0;M=0;do{C=f[(f[z>>2]|0)+4+(M<<2)>>2]|0;N=((C|0)<0)<<31>>31;if((f[O>>2]|0)>9){A=f[H>>2]|0;I=C&255;if(C>>>0>127){K=A;s=I;F=C;G=N;while(1){b[K>>0]=s|-128;E=F;F=pzc(F|0,G|0,7)|0;D=K+1|0;r=F&255;if(!(G>>>0>0|(G|0)==0&E>>>0>16383)){P=D;Q=r;break}else{K=D;s=r;G=J}}}else{P=A;Q=I}b[P>>0]=Q;G=P+1-A|0;f[H>>2]=(f[H>>2]|0)+G;f[O>>2]=(f[O>>2]|0)-G}else WJb(c,C,N);M=M+1|0}while((M|0)!=(L|0))}}L=f[a+4>>2]|0;if(!((L&1|0)!=0&(b[488459]|0)!=0))return;Abc(L&-2,c);return}function dRa(a){a=a|0;return f[a+168>>2]|0}function eRa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0;e=f[a+160>>2]|0;if(!e)g=d;else{b[d>>0]=8;h=d+1|0;d=e&255;if(e>>>0>127){i=h;j=d;k=e;l=((e|0)<0)<<31>>31;while(1){b[i>>0]=j|-128;e=k;k=pzc(k|0,l|0,7)|0;m=i+1|0;n=k&255;if(!(l>>>0>0|(l|0)==0&e>>>0>16383)){o=m;p=n;break}else{i=m;j=n;l=J}}}else{o=h;p=d}b[o>>0]=p;g=o+1|0}if((a|0)!=536120?(o=f[a+156>>2]|0,(o|0)!=0):0){b[g>>0]=18;p=g+1|0;d=di[f[(f[o>>2]|0)+60>>2]&1023](o)|0;if(d>>>0>127){h=d;l=p;while(1){b[l>>0]=h|128;j=h>>>7;i=l+1|0;if(h>>>0>16383){h=j;l=i}else{q=i;r=j;break}}}else{q=p;r=d}b[q>>0]=r;s=li[f[(f[o>>2]|0)+64>>2]&511](o,c,q+1|0)|0}else s=g;g=f[a+164>>2]|0;if(!g)t=s;else{b[s>>0]=24;q=s+1|0;s=g&255;if(g>>>0>127){c=q;o=s;r=g;d=((g|0)<0)<<31>>31;while(1){b[c>>0]=o|-128;g=r;r=pzc(r|0,d|0,7)|0;p=c+1|0;l=r&255;if(!(d>>>0>0|(d|0)==0&g>>>0>16383)){u=p;v=l;break}else{c=p;o=l;d=J}}}else{u=q;v=s}b[u>>0]=v;t=u+1|0}u=f[a+152>>2]|0;v=b[u+11>>0]|0;if(v<<24>>24<0)w=f[u+4>>2]|0;else w=v&255;if(!w)x=t;else{b[t>>0]=34;x=XJb(u,t+1|0)|0}t=a+8|0;if((f[t>>2]|0)>0){b[x>>0]=42;u=x+1|0;w=f[a+20>>2]|0;if(w>>>0>127){v=w;s=u;while(1){b[s>>0]=v|128;q=v>>>7;d=s+1|0;if(v>>>0>16383){v=q;s=d}else{y=d;z=q;break}}}else{y=u;z=w}b[y>>0]=z;z=y+1|0;y=f[t>>2]<<2;szc(z|0,(f[a+16>>2]|0)+4|0,y|0)|0;A=z+y|0}else A=x;x=a+24|0;if((f[x>>2]|0)>0){b[A>>0]=50;y=A+1|0;z=f[a+36>>2]|0;if(z>>>0>127){t=z;w=y;while(1){b[w>>0]=t|128;u=t>>>7;s=w+1|0;if(t>>>0>16383){t=u;w=s}else{B=s;C=u;break}}}else{B=y;C=z}b[B>>0]=C;C=B+1|0;B=f[x>>2]<<3;szc(C|0,(f[a+32>>2]|0)+8|0,B|0)|0;D=C+B|0}else D=A;A=a+40|0;if((f[A>>2]|0)>0){b[D>>0]=58;B=D+1|0;C=f[a+52>>2]|0;if(C>>>0>127){x=C;z=B;while(1){b[z>>0]=x|128;y=x>>>7;w=z+1|0;if(x>>>0>16383){x=y;z=w}else{E=w;F=y;break}}}else{E=B;F=C}b[E>>0]=F;F=f[A>>2]|0;A=f[a+48>>2]|0;C=0;B=E+1|0;while(1){E=f[A+4+(C<<2)>>2]|0;z=E&255;if(E>>>0>127){x=B;y=z;w=E;t=((E|0)<0)<<31>>31;while(1){b[x>>0]=y|-128;E=w;w=pzc(w|0,t|0,7)|0;u=x+1|0;s=w&255;if(!(t>>>0>0|(t|0)==0&E>>>0>16383)){G=u;H=s;break}else{x=u;y=s;t=J}}}else{G=B;H=z}b[G>>0]=H;t=G+1|0;C=C+1|0;if((C|0)>=(F|0)){I=t;break}else B=t}}else I=D;D=f[a+60>>2]|0;if((D|0)>0){B=a+68|0;F=0;C=I;while(1){G=f[(f[B>>2]|0)+4+(F<<2)>>2]|0;b[C>>0]=66;H=XJb(G,C+1|0)|0;F=F+1|0;if((F|0)==(D|0)){K=H;break}else C=H}}else K=I;I=a+72|0;if((f[I>>2]|0)>0){b[K>>0]=74;C=K+1|0;D=f[a+84>>2]|0;if(D>>>0>127){F=D;B=C;while(1){b[B>>0]=F|128;H=F>>>7;G=B+1|0;if(F>>>0>16383){F=H;B=G}else{L=G;M=H;break}}}else{L=C;M=D}b[L>>0]=M;M=L+1|0;L=f[I>>2]<<2;szc(M|0,(f[a+80>>2]|0)+4|0,L|0)|0;N=M+L|0}else N=K;K=a+88|0;if((f[K>>2]|0)>0){b[N>>0]=82;L=N+1|0;M=f[a+100>>2]|0;if(M>>>0>127){I=M;D=L;while(1){b[D>>0]=I|128;C=I>>>7;B=D+1|0;if(I>>>0>16383){I=C;D=B}else{O=B;P=C;break}}}else{O=L;P=M}b[O>>0]=P;P=f[K>>2]|0;K=f[a+96>>2]|0;M=0;L=O+1|0;while(1){O=K+8+(M<<3)|0;D=f[O>>2]|0;I=f[O+4>>2]|0;O=D&255;if(I>>>0>0|(I|0)==0&D>>>0>127){C=L;B=O;F=D;D=I;while(1){b[C>>0]=B|-128;I=F;F=pzc(F|0,D|0,7)|0;H=C+1|0;G=F&255;if(!(D>>>0>0|(D|0)==0&I>>>0>16383)){Q=H;R=G;break}else{C=H;B=G;D=J}}}else{Q=L;R=O}b[Q>>0]=R;D=Q+1|0;M=M+1|0;if((M|0)>=(P|0)){S=D;break}else L=D}}else S=N;N=a+104|0;if((f[N>>2]|0)>0){b[S>>0]=90;L=S+1|0;P=f[a+116>>2]|0;if(P>>>0>127){M=P;Q=L;while(1){b[Q>>0]=M|128;R=M>>>7;K=Q+1|0;if(M>>>0>16383){M=R;Q=K}else{T=K;U=R;break}}}else{T=L;U=P}b[T>>0]=U;U=f[N>>2]|0;N=f[a+112>>2]|0;P=0;L=T+1|0;while(1){b[L>>0]=b[N+4+P>>0]|0;T=L+1|0;P=P+1|0;if((P|0)>=(U|0)){V=T;break}else L=T}}else V=S;S=a+120|0;if((f[S>>2]|0)>0){b[V>>0]=98;L=V+1|0;U=f[a+132>>2]|0;if(U>>>0>127){P=U;N=L;while(1){b[N>>0]=P|128;T=P>>>7;Q=N+1|0;if(P>>>0>16383){P=T;N=Q}else{W=Q;X=T;break}}}else{W=L;X=U}b[W>>0]=X;X=W+1|0;W=f[S>>2]<<3;szc(X|0,(f[a+128>>2]|0)+8|0,W|0)|0;Y=X+W|0}else Y=V;V=a+136|0;if((f[V>>2]|0)>0){b[Y>>0]=106;W=Y+1|0;X=f[a+148>>2]|0;if(X>>>0>127){S=X;U=W;while(1){b[U>>0]=S|128;L=S>>>7;N=U+1|0;if(S>>>0>16383){S=L;U=N}else{Z=N;_=L;break}}}else{Z=W;_=X}b[Z>>0]=_;_=f[V>>2]|0;V=f[a+144>>2]|0;X=0;W=Z+1|0;while(1){Z=f[V+4+(X<<2)>>2]|0;U=Z&255;if(Z>>>0>127){S=W;L=U;N=Z;P=((Z|0)<0)<<31>>31;while(1){b[S>>0]=L|-128;Z=N;N=pzc(N|0,P|0,7)|0;T=S+1|0;Q=N&255;if(!(P>>>0>0|(P|0)==0&Z>>>0>16383)){$=T;aa=Q;break}else{S=T;L=Q;P=J}}}else{$=W;aa=U}b[$>>0]=aa;P=$+1|0;X=X+1|0;if((X|0)>=(_|0)){ba=P;break}else W=P}}else ba=Y;Y=f[a+4>>2]|0;if(!((Y&1|0)!=0&(b[488459]|0)!=0)){ca=ba;return ca|0}ca=Bbc(Y&-2,ba)|0;return ca|0}function fRa(a,b){a=a|0;b=b|0;var c=0;if((a|0)==(b|0))return;_Qa(a);c=ovc(b,24728,19416,0)|0;if(!c){A9b(b,a);return}else{nRa(a,c);return}}function gRa(a,b){a=a|0;b=b|0;var c=0;c=ovc(b,24728,19416,0)|0;if(!c){A9b(b,a);return}else{nRa(a,c);return}}function hRa(a,b){a=a|0;b=b|0;f[a+168>>2]=b;return}function iRa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224742]|0)!=2){f[d>>2]=151624;f[d+4>>2]=9;b[d+8>>0]=0;xLb(898968,d);QKb(d)}d=536296;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function jRa(){var a=0,c=0,d=0,e=0,g=0,h=0;a=u;u=u+16|0;c=a;if((f[224743]|0)!=2){f[c>>2]=151624;f[c+4>>2]=10;b[c+8>>0]=0;xLb(898972,c);QKb(c)}d=cuc(16)|0;f[c>>2]=d;f[c+8>>2]=-2147483632;f[c+4>>2]=12;e=d;g=419576;h=e+12|0;do{b[e>>0]=b[g>>0]|0;e=e+1|0;g=g+1|0}while((e|0)<(h|0));b[d+12>>0]=0;T3b(c,114472,114484,114292,0,536296,0,0);if((b[c+11>>0]|0)>=0){u=a;return}fuc(f[c>>2]|0);u=a;return}function kRa(){var a=0,c=0;a=u;u=u+16|0;c=a;if((f[224744]|0)!=2){f[c>>2]=151624;f[c+4>>2]=11;b[c+8>>0]=0;xLb(898976,c);QKb(c)}bQb(419589,495);n9b(419576,1980);lUa();TQa();u=a;return}function lRa(){TKb(3005001,3005e3,420085);LIb();kUa();f[134030]=114372;f[134036]=0;f[134037]=0;f[134038]=0;f[134040]=0;f[134041]=0;f[134042]=0;f[134052]=0;f[134053]=0;f[134054]=0;f[134056]=0;f[134057]=0;f[134058]=0;f[134060]=0;f[134061]=0;f[134062]=0;f[134064]=0;f[134065]=0;f[134066]=0;f[134031]=0;f[134032]=0;f[134033]=0;f[134034]=0;f[134044]=0;f[134045]=0;f[134046]=0;f[134047]=0;f[134048]=0;f[134049]=0;f[134050]=0;f[134068]=542896;f[134069]=0;f[134070]=0;f[134071]=0;f[134072]=0;qLb(536120);f[134069]=536504;return}function mRa(a){a=a|0;var c=0;a=u;u=u+16|0;c=a;if((f[224742]|0)!=2){f[c>>2]=151624;f[c+4>>2]=9;b[c+8>>0]=0;xLb(898968,c);QKb(c)}Y3b(536296,1);u=a;return}function nRa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;d=a+4|0;e=f[c+4>>2]|0;if(e&1|0){g=f[d>>2]|0;if(!(g&1))h=OOa(d)|0;else h=g&-2;hbc(h,e&-2)}e=a+8|0;h=c+8|0;g=f[h>>2]|0;if(g|0){REa(e,(f[e>>2]|0)+g|0);szc((f[a+16>>2]|0)+4+(f[e>>2]<<2)|0,(f[c+16>>2]|0)+4|0,f[h>>2]<<2|0)|0;f[e>>2]=(f[e>>2]|0)+(f[h>>2]|0)}h=a+24|0;e=c+24|0;g=f[e>>2]|0;if(g|0){oRa(h,(f[h>>2]|0)+g|0);szc((f[a+32>>2]|0)+8+(f[h>>2]<<3)|0,(f[c+32>>2]|0)+8|0,f[e>>2]<<3|0)|0;f[h>>2]=(f[h>>2]|0)+(f[e>>2]|0)}e=a+40|0;h=c+40|0;g=f[h>>2]|0;if(g|0){NEa(e,(f[e>>2]|0)+g|0);szc((f[a+48>>2]|0)+4+(f[e>>2]<<2)|0,(f[c+48>>2]|0)+4|0,f[h>>2]<<2|0)|0;f[e>>2]=(f[e>>2]|0)+(f[h>>2]|0)}YOa(a+56|0,c+56|0);h=a+72|0;e=c+72|0;g=f[e>>2]|0;if(g|0){REa(h,(f[h>>2]|0)+g|0);szc((f[a+80>>2]|0)+4+(f[h>>2]<<2)|0,(f[c+80>>2]|0)+4|0,f[e>>2]<<2|0)|0;f[h>>2]=(f[h>>2]|0)+(f[e>>2]|0)}e=a+88|0;h=c+88|0;g=f[h>>2]|0;if(g|0){ZOa(e,(f[e>>2]|0)+g|0);szc((f[a+96>>2]|0)+8+(f[e>>2]<<3)|0,(f[c+96>>2]|0)+8|0,f[h>>2]<<3|0)|0;f[e>>2]=(f[e>>2]|0)+(f[h>>2]|0)}h=a+104|0;e=c+104|0;g=f[e>>2]|0;if(g|0){_Oa(h,(f[h>>2]|0)+g|0);szc((f[h>>2]|0)+((f[a+112>>2]|0)+4)|0,(f[c+112>>2]|0)+4|0,f[e>>2]|0)|0;f[h>>2]=(f[h>>2]|0)+(f[e>>2]|0)}e=a+120|0;h=c+120|0;g=f[h>>2]|0;if(g|0){oRa(e,(f[e>>2]|0)+g|0);szc((f[a+128>>2]|0)+8+(f[e>>2]<<3)|0,(f[c+128>>2]|0)+8|0,f[h>>2]<<3|0)|0;f[e>>2]=(f[e>>2]|0)+(f[h>>2]|0)}h=a+136|0;e=c+136|0;g=f[e>>2]|0;if(g|0){NEa(h,(f[h>>2]|0)+g|0);szc((f[a+144>>2]|0)+4+(f[h>>2]<<2)|0,(f[c+144>>2]|0)+4|0,f[e>>2]<<2|0)|0;f[h>>2]=(f[h>>2]|0)+(f[e>>2]|0)}e=f[c+152>>2]|0;h=b[e+11>>0]|0;if(h<<24>>24<0)i=f[e+4>>2]|0;else i=h&255;do if(i|0){h=a+152|0;g=f[d>>2]|0;j=g&-2;if(!(g&1))k=j;else k=f[j+4>>2]|0;j=f[h>>2]|0;if((j|0)==542896){QGa(h,k,e);break}else{ruc(j,e)|0;break}}while(0);if((c|0)!=536120?(e=c+156|0,k=f[e>>2]|0,k|0):0){d=a+156|0;i=f[d>>2]|0;if(!i){pRa(a);l=f[e>>2]|0;m=f[d>>2]|0}else{l=k;m=i}mUa(m,l|0?l:536504)}l=f[c+160>>2]|0;if(l|0)f[a+160>>2]=l;l=f[c+164>>2]|0;if(!l)return;f[a+164>>2]=l;return}function oRa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=a+4|0;d=f[c>>2]|0;if((d|0)>=(b|0))return;e=a+8|0;g=f[e>>2]|0;h=(g|0)==0;if(h)i=0;else i=f[g>>2]|0;j=d<<1;d=(j|0)<(b|0)?b:j;j=(d|0)>4?d:4;d=j<<3;if(!i)k=cuc(d+8|0)|0;else{b=d+15&-8;if(f[i+64>>2]|0)HIb(i,27008,b);k=FIb(i,b)|0}f[e>>2]=k;f[k>>2]=i;f[c>>2]=j;j=f[a>>2]|0;if((j|0)>0)szc(k+8|0,g+8|0,j<<3|0)|0;if(h)return;if(f[g>>2]|0)return;fuc(g);return}function pRa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=f[a+4>>2]|0;c=b&-2;if(!(b&1))d=c;else d=f[c+4>>2]|0;if(!d){c=cuc(32)|0;hUa(c);e=c;g=a+156|0;f[g>>2]=e;return}if(f[d+64>>2]|0)HIb(d,19560,32);c=FIb(d,32)|0;iUa(c,d);e=c;g=a+156|0;f[g>>2]=e;return}function qRa(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0.0,q=0,r=0,t=0,v=0,w=0,x=0,y=0;g=u;u=u+16|0;i=g;j=d+4|0;k=f[d>>2]|0;do if(((f[j>>2]|0)-k|0)>7){l=k;m=l;n=h[m>>0]|h[m+1>>0]<<8|h[m+2>>0]<<16|h[m+3>>0]<<24;m=l+4|0;l=h[m>>0]|h[m+1>>0]<<8|h[m+2>>0]<<16|h[m+3>>0]<<24;m=i;f[m>>2]=n;f[m+4>>2]=l;f[d>>2]=k+8;f[s>>2]=n;f[s+4>>2]=l;o=+p[s>>3]}else{if(MJb(d,i)|0){o=+p[i>>3];break}q=0;u=g;return q|0}while(0);i=f[e>>2]|0;k=e+4|0;if((i|0)==(f[k>>2]|0)){oRa(e,i+1|0);r=f[e>>2]|0}else r=i;i=f[e+8>>2]|0;l=r+1|0;f[e>>2]=l;p[i+8+(r<<3)>>3]=o;r=f[d>>2]|0;n=(f[j>>2]|0)-r|0;if((n|0)<=0){q=1;u=g;return q|0}j=r;r=a+8|0;a=(f[k>>2]|0)-l|0;k=(n|0)/(r|0)|0;m=(k|0)<(a|0)?k:a;a:do if((m|0)>0){a=c&127|128;k=c>>>7&255;if(c>>>0<128){t=0;v=j;w=l;while(1){if((h[v>>0]|0)!=(c|0)){x=t;break a}y=v+1|0;b[s>>0]=b[y>>0];b[s+1>>0]=b[y+1>>0];b[s+2>>0]=b[y+2>>0];b[s+3>>0]=b[y+3>>0];b[s+4>>0]=b[y+4>>0];b[s+5>>0]=b[y+5>>0];b[s+6>>0]=b[y+6>>0];b[s+7>>0]=b[y+7>>0];o=+p[s>>3];y=w;w=w+1|0;f[e>>2]=w;p[i+8+(y<<3)>>3]=o;y=t+1|0;if((y|0)>=(m|0)){x=y;break a}else{t=y;v=v+9|0}}}if(c>>>0<16384){v=0;t=j;w=l;while(1){if((h[t>>0]|0)!=(a|0)){x=v;break a}if((b[t+1>>0]|0)!=k<<24>>24){x=v;break a}y=t+2|0;b[s>>0]=b[y>>0];b[s+1>>0]=b[y+1>>0];b[s+2>>0]=b[y+2>>0];b[s+3>>0]=b[y+3>>0];b[s+4>>0]=b[y+4>>0];b[s+5>>0]=b[y+5>>0];b[s+6>>0]=b[y+6>>0];b[s+7>>0]=b[y+7>>0];o=+p[s>>3];y=w;w=w+1|0;f[e>>2]=w;p[i+8+(y<<3)>>3]=o;y=v+1|0;if((y|0)>=(m|0)){x=y;break}else{v=y;t=t+10|0}}}else x=0}else x=0;while(0);m=Y(x,r)|0;if((m|0)<=0){q=1;u=g;return q|0}if((n|0)<(m|0)){HJb(d,m,n)|0;q=1;u=g;return q|0}else{f[d>>2]=j+m;q=1;u=g;return q|0}return 0}function rRa(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;a=f[d>>2]|0;g=d+4|0;if(a>>>0<(f[g>>2]|0)>>>0){i=b[a>>0]|0;j=i&255;if(i<<24>>24>-1){f[d>>2]=a+1;k=j}else{l=j;m=4}}else{l=0;m=4}if((m|0)==4){j=zJb(d,l)|0;l=J;if((l|0)>-1|(l|0)==-1&j>>>0>4294967295)k=j;else{n=0;return n|0}}j=f[e>>2]|0;l=e+4|0;if((j|0)==(f[l>>2]|0)){NEa(e,j+1|0);o=f[e>>2]|0}else o=j;j=e+8|0;a=f[j>>2]|0;f[e>>2]=o+1;f[a+4+(o<<2)>>2]=k;k=(f[l>>2]|0)-(f[e>>2]|0)|0;if((k|0)<=0){n=1;return n|0}l=c&127|128;o=c>>>7&255;if(c>>>0<128){i=k;p=a;while(1){q=f[d>>2]|0;r=f[g>>2]|0;if(q>>>0>=r>>>0){n=1;m=27;break}if((h[q>>0]|0)!=(c|0)){n=1;m=27;break}s=q+1|0;f[d>>2]=s;if(s>>>0<r>>>0){r=b[s>>0]|0;s=r&255;if(r<<24>>24>-1){f[d>>2]=q+2;t=s;u=p}else{v=s;m=13}}else{v=0;m=13}if((m|0)==13){m=0;s=zJb(d,v)|0;q=J;if(!((q|0)>-1|(q|0)==-1&s>>>0>4294967295)){n=0;m=27;break}t=s;u=f[j>>2]|0}s=f[e>>2]|0;f[e>>2]=s+1;f[u+4+(s<<2)>>2]=t;if((i|0)>1){i=i+-1|0;p=u}else{n=1;m=27;break}}if((m|0)==27)return n|0}if(c>>>0<16384){w=k;x=a}else{n=1;return n|0}while(1){a=f[g>>2]|0;k=f[d>>2]|0;c=k;if((a-k|0)<=1){n=1;m=27;break}if((h[c>>0]|0)!=(l|0)){n=1;m=27;break}if((b[c+1>>0]|0)!=o<<24>>24){n=1;m=27;break}k=c+2|0;f[d>>2]=k;if(k>>>0<a>>>0){a=b[k>>0]|0;k=a&255;if(a<<24>>24>-1){f[d>>2]=c+3;y=k;z=x}else{A=k;m=23}}else{A=0;m=23}if((m|0)==23){m=0;k=zJb(d,A)|0;c=J;if(!((c|0)>-1|(c|0)==-1&k>>>0>4294967295)){n=0;m=27;break}y=k;z=f[j>>2]|0}k=f[e>>2]|0;f[e>>2]=k+1;f[z+4+(k<<2)>>2]=y;if((w|0)>1){w=w+-1|0;x=z}else{n=1;m=27;break}}if((m|0)==27)return n|0;return 0}function sRa(a){a=a|0;var c=0,d=0,e=0,g=0;c=u;u=u+16|0;d=c;f[a>>2]=114372;e=a+4|0;f[a+24>>2]=0;f[a+28>>2]=0;f[a+32>>2]=0;f[a+40>>2]=0;f[a+44>>2]=0;f[a+48>>2]=0;g=a+56|0;f[a+88>>2]=0;f[a+92>>2]=0;f[a+96>>2]=0;f[a+104>>2]=0;f[a+108>>2]=0;f[a+112>>2]=0;f[a+120>>2]=0;f[a+124>>2]=0;f[a+128>>2]=0;f[a+136>>2]=0;f[a+140>>2]=0;f[a+144>>2]=0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;f[g+16>>2]=0;f[g+20>>2]=0;f[g+24>>2]=0;if((a|0)!=536120?(f[224744]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=11;b[d+8>>0]=0;xLb(898976,d);QKb(d)}f[a+152>>2]=542896;d=a+156|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;u=c;return}function tRa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;d=u;u=u+16|0;e=d;f[a>>2]=114372;f[a+4>>2]=c;f[a+8>>2]=0;f[a+12>>2]=0;g=a+16|0;f[g>>2]=0;h=(c|0)==0;if(h){f[a+24>>2]=0;f[a+28>>2]=0;f[a+32>>2]=0;f[a+40>>2]=0;f[a+44>>2]=0;f[a+48>>2]=0}else{if(f[c+64>>2]|0)HIb(c,27008,8);i=FIb(c,8)|0;f[g>>2]=i;f[i>>2]=c;f[a+24>>2]=0;f[a+28>>2]=0;i=a+32|0;f[i>>2]=0;if(f[c+64>>2]|0)HIb(c,27008,8);g=FIb(c,8)|0;f[i>>2]=g;f[g>>2]=c;f[a+40>>2]=0;f[a+44>>2]=0;g=a+48|0;f[g>>2]=0;if(f[c+64>>2]|0)HIb(c,27008,8);i=FIb(c,8)|0;f[g>>2]=i;f[i>>2]=c}f[a+56>>2]=c;i=a+60|0;g=a+80|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;f[i+16>>2]=0;f[i+20>>2]=0;if(h){f[a+88>>2]=0;f[a+92>>2]=0;f[a+96>>2]=0;f[a+104>>2]=0;f[a+108>>2]=0;f[a+112>>2]=0;f[a+120>>2]=0;f[a+124>>2]=0;f[a+128>>2]=0;f[a+136>>2]=0;f[a+140>>2]=0;f[a+144>>2]=0}else{if(f[c+64>>2]|0)HIb(c,27008,8);h=FIb(c,8)|0;f[g>>2]=h;f[h>>2]=c;f[a+88>>2]=0;f[a+92>>2]=0;h=a+96|0;f[h>>2]=0;if(f[c+64>>2]|0)HIb(c,27008,8);g=FIb(c,8)|0;f[h>>2]=g;f[g>>2]=c;f[a+104>>2]=0;f[a+108>>2]=0;g=a+112|0;f[g>>2]=0;if(f[c+64>>2]|0)HIb(c,27008,8);h=FIb(c,8)|0;f[g>>2]=h;f[h>>2]=c;f[a+120>>2]=0;f[a+124>>2]=0;h=a+128|0;f[h>>2]=0;if(f[c+64>>2]|0)HIb(c,27008,8);g=FIb(c,8)|0;f[h>>2]=g;f[g>>2]=c;f[a+136>>2]=0;f[a+140>>2]=0;g=a+144|0;f[g>>2]=0;if(f[c+64>>2]|0)HIb(c,27008,8);h=FIb(c,8)|0;f[g>>2]=h;f[h>>2]=c}if((f[224744]|0)==2){j=a+152|0;f[j>>2]=542896;k=a+156|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;u=d;return}f[e>>2]=151624;f[e+4>>2]=11;b[e+8>>0]=0;xLb(898976,e);QKb(e);j=a+152|0;f[j>>2]=542896;k=a+156|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;u=d;return}function uRa(){var a=0,c=0;a=u;u=u+16|0;c=a;if((f[224743]|0)==2){u=a;return}f[c>>2]=151624;f[c+4>>2]=10;b[c+8>>0]=0;xLb(898972,c);QKb(c);u=a;return}function vRa(){var a=0,c=0;a=u;u=u+16|0;c=a;if((f[224744]|0)==2){u=a;return}f[c>>2]=151624;f[c+4>>2]=11;b[c+8>>0]=0;xLb(898976,c);QKb(c);u=a;return}function wRa(){var a=0,c=0;a=u;u=u+16|0;c=a;if((f[224743]|0)==2){u=a;return}f[c>>2]=151624;f[c+4>>2]=10;b[c+8>>0]=0;xLb(898972,c);QKb(c);u=a;return}function xRa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0;f[a>>2]=114608;if((a|0)!=536304){b=f[a+24>>2]|0;if(b|0)bi[f[(f[b>>2]|0)+4>>2]&2047](b);b=f[a+28>>2]|0;if(b|0)bi[f[(f[b>>2]|0)+4>>2]&2047](b)}b=a+20|0;c=f[b>>2]|0;if(c|0?(f[a+8>>2]|0)==0:0){d=f[c>>2]|0;if((d|0)>0){e=0;do{g=f[c+4+(e<<2)>>2]|0;if(g|0)bi[f[(f[g>>2]|0)+4>>2]&2047](g);e=e+1|0}while((e|0)!=(d|0));h=f[b>>2]|0}else h=c;fuc(h)}f[b>>2]=0;b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}h=a&-2;a=h;if((h|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(h);f[b>>2]=0;return}function yRa(a){a=a|0;xRa(a);fuc(a);return}function zRa(a){a=a|0;a=cuc(40)|0;lTa(a);return a|0}function ARa(a,b){a=a|0;b=b|0;var c=0;if(!b){a=cuc(40)|0;lTa(a);c=a;return c|0}if(f[b+64>>2]|0)HIb(b,19432,40);a=FIb(b,40)|0;mTa(a,b);c=a;return c|0}function BRa(a){a=a|0;var b=0,c=0;b=f[a+4>>2]|0;a=b&-2;if(!(b&1)){c=a;return c|0}else{c=f[a+4>>2]|0;return c|0}return 0}function CRa(a){a=a|0;return f[a+4>>2]|0}function DRa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0;b=a+12|0;c=f[b>>2]|0;if((c|0)>0){d=f[a+20>>2]|0;e=0;do{MSa(f[d+4+(e<<2)>>2]|0);e=e+1|0}while((e|0)!=(c|0));f[b>>2]=0}b=a+4|0;c=f[b>>2]|0;e=c&-2;if(!(c&1))g=e;else g=f[e+4>>2]|0;e=a+24|0;if((g|0)==0?(g=f[e>>2]|0,(g|0)!=0):0){bi[f[(f[g>>2]|0)+4>>2]&2047](g);h=f[b>>2]|0}else h=c;f[e>>2]=0;e=h&-2;if(!(h&1))i=e;else i=f[e+4>>2]|0;e=a+28|0;if((i|0)==0?(i=f[e>>2]|0,(i|0)!=0):0){bi[f[(f[i>>2]|0)+4>>2]&2047](i);j=f[b>>2]|0}else j=h;f[e>>2]=0;f[a+32>>2]=0;if(!(j&1))return;a=j&-2;if(!(f[a>>2]|0))return;ebc(a);return}function ERa(a){a=a|0;return 1}function FRa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0;d=u;u=u+16|0;e=d;g=c+4|0;h=a+8|0;i=a+20|0;j=a+16|0;k=a+12|0;l=e+4|0;m=a+24|0;n=e+4|0;o=a+32|0;p=a+28|0;q=e+4|0;r=a+4|0;a:while(1){s=f[c>>2]|0;if(s>>>0<(f[g>>2]|0)>>>0){t=b[s>>0]|0;v=t&255;if(t<<24>>24>0){f[c>>2]=s+1;w=v;x=6}else{y=v;x=5}}else{y=0;x=5}if((x|0)==5){x=0;v=OJb(c,y)|0;if((v+-1|0)>>>0<127){w=v;x=6}else z=v}b:do if((x|0)==6){x=0;switch(w>>>3&536870911|0){case 1:{if((w&255|0)!=10){z=w;break b}v=f[i>>2]|0;do if(v){s=f[k>>2]|0;t=f[v>>2]|0;if((s|0)>=(t|0))if((t|0)==(f[j>>2]|0)){A=t;x=13;break}else{B=t;C=v;x=14;break}else{f[k>>2]=s+1;D=f[v+4+(s<<2)>>2]|0;break}}else{A=f[j>>2]|0;x=13}while(0);if((x|0)==13){x=0;LKb(h,A+1|0);v=f[i>>2]|0;B=f[v>>2]|0;C=v;x=14}if((x|0)==14){x=0;f[C>>2]=B+1;v=f[h>>2]|0;if(!v){s=cuc(76)|0;VRa(s);E=s}else{if(f[v+64>>2]|0)HIb(v,19512,80);s=FIb(v,80)|0;dTa(s,v);E=s}s=f[i>>2]|0;v=f[k>>2]|0;f[k>>2]=v+1;f[s+4+(v<<2)>>2]=E;D=E}v=f[c>>2]|0;if(v>>>0<(f[g>>2]|0)>>>0?(s=b[v>>0]|0,s<<24>>24>-1):0){f[c>>2]=v+1;F=s&255}else{s=NJb(c)|0;if((s|0)>-1)F=s;else{G=0;x=61;break a}}yJb(e,c,F);if((f[l>>2]|0)<0){x=26;break a}if(!(Th[f[(f[D>>2]|0)+44>>2]&1023](D,c)|0)){x=26;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{G=0;x=61;break a}break}case 2:{if((w&255|0)!=18){z=w;break b}s=f[m>>2]|0;if(!s){iTa(a);H=f[m>>2]|0}else H=s;s=f[c>>2]|0;if(s>>>0<(f[g>>2]|0)>>>0?(v=b[s>>0]|0,v<<24>>24>-1):0){f[c>>2]=s+1;I=v&255}else{v=NJb(c)|0;if((v|0)>-1)I=v;else{G=0;x=61;break a}}yJb(e,c,I);if((f[n>>2]|0)<0){x=37;break a}if(!(Th[f[(f[H>>2]|0)+44>>2]&1023](H,c)|0)){x=37;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{G=0;x=61;break a}break}case 3:{if((w&255|0)!=24){z=w;break b}v=f[c>>2]|0;if(v>>>0<(f[g>>2]|0)>>>0){s=b[v>>0]|0;t=s&255;if(s<<24>>24>-1){f[c>>2]=v+1;K=t}else{L=t;x=43}}else{L=0;x=43}if((x|0)==43){x=0;t=zJb(c,L)|0;v=J;if((v|0)>-1|(v|0)==-1&t>>>0>4294967295)K=t;else{G=0;x=61;break a}}f[o>>2]=K;continue a;break}case 4:{if((w&255|0)!=34){z=w;break b}t=f[p>>2]|0;if(!t){jTa(a);M=f[p>>2]|0}else M=t;t=f[c>>2]|0;if(t>>>0<(f[g>>2]|0)>>>0?(v=b[t>>0]|0,v<<24>>24>-1):0){f[c>>2]=t+1;N=v&255}else{v=NJb(c)|0;if((v|0)>-1)N=v;else{G=0;x=61;break a}}yJb(e,c,N);if((f[q>>2]|0)<0){x=54;break a}if(!(Th[f[(f[M>>2]|0)+44>>2]&1023](M,c)|0)){x=54;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{G=0;x=61;break a}break}default:{z=w;break b}}}while(0);if(!z){G=1;x=61;break}v=f[r>>2]|0;if(!(v&1))O=OOa(r)|0;else O=v&-2;if(!(xbc(c,z,O)|0)){G=0;x=61;break}}if((x|0)==26){G=0;u=d;return G|0}else if((x|0)==37){G=0;u=d;return G|0}else if((x|0)==54){G=0;u=d;return G|0}else if((x|0)==61){u=d;return G|0}return 0}function GRa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;c=f[a+4>>2]|0;if((c&1|0)!=0&(b[488459]|0)!=0)d=Dbc(c&-2)|0;else d=0;c=f[a+12>>2]|0;e=c+d|0;if(!c)g=e;else{d=a+20|0;h=0;i=e;while(1){e=f[(f[d>>2]|0)+4+(h<<2)>>2]|0;j=di[f[(f[e>>2]|0)+48>>2]&1023](e)|0;e=j+i+((((($(j|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=h+1|0;if((h|0)==(c|0)){g=e;break}else i=e}}if((a|0)!=536304){i=f[a+24>>2]|0;if(!i)k=g;else{c=di[f[(f[i>>2]|0)+48>>2]&1023](i)|0;k=g+1+c+((((($(c|1|0)|0)^31)*9|0)+73|0)>>>6)|0}c=f[a+28>>2]|0;if(!c)l=k;else{i=di[f[(f[c>>2]|0)+48>>2]&1023](c)|0;l=k+1+i+((((($(i|1|0)|0)^31)*9|0)+73|0)>>>6)|0}}else l=g;g=f[a+32>>2]|0;if(!g){m=l;n=a+36|0;f[n>>2]=m;return m|0}if((g|0)<0)o=11;else o=((((($(g|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;m=o+l|0;n=a+36|0;f[n>>2]=m;return m|0}function HRa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;d=f[a+12>>2]|0;if(d|0){e=a+20|0;g=0;do{_Lb(1,f[(f[e>>2]|0)+4+(g<<2)>>2]|0,c);g=g+1|0}while((g|0)!=(d|0))}d=(a|0)==536304;if(!d?(g=f[a+24>>2]|0,g|0):0)_Lb(2,g,c);g=f[a+32>>2]|0;if(g|0)GLb(3,g,c);if(!d?(d=f[a+28>>2]|0,d|0):0)_Lb(4,d,c);d=f[a+4>>2]|0;if(!((d&1|0)!=0&(b[488459]|0)!=0))return;Abc(d&-2,c);return}function IRa(a){a=a|0;return f[a+36>>2]|0}function JRa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;e=f[a+12>>2]|0;if(!e)g=d;else{h=a+20|0;i=0;j=d;while(1){d=f[(f[h>>2]|0)+4+(i<<2)>>2]|0;b[j>>0]=10;k=j+1|0;l=di[f[(f[d>>2]|0)+60>>2]&1023](d)|0;if(l>>>0>127){m=l;n=k;while(1){b[n>>0]=m|128;o=m>>>7;p=n+1|0;if(m>>>0>16383){m=o;n=p}else{q=p;r=o;break}}}else{q=k;r=l}b[q>>0]=r;n=li[f[(f[d>>2]|0)+64>>2]&511](d,c,q+1|0)|0;i=i+1|0;if((i|0)==(e|0)){g=n;break}else j=n}}j=(a|0)==536304;if(!j?(e=f[a+24>>2]|0,(e|0)!=0):0){b[g>>0]=18;i=g+1|0;q=di[f[(f[e>>2]|0)+60>>2]&1023](e)|0;if(q>>>0>127){r=q;h=i;while(1){b[h>>0]=r|128;n=r>>>7;m=h+1|0;if(r>>>0>16383){r=n;h=m}else{s=m;t=n;break}}}else{s=i;t=q}b[s>>0]=t;u=li[f[(f[e>>2]|0)+64>>2]&511](e,c,s+1|0)|0}else u=g;g=f[a+32>>2]|0;if(!g)v=u;else{b[u>>0]=24;s=u+1|0;u=g&255;if(g>>>0>127){e=s;t=u;q=g;i=((g|0)<0)<<31>>31;while(1){b[e>>0]=t|-128;g=q;q=pzc(q|0,i|0,7)|0;h=e+1|0;r=q&255;if(!(i>>>0>0|(i|0)==0&g>>>0>16383)){w=h;x=r;break}else{e=h;t=r;i=J}}}else{w=s;x=u}b[w>>0]=x;v=w+1|0}if(!j?(j=f[a+28>>2]|0,(j|0)!=0):0){b[v>>0]=34;w=v+1|0;x=di[f[(f[j>>2]|0)+60>>2]&1023](j)|0;if(x>>>0>127){u=x;s=w;while(1){b[s>>0]=u|128;i=u>>>7;t=s+1|0;if(u>>>0>16383){u=i;s=t}else{y=t;z=i;break}}}else{y=w;z=x}b[y>>0]=z;A=li[f[(f[j>>2]|0)+64>>2]&511](j,c,y+1|0)|0}else A=v;v=f[a+4>>2]|0;if(!((v&1|0)!=0&(b[488459]|0)!=0)){B=A;return B|0}B=Bbc(v&-2,A)|0;return B|0}function KRa(a,b){a=a|0;b=b|0;var c=0;if((a|0)==(b|0))return;DRa(a);c=ovc(b,24728,19432,0)|0;if(!c){A9b(b,a);return}else{gTa(a,c);return}}function LRa(a,b){a=a|0;b=b|0;var c=0;c=ovc(b,24728,19432,0)|0;if(!c){A9b(b,a);return}else{gTa(a,c);return}}function MRa(a,b){a=a|0;b=b|0;f[a+36>>2]=b;return}function NRa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224745]|0)!=2){f[d>>2]=151624;f[d+4>>2]=12;b[d+8>>0]=0;xLb(898980,d);QKb(d)}d=536448;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function ORa(){var a=0,c=0,d=0,e=0,g=0,h=0;a=u;u=u+16|0;c=a;if((f[224746]|0)!=2){f[c>>2]=151624;f[c+4>>2]=13;b[c+8>>0]=0;xLb(898984,c);QKb(c)}d=cuc(16)|0;f[c>>2]=d;f[c+8>>2]=-2147483632;f[c+4>>2]=11;e=d;g=420201;h=e+11|0;do{b[e>>0]=b[g>>0]|0;e=e+1|0;g=g+1|0}while((e|0)<(h|0));b[d+11>>0]=0;T3b(c,114708,114744,114488,0,536448,0,0);if((b[c+11>>0]|0)>=0){u=a;return}fuc(f[c>>2]|0);u=a;return}function PRa(){QRa();bQb(420213,513);n9b(420201,1981);MQa();Jyb();ABb();return}function QRa(){var a=0,c=0;a=u;u=u+16|0;c=a;if((f[224747]|0)!=2){f[c>>2]=151624;f[c+4>>2]=14;b[c+8>>0]=0;xLb(898988,c);QKb(c)}if((f[224748]|0)!=2){f[c>>2]=151624;f[c+4>>2]=15;b[c+8>>0]=0;xLb(898992,c);QKb(c)}if((f[224749]|0)==2){u=a;return}f[c>>2]=151624;f[c+4>>2]=16;b[c+8>>0]=0;xLb(898996,c);QKb(c);u=a;return}function RRa(a){a=a|0;var c=0;a=u;u=u+16|0;c=a;if((f[224745]|0)!=2){f[c>>2]=151624;f[c+4>>2]=12;b[c+8>>0]=0;xLb(898980,c);QKb(c)}Y3b(536448,3);u=a;return}function SRa(){var a=0,c=0;a=u;u=u+16|0;c=a;TKb(3005001,3005e3,420727);LIb();if((f[224749]|0)!=2){f[c>>2]=151624;f[c+4>>2]=16;b[c+8>>0]=0;xLb(898996,c);QKb(c)}zBb();Iyb();f[134076]=114608;f[134077]=0;f[134078]=0;f[134079]=0;f[134080]=0;f[134081]=0;f[134082]=0;f[134083]=0;f[134084]=0;f[134085]=0;qLb(536304);f[134083]=541624;f[134082]=541088;u=a;return}function TRa(){TKb(3005001,3005e3,420727);LIb();LQa();f[134089]=0;f[134087]=542896;f[134090]=0;f[134091]=0;f[134086]=114956;f[134088]=535936;return}function URa(){var a=0,c=0;a=u;u=u+16|0;c=a;TKb(3005001,3005e3,420727);LIb();if((f[224748]|0)!=2){f[c>>2]=151624;f[c+4>>2]=15;b[c+8>>0]=0;xLb(898992,c);QKb(c)}VRa(536368);qLb(536368);u=a;return}function VRa(a){a=a|0;var c=0,d=0,e=0,g=0;c=u;u=u+16|0;d=c;f[a>>2]=114764;e=a+4|0;g=a+24|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;f[e+16>>2]=0;f[g>>2]=157748;f[a+28>>2]=0;f[a+32>>2]=0;kLb(a+36|0);f[a+40>>2]=0;f[g>>2]=114872;f[a+44>>2]=0;g=a+48|0;f[g>>2]=0;e=a+52|0;f[e>>2]=0;xGa(g);f[e>>2]=0;if((a|0)!=536368?(f[224749]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=16;b[d+8>>0]=0;xLb(898996,d);QKb(d)}f[a+60>>2]=542896;f[a+64>>2]=542896;f[a+68>>2]=542896;f[a+72>>2]=0;u=c;return}function WRa(a){a=a|0;f[a>>2]=114872;WFa(a+24|0);y4b(a);return}function XRa(a){a=a|0;f[a>>2]=114872;WFa(a+24|0);y4b(a);fuc(a);return}function YRa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+32|0;e=d+16|0;g=d;ouc(g,qPa(c)|0);VFa(e,f[a+32>>2]|0,g,0);a=(f[e>>2]|0)!=0;if((b[g+11>>0]|0)>=0){u=d;return a|0}fuc(f[g>>2]|0);u=d;return a|0}function ZRa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0;e=u;u=u+32|0;g=e+16|0;h=e;i=di[f[(f[a>>2]|0)+68>>2]&1023](a)|0;ouc(h,qPa(c)|0);VFa(g,f[i+8>>2]|0,h,0);c=f[g>>2]|0;if(!c){j=1;k=yGa(i,h)|0}else{j=0;k=(f[c+12>>2]|0)+16|0}f[d>>2]=k;if((b[h+11>>0]|0)>=0){u=e;return j|0}fuc(f[h>>2]|0);u=e;return j|0}function _Ra(a,c){a=a|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;ouc(e,qPa(c)|0);c=(rPa(di[f[(f[a>>2]|0)+68>>2]&1023](a)|0,e)|0)!=0;if((b[e+11>>0]|0)>=0){u=d;return c|0}fuc(f[e>>2]|0);u=d;return c|0}function $Ra(a){a=a|0;T5b(a);return f[f[a+32>>2]>>2]|0}function aSa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;b=u;u=u+16|0;c=b;d=f[a+8>>2]|0;if(!d)e=12;else{g=f[d+8>>2]<<2;h=d+12|0;d=f[h>>2]|0;if(!d)i=g;else{if((f[d>>2]|0)>0){j=0;k=g;l=d;while(1){d=f[l+4+(j<<2)>>2]|0;m=(di[f[(f[d>>2]|0)+84>>2]&1023](d)|0)+k|0;j=j+1|0;l=f[h>>2]|0;if((j|0)>=(f[l>>2]|0)){n=m;break}else k=m}}else n=g;i=n+4|0}e=i+12|0}i=f[a+32>>2]|0;a=f[i+12>>2]|0;n=f[i+4>>2]|0;a:do if(n>>>0>a>>>0){g=f[i+16>>2]|0;k=a;while(1){o=f[g+(k<<2)>>2]|0;if(o|0)break;l=k+1|0;if(l>>>0<n>>>0)k=l;else{p=0;q=l;break a}}if((o|0)==(f[g+((k^1)<<2)>>2]|0)){p=f[(f[o>>2]|0)+16>>2]|0;q=k;break}else{p=o;q=k;break}}else{p=0;q=a}while(0);f[c>>2]=p;f[c+4>>2]=i;f[c+8>>2]=q;if(!p){r=e;u=b;return r|0}q=e;e=p;while(1){p=(f[e+12>>2]|0)+16|0;i=q+12+(di[f[(f[p>>2]|0)+84>>2]&1023](p)|0)|0;pGa(c)|0;e=f[c>>2]|0;if(!e){r=i;break}else q=i}u=b;return r|0}function bSa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;b=u;u=u+16|0;c=b;d=a+8|0;e=f[d>>2]|0;if(!e){g=f[a+4>>2]|0;if(!g){h=cuc(16)|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;i=h}else{if(f[g+64>>2]|0)HIb(g,19296,16);h=GIb(g,16,1975)|0;f[h>>2]=g;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;i=h}f[d>>2]=i;j=i}else j=e;e=j+4|0;i=f[e>>2]|0;if((i|0)>0){d=f[j+12>>2]|0;h=0;do{g=f[d+4+(h<<2)>>2]|0;h=h+1|0;bi[f[(f[g>>2]|0)+28>>2]&2047](g)}while((h|0)!=(i|0));f[e>>2]=0}i=f[a+32>>2]|0;h=f[i+12>>2]|0;d=f[i+4>>2]|0;a:do if(d>>>0>h>>>0){g=f[i+16>>2]|0;k=h;while(1){l=f[g+(k<<2)>>2]|0;if(l|0)break;m=k+1|0;if(m>>>0<d>>>0)k=m;else{n=0;o=m;break a}}if((l|0)==(f[g+((k^1)<<2)>>2]|0)){n=f[(f[l>>2]|0)+16>>2]|0;o=k;break}else{n=l;o=k;break}}else{n=0;o=h}while(0);f[c>>2]=n;f[c+4>>2]=i;f[c+8>>2]=o;if(!n){u=b;return}n=a+4|0;a=j+12|0;o=j+8|0;do{i=Th[f[(f[134086]|0)+16>>2]&1023](536344,f[n>>2]|0)|0;h=i+12|0;l=f[h>>2]|0;d=f[j>>2]|0;if(((d|0)==(l|0)?(m=f[a>>2]|0,(m|0)!=0):0)?(p=f[m>>2]|0,(p|0)<(f[o>>2]|0)):0){q=f[e>>2]|0;if((q|0)<(p|0)){r=m+4+(q<<2)|0;f[m+4+(p<<2)>>2]=f[r>>2];s=r}else s=m+4+(q<<2)|0;f[s>>2]=i;f[e>>2]=q+1;q=f[a>>2]|0;f[q>>2]=(f[q>>2]|0)+1}else gSa(j,i,l,d);d=f[(f[c>>2]|0)+12>>2]|0;l=i+16|0;f[l>>2]=f[l>>2]|1;q=i+4|0;m=f[q>>2]|0;if((m|0)==542896){QGa(q,f[h>>2]|0,542896);t=f[q>>2]|0}else t=m;ruc(t,d)|0;d=(f[(f[c>>2]|0)+12>>2]|0)+16|0;f[l>>2]=f[l>>2]|2;l=i+8|0;i=f[h>>2]|0;h=f[l>>2]|0;if(!h){if(!i){m=cuc(24)|0;kPa(m);v=m}else{if(f[i+64>>2]|0)HIb(i,19312,24);m=FIb(i,24)|0;lPa(m,i);v=m}f[l>>2]=v;w=v}else w=h;OQa(w,d);mGa(c)|0}while((f[c>>2]|0)!=0);u=b;return}function cSa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0;b=u;u=u+32|0;c=b;d=a+24|0;e=f[a+8>>2]|0;if(!e){iLb(c,3,478148,306);fLb(b+24|0,dLb(c,478242)|0);jLb(c)}LOa(d);c=e+12|0;a=f[c>>2]|0;g=e+4|0;if(!(f[g>>2]|0)){u=b;return}e=(a|0)==0?0:a+4|0;do{a=f[e>>2]|0;h=di[f[(f[a>>2]|0)+104>>2]&1023](a)|0;a=f[e>>2]|0;OQa(yGa(d,di[f[(f[a>>2]|0)+100>>2]&1023](a)|0)|0,h);e=e+4|0;h=f[c>>2]|0}while((e|0)!=(((h|0)==0?0:h+4|0)+(f[g>>2]<<2)|0));u=b;return}function dSa(a){a=a|0;T5b(a);return a+24|0}function eSa(a){a=a|0;T5b(a);S5b(a);return a+24|0}function fSa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;a=f[f[b>>2]>>2]|0;if(!a)return;c=b+8|0;d=a+12|0;a=f[d>>2]|0;e=b+16|0;if((f[e>>2]|0)==9)g=f[c>>2]|0;else{f[e>>2]=9;e=cuc(12)|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[c>>2]=e;g=e}ruc(g,a)|0;f[b+24>>2]=(f[d>>2]|0)+16;return}function gSa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;if(!((c|0)==0&(d|0)!=0))if((d|0)!=(c|0)){if(!d){e=cuc(24)|0;f[e+12>>2]=0;f[e+4>>2]=542896;f[e+8>>2]=0;f[e+16>>2]=0;f[e+20>>2]=0;g=e}else{if(f[d+64>>2]|0)HIb(d,19464,24);e=FIb(d,24)|0;h=d;f[e+12>>2]=h;f[e+4>>2]=542896;f[e+8>>2]=0;f[e+16>>2]=0;f[e+20>>2]=h;g=e}f[g>>2]=114956;iSa(b,g);if((b|0)==0|(c|0)!=0)i=g;else{bi[f[(f[b>>2]|0)+4>>2]&2047](b);i=g}}else i=b;else{hSa(d,b);i=b}b=a+12|0;d=f[b>>2]|0;g=f[a+8>>2]|0;c=a+4|0;if(d|0?(e=f[c>>2]|0,(e|0)!=(g|0)):0){h=f[d>>2]|0;if((h|0)==(g|0)){j=f[d+4+(e<<2)>>2]|0;if((j|0)==0|(f[a>>2]|0)!=0){k=d;l=f[c>>2]|0;m=l+1|0;f[c>>2]=m;n=k+4+(l<<2)|0;f[n>>2]=i;return}bi[f[(f[j>>2]|0)+4>>2]&2047](j);k=f[b>>2]|0;l=f[c>>2]|0;m=l+1|0;f[c>>2]=m;n=k+4+(l<<2)|0;f[n>>2]=i;return}else{if((e|0)<(h|0)){f[d+4+(h<<2)>>2]=f[d+4+(e<<2)>>2];e=f[b>>2]|0;o=e;p=f[e>>2]|0}else{o=d;p=h}f[o>>2]=p+1;k=o;l=f[c>>2]|0;m=l+1|0;f[c>>2]=m;n=k+4+(l<<2)|0;f[n>>2]=i;return}}LKb(a,g+1|0);g=f[b>>2]|0;f[g>>2]=(f[g>>2]|0)+1;k=g;l=f[c>>2]|0;m=l+1|0;f[c>>2]=m;n=k+4+(l<<2)|0;f[n>>2]=i;return}function hSa(a,b){a=a|0;b=b|0;if(!b)return;EIb(a,b,1978);return}function iSa(a,b){a=a|0;b=b|0;jSa(b,a);return}function jSa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0;c=b+16|0;d=f[c>>2]|0;if(!d)return;if(!(d&1))e=d;else{d=a+4|0;g=a+12|0;if((f[d>>2]|0)==542896)QGa(d,f[g>>2]|0,542896);h=di[f[(f[b>>2]|0)+100>>2]&1023](b)|0;i=f[d>>2]|0;if((i|0)==542896)QGa(d,f[g>>2]|0,h);else ruc(i,h)|0;h=a+16|0;f[h>>2]=f[h>>2]|1;e=f[c>>2]|0}if(!(e&2))return;e=a+8|0;c=f[a+12>>2]|0;if(!(f[e>>2]|0)){if(!c){h=cuc(24)|0;kPa(h);j=h}else{if(f[c+64>>2]|0)HIb(c,19312,24);h=FIb(c,24)|0;lPa(h,c);j=h}f[e>>2]=j}j=di[f[(f[b>>2]|0)+104>>2]&1023](b)|0;NOa(f[e>>2]|0,j);j=a+16|0;f[j>>2]=f[j>>2]|2;return}function kSa(a){a=a|0;var c=0,d=0,e=0;f[a>>2]=115072;c=a+20|0;d=f[c>>2]|0;if(d&1|0?(e=d&-2,d=e,!((e|0)==0|(f[d+4>>2]|0)!=0)):0){if(f[d>>2]|0)ebc(d);fuc(e)}f[c>>2]=0;f[a>>2]=115188;if(f[a+12>>2]|0)return;c=f[a+4>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}c=f[a+8>>2]|0;if(!c)return;bi[f[(f[c>>2]|0)+4>>2]&2047](c);return}function lSa(a){a=a|0;kSa(a);fuc(a);return}function mSa(a,b){a=a|0;b=b|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;return}function nSa(a){a=a|0;a=cuc(24)|0;f[a+12>>2]=0;f[a+4>>2]=542896;f[a+8>>2]=0;f[a+16>>2]=0;f[a+20>>2]=0;f[a>>2]=114956;return a|0}function oSa(a,b){a=a|0;b=b|0;var c=0,d=0;if(!b){a=cuc(24)|0;f[a+12>>2]=0;f[a+4>>2]=542896;f[a+8>>2]=0;f[a+16>>2]=0;f[a+20>>2]=0;c=a;f[c>>2]=114956;return c|0}if(f[b+64>>2]|0)HIb(b,19464,24);a=FIb(b,24)|0;d=b;f[a+12>>2]=d;f[a+4>>2]=542896;f[a+8>>2]=0;f[a+16>>2]=0;f[a+20>>2]=d;c=a;f[c>>2]=114956;return c|0}function pSa(a){a=a|0;return f[a+12>>2]|0}function qSa(a){a=a|0;var c=0,d=0;c=f[a+4>>2]|0;do if((c|0)!=542896){d=c+11|0;if((b[d>>0]|0)<0){b[f[c>>2]>>0]=0;f[c+4>>2]=0;break}else{b[c>>0]=0;b[d>>0]=0;break}}while(0);c=f[a+8>>2]|0;if(c|0)yQa(c);c=a+16|0;f[c>>2]=f[c>>2]&-4;return}function rSa(a){a=a|0;return zQa(f[a+8>>2]|0)|0}function sSa(a,b){a=a|0;b=b|0;jSa(a,b);return}function tSa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;d=u;u=u+16|0;e=d;g=c+4|0;h=a+16|0;i=a+4|0;j=a+12|0;k=a+8|0;a=e+4|0;l=c+32|0;m=c+12|0;n=c+28|0;a:while(1){o=f[c>>2]|0;if(o>>>0<(f[g>>2]|0)>>>0){p=b[o>>0]|0;q=p&255;if(p<<24>>24>-1){f[c>>2]=o+1;r=q}else{s=q;t=5}}else{s=0;t=5}if((t|0)==5){t=0;r=OJb(c,s)|0}switch(r|0){case 0:{v=1;t=35;break a;break}case 10:{f[h>>2]=f[h>>2]|1;q=f[i>>2]|0;if((q|0)==542896){QGa(i,f[j>>2]|0,542896);w=f[i>>2]|0}else w=q;if(!($Lb(c,w)|0)){v=0;t=35;break a}q=f[h>>2]|1;f[h>>2]=q;o=f[c>>2]|0;if(o>>>0>=(f[g>>2]|0)>>>0)continue a;if((b[o>>0]|0)!=18)continue a;f[c>>2]=o+1;x=q;break}case 18:{x=f[h>>2]|0;break}default:{if((r&7|0)==4){v=1;t=35;break a}if(CLb(c,r)|0)continue a;else{v=0;t=35;break a}}}f[h>>2]=x|2;q=f[j>>2]|0;o=f[k>>2]|0;if(!o){if(!q){p=cuc(24)|0;kPa(p);y=p}else{if(f[q+64>>2]|0)HIb(q,19312,24);p=FIb(q,24)|0;lPa(p,q);y=p}f[k>>2]=y;z=y}else z=o;o=f[c>>2]|0;if(o>>>0<(f[g>>2]|0)>>>0?(p=b[o>>0]|0,p<<24>>24>-1):0){f[c>>2]=o+1;A=p&255}else{p=NJb(c)|0;if((p|0)>-1)A=p;else{v=0;t=35;break}}yJb(e,c,A);if((f[a>>2]|0)<0){t=27;break}if(!(dQa(z,c)|0)){t=27;break}if(!(DJb(c,f[e>>2]|0)|0)){v=0;t=35;break}f[h>>2]=f[h>>2]|2;if((f[c>>2]|0)!=(f[g>>2]|0))continue;if(f[l>>2]|0){t=32;break}if((f[m>>2]|0)==(f[n>>2]|0)){t=32;break}}if((t|0)==27){v=0;u=d;return v|0}else if((t|0)==32){f[c+20>>2]=0;b[c+24>>0]=1;v=1;u=d;return v|0}else if((t|0)==35){u=d;return v|0}return 0}function uSa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=a+16|0;d=f[c>>2]|0;if(!(d&1)){e=d;g=0}else{d=di[f[(f[a>>2]|0)+100>>2]&1023](a)|0;h=b[d+11>>0]|0;i=h<<24>>24<0?f[d+4>>2]|0:h&255;h=i+1+((((($(i|1|0)|0)^31)*9|0)+73|0)>>>6)|0;e=f[c>>2]|0;g=h}if(!(e&2)){j=0;k=j+g|0;return k|0}e=cQa(di[f[(f[a>>2]|0)+104>>2]&1023](a)|0)|0;j=e+1+((((($(e|1|0)|0)^31)*9|0)+73|0)>>>6)|0;k=j+g|0;return k|0}function vSa(a,b){a=a|0;b=b|0;ULb(1,di[f[(f[a>>2]|0)+100>>2]&1023](a)|0,b);_Lb(2,di[f[(f[a>>2]|0)+104>>2]&1023](a)|0,b);return}function wSa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=a+16|0;d=f[c>>2]|0;if(!(d&1)){e=d;g=0}else{d=di[f[(f[a>>2]|0)+100>>2]&1023](a)|0;h=b[d+11>>0]|0;i=h<<24>>24<0?f[d+4>>2]|0:h&255;h=i+1+((((($(i|1|0)|0)^31)*9|0)+73|0)>>>6)|0;e=f[c>>2]|0;g=h}if(!(e&2)){j=0;k=j+g|0;return k|0}e=(di[f[(f[a>>2]|0)+104>>2]&1023](a)|0)+16|0;a=f[e>>2]|0;j=a+1+((((($(a|1|0)|0)^31)*9|0)+73|0)>>>6)|0;k=j+g|0;return k|0}function xSa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0;e=di[f[(f[a>>2]|0)+100>>2]&1023](a)|0;b[d>>0]=10;g=XJb(e,d+1|0)|0;d=di[f[(f[a>>2]|0)+104>>2]&1023](a)|0;b[g>>0]=18;a=g+1|0;g=di[f[(f[d>>2]|0)+60>>2]&1023](d)|0;if(g>>>0>127){e=g;h=a;while(1){b[h>>0]=e|128;i=e>>>7;j=h+1|0;if(e>>>0>16383){e=i;h=j}else{k=j;l=i;break}}}else{k=a;l=g}b[k>>0]=l;return li[f[(f[d>>2]|0)+64>>2]&511](d,c,k+1|0)|0}function ySa(a,b){a=a|0;b=b|0;e6b(a,b);return}function zSa(a){a=a|0;var b=0;b=f[a+8>>2]|0;return (di[f[(f[b>>2]|0)+84>>2]&1023](b)|0)+28|0}function ASa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224745]|0)!=2){f[d>>2]=151624;f[d+4>>2]=12;b[d+8>>0]=0;xLb(898980,d);QKb(d)}d=536456;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function BSa(a){a=a|0;return f[a+4>>2]|0}function CSa(a){a=a|0;var b=0;b=f[a+8>>2]|0;return (b|0?b:f[134088]|0)|0}function DSa(a){a=a|0;var c=0;f[a>>2]=115188;if(f[a+12>>2]|0)return;c=f[a+4>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}c=f[a+8>>2]|0;if(!c)return;bi[f[(f[c>>2]|0)+4>>2]&2047](c);return}function ESa(a){a=a|0;var c=0;f[a>>2]=115188;if(f[a+12>>2]|0){fuc(a);return}c=f[a+4>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}c=f[a+8>>2]|0;if(!c){fuc(a);return}bi[f[(f[c>>2]|0)+4>>2]&2047](c);fuc(a);return}function FSa(a){a=a|0;kSa(a);fuc(a);return}function GSa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0;f[a>>2]=114764;eTa(a);c=a+24|0;f[c>>2]=114872;WFa(a+48|0);y4b(c);c=a+20|0;d=f[c>>2]|0;if(d|0?(f[a+8>>2]|0)==0:0){e=f[d>>2]|0;if((e|0)>0){g=0;do{h=f[d+4+(g<<2)>>2]|0;if(h|0){if((b[h+11>>0]|0)<0)fuc(f[h>>2]|0);fuc(h)}g=g+1|0}while((g|0)!=(e|0));i=f[c>>2]|0}else i=d;fuc(i)}f[c>>2]=0;c=a+4|0;a=f[c>>2]|0;if(!(a&1)){f[c>>2]=0;return}i=a&-2;a=i;if((i|0)==0|(f[a+4>>2]|0)!=0){f[c>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(i);f[c>>2]=0;return}function HSa(a){a=a|0;GSa(a);fuc(a);return}function ISa(a){a=a|0;a=cuc(76)|0;VRa(a);return a|0}function JSa(a,b){a=a|0;b=b|0;var c=0;if(!b){a=cuc(76)|0;VRa(a);c=a;return c|0}if(f[b+64>>2]|0)HIb(b,19512,80);a=FIb(b,80)|0;dTa(a,b);c=a;return c|0}function KSa(a){a=a|0;var b=0,c=0;b=f[a+4>>2]|0;a=b&-2;if(!(b&1)){c=a;return c|0}else{c=f[a+4>>2]|0;return c|0}return 0}function LSa(a){a=a|0;return f[a+4>>2]|0}function MSa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0;c=a+12|0;d=f[c>>2]|0;if((d|0)>0){e=f[a+20>>2]|0;g=0;do{h=f[e+4+(g<<2)>>2]|0;g=g+1|0;i=h+11|0;if((b[i>>0]|0)<0){b[f[h>>2]>>0]=0;f[h+4>>2]=0}else{b[h>>0]=0;b[i>>0]=0}}while((g|0)!=(d|0));f[c>>2]=0}c=a+24|0;T5b(c);LOa(a+48|0);S5b(c);c=a+4|0;d=f[a+60>>2]|0;do if((d|0)!=542896){g=d+11|0;if((b[g>>0]|0)<0){b[f[d>>2]>>0]=0;f[d+4>>2]=0;break}else{b[d>>0]=0;b[g>>0]=0;break}}while(0);d=f[a+64>>2]|0;do if((d|0)!=542896){g=d+11|0;if((b[g>>0]|0)<0){b[f[d>>2]>>0]=0;f[d+4>>2]=0;break}else{b[d>>0]=0;b[g>>0]=0;break}}while(0);d=f[a+68>>2]|0;do if((d|0)!=542896){a=d+11|0;if((b[a>>0]|0)<0){b[f[d>>2]>>0]=0;f[d+4>>2]=0;break}else{b[d>>0]=0;b[a>>0]=0;break}}while(0);d=f[c>>2]|0;if(!(d&1))return;c=d&-2;if(!(f[c>>2]|0))return;ebc(c);return}function NSa(a){a=a|0;return 1}function OSa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0;d=u;u=u+48|0;e=d+32|0;g=d;h=c+4|0;i=a+60|0;j=a+4|0;k=a+60|0;l=a+64|0;m=a+64|0;n=a+8|0;o=a+12|0;p=a+20|0;q=a+68|0;r=a+68|0;s=a+24|0;a=g+4|0;t=g+8|0;v=g+24|0;w=e+4|0;x=t+11|0;y=g+12|0;a:while(1){z=f[c>>2]|0;if(z>>>0<(f[h>>2]|0)>>>0){A=b[z>>0]|0;B=A&255;if(A<<24>>24>0){f[c>>2]=z+1;C=B;D=6}else{E=B;D=5}}else{E=0;D=5}if((D|0)==5){D=0;B=OJb(c,E)|0;if((B+-1|0)>>>0<127){C=B;D=6}else F=B}b:do if((D|0)==6){D=0;switch(C>>>3&536870911|0){case 1:{if((C&255|0)!=10){F=C;break b}B=f[j>>2]|0;z=B&-2;if(!(B&1))G=z;else G=f[z+4>>2]|0;z=f[i>>2]|0;if((z|0)==542896){QGa(i,G,542896);H=f[i>>2]|0}else H=z;if(!($Lb(c,H)|0)){I=0;D=67;break a}z=f[k>>2]|0;B=b[z+11>>0]|0;if(B<<24>>24<0){J=f[z>>2]|0;K=f[z+4>>2]|0}else{J=z;K=B&255}if(aMb(J,K,0,421511)|0)continue a;else{I=0;D=67;break a}break}case 2:{if((C&255|0)!=18){F=C;break b}B=f[j>>2]|0;z=B&-2;if(!(B&1))L=z;else L=f[z+4>>2]|0;z=f[l>>2]|0;if((z|0)==542896){QGa(l,L,542896);M=f[l>>2]|0}else M=z;if(!($Lb(c,M)|0)){I=0;D=67;break a}z=f[m>>2]|0;B=b[z+11>>0]|0;if(B<<24>>24<0){N=f[z>>2]|0;O=f[z+4>>2]|0}else{N=z;O=B&255}if(aMb(N,O,0,421542)|0)continue a;else{I=0;D=67;break a}break}case 3:{if((C&255|0)!=26){F=C;break b}if(!($Lb(c,MEa(n)|0)|0)){I=0;D=67;break a}B=f[(f[p>>2]|0)+4+((f[o>>2]|0)+-1<<2)>>2]|0;z=b[B+11>>0]|0;if(z<<24>>24<0){P=f[B>>2]|0;Q=f[B+4>>2]|0}else{P=B;Q=z&255}if(aMb(P,Q,0,421571)|0)continue a;else{I=0;D=67;break a}break}case 4:{if((C&255|0)!=34){F=C;break b}z=f[j>>2]|0;B=z&-2;if(!(z&1))R=B;else R=f[B+4>>2]|0;B=f[q>>2]|0;if((B|0)==542896){QGa(q,R,542896);S=f[q>>2]|0}else S=B;if(!($Lb(c,S)|0)){I=0;D=67;break a}B=f[r>>2]|0;z=b[B+11>>0]|0;if(z<<24>>24<0){T=f[B>>2]|0;U=f[B+4>>2]|0}else{T=B;U=z&255}if(aMb(T,U,0,421603)|0)continue a;else{I=0;D=67;break a}break}case 5:{if((C&255|0)!=42){F=C;break b}f[g>>2]=s;z=di[f[(f[s>>2]|0)+68>>2]&1023](s)|0;f[a>>2]=z;f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;f[v>>2]=0;z=f[c>>2]|0;if(z>>>0<(f[h>>2]|0)>>>0?(B=b[z>>0]|0,B<<24>>24>-1):0){f[c>>2]=z+1;V=B&255;D=51}else{B=NJb(c)|0;if((B|0)>-1){V=B;D=51}else W=6}do if((D|0)==51){D=0;yJb(e,c,V);if((f[w>>2]|0)>=0?aTa(g,c)|0:0){if(!(DJb(c,f[e>>2]|0)|0)){W=6;break}B=b[x>>0]|0;z=B<<24>>24<0;A=aMb(z?f[t>>2]|0:t,z?f[y>>2]|0:B&255,0,421636)|0;W=A?0:6;break}W=6}while(0);A=f[v>>2]|0;if(A|0)bi[f[(f[A>>2]|0)+4>>2]&2047](A);if((b[x>>0]|0)<0)fuc(f[t>>2]|0);switch(W&7){case 0:{continue a;break}case 6:{I=0;D=67;break a;break}default:{D=66;break a}}break}default:{F=C;break b}}}while(0);if(!F){D=66;break}A=f[j>>2]|0;if(!(A&1))X=OOa(j)|0;else X=A&-2;if(!(xbc(c,F,X)|0)){I=0;D=67;break}}if((D|0)==66){I=1;u=d;return I|0}else if((D|0)==67){u=d;return I|0}return 0}function PSa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;c=u;u=u+16|0;d=c;e=f[a+4>>2]|0;if((e&1|0)!=0&(b[488459]|0)!=0)g=Dbc(e&-2)|0;else g=0;e=f[a+12>>2]|0;h=e+g|0;if((e|0)>0){g=f[a+20>>2]|0;i=0;j=h;while(1){k=f[g+4+(i<<2)>>2]|0;l=b[k+11>>0]|0;m=l<<24>>24<0?f[k+4>>2]|0:l&255;l=m+j+((((($(m|1|0)|0)^31)*9|0)+73|0)>>>6)|0;i=i+1|0;if((i|0)==(e|0)){n=l;break}else j=l}}else n=h;h=a+24|0;T5b(h);j=a+56|0;e=f[f[j>>2]>>2]|0;T5b(h);i=e+n|0;n=f[j>>2]|0;j=f[n+12>>2]|0;e=f[n+4>>2]|0;a:do if(e>>>0>j>>>0){g=f[n+16>>2]|0;l=j;while(1){o=f[g+(l<<2)>>2]|0;if(o|0)break;m=l+1|0;if(m>>>0<e>>>0)l=m;else{p=0;q=m;break a}}if((o|0)==(f[g+((l^1)<<2)>>2]|0)){p=f[(f[o>>2]|0)+16>>2]|0;q=l;break}else{p=o;q=l;break}}else{p=0;q=j}while(0);f[d>>2]=p;f[d+4>>2]=n;f[d+8>>2]=q;q=a+44|0;n=i;i=0;while(1){T5b(h);p=f[d>>2]|0;if(!p)break;if(!i){r=0;s=p}else{p=(di[f[(f[i>>2]|0)+20>>2]&1023](i)|0)==0;r=p?i:0;s=f[d>>2]|0}p=f[s+12>>2]|0;j=p+16|0;o=f[q>>2]|0;if(!o){e=cuc(32)|0;f[e+12>>2]=0;f[e+4>>2]=542896;f[e+8>>2]=0;f[e+20>>2]=0;t=e}else{if(f[o+64>>2]|0)HIb(o,19528,32);e=FIb(o,32)|0;m=o;f[e+12>>2]=m;f[e+4>>2]=542896;f[e+8>>2]=0;f[e+20>>2]=m;t=e}f[t>>2]=115304;f[t+24>>2]=p;f[t+28>>2]=j;f[t+16>>2]=3;if((r|0)!=(t|0))if(!r)v=t;else{bi[f[(f[r>>2]|0)+4>>2]&2047](r);v=t}else v=r;j=v+16|0;p=f[j>>2]|0;if(!(p&1)){w=p;x=0}else{p=di[f[(f[v>>2]|0)+100>>2]&1023](v)|0;e=b[p+11>>0]|0;m=e<<24>>24<0?f[p+4>>2]|0:e&255;e=m+1+((((($(m|1|0)|0)^31)*9|0)+73|0)>>>6)|0;w=f[j>>2]|0;x=e}if(!(w&2))y=0;else{e=cQa(di[f[(f[v>>2]|0)+104>>2]&1023](v)|0)|0;y=e+1+((((($(e|1|0)|0)^31)*9|0)+73|0)>>>6)|0}e=y+x|0;j=e+n+((((($(e|1|0)|0)^31)*9|0)+73|0)>>>6)|0;mGa(d)|0;n=j;i=v}if(i|0?(di[f[(f[i>>2]|0)+20>>2]&1023](i)|0)==0:0)bi[f[(f[i>>2]|0)+4>>2]&2047](i);i=f[a+60>>2]|0;v=b[i+11>>0]|0;d=v<<24>>24<0;if(d)z=f[i+4>>2]|0;else z=v&255;if(!z)A=n;else{z=d?f[i+4>>2]|0:v&255;A=n+1+z+((((($(z|1|0)|0)^31)*9|0)+73|0)>>>6)|0}z=f[a+64>>2]|0;n=b[z+11>>0]|0;v=n<<24>>24<0;if(v)B=f[z+4>>2]|0;else B=n&255;if(!B)C=A;else{B=v?f[z+4>>2]|0:n&255;C=A+1+B+((((($(B|1|0)|0)^31)*9|0)+73|0)>>>6)|0}B=f[a+68>>2]|0;A=b[B+11>>0]|0;n=A<<24>>24<0;if(n)D=f[B+4>>2]|0;else D=A&255;if(!D){E=C;F=a+72|0;f[F>>2]=E;u=c;return E|0}D=n?f[B+4>>2]|0:A&255;E=C+1+D+((((($(D|1|0)|0)^31)*9|0)+73|0)>>>6)|0;F=a+72|0;f[F>>2]=E;u=c;return E|0}function QSa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;d=u;u=u+16|0;e=d;g=a+60|0;h=f[g>>2]|0;i=b[h+11>>0]|0;j=i<<24>>24<0;if(j)k=f[h+4>>2]|0;else k=i&255;if(k|0){if(j){l=f[h>>2]|0;m=f[h+4>>2]|0}else{l=h;m=i&255}aMb(l,m,1,421511)|0;VLb(1,f[g>>2]|0,c)}g=a+64|0;m=f[g>>2]|0;l=b[m+11>>0]|0;i=l<<24>>24<0;if(i)n=f[m+4>>2]|0;else n=l&255;if(n|0){if(i){o=f[m>>2]|0;p=f[m+4>>2]|0}else{o=m;p=l&255}aMb(o,p,1,421542)|0;VLb(2,f[g>>2]|0,c)}g=f[a+12>>2]|0;if((g|0)>0){p=a+20|0;o=0;do{l=f[(f[p>>2]|0)+4+(o<<2)>>2]|0;m=b[l+11>>0]|0;if(m<<24>>24<0){q=f[l>>2]|0;r=f[l+4>>2]|0}else{q=l;r=m&255}aMb(q,r,1,421571)|0;ULb(3,f[(f[p>>2]|0)+4+(o<<2)>>2]|0,c);o=o+1|0}while((o|0)!=(g|0))}g=a+68|0;o=f[g>>2]|0;p=b[o+11>>0]|0;r=p<<24>>24<0;if(r)s=f[o+4>>2]|0;else s=p&255;if(s|0){if(r){t=f[o>>2]|0;v=f[o+4>>2]|0}else{t=o;v=p&255}aMb(t,v,1,421603)|0;VLb(4,f[g>>2]|0,c)}g=a+24|0;T5b(g);v=a+56|0;do if(f[f[v>>2]>>2]|0){if(!(b[c+18>>0]|0)){if(f[224967]|0)w=35}else if(b[c+19>>0]|0)w=35;if((w|0)==35?(T5b(g),(f[f[v>>2]>>2]|0)>>>0>1):0){T5b(g);t=f[f[v>>2]>>2]|0;p=euc(t>>>0>1073741823?-1:t<<2)|0;T5b(g);t=f[v>>2]|0;o=f[t+12>>2]|0;r=f[t+4>>2]|0;a:do if(r>>>0>o>>>0){s=f[t+16>>2]|0;q=o;while(1){x=f[s+(q<<2)>>2]|0;if(x|0)break;m=q+1|0;if(m>>>0<r>>>0)q=m;else{y=0;z=m;break a}}if((x|0)==(f[s+((q^1)<<2)>>2]|0)){y=f[(f[x>>2]|0)+16>>2]|0;z=q;break}else{y=x;z=q;break}}else{y=0;z=o}while(0);f[e>>2]=y;f[e+4>>2]=t;f[e+8>>2]=z;o=0;while(1){T5b(g);r=f[e>>2]|0;if(!r)break;f[p+(o<<2)>>2]=f[r+12>>2];mGa(e)|0;o=o+1|0}JPa(p,p+(o<<2)|0,e);if(o|0){t=a+44|0;r=0;m=0;do{l=p+(r<<2)|0;i=f[l>>2]|0;n=i+16|0;h=f[t>>2]|0;if(!h){j=cuc(32)|0;f[j+12>>2]=0;f[j+4>>2]=542896;f[j+8>>2]=0;f[j+20>>2]=0;A=j}else{if(f[h+64>>2]|0)HIb(h,19528,32);j=FIb(h,32)|0;k=h;f[j+12>>2]=k;f[j+4>>2]=542896;f[j+8>>2]=0;f[j+20>>2]=k;A=j}f[A>>2]=115304;f[A+24>>2]=i;f[A+28>>2]=n;f[A+16>>2]=3;if((m|0)!=(A|0))if(!m)B=A;else{bi[f[(f[m>>2]|0)+4>>2]&2047](m);B=A}else B=m;_Lb(5,B,c);n=(di[f[(f[B>>2]|0)+20>>2]&1023](B)|0)==0;m=n?B:0;n=f[l>>2]|0;l=b[n+11>>0]|0;if(l<<24>>24<0){C=f[n>>2]|0;D=f[n+4>>2]|0}else{C=n;D=l&255}aMb(C,D,1,421636)|0;r=r+1|0}while(r>>>0<o>>>0);if(m|0)bi[f[(f[m>>2]|0)+4>>2]&2047](m)}guc(p);break}T5b(g);o=f[v>>2]|0;r=f[o+12>>2]|0;t=f[o+4>>2]|0;b:do if(t>>>0>r>>>0){l=f[o+16>>2]|0;n=r;while(1){E=f[l+(n<<2)>>2]|0;if(E|0)break;i=n+1|0;if(i>>>0<t>>>0)n=i;else{F=0;G=i;break b}}if((E|0)==(f[l+((n^1)<<2)>>2]|0)){F=f[(f[E>>2]|0)+16>>2]|0;G=n;break}else{F=E;G=n;break}}else{F=0;G=r}while(0);f[e>>2]=F;f[e+4>>2]=o;f[e+8>>2]=G;r=a+44|0;t=0;while(1){T5b(g);p=f[e>>2]|0;if(!p)break;m=f[p+12>>2]|0;p=m+16|0;q=f[r>>2]|0;if(!q){s=cuc(32)|0;f[s+12>>2]=0;f[s+4>>2]=542896;f[s+8>>2]=0;f[s+20>>2]=0;H=s}else{if(f[q+64>>2]|0)HIb(q,19528,32);s=FIb(q,32)|0;i=q;f[s+12>>2]=i;f[s+4>>2]=542896;f[s+8>>2]=0;f[s+20>>2]=i;H=s}f[H>>2]=115304;f[H+24>>2]=m;f[H+28>>2]=p;f[H+16>>2]=3;if((t|0)!=(H|0))if(!t)I=H;else{bi[f[(f[t>>2]|0)+4>>2]&2047](t);I=H}else I=t;_Lb(5,I,c);p=(di[f[(f[I>>2]|0)+20>>2]&1023](I)|0)==0;m=f[(f[e>>2]|0)+12>>2]|0;s=b[m+11>>0]|0;if(s<<24>>24<0){J=f[m>>2]|0;K=f[m+4>>2]|0}else{J=m;K=s&255}aMb(J,K,1,421636)|0;mGa(e)|0;t=p?I:0}if(t|0)bi[f[(f[t>>2]|0)+4>>2]&2047](t)}while(0);I=f[a+4>>2]|0;if(!((I&1|0)!=0&(b[488459]|0)!=0)){u=d;return}Abc(I&-2,c);u=d;return}function RSa(a){a=a|0;return f[a+72>>2]|0}function SSa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,aa=0,ba=0,ca=0,da=0,ea=0;e=u;u=u+16|0;g=e;h=a+60|0;i=f[h>>2]|0;j=b[i+11>>0]|0;k=j<<24>>24<0;if(k)l=f[i+4>>2]|0;else l=j&255;if(!l)m=d;else{if(k){n=f[i>>2]|0;o=f[i+4>>2]|0}else{n=i;o=j&255}aMb(n,o,1,421511)|0;o=f[h>>2]|0;b[d>>0]=10;m=XJb(o,d+1|0)|0}d=a+64|0;o=f[d>>2]|0;h=b[o+11>>0]|0;n=h<<24>>24<0;if(n)p=f[o+4>>2]|0;else p=h&255;if(!p)q=m;else{if(n){r=f[o>>2]|0;s=f[o+4>>2]|0}else{r=o;s=h&255}aMb(r,s,1,421542)|0;s=f[d>>2]|0;b[m>>0]=18;q=XJb(s,m+1|0)|0}m=f[a+12>>2]|0;if((m|0)>0){s=a+20|0;d=0;r=q;while(1){h=f[(f[s>>2]|0)+4+(d<<2)>>2]|0;o=b[h+11>>0]|0;if(o<<24>>24<0){t=f[h>>2]|0;v=f[h+4>>2]|0}else{t=h;v=o&255}aMb(t,v,1,421571)|0;o=f[(f[s>>2]|0)+4+(d<<2)>>2]|0;b[r>>0]=26;h=XJb(o,r+1|0)|0;d=d+1|0;if((d|0)==(m|0)){w=h;break}else r=h}}else w=q;q=a+68|0;r=f[q>>2]|0;m=b[r+11>>0]|0;d=m<<24>>24<0;if(d)x=f[r+4>>2]|0;else x=m&255;if(!x)y=w;else{if(d){z=f[r>>2]|0;A=f[r+4>>2]|0}else{z=r;A=m&255}aMb(z,A,1,421603)|0;A=f[q>>2]|0;b[w>>0]=34;y=XJb(A,w+1|0)|0}w=a+24|0;T5b(w);A=a+56|0;do if(f[f[A>>2]>>2]|0){if(c?(T5b(w),(f[f[A>>2]>>2]|0)>>>0>1):0){T5b(w);q=f[f[A>>2]>>2]|0;z=euc(q>>>0>1073741823?-1:q<<2)|0;T5b(w);q=f[A>>2]|0;m=f[q+12>>2]|0;r=f[q+4>>2]|0;a:do if(r>>>0>m>>>0){d=f[q+16>>2]|0;x=m;while(1){B=f[d+(x<<2)>>2]|0;if(B|0)break;s=x+1|0;if(s>>>0<r>>>0)x=s;else{C=0;D=s;break a}}if((B|0)==(f[d+((x^1)<<2)>>2]|0)){C=f[(f[B>>2]|0)+16>>2]|0;D=x;break}else{C=B;D=x;break}}else{C=0;D=m}while(0);f[g>>2]=C;f[g+4>>2]=q;f[g+8>>2]=D;m=0;while(1){T5b(w);r=f[g>>2]|0;if(!r)break;f[z+(m<<2)>>2]=f[r+12>>2];mGa(g)|0;m=m+1|0}JPa(z,z+(m<<2)|0,g);if(m){q=a+44|0;r=0;s=y;v=0;do{t=z+(r<<2)|0;h=f[t>>2]|0;o=h+16|0;n=f[q>>2]|0;if(!n){p=cuc(32)|0;f[p+12>>2]=0;f[p+4>>2]=542896;f[p+8>>2]=0;f[p+20>>2]=0;E=p}else{if(f[n+64>>2]|0)HIb(n,19528,32);p=FIb(n,32)|0;j=n;f[p+12>>2]=j;f[p+4>>2]=542896;f[p+8>>2]=0;f[p+20>>2]=j;E=p}f[E>>2]=115304;f[E+24>>2]=h;f[E+28>>2]=o;f[E+16>>2]=3;if((v|0)!=(E|0))if(!v)F=E;else{bi[f[(f[v>>2]|0)+4>>2]&2047](v);F=E}else F=v;b[s>>0]=42;o=s+1|0;h=F+16|0;p=f[h>>2]|0;if(!(p&1)){G=p;H=0}else{p=di[f[(f[F>>2]|0)+100>>2]&1023](F)|0;j=b[p+11>>0]|0;n=j<<24>>24<0?f[p+4>>2]|0:j&255;j=n+1+((((($(n|1|0)|0)^31)*9|0)+73|0)>>>6)|0;G=f[h>>2]|0;H=j}if(!(G&2))I=0;else{j=(di[f[(f[F>>2]|0)+104>>2]&1023](F)|0)+16|0;h=f[j>>2]|0;I=h+1+((((($(h|1|0)|0)^31)*9|0)+73|0)>>>6)|0}h=I+H|0;if(h>>>0>127){j=h;n=o;while(1){b[n>>0]=j|128;p=j>>>7;i=n+1|0;if(j>>>0>16383){j=p;n=i}else{J=i;K=p;break}}}else{J=o;K=h}b[J>>0]=K;n=di[f[(f[F>>2]|0)+100>>2]&1023](F)|0;b[J+1>>0]=10;j=XJb(n,J+2|0)|0;n=di[f[(f[F>>2]|0)+104>>2]&1023](F)|0;b[j>>0]=18;x=j+1|0;j=di[f[(f[n>>2]|0)+60>>2]&1023](n)|0;if(j>>>0>127){d=j;p=x;while(1){b[p>>0]=d|128;i=d>>>7;k=p+1|0;if(d>>>0>16383){d=i;p=k}else{L=k;M=i;break}}}else{L=x;M=j}b[L>>0]=M;s=li[f[(f[n>>2]|0)+64>>2]&511](n,1,L+1|0)|0;p=(di[f[(f[F>>2]|0)+20>>2]&1023](F)|0)==0;v=p?F:0;p=f[t>>2]|0;d=b[p+11>>0]|0;if(d<<24>>24<0){N=f[p>>2]|0;O=f[p+4>>2]|0}else{N=p;O=d&255}aMb(N,O,1,421636)|0;r=r+1|0}while(r>>>0<m>>>0);if(!v)P=s;else{bi[f[(f[v>>2]|0)+4>>2]&2047](v);P=s}}else P=y;guc(z);Q=P;break}T5b(w);m=f[A>>2]|0;r=f[m+12>>2]|0;q=f[m+4>>2]|0;b:do if(q>>>0>r>>>0){d=f[m+16>>2]|0;p=r;while(1){R=f[d+(p<<2)>>2]|0;if(R|0)break;h=p+1|0;if(h>>>0<q>>>0)p=h;else{S=0;T=h;break b}}if((R|0)==(f[d+((p^1)<<2)>>2]|0)){S=f[(f[R>>2]|0)+16>>2]|0;T=p;break}else{S=R;T=p;break}}else{S=0;T=r}while(0);f[g>>2]=S;f[g+4>>2]=m;f[g+8>>2]=T;r=a+44|0;q=y;z=0;while(1){T5b(w);s=f[g>>2]|0;if(!s)break;v=f[s+12>>2]|0;s=v+16|0;t=f[r>>2]|0;if(!t){n=cuc(32)|0;f[n+12>>2]=0;f[n+4>>2]=542896;f[n+8>>2]=0;f[n+20>>2]=0;U=n}else{if(f[t+64>>2]|0)HIb(t,19528,32);n=FIb(t,32)|0;j=t;f[n+12>>2]=j;f[n+4>>2]=542896;f[n+8>>2]=0;f[n+20>>2]=j;U=n}f[U>>2]=115304;f[U+24>>2]=v;f[U+28>>2]=s;f[U+16>>2]=3;if((z|0)!=(U|0))if(!z)V=U;else{bi[f[(f[z>>2]|0)+4>>2]&2047](z);V=U}else V=z;b[q>>0]=42;s=q+1|0;v=V+16|0;n=f[v>>2]|0;if(!(n&1)){W=n;X=0}else{n=di[f[(f[V>>2]|0)+100>>2]&1023](V)|0;j=b[n+11>>0]|0;t=j<<24>>24<0?f[n+4>>2]|0:j&255;j=t+1+((((($(t|1|0)|0)^31)*9|0)+73|0)>>>6)|0;W=f[v>>2]|0;X=j}if(!(W&2))Y=0;else{j=(di[f[(f[V>>2]|0)+104>>2]&1023](V)|0)+16|0;v=f[j>>2]|0;Y=v+1+((((($(v|1|0)|0)^31)*9|0)+73|0)>>>6)|0}v=Y+X|0;if(v>>>0>127){j=v;t=s;while(1){b[t>>0]=j|128;n=j>>>7;x=t+1|0;if(j>>>0>16383){j=n;t=x}else{Z=x;_=n;break}}}else{Z=s;_=v}b[Z>>0]=_;t=di[f[(f[V>>2]|0)+100>>2]&1023](V)|0;b[Z+1>>0]=10;j=XJb(t,Z+2|0)|0;t=di[f[(f[V>>2]|0)+104>>2]&1023](V)|0;b[j>>0]=18;p=j+1|0;j=di[f[(f[t>>2]|0)+60>>2]&1023](t)|0;if(j>>>0>127){d=j;n=p;while(1){b[n>>0]=d|128;x=d>>>7;h=n+1|0;if(d>>>0>16383){d=x;n=h}else{aa=h;ba=x;break}}}else{aa=p;ba=j}b[aa>>0]=ba;n=li[f[(f[t>>2]|0)+64>>2]&511](t,c,aa+1|0)|0;d=(di[f[(f[V>>2]|0)+20>>2]&1023](V)|0)==0;v=f[(f[g>>2]|0)+12>>2]|0;s=b[v+11>>0]|0;if(s<<24>>24<0){ca=f[v>>2]|0;da=f[v+4>>2]|0}else{ca=v;da=s&255}aMb(ca,da,1,421636)|0;mGa(g)|0;q=n;z=d?V:0}if(!z)Q=q;else{bi[f[(f[z>>2]|0)+4>>2]&2047](z);Q=q}}else Q=y;while(0);y=f[a+4>>2]|0;if(!((y&1|0)!=0&(b[488459]|0)!=0)){ea=Q;u=e;return ea|0}ea=Bbc(y&-2,Q)|0;u=e;return ea|0}function TSa(a,b){a=a|0;b=b|0;var c=0;if((a|0)==(b|0))return;MSa(a);c=ovc(b,24728,19512,0)|0;if(!c){A9b(b,a);return}else{XSa(a,c);return}}function USa(a,b){a=a|0;b=b|0;var c=0;c=ovc(b,24728,19512,0)|0;if(!c){A9b(b,a);return}else{XSa(a,c);return}}function VSa(a,b){a=a|0;b=b|0;f[a+72>>2]=b;return}function WSa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224745]|0)!=2){f[d>>2]=151624;f[d+4>>2]=12;b[d+8>>0]=0;xLb(898980,d);QKb(d)}d=536464;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function XSa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;d=a+4|0;e=f[c+4>>2]|0;if(e&1|0){g=f[d>>2]|0;if(!(g&1))h=OOa(d)|0;else h=g&-2;hbc(h,e&-2)}YOa(a+8|0,c+8|0);YSa(a+24|0,c+24|0);e=f[c+60>>2]|0;h=b[e+11>>0]|0;if(h<<24>>24<0)i=f[e+4>>2]|0;else i=h&255;do if(i|0){h=a+60|0;g=f[d>>2]|0;j=g&-2;if(!(g&1))k=j;else k=f[j+4>>2]|0;j=f[h>>2]|0;if((j|0)==542896){QGa(h,k,e);break}else{ruc(j,e)|0;break}}while(0);e=f[c+64>>2]|0;k=b[e+11>>0]|0;if(k<<24>>24<0)l=f[e+4>>2]|0;else l=k&255;do if(l|0){k=a+64|0;i=f[d>>2]|0;j=i&-2;if(!(i&1))m=j;else m=f[j+4>>2]|0;j=f[k>>2]|0;if((j|0)==542896){QGa(k,m,e);break}else{ruc(j,e)|0;break}}while(0);e=f[c+68>>2]|0;c=b[e+11>>0]|0;if(c<<24>>24<0)n=f[e+4>>2]|0;else n=c&255;if(!n)return;n=a+68|0;a=f[d>>2]|0;d=a&-2;if(!(a&1))o=d;else o=f[d+4>>2]|0;d=f[n>>2]|0;if((d|0)==542896){QGa(n,o,e);return}else{ruc(d,e)|0;return}}function YSa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=u;u=u+16|0;d=c;T5b(a);T5b(b);e=f[b+32>>2]|0;b=f[e+12>>2]|0;g=f[e+4>>2]|0;a:do if(g>>>0>b>>>0){h=f[e+16>>2]|0;i=b;while(1){j=f[h+(i<<2)>>2]|0;if(j|0)break;k=i+1|0;if(k>>>0<g>>>0)i=k;else{l=0;m=k;break a}}if((j|0)==(f[h+((i^1)<<2)>>2]|0)){l=f[(f[j>>2]|0)+16>>2]|0;m=i;break}else{l=j;m=i;break}}else{l=0;m=b}while(0);f[d>>2]=l;f[d+4>>2]=e;f[d+8>>2]=m;if(!l){S5b(a);u=c;return}m=a+24|0;e=l;do{l=f[e+12>>2]|0;OQa(yGa(m,l)|0,l+16|0);mGa(d)|0;e=f[d>>2]|0}while((e|0)!=0);S5b(a);u=c;return}function ZSa(a){a=a|0;kSa(a);fuc(a);return}function _Sa(a){a=a|0;return f[a+24>>2]|0}function $Sa(a){a=a|0;return f[a+28>>2]|0}function aTa(a,c){a=a|0;c=c|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;e=u;u=u+16|0;g=e;h=f[c>>2]|0;i=c+4|0;if(h>>>0<(f[i>>2]|0)>>>0?(b[h>>0]|0)==10:0){f[c>>2]=h+1;h=a+8|0;if(!($Lb(c,h)|0)){j=0;u=e;return j|0}k=f[c>>2]|0;if((((f[i>>2]|0)-k|0)>0?(b[k>>0]|0)==18:0)?(k=a+4|0,l=f[k>>2]|0,m=f[f[l+8>>2]>>2]|0,n=yGa(l,h)|0,l=a+20|0,f[l>>2]=n,(m|0)!=(f[f[(f[k>>2]|0)+8>>2]>>2]|0)):0){m=f[i>>2]|0;o=f[c>>2]|0;p=m-o|0;if((p|0)<1){HJb(c,1,p)|0;q=f[c>>2]|0;r=f[i>>2]|0;s=f[l>>2]|0}else{l=o+1|0;f[c>>2]=l;q=l;r=m;s=n}if(q>>>0<r>>>0?(r=b[q>>0]|0,r<<24>>24>-1):0){f[c>>2]=q+1;t=r&255;v=14}else v=13;if((v|0)==13?(r=NJb(c)|0,(r|0)>-1):0){t=r;v=14}do if(((v|0)==14?(yJb(g,c,t),(f[g+4>>2]|0)>=0):0)?dQa(s,c)|0:0){if(!(DJb(c,f[g>>2]|0)|0))break;do if((f[c>>2]|0)==(f[i>>2]|0)){if((f[c+32>>2]|0)==0?(f[c+12>>2]|0)!=(f[c+28>>2]|0):0)break;f[c+20>>2]=0;b[c+24>>0]=1;j=1;u=e;return j|0}while(0);j=bTa(a,c)|0;u=e;return j|0}while(0);rPa(f[k>>2]|0,h)|0;j=0;u=e;return j|0}}else{f[g>>2]=0;d[g+4>>1]=0;b[g+6>>0]=0;h=a+8|0;k=h+11|0;if((b[k>>0]|0)<0){b[f[h>>2]>>0]=0;f[a+12>>2]=0}else{b[h>>0]=0;b[k>>0]=0}vuc(h,0);f[a+8>>2]=0;h=a+12|0;f[h>>2]=f[g>>2];d[h+4>>1]=d[g+4>>1]|0;b[h+6>>0]=b[g+6>>0]|0;b[a+19>>0]=0}g=f[(f[a>>2]|0)+20>>2]|0;if(!g){h=cuc(24)|0;f[h+12>>2]=0;f[h+4>>2]=542896;f[h+8>>2]=0;f[h+16>>2]=0;f[h+20>>2]=0;w=h}else{if(f[g+64>>2]|0)HIb(g,19464,24);h=FIb(g,24)|0;k=g;f[h+12>>2]=k;f[h+4>>2]=542896;f[h+8>>2]=0;f[h+16>>2]=0;f[h+20>>2]=k;w=h}f[w>>2]=114956;h=a+24|0;k=f[h>>2]|0;if((k|0)==(w|0))x=w;else{if(k|0)bi[f[(f[k>>2]|0)+4>>2]&2047](k);f[h>>2]=w;x=w}w=x+16|0;f[w>>2]=f[w>>2]|1;w=x+4|0;k=f[w>>2]|0;if((k|0)==542896){QGa(w,f[x+12>>2]|0,542896);y=f[w>>2]|0}else y=k;ruc(y,a+8|0)|0;y=f[h>>2]|0;k=Th[f[(f[y>>2]|0)+44>>2]&1023](y,c)|0;if(k)cTa(a);a=f[h>>2]|0;if(!(di[f[(f[a>>2]|0)+20>>2]&1023](a)|0)){j=k;u=e;return j|0}f[h>>2]=0;j=k;u=e;return j|0}function bTa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;d=f[(f[a>>2]|0)+20>>2]|0;if(!d){e=cuc(24)|0;f[e+12>>2]=0;f[e+4>>2]=542896;f[e+8>>2]=0;f[e+16>>2]=0;f[e+20>>2]=0;g=e}else{if(f[d+64>>2]|0)HIb(d,19464,24);e=FIb(d,24)|0;h=d;f[e+12>>2]=h;f[e+4>>2]=542896;f[e+8>>2]=0;f[e+16>>2]=0;f[e+20>>2]=h;g=e}f[g>>2]=114956;e=a+24|0;h=f[e>>2]|0;if((h|0)==(g|0))i=g;else{if(h|0)bi[f[(f[h>>2]|0)+4>>2]&2047](h);f[e>>2]=g;i=g}g=f[a+20>>2]|0;h=i+16|0;f[h>>2]=f[h>>2]|2;h=i+8|0;d=f[i+12>>2]|0;i=f[h>>2]|0;if(!i){if(!d){j=cuc(24)|0;kPa(j);k=j}else{if(f[d+64>>2]|0)HIb(d,19312,24);j=FIb(d,24)|0;lPa(j,d);k=j}f[h>>2]=k;l=k}else l=i;rQa(l,g);g=a+8|0;rPa(f[a+4>>2]|0,g)|0;l=f[e>>2]|0;i=l+16|0;f[i>>2]=f[i>>2]|1;i=l+4|0;k=f[i>>2]|0;if((k|0)==542896){QGa(i,f[l+12>>2]|0,542896);m=f[i>>2]|0}else m=k;k=m+11|0;if((b[k>>0]|0)<0){b[f[m>>2]>>0]=0;f[m+4>>2]=0}else{b[m>>0]=0;b[k>>0]=0}vuc(m,0);f[m>>2]=f[g>>2];f[m+4>>2]=f[g+4>>2];f[m+8>>2]=f[g+8>>2];f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;g=f[e>>2]|0;m=Th[f[(f[g>>2]|0)+44>>2]&1023](g,c)|0;if(m)cTa(a);a=f[e>>2]|0;if(!(di[f[(f[a>>2]|0)+20>>2]&1023](a)|0))return m|0;f[e>>2]=0;return m|0}function cTa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0;b=a+24|0;c=f[b>>2]|0;d=a+8|0;ruc(d,di[f[(f[c>>2]|0)+100>>2]&1023](c)|0)|0;c=yGa(f[a+4>>2]|0,d)|0;d=a+20|0;f[d>>2]=c;a=f[b>>2]|0;b=a+16|0;f[b>>2]=f[b>>2]|2;b=a+8|0;e=f[a+12>>2]|0;a=f[b>>2]|0;if(a|0){g=c;h=a;rQa(g,h);return}if(!e){a=cuc(24)|0;kPa(a);i=a}else{if(f[e+64>>2]|0)HIb(e,19312,24);a=FIb(e,24)|0;lPa(a,e);i=a}f[b>>2]=i;g=f[d>>2]|0;h=i;rQa(g,h);return}function dTa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;d=u;u=u+16|0;e=d;f[a>>2]=114764;f[a+4>>2]=c;f[a+8>>2]=c;f[a+12>>2]=0;f[a+16>>2]=0;f[a+20>>2]=0;g=a+24|0;f[g>>2]=157748;f[a+28>>2]=c;f[a+32>>2]=0;h=a+36|0;kLb(h);f[a+40>>2]=0;WOa(c,h);f[g>>2]=114872;f[a+44>>2]=c;g=a+48|0;f[g>>2]=c;c=a+52|0;f[c>>2]=0;xGa(g);f[c>>2]=0;if((f[224749]|0)==2){i=a+60|0;f[i>>2]=542896;j=a+64|0;f[j>>2]=542896;k=a+68|0;f[k>>2]=542896;l=a+72|0;f[l>>2]=0;u=d;return}f[e>>2]=151624;f[e+4>>2]=16;b[e+8>>0]=0;xLb(898996,e);QKb(e);i=a+60|0;f[i>>2]=542896;j=a+64|0;f[j>>2]=542896;k=a+68|0;f[k>>2]=542896;l=a+72|0;f[l>>2]=0;u=d;return}function eTa(a){a=a|0;var c=0;c=f[a+60>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}c=f[a+64>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}c=f[a+68>>2]|0;if((c|0)==542896|(c|0)==0)return;if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c);return}function fTa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0;c=a+12|0;d=f[c>>2]|0;if(!d){f[c>>2]=0;return}if(f[a>>2]|0){f[c>>2]=0;return}a=f[d>>2]|0;if((a|0)>0){e=0;do{g=f[d+4+(e<<2)>>2]|0;if(g|0){if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);fuc(g)}e=e+1|0}while((e|0)!=(a|0));h=f[c>>2]|0}else h=d;fuc(h);f[c>>2]=0;return}function gTa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=a+4|0;d=f[b+4>>2]|0;if(d&1|0){e=f[c>>2]|0;if(!(e&1))g=OOa(c)|0;else g=e&-2;hbc(g,d&-2)}hTa(a+8|0,b+8|0);if((b|0)!=536304){d=b+24|0;g=f[d>>2]|0;if(g|0){e=a+24|0;c=f[e>>2]|0;if(!c){iTa(a);h=f[d>>2]|0;i=f[e>>2]|0}else{h=g;i=c}Kyb(i,h|0?h:541088)}h=b+28|0;i=f[h>>2]|0;if(i|0){c=a+28|0;g=f[c>>2]|0;if(!g){jTa(a);j=f[h>>2]|0;k=f[c>>2]|0}else{j=i;k=g}BBb(k,j|0?j:541624)}}j=f[b+32>>2]|0;if(!j)return;f[a+32>>2]=j;return}function hTa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=f[b+4>>2]|0;if(!c)return;d=f[b+12>>2]|0;b=KKb(a,c)|0;e=a+12|0;g=a+4|0;h=(f[f[e>>2]>>2]|0)-(f[g>>2]|0)|0;if((h|0)>0&(c|0)>0){i=0;do{kTa(f[d+4+(i<<2)>>2]|0,f[b+(i<<2)>>2]|0);i=i+1|0}while((i|0)<(h|0)&(i|0)<(c|0))}i=f[a>>2]|0;a:do if((h|0)<(c|0)){a=i+64|0;if(!i){j=h;while(1){k=f[d+4+(j<<2)>>2]|0;l=cuc(76)|0;VRa(l);kTa(k,l);f[b+(j<<2)>>2]=l;j=j+1|0;if((j|0)>=(c|0))break a}}else m=h;do{j=f[d+4+(m<<2)>>2]|0;if(f[a>>2]|0)HIb(i,19512,80);l=FIb(i,80)|0;dTa(l,i);kTa(j,l);f[b+(m<<2)>>2]=l;m=m+1|0}while((m|0)!=(c|0))}while(0);m=(f[g>>2]|0)+c|0;f[g>>2]=m;g=f[e>>2]|0;if((f[g>>2]|0)>=(m|0))return;f[g>>2]=m;return}function iTa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=f[a+4>>2]|0;c=b&-2;if(!(b&1))d=c;else d=f[c+4>>2]|0;if(!d){c=cuc(44)|0;Fyb(c);e=c;g=a+24|0;f[g>>2]=e;return}if(f[d+64>>2]|0)HIb(d,22840,48);c=FIb(d,48)|0;Gyb(c,d);e=c;g=a+24|0;f[g>>2]=e;return}function jTa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=f[a+4>>2]|0;c=b&-2;if(!(b&1))d=c;else d=f[c+4>>2]|0;if(!d){c=cuc(36)|0;wBb(c);e=c;g=a+28|0;f[g>>2]=e;return}if(f[d+64>>2]|0)HIb(d,23064,40);c=FIb(d,40)|0;xBb(c,d);e=c;g=a+28|0;f[g>>2]=e;return}function kTa(a,b){a=a|0;b=b|0;XSa(b,a);return}function lTa(a){a=a|0;var c=0,d=0,e=0;c=u;u=u+16|0;d=c;f[a>>2]=114608;e=a+4|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;f[e+16>>2]=0;if((a|0)!=536304?(f[224747]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=14;b[d+8>>0]=0;xLb(898988,d);QKb(d)}d=a+24|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;u=c;return}function mTa(a,c){a=a|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;f[a>>2]=114608;f[a+4>>2]=c;f[a+8>>2]=c;f[a+12>>2]=0;f[a+16>>2]=0;f[a+20>>2]=0;if((f[224747]|0)!=2){f[e>>2]=151624;f[e+4>>2]=14;b[e+8>>0]=0;xLb(898988,e);QKb(e)}e=a+24|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;u=d;return}function nTa(){var a=0,c=0;a=u;u=u+16|0;c=a;if((f[224746]|0)==2){u=a;return}f[c>>2]=151624;f[c+4>>2]=13;b[c+8>>0]=0;xLb(898984,c);QKb(c);u=a;return}function oTa(a){a=a|0;var b=0;b=a+24|0;T5b(b);LOa(a+48|0);S5b(b);return}function pTa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;f[a>>2]=114764;d=a+4|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;f[d+16>>2]=0;YOa(a+8|0,c+8|0);e=a+24|0;f[e>>2]=157748;f[a+28>>2]=0;f[a+32>>2]=0;kLb(a+36|0);f[a+40>>2]=0;f[e>>2]=114872;f[a+44>>2]=0;g=a+48|0;f[g>>2]=0;h=a+52|0;f[h>>2]=0;xGa(g);f[h>>2]=0;f[a+72>>2]=0;h=f[c+4>>2]|0;if(h&1|0){g=f[d>>2]|0;if(!(g&1))i=OOa(d)|0;else i=g&-2;hbc(i,h&-2)}YSa(e,c+24|0);e=a+60|0;f[e>>2]=542896;h=f[c+60>>2]|0;i=b[h+11>>0]|0;if(i<<24>>24<0)j=f[h+4>>2]|0;else j=i&255;if(j|0){j=f[a+4>>2]|0;i=j&-2;if(!(j&1))k=i;else k=f[i+4>>2]|0;QGa(e,k,h)}h=a+64|0;f[h>>2]=542896;k=f[c+64>>2]|0;e=b[k+11>>0]|0;if(e<<24>>24<0)l=f[k+4>>2]|0;else l=e&255;if(l|0){l=f[a+4>>2]|0;e=l&-2;if(!(l&1))m=e;else m=f[e+4>>2]|0;QGa(h,m,k)}k=a+68|0;f[k>>2]=542896;m=f[c+68>>2]|0;c=b[m+11>>0]|0;if(c<<24>>24<0)n=f[m+4>>2]|0;else n=c&255;if(!n)return;n=f[a+4>>2]|0;a=n&-2;if(!(n&1))o=a;else o=f[a+4>>2]|0;QGa(k,o,m);return}function qTa(a,b){a=a|0;b=b|0;if((b|0)==(a|0))return;MSa(a);XSa(a,b);return}function rTa(a){a=a|0;var c=0,d=0;f[a>>2]=115476;c=f[a+8>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}c=a+4|0;a=f[c>>2]|0;if(!(a&1)){f[c>>2]=0;return}d=a&-2;a=d;if((d|0)==0|(f[a+4>>2]|0)!=0){f[c>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(d);f[c>>2]=0;return}function sTa(a){a=a|0;rTa(a);fuc(a);return}function tTa(a){a=a|0;a=cuc(32)|0;dUa(a);return a|0}function uTa(a,b){a=a|0;b=b|0;var c=0;if(!b){a=cuc(32)|0;dUa(a);c=a;return c|0}if(f[b+64>>2]|0)HIb(b,19544,32);a=FIb(b,32)|0;fUa(a,b);c=a;return c|0}function vTa(a){a=a|0;var b=0,c=0;b=f[a+4>>2]|0;a=b&-2;if(!(b&1)){c=a;return c|0}else{c=f[a+4>>2]|0;return c|0}return 0}function wTa(a){a=a|0;return f[a+4>>2]|0}function xTa(a){a=a|0;var c=0,d=0,e=0;c=a+4|0;d=f[a+8>>2]|0;do if((d|0)!=542896){e=d+11|0;if((b[e>>0]|0)<0){b[f[d>>2]>>0]=0;f[d+4>>2]=0;break}else{b[d>>0]=0;b[e>>0]=0;break}}while(0);d=a+16|0;f[d>>2]=0;f[d+4>>2]=0;d=f[c>>2]|0;if(!(d&1))return;c=d&-2;if(!(f[c>>2]|0))return;ebc(c);return}function yTa(a){a=a|0;return 1}function zTa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;d=u;u=u+16|0;e=d;g=c+4|0;h=a+16|0;i=e+8|0;j=a+8|0;k=a+4|0;l=a+8|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){m=b[a>>0]|0;n=m&255;if(m<<24>>24>0){f[c>>2]=a+1;o=n;p=6}else{q=n;p=5}}else{q=0;p=5}if((p|0)==5){p=0;n=OJb(c,q)|0;if((n+-1|0)>>>0<127){o=n;p=6}else r=n}b:do if((p|0)==6){p=0;switch(o>>>3&536870911|0){case 1:{if((o&255|0)!=8){r=o;break b}n=f[c>>2]|0;if(n>>>0<(f[g>>2]|0)>>>0?(a=b[n>>0]|0,a<<24>>24>-1):0){f[c>>2]=n+1;s=a&255;t=0}else{AJb(e,c);a=e;if(!(b[i>>0]|0)){v=0;p=29;break a}else{s=f[a>>2]|0;t=f[a+4>>2]|0}}a=h;f[a>>2]=s;f[a+4>>2]=t;continue a;break}case 2:break;default:{r=o;break b}}if((o&255|0)==18){a=f[k>>2]|0;n=a&-2;if(!(a&1))w=n;else w=f[n+4>>2]|0;n=f[j>>2]|0;if((n|0)==542896){QGa(j,w,542896);x=f[j>>2]|0}else x=n;if(!($Lb(c,x)|0)){v=0;p=29;break a}n=f[l>>2]|0;a=b[n+11>>0]|0;if(a<<24>>24<0){y=f[n>>2]|0;z=f[n+4>>2]|0}else{y=n;z=a&255}if(aMb(y,z,0,422362)|0)continue a;else{v=0;p=29;break a}}else r=o}while(0);if(!r){v=1;p=29;break}a=f[k>>2]|0;if(!(a&1))A=OOa(k)|0;else A=a&-2;if(!(xbc(c,r,A)|0)){v=0;p=29;break}}if((p|0)==29){u=d;return v|0}return 0}function ATa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=f[a+4>>2]|0;if((c&1|0)!=0&(b[488459]|0)!=0)d=Dbc(c&-2)|0;else d=0;c=f[a+8>>2]|0;e=b[c+11>>0]|0;g=e<<24>>24<0;if(g)h=f[c+4>>2]|0;else h=e&255;if(!h)i=d;else{h=g?f[c+4>>2]|0:e&255;i=d+1+h+((((($(h|1|0)|0)^31)*9|0)+73|0)>>>6)|0}h=a+16|0;d=f[h>>2]|0;e=f[h+4>>2]|0;if((d|0)==0&(e|0)==0){j=i;k=a+24|0;f[k>>2]=j;return j|0}h=xzc(d|1|0,e|0,1)|0;j=i+1+((((h^63)*9|0)+73|0)>>>6)|0;k=a+24|0;f[k>>2]=j;return j|0}function BTa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;d=a+16|0;e=f[d>>2]|0;g=f[d+4>>2]|0;if(!((e|0)==0&(g|0)==0))HLb(1,e,g,c);g=a+8|0;e=f[g>>2]|0;d=b[e+11>>0]|0;h=d<<24>>24<0;if(h)i=f[e+4>>2]|0;else i=d&255;if(i|0){if(h){j=f[e>>2]|0;k=f[e+4>>2]|0}else{j=e;k=d&255}aMb(j,k,1,422362)|0;VLb(2,f[g>>2]|0,c)}g=f[a+4>>2]|0;if(!((g&1|0)!=0&(b[488459]|0)!=0))return;Abc(g&-2,c);return}function CTa(a){a=a|0;return f[a+24>>2]|0}function DTa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;c=a+16|0;e=f[c>>2]|0;g=f[c+4>>2]|0;if((e|0)==0&(g|0)==0)h=d;else{b[d>>0]=8;c=d+1|0;d=e&255;if(g>>>0>0|(g|0)==0&e>>>0>127){i=c;j=d;k=e;e=g;while(1){b[i>>0]=j|-128;g=k;k=pzc(k|0,e|0,7)|0;l=i+1|0;m=k&255;if(!(e>>>0>0|(e|0)==0&g>>>0>16383)){n=l;o=m;break}else{i=l;j=m;e=J}}}else{n=c;o=d}b[n>>0]=o;h=n+1|0}n=a+8|0;o=f[n>>2]|0;d=b[o+11>>0]|0;c=d<<24>>24<0;if(c)p=f[o+4>>2]|0;else p=d&255;if(!p)q=h;else{if(c){r=f[o>>2]|0;s=f[o+4>>2]|0}else{r=o;s=d&255}aMb(r,s,1,422362)|0;s=f[n>>2]|0;b[h>>0]=18;q=XJb(s,h+1|0)|0}h=f[a+4>>2]|0;if(!((h&1|0)!=0&(b[488459]|0)!=0)){t=q;return t|0}t=Bbc(h&-2,q)|0;return t|0}function ETa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;if((a|0)==(c|0))return;d=a+4|0;e=f[a+8>>2]|0;do if((e|0)!=542896){g=e+11|0;if((b[g>>0]|0)<0){b[f[e>>2]>>0]=0;f[e+4>>2]=0;break}else{b[e>>0]=0;b[g>>0]=0;break}}while(0);e=a+16|0;f[e>>2]=0;f[e+4>>2]=0;e=f[d>>2]|0;if(e&1|0?(d=e&-2,f[d>>2]|0):0)ebc(d);d=ovc(c,24728,19544,0)|0;if(!d){A9b(c,a);return}else{gUa(a,d);return}}function FTa(a,b){a=a|0;b=b|0;var c=0;c=ovc(b,24728,19544,0)|0;if(!c){A9b(b,a);return}else{gUa(a,c);return}}function GTa(a,b){a=a|0;b=b|0;f[a+24>>2]=b;return}function HTa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224750]|0)!=2){f[d>>2]=151624;f[d+4>>2]=17;b[d+8>>0]=0;xLb(899e3,d);QKb(d)}d=536536;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function ITa(){var a=0,c=0,d=0,e=0,g=0,h=0;a=u;u=u+16|0;c=a;if((f[224751]|0)!=2){f[c>>2]=151624;f[c+4>>2]=18;b[c+8>>0]=0;xLb(899004,c);QKb(c)}d=cuc(32)|0;f[c>>2]=d;f[c+8>>2]=-2147483616;f[c+4>>2]=18;e=d;g=421984;h=e+18|0;do{b[e>>0]=b[g>>0]|0;e=e+1|0;g=g+1|0}while((e|0)<(h|0));b[d+18>>0]=0;T3b(c,115576,115600,115412,0,536536,0,0);if((b[c+11>>0]|0)>=0){u=a;return}fuc(f[c>>2]|0);u=a;return}function JTa(){var a=0,c=0;a=u;u=u+16|0;c=a;if((f[224752]|0)!=2){f[c>>2]=151624;f[c+4>>2]=19;b[c+8>>0]=0;xLb(899008,c);QKb(c)}if((f[224753]|0)!=2){f[c>>2]=151624;f[c+4>>2]=20;b[c+8>>0]=0;xLb(899012,c);QKb(c)}bQb(422003,231);n9b(421984,1982);u=a;return}function KTa(){var a=0;TKb(3005001,3005e3,422235);LIb();f[134118]=115476;f[134119]=0;f[134120]=542896;a=536488;f[a>>2]=0;f[a+4>>2]=0;f[134124]=0;qLb(536472);return}function LTa(){var a=0,c=0;a=u;u=u+16|0;c=a;TKb(3005001,3005e3,422235);LIb();if((f[224752]|0)!=2){f[c>>2]=151624;f[c+4>>2]=19;b[c+8>>0]=0;xLb(899008,c);QKb(c)}f[134126]=115616;f[134127]=0;f[134128]=0;f[134129]=0;f[134130]=0;f[134131]=0;b[536528]=0;f[134133]=0;qLb(536504);u=a;return}function MTa(a){a=a|0;var c=0;a=u;u=u+16|0;c=a;if((f[224750]|0)!=2){f[c>>2]=151624;f[c+4>>2]=17;b[c+8>>0]=0;xLb(899e3,c);QKb(c)}Y3b(536536,2);u=a;return}function NTa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0;f[a>>2]=115616;b=a+20|0;c=f[b>>2]|0;if(c|0?(f[a+8>>2]|0)==0:0){d=f[c>>2]|0;if((d|0)>0){e=0;do{g=f[c+4+(e<<2)>>2]|0;if(g|0)bi[f[(f[g>>2]|0)+4>>2]&2047](g);e=e+1|0}while((e|0)!=(d|0));h=f[b>>2]|0}else h=c;fuc(h)}f[b>>2]=0;b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}h=a&-2;a=h;if((h|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(h);f[b>>2]=0;return}function OTa(a){a=a|0;NTa(a);fuc(a);return}function PTa(a){a=a|0;a=cuc(32)|0;hUa(a);return a|0}function QTa(a,b){a=a|0;b=b|0;var c=0;if(!b){a=cuc(32)|0;hUa(a);c=a;return c|0}if(f[b+64>>2]|0)HIb(b,19560,32);a=FIb(b,32)|0;iUa(a,b);c=a;return c|0}function RTa(a){a=a|0;var b=0,c=0;b=f[a+4>>2]|0;a=b&-2;if(!(b&1)){c=a;return c|0}else{c=f[a+4>>2]|0;return c|0}return 0}function STa(a){a=a|0;return f[a+4>>2]|0}function TTa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=a+12|0;d=f[c>>2]|0;if((d|0)>0){e=f[a+20>>2]|0;g=0;do{h=f[e+4+(g<<2)>>2]|0;g=g+1|0;i=h+4|0;j=f[h+8>>2]|0;do if((j|0)!=542896){k=j+11|0;if((b[k>>0]|0)<0){b[f[j>>2]>>0]=0;f[j+4>>2]=0;break}else{b[j>>0]=0;b[k>>0]=0;break}}while(0);j=h+16|0;f[j>>2]=0;f[j+4>>2]=0;j=f[i>>2]|0;if(j&1|0?(k=j&-2,f[k>>2]|0):0)ebc(k)}while((g|0)!=(d|0));f[c>>2]=0}b[a+24>>0]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;ebc(a);return}function UTa(a){a=a|0;return 1}function VTa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;d=u;u=u+16|0;e=d;g=c+4|0;h=a+8|0;i=a+20|0;j=a+16|0;k=a+12|0;l=e+4|0;m=a+24|0;n=e+8|0;o=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){p=b[a>>0]|0;q=p&255;if(p<<24>>24>0){f[c>>2]=a+1;r=q;s=6}else{t=q;s=5}}else{t=0;s=5}if((s|0)==5){s=0;q=OJb(c,t)|0;if((q+-1|0)>>>0<127){r=q;s=6}else v=q}b:do if((s|0)==6){s=0;switch(r>>>3&536870911|0){case 2:break;case 3:{if((r&255|0)!=24){v=r;break b}q=f[c>>2]|0;if(q>>>0<(f[g>>2]|0)>>>0?(a=b[q>>0]|0,a<<24>>24>-1):0){f[c>>2]=q+1;w=a<<24>>24!=0}else{AJb(e,c);a=e;if(!(b[n>>0]|0)){x=0;s=39;break a}else w=(f[a>>2]|0)!=0|(f[a+4>>2]|0)!=0}b[m>>0]=w&1;continue a;break}default:{v=r;break b}}if((r&255|0)==18){a=f[i>>2]|0;do if(a){q=f[k>>2]|0;p=f[a>>2]|0;if((q|0)>=(p|0))if((p|0)==(f[j>>2]|0)){y=p;s=13;break}else{z=p;A=a;s=14;break}else{f[k>>2]=q+1;B=f[a+4+(q<<2)>>2]|0;break}}else{y=f[j>>2]|0;s=13}while(0);if((s|0)==13){s=0;LKb(h,y+1|0);a=f[i>>2]|0;z=f[a>>2]|0;A=a;s=14}if((s|0)==14){s=0;f[A>>2]=z+1;a=f[h>>2]|0;if(!a){q=cuc(32)|0;dUa(q);C=q}else{if(f[a+64>>2]|0)HIb(a,19544,32);q=FIb(a,32)|0;fUa(q,a);C=q}q=f[i>>2]|0;a=f[k>>2]|0;f[k>>2]=a+1;f[q+4+(a<<2)>>2]=C;B=C}a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(q=b[a>>0]|0,q<<24>>24>-1):0){f[c>>2]=a+1;D=q&255}else{q=NJb(c)|0;if((q|0)>-1)D=q;else{x=0;s=39;break a}}yJb(e,c,D);if((f[l>>2]|0)<0){s=26;break a}if(!(Th[f[(f[B>>2]|0)+44>>2]&1023](B,c)|0)){s=26;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{x=0;s=39;break a}}else v=r}while(0);if(!v){x=1;s=39;break}q=f[o>>2]|0;if(!(q&1))E=OOa(o)|0;else E=q&-2;if(!(xbc(c,v,E)|0)){x=0;s=39;break}}if((s|0)==26){x=0;u=d;return x|0}else if((s|0)==39){u=d;return x|0}return 0}function WTa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;c=f[a+4>>2]|0;if((c&1|0)!=0&(b[488459]|0)!=0)d=Dbc(c&-2)|0;else d=0;c=f[a+12>>2]|0;e=c+d|0;if(!c){g=e;h=a+24|0;i=b[h>>0]|0;j=i<<24>>24!=0;k=g+2|0;l=j?k:g;m=a+28|0;f[m>>2]=l;return l|0}d=a+20|0;n=0;o=e;while(1){e=f[(f[d>>2]|0)+4+(n<<2)>>2]|0;p=di[f[(f[e>>2]|0)+48>>2]&1023](e)|0;e=p+o+((((($(p|1|0)|0)^31)*9|0)+73|0)>>>6)|0;n=n+1|0;if((n|0)==(c|0)){g=e;break}else o=e}h=a+24|0;i=b[h>>0]|0;j=i<<24>>24!=0;k=g+2|0;l=j?k:g;m=a+28|0;f[m>>2]=l;return l|0}function XTa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;d=f[a+12>>2]|0;if(d|0){e=a+20|0;g=0;do{_Lb(2,f[(f[e>>2]|0)+4+(g<<2)>>2]|0,c);g=g+1|0}while((g|0)!=(d|0))}if(b[a+24>>0]|0)SLb(3,1,c);d=f[a+4>>2]|0;if(!((d&1|0)!=0&(b[488459]|0)!=0))return;Abc(d&-2,c);return}function YTa(a){a=a|0;return f[a+28>>2]|0}function ZTa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;e=f[a+12>>2]|0;if(!e)g=d;else{h=a+20|0;i=0;j=d;while(1){d=f[(f[h>>2]|0)+4+(i<<2)>>2]|0;b[j>>0]=18;k=j+1|0;l=di[f[(f[d>>2]|0)+60>>2]&1023](d)|0;if(l>>>0>127){m=l;n=k;while(1){b[n>>0]=m|128;o=m>>>7;p=n+1|0;if(m>>>0>16383){m=o;n=p}else{q=p;r=o;break}}}else{q=k;r=l}b[q>>0]=r;n=li[f[(f[d>>2]|0)+64>>2]&511](d,c,q+1|0)|0;i=i+1|0;if((i|0)==(e|0)){g=n;break}else j=n}}if(!(b[a+24>>0]|0))s=g;else{b[g>>0]=24;b[g+1>>0]=1;s=g+2|0}g=f[a+4>>2]|0;if(!((g&1|0)!=0&(b[488459]|0)!=0)){t=s;return t|0}t=Bbc(g&-2,s)|0;return t|0}function _Ta(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;if((a|0)==(c|0))return;d=a+12|0;e=f[d>>2]|0;if((e|0)>0){g=f[a+20>>2]|0;h=0;do{i=f[g+4+(h<<2)>>2]|0;h=h+1|0;j=i+4|0;k=f[i+8>>2]|0;do if((k|0)!=542896){l=k+11|0;if((b[l>>0]|0)<0){b[f[k>>2]>>0]=0;f[k+4>>2]=0;break}else{b[k>>0]=0;b[l>>0]=0;break}}while(0);k=i+16|0;f[k>>2]=0;f[k+4>>2]=0;k=f[j>>2]|0;if(k&1|0?(l=k&-2,f[l>>2]|0):0)ebc(l)}while((h|0)!=(e|0));f[d>>2]=0}d=a+24|0;b[d>>0]=0;e=a+4|0;h=f[e>>2]|0;if(h&1|0?(g=h&-2,f[g>>2]|0):0)ebc(g);g=ovc(c,24728,19560,0)|0;if(!g){A9b(c,a);return}c=f[g+4>>2]|0;if(c&1|0){h=f[e>>2]|0;if(!(h&1))m=OOa(e)|0;else m=h&-2;hbc(m,c&-2)}cUa(a+8|0,g+8|0);if(!(b[g+24>>0]|0))return;b[d>>0]=1;return}function $Ta(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;d=ovc(c,24728,19560,0)|0;if(!d){A9b(c,a);return}c=a+4|0;e=f[d+4>>2]|0;if(e&1|0){g=f[c>>2]|0;if(!(g&1))h=OOa(c)|0;else h=g&-2;hbc(h,e&-2)}cUa(a+8|0,d+8|0);if(!(b[d+24>>0]|0))return;b[a+24>>0]=1;return}function aUa(a,b){a=a|0;b=b|0;f[a+28>>2]=b;return}function bUa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224750]|0)!=2){f[d>>2]=151624;f[d+4>>2]=17;b[d+8>>0]=0;xLb(899e3,d);QKb(d)}d=536544;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function cUa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=f[b+4>>2]|0;if(!c)return;d=f[b+12>>2]|0;b=KKb(a,c)|0;e=a+12|0;g=a+4|0;h=(f[f[e>>2]>>2]|0)-(f[g>>2]|0)|0;if((h|0)>0&(c|0)>0){i=0;do{eUa(f[d+4+(i<<2)>>2]|0,f[b+(i<<2)>>2]|0);i=i+1|0}while((i|0)<(h|0)&(i|0)<(c|0))}i=f[a>>2]|0;a:do if((h|0)<(c|0)){a=i+64|0;if(!i){j=h;while(1){k=f[d+4+(j<<2)>>2]|0;l=cuc(32)|0;dUa(l);eUa(k,l);f[b+(j<<2)>>2]=l;j=j+1|0;if((j|0)>=(c|0))break a}}else m=h;do{j=f[d+4+(m<<2)>>2]|0;if(f[a>>2]|0)HIb(i,19544,32);l=FIb(i,32)|0;fUa(l,i);eUa(j,l);f[b+(m<<2)>>2]=l;m=m+1|0}while((m|0)!=(c|0))}while(0);m=(f[g>>2]|0)+c|0;f[g>>2]=m;g=f[e>>2]|0;if((f[g>>2]|0)>=(m|0))return;f[g>>2]=m;return}function dUa(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=115476;f[a+4>>2]=0;if((a|0)!=536472?(f[224752]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=19;b[d+8>>0]=0;xLb(899008,d);QKb(d)}f[a+8>>2]=542896;d=a+16|0;f[d>>2]=0;f[d+4>>2]=0;f[a+24>>2]=0;u=c;return}function eUa(a,b){a=a|0;b=b|0;gUa(b,a);return}function fUa(a,c){a=a|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;f[a>>2]=115476;f[a+4>>2]=c;if((f[224752]|0)!=2){f[e>>2]=151624;f[e+4>>2]=19;b[e+8>>0]=0;xLb(899008,e);QKb(e)}f[a+8>>2]=542896;e=a+16|0;f[e>>2]=0;f[e+4>>2]=0;f[a+24>>2]=0;u=d;return}function gUa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;d=a+4|0;e=f[c+4>>2]|0;if(e&1|0){g=f[d>>2]|0;if(!(g&1))h=OOa(d)|0;else h=g&-2;hbc(h,e&-2)}e=f[c+8>>2]|0;h=b[e+11>>0]|0;if(h<<24>>24<0)i=f[e+4>>2]|0;else i=h&255;do if(i|0){h=a+8|0;g=f[d>>2]|0;j=g&-2;if(!(g&1))k=j;else k=f[j+4>>2]|0;j=f[h>>2]|0;if((j|0)==542896){QGa(h,k,e);break}else{ruc(j,e)|0;break}}while(0);e=c+16|0;c=f[e>>2]|0;k=f[e+4>>2]|0;if((c|0)==0&(k|0)==0)return;e=a+16|0;f[e>>2]=c;f[e+4>>2]=k;return}function hUa(a){a=a|0;var c=0,d=0,e=0;c=u;u=u+16|0;d=c;f[a>>2]=115616;e=a+4|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;f[e+16>>2]=0;if((a|0)!=536504?(f[224753]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=20;b[d+8>>0]=0;xLb(899012,d);QKb(d)}b[a+24>>0]=0;f[a+28>>2]=0;u=c;return}function iUa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+16|0;e=d;f[a>>2]=115616;f[a+4>>2]=c;f[a+8>>2]=c;f[a+12>>2]=0;f[a+16>>2]=0;f[a+20>>2]=0;if((f[224753]|0)==2){g=a+24|0;b[g>>0]=0;h=a+28|0;f[h>>2]=0;u=d;return}f[e>>2]=151624;f[e+4>>2]=20;b[e+8>>0]=0;xLb(899012,e);QKb(e);g=a+24|0;b[g>>0]=0;h=a+28|0;f[h>>2]=0;u=d;return}function jUa(){var a=0,c=0;a=u;u=u+16|0;c=a;if((f[224751]|0)==2){u=a;return}f[c>>2]=151624;f[c+4>>2]=18;b[c+8>>0]=0;xLb(899004,c);QKb(c);u=a;return}function kUa(){var a=0,c=0;a=u;u=u+16|0;c=a;if((f[224753]|0)==2){u=a;return}f[c>>2]=151624;f[c+4>>2]=20;b[c+8>>0]=0;xLb(899012,c);QKb(c);u=a;return}function lUa(){var a=0,c=0;a=u;u=u+16|0;c=a;if((f[224751]|0)==2){u=a;return}f[c>>2]=151624;f[c+4>>2]=18;b[c+8>>0]=0;xLb(899004,c);QKb(c);u=a;return}function mUa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;d=a+4|0;e=f[c+4>>2]|0;if(e&1|0){g=f[d>>2]|0;if(!(g&1))h=OOa(d)|0;else h=g&-2;hbc(h,e&-2)}cUa(a+8|0,c+8|0);if(!(b[c+24>>0]|0))return;b[a+24>>0]=1;return}function nUa(a){a=a|0;var b=0,c=0;f[a>>2]=121056;b=f[a+24>>2]|0;if(b|0?(f[b>>2]|0)==0:0)fuc(b);b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(c);f[b>>2]=0;return}function oUa(a){a=a|0;var b=0,c=0;f[a>>2]=121056;b=f[a+24>>2]|0;if(b|0?(f[b>>2]|0)==0:0)fuc(b);b=f[a+4>>2]|0;if(!(b&1)){fuc(a);return}c=b&-2;b=c;if((c|0)==0|(f[b+4>>2]|0)!=0){fuc(a);return}if(f[b>>2]|0)ebc(b);fuc(c);fuc(a);return}function pUa(a){a=a|0;a=cuc(32)|0;UYa(a);return a|0}function qUa(a,b){a=a|0;b=b|0;a=cuc(32)|0;UYa(a);if(!b)return a|0;Ahb(b,a);return a|0}function rUa(a){a=a|0;return 0}function sUa(a){a=a|0;var b=0;f[a+16>>2]=0;f[a+8>>2]=0;b=f[a+4>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;ebc(a);return}function tUa(a){a=a|0;return 1}function uUa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;d=u;u=u+16|0;e=d;g=c+4|0;h=a+16|0;i=a+20|0;j=a+24|0;k=e+8|0;l=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){m=b[a>>0]|0;n=m&255;if(m<<24>>24>0){f[c>>2]=a+1;o=n;p=6}else{q=n;p=5}}else{q=0;p=5}if((p|0)==5){p=0;n=OJb(c,q)|0;if((n+-1|0)>>>0<127){o=n;p=6}else r=n}b:do if((p|0)==6){p=0;if((o&-8|0)==8){switch((o&255)<<24>>24){case 10:break;case 8:{if(HQa(1,10,c,h)|0)continue a;else{s=0;p=27;break a}break}default:{r=o;break b}}n=f[c>>2]|0;if(n>>>0<(f[g>>2]|0)>>>0?(a=b[n>>0]|0,a<<24>>24>-1):0){f[c>>2]=n+1;t=a&255}else{a=NJb(c)|0;if((a|0)>-1)t=a;else{s=0;p=27;break a}}a=wJb(c,t)|0;if((EJb(c)|0)>0)do{n=f[c>>2]|0;if(n>>>0<(f[g>>2]|0)>>>0?(m=b[n>>0]|0,m<<24>>24>-1):0){f[c>>2]=n+1;v=m&255;w=0}else{AJb(e,c);m=e;if(!(b[k>>0]|0)){s=0;p=27;break a}else{v=f[m>>2]|0;w=f[m+4>>2]|0}}m=f[h>>2]|0;if((m|0)==(f[i>>2]|0)){ZOa(h,m+1|0);x=f[h>>2]|0}else x=m;m=f[j>>2]|0;f[h>>2]=x+1;n=m+8+(x<<3)|0;f[n>>2]=v;f[n+4>>2]=w}while((EJb(c)|0)>0);xJb(c,a);continue a}else r=o}while(0);if(!r){s=1;p=27;break}n=f[l>>2]|0;if(!(n&1))y=OOa(l)|0;else y=n&-2;if(!(xbc(c,r,y)|0)){s=0;p=27;break}}if((p|0)==27){u=d;return s|0}return 0}function vUa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=Dbc(b&-2)|0;b=f[a+16>>2]|0;if((b|0)>0){d=f[a+24>>2]|0;e=0;g=0;do{h=d+8+(g<<3)|0;i=xzc(f[h>>2]|1|0,f[h+4>>2]|0,1)|0;e=((((i^63)*9|0)+73|0)>>>6)+e|0;g=g+1|0}while((g|0)!=(b|0));if(e){if((e|0)<0)j=11;else j=((((($(e|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;k=e;l=j+c|0}else{k=0;l=c}}else{k=0;l=c}f[a+28>>2]=k;c=l+k|0;f[a+12>>2]=c;return c|0}function wUa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;d=a+16|0;if((f[d>>2]|0)>0){e=c+8|0;if((f[e>>2]|0)>4){g=c+4|0;b[f[g>>2]>>0]=10;f[g>>2]=(f[g>>2]|0)+1;g=(f[e>>2]|0)+-1|0;f[e>>2]=g;h=g}else{VJb(c,10);h=f[e>>2]|0}g=f[a+28>>2]|0;if((h|0)>4){h=c+4|0;i=f[h>>2]|0;if(g>>>0>127){j=g;k=i;while(1){b[k>>0]=j|128;l=j>>>7;m=k+1|0;if(j>>>0>16383){j=l;k=m}else{n=m;o=l;break}}}else{n=i;o=g}b[n>>0]=o;o=n+1-i|0;f[h>>2]=(f[h>>2]|0)+o;f[e>>2]=(f[e>>2]|0)-o}else VJb(c,g);g=f[d>>2]|0;if((g|0)>0){d=a+24|0;o=c+8|0;e=c+4|0;h=0;do{i=(f[d>>2]|0)+8+(h<<3)|0;n=f[i>>2]|0;k=f[i+4>>2]|0;if((f[o>>2]|0)>9){i=f[e>>2]|0;j=n&255;if(k>>>0>0|(k|0)==0&n>>>0>127){l=i;m=j;p=n;q=k;while(1){b[l>>0]=m|-128;r=p;p=pzc(p|0,q|0,7)|0;s=l+1|0;t=p&255;if(!(q>>>0>0|(q|0)==0&r>>>0>16383)){u=s;v=t;break}else{l=s;m=t;q=J}}}else{u=i;v=j}b[u>>0]=v;q=u+1-i|0;f[e>>2]=(f[e>>2]|0)+q;f[o>>2]=(f[o>>2]|0)-q}else WJb(c,n,k);h=h+1|0}while((h|0)!=(g|0))}}g=f[a+4>>2]|0;if(!(g&1))return;Abc(g&-2,c);return}function xUa(a){a=a|0;return f[a+12>>2]|0}function yUa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;c=a+16|0;if((f[c>>2]|0)>0){b[d>>0]=10;e=d+1|0;g=f[a+28>>2]|0;if(g>>>0>127){h=g;i=e;while(1){b[i>>0]=h|128;j=h>>>7;k=i+1|0;if(h>>>0>16383){h=j;i=k}else{l=k;m=j;break}}}else{l=e;m=g}b[l>>0]=m;m=f[c>>2]|0;c=f[a+24>>2]|0;g=0;e=l+1|0;while(1){l=c+8+(g<<3)|0;i=f[l>>2]|0;h=f[l+4>>2]|0;l=i&255;if(h>>>0>0|(h|0)==0&i>>>0>127){j=e;k=l;n=i;i=h;while(1){b[j>>0]=k|-128;h=n;n=pzc(n|0,i|0,7)|0;o=j+1|0;p=n&255;if(!(i>>>0>0|(i|0)==0&h>>>0>16383)){q=o;r=p;break}else{j=o;k=p;i=J}}}else{q=e;r=l}b[q>>0]=r;i=q+1|0;g=g+1|0;if((g|0)>=(m|0)){s=i;break}else e=i}}else s=d;d=f[a+4>>2]|0;if(!(d&1)){t=s;return t|0}t=Bbc(d&-2,s)|0;return t|0}function zUa(a,b){a=a|0;b=b|0;var c=0,d=0;if((a|0)==(b|0))return;f[a+16>>2]=0;f[a+8>>2]=0;c=f[a+4>>2]|0;if(c&1|0?(d=c&-2,f[d>>2]|0):0)ebc(d);AUa(a,b);return}function AUa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=ovc(b,24728,19576,0)|0;if(!c){A9b(b,a);return}b=a+4|0;d=f[c+4>>2]|0;if(d&1|0){e=f[b>>2]|0;if(!(e&1))g=OOa(b)|0;else g=e&-2;hbc(g,d&-2)}d=a+16|0;g=c+16|0;e=f[g>>2]|0;if(!e)return;ZOa(d,(f[d>>2]|0)+e|0);szc((f[a+24>>2]|0)+8+(f[d>>2]<<3)|0,(f[c+24>>2]|0)+8|0,f[g>>2]<<3|0)|0;f[d>>2]=(f[d>>2]|0)+(f[g>>2]|0);return}function BUa(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function CUa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224781]|0)!=2){f[d>>2]=151624;f[d+4>>2]=21;b[d+8>>0]=0;xLb(899124,d);QKb(d)}d=540504;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function DUa(){var a=0,c=0,d=0,e=0,g=0,h=0;a=u;u=u+16|0;c=a;if((f[224782]|0)!=2){f[c>>2]=151624;f[c+4>>2]=22;b[c+8>>0]=0;xLb(899128,c);QKb(c)}d=cuc(32)|0;f[c>>2]=d;f[c+8>>2]=-2147483616;f[c+4>>2]=18;e=d;g=422450;h=e+18|0;do{b[e>>0]=b[g>>0]|0;e=e+1|0;g=g+1|0}while((e|0)<(h|0));b[d+18>>0]=0;T3b(c,121156,122008,115716,0,540504,899016,0);if((b[c+11>>0]|0)>=0){u=a;return}fuc(f[c>>2]|0);u=a;return}function EUa(){FUa();bQb(422469,18833);n9b(422450,1983);return}function FUa(){var a=0,c=0;a=u;u=u+16|0;c=a;if((f[224783]|0)!=2){f[c>>2]=151624;f[c+4>>2]=23;b[c+8>>0]=0;xLb(899132,c);QKb(c)}if((f[224784]|0)!=2){f[c>>2]=151624;f[c+4>>2]=24;b[c+8>>0]=0;xLb(899136,c);QKb(c)}if((f[224785]|0)!=2){f[c>>2]=151624;f[c+4>>2]=25;b[c+8>>0]=0;xLb(899140,c);QKb(c)}if((f[224786]|0)!=2){f[c>>2]=151624;f[c+4>>2]=26;b[c+8>>0]=0;xLb(899144,c);QKb(c)}if((f[224787]|0)!=2){f[c>>2]=151624;f[c+4>>2]=27;b[c+8>>0]=0;xLb(899148,c);QKb(c)}if((f[224788]|0)!=2){f[c>>2]=151624;f[c+4>>2]=28;b[c+8>>0]=0;xLb(899152,c);QKb(c)}if((f[224789]|0)!=2){f[c>>2]=151624;f[c+4>>2]=29;b[c+8>>0]=0;xLb(899156,c);QKb(c)}if((f[224790]|0)!=2){f[c>>2]=151624;f[c+4>>2]=30;b[c+8>>0]=0;xLb(899160,c);QKb(c)}if((f[224791]|0)!=2){f[c>>2]=151624;f[c+4>>2]=31;b[c+8>>0]=0;xLb(899164,c);QKb(c)}if((f[224792]|0)!=2){f[c>>2]=151624;f[c+4>>2]=32;b[c+8>>0]=0;xLb(899168,c);QKb(c)}if((f[224793]|0)!=2){f[c>>2]=151624;f[c+4>>2]=33;b[c+8>>0]=0;xLb(899172,c);QKb(c)}if((f[224794]|0)!=2){f[c>>2]=151624;f[c+4>>2]=34;b[c+8>>0]=0;xLb(899176,c);QKb(c)}if((f[224795]|0)!=2){f[c>>2]=151624;f[c+4>>2]=35;b[c+8>>0]=0;xLb(899180,c);QKb(c)}if((f[224796]|0)!=2){f[c>>2]=151624;f[c+4>>2]=36;b[c+8>>0]=0;xLb(899184,c);QKb(c)}if((f[224797]|0)!=2){f[c>>2]=151624;f[c+4>>2]=37;b[c+8>>0]=0;xLb(899188,c);QKb(c)}if((f[224798]|0)!=2){f[c>>2]=151624;f[c+4>>2]=38;b[c+8>>0]=0;xLb(899192,c);QKb(c)}if((f[224799]|0)!=2){f[c>>2]=151624;f[c+4>>2]=39;b[c+8>>0]=0;xLb(899196,c);QKb(c)}if((f[224800]|0)!=2){f[c>>2]=151624;f[c+4>>2]=40;b[c+8>>0]=0;xLb(899200,c);QKb(c)}if((f[224801]|0)!=2){f[c>>2]=151624;f[c+4>>2]=41;b[c+8>>0]=0;xLb(899204,c);QKb(c)}if((f[224802]|0)!=2){f[c>>2]=151624;f[c+4>>2]=42;b[c+8>>0]=0;xLb(899208,c);QKb(c)}if((f[224803]|0)!=2){f[c>>2]=151624;f[c+4>>2]=43;b[c+8>>0]=0;xLb(899212,c);QKb(c)}if((f[224804]|0)!=2){f[c>>2]=151624;f[c+4>>2]=44;b[c+8>>0]=0;xLb(899216,c);QKb(c)}if((f[224805]|0)!=2){f[c>>2]=151624;f[c+4>>2]=45;b[c+8>>0]=0;xLb(899220,c);QKb(c)}if((f[224806]|0)!=2){f[c>>2]=151624;f[c+4>>2]=46;b[c+8>>0]=0;xLb(899224,c);QKb(c)}if((f[224807]|0)!=2){f[c>>2]=151624;f[c+4>>2]=47;b[c+8>>0]=0;xLb(899228,c);QKb(c)}if((f[224808]|0)!=2){f[c>>2]=151624;f[c+4>>2]=48;b[c+8>>0]=0;xLb(899232,c);QKb(c)}if((f[224809]|0)!=2){f[c>>2]=151624;f[c+4>>2]=49;b[c+8>>0]=0;xLb(899236,c);QKb(c)}if((f[224810]|0)!=2){f[c>>2]=151624;f[c+4>>2]=50;b[c+8>>0]=0;xLb(899240,c);QKb(c)}if((f[224811]|0)!=2){f[c>>2]=151624;f[c+4>>2]=51;b[c+8>>0]=0;xLb(899244,c);QKb(c)}if((f[224812]|0)!=2){f[c>>2]=151624;f[c+4>>2]=52;b[c+8>>0]=0;xLb(899248,c);QKb(c)}if((f[224813]|0)!=2){f[c>>2]=151624;f[c+4>>2]=53;b[c+8>>0]=0;xLb(899252,c);QKb(c)}if((f[224814]|0)!=2){f[c>>2]=151624;f[c+4>>2]=54;b[c+8>>0]=0;xLb(899256,c);QKb(c)}if((f[224815]|0)!=2){f[c>>2]=151624;f[c+4>>2]=55;b[c+8>>0]=0;xLb(899260,c);QKb(c)}if((f[224816]|0)!=2){f[c>>2]=151624;f[c+4>>2]=56;b[c+8>>0]=0;xLb(899264,c);QKb(c)}if((f[224817]|0)!=2){f[c>>2]=151624;f[c+4>>2]=57;b[c+8>>0]=0;xLb(899268,c);QKb(c)}if((f[224818]|0)!=2){f[c>>2]=151624;f[c+4>>2]=58;b[c+8>>0]=0;xLb(899272,c);QKb(c)}if((f[224819]|0)!=2){f[c>>2]=151624;f[c+4>>2]=59;b[c+8>>0]=0;xLb(899276,c);QKb(c)}if((f[224820]|0)!=2){f[c>>2]=151624;f[c+4>>2]=60;b[c+8>>0]=0;xLb(899280,c);QKb(c)}if((f[224821]|0)!=2){f[c>>2]=151624;f[c+4>>2]=61;b[c+8>>0]=0;xLb(899284,c);QKb(c)}if((f[224822]|0)!=2){f[c>>2]=151624;f[c+4>>2]=62;b[c+8>>0]=0;xLb(899288,c);QKb(c)}if((f[224823]|0)!=2){f[c>>2]=151624;f[c+4>>2]=63;b[c+8>>0]=0;xLb(899292,c);QKb(c)}if((f[224824]|0)!=2){f[c>>2]=151624;f[c+4>>2]=64;b[c+8>>0]=0;xLb(899296,c);QKb(c)}if((f[224825]|0)!=2){f[c>>2]=151624;f[c+4>>2]=65;b[c+8>>0]=0;xLb(899300,c);QKb(c)}if((f[224826]|0)!=2){f[c>>2]=151624;f[c+4>>2]=66;b[c+8>>0]=0;xLb(899304,c);QKb(c)}if((f[224827]|0)!=2){f[c>>2]=151624;f[c+4>>2]=67;b[c+8>>0]=0;xLb(899308,c);QKb(c)}if((f[224828]|0)!=2){f[c>>2]=151624;f[c+4>>2]=68;b[c+8>>0]=0;xLb(899312,c);QKb(c)}if((f[224829]|0)!=2){f[c>>2]=151624;f[c+4>>2]=69;b[c+8>>0]=0;xLb(899316,c);QKb(c)}if((f[224830]|0)!=2){f[c>>2]=151624;f[c+4>>2]=70;b[c+8>>0]=0;xLb(899320,c);QKb(c)}if((f[224831]|0)!=2){f[c>>2]=151624;f[c+4>>2]=71;b[c+8>>0]=0;xLb(899324,c);QKb(c)}if((f[224832]|0)!=2){f[c>>2]=151624;f[c+4>>2]=72;b[c+8>>0]=0;xLb(899328,c);QKb(c)}if((f[224833]|0)!=2){f[c>>2]=151624;f[c+4>>2]=73;b[c+8>>0]=0;xLb(899332,c);QKb(c)}if((f[224834]|0)!=2){f[c>>2]=151624;f[c+4>>2]=74;b[c+8>>0]=0;xLb(899336,c);QKb(c)}if((f[224835]|0)!=2){f[c>>2]=151624;f[c+4>>2]=75;b[c+8>>0]=0;xLb(899340,c);QKb(c)}if((f[224836]|0)!=2){f[c>>2]=151624;f[c+4>>2]=76;b[c+8>>0]=0;xLb(899344,c);QKb(c)}if((f[224837]|0)!=2){f[c>>2]=151624;f[c+4>>2]=77;b[c+8>>0]=0;xLb(899348,c);QKb(c)}if((f[224838]|0)!=2){f[c>>2]=151624;f[c+4>>2]=78;b[c+8>>0]=0;xLb(899352,c);QKb(c)}if((f[224839]|0)!=2){f[c>>2]=151624;f[c+4>>2]=79;b[c+8>>0]=0;xLb(899356,c);QKb(c)}if((f[224840]|0)!=2){f[c>>2]=151624;f[c+4>>2]=80;b[c+8>>0]=0;xLb(899360,c);QKb(c)}if((f[224841]|0)!=2){f[c>>2]=151624;f[c+4>>2]=81;b[c+8>>0]=0;xLb(899364,c);QKb(c)}if((f[224842]|0)!=2){f[c>>2]=151624;f[c+4>>2]=82;b[c+8>>0]=0;xLb(899368,c);QKb(c)}if((f[224843]|0)!=2){f[c>>2]=151624;f[c+4>>2]=83;b[c+8>>0]=0;xLb(899372,c);QKb(c)}if((f[224844]|0)!=2){f[c>>2]=151624;f[c+4>>2]=84;b[c+8>>0]=0;xLb(899376,c);QKb(c)}if((f[224845]|0)!=2){f[c>>2]=151624;f[c+4>>2]=85;b[c+8>>0]=0;xLb(899380,c);QKb(c)}if((f[224846]|0)!=2){f[c>>2]=151624;f[c+4>>2]=86;b[c+8>>0]=0;xLb(899384,c);QKb(c)}if((f[224847]|0)!=2){f[c>>2]=151624;f[c+4>>2]=87;b[c+8>>0]=0;xLb(899388,c);QKb(c)}if((f[224848]|0)!=2){f[c>>2]=151624;f[c+4>>2]=88;b[c+8>>0]=0;xLb(899392,c);QKb(c)}if((f[224849]|0)!=2){f[c>>2]=151624;f[c+4>>2]=89;b[c+8>>0]=0;xLb(899396,c);QKb(c)}if((f[224850]|0)!=2){f[c>>2]=151624;f[c+4>>2]=90;b[c+8>>0]=0;xLb(899400,c);QKb(c)}if((f[224851]|0)!=2){f[c>>2]=151624;f[c+4>>2]=91;b[c+8>>0]=0;xLb(899404,c);QKb(c)}if((f[224852]|0)!=2){f[c>>2]=151624;f[c+4>>2]=92;b[c+8>>0]=0;xLb(899408,c);QKb(c)}if((f[224853]|0)==2){u=a;return}f[c>>2]=151624;f[c+4>>2]=93;b[c+8>>0]=0;xLb(899412,c);QKb(c);u=a;return}function GUa(a){a=a|0;var c=0;a=u;u=u+16|0;c=a;if((f[224781]|0)!=2){f[c>>2]=151624;f[c+4>>2]=21;b[c+8>>0]=0;xLb(899124,c);QKb(c)}Y3b(540504,71);u=a;return}function HUa(){TKb(3005001,3005e3,441303);LIb();f[134138]=121056;f[134139]=0;f[134140]=0;f[134141]=0;f[134142]=0;f[134143]=0;f[134144]=0;qLb(536552);return}function IUa(){var a=0,c=0;a=u;u=u+16|0;c=a;TKb(3005001,3005e3,441303);LIb();if((f[224783]|0)!=2){f[c>>2]=151624;f[c+4>>2]=23;b[c+8>>0]=0;xLb(899132,c);QKb(c)}f[134146]=123164;f[134147]=0;f[134154]=0;f[134155]=0;f[134156]=0;f[134158]=0;f[134159]=0;f[134160]=0;f[134162]=0;f[134163]=0;f[134164]=0;f[134148]=0;f[134149]=0;f[134150]=0;f[134151]=0;f[134152]=0;f[134166]=542896;f[134167]=0;f[134168]=0;f[134169]=0;f[134170]=0;f[134171]=0;f[134172]=0;qLb(536584);f[134167]=536552;u=a;return}function JUa(){var a=0,c=0;a=u;u=u+16|0;c=a;TKb(3005001,3005e3,441303);LIb();if((f[224784]|0)!=2){f[c>>2]=151624;f[c+4>>2]=24;b[c+8>>0]=0;xLb(899136,c);QKb(c)}f[134174]=129752;f[134175]=0;f[134176]=0;f[134177]=0;f[134178]=0;f[134179]=0;f[134180]=0;f[134181]=0;qLb(536696);u=a;return}function KUa(){TKb(3005001,3005e3,441303);LIb();f[134182]=128888;f[134183]=0;f[134184]=0;f[134185]=0;f[134186]=0;f[134187]=0;f[134188]=0;qLb(536728);return}function LUa(){var a=0,c=0;a=u;u=u+16|0;c=a;TKb(3005001,3005e3,441303);LIb();if((f[224791]|0)!=2){f[c>>2]=151624;f[c+4>>2]=31;b[c+8>>0]=0;xLb(899164,c);QKb(c)}f[134190]=128780;f[134191]=0;f[134192]=0;f[134193]=0;f[134194]=0;b[536780]=1;b[536781]=1;n[134196]=1.000000013351432e-10;qLb(536760);f[134194]=537032;u=a;return}function MUa(){var a=0,c=0;TKb(3005001,3005e3,441303);LIb();f[134198]=128672;f[134199]=0;a=536800;c=a+112|0;do{f[a>>2]=0;a=a+4|0}while((a|0)<(c|0));b[536912]=1;b[536913]=1;n[134229]=.5;qLb(536792);return}function NUa(){var a=0,c=0;a=u;u=u+16|0;c=a;TKb(3005001,3005e3,441303);LIb();if((f[224810]|0)!=2){f[c>>2]=151624;f[c+4>>2]=50;b[c+8>>0]=0;xLb(899240,c);QKb(c)}if((f[224811]|0)!=2){f[c>>2]=151624;f[c+4>>2]=51;b[c+8>>0]=0;xLb(899244,c);QKb(c)}f[134230]=128996;f[134231]=0;f[134232]=0;f[134233]=0;f[134234]=0;f[134235]=0;f[134236]=0;f[134237]=0;f[134238]=0;f[134239]=0;f[134240]=-1;f[134241]=1;b[536968]=1;b[536969]=1;qLb(536920);f[134234]=538432;f[134235]=538464;u=a;return}function OUa(){TKb(3005001,3005e3,441303);LIb();f[134244]=129644;f[134245]=0;f[134246]=0;f[134247]=0;f[134248]=0;f[134249]=0;f[134250]=0;f[134251]=542896;f[134252]=0;f[134253]=0;f[134254]=0;f[134255]=0;b[537024]=0;qLb(536976);return}function PUa(){TKb(3005001,3005e3,441303);LIb();f[135106]=0;f[135107]=0;f[135108]=0;b[540424]=0;b[540435]=0;vuc(540424,0);f[135106]=1936617315;f[135107]=1953390964;b[540432]=0;b[540433]=0;b[540434]=0;b[540435]=8;oLb(540424);f[134258]=122840;f[134259]=0;f[134260]=0;f[134261]=0;f[134262]=540424;f[134263]=0;f[134264]=0;f[134265]=0;f[134266]=0;f[134267]=-1;n[134268]=1.0;n[134269]=1.0;qLb(537032);return}function QUa(){var a=0,c=0,e=0;a=u;u=u+16|0;c=a;TKb(3005001,3005e3,441303);LIb();if((f[224783]|0)!=2){f[c>>2]=151624;f[c+4>>2]=23;b[c+8>>0]=0;xLb(899132,c);QKb(c)}if((f[224795]|0)!=2){f[c>>2]=151624;f[c+4>>2]=35;b[c+8>>0]=0;xLb(899180,c);QKb(c)}if((f[224798]|0)!=2){f[c>>2]=151624;f[c+4>>2]=38;b[c+8>>0]=0;xLb(899192,c);QKb(c)}if((f[224847]|0)!=2){f[c>>2]=151624;f[c+4>>2]=87;b[c+8>>0]=0;xLb(899388,c);QKb(c)}f[134270]=129536;f[134271]=0;c=537088;e=c+84|0;do{f[c>>2]=0;c=c+4|0}while((c|0)<(e|0));f[134293]=542896;f[134294]=0;d[268590]=0;qLb(537080);f[134294]=537464;u=a;return}function RUa(){var a=0,c=0,e=0;a=u;u=u+16|0;c=a;TKb(3005001,3005e3,441303);LIb();if((f[224792]|0)!=2){f[c>>2]=151624;f[c+4>>2]=32;b[c+8>>0]=0;xLb(899168,c);QKb(c)}if((f[224795]|0)!=2){f[c>>2]=151624;f[c+4>>2]=35;b[c+8>>0]=0;xLb(899180,c);QKb(c)};f[135110]=0;f[135111]=0;f[135112]=0;f[c>>2]=0;d[c+4>>1]=0;b[c+6>>0]=0;b[540440]=0;b[540451]=0;vuc(540440,0);f[135110]=12876;f[135111]=f[c>>2];d[270224]=d[c+4>>1]|0;b[540450]=b[c+6>>0]|0;b[540451]=2;oLb(540440);f[135114]=0;f[135115]=0;f[135116]=0;f[c>>2]=0;d[c+4>>1]=0;b[c+6>>0]=0;b[540456]=0;b[540467]=0;vuc(540456,0);f[135114]=4474707;f[135115]=f[c>>2];d[270232]=d[c+4>>1]|0;b[540466]=b[c+6>>0]|0;b[540467]=3;oLb(540456);f[134296]=129428;c=537188;e=c+84|0;do{f[c>>2]=0;c=c+4|0}while((c|0)<(e|0));f[134318]=542896;f[134319]=542896;f[134320]=542896;f[134321]=542896;f[134322]=540440;f[134323]=540456;c=537296;e=c+64|0;do{f[c>>2]=0;c=c+4|0}while((c|0)<(e|0));n[134340]=.9990000128746033;c=537368;f[c>>2]=-1;f[c+4>>2]=-1;f[134344]=1;b[537380]=1;b[537381]=1;n[134346]=9.99999993922529e-09;f[134347]=1;n[134348]=-1.0;f[134349]=1;f[134350]=1;n[134351]=.9900000095367432;f[134352]=0;qLb(537184);f[134325]=537080;f[134324]=537080;f[134326]=537464;u=a;return}function SUa(){var a=0,c=0;a=u;u=u+16|0;c=a;TKb(3005001,3005e3,441303);LIb();if((f[224784]|0)!=2){f[c>>2]=151624;f[c+4>>2]=24;b[c+8>>0]=0;xLb(899136,c);QKb(c)}f[134354]=129320;f[134355]=0;f[134356]=0;f[134357]=0;f[134358]=0;f[134359]=0;f[134360]=0;f[134361]=0;f[134362]=542896;c=537452;f[c>>2]=0;f[c+4>>2]=0;qLb(537416);u=a;return}function TUa(){TKb(3005001,3005e3,441303);LIb();f[134366]=129212;f[134367]=0;f[134368]=0;f[134369]=0;f[134370]=0;f[134371]=0;f[134372]=0;f[134373]=0;f[134374]=0;f[134375]=1;qLb(537464);return}function UUa(){var a=0,b=0;TKb(3005001,3005e3,441303);LIb();f[134376]=126512;f[134377]=0;a=537512;b=a+52|0;do{f[a>>2]=0;a=a+4|0}while((a|0)<(b|0));qLb(537504);return}function VUa(){TKb(3005001,3005e3,441303);LIb();f[134392]=129104;f[134393]=0;f[134394]=0;f[134395]=0;f[134396]=542896;f[134397]=0;n[134398]=1.0;n[134399]=1.0;qLb(537568);return}function WUa(){var a=0,c=0;a=u;u=u+16|0;c=a;TKb(3005001,3005e3,441303);LIb();if((f[224797]|0)!=2){f[c>>2]=151624;f[c+4>>2]=37;b[c+8>>0]=0;xLb(899188,c);QKb(c)}if((f[224784]|0)!=2){f[c>>2]=151624;f[c+4>>2]=24;b[c+8>>0]=0;xLb(899136,c);QKb(c)}if((f[224796]|0)!=2){f[c>>2]=151624;f[c+4>>2]=36;b[c+8>>0]=0;xLb(899184,c);QKb(c)}if((f[224799]|0)!=2){f[c>>2]=151624;f[c+4>>2]=39;b[c+8>>0]=0;xLb(899196,c);QKb(c)}if((f[224800]|0)!=2){f[c>>2]=151624;f[c+4>>2]=40;b[c+8>>0]=0;xLb(899200,c);QKb(c)}if((f[224801]|0)!=2){f[c>>2]=151624;f[c+4>>2]=41;b[c+8>>0]=0;xLb(899204,c);QKb(c)}if((f[224802]|0)!=2){f[c>>2]=151624;f[c+4>>2]=42;b[c+8>>0]=0;xLb(899208,c);QKb(c)}if((f[224804]|0)!=2){f[c>>2]=151624;f[c+4>>2]=44;b[c+8>>0]=0;xLb(899216,c);QKb(c)}if((f[224805]|0)!=2){f[c>>2]=151624;f[c+4>>2]=45;b[c+8>>0]=0;xLb(899220,c);QKb(c)}if((f[224803]|0)!=2){f[c>>2]=151624;f[c+4>>2]=43;b[c+8>>0]=0;xLb(899212,c);QKb(c)}if((f[224806]|0)!=2){f[c>>2]=151624;f[c+4>>2]=46;b[c+8>>0]=0;xLb(899224,c);QKb(c)}if((f[224807]|0)!=2){f[c>>2]=151624;f[c+4>>2]=47;b[c+8>>0]=0;xLb(899228,c);QKb(c)}if((f[224808]|0)!=2){f[c>>2]=151624;f[c+4>>2]=48;b[c+8>>0]=0;xLb(899232,c);QKb(c)}if((f[224809]|0)!=2){f[c>>2]=151624;f[c+4>>2]=49;b[c+8>>0]=0;xLb(899236,c);QKb(c)}if((f[224789]|0)!=2){f[c>>2]=151624;f[c+4>>2]=29;b[c+8>>0]=0;xLb(899156,c);QKb(c)}if((f[224812]|0)!=2){f[c>>2]=151624;f[c+4>>2]=52;b[c+8>>0]=0;xLb(899248,c);QKb(c)}if((f[224813]|0)!=2){f[c>>2]=151624;f[c+4>>2]=53;b[c+8>>0]=0;xLb(899252,c);QKb(c)}if((f[224814]|0)!=2){f[c>>2]=151624;f[c+4>>2]=54;b[c+8>>0]=0;xLb(899256,c);QKb(c)}if((f[224815]|0)!=2){f[c>>2]=151624;f[c+4>>2]=55;b[c+8>>0]=0;xLb(899260,c);QKb(c)}if((f[224816]|0)!=2){f[c>>2]=151624;f[c+4>>2]=56;b[c+8>>0]=0;xLb(899264,c);QKb(c)}if((f[224817]|0)!=2){f[c>>2]=151624;f[c+4>>2]=57;b[c+8>>0]=0;xLb(899268,c);QKb(c)}if((f[224818]|0)!=2){f[c>>2]=151624;f[c+4>>2]=58;b[c+8>>0]=0;xLb(899272,c);QKb(c)}if((f[224819]|0)!=2){f[c>>2]=151624;f[c+4>>2]=59;b[c+8>>0]=0;xLb(899276,c);QKb(c)}if((f[224820]|0)!=2){f[c>>2]=151624;f[c+4>>2]=60;b[c+8>>0]=0;xLb(899280,c);QKb(c)}if((f[224821]|0)!=2){f[c>>2]=151624;f[c+4>>2]=61;b[c+8>>0]=0;xLb(899284,c);QKb(c)}if((f[224822]|0)!=2){f[c>>2]=151624;f[c+4>>2]=62;b[c+8>>0]=0;xLb(899288,c);QKb(c)}if((f[224823]|0)!=2){f[c>>2]=151624;f[c+4>>2]=63;b[c+8>>0]=0;xLb(899292,c);QKb(c)}if((f[224824]|0)!=2){f[c>>2]=151624;f[c+4>>2]=64;b[c+8>>0]=0;xLb(899296,c);QKb(c)}if((f[224825]|0)!=2){f[c>>2]=151624;f[c+4>>2]=65;b[c+8>>0]=0;xLb(899300,c);QKb(c)}if((f[224826]|0)!=2){f[c>>2]=151624;f[c+4>>2]=66;b[c+8>>0]=0;xLb(899304,c);QKb(c)}if((f[224827]|0)!=2){f[c>>2]=151624;f[c+4>>2]=67;b[c+8>>0]=0;xLb(899308,c);QKb(c)}if((f[224828]|0)!=2){f[c>>2]=151624;f[c+4>>2]=68;b[c+8>>0]=0;xLb(899312,c);QKb(c)}if((f[224829]|0)!=2){f[c>>2]=151624;f[c+4>>2]=69;b[c+8>>0]=0;xLb(899316,c);QKb(c)}if((f[224787]|0)!=2){f[c>>2]=151624;f[c+4>>2]=27;b[c+8>>0]=0;xLb(899148,c);QKb(c)}if((f[224786]|0)!=2){f[c>>2]=151624;f[c+4>>2]=26;b[c+8>>0]=0;xLb(899144,c);QKb(c)}if((f[224830]|0)!=2){f[c>>2]=151624;f[c+4>>2]=70;b[c+8>>0]=0;xLb(899320,c);QKb(c)}if((f[224831]|0)!=2){f[c>>2]=151624;f[c+4>>2]=71;b[c+8>>0]=0;xLb(899324,c);QKb(c)}if((f[224832]|0)!=2){f[c>>2]=151624;f[c+4>>2]=72;b[c+8>>0]=0;xLb(899328,c);QKb(c)}if((f[224849]|0)!=2){f[c>>2]=151624;f[c+4>>2]=89;b[c+8>>0]=0;xLb(899396,c);QKb(c)}if((f[224788]|0)!=2){f[c>>2]=151624;f[c+4>>2]=28;b[c+8>>0]=0;xLb(899152,c);QKb(c)}if((f[224852]|0)!=2){f[c>>2]=151624;f[c+4>>2]=92;b[c+8>>0]=0;xLb(899408,c);QKb(c)}if((f[224853]|0)!=2){f[c>>2]=151624;f[c+4>>2]=93;b[c+8>>0]=0;xLb(899412,c);QKb(c)}if((f[224833]|0)!=2){f[c>>2]=151624;f[c+4>>2]=73;b[c+8>>0]=0;xLb(899332,c);QKb(c)}if((f[224834]|0)!=2){f[c>>2]=151624;f[c+4>>2]=74;b[c+8>>0]=0;xLb(899336,c);QKb(c)}if((f[224835]|0)!=2){f[c>>2]=151624;f[c+4>>2]=75;b[c+8>>0]=0;xLb(899340,c);QKb(c)}if((f[224836]|0)!=2){f[c>>2]=151624;f[c+4>>2]=76;b[c+8>>0]=0;xLb(899344,c);QKb(c)}if((f[224837]|0)!=2){f[c>>2]=151624;f[c+4>>2]=77;b[c+8>>0]=0;xLb(899348,c);QKb(c)}if((f[224851]|0)!=2){f[c>>2]=151624;f[c+4>>2]=91;b[c+8>>0]=0;xLb(899404,c);QKb(c)}if((f[224838]|0)!=2){f[c>>2]=151624;f[c+4>>2]=78;b[c+8>>0]=0;xLb(899352,c);QKb(c)}if((f[224839]|0)!=2){f[c>>2]=151624;f[c+4>>2]=79;b[c+8>>0]=0;xLb(899356,c);QKb(c)}if((f[224841]|0)!=2){f[c>>2]=151624;f[c+4>>2]=81;b[c+8>>0]=0;xLb(899364,c);QKb(c)}if((f[224846]|0)!=2){f[c>>2]=151624;f[c+4>>2]=86;b[c+8>>0]=0;xLb(899384,c);QKb(c)}if((f[224840]|0)!=2){f[c>>2]=151624;f[c+4>>2]=80;b[c+8>>0]=0;xLb(899360,c);QKb(c)}if((f[224842]|0)!=2){f[c>>2]=151624;f[c+4>>2]=82;b[c+8>>0]=0;xLb(899368,c);QKb(c)}if((f[224844]|0)!=2){f[c>>2]=151624;f[c+4>>2]=84;b[c+8>>0]=0;xLb(899376,c);QKb(c)}if((f[224843]|0)!=2){f[c>>2]=151624;f[c+4>>2]=83;b[c+8>>0]=0;xLb(899372,c);QKb(c)}if((f[224845]|0)==2){f[134400]=128564;kzc(537604,0,132)|0;f[134434]=542896;f[134435]=542896;kzc(537744,0,224)|0;qLb(537600);f[134436]=537968;f[134437]=538016;f[134438]=538048;f[134439]=538080;f[134475]=538136;f[134477]=538168;f[134440]=538112;f[134441]=538200;f[134442]=538224;f[134480]=538344;f[134443]=538376;f[134483]=536920;f[134444]=538504;f[134445]=538528;f[134446]=538624;f[134476]=538664;f[134473]=538688;f[134447]=538728;f[134471]=538760;f[134448]=538784;f[134449]=538816;f[134450]=538840;f[134451]=538864;f[134452]=538928;f[134453]=538952;f[134479]=538992;f[134470]=539024;f[134454]=539056;f[134455]=539096;f[134456]=539128;f[134485]=536760;f[134484]=536728;f[134481]=539152;f[134457]=539176;f[134458]=539248;f[134467]=540224;f[134486]=536792;f[134487]=540328;f[134488]=540392;f[134466]=539280;f[134482]=539312;f[134472]=539344;f[134459]=539376;f[134469]=539400;f[134489]=540296;f[134478]=539432;f[134460]=539472;f[134461]=539536;f[134468]=539696;f[134462]=539496;f[134463]=539560;f[134464]=539608;f[134474]=539584;f[134465]=539632;u=a;return}f[c>>2]=151624;f[c+4>>2]=85;b[c+8>>0]=0;xLb(899380,c);QKb(c);f[134400]=128564;kzc(537604,0,132)|0;f[134434]=542896;f[134435]=542896;kzc(537744,0,224)|0;qLb(537600);f[134436]=537968;f[134437]=538016;f[134438]=538048;f[134439]=538080;f[134475]=538136;f[134477]=538168;f[134440]=538112;f[134441]=538200;f[134442]=538224;f[134480]=538344;f[134443]=538376;f[134483]=536920;f[134444]=538504;f[134445]=538528;f[134446]=538624;f[134476]=538664;f[134473]=538688;f[134447]=538728;f[134471]=538760;f[134448]=538784;f[134449]=538816;f[134450]=538840;f[134451]=538864;f[134452]=538928;f[134453]=538952;f[134479]=538992;f[134470]=539024;f[134454]=539056;f[134455]=539096;f[134456]=539128;f[134485]=536760;f[134484]=536728;f[134481]=539152;f[134457]=539176;f[134458]=539248;f[134467]=540224;f[134486]=536792;f[134487]=540328;f[134488]=540392;f[134466]=539280;f[134482]=539312;f[134472]=539344;f[134459]=539376;f[134469]=539400;f[134489]=540296;f[134478]=539432;f[134460]=539472;f[134461]=539536;f[134468]=539696;f[134462]=539496;f[134463]=539560;f[134464]=539608;f[134474]=539584;f[134465]=539632;u=a;return}function XUa(){TKb(3005001,3005e3,441303);LIb();f[134492]=124028;f[134493]=0;f[134494]=0;f[134495]=0;f[134496]=0;f[134497]=0;f[134498]=0;f[134499]=542896;f[134500]=0;d[269002]=0;b[538006]=0;n[134502]=1.0;qLb(537968);return}function YUa(){TKb(3005001,3005e3,441303);LIb();f[134504]=123380;f[134505]=0;f[134506]=0;f[134507]=0;f[134508]=0;b[538036]=0;f[134510]=1;qLb(538016);return}function ZUa(){TKb(3005001,3005e3,441303);LIb();f[134512]=124568;f[134513]=0;f[134514]=0;f[134515]=0;f[134516]=0;f[134517]=1;f[134518]=1;qLb(538048);return}function _Ua(){TKb(3005001,3005e3,441303);LIb();f[134520]=125e3;f[134521]=0;f[134522]=0;f[134523]=0;f[134524]=0;f[134525]=0;f[134526]=1;qLb(538080);return}function $Ua(){TKb(3005001,3005e3,441303);LIb();f[134528]=126404;f[134529]=0;f[134530]=0;f[134531]=0;f[134532]=1;f[134533]=1;qLb(538112);return}function aVa(){TKb(3005001,3005e3,441303);LIb();f[134534]=128456;f[134535]=0;f[134536]=0;f[134537]=0;d[269076]=0;n[134539]=.9990000128746033;n[134540]=9.999999747378752e-06;qLb(538136);return}function bVa(){var a=0,c=0;a=u;u=u+16|0;c=a;TKb(3005001,3005e3,441303);LIb();if((f[224791]|0)!=2){f[c>>2]=151624;f[c+4>>2]=31;b[c+8>>0]=0;xLb(899164,c);QKb(c)}f[134542]=128348;f[134543]=0;f[134544]=0;f[134545]=0;f[134546]=0;f[134547]=1;f[134548]=1;qLb(538168);f[134546]=537032;u=a;return}function cVa(){TKb(3005001,3005e3,441303);LIb();f[134550]=123596;f[134551]=0;f[134552]=0;f[134553]=0;b[538216]=0;n[134555]=1.0;qLb(538200);return}function dVa(){var a=0,c=0,d=0;a=u;u=u+16|0;c=a;TKb(3005001,3005e3,441303);LIb();if((f[224791]|0)!=2){f[c>>2]=151624;f[c+4>>2]=31;b[c+8>>0]=0;xLb(899164,c);QKb(c)}f[134556]=126296;f[134557]=0;c=538232;d=c+96|0;do{f[c>>2]=0;c=c+4|0}while((c|0)<(d|0));b[538328]=0;f[134583]=1;b[538336]=1;f[134585]=1;qLb(538224);f[134572]=537032;f[134573]=537032;u=a;return}function eVa(){TKb(3005001,3005e3,441303);LIb();f[134586]=128240;f[134587]=0;f[134588]=0;f[134589]=0;f[134590]=0;f[134591]=0;f[134592]=0;f[134593]=2;qLb(538344);return}function fVa(){TKb(3005001,3005e3,441303);LIb();f[134594]=126188;f[134595]=0;f[134596]=0;f[134597]=0;f[134598]=542896;f[134599]=542896;f[134600]=0;f[134601]=0;f[134602]=0;f[134603]=0;f[134604]=0;n[134605]=1.0;f[134606]=4;qLb(538376);return}function gVa(){TKb(3005001,3005e3,441303);LIb();f[134608]=128132;f[134609]=0;f[134610]=0;f[134611]=0;f[134612]=0;n[134613]=.30000001192092896;n[134614]=1.0;qLb(538432);return}function hVa(){TKb(3005001,3005e3,441303);LIb();f[134616]=128024;f[134617]=0;f[134618]=0;f[134619]=0;f[134620]=542896;f[134621]=542896;f[134622]=542896;f[134623]=542896;f[134624]=542896;f[134625]=0;qLb(538464);return}function iVa(){TKb(3005001,3005e3,441303);LIb();f[134626]=126080;f[134627]=0;f[134628]=0;f[134629]=0;n[134630]=.5;b[538524]=1;qLb(538504);return}function jVa(){var a=0,c=0,d=0;a=u;u=u+16|0;c=a;TKb(3005001,3005e3,441303);LIb();if((f[224791]|0)!=2){f[c>>2]=151624;f[c+4>>2]=31;b[c+8>>0]=0;xLb(899164,c);QKb(c)}if((f[224783]|0)!=2){f[c>>2]=151624;f[c+4>>2]=23;b[c+8>>0]=0;xLb(899132,c);QKb(c)}f[134632]=124676;f[134633]=0;c=538536;d=c+88|0;do{f[c>>2]=0;c=c+4|0}while((c|0)<(d|0));qLb(538528);u=a;return}function kVa(){TKb(3005001,3005e3,441303);LIb();f[134656]=124892;f[134657]=0;f[134658]=0;f[134659]=0;f[134660]=0;f[134661]=0;f[134662]=0;f[134663]=1;b[538656]=1;qLb(538624);return}function lVa(){TKb(3005001,3005e3,441303);LIb();f[134666]=127916;f[134667]=0;f[134668]=0;f[134669]=0;n[134670]=1.0;qLb(538664);return}function mVa(){var a=0,c=0;a=u;u=u+16|0;c=a;TKb(3005001,3005e3,441303);LIb();if((f[224791]|0)!=2){f[c>>2]=151624;f[c+4>>2]=31;b[c+8>>0]=0;xLb(899164,c);QKb(c)}f[134672]=127808;f[134673]=0;f[134674]=0;f[134675]=0;f[134676]=0;f[134677]=0;f[134678]=0;f[134679]=0;b[538720]=1;qLb(538688);f[134676]=537032;f[134677]=537032;u=a;return}function nVa(){TKb(3005001,3005e3,441303);LIb();f[134682]=123488;f[134683]=0;f[134684]=0;f[134685]=0;n[134686]=0.0;n[134687]=-1.0;n[134688]=1.0;qLb(538728);return}function oVa(){TKb(3005001,3005e3,441303);LIb();f[134690]=127700;f[134691]=0;f[134692]=0;f[134693]=0;f[134694]=1;f[134695]=-1;qLb(538760);return}function pVa(){TKb(3005001,3005e3,441303);LIb();f[134696]=125972;f[134697]=0;f[134698]=0;f[134699]=0;f[134700]=542896;f[134701]=0;b[538808]=0;qLb(538784);return}function qVa(){TKb(3005001,3005e3,441303);LIb();f[134704]=123056;f[134705]=0;f[134706]=0;f[134707]=0;f[134708]=542896;qLb(538816);return}function rVa(){TKb(3005001,3005e3,441303);LIb();f[134710]=124460;f[134711]=0;f[134712]=0;f[134713]=0;f[134714]=1;qLb(538840);return}function sVa(){TKb(3005001,3005e3,441303);LIb();f[134716]=125864;f[134717]=0;f[134718]=0;f[134719]=0;f[134720]=542896;f[134721]=542896;f[134722]=542896;f[134723]=0;f[134724]=0;f[134725]=0;f[134726]=0;f[134727]=0;b[538912]=1;n[134729]=1.0;f[134730]=1;qLb(538864);return}function tVa(){TKb(3005001,3005e3,441303);LIb();f[134732]=125756;f[134733]=0;f[134734]=0;f[134735]=0;f[134736]=542896;qLb(538928);return}function uVa(){var a=0,c=0;a=u;u=u+16|0;c=a;TKb(3005001,3005e3,441303);LIb();if((f[224791]|0)!=2){f[c>>2]=151624;f[c+4>>2]=31;b[c+8>>0]=0;xLb(899164,c);QKb(c)}f[134738]=125648;f[134739]=0;f[134740]=0;f[134741]=0;f[134742]=0;f[134743]=0;f[134744]=0;b[538980]=0;b[538981]=1;f[134746]=1;qLb(538952);f[134742]=537032;f[134743]=537032;u=a;return}function vVa(){var a=0,c=0;a=u;u=u+16|0;c=a;TKb(3005001,3005e3,441303);LIb();if((f[224783]|0)!=2){f[c>>2]=151624;f[c+4>>2]=23;b[c+8>>0]=0;xLb(899132,c);QKb(c)}f[134748]=127592;f[134749]=0;f[134750]=0;f[134751]=0;f[134752]=0;f[134753]=0;f[134754]=0;f[134755]=0;qLb(538992);u=a;return}function wVa(){TKb(3005001,3005e3,441303);LIb();f[134756]=127484;f[134757]=0;f[134758]=0;f[134759]=0;n[134760]=0.0;n[134761]=-1.0;n[134762]=1.0;qLb(539024);return}function xVa(){TKb(3005001,3005e3,441303);LIb();f[134764]=125540;f[134765]=0;f[134766]=0;f[134767]=0;f[134768]=0;f[134769]=0;f[134770]=5;n[134771]=1.0;n[134772]=.75;n[134773]=1.0;qLb(539056);return}function yVa(){TKb(3005001,3005e3,441303);LIb();f[134774]=125108;f[134775]=0;f[134776]=0;f[134777]=0;f[134778]=0;f[134779]=0;f[134780]=0;f[134781]=0;qLb(539096);return}function zVa(){TKb(3005001,3005e3,441303);LIb();f[134782]=124136;f[134783]=0;f[134784]=0;f[134785]=0;b[539144]=0;b[539145]=1;n[134787]=9.999999717180685e-10;qLb(539128);return}function AVa(){var a=0,c=0;a=u;u=u+16|0;c=a;TKb(3005001,3005e3,441303);LIb();if((f[224783]|0)!=2){f[c>>2]=151624;f[c+4>>2]=23;b[c+8>>0]=0;xLb(899132,c);QKb(c)}f[134788]=127376;f[134789]=0;f[134790]=0;f[134791]=0;f[134792]=0;qLb(539152);f[134792]=536552;u=a;return}function BVa(){var a=0,c=0;TKb(3005001,3005e3,441303);LIb();f[134794]=125432;f[134795]=0;a=539184;c=a+48|0;do{f[a>>2]=0;a=a+4|0}while((a|0)<(c|0));b[539232]=0;f[134809]=1;b[539240]=1;qLb(539176);return}function CVa(){TKb(3005001,3005e3,441303);LIb();f[134812]=125216;f[134813]=0;f[134814]=0;f[134815]=0;n[134816]=0.0;n[134817]=1.0;n[134818]=1.0;qLb(539248);return}function DVa(){TKb(3005001,3005e3,441303);LIb();f[134820]=127268;f[134821]=0;f[134822]=0;f[134823]=0;f[134824]=542896;f[134825]=542896;f[134826]=542896;b[539308]=0;qLb(539280);return}function EVa(){var a=0,c=0;a=u;u=u+16|0;c=a;TKb(3005001,3005e3,441303);LIb();if((f[224791]|0)!=2){f[c>>2]=151624;f[c+4>>2]=31;b[c+8>>0]=0;xLb(899164,c);QKb(c)}f[134828]=127160;f[134829]=0;f[134830]=0;f[134831]=0;f[134832]=0;f[134833]=0;f[134834]=0;d[269670]=0;qLb(539312);f[134832]=537032;f[134833]=537032;u=a;return}function FVa(){TKb(3005001,3005e3,441303);LIb();f[134836]=127052;f[134837]=0;f[134838]=0;f[134839]=0;f[134840]=0;f[134841]=1;n[134842]=1.0;qLb(539344);return}function GVa(){TKb(3005001,3005e3,441303);LIb();f[134844]=124352;f[134845]=0;f[134846]=0;f[134847]=0;f[134848]=0;f[134849]=0;qLb(539376);return}function HVa(){var a=0,c=0;a=u;u=u+16|0;c=a;TKb(3005001,3005e3,441303);LIb();if((f[224783]|0)!=2){f[c>>2]=151624;f[c+4>>2]=23;b[c+8>>0]=0;xLb(899132,c);QKb(c)}f[134850]=126944;f[134851]=0;f[134852]=0;f[134853]=0;f[134854]=0;f[134855]=0;f[134856]=-1;qLb(539400);f[134854]=536552;u=a;return}function IVa(){var a=0,c=0;a=u;u=u+16|0;c=a;TKb(3005001,3005e3,441303);LIb();if((f[224791]|0)!=2){f[c>>2]=151624;f[c+4>>2]=31;b[c+8>>0]=0;xLb(899164,c);QKb(c)}f[134858]=126836;f[134859]=0;f[134860]=0;f[134861]=0;f[134862]=0;f[134863]=0;b[539456]=0;f[134865]=1;f[134866]=1;qLb(539432);f[134862]=537032;f[134863]=537032;u=a;return}function JVa(){TKb(3005001,3005e3,441303);LIb();f[134868]=123812;f[134869]=0;f[134870]=0;f[134871]=0;f[134872]=0;qLb(539472);return}function KVa(){TKb(3005001,3005e3,441303);LIb();f[134874]=124244;f[134875]=0;f[134876]=0;f[134877]=0;f[134878]=0;f[134879]=0;f[134880]=0;f[134881]=1;f[134882]=1;qLb(539496);return}function LVa(){TKb(3005001,3005e3,441303);LIb();f[134884]=123704;f[134885]=0;f[134886]=0;f[134887]=0;f[134888]=0;f[134889]=1;qLb(539536);return}function MVa(){TKb(3005001,3005e3,441303);LIb();f[134890]=123920;f[134891]=0;f[134892]=0;f[134893]=0;f[134894]=0;qLb(539560);return}function NVa(){TKb(3005001,3005e3,441303);LIb();f[134896]=126728;f[134897]=0;f[134898]=0;f[134899]=0;f[134900]=0;f[134901]=1;qLb(539584);return}function OVa(){TKb(3005001,3005e3,441303);LIb();f[134902]=124784;f[134903]=0;f[134904]=0;f[134905]=0;n[134906]=0.0;qLb(539608);return}function PVa(){var a=0,c=0;a=u;u=u+16|0;c=a;TKb(3005001,3005e3,441303);LIb();f[135118]=0;f[135119]=0;f[135120]=0;b[c>>0]=0;b[c+1>>0]=0;b[c+2>>0]=0;b[c+3>>0]=0;b[c+4>>0]=0;b[c+5>>0]=0;b[540472]=0;b[540483]=0;vuc(540472,0);f[135118]=1886544247;b[540476]=0;b[540477]=b[c>>0]|0;b[540478]=b[c+1>>0]|0;b[540479]=b[c+2>>0]|0;b[540480]=b[c+3>>0]|0;b[540481]=b[c+4>>0]|0;b[540482]=b[c+5>>0]|0;b[540483]=4;oLb(540472);f[134908]=125324;f[134909]=0;f[134910]=0;f[134911]=0;f[134912]=542896;f[134913]=542896;f[134914]=540472;f[134915]=542896;f[134916]=0;f[134917]=0;f[134918]=0;f[134919]=0;n[134920]=1.0;n[134921]=.5;n[134922]=.5;n[134923]=.25;qLb(539632);u=a;return}function QVa(){TKb(3005001,3005e3,441303);LIb();f[134924]=126620;f[134925]=0;f[134926]=0;f[134927]=0;f[134928]=0;f[134929]=0;f[134930]=0;qLb(539696);return}function RVa(){var a=0,c=0;a=u;u=u+16|0;c=a;TKb(3005001,3005e3,441303);LIb();if((f[224796]|0)!=2){f[c>>2]=151624;f[c+4>>2]=36;b[c+8>>0]=0;xLb(899184,c);QKb(c)}if((f[224784]|0)!=2){f[c>>2]=151624;f[c+4>>2]=24;b[c+8>>0]=0;xLb(899136,c);QKb(c)}if((f[224801]|0)!=2){f[c>>2]=151624;f[c+4>>2]=41;b[c+8>>0]=0;xLb(899204,c);QKb(c)}if((f[224802]|0)!=2){f[c>>2]=151624;f[c+4>>2]=42;b[c+8>>0]=0;xLb(899208,c);QKb(c)}if((f[224803]|0)!=2){f[c>>2]=151624;f[c+4>>2]=43;b[c+8>>0]=0;xLb(899212,c);QKb(c)}if((f[224806]|0)!=2){f[c>>2]=151624;f[c+4>>2]=46;b[c+8>>0]=0;xLb(899224,c);QKb(c)}if((f[224807]|0)!=2){f[c>>2]=151624;f[c+4>>2]=47;b[c+8>>0]=0;xLb(899228,c);QKb(c)}if((f[224809]|0)!=2){f[c>>2]=151624;f[c+4>>2]=49;b[c+8>>0]=0;xLb(899236,c);QKb(c)}if((f[224812]|0)!=2){f[c>>2]=151624;f[c+4>>2]=52;b[c+8>>0]=0;xLb(899248,c);QKb(c)}if((f[224813]|0)!=2){f[c>>2]=151624;f[c+4>>2]=53;b[c+8>>0]=0;xLb(899252,c);QKb(c)}if((f[224814]|0)!=2){f[c>>2]=151624;f[c+4>>2]=54;b[c+8>>0]=0;xLb(899256,c);QKb(c)}if((f[224817]|0)!=2){f[c>>2]=151624;f[c+4>>2]=57;b[c+8>>0]=0;xLb(899268,c);QKb(c)}if((f[224819]|0)!=2){f[c>>2]=151624;f[c+4>>2]=59;b[c+8>>0]=0;xLb(899276,c);QKb(c)}if((f[224820]|0)!=2){f[c>>2]=151624;f[c+4>>2]=60;b[c+8>>0]=0;xLb(899280,c);QKb(c)}if((f[224821]|0)!=2){f[c>>2]=151624;f[c+4>>2]=61;b[c+8>>0]=0;xLb(899284,c);QKb(c)}if((f[224822]|0)!=2){f[c>>2]=151624;f[c+4>>2]=62;b[c+8>>0]=0;xLb(899288,c);QKb(c)}if((f[224823]|0)!=2){f[c>>2]=151624;f[c+4>>2]=63;b[c+8>>0]=0;xLb(899292,c);QKb(c)}if((f[224824]|0)!=2){f[c>>2]=151624;f[c+4>>2]=64;b[c+8>>0]=0;xLb(899296,c);QKb(c)}if((f[224827]|0)!=2){f[c>>2]=151624;f[c+4>>2]=67;b[c+8>>0]=0;xLb(899308,c);QKb(c)}if((f[224828]|0)!=2){f[c>>2]=151624;f[c+4>>2]=68;b[c+8>>0]=0;xLb(899312,c);QKb(c)}if((f[224829]|0)!=2){f[c>>2]=151624;f[c+4>>2]=69;b[c+8>>0]=0;xLb(899316,c);QKb(c)}if((f[224831]|0)!=2){f[c>>2]=151624;f[c+4>>2]=71;b[c+8>>0]=0;xLb(899324,c);QKb(c)}if((f[224832]|0)!=2){f[c>>2]=151624;f[c+4>>2]=72;b[c+8>>0]=0;xLb(899328,c);QKb(c)}if((f[224836]|0)!=2){f[c>>2]=151624;f[c+4>>2]=76;b[c+8>>0]=0;xLb(899344,c);QKb(c)}if((f[224839]|0)!=2){f[c>>2]=151624;f[c+4>>2]=79;b[c+8>>0]=0;xLb(899356,c);QKb(c)}if((f[224841]|0)!=2){f[c>>2]=151624;f[c+4>>2]=81;b[c+8>>0]=0;xLb(899364,c);QKb(c)}if((f[224840]|0)!=2){f[c>>2]=151624;f[c+4>>2]=80;b[c+8>>0]=0;xLb(899360,c);QKb(c)}if((f[224842]|0)!=2){f[c>>2]=151624;f[c+4>>2]=82;b[c+8>>0]=0;xLb(899368,c);QKb(c)}if((f[224844]|0)!=2){f[c>>2]=151624;f[c+4>>2]=84;b[c+8>>0]=0;xLb(899376,c);QKb(c)}if((f[224845]|0)!=2){f[c>>2]=151624;f[c+4>>2]=85;b[c+8>>0]=0;xLb(899380,c);QKb(c)}if((f[224799]|0)!=2){f[c>>2]=151624;f[c+4>>2]=39;b[c+8>>0]=0;xLb(899196,c);QKb(c)}if((f[224800]|0)!=2){f[c>>2]=151624;f[c+4>>2]=40;b[c+8>>0]=0;xLb(899200,c);QKb(c)}if((f[224848]|0)==2){f[134932]=123272;kzc(539732,0,156)|0;f[134972]=542896;kzc(539892,0,132)|0;qLb(539728);f[134992]=538048;f[134988]=538080;f[134974]=538112;f[135001]=538200;f[134975]=538224;f[134976]=538376;f[134977]=538504;f[134991]=538528;f[134989]=538624;f[135002]=538728;f[134978]=538784;f[134979]=538816;f[134993]=538840;f[134980]=538864;f[134981]=538928;f[134982]=538952;f[134983]=539056;f[134987]=539096;f[134996]=539128;f[134984]=539176;f[134986]=539248;f[134994]=539376;f[134999]=539472;f[135e3]=539536;f[134995]=539496;f[134998]=539560;f[134990]=539608;f[134985]=539632;f[134997]=537968;f[135003]=538016;f[134973]=540024;u=a;return}f[c>>2]=151624;f[c+4>>2]=88;b[c+8>>0]=0;xLb(899392,c);QKb(c);f[134932]=123272;kzc(539732,0,156)|0;f[134972]=542896;kzc(539892,0,132)|0;qLb(539728);f[134992]=538048;f[134988]=538080;f[134974]=538112;f[135001]=538200;f[134975]=538224;f[134976]=538376;f[134977]=538504;f[134991]=538528;f[134989]=538624;f[135002]=538728;f[134978]=538784;f[134979]=538816;f[134993]=538840;f[134980]=538864;f[134981]=538928;f[134982]=538952;f[134983]=539056;f[134987]=539096;f[134996]=539128;f[134984]=539176;f[134986]=539248;f[134994]=539376;f[134999]=539472;f[135e3]=539536;f[134995]=539496;f[134998]=539560;f[134990]=539608;f[134985]=539632;f[134997]=537968;f[135003]=538016;f[134973]=540024;u=a;return}function SVa(){var a=0,c=0,d=0;a=u;u=u+16|0;c=a;TKb(3005001,3005e3,441303);LIb();if((f[224791]|0)!=2){f[c>>2]=151624;f[c+4>>2]=31;b[c+8>>0]=0;xLb(899164,c);QKb(c)}if((f[224784]|0)!=2){f[c>>2]=151624;f[c+4>>2]=24;b[c+8>>0]=0;xLb(899136,c);QKb(c)}if((f[224820]|0)!=2){f[c>>2]=151624;f[c+4>>2]=60;b[c+8>>0]=0;xLb(899280,c);QKb(c)};f[135122]=0;f[135123]=0;f[135124]=0;b[c>>0]=0;b[c+1>>0]=0;b[c+2>>0]=0;b[c+3>>0]=0;b[c+4>>0]=0;b[c+5>>0]=0;b[540488]=0;b[540499]=0;vuc(540488,0);f[135122]=1886544247;b[540492]=0;b[540493]=b[c>>0]|0;b[540494]=b[c+1>>0]|0;b[540495]=b[c+2>>0]|0;b[540496]=b[c+3>>0]|0;b[540497]=b[c+4>>0]|0;b[540498]=b[c+5>>0]|0;b[540499]=4;oLb(540488);f[135006]=122948;c=540028;d=c+52|0;do{f[c>>2]=0;c=c+4|0}while((c|0)<(d|0));f[135020]=542896;f[135021]=542896;f[135022]=542896;f[135023]=542896;f[135024]=540488;c=540100;d=c+64|0;do{f[c>>2]=0;c=c+4|0}while((c|0)<(d|0));f[135041]=1;b[540168]=1;f[135043]=1;f[135044]=1;n[135045]=.5;f[135046]=5;n[135047]=1.0;n[135048]=.75;n[135049]=1.0;n[135050]=1.0;n[135051]=.5;n[135052]=.5;n[135053]=.25;f[135054]=0;qLb(540024);f[135025]=537032;f[135026]=537032;f[135027]=538816;u=a;return}function TVa(){var a=0,c=0;a=u;u=u+16|0;c=a;TKb(3005001,3005e3,441303);LIb();if((f[224791]|0)!=2){f[c>>2]=151624;f[c+4>>2]=31;b[c+8>>0]=0;xLb(899164,c);QKb(c)}f[135056]=122732;f[135057]=0;f[135058]=0;f[135059]=0;f[135060]=0;b[540244]=0;qLb(540224);f[135060]=537032;u=a;return}function UVa(){var a=0,b=0;TKb(3005001,3005e3,441303);LIb();f[135062]=122624;f[135063]=0;a=540256;b=a+40|0;do{f[a>>2]=0;a=a+4|0}while((a|0)<(b|0));qLb(540248);return}function VVa(){TKb(3005001,3005e3,441303);LIb();f[135074]=122516;f[135075]=0;f[135076]=0;f[135077]=0;f[135078]=0;f[135079]=0;n[135080]=1.0;qLb(540296);return}function WVa(){TKb(3005001,3005e3,441303);LIb();f[135082]=122408;f[135083]=0;f[135084]=0;f[135085]=0;f[135086]=0;f[135087]=0;f[135088]=0;f[135089]=0;f[135090]=0;f[135091]=0;f[135092]=16;f[135093]=16;f[135094]=16;f[135095]=6e3;f[135096]=300;n[135097]=.699999988079071;qLb(540328);return}function XVa(){TKb(3005001,3005e3,441303);LIb();f[135098]=122300;f[135099]=0;f[135100]=0;f[135101]=0;f[135102]=0;f[135103]=0;f[135104]=0;qLb(540392);return}function YVa(a){a=a|0;var b=0,c=0;f[a>>2]=122300;b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(c);f[b>>2]=0;return}function ZVa(a){a=a|0;var b=0,c=0;f[a>>2]=122300;b=f[a+4>>2]|0;if(!(b&1)){fuc(a);return}c=b&-2;b=c;if((c|0)==0|(f[b+4>>2]|0)!=0){fuc(a);return}if(f[b>>2]|0)ebc(b);fuc(c);fuc(a);return}function _Va(a){a=a|0;a=cuc(28)|0;lWa(a);return a|0}function $Va(a,b){a=a|0;b=b|0;a=cuc(28)|0;lWa(a);if(!b)return a|0;mWa(b,a);return a|0}function aWa(a){a=a|0;var b=0,c=0;b=a+8|0;if(f[b>>2]&7|0){c=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0}f[b>>2]=0;b=f[a+4>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;ebc(a);return}function bWa(a){a=a|0;return (f[a+8>>2]&7|0)==7|0}function cWa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;d=u;u=u+16|0;e=d;g=c+4|0;i=a+8|0;j=a+16|0;k=a+20|0;l=a+24|0;m=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){n=b[a>>0]|0;o=n&255;if(n<<24>>24>0){f[c>>2]=a+1;p=o;q=6}else{r=o;q=5}}else{r=0;q=5}if((q|0)==5){q=0;o=OJb(c,r)|0;if((o+-1|0)>>>0<127){p=o;q=6}else s=o}b:do if((q|0)==6){q=0;switch(p>>>3&536870911|0){case 1:{if((p&255|0)!=13){s=p;break b}f[i>>2]=f[i>>2]|1;o=f[c>>2]|0;if(((f[g>>2]|0)-o|0)>3){a=o;n=h[a>>0]|h[a+1>>0]<<8|h[a+2>>0]<<16|h[a+3>>0]<<24;f[e>>2]=n;f[c>>2]=o+4;t=n}else{if(!(LJb(c,e)|0)){q=13;break a}t=f[e>>2]|0}f[j>>2]=t;continue a;break}case 2:{if((p&255|0)!=16){s=p;break b}f[i>>2]=f[i>>2]|2;n=f[c>>2]|0;if(n>>>0<(f[g>>2]|0)>>>0){o=b[n>>0]|0;a=o&255;if(o<<24>>24>-1){f[c>>2]=n+1;v=a}else{w=a;q=18}}else{w=0;q=18}if((q|0)==18){q=0;a=zJb(c,w)|0;n=J;if((n|0)>-1|(n|0)==-1&a>>>0>4294967295)v=a;else{x=0;q=31;break a}}f[k>>2]=v;continue a;break}case 3:{if((p&255|0)!=24){s=p;break b}f[i>>2]=f[i>>2]|4;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){n=b[a>>0]|0;o=n&255;if(n<<24>>24>-1){f[c>>2]=a+1;y=o}else{z=o;q=24}}else{z=0;q=24}if((q|0)==24){q=0;o=zJb(c,z)|0;a=J;if((a|0)>-1|(a|0)==-1&o>>>0>4294967295)y=o;else{x=0;q=31;break a}}f[l>>2]=y;continue a;break}default:{s=p;break b}}}while(0);if(!s){x=1;q=31;break}o=f[m>>2]|0;if(!(o&1))A=OOa(m)|0;else A=o&-2;if(!(xbc(c,s,A)|0)){x=0;q=31;break}}if((q|0)==13){x=0;u=d;return x|0}else if((q|0)==31){u=d;return x|0}return 0}function dWa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=Dbc(b&-2)|0;b=f[a+8>>2]|0;if((b&7|0)==7){d=f[a+20>>2]|0;if((d|0)<0)e=10;else e=(((($(d|1|0)|0)^31)*9|0)+73|0)>>>6;d=f[a+24>>2]|0;if((d|0)<0)g=10;else g=(((($(d|1|0)|0)^31)*9|0)+73|0)>>>6;h=c+7+e+g|0;i=a+12|0;f[i>>2]=h;return h|0}g=b&1|0?5:0;if(!(b&2))j=g;else{e=f[a+20>>2]|0;if((e|0)<0)k=11;else k=((((($(e|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;j=k+g|0}if(!(b&4))l=j;else{b=f[a+24>>2]|0;if((b|0)<0)m=11;else m=((((($(b|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;l=m+j|0}h=l+c|0;i=a+12|0;f[i>>2]=h;return h|0}function eWa(a,b){a=a|0;b=b|0;var c=0;c=f[a+8>>2]|0;if(c&1|0)QLb(1,+n[a+16>>2],b);if(c&2|0)GLb(2,f[a+20>>2]|0,b);if(c&4|0)GLb(3,f[a+24>>2]|0,b);c=f[a+4>>2]|0;if(!(c&1))return;Abc(c&-2,b);return}function fWa(a){a=a|0;return f[a+12>>2]|0}function gWa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;c=f[a+8>>2]|0;if(!(c&1))e=d;else{g=f[a+16>>2]|0;b[d>>0]=13;h=d+1|0;b[h>>0]=g;b[h+1>>0]=g>>8;b[h+2>>0]=g>>16;b[h+3>>0]=g>>24;e=d+5|0}if(!(c&2))i=e;else{d=f[a+20>>2]|0;b[e>>0]=16;g=e+1|0;e=d&255;if(d>>>0>127){h=g;j=e;k=d;l=((d|0)<0)<<31>>31;while(1){b[h>>0]=j|-128;d=k;k=pzc(k|0,l|0,7)|0;m=h+1|0;n=k&255;if(!(l>>>0>0|(l|0)==0&d>>>0>16383)){o=m;p=n;break}else{h=m;j=n;l=J}}}else{o=g;p=e}b[o>>0]=p;i=o+1|0}if(!(c&4))q=i;else{c=f[a+24>>2]|0;b[i>>0]=24;o=i+1|0;i=c&255;if(c>>>0>127){p=o;e=i;g=c;l=((c|0)<0)<<31>>31;while(1){b[p>>0]=e|-128;c=g;g=pzc(g|0,l|0,7)|0;j=p+1|0;h=g&255;if(!(l>>>0>0|(l|0)==0&c>>>0>16383)){r=j;s=h;break}else{p=j;e=h;l=J}}}else{r=o;s=i}b[r>>0]=s;q=r+1|0}r=f[a+4>>2]|0;if(!(r&1)){t=q;return t|0}t=Bbc(r&-2,q)|0;return t|0}function hWa(a,b){a=a|0;b=b|0;var c=0,d=0;if((a|0)==(b|0))return;c=a+8|0;if(f[c>>2]&7|0){d=a+16|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0}f[c>>2]=0;c=f[a+4>>2]|0;if(c&1|0?(d=c&-2,f[d>>2]|0):0)ebc(d);iWa(a,b);return}function iWa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=ovc(b,24728,19592,0)|0;if(!c){A9b(b,a);return}b=a+4|0;d=f[c+4>>2]|0;if(d&1|0){e=f[b>>2]|0;if(!(e&1))g=OOa(b)|0;else g=e&-2;hbc(g,d&-2)}d=f[c+8>>2]|0;if(!(d&7))return;if(d&1|0)f[a+16>>2]=f[c+16>>2];if(d&2|0)f[a+20>>2]=f[c+20>>2];if(d&4|0)f[a+24>>2]=f[c+24>>2];c=a+8|0;f[c>>2]=f[c>>2]|d;return}function jWa(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function kWa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224781]|0)!=2){f[d>>2]=151624;f[d+4>>2]=21;b[d+8>>0]=0;xLb(899124,d);QKb(d)}d=541064;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function lWa(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=122300;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=540392?(f[224853]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=93;b[d+8>>0]=0;xLb(899412,d);QKb(d)}d=a+12|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;u=c;return}function mWa(a,b){a=a|0;b=b|0;if(!b)return;EIb(a,b,1978);return}function nWa(a){a=a|0;var b=0,c=0;f[a>>2]=122408;b=f[a+36>>2]|0;if(b|0?(f[b>>2]|0)==0:0)fuc(b);b=f[a+24>>2]|0;if(b|0?(f[b>>2]|0)==0:0)fuc(b);b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(c);f[b>>2]=0;return}function oWa(a){a=a|0;nWa(a);fuc(a);return}function pWa(a){a=a|0;a=cuc(64)|0;EWa(a);return a|0}function qWa(a,b){a=a|0;b=b|0;a=cuc(64)|0;EWa(a);if(!b)return a|0;FWa(b,a);return a|0}function rWa(a){a=a|0;var b=0;f[a+16>>2]=0;f[a+28>>2]=0;b=a+8|0;if(f[b>>2]&63|0){f[a+40>>2]=16;f[a+44>>2]=16;f[a+48>>2]=16;f[a+52>>2]=6e3;f[a+56>>2]=300;n[a+60>>2]=.699999988079071}f[b>>2]=0;b=f[a+4>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;ebc(a);return}function sWa(a){a=a|0;return 1}function tWa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0;d=u;u=u+16|0;e=d;g=c+4|0;i=a+8|0;j=a+40|0;k=a+44|0;l=a+48|0;m=a+16|0;n=a+20|0;o=a+24|0;p=a+28|0;q=a+32|0;r=a+36|0;s=a+52|0;t=a+56|0;v=a+60|0;w=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){x=b[a>>0]|0;y=x&255;if(x<<24>>24>0){f[c>>2]=a+1;z=y;A=6}else{B=y;A=5}}else{B=0;A=5}if((A|0)==5){A=0;y=OJb(c,B)|0;if((y+-1|0)>>>0<127){z=y;A=6}else C=y}b:do if((A|0)==6){A=0;switch(z>>>3&536870911|0){case 1:{if((z&255|0)!=8){C=z;break b}f[i>>2]=f[i>>2]|1;y=f[c>>2]|0;if(y>>>0<(f[g>>2]|0)>>>0){a=b[y>>0]|0;x=a&255;if(a<<24>>24>-1){f[j>>2]=x;f[c>>2]=y+1;continue a}else D=x}else D=0;x=zJb(c,D)|0;y=J;f[j>>2]=x;if((y|0)>-1|(y|0)==-1&x>>>0>4294967295)continue a;else{E=0;A=78;break a}break}case 2:{if((z&255|0)!=16){C=z;break b}f[i>>2]=f[i>>2]|2;x=f[c>>2]|0;if(x>>>0<(f[g>>2]|0)>>>0){y=b[x>>0]|0;a=y&255;if(y<<24>>24>-1){f[k>>2]=a;f[c>>2]=x+1;continue a}else F=a}else F=0;a=zJb(c,F)|0;x=J;f[k>>2]=a;if((x|0)>-1|(x|0)==-1&a>>>0>4294967295)continue a;else{E=0;A=78;break a}break}case 3:{if((z&255|0)!=24){C=z;break b}f[i>>2]=f[i>>2]|4;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){x=b[a>>0]|0;y=x&255;if(x<<24>>24>-1){f[l>>2]=y;f[c>>2]=a+1;continue a}else G=y}else G=0;y=zJb(c,G)|0;a=J;f[l>>2]=y;if((a|0)>-1|(a|0)==-1&y>>>0>4294967295)continue a;else{E=0;A=78;break a}break}case 4:{switch((z&255)<<24>>24){case 37:break;case 34:{if(DWa(c,m)|0)continue a;else{E=0;A=78;break a}break}default:{C=z;break b}}y=f[c>>2]|0;if(((f[g>>2]|0)-y|0)>3){a=y;x=h[a>>0]|h[a+1>>0]<<8|h[a+2>>0]<<16|h[a+3>>0]<<24;f[e>>2]=x;f[c>>2]=y+4;H=x}else{if(!(LJb(c,e)|0)){A=37;break a}H=f[e>>2]|0}x=f[m>>2]|0;if((x|0)==(f[n>>2]|0)){REa(m,x+1|0);I=f[m>>2]|0}else I=x;x=f[o>>2]|0;y=I+1|0;f[m>>2]=y;f[x+4+(I<<2)>>2]=H;a=f[c>>2]|0;K=(f[g>>2]|0)-a|0;if((K|0)<=0)continue a;L=a;a=(f[n>>2]|0)-y|0;M=(K>>>0)/5|0;N=(M|0)<(a|0)?M:a;if((N|0)>0){O=0;P=L;Q=y}else continue a;while(1){if((b[P>>0]|0)!=37){R=O;break}y=P+1|0;a=h[y>>0]|h[y+1>>0]<<8|h[y+2>>0]<<16|h[y+3>>0]<<24;y=Q;Q=Q+1|0;f[m>>2]=Q;f[x+4+(y<<2)>>2]=a;a=O+1|0;if((a|0)>=(N|0)){R=a;break}else{O=a;P=P+5|0}}N=R*5|0;if((R|0)<=0)continue a;if((K|0)<(N|0)){HJb(c,N,K)|0;continue a}else{f[c>>2]=L+N;continue a}break}case 5:{switch((z&255)<<24>>24){case 45:break;case 42:{if(DWa(c,p)|0)continue a;else{E=0;A=78;break a}break}default:{C=z;break b}}N=f[c>>2]|0;if(((f[g>>2]|0)-N|0)>3){x=N;a=h[x>>0]|h[x+1>>0]<<8|h[x+2>>0]<<16|h[x+3>>0]<<24;f[e>>2]=a;f[c>>2]=N+4;S=a}else{if(!(LJb(c,e)|0)){A=54;break a}S=f[e>>2]|0}a=f[p>>2]|0;if((a|0)==(f[q>>2]|0)){REa(p,a+1|0);T=f[p>>2]|0}else T=a;a=f[r>>2]|0;N=T+1|0;f[p>>2]=N;f[a+4+(T<<2)>>2]=S;x=f[c>>2]|0;y=(f[g>>2]|0)-x|0;if((y|0)<=0)continue a;M=x;x=(f[q>>2]|0)-N|0;U=(y>>>0)/5|0;V=(U|0)<(x|0)?U:x;if((V|0)>0){W=0;X=M;Y=N}else continue a;while(1){if((b[X>>0]|0)!=45){Z=W;break}N=X+1|0;x=h[N>>0]|h[N+1>>0]<<8|h[N+2>>0]<<16|h[N+3>>0]<<24;N=Y;Y=Y+1|0;f[p>>2]=Y;f[a+4+(N<<2)>>2]=x;x=W+1|0;if((x|0)>=(V|0)){Z=x;break}else{W=x;X=X+5|0}}V=Z*5|0;if((Z|0)<=0)continue a;if((y|0)<(V|0)){HJb(c,V,y)|0;continue a}else{f[c>>2]=M+V;continue a}break}case 6:{if((z&255|0)!=48){C=z;break b}f[i>>2]=f[i>>2]|8;V=f[c>>2]|0;if(V>>>0<(f[g>>2]|0)>>>0){a=b[V>>0]|0;L=a&255;if(a<<24>>24>-1){f[s>>2]=L;f[c>>2]=V+1;continue a}else _=L}else _=0;L=zJb(c,_)|0;V=J;f[s>>2]=L;if((V|0)>-1|(V|0)==-1&L>>>0>4294967295)continue a;else{E=0;A=78;break a}break}case 7:{if((z&255|0)!=56){C=z;break b}f[i>>2]=f[i>>2]|16;L=f[c>>2]|0;if(L>>>0<(f[g>>2]|0)>>>0){V=b[L>>0]|0;a=V&255;if(V<<24>>24>-1){f[t>>2]=a;f[c>>2]=L+1;continue a}else $=a}else $=0;a=zJb(c,$)|0;L=J;f[t>>2]=a;if((L|0)>-1|(L|0)==-1&a>>>0>4294967295)continue a;else{E=0;A=78;break a}break}case 8:{if((z&255|0)!=69){C=z;break b}f[i>>2]=f[i>>2]|32;a=f[c>>2]|0;if(((f[g>>2]|0)-a|0)>3){L=a;V=h[L>>0]|h[L+1>>0]<<8|h[L+2>>0]<<16|h[L+3>>0]<<24;f[e>>2]=V;f[c>>2]=a+4;aa=V}else{if(!(LJb(c,e)|0)){A=72;break a}aa=f[e>>2]|0}f[v>>2]=aa;continue a;break}default:{C=z;break b}}}while(0);if(!C){E=1;A=78;break}V=f[w>>2]|0;if(!(V&1))ba=OOa(w)|0;else ba=V&-2;if(!(xbc(c,C,ba)|0)){E=0;A=78;break}}if((A|0)==37){E=0;u=d;return E|0}else if((A|0)==54){E=0;u=d;return E|0}else if((A|0)==72){E=0;u=d;return E|0}else if((A|0)==78){u=d;return E|0}return 0}function uWa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=Dbc(b&-2)|0;b=f[a+16>>2]|0;d=f[a+28>>2]|0;e=b+c+(b<<2)+d+(d<<2)|0;d=f[a+8>>2]|0;if(!(d&63)){g=e;h=a+12|0;f[h>>2]=g;return g|0}if(!(d&1))i=e;else i=e+1+((((($(f[a+40>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;if(!(d&2))j=i;else j=i+1+((((($(f[a+44>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;if(!(d&4))k=j;else k=j+1+((((($(f[a+48>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;if(!(d&8))l=k;else l=k+1+((((($(f[a+52>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;if(!(d&16))m=l;else m=l+1+((((($(f[a+56>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;g=d&32|0?m+5|0:m;h=a+12|0;f[h>>2]=g;return g|0}function vWa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=f[a+8>>2]|0;if(c&1|0)ILb(1,f[a+40>>2]|0,b);if(c&2|0)ILb(2,f[a+44>>2]|0,b);if(c&4|0)ILb(3,f[a+48>>2]|0,b);d=f[a+16>>2]|0;if((d|0)>0){e=a+24|0;g=0;do{QLb(4,+n[(f[e>>2]|0)+4+(g<<2)>>2],b);g=g+1|0}while((g|0)!=(d|0))}d=f[a+28>>2]|0;if((d|0)>0){g=a+36|0;e=0;do{QLb(5,+n[(f[g>>2]|0)+4+(e<<2)>>2],b);e=e+1|0}while((e|0)!=(d|0))}if(c&8|0)ILb(6,f[a+52>>2]|0,b);if(c&16|0)ILb(7,f[a+56>>2]|0,b);if(c&32|0)QLb(8,+n[a+60>>2],b);c=f[a+4>>2]|0;if(!(c&1))return;Abc(c&-2,b);return}function wWa(a){a=a|0;return f[a+12>>2]|0}function xWa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;c=f[a+8>>2]|0;if(!(c&1))e=d;else{g=f[a+40>>2]|0;b[d>>0]=8;h=d+1|0;if(g>>>0>127){d=g;i=h;while(1){b[i>>0]=d|128;j=d>>>7;k=i+1|0;if(d>>>0>16383){d=j;i=k}else{l=k;m=j;break}}}else{l=h;m=g}b[l>>0]=m;e=l+1|0}if(!(c&2))n=e;else{l=f[a+44>>2]|0;b[e>>0]=16;m=e+1|0;if(l>>>0>127){e=l;g=m;while(1){b[g>>0]=e|128;h=e>>>7;i=g+1|0;if(e>>>0>16383){e=h;g=i}else{o=i;p=h;break}}}else{o=m;p=l}b[o>>0]=p;n=o+1|0}if(!(c&4))q=n;else{o=f[a+48>>2]|0;b[n>>0]=24;p=n+1|0;if(o>>>0>127){n=o;l=p;while(1){b[l>>0]=n|128;m=n>>>7;g=l+1|0;if(n>>>0>16383){n=m;l=g}else{r=g;s=m;break}}}else{r=p;s=o}b[r>>0]=s;q=r+1|0}r=f[a+16>>2]|0;if(!r)t=q;else{s=f[a+24>>2]|0;o=0;p=q;while(1){q=f[s+4+(o<<2)>>2]|0;b[p>>0]=37;l=p+1|0;b[l>>0]=q;b[l+1>>0]=q>>8;b[l+2>>0]=q>>16;b[l+3>>0]=q>>24;q=p+5|0;o=o+1|0;if((o|0)>=(r|0)){t=q;break}else p=q}}p=f[a+28>>2]|0;if(!p)u=t;else{r=f[a+36>>2]|0;o=0;s=t;while(1){t=f[r+4+(o<<2)>>2]|0;b[s>>0]=45;q=s+1|0;b[q>>0]=t;b[q+1>>0]=t>>8;b[q+2>>0]=t>>16;b[q+3>>0]=t>>24;t=s+5|0;o=o+1|0;if((o|0)>=(p|0)){u=t;break}else s=t}}if(!(c&8))v=u;else{s=f[a+52>>2]|0;b[u>>0]=48;p=u+1|0;if(s>>>0>127){u=s;o=p;while(1){b[o>>0]=u|128;r=u>>>7;t=o+1|0;if(u>>>0>16383){u=r;o=t}else{w=t;x=r;break}}}else{w=p;x=s}b[w>>0]=x;v=w+1|0}if(!(c&16))y=v;else{w=f[a+56>>2]|0;b[v>>0]=56;x=v+1|0;if(w>>>0>127){v=w;s=x;while(1){b[s>>0]=v|128;p=v>>>7;o=s+1|0;if(v>>>0>16383){v=p;s=o}else{z=o;A=p;break}}}else{z=x;A=w}b[z>>0]=A;y=z+1|0}if(!(c&32))B=y;else{c=f[a+60>>2]|0;b[y>>0]=69;z=y+1|0;b[z>>0]=c;b[z+1>>0]=c>>8;b[z+2>>0]=c>>16;b[z+3>>0]=c>>24;B=y+5|0}y=f[a+4>>2]|0;if(!(y&1)){C=B;return C|0}C=Bbc(y&-2,B)|0;return C|0}function yWa(a,b){a=a|0;b=b|0;var c=0,d=0;if((a|0)==(b|0))return;f[a+16>>2]=0;f[a+28>>2]=0;c=a+8|0;if(f[c>>2]&63|0){f[a+40>>2]=16;f[a+44>>2]=16;f[a+48>>2]=16;f[a+52>>2]=6e3;f[a+56>>2]=300;n[a+60>>2]=.699999988079071}f[c>>2]=0;c=f[a+4>>2]|0;if(c&1|0?(d=c&-2,f[d>>2]|0):0)ebc(d);d=ovc(b,24728,19608,0)|0;if(!d){A9b(b,a);return}else{CWa(a,d);return}}function zWa(a,b){a=a|0;b=b|0;var c=0;c=ovc(b,24728,19608,0)|0;if(!c){A9b(b,a);return}else{CWa(a,c);return}}function AWa(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function BWa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224781]|0)!=2){f[d>>2]=151624;f[d+4>>2]=21;b[d+8>>0]=0;xLb(899124,d);QKb(d)}d=541056;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function CWa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=a+4|0;d=f[b+4>>2]|0;if(d&1|0){e=f[c>>2]|0;if(!(e&1))g=OOa(c)|0;else g=e&-2;hbc(g,d&-2)}d=a+16|0;g=b+16|0;e=f[g>>2]|0;if(e|0){REa(d,(f[d>>2]|0)+e|0);szc((f[a+24>>2]|0)+4+(f[d>>2]<<2)|0,(f[b+24>>2]|0)+4|0,f[g>>2]<<2|0)|0;f[d>>2]=(f[d>>2]|0)+(f[g>>2]|0)}g=a+28|0;d=b+28|0;e=f[d>>2]|0;if(e|0){REa(g,(f[g>>2]|0)+e|0);szc((f[a+36>>2]|0)+4+(f[g>>2]<<2)|0,(f[b+36>>2]|0)+4|0,f[d>>2]<<2|0)|0;f[g>>2]=(f[g>>2]|0)+(f[d>>2]|0)}d=f[b+8>>2]|0;if(!(d&63))return;if(d&1|0)f[a+40>>2]=f[b+40>>2];if(d&2|0)f[a+44>>2]=f[b+44>>2];if(d&4|0)f[a+48>>2]=f[b+48>>2];if(d&8|0)f[a+52>>2]=f[b+52>>2];if(d&16|0)f[a+56>>2]=f[b+56>>2];if(d&32|0)f[a+60>>2]=f[b+60>>2];b=a+8|0;f[b>>2]=f[b>>2]|d;return}function DWa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;d=u;u=u+16|0;e=d;g=f[a>>2]|0;i=a+4|0;if(g>>>0<(f[i>>2]|0)>>>0?(j=b[g>>0]|0,j<<24>>24>-1):0){f[a>>2]=g+1;k=j&255}else{j=NJb(a)|0;if((j|0)>-1)k=j;else{l=0;u=d;return l|0}}j=f[c>>2]|0;g=(k|0)/4|0;if((g<<2|0)!=(k|0)){l=0;u=d;return l|0}m=GJb(a)|0;n=EJb(a)|0;if((((m|0)==-1|(n|0)<(m|0)?n:m)|0)>=(k|0)){m=j+g|0;if((f[c>>2]|0)<(m|0)?(REa(c,m),n=f[c>>2]|0,o=m-n|0,(o<<2|0)>0):0)kzc((f[c+8>>2]|0)+((n<<2)+4)|0,0,(((o|-1073741824|0)==-1073741824?1073741823:1073741822)+o<<2)+8|0)|0;f[c>>2]=m;m=f[c+8>>2]|0;if(IJb(a,((m|0)==0?0:m+4|0)+(j<<2)|0,k)|0){l=1;u=d;return l|0}if((f[c>>2]|0)<=0){l=0;u=d;return l|0}f[c>>2]=j;l=0;u=d;return l|0}if((k|0)<=3){l=1;u=d;return l|0}k=c+4|0;j=c+8|0;m=0;while(1){o=f[a>>2]|0;if(((f[i>>2]|0)-o|0)>3){n=o;p=h[n>>0]|h[n+1>>0]<<8|h[n+2>>0]<<16|h[n+3>>0]<<24;f[e>>2]=p;f[a>>2]=o+4;q=p}else{if(!(LJb(a,e)|0))break;q=f[e>>2]|0}p=f[c>>2]|0;if((p|0)==(f[k>>2]|0)){REa(c,p+1|0);r=f[c>>2]|0}else r=p;p=f[j>>2]|0;f[c>>2]=r+1;f[p+4+(r<<2)>>2]=q;m=m+1|0;if((m|0)>=(g|0)){l=1;s=23;break}}if((s|0)==23){u=d;return l|0}l=0;u=d;return l|0}function EWa(a){a=a|0;var c=0,d=0,e=0;c=u;u=u+16|0;d=c;f[a>>2]=122408;f[a+4>>2]=0;f[a+8>>2]=0;e=a+16|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;f[e+16>>2]=0;f[e+20>>2]=0;if((a|0)!=540328?(f[224852]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=92;b[d+8>>0]=0;xLb(899408,d);QKb(d)}f[a+12>>2]=0;f[a+40>>2]=16;f[a+44>>2]=16;f[a+48>>2]=16;f[a+52>>2]=6e3;f[a+56>>2]=300;n[a+60>>2]=.699999988079071;u=c;return}function FWa(a,b){a=a|0;b=b|0;if(!b)return;EIb(a,b,1978);return}function GWa(a){a=a|0;var b=0,c=0;f[a>>2]=122516;b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(c);f[b>>2]=0;return}function HWa(a){a=a|0;var b=0,c=0;f[a>>2]=122516;b=f[a+4>>2]|0;if(!(b&1)){fuc(a);return}c=b&-2;b=c;if((c|0)==0|(f[b+4>>2]|0)!=0){fuc(a);return}if(f[b>>2]|0)ebc(b);fuc(c);fuc(a);return}function IWa(a){a=a|0;a=cuc(28)|0;VWa(a);return a|0}function JWa(a,b){a=a|0;b=b|0;a=cuc(28)|0;VWa(a);if(!b)return a|0;WWa(b,a);return a|0}function KWa(a){a=a|0;var b=0,c=0;b=a+8|0;if(f[b>>2]&7|0){c=a+16|0;f[c>>2]=0;f[c+4>>2]=0;n[a+24>>2]=1.0}f[b>>2]=0;b=f[a+4>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;ebc(a);return}function LWa(a){a=a|0;return 1}function MWa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;d=u;u=u+16|0;e=d;g=c+4|0;i=a+8|0;j=a+16|0;k=a+20|0;l=a+24|0;m=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){n=b[a>>0]|0;o=n&255;if(n<<24>>24>0){f[c>>2]=a+1;p=o;q=6}else{r=o;q=5}}else{r=0;q=5}if((q|0)==5){q=0;o=OJb(c,r)|0;if((o+-1|0)>>>0<127){p=o;q=6}else s=o}b:do if((q|0)==6){q=0;switch(p>>>3&536870911|0){case 1:{if((p&255|0)!=8){s=p;break b}f[i>>2]=f[i>>2]|1;o=f[c>>2]|0;if(o>>>0<(f[g>>2]|0)>>>0){a=b[o>>0]|0;n=a&255;if(a<<24>>24>-1){f[j>>2]=n;f[c>>2]=o+1;continue a}else t=n}else t=0;n=zJb(c,t)|0;o=J;f[j>>2]=n;if((o|0)>-1|(o|0)==-1&n>>>0>4294967295)continue a;else{v=0;q=29;break a}break}case 2:{if((p&255|0)!=16){s=p;break b}f[i>>2]=f[i>>2]|2;n=f[c>>2]|0;if(n>>>0<(f[g>>2]|0)>>>0){o=b[n>>0]|0;a=o&255;if(o<<24>>24>-1){f[k>>2]=a;f[c>>2]=n+1;continue a}else w=a}else w=0;a=zJb(c,w)|0;n=J;f[k>>2]=a;if((n|0)>-1|(n|0)==-1&a>>>0>4294967295)continue a;else{v=0;q=29;break a}break}case 3:{if((p&255|0)!=29){s=p;break b}f[i>>2]=f[i>>2]|4;a=f[c>>2]|0;if(((f[g>>2]|0)-a|0)>3){n=a;o=h[n>>0]|h[n+1>>0]<<8|h[n+2>>0]<<16|h[n+3>>0]<<24;f[e>>2]=o;f[c>>2]=a+4;x=o}else{if(!(LJb(c,e)|0)){q=23;break a}x=f[e>>2]|0}f[l>>2]=x;continue a;break}default:{s=p;break b}}}while(0);if(!s){v=1;q=29;break}o=f[m>>2]|0;if(!(o&1))y=OOa(m)|0;else y=o&-2;if(!(xbc(c,s,y)|0)){v=0;q=29;break}}if((q|0)==23){v=0;u=d;return v|0}else if((q|0)==29){u=d;return v|0}return 0}function NWa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=Dbc(b&-2)|0;b=f[a+8>>2]|0;if(!(b&7)){d=c;e=a+12|0;f[e>>2]=d;return d|0}if(!(b&1))g=c;else g=c+1+((((($(f[a+16>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;if(!(b&2))h=g;else h=g+1+((((($(f[a+20>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;d=b&4|0?h+5|0:h;e=a+12|0;f[e>>2]=d;return d|0}function OWa(a,b){a=a|0;b=b|0;var c=0;c=f[a+8>>2]|0;if(c&1|0)ILb(1,f[a+16>>2]|0,b);if(c&2|0)ILb(2,f[a+20>>2]|0,b);if(c&4|0)QLb(3,+n[a+24>>2],b);c=f[a+4>>2]|0;if(!(c&1))return;Abc(c&-2,b);return}function PWa(a){a=a|0;return f[a+12>>2]|0}function QWa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;c=f[a+8>>2]|0;if(!(c&1))e=d;else{g=f[a+16>>2]|0;b[d>>0]=8;h=d+1|0;if(g>>>0>127){d=g;i=h;while(1){b[i>>0]=d|128;j=d>>>7;k=i+1|0;if(d>>>0>16383){d=j;i=k}else{l=k;m=j;break}}}else{l=h;m=g}b[l>>0]=m;e=l+1|0}if(!(c&2))n=e;else{l=f[a+20>>2]|0;b[e>>0]=16;m=e+1|0;if(l>>>0>127){e=l;g=m;while(1){b[g>>0]=e|128;h=e>>>7;i=g+1|0;if(e>>>0>16383){e=h;g=i}else{o=i;p=h;break}}}else{o=m;p=l}b[o>>0]=p;n=o+1|0}if(!(c&4))q=n;else{c=f[a+24>>2]|0;b[n>>0]=29;o=n+1|0;b[o>>0]=c;b[o+1>>0]=c>>8;b[o+2>>0]=c>>16;b[o+3>>0]=c>>24;q=n+5|0}n=f[a+4>>2]|0;if(!(n&1)){r=q;return r|0}r=Bbc(n&-2,q)|0;return r|0}function RWa(a,b){a=a|0;b=b|0;var c=0,d=0;if((a|0)==(b|0))return;c=a+8|0;if(f[c>>2]&7|0){d=a+16|0;f[d>>2]=0;f[d+4>>2]=0;n[a+24>>2]=1.0}f[c>>2]=0;c=f[a+4>>2]|0;if(c&1|0?(d=c&-2,f[d>>2]|0):0)ebc(d);SWa(a,b);return}function SWa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=ovc(b,24728,19624,0)|0;if(!c){A9b(b,a);return}b=a+4|0;d=f[c+4>>2]|0;if(d&1|0){e=f[b>>2]|0;if(!(e&1))g=OOa(b)|0;else g=e&-2;hbc(g,d&-2)}d=f[c+8>>2]|0;if(!(d&7))return;if(d&1|0)f[a+16>>2]=f[c+16>>2];if(d&2|0)f[a+20>>2]=f[c+20>>2];if(d&4|0)f[a+24>>2]=f[c+24>>2];c=a+8|0;f[c>>2]=f[c>>2]|d;return}function TWa(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function UWa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224781]|0)!=2){f[d>>2]=151624;f[d+4>>2]=21;b[d+8>>0]=0;xLb(899124,d);QKb(d)}d=541048;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function VWa(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=122516;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=540296?(f[224851]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=91;b[d+8>>0]=0;xLb(899404,d);QKb(d)}f[a+12>>2]=0;d=a+16|0;f[d>>2]=0;f[d+4>>2]=0;n[a+24>>2]=1.0;u=c;return}function WWa(a,b){a=a|0;b=b|0;if(!b)return;EIb(a,b,1978);return}function XWa(a){a=a|0;var b=0,c=0;f[a>>2]=122624;b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(c);f[b>>2]=0;return}function YWa(a){a=a|0;var b=0,c=0;f[a>>2]=122624;b=f[a+4>>2]|0;if(!(b&1)){fuc(a);return}c=b&-2;b=c;if((c|0)==0|(f[b+4>>2]|0)!=0){fuc(a);return}if(f[b>>2]|0)ebc(b);fuc(c);fuc(a);return}function ZWa(a){a=a|0;a=cuc(48)|0;lXa(a);return a|0}function _Wa(a,b){a=a|0;b=b|0;a=cuc(48)|0;lXa(a);if(!b)return a|0;mXa(b,a);return a|0}function $Wa(a){a=a|0;var b=0,c=0;b=a+8|0;if(f[b>>2]&255|0){c=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;f[c+16>>2]=0;f[c+20>>2]=0;f[c+24>>2]=0;f[c+28>>2]=0}f[b>>2]=0;b=f[a+4>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;ebc(a);return}function aXa(a){a=a|0;return 1}function bXa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0;d=u;u=u+16|0;e=d;g=c+4|0;i=a+8|0;j=a+16|0;k=a+20|0;l=a+24|0;m=a+28|0;n=a+32|0;o=a+36|0;p=e+8|0;q=a+40|0;r=a+44|0;s=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){t=b[a>>0]|0;v=t&255;if(t<<24>>24>0){f[c>>2]=a+1;w=v;x=6}else{y=v;x=5}}else{y=0;x=5}if((x|0)==5){x=0;v=OJb(c,y)|0;if((v+-1|0)>>>0<127){w=v;x=6}else z=v}b:do if((x|0)==6){x=0;switch(w>>>3&536870911|0){case 1:{if((w&255|0)!=13){z=w;break b}f[i>>2]=f[i>>2]|1;v=f[c>>2]|0;if(((f[g>>2]|0)-v|0)>3){a=v;t=h[a>>0]|h[a+1>>0]<<8|h[a+2>>0]<<16|h[a+3>>0]<<24;f[e>>2]=t;f[c>>2]=v+4;A=t}else{if(!(LJb(c,e)|0)){x=13;break a}A=f[e>>2]|0}f[j>>2]=A;continue a;break}case 2:{if((w&255|0)!=21){z=w;break b}f[i>>2]=f[i>>2]|2;t=f[c>>2]|0;if(((f[g>>2]|0)-t|0)>3){v=t;a=h[v>>0]|h[v+1>>0]<<8|h[v+2>>0]<<16|h[v+3>>0]<<24;f[e>>2]=a;f[c>>2]=t+4;B=a}else{if(!(LJb(c,e)|0)){x=20;break a}B=f[e>>2]|0}f[k>>2]=B;continue a;break}case 3:{if((w&255|0)!=29){z=w;break b}f[i>>2]=f[i>>2]|4;a=f[c>>2]|0;if(((f[g>>2]|0)-a|0)>3){t=a;v=h[t>>0]|h[t+1>>0]<<8|h[t+2>>0]<<16|h[t+3>>0]<<24;f[e>>2]=v;f[c>>2]=a+4;C=v}else{if(!(LJb(c,e)|0)){x=27;break a}C=f[e>>2]|0}f[l>>2]=C;continue a;break}case 4:{if((w&255|0)!=37){z=w;break b}f[i>>2]=f[i>>2]|8;v=f[c>>2]|0;if(((f[g>>2]|0)-v|0)>3){a=v;t=h[a>>0]|h[a+1>>0]<<8|h[a+2>>0]<<16|h[a+3>>0]<<24;f[e>>2]=t;f[c>>2]=v+4;D=t}else{if(!(LJb(c,e)|0)){x=34;break a}D=f[e>>2]|0}f[m>>2]=D;continue a;break}case 5:{if((w&255|0)!=40){z=w;break b}f[i>>2]=f[i>>2]|16;t=f[c>>2]|0;if(t>>>0<(f[g>>2]|0)>>>0){v=b[t>>0]|0;a=v&255;if(v<<24>>24>-1){f[c>>2]=t+1;E=a}else{F=a;x=39}}else{F=0;x=39}if((x|0)==39){x=0;a=zJb(c,F)|0;t=J;if((t|0)>-1|(t|0)==-1&a>>>0>4294967295)E=a;else{G=0;x=66;break a}}f[n>>2]=E;continue a;break}case 6:{if((w&255|0)!=48){z=w;break b}f[i>>2]=f[i>>2]|32;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(t=b[a>>0]|0,t<<24>>24>-1):0){f[c>>2]=a+1;H=t<<24>>24!=0}else{AJb(e,c);t=e;if(!(b[p>>0]|0)){G=0;x=66;break a}else H=(f[t>>2]|0)!=0|(f[t+4>>2]|0)!=0}b[o>>0]=H&1;continue a;break}case 7:{if((w&255|0)!=61){z=w;break b}f[i>>2]=f[i>>2]|64;t=f[c>>2]|0;if(((f[g>>2]|0)-t|0)>3){a=t;v=h[a>>0]|h[a+1>>0]<<8|h[a+2>>0]<<16|h[a+3>>0]<<24;f[e>>2]=v;f[c>>2]=t+4;I=v}else{if(!(LJb(c,e)|0)){x=53;break a}I=f[e>>2]|0}f[q>>2]=I;continue a;break}case 8:{if((w&255|0)!=69){z=w;break b}f[i>>2]=f[i>>2]|128;v=f[c>>2]|0;if(((f[g>>2]|0)-v|0)>3){t=v;a=h[t>>0]|h[t+1>>0]<<8|h[t+2>>0]<<16|h[t+3>>0]<<24;f[e>>2]=a;f[c>>2]=v+4;K=a}else{if(!(LJb(c,e)|0)){x=60;break a}K=f[e>>2]|0}f[r>>2]=K;continue a;break}default:{z=w;break b}}}while(0);if(!z){G=1;x=66;break}a=f[s>>2]|0;if(!(a&1))L=OOa(s)|0;else L=a&-2;if(!(xbc(c,z,L)|0)){G=0;x=66;break}}if((x|0)==13){G=0;u=d;return G|0}else if((x|0)==20){G=0;u=d;return G|0}else if((x|0)==27){G=0;u=d;return G|0}else if((x|0)==34){G=0;u=d;return G|0}else if((x|0)==53){G=0;u=d;return G|0}else if((x|0)==60){G=0;u=d;return G|0}else if((x|0)==66){u=d;return G|0}return 0}function cXa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=Dbc(b&-2)|0;b=f[a+8>>2]|0;if(!(b&255)){d=c;e=a+12|0;f[e>>2]=d;return d|0}g=b&1|0?c+5|0:c;c=b&2|0?g+5|0:g;g=b&4|0?c+5|0:c;c=b&8|0?g+5|0:g;if(!(b&16))h=c;else{g=f[a+32>>2]|0;if((g|0)<0)i=11;else i=((((($(g|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;h=i+c|0}c=b&32|0?h+2|0:h;h=b&64|0?c+5|0:c;d=b&128|0?h+5|0:h;e=a+12|0;f[e>>2]=d;return d|0}function dXa(a,c){a=a|0;c=c|0;var d=0;d=f[a+8>>2]|0;if(d&1|0)QLb(1,+n[a+16>>2],c);if(d&2|0)QLb(2,+n[a+20>>2],c);if(d&4|0)QLb(3,+n[a+24>>2],c);if(d&8|0)QLb(4,+n[a+28>>2],c);if(d&16|0)GLb(5,f[a+32>>2]|0,c);if(d&32|0)SLb(6,(b[a+36>>0]|0)!=0,c);if(d&64|0)QLb(7,+n[a+40>>2],c);if(d&128|0)QLb(8,+n[a+44>>2],c);d=f[a+4>>2]|0;if(!(d&1))return;Abc(d&-2,c);return}function eXa(a){a=a|0;return f[a+12>>2]|0}function fXa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;c=f[a+8>>2]|0;if(!(c&1))e=d;else{g=f[a+16>>2]|0;b[d>>0]=13;h=d+1|0;b[h>>0]=g;b[h+1>>0]=g>>8;b[h+2>>0]=g>>16;b[h+3>>0]=g>>24;e=d+5|0}if(!(c&2))i=e;else{d=f[a+20>>2]|0;b[e>>0]=21;g=e+1|0;b[g>>0]=d;b[g+1>>0]=d>>8;b[g+2>>0]=d>>16;b[g+3>>0]=d>>24;i=e+5|0}if(!(c&4))j=i;else{e=f[a+24>>2]|0;b[i>>0]=29;d=i+1|0;b[d>>0]=e;b[d+1>>0]=e>>8;b[d+2>>0]=e>>16;b[d+3>>0]=e>>24;j=i+5|0}if(!(c&8))k=j;else{i=f[a+28>>2]|0;b[j>>0]=37;e=j+1|0;b[e>>0]=i;b[e+1>>0]=i>>8;b[e+2>>0]=i>>16;b[e+3>>0]=i>>24;k=j+5|0}if(!(c&16))l=k;else{j=f[a+32>>2]|0;b[k>>0]=40;i=k+1|0;k=j&255;if(j>>>0>127){e=i;d=k;g=j;h=((j|0)<0)<<31>>31;while(1){b[e>>0]=d|-128;j=g;g=pzc(g|0,h|0,7)|0;m=e+1|0;n=g&255;if(!(h>>>0>0|(h|0)==0&j>>>0>16383)){o=m;p=n;break}else{e=m;d=n;h=J}}}else{o=i;p=k}b[o>>0]=p;l=o+1|0}if(!(c&32))q=l;else{o=b[a+36>>0]|0;b[l>>0]=48;b[l+1>>0]=o;q=l+2|0}if(!(c&64))r=q;else{l=f[a+40>>2]|0;b[q>>0]=61;o=q+1|0;b[o>>0]=l;b[o+1>>0]=l>>8;b[o+2>>0]=l>>16;b[o+3>>0]=l>>24;r=q+5|0}if(!(c&128))s=r;else{c=f[a+44>>2]|0;b[r>>0]=69;q=r+1|0;b[q>>0]=c;b[q+1>>0]=c>>8;b[q+2>>0]=c>>16;b[q+3>>0]=c>>24;s=r+5|0}r=f[a+4>>2]|0;if(!(r&1)){t=s;return t|0}t=Bbc(r&-2,s)|0;return t|0}function gXa(a,b){a=a|0;b=b|0;var c=0,d=0;if((a|0)==(b|0))return;c=a+8|0;if(f[c>>2]&255|0){d=a+16|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;f[d+16>>2]=0;f[d+20>>2]=0;f[d+24>>2]=0;f[d+28>>2]=0}f[c>>2]=0;c=f[a+4>>2]|0;if(c&1|0?(d=c&-2,f[d>>2]|0):0)ebc(d);d=ovc(b,24728,19640,0)|0;if(!d){A9b(b,a);return}else{kXa(a,d);return}}function hXa(a,b){a=a|0;b=b|0;var c=0;c=ovc(b,24728,19640,0)|0;if(!c){A9b(b,a);return}else{kXa(a,c);return}}function iXa(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function jXa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224781]|0)!=2){f[d>>2]=151624;f[d+4>>2]=21;b[d+8>>0]=0;xLb(899124,d);QKb(d)}d=541040;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function kXa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;d=a+4|0;e=f[c+4>>2]|0;if(e&1|0){g=f[d>>2]|0;if(!(g&1))h=OOa(d)|0;else h=g&-2;hbc(h,e&-2)}e=f[c+8>>2]|0;if(!(e&255))return;if(e&1|0)f[a+16>>2]=f[c+16>>2];if(e&2|0)f[a+20>>2]=f[c+20>>2];if(e&4|0)f[a+24>>2]=f[c+24>>2];if(e&8|0)f[a+28>>2]=f[c+28>>2];if(e&16|0)f[a+32>>2]=f[c+32>>2];if(e&32|0)b[a+36>>0]=b[c+36>>0]|0;if(e&64|0)f[a+40>>2]=f[c+40>>2];if(e&128|0)f[a+44>>2]=f[c+44>>2];c=a+8|0;f[c>>2]=f[c>>2]|e;return}function lXa(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=122624;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=540248?(f[224850]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=90;b[d+8>>0]=0;xLb(899400,d);QKb(d)}d=a+12|0;a=d+36|0;do{f[d>>2]=0;d=d+4|0}while((d|0)<(a|0));u=c;return}function mXa(a,b){a=a|0;b=b|0;if(!b)return;EIb(a,b,1978);return}function nXa(a){a=a|0;var b=0,c=0;f[a>>2]=122732;if((a|0)!=540224?(b=f[a+16>>2]|0,b|0):0)bi[f[(f[b>>2]|0)+4>>2]&2047](b);b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(c);f[b>>2]=0;return}function oXa(a){a=a|0;var b=0,c=0;f[a>>2]=122732;if((a|0)!=540224?(b=f[a+16>>2]|0,b|0):0)bi[f[(f[b>>2]|0)+4>>2]&2047](b);b=f[a+4>>2]|0;if(!(b&1)){fuc(a);return}c=b&-2;b=c;if((c|0)==0|(f[b+4>>2]|0)!=0){fuc(a);return}if(f[b>>2]|0)ebc(b);fuc(c);fuc(a);return}function pXa(a){a=a|0;a=cuc(24)|0;VXa(a);return a|0}function qXa(a,b){a=a|0;b=b|0;a=cuc(24)|0;VXa(a);if(!b)return a|0;WXa(b,a);return a|0}function rXa(a){a=a|0;var c=0,d=0,e=0,g=0;c=a+8|0;if(f[c>>2]&1|0){d=f[a+16>>2]|0;e=d+8|0;g=f[e>>2]|0;if(g&1|0)ruc(f[d+16>>2]|0,540424)|0;if(g&254|0){g=d+20|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;f[d+36>>2]=-1;n[d+40>>2]=1.0;n[d+44>>2]=1.0}f[e>>2]=0;e=f[d+4>>2]|0;if(e&1|0?(d=e&-2,f[d>>2]|0):0)ebc(d)}b[a+20>>0]=0;f[c>>2]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;ebc(a);return}function sXa(a){a=a|0;return 1}function tXa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;d=u;u=u+16|0;e=d;g=c+4|0;h=a+8|0;i=a+16|0;j=e+4|0;k=a+20|0;l=e+8|0;m=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){n=b[a>>0]|0;o=n&255;if(n<<24>>24>0){f[c>>2]=a+1;p=o;q=6}else{r=o;q=5}}else{r=0;q=5}if((q|0)==5){q=0;o=OJb(c,r)|0;if((o+-1|0)>>>0<127){p=o;q=6}else s=o}b:do if((q|0)==6){q=0;switch(p>>>3&536870911|0){case 1:break;case 2:{if((p&255|0)!=16){s=p;break b}f[h>>2]=f[h>>2]|2;o=f[c>>2]|0;if(o>>>0<(f[g>>2]|0)>>>0?(a=b[o>>0]|0,a<<24>>24>-1):0){f[c>>2]=o+1;t=a<<24>>24!=0}else{AJb(e,c);a=e;if(!(b[l>>0]|0)){v=0;q=29;break a}else t=(f[a>>2]|0)!=0|(f[a+4>>2]|0)!=0}b[k>>0]=t&1;continue a;break}default:{s=p;break b}}if((p&255|0)==10){f[h>>2]=f[h>>2]|1;a=f[i>>2]|0;if(!a){o=cuc(48)|0;DXa(o);f[i>>2]=o;w=o}else w=a;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(o=b[a>>0]|0,o<<24>>24>-1):0){f[c>>2]=a+1;x=o&255}else{o=NJb(c)|0;if((o|0)>-1)x=o;else{v=0;q=29;break a}}yJb(e,c,x);if((f[j>>2]|0)<0){q=16;break a}if(!(Th[f[(f[w>>2]|0)+44>>2]&1023](w,c)|0)){q=16;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{v=0;q=29;break a}}else s=p}while(0);if(!s){v=1;q=29;break}o=f[m>>2]|0;if(!(o&1))y=OOa(m)|0;else y=o&-2;if(!(xbc(c,s,y)|0)){v=0;q=29;break}}if((q|0)==16){v=0;u=d;return v|0}else if((q|0)==29){u=d;return v|0}return 0}function uXa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=Dbc(b&-2)|0;b=a+8|0;d=f[b>>2]|0;if(!(d&3)){e=c;g=a+12|0;f[g>>2]=e;return e|0}if(!(d&1)){h=c;i=d}else{d=f[a+16>>2]|0;j=di[f[(f[d>>2]|0)+48>>2]&1023](d)|0;d=c+1+j+((((($(j|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=d;i=f[b>>2]|0}e=i&2|0?h+2|0:h;g=a+12|0;f[g>>2]=e;return e|0}function vXa(a,c){a=a|0;c=c|0;var d=0;d=f[a+8>>2]|0;if(d&1|0)_Lb(1,f[a+16>>2]|0,c);if(d&2|0)SLb(2,(b[a+20>>0]|0)!=0,c);d=f[a+4>>2]|0;if(!(d&1))return;Abc(d&-2,c);return}function wXa(a){a=a|0;return f[a+12>>2]|0}function xXa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=f[a+8>>2]|0;if(!(e&1))g=d;else{h=f[a+16>>2]|0;b[d>>0]=10;i=d+1|0;d=di[f[(f[h>>2]|0)+60>>2]&1023](h)|0;if(d>>>0>127){j=d;k=i;while(1){b[k>>0]=j|128;l=j>>>7;m=k+1|0;if(j>>>0>16383){j=l;k=m}else{n=m;o=l;break}}}else{n=i;o=d}b[n>>0]=o;g=li[f[(f[h>>2]|0)+64>>2]&511](h,c,n+1|0)|0}if(!(e&2))p=g;else{e=b[a+20>>0]|0;b[g>>0]=16;b[g+1>>0]=e;p=g+2|0}g=f[a+4>>2]|0;if(!(g&1)){q=p;return q|0}q=Bbc(g&-2,p)|0;return q|0}function yXa(a,b){a=a|0;b=b|0;var c=0;if((a|0)==(b|0))return;rXa(a);c=ovc(b,24728,19656,0)|0;if(!c){A9b(b,a);return}else{CXa(a,c);return}}function zXa(a,b){a=a|0;b=b|0;var c=0;c=ovc(b,24728,19656,0)|0;if(!c){A9b(b,a);return}else{CXa(a,c);return}}function AXa(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function BXa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224781]|0)!=2){f[d>>2]=151624;f[d+4>>2]=21;b[d+8>>0]=0;xLb(899124,d);QKb(d)}d=541032;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function CXa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0;d=a+4|0;e=f[c+4>>2]|0;if(e&1|0){g=f[d>>2]|0;if(!(g&1))h=OOa(d)|0;else h=g&-2;hbc(h,e&-2)}e=f[c+8>>2]|0;if(!(e&3))return;if(e&1|0){h=a+8|0;f[h>>2]=f[h>>2]|1;h=a+16|0;g=f[h>>2]|0;if(!g){d=cuc(48)|0;DXa(d);f[h>>2]=d;i=d}else i=g;g=f[c+16>>2]|0;EXa(i,g|0?g:537032)}if(e&2|0)b[a+20>>0]=b[c+20>>0]|0;c=a+8|0;f[c>>2]=f[c>>2]|e;return}function DXa(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=122840;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=537032?(f[224791]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=31;b[d+8>>0]=0;xLb(899164,d);QKb(d)}f[a+12>>2]=0;f[a+16>>2]=540424;d=a+20|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;f[a+36>>2]=-1;n[a+40>>2]=1.0;n[a+44>>2]=1.0;u=c;return}function EXa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=a+4|0;d=f[b+4>>2]|0;if(d&1|0){e=f[c>>2]|0;if(!(e&1))g=OOa(c)|0;else g=e&-2;hbc(g,d&-2)}d=f[b+8>>2]|0;if(!(d&255))return;do if(d&1|0?(g=a+8|0,f[g>>2]=f[g>>2]|1,g=a+16|0,e=f[b+16>>2]|0,c=f[g>>2]|0,(c|0)!=(e|0)):0)if((c|0)==540424){JEa(g,e);break}else{ruc(c,e)|0;break}while(0);if(d&2|0)f[a+20>>2]=f[b+20>>2];if(d&4|0)f[a+24>>2]=f[b+24>>2];if(d&8|0)f[a+28>>2]=f[b+28>>2];if(d&16|0)f[a+32>>2]=f[b+32>>2];if(d&32|0)f[a+36>>2]=f[b+36>>2];if(d&64|0)f[a+40>>2]=f[b+40>>2];if(d&128|0)f[a+44>>2]=f[b+44>>2];b=a+8|0;f[b>>2]=f[b>>2]|d;return}function FXa(a){a=a|0;var c=0,d=0;f[a>>2]=122840;c=f[a+16>>2]|0;if(!((c|0)==540424|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}c=a+4|0;a=f[c>>2]|0;if(!(a&1)){f[c>>2]=0;return}d=a&-2;a=d;if((d|0)==0|(f[a+4>>2]|0)!=0){f[c>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(d);f[c>>2]=0;return}function GXa(a){a=a|0;FXa(a);fuc(a);return}function HXa(a){a=a|0;a=cuc(48)|0;DXa(a);return a|0}function IXa(a,b){a=a|0;b=b|0;a=cuc(48)|0;DXa(a);if(!b)return a|0;UXa(b,a);return a|0}function JXa(a){a=a|0;var b=0,c=0;b=a+8|0;c=f[b>>2]|0;if(c&1|0)ruc(f[a+16>>2]|0,540424)|0;if(c&254|0){c=a+20|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;f[a+36>>2]=-1;n[a+40>>2]=1.0;n[a+44>>2]=1.0}f[b>>2]=0;b=f[a+4>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;ebc(a);return}function KXa(a){a=a|0;return 1}function LXa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0;d=u;u=u+16|0;e=d;g=c+4|0;i=a+8|0;j=a+16|0;k=a+20|0;l=a+24|0;m=a+40|0;n=a+28|0;o=a+44|0;p=a+36|0;q=a+32|0;r=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){s=b[a>>0]|0;t=s&255;if(s<<24>>24>0){f[c>>2]=a+1;v=t;w=6}else{x=t;w=5}}else{x=0;w=5}if((w|0)==5){w=0;t=OJb(c,x)|0;if((t+-1|0)>>>0<127){v=t;w=6}else y=t}b:do if((w|0)==6){w=0;switch(v>>>3&536870911|0){case 1:{if((v&255|0)!=10){y=v;break b}f[i>>2]=f[i>>2]|1;t=f[j>>2]|0;if((t|0)==540424){JEa(j,540424);z=f[j>>2]|0}else z=t;if($Lb(c,z)|0)continue a;else{A=0;w=68;break a}break}case 2:{if((v&255|0)!=21){y=v;break b}f[i>>2]=f[i>>2]|2;t=f[c>>2]|0;if(((f[g>>2]|0)-t|0)>3){a=t;s=h[a>>0]|h[a+1>>0]<<8|h[a+2>>0]<<16|h[a+3>>0]<<24;f[e>>2]=s;f[c>>2]=t+4;B=s}else{if(!(LJb(c,e)|0)){w=17;break a}B=f[e>>2]|0}f[k>>2]=B;continue a;break}case 3:{if((v&255|0)!=29){y=v;break b}f[i>>2]=f[i>>2]|4;s=f[c>>2]|0;if(((f[g>>2]|0)-s|0)>3){t=s;a=h[t>>0]|h[t+1>>0]<<8|h[t+2>>0]<<16|h[t+3>>0]<<24;f[e>>2]=a;f[c>>2]=s+4;C=a}else{if(!(LJb(c,e)|0)){w=24;break a}C=f[e>>2]|0}f[l>>2]=C;continue a;break}case 4:{if((v&255|0)!=37){y=v;break b}f[i>>2]=f[i>>2]|64;a=f[c>>2]|0;if(((f[g>>2]|0)-a|0)>3){s=a;t=h[s>>0]|h[s+1>>0]<<8|h[s+2>>0]<<16|h[s+3>>0]<<24;f[e>>2]=t;f[c>>2]=a+4;D=t}else{if(!(LJb(c,e)|0)){w=31;break a}D=f[e>>2]|0}f[m>>2]=D;continue a;break}case 5:{if((v&255|0)!=45){y=v;break b}f[i>>2]=f[i>>2]|8;t=f[c>>2]|0;if(((f[g>>2]|0)-t|0)>3){a=t;s=h[a>>0]|h[a+1>>0]<<8|h[a+2>>0]<<16|h[a+3>>0]<<24;f[e>>2]=s;f[c>>2]=t+4;E=s}else{if(!(LJb(c,e)|0)){w=38;break a}E=f[e>>2]|0}f[n>>2]=E;continue a;break}case 6:{if((v&255|0)!=53){y=v;break b}f[i>>2]=f[i>>2]|128;s=f[c>>2]|0;if(((f[g>>2]|0)-s|0)>3){t=s;a=h[t>>0]|h[t+1>>0]<<8|h[t+2>>0]<<16|h[t+3>>0]<<24;f[e>>2]=a;f[c>>2]=s+4;F=a}else{if(!(LJb(c,e)|0)){w=45;break a}F=f[e>>2]|0}f[o>>2]=F;continue a;break}case 7:{if((v&255|0)!=56){y=v;break b}f[i>>2]=f[i>>2]|32;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){s=b[a>>0]|0;t=s&255;if(s<<24>>24>-1){f[c>>2]=a+1;G=t}else{H=t;w=50}}else{H=0;w=50}if((w|0)==50){w=0;t=zJb(c,H)|0;a=J;if((a|0)>-1|(a|0)==-1&t>>>0>4294967295)G=t;else{A=0;w=68;break a}}f[p>>2]=G;continue a;break}case 8:{if((v&255|0)!=64){y=v;break b}t=f[c>>2]|0;if(t>>>0<(f[g>>2]|0)>>>0){a=b[t>>0]|0;s=a&255;if(a<<24>>24>-1){f[c>>2]=t+1;I=s}else{K=s;w=56}}else{K=0;w=56}if((w|0)==56){w=0;s=zJb(c,K)|0;t=J;if((t|0)>-1|(t|0)==-1&s>>>0>4294967295)I=s;else{A=0;w=68;break a}}if(I>>>0<3){f[i>>2]=f[i>>2]|16;f[q>>2]=I;continue a}s=f[r>>2]|0;if(!(s&1))L=OOa(r)|0;else L=s&-2;kbc(L,8,I,((I|0)<0)<<31>>31);continue a;break}default:{y=v;break b}}}while(0);if(!y){A=1;w=68;break}s=f[r>>2]|0;if(!(s&1))M=OOa(r)|0;else M=s&-2;if(!(xbc(c,y,M)|0)){A=0;w=68;break}}if((w|0)==17){A=0;u=d;return A|0}else if((w|0)==24){A=0;u=d;return A|0}else if((w|0)==31){A=0;u=d;return A|0}else if((w|0)==38){A=0;u=d;return A|0}else if((w|0)==45){A=0;u=d;return A|0}else if((w|0)==68){u=d;return A|0}return 0}function MXa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;c=f[a+4>>2]|0;if(!(c&1))d=0;else d=Dbc(c&-2)|0;c=f[a+8>>2]|0;if(!(c&255)){e=d;g=a+12|0;f[g>>2]=e;return e|0}if(!(c&1))h=d;else{i=f[a+16>>2]|0;j=b[i+11>>0]|0;k=j<<24>>24<0?f[i+4>>2]|0:j&255;h=d+1+k+((((($(k|1|0)|0)^31)*9|0)+73|0)>>>6)|0}k=c&2|0?h+5|0:h;h=c&4|0?k+5|0:k;k=c&8|0?h+5|0:h;if(!(c&16))l=k;else{h=f[a+32>>2]|0;if((h|0)<0)m=11;else m=((((($(h|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;l=m+k|0}if(!(c&32))n=l;else{k=f[a+36>>2]|0;if((k|0)<0)o=11;else o=((((($(k|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;n=o+l|0}l=c&64|0?n+5|0:n;e=c&128|0?l+5|0:l;g=a+12|0;f[g>>2]=e;return e|0}function NXa(a,b){a=a|0;b=b|0;var c=0;c=f[a+8>>2]|0;if(c&1|0)VLb(1,f[a+16>>2]|0,b);if(c&2|0)QLb(2,+n[a+20>>2],b);if(c&4|0)QLb(3,+n[a+24>>2],b);if(c&64|0)QLb(4,+n[a+40>>2],b);if(c&8|0)QLb(5,+n[a+28>>2],b);if(c&128|0)QLb(6,+n[a+44>>2],b);if(c&32|0)GLb(7,f[a+36>>2]|0,b);if(c&16|0)TLb(8,f[a+32>>2]|0,b);c=f[a+4>>2]|0;if(!(c&1))return;Abc(c&-2,b);return}function OXa(a){a=a|0;return f[a+12>>2]|0}function PXa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;c=f[a+8>>2]|0;if(!(c&1))e=d;else{g=f[a+16>>2]|0;b[d>>0]=10;e=XJb(g,d+1|0)|0}if(!(c&2))h=e;else{d=f[a+20>>2]|0;b[e>>0]=21;g=e+1|0;b[g>>0]=d;b[g+1>>0]=d>>8;b[g+2>>0]=d>>16;b[g+3>>0]=d>>24;h=e+5|0}if(!(c&4))i=h;else{e=f[a+24>>2]|0;b[h>>0]=29;d=h+1|0;b[d>>0]=e;b[d+1>>0]=e>>8;b[d+2>>0]=e>>16;b[d+3>>0]=e>>24;i=h+5|0}if(!(c&64))j=i;else{h=f[a+40>>2]|0;b[i>>0]=37;e=i+1|0;b[e>>0]=h;b[e+1>>0]=h>>8;b[e+2>>0]=h>>16;b[e+3>>0]=h>>24;j=i+5|0}if(!(c&8))k=j;else{i=f[a+28>>2]|0;b[j>>0]=45;h=j+1|0;b[h>>0]=i;b[h+1>>0]=i>>8;b[h+2>>0]=i>>16;b[h+3>>0]=i>>24;k=j+5|0}if(!(c&128))l=k;else{j=f[a+44>>2]|0;b[k>>0]=53;i=k+1|0;b[i>>0]=j;b[i+1>>0]=j>>8;b[i+2>>0]=j>>16;b[i+3>>0]=j>>24;l=k+5|0}if(!(c&32))m=l;else{k=f[a+36>>2]|0;b[l>>0]=56;j=l+1|0;l=k&255;if(k>>>0>127){i=j;h=l;e=k;d=((k|0)<0)<<31>>31;while(1){b[i>>0]=h|-128;k=e;e=pzc(e|0,d|0,7)|0;g=i+1|0;n=e&255;if(!(d>>>0>0|(d|0)==0&k>>>0>16383)){o=g;p=n;break}else{i=g;h=n;d=J}}}else{o=j;p=l}b[o>>0]=p;m=o+1|0}if(!(c&16))q=m;else{c=f[a+32>>2]|0;b[m>>0]=64;o=m+1|0;m=c&255;if(c>>>0>127){p=o;l=m;j=c;d=((c|0)<0)<<31>>31;while(1){b[p>>0]=l|-128;c=j;j=pzc(j|0,d|0,7)|0;h=p+1|0;i=j&255;if(!(d>>>0>0|(d|0)==0&c>>>0>16383)){r=h;s=i;break}else{p=h;l=i;d=J}}}else{r=o;s=m}b[r>>0]=s;q=r+1|0}r=f[a+4>>2]|0;if(!(r&1)){t=q;return t|0}t=Bbc(r&-2,q)|0;return t|0}function QXa(a,b){a=a|0;b=b|0;var c=0,d=0;if((a|0)==(b|0))return;c=a+8|0;d=f[c>>2]|0;if(d&1|0)ruc(f[a+16>>2]|0,540424)|0;if(d&254|0){d=a+20|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;f[a+36>>2]=-1;n[a+40>>2]=1.0;n[a+44>>2]=1.0}f[c>>2]=0;c=f[a+4>>2]|0;if(c&1|0?(d=c&-2,f[d>>2]|0):0)ebc(d);d=ovc(b,24728,19672,0)|0;if(!d){A9b(b,a);return}else{EXa(a,d);return}}function RXa(a,b){a=a|0;b=b|0;var c=0;c=ovc(b,24728,19672,0)|0;if(!c){A9b(b,a);return}else{EXa(a,c);return}}function SXa(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function TXa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224781]|0)!=2){f[d>>2]=151624;f[d+4>>2]=21;b[d+8>>0]=0;xLb(899124,d);QKb(d)}d=540568;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function UXa(a,b){a=a|0;b=b|0;if(!b)return;EIb(a,b,1978);return}function VXa(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=122732;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=540224?(f[224849]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=89;b[d+8>>0]=0;xLb(899396,d);QKb(d)}d=a+12|0;f[d>>2]=0;f[d+4>>2]=0;b[d+8>>0]=0;u=c;return}function WXa(a,b){a=a|0;b=b|0;if(!b)return;EIb(a,b,1978);return}function XXa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0;f[a>>2]=122948;YYa(a);b=f[a+52>>2]|0;if(b|0?(f[b>>2]|0)==0:0)fuc(b);b=f[a+40>>2]|0;if(b|0?(f[b>>2]|0)==0:0)fuc(b);b=a+28|0;c=f[b>>2]|0;if(c|0?(f[a+16>>2]|0)==0:0){d=f[c>>2]|0;if((d|0)>0){e=0;do{g=f[c+4+(e<<2)>>2]|0;if(g|0)bi[f[(f[g>>2]|0)+4>>2]&2047](g);e=e+1|0}while((e|0)!=(d|0));h=f[b>>2]|0}else h=c;fuc(h)}f[b>>2]=0;b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}h=a&-2;a=h;if((h|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(h);f[b>>2]=0;return}function YXa(a){a=a|0;XXa(a);fuc(a);return}function ZXa(a){a=a|0;a=cuc(196)|0;WYa(a);return a|0}function _Xa(a,b){a=a|0;b=b|0;a=cuc(196)|0;WYa(a);if(!b)return a|0;XYa(b,a);return a|0}function $Xa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0;c=a+20|0;d=f[c>>2]|0;if((d|0)>0){e=f[a+28>>2]|0;g=0;do{IYa(f[e+4+(g<<2)>>2]|0);g=g+1|0}while((g|0)!=(d|0));f[c>>2]=0}f[a+32>>2]=0;f[a+44>>2]=0;c=a+8|0;d=f[c>>2]|0;if(d&255|0){do if(d&1|0){g=f[a+56>>2]|0;e=g+11|0;if((b[e>>0]|0)<0){b[f[g>>2]>>0]=0;f[g+4>>2]=0;break}else{b[g>>0]=0;b[e>>0]=0;break}}while(0);do if(d&2|0){e=f[a+60>>2]|0;g=e+11|0;if((b[g>>0]|0)<0){b[f[e>>2]>>0]=0;f[e+4>>2]=0;break}else{b[e>>0]=0;b[g>>0]=0;break}}while(0);do if(d&4|0){g=f[a+64>>2]|0;e=g+11|0;if((b[e>>0]|0)<0){b[f[g>>2]>>0]=0;f[g+4>>2]=0;break}else{b[g>>0]=0;b[e>>0]=0;break}}while(0);do if(d&8|0){e=f[a+68>>2]|0;g=e+11|0;if((b[g>>0]|0)<0){b[f[e>>2]>>0]=0;f[e+4>>2]=0;break}else{b[e>>0]=0;b[g>>0]=0;break}}while(0);if(d&16|0)ruc(f[a+72>>2]|0,540488)|0;if(d&32|0){g=f[a+76>>2]|0;e=g+8|0;h=f[e>>2]|0;if(h&1|0)ruc(f[g+16>>2]|0,540424)|0;if(h&254|0){h=g+20|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;f[g+36>>2]=-1;n[g+40>>2]=1.0;n[g+44>>2]=1.0}f[e>>2]=0;e=f[g+4>>2]|0;if(e&1|0?(g=e&-2,f[g>>2]|0):0)ebc(g)}if(d&64|0){g=f[a+80>>2]|0;e=g+8|0;h=f[e>>2]|0;if(h&1|0)ruc(f[g+16>>2]|0,540424)|0;if(h&254|0){h=g+20|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;f[g+36>>2]=-1;n[g+40>>2]=1.0;n[g+44>>2]=1.0}f[e>>2]=0;e=f[g+4>>2]|0;if(e&1|0?(g=e&-2,f[g>>2]|0):0)ebc(g)}if(d&128|0){g=f[a+84>>2]|0;e=g+8|0;do if(f[e>>2]&1|0){h=f[g+16>>2]|0;i=h+11|0;if((b[i>>0]|0)<0){b[f[h>>2]>>0]=0;f[h+4>>2]=0;break}else{b[h>>0]=0;b[i>>0]=0;break}}while(0);f[e>>2]=0;e=f[g+4>>2]|0;if(e&1|0?(g=e&-2,f[g>>2]|0):0)ebc(g)}}if(d&65280|0){g=a+88|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;f[g+16>>2]=0;f[g+20>>2]=0;f[g+24>>2]=0;b[g+28>>0]=0}if(d&16711680|0){g=a+117|0;e=g+23|0;do{b[g>>0]=0;g=g+1|0}while((g|0)<(e|0));f[a+140>>2]=1;b[a+144>>0]=1}if(d>>>0>16777215){f[a+148>>2]=1;f[a+152>>2]=1;n[a+156>>2]=.5;f[a+160>>2]=5;n[a+164>>2]=1.0;n[a+168>>2]=.75;n[a+172>>2]=1.0;n[a+176>>2]=1.0}if(f[a+12>>2]&7|0){n[a+180>>2]=.5;n[a+184>>2]=.5;n[a+188>>2]=.25}d=c;f[d>>2]=0;f[d+4>>2]=0;d=f[a+4>>2]|0;if(!(d&1))return;a=d&-2;if(!(f[a>>2]|0))return;ebc(a);return}function aYa(a){a=a|0;return 1}function bYa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0;d=u;u=u+16|0;e=d;g=c+4|0;i=a+8|0;j=a+56|0;k=a+60|0;l=a+88|0;m=a+144|0;n=e+8|0;o=a+76|0;p=e+4|0;q=a+80|0;r=e+4|0;s=a+92|0;t=a+96|0;v=a+148|0;w=a+152|0;x=a+100|0;y=a+4|0;z=a+156|0;A=a+160|0;B=a+164|0;C=a+168|0;D=a+64|0;E=a+172|0;F=a+68|0;G=a+104|0;H=a+108|0;I=a+116|0;K=e+8|0;L=a+176|0;M=a+16|0;N=e+4|0;O=a+32|0;P=a+36|0;Q=a+40|0;R=a+44|0;S=a+48|0;T=a+52|0;U=a+120|0;V=a+12|0;W=a+180|0;X=a+184|0;Y=a+188|0;Z=a+124|0;_=a+72|0;$=a+128|0;aa=a+132|0;ba=a+136|0;ca=a+112|0;da=a+117|0;ea=e+8|0;fa=a+140|0;ga=a+84|0;a=e+4|0;a:while(1){ha=f[c>>2]|0;ia=f[g>>2]|0;do if(ha>>>0<ia>>>0){ja=b[ha>>0]|0;ka=ja&255;la=ha+1|0;if(ja<<24>>24>0){ma=la;na=ka}else{if(la>>>0>=ia>>>0){oa=ka;pa=7;break}ja=h[la>>0]|0;if(((ja^128)&ka)>>>0<=127){oa=ka;pa=7;break}ma=ha+2|0;na=ka+-128+(ja<<7)|0}f[c>>2]=ma;qa=na;pa=9}else{oa=0;pa=7}while(0);if((pa|0)==7){pa=0;ha=OJb(c,oa)|0;if((ha+-1|0)>>>0<16383){qa=ha;pa=9}else ra=ha}b:do if((pa|0)==9){pa=0;do switch(qa>>>3&536870911|0){case 1:{if((qa&255|0)!=10){ra=qa;break b}f[i>>2]=f[i>>2]|1;ha=f[j>>2]|0;if((ha|0)==542896){JEa(j,542896);sa=f[j>>2]|0}else sa=ha;if($Lb(c,sa)|0)continue a;else{ta=0;pa=277;break a}break}case 2:{if((qa&255|0)!=18){ra=qa;break b}f[i>>2]=f[i>>2]|2;ha=f[k>>2]|0;if((ha|0)==542896){JEa(k,542896);ua=f[k>>2]|0}else ua=ha;if($Lb(c,ua)|0)continue a;else{ta=0;pa=277;break a}break}case 3:{if((qa&255|0)!=24){ra=qa;break b}f[i>>2]=f[i>>2]|256;ha=f[c>>2]|0;if(ha>>>0<(f[g>>2]|0)>>>0){ia=b[ha>>0]|0;ja=ia&255;if(ia<<24>>24>-1){f[l>>2]=ja;f[c>>2]=ha+1;continue a}else va=ja}else va=0;ja=zJb(c,va)|0;ha=J;f[l>>2]=ja;if((ha|0)>-1|(ha|0)==-1&ja>>>0>4294967295)continue a;else{ta=0;pa=277;break a}break}case 4:{if((qa&255|0)!=32){ra=qa;break b}f[i>>2]=f[i>>2]|8388608;ja=f[c>>2]|0;if(ja>>>0<(f[g>>2]|0)>>>0?(ha=b[ja>>0]|0,ha<<24>>24>-1):0){f[c>>2]=ja+1;wa=ha<<24>>24!=0}else{AJb(e,c);ha=e;if(!(b[n>>0]|0)){ta=0;pa=277;break a}else wa=(f[ha>>2]|0)!=0|(f[ha+4>>2]|0)!=0}b[m>>0]=wa&1;continue a;break}case 5:{if((qa&255|0)!=42){ra=qa;break b}f[i>>2]=f[i>>2]|32;ha=f[o>>2]|0;if(!ha){ja=cuc(48)|0;DXa(ja);f[o>>2]=ja;xa=ja}else xa=ha;ha=f[c>>2]|0;if(ha>>>0<(f[g>>2]|0)>>>0?(ja=b[ha>>0]|0,ja<<24>>24>-1):0){f[c>>2]=ha+1;ya=ja&255}else{ja=NJb(c)|0;if((ja|0)>-1)ya=ja;else{ta=0;pa=277;break a}}yJb(e,c,ya);if((f[p>>2]|0)<0){pa=38;break a}if(!(Th[f[(f[xa>>2]|0)+44>>2]&1023](xa,c)|0)){pa=38;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{ta=0;pa=277;break a}break}case 6:{if((qa&255|0)!=50){ra=qa;break b}f[i>>2]=f[i>>2]|64;ja=f[q>>2]|0;if(!ja){ha=cuc(48)|0;DXa(ha);f[q>>2]=ha;za=ha}else za=ja;ja=f[c>>2]|0;if(ja>>>0<(f[g>>2]|0)>>>0?(ha=b[ja>>0]|0,ha<<24>>24>-1):0){f[c>>2]=ja+1;Aa=ha&255}else{ha=NJb(c)|0;if((ha|0)>-1)Aa=ha;else{ta=0;pa=277;break a}}yJb(e,c,Aa);if((f[r>>2]|0)<0){pa=49;break a}if(!(Th[f[(f[za>>2]|0)+44>>2]&1023](za,c)|0)){pa=49;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{ta=0;pa=277;break a}break}case 7:{if((qa&255|0)!=56){ra=qa;break b}f[i>>2]=f[i>>2]|512;ha=f[c>>2]|0;if(ha>>>0<(f[g>>2]|0)>>>0){ja=b[ha>>0]|0;ia=ja&255;if(ja<<24>>24>-1){f[s>>2]=ia;f[c>>2]=ha+1;continue a}else Ba=ia}else Ba=0;ia=zJb(c,Ba)|0;ha=J;f[s>>2]=ia;if((ha|0)>-1|(ha|0)==-1&ia>>>0>4294967295)continue a;else{ta=0;pa=277;break a}break}case 8:{if((qa&255|0)!=64){ra=qa;break b}f[i>>2]=f[i>>2]|1024;ia=f[c>>2]|0;if(ia>>>0<(f[g>>2]|0)>>>0){ha=b[ia>>0]|0;ja=ha&255;if(ha<<24>>24>-1){f[t>>2]=ja;f[c>>2]=ia+1;continue a}else Ca=ja}else Ca=0;ja=zJb(c,Ca)|0;ia=J;f[t>>2]=ja;if((ia|0)>-1|(ia|0)==-1&ja>>>0>4294967295)continue a;else{ta=0;pa=277;break a}break}case 9:{if((qa&255|0)!=72){ra=qa;break b}f[i>>2]=f[i>>2]|16777216;ja=f[c>>2]|0;if(ja>>>0<(f[g>>2]|0)>>>0){ia=b[ja>>0]|0;ha=ia&255;if(ia<<24>>24>-1){f[v>>2]=ha;f[c>>2]=ja+1;continue a}else Da=ha}else Da=0;ha=zJb(c,Da)|0;ja=J;f[v>>2]=ha;if((ja|0)>-1|(ja|0)==-1&ha>>>0>4294967295)continue a;else{ta=0;pa=277;break a}break}case 10:{if((qa&255|0)!=80){ra=qa;break b}f[i>>2]=f[i>>2]|33554432;ha=f[c>>2]|0;if(ha>>>0<(f[g>>2]|0)>>>0){ja=b[ha>>0]|0;ia=ja&255;if(ja<<24>>24>-1){f[w>>2]=ia;f[c>>2]=ha+1;continue a}else Ea=ia}else Ea=0;ia=zJb(c,Ea)|0;ha=J;f[w>>2]=ia;if((ha|0)>-1|(ha|0)==-1&ia>>>0>4294967295)continue a;else{ta=0;pa=277;break a}break}case 11:{if((qa&255|0)!=88){ra=qa;break b}ia=f[c>>2]|0;if(ia>>>0<(f[g>>2]|0)>>>0){ha=b[ia>>0]|0;ja=ha&255;if(ha<<24>>24>-1){f[c>>2]=ia+1;Fa=ja}else{Ga=ja;pa=75}}else{Ga=0;pa=75}if((pa|0)==75){pa=0;ja=zJb(c,Ga)|0;ia=J;if((ia|0)>-1|(ia|0)==-1&ja>>>0>4294967295)Fa=ja;else{ta=0;pa=277;break a}}if(Fa>>>0<3){f[i>>2]=f[i>>2]|2048;f[x>>2]=Fa;continue a}ja=f[y>>2]|0;if(!(ja&1))Ha=OOa(y)|0;else Ha=ja&-2;kbc(Ha,11,Fa,((Fa|0)<0)<<31>>31);continue a;break}case 12:{if((qa&255|0)!=101){ra=qa;break b}f[i>>2]=f[i>>2]|67108864;ja=f[c>>2]|0;if(((f[g>>2]|0)-ja|0)>3){ia=ja;ha=h[ia>>0]|h[ia+1>>0]<<8|h[ia+2>>0]<<16|h[ia+3>>0]<<24;f[e>>2]=ha;f[c>>2]=ja+4;Ia=ha}else{if(!(LJb(c,e)|0)){pa=88;break a}Ia=f[e>>2]|0}f[z>>2]=Ia;continue a;break}case 13:{if((qa&255|0)!=104){ra=qa;break b}f[i>>2]=f[i>>2]|134217728;ha=f[c>>2]|0;if(ha>>>0<(f[g>>2]|0)>>>0){ja=b[ha>>0]|0;ia=ja&255;if(ja<<24>>24>-1){f[A>>2]=ia;f[c>>2]=ha+1;continue a}else Ja=ia}else Ja=0;ia=zJb(c,Ja)|0;ha=J;f[A>>2]=ia;if((ha|0)>-1|(ha|0)==-1&ia>>>0>4294967295)continue a;else{ta=0;pa=277;break a}break}case 14:{if((qa&255|0)!=117){ra=qa;break b}f[i>>2]=f[i>>2]|268435456;ia=f[c>>2]|0;if(((f[g>>2]|0)-ia|0)>3){ha=ia;ja=h[ha>>0]|h[ha+1>>0]<<8|h[ha+2>>0]<<16|h[ha+3>>0]<<24;f[e>>2]=ja;f[c>>2]=ia+4;Ka=ja}else{if(!(LJb(c,e)|0)){pa=100;break a}Ka=f[e>>2]|0}f[B>>2]=Ka;continue a;break}case 15:{if((qa&255|0)!=125){ra=qa;break b}f[i>>2]=f[i>>2]|536870912;ja=f[c>>2]|0;if(((f[g>>2]|0)-ja|0)>3){ia=ja;ha=h[ia>>0]|h[ia+1>>0]<<8|h[ia+2>>0]<<16|h[ia+3>>0]<<24;f[e>>2]=ha;f[c>>2]=ja+4;La=ha}else{if(!(LJb(c,e)|0)){pa=107;break a}La=f[e>>2]|0}f[C>>2]=La;continue a;break}case 16:{if((qa&255|0)!=130){ra=qa;break b}f[i>>2]=f[i>>2]|4;ha=f[D>>2]|0;if((ha|0)==542896){JEa(D,542896);Ma=f[D>>2]|0}else Ma=ha;if($Lb(c,Ma)|0)continue a;else{ta=0;pa=277;break a}break}case 17:{if((qa&255|0)!=141){ra=qa;break b}f[i>>2]=f[i>>2]|1073741824;ha=f[c>>2]|0;if(((f[g>>2]|0)-ha|0)>3){ja=ha;ia=h[ja>>0]|h[ja+1>>0]<<8|h[ja+2>>0]<<16|h[ja+3>>0]<<24;f[e>>2]=ia;f[c>>2]=ha+4;Na=ia}else{if(!(LJb(c,e)|0)){pa=118;break a}Na=f[e>>2]|0}f[E>>2]=Na;continue a;break}case 18:{if((qa&255|0)!=146){ra=qa;break b}f[i>>2]=f[i>>2]|8;ia=f[F>>2]|0;if((ia|0)==542896){JEa(F,542896);Oa=f[F>>2]|0}else Oa=ia;if($Lb(c,Oa)|0)continue a;else{ta=0;pa=277;break a}break}case 19:{if((qa&255|0)!=152){ra=qa;break b}f[i>>2]=f[i>>2]|4096;ia=f[c>>2]|0;if(ia>>>0<(f[g>>2]|0)>>>0){ha=b[ia>>0]|0;ja=ha&255;if(ha<<24>>24>-1){f[G>>2]=ja;f[c>>2]=ia+1;continue a}else Pa=ja}else Pa=0;ja=zJb(c,Pa)|0;ia=J;f[G>>2]=ja;if((ia|0)>-1|(ia|0)==-1&ja>>>0>4294967295)continue a;else{ta=0;pa=277;break a}break}case 20:{if((qa&255|0)!=160){ra=qa;break b}f[i>>2]=f[i>>2]|8192;ja=f[c>>2]|0;if(ja>>>0<(f[g>>2]|0)>>>0){ia=b[ja>>0]|0;ha=ia&255;if(ia<<24>>24>-1){f[H>>2]=ha;f[c>>2]=ja+1;continue a}else Qa=ha}else Qa=0;ha=zJb(c,Qa)|0;ja=J;f[H>>2]=ha;if((ja|0)>-1|(ja|0)==-1&ha>>>0>4294967295)continue a;else{ta=0;pa=277;break a}break}case 21:{if((qa&255|0)!=168){ra=qa;break b}f[i>>2]=f[i>>2]|32768;ha=f[c>>2]|0;if(ha>>>0<(f[g>>2]|0)>>>0?(ja=b[ha>>0]|0,ja<<24>>24>-1):0){f[c>>2]=ha+1;Ra=ja<<24>>24!=0}else{AJb(e,c);ja=e;if(!(b[K>>0]|0)){ta=0;pa=277;break a}else Ra=(f[ja>>2]|0)!=0|(f[ja+4>>2]|0)!=0}b[I>>0]=Ra&1;continue a;break}case 22:{if((qa&255|0)!=181){ra=qa;break b}f[i>>2]=f[i>>2]|-2147483648;ja=f[c>>2]|0;if(((f[g>>2]|0)-ja|0)>3){ha=ja;ia=h[ha>>0]|h[ha+1>>0]<<8|h[ha+2>>0]<<16|h[ha+3>>0]<<24;f[e>>2]=ia;f[c>>2]=ja+4;Sa=ia}else{if(!(LJb(c,e)|0)){pa=145;break a}Sa=f[e>>2]|0}f[L>>2]=Sa;continue a;break}case 50:{if((qa&255|0)!=146){ra=qa;break b}ia=CYa(M)|0;ja=f[c>>2]|0;if(ja>>>0<(f[g>>2]|0)>>>0?(ha=b[ja>>0]|0,ha<<24>>24>-1):0){f[c>>2]=ja+1;Ta=ha&255}else{ha=NJb(c)|0;if((ha|0)>-1)Ta=ha;else{ta=0;pa=277;break a}}yJb(e,c,Ta);if((f[N>>2]|0)<0){pa=153;break a}if(!(Th[f[(f[ia>>2]|0)+44>>2]&1023](ia,c)|0)){pa=153;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{ta=0;pa=277;break a}break}case 51:{switch((qa&255)<<24>>24){case -99:break;case -102:{if(DWa(c,O)|0)continue a;else{ta=0;pa=277;break a}break}default:{ra=qa;break b}}ia=f[c>>2]|0;if(((f[g>>2]|0)-ia|0)>3){ha=ia;ja=h[ha>>0]|h[ha+1>>0]<<8|h[ha+2>>0]<<16|h[ha+3>>0]<<24;f[e>>2]=ja;f[c>>2]=ia+4;Ua=ja}else{if(!(LJb(c,e)|0)){pa=171;break a}Ua=f[e>>2]|0}ja=f[O>>2]|0;if((ja|0)==(f[P>>2]|0)){REa(O,ja+1|0);Va=f[O>>2]|0}else Va=ja;ja=f[Q>>2]|0;ia=Va+1|0;f[O>>2]=ia;f[ja+4+(Va<<2)>>2]=Ua;ha=f[c>>2]|0;ka=(f[g>>2]|0)-ha|0;if((ka|0)<=0)continue a;la=ha;ha=(f[P>>2]|0)-ia|0;Wa=(ka>>>0)/6|0;Xa=(Wa|0)<(ha|0)?Wa:ha;if((Xa|0)>0){Ya=0;Za=la;_a=ia}else continue a;while(1){if((b[Za>>0]|0)!=-99){$a=Ya;break}if((b[Za+1>>0]|0)!=3){$a=Ya;break}ia=Za+2|0;ha=h[ia>>0]|h[ia+1>>0]<<8|h[ia+2>>0]<<16|h[ia+3>>0]<<24;ia=_a;_a=_a+1|0;f[O>>2]=_a;f[ja+4+(ia<<2)>>2]=ha;ha=Ya+1|0;if((ha|0)>=(Xa|0)){$a=ha;break}else{Ya=ha;Za=Za+6|0}}Xa=$a*6|0;if(($a|0)<=0)continue a;if((ka|0)<(Xa|0)){HJb(c,Xa,ka)|0;continue a}else{f[c>>2]=la+Xa;continue a}break}case 52:{switch((qa&255)<<24>>24){case -91:break;case -94:{if(DWa(c,R)|0)continue a;else{ta=0;pa=277;break a}break}default:{ra=qa;break b}}Xa=f[c>>2]|0;if(((f[g>>2]|0)-Xa|0)>3){ja=Xa;ha=h[ja>>0]|h[ja+1>>0]<<8|h[ja+2>>0]<<16|h[ja+3>>0]<<24;f[e>>2]=ha;f[c>>2]=Xa+4;ab=ha}else{if(!(LJb(c,e)|0)){pa=189;break a}ab=f[e>>2]|0}ha=f[R>>2]|0;if((ha|0)==(f[S>>2]|0)){REa(R,ha+1|0);bb=f[R>>2]|0}else bb=ha;ha=f[T>>2]|0;Xa=bb+1|0;f[R>>2]=Xa;f[ha+4+(bb<<2)>>2]=ab;ja=f[c>>2]|0;ia=(f[g>>2]|0)-ja|0;if((ia|0)<=0)continue a;Wa=ja;ja=(f[S>>2]|0)-Xa|0;cb=(ia>>>0)/6|0;db=(cb|0)<(ja|0)?cb:ja;if((db|0)>0){eb=0;fb=Wa;gb=Xa}else continue a;while(1){if((b[fb>>0]|0)!=-91){hb=eb;break}if((b[fb+1>>0]|0)!=3){hb=eb;break}Xa=fb+2|0;ja=h[Xa>>0]|h[Xa+1>>0]<<8|h[Xa+2>>0]<<16|h[Xa+3>>0]<<24;Xa=gb;gb=gb+1|0;f[R>>2]=gb;f[ha+4+(Xa<<2)>>2]=ja;ja=eb+1|0;if((ja|0)>=(db|0)){hb=ja;break}else{eb=ja;fb=fb+6|0}}db=hb*6|0;if((hb|0)<=0)continue a;if((ia|0)<(db|0)){HJb(c,db,ia)|0;continue a}else{f[c>>2]=Wa+db;continue a}break}case 53:{if((qa&255|0)!=168){ra=qa;break b}f[i>>2]=f[i>>2]|131072;db=f[c>>2]|0;if(db>>>0<(f[g>>2]|0)>>>0){ha=b[db>>0]|0;la=ha&255;if(ha<<24>>24>-1){f[U>>2]=la;f[c>>2]=db+1;continue a}else ib=la}else ib=0;la=zJb(c,ib)|0;db=J;f[U>>2]=la;if((db|0)>-1|(db|0)==-1&la>>>0>4294967295)continue a;else{ta=0;pa=277;break a}break}case 54:{if((qa&255|0)!=181){ra=qa;break b}f[V>>2]=f[V>>2]|1;la=f[c>>2]|0;if(((f[g>>2]|0)-la|0)>3){db=la;ha=h[db>>0]|h[db+1>>0]<<8|h[db+2>>0]<<16|h[db+3>>0]<<24;f[e>>2]=ha;f[c>>2]=la+4;jb=ha}else{if(!(LJb(c,e)|0)){pa=202;break a}jb=f[e>>2]|0}f[W>>2]=jb;continue a;break}case 55:{if((qa&255|0)!=189){ra=qa;break b}f[V>>2]=f[V>>2]|2;ha=f[c>>2]|0;if(((f[g>>2]|0)-ha|0)>3){la=ha;db=h[la>>0]|h[la+1>>0]<<8|h[la+2>>0]<<16|h[la+3>>0]<<24;f[e>>2]=db;f[c>>2]=ha+4;kb=db}else{if(!(LJb(c,e)|0)){pa=209;break a}kb=f[e>>2]|0}f[X>>2]=kb;continue a;break}case 56:{if((qa&255|0)!=197){ra=qa;break b}f[V>>2]=f[V>>2]|4;db=f[c>>2]|0;if(((f[g>>2]|0)-db|0)>3){ha=db;la=h[ha>>0]|h[ha+1>>0]<<8|h[ha+2>>0]<<16|h[ha+3>>0]<<24;f[e>>2]=la;f[c>>2]=db+4;lb=la}else{if(!(LJb(c,e)|0)){pa=216;break a}lb=f[e>>2]|0}f[Y>>2]=lb;continue a;break}case 58:{if((qa&255|0)!=208){ra=qa;break b}f[i>>2]=f[i>>2]|262144;la=f[c>>2]|0;if(la>>>0<(f[g>>2]|0)>>>0){db=b[la>>0]|0;ha=db&255;if(db<<24>>24>-1){f[Z>>2]=ha;f[c>>2]=la+1;continue a}else mb=ha}else mb=0;ha=zJb(c,mb)|0;la=J;f[Z>>2]=ha;if((la|0)>-1|(la|0)==-1&ha>>>0>4294967295)continue a;else{ta=0;pa=277;break a}break}case 59:{if((qa&255|0)!=218){ra=qa;break b}f[i>>2]=f[i>>2]|16;ha=f[_>>2]|0;if((ha|0)==540488){JEa(_,540488);nb=f[_>>2]|0}else nb=ha;if($Lb(c,nb)|0)continue a;else{ta=0;pa=277;break a}break}case 60:{if((qa&255|0)!=224){ra=qa;break b}f[i>>2]=f[i>>2]|524288;ha=f[c>>2]|0;if(ha>>>0<(f[g>>2]|0)>>>0){la=b[ha>>0]|0;db=la&255;if(la<<24>>24>-1){f[c>>2]=ha+1;ob=db}else{pb=db;pa=230}}else{pb=0;pa=230}if((pa|0)==230){pa=0;db=zJb(c,pb)|0;ha=J;if((ha|0)>-1|(ha|0)==-1&db>>>0>4294967295)ob=db;else{ta=0;pa=277;break a}}f[$>>2]=ob;continue a;break}case 61:{if((qa&255|0)!=232){ra=qa;break b}f[i>>2]=f[i>>2]|1048576;db=f[c>>2]|0;if(db>>>0<(f[g>>2]|0)>>>0){ha=b[db>>0]|0;la=ha&255;if(ha<<24>>24>-1){f[c>>2]=db+1;qb=la}else{rb=la;pa=236}}else{rb=0;pa=236}if((pa|0)==236){pa=0;la=zJb(c,rb)|0;db=J;if((db|0)>-1|(db|0)==-1&la>>>0>4294967295)qb=la;else{ta=0;pa=277;break a}}f[aa>>2]=qb;continue a;break}case 62:{if((qa&255|0)!=240){ra=qa;break b}f[i>>2]=f[i>>2]|2097152;la=f[c>>2]|0;if(la>>>0<(f[g>>2]|0)>>>0){db=b[la>>0]|0;ha=db&255;if(db<<24>>24>-1){f[c>>2]=la+1;sb=ha}else{tb=ha;pa=242}}else{tb=0;pa=242}if((pa|0)==242){pa=0;ha=zJb(c,tb)|0;la=J;if((la|0)>-1|(la|0)==-1&ha>>>0>4294967295)sb=ha;else{ta=0;pa=277;break a}}f[ba>>2]=sb;continue a;break}case 63:{if((qa&255|0)!=248){ra=qa;break b}f[i>>2]=f[i>>2]|16384;ha=f[c>>2]|0;if(ha>>>0<(f[g>>2]|0)>>>0){la=b[ha>>0]|0;db=la&255;if(la<<24>>24>-1){f[c>>2]=ha+1;ub=db}else{vb=db;pa=248}}else{vb=0;pa=248}if((pa|0)==248){pa=0;db=zJb(c,vb)|0;ha=J;if((ha|0)>-1|(ha|0)==-1&db>>>0>4294967295)ub=db;else{ta=0;pa=277;break a}}f[ca>>2]=ub;continue a;break}case 64:{if(qa&255|0){ra=qa;break b}f[i>>2]=f[i>>2]|65536;db=f[c>>2]|0;if(db>>>0<(f[g>>2]|0)>>>0?(ha=b[db>>0]|0,ha<<24>>24>-1):0){f[c>>2]=db+1;wb=ha<<24>>24!=0}else{AJb(e,c);ha=e;if(!(b[ea>>0]|0)){ta=0;pa=277;break a}else wb=(f[ha>>2]|0)!=0|(f[ha+4>>2]|0)!=0}b[da>>0]=wb&1;continue a;break}case 65:{if((qa&255|0)!=8){ra=qa;break b}f[i>>2]=f[i>>2]|4194304;ha=f[c>>2]|0;if(ha>>>0<(f[g>>2]|0)>>>0){db=b[ha>>0]|0;la=db&255;if(db<<24>>24>-1){f[fa>>2]=la;f[c>>2]=ha+1;continue a}else xb=la}else xb=0;la=zJb(c,xb)|0;ha=J;f[fa>>2]=la;if((ha|0)>-1|(ha|0)==-1&la>>>0>4294967295)continue a;else{ta=0;pa=277;break a}break}case 1001:{if((qa&255|0)!=74){ra=qa;break b}f[i>>2]=f[i>>2]|128;la=f[ga>>2]|0;if(!la){ha=cuc(20)|0;lYa(ha);f[ga>>2]=ha;yb=ha}else yb=la;la=f[c>>2]|0;if(la>>>0<(f[g>>2]|0)>>>0?(ha=b[la>>0]|0,ha<<24>>24>-1):0){f[c>>2]=la+1;zb=ha&255}else{ha=NJb(c)|0;if((ha|0)>-1)zb=ha;else{ta=0;pa=277;break a}}yJb(e,c,zb);if((f[a>>2]|0)<0){pa=270;break a}if(!(Th[f[(f[yb>>2]|0)+44>>2]&1023](yb,c)|0)){pa=270;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{ta=0;pa=277;break a}break}default:{ra=qa;break b}}while(0)}while(0);if(!ra){ta=1;pa=277;break}ha=f[y>>2]|0;if(!(ha&1))Ab=OOa(y)|0;else Ab=ha&-2;if(!(xbc(c,ra,Ab)|0)){ta=0;pa=277;break}}switch(pa|0){case 38:{ta=0;u=d;return ta|0}case 49:{ta=0;u=d;return ta|0}case 88:{ta=0;u=d;return ta|0}case 100:{ta=0;u=d;return ta|0}case 107:{ta=0;u=d;return ta|0}case 118:{ta=0;u=d;return ta|0}case 145:{ta=0;u=d;return ta|0}case 153:{ta=0;u=d;return ta|0}case 171:{ta=0;u=d;return ta|0}case 189:{ta=0;u=d;return ta|0}case 202:{ta=0;u=d;return ta|0}case 209:{ta=0;u=d;return ta|0}case 216:{ta=0;u=d;return ta|0}case 270:{ta=0;u=d;return ta|0}case 277:{u=d;return ta|0}}return 0}function cYa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0;c=f[a+4>>2]|0;if(!(c&1))d=0;else d=Dbc(c&-2)|0;c=f[a+20>>2]|0;e=(c<<1)+d|0;if(!c)g=e;else{d=a+28|0;h=0;i=e;while(1){e=f[(f[d>>2]|0)+4+(h<<2)>>2]|0;j=di[f[(f[e>>2]|0)+48>>2]&1023](e)|0;e=j+i+((((($(j|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=h+1|0;if((h|0)==(c|0)){g=e;break}else i=e}}i=f[a+32>>2]|0;c=f[a+44>>2]|0;h=(i<<2)+g+(c<<2)+(c+i<<1)|0;i=a+8|0;c=f[i>>2]|0;if(c&255){if(!(c&1))k=h;else{g=f[a+56>>2]|0;d=b[g+11>>0]|0;e=d<<24>>24<0?f[g+4>>2]|0:d&255;k=h+1+e+((((($(e|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(c&2))l=k;else{e=f[a+60>>2]|0;d=b[e+11>>0]|0;g=d<<24>>24<0?f[e+4>>2]|0:d&255;l=k+1+g+((((($(g|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(c&4))m=l;else{g=f[a+64>>2]|0;k=b[g+11>>0]|0;d=k<<24>>24<0?f[g+4>>2]|0:k&255;m=l+2+d+((((($(d|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(c&8))n=m;else{d=f[a+68>>2]|0;l=b[d+11>>0]|0;k=l<<24>>24<0?f[d+4>>2]|0:l&255;n=m+2+k+((((($(k|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(c&16))o=n;else{k=f[a+72>>2]|0;m=b[k+11>>0]|0;l=m<<24>>24<0?f[k+4>>2]|0:m&255;o=n+2+l+((((($(l|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(c&32)){p=o;q=c}else{l=f[a+76>>2]|0;n=di[f[(f[l>>2]|0)+48>>2]&1023](l)|0;l=o+1+n+((((($(n|1|0)|0)^31)*9|0)+73|0)>>>6)|0;p=l;q=f[i>>2]|0}if(!(q&64)){r=p;s=q}else{q=f[a+80>>2]|0;l=di[f[(f[q>>2]|0)+48>>2]&1023](q)|0;q=p+1+l+((((($(l|1|0)|0)^31)*9|0)+73|0)>>>6)|0;r=q;s=f[i>>2]|0}if(!(s&128)){t=r;u=s}else{s=f[a+84>>2]|0;q=di[f[(f[s>>2]|0)+48>>2]&1023](s)|0;s=r+2+q+((((($(q|1|0)|0)^31)*9|0)+73|0)>>>6)|0;t=s;u=f[i>>2]|0}}else{t=h;u=c}if(!(u&65280))v=t;else{if(!(u&256))w=t;else w=t+1+((((($(f[a+88>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;if(!(u&512))x=w;else x=w+1+((((($(f[a+92>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;if(!(u&1024))y=x;else y=x+1+((((($(f[a+96>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;if(!(u&2048))z=y;else{x=f[a+100>>2]|0;if((x|0)<0)A=10;else A=(((($(x|1|0)|0)^31)*9|0)+73|0)>>>6;z=y+1+A|0}if(!(u&4096))B=z;else B=z+2+((((($(f[a+104>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;if(!(u&8192))C=B;else C=B+2+((((($(f[a+108>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;if(!(u&16384))D=C;else{B=f[a+112>>2]|0;if((B|0)<0)E=10;else E=(((($(B|1|0)|0)^31)*9|0)+73|0)>>>6;D=C+2+E|0}v=u&32768|0?D+3|0:D}if(!(u&16711680))F=v;else{D=u&65536|0?v+3|0:v;if(!(u&131072))G=D;else G=D+2+((((($(f[a+120>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;if(!(u&262144))H=G;else H=G+2+((((($(f[a+124>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;if(!(u&524288))I=H;else{G=f[a+128>>2]|0;if((G|0)<0)J=12;else J=((((($(G|1|0)|0)^31)*9|0)+73|0)>>>6)+2|0;I=J+H|0}if(!(u&1048576))K=I;else{H=f[a+132>>2]|0;if((H|0)<0)L=12;else L=((((($(H|1|0)|0)^31)*9|0)+73|0)>>>6)+2|0;K=L+I|0}if(!(u&2097152))M=K;else{I=f[a+136>>2]|0;if((I|0)<0)N=12;else N=((((($(I|1|0)|0)^31)*9|0)+73|0)>>>6)+2|0;M=N+K|0}if(!(u&4194304))O=M;else O=M+2+((((($(f[a+140>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;F=u&8388608|0?O+2|0:O}if(u>>>0>16777215){if(!(u&16777216))P=F;else P=F+1+((((($(f[a+148>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;if(!(u&33554432))Q=P;else Q=P+1+((((($(f[a+152>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;P=u&67108864|0?Q+5|0:Q;if(!(u&134217728))R=P;else R=P+1+((((($(f[a+160>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;P=u&268435456|0?R+5|0:R;R=u&536870912|0?P+5|0:P;P=u&1073741824|0?R+6|0:R;S=(u|0)<0?P+6|0:P}else S=F;F=f[a+12>>2]|0;if(!(F&7)){T=S;U=a+192|0;f[U>>2]=T;return T|0}P=F&1|0?S+6|0:S;S=F&2|0?P+6|0:P;T=F&4|0?S+6|0:S;U=a+192|0;f[U>>2]=T;return T|0}function dYa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0;d=a+8|0;e=f[d>>2]|0;if(e&1|0)VLb(1,f[a+56>>2]|0,c);if(e&2|0)VLb(2,f[a+60>>2]|0,c);if(e&256|0)ILb(3,f[a+88>>2]|0,c);if(e&8388608|0)SLb(4,(b[a+144>>0]|0)!=0,c);if(e&32|0)_Lb(5,f[a+76>>2]|0,c);if(e&64|0)_Lb(6,f[a+80>>2]|0,c);if(e&512|0)ILb(7,f[a+92>>2]|0,c);if(e&1024|0)ILb(8,f[a+96>>2]|0,c);if(e&16777216|0)ILb(9,f[a+148>>2]|0,c);if(e&33554432|0)ILb(10,f[a+152>>2]|0,c);if(e&2048|0)TLb(11,f[a+100>>2]|0,c);if(e&67108864|0)QLb(12,+n[a+156>>2],c);if(e&134217728|0)ILb(13,f[a+160>>2]|0,c);if(e&268435456|0)QLb(14,+n[a+164>>2],c);if(e&536870912|0)QLb(15,+n[a+168>>2],c);if(e&4|0)VLb(16,f[a+64>>2]|0,c);if(e&1073741824|0)QLb(17,+n[a+172>>2],c);if(e&8|0)VLb(18,f[a+68>>2]|0,c);if(e&4096|0)ILb(19,f[a+104>>2]|0,c);if(e&8192|0)ILb(20,f[a+108>>2]|0,c);if(e&32768|0)SLb(21,(b[a+116>>0]|0)!=0,c);if((e|0)<0)QLb(22,+n[a+176>>2],c);g=f[a+20>>2]|0;if(g|0){h=a+28|0;i=0;do{_Lb(50,f[(f[h>>2]|0)+4+(i<<2)>>2]|0,c);i=i+1|0}while((i|0)!=(g|0))}g=f[a+32>>2]|0;if((g|0)>0){i=a+40|0;h=0;do{QLb(51,+n[(f[i>>2]|0)+4+(h<<2)>>2],c);h=h+1|0}while((h|0)!=(g|0))}g=f[a+44>>2]|0;if((g|0)>0){h=a+52|0;i=0;do{QLb(52,+n[(f[h>>2]|0)+4+(i<<2)>>2],c);i=i+1|0}while((i|0)!=(g|0))}if(e&131072|0)ILb(53,f[a+120>>2]|0,c);e=f[a+12>>2]|0;if(e&1|0)QLb(54,+n[a+180>>2],c);if(e&2|0)QLb(55,+n[a+184>>2],c);if(e&4|0)QLb(56,+n[a+188>>2],c);e=f[d>>2]|0;if(e&262144|0)ILb(58,f[a+124>>2]|0,c);if(e&16|0)VLb(59,f[a+72>>2]|0,c);if(e&524288|0)GLb(60,f[a+128>>2]|0,c);if(e&1048576|0)GLb(61,f[a+132>>2]|0,c);if(e&2097152|0)GLb(62,f[a+136>>2]|0,c);if(e&16384|0)GLb(63,f[a+112>>2]|0,c);if(e&65536|0)SLb(64,(b[a+117>>0]|0)!=0,c);if(e&4194304|0)ILb(65,f[a+140>>2]|0,c);if(e&128|0)_Lb(1001,f[a+84>>2]|0,c);e=f[a+4>>2]|0;if(!(e&1))return;Abc(e&-2,c);return}function eYa(a){a=a|0;return f[a+192>>2]|0}function fYa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0;e=a+8|0;g=f[e>>2]|0;if(!(g&1))h=d;else{i=f[a+56>>2]|0;b[d>>0]=10;h=XJb(i,d+1|0)|0}if(!(g&2))j=h;else{d=f[a+60>>2]|0;b[h>>0]=18;j=XJb(d,h+1|0)|0}if(!(g&256))k=j;else{h=f[a+88>>2]|0;b[j>>0]=24;d=j+1|0;if(h>>>0>127){j=h;i=d;while(1){b[i>>0]=j|128;l=j>>>7;m=i+1|0;if(j>>>0>16383){j=l;i=m}else{n=m;o=l;break}}}else{n=d;o=h}b[n>>0]=o;k=n+1|0}if(!(g&8388608))p=k;else{n=b[a+144>>0]|0;b[k>>0]=32;b[k+1>>0]=n;p=k+2|0}if(!(g&32))q=p;else{k=f[a+76>>2]|0;b[p>>0]=42;n=p+1|0;p=di[f[(f[k>>2]|0)+60>>2]&1023](k)|0;if(p>>>0>127){o=p;h=n;while(1){b[h>>0]=o|128;d=o>>>7;i=h+1|0;if(o>>>0>16383){o=d;h=i}else{r=i;s=d;break}}}else{r=n;s=p}b[r>>0]=s;q=li[f[(f[k>>2]|0)+64>>2]&511](k,c,r+1|0)|0}if(!(g&64))t=q;else{r=f[a+80>>2]|0;b[q>>0]=50;k=q+1|0;q=di[f[(f[r>>2]|0)+60>>2]&1023](r)|0;if(q>>>0>127){s=q;p=k;while(1){b[p>>0]=s|128;n=s>>>7;h=p+1|0;if(s>>>0>16383){s=n;p=h}else{u=h;v=n;break}}}else{u=k;v=q}b[u>>0]=v;t=li[f[(f[r>>2]|0)+64>>2]&511](r,c,u+1|0)|0}if(!(g&512))w=t;else{u=f[a+92>>2]|0;b[t>>0]=56;r=t+1|0;if(u>>>0>127){t=u;v=r;while(1){b[v>>0]=t|128;q=t>>>7;k=v+1|0;if(t>>>0>16383){t=q;v=k}else{x=k;y=q;break}}}else{x=r;y=u}b[x>>0]=y;w=x+1|0}if(!(g&1024))z=w;else{x=f[a+96>>2]|0;b[w>>0]=64;y=w+1|0;if(x>>>0>127){w=x;u=y;while(1){b[u>>0]=w|128;r=w>>>7;v=u+1|0;if(w>>>0>16383){w=r;u=v}else{A=v;B=r;break}}}else{A=y;B=x}b[A>>0]=B;z=A+1|0}if(!(g&16777216))C=z;else{A=f[a+148>>2]|0;b[z>>0]=72;B=z+1|0;if(A>>>0>127){z=A;x=B;while(1){b[x>>0]=z|128;y=z>>>7;u=x+1|0;if(z>>>0>16383){z=y;x=u}else{D=u;E=y;break}}}else{D=B;E=A}b[D>>0]=E;C=D+1|0}if(!(g&33554432))F=C;else{D=f[a+152>>2]|0;b[C>>0]=80;E=C+1|0;if(D>>>0>127){C=D;A=E;while(1){b[A>>0]=C|128;B=C>>>7;x=A+1|0;if(C>>>0>16383){C=B;A=x}else{G=x;H=B;break}}}else{G=E;H=D}b[G>>0]=H;F=G+1|0}if(!(g&2048))I=F;else{G=f[a+100>>2]|0;b[F>>0]=88;H=F+1|0;F=G&255;if(G>>>0>127){D=H;E=F;A=G;C=((G|0)<0)<<31>>31;while(1){b[D>>0]=E|-128;G=A;A=pzc(A|0,C|0,7)|0;B=D+1|0;x=A&255;if(!(C>>>0>0|(C|0)==0&G>>>0>16383)){K=B;L=x;break}else{D=B;E=x;C=J}}}else{K=H;L=F}b[K>>0]=L;I=K+1|0}if(!(g&67108864))M=I;else{K=f[a+156>>2]|0;b[I>>0]=101;L=I+1|0;b[L>>0]=K;b[L+1>>0]=K>>8;b[L+2>>0]=K>>16;b[L+3>>0]=K>>24;M=I+5|0}if(!(g&134217728))N=M;else{I=f[a+160>>2]|0;b[M>>0]=104;K=M+1|0;if(I>>>0>127){M=I;L=K;while(1){b[L>>0]=M|128;F=M>>>7;H=L+1|0;if(M>>>0>16383){M=F;L=H}else{O=H;P=F;break}}}else{O=K;P=I}b[O>>0]=P;N=O+1|0}if(!(g&268435456))Q=N;else{O=f[a+164>>2]|0;b[N>>0]=117;P=N+1|0;b[P>>0]=O;b[P+1>>0]=O>>8;b[P+2>>0]=O>>16;b[P+3>>0]=O>>24;Q=N+5|0}if(!(g&536870912))R=Q;else{N=f[a+168>>2]|0;b[Q>>0]=125;O=Q+1|0;b[O>>0]=N;b[O+1>>0]=N>>8;b[O+2>>0]=N>>16;b[O+3>>0]=N>>24;R=Q+5|0}if(!(g&4))S=R;else{Q=f[a+64>>2]|0;b[R>>0]=-126;b[R+1>>0]=1;S=XJb(Q,R+2|0)|0}if(!(g&1073741824))T=S;else{R=f[a+172>>2]|0;b[S>>0]=-115;b[S+1>>0]=1;Q=S+2|0;b[Q>>0]=R;b[Q+1>>0]=R>>8;b[Q+2>>0]=R>>16;b[Q+3>>0]=R>>24;T=S+6|0}if(!(g&8))U=T;else{S=f[a+68>>2]|0;b[T>>0]=-110;b[T+1>>0]=1;U=XJb(S,T+2|0)|0}if(!(g&4096))V=U;else{T=f[a+104>>2]|0;b[U>>0]=-104;b[U+1>>0]=1;S=U+2|0;if(T>>>0>127){U=T;R=S;while(1){b[R>>0]=U|128;Q=U>>>7;N=R+1|0;if(U>>>0>16383){U=Q;R=N}else{W=N;X=Q;break}}}else{W=S;X=T}b[W>>0]=X;V=W+1|0}if(!(g&8192))Y=V;else{W=f[a+108>>2]|0;b[V>>0]=-96;b[V+1>>0]=1;X=V+2|0;if(W>>>0>127){V=W;T=X;while(1){b[T>>0]=V|128;S=V>>>7;R=T+1|0;if(V>>>0>16383){V=S;T=R}else{Z=R;_=S;break}}}else{Z=X;_=W}b[Z>>0]=_;Y=Z+1|0}if(!(g&32768))$=Y;else{Z=b[a+116>>0]|0;b[Y>>0]=-88;b[Y+1>>0]=1;b[Y+2>>0]=Z;$=Y+3|0}if((g|0)<0){Y=f[a+176>>2]|0;b[$>>0]=-75;b[$+1>>0]=1;Z=$+2|0;b[Z>>0]=Y;b[Z+1>>0]=Y>>8;b[Z+2>>0]=Y>>16;b[Z+3>>0]=Y>>24;aa=$+6|0}else aa=$;$=f[a+20>>2]|0;if(!$)ba=aa;else{Y=a+28|0;Z=0;_=aa;while(1){aa=f[(f[Y>>2]|0)+4+(Z<<2)>>2]|0;b[_>>0]=-110;b[_+1>>0]=3;W=_+2|0;X=di[f[(f[aa>>2]|0)+60>>2]&1023](aa)|0;if(X>>>0>127){T=X;V=W;while(1){b[V>>0]=T|128;S=T>>>7;R=V+1|0;if(T>>>0>16383){T=S;V=R}else{ca=R;da=S;break}}}else{ca=W;da=X}b[ca>>0]=da;V=li[f[(f[aa>>2]|0)+64>>2]&511](aa,c,ca+1|0)|0;Z=Z+1|0;if((Z|0)==($|0)){ba=V;break}else _=V}}_=f[a+32>>2]|0;if(!_)ea=ba;else{$=f[a+40>>2]|0;Z=0;ca=ba;while(1){ba=f[$+4+(Z<<2)>>2]|0;b[ca>>0]=-99;b[ca+1>>0]=3;da=ca+2|0;b[da>>0]=ba;b[da+1>>0]=ba>>8;b[da+2>>0]=ba>>16;b[da+3>>0]=ba>>24;ba=ca+6|0;Z=Z+1|0;if((Z|0)>=(_|0)){ea=ba;break}else ca=ba}}ca=f[a+44>>2]|0;if(!ca)fa=ea;else{_=f[a+52>>2]|0;Z=0;$=ea;while(1){ea=f[_+4+(Z<<2)>>2]|0;b[$>>0]=-91;b[$+1>>0]=3;ba=$+2|0;b[ba>>0]=ea;b[ba+1>>0]=ea>>8;b[ba+2>>0]=ea>>16;b[ba+3>>0]=ea>>24;ea=$+6|0;Z=Z+1|0;if((Z|0)>=(ca|0)){fa=ea;break}else $=ea}}if(!(g&131072))ga=fa;else{g=f[a+120>>2]|0;b[fa>>0]=-88;b[fa+1>>0]=3;$=fa+2|0;if(g>>>0>127){fa=g;ca=$;while(1){b[ca>>0]=fa|128;Z=fa>>>7;_=ca+1|0;if(fa>>>0>16383){fa=Z;ca=_}else{ha=_;ia=Z;break}}}else{ha=$;ia=g}b[ha>>0]=ia;ga=ha+1|0}ha=f[a+12>>2]|0;if(!(ha&1))ja=ga;else{ia=f[a+180>>2]|0;b[ga>>0]=-75;b[ga+1>>0]=3;g=ga+2|0;b[g>>0]=ia;b[g+1>>0]=ia>>8;b[g+2>>0]=ia>>16;b[g+3>>0]=ia>>24;ja=ga+6|0}if(!(ha&2))ka=ja;else{ga=f[a+184>>2]|0;b[ja>>0]=-67;b[ja+1>>0]=3;ia=ja+2|0;b[ia>>0]=ga;b[ia+1>>0]=ga>>8;b[ia+2>>0]=ga>>16;b[ia+3>>0]=ga>>24;ka=ja+6|0}if(!(ha&4))la=ka;else{ha=f[a+188>>2]|0;b[ka>>0]=-59;b[ka+1>>0]=3;ja=ka+2|0;b[ja>>0]=ha;b[ja+1>>0]=ha>>8;b[ja+2>>0]=ha>>16;b[ja+3>>0]=ha>>24;la=ka+6|0}ka=f[e>>2]|0;if(!(ka&262144))ma=la;else{e=f[a+124>>2]|0;b[la>>0]=-48;b[la+1>>0]=3;ha=la+2|0;if(e>>>0>127){la=e;ja=ha;while(1){b[ja>>0]=la|128;ga=la>>>7;ia=ja+1|0;if(la>>>0>16383){la=ga;ja=ia}else{na=ia;oa=ga;break}}}else{na=ha;oa=e}b[na>>0]=oa;ma=na+1|0}if(!(ka&16))pa=ma;else{na=f[a+72>>2]|0;b[ma>>0]=-38;b[ma+1>>0]=3;pa=XJb(na,ma+2|0)|0}if(!(ka&524288))qa=pa;else{ma=f[a+128>>2]|0;b[pa>>0]=-32;b[pa+1>>0]=3;na=pa+2|0;pa=ma&255;if(ma>>>0>127){oa=na;e=pa;ha=ma;ja=((ma|0)<0)<<31>>31;while(1){b[oa>>0]=e|-128;ma=ha;ha=pzc(ha|0,ja|0,7)|0;la=oa+1|0;ga=ha&255;if(!(ja>>>0>0|(ja|0)==0&ma>>>0>16383)){ra=la;sa=ga;break}else{oa=la;e=ga;ja=J}}}else{ra=na;sa=pa}b[ra>>0]=sa;qa=ra+1|0}if(!(ka&1048576))ta=qa;else{ra=f[a+132>>2]|0;b[qa>>0]=-24;b[qa+1>>0]=3;sa=qa+2|0;qa=ra&255;if(ra>>>0>127){pa=sa;na=qa;ja=ra;e=((ra|0)<0)<<31>>31;while(1){b[pa>>0]=na|-128;ra=ja;ja=pzc(ja|0,e|0,7)|0;oa=pa+1|0;ha=ja&255;if(!(e>>>0>0|(e|0)==0&ra>>>0>16383)){ua=oa;va=ha;break}else{pa=oa;na=ha;e=J}}}else{ua=sa;va=qa}b[ua>>0]=va;ta=ua+1|0}if(!(ka&2097152))wa=ta;else{ua=f[a+136>>2]|0;b[ta>>0]=-16;b[ta+1>>0]=3;va=ta+2|0;ta=ua&255;if(ua>>>0>127){qa=va;sa=ta;e=ua;na=((ua|0)<0)<<31>>31;while(1){b[qa>>0]=sa|-128;ua=e;e=pzc(e|0,na|0,7)|0;pa=qa+1|0;ja=e&255;if(!(na>>>0>0|(na|0)==0&ua>>>0>16383)){xa=pa;ya=ja;break}else{qa=pa;sa=ja;na=J}}}else{xa=va;ya=ta}b[xa>>0]=ya;wa=xa+1|0}if(!(ka&16384))za=wa;else{xa=f[a+112>>2]|0;b[wa>>0]=-8;b[wa+1>>0]=3;ya=wa+2|0;wa=xa&255;if(xa>>>0>127){ta=ya;va=wa;na=xa;sa=((xa|0)<0)<<31>>31;while(1){b[ta>>0]=va|-128;xa=na;na=pzc(na|0,sa|0,7)|0;qa=ta+1|0;e=na&255;if(!(sa>>>0>0|(sa|0)==0&xa>>>0>16383)){Aa=qa;Ba=e;break}else{ta=qa;va=e;sa=J}}}else{Aa=ya;Ba=wa}b[Aa>>0]=Ba;za=Aa+1|0}if(!(ka&65536))Ca=za;else{Aa=b[a+117>>0]|0;b[za>>0]=-128;b[za+1>>0]=4;b[za+2>>0]=Aa;Ca=za+3|0}if(!(ka&4194304))Da=Ca;else{za=f[a+140>>2]|0;b[Ca>>0]=-120;b[Ca+1>>0]=4;Aa=Ca+2|0;if(za>>>0>127){Ca=za;Ba=Aa;while(1){b[Ba>>0]=Ca|128;wa=Ca>>>7;ya=Ba+1|0;if(Ca>>>0>16383){Ca=wa;Ba=ya}else{Ea=ya;Fa=wa;break}}}else{Ea=Aa;Fa=za}b[Ea>>0]=Fa;Da=Ea+1|0}if(!(ka&128))Ga=Da;else{ka=f[a+84>>2]|0;b[Da>>0]=-54;b[Da+1>>0]=62;Ea=Da+2|0;Da=di[f[(f[ka>>2]|0)+60>>2]&1023](ka)|0;if(Da>>>0>127){Fa=Da;za=Ea;while(1){b[za>>0]=Fa|128;Aa=Fa>>>7;Ba=za+1|0;if(Fa>>>0>16383){Fa=Aa;za=Ba}else{Ha=Ba;Ia=Aa;break}}}else{Ha=Ea;Ia=Da}b[Ha>>0]=Ia;Ga=li[f[(f[ka>>2]|0)+64>>2]&511](ka,c,Ha+1|0)|0}Ha=f[a+4>>2]|0;if(!(Ha&1)){Ja=Ga;return Ja|0}Ja=Bbc(Ha&-2,Ga)|0;return Ja|0}function gYa(a,b){a=a|0;b=b|0;var c=0;if((a|0)==(b|0))return;$Xa(a);c=ovc(b,24728,19688,0)|0;if(!c){A9b(b,a);return}else{kYa(a,c);return}}function hYa(a,b){a=a|0;b=b|0;var c=0;c=ovc(b,24728,19688,0)|0;if(!c){A9b(b,a);return}else{kYa(a,c);return}}function iYa(a,b){a=a|0;b=b|0;f[a+192>>2]=b;return}function jYa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224781]|0)!=2){f[d>>2]=151624;f[d+4>>2]=21;b[d+8>>0]=0;xLb(899124,d);QKb(d)}d=541024;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function kYa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;d=a+4|0;e=f[c+4>>2]|0;if(e&1|0){g=f[d>>2]|0;if(!(g&1))h=OOa(d)|0;else h=g&-2;hbc(h,e&-2)}VEa(a+16|0,c+16|0);e=a+32|0;h=c+32|0;g=f[h>>2]|0;if(g|0){REa(e,(f[e>>2]|0)+g|0);szc((f[a+40>>2]|0)+4+(f[e>>2]<<2)|0,(f[c+40>>2]|0)+4|0,f[h>>2]<<2|0)|0;f[e>>2]=(f[e>>2]|0)+(f[h>>2]|0)}h=a+44|0;e=c+44|0;g=f[e>>2]|0;if(g|0){REa(h,(f[h>>2]|0)+g|0);szc((f[a+52>>2]|0)+4+(f[h>>2]<<2)|0,(f[c+52>>2]|0)+4|0,f[e>>2]<<2|0)|0;f[h>>2]=(f[h>>2]|0)+(f[e>>2]|0)}e=f[c+8>>2]|0;do if(e&255|0){do if(e&1|0?(h=a+8|0,f[h>>2]=f[h>>2]|1,h=a+56|0,g=f[c+56>>2]|0,d=f[h>>2]|0,(d|0)!=(g|0)):0)if((d|0)==542896){JEa(h,g);break}else{ruc(d,g)|0;break}while(0);do if(e&2|0?(g=a+8|0,f[g>>2]=f[g>>2]|2,g=a+60|0,d=f[c+60>>2]|0,h=f[g>>2]|0,(h|0)!=(d|0)):0)if((h|0)==542896){JEa(g,d);break}else{ruc(h,d)|0;break}while(0);do if(e&4|0?(d=a+8|0,f[d>>2]=f[d>>2]|4,d=a+64|0,h=f[c+64>>2]|0,g=f[d>>2]|0,(g|0)!=(h|0)):0)if((g|0)==542896){JEa(d,h);break}else{ruc(g,h)|0;break}while(0);do if(e&8|0?(h=a+8|0,f[h>>2]=f[h>>2]|8,h=a+68|0,g=f[c+68>>2]|0,d=f[h>>2]|0,(d|0)!=(g|0)):0)if((d|0)==542896){JEa(h,g);break}else{ruc(d,g)|0;break}while(0);do if(e&16|0?(g=a+8|0,f[g>>2]=f[g>>2]|16,g=a+72|0,d=f[c+72>>2]|0,h=f[g>>2]|0,(h|0)!=(d|0)):0)if((h|0)==540488){JEa(g,d);break}else{ruc(h,d)|0;break}while(0);if(e&32|0){d=a+8|0;f[d>>2]=f[d>>2]|32;d=a+76|0;h=f[d>>2]|0;if(!h){g=cuc(48)|0;DXa(g);f[d>>2]=g;i=g}else i=h;h=f[c+76>>2]|0;EXa(i,h|0?h:537032)}if(e&64|0){h=a+8|0;f[h>>2]=f[h>>2]|64;h=a+80|0;g=f[h>>2]|0;if(!g){d=cuc(48)|0;DXa(d);f[h>>2]=d;j=d}else j=g;g=f[c+80>>2]|0;EXa(j,g|0?g:537032)}if(e&128|0){g=a+8|0;f[g>>2]=f[g>>2]|128;g=a+84|0;d=f[g>>2]|0;if(!d){h=cuc(20)|0;lYa(h);f[g>>2]=h;k=h}else k=d;d=f[c+84>>2]|0;h=d|0?d:538816;d=k+4|0;g=f[h+4>>2]|0;if(g&1|0){l=f[d>>2]|0;if(!(l&1))m=OOa(d)|0;else m=l&-2;hbc(m,g&-2)}if(f[h+8>>2]&1|0?(g=k+8|0,f[g>>2]=f[g>>2]|1,g=k+16|0,l=f[h+16>>2]|0,h=f[g>>2]|0,(h|0)!=(l|0)):0)if((h|0)==542896){JEa(g,l);break}else{ruc(h,l)|0;break}}}while(0);if(e&65280|0){if(e&256|0)f[a+88>>2]=f[c+88>>2];if(e&512|0)f[a+92>>2]=f[c+92>>2];if(e&1024|0)f[a+96>>2]=f[c+96>>2];if(e&2048|0)f[a+100>>2]=f[c+100>>2];if(e&4096|0)f[a+104>>2]=f[c+104>>2];if(e&8192|0)f[a+108>>2]=f[c+108>>2];if(e&16384|0)f[a+112>>2]=f[c+112>>2];if(e&32768|0)b[a+116>>0]=b[c+116>>0]|0;k=a+8|0;f[k>>2]=f[k>>2]|e}if(e&16711680|0){if(e&65536|0)b[a+117>>0]=b[c+117>>0]|0;if(e&131072|0)f[a+120>>2]=f[c+120>>2];if(e&262144|0)f[a+124>>2]=f[c+124>>2];if(e&524288|0)f[a+128>>2]=f[c+128>>2];if(e&1048576|0)f[a+132>>2]=f[c+132>>2];if(e&2097152|0)f[a+136>>2]=f[c+136>>2];if(e&4194304|0)f[a+140>>2]=f[c+140>>2];if(e&8388608|0)b[a+144>>0]=b[c+144>>0]|0;k=a+8|0;f[k>>2]=f[k>>2]|e}if(e>>>0>16777215){if(e&16777216|0)f[a+148>>2]=f[c+148>>2];if(e&33554432|0)f[a+152>>2]=f[c+152>>2];if(e&67108864|0)f[a+156>>2]=f[c+156>>2];if(e&134217728|0)f[a+160>>2]=f[c+160>>2];if(e&268435456|0)f[a+164>>2]=f[c+164>>2];if(e&536870912|0)f[a+168>>2]=f[c+168>>2];if(e&1073741824|0)f[a+172>>2]=f[c+172>>2];if((e|0)<0)f[a+176>>2]=f[c+176>>2];k=a+8|0;f[k>>2]=f[k>>2]|e}e=f[c+12>>2]|0;if(!(e&7))return;if(e&1|0)f[a+180>>2]=f[c+180>>2];if(e&2|0)f[a+184>>2]=f[c+184>>2];if(e&4|0)f[a+188>>2]=f[c+188>>2];c=a+12|0;f[c>>2]=f[c>>2]|e;return}function lYa(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=123056;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=538816?(f[224820]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=60;b[d+8>>0]=0;xLb(899280,d);QKb(d)}f[a+12>>2]=0;f[a+16>>2]=542896;u=c;return}function mYa(a){a=a|0;var c=0,d=0;f[a>>2]=123056;c=f[a+16>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}c=a+4|0;a=f[c>>2]|0;if(!(a&1)){f[c>>2]=0;return}d=a&-2;a=d;if((d|0)==0|(f[a+4>>2]|0)!=0){f[c>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(d);f[c>>2]=0;return}function nYa(a){a=a|0;mYa(a);fuc(a);return}function oYa(a){a=a|0;a=cuc(20)|0;lYa(a);return a|0}function pYa(a,b){a=a|0;b=b|0;a=cuc(20)|0;lYa(a);if(!b)return a|0;BYa(b,a);return a|0}function qYa(a){a=a|0;var c=0,d=0,e=0;c=a+8|0;do if(f[c>>2]&1|0){d=f[a+16>>2]|0;e=d+11|0;if((b[e>>0]|0)<0){b[f[d>>2]>>0]=0;f[d+4>>2]=0;break}else{b[d>>0]=0;b[e>>0]=0;break}}while(0);f[c>>2]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;ebc(a);return}function rYa(a){a=a|0;return 1}function sYa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=c+4|0;e=a+8|0;g=a+16|0;h=a+4|0;while(1){a=f[c>>2]|0;if(a>>>0<(f[d>>2]|0)>>>0){i=b[a>>0]|0;j=i&255;if(i<<24>>24>0){f[c>>2]=a+1;k=j;l=6}else{m=j;l=5}}else{m=0;l=5}if((l|0)==5){l=0;j=OJb(c,m)|0;if((j+-1|0)>>>0<127){k=j;l=6}else n=j}if((l|0)==6){l=0;if((k|0)==10){f[e>>2]=f[e>>2]|1;j=f[g>>2]|0;if((j|0)==542896){JEa(g,542896);o=f[g>>2]|0}else o=j;if($Lb(c,o)|0)continue;else{p=0;l=15;break}}else n=k}if(!n){p=1;l=15;break}j=f[h>>2]|0;if(!(j&1))q=OOa(h)|0;else q=j&-2;if(!(xbc(c,n,q)|0)){p=0;l=15;break}}if((l|0)==15)return p|0;return 0}function tYa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0;c=f[a+4>>2]|0;if(!(c&1))d=0;else d=Dbc(c&-2)|0;if(!(f[a+8>>2]&1)){e=d;g=a+12|0;f[g>>2]=e;return e|0}c=f[a+16>>2]|0;h=b[c+11>>0]|0;i=h<<24>>24<0?f[c+4>>2]|0:h&255;e=d+1+i+((((($(i|1|0)|0)^31)*9|0)+73|0)>>>6)|0;g=a+12|0;f[g>>2]=e;return e|0}function uYa(a,b){a=a|0;b=b|0;var c=0;if(f[a+8>>2]&1|0)VLb(1,f[a+16>>2]|0,b);c=f[a+4>>2]|0;if(!(c&1))return;Abc(c&-2,b);return}function vYa(a){a=a|0;return f[a+12>>2]|0}function wYa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0;if(!(f[a+8>>2]&1))e=d;else{c=f[a+16>>2]|0;b[d>>0]=10;e=XJb(c,d+1|0)|0}d=f[a+4>>2]|0;if(!(d&1)){g=e;return g|0}g=Bbc(d&-2,e)|0;return g|0}function xYa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;if((a|0)==(c|0))return;d=a+8|0;do if(f[d>>2]&1|0){e=f[a+16>>2]|0;g=e+11|0;if((b[g>>0]|0)<0){b[f[e>>2]>>0]=0;f[e+4>>2]=0;break}else{b[e>>0]=0;b[g>>0]=0;break}}while(0);f[d>>2]=0;d=f[a+4>>2]|0;if(d&1|0?(g=d&-2,f[g>>2]|0):0)ebc(g);yYa(a,c);return}function yYa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=ovc(b,24728,19704,0)|0;if(!c){A9b(b,a);return}b=a+4|0;d=f[c+4>>2]|0;if(d&1|0){e=f[b>>2]|0;if(!(e&1))g=OOa(b)|0;else g=e&-2;hbc(g,d&-2)}if(!(f[c+8>>2]&1))return;d=a+8|0;f[d>>2]=f[d>>2]|1;d=a+16|0;a=f[c+16>>2]|0;c=f[d>>2]|0;if((c|0)==(a|0))return;if((c|0)==542896){JEa(d,a);return}else{ruc(c,a)|0;return}}function zYa(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function AYa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224781]|0)!=2){f[d>>2]=151624;f[d+4>>2]=21;b[d+8>>0]=0;xLb(899124,d);QKb(d)}d=540800;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function BYa(a,b){a=a|0;b=b|0;if(!b)return;EIb(a,b,1978);return}function CYa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;b=a+12|0;c=f[b>>2]|0;do if(!c){d=a+4|0;e=f[a+8>>2]|0;g=6}else{h=a+4|0;i=f[h>>2]|0;j=f[c>>2]|0;if((i|0)>=(j|0))if((j|0)==(f[a+8>>2]|0)){d=h;e=j;g=6;break}else{k=h;l=j;m=c;break}f[h>>2]=i+1;n=f[c+4+(i<<2)>>2]|0;return n|0}while(0);if((g|0)==6){LKb(a,e+1|0);e=f[b>>2]|0;k=d;l=f[e>>2]|0;m=e}f[m>>2]=l+1;l=f[a>>2]|0;if(!l){a=cuc(108)|0;DYa(a);o=a}else{if(f[l+64>>2]|0)HIb(l,19720,112);a=GIb(l,112,1965)|0;DYa(a);o=a}a=f[b>>2]|0;b=f[k>>2]|0;f[k>>2]=b+1;f[a+4+(b<<2)>>2]=o;n=o;return n|0}function DYa(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=123164;f[a+4>>2]=0;f[a+8>>2]=0;f[a+16>>2]=0;f[a+20>>2]=0;f[a+24>>2]=0;f[a+32>>2]=0;f[a+36>>2]=0;f[a+40>>2]=0;f[a+48>>2]=0;f[a+52>>2]=0;f[a+56>>2]=0;f[a+64>>2]=0;f[a+68>>2]=0;f[a+72>>2]=0;if((a|0)!=536584?(f[224784]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=24;b[d+8>>0]=0;xLb(899136,d);QKb(d)}f[a+12>>2]=0;f[a+80>>2]=542896;d=a+84|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;f[d+16>>2]=0;f[d+20>>2]=0;u=c;return}function EYa(a){a=a|0;var c=0,d=0;f[a>>2]=123164;c=f[a+80>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}if((a|0)!=536584?(c=f[a+84>>2]|0,c|0):0)bi[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+72>>2]|0;if(c|0?(f[c>>2]|0)==0:0)fuc(c);c=f[a+56>>2]|0;if(c|0?(f[c>>2]|0)==0:0)fuc(c);c=f[a+40>>2]|0;if(c|0?(f[c>>2]|0)==0:0)fuc(c);c=f[a+24>>2]|0;if(c|0?(f[c>>2]|0)==0:0)fuc(c);c=a+4|0;a=f[c>>2]|0;if(!(a&1)){f[c>>2]=0;return}d=a&-2;a=d;if((d|0)==0|(f[a+4>>2]|0)!=0){f[c>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(d);f[c>>2]=0;return}function FYa(a){a=a|0;EYa(a);fuc(a);return}function GYa(a){a=a|0;a=cuc(108)|0;DYa(a);return a|0}function HYa(a,b){a=a|0;b=b|0;a=cuc(108)|0;DYa(a);if(!b)return a|0;VYa(b,a);return a|0}function IYa(a){a=a|0;var c=0,d=0,e=0,g=0;f[a+16>>2]=0;f[a+32>>2]=0;f[a+48>>2]=0;f[a+64>>2]=0;c=a+8|0;d=f[c>>2]|0;if(d&3|0){do if(d&1|0){e=f[a+80>>2]|0;g=e+11|0;if((b[g>>0]|0)<0){b[f[e>>2]>>0]=0;f[e+4>>2]=0;break}else{b[e>>0]=0;b[g>>0]=0;break}}while(0);if((d&2|0?(g=f[a+84>>2]|0,f[g+16>>2]=0,f[g+8>>2]=0,e=f[g+4>>2]|0,e&1|0):0)?(g=e&-2,f[g>>2]|0):0)ebc(g)}if(d&124|0){d=a+88|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;f[d+16>>2]=0}f[c>>2]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;ebc(a);return}function JYa(a){a=a|0;return 1}function KYa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0.0,na=0,oa=0,pa=0,qa=0,ra=0.0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0;d=u;u=u+16|0;e=d;g=c+4|0;i=a+8|0;j=a+88|0;k=a+92|0;l=a+96|0;m=a+100|0;n=a+16|0;o=a+20|0;q=a+24|0;r=a+32|0;t=a+36|0;v=a+40|0;w=a+84|0;x=e+4|0;y=a+48|0;z=a+52|0;A=a+56|0;B=a+64|0;C=a+68|0;D=a+72|0;E=a+104|0;F=a+4|0;G=a+80|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){H=b[a>>0]|0;I=H&255;if(H<<24>>24>0){f[c>>2]=a+1;K=I;L=6}else{M=I;L=5}}else{M=0;L=5}if((L|0)==5){L=0;I=OJb(c,M)|0;if((I+-1|0)>>>0<127){K=I;L=6}else N=I}b:do if((L|0)==6){L=0;do switch(K>>>3&536870911|0){case 1:{if((K&255|0)!=8){N=K;break b}f[i>>2]=f[i>>2]|4;I=f[c>>2]|0;if(I>>>0<(f[g>>2]|0)>>>0){a=b[I>>0]|0;H=a&255;if(a<<24>>24>-1){f[c>>2]=I+1;O=H}else{P=H;L=11}}else{P=0;L=11}if((L|0)==11){L=0;H=zJb(c,P)|0;I=J;if((I|0)>-1|(I|0)==-1&H>>>0>4294967295)O=H;else{Q=0;L=154;break a}}f[j>>2]=O;continue a;break}case 2:{if((K&255|0)!=16){N=K;break b}f[i>>2]=f[i>>2]|8;H=f[c>>2]|0;if(H>>>0<(f[g>>2]|0)>>>0){I=b[H>>0]|0;a=I&255;if(I<<24>>24>-1){f[c>>2]=H+1;R=a}else{S=a;L=17}}else{S=0;L=17}if((L|0)==17){L=0;a=zJb(c,S)|0;H=J;if((H|0)>-1|(H|0)==-1&a>>>0>4294967295)R=a;else{Q=0;L=154;break a}}f[k>>2]=R;continue a;break}case 3:{if((K&255|0)!=24){N=K;break b}f[i>>2]=f[i>>2]|16;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){H=b[a>>0]|0;I=H&255;if(H<<24>>24>-1){f[c>>2]=a+1;T=I}else{U=I;L=23}}else{U=0;L=23}if((L|0)==23){L=0;I=zJb(c,U)|0;a=J;if((a|0)>-1|(a|0)==-1&I>>>0>4294967295)T=I;else{Q=0;L=154;break a}}f[l>>2]=T;continue a;break}case 4:{if((K&255|0)!=32){N=K;break b}f[i>>2]=f[i>>2]|32;I=f[c>>2]|0;if(I>>>0<(f[g>>2]|0)>>>0){a=b[I>>0]|0;H=a&255;if(a<<24>>24>-1){f[c>>2]=I+1;V=H}else{W=H;L=29}}else{W=0;L=29}if((L|0)==29){L=0;H=zJb(c,W)|0;I=J;if((I|0)>-1|(I|0)==-1&H>>>0>4294967295)V=H;else{Q=0;L=154;break a}}f[m>>2]=V;continue a;break}case 5:{switch((K&255)<<24>>24){case 42:break;case 45:{if(IQa(1,42,c,n)|0)continue a;else{Q=0;L=154;break a}break}default:{N=K;break b}}H=f[c>>2]|0;if(H>>>0<(f[g>>2]|0)>>>0?(I=b[H>>0]|0,I<<24>>24>-1):0){f[c>>2]=H+1;X=I&255}else{I=NJb(c)|0;if((I|0)>-1)X=I;else{Q=0;L=154;break a}}Y=f[n>>2]|0;I=(X|0)/4|0;if((I<<2|0)!=(X|0)){Q=0;L=154;break a}H=GJb(c)|0;a=EJb(c)|0;if((((H|0)==-1|(a|0)<(H|0)?a:H)|0)>=(X|0)){H=Y+I|0;if((f[n>>2]|0)<(H|0)?(REa(n,H),a=f[n>>2]|0,Z=H-a|0,(Z<<2|0)>0):0)kzc((f[q>>2]|0)+((a<<2)+4)|0,0,(((Z|-1073741824|0)==-1073741824?1073741823:1073741822)+Z<<2)+8|0)|0;f[n>>2]=H;H=f[q>>2]|0;if(IJb(c,((H|0)==0?0:H+4|0)+(Y<<2)|0,X)|0)continue a;else{L=43;break a}}if((X|0)>3)_=0;else continue a;while(1){H=f[c>>2]|0;if(((f[g>>2]|0)-H|0)>3){Z=H;a=h[Z>>0]|h[Z+1>>0]<<8|h[Z+2>>0]<<16|h[Z+3>>0]<<24;f[e>>2]=a;f[c>>2]=H+4;$=a}else{if(!(LJb(c,e)|0)){L=52;break a}$=f[e>>2]|0}a=f[n>>2]|0;if((a|0)==(f[o>>2]|0)){REa(n,a+1|0);aa=f[n>>2]|0}else aa=a;a=f[q>>2]|0;f[n>>2]=aa+1;f[a+4+(aa<<2)>>2]=$;a=_+1|0;if((a|0)<(I|0))_=a;else continue a}break}case 6:{switch((K&255)<<24>>24){case 50:break;case 53:{if(IQa(1,50,c,r)|0)continue a;else{Q=0;L=154;break a}break}default:{N=K;break b}}I=f[c>>2]|0;if(I>>>0<(f[g>>2]|0)>>>0?(a=b[I>>0]|0,a<<24>>24>-1):0){f[c>>2]=I+1;ba=a&255}else{a=NJb(c)|0;if((a|0)>-1)ba=a;else{Q=0;L=154;break a}}ca=f[r>>2]|0;a=(ba|0)/4|0;if((a<<2|0)!=(ba|0)){Q=0;L=154;break a}I=GJb(c)|0;H=EJb(c)|0;if((((I|0)==-1|(H|0)<(I|0)?H:I)|0)>=(ba|0)){I=ca+a|0;if((f[r>>2]|0)<(I|0)?(REa(r,I),H=f[r>>2]|0,Z=I-H|0,(Z<<2|0)>0):0)kzc((f[v>>2]|0)+((H<<2)+4)|0,0,(((Z|-1073741824|0)==-1073741824?1073741823:1073741822)+Z<<2)+8|0)|0;f[r>>2]=I;I=f[v>>2]|0;if(IJb(c,((I|0)==0?0:I+4|0)+(ca<<2)|0,ba)|0)continue a;else{L=66;break a}}if((ba|0)>3)da=0;else continue a;while(1){I=f[c>>2]|0;if(((f[g>>2]|0)-I|0)>3){Z=I;H=h[Z>>0]|h[Z+1>>0]<<8|h[Z+2>>0]<<16|h[Z+3>>0]<<24;f[e>>2]=H;f[c>>2]=I+4;ea=H}else{if(!(LJb(c,e)|0)){L=75;break a}ea=f[e>>2]|0}H=f[r>>2]|0;if((H|0)==(f[t>>2]|0)){REa(r,H+1|0);fa=f[r>>2]|0}else fa=H;H=f[v>>2]|0;f[r>>2]=fa+1;f[H+4+(fa<<2)>>2]=ea;H=da+1|0;if((H|0)<(a|0))da=H;else continue a}break}case 7:{if((K&255|0)!=58){N=K;break b}f[i>>2]=f[i>>2]|2;a=f[w>>2]|0;if(!a){H=cuc(32)|0;UYa(H);f[w>>2]=H;ga=H}else ga=a;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(H=b[a>>0]|0,H<<24>>24>-1):0){f[c>>2]=a+1;ha=H&255}else{H=NJb(c)|0;if((H|0)>-1)ha=H;else{Q=0;L=154;break a}}yJb(e,c,ha);if((f[x>>2]|0)<0){L=86;break a}if(!(Th[f[(f[ga>>2]|0)+44>>2]&1023](ga,c)|0)){L=86;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{Q=0;L=154;break a}break}case 8:{switch((K&255)<<24>>24){case 66:break;case 65:{if(qRa(1,66,c,y)|0)continue a;else{Q=0;L=154;break a}break}default:{N=K;break b}}H=f[c>>2]|0;if(H>>>0<(f[g>>2]|0)>>>0?(a=b[H>>0]|0,a<<24>>24>-1):0){f[c>>2]=H+1;ia=a&255}else{a=NJb(c)|0;if((a|0)>-1)ia=a;else{Q=0;L=154;break a}}ja=f[y>>2]|0;a=(ia|0)/8|0;if((a<<3|0)!=(ia|0)){Q=0;L=154;break a}H=GJb(c)|0;I=EJb(c)|0;if((((H|0)==-1|(I|0)<(H|0)?I:H)|0)>=(ia|0)){H=ja+a|0;if((f[y>>2]|0)<(H|0)?(oRa(y,H),I=f[y>>2]|0,Z=H-I|0,(Z<<3|0)>0):0)kzc((f[A>>2]|0)+((I<<3)+8)|0,0,(((Z|-536870912|0)==-536870912?536870911:536870910)+Z<<3)+16|0)|0;f[y>>2]=H;H=f[A>>2]|0;if(IJb(c,((H|0)==0?0:H+8|0)+(ja<<3)|0,ia)|0)continue a;else{L=100;break a}}if((ia|0)>7)ka=0;else continue a;while(1){H=f[c>>2]|0;if(((f[g>>2]|0)-H|0)>7){Z=H;I=Z;la=h[I>>0]|h[I+1>>0]<<8|h[I+2>>0]<<16|h[I+3>>0]<<24;I=Z+4|0;Z=h[I>>0]|h[I+1>>0]<<8|h[I+2>>0]<<16|h[I+3>>0]<<24;I=e;f[I>>2]=la;f[I+4>>2]=Z;f[c>>2]=H+8;f[s>>2]=la;f[s+4>>2]=Z;ma=+p[s>>3]}else{if(!(MJb(c,e)|0)){L=109;break a}ma=+p[e>>3]}Z=f[y>>2]|0;if((Z|0)==(f[z>>2]|0)){oRa(y,Z+1|0);na=f[y>>2]|0}else na=Z;Z=f[A>>2]|0;f[y>>2]=na+1;p[Z+8+(na<<3)>>3]=ma;Z=ka+1|0;if((Z|0)<(a|0))ka=Z;else continue a}break}case 9:{switch((K&255)<<24>>24){case 74:break;case 73:{if(qRa(1,74,c,B)|0)continue a;else{Q=0;L=154;break a}break}default:{N=K;break b}}a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(Z=b[a>>0]|0,Z<<24>>24>-1):0){f[c>>2]=a+1;oa=Z&255}else{Z=NJb(c)|0;if((Z|0)>-1)oa=Z;else{Q=0;L=154;break a}}pa=f[B>>2]|0;Z=(oa|0)/8|0;if((Z<<3|0)!=(oa|0)){Q=0;L=154;break a}a=GJb(c)|0;la=EJb(c)|0;if((((a|0)==-1|(la|0)<(a|0)?la:a)|0)>=(oa|0)){a=pa+Z|0;if((f[B>>2]|0)<(a|0)?(oRa(B,a),la=f[B>>2]|0,H=a-la|0,(H<<3|0)>0):0)kzc((f[D>>2]|0)+((la<<3)+8)|0,0,(((H|-536870912|0)==-536870912?536870911:536870910)+H<<3)+16|0)|0;f[B>>2]=a;a=f[D>>2]|0;if(IJb(c,((a|0)==0?0:a+8|0)+(pa<<3)|0,oa)|0)continue a;else{L=123;break a}}if((oa|0)>7)qa=0;else continue a;while(1){a=f[c>>2]|0;if(((f[g>>2]|0)-a|0)>7){H=a;la=H;I=h[la>>0]|h[la+1>>0]<<8|h[la+2>>0]<<16|h[la+3>>0]<<24;la=H+4|0;H=h[la>>0]|h[la+1>>0]<<8|h[la+2>>0]<<16|h[la+3>>0]<<24;la=e;f[la>>2]=I;f[la+4>>2]=H;f[c>>2]=a+8;f[s>>2]=I;f[s+4>>2]=H;ra=+p[s>>3]}else{if(!(MJb(c,e)|0)){L=132;break a}ra=+p[e>>3]}H=f[B>>2]|0;if((H|0)==(f[C>>2]|0)){oRa(B,H+1|0);sa=f[B>>2]|0}else sa=H;H=f[D>>2]|0;f[B>>2]=sa+1;p[H+8+(sa<<3)>>3]=ra;H=qa+1|0;if((H|0)<(Z|0))qa=H;else continue a}break}case 10:{if((K&255|0)!=80){N=K;break b}Z=f[c>>2]|0;if(Z>>>0<(f[g>>2]|0)>>>0){H=b[Z>>0]|0;I=H&255;if(H<<24>>24>-1){f[c>>2]=Z+1;ta=I}else{ua=I;L=138}}else{ua=0;L=138}if((L|0)==138){L=0;I=zJb(c,ua)|0;Z=J;if((Z|0)>-1|(Z|0)==-1&I>>>0>4294967295)ta=I;else{Q=0;L=154;break a}}if(ta>>>0<5){f[i>>2]=f[i>>2]|64;f[E>>2]=ta;continue a}I=f[F>>2]|0;if(!(I&1))va=OOa(F)|0;else va=I&-2;kbc(va,10,ta,((ta|0)<0)<<31>>31);continue a;break}case 12:{if((K&255|0)!=98){N=K;break b}f[i>>2]=f[i>>2]|1;I=f[G>>2]|0;if((I|0)==542896){JEa(G,542896);wa=f[G>>2]|0}else wa=I;if($Lb(c,wa)|0)continue a;else{Q=0;L=154;break a}break}default:{N=K;break b}}while(0)}while(0);if(!N){Q=1;L=154;break}I=f[F>>2]|0;if(!(I&1))xa=OOa(F)|0;else xa=I&-2;if(!(xbc(c,N,xa)|0)){Q=0;L=154;break}}switch(L|0){case 43:{if((f[n>>2]|0)<=0){Q=0;u=d;return Q|0}f[n>>2]=Y;Q=0;u=d;return Q|0}case 52:{Q=0;u=d;return Q|0}case 66:{if((f[r>>2]|0)<=0){Q=0;u=d;return Q|0}f[r>>2]=ca;Q=0;u=d;return Q|0}case 75:{Q=0;u=d;return Q|0}case 86:{Q=0;u=d;return Q|0}case 100:{if((f[y>>2]|0)<=0){Q=0;u=d;return Q|0}f[y>>2]=ja;Q=0;u=d;return Q|0}case 109:{Q=0;u=d;return Q|0}case 123:{if((f[B>>2]|0)<=0){Q=0;u=d;return Q|0}f[B>>2]=pa;Q=0;u=d;return Q|0}case 132:{Q=0;u=d;return Q|0}case 154:{u=d;return Q|0}}return 0}function LYa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;c=f[a+4>>2]|0;if(!(c&1))d=0;else d=Dbc(c&-2)|0;c=f[a+16>>2]<<2;if(!c)e=d;else{if((c|0)<0)g=10;else g=(((($(c|1|0)|0)^31)*9|0)+73|0)>>>6;e=d+1+g|0}f[a+28>>2]=c;g=e+c|0;c=f[a+32>>2]<<2;if(!c)h=g;else{if((c|0)<0)i=10;else i=(((($(c|1|0)|0)^31)*9|0)+73|0)>>>6;h=g+1+i|0}f[a+44>>2]=c;i=h+c|0;c=f[a+48>>2]<<3;if(!c)j=i;else{if((c|0)<0)k=11;else k=((((($(c|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;j=k+i|0}f[a+60>>2]=c;i=j+c|0;c=f[a+64>>2]<<3;if(!c)l=i;else{if((c|0)<0)m=11;else m=((((($(c|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;l=m+i|0}f[a+76>>2]=c;i=l+c|0;c=a+8|0;l=f[c>>2]|0;if(!(l&127)){n=i;o=a+12|0;f[o>>2]=n;return n|0}if(!(l&1))p=i;else{m=f[a+80>>2]|0;j=b[m+11>>0]|0;k=j<<24>>24<0?f[m+4>>2]|0:j&255;p=i+1+k+((((($(k|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(l&2)){q=p;r=l}else{l=f[a+84>>2]|0;k=di[f[(f[l>>2]|0)+48>>2]&1023](l)|0;l=p+1+k+((((($(k|1|0)|0)^31)*9|0)+73|0)>>>6)|0;q=l;r=f[c>>2]|0}if(!(r&4))s=q;else{c=f[a+88>>2]|0;if((c|0)<0)t=11;else t=((((($(c|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;s=t+q|0}if(!(r&8))u=s;else{q=f[a+92>>2]|0;if((q|0)<0)v=11;else v=((((($(q|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;u=v+s|0}if(!(r&16))w=u;else{s=f[a+96>>2]|0;if((s|0)<0)x=11;else x=((((($(s|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;w=x+u|0}if(!(r&32))y=w;else{u=f[a+100>>2]|0;if((u|0)<0)z=11;else z=((((($(u|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;y=z+w|0}if(!(r&64)){n=y;o=a+12|0;f[o>>2]=n;return n|0}r=f[a+104>>2]|0;if((r|0)<0)A=11;else A=((((($(r|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;n=A+y|0;o=a+12|0;f[o>>2]=n;return n|0}function MYa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;d=f[a+8>>2]|0;if(d&4|0)GLb(1,f[a+88>>2]|0,c);if(d&8|0)GLb(2,f[a+92>>2]|0,c);if(d&16|0)GLb(3,f[a+96>>2]|0,c);if(d&32|0)GLb(4,f[a+100>>2]|0,c);e=a+16|0;if((f[e>>2]|0)>0){g=c+8|0;if((f[g>>2]|0)>4){h=c+4|0;b[f[h>>2]>>0]=42;f[h>>2]=(f[h>>2]|0)+1;h=(f[g>>2]|0)+-1|0;f[g>>2]=h;i=h}else{VJb(c,42);i=f[g>>2]|0}h=f[a+28>>2]|0;if((i|0)>4){i=c+4|0;j=f[i>>2]|0;if(h>>>0>127){k=h;l=j;while(1){b[l>>0]=k|128;m=k>>>7;n=l+1|0;if(k>>>0>16383){k=m;l=n}else{o=n;p=m;break}}}else{o=j;p=h}b[o>>0]=p;p=o+1-j|0;f[i>>2]=(f[i>>2]|0)+p;f[g>>2]=(f[g>>2]|0)-p}else VJb(c,h);h=f[a+24>>2]|0;DLb((h|0)==0?0:h+4|0,f[e>>2]|0,c)}e=a+32|0;if((f[e>>2]|0)>0){h=c+8|0;if((f[h>>2]|0)>4){p=c+4|0;b[f[p>>2]>>0]=50;f[p>>2]=(f[p>>2]|0)+1;p=(f[h>>2]|0)+-1|0;f[h>>2]=p;q=p}else{VJb(c,50);q=f[h>>2]|0}p=f[a+44>>2]|0;if((q|0)>4){q=c+4|0;g=f[q>>2]|0;if(p>>>0>127){i=p;j=g;while(1){b[j>>0]=i|128;o=i>>>7;l=j+1|0;if(i>>>0>16383){i=o;j=l}else{r=l;s=o;break}}}else{r=g;s=p}b[r>>0]=s;s=r+1-g|0;f[q>>2]=(f[q>>2]|0)+s;f[h>>2]=(f[h>>2]|0)-s}else VJb(c,p);p=f[a+40>>2]|0;DLb((p|0)==0?0:p+4|0,f[e>>2]|0,c)}if(d&2|0)_Lb(7,f[a+84>>2]|0,c);e=a+48|0;if((f[e>>2]|0)>0){p=c+8|0;if((f[p>>2]|0)>4){s=c+4|0;b[f[s>>2]>>0]=66;f[s>>2]=(f[s>>2]|0)+1;s=(f[p>>2]|0)+-1|0;f[p>>2]=s;t=s}else{VJb(c,66);t=f[p>>2]|0}s=f[a+60>>2]|0;if((t|0)>4){t=c+4|0;h=f[t>>2]|0;if(s>>>0>127){q=s;g=h;while(1){b[g>>0]=q|128;r=q>>>7;j=g+1|0;if(q>>>0>16383){q=r;g=j}else{u=j;v=r;break}}}else{u=h;v=s}b[u>>0]=v;v=u+1-h|0;f[t>>2]=(f[t>>2]|0)+v;f[p>>2]=(f[p>>2]|0)-v}else VJb(c,s);s=f[a+56>>2]|0;ELb((s|0)==0?0:s+8|0,f[e>>2]|0,c)}e=a+64|0;if((f[e>>2]|0)>0){s=c+8|0;if((f[s>>2]|0)>4){v=c+4|0;b[f[v>>2]>>0]=74;f[v>>2]=(f[v>>2]|0)+1;v=(f[s>>2]|0)+-1|0;f[s>>2]=v;w=v}else{VJb(c,74);w=f[s>>2]|0}v=f[a+76>>2]|0;if((w|0)>4){w=c+4|0;p=f[w>>2]|0;if(v>>>0>127){t=v;h=p;while(1){b[h>>0]=t|128;u=t>>>7;g=h+1|0;if(t>>>0>16383){t=u;h=g}else{x=g;y=u;break}}}else{x=p;y=v}b[x>>0]=y;y=x+1-p|0;f[w>>2]=(f[w>>2]|0)+y;f[s>>2]=(f[s>>2]|0)-y}else VJb(c,v);v=f[a+72>>2]|0;ELb((v|0)==0?0:v+8|0,f[e>>2]|0,c)}if(d&64|0)TLb(10,f[a+104>>2]|0,c);if(d&1|0)XLb(12,f[a+80>>2]|0,c);d=f[a+4>>2]|0;if(!(d&1))return;Abc(d&-2,c);return}function NYa(a){a=a|0;return f[a+12>>2]|0}function OYa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0;e=f[a+8>>2]|0;if(!(e&4))g=d;else{h=f[a+88>>2]|0;b[d>>0]=8;i=d+1|0;d=h&255;if(h>>>0>127){j=i;k=d;l=h;m=((h|0)<0)<<31>>31;while(1){b[j>>0]=k|-128;h=l;l=pzc(l|0,m|0,7)|0;n=j+1|0;o=l&255;if(!(m>>>0>0|(m|0)==0&h>>>0>16383)){p=n;q=o;break}else{j=n;k=o;m=J}}}else{p=i;q=d}b[p>>0]=q;g=p+1|0}if(!(e&8))r=g;else{p=f[a+92>>2]|0;b[g>>0]=16;q=g+1|0;g=p&255;if(p>>>0>127){d=q;i=g;m=p;k=((p|0)<0)<<31>>31;while(1){b[d>>0]=i|-128;p=m;m=pzc(m|0,k|0,7)|0;j=d+1|0;l=m&255;if(!(k>>>0>0|(k|0)==0&p>>>0>16383)){s=j;t=l;break}else{d=j;i=l;k=J}}}else{s=q;t=g}b[s>>0]=t;r=s+1|0}if(!(e&16))u=r;else{s=f[a+96>>2]|0;b[r>>0]=24;t=r+1|0;r=s&255;if(s>>>0>127){g=t;q=r;k=s;i=((s|0)<0)<<31>>31;while(1){b[g>>0]=q|-128;s=k;k=pzc(k|0,i|0,7)|0;d=g+1|0;m=k&255;if(!(i>>>0>0|(i|0)==0&s>>>0>16383)){v=d;w=m;break}else{g=d;q=m;i=J}}}else{v=t;w=r}b[v>>0]=w;u=v+1|0}if(!(e&32))x=u;else{v=f[a+100>>2]|0;b[u>>0]=32;w=u+1|0;u=v&255;if(v>>>0>127){r=w;t=u;i=v;q=((v|0)<0)<<31>>31;while(1){b[r>>0]=t|-128;v=i;i=pzc(i|0,q|0,7)|0;g=r+1|0;k=i&255;if(!(q>>>0>0|(q|0)==0&v>>>0>16383)){y=g;z=k;break}else{r=g;t=k;q=J}}}else{y=w;z=u}b[y>>0]=z;x=y+1|0}y=a+16|0;if((f[y>>2]|0)>0){b[x>>0]=42;z=x+1|0;u=f[a+28>>2]|0;if(u>>>0>127){w=u;q=z;while(1){b[q>>0]=w|128;t=w>>>7;r=q+1|0;if(w>>>0>16383){w=t;q=r}else{A=r;B=t;break}}}else{A=z;B=u}b[A>>0]=B;B=A+1|0;A=f[y>>2]<<2;szc(B|0,(f[a+24>>2]|0)+4|0,A|0)|0;C=B+A|0}else C=x;x=a+32|0;if((f[x>>2]|0)>0){b[C>>0]=50;A=C+1|0;B=f[a+44>>2]|0;if(B>>>0>127){y=B;u=A;while(1){b[u>>0]=y|128;z=y>>>7;q=u+1|0;if(y>>>0>16383){y=z;u=q}else{D=q;E=z;break}}}else{D=A;E=B}b[D>>0]=E;E=D+1|0;D=f[x>>2]<<2;szc(E|0,(f[a+40>>2]|0)+4|0,D|0)|0;F=E+D|0}else F=C;if(!(e&2))G=F;else{C=f[a+84>>2]|0;b[F>>0]=58;D=F+1|0;F=di[f[(f[C>>2]|0)+60>>2]&1023](C)|0;if(F>>>0>127){E=F;x=D;while(1){b[x>>0]=E|128;B=E>>>7;A=x+1|0;if(E>>>0>16383){E=B;x=A}else{H=A;I=B;break}}}else{H=D;I=F}b[H>>0]=I;G=li[f[(f[C>>2]|0)+64>>2]&511](C,c,H+1|0)|0}H=a+48|0;if((f[H>>2]|0)>0){b[G>>0]=66;c=G+1|0;C=f[a+60>>2]|0;if(C>>>0>127){I=C;F=c;while(1){b[F>>0]=I|128;D=I>>>7;x=F+1|0;if(I>>>0>16383){I=D;F=x}else{K=x;L=D;break}}}else{K=c;L=C}b[K>>0]=L;L=K+1|0;K=f[H>>2]<<3;szc(L|0,(f[a+56>>2]|0)+8|0,K|0)|0;M=L+K|0}else M=G;G=a+64|0;if((f[G>>2]|0)>0){b[M>>0]=74;K=M+1|0;L=f[a+76>>2]|0;if(L>>>0>127){H=L;C=K;while(1){b[C>>0]=H|128;c=H>>>7;F=C+1|0;if(H>>>0>16383){H=c;C=F}else{N=F;O=c;break}}}else{N=K;O=L}b[N>>0]=O;O=N+1|0;N=f[G>>2]<<3;szc(O|0,(f[a+72>>2]|0)+8|0,N|0)|0;P=O+N|0}else P=M;if(!(e&64))Q=P;else{M=f[a+104>>2]|0;b[P>>0]=80;N=P+1|0;P=M&255;if(M>>>0>127){O=N;G=P;L=M;K=((M|0)<0)<<31>>31;while(1){b[O>>0]=G|-128;M=L;L=pzc(L|0,K|0,7)|0;C=O+1|0;H=L&255;if(!(K>>>0>0|(K|0)==0&M>>>0>16383)){R=C;S=H;break}else{O=C;G=H;K=J}}}else{R=N;S=P}b[R>>0]=S;Q=R+1|0}if(!(e&1))T=Q;else{e=f[a+80>>2]|0;b[Q>>0]=98;T=XJb(e,Q+1|0)|0}Q=f[a+4>>2]|0;if(!(Q&1)){U=T;return U|0}U=Bbc(Q&-2,T)|0;return U|0}function PYa(a,b){a=a|0;b=b|0;var c=0;if((a|0)==(b|0))return;IYa(a);c=ovc(b,24728,19720,0)|0;if(!c){A9b(b,a);return}else{TYa(a,c);return}}function QYa(a,b){a=a|0;b=b|0;var c=0;c=ovc(b,24728,19720,0)|0;if(!c){A9b(b,a);return}else{TYa(a,c);return}}function RYa(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function SYa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224781]|0)!=2){f[d>>2]=151624;f[d+4>>2]=21;b[d+8>>0]=0;xLb(899124,d);QKb(d)}d=540512;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function TYa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0;c=a+4|0;d=f[b+4>>2]|0;if(d&1|0){e=f[c>>2]|0;if(!(e&1))g=OOa(c)|0;else g=e&-2;hbc(g,d&-2)}d=a+16|0;g=b+16|0;e=f[g>>2]|0;if(e|0){REa(d,(f[d>>2]|0)+e|0);szc((f[a+24>>2]|0)+4+(f[d>>2]<<2)|0,(f[b+24>>2]|0)+4|0,f[g>>2]<<2|0)|0;f[d>>2]=(f[d>>2]|0)+(f[g>>2]|0)}g=a+32|0;d=b+32|0;e=f[d>>2]|0;if(e|0){REa(g,(f[g>>2]|0)+e|0);szc((f[a+40>>2]|0)+4+(f[g>>2]<<2)|0,(f[b+40>>2]|0)+4|0,f[d>>2]<<2|0)|0;f[g>>2]=(f[g>>2]|0)+(f[d>>2]|0)}d=a+48|0;g=b+48|0;e=f[g>>2]|0;if(e|0){oRa(d,(f[d>>2]|0)+e|0);szc((f[a+56>>2]|0)+8+(f[d>>2]<<3)|0,(f[b+56>>2]|0)+8|0,f[g>>2]<<3|0)|0;f[d>>2]=(f[d>>2]|0)+(f[g>>2]|0)}g=a+64|0;d=b+64|0;e=f[d>>2]|0;if(e|0){oRa(g,(f[g>>2]|0)+e|0);szc((f[a+72>>2]|0)+8+(f[g>>2]<<3)|0,(f[b+72>>2]|0)+8|0,f[d>>2]<<3|0)|0;f[g>>2]=(f[g>>2]|0)+(f[d>>2]|0)}d=f[b+8>>2]|0;if(!(d&127))return;do if(d&1|0?(g=a+8|0,f[g>>2]=f[g>>2]|1,g=a+80|0,e=f[b+80>>2]|0,c=f[g>>2]|0,(c|0)!=(e|0)):0)if((c|0)==542896){JEa(g,e);break}else{ruc(c,e)|0;break}while(0);if(d&2|0){e=a+8|0;f[e>>2]=f[e>>2]|2;e=a+84|0;c=f[e>>2]|0;if(!c){g=cuc(32)|0;UYa(g);f[e>>2]=g;h=g}else h=c;c=f[b+84>>2]|0;g=c|0?c:536552;c=h+4|0;e=f[g+4>>2]|0;if(e&1|0){i=f[c>>2]|0;if(!(i&1))j=OOa(c)|0;else j=i&-2;hbc(j,e&-2)}e=h+16|0;j=g+16|0;i=f[j>>2]|0;if(i|0){ZOa(e,(f[e>>2]|0)+i|0);szc((f[h+24>>2]|0)+8+(f[e>>2]<<3)|0,(f[g+24>>2]|0)+8|0,f[j>>2]<<3|0)|0;f[e>>2]=(f[e>>2]|0)+(f[j>>2]|0)}}if(d&4|0)f[a+88>>2]=f[b+88>>2];if(d&8|0)f[a+92>>2]=f[b+92>>2];if(d&16|0)f[a+96>>2]=f[b+96>>2];if(d&32|0)f[a+100>>2]=f[b+100>>2];if(d&64|0)f[a+104>>2]=f[b+104>>2];b=a+8|0;f[b>>2]=f[b>>2]|d;return}function UYa(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=121056;f[a+4>>2]=0;f[a+8>>2]=0;f[a+16>>2]=0;f[a+20>>2]=0;f[a+24>>2]=0;if((a|0)!=536552?(f[224783]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=23;b[d+8>>0]=0;xLb(899132,d);QKb(d)}f[a+12>>2]=0;u=c;return}function VYa(a,b){a=a|0;b=b|0;if(!b)return;EIb(a,b,1978);return}function WYa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0;c=u;u=u+16|0;d=c;f[a>>2]=122948;e=(a|0)==540024;g=a+4|0;h=g+52|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));if(!e?(f[224848]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=88;b[d+8>>0]=0;xLb(899392,d);QKb(d)}f[a+56>>2]=542896;f[a+60>>2]=542896;f[a+64>>2]=542896;f[a+68>>2]=542896;f[a+72>>2]=540488;g=a+76|0;h=g+64|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));f[a+140>>2]=1;b[a+144>>0]=1;f[a+148>>2]=1;f[a+152>>2]=1;n[a+156>>2]=.5;f[a+160>>2]=5;n[a+164>>2]=1.0;n[a+168>>2]=.75;n[a+172>>2]=1.0;n[a+176>>2]=1.0;n[a+180>>2]=.5;n[a+184>>2]=.5;n[a+188>>2]=.25;f[a+192>>2]=0;u=c;return}function XYa(a,b){a=a|0;b=b|0;if(!b)return;EIb(a,b,1978);return}function YYa(a){a=a|0;var c=0;c=f[a+56>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}c=f[a+60>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}c=f[a+64>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}c=f[a+68>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}c=f[a+72>>2]|0;if(!((c|0)==540488|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}if((a|0)==540024)return;c=f[a+76>>2]|0;if(c|0)bi[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+80>>2]|0;if(c|0)bi[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+84>>2]|0;if(!c)return;bi[f[(f[c>>2]|0)+4>>2]&2047](c);return}function ZYa(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(!b)return;if(f[b>>2]|0)return;fuc(b);return}function _Ya(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=a+12|0;c=f[b>>2]|0;if(!c){f[b>>2]=0;return}if(f[a>>2]|0){f[b>>2]=0;return}a=f[c>>2]|0;if((a|0)>0){d=0;do{e=f[c+4+(d<<2)>>2]|0;if(e|0)bi[f[(f[e>>2]|0)+4>>2]&2047](e);d=d+1|0}while((d|0)!=(a|0));g=f[b>>2]|0}else g=c;fuc(g);f[b>>2]=0;return}function $Ya(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;f[a>>2]=123272;n7a(a);c=f[a+156>>2]|0;if(c|0?(f[c>>2]|0)==0:0)fuc(c);c=a+144|0;d=f[c>>2]|0;if(d|0?(f[a+132>>2]|0)==0:0){e=f[d>>2]|0;if((e|0)>0){g=0;do{h=f[d+4+(g<<2)>>2]|0;if(h|0){if((b[h+11>>0]|0)<0)fuc(f[h>>2]|0);fuc(h)}g=g+1|0}while((g|0)!=(e|0));i=f[c>>2]|0}else i=d;fuc(i)}f[c>>2]=0;c=f[a+128>>2]|0;if(c|0?(f[c>>2]|0)==0:0)fuc(c);c=a+116|0;i=f[c>>2]|0;if(i|0?(f[a+104>>2]|0)==0:0){d=f[i>>2]|0;if((d|0)>0){e=0;do{g=f[i+4+(e<<2)>>2]|0;if(g|0)bi[f[(f[g>>2]|0)+4>>2]&2047](g);e=e+1|0}while((e|0)!=(d|0));j=f[c>>2]|0}else j=i;fuc(j)}f[c>>2]=0;c=a+100|0;j=f[c>>2]|0;if(j|0?(f[a+88>>2]|0)==0:0){i=f[j>>2]|0;if((i|0)>0){d=0;do{e=f[j+4+(d<<2)>>2]|0;if(e|0)bi[f[(f[e>>2]|0)+4>>2]&2047](e);d=d+1|0}while((d|0)!=(i|0));k=f[c>>2]|0}else k=j;fuc(k)}f[c>>2]=0;c=f[a+84>>2]|0;if(c|0?(f[c>>2]|0)==0:0)fuc(c);c=f[a+72>>2]|0;if(c|0?(f[c>>2]|0)==0:0)fuc(c);c=a+60|0;k=f[c>>2]|0;if(k|0?(f[a+48>>2]|0)==0:0){j=f[k>>2]|0;if((j|0)>0){i=0;do{d=f[k+4+(i<<2)>>2]|0;if(d|0)bi[f[(f[d>>2]|0)+4>>2]&2047](d);i=i+1|0}while((i|0)!=(j|0));l=f[c>>2]|0}else l=k;fuc(l)}f[c>>2]=0;c=a+44|0;l=f[c>>2]|0;if(l|0?(f[a+32>>2]|0)==0:0){k=f[l>>2]|0;if((k|0)>0){j=0;do{i=f[l+4+(j<<2)>>2]|0;if(i|0){if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0);fuc(i)}j=j+1|0}while((j|0)!=(k|0));m=f[c>>2]|0}else m=l;fuc(m)}f[c>>2]=0;c=a+28|0;m=f[c>>2]|0;if(m|0?(f[a+16>>2]|0)==0:0){l=f[m>>2]|0;if((l|0)>0){k=0;do{j=f[m+4+(k<<2)>>2]|0;if(j|0){if((b[j+11>>0]|0)<0)fuc(f[j>>2]|0);fuc(j)}k=k+1|0}while((k|0)!=(l|0));n=f[c>>2]|0}else n=m;fuc(n)}f[c>>2]=0;c=a+4|0;a=f[c>>2]|0;if(!(a&1)){f[c>>2]=0;return}n=a&-2;a=n;if((n|0)==0|(f[a+4>>2]|0)!=0){f[c>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(n);f[c>>2]=0;return}function aZa(a){a=a|0;$Ya(a);fuc(a);return}function bZa(a){a=a|0;a=cuc(296)|0;l7a(a);return a|0}function cZa(a,b){a=a|0;b=b|0;a=cuc(296)|0;l7a(a);if(!b)return a|0;m7a(b,a);return a|0}function dZa(a){a=a|0;var c=0,e=0,g=0,h=0,i=0,j=0,k=0;c=a+20|0;e=f[c>>2]|0;if((e|0)>0){g=f[a+28>>2]|0;h=0;do{i=f[g+4+(h<<2)>>2]|0;h=h+1|0;j=i+11|0;if((b[j>>0]|0)<0){b[f[i>>2]>>0]=0;f[i+4>>2]=0}else{b[i>>0]=0;b[j>>0]=0}}while((h|0)!=(e|0));f[c>>2]=0}c=a+36|0;e=f[c>>2]|0;if((e|0)>0){h=f[a+44>>2]|0;g=0;do{j=f[h+4+(g<<2)>>2]|0;g=g+1|0;i=j+11|0;if((b[i>>0]|0)<0){b[f[j>>2]>>0]=0;f[j+4>>2]=0}else{b[j>>0]=0;b[i>>0]=0}}while((g|0)!=(e|0));f[c>>2]=0}c=a+52|0;e=f[c>>2]|0;if((e|0)>0){g=f[a+60>>2]|0;h=0;do{IYa(f[g+4+(h<<2)>>2]|0);h=h+1|0}while((h|0)!=(e|0));f[c>>2]=0}f[a+64>>2]=0;f[a+76>>2]=0;c=a+92|0;e=f[c>>2]|0;if((e|0)>0){h=f[a+100>>2]|0;g=0;do{_6a(f[h+4+(g<<2)>>2]|0);g=g+1|0}while((g|0)!=(e|0));f[c>>2]=0}c=a+108|0;e=f[c>>2]|0;if((e|0)>0){g=f[a+116>>2]|0;h=0;do{_6a(f[g+4+(h<<2)>>2]|0);h=h+1|0}while((h|0)!=(e|0));f[c>>2]=0}f[a+120>>2]=0;c=a+136|0;e=f[c>>2]|0;if((e|0)>0){h=f[a+144>>2]|0;g=0;do{i=f[h+4+(g<<2)>>2]|0;g=g+1|0;j=i+11|0;if((b[j>>0]|0)<0){b[f[i>>2]>>0]=0;f[i+4>>2]=0}else{b[i>>0]=0;b[j>>0]=0}}while((g|0)!=(e|0));f[c>>2]=0}f[a+148>>2]=0;c=a+8|0;e=f[c>>2]|0;if(e&255|0){do if(e&1|0){g=f[a+160>>2]|0;h=g+11|0;if((b[h>>0]|0)<0){b[f[g>>2]>>0]=0;f[g+4>>2]=0;break}else{b[g>>0]=0;b[h>>0]=0;break}}while(0);if(e&2|0)$Xa(f[a+164>>2]|0);if(e&4|0){h=f[a+168>>2]|0;g=h+8|0;if(f[g>>2]&3|0){f[h+16>>2]=1;f[h+20>>2]=1}f[g>>2]=0;g=f[h+4>>2]|0;if(g&1|0?(h=g&-2,f[h>>2]|0):0)ebc(h)}if(e&8|0)r6a(f[a+172>>2]|0);if(e&16|0){h=f[a+176>>2]|0;g=h+8|0;j=f[g>>2]|0;do if(j&3|0){do if(j&1|0){i=f[h+16>>2]|0;k=i+11|0;if((b[k>>0]|0)<0){b[f[i>>2]>>0]=0;f[i+4>>2]=0;break}else{b[i>>0]=0;b[k>>0]=0;break}}while(0);if(j&2|0){k=f[h+20>>2]|0;i=k+11|0;if((b[i>>0]|0)<0){b[f[k>>2]>>0]=0;f[k+4>>2]=0;break}else{b[k>>0]=0;b[i>>0]=0;break}}}while(0);if(j&252|0){i=h+24|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;f[i+16>>2]=0}if(j&768|0){n[h+44>>2]=1.0;f[h+48>>2]=4}f[g>>2]=0;g=f[h+4>>2]|0;if(g&1|0?(h=g&-2,f[h>>2]|0):0)ebc(h)}if(e&32|0){h=f[a+180>>2]|0;g=h+8|0;if(f[g>>2]&3|0){n[h+16>>2]=.5;b[h+20>>0]=1}f[g>>2]=0;g=f[h+4>>2]|0;if(g&1|0?(h=g&-2,f[h>>2]|0):0)ebc(h)}if(e&64|0){h=f[a+184>>2]|0;g=h+8|0;j=f[g>>2]|0;do if(j&1|0){i=f[h+16>>2]|0;k=i+11|0;if((b[k>>0]|0)<0){b[f[i>>2]>>0]=0;f[i+4>>2]=0;break}else{b[i>>0]=0;b[k>>0]=0;break}}while(0);if(j&6|0){j=h+20|0;f[j>>2]=0;b[j+4>>0]=0}f[g>>2]=0;g=f[h+4>>2]|0;if(g&1|0?(h=g&-2,f[h>>2]|0):0)ebc(h)}if(e&128|0){h=f[a+188>>2]|0;g=h+8|0;do if(f[g>>2]&1|0){j=f[h+16>>2]|0;k=j+11|0;if((b[k>>0]|0)<0){b[f[j>>2]>>0]=0;f[j+4>>2]=0;break}else{b[j>>0]=0;b[k>>0]=0;break}}while(0);f[g>>2]=0;g=f[h+4>>2]|0;if(g&1|0?(h=g&-2,f[h>>2]|0):0)ebc(h)}}if(e&65280|0){if(e&256|0)g5a(f[a+192>>2]|0);if(e&512|0){h=f[a+196>>2]|0;g=h+8|0;do if(f[g>>2]&1|0){k=f[h+16>>2]|0;j=k+11|0;if((b[j>>0]|0)<0){b[f[k>>2]>>0]=0;f[k+4>>2]=0;break}else{b[k>>0]=0;b[j>>0]=0;break}}while(0);f[g>>2]=0;g=f[h+4>>2]|0;if(g&1|0?(h=g&-2,f[h>>2]|0):0)ebc(h)}if(e&1024|0)C4a(f[a+200>>2]|0);if(e&2048|0){h=f[a+204>>2]|0;g=h+8|0;if(f[g>>2]&63|0){j=h+16|0;f[j>>2]=0;f[j+4>>2]=0;f[h+24>>2]=5;n[h+28>>2]=1.0;n[h+32>>2]=.75;n[h+36>>2]=1.0}f[g>>2]=0;g=f[h+4>>2]|0;if(g&1|0?(h=g&-2,f[h>>2]|0):0)ebc(h)}if(e&4096|0){h=f[a+208>>2]|0;g=h+8|0;j=f[g>>2]|0;if(j&255|0){k=h+16|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;f[k+16>>2]=0;f[k+20>>2]=0;f[k+24>>2]=0;f[k+28>>2]=0}if(j&7936|0){j=h+48|0;f[j>>2]=0;f[j+4>>2]=0;b[j+8>>0]=0;f[h+60>>2]=1;b[h+64>>0]=1}f[g>>2]=0;g=f[h+4>>2]|0;if(g&1|0?(h=g&-2,f[h>>2]|0):0)ebc(h)}if(e&8192|0)H3a(f[a+212>>2]|0);if(e&16384|0){h=f[a+216>>2]|0;g=h+8|0;if(f[g>>2]&7|0){n[h+16>>2]=0.0;n[h+20>>2]=1.0;n[h+24>>2]=1.0}f[g>>2]=0;g=f[h+4>>2]|0;if(g&1|0?(h=g&-2,f[h>>2]|0):0)ebc(h)}if(e&32768|0){h=f[a+220>>2]|0;g=h+8|0;if(f[g>>2]&15|0){j=h+16|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0}f[g>>2]=0;g=f[h+4>>2]|0;if(g&1|0?(h=g&-2,f[h>>2]|0):0)ebc(h)}}do if(e&16711680|0){if(e&65536|0){h=f[a+224>>2]|0;g=h+8|0;if(f[g>>2]&7|0){j=h+16|0;f[j>>2]=0;f[j+4>>2]=0;f[h+24>>2]=1}f[g>>2]=0;g=f[h+4>>2]|0;if(g&1|0?(h=g&-2,f[h>>2]|0):0)ebc(h)}if(e&131072|0){h=f[a+228>>2]|0;f[h+16>>2]=0;g=h+8|0;if(f[g>>2]&3|0){f[h+28>>2]=1;b[h+32>>0]=1}f[g>>2]=0;g=f[h+4>>2]|0;if(g&1|0?(h=g&-2,f[h>>2]|0):0)ebc(h)}if((e&262144|0?(h=f[a+232>>2]|0,n[h+16>>2]=0.0,f[h+8>>2]=0,g=f[h+4>>2]|0,g&1|0):0)?(h=g&-2,f[h>>2]|0):0)ebc(h);if(e&524288|0)S1a(f[a+236>>2]|0);if(e&1048576|0){h=f[a+240>>2]|0;g=h+8|0;if(f[g>>2]&7|0){f[h+16>>2]=0;f[h+20>>2]=1;f[h+24>>2]=1}f[g>>2]=0;g=f[h+4>>2]|0;if(g&1|0?(h=g&-2,f[h>>2]|0):0)ebc(h)}if((e&2097152|0?(h=f[a+244>>2]|0,f[h+16>>2]=1,f[h+8>>2]=0,g=f[h+4>>2]|0,g&1|0):0)?(h=g&-2,f[h>>2]|0):0)ebc(h);do if(e&4194304|0){h=f[a+248>>2]|0;g=h+8|0;if(f[g>>2]&3|0){j=h+16|0;f[j>>2]=0;f[j+4>>2]=0}f[g>>2]=0;g=f[h+4>>2]|0;if(g&1|0){h=g&-2;if(!(f[h>>2]|0))break;ebc(h)}}while(0);if(e&8388608|0){h=f[a+252>>2]|0;f[h+16>>2]=0;g=h+8|0;if(f[g>>2]&3|0){f[h+28>>2]=1;f[h+32>>2]=1}f[g>>2]=0;g=f[h+4>>2]|0;if(g&1|0){h=g&-2;if(!(f[h>>2]|0))break;ebc(h)}}}while(0);do if(e>>>0>16777215){if(e&16777216|0){h=f[a+256>>2]|0;g=h+8|0;if(f[g>>2]&7|0){b[h+16>>0]=0;b[h+17>>0]=1;n[h+20>>2]=9.999999717180685e-10}f[g>>2]=0;g=f[h+4>>2]|0;if(g&1|0?(h=g&-2,f[h>>2]|0):0)ebc(h)}if(e&33554432|0){h=f[a+260>>2]|0;f[h+16>>2]=0;g=h+8|0;j=f[g>>2]|0;do if(j&1|0){k=f[h+28>>2]|0;i=k+11|0;if((b[i>>0]|0)<0){b[f[k>>2]>>0]=0;f[k+4>>2]=0;break}else{b[k>>0]=0;b[i>>0]=0;break}}while(0);if(j&62|0){i=h+32|0;f[i>>2]=0;d[i+4>>1]=0;b[i+6>>0]=0;n[h+40>>2]=1.0}f[g>>2]=0;i=f[h+4>>2]|0;if(i&1|0?(k=i&-2,f[k>>2]|0):0)ebc(k)}if((e&67108864|0?(k=f[a+264>>2]|0,f[k+16>>2]=0,f[k+8>>2]=0,i=f[k+4>>2]|0,i&1|0):0)?(k=i&-2,f[k>>2]|0):0)ebc(k);if((e&134217728|0?(k=f[a+268>>2]|0,f[k+16>>2]=0,f[k+8>>2]=0,i=f[k+4>>2]|0,i&1|0):0)?(k=i&-2,f[k>>2]|0):0)ebc(k);if(e&268435456|0){k=f[a+272>>2]|0;i=k+8|0;if(f[i>>2]&3|0){f[k+16>>2]=0;f[k+20>>2]=1}f[i>>2]=0;i=f[k+4>>2]|0;if(i&1|0?(k=i&-2,f[k>>2]|0):0)ebc(k)}do if(e&536870912|0){k=f[a+276>>2]|0;i=k+8|0;if(f[i>>2]&3|0){b[k+16>>0]=0;n[k+20>>2]=1.0}f[i>>2]=0;i=f[k+4>>2]|0;if(i&1|0){k=i&-2;if(!(f[k>>2]|0))break;ebc(k)}}while(0);do if(e&1073741824|0){h=f[a+280>>2]|0;g=h+8|0;if(f[g>>2]&7|0){n[h+16>>2]=0.0;n[h+20>>2]=-1.0;n[h+24>>2]=1.0}f[g>>2]=0;g=f[h+4>>2]|0;if(!(g&1))break;h=g&-2;if(!(f[h>>2]|0))break;ebc(h)}while(0);if((e|0)<0){h=f[a+284>>2]|0;g=h+8|0;if(f[g>>2]&7|0){j=h+16|0;f[j>>2]=0;b[j+4>>0]=0;f[h+24>>2]=1}f[g>>2]=0;g=f[h+4>>2]|0;if(!(g&1))break;h=g&-2;if(!(f[h>>2]|0))break;ebc(h)}}while(0);f[a+288>>2]=0;e=c;f[e>>2]=0;f[e+4>>2]=0;e=f[a+4>>2]|0;if(!(e&1))return;a=e&-2;if(!(f[a>>2]|0))return;ebc(a);return}function eZa(a){a=a|0;return 1}function fZa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0,qc=0,rc=0,sc=0,tc=0,uc=0,vc=0,wc=0,xc=0,yc=0,zc=0,Ac=0,Bc=0,Cc=0,Dc=0,Ec=0,Fc=0,Gc=0,Hc=0,Ic=0,Jc=0,Kc=0,Lc=0,Mc=0,Nc=0,Oc=0,Pc=0,Qc=0,Rc=0;d=u;u=u+16|0;e=d;g=c+4|0;i=a+8|0;j=a+164|0;k=e+4|0;l=a+16|0;m=a+32|0;n=a+160|0;o=a+12|0;p=a+288|0;q=a+4|0;r=a+48|0;s=e+4|0;t=a+64|0;v=a+68|0;w=a+72|0;x=a+76|0;y=a+80|0;z=a+84|0;A=a+168|0;B=e+4|0;C=a+172|0;D=e+4|0;E=a+176|0;F=e+4|0;G=a+180|0;H=e+4|0;I=a+184|0;K=e+4|0;L=a+188|0;M=e+4|0;N=a+192|0;O=e+4|0;P=a+196|0;Q=e+4|0;R=a+200|0;S=e+4|0;T=a+204|0;U=e+4|0;V=a+208|0;W=e+4|0;X=a+212|0;Y=e+4|0;Z=a+216|0;_=e+4|0;$=a+220|0;aa=e+4|0;ba=a+224|0;ca=e+4|0;da=a+228|0;ea=e+4|0;fa=a+232|0;ga=e+4|0;ha=a+236|0;ia=e+4|0;ja=a+240|0;ka=e+4|0;la=a+244|0;ma=e+4|0;na=a+248|0;oa=e+4|0;pa=a+252|0;qa=e+4|0;ra=a+88|0;sa=e+4|0;ta=a+104|0;ua=e+4|0;va=a+256|0;wa=e+4|0;xa=a+120|0;ya=a+124|0;za=a+128|0;Aa=a+260|0;Ba=e+4|0;Ca=a+264|0;Da=e+4|0;Ea=a+268|0;Fa=e+4|0;Ga=a+272|0;Ha=e+4|0;Ia=a+276|0;Ja=e+4|0;Ka=a+280|0;La=e+4|0;Ma=a+284|0;Na=e+4|0;Oa=a+132|0;Pa=a+148|0;Qa=a+152|0;Ra=a+156|0;a:while(1){a=f[c>>2]|0;Sa=f[g>>2]|0;do if(a>>>0<Sa>>>0){Ta=b[a>>0]|0;Ua=Ta&255;Va=a+1|0;if(Ta<<24>>24>0){Wa=Va;Xa=Ua}else{if(Va>>>0>=Sa>>>0){Ya=Ua;Za=7;break}Ta=h[Va>>0]|0;if(((Ta^128)&Ua)>>>0<=127){Ya=Ua;Za=7;break}Wa=a+2|0;Xa=Ua+-128+(Ta<<7)|0}f[c>>2]=Wa;_a=Xa;Za=9}else{Ya=0;Za=7}while(0);if((Za|0)==7){Za=0;a=OJb(c,Ya)|0;if((a+-1|0)>>>0<16383){_a=a;Za=9}else $a=a}b:do if((Za|0)==9){Za=0;do switch(_a>>>3&536870911|0){case 1:{if((_a&255|0)!=10){$a=_a;break b}f[i>>2]=f[i>>2]|2;a=f[j>>2]|0;if(!a){Sa=cuc(196)|0;WYa(Sa);f[j>>2]=Sa;ab=Sa}else ab=a;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(Sa=b[a>>0]|0,Sa<<24>>24>-1):0){f[c>>2]=a+1;bb=Sa&255}else{Sa=NJb(c)|0;if((Sa|0)>-1)bb=Sa;else{cb=0;Za=473;break a}}yJb(e,c,bb);if((f[k>>2]|0)<0){Za=19;break a}if(!(Th[f[(f[ab>>2]|0)+44>>2]&1023](ab,c)|0)){Za=19;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{cb=0;Za=473;break a}break}case 2:{if((_a&255|0)!=18){$a=_a;break b}if($Lb(c,MEa(l)|0)|0)continue a;else{cb=0;Za=473;break a}break}case 3:{if((_a&255|0)!=26){$a=_a;break b}if($Lb(c,MEa(m)|0)|0)continue a;else{cb=0;Za=473;break a}break}case 4:{if((_a&255|0)!=34){$a=_a;break b}f[i>>2]=f[i>>2]|1;Sa=f[n>>2]|0;if((Sa|0)==542896){JEa(n,542896);db=f[n>>2]|0}else db=Sa;if($Lb(c,db)|0)continue a;else{cb=0;Za=473;break a}break}case 5:{if((_a&255|0)!=40){$a=_a;break b}Sa=f[c>>2]|0;if(Sa>>>0<(f[g>>2]|0)>>>0){a=b[Sa>>0]|0;Ta=a&255;if(a<<24>>24>-1){f[c>>2]=Sa+1;eb=Ta}else{fb=Ta;Za=33}}else{fb=0;Za=33}if((Za|0)==33){Za=0;Ta=zJb(c,fb)|0;Sa=J;if((Sa|0)>-1|(Sa|0)==-1&Ta>>>0>4294967295)eb=Ta;else{cb=0;Za=473;break a}}if(eb>>>0<40){f[o>>2]=f[o>>2]|1;f[p>>2]=eb;continue a}Ta=f[q>>2]|0;if(!(Ta&1))gb=OOa(q)|0;else gb=Ta&-2;kbc(gb,5,eb,((eb|0)<0)<<31>>31);continue a;break}case 6:{if((_a&255|0)!=50){$a=_a;break b}Ta=CYa(r)|0;Sa=f[c>>2]|0;if(Sa>>>0<(f[g>>2]|0)>>>0?(a=b[Sa>>0]|0,a<<24>>24>-1):0){f[c>>2]=Sa+1;hb=a&255}else{a=NJb(c)|0;if((a|0)>-1)hb=a;else{cb=0;Za=473;break a}}yJb(e,c,hb);if((f[s>>2]|0)<0){Za=47;break a}if(!(Th[f[(f[Ta>>2]|0)+44>>2]&1023](Ta,c)|0)){Za=47;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{cb=0;Za=473;break a}break}case 7:{switch((_a&255)<<24>>24){case 61:break;case 58:{if(DWa(c,t)|0)continue a;else{cb=0;Za=473;break a}break}default:{$a=_a;break b}}Ta=f[c>>2]|0;if(((f[g>>2]|0)-Ta|0)>3){a=Ta;Sa=h[a>>0]|h[a+1>>0]<<8|h[a+2>>0]<<16|h[a+3>>0]<<24;f[e>>2]=Sa;f[c>>2]=Ta+4;ib=Sa}else{if(!(LJb(c,e)|0)){Za=64;break a}ib=f[e>>2]|0}Sa=f[t>>2]|0;if((Sa|0)==(f[v>>2]|0)){REa(t,Sa+1|0);jb=f[t>>2]|0}else jb=Sa;Sa=f[w>>2]|0;Ta=jb+1|0;f[t>>2]=Ta;f[Sa+4+(jb<<2)>>2]=ib;a=f[c>>2]|0;Ua=(f[g>>2]|0)-a|0;if((Ua|0)<=0)continue a;Va=a;a=(f[v>>2]|0)-Ta|0;kb=(Ua>>>0)/5|0;lb=(kb|0)<(a|0)?kb:a;if((lb|0)>0){mb=0;nb=Va;ob=Ta}else continue a;while(1){if((b[nb>>0]|0)!=61){pb=mb;break}Ta=nb+1|0;a=h[Ta>>0]|h[Ta+1>>0]<<8|h[Ta+2>>0]<<16|h[Ta+3>>0]<<24;Ta=ob;ob=ob+1|0;f[t>>2]=ob;f[Sa+4+(Ta<<2)>>2]=a;a=mb+1|0;if((a|0)>=(lb|0)){pb=a;break}else{mb=a;nb=nb+5|0}}lb=pb*5|0;if((pb|0)<=0)continue a;if((Ua|0)<(lb|0)){HJb(c,lb,Ua)|0;continue a}else{f[c>>2]=Va+lb;continue a}break}case 8:{switch((_a&255)<<24>>24){case 69:break;case 66:{if(DWa(c,x)|0)continue a;else{cb=0;Za=473;break a}break}default:{$a=_a;break b}}lb=f[c>>2]|0;if(((f[g>>2]|0)-lb|0)>3){Sa=lb;a=h[Sa>>0]|h[Sa+1>>0]<<8|h[Sa+2>>0]<<16|h[Sa+3>>0]<<24;f[e>>2]=a;f[c>>2]=lb+4;qb=a}else{if(!(LJb(c,e)|0)){Za=81;break a}qb=f[e>>2]|0}a=f[x>>2]|0;if((a|0)==(f[y>>2]|0)){REa(x,a+1|0);rb=f[x>>2]|0}else rb=a;a=f[z>>2]|0;lb=rb+1|0;f[x>>2]=lb;f[a+4+(rb<<2)>>2]=qb;Sa=f[c>>2]|0;Ta=(f[g>>2]|0)-Sa|0;if((Ta|0)<=0)continue a;kb=Sa;Sa=(f[y>>2]|0)-lb|0;sb=(Ta>>>0)/5|0;tb=(sb|0)<(Sa|0)?sb:Sa;if((tb|0)>0){ub=0;vb=kb;wb=lb}else continue a;while(1){if((b[vb>>0]|0)!=69){xb=ub;break}lb=vb+1|0;Sa=h[lb>>0]|h[lb+1>>0]<<8|h[lb+2>>0]<<16|h[lb+3>>0]<<24;lb=wb;wb=wb+1|0;f[x>>2]=wb;f[a+4+(lb<<2)>>2]=Sa;Sa=ub+1|0;if((Sa|0)>=(tb|0)){xb=Sa;break}else{ub=Sa;vb=vb+5|0}}tb=xb*5|0;if((xb|0)<=0)continue a;if((Ta|0)<(tb|0)){HJb(c,tb,Ta)|0;continue a}else{f[c>>2]=kb+tb;continue a}break}case 9:{if((_a&255|0)!=74){$a=_a;break b}f[i>>2]=f[i>>2]|4;tb=f[A>>2]|0;if(!tb){a=cuc(24)|0;qZa(a);f[A>>2]=a;yb=a}else yb=tb;tb=f[c>>2]|0;if(tb>>>0<(f[g>>2]|0)>>>0?(a=b[tb>>0]|0,a<<24>>24>-1):0){f[c>>2]=tb+1;zb=a&255}else{a=NJb(c)|0;if((a|0)>-1)zb=a;else{cb=0;Za=473;break a}}yJb(e,c,zb);if((f[B>>2]|0)<0){Za=92;break a}if(!(Th[f[(f[yb>>2]|0)+44>>2]&1023](yb,c)|0)){Za=92;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{cb=0;Za=473;break a}break}case 10:{if((_a&255|0)!=82){$a=_a;break b}f[i>>2]=f[i>>2]|8;a=f[C>>2]|0;if(!a){tb=cuc(120)|0;rZa(tb);f[C>>2]=tb;Ab=tb}else Ab=a;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(tb=b[a>>0]|0,tb<<24>>24>-1):0){f[c>>2]=a+1;Bb=tb&255}else{tb=NJb(c)|0;if((tb|0)>-1)Bb=tb;else{cb=0;Za=473;break a}}yJb(e,c,Bb);if((f[D>>2]|0)<0){Za=103;break a}if(!(Th[f[(f[Ab>>2]|0)+44>>2]&1023](Ab,c)|0)){Za=103;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{cb=0;Za=473;break a}break}case 11:{if((_a&255|0)!=90){$a=_a;break b}f[i>>2]=f[i>>2]|16;tb=f[E>>2]|0;if(!tb){a=cuc(52)|0;tZa(a);f[E>>2]=a;Cb=a}else Cb=tb;tb=f[c>>2]|0;if(tb>>>0<(f[g>>2]|0)>>>0?(a=b[tb>>0]|0,a<<24>>24>-1):0){f[c>>2]=tb+1;Db=a&255}else{a=NJb(c)|0;if((a|0)>-1)Db=a;else{cb=0;Za=473;break a}}yJb(e,c,Db);if((f[F>>2]|0)<0){Za=114;break a}if(!(Th[f[(f[Cb>>2]|0)+44>>2]&1023](Cb,c)|0)){Za=114;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{cb=0;Za=473;break a}break}case 12:{if((_a&255|0)!=98){$a=_a;break b}f[i>>2]=f[i>>2]|32;a=f[G>>2]|0;if(!a){tb=cuc(24)|0;vZa(tb);f[G>>2]=tb;Eb=tb}else Eb=a;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(tb=b[a>>0]|0,tb<<24>>24>-1):0){f[c>>2]=a+1;Fb=tb&255}else{tb=NJb(c)|0;if((tb|0)>-1)Fb=tb;else{cb=0;Za=473;break a}}yJb(e,c,Fb);if((f[H>>2]|0)<0){Za=125;break a}if(!(Th[f[(f[Eb>>2]|0)+44>>2]&1023](Eb,c)|0)){Za=125;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{cb=0;Za=473;break a}break}case 13:{if((_a&255|0)!=106){$a=_a;break b}f[i>>2]=f[i>>2]|64;tb=f[I>>2]|0;if(!tb){a=cuc(28)|0;wZa(a);f[I>>2]=a;Gb=a}else Gb=tb;tb=f[c>>2]|0;if(tb>>>0<(f[g>>2]|0)>>>0?(a=b[tb>>0]|0,a<<24>>24>-1):0){f[c>>2]=tb+1;Hb=a&255}else{a=NJb(c)|0;if((a|0)>-1)Hb=a;else{cb=0;Za=473;break a}}yJb(e,c,Hb);if((f[K>>2]|0)<0){Za=136;break a}if(!(Th[f[(f[Gb>>2]|0)+44>>2]&1023](Gb,c)|0)){Za=136;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{cb=0;Za=473;break a}break}case 14:{if((_a&255|0)!=114){$a=_a;break b}f[i>>2]=f[i>>2]|128;a=f[L>>2]|0;if(!a){tb=cuc(20)|0;lYa(tb);f[L>>2]=tb;Ib=tb}else Ib=a;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(tb=b[a>>0]|0,tb<<24>>24>-1):0){f[c>>2]=a+1;Jb=tb&255}else{tb=NJb(c)|0;if((tb|0)>-1)Jb=tb;else{cb=0;Za=473;break a}}yJb(e,c,Jb);if((f[M>>2]|0)<0){Za=147;break a}if(!(Th[f[(f[Ib>>2]|0)+44>>2]&1023](Ib,c)|0)){Za=147;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{cb=0;Za=473;break a}break}case 15:{if((_a&255|0)!=122){$a=_a;break b}f[i>>2]=f[i>>2]|256;tb=f[N>>2]|0;if(!tb){a=cuc(60)|0;yZa(a);f[N>>2]=a;Kb=a}else Kb=tb;tb=f[c>>2]|0;if(tb>>>0<(f[g>>2]|0)>>>0?(a=b[tb>>0]|0,a<<24>>24>-1):0){f[c>>2]=tb+1;Lb=a&255}else{a=NJb(c)|0;if((a|0)>-1)Lb=a;else{cb=0;Za=473;break a}}yJb(e,c,Lb);if((f[O>>2]|0)<0){Za=158;break a}if(!(Th[f[(f[Kb>>2]|0)+44>>2]&1023](Kb,c)|0)){Za=158;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{cb=0;Za=473;break a}break}case 16:{if((_a&255|0)!=130){$a=_a;break b}f[i>>2]=f[i>>2]|512;a=f[P>>2]|0;if(!a){tb=cuc(20)|0;AZa(tb);f[P>>2]=tb;Mb=tb}else Mb=a;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(tb=b[a>>0]|0,tb<<24>>24>-1):0){f[c>>2]=a+1;Nb=tb&255}else{tb=NJb(c)|0;if((tb|0)>-1)Nb=tb;else{cb=0;Za=473;break a}}yJb(e,c,Nb);if((f[Q>>2]|0)<0){Za=169;break a}if(!(Th[f[(f[Mb>>2]|0)+44>>2]&1023](Mb,c)|0)){Za=169;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{cb=0;Za=473;break a}break}case 17:{if((_a&255|0)!=138){$a=_a;break b}f[i>>2]=f[i>>2]|1024;tb=f[R>>2]|0;if(!tb){a=cuc(36)|0;BZa(a);f[R>>2]=a;Ob=a}else Ob=tb;tb=f[c>>2]|0;if(tb>>>0<(f[g>>2]|0)>>>0?(a=b[tb>>0]|0,a<<24>>24>-1):0){f[c>>2]=tb+1;Pb=a&255}else{a=NJb(c)|0;if((a|0)>-1)Pb=a;else{cb=0;Za=473;break a}}yJb(e,c,Pb);if((f[S>>2]|0)<0){Za=180;break a}if(!(Th[f[(f[Ob>>2]|0)+44>>2]&1023](Ob,c)|0)){Za=180;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{cb=0;Za=473;break a}break}case 18:{if((_a&255|0)!=146){$a=_a;break b}f[i>>2]=f[i>>2]|2048;a=f[T>>2]|0;if(!a){tb=cuc(40)|0;DZa(tb);f[T>>2]=tb;Qb=tb}else Qb=a;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(tb=b[a>>0]|0,tb<<24>>24>-1):0){f[c>>2]=a+1;Rb=tb&255}else{tb=NJb(c)|0;if((tb|0)>-1)Rb=tb;else{cb=0;Za=473;break a}}yJb(e,c,Rb);if((f[U>>2]|0)<0){Za=191;break a}if(!(Th[f[(f[Qb>>2]|0)+44>>2]&1023](Qb,c)|0)){Za=191;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{cb=0;Za=473;break a}break}case 19:{if((_a&255|0)!=154){$a=_a;break b}f[i>>2]=f[i>>2]|4096;tb=f[V>>2]|0;if(!tb){a=cuc(68)|0;FZa(a);f[V>>2]=a;Sb=a}else Sb=tb;tb=f[c>>2]|0;if(tb>>>0<(f[g>>2]|0)>>>0?(a=b[tb>>0]|0,a<<24>>24>-1):0){f[c>>2]=tb+1;Tb=a&255}else{a=NJb(c)|0;if((a|0)>-1)Tb=a;else{cb=0;Za=473;break a}}yJb(e,c,Tb);if((f[W>>2]|0)<0){Za=202;break a}if(!(Th[f[(f[Sb>>2]|0)+44>>2]&1023](Sb,c)|0)){Za=202;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{cb=0;Za=473;break a}break}case 20:{if((_a&255|0)!=162){$a=_a;break b}f[i>>2]=f[i>>2]|8192;a=f[X>>2]|0;if(!a){tb=cuc(64)|0;HZa(tb);f[X>>2]=tb;Ub=tb}else Ub=a;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(tb=b[a>>0]|0,tb<<24>>24>-1):0){f[c>>2]=a+1;Vb=tb&255}else{tb=NJb(c)|0;if((tb|0)>-1)Vb=tb;else{cb=0;Za=473;break a}}yJb(e,c,Vb);if((f[Y>>2]|0)<0){Za=213;break a}if(!(Th[f[(f[Ub>>2]|0)+44>>2]&1023](Ub,c)|0)){Za=213;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{cb=0;Za=473;break a}break}case 21:{if((_a&255|0)!=170){$a=_a;break b}f[i>>2]=f[i>>2]|16384;tb=f[Z>>2]|0;if(!tb){a=cuc(28)|0;JZa(a);f[Z>>2]=a;Wb=a}else Wb=tb;tb=f[c>>2]|0;if(tb>>>0<(f[g>>2]|0)>>>0?(a=b[tb>>0]|0,a<<24>>24>-1):0){f[c>>2]=tb+1;Xb=a&255}else{a=NJb(c)|0;if((a|0)>-1)Xb=a;else{cb=0;Za=473;break a}}yJb(e,c,Xb);if((f[_>>2]|0)<0){Za=224;break a}if(!(Th[f[(f[Wb>>2]|0)+44>>2]&1023](Wb,c)|0)){Za=224;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{cb=0;Za=473;break a}break}case 22:{if((_a&255|0)!=178){$a=_a;break b}f[i>>2]=f[i>>2]|32768;a=f[$>>2]|0;if(!a){tb=cuc(32)|0;KZa(tb);f[$>>2]=tb;Yb=tb}else Yb=a;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(tb=b[a>>0]|0,tb<<24>>24>-1):0){f[c>>2]=a+1;Zb=tb&255}else{tb=NJb(c)|0;if((tb|0)>-1)Zb=tb;else{cb=0;Za=473;break a}}yJb(e,c,Zb);if((f[aa>>2]|0)<0){Za=235;break a}if(!(Th[f[(f[Yb>>2]|0)+44>>2]&1023](Yb,c)|0)){Za=235;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{cb=0;Za=473;break a}break}case 23:{if((_a&255|0)!=186){$a=_a;break b}f[i>>2]=f[i>>2]|65536;tb=f[ba>>2]|0;if(!tb){a=cuc(28)|0;LZa(a);f[ba>>2]=a;_b=a}else _b=tb;tb=f[c>>2]|0;if(tb>>>0<(f[g>>2]|0)>>>0?(a=b[tb>>0]|0,a<<24>>24>-1):0){f[c>>2]=tb+1;$b=a&255}else{a=NJb(c)|0;if((a|0)>-1)$b=a;else{cb=0;Za=473;break a}}yJb(e,c,$b);if((f[ca>>2]|0)<0){Za=246;break a}if(!(Th[f[(f[_b>>2]|0)+44>>2]&1023](_b,c)|0)){Za=246;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{cb=0;Za=473;break a}break}case 24:{if((_a&255|0)!=194){$a=_a;break b}f[i>>2]=f[i>>2]|131072;a=f[da>>2]|0;if(!a){tb=cuc(36)|0;MZa(tb);f[da>>2]=tb;ac=tb}else ac=a;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(tb=b[a>>0]|0,tb<<24>>24>-1):0){f[c>>2]=a+1;bc=tb&255}else{tb=NJb(c)|0;if((tb|0)>-1)bc=tb;else{cb=0;Za=473;break a}}yJb(e,c,bc);if((f[ea>>2]|0)<0){Za=257;break a}if(!(Th[f[(f[ac>>2]|0)+44>>2]&1023](ac,c)|0)){Za=257;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{cb=0;Za=473;break a}break}case 25:{if((_a&255|0)!=202){$a=_a;break b}f[i>>2]=f[i>>2]|262144;tb=f[fa>>2]|0;if(!tb){a=cuc(20)|0;OZa(a);f[fa>>2]=a;cc=a}else cc=tb;tb=f[c>>2]|0;if(tb>>>0<(f[g>>2]|0)>>>0?(a=b[tb>>0]|0,a<<24>>24>-1):0){f[c>>2]=tb+1;dc=a&255}else{a=NJb(c)|0;if((a|0)>-1)dc=a;else{cb=0;Za=473;break a}}yJb(e,c,dc);if((f[ga>>2]|0)<0){Za=268;break a}if(!(Th[f[(f[cc>>2]|0)+44>>2]&1023](cc,c)|0)){Za=268;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{cb=0;Za=473;break a}break}case 26:{if((_a&255|0)!=210){$a=_a;break b}f[i>>2]=f[i>>2]|524288;a=f[ha>>2]|0;if(!a){tb=cuc(96)|0;PZa(tb);f[ha>>2]=tb;ec=tb}else ec=a;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(tb=b[a>>0]|0,tb<<24>>24>-1):0){f[c>>2]=a+1;fc=tb&255}else{tb=NJb(c)|0;if((tb|0)>-1)fc=tb;else{cb=0;Za=473;break a}}yJb(e,c,fc);if((f[ia>>2]|0)<0){Za=279;break a}if(!(Th[f[(f[ec>>2]|0)+44>>2]&1023](ec,c)|0)){Za=279;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{cb=0;Za=473;break a}break}case 27:{if((_a&255|0)!=218){$a=_a;break b}f[i>>2]=f[i>>2]|1048576;tb=f[ja>>2]|0;if(!tb){a=cuc(28)|0;RZa(a);f[ja>>2]=a;gc=a}else gc=tb;tb=f[c>>2]|0;if(tb>>>0<(f[g>>2]|0)>>>0?(a=b[tb>>0]|0,a<<24>>24>-1):0){f[c>>2]=tb+1;hc=a&255}else{a=NJb(c)|0;if((a|0)>-1)hc=a;else{cb=0;Za=473;break a}}yJb(e,c,hc);if((f[ka>>2]|0)<0){Za=290;break a}if(!(Th[f[(f[gc>>2]|0)+44>>2]&1023](gc,c)|0)){Za=290;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{cb=0;Za=473;break a}break}case 29:{if((_a&255|0)!=234){$a=_a;break b}f[i>>2]=f[i>>2]|2097152;a=f[la>>2]|0;if(!a){tb=cuc(20)|0;SZa(tb);f[la>>2]=tb;ic=tb}else ic=a;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(tb=b[a>>0]|0,tb<<24>>24>-1):0){f[c>>2]=a+1;jc=tb&255}else{tb=NJb(c)|0;if((tb|0)>-1)jc=tb;else{cb=0;Za=473;break a}}yJb(e,c,jc);if((f[ma>>2]|0)<0){Za=301;break a}if(!(Th[f[(f[ic>>2]|0)+44>>2]&1023](ic,c)|0)){Za=301;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{cb=0;Za=473;break a}break}case 30:{if((_a&255|0)!=242){$a=_a;break b}f[i>>2]=f[i>>2]|4194304;tb=f[na>>2]|0;if(!tb){a=cuc(24)|0;TZa(a);f[na>>2]=a;kc=a}else kc=tb;tb=f[c>>2]|0;if(tb>>>0<(f[g>>2]|0)>>>0?(a=b[tb>>0]|0,a<<24>>24>-1):0){f[c>>2]=tb+1;lc=a&255}else{a=NJb(c)|0;if((a|0)>-1)lc=a;else{cb=0;Za=473;break a}}yJb(e,c,lc);if((f[oa>>2]|0)<0){Za=312;break a}if(!(Th[f[(f[kc>>2]|0)+44>>2]&1023](kc,c)|0)){Za=312;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{cb=0;Za=473;break a}break}case 31:{if((_a&255|0)!=250){$a=_a;break b}f[i>>2]=f[i>>2]|8388608;a=f[pa>>2]|0;if(!a){tb=cuc(36)|0;UZa(tb);f[pa>>2]=tb;mc=tb}else mc=a;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(tb=b[a>>0]|0,tb<<24>>24>-1):0){f[c>>2]=a+1;nc=tb&255}else{tb=NJb(c)|0;if((tb|0)>-1)nc=tb;else{cb=0;Za=473;break a}}yJb(e,c,nc);if((f[qa>>2]|0)<0){Za=323;break a}if(!(Th[f[(f[mc>>2]|0)+44>>2]&1023](mc,c)|0)){Za=323;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{cb=0;Za=473;break a}break}case 32:{if((_a&255|0)!=2){$a=_a;break b}tb=fFa(ra)|0;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(Va=b[a>>0]|0,Va<<24>>24>-1):0){f[c>>2]=a+1;oc=Va&255}else{Va=NJb(c)|0;if((Va|0)>-1)oc=Va;else{cb=0;Za=473;break a}}yJb(e,c,oc);if((f[sa>>2]|0)<0){Za=332;break a}if(!(Th[f[(f[tb>>2]|0)+44>>2]&1023](tb,c)|0)){Za=332;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{cb=0;Za=473;break a}break}case 33:{if((_a&255|0)!=10){$a=_a;break b}tb=fFa(ta)|0;Va=f[c>>2]|0;if(Va>>>0<(f[g>>2]|0)>>>0?(a=b[Va>>0]|0,a<<24>>24>-1):0){f[c>>2]=Va+1;pc=a&255}else{a=NJb(c)|0;if((a|0)>-1)pc=a;else{cb=0;Za=473;break a}}yJb(e,c,pc);if((f[ua>>2]|0)<0){Za=341;break a}if(!(Th[f[(f[tb>>2]|0)+44>>2]&1023](tb,c)|0)){Za=341;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{cb=0;Za=473;break a}break}case 34:{if((_a&255|0)!=18){$a=_a;break b}f[i>>2]=f[i>>2]|16777216;tb=f[va>>2]|0;if(!tb){a=cuc(24)|0;WZa(a);f[va>>2]=a;qc=a}else qc=tb;tb=f[c>>2]|0;if(tb>>>0<(f[g>>2]|0)>>>0?(a=b[tb>>0]|0,a<<24>>24>-1):0){f[c>>2]=tb+1;rc=a&255}else{a=NJb(c)|0;if((a|0)>-1)rc=a;else{cb=0;Za=473;break a}}yJb(e,c,rc);if((f[wa>>2]|0)<0){Za=352;break a}if(!(Th[f[(f[qc>>2]|0)+44>>2]&1023](qc,c)|0)){Za=352;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{cb=0;Za=473;break a}break}case 35:{switch((_a&255)<<24>>24){case 29:break;case 26:{if(DWa(c,xa)|0)continue a;else{cb=0;Za=473;break a}break}default:{$a=_a;break b}}a=f[c>>2]|0;if(((f[g>>2]|0)-a|0)>3){tb=a;Va=h[tb>>0]|h[tb+1>>0]<<8|h[tb+2>>0]<<16|h[tb+3>>0]<<24;f[e>>2]=Va;f[c>>2]=a+4;sc=Va}else{if(!(LJb(c,e)|0)){Za=370;break a}sc=f[e>>2]|0}Va=f[xa>>2]|0;if((Va|0)==(f[ya>>2]|0)){REa(xa,Va+1|0);tc=f[xa>>2]|0}else tc=Va;Va=f[za>>2]|0;a=tc+1|0;f[xa>>2]=a;f[Va+4+(tc<<2)>>2]=sc;tb=f[c>>2]|0;Ua=(f[g>>2]|0)-tb|0;if((Ua|0)<=0)continue a;Sa=tb;tb=(f[ya>>2]|0)-a|0;lb=(Ua>>>0)/6|0;sb=(lb|0)<(tb|0)?lb:tb;if((sb|0)>0){uc=0;vc=Sa;wc=a}else continue a;while(1){if((b[vc>>0]|0)!=-99){xc=uc;break}if((b[vc+1>>0]|0)!=2){xc=uc;break}a=vc+2|0;tb=h[a>>0]|h[a+1>>0]<<8|h[a+2>>0]<<16|h[a+3>>0]<<24;a=wc;wc=wc+1|0;f[xa>>2]=wc;f[Va+4+(a<<2)>>2]=tb;tb=uc+1|0;if((tb|0)>=(sb|0)){xc=tb;break}else{uc=tb;vc=vc+6|0}}sb=xc*6|0;if((xc|0)<=0)continue a;if((Ua|0)<(sb|0)){HJb(c,sb,Ua)|0;continue a}else{f[c>>2]=Sa+sb;continue a}break}case 36:{if((_a&255|0)!=34){$a=_a;break b}f[i>>2]=f[i>>2]|33554432;sb=f[Aa>>2]|0;if(!sb){Va=cuc(44)|0;XZa(Va);f[Aa>>2]=Va;yc=Va}else yc=sb;sb=f[c>>2]|0;if(sb>>>0<(f[g>>2]|0)>>>0?(Va=b[sb>>0]|0,Va<<24>>24>-1):0){f[c>>2]=sb+1;zc=Va&255}else{Va=NJb(c)|0;if((Va|0)>-1)zc=Va;else{cb=0;Za=473;break a}}yJb(e,c,zc);if((f[Ba>>2]|0)<0){Za=381;break a}if(!(Th[f[(f[yc>>2]|0)+44>>2]&1023](yc,c)|0)){Za=381;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{cb=0;Za=473;break a}break}case 37:{if((_a&255|0)!=42){$a=_a;break b}f[i>>2]=f[i>>2]|67108864;Va=f[Ca>>2]|0;if(!Va){sb=cuc(20)|0;ZZa(sb);f[Ca>>2]=sb;Ac=sb}else Ac=Va;Va=f[c>>2]|0;if(Va>>>0<(f[g>>2]|0)>>>0?(sb=b[Va>>0]|0,sb<<24>>24>-1):0){f[c>>2]=Va+1;Bc=sb&255}else{sb=NJb(c)|0;if((sb|0)>-1)Bc=sb;else{cb=0;Za=473;break a}}yJb(e,c,Bc);if((f[Da>>2]|0)<0){Za=392;break a}if(!(Th[f[(f[Ac>>2]|0)+44>>2]&1023](Ac,c)|0)){Za=392;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{cb=0;Za=473;break a}break}case 38:{if((_a&255|0)!=50){$a=_a;break b}f[i>>2]=f[i>>2]|134217728;sb=f[Ea>>2]|0;if(!sb){Va=cuc(20)|0;_Za(Va);f[Ea>>2]=Va;Cc=Va}else Cc=sb;sb=f[c>>2]|0;if(sb>>>0<(f[g>>2]|0)>>>0?(Va=b[sb>>0]|0,Va<<24>>24>-1):0){f[c>>2]=sb+1;Dc=Va&255}else{Va=NJb(c)|0;if((Va|0)>-1)Dc=Va;else{cb=0;Za=473;break a}}yJb(e,c,Dc);if((f[Fa>>2]|0)<0){Za=403;break a}if(!(Th[f[(f[Cc>>2]|0)+44>>2]&1023](Cc,c)|0)){Za=403;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{cb=0;Za=473;break a}break}case 39:{if((_a&255|0)!=58){$a=_a;break b}f[i>>2]=f[i>>2]|268435456;Va=f[Ga>>2]|0;if(!Va){sb=cuc(24)|0;$Za(sb);f[Ga>>2]=sb;Ec=sb}else Ec=Va;Va=f[c>>2]|0;if(Va>>>0<(f[g>>2]|0)>>>0?(sb=b[Va>>0]|0,sb<<24>>24>-1):0){f[c>>2]=Va+1;Fc=sb&255}else{sb=NJb(c)|0;if((sb|0)>-1)Fc=sb;else{cb=0;Za=473;break a}}yJb(e,c,Fc);if((f[Ha>>2]|0)<0){Za=414;break a}if(!(Th[f[(f[Ec>>2]|0)+44>>2]&1023](Ec,c)|0)){Za=414;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{cb=0;Za=473;break a}break}case 40:{if((_a&255|0)!=66){$a=_a;break b}f[i>>2]=f[i>>2]|536870912;sb=f[Ia>>2]|0;if(!sb){Va=cuc(24)|0;a_a(Va);f[Ia>>2]=Va;Gc=Va}else Gc=sb;sb=f[c>>2]|0;if(sb>>>0<(f[g>>2]|0)>>>0?(Va=b[sb>>0]|0,Va<<24>>24>-1):0){f[c>>2]=sb+1;Hc=Va&255}else{Va=NJb(c)|0;if((Va|0)>-1)Hc=Va;else{cb=0;Za=473;break a}}yJb(e,c,Hc);if((f[Ja>>2]|0)<0){Za=425;break a}if(!(Th[f[(f[Gc>>2]|0)+44>>2]&1023](Gc,c)|0)){Za=425;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{cb=0;Za=473;break a}break}case 41:{if((_a&255|0)!=74){$a=_a;break b}f[i>>2]=f[i>>2]|1073741824;Va=f[Ka>>2]|0;if(!Va){sb=cuc(28)|0;b_a(sb);f[Ka>>2]=sb;Ic=sb}else Ic=Va;Va=f[c>>2]|0;if(Va>>>0<(f[g>>2]|0)>>>0?(sb=b[Va>>0]|0,sb<<24>>24>-1):0){f[c>>2]=Va+1;Jc=sb&255}else{sb=NJb(c)|0;if((sb|0)>-1)Jc=sb;else{cb=0;Za=473;break a}}yJb(e,c,Jc);if((f[La>>2]|0)<0){Za=436;break a}if(!(Th[f[(f[Ic>>2]|0)+44>>2]&1023](Ic,c)|0)){Za=436;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{cb=0;Za=473;break a}break}case 42:{if((_a&255|0)!=82){$a=_a;break b}f[i>>2]=f[i>>2]|-2147483648;sb=f[Ma>>2]|0;if(!sb){Va=cuc(28)|0;c_a(Va);f[Ma>>2]=Va;Kc=Va}else Kc=sb;sb=f[c>>2]|0;if(sb>>>0<(f[g>>2]|0)>>>0?(Va=b[sb>>0]|0,Va<<24>>24>-1):0){f[c>>2]=sb+1;Lc=Va&255}else{Va=NJb(c)|0;if((Va|0)>-1)Lc=Va;else{cb=0;Za=473;break a}}yJb(e,c,Lc);if((f[Na>>2]|0)<0){Za=447;break a}if(!(Th[f[(f[Kc>>2]|0)+44>>2]&1023](Kc,c)|0)){Za=447;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{cb=0;Za=473;break a}break}case 1001:{if((_a&255|0)!=74){$a=_a;break b}if($Lb(c,MEa(Oa)|0)|0)continue a;else{cb=0;Za=473;break a}break}case 1002:{switch((_a&255)<<24>>24){case 80:break;case 82:{Va=f[q>>2]|0;if(!(Va&1))Mc=OOa(q)|0;else Mc=Va&-2;if(zbc(c,1002,845,Mc,Pa)|0)continue a;else{cb=0;Za=473;break a}break}default:{$a=_a;break b}}Va=f[c>>2]|0;if(Va>>>0<(f[g>>2]|0)>>>0){sb=b[Va>>0]|0;kb=sb&255;if(sb<<24>>24>-1){f[c>>2]=Va+1;Nc=kb}else{Oc=kb;Za=455}}else{Oc=0;Za=455}if((Za|0)==455){Za=0;kb=zJb(c,Oc)|0;Va=J;if((Va|0)>-1|(Va|0)==-1&kb>>>0>4294967295)Nc=kb;else{cb=0;Za=473;break a}}if(Nc>>>0<2){kb=f[Pa>>2]|0;if((kb|0)==(f[Qa>>2]|0)){NEa(Pa,kb+1|0);Pc=f[Pa>>2]|0}else Pc=kb;kb=f[Ra>>2]|0;f[Pa>>2]=Pc+1;f[kb+4+(Pc<<2)>>2]=Nc;continue a}kb=f[q>>2]|0;if(!(kb&1))Qc=OOa(q)|0;else Qc=kb&-2;kbc(Qc,1002,Nc,((Nc|0)<0)<<31>>31);continue a;break}default:{$a=_a;break b}}while(0)}while(0);if(!$a){cb=1;Za=473;break}kb=f[q>>2]|0;if(!(kb&1))Rc=OOa(q)|0;else Rc=kb&-2;if(!(xbc(c,$a,Rc)|0)){cb=0;Za=473;break}}switch(Za|0){case 19:{cb=0;u=d;return cb|0}case 47:{cb=0;u=d;return cb|0}case 64:{cb=0;u=d;return cb|0}case 81:{cb=0;u=d;return cb|0}case 92:{cb=0;u=d;return cb|0}case 103:{cb=0;u=d;return cb|0}case 114:{cb=0;u=d;return cb|0}case 125:{cb=0;u=d;return cb|0}case 136:{cb=0;u=d;return cb|0}case 147:{cb=0;u=d;return cb|0}case 158:{cb=0;u=d;return cb|0}case 169:{cb=0;u=d;return cb|0}case 180:{cb=0;u=d;return cb|0}case 191:{cb=0;u=d;return cb|0}case 202:{cb=0;u=d;return cb|0}case 213:{cb=0;u=d;return cb|0}case 224:{cb=0;u=d;return cb|0}case 235:{cb=0;u=d;return cb|0}case 246:{cb=0;u=d;return cb|0}case 257:{cb=0;u=d;return cb|0}case 268:{cb=0;u=d;return cb|0}case 279:{cb=0;u=d;return cb|0}case 290:{cb=0;u=d;return cb|0}case 301:{cb=0;u=d;return cb|0}case 312:{cb=0;u=d;return cb|0}case 323:{cb=0;u=d;return cb|0}case 332:{cb=0;u=d;return cb|0}case 341:{cb=0;u=d;return cb|0}case 352:{cb=0;u=d;return cb|0}case 370:{cb=0;u=d;return cb|0}case 381:{cb=0;u=d;return cb|0}case 392:{cb=0;u=d;return cb|0}case 403:{cb=0;u=d;return cb|0}case 414:{cb=0;u=d;return cb|0}case 425:{cb=0;u=d;return cb|0}case 436:{cb=0;u=d;return cb|0}case 447:{cb=0;u=d;return cb|0}case 473:{u=d;return cb|0}}return 0}function gZa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0;c=f[a+4>>2]|0;if(!(c&1))d=0;else d=Dbc(c&-2)|0;c=f[a+20>>2]|0;e=c+d|0;if((c|0)>0){d=f[a+28>>2]|0;g=0;h=e;while(1){i=f[d+4+(g<<2)>>2]|0;j=b[i+11>>0]|0;k=j<<24>>24<0?f[i+4>>2]|0:j&255;j=k+h+((((($(k|1|0)|0)^31)*9|0)+73|0)>>>6)|0;g=g+1|0;if((g|0)==(c|0)){l=j;break}else h=j}}else l=e;e=f[a+36>>2]|0;h=e+l|0;if((e|0)>0){l=f[a+44>>2]|0;c=0;g=h;while(1){d=f[l+4+(c<<2)>>2]|0;j=b[d+11>>0]|0;k=j<<24>>24<0?f[d+4>>2]|0:j&255;j=k+g+((((($(k|1|0)|0)^31)*9|0)+73|0)>>>6)|0;c=c+1|0;if((c|0)==(e|0)){m=j;break}else g=j}}else m=h;h=f[a+52>>2]|0;g=h+m|0;if(!h)n=g;else{m=a+60|0;e=0;c=g;while(1){g=f[(f[m>>2]|0)+4+(e<<2)>>2]|0;l=di[f[(f[g>>2]|0)+48>>2]&1023](g)|0;g=l+c+((((($(l|1|0)|0)^31)*9|0)+73|0)>>>6)|0;e=e+1|0;if((e|0)==(h|0)){n=g;break}else c=g}}c=f[a+64>>2]|0;h=f[a+76>>2]|0;e=f[a+92>>2]|0;m=c+n+h+(e<<1)+(h+c<<2)|0;if(!e)o=m;else{c=a+100|0;h=0;n=m;while(1){m=f[(f[c>>2]|0)+4+(h<<2)>>2]|0;g=di[f[(f[m>>2]|0)+48>>2]&1023](m)|0;m=g+n+((((($(g|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=h+1|0;if((h|0)==(e|0)){o=m;break}else n=m}}n=f[a+108>>2]|0;e=(n<<1)+o|0;if(!n)p=e;else{o=a+116|0;h=0;c=e;while(1){e=f[(f[o>>2]|0)+4+(h<<2)>>2]|0;m=di[f[(f[e>>2]|0)+48>>2]&1023](e)|0;e=m+c+((((($(m|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=h+1|0;if((h|0)==(n|0)){p=e;break}else c=e}}c=f[a+120>>2]|0;n=f[a+136>>2]|0;h=(c<<2)+p+(n+c<<1)|0;if((n|0)>0){c=f[a+144>>2]|0;p=0;o=h;while(1){e=f[c+4+(p<<2)>>2]|0;m=b[e+11>>0]|0;g=m<<24>>24<0?f[e+4>>2]|0:m&255;m=g+o+((((($(g|1|0)|0)^31)*9|0)+73|0)>>>6)|0;p=p+1|0;if((p|0)==(n|0)){q=m;break}else o=m}}else q=h;h=f[a+148>>2]|0;if(!h)r=0;else{o=f[a+156>>2]|0;n=0;p=0;while(1){c=f[o+4+(n<<2)>>2]|0;if((c|0)<0)s=10;else s=(((($(c|1|0)|0)^31)*9|0)+73|0)>>>6;c=s+p|0;n=n+1|0;if((n|0)==(h|0)){r=c;break}else p=c}}p=(h<<1)+q+r|0;r=a+8|0;q=f[r>>2]|0;if(q&255){if(!(q&1))t=p;else{h=f[a+160>>2]|0;n=b[h+11>>0]|0;s=n<<24>>24<0?f[h+4>>2]|0:n&255;t=p+1+s+((((($(s|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(q&2)){u=t;v=q}else{s=f[a+164>>2]|0;n=di[f[(f[s>>2]|0)+48>>2]&1023](s)|0;s=t+1+n+((((($(n|1|0)|0)^31)*9|0)+73|0)>>>6)|0;u=s;v=f[r>>2]|0}if(!(v&4)){w=u;x=v}else{v=f[a+168>>2]|0;s=di[f[(f[v>>2]|0)+48>>2]&1023](v)|0;v=u+1+s+((((($(s|1|0)|0)^31)*9|0)+73|0)>>>6)|0;w=v;x=f[r>>2]|0}if(!(x&8)){y=w;z=x}else{x=f[a+172>>2]|0;v=di[f[(f[x>>2]|0)+48>>2]&1023](x)|0;x=w+1+v+((((($(v|1|0)|0)^31)*9|0)+73|0)>>>6)|0;y=x;z=f[r>>2]|0}if(!(z&16)){A=y;B=z}else{z=f[a+176>>2]|0;x=di[f[(f[z>>2]|0)+48>>2]&1023](z)|0;z=y+1+x+((((($(x|1|0)|0)^31)*9|0)+73|0)>>>6)|0;A=z;B=f[r>>2]|0}if(!(B&32)){C=A;D=B}else{B=f[a+180>>2]|0;z=di[f[(f[B>>2]|0)+48>>2]&1023](B)|0;B=A+1+z+((((($(z|1|0)|0)^31)*9|0)+73|0)>>>6)|0;C=B;D=f[r>>2]|0}if(!(D&64)){E=C;F=D}else{D=f[a+184>>2]|0;B=di[f[(f[D>>2]|0)+48>>2]&1023](D)|0;D=C+1+B+((((($(B|1|0)|0)^31)*9|0)+73|0)>>>6)|0;E=D;F=f[r>>2]|0}if(!(F&128)){G=E;H=F}else{F=f[a+188>>2]|0;D=di[f[(f[F>>2]|0)+48>>2]&1023](F)|0;F=E+1+D+((((($(D|1|0)|0)^31)*9|0)+73|0)>>>6)|0;G=F;H=f[r>>2]|0}}else{G=p;H=q}if(H&65280){if(!(H&256)){I=G;J=H}else{q=f[a+192>>2]|0;p=di[f[(f[q>>2]|0)+48>>2]&1023](q)|0;q=G+1+p+((((($(p|1|0)|0)^31)*9|0)+73|0)>>>6)|0;I=q;J=f[r>>2]|0}if(!(J&512)){K=I;L=J}else{J=f[a+196>>2]|0;q=di[f[(f[J>>2]|0)+48>>2]&1023](J)|0;J=I+2+q+((((($(q|1|0)|0)^31)*9|0)+73|0)>>>6)|0;K=J;L=f[r>>2]|0}if(!(L&1024)){M=K;N=L}else{L=f[a+200>>2]|0;J=di[f[(f[L>>2]|0)+48>>2]&1023](L)|0;L=K+2+J+((((($(J|1|0)|0)^31)*9|0)+73|0)>>>6)|0;M=L;N=f[r>>2]|0}if(!(N&2048)){O=M;P=N}else{N=f[a+204>>2]|0;L=di[f[(f[N>>2]|0)+48>>2]&1023](N)|0;N=M+2+L+((((($(L|1|0)|0)^31)*9|0)+73|0)>>>6)|0;O=N;P=f[r>>2]|0}if(!(P&4096)){Q=O;R=P}else{P=f[a+208>>2]|0;N=di[f[(f[P>>2]|0)+48>>2]&1023](P)|0;P=O+2+N+((((($(N|1|0)|0)^31)*9|0)+73|0)>>>6)|0;Q=P;R=f[r>>2]|0}if(!(R&8192)){S=Q;T=R}else{R=f[a+212>>2]|0;P=di[f[(f[R>>2]|0)+48>>2]&1023](R)|0;R=Q+2+P+((((($(P|1|0)|0)^31)*9|0)+73|0)>>>6)|0;S=R;T=f[r>>2]|0}if(!(T&16384)){U=S;V=T}else{T=f[a+216>>2]|0;R=di[f[(f[T>>2]|0)+48>>2]&1023](T)|0;T=S+2+R+((((($(R|1|0)|0)^31)*9|0)+73|0)>>>6)|0;U=T;V=f[r>>2]|0}if(!(V&32768)){W=U;X=V}else{V=f[a+220>>2]|0;T=di[f[(f[V>>2]|0)+48>>2]&1023](V)|0;V=U+2+T+((((($(T|1|0)|0)^31)*9|0)+73|0)>>>6)|0;W=V;X=f[r>>2]|0}}else{W=G;X=H}if(X&16711680){if(!(X&65536)){Y=W;Z=X}else{H=f[a+224>>2]|0;G=di[f[(f[H>>2]|0)+48>>2]&1023](H)|0;H=W+2+G+((((($(G|1|0)|0)^31)*9|0)+73|0)>>>6)|0;Y=H;Z=f[r>>2]|0}if(!(Z&131072)){_=Y;aa=Z}else{Z=f[a+228>>2]|0;H=di[f[(f[Z>>2]|0)+48>>2]&1023](Z)|0;Z=Y+2+H+((((($(H|1|0)|0)^31)*9|0)+73|0)>>>6)|0;_=Z;aa=f[r>>2]|0}if(!(aa&262144)){ba=_;ca=aa}else{aa=f[a+232>>2]|0;Z=di[f[(f[aa>>2]|0)+48>>2]&1023](aa)|0;aa=_+2+Z+((((($(Z|1|0)|0)^31)*9|0)+73|0)>>>6)|0;ba=aa;ca=f[r>>2]|0}if(!(ca&524288)){da=ba;ea=ca}else{ca=f[a+236>>2]|0;aa=di[f[(f[ca>>2]|0)+48>>2]&1023](ca)|0;ca=ba+2+aa+((((($(aa|1|0)|0)^31)*9|0)+73|0)>>>6)|0;da=ca;ea=f[r>>2]|0}if(!(ea&1048576)){fa=da;ga=ea}else{ea=f[a+240>>2]|0;ca=di[f[(f[ea>>2]|0)+48>>2]&1023](ea)|0;ea=da+2+ca+((((($(ca|1|0)|0)^31)*9|0)+73|0)>>>6)|0;fa=ea;ga=f[r>>2]|0}if(!(ga&2097152)){ha=fa;ia=ga}else{ga=f[a+244>>2]|0;ea=di[f[(f[ga>>2]|0)+48>>2]&1023](ga)|0;ga=fa+2+ea+((((($(ea|1|0)|0)^31)*9|0)+73|0)>>>6)|0;ha=ga;ia=f[r>>2]|0}if(!(ia&4194304)){ja=ha;ka=ia}else{ia=f[a+248>>2]|0;ga=di[f[(f[ia>>2]|0)+48>>2]&1023](ia)|0;ia=ha+2+ga+((((($(ga|1|0)|0)^31)*9|0)+73|0)>>>6)|0;ja=ia;ka=f[r>>2]|0}if(!(ka&8388608)){la=ja;ma=ka}else{ka=f[a+252>>2]|0;ia=di[f[(f[ka>>2]|0)+48>>2]&1023](ka)|0;ka=ja+2+ia+((((($(ia|1|0)|0)^31)*9|0)+73|0)>>>6)|0;la=ka;ma=f[r>>2]|0}}else{la=W;ma=X}do if(ma>>>0>16777215){if(!(ma&16777216)){na=la;oa=ma}else{X=f[a+256>>2]|0;W=di[f[(f[X>>2]|0)+48>>2]&1023](X)|0;X=la+2+W+((((($(W|1|0)|0)^31)*9|0)+73|0)>>>6)|0;na=X;oa=f[r>>2]|0}if(!(oa&33554432)){pa=na;qa=oa}else{X=f[a+260>>2]|0;W=di[f[(f[X>>2]|0)+48>>2]&1023](X)|0;X=na+2+W+((((($(W|1|0)|0)^31)*9|0)+73|0)>>>6)|0;pa=X;qa=f[r>>2]|0}if(!(qa&67108864)){ra=pa;sa=qa}else{X=f[a+264>>2]|0;W=di[f[(f[X>>2]|0)+48>>2]&1023](X)|0;X=pa+2+W+((((($(W|1|0)|0)^31)*9|0)+73|0)>>>6)|0;ra=X;sa=f[r>>2]|0}if(!(sa&134217728)){ta=ra;ua=sa}else{X=f[a+268>>2]|0;W=di[f[(f[X>>2]|0)+48>>2]&1023](X)|0;X=ra+2+W+((((($(W|1|0)|0)^31)*9|0)+73|0)>>>6)|0;ta=X;ua=f[r>>2]|0}if(!(ua&268435456)){va=ta;wa=ua}else{X=f[a+272>>2]|0;W=di[f[(f[X>>2]|0)+48>>2]&1023](X)|0;X=ta+2+W+((((($(W|1|0)|0)^31)*9|0)+73|0)>>>6)|0;va=X;wa=f[r>>2]|0}if(!(wa&536870912)){xa=va;ya=wa}else{X=f[a+276>>2]|0;W=di[f[(f[X>>2]|0)+48>>2]&1023](X)|0;X=va+2+W+((((($(W|1|0)|0)^31)*9|0)+73|0)>>>6)|0;xa=X;ya=f[r>>2]|0}if(!(ya&1073741824)){za=xa;Aa=ya}else{X=f[a+280>>2]|0;W=di[f[(f[X>>2]|0)+48>>2]&1023](X)|0;X=xa+2+W+((((($(W|1|0)|0)^31)*9|0)+73|0)>>>6)|0;za=X;Aa=f[r>>2]|0}if((Aa|0)>=0){Ba=za;break}X=f[a+284>>2]|0;W=di[f[(f[X>>2]|0)+48>>2]&1023](X)|0;Ba=za+2+W+((((($(W|1|0)|0)^31)*9|0)+73|0)>>>6)|0}else Ba=la;while(0);if(!(f[a+12>>2]&1)){Ca=Ba;Da=a+292|0;f[Da>>2]=Ca;return Ca|0}la=f[a+288>>2]|0;if((la|0)<0)Ea=11;else Ea=((((($(la|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;Ca=Ea+Ba|0;Da=a+292|0;f[Da>>2]=Ca;return Ca|0}function hZa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0;c=a+8|0;d=f[c>>2]|0;if(d&2|0)_Lb(1,f[a+164>>2]|0,b);e=f[a+20>>2]|0;if((e|0)>0){g=a+28|0;h=0;do{ULb(2,f[(f[g>>2]|0)+4+(h<<2)>>2]|0,b);h=h+1|0}while((h|0)!=(e|0))}e=f[a+36>>2]|0;if((e|0)>0){h=a+44|0;g=0;do{ULb(3,f[(f[h>>2]|0)+4+(g<<2)>>2]|0,b);g=g+1|0}while((g|0)!=(e|0))}if(d&1|0)VLb(4,f[a+160>>2]|0,b);if(f[a+12>>2]&1|0)TLb(5,f[a+288>>2]|0,b);d=f[a+52>>2]|0;if(d|0){e=a+60|0;g=0;do{_Lb(6,f[(f[e>>2]|0)+4+(g<<2)>>2]|0,b);g=g+1|0}while((g|0)!=(d|0))}d=f[a+64>>2]|0;if((d|0)>0){g=a+72|0;e=0;do{QLb(7,+n[(f[g>>2]|0)+4+(e<<2)>>2],b);e=e+1|0}while((e|0)!=(d|0))}d=f[a+76>>2]|0;if((d|0)>0){e=a+84|0;g=0;do{QLb(8,+n[(f[e>>2]|0)+4+(g<<2)>>2],b);g=g+1|0}while((g|0)!=(d|0))}d=f[c>>2]|0;if(d&4|0)_Lb(9,f[a+168>>2]|0,b);if(d&8|0)_Lb(10,f[a+172>>2]|0,b);if(d&16|0)_Lb(11,f[a+176>>2]|0,b);if(d&32|0)_Lb(12,f[a+180>>2]|0,b);if(d&64|0)_Lb(13,f[a+184>>2]|0,b);if(d&128|0)_Lb(14,f[a+188>>2]|0,b);if(d&256|0)_Lb(15,f[a+192>>2]|0,b);if(d&512|0)_Lb(16,f[a+196>>2]|0,b);if(d&1024|0)_Lb(17,f[a+200>>2]|0,b);if(d&2048|0)_Lb(18,f[a+204>>2]|0,b);if(d&4096|0)_Lb(19,f[a+208>>2]|0,b);if(d&8192|0)_Lb(20,f[a+212>>2]|0,b);if(d&16384|0)_Lb(21,f[a+216>>2]|0,b);if(d&32768|0)_Lb(22,f[a+220>>2]|0,b);if(d&65536|0)_Lb(23,f[a+224>>2]|0,b);if(d&131072|0)_Lb(24,f[a+228>>2]|0,b);if(d&262144|0)_Lb(25,f[a+232>>2]|0,b);if(d&524288|0)_Lb(26,f[a+236>>2]|0,b);if(d&1048576|0)_Lb(27,f[a+240>>2]|0,b);if(d&2097152|0)_Lb(29,f[a+244>>2]|0,b);if(d&4194304|0)_Lb(30,f[a+248>>2]|0,b);if(d&8388608|0)_Lb(31,f[a+252>>2]|0,b);c=f[a+92>>2]|0;if(c|0){g=a+100|0;e=0;do{_Lb(32,f[(f[g>>2]|0)+4+(e<<2)>>2]|0,b);e=e+1|0}while((e|0)!=(c|0))}c=f[a+108>>2]|0;if(c|0){e=a+116|0;g=0;do{_Lb(33,f[(f[e>>2]|0)+4+(g<<2)>>2]|0,b);g=g+1|0}while((g|0)!=(c|0))}if(d&16777216|0)_Lb(34,f[a+256>>2]|0,b);c=f[a+120>>2]|0;if((c|0)>0){g=a+128|0;e=0;do{QLb(35,+n[(f[g>>2]|0)+4+(e<<2)>>2],b);e=e+1|0}while((e|0)!=(c|0))}if(d&33554432|0)_Lb(36,f[a+260>>2]|0,b);if(d&67108864|0)_Lb(37,f[a+264>>2]|0,b);if(d&134217728|0)_Lb(38,f[a+268>>2]|0,b);if(d&268435456|0)_Lb(39,f[a+272>>2]|0,b);if(d&536870912|0)_Lb(40,f[a+276>>2]|0,b);if(d&1073741824|0)_Lb(41,f[a+280>>2]|0,b);if((d|0)<0)_Lb(42,f[a+284>>2]|0,b);d=f[a+136>>2]|0;if((d|0)>0){c=a+144|0;e=0;do{ULb(1001,f[(f[c>>2]|0)+4+(e<<2)>>2]|0,b);e=e+1|0}while((e|0)!=(d|0))}d=f[a+148>>2]|0;if((d|0)>0){e=a+156|0;c=0;do{TLb(1002,f[(f[e>>2]|0)+4+(c<<2)>>2]|0,b);c=c+1|0}while((c|0)!=(d|0))}d=f[a+4>>2]|0;if(!(d&1))return;Abc(d&-2,b);return}function iZa(a){a=a|0;return f[a+292>>2]|0}function jZa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0;e=a+8|0;g=f[e>>2]|0;if(!(g&2))h=d;else{i=f[a+164>>2]|0;b[d>>0]=10;j=d+1|0;d=di[f[(f[i>>2]|0)+60>>2]&1023](i)|0;if(d>>>0>127){k=d;l=j;while(1){b[l>>0]=k|128;m=k>>>7;n=l+1|0;if(k>>>0>16383){k=m;l=n}else{o=n;p=m;break}}}else{o=j;p=d}b[o>>0]=p;h=li[f[(f[i>>2]|0)+64>>2]&511](i,c,o+1|0)|0}o=f[a+20>>2]|0;if((o|0)>0){i=a+28|0;p=0;d=h;while(1){j=f[(f[i>>2]|0)+4+(p<<2)>>2]|0;b[d>>0]=18;l=XJb(j,d+1|0)|0;p=p+1|0;if((p|0)==(o|0)){q=l;break}else d=l}}else q=h;h=f[a+36>>2]|0;if((h|0)>0){d=a+44|0;o=0;p=q;while(1){i=f[(f[d>>2]|0)+4+(o<<2)>>2]|0;b[p>>0]=26;l=XJb(i,p+1|0)|0;o=o+1|0;if((o|0)==(h|0)){r=l;break}else p=l}}else r=q;if(!(g&1))s=r;else{g=f[a+160>>2]|0;b[r>>0]=34;s=XJb(g,r+1|0)|0}if(!(f[a+12>>2]&1))t=s;else{r=f[a+288>>2]|0;b[s>>0]=40;g=s+1|0;s=r&255;if(r>>>0>127){q=g;p=s;h=r;o=((r|0)<0)<<31>>31;while(1){b[q>>0]=p|-128;r=h;h=pzc(h|0,o|0,7)|0;d=q+1|0;l=h&255;if(!(o>>>0>0|(o|0)==0&r>>>0>16383)){u=d;v=l;break}else{q=d;p=l;o=J}}}else{u=g;v=s}b[u>>0]=v;t=u+1|0}u=f[a+52>>2]|0;if(!u)w=t;else{v=a+60|0;s=0;g=t;while(1){t=f[(f[v>>2]|0)+4+(s<<2)>>2]|0;b[g>>0]=50;o=g+1|0;p=di[f[(f[t>>2]|0)+60>>2]&1023](t)|0;if(p>>>0>127){q=p;h=o;while(1){b[h>>0]=q|128;l=q>>>7;d=h+1|0;if(q>>>0>16383){q=l;h=d}else{x=d;y=l;break}}}else{x=o;y=p}b[x>>0]=y;h=li[f[(f[t>>2]|0)+64>>2]&511](t,c,x+1|0)|0;s=s+1|0;if((s|0)==(u|0)){w=h;break}else g=h}}g=f[a+64>>2]|0;if(!g)z=w;else{u=f[a+72>>2]|0;s=0;x=w;while(1){w=f[u+4+(s<<2)>>2]|0;b[x>>0]=61;y=x+1|0;b[y>>0]=w;b[y+1>>0]=w>>8;b[y+2>>0]=w>>16;b[y+3>>0]=w>>24;w=x+5|0;s=s+1|0;if((s|0)>=(g|0)){z=w;break}else x=w}}x=f[a+76>>2]|0;if(!x)A=z;else{g=f[a+84>>2]|0;s=0;u=z;while(1){z=f[g+4+(s<<2)>>2]|0;b[u>>0]=69;w=u+1|0;b[w>>0]=z;b[w+1>>0]=z>>8;b[w+2>>0]=z>>16;b[w+3>>0]=z>>24;z=u+5|0;s=s+1|0;if((s|0)>=(x|0)){A=z;break}else u=z}}u=f[e>>2]|0;if(!(u&4))B=A;else{e=f[a+168>>2]|0;b[A>>0]=74;x=A+1|0;A=di[f[(f[e>>2]|0)+60>>2]&1023](e)|0;if(A>>>0>127){s=A;g=x;while(1){b[g>>0]=s|128;z=s>>>7;w=g+1|0;if(s>>>0>16383){s=z;g=w}else{C=w;D=z;break}}}else{C=x;D=A}b[C>>0]=D;B=li[f[(f[e>>2]|0)+64>>2]&511](e,c,C+1|0)|0}if(!(u&8))E=B;else{C=f[a+172>>2]|0;b[B>>0]=82;e=B+1|0;B=di[f[(f[C>>2]|0)+60>>2]&1023](C)|0;if(B>>>0>127){D=B;A=e;while(1){b[A>>0]=D|128;x=D>>>7;g=A+1|0;if(D>>>0>16383){D=x;A=g}else{F=g;G=x;break}}}else{F=e;G=B}b[F>>0]=G;E=li[f[(f[C>>2]|0)+64>>2]&511](C,c,F+1|0)|0}if(!(u&16))H=E;else{F=f[a+176>>2]|0;b[E>>0]=90;C=E+1|0;E=di[f[(f[F>>2]|0)+60>>2]&1023](F)|0;if(E>>>0>127){G=E;B=C;while(1){b[B>>0]=G|128;e=G>>>7;A=B+1|0;if(G>>>0>16383){G=e;B=A}else{I=A;K=e;break}}}else{I=C;K=E}b[I>>0]=K;H=li[f[(f[F>>2]|0)+64>>2]&511](F,c,I+1|0)|0}if(!(u&32))L=H;else{I=f[a+180>>2]|0;b[H>>0]=98;F=H+1|0;H=di[f[(f[I>>2]|0)+60>>2]&1023](I)|0;if(H>>>0>127){K=H;E=F;while(1){b[E>>0]=K|128;C=K>>>7;B=E+1|0;if(K>>>0>16383){K=C;E=B}else{M=B;N=C;break}}}else{M=F;N=H}b[M>>0]=N;L=li[f[(f[I>>2]|0)+64>>2]&511](I,c,M+1|0)|0}if(!(u&64))O=L;else{M=f[a+184>>2]|0;b[L>>0]=106;I=L+1|0;L=di[f[(f[M>>2]|0)+60>>2]&1023](M)|0;if(L>>>0>127){N=L;H=I;while(1){b[H>>0]=N|128;F=N>>>7;E=H+1|0;if(N>>>0>16383){N=F;H=E}else{P=E;Q=F;break}}}else{P=I;Q=L}b[P>>0]=Q;O=li[f[(f[M>>2]|0)+64>>2]&511](M,c,P+1|0)|0}if(!(u&128))R=O;else{P=f[a+188>>2]|0;b[O>>0]=114;M=O+1|0;O=di[f[(f[P>>2]|0)+60>>2]&1023](P)|0;if(O>>>0>127){Q=O;L=M;while(1){b[L>>0]=Q|128;I=Q>>>7;H=L+1|0;if(Q>>>0>16383){Q=I;L=H}else{S=H;T=I;break}}}else{S=M;T=O}b[S>>0]=T;R=li[f[(f[P>>2]|0)+64>>2]&511](P,c,S+1|0)|0}if(!(u&256))U=R;else{S=f[a+192>>2]|0;b[R>>0]=122;P=R+1|0;R=di[f[(f[S>>2]|0)+60>>2]&1023](S)|0;if(R>>>0>127){T=R;O=P;while(1){b[O>>0]=T|128;M=T>>>7;L=O+1|0;if(T>>>0>16383){T=M;O=L}else{V=L;W=M;break}}}else{V=P;W=R}b[V>>0]=W;U=li[f[(f[S>>2]|0)+64>>2]&511](S,c,V+1|0)|0}if(!(u&512))X=U;else{V=f[a+196>>2]|0;b[U>>0]=-126;b[U+1>>0]=1;S=U+2|0;U=di[f[(f[V>>2]|0)+60>>2]&1023](V)|0;if(U>>>0>127){W=U;R=S;while(1){b[R>>0]=W|128;P=W>>>7;O=R+1|0;if(W>>>0>16383){W=P;R=O}else{Y=O;Z=P;break}}}else{Y=S;Z=U}b[Y>>0]=Z;X=li[f[(f[V>>2]|0)+64>>2]&511](V,c,Y+1|0)|0}if(!(u&1024))_=X;else{Y=f[a+200>>2]|0;b[X>>0]=-118;b[X+1>>0]=1;V=X+2|0;X=di[f[(f[Y>>2]|0)+60>>2]&1023](Y)|0;if(X>>>0>127){Z=X;U=V;while(1){b[U>>0]=Z|128;S=Z>>>7;R=U+1|0;if(Z>>>0>16383){Z=S;U=R}else{$=R;aa=S;break}}}else{$=V;aa=X}b[$>>0]=aa;_=li[f[(f[Y>>2]|0)+64>>2]&511](Y,c,$+1|0)|0}if(!(u&2048))ba=_;else{$=f[a+204>>2]|0;b[_>>0]=-110;b[_+1>>0]=1;Y=_+2|0;_=di[f[(f[$>>2]|0)+60>>2]&1023]($)|0;if(_>>>0>127){aa=_;X=Y;while(1){b[X>>0]=aa|128;V=aa>>>7;U=X+1|0;if(aa>>>0>16383){aa=V;X=U}else{ca=U;da=V;break}}}else{ca=Y;da=_}b[ca>>0]=da;ba=li[f[(f[$>>2]|0)+64>>2]&511]($,c,ca+1|0)|0}if(!(u&4096))ea=ba;else{ca=f[a+208>>2]|0;b[ba>>0]=-102;b[ba+1>>0]=1;$=ba+2|0;ba=di[f[(f[ca>>2]|0)+60>>2]&1023](ca)|0;if(ba>>>0>127){da=ba;_=$;while(1){b[_>>0]=da|128;Y=da>>>7;X=_+1|0;if(da>>>0>16383){da=Y;_=X}else{fa=X;ga=Y;break}}}else{fa=$;ga=ba}b[fa>>0]=ga;ea=li[f[(f[ca>>2]|0)+64>>2]&511](ca,c,fa+1|0)|0}if(!(u&8192))ha=ea;else{fa=f[a+212>>2]|0;b[ea>>0]=-94;b[ea+1>>0]=1;ca=ea+2|0;ea=di[f[(f[fa>>2]|0)+60>>2]&1023](fa)|0;if(ea>>>0>127){ga=ea;ba=ca;while(1){b[ba>>0]=ga|128;$=ga>>>7;_=ba+1|0;if(ga>>>0>16383){ga=$;ba=_}else{ia=_;ja=$;break}}}else{ia=ca;ja=ea}b[ia>>0]=ja;ha=li[f[(f[fa>>2]|0)+64>>2]&511](fa,c,ia+1|0)|0}if(!(u&16384))ka=ha;else{ia=f[a+216>>2]|0;b[ha>>0]=-86;b[ha+1>>0]=1;fa=ha+2|0;ha=di[f[(f[ia>>2]|0)+60>>2]&1023](ia)|0;if(ha>>>0>127){ja=ha;ea=fa;while(1){b[ea>>0]=ja|128;ca=ja>>>7;ba=ea+1|0;if(ja>>>0>16383){ja=ca;ea=ba}else{la=ba;ma=ca;break}}}else{la=fa;ma=ha}b[la>>0]=ma;ka=li[f[(f[ia>>2]|0)+64>>2]&511](ia,c,la+1|0)|0}if(!(u&32768))na=ka;else{la=f[a+220>>2]|0;b[ka>>0]=-78;b[ka+1>>0]=1;ia=ka+2|0;ka=di[f[(f[la>>2]|0)+60>>2]&1023](la)|0;if(ka>>>0>127){ma=ka;ha=ia;while(1){b[ha>>0]=ma|128;fa=ma>>>7;ea=ha+1|0;if(ma>>>0>16383){ma=fa;ha=ea}else{oa=ea;pa=fa;break}}}else{oa=ia;pa=ka}b[oa>>0]=pa;na=li[f[(f[la>>2]|0)+64>>2]&511](la,c,oa+1|0)|0}if(!(u&65536))qa=na;else{oa=f[a+224>>2]|0;b[na>>0]=-70;b[na+1>>0]=1;la=na+2|0;na=di[f[(f[oa>>2]|0)+60>>2]&1023](oa)|0;if(na>>>0>127){pa=na;ka=la;while(1){b[ka>>0]=pa|128;ia=pa>>>7;ha=ka+1|0;if(pa>>>0>16383){pa=ia;ka=ha}else{ra=ha;sa=ia;break}}}else{ra=la;sa=na}b[ra>>0]=sa;qa=li[f[(f[oa>>2]|0)+64>>2]&511](oa,c,ra+1|0)|0}if(!(u&131072))ta=qa;else{ra=f[a+228>>2]|0;b[qa>>0]=-62;b[qa+1>>0]=1;oa=qa+2|0;qa=di[f[(f[ra>>2]|0)+60>>2]&1023](ra)|0;if(qa>>>0>127){sa=qa;na=oa;while(1){b[na>>0]=sa|128;la=sa>>>7;ka=na+1|0;if(sa>>>0>16383){sa=la;na=ka}else{ua=ka;va=la;break}}}else{ua=oa;va=qa}b[ua>>0]=va;ta=li[f[(f[ra>>2]|0)+64>>2]&511](ra,c,ua+1|0)|0}if(!(u&262144))wa=ta;else{ua=f[a+232>>2]|0;b[ta>>0]=-54;b[ta+1>>0]=1;ra=ta+2|0;ta=di[f[(f[ua>>2]|0)+60>>2]&1023](ua)|0;if(ta>>>0>127){va=ta;qa=ra;while(1){b[qa>>0]=va|128;oa=va>>>7;na=qa+1|0;if(va>>>0>16383){va=oa;qa=na}else{xa=na;ya=oa;break}}}else{xa=ra;ya=ta}b[xa>>0]=ya;wa=li[f[(f[ua>>2]|0)+64>>2]&511](ua,c,xa+1|0)|0}if(!(u&524288))za=wa;else{xa=f[a+236>>2]|0;b[wa>>0]=-46;b[wa+1>>0]=1;ua=wa+2|0;wa=di[f[(f[xa>>2]|0)+60>>2]&1023](xa)|0;if(wa>>>0>127){ya=wa;ta=ua;while(1){b[ta>>0]=ya|128;ra=ya>>>7;qa=ta+1|0;if(ya>>>0>16383){ya=ra;ta=qa}else{Aa=qa;Ba=ra;break}}}else{Aa=ua;Ba=wa}b[Aa>>0]=Ba;za=li[f[(f[xa>>2]|0)+64>>2]&511](xa,c,Aa+1|0)|0}if(!(u&1048576))Ca=za;else{Aa=f[a+240>>2]|0;b[za>>0]=-38;b[za+1>>0]=1;xa=za+2|0;za=di[f[(f[Aa>>2]|0)+60>>2]&1023](Aa)|0;if(za>>>0>127){Ba=za;wa=xa;while(1){b[wa>>0]=Ba|128;ua=Ba>>>7;ta=wa+1|0;if(Ba>>>0>16383){Ba=ua;wa=ta}else{Da=ta;Ea=ua;break}}}else{Da=xa;Ea=za}b[Da>>0]=Ea;Ca=li[f[(f[Aa>>2]|0)+64>>2]&511](Aa,c,Da+1|0)|0}if(!(u&2097152))Fa=Ca;else{Da=f[a+244>>2]|0;b[Ca>>0]=-22;b[Ca+1>>0]=1;Aa=Ca+2|0;Ca=di[f[(f[Da>>2]|0)+60>>2]&1023](Da)|0;if(Ca>>>0>127){Ea=Ca;za=Aa;while(1){b[za>>0]=Ea|128;xa=Ea>>>7;wa=za+1|0;if(Ea>>>0>16383){Ea=xa;za=wa}else{Ga=wa;Ha=xa;break}}}else{Ga=Aa;Ha=Ca}b[Ga>>0]=Ha;Fa=li[f[(f[Da>>2]|0)+64>>2]&511](Da,c,Ga+1|0)|0}if(!(u&4194304))Ia=Fa;else{Ga=f[a+248>>2]|0;b[Fa>>0]=-14;b[Fa+1>>0]=1;Da=Fa+2|0;Fa=di[f[(f[Ga>>2]|0)+60>>2]&1023](Ga)|0;if(Fa>>>0>127){Ha=Fa;Ca=Da;while(1){b[Ca>>0]=Ha|128;Aa=Ha>>>7;za=Ca+1|0;if(Ha>>>0>16383){Ha=Aa;Ca=za}else{Ja=za;Ka=Aa;break}}}else{Ja=Da;Ka=Fa}b[Ja>>0]=Ka;Ia=li[f[(f[Ga>>2]|0)+64>>2]&511](Ga,c,Ja+1|0)|0}if(!(u&8388608))La=Ia;else{Ja=f[a+252>>2]|0;b[Ia>>0]=-6;b[Ia+1>>0]=1;Ga=Ia+2|0;Ia=di[f[(f[Ja>>2]|0)+60>>2]&1023](Ja)|0;if(Ia>>>0>127){Ka=Ia;Fa=Ga;while(1){b[Fa>>0]=Ka|128;Da=Ka>>>7;Ca=Fa+1|0;if(Ka>>>0>16383){Ka=Da;Fa=Ca}else{Ma=Ca;Na=Da;break}}}else{Ma=Ga;Na=Ia}b[Ma>>0]=Na;La=li[f[(f[Ja>>2]|0)+64>>2]&511](Ja,c,Ma+1|0)|0}Ma=f[a+92>>2]|0;if(!Ma)Oa=La;else{Ja=a+100|0;Na=0;Ia=La;while(1){La=f[(f[Ja>>2]|0)+4+(Na<<2)>>2]|0;b[Ia>>0]=-126;b[Ia+1>>0]=2;Ga=Ia+2|0;Fa=di[f[(f[La>>2]|0)+60>>2]&1023](La)|0;if(Fa>>>0>127){Ka=Fa;Da=Ga;while(1){b[Da>>0]=Ka|128;Ca=Ka>>>7;Ha=Da+1|0;if(Ka>>>0>16383){Ka=Ca;Da=Ha}else{Pa=Ha;Qa=Ca;break}}}else{Pa=Ga;Qa=Fa}b[Pa>>0]=Qa;Da=li[f[(f[La>>2]|0)+64>>2]&511](La,c,Pa+1|0)|0;Na=Na+1|0;if((Na|0)==(Ma|0)){Oa=Da;break}else Ia=Da}}Ia=f[a+108>>2]|0;if(!Ia)Ra=Oa;else{Ma=a+116|0;Na=0;Pa=Oa;while(1){Oa=f[(f[Ma>>2]|0)+4+(Na<<2)>>2]|0;b[Pa>>0]=-118;b[Pa+1>>0]=2;Qa=Pa+2|0;Ja=di[f[(f[Oa>>2]|0)+60>>2]&1023](Oa)|0;if(Ja>>>0>127){Da=Ja;Ka=Qa;while(1){b[Ka>>0]=Da|128;t=Da>>>7;p=Ka+1|0;if(Da>>>0>16383){Da=t;Ka=p}else{Sa=p;Ta=t;break}}}else{Sa=Qa;Ta=Ja}b[Sa>>0]=Ta;Ka=li[f[(f[Oa>>2]|0)+64>>2]&511](Oa,c,Sa+1|0)|0;Na=Na+1|0;if((Na|0)==(Ia|0)){Ra=Ka;break}else Pa=Ka}}if(!(u&16777216))Ua=Ra;else{Pa=f[a+256>>2]|0;b[Ra>>0]=-110;b[Ra+1>>0]=2;Ia=Ra+2|0;Ra=di[f[(f[Pa>>2]|0)+60>>2]&1023](Pa)|0;if(Ra>>>0>127){Na=Ra;Sa=Ia;while(1){b[Sa>>0]=Na|128;Ta=Na>>>7;Ma=Sa+1|0;if(Na>>>0>16383){Na=Ta;Sa=Ma}else{Va=Ma;Wa=Ta;break}}}else{Va=Ia;Wa=Ra}b[Va>>0]=Wa;Ua=li[f[(f[Pa>>2]|0)+64>>2]&511](Pa,c,Va+1|0)|0}Va=f[a+120>>2]|0;if(!Va)Xa=Ua;else{Pa=f[a+128>>2]|0;Wa=0;Ra=Ua;while(1){Ua=f[Pa+4+(Wa<<2)>>2]|0;b[Ra>>0]=-99;b[Ra+1>>0]=2;Ia=Ra+2|0;b[Ia>>0]=Ua;b[Ia+1>>0]=Ua>>8;b[Ia+2>>0]=Ua>>16;b[Ia+3>>0]=Ua>>24;Ua=Ra+6|0;Wa=Wa+1|0;if((Wa|0)>=(Va|0)){Xa=Ua;break}else Ra=Ua}}if(!(u&33554432))Ya=Xa;else{Ra=f[a+260>>2]|0;b[Xa>>0]=-94;b[Xa+1>>0]=2;Va=Xa+2|0;Xa=di[f[(f[Ra>>2]|0)+60>>2]&1023](Ra)|0;if(Xa>>>0>127){Wa=Xa;Pa=Va;while(1){b[Pa>>0]=Wa|128;Ua=Wa>>>7;Ia=Pa+1|0;if(Wa>>>0>16383){Wa=Ua;Pa=Ia}else{Za=Ia;_a=Ua;break}}}else{Za=Va;_a=Xa}b[Za>>0]=_a;Ya=li[f[(f[Ra>>2]|0)+64>>2]&511](Ra,c,Za+1|0)|0}if(!(u&67108864))$a=Ya;else{Za=f[a+264>>2]|0;b[Ya>>0]=-86;b[Ya+1>>0]=2;Ra=Ya+2|0;Ya=di[f[(f[Za>>2]|0)+60>>2]&1023](Za)|0;if(Ya>>>0>127){_a=Ya;Xa=Ra;while(1){b[Xa>>0]=_a|128;Va=_a>>>7;Pa=Xa+1|0;if(_a>>>0>16383){_a=Va;Xa=Pa}else{ab=Pa;bb=Va;break}}}else{ab=Ra;bb=Ya}b[ab>>0]=bb;$a=li[f[(f[Za>>2]|0)+64>>2]&511](Za,c,ab+1|0)|0}if(!(u&134217728))cb=$a;else{ab=f[a+268>>2]|0;b[$a>>0]=-78;b[$a+1>>0]=2;Za=$a+2|0;$a=di[f[(f[ab>>2]|0)+60>>2]&1023](ab)|0;if($a>>>0>127){bb=$a;Ya=Za;while(1){b[Ya>>0]=bb|128;Ra=bb>>>7;Xa=Ya+1|0;if(bb>>>0>16383){bb=Ra;Ya=Xa}else{db=Xa;eb=Ra;break}}}else{db=Za;eb=$a}b[db>>0]=eb;cb=li[f[(f[ab>>2]|0)+64>>2]&511](ab,c,db+1|0)|0}if(!(u&268435456))fb=cb;else{db=f[a+272>>2]|0;b[cb>>0]=-70;b[cb+1>>0]=2;ab=cb+2|0;cb=di[f[(f[db>>2]|0)+60>>2]&1023](db)|0;if(cb>>>0>127){eb=cb;$a=ab;while(1){b[$a>>0]=eb|128;Za=eb>>>7;Ya=$a+1|0;if(eb>>>0>16383){eb=Za;$a=Ya}else{gb=Ya;hb=Za;break}}}else{gb=ab;hb=cb}b[gb>>0]=hb;fb=li[f[(f[db>>2]|0)+64>>2]&511](db,c,gb+1|0)|0}if(!(u&536870912))ib=fb;else{gb=f[a+276>>2]|0;b[fb>>0]=-62;b[fb+1>>0]=2;db=fb+2|0;fb=di[f[(f[gb>>2]|0)+60>>2]&1023](gb)|0;if(fb>>>0>127){hb=fb;cb=db;while(1){b[cb>>0]=hb|128;ab=hb>>>7;$a=cb+1|0;if(hb>>>0>16383){hb=ab;cb=$a}else{jb=$a;kb=ab;break}}}else{jb=db;kb=fb}b[jb>>0]=kb;ib=li[f[(f[gb>>2]|0)+64>>2]&511](gb,c,jb+1|0)|0}if(!(u&1073741824))lb=ib;else{jb=f[a+280>>2]|0;b[ib>>0]=-54;b[ib+1>>0]=2;gb=ib+2|0;ib=di[f[(f[jb>>2]|0)+60>>2]&1023](jb)|0;if(ib>>>0>127){kb=ib;fb=gb;while(1){b[fb>>0]=kb|128;db=kb>>>7;cb=fb+1|0;if(kb>>>0>16383){kb=db;fb=cb}else{mb=cb;nb=db;break}}}else{mb=gb;nb=ib}b[mb>>0]=nb;lb=li[f[(f[jb>>2]|0)+64>>2]&511](jb,c,mb+1|0)|0}if((u|0)<0){u=f[a+284>>2]|0;b[lb>>0]=-46;b[lb+1>>0]=2;mb=lb+2|0;jb=di[f[(f[u>>2]|0)+60>>2]&1023](u)|0;if(jb>>>0>127){nb=jb;ib=mb;while(1){b[ib>>0]=nb|128;gb=nb>>>7;fb=ib+1|0;if(nb>>>0>16383){nb=gb;ib=fb}else{ob=fb;pb=gb;break}}}else{ob=mb;pb=jb}b[ob>>0]=pb;qb=li[f[(f[u>>2]|0)+64>>2]&511](u,c,ob+1|0)|0}else qb=lb;lb=f[a+136>>2]|0;if((lb|0)>0){ob=a+144|0;c=0;u=qb;while(1){pb=f[(f[ob>>2]|0)+4+(c<<2)>>2]|0;b[u>>0]=-54;b[u+1>>0]=62;jb=XJb(pb,u+2|0)|0;c=c+1|0;if((c|0)==(lb|0)){rb=jb;break}else u=jb}}else rb=qb;qb=f[a+148>>2]|0;if(!qb)sb=rb;else{u=f[a+156>>2]|0;lb=0;c=rb;while(1){rb=f[u+4+(lb<<2)>>2]|0;b[c>>0]=-48;b[c+1>>0]=62;ob=c+2|0;jb=rb&255;if(rb>>>0>127){pb=ob;mb=jb;ib=rb;nb=((rb|0)<0)<<31>>31;while(1){b[pb>>0]=mb|-128;rb=ib;ib=pzc(ib|0,nb|0,7)|0;gb=pb+1|0;fb=ib&255;if(!(nb>>>0>0|(nb|0)==0&rb>>>0>16383)){tb=gb;ub=fb;break}else{pb=gb;mb=fb;nb=J}}}else{tb=ob;ub=jb}b[tb>>0]=ub;nb=tb+1|0;lb=lb+1|0;if((lb|0)>=(qb|0)){sb=nb;break}else c=nb}}c=f[a+4>>2]|0;if(!(c&1)){vb=sb;return vb|0}vb=Bbc(c&-2,sb)|0;return vb|0}function kZa(a,b){a=a|0;b=b|0;var c=0;if((a|0)==(b|0))return;dZa(a);c=ovc(b,24728,19736,0)|0;if(!c){A9b(b,a);return}else{oZa(a,c);return}}function lZa(a,b){a=a|0;b=b|0;var c=0;c=ovc(b,24728,19736,0)|0;if(!c){A9b(b,a);return}else{oZa(a,c);return}}function mZa(a,b){a=a|0;b=b|0;f[a+292>>2]=b;return}function nZa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224781]|0)!=2){f[d>>2]=151624;f[d+4>>2]=21;b[d+8>>0]=0;xLb(899124,d);QKb(d)}d=541016;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function oZa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0;d=a+4|0;e=f[c+4>>2]|0;if(e&1|0){g=f[d>>2]|0;if(!(g&1))h=OOa(d)|0;else h=g&-2;hbc(h,e&-2)}YOa(a+16|0,c+16|0);YOa(a+32|0,c+32|0);VEa(a+48|0,c+48|0);e=a+64|0;h=c+64|0;g=f[h>>2]|0;if(g|0){REa(e,(f[e>>2]|0)+g|0);szc((f[a+72>>2]|0)+4+(f[e>>2]<<2)|0,(f[c+72>>2]|0)+4|0,f[h>>2]<<2|0)|0;f[e>>2]=(f[e>>2]|0)+(f[h>>2]|0)}h=a+76|0;e=c+76|0;g=f[e>>2]|0;if(g|0){REa(h,(f[h>>2]|0)+g|0);szc((f[a+84>>2]|0)+4+(f[h>>2]<<2)|0,(f[c+84>>2]|0)+4|0,f[e>>2]<<2|0)|0;f[h>>2]=(f[h>>2]|0)+(f[e>>2]|0)}pZa(a+88|0,c+88|0);pZa(a+104|0,c+104|0);e=a+120|0;h=c+120|0;g=f[h>>2]|0;if(g|0){REa(e,(f[e>>2]|0)+g|0);szc((f[a+128>>2]|0)+4+(f[e>>2]<<2)|0,(f[c+128>>2]|0)+4|0,f[h>>2]<<2|0)|0;f[e>>2]=(f[e>>2]|0)+(f[h>>2]|0)}YOa(a+132|0,c+132|0);h=a+148|0;e=c+148|0;g=f[e>>2]|0;if(g|0){NEa(h,(f[h>>2]|0)+g|0);szc((f[a+156>>2]|0)+4+(f[h>>2]<<2)|0,(f[c+156>>2]|0)+4|0,f[e>>2]<<2|0)|0;f[h>>2]=(f[h>>2]|0)+(f[e>>2]|0)}e=f[c+8>>2]|0;do if(e&255|0){do if(e&1|0?(h=a+8|0,f[h>>2]=f[h>>2]|1,h=a+160|0,g=f[c+160>>2]|0,d=f[h>>2]|0,(d|0)!=(g|0)):0)if((d|0)==542896){JEa(h,g);break}else{ruc(d,g)|0;break}while(0);if(e&2|0){g=a+8|0;f[g>>2]=f[g>>2]|2;g=a+164|0;d=f[g>>2]|0;if(!d){h=cuc(196)|0;WYa(h);f[g>>2]=h;i=h}else i=d;d=f[c+164>>2]|0;kYa(i,d|0?d:540024)}if(e&4|0){d=a+8|0;f[d>>2]=f[d>>2]|4;d=a+168|0;h=f[d>>2]|0;if(!h){g=cuc(24)|0;qZa(g);f[d>>2]=g;j=g}else j=h;h=f[c+168>>2]|0;g=h|0?h:538112;h=j+4|0;d=f[g+4>>2]|0;if(d&1|0){k=f[h>>2]|0;if(!(k&1))l=OOa(h)|0;else l=k&-2;hbc(l,d&-2)}d=f[g+8>>2]|0;if(d&3|0){if(d&1|0)f[j+16>>2]=f[g+16>>2];if(d&2|0)f[j+20>>2]=f[g+20>>2];g=j+8|0;f[g>>2]=f[g>>2]|d}}if(e&8|0){d=a+8|0;f[d>>2]=f[d>>2]|8;d=a+172|0;g=f[d>>2]|0;if(!g){k=cuc(120)|0;rZa(k);f[d>>2]=k;m=k}else m=g;g=f[c+172>>2]|0;sZa(m,g|0?g:538224)}if(e&16|0){g=a+8|0;f[g>>2]=f[g>>2]|16;g=a+176|0;k=f[g>>2]|0;if(!k){d=cuc(52)|0;tZa(d);f[g>>2]=d;n=d}else n=k;k=f[c+176>>2]|0;uZa(n,k|0?k:538376)}if(e&32|0){k=a+8|0;f[k>>2]=f[k>>2]|32;k=a+180|0;d=f[k>>2]|0;if(!d){g=cuc(24)|0;vZa(g);f[k>>2]=g;o=g}else o=d;d=f[c+180>>2]|0;g=d|0?d:538504;d=o+4|0;k=f[g+4>>2]|0;if(k&1|0){h=f[d>>2]|0;if(!(h&1))p=OOa(d)|0;else p=h&-2;hbc(p,k&-2)}k=f[g+8>>2]|0;if(k&3|0){if(k&1|0)f[o+16>>2]=f[g+16>>2];if(k&2|0)b[o+20>>0]=b[g+20>>0]|0;g=o+8|0;f[g>>2]=f[g>>2]|k}}if(e&64|0){k=a+8|0;f[k>>2]=f[k>>2]|64;k=a+184|0;g=f[k>>2]|0;if(!g){h=cuc(28)|0;wZa(h);f[k>>2]=h;q=h}else q=g;g=f[c+184>>2]|0;xZa(q,g|0?g:538784)}if(e&128|0){g=a+8|0;f[g>>2]=f[g>>2]|128;g=a+188|0;h=f[g>>2]|0;if(!h){k=cuc(20)|0;lYa(k);f[g>>2]=k;r=k}else r=h;h=f[c+188>>2]|0;k=h|0?h:538816;h=r+4|0;g=f[k+4>>2]|0;if(g&1|0){d=f[h>>2]|0;if(!(d&1))s=OOa(h)|0;else s=d&-2;hbc(s,g&-2)}if(f[k+8>>2]&1|0?(g=r+8|0,f[g>>2]=f[g>>2]|1,g=r+16|0,d=f[k+16>>2]|0,k=f[g>>2]|0,(k|0)!=(d|0)):0)if((k|0)==542896){JEa(g,d);break}else{ruc(k,d)|0;break}}}while(0);if(e&65280|0){if(e&256|0){r=a+8|0;f[r>>2]=f[r>>2]|256;r=a+192|0;s=f[r>>2]|0;if(!s){q=cuc(60)|0;yZa(q);f[r>>2]=q;t=q}else t=s;s=f[c+192>>2]|0;zZa(t,s|0?s:538864)}do if(e&512|0){s=a+8|0;f[s>>2]=f[s>>2]|512;s=a+196|0;t=f[s>>2]|0;if(!t){q=cuc(20)|0;AZa(q);f[s>>2]=q;u=q}else u=t;t=f[c+196>>2]|0;q=t|0?t:538928;t=u+4|0;s=f[q+4>>2]|0;if(s&1|0){r=f[t>>2]|0;if(!(r&1))v=OOa(t)|0;else v=r&-2;hbc(v,s&-2)}if(f[q+8>>2]&1|0?(s=u+8|0,f[s>>2]=f[s>>2]|1,s=u+16|0,r=f[q+16>>2]|0,q=f[s>>2]|0,(q|0)!=(r|0)):0)if((q|0)==542896){JEa(s,r);break}else{ruc(q,r)|0;break}}while(0);if(e&1024|0){u=a+8|0;f[u>>2]=f[u>>2]|1024;u=a+200|0;v=f[u>>2]|0;if(!v){r=cuc(36)|0;BZa(r);f[u>>2]=r;w=r}else w=v;v=f[c+200>>2]|0;CZa(w,v|0?v:538952)}if(e&2048|0){v=a+8|0;f[v>>2]=f[v>>2]|2048;v=a+204|0;w=f[v>>2]|0;if(!w){r=cuc(40)|0;DZa(r);f[v>>2]=r;x=r}else x=w;w=f[c+204>>2]|0;EZa(x,w|0?w:539056)}if(e&4096|0){w=a+8|0;f[w>>2]=f[w>>2]|4096;w=a+208|0;x=f[w>>2]|0;if(!x){r=cuc(68)|0;FZa(r);f[w>>2]=r;y=r}else y=x;x=f[c+208>>2]|0;GZa(y,x|0?x:539176)}if(e&8192|0){x=a+8|0;f[x>>2]=f[x>>2]|8192;x=a+212|0;y=f[x>>2]|0;if(!y){r=cuc(64)|0;HZa(r);f[x>>2]=r;z=r}else z=y;y=f[c+212>>2]|0;IZa(z,y|0?y:539632)}if(e&16384|0){y=a+8|0;f[y>>2]=f[y>>2]|16384;y=a+216|0;z=f[y>>2]|0;if(!z){r=cuc(28)|0;JZa(r);f[y>>2]=r;A=r}else A=z;z=f[c+216>>2]|0;r=z|0?z:539248;z=A+4|0;y=f[r+4>>2]|0;if(y&1|0){x=f[z>>2]|0;if(!(x&1))B=OOa(z)|0;else B=x&-2;hbc(B,y&-2)}y=f[r+8>>2]|0;if(y&7|0){if(y&1|0)f[A+16>>2]=f[r+16>>2];if(y&2|0)f[A+20>>2]=f[r+20>>2];if(y&4|0)f[A+24>>2]=f[r+24>>2];r=A+8|0;f[r>>2]=f[r>>2]|y}}if(e&32768|0){y=a+8|0;f[y>>2]=f[y>>2]|32768;y=a+220|0;r=f[y>>2]|0;if(!r){A=cuc(32)|0;KZa(A);f[y>>2]=A;C=A}else C=r;r=f[c+220>>2]|0;A=r|0?r:539096;r=C+4|0;y=f[A+4>>2]|0;if(y&1|0){B=f[r>>2]|0;if(!(B&1))D=OOa(r)|0;else D=B&-2;hbc(D,y&-2)}y=f[A+8>>2]|0;if(y&15|0){if(y&1|0)f[C+16>>2]=f[A+16>>2];if(y&2|0)f[C+20>>2]=f[A+20>>2];if(y&4|0)f[C+24>>2]=f[A+24>>2];if(y&8|0)f[C+28>>2]=f[A+28>>2];A=C+8|0;f[A>>2]=f[A>>2]|y}}}if(e&16711680|0){if(e&65536|0){y=a+8|0;f[y>>2]=f[y>>2]|65536;y=a+224|0;A=f[y>>2]|0;if(!A){C=cuc(28)|0;LZa(C);f[y>>2]=C;E=C}else E=A;A=f[c+224>>2]|0;C=A|0?A:538080;A=E+4|0;y=f[C+4>>2]|0;if(y&1|0){D=f[A>>2]|0;if(!(D&1))F=OOa(A)|0;else F=D&-2;hbc(F,y&-2)}y=f[C+8>>2]|0;if(y&7|0){if(y&1|0)b[E+16>>0]=b[C+16>>0]|0;if(y&2|0)f[E+20>>2]=f[C+20>>2];if(y&4|0)f[E+24>>2]=f[C+24>>2];C=E+8|0;f[C>>2]=f[C>>2]|y}}if(e&131072|0){y=a+8|0;f[y>>2]=f[y>>2]|131072;y=a+228|0;C=f[y>>2]|0;if(!C){E=cuc(36)|0;MZa(E);f[y>>2]=E;G=E}else G=C;C=f[c+228>>2]|0;NZa(G,C|0?C:538624)}if(e&262144|0){C=a+8|0;f[C>>2]=f[C>>2]|262144;C=a+232|0;G=f[C>>2]|0;if(!G){E=cuc(20)|0;OZa(E);f[C>>2]=E;H=E}else H=G;G=f[c+232>>2]|0;E=G|0?G:539608;G=H+4|0;C=f[E+4>>2]|0;if(C&1|0){y=f[G>>2]|0;if(!(y&1))I=OOa(G)|0;else I=y&-2;hbc(I,C&-2)}if(f[E+8>>2]&1|0){C=f[E+16>>2]|0;E=H+8|0;f[E>>2]=f[E>>2]|1;f[H+16>>2]=C}}if(e&524288|0){C=a+8|0;f[C>>2]=f[C>>2]|524288;C=a+236|0;H=f[C>>2]|0;if(!H){E=cuc(96)|0;PZa(E);f[C>>2]=E;J=E}else J=H;H=f[c+236>>2]|0;QZa(J,H|0?H:538528)}if(e&1048576|0){H=a+8|0;f[H>>2]=f[H>>2]|1048576;H=a+240|0;J=f[H>>2]|0;if(!J){E=cuc(28)|0;RZa(E);f[H>>2]=E;K=E}else K=J;J=f[c+240>>2]|0;E=J|0?J:538048;J=K+4|0;H=f[E+4>>2]|0;if(H&1|0){C=f[J>>2]|0;if(!(C&1))L=OOa(J)|0;else L=C&-2;hbc(L,H&-2)}H=f[E+8>>2]|0;if(H&7|0){if(H&1|0)f[K+16>>2]=f[E+16>>2];if(H&2|0)f[K+20>>2]=f[E+20>>2];if(H&4|0)f[K+24>>2]=f[E+24>>2];E=K+8|0;f[E>>2]=f[E>>2]|H}}if(e&2097152|0){H=a+8|0;f[H>>2]=f[H>>2]|2097152;H=a+244|0;E=f[H>>2]|0;if(!E){K=cuc(20)|0;SZa(K);f[H>>2]=K;M=K}else M=E;E=f[c+244>>2]|0;K=E|0?E:538840;E=M+4|0;H=f[K+4>>2]|0;if(H&1|0){L=f[E>>2]|0;if(!(L&1))N=OOa(E)|0;else N=L&-2;hbc(N,H&-2)}if(f[K+8>>2]&1|0){H=f[K+16>>2]|0;K=M+8|0;f[K>>2]=f[K>>2]|1;f[M+16>>2]=H}}if(e&4194304|0){H=a+8|0;f[H>>2]=f[H>>2]|4194304;H=a+248|0;M=f[H>>2]|0;if(!M){K=cuc(24)|0;TZa(K);f[H>>2]=K;O=K}else O=M;M=f[c+248>>2]|0;K=M|0?M:539376;M=O+4|0;H=f[K+4>>2]|0;if(H&1|0){N=f[M>>2]|0;if(!(N&1))P=OOa(M)|0;else P=N&-2;hbc(P,H&-2)}H=f[K+8>>2]|0;if(H&3|0){if(H&1|0)f[O+16>>2]=f[K+16>>2];if(H&2|0)f[O+20>>2]=f[K+20>>2];K=O+8|0;f[K>>2]=f[K>>2]|H}}if(e&8388608|0){H=a+8|0;f[H>>2]=f[H>>2]|8388608;H=a+252|0;K=f[H>>2]|0;if(!K){O=cuc(36)|0;UZa(O);f[H>>2]=O;Q=O}else Q=K;K=f[c+252>>2]|0;VZa(Q,K|0?K:539496)}}do if(e>>>0>16777215){if(e&16777216|0){K=a+8|0;f[K>>2]=f[K>>2]|16777216;K=a+256|0;Q=f[K>>2]|0;if(!Q){O=cuc(24)|0;WZa(O);f[K>>2]=O;R=O}else R=Q;Q=f[c+256>>2]|0;O=Q|0?Q:539128;Q=R+4|0;K=f[O+4>>2]|0;if(K&1|0){H=f[Q>>2]|0;if(!(H&1))S=OOa(Q)|0;else S=H&-2;hbc(S,K&-2)}K=f[O+8>>2]|0;if(K&7|0){if(K&1|0)b[R+16>>0]=b[O+16>>0]|0;if(K&2|0)b[R+17>>0]=b[O+17>>0]|0;if(K&4|0)f[R+20>>2]=f[O+20>>2];O=R+8|0;f[O>>2]=f[O>>2]|K}}if(e&33554432|0){K=a+8|0;f[K>>2]=f[K>>2]|33554432;K=a+260|0;O=f[K>>2]|0;if(!O){H=cuc(44)|0;XZa(H);f[K>>2]=H;T=H}else T=O;O=f[c+260>>2]|0;YZa(T,O|0?O:537968)}if(e&67108864|0){O=a+8|0;f[O>>2]=f[O>>2]|67108864;O=a+264|0;H=f[O>>2]|0;if(!H){K=cuc(20)|0;ZZa(K);f[O>>2]=K;U=K}else U=H;H=f[c+264>>2]|0;K=H|0?H:539560;H=U+4|0;O=f[K+4>>2]|0;if(O&1|0){Q=f[H>>2]|0;if(!(Q&1))V=OOa(H)|0;else V=Q&-2;hbc(V,O&-2)}if(f[K+8>>2]&1|0){O=f[K+16>>2]|0;K=U+8|0;f[K>>2]=f[K>>2]|1;f[U+16>>2]=O}}if(e&134217728|0){O=a+8|0;f[O>>2]=f[O>>2]|134217728;O=a+268|0;K=f[O>>2]|0;if(!K){Q=cuc(20)|0;_Za(Q);f[O>>2]=Q;W=Q}else W=K;K=f[c+268>>2]|0;Q=K|0?K:539472;K=W+4|0;O=f[Q+4>>2]|0;if(O&1|0){H=f[K>>2]|0;if(!(H&1))X=OOa(K)|0;else X=H&-2;hbc(X,O&-2)}if(f[Q+8>>2]&1|0){O=f[Q+16>>2]|0;Q=W+8|0;f[Q>>2]=f[Q>>2]|1;f[W+16>>2]=O}}if(e&268435456|0){O=a+8|0;f[O>>2]=f[O>>2]|268435456;O=a+272|0;Q=f[O>>2]|0;if(!Q){H=cuc(24)|0;$Za(H);f[O>>2]=H;Y=H}else Y=Q;Q=f[c+272>>2]|0;H=Q|0?Q:539536;Q=Y+4|0;O=f[H+4>>2]|0;if(O&1|0){K=f[Q>>2]|0;if(!(K&1))Z=OOa(Q)|0;else Z=K&-2;hbc(Z,O&-2)}O=f[H+8>>2]|0;if(O&3|0){if(O&1|0)f[Y+16>>2]=f[H+16>>2];if(O&2|0)f[Y+20>>2]=f[H+20>>2];H=Y+8|0;f[H>>2]=f[H>>2]|O}}if(e&536870912|0){O=a+8|0;f[O>>2]=f[O>>2]|536870912;O=a+276|0;H=f[O>>2]|0;if(!H){K=cuc(24)|0;a_a(K);f[O>>2]=K;_=K}else _=H;H=f[c+276>>2]|0;K=H|0?H:538200;H=_+4|0;O=f[K+4>>2]|0;if(O&1|0){Q=f[H>>2]|0;if(!(Q&1))$=OOa(H)|0;else $=Q&-2;hbc($,O&-2)}O=f[K+8>>2]|0;if(O&3|0){if(O&1|0)b[_+16>>0]=b[K+16>>0]|0;if(O&2|0)f[_+20>>2]=f[K+20>>2];K=_+8|0;f[K>>2]=f[K>>2]|O}}do if(e&1073741824|0){O=a+8|0;f[O>>2]=f[O>>2]|1073741824;O=a+280|0;K=f[O>>2]|0;if(!K){Q=cuc(28)|0;b_a(Q);f[O>>2]=Q;aa=Q}else aa=K;K=f[c+280>>2]|0;Q=K|0?K:538728;K=aa+4|0;O=f[Q+4>>2]|0;if(O&1|0){H=f[K>>2]|0;if(!(H&1))ba=OOa(K)|0;else ba=H&-2;hbc(ba,O&-2)}O=f[Q+8>>2]|0;if(!(O&7))break;if(O&1|0)f[aa+16>>2]=f[Q+16>>2];if(O&2|0)f[aa+20>>2]=f[Q+20>>2];if(O&4|0)f[aa+24>>2]=f[Q+24>>2];Q=aa+8|0;f[Q>>2]=f[Q>>2]|O}while(0);if((e|0)<0){O=a+8|0;f[O>>2]=f[O>>2]|-2147483648;O=a+284|0;Q=f[O>>2]|0;if(!Q){H=cuc(28)|0;c_a(H);f[O>>2]=H;ca=H}else ca=Q;Q=f[c+284>>2]|0;H=Q|0?Q:538016;Q=ca+4|0;O=f[H+4>>2]|0;if(O&1|0){K=f[Q>>2]|0;if(!(K&1))da=OOa(Q)|0;else da=K&-2;hbc(da,O&-2)}O=f[H+8>>2]|0;if(!(O&7))break;if(O&1|0)f[ca+16>>2]=f[H+16>>2];if(O&2|0)b[ca+20>>0]=b[H+20>>0]|0;if(O&4|0)f[ca+24>>2]=f[H+24>>2];H=ca+8|0;f[H>>2]=f[H>>2]|O}}while(0);if(!(f[c+12>>2]&1))return;ca=f[c+288>>2]|0;c=a+12|0;f[c>>2]=f[c>>2]|1;f[a+288>>2]=ca;return}function pZa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=f[b+4>>2]|0;if(!c)return;d=f[b+12>>2]|0;b=KKb(a,c)|0;e=a+12|0;g=a+4|0;h=(f[f[e>>2]>>2]|0)-(f[g>>2]|0)|0;if((h|0)>0&(c|0)>0){i=0;do{U6a(f[d+4+(i<<2)>>2]|0,f[b+(i<<2)>>2]|0);i=i+1|0}while((i|0)<(h|0)&(i|0)<(c|0))}i=f[a>>2]|0;a:do if((h|0)<(c|0)){a=i+64|0;if(!i){j=h;while(1){k=f[d+4+(j<<2)>>2]|0;l=cuc(60)|0;T6a(l);U6a(k,l);f[b+(j<<2)>>2]=l;j=j+1|0;if((j|0)>=(c|0))break a}}else m=h;do{j=f[d+4+(m<<2)>>2]|0;if(f[a>>2]|0)HIb(i,20216,64);l=GIb(i,64,1967)|0;T6a(l);U6a(j,l);f[b+(m<<2)>>2]=l;m=m+1|0}while((m|0)!=(c|0))}while(0);m=(f[g>>2]|0)+c|0;f[g>>2]=m;g=f[e>>2]|0;if((f[g>>2]|0)>=(m|0))return;f[g>>2]=m;return}function qZa(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=126404;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=538112?(f[224803]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=43;b[d+8>>0]=0;xLb(899212,d);QKb(d)}f[a+12>>2]=0;f[a+16>>2]=1;f[a+20>>2]=1;u=c;return}function rZa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0;c=u;u=u+16|0;d=c;f[a>>2]=126296;f[a+4>>2]=0;f[a+8>>2]=0;e=(a|0)==538224;g=a+16|0;h=g+48|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));if(!e?(f[224807]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=47;b[d+8>>0]=0;xLb(899228,d);QKb(d)}f[a+12>>2]=0;d=a+64|0;g=d;h=g+40|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));b[d+40>>0]=0;f[a+108>>2]=1;b[a+112>>0]=1;f[a+116>>2]=1;u=c;return}function sZa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0;d=a+4|0;e=f[c+4>>2]|0;if(e&1|0){g=f[d>>2]|0;if(!(g&1))h=OOa(d)|0;else h=g&-2;hbc(h,e&-2)}e=a+16|0;h=c+16|0;g=f[h>>2]|0;if(g|0){UEa(e,(f[e>>2]|0)+g|0);szc((f[a+24>>2]|0)+4+(f[e>>2]<<2)|0,(f[c+24>>2]|0)+4|0,f[h>>2]<<2|0)|0;f[e>>2]=(f[e>>2]|0)+(f[h>>2]|0)}h=a+28|0;e=c+28|0;g=f[e>>2]|0;if(g|0){UEa(h,(f[h>>2]|0)+g|0);szc((f[a+36>>2]|0)+4+(f[h>>2]<<2)|0,(f[c+36>>2]|0)+4|0,f[e>>2]<<2|0)|0;f[h>>2]=(f[h>>2]|0)+(f[e>>2]|0)}e=a+40|0;h=c+40|0;g=f[h>>2]|0;if(g|0){UEa(e,(f[e>>2]|0)+g|0);szc((f[a+48>>2]|0)+4+(f[e>>2]<<2)|0,(f[c+48>>2]|0)+4|0,f[h>>2]<<2|0)|0;f[e>>2]=(f[e>>2]|0)+(f[h>>2]|0)}h=a+52|0;e=c+52|0;g=f[e>>2]|0;if(g|0){UEa(h,(f[h>>2]|0)+g|0);szc((f[a+60>>2]|0)+4+(f[h>>2]<<2)|0,(f[c+60>>2]|0)+4|0,f[e>>2]<<2|0)|0;f[h>>2]=(f[h>>2]|0)+(f[e>>2]|0)}e=f[c+8>>2]|0;if(e&255|0){if(e&1|0){h=a+8|0;f[h>>2]=f[h>>2]|1;h=a+64|0;g=f[h>>2]|0;if(!g){d=cuc(48)|0;DXa(d);f[h>>2]=d;i=d}else i=g;g=f[c+64>>2]|0;EXa(i,g|0?g:537032)}if(e&2|0){g=a+8|0;f[g>>2]=f[g>>2]|2;g=a+68|0;i=f[g>>2]|0;if(!i){d=cuc(48)|0;DXa(d);f[g>>2]=d;j=d}else j=i;i=f[c+68>>2]|0;EXa(j,i|0?i:537032)}if(e&4|0)f[a+72>>2]=f[c+72>>2];if(e&8|0)f[a+76>>2]=f[c+76>>2];if(e&16|0)f[a+80>>2]=f[c+80>>2];if(e&32|0)f[a+84>>2]=f[c+84>>2];if(e&64|0)f[a+88>>2]=f[c+88>>2];if(e&128|0)f[a+92>>2]=f[c+92>>2];i=a+8|0;f[i>>2]=f[i>>2]|e}if(!(e&16128))return;if(e&256|0)f[a+96>>2]=f[c+96>>2];if(e&512|0)f[a+100>>2]=f[c+100>>2];if(e&1024|0)b[a+104>>0]=b[c+104>>0]|0;if(e&2048|0)f[a+108>>2]=f[c+108>>2];if(e&4096|0)b[a+112>>0]=b[c+112>>0]|0;if(e&8192|0)f[a+116>>2]=f[c+116>>2];c=a+8|0;f[c>>2]=f[c>>2]|e;return}function tZa(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=126188;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=538376?(f[224809]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=49;b[d+8>>0]=0;xLb(899236,d);QKb(d)}f[a+12>>2]=0;f[a+16>>2]=542896;f[a+20>>2]=542896;d=a+24|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;f[d+16>>2]=0;n[a+44>>2]=1.0;f[a+48>>2]=4;u=c;return}function uZa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;d=a+4|0;e=f[c+4>>2]|0;if(e&1|0){g=f[d>>2]|0;if(!(g&1))h=OOa(d)|0;else h=g&-2;hbc(h,e&-2)}e=f[c+8>>2]|0;if(e&255|0){do if(e&1|0?(h=a+8|0,f[h>>2]=f[h>>2]|1,h=a+16|0,g=f[c+16>>2]|0,d=f[h>>2]|0,(d|0)!=(g|0)):0)if((d|0)==542896){JEa(h,g);break}else{ruc(d,g)|0;break}while(0);do if(e&2|0?(g=a+8|0,f[g>>2]=f[g>>2]|2,g=a+20|0,d=f[c+20>>2]|0,h=f[g>>2]|0,(h|0)!=(d|0)):0)if((h|0)==542896){JEa(g,d);break}else{ruc(h,d)|0;break}while(0);if(e&4|0)f[a+24>>2]=f[c+24>>2];if(e&8|0)f[a+28>>2]=f[c+28>>2];if(e&16|0)f[a+32>>2]=f[c+32>>2];if(e&32|0)b[a+36>>0]=b[c+36>>0]|0;if(e&64|0)b[a+37>>0]=b[c+37>>0]|0;if(e&128|0)f[a+40>>2]=f[c+40>>2];d=a+8|0;f[d>>2]=f[d>>2]|e}if(!(e&768))return;if(e&256|0)f[a+44>>2]=f[c+44>>2];if(e&512|0)f[a+48>>2]=f[c+48>>2];c=a+8|0;f[c>>2]=f[c>>2]|e;return}function vZa(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=126080;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=538504?(f[224812]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=52;b[d+8>>0]=0;xLb(899248,d);QKb(d)}f[a+12>>2]=0;n[a+16>>2]=.5;b[a+20>>0]=1;u=c;return}function wZa(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=125972;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=538784?(f[224819]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=59;b[d+8>>0]=0;xLb(899276,d);QKb(d)}f[a+12>>2]=0;f[a+16>>2]=542896;d=a+20|0;f[d>>2]=0;b[d+4>>0]=0;u=c;return}function xZa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;d=a+4|0;e=f[c+4>>2]|0;if(e&1|0){g=f[d>>2]|0;if(!(g&1))h=OOa(d)|0;else h=g&-2;hbc(h,e&-2)}e=f[c+8>>2]|0;if(!(e&7))return;do if(e&1|0?(h=a+8|0,f[h>>2]=f[h>>2]|1,h=a+16|0,g=f[c+16>>2]|0,d=f[h>>2]|0,(d|0)!=(g|0)):0)if((d|0)==542896){JEa(h,g);break}else{ruc(d,g)|0;break}while(0);if(e&2|0)f[a+20>>2]=f[c+20>>2];if(e&4|0)b[a+24>>0]=b[c+24>>0]|0;c=a+8|0;f[c>>2]=f[c>>2]|e;return}function yZa(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=125864;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=538864?(f[224822]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=62;b[d+8>>0]=0;xLb(899288,d);QKb(d)}f[a+12>>2]=0;f[a+16>>2]=542896;f[a+20>>2]=542896;f[a+24>>2]=542896;d=a+28|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;f[d+16>>2]=0;b[a+48>>0]=1;n[a+52>>2]=1.0;f[a+56>>2]=1;u=c;return}function zZa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;d=a+4|0;e=f[c+4>>2]|0;if(e&1|0){g=f[d>>2]|0;if(!(g&1))h=OOa(d)|0;else h=g&-2;hbc(h,e&-2)}e=f[c+8>>2]|0;if(e&255|0){do if(e&1|0?(h=a+8|0,f[h>>2]=f[h>>2]|1,h=a+16|0,g=f[c+16>>2]|0,d=f[h>>2]|0,(d|0)!=(g|0)):0)if((d|0)==542896){JEa(h,g);break}else{ruc(d,g)|0;break}while(0);do if(e&2|0?(g=a+8|0,f[g>>2]=f[g>>2]|2,g=a+20|0,d=f[c+20>>2]|0,h=f[g>>2]|0,(h|0)!=(d|0)):0)if((h|0)==542896){JEa(g,d);break}else{ruc(h,d)|0;break}while(0);do if(e&4|0?(d=a+8|0,f[d>>2]=f[d>>2]|4,d=a+24|0,h=f[c+24>>2]|0,g=f[d>>2]|0,(g|0)!=(h|0)):0)if((g|0)==542896){JEa(d,h);break}else{ruc(g,h)|0;break}while(0);if(e&8|0)f[a+28>>2]=f[c+28>>2];if(e&16|0)f[a+32>>2]=f[c+32>>2];if(e&32|0)b[a+36>>0]=b[c+36>>0]|0;if(e&64|0)b[a+37>>0]=b[c+37>>0]|0;if(e&128|0)f[a+40>>2]=f[c+40>>2];h=a+8|0;f[h>>2]=f[h>>2]|e}if(!(e&3840))return;if(e&256|0)f[a+44>>2]=f[c+44>>2];if(e&512|0)b[a+48>>0]=b[c+48>>0]|0;if(e&1024|0)f[a+52>>2]=f[c+52>>2];if(e&2048|0)f[a+56>>2]=f[c+56>>2];c=a+8|0;f[c>>2]=f[c>>2]|e;return}function AZa(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=125756;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=538928?(f[224823]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=63;b[d+8>>0]=0;xLb(899292,d);QKb(d)}f[a+12>>2]=0;f[a+16>>2]=542896;u=c;return}function BZa(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=125648;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=538952?(f[224824]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=64;b[d+8>>0]=0;xLb(899296,d);QKb(d)}d=a+12|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;b[d+16>>0]=0;b[a+29>>0]=1;f[a+32>>2]=1;u=c;return}function CZa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0;d=a+4|0;e=f[c+4>>2]|0;if(e&1|0){g=f[d>>2]|0;if(!(g&1))h=OOa(d)|0;else h=g&-2;hbc(h,e&-2)}e=f[c+8>>2]|0;if(!(e&63))return;if(e&1|0){h=a+8|0;f[h>>2]=f[h>>2]|1;h=a+16|0;g=f[h>>2]|0;if(!g){d=cuc(48)|0;DXa(d);f[h>>2]=d;i=d}else i=g;g=f[c+16>>2]|0;EXa(i,g|0?g:537032)}if(e&2|0){g=a+8|0;f[g>>2]=f[g>>2]|2;g=a+20|0;i=f[g>>2]|0;if(!i){d=cuc(48)|0;DXa(d);f[g>>2]=d;j=d}else j=i;i=f[c+20>>2]|0;EXa(j,i|0?i:537032)}if(e&4|0)f[a+24>>2]=f[c+24>>2];if(e&8|0)b[a+28>>0]=b[c+28>>0]|0;if(e&16|0)b[a+29>>0]=b[c+29>>0]|0;if(e&32|0)f[a+32>>2]=f[c+32>>2];c=a+8|0;f[c>>2]=f[c>>2]|e;return}function DZa(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=125540;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=539056?(f[224827]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=67;b[d+8>>0]=0;xLb(899308,d);QKb(d)}f[a+12>>2]=0;d=a+16|0;f[d>>2]=0;f[d+4>>2]=0;f[a+24>>2]=5;n[a+28>>2]=1.0;n[a+32>>2]=.75;n[a+36>>2]=1.0;u=c;return}function EZa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=a+4|0;d=f[b+4>>2]|0;if(d&1|0){e=f[c>>2]|0;if(!(e&1))g=OOa(c)|0;else g=e&-2;hbc(g,d&-2)}d=f[b+8>>2]|0;if(!(d&63))return;if(d&1|0)f[a+16>>2]=f[b+16>>2];if(d&2|0)f[a+20>>2]=f[b+20>>2];if(d&4|0)f[a+24>>2]=f[b+24>>2];if(d&8|0)f[a+28>>2]=f[b+28>>2];if(d&16|0)f[a+32>>2]=f[b+32>>2];if(d&32|0)f[a+36>>2]=f[b+36>>2];b=a+8|0;f[b>>2]=f[b>>2]|d;return}function FZa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0;c=u;u=u+16|0;d=c;f[a>>2]=125432;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=539176?(f[224831]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=71;b[d+8>>0]=0;xLb(899324,d);QKb(d)}d=a+12|0;e=a+60|0;g=d;h=g+44|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));b[d+44>>0]=0;f[e>>2]=1;b[a+64>>0]=1;u=c;return}function GZa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;d=a+4|0;e=f[c+4>>2]|0;if(e&1|0){g=f[d>>2]|0;if(!(g&1))h=OOa(d)|0;else h=g&-2;hbc(h,e&-2)}e=f[c+8>>2]|0;if(e&255|0){if(e&1|0)f[a+16>>2]=f[c+16>>2];if(e&2|0)f[a+20>>2]=f[c+20>>2];if(e&4|0)f[a+24>>2]=f[c+24>>2];if(e&8|0)f[a+28>>2]=f[c+28>>2];if(e&16|0)f[a+32>>2]=f[c+32>>2];if(e&32|0)f[a+36>>2]=f[c+36>>2];if(e&64|0)f[a+40>>2]=f[c+40>>2];if(e&128|0)f[a+44>>2]=f[c+44>>2];h=a+8|0;f[h>>2]=f[h>>2]|e}if(!(e&7936))return;if(e&256|0)f[a+48>>2]=f[c+48>>2];if(e&512|0)f[a+52>>2]=f[c+52>>2];if(e&1024|0)b[a+56>>0]=b[c+56>>0]|0;if(e&2048|0)f[a+60>>2]=f[c+60>>2];if(e&4096|0)b[a+64>>0]=b[c+64>>0]|0;c=a+8|0;f[c>>2]=f[c>>2]|e;return}function HZa(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=125324;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=539632?(f[224845]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=85;b[d+8>>0]=0;xLb(899380,d);QKb(d)}f[a+12>>2]=0;f[a+16>>2]=542896;f[a+20>>2]=542896;f[a+24>>2]=540472;f[a+28>>2]=542896;d=a+32|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;n[a+48>>2]=1.0;n[a+52>>2]=.5;n[a+56>>2]=.5;n[a+60>>2]=.25;u=c;return}function IZa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;d=a+4|0;e=f[c+4>>2]|0;if(e&1|0){g=f[d>>2]|0;if(!(g&1))h=OOa(d)|0;else h=g&-2;hbc(h,e&-2)}e=f[c+8>>2]|0;if(e&255|0){do if(e&1|0?(h=a+8|0,f[h>>2]=f[h>>2]|1,h=a+16|0,g=f[c+16>>2]|0,d=f[h>>2]|0,(d|0)!=(g|0)):0)if((d|0)==542896){JEa(h,g);break}else{ruc(d,g)|0;break}while(0);do if(e&2|0?(g=a+8|0,f[g>>2]=f[g>>2]|2,g=a+20|0,d=f[c+20>>2]|0,h=f[g>>2]|0,(h|0)!=(d|0)):0)if((h|0)==542896){JEa(g,d);break}else{ruc(h,d)|0;break}while(0);do if(e&4|0?(d=a+8|0,f[d>>2]=f[d>>2]|4,d=a+24|0,h=f[c+24>>2]|0,g=f[d>>2]|0,(g|0)!=(h|0)):0)if((g|0)==540472){JEa(d,h);break}else{ruc(g,h)|0;break}while(0);do if(e&8|0?(h=a+8|0,f[h>>2]=f[h>>2]|8,h=a+28|0,g=f[c+28>>2]|0,d=f[h>>2]|0,(d|0)!=(g|0)):0)if((d|0)==542896){JEa(h,g);break}else{ruc(d,g)|0;break}while(0);if(e&16|0)f[a+32>>2]=f[c+32>>2];if(e&32|0)f[a+36>>2]=f[c+36>>2];if(e&64|0)b[a+40>>0]=b[c+40>>0]|0;if(e&128|0)b[a+41>>0]=b[c+41>>0]|0;g=a+8|0;f[g>>2]=f[g>>2]|e}if(!(e&7936))return;if(e&256|0)f[a+44>>2]=f[c+44>>2];if(e&512|0)f[a+48>>2]=f[c+48>>2];if(e&1024|0)f[a+52>>2]=f[c+52>>2];if(e&2048|0)f[a+56>>2]=f[c+56>>2];if(e&4096|0)f[a+60>>2]=f[c+60>>2];c=a+8|0;f[c>>2]=f[c>>2]|e;return}function JZa(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=125216;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=539248?(f[224832]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=72;b[d+8>>0]=0;xLb(899328,d);QKb(d)}f[a+12>>2]=0;n[a+16>>2]=0.0;n[a+20>>2]=1.0;n[a+24>>2]=1.0;u=c;return}function KZa(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=125108;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=539096?(f[224828]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=68;b[d+8>>0]=0;xLb(899312,d);QKb(d)}d=a+12|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;f[d+16>>2]=0;u=c;return}function LZa(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=125e3;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=538080?(f[224802]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=42;b[d+8>>0]=0;xLb(899208,d);QKb(d)}f[a+12>>2]=0;d=a+16|0;f[d>>2]=0;f[d+4>>2]=0;f[a+24>>2]=1;u=c;return}function MZa(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=124892;f[a+4>>2]=0;f[a+8>>2]=0;f[a+16>>2]=0;f[a+20>>2]=0;f[a+24>>2]=0;if((a|0)!=538624?(f[224814]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=54;b[d+8>>0]=0;xLb(899256,d);QKb(d)}f[a+12>>2]=0;f[a+28>>2]=1;b[a+32>>0]=1;u=c;return}function NZa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;d=a+4|0;e=f[c+4>>2]|0;if(e&1|0){g=f[d>>2]|0;if(!(g&1))h=OOa(d)|0;else h=g&-2;hbc(h,e&-2)}e=a+16|0;h=c+16|0;g=f[h>>2]|0;if(g|0){REa(e,(f[e>>2]|0)+g|0);szc((f[a+24>>2]|0)+4+(f[e>>2]<<2)|0,(f[c+24>>2]|0)+4|0,f[h>>2]<<2|0)|0;f[e>>2]=(f[e>>2]|0)+(f[h>>2]|0)}h=f[c+8>>2]|0;if(!(h&3))return;if(h&1|0)f[a+28>>2]=f[c+28>>2];if(h&2|0)b[a+32>>0]=b[c+32>>0]|0;c=a+8|0;f[c>>2]=f[c>>2]|h;return}function OZa(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=124784;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=539608?(f[224844]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=84;b[d+8>>0]=0;xLb(899376,d);QKb(d)}f[a+12>>2]=0;n[a+16>>2]=0.0;u=c;return}function PZa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0;c=u;u=u+16|0;d=c;f[a>>2]=124676;f[a+4>>2]=0;f[a+8>>2]=0;e=(a|0)==538528;g=a+16|0;h=g+80|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));if(!e?(f[224813]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=53;b[d+8>>0]=0;xLb(899252,d);QKb(d)}f[a+12>>2]=0;u=c;return}function QZa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0;c=a+4|0;d=f[b+4>>2]|0;if(d&1|0){e=f[c>>2]|0;if(!(e&1))g=OOa(c)|0;else g=e&-2;hbc(g,d&-2)}I1a(a+16|0,b+16|0);d=a+32|0;g=b+32|0;e=f[g>>2]|0;if(e|0){UEa(d,(f[d>>2]|0)+e|0);szc((f[a+40>>2]|0)+4+(f[d>>2]<<2)|0,(f[b+40>>2]|0)+4|0,f[g>>2]<<2|0)|0;f[d>>2]=(f[d>>2]|0)+(f[g>>2]|0)}g=a+44|0;d=b+44|0;e=f[d>>2]|0;if(e|0){UEa(g,(f[g>>2]|0)+e|0);szc((f[a+52>>2]|0)+4+(f[g>>2]<<2)|0,(f[b+52>>2]|0)+4|0,f[d>>2]<<2|0)|0;f[g>>2]=(f[g>>2]|0)+(f[d>>2]|0)}d=a+56|0;g=b+56|0;e=f[g>>2]|0;if(e|0){UEa(d,(f[d>>2]|0)+e|0);szc((f[a+64>>2]|0)+4+(f[d>>2]<<2)|0,(f[b+64>>2]|0)+4|0,f[g>>2]<<2|0)|0;f[d>>2]=(f[d>>2]|0)+(f[g>>2]|0)}g=a+68|0;d=b+68|0;e=f[d>>2]|0;if(!e){h=a+80|0;i=b+80|0;J1a(h,i);return}UEa(g,(f[g>>2]|0)+e|0);szc((f[a+76>>2]|0)+4+(f[g>>2]<<2)|0,(f[b+76>>2]|0)+4|0,f[d>>2]<<2|0)|0;f[g>>2]=(f[g>>2]|0)+(f[d>>2]|0);h=a+80|0;i=b+80|0;J1a(h,i);return}function RZa(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=124568;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=538048?(f[224801]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=41;b[d+8>>0]=0;xLb(899204,d);QKb(d)}f[a+12>>2]=0;f[a+16>>2]=0;f[a+20>>2]=1;f[a+24>>2]=1;u=c;return}function SZa(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=124460;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=538840?(f[224821]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=61;b[d+8>>0]=0;xLb(899284,d);QKb(d)}f[a+12>>2]=0;f[a+16>>2]=1;u=c;return}function TZa(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=124352;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=539376?(f[224836]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=76;b[d+8>>0]=0;xLb(899344,d);QKb(d)}f[a+12>>2]=0;d=a+16|0;f[d>>2]=0;f[d+4>>2]=0;u=c;return}function UZa(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=124244;f[a+4>>2]=0;f[a+8>>2]=0;f[a+16>>2]=0;f[a+20>>2]=0;f[a+24>>2]=0;if((a|0)!=539496?(f[224840]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=80;b[d+8>>0]=0;xLb(899360,d);QKb(d)}f[a+12>>2]=0;f[a+28>>2]=1;f[a+32>>2]=1;u=c;return}function VZa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=a+4|0;d=f[b+4>>2]|0;if(d&1|0){e=f[c>>2]|0;if(!(e&1))g=OOa(c)|0;else g=e&-2;hbc(g,d&-2)}d=a+16|0;g=b+16|0;e=f[g>>2]|0;if(e|0){UEa(d,(f[d>>2]|0)+e|0);szc((f[a+24>>2]|0)+4+(f[d>>2]<<2)|0,(f[b+24>>2]|0)+4|0,f[g>>2]<<2|0)|0;f[d>>2]=(f[d>>2]|0)+(f[g>>2]|0)}g=f[b+8>>2]|0;if(!(g&3))return;if(g&1|0)f[a+28>>2]=f[b+28>>2];if(g&2|0)f[a+32>>2]=f[b+32>>2];b=a+8|0;f[b>>2]=f[b>>2]|g;return}function WZa(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=124136;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=539128?(f[224829]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=69;b[d+8>>0]=0;xLb(899316,d);QKb(d)}f[a+12>>2]=0;b[a+16>>0]=0;b[a+17>>0]=1;n[a+20>>2]=9.999999717180685e-10;u=c;return}function XZa(a){a=a|0;var c=0,e=0;c=u;u=u+16|0;e=c;f[a>>2]=124028;f[a+4>>2]=0;f[a+8>>2]=0;f[a+16>>2]=0;f[a+20>>2]=0;f[a+24>>2]=0;if((a|0)!=537968?(f[224799]|0)!=2:0){f[e>>2]=151624;f[e+4>>2]=39;b[e+8>>0]=0;xLb(899196,e);QKb(e)}f[a+12>>2]=0;f[a+28>>2]=542896;e=a+32|0;f[e>>2]=0;d[e+4>>1]=0;b[e+6>>0]=0;n[a+40>>2]=1.0;u=c;return}function YZa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;d=a+4|0;e=f[c+4>>2]|0;if(e&1|0){g=f[d>>2]|0;if(!(g&1))h=OOa(d)|0;else h=g&-2;hbc(h,e&-2)}e=a+16|0;h=c+16|0;g=f[h>>2]|0;if(g|0){REa(e,(f[e>>2]|0)+g|0);szc((f[a+24>>2]|0)+4+(f[e>>2]<<2)|0,(f[c+24>>2]|0)+4|0,f[h>>2]<<2|0)|0;f[e>>2]=(f[e>>2]|0)+(f[h>>2]|0)}h=f[c+8>>2]|0;if(!(h&63))return;do if(h&1|0?(e=a+8|0,f[e>>2]=f[e>>2]|1,e=a+28|0,g=f[c+28>>2]|0,d=f[e>>2]|0,(d|0)!=(g|0)):0)if((d|0)==542896){JEa(e,g);break}else{ruc(d,g)|0;break}while(0);if(h&2|0)f[a+32>>2]=f[c+32>>2];if(h&4|0)b[a+36>>0]=b[c+36>>0]|0;if(h&8|0)b[a+37>>0]=b[c+37>>0]|0;if(h&16|0)b[a+38>>0]=b[c+38>>0]|0;if(h&32|0)f[a+40>>2]=f[c+40>>2];c=a+8|0;f[c>>2]=f[c>>2]|h;return}function ZZa(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=123920;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=539560?(f[224842]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=82;b[d+8>>0]=0;xLb(899368,d);QKb(d)}f[a+12>>2]=0;f[a+16>>2]=0;u=c;return}function _Za(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=123812;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=539472?(f[224839]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=79;b[d+8>>0]=0;xLb(899356,d);QKb(d)}f[a+12>>2]=0;f[a+16>>2]=0;u=c;return}function $Za(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=123704;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=539536?(f[224841]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=81;b[d+8>>0]=0;xLb(899364,d);QKb(d)}f[a+12>>2]=0;f[a+16>>2]=0;f[a+20>>2]=1;u=c;return}function a_a(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=123596;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=538200?(f[224806]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=46;b[d+8>>0]=0;xLb(899224,d);QKb(d)}f[a+12>>2]=0;b[a+16>>0]=0;n[a+20>>2]=1.0;u=c;return}function b_a(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=123488;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=538728?(f[224817]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=57;b[d+8>>0]=0;xLb(899268,d);QKb(d)}f[a+12>>2]=0;n[a+16>>2]=0.0;n[a+20>>2]=-1.0;n[a+24>>2]=1.0;u=c;return}function c_a(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=123380;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=538016?(f[224800]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=40;b[d+8>>0]=0;xLb(899200,d);QKb(d)}d=a+12|0;f[d>>2]=0;f[d+4>>2]=0;b[d+8>>0]=0;f[a+24>>2]=1;u=c;return}function d_a(a){a=a|0;var b=0,c=0;f[a>>2]=123380;b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(c);f[b>>2]=0;return}function e_a(a){a=a|0;var b=0,c=0;f[a>>2]=123380;b=f[a+4>>2]|0;if(!(b&1)){fuc(a);return}c=b&-2;b=c;if((c|0)==0|(f[b+4>>2]|0)!=0){fuc(a);return}if(f[b>>2]|0)ebc(b);fuc(c);fuc(a);return}function f_a(a){a=a|0;a=cuc(28)|0;c_a(a);return a|0}function g_a(a,b){a=a|0;b=b|0;a=cuc(28)|0;c_a(a);if(!b)return a|0;s_a(b,a);return a|0}function h_a(a){a=a|0;var c=0,d=0;c=a+8|0;if(f[c>>2]&7|0){d=a+16|0;f[d>>2]=0;b[d+4>>0]=0;f[a+24>>2]=1}f[c>>2]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;ebc(a);return}function i_a(a){a=a|0;return 1}function j_a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;d=u;u=u+16|0;e=d;g=c+4|0;h=a+8|0;i=a+16|0;j=a+20|0;k=e+8|0;l=a+4|0;m=a+24|0;a:while(1){b:while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){n=b[a>>0]|0;o=n&255;if(n<<24>>24>0){f[c>>2]=a+1;p=o;q=7}else{r=o;q=6}}else{r=0;q=6}if((q|0)==6){q=0;o=OJb(c,r)|0;if((o+-1|0)>>>0<127){p=o;q=7}else s=o}c:do if((q|0)==7){q=0;switch(p>>>3&536870911|0){case 1:{if((p&255|0)!=8){s=p;break c}f[h>>2]=f[h>>2]|1;o=f[c>>2]|0;if(o>>>0<(f[g>>2]|0)>>>0){a=b[o>>0]|0;n=a&255;if(a<<24>>24>-1){f[c>>2]=o+1;t=n}else{v=n;q=12}}else{v=0;q=12}if((q|0)==12){q=0;n=zJb(c,v)|0;o=J;if((o|0)>-1|(o|0)==-1&n>>>0>4294967295)t=n;else{w=0;q=36;break a}}f[i>>2]=t;continue b;break}case 2:{if((p&255|0)!=16){s=p;break c}f[h>>2]=f[h>>2]|2;n=f[c>>2]|0;if(n>>>0<(f[g>>2]|0)>>>0?(o=b[n>>0]|0,o<<24>>24>-1):0){f[c>>2]=n+1;x=o<<24>>24!=0}else{AJb(e,c);o=e;if(!(b[k>>0]|0)){w=0;q=36;break a}else x=(f[o>>2]|0)!=0|(f[o+4>>2]|0)!=0}b[j>>0]=x&1;continue b;break}case 3:{if((p&255|0)==24)break b;else{s=p;break c}break}default:{s=p;break c}}}while(0);if(!s){w=1;q=36;break a}o=f[l>>2]|0;if(!(o&1))y=OOa(l)|0;else y=o&-2;if(!(xbc(c,s,y)|0)){w=0;q=36;break a}}o=f[c>>2]|0;if(o>>>0<(f[g>>2]|0)>>>0){n=b[o>>0]|0;a=n&255;if(n<<24>>24>-1){f[c>>2]=o+1;z=a}else{A=a;q=24}}else{A=0;q=24}if((q|0)==24){q=0;a=zJb(c,A)|0;o=J;if((o|0)>-1|(o|0)==-1&a>>>0>4294967295)z=a;else{w=0;q=36;break}}if(z>>>0<4){f[h>>2]=f[h>>2]|4;f[m>>2]=z;continue}a=f[l>>2]|0;if(!(a&1))B=OOa(l)|0;else B=a&-2;kbc(B,3,z,((z|0)<0)<<31>>31)}if((q|0)==36){u=d;return w|0}return 0}function k_a(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=Dbc(b&-2)|0;b=f[a+8>>2]|0;if(!(b&7)){d=c;e=a+12|0;f[e>>2]=d;return d|0}if(!(b&1))g=c;else{h=f[a+16>>2]|0;if((h|0)<0)i=11;else i=((((($(h|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;g=i+c|0}c=b&2|0?g+2|0:g;if(!(b&4)){d=c;e=a+12|0;f[e>>2]=d;return d|0}b=f[a+24>>2]|0;if((b|0)<0)j=11;else j=((((($(b|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;d=j+c|0;e=a+12|0;f[e>>2]=d;return d|0}function l_a(a,c){a=a|0;c=c|0;var d=0;d=f[a+8>>2]|0;if(d&1|0)GLb(1,f[a+16>>2]|0,c);if(d&2|0)SLb(2,(b[a+20>>0]|0)!=0,c);if(d&4|0)TLb(3,f[a+24>>2]|0,c);d=f[a+4>>2]|0;if(!(d&1))return;Abc(d&-2,c);return}function m_a(a){a=a|0;return f[a+12>>2]|0}function n_a(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;c=f[a+8>>2]|0;if(!(c&1))e=d;else{g=f[a+16>>2]|0;b[d>>0]=8;h=d+1|0;d=g&255;if(g>>>0>127){i=h;j=d;k=g;l=((g|0)<0)<<31>>31;while(1){b[i>>0]=j|-128;g=k;k=pzc(k|0,l|0,7)|0;m=i+1|0;n=k&255;if(!(l>>>0>0|(l|0)==0&g>>>0>16383)){o=m;p=n;break}else{i=m;j=n;l=J}}}else{o=h;p=d}b[o>>0]=p;e=o+1|0}if(!(c&2))q=e;else{o=b[a+20>>0]|0;b[e>>0]=16;b[e+1>>0]=o;q=e+2|0}if(!(c&4))r=q;else{c=f[a+24>>2]|0;b[q>>0]=24;e=q+1|0;q=c&255;if(c>>>0>127){o=e;p=q;d=c;h=((c|0)<0)<<31>>31;while(1){b[o>>0]=p|-128;c=d;d=pzc(d|0,h|0,7)|0;l=o+1|0;j=d&255;if(!(h>>>0>0|(h|0)==0&c>>>0>16383)){s=l;t=j;break}else{o=l;p=j;h=J}}}else{s=e;t=q}b[s>>0]=t;r=s+1|0}s=f[a+4>>2]|0;if(!(s&1)){u=r;return u|0}u=Bbc(s&-2,r)|0;return u|0}function o_a(a,c){a=a|0;c=c|0;var d=0,e=0;if((a|0)==(c|0))return;d=a+8|0;if(f[d>>2]&7|0){e=a+16|0;f[e>>2]=0;b[e+4>>0]=0;f[a+24>>2]=1}f[d>>2]=0;d=f[a+4>>2]|0;if(d&1|0?(e=d&-2,f[e>>2]|0):0)ebc(e);p_a(a,c);return}function p_a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;d=ovc(c,24728,19752,0)|0;if(!d){A9b(c,a);return}c=a+4|0;e=f[d+4>>2]|0;if(e&1|0){g=f[c>>2]|0;if(!(g&1))h=OOa(c)|0;else h=g&-2;hbc(h,e&-2)}e=f[d+8>>2]|0;if(!(e&7))return;if(e&1|0)f[a+16>>2]=f[d+16>>2];if(e&2|0)b[a+20>>0]=b[d+20>>0]|0;if(e&4|0)f[a+24>>2]=f[d+24>>2];d=a+8|0;f[d>>2]=f[d>>2]|e;return}function q_a(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function r_a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224781]|0)!=2){f[d>>2]=151624;f[d+4>>2]=21;b[d+8>>0]=0;xLb(899124,d);QKb(d)}d=540640;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function s_a(a,b){a=a|0;b=b|0;if(!b)return;EIb(a,b,1978);return}function t_a(a){a=a|0;var b=0,c=0;f[a>>2]=123488;b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(c);f[b>>2]=0;return}function u_a(a){a=a|0;var b=0,c=0;f[a>>2]=123488;b=f[a+4>>2]|0;if(!(b&1)){fuc(a);return}c=b&-2;b=c;if((c|0)==0|(f[b+4>>2]|0)!=0){fuc(a);return}if(f[b>>2]|0)ebc(b);fuc(c);fuc(a);return}function v_a(a){a=a|0;a=cuc(28)|0;b_a(a);return a|0}function w_a(a,b){a=a|0;b=b|0;a=cuc(28)|0;b_a(a);if(!b)return a|0;I_a(b,a);return a|0}function x_a(a){a=a|0;var b=0;b=a+8|0;if(f[b>>2]&7|0){n[a+16>>2]=0.0;n[a+20>>2]=-1.0;n[a+24>>2]=1.0}f[b>>2]=0;b=f[a+4>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;ebc(a);return}function y_a(a){a=a|0;return 1}function z_a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;d=u;u=u+16|0;e=d;g=c+4|0;i=a+8|0;j=a+20|0;k=a+24|0;l=a+16|0;m=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){n=b[a>>0]|0;o=n&255;if(n<<24>>24>0){f[c>>2]=a+1;p=o;q=6}else{r=o;q=5}}else{r=0;q=5}if((q|0)==5){q=0;o=OJb(c,r)|0;if((o+-1|0)>>>0<127){p=o;q=6}else s=o}b:do if((q|0)==6){q=0;switch(p>>>3&536870911|0){case 1:{if((p&255|0)!=13){s=p;break b}f[i>>2]=f[i>>2]|2;o=f[c>>2]|0;if(((f[g>>2]|0)-o|0)>3){a=o;n=h[a>>0]|h[a+1>>0]<<8|h[a+2>>0]<<16|h[a+3>>0]<<24;f[e>>2]=n;f[c>>2]=o+4;t=n}else{if(!(LJb(c,e)|0)){q=13;break a}t=f[e>>2]|0}f[j>>2]=t;continue a;break}case 2:{if((p&255|0)!=21){s=p;break b}f[i>>2]=f[i>>2]|4;n=f[c>>2]|0;if(((f[g>>2]|0)-n|0)>3){o=n;a=h[o>>0]|h[o+1>>0]<<8|h[o+2>>0]<<16|h[o+3>>0]<<24;f[e>>2]=a;f[c>>2]=n+4;v=a}else{if(!(LJb(c,e)|0)){q=20;break a}v=f[e>>2]|0}f[k>>2]=v;continue a;break}case 3:{if((p&255|0)!=29){s=p;break b}f[i>>2]=f[i>>2]|1;a=f[c>>2]|0;if(((f[g>>2]|0)-a|0)>3){n=a;o=h[n>>0]|h[n+1>>0]<<8|h[n+2>>0]<<16|h[n+3>>0]<<24;f[e>>2]=o;f[c>>2]=a+4;w=o}else{if(!(LJb(c,e)|0)){q=27;break a}w=f[e>>2]|0}f[l>>2]=w;continue a;break}default:{s=p;break b}}}while(0);if(!s){x=1;q=33;break}o=f[m>>2]|0;if(!(o&1))y=OOa(m)|0;else y=o&-2;if(!(xbc(c,s,y)|0)){x=0;q=33;break}}if((q|0)==13){x=0;u=d;return x|0}else if((q|0)==20){x=0;u=d;return x|0}else if((q|0)==27){x=0;u=d;return x|0}else if((q|0)==33){u=d;return x|0}return 0}function A_a(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=Dbc(b&-2)|0;b=f[a+8>>2]|0;if(!(b&7)){d=c;e=a+12|0;f[e>>2]=d;return d|0}g=b&1|0?c+5|0:c;c=b&2|0?g+5|0:g;d=b&4|0?c+5|0:c;e=a+12|0;f[e>>2]=d;return d|0}function B_a(a,b){a=a|0;b=b|0;var c=0;c=f[a+8>>2]|0;if(c&2|0)QLb(1,+n[a+20>>2],b);if(c&4|0)QLb(2,+n[a+24>>2],b);if(c&1|0)QLb(3,+n[a+16>>2],b);c=f[a+4>>2]|0;if(!(c&1))return;Abc(c&-2,b);return}function C_a(a){a=a|0;return f[a+12>>2]|0}function D_a(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0;c=f[a+8>>2]|0;if(!(c&2))e=d;else{g=f[a+20>>2]|0;b[d>>0]=13;h=d+1|0;b[h>>0]=g;b[h+1>>0]=g>>8;b[h+2>>0]=g>>16;b[h+3>>0]=g>>24;e=d+5|0}if(!(c&4))i=e;else{d=f[a+24>>2]|0;b[e>>0]=21;g=e+1|0;b[g>>0]=d;b[g+1>>0]=d>>8;b[g+2>>0]=d>>16;b[g+3>>0]=d>>24;i=e+5|0}if(!(c&1))j=i;else{c=f[a+16>>2]|0;b[i>>0]=29;e=i+1|0;b[e>>0]=c;b[e+1>>0]=c>>8;b[e+2>>0]=c>>16;b[e+3>>0]=c>>24;j=i+5|0}i=f[a+4>>2]|0;if(!(i&1)){k=j;return k|0}k=Bbc(i&-2,j)|0;return k|0}function E_a(a,b){a=a|0;b=b|0;var c=0,d=0;if((a|0)==(b|0))return;c=a+8|0;if(f[c>>2]&7|0){n[a+16>>2]=0.0;n[a+20>>2]=-1.0;n[a+24>>2]=1.0}f[c>>2]=0;c=f[a+4>>2]|0;if(c&1|0?(d=c&-2,f[d>>2]|0):0)ebc(d);F_a(a,b);return}function F_a(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=ovc(b,24728,19768,0)|0;if(!c){A9b(b,a);return}b=a+4|0;d=f[c+4>>2]|0;if(d&1|0){e=f[b>>2]|0;if(!(e&1))g=OOa(b)|0;else g=e&-2;hbc(g,d&-2)}d=f[c+8>>2]|0;if(!(d&7))return;if(d&1|0)f[a+16>>2]=f[c+16>>2];if(d&2|0)f[a+20>>2]=f[c+20>>2];if(d&4|0)f[a+24>>2]=f[c+24>>2];c=a+8|0;f[c>>2]=f[c>>2]|d;return}function G_a(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function H_a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224781]|0)!=2){f[d>>2]=151624;f[d+4>>2]=21;b[d+8>>0]=0;xLb(899124,d);QKb(d)}d=540776;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function I_a(a,b){a=a|0;b=b|0;if(!b)return;EIb(a,b,1978);return}function J_a(a){a=a|0;var b=0,c=0;f[a>>2]=123596;b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(c);f[b>>2]=0;return}function K_a(a){a=a|0;var b=0,c=0;f[a>>2]=123596;b=f[a+4>>2]|0;if(!(b&1)){fuc(a);return}c=b&-2;b=c;if((c|0)==0|(f[b+4>>2]|0)!=0){fuc(a);return}if(f[b>>2]|0)ebc(b);fuc(c);fuc(a);return}function L_a(a){a=a|0;a=cuc(24)|0;a_a(a);return a|0}function M_a(a,b){a=a|0;b=b|0;a=cuc(24)|0;a_a(a);if(!b)return a|0;Y_a(b,a);return a|0}function N_a(a){a=a|0;var c=0;c=a+8|0;if(f[c>>2]&3|0){b[a+16>>0]=0;n[a+20>>2]=1.0}f[c>>2]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;ebc(a);return}function O_a(a){a=a|0;return 1}function P_a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;d=u;u=u+16|0;e=d;g=c+4|0;i=a+8|0;j=a+20|0;k=a+16|0;l=e+8|0;m=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){n=b[a>>0]|0;o=n&255;if(n<<24>>24>0){f[c>>2]=a+1;p=o;q=6}else{r=o;q=5}}else{r=0;q=5}if((q|0)==5){q=0;o=OJb(c,r)|0;if((o+-1|0)>>>0<127){p=o;q=6}else s=o}b:do if((q|0)==6){q=0;switch(p>>>3&536870911|0){case 1:{if((p&255|0)!=13){s=p;break b}f[i>>2]=f[i>>2]|2;o=f[c>>2]|0;if(((f[g>>2]|0)-o|0)>3){a=o;n=h[a>>0]|h[a+1>>0]<<8|h[a+2>>0]<<16|h[a+3>>0]<<24;f[e>>2]=n;f[c>>2]=o+4;t=n}else{if(!(LJb(c,e)|0)){q=13;break a}t=f[e>>2]|0}f[j>>2]=t;continue a;break}case 2:{if((p&255|0)!=16){s=p;break b}f[i>>2]=f[i>>2]|1;n=f[c>>2]|0;if(n>>>0<(f[g>>2]|0)>>>0?(o=b[n>>0]|0,o<<24>>24>-1):0){f[c>>2]=n+1;v=o<<24>>24!=0}else{AJb(e,c);o=e;if(!(b[l>>0]|0)){w=0;q=25;break a}else v=(f[o>>2]|0)!=0|(f[o+4>>2]|0)!=0}b[k>>0]=v&1;continue a;break}default:{s=p;break b}}}while(0);if(!s){w=1;q=25;break}o=f[m>>2]|0;if(!(o&1))x=OOa(m)|0;else x=o&-2;if(!(xbc(c,s,x)|0)){w=0;q=25;break}}if((q|0)==13){w=0;u=d;return w|0}else if((q|0)==25){u=d;return w|0}return 0}function Q_a(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=Dbc(b&-2)|0;b=f[a+8>>2]|0;if(!(b&3)){d=c;e=a+12|0;f[e>>2]=d;return d|0}g=b&1|0?c+2|0:c;d=b&2|0?g+5|0:g;e=a+12|0;f[e>>2]=d;return d|0}function R_a(a,c){a=a|0;c=c|0;var d=0;d=f[a+8>>2]|0;if(d&2|0)QLb(1,+n[a+20>>2],c);if(d&1|0)SLb(2,(b[a+16>>0]|0)!=0,c);d=f[a+4>>2]|0;if(!(d&1))return;Abc(d&-2,c);return}function S_a(a){a=a|0;return f[a+12>>2]|0}function T_a(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0;c=f[a+8>>2]|0;if(!(c&2))e=d;else{g=f[a+20>>2]|0;b[d>>0]=13;h=d+1|0;b[h>>0]=g;b[h+1>>0]=g>>8;b[h+2>>0]=g>>16;b[h+3>>0]=g>>24;e=d+5|0}if(!(c&1))i=e;else{c=b[a+16>>0]|0;b[e>>0]=16;b[e+1>>0]=c;i=e+2|0}e=f[a+4>>2]|0;if(!(e&1)){j=i;return j|0}j=Bbc(e&-2,i)|0;return j|0}function U_a(a,c){a=a|0;c=c|0;var d=0,e=0;if((a|0)==(c|0))return;d=a+8|0;if(f[d>>2]&3|0){b[a+16>>0]=0;n[a+20>>2]=1.0}f[d>>2]=0;d=f[a+4>>2]|0;if(d&1|0?(e=d&-2,f[e>>2]|0):0)ebc(e);V_a(a,c);return}function V_a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;d=ovc(c,24728,19784,0)|0;if(!d){A9b(c,a);return}c=a+4|0;e=f[d+4>>2]|0;if(e&1|0){g=f[c>>2]|0;if(!(g&1))h=OOa(c)|0;else h=g&-2;hbc(h,e&-2)}e=f[d+8>>2]|0;if(!(e&3))return;if(e&1|0)b[a+16>>0]=b[d+16>>0]|0;if(e&2|0)f[a+20>>2]=f[d+20>>2];d=a+8|0;f[d>>2]=f[d>>2]|e;return}function W_a(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function X_a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224781]|0)!=2){f[d>>2]=151624;f[d+4>>2]=21;b[d+8>>0]=0;xLb(899124,d);QKb(d)}d=540688;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function Y_a(a,b){a=a|0;b=b|0;if(!b)return;EIb(a,b,1978);return}function Z_a(a){a=a|0;var b=0,c=0;f[a>>2]=123704;b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(c);f[b>>2]=0;return}function __a(a){a=a|0;var b=0,c=0;f[a>>2]=123704;b=f[a+4>>2]|0;if(!(b&1)){fuc(a);return}c=b&-2;b=c;if((c|0)==0|(f[b+4>>2]|0)!=0){fuc(a);return}if(f[b>>2]|0)ebc(b);fuc(c);fuc(a);return}function $_a(a){a=a|0;a=cuc(24)|0;$Za(a);return a|0}function a$a(a,b){a=a|0;b=b|0;a=cuc(24)|0;$Za(a);if(!b)return a|0;m$a(b,a);return a|0}function b$a(a){a=a|0;var b=0;b=a+8|0;if(f[b>>2]&3|0){f[a+16>>2]=0;f[a+20>>2]=1}f[b>>2]=0;b=f[a+4>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;ebc(a);return}function c$a(a){a=a|0;return 1}function d$a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;d=c+4|0;e=a+8|0;g=a+20|0;h=a+4|0;i=a+16|0;a:while(1){b:while(1){a=f[c>>2]|0;if(a>>>0<(f[d>>2]|0)>>>0){j=b[a>>0]|0;k=j&255;if(j<<24>>24>0){f[c>>2]=a+1;l=k;m=7}else{n=k;m=6}}else{n=0;m=6}if((m|0)==6){m=0;k=OJb(c,n)|0;if((k+-1|0)>>>0<127){l=k;m=7}else o=k}c:do if((m|0)==7){m=0;switch(l>>>3&536870911|0){case 1:{if((l&255|0)==8)break b;else{o=l;break c}break}case 2:break;default:{o=l;break c}}if((l&255|0)==16){f[e>>2]=f[e>>2]|2;k=f[c>>2]|0;if(k>>>0<(f[d>>2]|0)>>>0){a=b[k>>0]|0;j=a&255;if(a<<24>>24>-1){f[c>>2]=k+1;p=j}else{q=j;m=23}}else{q=0;m=23}if((m|0)==23){m=0;j=zJb(c,q)|0;k=J;if((k|0)>-1|(k|0)==-1&j>>>0>4294967295)p=j;else{r=0;m=30;break a}}f[g>>2]=p;continue b}else o=l}while(0);if(!o){r=1;m=30;break a}j=f[h>>2]|0;if(!(j&1))s=OOa(h)|0;else s=j&-2;if(!(xbc(c,o,s)|0)){r=0;m=30;break a}}j=f[c>>2]|0;if(j>>>0<(f[d>>2]|0)>>>0){k=b[j>>0]|0;a=k&255;if(k<<24>>24>-1){f[c>>2]=j+1;t=a}else{u=a;m=12}}else{u=0;m=12}if((m|0)==12){m=0;a=zJb(c,u)|0;j=J;if((j|0)>-1|(j|0)==-1&a>>>0>4294967295)t=a;else{r=0;m=30;break}}if(t>>>0<3){f[e>>2]=f[e>>2]|1;f[i>>2]=t;continue}a=f[h>>2]|0;if(!(a&1))v=OOa(h)|0;else v=a&-2;kbc(v,1,t,((t|0)<0)<<31>>31)}if((m|0)==30)return r|0;return 0}function e$a(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=Dbc(b&-2)|0;b=f[a+8>>2]|0;if(!(b&3)){d=c;e=a+12|0;f[e>>2]=d;return d|0}if(!(b&1))g=c;else{h=f[a+16>>2]|0;if((h|0)<0)i=11;else i=((((($(h|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;g=i+c|0}if(!(b&2)){d=g;e=a+12|0;f[e>>2]=d;return d|0}b=f[a+20>>2]|0;if((b|0)<0)j=11;else j=((((($(b|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;d=j+g|0;e=a+12|0;f[e>>2]=d;return d|0}function f$a(a,b){a=a|0;b=b|0;var c=0;c=f[a+8>>2]|0;if(c&1|0)TLb(1,f[a+16>>2]|0,b);if(c&2|0)GLb(2,f[a+20>>2]|0,b);c=f[a+4>>2]|0;if(!(c&1))return;Abc(c&-2,b);return}function g$a(a){a=a|0;return f[a+12>>2]|0}function h$a(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;c=f[a+8>>2]|0;if(!(c&1))e=d;else{g=f[a+16>>2]|0;b[d>>0]=8;h=d+1|0;d=g&255;if(g>>>0>127){i=h;j=d;k=g;l=((g|0)<0)<<31>>31;while(1){b[i>>0]=j|-128;g=k;k=pzc(k|0,l|0,7)|0;m=i+1|0;n=k&255;if(!(l>>>0>0|(l|0)==0&g>>>0>16383)){o=m;p=n;break}else{i=m;j=n;l=J}}}else{o=h;p=d}b[o>>0]=p;e=o+1|0}if(!(c&2))q=e;else{c=f[a+20>>2]|0;b[e>>0]=16;o=e+1|0;e=c&255;if(c>>>0>127){p=o;d=e;h=c;l=((c|0)<0)<<31>>31;while(1){b[p>>0]=d|-128;c=h;h=pzc(h|0,l|0,7)|0;j=p+1|0;i=h&255;if(!(l>>>0>0|(l|0)==0&c>>>0>16383)){r=j;s=i;break}else{p=j;d=i;l=J}}}else{r=o;s=e}b[r>>0]=s;q=r+1|0}r=f[a+4>>2]|0;if(!(r&1)){t=q;return t|0}t=Bbc(r&-2,q)|0;return t|0}function i$a(a,b){a=a|0;b=b|0;var c=0,d=0;if((a|0)==(b|0))return;c=a+8|0;if(f[c>>2]&3|0){f[a+16>>2]=0;f[a+20>>2]=1}f[c>>2]=0;c=f[a+4>>2]|0;if(c&1|0?(d=c&-2,f[d>>2]|0):0)ebc(d);j$a(a,b);return}function j$a(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=ovc(b,24728,19800,0)|0;if(!c){A9b(b,a);return}b=a+4|0;d=f[c+4>>2]|0;if(d&1|0){e=f[b>>2]|0;if(!(e&1))g=OOa(b)|0;else g=e&-2;hbc(g,d&-2)}d=f[c+8>>2]|0;if(!(d&3))return;if(d&1|0)f[a+16>>2]=f[c+16>>2];if(d&2|0)f[a+20>>2]=f[c+20>>2];c=a+8|0;f[c>>2]=f[c>>2]|d;return}function k$a(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function l$a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224781]|0)!=2){f[d>>2]=151624;f[d+4>>2]=21;b[d+8>>0]=0;xLb(899124,d);QKb(d)}d=540968;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function m$a(a,b){a=a|0;b=b|0;if(!b)return;EIb(a,b,1978);return}function n$a(a){a=a|0;var b=0,c=0;f[a>>2]=123812;b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(c);f[b>>2]=0;return}function o$a(a){a=a|0;var b=0,c=0;f[a>>2]=123812;b=f[a+4>>2]|0;if(!(b&1)){fuc(a);return}c=b&-2;b=c;if((c|0)==0|(f[b+4>>2]|0)!=0){fuc(a);return}if(f[b>>2]|0)ebc(b);fuc(c);fuc(a);return}function p$a(a){a=a|0;a=cuc(20)|0;_Za(a);return a|0}function q$a(a,b){a=a|0;b=b|0;a=cuc(20)|0;_Za(a);if(!b)return a|0;C$a(b,a);return a|0}function r$a(a){a=a|0;var b=0;f[a+16>>2]=0;f[a+8>>2]=0;b=f[a+4>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;ebc(a);return}function s$a(a){a=a|0;return 1}function t$a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;d=c+4|0;e=a+8|0;g=a+16|0;h=a+4|0;while(1){a=f[c>>2]|0;if(a>>>0<(f[d>>2]|0)>>>0){i=b[a>>0]|0;j=i&255;if(i<<24>>24>0){f[c>>2]=a+1;k=j;l=6}else{m=j;l=5}}else{m=0;l=5}if((l|0)==5){l=0;j=OJb(c,m)|0;if((j+-1|0)>>>0<127){k=j;l=6}else n=j}if((l|0)==6){l=0;if((k|0)==8){j=f[c>>2]|0;if(j>>>0<(f[d>>2]|0)>>>0){a=b[j>>0]|0;i=a&255;if(a<<24>>24>-1){f[c>>2]=j+1;o=i}else{p=i;l=10}}else{p=0;l=10}if((l|0)==10){l=0;i=zJb(c,p)|0;j=J;if((j|0)>-1|(j|0)==-1&i>>>0>4294967295)o=i;else{q=0;l=22;break}}if(o>>>0<3){f[e>>2]=f[e>>2]|1;f[g>>2]=o;continue}i=f[h>>2]|0;if(!(i&1))r=OOa(h)|0;else r=i&-2;kbc(r,1,o,((o|0)<0)<<31>>31);continue}else n=k}if(!n){q=1;l=22;break}i=f[h>>2]|0;if(!(i&1))s=OOa(h)|0;else s=i&-2;if(!(xbc(c,n,s)|0)){q=0;l=22;break}}if((l|0)==22)return q|0;return 0}function u$a(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=Dbc(b&-2)|0;if(!(f[a+8>>2]&1)){d=c;e=a+12|0;f[e>>2]=d;return d|0}b=f[a+16>>2]|0;if((b|0)<0)g=11;else g=((((($(b|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;d=g+c|0;e=a+12|0;f[e>>2]=d;return d|0}function v$a(a,b){a=a|0;b=b|0;var c=0;if(f[a+8>>2]&1|0)TLb(1,f[a+16>>2]|0,b);c=f[a+4>>2]|0;if(!(c&1))return;Abc(c&-2,b);return}function w$a(a){a=a|0;return f[a+12>>2]|0}function x$a(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;if(!(f[a+8>>2]&1))e=d;else{c=f[a+16>>2]|0;b[d>>0]=8;g=d+1|0;d=c&255;if(c>>>0>127){h=g;i=d;j=c;k=((c|0)<0)<<31>>31;while(1){b[h>>0]=i|-128;c=j;j=pzc(j|0,k|0,7)|0;l=h+1|0;m=j&255;if(!(k>>>0>0|(k|0)==0&c>>>0>16383)){n=l;o=m;break}else{h=l;i=m;k=J}}}else{n=g;o=d}b[n>>0]=o;e=n+1|0}n=f[a+4>>2]|0;if(!(n&1)){p=e;return p|0}p=Bbc(n&-2,e)|0;return p|0}function y$a(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0;if((a|0)==(b|0))return;c=a+16|0;f[c>>2]=0;d=a+8|0;f[d>>2]=0;e=a+4|0;g=f[e>>2]|0;if(g&1|0?(h=g&-2,f[h>>2]|0):0)ebc(h);h=ovc(b,24728,19816,0)|0;if(!h){A9b(b,a);return}a=f[h+4>>2]|0;if(a&1|0){b=f[e>>2]|0;if(!(b&1))i=OOa(e)|0;else i=b&-2;hbc(i,a&-2)}if(!(f[h+8>>2]&1))return;a=f[h+16>>2]|0;f[d>>2]=f[d>>2]|1;f[c>>2]=a;return}function z$a(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=ovc(b,24728,19816,0)|0;if(!c){A9b(b,a);return}b=a+4|0;d=f[c+4>>2]|0;if(d&1|0){e=f[b>>2]|0;if(!(e&1))g=OOa(b)|0;else g=e&-2;hbc(g,d&-2)}if(!(f[c+8>>2]&1))return;d=f[c+16>>2]|0;c=a+8|0;f[c>>2]=f[c>>2]|1;f[a+16>>2]=d;return}function A$a(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function B$a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224781]|0)!=2){f[d>>2]=151624;f[d+4>>2]=21;b[d+8>>0]=0;xLb(899124,d);QKb(d)}d=540952;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function C$a(a,b){a=a|0;b=b|0;if(!b)return;EIb(a,b,1978);return}function D$a(a){a=a|0;var b=0,c=0;f[a>>2]=123920;b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(c);f[b>>2]=0;return}function E$a(a){a=a|0;var b=0,c=0;f[a>>2]=123920;b=f[a+4>>2]|0;if(!(b&1)){fuc(a);return}c=b&-2;b=c;if((c|0)==0|(f[b+4>>2]|0)!=0){fuc(a);return}if(f[b>>2]|0)ebc(b);fuc(c);fuc(a);return}function F$a(a){a=a|0;a=cuc(20)|0;ZZa(a);return a|0}function G$a(a,b){a=a|0;b=b|0;a=cuc(20)|0;ZZa(a);if(!b)return a|0;S$a(b,a);return a|0}function H$a(a){a=a|0;var b=0;f[a+16>>2]=0;f[a+8>>2]=0;b=f[a+4>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;ebc(a);return}function I$a(a){a=a|0;return 1}function J$a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;d=c+4|0;e=a+8|0;g=a+16|0;h=a+4|0;while(1){a=f[c>>2]|0;if(a>>>0<(f[d>>2]|0)>>>0){i=b[a>>0]|0;j=i&255;if(i<<24>>24>0){f[c>>2]=a+1;k=j;l=6}else{m=j;l=5}}else{m=0;l=5}if((l|0)==5){l=0;j=OJb(c,m)|0;if((j+-1|0)>>>0<127){k=j;l=6}else n=j}if((l|0)==6){l=0;if((k|0)==8){j=f[c>>2]|0;if(j>>>0<(f[d>>2]|0)>>>0){a=b[j>>0]|0;i=a&255;if(a<<24>>24>-1){f[c>>2]=j+1;o=i}else{p=i;l=10}}else{p=0;l=10}if((l|0)==10){l=0;i=zJb(c,p)|0;j=J;if((j|0)>-1|(j|0)==-1&i>>>0>4294967295)o=i;else{q=0;l=22;break}}if(o>>>0<3){f[e>>2]=f[e>>2]|1;f[g>>2]=o;continue}i=f[h>>2]|0;if(!(i&1))r=OOa(h)|0;else r=i&-2;kbc(r,1,o,((o|0)<0)<<31>>31);continue}else n=k}if(!n){q=1;l=22;break}i=f[h>>2]|0;if(!(i&1))s=OOa(h)|0;else s=i&-2;if(!(xbc(c,n,s)|0)){q=0;l=22;break}}if((l|0)==22)return q|0;return 0}function K$a(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=Dbc(b&-2)|0;if(!(f[a+8>>2]&1)){d=c;e=a+12|0;f[e>>2]=d;return d|0}b=f[a+16>>2]|0;if((b|0)<0)g=11;else g=((((($(b|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;d=g+c|0;e=a+12|0;f[e>>2]=d;return d|0}function L$a(a,b){a=a|0;b=b|0;var c=0;if(f[a+8>>2]&1|0)TLb(1,f[a+16>>2]|0,b);c=f[a+4>>2]|0;if(!(c&1))return;Abc(c&-2,b);return}function M$a(a){a=a|0;return f[a+12>>2]|0}function N$a(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;if(!(f[a+8>>2]&1))e=d;else{c=f[a+16>>2]|0;b[d>>0]=8;g=d+1|0;d=c&255;if(c>>>0>127){h=g;i=d;j=c;k=((c|0)<0)<<31>>31;while(1){b[h>>0]=i|-128;c=j;j=pzc(j|0,k|0,7)|0;l=h+1|0;m=j&255;if(!(k>>>0>0|(k|0)==0&c>>>0>16383)){n=l;o=m;break}else{h=l;i=m;k=J}}}else{n=g;o=d}b[n>>0]=o;e=n+1|0}n=f[a+4>>2]|0;if(!(n&1)){p=e;return p|0}p=Bbc(n&-2,e)|0;return p|0}function O$a(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0;if((a|0)==(b|0))return;c=a+16|0;f[c>>2]=0;d=a+8|0;f[d>>2]=0;e=a+4|0;g=f[e>>2]|0;if(g&1|0?(h=g&-2,f[h>>2]|0):0)ebc(h);h=ovc(b,24728,19832,0)|0;if(!h){A9b(b,a);return}a=f[h+4>>2]|0;if(a&1|0){b=f[e>>2]|0;if(!(b&1))i=OOa(e)|0;else i=b&-2;hbc(i,a&-2)}if(!(f[h+8>>2]&1))return;a=f[h+16>>2]|0;f[d>>2]=f[d>>2]|1;f[c>>2]=a;return}function P$a(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=ovc(b,24728,19832,0)|0;if(!c){A9b(b,a);return}b=a+4|0;d=f[c+4>>2]|0;if(d&1|0){e=f[b>>2]|0;if(!(e&1))g=OOa(b)|0;else g=e&-2;hbc(g,d&-2)}if(!(f[c+8>>2]&1))return;d=f[c+16>>2]|0;c=a+8|0;f[c>>2]=f[c>>2]|1;f[a+16>>2]=d;return}function Q$a(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function R$a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224781]|0)!=2){f[d>>2]=151624;f[d+4>>2]=21;b[d+8>>0]=0;xLb(899124,d);QKb(d)}d=540976;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function S$a(a,b){a=a|0;b=b|0;if(!b)return;EIb(a,b,1978);return}function T$a(a){a=a|0;var c=0,d=0;f[a>>2]=124028;c=f[a+28>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}c=f[a+24>>2]|0;if(c|0?(f[c>>2]|0)==0:0)fuc(c);c=a+4|0;a=f[c>>2]|0;if(!(a&1)){f[c>>2]=0;return}d=a&-2;a=d;if((d|0)==0|(f[a+4>>2]|0)!=0){f[c>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(d);f[c>>2]=0;return}function U$a(a){a=a|0;T$a(a);fuc(a);return}function V$a(a){a=a|0;a=cuc(44)|0;XZa(a);return a|0}function W$a(a,b){a=a|0;b=b|0;a=cuc(44)|0;XZa(a);if(!b)return a|0;g0a(b,a);return a|0}function X$a(a){a=a|0;var c=0,e=0,g=0,h=0;f[a+16>>2]=0;c=a+8|0;e=f[c>>2]|0;do if(e&1|0){g=f[a+28>>2]|0;h=g+11|0;if((b[h>>0]|0)<0){b[f[g>>2]>>0]=0;f[g+4>>2]=0;break}else{b[g>>0]=0;b[h>>0]=0;break}}while(0);if(e&62|0){e=a+32|0;f[e>>2]=0;d[e+4>>1]=0;b[e+6>>0]=0;n[a+40>>2]=1.0}f[c>>2]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;ebc(a);return}function Y$a(a){a=a|0;return 1}function Z$a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0;d=u;u=u+16|0;e=d;g=c+4|0;i=a+8|0;j=a+40|0;k=a+36|0;l=e+8|0;m=a+32|0;n=a+28|0;o=a+16|0;p=a+20|0;q=a+24|0;r=a+37|0;s=e+8|0;t=a+38|0;v=e+8|0;w=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){x=b[a>>0]|0;y=x&255;if(x<<24>>24>0){f[c>>2]=a+1;z=y;A=6}else{B=y;A=5}}else{B=0;A=5}if((A|0)==5){A=0;y=OJb(c,B)|0;if((y+-1|0)>>>0<127){z=y;A=6}else C=y}b:do if((A|0)==6){A=0;switch(z>>>3&536870911|0){case 1:{if((z&255|0)!=13){C=z;break b}f[i>>2]=f[i>>2]|32;y=f[c>>2]|0;if(((f[g>>2]|0)-y|0)>3){a=y;x=h[a>>0]|h[a+1>>0]<<8|h[a+2>>0]<<16|h[a+3>>0]<<24;f[e>>2]=x;f[c>>2]=y+4;D=x}else{if(!(LJb(c,e)|0)){A=13;break a}D=f[e>>2]|0}f[j>>2]=D;continue a;break}case 2:{if((z&255|0)!=16){C=z;break b}f[i>>2]=f[i>>2]|4;x=f[c>>2]|0;if(x>>>0<(f[g>>2]|0)>>>0?(y=b[x>>0]|0,y<<24>>24>-1):0){f[c>>2]=x+1;E=y<<24>>24!=0}else{AJb(e,c);y=e;if(!(b[l>>0]|0)){F=0;A=63;break a}else E=(f[y>>2]|0)!=0|(f[y+4>>2]|0)!=0}b[k>>0]=E&1;continue a;break}case 3:{if((z&255|0)!=24){C=z;break b}f[i>>2]=f[i>>2]|2;y=f[c>>2]|0;if(y>>>0<(f[g>>2]|0)>>>0){x=b[y>>0]|0;a=x&255;if(x<<24>>24>-1){f[m>>2]=a;f[c>>2]=y+1;continue a}else G=a}else G=0;a=zJb(c,G)|0;y=J;f[m>>2]=a;if((y|0)>-1|(y|0)==-1&a>>>0>4294967295)continue a;else{F=0;A=63;break a}break}case 4:{if((z&255|0)!=34){C=z;break b}f[i>>2]=f[i>>2]|1;a=f[n>>2]|0;if((a|0)==542896){JEa(n,542896);H=f[n>>2]|0}else H=a;if($Lb(c,H)|0)continue a;else{F=0;A=63;break a}break}case 5:{switch((z&255)<<24>>24){case 45:break;case 42:{if(DWa(c,o)|0)continue a;else{F=0;A=63;break a}break}default:{C=z;break b}}a=f[c>>2]|0;if(((f[g>>2]|0)-a|0)>3){y=a;x=h[y>>0]|h[y+1>>0]<<8|h[y+2>>0]<<16|h[y+3>>0]<<24;f[e>>2]=x;f[c>>2]=a+4;I=x}else{if(!(LJb(c,e)|0)){A=44;break a}I=f[e>>2]|0}x=f[o>>2]|0;if((x|0)==(f[p>>2]|0)){REa(o,x+1|0);K=f[o>>2]|0}else K=x;x=f[q>>2]|0;a=K+1|0;f[o>>2]=a;f[x+4+(K<<2)>>2]=I;y=f[c>>2]|0;L=(f[g>>2]|0)-y|0;if((L|0)<=0)continue a;M=y;y=(f[p>>2]|0)-a|0;N=(L>>>0)/5|0;O=(N|0)<(y|0)?N:y;if((O|0)>0){P=0;Q=M;R=a}else continue a;while(1){if((b[Q>>0]|0)!=45){S=P;break}a=Q+1|0;y=h[a>>0]|h[a+1>>0]<<8|h[a+2>>0]<<16|h[a+3>>0]<<24;a=R;R=R+1|0;f[o>>2]=R;f[x+4+(a<<2)>>2]=y;y=P+1|0;if((y|0)>=(O|0)){S=y;break}else{P=y;Q=Q+5|0}}O=S*5|0;if((S|0)<=0)continue a;if((L|0)<(O|0)){HJb(c,O,L)|0;continue a}else{f[c>>2]=M+O;continue a}break}case 6:{if((z&255|0)!=48){C=z;break b}f[i>>2]=f[i>>2]|8;O=f[c>>2]|0;if(O>>>0<(f[g>>2]|0)>>>0?(x=b[O>>0]|0,x<<24>>24>-1):0){f[c>>2]=O+1;T=x<<24>>24!=0}else{AJb(e,c);x=e;if(!(b[s>>0]|0)){F=0;A=63;break a}else T=(f[x>>2]|0)!=0|(f[x+4>>2]|0)!=0}b[r>>0]=T&1;continue a;break}case 7:{if((z&255|0)!=56){C=z;break b}f[i>>2]=f[i>>2]|16;x=f[c>>2]|0;if(x>>>0<(f[g>>2]|0)>>>0?(O=b[x>>0]|0,O<<24>>24>-1):0){f[c>>2]=x+1;U=O<<24>>24!=0}else{AJb(e,c);O=e;if(!(b[v>>0]|0)){F=0;A=63;break a}else U=(f[O>>2]|0)!=0|(f[O+4>>2]|0)!=0}b[t>>0]=U&1;continue a;break}default:{C=z;break b}}}while(0);if(!C){F=1;A=63;break}O=f[w>>2]|0;if(!(O&1))V=OOa(w)|0;else V=O&-2;if(!(xbc(c,C,V)|0)){F=0;A=63;break}}if((A|0)==13){F=0;u=d;return F|0}else if((A|0)==44){F=0;u=d;return F|0}else if((A|0)==63){u=d;return F|0}return 0}function _$a(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;c=f[a+4>>2]|0;if(!(c&1))d=0;else d=Dbc(c&-2)|0;c=f[a+16>>2]|0;e=c+d+(c<<2)|0;c=f[a+8>>2]|0;if(!(c&63)){g=e;h=a+12|0;f[h>>2]=g;return g|0}if(!(c&1))i=e;else{d=f[a+28>>2]|0;j=b[d+11>>0]|0;k=j<<24>>24<0?f[d+4>>2]|0:j&255;i=e+1+k+((((($(k|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(c&2))l=i;else l=i+1+((((($(f[a+32>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;i=c&4|0?l+2|0:l;l=c&8|0?i+2|0:i;i=c&16|0?l+2|0:l;g=c&32|0?i+5|0:i;h=a+12|0;f[h>>2]=g;return g|0}function $$a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;d=f[a+8>>2]|0;if(d&32|0)QLb(1,+n[a+40>>2],c);if(d&4|0)SLb(2,(b[a+36>>0]|0)!=0,c);if(d&2|0)ILb(3,f[a+32>>2]|0,c);if(d&1|0)VLb(4,f[a+28>>2]|0,c);e=f[a+16>>2]|0;if((e|0)>0){g=a+24|0;h=0;do{QLb(5,+n[(f[g>>2]|0)+4+(h<<2)>>2],c);h=h+1|0}while((h|0)!=(e|0))}if(d&8|0)SLb(6,(b[a+37>>0]|0)!=0,c);if(d&16|0)SLb(7,(b[a+38>>0]|0)!=0,c);d=f[a+4>>2]|0;if(!(d&1))return;Abc(d&-2,c);return}function a0a(a){a=a|0;return f[a+12>>2]|0}function b0a(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;c=f[a+8>>2]|0;if(!(c&32))e=d;else{g=f[a+40>>2]|0;b[d>>0]=13;h=d+1|0;b[h>>0]=g;b[h+1>>0]=g>>8;b[h+2>>0]=g>>16;b[h+3>>0]=g>>24;e=d+5|0}if(!(c&4))i=e;else{d=b[a+36>>0]|0;b[e>>0]=16;b[e+1>>0]=d;i=e+2|0}if(!(c&2))j=i;else{e=f[a+32>>2]|0;b[i>>0]=24;d=i+1|0;if(e>>>0>127){i=e;g=d;while(1){b[g>>0]=i|128;h=i>>>7;k=g+1|0;if(i>>>0>16383){i=h;g=k}else{l=k;m=h;break}}}else{l=d;m=e}b[l>>0]=m;j=l+1|0}if(!(c&1))n=j;else{l=f[a+28>>2]|0;b[j>>0]=34;n=XJb(l,j+1|0)|0}j=f[a+16>>2]|0;if(!j)o=n;else{l=f[a+24>>2]|0;m=0;e=n;while(1){n=f[l+4+(m<<2)>>2]|0;b[e>>0]=45;d=e+1|0;b[d>>0]=n;b[d+1>>0]=n>>8;b[d+2>>0]=n>>16;b[d+3>>0]=n>>24;n=e+5|0;m=m+1|0;if((m|0)>=(j|0)){o=n;break}else e=n}}if(!(c&8))p=o;else{e=b[a+37>>0]|0;b[o>>0]=48;b[o+1>>0]=e;p=o+2|0}if(!(c&16))q=p;else{c=b[a+38>>0]|0;b[p>>0]=56;b[p+1>>0]=c;q=p+2|0}p=f[a+4>>2]|0;if(!(p&1)){r=q;return r|0}r=Bbc(p&-2,q)|0;return r|0}function c0a(a,c){a=a|0;c=c|0;var e=0,g=0,h=0,i=0;if((a|0)==(c|0))return;f[a+16>>2]=0;e=a+8|0;g=f[e>>2]|0;do if(g&1|0){h=f[a+28>>2]|0;i=h+11|0;if((b[i>>0]|0)<0){b[f[h>>2]>>0]=0;f[h+4>>2]=0;break}else{b[h>>0]=0;b[i>>0]=0;break}}while(0);if(g&62|0){g=a+32|0;f[g>>2]=0;d[g+4>>1]=0;b[g+6>>0]=0;n[a+40>>2]=1.0}f[e>>2]=0;e=f[a+4>>2]|0;if(e&1|0?(g=e&-2,f[g>>2]|0):0)ebc(g);g=ovc(c,24728,19848,0)|0;if(!g){A9b(c,a);return}else{YZa(a,g);return}}function d0a(a,b){a=a|0;b=b|0;var c=0;c=ovc(b,24728,19848,0)|0;if(!c){A9b(b,a);return}else{YZa(a,c);return}}function e0a(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function f0a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224781]|0)!=2){f[d>>2]=151624;f[d+4>>2]=21;b[d+8>>0]=0;xLb(899124,d);QKb(d)}d=540632;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function g0a(a,b){a=a|0;b=b|0;if(!b)return;EIb(a,b,1978);return}function h0a(a){a=a|0;var b=0,c=0;f[a>>2]=124136;b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(c);f[b>>2]=0;return}function i0a(a){a=a|0;var b=0,c=0;f[a>>2]=124136;b=f[a+4>>2]|0;if(!(b&1)){fuc(a);return}c=b&-2;b=c;if((c|0)==0|(f[b+4>>2]|0)!=0){fuc(a);return}if(f[b>>2]|0)ebc(b);fuc(c);fuc(a);return}function j0a(a){a=a|0;a=cuc(24)|0;WZa(a);return a|0}function k0a(a,b){a=a|0;b=b|0;a=cuc(24)|0;WZa(a);if(!b)return a|0;w0a(b,a);return a|0}function l0a(a){a=a|0;var c=0;c=a+8|0;if(f[c>>2]&7|0){b[a+16>>0]=0;b[a+17>>0]=1;n[a+20>>2]=9.999999717180685e-10}f[c>>2]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;ebc(a);return}function m0a(a){a=a|0;return 1}function n0a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;d=u;u=u+16|0;e=d;g=c+4|0;i=a+8|0;j=a+17|0;k=e+8|0;l=a+16|0;m=e+8|0;n=a+20|0;o=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){p=b[a>>0]|0;q=p&255;if(p<<24>>24>0){f[c>>2]=a+1;r=q;s=6}else{t=q;s=5}}else{t=0;s=5}if((s|0)==5){s=0;q=OJb(c,t)|0;if((q+-1|0)>>>0<127){r=q;s=6}else v=q}b:do if((s|0)==6){s=0;switch(r>>>3&536870911|0){case 1:{if((r&255|0)!=8){v=r;break b}f[i>>2]=f[i>>2]|2;q=f[c>>2]|0;if(q>>>0<(f[g>>2]|0)>>>0?(a=b[q>>0]|0,a<<24>>24>-1):0){f[c>>2]=q+1;w=a<<24>>24!=0}else{AJb(e,c);a=e;if(!(b[k>>0]|0)){x=0;s=31;break a}else w=(f[a>>2]|0)!=0|(f[a+4>>2]|0)!=0}b[j>>0]=w&1;continue a;break}case 2:{if((r&255|0)!=16){v=r;break b}f[i>>2]=f[i>>2]|1;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(q=b[a>>0]|0,q<<24>>24>-1):0){f[c>>2]=a+1;y=q<<24>>24!=0}else{AJb(e,c);q=e;if(!(b[m>>0]|0)){x=0;s=31;break a}else y=(f[q>>2]|0)!=0|(f[q+4>>2]|0)!=0}b[l>>0]=y&1;continue a;break}case 3:{if((r&255|0)!=29){v=r;break b}f[i>>2]=f[i>>2]|4;q=f[c>>2]|0;if(((f[g>>2]|0)-q|0)>3){a=q;p=h[a>>0]|h[a+1>>0]<<8|h[a+2>>0]<<16|h[a+3>>0]<<24;f[e>>2]=p;f[c>>2]=q+4;z=p}else{if(!(LJb(c,e)|0)){s=25;break a}z=f[e>>2]|0}f[n>>2]=z;continue a;break}default:{v=r;break b}}}while(0);if(!v){x=1;s=31;break}p=f[o>>2]|0;if(!(p&1))A=OOa(o)|0;else A=p&-2;if(!(xbc(c,v,A)|0)){x=0;s=31;break}}if((s|0)==25){x=0;u=d;return x|0}else if((s|0)==31){u=d;return x|0}return 0}function o0a(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=Dbc(b&-2)|0;b=f[a+8>>2]|0;if(!(b&7)){d=c;e=a+12|0;f[e>>2]=d;return d|0}g=b&1|0?c+2|0:c;c=b&2|0?g+2|0:g;d=b&4|0?c+5|0:c;e=a+12|0;f[e>>2]=d;return d|0}function p0a(a,c){a=a|0;c=c|0;var d=0;d=f[a+8>>2]|0;if(d&2|0)SLb(1,(b[a+17>>0]|0)!=0,c);if(d&1|0)SLb(2,(b[a+16>>0]|0)!=0,c);if(d&4|0)QLb(3,+n[a+20>>2],c);d=f[a+4>>2]|0;if(!(d&1))return;Abc(d&-2,c);return}function q0a(a){a=a|0;return f[a+12>>2]|0}function r0a(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0;c=f[a+8>>2]|0;if(!(c&2))e=d;else{g=b[a+17>>0]|0;b[d>>0]=8;b[d+1>>0]=g;e=d+2|0}if(!(c&1))h=e;else{d=b[a+16>>0]|0;b[e>>0]=16;b[e+1>>0]=d;h=e+2|0}if(!(c&4))i=h;else{c=f[a+20>>2]|0;b[h>>0]=29;e=h+1|0;b[e>>0]=c;b[e+1>>0]=c>>8;b[e+2>>0]=c>>16;b[e+3>>0]=c>>24;i=h+5|0}h=f[a+4>>2]|0;if(!(h&1)){j=i;return j|0}j=Bbc(h&-2,i)|0;return j|0}function s0a(a,c){a=a|0;c=c|0;var d=0,e=0;if((a|0)==(c|0))return;d=a+8|0;if(f[d>>2]&7|0){b[a+16>>0]=0;b[a+17>>0]=1;n[a+20>>2]=9.999999717180685e-10}f[d>>2]=0;d=f[a+4>>2]|0;if(d&1|0?(e=d&-2,f[e>>2]|0):0)ebc(e);t0a(a,c);return}function t0a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;d=ovc(c,24728,19864,0)|0;if(!d){A9b(c,a);return}c=a+4|0;e=f[d+4>>2]|0;if(e&1|0){g=f[c>>2]|0;if(!(g&1))h=OOa(c)|0;else h=g&-2;hbc(h,e&-2)}e=f[d+8>>2]|0;if(!(e&7))return;if(e&1|0)b[a+16>>0]=b[d+16>>0]|0;if(e&2|0)b[a+17>>0]=b[d+17>>0]|0;if(e&4|0)f[a+20>>2]=f[d+20>>2];d=a+8|0;f[d>>2]=f[d>>2]|e;return}function u0a(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function v0a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224781]|0)!=2){f[d>>2]=151624;f[d+4>>2]=21;b[d+8>>0]=0;xLb(899124,d);QKb(d)}d=540872;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function w0a(a,b){a=a|0;b=b|0;if(!b)return;EIb(a,b,1978);return}function x0a(a){a=a|0;var b=0,c=0;f[a>>2]=124244;b=f[a+24>>2]|0;if(b|0?(f[b>>2]|0)==0:0)fuc(b);b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(c);f[b>>2]=0;return}function y0a(a){a=a|0;var b=0,c=0;f[a>>2]=124244;b=f[a+24>>2]|0;if(b|0?(f[b>>2]|0)==0:0)fuc(b);b=f[a+4>>2]|0;if(!(b&1)){fuc(a);return}c=b&-2;b=c;if((c|0)==0|(f[b+4>>2]|0)!=0){fuc(a);return}if(f[b>>2]|0)ebc(b);fuc(c);fuc(a);return}function z0a(a){a=a|0;a=cuc(36)|0;UZa(a);return a|0}function A0a(a,b){a=a|0;b=b|0;a=cuc(36)|0;UZa(a);if(!b)return a|0;N0a(b,a);return a|0}function B0a(a){a=a|0;var b=0;f[a+16>>2]=0;b=a+8|0;if(f[b>>2]&3|0){f[a+28>>2]=1;f[a+32>>2]=1}f[b>>2]=0;b=f[a+4>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;ebc(a);return}function C0a(a){a=a|0;return 1}function D0a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;d=c+4|0;e=a+8|0;g=a+28|0;h=a+16|0;i=a+20|0;j=a+24|0;k=a+32|0;l=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[d>>2]|0)>>>0){m=b[a>>0]|0;n=m&255;if(m<<24>>24>0){f[c>>2]=a+1;o=n;p=6}else{q=n;p=5}}else{q=0;p=5}if((p|0)==5){p=0;n=OJb(c,q)|0;if((n+-1|0)>>>0<127){o=n;p=6}else r=n}b:do if((p|0)==6){p=0;switch(o>>>3&536870911|0){case 1:{if((o&255|0)!=8){r=o;break b}f[e>>2]=f[e>>2]|1;n=f[c>>2]|0;if(n>>>0<(f[d>>2]|0)>>>0){a=b[n>>0]|0;m=a&255;if(a<<24>>24>-1){f[g>>2]=m;f[c>>2]=n+1;continue a}else s=m}else s=0;m=zJb(c,s)|0;n=J;f[g>>2]=m;if((n|0)>-1|(n|0)==-1&m>>>0>4294967295)continue a;else{t=0;p=40;break a}break}case 2:{switch((o&255)<<24>>24){case 16:break;case 18:{if(M0a(c,h)|0)continue a;else{t=0;p=40;break a}break}default:{r=o;break b}}m=f[c>>2]|0;if(m>>>0<(f[d>>2]|0)>>>0){n=b[m>>0]|0;a=n&255;if(n<<24>>24>-1){f[c>>2]=m+1;u=a}else{v=a;p=16}}else{v=0;p=16}if((p|0)==16){p=0;a=zJb(c,v)|0;m=J;if((m|0)>-1|(m|0)==-1&a>>>0>4294967295)u=a;else{t=0;p=40;break a}}a=f[h>>2]|0;if((a|0)==(f[i>>2]|0)){UEa(h,a+1|0);w=f[h>>2]|0}else w=a;a=f[j>>2]|0;f[h>>2]=w+1;f[a+4+(w<<2)>>2]=u;m=(f[i>>2]|0)-(f[h>>2]|0)|0;if((m|0)>0){x=m;y=a}else continue a;while(1){a=f[c>>2]|0;m=f[d>>2]|0;if(a>>>0>=m>>>0)continue a;if((b[a>>0]|0)!=16)continue a;n=a+1|0;f[c>>2]=n;if(n>>>0<m>>>0){m=b[n>>0]|0;n=m&255;if(m<<24>>24>-1){f[c>>2]=a+2;z=n;A=y}else{B=n;p=24}}else{B=0;p=24}if((p|0)==24){p=0;n=zJb(c,B)|0;a=J;if(!((a|0)>-1|(a|0)==-1&n>>>0>4294967295)){t=0;p=40;break a}z=n;A=f[j>>2]|0}n=f[h>>2]|0;f[h>>2]=n+1;f[A+4+(n<<2)>>2]=z;if((x|0)>1){x=x+-1|0;y=A}else continue a}break}case 3:{if((o&255|0)!=24){r=o;break b}f[e>>2]=f[e>>2]|2;n=f[c>>2]|0;if(n>>>0<(f[d>>2]|0)>>>0){a=b[n>>0]|0;m=a&255;if(a<<24>>24>-1){f[c>>2]=n+1;C=m}else{D=m;p=33}}else{D=0;p=33}if((p|0)==33){p=0;m=zJb(c,D)|0;n=J;if((n|0)>-1|(n|0)==-1&m>>>0>4294967295)C=m;else{t=0;p=40;break a}}f[k>>2]=C;continue a;break}default:{r=o;break b}}}while(0);if(!r){t=1;p=40;break}m=f[l>>2]|0;if(!(m&1))E=OOa(l)|0;else E=m&-2;if(!(xbc(c,r,E)|0)){t=0;p=40;break}}if((p|0)==40)return t|0;return 0}function E0a(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=Dbc(b&-2)|0;b=cMb(a+16|0)|0;d=b+c+(f[a+16>>2]|0)|0;c=f[a+8>>2]|0;if(!(c&3)){e=d;g=a+12|0;f[g>>2]=e;return e|0}if(!(c&1))h=d;else h=d+1+((((($(f[a+28>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;if(!(c&2)){e=h;g=a+12|0;f[g>>2]=e;return e|0}c=f[a+32>>2]|0;if((c|0)<0)i=11;else i=((((($(c|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;e=i+h|0;g=a+12|0;f[g>>2]=e;return e|0}function F0a(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=f[a+8>>2]|0;if(c&1|0)ILb(1,f[a+28>>2]|0,b);d=f[a+16>>2]|0;if((d|0)>0){e=a+24|0;g=0;do{ILb(2,f[(f[e>>2]|0)+4+(g<<2)>>2]|0,b);g=g+1|0}while((g|0)!=(d|0))}if(c&2|0)GLb(3,f[a+32>>2]|0,b);c=f[a+4>>2]|0;if(!(c&1))return;Abc(c&-2,b);return}function G0a(a){a=a|0;return f[a+12>>2]|0}function H0a(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;c=f[a+8>>2]|0;if(!(c&1))e=d;else{g=f[a+28>>2]|0;b[d>>0]=8;h=d+1|0;if(g>>>0>127){d=g;i=h;while(1){b[i>>0]=d|128;j=d>>>7;k=i+1|0;if(d>>>0>16383){d=j;i=k}else{l=k;m=j;break}}}else{l=h;m=g}b[l>>0]=m;e=l+1|0}l=f[a+16>>2]|0;if(!l)n=e;else{m=f[a+24>>2]|0;g=0;h=e;while(1){e=f[m+4+(g<<2)>>2]|0;b[h>>0]=16;i=h+1|0;if(e>>>0>127){d=e;j=i;while(1){b[j>>0]=d|128;k=d>>>7;o=j+1|0;if(d>>>0>16383){d=k;j=o}else{p=o;q=k;break}}}else{p=i;q=e}b[p>>0]=q;j=p+1|0;g=g+1|0;if((g|0)>=(l|0)){n=j;break}else h=j}}if(!(c&2))r=n;else{c=f[a+32>>2]|0;b[n>>0]=24;h=n+1|0;n=c&255;if(c>>>0>127){l=h;g=n;p=c;q=((c|0)<0)<<31>>31;while(1){b[l>>0]=g|-128;c=p;p=pzc(p|0,q|0,7)|0;m=l+1|0;j=p&255;if(!(q>>>0>0|(q|0)==0&c>>>0>16383)){s=m;t=j;break}else{l=m;g=j;q=J}}}else{s=h;t=n}b[s>>0]=t;r=s+1|0}s=f[a+4>>2]|0;if(!(s&1)){u=r;return u|0}u=Bbc(s&-2,r)|0;return u|0}function I0a(a,b){a=a|0;b=b|0;var c=0,d=0;if((a|0)==(b|0))return;f[a+16>>2]=0;c=a+8|0;if(f[c>>2]&3|0){f[a+28>>2]=1;f[a+32>>2]=1}f[c>>2]=0;c=f[a+4>>2]|0;if(c&1|0?(d=c&-2,f[d>>2]|0):0)ebc(d);d=ovc(b,24728,19880,0)|0;if(!d){A9b(b,a);return}else{VZa(a,d);return}}function J0a(a,b){a=a|0;b=b|0;var c=0;c=ovc(b,24728,19880,0)|0;if(!c){A9b(b,a);return}else{VZa(a,c);return}}function K0a(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function L0a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224781]|0)!=2){f[d>>2]=151624;f[d+4>>2]=21;b[d+8>>0]=0;xLb(899124,d);QKb(d)}d=540960;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function M0a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;d=f[a>>2]|0;e=a+4|0;if(d>>>0<(f[e>>2]|0)>>>0?(g=b[d>>0]|0,g<<24>>24>-1):0){f[a>>2]=d+1;h=g&255}else{g=NJb(a)|0;if((g|0)>-1)h=g;else{i=0;return i|0}}g=wJb(a,h)|0;a:do if((EJb(a)|0)>0){h=c+4|0;d=c+8|0;while(1){j=f[a>>2]|0;if(j>>>0<(f[e>>2]|0)>>>0){k=b[j>>0]|0;l=k&255;if(k<<24>>24>-1){f[a>>2]=j+1;m=l}else{n=l;o=10}}else{n=0;o=10}if((o|0)==10){o=0;l=zJb(a,n)|0;j=J;if((j|0)>-1|(j|0)==-1&l>>>0>4294967295)m=l;else{i=0;break}}l=f[c>>2]|0;if((l|0)==(f[h>>2]|0)){UEa(c,l+1|0);p=f[c>>2]|0}else p=l;l=f[d>>2]|0;f[c>>2]=p+1;f[l+4+(p<<2)>>2]=m;if((EJb(a)|0)<=0)break a}return i|0}while(0);xJb(a,g);i=1;return i|0}function N0a(a,b){a=a|0;b=b|0;if(!b)return;EIb(a,b,1978);return}function O0a(a){a=a|0;var b=0,c=0;f[a>>2]=124352;b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(c);f[b>>2]=0;return}function P0a(a){a=a|0;var b=0,c=0;f[a>>2]=124352;b=f[a+4>>2]|0;if(!(b&1)){fuc(a);return}c=b&-2;b=c;if((c|0)==0|(f[b+4>>2]|0)!=0){fuc(a);return}if(f[b>>2]|0)ebc(b);fuc(c);fuc(a);return}function Q0a(a){a=a|0;a=cuc(24)|0;TZa(a);return a|0}function R0a(a,b){a=a|0;b=b|0;a=cuc(24)|0;TZa(a);if(!b)return a|0;b1a(b,a);return a|0}function S0a(a){a=a|0;var b=0,c=0;b=a+8|0;if(f[b>>2]&3|0){c=a+16|0;f[c>>2]=0;f[c+4>>2]=0}f[b>>2]=0;b=f[a+4>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;ebc(a);return}function T0a(a){a=a|0;return 1}function U0a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;d=u;u=u+16|0;e=d;g=c+4|0;i=a+8|0;j=a+16|0;k=a+4|0;l=a+20|0;a:while(1){b:while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){m=b[a>>0]|0;n=m&255;if(m<<24>>24>0){f[c>>2]=a+1;o=n;p=7}else{q=n;p=6}}else{q=0;p=6}if((p|0)==6){p=0;n=OJb(c,q)|0;if((n+-1|0)>>>0<127){o=n;p=7}else r=n}c:do if((p|0)==7){p=0;switch(o>>>3&536870911|0){case 1:break;case 2:{if((o&255|0)==16)break b;else{r=o;break c}break}default:{r=o;break c}}if((o&255|0)==13){f[i>>2]=f[i>>2]|1;n=f[c>>2]|0;if(((f[g>>2]|0)-n|0)>3){a=n;m=h[a>>0]|h[a+1>>0]<<8|h[a+2>>0]<<16|h[a+3>>0]<<24;f[e>>2]=m;f[c>>2]=n+4;s=m}else{if(!(LJb(c,e)|0)){p=14;break a}s=f[e>>2]|0}f[j>>2]=s;continue b}else r=o}while(0);if(!r){t=1;p=31;break a}m=f[k>>2]|0;if(!(m&1))v=OOa(k)|0;else v=m&-2;if(!(xbc(c,r,v)|0)){t=0;p=31;break a}}m=f[c>>2]|0;if(m>>>0<(f[g>>2]|0)>>>0){n=b[m>>0]|0;a=n&255;if(n<<24>>24>-1){f[c>>2]=m+1;w=a}else{x=a;p=19}}else{x=0;p=19}if((p|0)==19){p=0;a=zJb(c,x)|0;m=J;if((m|0)>-1|(m|0)==-1&a>>>0>4294967295)w=a;else{t=0;p=31;break}}if(w>>>0<3){f[i>>2]=f[i>>2]|2;f[l>>2]=w;continue}a=f[k>>2]|0;if(!(a&1))y=OOa(k)|0;else y=a&-2;kbc(y,2,w,((w|0)<0)<<31>>31)}if((p|0)==14){t=0;u=d;return t|0}else if((p|0)==31){u=d;return t|0}return 0}function V0a(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=Dbc(b&-2)|0;b=f[a+8>>2]|0;if(!(b&3)){d=c;e=a+12|0;f[e>>2]=d;return d|0}g=b&1|0?c+5|0:c;if(!(b&2)){d=g;e=a+12|0;f[e>>2]=d;return d|0}b=f[a+20>>2]|0;if((b|0)<0)h=11;else h=((((($(b|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;d=h+g|0;e=a+12|0;f[e>>2]=d;return d|0}function W0a(a,b){a=a|0;b=b|0;var c=0;c=f[a+8>>2]|0;if(c&1|0)QLb(1,+n[a+16>>2],b);if(c&2|0)TLb(2,f[a+20>>2]|0,b);c=f[a+4>>2]|0;if(!(c&1))return;Abc(c&-2,b);return}function X0a(a){a=a|0;return f[a+12>>2]|0}function Y0a(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;c=f[a+8>>2]|0;if(!(c&1))e=d;else{g=f[a+16>>2]|0;b[d>>0]=13;h=d+1|0;b[h>>0]=g;b[h+1>>0]=g>>8;b[h+2>>0]=g>>16;b[h+3>>0]=g>>24;e=d+5|0}if(!(c&2))i=e;else{c=f[a+20>>2]|0;b[e>>0]=16;d=e+1|0;e=c&255;if(c>>>0>127){g=d;h=e;j=c;k=((c|0)<0)<<31>>31;while(1){b[g>>0]=h|-128;c=j;j=pzc(j|0,k|0,7)|0;l=g+1|0;m=j&255;if(!(k>>>0>0|(k|0)==0&c>>>0>16383)){n=l;o=m;break}else{g=l;h=m;k=J}}}else{n=d;o=e}b[n>>0]=o;i=n+1|0}n=f[a+4>>2]|0;if(!(n&1)){p=i;return p|0}p=Bbc(n&-2,i)|0;return p|0}function Z0a(a,b){a=a|0;b=b|0;var c=0,d=0;if((a|0)==(b|0))return;c=a+8|0;if(f[c>>2]&3|0){d=a+16|0;f[d>>2]=0;f[d+4>>2]=0}f[c>>2]=0;c=f[a+4>>2]|0;if(c&1|0?(d=c&-2,f[d>>2]|0):0)ebc(d);_0a(a,b);return}function _0a(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=ovc(b,24728,19896,0)|0;if(!c){A9b(b,a);return}b=a+4|0;d=f[c+4>>2]|0;if(d&1|0){e=f[b>>2]|0;if(!(e&1))g=OOa(b)|0;else g=e&-2;hbc(g,d&-2)}d=f[c+8>>2]|0;if(!(d&3))return;if(d&1|0)f[a+16>>2]=f[c+16>>2];if(d&2|0)f[a+20>>2]=f[c+20>>2];c=a+8|0;f[c>>2]=f[c>>2]|d;return}function $0a(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function a1a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224781]|0)!=2){f[d>>2]=151624;f[d+4>>2]=21;b[d+8>>0]=0;xLb(899124,d);QKb(d)}d=540928;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function b1a(a,b){a=a|0;b=b|0;if(!b)return;EIb(a,b,1978);return}function c1a(a){a=a|0;var b=0,c=0;f[a>>2]=124460;b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(c);f[b>>2]=0;return}function d1a(a){a=a|0;var b=0,c=0;f[a>>2]=124460;b=f[a+4>>2]|0;if(!(b&1)){fuc(a);return}c=b&-2;b=c;if((c|0)==0|(f[b+4>>2]|0)!=0){fuc(a);return}if(f[b>>2]|0)ebc(b);fuc(c);fuc(a);return}function e1a(a){a=a|0;a=cuc(20)|0;SZa(a);return a|0}function f1a(a,b){a=a|0;b=b|0;a=cuc(20)|0;SZa(a);if(!b)return a|0;r1a(b,a);return a|0}function g1a(a){a=a|0;var b=0;f[a+16>>2]=1;f[a+8>>2]=0;b=f[a+4>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;ebc(a);return}function h1a(a){a=a|0;return 1}function i1a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;d=c+4|0;e=a+8|0;g=a+16|0;h=a+4|0;while(1){a=f[c>>2]|0;if(a>>>0<(f[d>>2]|0)>>>0){i=b[a>>0]|0;j=i&255;if(i<<24>>24>0){f[c>>2]=a+1;k=j;l=6}else{m=j;l=5}}else{m=0;l=5}if((l|0)==5){l=0;j=OJb(c,m)|0;if((j+-1|0)>>>0<127){k=j;l=6}else n=j}if((l|0)==6){l=0;if((k|0)==8){j=f[c>>2]|0;if(j>>>0<(f[d>>2]|0)>>>0){a=b[j>>0]|0;i=a&255;if(a<<24>>24>-1){f[c>>2]=j+1;o=i}else{p=i;l=10}}else{p=0;l=10}if((l|0)==10){l=0;i=zJb(c,p)|0;j=J;if((j|0)>-1|(j|0)==-1&i>>>0>4294967295)o=i;else{q=0;l=22;break}}if((o+-1|0)>>>0<2){f[e>>2]=f[e>>2]|1;f[g>>2]=o;continue}i=f[h>>2]|0;if(!(i&1))r=OOa(h)|0;else r=i&-2;kbc(r,1,o,((o|0)<0)<<31>>31);continue}else n=k}if(!n){q=1;l=22;break}i=f[h>>2]|0;if(!(i&1))s=OOa(h)|0;else s=i&-2;if(!(xbc(c,n,s)|0)){q=0;l=22;break}}if((l|0)==22)return q|0;return 0}function j1a(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=Dbc(b&-2)|0;if(!(f[a+8>>2]&1)){d=c;e=a+12|0;f[e>>2]=d;return d|0}b=f[a+16>>2]|0;if((b|0)<0)g=11;else g=((((($(b|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;d=g+c|0;e=a+12|0;f[e>>2]=d;return d|0}function k1a(a,b){a=a|0;b=b|0;var c=0;if(f[a+8>>2]&1|0)TLb(1,f[a+16>>2]|0,b);c=f[a+4>>2]|0;if(!(c&1))return;Abc(c&-2,b);return}function l1a(a){a=a|0;return f[a+12>>2]|0}function m1a(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;if(!(f[a+8>>2]&1))e=d;else{c=f[a+16>>2]|0;b[d>>0]=8;g=d+1|0;d=c&255;if(c>>>0>127){h=g;i=d;j=c;k=((c|0)<0)<<31>>31;while(1){b[h>>0]=i|-128;c=j;j=pzc(j|0,k|0,7)|0;l=h+1|0;m=j&255;if(!(k>>>0>0|(k|0)==0&c>>>0>16383)){n=l;o=m;break}else{h=l;i=m;k=J}}}else{n=g;o=d}b[n>>0]=o;e=n+1|0}n=f[a+4>>2]|0;if(!(n&1)){p=e;return p|0}p=Bbc(n&-2,e)|0;return p|0}function n1a(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0;if((a|0)==(b|0))return;c=a+16|0;f[c>>2]=1;d=a+8|0;f[d>>2]=0;e=a+4|0;g=f[e>>2]|0;if(g&1|0?(h=g&-2,f[h>>2]|0):0)ebc(h);h=ovc(b,24728,19912,0)|0;if(!h){A9b(b,a);return}a=f[h+4>>2]|0;if(a&1|0){b=f[e>>2]|0;if(!(b&1))i=OOa(e)|0;else i=b&-2;hbc(i,a&-2)}if(!(f[h+8>>2]&1))return;a=f[h+16>>2]|0;f[d>>2]=f[d>>2]|1;f[c>>2]=a;return}function o1a(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=ovc(b,24728,19912,0)|0;if(!c){A9b(b,a);return}b=a+4|0;d=f[c+4>>2]|0;if(d&1|0){e=f[b>>2]|0;if(!(e&1))g=OOa(b)|0;else g=e&-2;hbc(g,d&-2)}if(!(f[c+8>>2]&1))return;d=f[c+16>>2]|0;c=a+8|0;f[c>>2]=f[c>>2]|1;f[a+16>>2]=d;return}function p1a(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function q1a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224781]|0)!=2){f[d>>2]=151624;f[d+4>>2]=21;b[d+8>>0]=0;xLb(899124,d);QKb(d)}d=540808;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function r1a(a,b){a=a|0;b=b|0;if(!b)return;EIb(a,b,1978);return}function s1a(a){a=a|0;var b=0,c=0;f[a>>2]=124568;b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(c);f[b>>2]=0;return}function t1a(a){a=a|0;var b=0,c=0;f[a>>2]=124568;b=f[a+4>>2]|0;if(!(b&1)){fuc(a);return}c=b&-2;b=c;if((c|0)==0|(f[b+4>>2]|0)!=0){fuc(a);return}if(f[b>>2]|0)ebc(b);fuc(c);fuc(a);return}function u1a(a){a=a|0;a=cuc(28)|0;RZa(a);return a|0}function v1a(a,b){a=a|0;b=b|0;a=cuc(28)|0;RZa(a);if(!b)return a|0;H1a(b,a);return a|0}function w1a(a){a=a|0;var b=0;b=a+8|0;if(f[b>>2]&7|0){f[a+16>>2]=0;f[a+20>>2]=1;f[a+24>>2]=1}f[b>>2]=0;b=f[a+4>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;ebc(a);return}function x1a(a){a=a|0;return 1}function y1a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;d=c+4|0;e=a+8|0;g=a+20|0;h=a+24|0;i=a+16|0;j=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[d>>2]|0)>>>0){k=b[a>>0]|0;l=k&255;if(k<<24>>24>0){f[c>>2]=a+1;m=l;n=6}else{o=l;n=5}}else{o=0;n=5}if((n|0)==5){n=0;l=OJb(c,o)|0;if((l+-1|0)>>>0<127){m=l;n=6}else p=l}b:do if((n|0)==6){n=0;switch(m>>>3&536870911|0){case 1:{if((m&255|0)!=8){p=m;break b}f[e>>2]=f[e>>2]|2;l=f[c>>2]|0;if(l>>>0<(f[d>>2]|0)>>>0){a=b[l>>0]|0;k=a&255;if(a<<24>>24>-1){f[g>>2]=k;f[c>>2]=l+1;continue a}else q=k}else q=0;k=zJb(c,q)|0;l=J;f[g>>2]=k;if((l|0)>-1|(l|0)==-1&k>>>0>4294967295)continue a;else{r=0;n=29;break a}break}case 2:{if((m&255|0)!=16){p=m;break b}f[e>>2]=f[e>>2]|4;k=f[c>>2]|0;if(k>>>0<(f[d>>2]|0)>>>0){l=b[k>>0]|0;a=l&255;if(l<<24>>24>-1){f[c>>2]=k+1;s=a}else{t=a;n=16}}else{t=0;n=16}if((n|0)==16){n=0;a=zJb(c,t)|0;k=J;if((k|0)>-1|(k|0)==-1&a>>>0>4294967295)s=a;else{r=0;n=29;break a}}f[h>>2]=s;continue a;break}case 3:{if((m&255|0)!=24){p=m;break b}f[e>>2]=f[e>>2]|1;a=f[c>>2]|0;if(a>>>0<(f[d>>2]|0)>>>0){k=b[a>>0]|0;l=k&255;if(k<<24>>24>-1){f[c>>2]=a+1;u=l}else{v=l;n=22}}else{v=0;n=22}if((n|0)==22){n=0;l=zJb(c,v)|0;a=J;if((a|0)>-1|(a|0)==-1&l>>>0>4294967295)u=l;else{r=0;n=29;break a}}f[i>>2]=u;continue a;break}default:{p=m;break b}}}while(0);if(!p){r=1;n=29;break}l=f[j>>2]|0;if(!(l&1))w=OOa(j)|0;else w=l&-2;if(!(xbc(c,p,w)|0)){r=0;n=29;break}}if((n|0)==29)return r|0;return 0}function z1a(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=Dbc(b&-2)|0;b=f[a+8>>2]|0;if(!(b&7)){d=c;e=a+12|0;f[e>>2]=d;return d|0}if(!(b&1))g=c;else{h=f[a+16>>2]|0;if((h|0)<0)i=11;else i=((((($(h|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;g=i+c|0}if(!(b&2))j=g;else j=g+1+((((($(f[a+20>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;if(!(b&4)){d=j;e=a+12|0;f[e>>2]=d;return d|0}b=f[a+24>>2]|0;if((b|0)<0)k=11;else k=((((($(b|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;d=k+j|0;e=a+12|0;f[e>>2]=d;return d|0}function A1a(a,b){a=a|0;b=b|0;var c=0;c=f[a+8>>2]|0;if(c&2|0)ILb(1,f[a+20>>2]|0,b);if(c&4|0)GLb(2,f[a+24>>2]|0,b);if(c&1|0)GLb(3,f[a+16>>2]|0,b);c=f[a+4>>2]|0;if(!(c&1))return;Abc(c&-2,b);return}function B1a(a){a=a|0;return f[a+12>>2]|0}function C1a(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;c=f[a+8>>2]|0;if(!(c&2))e=d;else{g=f[a+20>>2]|0;b[d>>0]=8;h=d+1|0;if(g>>>0>127){d=g;i=h;while(1){b[i>>0]=d|128;j=d>>>7;k=i+1|0;if(d>>>0>16383){d=j;i=k}else{l=k;m=j;break}}}else{l=h;m=g}b[l>>0]=m;e=l+1|0}if(!(c&4))n=e;else{l=f[a+24>>2]|0;b[e>>0]=16;m=e+1|0;e=l&255;if(l>>>0>127){g=m;h=e;i=l;d=((l|0)<0)<<31>>31;while(1){b[g>>0]=h|-128;l=i;i=pzc(i|0,d|0,7)|0;j=g+1|0;k=i&255;if(!(d>>>0>0|(d|0)==0&l>>>0>16383)){o=j;p=k;break}else{g=j;h=k;d=J}}}else{o=m;p=e}b[o>>0]=p;n=o+1|0}if(!(c&1))q=n;else{c=f[a+16>>2]|0;b[n>>0]=24;o=n+1|0;n=c&255;if(c>>>0>127){p=o;e=n;m=c;d=((c|0)<0)<<31>>31;while(1){b[p>>0]=e|-128;c=m;m=pzc(m|0,d|0,7)|0;h=p+1|0;g=m&255;if(!(d>>>0>0|(d|0)==0&c>>>0>16383)){r=h;s=g;break}else{p=h;e=g;d=J}}}else{r=o;s=n}b[r>>0]=s;q=r+1|0}r=f[a+4>>2]|0;if(!(r&1)){t=q;return t|0}t=Bbc(r&-2,q)|0;return t|0}function D1a(a,b){a=a|0;b=b|0;var c=0,d=0;if((a|0)==(b|0))return;c=a+8|0;if(f[c>>2]&7|0){f[a+16>>2]=0;f[a+20>>2]=1;f[a+24>>2]=1}f[c>>2]=0;c=f[a+4>>2]|0;if(c&1|0?(d=c&-2,f[d>>2]|0):0)ebc(d);E1a(a,b);return}function E1a(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=ovc(b,24728,19928,0)|0;if(!c){A9b(b,a);return}b=a+4|0;d=f[c+4>>2]|0;if(d&1|0){e=f[b>>2]|0;if(!(e&1))g=OOa(b)|0;else g=e&-2;hbc(g,d&-2)}d=f[c+8>>2]|0;if(!(d&7))return;if(d&1|0)f[a+16>>2]=f[c+16>>2];if(d&2|0)f[a+20>>2]=f[c+20>>2];if(d&4|0)f[a+24>>2]=f[c+24>>2];c=a+8|0;f[c>>2]=f[c>>2]|d;return}function F1a(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function G1a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224781]|0)!=2){f[d>>2]=151624;f[d+4>>2]=21;b[d+8>>0]=0;xLb(899124,d);QKb(d)}d=540648;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function H1a(a,b){a=a|0;b=b|0;if(!b)return;EIb(a,b,1978);return}function I1a(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=f[b+4>>2]|0;if(!c)return;d=f[b+12>>2]|0;b=KKb(a,c)|0;e=a+12|0;g=a+4|0;h=(f[f[e>>2]>>2]|0)-(f[g>>2]|0)|0;if((h|0)>0&(c|0)>0){i=0;do{M1a(f[d+4+(i<<2)>>2]|0,f[b+(i<<2)>>2]|0);i=i+1|0}while((i|0)<(h|0)&(i|0)<(c|0))}i=f[a>>2]|0;a:do if((h|0)<(c|0)){a=i+64|0;if(!i){j=h;while(1){k=f[d+4+(j<<2)>>2]|0;l=cuc(48)|0;DXa(l);M1a(k,l);f[b+(j<<2)>>2]=l;j=j+1|0;if((j|0)>=(c|0))break a}}else m=h;do{j=f[d+4+(m<<2)>>2]|0;if(f[a>>2]|0)HIb(i,19672,48);l=GIb(i,48,1984)|0;DXa(l);M1a(j,l);f[b+(m<<2)>>2]=l;m=m+1|0}while((m|0)!=(c|0))}while(0);m=(f[g>>2]|0)+c|0;f[g>>2]=m;g=f[e>>2]|0;if((f[g>>2]|0)>=(m|0))return;f[g>>2]=m;return}function J1a(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=f[b+4>>2]|0;if(!c)return;d=f[b+12>>2]|0;b=KKb(a,c)|0;e=a+12|0;g=a+4|0;h=(f[f[e>>2]>>2]|0)-(f[g>>2]|0)|0;if((h|0)>0&(c|0)>0){i=0;do{K1a(f[d+4+(i<<2)>>2]|0,f[b+(i<<2)>>2]|0);i=i+1|0}while((i|0)<(h|0)&(i|0)<(c|0))}i=f[a>>2]|0;a:do if((h|0)<(c|0)){a=i+64|0;if(!i){j=h;while(1){k=f[d+4+(j<<2)>>2]|0;l=cuc(32)|0;UYa(l);K1a(k,l);f[b+(j<<2)>>2]=l;j=j+1|0;if((j|0)>=(c|0))break a}}else m=h;do{j=f[d+4+(m<<2)>>2]|0;if(f[a>>2]|0)HIb(i,19576,32);l=GIb(i,32,1985)|0;UYa(l);K1a(j,l);f[b+(m<<2)>>2]=l;m=m+1|0}while((m|0)!=(c|0))}while(0);m=(f[g>>2]|0)+c|0;f[g>>2]=m;g=f[e>>2]|0;if((f[g>>2]|0)>=(m|0))return;f[g>>2]=m;return}function K1a(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=b+4|0;d=f[a+4>>2]|0;if(d&1|0){e=f[c>>2]|0;if(!(e&1))g=OOa(c)|0;else g=e&-2;hbc(g,d&-2)}d=b+16|0;g=a+16|0;e=f[g>>2]|0;if(!e)return;ZOa(d,(f[d>>2]|0)+e|0);szc((f[b+24>>2]|0)+8+(f[d>>2]<<3)|0,(f[a+24>>2]|0)+8|0,f[g>>2]<<3|0)|0;f[d>>2]=(f[d>>2]|0)+(f[g>>2]|0);return}function L1a(a){a=a|0;bi[f[f[a>>2]>>2]&2047](a);return}function M1a(a,b){a=a|0;b=b|0;EXa(b,a);return}function N1a(a){a=a|0;bi[f[f[a>>2]>>2]&2047](a);return}function O1a(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0;f[a>>2]=124676;b=a+92|0;c=f[b>>2]|0;if(c|0?(f[a+80>>2]|0)==0:0){d=f[c>>2]|0;if((d|0)>0){e=0;do{g=f[c+4+(e<<2)>>2]|0;if(g|0)bi[f[(f[g>>2]|0)+4>>2]&2047](g);e=e+1|0}while((e|0)!=(d|0));h=f[b>>2]|0}else h=c;fuc(h)}f[b>>2]=0;b=f[a+76>>2]|0;if(b|0?(f[b>>2]|0)==0:0)fuc(b);b=f[a+64>>2]|0;if(b|0?(f[b>>2]|0)==0:0)fuc(b);b=f[a+52>>2]|0;if(b|0?(f[b>>2]|0)==0:0)fuc(b);b=f[a+40>>2]|0;if(b|0?(f[b>>2]|0)==0:0)fuc(b);b=a+28|0;h=f[b>>2]|0;if(h|0?(f[a+16>>2]|0)==0:0){c=f[h>>2]|0;if((c|0)>0){d=0;do{e=f[h+4+(d<<2)>>2]|0;if(e|0)bi[f[(f[e>>2]|0)+4>>2]&2047](e);d=d+1|0}while((d|0)!=(c|0));i=f[b>>2]|0}else i=h;fuc(i)}f[b>>2]=0;b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}i=a&-2;a=i;if((i|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(i);f[b>>2]=0;return}function P1a(a){a=a|0;O1a(a);fuc(a);return}function Q1a(a){a=a|0;a=cuc(96)|0;PZa(a);return a|0}function R1a(a,b){a=a|0;b=b|0;a=cuc(96)|0;PZa(a);if(!b)return a|0;c2a(b,a);return a|0}function S1a(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0;b=a+20|0;c=f[b>>2]|0;if((c|0)>0){d=f[a+28>>2]|0;e=0;do{g=f[d+4+(e<<2)>>2]|0;e=e+1|0;h=g+8|0;i=f[h>>2]|0;if(i&1|0)ruc(f[g+16>>2]|0,540424)|0;if(i&254|0){i=g+20|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;f[g+36>>2]=-1;n[g+40>>2]=1.0;n[g+44>>2]=1.0}f[h>>2]=0;h=f[g+4>>2]|0;if(h&1|0?(g=h&-2,f[g>>2]|0):0)ebc(g)}while((e|0)!=(c|0));f[b>>2]=0}f[a+32>>2]=0;f[a+44>>2]=0;f[a+56>>2]=0;f[a+68>>2]=0;b=a+84|0;c=f[b>>2]|0;if((c|0)>0){e=f[a+92>>2]|0;d=0;do{g=f[e+4+(d<<2)>>2]|0;d=d+1|0;f[g+16>>2]=0;f[g+8>>2]=0;h=f[g+4>>2]|0;if(h&1|0?(g=h&-2,f[g>>2]|0):0)ebc(g)}while((d|0)!=(c|0));f[b>>2]=0}f[a+8>>2]=0;b=f[a+4>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;ebc(a);return}function T1a(a){a=a|0;return 1}function U1a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0;d=u;u=u+16|0;e=d;g=c+4|0;h=a+16|0;i=a+28|0;j=a+24|0;k=a+20|0;l=e+4|0;m=a+32|0;n=a+36|0;o=a+40|0;p=a+44|0;q=a+48|0;r=a+52|0;s=a+56|0;t=a+60|0;v=a+64|0;w=a+68|0;x=a+72|0;y=a+76|0;z=a+80|0;A=e+4|0;B=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){C=b[a>>0]|0;D=C&255;if(C<<24>>24>0){f[c>>2]=a+1;E=D;F=6}else{G=D;F=5}}else{G=0;F=5}if((F|0)==5){F=0;D=OJb(c,G)|0;if((D+-1|0)>>>0<127){E=D;F=6}else H=D}b:do if((F|0)==6){F=0;switch(E>>>3&536870911|0){case 1:{if((E&255|0)!=10){H=E;break b}D=f[i>>2]|0;do if(D){a=f[k>>2]|0;C=f[D>>2]|0;if((a|0)>=(C|0))if((C|0)==(f[j>>2]|0)){I=C;F=13;break}else{K=C;L=D;F=14;break}else{f[k>>2]=a+1;M=f[D+4+(a<<2)>>2]|0;break}}else{I=f[j>>2]|0;F=13}while(0);if((F|0)==13){F=0;LKb(h,I+1|0);D=f[i>>2]|0;K=f[D>>2]|0;L=D;F=14}if((F|0)==14){F=0;f[L>>2]=K+1;D=f[h>>2]|0;if(!D){a=cuc(48)|0;DXa(a);N=a}else{if(f[D+64>>2]|0)HIb(D,19672,48);a=GIb(D,48,1984)|0;DXa(a);N=a}a=f[i>>2]|0;D=f[k>>2]|0;f[k>>2]=D+1;f[a+4+(D<<2)>>2]=N;M=N}D=f[c>>2]|0;if(D>>>0<(f[g>>2]|0)>>>0?(a=b[D>>0]|0,a<<24>>24>-1):0){f[c>>2]=D+1;O=a&255}else{a=NJb(c)|0;if((a|0)>-1)O=a;else{P=0;F=110;break a}}yJb(e,c,O);if((f[l>>2]|0)<0){F=26;break a}if(!(Th[f[(f[M>>2]|0)+44>>2]&1023](M,c)|0)){F=26;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{P=0;F=110;break a}break}case 2:{switch((E&255)<<24>>24){case 16:break;case 18:{if(M0a(c,m)|0)continue a;else{P=0;F=110;break a}break}default:{H=E;break b}}a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){D=b[a>>0]|0;C=D&255;if(D<<24>>24>-1){f[c>>2]=a+1;Q=C}else{R=C;F=32}}else{R=0;F=32}if((F|0)==32){F=0;C=zJb(c,R)|0;a=J;if((a|0)>-1|(a|0)==-1&C>>>0>4294967295)Q=C;else{P=0;F=110;break a}}C=f[m>>2]|0;if((C|0)==(f[n>>2]|0)){UEa(m,C+1|0);S=f[m>>2]|0}else S=C;C=f[o>>2]|0;f[m>>2]=S+1;f[C+4+(S<<2)>>2]=Q;a=(f[n>>2]|0)-(f[m>>2]|0)|0;if((a|0)>0){T=a;U=C}else continue a;while(1){C=f[c>>2]|0;a=f[g>>2]|0;if(C>>>0>=a>>>0)continue a;if((b[C>>0]|0)!=16)continue a;D=C+1|0;f[c>>2]=D;if(D>>>0<a>>>0){a=b[D>>0]|0;D=a&255;if(a<<24>>24>-1){f[c>>2]=C+2;V=D;W=U}else{X=D;F=40}}else{X=0;F=40}if((F|0)==40){F=0;D=zJb(c,X)|0;C=J;if(!((C|0)>-1|(C|0)==-1&D>>>0>4294967295)){P=0;F=110;break a}V=D;W=f[o>>2]|0}D=f[m>>2]|0;f[m>>2]=D+1;f[W+4+(D<<2)>>2]=V;if((T|0)>1){T=T+-1|0;U=W}else continue a}break}case 3:{switch((E&255)<<24>>24){case 24:break;case 26:{if(M0a(c,p)|0)continue a;else{P=0;F=110;break a}break}default:{H=E;break b}}D=f[c>>2]|0;if(D>>>0<(f[g>>2]|0)>>>0){C=b[D>>0]|0;a=C&255;if(C<<24>>24>-1){f[c>>2]=D+1;Y=a}else{Z=a;F=49}}else{Z=0;F=49}if((F|0)==49){F=0;a=zJb(c,Z)|0;D=J;if((D|0)>-1|(D|0)==-1&a>>>0>4294967295)Y=a;else{P=0;F=110;break a}}a=f[p>>2]|0;if((a|0)==(f[q>>2]|0)){UEa(p,a+1|0);_=f[p>>2]|0}else _=a;a=f[r>>2]|0;f[p>>2]=_+1;f[a+4+(_<<2)>>2]=Y;D=(f[q>>2]|0)-(f[p>>2]|0)|0;if((D|0)>0){$=D;aa=a}else continue a;while(1){a=f[c>>2]|0;D=f[g>>2]|0;if(a>>>0>=D>>>0)continue a;if((b[a>>0]|0)!=24)continue a;C=a+1|0;f[c>>2]=C;if(C>>>0<D>>>0){D=b[C>>0]|0;C=D&255;if(D<<24>>24>-1){f[c>>2]=a+2;ba=C;ca=aa}else{da=C;F=57}}else{da=0;F=57}if((F|0)==57){F=0;C=zJb(c,da)|0;a=J;if(!((a|0)>-1|(a|0)==-1&C>>>0>4294967295)){P=0;F=110;break a}ba=C;ca=f[r>>2]|0}C=f[p>>2]|0;f[p>>2]=C+1;f[ca+4+(C<<2)>>2]=ba;if(($|0)>1){$=$+-1|0;aa=ca}else continue a}break}case 4:{switch((E&255)<<24>>24){case 32:break;case 34:{if(M0a(c,s)|0)continue a;else{P=0;F=110;break a}break}default:{H=E;break b}}C=f[c>>2]|0;if(C>>>0<(f[g>>2]|0)>>>0){a=b[C>>0]|0;D=a&255;if(a<<24>>24>-1){f[c>>2]=C+1;ea=D}else{fa=D;F=66}}else{fa=0;F=66}if((F|0)==66){F=0;D=zJb(c,fa)|0;C=J;if((C|0)>-1|(C|0)==-1&D>>>0>4294967295)ea=D;else{P=0;F=110;break a}}D=f[s>>2]|0;if((D|0)==(f[t>>2]|0)){UEa(s,D+1|0);ga=f[s>>2]|0}else ga=D;D=f[v>>2]|0;f[s>>2]=ga+1;f[D+4+(ga<<2)>>2]=ea;C=(f[t>>2]|0)-(f[s>>2]|0)|0;if((C|0)>0){ha=C;ia=D}else continue a;while(1){D=f[c>>2]|0;C=f[g>>2]|0;if(D>>>0>=C>>>0)continue a;if((b[D>>0]|0)!=32)continue a;a=D+1|0;f[c>>2]=a;if(a>>>0<C>>>0){C=b[a>>0]|0;a=C&255;if(C<<24>>24>-1){f[c>>2]=D+2;ja=a;ka=ia}else{la=a;F=74}}else{la=0;F=74}if((F|0)==74){F=0;a=zJb(c,la)|0;D=J;if(!((D|0)>-1|(D|0)==-1&a>>>0>4294967295)){P=0;F=110;break a}ja=a;ka=f[v>>2]|0}a=f[s>>2]|0;f[s>>2]=a+1;f[ka+4+(a<<2)>>2]=ja;if((ha|0)>1){ha=ha+-1|0;ia=ka}else continue a}break}case 5:{switch((E&255)<<24>>24){case 40:break;case 42:{if(M0a(c,w)|0)continue a;else{P=0;F=110;break a}break}default:{H=E;break b}}a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){D=b[a>>0]|0;C=D&255;if(D<<24>>24>-1){f[c>>2]=a+1;ma=C}else{na=C;F=83}}else{na=0;F=83}if((F|0)==83){F=0;C=zJb(c,na)|0;a=J;if((a|0)>-1|(a|0)==-1&C>>>0>4294967295)ma=C;else{P=0;F=110;break a}}C=f[w>>2]|0;if((C|0)==(f[x>>2]|0)){UEa(w,C+1|0);oa=f[w>>2]|0}else oa=C;C=f[y>>2]|0;f[w>>2]=oa+1;f[C+4+(oa<<2)>>2]=ma;a=(f[x>>2]|0)-(f[w>>2]|0)|0;if((a|0)>0){pa=a;qa=C}else continue a;while(1){C=f[c>>2]|0;a=f[g>>2]|0;if(C>>>0>=a>>>0)continue a;if((b[C>>0]|0)!=40)continue a;D=C+1|0;f[c>>2]=D;if(D>>>0<a>>>0){a=b[D>>0]|0;D=a&255;if(a<<24>>24>-1){f[c>>2]=C+2;ra=D;sa=qa}else{ta=D;F=91}}else{ta=0;F=91}if((F|0)==91){F=0;D=zJb(c,ta)|0;C=J;if(!((C|0)>-1|(C|0)==-1&D>>>0>4294967295)){P=0;F=110;break a}ra=D;sa=f[y>>2]|0}D=f[w>>2]|0;f[w>>2]=D+1;f[sa+4+(D<<2)>>2]=ra;if((pa|0)>1){pa=pa+-1|0;qa=sa}else continue a}break}case 6:{if((E&255|0)!=50){H=E;break b}D=b2a(z)|0;C=f[c>>2]|0;if(C>>>0<(f[g>>2]|0)>>>0?(a=b[C>>0]|0,a<<24>>24>-1):0){f[c>>2]=C+1;ua=a&255}else{a=NJb(c)|0;if((a|0)>-1)ua=a;else{P=0;F=110;break a}}yJb(e,c,ua);if((f[A>>2]|0)<0){F=103;break a}if(!(Th[f[(f[D>>2]|0)+44>>2]&1023](D,c)|0)){F=103;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{P=0;F=110;break a}break}default:{H=E;break b}}}while(0);if(!H){P=1;F=110;break}D=f[B>>2]|0;if(!(D&1))va=OOa(B)|0;else va=D&-2;if(!(xbc(c,H,va)|0)){P=0;F=110;break}}if((F|0)==26){P=0;u=d;return P|0}else if((F|0)==103){P=0;u=d;return P|0}else if((F|0)==110){u=d;return P|0}return 0}function V1a(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=Dbc(b&-2)|0;b=f[a+20>>2]|0;d=b+c|0;if(!b)e=d;else{c=a+28|0;g=0;h=d;while(1){d=f[(f[c>>2]|0)+4+(g<<2)>>2]|0;i=di[f[(f[d>>2]|0)+48>>2]&1023](d)|0;d=i+h+((((($(i|1|0)|0)^31)*9|0)+73|0)>>>6)|0;g=g+1|0;if((g|0)==(b|0)){e=d;break}else h=d}}h=cMb(a+32|0)|0;b=f[a+32>>2]|0;g=cMb(a+44|0)|0;c=f[a+44>>2]|0;d=cMb(a+56|0)|0;i=f[a+56>>2]|0;j=cMb(a+68|0)|0;k=f[a+84>>2]|0;l=h+e+b+g+c+d+i+j+(f[a+68>>2]|0)+k|0;if(!k){m=l;n=a+12|0;f[n>>2]=m;return m|0}j=a+92|0;i=0;d=l;while(1){l=f[(f[j>>2]|0)+4+(i<<2)>>2]|0;c=di[f[(f[l>>2]|0)+48>>2]&1023](l)|0;l=c+d+((((($(c|1|0)|0)^31)*9|0)+73|0)>>>6)|0;i=i+1|0;if((i|0)==(k|0)){m=l;break}else d=l}n=a+12|0;f[n>>2]=m;return m|0}function W1a(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=f[a+20>>2]|0;if(c|0){d=a+28|0;e=0;do{_Lb(1,f[(f[d>>2]|0)+4+(e<<2)>>2]|0,b);e=e+1|0}while((e|0)!=(c|0))}c=f[a+32>>2]|0;if((c|0)>0){e=a+40|0;d=0;do{ILb(2,f[(f[e>>2]|0)+4+(d<<2)>>2]|0,b);d=d+1|0}while((d|0)!=(c|0))}c=f[a+44>>2]|0;if((c|0)>0){d=a+52|0;e=0;do{ILb(3,f[(f[d>>2]|0)+4+(e<<2)>>2]|0,b);e=e+1|0}while((e|0)!=(c|0))}c=f[a+56>>2]|0;if((c|0)>0){e=a+64|0;d=0;do{ILb(4,f[(f[e>>2]|0)+4+(d<<2)>>2]|0,b);d=d+1|0}while((d|0)!=(c|0))}c=f[a+68>>2]|0;if((c|0)>0){d=a+76|0;e=0;do{ILb(5,f[(f[d>>2]|0)+4+(e<<2)>>2]|0,b);e=e+1|0}while((e|0)!=(c|0))}c=f[a+84>>2]|0;if(c|0){e=a+92|0;d=0;do{_Lb(6,f[(f[e>>2]|0)+4+(d<<2)>>2]|0,b);d=d+1|0}while((d|0)!=(c|0))}c=f[a+4>>2]|0;if(!(c&1))return;Abc(c&-2,b);return}function X1a(a){a=a|0;return f[a+12>>2]|0}function Y1a(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;e=f[a+20>>2]|0;if(!e)g=d;else{h=a+28|0;i=0;j=d;while(1){d=f[(f[h>>2]|0)+4+(i<<2)>>2]|0;b[j>>0]=10;k=j+1|0;l=di[f[(f[d>>2]|0)+60>>2]&1023](d)|0;if(l>>>0>127){m=l;n=k;while(1){b[n>>0]=m|128;o=m>>>7;p=n+1|0;if(m>>>0>16383){m=o;n=p}else{q=p;r=o;break}}}else{q=k;r=l}b[q>>0]=r;n=li[f[(f[d>>2]|0)+64>>2]&511](d,c,q+1|0)|0;i=i+1|0;if((i|0)==(e|0)){g=n;break}else j=n}}j=f[a+32>>2]|0;if(!j)s=g;else{e=f[a+40>>2]|0;i=0;q=g;while(1){g=f[e+4+(i<<2)>>2]|0;b[q>>0]=16;r=q+1|0;if(g>>>0>127){h=g;n=r;while(1){b[n>>0]=h|128;m=h>>>7;o=n+1|0;if(h>>>0>16383){h=m;n=o}else{t=o;u=m;break}}}else{t=r;u=g}b[t>>0]=u;n=t+1|0;i=i+1|0;if((i|0)>=(j|0)){s=n;break}else q=n}}q=f[a+44>>2]|0;if(!q)v=s;else{j=f[a+52>>2]|0;i=0;t=s;while(1){s=f[j+4+(i<<2)>>2]|0;b[t>>0]=24;u=t+1|0;if(s>>>0>127){e=s;n=u;while(1){b[n>>0]=e|128;h=e>>>7;d=n+1|0;if(e>>>0>16383){e=h;n=d}else{w=d;x=h;break}}}else{w=u;x=s}b[w>>0]=x;n=w+1|0;i=i+1|0;if((i|0)>=(q|0)){v=n;break}else t=n}}t=f[a+56>>2]|0;if(!t)y=v;else{q=f[a+64>>2]|0;i=0;w=v;while(1){v=f[q+4+(i<<2)>>2]|0;b[w>>0]=32;x=w+1|0;if(v>>>0>127){j=v;n=x;while(1){b[n>>0]=j|128;e=j>>>7;g=n+1|0;if(j>>>0>16383){j=e;n=g}else{z=g;A=e;break}}}else{z=x;A=v}b[z>>0]=A;n=z+1|0;i=i+1|0;if((i|0)>=(t|0)){y=n;break}else w=n}}w=f[a+68>>2]|0;if(!w)B=y;else{t=f[a+76>>2]|0;i=0;z=y;while(1){y=f[t+4+(i<<2)>>2]|0;b[z>>0]=40;A=z+1|0;if(y>>>0>127){q=y;n=A;while(1){b[n>>0]=q|128;j=q>>>7;s=n+1|0;if(q>>>0>16383){q=j;n=s}else{C=s;D=j;break}}}else{C=A;D=y}b[C>>0]=D;n=C+1|0;i=i+1|0;if((i|0)>=(w|0)){B=n;break}else z=n}}z=f[a+84>>2]|0;if(!z)E=B;else{w=a+92|0;i=0;C=B;while(1){B=f[(f[w>>2]|0)+4+(i<<2)>>2]|0;b[C>>0]=50;D=C+1|0;t=di[f[(f[B>>2]|0)+60>>2]&1023](B)|0;if(t>>>0>127){n=t;q=D;while(1){b[q>>0]=n|128;v=n>>>7;x=q+1|0;if(n>>>0>16383){n=v;q=x}else{F=x;G=v;break}}}else{F=D;G=t}b[F>>0]=G;q=li[f[(f[B>>2]|0)+64>>2]&511](B,c,F+1|0)|0;i=i+1|0;if((i|0)==(z|0)){E=q;break}else C=q}}C=f[a+4>>2]|0;if(!(C&1)){H=E;return H|0}H=Bbc(C&-2,E)|0;return H|0}function Z1a(a,b){a=a|0;b=b|0;var c=0;if((a|0)==(b|0))return;S1a(a);c=ovc(b,24728,19944,0)|0;if(!c){A9b(b,a);return}else{QZa(a,c);return}}function _1a(a,b){a=a|0;b=b|0;var c=0;c=ovc(b,24728,19944,0)|0;if(!c){A9b(b,a);return}else{QZa(a,c);return}}function $1a(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function a2a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224781]|0)!=2){f[d>>2]=151624;f[d+4>>2]=21;b[d+8>>0]=0;xLb(899124,d);QKb(d)}d=540744;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function b2a(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;b=a+12|0;c=f[b>>2]|0;do if(!c){d=a+4|0;e=f[a+8>>2]|0;g=6}else{h=a+4|0;i=f[h>>2]|0;j=f[c>>2]|0;if((i|0)>=(j|0))if((j|0)==(f[a+8>>2]|0)){d=h;e=j;g=6;break}else{k=h;l=j;m=c;break}f[h>>2]=i+1;n=f[c+4+(i<<2)>>2]|0;return n|0}while(0);if((g|0)==6){LKb(a,e+1|0);e=f[b>>2]|0;k=d;l=f[e>>2]|0;m=e}f[m>>2]=l+1;l=f[a>>2]|0;if(!l){a=cuc(32)|0;UYa(a);o=a}else{if(f[l+64>>2]|0)HIb(l,19576,32);a=GIb(l,32,1985)|0;UYa(a);o=a}a=f[b>>2]|0;b=f[k>>2]|0;f[k>>2]=b+1;f[a+4+(b<<2)>>2]=o;n=o;return n|0}function c2a(a,b){a=a|0;b=b|0;if(!b)return;EIb(a,b,1978);return}function d2a(a){a=a|0;var b=0,c=0;f[a>>2]=124784;b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(c);f[b>>2]=0;return}function e2a(a){a=a|0;var b=0,c=0;f[a>>2]=124784;b=f[a+4>>2]|0;if(!(b&1)){fuc(a);return}c=b&-2;b=c;if((c|0)==0|(f[b+4>>2]|0)!=0){fuc(a);return}if(f[b>>2]|0)ebc(b);fuc(c);fuc(a);return}function f2a(a){a=a|0;a=cuc(20)|0;OZa(a);return a|0}function g2a(a,b){a=a|0;b=b|0;a=cuc(20)|0;OZa(a);if(!b)return a|0;s2a(b,a);return a|0}function h2a(a){a=a|0;var b=0;n[a+16>>2]=0.0;f[a+8>>2]=0;b=f[a+4>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;ebc(a);return}function i2a(a){a=a|0;return 1}function j2a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;d=u;u=u+16|0;e=d;g=c+4|0;i=a+8|0;j=a+16|0;k=a+4|0;while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){l=b[a>>0]|0;m=l&255;if(l<<24>>24>0){f[c>>2]=a+1;n=m;o=6}else{p=m;o=5}}else{p=0;o=5}if((o|0)==5){o=0;m=OJb(c,p)|0;if((m+-1|0)>>>0<127){n=m;o=6}else q=m}if((o|0)==6){o=0;if((n|0)==13){f[i>>2]=f[i>>2]|1;m=f[c>>2]|0;if(((f[g>>2]|0)-m|0)>3){a=m;l=h[a>>0]|h[a+1>>0]<<8|h[a+2>>0]<<16|h[a+3>>0]<<24;f[e>>2]=l;f[c>>2]=m+4;r=l}else{if(!(LJb(c,e)|0)){o=12;break}r=f[e>>2]|0}f[j>>2]=r;continue}else q=n}if(!q){s=1;o=18;break}l=f[k>>2]|0;if(!(l&1))t=OOa(k)|0;else t=l&-2;if(!(xbc(c,q,t)|0)){s=0;o=18;break}}if((o|0)==12){s=0;u=d;return s|0}else if((o|0)==18){u=d;return s|0}return 0}function k2a(a){a=a|0;var b=0,c=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=Dbc(b&-2)|0;b=f[a+8>>2]&1|0?c+5|0:c;f[a+12>>2]=b;return b|0}function l2a(a,b){a=a|0;b=b|0;var c=0;if(f[a+8>>2]&1|0)QLb(1,+n[a+16>>2],b);c=f[a+4>>2]|0;if(!(c&1))return;Abc(c&-2,b);return}function m2a(a){a=a|0;return f[a+12>>2]|0}function n2a(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0;if(!(f[a+8>>2]&1))e=d;else{c=f[a+16>>2]|0;b[d>>0]=13;g=d+1|0;b[g>>0]=c;b[g+1>>0]=c>>8;b[g+2>>0]=c>>16;b[g+3>>0]=c>>24;e=d+5|0}d=f[a+4>>2]|0;if(!(d&1)){h=e;return h|0}h=Bbc(d&-2,e)|0;return h|0}function o2a(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0;if((a|0)==(b|0))return;c=a+16|0;n[c>>2]=0.0;d=a+8|0;f[d>>2]=0;e=a+4|0;g=f[e>>2]|0;if(g&1|0?(h=g&-2,f[h>>2]|0):0)ebc(h);h=ovc(b,24728,19960,0)|0;if(!h){A9b(b,a);return}a=f[h+4>>2]|0;if(a&1|0){b=f[e>>2]|0;if(!(b&1))i=OOa(e)|0;else i=b&-2;hbc(i,a&-2)}if(!(f[h+8>>2]&1))return;a=f[h+16>>2]|0;f[d>>2]=f[d>>2]|1;f[c>>2]=a;return}function p2a(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=ovc(b,24728,19960,0)|0;if(!c){A9b(b,a);return}b=a+4|0;d=f[c+4>>2]|0;if(d&1|0){e=f[b>>2]|0;if(!(e&1))g=OOa(b)|0;else g=e&-2;hbc(g,d&-2)}if(!(f[c+8>>2]&1))return;d=f[c+16>>2]|0;c=a+8|0;f[c>>2]=f[c>>2]|1;f[a+16>>2]=d;return}function q2a(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function r2a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224781]|0)!=2){f[d>>2]=151624;f[d+4>>2]=21;b[d+8>>0]=0;xLb(899124,d);QKb(d)}d=540992;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function s2a(a,b){a=a|0;b=b|0;if(!b)return;EIb(a,b,1978);return}function t2a(a){a=a|0;var b=0,c=0;f[a>>2]=124892;b=f[a+24>>2]|0;if(b|0?(f[b>>2]|0)==0:0)fuc(b);b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(c);f[b>>2]=0;return}function u2a(a){a=a|0;var b=0,c=0;f[a>>2]=124892;b=f[a+24>>2]|0;if(b|0?(f[b>>2]|0)==0:0)fuc(b);b=f[a+4>>2]|0;if(!(b&1)){fuc(a);return}c=b&-2;b=c;if((c|0)==0|(f[b+4>>2]|0)!=0){fuc(a);return}if(f[b>>2]|0)ebc(b);fuc(c);fuc(a);return}function v2a(a){a=a|0;a=cuc(36)|0;MZa(a);return a|0}function w2a(a,b){a=a|0;b=b|0;a=cuc(36)|0;MZa(a);if(!b)return a|0;I2a(b,a);return a|0}function x2a(a){a=a|0;var c=0;f[a+16>>2]=0;c=a+8|0;if(f[c>>2]&3|0){f[a+28>>2]=1;b[a+32>>0]=1}f[c>>2]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;ebc(a);return}function y2a(a){a=a|0;return 1}function z2a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0;d=u;u=u+16|0;e=d;g=c+4|0;i=a+8|0;j=a+28|0;k=a+4|0;l=a+16|0;m=a+20|0;n=a+24|0;o=a+32|0;a=e+8|0;a:while(1){p=f[c>>2]|0;if(p>>>0<(f[g>>2]|0)>>>0){q=b[p>>0]|0;r=q&255;if(q<<24>>24>0){f[c>>2]=p+1;s=r;t=6}else{v=r;t=5}}else{v=0;t=5}if((t|0)==5){t=0;r=OJb(c,v)|0;if((r+-1|0)>>>0<127){s=r;t=6}else w=r}b:do if((t|0)==6){t=0;switch(s>>>3&536870911|0){case 1:{if((s&255|0)!=8){w=s;break b}r=f[c>>2]|0;if(r>>>0<(f[g>>2]|0)>>>0){p=b[r>>0]|0;q=p&255;if(p<<24>>24>-1){f[c>>2]=r+1;x=q}else{y=q;t=11}}else{y=0;t=11}if((t|0)==11){t=0;q=zJb(c,y)|0;r=J;if((r|0)>-1|(r|0)==-1&q>>>0>4294967295)x=q;else{z=0;t=46;break a}}if(x>>>0<3){f[i>>2]=f[i>>2]|1;f[j>>2]=x;continue a}q=f[k>>2]|0;if(!(q&1))A=OOa(k)|0;else A=q&-2;kbc(A,1,x,((x|0)<0)<<31>>31);continue a;break}case 2:{switch((s&255)<<24>>24){case 21:break;case 18:{if(DWa(c,l)|0)continue a;else{z=0;t=46;break a}break}default:{w=s;break b}}q=f[c>>2]|0;if(((f[g>>2]|0)-q|0)>3){r=q;p=h[r>>0]|h[r+1>>0]<<8|h[r+2>>0]<<16|h[r+3>>0]<<24;f[e>>2]=p;f[c>>2]=q+4;B=p}else{if(!(LJb(c,e)|0)){t=33;break a}B=f[e>>2]|0}p=f[l>>2]|0;if((p|0)==(f[m>>2]|0)){REa(l,p+1|0);C=f[l>>2]|0}else C=p;p=f[n>>2]|0;q=C+1|0;f[l>>2]=q;f[p+4+(C<<2)>>2]=B;r=f[c>>2]|0;D=(f[g>>2]|0)-r|0;if((D|0)<=0)continue a;E=r;r=(f[m>>2]|0)-q|0;F=(D>>>0)/5|0;G=(F|0)<(r|0)?F:r;if((G|0)>0){H=0;I=E;K=q}else continue a;while(1){if((b[I>>0]|0)!=21){L=H;break}q=I+1|0;r=h[q>>0]|h[q+1>>0]<<8|h[q+2>>0]<<16|h[q+3>>0]<<24;q=K;K=K+1|0;f[l>>2]=K;f[p+4+(q<<2)>>2]=r;r=H+1|0;if((r|0)>=(G|0)){L=r;break}else{H=r;I=I+5|0}}G=L*5|0;if((L|0)<=0)continue a;if((D|0)<(G|0)){HJb(c,G,D)|0;continue a}else{f[c>>2]=E+G;continue a}break}case 3:{if((s&255|0)!=24){w=s;break b}f[i>>2]=f[i>>2]|2;G=f[c>>2]|0;if(G>>>0<(f[g>>2]|0)>>>0?(p=b[G>>0]|0,p<<24>>24>-1):0){f[c>>2]=G+1;M=p<<24>>24!=0}else{AJb(e,c);p=e;if(!(b[a>>0]|0)){z=0;t=46;break a}else M=(f[p>>2]|0)!=0|(f[p+4>>2]|0)!=0}b[o>>0]=M&1;continue a;break}default:{w=s;break b}}}while(0);if(!w){z=1;t=46;break}p=f[k>>2]|0;if(!(p&1))N=OOa(k)|0;else N=p&-2;if(!(xbc(c,w,N)|0)){z=0;t=46;break}}if((t|0)==33){z=0;u=d;return z|0}else if((t|0)==46){u=d;return z|0}return 0}function A2a(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=Dbc(b&-2)|0;b=f[a+16>>2]|0;d=b+c+(b<<2)|0;b=f[a+8>>2]|0;if(!(b&3)){e=d;g=a+12|0;f[g>>2]=e;return e|0}if(!(b&1))h=d;else{c=f[a+28>>2]|0;if((c|0)<0)i=11;else i=((((($(c|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;h=i+d|0}e=b&2|0?h+2|0:h;g=a+12|0;f[g>>2]=e;return e|0}function B2a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;d=f[a+8>>2]|0;if(d&1|0)TLb(1,f[a+28>>2]|0,c);e=f[a+16>>2]|0;if((e|0)>0){g=a+24|0;h=0;do{QLb(2,+n[(f[g>>2]|0)+4+(h<<2)>>2],c);h=h+1|0}while((h|0)!=(e|0))}if(d&2|0)SLb(3,(b[a+32>>0]|0)!=0,c);d=f[a+4>>2]|0;if(!(d&1))return;Abc(d&-2,c);return}function C2a(a){a=a|0;return f[a+12>>2]|0}function D2a(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;c=f[a+8>>2]|0;if(!(c&1))e=d;else{g=f[a+28>>2]|0;b[d>>0]=8;h=d+1|0;d=g&255;if(g>>>0>127){i=h;j=d;k=g;l=((g|0)<0)<<31>>31;while(1){b[i>>0]=j|-128;g=k;k=pzc(k|0,l|0,7)|0;m=i+1|0;n=k&255;if(!(l>>>0>0|(l|0)==0&g>>>0>16383)){o=m;p=n;break}else{i=m;j=n;l=J}}}else{o=h;p=d}b[o>>0]=p;e=o+1|0}o=f[a+16>>2]|0;if(!o)q=e;else{p=f[a+24>>2]|0;d=0;h=e;while(1){e=f[p+4+(d<<2)>>2]|0;b[h>>0]=21;l=h+1|0;b[l>>0]=e;b[l+1>>0]=e>>8;b[l+2>>0]=e>>16;b[l+3>>0]=e>>24;e=h+5|0;d=d+1|0;if((d|0)>=(o|0)){q=e;break}else h=e}}if(!(c&2))r=q;else{c=b[a+32>>0]|0;b[q>>0]=24;b[q+1>>0]=c;r=q+2|0}q=f[a+4>>2]|0;if(!(q&1)){s=r;return s|0}s=Bbc(q&-2,r)|0;return s|0}function E2a(a,c){a=a|0;c=c|0;var d=0,e=0;if((a|0)==(c|0))return;f[a+16>>2]=0;d=a+8|0;if(f[d>>2]&3|0){f[a+28>>2]=1;b[a+32>>0]=1}f[d>>2]=0;d=f[a+4>>2]|0;if(d&1|0?(e=d&-2,f[e>>2]|0):0)ebc(e);e=ovc(c,24728,19976,0)|0;if(!e){A9b(c,a);return}else{NZa(a,e);return}}function F2a(a,b){a=a|0;b=b|0;var c=0;c=ovc(b,24728,19976,0)|0;if(!c){A9b(b,a);return}else{NZa(a,c);return}}function G2a(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function H2a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224781]|0)!=2){f[d>>2]=151624;f[d+4>>2]=21;b[d+8>>0]=0;xLb(899124,d);QKb(d)}d=540752;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function I2a(a,b){a=a|0;b=b|0;if(!b)return;EIb(a,b,1978);return}function J2a(a){a=a|0;var b=0,c=0;f[a>>2]=125e3;b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(c);f[b>>2]=0;return}function K2a(a){a=a|0;var b=0,c=0;f[a>>2]=125e3;b=f[a+4>>2]|0;if(!(b&1)){fuc(a);return}c=b&-2;b=c;if((c|0)==0|(f[b+4>>2]|0)!=0){fuc(a);return}if(f[b>>2]|0)ebc(b);fuc(c);fuc(a);return}function L2a(a){a=a|0;a=cuc(28)|0;LZa(a);return a|0}function M2a(a,b){a=a|0;b=b|0;a=cuc(28)|0;LZa(a);if(!b)return a|0;Y2a(b,a);return a|0}function N2a(a){a=a|0;var b=0,c=0;b=a+8|0;if(f[b>>2]&7|0){c=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[a+24>>2]=1}f[b>>2]=0;b=f[a+4>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;ebc(a);return}function O2a(a){a=a|0;return 1}function P2a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;d=u;u=u+16|0;e=d;g=c+4|0;h=a+8|0;i=a+16|0;j=e+8|0;k=a+24|0;l=a+20|0;m=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){n=b[a>>0]|0;o=n&255;if(n<<24>>24>0){f[c>>2]=a+1;p=o;q=6}else{r=o;q=5}}else{r=0;q=5}if((q|0)==5){q=0;o=OJb(c,r)|0;if((o+-1|0)>>>0<127){p=o;q=6}else s=o}b:do if((q|0)==6){q=0;switch(p>>>3&536870911|0){case 1:{if((p&255|0)!=8){s=p;break b}f[h>>2]=f[h>>2]|1;o=f[c>>2]|0;if(o>>>0<(f[g>>2]|0)>>>0?(a=b[o>>0]|0,a<<24>>24>-1):0){f[c>>2]=o+1;t=a<<24>>24!=0}else{AJb(e,c);a=e;if(!(b[j>>0]|0)){v=0;q=29;break a}else t=(f[a>>2]|0)!=0|(f[a+4>>2]|0)!=0}b[i>>0]=t&1;continue a;break}case 2:{if((p&255|0)!=16){s=p;break b}f[h>>2]=f[h>>2]|4;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){o=b[a>>0]|0;n=o&255;if(o<<24>>24>-1){f[k>>2]=n;f[c>>2]=a+1;continue a}else w=n}else w=0;n=zJb(c,w)|0;a=J;f[k>>2]=n;if((a|0)>-1|(a|0)==-1&n>>>0>4294967295)continue a;else{v=0;q=29;break a}break}case 3:{if((p&255|0)!=24){s=p;break b}f[h>>2]=f[h>>2]|2;n=f[c>>2]|0;if(n>>>0<(f[g>>2]|0)>>>0){a=b[n>>0]|0;o=a&255;if(a<<24>>24>-1){f[c>>2]=n+1;x=o}else{y=o;q=22}}else{y=0;q=22}if((q|0)==22){q=0;o=zJb(c,y)|0;n=J;if((n|0)>-1|(n|0)==-1&o>>>0>4294967295)x=o;else{v=0;q=29;break a}}f[l>>2]=x;continue a;break}default:{s=p;break b}}}while(0);if(!s){v=1;q=29;break}o=f[m>>2]|0;if(!(o&1))z=OOa(m)|0;else z=o&-2;if(!(xbc(c,s,z)|0)){v=0;q=29;break}}if((q|0)==29){u=d;return v|0}return 0}function Q2a(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=Dbc(b&-2)|0;b=f[a+8>>2]|0;if(!(b&7)){d=c;e=a+12|0;f[e>>2]=d;return d|0}g=b&1|0?c+2|0:c;if(!(b&2))h=g;else{c=f[a+20>>2]|0;if((c|0)<0)i=11;else i=((((($(c|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;h=i+g|0}if(!(b&4)){d=h;e=a+12|0;f[e>>2]=d;return d|0}d=h+1+((((($(f[a+24>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;e=a+12|0;f[e>>2]=d;return d|0}function R2a(a,c){a=a|0;c=c|0;var d=0;d=f[a+8>>2]|0;if(d&1|0)SLb(1,(b[a+16>>0]|0)!=0,c);if(d&4|0)ILb(2,f[a+24>>2]|0,c);if(d&2|0)GLb(3,f[a+20>>2]|0,c);d=f[a+4>>2]|0;if(!(d&1))return;Abc(d&-2,c);return}function S2a(a){a=a|0;return f[a+12>>2]|0}function T2a(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;c=f[a+8>>2]|0;if(!(c&1))e=d;else{g=b[a+16>>0]|0;b[d>>0]=8;b[d+1>>0]=g;e=d+2|0}if(!(c&4))h=e;else{d=f[a+24>>2]|0;b[e>>0]=16;g=e+1|0;if(d>>>0>127){e=d;i=g;while(1){b[i>>0]=e|128;j=e>>>7;k=i+1|0;if(e>>>0>16383){e=j;i=k}else{l=k;m=j;break}}}else{l=g;m=d}b[l>>0]=m;h=l+1|0}if(!(c&2))n=h;else{c=f[a+20>>2]|0;b[h>>0]=24;l=h+1|0;h=c&255;if(c>>>0>127){m=l;d=h;g=c;i=((c|0)<0)<<31>>31;while(1){b[m>>0]=d|-128;c=g;g=pzc(g|0,i|0,7)|0;e=m+1|0;j=g&255;if(!(i>>>0>0|(i|0)==0&c>>>0>16383)){o=e;p=j;break}else{m=e;d=j;i=J}}}else{o=l;p=h}b[o>>0]=p;n=o+1|0}o=f[a+4>>2]|0;if(!(o&1)){q=n;return q|0}q=Bbc(o&-2,n)|0;return q|0}function U2a(a,b){a=a|0;b=b|0;var c=0,d=0;if((a|0)==(b|0))return;c=a+8|0;if(f[c>>2]&7|0){d=a+16|0;f[d>>2]=0;f[d+4>>2]=0;f[a+24>>2]=1}f[c>>2]=0;c=f[a+4>>2]|0;if(c&1|0?(d=c&-2,f[d>>2]|0):0)ebc(d);V2a(a,b);return}function V2a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;d=ovc(c,24728,19992,0)|0;if(!d){A9b(c,a);return}c=a+4|0;e=f[d+4>>2]|0;if(e&1|0){g=f[c>>2]|0;if(!(g&1))h=OOa(c)|0;else h=g&-2;hbc(h,e&-2)}e=f[d+8>>2]|0;if(!(e&7))return;if(e&1|0)b[a+16>>0]=b[d+16>>0]|0;if(e&2|0)f[a+20>>2]=f[d+20>>2];if(e&4|0)f[a+24>>2]=f[d+24>>2];d=a+8|0;f[d>>2]=f[d>>2]|e;return}function W2a(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function X2a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224781]|0)!=2){f[d>>2]=151624;f[d+4>>2]=21;b[d+8>>0]=0;xLb(899124,d);QKb(d)}d=540656;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function Y2a(a,b){a=a|0;b=b|0;if(!b)return;EIb(a,b,1978);return}function Z2a(a){a=a|0;var b=0,c=0;f[a>>2]=125108;b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(c);f[b>>2]=0;return}function _2a(a){a=a|0;var b=0,c=0;f[a>>2]=125108;b=f[a+4>>2]|0;if(!(b&1)){fuc(a);return}c=b&-2;b=c;if((c|0)==0|(f[b+4>>2]|0)!=0){fuc(a);return}if(f[b>>2]|0)ebc(b);fuc(c);fuc(a);return}function $2a(a){a=a|0;a=cuc(32)|0;KZa(a);return a|0}function a3a(a,b){a=a|0;b=b|0;a=cuc(32)|0;KZa(a);if(!b)return a|0;m3a(b,a);return a|0}function b3a(a){a=a|0;var b=0,c=0;b=a+8|0;if(f[b>>2]&15|0){c=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0}f[b>>2]=0;b=f[a+4>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;ebc(a);return}function c3a(a){a=a|0;return 1}function d3a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;d=c+4|0;e=a+8|0;g=a+16|0;h=a+20|0;i=a+24|0;j=a+28|0;k=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[d>>2]|0)>>>0){l=b[a>>0]|0;m=l&255;if(l<<24>>24>0){f[c>>2]=a+1;n=m;o=6}else{p=m;o=5}}else{p=0;o=5}if((o|0)==5){o=0;m=OJb(c,p)|0;if((m+-1|0)>>>0<127){n=m;o=6}else q=m}b:do if((o|0)==6){o=0;switch(n>>>3&536870911|0){case 1:{if((n&255|0)!=8){q=n;break b}f[e>>2]=f[e>>2]|1;m=f[c>>2]|0;if(m>>>0<(f[d>>2]|0)>>>0){a=b[m>>0]|0;l=a&255;if(a<<24>>24>-1){f[g>>2]=l;f[c>>2]=m+1;continue a}else r=l}else r=0;l=zJb(c,r)|0;m=J;f[g>>2]=l;if((m|0)>-1|(m|0)==-1&l>>>0>4294967295)continue a;else{s=0;o=32;break a}break}case 2:{if((n&255|0)!=16){q=n;break b}f[e>>2]=f[e>>2]|2;l=f[c>>2]|0;if(l>>>0<(f[d>>2]|0)>>>0){m=b[l>>0]|0;a=m&255;if(m<<24>>24>-1){f[h>>2]=a;f[c>>2]=l+1;continue a}else t=a}else t=0;a=zJb(c,t)|0;l=J;f[h>>2]=a;if((l|0)>-1|(l|0)==-1&a>>>0>4294967295)continue a;else{s=0;o=32;break a}break}case 3:{if((n&255|0)!=24){q=n;break b}f[e>>2]=f[e>>2]|4;a=f[c>>2]|0;if(a>>>0<(f[d>>2]|0)>>>0){l=b[a>>0]|0;m=l&255;if(l<<24>>24>-1){f[i>>2]=m;f[c>>2]=a+1;continue a}else u=m}else u=0;m=zJb(c,u)|0;a=J;f[i>>2]=m;if((a|0)>-1|(a|0)==-1&m>>>0>4294967295)continue a;else{s=0;o=32;break a}break}case 4:{if((n&255|0)!=32){q=n;break b}f[e>>2]=f[e>>2]|8;m=f[c>>2]|0;if(m>>>0<(f[d>>2]|0)>>>0){a=b[m>>0]|0;l=a&255;if(a<<24>>24>-1){f[j>>2]=l;f[c>>2]=m+1;continue a}else v=l}else v=0;l=zJb(c,v)|0;m=J;f[j>>2]=l;if((m|0)>-1|(m|0)==-1&l>>>0>4294967295)continue a;else{s=0;o=32;break a}break}default:{q=n;break b}}}while(0);if(!q){s=1;o=32;break}l=f[k>>2]|0;if(!(l&1))w=OOa(k)|0;else w=l&-2;if(!(xbc(c,q,w)|0)){s=0;o=32;break}}if((o|0)==32)return s|0;return 0}function e3a(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=Dbc(b&-2)|0;b=f[a+8>>2]|0;if(!(b&15)){d=c;e=a+12|0;f[e>>2]=d;return d|0}if(!(b&1))g=c;else g=c+1+((((($(f[a+16>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;if(!(b&2))h=g;else h=g+1+((((($(f[a+20>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;if(!(b&4))i=h;else i=h+1+((((($(f[a+24>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;if(!(b&8)){d=i;e=a+12|0;f[e>>2]=d;return d|0}d=i+1+((((($(f[a+28>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;e=a+12|0;f[e>>2]=d;return d|0}function f3a(a,b){a=a|0;b=b|0;var c=0;c=f[a+8>>2]|0;if(c&1|0)ILb(1,f[a+16>>2]|0,b);if(c&2|0)ILb(2,f[a+20>>2]|0,b);if(c&4|0)ILb(3,f[a+24>>2]|0,b);if(c&8|0)ILb(4,f[a+28>>2]|0,b);c=f[a+4>>2]|0;if(!(c&1))return;Abc(c&-2,b);return}function g3a(a){a=a|0;return f[a+12>>2]|0}function h3a(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;c=f[a+8>>2]|0;if(!(c&1))e=d;else{g=f[a+16>>2]|0;b[d>>0]=8;h=d+1|0;if(g>>>0>127){d=g;i=h;while(1){b[i>>0]=d|128;j=d>>>7;k=i+1|0;if(d>>>0>16383){d=j;i=k}else{l=k;m=j;break}}}else{l=h;m=g}b[l>>0]=m;e=l+1|0}if(!(c&2))n=e;else{l=f[a+20>>2]|0;b[e>>0]=16;m=e+1|0;if(l>>>0>127){e=l;g=m;while(1){b[g>>0]=e|128;h=e>>>7;i=g+1|0;if(e>>>0>16383){e=h;g=i}else{o=i;p=h;break}}}else{o=m;p=l}b[o>>0]=p;n=o+1|0}if(!(c&4))q=n;else{o=f[a+24>>2]|0;b[n>>0]=24;p=n+1|0;if(o>>>0>127){n=o;l=p;while(1){b[l>>0]=n|128;m=n>>>7;g=l+1|0;if(n>>>0>16383){n=m;l=g}else{r=g;s=m;break}}}else{r=p;s=o}b[r>>0]=s;q=r+1|0}if(!(c&8))t=q;else{c=f[a+28>>2]|0;b[q>>0]=32;r=q+1|0;if(c>>>0>127){q=c;s=r;while(1){b[s>>0]=q|128;o=q>>>7;p=s+1|0;if(q>>>0>16383){q=o;s=p}else{u=p;v=o;break}}}else{u=r;v=c}b[u>>0]=v;t=u+1|0}u=f[a+4>>2]|0;if(!(u&1)){w=t;return w|0}w=Bbc(u&-2,t)|0;return w|0}function i3a(a,b){a=a|0;b=b|0;var c=0,d=0;if((a|0)==(b|0))return;c=a+8|0;if(f[c>>2]&15|0){d=a+16|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0}f[c>>2]=0;c=f[a+4>>2]|0;if(c&1|0?(d=c&-2,f[d>>2]|0):0)ebc(d);j3a(a,b);return}function j3a(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=ovc(b,24728,20008,0)|0;if(!c){A9b(b,a);return}b=a+4|0;d=f[c+4>>2]|0;if(d&1|0){e=f[b>>2]|0;if(!(e&1))g=OOa(b)|0;else g=e&-2;hbc(g,d&-2)}d=f[c+8>>2]|0;if(!(d&15))return;if(d&1|0)f[a+16>>2]=f[c+16>>2];if(d&2|0)f[a+20>>2]=f[c+20>>2];if(d&4|0)f[a+24>>2]=f[c+24>>2];if(d&8|0)f[a+28>>2]=f[c+28>>2];c=a+8|0;f[c>>2]=f[c>>2]|d;return}function k3a(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function l3a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224781]|0)!=2){f[d>>2]=151624;f[d+4>>2]=21;b[d+8>>0]=0;xLb(899124,d);QKb(d)}d=540864;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function m3a(a,b){a=a|0;b=b|0;if(!b)return;EIb(a,b,1978);return}function n3a(a){a=a|0;var b=0,c=0;f[a>>2]=125216;b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(c);f[b>>2]=0;return}function o3a(a){a=a|0;var b=0,c=0;f[a>>2]=125216;b=f[a+4>>2]|0;if(!(b&1)){fuc(a);return}c=b&-2;b=c;if((c|0)==0|(f[b+4>>2]|0)!=0){fuc(a);return}if(f[b>>2]|0)ebc(b);fuc(c);fuc(a);return}function p3a(a){a=a|0;a=cuc(28)|0;JZa(a);return a|0}function q3a(a,b){a=a|0;b=b|0;a=cuc(28)|0;JZa(a);if(!b)return a|0;C3a(b,a);return a|0}function r3a(a){a=a|0;var b=0;b=a+8|0;if(f[b>>2]&7|0){n[a+16>>2]=0.0;n[a+20>>2]=1.0;n[a+24>>2]=1.0}f[b>>2]=0;b=f[a+4>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;ebc(a);return}function s3a(a){a=a|0;return 1}function t3a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;d=u;u=u+16|0;e=d;g=c+4|0;i=a+8|0;j=a+20|0;k=a+24|0;l=a+16|0;m=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){n=b[a>>0]|0;o=n&255;if(n<<24>>24>0){f[c>>2]=a+1;p=o;q=6}else{r=o;q=5}}else{r=0;q=5}if((q|0)==5){q=0;o=OJb(c,r)|0;if((o+-1|0)>>>0<127){p=o;q=6}else s=o}b:do if((q|0)==6){q=0;switch(p>>>3&536870911|0){case 1:{if((p&255|0)!=13){s=p;break b}f[i>>2]=f[i>>2]|2;o=f[c>>2]|0;if(((f[g>>2]|0)-o|0)>3){a=o;n=h[a>>0]|h[a+1>>0]<<8|h[a+2>>0]<<16|h[a+3>>0]<<24;f[e>>2]=n;f[c>>2]=o+4;t=n}else{if(!(LJb(c,e)|0)){q=13;break a}t=f[e>>2]|0}f[j>>2]=t;continue a;break}case 2:{if((p&255|0)!=21){s=p;break b}f[i>>2]=f[i>>2]|4;n=f[c>>2]|0;if(((f[g>>2]|0)-n|0)>3){o=n;a=h[o>>0]|h[o+1>>0]<<8|h[o+2>>0]<<16|h[o+3>>0]<<24;f[e>>2]=a;f[c>>2]=n+4;v=a}else{if(!(LJb(c,e)|0)){q=20;break a}v=f[e>>2]|0}f[k>>2]=v;continue a;break}case 3:{if((p&255|0)!=29){s=p;break b}f[i>>2]=f[i>>2]|1;a=f[c>>2]|0;if(((f[g>>2]|0)-a|0)>3){n=a;o=h[n>>0]|h[n+1>>0]<<8|h[n+2>>0]<<16|h[n+3>>0]<<24;f[e>>2]=o;f[c>>2]=a+4;w=o}else{if(!(LJb(c,e)|0)){q=27;break a}w=f[e>>2]|0}f[l>>2]=w;continue a;break}default:{s=p;break b}}}while(0);if(!s){x=1;q=33;break}o=f[m>>2]|0;if(!(o&1))y=OOa(m)|0;else y=o&-2;if(!(xbc(c,s,y)|0)){x=0;q=33;break}}if((q|0)==13){x=0;u=d;return x|0}else if((q|0)==20){x=0;u=d;return x|0}else if((q|0)==27){x=0;u=d;return x|0}else if((q|0)==33){u=d;return x|0}return 0}function u3a(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=Dbc(b&-2)|0;b=f[a+8>>2]|0;if(!(b&7)){d=c;e=a+12|0;f[e>>2]=d;return d|0}g=b&1|0?c+5|0:c;c=b&2|0?g+5|0:g;d=b&4|0?c+5|0:c;e=a+12|0;f[e>>2]=d;return d|0}function v3a(a,b){a=a|0;b=b|0;var c=0;c=f[a+8>>2]|0;if(c&2|0)QLb(1,+n[a+20>>2],b);if(c&4|0)QLb(2,+n[a+24>>2],b);if(c&1|0)QLb(3,+n[a+16>>2],b);c=f[a+4>>2]|0;if(!(c&1))return;Abc(c&-2,b);return}function w3a(a){a=a|0;return f[a+12>>2]|0}function x3a(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0;c=f[a+8>>2]|0;if(!(c&2))e=d;else{g=f[a+20>>2]|0;b[d>>0]=13;h=d+1|0;b[h>>0]=g;b[h+1>>0]=g>>8;b[h+2>>0]=g>>16;b[h+3>>0]=g>>24;e=d+5|0}if(!(c&4))i=e;else{d=f[a+24>>2]|0;b[e>>0]=21;g=e+1|0;b[g>>0]=d;b[g+1>>0]=d>>8;b[g+2>>0]=d>>16;b[g+3>>0]=d>>24;i=e+5|0}if(!(c&1))j=i;else{c=f[a+16>>2]|0;b[i>>0]=29;e=i+1|0;b[e>>0]=c;b[e+1>>0]=c>>8;b[e+2>>0]=c>>16;b[e+3>>0]=c>>24;j=i+5|0}i=f[a+4>>2]|0;if(!(i&1)){k=j;return k|0}k=Bbc(i&-2,j)|0;return k|0}function y3a(a,b){a=a|0;b=b|0;var c=0,d=0;if((a|0)==(b|0))return;c=a+8|0;if(f[c>>2]&7|0){n[a+16>>2]=0.0;n[a+20>>2]=1.0;n[a+24>>2]=1.0}f[c>>2]=0;c=f[a+4>>2]|0;if(c&1|0?(d=c&-2,f[d>>2]|0):0)ebc(d);z3a(a,b);return}function z3a(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=ovc(b,24728,20024,0)|0;if(!c){A9b(b,a);return}b=a+4|0;d=f[c+4>>2]|0;if(d&1|0){e=f[b>>2]|0;if(!(e&1))g=OOa(b)|0;else g=e&-2;hbc(g,d&-2)}d=f[c+8>>2]|0;if(!(d&7))return;if(d&1|0)f[a+16>>2]=f[c+16>>2];if(d&2|0)f[a+20>>2]=f[c+20>>2];if(d&4|0)f[a+24>>2]=f[c+24>>2];c=a+8|0;f[c>>2]=f[c>>2]|d;return}function A3a(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function B3a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224781]|0)!=2){f[d>>2]=151624;f[d+4>>2]=21;b[d+8>>0]=0;xLb(899124,d);QKb(d)}d=540896;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function C3a(a,b){a=a|0;b=b|0;if(!b)return;EIb(a,b,1978);return}function D3a(a){a=a|0;var b=0,c=0;f[a>>2]=125324;T3a(a);b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(c);f[b>>2]=0;return}function E3a(a){a=a|0;D3a(a);fuc(a);return}function F3a(a){a=a|0;a=cuc(64)|0;HZa(a);return a|0}function G3a(a,b){a=a|0;b=b|0;a=cuc(64)|0;HZa(a);if(!b)return a|0;S3a(b,a);return a|0}function H3a(a){a=a|0;var c=0,e=0,g=0,h=0;c=a+8|0;e=f[c>>2]|0;do if(e&15|0){do if(e&1|0){g=f[a+16>>2]|0;h=g+11|0;if((b[h>>0]|0)<0){b[f[g>>2]>>0]=0;f[g+4>>2]=0;break}else{b[g>>0]=0;b[h>>0]=0;break}}while(0);do if(e&2|0){h=f[a+20>>2]|0;g=h+11|0;if((b[g>>0]|0)<0){b[f[h>>2]>>0]=0;f[h+4>>2]=0;break}else{b[h>>0]=0;b[g>>0]=0;break}}while(0);if(e&4|0)ruc(f[a+24>>2]|0,540472)|0;if(e&8|0){g=f[a+28>>2]|0;h=g+11|0;if((b[h>>0]|0)<0){b[f[g>>2]>>0]=0;f[g+4>>2]=0;break}else{b[g>>0]=0;b[h>>0]=0;break}}}while(0);if(e&240|0){h=a+32|0;f[h>>2]=0;f[h+4>>2]=0;d[h+8>>1]=0}if(e&7936|0){f[a+44>>2]=0;n[a+48>>2]=1.0;n[a+52>>2]=.5;n[a+56>>2]=.5;n[a+60>>2]=.25}f[c>>2]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;ebc(a);return}function I3a(a){a=a|0;return 1}function J3a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0;d=u;u=u+16|0;e=d;g=c+4|0;i=a+8|0;j=a+16|0;k=a+48|0;l=a+20|0;m=a+32|0;n=a+36|0;o=a+40|0;p=e+8|0;q=a+52|0;r=a+56|0;s=a+60|0;t=a+44|0;v=a+24|0;w=a+41|0;x=e+8|0;y=a+28|0;z=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){A=b[a>>0]|0;B=A&255;if(A<<24>>24>0){f[c>>2]=a+1;C=B;D=6}else{E=B;D=5}}else{E=0;D=5}if((D|0)==5){D=0;B=OJb(c,E)|0;if((B+-1|0)>>>0<127){C=B;D=6}else F=B}b:do if((D|0)==6){D=0;do switch(C>>>3&536870911|0){case 1:{if((C&255|0)!=10){F=C;break b}f[i>>2]=f[i>>2]|1;B=f[j>>2]|0;if((B|0)==542896){JEa(j,542896);G=f[j>>2]|0}else G=B;if($Lb(c,G)|0)continue a;else{H=0;D=83;break a}break}case 2:{if((C&255|0)!=21){F=C;break b}f[i>>2]=f[i>>2]|512;B=f[c>>2]|0;if(((f[g>>2]|0)-B|0)>3){a=B;A=h[a>>0]|h[a+1>>0]<<8|h[a+2>>0]<<16|h[a+3>>0]<<24;f[e>>2]=A;f[c>>2]=B+4;I=A}else{if(!(LJb(c,e)|0)){D=17;break a}I=f[e>>2]|0}f[k>>2]=I;continue a;break}case 3:{if((C&255|0)!=26){F=C;break b}f[i>>2]=f[i>>2]|2;A=f[l>>2]|0;if((A|0)==542896){JEa(l,542896);K=f[l>>2]|0}else K=A;if($Lb(c,K)|0)continue a;else{H=0;D=83;break a}break}case 4:{if((C&255|0)!=32){F=C;break b}f[i>>2]=f[i>>2]|16;A=f[c>>2]|0;if(A>>>0<(f[g>>2]|0)>>>0){B=b[A>>0]|0;a=B&255;if(B<<24>>24>-1){f[m>>2]=a;f[c>>2]=A+1;continue a}else L=a}else L=0;a=zJb(c,L)|0;A=J;f[m>>2]=a;if((A|0)>-1|(A|0)==-1&a>>>0>4294967295)continue a;else{H=0;D=83;break a}break}case 5:{if((C&255|0)!=40){F=C;break b}f[i>>2]=f[i>>2]|32;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){A=b[a>>0]|0;B=A&255;if(A<<24>>24>-1){f[n>>2]=B;f[c>>2]=a+1;continue a}else M=B}else M=0;B=zJb(c,M)|0;a=J;f[n>>2]=B;if((a|0)>-1|(a|0)==-1&B>>>0>4294967295)continue a;else{H=0;D=83;break a}break}case 6:{if((C&255|0)!=48){F=C;break b}f[i>>2]=f[i>>2]|64;B=f[c>>2]|0;if(B>>>0<(f[g>>2]|0)>>>0?(a=b[B>>0]|0,a<<24>>24>-1):0){f[c>>2]=B+1;N=a<<24>>24!=0}else{AJb(e,c);a=e;if(!(b[p>>0]|0)){H=0;D=83;break a}else N=(f[a>>2]|0)!=0|(f[a+4>>2]|0)!=0}b[o>>0]=N&1;continue a;break}case 7:{if((C&255|0)!=61){F=C;break b}f[i>>2]=f[i>>2]|1024;a=f[c>>2]|0;if(((f[g>>2]|0)-a|0)>3){B=a;A=h[B>>0]|h[B+1>>0]<<8|h[B+2>>0]<<16|h[B+3>>0]<<24;f[e>>2]=A;f[c>>2]=a+4;O=A}else{if(!(LJb(c,e)|0)){D=44;break a}O=f[e>>2]|0}f[q>>2]=O;continue a;break}case 8:{if((C&255|0)!=69){F=C;break b}f[i>>2]=f[i>>2]|2048;A=f[c>>2]|0;if(((f[g>>2]|0)-A|0)>3){a=A;B=h[a>>0]|h[a+1>>0]<<8|h[a+2>>0]<<16|h[a+3>>0]<<24;f[e>>2]=B;f[c>>2]=A+4;P=B}else{if(!(LJb(c,e)|0)){D=51;break a}P=f[e>>2]|0}f[r>>2]=P;continue a;break}case 9:{if((C&255|0)!=77){F=C;break b}f[i>>2]=f[i>>2]|4096;B=f[c>>2]|0;if(((f[g>>2]|0)-B|0)>3){A=B;a=h[A>>0]|h[A+1>>0]<<8|h[A+2>>0]<<16|h[A+3>>0]<<24;f[e>>2]=a;f[c>>2]=B+4;Q=a}else{if(!(LJb(c,e)|0)){D=58;break a}Q=f[e>>2]|0}f[s>>2]=Q;continue a;break}case 10:{if((C&255|0)!=80){F=C;break b}f[i>>2]=f[i>>2]|256;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){B=b[a>>0]|0;A=B&255;if(B<<24>>24>-1){f[t>>2]=A;f[c>>2]=a+1;continue a}else R=A}else R=0;A=zJb(c,R)|0;a=J;f[t>>2]=A;if((a|0)>-1|(a|0)==-1&A>>>0>4294967295)continue a;else{H=0;D=83;break a}break}case 11:{if((C&255|0)!=90){F=C;break b}f[i>>2]=f[i>>2]|4;A=f[v>>2]|0;if((A|0)==540472){JEa(v,540472);S=f[v>>2]|0}else S=A;if($Lb(c,S)|0)continue a;else{H=0;D=83;break a}break}case 12:{if((C&255|0)!=96){F=C;break b}f[i>>2]=f[i>>2]|128;A=f[c>>2]|0;if(A>>>0<(f[g>>2]|0)>>>0?(a=b[A>>0]|0,a<<24>>24>-1):0){f[c>>2]=A+1;T=a<<24>>24!=0}else{AJb(e,c);a=e;if(!(b[x>>0]|0)){H=0;D=83;break a}else T=(f[a>>2]|0)!=0|(f[a+4>>2]|0)!=0}b[w>>0]=T&1;continue a;break}case 13:{if((C&255|0)!=106){F=C;break b}f[i>>2]=f[i>>2]|8;a=f[y>>2]|0;if((a|0)==542896){JEa(y,542896);U=f[y>>2]|0}else U=a;if($Lb(c,U)|0)continue a;else{H=0;D=83;break a}break}default:{F=C;break b}}while(0)}while(0);if(!F){H=1;D=83;break}a=f[z>>2]|0;if(!(a&1))V=OOa(z)|0;else V=a&-2;if(!(xbc(c,F,V)|0)){H=0;D=83;break}}if((D|0)==17){H=0;u=d;return H|0}else if((D|0)==44){H=0;u=d;return H|0}else if((D|0)==51){H=0;u=d;return H|0}else if((D|0)==58){H=0;u=d;return H|0}else if((D|0)==83){u=d;return H|0}return 0}function K3a(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;c=f[a+4>>2]|0;if(!(c&1))d=0;else d=Dbc(c&-2)|0;c=f[a+8>>2]|0;if(!(c&255))e=d;else{if(!(c&1))g=d;else{h=f[a+16>>2]|0;i=b[h+11>>0]|0;j=i<<24>>24<0?f[h+4>>2]|0:i&255;g=d+1+j+((((($(j|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(c&2))k=g;else{j=f[a+20>>2]|0;d=b[j+11>>0]|0;i=d<<24>>24<0?f[j+4>>2]|0:d&255;k=g+1+i+((((($(i|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(c&4))l=k;else{i=f[a+24>>2]|0;g=b[i+11>>0]|0;d=g<<24>>24<0?f[i+4>>2]|0:g&255;l=k+1+d+((((($(d|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(c&8))m=l;else{d=f[a+28>>2]|0;k=b[d+11>>0]|0;g=k<<24>>24<0?f[d+4>>2]|0:k&255;m=l+1+g+((((($(g|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(c&16))n=m;else n=m+1+((((($(f[a+32>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;if(!(c&32))o=n;else o=n+1+((((($(f[a+36>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;n=c&64|0?o+2|0:o;e=c&128|0?n+2|0:n}if(!(c&7936)){p=e;q=a+12|0;f[q>>2]=p;return p|0}if(!(c&256))r=e;else r=e+1+((((($(f[a+44>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;e=c&512|0?r+5|0:r;r=c&1024|0?e+5|0:e;e=c&2048|0?r+5|0:r;p=c&4096|0?e+5|0:e;q=a+12|0;f[q>>2]=p;return p|0}function L3a(a,c){a=a|0;c=c|0;var d=0;d=f[a+8>>2]|0;if(d&1|0)VLb(1,f[a+16>>2]|0,c);if(d&512|0)QLb(2,+n[a+48>>2],c);if(d&2|0)VLb(3,f[a+20>>2]|0,c);if(d&16|0)ILb(4,f[a+32>>2]|0,c);if(d&32|0)ILb(5,f[a+36>>2]|0,c);if(d&64|0)SLb(6,(b[a+40>>0]|0)!=0,c);if(d&1024|0)QLb(7,+n[a+52>>2],c);if(d&2048|0)QLb(8,+n[a+56>>2],c);if(d&4096|0)QLb(9,+n[a+60>>2],c);if(d&256|0)ILb(10,f[a+44>>2]|0,c);if(d&4|0)VLb(11,f[a+24>>2]|0,c);if(d&128|0)SLb(12,(b[a+41>>0]|0)!=0,c);if(d&8|0)VLb(13,f[a+28>>2]|0,c);d=f[a+4>>2]|0;if(!(d&1))return;Abc(d&-2,c);return}function M3a(a){a=a|0;return f[a+12>>2]|0}function N3a(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;c=f[a+8>>2]|0;if(!(c&1))e=d;else{g=f[a+16>>2]|0;b[d>>0]=10;e=XJb(g,d+1|0)|0}if(!(c&512))h=e;else{d=f[a+48>>2]|0;b[e>>0]=21;g=e+1|0;b[g>>0]=d;b[g+1>>0]=d>>8;b[g+2>>0]=d>>16;b[g+3>>0]=d>>24;h=e+5|0}if(!(c&2))i=h;else{e=f[a+20>>2]|0;b[h>>0]=26;i=XJb(e,h+1|0)|0}if(!(c&16))j=i;else{h=f[a+32>>2]|0;b[i>>0]=32;e=i+1|0;if(h>>>0>127){i=h;d=e;while(1){b[d>>0]=i|128;g=i>>>7;k=d+1|0;if(i>>>0>16383){i=g;d=k}else{l=k;m=g;break}}}else{l=e;m=h}b[l>>0]=m;j=l+1|0}if(!(c&32))n=j;else{l=f[a+36>>2]|0;b[j>>0]=40;m=j+1|0;if(l>>>0>127){j=l;h=m;while(1){b[h>>0]=j|128;e=j>>>7;d=h+1|0;if(j>>>0>16383){j=e;h=d}else{o=d;p=e;break}}}else{o=m;p=l}b[o>>0]=p;n=o+1|0}if(!(c&64))q=n;else{o=b[a+40>>0]|0;b[n>>0]=48;b[n+1>>0]=o;q=n+2|0}if(!(c&1024))r=q;else{n=f[a+52>>2]|0;b[q>>0]=61;o=q+1|0;b[o>>0]=n;b[o+1>>0]=n>>8;b[o+2>>0]=n>>16;b[o+3>>0]=n>>24;r=q+5|0}if(!(c&2048))s=r;else{q=f[a+56>>2]|0;b[r>>0]=69;n=r+1|0;b[n>>0]=q;b[n+1>>0]=q>>8;b[n+2>>0]=q>>16;b[n+3>>0]=q>>24;s=r+5|0}if(!(c&4096))t=s;else{r=f[a+60>>2]|0;b[s>>0]=77;q=s+1|0;b[q>>0]=r;b[q+1>>0]=r>>8;b[q+2>>0]=r>>16;b[q+3>>0]=r>>24;t=s+5|0}if(!(c&256))u=t;else{s=f[a+44>>2]|0;b[t>>0]=80;r=t+1|0;if(s>>>0>127){t=s;q=r;while(1){b[q>>0]=t|128;n=t>>>7;o=q+1|0;if(t>>>0>16383){t=n;q=o}else{v=o;w=n;break}}}else{v=r;w=s}b[v>>0]=w;u=v+1|0}if(!(c&4))x=u;else{v=f[a+24>>2]|0;b[u>>0]=90;x=XJb(v,u+1|0)|0}if(!(c&128))y=x;else{u=b[a+41>>0]|0;b[x>>0]=96;b[x+1>>0]=u;y=x+2|0}if(!(c&8))z=y;else{c=f[a+28>>2]|0;b[y>>0]=106;z=XJb(c,y+1|0)|0}y=f[a+4>>2]|0;if(!(y&1)){A=z;return A|0}A=Bbc(y&-2,z)|0;return A|0}function O3a(a,b){a=a|0;b=b|0;var c=0;if((a|0)==(b|0))return;H3a(a);c=ovc(b,24728,20040,0)|0;if(!c){A9b(b,a);return}else{IZa(a,c);return}}function P3a(a,b){a=a|0;b=b|0;var c=0;c=ovc(b,24728,20040,0)|0;if(!c){A9b(b,a);return}else{IZa(a,c);return}}function Q3a(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function R3a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224781]|0)!=2){f[d>>2]=151624;f[d+4>>2]=21;b[d+8>>0]=0;xLb(899124,d);QKb(d)}d=541e3;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function S3a(a,b){a=a|0;b=b|0;if(!b)return;EIb(a,b,1978);return}function T3a(a){a=a|0;var c=0;c=f[a+16>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}c=f[a+20>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}c=f[a+24>>2]|0;if(!((c|0)==540472|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}c=f[a+28>>2]|0;if((c|0)==542896|(c|0)==0)return;if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c);return}function U3a(a){a=a|0;var b=0,c=0;f[a>>2]=125432;b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(c);f[b>>2]=0;return}function V3a(a){a=a|0;var b=0,c=0;f[a>>2]=125432;b=f[a+4>>2]|0;if(!(b&1)){fuc(a);return}c=b&-2;b=c;if((c|0)==0|(f[b+4>>2]|0)!=0){fuc(a);return}if(f[b>>2]|0)ebc(b);fuc(c);fuc(a);return}function W3a(a){a=a|0;a=cuc(68)|0;FZa(a);return a|0}function X3a(a,b){a=a|0;b=b|0;a=cuc(68)|0;FZa(a);if(!b)return a|0;h4a(b,a);return a|0}function Y3a(a){a=a|0;var c=0,d=0,e=0;c=a+8|0;d=f[c>>2]|0;if(d&255|0){e=a+16|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;f[e+16>>2]=0;f[e+20>>2]=0;f[e+24>>2]=0;f[e+28>>2]=0}if(d&7936|0){d=a+48|0;f[d>>2]=0;f[d+4>>2]=0;b[d+8>>0]=0;f[a+60>>2]=1;b[a+64>>0]=1}f[c>>2]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;ebc(a);return}function Z3a(a){a=a|0;return 1}function _3a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0;d=u;u=u+16|0;e=d;g=c+4|0;h=a+8|0;i=a+16|0;j=a+4|0;k=a+20|0;l=a+60|0;m=a+24|0;n=a+28|0;o=a+32|0;p=a+36|0;q=a+40|0;r=a+44|0;s=a+48|0;t=a+52|0;v=a+56|0;w=e+8|0;x=a+64|0;a=e+8|0;a:while(1){y=f[c>>2]|0;if(y>>>0<(f[g>>2]|0)>>>0){z=b[y>>0]|0;A=z&255;if(z<<24>>24>0){f[c>>2]=y+1;B=A;C=6}else{D=A;C=5}}else{D=0;C=5}if((C|0)==5){C=0;A=OJb(c,D)|0;if((A+-1|0)>>>0<127){B=A;C=6}else E=A}b:do if((C|0)==6){C=0;do switch(B>>>3&536870911|0){case 1:{if((B&255|0)!=8){E=B;break b}A=f[c>>2]|0;if(A>>>0<(f[g>>2]|0)>>>0){y=b[A>>0]|0;z=y&255;if(y<<24>>24>-1){f[c>>2]=A+1;F=z}else{G=z;C=11}}else{G=0;C=11}if((C|0)==11){C=0;z=zJb(c,G)|0;A=J;if((A|0)>-1|(A|0)==-1&z>>>0>4294967295)F=z;else{H=0;C=91;break a}}if(F>>>0<3){f[h>>2]=f[h>>2]|1;f[i>>2]=F;continue a}z=f[j>>2]|0;if(!(z&1))I=OOa(j)|0;else I=z&-2;kbc(I,1,F,((F|0)<0)<<31>>31);continue a;break}case 2:{if((B&255|0)!=16){E=B;break b}f[h>>2]=f[h>>2]|2;z=f[c>>2]|0;if(z>>>0<(f[g>>2]|0)>>>0){A=b[z>>0]|0;y=A&255;if(A<<24>>24>-1){f[k>>2]=y;f[c>>2]=z+1;continue a}else K=y}else K=0;y=zJb(c,K)|0;z=J;f[k>>2]=y;if((z|0)>-1|(z|0)==-1&y>>>0>4294967295)continue a;else{H=0;C=91;break a}break}case 3:{if((B&255|0)!=24){E=B;break b}f[h>>2]=f[h>>2]|2048;y=f[c>>2]|0;if(y>>>0<(f[g>>2]|0)>>>0){z=b[y>>0]|0;A=z&255;if(z<<24>>24>-1){f[l>>2]=A;f[c>>2]=y+1;continue a}else L=A}else L=0;A=zJb(c,L)|0;y=J;f[l>>2]=A;if((y|0)>-1|(y|0)==-1&A>>>0>4294967295)continue a;else{H=0;C=91;break a}break}case 4:{if((B&255|0)!=32){E=B;break b}f[h>>2]=f[h>>2]|4;A=f[c>>2]|0;if(A>>>0<(f[g>>2]|0)>>>0){y=b[A>>0]|0;z=y&255;if(y<<24>>24>-1){f[m>>2]=z;f[c>>2]=A+1;continue a}else M=z}else M=0;z=zJb(c,M)|0;A=J;f[m>>2]=z;if((A|0)>-1|(A|0)==-1&z>>>0>4294967295)continue a;else{H=0;C=91;break a}break}case 5:{if((B&255|0)!=40){E=B;break b}f[h>>2]=f[h>>2]|8;z=f[c>>2]|0;if(z>>>0<(f[g>>2]|0)>>>0){A=b[z>>0]|0;y=A&255;if(A<<24>>24>-1){f[n>>2]=y;f[c>>2]=z+1;continue a}else N=y}else N=0;y=zJb(c,N)|0;z=J;f[n>>2]=y;if((z|0)>-1|(z|0)==-1&y>>>0>4294967295)continue a;else{H=0;C=91;break a}break}case 6:{if((B&255|0)!=48){E=B;break b}f[h>>2]=f[h>>2]|16;y=f[c>>2]|0;if(y>>>0<(f[g>>2]|0)>>>0){z=b[y>>0]|0;A=z&255;if(z<<24>>24>-1){f[o>>2]=A;f[c>>2]=y+1;continue a}else O=A}else O=0;A=zJb(c,O)|0;y=J;f[o>>2]=A;if((y|0)>-1|(y|0)==-1&A>>>0>4294967295)continue a;else{H=0;C=91;break a}break}case 7:{if((B&255|0)!=56){E=B;break b}f[h>>2]=f[h>>2]|32;A=f[c>>2]|0;if(A>>>0<(f[g>>2]|0)>>>0){y=b[A>>0]|0;z=y&255;if(y<<24>>24>-1){f[p>>2]=z;f[c>>2]=A+1;continue a}else P=z}else P=0;z=zJb(c,P)|0;A=J;f[p>>2]=z;if((A|0)>-1|(A|0)==-1&z>>>0>4294967295)continue a;else{H=0;C=91;break a}break}case 8:{if((B&255|0)!=64){E=B;break b}f[h>>2]=f[h>>2]|64;z=f[c>>2]|0;if(z>>>0<(f[g>>2]|0)>>>0){A=b[z>>0]|0;y=A&255;if(A<<24>>24>-1){f[q>>2]=y;f[c>>2]=z+1;continue a}else Q=y}else Q=0;y=zJb(c,Q)|0;z=J;f[q>>2]=y;if((z|0)>-1|(z|0)==-1&y>>>0>4294967295)continue a;else{H=0;C=91;break a}break}case 9:{if((B&255|0)!=72){E=B;break b}f[h>>2]=f[h>>2]|128;y=f[c>>2]|0;if(y>>>0<(f[g>>2]|0)>>>0){z=b[y>>0]|0;A=z&255;if(z<<24>>24>-1){f[r>>2]=A;f[c>>2]=y+1;continue a}else R=A}else R=0;A=zJb(c,R)|0;y=J;f[r>>2]=A;if((y|0)>-1|(y|0)==-1&A>>>0>4294967295)continue a;else{H=0;C=91;break a}break}case 10:{if((B&255|0)!=80){E=B;break b}f[h>>2]=f[h>>2]|256;A=f[c>>2]|0;if(A>>>0<(f[g>>2]|0)>>>0){y=b[A>>0]|0;z=y&255;if(y<<24>>24>-1){f[s>>2]=z;f[c>>2]=A+1;continue a}else S=z}else S=0;z=zJb(c,S)|0;A=J;f[s>>2]=z;if((A|0)>-1|(A|0)==-1&z>>>0>4294967295)continue a;else{H=0;C=91;break a}break}case 11:{if((B&255|0)!=88){E=B;break b}z=f[c>>2]|0;if(z>>>0<(f[g>>2]|0)>>>0){A=b[z>>0]|0;y=A&255;if(A<<24>>24>-1){f[c>>2]=z+1;T=y}else{U=y;C=67}}else{U=0;C=67}if((C|0)==67){C=0;y=zJb(c,U)|0;z=J;if((z|0)>-1|(z|0)==-1&y>>>0>4294967295)T=y;else{H=0;C=91;break a}}if(T>>>0<3){f[h>>2]=f[h>>2]|512;f[t>>2]=T;continue a}y=f[j>>2]|0;if(!(y&1))V=OOa(j)|0;else V=y&-2;kbc(V,11,T,((T|0)<0)<<31>>31);continue a;break}case 12:{if((B&255|0)!=96){E=B;break b}f[h>>2]=f[h>>2]|1024;y=f[c>>2]|0;if(y>>>0<(f[g>>2]|0)>>>0?(z=b[y>>0]|0,z<<24>>24>-1):0){f[c>>2]=y+1;W=z<<24>>24!=0}else{AJb(e,c);z=e;if(!(b[w>>0]|0)){H=0;C=91;break a}else W=(f[z>>2]|0)!=0|(f[z+4>>2]|0)!=0}b[v>>0]=W&1;continue a;break}case 13:{if((B&255|0)!=104){E=B;break b}f[h>>2]=f[h>>2]|4096;z=f[c>>2]|0;if(z>>>0<(f[g>>2]|0)>>>0?(y=b[z>>0]|0,y<<24>>24>-1):0){f[c>>2]=z+1;X=y<<24>>24!=0}else{AJb(e,c);y=e;if(!(b[a>>0]|0)){H=0;C=91;break a}else X=(f[y>>2]|0)!=0|(f[y+4>>2]|0)!=0}b[x>>0]=X&1;continue a;break}default:{E=B;break b}}while(0)}while(0);if(!E){H=1;C=91;break}y=f[j>>2]|0;if(!(y&1))Y=OOa(j)|0;else Y=y&-2;if(!(xbc(c,E,Y)|0)){H=0;C=91;break}}if((C|0)==91){u=d;return H|0}return 0}function $3a(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=Dbc(b&-2)|0;b=f[a+8>>2]|0;if(b&255){if(!(b&1))d=c;else{e=f[a+16>>2]|0;if((e|0)<0)g=11;else g=((((($(e|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;d=g+c|0}if(!(b&2))h=d;else h=d+1+((((($(f[a+20>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;if(!(b&4))i=h;else i=h+1+((((($(f[a+24>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;if(!(b&8))j=i;else j=i+1+((((($(f[a+28>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;if(!(b&16))k=j;else k=j+1+((((($(f[a+32>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;if(!(b&32))l=k;else l=k+1+((((($(f[a+36>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;if(!(b&64))m=l;else m=l+1+((((($(f[a+40>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;if(!(b&128))n=m;else n=m+1+((((($(f[a+44>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0}else n=c;if(!(b&7936)){o=n;p=a+12|0;f[p>>2]=o;return o|0}if(!(b&256))q=n;else q=n+1+((((($(f[a+48>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;if(!(b&512))r=q;else{n=f[a+52>>2]|0;if((n|0)<0)s=11;else s=((((($(n|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;r=s+q|0}q=b&1024|0?r+2|0:r;if(!(b&2048))t=q;else t=q+1+((((($(f[a+60>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;o=b&4096|0?t+2|0:t;p=a+12|0;f[p>>2]=o;return o|0}function a4a(a,c){a=a|0;c=c|0;var d=0;d=f[a+8>>2]|0;if(d&1|0)TLb(1,f[a+16>>2]|0,c);if(d&2|0)ILb(2,f[a+20>>2]|0,c);if(d&2048|0)ILb(3,f[a+60>>2]|0,c);if(d&4|0)ILb(4,f[a+24>>2]|0,c);if(d&8|0)ILb(5,f[a+28>>2]|0,c);if(d&16|0)ILb(6,f[a+32>>2]|0,c);if(d&32|0)ILb(7,f[a+36>>2]|0,c);if(d&64|0)ILb(8,f[a+40>>2]|0,c);if(d&128|0)ILb(9,f[a+44>>2]|0,c);if(d&256|0)ILb(10,f[a+48>>2]|0,c);if(d&512|0)TLb(11,f[a+52>>2]|0,c);if(d&1024|0)SLb(12,(b[a+56>>0]|0)!=0,c);if(d&4096|0)SLb(13,(b[a+64>>0]|0)!=0,c);d=f[a+4>>2]|0;if(!(d&1))return;Abc(d&-2,c);return}function b4a(a){a=a|0;return f[a+12>>2]|0}function c4a(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0;c=f[a+8>>2]|0;if(!(c&1))e=d;else{g=f[a+16>>2]|0;b[d>>0]=8;h=d+1|0;d=g&255;if(g>>>0>127){i=h;j=d;k=g;l=((g|0)<0)<<31>>31;while(1){b[i>>0]=j|-128;g=k;k=pzc(k|0,l|0,7)|0;m=i+1|0;n=k&255;if(!(l>>>0>0|(l|0)==0&g>>>0>16383)){o=m;p=n;break}else{i=m;j=n;l=J}}}else{o=h;p=d}b[o>>0]=p;e=o+1|0}if(!(c&2))q=e;else{o=f[a+20>>2]|0;b[e>>0]=16;p=e+1|0;if(o>>>0>127){e=o;d=p;while(1){b[d>>0]=e|128;h=e>>>7;l=d+1|0;if(e>>>0>16383){e=h;d=l}else{r=l;s=h;break}}}else{r=p;s=o}b[r>>0]=s;q=r+1|0}if(!(c&2048))t=q;else{r=f[a+60>>2]|0;b[q>>0]=24;s=q+1|0;if(r>>>0>127){q=r;o=s;while(1){b[o>>0]=q|128;p=q>>>7;d=o+1|0;if(q>>>0>16383){q=p;o=d}else{u=d;v=p;break}}}else{u=s;v=r}b[u>>0]=v;t=u+1|0}if(!(c&4))w=t;else{u=f[a+24>>2]|0;b[t>>0]=32;v=t+1|0;if(u>>>0>127){t=u;r=v;while(1){b[r>>0]=t|128;s=t>>>7;o=r+1|0;if(t>>>0>16383){t=s;r=o}else{x=o;y=s;break}}}else{x=v;y=u}b[x>>0]=y;w=x+1|0}if(!(c&8))z=w;else{x=f[a+28>>2]|0;b[w>>0]=40;y=w+1|0;if(x>>>0>127){w=x;u=y;while(1){b[u>>0]=w|128;v=w>>>7;r=u+1|0;if(w>>>0>16383){w=v;u=r}else{A=r;B=v;break}}}else{A=y;B=x}b[A>>0]=B;z=A+1|0}if(!(c&16))C=z;else{A=f[a+32>>2]|0;b[z>>0]=48;B=z+1|0;if(A>>>0>127){z=A;x=B;while(1){b[x>>0]=z|128;y=z>>>7;u=x+1|0;if(z>>>0>16383){z=y;x=u}else{D=u;E=y;break}}}else{D=B;E=A}b[D>>0]=E;C=D+1|0}if(!(c&32))F=C;else{D=f[a+36>>2]|0;b[C>>0]=56;E=C+1|0;if(D>>>0>127){C=D;A=E;while(1){b[A>>0]=C|128;B=C>>>7;x=A+1|0;if(C>>>0>16383){C=B;A=x}else{G=x;H=B;break}}}else{G=E;H=D}b[G>>0]=H;F=G+1|0}if(!(c&64))I=F;else{G=f[a+40>>2]|0;b[F>>0]=64;H=F+1|0;if(G>>>0>127){F=G;D=H;while(1){b[D>>0]=F|128;E=F>>>7;A=D+1|0;if(F>>>0>16383){F=E;D=A}else{K=A;L=E;break}}}else{K=H;L=G}b[K>>0]=L;I=K+1|0}if(!(c&128))M=I;else{K=f[a+44>>2]|0;b[I>>0]=72;L=I+1|0;if(K>>>0>127){I=K;G=L;while(1){b[G>>0]=I|128;H=I>>>7;D=G+1|0;if(I>>>0>16383){I=H;G=D}else{N=D;O=H;break}}}else{N=L;O=K}b[N>>0]=O;M=N+1|0}if(!(c&256))P=M;else{N=f[a+48>>2]|0;b[M>>0]=80;O=M+1|0;if(N>>>0>127){M=N;K=O;while(1){b[K>>0]=M|128;L=M>>>7;G=K+1|0;if(M>>>0>16383){M=L;K=G}else{Q=G;R=L;break}}}else{Q=O;R=N}b[Q>>0]=R;P=Q+1|0}if(!(c&512))S=P;else{Q=f[a+52>>2]|0;b[P>>0]=88;R=P+1|0;P=Q&255;if(Q>>>0>127){N=R;O=P;K=Q;M=((Q|0)<0)<<31>>31;while(1){b[N>>0]=O|-128;Q=K;K=pzc(K|0,M|0,7)|0;L=N+1|0;G=K&255;if(!(M>>>0>0|(M|0)==0&Q>>>0>16383)){T=L;U=G;break}else{N=L;O=G;M=J}}}else{T=R;U=P}b[T>>0]=U;S=T+1|0}if(!(c&1024))V=S;else{T=b[a+56>>0]|0;b[S>>0]=96;b[S+1>>0]=T;V=S+2|0}if(!(c&4096))W=V;else{c=b[a+64>>0]|0;b[V>>0]=104;b[V+1>>0]=c;W=V+2|0}V=f[a+4>>2]|0;if(!(V&1)){X=W;return X|0}X=Bbc(V&-2,W)|0;return X|0}function d4a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;if((a|0)==(c|0))return;d=a+8|0;e=f[d>>2]|0;if(e&255|0){g=a+16|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;f[g+16>>2]=0;f[g+20>>2]=0;f[g+24>>2]=0;f[g+28>>2]=0}if(e&7936|0){e=a+48|0;f[e>>2]=0;f[e+4>>2]=0;b[e+8>>0]=0;f[a+60>>2]=1;b[a+64>>0]=1}f[d>>2]=0;d=f[a+4>>2]|0;if(d&1|0?(e=d&-2,f[e>>2]|0):0)ebc(e);e=ovc(c,24728,20056,0)|0;if(!e){A9b(c,a);return}else{GZa(a,e);return}}function e4a(a,b){a=a|0;b=b|0;var c=0;c=ovc(b,24728,20056,0)|0;if(!c){A9b(b,a);return}else{GZa(a,c);return}}function f4a(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function g4a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224781]|0)!=2){f[d>>2]=151624;f[d+4>>2]=21;b[d+8>>0]=0;xLb(899124,d);QKb(d)}d=540888;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function h4a(a,b){a=a|0;b=b|0;if(!b)return;EIb(a,b,1978);return}function i4a(a){a=a|0;var b=0,c=0;f[a>>2]=125540;b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(c);f[b>>2]=0;return}function j4a(a){a=a|0;var b=0,c=0;f[a>>2]=125540;b=f[a+4>>2]|0;if(!(b&1)){fuc(a);return}c=b&-2;b=c;if((c|0)==0|(f[b+4>>2]|0)!=0){fuc(a);return}if(f[b>>2]|0)ebc(b);fuc(c);fuc(a);return}function k4a(a){a=a|0;a=cuc(40)|0;DZa(a);return a|0}function l4a(a,b){a=a|0;b=b|0;a=cuc(40)|0;DZa(a);if(!b)return a|0;x4a(b,a);return a|0}function m4a(a){a=a|0;var b=0,c=0;b=a+8|0;if(f[b>>2]&63|0){c=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[a+24>>2]=5;n[a+28>>2]=1.0;n[a+32>>2]=.75;n[a+36>>2]=1.0}f[b>>2]=0;b=f[a+4>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;ebc(a);return}function n4a(a){a=a|0;return 1}function o4a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;d=u;u=u+16|0;e=d;g=c+4|0;i=a+8|0;j=a+24|0;k=a+28|0;l=a+32|0;m=a+16|0;n=a+4|0;o=a+36|0;p=a+20|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){q=b[a>>0]|0;r=q&255;if(q<<24>>24>0){f[c>>2]=a+1;s=r;t=6}else{v=r;t=5}}else{v=0;t=5}if((t|0)==5){t=0;r=OJb(c,v)|0;if((r+-1|0)>>>0<127){s=r;t=6}else w=r}b:do if((t|0)==6){t=0;switch(s>>>3&536870911|0){case 1:{if((s&255|0)!=8){w=s;break b}f[i>>2]=f[i>>2]|4;r=f[c>>2]|0;if(r>>>0<(f[g>>2]|0)>>>0){a=b[r>>0]|0;q=a&255;if(a<<24>>24>-1){f[j>>2]=q;f[c>>2]=r+1;continue a}else x=q}else x=0;q=zJb(c,x)|0;r=J;f[j>>2]=q;if((r|0)>-1|(r|0)==-1&q>>>0>4294967295)continue a;else{y=0;t=60;break a}break}case 2:{if((s&255|0)!=21){w=s;break b}f[i>>2]=f[i>>2]|8;q=f[c>>2]|0;if(((f[g>>2]|0)-q|0)>3){r=q;a=h[r>>0]|h[r+1>>0]<<8|h[r+2>>0]<<16|h[r+3>>0]<<24;f[e>>2]=a;f[c>>2]=q+4;z=a}else{if(!(LJb(c,e)|0)){t=18;break a}z=f[e>>2]|0}f[k>>2]=z;continue a;break}case 3:{if((s&255|0)!=29){w=s;break b}f[i>>2]=f[i>>2]|16;a=f[c>>2]|0;if(((f[g>>2]|0)-a|0)>3){q=a;r=h[q>>0]|h[q+1>>0]<<8|h[q+2>>0]<<16|h[q+3>>0]<<24;f[e>>2]=r;f[c>>2]=a+4;A=r}else{if(!(LJb(c,e)|0)){t=25;break a}A=f[e>>2]|0}f[l>>2]=A;continue a;break}case 4:{if((s&255|0)!=32){w=s;break b}r=f[c>>2]|0;if(r>>>0<(f[g>>2]|0)>>>0){a=b[r>>0]|0;q=a&255;if(a<<24>>24>-1){f[c>>2]=r+1;B=q}else{C=q;t=30}}else{C=0;t=30}if((t|0)==30){t=0;q=zJb(c,C)|0;r=J;if((r|0)>-1|(r|0)==-1&q>>>0>4294967295)B=q;else{y=0;t=60;break a}}if(B>>>0<2){f[i>>2]=f[i>>2]|1;f[m>>2]=B;continue a}q=f[n>>2]|0;if(!(q&1))D=OOa(n)|0;else D=q&-2;kbc(D,4,B,((B|0)<0)<<31>>31);continue a;break}case 5:{if((s&255|0)!=45){w=s;break b}f[i>>2]=f[i>>2]|32;q=f[c>>2]|0;if(((f[g>>2]|0)-q|0)>3){r=q;a=h[r>>0]|h[r+1>>0]<<8|h[r+2>>0]<<16|h[r+3>>0]<<24;f[e>>2]=a;f[c>>2]=q+4;E=a}else{if(!(LJb(c,e)|0)){t=43;break a}E=f[e>>2]|0}f[o>>2]=E;continue a;break}case 6:{if((s&255|0)!=48){w=s;break b}a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){q=b[a>>0]|0;r=q&255;if(q<<24>>24>-1){f[c>>2]=a+1;F=r}else{G=r;t=48}}else{G=0;t=48}if((t|0)==48){t=0;r=zJb(c,G)|0;a=J;if((a|0)>-1|(a|0)==-1&r>>>0>4294967295)F=r;else{y=0;t=60;break a}}if(F>>>0<3){f[i>>2]=f[i>>2]|2;f[p>>2]=F;continue a}r=f[n>>2]|0;if(!(r&1))H=OOa(n)|0;else H=r&-2;kbc(H,6,F,((F|0)<0)<<31>>31);continue a;break}default:{w=s;break b}}}while(0);if(!w){y=1;t=60;break}r=f[n>>2]|0;if(!(r&1))I=OOa(n)|0;else I=r&-2;if(!(xbc(c,w,I)|0)){y=0;t=60;break}}if((t|0)==18){y=0;u=d;return y|0}else if((t|0)==25){y=0;u=d;return y|0}else if((t|0)==43){y=0;u=d;return y|0}else if((t|0)==60){u=d;return y|0}return 0}function p4a(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=Dbc(b&-2)|0;b=f[a+8>>2]|0;if(!(b&63)){d=c;e=a+12|0;f[e>>2]=d;return d|0}if(!(b&1))g=c;else{h=f[a+16>>2]|0;if((h|0)<0)i=11;else i=((((($(h|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;g=i+c|0}if(!(b&2))j=g;else{c=f[a+20>>2]|0;if((c|0)<0)k=11;else k=((((($(c|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;j=k+g|0}if(!(b&4))l=j;else l=j+1+((((($(f[a+24>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;j=b&8|0?l+5|0:l;l=b&16|0?j+5|0:j;d=b&32|0?l+5|0:l;e=a+12|0;f[e>>2]=d;return d|0}function q4a(a,b){a=a|0;b=b|0;var c=0;c=f[a+8>>2]|0;if(c&4|0)ILb(1,f[a+24>>2]|0,b);if(c&8|0)QLb(2,+n[a+28>>2],b);if(c&16|0)QLb(3,+n[a+32>>2],b);if(c&1|0)TLb(4,f[a+16>>2]|0,b);if(c&32|0)QLb(5,+n[a+36>>2],b);if(c&2|0)TLb(6,f[a+20>>2]|0,b);c=f[a+4>>2]|0;if(!(c&1))return;Abc(c&-2,b);return}function r4a(a){a=a|0;return f[a+12>>2]|0}function s4a(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;c=f[a+8>>2]|0;if(!(c&4))e=d;else{g=f[a+24>>2]|0;b[d>>0]=8;h=d+1|0;if(g>>>0>127){d=g;i=h;while(1){b[i>>0]=d|128;j=d>>>7;k=i+1|0;if(d>>>0>16383){d=j;i=k}else{l=k;m=j;break}}}else{l=h;m=g}b[l>>0]=m;e=l+1|0}if(!(c&8))n=e;else{l=f[a+28>>2]|0;b[e>>0]=21;m=e+1|0;b[m>>0]=l;b[m+1>>0]=l>>8;b[m+2>>0]=l>>16;b[m+3>>0]=l>>24;n=e+5|0}if(!(c&16))o=n;else{e=f[a+32>>2]|0;b[n>>0]=29;l=n+1|0;b[l>>0]=e;b[l+1>>0]=e>>8;b[l+2>>0]=e>>16;b[l+3>>0]=e>>24;o=n+5|0}if(!(c&1))p=o;else{n=f[a+16>>2]|0;b[o>>0]=32;e=o+1|0;o=n&255;if(n>>>0>127){l=e;m=o;g=n;h=((n|0)<0)<<31>>31;while(1){b[l>>0]=m|-128;n=g;g=pzc(g|0,h|0,7)|0;i=l+1|0;d=g&255;if(!(h>>>0>0|(h|0)==0&n>>>0>16383)){q=i;r=d;break}else{l=i;m=d;h=J}}}else{q=e;r=o}b[q>>0]=r;p=q+1|0}if(!(c&32))s=p;else{q=f[a+36>>2]|0;b[p>>0]=45;r=p+1|0;b[r>>0]=q;b[r+1>>0]=q>>8;b[r+2>>0]=q>>16;b[r+3>>0]=q>>24;s=p+5|0}if(!(c&2))t=s;else{c=f[a+20>>2]|0;b[s>>0]=48;p=s+1|0;s=c&255;if(c>>>0>127){q=p;r=s;o=c;e=((c|0)<0)<<31>>31;while(1){b[q>>0]=r|-128;c=o;o=pzc(o|0,e|0,7)|0;h=q+1|0;m=o&255;if(!(e>>>0>0|(e|0)==0&c>>>0>16383)){u=h;v=m;break}else{q=h;r=m;e=J}}}else{u=p;v=s}b[u>>0]=v;t=u+1|0}u=f[a+4>>2]|0;if(!(u&1)){w=t;return w|0}w=Bbc(u&-2,t)|0;return w|0}function t4a(a,b){a=a|0;b=b|0;var c=0,d=0;if((a|0)==(b|0))return;c=a+8|0;if(f[c>>2]&63|0){d=a+16|0;f[d>>2]=0;f[d+4>>2]=0;f[a+24>>2]=5;n[a+28>>2]=1.0;n[a+32>>2]=.75;n[a+36>>2]=1.0}f[c>>2]=0;c=f[a+4>>2]|0;if(c&1|0?(d=c&-2,f[d>>2]|0):0)ebc(d);d=ovc(b,24728,20072,0)|0;if(!d){A9b(b,a);return}else{EZa(a,d);return}}function u4a(a,b){a=a|0;b=b|0;var c=0;c=ovc(b,24728,20072,0)|0;if(!c){A9b(b,a);return}else{EZa(a,c);return}}function v4a(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function w4a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224781]|0)!=2){f[d>>2]=151624;f[d+4>>2]=21;b[d+8>>0]=0;xLb(899124,d);QKb(d)}d=540856;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function x4a(a,b){a=a|0;b=b|0;if(!b)return;EIb(a,b,1978);return}function y4a(a){a=a|0;var b=0,c=0;f[a>>2]=125648;if((a|0)!=538952){b=f[a+16>>2]|0;if(b|0)bi[f[(f[b>>2]|0)+4>>2]&2047](b);b=f[a+20>>2]|0;if(b|0)bi[f[(f[b>>2]|0)+4>>2]&2047](b)}b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(c);f[b>>2]=0;return}function z4a(a){a=a|0;var b=0,c=0;f[a>>2]=125648;if((a|0)!=538952){b=f[a+16>>2]|0;if(b|0)bi[f[(f[b>>2]|0)+4>>2]&2047](b);b=f[a+20>>2]|0;if(b|0)bi[f[(f[b>>2]|0)+4>>2]&2047](b)}b=f[a+4>>2]|0;if(!(b&1)){fuc(a);return}c=b&-2;b=c;if((c|0)==0|(f[b+4>>2]|0)!=0){fuc(a);return}if(f[b>>2]|0)ebc(b);fuc(c);fuc(a);return}function A4a(a){a=a|0;a=cuc(36)|0;BZa(a);return a|0}function B4a(a,b){a=a|0;b=b|0;a=cuc(36)|0;BZa(a);if(!b)return a|0;N4a(b,a);return a|0}function C4a(a){a=a|0;var c=0,d=0,e=0,g=0,h=0;c=a+8|0;d=f[c>>2]|0;if(d&3|0){if(d&1|0){e=f[a+16>>2]|0;g=e+8|0;h=f[g>>2]|0;if(h&1|0)ruc(f[e+16>>2]|0,540424)|0;if(h&254|0){h=e+20|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;f[e+36>>2]=-1;n[e+40>>2]=1.0;n[e+44>>2]=1.0}f[g>>2]=0;g=f[e+4>>2]|0;if(g&1|0?(e=g&-2,f[e>>2]|0):0)ebc(e)}if(d&2|0){e=f[a+20>>2]|0;g=e+8|0;h=f[g>>2]|0;if(h&1|0)ruc(f[e+16>>2]|0,540424)|0;if(h&254|0){h=e+20|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;f[e+36>>2]=-1;n[e+40>>2]=1.0;n[e+44>>2]=1.0}f[g>>2]=0;g=f[e+4>>2]|0;if(g&1|0?(e=g&-2,f[e>>2]|0):0)ebc(e)}}if(d&60|0){d=a+24|0;f[d>>2]=0;b[d+4>>0]=0;b[a+29>>0]=1;f[a+32>>2]=1}f[c>>2]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;ebc(a);return}function D4a(a){a=a|0;return 1}function E4a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0;d=u;u=u+16|0;e=d;g=c+4|0;h=a+8|0;i=a+24|0;j=a+29|0;k=e+8|0;l=a+16|0;m=e+4|0;n=a+20|0;o=e+4|0;p=a+32|0;q=a+28|0;r=e+8|0;s=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){t=b[a>>0]|0;v=t&255;if(t<<24>>24>0){f[c>>2]=a+1;w=v;x=6}else{y=v;x=5}}else{y=0;x=5}if((x|0)==5){x=0;v=OJb(c,y)|0;if((v+-1|0)>>>0<127){w=v;x=6}else z=v}b:do if((x|0)==6){x=0;switch(w>>>3&536870911|0){case 1:{if((w&255|0)!=8){z=w;break b}f[h>>2]=f[h>>2]|4;v=f[c>>2]|0;if(v>>>0<(f[g>>2]|0)>>>0){a=b[v>>0]|0;t=a&255;if(a<<24>>24>-1){f[i>>2]=t;f[c>>2]=v+1;continue a}else A=t}else A=0;t=zJb(c,A)|0;v=J;f[i>>2]=t;if((v|0)>-1|(v|0)==-1&t>>>0>4294967295)continue a;else{B=0;x=57;break a}break}case 2:{if((w&255|0)!=16){z=w;break b}f[h>>2]=f[h>>2]|16;t=f[c>>2]|0;if(t>>>0<(f[g>>2]|0)>>>0?(v=b[t>>0]|0,v<<24>>24>-1):0){f[c>>2]=t+1;C=v<<24>>24!=0}else{AJb(e,c);v=e;if(!(b[k>>0]|0)){B=0;x=57;break a}else C=(f[v>>2]|0)!=0|(f[v+4>>2]|0)!=0}b[j>>0]=C&1;continue a;break}case 3:{if((w&255|0)!=26){z=w;break b}f[h>>2]=f[h>>2]|1;v=f[l>>2]|0;if(!v){t=cuc(48)|0;DXa(t);f[l>>2]=t;D=t}else D=v;v=f[c>>2]|0;if(v>>>0<(f[g>>2]|0)>>>0?(t=b[v>>0]|0,t<<24>>24>-1):0){f[c>>2]=v+1;E=t&255}else{t=NJb(c)|0;if((t|0)>-1)E=t;else{B=0;x=57;break a}}yJb(e,c,E);if((f[m>>2]|0)<0){x=27;break a}if(!(Th[f[(f[D>>2]|0)+44>>2]&1023](D,c)|0)){x=27;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{B=0;x=57;break a}break}case 4:{if((w&255|0)!=34){z=w;break b}f[h>>2]=f[h>>2]|2;t=f[n>>2]|0;if(!t){v=cuc(48)|0;DXa(v);f[n>>2]=v;F=v}else F=t;t=f[c>>2]|0;if(t>>>0<(f[g>>2]|0)>>>0?(v=b[t>>0]|0,v<<24>>24>-1):0){f[c>>2]=t+1;G=v&255}else{v=NJb(c)|0;if((v|0)>-1)G=v;else{B=0;x=57;break a}}yJb(e,c,G);if((f[o>>2]|0)<0){x=38;break a}if(!(Th[f[(f[F>>2]|0)+44>>2]&1023](F,c)|0)){x=38;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{B=0;x=57;break a}break}case 5:{if((w&255|0)!=40){z=w;break b}f[h>>2]=f[h>>2]|32;v=f[c>>2]|0;if(v>>>0<(f[g>>2]|0)>>>0){t=b[v>>0]|0;a=t&255;if(t<<24>>24>-1){f[c>>2]=v+1;H=a}else{I=a;x=44}}else{I=0;x=44}if((x|0)==44){x=0;a=zJb(c,I)|0;v=J;if((v|0)>-1|(v|0)==-1&a>>>0>4294967295)H=a;else{B=0;x=57;break a}}f[p>>2]=H;continue a;break}case 6:{if((w&255|0)!=48){z=w;break b}f[h>>2]=f[h>>2]|8;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(v=b[a>>0]|0,v<<24>>24>-1):0){f[c>>2]=a+1;K=v<<24>>24!=0}else{AJb(e,c);v=e;if(!(b[r>>0]|0)){B=0;x=57;break a}else K=(f[v>>2]|0)!=0|(f[v+4>>2]|0)!=0}b[q>>0]=K&1;continue a;break}default:{z=w;break b}}}while(0);if(!z){B=1;x=57;break}v=f[s>>2]|0;if(!(v&1))L=OOa(s)|0;else L=v&-2;if(!(xbc(c,z,L)|0)){B=0;x=57;break}}if((x|0)==27){B=0;u=d;return B|0}else if((x|0)==38){B=0;u=d;return B|0}else if((x|0)==57){u=d;return B|0}return 0}function F4a(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=Dbc(b&-2)|0;b=a+8|0;d=f[b>>2]|0;if(!(d&63)){e=c;g=a+12|0;f[g>>2]=e;return e|0}if(!(d&1)){h=c;i=d}else{d=f[a+16>>2]|0;j=di[f[(f[d>>2]|0)+48>>2]&1023](d)|0;d=c+1+j+((((($(j|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=d;i=f[b>>2]|0}if(!(i&2)){k=h;l=i}else{i=f[a+20>>2]|0;d=di[f[(f[i>>2]|0)+48>>2]&1023](i)|0;i=h+1+d+((((($(d|1|0)|0)^31)*9|0)+73|0)>>>6)|0;k=i;l=f[b>>2]|0}if(!(l&4))m=k;else m=k+1+((((($(f[a+24>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;k=l&8|0?m+2|0:m;m=l&16|0?k+2|0:k;if(!(l&32)){e=m;g=a+12|0;f[g>>2]=e;return e|0}l=f[a+32>>2]|0;if((l|0)<0)n=11;else n=((((($(l|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;e=n+m|0;g=a+12|0;f[g>>2]=e;return e|0}function G4a(a,c){a=a|0;c=c|0;var d=0;d=f[a+8>>2]|0;if(d&4|0)ILb(1,f[a+24>>2]|0,c);if(d&16|0)SLb(2,(b[a+29>>0]|0)!=0,c);if(d&1|0)_Lb(3,f[a+16>>2]|0,c);if(d&2|0)_Lb(4,f[a+20>>2]|0,c);if(d&32|0)GLb(5,f[a+32>>2]|0,c);if(d&8|0)SLb(6,(b[a+28>>0]|0)!=0,c);d=f[a+4>>2]|0;if(!(d&1))return;Abc(d&-2,c);return}function H4a(a){a=a|0;return f[a+12>>2]|0}function I4a(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;e=f[a+8>>2]|0;if(!(e&4))g=d;else{h=f[a+24>>2]|0;b[d>>0]=8;i=d+1|0;if(h>>>0>127){d=h;j=i;while(1){b[j>>0]=d|128;k=d>>>7;l=j+1|0;if(d>>>0>16383){d=k;j=l}else{m=l;n=k;break}}}else{m=i;n=h}b[m>>0]=n;g=m+1|0}if(!(e&16))o=g;else{m=b[a+29>>0]|0;b[g>>0]=16;b[g+1>>0]=m;o=g+2|0}if(!(e&1))p=o;else{g=f[a+16>>2]|0;b[o>>0]=26;m=o+1|0;o=di[f[(f[g>>2]|0)+60>>2]&1023](g)|0;if(o>>>0>127){n=o;h=m;while(1){b[h>>0]=n|128;i=n>>>7;j=h+1|0;if(n>>>0>16383){n=i;h=j}else{q=j;r=i;break}}}else{q=m;r=o}b[q>>0]=r;p=li[f[(f[g>>2]|0)+64>>2]&511](g,c,q+1|0)|0}if(!(e&2))s=p;else{q=f[a+20>>2]|0;b[p>>0]=34;g=p+1|0;p=di[f[(f[q>>2]|0)+60>>2]&1023](q)|0;if(p>>>0>127){r=p;o=g;while(1){b[o>>0]=r|128;m=r>>>7;h=o+1|0;if(r>>>0>16383){r=m;o=h}else{t=h;u=m;break}}}else{t=g;u=p}b[t>>0]=u;s=li[f[(f[q>>2]|0)+64>>2]&511](q,c,t+1|0)|0}if(!(e&32))v=s;else{t=f[a+32>>2]|0;b[s>>0]=40;c=s+1|0;s=t&255;if(t>>>0>127){q=c;u=s;p=t;g=((t|0)<0)<<31>>31;while(1){b[q>>0]=u|-128;t=p;p=pzc(p|0,g|0,7)|0;o=q+1|0;r=p&255;if(!(g>>>0>0|(g|0)==0&t>>>0>16383)){w=o;x=r;break}else{q=o;u=r;g=J}}}else{w=c;x=s}b[w>>0]=x;v=w+1|0}if(!(e&8))y=v;else{e=b[a+28>>0]|0;b[v>>0]=48;b[v+1>>0]=e;y=v+2|0}v=f[a+4>>2]|0;if(!(v&1)){z=y;return z|0}z=Bbc(v&-2,y)|0;return z|0}function J4a(a,b){a=a|0;b=b|0;var c=0;if((a|0)==(b|0))return;C4a(a);c=ovc(b,24728,20088,0)|0;if(!c){A9b(b,a);return}else{CZa(a,c);return}}function K4a(a,b){a=a|0;b=b|0;var c=0;c=ovc(b,24728,20088,0)|0;if(!c){A9b(b,a);return}else{CZa(a,c);return}}function L4a(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function M4a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224781]|0)!=2){f[d>>2]=151624;f[d+4>>2]=21;b[d+8>>0]=0;xLb(899124,d);QKb(d)}d=540832;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function N4a(a,b){a=a|0;b=b|0;if(!b)return;EIb(a,b,1978);return}function O4a(a){a=a|0;var c=0,d=0;f[a>>2]=125756;c=f[a+16>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}c=a+4|0;a=f[c>>2]|0;if(!(a&1)){f[c>>2]=0;return}d=a&-2;a=d;if((d|0)==0|(f[a+4>>2]|0)!=0){f[c>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(d);f[c>>2]=0;return}function P4a(a){a=a|0;O4a(a);fuc(a);return}function Q4a(a){a=a|0;a=cuc(20)|0;AZa(a);return a|0}function R4a(a,b){a=a|0;b=b|0;a=cuc(20)|0;AZa(a);if(!b)return a|0;b5a(b,a);return a|0}function S4a(a){a=a|0;var c=0,d=0,e=0;c=a+8|0;do if(f[c>>2]&1|0){d=f[a+16>>2]|0;e=d+11|0;if((b[e>>0]|0)<0){b[f[d>>2]>>0]=0;f[d+4>>2]=0;break}else{b[d>>0]=0;b[e>>0]=0;break}}while(0);f[c>>2]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;ebc(a);return}function T4a(a){a=a|0;return 1}function U4a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=c+4|0;e=a+8|0;g=a+16|0;h=a+4|0;while(1){a=f[c>>2]|0;if(a>>>0<(f[d>>2]|0)>>>0){i=b[a>>0]|0;j=i&255;if(i<<24>>24>0){f[c>>2]=a+1;k=j;l=6}else{m=j;l=5}}else{m=0;l=5}if((l|0)==5){l=0;j=OJb(c,m)|0;if((j+-1|0)>>>0<127){k=j;l=6}else n=j}if((l|0)==6){l=0;if((k|0)==10){f[e>>2]=f[e>>2]|1;j=f[g>>2]|0;if((j|0)==542896){JEa(g,542896);o=f[g>>2]|0}else o=j;if($Lb(c,o)|0)continue;else{p=0;l=15;break}}else n=k}if(!n){p=1;l=15;break}j=f[h>>2]|0;if(!(j&1))q=OOa(h)|0;else q=j&-2;if(!(xbc(c,n,q)|0)){p=0;l=15;break}}if((l|0)==15)return p|0;return 0}function V4a(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0;c=f[a+4>>2]|0;if(!(c&1))d=0;else d=Dbc(c&-2)|0;if(!(f[a+8>>2]&1)){e=d;g=a+12|0;f[g>>2]=e;return e|0}c=f[a+16>>2]|0;h=b[c+11>>0]|0;i=h<<24>>24<0?f[c+4>>2]|0:h&255;e=d+1+i+((((($(i|1|0)|0)^31)*9|0)+73|0)>>>6)|0;g=a+12|0;f[g>>2]=e;return e|0}function W4a(a,b){a=a|0;b=b|0;var c=0;if(f[a+8>>2]&1|0)VLb(1,f[a+16>>2]|0,b);c=f[a+4>>2]|0;if(!(c&1))return;Abc(c&-2,b);return}function X4a(a){a=a|0;return f[a+12>>2]|0}function Y4a(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0;if(!(f[a+8>>2]&1))e=d;else{c=f[a+16>>2]|0;b[d>>0]=10;e=XJb(c,d+1|0)|0}d=f[a+4>>2]|0;if(!(d&1)){g=e;return g|0}g=Bbc(d&-2,e)|0;return g|0}function Z4a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;if((a|0)==(c|0))return;d=a+8|0;do if(f[d>>2]&1|0){e=f[a+16>>2]|0;g=e+11|0;if((b[g>>0]|0)<0){b[f[e>>2]>>0]=0;f[e+4>>2]=0;break}else{b[e>>0]=0;b[g>>0]=0;break}}while(0);f[d>>2]=0;d=f[a+4>>2]|0;if(d&1|0?(g=d&-2,f[g>>2]|0):0)ebc(g);_4a(a,c);return}function _4a(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=ovc(b,24728,20104,0)|0;if(!c){A9b(b,a);return}b=a+4|0;d=f[c+4>>2]|0;if(d&1|0){e=f[b>>2]|0;if(!(e&1))g=OOa(b)|0;else g=e&-2;hbc(g,d&-2)}if(!(f[c+8>>2]&1))return;d=a+8|0;f[d>>2]=f[d>>2]|1;d=a+16|0;a=f[c+16>>2]|0;c=f[d>>2]|0;if((c|0)==(a|0))return;if((c|0)==542896){JEa(d,a);return}else{ruc(c,a)|0;return}}function $4a(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function a5a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224781]|0)!=2){f[d>>2]=151624;f[d+4>>2]=21;b[d+8>>0]=0;xLb(899124,d);QKb(d)}d=540824;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function b5a(a,b){a=a|0;b=b|0;if(!b)return;EIb(a,b,1978);return}function c5a(a){a=a|0;var b=0,c=0;f[a>>2]=125864;s5a(a);b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(c);f[b>>2]=0;return}function d5a(a){a=a|0;c5a(a);fuc(a);return}function e5a(a){a=a|0;a=cuc(60)|0;yZa(a);return a|0}function f5a(a,b){a=a|0;b=b|0;a=cuc(60)|0;yZa(a);if(!b)return a|0;r5a(b,a);return a|0}function g5a(a){a=a|0;var c=0,d=0,e=0,g=0;c=a+8|0;d=f[c>>2]|0;do if(d&7|0){do if(d&1|0){e=f[a+16>>2]|0;g=e+11|0;if((b[g>>0]|0)<0){b[f[e>>2]>>0]=0;f[e+4>>2]=0;break}else{b[e>>0]=0;b[g>>0]=0;break}}while(0);do if(d&2|0){g=f[a+20>>2]|0;e=g+11|0;if((b[e>>0]|0)<0){b[f[g>>2]>>0]=0;f[g+4>>2]=0;break}else{b[g>>0]=0;b[e>>0]=0;break}}while(0);if(d&4|0){e=f[a+24>>2]|0;g=e+11|0;if((b[g>>0]|0)<0){b[f[e>>2]>>0]=0;f[e+4>>2]=0;break}else{b[e>>0]=0;b[g>>0]=0;break}}}while(0);if(d&248|0){g=a+28|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0}if(d&3840|0){f[a+44>>2]=0;b[a+48>>0]=1;n[a+52>>2]=1.0;f[a+56>>2]=1}f[c>>2]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;ebc(a);return}function h5a(a){a=a|0;return 1}function i5a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0;d=u;u=u+16|0;e=d;g=c+4|0;i=a+8|0;j=a+16|0;k=a+52|0;l=a+20|0;m=a+56|0;n=a+28|0;o=a+37|0;p=e+8|0;q=a+32|0;r=a+36|0;s=e+8|0;t=a+40|0;v=a+44|0;w=a+48|0;x=e+8|0;y=a+24|0;z=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){A=b[a>>0]|0;B=A&255;if(A<<24>>24>0){f[c>>2]=a+1;C=B;D=6}else{E=B;D=5}}else{E=0;D=5}if((D|0)==5){D=0;B=OJb(c,E)|0;if((B+-1|0)>>>0<127){C=B;D=6}else F=B}b:do if((D|0)==6){D=0;do switch(C>>>3&536870911|0){case 1:{if((C&255|0)!=10){F=C;break b}f[i>>2]=f[i>>2]|1;B=f[j>>2]|0;if((B|0)==542896){JEa(j,542896);G=f[j>>2]|0}else G=B;if($Lb(c,G)|0)continue a;else{H=0;D=74;break a}break}case 2:{if((C&255|0)!=21){F=C;break b}f[i>>2]=f[i>>2]|1024;B=f[c>>2]|0;if(((f[g>>2]|0)-B|0)>3){a=B;A=h[a>>0]|h[a+1>>0]<<8|h[a+2>>0]<<16|h[a+3>>0]<<24;f[e>>2]=A;f[c>>2]=B+4;I=A}else{if(!(LJb(c,e)|0)){D=17;break a}I=f[e>>2]|0}f[k>>2]=I;continue a;break}case 3:{if((C&255|0)!=26){F=C;break b}f[i>>2]=f[i>>2]|2;A=f[l>>2]|0;if((A|0)==542896){JEa(l,542896);K=f[l>>2]|0}else K=A;if($Lb(c,K)|0)continue a;else{H=0;D=74;break a}break}case 4:{if((C&255|0)!=32){F=C;break b}f[i>>2]=f[i>>2]|2048;A=f[c>>2]|0;if(A>>>0<(f[g>>2]|0)>>>0){B=b[A>>0]|0;a=B&255;if(B<<24>>24>-1){f[m>>2]=a;f[c>>2]=A+1;continue a}else L=a}else L=0;a=zJb(c,L)|0;A=J;f[m>>2]=a;if((A|0)>-1|(A|0)==-1&a>>>0>4294967295)continue a;else{H=0;D=74;break a}break}case 5:{if((C&255|0)!=40){F=C;break b}f[i>>2]=f[i>>2]|8;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){A=b[a>>0]|0;B=A&255;if(A<<24>>24>-1){f[n>>2]=B;f[c>>2]=a+1;continue a}else M=B}else M=0;B=zJb(c,M)|0;a=J;f[n>>2]=B;if((a|0)>-1|(a|0)==-1&B>>>0>4294967295)continue a;else{H=0;D=74;break a}break}case 6:{if((C&255|0)!=48){F=C;break b}f[i>>2]=f[i>>2]|64;B=f[c>>2]|0;if(B>>>0<(f[g>>2]|0)>>>0?(a=b[B>>0]|0,a<<24>>24>-1):0){f[c>>2]=B+1;N=a<<24>>24!=0}else{AJb(e,c);a=e;if(!(b[p>>0]|0)){H=0;D=74;break a}else N=(f[a>>2]|0)!=0|(f[a+4>>2]|0)!=0}b[o>>0]=N&1;continue a;break}case 7:{if((C&255|0)!=56){F=C;break b}f[i>>2]=f[i>>2]|16;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){B=b[a>>0]|0;A=B&255;if(B<<24>>24>-1){f[q>>2]=A;f[c>>2]=a+1;continue a}else O=A}else O=0;A=zJb(c,O)|0;a=J;f[q>>2]=A;if((a|0)>-1|(a|0)==-1&A>>>0>4294967295)continue a;else{H=0;D=74;break a}break}case 8:{if((C&255|0)!=64){F=C;break b}f[i>>2]=f[i>>2]|32;A=f[c>>2]|0;if(A>>>0<(f[g>>2]|0)>>>0?(a=b[A>>0]|0,a<<24>>24>-1):0){f[c>>2]=A+1;P=a<<24>>24!=0}else{AJb(e,c);a=e;if(!(b[s>>0]|0)){H=0;D=74;break a}else P=(f[a>>2]|0)!=0|(f[a+4>>2]|0)!=0}b[r>>0]=P&1;continue a;break}case 9:{if((C&255|0)!=72){F=C;break b}f[i>>2]=f[i>>2]|128;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){A=b[a>>0]|0;B=A&255;if(A<<24>>24>-1){f[t>>2]=B;f[c>>2]=a+1;continue a}else Q=B}else Q=0;B=zJb(c,Q)|0;a=J;f[t>>2]=B;if((a|0)>-1|(a|0)==-1&B>>>0>4294967295)continue a;else{H=0;D=74;break a}break}case 10:{if((C&255|0)!=80){F=C;break b}f[i>>2]=f[i>>2]|256;B=f[c>>2]|0;if(B>>>0<(f[g>>2]|0)>>>0){a=b[B>>0]|0;A=a&255;if(a<<24>>24>-1){f[v>>2]=A;f[c>>2]=B+1;continue a}else R=A}else R=0;A=zJb(c,R)|0;B=J;f[v>>2]=A;if((B|0)>-1|(B|0)==-1&A>>>0>4294967295)continue a;else{H=0;D=74;break a}break}case 11:{if((C&255|0)!=88){F=C;break b}f[i>>2]=f[i>>2]|512;A=f[c>>2]|0;if(A>>>0<(f[g>>2]|0)>>>0?(B=b[A>>0]|0,B<<24>>24>-1):0){f[c>>2]=A+1;S=B<<24>>24!=0}else{AJb(e,c);B=e;if(!(b[x>>0]|0)){H=0;D=74;break a}else S=(f[B>>2]|0)!=0|(f[B+4>>2]|0)!=0}b[w>>0]=S&1;continue a;break}case 12:{if((C&255|0)!=98){F=C;break b}f[i>>2]=f[i>>2]|4;B=f[y>>2]|0;if((B|0)==542896){JEa(y,542896);T=f[y>>2]|0}else T=B;if($Lb(c,T)|0)continue a;else{H=0;D=74;break a}break}default:{F=C;break b}}while(0)}while(0);if(!F){H=1;D=74;break}B=f[z>>2]|0;if(!(B&1))U=OOa(z)|0;else U=B&-2;if(!(xbc(c,F,U)|0)){H=0;D=74;break}}if((D|0)==17){H=0;u=d;return H|0}else if((D|0)==74){u=d;return H|0}return 0}function j5a(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;c=f[a+4>>2]|0;if(!(c&1))d=0;else d=Dbc(c&-2)|0;c=f[a+8>>2]|0;if(c&255){if(!(c&1))e=d;else{g=f[a+16>>2]|0;h=b[g+11>>0]|0;i=h<<24>>24<0?f[g+4>>2]|0:h&255;e=d+1+i+((((($(i|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(c&2))j=e;else{i=f[a+20>>2]|0;h=b[i+11>>0]|0;g=h<<24>>24<0?f[i+4>>2]|0:h&255;j=e+1+g+((((($(g|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(c&4))k=j;else{g=f[a+24>>2]|0;e=b[g+11>>0]|0;h=e<<24>>24<0?f[g+4>>2]|0:e&255;k=j+1+h+((((($(h|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(c&8))l=k;else l=k+1+((((($(f[a+28>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;if(!(c&16))m=l;else m=l+1+((((($(f[a+32>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;l=c&32|0?m+2|0:m;m=c&64|0?l+2|0:l;if(!(c&128))n=m;else n=m+1+((((($(f[a+40>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0}else n=d;if(!(c&3840)){o=n;p=a+12|0;f[p>>2]=o;return o|0}if(!(c&256))q=n;else q=n+1+((((($(f[a+44>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;n=c&512|0?q+2|0:q;q=c&1024|0?n+5|0:n;if(!(c&2048)){o=q;p=a+12|0;f[p>>2]=o;return o|0}o=q+1+((((($(f[a+56>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;p=a+12|0;f[p>>2]=o;return o|0}function k5a(a,c){a=a|0;c=c|0;var d=0;d=f[a+8>>2]|0;if(d&1|0)VLb(1,f[a+16>>2]|0,c);if(d&1024|0)QLb(2,+n[a+52>>2],c);if(d&2|0)VLb(3,f[a+20>>2]|0,c);if(d&2048|0)ILb(4,f[a+56>>2]|0,c);if(d&8|0)ILb(5,f[a+28>>2]|0,c);if(d&64|0)SLb(6,(b[a+37>>0]|0)!=0,c);if(d&16|0)ILb(7,f[a+32>>2]|0,c);if(d&32|0)SLb(8,(b[a+36>>0]|0)!=0,c);if(d&128|0)ILb(9,f[a+40>>2]|0,c);if(d&256|0)ILb(10,f[a+44>>2]|0,c);if(d&512|0)SLb(11,(b[a+48>>0]|0)!=0,c);if(d&4|0)VLb(12,f[a+24>>2]|0,c);d=f[a+4>>2]|0;if(!(d&1))return;Abc(d&-2,c);return}function l5a(a){a=a|0;return f[a+12>>2]|0}function m5a(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0;c=f[a+8>>2]|0;if(!(c&1))e=d;else{g=f[a+16>>2]|0;b[d>>0]=10;e=XJb(g,d+1|0)|0}if(!(c&1024))h=e;else{d=f[a+52>>2]|0;b[e>>0]=21;g=e+1|0;b[g>>0]=d;b[g+1>>0]=d>>8;b[g+2>>0]=d>>16;b[g+3>>0]=d>>24;h=e+5|0}if(!(c&2))i=h;else{e=f[a+20>>2]|0;b[h>>0]=26;i=XJb(e,h+1|0)|0}if(!(c&2048))j=i;else{h=f[a+56>>2]|0;b[i>>0]=32;e=i+1|0;if(h>>>0>127){i=h;d=e;while(1){b[d>>0]=i|128;g=i>>>7;k=d+1|0;if(i>>>0>16383){i=g;d=k}else{l=k;m=g;break}}}else{l=e;m=h}b[l>>0]=m;j=l+1|0}if(!(c&8))n=j;else{l=f[a+28>>2]|0;b[j>>0]=40;m=j+1|0;if(l>>>0>127){j=l;h=m;while(1){b[h>>0]=j|128;e=j>>>7;d=h+1|0;if(j>>>0>16383){j=e;h=d}else{o=d;p=e;break}}}else{o=m;p=l}b[o>>0]=p;n=o+1|0}if(!(c&64))q=n;else{o=b[a+37>>0]|0;b[n>>0]=48;b[n+1>>0]=o;q=n+2|0}if(!(c&16))r=q;else{n=f[a+32>>2]|0;b[q>>0]=56;o=q+1|0;if(n>>>0>127){q=n;p=o;while(1){b[p>>0]=q|128;l=q>>>7;m=p+1|0;if(q>>>0>16383){q=l;p=m}else{s=m;t=l;break}}}else{s=o;t=n}b[s>>0]=t;r=s+1|0}if(!(c&32))u=r;else{s=b[a+36>>0]|0;b[r>>0]=64;b[r+1>>0]=s;u=r+2|0}if(!(c&128))v=u;else{r=f[a+40>>2]|0;b[u>>0]=72;s=u+1|0;if(r>>>0>127){u=r;t=s;while(1){b[t>>0]=u|128;n=u>>>7;o=t+1|0;if(u>>>0>16383){u=n;t=o}else{w=o;x=n;break}}}else{w=s;x=r}b[w>>0]=x;v=w+1|0}if(!(c&256))y=v;else{w=f[a+44>>2]|0;b[v>>0]=80;x=v+1|0;if(w>>>0>127){v=w;r=x;while(1){b[r>>0]=v|128;s=v>>>7;t=r+1|0;if(v>>>0>16383){v=s;r=t}else{z=t;A=s;break}}}else{z=x;A=w}b[z>>0]=A;y=z+1|0}if(!(c&512))B=y;else{z=b[a+48>>0]|0;b[y>>0]=88;b[y+1>>0]=z;B=y+2|0}if(!(c&4))C=B;else{c=f[a+24>>2]|0;b[B>>0]=98;C=XJb(c,B+1|0)|0}B=f[a+4>>2]|0;if(!(B&1)){D=C;return D|0}D=Bbc(B&-2,C)|0;return D|0}function n5a(a,b){a=a|0;b=b|0;var c=0;if((a|0)==(b|0))return;g5a(a);c=ovc(b,24728,20120,0)|0;if(!c){A9b(b,a);return}else{zZa(a,c);return}}function o5a(a,b){a=a|0;b=b|0;var c=0;c=ovc(b,24728,20120,0)|0;if(!c){A9b(b,a);return}else{zZa(a,c);return}}function p5a(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function q5a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224781]|0)!=2){f[d>>2]=151624;f[d+4>>2]=21;b[d+8>>0]=0;xLb(899124,d);QKb(d)}d=540816;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function r5a(a,b){a=a|0;b=b|0;if(!b)return;EIb(a,b,1978);return}function s5a(a){a=a|0;var c=0;c=f[a+16>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}c=f[a+20>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}c=f[a+24>>2]|0;if((c|0)==542896|(c|0)==0)return;if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c);return}function t5a(a){a=a|0;var c=0,d=0;f[a>>2]=125972;c=f[a+16>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}c=a+4|0;a=f[c>>2]|0;if(!(a&1)){f[c>>2]=0;return}d=a&-2;a=d;if((d|0)==0|(f[a+4>>2]|0)!=0){f[c>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(d);f[c>>2]=0;return}function u5a(a){a=a|0;t5a(a);fuc(a);return}function v5a(a){a=a|0;a=cuc(28)|0;wZa(a);return a|0}function w5a(a,b){a=a|0;b=b|0;a=cuc(28)|0;wZa(a);if(!b)return a|0;I5a(b,a);return a|0}function x5a(a){a=a|0;var c=0,d=0,e=0,g=0;c=a+8|0;d=f[c>>2]|0;do if(d&1|0){e=f[a+16>>2]|0;g=e+11|0;if((b[g>>0]|0)<0){b[f[e>>2]>>0]=0;f[e+4>>2]=0;break}else{b[e>>0]=0;b[g>>0]=0;break}}while(0);if(d&6|0){d=a+20|0;f[d>>2]=0;b[d+4>>0]=0}f[c>>2]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;ebc(a);return}function y5a(a){a=a|0;return 1}function z5a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;d=u;u=u+16|0;e=d;g=c+4|0;h=a+8|0;i=a+16|0;j=a+20|0;k=a+24|0;l=e+8|0;m=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){n=b[a>>0]|0;o=n&255;if(n<<24>>24>0){f[c>>2]=a+1;p=o;q=6}else{r=o;q=5}}else{r=0;q=5}if((q|0)==5){q=0;o=OJb(c,r)|0;if((o+-1|0)>>>0<127){p=o;q=6}else s=o}b:do if((q|0)==6){q=0;switch(p>>>3&536870911|0){case 1:{if((p&255|0)!=10){s=p;break b}f[h>>2]=f[h>>2]|1;o=f[i>>2]|0;if((o|0)==542896){JEa(i,542896);t=f[i>>2]|0}else t=o;if($Lb(c,t)|0)continue a;else{v=0;q=27;break a}break}case 2:{if((p&255|0)!=16){s=p;break b}f[h>>2]=f[h>>2]|2;o=f[c>>2]|0;if(o>>>0<(f[g>>2]|0)>>>0){a=b[o>>0]|0;n=a&255;if(a<<24>>24>-1){f[j>>2]=n;f[c>>2]=o+1;continue a}else w=n}else w=0;n=zJb(c,w)|0;o=J;f[j>>2]=n;if((o|0)>-1|(o|0)==-1&n>>>0>4294967295)continue a;else{v=0;q=27;break a}break}case 3:{if((p&255|0)!=24){s=p;break b}f[h>>2]=f[h>>2]|4;n=f[c>>2]|0;if(n>>>0<(f[g>>2]|0)>>>0?(o=b[n>>0]|0,o<<24>>24>-1):0){f[c>>2]=n+1;x=o<<24>>24!=0}else{AJb(e,c);o=e;if(!(b[l>>0]|0)){v=0;q=27;break a}else x=(f[o>>2]|0)!=0|(f[o+4>>2]|0)!=0}b[k>>0]=x&1;continue a;break}default:{s=p;break b}}}while(0);if(!s){v=1;q=27;break}o=f[m>>2]|0;if(!(o&1))y=OOa(m)|0;else y=o&-2;if(!(xbc(c,s,y)|0)){v=0;q=27;break}}if((q|0)==27){u=d;return v|0}return 0}function A5a(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;c=f[a+4>>2]|0;if(!(c&1))d=0;else d=Dbc(c&-2)|0;c=f[a+8>>2]|0;if(!(c&7)){e=d;g=a+12|0;f[g>>2]=e;return e|0}if(!(c&1))h=d;else{i=f[a+16>>2]|0;j=b[i+11>>0]|0;k=j<<24>>24<0?f[i+4>>2]|0:j&255;h=d+1+k+((((($(k|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(c&2))l=h;else l=h+1+((((($(f[a+20>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;e=c&4|0?l+2|0:l;g=a+12|0;f[g>>2]=e;return e|0}function B5a(a,c){a=a|0;c=c|0;var d=0;d=f[a+8>>2]|0;if(d&1|0)VLb(1,f[a+16>>2]|0,c);if(d&2|0)ILb(2,f[a+20>>2]|0,c);if(d&4|0)SLb(3,(b[a+24>>0]|0)!=0,c);d=f[a+4>>2]|0;if(!(d&1))return;Abc(d&-2,c);return}function C5a(a){a=a|0;return f[a+12>>2]|0}function D5a(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;c=f[a+8>>2]|0;if(!(c&1))e=d;else{g=f[a+16>>2]|0;b[d>>0]=10;e=XJb(g,d+1|0)|0}if(!(c&2))h=e;else{d=f[a+20>>2]|0;b[e>>0]=16;g=e+1|0;if(d>>>0>127){e=d;i=g;while(1){b[i>>0]=e|128;j=e>>>7;k=i+1|0;if(e>>>0>16383){e=j;i=k}else{l=k;m=j;break}}}else{l=g;m=d}b[l>>0]=m;h=l+1|0}if(!(c&4))n=h;else{c=b[a+24>>0]|0;b[h>>0]=24;b[h+1>>0]=c;n=h+2|0}h=f[a+4>>2]|0;if(!(h&1)){o=n;return o|0}o=Bbc(h&-2,n)|0;return o|0}function E5a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;if((a|0)==(c|0))return;d=a+8|0;e=f[d>>2]|0;do if(e&1|0){g=f[a+16>>2]|0;h=g+11|0;if((b[h>>0]|0)<0){b[f[g>>2]>>0]=0;f[g+4>>2]=0;break}else{b[g>>0]=0;b[h>>0]=0;break}}while(0);if(e&6|0){e=a+20|0;f[e>>2]=0;b[e+4>>0]=0}f[d>>2]=0;d=f[a+4>>2]|0;if(d&1|0?(e=d&-2,f[e>>2]|0):0)ebc(e);e=ovc(c,24728,20136,0)|0;if(!e){A9b(c,a);return}else{xZa(a,e);return}}function F5a(a,b){a=a|0;b=b|0;var c=0;c=ovc(b,24728,20136,0)|0;if(!c){A9b(b,a);return}else{xZa(a,c);return}}function G5a(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function H5a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224781]|0)!=2){f[d>>2]=151624;f[d+4>>2]=21;b[d+8>>0]=0;xLb(899124,d);QKb(d)}d=540792;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function I5a(a,b){a=a|0;b=b|0;if(!b)return;EIb(a,b,1978);return}function J5a(a){a=a|0;var b=0,c=0;f[a>>2]=126080;b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(c);f[b>>2]=0;return}function K5a(a){a=a|0;var b=0,c=0;f[a>>2]=126080;b=f[a+4>>2]|0;if(!(b&1)){fuc(a);return}c=b&-2;b=c;if((c|0)==0|(f[b+4>>2]|0)!=0){fuc(a);return}if(f[b>>2]|0)ebc(b);fuc(c);fuc(a);return}function L5a(a){a=a|0;a=cuc(24)|0;vZa(a);return a|0}function M5a(a,b){a=a|0;b=b|0;a=cuc(24)|0;vZa(a);if(!b)return a|0;Y5a(b,a);return a|0}function N5a(a){a=a|0;var c=0;c=a+8|0;if(f[c>>2]&3|0){n[a+16>>2]=.5;b[a+20>>0]=1}f[c>>2]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;ebc(a);return}function O5a(a){a=a|0;return 1}function P5a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;d=u;u=u+16|0;e=d;g=c+4|0;i=a+8|0;j=a+16|0;k=a+20|0;l=e+8|0;m=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){n=b[a>>0]|0;o=n&255;if(n<<24>>24>0){f[c>>2]=a+1;p=o;q=6}else{r=o;q=5}}else{r=0;q=5}if((q|0)==5){q=0;o=OJb(c,r)|0;if((o+-1|0)>>>0<127){p=o;q=6}else s=o}b:do if((q|0)==6){q=0;switch(p>>>3&536870911|0){case 1:{if((p&255|0)!=13){s=p;break b}f[i>>2]=f[i>>2]|1;o=f[c>>2]|0;if(((f[g>>2]|0)-o|0)>3){a=o;n=h[a>>0]|h[a+1>>0]<<8|h[a+2>>0]<<16|h[a+3>>0]<<24;f[e>>2]=n;f[c>>2]=o+4;t=n}else{if(!(LJb(c,e)|0)){q=13;break a}t=f[e>>2]|0}f[j>>2]=t;continue a;break}case 2:{if((p&255|0)!=16){s=p;break b}f[i>>2]=f[i>>2]|2;n=f[c>>2]|0;if(n>>>0<(f[g>>2]|0)>>>0?(o=b[n>>0]|0,o<<24>>24>-1):0){f[c>>2]=n+1;v=o<<24>>24!=0}else{AJb(e,c);o=e;if(!(b[l>>0]|0)){w=0;q=25;break a}else v=(f[o>>2]|0)!=0|(f[o+4>>2]|0)!=0}b[k>>0]=v&1;continue a;break}default:{s=p;break b}}}while(0);if(!s){w=1;q=25;break}o=f[m>>2]|0;if(!(o&1))x=OOa(m)|0;else x=o&-2;if(!(xbc(c,s,x)|0)){w=0;q=25;break}}if((q|0)==13){w=0;u=d;return w|0}else if((q|0)==25){u=d;return w|0}return 0}function Q5a(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=Dbc(b&-2)|0;b=f[a+8>>2]|0;if(!(b&3)){d=c;e=a+12|0;f[e>>2]=d;return d|0}g=b&1|0?c+5|0:c;d=b&2|0?g+2|0:g;e=a+12|0;f[e>>2]=d;return d|0}function R5a(a,c){a=a|0;c=c|0;var d=0;d=f[a+8>>2]|0;if(d&1|0)QLb(1,+n[a+16>>2],c);if(d&2|0)SLb(2,(b[a+20>>0]|0)!=0,c);d=f[a+4>>2]|0;if(!(d&1))return;Abc(d&-2,c);return}function S5a(a){a=a|0;return f[a+12>>2]|0}function T5a(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0;c=f[a+8>>2]|0;if(!(c&1))e=d;else{g=f[a+16>>2]|0;b[d>>0]=13;h=d+1|0;b[h>>0]=g;b[h+1>>0]=g>>8;b[h+2>>0]=g>>16;b[h+3>>0]=g>>24;e=d+5|0}if(!(c&2))i=e;else{c=b[a+20>>0]|0;b[e>>0]=16;b[e+1>>0]=c;i=e+2|0}e=f[a+4>>2]|0;if(!(e&1)){j=i;return j|0}j=Bbc(e&-2,i)|0;return j|0}function U5a(a,c){a=a|0;c=c|0;var d=0,e=0;if((a|0)==(c|0))return;d=a+8|0;if(f[d>>2]&3|0){n[a+16>>2]=.5;b[a+20>>0]=1}f[d>>2]=0;d=f[a+4>>2]|0;if(d&1|0?(e=d&-2,f[e>>2]|0):0)ebc(e);V5a(a,c);return}function V5a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;d=ovc(c,24728,20152,0)|0;if(!d){A9b(c,a);return}c=a+4|0;e=f[d+4>>2]|0;if(e&1|0){g=f[c>>2]|0;if(!(g&1))h=OOa(c)|0;else h=g&-2;hbc(h,e&-2)}e=f[d+8>>2]|0;if(!(e&3))return;if(e&1|0)f[a+16>>2]=f[d+16>>2];if(e&2|0)b[a+20>>0]=b[d+20>>0]|0;d=a+8|0;f[d>>2]=f[d>>2]|e;return}function W5a(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function X5a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224781]|0)!=2){f[d>>2]=151624;f[d+4>>2]=21;b[d+8>>0]=0;xLb(899124,d);QKb(d)}d=540736;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function Y5a(a,b){a=a|0;b=b|0;if(!b)return;EIb(a,b,1978);return}function Z5a(a){a=a|0;var c=0,d=0;f[a>>2]=126188;c=f[a+16>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}c=f[a+20>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}c=a+4|0;a=f[c>>2]|0;if(!(a&1)){f[c>>2]=0;return}d=a&-2;a=d;if((d|0)==0|(f[a+4>>2]|0)!=0){f[c>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(d);f[c>>2]=0;return}function _5a(a){a=a|0;Z5a(a);fuc(a);return}function $5a(a){a=a|0;a=cuc(52)|0;tZa(a);return a|0}function a6a(a,b){a=a|0;b=b|0;a=cuc(52)|0;tZa(a);if(!b)return a|0;m6a(b,a);return a|0}function b6a(a){a=a|0;var c=0,d=0,e=0,g=0;c=a+8|0;d=f[c>>2]|0;do if(d&3|0){do if(d&1|0){e=f[a+16>>2]|0;g=e+11|0;if((b[g>>0]|0)<0){b[f[e>>2]>>0]=0;f[e+4>>2]=0;break}else{b[e>>0]=0;b[g>>0]=0;break}}while(0);if(d&2|0){g=f[a+20>>2]|0;e=g+11|0;if((b[e>>0]|0)<0){b[f[g>>2]>>0]=0;f[g+4>>2]=0;break}else{b[g>>0]=0;b[e>>0]=0;break}}}while(0);if(d&252|0){e=a+24|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;f[e+16>>2]=0}if(d&768|0){n[a+44>>2]=1.0;f[a+48>>2]=4}f[c>>2]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;ebc(a);return}function c6a(a){a=a|0;return 1}function d6a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0;d=u;u=u+16|0;e=d;g=c+4|0;i=a+8|0;j=a+16|0;k=a+44|0;l=a+20|0;m=a+24|0;n=a+28|0;o=a+36|0;p=e+8|0;q=a+32|0;r=a+40|0;s=a+4|0;t=a+37|0;v=e+8|0;w=a+48|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){x=b[a>>0]|0;y=x&255;if(x<<24>>24>0){f[c>>2]=a+1;z=y;A=6}else{B=y;A=5}}else{B=0;A=5}if((A|0)==5){A=0;y=OJb(c,B)|0;if((y+-1|0)>>>0<127){z=y;A=6}else C=y}b:do if((A|0)==6){A=0;do switch(z>>>3&536870911|0){case 1:{if((z&255|0)!=10){C=z;break b}f[i>>2]=f[i>>2]|1;y=f[j>>2]|0;if((y|0)==542896){JEa(j,542896);D=f[j>>2]|0}else D=y;if($Lb(c,D)|0)continue a;else{E=0;A=70;break a}break}case 2:{if((z&255|0)!=21){C=z;break b}f[i>>2]=f[i>>2]|256;y=f[c>>2]|0;if(((f[g>>2]|0)-y|0)>3){a=y;x=h[a>>0]|h[a+1>>0]<<8|h[a+2>>0]<<16|h[a+3>>0]<<24;f[e>>2]=x;f[c>>2]=y+4;F=x}else{if(!(LJb(c,e)|0)){A=17;break a}F=f[e>>2]|0}f[k>>2]=F;continue a;break}case 3:{if((z&255|0)!=26){C=z;break b}f[i>>2]=f[i>>2]|2;x=f[l>>2]|0;if((x|0)==542896){JEa(l,542896);G=f[l>>2]|0}else G=x;if($Lb(c,G)|0)continue a;else{E=0;A=70;break a}break}case 4:{if((z&255|0)!=32){C=z;break b}f[i>>2]=f[i>>2]|4;x=f[c>>2]|0;if(x>>>0<(f[g>>2]|0)>>>0){y=b[x>>0]|0;a=y&255;if(y<<24>>24>-1){f[m>>2]=a;f[c>>2]=x+1;continue a}else H=a}else H=0;a=zJb(c,H)|0;x=J;f[m>>2]=a;if((x|0)>-1|(x|0)==-1&a>>>0>4294967295)continue a;else{E=0;A=70;break a}break}case 5:{if((z&255|0)!=40){C=z;break b}f[i>>2]=f[i>>2]|8;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){x=b[a>>0]|0;y=x&255;if(x<<24>>24>-1){f[n>>2]=y;f[c>>2]=a+1;continue a}else I=y}else I=0;y=zJb(c,I)|0;a=J;f[n>>2]=y;if((a|0)>-1|(a|0)==-1&y>>>0>4294967295)continue a;else{E=0;A=70;break a}break}case 6:{if((z&255|0)!=48){C=z;break b}f[i>>2]=f[i>>2]|32;y=f[c>>2]|0;if(y>>>0<(f[g>>2]|0)>>>0?(a=b[y>>0]|0,a<<24>>24>-1):0){f[c>>2]=y+1;K=a<<24>>24!=0}else{AJb(e,c);a=e;if(!(b[p>>0]|0)){E=0;A=70;break a}else K=(f[a>>2]|0)!=0|(f[a+4>>2]|0)!=0}b[o>>0]=K&1;continue a;break}case 7:{if((z&255|0)!=56){C=z;break b}f[i>>2]=f[i>>2]|16;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){y=b[a>>0]|0;x=y&255;if(y<<24>>24>-1){f[q>>2]=x;f[c>>2]=a+1;continue a}else L=x}else L=0;x=zJb(c,L)|0;a=J;f[q>>2]=x;if((a|0)>-1|(a|0)==-1&x>>>0>4294967295)continue a;else{E=0;A=70;break a}break}case 8:{if((z&255|0)!=64){C=z;break b}x=f[c>>2]|0;if(x>>>0<(f[g>>2]|0)>>>0){a=b[x>>0]|0;y=a&255;if(a<<24>>24>-1){f[c>>2]=x+1;M=y}else{N=y;A=47}}else{N=0;A=47}if((A|0)==47){A=0;y=zJb(c,N)|0;x=J;if((x|0)>-1|(x|0)==-1&y>>>0>4294967295)M=y;else{E=0;A=70;break a}}if(M>>>0<2){f[i>>2]=f[i>>2]|128;f[r>>2]=M;continue a}y=f[s>>2]|0;if(!(y&1))O=OOa(s)|0;else O=y&-2;kbc(O,8,M,((M|0)<0)<<31>>31);continue a;break}case 9:{if((z&255|0)!=72){C=z;break b}f[i>>2]=f[i>>2]|64;y=f[c>>2]|0;if(y>>>0<(f[g>>2]|0)>>>0?(x=b[y>>0]|0,x<<24>>24>-1):0){f[c>>2]=y+1;P=x<<24>>24!=0}else{AJb(e,c);x=e;if(!(b[v>>0]|0)){E=0;A=70;break a}else P=(f[x>>2]|0)!=0|(f[x+4>>2]|0)!=0}b[t>>0]=P&1;continue a;break}case 10:{if((z&255|0)!=80){C=z;break b}f[i>>2]=f[i>>2]|512;x=f[c>>2]|0;if(x>>>0<(f[g>>2]|0)>>>0){y=b[x>>0]|0;a=y&255;if(y<<24>>24>-1){f[w>>2]=a;f[c>>2]=x+1;continue a}else Q=a}else Q=0;a=zJb(c,Q)|0;x=J;f[w>>2]=a;if((x|0)>-1|(x|0)==-1&a>>>0>4294967295)continue a;else{E=0;A=70;break a}break}default:{C=z;break b}}while(0)}while(0);if(!C){E=1;A=70;break}a=f[s>>2]|0;if(!(a&1))R=OOa(s)|0;else R=a&-2;if(!(xbc(c,C,R)|0)){E=0;A=70;break}}if((A|0)==17){E=0;u=d;return E|0}else if((A|0)==70){u=d;return E|0}return 0}function e6a(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;c=f[a+4>>2]|0;if(!(c&1))d=0;else d=Dbc(c&-2)|0;c=f[a+8>>2]|0;if(c&255){if(!(c&1))e=d;else{g=f[a+16>>2]|0;h=b[g+11>>0]|0;i=h<<24>>24<0?f[g+4>>2]|0:h&255;e=d+1+i+((((($(i|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(c&2))j=e;else{i=f[a+20>>2]|0;h=b[i+11>>0]|0;g=h<<24>>24<0?f[i+4>>2]|0:h&255;j=e+1+g+((((($(g|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(c&4))k=j;else k=j+1+((((($(f[a+24>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;if(!(c&8))l=k;else l=k+1+((((($(f[a+28>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;if(!(c&16))m=l;else m=l+1+((((($(f[a+32>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;l=c&32|0?m+2|0:m;m=c&64|0?l+2|0:l;if(!(c&128))n=m;else{l=f[a+40>>2]|0;if((l|0)<0)o=11;else o=((((($(l|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;n=o+m|0}}else n=d;if(!(c&768)){p=n;q=a+12|0;f[q>>2]=p;return p|0}d=c&256|0?n+5|0:n;if(!(c&512)){p=d;q=a+12|0;f[q>>2]=p;return p|0}p=d+1+((((($(f[a+48>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;q=a+12|0;f[q>>2]=p;return p|0}function f6a(a,c){a=a|0;c=c|0;var d=0;d=f[a+8>>2]|0;if(d&1|0)VLb(1,f[a+16>>2]|0,c);if(d&256|0)QLb(2,+n[a+44>>2],c);if(d&2|0)VLb(3,f[a+20>>2]|0,c);if(d&4|0)ILb(4,f[a+24>>2]|0,c);if(d&8|0)ILb(5,f[a+28>>2]|0,c);if(d&32|0)SLb(6,(b[a+36>>0]|0)!=0,c);if(d&16|0)ILb(7,f[a+32>>2]|0,c);if(d&128|0)TLb(8,f[a+40>>2]|0,c);if(d&64|0)SLb(9,(b[a+37>>0]|0)!=0,c);if(d&512|0)ILb(10,f[a+48>>2]|0,c);d=f[a+4>>2]|0;if(!(d&1))return;Abc(d&-2,c);return}function g6a(a){a=a|0;return f[a+12>>2]|0}function h6a(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;c=f[a+8>>2]|0;if(!(c&1))e=d;else{g=f[a+16>>2]|0;b[d>>0]=10;e=XJb(g,d+1|0)|0}if(!(c&256))h=e;else{d=f[a+44>>2]|0;b[e>>0]=21;g=e+1|0;b[g>>0]=d;b[g+1>>0]=d>>8;b[g+2>>0]=d>>16;b[g+3>>0]=d>>24;h=e+5|0}if(!(c&2))i=h;else{e=f[a+20>>2]|0;b[h>>0]=26;i=XJb(e,h+1|0)|0}if(!(c&4))j=i;else{h=f[a+24>>2]|0;b[i>>0]=32;e=i+1|0;if(h>>>0>127){i=h;d=e;while(1){b[d>>0]=i|128;g=i>>>7;k=d+1|0;if(i>>>0>16383){i=g;d=k}else{l=k;m=g;break}}}else{l=e;m=h}b[l>>0]=m;j=l+1|0}if(!(c&8))n=j;else{l=f[a+28>>2]|0;b[j>>0]=40;m=j+1|0;if(l>>>0>127){j=l;h=m;while(1){b[h>>0]=j|128;e=j>>>7;d=h+1|0;if(j>>>0>16383){j=e;h=d}else{o=d;p=e;break}}}else{o=m;p=l}b[o>>0]=p;n=o+1|0}if(!(c&32))q=n;else{o=b[a+36>>0]|0;b[n>>0]=48;b[n+1>>0]=o;q=n+2|0}if(!(c&16))r=q;else{n=f[a+32>>2]|0;b[q>>0]=56;o=q+1|0;if(n>>>0>127){q=n;p=o;while(1){b[p>>0]=q|128;l=q>>>7;m=p+1|0;if(q>>>0>16383){q=l;p=m}else{s=m;t=l;break}}}else{s=o;t=n}b[s>>0]=t;r=s+1|0}if(!(c&128))u=r;else{s=f[a+40>>2]|0;b[r>>0]=64;t=r+1|0;r=s&255;if(s>>>0>127){n=t;o=r;p=s;q=((s|0)<0)<<31>>31;while(1){b[n>>0]=o|-128;s=p;p=pzc(p|0,q|0,7)|0;l=n+1|0;m=p&255;if(!(q>>>0>0|(q|0)==0&s>>>0>16383)){v=l;w=m;break}else{n=l;o=m;q=J}}}else{v=t;w=r}b[v>>0]=w;u=v+1|0}if(!(c&64))x=u;else{v=b[a+37>>0]|0;b[u>>0]=72;b[u+1>>0]=v;x=u+2|0}if(!(c&512))y=x;else{c=f[a+48>>2]|0;b[x>>0]=80;u=x+1|0;if(c>>>0>127){x=c;v=u;while(1){b[v>>0]=x|128;w=x>>>7;r=v+1|0;if(x>>>0>16383){x=w;v=r}else{z=r;A=w;break}}}else{z=u;A=c}b[z>>0]=A;y=z+1|0}z=f[a+4>>2]|0;if(!(z&1)){B=y;return B|0}B=Bbc(z&-2,y)|0;return B|0}function i6a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;if((a|0)==(c|0))return;d=a+8|0;e=f[d>>2]|0;do if(e&3|0){do if(e&1|0){g=f[a+16>>2]|0;h=g+11|0;if((b[h>>0]|0)<0){b[f[g>>2]>>0]=0;f[g+4>>2]=0;break}else{b[g>>0]=0;b[h>>0]=0;break}}while(0);if(e&2|0){h=f[a+20>>2]|0;g=h+11|0;if((b[g>>0]|0)<0){b[f[h>>2]>>0]=0;f[h+4>>2]=0;break}else{b[h>>0]=0;b[g>>0]=0;break}}}while(0);if(e&252|0){g=a+24|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;f[g+16>>2]=0}if(e&768|0){n[a+44>>2]=1.0;f[a+48>>2]=4}f[d>>2]=0;d=f[a+4>>2]|0;if(d&1|0?(e=d&-2,f[e>>2]|0):0)ebc(e);e=ovc(c,24728,20168,0)|0;if(!e){A9b(c,a);return}else{uZa(a,e);return}}function j6a(a,b){a=a|0;b=b|0;var c=0;c=ovc(b,24728,20168,0)|0;if(!c){A9b(b,a);return}else{uZa(a,c);return}}function k6a(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function l6a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224781]|0)!=2){f[d>>2]=151624;f[d+4>>2]=21;b[d+8>>0]=0;xLb(899124,d);QKb(d)}d=540712;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function m6a(a,b){a=a|0;b=b|0;if(!b)return;EIb(a,b,1978);return}function n6a(a){a=a|0;var b=0,c=0;f[a>>2]=126296;if((a|0)!=538224){b=f[a+64>>2]|0;if(b|0)bi[f[(f[b>>2]|0)+4>>2]&2047](b);b=f[a+68>>2]|0;if(b|0)bi[f[(f[b>>2]|0)+4>>2]&2047](b)}b=f[a+60>>2]|0;if(b|0?(f[b>>2]|0)==0:0)fuc(b);b=f[a+48>>2]|0;if(b|0?(f[b>>2]|0)==0:0)fuc(b);b=f[a+36>>2]|0;if(b|0?(f[b>>2]|0)==0:0)fuc(b);b=f[a+24>>2]|0;if(b|0?(f[b>>2]|0)==0:0)fuc(b);b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(c);f[b>>2]=0;return}function o6a(a){a=a|0;n6a(a);fuc(a);return}function p6a(a){a=a|0;a=cuc(120)|0;rZa(a);return a|0}function q6a(a,b){a=a|0;b=b|0;a=cuc(120)|0;rZa(a);if(!b)return a|0;C6a(b,a);return a|0}function r6a(a){a=a|0;var c=0,d=0,e=0,g=0,h=0;f[a+16>>2]=0;f[a+28>>2]=0;f[a+40>>2]=0;f[a+52>>2]=0;c=a+8|0;d=f[c>>2]|0;if(d&3|0){if(d&1|0){e=f[a+64>>2]|0;g=e+8|0;h=f[g>>2]|0;if(h&1|0)ruc(f[e+16>>2]|0,540424)|0;if(h&254|0){h=e+20|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;f[e+36>>2]=-1;n[e+40>>2]=1.0;n[e+44>>2]=1.0}f[g>>2]=0;g=f[e+4>>2]|0;if(g&1|0?(e=g&-2,f[e>>2]|0):0)ebc(e)}if(d&2|0){e=f[a+68>>2]|0;g=e+8|0;h=f[g>>2]|0;if(h&1|0)ruc(f[e+16>>2]|0,540424)|0;if(h&254|0){h=e+20|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;f[e+36>>2]=-1;n[e+40>>2]=1.0;n[e+44>>2]=1.0}f[g>>2]=0;g=f[e+4>>2]|0;if(g&1|0?(e=g&-2,f[e>>2]|0):0)ebc(e)}}if(d&252|0){e=a+72|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;f[e+16>>2]=0;f[e+20>>2]=0}if(d&16128|0){d=a+96|0;f[d>>2]=0;f[d+4>>2]=0;b[d+8>>0]=0;f[a+108>>2]=1;b[a+112>>0]=1;f[a+116>>2]=1}f[c>>2]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;ebc(a);return}function s6a(a){a=a|0;return 1}function t6a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0;d=u;u=u+16|0;e=d;g=c+4|0;i=a+8|0;j=a+72|0;k=a+112|0;l=e+8|0;m=a+16|0;n=a+20|0;o=a+24|0;p=a+28|0;q=a+32|0;r=a+36|0;s=a+116|0;t=a+40|0;v=a+44|0;w=a+48|0;x=a+64|0;y=e+4|0;z=a+68|0;A=e+4|0;B=a+76|0;C=a+80|0;D=a+84|0;E=a+88|0;F=a+92|0;G=a+96|0;H=a+100|0;I=a+4|0;K=a+108|0;L=a+104|0;M=e+8|0;N=a+52|0;O=a+56|0;P=a+60|0;a:while(1){a=f[c>>2]|0;Q=f[g>>2]|0;do if(a>>>0<Q>>>0){R=b[a>>0]|0;S=R&255;T=a+1|0;if(R<<24>>24>0){U=T;V=S}else{if(T>>>0>=Q>>>0){W=S;X=7;break}R=h[T>>0]|0;if(((R^128)&S)>>>0<=127){W=S;X=7;break}U=a+2|0;V=S+-128+(R<<7)|0}f[c>>2]=U;Y=V;X=9}else{W=0;X=7}while(0);if((X|0)==7){X=0;a=OJb(c,W)|0;if((a+-1|0)>>>0<16383){Y=a;X=9}else Z=a}b:do if((X|0)==9){X=0;do switch(Y>>>3&536870911|0){case 1:{if((Y&255|0)!=8){Z=Y;break b}f[i>>2]=f[i>>2]|4;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){Q=b[a>>0]|0;R=Q&255;if(Q<<24>>24>-1){f[j>>2]=R;f[c>>2]=a+1;continue a}else _=R}else _=0;R=zJb(c,_)|0;a=J;f[j>>2]=R;if((a|0)>-1|(a|0)==-1&R>>>0>4294967295)continue a;else{$=0;X=175;break a}break}case 2:{if((Y&255|0)!=16){Z=Y;break b}f[i>>2]=f[i>>2]|4096;R=f[c>>2]|0;if(R>>>0<(f[g>>2]|0)>>>0?(a=b[R>>0]|0,a<<24>>24>-1):0){f[c>>2]=R+1;aa=a<<24>>24!=0}else{AJb(e,c);a=e;if(!(b[l>>0]|0)){$=0;X=175;break a}else aa=(f[a>>2]|0)!=0|(f[a+4>>2]|0)!=0}b[k>>0]=aa&1;continue a;break}case 3:{switch((Y&255)<<24>>24){case 24:break;case 26:{if(M0a(c,m)|0)continue a;else{$=0;X=175;break a}break}default:{Z=Y;break b}}a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){R=b[a>>0]|0;Q=R&255;if(R<<24>>24>-1){f[c>>2]=a+1;ba=Q}else{ca=Q;X=25}}else{ca=0;X=25}if((X|0)==25){X=0;Q=zJb(c,ca)|0;a=J;if((a|0)>-1|(a|0)==-1&Q>>>0>4294967295)ba=Q;else{$=0;X=175;break a}}Q=f[m>>2]|0;if((Q|0)==(f[n>>2]|0)){UEa(m,Q+1|0);da=f[m>>2]|0}else da=Q;Q=f[o>>2]|0;f[m>>2]=da+1;f[Q+4+(da<<2)>>2]=ba;a=(f[n>>2]|0)-(f[m>>2]|0)|0;if((a|0)>0){ea=a;fa=Q}else continue a;while(1){Q=f[c>>2]|0;a=f[g>>2]|0;if(Q>>>0>=a>>>0)continue a;if((b[Q>>0]|0)!=24)continue a;R=Q+1|0;f[c>>2]=R;if(R>>>0<a>>>0){a=b[R>>0]|0;R=a&255;if(a<<24>>24>-1){f[c>>2]=Q+2;ga=R;ha=fa}else{ia=R;X=33}}else{ia=0;X=33}if((X|0)==33){X=0;R=zJb(c,ia)|0;Q=J;if(!((Q|0)>-1|(Q|0)==-1&R>>>0>4294967295)){$=0;X=175;break a}ga=R;ha=f[o>>2]|0}R=f[m>>2]|0;f[m>>2]=R+1;f[ha+4+(R<<2)>>2]=ga;if((ea|0)>1){ea=ea+-1|0;fa=ha}else continue a}break}case 4:{switch((Y&255)<<24>>24){case 32:break;case 34:{if(M0a(c,p)|0)continue a;else{$=0;X=175;break a}break}default:{Z=Y;break b}}R=f[c>>2]|0;if(R>>>0<(f[g>>2]|0)>>>0){Q=b[R>>0]|0;a=Q&255;if(Q<<24>>24>-1){f[c>>2]=R+1;ja=a}else{ka=a;X=42}}else{ka=0;X=42}if((X|0)==42){X=0;a=zJb(c,ka)|0;R=J;if((R|0)>-1|(R|0)==-1&a>>>0>4294967295)ja=a;else{$=0;X=175;break a}}a=f[p>>2]|0;if((a|0)==(f[q>>2]|0)){UEa(p,a+1|0);la=f[p>>2]|0}else la=a;a=f[r>>2]|0;f[p>>2]=la+1;f[a+4+(la<<2)>>2]=ja;R=(f[q>>2]|0)-(f[p>>2]|0)|0;if((R|0)>0){ma=R;na=a}else continue a;while(1){a=f[c>>2]|0;R=f[g>>2]|0;if(a>>>0>=R>>>0)continue a;if((b[a>>0]|0)!=32)continue a;Q=a+1|0;f[c>>2]=Q;if(Q>>>0<R>>>0){R=b[Q>>0]|0;Q=R&255;if(R<<24>>24>-1){f[c>>2]=a+2;oa=Q;pa=na}else{qa=Q;X=50}}else{qa=0;X=50}if((X|0)==50){X=0;Q=zJb(c,qa)|0;a=J;if(!((a|0)>-1|(a|0)==-1&Q>>>0>4294967295)){$=0;X=175;break a}oa=Q;pa=f[r>>2]|0}Q=f[p>>2]|0;f[p>>2]=Q+1;f[pa+4+(Q<<2)>>2]=oa;if((ma|0)>1){ma=ma+-1|0;na=pa}else continue a}break}case 5:{if((Y&255|0)!=40){Z=Y;break b}f[i>>2]=f[i>>2]|8192;Q=f[c>>2]|0;if(Q>>>0<(f[g>>2]|0)>>>0){a=b[Q>>0]|0;R=a&255;if(a<<24>>24>-1){f[s>>2]=R;f[c>>2]=Q+1;continue a}else ra=R}else ra=0;R=zJb(c,ra)|0;Q=J;f[s>>2]=R;if((Q|0)>-1|(Q|0)==-1&R>>>0>4294967295)continue a;else{$=0;X=175;break a}break}case 6:{switch((Y&255)<<24>>24){case 48:break;case 50:{if(M0a(c,t)|0)continue a;else{$=0;X=175;break a}break}default:{Z=Y;break b}}R=f[c>>2]|0;if(R>>>0<(f[g>>2]|0)>>>0){Q=b[R>>0]|0;a=Q&255;if(Q<<24>>24>-1){f[c>>2]=R+1;sa=a}else{ta=a;X=64}}else{ta=0;X=64}if((X|0)==64){X=0;a=zJb(c,ta)|0;R=J;if((R|0)>-1|(R|0)==-1&a>>>0>4294967295)sa=a;else{$=0;X=175;break a}}a=f[t>>2]|0;if((a|0)==(f[v>>2]|0)){UEa(t,a+1|0);ua=f[t>>2]|0}else ua=a;a=f[w>>2]|0;f[t>>2]=ua+1;f[a+4+(ua<<2)>>2]=sa;R=(f[v>>2]|0)-(f[t>>2]|0)|0;if((R|0)>0){va=R;wa=a}else continue a;while(1){a=f[c>>2]|0;R=f[g>>2]|0;if(a>>>0>=R>>>0)continue a;if((b[a>>0]|0)!=48)continue a;Q=a+1|0;f[c>>2]=Q;if(Q>>>0<R>>>0){R=b[Q>>0]|0;Q=R&255;if(R<<24>>24>-1){f[c>>2]=a+2;xa=Q;ya=wa}else{za=Q;X=72}}else{za=0;X=72}if((X|0)==72){X=0;Q=zJb(c,za)|0;a=J;if(!((a|0)>-1|(a|0)==-1&Q>>>0>4294967295)){$=0;X=175;break a}xa=Q;ya=f[w>>2]|0}Q=f[t>>2]|0;f[t>>2]=Q+1;f[ya+4+(Q<<2)>>2]=xa;if((va|0)>1){va=va+-1|0;wa=ya}else continue a}break}case 7:{if((Y&255|0)!=58){Z=Y;break b}f[i>>2]=f[i>>2]|1;Q=f[x>>2]|0;if(!Q){a=cuc(48)|0;DXa(a);f[x>>2]=a;Aa=a}else Aa=Q;Q=f[c>>2]|0;if(Q>>>0<(f[g>>2]|0)>>>0?(a=b[Q>>0]|0,a<<24>>24>-1):0){f[c>>2]=Q+1;Ba=a&255}else{a=NJb(c)|0;if((a|0)>-1)Ba=a;else{$=0;X=175;break a}}yJb(e,c,Ba);if((f[y>>2]|0)<0){X=86;break a}if(!(Th[f[(f[Aa>>2]|0)+44>>2]&1023](Aa,c)|0)){X=86;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{$=0;X=175;break a}break}case 8:{if((Y&255|0)!=66){Z=Y;break b}f[i>>2]=f[i>>2]|2;a=f[z>>2]|0;if(!a){Q=cuc(48)|0;DXa(Q);f[z>>2]=Q;Ca=Q}else Ca=a;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(Q=b[a>>0]|0,Q<<24>>24>-1):0){f[c>>2]=a+1;Da=Q&255}else{Q=NJb(c)|0;if((Q|0)>-1)Da=Q;else{$=0;X=175;break a}}yJb(e,c,Da);if((f[A>>2]|0)<0){X=97;break a}if(!(Th[f[(f[Ca>>2]|0)+44>>2]&1023](Ca,c)|0)){X=97;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{$=0;X=175;break a}break}case 9:{if((Y&255|0)!=72){Z=Y;break b}f[i>>2]=f[i>>2]|8;Q=f[c>>2]|0;if(Q>>>0<(f[g>>2]|0)>>>0){a=b[Q>>0]|0;R=a&255;if(a<<24>>24>-1){f[B>>2]=R;f[c>>2]=Q+1;continue a}else Ea=R}else Ea=0;R=zJb(c,Ea)|0;Q=J;f[B>>2]=R;if((Q|0)>-1|(Q|0)==-1&R>>>0>4294967295)continue a;else{$=0;X=175;break a}break}case 10:{if((Y&255|0)!=80){Z=Y;break b}f[i>>2]=f[i>>2]|16;R=f[c>>2]|0;if(R>>>0<(f[g>>2]|0)>>>0){Q=b[R>>0]|0;a=Q&255;if(Q<<24>>24>-1){f[C>>2]=a;f[c>>2]=R+1;continue a}else Fa=a}else Fa=0;a=zJb(c,Fa)|0;R=J;f[C>>2]=a;if((R|0)>-1|(R|0)==-1&a>>>0>4294967295)continue a;else{$=0;X=175;break a}break}case 11:{if((Y&255|0)!=88){Z=Y;break b}f[i>>2]=f[i>>2]|32;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){R=b[a>>0]|0;Q=R&255;if(R<<24>>24>-1){f[D>>2]=Q;f[c>>2]=a+1;continue a}else Ga=Q}else Ga=0;Q=zJb(c,Ga)|0;a=J;f[D>>2]=Q;if((a|0)>-1|(a|0)==-1&Q>>>0>4294967295)continue a;else{$=0;X=175;break a}break}case 12:{if((Y&255|0)!=96){Z=Y;break b}f[i>>2]=f[i>>2]|64;Q=f[c>>2]|0;if(Q>>>0<(f[g>>2]|0)>>>0){a=b[Q>>0]|0;R=a&255;if(a<<24>>24>-1){f[E>>2]=R;f[c>>2]=Q+1;continue a}else Ha=R}else Ha=0;R=zJb(c,Ha)|0;Q=J;f[E>>2]=R;if((Q|0)>-1|(Q|0)==-1&R>>>0>4294967295)continue a;else{$=0;X=175;break a}break}case 13:{if((Y&255|0)!=104){Z=Y;break b}f[i>>2]=f[i>>2]|128;R=f[c>>2]|0;if(R>>>0<(f[g>>2]|0)>>>0){Q=b[R>>0]|0;a=Q&255;if(Q<<24>>24>-1){f[F>>2]=a;f[c>>2]=R+1;continue a}else Ia=a}else Ia=0;a=zJb(c,Ia)|0;R=J;f[F>>2]=a;if((R|0)>-1|(R|0)==-1&a>>>0>4294967295)continue a;else{$=0;X=175;break a}break}case 14:{if((Y&255|0)!=112){Z=Y;break b}f[i>>2]=f[i>>2]|256;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){R=b[a>>0]|0;Q=R&255;if(R<<24>>24>-1){f[G>>2]=Q;f[c>>2]=a+1;continue a}else Ja=Q}else Ja=0;Q=zJb(c,Ja)|0;a=J;f[G>>2]=Q;if((a|0)>-1|(a|0)==-1&Q>>>0>4294967295)continue a;else{$=0;X=175;break a}break}case 15:{if((Y&255|0)!=120){Z=Y;break b}Q=f[c>>2]|0;if(Q>>>0<(f[g>>2]|0)>>>0){a=b[Q>>0]|0;R=a&255;if(a<<24>>24>-1){f[c>>2]=Q+1;Ka=R}else{La=R;X=133}}else{La=0;X=133}if((X|0)==133){X=0;R=zJb(c,La)|0;Q=J;if((Q|0)>-1|(Q|0)==-1&R>>>0>4294967295)Ka=R;else{$=0;X=175;break a}}if(Ka>>>0<3){f[i>>2]=f[i>>2]|512;f[H>>2]=Ka;continue a}R=f[I>>2]|0;if(!(R&1))Ma=OOa(I)|0;else Ma=R&-2;kbc(Ma,15,Ka,((Ka|0)<0)<<31>>31);continue a;break}case 16:{if((Y&255|0)!=128){Z=Y;break b}f[i>>2]=f[i>>2]|2048;R=f[c>>2]|0;if(R>>>0<(f[g>>2]|0)>>>0){Q=b[R>>0]|0;a=Q&255;if(Q<<24>>24>-1){f[c>>2]=R+1;Na=a}else{Oa=a;X=144}}else{Oa=0;X=144}if((X|0)==144){X=0;a=zJb(c,Oa)|0;R=J;if((R|0)>-1|(R|0)==-1&a>>>0>4294967295)Na=a;else{$=0;X=175;break a}}f[K>>2]=Na;continue a;break}case 17:{if((Y&255|0)!=136){Z=Y;break b}f[i>>2]=f[i>>2]|1024;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(R=b[a>>0]|0,R<<24>>24>-1):0){f[c>>2]=a+1;Pa=R<<24>>24!=0}else{AJb(e,c);R=e;if(!(b[M>>0]|0)){$=0;X=175;break a}else Pa=(f[R>>2]|0)!=0|(f[R+4>>2]|0)!=0}b[L>>0]=Pa&1;continue a;break}case 18:{switch((Y&255)<<24>>24){case -112:break;case -110:{if(M0a(c,N)|0)continue a;else{$=0;X=175;break a}break}default:{Z=Y;break b}}R=f[c>>2]|0;if(R>>>0<(f[g>>2]|0)>>>0){a=b[R>>0]|0;Q=a&255;if(a<<24>>24>-1){f[c>>2]=R+1;Qa=Q}else{Ra=Q;X=156}}else{Ra=0;X=156}if((X|0)==156){X=0;Q=zJb(c,Ra)|0;R=J;if((R|0)>-1|(R|0)==-1&Q>>>0>4294967295)Qa=Q;else{$=0;X=175;break a}}Q=f[N>>2]|0;if((Q|0)==(f[O>>2]|0)){UEa(N,Q+1|0);Sa=f[N>>2]|0}else Sa=Q;Q=f[P>>2]|0;f[N>>2]=Sa+1;f[Q+4+(Sa<<2)>>2]=Qa;R=(f[O>>2]|0)-(f[N>>2]|0)|0;if((R|0)>0){Ta=R;Ua=Q}else continue a;while(1){Q=f[g>>2]|0;R=f[c>>2]|0;a=R;if((Q-R|0)<=1)continue a;if((b[a>>0]|0)!=-112)continue a;if((b[a+1>>0]|0)!=1)continue a;R=a+2|0;f[c>>2]=R;if(R>>>0<Q>>>0){Q=b[R>>0]|0;R=Q&255;if(Q<<24>>24>-1){f[c>>2]=a+3;Va=R;Wa=Ua}else{Xa=R;X=165}}else{Xa=0;X=165}if((X|0)==165){X=0;R=zJb(c,Xa)|0;a=J;if(!((a|0)>-1|(a|0)==-1&R>>>0>4294967295)){$=0;X=175;break a}Va=R;Wa=f[P>>2]|0}R=f[N>>2]|0;f[N>>2]=R+1;f[Wa+4+(R<<2)>>2]=Va;if((Ta|0)>1){Ta=Ta+-1|0;Ua=Wa}else continue a}break}default:{Z=Y;break b}}while(0)}while(0);if(!Z){$=1;X=175;break}R=f[I>>2]|0;if(!(R&1))Ya=OOa(I)|0;else Ya=R&-2;if(!(xbc(c,Z,Ya)|0)){$=0;X=175;break}}if((X|0)==86){$=0;u=d;return $|0}else if((X|0)==97){$=0;u=d;return $|0}else if((X|0)==175){u=d;return $|0}return 0}function u6a(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=Dbc(b&-2)|0;b=cMb(a+16|0)|0;d=f[a+16>>2]|0;e=cMb(a+28|0)|0;g=f[a+28>>2]|0;h=cMb(a+40|0)|0;i=f[a+40>>2]|0;j=cMb(a+52|0)|0;k=b+c+d+e+g+h+i+j+(f[a+52>>2]<<1)|0;j=a+8|0;i=f[j>>2]|0;if(i&255){if(!(i&1)){l=k;m=i}else{h=f[a+64>>2]|0;g=di[f[(f[h>>2]|0)+48>>2]&1023](h)|0;h=k+1+g+((((($(g|1|0)|0)^31)*9|0)+73|0)>>>6)|0;l=h;m=f[j>>2]|0}if(!(m&2)){n=l;o=m}else{m=f[a+68>>2]|0;h=di[f[(f[m>>2]|0)+48>>2]&1023](m)|0;m=l+1+h+((((($(h|1|0)|0)^31)*9|0)+73|0)>>>6)|0;n=m;o=f[j>>2]|0}if(!(o&4))p=n;else p=n+1+((((($(f[a+72>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;if(!(o&8))q=p;else q=p+1+((((($(f[a+76>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;if(!(o&16))r=q;else r=q+1+((((($(f[a+80>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;if(!(o&32))s=r;else s=r+1+((((($(f[a+84>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;if(!(o&64))t=s;else t=s+1+((((($(f[a+88>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;if(!(o&128)){u=t;v=o}else{u=t+1+((((($(f[a+92>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;v=o}}else{u=k;v=i}if(!(v&16128)){w=u;x=a+12|0;f[x>>2]=w;return w|0}if(!(v&256))y=u;else y=u+1+((((($(f[a+96>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;if(!(v&512))z=y;else{u=f[a+100>>2]|0;if((u|0)<0)A=11;else A=((((($(u|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;z=A+y|0}y=v&1024|0?z+3|0:z;if(!(v&2048))B=y;else{z=f[a+108>>2]|0;if((z|0)<0)C=12;else C=((((($(z|1|0)|0)^31)*9|0)+73|0)>>>6)+2|0;B=C+y|0}y=v&4096|0?B+2|0:B;if(!(v&8192)){w=y;x=a+12|0;f[x>>2]=w;return w|0}w=y+1+((((($(f[a+116>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;x=a+12|0;f[x>>2]=w;return w|0}function v6a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;d=f[a+8>>2]|0;if(d&4|0)ILb(1,f[a+72>>2]|0,c);if(d&4096|0)SLb(2,(b[a+112>>0]|0)!=0,c);e=f[a+16>>2]|0;if((e|0)>0){g=a+24|0;h=0;do{ILb(3,f[(f[g>>2]|0)+4+(h<<2)>>2]|0,c);h=h+1|0}while((h|0)!=(e|0))}e=f[a+28>>2]|0;if((e|0)>0){h=a+36|0;g=0;do{ILb(4,f[(f[h>>2]|0)+4+(g<<2)>>2]|0,c);g=g+1|0}while((g|0)!=(e|0))}if(d&8192|0)ILb(5,f[a+116>>2]|0,c);e=f[a+40>>2]|0;if((e|0)>0){g=a+48|0;h=0;do{ILb(6,f[(f[g>>2]|0)+4+(h<<2)>>2]|0,c);h=h+1|0}while((h|0)!=(e|0))}if(d&1|0)_Lb(7,f[a+64>>2]|0,c);if(d&2|0)_Lb(8,f[a+68>>2]|0,c);if(d&8|0)ILb(9,f[a+76>>2]|0,c);if(d&16|0)ILb(10,f[a+80>>2]|0,c);if(d&32|0)ILb(11,f[a+84>>2]|0,c);if(d&64|0)ILb(12,f[a+88>>2]|0,c);if(d&128|0)ILb(13,f[a+92>>2]|0,c);if(d&256|0)ILb(14,f[a+96>>2]|0,c);if(d&512|0)TLb(15,f[a+100>>2]|0,c);if(d&2048|0)GLb(16,f[a+108>>2]|0,c);if(d&1024|0)SLb(17,(b[a+104>>0]|0)!=0,c);d=f[a+52>>2]|0;if((d|0)>0){e=a+60|0;h=0;do{ILb(18,f[(f[e>>2]|0)+4+(h<<2)>>2]|0,c);h=h+1|0}while((h|0)!=(d|0))}d=f[a+4>>2]|0;if(!(d&1))return;Abc(d&-2,c);return}function w6a(a){a=a|0;return f[a+12>>2]|0}function x6a(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0;e=f[a+8>>2]|0;if(!(e&4))g=d;else{h=f[a+72>>2]|0;b[d>>0]=8;i=d+1|0;if(h>>>0>127){d=h;j=i;while(1){b[j>>0]=d|128;k=d>>>7;l=j+1|0;if(d>>>0>16383){d=k;j=l}else{m=l;n=k;break}}}else{m=i;n=h}b[m>>0]=n;g=m+1|0}if(!(e&4096))o=g;else{m=b[a+112>>0]|0;b[g>>0]=16;b[g+1>>0]=m;o=g+2|0}g=f[a+16>>2]|0;if(!g)p=o;else{m=f[a+24>>2]|0;n=0;h=o;while(1){o=f[m+4+(n<<2)>>2]|0;b[h>>0]=24;i=h+1|0;if(o>>>0>127){j=o;d=i;while(1){b[d>>0]=j|128;k=j>>>7;l=d+1|0;if(j>>>0>16383){j=k;d=l}else{q=l;r=k;break}}}else{q=i;r=o}b[q>>0]=r;d=q+1|0;n=n+1|0;if((n|0)>=(g|0)){p=d;break}else h=d}}h=f[a+28>>2]|0;if(!h)s=p;else{g=f[a+36>>2]|0;n=0;q=p;while(1){p=f[g+4+(n<<2)>>2]|0;b[q>>0]=32;r=q+1|0;if(p>>>0>127){m=p;d=r;while(1){b[d>>0]=m|128;j=m>>>7;k=d+1|0;if(m>>>0>16383){m=j;d=k}else{t=k;u=j;break}}}else{t=r;u=p}b[t>>0]=u;d=t+1|0;n=n+1|0;if((n|0)>=(h|0)){s=d;break}else q=d}}if(!(e&8192))v=s;else{q=f[a+116>>2]|0;b[s>>0]=40;h=s+1|0;if(q>>>0>127){s=q;n=h;while(1){b[n>>0]=s|128;t=s>>>7;u=n+1|0;if(s>>>0>16383){s=t;n=u}else{w=u;x=t;break}}}else{w=h;x=q}b[w>>0]=x;v=w+1|0}w=f[a+40>>2]|0;if(!w)y=v;else{x=f[a+48>>2]|0;q=0;h=v;while(1){v=f[x+4+(q<<2)>>2]|0;b[h>>0]=48;n=h+1|0;if(v>>>0>127){s=v;t=n;while(1){b[t>>0]=s|128;u=s>>>7;g=t+1|0;if(s>>>0>16383){s=u;t=g}else{z=g;A=u;break}}}else{z=n;A=v}b[z>>0]=A;t=z+1|0;q=q+1|0;if((q|0)>=(w|0)){y=t;break}else h=t}}if(!(e&1))B=y;else{h=f[a+64>>2]|0;b[y>>0]=58;w=y+1|0;y=di[f[(f[h>>2]|0)+60>>2]&1023](h)|0;if(y>>>0>127){q=y;z=w;while(1){b[z>>0]=q|128;A=q>>>7;x=z+1|0;if(q>>>0>16383){q=A;z=x}else{C=x;D=A;break}}}else{C=w;D=y}b[C>>0]=D;B=li[f[(f[h>>2]|0)+64>>2]&511](h,c,C+1|0)|0}if(!(e&2))E=B;else{C=f[a+68>>2]|0;b[B>>0]=66;h=B+1|0;B=di[f[(f[C>>2]|0)+60>>2]&1023](C)|0;if(B>>>0>127){D=B;y=h;while(1){b[y>>0]=D|128;w=D>>>7;z=y+1|0;if(D>>>0>16383){D=w;y=z}else{F=z;G=w;break}}}else{F=h;G=B}b[F>>0]=G;E=li[f[(f[C>>2]|0)+64>>2]&511](C,c,F+1|0)|0}if(!(e&8))H=E;else{F=f[a+76>>2]|0;b[E>>0]=72;c=E+1|0;if(F>>>0>127){E=F;C=c;while(1){b[C>>0]=E|128;G=E>>>7;B=C+1|0;if(E>>>0>16383){E=G;C=B}else{I=B;K=G;break}}}else{I=c;K=F}b[I>>0]=K;H=I+1|0}if(!(e&16))L=H;else{I=f[a+80>>2]|0;b[H>>0]=80;K=H+1|0;if(I>>>0>127){H=I;F=K;while(1){b[F>>0]=H|128;c=H>>>7;C=F+1|0;if(H>>>0>16383){H=c;F=C}else{M=C;N=c;break}}}else{M=K;N=I}b[M>>0]=N;L=M+1|0}if(!(e&32))O=L;else{M=f[a+84>>2]|0;b[L>>0]=88;N=L+1|0;if(M>>>0>127){L=M;I=N;while(1){b[I>>0]=L|128;K=L>>>7;F=I+1|0;if(L>>>0>16383){L=K;I=F}else{P=F;Q=K;break}}}else{P=N;Q=M}b[P>>0]=Q;O=P+1|0}if(!(e&64))R=O;else{P=f[a+88>>2]|0;b[O>>0]=96;Q=O+1|0;if(P>>>0>127){O=P;M=Q;while(1){b[M>>0]=O|128;N=O>>>7;I=M+1|0;if(O>>>0>16383){O=N;M=I}else{S=I;T=N;break}}}else{S=Q;T=P}b[S>>0]=T;R=S+1|0}if(!(e&128))U=R;else{S=f[a+92>>2]|0;b[R>>0]=104;T=R+1|0;if(S>>>0>127){R=S;P=T;while(1){b[P>>0]=R|128;Q=R>>>7;M=P+1|0;if(R>>>0>16383){R=Q;P=M}else{V=M;W=Q;break}}}else{V=T;W=S}b[V>>0]=W;U=V+1|0}if(!(e&256))X=U;else{V=f[a+96>>2]|0;b[U>>0]=112;W=U+1|0;if(V>>>0>127){U=V;S=W;while(1){b[S>>0]=U|128;T=U>>>7;P=S+1|0;if(U>>>0>16383){U=T;S=P}else{Y=P;Z=T;break}}}else{Y=W;Z=V}b[Y>>0]=Z;X=Y+1|0}if(!(e&512))_=X;else{Y=f[a+100>>2]|0;b[X>>0]=120;Z=X+1|0;X=Y&255;if(Y>>>0>127){V=Z;W=X;S=Y;U=((Y|0)<0)<<31>>31;while(1){b[V>>0]=W|-128;Y=S;S=pzc(S|0,U|0,7)|0;T=V+1|0;P=S&255;if(!(U>>>0>0|(U|0)==0&Y>>>0>16383)){$=T;aa=P;break}else{V=T;W=P;U=J}}}else{$=Z;aa=X}b[$>>0]=aa;_=$+1|0}if(!(e&2048))ba=_;else{$=f[a+108>>2]|0;b[_>>0]=-128;b[_+1>>0]=1;aa=_+2|0;_=$&255;if($>>>0>127){X=aa;Z=_;U=$;W=(($|0)<0)<<31>>31;while(1){b[X>>0]=Z|-128;$=U;U=pzc(U|0,W|0,7)|0;V=X+1|0;S=U&255;if(!(W>>>0>0|(W|0)==0&$>>>0>16383)){ca=V;da=S;break}else{X=V;Z=S;W=J}}}else{ca=aa;da=_}b[ca>>0]=da;ba=ca+1|0}if(!(e&1024))ea=ba;else{e=b[a+104>>0]|0;b[ba>>0]=-120;b[ba+1>>0]=1;b[ba+2>>0]=e;ea=ba+3|0}ba=f[a+52>>2]|0;if(!ba)fa=ea;else{e=f[a+60>>2]|0;ca=0;da=ea;while(1){ea=f[e+4+(ca<<2)>>2]|0;b[da>>0]=-112;b[da+1>>0]=1;_=da+2|0;if(ea>>>0>127){aa=ea;W=_;while(1){b[W>>0]=aa|128;Z=aa>>>7;X=W+1|0;if(aa>>>0>16383){aa=Z;W=X}else{ga=X;ha=Z;break}}}else{ga=_;ha=ea}b[ga>>0]=ha;W=ga+1|0;ca=ca+1|0;if((ca|0)>=(ba|0)){fa=W;break}else da=W}}da=f[a+4>>2]|0;if(!(da&1)){ia=fa;return ia|0}ia=Bbc(da&-2,fa)|0;return ia|0}function y6a(a,b){a=a|0;b=b|0;var c=0;if((a|0)==(b|0))return;r6a(a);c=ovc(b,24728,20184,0)|0;if(!c){A9b(b,a);return}else{sZa(a,c);return}}function z6a(a,b){a=a|0;b=b|0;var c=0;c=ovc(b,24728,20184,0)|0;if(!c){A9b(b,a);return}else{sZa(a,c);return}}function A6a(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function B6a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224781]|0)!=2){f[d>>2]=151624;f[d+4>>2]=21;b[d+8>>0]=0;xLb(899124,d);QKb(d)}d=540696;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function C6a(a,b){a=a|0;b=b|0;if(!b)return;EIb(a,b,1978);return}function D6a(a){a=a|0;var b=0,c=0;f[a>>2]=126404;b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(c);f[b>>2]=0;return}function E6a(a){a=a|0;var b=0,c=0;f[a>>2]=126404;b=f[a+4>>2]|0;if(!(b&1)){fuc(a);return}c=b&-2;b=c;if((c|0)==0|(f[b+4>>2]|0)!=0){fuc(a);return}if(f[b>>2]|0)ebc(b);fuc(c);fuc(a);return}function F6a(a){a=a|0;a=cuc(24)|0;qZa(a);return a|0}function G6a(a,b){a=a|0;b=b|0;a=cuc(24)|0;qZa(a);if(!b)return a|0;S6a(b,a);return a|0}function H6a(a){a=a|0;var b=0;b=a+8|0;if(f[b>>2]&3|0){f[a+16>>2]=1;f[a+20>>2]=1}f[b>>2]=0;b=f[a+4>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;ebc(a);return}function I6a(a){a=a|0;return 1}function J6a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;d=c+4|0;e=a+8|0;g=a+16|0;h=a+20|0;i=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[d>>2]|0)>>>0){j=b[a>>0]|0;k=j&255;if(j<<24>>24>0){f[c>>2]=a+1;l=k;m=6}else{n=k;m=5}}else{n=0;m=5}if((m|0)==5){m=0;k=OJb(c,n)|0;if((k+-1|0)>>>0<127){l=k;m=6}else o=k}b:do if((m|0)==6){m=0;switch(l>>>3&536870911|0){case 1:{if((l&255|0)!=8){o=l;break b}f[e>>2]=f[e>>2]|1;k=f[c>>2]|0;if(k>>>0<(f[d>>2]|0)>>>0){a=b[k>>0]|0;j=a&255;if(a<<24>>24>-1){f[g>>2]=j;f[c>>2]=k+1;continue a}else p=j}else p=0;j=zJb(c,p)|0;k=J;f[g>>2]=j;if((k|0)>-1|(k|0)==-1&j>>>0>4294967295)continue a;else{q=0;m=23;break a}break}case 2:break;default:{o=l;break b}}if((l&255|0)==16){f[e>>2]=f[e>>2]|2;j=f[c>>2]|0;if(j>>>0<(f[d>>2]|0)>>>0){k=b[j>>0]|0;a=k&255;if(k<<24>>24>-1){f[c>>2]=j+1;r=a}else{s=a;m=16}}else{s=0;m=16}if((m|0)==16){m=0;a=zJb(c,s)|0;j=J;if((j|0)>-1|(j|0)==-1&a>>>0>4294967295)r=a;else{q=0;m=23;break a}}f[h>>2]=r;continue a}else o=l}while(0);if(!o){q=1;m=23;break}a=f[i>>2]|0;if(!(a&1))t=OOa(i)|0;else t=a&-2;if(!(xbc(c,o,t)|0)){q=0;m=23;break}}if((m|0)==23)return q|0;return 0}function K6a(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=Dbc(b&-2)|0;b=f[a+8>>2]|0;if(!(b&3)){d=c;e=a+12|0;f[e>>2]=d;return d|0}if(!(b&1))g=c;else g=c+1+((((($(f[a+16>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;if(!(b&2)){d=g;e=a+12|0;f[e>>2]=d;return d|0}b=f[a+20>>2]|0;if((b|0)<0)h=11;else h=((((($(b|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;d=h+g|0;e=a+12|0;f[e>>2]=d;return d|0}function L6a(a,b){a=a|0;b=b|0;var c=0;c=f[a+8>>2]|0;if(c&1|0)ILb(1,f[a+16>>2]|0,b);if(c&2|0)GLb(2,f[a+20>>2]|0,b);c=f[a+4>>2]|0;if(!(c&1))return;Abc(c&-2,b);return}function M6a(a){a=a|0;return f[a+12>>2]|0}function N6a(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;c=f[a+8>>2]|0;if(!(c&1))e=d;else{g=f[a+16>>2]|0;b[d>>0]=8;h=d+1|0;if(g>>>0>127){d=g;i=h;while(1){b[i>>0]=d|128;j=d>>>7;k=i+1|0;if(d>>>0>16383){d=j;i=k}else{l=k;m=j;break}}}else{l=h;m=g}b[l>>0]=m;e=l+1|0}if(!(c&2))n=e;else{c=f[a+20>>2]|0;b[e>>0]=16;l=e+1|0;e=c&255;if(c>>>0>127){m=l;g=e;h=c;i=((c|0)<0)<<31>>31;while(1){b[m>>0]=g|-128;c=h;h=pzc(h|0,i|0,7)|0;d=m+1|0;j=h&255;if(!(i>>>0>0|(i|0)==0&c>>>0>16383)){o=d;p=j;break}else{m=d;g=j;i=J}}}else{o=l;p=e}b[o>>0]=p;n=o+1|0}o=f[a+4>>2]|0;if(!(o&1)){q=n;return q|0}q=Bbc(o&-2,n)|0;return q|0}function O6a(a,b){a=a|0;b=b|0;var c=0,d=0;if((a|0)==(b|0))return;c=a+8|0;if(f[c>>2]&3|0){f[a+16>>2]=1;f[a+20>>2]=1}f[c>>2]=0;c=f[a+4>>2]|0;if(c&1|0?(d=c&-2,f[d>>2]|0):0)ebc(d);P6a(a,b);return}function P6a(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=ovc(b,24728,20200,0)|0;if(!c){A9b(b,a);return}b=a+4|0;d=f[c+4>>2]|0;if(d&1|0){e=f[b>>2]|0;if(!(e&1))g=OOa(b)|0;else g=e&-2;hbc(g,d&-2)}d=f[c+8>>2]|0;if(!(d&3))return;if(d&1|0)f[a+16>>2]=f[c+16>>2];if(d&2|0)f[a+20>>2]=f[c+20>>2];c=a+8|0;f[c>>2]=f[c>>2]|d;return}function Q6a(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function R6a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224781]|0)!=2){f[d>>2]=151624;f[d+4>>2]=21;b[d+8>>0]=0;xLb(899124,d);QKb(d)}d=540664;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function S6a(a,b){a=a|0;b=b|0;if(!b)return;EIb(a,b,1978);return}function T6a(a){a=a|0;var c=0,d=0,e=0;c=u;u=u+16|0;d=c;f[a>>2]=126512;f[a+4>>2]=0;f[a+8>>2]=0;e=a+16|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;f[e+16>>2]=0;f[e+20>>2]=0;f[e+24>>2]=0;f[e+28>>2]=0;if((a|0)!=537504?(f[224796]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=36;b[d+8>>0]=0;xLb(899184,d);QKb(d)}f[a+12>>2]=0;d=a+48|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;u=c;return}function U6a(a,b){a=a|0;b=b|0;V6a(b,a);return}function V6a(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=a+4|0;d=f[b+4>>2]|0;if(d&1|0){e=f[c>>2]|0;if(!(e&1))g=OOa(c)|0;else g=e&-2;hbc(g,d&-2)}YOa(a+16|0,b+16|0);YOa(a+32|0,b+32|0);d=f[b+8>>2]|0;if(!(d&7))return;if(d&1|0)f[a+48>>2]=f[b+48>>2];if(d&2|0)f[a+52>>2]=f[b+52>>2];if(d&4|0)f[a+56>>2]=f[b+56>>2];b=a+8|0;f[b>>2]=f[b>>2]|d;return}function W6a(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0;f[a>>2]=126512;c=a+44|0;d=f[c>>2]|0;if(d|0?(f[a+32>>2]|0)==0:0){e=f[d>>2]|0;if((e|0)>0){g=0;do{h=f[d+4+(g<<2)>>2]|0;if(h|0){if((b[h+11>>0]|0)<0)fuc(f[h>>2]|0);fuc(h)}g=g+1|0}while((g|0)!=(e|0));i=f[c>>2]|0}else i=d;fuc(i)}f[c>>2]=0;c=a+28|0;i=f[c>>2]|0;if(i|0?(f[a+16>>2]|0)==0:0){d=f[i>>2]|0;if((d|0)>0){e=0;do{g=f[i+4+(e<<2)>>2]|0;if(g|0){if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);fuc(g)}e=e+1|0}while((e|0)!=(d|0));j=f[c>>2]|0}else j=i;fuc(j)}f[c>>2]=0;c=a+4|0;a=f[c>>2]|0;if(!(a&1)){f[c>>2]=0;return}j=a&-2;a=j;if((j|0)==0|(f[a+4>>2]|0)!=0){f[c>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(j);f[c>>2]=0;return}function X6a(a){a=a|0;W6a(a);fuc(a);return}function Y6a(a){a=a|0;a=cuc(60)|0;T6a(a);return a|0}function Z6a(a,b){a=a|0;b=b|0;a=cuc(60)|0;T6a(a);if(!b)return a|0;j7a(b,a);return a|0}function _6a(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0;c=a+20|0;d=f[c>>2]|0;if((d|0)>0){e=f[a+28>>2]|0;g=0;do{h=f[e+4+(g<<2)>>2]|0;g=g+1|0;i=h+11|0;if((b[i>>0]|0)<0){b[f[h>>2]>>0]=0;f[h+4>>2]=0}else{b[h>>0]=0;b[i>>0]=0}}while((g|0)!=(d|0));f[c>>2]=0}c=a+36|0;d=f[c>>2]|0;if((d|0)>0){g=f[a+44>>2]|0;e=0;do{i=f[g+4+(e<<2)>>2]|0;e=e+1|0;h=i+11|0;if((b[h>>0]|0)<0){b[f[i>>2]>>0]=0;f[i+4>>2]=0}else{b[i>>0]=0;b[h>>0]=0}}while((e|0)!=(d|0));f[c>>2]=0}c=a+8|0;if(f[c>>2]&7|0){d=a+48|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0}f[c>>2]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;ebc(a);return}function $6a(a){a=a|0;return 1}function a7a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;d=c+4|0;e=a+8|0;g=a+52|0;h=a+56|0;i=a+16|0;j=a+32|0;k=a+4|0;l=a+48|0;a:while(1){b:while(1){a=f[c>>2]|0;if(a>>>0<(f[d>>2]|0)>>>0){m=b[a>>0]|0;n=m&255;if(m<<24>>24>0){f[c>>2]=a+1;o=n;p=7}else{q=n;p=6}}else{q=0;p=6}if((p|0)==6){p=0;n=OJb(c,q)|0;if((n+-1|0)>>>0<127){o=n;p=7}else r=n}c:do if((p|0)==7){p=0;switch(o>>>3&536870911|0){case 1:{if((o&255|0)==8)break b;else{r=o;break c}break}case 2:{if((o&255|0)!=16){r=o;break c}f[e>>2]=f[e>>2]|2;n=f[c>>2]|0;if(n>>>0<(f[d>>2]|0)>>>0){a=b[n>>0]|0;m=a&255;if(a<<24>>24>-1){f[c>>2]=n+1;s=m}else{t=m;p=23}}else{t=0;p=23}if((p|0)==23){p=0;m=zJb(c,t)|0;n=J;if((n|0)>-1|(n|0)==-1&m>>>0>4294967295)s=m;else{u=0;p=40;break a}}f[g>>2]=s;continue b;break}case 3:{if((o&255|0)!=24){r=o;break c}f[e>>2]=f[e>>2]|4;m=f[c>>2]|0;if(m>>>0<(f[d>>2]|0)>>>0){n=b[m>>0]|0;a=n&255;if(n<<24>>24>-1){f[c>>2]=m+1;v=a}else{w=a;p=29}}else{w=0;p=29}if((p|0)==29){p=0;a=zJb(c,w)|0;m=J;if((m|0)>-1|(m|0)==-1&a>>>0>4294967295)v=a;else{u=0;p=40;break a}}f[h>>2]=v;continue b;break}case 4:{if((o&255|0)!=34){r=o;break c}if($Lb(c,MEa(i)|0)|0)continue b;else{u=0;p=40;break a}break}case 5:{if((o&255|0)!=42){r=o;break c}if($Lb(c,MEa(j)|0)|0)continue b;else{u=0;p=40;break a}break}default:{r=o;break c}}}while(0);if(!r){u=1;p=40;break a}a=f[k>>2]|0;if(!(a&1))x=OOa(k)|0;else x=a&-2;if(!(xbc(c,r,x)|0)){u=0;p=40;break a}}a=f[c>>2]|0;if(a>>>0<(f[d>>2]|0)>>>0){m=b[a>>0]|0;n=m&255;if(m<<24>>24>-1){f[c>>2]=a+1;y=n}else{z=n;p=12}}else{z=0;p=12}if((p|0)==12){p=0;n=zJb(c,z)|0;a=J;if((a|0)>-1|(a|0)==-1&n>>>0>4294967295)y=n;else{u=0;p=40;break}}if(y>>>0<2){f[e>>2]=f[e>>2]|1;f[l>>2]=y;continue}n=f[k>>2]|0;if(!(n&1))A=OOa(k)|0;else A=n&-2;kbc(A,1,y,((y|0)<0)<<31>>31)}if((p|0)==40)return u|0;return 0}function b7a(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;c=f[a+4>>2]|0;if(!(c&1))d=0;else d=Dbc(c&-2)|0;c=f[a+20>>2]|0;e=c+d|0;if((c|0)>0){d=f[a+28>>2]|0;g=0;h=e;while(1){i=f[d+4+(g<<2)>>2]|0;j=b[i+11>>0]|0;k=j<<24>>24<0?f[i+4>>2]|0:j&255;j=k+h+((((($(k|1|0)|0)^31)*9|0)+73|0)>>>6)|0;g=g+1|0;if((g|0)==(c|0)){l=j;break}else h=j}}else l=e;e=f[a+36>>2]|0;h=e+l|0;if((e|0)>0){l=f[a+44>>2]|0;c=0;g=h;while(1){d=f[l+4+(c<<2)>>2]|0;j=b[d+11>>0]|0;k=j<<24>>24<0?f[d+4>>2]|0:j&255;j=k+g+((((($(k|1|0)|0)^31)*9|0)+73|0)>>>6)|0;c=c+1|0;if((c|0)==(e|0)){m=j;break}else g=j}}else m=h;h=f[a+8>>2]|0;if(!(h&7)){n=m;o=a+12|0;f[o>>2]=n;return n|0}if(!(h&1))p=m;else{g=f[a+48>>2]|0;if((g|0)<0)q=11;else q=((((($(g|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;p=q+m|0}if(!(h&2))r=p;else{m=f[a+52>>2]|0;if((m|0)<0)s=11;else s=((((($(m|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;r=s+p|0}if(!(h&4)){n=r;o=a+12|0;f[o>>2]=n;return n|0}h=f[a+56>>2]|0;if((h|0)<0)t=11;else t=((((($(h|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;n=t+r|0;o=a+12|0;f[o>>2]=n;return n|0}function c7a(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=f[a+8>>2]|0;if(c&1|0)TLb(1,f[a+48>>2]|0,b);if(c&2|0)GLb(2,f[a+52>>2]|0,b);if(c&4|0)GLb(3,f[a+56>>2]|0,b);c=f[a+20>>2]|0;if((c|0)>0){d=a+28|0;e=0;do{ULb(4,f[(f[d>>2]|0)+4+(e<<2)>>2]|0,b);e=e+1|0}while((e|0)!=(c|0))}c=f[a+36>>2]|0;if((c|0)>0){e=a+44|0;d=0;do{ULb(5,f[(f[e>>2]|0)+4+(d<<2)>>2]|0,b);d=d+1|0}while((d|0)!=(c|0))}c=f[a+4>>2]|0;if(!(c&1))return;Abc(c&-2,b);return}function d7a(a){a=a|0;return f[a+12>>2]|0}function e7a(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;c=f[a+8>>2]|0;if(!(c&1))e=d;else{g=f[a+48>>2]|0;b[d>>0]=8;h=d+1|0;d=g&255;if(g>>>0>127){i=h;j=d;k=g;l=((g|0)<0)<<31>>31;while(1){b[i>>0]=j|-128;g=k;k=pzc(k|0,l|0,7)|0;m=i+1|0;n=k&255;if(!(l>>>0>0|(l|0)==0&g>>>0>16383)){o=m;p=n;break}else{i=m;j=n;l=J}}}else{o=h;p=d}b[o>>0]=p;e=o+1|0}if(!(c&2))q=e;else{o=f[a+52>>2]|0;b[e>>0]=16;p=e+1|0;e=o&255;if(o>>>0>127){d=p;h=e;l=o;j=((o|0)<0)<<31>>31;while(1){b[d>>0]=h|-128;o=l;l=pzc(l|0,j|0,7)|0;i=d+1|0;k=l&255;if(!(j>>>0>0|(j|0)==0&o>>>0>16383)){r=i;s=k;break}else{d=i;h=k;j=J}}}else{r=p;s=e}b[r>>0]=s;q=r+1|0}if(!(c&4))t=q;else{c=f[a+56>>2]|0;b[q>>0]=24;r=q+1|0;q=c&255;if(c>>>0>127){s=r;e=q;p=c;j=((c|0)<0)<<31>>31;while(1){b[s>>0]=e|-128;c=p;p=pzc(p|0,j|0,7)|0;h=s+1|0;d=p&255;if(!(j>>>0>0|(j|0)==0&c>>>0>16383)){u=h;v=d;break}else{s=h;e=d;j=J}}}else{u=r;v=q}b[u>>0]=v;t=u+1|0}u=f[a+20>>2]|0;if((u|0)>0){v=a+28|0;q=0;r=t;while(1){j=f[(f[v>>2]|0)+4+(q<<2)>>2]|0;b[r>>0]=34;e=XJb(j,r+1|0)|0;q=q+1|0;if((q|0)==(u|0)){w=e;break}else r=e}}else w=t;t=f[a+36>>2]|0;if((t|0)>0){r=a+44|0;u=0;q=w;while(1){v=f[(f[r>>2]|0)+4+(u<<2)>>2]|0;b[q>>0]=42;e=XJb(v,q+1|0)|0;u=u+1|0;if((u|0)==(t|0)){x=e;break}else q=e}}else x=w;w=f[a+4>>2]|0;if(!(w&1)){y=x;return y|0}y=Bbc(w&-2,x)|0;return y|0}function f7a(a,b){a=a|0;b=b|0;var c=0;if((a|0)==(b|0))return;_6a(a);c=ovc(b,24728,20216,0)|0;if(!c){A9b(b,a);return}else{V6a(a,c);return}}function g7a(a,b){a=a|0;b=b|0;var c=0;c=ovc(b,24728,20216,0)|0;if(!c){A9b(b,a);return}else{V6a(a,c);return}}function h7a(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function i7a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224781]|0)!=2){f[d>>2]=151624;f[d+4>>2]=21;b[d+8>>0]=0;xLb(899124,d);QKb(d)}d=540608;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function j7a(a,b){a=a|0;b=b|0;if(!b)return;EIb(a,b,1978);return}function k7a(a){a=a|0;return a>>>0<2|0}function l7a(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=123272;kzc(a+4|0,0,156)|0;if((a|0)!=539728?(f[224847]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=87;b[d+8>>0]=0;xLb(899388,d);QKb(d)}f[a+160>>2]=542896;kzc(a+164|0,0,132)|0;u=c;return}function m7a(a,b){a=a|0;b=b|0;if(!b)return;EIb(a,b,1978);return}function n7a(a){a=a|0;var c=0;c=f[a+160>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}if((a|0)==539728)return;c=f[a+164>>2]|0;if(c|0)bi[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+168>>2]|0;if(c|0)bi[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+172>>2]|0;if(c|0)bi[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+176>>2]|0;if(c|0)bi[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+180>>2]|0;if(c|0)bi[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+184>>2]|0;if(c|0)bi[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+188>>2]|0;if(c|0)bi[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+192>>2]|0;if(c|0)bi[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+196>>2]|0;if(c|0)bi[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+200>>2]|0;if(c|0)bi[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+204>>2]|0;if(c|0)bi[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+208>>2]|0;if(c|0)bi[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+212>>2]|0;if(c|0)bi[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+216>>2]|0;if(c|0)bi[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+220>>2]|0;if(c|0)bi[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+224>>2]|0;if(c|0)bi[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+228>>2]|0;if(c|0)bi[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+232>>2]|0;if(c|0)bi[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+236>>2]|0;if(c|0)bi[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+240>>2]|0;if(c|0)bi[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+244>>2]|0;if(c|0)bi[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+248>>2]|0;if(c|0)bi[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+252>>2]|0;if(c|0)bi[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+256>>2]|0;if(c|0)bi[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+260>>2]|0;if(c|0)bi[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+264>>2]|0;if(c|0)bi[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+268>>2]|0;if(c|0)bi[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+272>>2]|0;if(c|0)bi[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+276>>2]|0;if(c|0)bi[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+280>>2]|0;if(c|0)bi[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+284>>2]|0;if(!c)return;bi[f[(f[c>>2]|0)+4>>2]&2047](c);return}function o7a(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(!b)return;if(f[b>>2]|0)return;fuc(b);return}function p7a(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=a+12|0;c=f[b>>2]|0;if(!c){f[b>>2]=0;return}if(f[a>>2]|0){f[b>>2]=0;return}a=f[c>>2]|0;if((a|0)>0){d=0;do{e=f[c+4+(d<<2)>>2]|0;if(e|0)bi[f[(f[e>>2]|0)+4>>2]&2047](e);d=d+1|0}while((d|0)!=(a|0));g=f[b>>2]|0}else g=c;fuc(g);f[b>>2]=0;return}function q7a(a){a=a|0;var b=0,c=0;f[a>>2]=126620;b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(c);f[b>>2]=0;return}function r7a(a){a=a|0;var b=0,c=0;f[a>>2]=126620;b=f[a+4>>2]|0;if(!(b&1)){fuc(a);return}c=b&-2;b=c;if((c|0)==0|(f[b+4>>2]|0)!=0){fuc(a);return}if(f[b>>2]|0)ebc(b);fuc(c);fuc(a);return}function s7a(a){a=a|0;a=cuc(28)|0;F7a(a);return a|0}function t7a(a,b){a=a|0;b=b|0;a=cuc(28)|0;F7a(a);if(!b)return a|0;G7a(b,a);return a|0}function u7a(a){a=a|0;var b=0,c=0;b=a+8|0;if(f[b>>2]&7|0){c=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0}f[b>>2]=0;b=f[a+4>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;ebc(a);return}function v7a(a){a=a|0;return 1}function w7a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;d=c+4|0;e=a+8|0;g=a+16|0;h=a+4|0;i=a+24|0;j=a+20|0;a:while(1){b:while(1){c:while(1){a=f[c>>2]|0;if(a>>>0<(f[d>>2]|0)>>>0){k=b[a>>0]|0;l=k&255;if(k<<24>>24>0){f[c>>2]=a+1;m=l;n=8}else{o=l;n=7}}else{o=0;n=7}if((n|0)==7){n=0;l=OJb(c,o)|0;if((l+-1|0)>>>0<127){m=l;n=8}else p=l}d:do if((n|0)==8){n=0;switch(m>>>3&536870911|0){case 1:{if((m&255|0)!=8){p=m;break d}f[e>>2]=f[e>>2]|1;l=f[c>>2]|0;if(l>>>0<(f[d>>2]|0)>>>0){a=b[l>>0]|0;k=a&255;if(a<<24>>24>-1){f[g>>2]=k;f[c>>2]=l+1;continue c}else q=k}else q=0;k=zJb(c,q)|0;l=J;f[g>>2]=k;if((l|0)>-1|(l|0)==-1&k>>>0>4294967295)continue c;else{r=0;n=41;break a}break}case 2:{if((m&255|0)==16)break b;else{p=m;break d}break}case 6:{if((m&255|0)==48)break c;else{p=m;break d}break}default:{p=m;break d}}}while(0);if(!p){r=1;n=41;break a}k=f[h>>2]|0;if(!(k&1))s=OOa(h)|0;else s=k&-2;if(!(xbc(c,p,s)|0)){r=0;n=41;break a}}k=f[c>>2]|0;if(k>>>0<(f[d>>2]|0)>>>0){l=b[k>>0]|0;a=l&255;if(l<<24>>24>-1){f[c>>2]=k+1;t=a}else{u=a;n=29}}else{u=0;n=29}if((n|0)==29){n=0;a=zJb(c,u)|0;k=J;if((k|0)>-1|(k|0)==-1&a>>>0>4294967295)t=a;else{r=0;n=41;break a}}if(t>>>0<3){f[e>>2]=f[e>>2]|4;f[i>>2]=t;continue}a=f[h>>2]|0;if(!(a&1))v=OOa(h)|0;else v=a&-2;kbc(v,6,t,((t|0)<0)<<31>>31)}a=f[c>>2]|0;if(a>>>0<(f[d>>2]|0)>>>0){k=b[a>>0]|0;l=k&255;if(k<<24>>24>-1){f[c>>2]=a+1;w=l}else{x=l;n=18}}else{x=0;n=18}if((n|0)==18){n=0;l=zJb(c,x)|0;a=J;if((a|0)>-1|(a|0)==-1&l>>>0>4294967295)w=l;else{r=0;n=41;break}}if(w>>>0<3){f[e>>2]=f[e>>2]|2;f[j>>2]=w;continue}l=f[h>>2]|0;if(!(l&1))y=OOa(h)|0;else y=l&-2;kbc(y,2,w,((w|0)<0)<<31>>31)}if((n|0)==41)return r|0;return 0}function x7a(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=Dbc(b&-2)|0;b=f[a+8>>2]|0;if(!(b&7)){d=c;e=a+12|0;f[e>>2]=d;return d|0}if(!(b&1))g=c;else g=c+1+((((($(f[a+16>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;if(!(b&2))h=g;else{c=f[a+20>>2]|0;if((c|0)<0)i=11;else i=((((($(c|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;h=i+g|0}if(!(b&4)){d=h;e=a+12|0;f[e>>2]=d;return d|0}b=f[a+24>>2]|0;if((b|0)<0)j=11;else j=((((($(b|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;d=j+h|0;e=a+12|0;f[e>>2]=d;return d|0}function y7a(a,b){a=a|0;b=b|0;var c=0;c=f[a+8>>2]|0;if(c&1|0)ILb(1,f[a+16>>2]|0,b);if(c&2|0)TLb(2,f[a+20>>2]|0,b);if(c&4|0)TLb(6,f[a+24>>2]|0,b);c=f[a+4>>2]|0;if(!(c&1))return;Abc(c&-2,b);return}function z7a(a){a=a|0;return f[a+12>>2]|0}function A7a(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;c=f[a+8>>2]|0;if(!(c&1))e=d;else{g=f[a+16>>2]|0;b[d>>0]=8;h=d+1|0;if(g>>>0>127){d=g;i=h;while(1){b[i>>0]=d|128;j=d>>>7;k=i+1|0;if(d>>>0>16383){d=j;i=k}else{l=k;m=j;break}}}else{l=h;m=g}b[l>>0]=m;e=l+1|0}if(!(c&2))n=e;else{l=f[a+20>>2]|0;b[e>>0]=16;m=e+1|0;e=l&255;if(l>>>0>127){g=m;h=e;i=l;d=((l|0)<0)<<31>>31;while(1){b[g>>0]=h|-128;l=i;i=pzc(i|0,d|0,7)|0;j=g+1|0;k=i&255;if(!(d>>>0>0|(d|0)==0&l>>>0>16383)){o=j;p=k;break}else{g=j;h=k;d=J}}}else{o=m;p=e}b[o>>0]=p;n=o+1|0}if(!(c&4))q=n;else{c=f[a+24>>2]|0;b[n>>0]=48;o=n+1|0;n=c&255;if(c>>>0>127){p=o;e=n;m=c;d=((c|0)<0)<<31>>31;while(1){b[p>>0]=e|-128;c=m;m=pzc(m|0,d|0,7)|0;h=p+1|0;g=m&255;if(!(d>>>0>0|(d|0)==0&c>>>0>16383)){r=h;s=g;break}else{p=h;e=g;d=J}}}else{r=o;s=n}b[r>>0]=s;q=r+1|0}r=f[a+4>>2]|0;if(!(r&1)){t=q;return t|0}t=Bbc(r&-2,q)|0;return t|0}function B7a(a,b){a=a|0;b=b|0;var c=0,d=0;if((a|0)==(b|0))return;c=a+8|0;if(f[c>>2]&7|0){d=a+16|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0}f[c>>2]=0;c=f[a+4>>2]|0;if(c&1|0?(d=c&-2,f[d>>2]|0):0)ebc(d);C7a(a,b);return}function C7a(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=ovc(b,24728,20232,0)|0;if(!c){A9b(b,a);return}b=a+4|0;d=f[c+4>>2]|0;if(d&1|0){e=f[b>>2]|0;if(!(e&1))g=OOa(b)|0;else g=e&-2;hbc(g,d&-2)}d=f[c+8>>2]|0;if(!(d&7))return;if(d&1|0)f[a+16>>2]=f[c+16>>2];if(d&2|0)f[a+20>>2]=f[c+20>>2];if(d&4|0)f[a+24>>2]=f[c+24>>2];c=a+8|0;f[c>>2]=f[c>>2]|d;return}function D7a(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function E7a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224781]|0)!=2){f[d>>2]=151624;f[d+4>>2]=21;b[d+8>>0]=0;xLb(899124,d);QKb(d)}d=541008;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function F7a(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=126620;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=539696?(f[224846]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=86;b[d+8>>0]=0;xLb(899384,d);QKb(d)}d=a+12|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;u=c;return}function G7a(a,b){a=a|0;b=b|0;if(!b)return;EIb(a,b,1978);return}function H7a(a){a=a|0;var b=0,c=0;f[a>>2]=126728;b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(c);f[b>>2]=0;return}function I7a(a){a=a|0;var b=0,c=0;f[a>>2]=126728;b=f[a+4>>2]|0;if(!(b&1)){fuc(a);return}c=b&-2;b=c;if((c|0)==0|(f[b+4>>2]|0)!=0){fuc(a);return}if(f[b>>2]|0)ebc(b);fuc(c);fuc(a);return}function J7a(a){a=a|0;a=cuc(24)|0;W7a(a);return a|0}function K7a(a,b){a=a|0;b=b|0;a=cuc(24)|0;W7a(a);if(!b)return a|0;X7a(b,a);return a|0}function L7a(a){a=a|0;var b=0;b=a+8|0;if(f[b>>2]&3|0){f[a+16>>2]=0;f[a+20>>2]=1}f[b>>2]=0;b=f[a+4>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;ebc(a);return}function M7a(a){a=a|0;return 1}function N7a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;d=c+4|0;e=a+8|0;g=a+20|0;h=a+16|0;i=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[d>>2]|0)>>>0){j=b[a>>0]|0;k=j&255;if(j<<24>>24>0){f[c>>2]=a+1;l=k;m=6}else{n=k;m=5}}else{n=0;m=5}if((m|0)==5){m=0;k=OJb(c,n)|0;if((k+-1|0)>>>0<127){l=k;m=6}else o=k}b:do if((m|0)==6){m=0;switch(l>>>3&536870911|0){case 1:{if((l&255|0)!=8){o=l;break b}f[e>>2]=f[e>>2]|2;k=f[c>>2]|0;if(k>>>0<(f[d>>2]|0)>>>0){a=b[k>>0]|0;j=a&255;if(a<<24>>24>-1){f[c>>2]=k+1;p=j}else{q=j;m=11}}else{q=0;m=11}if((m|0)==11){m=0;j=zJb(c,q)|0;k=J;if((k|0)>-1|(k|0)==-1&j>>>0>4294967295)p=j;else{r=0;m=24;break a}}f[g>>2]=p;continue a;break}case 2:{if((l&255|0)!=16){o=l;break b}f[e>>2]=f[e>>2]|1;j=f[c>>2]|0;if(j>>>0<(f[d>>2]|0)>>>0){k=b[j>>0]|0;a=k&255;if(k<<24>>24>-1){f[c>>2]=j+1;s=a}else{t=a;m=17}}else{t=0;m=17}if((m|0)==17){m=0;a=zJb(c,t)|0;j=J;if((j|0)>-1|(j|0)==-1&a>>>0>4294967295)s=a;else{r=0;m=24;break a}}f[h>>2]=s;continue a;break}default:{o=l;break b}}}while(0);if(!o){r=1;m=24;break}a=f[i>>2]|0;if(!(a&1))u=OOa(i)|0;else u=a&-2;if(!(xbc(c,o,u)|0)){r=0;m=24;break}}if((m|0)==24)return r|0;return 0}function O7a(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=Dbc(b&-2)|0;b=f[a+8>>2]|0;if(!(b&3)){d=c;e=a+12|0;f[e>>2]=d;return d|0}if(!(b&1))g=c;else{h=f[a+16>>2]|0;if((h|0)<0)i=11;else i=((((($(h|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;g=i+c|0}if(!(b&2)){d=g;e=a+12|0;f[e>>2]=d;return d|0}b=f[a+20>>2]|0;if((b|0)<0)j=11;else j=((((($(b|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;d=j+g|0;e=a+12|0;f[e>>2]=d;return d|0}function P7a(a,b){a=a|0;b=b|0;var c=0;c=f[a+8>>2]|0;if(c&2|0)GLb(1,f[a+20>>2]|0,b);if(c&1|0)GLb(2,f[a+16>>2]|0,b);c=f[a+4>>2]|0;if(!(c&1))return;Abc(c&-2,b);return}function Q7a(a){a=a|0;return f[a+12>>2]|0}function R7a(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;c=f[a+8>>2]|0;if(!(c&2))e=d;else{g=f[a+20>>2]|0;b[d>>0]=8;h=d+1|0;d=g&255;if(g>>>0>127){i=h;j=d;k=g;l=((g|0)<0)<<31>>31;while(1){b[i>>0]=j|-128;g=k;k=pzc(k|0,l|0,7)|0;m=i+1|0;n=k&255;if(!(l>>>0>0|(l|0)==0&g>>>0>16383)){o=m;p=n;break}else{i=m;j=n;l=J}}}else{o=h;p=d}b[o>>0]=p;e=o+1|0}if(!(c&1))q=e;else{c=f[a+16>>2]|0;b[e>>0]=16;o=e+1|0;e=c&255;if(c>>>0>127){p=o;d=e;h=c;l=((c|0)<0)<<31>>31;while(1){b[p>>0]=d|-128;c=h;h=pzc(h|0,l|0,7)|0;j=p+1|0;i=h&255;if(!(l>>>0>0|(l|0)==0&c>>>0>16383)){r=j;s=i;break}else{p=j;d=i;l=J}}}else{r=o;s=e}b[r>>0]=s;q=r+1|0}r=f[a+4>>2]|0;if(!(r&1)){t=q;return t|0}t=Bbc(r&-2,q)|0;return t|0}function S7a(a,b){a=a|0;b=b|0;var c=0,d=0;if((a|0)==(b|0))return;c=a+8|0;if(f[c>>2]&3|0){f[a+16>>2]=0;f[a+20>>2]=1}f[c>>2]=0;c=f[a+4>>2]|0;if(c&1|0?(d=c&-2,f[d>>2]|0):0)ebc(d);T7a(a,b);return}function T7a(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=ovc(b,24728,20248,0)|0;if(!c){A9b(b,a);return}b=a+4|0;d=f[c+4>>2]|0;if(d&1|0){e=f[b>>2]|0;if(!(e&1))g=OOa(b)|0;else g=e&-2;hbc(g,d&-2)}d=f[c+8>>2]|0;if(!(d&3))return;if(d&1|0)f[a+16>>2]=f[c+16>>2];if(d&2|0)f[a+20>>2]=f[c+20>>2];c=a+8|0;f[c>>2]=f[c>>2]|d;return}function U7a(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function V7a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224781]|0)!=2){f[d>>2]=151624;f[d+4>>2]=21;b[d+8>>0]=0;xLb(899124,d);QKb(d)}d=540984;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function W7a(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=126728;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=539584?(f[224843]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=83;b[d+8>>0]=0;xLb(899372,d);QKb(d)}f[a+12>>2]=0;f[a+16>>2]=0;f[a+20>>2]=1;u=c;return}function X7a(a,b){a=a|0;b=b|0;if(!b)return;EIb(a,b,1978);return}function Y7a(a){a=a|0;var b=0,c=0;f[a>>2]=126836;if((a|0)!=539432){b=f[a+16>>2]|0;if(b|0)bi[f[(f[b>>2]|0)+4>>2]&2047](b);b=f[a+20>>2]|0;if(b|0)bi[f[(f[b>>2]|0)+4>>2]&2047](b)}b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(c);f[b>>2]=0;return}function Z7a(a){a=a|0;var b=0,c=0;f[a>>2]=126836;if((a|0)!=539432){b=f[a+16>>2]|0;if(b|0)bi[f[(f[b>>2]|0)+4>>2]&2047](b);b=f[a+20>>2]|0;if(b|0)bi[f[(f[b>>2]|0)+4>>2]&2047](b)}b=f[a+4>>2]|0;if(!(b&1)){fuc(a);return}c=b&-2;b=c;if((c|0)==0|(f[b+4>>2]|0)!=0){fuc(a);return}if(f[b>>2]|0)ebc(b);fuc(c);fuc(a);return}function _7a(a){a=a|0;a=cuc(36)|0;m8a(a);return a|0}function $7a(a,b){a=a|0;b=b|0;a=cuc(36)|0;m8a(a);if(!b)return a|0;n8a(b,a);return a|0}function a8a(a){a=a|0;var c=0,d=0,e=0,g=0,h=0;c=a+8|0;d=f[c>>2]|0;if(d&3|0){if(d&1|0){e=f[a+16>>2]|0;g=e+8|0;h=f[g>>2]|0;if(h&1|0)ruc(f[e+16>>2]|0,540424)|0;if(h&254|0){h=e+20|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;f[e+36>>2]=-1;n[e+40>>2]=1.0;n[e+44>>2]=1.0}f[g>>2]=0;g=f[e+4>>2]|0;if(g&1|0?(e=g&-2,f[e>>2]|0):0)ebc(e)}if(d&2|0){e=f[a+20>>2]|0;g=e+8|0;h=f[g>>2]|0;if(h&1|0)ruc(f[e+16>>2]|0,540424)|0;if(h&254|0){h=e+20|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;f[e+36>>2]=-1;n[e+40>>2]=1.0;n[e+44>>2]=1.0}f[g>>2]=0;g=f[e+4>>2]|0;if(g&1|0?(e=g&-2,f[e>>2]|0):0)ebc(e)}}if(d&28|0){b[a+24>>0]=0;f[a+28>>2]=1;f[a+32>>2]=1}f[c>>2]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;ebc(a);return}function b8a(a){a=a|0;return 1}function c8a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;d=u;u=u+16|0;e=d;g=c+4|0;h=a+8|0;i=a+28|0;j=a+32|0;k=a+16|0;l=e+4|0;m=a+24|0;n=e+8|0;o=a+20|0;p=e+4|0;q=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){r=b[a>>0]|0;s=r&255;if(r<<24>>24>0){f[c>>2]=a+1;t=s;v=6}else{w=s;v=5}}else{w=0;v=5}if((v|0)==5){v=0;s=OJb(c,w)|0;if((s+-1|0)>>>0<127){t=s;v=6}else x=s}b:do if((v|0)==6){v=0;switch(t>>>3&536870911|0){case 1:{if((t&255|0)!=8){x=t;break b}f[h>>2]=f[h>>2]|8;s=f[c>>2]|0;if(s>>>0<(f[g>>2]|0)>>>0){a=b[s>>0]|0;r=a&255;if(a<<24>>24>-1){f[c>>2]=s+1;y=r}else{z=r;v=11}}else{z=0;v=11}if((v|0)==11){v=0;r=zJb(c,z)|0;s=J;if((s|0)>-1|(s|0)==-1&r>>>0>4294967295)y=r;else{A=0;v=52;break a}}f[i>>2]=y;continue a;break}case 2:{if((t&255|0)!=16){x=t;break b}f[h>>2]=f[h>>2]|16;r=f[c>>2]|0;if(r>>>0<(f[g>>2]|0)>>>0){s=b[r>>0]|0;a=s&255;if(s<<24>>24>-1){f[c>>2]=r+1;B=a}else{C=a;v=17}}else{C=0;v=17}if((v|0)==17){v=0;a=zJb(c,C)|0;r=J;if((r|0)>-1|(r|0)==-1&a>>>0>4294967295)B=a;else{A=0;v=52;break a}}f[j>>2]=B;continue a;break}case 3:{if((t&255|0)!=26){x=t;break b}f[h>>2]=f[h>>2]|1;a=f[k>>2]|0;if(!a){r=cuc(48)|0;DXa(r);f[k>>2]=r;D=r}else D=a;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(r=b[a>>0]|0,r<<24>>24>-1):0){f[c>>2]=a+1;E=r&255}else{r=NJb(c)|0;if((r|0)>-1)E=r;else{A=0;v=52;break a}}yJb(e,c,E);if((f[l>>2]|0)<0){v=28;break a}if(!(Th[f[(f[D>>2]|0)+44>>2]&1023](D,c)|0)){v=28;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{A=0;v=52;break a}break}case 4:{if((t&255|0)!=32){x=t;break b}f[h>>2]=f[h>>2]|4;r=f[c>>2]|0;if(r>>>0<(f[g>>2]|0)>>>0?(a=b[r>>0]|0,a<<24>>24>-1):0){f[c>>2]=r+1;F=a<<24>>24!=0}else{AJb(e,c);a=e;if(!(b[n>>0]|0)){A=0;v=52;break a}else F=(f[a>>2]|0)!=0|(f[a+4>>2]|0)!=0}b[m>>0]=F&1;continue a;break}case 5:{if((t&255|0)!=42){x=t;break b}f[h>>2]=f[h>>2]|2;a=f[o>>2]|0;if(!a){r=cuc(48)|0;DXa(r);f[o>>2]=r;G=r}else G=a;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(r=b[a>>0]|0,r<<24>>24>-1):0){f[c>>2]=a+1;H=r&255}else{r=NJb(c)|0;if((r|0)>-1)H=r;else{A=0;v=52;break a}}yJb(e,c,H);if((f[p>>2]|0)<0){v=45;break a}if(!(Th[f[(f[G>>2]|0)+44>>2]&1023](G,c)|0)){v=45;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{A=0;v=52;break a}break}default:{x=t;break b}}}while(0);if(!x){A=1;v=52;break}r=f[q>>2]|0;if(!(r&1))I=OOa(q)|0;else I=r&-2;if(!(xbc(c,x,I)|0)){A=0;v=52;break}}if((v|0)==28){A=0;u=d;return A|0}else if((v|0)==45){A=0;u=d;return A|0}else if((v|0)==52){u=d;return A|0}return 0}function d8a(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=Dbc(b&-2)|0;b=a+8|0;d=f[b>>2]|0;if(!(d&31)){e=c;g=a+12|0;f[g>>2]=e;return e|0}if(!(d&1)){h=c;i=d}else{d=f[a+16>>2]|0;j=di[f[(f[d>>2]|0)+48>>2]&1023](d)|0;d=c+1+j+((((($(j|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=d;i=f[b>>2]|0}if(!(i&2)){k=h;l=i}else{i=f[a+20>>2]|0;d=di[f[(f[i>>2]|0)+48>>2]&1023](i)|0;i=h+1+d+((((($(d|1|0)|0)^31)*9|0)+73|0)>>>6)|0;k=i;l=f[b>>2]|0}b=l&4|0?k+2|0:k;if(!(l&8))m=b;else{k=f[a+28>>2]|0;if((k|0)<0)n=11;else n=((((($(k|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;m=n+b|0}if(!(l&16)){e=m;g=a+12|0;f[g>>2]=e;return e|0}l=f[a+32>>2]|0;if((l|0)<0)o=11;else o=((((($(l|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;e=o+m|0;g=a+12|0;f[g>>2]=e;return e|0}function e8a(a,c){a=a|0;c=c|0;var d=0;d=f[a+8>>2]|0;if(d&8|0)GLb(1,f[a+28>>2]|0,c);if(d&16|0)GLb(2,f[a+32>>2]|0,c);if(d&1|0)_Lb(3,f[a+16>>2]|0,c);if(d&4|0)SLb(4,(b[a+24>>0]|0)!=0,c);if(d&2|0)_Lb(5,f[a+20>>2]|0,c);d=f[a+4>>2]|0;if(!(d&1))return;Abc(d&-2,c);return}function f8a(a){a=a|0;return f[a+12>>2]|0}function g8a(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;e=f[a+8>>2]|0;if(!(e&8))g=d;else{h=f[a+28>>2]|0;b[d>>0]=8;i=d+1|0;d=h&255;if(h>>>0>127){j=i;k=d;l=h;m=((h|0)<0)<<31>>31;while(1){b[j>>0]=k|-128;h=l;l=pzc(l|0,m|0,7)|0;n=j+1|0;o=l&255;if(!(m>>>0>0|(m|0)==0&h>>>0>16383)){p=n;q=o;break}else{j=n;k=o;m=J}}}else{p=i;q=d}b[p>>0]=q;g=p+1|0}if(!(e&16))r=g;else{p=f[a+32>>2]|0;b[g>>0]=16;q=g+1|0;g=p&255;if(p>>>0>127){d=q;i=g;m=p;k=((p|0)<0)<<31>>31;while(1){b[d>>0]=i|-128;p=m;m=pzc(m|0,k|0,7)|0;j=d+1|0;l=m&255;if(!(k>>>0>0|(k|0)==0&p>>>0>16383)){s=j;t=l;break}else{d=j;i=l;k=J}}}else{s=q;t=g}b[s>>0]=t;r=s+1|0}if(!(e&1))u=r;else{s=f[a+16>>2]|0;b[r>>0]=26;t=r+1|0;r=di[f[(f[s>>2]|0)+60>>2]&1023](s)|0;if(r>>>0>127){g=r;q=t;while(1){b[q>>0]=g|128;k=g>>>7;i=q+1|0;if(g>>>0>16383){g=k;q=i}else{v=i;w=k;break}}}else{v=t;w=r}b[v>>0]=w;u=li[f[(f[s>>2]|0)+64>>2]&511](s,c,v+1|0)|0}if(!(e&4))x=u;else{v=b[a+24>>0]|0;b[u>>0]=32;b[u+1>>0]=v;x=u+2|0}if(!(e&2))y=x;else{e=f[a+20>>2]|0;b[x>>0]=42;u=x+1|0;x=di[f[(f[e>>2]|0)+60>>2]&1023](e)|0;if(x>>>0>127){v=x;s=u;while(1){b[s>>0]=v|128;w=v>>>7;r=s+1|0;if(v>>>0>16383){v=w;s=r}else{z=r;A=w;break}}}else{z=u;A=x}b[z>>0]=A;y=li[f[(f[e>>2]|0)+64>>2]&511](e,c,z+1|0)|0}z=f[a+4>>2]|0;if(!(z&1)){B=y;return B|0}B=Bbc(z&-2,y)|0;return B|0}function h8a(a,b){a=a|0;b=b|0;var c=0;if((a|0)==(b|0))return;a8a(a);c=ovc(b,24728,20264,0)|0;if(!c){A9b(b,a);return}else{l8a(a,c);return}}function i8a(a,b){a=a|0;b=b|0;var c=0;c=ovc(b,24728,20264,0)|0;if(!c){A9b(b,a);return}else{l8a(a,c);return}}function j8a(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function k8a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224781]|0)!=2){f[d>>2]=151624;f[d+4>>2]=21;b[d+8>>0]=0;xLb(899124,d);QKb(d)}d=540944;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function l8a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0;d=a+4|0;e=f[c+4>>2]|0;if(e&1|0){g=f[d>>2]|0;if(!(g&1))h=OOa(d)|0;else h=g&-2;hbc(h,e&-2)}e=f[c+8>>2]|0;if(!(e&31))return;if(e&1|0){h=a+8|0;f[h>>2]=f[h>>2]|1;h=a+16|0;g=f[h>>2]|0;if(!g){d=cuc(48)|0;DXa(d);f[h>>2]=d;i=d}else i=g;g=f[c+16>>2]|0;EXa(i,g|0?g:537032)}if(e&2|0){g=a+8|0;f[g>>2]=f[g>>2]|2;g=a+20|0;i=f[g>>2]|0;if(!i){d=cuc(48)|0;DXa(d);f[g>>2]=d;j=d}else j=i;i=f[c+20>>2]|0;EXa(j,i|0?i:537032)}if(e&4|0)b[a+24>>0]=b[c+24>>0]|0;if(e&8|0)f[a+28>>2]=f[c+28>>2];if(e&16|0)f[a+32>>2]=f[c+32>>2];c=a+8|0;f[c>>2]=f[c>>2]|e;return}function m8a(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=126836;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=539432?(f[224838]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=78;b[d+8>>0]=0;xLb(899352,d);QKb(d)}d=a+12|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;b[d+12>>0]=0;f[a+28>>2]=1;f[a+32>>2]=1;u=c;return}function n8a(a,b){a=a|0;b=b|0;if(!b)return;EIb(a,b,1978);return}function o8a(a){a=a|0;var b=0,c=0;f[a>>2]=126944;if((a|0)!=539400?(b=f[a+16>>2]|0,b|0):0)bi[f[(f[b>>2]|0)+4>>2]&2047](b);b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(c);f[b>>2]=0;return}function p8a(a){a=a|0;var b=0,c=0;f[a>>2]=126944;if((a|0)!=539400?(b=f[a+16>>2]|0,b|0):0)bi[f[(f[b>>2]|0)+4>>2]&2047](b);b=f[a+4>>2]|0;if(!(b&1)){fuc(a);return}c=b&-2;b=c;if((c|0)==0|(f[b+4>>2]|0)!=0){fuc(a);return}if(f[b>>2]|0)ebc(b);fuc(c);fuc(a);return}function q8a(a){a=a|0;a=cuc(28)|0;E8a(a);return a|0}function r8a(a,b){a=a|0;b=b|0;a=cuc(28)|0;E8a(a);if(!b)return a|0;F8a(b,a);return a|0}function s8a(a){a=a|0;var b=0,c=0,d=0,e=0;b=a+8|0;c=f[b>>2]|0;if((c&1|0?(d=f[a+16>>2]|0,f[d+16>>2]=0,f[d+8>>2]=0,e=f[d+4>>2]|0,e&1|0):0)?(d=e&-2,f[d>>2]|0):0)ebc(d);if(c&6|0){f[a+20>>2]=0;f[a+24>>2]=-1}f[b>>2]=0;b=f[a+4>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;ebc(a);return}function t8a(a){a=a|0;return 1}function u8a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;d=u;u=u+16|0;e=d;g=c+4|0;h=a+8|0;i=a+16|0;j=e+4|0;k=a+20|0;l=a+24|0;m=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){n=b[a>>0]|0;o=n&255;if(n<<24>>24>0){f[c>>2]=a+1;p=o;q=6}else{r=o;q=5}}else{r=0;q=5}if((q|0)==5){q=0;o=OJb(c,r)|0;if((o+-1|0)>>>0<127){p=o;q=6}else s=o}b:do if((q|0)==6){q=0;switch(p>>>3&536870911|0){case 1:{if((p&255|0)!=10){s=p;break b}f[h>>2]=f[h>>2]|1;o=f[i>>2]|0;if(!o){a=cuc(32)|0;UYa(a);f[i>>2]=a;t=a}else t=o;o=f[c>>2]|0;if(o>>>0<(f[g>>2]|0)>>>0?(a=b[o>>0]|0,a<<24>>24>-1):0){f[c>>2]=o+1;v=a&255}else{a=NJb(c)|0;if((a|0)>-1)v=a;else{w=0;q=35;break a}}yJb(e,c,v);if((f[j>>2]|0)<0){q=16;break a}if(!(Th[f[(f[t>>2]|0)+44>>2]&1023](t,c)|0)){q=16;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{w=0;q=35;break a}break}case 2:{if((p&255|0)!=16){s=p;break b}f[h>>2]=f[h>>2]|2;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){o=b[a>>0]|0;n=o&255;if(o<<24>>24>-1){f[c>>2]=a+1;x=n}else{y=n;q=22}}else{y=0;q=22}if((q|0)==22){q=0;n=zJb(c,y)|0;a=J;if((a|0)>-1|(a|0)==-1&n>>>0>4294967295)x=n;else{w=0;q=35;break a}}f[k>>2]=x;continue a;break}case 3:{if((p&255|0)!=24){s=p;break b}f[h>>2]=f[h>>2]|4;n=f[c>>2]|0;if(n>>>0<(f[g>>2]|0)>>>0){a=b[n>>0]|0;o=a&255;if(a<<24>>24>-1){f[c>>2]=n+1;z=o}else{A=o;q=28}}else{A=0;q=28}if((q|0)==28){q=0;o=zJb(c,A)|0;n=J;if((n|0)>-1|(n|0)==-1&o>>>0>4294967295)z=o;else{w=0;q=35;break a}}f[l>>2]=z;continue a;break}default:{s=p;break b}}}while(0);if(!s){w=1;q=35;break}o=f[m>>2]|0;if(!(o&1))B=OOa(m)|0;else B=o&-2;if(!(xbc(c,s,B)|0)){w=0;q=35;break}}if((q|0)==16){w=0;u=d;return w|0}else if((q|0)==35){u=d;return w|0}return 0}function v8a(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=Dbc(b&-2)|0;b=a+8|0;d=f[b>>2]|0;if(!(d&7)){e=c;g=a+12|0;f[g>>2]=e;return e|0}if(!(d&1)){h=c;i=d}else{d=f[a+16>>2]|0;j=di[f[(f[d>>2]|0)+48>>2]&1023](d)|0;d=c+1+j+((((($(j|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=d;i=f[b>>2]|0}if(!(i&2))k=h;else{b=f[a+20>>2]|0;if((b|0)<0)l=11;else l=((((($(b|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;k=l+h|0}if(!(i&4)){e=k;g=a+12|0;f[g>>2]=e;return e|0}i=f[a+24>>2]|0;if((i|0)<0)m=11;else m=((((($(i|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;e=m+k|0;g=a+12|0;f[g>>2]=e;return e|0}function w8a(a,b){a=a|0;b=b|0;var c=0;c=f[a+8>>2]|0;if(c&1|0)_Lb(1,f[a+16>>2]|0,b);if(c&2|0)GLb(2,f[a+20>>2]|0,b);if(c&4|0)GLb(3,f[a+24>>2]|0,b);c=f[a+4>>2]|0;if(!(c&1))return;Abc(c&-2,b);return}function x8a(a){a=a|0;return f[a+12>>2]|0}function y8a(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;e=f[a+8>>2]|0;if(!(e&1))g=d;else{h=f[a+16>>2]|0;b[d>>0]=10;i=d+1|0;d=di[f[(f[h>>2]|0)+60>>2]&1023](h)|0;if(d>>>0>127){j=d;k=i;while(1){b[k>>0]=j|128;l=j>>>7;m=k+1|0;if(j>>>0>16383){j=l;k=m}else{n=m;o=l;break}}}else{n=i;o=d}b[n>>0]=o;g=li[f[(f[h>>2]|0)+64>>2]&511](h,c,n+1|0)|0}if(!(e&2))p=g;else{n=f[a+20>>2]|0;b[g>>0]=16;c=g+1|0;g=n&255;if(n>>>0>127){h=c;o=g;d=n;i=((n|0)<0)<<31>>31;while(1){b[h>>0]=o|-128;n=d;d=pzc(d|0,i|0,7)|0;k=h+1|0;j=d&255;if(!(i>>>0>0|(i|0)==0&n>>>0>16383)){q=k;r=j;break}else{h=k;o=j;i=J}}}else{q=c;r=g}b[q>>0]=r;p=q+1|0}if(!(e&4))s=p;else{e=f[a+24>>2]|0;b[p>>0]=24;q=p+1|0;p=e&255;if(e>>>0>127){r=q;g=p;c=e;i=((e|0)<0)<<31>>31;while(1){b[r>>0]=g|-128;e=c;c=pzc(c|0,i|0,7)|0;o=r+1|0;h=c&255;if(!(i>>>0>0|(i|0)==0&e>>>0>16383)){t=o;u=h;break}else{r=o;g=h;i=J}}}else{t=q;u=p}b[t>>0]=u;s=t+1|0}t=f[a+4>>2]|0;if(!(t&1)){v=s;return v|0}v=Bbc(t&-2,s)|0;return v|0}function z8a(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;if((a|0)==(b|0))return;c=a+8|0;d=f[c>>2]|0;if((d&1|0?(e=f[a+16>>2]|0,f[e+16>>2]=0,f[e+8>>2]=0,g=f[e+4>>2]|0,g&1|0):0)?(e=g&-2,f[e>>2]|0):0)ebc(e);if(d&6|0){f[a+20>>2]=0;f[a+24>>2]=-1}f[c>>2]=0;c=f[a+4>>2]|0;if(c&1|0?(d=c&-2,f[d>>2]|0):0)ebc(d);d=ovc(b,24728,20280,0)|0;if(!d){A9b(b,a);return}else{D8a(a,d);return}}function A8a(a,b){a=a|0;b=b|0;var c=0;c=ovc(b,24728,20280,0)|0;if(!c){A9b(b,a);return}else{D8a(a,c);return}}function B8a(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function C8a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224781]|0)!=2){f[d>>2]=151624;f[d+4>>2]=21;b[d+8>>0]=0;xLb(899124,d);QKb(d)}d=540936;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function D8a(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0;c=a+4|0;d=f[b+4>>2]|0;if(d&1|0){e=f[c>>2]|0;if(!(e&1))g=OOa(c)|0;else g=e&-2;hbc(g,d&-2)}d=f[b+8>>2]|0;if(!(d&7))return;if(d&1|0){g=a+8|0;f[g>>2]=f[g>>2]|1;g=a+16|0;e=f[g>>2]|0;if(!e){c=cuc(32)|0;UYa(c);f[g>>2]=c;h=c}else h=e;e=f[b+16>>2]|0;c=e|0?e:536552;e=h+4|0;g=f[c+4>>2]|0;if(g&1|0){i=f[e>>2]|0;if(!(i&1))j=OOa(e)|0;else j=i&-2;hbc(j,g&-2)}g=h+16|0;j=c+16|0;i=f[j>>2]|0;if(i|0){ZOa(g,(f[g>>2]|0)+i|0);szc((f[h+24>>2]|0)+8+(f[g>>2]<<3)|0,(f[c+24>>2]|0)+8|0,f[j>>2]<<3|0)|0;f[g>>2]=(f[g>>2]|0)+(f[j>>2]|0)}}if(d&2|0)f[a+20>>2]=f[b+20>>2];if(d&4|0)f[a+24>>2]=f[b+24>>2];b=a+8|0;f[b>>2]=f[b>>2]|d;return}function E8a(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=126944;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=539400?(f[224837]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=77;b[d+8>>0]=0;xLb(899348,d);QKb(d)}f[a+12>>2]=0;d=a+16|0;f[d>>2]=0;f[d+4>>2]=0;f[a+24>>2]=-1;u=c;return}function F8a(a,b){a=a|0;b=b|0;if(!b)return;EIb(a,b,1978);return}function G8a(a){a=a|0;var b=0,c=0;f[a>>2]=127052;b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(c);f[b>>2]=0;return}function H8a(a){a=a|0;var b=0,c=0;f[a>>2]=127052;b=f[a+4>>2]|0;if(!(b&1)){fuc(a);return}c=b&-2;b=c;if((c|0)==0|(f[b+4>>2]|0)!=0){fuc(a);return}if(f[b>>2]|0)ebc(b);fuc(c);fuc(a);return}function I8a(a){a=a|0;a=cuc(28)|0;V8a(a);return a|0}function J8a(a,b){a=a|0;b=b|0;a=cuc(28)|0;V8a(a);if(!b)return a|0;W8a(b,a);return a|0}function K8a(a){a=a|0;var b=0;b=a+8|0;if(f[b>>2]&7|0){f[a+16>>2]=0;f[a+20>>2]=1;n[a+24>>2]=1.0}f[b>>2]=0;b=f[a+4>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;ebc(a);return}function L8a(a){a=a|0;return 1}function M8a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;d=u;u=u+16|0;e=d;g=c+4|0;i=a+8|0;j=a+16|0;k=a+24|0;l=a+4|0;m=a+20|0;a:while(1){b:while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){n=b[a>>0]|0;o=n&255;if(n<<24>>24>0){f[c>>2]=a+1;p=o;q=7}else{r=o;q=6}}else{r=0;q=6}if((q|0)==6){q=0;o=OJb(c,r)|0;if((o+-1|0)>>>0<127){p=o;q=7}else s=o}c:do if((q|0)==7){q=0;switch(p>>>3&536870911|0){case 1:{if((p&255|0)==8)break b;else{s=p;break c}break}case 2:{if((p&255|0)!=16){s=p;break c}f[i>>2]=f[i>>2]|1;o=f[c>>2]|0;if(o>>>0<(f[g>>2]|0)>>>0){a=b[o>>0]|0;n=a&255;if(a<<24>>24>-1){f[c>>2]=o+1;t=n}else{v=n;q=23}}else{v=0;q=23}if((q|0)==23){q=0;n=zJb(c,v)|0;o=J;if((o|0)>-1|(o|0)==-1&n>>>0>4294967295)t=n;else{w=0;q=37;break a}}f[j>>2]=t;continue b;break}case 3:{if((p&255|0)!=29){s=p;break c}f[i>>2]=f[i>>2]|4;n=f[c>>2]|0;if(((f[g>>2]|0)-n|0)>3){o=n;a=h[o>>0]|h[o+1>>0]<<8|h[o+2>>0]<<16|h[o+3>>0]<<24;f[e>>2]=a;f[c>>2]=n+4;x=a}else{if(!(LJb(c,e)|0)){q=31;break a}x=f[e>>2]|0}f[k>>2]=x;continue b;break}default:{s=p;break c}}}while(0);if(!s){w=1;q=37;break a}a=f[l>>2]|0;if(!(a&1))y=OOa(l)|0;else y=a&-2;if(!(xbc(c,s,y)|0)){w=0;q=37;break a}}a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){n=b[a>>0]|0;o=n&255;if(n<<24>>24>-1){f[c>>2]=a+1;z=o}else{A=o;q=12}}else{A=0;q=12}if((q|0)==12){q=0;o=zJb(c,A)|0;a=J;if((a|0)>-1|(a|0)==-1&o>>>0>4294967295)z=o;else{w=0;q=37;break}}if((z+-1|0)>>>0<4){f[i>>2]=f[i>>2]|2;f[m>>2]=z;continue}o=f[l>>2]|0;if(!(o&1))B=OOa(l)|0;else B=o&-2;kbc(B,1,z,((z|0)<0)<<31>>31)}if((q|0)==31){w=0;u=d;return w|0}else if((q|0)==37){u=d;return w|0}return 0}function N8a(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=Dbc(b&-2)|0;b=f[a+8>>2]|0;if(!(b&7)){d=c;e=a+12|0;f[e>>2]=d;return d|0}if(!(b&1))g=c;else{h=f[a+16>>2]|0;if((h|0)<0)i=11;else i=((((($(h|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;g=i+c|0}if(!(b&2))j=g;else{c=f[a+20>>2]|0;if((c|0)<0)k=11;else k=((((($(c|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;j=k+g|0}d=b&4|0?j+5|0:j;e=a+12|0;f[e>>2]=d;return d|0}function O8a(a,b){a=a|0;b=b|0;var c=0;c=f[a+8>>2]|0;if(c&2|0)TLb(1,f[a+20>>2]|0,b);if(c&1|0)GLb(2,f[a+16>>2]|0,b);if(c&4|0)QLb(3,+n[a+24>>2],b);c=f[a+4>>2]|0;if(!(c&1))return;Abc(c&-2,b);return}function P8a(a){a=a|0;return f[a+12>>2]|0}function Q8a(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;c=f[a+8>>2]|0;if(!(c&2))e=d;else{g=f[a+20>>2]|0;b[d>>0]=8;h=d+1|0;d=g&255;if(g>>>0>127){i=h;j=d;k=g;l=((g|0)<0)<<31>>31;while(1){b[i>>0]=j|-128;g=k;k=pzc(k|0,l|0,7)|0;m=i+1|0;n=k&255;if(!(l>>>0>0|(l|0)==0&g>>>0>16383)){o=m;p=n;break}else{i=m;j=n;l=J}}}else{o=h;p=d}b[o>>0]=p;e=o+1|0}if(!(c&1))q=e;else{o=f[a+16>>2]|0;b[e>>0]=16;p=e+1|0;e=o&255;if(o>>>0>127){d=p;h=e;l=o;j=((o|0)<0)<<31>>31;while(1){b[d>>0]=h|-128;o=l;l=pzc(l|0,j|0,7)|0;i=d+1|0;k=l&255;if(!(j>>>0>0|(j|0)==0&o>>>0>16383)){r=i;s=k;break}else{d=i;h=k;j=J}}}else{r=p;s=e}b[r>>0]=s;q=r+1|0}if(!(c&4))t=q;else{c=f[a+24>>2]|0;b[q>>0]=29;r=q+1|0;b[r>>0]=c;b[r+1>>0]=c>>8;b[r+2>>0]=c>>16;b[r+3>>0]=c>>24;t=q+5|0}q=f[a+4>>2]|0;if(!(q&1)){u=t;return u|0}u=Bbc(q&-2,t)|0;return u|0}function R8a(a,b){a=a|0;b=b|0;var c=0,d=0;if((a|0)==(b|0))return;c=a+8|0;if(f[c>>2]&7|0){f[a+16>>2]=0;f[a+20>>2]=1;n[a+24>>2]=1.0}f[c>>2]=0;c=f[a+4>>2]|0;if(c&1|0?(d=c&-2,f[d>>2]|0):0)ebc(d);S8a(a,b);return}function S8a(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=ovc(b,24728,20296,0)|0;if(!c){A9b(b,a);return}b=a+4|0;d=f[c+4>>2]|0;if(d&1|0){e=f[b>>2]|0;if(!(e&1))g=OOa(b)|0;else g=e&-2;hbc(g,d&-2)}d=f[c+8>>2]|0;if(!(d&7))return;if(d&1|0)f[a+16>>2]=f[c+16>>2];if(d&2|0)f[a+20>>2]=f[c+20>>2];if(d&4|0)f[a+24>>2]=f[c+24>>2];c=a+8|0;f[c>>2]=f[c>>2]|d;return}function T8a(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function U8a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224781]|0)!=2){f[d>>2]=151624;f[d+4>>2]=21;b[d+8>>0]=0;xLb(899124,d);QKb(d)}d=540920;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function V8a(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=127052;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=539344?(f[224835]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=75;b[d+8>>0]=0;xLb(899340,d);QKb(d)}f[a+12>>2]=0;f[a+16>>2]=0;f[a+20>>2]=1;n[a+24>>2]=1.0;u=c;return}function W8a(a,b){a=a|0;b=b|0;if(!b)return;EIb(a,b,1978);return}function X8a(a){a=a|0;var b=0,c=0;f[a>>2]=127160;if((a|0)!=539312){b=f[a+16>>2]|0;if(b|0)bi[f[(f[b>>2]|0)+4>>2]&2047](b);b=f[a+20>>2]|0;if(b|0)bi[f[(f[b>>2]|0)+4>>2]&2047](b)}b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(c);f[b>>2]=0;return}function Y8a(a){a=a|0;var b=0,c=0;f[a>>2]=127160;if((a|0)!=539312){b=f[a+16>>2]|0;if(b|0)bi[f[(f[b>>2]|0)+4>>2]&2047](b);b=f[a+20>>2]|0;if(b|0)bi[f[(f[b>>2]|0)+4>>2]&2047](b)}b=f[a+4>>2]|0;if(!(b&1)){fuc(a);return}c=b&-2;b=c;if((c|0)==0|(f[b+4>>2]|0)!=0){fuc(a);return}if(f[b>>2]|0)ebc(b);fuc(c);fuc(a);return}function Z8a(a){a=a|0;a=cuc(32)|0;l9a(a);return a|0}function _8a(a,b){a=a|0;b=b|0;a=cuc(32)|0;l9a(a);if(!b)return a|0;m9a(b,a);return a|0}function $8a(a){a=a|0;var b=0,c=0,e=0,g=0,h=0;b=a+8|0;c=f[b>>2]|0;if(c&3|0){if(c&1|0){e=f[a+16>>2]|0;g=e+8|0;h=f[g>>2]|0;if(h&1|0)ruc(f[e+16>>2]|0,540424)|0;if(h&254|0){h=e+20|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;f[e+36>>2]=-1;n[e+40>>2]=1.0;n[e+44>>2]=1.0}f[g>>2]=0;g=f[e+4>>2]|0;if(g&1|0?(e=g&-2,f[e>>2]|0):0)ebc(e)}if(c&2|0){e=f[a+20>>2]|0;g=e+8|0;h=f[g>>2]|0;if(h&1|0)ruc(f[e+16>>2]|0,540424)|0;if(h&254|0){h=e+20|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;f[e+36>>2]=-1;n[e+40>>2]=1.0;n[e+44>>2]=1.0}f[g>>2]=0;g=f[e+4>>2]|0;if(g&1|0?(e=g&-2,f[e>>2]|0):0)ebc(e)}}if(c&28|0){c=a+24|0;f[c>>2]=0;d[c+4>>1]=0}f[b>>2]=0;b=f[a+4>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;ebc(a);return}function a9a(a){a=a|0;return 1}function b9a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;d=u;u=u+16|0;e=d;g=c+4|0;h=a+8|0;i=a+24|0;j=a+16|0;k=e+4|0;l=a+20|0;m=e+4|0;n=a+28|0;o=e+8|0;p=a+29|0;q=e+8|0;r=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){s=b[a>>0]|0;t=s&255;if(s<<24>>24>0){f[c>>2]=a+1;v=t;w=6}else{x=t;w=5}}else{x=0;w=5}if((w|0)==5){w=0;t=OJb(c,x)|0;if((t+-1|0)>>>0<127){v=t;w=6}else y=t}b:do if((w|0)==6){w=0;switch(v>>>3&536870911|0){case 1:{if((v&255|0)!=8){y=v;break b}f[h>>2]=f[h>>2]|4;t=f[c>>2]|0;if(t>>>0<(f[g>>2]|0)>>>0){a=b[t>>0]|0;s=a&255;if(a<<24>>24>-1){f[i>>2]=s;f[c>>2]=t+1;continue a}else z=s}else z=0;s=zJb(c,z)|0;t=J;f[i>>2]=s;if((t|0)>-1|(t|0)==-1&s>>>0>4294967295)continue a;else{A=0;w=51;break a}break}case 2:{if((v&255|0)!=18){y=v;break b}f[h>>2]=f[h>>2]|1;s=f[j>>2]|0;if(!s){t=cuc(48)|0;DXa(t);f[j>>2]=t;B=t}else B=s;s=f[c>>2]|0;if(s>>>0<(f[g>>2]|0)>>>0?(t=b[s>>0]|0,t<<24>>24>-1):0){f[c>>2]=s+1;C=t&255}else{t=NJb(c)|0;if((t|0)>-1)C=t;else{A=0;w=51;break a}}yJb(e,c,C);if((f[k>>2]|0)<0){w=21;break a}if(!(Th[f[(f[B>>2]|0)+44>>2]&1023](B,c)|0)){w=21;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{A=0;w=51;break a}break}case 3:{if((v&255|0)!=26){y=v;break b}f[h>>2]=f[h>>2]|2;t=f[l>>2]|0;if(!t){s=cuc(48)|0;DXa(s);f[l>>2]=s;D=s}else D=t;t=f[c>>2]|0;if(t>>>0<(f[g>>2]|0)>>>0?(s=b[t>>0]|0,s<<24>>24>-1):0){f[c>>2]=t+1;E=s&255}else{s=NJb(c)|0;if((s|0)>-1)E=s;else{A=0;w=51;break a}}yJb(e,c,E);if((f[m>>2]|0)<0){w=32;break a}if(!(Th[f[(f[D>>2]|0)+44>>2]&1023](D,c)|0)){w=32;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{A=0;w=51;break a}break}case 4:{if((v&255|0)!=32){y=v;break b}f[h>>2]=f[h>>2]|8;s=f[c>>2]|0;if(s>>>0<(f[g>>2]|0)>>>0?(t=b[s>>0]|0,t<<24>>24>-1):0){f[c>>2]=s+1;F=t<<24>>24!=0}else{AJb(e,c);t=e;if(!(b[o>>0]|0)){A=0;w=51;break a}else F=(f[t>>2]|0)!=0|(f[t+4>>2]|0)!=0}b[n>>0]=F&1;continue a;break}case 5:{if((v&255|0)!=40){y=v;break b}f[h>>2]=f[h>>2]|16;t=f[c>>2]|0;if(t>>>0<(f[g>>2]|0)>>>0?(s=b[t>>0]|0,s<<24>>24>-1):0){f[c>>2]=t+1;G=s<<24>>24!=0}else{AJb(e,c);s=e;if(!(b[q>>0]|0)){A=0;w=51;break a}else G=(f[s>>2]|0)!=0|(f[s+4>>2]|0)!=0}b[p>>0]=G&1;continue a;break}default:{y=v;break b}}}while(0);if(!y){A=1;w=51;break}s=f[r>>2]|0;if(!(s&1))H=OOa(r)|0;else H=s&-2;if(!(xbc(c,y,H)|0)){A=0;w=51;break}}if((w|0)==21){A=0;u=d;return A|0}else if((w|0)==32){A=0;u=d;return A|0}else if((w|0)==51){u=d;return A|0}return 0}function c9a(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=Dbc(b&-2)|0;b=a+8|0;d=f[b>>2]|0;if(!(d&31)){e=c;g=a+12|0;f[g>>2]=e;return e|0}if(!(d&1)){h=c;i=d}else{d=f[a+16>>2]|0;j=di[f[(f[d>>2]|0)+48>>2]&1023](d)|0;d=c+1+j+((((($(j|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=d;i=f[b>>2]|0}if(!(i&2)){k=h;l=i}else{i=f[a+20>>2]|0;d=di[f[(f[i>>2]|0)+48>>2]&1023](i)|0;i=h+1+d+((((($(d|1|0)|0)^31)*9|0)+73|0)>>>6)|0;k=i;l=f[b>>2]|0}if(!(l&4))m=k;else m=k+1+((((($(f[a+24>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;k=l&8|0?m+2|0:m;e=l&16|0?k+2|0:k;g=a+12|0;f[g>>2]=e;return e|0}function d9a(a,c){a=a|0;c=c|0;var d=0;d=f[a+8>>2]|0;if(d&4|0)ILb(1,f[a+24>>2]|0,c);if(d&1|0)_Lb(2,f[a+16>>2]|0,c);if(d&2|0)_Lb(3,f[a+20>>2]|0,c);if(d&8|0)SLb(4,(b[a+28>>0]|0)!=0,c);if(d&16|0)SLb(5,(b[a+29>>0]|0)!=0,c);d=f[a+4>>2]|0;if(!(d&1))return;Abc(d&-2,c);return}function e9a(a){a=a|0;return f[a+12>>2]|0}function f9a(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;e=f[a+8>>2]|0;if(!(e&4))g=d;else{h=f[a+24>>2]|0;b[d>>0]=8;i=d+1|0;if(h>>>0>127){d=h;j=i;while(1){b[j>>0]=d|128;k=d>>>7;l=j+1|0;if(d>>>0>16383){d=k;j=l}else{m=l;n=k;break}}}else{m=i;n=h}b[m>>0]=n;g=m+1|0}if(!(e&1))o=g;else{m=f[a+16>>2]|0;b[g>>0]=18;n=g+1|0;g=di[f[(f[m>>2]|0)+60>>2]&1023](m)|0;if(g>>>0>127){h=g;i=n;while(1){b[i>>0]=h|128;j=h>>>7;d=i+1|0;if(h>>>0>16383){h=j;i=d}else{p=d;q=j;break}}}else{p=n;q=g}b[p>>0]=q;o=li[f[(f[m>>2]|0)+64>>2]&511](m,c,p+1|0)|0}if(!(e&2))r=o;else{p=f[a+20>>2]|0;b[o>>0]=26;m=o+1|0;o=di[f[(f[p>>2]|0)+60>>2]&1023](p)|0;if(o>>>0>127){q=o;g=m;while(1){b[g>>0]=q|128;n=q>>>7;i=g+1|0;if(q>>>0>16383){q=n;g=i}else{s=i;t=n;break}}}else{s=m;t=o}b[s>>0]=t;r=li[f[(f[p>>2]|0)+64>>2]&511](p,c,s+1|0)|0}if(!(e&8))u=r;else{s=b[a+28>>0]|0;b[r>>0]=32;b[r+1>>0]=s;u=r+2|0}if(!(e&16))v=u;else{e=b[a+29>>0]|0;b[u>>0]=40;b[u+1>>0]=e;v=u+2|0}u=f[a+4>>2]|0;if(!(u&1)){w=v;return w|0}w=Bbc(u&-2,v)|0;return w|0}function g9a(a,b){a=a|0;b=b|0;var c=0;if((a|0)==(b|0))return;$8a(a);c=ovc(b,24728,20312,0)|0;if(!c){A9b(b,a);return}else{k9a(a,c);return}}function h9a(a,b){a=a|0;b=b|0;var c=0;c=ovc(b,24728,20312,0)|0;if(!c){A9b(b,a);return}else{k9a(a,c);return}}function i9a(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function j9a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224781]|0)!=2){f[d>>2]=151624;f[d+4>>2]=21;b[d+8>>0]=0;xLb(899124,d);QKb(d)}d=540912;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function k9a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0;d=a+4|0;e=f[c+4>>2]|0;if(e&1|0){g=f[d>>2]|0;if(!(g&1))h=OOa(d)|0;else h=g&-2;hbc(h,e&-2)}e=f[c+8>>2]|0;if(!(e&31))return;if(e&1|0){h=a+8|0;f[h>>2]=f[h>>2]|1;h=a+16|0;g=f[h>>2]|0;if(!g){d=cuc(48)|0;DXa(d);f[h>>2]=d;i=d}else i=g;g=f[c+16>>2]|0;EXa(i,g|0?g:537032)}if(e&2|0){g=a+8|0;f[g>>2]=f[g>>2]|2;g=a+20|0;i=f[g>>2]|0;if(!i){d=cuc(48)|0;DXa(d);f[g>>2]=d;j=d}else j=i;i=f[c+20>>2]|0;EXa(j,i|0?i:537032)}if(e&4|0)f[a+24>>2]=f[c+24>>2];if(e&8|0)b[a+28>>0]=b[c+28>>0]|0;if(e&16|0)b[a+29>>0]=b[c+29>>0]|0;c=a+8|0;f[c>>2]=f[c>>2]|e;return}function l9a(a){a=a|0;var c=0,e=0;c=u;u=u+16|0;e=c;f[a>>2]=127160;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=539312?(f[224834]|0)!=2:0){f[e>>2]=151624;f[e+4>>2]=74;b[e+8>>0]=0;xLb(899336,e);QKb(e)}e=a+12|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;d[e+16>>1]=0;u=c;return}function m9a(a,b){a=a|0;b=b|0;if(!b)return;EIb(a,b,1978);return}function n9a(a){a=a|0;var b=0,c=0;f[a>>2]=127268;F9a(a);b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(c);f[b>>2]=0;return}function o9a(a){a=a|0;n9a(a);fuc(a);return}function p9a(a){a=a|0;a=cuc(32)|0;D9a(a);return a|0}function q9a(a,b){a=a|0;b=b|0;a=cuc(32)|0;D9a(a);if(!b)return a|0;E9a(b,a);return a|0}function r9a(a){a=a|0;var c=0,d=0,e=0,g=0;c=a+8|0;d=f[c>>2]|0;do if(d&7|0){do if(d&1|0){e=f[a+16>>2]|0;g=e+11|0;if((b[g>>0]|0)<0){b[f[e>>2]>>0]=0;f[e+4>>2]=0;break}else{b[e>>0]=0;b[g>>0]=0;break}}while(0);do if(d&2|0){g=f[a+20>>2]|0;e=g+11|0;if((b[e>>0]|0)<0){b[f[g>>2]>>0]=0;f[g+4>>2]=0;break}else{b[g>>0]=0;b[e>>0]=0;break}}while(0);if(d&4|0){e=f[a+24>>2]|0;g=e+11|0;if((b[g>>0]|0)<0){b[f[e>>2]>>0]=0;f[e+4>>2]=0;break}else{b[e>>0]=0;b[g>>0]=0;break}}}while(0);b[a+28>>0]=0;f[c>>2]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;ebc(a);return}function s9a(a){a=a|0;return 1}function t9a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;d=u;u=u+16|0;e=d;g=c+4|0;h=a+8|0;i=a+16|0;j=a+20|0;k=a+24|0;l=a+28|0;m=e+8|0;n=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){o=b[a>>0]|0;p=o&255;if(o<<24>>24>0){f[c>>2]=a+1;q=p;r=6}else{s=p;r=5}}else{s=0;r=5}if((r|0)==5){r=0;p=OJb(c,s)|0;if((p+-1|0)>>>0<127){q=p;r=6}else t=p}b:do if((r|0)==6){r=0;switch(q>>>3&536870911|0){case 1:{if((q&255|0)!=10){t=q;break b}f[h>>2]=f[h>>2]|1;p=f[i>>2]|0;if((p|0)==542896){JEa(i,542896);v=f[i>>2]|0}else v=p;if($Lb(c,v)|0)continue a;else{w=0;r=30;break a}break}case 2:{if((q&255|0)!=18){t=q;break b}f[h>>2]=f[h>>2]|2;p=f[j>>2]|0;if((p|0)==542896){JEa(j,542896);x=f[j>>2]|0}else x=p;if($Lb(c,x)|0)continue a;else{w=0;r=30;break a}break}case 3:{if((q&255|0)!=26){t=q;break b}f[h>>2]=f[h>>2]|4;p=f[k>>2]|0;if((p|0)==542896){JEa(k,542896);y=f[k>>2]|0}else y=p;if($Lb(c,y)|0)continue a;else{w=0;r=30;break a}break}case 4:{if((q&255|0)!=32){t=q;break b}f[h>>2]=f[h>>2]|8;p=f[c>>2]|0;if(p>>>0<(f[g>>2]|0)>>>0?(a=b[p>>0]|0,a<<24>>24>-1):0){f[c>>2]=p+1;z=a<<24>>24!=0}else{AJb(e,c);a=e;if(!(b[m>>0]|0)){w=0;r=30;break a}else z=(f[a>>2]|0)!=0|(f[a+4>>2]|0)!=0}b[l>>0]=z&1;continue a;break}default:{t=q;break b}}}while(0);if(!t){w=1;r=30;break}a=f[n>>2]|0;if(!(a&1))A=OOa(n)|0;else A=a&-2;if(!(xbc(c,t,A)|0)){w=0;r=30;break}}if((r|0)==30){u=d;return w|0}return 0}function u9a(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=f[a+4>>2]|0;if(!(c&1))d=0;else d=Dbc(c&-2)|0;c=f[a+8>>2]|0;if(!(c&15)){e=d;g=a+12|0;f[g>>2]=e;return e|0}if(!(c&1))h=d;else{i=f[a+16>>2]|0;j=b[i+11>>0]|0;k=j<<24>>24<0?f[i+4>>2]|0:j&255;h=d+1+k+((((($(k|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(c&2))l=h;else{k=f[a+20>>2]|0;d=b[k+11>>0]|0;j=d<<24>>24<0?f[k+4>>2]|0:d&255;l=h+1+j+((((($(j|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(c&4))m=l;else{j=f[a+24>>2]|0;h=b[j+11>>0]|0;d=h<<24>>24<0?f[j+4>>2]|0:h&255;m=l+1+d+((((($(d|1|0)|0)^31)*9|0)+73|0)>>>6)|0}e=c&8|0?m+2|0:m;g=a+12|0;f[g>>2]=e;return e|0}function v9a(a,c){a=a|0;c=c|0;var d=0;d=f[a+8>>2]|0;if(d&1|0)VLb(1,f[a+16>>2]|0,c);if(d&2|0)VLb(2,f[a+20>>2]|0,c);if(d&4|0)VLb(3,f[a+24>>2]|0,c);if(d&8|0)SLb(4,(b[a+28>>0]|0)!=0,c);d=f[a+4>>2]|0;if(!(d&1))return;Abc(d&-2,c);return}function w9a(a){a=a|0;return f[a+12>>2]|0}function x9a(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0;c=f[a+8>>2]|0;if(!(c&1))e=d;else{g=f[a+16>>2]|0;b[d>>0]=10;e=XJb(g,d+1|0)|0}if(!(c&2))h=e;else{d=f[a+20>>2]|0;b[e>>0]=18;h=XJb(d,e+1|0)|0}if(!(c&4))i=h;else{e=f[a+24>>2]|0;b[h>>0]=26;i=XJb(e,h+1|0)|0}if(!(c&8))j=i;else{c=b[a+28>>0]|0;b[i>>0]=32;b[i+1>>0]=c;j=i+2|0}i=f[a+4>>2]|0;if(!(i&1)){k=j;return k|0}k=Bbc(i&-2,j)|0;return k|0}function y9a(a,b){a=a|0;b=b|0;var c=0;if((a|0)==(b|0))return;r9a(a);c=ovc(b,24728,20328,0)|0;if(!c){A9b(b,a);return}else{C9a(a,c);return}}function z9a(a,b){a=a|0;b=b|0;var c=0;c=ovc(b,24728,20328,0)|0;if(!c){A9b(b,a);return}else{C9a(a,c);return}}function A9a(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function B9a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224781]|0)!=2){f[d>>2]=151624;f[d+4>>2]=21;b[d+8>>0]=0;xLb(899124,d);QKb(d)}d=540904;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function C9a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;d=a+4|0;e=f[c+4>>2]|0;if(e&1|0){g=f[d>>2]|0;if(!(g&1))h=OOa(d)|0;else h=g&-2;hbc(h,e&-2)}e=f[c+8>>2]|0;if(!(e&15))return;do if(e&1|0?(h=a+8|0,f[h>>2]=f[h>>2]|1,h=a+16|0,g=f[c+16>>2]|0,d=f[h>>2]|0,(d|0)!=(g|0)):0)if((d|0)==542896){JEa(h,g);break}else{ruc(d,g)|0;break}while(0);do if(e&2|0?(g=a+8|0,f[g>>2]=f[g>>2]|2,g=a+20|0,d=f[c+20>>2]|0,h=f[g>>2]|0,(h|0)!=(d|0)):0)if((h|0)==542896){JEa(g,d);break}else{ruc(h,d)|0;break}while(0);do if(e&4|0?(d=a+8|0,f[d>>2]=f[d>>2]|4,d=a+24|0,h=f[c+24>>2]|0,g=f[d>>2]|0,(g|0)!=(h|0)):0)if((g|0)==542896){JEa(d,h);break}else{ruc(g,h)|0;break}while(0);if(e&8|0)b[a+28>>0]=b[c+28>>0]|0;c=a+8|0;f[c>>2]=f[c>>2]|e;return}function D9a(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=127268;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=539280?(f[224833]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=73;b[d+8>>0]=0;xLb(899332,d);QKb(d)}f[a+12>>2]=0;f[a+16>>2]=542896;f[a+20>>2]=542896;f[a+24>>2]=542896;b[a+28>>0]=0;u=c;return}function E9a(a,b){a=a|0;b=b|0;if(!b)return;EIb(a,b,1978);return}function F9a(a){a=a|0;var c=0;c=f[a+16>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}c=f[a+20>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}c=f[a+24>>2]|0;if((c|0)==542896|(c|0)==0)return;if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c);return}function G9a(a){a=a|0;var b=0,c=0;f[a>>2]=127376;if((a|0)!=539152?(b=f[a+16>>2]|0,b|0):0)bi[f[(f[b>>2]|0)+4>>2]&2047](b);b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(c);f[b>>2]=0;return}function H9a(a){a=a|0;var b=0,c=0;f[a>>2]=127376;if((a|0)!=539152?(b=f[a+16>>2]|0,b|0):0)bi[f[(f[b>>2]|0)+4>>2]&2047](b);b=f[a+4>>2]|0;if(!(b&1)){fuc(a);return}c=b&-2;b=c;if((c|0)==0|(f[b+4>>2]|0)!=0){fuc(a);return}if(f[b>>2]|0)ebc(b);fuc(c);fuc(a);return}function I9a(a){a=a|0;a=cuc(20)|0;W9a(a);return a|0}function J9a(a,b){a=a|0;b=b|0;a=cuc(20)|0;W9a(a);if(!b)return a|0;X9a(b,a);return a|0}function K9a(a){a=a|0;var b=0,c=0,d=0;b=a+8|0;if((f[b>>2]&1|0?(c=f[a+16>>2]|0,f[c+16>>2]=0,f[c+8>>2]=0,d=f[c+4>>2]|0,d&1|0):0)?(c=d&-2,f[c>>2]|0):0)ebc(c);f[b>>2]=0;b=f[a+4>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;ebc(a);return}function L9a(a){a=a|0;return 1}function M9a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;d=u;u=u+16|0;e=d;g=c+4|0;h=a+8|0;i=a+16|0;j=e+4|0;k=a+4|0;while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){l=b[a>>0]|0;m=l&255;if(l<<24>>24>0){f[c>>2]=a+1;n=m;o=6}else{p=m;o=5}}else{p=0;o=5}if((o|0)==5){o=0;m=OJb(c,p)|0;if((m+-1|0)>>>0<127){n=m;o=6}else q=m}if((o|0)==6){o=0;if((n|0)==10){f[h>>2]=f[h>>2]|1;m=f[i>>2]|0;if(!m){a=cuc(32)|0;UYa(a);f[i>>2]=a;r=a}else r=m;m=f[c>>2]|0;if(m>>>0<(f[g>>2]|0)>>>0?(a=b[m>>0]|0,a<<24>>24>-1):0){f[c>>2]=m+1;s=a&255}else{a=NJb(c)|0;if((a|0)>-1)s=a;else{t=0;o=22;break}}yJb(e,c,s);if((f[j>>2]|0)<0){o=15;break}if(!(Th[f[(f[r>>2]|0)+44>>2]&1023](r,c)|0)){o=15;break}if(DJb(c,f[e>>2]|0)|0)continue;else{t=0;o=22;break}}else q=n}if(!q){t=1;o=22;break}a=f[k>>2]|0;if(!(a&1))v=OOa(k)|0;else v=a&-2;if(!(xbc(c,q,v)|0)){t=0;o=22;break}}if((o|0)==15){t=0;u=d;return t|0}else if((o|0)==22){u=d;return t|0}return 0}function N9a(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=Dbc(b&-2)|0;if(!(f[a+8>>2]&1)){d=c;e=a+12|0;f[e>>2]=d;return d|0}b=f[a+16>>2]|0;g=di[f[(f[b>>2]|0)+48>>2]&1023](b)|0;d=c+1+g+((((($(g|1|0)|0)^31)*9|0)+73|0)>>>6)|0;e=a+12|0;f[e>>2]=d;return d|0}function O9a(a,b){a=a|0;b=b|0;var c=0;if(f[a+8>>2]&1|0)_Lb(1,f[a+16>>2]|0,b);c=f[a+4>>2]|0;if(!(c&1))return;Abc(c&-2,b);return}function P9a(a){a=a|0;return f[a+12>>2]|0}function Q9a(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;if(!(f[a+8>>2]&1))e=d;else{g=f[a+16>>2]|0;b[d>>0]=10;h=d+1|0;d=di[f[(f[g>>2]|0)+60>>2]&1023](g)|0;if(d>>>0>127){i=d;j=h;while(1){b[j>>0]=i|128;k=i>>>7;l=j+1|0;if(i>>>0>16383){i=k;j=l}else{m=l;n=k;break}}}else{m=h;n=d}b[m>>0]=n;e=li[f[(f[g>>2]|0)+64>>2]&511](g,c,m+1|0)|0}m=f[a+4>>2]|0;if(!(m&1)){o=e;return o|0}o=Bbc(m&-2,e)|0;return o|0}function R9a(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;if((a|0)==(b|0))return;c=a+8|0;if((f[c>>2]&1|0?(d=f[a+16>>2]|0,f[d+16>>2]=0,f[d+8>>2]=0,e=f[d+4>>2]|0,e&1|0):0)?(d=e&-2,f[d>>2]|0):0)ebc(d);f[c>>2]=0;c=f[a+4>>2]|0;if(c&1|0?(d=c&-2,f[d>>2]|0):0)ebc(d);d=ovc(b,24728,20344,0)|0;if(!d){A9b(b,a);return}else{V9a(a,d);return}}function S9a(a,b){a=a|0;b=b|0;var c=0;c=ovc(b,24728,20344,0)|0;if(!c){A9b(b,a);return}else{V9a(a,c);return}}function T9a(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function U9a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224781]|0)!=2){f[d>>2]=151624;f[d+4>>2]=21;b[d+8>>0]=0;xLb(899124,d);QKb(d)}d=540880;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function V9a(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0;c=a+4|0;d=f[b+4>>2]|0;if(d&1|0){e=f[c>>2]|0;if(!(e&1))g=OOa(c)|0;else g=e&-2;hbc(g,d&-2)}if(!(f[b+8>>2]&1))return;d=a+8|0;f[d>>2]=f[d>>2]|1;d=a+16|0;a=f[d>>2]|0;if(!a){g=cuc(32)|0;UYa(g);f[d>>2]=g;h=g}else h=a;a=f[b+16>>2]|0;b=a|0?a:536552;a=h+4|0;g=f[b+4>>2]|0;if(g&1|0){d=f[a>>2]|0;if(!(d&1))i=OOa(a)|0;else i=d&-2;hbc(i,g&-2)}g=h+16|0;i=b+16|0;d=f[i>>2]|0;if(!d)return;ZOa(g,(f[g>>2]|0)+d|0);szc((f[h+24>>2]|0)+8+(f[g>>2]<<3)|0,(f[b+24>>2]|0)+8|0,f[i>>2]<<3|0)|0;f[g>>2]=(f[g>>2]|0)+(f[i>>2]|0);return}function W9a(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=127376;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=539152?(f[224830]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=70;b[d+8>>0]=0;xLb(899320,d);QKb(d)}f[a+12>>2]=0;f[a+16>>2]=0;u=c;return}function X9a(a,b){a=a|0;b=b|0;if(!b)return;EIb(a,b,1978);return}function Y9a(a){a=a|0;var b=0,c=0;f[a>>2]=127484;b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(c);f[b>>2]=0;return}function Z9a(a){a=a|0;var b=0,c=0;f[a>>2]=127484;b=f[a+4>>2]|0;if(!(b&1)){fuc(a);return}c=b&-2;b=c;if((c|0)==0|(f[b+4>>2]|0)!=0){fuc(a);return}if(f[b>>2]|0)ebc(b);fuc(c);fuc(a);return}function _9a(a){a=a|0;a=cuc(28)|0;lab(a);return a|0}function $9a(a,b){a=a|0;b=b|0;a=cuc(28)|0;lab(a);if(!b)return a|0;mab(b,a);return a|0}function aab(a){a=a|0;var b=0;b=a+8|0;if(f[b>>2]&7|0){n[a+16>>2]=0.0;n[a+20>>2]=-1.0;n[a+24>>2]=1.0}f[b>>2]=0;b=f[a+4>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;ebc(a);return}function bab(a){a=a|0;return 1}function cab(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;d=u;u=u+16|0;e=d;g=c+4|0;i=a+8|0;j=a+20|0;k=a+24|0;l=a+16|0;m=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){n=b[a>>0]|0;o=n&255;if(n<<24>>24>0){f[c>>2]=a+1;p=o;q=6}else{r=o;q=5}}else{r=0;q=5}if((q|0)==5){q=0;o=OJb(c,r)|0;if((o+-1|0)>>>0<127){p=o;q=6}else s=o}b:do if((q|0)==6){q=0;switch(p>>>3&536870911|0){case 1:{if((p&255|0)!=13){s=p;break b}f[i>>2]=f[i>>2]|2;o=f[c>>2]|0;if(((f[g>>2]|0)-o|0)>3){a=o;n=h[a>>0]|h[a+1>>0]<<8|h[a+2>>0]<<16|h[a+3>>0]<<24;f[e>>2]=n;f[c>>2]=o+4;t=n}else{if(!(LJb(c,e)|0)){q=13;break a}t=f[e>>2]|0}f[j>>2]=t;continue a;break}case 2:{if((p&255|0)!=21){s=p;break b}f[i>>2]=f[i>>2]|4;n=f[c>>2]|0;if(((f[g>>2]|0)-n|0)>3){o=n;a=h[o>>0]|h[o+1>>0]<<8|h[o+2>>0]<<16|h[o+3>>0]<<24;f[e>>2]=a;f[c>>2]=n+4;v=a}else{if(!(LJb(c,e)|0)){q=20;break a}v=f[e>>2]|0}f[k>>2]=v;continue a;break}case 3:{if((p&255|0)!=29){s=p;break b}f[i>>2]=f[i>>2]|1;a=f[c>>2]|0;if(((f[g>>2]|0)-a|0)>3){n=a;o=h[n>>0]|h[n+1>>0]<<8|h[n+2>>0]<<16|h[n+3>>0]<<24;f[e>>2]=o;f[c>>2]=a+4;w=o}else{if(!(LJb(c,e)|0)){q=27;break a}w=f[e>>2]|0}f[l>>2]=w;continue a;break}default:{s=p;break b}}}while(0);if(!s){x=1;q=33;break}o=f[m>>2]|0;if(!(o&1))y=OOa(m)|0;else y=o&-2;if(!(xbc(c,s,y)|0)){x=0;q=33;break}}if((q|0)==13){x=0;u=d;return x|0}else if((q|0)==20){x=0;u=d;return x|0}else if((q|0)==27){x=0;u=d;return x|0}else if((q|0)==33){u=d;return x|0}return 0}function dab(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=Dbc(b&-2)|0;b=f[a+8>>2]|0;if(!(b&7)){d=c;e=a+12|0;f[e>>2]=d;return d|0}g=b&1|0?c+5|0:c;c=b&2|0?g+5|0:g;d=b&4|0?c+5|0:c;e=a+12|0;f[e>>2]=d;return d|0}function eab(a,b){a=a|0;b=b|0;var c=0;c=f[a+8>>2]|0;if(c&2|0)QLb(1,+n[a+20>>2],b);if(c&4|0)QLb(2,+n[a+24>>2],b);if(c&1|0)QLb(3,+n[a+16>>2],b);c=f[a+4>>2]|0;if(!(c&1))return;Abc(c&-2,b);return}function fab(a){a=a|0;return f[a+12>>2]|0}function gab(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0;c=f[a+8>>2]|0;if(!(c&2))e=d;else{g=f[a+20>>2]|0;b[d>>0]=13;h=d+1|0;b[h>>0]=g;b[h+1>>0]=g>>8;b[h+2>>0]=g>>16;b[h+3>>0]=g>>24;e=d+5|0}if(!(c&4))i=e;else{d=f[a+24>>2]|0;b[e>>0]=21;g=e+1|0;b[g>>0]=d;b[g+1>>0]=d>>8;b[g+2>>0]=d>>16;b[g+3>>0]=d>>24;i=e+5|0}if(!(c&1))j=i;else{c=f[a+16>>2]|0;b[i>>0]=29;e=i+1|0;b[e>>0]=c;b[e+1>>0]=c>>8;b[e+2>>0]=c>>16;b[e+3>>0]=c>>24;j=i+5|0}i=f[a+4>>2]|0;if(!(i&1)){k=j;return k|0}k=Bbc(i&-2,j)|0;return k|0}function hab(a,b){a=a|0;b=b|0;var c=0,d=0;if((a|0)==(b|0))return;c=a+8|0;if(f[c>>2]&7|0){n[a+16>>2]=0.0;n[a+20>>2]=-1.0;n[a+24>>2]=1.0}f[c>>2]=0;c=f[a+4>>2]|0;if(c&1|0?(d=c&-2,f[d>>2]|0):0)ebc(d);iab(a,b);return}function iab(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=ovc(b,24728,20360,0)|0;if(!c){A9b(b,a);return}b=a+4|0;d=f[c+4>>2]|0;if(d&1|0){e=f[b>>2]|0;if(!(e&1))g=OOa(b)|0;else g=e&-2;hbc(g,d&-2)}d=f[c+8>>2]|0;if(!(d&7))return;if(d&1|0)f[a+16>>2]=f[c+16>>2];if(d&2|0)f[a+20>>2]=f[c+20>>2];if(d&4|0)f[a+24>>2]=f[c+24>>2];c=a+8|0;f[c>>2]=f[c>>2]|d;return}function jab(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function kab(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224781]|0)!=2){f[d>>2]=151624;f[d+4>>2]=21;b[d+8>>0]=0;xLb(899124,d);QKb(d)}d=540848;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function lab(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=127484;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=539024?(f[224826]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=66;b[d+8>>0]=0;xLb(899304,d);QKb(d)}f[a+12>>2]=0;n[a+16>>2]=0.0;n[a+20>>2]=-1.0;n[a+24>>2]=1.0;u=c;return}function mab(a,b){a=a|0;b=b|0;if(!b)return;EIb(a,b,1978);return}function nab(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0;f[a>>2]=127592;b=a+28|0;c=f[b>>2]|0;if(c|0?(f[a+16>>2]|0)==0:0){d=f[c>>2]|0;if((d|0)>0){e=0;do{g=f[c+4+(e<<2)>>2]|0;if(g|0)bi[f[(f[g>>2]|0)+4>>2]&2047](g);e=e+1|0}while((e|0)!=(d|0));h=f[b>>2]|0}else h=c;fuc(h)}f[b>>2]=0;b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}h=a&-2;a=h;if((h|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(h);f[b>>2]=0;return}function oab(a){a=a|0;nab(a);fuc(a);return}function pab(a){a=a|0;a=cuc(32)|0;Cab(a);return a|0}function qab(a,b){a=a|0;b=b|0;a=cuc(32)|0;Cab(a);if(!b)return a|0;Dab(b,a);return a|0}function rab(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0;b=a+20|0;c=f[b>>2]|0;if((c|0)>0){d=f[a+28>>2]|0;e=0;do{g=f[d+4+(e<<2)>>2]|0;e=e+1|0;f[g+16>>2]=0;f[g+8>>2]=0;h=f[g+4>>2]|0;if(h&1|0?(g=h&-2,f[g>>2]|0):0)ebc(g)}while((e|0)!=(c|0));f[b>>2]=0}f[a+8>>2]=0;b=f[a+4>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;ebc(a);return}function sab(a){a=a|0;return 1}function tab(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;d=u;u=u+16|0;e=d;g=c+4|0;h=a+16|0;i=e+4|0;j=a+4|0;while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){k=b[a>>0]|0;l=k&255;if(k<<24>>24>0){f[c>>2]=a+1;m=l;n=6}else{o=l;n=5}}else{o=0;n=5}if((n|0)==5){n=0;l=OJb(c,o)|0;if((l+-1|0)>>>0<127){m=l;n=6}else p=l}if((n|0)==6){n=0;if((m|0)==10){l=b2a(h)|0;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(k=b[a>>0]|0,k<<24>>24>-1):0){f[c>>2]=a+1;q=k&255}else{k=NJb(c)|0;if((k|0)>-1)q=k;else{r=0;n=20;break}}yJb(e,c,q);if((f[i>>2]|0)<0){n=13;break}if(!(Th[f[(f[l>>2]|0)+44>>2]&1023](l,c)|0)){n=13;break}if(DJb(c,f[e>>2]|0)|0)continue;else{r=0;n=20;break}}else p=m}if(!p){r=1;n=20;break}l=f[j>>2]|0;if(!(l&1))s=OOa(j)|0;else s=l&-2;if(!(xbc(c,p,s)|0)){r=0;n=20;break}}if((n|0)==13){r=0;u=d;return r|0}else if((n|0)==20){u=d;return r|0}return 0}function uab(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=Dbc(b&-2)|0;b=f[a+20>>2]|0;d=b+c|0;if(!b){e=d;g=a+12|0;f[g>>2]=e;return e|0}c=a+28|0;h=0;i=d;while(1){d=f[(f[c>>2]|0)+4+(h<<2)>>2]|0;j=di[f[(f[d>>2]|0)+48>>2]&1023](d)|0;d=j+i+((((($(j|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=h+1|0;if((h|0)==(b|0)){e=d;break}else i=d}g=a+12|0;f[g>>2]=e;return e|0}function vab(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=f[a+20>>2]|0;if(c|0){d=a+28|0;e=0;do{_Lb(1,f[(f[d>>2]|0)+4+(e<<2)>>2]|0,b);e=e+1|0}while((e|0)!=(c|0))}c=f[a+4>>2]|0;if(!(c&1))return;Abc(c&-2,b);return}function wab(a){a=a|0;return f[a+12>>2]|0}function xab(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;e=f[a+20>>2]|0;if(!e)g=d;else{h=a+28|0;i=0;j=d;while(1){d=f[(f[h>>2]|0)+4+(i<<2)>>2]|0;b[j>>0]=10;k=j+1|0;l=di[f[(f[d>>2]|0)+60>>2]&1023](d)|0;if(l>>>0>127){m=l;n=k;while(1){b[n>>0]=m|128;o=m>>>7;p=n+1|0;if(m>>>0>16383){m=o;n=p}else{q=p;r=o;break}}}else{q=k;r=l}b[q>>0]=r;n=li[f[(f[d>>2]|0)+64>>2]&511](d,c,q+1|0)|0;i=i+1|0;if((i|0)==(e|0)){g=n;break}else j=n}}j=f[a+4>>2]|0;if(!(j&1)){s=g;return s|0}s=Bbc(j&-2,g)|0;return s|0}
function kM(a,c,e,g,h,i,j,k){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;var l=0.0,m=0.0,o=0,q=0,r=0,t=0;g=f[j>>2]|0;e=f[j+4>>2]|0;l=+p[k>>3];m=+p[k+8>>3];k=i>>>1;if((e|0)>0&(g|0)>0){o=0;q=h;r=a}else return;while(1){a=0;do{h=(n[s>>2]=m+l*+(b[r+a>>0]|0),f[s>>2]|0);i=h&-2147483648;j=i^h;do if(j>>>0<=1199570943)if(j>>>0<947912704){t=(n[s>>2]=(f[s>>2]=j,+n[s>>2])+.5,f[s>>2]|0);break}else{t=(h+134221823+(h>>>13&1)|0)>>>13;break}else t=j>>>0>2139095040?32256:31744;while(0);d[q+(a<<1)>>1]=t|i>>>16;a=a+1|0}while((a|0)!=(g|0));o=o+1|0;if((o|0)==(e|0))break;else{q=q+(k<<1)|0;r=r+c|0}}return}function lM(a,b,c,e,g,h,i,k){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;k=k|0;var l=0.0,m=0.0,o=0,q=0,r=0,t=0;e=f[i>>2]|0;c=f[i+4>>2]|0;l=+p[k>>3];m=+p[k+8>>3];k=b>>>1;b=h>>>1;if((c|0)>0&(e|0)>0){o=0;q=g;r=a}else return;while(1){a=0;do{g=(n[s>>2]=m+l*+(j[r+(a<<1)>>1]|0),f[s>>2]|0);h=g&-2147483648;i=h^g;do if(i>>>0<=1199570943)if(i>>>0<947912704){t=(n[s>>2]=(f[s>>2]=i,+n[s>>2])+.5,f[s>>2]|0);break}else{t=(g+134221823+(g>>>13&1)|0)>>>13;break}else t=i>>>0>2139095040?32256:31744;while(0);d[q+(a<<1)>>1]=t|h>>>16;a=a+1|0}while((a|0)!=(e|0));o=o+1|0;if((o|0)==(c|0))break;else{q=q+(b<<1)|0;r=r+(k<<1)|0}}return}function mM(a,b,c,e,g,h,i,j){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0.0,l=0.0,m=0,o=0,q=0,r=0;e=f[i>>2]|0;c=f[i+4>>2]|0;k=+p[j>>3];l=+p[j+8>>3];j=b>>>1;b=h>>>1;if((c|0)>0&(e|0)>0){m=0;o=g;q=a}else return;while(1){a=0;do{g=(n[s>>2]=l+k*+(d[q+(a<<1)>>1]|0),f[s>>2]|0);h=g&-2147483648;i=h^g;do if(i>>>0<=1199570943)if(i>>>0<947912704){r=(n[s>>2]=(f[s>>2]=i,+n[s>>2])+.5,f[s>>2]|0);break}else{r=(g+134221823+(g>>>13&1)|0)>>>13;break}else r=i>>>0>2139095040?32256:31744;while(0);d[o+(a<<1)>>1]=r|h>>>16;a=a+1|0}while((a|0)!=(e|0));m=m+1|0;if((m|0)==(c|0))break;else{o=o+(b<<1)|0;q=q+(j<<1)|0}}return}function nM(a,b,c,e,g,h,i,j){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0.0,l=0.0,m=0,o=0,q=0,r=0;e=f[i>>2]|0;c=f[i+4>>2]|0;k=+p[j>>3];l=+p[j+8>>3];j=b>>>2;b=h>>>1;if((c|0)>0&(e|0)>0){m=0;o=g;q=a}else return;while(1){a=0;do{g=(n[s>>2]=l+k*+(f[q+(a<<2)>>2]|0),f[s>>2]|0);h=g&-2147483648;i=h^g;do if(i>>>0<=1199570943)if(i>>>0<947912704){r=(n[s>>2]=(f[s>>2]=i,+n[s>>2])+.5,f[s>>2]|0);break}else{r=(g+134221823+(g>>>13&1)|0)>>>13;break}else r=i>>>0>2139095040?32256:31744;while(0);d[o+(a<<1)>>1]=r|h>>>16;a=a+1|0}while((a|0)!=(e|0));m=m+1|0;if((m|0)==(c|0))break;else{o=o+(b<<1)|0;q=q+(j<<2)|0}}return}function oM(a,b,c,e,g,h,i,j){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0.0,l=0.0,m=0,o=0,q=0,r=0;e=f[i>>2]|0;c=f[i+4>>2]|0;k=+p[j>>3];l=+p[j+8>>3];j=b>>>2;b=h>>>1;if((c|0)>0&(e|0)>0){m=0;o=g;q=a}else return;while(1){a=0;do{g=(n[s>>2]=l+k*+n[q+(a<<2)>>2],f[s>>2]|0);h=g&-2147483648;i=h^g;do if(i>>>0<=1199570943)if(i>>>0<947912704){r=(n[s>>2]=(f[s>>2]=i,+n[s>>2])+.5,f[s>>2]|0);break}else{r=(g+134221823+(g>>>13&1)|0)>>>13;break}else r=i>>>0>2139095040?32256:31744;while(0);d[o+(a<<1)>>1]=r|h>>>16;a=a+1|0}while((a|0)!=(e|0));m=m+1|0;if((m|0)==(c|0))break;else{o=o+(b<<1)|0;q=q+(j<<2)|0}}return}function pM(a,b,c,e,g,h,i,j){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0.0,l=0.0,m=0,o=0,q=0,r=0;e=f[i>>2]|0;c=f[i+4>>2]|0;k=+p[j>>3];l=+p[j+8>>3];j=b>>>3;b=h>>>1;if((c|0)>0&(e|0)>0){m=0;o=g;q=a}else return;while(1){a=0;do{g=(n[s>>2]=l+k*+p[q+(a<<3)>>3],f[s>>2]|0);h=g&-2147483648;i=h^g;do if(i>>>0<=1199570943)if(i>>>0<947912704){r=(n[s>>2]=(f[s>>2]=i,+n[s>>2])+.5,f[s>>2]|0);break}else{r=(g+134221823+(g>>>13&1)|0)>>>13;break}else r=i>>>0>2139095040?32256:31744;while(0);d[o+(a<<1)>>1]=r|h>>>16;a=a+1|0}while((a|0)!=(e|0));m=m+1|0;if((m|0)==(c|0))break;else{o=o+(b<<1)|0;q=q+(j<<3)|0}}return}function qM(a,b,c,e,g,h,i,k){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;k=k|0;var l=0.0,m=0.0,o=0,q=0,r=0,t=0,u=0,v=0,w=0,x=0;e=f[i>>2]|0;c=f[i+4>>2]|0;l=+p[k>>3];m=+p[k+8>>3];k=b>>>1;b=h>>>1;if((c|0)>0&(e|0)>0){o=0;q=g;r=a}else return;while(1){a=0;do{g=j[r+(a<<1)>>1]|0;h=g<<13;i=h&268427264;t=i+939524096|0;u=g<<16&-2147483648;v=g&31744;a:do if(v<<16>>16<31744){switch(v<<16>>16){case 0:break;default:{w=t;break a}}w=(n[s>>2]=(f[s>>2]=i+947912704,+n[s>>2])+-.00006103515625,f[s>>2]|0)}else{switch(v<<16>>16){case 31744:break;default:{w=t;break a}}w=h|1879048192}while(0);h=(n[s>>2]=m+l*(f[s>>2]=w|u,+n[s>>2]),f[s>>2]|0);t=h&-2147483648;v=t^h;do if(v>>>0<=1199570943)if(v>>>0<947912704){x=(n[s>>2]=(f[s>>2]=v,+n[s>>2])+.5,f[s>>2]|0);break}else{x=(h+134221823+(h>>>13&1)|0)>>>13;break}else x=v>>>0>2139095040?32256:31744;while(0);d[q+(a<<1)>>1]=x|t>>>16;a=a+1|0}while((a|0)!=(e|0));o=o+1|0;if((o|0)==(c|0))break;else{q=q+(b<<1)|0;r=r+(k<<1)|0}}return}function rM(a,c,d,e){a=a|0;c=c|0;d=+d;e=+e;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0;g=u;u=u+208|0;h=g+200|0;i=g+144|0;j=g+8|0;k=g+88|0;l=g+72|0;m=g+64|0;n=g;o=g+32|0;q=g+24|0;gV(h,37720);do if((qJ(a)|0)==65536){r=f[a+4>>2]|0;f[i>>2]=f[r>>2];s=i+4|0;t=r+4|0;f[s>>2]=f[t>>2];v=i+8|0;f[v>>2]=f[r+8>>2];f[i+12>>2]=f[r+12>>2];f[i+16>>2]=f[r+16>>2];f[i+20>>2]=f[r+20>>2];f[i+24>>2]=f[r+24>>2];f[i+28>>2]=f[r+28>>2];f[i+32>>2]=f[r+32>>2];w=f[r+36>>2]|0;f[i+36>>2]=w;x=i+40|0;f[x>>2]=v;v=i+48|0;y=i+44|0;f[y>>2]=v;f[v>>2]=0;f[i+52>>2]=0;if(w|0){v=w+12|0;f[v>>2]=(f[v>>2]|0)+1}if((f[t>>2]|0)<3){t=f[r+44>>2]|0;v=f[y>>2]|0;f[v>>2]=f[t>>2];f[v+4>>2]=f[t+4>>2];z=s;A=x;B=i;break}else{f[s>>2]=0;$T(i,r);z=s;A=x;B=i;break}}else{nJ(i,a,-1);z=i+4|0;A=i+40|0;B=i}while(0);a=((f[B>>2]|0)>>>3&511)+1|0;p[j>>3]=d;p[j+8>>3]=e;JJ(c,f[z>>2]|0,f[A>>2]|0,(a<<3)+-8|0,-1,0,0);do if((qJ(c)|0)==65536){x=f[c+4>>2]|0;f[k>>2]=f[x>>2];s=k+4|0;r=x+4|0;f[s>>2]=f[r>>2];t=k+8|0;f[t>>2]=f[x+8>>2];f[k+12>>2]=f[x+12>>2];f[k+16>>2]=f[x+16>>2];f[k+20>>2]=f[x+20>>2];f[k+24>>2]=f[x+24>>2];f[k+28>>2]=f[x+28>>2];f[k+32>>2]=f[x+32>>2];v=f[x+36>>2]|0;f[k+36>>2]=v;f[k+40>>2]=t;t=k+48|0;y=k+44|0;f[y>>2]=t;f[t>>2]=0;f[k+52>>2]=0;if(v|0){t=v+12|0;f[t>>2]=(f[t>>2]|0)+1}if((f[r>>2]|0)<3){r=f[x+44>>2]|0;t=f[y>>2]|0;f[t>>2]=f[r>>2];f[t+4>>2]=f[r+4>>2];break}else{f[s>>2]=0;$T(k,x);break}}else nJ(k,c,-1);while(0);c=f[B>>2]|0;B=c&7;x=f[37740+(B<<2)>>2]|0;if((B|0)==7){f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;b[l+11>>0]=9;B=l;s=253007;r=B+9|0;do{b[B>>0]=b[s>>0]|0;B=B+1|0;s=s+1|0}while((B|0)<(r|0));b[l+9>>0]=0;WD(-215,l,210653,210669,425)}if((f[z>>2]|0)<3){s=f[k>>2]|0;B=f[i+12>>2]|0;r=f[i+8>>2]|0;t=Bzc(B|0,((B|0)<0)<<31>>31|0,a|0,0)|0;y=Bzc(t|0,J|0,r|0,((r|0)<0)<<31>>31|0)|0;if((c&16384&s|0)!=0?(y|0)==(y|0)&(((y|0)<0)<<31>>31|0)==(J|0):0){C=1;D=y}else{C=r;D=Y(B,a)|0}B=f[i+16>>2]|0;r=f[i+48>>2]|0;y=f[k+16>>2]|0;s=f[k+48>>2]|0;f[m>>2]=D;f[m+4>>2]=C;Gh[x&255](B,r,0,0,y,s,m,j)}else{f[l>>2]=i;f[l+4>>2]=k;f[l+8>>2]=0;m=n;f[m>>2]=0;f[m+4>>2]=0;YC(o,l,n,-1);l=Y(f[o+20>>2]|0,a)|0;a=o+16|0;m=n+4|0;s=q+4|0;y=0;while(1){if(y>>>0>=(f[a>>2]|0)>>>0)break;r=f[n>>2]|0;B=f[m>>2]|0;f[q>>2]=l;f[s>>2]=1;Gh[x&255](r,0,0,0,B,0,q,j);ZC(o)|0;y=y+1|0}}y=k+36|0;o=f[y>>2]|0;if(o|0?(j=o+12|0,o=f[j>>2]|0,f[j>>2]=o+-1,(o|0)==1):0)aU(k);f[y>>2]=0;y=k+16|0;o=k+4|0;f[y>>2]=0;f[y+4>>2]=0;f[y+8>>2]=0;f[y+12>>2]=0;if((f[o>>2]|0)>0){y=f[k+40>>2]|0;j=0;do{f[y+(j<<2)>>2]=0;j=j+1|0}while((j|0)<(f[o>>2]|0))}o=f[k+44>>2]|0;if((o|0)!=(k+48|0))TC(o);o=i+36|0;k=f[o>>2]|0;if(k|0?(j=k+12|0,k=f[j>>2]|0,f[j>>2]=k+-1,(k|0)==1):0)aU(i);f[o>>2]=0;o=i+16|0;f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;f[o+12>>2]=0;if((f[z>>2]|0)>0){o=f[A>>2]|0;A=0;do{f[o+(A<<2)>>2]=0;A=A+1|0}while((A|0)<(f[z>>2]|0))}z=f[i+44>>2]|0;if((z|0)!=(i+48|0))TC(z);if(!(f[h+4>>2]|0)){u=g;return}u=g;return}function sM(a,c,d,e,g,i,j,k){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;i=i|0;j=j|0;k=k|0;var l=0.0,m=0.0,n=0,o=0,q=0;e=f[j>>2]|0;d=f[j+4>>2]|0;l=+p[k>>3];m=+p[k+8>>3];if((d|0)>0&(e|0)>0){n=0;o=a;q=g}else return;while(1){g=0;do{a=Ghc(+L(+(m+l*+(h[o+g>>0]|0))))|0;b[q+g>>0]=a>>>0<256?a:(a|0)>0?255:0;g=g+1|0}while((g|0)!=(e|0));n=n+1|0;if((n|0)==(d|0))break;else{o=o+c|0;q=q+i|0}}return}function tM(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0.0,l=0.0,m=0,n=0,o=0;e=f[i>>2]|0;d=f[i+4>>2]|0;k=+p[j>>3];l=+p[j+8>>3];if((d|0)>0&(e|0)>0){m=0;n=a;o=g}else return;while(1){g=0;do{a=Ghc(+L(+(l+k*+(b[n+g>>0]|0))))|0;b[o+g>>0]=a>>>0<256?a:(a|0)>0?255:0;g=g+1|0}while((g|0)!=(e|0));m=m+1|0;if((m|0)==(d|0))break;else{n=n+c|0;o=o+h|0}}return}function uM(a,c,d,e,g,h,i,k){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;k=k|0;var l=0.0,m=0.0,n=0,o=0,q=0;e=f[i>>2]|0;d=f[i+4>>2]|0;l=+p[k>>3];m=+p[k+8>>3];k=c>>>1;if((d|0)>0&(e|0)>0){n=0;o=a;q=g}else return;while(1){g=0;do{a=Ghc(+L(+(m+l*+(j[o+(g<<1)>>1]|0))))|0;b[q+g>>0]=a>>>0<256?a:(a|0)>0?255:0;g=g+1|0}while((g|0)!=(e|0));n=n+1|0;if((n|0)==(d|0))break;else{o=o+(k<<1)|0;q=q+h|0}}return}function vM(a,c,e,g,h,i,j,k){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;var l=0.0,m=0.0,n=0,o=0,q=0;g=f[j>>2]|0;e=f[j+4>>2]|0;l=+p[k>>3];m=+p[k+8>>3];k=c>>>1;if((e|0)>0&(g|0)>0){n=0;o=a;q=h}else return;while(1){h=0;do{a=Ghc(+L(+(m+l*+(d[o+(h<<1)>>1]|0))))|0;b[q+h>>0]=a>>>0<256?a:(a|0)>0?255:0;h=h+1|0}while((h|0)!=(g|0));n=n+1|0;if((n|0)==(e|0))break;else{o=o+(k<<1)|0;q=q+i|0}}return}function wM(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0.0,l=0.0,m=0,n=0,o=0;e=f[i>>2]|0;d=f[i+4>>2]|0;k=+p[j>>3];l=+p[j+8>>3];j=c>>>2;if((d|0)>0&(e|0)>0){m=0;n=a;o=g}else return;while(1){g=0;do{a=Ghc(+L(+(l+k*+(f[n+(g<<2)>>2]|0))))|0;b[o+g>>0]=a>>>0<256?a:(a|0)>0?255:0;g=g+1|0}while((g|0)!=(e|0));m=m+1|0;if((m|0)==(d|0))break;else{n=n+(j<<2)|0;o=o+h|0}}return}function xM(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0.0,l=0.0,m=0,o=0,q=0;e=f[i>>2]|0;d=f[i+4>>2]|0;k=+p[j>>3];l=+p[j+8>>3];j=c>>>2;if((d|0)>0&(e|0)>0){m=0;o=a;q=g}else return;while(1){g=0;do{a=Ghc(+L(+(l+k*+n[o+(g<<2)>>2])))|0;b[q+g>>0]=a>>>0<256?a:(a|0)>0?255:0;g=g+1|0}while((g|0)!=(e|0));m=m+1|0;if((m|0)==(d|0))break;else{o=o+(j<<2)|0;q=q+h|0}}return}function yM(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0.0,l=0.0,m=0,n=0,o=0;e=f[i>>2]|0;d=f[i+4>>2]|0;i=c>>>3;if((d|0)<=0)return;k=+p[j>>3];l=+p[j+8>>3];if((e|0)>0){m=0;n=a;o=g}else return;while(1){g=0;do{a=Fhc(+L(+(l+k*+p[n+(g<<3)>>3])))|0;b[o+g>>0]=a>>>0<256?a:(a|0)>0?255:0;g=g+1|0}while((g|0)!=(e|0));m=m+1|0;if((m|0)==(d|0))break;else{n=n+(i<<3)|0;o=o+h|0}}return}function zM(a,c,d,e,g,h,i){a=a|0;c=c|0;d=+d;e=+e;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0.0,s=0.0,t=0.0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0,B=0,C=0,D=0,E=0;j=u;u=u+144|0;k=j+128|0;l=j+56|0;m=j;n=j+112|0;gV(k,37772);o=(pJ(a,-1)|0)&7;if((h|0)<0)if(iK(c)|0)q=CJ(c,-1)|0;else q=o;else q=h;switch(g|0){case 32:{p[l>>3]=0.0;p[m>>3]=0.0;r=d>e?e:d;XG(a,l,m,0,0,i);s=+p[l>>3];t=+p[m>>3]-s;v=((d<e?e:d)-r)*(t>2.220446049250313e-16?1.0/t:0.0);if((q|0)==5){t=v;w=t;x=r-s*t}else{w=v;x=r-s*v}y=w;z=x;break}case 1:case 2:case 4:{x=+iF(a,g,i);y=x>2.220446049250313e-16?d/x:0.0;z=0.0;break}default:{f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;g=cuc(32)|0;f[l>>2]=g;f[l+8>>2]=-2147483616;f[l+4>>2]=29;A=g;h=210810;B=A+29|0;do{b[A>>0]=b[h>>0]|0;A=A+1|0;h=h+1|0}while((A|0)<(B|0));b[g+29>>0]=0;WD(-5,l,210840,210669,571)}}do if((qJ(a)|0)==65536){g=f[a+4>>2]|0;f[l>>2]=f[g>>2];h=l+4|0;o=g+4|0;f[h>>2]=f[o>>2];C=l+8|0;f[C>>2]=f[g+8>>2];f[l+12>>2]=f[g+12>>2];f[l+16>>2]=f[g+16>>2];f[l+20>>2]=f[g+20>>2];f[l+24>>2]=f[g+24>>2];f[l+28>>2]=f[g+28>>2];f[l+32>>2]=f[g+32>>2];D=f[g+36>>2]|0;f[l+36>>2]=D;f[l+40>>2]=C;C=l+48|0;E=l+44|0;f[E>>2]=C;f[C>>2]=0;f[l+52>>2]=0;if(D|0){C=D+12|0;f[C>>2]=(f[C>>2]|0)+1}if((f[o>>2]|0)<3){o=f[g+44>>2]|0;C=f[E>>2]|0;f[C>>2]=f[o>>2];f[C+4>>2]=f[o+4>>2];break}else{f[h>>2]=0;$T(l,g);break}}else nJ(l,a,-1);while(0);if(!(EJ(i)|0)){f[m>>2]=1124007936;a=m+4|0;g=m+8|0;h=m+40|0;A=a;B=A+36|0;do{f[A>>2]=0;A=A+4|0}while((A|0)<(B|0));f[h>>2]=g;g=m+48|0;A=m+44|0;f[A>>2]=g;f[g>>2]=0;f[m+52>>2]=0;B=n+8|0;f[B>>2]=0;f[B+4>>2]=0;f[n>>2]=33619968;f[n+4>>2]=m;kQ(l,n,q,y,z);FI(m,c,i);i=m+36|0;n=f[i>>2]|0;if(n|0?(B=n+12|0,n=f[B>>2]|0,f[B>>2]=n+-1,(n|0)==1):0)aU(m);f[i>>2]=0;i=m+16|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;if((f[a>>2]|0)>0){i=f[h>>2]|0;h=0;do{f[i+(h<<2)>>2]=0;h=h+1|0}while((h|0)<(f[a>>2]|0))}a=f[A>>2]|0;if((a|0)!=(g|0))TC(a)}else kQ(l,c,q,y,z);q=l+36|0;c=f[q>>2]|0;if(c|0?(a=c+12|0,c=f[a>>2]|0,f[a>>2]=c+-1,(c|0)==1):0)aU(l);f[q>>2]=0;q=l+16|0;c=l+4|0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;f[q+12>>2]=0;if((f[c>>2]|0)>0){q=f[l+40>>2]|0;a=0;do{f[q+(a<<2)>>2]=0;a=a+1|0}while((a|0)<(f[c>>2]|0))}c=f[l+44>>2]|0;if((c|0)!=(l+48|0))TC(c);if(!(f[k+4>>2]|0)){u=j;return}u=j;return}function AM(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0;f[a>>2]=37800;c=a+24|0;d=a+28|0;e=f[d>>2]|0;g=f[c>>2]|0;if((e|0)==(g|0)){h=g;i=e}else{e=a+4|0;do{S_(f[e>>2]|0);g=(f[d>>2]|0)+-1|0;f[d>>2]=g;j=f[c>>2]|0}while((g|0)!=(j|0));h=j;i=g}c=h;if(h|0){if((i|0)!=(c|0))f[d>>2]=c;fuc(c)}c=a+12|0;if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);c=f[a+8>>2]|0;if(!c)return;Xtc(c);return}function BM(a){a=a|0;AM(a);fuc(a);return}function CM(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0;g=u;u=u+16|0;h=g+8|0;gV(h,37824);bi[f[(f[a>>2]|0)+16>>2]&2047](a);i=a+4|0;j=(b[c+11>>0]|0)<0?f[c>>2]|0:c;c=b[e+11>>0]|0;k=c<<24>>24<0;do if((k?f[e+4>>2]|0:c&255)|0)if(k){l=f[e>>2]|0;break}else{l=e;break}else l=0;while(0);e=H_(j,0,d,l)|0;l=cuc(16)|0;f[l+4>>2]=0;f[l+8>>2]=0;f[l>>2]=37852;f[l+12>>2]=e;f[i>>2]=e;e=a+8|0;i=f[e>>2]|0;f[e>>2]=l;if(i|0)Xtc(i);i=di[f[(f[a>>2]|0)+12>>2]&1023](a)|0;f[a+36>>2]=i?6:0;if(!(f[h+4>>2]|0)){u=g;return i|0}u=g;return i|0}function DM(a){a=a|0;var c=0,d=0;c=f[a+4>>2]|0;if(!c){d=0;return d|0}d=(b[c+300>>0]|0)!=0;return d|0}function EM(a){a=a|0;var b=0,c=0,d=0;f[a+4>>2]=0;b=a+8|0;c=f[b>>2]|0;f[b>>2]=0;if(c|0)Xtc(c);c=f[a+24>>2]|0;b=a+28|0;if((f[b>>2]|0)==(c|0)){d=a+36|0;f[d>>2]=0;return}f[b>>2]=c;d=a+36|0;f[d>>2]=0;return}function FM(a,b){a=a|0;b=b|0;var c=0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;c=f[b+4>>2]|0;if(c|0?f[c+268>>2]|0:0)v_(c,a);bi[f[(f[b>>2]|0)+16>>2]&2047](b);return}function GM(a){a=a|0;Qtc(a);fuc(a);return}function HM(a){a=a|0;var b=0;b=a+12|0;d_(b,f[b>>2]|0);return}function IM(a,b){a=a|0;b=b|0;return ((f[b+4>>2]|0)==210937?a+12|0:0)|0}function JM(a){a=a|0;fuc(a);return}function KM(a){a=a|0;var b=0,c=0;b=f[a>>2]|0;if(!b)return;c=a+4|0;if((f[c>>2]|0)!=(b|0))f[c>>2]=b;fuc(b);return}function LM(a){a=a|0;var b=0;b=f[a+4>>2]|0;if(!b)return;Xtc(b);return}function MM(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0;f[a>>2]=37800;e=a+4|0;g=e+36|0;do{f[e>>2]=0;e=e+4|0}while((e|0)<(g|0));CM(a,b,c,d)|0;return}function NM(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0;d=u;u=u+16|0;f[a>>2]=37800;e=a+4|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;f[e+16>>2]=0;f[e+20>>2]=0;f[e+24>>2]=0;f[e+28>>2]=0;if(c){c=b;g=cuc(16)|0;f[g+4>>2]=0;f[g+8>>2]=0;f[g>>2]=37852;f[g+12>>2]=c;h=g;i=c}else{h=0;i=b}f[e>>2]=i;f[a+8>>2]=h;f[a+36>>2]=b|0?6:0;u=d;return}function OM(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;if(di[f[(f[b>>2]|0)+12>>2]&1023](b)|0){d=f[b+4>>2]|0;e=Q_(d,c)|0;g=d}else{e=0;g=0}f[a>>2]=g;f[a+4>>2]=e;return}function PM(a,c){a=a|0;c=c|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0;e=u;u=u+48|0;g=e+32|0;h=e+16|0;i=e+8|0;j=e;k=e+24|0;l=(b[c+11>>0]|0)<0?f[c>>2]|0:c;if(!((l|0)!=0&(di[f[(f[a>>2]|0)+12>>2]&1023](a)|0))){u=e;return a|0}m=b[l>>0]|0;switch(m<<24>>24){case 93:case 125:{n=f[a+24>>2]|0;o=a+28|0;p=f[o>>2]|0;if((n|0)==(p|0)){f[j>>2]=m<<24>>24;cE(g,211238,j);WD(-2,g,531329,211142,115)}j=p+-1|0;q=b[j>>0]|0;if(((m<<24>>24==93?91:123)|0)!=(q|0)){f[i>>2]=m<<24>>24;f[i+4>>2]=q;cE(g,211257,i);WD(-2,g,531329,211142,118)}f[o>>2]=j;if((n|0)==(j|0))r=6;else r=(b[p+-2>>0]|0)==123?6:1;f[a+36>>2]=r;S_(f[a+4>>2]|0);f[g>>2]=0;d[g+4>>1]=0;b[g+6>>0]=0;r=a+12|0;p=r+11|0;if((b[p>>0]|0)<0){b[f[r>>2]>>0]=0;f[a+16>>2]=0}else{b[r>>0]=0;b[p>>0]=0}vuc(r,0);f[a+12>>2]=0;r=a+16|0;f[r>>2]=f[g>>2];d[r+4>>1]=d[g+4>>1]|0;b[r+6>>0]=b[g+6>>0]|0;b[a+23>>0]=0;u=e;return a|0}default:{}}r=a+36|0;p=f[r>>2]|0;if((p|0)==6){if(!(((m&-33)+-65&255)<26|m<<24>>24==95)){f[h>>2]=l;cE(g,211306,h);WD(-2,g,531329,211142,128)}ruc(a+12|0,c)|0;f[r>>2]=5;u=e;return a|0}if((p&3|0)!=1){p=cuc(32)|0;f[g>>2]=p;f[g+8>>2]=-2147483616;f[g+4>>2]=16;h=p;j=211332;n=h+16|0;do{b[h>>0]=b[j>>0]|0;h=h+1|0;j=j+1|0}while((h|0)<(n|0));b[p+16>>0]=0;WD(-2,g,531329,211142,158)}switch(m<<24>>24){case 91:case 123:{p=a+24|0;j=a+28|0;h=f[j>>2]|0;n=a+32|0;o=f[n>>2]|0;i=o;if((h|0)==(o|0)){o=f[p>>2]|0;q=h-o|0;s=q+1|0;t=o;if((s|0)<0)nsc(p);v=i-o|0;i=v<<1;w=v>>>0<1073741823?(i>>>0<s>>>0?s:i):2147483647;if(!w){x=0;y=m}else{i=cuc(w)|0;x=i;y=b[l>>0]|0}i=x+q|0;b[i>>0]=y;y=i+(0-q)|0;if((q|0)>0)szc(y|0,t|0,q|0)|0;f[p>>2]=y;f[j>>2]=i+1;f[n>>2]=x+w;if(o|0)fuc(t)}else{b[h>>0]=m;f[j>>2]=(f[j>>2]|0)+1}j=l+1|0;h=(b[l>>0]|0)==123;t=h?6:5;f[r>>2]=h?6:1;h=(b[j>>0]|0)==58;o=h?l+2|0:j;j=h?t|8:t;t=f[a+4>>2]|0;h=a+12|0;w=h+11|0;x=b[w>>0]|0;n=x<<24>>24<0;i=a+16|0;do if((n?f[i>>2]|0:x&255)|0)if(n){z=f[h>>2]|0;break}else{z=h;break}else z=0;while(0);n=b[o>>0]|0?o:0;f[k>>2]=0;f[k+4>>2]=0;f[g>>2]=f[k>>2];f[g+4>>2]=f[k+4>>2];R_(t,z,j,n,g);f[g>>2]=0;d[g+4>>1]=0;b[g+6>>0]=0;if((b[w>>0]|0)<0){b[f[h>>2]>>0]=0;f[i>>2]=0}else{b[h>>0]=0;b[w>>0]=0}vuc(h,0);f[a+12>>2]=0;f[i>>2]=f[g>>2];d[i+4>>1]=d[g+4>>1]|0;b[i+6>>0]=b[g+6>>0]|0;b[a+23>>0]=0;u=e;return a|0}default:{}}i=a+12|0;a:do if(m<<24>>24==92){h=l+1|0;switch(b[h>>0]|0){case 93:case 91:case 125:case 123:break;default:{A=46;break a}}f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;w=jfc(h)|0;if(w>>>0>4294967279)muc(g);if(w>>>0<11){b[g+11>>0]=w;if(!w)B=g;else{C=g;A=44}}else{n=w+16&-16;j=cuc(n)|0;f[g>>2]=j;f[g+8>>2]=n|-2147483648;f[g+4>>2]=w;C=j;A=44}if((A|0)==44){szc(C|0,h|0,w|0)|0;B=C}b[B+w>>0]=0}else A=46;while(0);if((A|0)==46)ouc(g,c);c=f[a+4>>2]|0;A=b[i+11>>0]|0;B=A<<24>>24<0;do if((B?f[a+16>>2]|0:A&255)|0)if(B){D=f[i>>2]|0;break}else{D=i;break}else D=0;while(0);i=g+11|0;V_(c,D,(b[i>>0]|0)<0?f[g>>2]|0:g,0);if((b[i>>0]|0)<0)fuc(f[g>>2]|0);if((f[r>>2]|0)!=5){u=e;return a|0}f[r>>2]=6;u=e;return a|0}function QM(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0;g=u;u=u+16|0;h=g;if(!(di[f[(f[a>>2]|0)+12>>2]&1023](a)|0)){u=g;return}i=(b[c+11>>0]|0)<0?f[c>>2]|0:c;c=b[i>>0]|0;if((c+-48&255)<10){j=b[i+1>>0]|0;k=(c<<24>>24)+-48|0}else{j=c;k=1}switch(j<<24>>24){case 99:case 117:{l=1;break}case 119:{l=2;break}case 115:{l=2;break}case 105:{l=4;break}case 102:{l=4;break}case 100:{l=8;break}default:l=j<<24>>24==114?4:0}j=Y(l,k)|0;if((e>>>0)%(j>>>0)|0|0){k=cuc(32)|0;f[h>>2]=k;f[h+8>>2]=-2147483616;f[h+4>>2]=19;l=k;c=211349;m=l+19|0;do{b[l>>0]=b[c>>0]|0;l=l+1|0;c=c+1|0}while((l|0)<(m|0));b[k+19>>0]=0;WD(-215,h,211369,211142,169)}X_(f[a+4>>2]|0,d,(e>>>0)/(j>>>0)|0,i);u=g;return}function RM(a,c,e,g,h){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;i=u;u=u+16|0;j=i+8|0;k=i;f[a>>2]=c;l=f[c+4>>2]|0;c=b[e+11>>0]|0;m=c<<24>>24<0;do if((m?f[e+4>>2]|0:c&255)|0)if(m){n=f[e>>2]|0;break}else{n=e;break}else n=0;while(0);e=b[h+11>>0]|0;m=e<<24>>24<0;do if((m?f[h+4>>2]|0:e&255)|0)if(m){o=f[h>>2]|0;break}else{o=h;break}else o=0;while(0);f[k>>2]=0;f[k+4>>2]=0;f[j>>2]=f[k>>2];f[j+4>>2]=f[k+4>>2];R_(l,n,g,o,j);f[j>>2]=0;d[j+4>>1]=0;b[j+6>>0]=0;o=f[a>>2]|0;n=o+12|0;l=n+11|0;if((b[l>>0]|0)<0){b[f[n>>2]>>0]=0;f[o+16>>2]=0}else{b[n>>0]=0;b[l>>0]=0}vuc(n,0);f[o+12>>2]=0;n=o+16|0;f[n>>2]=f[j>>2];d[n+4>>1]=d[j+4>>1]|0;b[n+6>>0]=b[j+6>>0]|0;b[o+23>>0]=0;o=f[a>>2]|0;a=o+36|0;if((g&7|0)==5){f[a>>2]=1;g=o+24|0;j=o+28|0;n=f[j>>2]|0;l=o+32|0;k=f[l>>2]|0;if(n>>>0<k>>>0){b[n>>0]=91;f[j>>2]=(f[j>>2]|0)+1;u=i;return}h=f[g>>2]|0;m=n-h|0;n=m+1|0;e=h;if((n|0)<0)nsc(g);c=k-h|0;k=c<<1;p=c>>>0<1073741823?(k>>>0<n>>>0?n:k):2147483647;if(!p)q=0;else q=cuc(p)|0;k=q+m|0;b[k>>0]=91;n=k+(0-m)|0;if((m|0)>0)szc(n|0,e|0,m|0)|0;f[g>>2]=n;f[j>>2]=k+1;f[l>>2]=q+p;if(!h){u=i;return}fuc(e);u=i;return}else{f[a>>2]=6;a=o+24|0;e=o+28|0;h=f[e>>2]|0;p=o+32|0;o=f[p>>2]|0;if(h>>>0<o>>>0){b[h>>0]=123;f[e>>2]=(f[e>>2]|0)+1;u=i;return}q=f[a>>2]|0;l=h-q|0;h=l+1|0;k=q;if((h|0)<0)nsc(a);j=o-q|0;o=j<<1;n=j>>>0<1073741823?(o>>>0<h>>>0?h:o):2147483647;if(!n)r=0;else r=cuc(n)|0;o=r+l|0;b[o>>0]=123;h=o+(0-l)|0;if((l|0)>0)szc(h|0,k|0,l|0)|0;f[a>>2]=h;f[e>>2]=o+1;f[p>>2]=r+n;if(!q){u=i;return}fuc(k);u=i;return}}function SM(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;d=u;u=u+1056|0;e=d+16|0;g=d;h=b[c+11>>0]|0;i=h<<24>>24<0;j=i?f[c>>2]|0:c;k=i?f[c+4>>2]|0:h&255;h=j+k|0;c=k+1|0;k=e+8|0;f[e>>2]=k;i=e+4|0;f[i>>2]=c;if(c>>>0>1032){l=euc(c)|0;f[e>>2]=l;m=l}else m=k;l=h+-1|0;a:do if(l>>>0>=j>>>0){c=l;n=h;b:while(1){o=c;p=n;c:while(1){switch(b[o>>0]|0){case 58:case 47:case 92:{q=p;break b;break}case 46:{if(!(b[n>>0]|0))break c;if(!(Tfc(n,211378,3)|0))break c;break}default:{}}r=o+-1|0;if(r>>>0<j>>>0){q=o;break b}else{s=o;o=r;p=s}}c=o+-1|0;if(c>>>0<j>>>0)break a;else n=o}if((q|0)!=(n|0)){c=b[q>>0]|0;if(((c&-33)+-65&255)<26|c<<24>>24==95)t=m;else{b[m>>0]=95;t=m+1|0}if(q>>>0<n>>>0){c=t;p=q;while(1){s=b[p>>0]|0;p=p+1|0;r=c+1|0;b[c>>0]=s<<24>>24==95|(s<<24>>24==45|((s+-48&255)<10|((s&-33)+-65&255)<26))?s:95;if((p|0)==(n|0)){v=r;break}else c=r}}else v=t;b[v>>0]=0;c=f[e>>2]|0;if(!(Mec(c,406400)|0)){n=c;p=n;b[p>>0]=117;b[p+1>>0]=110;b[p+2>>0]=110;b[p+3>>0]=97;p=n+4|0;b[p>>0]=109;b[p+1>>0]=101;b[p+2>>0]=100;b[p+3>>0]=0};f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;p=jfc(c)|0;if(p>>>0>4294967279)muc(a);if(p>>>0<11){b[a+11>>0]=p;if(!p)w=a;else{x=a;y=23}}else{n=p+16&-16;r=cuc(n)|0;f[a>>2]=r;f[a+8>>2]=n|-2147483648;f[a+4>>2]=p;x=r;y=23}if((y|0)==23){szc(x|0,c|0,p|0)|0;w=x}b[w+p>>0]=0;p=f[e>>2]|0;if((p|0)==(k|0)){u=d;return}if(p|0)guc(p);f[e>>2]=k;f[i>>2]=1032;u=d;return}}while(0);f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;d=cuc(32)|0;f[g>>2]=d;f[g+8>>2]=-2147483616;f[g+4>>2]=16;i=d;k=211382;e=i+16|0;do{b[i>>0]=b[k>>0]|0;i=i+1|0;k=k+1|0}while((i|0)<(e|0));b[d+16>>0]=0;WD(-5,g,211399,211142,228)}function TM(a,c,d){a=a|0;c=c|0;d=d|0;var e=0;e=f[c+4>>2]|0;c=K_(e,0,(b[d+11>>0]|0)<0?f[d>>2]|0:d)|0;f[a>>2]=e;f[a+4>>2]=c;return}function UM(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=f[b>>2]|0;e=K_(d,f[b+4>>2]|0,c)|0;f[a>>2]=d;f[a+4>>2]=e;return}function VM(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;e=a+8|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;f[e+16>>2]=0;f[e+20>>2]=0;f[e+24>>2]=0;f[e+28>>2]=0;if((b|0)!=0&(c|0)!=0?(g=f[c>>2]|0,h=g&7,h|0):0){f[a>>2]=b;b=a+4|0;f[b>>2]=c;a:do if((g&16|0)==0&(h+-5|0)>>>0<2){i=c+8|0;IK(f[i>>2]|0,e,0);j=f[c>>2]|0;switch(j&7){case 6:{k=f[(f[i>>2]|0)+60>>2]|0;break a;break}case 5:{k=f[(f[i>>2]|0)+24>>2]|0;break a;break}default:{k=(j&7|0)!=0&1;break a}}}else{f[a+20>>2]=c;f[a+12>>2]=0;k=1}while(0);c=a+40|0;f[c>>2]=k;if(!d)return;if((d|0)>0)l=(k|0)<(d|0)?k:d;else{h=f[b>>2]|0;b:do if(!h){m=0;n=17}else{b=f[h>>2]|0;switch(b&7){case 6:{o=f[(f[h+8>>2]|0)+60>>2]|0;break b;break}case 5:{o=f[(f[h+8>>2]|0)+24>>2]|0;break b;break}default:{m=(b&7|0)!=0;n=17;break b}}}while(0);if((n|0)==17)o=m&1;m=k-d|0;l=k-(o>>>0<m>>>0?o:m)|0}f[c>>2]=k-l;if(!(f[a+12>>2]|0))return;HK(e,l,1);return}f[a>>2]=0;f[a+4>>2]=0;f[a+40>>2]=0;return}function WM(a){a=a|0;var b=0,c=0,d=0;b=f[a+4>>2]|0;a:do if(!b)c=0;else{a=f[b>>2]|0;switch(a&7){case 6:{d=f[(f[b+8>>2]|0)+60>>2]|0;return d|0}case 5:{d=f[(f[b+8>>2]|0)+24>>2]|0;return d|0}default:{c=(a&7|0)!=0;break a}}}while(0);d=c&1;return d|0}function XM(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0;b=a+40|0;c=f[b>>2]|0;if(!c)return a|0;d=a+8|0;e=f[a+12>>2]|0;if((e|0)!=0?(g=a+20|0,h=(f[g>>2]|0)+(f[e+28>>2]|0)|0,f[g>>2]=h,h>>>0>=(f[a+28>>2]|0)>>>0):0){QK(d,1);i=f[b>>2]|0}else i=c;f[b>>2]=i+-1;return a|0}function YM(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;g=u;u=u+16|0;h=g;i=f[a>>2]|0;if(!i){u=g;return a|0}j=f[a+4>>2]|0;if(!j){u=g;return a|0}k=a+40|0;l=f[k>>2]|0;if(!l){u=g;return a|0}m=(b[c+11>>0]|0)<0?f[c>>2]|0:c;c=b[m>>0]|0;if((c+-48&255)<10){n=(c<<24>>24)+-48|0;o=b[m+1>>0]|0}else{n=1;o=c}switch(o<<24>>24){case 99:case 117:{p=1;break}case 119:{p=2;break}case 115:{p=2;break}case 105:{p=4;break}case 102:{p=4;break}case 100:{p=8;break}default:p=o<<24>>24==114?4:0}if(!(Y(p,n)|0)){p=cuc(16)|0;f[h>>2]=p;f[h+8>>2]=-2147483632;f[h+4>>2]=13;o=p;c=211420;q=o+13|0;do{b[o>>0]=b[c>>0]|0;o=o+1|0;c=c+1|0}while((o|0)<(q|0));b[p+13>>0]=0;WD(-215,h,211434,211142,413)}h=l>>>0>e>>>0?e:l;if(!(f[a+12>>2]|0)){__(i,j,d,m);r=0}else{Z_(i,a+8|0,h,d,m);m=Y(h,n)|0;r=(f[k>>2]|0)-m|0}f[k>>2]=r;u=g;return a|0}function ZM(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0;e=f[a+4>>2]|0;a=b[c+11>>0]|0;g=a<<24>>24<0;do if((g?f[c+4>>2]|0:a&255)|0)if(g){h=f[c>>2]|0;break}else{h=c;break}else h=0;while(0);T_(e,h,d);return}function _M(a,c,d){a=a|0;c=c|0;d=+d;var e=0,g=0,h=0;e=f[a+4>>2]|0;a=b[c+11>>0]|0;g=a<<24>>24<0;do if((g?f[c+4>>2]|0:a&255)|0)if(g){h=f[c>>2]|0;break}else{h=c;break}else h=0;while(0);U_(e,h,d);return}function $M(a,c,d){a=a|0;c=c|0;d=+d;var e=0,g=0,h=0;e=f[a+4>>2]|0;a=b[c+11>>0]|0;g=a<<24>>24<0;do if((g?f[c+4>>2]|0:a&255)|0)if(g){h=f[c>>2]|0;break}else{h=c;break}else h=0;while(0);U_(e,h,d);return}function aN(a,b){a=a|0;b=b|0;T_(f[a+4>>2]|0,0,b);return}function bN(a){a=a|0;var c=0,e=0,g=0,h=0,i=0,j=0;c=u;u=u+16|0;e=c;S_(f[(f[a>>2]|0)+4>>2]|0);g=f[a>>2]|0;a=g+28|0;h=f[a>>2]|0;i=h+-1|0;f[a>>2]=i;if((f[g+24>>2]|0)==(i|0))j=6;else j=(b[h+-2>>0]|0)==123?6:1;f[g+36>>2]=j;f[e>>2]=0;d[e+4>>1]=0;b[e+6>>0]=0;j=g+12|0;h=j+11|0;if((b[h>>0]|0)<0){b[f[j>>2]>>0]=0;f[g+16>>2]=0}else{b[j>>0]=0;b[h>>0]=0}vuc(j,0);f[g+12>>2]=0;j=g+16|0;f[j>>2]=f[e>>2];d[j+4>>1]=d[e+4>>1]|0;b[j+6>>0]=b[e+6>>0]|0;b[g+23>>0]=0;u=c;return}function cN(a){a=a|0;var b=0,c=0;b=f[a+4>>2]|0;if(!b){c=0;return c|0}c=f[b>>2]&7;return c|0}function dN(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=f[a+4>>2]|0;if(d)if((f[d>>2]&7|0)==1)e=f[d+8>>2]|0;else e=2147483647;else e=c;f[b>>2]=e;return}function eN(a,b,c){a=a|0;b=b|0;c=+c;var d=0,e=0.0;d=f[a+4>>2]|0;a:do if(!d)e=c;else switch(f[d>>2]&7){case 1:{e=+(f[d+8>>2]|0);break a;break}case 2:{e=+p[d+8>>3];break a;break}default:{e=3402823466385288598117041.0e14;break a}}while(0);n[b>>2]=e;return}function fN(a,b,c){a=a|0;b=b|0;c=+c;var d=0,e=0.0;d=f[a+4>>2]|0;a:do if(!d)e=c;else switch(f[d>>2]&7){case 1:{e=+(f[d+8>>2]|0);break a;break}case 2:{e=+p[d+8>>3];break a;break}default:{e=1797693134862315708145274.0e284;break a}}while(0);p[b>>3]=e;return}function gN(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=u;u=u+16|0;g=e;h=f[a+4>>2]|0;do if(!h)ouc(g,d);else{if((f[h>>2]&7|0)!=3){ouc(g,d);break}a=f[h+8+4>>2]|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;i=jfc(a)|0;if(i>>>0>4294967279)muc(g);if(i>>>0<11){b[g+11>>0]=i;if(!i)j=g;else{k=g;l=9}}else{m=i+16&-16;n=cuc(m)|0;f[g>>2]=n;f[g+8>>2]=m|-2147483648;f[g+4>>2]=i;k=n;l=9}if((l|0)==9){szc(k|0,a|0,i|0)|0;j=k}b[j+i>>0]=0}while(0);ruc(c,g)|0;if((b[g+11>>0]|0)>=0){u=e;return}fuc(f[g>>2]|0);u=e;return}function hN(a){a=a|0;return f[37872+(a<<2)>>2]|0}function iN(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0;if(!c){i=(g|0)%4|0;switch(i|0){case 1:{j=f[d>>2]|0;k=e+-4|0;if((e|0)<4){l=a;m=j;n=0}else{o=g<<1;p=g*3|0;q=g<<2;r=e&-4;s=a;t=j;j=0;while(1){t=(h[s>>0]|0)+t+(h[s+g>>0]|0)+(h[s+o>>0]|0)+(h[s+p>>0]|0)|0;j=j+4|0;if((j|0)>(k|0))break;else s=s+q|0}l=a+(Y(r,g)|0)|0;m=t;n=r}if((n|0)<(e|0)){r=m;t=n;q=l;while(1){l=(h[q>>0]|0)+r|0;t=t+1|0;if((t|0)==(e|0)){u=l;v=e;break}else{r=l;q=q+g|0}}}else{u=m;v=n}f[d>>2]=u;w=v;break}case 2:{v=f[d>>2]|0;u=d+4|0;n=f[u>>2]|0;if((e|0)>0){m=n;q=v;r=0;t=a;while(1){l=(h[t>>0]|0)+q|0;s=(h[t+1>>0]|0)+m|0;r=r+1|0;if((r|0)==(e|0)){x=s;y=l;z=e;break}else{m=s;q=l;t=t+g|0}}}else{x=n;y=v;z=0}f[d>>2]=y;f[u>>2]=x;w=z;break}case 3:{z=f[d>>2]|0;x=d+4|0;u=f[x>>2]|0;y=d+8|0;v=f[y>>2]|0;if((e|0)>0){n=v;t=u;q=z;m=0;r=a;while(1){l=(h[r>>0]|0)+q|0;s=(h[r+1>>0]|0)+t|0;k=(h[r+2>>0]|0)+n|0;m=m+1|0;if((m|0)==(e|0)){A=k;B=s;C=l;D=e;break}else{n=k;t=s;q=l;r=r+g|0}}}else{A=v;B=u;C=z;D=0}f[d>>2]=C;f[x>>2]=B;f[y>>2]=A;w=D;break}default:w=0}if((i|0)<(g|0)){E=i;F=w}else{G=e;return G|0}while(1){w=d+(E<<2)|0;i=f[w>>2]|0;D=d+(E+1<<2)|0;A=f[D>>2]|0;y=d+(E+2<<2)|0;B=f[y>>2]|0;x=d+(E+3<<2)|0;C=f[x>>2]|0;if((F|0)<(e|0)){z=C;u=B;v=A;r=i;q=a+(Y(F,g)|0)+E|0;t=F;while(1){n=(h[q>>0]|0)+r|0;m=(h[q+1>>0]|0)+v|0;l=(h[q+2>>0]|0)+u|0;s=(h[q+3>>0]|0)+z|0;t=t+1|0;if((t|0)==(e|0)){H=s;I=l;J=m;K=n;L=e;break}else{z=s;u=l;v=m;r=n;q=q+g|0}}}else{H=C;I=B;J=A;K=i;L=F}f[w>>2]=K;f[D>>2]=J;f[y>>2]=I;f[x>>2]=H;E=E+4|0;if((E|0)>=(g|0)){G=e;break}else F=L}return G|0}switch(g|0){case 1:{L=f[d>>2]|0;if((e|0)>0){F=L;E=0;H=0;while(1){if(!(b[c+H>>0]|0)){M=F;N=E}else{M=(h[a+H>>0]|0)+F|0;N=E+1|0}H=H+1|0;if((H|0)==(e|0)){O=M;P=N;break}else{F=M;E=N}}}else{O=L;P=0}f[d>>2]=O;G=P;return G|0}case 3:{P=f[d>>2]|0;O=d+4|0;L=f[O>>2]|0;N=d+8|0;E=f[N>>2]|0;if((e|0)>0){M=E;F=L;H=P;I=0;J=0;K=a;while(1){if(!(b[c+I>>0]|0)){Q=M;R=F;S=H;T=J}else{Q=(h[K+2>>0]|0)+M|0;R=(h[K+1>>0]|0)+F|0;S=(h[K>>0]|0)+H|0;T=J+1|0}I=I+1|0;if((I|0)==(e|0)){U=Q;V=R;W=S;X=T;break}else{M=Q;F=R;H=S;J=T;K=K+3|0}}}else{U=E;V=L;W=P;X=0}f[d>>2]=W;f[O>>2]=V;f[N>>2]=U;G=X;return G|0}default:{if((e|0)<=0){G=0;return G|0}X=g+-4|0;if((g|0)<4){if((g|0)>0){Z=0;_=0;$=a}else{U=0;N=0;while(1){V=N+((b[c+U>>0]|0)!=0&1)|0;U=U+1|0;if((U|0)==(e|0)){G=V;break}else N=V}return G|0}while(1){if(!(b[c+Z>>0]|0))aa=_;else{N=0;do{U=d+(N<<2)|0;f[U>>2]=(f[U>>2]|0)+(h[$+N>>0]|0);N=N+1|0}while((N|0)!=(g|0));aa=_+1|0}Z=Z+1|0;if((Z|0)==(e|0)){G=aa;break}else{_=aa;$=$+g|0}}return G|0}$=g&-4;if(($|0)<(g|0)){ba=0;ca=0;da=a}else{aa=0;_=0;Z=a;while(1){if(!(b[c+aa>>0]|0))ea=_;else{a=0;do{N=d+(a<<2)|0;x=a|1;y=d+(x<<2)|0;D=(h[Z+x>>0]|0)+(f[y>>2]|0)|0;f[N>>2]=(h[Z+a>>0]|0)+(f[N>>2]|0);f[y>>2]=D;D=a|2;y=d+(D<<2)|0;N=a|3;x=d+(N<<2)|0;w=(h[Z+N>>0]|0)+(f[x>>2]|0)|0;f[y>>2]=(h[Z+D>>0]|0)+(f[y>>2]|0);f[x>>2]=w;a=a+4|0}while((a|0)<=(X|0));ea=_+1|0}aa=aa+1|0;if((aa|0)==(e|0)){G=ea;break}else{_=ea;Z=Z+g|0}}return G|0}while(1){if(!(b[c+ba>>0]|0))fa=ca;else{Z=0;do{ea=d+(Z<<2)|0;_=Z|1;aa=d+(_<<2)|0;a=(h[da+_>>0]|0)+(f[aa>>2]|0)|0;f[ea>>2]=(h[da+Z>>0]|0)+(f[ea>>2]|0);f[aa>>2]=a;a=Z|2;aa=d+(a<<2)|0;ea=Z|3;_=d+(ea<<2)|0;w=(h[da+ea>>0]|0)+(f[_>>2]|0)|0;f[aa>>2]=(h[da+a>>0]|0)+(f[aa>>2]|0);f[_>>2]=w;Z=Z+4|0}while((Z|0)<=(X|0));ga=$;do{Z=d+(ga<<2)|0;f[Z>>2]=(f[Z>>2]|0)+(h[da+ga>>0]|0);ga=ga+1|0}while((ga|0)!=(g|0));fa=ca+1|0}ba=ba+1|0;if((ba|0)==(e|0)){G=fa;break}else{ca=fa;da=da+g|0}}return G|0}}return 0}function jN(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0;if(!c){h=(g|0)%4|0;switch(h|0){case 1:{i=f[d>>2]|0;j=e+-4|0;if((e|0)<4){k=a;l=i;m=0}else{n=g<<1;o=g*3|0;p=g<<2;q=e&-4;r=a;s=i;i=0;while(1){s=(b[r>>0]|0)+s+(b[r+g>>0]|0)+(b[r+n>>0]|0)+(b[r+o>>0]|0)|0;i=i+4|0;if((i|0)>(j|0))break;else r=r+p|0}k=a+(Y(q,g)|0)|0;l=s;m=q}if((m|0)<(e|0)){q=l;s=m;p=k;while(1){k=(b[p>>0]|0)+q|0;s=s+1|0;if((s|0)==(e|0)){t=k;u=e;break}else{q=k;p=p+g|0}}}else{t=l;u=m}f[d>>2]=t;v=u;break}case 2:{u=f[d>>2]|0;t=d+4|0;m=f[t>>2]|0;if((e|0)>0){l=m;p=u;q=0;s=a;while(1){k=(b[s>>0]|0)+p|0;r=(b[s+1>>0]|0)+l|0;q=q+1|0;if((q|0)==(e|0)){w=r;x=k;y=e;break}else{l=r;p=k;s=s+g|0}}}else{w=m;x=u;y=0}f[d>>2]=x;f[t>>2]=w;v=y;break}case 3:{y=f[d>>2]|0;w=d+4|0;t=f[w>>2]|0;x=d+8|0;u=f[x>>2]|0;if((e|0)>0){m=u;s=t;p=y;l=0;q=a;while(1){k=(b[q>>0]|0)+p|0;r=(b[q+1>>0]|0)+s|0;j=(b[q+2>>0]|0)+m|0;l=l+1|0;if((l|0)==(e|0)){z=j;A=r;B=k;C=e;break}else{m=j;s=r;p=k;q=q+g|0}}}else{z=u;A=t;B=y;C=0}f[d>>2]=B;f[w>>2]=A;f[x>>2]=z;v=C;break}default:v=0}if((h|0)<(g|0)){D=h;E=v}else{F=e;return F|0}while(1){v=d+(D<<2)|0;h=f[v>>2]|0;C=d+(D+1<<2)|0;z=f[C>>2]|0;x=d+(D+2<<2)|0;A=f[x>>2]|0;w=d+(D+3<<2)|0;B=f[w>>2]|0;if((E|0)<(e|0)){y=B;t=A;u=z;q=h;p=a+(Y(E,g)|0)+D|0;s=E;while(1){m=(b[p>>0]|0)+q|0;l=(b[p+1>>0]|0)+u|0;k=(b[p+2>>0]|0)+t|0;r=(b[p+3>>0]|0)+y|0;s=s+1|0;if((s|0)==(e|0)){G=r;H=k;I=l;J=m;K=e;break}else{y=r;t=k;u=l;q=m;p=p+g|0}}}else{G=B;H=A;I=z;J=h;K=E}f[v>>2]=J;f[C>>2]=I;f[x>>2]=H;f[w>>2]=G;D=D+4|0;if((D|0)>=(g|0)){F=e;break}else E=K}return F|0}switch(g|0){case 1:{K=f[d>>2]|0;if((e|0)>0){E=K;D=0;G=0;while(1){if(!(b[c+G>>0]|0)){L=E;M=D}else{L=(b[a+G>>0]|0)+E|0;M=D+1|0}G=G+1|0;if((G|0)==(e|0)){N=L;O=M;break}else{E=L;D=M}}}else{N=K;O=0}f[d>>2]=N;F=O;return F|0}case 3:{O=f[d>>2]|0;N=d+4|0;K=f[N>>2]|0;M=d+8|0;D=f[M>>2]|0;if((e|0)>0){L=D;E=K;G=O;H=0;I=0;J=a;while(1){if(!(b[c+H>>0]|0)){P=L;Q=E;R=G;S=I}else{P=(b[J+2>>0]|0)+L|0;Q=(b[J+1>>0]|0)+E|0;R=(b[J>>0]|0)+G|0;S=I+1|0}H=H+1|0;if((H|0)==(e|0)){T=P;U=Q;V=R;W=S;break}else{L=P;E=Q;G=R;I=S;J=J+3|0}}}else{T=D;U=K;V=O;W=0}f[d>>2]=V;f[N>>2]=U;f[M>>2]=T;F=W;return F|0}default:{if((e|0)<=0){F=0;return F|0}W=g+-4|0;if((g|0)<4){if((g|0)>0){X=0;Z=0;_=a}else{T=0;M=0;while(1){U=M+((b[c+T>>0]|0)!=0&1)|0;T=T+1|0;if((T|0)==(e|0)){F=U;break}else M=U}return F|0}while(1){if(!(b[c+X>>0]|0))$=Z;else{M=0;do{T=d+(M<<2)|0;f[T>>2]=(f[T>>2]|0)+(b[_+M>>0]|0);M=M+1|0}while((M|0)!=(g|0));$=Z+1|0}X=X+1|0;if((X|0)==(e|0)){F=$;break}else{Z=$;_=_+g|0}}return F|0}_=g&-4;if((_|0)<(g|0)){aa=0;ba=0;ca=a}else{$=0;Z=0;X=a;while(1){if(!(b[c+$>>0]|0))da=Z;else{a=0;do{M=d+(a<<2)|0;w=a|1;x=d+(w<<2)|0;C=(b[X+w>>0]|0)+(f[x>>2]|0)|0;f[M>>2]=(b[X+a>>0]|0)+(f[M>>2]|0);f[x>>2]=C;C=a|2;x=d+(C<<2)|0;M=a|3;w=d+(M<<2)|0;v=(b[X+M>>0]|0)+(f[w>>2]|0)|0;f[x>>2]=(b[X+C>>0]|0)+(f[x>>2]|0);f[w>>2]=v;a=a+4|0}while((a|0)<=(W|0));da=Z+1|0}$=$+1|0;if(($|0)==(e|0)){F=da;break}else{Z=da;X=X+g|0}}return F|0}while(1){if(!(b[c+aa>>0]|0))ea=ba;else{X=0;do{da=d+(X<<2)|0;Z=X|1;$=d+(Z<<2)|0;a=(b[ca+Z>>0]|0)+(f[$>>2]|0)|0;f[da>>2]=(b[ca+X>>0]|0)+(f[da>>2]|0);f[$>>2]=a;a=X|2;$=d+(a<<2)|0;da=X|3;Z=d+(da<<2)|0;v=(b[ca+da>>0]|0)+(f[Z>>2]|0)|0;f[$>>2]=(b[ca+a>>0]|0)+(f[$>>2]|0);f[Z>>2]=v;X=X+4|0}while((X|0)<=(W|0));fa=_;do{X=d+(fa<<2)|0;f[X>>2]=(f[X>>2]|0)+(b[ca+fa>>0]|0);fa=fa+1|0}while((fa|0)!=(g|0));ea=ba+1|0}aa=aa+1|0;if((aa|0)==(e|0)){F=ea;break}else{ba=ea;ca=ca+g|0}}return F|0}}return 0}function kN(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0;if(!c){h=(g|0)%4|0;switch(h|0){case 1:{i=f[d>>2]|0;k=e+-4|0;if((e|0)<4){l=a;m=i;n=0}else{o=g<<1;p=g*3|0;q=g<<2;r=k>>>2;s=Y((r<<3)+8|0,g)|0;t=a;u=i;i=0;while(1){u=(j[t>>1]|0)+u+(j[t+(g<<1)>>1]|0)+(j[t+(o<<1)>>1]|0)+(j[t+(p<<1)>>1]|0)|0;i=i+4|0;if((i|0)>(k|0))break;else t=t+(q<<1)|0}l=a+s|0;m=u;n=(r<<2)+4|0}if((n|0)<(e|0)){r=m;u=n;s=l;while(1){l=(j[s>>1]|0)+r|0;u=u+1|0;if((u|0)==(e|0)){v=l;w=e;break}else{r=l;s=s+(g<<1)|0}}}else{v=m;w=n}f[d>>2]=v;x=w;break}case 2:{w=f[d>>2]|0;v=d+4|0;n=f[v>>2]|0;if((e|0)>0){m=n;s=w;r=0;u=a;while(1){l=(j[u>>1]|0)+s|0;q=(j[u+2>>1]|0)+m|0;r=r+1|0;if((r|0)==(e|0)){y=q;z=l;A=e;break}else{m=q;s=l;u=u+(g<<1)|0}}}else{y=n;z=w;A=0}f[d>>2]=z;f[v>>2]=y;x=A;break}case 3:{A=f[d>>2]|0;y=d+4|0;v=f[y>>2]|0;z=d+8|0;w=f[z>>2]|0;if((e|0)>0){n=w;u=v;s=A;m=0;r=a;while(1){l=(j[r>>1]|0)+s|0;q=(j[r+2>>1]|0)+u|0;t=(j[r+4>>1]|0)+n|0;m=m+1|0;if((m|0)==(e|0)){B=t;C=q;D=l;E=e;break}else{n=t;u=q;s=l;r=r+(g<<1)|0}}}else{B=w;C=v;D=A;E=0}f[d>>2]=D;f[y>>2]=C;f[z>>2]=B;x=E;break}default:x=0}if((h|0)<(g|0)){F=h;G=x}else{H=e;return H|0}while(1){x=d+(F<<2)|0;h=f[x>>2]|0;E=d+(F+1<<2)|0;B=f[E>>2]|0;z=d+(F+2<<2)|0;C=f[z>>2]|0;y=d+(F+3<<2)|0;D=f[y>>2]|0;if((G|0)<(e|0)){A=D;v=C;w=B;r=h;s=a+((Y(G,g)|0)<<1)+(F<<1)|0;u=G;while(1){n=(j[s>>1]|0)+r|0;m=(j[s+2>>1]|0)+w|0;l=(j[s+4>>1]|0)+v|0;q=(j[s+6>>1]|0)+A|0;u=u+1|0;if((u|0)==(e|0)){I=q;J=l;K=m;L=n;M=e;break}else{A=q;v=l;w=m;r=n;s=s+(g<<1)|0}}}else{I=D;J=C;K=B;L=h;M=G}f[x>>2]=L;f[E>>2]=K;f[z>>2]=J;f[y>>2]=I;F=F+4|0;if((F|0)>=(g|0)){H=e;break}else G=M}return H|0}switch(g|0){case 1:{M=f[d>>2]|0;if((e|0)>0){G=M;F=0;I=0;while(1){if(!(b[c+I>>0]|0)){N=G;O=F}else{N=(j[a+(I<<1)>>1]|0)+G|0;O=F+1|0}I=I+1|0;if((I|0)==(e|0)){P=N;Q=O;break}else{G=N;F=O}}}else{P=M;Q=0}f[d>>2]=P;H=Q;return H|0}case 3:{Q=f[d>>2]|0;P=d+4|0;M=f[P>>2]|0;O=d+8|0;F=f[O>>2]|0;if((e|0)>0){N=F;G=M;I=Q;J=0;K=0;L=a;while(1){if(!(b[c+J>>0]|0)){R=N;S=G;T=I;U=K}else{R=(j[L+4>>1]|0)+N|0;S=(j[L+2>>1]|0)+G|0;T=(j[L>>1]|0)+I|0;U=K+1|0}J=J+1|0;if((J|0)==(e|0)){V=R;W=S;X=T;Z=U;break}else{N=R;G=S;I=T;K=U;L=L+6|0}}}else{V=F;W=M;X=Q;Z=0}f[d>>2]=X;f[P>>2]=W;f[O>>2]=V;H=Z;return H|0}default:{if((e|0)<=0){H=0;return H|0}Z=g+-4|0;if((g|0)<4){if((g|0)>0){_=0;$=0;aa=a}else{V=0;O=0;while(1){W=O+((b[c+V>>0]|0)!=0&1)|0;V=V+1|0;if((V|0)==(e|0)){H=W;break}else O=W}return H|0}while(1){if(!(b[c+_>>0]|0))ba=$;else{O=0;do{V=d+(O<<2)|0;f[V>>2]=(f[V>>2]|0)+(j[aa+(O<<1)>>1]|0);O=O+1|0}while((O|0)!=(g|0));ba=$+1|0}_=_+1|0;if((_|0)==(e|0)){H=ba;break}else{$=ba;aa=aa+(g<<1)|0}}return H|0}aa=g&-4;if((aa|0)<(g|0)){ca=0;da=0;ea=a}else{ba=0;$=0;_=a;while(1){if(!(b[c+ba>>0]|0))fa=$;else{a=0;do{O=d+(a<<2)|0;y=a|1;z=d+(y<<2)|0;E=(j[_+(y<<1)>>1]|0)+(f[z>>2]|0)|0;f[O>>2]=(j[_+(a<<1)>>1]|0)+(f[O>>2]|0);f[z>>2]=E;E=a|2;z=d+(E<<2)|0;O=a|3;y=d+(O<<2)|0;x=(j[_+(O<<1)>>1]|0)+(f[y>>2]|0)|0;f[z>>2]=(j[_+(E<<1)>>1]|0)+(f[z>>2]|0);f[y>>2]=x;a=a+4|0}while((a|0)<=(Z|0));fa=$+1|0}ba=ba+1|0;if((ba|0)==(e|0)){H=fa;break}else{$=fa;_=_+(g<<1)|0}}return H|0}while(1){if(!(b[c+ca>>0]|0))ga=da;else{_=0;do{fa=d+(_<<2)|0;$=_|1;ba=d+($<<2)|0;a=(j[ea+($<<1)>>1]|0)+(f[ba>>2]|0)|0;f[fa>>2]=(j[ea+(_<<1)>>1]|0)+(f[fa>>2]|0);f[ba>>2]=a;a=_|2;ba=d+(a<<2)|0;fa=_|3;$=d+(fa<<2)|0;x=(j[ea+(fa<<1)>>1]|0)+(f[$>>2]|0)|0;f[ba>>2]=(j[ea+(a<<1)>>1]|0)+(f[ba>>2]|0);f[$>>2]=x;_=_+4|0}while((_|0)<=(Z|0));ha=aa;do{_=d+(ha<<2)|0;f[_>>2]=(f[_>>2]|0)+(j[ea+(ha<<1)>>1]|0);ha=ha+1|0}while((ha|0)!=(g|0));ga=da+1|0}ca=ca+1|0;if((ca|0)==(e|0)){H=ga;break}else{da=ga;ea=ea+(g<<1)|0}}return H|0}}return 0}function lN(a,c,e,g,h){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0;if(!c){i=(h|0)%4|0;switch(i|0){case 1:{j=f[e>>2]|0;k=g+-4|0;if((g|0)<4){l=a;m=j;n=0}else{o=h<<1;p=h*3|0;q=h<<2;r=k>>>2;s=Y((r<<3)+8|0,h)|0;t=a;u=j;j=0;while(1){u=(d[t>>1]|0)+u+(d[t+(h<<1)>>1]|0)+(d[t+(o<<1)>>1]|0)+(d[t+(p<<1)>>1]|0)|0;j=j+4|0;if((j|0)>(k|0))break;else t=t+(q<<1)|0}l=a+s|0;m=u;n=(r<<2)+4|0}if((n|0)<(g|0)){r=m;u=n;s=l;while(1){l=(d[s>>1]|0)+r|0;u=u+1|0;if((u|0)==(g|0)){v=l;w=g;break}else{r=l;s=s+(h<<1)|0}}}else{v=m;w=n}f[e>>2]=v;x=w;break}case 2:{w=f[e>>2]|0;v=e+4|0;n=f[v>>2]|0;if((g|0)>0){m=n;s=w;r=0;u=a;while(1){l=(d[u>>1]|0)+s|0;q=(d[u+2>>1]|0)+m|0;r=r+1|0;if((r|0)==(g|0)){y=q;z=l;A=g;break}else{m=q;s=l;u=u+(h<<1)|0}}}else{y=n;z=w;A=0}f[e>>2]=z;f[v>>2]=y;x=A;break}case 3:{A=f[e>>2]|0;y=e+4|0;v=f[y>>2]|0;z=e+8|0;w=f[z>>2]|0;if((g|0)>0){n=w;u=v;s=A;m=0;r=a;while(1){l=(d[r>>1]|0)+s|0;q=(d[r+2>>1]|0)+u|0;t=(d[r+4>>1]|0)+n|0;m=m+1|0;if((m|0)==(g|0)){B=t;C=q;D=l;E=g;break}else{n=t;u=q;s=l;r=r+(h<<1)|0}}}else{B=w;C=v;D=A;E=0}f[e>>2]=D;f[y>>2]=C;f[z>>2]=B;x=E;break}default:x=0}if((i|0)<(h|0)){F=i;G=x}else{H=g;return H|0}while(1){x=e+(F<<2)|0;i=f[x>>2]|0;E=e+(F+1<<2)|0;B=f[E>>2]|0;z=e+(F+2<<2)|0;C=f[z>>2]|0;y=e+(F+3<<2)|0;D=f[y>>2]|0;if((G|0)<(g|0)){A=D;v=C;w=B;r=i;s=a+((Y(G,h)|0)<<1)+(F<<1)|0;u=G;while(1){n=(d[s>>1]|0)+r|0;m=(d[s+2>>1]|0)+w|0;l=(d[s+4>>1]|0)+v|0;q=(d[s+6>>1]|0)+A|0;u=u+1|0;if((u|0)==(g|0)){I=q;J=l;K=m;L=n;M=g;break}else{A=q;v=l;w=m;r=n;s=s+(h<<1)|0}}}else{I=D;J=C;K=B;L=i;M=G}f[x>>2]=L;f[E>>2]=K;f[z>>2]=J;f[y>>2]=I;F=F+4|0;if((F|0)>=(h|0)){H=g;break}else G=M}return H|0}switch(h|0){case 1:{M=f[e>>2]|0;if((g|0)>0){G=M;F=0;I=0;while(1){if(!(b[c+I>>0]|0)){N=G;O=F}else{N=(d[a+(I<<1)>>1]|0)+G|0;O=F+1|0}I=I+1|0;if((I|0)==(g|0)){P=N;Q=O;break}else{G=N;F=O}}}else{P=M;Q=0}f[e>>2]=P;H=Q;return H|0}case 3:{Q=f[e>>2]|0;P=e+4|0;M=f[P>>2]|0;O=e+8|0;F=f[O>>2]|0;if((g|0)>0){N=F;G=M;I=Q;J=0;K=0;L=a;while(1){if(!(b[c+J>>0]|0)){R=N;S=G;T=I;U=K}else{R=(d[L+4>>1]|0)+N|0;S=(d[L+2>>1]|0)+G|0;T=(d[L>>1]|0)+I|0;U=K+1|0}J=J+1|0;if((J|0)==(g|0)){V=R;W=S;X=T;Z=U;break}else{N=R;G=S;I=T;K=U;L=L+6|0}}}else{V=F;W=M;X=Q;Z=0}f[e>>2]=X;f[P>>2]=W;f[O>>2]=V;H=Z;return H|0}default:{if((g|0)<=0){H=0;return H|0}Z=h+-4|0;if((h|0)<4){if((h|0)>0){_=0;$=0;aa=a}else{V=0;O=0;while(1){W=O+((b[c+V>>0]|0)!=0&1)|0;V=V+1|0;if((V|0)==(g|0)){H=W;break}else O=W}return H|0}while(1){if(!(b[c+_>>0]|0))ba=$;else{O=0;do{V=e+(O<<2)|0;f[V>>2]=(f[V>>2]|0)+(d[aa+(O<<1)>>1]|0);O=O+1|0}while((O|0)!=(h|0));ba=$+1|0}_=_+1|0;if((_|0)==(g|0)){H=ba;break}else{$=ba;aa=aa+(h<<1)|0}}return H|0}aa=h&-4;if((aa|0)<(h|0)){ca=0;da=0;ea=a}else{ba=0;$=0;_=a;while(1){if(!(b[c+ba>>0]|0))fa=$;else{a=0;do{O=e+(a<<2)|0;y=a|1;z=e+(y<<2)|0;E=(d[_+(y<<1)>>1]|0)+(f[z>>2]|0)|0;f[O>>2]=(d[_+(a<<1)>>1]|0)+(f[O>>2]|0);f[z>>2]=E;E=a|2;z=e+(E<<2)|0;O=a|3;y=e+(O<<2)|0;x=(d[_+(O<<1)>>1]|0)+(f[y>>2]|0)|0;f[z>>2]=(d[_+(E<<1)>>1]|0)+(f[z>>2]|0);f[y>>2]=x;a=a+4|0}while((a|0)<=(Z|0));fa=$+1|0}ba=ba+1|0;if((ba|0)==(g|0)){H=fa;break}else{$=fa;_=_+(h<<1)|0}}return H|0}while(1){if(!(b[c+ca>>0]|0))ga=da;else{_=0;do{fa=e+(_<<2)|0;$=_|1;ba=e+($<<2)|0;a=(d[ea+($<<1)>>1]|0)+(f[ba>>2]|0)|0;f[fa>>2]=(d[ea+(_<<1)>>1]|0)+(f[fa>>2]|0);f[ba>>2]=a;a=_|2;ba=e+(a<<2)|0;fa=_|3;$=e+(fa<<2)|0;x=(d[ea+(fa<<1)>>1]|0)+(f[$>>2]|0)|0;f[ba>>2]=(d[ea+(a<<1)>>1]|0)+(f[ba>>2]|0);f[$>>2]=x;_=_+4|0}while((_|0)<=(Z|0));ha=aa;do{_=e+(ha<<2)|0;f[_>>2]=(f[_>>2]|0)+(d[ea+(ha<<1)>>1]|0);ha=ha+1|0}while((ha|0)!=(h|0));ga=da+1|0}ca=ca+1|0;if((ca|0)==(g|0)){H=ga;break}else{da=ga;ea=ea+(h<<1)|0}}return H|0}}return 0}function mN(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0.0,j=0,k=0,l=0.0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,u=0.0,v=0,w=0.0,x=0,y=0,z=0.0,A=0.0,B=0.0,C=0.0,D=0,E=0.0,F=0.0,G=0.0,H=0.0,I=0,J=0,K=0,L=0,M=0.0,N=0.0,O=0.0,P=0.0,Q=0,R=0.0,S=0,T=0.0,U=0,V=0.0,W=0.0,X=0.0,Z=0,_=0.0,$=0.0,aa=0.0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0;if(!c){h=(g|0)%4|0;switch(h|0){case 1:{i=+p[d>>3];j=e+-4|0;if((e|0)<4){k=a;l=i;m=0}else{n=g<<1;o=g*3|0;q=g<<2;r=j>>>2;s=Y((r<<4)+16|0,g)|0;t=a;u=i;v=0;while(1){u=u+ +((f[t+(g<<2)>>2]|0)+(f[t>>2]|0)+(f[t+(n<<2)>>2]|0)+(f[t+(o<<2)>>2]|0)|0);v=v+4|0;if((v|0)>(j|0))break;else t=t+(q<<2)|0}k=a+s|0;l=u;m=(r<<2)+4|0}if((m|0)<(e|0)){u=l;r=m;s=k;while(1){i=u+ +(f[s>>2]|0);r=r+1|0;if((r|0)==(e|0)){w=i;x=e;break}else{u=i;s=s+(g<<2)|0}}}else{w=l;x=m}p[d>>3]=w;y=x;break}case 2:{w=+p[d>>3];x=d+8|0;l=+p[x>>3];if((e|0)>0){u=l;i=w;m=0;s=a;while(1){z=i+ +(f[s>>2]|0);A=u+ +(f[s+4>>2]|0);m=m+1|0;if((m|0)==(e|0)){B=A;C=z;D=e;break}else{u=A;i=z;s=s+(g<<2)|0}}}else{B=l;C=w;D=0}p[d>>3]=C;p[x>>3]=B;y=D;break}case 3:{B=+p[d>>3];D=d+8|0;C=+p[D>>3];x=d+16|0;w=+p[x>>3];if((e|0)>0){l=w;i=C;u=B;s=0;m=a;while(1){z=u+ +(f[m>>2]|0);A=i+ +(f[m+4>>2]|0);E=l+ +(f[m+8>>2]|0);s=s+1|0;if((s|0)==(e|0)){F=E;G=A;H=z;I=e;break}else{l=E;i=A;u=z;m=m+(g<<2)|0}}}else{F=w;G=C;H=B;I=0}p[d>>3]=H;p[D>>3]=G;p[x>>3]=F;y=I;break}default:y=0}if((h|0)<(g|0)){J=h;K=y}else{L=e;return L|0}while(1){y=d+(J<<3)|0;F=+p[y>>3];h=d+(J+1<<3)|0;G=+p[h>>3];I=d+(J+2<<3)|0;H=+p[I>>3];x=d+(J+3<<3)|0;B=+p[x>>3];if((K|0)<(e|0)){C=B;w=H;u=G;i=F;D=a+((Y(K,g)|0)<<2)+(J<<2)|0;m=K;while(1){l=i+ +(f[D>>2]|0);z=u+ +(f[D+4>>2]|0);A=w+ +(f[D+8>>2]|0);E=C+ +(f[D+12>>2]|0);m=m+1|0;if((m|0)==(e|0)){M=E;N=A;O=z;P=l;Q=e;break}else{C=E;w=A;u=z;i=l;D=D+(g<<2)|0}}}else{M=B;N=H;O=G;P=F;Q=K}p[y>>3]=P;p[h>>3]=O;p[I>>3]=N;p[x>>3]=M;J=J+4|0;if((J|0)>=(g|0)){L=e;break}else K=Q}return L|0}switch(g|0){case 1:{M=+p[d>>3];if((e|0)>0){N=M;Q=0;K=0;while(1){if(!(b[c+K>>0]|0)){R=N;S=Q}else{R=N+ +(f[a+(K<<2)>>2]|0);S=Q+1|0}K=K+1|0;if((K|0)==(e|0)){T=R;U=S;break}else{N=R;Q=S}}}else{T=M;U=0}p[d>>3]=T;L=U;return L|0}case 3:{T=+p[d>>3];U=d+8|0;M=+p[U>>3];S=d+16|0;R=+p[S>>3];if((e|0)>0){N=R;O=M;P=T;Q=0;K=0;J=a;while(1){if(!(b[c+Q>>0]|0)){V=N;W=O;X=P;Z=K}else{V=N+ +(f[J+8>>2]|0);W=O+ +(f[J+4>>2]|0);X=P+ +(f[J>>2]|0);Z=K+1|0}Q=Q+1|0;if((Q|0)==(e|0)){_=V;$=W;aa=X;ba=Z;break}else{N=V;O=W;P=X;K=Z;J=J+12|0}}}else{_=R;$=M;aa=T;ba=0}p[d>>3]=aa;p[U>>3]=$;p[S>>3]=_;L=ba;return L|0}default:{if((e|0)<=0){L=0;return L|0}ba=g+-4|0;if((g|0)<4){if((g|0)>0){ca=0;da=0;ea=a}else{S=0;U=0;while(1){J=U+((b[c+S>>0]|0)!=0&1)|0;S=S+1|0;if((S|0)==(e|0)){L=J;break}else U=J}return L|0}while(1){if(!(b[c+ca>>0]|0))fa=da;else{U=0;do{S=d+(U<<3)|0;p[S>>3]=+p[S>>3]+ +(f[ea+(U<<2)>>2]|0);U=U+1|0}while((U|0)!=(g|0));fa=da+1|0}ca=ca+1|0;if((ca|0)==(e|0)){L=fa;break}else{da=fa;ea=ea+(g<<2)|0}}return L|0}ea=g&-4;if((ea|0)<(g|0)){ga=0;ha=0;ia=a}else{fa=0;da=0;ca=a;while(1){if(!(b[c+fa>>0]|0))ja=da;else{a=0;do{U=d+(a<<3)|0;x=a|1;I=d+(x<<3)|0;F=+p[I>>3]+ +(f[ca+(x<<2)>>2]|0);p[U>>3]=+p[U>>3]+ +(f[ca+(a<<2)>>2]|0);p[I>>3]=F;I=a|2;U=d+(I<<3)|0;x=a|3;h=d+(x<<3)|0;F=+p[h>>3]+ +(f[ca+(x<<2)>>2]|0);p[U>>3]=+p[U>>3]+ +(f[ca+(I<<2)>>2]|0);p[h>>3]=F;a=a+4|0}while((a|0)<=(ba|0));ja=da+1|0}fa=fa+1|0;if((fa|0)==(e|0)){L=ja;break}else{da=ja;ca=ca+(g<<2)|0}}return L|0}while(1){if(!(b[c+ga>>0]|0))ka=ha;else{ca=0;do{ja=d+(ca<<3)|0;da=ca|1;fa=d+(da<<3)|0;F=+p[fa>>3]+ +(f[ia+(da<<2)>>2]|0);p[ja>>3]=+p[ja>>3]+ +(f[ia+(ca<<2)>>2]|0);p[fa>>3]=F;fa=ca|2;ja=d+(fa<<3)|0;da=ca|3;a=d+(da<<3)|0;F=+p[a>>3]+ +(f[ia+(da<<2)>>2]|0);p[ja>>3]=+p[ja>>3]+ +(f[ia+(fa<<2)>>2]|0);p[a>>3]=F;ca=ca+4|0}while((ca|0)<=(ba|0));la=ea;do{ca=d+(la<<3)|0;p[ca>>3]=+p[ca>>3]+ +(f[ia+(la<<2)>>2]|0);la=la+1|0}while((la|0)!=(g|0));ka=ha+1|0}ga=ga+1|0;if((ga|0)==(e|0)){L=ka;break}else{ha=ka;ia=ia+(g<<2)|0}}return L|0}}return 0}function nN(a,c,d,e,f){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0.0,i=0,j=0,k=0.0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,u=0.0,v=0,w=0.0,x=0,y=0,z=0.0,A=0.0,B=0.0,C=0.0,D=0,E=0.0,F=0.0,G=0.0,H=0.0,I=0,J=0,K=0,L=0,M=0.0,N=0.0,O=0.0,P=0.0,Q=0,R=0.0,S=0,T=0.0,U=0,V=0.0,W=0.0,X=0.0,Z=0,_=0.0,$=0.0,aa=0.0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0;if(!c){g=(f|0)%4|0;switch(g|0){case 1:{h=+p[d>>3];i=e+-4|0;if((e|0)<4){j=a;k=h;l=0}else{m=f<<1;o=f*3|0;q=f<<2;r=i>>>2;s=Y((r<<4)+16|0,f)|0;t=a;u=h;v=0;while(1){u=u+(+n[t>>2]+ +n[t+(f<<2)>>2]+ +n[t+(m<<2)>>2]+ +n[t+(o<<2)>>2]);v=v+4|0;if((v|0)>(i|0))break;else t=t+(q<<2)|0}j=a+s|0;k=u;l=(r<<2)+4|0}if((l|0)<(e|0)){u=k;r=l;s=j;while(1){h=u+ +n[s>>2];r=r+1|0;if((r|0)==(e|0)){w=h;x=e;break}else{u=h;s=s+(f<<2)|0}}}else{w=k;x=l}p[d>>3]=w;y=x;break}case 2:{w=+p[d>>3];x=d+8|0;k=+p[x>>3];if((e|0)>0){u=k;h=w;l=0;s=a;while(1){z=h+ +n[s>>2];A=u+ +n[s+4>>2];l=l+1|0;if((l|0)==(e|0)){B=A;C=z;D=e;break}else{u=A;h=z;s=s+(f<<2)|0}}}else{B=k;C=w;D=0}p[d>>3]=C;p[x>>3]=B;y=D;break}case 3:{B=+p[d>>3];D=d+8|0;C=+p[D>>3];x=d+16|0;w=+p[x>>3];if((e|0)>0){k=w;h=C;u=B;s=0;l=a;while(1){z=u+ +n[l>>2];A=h+ +n[l+4>>2];E=k+ +n[l+8>>2];s=s+1|0;if((s|0)==(e|0)){F=E;G=A;H=z;I=e;break}else{k=E;h=A;u=z;l=l+(f<<2)|0}}}else{F=w;G=C;H=B;I=0}p[d>>3]=H;p[D>>3]=G;p[x>>3]=F;y=I;break}default:y=0}if((g|0)<(f|0)){J=g;K=y}else{L=e;return L|0}while(1){y=d+(J<<3)|0;F=+p[y>>3];g=d+(J+1<<3)|0;G=+p[g>>3];I=d+(J+2<<3)|0;H=+p[I>>3];x=d+(J+3<<3)|0;B=+p[x>>3];if((K|0)<(e|0)){C=B;w=H;u=G;h=F;D=a+((Y(K,f)|0)<<2)+(J<<2)|0;l=K;while(1){k=h+ +n[D>>2];z=u+ +n[D+4>>2];A=w+ +n[D+8>>2];E=C+ +n[D+12>>2];l=l+1|0;if((l|0)==(e|0)){M=E;N=A;O=z;P=k;Q=e;break}else{C=E;w=A;u=z;h=k;D=D+(f<<2)|0}}}else{M=B;N=H;O=G;P=F;Q=K}p[y>>3]=P;p[g>>3]=O;p[I>>3]=N;p[x>>3]=M;J=J+4|0;if((J|0)>=(f|0)){L=e;break}else K=Q}return L|0}switch(f|0){case 1:{M=+p[d>>3];if((e|0)>0){N=M;Q=0;K=0;while(1){if(!(b[c+K>>0]|0)){R=N;S=Q}else{R=N+ +n[a+(K<<2)>>2];S=Q+1|0}K=K+1|0;if((K|0)==(e|0)){T=R;U=S;break}else{N=R;Q=S}}}else{T=M;U=0}p[d>>3]=T;L=U;return L|0}case 3:{T=+p[d>>3];U=d+8|0;M=+p[U>>3];S=d+16|0;R=+p[S>>3];if((e|0)>0){N=R;O=M;P=T;Q=0;K=0;J=a;while(1){if(!(b[c+Q>>0]|0)){V=N;W=O;X=P;Z=K}else{V=N+ +n[J+8>>2];W=O+ +n[J+4>>2];X=P+ +n[J>>2];Z=K+1|0}Q=Q+1|0;if((Q|0)==(e|0)){_=V;$=W;aa=X;ba=Z;break}else{N=V;O=W;P=X;K=Z;J=J+12|0}}}else{_=R;$=M;aa=T;ba=0}p[d>>3]=aa;p[U>>3]=$;p[S>>3]=_;L=ba;return L|0}default:{if((e|0)<=0){L=0;return L|0}ba=f+-4|0;if((f|0)<4){if((f|0)>0){ca=0;da=0;ea=a}else{S=0;U=0;while(1){J=U+((b[c+S>>0]|0)!=0&1)|0;S=S+1|0;if((S|0)==(e|0)){L=J;break}else U=J}return L|0}while(1){if(!(b[c+ca>>0]|0))fa=da;else{U=0;do{S=d+(U<<3)|0;p[S>>3]=+p[S>>3]+ +n[ea+(U<<2)>>2];U=U+1|0}while((U|0)!=(f|0));fa=da+1|0}ca=ca+1|0;if((ca|0)==(e|0)){L=fa;break}else{da=fa;ea=ea+(f<<2)|0}}return L|0}ea=f&-4;if((ea|0)<(f|0)){ga=0;ha=0;ia=a}else{fa=0;da=0;ca=a;while(1){if(!(b[c+fa>>0]|0))ja=da;else{a=0;do{U=d+(a<<3)|0;x=a|1;I=d+(x<<3)|0;F=+p[I>>3]+ +n[ca+(x<<2)>>2];p[U>>3]=+p[U>>3]+ +n[ca+(a<<2)>>2];p[I>>3]=F;I=a|2;U=d+(I<<3)|0;x=a|3;g=d+(x<<3)|0;F=+p[g>>3]+ +n[ca+(x<<2)>>2];p[U>>3]=+p[U>>3]+ +n[ca+(I<<2)>>2];p[g>>3]=F;a=a+4|0}while((a|0)<=(ba|0));ja=da+1|0}fa=fa+1|0;if((fa|0)==(e|0)){L=ja;break}else{da=ja;ca=ca+(f<<2)|0}}return L|0}while(1){if(!(b[c+ga>>0]|0))ka=ha;else{ca=0;do{ja=d+(ca<<3)|0;da=ca|1;fa=d+(da<<3)|0;F=+p[fa>>3]+ +n[ia+(da<<2)>>2];p[ja>>3]=+p[ja>>3]+ +n[ia+(ca<<2)>>2];p[fa>>3]=F;fa=ca|2;ja=d+(fa<<3)|0;da=ca|3;a=d+(da<<3)|0;F=+p[a>>3]+ +n[ia+(da<<2)>>2];p[ja>>3]=+p[ja>>3]+ +n[ia+(fa<<2)>>2];p[a>>3]=F;ca=ca+4|0}while((ca|0)<=(ba|0));la=ea;do{ca=d+(la<<3)|0;p[ca>>3]=+p[ca>>3]+ +n[ia+(la<<2)>>2];la=la+1|0}while((la|0)!=(f|0));ka=ha+1|0}ga=ga+1|0;if((ga|0)==(e|0)){L=ka;break}else{ha=ka;ia=ia+(f<<2)|0}}return L|0}}return 0}function oN(a,c,d,e,f){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0.0,i=0,j=0,k=0.0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0.0,u=0,v=0.0,w=0,x=0,y=0.0,z=0.0,A=0.0,B=0.0,C=0,D=0.0,E=0.0,F=0.0,G=0.0,H=0,I=0,J=0,K=0,L=0.0,M=0.0,N=0.0,O=0.0,P=0,Q=0.0,R=0,S=0.0,T=0,U=0.0,V=0.0,W=0.0,X=0,Z=0.0,_=0.0,$=0.0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0;if(!c){g=(f|0)%4|0;switch(g|0){case 1:{h=+p[d>>3];i=e+-4|0;if((e|0)<4){j=a;k=h;l=0}else{m=f<<1;n=f*3|0;o=f<<2;q=i>>>2;r=Y((q<<5)+32|0,f)|0;s=a;t=h;u=0;while(1){t=t+(+p[s>>3]+ +p[s+(f<<3)>>3]+ +p[s+(m<<3)>>3]+ +p[s+(n<<3)>>3]);u=u+4|0;if((u|0)>(i|0))break;else s=s+(o<<3)|0}j=a+r|0;k=t;l=(q<<2)+4|0}if((l|0)<(e|0)){t=k;q=l;r=j;while(1){h=t+ +p[r>>3];q=q+1|0;if((q|0)==(e|0)){v=h;w=e;break}else{t=h;r=r+(f<<3)|0}}}else{v=k;w=l}p[d>>3]=v;x=w;break}case 2:{v=+p[d>>3];w=d+8|0;k=+p[w>>3];if((e|0)>0){t=k;h=v;l=0;r=a;while(1){y=h+ +p[r>>3];z=t+ +p[r+8>>3];l=l+1|0;if((l|0)==(e|0)){A=z;B=y;C=e;break}else{t=z;h=y;r=r+(f<<3)|0}}}else{A=k;B=v;C=0}p[d>>3]=B;p[w>>3]=A;x=C;break}case 3:{A=+p[d>>3];C=d+8|0;B=+p[C>>3];w=d+16|0;v=+p[w>>3];if((e|0)>0){k=v;h=B;t=A;r=0;l=a;while(1){y=t+ +p[l>>3];z=h+ +p[l+8>>3];D=k+ +p[l+16>>3];r=r+1|0;if((r|0)==(e|0)){E=D;F=z;G=y;H=e;break}else{k=D;h=z;t=y;l=l+(f<<3)|0}}}else{E=v;F=B;G=A;H=0}p[d>>3]=G;p[C>>3]=F;p[w>>3]=E;x=H;break}default:x=0}if((g|0)<(f|0)){I=g;J=x}else{K=e;return K|0}while(1){x=d+(I<<3)|0;E=+p[x>>3];g=d+(I+1<<3)|0;F=+p[g>>3];H=d+(I+2<<3)|0;G=+p[H>>3];w=d+(I+3<<3)|0;A=+p[w>>3];if((J|0)<(e|0)){B=A;v=G;t=F;h=E;C=a+((Y(J,f)|0)<<3)+(I<<3)|0;l=J;while(1){k=h+ +p[C>>3];y=t+ +p[C+8>>3];z=v+ +p[C+16>>3];D=B+ +p[C+24>>3];l=l+1|0;if((l|0)==(e|0)){L=D;M=z;N=y;O=k;P=e;break}else{B=D;v=z;t=y;h=k;C=C+(f<<3)|0}}}else{L=A;M=G;N=F;O=E;P=J}p[x>>3]=O;p[g>>3]=N;p[H>>3]=M;p[w>>3]=L;I=I+4|0;if((I|0)>=(f|0)){K=e;break}else J=P}return K|0}switch(f|0){case 1:{L=+p[d>>3];if((e|0)>0){M=L;P=0;J=0;while(1){if(!(b[c+J>>0]|0)){Q=M;R=P}else{Q=M+ +p[a+(J<<3)>>3];R=P+1|0}J=J+1|0;if((J|0)==(e|0)){S=Q;T=R;break}else{M=Q;P=R}}}else{S=L;T=0}p[d>>3]=S;K=T;return K|0}case 3:{S=+p[d>>3];T=d+8|0;L=+p[T>>3];R=d+16|0;Q=+p[R>>3];if((e|0)>0){M=Q;N=L;O=S;P=0;J=0;I=a;while(1){if(!(b[c+P>>0]|0)){U=M;V=N;W=O;X=J}else{U=M+ +p[I+16>>3];V=N+ +p[I+8>>3];W=O+ +p[I>>3];X=J+1|0}P=P+1|0;if((P|0)==(e|0)){Z=U;_=V;$=W;aa=X;break}else{M=U;N=V;O=W;J=X;I=I+24|0}}}else{Z=Q;_=L;$=S;aa=0}p[d>>3]=$;p[T>>3]=_;p[R>>3]=Z;K=aa;return K|0}default:{if((e|0)<=0){K=0;return K|0}aa=f+-4|0;if((f|0)<4){if((f|0)>0){ba=0;ca=0;da=a}else{R=0;T=0;while(1){I=T+((b[c+R>>0]|0)!=0&1)|0;R=R+1|0;if((R|0)==(e|0)){K=I;break}else T=I}return K|0}while(1){if(!(b[c+ba>>0]|0))ea=ca;else{T=0;do{R=d+(T<<3)|0;p[R>>3]=+p[da+(T<<3)>>3]+ +p[R>>3];T=T+1|0}while((T|0)!=(f|0));ea=ca+1|0}ba=ba+1|0;if((ba|0)==(e|0)){K=ea;break}else{ca=ea;da=da+(f<<3)|0}}return K|0}da=f&-4;if((da|0)<(f|0)){fa=0;ga=0;ha=a}else{ea=0;ca=0;ba=a;while(1){if(!(b[c+ea>>0]|0))ia=ca;else{a=0;do{T=d+(a<<3)|0;w=a|1;H=d+(w<<3)|0;E=+p[H>>3]+ +p[ba+(w<<3)>>3];p[T>>3]=+p[T>>3]+ +p[ba+(a<<3)>>3];p[H>>3]=E;H=a|2;T=d+(H<<3)|0;w=a|3;g=d+(w<<3)|0;E=+p[g>>3]+ +p[ba+(w<<3)>>3];p[T>>3]=+p[T>>3]+ +p[ba+(H<<3)>>3];p[g>>3]=E;a=a+4|0}while((a|0)<=(aa|0));ia=ca+1|0}ea=ea+1|0;if((ea|0)==(e|0)){K=ia;break}else{ca=ia;ba=ba+(f<<3)|0}}return K|0}while(1){if(!(b[c+fa>>0]|0))ja=ga;else{ba=0;do{ia=d+(ba<<3)|0;ca=ba|1;ea=d+(ca<<3)|0;E=+p[ea>>3]+ +p[ha+(ca<<3)>>3];p[ia>>3]=+p[ia>>3]+ +p[ha+(ba<<3)>>3];p[ea>>3]=E;ea=ba|2;ia=d+(ea<<3)|0;ca=ba|3;a=d+(ca<<3)|0;E=+p[a>>3]+ +p[ha+(ca<<3)>>3];p[ia>>3]=+p[ia>>3]+ +p[ha+(ea<<3)>>3];p[a>>3]=E;ba=ba+4|0}while((ba|0)<=(aa|0));ka=da;do{ba=d+(ka<<3)|0;p[ba>>3]=+p[ha+(ka<<3)>>3]+ +p[ba>>3];ka=ka+1|0}while((ka|0)!=(f|0));ja=ga+1|0}fa=fa+1|0;if((fa|0)==(e|0)){K=ja;break}else{ga=ja;ha=ha+(f<<3)|0}}return K|0}}return 0}function pN(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;d=u;u=u+1184|0;e=d+1168|0;g=d+1112|0;h=d+1100|0;i=d+1096|0;j=d+1064|0;k=d;gV(e,37904);do if((qJ(c)|0)==65536){l=f[c+4>>2]|0;f[g>>2]=f[l>>2];m=g+4|0;n=l+4|0;f[m>>2]=f[n>>2];o=g+8|0;f[o>>2]=f[l+8>>2];f[g+12>>2]=f[l+12>>2];f[g+16>>2]=f[l+16>>2];f[g+20>>2]=f[l+20>>2];f[g+24>>2]=f[l+24>>2];f[g+28>>2]=f[l+28>>2];f[g+32>>2]=f[l+32>>2];q=f[l+36>>2]|0;f[g+36>>2]=q;f[g+40>>2]=o;o=g+48|0;r=g+44|0;f[r>>2]=o;f[o>>2]=0;f[g+52>>2]=0;if(q|0){o=q+12|0;f[o>>2]=(f[o>>2]|0)+1}if((f[n>>2]|0)<3){n=f[l+44>>2]|0;o=f[r>>2]|0;f[o>>2]=f[n>>2];f[o+4>>2]=f[n+4>>2];s=g;break}else{f[m>>2]=0;$T(g,l);s=g;break}}else{nJ(g,c,-1);s=g}while(0);c=f[s>>2]|0;s=c>>>3&511;l=s+1|0;m=c&7;c=f[37872+(m<<2)>>2]|0;if(!((m|0)!=7&l>>>0<5)){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;n=cuc(32)|0;f[h>>2]=n;f[h+8>>2]=-2147483616;f[h+4>>2]=20;o=n;r=211442;q=o+20|0;do{b[o>>0]=b[r>>0]|0;o=o+1|0;r=r+1|0}while((o|0)<(q|0));b[n+20>>0]=0;WD(-215,h,456032,211463,617)}f[h>>2]=g;f[h+4>>2]=0;f[i>>2]=0;YC(j,h,i,-1);f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;f[a+16>>2]=0;f[a+20>>2]=0;f[a+24>>2]=0;f[a+28>>2]=0;h=f[j+20>>2]|0;n=k+8|0;f[k>>2]=n;r=k+4|0;f[r>>2]=264;o=m>>>0<4;if(o){q=m>>>0<2?8388608:32768;m=(q|0)<(h|0)?q:h;f[r>>2]=l;kzc(n|0,0,(s<<2)+4|0)|0;s=f[g+4>>2]|0;if((s|0)>0){t=m;v=q;w=f[(f[g+44>>2]|0)+(s+-1<<2)>>2]|0;x=n}else{t=m;v=q;w=0;x=n}}else{t=h;v=0;w=0;x=a}q=j+16|0;a:do if((h|0)>0){m=0;s=0;while(1){if(m>>>0>=(f[q>>2]|0)>>>0)break a;y=m+1|0;z=f[i>>2]|0;if(o){A=0;B=s;C=z;while(1){D=h-A|0;E=(t|0)<(D|0)?t:D;mh[c&127](C,0,x,E,l)|0;D=E+B|0;if((D+t|0)<(v|0)?((E+A|0)<(h|0)?1:y>>>0<(f[q>>2]|0)>>>0):0)F=D;else{G=0;H=21}if((H|0)==21)while(1){H=0;D=x+(G<<2)|0;I=a+(G<<3)|0;p[I>>3]=+p[I>>3]+ +(f[D>>2]|0);f[D>>2]=0;G=G+1|0;if((G|0)==(l|0)){F=0;break}else H=21}D=Y(E,w)|0;C=(f[i>>2]|0)+D|0;f[i>>2]=C;A=A+t|0;if((h|0)<=(A|0)){J=F;break}else B=F}}else{B=0;A=s;C=z;while(1){D=h-B|0;I=(t|0)<(D|0)?t:D;mh[c&127](C,0,x,I,l)|0;D=I+A|0;K=Y(I,w)|0;C=(f[i>>2]|0)+K|0;f[i>>2]=C;B=B+t|0;if((h|0)<=(B|0)){J=D;break}else A=D}}ZC(j)|0;m=y;s=J}}else{s=0;while(1){if(s>>>0>=(f[q>>2]|0)>>>0)break a;ZC(j)|0;s=s+1|0}}while(0);j=f[k>>2]|0;if((j|0)!=(n|0)){if(j|0)guc(j);f[k>>2]=n;f[r>>2]=264}r=g+36|0;n=f[r>>2]|0;if(n|0?(k=n+12|0,n=f[k>>2]|0,f[k>>2]=n+-1,(n|0)==1):0)aU(g);f[r>>2]=0;r=g+16|0;n=g+4|0;f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;f[r+12>>2]=0;if((f[n>>2]|0)>0){r=f[g+40>>2]|0;k=0;do{f[r+(k<<2)>>2]=0;k=k+1|0}while((k|0)<(f[n>>2]|0))}n=f[g+44>>2]|0;if((n|0)!=(g+48|0))TC(n);if(!(f[e+4>>2]|0)){u=d;return}u=d;return}function qN(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0;d=u;u=u+32|0;e=d;g=d+8|0;f[e>>2]=f[37924+((c&7)<<2)>>2];f[e+4>>2]=(c>>>3&511)+1;cE(g,211629,e);e=g+11|0;c=b[e>>0]|0;if((c<<24>>24<0?f[g+4>>2]|0:c&255)|0){f[a>>2]=f[g>>2];f[a+4>>2]=f[g+4>>2];f[a+8>>2]=f[g+8>>2];f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;u=d;return}if((b[535096]|0)==0?$yc(535096)|0:0){f[137535]=0;f[137536]=0;f[137537]=0;c=cuc(16)|0;f[137535]=c;f[137537]=-2147483632;f[137536]=14;h=c;i=211635;j=h+14|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(j|0));b[c+14>>0]=0;Bd(1936,550140,x|0)|0}ouc(a,550140);if((b[e>>0]|0)>=0){u=d;return}fuc(f[g>>2]|0);u=d;return}function rN(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;e=u;u=u+176|0;g=e+160|0;h=e+16|0;i=e;e=h+64|0;j=h+8|0;f[j>>2]=35368;k=h+12|0;f[h>>2]=10468;f[e>>2]=10488;f[h+4>>2]=0;bkc(h+64|0,k);f[h+136>>2]=0;f[h+140>>2]=-1;f[h>>2]=35348;f[e>>2]=35388;f[j>>2]=35368;gkc(k);f[k>>2]=35404;j=h+44|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;f[h+60>>2]=24;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;$D(k,g);if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);j=h+8|0;h=f[d+16>>2]|0;e=aE(aE(j,h,jfc(h)|0)|0,211650,13)|0;h=d+20|0;l=f[h>>2]|0;m=aE(aE(e,l,jfc(l)|0)|0,530842,1)|0;l=d+12|0;e=f[l>>2]|0;if(e>>>0<7)n=f[37956+(e<<2)>>2]|0;else n=211664;e=aE(aE(m,n,jfc(n)|0)|0,530842,1)|0;n=d+24|0;m=f[n>>2]|0;o=aE(aE(e,m,jfc(m)|0)|0,211668,9)|0;dkc(g,o+(f[(f[o>>2]|0)+-12>>2]|0)|0);m=Ilc(g,901876)|0;e=Th[f[(f[m>>2]|0)+28>>2]&1023](m,10)|0;Jlc(g);xkc(o,e)|0;jkc(o)|0;e=aE(o,211678,5)|0;o=f[h>>2]|0;h=aE(tkc(aE(aE(e,o,jfc(o)|0)|0,211684,5)|0,a)|0,530805,2)|0;qN(i,a);a=i+11|0;o=(b[a>>0]|0)<0?f[i>>2]|0:i;e=aE(aE(h,o,jfc(o)|0)|0,530808,1)|0;dkc(g,e+(f[(f[e>>2]|0)+-12>>2]|0)|0);o=Ilc(g,901876)|0;h=Th[f[(f[o>>2]|0)+28>>2]&1023](o,10)|0;Jlc(g);xkc(e,h)|0;jkc(e)|0;if((b[a>>0]|0)<0)fuc(f[i>>2]|0);i=f[l>>2]|0;if((i|0)!=0&(i|0)<7){i=aE(j,211690,8)|0;a=f[l>>2]|0;if(a>>>0<7)p=f[37984+(a<<2)>>2]|0;else p=211664;a=aE(i,p,jfc(p)|0)|0;dkc(g,a+(f[(f[a>>2]|0)+-12>>2]|0)|0);p=Ilc(g,901876)|0;i=Th[f[(f[p>>2]|0)+28>>2]&1023](p,10)|0;Jlc(g);xkc(a,i)|0;jkc(a)|0}a=aE(j,211678,5)|0;j=f[n>>2]|0;n=aE(tkc(aE(aE(a,j,jfc(j)|0)|0,211684,5)|0,c)|0,530805,2)|0;qN(g,c);c=g+11|0;j=(b[c>>0]|0)<0?f[g>>2]|0:g;aE(aE(n,j,jfc(j)|0)|0,530808,1)|0;if((b[c>>0]|0)>=0){bE(g,k);q=f[d>>2]|0;r=d+4|0;s=f[r>>2]|0;t=d+8|0;v=f[t>>2]|0;WD(-2,g,q,s,v)}fuc(f[g>>2]|0);bE(g,k);q=f[d>>2]|0;r=d+4|0;s=f[r>>2]|0;t=d+8|0;v=f[t>>2]|0;WD(-2,g,q,s,v)}function sN(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;e=u;u=u+160|0;g=e+144|0;h=e;e=h+64|0;i=h+8|0;f[i>>2]=35368;j=h+12|0;f[h>>2]=10468;f[e>>2]=10488;f[h+4>>2]=0;bkc(h+64|0,j);f[h+136>>2]=0;f[h+140>>2]=-1;f[h>>2]=35348;f[e>>2]=35388;f[i>>2]=35368;gkc(j);f[j>>2]=35404;i=h+44|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;f[h+60>>2]=24;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;$D(j,g);if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);i=h+8|0;h=f[d+16>>2]|0;e=aE(aE(i,h,jfc(h)|0)|0,211650,13)|0;h=d+20|0;k=f[h>>2]|0;l=aE(aE(e,k,jfc(k)|0)|0,530842,1)|0;k=d+12|0;e=f[k>>2]|0;if(e>>>0<7)m=f[37956+(e<<2)>>2]|0;else m=211664;e=aE(aE(l,m,jfc(m)|0)|0,530842,1)|0;m=d+24|0;l=f[m>>2]|0;n=aE(aE(e,l,jfc(l)|0)|0,211668,9)|0;dkc(g,n+(f[(f[n>>2]|0)+-12>>2]|0)|0);l=Ilc(g,901876)|0;e=Th[f[(f[l>>2]|0)+28>>2]&1023](l,10)|0;Jlc(g);xkc(n,e)|0;jkc(n)|0;e=aE(n,211678,5)|0;n=f[h>>2]|0;h=aE(aE(e,n,jfc(n)|0)|0,211684,5)|0;n=tkc(h,f[a>>2]|0)|0;dkc(g,n+(f[(f[n>>2]|0)+-12>>2]|0)|0);a=Ilc(g,901876)|0;h=Th[f[(f[a>>2]|0)+28>>2]&1023](a,10)|0;Jlc(g);xkc(n,h)|0;jkc(n)|0;n=f[k>>2]|0;if(!((n|0)!=0&(n|0)<7)){o=aE(i,211678,5)|0;p=f[m>>2]|0;q=jfc(p)|0;r=aE(o,p,q)|0;s=aE(r,211684,5)|0;t=f[c>>2]|0;tkc(s,t)|0;bE(g,j);v=f[d>>2]|0;w=d+4|0;x=f[w>>2]|0;y=d+8|0;z=f[y>>2]|0;WD(-2,g,v,x,z)}n=aE(i,211690,8)|0;h=f[k>>2]|0;if(h>>>0<7)A=f[37984+(h<<2)>>2]|0;else A=211664;h=aE(n,A,jfc(A)|0)|0;dkc(g,h+(f[(f[h>>2]|0)+-12>>2]|0)|0);A=Ilc(g,901876)|0;n=Th[f[(f[A>>2]|0)+28>>2]&1023](A,10)|0;Jlc(g);xkc(h,n)|0;jkc(h)|0;o=aE(i,211678,5)|0;p=f[m>>2]|0;q=jfc(p)|0;r=aE(o,p,q)|0;s=aE(r,211684,5)|0;t=f[c>>2]|0;tkc(s,t)|0;bE(g,j);v=f[d>>2]|0;w=d+4|0;x=f[w>>2]|0;y=d+8|0;z=f[y>>2]|0;WD(-2,g,v,x,z)}function tN(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+16|0;e=d+4|0;g=d;f[e>>2]=a;f[g>>2]=b;sN(e,g,c)}function uN(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;e=u;u=u+160|0;g=e+144|0;h=e;e=h+64|0;i=h+8|0;f[i>>2]=35368;j=h+12|0;f[h>>2]=10468;f[e>>2]=10488;f[h+4>>2]=0;bkc(h+64|0,j);f[h+136>>2]=0;f[h+140>>2]=-1;f[h>>2]=35348;f[e>>2]=35388;f[i>>2]=35368;gkc(j);f[j>>2]=35404;i=h+44|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;f[h+60>>2]=24;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;$D(j,g);if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);i=h+8|0;h=f[d+16>>2]|0;e=aE(aE(i,h,jfc(h)|0)|0,211650,13)|0;h=d+20|0;k=f[h>>2]|0;l=aE(aE(e,k,jfc(k)|0)|0,530842,1)|0;k=d+12|0;e=f[k>>2]|0;if(e>>>0<7)m=f[37956+(e<<2)>>2]|0;else m=211664;e=aE(aE(l,m,jfc(m)|0)|0,530842,1)|0;m=d+24|0;l=f[m>>2]|0;n=aE(aE(e,l,jfc(l)|0)|0,211668,9)|0;dkc(g,n+(f[(f[n>>2]|0)+-12>>2]|0)|0);l=Ilc(g,901876)|0;e=Th[f[(f[l>>2]|0)+28>>2]&1023](l,10)|0;Jlc(g);xkc(n,e)|0;jkc(n)|0;e=aE(n,211678,5)|0;n=f[h>>2]|0;h=ukc(aE(aE(e,n,jfc(n)|0)|0,211684,5)|0,a)|0;dkc(g,h+(f[(f[h>>2]|0)+-12>>2]|0)|0);a=Ilc(g,901876)|0;n=Th[f[(f[a>>2]|0)+28>>2]&1023](a,10)|0;Jlc(g);xkc(h,n)|0;jkc(h)|0;h=f[k>>2]|0;if(!((h|0)!=0&(h|0)<7)){o=aE(i,211678,5)|0;p=f[m>>2]|0;q=jfc(p)|0;r=aE(o,p,q)|0;s=aE(r,211684,5)|0;ukc(s,c)|0;bE(g,j);t=f[d>>2]|0;v=d+4|0;w=f[v>>2]|0;x=d+8|0;y=f[x>>2]|0;WD(-2,g,t,w,y)}h=aE(i,211690,8)|0;n=f[k>>2]|0;if(n>>>0<7)z=f[37984+(n<<2)>>2]|0;else z=211664;n=aE(h,z,jfc(z)|0)|0;dkc(g,n+(f[(f[n>>2]|0)+-12>>2]|0)|0);z=Ilc(g,901876)|0;h=Th[f[(f[z>>2]|0)+28>>2]&1023](z,10)|0;Jlc(g);xkc(n,h)|0;jkc(n)|0;o=aE(i,211678,5)|0;p=f[m>>2]|0;q=jfc(p)|0;r=aE(o,p,q)|0;s=aE(r,211684,5)|0;ukc(s,c)|0;bE(g,j);t=f[d>>2]|0;v=d+4|0;w=f[v>>2]|0;x=d+8|0;y=f[x>>2]|0;WD(-2,g,t,w,y)}function vN(a,c,d){a=+a;c=+c;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;e=u;u=u+160|0;g=e+144|0;h=e;e=h+64|0;i=h+8|0;f[i>>2]=35368;j=h+12|0;f[h>>2]=10468;f[e>>2]=10488;f[h+4>>2]=0;bkc(h+64|0,j);f[h+136>>2]=0;f[h+140>>2]=-1;f[h>>2]=35348;f[e>>2]=35388;f[i>>2]=35368;gkc(j);f[j>>2]=35404;i=h+44|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;f[h+60>>2]=24;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;$D(j,g);if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);i=h+8|0;h=f[d+16>>2]|0;e=aE(aE(i,h,jfc(h)|0)|0,211650,13)|0;h=d+20|0;k=f[h>>2]|0;l=aE(aE(e,k,jfc(k)|0)|0,530842,1)|0;k=d+12|0;e=f[k>>2]|0;if(e>>>0<7)m=f[37956+(e<<2)>>2]|0;else m=211664;e=aE(aE(l,m,jfc(m)|0)|0,530842,1)|0;m=d+24|0;l=f[m>>2]|0;n=aE(aE(e,l,jfc(l)|0)|0,211668,9)|0;dkc(g,n+(f[(f[n>>2]|0)+-12>>2]|0)|0);l=Ilc(g,901876)|0;e=Th[f[(f[l>>2]|0)+28>>2]&1023](l,10)|0;Jlc(g);xkc(n,e)|0;jkc(n)|0;e=aE(n,211678,5)|0;n=f[h>>2]|0;h=wkc(aE(aE(e,n,jfc(n)|0)|0,211684,5)|0,a)|0;dkc(g,h+(f[(f[h>>2]|0)+-12>>2]|0)|0);n=Ilc(g,901876)|0;e=Th[f[(f[n>>2]|0)+28>>2]&1023](n,10)|0;Jlc(g);xkc(h,e)|0;jkc(h)|0;h=f[k>>2]|0;if(!((h|0)!=0&(h|0)<7)){o=aE(i,211678,5)|0;p=f[m>>2]|0;q=jfc(p)|0;r=aE(o,p,q)|0;s=aE(r,211684,5)|0;wkc(s,c)|0;bE(g,j);t=f[d>>2]|0;v=d+4|0;w=f[v>>2]|0;x=d+8|0;y=f[x>>2]|0;WD(-2,g,t,w,y)}h=aE(i,211690,8)|0;e=f[k>>2]|0;if(e>>>0<7)z=f[37984+(e<<2)>>2]|0;else z=211664;e=aE(h,z,jfc(z)|0)|0;dkc(g,e+(f[(f[e>>2]|0)+-12>>2]|0)|0);z=Ilc(g,901876)|0;h=Th[f[(f[z>>2]|0)+28>>2]&1023](z,10)|0;Jlc(g);xkc(e,h)|0;jkc(e)|0;o=aE(i,211678,5)|0;p=f[m>>2]|0;q=jfc(p)|0;r=aE(o,p,q)|0;s=aE(r,211684,5)|0;wkc(s,c)|0;bE(g,j);t=f[d>>2]|0;v=d+4|0;w=f[v>>2]|0;x=d+8|0;y=f[x>>2]|0;WD(-2,g,t,w,y)}function wN(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;d=u;u=u+160|0;e=d+144|0;g=d;d=g+64|0;h=g+8|0;f[h>>2]=35368;i=g+12|0;f[g>>2]=10468;f[d>>2]=10488;f[g+4>>2]=0;bkc(g+64|0,i);f[g+136>>2]=0;f[g+140>>2]=-1;f[g>>2]=35348;f[d>>2]=35388;f[h>>2]=35368;gkc(i);f[i>>2]=35404;h=g+44|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;f[g+60>>2]=24;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;$D(i,e);if((b[e+11>>0]|0)<0)fuc(f[e>>2]|0);h=f[c+16>>2]|0;d=aE(aE(g+8|0,h,jfc(h)|0)|0,517566,1)|0;dkc(e,d+(f[(f[d>>2]|0)+-12>>2]|0)|0);h=Ilc(e,901876)|0;g=Th[f[(f[h>>2]|0)+28>>2]&1023](h,10)|0;Jlc(e);xkc(d,g)|0;jkc(d)|0;g=aE(d,211678,5)|0;d=f[c+24>>2]|0;h=aE(aE(g,d,jfc(d)|0)|0,211806,1)|0;dkc(e,h+(f[(f[h>>2]|0)+-12>>2]|0)|0);d=Ilc(e,901876)|0;g=Th[f[(f[d>>2]|0)+28>>2]&1023](d,10)|0;Jlc(e);xkc(h,g)|0;jkc(h)|0;g=aE(h,211808,5)|0;dkc(e,g+(f[(f[g>>2]|0)+-12>>2]|0)|0);h=Ilc(e,901876)|0;d=Th[f[(f[h>>2]|0)+28>>2]&1023](h,10)|0;Jlc(e);xkc(g,d)|0;jkc(g)|0;d=aE(g,211678,5)|0;g=f[c+20>>2]|0;h=aE(tkc(aE(aE(d,g,jfc(g)|0)|0,211684,5)|0,a)|0,530805,2)|0;if(a>>>0>=8){j=0;k=(j|0)!=0;l=k?j:211559;m=jfc(l)|0;n=aE(h,l,m)|0;aE(n,530808,1)|0;bE(e,i);o=f[c>>2]|0;p=c+4|0;q=f[p>>2]|0;r=c+8|0;s=f[r>>2]|0;WD(-2,e,o,q,s)}j=f[37924+(a<<2)>>2]|0;k=(j|0)!=0;l=k?j:211559;m=jfc(l)|0;n=aE(h,l,m)|0;aE(n,530808,1)|0;bE(e,i);o=f[c>>2]|0;p=c+4|0;q=f[p>>2]|0;r=c+8|0;s=f[r>>2]|0;WD(-2,e,o,q,s)}function xN(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;d=u;u=u+160|0;e=d+144|0;g=d;d=g+64|0;h=g+8|0;f[h>>2]=35368;i=g+12|0;f[g>>2]=10468;f[d>>2]=10488;f[g+4>>2]=0;bkc(g+64|0,i);f[g+136>>2]=0;f[g+140>>2]=-1;f[g>>2]=35348;f[d>>2]=35388;f[h>>2]=35368;gkc(i);f[i>>2]=35404;h=g+44|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;f[g+60>>2]=24;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;$D(i,e);if((b[e+11>>0]|0)<0)fuc(f[e>>2]|0);h=f[c+16>>2]|0;d=aE(aE(g+8|0,h,jfc(h)|0)|0,517566,1)|0;dkc(e,d+(f[(f[d>>2]|0)+-12>>2]|0)|0);h=Ilc(e,901876)|0;g=Th[f[(f[h>>2]|0)+28>>2]&1023](h,10)|0;Jlc(e);xkc(d,g)|0;jkc(d)|0;g=aE(d,211678,5)|0;d=f[c+24>>2]|0;h=aE(aE(g,d,jfc(d)|0)|0,211806,1)|0;dkc(e,h+(f[(f[h>>2]|0)+-12>>2]|0)|0);d=Ilc(e,901876)|0;g=Th[f[(f[d>>2]|0)+28>>2]&1023](d,10)|0;Jlc(e);xkc(h,g)|0;jkc(h)|0;g=aE(h,211808,5)|0;dkc(e,g+(f[(f[g>>2]|0)+-12>>2]|0)|0);h=Ilc(e,901876)|0;d=Th[f[(f[h>>2]|0)+28>>2]&1023](h,10)|0;Jlc(e);xkc(g,d)|0;jkc(g)|0;d=aE(g,211678,5)|0;g=f[c+20>>2]|0;h=aE(tkc(aE(aE(d,g,jfc(g)|0)|0,211684,5)|0,a)|0,530805,2)|0;qN(e,a);a=e+11|0;g=(b[a>>0]|0)<0?f[e>>2]|0:e;aE(aE(h,g,jfc(g)|0)|0,530808,1)|0;if((b[a>>0]|0)>=0){bE(e,i);j=f[c>>2]|0;k=c+4|0;l=f[k>>2]|0;m=c+8|0;n=f[m>>2]|0;WD(-2,e,j,l,n)}fuc(f[e>>2]|0);bE(e,i);j=f[c>>2]|0;k=c+4|0;l=f[k>>2]|0;m=c+8|0;n=f[m>>2]|0;WD(-2,e,j,l,n)}function yN(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0;d=u;u=u+160|0;e=d+144|0;g=d;d=g+64|0;h=g+8|0;f[h>>2]=35368;i=g+12|0;f[g>>2]=10468;f[d>>2]=10488;f[g+4>>2]=0;bkc(g+64|0,i);f[g+136>>2]=0;f[g+140>>2]=-1;f[g>>2]=35348;f[d>>2]=35388;f[h>>2]=35368;gkc(i);f[i>>2]=35404;h=g+44|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;f[g+60>>2]=24;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;$D(i,e);if((b[e+11>>0]|0)<0)fuc(f[e>>2]|0);h=f[c+16>>2]|0;d=aE(aE(g+8|0,h,jfc(h)|0)|0,517566,1)|0;dkc(e,d+(f[(f[d>>2]|0)+-12>>2]|0)|0);h=Ilc(e,901876)|0;g=Th[f[(f[h>>2]|0)+28>>2]&1023](h,10)|0;Jlc(e);xkc(d,g)|0;jkc(d)|0;g=aE(d,211678,5)|0;d=f[c+24>>2]|0;h=aE(aE(g,d,jfc(d)|0)|0,211806,1)|0;dkc(e,h+(f[(f[h>>2]|0)+-12>>2]|0)|0);d=Ilc(e,901876)|0;g=Th[f[(f[d>>2]|0)+28>>2]&1023](d,10)|0;Jlc(e);xkc(h,g)|0;jkc(h)|0;g=aE(h,211808,5)|0;dkc(e,g+(f[(f[g>>2]|0)+-12>>2]|0)|0);h=Ilc(e,901876)|0;d=Th[f[(f[h>>2]|0)+28>>2]&1023](h,10)|0;Jlc(e);xkc(g,d)|0;jkc(g)|0;d=aE(g,211678,5)|0;g=f[c+20>>2]|0;h=aE(aE(d,g,jfc(g)|0)|0,211684,5)|0;tkc(h,f[a>>2]|0)|0;bE(e,i);WD(-2,e,f[c>>2]|0,f[c+4>>2]|0,f[c+8>>2]|0)}function zN(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[d>>2]=a;yN(d,b)}function AN(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;c=f[a>>2]|0;f[a>>2]=f[b>>2];f[b>>2]=c;c=a+4|0;d=b+4|0;e=f[c>>2]|0;f[c>>2]=f[d>>2];f[d>>2]=e;e=a+8|0;d=b+8|0;c=f[e>>2]|0;f[e>>2]=f[d>>2];f[d>>2]=c;c=a+12|0;g=b+12|0;h=f[c>>2]|0;f[c>>2]=f[g>>2];f[g>>2]=h;h=a+16|0;g=b+16|0;c=f[h>>2]|0;f[h>>2]=f[g>>2];f[g>>2]=c;c=a+20|0;g=b+20|0;h=f[c>>2]|0;f[c>>2]=f[g>>2];f[g>>2]=h;h=a+24|0;g=b+24|0;c=f[h>>2]|0;f[h>>2]=f[g>>2];f[g>>2]=c;c=a+28|0;g=b+28|0;h=f[c>>2]|0;f[c>>2]=f[g>>2];f[g>>2]=h;h=a+32|0;g=b+32|0;c=f[h>>2]|0;f[h>>2]=f[g>>2];f[g>>2]=c;c=a+36|0;g=b+36|0;h=f[c>>2]|0;f[c>>2]=f[g>>2];f[g>>2]=h;h=a+40|0;g=b+40|0;c=f[h>>2]|0;f[h>>2]=f[g>>2];f[g>>2]=c;c=a+44|0;i=b+44|0;j=f[c>>2]|0;f[c>>2]=f[i>>2];f[i>>2]=j;k=a+48|0;l=b+48|0;m=f[k>>2]|0;f[k>>2]=f[l>>2];f[l>>2]=m;m=a+52|0;a=b+52|0;b=f[m>>2]|0;f[m>>2]=f[a>>2];f[a>>2]=b;if((f[c>>2]|0)==(l|0)){f[c>>2]=k;f[h>>2]=e;n=f[i>>2]|0}else n=j;if((n|0)!=(k|0))return;f[i>>2]=l;f[g>>2]=d;return}function BN(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0;e=u;u=u+144|0;g=e+128|0;h=e+72|0;i=e+16|0;j=e;gV(g,38012);do if((a|0)!=0&(c|0)!=0){k=a+8|0;l=0;m=0;while(1){if((f[a+(l*56|0)+4>>2]|0)>=3){n=8;break}o=f[a+(l*56|0)+8>>2]|0;if((o|0)!=(f[k>>2]|0)){n=8;break}p=f[a>>2]|0;if((p^f[a+(l*56|0)>>2])&4095|0){n=8;break}m=(f[a+(l*56|0)+12>>2]|0)+m|0;l=l+1|0;if(l>>>0>=c>>>0){n=4;break}}if((n|0)==4){jK(d,o,m,p&4095,-1,0,0);do if((qJ(d)|0)==65536){l=f[d+4>>2]|0;f[h>>2]=f[l>>2];k=h+4|0;q=l+4|0;f[k>>2]=f[q>>2];r=h+8|0;f[r>>2]=f[l+8>>2];f[h+12>>2]=f[l+12>>2];f[h+16>>2]=f[l+16>>2];f[h+20>>2]=f[l+20>>2];f[h+24>>2]=f[l+24>>2];f[h+28>>2]=f[l+28>>2];f[h+32>>2]=f[l+32>>2];s=f[l+36>>2]|0;f[h+36>>2]=s;f[h+40>>2]=r;r=h+48|0;t=h+44|0;f[t>>2]=r;f[r>>2]=0;f[h+52>>2]=0;if(s|0){r=s+12|0;f[r>>2]=(f[r>>2]|0)+1}if((f[q>>2]|0)<3){q=f[l+44>>2]|0;r=f[t>>2]|0;f[r>>2]=f[q>>2];f[r+4>>2]=f[q+4>>2];break}else{f[k>>2]=0;$T(h,l);break}}else nJ(h,d,-1);while(0);m=j+4|0;l=j+8|0;k=j+12|0;q=j+8|0;r=j+4|0;t=i+36|0;s=i+16|0;v=i+4|0;w=i+40|0;x=i+44|0;y=i+48|0;z=0;A=0;do{B=a+(A*56|0)+12|0;C=f[B>>2]|0;D=f[a+(A*56|0)+8>>2]|0;f[j>>2]=z;f[m>>2]=0;f[l>>2]=C;f[k>>2]=D;eU(i,h,j);D=q;f[D>>2]=0;f[D+4>>2]=0;f[j>>2]=33619968;f[r>>2]=i;EI(a+(A*56|0)|0,j);z=(f[B>>2]|0)+z|0;B=f[t>>2]|0;if(B|0?(D=B+12|0,B=f[D>>2]|0,f[D>>2]=B+-1,(B|0)==1):0)aU(i);f[t>>2]=0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;if((f[v>>2]|0)>0){B=f[w>>2]|0;D=0;do{f[B+(D<<2)>>2]=0;D=D+1|0}while((D|0)<(f[v>>2]|0))}D=f[x>>2]|0;if((D|0)!=(y|0))TC(D);A=A+1|0}while(A>>>0<c>>>0);A=h+36|0;y=f[A>>2]|0;if(y|0?(x=y+12|0,y=f[x>>2]|0,f[x>>2]=y+-1,(y|0)==1):0)aU(h);f[A>>2]=0;A=h+16|0;y=h+4|0;f[A>>2]=0;f[A+4>>2]=0;f[A+8>>2]=0;f[A+12>>2]=0;if((f[y>>2]|0)>0){A=f[h+40>>2]|0;x=0;do{f[A+(x<<2)>>2]=0;x=x+1|0}while((x|0)<(f[y>>2]|0))}y=f[h+44>>2]|0;if((y|0)!=(h+48|0))TC(y);break}else if((n|0)==8){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;y=cuc(96)|0;f[h>>2]=y;f[h+8>>2]=-2147483552;f[h+4>>2]=80;x=y;A=211814;v=x+80|0;do{b[x>>0]=b[A>>0]|0;x=x+1|0;A=A+1|0}while((x|0)<(v|0));b[y+80>>0]=0;WD(-215,h,211895,211903,63)}}else HJ(d);while(0);if(!(f[g+4>>2]|0)){u=e;return}u=e;return}function CN(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0;c=u;u=u+32|0;d=c+16|0;e=c;gV(d,38032);f[e>>2]=0;g=e+4|0;f[g>>2]=0;f[e+8>>2]=0;sJ(a,e);a=f[e>>2]|0;h=f[g>>2]|0;BN((a|0)==(h|0)?0:a,(h-a|0)/56|0,b);ut(e);if(!(f[d+4>>2]|0)){u=c;return}u=c;return}function DN(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0;e=u;u=u+144|0;g=e+128|0;h=e+72|0;i=e+16|0;j=e;gV(g,38052);do if((a|0)!=0&(c|0)!=0){k=a+12|0;l=0;m=0;while(1){if((f[a+(l*56|0)+4>>2]|0)>=3){n=8;break}o=f[a+(l*56|0)+12>>2]|0;if((o|0)!=(f[k>>2]|0)){n=8;break}p=f[a>>2]|0;if((p^f[a+(l*56|0)>>2])&4095|0){n=8;break}m=(f[a+(l*56|0)+8>>2]|0)+m|0;l=l+1|0;if(l>>>0>=c>>>0){n=4;break}}if((n|0)==4){jK(d,m,o,p&4095,-1,0,0);do if((qJ(d)|0)==65536){l=f[d+4>>2]|0;f[h>>2]=f[l>>2];k=h+4|0;q=l+4|0;f[k>>2]=f[q>>2];r=h+8|0;f[r>>2]=f[l+8>>2];f[h+12>>2]=f[l+12>>2];f[h+16>>2]=f[l+16>>2];f[h+20>>2]=f[l+20>>2];f[h+24>>2]=f[l+24>>2];f[h+28>>2]=f[l+28>>2];f[h+32>>2]=f[l+32>>2];s=f[l+36>>2]|0;f[h+36>>2]=s;f[h+40>>2]=r;r=h+48|0;t=h+44|0;f[t>>2]=r;f[r>>2]=0;f[h+52>>2]=0;if(s|0){r=s+12|0;f[r>>2]=(f[r>>2]|0)+1}if((f[q>>2]|0)<3){q=f[l+44>>2]|0;r=f[t>>2]|0;f[r>>2]=f[q>>2];f[r+4>>2]=f[q+4>>2];break}else{f[k>>2]=0;$T(h,l);break}}else nJ(h,d,-1);while(0);m=j+4|0;l=j+8|0;k=j+12|0;q=j+8|0;r=j+4|0;t=i+36|0;s=i+16|0;v=i+4|0;w=i+40|0;x=i+44|0;y=i+48|0;z=0;A=0;do{B=f[a+(A*56|0)+12>>2]|0;C=a+(A*56|0)+8|0;D=f[C>>2]|0;f[j>>2]=0;f[m>>2]=z;f[l>>2]=B;f[k>>2]=D;eU(i,h,j);D=q;f[D>>2]=0;f[D+4>>2]=0;f[j>>2]=33619968;f[r>>2]=i;EI(a+(A*56|0)|0,j);z=(f[C>>2]|0)+z|0;C=f[t>>2]|0;if(C|0?(D=C+12|0,C=f[D>>2]|0,f[D>>2]=C+-1,(C|0)==1):0)aU(i);f[t>>2]=0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;if((f[v>>2]|0)>0){C=f[w>>2]|0;D=0;do{f[C+(D<<2)>>2]=0;D=D+1|0}while((D|0)<(f[v>>2]|0))}D=f[x>>2]|0;if((D|0)!=(y|0))TC(D);A=A+1|0}while(A>>>0<c>>>0);A=h+36|0;y=f[A>>2]|0;if(y|0?(x=y+12|0,y=f[x>>2]|0,f[x>>2]=y+-1,(y|0)==1):0)aU(h);f[A>>2]=0;A=h+16|0;y=h+4|0;f[A>>2]=0;f[A+4>>2]=0;f[A+8>>2]=0;f[A+12>>2]=0;if((f[y>>2]|0)>0){A=f[h+40>>2]|0;x=0;do{f[A+(x<<2)>>2]=0;x=x+1|0}while((x|0)<(f[y>>2]|0))}y=f[h+44>>2]|0;if((y|0)!=(h+48|0))TC(y);break}else if((n|0)==8){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;y=cuc(96)|0;f[h>>2]=y;f[h+8>>2]=-2147483552;f[h+4>>2]=80;x=y;A=212079;v=x+80|0;do{b[x>>0]=b[A>>0]|0;x=x+1|0;A=A+1|0}while((x|0)<(v|0));b[y+80>>0]=0;WD(-215,h,212160,211903,108)}}else HJ(d);while(0);if(!(f[g+4>>2]|0)){u=e;return}u=e;return}function EN(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0;c=u;u=u+32|0;d=c+16|0;e=c;gV(d,38072);f[e>>2]=0;g=e+4|0;f[g>>2]=0;f[e+8>>2]=0;sJ(a,e);a=f[e>>2]|0;h=f[g>>2]|0;DN((a|0)==(h|0)?0:a,(h-a|0)/56|0,b);ut(e);if(!(f[d+4>>2]|0)){u=c;return}u=c;return}function FN(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0.0;d=u;u=u+160|0;e=d+144|0;g=d+88|0;h=d;i=d+32|0;gV(e,38092);if((AJ(a,-1)|0)>=3){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;j=cuc(16)|0;f[g>>2]=j;f[g+8>>2]=-2147483632;f[g+4>>2]=14;k=j;l=212265;m=k+14|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));b[j+14>>0]=0;WD(-215,g,212280,211903,184)}do if((qJ(a)|0)==65536){j=f[a+4>>2]|0;f[g>>2]=f[j>>2];l=g+4|0;k=j+4|0;f[l>>2]=f[k>>2];m=g+8|0;f[m>>2]=f[j+8>>2];o=g+12|0;f[o>>2]=f[j+12>>2];f[g+16>>2]=f[j+16>>2];f[g+20>>2]=f[j+20>>2];f[g+24>>2]=f[j+24>>2];f[g+28>>2]=f[j+28>>2];f[g+32>>2]=f[j+32>>2];q=f[j+36>>2]|0;f[g+36>>2]=q;f[g+40>>2]=m;r=g+48|0;s=g+44|0;f[s>>2]=r;f[r>>2]=0;f[g+52>>2]=0;if(q|0){r=q+12|0;f[r>>2]=(f[r>>2]|0)+1}if((f[k>>2]|0)<3){k=f[j+44>>2]|0;r=f[s>>2]|0;f[r>>2]=f[k>>2];f[r+4>>2]=f[k+4>>2];t=o;v=g;w=m;break}else{f[l>>2]=0;$T(g,j);t=o;v=g;w=m;break}}else{nJ(g,a,-1);t=g+12|0;v=g;w=g+8|0}while(0);a=f[w>>2]|0;w=f[t>>2]|0;a:do switch(f[v>>2]&4095){case 5:{t=f[g+16>>2]|0;x=+p[c>>3];m=(f[g+48>>2]|0)>>>2;if((a|0)>0){if((w|0)<=0){o=0;j=t;while(1){if((o|0)<(w|0))n[j+(o<<2)>>2]=x;o=o+1|0;if((o|0)==(a|0))break a;else j=j+(m<<2)|0}}j=w<<2;o=0;l=t;while(1){kzc(t+((Y(m,o)|0)<<2)|0,0,j|0)|0;if((o|0)<(w|0))n[l+(o<<2)>>2]=x;o=o+1|0;if((o|0)==(a|0))break;else l=l+(m<<2)|0}}break}case 6:{x=+p[c>>3];m=(f[g+48>>2]|0)>>>3;if((a|0)>0&(w|0)>0){l=0;o=f[g+16>>2]|0;while(1){j=0;do{p[o+(j<<3)>>3]=(j|0)==(l|0)?x:0.0;j=j+1|0}while((j|0)!=(w|0));l=l+1|0;if((l|0)==(a|0))break;else o=o+(m<<3)|0}}break}default:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;f[h+16>>2]=0;f[h+20>>2]=0;f[h+24>>2]=0;f[h+28>>2]=0;GI(g,h)|0;hU(i,g,0);GI(i,c)|0;m=i+36|0;o=f[m>>2]|0;if(o|0?(l=o+12|0,o=f[l>>2]|0,f[l>>2]=o+-1,(o|0)==1):0)aU(i);f[m>>2]=0;m=i+16|0;o=i+4|0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;if((f[o>>2]|0)>0){m=f[i+40>>2]|0;l=0;do{f[m+(l<<2)>>2]=0;l=l+1|0}while((l|0)<(f[o>>2]|0))}o=f[i+44>>2]|0;if((o|0)!=(i+48|0))TC(o)}}while(0);i=g+36|0;c=f[i>>2]|0;if(c|0?(h=c+12|0,c=f[h>>2]|0,f[h>>2]=c+-1,(c|0)==1):0)aU(g);f[i>>2]=0;i=g+16|0;c=g+4|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;if((f[c>>2]|0)>0){i=f[g+40>>2]|0;h=0;do{f[i+(h<<2)>>2]=0;h=h+1|0}while((h|0)<(f[c>>2]|0))}c=f[g+44>>2]|0;if((c|0)!=(g+48|0))TC(c);if(!(f[e+4>>2]|0)){u=d;return}u=d;return}function GN(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0.0,t=0.0,v=0.0,w=0.0;d=u;u=u+144|0;e=d+128|0;g=d+72|0;h=d+56|0;i=d;gV(e,38112);do if((qJ(c)|0)==65536){j=f[c+4>>2]|0;f[g>>2]=f[j>>2];k=g+4|0;l=j+4|0;f[k>>2]=f[l>>2];m=g+8|0;f[m>>2]=f[j+8>>2];f[g+12>>2]=f[j+12>>2];f[g+16>>2]=f[j+16>>2];f[g+20>>2]=f[j+20>>2];f[g+24>>2]=f[j+24>>2];f[g+28>>2]=f[j+28>>2];f[g+32>>2]=f[j+32>>2];o=f[j+36>>2]|0;f[g+36>>2]=o;f[g+40>>2]=m;m=g+48|0;q=g+44|0;f[q>>2]=m;f[m>>2]=0;f[g+52>>2]=0;if(o|0){m=o+12|0;f[m>>2]=(f[m>>2]|0)+1}if((f[l>>2]|0)<3){l=f[j+44>>2]|0;m=f[q>>2]|0;f[m>>2]=f[l>>2];f[m+4>>2]=f[l+4>>2];r=k;break}else{f[k>>2]=0;$T(g,j);r=k;break}}else{nJ(g,c,-1);r=g+4|0}while(0);if((f[r>>2]|0)>=3){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;c=cuc(16)|0;f[h>>2]=c;f[h+8>>2]=-2147483632;f[h+4>>2]=11;k=c;j=223800;l=k+11|0;do{b[k>>0]=b[j>>0]|0;k=k+1|0;j=j+1|0}while((k|0)<(l|0));b[c+11>>0]=0;WD(-215,h,212347,211903,232)}c=f[g+12>>2]|0;j=f[g+8>>2]|0;k=(c|0)<(j|0)?c:j;switch(f[g>>2]&4095){case 5:{j=f[g+16>>2]|0;c=((f[g+48>>2]|0)>>>2)+1|0;if((k|0)>0){l=0;s=0.0;while(1){m=j+((Y(l,c)|0)<<2)|0;t=s+ +n[m>>2];l=l+1|0;if((l|0)>=(k|0)){v=t;break}else s=t}}else v=0.0;p[a>>3]=v;l=a+8|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;f[l+16>>2]=0;f[l+20>>2]=0;break}case 6:{l=f[g+16>>2]|0;c=((f[g+48>>2]|0)>>>3)+1|0;if((k|0)>0){v=0.0;j=0;while(1){m=l+((Y(j,c)|0)<<3)|0;s=v+ +p[m>>3];j=j+1|0;if((j|0)>=(k|0)){w=s;break}else v=s}}else w=0.0;p[a>>3]=w;k=a+8|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;f[k+16>>2]=0;f[k+20>>2]=0;break}default:{hU(i,g,0);f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=i;pN(a,h);h=i+36|0;a=f[h>>2]|0;if(a|0?(k=a+12|0,a=f[k>>2]|0,f[k>>2]=a+-1,(a|0)==1):0)aU(i);f[h>>2]=0;h=i+16|0;a=i+4|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;if((f[a>>2]|0)>0){h=f[i+40>>2]|0;k=0;do{f[h+(k<<2)>>2]=0;k=k+1|0}while((k|0)<(f[a>>2]|0))}a=f[i+44>>2]|0;if((a|0)!=(i+48|0))TC(a)}}a=g+36|0;i=f[a>>2]|0;if(i|0?(k=i+12|0,i=f[k>>2]|0,f[k>>2]=i+-1,(i|0)==1):0)aU(g);f[a>>2]=0;a=g+16|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;if((f[r>>2]|0)>0){a=f[g+40>>2]|0;i=0;do{f[a+(i<<2)>>2]=0;i=i+1|0}while((i|0)<(f[r>>2]|0))}r=f[g+44>>2]|0;if((r|0)!=(g+48|0))TC(r);if(!(f[e+4>>2]|0)){u=d;return}u=d;return}function HN(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;d=u;u=u+144|0;e=d+136|0;g=d+80|0;h=d+24|0;i=d;j=d+16|0;gV(e,38132);k=pJ(a,-1)|0;l=Y(675553809>>>(k<<2&28)&15,(k>>>3&511)+1|0)|0;if(!(l>>>0<33&(AJ(a,-1)|0)<3)){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;k=cuc(32)|0;f[g>>2]=k;f[g+8>>2]=-2147483616;f[g+4>>2]=29;m=k;n=212386;o=m+29|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));b[k+29>>0]=0;WD(-215,g,212416,211903,498)}do if((qJ(a)|0)==65536){k=f[a+4>>2]|0;f[g>>2]=f[k>>2];p=g+4|0;q=k+4|0;f[p>>2]=f[q>>2];r=g+8|0;f[r>>2]=f[k+8>>2];f[g+12>>2]=f[k+12>>2];s=g+16|0;f[s>>2]=f[k+16>>2];f[g+20>>2]=f[k+20>>2];f[g+24>>2]=f[k+24>>2];f[g+28>>2]=f[k+28>>2];f[g+32>>2]=f[k+32>>2];t=f[k+36>>2]|0;f[g+36>>2]=t;f[g+40>>2]=r;r=g+48|0;v=g+44|0;f[v>>2]=r;f[r>>2]=0;f[g+52>>2]=0;if(t|0){r=t+12|0;f[r>>2]=(f[r>>2]|0)+1}if((f[q>>2]|0)<3){q=f[k+44>>2]|0;r=f[v>>2]|0;f[r>>2]=f[q>>2];f[r+4>>2]=f[q+4>>2];w=s;break}else{f[p>>2]=0;$T(g,k);w=s;break}}else{nJ(g,a,-1);w=g+16|0}while(0);if(f[w>>2]|0){a=f[g+4>>2]|0;if((a|0)<3)x=Y(f[g+12>>2]|0,f[g+8>>2]|0)|0;else{s=f[g+40>>2]|0;k=0;p=1;while(1){q=Y(f[s+(k<<2)>>2]|0,p)|0;k=k+1|0;if((k|0)==(a|0)){x=q;break}else p=q}}if(!((a|0)==0|(x|0)==0)){x=g+12|0;a=g+8|0;jK(c,f[x>>2]|0,f[a>>2]|0,f[g>>2]&4095,-1,0,0);do if((qJ(c)|0)==65536){p=f[c+4>>2]|0;f[h>>2]=f[p>>2];k=h+4|0;s=p+4|0;f[k>>2]=f[s>>2];q=h+8|0;f[q>>2]=f[p+8>>2];r=h+12|0;f[r>>2]=f[p+12>>2];f[h+16>>2]=f[p+16>>2];f[h+20>>2]=f[p+20>>2];f[h+24>>2]=f[p+24>>2];f[h+28>>2]=f[p+28>>2];f[h+32>>2]=f[p+32>>2];v=f[p+36>>2]|0;f[h+36>>2]=v;f[h+40>>2]=q;q=h+48|0;t=h+44|0;f[t>>2]=q;f[q>>2]=0;f[h+52>>2]=0;if(v|0){q=v+12|0;f[q>>2]=(f[q>>2]|0)+1}if((f[s>>2]|0)<3){s=f[p+44>>2]|0;q=f[t>>2]|0;f[q>>2]=f[s>>2];f[q+4>>2]=f[s+4>>2];y=r;break}else{f[k>>2]=0;$T(h,p);y=r;break}}else{nJ(h,c,-1);y=h+12|0}while(0);r=f[a>>2]|0;do if((r|0)==(f[y>>2]|0)?(a=f[x>>2]|0,(a|0)==(f[h+8>>2]|0)):0){p=f[h+16>>2]|0;k=f[w>>2]|0;if((p|0)!=(k|0)){s=f[38284+(l<<2)>>2]|0;if(!s){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;b[i+11>>0]=9;m=i;n=253007;o=m+9|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));b[i+9>>0]=0;WD(-215,i,212416,211903,533)}else{q=f[g+48>>2]|0;t=f[h+48>>2]|0;v=f[g+40>>2]|0;z=f[v>>2]|0;f[j>>2]=f[v+4>>2];f[j+4>>2]=z;th[s&255](k,q,p,t,j);break}}t=f[38152+(l<<2)>>2]|0;if(!t){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;b[i+11>>0]=9;m=i;n=253007;o=m+9|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));b[i+9>>0]=0;WD(-215,i,212416,211903,526)}if((r|0)==(a|0)){Zh[t&511](p,f[h+48>>2]|0,r);break}else{f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;k=cuc(32)|0;f[i>>2]=k;f[i+8>>2]=-2147483616;f[i+4>>2]=20;m=k;n=386547;o=m+20|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));b[k+20>>0]=0;WD(-215,i,212416,211903,527)}}else A=26;while(0);do if((A|0)==26){l=f[g+40>>2]|0;j=f[h+40>>2]|0;if(!((f[l>>2]|0)==(f[j>>2]|0)?(f[l+4>>2]|0)==(f[j+4>>2]|0):0)){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;B=cuc(64)|0;f[i>>2]=B;C=i+8|0;f[C>>2]=-2147483584;D=i+4|0;f[D>>2]=60;m=B;n=212426;o=m+60|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));E=B+60|0;b[E>>0]=0;WD(-215,i,212416,211903,516)}if((f[x>>2]|0)==1|(r|0)==1){k=i+8|0;f[k>>2]=0;f[k+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=h;EI(g,i);break}else{f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;B=cuc(64)|0;f[i>>2]=B;C=i+8|0;f[C>>2]=-2147483584;D=i+4|0;f[D>>2]=60;m=B;n=212426;o=m+60|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));E=B+60|0;b[E>>0]=0;WD(-215,i,212416,211903,516)}}while(0);i=h+36|0;E=f[i>>2]|0;if(E|0?(B=E+12|0,E=f[B>>2]|0,f[B>>2]=E+-1,(E|0)==1):0)aU(h);f[i>>2]=0;i=h+16|0;E=h+4|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;if((f[E>>2]|0)>0){i=f[h+40>>2]|0;B=0;do{f[i+(B<<2)>>2]=0;B=B+1|0}while((B|0)<(f[E>>2]|0))}E=f[h+44>>2]|0;if((E|0)!=(h+48|0))TC(E)}else A=16}else A=16;if((A|0)==16)HJ(c);c=g+36|0;A=f[c>>2]|0;if(A|0?(E=A+12|0,A=f[E>>2]|0,f[E>>2]=A+-1,(A|0)==1):0)aU(g);f[c>>2]=0;c=g+4|0;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;f[w+12>>2]=0;if((f[c>>2]|0)>0){w=f[g+40>>2]|0;A=0;do{f[w+(A<<2)>>2]=0;A=A+1|0}while((A|0)<(f[c>>2]|0))}c=f[g+44>>2]|0;if((c|0)!=(g+48|0))TC(c);if(!(f[e+4>>2]|0)){u=d;return}u=d;return}function IN(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0;h=f[g>>2]|0;i=f[g+4>>2]|0;g=h+-4|0;do if((h|0)<4)j=0;else{k=i+-4|0;if((i|0)<4){if((i|0)>0){l=0;do{m=d+(Y(l,e)|0)|0;n=d+(Y(l|1,e)|0)|0;o=d+(Y(l|2,e)|0)|0;p=d+(Y(l|3,e)|0)|0;q=a+l|0;r=0;do{s=q+(Y(r,c)|0)|0;b[m+r>>0]=b[s>>0]|0;b[n+r>>0]=b[s+1>>0]|0;b[o+r>>0]=b[s+2>>0]|0;b[p+r>>0]=b[s+3>>0]|0;r=r+1|0}while((r|0)!=(i|0));l=l+4|0}while((l|0)<=(g|0))}j=h&-4;break}l=i&-4;r=(l|0)<(i|0);p=0;do{o=d+(Y(p,e)|0)|0;n=d+(Y(p|1,e)|0)|0;m=d+(Y(p|2,e)|0)|0;q=d+(Y(p|3,e)|0)|0;s=a+p|0;t=0;do{u=s+(Y(t,c)|0)|0;v=t|1;w=s+(Y(v,c)|0)|0;x=t|2;y=s+(Y(x,c)|0)|0;z=t|3;A=s+(Y(z,c)|0)|0;b[o+t>>0]=b[u>>0]|0;b[o+v>>0]=b[w>>0]|0;b[o+x>>0]=b[y>>0]|0;b[o+z>>0]=b[A>>0]|0;b[n+t>>0]=b[u+1>>0]|0;b[n+v>>0]=b[w+1>>0]|0;b[n+x>>0]=b[y+1>>0]|0;b[n+z>>0]=b[A+1>>0]|0;b[m+t>>0]=b[u+2>>0]|0;b[m+v>>0]=b[w+2>>0]|0;b[m+x>>0]=b[y+2>>0]|0;b[m+z>>0]=b[A+2>>0]|0;b[q+t>>0]=b[u+3>>0]|0;b[q+v>>0]=b[w+3>>0]|0;b[q+x>>0]=b[y+3>>0]|0;b[q+z>>0]=b[A+3>>0]|0;t=t+4|0}while((t|0)<=(k|0));if(r){t=l;do{A=s+(Y(t,c)|0)|0;b[o+t>>0]=b[A>>0]|0;b[n+t>>0]=b[A+1>>0]|0;b[m+t>>0]=b[A+2>>0]|0;b[q+t>>0]=b[A+3>>0]|0;t=t+1|0}while((t|0)!=(i|0))}p=p+4|0}while((p|0)<=(g|0));j=h&-4}while(0);if((j|0)>=(h|0))return;g=i+-4|0;if((i|0)<4){if((i|0)>0)B=j;else return;do{p=d+(Y(B,e)|0)|0;l=a+B|0;r=0;do{k=l+(Y(r,c)|0)|0;b[p+r>>0]=b[k>>0]|0;r=r+1|0}while((r|0)!=(i|0));B=B+1|0}while((B|0)!=(h|0));return}B=i&-4;if((B|0)<(i|0))C=j;else{r=j;do{j=d+(Y(r,e)|0)|0;p=a+r|0;l=0;do{k=p+(Y(l,c)|0)|0;t=l|1;q=p+(Y(t,c)|0)|0;m=l|2;n=p+(Y(m,c)|0)|0;o=l|3;s=p+(Y(o,c)|0)|0;b[j+l>>0]=b[k>>0]|0;b[j+t>>0]=b[q>>0]|0;b[j+m>>0]=b[n>>0]|0;b[j+o>>0]=b[s>>0]|0;l=l+4|0}while((l|0)<=(g|0));r=r+1|0}while((r|0)!=(h|0));return}do{r=d+(Y(C,e)|0)|0;l=a+C|0;j=0;do{p=l+(Y(j,c)|0)|0;s=j|1;o=l+(Y(s,c)|0)|0;n=j|2;m=l+(Y(n,c)|0)|0;q=j|3;t=l+(Y(q,c)|0)|0;b[r+j>>0]=b[p>>0]|0;b[r+s>>0]=b[o>>0]|0;b[r+n>>0]=b[m>>0]|0;b[r+q>>0]=b[t>>0]|0;j=j+4|0}while((j|0)<=(g|0));D=B;do{j=l+(Y(D,c)|0)|0;b[r+D>>0]=b[j>>0]|0;D=D+1|0}while((D|0)!=(i|0));C=C+1|0}while((C|0)!=(h|0));return}function JN(a,b,c,e,g){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0;h=f[g>>2]|0;i=f[g+4>>2]|0;g=h+-4|0;do if((h|0)<4)j=0;else{k=i+-4|0;if((i|0)<4){if((i|0)>0){l=0;do{m=c+(Y(l,e)|0)|0;n=c+(Y(l|1,e)|0)|0;o=c+(Y(l|2,e)|0)|0;p=c+(Y(l|3,e)|0)|0;q=a+(l<<1)|0;r=0;do{s=q+(Y(r,b)|0)|0;d[m+(r<<1)>>1]=d[s>>1]|0;d[n+(r<<1)>>1]=d[s+2>>1]|0;d[o+(r<<1)>>1]=d[s+4>>1]|0;d[p+(r<<1)>>1]=d[s+6>>1]|0;r=r+1|0}while((r|0)!=(i|0));l=l+4|0}while((l|0)<=(g|0))}j=h&-4;break}l=i&-4;r=(l|0)<(i|0);p=0;do{o=c+(Y(p,e)|0)|0;n=c+(Y(p|1,e)|0)|0;m=c+(Y(p|2,e)|0)|0;q=c+(Y(p|3,e)|0)|0;s=a+(p<<1)|0;t=0;do{u=s+(Y(t,b)|0)|0;v=t|1;w=s+(Y(v,b)|0)|0;x=t|2;y=s+(Y(x,b)|0)|0;z=t|3;A=s+(Y(z,b)|0)|0;d[o+(t<<1)>>1]=d[u>>1]|0;d[o+(v<<1)>>1]=d[w>>1]|0;d[o+(x<<1)>>1]=d[y>>1]|0;d[o+(z<<1)>>1]=d[A>>1]|0;d[n+(t<<1)>>1]=d[u+2>>1]|0;d[n+(v<<1)>>1]=d[w+2>>1]|0;d[n+(x<<1)>>1]=d[y+2>>1]|0;d[n+(z<<1)>>1]=d[A+2>>1]|0;d[m+(t<<1)>>1]=d[u+4>>1]|0;d[m+(v<<1)>>1]=d[w+4>>1]|0;d[m+(x<<1)>>1]=d[y+4>>1]|0;d[m+(z<<1)>>1]=d[A+4>>1]|0;d[q+(t<<1)>>1]=d[u+6>>1]|0;d[q+(v<<1)>>1]=d[w+6>>1]|0;d[q+(x<<1)>>1]=d[y+6>>1]|0;d[q+(z<<1)>>1]=d[A+6>>1]|0;t=t+4|0}while((t|0)<=(k|0));if(r){t=l;do{A=s+(Y(t,b)|0)|0;d[o+(t<<1)>>1]=d[A>>1]|0;d[n+(t<<1)>>1]=d[A+2>>1]|0;d[m+(t<<1)>>1]=d[A+4>>1]|0;d[q+(t<<1)>>1]=d[A+6>>1]|0;t=t+1|0}while((t|0)!=(i|0))}p=p+4|0}while((p|0)<=(g|0));j=h&-4}while(0);if((j|0)>=(h|0))return;g=i+-4|0;if((i|0)<4){if((i|0)>0)B=j;else return;do{p=c+(Y(B,e)|0)|0;l=a+(B<<1)|0;r=0;do{k=l+(Y(r,b)|0)|0;d[p+(r<<1)>>1]=d[k>>1]|0;r=r+1|0}while((r|0)!=(i|0));B=B+1|0}while((B|0)!=(h|0));return}B=i&-4;if((B|0)<(i|0))C=j;else{r=j;do{j=c+(Y(r,e)|0)|0;p=a+(r<<1)|0;l=0;do{k=p+(Y(l,b)|0)|0;t=l|1;q=p+(Y(t,b)|0)|0;m=l|2;n=p+(Y(m,b)|0)|0;o=l|3;s=p+(Y(o,b)|0)|0;d[j+(l<<1)>>1]=d[k>>1]|0;d[j+(t<<1)>>1]=d[q>>1]|0;d[j+(m<<1)>>1]=d[n>>1]|0;d[j+(o<<1)>>1]=d[s>>1]|0;l=l+4|0}while((l|0)<=(g|0));r=r+1|0}while((r|0)!=(h|0));return}do{r=c+(Y(C,e)|0)|0;l=a+(C<<1)|0;j=0;do{p=l+(Y(j,b)|0)|0;s=j|1;o=l+(Y(s,b)|0)|0;n=j|2;m=l+(Y(n,b)|0)|0;q=j|3;t=l+(Y(q,b)|0)|0;d[r+(j<<1)>>1]=d[p>>1]|0;d[r+(s<<1)>>1]=d[o>>1]|0;d[r+(n<<1)>>1]=d[m>>1]|0;d[r+(q<<1)>>1]=d[t>>1]|0;j=j+4|0}while((j|0)<=(g|0));D=B;do{j=l+(Y(D,b)|0)|0;d[r+(D<<1)>>1]=d[j>>1]|0;D=D+1|0}while((D|0)!=(i|0));C=C+1|0}while((C|0)!=(h|0));return}function KN(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;h=f[g>>2]|0;i=f[g+4>>2]|0;g=h+-4|0;do if((h|0)<4)j=0;else{k=i+-4|0;if((i|0)<4){if((i|0)>0){l=0;do{m=d+(Y(l,e)|0)|0;n=d+(Y(l|1,e)|0)|0;o=d+(Y(l|2,e)|0)|0;p=d+(Y(l|3,e)|0)|0;q=a+(l*3|0)|0;r=0;do{s=q+(Y(r,c)|0)|0;t=m+(r*3|0)|0;b[t>>0]=b[s>>0]|0;b[t+1>>0]=b[s+1>>0]|0;b[t+2>>0]=b[s+2>>0]|0;t=s+3|0;u=n+(r*3|0)|0;b[u>>0]=b[t>>0]|0;b[u+1>>0]=b[t+1>>0]|0;b[u+2>>0]=b[t+2>>0]|0;t=s+6|0;u=o+(r*3|0)|0;b[u>>0]=b[t>>0]|0;b[u+1>>0]=b[t+1>>0]|0;b[u+2>>0]=b[t+2>>0]|0;t=s+9|0;s=p+(r*3|0)|0;b[s>>0]=b[t>>0]|0;b[s+1>>0]=b[t+1>>0]|0;b[s+2>>0]=b[t+2>>0]|0;r=r+1|0}while((r|0)!=(i|0));l=l+4|0}while((l|0)<=(g|0))}j=h&-4;break}l=i&-4;r=(l|0)<(i|0);p=0;do{o=d+(Y(p,e)|0)|0;n=d+(Y(p|1,e)|0)|0;m=d+(Y(p|2,e)|0)|0;q=d+(Y(p|3,e)|0)|0;t=a+(p*3|0)|0;s=0;do{u=t+(Y(s,c)|0)|0;v=s|1;w=t+(Y(v,c)|0)|0;x=s|2;y=t+(Y(x,c)|0)|0;z=s|3;A=t+(Y(z,c)|0)|0;B=o+(s*3|0)|0;b[B>>0]=b[u>>0]|0;b[B+1>>0]=b[u+1>>0]|0;b[B+2>>0]=b[u+2>>0]|0;B=o+(v*3|0)|0;b[B>>0]=b[w>>0]|0;b[B+1>>0]=b[w+1>>0]|0;b[B+2>>0]=b[w+2>>0]|0;B=o+(x*3|0)|0;b[B>>0]=b[y>>0]|0;b[B+1>>0]=b[y+1>>0]|0;b[B+2>>0]=b[y+2>>0]|0;B=o+(z*3|0)|0;b[B>>0]=b[A>>0]|0;b[B+1>>0]=b[A+1>>0]|0;b[B+2>>0]=b[A+2>>0]|0;B=u+3|0;C=n+(s*3|0)|0;b[C>>0]=b[B>>0]|0;b[C+1>>0]=b[B+1>>0]|0;b[C+2>>0]=b[B+2>>0]|0;B=w+3|0;C=n+(v*3|0)|0;b[C>>0]=b[B>>0]|0;b[C+1>>0]=b[B+1>>0]|0;b[C+2>>0]=b[B+2>>0]|0;B=y+3|0;C=n+(x*3|0)|0;b[C>>0]=b[B>>0]|0;b[C+1>>0]=b[B+1>>0]|0;b[C+2>>0]=b[B+2>>0]|0;B=A+3|0;C=n+(z*3|0)|0;b[C>>0]=b[B>>0]|0;b[C+1>>0]=b[B+1>>0]|0;b[C+2>>0]=b[B+2>>0]|0;B=u+6|0;C=m+(s*3|0)|0;b[C>>0]=b[B>>0]|0;b[C+1>>0]=b[B+1>>0]|0;b[C+2>>0]=b[B+2>>0]|0;B=w+6|0;C=m+(v*3|0)|0;b[C>>0]=b[B>>0]|0;b[C+1>>0]=b[B+1>>0]|0;b[C+2>>0]=b[B+2>>0]|0;B=y+6|0;C=m+(x*3|0)|0;b[C>>0]=b[B>>0]|0;b[C+1>>0]=b[B+1>>0]|0;b[C+2>>0]=b[B+2>>0]|0;B=A+6|0;C=m+(z*3|0)|0;b[C>>0]=b[B>>0]|0;b[C+1>>0]=b[B+1>>0]|0;b[C+2>>0]=b[B+2>>0]|0;B=u+9|0;u=q+(s*3|0)|0;b[u>>0]=b[B>>0]|0;b[u+1>>0]=b[B+1>>0]|0;b[u+2>>0]=b[B+2>>0]|0;B=w+9|0;w=q+(v*3|0)|0;b[w>>0]=b[B>>0]|0;b[w+1>>0]=b[B+1>>0]|0;b[w+2>>0]=b[B+2>>0]|0;B=y+9|0;y=q+(x*3|0)|0;b[y>>0]=b[B>>0]|0;b[y+1>>0]=b[B+1>>0]|0;b[y+2>>0]=b[B+2>>0]|0;B=A+9|0;A=q+(z*3|0)|0;b[A>>0]=b[B>>0]|0;b[A+1>>0]=b[B+1>>0]|0;b[A+2>>0]=b[B+2>>0]|0;s=s+4|0}while((s|0)<=(k|0));if(r){s=l;do{B=t+(Y(s,c)|0)|0;A=o+(s*3|0)|0;b[A>>0]=b[B>>0]|0;b[A+1>>0]=b[B+1>>0]|0;b[A+2>>0]=b[B+2>>0]|0;A=B+3|0;z=n+(s*3|0)|0;b[z>>0]=b[A>>0]|0;b[z+1>>0]=b[A+1>>0]|0;b[z+2>>0]=b[A+2>>0]|0;A=B+6|0;z=m+(s*3|0)|0;b[z>>0]=b[A>>0]|0;b[z+1>>0]=b[A+1>>0]|0;b[z+2>>0]=b[A+2>>0]|0;A=B+9|0;B=q+(s*3|0)|0;b[B>>0]=b[A>>0]|0;b[B+1>>0]=b[A+1>>0]|0;b[B+2>>0]=b[A+2>>0]|0;s=s+1|0}while((s|0)!=(i|0))}p=p+4|0}while((p|0)<=(g|0));j=h&-4}while(0);if((j|0)>=(h|0))return;g=i+-4|0;if((i|0)<4){if((i|0)>0)D=j;else return;do{p=d+(Y(D,e)|0)|0;l=a+(D*3|0)|0;r=0;do{k=l+(Y(r,c)|0)|0;s=p+(r*3|0)|0;b[s>>0]=b[k>>0]|0;b[s+1>>0]=b[k+1>>0]|0;b[s+2>>0]=b[k+2>>0]|0;r=r+1|0}while((r|0)!=(i|0));D=D+1|0}while((D|0)!=(h|0));return}D=i&-4;if((D|0)<(i|0))E=j;else{r=j;do{j=d+(Y(r,e)|0)|0;p=a+(r*3|0)|0;l=0;do{k=p+(Y(l,c)|0)|0;s=l|1;q=p+(Y(s,c)|0)|0;m=l|2;n=p+(Y(m,c)|0)|0;o=l|3;t=p+(Y(o,c)|0)|0;A=j+(l*3|0)|0;b[A>>0]=b[k>>0]|0;b[A+1>>0]=b[k+1>>0]|0;b[A+2>>0]=b[k+2>>0]|0;k=j+(s*3|0)|0;b[k>>0]=b[q>>0]|0;b[k+1>>0]=b[q+1>>0]|0;b[k+2>>0]=b[q+2>>0]|0;q=j+(m*3|0)|0;b[q>>0]=b[n>>0]|0;b[q+1>>0]=b[n+1>>0]|0;b[q+2>>0]=b[n+2>>0]|0;n=j+(o*3|0)|0;b[n>>0]=b[t>>0]|0;b[n+1>>0]=b[t+1>>0]|0;b[n+2>>0]=b[t+2>>0]|0;l=l+4|0}while((l|0)<=(g|0));r=r+1|0}while((r|0)!=(h|0));return}do{r=d+(Y(E,e)|0)|0;l=a+(E*3|0)|0;j=0;do{p=l+(Y(j,c)|0)|0;t=j|1;n=l+(Y(t,c)|0)|0;o=j|2;q=l+(Y(o,c)|0)|0;m=j|3;k=l+(Y(m,c)|0)|0;s=r+(j*3|0)|0;b[s>>0]=b[p>>0]|0;b[s+1>>0]=b[p+1>>0]|0;b[s+2>>0]=b[p+2>>0]|0;p=r+(t*3|0)|0;b[p>>0]=b[n>>0]|0;b[p+1>>0]=b[n+1>>0]|0;b[p+2>>0]=b[n+2>>0]|0;n=r+(o*3|0)|0;b[n>>0]=b[q>>0]|0;b[n+1>>0]=b[q+1>>0]|0;b[n+2>>0]=b[q+2>>0]|0;q=r+(m*3|0)|0;b[q>>0]=b[k>>0]|0;b[q+1>>0]=b[k+1>>0]|0;b[q+2>>0]=b[k+2>>0]|0;j=j+4|0}while((j|0)<=(g|0));F=D;do{j=l+(Y(F,c)|0)|0;k=r+(F*3|0)|0;b[k>>0]=b[j>>0]|0;b[k+1>>0]=b[j+1>>0]|0;b[k+2>>0]=b[j+2>>0]|0;F=F+1|0}while((F|0)!=(i|0));E=E+1|0}while((E|0)!=(h|0));return}function LN(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;g=f[e>>2]|0;h=f[e+4>>2]|0;e=g+-4|0;do if((g|0)<4)i=0;else{j=h+-4|0;if((h|0)<4){if((h|0)>0){k=0;do{l=c+(Y(k,d)|0)|0;m=c+(Y(k|1,d)|0)|0;n=c+(Y(k|2,d)|0)|0;o=c+(Y(k|3,d)|0)|0;p=a+(k<<2)|0;q=0;do{r=p+(Y(q,b)|0)|0;f[l+(q<<2)>>2]=f[r>>2];f[m+(q<<2)>>2]=f[r+4>>2];f[n+(q<<2)>>2]=f[r+8>>2];f[o+(q<<2)>>2]=f[r+12>>2];q=q+1|0}while((q|0)!=(h|0));k=k+4|0}while((k|0)<=(e|0))}i=g&-4;break}k=h&-4;q=(k|0)<(h|0);o=0;do{n=c+(Y(o,d)|0)|0;m=c+(Y(o|1,d)|0)|0;l=c+(Y(o|2,d)|0)|0;p=c+(Y(o|3,d)|0)|0;r=a+(o<<2)|0;s=0;do{t=r+(Y(s,b)|0)|0;u=s|1;v=r+(Y(u,b)|0)|0;w=s|2;x=r+(Y(w,b)|0)|0;y=s|3;z=r+(Y(y,b)|0)|0;f[n+(s<<2)>>2]=f[t>>2];f[n+(u<<2)>>2]=f[v>>2];f[n+(w<<2)>>2]=f[x>>2];f[n+(y<<2)>>2]=f[z>>2];f[m+(s<<2)>>2]=f[t+4>>2];f[m+(u<<2)>>2]=f[v+4>>2];f[m+(w<<2)>>2]=f[x+4>>2];f[m+(y<<2)>>2]=f[z+4>>2];f[l+(s<<2)>>2]=f[t+8>>2];f[l+(u<<2)>>2]=f[v+8>>2];f[l+(w<<2)>>2]=f[x+8>>2];f[l+(y<<2)>>2]=f[z+8>>2];f[p+(s<<2)>>2]=f[t+12>>2];f[p+(u<<2)>>2]=f[v+12>>2];f[p+(w<<2)>>2]=f[x+12>>2];f[p+(y<<2)>>2]=f[z+12>>2];s=s+4|0}while((s|0)<=(j|0));if(q){s=k;do{z=r+(Y(s,b)|0)|0;f[n+(s<<2)>>2]=f[z>>2];f[m+(s<<2)>>2]=f[z+4>>2];f[l+(s<<2)>>2]=f[z+8>>2];f[p+(s<<2)>>2]=f[z+12>>2];s=s+1|0}while((s|0)!=(h|0))}o=o+4|0}while((o|0)<=(e|0));i=g&-4}while(0);if((i|0)>=(g|0))return;e=h+-4|0;if((h|0)<4){if((h|0)>0)A=i;else return;do{o=c+(Y(A,d)|0)|0;k=a+(A<<2)|0;q=0;do{j=k+(Y(q,b)|0)|0;f[o+(q<<2)>>2]=f[j>>2];q=q+1|0}while((q|0)!=(h|0));A=A+1|0}while((A|0)!=(g|0));return}A=h&-4;if((A|0)<(h|0))B=i;else{q=i;do{i=c+(Y(q,d)|0)|0;o=a+(q<<2)|0;k=0;do{j=o+(Y(k,b)|0)|0;s=k|1;p=o+(Y(s,b)|0)|0;l=k|2;m=o+(Y(l,b)|0)|0;n=k|3;r=o+(Y(n,b)|0)|0;f[i+(k<<2)>>2]=f[j>>2];f[i+(s<<2)>>2]=f[p>>2];f[i+(l<<2)>>2]=f[m>>2];f[i+(n<<2)>>2]=f[r>>2];k=k+4|0}while((k|0)<=(e|0));q=q+1|0}while((q|0)!=(g|0));return}do{q=c+(Y(B,d)|0)|0;k=a+(B<<2)|0;i=0;do{o=k+(Y(i,b)|0)|0;r=i|1;n=k+(Y(r,b)|0)|0;m=i|2;l=k+(Y(m,b)|0)|0;p=i|3;s=k+(Y(p,b)|0)|0;f[q+(i<<2)>>2]=f[o>>2];f[q+(r<<2)>>2]=f[n>>2];f[q+(m<<2)>>2]=f[l>>2];f[q+(p<<2)>>2]=f[s>>2];i=i+4|0}while((i|0)<=(e|0));C=A;do{i=k+(Y(C,b)|0)|0;f[q+(C<<2)>>2]=f[i>>2];C=C+1|0}while((C|0)!=(h|0));B=B+1|0}while((B|0)!=(g|0));return}function MN(a,b,c,e,g){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;h=f[g>>2]|0;i=f[g+4>>2]|0;g=h+-4|0;do if((h|0)<4)j=0;else{k=i+-4|0;if((i|0)<4){if((i|0)>0){l=0;do{m=c+(Y(l,e)|0)|0;n=c+(Y(l|1,e)|0)|0;o=c+(Y(l|2,e)|0)|0;p=c+(Y(l|3,e)|0)|0;q=a+(l*6|0)|0;r=0;do{s=q+(Y(r,b)|0)|0;t=m+(r*6|0)|0;d[t>>1]=d[s>>1]|0;d[t+2>>1]=d[s+2>>1]|0;d[t+4>>1]=d[s+4>>1]|0;t=s+6|0;u=n+(r*6|0)|0;d[u>>1]=d[t>>1]|0;d[u+2>>1]=d[t+2>>1]|0;d[u+4>>1]=d[t+4>>1]|0;t=s+12|0;u=o+(r*6|0)|0;d[u>>1]=d[t>>1]|0;d[u+2>>1]=d[t+2>>1]|0;d[u+4>>1]=d[t+4>>1]|0;t=s+18|0;s=p+(r*6|0)|0;d[s>>1]=d[t>>1]|0;d[s+2>>1]=d[t+2>>1]|0;d[s+4>>1]=d[t+4>>1]|0;r=r+1|0}while((r|0)!=(i|0));l=l+4|0}while((l|0)<=(g|0))}j=h&-4;break}l=i&-4;r=(l|0)<(i|0);p=0;do{o=c+(Y(p,e)|0)|0;n=c+(Y(p|1,e)|0)|0;m=c+(Y(p|2,e)|0)|0;q=c+(Y(p|3,e)|0)|0;t=a+(p*6|0)|0;s=0;do{u=t+(Y(s,b)|0)|0;v=s|1;w=t+(Y(v,b)|0)|0;x=s|2;y=t+(Y(x,b)|0)|0;z=s|3;A=t+(Y(z,b)|0)|0;B=o+(s*6|0)|0;d[B>>1]=d[u>>1]|0;d[B+2>>1]=d[u+2>>1]|0;d[B+4>>1]=d[u+4>>1]|0;B=o+(v*6|0)|0;d[B>>1]=d[w>>1]|0;d[B+2>>1]=d[w+2>>1]|0;d[B+4>>1]=d[w+4>>1]|0;B=o+(x*6|0)|0;d[B>>1]=d[y>>1]|0;d[B+2>>1]=d[y+2>>1]|0;d[B+4>>1]=d[y+4>>1]|0;B=o+(z*6|0)|0;d[B>>1]=d[A>>1]|0;d[B+2>>1]=d[A+2>>1]|0;d[B+4>>1]=d[A+4>>1]|0;B=u+6|0;C=n+(s*6|0)|0;d[C>>1]=d[B>>1]|0;d[C+2>>1]=d[B+2>>1]|0;d[C+4>>1]=d[B+4>>1]|0;B=w+6|0;C=n+(v*6|0)|0;d[C>>1]=d[B>>1]|0;d[C+2>>1]=d[B+2>>1]|0;d[C+4>>1]=d[B+4>>1]|0;B=y+6|0;C=n+(x*6|0)|0;d[C>>1]=d[B>>1]|0;d[C+2>>1]=d[B+2>>1]|0;d[C+4>>1]=d[B+4>>1]|0;B=A+6|0;C=n+(z*6|0)|0;d[C>>1]=d[B>>1]|0;d[C+2>>1]=d[B+2>>1]|0;d[C+4>>1]=d[B+4>>1]|0;B=u+12|0;C=m+(s*6|0)|0;d[C>>1]=d[B>>1]|0;d[C+2>>1]=d[B+2>>1]|0;d[C+4>>1]=d[B+4>>1]|0;B=w+12|0;C=m+(v*6|0)|0;d[C>>1]=d[B>>1]|0;d[C+2>>1]=d[B+2>>1]|0;d[C+4>>1]=d[B+4>>1]|0;B=y+12|0;C=m+(x*6|0)|0;d[C>>1]=d[B>>1]|0;d[C+2>>1]=d[B+2>>1]|0;d[C+4>>1]=d[B+4>>1]|0;B=A+12|0;C=m+(z*6|0)|0;d[C>>1]=d[B>>1]|0;d[C+2>>1]=d[B+2>>1]|0;d[C+4>>1]=d[B+4>>1]|0;B=u+18|0;u=q+(s*6|0)|0;d[u>>1]=d[B>>1]|0;d[u+2>>1]=d[B+2>>1]|0;d[u+4>>1]=d[B+4>>1]|0;B=w+18|0;w=q+(v*6|0)|0;d[w>>1]=d[B>>1]|0;d[w+2>>1]=d[B+2>>1]|0;d[w+4>>1]=d[B+4>>1]|0;B=y+18|0;y=q+(x*6|0)|0;d[y>>1]=d[B>>1]|0;d[y+2>>1]=d[B+2>>1]|0;d[y+4>>1]=d[B+4>>1]|0;B=A+18|0;A=q+(z*6|0)|0;d[A>>1]=d[B>>1]|0;d[A+2>>1]=d[B+2>>1]|0;d[A+4>>1]=d[B+4>>1]|0;s=s+4|0}while((s|0)<=(k|0));if(r){s=l;do{B=t+(Y(s,b)|0)|0;A=o+(s*6|0)|0;d[A>>1]=d[B>>1]|0;d[A+2>>1]=d[B+2>>1]|0;d[A+4>>1]=d[B+4>>1]|0;A=B+6|0;z=n+(s*6|0)|0;d[z>>1]=d[A>>1]|0;d[z+2>>1]=d[A+2>>1]|0;d[z+4>>1]=d[A+4>>1]|0;A=B+12|0;z=m+(s*6|0)|0;d[z>>1]=d[A>>1]|0;d[z+2>>1]=d[A+2>>1]|0;d[z+4>>1]=d[A+4>>1]|0;A=B+18|0;B=q+(s*6|0)|0;d[B>>1]=d[A>>1]|0;d[B+2>>1]=d[A+2>>1]|0;d[B+4>>1]=d[A+4>>1]|0;s=s+1|0}while((s|0)!=(i|0))}p=p+4|0}while((p|0)<=(g|0));j=h&-4}while(0);if((j|0)>=(h|0))return;g=i+-4|0;if((i|0)<4){if((i|0)>0)D=j;else return;do{p=c+(Y(D,e)|0)|0;l=a+(D*6|0)|0;r=0;do{k=l+(Y(r,b)|0)|0;s=p+(r*6|0)|0;d[s>>1]=d[k>>1]|0;d[s+2>>1]=d[k+2>>1]|0;d[s+4>>1]=d[k+4>>1]|0;r=r+1|0}while((r|0)!=(i|0));D=D+1|0}while((D|0)!=(h|0));return}D=i&-4;if((D|0)<(i|0))E=j;else{r=j;do{j=c+(Y(r,e)|0)|0;p=a+(r*6|0)|0;l=0;do{k=p+(Y(l,b)|0)|0;s=l|1;q=p+(Y(s,b)|0)|0;m=l|2;n=p+(Y(m,b)|0)|0;o=l|3;t=p+(Y(o,b)|0)|0;A=j+(l*6|0)|0;d[A>>1]=d[k>>1]|0;d[A+2>>1]=d[k+2>>1]|0;d[A+4>>1]=d[k+4>>1]|0;k=j+(s*6|0)|0;d[k>>1]=d[q>>1]|0;d[k+2>>1]=d[q+2>>1]|0;d[k+4>>1]=d[q+4>>1]|0;q=j+(m*6|0)|0;d[q>>1]=d[n>>1]|0;d[q+2>>1]=d[n+2>>1]|0;d[q+4>>1]=d[n+4>>1]|0;n=j+(o*6|0)|0;d[n>>1]=d[t>>1]|0;d[n+2>>1]=d[t+2>>1]|0;d[n+4>>1]=d[t+4>>1]|0;l=l+4|0}while((l|0)<=(g|0));r=r+1|0}while((r|0)!=(h|0));return}do{r=c+(Y(E,e)|0)|0;l=a+(E*6|0)|0;j=0;do{p=l+(Y(j,b)|0)|0;t=j|1;n=l+(Y(t,b)|0)|0;o=j|2;q=l+(Y(o,b)|0)|0;m=j|3;k=l+(Y(m,b)|0)|0;s=r+(j*6|0)|0;d[s>>1]=d[p>>1]|0;d[s+2>>1]=d[p+2>>1]|0;d[s+4>>1]=d[p+4>>1]|0;p=r+(t*6|0)|0;d[p>>1]=d[n>>1]|0;d[p+2>>1]=d[n+2>>1]|0;d[p+4>>1]=d[n+4>>1]|0;n=r+(o*6|0)|0;d[n>>1]=d[q>>1]|0;d[n+2>>1]=d[q+2>>1]|0;d[n+4>>1]=d[q+4>>1]|0;q=r+(m*6|0)|0;d[q>>1]=d[k>>1]|0;d[q+2>>1]=d[k+2>>1]|0;d[q+4>>1]=d[k+4>>1]|0;j=j+4|0}while((j|0)<=(g|0));F=D;do{j=l+(Y(F,b)|0)|0;k=r+(F*6|0)|0;d[k>>1]=d[j>>1]|0;d[k+2>>1]=d[j+2>>1]|0;d[k+4>>1]=d[j+4>>1]|0;F=F+1|0}while((F|0)!=(i|0));E=E+1|0}while((E|0)!=(h|0));return}function NN(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;g=f[e>>2]|0;h=f[e+4>>2]|0;e=g+-4|0;do if((g|0)<4)i=0;else{j=h+-4|0;if((h|0)<4){if((h|0)>0){k=0;do{l=c+(Y(k,d)|0)|0;m=c+(Y(k|1,d)|0)|0;n=c+(Y(k|2,d)|0)|0;o=c+(Y(k|3,d)|0)|0;p=a+(k<<3)|0;q=0;do{r=p+(Y(q,b)|0)|0;s=r;t=f[s+4>>2]|0;u=l+(q<<3)|0;f[u>>2]=f[s>>2];f[u+4>>2]=t;t=r+8|0;u=f[t+4>>2]|0;s=m+(q<<3)|0;f[s>>2]=f[t>>2];f[s+4>>2]=u;u=r+16|0;s=f[u+4>>2]|0;t=n+(q<<3)|0;f[t>>2]=f[u>>2];f[t+4>>2]=s;s=r+24|0;r=f[s+4>>2]|0;t=o+(q<<3)|0;f[t>>2]=f[s>>2];f[t+4>>2]=r;q=q+1|0}while((q|0)!=(h|0));k=k+4|0}while((k|0)<=(e|0))}i=g&-4;break}k=h&-4;q=(k|0)<(h|0);o=0;do{n=c+(Y(o,d)|0)|0;m=c+(Y(o|1,d)|0)|0;l=c+(Y(o|2,d)|0)|0;p=c+(Y(o|3,d)|0)|0;r=a+(o<<3)|0;t=0;do{s=r+(Y(t,b)|0)|0;u=t|1;v=r+(Y(u,b)|0)|0;w=t|2;x=r+(Y(w,b)|0)|0;y=t|3;z=r+(Y(y,b)|0)|0;A=s;B=f[A+4>>2]|0;C=n+(t<<3)|0;f[C>>2]=f[A>>2];f[C+4>>2]=B;B=v;C=f[B+4>>2]|0;A=n+(u<<3)|0;f[A>>2]=f[B>>2];f[A+4>>2]=C;C=x;A=f[C+4>>2]|0;B=n+(w<<3)|0;f[B>>2]=f[C>>2];f[B+4>>2]=A;A=z;B=f[A+4>>2]|0;C=n+(y<<3)|0;f[C>>2]=f[A>>2];f[C+4>>2]=B;B=s+8|0;C=f[B+4>>2]|0;A=m+(t<<3)|0;f[A>>2]=f[B>>2];f[A+4>>2]=C;C=v+8|0;A=f[C+4>>2]|0;B=m+(u<<3)|0;f[B>>2]=f[C>>2];f[B+4>>2]=A;A=x+8|0;B=f[A+4>>2]|0;C=m+(w<<3)|0;f[C>>2]=f[A>>2];f[C+4>>2]=B;B=z+8|0;C=f[B+4>>2]|0;A=m+(y<<3)|0;f[A>>2]=f[B>>2];f[A+4>>2]=C;C=s+16|0;A=f[C+4>>2]|0;B=l+(t<<3)|0;f[B>>2]=f[C>>2];f[B+4>>2]=A;A=v+16|0;B=f[A+4>>2]|0;C=l+(u<<3)|0;f[C>>2]=f[A>>2];f[C+4>>2]=B;B=x+16|0;C=f[B+4>>2]|0;A=l+(w<<3)|0;f[A>>2]=f[B>>2];f[A+4>>2]=C;C=z+16|0;A=f[C+4>>2]|0;B=l+(y<<3)|0;f[B>>2]=f[C>>2];f[B+4>>2]=A;A=s+24|0;s=f[A+4>>2]|0;B=p+(t<<3)|0;f[B>>2]=f[A>>2];f[B+4>>2]=s;s=v+24|0;v=f[s+4>>2]|0;B=p+(u<<3)|0;f[B>>2]=f[s>>2];f[B+4>>2]=v;v=x+24|0;x=f[v+4>>2]|0;B=p+(w<<3)|0;f[B>>2]=f[v>>2];f[B+4>>2]=x;x=z+24|0;z=f[x+4>>2]|0;B=p+(y<<3)|0;f[B>>2]=f[x>>2];f[B+4>>2]=z;t=t+4|0}while((t|0)<=(j|0));if(q){t=k;do{z=r+(Y(t,b)|0)|0;B=z;x=f[B+4>>2]|0;y=n+(t<<3)|0;f[y>>2]=f[B>>2];f[y+4>>2]=x;x=z+8|0;y=f[x+4>>2]|0;B=m+(t<<3)|0;f[B>>2]=f[x>>2];f[B+4>>2]=y;y=z+16|0;B=f[y+4>>2]|0;x=l+(t<<3)|0;f[x>>2]=f[y>>2];f[x+4>>2]=B;B=z+24|0;z=f[B+4>>2]|0;x=p+(t<<3)|0;f[x>>2]=f[B>>2];f[x+4>>2]=z;t=t+1|0}while((t|0)!=(h|0))}o=o+4|0}while((o|0)<=(e|0));i=g&-4}while(0);if((i|0)>=(g|0))return;e=h+-4|0;if((h|0)<4){if((h|0)>0)D=i;else return;do{o=c+(Y(D,d)|0)|0;k=a+(D<<3)|0;q=0;do{j=k+(Y(q,b)|0)|0;t=f[j+4>>2]|0;p=o+(q<<3)|0;f[p>>2]=f[j>>2];f[p+4>>2]=t;q=q+1|0}while((q|0)!=(h|0));D=D+1|0}while((D|0)!=(g|0));return}D=h&-4;if((D|0)<(h|0))E=i;else{q=i;do{i=c+(Y(q,d)|0)|0;o=a+(q<<3)|0;k=0;do{t=k|1;p=o+(Y(t,b)|0)|0;j=k|2;l=o+(Y(j,b)|0)|0;m=k|3;n=o+(Y(m,b)|0)|0;r=o+(Y(k,b)|0)|0;z=f[r+4>>2]|0;x=i+(k<<3)|0;f[x>>2]=f[r>>2];f[x+4>>2]=z;z=p;p=f[z+4>>2]|0;x=i+(t<<3)|0;f[x>>2]=f[z>>2];f[x+4>>2]=p;p=l;l=f[p+4>>2]|0;x=i+(j<<3)|0;f[x>>2]=f[p>>2];f[x+4>>2]=l;l=n;n=f[l+4>>2]|0;x=i+(m<<3)|0;f[x>>2]=f[l>>2];f[x+4>>2]=n;k=k+4|0}while((k|0)<=(e|0));q=q+1|0}while((q|0)!=(g|0));return}do{q=c+(Y(E,d)|0)|0;k=a+(E<<3)|0;i=0;do{o=i|1;n=k+(Y(o,b)|0)|0;x=i|2;l=k+(Y(x,b)|0)|0;m=i|3;p=k+(Y(m,b)|0)|0;j=k+(Y(i,b)|0)|0;z=f[j+4>>2]|0;t=q+(i<<3)|0;f[t>>2]=f[j>>2];f[t+4>>2]=z;z=n;n=f[z+4>>2]|0;t=q+(o<<3)|0;f[t>>2]=f[z>>2];f[t+4>>2]=n;n=l;l=f[n+4>>2]|0;t=q+(x<<3)|0;f[t>>2]=f[n>>2];f[t+4>>2]=l;l=p;p=f[l+4>>2]|0;t=q+(m<<3)|0;f[t>>2]=f[l>>2];f[t+4>>2]=p;i=i+4|0}while((i|0)<=(e|0));F=D;do{i=k+(Y(F,b)|0)|0;p=f[i+4>>2]|0;t=q+(F<<3)|0;f[t>>2]=f[i>>2];f[t+4>>2]=p;F=F+1|0}while((F|0)!=(h|0));E=E+1|0}while((E|0)!=(g|0));return}function ON(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;g=f[e>>2]|0;h=f[e+4>>2]|0;e=g+-4|0;do if((g|0)<4)i=0;else{j=h+-4|0;if((h|0)<4){if((h|0)>0){k=0;do{l=c+(Y(k,d)|0)|0;m=c+(Y(k|1,d)|0)|0;n=c+(Y(k|2,d)|0)|0;o=c+(Y(k|3,d)|0)|0;p=a+(k*12|0)|0;q=0;do{r=p+(Y(q,b)|0)|0;s=l+(q*12|0)|0;f[s>>2]=f[r>>2];f[s+4>>2]=f[r+4>>2];f[s+8>>2]=f[r+8>>2];s=r+12|0;t=m+(q*12|0)|0;f[t>>2]=f[s>>2];f[t+4>>2]=f[s+4>>2];f[t+8>>2]=f[s+8>>2];s=r+24|0;t=n+(q*12|0)|0;f[t>>2]=f[s>>2];f[t+4>>2]=f[s+4>>2];f[t+8>>2]=f[s+8>>2];s=r+36|0;r=o+(q*12|0)|0;f[r>>2]=f[s>>2];f[r+4>>2]=f[s+4>>2];f[r+8>>2]=f[s+8>>2];q=q+1|0}while((q|0)!=(h|0));k=k+4|0}while((k|0)<=(e|0))}i=g&-4;break}k=h&-4;q=(k|0)<(h|0);o=0;do{n=c+(Y(o,d)|0)|0;m=c+(Y(o|1,d)|0)|0;l=c+(Y(o|2,d)|0)|0;p=c+(Y(o|3,d)|0)|0;s=a+(o*12|0)|0;r=0;do{t=s+(Y(r,b)|0)|0;u=r|1;v=s+(Y(u,b)|0)|0;w=r|2;x=s+(Y(w,b)|0)|0;y=r|3;z=s+(Y(y,b)|0)|0;A=n+(r*12|0)|0;f[A>>2]=f[t>>2];f[A+4>>2]=f[t+4>>2];f[A+8>>2]=f[t+8>>2];A=n+(u*12|0)|0;f[A>>2]=f[v>>2];f[A+4>>2]=f[v+4>>2];f[A+8>>2]=f[v+8>>2];A=n+(w*12|0)|0;f[A>>2]=f[x>>2];f[A+4>>2]=f[x+4>>2];f[A+8>>2]=f[x+8>>2];A=n+(y*12|0)|0;f[A>>2]=f[z>>2];f[A+4>>2]=f[z+4>>2];f[A+8>>2]=f[z+8>>2];A=t+12|0;B=m+(r*12|0)|0;f[B>>2]=f[A>>2];f[B+4>>2]=f[A+4>>2];f[B+8>>2]=f[A+8>>2];A=v+12|0;B=m+(u*12|0)|0;f[B>>2]=f[A>>2];f[B+4>>2]=f[A+4>>2];f[B+8>>2]=f[A+8>>2];A=x+12|0;B=m+(w*12|0)|0;f[B>>2]=f[A>>2];f[B+4>>2]=f[A+4>>2];f[B+8>>2]=f[A+8>>2];A=z+12|0;B=m+(y*12|0)|0;f[B>>2]=f[A>>2];f[B+4>>2]=f[A+4>>2];f[B+8>>2]=f[A+8>>2];A=t+24|0;B=l+(r*12|0)|0;f[B>>2]=f[A>>2];f[B+4>>2]=f[A+4>>2];f[B+8>>2]=f[A+8>>2];A=v+24|0;B=l+(u*12|0)|0;f[B>>2]=f[A>>2];f[B+4>>2]=f[A+4>>2];f[B+8>>2]=f[A+8>>2];A=x+24|0;B=l+(w*12|0)|0;f[B>>2]=f[A>>2];f[B+4>>2]=f[A+4>>2];f[B+8>>2]=f[A+8>>2];A=z+24|0;B=l+(y*12|0)|0;f[B>>2]=f[A>>2];f[B+4>>2]=f[A+4>>2];f[B+8>>2]=f[A+8>>2];A=t+36|0;t=p+(r*12|0)|0;f[t>>2]=f[A>>2];f[t+4>>2]=f[A+4>>2];f[t+8>>2]=f[A+8>>2];A=v+36|0;v=p+(u*12|0)|0;f[v>>2]=f[A>>2];f[v+4>>2]=f[A+4>>2];f[v+8>>2]=f[A+8>>2];A=x+36|0;x=p+(w*12|0)|0;f[x>>2]=f[A>>2];f[x+4>>2]=f[A+4>>2];f[x+8>>2]=f[A+8>>2];A=z+36|0;z=p+(y*12|0)|0;f[z>>2]=f[A>>2];f[z+4>>2]=f[A+4>>2];f[z+8>>2]=f[A+8>>2];r=r+4|0}while((r|0)<=(j|0));if(q){r=k;do{A=s+(Y(r,b)|0)|0;z=n+(r*12|0)|0;f[z>>2]=f[A>>2];f[z+4>>2]=f[A+4>>2];f[z+8>>2]=f[A+8>>2];z=A+12|0;y=m+(r*12|0)|0;f[y>>2]=f[z>>2];f[y+4>>2]=f[z+4>>2];f[y+8>>2]=f[z+8>>2];z=A+24|0;y=l+(r*12|0)|0;f[y>>2]=f[z>>2];f[y+4>>2]=f[z+4>>2];f[y+8>>2]=f[z+8>>2];z=A+36|0;A=p+(r*12|0)|0;f[A>>2]=f[z>>2];f[A+4>>2]=f[z+4>>2];f[A+8>>2]=f[z+8>>2];r=r+1|0}while((r|0)!=(h|0))}o=o+4|0}while((o|0)<=(e|0));i=g&-4}while(0);if((i|0)>=(g|0))return;e=h+-4|0;if((h|0)<4){if((h|0)>0)C=i;else return;do{o=c+(Y(C,d)|0)|0;k=a+(C*12|0)|0;q=0;do{j=k+(Y(q,b)|0)|0;r=o+(q*12|0)|0;f[r>>2]=f[j>>2];f[r+4>>2]=f[j+4>>2];f[r+8>>2]=f[j+8>>2];q=q+1|0}while((q|0)!=(h|0));C=C+1|0}while((C|0)!=(g|0));return}C=h&-4;if((C|0)<(h|0))D=i;else{q=i;do{i=c+(Y(q,d)|0)|0;o=a+(q*12|0)|0;k=0;do{j=o+(Y(k,b)|0)|0;r=k|1;p=o+(Y(r,b)|0)|0;l=k|2;m=o+(Y(l,b)|0)|0;n=k|3;s=o+(Y(n,b)|0)|0;z=i+(k*12|0)|0;f[z>>2]=f[j>>2];f[z+4>>2]=f[j+4>>2];f[z+8>>2]=f[j+8>>2];j=i+(r*12|0)|0;f[j>>2]=f[p>>2];f[j+4>>2]=f[p+4>>2];f[j+8>>2]=f[p+8>>2];p=i+(l*12|0)|0;f[p>>2]=f[m>>2];f[p+4>>2]=f[m+4>>2];f[p+8>>2]=f[m+8>>2];m=i+(n*12|0)|0;f[m>>2]=f[s>>2];f[m+4>>2]=f[s+4>>2];f[m+8>>2]=f[s+8>>2];k=k+4|0}while((k|0)<=(e|0));q=q+1|0}while((q|0)!=(g|0));return}do{q=c+(Y(D,d)|0)|0;k=a+(D*12|0)|0;i=0;do{o=k+(Y(i,b)|0)|0;s=i|1;m=k+(Y(s,b)|0)|0;n=i|2;p=k+(Y(n,b)|0)|0;l=i|3;j=k+(Y(l,b)|0)|0;r=q+(i*12|0)|0;f[r>>2]=f[o>>2];f[r+4>>2]=f[o+4>>2];f[r+8>>2]=f[o+8>>2];o=q+(s*12|0)|0;f[o>>2]=f[m>>2];f[o+4>>2]=f[m+4>>2];f[o+8>>2]=f[m+8>>2];m=q+(n*12|0)|0;f[m>>2]=f[p>>2];f[m+4>>2]=f[p+4>>2];f[m+8>>2]=f[p+8>>2];p=q+(l*12|0)|0;f[p>>2]=f[j>>2];f[p+4>>2]=f[j+4>>2];f[p+8>>2]=f[j+8>>2];i=i+4|0}while((i|0)<=(e|0));E=C;do{i=k+(Y(E,b)|0)|0;j=q+(E*12|0)|0;f[j>>2]=f[i>>2];f[j+4>>2]=f[i+4>>2];f[j+8>>2]=f[i+8>>2];E=E+1|0}while((E|0)!=(h|0));D=D+1|0}while((D|0)!=(g|0));return}function PN(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;g=f[e>>2]|0;h=f[e+4>>2]|0;e=g+-4|0;do if((g|0)<4)i=0;else{j=h+-4|0;if((h|0)<4){if((h|0)>0){k=0;do{l=c+(Y(k,d)|0)|0;m=c+(Y(k|1,d)|0)|0;n=c+(Y(k|2,d)|0)|0;o=c+(Y(k|3,d)|0)|0;p=a+(k<<4)|0;q=0;do{r=p+(Y(q,b)|0)|0;s=l+(q<<4)|0;f[s>>2]=f[r>>2];f[s+4>>2]=f[r+4>>2];f[s+8>>2]=f[r+8>>2];f[s+12>>2]=f[r+12>>2];s=r+16|0;t=m+(q<<4)|0;f[t>>2]=f[s>>2];f[t+4>>2]=f[s+4>>2];f[t+8>>2]=f[s+8>>2];f[t+12>>2]=f[s+12>>2];s=r+32|0;t=n+(q<<4)|0;f[t>>2]=f[s>>2];f[t+4>>2]=f[s+4>>2];f[t+8>>2]=f[s+8>>2];f[t+12>>2]=f[s+12>>2];s=r+48|0;r=o+(q<<4)|0;f[r>>2]=f[s>>2];f[r+4>>2]=f[s+4>>2];f[r+8>>2]=f[s+8>>2];f[r+12>>2]=f[s+12>>2];q=q+1|0}while((q|0)!=(h|0));k=k+4|0}while((k|0)<=(e|0))}i=g&-4;break}k=h&-4;q=(k|0)<(h|0);o=0;do{n=c+(Y(o,d)|0)|0;m=c+(Y(o|1,d)|0)|0;l=c+(Y(o|2,d)|0)|0;p=c+(Y(o|3,d)|0)|0;s=a+(o<<4)|0;r=0;do{t=s+(Y(r,b)|0)|0;u=r|1;v=s+(Y(u,b)|0)|0;w=r|2;x=s+(Y(w,b)|0)|0;y=r|3;z=s+(Y(y,b)|0)|0;A=n+(r<<4)|0;f[A>>2]=f[t>>2];f[A+4>>2]=f[t+4>>2];f[A+8>>2]=f[t+8>>2];f[A+12>>2]=f[t+12>>2];A=n+(u<<4)|0;f[A>>2]=f[v>>2];f[A+4>>2]=f[v+4>>2];f[A+8>>2]=f[v+8>>2];f[A+12>>2]=f[v+12>>2];A=n+(w<<4)|0;f[A>>2]=f[x>>2];f[A+4>>2]=f[x+4>>2];f[A+8>>2]=f[x+8>>2];f[A+12>>2]=f[x+12>>2];A=n+(y<<4)|0;f[A>>2]=f[z>>2];f[A+4>>2]=f[z+4>>2];f[A+8>>2]=f[z+8>>2];f[A+12>>2]=f[z+12>>2];A=t+16|0;B=m+(r<<4)|0;f[B>>2]=f[A>>2];f[B+4>>2]=f[A+4>>2];f[B+8>>2]=f[A+8>>2];f[B+12>>2]=f[A+12>>2];A=v+16|0;B=m+(u<<4)|0;f[B>>2]=f[A>>2];f[B+4>>2]=f[A+4>>2];f[B+8>>2]=f[A+8>>2];f[B+12>>2]=f[A+12>>2];A=x+16|0;B=m+(w<<4)|0;f[B>>2]=f[A>>2];f[B+4>>2]=f[A+4>>2];f[B+8>>2]=f[A+8>>2];f[B+12>>2]=f[A+12>>2];A=z+16|0;B=m+(y<<4)|0;f[B>>2]=f[A>>2];f[B+4>>2]=f[A+4>>2];f[B+8>>2]=f[A+8>>2];f[B+12>>2]=f[A+12>>2];A=t+32|0;B=l+(r<<4)|0;f[B>>2]=f[A>>2];f[B+4>>2]=f[A+4>>2];f[B+8>>2]=f[A+8>>2];f[B+12>>2]=f[A+12>>2];A=v+32|0;B=l+(u<<4)|0;f[B>>2]=f[A>>2];f[B+4>>2]=f[A+4>>2];f[B+8>>2]=f[A+8>>2];f[B+12>>2]=f[A+12>>2];A=x+32|0;B=l+(w<<4)|0;f[B>>2]=f[A>>2];f[B+4>>2]=f[A+4>>2];f[B+8>>2]=f[A+8>>2];f[B+12>>2]=f[A+12>>2];A=z+32|0;B=l+(y<<4)|0;f[B>>2]=f[A>>2];f[B+4>>2]=f[A+4>>2];f[B+8>>2]=f[A+8>>2];f[B+12>>2]=f[A+12>>2];A=t+48|0;t=p+(r<<4)|0;f[t>>2]=f[A>>2];f[t+4>>2]=f[A+4>>2];f[t+8>>2]=f[A+8>>2];f[t+12>>2]=f[A+12>>2];A=v+48|0;v=p+(u<<4)|0;f[v>>2]=f[A>>2];f[v+4>>2]=f[A+4>>2];f[v+8>>2]=f[A+8>>2];f[v+12>>2]=f[A+12>>2];A=x+48|0;x=p+(w<<4)|0;f[x>>2]=f[A>>2];f[x+4>>2]=f[A+4>>2];f[x+8>>2]=f[A+8>>2];f[x+12>>2]=f[A+12>>2];A=z+48|0;z=p+(y<<4)|0;f[z>>2]=f[A>>2];f[z+4>>2]=f[A+4>>2];f[z+8>>2]=f[A+8>>2];f[z+12>>2]=f[A+12>>2];r=r+4|0}while((r|0)<=(j|0));if(q){r=k;do{A=s+(Y(r,b)|0)|0;z=n+(r<<4)|0;f[z>>2]=f[A>>2];f[z+4>>2]=f[A+4>>2];f[z+8>>2]=f[A+8>>2];f[z+12>>2]=f[A+12>>2];z=A+16|0;y=m+(r<<4)|0;f[y>>2]=f[z>>2];f[y+4>>2]=f[z+4>>2];f[y+8>>2]=f[z+8>>2];f[y+12>>2]=f[z+12>>2];z=A+32|0;y=l+(r<<4)|0;f[y>>2]=f[z>>2];f[y+4>>2]=f[z+4>>2];f[y+8>>2]=f[z+8>>2];f[y+12>>2]=f[z+12>>2];z=A+48|0;A=p+(r<<4)|0;f[A>>2]=f[z>>2];f[A+4>>2]=f[z+4>>2];f[A+8>>2]=f[z+8>>2];f[A+12>>2]=f[z+12>>2];r=r+1|0}while((r|0)!=(h|0))}o=o+4|0}while((o|0)<=(e|0));i=g&-4}while(0);if((i|0)>=(g|0))return;e=h+-4|0;if((h|0)<4){if((h|0)>0)C=i;else return;do{o=c+(Y(C,d)|0)|0;k=a+(C<<4)|0;q=0;do{j=k+(Y(q,b)|0)|0;r=o+(q<<4)|0;f[r>>2]=f[j>>2];f[r+4>>2]=f[j+4>>2];f[r+8>>2]=f[j+8>>2];f[r+12>>2]=f[j+12>>2];q=q+1|0}while((q|0)!=(h|0));C=C+1|0}while((C|0)!=(g|0));return}C=h&-4;if((C|0)<(h|0))D=i;else{q=i;do{i=c+(Y(q,d)|0)|0;o=a+(q<<4)|0;k=0;do{j=o+(Y(k,b)|0)|0;r=k|1;p=o+(Y(r,b)|0)|0;l=k|2;m=o+(Y(l,b)|0)|0;n=k|3;s=o+(Y(n,b)|0)|0;z=i+(k<<4)|0;f[z>>2]=f[j>>2];f[z+4>>2]=f[j+4>>2];f[z+8>>2]=f[j+8>>2];f[z+12>>2]=f[j+12>>2];j=i+(r<<4)|0;f[j>>2]=f[p>>2];f[j+4>>2]=f[p+4>>2];f[j+8>>2]=f[p+8>>2];f[j+12>>2]=f[p+12>>2];p=i+(l<<4)|0;f[p>>2]=f[m>>2];f[p+4>>2]=f[m+4>>2];f[p+8>>2]=f[m+8>>2];f[p+12>>2]=f[m+12>>2];m=i+(n<<4)|0;f[m>>2]=f[s>>2];f[m+4>>2]=f[s+4>>2];f[m+8>>2]=f[s+8>>2];f[m+12>>2]=f[s+12>>2];k=k+4|0}while((k|0)<=(e|0));q=q+1|0}while((q|0)!=(g|0));return}do{q=c+(Y(D,d)|0)|0;k=a+(D<<4)|0;i=0;do{o=k+(Y(i,b)|0)|0;s=i|1;m=k+(Y(s,b)|0)|0;n=i|2;p=k+(Y(n,b)|0)|0;l=i|3;j=k+(Y(l,b)|0)|0;r=q+(i<<4)|0;f[r>>2]=f[o>>2];f[r+4>>2]=f[o+4>>2];f[r+8>>2]=f[o+8>>2];f[r+12>>2]=f[o+12>>2];o=q+(s<<4)|0;f[o>>2]=f[m>>2];f[o+4>>2]=f[m+4>>2];f[o+8>>2]=f[m+8>>2];f[o+12>>2]=f[m+12>>2];m=q+(n<<4)|0;f[m>>2]=f[p>>2];f[m+4>>2]=f[p+4>>2];f[m+8>>2]=f[p+8>>2];f[m+12>>2]=f[p+12>>2];p=q+(l<<4)|0;f[p>>2]=f[j>>2];f[p+4>>2]=f[j+4>>2];f[p+8>>2]=f[j+8>>2];f[p+12>>2]=f[j+12>>2];i=i+4|0}while((i|0)<=(e|0));E=C;do{i=k+(Y(E,b)|0)|0;j=q+(E<<4)|0;f[j>>2]=f[i>>2];f[j+4>>2]=f[i+4>>2];f[j+8>>2]=f[i+8>>2];f[j+12>>2]=f[i+12>>2];E=E+1|0}while((E|0)!=(h|0));D=D+1|0}while((D|0)!=(g|0));return}function QN(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;g=f[e>>2]|0;h=f[e+4>>2]|0;e=g+-4|0;do if((g|0)<4)i=0;else{j=h+-4|0;if((h|0)<4){if((h|0)>0){k=0;do{l=c+(Y(k,d)|0)|0;m=c+(Y(k|1,d)|0)|0;n=c+(Y(k|2,d)|0)|0;o=c+(Y(k|3,d)|0)|0;p=a+(k*24|0)|0;q=0;do{r=p+(Y(q,b)|0)|0;s=l+(q*24|0)|0;f[s>>2]=f[r>>2];f[s+4>>2]=f[r+4>>2];f[s+8>>2]=f[r+8>>2];f[s+12>>2]=f[r+12>>2];f[s+16>>2]=f[r+16>>2];f[s+20>>2]=f[r+20>>2];s=r+24|0;t=m+(q*24|0)|0;f[t>>2]=f[s>>2];f[t+4>>2]=f[s+4>>2];f[t+8>>2]=f[s+8>>2];f[t+12>>2]=f[s+12>>2];f[t+16>>2]=f[s+16>>2];f[t+20>>2]=f[s+20>>2];s=r+48|0;t=n+(q*24|0)|0;f[t>>2]=f[s>>2];f[t+4>>2]=f[s+4>>2];f[t+8>>2]=f[s+8>>2];f[t+12>>2]=f[s+12>>2];f[t+16>>2]=f[s+16>>2];f[t+20>>2]=f[s+20>>2];s=r+72|0;r=o+(q*24|0)|0;f[r>>2]=f[s>>2];f[r+4>>2]=f[s+4>>2];f[r+8>>2]=f[s+8>>2];f[r+12>>2]=f[s+12>>2];f[r+16>>2]=f[s+16>>2];f[r+20>>2]=f[s+20>>2];q=q+1|0}while((q|0)!=(h|0));k=k+4|0}while((k|0)<=(e|0))}i=g&-4;break}k=h&-4;q=(k|0)<(h|0);o=0;do{n=c+(Y(o,d)|0)|0;m=c+(Y(o|1,d)|0)|0;l=c+(Y(o|2,d)|0)|0;p=c+(Y(o|3,d)|0)|0;s=a+(o*24|0)|0;r=0;do{t=s+(Y(r,b)|0)|0;u=r|1;v=s+(Y(u,b)|0)|0;w=r|2;x=s+(Y(w,b)|0)|0;y=r|3;z=s+(Y(y,b)|0)|0;A=n+(r*24|0)|0;f[A>>2]=f[t>>2];f[A+4>>2]=f[t+4>>2];f[A+8>>2]=f[t+8>>2];f[A+12>>2]=f[t+12>>2];f[A+16>>2]=f[t+16>>2];f[A+20>>2]=f[t+20>>2];A=n+(u*24|0)|0;f[A>>2]=f[v>>2];f[A+4>>2]=f[v+4>>2];f[A+8>>2]=f[v+8>>2];f[A+12>>2]=f[v+12>>2];f[A+16>>2]=f[v+16>>2];f[A+20>>2]=f[v+20>>2];A=n+(w*24|0)|0;f[A>>2]=f[x>>2];f[A+4>>2]=f[x+4>>2];f[A+8>>2]=f[x+8>>2];f[A+12>>2]=f[x+12>>2];f[A+16>>2]=f[x+16>>2];f[A+20>>2]=f[x+20>>2];A=n+(y*24|0)|0;f[A>>2]=f[z>>2];f[A+4>>2]=f[z+4>>2];f[A+8>>2]=f[z+8>>2];f[A+12>>2]=f[z+12>>2];f[A+16>>2]=f[z+16>>2];f[A+20>>2]=f[z+20>>2];A=t+24|0;B=m+(r*24|0)|0;f[B>>2]=f[A>>2];f[B+4>>2]=f[A+4>>2];f[B+8>>2]=f[A+8>>2];f[B+12>>2]=f[A+12>>2];f[B+16>>2]=f[A+16>>2];f[B+20>>2]=f[A+20>>2];A=v+24|0;B=m+(u*24|0)|0;f[B>>2]=f[A>>2];f[B+4>>2]=f[A+4>>2];f[B+8>>2]=f[A+8>>2];f[B+12>>2]=f[A+12>>2];f[B+16>>2]=f[A+16>>2];f[B+20>>2]=f[A+20>>2];A=x+24|0;B=m+(w*24|0)|0;f[B>>2]=f[A>>2];f[B+4>>2]=f[A+4>>2];f[B+8>>2]=f[A+8>>2];f[B+12>>2]=f[A+12>>2];f[B+16>>2]=f[A+16>>2];f[B+20>>2]=f[A+20>>2];A=z+24|0;B=m+(y*24|0)|0;f[B>>2]=f[A>>2];f[B+4>>2]=f[A+4>>2];f[B+8>>2]=f[A+8>>2];f[B+12>>2]=f[A+12>>2];f[B+16>>2]=f[A+16>>2];f[B+20>>2]=f[A+20>>2];A=t+48|0;B=l+(r*24|0)|0;f[B>>2]=f[A>>2];f[B+4>>2]=f[A+4>>2];f[B+8>>2]=f[A+8>>2];f[B+12>>2]=f[A+12>>2];f[B+16>>2]=f[A+16>>2];f[B+20>>2]=f[A+20>>2];A=v+48|0;B=l+(u*24|0)|0;f[B>>2]=f[A>>2];f[B+4>>2]=f[A+4>>2];f[B+8>>2]=f[A+8>>2];f[B+12>>2]=f[A+12>>2];f[B+16>>2]=f[A+16>>2];f[B+20>>2]=f[A+20>>2];A=x+48|0;B=l+(w*24|0)|0;f[B>>2]=f[A>>2];f[B+4>>2]=f[A+4>>2];f[B+8>>2]=f[A+8>>2];f[B+12>>2]=f[A+12>>2];f[B+16>>2]=f[A+16>>2];f[B+20>>2]=f[A+20>>2];A=z+48|0;B=l+(y*24|0)|0;f[B>>2]=f[A>>2];f[B+4>>2]=f[A+4>>2];f[B+8>>2]=f[A+8>>2];f[B+12>>2]=f[A+12>>2];f[B+16>>2]=f[A+16>>2];f[B+20>>2]=f[A+20>>2];A=t+72|0;t=p+(r*24|0)|0;f[t>>2]=f[A>>2];f[t+4>>2]=f[A+4>>2];f[t+8>>2]=f[A+8>>2];f[t+12>>2]=f[A+12>>2];f[t+16>>2]=f[A+16>>2];f[t+20>>2]=f[A+20>>2];A=v+72|0;v=p+(u*24|0)|0;f[v>>2]=f[A>>2];f[v+4>>2]=f[A+4>>2];f[v+8>>2]=f[A+8>>2];f[v+12>>2]=f[A+12>>2];f[v+16>>2]=f[A+16>>2];f[v+20>>2]=f[A+20>>2];A=x+72|0;x=p+(w*24|0)|0;f[x>>2]=f[A>>2];f[x+4>>2]=f[A+4>>2];f[x+8>>2]=f[A+8>>2];f[x+12>>2]=f[A+12>>2];f[x+16>>2]=f[A+16>>2];f[x+20>>2]=f[A+20>>2];A=z+72|0;z=p+(y*24|0)|0;f[z>>2]=f[A>>2];f[z+4>>2]=f[A+4>>2];f[z+8>>2]=f[A+8>>2];f[z+12>>2]=f[A+12>>2];f[z+16>>2]=f[A+16>>2];f[z+20>>2]=f[A+20>>2];r=r+4|0}while((r|0)<=(j|0));if(q){r=k;do{A=s+(Y(r,b)|0)|0;z=n+(r*24|0)|0;f[z>>2]=f[A>>2];f[z+4>>2]=f[A+4>>2];f[z+8>>2]=f[A+8>>2];f[z+12>>2]=f[A+12>>2];f[z+16>>2]=f[A+16>>2];f[z+20>>2]=f[A+20>>2];z=A+24|0;y=m+(r*24|0)|0;f[y>>2]=f[z>>2];f[y+4>>2]=f[z+4>>2];f[y+8>>2]=f[z+8>>2];f[y+12>>2]=f[z+12>>2];f[y+16>>2]=f[z+16>>2];f[y+20>>2]=f[z+20>>2];z=A+48|0;y=l+(r*24|0)|0;f[y>>2]=f[z>>2];f[y+4>>2]=f[z+4>>2];f[y+8>>2]=f[z+8>>2];f[y+12>>2]=f[z+12>>2];f[y+16>>2]=f[z+16>>2];f[y+20>>2]=f[z+20>>2];z=A+72|0;A=p+(r*24|0)|0;f[A>>2]=f[z>>2];f[A+4>>2]=f[z+4>>2];f[A+8>>2]=f[z+8>>2];f[A+12>>2]=f[z+12>>2];f[A+16>>2]=f[z+16>>2];f[A+20>>2]=f[z+20>>2];r=r+1|0}while((r|0)!=(h|0))}o=o+4|0}while((o|0)<=(e|0));i=g&-4}while(0);if((i|0)>=(g|0))return;e=h+-4|0;if((h|0)<4){if((h|0)>0)C=i;else return;do{o=c+(Y(C,d)|0)|0;k=a+(C*24|0)|0;q=0;do{j=k+(Y(q,b)|0)|0;r=o+(q*24|0)|0;f[r>>2]=f[j>>2];f[r+4>>2]=f[j+4>>2];f[r+8>>2]=f[j+8>>2];f[r+12>>2]=f[j+12>>2];f[r+16>>2]=f[j+16>>2];f[r+20>>2]=f[j+20>>2];q=q+1|0}while((q|0)!=(h|0));C=C+1|0}while((C|0)!=(g|0));return}C=h&-4;if((C|0)<(h|0))D=i;else{q=i;do{i=c+(Y(q,d)|0)|0;o=a+(q*24|0)|0;k=0;do{j=o+(Y(k,b)|0)|0;r=k|1;p=o+(Y(r,b)|0)|0;l=k|2;m=o+(Y(l,b)|0)|0;n=k|3;s=o+(Y(n,b)|0)|0;z=i+(k*24|0)|0;f[z>>2]=f[j>>2];f[z+4>>2]=f[j+4>>2];f[z+8>>2]=f[j+8>>2];f[z+12>>2]=f[j+12>>2];f[z+16>>2]=f[j+16>>2];f[z+20>>2]=f[j+20>>2];j=i+(r*24|0)|0;f[j>>2]=f[p>>2];f[j+4>>2]=f[p+4>>2];f[j+8>>2]=f[p+8>>2];f[j+12>>2]=f[p+12>>2];f[j+16>>2]=f[p+16>>2];f[j+20>>2]=f[p+20>>2];p=i+(l*24|0)|0;f[p>>2]=f[m>>2];f[p+4>>2]=f[m+4>>2];f[p+8>>2]=f[m+8>>2];f[p+12>>2]=f[m+12>>2];f[p+16>>2]=f[m+16>>2];f[p+20>>2]=f[m+20>>2];m=i+(n*24|0)|0;f[m>>2]=f[s>>2];f[m+4>>2]=f[s+4>>2];f[m+8>>2]=f[s+8>>2];f[m+12>>2]=f[s+12>>2];f[m+16>>2]=f[s+16>>2];f[m+20>>2]=f[s+20>>2];k=k+4|0}while((k|0)<=(e|0));q=q+1|0}while((q|0)!=(g|0));return}do{q=c+(Y(D,d)|0)|0;k=a+(D*24|0)|0;i=0;do{o=k+(Y(i,b)|0)|0;s=i|1;m=k+(Y(s,b)|0)|0;n=i|2;p=k+(Y(n,b)|0)|0;l=i|3;j=k+(Y(l,b)|0)|0;r=q+(i*24|0)|0;f[r>>2]=f[o>>2];f[r+4>>2]=f[o+4>>2];f[r+8>>2]=f[o+8>>2];f[r+12>>2]=f[o+12>>2];f[r+16>>2]=f[o+16>>2];f[r+20>>2]=f[o+20>>2];o=q+(s*24|0)|0;f[o>>2]=f[m>>2];f[o+4>>2]=f[m+4>>2];f[o+8>>2]=f[m+8>>2];f[o+12>>2]=f[m+12>>2];f[o+16>>2]=f[m+16>>2];f[o+20>>2]=f[m+20>>2];m=q+(n*24|0)|0;f[m>>2]=f[p>>2];f[m+4>>2]=f[p+4>>2];f[m+8>>2]=f[p+8>>2];f[m+12>>2]=f[p+12>>2];f[m+16>>2]=f[p+16>>2];f[m+20>>2]=f[p+20>>2];p=q+(l*24|0)|0;f[p>>2]=f[j>>2];f[p+4>>2]=f[j+4>>2];f[p+8>>2]=f[j+8>>2];f[p+12>>2]=f[j+12>>2];f[p+16>>2]=f[j+16>>2];f[p+20>>2]=f[j+20>>2];i=i+4|0}while((i|0)<=(e|0));E=C;do{i=k+(Y(E,b)|0)|0;j=q+(E*24|0)|0;f[j>>2]=f[i>>2];f[j+4>>2]=f[i+4>>2];f[j+8>>2]=f[i+8>>2];f[j+12>>2]=f[i+12>>2];f[j+16>>2]=f[i+16>>2];f[j+20>>2]=f[i+20>>2];E=E+1|0}while((E|0)!=(h|0));D=D+1|0}while((D|0)!=(g|0));return}function RN(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;g=f[e>>2]|0;h=f[e+4>>2]|0;e=g+-4|0;do if((g|0)<4)i=0;else{j=h+-4|0;if((h|0)<4){if((h|0)>0){k=0;do{l=c+(Y(k,d)|0)|0;m=c+(Y(k|1,d)|0)|0;n=c+(Y(k|2,d)|0)|0;o=c+(Y(k|3,d)|0)|0;p=a+(k<<5)|0;q=0;do{r=p+(Y(q,b)|0)|0;s=l+(q<<5)|0;f[s>>2]=f[r>>2];f[s+4>>2]=f[r+4>>2];f[s+8>>2]=f[r+8>>2];f[s+12>>2]=f[r+12>>2];f[s+16>>2]=f[r+16>>2];f[s+20>>2]=f[r+20>>2];f[s+24>>2]=f[r+24>>2];f[s+28>>2]=f[r+28>>2];s=r+32|0;t=m+(q<<5)|0;f[t>>2]=f[s>>2];f[t+4>>2]=f[s+4>>2];f[t+8>>2]=f[s+8>>2];f[t+12>>2]=f[s+12>>2];f[t+16>>2]=f[s+16>>2];f[t+20>>2]=f[s+20>>2];f[t+24>>2]=f[s+24>>2];f[t+28>>2]=f[s+28>>2];s=r+64|0;t=n+(q<<5)|0;f[t>>2]=f[s>>2];f[t+4>>2]=f[s+4>>2];f[t+8>>2]=f[s+8>>2];f[t+12>>2]=f[s+12>>2];f[t+16>>2]=f[s+16>>2];f[t+20>>2]=f[s+20>>2];f[t+24>>2]=f[s+24>>2];f[t+28>>2]=f[s+28>>2];s=r+96|0;r=o+(q<<5)|0;f[r>>2]=f[s>>2];f[r+4>>2]=f[s+4>>2];f[r+8>>2]=f[s+8>>2];f[r+12>>2]=f[s+12>>2];f[r+16>>2]=f[s+16>>2];f[r+20>>2]=f[s+20>>2];f[r+24>>2]=f[s+24>>2];f[r+28>>2]=f[s+28>>2];q=q+1|0}while((q|0)!=(h|0));k=k+4|0}while((k|0)<=(e|0))}i=g&-4;break}k=h&-4;q=(k|0)<(h|0);o=0;do{n=c+(Y(o,d)|0)|0;m=c+(Y(o|1,d)|0)|0;l=c+(Y(o|2,d)|0)|0;p=c+(Y(o|3,d)|0)|0;s=a+(o<<5)|0;r=0;do{t=s+(Y(r,b)|0)|0;u=r|1;v=s+(Y(u,b)|0)|0;w=r|2;x=s+(Y(w,b)|0)|0;y=r|3;z=s+(Y(y,b)|0)|0;A=n+(r<<5)|0;f[A>>2]=f[t>>2];f[A+4>>2]=f[t+4>>2];f[A+8>>2]=f[t+8>>2];f[A+12>>2]=f[t+12>>2];f[A+16>>2]=f[t+16>>2];f[A+20>>2]=f[t+20>>2];f[A+24>>2]=f[t+24>>2];f[A+28>>2]=f[t+28>>2];A=n+(u<<5)|0;f[A>>2]=f[v>>2];f[A+4>>2]=f[v+4>>2];f[A+8>>2]=f[v+8>>2];f[A+12>>2]=f[v+12>>2];f[A+16>>2]=f[v+16>>2];f[A+20>>2]=f[v+20>>2];f[A+24>>2]=f[v+24>>2];f[A+28>>2]=f[v+28>>2];A=n+(w<<5)|0;f[A>>2]=f[x>>2];f[A+4>>2]=f[x+4>>2];f[A+8>>2]=f[x+8>>2];f[A+12>>2]=f[x+12>>2];f[A+16>>2]=f[x+16>>2];f[A+20>>2]=f[x+20>>2];f[A+24>>2]=f[x+24>>2];f[A+28>>2]=f[x+28>>2];A=n+(y<<5)|0;f[A>>2]=f[z>>2];f[A+4>>2]=f[z+4>>2];f[A+8>>2]=f[z+8>>2];f[A+12>>2]=f[z+12>>2];f[A+16>>2]=f[z+16>>2];f[A+20>>2]=f[z+20>>2];f[A+24>>2]=f[z+24>>2];f[A+28>>2]=f[z+28>>2];A=t+32|0;B=m+(r<<5)|0;f[B>>2]=f[A>>2];f[B+4>>2]=f[A+4>>2];f[B+8>>2]=f[A+8>>2];f[B+12>>2]=f[A+12>>2];f[B+16>>2]=f[A+16>>2];f[B+20>>2]=f[A+20>>2];f[B+24>>2]=f[A+24>>2];f[B+28>>2]=f[A+28>>2];A=v+32|0;B=m+(u<<5)|0;f[B>>2]=f[A>>2];f[B+4>>2]=f[A+4>>2];f[B+8>>2]=f[A+8>>2];f[B+12>>2]=f[A+12>>2];f[B+16>>2]=f[A+16>>2];f[B+20>>2]=f[A+20>>2];f[B+24>>2]=f[A+24>>2];f[B+28>>2]=f[A+28>>2];A=x+32|0;B=m+(w<<5)|0;f[B>>2]=f[A>>2];f[B+4>>2]=f[A+4>>2];f[B+8>>2]=f[A+8>>2];f[B+12>>2]=f[A+12>>2];f[B+16>>2]=f[A+16>>2];f[B+20>>2]=f[A+20>>2];f[B+24>>2]=f[A+24>>2];f[B+28>>2]=f[A+28>>2];A=z+32|0;B=m+(y<<5)|0;f[B>>2]=f[A>>2];f[B+4>>2]=f[A+4>>2];f[B+8>>2]=f[A+8>>2];f[B+12>>2]=f[A+12>>2];f[B+16>>2]=f[A+16>>2];f[B+20>>2]=f[A+20>>2];f[B+24>>2]=f[A+24>>2];f[B+28>>2]=f[A+28>>2];A=t+64|0;B=l+(r<<5)|0;f[B>>2]=f[A>>2];f[B+4>>2]=f[A+4>>2];f[B+8>>2]=f[A+8>>2];f[B+12>>2]=f[A+12>>2];f[B+16>>2]=f[A+16>>2];f[B+20>>2]=f[A+20>>2];f[B+24>>2]=f[A+24>>2];f[B+28>>2]=f[A+28>>2];A=v+64|0;B=l+(u<<5)|0;f[B>>2]=f[A>>2];f[B+4>>2]=f[A+4>>2];f[B+8>>2]=f[A+8>>2];f[B+12>>2]=f[A+12>>2];f[B+16>>2]=f[A+16>>2];f[B+20>>2]=f[A+20>>2];f[B+24>>2]=f[A+24>>2];f[B+28>>2]=f[A+28>>2];A=x+64|0;B=l+(w<<5)|0;f[B>>2]=f[A>>2];f[B+4>>2]=f[A+4>>2];f[B+8>>2]=f[A+8>>2];f[B+12>>2]=f[A+12>>2];f[B+16>>2]=f[A+16>>2];f[B+20>>2]=f[A+20>>2];f[B+24>>2]=f[A+24>>2];f[B+28>>2]=f[A+28>>2];A=z+64|0;B=l+(y<<5)|0;f[B>>2]=f[A>>2];f[B+4>>2]=f[A+4>>2];f[B+8>>2]=f[A+8>>2];f[B+12>>2]=f[A+12>>2];f[B+16>>2]=f[A+16>>2];f[B+20>>2]=f[A+20>>2];f[B+24>>2]=f[A+24>>2];f[B+28>>2]=f[A+28>>2];A=t+96|0;t=p+(r<<5)|0;f[t>>2]=f[A>>2];f[t+4>>2]=f[A+4>>2];f[t+8>>2]=f[A+8>>2];f[t+12>>2]=f[A+12>>2];f[t+16>>2]=f[A+16>>2];f[t+20>>2]=f[A+20>>2];f[t+24>>2]=f[A+24>>2];f[t+28>>2]=f[A+28>>2];A=v+96|0;v=p+(u<<5)|0;f[v>>2]=f[A>>2];f[v+4>>2]=f[A+4>>2];f[v+8>>2]=f[A+8>>2];f[v+12>>2]=f[A+12>>2];f[v+16>>2]=f[A+16>>2];f[v+20>>2]=f[A+20>>2];f[v+24>>2]=f[A+24>>2];f[v+28>>2]=f[A+28>>2];A=x+96|0;x=p+(w<<5)|0;f[x>>2]=f[A>>2];f[x+4>>2]=f[A+4>>2];f[x+8>>2]=f[A+8>>2];f[x+12>>2]=f[A+12>>2];f[x+16>>2]=f[A+16>>2];f[x+20>>2]=f[A+20>>2];f[x+24>>2]=f[A+24>>2];f[x+28>>2]=f[A+28>>2];A=z+96|0;z=p+(y<<5)|0;f[z>>2]=f[A>>2];f[z+4>>2]=f[A+4>>2];f[z+8>>2]=f[A+8>>2];f[z+12>>2]=f[A+12>>2];f[z+16>>2]=f[A+16>>2];f[z+20>>2]=f[A+20>>2];f[z+24>>2]=f[A+24>>2];f[z+28>>2]=f[A+28>>2];r=r+4|0}while((r|0)<=(j|0));if(q){r=k;do{A=s+(Y(r,b)|0)|0;z=n+(r<<5)|0;f[z>>2]=f[A>>2];f[z+4>>2]=f[A+4>>2];f[z+8>>2]=f[A+8>>2];f[z+12>>2]=f[A+12>>2];f[z+16>>2]=f[A+16>>2];f[z+20>>2]=f[A+20>>2];f[z+24>>2]=f[A+24>>2];f[z+28>>2]=f[A+28>>2];z=A+32|0;y=m+(r<<5)|0;f[y>>2]=f[z>>2];f[y+4>>2]=f[z+4>>2];f[y+8>>2]=f[z+8>>2];f[y+12>>2]=f[z+12>>2];f[y+16>>2]=f[z+16>>2];f[y+20>>2]=f[z+20>>2];f[y+24>>2]=f[z+24>>2];f[y+28>>2]=f[z+28>>2];z=A+64|0;y=l+(r<<5)|0;f[y>>2]=f[z>>2];f[y+4>>2]=f[z+4>>2];f[y+8>>2]=f[z+8>>2];f[y+12>>2]=f[z+12>>2];f[y+16>>2]=f[z+16>>2];f[y+20>>2]=f[z+20>>2];f[y+24>>2]=f[z+24>>2];f[y+28>>2]=f[z+28>>2];z=A+96|0;A=p+(r<<5)|0;f[A>>2]=f[z>>2];f[A+4>>2]=f[z+4>>2];f[A+8>>2]=f[z+8>>2];f[A+12>>2]=f[z+12>>2];f[A+16>>2]=f[z+16>>2];f[A+20>>2]=f[z+20>>2];f[A+24>>2]=f[z+24>>2];f[A+28>>2]=f[z+28>>2];r=r+1|0}while((r|0)!=(h|0))}o=o+4|0}while((o|0)<=(e|0));i=g&-4}while(0);if((i|0)>=(g|0))return;e=h+-4|0;if((h|0)<4){if((h|0)>0)C=i;else return;do{o=c+(Y(C,d)|0)|0;k=a+(C<<5)|0;q=0;do{j=k+(Y(q,b)|0)|0;r=o+(q<<5)|0;f[r>>2]=f[j>>2];f[r+4>>2]=f[j+4>>2];f[r+8>>2]=f[j+8>>2];f[r+12>>2]=f[j+12>>2];f[r+16>>2]=f[j+16>>2];f[r+20>>2]=f[j+20>>2];f[r+24>>2]=f[j+24>>2];f[r+28>>2]=f[j+28>>2];q=q+1|0}while((q|0)!=(h|0));C=C+1|0}while((C|0)!=(g|0));return}C=h&-4;if((C|0)<(h|0))D=i;else{q=i;do{i=c+(Y(q,d)|0)|0;o=a+(q<<5)|0;k=0;do{j=o+(Y(k,b)|0)|0;r=k|1;p=o+(Y(r,b)|0)|0;l=k|2;m=o+(Y(l,b)|0)|0;n=k|3;s=o+(Y(n,b)|0)|0;z=i+(k<<5)|0;f[z>>2]=f[j>>2];f[z+4>>2]=f[j+4>>2];f[z+8>>2]=f[j+8>>2];f[z+12>>2]=f[j+12>>2];f[z+16>>2]=f[j+16>>2];f[z+20>>2]=f[j+20>>2];f[z+24>>2]=f[j+24>>2];f[z+28>>2]=f[j+28>>2];j=i+(r<<5)|0;f[j>>2]=f[p>>2];f[j+4>>2]=f[p+4>>2];f[j+8>>2]=f[p+8>>2];f[j+12>>2]=f[p+12>>2];f[j+16>>2]=f[p+16>>2];f[j+20>>2]=f[p+20>>2];f[j+24>>2]=f[p+24>>2];f[j+28>>2]=f[p+28>>2];p=i+(l<<5)|0;f[p>>2]=f[m>>2];f[p+4>>2]=f[m+4>>2];f[p+8>>2]=f[m+8>>2];f[p+12>>2]=f[m+12>>2];f[p+16>>2]=f[m+16>>2];f[p+20>>2]=f[m+20>>2];f[p+24>>2]=f[m+24>>2];f[p+28>>2]=f[m+28>>2];m=i+(n<<5)|0;f[m>>2]=f[s>>2];f[m+4>>2]=f[s+4>>2];f[m+8>>2]=f[s+8>>2];f[m+12>>2]=f[s+12>>2];f[m+16>>2]=f[s+16>>2];f[m+20>>2]=f[s+20>>2];f[m+24>>2]=f[s+24>>2];f[m+28>>2]=f[s+28>>2];k=k+4|0}while((k|0)<=(e|0));q=q+1|0}while((q|0)!=(g|0));return}do{q=c+(Y(D,d)|0)|0;k=a+(D<<5)|0;i=0;do{o=k+(Y(i,b)|0)|0;s=i|1;m=k+(Y(s,b)|0)|0;n=i|2;p=k+(Y(n,b)|0)|0;l=i|3;j=k+(Y(l,b)|0)|0;r=q+(i<<5)|0;f[r>>2]=f[o>>2];f[r+4>>2]=f[o+4>>2];f[r+8>>2]=f[o+8>>2];f[r+12>>2]=f[o+12>>2];f[r+16>>2]=f[o+16>>2];f[r+20>>2]=f[o+20>>2];f[r+24>>2]=f[o+24>>2];f[r+28>>2]=f[o+28>>2];o=q+(s<<5)|0;f[o>>2]=f[m>>2];f[o+4>>2]=f[m+4>>2];f[o+8>>2]=f[m+8>>2];f[o+12>>2]=f[m+12>>2];f[o+16>>2]=f[m+16>>2];f[o+20>>2]=f[m+20>>2];f[o+24>>2]=f[m+24>>2];f[o+28>>2]=f[m+28>>2];m=q+(n<<5)|0;f[m>>2]=f[p>>2];f[m+4>>2]=f[p+4>>2];f[m+8>>2]=f[p+8>>2];f[m+12>>2]=f[p+12>>2];f[m+16>>2]=f[p+16>>2];f[m+20>>2]=f[p+20>>2];f[m+24>>2]=f[p+24>>2];f[m+28>>2]=f[p+28>>2];p=q+(l<<5)|0;f[p>>2]=f[j>>2];f[p+4>>2]=f[j+4>>2];f[p+8>>2]=f[j+8>>2];f[p+12>>2]=f[j+12>>2];f[p+16>>2]=f[j+16>>2];f[p+20>>2]=f[j+20>>2];f[p+24>>2]=f[j+24>>2];f[p+28>>2]=f[j+28>>2];i=i+4|0}while((i|0)<=(e|0));E=C;do{i=k+(Y(E,b)|0)|0;j=q+(E<<5)|0;f[j>>2]=f[i>>2];f[j+4>>2]=f[i+4>>2];f[j+8>>2]=f[i+8>>2];f[j+12>>2]=f[i+12>>2];f[j+16>>2]=f[i+16>>2];f[j+20>>2]=f[i+20>>2];f[j+24>>2]=f[i+24>>2];f[j+28>>2]=f[i+28>>2];E=E+1|0}while((E|0)!=(h|0));D=D+1|0}while((D|0)!=(g|0));return}function SN(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0;if((d|0)>0)e=0;else return;do{f=a+(Y(e,c)|0)|0;g=a+e|0;e=e+1|0;if((e|0)<(d|0)){h=e;do{i=f+h|0;j=g+(Y(h,c)|0)|0;k=b[i>>0]|0;b[i>>0]=b[j>>0]|0;b[j>>0]=k;h=h+1|0}while((h|0)!=(d|0))}}while((e|0)!=(d|0));return}function TN(a,b,c){a=a|0;b=b|0;c=c|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0;if((c|0)>0)e=0;else return;do{f=a+(Y(e,b)|0)|0;g=a+(e<<1)|0;e=e+1|0;if((e|0)<(c|0)){h=e;do{i=f+(h<<1)|0;j=g+(Y(h,b)|0)|0;k=d[i>>1]|0;d[i>>1]=d[j>>1]|0;d[j>>1]=k;h=h+1|0}while((h|0)!=(c|0))}}while((e|0)!=(c|0));return}function UN(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;if((d|0)>0)e=0;else return;do{f=a+(Y(e,c)|0)|0;g=a+(e*3|0)|0;e=e+1|0;if((e|0)<(d|0)){h=e;do{i=g+(Y(h,c)|0)|0;j=f+(h*3|0)|0;k=b[j>>0]|0;l=b[f+(h*3|0)+1>>0]|0;m=b[f+(h*3|0)+2>>0]|0;b[j>>0]=b[i>>0]|0;b[j+1>>0]=b[i+1>>0]|0;b[j+2>>0]=b[i+2>>0]|0;b[i>>0]=k;b[i+1>>0]=l;b[i+2>>0]=m;h=h+1|0}while((h|0)!=(d|0))}}while((e|0)!=(d|0));return}function VN(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;if((c|0)>0)d=0;else return;do{e=a+(Y(d,b)|0)|0;g=a+(d<<2)|0;d=d+1|0;if((d|0)<(c|0)){h=d;do{i=e+(h<<2)|0;j=g+(Y(h,b)|0)|0;k=f[i>>2]|0;f[i>>2]=f[j>>2];f[j>>2]=k;h=h+1|0}while((h|0)!=(c|0))}}while((d|0)!=(c|0));return}function WN(a,b,c){a=a|0;b=b|0;c=c|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;if((c|0)>0)e=0;else return;do{f=a+(Y(e,b)|0)|0;g=a+(e*6|0)|0;e=e+1|0;if((e|0)<(c|0)){h=e;do{i=f+(h*6|0)|0;j=g+(Y(h,b)|0)|0;k=d[i>>1]|0;l=d[f+(h*6|0)+2>>1]|0;m=d[f+(h*6|0)+4>>1]|0;d[i>>1]=d[j>>1]|0;d[i+2>>1]=d[j+2>>1]|0;d[i+4>>1]=d[j+4>>1]|0;d[j>>1]=k;d[j+2>>1]=l;d[j+4>>1]=m;h=h+1|0}while((h|0)!=(c|0))}}while((e|0)!=(c|0));return}function XN(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;if((c|0)>0)d=0;else return;do{e=a+(Y(d,b)|0)|0;g=a+(d<<3)|0;d=d+1|0;if((d|0)<(c|0)){h=d;do{i=e+(h<<3)|0;j=g+(Y(h,b)|0)|0;k=f[i>>2]|0;l=f[e+(h<<3)+4>>2]|0;m=j;n=f[m+4>>2]|0;o=i;f[o>>2]=f[m>>2];f[o+4>>2]=n;n=j;f[n>>2]=k;f[n+4>>2]=l;h=h+1|0}while((h|0)!=(c|0))}}while((d|0)!=(c|0));return}function YN(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;if((c|0)>0)d=0;else return;do{e=a+(Y(d,b)|0)|0;g=a+(d*12|0)|0;d=d+1|0;if((d|0)<(c|0)){h=d;do{i=e+(h*12|0)|0;j=g+(Y(h,b)|0)|0;k=f[i>>2]|0;l=f[e+(h*12|0)+4>>2]|0;m=f[e+(h*12|0)+8>>2]|0;f[i>>2]=f[j>>2];f[i+4>>2]=f[j+4>>2];f[i+8>>2]=f[j+8>>2];f[j>>2]=k;f[j+4>>2]=l;f[j+8>>2]=m;h=h+1|0}while((h|0)!=(c|0))}}while((d|0)!=(c|0));return}function ZN(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;if((c|0)>0)d=0;else return;do{e=a+(Y(d,b)|0)|0;g=a+(d<<4)|0;d=d+1|0;if((d|0)<(c|0)){h=d;do{i=e+(h<<4)|0;j=g+(Y(h,b)|0)|0;k=f[i>>2]|0;l=f[e+(h<<4)+4>>2]|0;m=f[e+(h<<4)+8>>2]|0;n=f[e+(h<<4)+12>>2]|0;f[i>>2]=f[j>>2];f[i+4>>2]=f[j+4>>2];f[i+8>>2]=f[j+8>>2];f[i+12>>2]=f[j+12>>2];f[j>>2]=k;f[j+4>>2]=l;f[j+8>>2]=m;f[j+12>>2]=n;h=h+1|0}while((h|0)!=(c|0))}}while((d|0)!=(c|0));return}function _N(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;if((c|0)>0)d=0;else return;do{e=a+(Y(d,b)|0)|0;g=a+(d*24|0)|0;d=d+1|0;if((d|0)<(c|0)){h=d;do{i=e+(h*24|0)|0;j=g+(Y(h,b)|0)|0;k=f[i>>2]|0;l=f[e+(h*24|0)+4>>2]|0;m=f[e+(h*24|0)+8>>2]|0;n=f[e+(h*24|0)+12>>2]|0;o=f[e+(h*24|0)+16>>2]|0;p=f[e+(h*24|0)+20>>2]|0;f[i>>2]=f[j>>2];f[i+4>>2]=f[j+4>>2];f[i+8>>2]=f[j+8>>2];f[i+12>>2]=f[j+12>>2];f[i+16>>2]=f[j+16>>2];f[i+20>>2]=f[j+20>>2];f[j>>2]=k;f[j+4>>2]=l;f[j+8>>2]=m;f[j+12>>2]=n;f[j+16>>2]=o;f[j+20>>2]=p;h=h+1|0}while((h|0)!=(c|0))}}while((d|0)!=(c|0));return}function $N(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;if((c|0)>0)d=0;else return;do{e=a+(Y(d,b)|0)|0;g=a+(d<<5)|0;d=d+1|0;if((d|0)<(c|0)){h=d;do{i=e+(h<<5)|0;j=g+(Y(h,b)|0)|0;k=f[i>>2]|0;l=f[e+(h<<5)+4>>2]|0;m=f[e+(h<<5)+8>>2]|0;n=f[e+(h<<5)+12>>2]|0;o=f[e+(h<<5)+16>>2]|0;p=f[e+(h<<5)+20>>2]|0;q=f[e+(h<<5)+24>>2]|0;r=f[e+(h<<5)+28>>2]|0;f[i>>2]=f[j>>2];f[i+4>>2]=f[j+4>>2];f[i+8>>2]=f[j+8>>2];f[i+12>>2]=f[j+12>>2];f[i+16>>2]=f[j+16>>2];f[i+20>>2]=f[j+20>>2];f[i+24>>2]=f[j+24>>2];f[i+28>>2]=f[j+28>>2];f[j>>2]=k;f[j+4>>2]=l;f[j+8>>2]=m;f[j+12>>2]=n;f[j+16>>2]=o;f[j+20>>2]=p;f[j+24>>2]=q;f[j+28>>2]=r;h=h+1|0}while((h|0)!=(c|0))}}while((d|0)!=(c|0));return}function aO(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;d=u;u=u+80|0;e=d+72|0;g=d+16|0;h=d;gV(e,38416);do if((qJ(a)|0)==65536){i=f[a+4>>2]|0;f[g>>2]=f[i>>2];j=g+4|0;k=i+4|0;f[j>>2]=f[k>>2];l=g+8|0;f[l>>2]=f[i+8>>2];f[g+12>>2]=f[i+12>>2];f[g+16>>2]=f[i+16>>2];f[g+20>>2]=f[i+20>>2];f[g+24>>2]=f[i+24>>2];f[g+28>>2]=f[i+28>>2];f[g+32>>2]=f[i+32>>2];m=f[i+36>>2]|0;f[g+36>>2]=m;f[g+40>>2]=l;l=g+48|0;n=g+44|0;f[n>>2]=l;f[l>>2]=0;f[g+52>>2]=0;if(m|0){o=m+12|0;f[o>>2]=(f[o>>2]|0)+1}if((f[k>>2]|0)<3){k=f[i+44>>2]|0;o=f[n>>2]|0;f[o>>2]=f[k>>2];f[o+4>>2]=f[k+4>>2];p=j;q=l;break}else{f[j>>2]=0;$T(g,i);p=j;q=l;break}}else{nJ(g,a,-1);p=g+4|0;q=g+48|0}while(0);a=f[q>>2]|0;l=f[p>>2]|0;if((l|0)>0)if((l|0)<3)r=f[(f[g+44>>2]|0)+(l+-1<<2)>>2]|0;else{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;s=cuc(32)|0;f[h>>2]=s;t=h+8|0;f[t>>2]=-2147483616;v=h+4|0;f[v>>2]=31;w=s;x=212531;y=w+31|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));z=s+31|0;b[z>>0]=0;WD(-215,h,212563,211903,547)}else r=0;l=f[g+8>>2]|0;if((l|0)!=(f[g+12>>2]|0)){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;s=cuc(32)|0;f[h>>2]=s;t=h+8|0;f[t>>2]=-2147483616;v=h+4|0;f[v>>2]=31;w=s;x=212531;y=w+31|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));z=s+31|0;b[z>>0]=0;WD(-215,h,212563,211903,547)}h=g+16|0;z=f[h>>2]|0;s=g+44|0;if((l|0)>0)if(c){c=0;do{x=c;c=c+1|0;if((c|0)<(l|0)){w=Y(x,a)|0;y=Y(x,r)|0;x=c;do{szc(z+((Y(x,r)|0)+w)|0,z+((Y(x,a)|0)+y)|0,r|0)|0;x=x+1|0}while((x|0)!=(l|0))}}while((c|0)!=(l|0))}else{c=0;do{if((c|0)>0){x=Y(c,a)|0;y=Y(c,r)|0;w=0;do{szc(z+((Y(w,r)|0)+x)|0,z+((Y(w,a)|0)+y)|0,r|0)|0;w=w+1|0}while((w|0)!=(c|0))}c=c+1|0}while((c|0)!=(l|0))}l=g+36|0;c=f[l>>2]|0;if(c|0?(r=c+12|0,c=f[r>>2]|0,f[r>>2]=c+-1,(c|0)==1):0)aU(g);f[l>>2]=0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;if((f[p>>2]|0)>0){h=f[g+40>>2]|0;g=0;do{f[h+(g<<2)>>2]=0;g=g+1|0}while((g|0)<(f[p>>2]|0))}p=f[s>>2]|0;if((p|0)!=(q|0))TC(p);if(!(f[e+4>>2]|0)){u=d;return}u=d;return}function bO(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0;h=u;u=u+272|0;i=h+224|0;j=h+216|0;k=h+168|0;l=h+112|0;m=h+56|0;n=h;gV(j,38436);if((AJ(a,-1)|0)>=3){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;o=cuc(32)|0;f[i>>2]=o;f[i+8>>2]=-2147483616;f[i+4>>2]=16;p=o;q=212622;r=p+16|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(r|0));b[o+16>>0]=0;WD(-215,i,212639,211903,969)}o=pJ(a,-1)|0;s=o&7;t=o&4088;if((g|0)<0)if(iK(c)|0)v=pJ(c,-1)|0;else v=o;else v=g;g=(v|0)>-1?v:o;v=g&7;w=v|t;x=(e|0)==1;if(e>>>0>=4){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;y=cuc(96)|0;f[i>>2]=y;f[i+8>>2]=-2147483552;f[i+4>>2]=88;p=y;q=212646;r=p+88|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(r|0));b[y+88>>0]=0;WD(-215,i,212639,211903,979)}f[k>>2]=1124007936;y=k+4|0;z=k+8|0;A=k+20|0;B=k+24|0;C=k+28|0;D=k+32|0;f[y>>2]=0;f[y+4>>2]=0;f[y+8>>2]=0;f[y+12>>2]=0;f[y+16>>2]=0;f[y+20>>2]=0;f[y+24>>2]=0;f[D>>2]=z;E=k+40|0;f[k+36>>2]=E;f[k+44>>2]=0;f[E>>2]=0;if((qJ(a)|0)==655360){rJ(i,a,-1);F=f[B>>2]|0;if(F|0?(G=F+8|0,F=f[G>>2]|0,f[G>>2]=F+-1,(F|0)==1):0)WH(k);if((f[y>>2]|0)>0){F=f[D>>2]|0;G=0;do{f[F+(G<<2)>>2]=0;G=G+1|0}while((G|0)<(f[y>>2]|0))}f[k>>2]=f[i>>2];G=i+4|0;F=f[G>>2]|0;f[y>>2]=F;y=i+8|0;f[z>>2]=f[y>>2];f[k+12>>2]=f[i+12>>2];f[k+16>>2]=f[i+16>>2];f[A>>2]=f[i+20>>2];A=i+24|0;f[B>>2]=f[A>>2];B=i+28|0;f[C>>2]=f[B>>2];C=k+36|0;H=f[C>>2]|0;if((H|0)==(E|0))I=F;else{TC(H);f[C>>2]=E;f[D>>2]=z;I=f[G>>2]|0}z=i+36|0;if((I|0)<3){I=f[z>>2]|0;f[E>>2]=f[I>>2];f[k+44>>2]=f[I+4>>2]}else{f[C>>2]=f[z>>2];C=i+32|0;f[k+32>>2]=f[C>>2];f[z>>2]=i+40;f[C>>2]=y}f[i>>2]=1124007936;f[A>>2]=0;f[B>>2]=0;f[G>>2]=0;f[G+4>>2]=0;f[G+8>>2]=0;f[G+12>>2]=0;VH(i)}do if((qJ(a)|0)==65536){G=f[a+4>>2]|0;f[l>>2]=f[G>>2];B=l+4|0;A=G+4|0;f[B>>2]=f[A>>2];y=l+8|0;f[y>>2]=f[G+8>>2];C=l+12|0;f[C>>2]=f[G+12>>2];f[l+16>>2]=f[G+16>>2];f[l+20>>2]=f[G+20>>2];f[l+24>>2]=f[G+24>>2];f[l+28>>2]=f[G+28>>2];f[l+32>>2]=f[G+32>>2];z=f[G+36>>2]|0;f[l+36>>2]=z;f[l+40>>2]=y;I=l+48|0;E=l+44|0;f[E>>2]=I;f[I>>2]=0;f[l+52>>2]=0;if(z|0){I=z+12|0;f[I>>2]=(f[I>>2]|0)+1}if((f[A>>2]|0)<3){A=f[G+44>>2]|0;I=f[E>>2]|0;f[I>>2]=f[A>>2];f[I+4>>2]=f[A+4>>2];J=C;K=y;break}else{f[B>>2]=0;$T(l,G);J=C;K=y;break}}else{nJ(l,a,-1);J=l+12|0;K=l+8|0}while(0);a=(d|0)==0;jK(c,a?1:f[K>>2]|0,a?f[J>>2]|0:1,w,-1,0,0);do if((qJ(c)|0)==65536){w=f[c+4>>2]|0;f[m>>2]=f[w>>2];d=m+4|0;y=w+4|0;f[d>>2]=f[y>>2];C=m+8|0;f[C>>2]=f[w+8>>2];G=m+12|0;f[G>>2]=f[w+12>>2];B=m+16|0;f[B>>2]=f[w+16>>2];A=m+20|0;f[A>>2]=f[w+20>>2];I=m+24|0;f[I>>2]=f[w+24>>2];E=m+28|0;f[E>>2]=f[w+28>>2];z=m+32|0;f[z>>2]=f[w+32>>2];D=m+36|0;H=f[w+36>>2]|0;f[D>>2]=H;f[m+40>>2]=C;F=m+48|0;L=m+44|0;f[L>>2]=F;f[F>>2]=0;f[m+52>>2]=0;if(H|0){F=H+12|0;f[F>>2]=(f[F>>2]|0)+1}if((f[y>>2]|0)<3){y=f[w+44>>2]|0;F=f[L>>2]|0;f[F>>2]=f[y>>2];f[F+4>>2]=f[y+4>>2];M=m;N=d;O=C;P=G;Q=B;R=B;S=A;T=I;U=E;V=z;W=D;X=D;break}else{f[d>>2]=0;$T(m,w);M=m;N=d;O=C;P=G;Q=B;R=B;S=A;T=I;U=E;V=z;W=D;X=D;break}}else{nJ(m,c,-1);D=m+16|0;z=m+36|0;M=m;N=m+4|0;O=m+8|0;P=m+12|0;Q=D;R=D;S=m+20|0;T=m+24|0;U=m+28|0;V=m+32|0;W=z;X=z}while(0);f[n>>2]=f[M>>2];c=n+4|0;z=f[N>>2]|0;f[c>>2]=z;D=n+8|0;f[D>>2]=f[O>>2];E=n+12|0;f[E>>2]=f[P>>2];I=n+16|0;f[I>>2]=f[R>>2];f[n+20>>2]=f[S>>2];f[n+24>>2]=f[T>>2];f[n+28>>2]=f[U>>2];f[n+32>>2]=f[V>>2];V=n+36|0;U=f[X>>2]|0;f[V>>2]=U;X=n+40|0;f[X>>2]=D;T=n+48|0;S=n+44|0;f[S>>2]=T;f[T>>2]=0;f[n+52>>2]=0;if(!U)Y=z;else{z=U+12|0;f[z>>2]=(f[z>>2]|0)+1;Y=f[N>>2]|0}if((Y|0)<3){Y=f[m+44>>2]|0;z=f[S>>2]|0;f[z>>2]=f[Y>>2];f[z+4>>2]=f[Y+4>>2]}else{f[c>>2]=0;$T(n,m)}do if(x)if(!((g|o)&4)){Y=f[O>>2]|0;z=f[P>>2]|0;U=t|4;if(((f[c>>2]|0)<3?(f[D>>2]|0)==(Y|0):0)&(f[E>>2]|0)==(z|0)?!((f[I>>2]|0)==0?1:(f[n>>2]&4095|0)!=(U|0)):0){Z=4;_=0;break}f[i>>2]=Y;f[i+4>>2]=z;ZT(n,2,i,U);Z=4;_=0}else{Z=v;_=0}else{Z=v;_=e}while(0);e=(_|0)==0;a:do if(a){if(e){v=(s|0)==0;if(v&(Z|0)==4){$=1042;break}E=(Z|0)==5;if(v&E){$=1043;break}D=(Z|0)==6;if(v&D){$=1044;break}v=(s|0)==2;if(v&E){$=1045;break}if(v&D){$=1046;break}v=(s|0)==3;if(v&E){$=1047;break}if(v&D){$=1048;break}v=(s|0)==5;if(v&E){$=1049;break}if(v&D){$=1050;break}else{aa=(s|0)==6&D?1036:0;ba=84;break}}switch(_|0){case 2:{if(!(Z|s)){$=1051;break a}if((s|0)==2&(Z|0)==2){$=1052;break a}if((s|0)==3&(Z|0)==3){$=1053;break a}if((s|0)==5&(Z|0)==5){$=1054;break a}else{aa=(s|0)==6&(Z|0)==6?1037:0;ba=84;break a}break}case 3:{if(!(Z|s)){$=1055;break a}if((s|0)==2&(Z|0)==2){$=1056;break a}if((s|0)==3&(Z|0)==3){$=1057;break a}if((s|0)==5&(Z|0)==5){$=1058;break a}else{aa=(s|0)==6&(Z|0)==6?1038:0;ba=84;break a}break}default:{f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;ca=cuc(64)|0;f[i>>2]=ca;da=i+8|0;f[da>>2]=-2147483584;ea=i+4|0;f[ea>>2]=57;p=ca;q=212735;r=p+57|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(r|0));fa=ca+57|0;b[fa>>0]=0;WD(-210,i,212639,211903,1111)}}}else{if(e){D=(s|0)==0;if(D&(Z|0)==4){$=1059;break}v=(Z|0)==5;if(D&v){$=1060;break}E=(Z|0)==6;if(D&E){$=1061;break}D=(s|0)==2;if(D&v){$=1062;break}if(D&E){$=1063;break}D=(s|0)==3;if(D&v){$=1064;break}if(D&E){$=1065;break}D=(s|0)==5;if(D&v){$=1066;break}if(D&E){$=1067;break}else{aa=(s|0)==6&E?1039:0;ba=84;break}}switch(_|0){case 2:{if(!(Z|s)){$=1068;break a}if((s|0)==2&(Z|0)==2){$=1069;break a}if((s|0)==3&(Z|0)==3){$=1070;break a}if((s|0)==5&(Z|0)==5){$=1071;break a}else{aa=(s|0)==6&(Z|0)==6?1040:0;ba=84;break a}break}case 3:{if(!(Z|s)){$=1072;break a}if((s|0)==2&(Z|0)==2){$=1073;break a}if((s|0)==3&(Z|0)==3){$=1074;break a}if((s|0)==5&(Z|0)==5){$=1075;break a}else{aa=(s|0)==6&(Z|0)==6?1041:0;ba=84;break a}break}default:{f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;ca=cuc(64)|0;f[i>>2]=ca;da=i+8|0;f[da>>2]=-2147483584;ea=i+4|0;f[ea>>2]=57;p=ca;q=212735;r=p+57|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(r|0));fa=ca+57|0;b[fa>>0]=0;WD(-210,i,212639,211903,1111)}}}while(0);if((ba|0)==84)if(!aa){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;ca=cuc(64)|0;f[i>>2]=ca;da=i+8|0;f[da>>2]=-2147483584;ea=i+4|0;f[ea>>2]=57;p=ca;q=212735;r=p+57|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(r|0));fa=ca+57|0;b[fa>>0]=0;WD(-210,i,212639,211903,1111)}else $=aa;yh[$&2047](l,n);if(x){x=i+8|0;f[x>>2]=0;f[x+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=m;kQ(n,i,f[M>>2]&4095,1.0/+((a?f[K>>2]|0:f[J>>2]|0)|0),0.0)}J=f[V>>2]|0;if(J|0?(K=J+12|0,J=f[K>>2]|0,f[K>>2]=J+-1,(J|0)==1):0)aU(n);f[V>>2]=0;f[I>>2]=0;f[I+4>>2]=0;f[I+8>>2]=0;f[I+12>>2]=0;if((f[c>>2]|0)>0){I=f[X>>2]|0;X=0;do{f[I+(X<<2)>>2]=0;X=X+1|0}while((X|0)<(f[c>>2]|0))}c=f[S>>2]|0;if((c|0)!=(T|0))TC(c);c=f[W>>2]|0;if(c|0?(T=c+12|0,c=f[T>>2]|0,f[T>>2]=c+-1,(c|0)==1):0)aU(m);f[W>>2]=0;f[Q>>2]=0;f[Q+4>>2]=0;f[Q+8>>2]=0;f[Q+12>>2]=0;if((f[N>>2]|0)>0){Q=f[m+40>>2]|0;W=0;do{f[Q+(W<<2)>>2]=0;W=W+1|0}while((W|0)<(f[N>>2]|0))}N=f[m+44>>2]|0;if((N|0)!=(m+48|0))TC(N);N=l+36|0;m=f[N>>2]|0;if(m|0?(W=m+12|0,m=f[W>>2]|0,f[W>>2]=m+-1,(m|0)==1):0)aU(l);f[N>>2]=0;N=l+16|0;m=l+4|0;f[N>>2]=0;f[N+4>>2]=0;f[N+8>>2]=0;f[N+12>>2]=0;if((f[m>>2]|0)>0){N=f[l+40>>2]|0;W=0;do{f[N+(W<<2)>>2]=0;W=W+1|0}while((W|0)<(f[m>>2]|0))}m=f[l+44>>2]|0;if((m|0)!=(l+48|0))TC(m);VH(k);if(!(f[j+4>>2]|0)){u=h;return}u=h;return}function cO(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0.0,y=0;c=u;u=u+1104|0;d=c;e=f[a+40>>2]|0;g=f[e>>2]|0;h=Y(((f[a>>2]|0)>>>3&511)+1|0,f[e+4>>2]|0)|0;e=d+8|0;f[d>>2]=e;i=d+4|0;f[i>>2]=h;if(h>>>0>136){j=euc(h>>>0>536870911?-1:h<<3)|0;f[d>>2]=j;k=j}else k=e;j=f[b+16>>2]|0;b=f[a+16>>2]|0;l=(f[a+48>>2]|0)>>>3;a=(h|0)>0;if(a){m=0;do{p[k+(m<<3)>>3]=+p[b+(m<<3)>>3];m=m+1|0}while((m|0)!=(h|0))}m=g+-1|0;a:do if(m|0){g=h+-4|0;if((h|0)<4){n=b;o=m;while(1){n=n+(l<<3)|0;if(a){q=0;do{r=k+(q<<3)|0;p[r>>3]=+p[r>>3]+ +p[n+(q<<3)>>3];q=q+1|0}while((q|0)!=(h|0))}o=o+-1|0;if(!o)break a}}o=h&-4;n=(o|0)<(h|0);q=b;r=m;do{q=q+(l<<3)|0;s=0;do{t=k+(s<<3)|0;v=s|1;w=k+(v<<3)|0;x=+p[w>>3]+ +p[q+(v<<3)>>3];p[t>>3]=+p[t>>3]+ +p[q+(s<<3)>>3];p[w>>3]=x;w=s|2;t=k+(w<<3)|0;v=s|3;y=k+(v<<3)|0;x=+p[y>>3]+ +p[q+(v<<3)>>3];p[t>>3]=+p[t>>3]+ +p[q+(w<<3)>>3];p[y>>3]=x;s=s+4|0}while((s|0)<=(g|0));if(n){s=o;do{y=k+(s<<3)|0;p[y>>3]=+p[y>>3]+ +p[q+(s<<3)>>3];s=s+1|0}while((s|0)!=(h|0))}r=r+-1|0}while((r|0)!=0)}while(0);if(a){a=0;do{p[j+(a<<3)>>3]=+p[k+(a<<3)>>3];a=a+1|0}while((a|0)!=(h|0))}if((k|0)==(e|0)){u=c;return}guc(k);f[d>>2]=e;f[i>>2]=136;u=c;return}function dO(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0.0,t=0.0,v=0,w=0,x=0,y=0,z=0.0,A=0.0;c=u;u=u+1104|0;d=c;e=f[a+40>>2]|0;g=f[e>>2]|0;h=Y(((f[a>>2]|0)>>>3&511)+1|0,f[e+4>>2]|0)|0;e=d+8|0;f[d>>2]=e;i=d+4|0;f[i>>2]=h;if(h>>>0>136){j=euc(h>>>0>536870911?-1:h<<3)|0;f[d>>2]=j;k=j}else k=e;j=f[b+16>>2]|0;b=f[a+16>>2]|0;l=(f[a+48>>2]|0)>>>3;a=(h|0)>0;if(a){m=0;do{p[k+(m<<3)>>3]=+p[b+(m<<3)>>3];m=m+1|0}while((m|0)!=(h|0))}m=g+-1|0;a:do if(m|0){g=h+-4|0;if((h|0)<4){n=b;o=m;while(1){n=n+(l<<3)|0;if(a){q=0;do{r=k+(q<<3)|0;s=+p[r>>3];t=+p[n+(q<<3)>>3];p[r>>3]=s<t?t:s;q=q+1|0}while((q|0)!=(h|0))}o=o+-1|0;if(!o)break a}}o=h&-4;n=(o|0)<(h|0);q=b;r=m;do{q=q+(l<<3)|0;v=0;do{w=k+(v<<3)|0;s=+p[w>>3];t=+p[q+(v<<3)>>3];x=v|1;y=k+(x<<3)|0;z=+p[y>>3];A=+p[q+(x<<3)>>3];p[w>>3]=s<t?t:s;p[y>>3]=z<A?A:z;y=v|2;w=k+(y<<3)|0;z=+p[w>>3];A=+p[q+(y<<3)>>3];y=v|3;x=k+(y<<3)|0;s=+p[x>>3];t=+p[q+(y<<3)>>3];p[w>>3]=z<A?A:z;p[x>>3]=s<t?t:s;v=v+4|0}while((v|0)<=(g|0));if(n){v=o;do{x=k+(v<<3)|0;s=+p[x>>3];t=+p[q+(v<<3)>>3];p[x>>3]=s<t?t:s;v=v+1|0}while((v|0)!=(h|0))}r=r+-1|0}while((r|0)!=0)}while(0);if(a){a=0;do{p[j+(a<<3)>>3]=+p[k+(a<<3)>>3];a=a+1|0}while((a|0)!=(h|0))}if((k|0)==(e|0)){u=c;return}guc(k);f[d>>2]=e;f[i>>2]=136;u=c;return}function eO(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0.0,t=0.0,v=0,w=0,x=0,y=0,z=0.0,A=0.0;c=u;u=u+1104|0;d=c;e=f[a+40>>2]|0;g=f[e>>2]|0;h=Y(((f[a>>2]|0)>>>3&511)+1|0,f[e+4>>2]|0)|0;e=d+8|0;f[d>>2]=e;i=d+4|0;f[i>>2]=h;if(h>>>0>136){j=euc(h>>>0>536870911?-1:h<<3)|0;f[d>>2]=j;k=j}else k=e;j=f[b+16>>2]|0;b=f[a+16>>2]|0;l=(f[a+48>>2]|0)>>>3;a=(h|0)>0;if(a){m=0;do{p[k+(m<<3)>>3]=+p[b+(m<<3)>>3];m=m+1|0}while((m|0)!=(h|0))}m=g+-1|0;a:do if(m|0){g=h+-4|0;if((h|0)<4){n=b;o=m;while(1){n=n+(l<<3)|0;if(a){q=0;do{r=k+(q<<3)|0;s=+p[r>>3];t=+p[n+(q<<3)>>3];p[r>>3]=t<s?t:s;q=q+1|0}while((q|0)!=(h|0))}o=o+-1|0;if(!o)break a}}o=h&-4;n=(o|0)<(h|0);q=b;r=m;do{q=q+(l<<3)|0;v=0;do{w=k+(v<<3)|0;s=+p[w>>3];t=+p[q+(v<<3)>>3];x=v|1;y=k+(x<<3)|0;z=+p[y>>3];A=+p[q+(x<<3)>>3];p[w>>3]=t<s?t:s;p[y>>3]=A<z?A:z;y=v|2;w=k+(y<<3)|0;z=+p[w>>3];A=+p[q+(y<<3)>>3];y=v|3;x=k+(y<<3)|0;s=+p[x>>3];t=+p[q+(y<<3)>>3];p[w>>3]=A<z?A:z;p[x>>3]=t<s?t:s;v=v+4|0}while((v|0)<=(g|0));if(n){v=o;do{x=k+(v<<3)|0;s=+p[x>>3];t=+p[q+(v<<3)>>3];p[x>>3]=t<s?t:s;v=v+1|0}while((v|0)!=(h|0))}r=r+-1|0}while((r|0)!=0)}while(0);if(a){a=0;do{p[j+(a<<3)>>3]=+p[k+(a<<3)>>3];a=a+1|0}while((a|0)!=(h|0))}if((k|0)==(e|0)){u=c;return}guc(k);f[d>>2]=e;f[i>>2]=136;u=c;return}function fO(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,u=0.0,v=0.0,w=0.0,x=0,y=0.0,z=0.0,A=0,B=0.0;c=f[a+40>>2]|0;d=f[c>>2]|0;e=((f[a>>2]|0)>>>3&511)+1|0;g=Y(e,f[c+4>>2]|0)|0;if((d|0)<=0)return;c=f[a+16>>2]|0;h=f[f[a+44>>2]>>2]|0;a=f[b+16>>2]|0;i=f[f[b+44>>2]>>2]|0;b=(g|0)==(e|0);j=e<<1;k=e<<2;l=g-k|0;m=(j|0)>(l|0);n=e*3|0;o=(j|0)<(g|0);q=0;do{r=c+(Y(h,q)|0)|0;s=a+(Y(i,q)|0)|0;a:do if(b){t=0;do{p[s+(t<<3)>>3]=+p[r+(t<<3)>>3];t=t+1|0}while((t|0)!=(e|0))}else{if(m){t=0;while(1){u=+p[r+(t<<3)>>3];v=+p[r+(t+e<<3)>>3];if(o){w=u;x=j;while(1){y=w+ +p[r+(x+t<<3)>>3];x=x+e|0;if((x|0)>=(g|0)){z=y;break}else w=y}}else z=u;p[s+(t<<3)>>3]=v+z;t=t+1|0;if((t|0)==(e|0))break a}}else A=0;do{w=+p[r+(A+e<<3)>>3];y=+p[r+(A<<3)>>3];t=j;do{x=t+A|0;y=y+ +p[r+(x<<3)>>3]+ +p[r+(x+j<<3)>>3];w=w+ +p[r+(x+e<<3)>>3]+ +p[r+(x+n<<3)>>3];t=t+k|0}while((t|0)<=(l|0));if((t|0)<(g|0)){v=y;x=t;while(1){u=v+ +p[r+(x+A<<3)>>3];x=x+e|0;if((x|0)>=(g|0)){B=u;break}else v=u}}else B=y;p[s+(A<<3)>>3]=w+B;A=A+1|0}while((A|0)!=(e|0))}while(0);q=q+1|0}while((q|0)!=(d|0));return}function gO(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,u=0.0,v=0.0,w=0,x=0.0,y=0.0,z=0.0,A=0.0,B=0,C=0.0,D=0.0,E=0.0;c=f[a+40>>2]|0;d=f[c>>2]|0;e=((f[a>>2]|0)>>>3&511)+1|0;g=Y(e,f[c+4>>2]|0)|0;if((d|0)<=0)return;c=f[a+16>>2]|0;h=f[f[a+44>>2]>>2]|0;a=f[b+16>>2]|0;i=f[f[b+44>>2]>>2]|0;b=(g|0)==(e|0);j=e<<1;k=e<<2;l=g-k|0;m=(j|0)>(l|0);n=e*3|0;o=(j|0)<(g|0);q=0;do{r=c+(Y(h,q)|0)|0;s=a+(Y(i,q)|0)|0;a:do if(b){t=0;do{p[s+(t<<3)>>3]=+p[r+(t<<3)>>3];t=t+1|0}while((t|0)!=(e|0))}else{if(m){t=0;while(1){u=+p[r+(t<<3)>>3];v=+p[r+(t+e<<3)>>3];if(o){w=j;x=u;while(1){y=+p[r+(w+t<<3)>>3];z=x<y?y:x;w=w+e|0;if((w|0)>=(g|0)){A=z;break}else x=z}}else A=u;p[s+(t<<3)>>3]=A<v?v:A;t=t+1|0;if((t|0)==(e|0))break a}}else B=0;do{x=+p[r+(B+e<<3)>>3];z=+p[r+(B<<3)>>3];t=j;do{w=t+B|0;y=+p[r+(w<<3)>>3];C=z<y?y:z;y=+p[r+(w+e<<3)>>3];D=x<y?y:x;y=+p[r+(w+j<<3)>>3];z=C<y?y:C;C=+p[r+(w+n<<3)>>3];x=D<C?C:D;t=t+k|0}while((t|0)<=(l|0));if((t|0)<(g|0)){w=t;v=z;while(1){u=+p[r+(w+B<<3)>>3];D=v<u?u:v;w=w+e|0;if((w|0)>=(g|0)){E=D;break}else v=D}}else E=z;p[s+(B<<3)>>3]=E<x?x:E;B=B+1|0}while((B|0)!=(e|0))}while(0);q=q+1|0}while((q|0)!=(d|0));return}function hO(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,u=0.0,v=0.0,w=0,x=0.0,y=0.0,z=0.0,A=0.0,B=0,C=0.0,D=0.0,E=0.0;c=f[a+40>>2]|0;d=f[c>>2]|0;e=((f[a>>2]|0)>>>3&511)+1|0;g=Y(e,f[c+4>>2]|0)|0;if((d|0)<=0)return;c=f[a+16>>2]|0;h=f[f[a+44>>2]>>2]|0;a=f[b+16>>2]|0;i=f[f[b+44>>2]>>2]|0;b=(g|0)==(e|0);j=e<<1;k=e<<2;l=g-k|0;m=(j|0)>(l|0);n=e*3|0;o=(j|0)<(g|0);q=0;do{r=c+(Y(h,q)|0)|0;s=a+(Y(i,q)|0)|0;a:do if(b){t=0;do{p[s+(t<<3)>>3]=+p[r+(t<<3)>>3];t=t+1|0}while((t|0)!=(e|0))}else{if(m){t=0;while(1){u=+p[r+(t<<3)>>3];v=+p[r+(t+e<<3)>>3];if(o){w=j;x=u;while(1){y=+p[r+(w+t<<3)>>3];z=y<x?y:x;w=w+e|0;if((w|0)>=(g|0)){A=z;break}else x=z}}else A=u;p[s+(t<<3)>>3]=v<A?v:A;t=t+1|0;if((t|0)==(e|0))break a}}else B=0;do{x=+p[r+(B+e<<3)>>3];z=+p[r+(B<<3)>>3];t=j;do{w=t+B|0;y=+p[r+(w<<3)>>3];C=y<z?y:z;y=+p[r+(w+e<<3)>>3];D=y<x?y:x;y=+p[r+(w+j<<3)>>3];z=y<C?y:C;C=+p[r+(w+n<<3)>>3];x=C<D?C:D;t=t+k|0}while((t|0)<=(l|0));if((t|0)<(g|0)){w=t;v=z;while(1){u=+p[r+(w+B<<3)>>3];D=u<v?u:v;w=w+e|0;if((w|0)>=(g|0)){E=D;break}else v=D}}else E=z;p[s+(B<<3)>>3]=x<E?x:E;B=B+1|0}while((B|0)!=(e|0))}while(0);q=q+1|0}while((q|0)!=(d|0));return}function iO(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0.0,v=0.0,w=0,x=0.0,y=0.0,z=0.0,A=0.0,B=0,C=0.0,D=0.0,E=0.0;c=f[a+40>>2]|0;d=f[c>>2]|0;e=((f[a>>2]|0)>>>3&511)+1|0;g=Y(e,f[c+4>>2]|0)|0;if((d|0)<=0)return;c=f[a+16>>2]|0;h=f[f[a+44>>2]>>2]|0;a=f[b+16>>2]|0;i=f[f[b+44>>2]>>2]|0;b=(g|0)==(e|0);j=e<<1;k=e<<2;l=g-k|0;m=(j|0)>(l|0);o=e*3|0;p=(j|0)<(g|0);q=0;do{r=c+(Y(h,q)|0)|0;s=a+(Y(i,q)|0)|0;a:do if(b){t=0;do{f[s+(t<<2)>>2]=f[r+(t<<2)>>2];t=t+1|0}while((t|0)!=(e|0))}else{if(m){t=0;while(1){u=+n[r+(t<<2)>>2];v=+n[r+(t+e<<2)>>2];if(p){w=j;x=u;while(1){y=+n[r+(w+t<<2)>>2];z=y<x?y:x;w=w+e|0;if((w|0)>=(g|0)){A=z;break}else x=z}}else A=u;n[s+(t<<2)>>2]=v<A?v:A;t=t+1|0;if((t|0)==(e|0))break a}}else B=0;do{x=+n[r+(B+e<<2)>>2];z=+n[r+(B<<2)>>2];t=j;do{w=t+B|0;y=+n[r+(w<<2)>>2];C=y<z?y:z;y=+n[r+(w+e<<2)>>2];D=y<x?y:x;y=+n[r+(w+j<<2)>>2];z=y<C?y:C;C=+n[r+(w+o<<2)>>2];x=C<D?C:D;t=t+k|0}while((t|0)<=(l|0));if((t|0)<(g|0)){w=t;v=z;while(1){u=+n[r+(w+B<<2)>>2];D=u<v?u:v;w=w+e|0;if((w|0)>=(g|0)){E=D;break}else v=D}}else E=z;n[s+(B<<2)>>2]=x<E?x:E;B=B+1|0}while((B|0)!=(e|0))}while(0);q=q+1|0}while((q|0)!=(d|0));return}function jO(a,b){a=a|0;b=b|0;var c=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;c=f[a+40>>2]|0;e=f[c>>2]|0;g=((f[a>>2]|0)>>>3&511)+1|0;h=Y(g,f[c+4>>2]|0)|0;if((e|0)<=0)return;c=f[a+16>>2]|0;i=f[f[a+44>>2]>>2]|0;a=f[b+16>>2]|0;j=f[f[b+44>>2]>>2]|0;b=(h|0)==(g|0);k=g<<1;l=g<<2;m=h-l|0;n=(k|0)>(m|0);o=g*3|0;p=(k|0)<(h|0);q=0;do{r=c+(Y(i,q)|0)|0;s=a+(Y(j,q)|0)|0;a:do if(b){t=0;do{d[s+(t<<1)>>1]=d[r+(t<<1)>>1]|0;t=t+1|0}while((t|0)!=(g|0))}else{if(n){t=0;while(1){u=d[r+(t<<1)>>1]|0;v=d[r+(t+g<<1)>>1]|0;if(p){w=k;x=u;while(1){y=d[r+(w+t<<1)>>1]|0;z=y<<16>>16<x<<16>>16?y:x;w=w+g|0;if((w|0)>=(h|0)){A=z;break}else x=z}}else A=u;d[s+(t<<1)>>1]=v<<16>>16<A<<16>>16?v:A;t=t+1|0;if((t|0)==(g|0))break a}}else B=0;do{t=d[r+(B+g<<1)>>1]|0;x=d[r+(B<<1)>>1]|0;w=k;do{z=w+B|0;y=d[r+(z<<1)>>1]|0;C=y<<16>>16<x<<16>>16?y:x;y=d[r+(z+g<<1)>>1]|0;D=y<<16>>16<t<<16>>16?y:t;y=d[r+(z+k<<1)>>1]|0;x=y<<16>>16<C<<16>>16?y:C;C=d[r+(z+o<<1)>>1]|0;t=C<<16>>16<D<<16>>16?C:D;w=w+l|0}while((w|0)<=(m|0));if((w|0)<(h|0)){v=w;u=x;while(1){D=d[r+(v+B<<1)>>1]|0;C=D<<16>>16<u<<16>>16?D:u;v=v+g|0;if((v|0)>=(h|0)){E=C;break}else u=C}}else E=x;d[s+(B<<1)>>1]=t<<16>>16<E<<16>>16?t:E;B=B+1|0}while((B|0)!=(g|0))}while(0);q=q+1|0}while((q|0)!=(e|0));return}function kO(a,b){a=a|0;b=b|0;var c=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;c=f[a+40>>2]|0;e=f[c>>2]|0;g=((f[a>>2]|0)>>>3&511)+1|0;h=Y(g,f[c+4>>2]|0)|0;if((e|0)<=0)return;c=f[a+16>>2]|0;i=f[f[a+44>>2]>>2]|0;a=f[b+16>>2]|0;j=f[f[b+44>>2]>>2]|0;b=(h|0)==(g|0);k=g<<1;l=g<<2;m=h-l|0;n=(k|0)>(m|0);o=g*3|0;p=(k|0)<(h|0);q=0;do{r=c+(Y(i,q)|0)|0;s=a+(Y(j,q)|0)|0;a:do if(b){t=0;do{d[s+(t<<1)>>1]=d[r+(t<<1)>>1]|0;t=t+1|0}while((t|0)!=(g|0))}else{if(n){t=0;while(1){u=d[r+(t<<1)>>1]|0;v=d[r+(t+g<<1)>>1]|0;if(p){w=k;x=u;while(1){y=d[r+(w+t<<1)>>1]|0;z=(y&65535)<(x&65535)?y:x;w=w+g|0;if((w|0)>=(h|0)){A=z;break}else x=z}}else A=u;d[s+(t<<1)>>1]=(v&65535)<(A&65535)?v:A;t=t+1|0;if((t|0)==(g|0))break a}}else B=0;do{t=d[r+(B+g<<1)>>1]|0;x=d[r+(B<<1)>>1]|0;w=k;do{z=w+B|0;y=d[r+(z<<1)>>1]|0;C=(y&65535)<(x&65535)?y:x;y=d[r+(z+g<<1)>>1]|0;D=(y&65535)<(t&65535)?y:t;y=d[r+(z+k<<1)>>1]|0;x=(y&65535)<(C&65535)?y:C;C=d[r+(z+o<<1)>>1]|0;t=(C&65535)<(D&65535)?C:D;w=w+l|0}while((w|0)<=(m|0));if((w|0)<(h|0)){v=w;u=x;while(1){D=d[r+(v+B<<1)>>1]|0;C=(D&65535)<(u&65535)?D:u;v=v+g|0;if((v|0)>=(h|0)){E=C;break}else u=C}}else E=x;d[s+(B<<1)>>1]=(t&65535)<(E&65535)?t:E;B=B+1|0}while((B|0)!=(g|0))}while(0);q=q+1|0}while((q|0)!=(e|0));return}function lO(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;d=f[a+40>>2]|0;e=f[d>>2]|0;g=((f[a>>2]|0)>>>3&511)+1|0;i=Y(g,f[d+4>>2]|0)|0;if((e|0)<=0)return;d=a+16|0;j=a+44|0;a=c+16|0;k=c+44|0;c=(i|0)==(g|0);l=g<<1;m=g<<2;n=i-m|0;o=(l|0)>(n|0);p=g*3|0;q=(l|0)<(i|0);r=0;do{s=(f[d>>2]|0)+(Y(f[f[j>>2]>>2]|0,r)|0)|0;t=(f[a>>2]|0)+(Y(f[f[k>>2]>>2]|0,r)|0)|0;a:do if(c){u=0;do{b[t+u>>0]=b[s+u>>0]|0;u=u+1|0}while((u|0)!=(g|0))}else{if(o){u=0;while(1){v=b[s+u>>0]|0;w=b[s+(u+g)>>0]|0;if(q){x=v;y=l;while(1){z=x&255;A=z-(h[230562+((z|256)-(h[s+(y+u)>>0]|0))>>0]|0)&255;y=y+g|0;if((y|0)>=(i|0)){B=A;break}else x=A}}else B=v;x=B&255;b[t+u>>0]=x-(h[230562+((x|256)-(w&255))>>0]|0);u=u+1|0;if((u|0)==(g|0))break a}}else C=0;do{u=b[s+(C+g)>>0]|0;x=b[s+C>>0]|0;y=l;while(1){A=y+C|0;z=x&255;D=z-(h[230562+((z|256)-(h[s+A>>0]|0))>>0]|0)|0;z=u&255;E=z-(h[230562+((z|256)-(h[s+(A+g)>>0]|0))>>0]|0)|0;F=D-(h[230562+((D&255|256)-(h[s+(A+l)>>0]|0))>>0]|0)|0;G=E-(h[230562+((E&255|256)-(h[s+(A+p)>>0]|0))>>0]|0)|0;y=y+m|0;if((y|0)>(n|0))break;else{u=G&255;x=F&255}}if((y|0)<(i|0)){x=F;u=y;while(1){w=x&255;v=w-(h[230562+((w|256)-(h[s+(u+C)>>0]|0))>>0]|0)|0;u=u+g|0;if((u|0)>=(i|0)){H=v;break}else x=v}}else H=F;b[t+C>>0]=H-(h[230562+((H&255|256)-(G&255))>>0]|0);C=C+1|0}while((C|0)!=(g|0))}while(0);r=r+1|0}while((r|0)!=(e|0));return}function mO(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0.0,v=0.0,w=0,x=0.0,y=0.0,z=0.0,A=0.0,B=0,C=0.0,D=0.0,E=0.0;c=f[a+40>>2]|0;d=f[c>>2]|0;e=((f[a>>2]|0)>>>3&511)+1|0;g=Y(e,f[c+4>>2]|0)|0;if((d|0)<=0)return;c=f[a+16>>2]|0;h=f[f[a+44>>2]>>2]|0;a=f[b+16>>2]|0;i=f[f[b+44>>2]>>2]|0;b=(g|0)==(e|0);j=e<<1;k=e<<2;l=g-k|0;m=(j|0)>(l|0);o=e*3|0;p=(j|0)<(g|0);q=0;do{r=c+(Y(h,q)|0)|0;s=a+(Y(i,q)|0)|0;a:do if(b){t=0;do{f[s+(t<<2)>>2]=f[r+(t<<2)>>2];t=t+1|0}while((t|0)!=(e|0))}else{if(m){t=0;while(1){u=+n[r+(t<<2)>>2];v=+n[r+(t+e<<2)>>2];if(p){w=j;x=u;while(1){y=+n[r+(w+t<<2)>>2];z=x<y?y:x;w=w+e|0;if((w|0)>=(g|0)){A=z;break}else x=z}}else A=u;n[s+(t<<2)>>2]=A<v?v:A;t=t+1|0;if((t|0)==(e|0))break a}}else B=0;do{x=+n[r+(B+e<<2)>>2];z=+n[r+(B<<2)>>2];t=j;do{w=t+B|0;y=+n[r+(w<<2)>>2];C=z<y?y:z;y=+n[r+(w+e<<2)>>2];D=x<y?y:x;y=+n[r+(w+j<<2)>>2];z=C<y?y:C;C=+n[r+(w+o<<2)>>2];x=D<C?C:D;t=t+k|0}while((t|0)<=(l|0));if((t|0)<(g|0)){w=t;v=z;while(1){u=+n[r+(w+B<<2)>>2];D=v<u?u:v;w=w+e|0;if((w|0)>=(g|0)){E=D;break}else v=D}}else E=z;n[s+(B<<2)>>2]=E<x?x:E;B=B+1|0}while((B|0)!=(e|0))}while(0);q=q+1|0}while((q|0)!=(d|0));return}function nO(a,b){a=a|0;b=b|0;var c=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;c=f[a+40>>2]|0;e=f[c>>2]|0;g=((f[a>>2]|0)>>>3&511)+1|0;h=Y(g,f[c+4>>2]|0)|0;if((e|0)<=0)return;c=f[a+16>>2]|0;i=f[f[a+44>>2]>>2]|0;a=f[b+16>>2]|0;j=f[f[b+44>>2]>>2]|0;b=(h|0)==(g|0);k=g<<1;l=g<<2;m=h-l|0;n=(k|0)>(m|0);o=g*3|0;p=(k|0)<(h|0);q=0;do{r=c+(Y(i,q)|0)|0;s=a+(Y(j,q)|0)|0;a:do if(b){t=0;do{d[s+(t<<1)>>1]=d[r+(t<<1)>>1]|0;t=t+1|0}while((t|0)!=(g|0))}else{if(n){t=0;while(1){u=d[r+(t<<1)>>1]|0;v=d[r+(t+g<<1)>>1]|0;if(p){w=k;x=u;while(1){y=d[r+(w+t<<1)>>1]|0;z=x<<16>>16<y<<16>>16?y:x;w=w+g|0;if((w|0)>=(h|0)){A=z;break}else x=z}}else A=u;d[s+(t<<1)>>1]=A<<16>>16<v<<16>>16?v:A;t=t+1|0;if((t|0)==(g|0))break a}}else B=0;do{t=d[r+(B+g<<1)>>1]|0;x=d[r+(B<<1)>>1]|0;w=k;do{z=w+B|0;y=d[r+(z<<1)>>1]|0;C=x<<16>>16<y<<16>>16?y:x;y=d[r+(z+g<<1)>>1]|0;D=t<<16>>16<y<<16>>16?y:t;y=d[r+(z+k<<1)>>1]|0;x=C<<16>>16<y<<16>>16?y:C;C=d[r+(z+o<<1)>>1]|0;t=D<<16>>16<C<<16>>16?C:D;w=w+l|0}while((w|0)<=(m|0));if((w|0)<(h|0)){v=w;u=x;while(1){D=d[r+(v+B<<1)>>1]|0;C=u<<16>>16<D<<16>>16?D:u;v=v+g|0;if((v|0)>=(h|0)){E=C;break}else u=C}}else E=x;d[s+(B<<1)>>1]=E<<16>>16<t<<16>>16?t:E;B=B+1|0}while((B|0)!=(g|0))}while(0);q=q+1|0}while((q|0)!=(e|0));return}function oO(a,b){a=a|0;b=b|0;var c=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;c=f[a+40>>2]|0;e=f[c>>2]|0;g=((f[a>>2]|0)>>>3&511)+1|0;h=Y(g,f[c+4>>2]|0)|0;if((e|0)<=0)return;c=f[a+16>>2]|0;i=f[f[a+44>>2]>>2]|0;a=f[b+16>>2]|0;j=f[f[b+44>>2]>>2]|0;b=(h|0)==(g|0);k=g<<1;l=g<<2;m=h-l|0;n=(k|0)>(m|0);o=g*3|0;p=(k|0)<(h|0);q=0;do{r=c+(Y(i,q)|0)|0;s=a+(Y(j,q)|0)|0;a:do if(b){t=0;do{d[s+(t<<1)>>1]=d[r+(t<<1)>>1]|0;t=t+1|0}while((t|0)!=(g|0))}else{if(n){t=0;while(1){u=d[r+(t<<1)>>1]|0;v=d[r+(t+g<<1)>>1]|0;if(p){w=k;x=u;while(1){y=d[r+(w+t<<1)>>1]|0;z=(x&65535)<(y&65535)?y:x;w=w+g|0;if((w|0)>=(h|0)){A=z;break}else x=z}}else A=u;d[s+(t<<1)>>1]=(A&65535)<(v&65535)?v:A;t=t+1|0;if((t|0)==(g|0))break a}}else B=0;do{t=d[r+(B+g<<1)>>1]|0;x=d[r+(B<<1)>>1]|0;w=k;do{z=w+B|0;y=d[r+(z<<1)>>1]|0;C=(x&65535)<(y&65535)?y:x;y=d[r+(z+g<<1)>>1]|0;D=(t&65535)<(y&65535)?y:t;y=d[r+(z+k<<1)>>1]|0;x=(C&65535)<(y&65535)?y:C;C=d[r+(z+o<<1)>>1]|0;t=(D&65535)<(C&65535)?C:D;w=w+l|0}while((w|0)<=(m|0));if((w|0)<(h|0)){v=w;u=x;while(1){D=d[r+(v+B<<1)>>1]|0;C=(u&65535)<(D&65535)?D:u;v=v+g|0;if((v|0)>=(h|0)){E=C;break}else u=C}}else E=x;d[s+(B<<1)>>1]=(E&65535)<(t&65535)?t:E;B=B+1|0}while((B|0)!=(g|0))}while(0);q=q+1|0}while((q|0)!=(e|0));return}function pO(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;d=f[a+40>>2]|0;e=f[d>>2]|0;g=((f[a>>2]|0)>>>3&511)+1|0;i=Y(g,f[d+4>>2]|0)|0;if((e|0)<=0)return;d=a+16|0;j=a+44|0;a=c+16|0;k=c+44|0;c=(i|0)==(g|0);l=g<<1;m=g<<2;n=i-m|0;o=(l|0)>(n|0);p=g*3|0;q=(l|0)<(i|0);r=0;do{s=(f[d>>2]|0)+(Y(f[f[j>>2]>>2]|0,r)|0)|0;t=(f[a>>2]|0)+(Y(f[f[k>>2]>>2]|0,r)|0)|0;a:do if(c){u=0;do{b[t+u>>0]=b[s+u>>0]|0;u=u+1|0}while((u|0)!=(g|0))}else{if(o){u=0;while(1){v=b[s+u>>0]|0;w=b[s+(u+g)>>0]|0;if(q){x=v;y=l;while(1){z=x&255;A=(h[230562+(256-z+(h[s+(y+u)>>0]|0))>>0]|0)+z&255;y=y+g|0;if((y|0)>=(i|0)){B=A;break}else x=A}}else B=v;x=B&255;b[t+u>>0]=(h[230562+((w&255|256)-x)>>0]|0)+x;u=u+1|0;if((u|0)==(g|0))break a}}else C=0;do{u=b[s+(C+g)>>0]|0;x=b[s+C>>0]|0;y=l;while(1){A=y+C|0;z=x&255;D=(h[230562+(256-z+(h[s+A>>0]|0))>>0]|0)+z|0;z=u&255;E=(h[230562+(256-z+(h[s+(A+g)>>0]|0))>>0]|0)+z|0;F=(h[230562+(256-(D&255)+(h[s+(A+l)>>0]|0))>>0]|0)+D|0;G=(h[230562+(256-(E&255)+(h[s+(A+p)>>0]|0))>>0]|0)+E|0;y=y+m|0;if((y|0)>(n|0))break;else{u=G&255;x=F&255}}if((y|0)<(i|0)){x=F;u=y;while(1){w=x&255;v=(h[230562+(256-w+(h[s+(u+C)>>0]|0))>>0]|0)+w|0;u=u+g|0;if((u|0)>=(i|0)){H=v;break}else x=v}}else H=F;b[t+C>>0]=(h[230562+((G&255|256)-(H&255))>>0]|0)+H;C=C+1|0}while((C|0)!=(g|0))}while(0);r=r+1|0}while((r|0)!=(e|0));return}function qO(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,u=0,v=0.0,w=0.0,x=0.0,y=0,z=0.0,A=0.0,B=0,C=0.0;c=f[a+40>>2]|0;d=f[c>>2]|0;e=((f[a>>2]|0)>>>3&511)+1|0;g=Y(e,f[c+4>>2]|0)|0;if((d|0)<=0)return;c=f[a+16>>2]|0;h=f[f[a+44>>2]>>2]|0;a=f[b+16>>2]|0;i=f[f[b+44>>2]>>2]|0;b=(g|0)==(e|0);j=e<<1;k=e<<2;l=g-k|0;m=(j|0)>(l|0);o=e*3|0;q=(j|0)<(g|0);r=0;do{s=c+(Y(h,r)|0)|0;t=a+(Y(i,r)|0)|0;a:do if(b){u=0;do{p[t+(u<<3)>>3]=+n[s+(u<<2)>>2];u=u+1|0}while((u|0)!=(e|0))}else{if(m){u=0;while(1){v=+n[s+(u<<2)>>2];w=+n[s+(u+e<<2)>>2];if(q){x=v;y=j;while(1){z=x+ +n[s+(y+u<<2)>>2];y=y+e|0;if((y|0)>=(g|0)){A=z;break}else x=z}}else A=v;p[t+(u<<3)>>3]=w+A;u=u+1|0;if((u|0)==(e|0))break a}}else B=0;do{x=+n[s+(B+e<<2)>>2];z=+n[s+(B<<2)>>2];u=j;do{y=u+B|0;z=z+ +n[s+(y<<2)>>2]+ +n[s+(y+j<<2)>>2];x=x+ +n[s+(y+e<<2)>>2]+ +n[s+(y+o<<2)>>2];u=u+k|0}while((u|0)<=(l|0));if((u|0)<(g|0)){w=z;y=u;while(1){v=w+ +n[s+(y+B<<2)>>2];y=y+e|0;if((y|0)>=(g|0)){C=v;break}else w=v}}else C=z;p[t+(B<<3)>>3]=x+C;B=B+1|0}while((B|0)!=(e|0))}while(0);r=r+1|0}while((r|0)!=(d|0));return}function rO(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0.0,v=0.0,w=0.0,x=0,y=0.0,z=0.0,A=0,B=0.0;c=f[a+40>>2]|0;d=f[c>>2]|0;e=((f[a>>2]|0)>>>3&511)+1|0;g=Y(e,f[c+4>>2]|0)|0;if((d|0)<=0)return;c=f[a+16>>2]|0;h=f[f[a+44>>2]>>2]|0;a=f[b+16>>2]|0;i=f[f[b+44>>2]>>2]|0;b=(g|0)==(e|0);j=e<<1;k=e<<2;l=g-k|0;m=(j|0)>(l|0);o=e*3|0;p=(j|0)<(g|0);q=0;do{r=c+(Y(h,q)|0)|0;s=a+(Y(i,q)|0)|0;a:do if(b){t=0;do{f[s+(t<<2)>>2]=f[r+(t<<2)>>2];t=t+1|0}while((t|0)!=(e|0))}else{if(m){t=0;while(1){u=+n[r+(t<<2)>>2];v=+n[r+(t+e<<2)>>2];if(p){w=u;x=j;while(1){y=w+ +n[r+(x+t<<2)>>2];x=x+e|0;if((x|0)>=(g|0)){z=y;break}else w=y}}else z=u;n[s+(t<<2)>>2]=v+z;t=t+1|0;if((t|0)==(e|0))break a}}else A=0;do{w=+n[r+(A+e<<2)>>2];y=+n[r+(A<<2)>>2];t=j;do{x=t+A|0;y=y+ +n[r+(x<<2)>>2]+ +n[r+(x+j<<2)>>2];w=w+ +n[r+(x+e<<2)>>2]+ +n[r+(x+o<<2)>>2];t=t+k|0}while((t|0)<=(l|0));if((t|0)<(g|0)){v=y;x=t;while(1){u=v+ +n[r+(x+A<<2)>>2];x=x+e|0;if((x|0)>=(g|0)){B=u;break}else v=u}}else B=y;n[s+(A<<2)>>2]=w+B;A=A+1|0}while((A|0)!=(e|0))}while(0);q=q+1|0}while((q|0)!=(d|0));return}function sO(a,b){a=a|0;b=b|0;var c=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,u=0,v=0.0,w=0.0,x=0.0,y=0,z=0.0,A=0.0,B=0,C=0.0;c=f[a+40>>2]|0;e=f[c>>2]|0;g=((f[a>>2]|0)>>>3&511)+1|0;h=Y(g,f[c+4>>2]|0)|0;if((e|0)<=0)return;c=f[a+16>>2]|0;i=f[f[a+44>>2]>>2]|0;a=f[b+16>>2]|0;j=f[f[b+44>>2]>>2]|0;b=(h|0)==(g|0);k=g<<1;l=g<<2;m=h-l|0;n=(k|0)>(m|0);o=g*3|0;q=(k|0)<(h|0);r=0;do{s=c+(Y(i,r)|0)|0;t=a+(Y(j,r)|0)|0;a:do if(b){u=0;do{p[t+(u<<3)>>3]=+(d[s+(u<<1)>>1]|0);u=u+1|0}while((u|0)!=(g|0))}else{if(n){u=0;while(1){v=+(d[s+(u<<1)>>1]|0);w=+(d[s+(u+g<<1)>>1]|0);if(q){x=v;y=k;while(1){z=x+ +(d[s+(y+u<<1)>>1]|0);y=y+g|0;if((y|0)>=(h|0)){A=z;break}else x=z}}else A=v;p[t+(u<<3)>>3]=w+A;u=u+1|0;if((u|0)==(g|0))break a}}else B=0;do{x=+(d[s+(B+g<<1)>>1]|0);z=+(d[s+(B<<1)>>1]|0);u=k;do{y=u+B|0;z=z+ +(d[s+(y<<1)>>1]|0)+ +(d[s+(y+k<<1)>>1]|0);x=x+ +(d[s+(y+g<<1)>>1]|0)+ +(d[s+(y+o<<1)>>1]|0);u=u+l|0}while((u|0)<=(m|0));if((u|0)<(h|0)){w=z;y=u;while(1){v=w+ +(d[s+(y+B<<1)>>1]|0);y=y+g|0;if((y|0)>=(h|0)){C=v;break}else w=v}}else C=z;p[t+(B<<3)>>3]=x+C;B=B+1|0}while((B|0)!=(g|0))}while(0);r=r+1|0}while((r|0)!=(e|0));return}function tO(a,b){a=a|0;b=b|0;var c=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0.0,w=0.0,x=0.0,y=0,z=0.0,A=0.0,B=0,C=0.0;c=f[a+40>>2]|0;e=f[c>>2]|0;g=((f[a>>2]|0)>>>3&511)+1|0;h=Y(g,f[c+4>>2]|0)|0;if((e|0)<=0)return;c=f[a+16>>2]|0;i=f[f[a+44>>2]>>2]|0;a=f[b+16>>2]|0;j=f[f[b+44>>2]>>2]|0;b=(h|0)==(g|0);k=g<<1;l=g<<2;m=h-l|0;o=(k|0)>(m|0);p=g*3|0;q=(k|0)<(h|0);r=0;do{s=c+(Y(i,r)|0)|0;t=a+(Y(j,r)|0)|0;a:do if(b){u=0;do{n[t+(u<<2)>>2]=+(d[s+(u<<1)>>1]|0);u=u+1|0}while((u|0)!=(g|0))}else{if(o){u=0;while(1){v=+(d[s+(u<<1)>>1]|0);w=+(d[s+(u+g<<1)>>1]|0);if(q){x=v;y=k;while(1){z=x+ +(d[s+(y+u<<1)>>1]|0);y=y+g|0;if((y|0)>=(h|0)){A=z;break}else x=z}}else A=v;n[t+(u<<2)>>2]=w+A;u=u+1|0;if((u|0)==(g|0))break a}}else B=0;do{x=+(d[s+(B+g<<1)>>1]|0);z=+(d[s+(B<<1)>>1]|0);u=k;do{y=u+B|0;z=z+ +(d[s+(y<<1)>>1]|0)+ +(d[s+(y+k<<1)>>1]|0);x=x+ +(d[s+(y+g<<1)>>1]|0)+ +(d[s+(y+p<<1)>>1]|0);u=u+l|0}while((u|0)<=(m|0));if((u|0)<(h|0)){w=z;y=u;while(1){v=w+ +(d[s+(y+B<<1)>>1]|0);y=y+g|0;if((y|0)>=(h|0)){C=v;break}else w=v}}else C=z;n[t+(B<<2)>>2]=x+C;B=B+1|0}while((B|0)!=(g|0))}while(0);r=r+1|0}while((r|0)!=(e|0));return}function uO(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,u=0,v=0.0,w=0.0,x=0.0,y=0,z=0.0,A=0.0,B=0,C=0.0;c=f[a+40>>2]|0;d=f[c>>2]|0;e=((f[a>>2]|0)>>>3&511)+1|0;g=Y(e,f[c+4>>2]|0)|0;if((d|0)<=0)return;c=f[a+16>>2]|0;h=f[f[a+44>>2]>>2]|0;a=f[b+16>>2]|0;i=f[f[b+44>>2]>>2]|0;b=(g|0)==(e|0);k=e<<1;l=e<<2;m=g-l|0;n=(k|0)>(m|0);o=e*3|0;q=(k|0)<(g|0);r=0;do{s=c+(Y(h,r)|0)|0;t=a+(Y(i,r)|0)|0;a:do if(b){u=0;do{p[t+(u<<3)>>3]=+(j[s+(u<<1)>>1]|0);u=u+1|0}while((u|0)!=(e|0))}else{if(n){u=0;while(1){v=+(j[s+(u<<1)>>1]|0);w=+(j[s+(u+e<<1)>>1]|0);if(q){x=v;y=k;while(1){z=x+ +(j[s+(y+u<<1)>>1]|0);y=y+e|0;if((y|0)>=(g|0)){A=z;break}else x=z}}else A=v;p[t+(u<<3)>>3]=w+A;u=u+1|0;if((u|0)==(e|0))break a}}else B=0;do{x=+(j[s+(B+e<<1)>>1]|0);z=+(j[s+(B<<1)>>1]|0);u=k;do{y=u+B|0;z=z+ +(j[s+(y<<1)>>1]|0)+ +(j[s+(y+k<<1)>>1]|0);x=x+ +(j[s+(y+e<<1)>>1]|0)+ +(j[s+(y+o<<1)>>1]|0);u=u+l|0}while((u|0)<=(m|0));if((u|0)<(g|0)){w=z;y=u;while(1){v=w+ +(j[s+(y+B<<1)>>1]|0);y=y+e|0;if((y|0)>=(g|0)){C=v;break}else w=v}}else C=z;p[t+(B<<3)>>3]=x+C;B=B+1|0}while((B|0)!=(e|0))}while(0);r=r+1|0}while((r|0)!=(d|0));return}function vO(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0.0,w=0.0,x=0.0,y=0,z=0.0,A=0.0,B=0,C=0.0;c=f[a+40>>2]|0;d=f[c>>2]|0;e=((f[a>>2]|0)>>>3&511)+1|0;g=Y(e,f[c+4>>2]|0)|0;if((d|0)<=0)return;c=f[a+16>>2]|0;h=f[f[a+44>>2]>>2]|0;a=f[b+16>>2]|0;i=f[f[b+44>>2]>>2]|0;b=(g|0)==(e|0);k=e<<1;l=e<<2;m=g-l|0;o=(k|0)>(m|0);p=e*3|0;q=(k|0)<(g|0);r=0;do{s=c+(Y(h,r)|0)|0;t=a+(Y(i,r)|0)|0;a:do if(b){u=0;do{n[t+(u<<2)>>2]=+(j[s+(u<<1)>>1]|0);u=u+1|0}while((u|0)!=(e|0))}else{if(o){u=0;while(1){v=+(j[s+(u<<1)>>1]|0);w=+(j[s+(u+e<<1)>>1]|0);if(q){x=v;y=k;while(1){z=x+ +(j[s+(y+u<<1)>>1]|0);y=y+e|0;if((y|0)>=(g|0)){A=z;break}else x=z}}else A=v;n[t+(u<<2)>>2]=w+A;u=u+1|0;if((u|0)==(e|0))break a}}else B=0;do{x=+(j[s+(B+e<<1)>>1]|0);z=+(j[s+(B<<1)>>1]|0);u=k;do{y=u+B|0;z=z+ +(j[s+(y<<1)>>1]|0)+ +(j[s+(y+k<<1)>>1]|0);x=x+ +(j[s+(y+e<<1)>>1]|0)+ +(j[s+(y+p<<1)>>1]|0);u=u+l|0}while((u|0)<=(m|0));if((u|0)<(g|0)){w=z;y=u;while(1){v=w+ +(j[s+(y+B<<1)>>1]|0);y=y+e|0;if((y|0)>=(g|0)){C=v;break}else w=v}}else C=z;n[t+(B<<2)>>2]=x+C;B=B+1|0}while((B|0)!=(e|0))}while(0);r=r+1|0}while((r|0)!=(d|0));return}function wO(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;c=f[a+40>>2]|0;d=f[c>>2]|0;e=((f[a>>2]|0)>>>3&511)+1|0;g=Y(e,f[c+4>>2]|0)|0;if((d|0)<=0)return;c=(g|0)==(e|0);i=e<<1;j=e<<2;k=g-j|0;l=(i|0)>(k|0);m=e*3|0;n=f[a+16>>2]|0;o=f[f[a+44>>2]>>2]|0;a=f[b+16>>2]|0;q=f[f[b+44>>2]>>2]|0;b=(i|0)<(g|0);r=0;do{s=n+(Y(o,r)|0)|0;t=a+(Y(q,r)|0)|0;a:do if(c){u=0;do{p[t+(u<<3)>>3]=+(h[s+u>>0]|0);u=u+1|0}while((u|0)!=(e|0))}else{if(l){u=0;while(1){v=h[s+u>>0]|0;w=h[s+(u+e)>>0]|0;if(b){x=v;y=i;while(1){z=(h[s+(y+u)>>0]|0)+x|0;y=y+e|0;if((y|0)>=(g|0)){A=z;break}else x=z}}else A=v;p[t+(u<<3)>>3]=+(A+w|0);u=u+1|0;if((u|0)==(e|0))break a}}else B=0;do{u=h[s+(B+e)>>0]|0;x=h[s+B>>0]|0;y=i;do{z=y+B|0;x=(h[s+z>>0]|0)+x+(h[s+(z+i)>>0]|0)|0;u=(h[s+(z+e)>>0]|0)+u+(h[s+(z+m)>>0]|0)|0;y=y+j|0}while((y|0)<=(k|0));if((y|0)<(g|0)){w=x;v=y;while(1){z=(h[s+(v+B)>>0]|0)+w|0;v=v+e|0;if((v|0)>=(g|0)){C=z;break}else w=z}}else C=x;p[t+(B<<3)>>3]=+(C+u|0);B=B+1|0}while((B|0)!=(e|0))}while(0);r=r+1|0}while((r|0)!=(d|0));return}function xO(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;c=f[a+40>>2]|0;d=f[c>>2]|0;e=((f[a>>2]|0)>>>3&511)+1|0;g=Y(e,f[c+4>>2]|0)|0;if((d|0)<=0)return;c=(g|0)==(e|0);i=e<<1;j=e<<2;k=g-j|0;l=(i|0)>(k|0);m=e*3|0;o=f[a+16>>2]|0;p=f[f[a+44>>2]>>2]|0;a=f[b+16>>2]|0;q=f[f[b+44>>2]>>2]|0;b=(i|0)<(g|0);r=0;do{s=o+(Y(p,r)|0)|0;t=a+(Y(q,r)|0)|0;a:do if(c){u=0;do{n[t+(u<<2)>>2]=+(h[s+u>>0]|0);u=u+1|0}while((u|0)!=(e|0))}else{if(l){u=0;while(1){v=h[s+u>>0]|0;w=h[s+(u+e)>>0]|0;if(b){x=v;y=i;while(1){z=(h[s+(y+u)>>0]|0)+x|0;y=y+e|0;if((y|0)>=(g|0)){A=z;break}else x=z}}else A=v;n[t+(u<<2)>>2]=+(A+w|0);u=u+1|0;if((u|0)==(e|0))break a}}else B=0;do{u=h[s+(B+e)>>0]|0;x=h[s+B>>0]|0;y=i;do{z=y+B|0;x=(h[s+z>>0]|0)+x+(h[s+(z+i)>>0]|0)|0;u=(h[s+(z+e)>>0]|0)+u+(h[s+(z+m)>>0]|0)|0;y=y+j|0}while((y|0)<=(k|0));if((y|0)<(g|0)){w=x;v=y;while(1){z=(h[s+(v+B)>>0]|0)+w|0;v=v+e|0;if((v|0)>=(g|0)){C=z;break}else w=z}}else C=x;n[t+(B<<2)>>2]=+(C+u|0);B=B+1|0}while((B|0)!=(e|0))}while(0);r=r+1|0}while((r|0)!=(d|0));return}function yO(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;c=f[a+40>>2]|0;d=f[c>>2]|0;e=((f[a>>2]|0)>>>3&511)+1|0;g=Y(e,f[c+4>>2]|0)|0;if((d|0)<=0)return;c=(g|0)==(e|0);i=e<<1;j=e<<2;k=g-j|0;l=(i|0)>(k|0);m=e*3|0;n=f[a+16>>2]|0;o=f[a+44>>2]|0;a=f[b+16>>2]|0;p=f[b+44>>2]|0;b=(i|0)<(g|0);q=0;do{r=n+(Y(f[o>>2]|0,q)|0)|0;s=a+(Y(f[p>>2]|0,q)|0)|0;a:do if(c){t=0;do{f[s+(t<<2)>>2]=h[r+t>>0];t=t+1|0}while((t|0)!=(e|0))}else{if(l){t=0;while(1){u=h[r+t>>0]|0;v=h[r+(t+e)>>0]|0;if(b){w=u;x=i;while(1){y=(h[r+(x+t)>>0]|0)+w|0;x=x+e|0;if((x|0)>=(g|0)){z=y;break}else w=y}}else z=u;f[s+(t<<2)>>2]=z+v;t=t+1|0;if((t|0)==(e|0))break a}}else A=0;do{t=h[r+(A+e)>>0]|0;w=h[r+A>>0]|0;x=i;do{y=x+A|0;w=(h[r+y>>0]|0)+w+(h[r+(y+i)>>0]|0)|0;t=(h[r+(y+e)>>0]|0)+t+(h[r+(y+m)>>0]|0)|0;x=x+j|0}while((x|0)<=(k|0));if((x|0)<(g|0)){v=w;u=x;while(1){y=(h[r+(u+A)>>0]|0)+v|0;u=u+e|0;if((u|0)>=(g|0)){B=y;break}else v=y}}else B=w;f[s+(A<<2)>>2]=B+t;A=A+1|0}while((A|0)!=(e|0))}while(0);q=q+1|0}while((q|0)!=(d|0));return}function zO(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0.0,t=0.0,v=0,w=0,x=0,y=0,z=0.0,A=0.0;c=u;u=u+1072|0;d=c;e=f[a+40>>2]|0;g=f[e>>2]|0;h=Y(((f[a>>2]|0)>>>3&511)+1|0,f[e+4>>2]|0)|0;e=d+8|0;f[d>>2]=e;i=d+4|0;f[i>>2]=h;if(h>>>0>264){j=euc(h>>>0>1073741823?-1:h<<2)|0;f[d>>2]=j;k=j}else k=e;j=f[b+16>>2]|0;b=f[a+16>>2]|0;l=(f[a+48>>2]|0)>>>2;a=(h|0)>0;if(a){m=0;do{f[k+(m<<2)>>2]=f[b+(m<<2)>>2];m=m+1|0}while((m|0)!=(h|0))}m=g+-1|0;a:do if(m|0){g=h+-4|0;if((h|0)<4){o=b;p=m;while(1){o=o+(l<<2)|0;if(a){q=0;do{r=k+(q<<2)|0;s=+n[r>>2];t=+n[o+(q<<2)>>2];n[r>>2]=t<s?t:s;q=q+1|0}while((q|0)!=(h|0))}p=p+-1|0;if(!p)break a}}p=h&-4;o=(p|0)<(h|0);q=b;r=m;do{q=q+(l<<2)|0;v=0;do{w=k+(v<<2)|0;s=+n[w>>2];t=+n[q+(v<<2)>>2];x=v|1;y=k+(x<<2)|0;z=+n[y>>2];A=+n[q+(x<<2)>>2];n[w>>2]=t<s?t:s;n[y>>2]=A<z?A:z;y=v|2;w=k+(y<<2)|0;z=+n[w>>2];A=+n[q+(y<<2)>>2];y=v|3;x=k+(y<<2)|0;s=+n[x>>2];t=+n[q+(y<<2)>>2];n[w>>2]=A<z?A:z;n[x>>2]=t<s?t:s;v=v+4|0}while((v|0)<=(g|0));if(o){v=p;do{x=k+(v<<2)|0;s=+n[x>>2];t=+n[q+(v<<2)>>2];n[x>>2]=t<s?t:s;v=v+1|0}while((v|0)!=(h|0))}r=r+-1|0}while((r|0)!=0)}while(0);if(a){a=0;do{f[j+(a<<2)>>2]=f[k+(a<<2)>>2];a=a+1|0}while((a|0)!=(h|0))}if((k|0)==(e|0)){u=c;return}guc(k);f[d>>2]=e;f[i>>2]=264;u=c;return}function AO(a,b){a=a|0;b=b|0;var c=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;c=u;u=u+1056|0;e=c;g=f[a+40>>2]|0;h=f[g>>2]|0;i=Y(((f[a>>2]|0)>>>3&511)+1|0,f[g+4>>2]|0)|0;g=e+8|0;f[e>>2]=g;j=e+4|0;f[j>>2]=i;if(i>>>0>520){k=euc(i>>>0>2147483647?-1:i<<1)|0;f[e>>2]=k;l=k}else l=g;k=f[b+16>>2]|0;b=f[a+16>>2]|0;m=(f[a+48>>2]|0)>>>1;a=(i|0)>0;if(a){n=0;do{d[l+(n<<1)>>1]=d[b+(n<<1)>>1]|0;n=n+1|0}while((n|0)!=(i|0))}n=h+-1|0;a:do if(n|0){h=i+-4|0;if((i|0)<4){o=b;p=n;while(1){o=o+(m<<1)|0;if(a){q=0;do{r=l+(q<<1)|0;s=d[r>>1]|0;t=d[o+(q<<1)>>1]|0;d[r>>1]=t<<16>>16<s<<16>>16?t:s;q=q+1|0}while((q|0)!=(i|0))}p=p+-1|0;if(!p)break a}}p=i&-4;o=(p|0)<(i|0);q=b;s=n;do{q=q+(m<<1)|0;t=0;do{r=l+(t<<1)|0;v=d[r>>1]|0;w=d[q+(t<<1)>>1]|0;x=t|1;y=l+(x<<1)|0;z=d[y>>1]|0;A=d[q+(x<<1)>>1]|0;d[r>>1]=w<<16>>16<v<<16>>16?w:v;d[y>>1]=A<<16>>16<z<<16>>16?A:z;z=t|2;A=l+(z<<1)|0;y=d[A>>1]|0;v=d[q+(z<<1)>>1]|0;z=t|3;w=l+(z<<1)|0;r=d[w>>1]|0;x=d[q+(z<<1)>>1]|0;d[A>>1]=v<<16>>16<y<<16>>16?v:y;d[w>>1]=x<<16>>16<r<<16>>16?x:r;t=t+4|0}while((t|0)<=(h|0));if(o){t=p;do{r=l+(t<<1)|0;x=d[r>>1]|0;w=d[q+(t<<1)>>1]|0;d[r>>1]=w<<16>>16<x<<16>>16?w:x;t=t+1|0}while((t|0)!=(i|0))}s=s+-1|0}while((s|0)!=0)}while(0);if(a){a=0;do{d[k+(a<<1)>>1]=d[l+(a<<1)>>1]|0;a=a+1|0}while((a|0)!=(i|0))}if((l|0)==(g|0)){u=c;return}guc(l);f[e>>2]=g;f[j>>2]=520;u=c;return}function BO(a,b){a=a|0;b=b|0;var c=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;c=u;u=u+1056|0;e=c;g=f[a+40>>2]|0;h=f[g>>2]|0;i=Y(((f[a>>2]|0)>>>3&511)+1|0,f[g+4>>2]|0)|0;g=e+8|0;f[e>>2]=g;j=e+4|0;f[j>>2]=i;if(i>>>0>520){k=euc(i>>>0>2147483647?-1:i<<1)|0;f[e>>2]=k;l=k}else l=g;k=f[b+16>>2]|0;b=f[a+16>>2]|0;m=(f[a+48>>2]|0)>>>1;a=(i|0)>0;if(a){n=0;do{d[l+(n<<1)>>1]=d[b+(n<<1)>>1]|0;n=n+1|0}while((n|0)!=(i|0))}n=h+-1|0;a:do if(n|0){h=i+-4|0;if((i|0)<4){o=b;p=n;while(1){o=o+(m<<1)|0;if(a){q=0;do{r=l+(q<<1)|0;s=d[r>>1]|0;t=d[o+(q<<1)>>1]|0;d[r>>1]=(t&65535)<(s&65535)?t:s;q=q+1|0}while((q|0)!=(i|0))}p=p+-1|0;if(!p)break a}}p=i&-4;o=(p|0)<(i|0);q=b;s=n;do{q=q+(m<<1)|0;t=0;do{r=l+(t<<1)|0;v=d[r>>1]|0;w=d[q+(t<<1)>>1]|0;x=t|1;y=l+(x<<1)|0;z=d[y>>1]|0;A=d[q+(x<<1)>>1]|0;d[r>>1]=(w&65535)<(v&65535)?w:v;d[y>>1]=(A&65535)<(z&65535)?A:z;z=t|2;A=l+(z<<1)|0;y=d[A>>1]|0;v=d[q+(z<<1)>>1]|0;z=t|3;w=l+(z<<1)|0;r=d[w>>1]|0;x=d[q+(z<<1)>>1]|0;d[A>>1]=(v&65535)<(y&65535)?v:y;d[w>>1]=(x&65535)<(r&65535)?x:r;t=t+4|0}while((t|0)<=(h|0));if(o){t=p;do{r=l+(t<<1)|0;x=d[r>>1]|0;w=d[q+(t<<1)>>1]|0;d[r>>1]=(w&65535)<(x&65535)?w:x;t=t+1|0}while((t|0)!=(i|0))}s=s+-1|0}while((s|0)!=0)}while(0);if(a){a=0;do{d[k+(a<<1)>>1]=d[l+(a<<1)>>1]|0;a=a+1|0}while((a|0)!=(i|0))}if((l|0)==(g|0)){u=c;return}guc(l);f[e>>2]=g;f[j>>2]=520;u=c;return}function CO(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;d=u;u=u+1040|0;e=d;g=f[a+40>>2]|0;i=f[g>>2]|0;j=Y(((f[a>>2]|0)>>>3&511)+1|0,f[g+4>>2]|0)|0;g=e+8|0;f[e>>2]=g;k=e+4|0;f[k>>2]=j;if(j>>>0>1032){l=euc(j)|0;f[e>>2]=l;m=l}else m=g;l=f[c+16>>2]|0;c=f[a+16>>2]|0;n=f[a+48>>2]|0;a=(j|0)>0;if(a){o=0;do{b[m+o>>0]=b[c+o>>0]|0;o=o+1|0}while((o|0)!=(j|0))}o=i+-1|0;a:do if(o|0){i=j+-4|0;if((j|0)<4){p=c;q=o;while(1){p=p+n|0;if(a){r=0;do{s=m+r|0;t=h[s>>0]|0;b[s>>0]=t-(h[230562+((t|256)-(h[p+r>>0]|0))>>0]|0);r=r+1|0}while((r|0)!=(j|0))}q=q+-1|0;if(!q)break a}}q=j&-4;p=(q|0)<(j|0);r=c;t=o;do{r=r+n|0;s=0;do{v=m+s|0;w=h[v>>0]|0;x=s|1;y=m+x|0;z=h[y>>0]|0;A=z-(h[230562+((z|256)-(h[r+x>>0]|0))>>0]|0)&255;b[v>>0]=w-(h[230562+((w|256)-(h[r+s>>0]|0))>>0]|0);b[y>>0]=A;A=s|2;y=m+A|0;w=h[y>>0]|0;v=s|3;x=m+v|0;z=h[x>>0]|0;B=z-(h[230562+((z|256)-(h[r+v>>0]|0))>>0]|0)&255;b[y>>0]=w-(h[230562+((w|256)-(h[r+A>>0]|0))>>0]|0);b[x>>0]=B;s=s+4|0}while((s|0)<=(i|0));if(p){s=q;do{B=m+s|0;x=h[B>>0]|0;b[B>>0]=x-(h[230562+((x|256)-(h[r+s>>0]|0))>>0]|0);s=s+1|0}while((s|0)!=(j|0))}t=t+-1|0}while((t|0)!=0)}while(0);if(a){a=0;do{b[l+a>>0]=b[m+a>>0]|0;a=a+1|0}while((a|0)!=(j|0));C=f[e>>2]|0}else C=m;if((C|0)==(g|0)){u=d;return}if(C|0)guc(C);f[e>>2]=g;f[k>>2]=1032;u=d;return}function DO(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0.0,t=0.0,v=0,w=0,x=0,y=0,z=0.0,A=0.0;c=u;u=u+1072|0;d=c;e=f[a+40>>2]|0;g=f[e>>2]|0;h=Y(((f[a>>2]|0)>>>3&511)+1|0,f[e+4>>2]|0)|0;e=d+8|0;f[d>>2]=e;i=d+4|0;f[i>>2]=h;if(h>>>0>264){j=euc(h>>>0>1073741823?-1:h<<2)|0;f[d>>2]=j;k=j}else k=e;j=f[b+16>>2]|0;b=f[a+16>>2]|0;l=(f[a+48>>2]|0)>>>2;a=(h|0)>0;if(a){m=0;do{f[k+(m<<2)>>2]=f[b+(m<<2)>>2];m=m+1|0}while((m|0)!=(h|0))}m=g+-1|0;a:do if(m|0){g=h+-4|0;if((h|0)<4){o=b;p=m;while(1){o=o+(l<<2)|0;if(a){q=0;do{r=k+(q<<2)|0;s=+n[r>>2];t=+n[o+(q<<2)>>2];n[r>>2]=s<t?t:s;q=q+1|0}while((q|0)!=(h|0))}p=p+-1|0;if(!p)break a}}p=h&-4;o=(p|0)<(h|0);q=b;r=m;do{q=q+(l<<2)|0;v=0;do{w=k+(v<<2)|0;s=+n[w>>2];t=+n[q+(v<<2)>>2];x=v|1;y=k+(x<<2)|0;z=+n[y>>2];A=+n[q+(x<<2)>>2];n[w>>2]=s<t?t:s;n[y>>2]=z<A?A:z;y=v|2;w=k+(y<<2)|0;z=+n[w>>2];A=+n[q+(y<<2)>>2];y=v|3;x=k+(y<<2)|0;s=+n[x>>2];t=+n[q+(y<<2)>>2];n[w>>2]=z<A?A:z;n[x>>2]=s<t?t:s;v=v+4|0}while((v|0)<=(g|0));if(o){v=p;do{x=k+(v<<2)|0;s=+n[x>>2];t=+n[q+(v<<2)>>2];n[x>>2]=s<t?t:s;v=v+1|0}while((v|0)!=(h|0))}r=r+-1|0}while((r|0)!=0)}while(0);if(a){a=0;do{f[j+(a<<2)>>2]=f[k+(a<<2)>>2];a=a+1|0}while((a|0)!=(h|0))}if((k|0)==(e|0)){u=c;return}guc(k);f[d>>2]=e;f[i>>2]=264;u=c;return}function EO(a,b){a=a|0;b=b|0;var c=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;c=u;u=u+1056|0;e=c;g=f[a+40>>2]|0;h=f[g>>2]|0;i=Y(((f[a>>2]|0)>>>3&511)+1|0,f[g+4>>2]|0)|0;g=e+8|0;f[e>>2]=g;j=e+4|0;f[j>>2]=i;if(i>>>0>520){k=euc(i>>>0>2147483647?-1:i<<1)|0;f[e>>2]=k;l=k}else l=g;k=f[b+16>>2]|0;b=f[a+16>>2]|0;m=(f[a+48>>2]|0)>>>1;a=(i|0)>0;if(a){n=0;do{d[l+(n<<1)>>1]=d[b+(n<<1)>>1]|0;n=n+1|0}while((n|0)!=(i|0))}n=h+-1|0;a:do if(n|0){h=i+-4|0;if((i|0)<4){o=b;p=n;while(1){o=o+(m<<1)|0;if(a){q=0;do{r=l+(q<<1)|0;s=d[r>>1]|0;t=d[o+(q<<1)>>1]|0;d[r>>1]=s<<16>>16<t<<16>>16?t:s;q=q+1|0}while((q|0)!=(i|0))}p=p+-1|0;if(!p)break a}}p=i&-4;o=(p|0)<(i|0);q=b;s=n;do{q=q+(m<<1)|0;t=0;do{r=l+(t<<1)|0;v=d[r>>1]|0;w=d[q+(t<<1)>>1]|0;x=t|1;y=l+(x<<1)|0;z=d[y>>1]|0;A=d[q+(x<<1)>>1]|0;d[r>>1]=v<<16>>16<w<<16>>16?w:v;d[y>>1]=z<<16>>16<A<<16>>16?A:z;z=t|2;A=l+(z<<1)|0;y=d[A>>1]|0;v=d[q+(z<<1)>>1]|0;z=t|3;w=l+(z<<1)|0;r=d[w>>1]|0;x=d[q+(z<<1)>>1]|0;d[A>>1]=y<<16>>16<v<<16>>16?v:y;d[w>>1]=r<<16>>16<x<<16>>16?x:r;t=t+4|0}while((t|0)<=(h|0));if(o){t=p;do{r=l+(t<<1)|0;x=d[r>>1]|0;w=d[q+(t<<1)>>1]|0;d[r>>1]=x<<16>>16<w<<16>>16?w:x;t=t+1|0}while((t|0)!=(i|0))}s=s+-1|0}while((s|0)!=0)}while(0);if(a){a=0;do{d[k+(a<<1)>>1]=d[l+(a<<1)>>1]|0;a=a+1|0}while((a|0)!=(i|0))}if((l|0)==(g|0)){u=c;return}guc(l);f[e>>2]=g;f[j>>2]=520;u=c;return}function FO(a,b){a=a|0;b=b|0;var c=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;c=u;u=u+1056|0;e=c;g=f[a+40>>2]|0;h=f[g>>2]|0;i=Y(((f[a>>2]|0)>>>3&511)+1|0,f[g+4>>2]|0)|0;g=e+8|0;f[e>>2]=g;j=e+4|0;f[j>>2]=i;if(i>>>0>520){k=euc(i>>>0>2147483647?-1:i<<1)|0;f[e>>2]=k;l=k}else l=g;k=f[b+16>>2]|0;b=f[a+16>>2]|0;m=(f[a+48>>2]|0)>>>1;a=(i|0)>0;if(a){n=0;do{d[l+(n<<1)>>1]=d[b+(n<<1)>>1]|0;n=n+1|0}while((n|0)!=(i|0))}n=h+-1|0;a:do if(n|0){h=i+-4|0;if((i|0)<4){o=b;p=n;while(1){o=o+(m<<1)|0;if(a){q=0;do{r=l+(q<<1)|0;s=d[r>>1]|0;t=d[o+(q<<1)>>1]|0;d[r>>1]=(s&65535)<(t&65535)?t:s;q=q+1|0}while((q|0)!=(i|0))}p=p+-1|0;if(!p)break a}}p=i&-4;o=(p|0)<(i|0);q=b;s=n;do{q=q+(m<<1)|0;t=0;do{r=l+(t<<1)|0;v=d[r>>1]|0;w=d[q+(t<<1)>>1]|0;x=t|1;y=l+(x<<1)|0;z=d[y>>1]|0;A=d[q+(x<<1)>>1]|0;d[r>>1]=(v&65535)<(w&65535)?w:v;d[y>>1]=(z&65535)<(A&65535)?A:z;z=t|2;A=l+(z<<1)|0;y=d[A>>1]|0;v=d[q+(z<<1)>>1]|0;z=t|3;w=l+(z<<1)|0;r=d[w>>1]|0;x=d[q+(z<<1)>>1]|0;d[A>>1]=(y&65535)<(v&65535)?v:y;d[w>>1]=(r&65535)<(x&65535)?x:r;t=t+4|0}while((t|0)<=(h|0));if(o){t=p;do{r=l+(t<<1)|0;x=d[r>>1]|0;w=d[q+(t<<1)>>1]|0;d[r>>1]=(x&65535)<(w&65535)?w:x;t=t+1|0}while((t|0)!=(i|0))}s=s+-1|0}while((s|0)!=0)}while(0);if(a){a=0;do{d[k+(a<<1)>>1]=d[l+(a<<1)>>1]|0;a=a+1|0}while((a|0)!=(i|0))}if((l|0)==(g|0)){u=c;return}guc(l);f[e>>2]=g;f[j>>2]=520;u=c;return}function GO(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;d=u;u=u+1040|0;e=d;g=f[a+40>>2]|0;i=f[g>>2]|0;j=Y(((f[a>>2]|0)>>>3&511)+1|0,f[g+4>>2]|0)|0;g=e+8|0;f[e>>2]=g;k=e+4|0;f[k>>2]=j;if(j>>>0>1032){l=euc(j)|0;f[e>>2]=l;m=l}else m=g;l=f[c+16>>2]|0;c=f[a+16>>2]|0;n=f[a+48>>2]|0;a=(j|0)>0;if(a){o=0;do{b[m+o>>0]=b[c+o>>0]|0;o=o+1|0}while((o|0)!=(j|0))}o=i+-1|0;a:do if(o|0){i=j+-4|0;if((j|0)<4){p=c;q=o;while(1){p=p+n|0;if(a){r=0;do{s=m+r|0;t=h[s>>0]|0;b[s>>0]=(h[230562+(256-t+(h[p+r>>0]|0))>>0]|0)+t;r=r+1|0}while((r|0)!=(j|0))}q=q+-1|0;if(!q)break a}}q=j&-4;p=(q|0)<(j|0);r=c;t=o;do{r=r+n|0;s=0;do{v=m+s|0;w=h[v>>0]|0;x=s|1;y=m+x|0;z=h[y>>0]|0;A=(h[230562+(256-z+(h[r+x>>0]|0))>>0]|0)+z&255;b[v>>0]=(h[230562+(256-w+(h[r+s>>0]|0))>>0]|0)+w;b[y>>0]=A;A=s|2;y=m+A|0;w=h[y>>0]|0;v=s|3;z=m+v|0;x=h[z>>0]|0;B=(h[230562+(256-x+(h[r+v>>0]|0))>>0]|0)+x&255;b[y>>0]=(h[230562+(256-w+(h[r+A>>0]|0))>>0]|0)+w;b[z>>0]=B;s=s+4|0}while((s|0)<=(i|0));if(p){s=q;do{B=m+s|0;z=h[B>>0]|0;b[B>>0]=(h[230562+(256-z+(h[r+s>>0]|0))>>0]|0)+z;s=s+1|0}while((s|0)!=(j|0))}t=t+-1|0}while((t|0)!=0)}while(0);if(a){a=0;do{b[l+a>>0]=b[m+a>>0]|0;a=a+1|0}while((a|0)!=(j|0));C=f[e>>2]|0}else C=m;if((C|0)==(g|0)){u=d;return}if(C|0)guc(C);f[e>>2]=g;f[k>>2]=1032;u=d;return}function HO(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0.0,z=0;c=u;u=u+1104|0;d=c;e=f[a+40>>2]|0;g=f[e>>2]|0;h=Y(((f[a>>2]|0)>>>3&511)+1|0,f[e+4>>2]|0)|0;e=d+8|0;f[d>>2]=e;i=d+4|0;f[i>>2]=h;if(h>>>0>136){j=euc(h>>>0>536870911?-1:h<<3)|0;f[d>>2]=j;k=j}else k=e;j=f[b+16>>2]|0;b=f[a+16>>2]|0;l=(f[a+48>>2]|0)>>>2;a=(h|0)>0;if(a){m=0;do{p[k+(m<<3)>>3]=+n[b+(m<<2)>>2];m=m+1|0}while((m|0)!=(h|0))}m=g+-1|0;a:do if(m|0){g=h+-4|0;if((h|0)<4){o=b;q=m;while(1){o=o+(l<<2)|0;if(a){r=0;do{s=k+(r<<3)|0;p[s>>3]=+p[s>>3]+ +n[o+(r<<2)>>2];r=r+1|0}while((r|0)!=(h|0))}q=q+-1|0;if(!q)break a}}q=h&-4;o=(q|0)<(h|0);r=b;s=m;do{r=r+(l<<2)|0;t=0;do{v=k+(t<<3)|0;w=t|1;x=k+(w<<3)|0;y=+p[x>>3]+ +n[r+(w<<2)>>2];p[v>>3]=+p[v>>3]+ +n[r+(t<<2)>>2];p[x>>3]=y;x=t|2;v=k+(x<<3)|0;w=t|3;z=k+(w<<3)|0;y=+p[z>>3]+ +n[r+(w<<2)>>2];p[v>>3]=+p[v>>3]+ +n[r+(x<<2)>>2];p[z>>3]=y;t=t+4|0}while((t|0)<=(g|0));if(o){t=q;do{z=k+(t<<3)|0;p[z>>3]=+p[z>>3]+ +n[r+(t<<2)>>2];t=t+1|0}while((t|0)!=(h|0))}s=s+-1|0}while((s|0)!=0)}while(0);if(a){a=0;do{p[j+(a<<3)>>3]=+p[k+(a<<3)>>3];a=a+1|0}while((a|0)!=(h|0))}if((k|0)==(e|0)){u=c;return}guc(k);f[d>>2]=e;f[i>>2]=136;u=c;return}function IO(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0.0,y=0;c=u;u=u+1072|0;d=c;e=f[a+40>>2]|0;g=f[e>>2]|0;h=Y(((f[a>>2]|0)>>>3&511)+1|0,f[e+4>>2]|0)|0;e=d+8|0;f[d>>2]=e;i=d+4|0;f[i>>2]=h;if(h>>>0>264){j=euc(h>>>0>1073741823?-1:h<<2)|0;f[d>>2]=j;k=j}else k=e;j=f[b+16>>2]|0;b=f[a+16>>2]|0;l=(f[a+48>>2]|0)>>>2;a=(h|0)>0;if(a){m=0;do{f[k+(m<<2)>>2]=f[b+(m<<2)>>2];m=m+1|0}while((m|0)!=(h|0))}m=g+-1|0;a:do if(m|0){g=h+-4|0;if((h|0)<4){o=b;p=m;while(1){o=o+(l<<2)|0;if(a){q=0;do{r=k+(q<<2)|0;n[r>>2]=+n[r>>2]+ +n[o+(q<<2)>>2];q=q+1|0}while((q|0)!=(h|0))}p=p+-1|0;if(!p)break a}}p=h&-4;o=(p|0)<(h|0);q=b;r=m;do{q=q+(l<<2)|0;s=0;do{t=k+(s<<2)|0;v=s|1;w=k+(v<<2)|0;x=+n[w>>2]+ +n[q+(v<<2)>>2];n[t>>2]=+n[t>>2]+ +n[q+(s<<2)>>2];n[w>>2]=x;w=s|2;t=k+(w<<2)|0;v=s|3;y=k+(v<<2)|0;x=+n[y>>2]+ +n[q+(v<<2)>>2];n[t>>2]=+n[t>>2]+ +n[q+(w<<2)>>2];n[y>>2]=x;s=s+4|0}while((s|0)<=(g|0));if(o){s=p;do{y=k+(s<<2)|0;n[y>>2]=+n[y>>2]+ +n[q+(s<<2)>>2];s=s+1|0}while((s|0)!=(h|0))}r=r+-1|0}while((r|0)!=0)}while(0);if(a){a=0;do{f[j+(a<<2)>>2]=f[k+(a<<2)>>2];a=a+1|0}while((a|0)!=(h|0))}if((k|0)==(e|0)){u=c;return}guc(k);f[d>>2]=e;f[i>>2]=264;u=c;return}function JO(a,b){a=a|0;b=b|0;var c=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0.0,z=0;c=u;u=u+1104|0;e=c;g=f[a+40>>2]|0;h=f[g>>2]|0;i=Y(((f[a>>2]|0)>>>3&511)+1|0,f[g+4>>2]|0)|0;g=e+8|0;f[e>>2]=g;j=e+4|0;f[j>>2]=i;if(i>>>0>136){k=euc(i>>>0>536870911?-1:i<<3)|0;f[e>>2]=k;l=k}else l=g;k=f[b+16>>2]|0;b=f[a+16>>2]|0;m=(f[a+48>>2]|0)>>>1;a=(i|0)>0;if(a){n=0;do{p[l+(n<<3)>>3]=+(d[b+(n<<1)>>1]|0);n=n+1|0}while((n|0)!=(i|0))}n=h+-1|0;a:do if(n|0){h=i+-4|0;if((i|0)<4){o=b;q=n;while(1){o=o+(m<<1)|0;if(a){r=0;do{s=l+(r<<3)|0;p[s>>3]=+p[s>>3]+ +(d[o+(r<<1)>>1]|0);r=r+1|0}while((r|0)!=(i|0))}q=q+-1|0;if(!q)break a}}q=i&-4;o=(q|0)<(i|0);r=b;s=n;do{r=r+(m<<1)|0;t=0;do{v=l+(t<<3)|0;w=t|1;x=l+(w<<3)|0;y=+p[x>>3]+ +(d[r+(w<<1)>>1]|0);p[v>>3]=+p[v>>3]+ +(d[r+(t<<1)>>1]|0);p[x>>3]=y;x=t|2;v=l+(x<<3)|0;w=t|3;z=l+(w<<3)|0;y=+p[z>>3]+ +(d[r+(w<<1)>>1]|0);p[v>>3]=+p[v>>3]+ +(d[r+(x<<1)>>1]|0);p[z>>3]=y;t=t+4|0}while((t|0)<=(h|0));if(o){t=q;do{z=l+(t<<3)|0;p[z>>3]=+p[z>>3]+ +(d[r+(t<<1)>>1]|0);t=t+1|0}while((t|0)!=(i|0))}s=s+-1|0}while((s|0)!=0)}while(0);if(a){a=0;do{p[k+(a<<3)>>3]=+p[l+(a<<3)>>3];a=a+1|0}while((a|0)!=(i|0))}if((l|0)==(g|0)){u=c;return}guc(l);f[e>>2]=g;f[j>>2]=136;u=c;return}function KO(a,b){a=a|0;b=b|0;var c=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0.0,z=0;c=u;u=u+1072|0;e=c;g=f[a+40>>2]|0;h=f[g>>2]|0;i=Y(((f[a>>2]|0)>>>3&511)+1|0,f[g+4>>2]|0)|0;g=e+8|0;f[e>>2]=g;j=e+4|0;f[j>>2]=i;if(i>>>0>264){k=euc(i>>>0>1073741823?-1:i<<2)|0;f[e>>2]=k;l=k}else l=g;k=f[b+16>>2]|0;b=f[a+16>>2]|0;m=(f[a+48>>2]|0)>>>1;a=(i|0)>0;if(a){o=0;do{n[l+(o<<2)>>2]=+(d[b+(o<<1)>>1]|0);o=o+1|0}while((o|0)!=(i|0))}o=h+-1|0;a:do if(o|0){h=i+-4|0;if((i|0)<4){p=b;q=o;while(1){p=p+(m<<1)|0;if(a){r=0;do{s=l+(r<<2)|0;n[s>>2]=+n[s>>2]+ +(d[p+(r<<1)>>1]|0);r=r+1|0}while((r|0)!=(i|0))}q=q+-1|0;if(!q)break a}}q=i&-4;p=(q|0)<(i|0);r=b;s=o;do{r=r+(m<<1)|0;t=0;do{v=l+(t<<2)|0;w=t|1;x=l+(w<<2)|0;y=+n[x>>2]+ +(d[r+(w<<1)>>1]|0);n[v>>2]=+n[v>>2]+ +(d[r+(t<<1)>>1]|0);n[x>>2]=y;x=t|2;v=l+(x<<2)|0;w=t|3;z=l+(w<<2)|0;y=+n[z>>2]+ +(d[r+(w<<1)>>1]|0);n[v>>2]=+n[v>>2]+ +(d[r+(x<<1)>>1]|0);n[z>>2]=y;t=t+4|0}while((t|0)<=(h|0));if(p){t=q;do{z=l+(t<<2)|0;n[z>>2]=+n[z>>2]+ +(d[r+(t<<1)>>1]|0);t=t+1|0}while((t|0)!=(i|0))}s=s+-1|0}while((s|0)!=0)}while(0);if(a){a=0;do{f[k+(a<<2)>>2]=f[l+(a<<2)>>2];a=a+1|0}while((a|0)!=(i|0))}if((l|0)==(g|0)){u=c;return}guc(l);f[e>>2]=g;f[j>>2]=264;u=c;return}function LO(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0.0,z=0;c=u;u=u+1104|0;d=c;e=f[a+40>>2]|0;g=f[e>>2]|0;h=Y(((f[a>>2]|0)>>>3&511)+1|0,f[e+4>>2]|0)|0;e=d+8|0;f[d>>2]=e;i=d+4|0;f[i>>2]=h;if(h>>>0>136){k=euc(h>>>0>536870911?-1:h<<3)|0;f[d>>2]=k;l=k}else l=e;k=f[b+16>>2]|0;b=f[a+16>>2]|0;m=(f[a+48>>2]|0)>>>1;a=(h|0)>0;if(a){n=0;do{p[l+(n<<3)>>3]=+(j[b+(n<<1)>>1]|0);n=n+1|0}while((n|0)!=(h|0))}n=g+-1|0;a:do if(n|0){g=h+-4|0;if((h|0)<4){o=b;q=n;while(1){o=o+(m<<1)|0;if(a){r=0;do{s=l+(r<<3)|0;p[s>>3]=+p[s>>3]+ +(j[o+(r<<1)>>1]|0);r=r+1|0}while((r|0)!=(h|0))}q=q+-1|0;if(!q)break a}}q=h&-4;o=(q|0)<(h|0);r=b;s=n;do{r=r+(m<<1)|0;t=0;do{v=l+(t<<3)|0;w=t|1;x=l+(w<<3)|0;y=+p[x>>3]+ +(j[r+(w<<1)>>1]|0);p[v>>3]=+p[v>>3]+ +(j[r+(t<<1)>>1]|0);p[x>>3]=y;x=t|2;v=l+(x<<3)|0;w=t|3;z=l+(w<<3)|0;y=+p[z>>3]+ +(j[r+(w<<1)>>1]|0);p[v>>3]=+p[v>>3]+ +(j[r+(x<<1)>>1]|0);p[z>>3]=y;t=t+4|0}while((t|0)<=(g|0));if(o){t=q;do{z=l+(t<<3)|0;p[z>>3]=+p[z>>3]+ +(j[r+(t<<1)>>1]|0);t=t+1|0}while((t|0)!=(h|0))}s=s+-1|0}while((s|0)!=0)}while(0);if(a){a=0;do{p[k+(a<<3)>>3]=+p[l+(a<<3)>>3];a=a+1|0}while((a|0)!=(h|0))}if((l|0)==(e|0)){u=c;return}guc(l);f[d>>2]=e;f[i>>2]=136;u=c;return}function MO(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0.0,z=0;c=u;u=u+1072|0;d=c;e=f[a+40>>2]|0;g=f[e>>2]|0;h=Y(((f[a>>2]|0)>>>3&511)+1|0,f[e+4>>2]|0)|0;e=d+8|0;f[d>>2]=e;i=d+4|0;f[i>>2]=h;if(h>>>0>264){k=euc(h>>>0>1073741823?-1:h<<2)|0;f[d>>2]=k;l=k}else l=e;k=f[b+16>>2]|0;b=f[a+16>>2]|0;m=(f[a+48>>2]|0)>>>1;a=(h|0)>0;if(a){o=0;do{n[l+(o<<2)>>2]=+(j[b+(o<<1)>>1]|0);o=o+1|0}while((o|0)!=(h|0))}o=g+-1|0;a:do if(o|0){g=h+-4|0;if((h|0)<4){p=b;q=o;while(1){p=p+(m<<1)|0;if(a){r=0;do{s=l+(r<<2)|0;n[s>>2]=+n[s>>2]+ +(j[p+(r<<1)>>1]|0);r=r+1|0}while((r|0)!=(h|0))}q=q+-1|0;if(!q)break a}}q=h&-4;p=(q|0)<(h|0);r=b;s=o;do{r=r+(m<<1)|0;t=0;do{v=l+(t<<2)|0;w=t|1;x=l+(w<<2)|0;y=+n[x>>2]+ +(j[r+(w<<1)>>1]|0);n[v>>2]=+n[v>>2]+ +(j[r+(t<<1)>>1]|0);n[x>>2]=y;x=t|2;v=l+(x<<2)|0;w=t|3;z=l+(w<<2)|0;y=+n[z>>2]+ +(j[r+(w<<1)>>1]|0);n[v>>2]=+n[v>>2]+ +(j[r+(x<<1)>>1]|0);n[z>>2]=y;t=t+4|0}while((t|0)<=(g|0));if(p){t=q;do{z=l+(t<<2)|0;n[z>>2]=+n[z>>2]+ +(j[r+(t<<1)>>1]|0);t=t+1|0}while((t|0)!=(h|0))}s=s+-1|0}while((s|0)!=0)}while(0);if(a){a=0;do{f[k+(a<<2)>>2]=f[l+(a<<2)>>2];a=a+1|0}while((a|0)!=(h|0))}if((l|0)==(e|0)){u=c;return}guc(l);f[d>>2]=e;f[i>>2]=264;u=c;return}function NO(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;c=u;u=u+1072|0;d=c;e=f[a+40>>2]|0;g=f[e>>2]|0;i=Y(((f[a>>2]|0)>>>3&511)+1|0,f[e+4>>2]|0)|0;e=d+8|0;f[d>>2]=e;j=d+4|0;f[j>>2]=i;if(i>>>0>264){k=euc(i>>>0>1073741823?-1:i<<2)|0;f[d>>2]=k;l=k}else l=e;k=f[b+16>>2]|0;b=f[a+16>>2]|0;m=f[a+48>>2]|0;a=(i|0)>0;if(a){n=0;do{f[l+(n<<2)>>2]=h[b+n>>0];n=n+1|0}while((n|0)!=(i|0))}n=g+-1|0;a:do if(n|0){g=i+-4|0;if((i|0)<4){o=b;q=n;while(1){o=o+m|0;if(a){r=0;do{s=l+(r<<2)|0;f[s>>2]=(h[o+r>>0]|0)+(f[s>>2]|0);r=r+1|0}while((r|0)!=(i|0))}q=q+-1|0;if(!q)break a}}q=i&-4;o=(q|0)<(i|0);r=b;s=n;do{r=r+m|0;t=0;do{v=l+(t<<2)|0;w=t|1;x=l+(w<<2)|0;y=(h[r+w>>0]|0)+(f[x>>2]|0)|0;f[v>>2]=(h[r+t>>0]|0)+(f[v>>2]|0);f[x>>2]=y;y=t|2;x=l+(y<<2)|0;v=t|3;w=l+(v<<2)|0;z=(h[r+v>>0]|0)+(f[w>>2]|0)|0;f[x>>2]=(h[r+y>>0]|0)+(f[x>>2]|0);f[w>>2]=z;t=t+4|0}while((t|0)<=(g|0));if(o){t=q;do{z=l+(t<<2)|0;f[z>>2]=(h[r+t>>0]|0)+(f[z>>2]|0);t=t+1|0}while((t|0)!=(i|0))}s=s+-1|0}while((s|0)!=0)}while(0);if(a){a=0;do{p[k+(a<<3)>>3]=+(f[l+(a<<2)>>2]|0);a=a+1|0}while((a|0)!=(i|0))}if((l|0)==(e|0)){u=c;return}guc(l);f[d>>2]=e;f[j>>2]=264;u=c;return}function OO(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;c=u;u=u+1072|0;d=c;e=f[a+40>>2]|0;g=f[e>>2]|0;i=Y(((f[a>>2]|0)>>>3&511)+1|0,f[e+4>>2]|0)|0;e=d+8|0;f[d>>2]=e;j=d+4|0;f[j>>2]=i;if(i>>>0>264){k=euc(i>>>0>1073741823?-1:i<<2)|0;f[d>>2]=k;l=k}else l=e;k=f[b+16>>2]|0;b=f[a+16>>2]|0;m=f[a+48>>2]|0;a=(i|0)>0;if(a){o=0;do{f[l+(o<<2)>>2]=h[b+o>>0];o=o+1|0}while((o|0)!=(i|0))}o=g+-1|0;a:do if(o|0){g=i+-4|0;if((i|0)<4){p=b;q=o;while(1){p=p+m|0;if(a){r=0;do{s=l+(r<<2)|0;f[s>>2]=(h[p+r>>0]|0)+(f[s>>2]|0);r=r+1|0}while((r|0)!=(i|0))}q=q+-1|0;if(!q)break a}}q=i&-4;p=(q|0)<(i|0);r=b;s=o;do{r=r+m|0;t=0;do{v=l+(t<<2)|0;w=t|1;x=l+(w<<2)|0;y=(h[r+w>>0]|0)+(f[x>>2]|0)|0;f[v>>2]=(h[r+t>>0]|0)+(f[v>>2]|0);f[x>>2]=y;y=t|2;x=l+(y<<2)|0;v=t|3;w=l+(v<<2)|0;z=(h[r+v>>0]|0)+(f[w>>2]|0)|0;f[x>>2]=(h[r+y>>0]|0)+(f[x>>2]|0);f[w>>2]=z;t=t+4|0}while((t|0)<=(g|0));if(p){t=q;do{z=l+(t<<2)|0;f[z>>2]=(h[r+t>>0]|0)+(f[z>>2]|0);t=t+1|0}while((t|0)!=(i|0))}s=s+-1|0}while((s|0)!=0)}while(0);if(a){a=0;do{n[k+(a<<2)>>2]=+(f[l+(a<<2)>>2]|0);a=a+1|0}while((a|0)!=(i|0))}if((l|0)==(e|0)){u=c;return}guc(l);f[d>>2]=e;f[j>>2]=264;u=c;return}function PO(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;c=u;u=u+1072|0;d=c;e=f[a+40>>2]|0;g=f[e>>2]|0;i=Y(((f[a>>2]|0)>>>3&511)+1|0,f[e+4>>2]|0)|0;e=d+8|0;f[d>>2]=e;j=d+4|0;f[j>>2]=i;if(i>>>0>264){k=euc(i>>>0>1073741823?-1:i<<2)|0;f[d>>2]=k;l=k}else l=e;k=f[b+16>>2]|0;b=f[a+16>>2]|0;m=f[a+48>>2]|0;a=(i|0)>0;if(a){n=0;do{f[l+(n<<2)>>2]=h[b+n>>0];n=n+1|0}while((n|0)!=(i|0))}n=g+-1|0;a:do if(n|0){g=i+-4|0;if((i|0)<4){o=b;p=n;while(1){o=o+m|0;if(a){q=0;do{r=l+(q<<2)|0;f[r>>2]=(h[o+q>>0]|0)+(f[r>>2]|0);q=q+1|0}while((q|0)!=(i|0))}p=p+-1|0;if(!p)break a}}p=i&-4;o=(p|0)<(i|0);q=b;r=n;do{q=q+m|0;s=0;do{t=l+(s<<2)|0;v=s|1;w=l+(v<<2)|0;x=(h[q+v>>0]|0)+(f[w>>2]|0)|0;f[t>>2]=(h[q+s>>0]|0)+(f[t>>2]|0);f[w>>2]=x;x=s|2;w=l+(x<<2)|0;t=s|3;v=l+(t<<2)|0;y=(h[q+t>>0]|0)+(f[v>>2]|0)|0;f[w>>2]=(h[q+x>>0]|0)+(f[w>>2]|0);f[v>>2]=y;s=s+4|0}while((s|0)<=(g|0));if(o){s=p;do{y=l+(s<<2)|0;f[y>>2]=(h[q+s>>0]|0)+(f[y>>2]|0);s=s+1|0}while((s|0)!=(i|0))}r=r+-1|0}while((r|0)!=0)}while(0);if(a){a=0;do{f[k+(a<<2)>>2]=f[l+(a<<2)>>2];a=a+1|0}while((a|0)!=(i|0))}if((l|0)==(e|0)){u=c;return}guc(l);f[d>>2]=e;f[j>>2]=264;u=c;return}function QO(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;e=u;u=u+144|0;g=e+136|0;h=e+80|0;i=e+24|0;j=e+16|0;k=e;gV(g,38456);do if((qJ(a)|0)==65536){l=f[a+4>>2]|0;f[h>>2]=f[l>>2];m=h+4|0;n=l+4|0;f[m>>2]=f[n>>2];o=h+8|0;f[o>>2]=f[l+8>>2];f[h+12>>2]=f[l+12>>2];f[h+16>>2]=f[l+16>>2];f[h+20>>2]=f[l+20>>2];f[h+24>>2]=f[l+24>>2];f[h+28>>2]=f[l+28>>2];f[h+32>>2]=f[l+32>>2];p=f[l+36>>2]|0;f[h+36>>2]=p;f[h+40>>2]=o;o=h+48|0;q=h+44|0;f[q>>2]=o;f[o>>2]=0;f[h+52>>2]=0;if(p|0){o=p+12|0;f[o>>2]=(f[o>>2]|0)+1}if((f[n>>2]|0)<3){n=f[l+44>>2]|0;o=f[q>>2]|0;f[o>>2]=f[n>>2];f[o+4>>2]=f[n+4>>2];r=m;break}else{f[m>>2]=0;$T(h,l);r=m;break}}else{nJ(h,a,-1);r=h+4|0}while(0);if((f[r>>2]|0)>=3){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;s=cuc(48)|0;f[i>>2]=s;t=i+8|0;f[t>>2]=-2147483600;v=i+4|0;f[v>>2]=36;w=s;x=212849;y=w+36|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));z=s+36|0;b[z>>0]=0;WD(-215,i,212886,211903,1410)}a=f[h>>2]|0;if(a&4088|0){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;s=cuc(48)|0;f[i>>2]=s;t=i+8|0;f[t>>2]=-2147483600;v=i+4|0;f[v>>2]=36;w=s;x=212849;y=w+36|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));z=s+36|0;b[z>>0]=0;WD(-215,i,212886,211903,1410)}z=h+40|0;s=f[z>>2]|0;v=f[s>>2]|0;f[j>>2]=f[s+4>>2];f[j+4>>2]=v;IJ(c,j,a&4095,-1,0,0);do if((qJ(c)|0)==65536){a=f[c+4>>2]|0;f[i>>2]=f[a>>2];j=i+4|0;v=a+4|0;f[j>>2]=f[v>>2];s=i+8|0;f[s>>2]=f[a+8>>2];f[i+12>>2]=f[a+12>>2];f[i+16>>2]=f[a+16>>2];f[i+20>>2]=f[a+20>>2];f[i+24>>2]=f[a+24>>2];f[i+28>>2]=f[a+28>>2];f[i+32>>2]=f[a+32>>2];t=f[a+36>>2]|0;f[i+36>>2]=t;f[i+40>>2]=s;s=i+48|0;m=i+44|0;f[m>>2]=s;f[s>>2]=0;f[i+52>>2]=0;if(t|0){s=t+12|0;f[s>>2]=(f[s>>2]|0)+1}if((f[v>>2]|0)<3){v=f[a+44>>2]|0;s=f[m>>2]|0;f[s>>2]=f[v>>2];f[s+4>>2]=f[v+4>>2];break}else{f[j>>2]=0;$T(i,a);break}}else nJ(i,c,-1);while(0);c=f[h>>2]&7;if((c|0)==7){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;b[k+11>>0]=9;w=k;x=253007;y=w+9|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));b[k+9>>0]=0;WD(-215,k,212886,211903,1421)}Zh[f[38476+(c<<2)>>2]&511](h,i,d);d=i+36|0;c=f[d>>2]|0;if(c|0?(k=c+12|0,c=f[k>>2]|0,f[k>>2]=c+-1,(c|0)==1):0)aU(i);f[d>>2]=0;d=i+16|0;c=i+4|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[c>>2]|0)>0){d=f[i+40>>2]|0;k=0;do{f[d+(k<<2)>>2]=0;k=k+1|0}while((k|0)<(f[c>>2]|0))}c=f[i+44>>2]|0;if((c|0)!=(i+48|0))TC(c);c=h+36|0;i=f[c>>2]|0;if(i|0?(k=i+12|0,i=f[k>>2]|0,f[k>>2]=i+-1,(i|0)==1):0)aU(h);f[c>>2]=0;c=h+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[r>>2]|0)>0){c=f[z>>2]|0;z=0;do{f[c+(z<<2)>>2]=0;z=z+1|0}while((z|0)<(f[r>>2]|0))}r=f[h+44>>2]|0;if((r|0)!=(h+48|0))TC(r);if(!(f[g+4>>2]|0)){u=e;return}u=e;return}function RO(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;e=u;u=u+1056|0;g=e;h=e+8|0;i=h+8|0;f[h>>2]=i;j=h+4|0;f[j>>2]=1032;k=(d&1|0)==0;l=a+16|0;m=c+16|0;n=f[m>>2]|0;o=(f[l>>2]|0)==(n|0);p=(d&16|0)==0;d=f[a+12>>2]|0;q=f[a+8>>2]|0;if(!k){f[j>>2]=q;if(q>>>0>1032){r=euc(q)|0;f[h>>2]=r;s=d;t=q;v=r}else{s=d;t=q;v=i}}else{s=q;t=d;v=i}a:do if((s|0)>0){d=c+44|0;q=a+44|0;r=(t|0)>0;w=(t|0)/2|0;x=(t|0)>1;y=t+-1|0;if(k){z=p|x^1;A=0;B=n;while(1){C=B+(Y(f[f[d>>2]>>2]|0,A)|0)|0;if(!o)szc(C|0,(f[l>>2]|0)+(Y(f[f[q>>2]>>2]|0,A)|0)|0,t|0)|0;aic(C,C+t|0,g);if(!z){D=0;do{E=C+D|0;F=C+(y-D)|0;G=b[E>>0]|0;b[E>>0]=b[F>>0]|0;b[F>>0]=G;D=D+1|0}while((D|0)<(w|0))}D=A+1|0;if((D|0)>=(s|0))break a;A=D;B=f[m>>2]|0}}B=v+t|0;A=p|x^1;z=0;do{if(r){D=f[l>>2]|0;C=f[q>>2]|0;G=0;do{F=D+(Y(f[C>>2]|0,G)|0)+z|0;b[v+G>>0]=b[F>>0]|0;G=G+1|0}while((G|0)!=(t|0))}aic(v,B,g);if(!A){G=0;do{C=v+G|0;D=v+(y-G)|0;F=b[C>>0]|0;b[C>>0]=b[D>>0]|0;b[D>>0]=F;G=G+1|0}while((G|0)<(w|0))}if(r){G=0;do{F=(f[m>>2]|0)+(Y(f[f[d>>2]>>2]|0,G)|0)+z|0;b[F>>0]=b[v+G>>0]|0;G=G+1|0}while((G|0)!=(t|0))}z=z+1|0}while((z|0)<(s|0))}while(0);s=f[h>>2]|0;if((s|0)==(i|0)){u=e;return}if(s|0)guc(s);f[h>>2]=i;f[j>>2]=1032;u=e;return}function SO(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;e=u;u=u+1056|0;g=e;h=e+8|0;i=h+8|0;f[h>>2]=i;j=h+4|0;f[j>>2]=1032;k=(d&1|0)==0;l=a+16|0;m=c+16|0;n=f[m>>2]|0;o=(f[l>>2]|0)==(n|0);p=(d&16|0)==0;d=f[a+12>>2]|0;q=f[a+8>>2]|0;if(!k){f[j>>2]=q;if(q>>>0>1032){r=euc(q)|0;f[h>>2]=r;s=d;t=q;v=r}else{s=d;t=q;v=i}}else{s=q;t=d;v=i}a:do if((s|0)>0){d=c+44|0;q=a+44|0;r=(t|0)>0;w=(t|0)/2|0;x=(t|0)>1;y=t+-1|0;if(k){z=p|x^1;A=0;B=n;while(1){C=B+(Y(f[f[d>>2]>>2]|0,A)|0)|0;if(!o)szc(C|0,(f[l>>2]|0)+(Y(f[f[q>>2]>>2]|0,A)|0)|0,t|0)|0;Whc(C,C+t|0,g);if(!z){D=0;do{E=C+D|0;F=C+(y-D)|0;G=b[E>>0]|0;b[E>>0]=b[F>>0]|0;b[F>>0]=G;D=D+1|0}while((D|0)<(w|0))}D=A+1|0;if((D|0)>=(s|0))break a;A=D;B=f[m>>2]|0}}B=v+t|0;A=p|x^1;z=0;do{if(r){D=f[l>>2]|0;C=f[q>>2]|0;G=0;do{F=D+(Y(f[C>>2]|0,G)|0)+z|0;b[v+G>>0]=b[F>>0]|0;G=G+1|0}while((G|0)!=(t|0))}Whc(v,B,g);if(!A){G=0;do{C=v+G|0;D=v+(y-G)|0;F=b[C>>0]|0;b[C>>0]=b[D>>0]|0;b[D>>0]=F;G=G+1|0}while((G|0)<(w|0))}if(r){G=0;do{F=(f[m>>2]|0)+(Y(f[f[d>>2]>>2]|0,G)|0)+z|0;b[F>>0]=b[v+G>>0]|0;G=G+1|0}while((G|0)!=(t|0))}z=z+1|0}while((z|0)<(s|0))}while(0);s=f[h>>2]|0;if((s|0)==(i|0)){u=e;return}if(s|0)guc(s);f[h>>2]=i;f[j>>2]=1032;u=e;return}function TO(a,b,c){a=a|0;b=b|0;c=c|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;e=u;u=u+1056|0;g=e;h=e+8|0;i=h+8|0;f[h>>2]=i;j=h+4|0;f[j>>2]=520;k=(c&1|0)==0;l=a+16|0;m=b+16|0;n=f[m>>2]|0;o=(f[l>>2]|0)==(n|0);p=(c&16|0)==0;c=f[a+12>>2]|0;q=f[a+8>>2]|0;if(!k){f[j>>2]=q;if(q>>>0>520){r=euc(q>>>0>2147483647?-1:q<<1)|0;f[h>>2]=r;s=c;t=q;v=r}else{s=c;t=q;v=i}}else{s=q;t=c;v=i}a:do if((s|0)>0){c=b+44|0;q=a+44|0;r=t<<1;w=(t|0)>0;x=(t|0)/2|0;y=(t|0)>1;z=t+-1|0;if(k){A=p|y^1;B=0;C=n;while(1){D=C+(Y(f[f[c>>2]>>2]|0,B)|0)|0;if(!o)szc(D|0,(f[l>>2]|0)+(Y(f[f[q>>2]>>2]|0,B)|0)|0,r|0)|0;mic(D,D+(t<<1)|0,g);if(!A){E=0;do{F=D+(E<<1)|0;G=D+(z-E<<1)|0;H=d[F>>1]|0;d[F>>1]=d[G>>1]|0;d[G>>1]=H;E=E+1|0}while((E|0)<(x|0))}E=B+1|0;if((E|0)>=(s|0))break a;B=E;C=f[m>>2]|0}}C=v+(t<<1)|0;B=p|y^1;A=0;do{if(w){r=f[l>>2]|0;E=f[f[q>>2]>>2]|0;D=0;do{H=r+(Y(E,D)|0)+(A<<1)|0;d[v+(D<<1)>>1]=d[H>>1]|0;D=D+1|0}while((D|0)!=(t|0))}mic(v,C,g);if(!B){D=0;do{E=v+(D<<1)|0;r=v+(z-D<<1)|0;H=d[E>>1]|0;d[E>>1]=d[r>>1]|0;d[r>>1]=H;D=D+1|0}while((D|0)<(x|0))}if(w){D=f[m>>2]|0;H=f[f[c>>2]>>2]|0;r=0;do{E=D+(Y(H,r)|0)+(A<<1)|0;d[E>>1]=d[v+(r<<1)>>1]|0;r=r+1|0}while((r|0)!=(t|0))}A=A+1|0}while((A|0)<(s|0))}while(0);s=f[h>>2]|0;if((s|0)==(i|0)){u=e;return}if(s|0)guc(s);f[h>>2]=i;f[j>>2]=520;u=e;return}function UO(a,b,c){a=a|0;b=b|0;c=c|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;e=u;u=u+1056|0;g=e;h=e+8|0;i=h+8|0;f[h>>2]=i;j=h+4|0;f[j>>2]=520;k=(c&1|0)==0;l=a+16|0;m=b+16|0;n=f[m>>2]|0;o=(f[l>>2]|0)==(n|0);p=(c&16|0)==0;c=f[a+12>>2]|0;q=f[a+8>>2]|0;if(!k){f[j>>2]=q;if(q>>>0>520){r=euc(q>>>0>2147483647?-1:q<<1)|0;f[h>>2]=r;s=c;t=q;v=r}else{s=c;t=q;v=i}}else{s=q;t=c;v=i}a:do if((s|0)>0){c=b+44|0;q=a+44|0;r=t<<1;w=(t|0)>0;x=(t|0)/2|0;y=(t|0)>1;z=t+-1|0;if(k){A=p|y^1;B=0;C=n;while(1){D=C+(Y(f[f[c>>2]>>2]|0,B)|0)|0;if(!o)szc(D|0,(f[l>>2]|0)+(Y(f[f[q>>2]>>2]|0,B)|0)|0,r|0)|0;gic(D,D+(t<<1)|0,g);if(!A){E=0;do{F=D+(E<<1)|0;G=D+(z-E<<1)|0;H=d[F>>1]|0;d[F>>1]=d[G>>1]|0;d[G>>1]=H;E=E+1|0}while((E|0)<(x|0))}E=B+1|0;if((E|0)>=(s|0))break a;B=E;C=f[m>>2]|0}}C=v+(t<<1)|0;B=p|y^1;A=0;do{if(w){r=f[l>>2]|0;E=f[f[q>>2]>>2]|0;D=0;do{H=r+(Y(E,D)|0)+(A<<1)|0;d[v+(D<<1)>>1]=d[H>>1]|0;D=D+1|0}while((D|0)!=(t|0))}gic(v,C,g);if(!B){D=0;do{E=v+(D<<1)|0;r=v+(z-D<<1)|0;H=d[E>>1]|0;d[E>>1]=d[r>>1]|0;d[r>>1]=H;D=D+1|0}while((D|0)<(x|0))}if(w){D=f[m>>2]|0;H=f[f[c>>2]>>2]|0;r=0;do{E=D+(Y(H,r)|0)+(A<<1)|0;d[E>>1]=d[v+(r<<1)>>1]|0;r=r+1|0}while((r|0)!=(t|0))}A=A+1|0}while((A|0)<(s|0))}while(0);s=f[h>>2]|0;if((s|0)==(i|0)){u=e;return}if(s|0)guc(s);f[h>>2]=i;f[j>>2]=520;u=e;return}function VO(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;d=u;u=u+1072|0;e=d;g=d+8|0;h=g+8|0;f[g>>2]=h;i=g+4|0;f[i>>2]=264;j=(c&1|0)==0;k=a+16|0;l=b+16|0;m=f[l>>2]|0;n=(f[k>>2]|0)==(m|0);o=(c&16|0)==0;c=f[a+12>>2]|0;p=f[a+8>>2]|0;if(!j){f[i>>2]=p;if(p>>>0>264){q=euc(p>>>0>1073741823?-1:p<<2)|0;f[g>>2]=q;r=c;s=p;t=q}else{r=c;s=p;t=h}}else{r=p;s=c;t=h}a:do if((r|0)>0){c=b+44|0;p=a+44|0;q=s<<2;v=(s|0)>0;w=(s|0)/2|0;x=(s|0)>1;y=s+-1|0;if(j){z=o|x^1;A=0;B=m;while(1){C=B+(Y(f[f[c>>2]>>2]|0,A)|0)|0;if(!n)szc(C|0,(f[k>>2]|0)+(Y(f[f[p>>2]>>2]|0,A)|0)|0,q|0)|0;sic(C,C+(s<<2)|0,e);if(!z){D=0;do{E=C+(D<<2)|0;F=C+(y-D<<2)|0;G=f[E>>2]|0;f[E>>2]=f[F>>2];f[F>>2]=G;D=D+1|0}while((D|0)<(w|0))}D=A+1|0;if((D|0)>=(r|0))break a;A=D;B=f[l>>2]|0}}B=t+(s<<2)|0;A=o|x^1;z=0;do{if(v){q=f[k>>2]|0;D=f[p>>2]|0;C=0;do{G=q+(Y(f[D>>2]|0,C)|0)+(z<<2)|0;f[t+(C<<2)>>2]=f[G>>2];C=C+1|0}while((C|0)!=(s|0))}sic(t,B,e);if(!A){C=0;do{D=t+(C<<2)|0;q=t+(y-C<<2)|0;G=f[D>>2]|0;f[D>>2]=f[q>>2];f[q>>2]=G;C=C+1|0}while((C|0)<(w|0))}if(v){C=f[l>>2]|0;G=f[c>>2]|0;q=0;do{D=C+(Y(f[G>>2]|0,q)|0)+(z<<2)|0;f[D>>2]=f[t+(q<<2)>>2];q=q+1|0}while((q|0)!=(s|0))}z=z+1|0}while((z|0)<(r|0))}while(0);r=f[g>>2]|0;if((r|0)==(h|0)){u=d;return}if(r|0)guc(r);f[g>>2]=h;f[i>>2]=264;u=d;return}function WO(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;d=u;u=u+1072|0;e=d;g=d+8|0;h=g+8|0;f[g>>2]=h;i=g+4|0;f[i>>2]=264;j=(c&1|0)==0;k=a+16|0;l=b+16|0;m=f[l>>2]|0;n=(f[k>>2]|0)==(m|0);o=(c&16|0)==0;c=f[a+12>>2]|0;p=f[a+8>>2]|0;if(!j){f[i>>2]=p;if(p>>>0>264){q=euc(p>>>0>1073741823?-1:p<<2)|0;f[g>>2]=q;r=c;s=p;t=q}else{r=c;s=p;t=h}}else{r=p;s=c;t=h}a:do if((r|0)>0){c=b+44|0;p=a+44|0;q=s<<2;v=(s|0)>0;w=(s|0)/2|0;x=(s|0)>1;y=s+-1|0;if(j){z=o|x^1;A=0;B=m;while(1){C=B+(Y(f[f[c>>2]>>2]|0,A)|0)|0;if(!n)szc(C|0,(f[k>>2]|0)+(Y(f[f[p>>2]>>2]|0,A)|0)|0,q|0)|0;yic(C,C+(s<<2)|0,e);if(!z){D=0;do{E=C+(D<<2)|0;F=C+(y-D<<2)|0;G=f[E>>2]|0;f[E>>2]=f[F>>2];f[F>>2]=G;D=D+1|0}while((D|0)<(w|0))}D=A+1|0;if((D|0)>=(r|0))break a;A=D;B=f[l>>2]|0}}B=t+(s<<2)|0;A=o|x^1;z=0;do{if(v){q=f[k>>2]|0;D=f[f[p>>2]>>2]|0;C=0;do{G=q+(Y(D,C)|0)+(z<<2)|0;f[t+(C<<2)>>2]=f[G>>2];C=C+1|0}while((C|0)!=(s|0))}yic(t,B,e);if(!A){C=0;do{D=t+(C<<2)|0;q=t+(y-C<<2)|0;G=f[D>>2]|0;f[D>>2]=f[q>>2];f[q>>2]=G;C=C+1|0}while((C|0)<(w|0))}if(v){C=f[l>>2]|0;G=f[f[c>>2]>>2]|0;q=0;do{D=C+(Y(G,q)|0)+(z<<2)|0;f[D>>2]=f[t+(q<<2)>>2];q=q+1|0}while((q|0)!=(s|0))}z=z+1|0}while((z|0)<(r|0))}while(0);r=f[g>>2]|0;if((r|0)==(h|0)){u=d;return}if(r|0)guc(r);f[g>>2]=h;f[i>>2]=264;u=d;return}function XO(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0.0;d=u;u=u+1104|0;e=d+1096|0;g=d;h=g+8|0;f[g>>2]=h;i=g+4|0;f[i>>2]=136;j=(c&1|0)==0;k=a+16|0;l=b+16|0;m=f[l>>2]|0;n=(f[k>>2]|0)==(m|0);o=(c&16|0)==0;c=f[a+12>>2]|0;q=f[a+8>>2]|0;if(!j){f[i>>2]=q;if(q>>>0>136){r=euc(q>>>0>536870911?-1:q<<3)|0;f[g>>2]=r;s=c;t=q;v=r}else{s=c;t=q;v=h}}else{s=q;t=c;v=h}a:do if((s|0)>0){c=b+44|0;q=a+44|0;r=t<<3;w=(t|0)>0;x=(t|0)/2|0;y=(t|0)>1;z=t+-1|0;if(j){A=o|y^1;B=0;C=m;while(1){D=C+(Y(f[f[c>>2]>>2]|0,B)|0)|0;if(!n)szc(D|0,(f[k>>2]|0)+(Y(f[f[q>>2]>>2]|0,B)|0)|0,r|0)|0;Eic(D,D+(t<<3)|0,e);if(!A){E=0;do{F=D+(E<<3)|0;G=D+(z-E<<3)|0;H=+p[F>>3];p[F>>3]=+p[G>>3];p[G>>3]=H;E=E+1|0}while((E|0)<(x|0))}E=B+1|0;if((E|0)>=(s|0))break a;B=E;C=f[l>>2]|0}}C=v+(t<<3)|0;B=o|y^1;A=0;do{if(w){r=f[k>>2]|0;E=f[f[q>>2]>>2]|0;D=0;do{G=r+(Y(E,D)|0)+(A<<3)|0;p[v+(D<<3)>>3]=+p[G>>3];D=D+1|0}while((D|0)!=(t|0))}Eic(v,C,e);if(!B){D=0;do{E=v+(D<<3)|0;r=v+(z-D<<3)|0;H=+p[E>>3];p[E>>3]=+p[r>>3];p[r>>3]=H;D=D+1|0}while((D|0)<(x|0))}if(w){D=f[l>>2]|0;r=f[f[c>>2]>>2]|0;E=0;do{G=D+(Y(r,E)|0)+(A<<3)|0;p[G>>3]=+p[v+(E<<3)>>3];E=E+1|0}while((E|0)!=(t|0))}A=A+1|0}while((A|0)<(s|0))}while(0);s=f[g>>2]|0;if((s|0)==(h|0)){u=d;return}if(s|0)guc(s);f[g>>2]=h;f[i>>2]=136;u=d;return}function YO(){var a=0,c=0,d=0,e=0,g=0;a=u;u=u+16|0;c=a;a=cuc(48)|0;f[c>>2]=a;f[c+8>>2]=-2147483600;f[c+4>>2]=46;d=a;e=212935;g=d+46|0;do{b[d>>0]=b[e>>0]|0;d=d+1|0;e=e+1|0}while((d|0)<(g|0));b[a+46>>0]=0;WD(-218,c,212982,212995,64)}function ZO(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;YO()}function _O(a){a=a|0;return}function $O(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,k=0,l=0,m=0;if((c|0)>0)d=0;else return;do{e=j[a+(d<<1)>>1]|0;g=e<<13;h=g&268427264;i=h+939524096|0;k=e<<16&-2147483648;l=e&31744;a:do if(l<<16>>16<31744){switch(l<<16>>16){case 0:break;default:{m=i;break a}}m=(n[s>>2]=(f[s>>2]=h+947912704,+n[s>>2])+-.00006103515625,f[s>>2]|0)}else{switch(l<<16>>16){case 31744:break;default:{m=i;break a}}m=g|1879048192}while(0);f[b+(d<<2)>>2]=m|k;d=d+1|0}while((d|0)!=(c|0));return}function aP(a,b,c){a=a|0;b=b|0;c=c|0;var e=0,g=0,h=0,i=0,j=0;if((c|0)>0)e=0;else return;do{g=f[a+(e<<2)>>2]|0;h=g&-2147483648;i=h^g;do if(i>>>0<=1199570943)if(i>>>0<947912704){j=(n[s>>2]=(f[s>>2]=i,+n[s>>2])+.5,f[s>>2]|0);break}else{j=(g+134221823+(g>>>13&1)|0)>>>13;break}else j=i>>>0>2139095040?32256:31744;while(0);d[b+(e<<1)>>1]=j|h>>>16;e=e+1|0}while((e|0)!=(c|0));return}function bP(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;if((c|0)>0)d=0;else return;do{e=a+(d<<2)|0;n[e>>2]=+n[b+((d<<1|1)<<2)>>2]+ +n[e>>2];d=d+1|0}while((d|0)!=(c|0));return}function cP(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;if((c|0)>0)d=0;else return;do{e=a+(d<<3)|0;p[e>>3]=+p[b+((d<<1|1)<<3)>>3]+ +p[e>>3];d=d+1|0}while((d|0)!=(c|0));return}function dP(a,b){a=a|0;b=b|0;return f[38508+((b&7)<<5)+((a&7)<<2)>>2]|0}function eP(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0;i=f[h>>2]|0;d=f[h+4>>2]|0;if((d|0)>0){j=a;k=e;l=0}else return;while(1){szc(k|0,j|0,i|0)|0;l=l+1|0;if((l|0)==(d|0))break;else{j=j+b|0;k=k+g|0}}return}function fP(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0;j=f[i>>2]|0;e=f[i+4>>2]|0;if((e|0)>0&(j|0)>0){k=0;l=g;m=a}else return;while(1){a=0;do{g=b[m+a>>0]|0;b[l+a>>0]=(g|0)>0?g:0;a=a+1|0}while((a|0)!=(j|0));k=k+1|0;if((k|0)==(e|0))break;else{l=l+h|0;m=m+c|0}}return}function gP(a,c,d,e,g,h,i,k){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;k=k|0;var l=0,m=0,n=0;k=f[i>>2]|0;e=f[i+4>>2]|0;i=c>>>1;if((e|0)>0&(k|0)>0){l=0;m=g;n=a}else return;while(1){a=0;do{g=j[n+(a<<1)>>1]|0;b[m+a>>0]=g>>>0<255?g:255;a=a+1|0}while((a|0)!=(k|0));l=l+1|0;if((l|0)==(e|0))break;else{m=m+h|0;n=n+(i<<1)|0}}return}function hP(a,c,e,g,h,i,j,k){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0;k=f[j>>2]|0;g=f[j+4>>2]|0;j=c>>>1;if((g|0)>0&(k|0)>0){l=0;m=h;n=a}else return;while(1){a=0;do{h=d[n+(a<<1)>>1]|0;b[m+a>>0]=(h&65535)<256?h&65535:h<<16>>16>0?255:0;a=a+1|0}while((a|0)!=(k|0));l=l+1|0;if((l|0)==(g|0))break;else{m=m+i|0;n=n+(j<<1)|0}}return}function iP(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0;j=f[i>>2]|0;e=f[i+4>>2]|0;i=c>>>2;if((e|0)>0&(j|0)>0){k=0;l=g;m=a}else return;while(1){a=0;do{g=f[m+(a<<2)>>2]|0;b[l+a>>0]=g>>>0<256?g:(g|0)>0?255:0;a=a+1|0}while((a|0)!=(j|0));k=k+1|0;if((k|0)==(e|0))break;else{l=l+h|0;m=m+(i<<2)|0}}return}function jP(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0;j=f[i>>2]|0;e=f[i+4>>2]|0;i=c>>>2;if((e|0)>0&(j|0)>0){k=0;l=g;m=a}else return;while(1){a=0;do{g=Ghc(+n[m+(a<<2)>>2])|0;b[l+a>>0]=g>>>0<256?g:(g|0)>0?255:0;a=a+1|0}while((a|0)!=(j|0));k=k+1|0;if((k|0)==(e|0))break;else{l=l+h|0;m=m+(i<<2)|0}}return}function kP(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0;j=f[i>>2]|0;e=f[i+4>>2]|0;i=c>>>3;if((e|0)>0&(j|0)>0){k=0;l=g;m=a}else return;while(1){a=0;do{g=Fhc(+p[m+(a<<3)>>3])|0;b[l+a>>0]=g>>>0<256?g:(g|0)>0?255:0;a=a+1|0}while((a|0)!=(j|0));k=k+1|0;if((k|0)==(e|0))break;else{l=l+h|0;m=m+(i<<3)|0}}return}function lP(a,c,d,e,g,h,i,k){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;k=k|0;var l=0,m=0,o=0,p=0,q=0,r=0,t=0;k=f[i>>2]|0;e=f[i+4>>2]|0;i=c>>>1;if((e|0)>0&(k|0)>0){l=0;m=g;o=a}else return;while(1){a=0;do{g=j[o+(a<<1)>>1]|0;c=g<<13;d=c&268427264;p=d+939524096|0;q=g<<16&-2147483648;r=g&31744;a:do if(r<<16>>16<31744){switch(r<<16>>16){case 0:break;default:{t=p;break a}}t=(n[s>>2]=(f[s>>2]=d+947912704,+n[s>>2])+-.00006103515625,f[s>>2]|0)}else{switch(r<<16>>16){case 31744:break;default:{t=p;break a}}t=c|1879048192}while(0);c=Ghc((f[s>>2]=t|q,+n[s>>2]))|0;b[m+a>>0]=c>>>0<256?c:(c|0)>0?255:0;a=a+1|0}while((a|0)!=(k|0));l=l+1|0;if((l|0)==(e|0))break;else{m=m+h|0;o=o+(i<<1)|0}}return}function mP(a,c,d,e,g,i,j,k){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0;k=f[j>>2]|0;e=f[j+4>>2]|0;if((e|0)>0&(k|0)>0){l=0;m=g;n=a}else return;while(1){a=0;do{g=h[n+a>>0]|0;b[m+a>>0]=g>>>0<127?g:127;a=a+1|0}while((a|0)!=(k|0));l=l+1|0;if((l|0)==(e|0))break;else{m=m+i|0;n=n+c|0}}return}function nP(a,c,d,e,g,h,i,k){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;k=k|0;var l=0,m=0,n=0;k=f[i>>2]|0;e=f[i+4>>2]|0;i=c>>>1;if((e|0)>0&(k|0)>0){l=0;m=g;n=a}else return;while(1){a=0;do{g=j[n+(a<<1)>>1]|0;b[m+a>>0]=g>>>0<127?g:127;a=a+1|0}while((a|0)!=(k|0));l=l+1|0;if((l|0)==(e|0))break;else{m=m+h|0;n=n+(i<<1)|0}}return}function oP(a,c,e,g,h,i,j,k){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0;k=f[j>>2]|0;g=f[j+4>>2]|0;j=c>>>1;if((g|0)>0&(k|0)>0){l=0;m=h;n=a}else return;while(1){a=0;do{h=d[n+(a<<1)>>1]|0;c=h<<16>>16;b[m+a>>0]=(c+128|0)>>>0<256?c:h<<16>>16>0?127:128;a=a+1|0}while((a|0)!=(k|0));l=l+1|0;if((l|0)==(g|0))break;else{m=m+i|0;n=n+(j<<1)|0}}return}function pP(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0;j=f[i>>2]|0;e=f[i+4>>2]|0;i=c>>>2;if((e|0)>0&(j|0)>0){k=0;l=g;m=a}else return;while(1){a=0;do{g=f[m+(a<<2)>>2]|0;b[l+a>>0]=(g+128|0)>>>0<256?g:(g|0)>0?127:128;a=a+1|0}while((a|0)!=(j|0));k=k+1|0;if((k|0)==(e|0))break;else{l=l+h|0;m=m+(i<<2)|0}}return}function qP(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0;j=f[i>>2]|0;e=f[i+4>>2]|0;i=c>>>2;if((e|0)>0&(j|0)>0){k=0;l=g;m=a}else return;while(1){a=0;do{g=Ghc(+n[m+(a<<2)>>2])|0;b[l+a>>0]=(g+128|0)>>>0<256?g:(g|0)>0?127:128;a=a+1|0}while((a|0)!=(j|0));k=k+1|0;if((k|0)==(e|0))break;else{l=l+h|0;m=m+(i<<2)|0}}return}function rP(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0;j=f[i>>2]|0;e=f[i+4>>2]|0;i=c>>>3;if((e|0)>0&(j|0)>0){k=0;l=g;m=a}else return;while(1){a=0;do{g=Fhc(+p[m+(a<<3)>>3])|0;b[l+a>>0]=(g+128|0)>>>0<256?g:(g|0)>0?127:128;a=a+1|0}while((a|0)!=(j|0));k=k+1|0;if((k|0)==(e|0))break;else{l=l+h|0;m=m+(i<<3)|0}}return}function sP(a,c,d,e,g,h,i,k){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;k=k|0;var l=0,m=0,o=0,p=0,q=0,r=0,t=0;k=f[i>>2]|0;e=f[i+4>>2]|0;i=c>>>1;if((e|0)>0&(k|0)>0){l=0;m=g;o=a}else return;while(1){a=0;do{g=j[o+(a<<1)>>1]|0;c=g<<13;d=c&268427264;p=d+939524096|0;q=g<<16&-2147483648;r=g&31744;a:do if(r<<16>>16<31744){switch(r<<16>>16){case 0:break;default:{t=p;break a}}t=(n[s>>2]=(f[s>>2]=d+947912704,+n[s>>2])+-.00006103515625,f[s>>2]|0)}else{switch(r<<16>>16){case 31744:break;default:{t=p;break a}}t=c|1879048192}while(0);c=Ghc((f[s>>2]=t|q,+n[s>>2]))|0;b[m+a>>0]=(c+128|0)>>>0<256?c:(c|0)>0?127:128;a=a+1|0}while((a|0)!=(k|0));l=l+1|0;if((l|0)==(e|0))break;else{m=m+h|0;o=o+(i<<1)|0}}return}function tP(a,b,c,e,g,i,j,k){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0;k=f[j>>2]|0;e=f[j+4>>2]|0;j=i>>>1;if((e|0)>0&(k|0)>0){l=0;m=g;n=a}else return;while(1){a=0;do{d[m+(a<<1)>>1]=h[n+a>>0]|0;a=a+1|0}while((a|0)!=(k|0));l=l+1|0;if((l|0)==(e|0))break;else{m=m+(j<<1)|0;n=n+b|0}}return}function uP(a,c,e,g,h,i,j,k){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0;k=f[j>>2]|0;g=f[j+4>>2]|0;j=i>>>1;if((g|0)>0&(k|0)>0){l=0;m=h;n=a}else return;while(1){a=0;do{h=b[n+a>>0]|0;d[m+(a<<1)>>1]=(h|0)>0?h:0;a=a+1|0}while((a|0)!=(k|0));l=l+1|0;if((l|0)==(g|0))break;else{m=m+(j<<1)|0;n=n+c|0}}return}function vP(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;i=f[h+4>>2]|0;d=f[h>>2]<<1;if((i|0)<=0)return;h=a;a=e;e=0;while(1){szc(a|0,h|0,d|0)|0;e=e+1|0;if((e|0)==(i|0))break;else{h=h+b|0;a=a+g|0}}return}function wP(a,b,c,e,g,h,i,j){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0;j=f[i>>2]|0;e=f[i+4>>2]|0;i=b>>>1;b=h>>>1;if((j|0)>0&(e|0)>0){k=0;l=g;m=a}else return;while(1){a=0;do{g=d[m+(a<<1)>>1]|0;d[l+(a<<1)>>1]=(g|0)>0?g:0;a=a+1|0}while((a|0)!=(j|0));k=k+1|0;if((k|0)==(e|0))break;else{l=l+(b<<1)|0;m=m+(i<<1)|0}}return}function xP(a,b,c,e,g,h,i,j){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0;j=f[i>>2]|0;e=f[i+4>>2]|0;i=b>>>2;b=h>>>1;if((j|0)>0&(e|0)>0){k=0;l=g;m=a}else return;while(1){a=0;do{g=f[m+(a<<2)>>2]|0;d[l+(a<<1)>>1]=g>>>0<65536?g:(g|0)>0?65535:0;a=a+1|0}while((a|0)!=(j|0));k=k+1|0;if((k|0)==(e|0))break;else{l=l+(b<<1)|0;m=m+(i<<2)|0}}return}function yP(a,b,c,e,g,h,i,j){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0;j=f[i>>2]|0;e=f[i+4>>2]|0;i=b>>>2;b=h>>>1;if((j|0)>0&(e|0)>0){k=0;l=g;m=a}else return;while(1){a=0;do{g=Ghc(+n[m+(a<<2)>>2])|0;d[l+(a<<1)>>1]=g>>>0<65536?g:(g|0)>0?65535:0;a=a+1|0}while((a|0)!=(j|0));k=k+1|0;if((k|0)==(e|0))break;else{l=l+(b<<1)|0;m=m+(i<<2)|0}}return}function zP(a,b,c,e,g,h,i,j){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0;j=f[i>>2]|0;e=f[i+4>>2]|0;i=b>>>3;b=h>>>1;if((j|0)>0&(e|0)>0){k=0;l=g;m=a}else return;while(1){a=0;do{g=Fhc(+p[m+(a<<3)>>3])|0;d[l+(a<<1)>>1]=g>>>0<65536?g:(g|0)>0?65535:0;a=a+1|0}while((a|0)!=(j|0));k=k+1|0;if((k|0)==(e|0))break;else{l=l+(b<<1)|0;m=m+(i<<3)|0}}return}function AP(a,b,c,e,g,h,i,k){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;k=k|0;var l=0,m=0,o=0,p=0,q=0,r=0,t=0;k=f[i>>2]|0;e=f[i+4>>2]|0;i=b>>>1;b=h>>>1;if((k|0)>0&(e|0)>0){l=0;m=g;o=a}else return;while(1){a=0;do{g=j[o+(a<<1)>>1]|0;h=g<<13;c=h&268427264;p=c+939524096|0;q=g<<16&-2147483648;r=g&31744;a:do if(r<<16>>16<31744){switch(r<<16>>16){case 0:break;default:{t=p;break a}}t=(n[s>>2]=(f[s>>2]=c+947912704,+n[s>>2])+-.00006103515625,f[s>>2]|0)}else{switch(r<<16>>16){case 31744:break;default:{t=p;break a}}t=h|1879048192}while(0);h=Ghc((f[s>>2]=t|q,+n[s>>2]))|0;d[m+(a<<1)>>1]=h>>>0<65536?h:(h|0)>0?65535:0;a=a+1|0}while((a|0)!=(k|0));l=l+1|0;if((l|0)==(e|0))break;else{m=m+(b<<1)|0;o=o+(i<<1)|0}}return}function BP(a,b,c,e,g,i,j,k){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0;k=f[j>>2]|0;e=f[j+4>>2]|0;j=i>>>1;if((e|0)>0&(k|0)>0){l=0;m=g;n=a}else return;while(1){a=0;do{d[m+(a<<1)>>1]=h[n+a>>0]|0;a=a+1|0}while((a|0)!=(k|0));l=l+1|0;if((l|0)==(e|0))break;else{m=m+(j<<1)|0;n=n+b|0}}return}function CP(a,c,e,g,h,i,j,k){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0;k=f[j>>2]|0;g=f[j+4>>2]|0;j=i>>>1;if((g|0)>0&(k|0)>0){l=0;m=h;n=a}else return;while(1){a=0;do{d[m+(a<<1)>>1]=b[n+a>>0]|0;a=a+1|0}while((a|0)!=(k|0));l=l+1|0;if((l|0)==(g|0))break;else{m=m+(j<<1)|0;n=n+c|0}}return}function DP(a,b,c,e,g,h,i,k){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;k=k|0;var l=0,m=0,n=0;k=f[i>>2]|0;e=f[i+4>>2]|0;i=b>>>1;b=h>>>1;if((k|0)>0&(e|0)>0){l=0;m=g;n=a}else return;while(1){a=0;do{g=j[n+(a<<1)>>1]|0;d[m+(a<<1)>>1]=g>>>0<32767?g:32767;a=a+1|0}while((a|0)!=(k|0));l=l+1|0;if((l|0)==(e|0))break;else{m=m+(b<<1)|0;n=n+(i<<1)|0}}return}function EP(a,b,c,e,g,h,i,j){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0;j=f[i>>2]|0;e=f[i+4>>2]|0;i=b>>>2;b=h>>>1;if((j|0)>0&(e|0)>0){k=0;l=g;m=a}else return;while(1){a=0;do{g=f[m+(a<<2)>>2]|0;d[l+(a<<1)>>1]=(g+32768|0)>>>0<65536?g:(g|0)>0?32767:32768;a=a+1|0}while((a|0)!=(j|0));k=k+1|0;if((k|0)==(e|0))break;else{l=l+(b<<1)|0;m=m+(i<<2)|0}}return}function FP(a,b,c,e,g,h,i,j){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0;j=f[i>>2]|0;e=f[i+4>>2]|0;i=b>>>2;b=h>>>1;if((j|0)>0&(e|0)>0){k=0;l=g;m=a}else return;while(1){a=0;do{g=Ghc(+n[m+(a<<2)>>2])|0;d[l+(a<<1)>>1]=(g+32768|0)>>>0<65536?g:(g|0)>0?32767:32768;a=a+1|0}while((a|0)!=(j|0));k=k+1|0;if((k|0)==(e|0))break;else{l=l+(b<<1)|0;m=m+(i<<2)|0}}return}function GP(a,b,c,e,g,h,i,j){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0;j=f[i>>2]|0;e=f[i+4>>2]|0;i=b>>>3;b=h>>>1;if((j|0)>0&(e|0)>0){k=0;l=g;m=a}else return;while(1){a=0;do{g=Fhc(+p[m+(a<<3)>>3])|0;d[l+(a<<1)>>1]=(g+32768|0)>>>0<65536?g:(g|0)>0?32767:32768;a=a+1|0}while((a|0)!=(j|0));k=k+1|0;if((k|0)==(e|0))break;else{l=l+(b<<1)|0;m=m+(i<<3)|0}}return}function HP(a,b,c,e,g,h,i,k){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;k=k|0;var l=0,m=0,o=0,p=0,q=0,r=0,t=0;k=f[i>>2]|0;e=f[i+4>>2]|0;i=b>>>1;b=h>>>1;if((k|0)>0&(e|0)>0){l=0;m=g;o=a}else return;while(1){a=0;do{g=j[o+(a<<1)>>1]|0;h=g<<13;c=h&268427264;p=c+939524096|0;q=g<<16&-2147483648;r=g&31744;a:do if(r<<16>>16<31744){switch(r<<16>>16){case 0:break;default:{t=p;break a}}t=(n[s>>2]=(f[s>>2]=c+947912704,+n[s>>2])+-.00006103515625,f[s>>2]|0)}else{switch(r<<16>>16){case 31744:break;default:{t=p;break a}}t=h|1879048192}while(0);h=Ghc((f[s>>2]=t|q,+n[s>>2]))|0;d[m+(a<<1)>>1]=(h+32768|0)>>>0<65536?h:(h|0)>0?32767:32768;a=a+1|0}while((a|0)!=(k|0));l=l+1|0;if((l|0)==(e|0))break;else{m=m+(b<<1)|0;o=o+(i<<1)|0}}return}function IP(a,b,c,d,e,g,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;i=i|0;j=j|0;var k=0,l=0,m=0;j=f[i>>2]|0;d=f[i+4>>2]|0;i=g>>>2;if((d|0)>0&(j|0)>0){k=0;l=e;m=a}else return;while(1){a=0;do{f[l+(a<<2)>>2]=h[m+a>>0];a=a+1|0}while((a|0)!=(j|0));k=k+1|0;if((k|0)==(d|0))break;else{l=l+(i<<2)|0;m=m+b|0}}return}function JP(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0;j=f[i>>2]|0;e=f[i+4>>2]|0;i=h>>>2;if((e|0)>0&(j|0)>0){k=0;l=g;m=a}else return;while(1){a=0;do{f[l+(a<<2)>>2]=b[m+a>>0];a=a+1|0}while((a|0)!=(j|0));k=k+1|0;if((k|0)==(e|0))break;else{l=l+(i<<2)|0;m=m+c|0}}return}function KP(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var k=0,l=0,m=0;i=f[h>>2]|0;d=f[h+4>>2]|0;h=b>>>1;b=g>>>2;if((d|0)>0&(i|0)>0){k=0;l=e;m=a}else return;while(1){a=0;do{f[l+(a<<2)>>2]=j[m+(a<<1)>>1];a=a+1|0}while((a|0)!=(i|0));k=k+1|0;if((k|0)==(d|0))break;else{l=l+(b<<2)|0;m=m+(h<<1)|0}}return}function LP(a,b,c,e,g,h,i,j){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0;j=f[i>>2]|0;e=f[i+4>>2]|0;i=b>>>1;b=h>>>2;if((e|0)>0&(j|0)>0){k=0;l=g;m=a}else return;while(1){a=0;do{f[l+(a<<2)>>2]=d[m+(a<<1)>>1];a=a+1|0}while((a|0)!=(j|0));k=k+1|0;if((k|0)==(e|0))break;else{l=l+(b<<2)|0;m=m+(i<<1)|0}}return}function MP(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;i=f[h+4>>2]|0;d=f[h>>2]<<2;if((i|0)<=0)return;h=a;a=e;e=0;while(1){szc(a|0,h|0,d|0)|0;e=e+1|0;if((e|0)==(i|0))break;else{h=h+b|0;a=a+g|0}}return}function NP(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0;i=f[h>>2]|0;d=f[h+4>>2]|0;h=b>>>2;b=g>>>2;if((d|0)>0&(i|0)>0){j=0;k=e;l=a}else return;while(1){a=0;do{e=Ghc(+n[l+(a<<2)>>2])|0;f[k+(a<<2)>>2]=e;a=a+1|0}while((a|0)!=(i|0));j=j+1|0;if((j|0)==(d|0))break;else{k=k+(b<<2)|0;l=l+(h<<2)|0}}return}function OP(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0;i=f[h>>2]|0;d=f[h+4>>2]|0;h=b>>>3;b=g>>>2;if((d|0)>0&(i|0)>0){j=0;k=e;l=a}else return;while(1){a=0;do{e=Fhc(+p[l+(a<<3)>>3])|0;f[k+(a<<2)>>2]=e;a=a+1|0}while((a|0)!=(i|0));j=j+1|0;if((j|0)==(d|0))break;else{k=k+(b<<2)|0;l=l+(h<<3)|0}}return}function PP(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var k=0,l=0,m=0,o=0,p=0,q=0,r=0;i=f[h>>2]|0;d=f[h+4>>2]|0;h=b>>>1;b=g>>>2;if((d|0)>0&(i|0)>0){k=0;l=e;m=a}else return;while(1){a=0;do{e=j[m+(a<<1)>>1]|0;g=e<<13;c=g&268427264;o=c+939524096|0;p=e<<16&-2147483648;q=e&31744;a:do if(q<<16>>16<31744){switch(q<<16>>16){case 0:break;default:{r=o;break a}}r=(n[s>>2]=(f[s>>2]=c+947912704,+n[s>>2])+-.00006103515625,f[s>>2]|0)}else{switch(q<<16>>16){case 31744:break;default:{r=o;break a}}r=g|1879048192}while(0);g=Ghc((f[s>>2]=r|p,+n[s>>2]))|0;f[l+(a<<2)>>2]=g;a=a+1|0}while((a|0)!=(i|0));k=k+1|0;if((k|0)==(d|0))break;else{l=l+(b<<2)|0;m=m+(h<<1)|0}}return}function QP(a,b,c,d,e,g,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;i=i|0;j=j|0;var k=0,l=0,m=0;j=f[i>>2]|0;d=f[i+4>>2]|0;i=g>>>2;if((d|0)>0&(j|0)>0){k=0;l=e;m=a}else return;while(1){a=0;do{n[l+(a<<2)>>2]=+(h[m+a>>0]|0);a=a+1|0}while((a|0)!=(j|0));k=k+1|0;if((k|0)==(d|0))break;else{l=l+(i<<2)|0;m=m+b|0}}return}function RP(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0;j=f[i>>2]|0;e=f[i+4>>2]|0;i=h>>>2;if((e|0)>0&(j|0)>0){k=0;l=g;m=a}else return;while(1){a=0;do{n[l+(a<<2)>>2]=+(b[m+a>>0]|0);a=a+1|0}while((a|0)!=(j|0));k=k+1|0;if((k|0)==(e|0))break;else{l=l+(i<<2)|0;m=m+c|0}}return}function SP(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var k=0,l=0,m=0;i=f[h>>2]|0;d=f[h+4>>2]|0;h=b>>>1;b=g>>>2;if((i|0)>0&(d|0)>0){k=0;l=e;m=a}else return;while(1){a=0;do{n[l+(a<<2)>>2]=+(j[m+(a<<1)>>1]|0);a=a+1|0}while((a|0)!=(i|0));k=k+1|0;if((k|0)==(d|0))break;else{l=l+(b<<2)|0;m=m+(h<<1)|0}}return}function TP(a,b,c,e,g,h,i,j){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0;j=f[i>>2]|0;e=f[i+4>>2]|0;i=b>>>1;b=h>>>2;if((j|0)>0&(e|0)>0){k=0;l=g;m=a}else return;while(1){a=0;do{n[l+(a<<2)>>2]=+(d[m+(a<<1)>>1]|0);a=a+1|0}while((a|0)!=(j|0));k=k+1|0;if((k|0)==(e|0))break;else{l=l+(b<<2)|0;m=m+(i<<1)|0}}return}function UP(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0;i=f[h>>2]|0;d=f[h+4>>2]|0;h=b>>>2;b=g>>>2;if((i|0)>0&(d|0)>0){j=0;k=e;l=a}else return;while(1){a=0;do{n[k+(a<<2)>>2]=+(f[l+(a<<2)>>2]|0);a=a+1|0}while((a|0)!=(i|0));j=j+1|0;if((j|0)==(d|0))break;else{k=k+(b<<2)|0;l=l+(h<<2)|0}}return}function VP(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0;i=f[h>>2]|0;d=f[h+4>>2]|0;h=b>>>3;b=g>>>2;if((i|0)>0&(d|0)>0){j=0;k=e;l=a}else return;while(1){a=0;do{n[k+(a<<2)>>2]=+p[l+(a<<3)>>3];a=a+1|0}while((a|0)!=(i|0));j=j+1|0;if((j|0)==(d|0))break;else{k=k+(b<<2)|0;l=l+(h<<3)|0}}return}function WP(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var k=0,l=0,m=0,o=0,p=0,q=0,r=0;i=f[h>>2]|0;d=f[h+4>>2]|0;h=b>>>1;b=g>>>2;if((i|0)>0&(d|0)>0){k=0;l=e;m=a}else return;while(1){a=0;do{e=j[m+(a<<1)>>1]|0;g=e<<13;c=g&268427264;o=c+939524096|0;p=e<<16&-2147483648;q=e&31744;a:do if(q<<16>>16<31744){switch(q<<16>>16){case 0:break;default:{r=o;break a}}r=(n[s>>2]=(f[s>>2]=c+947912704,+n[s>>2])+-.00006103515625,f[s>>2]|0)}else{switch(q<<16>>16){case 31744:break;default:{r=o;break a}}r=g|1879048192}while(0);f[l+(a<<2)>>2]=r|p;a=a+1|0}while((a|0)!=(i|0));k=k+1|0;if((k|0)==(d|0))break;else{l=l+(b<<2)|0;m=m+(h<<1)|0}}return}function XP(a,b,c,d,e,g,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;i=i|0;j=j|0;var k=0,l=0,m=0;j=f[i>>2]|0;d=f[i+4>>2]|0;i=g>>>3;if((d|0)>0&(j|0)>0){k=0;l=e;m=a}else return;while(1){a=0;do{p[l+(a<<3)>>3]=+(h[m+a>>0]|0);a=a+1|0}while((a|0)!=(j|0));k=k+1|0;if((k|0)==(d|0))break;else{l=l+(i<<3)|0;m=m+b|0}}return}function YP(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0;j=f[i>>2]|0;e=f[i+4>>2]|0;i=h>>>3;if((e|0)>0&(j|0)>0){k=0;l=g;m=a}else return;while(1){a=0;do{p[l+(a<<3)>>3]=+(b[m+a>>0]|0);a=a+1|0}while((a|0)!=(j|0));k=k+1|0;if((k|0)==(e|0))break;else{l=l+(i<<3)|0;m=m+c|0}}return}function ZP(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var k=0,l=0,m=0;i=f[h>>2]|0;d=f[h+4>>2]|0;h=b>>>1;b=g>>>3;if((i|0)>0&(d|0)>0){k=0;l=e;m=a}else return;while(1){a=0;do{p[l+(a<<3)>>3]=+(j[m+(a<<1)>>1]|0);a=a+1|0}while((a|0)!=(i|0));k=k+1|0;if((k|0)==(d|0))break;else{l=l+(b<<3)|0;m=m+(h<<1)|0}}return}function _P(a,b,c,e,g,h,i,j){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0;j=f[i>>2]|0;e=f[i+4>>2]|0;i=b>>>1;b=h>>>3;if((j|0)>0&(e|0)>0){k=0;l=g;m=a}else return;while(1){a=0;do{p[l+(a<<3)>>3]=+(d[m+(a<<1)>>1]|0);a=a+1|0}while((a|0)!=(j|0));k=k+1|0;if((k|0)==(e|0))break;else{l=l+(b<<3)|0;m=m+(i<<1)|0}}return}function $P(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0;i=f[h>>2]|0;d=f[h+4>>2]|0;h=b>>>2;b=g>>>3;if((i|0)>0&(d|0)>0){j=0;k=e;l=a}else return;while(1){a=0;do{p[k+(a<<3)>>3]=+(f[l+(a<<2)>>2]|0);a=a+1|0}while((a|0)!=(i|0));j=j+1|0;if((j|0)==(d|0))break;else{k=k+(b<<3)|0;l=l+(h<<2)|0}}return}function aQ(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0;i=f[h>>2]|0;d=f[h+4>>2]|0;h=b>>>2;b=g>>>3;if((i|0)>0&(d|0)>0){j=0;k=e;l=a}else return;while(1){a=0;do{p[k+(a<<3)>>3]=+n[l+(a<<2)>>2];a=a+1|0}while((a|0)!=(i|0));j=j+1|0;if((j|0)==(d|0))break;else{k=k+(b<<3)|0;l=l+(h<<2)|0}}return}function bQ(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;i=f[h+4>>2]|0;d=f[h>>2]<<3;if((i|0)<=0)return;h=a;a=e;e=0;while(1){szc(a|0,h|0,d|0)|0;e=e+1|0;if((e|0)==(i|0))break;else{h=h+b|0;a=a+g|0}}return}function cQ(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var k=0,l=0,m=0,o=0,q=0,r=0,t=0;i=f[h>>2]|0;d=f[h+4>>2]|0;h=b>>>1;b=g>>>3;if((i|0)>0&(d|0)>0){k=0;l=e;m=a}else return;while(1){a=0;do{e=j[m+(a<<1)>>1]|0;g=e<<13;c=g&268427264;o=c+939524096|0;q=e<<16&-2147483648;r=e&31744;a:do if(r<<16>>16<31744){switch(r<<16>>16){case 0:break;default:{t=o;break a}}t=(n[s>>2]=(f[s>>2]=c+947912704,+n[s>>2])+-.00006103515625,f[s>>2]|0)}else{switch(r<<16>>16){case 31744:break;default:{t=o;break a}}t=g|1879048192}while(0);p[l+(a<<3)>>3]=(f[s>>2]=t|q,+n[s>>2]);a=a+1|0}while((a|0)!=(i|0));k=k+1|0;if((k|0)==(d|0))break;else{l=l+(b<<3)|0;m=m+(h<<1)|0}}return}function dQ(a,b,c,e,g,i,j,k){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,o=0,p=0;k=f[j>>2]|0;e=f[j+4>>2]|0;j=i>>>1;if((e|0)>0&(k|0)>0){l=0;m=g;o=a}else return;while(1){a=0;do{g=(n[s>>2]=+(h[o+a>>0]|0),f[s>>2]|0);i=g&-2147483648;c=i^g;do if(c>>>0<=1199570943)if(c>>>0<947912704){p=(n[s>>2]=(f[s>>2]=c,+n[s>>2])+.5,f[s>>2]|0);break}else{p=(g+134221823+(g>>>13&1)|0)>>>13;break}else p=c>>>0>2139095040?32256:31744;while(0);d[m+(a<<1)>>1]=p|i>>>16;a=a+1|0}while((a|0)!=(k|0));l=l+1|0;if((l|0)==(e|0))break;else{m=m+(j<<1)|0;o=o+b|0}}return}function eQ(a,c,e,g,h,i,j,k){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,o=0,p=0;k=f[j>>2]|0;g=f[j+4>>2]|0;j=i>>>1;if((g|0)>0&(k|0)>0){l=0;m=h;o=a}else return;while(1){a=0;do{h=(n[s>>2]=+(b[o+a>>0]|0),f[s>>2]|0);i=h&-2147483648;e=i^h;do if(e>>>0<=1199570943)if(e>>>0<947912704){p=(n[s>>2]=(f[s>>2]=e,+n[s>>2])+.5,f[s>>2]|0);break}else{p=(h+134221823+(h>>>13&1)|0)>>>13;break}else p=e>>>0>2139095040?32256:31744;while(0);d[m+(a<<1)>>1]=p|i>>>16;a=a+1|0}while((a|0)!=(k|0));l=l+1|0;if((l|0)==(g|0))break;else{m=m+(j<<1)|0;o=o+c|0}}return}function fQ(a,b,c,e,g,h,i,k){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;k=k|0;var l=0,m=0,o=0,p=0;k=f[i>>2]|0;e=f[i+4>>2]|0;i=b>>>1;b=h>>>1;if((e|0)>0&(k|0)>0){l=0;m=g;o=a}else return;while(1){a=0;do{g=(n[s>>2]=+(j[o+(a<<1)>>1]|0),f[s>>2]|0);h=g&-2147483648;c=h^g;do if(c>>>0<=1199570943)if(c>>>0<947912704){p=(n[s>>2]=(f[s>>2]=c,+n[s>>2])+.5,f[s>>2]|0);break}else{p=(g+134221823+(g>>>13&1)|0)>>>13;break}else p=c>>>0>2139095040?32256:31744;while(0);d[m+(a<<1)>>1]=p|h>>>16;a=a+1|0}while((a|0)!=(k|0));l=l+1|0;if((l|0)==(e|0))break;else{m=m+(b<<1)|0;o=o+(i<<1)|0}}return}function gQ(a,b,c,e,g,h,i,j){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,o=0;j=f[i>>2]|0;e=f[i+4>>2]|0;i=b>>>1;b=h>>>1;if((e|0)>0&(j|0)>0){k=0;l=g;m=a}else return;while(1){a=0;do{g=(n[s>>2]=+(d[m+(a<<1)>>1]|0),f[s>>2]|0);h=g&-2147483648;c=h^g;do if(c>>>0<=1199570943)if(c>>>0<947912704){o=(n[s>>2]=(f[s>>2]=c,+n[s>>2])+.5,f[s>>2]|0);break}else{o=(g+134221823+(g>>>13&1)|0)>>>13;break}else o=c>>>0>2139095040?32256:31744;while(0);d[l+(a<<1)>>1]=o|h>>>16;a=a+1|0}while((a|0)!=(j|0));k=k+1|0;if((k|0)==(e|0))break;else{l=l+(b<<1)|0;m=m+(i<<1)|0}}return}function hQ(a,b,c,e,g,h,i,j){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,o=0;j=f[i>>2]|0;e=f[i+4>>2]|0;i=b>>>2;b=h>>>1;if((e|0)>0&(j|0)>0){k=0;l=g;m=a}else return;while(1){a=0;do{g=(n[s>>2]=+(f[m+(a<<2)>>2]|0),f[s>>2]|0);h=g&-2147483648;c=h^g;do if(c>>>0<=1199570943)if(c>>>0<947912704){o=(n[s>>2]=(f[s>>2]=c,+n[s>>2])+.5,f[s>>2]|0);break}else{o=(g+134221823+(g>>>13&1)|0)>>>13;break}else o=c>>>0>2139095040?32256:31744;while(0);d[l+(a<<1)>>1]=o|h>>>16;a=a+1|0}while((a|0)!=(j|0));k=k+1|0;if((k|0)==(e|0))break;else{l=l+(b<<1)|0;m=m+(i<<2)|0}}return}function iQ(a,b,c,e,g,h,i,j){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,o=0;j=f[i>>2]|0;e=f[i+4>>2]|0;i=b>>>2;b=h>>>1;if((e|0)>0&(j|0)>0){k=0;l=g;m=a}else return;while(1){a=0;do{g=f[m+(a<<2)>>2]|0;h=g&-2147483648;c=h^g;do if(c>>>0<=1199570943)if(c>>>0<947912704){o=(n[s>>2]=(f[s>>2]=c,+n[s>>2])+.5,f[s>>2]|0);break}else{o=(g+134221823+(g>>>13&1)|0)>>>13;break}else o=c>>>0>2139095040?32256:31744;while(0);d[l+(a<<1)>>1]=o|h>>>16;a=a+1|0}while((a|0)!=(j|0));k=k+1|0;if((k|0)==(e|0))break;else{l=l+(b<<1)|0;m=m+(i<<2)|0}}return}function jQ(a,b,c,e,g,h,i,j){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,o=0;j=f[i>>2]|0;e=f[i+4>>2]|0;i=b>>>3;b=h>>>1;if((e|0)>0&(j|0)>0){k=0;l=g;m=a}else return;while(1){a=0;do{g=(n[s>>2]=+p[m+(a<<3)>>3],f[s>>2]|0);h=g&-2147483648;c=h^g;do if(c>>>0<=1199570943)if(c>>>0<947912704){o=(n[s>>2]=(f[s>>2]=c,+n[s>>2])+.5,f[s>>2]|0);break}else{o=(g+134221823+(g>>>13&1)|0)>>>13;break}else o=c>>>0>2139095040?32256:31744;while(0);d[l+(a<<1)>>1]=o|h>>>16;a=a+1|0}while((a|0)!=(j|0));k=k+1|0;if((k|0)==(e|0))break;else{l=l+(b<<1)|0;m=m+(i<<3)|0}}return}function kQ(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=+e;g=+g;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0;h=u;u=u+224|0;i=h+208|0;j=h+152|0;k=h+88|0;l=h+96|0;m=h+8|0;n=h+72|0;o=h+64|0;q=h;r=h+32|0;s=h+24|0;gV(i,38764);t=a+16|0;do if(f[t>>2]|0){v=a+4|0;w=f[v>>2]|0;if((w|0)<3)x=Y(f[a+12>>2]|0,f[a+8>>2]|0)|0;else{y=f[a+40>>2]|0;z=0;A=1;while(1){B=Y(f[y+(z<<2)>>2]|0,A)|0;z=z+1|0;if((z|0)==(w|0)){x=B;break}else A=B}}if(!((w|0)==0|(x|0)==0)){if(+L(+(e+-1.0))<2.220446049250313e-16)C=+L(+g)<2.220446049250313e-16;else C=0;do if((d|0)<0)if(iK(c)|0){A=pJ(c,-1)|0;D=A;E=a;F=f[a>>2]|0;break}else{A=f[a>>2]|0;D=A&4095;E=a;F=A;break}else{A=f[a>>2]|0;D=A&4088|d&7;E=a;F=A}while(0);w=F&7;A=D&7;if(!((w|0)!=(A|0)|C^1)){EI(a,c);break}f[j>>2]=F;z=j+4|0;y=f[v>>2]|0;f[z>>2]=y;B=j+8|0;f[B>>2]=f[a+8>>2];G=j+12|0;f[G>>2]=f[a+12>>2];H=j+16|0;f[H>>2]=f[t>>2];f[j+20>>2]=f[a+20>>2];f[j+24>>2]=f[a+24>>2];f[j+28>>2]=f[a+28>>2];f[j+32>>2]=f[a+32>>2];I=j+36|0;K=f[a+36>>2]|0;f[I>>2]=K;M=j+40|0;f[M>>2]=B;N=j+48|0;O=j+44|0;f[O>>2]=N;f[N>>2]=0;f[j+52>>2]=0;if(!K)P=y;else{y=K+12|0;f[y>>2]=(f[y>>2]|0)+1;P=f[v>>2]|0}if((P|0)<3){y=f[a+44>>2]|0;K=f[O>>2]|0;f[K>>2]=f[y>>2];f[K+4>>2]=f[y+4>>2]}else{f[z>>2]=0;$T(j,a)}y=f[v>>2]|0;K=f[a+40>>2]|0;if((y|0)<3){Q=f[K>>2]|0;f[k>>2]=f[K+4>>2];f[k+4>>2]=Q;IJ(c,k,D,-1,0,0)}else JJ(c,y,K,D,-1,0,0);do if((qJ(c)|0)==65536){K=f[c+4>>2]|0;f[l>>2]=f[K>>2];y=l+4|0;Q=K+4|0;f[y>>2]=f[Q>>2];R=l+8|0;f[R>>2]=f[K+8>>2];f[l+12>>2]=f[K+12>>2];f[l+16>>2]=f[K+16>>2];f[l+20>>2]=f[K+20>>2];f[l+24>>2]=f[K+24>>2];f[l+28>>2]=f[K+28>>2];f[l+32>>2]=f[K+32>>2];S=f[K+36>>2]|0;f[l+36>>2]=S;f[l+40>>2]=R;R=l+48|0;T=l+44|0;f[T>>2]=R;f[R>>2]=0;f[l+52>>2]=0;if(S|0){R=S+12|0;f[R>>2]=(f[R>>2]|0)+1}if((f[Q>>2]|0)<3){Q=f[K+44>>2]|0;R=f[T>>2]|0;f[R>>2]=f[Q>>2];f[R+4>>2]=f[Q+4>>2];break}else{f[y>>2]=0;$T(l,K);break}}else nJ(l,c,-1);while(0);if(C)U=f[38508+(A<<5)+(w<<2)>>2]|0;else U=gL(w,A)|0;p[m>>3]=e;p[m+8>>3]=g;K=((f[E>>2]|0)>>>3&511)+1|0;if(!U){f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;b[n+11>>0]=9;y=n;Q=253007;R=y+9|0;do{b[y>>0]=b[Q>>0]|0;y=y+1|0;Q=Q+1|0}while((y|0)<(R|0));b[n+9>>0]=0;WD(-215,n,213063,213073,449)}if((f[v>>2]|0)<3){Q=f[j>>2]|0;y=f[l>>2]|0;R=f[G>>2]|0;A=f[B>>2]|0;w=Bzc(R|0,((R|0)<0)<<31>>31|0,K|0,0)|0;T=Bzc(w|0,J|0,A|0,((A|0)<0)<<31>>31|0)|0;if((Q&16384&y|0)!=0?(T|0)==(T|0)&(((T|0)<0)<<31>>31|0)==(J|0):0){V=1;W=T}else{V=A;W=Y(R,K)|0}R=f[H>>2]|0;A=f[N>>2]|0;T=f[l+16>>2]|0;y=f[l+48>>2]|0;f[o>>2]=W;f[o+4>>2]=V;Gh[U&255](R,A,0,0,T,y,o,m)}else{f[n>>2]=j;f[n+4>>2]=l;f[n+8>>2]=0;y=q;f[y>>2]=0;f[y+4>>2]=0;YC(r,n,q,-1);y=Y(f[r+20>>2]|0,K)|0;T=r+16|0;A=q+4|0;R=s+4|0;Q=0;while(1){if(Q>>>0>=(f[T>>2]|0)>>>0)break;w=f[q>>2]|0;S=f[A>>2]|0;f[s>>2]=y;f[R>>2]=1;Gh[U&255](w,1,0,0,S,1,s,m);ZC(r)|0;Q=Q+1|0}}Q=l+36|0;R=f[Q>>2]|0;if(R|0?(y=R+12|0,R=f[y>>2]|0,f[y>>2]=R+-1,(R|0)==1):0)aU(l);f[Q>>2]=0;Q=l+16|0;R=l+4|0;f[Q>>2]=0;f[Q+4>>2]=0;f[Q+8>>2]=0;f[Q+12>>2]=0;if((f[R>>2]|0)>0){Q=f[l+40>>2]|0;y=0;do{f[Q+(y<<2)>>2]=0;y=y+1|0}while((y|0)<(f[R>>2]|0))}R=f[l+44>>2]|0;if((R|0)!=(l+48|0))TC(R);R=f[I>>2]|0;if(R|0?(y=R+12|0,R=f[y>>2]|0,f[y>>2]=R+-1,(R|0)==1):0)aU(j);f[I>>2]=0;f[H>>2]=0;f[H+4>>2]=0;f[H+8>>2]=0;f[H+12>>2]=0;if((f[z>>2]|0)>0){R=f[M>>2]|0;y=0;do{f[R+(y<<2)>>2]=0;y=y+1|0}while((y|0)<(f[z>>2]|0))}z=f[O>>2]|0;if((z|0)!=(N|0))TC(z)}else X=7}else X=7;while(0);if((X|0)==7)HJ(c);if(!(f[i+4>>2]|0)){u=h;return}u=h;return}function lQ(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;d=u;u=u+192|0;e=d+184|0;g=d+128|0;h=d+64|0;i=d+120|0;j=d+48|0;k=d;l=d+8|0;m=d+40|0;gV(e,38784);switch(CJ(a,-1)|0){case 5:{n=2;break}case 7:case 3:{o=133;p=5;break}default:{f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;q=cuc(32)|0;f[g>>2]=q;f[g+8>>2]=-2147483616;f[g+4>>2]=23;r=q;s=213290;t=r+23|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));b[q+23>>0]=0;WD(-210,g,213243,213073,496)}}if((n|0)==2)if(iK(c)|0){n=CJ(c,-1)|0;if((n|4|0)!=7){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;q=cuc(48)|0;f[g>>2]=q;f[g+8>>2]=-2147483600;f[g+4>>2]=36;r=q;s=213206;t=r+36|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));b[q+36>>0]=0;WD(-215,g,213243,213073,483)}q=DJ(c,-1)|0;if((q|0)==(DJ(a,-1)|0)){o=147;p=n}else{f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;n=cuc(48)|0;f[g>>2]=n;f[g+8>>2]=-2147483600;f[g+4>>2]=34;r=n;s=213255;t=r+34|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));b[n+34>>0]=0;WD(-215,g,213243,213073,484)}}else{o=147;p=3}do if((qJ(a)|0)==65536){n=f[a+4>>2]|0;f[g>>2]=f[n>>2];s=g+4|0;r=n+4|0;f[s>>2]=f[r>>2];t=g+8|0;f[t>>2]=f[n+8>>2];f[g+12>>2]=f[n+12>>2];f[g+16>>2]=f[n+16>>2];f[g+20>>2]=f[n+20>>2];f[g+24>>2]=f[n+24>>2];f[g+28>>2]=f[n+28>>2];f[g+32>>2]=f[n+32>>2];q=f[n+36>>2]|0;f[g+36>>2]=q;v=g+40|0;f[v>>2]=t;t=g+48|0;w=g+44|0;f[w>>2]=t;f[t>>2]=0;f[g+52>>2]=0;if(q|0){t=q+12|0;f[t>>2]=(f[t>>2]|0)+1}if((f[r>>2]|0)<3){r=f[n+44>>2]|0;t=f[w>>2]|0;f[t>>2]=f[r>>2];f[t+4>>2]=f[r+4>>2];x=s;y=v;z=g;break}else{f[s>>2]=0;$T(g,n);x=s;y=v;z=g;break}}else{nJ(g,a,-1);x=g+4|0;y=g+40|0;z=g}while(0);JJ(c,f[x>>2]|0,f[y>>2]|0,f[z>>2]&4088|p&7,-1,0,0);do if((qJ(c)|0)==65536){p=f[c+4>>2]|0;f[h>>2]=f[p>>2];a=h+4|0;v=p+4|0;f[a>>2]=f[v>>2];s=h+8|0;f[s>>2]=f[p+8>>2];f[h+12>>2]=f[p+12>>2];f[h+16>>2]=f[p+16>>2];f[h+20>>2]=f[p+20>>2];f[h+24>>2]=f[p+24>>2];f[h+28>>2]=f[p+28>>2];f[h+32>>2]=f[p+32>>2];n=f[p+36>>2]|0;f[h+36>>2]=n;f[h+40>>2]=s;s=h+48|0;r=h+44|0;f[r>>2]=s;f[s>>2]=0;f[h+52>>2]=0;if(n|0){s=n+12|0;f[s>>2]=(f[s>>2]|0)+1}if((f[v>>2]|0)<3){v=f[p+44>>2]|0;s=f[r>>2]|0;f[s>>2]=f[v>>2];f[s+4>>2]=f[v+4>>2];break}else{f[a>>2]=0;$T(h,p);break}}else nJ(h,c,-1);while(0);c=f[z>>2]|0;z=(c>>>3&511)+1|0;if((f[x>>2]|0)<3){p=f[h>>2]|0;a=f[g+12>>2]|0;v=f[g+8>>2]|0;s=Bzc(a|0,((a|0)<0)<<31>>31|0,z|0,0)|0;r=Bzc(s|0,J|0,v|0,((v|0)<0)<<31>>31|0)|0;if((c&16384&p|0)!=0?(r|0)==(r|0)&(((r|0)<0)<<31>>31|0)==(J|0):0){A=1;B=r}else{A=v;B=Y(a,z)|0}a=f[g+16>>2]|0;v=f[g+48>>2]|0;r=f[h+16>>2]|0;p=f[h+48>>2]|0;f[i>>2]=B;f[i+4>>2]=A;Gh[o&255](a,v,0,0,r,p,i,0)}else{f[j>>2]=g;f[j+4>>2]=h;f[j+8>>2]=0;i=k;f[i>>2]=0;f[i+4>>2]=0;YC(l,j,k,-1);j=Y(f[l+20>>2]|0,z)|0;z=l+16|0;i=k+4|0;p=m+4|0;r=0;while(1){if(r>>>0>=(f[z>>2]|0)>>>0)break;v=f[k>>2]|0;a=f[i>>2]|0;f[m>>2]=j;f[p>>2]=1;Gh[o&255](v,0,0,0,a,0,m,0);ZC(l)|0;r=r+1|0}}r=h+36|0;l=f[r>>2]|0;if(l|0?(m=l+12|0,l=f[m>>2]|0,f[m>>2]=l+-1,(l|0)==1):0)aU(h);f[r>>2]=0;r=h+16|0;l=h+4|0;f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;f[r+12>>2]=0;if((f[l>>2]|0)>0){r=f[h+40>>2]|0;m=0;do{f[r+(m<<2)>>2]=0;m=m+1|0}while((m|0)<(f[l>>2]|0))}l=f[h+44>>2]|0;if((l|0)!=(h+48|0))TC(l);l=g+36|0;h=f[l>>2]|0;if(h|0?(m=h+12|0,h=f[m>>2]|0,f[m>>2]=h+-1,(h|0)==1):0)aU(g);f[l>>2]=0;l=g+16|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;if((f[x>>2]|0)>0){l=f[y>>2]|0;y=0;do{f[l+(y<<2)>>2]=0;y=y+1|0}while((y|0)<(f[x>>2]|0))}x=f[g+44>>2]|0;if((x|0)!=(g+48|0))TC(x);if(!(f[e+4>>2]|0)){u=d;return}u=d;return}function mQ(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;g=(e|0)%4|0;h=(g|0)==0?4:g;g=f[c>>2]|0;a:do if((h|0)==1){if((e|0)==1){szc(g|0,a|0,d|0)|0;i=1;break}if((d|0)>0){j=0;k=0;while(1){b[g+j>>0]=b[a+k>>0]|0;j=j+1|0;if((j|0)==(d|0)){i=1;break}else k=k+e|0}}else return}else{k=f[c+4>>2]|0;if((h|0)==2)if((d|0)>0){j=0;l=0;while(1){b[g+l>>0]=b[a+j>>0]|0;b[k+l>>0]=b[a+(j+1)>>0]|0;l=l+1|0;if((l|0)==(d|0)){i=2;break a}else j=j+e|0}}else return;j=f[c+8>>2]|0;if((h|0)==3)if((d|0)>0){l=0;m=0;while(1){b[g+m>>0]=b[a+l>>0]|0;b[k+m>>0]=b[a+(l+1)>>0]|0;b[j+m>>0]=b[a+(l+2)>>0]|0;m=m+1|0;if((m|0)==(d|0)){i=3;break}else l=l+e|0}}else return;else{l=f[c+12>>2]|0;if((d|0)>0){m=0;n=0;while(1){b[g+n>>0]=b[a+m>>0]|0;b[k+n>>0]=b[a+(m+1)>>0]|0;b[j+n>>0]=b[a+(m+2)>>0]|0;b[l+n>>0]=b[a+(m+3)>>0]|0;n=n+1|0;if((n|0)==(d|0)){i=h;break}else m=m+e|0}}else return}}while(0);if((d|0)>0&(i|0)<(e|0))o=i;else return;do{i=f[c+(o<<2)>>2]|0;h=f[c+(o+1<<2)>>2]|0;g=f[c+(o+2<<2)>>2]|0;m=f[c+(o+3<<2)>>2]|0;n=o;l=0;while(1){b[i+l>>0]=b[a+n>>0]|0;b[h+l>>0]=b[a+(n+1)>>0]|0;b[g+l>>0]=b[a+(n+2)>>0]|0;b[m+l>>0]=b[a+(n+3)>>0]|0;l=l+1|0;if((l|0)==(d|0))break;else n=n+e|0}o=o+4|0}while((o|0)<(e|0));return}function nQ(a,b,c,e){a=a|0;b=b|0;c=c|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;g=(e|0)%4|0;h=(g|0)==0?4:g;g=f[b>>2]|0;a:do if((h|0)==1){if((e|0)==1){szc(g|0,a|0,c<<1|0)|0;i=1;break}if((c|0)>0){j=0;k=0;while(1){d[g+(j<<1)>>1]=d[a+(k<<1)>>1]|0;j=j+1|0;if((j|0)==(c|0)){i=1;break}else k=k+e|0}}else return}else{k=f[b+4>>2]|0;if((h|0)==2)if((c|0)>0){j=0;l=0;while(1){d[g+(l<<1)>>1]=d[a+(j<<1)>>1]|0;d[k+(l<<1)>>1]=d[a+(j+1<<1)>>1]|0;l=l+1|0;if((l|0)==(c|0)){i=2;break a}else j=j+e|0}}else return;j=f[b+8>>2]|0;if((h|0)==3)if((c|0)>0){l=0;m=0;while(1){d[g+(m<<1)>>1]=d[a+(l<<1)>>1]|0;d[k+(m<<1)>>1]=d[a+(l+1<<1)>>1]|0;d[j+(m<<1)>>1]=d[a+(l+2<<1)>>1]|0;m=m+1|0;if((m|0)==(c|0)){i=3;break}else l=l+e|0}}else return;else{l=f[b+12>>2]|0;if((c|0)>0){m=0;n=0;while(1){d[g+(n<<1)>>1]=d[a+(m<<1)>>1]|0;d[k+(n<<1)>>1]=d[a+(m+1<<1)>>1]|0;d[j+(n<<1)>>1]=d[a+(m+2<<1)>>1]|0;d[l+(n<<1)>>1]=d[a+(m+3<<1)>>1]|0;n=n+1|0;if((n|0)==(c|0)){i=h;break}else m=m+e|0}}else return}}while(0);if((c|0)>0&(i|0)<(e|0))o=i;else return;do{i=f[b+(o<<2)>>2]|0;h=f[b+(o+1<<2)>>2]|0;g=f[b+(o+2<<2)>>2]|0;m=f[b+(o+3<<2)>>2]|0;n=o;l=0;while(1){d[i+(l<<1)>>1]=d[a+(n<<1)>>1]|0;d[h+(l<<1)>>1]=d[a+(n+1<<1)>>1]|0;d[g+(l<<1)>>1]=d[a+(n+2<<1)>>1]|0;d[m+(l<<1)>>1]=d[a+(n+3<<1)>>1]|0;l=l+1|0;if((l|0)==(c|0))break;else n=n+e|0}o=o+4|0}while((o|0)<(e|0));return}function oQ(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=(d|0)%4|0;g=(e|0)==0?4:e;e=f[b>>2]|0;a:do if((g|0)==1){if((d|0)==1){szc(e|0,a|0,c<<2|0)|0;h=1;break}if((c|0)>0){i=0;j=0;while(1){f[e+(i<<2)>>2]=f[a+(j<<2)>>2];i=i+1|0;if((i|0)==(c|0)){h=1;break}else j=j+d|0}}else return}else{j=f[b+4>>2]|0;if((g|0)==2)if((c|0)>0){i=0;k=0;while(1){f[e+(k<<2)>>2]=f[a+(i<<2)>>2];f[j+(k<<2)>>2]=f[a+(i+1<<2)>>2];k=k+1|0;if((k|0)==(c|0)){h=2;break a}else i=i+d|0}}else return;i=f[b+8>>2]|0;if((g|0)==3)if((c|0)>0){k=0;l=0;while(1){f[e+(l<<2)>>2]=f[a+(k<<2)>>2];f[j+(l<<2)>>2]=f[a+(k+1<<2)>>2];f[i+(l<<2)>>2]=f[a+(k+2<<2)>>2];l=l+1|0;if((l|0)==(c|0)){h=3;break}else k=k+d|0}}else return;else{k=f[b+12>>2]|0;if((c|0)>0){l=0;m=0;while(1){f[e+(m<<2)>>2]=f[a+(l<<2)>>2];f[j+(m<<2)>>2]=f[a+(l+1<<2)>>2];f[i+(m<<2)>>2]=f[a+(l+2<<2)>>2];f[k+(m<<2)>>2]=f[a+(l+3<<2)>>2];m=m+1|0;if((m|0)==(c|0)){h=g;break}else l=l+d|0}}else return}}while(0);if((c|0)>0&(h|0)<(d|0))n=h;else return;do{h=f[b+(n<<2)>>2]|0;g=f[b+(n+1<<2)>>2]|0;e=f[b+(n+2<<2)>>2]|0;l=f[b+(n+3<<2)>>2]|0;m=n;k=0;while(1){f[h+(k<<2)>>2]=f[a+(m<<2)>>2];f[g+(k<<2)>>2]=f[a+(m+1<<2)>>2];f[e+(k<<2)>>2]=f[a+(m+2<<2)>>2];f[l+(k<<2)>>2]=f[a+(m+3<<2)>>2];k=k+1|0;if((k|0)==(c|0))break;else m=m+d|0}n=n+4|0}while((n|0)<(d|0));return}function pQ(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=(d|0)%4|0;g=(e|0)==0?4:e;e=f[b>>2]|0;a:do if((g|0)==1){if((d|0)==1){szc(e|0,a|0,c<<3|0)|0;h=1;break}if((c|0)>0){i=0;j=0;while(1){k=a+(j<<3)|0;l=f[k+4>>2]|0;m=e+(i<<3)|0;f[m>>2]=f[k>>2];f[m+4>>2]=l;i=i+1|0;if((i|0)==(c|0)){h=1;break}else j=j+d|0}}else return}else{j=f[b+4>>2]|0;if((g|0)==2)if((c|0)>0){i=0;l=0;while(1){m=a+(i<<3)|0;k=f[m+4>>2]|0;n=e+(l<<3)|0;f[n>>2]=f[m>>2];f[n+4>>2]=k;k=a+(i+1<<3)|0;n=f[k+4>>2]|0;m=j+(l<<3)|0;f[m>>2]=f[k>>2];f[m+4>>2]=n;l=l+1|0;if((l|0)==(c|0)){h=2;break a}else i=i+d|0}}else return;i=f[b+8>>2]|0;if((g|0)==3)if((c|0)>0){l=0;n=0;while(1){m=a+(l<<3)|0;k=f[m+4>>2]|0;o=e+(n<<3)|0;f[o>>2]=f[m>>2];f[o+4>>2]=k;k=a+(l+1<<3)|0;o=f[k+4>>2]|0;m=j+(n<<3)|0;f[m>>2]=f[k>>2];f[m+4>>2]=o;o=a+(l+2<<3)|0;m=f[o+4>>2]|0;k=i+(n<<3)|0;f[k>>2]=f[o>>2];f[k+4>>2]=m;n=n+1|0;if((n|0)==(c|0)){h=3;break}else l=l+d|0}}else return;else{l=f[b+12>>2]|0;if((c|0)>0){n=0;m=0;while(1){k=a+(n<<3)|0;o=f[k+4>>2]|0;p=e+(m<<3)|0;f[p>>2]=f[k>>2];f[p+4>>2]=o;o=a+(n+1<<3)|0;p=f[o+4>>2]|0;k=j+(m<<3)|0;f[k>>2]=f[o>>2];f[k+4>>2]=p;p=a+(n+2<<3)|0;k=f[p+4>>2]|0;o=i+(m<<3)|0;f[o>>2]=f[p>>2];f[o+4>>2]=k;k=a+(n+3<<3)|0;o=f[k+4>>2]|0;p=l+(m<<3)|0;f[p>>2]=f[k>>2];f[p+4>>2]=o;m=m+1|0;if((m|0)==(c|0)){h=g;break}else n=n+d|0}}else return}}while(0);if((c|0)>0&(h|0)<(d|0))q=h;else return;do{h=f[b+(q<<2)>>2]|0;g=f[b+(q+1<<2)>>2]|0;e=f[b+(q+2<<2)>>2]|0;n=f[b+(q+3<<2)>>2]|0;m=q;l=0;while(1){i=a+(m<<3)|0;j=f[i+4>>2]|0;o=h+(l<<3)|0;f[o>>2]=f[i>>2];f[o+4>>2]=j;j=a+(m+1<<3)|0;o=f[j+4>>2]|0;i=g+(l<<3)|0;f[i>>2]=f[j>>2];f[i+4>>2]=o;o=a+(m+2<<3)|0;i=f[o+4>>2]|0;j=e+(l<<3)|0;f[j>>2]=f[o>>2];f[j+4>>2]=i;i=a+(m+3<<3)|0;j=f[i+4>>2]|0;o=n+(l<<3)|0;f[o>>2]=f[i>>2];f[o+4>>2]=j;l=l+1|0;if((l|0)==(c|0))break;else m=m+d|0}q=q+4|0}while((q|0)<(d|0));return}function qQ(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;c=u;u=u+1104|0;d=c+1096|0;e=c+1080|0;g=c+40|0;h=c+8|0;i=c;gV(d,38804);j=f[a>>2]|0;k=j&7;l=j>>>3&511;j=l+1|0;if(l){m=a+4|0;n=a+40|0;o=0;while(1){ZT(b+(o*56|0)|0,f[m>>2]|0,f[n>>2]|0,k);if((o|0)<(l|0))o=o+1|0;else break}o=f[38824+(k<<2)>>2]|0;k=f[m>>2]|0;if((k|0)>0)p=f[(f[a+44>>2]|0)+(k+-1<<2)>>2]|0;else p=0;k=675553809>>>(f[a>>2]<<2&28)&15;f[e>>2]=((p+1023|0)>>>0)/(p>>>0)|0;m=l+2|0;l=(m<<3)+16|0;n=g+8|0;f[g>>2]=n;q=g+4|0;f[q>>2]=l;if(l>>>0>1032){r=euc(l)|0;f[g>>2]=r;s=r}else s=n;r=s+(j<<2)+4+15&-16;l=r;f[s>>2]=a;t=0;do{v=t;t=t+1|0;f[s+(t<<2)>>2]=b+(v*56|0)}while((t|0)!=(j|0));t=r;YC(h,s,t,m);m=f[h+20>>2]|0;f[i>>2]=m;s=536870911/(j>>>0)|0;if(j>>>0<5)w=m;else{r=f[e>>2]|0;w=r>>>0<m>>>0?r:f[i>>2]|0}r=w>>>0<s>>>0?w:s;s=h+16|0;w=l+4|0;v=m;x=m;m=0;while(1){if(m>>>0>=(f[s>>2]|0)>>>0)break;if(!v){y=0;z=x}else{A=v;B=x;C=0;while(1){D=A-C|0;E=r>>>0<D>>>0?r:D;sh[o&255](f[t>>2]|0,w,E,j);C=C+r|0;if(C>>>0<B>>>0){D=Y(p,E)|0;f[t>>2]=(f[t>>2]|0)+D;D=Y(k,E)|0;E=0;do{E=E+1|0;F=l+(E<<2)|0;f[F>>2]=(f[F>>2]|0)+D}while((E|0)!=(j|0));G=f[i>>2]|0}else G=B;if(G>>>0<=C>>>0){y=G;z=G;break}else{A=G;B=G}}}ZC(h)|0;v=y;x=z;m=m+1|0}m=f[g>>2]|0;if((m|0)!=(n|0)){if(m|0)guc(m);f[g>>2]=n;f[q>>2]=1032}}else{q=e+8|0;f[q>>2]=0;f[q+4>>2]=0;f[e>>2]=33619968;f[e+4>>2]=b;EI(a,e)}if(!(f[d+4>>2]|0)){u=c;return}u=c;return}function rQ(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;d=u;u=u+80|0;e=d+72|0;g=d+16|0;h=d;gV(e,38856);do if((qJ(a)|0)==65536){i=f[a+4>>2]|0;f[g>>2]=f[i>>2];j=g+4|0;k=i+4|0;f[j>>2]=f[k>>2];l=g+8|0;f[l>>2]=f[i+8>>2];f[g+12>>2]=f[i+12>>2];m=g+16|0;f[m>>2]=f[i+16>>2];f[g+20>>2]=f[i+20>>2];f[g+24>>2]=f[i+24>>2];f[g+28>>2]=f[i+28>>2];f[g+32>>2]=f[i+32>>2];n=f[i+36>>2]|0;f[g+36>>2]=n;f[g+40>>2]=l;l=g+48|0;o=g+44|0;f[o>>2]=l;f[l>>2]=0;f[g+52>>2]=0;if(n|0){l=n+12|0;f[l>>2]=(f[l>>2]|0)+1}if((f[k>>2]|0)<3){k=f[i+44>>2]|0;l=f[o>>2]|0;f[l>>2]=f[k>>2];f[l+4>>2]=f[k+4>>2];p=m;break}else{f[j>>2]=0;$T(g,i);p=m;break}}else{nJ(g,a,-1);p=g+16|0}while(0);if(f[p>>2]|0){a=g+4|0;m=f[a>>2]|0;if((m|0)<3)q=Y(f[g+12>>2]|0,f[g+8>>2]|0)|0;else{i=f[g+40>>2]|0;j=0;k=1;while(1){l=Y(f[i+(j<<2)>>2]|0,k)|0;j=j+1|0;if((j|0)==(m|0)){q=l;break}else k=l}}if(!((m|0)==0|(q|0)==0)){if((iK(c)|0?!(EJ(c)|0):0)?(q=pJ(c,-1)|0,(q|0)!=(f[g>>2]&7|0)):0){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;q=cuc(64)|0;f[h>>2]=q;f[h+8>>2]=-2147483584;f[h+4>>2]=58;m=q;k=213470;j=m+58|0;do{b[m>>0]=b[k>>0]|0;m=m+1|0;k=k+1|0}while((m|0)<(j|0));b[q+58>>0]=0;WD(-215,h,392813,213403,404)}q=f[g>>2]|0;k=q&7;m=q>>>3&511;jK(c,m+1|0,1,k,-1,0,0);q=g+40|0;j=0;while(1){JJ(c,f[a>>2]|0,f[q>>2]|0,k,j,0,0);if((j|0)<(m|0))j=j+1|0;else break}f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;sJ(c,h);qQ(g,f[h>>2]|0);ut(h)}else r=14}else r=14;if((r|0)==14)HJ(c);c=g+36|0;r=f[c>>2]|0;if(r|0?(h=r+12|0,r=f[h>>2]|0,f[h>>2]=r+-1,(r|0)==1):0)aU(g);f[c>>2]=0;c=g+4|0;f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;f[p+12>>2]=0;if((f[c>>2]|0)>0){p=f[g+40>>2]|0;r=0;do{f[p+(r<<2)>>2]=0;r=r+1|0}while((r|0)<(f[c>>2]|0))}c=f[g+44>>2]|0;if((c|0)!=(g+48|0))TC(c);if(!(f[e+4>>2]|0)){u=d;return}u=d;return}function sQ(a,b,c,d,e,g,h,i,j,k,l,m,n,o,p){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;i=+i;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;var q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0;q=u;u=u+448|0;r=q+392|0;s=q+336|0;t=q+280|0;v=q+224|0;w=q+168|0;x=q+112|0;y=q+56|0;z=q;A=(o&2|0)==0;B=(o&1|0)!=0;C=B?l:m;D=B?m:l;B=A?C:n;E=A?n:C;C=(o&4|0)==0;A=C?D:n;F=C?n:D;f[r>>2]=1124007936;C=r+4|0;G=r+8|0;H=r+40|0;I=C;J=I+36|0;do{f[I>>2]=0;I=I+4|0}while((I|0)<(J|0));f[H>>2]=G;K=r+48|0;L=r+44|0;f[L>>2]=K;f[K>>2]=0;f[r+52>>2]=0;f[s>>2]=1124007936;M=s+4|0;N=s+8|0;O=s+40|0;I=M;J=I+36|0;do{f[I>>2]=0;I=I+4|0}while((I|0)<(J|0));f[O>>2]=N;P=s+48|0;Q=s+44|0;f[Q>>2]=P;f[P>>2]=0;f[s+52>>2]=0;f[t>>2]=1124007936;R=t+4|0;S=t+8|0;T=t+40|0;I=R;J=I+36|0;do{f[I>>2]=0;I=I+4|0}while((I|0)<(J|0));f[T>>2]=S;I=t+48|0;J=t+44|0;f[J>>2]=I;f[I>>2]=0;f[t+52>>2]=0;if(a|0){Ri(v,l,m,p,a,b);b=r+36|0;a=f[b>>2]|0;if(a|0?(m=a+12|0,a=f[m>>2]|0,f[m>>2]=a+-1,(a|0)==1):0)aU(r);f[b>>2]=0;a=r+16|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;if((f[C>>2]|0)>0){m=f[H>>2]|0;l=0;do{f[m+(l<<2)>>2]=0;l=l+1|0}while((l|0)<(f[C>>2]|0))}f[r>>2]=f[v>>2];l=v+4|0;m=f[l>>2]|0;f[C>>2]=m;U=v+8|0;f[G>>2]=f[U>>2];f[r+12>>2]=f[v+12>>2];V=v+16|0;f[a>>2]=f[V>>2];f[r+20>>2]=f[v+20>>2];f[r+24>>2]=f[v+24>>2];f[r+28>>2]=f[v+28>>2];f[r+32>>2]=f[v+32>>2];a=v+36|0;f[b>>2]=f[a>>2];b=r+44|0;W=f[b>>2]|0;if((W|0)==(K|0))X=m;else{TC(W);f[b>>2]=K;f[H>>2]=G;X=f[l>>2]|0}W=v+44|0;if((X|0)<3){X=f[W>>2]|0;f[K>>2]=f[X>>2];f[r+52>>2]=f[X+4>>2];Y=X}else{f[b>>2]=f[W>>2];b=v+40|0;f[r+40>>2]=f[b>>2];X=v+48|0;f[W>>2]=X;f[b>>2]=U;Y=X}f[v>>2]=1124007936;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;f[l+16>>2]=0;f[l+20>>2]=0;f[l+24>>2]=0;f[l+28>>2]=0;f[a>>2]=0;f[V>>2]=0;f[V+4>>2]=0;f[V+8>>2]=0;f[V+12>>2]=0;if((Y|0)!=(v+48|0))TC(Y)}if(c|0){Ri(v,B,E,p,c,d);d=s+36|0;c=f[d>>2]|0;if(c|0?(E=c+12|0,c=f[E>>2]|0,f[E>>2]=c+-1,(c|0)==1):0)aU(s);f[d>>2]=0;c=s+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[M>>2]|0)>0){E=f[O>>2]|0;B=0;do{f[E+(B<<2)>>2]=0;B=B+1|0}while((B|0)<(f[M>>2]|0))}f[s>>2]=f[v>>2];B=v+4|0;E=f[B>>2]|0;f[M>>2]=E;Y=v+8|0;f[N>>2]=f[Y>>2];f[s+12>>2]=f[v+12>>2];V=v+16|0;f[c>>2]=f[V>>2];f[s+20>>2]=f[v+20>>2];f[s+24>>2]=f[v+24>>2];f[s+28>>2]=f[v+28>>2];f[s+32>>2]=f[v+32>>2];c=v+36|0;f[d>>2]=f[c>>2];d=s+44|0;a=f[d>>2]|0;if((a|0)==(P|0))Z=E;else{TC(a);f[d>>2]=P;f[O>>2]=N;Z=f[B>>2]|0}a=v+44|0;if((Z|0)<3){Z=f[a>>2]|0;f[P>>2]=f[Z>>2];f[s+52>>2]=f[Z+4>>2];_=Z}else{f[d>>2]=f[a>>2];d=v+40|0;f[s+40>>2]=f[d>>2];Z=v+48|0;f[a>>2]=Z;f[d>>2]=Y;_=Z}f[v>>2]=1124007936;f[B>>2]=0;f[B+4>>2]=0;f[B+8>>2]=0;f[B+12>>2]=0;f[B+16>>2]=0;f[B+20>>2]=0;f[B+24>>2]=0;f[B+28>>2]=0;f[c>>2]=0;f[V>>2]=0;f[V+4>>2]=0;f[V+8>>2]=0;f[V+12>>2]=0;if((_|0)!=(v+48|0))TC(_)}if((g|0)!=0&i!=0.0){Ri(v,A,F,p,g,h);h=t+36|0;g=f[h>>2]|0;if(g|0?(F=g+12|0,g=f[F>>2]|0,f[F>>2]=g+-1,(g|0)==1):0)aU(t);f[h>>2]=0;g=t+16|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;if((f[R>>2]|0)>0){F=f[T>>2]|0;A=0;do{f[F+(A<<2)>>2]=0;A=A+1|0}while((A|0)<(f[R>>2]|0))}f[t>>2]=f[v>>2];A=v+4|0;F=f[A>>2]|0;f[R>>2]=F;_=v+8|0;f[S>>2]=f[_>>2];f[t+12>>2]=f[v+12>>2];V=v+16|0;f[g>>2]=f[V>>2];f[t+20>>2]=f[v+20>>2];f[t+24>>2]=f[v+24>>2];f[t+28>>2]=f[v+28>>2];f[t+32>>2]=f[v+32>>2];g=v+36|0;f[h>>2]=f[g>>2];h=t+44|0;c=f[h>>2]|0;if((c|0)==(I|0))$=F;else{TC(c);f[h>>2]=I;f[T>>2]=S;$=f[A>>2]|0}c=v+44|0;if(($|0)<3){$=f[c>>2]|0;f[I>>2]=f[$>>2];f[t+52>>2]=f[$+4>>2];aa=$}else{f[h>>2]=f[c>>2];h=v+40|0;f[t+40>>2]=f[h>>2];$=v+48|0;f[c>>2]=$;f[h>>2]=_;aa=$}f[v>>2]=1124007936;f[A>>2]=0;f[A+4>>2]=0;f[A+8>>2]=0;f[A+12>>2]=0;f[A+16>>2]=0;f[A+20>>2]=0;f[A+24>>2]=0;f[A+28>>2]=0;f[g>>2]=0;f[V>>2]=0;f[V+4>>2]=0;f[V+8>>2]=0;f[V+12>>2]=0;if((aa|0)!=(v+48|0))TC(aa)}Ri(v,D,n,p,j,k);f[w>>2]=f[r>>2];k=w+4|0;j=f[C>>2]|0;f[k>>2]=j;p=w+8|0;f[p>>2]=f[G>>2];f[w+12>>2]=f[r+12>>2];G=w+16|0;n=r+16|0;f[G>>2]=f[n>>2];f[w+20>>2]=f[r+20>>2];f[w+24>>2]=f[r+24>>2];f[w+28>>2]=f[r+28>>2];f[w+32>>2]=f[r+32>>2];D=w+36|0;aa=r+36|0;V=f[aa>>2]|0;f[D>>2]=V;g=w+40|0;f[g>>2]=p;p=w+48|0;A=w+44|0;f[A>>2]=p;f[p>>2]=0;f[w+52>>2]=0;if(!V)ba=j;else{j=V+12|0;f[j>>2]=(f[j>>2]|0)+1;ba=f[C>>2]|0}if((ba|0)<3){ba=f[L>>2]|0;j=f[A>>2]|0;f[j>>2]=f[ba>>2];f[j+4>>2]=f[ba+4>>2]}else{f[k>>2]=0;$T(w,r)}f[x>>2]=f[s>>2];ba=x+4|0;j=f[M>>2]|0;f[ba>>2]=j;V=x+8|0;f[V>>2]=f[N>>2];f[x+12>>2]=f[s+12>>2];N=x+16|0;$=s+16|0;f[N>>2]=f[$>>2];f[x+20>>2]=f[s+20>>2];f[x+24>>2]=f[s+24>>2];f[x+28>>2]=f[s+28>>2];f[x+32>>2]=f[s+32>>2];_=x+36|0;h=s+36|0;c=f[h>>2]|0;f[_>>2]=c;F=x+40|0;f[F>>2]=V;V=x+48|0;B=x+44|0;f[B>>2]=V;f[V>>2]=0;f[x+52>>2]=0;if(!c)ca=j;else{j=c+12|0;f[j>>2]=(f[j>>2]|0)+1;ca=f[M>>2]|0}if((ca|0)<3){ca=f[Q>>2]|0;j=f[B>>2]|0;f[j>>2]=f[ca>>2];f[j+4>>2]=f[ca+4>>2]}else{f[ba>>2]=0;$T(x,s)}f[y>>2]=f[t>>2];ca=y+4|0;j=f[R>>2]|0;f[ca>>2]=j;c=y+8|0;f[c>>2]=f[S>>2];f[y+12>>2]=f[t+12>>2];S=y+16|0;Z=t+16|0;f[S>>2]=f[Z>>2];f[y+20>>2]=f[t+20>>2];f[y+24>>2]=f[t+24>>2];f[y+28>>2]=f[t+28>>2];f[y+32>>2]=f[t+32>>2];Y=y+36|0;d=t+36|0;a=f[d>>2]|0;f[Y>>2]=a;E=y+40|0;f[E>>2]=c;c=y+48|0;l=y+44|0;f[l>>2]=c;f[c>>2]=0;f[y+52>>2]=0;if(!a)da=j;else{j=a+12|0;f[j>>2]=(f[j>>2]|0)+1;da=f[R>>2]|0}if((da|0)<3){da=f[J>>2]|0;j=f[l>>2]|0;f[j>>2]=f[da>>2];f[j+4>>2]=f[da+4>>2]}else{f[ca>>2]=0;$T(y,t)}f[z>>2]=f[v>>2];da=z+4|0;j=v+4|0;a=f[j>>2]|0;f[da>>2]=a;X=z+8|0;f[X>>2]=f[v+8>>2];f[z+12>>2]=f[v+12>>2];U=z+16|0;b=v+16|0;f[U>>2]=f[b>>2];f[z+20>>2]=f[v+20>>2];f[z+24>>2]=f[v+24>>2];f[z+28>>2]=f[v+28>>2];f[z+32>>2]=f[v+32>>2];W=z+36|0;m=v+36|0;ea=f[m>>2]|0;f[W>>2]=ea;fa=z+40|0;f[fa>>2]=X;X=z+48|0;ga=z+44|0;f[ga>>2]=X;f[X>>2]=0;f[z+52>>2]=0;if(!ea)ha=a;else{a=ea+12|0;f[a>>2]=(f[a>>2]|0)+1;ha=f[j>>2]|0}if((ha|0)<3){ha=f[v+44>>2]|0;a=f[ga>>2]|0;f[a>>2]=f[ha>>2];f[a+4>>2]=f[ha+4>>2]}else{f[da>>2]=0;$T(z,v)}tQ(w,x,e,y,i,z,o);o=f[W>>2]|0;if(o|0?(ha=o+12|0,o=f[ha>>2]|0,f[ha>>2]=o+-1,(o|0)==1):0)aU(z);f[W>>2]=0;f[U>>2]=0;f[U+4>>2]=0;f[U+8>>2]=0;f[U+12>>2]=0;if((f[da>>2]|0)>0){U=f[fa>>2]|0;fa=0;do{f[U+(fa<<2)>>2]=0;fa=fa+1|0}while((fa|0)<(f[da>>2]|0))}da=f[ga>>2]|0;if((da|0)!=(X|0))TC(da);da=f[Y>>2]|0;if(da|0?(X=da+12|0,da=f[X>>2]|0,f[X>>2]=da+-1,(da|0)==1):0)aU(y);f[Y>>2]=0;f[S>>2]=0;f[S+4>>2]=0;f[S+8>>2]=0;f[S+12>>2]=0;if((f[ca>>2]|0)>0){S=f[E>>2]|0;E=0;do{f[S+(E<<2)>>2]=0;E=E+1|0}while((E|0)<(f[ca>>2]|0))}ca=f[l>>2]|0;if((ca|0)!=(c|0))TC(ca);ca=f[_>>2]|0;if(ca|0?(c=ca+12|0,ca=f[c>>2]|0,f[c>>2]=ca+-1,(ca|0)==1):0)aU(x);f[_>>2]=0;f[N>>2]=0;f[N+4>>2]=0;f[N+8>>2]=0;f[N+12>>2]=0;if((f[ba>>2]|0)>0){N=f[F>>2]|0;F=0;do{f[N+(F<<2)>>2]=0;F=F+1|0}while((F|0)<(f[ba>>2]|0))}ba=f[B>>2]|0;if((ba|0)!=(V|0))TC(ba);ba=f[D>>2]|0;do if(ba|0){V=ba+12|0;B=f[V>>2]|0;f[V>>2]=B+-1;if((B|0)!=1)break;aU(w)}while(0);f[D>>2]=0;f[G>>2]=0;f[G+4>>2]=0;f[G+8>>2]=0;f[G+12>>2]=0;if((f[k>>2]|0)>0){G=f[g>>2]|0;g=0;do{f[G+(g<<2)>>2]=0;g=g+1|0}while((g|0)<(f[k>>2]|0))}k=f[A>>2]|0;if((k|0)!=(p|0))TC(k);k=f[m>>2]|0;do if(k|0){p=k+12|0;A=f[p>>2]|0;f[p>>2]=A+-1;if((A|0)!=1)break;aU(v)}while(0);f[m>>2]=0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;if((f[j>>2]|0)>0){b=f[v+40>>2]|0;m=0;do{f[b+(m<<2)>>2]=0;m=m+1|0}while((m|0)<(f[j>>2]|0))}j=f[v+44>>2]|0;if((j|0)!=(v+48|0))TC(j);j=f[d>>2]|0;do if(j|0){v=j+12|0;m=f[v>>2]|0;f[v>>2]=m+-1;if((m|0)!=1)break;aU(t)}while(0);f[d>>2]=0;f[Z>>2]=0;f[Z+4>>2]=0;f[Z+8>>2]=0;f[Z+12>>2]=0;if((f[R>>2]|0)>0){Z=f[T>>2]|0;T=0;do{f[Z+(T<<2)>>2]=0;T=T+1|0}while((T|0)<(f[R>>2]|0))}R=f[J>>2]|0;if((R|0)!=(I|0))TC(R);R=f[h>>2]|0;do if(R|0){I=R+12|0;J=f[I>>2]|0;f[I>>2]=J+-1;if((J|0)!=1)break;aU(s)}while(0);f[h>>2]=0;f[$>>2]=0;f[$+4>>2]=0;f[$+8>>2]=0;f[$+12>>2]=0;if((f[M>>2]|0)>0){$=f[O>>2]|0;O=0;do{f[$+(O<<2)>>2]=0;O=O+1|0}while((O|0)<(f[M>>2]|0))}M=f[Q>>2]|0;if((M|0)!=(P|0))TC(M);M=f[aa>>2]|0;do if(M|0){P=M+12|0;Q=f[P>>2]|0;f[P>>2]=Q+-1;if((Q|0)!=1)break;aU(r)}while(0);f[aa>>2]=0;f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;f[n+12>>2]=0;if((f[C>>2]|0)>0){n=f[H>>2]|0;H=0;do{f[n+(H<<2)>>2]=0;H=H+1|0}while((H|0)<(f[C>>2]|0))}C=f[L>>2]|0;if((C|0)==(K|0)){u=q;return}TC(C);u=q;return}function tQ(a,c,d,e,g,h,i){a=a|0;c=c|0;d=+d;e=e|0;g=+g;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0.0,Z=0.0,_=0.0,$=0,aa=0,ba=0,ca=0,da=0,ea=0.0,fa=0.0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0.0,oa=0.0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0;j=u;u=u+1120|0;k=j+1112|0;l=j+72|0;m=j+56|0;o=j+48|0;q=j+40|0;r=j+32|0;s=j+24|0;t=j+16|0;v=j+8|0;w=j;gV(k,38876);x=f[a+40>>2]|0;y=f[x+4>>2]|0;z=f[x>>2]|0;x=f[a>>2]|0;A=x&4095;switch(i&3){case 0:{B=c+8|0;C=c+12|0;D=z;break}case 1:{B=c+8|0;C=c+12|0;D=y;break}case 2:{B=c+12|0;C=c+8|0;D=z;break}case 3:{B=c+12|0;C=c+8|0;D=y;break}default:{}}E=f[C>>2]|0;C=f[B>>2]|0;a:do if((i|0)==0&(C+-2|0)>>>0<3?(C|0)==(E|0)|(C|0)==(D|0):0){switch(x&4095){case 5:{B=f[h+16>>2]|0;F=f[a+16>>2]|0;G=f[c+16>>2]|0;H=f[e+16>>2]|0;I=f[h+48>>2]|0;J=I>>>2;K=f[a+48>>2]|0;L=K>>>2;M=f[c+48>>2]|0;N=M>>>2;if(!H)O=0;else O=(f[e+48>>2]|0)>>>2;P=(H|0)==0?550208:H;switch(C|0){case 2:{if(!((E|0)!=2|(G|0)==(B|0))){if((D|0)<=0)break a;Q=G+(N<<2)|0;R=G+4|0;S=G+(N+1<<2)|0;T=0;U=B;V=F;W=P;while(1){X=+n[V>>2];Z=+n[V+4>>2];_=X*+n[R>>2]+Z*+n[S>>2];n[U>>2]=(X*+n[G>>2]+Z*+n[Q>>2])*d+ +n[W>>2]*g;n[U+4>>2]=_*d+ +n[W+4>>2]*g;T=T+1|0;if((T|0)==(D|0))break a;else{U=U+(J<<2)|0;V=V+(L<<2)|0;W=W+(O<<2)|0}}}if((F|0)!=(B|0)){W=(P|0)==550208;V=(W^1)&1;U=W?1:O;if((E|0)<=0)break a;W=F+4|0;T=F+(L<<2)|0;Q=F+(L+1<<2)|0;S=G;R=0;$=B;aa=P;while(1){_=+n[S>>2];Z=+n[S+(N<<2)>>2];X=_*+n[T>>2]+Z*+n[Q>>2];n[$>>2]=(+n[F>>2]*_+ +n[W>>2]*Z)*d+ +n[aa>>2]*g;n[$+(J<<2)>>2]=X*d+ +n[aa+(U<<2)>>2]*g;R=R+1|0;if((R|0)==(E|0))break a;else{S=S+4|0;$=$+4|0;aa=aa+(V<<2)|0}}}break}case 3:{if(!((E|0)!=3|(G|0)==(B|0))){if((D|0)<=0)break a;V=G+(N<<2)|0;aa=N<<1;$=G+(aa<<2)|0;S=G+4|0;R=G+(N+1<<2)|0;U=G+((aa|1)<<2)|0;W=G+8|0;Q=G+(N+2<<2)|0;T=G+(aa+2<<2)|0;aa=F;ba=0;ca=B;da=P;while(1){X=+n[aa>>2];Z=+n[aa+4>>2];_=+n[aa+8>>2];ea=X*+n[S>>2]+Z*+n[R>>2]+_*+n[U>>2];fa=X*+n[W>>2]+Z*+n[Q>>2]+_*+n[T>>2];n[ca>>2]=(X*+n[G>>2]+Z*+n[V>>2]+_*+n[$>>2])*d+ +n[da>>2]*g;n[ca+4>>2]=ea*d+ +n[da+4>>2]*g;n[ca+8>>2]=fa*d+ +n[da+8>>2]*g;ba=ba+1|0;if((ba|0)==(D|0))break a;else{aa=aa+(L<<2)|0;ca=ca+(J<<2)|0;da=da+(O<<2)|0}}}if((F|0)!=(B|0)){da=(P|0)==550208;ca=(da^1)&1;aa=da?1:O;if((E|0)<=0)break a;da=F+4|0;ba=F+8|0;$=N<<1;V=F+(L<<2)|0;T=F+(L+1<<2)|0;Q=F+(L+2<<2)|0;W=L<<1;U=F+(W<<2)|0;R=F+((W|1)<<2)|0;S=F+(W+2<<2)|0;W=aa<<1;ga=J<<1;ha=G;ia=0;ja=B;ka=P;while(1){fa=+n[ha>>2];ea=+n[ha+(N<<2)>>2];_=+n[ha+($<<2)>>2];Z=fa*+n[V>>2]+ea*+n[T>>2]+_*+n[Q>>2];X=fa*+n[U>>2]+ea*+n[R>>2]+_*+n[S>>2];n[ja>>2]=(+n[F>>2]*fa+ +n[da>>2]*ea+ +n[ba>>2]*_)*d+ +n[ka>>2]*g;n[ja+(J<<2)>>2]=Z*d+ +n[ka+(aa<<2)>>2]*g;n[ja+(ga<<2)>>2]=X*d+ +n[ka+(W<<2)>>2]*g;ia=ia+1|0;if((ia|0)==(E|0))break a;else{ha=ha+4|0;ja=ja+4|0;ka=ka+(ca<<2)|0}}}break}case 4:{if(!((E|0)!=4|(G|0)==(B|0))){if((D|0)<=0)break a;ca=G+(N<<2)|0;ka=N<<1;ja=G+(ka<<2)|0;ha=N*3|0;ia=G+(ha<<2)|0;W=G+4|0;ga=G+(N+1<<2)|0;aa=G+((ka|1)<<2)|0;ba=G+(ha+1<<2)|0;da=G+8|0;S=G+(N+2<<2)|0;R=G+(ka+2<<2)|0;U=G+(ha+2<<2)|0;Q=G+12|0;T=G+(N+3<<2)|0;V=G+(ka+3<<2)|0;ka=G+(ha+3<<2)|0;ha=F;$=0;la=B;ma=P;while(1){X=+n[ha>>2];Z=+n[ha+4>>2];_=+n[ha+8>>2];ea=+n[ha+12>>2];fa=X*+n[W>>2]+Z*+n[ga>>2]+_*+n[aa>>2]+ea*+n[ba>>2];na=X*+n[da>>2]+Z*+n[S>>2]+_*+n[R>>2]+ea*+n[U>>2];oa=X*+n[Q>>2]+Z*+n[T>>2]+_*+n[V>>2]+ea*+n[ka>>2];n[la>>2]=(X*+n[G>>2]+Z*+n[ca>>2]+_*+n[ja>>2]+ea*+n[ia>>2])*d+ +n[ma>>2]*g;n[la+4>>2]=fa*d+ +n[ma+4>>2]*g;n[la+8>>2]=na*d+ +n[ma+8>>2]*g;n[la+12>>2]=oa*d+ +n[ma+12>>2]*g;$=$+1|0;if(($|0)==(D|0))break a;else{ha=ha+(L<<2)|0;la=la+(J<<2)|0;ma=ma+(O<<2)|0}}}if((F|0)!=(B|0)){ma=(P|0)==550208;la=(ma^1)&1;ha=ma?1:O;if((E|0)<=0)break a;ma=F+4|0;$=F+8|0;ia=N<<1;ja=F+12|0;ca=N*3|0;ka=F+(L<<2)|0;V=F+(L+1<<2)|0;T=F+(L+2<<2)|0;Q=F+(L+3<<2)|0;U=L<<1;R=F+(U<<2)|0;S=F+((U|1)<<2)|0;da=F+(U+2<<2)|0;ba=F+(U+3<<2)|0;U=L*3|0;aa=F+(U<<2)|0;ga=F+(U+1<<2)|0;W=F+(U+2<<2)|0;pa=F+(U+3<<2)|0;U=ha<<1;qa=J<<1;ra=ha*3|0;sa=J*3|0;ta=G;ua=0;va=B;wa=P;while(1){oa=+n[ta>>2];na=+n[ta+(N<<2)>>2];fa=+n[ta+(ia<<2)>>2];ea=+n[ta+(ca<<2)>>2];_=oa*+n[ka>>2]+na*+n[V>>2]+fa*+n[T>>2]+ea*+n[Q>>2];Z=oa*+n[R>>2]+na*+n[S>>2]+fa*+n[da>>2]+ea*+n[ba>>2];X=oa*+n[aa>>2]+na*+n[ga>>2]+fa*+n[W>>2]+ea*+n[pa>>2];n[va>>2]=(+n[F>>2]*oa+ +n[ma>>2]*na+ +n[$>>2]*fa+ +n[ja>>2]*ea)*d+ +n[wa>>2]*g;n[va+(J<<2)>>2]=_*d+ +n[wa+(ha<<2)>>2]*g;n[va+(qa<<2)>>2]=Z*d+ +n[wa+(U<<2)>>2]*g;n[va+(sa<<2)>>2]=X*d+ +n[wa+(ra<<2)>>2]*g;ua=ua+1|0;if((ua|0)==(E|0))break a;else{ta=ta+4|0;va=va+4|0;wa=wa+(la<<2)|0}}}break}default:{}}if((A|0)==6){xa=I;ya=K;za=M;Aa=H;Ba=H;Ca=G;Da=B;Ea=F}else{Fa=66;break a}break}case 6:{la=f[e+16>>2]|0;xa=f[h+48>>2]|0;ya=f[a+48>>2]|0;za=f[c+48>>2]|0;Aa=la;Ba=la;Ca=f[c+16>>2]|0;Da=f[h+16>>2]|0;Ea=f[a+16>>2]|0;break}default:{Fa=66;break a}}la=xa>>>3;wa=ya>>>3;va=za>>>3;if(!Aa)Ga=0;else Ga=(f[e+48>>2]|0)>>>3;ta=(Ba|0)==0?535104:Ba;switch(C|0){case 2:{if(!((E|0)!=2|(Ca|0)==(Da|0))){if((D|0)<=0)break a;ua=Ca+(va<<3)|0;ra=Ca+8|0;sa=Ca+(va+1<<3)|0;U=Da;qa=Ea;ha=ta;J=0;while(1){X=+p[qa>>3];Z=+p[qa+8>>3];_=X*+p[ra>>3]+Z*+p[sa>>3];p[U>>3]=(X*+p[Ca>>3]+Z*+p[ua>>3])*d+ +p[ha>>3]*g;p[U+8>>3]=_*d+ +p[ha+8>>3]*g;J=J+1|0;if((J|0)==(D|0))break a;else{U=U+(la<<3)|0;qa=qa+(wa<<3)|0;ha=ha+(Ga<<3)|0}}}if((Ea|0)==(Da|0)){Fa=66;break a}ha=(ta|0)==535104;qa=(ha^1)&1;U=ha?1:Ga;if((E|0)<=0)break a;ha=Ea+8|0;J=Ea+(wa<<3)|0;ua=Ea+(wa+1<<3)|0;sa=Ca;ra=Da;F=ta;B=0;while(1){_=+p[sa>>3];Z=+p[sa+(va<<3)>>3];X=_*+p[J>>3]+Z*+p[ua>>3];p[ra>>3]=(+p[Ea>>3]*_+ +p[ha>>3]*Z)*d+ +p[F>>3]*g;p[ra+(la<<3)>>3]=X*d+ +p[F+(U<<3)>>3]*g;B=B+1|0;if((B|0)==(E|0))break;else{sa=sa+8|0;ra=ra+8|0;F=F+(qa<<3)|0}}break}case 3:{if(!((E|0)!=3|(Ca|0)==(Da|0))){if((D|0)<=0)break a;qa=Ca+(va<<3)|0;F=va<<1;ra=Ca+(F<<3)|0;sa=Ca+8|0;B=Ca+(va+1<<3)|0;U=Ca+((F|1)<<3)|0;ha=Ca+16|0;ua=Ca+(va+2<<3)|0;J=Ca+(F+2<<3)|0;F=Ea;G=Da;H=ta;M=0;while(1){X=+p[F>>3];Z=+p[F+8>>3];_=+p[F+16>>3];ea=X*+p[sa>>3]+Z*+p[B>>3]+_*+p[U>>3];fa=X*+p[ha>>3]+Z*+p[ua>>3]+_*+p[J>>3];p[G>>3]=(X*+p[Ca>>3]+Z*+p[qa>>3]+_*+p[ra>>3])*d+ +p[H>>3]*g;p[G+8>>3]=ea*d+ +p[H+8>>3]*g;p[G+16>>3]=fa*d+ +p[H+16>>3]*g;M=M+1|0;if((M|0)==(D|0))break a;else{F=F+(wa<<3)|0;G=G+(la<<3)|0;H=H+(Ga<<3)|0}}}if((Ea|0)==(Da|0)){Fa=66;break a}H=(ta|0)==535104;G=(H^1)&1;F=H?1:Ga;if((E|0)<=0)break a;H=Ea+8|0;M=Ea+16|0;ra=va<<1;qa=Ea+(wa<<3)|0;J=Ea+(wa+1<<3)|0;ua=Ea+(wa+2<<3)|0;ha=wa<<1;U=Ea+(ha<<3)|0;B=Ea+((ha|1)<<3)|0;sa=Ea+(ha+2<<3)|0;ha=F<<1;K=la<<1;I=Ca;ja=Da;$=ta;ma=0;while(1){fa=+p[I>>3];ea=+p[I+(va<<3)>>3];_=+p[I+(ra<<3)>>3];Z=fa*+p[qa>>3]+ea*+p[J>>3]+_*+p[ua>>3];X=fa*+p[U>>3]+ea*+p[B>>3]+_*+p[sa>>3];p[ja>>3]=(+p[Ea>>3]*fa+ +p[H>>3]*ea+ +p[M>>3]*_)*d+ +p[$>>3]*g;p[ja+(la<<3)>>3]=Z*d+ +p[$+(F<<3)>>3]*g;p[ja+(K<<3)>>3]=X*d+ +p[$+(ha<<3)>>3]*g;ma=ma+1|0;if((ma|0)==(E|0))break;else{I=I+8|0;ja=ja+8|0;$=$+(G<<3)|0}}break}case 4:{if(!((E|0)!=4|(Ca|0)==(Da|0))){if((D|0)<=0)break a;G=Ca+(va<<3)|0;$=va<<1;ja=Ca+($<<3)|0;I=va*3|0;ma=Ca+(I<<3)|0;ha=Ca+8|0;K=Ca+(va+1<<3)|0;F=Ca+(($|1)<<3)|0;M=Ca+(I+1<<3)|0;H=Ca+16|0;sa=Ca+(va+2<<3)|0;B=Ca+($+2<<3)|0;U=Ca+(I+2<<3)|0;ua=Ca+24|0;J=Ca+(va+3<<3)|0;qa=Ca+($+3<<3)|0;$=Ca+(I+3<<3)|0;I=0;ra=Ea;pa=Da;W=ta;while(1){X=+p[ra>>3];Z=+p[ra+8>>3];_=+p[ra+16>>3];ea=+p[ra+24>>3];fa=X*+p[ha>>3]+Z*+p[K>>3]+_*+p[F>>3]+ea*+p[M>>3];na=X*+p[H>>3]+Z*+p[sa>>3]+_*+p[B>>3]+ea*+p[U>>3];oa=X*+p[ua>>3]+Z*+p[J>>3]+_*+p[qa>>3]+ea*+p[$>>3];p[pa>>3]=(X*+p[Ca>>3]+Z*+p[G>>3]+_*+p[ja>>3]+ea*+p[ma>>3])*d+ +p[W>>3]*g;p[pa+8>>3]=fa*d+ +p[W+8>>3]*g;p[pa+16>>3]=na*d+ +p[W+16>>3]*g;p[pa+24>>3]=oa*d+ +p[W+24>>3]*g;I=I+1|0;if((I|0)==(D|0))break a;else{ra=ra+(wa<<3)|0;pa=pa+(la<<3)|0;W=W+(Ga<<3)|0}}}if((E|0)>16|(Ea|0)==(Da|0)){Fa=66;break a}W=(ta|0)==535104;pa=W?1:Ga;ra=(W^1)&1;if((E|0)<=0)break a;W=Ea+8|0;I=Ea+16|0;ma=va<<1;ja=Ea+24|0;G=va*3|0;$=Ea+(wa<<3)|0;qa=Ea+(wa+1<<3)|0;J=Ea+(wa+2<<3)|0;ua=Ea+(wa+3<<3)|0;U=wa<<1;B=Ea+(U<<3)|0;sa=Ea+((U|1)<<3)|0;H=Ea+(U+2<<3)|0;M=Ea+(U+3<<3)|0;U=wa*3|0;F=Ea+(U<<3)|0;K=Ea+(U+1<<3)|0;ha=Ea+(U+2<<3)|0;ga=Ea+(U+3<<3)|0;U=pa<<1;aa=la<<1;ba=pa*3|0;da=la*3|0;S=0;R=Ca;Q=Da;T=ta;while(1){oa=+p[R>>3];na=+p[R+(va<<3)>>3];fa=+p[R+(ma<<3)>>3];ea=+p[R+(G<<3)>>3];_=oa*+p[$>>3]+na*+p[qa>>3]+fa*+p[J>>3]+ea*+p[ua>>3];Z=oa*+p[B>>3]+na*+p[sa>>3]+fa*+p[H>>3]+ea*+p[M>>3];X=oa*+p[F>>3]+na*+p[K>>3]+fa*+p[ha>>3]+ea*+p[ga>>3];p[Q>>3]=(+p[Ea>>3]*oa+ +p[W>>3]*na+ +p[I>>3]*fa+ +p[ja>>3]*ea)*d+ +p[T>>3]*g;p[Q+(la<<3)>>3]=_*d+ +p[T+(pa<<3)>>3]*g;p[Q+(aa<<3)>>3]=Z*d+ +p[T+(U<<3)>>3]*g;p[Q+(da<<3)>>3]=X*d+ +p[T+(ba<<3)>>3]*g;S=S+1|0;if((S|0)==(E|0))break;else{R=R+8|0;Q=Q+8|0;T=T+(ra<<3)|0}}break}default:{Fa=66;break a}}}else Fa=66;while(0);if((Fa|0)==66){Ea=f[c+48>>2]|0;Da=f[e+16>>2]|0;Ca=(Da|0)==0;if(Ca)Ha=0;else Ha=f[e+48>>2]|0;Ga=l+8|0;f[l>>2]=Ga;Ba=l+4|0;f[Ba>>2]=1032;switch(x&4095){case 5:{Ia=2;Ja=100;Ka=1;break}case 6:{Ia=3;Ja=101;Ka=2;break}case 13:{Ia=4;Ja=102;Ka=3;break}case 14:{Ia=5;Ja=103;Ka=4;break}default:{f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;Aa=cuc(32)|0;f[m>>2]=Aa;f[m+8>>2]=-2147483616;f[m+4>>2]=16;za=Aa;ya=213577;xa=za+16|0;do{b[za>>0]=b[ya>>0]|0;za=za+1|0;ya=ya+1|0}while((za|0)<(xa|0));b[Aa+16>>0]=0;WD(-215,m,213594,213603,1218)}}m=(E|0)==1;if((i&2|0)==0&(m|(C|0)==1)?(f[c>>2]&16384|0)!=0:0){if(m)La=0;else La=Y(675553809>>>(A<<2&28)&15,(x>>>3&511)+1|0)|0;Ma=i|2;Na=La}else{Ma=i;Na=Ea}if((D|0)<65)if((C|0)<10001)Fa=83;else Fa=81;else if((C|0)<11|(E|0)<65&(C|0)<10001)Fa=83;else Fa=81;do if((Fa|0)==81){if((E|0)<129?(D|0)<129&(C|0)<129:0){Fa=83;break}Ea=x&7;i=Y(675553809>>>(Ea<<2)&15,(x>>>3&511)+1|0)|0;La=i<<((Ea|0)==5&1);Ea=(Ma&1|0)!=0;A=a+48|0;m=f[A>>2]|0;Aa=Ea?i:m;ya=Ea?m:i;m=(Ma&2|0)!=0;za=m?i:Na;xa=m?Na:i;if(!Ca){O=f[e+4>>2]|0;if((O|0)<3)Oa=Y(f[e+12>>2]|0,f[e+8>>2]|0)|0;else{ra=f[e+40>>2]|0;T=0;Q=1;while(1){R=Y(f[ra+(T<<2)>>2]|0,Q)|0;T=T+1|0;if((T|0)==(O|0)){Oa=R;break}else Q=R}}if(!((O|0)==0|(Oa|0)==0)){Q=(Ma&4|0)==0;T=f[e+48>>2]|0;Pa=Q?i:T;Qa=Q?T:i;Ra=Ma}else Fa=90}else Fa=90;if((Fa|0)==90){Pa=0;Qa=0;Ra=Ma&-5}T=(D|0)<128?D:128;Q=(E|0)<128?E:128;ra=16384/(T|0)|0;R=16384/(Q|0)|0;S=(R|0)<(ra|0)?R:ra;ra=(C|0)<(S|0)?C:S;if((Y(ra,T)|0)>16384)Sa=16384/(ra|0)|0;else Sa=T;if((Y(ra,Q)|0)>16384)Ta=16384/(ra|0)|0;else Ta=Q;Q=((ra|0)/8|0)+ra|0;T=Y(Ta+2+((Ta|0)/8|0)&-2,Q+1|0)|0;R=Y(T,i)|0;ba=Y(T,La)|0;if(Ea){Ua=Y(Y(Q+2&-2,i)|0,Sa+1+((Sa|0)/8|0)|0)|0;Va=Ra&-2}else{Ua=0;Va=Ra}Q=ba+R+Ua|0;f[Ba>>2]=Q;if(Q>>>0>1032){T=euc(Q)|0;f[l>>2]=T;Wa=T}else Wa=Ga;T=Wa+ba|0;ba=T+R|0;R=Ea?ba:0;if((D|0)>0){Q=D<<3;da=(E|0)>0;U=h+16|0;aa=h+44|0;pa=h+48|0;la=E<<3;ja=(C|0)>(S|0);S=(C|0)>0;I=w+4|0;W=a+16|0;ga=c+16|0;ha=C<<3;K=Ea&(R|0)!=0;F=(i|0)==4;M=i&65535;H=i>>>2;sa=r+4|0;B=s+4|0;ua=t+4|0;J=v+4|0;qa=0;$=Va;while(1){G=qa+Sa|0;if((G|0)<(D|0)?((G<<3)+Sa|0)<=(Q|0):0)Xa=Sa;else Xa=D-qa|0;if(da){G=Da+(Y(qa,Qa)|0)|0;ma=Y(qa,Aa)|0;va=0;ta=$;while(1){wa=f[pa>>2]|0;V=Y(va,i)|0;ka=(f[U>>2]|0)+(Y(wa,qa)|0)+V|0;ca=G+(Y(va,Pa)|0)|0;ia=va+Ta|0;if((ia|0)<(E|0)?((ia<<3)+Ta|0)<=(la|0):0)Ya=Ta;else Ya=E-va|0;ia=ta&15;N=Y(Ya,La)|0;P=ja?Wa:ka;ka=ja?N:wa;if(S){wa=Y(va,xa)|0;N=(Ya|0)<(E|0);L=0;Za=ia;while(1){_a=(f[W>>2]|0)+ma+(Y(L,ya)|0)|0;$a=f[A>>2]|0;ab=(f[ga>>2]|0)+(Y(L,za)|0)+wa|0;bb=L+ra|0;if((bb|0)<(C|0)?((bb<<3)+ra|0)<=(ha|0):0)cb=ra;else cb=C-L|0;bb=Ea?Xa:cb;db=Ea?cb:Xa;b:do if(K){eb=Y(cb,i)|0;if((bb|0)<=0){fb=eb;gb=ba;hb=db;ib=bb;break}jb=(db|0)>0;if(F){if(jb){kb=_a;lb=ba;mb=0}else{fb=eb;gb=R;hb=db;ib=bb;break}while(1){nb=0;ob=kb;while(1){f[lb+(nb<<2)>>2]=f[ob>>2];nb=nb+1|0;if((nb|0)==(db|0))break;else ob=ob+$a|0}mb=mb+1|0;if((mb|0)==(bb|0)){fb=eb;gb=R;hb=db;ib=bb;break b}else{kb=kb+4|0;lb=lb+eb|0}}}ob=db<<2;nb=db<<1;switch(M&16383){case 16:{pb=_a;qb=ba;rb=0;while(1){if(jb){sb=pb;tb=0;while(1){ub=f[sb+4>>2]|0;f[qb+(tb<<2)>>2]=f[sb>>2];f[qb+((tb|1)<<2)>>2]=ub;ub=f[sb+12>>2]|0;f[qb+((tb|2)<<2)>>2]=f[sb+8>>2];f[qb+((tb|3)<<2)>>2]=ub;tb=tb+4|0;if((tb|0)>=(ob|0))break;else sb=sb+$a|0}}rb=rb+1|0;if((rb|0)==(bb|0)){fb=eb;gb=R;hb=db;ib=bb;break}else{pb=pb+i|0;qb=qb+eb|0}}break}case 8:{qb=_a;pb=ba;rb=0;while(1){if(jb){ob=qb;sb=0;while(1){tb=f[ob+4>>2]|0;f[pb+(sb<<2)>>2]=f[ob>>2];f[pb+((sb|1)<<2)>>2]=tb;sb=sb+2|0;if((sb|0)>=(nb|0))break;else ob=ob+$a|0}}rb=rb+1|0;if((rb|0)==(bb|0)){fb=eb;gb=R;hb=db;ib=bb;break}else{qb=qb+i|0;pb=pb+eb|0}}break}default:{fb=eb;gb=ba;hb=db;ib=bb;break b}}}else{fb=$a;gb=_a;hb=bb;ib=db}while(0);c:do if(N){db=m?cb:Ya;bb=m?Ya:cb;_a=Y(db,i)|0;$a=Y(db,H)|0;if(!bb){vb=_a;wb=T;break}db=$a+-4|0;if(($a|0)<4){pb=($a|0)>0;qb=T;rb=ab;nb=bb;while(1){nb=nb+-1|0;if(pb){jb=0;do{f[qb+(jb<<2)>>2]=f[rb+(jb<<2)>>2];jb=jb+1|0}while((jb|0)!=($a|0))}if(!nb){vb=_a;wb=T;break c}else{qb=qb+_a|0;rb=rb+Na|0}}}rb=$a&-4;qb=(rb|0)<($a|0);nb=T;pb=ab;eb=bb;while(1){jb=0;do{ob=jb|1;sb=f[pb+(ob<<2)>>2]|0;f[nb+(jb<<2)>>2]=f[pb+(jb<<2)>>2];f[nb+(ob<<2)>>2]=sb;sb=jb|2;ob=jb|3;tb=f[pb+(ob<<2)>>2]|0;f[nb+(sb<<2)>>2]=f[pb+(sb<<2)>>2];f[nb+(ob<<2)>>2]=tb;jb=jb+4|0}while((jb|0)<=(db|0));eb=eb+-1|0;if(qb){jb=rb;do{f[nb+(jb<<2)>>2]=f[pb+(jb<<2)>>2];jb=jb+1|0}while((jb|0)!=($a|0))}if(!eb){vb=_a;wb=T;break}else{nb=nb+_a|0;pb=pb+Na|0}}}else{vb=Na;wb=ab}while(0);if(ja){f[r>>2]=hb;f[sa>>2]=ib;f[s>>2]=Ya;f[B>>2]=Xa;Sh[Ja&127](gb,fb,wb,vb,P,ka,r,s,Za)}else{f[t>>2]=hb;f[ua>>2]=ib;f[v>>2]=Ya;f[J>>2]=Xa;Bg[Ka&7](gb,fb,wb,vb,ca,Ha,P,ka,t,v,d,g,Za)}ab=Za|16;L=cb+L|0;if((C|0)<=(L|0)){xb=ab;break}else Za=ab}}else xb=ia;if(ja){Za=(f[U>>2]|0)+(Y(f[f[aa>>2]>>2]|0,qa)|0)+V|0;L=f[pa>>2]|0;f[w>>2]=Ya;f[I>>2]=Xa;ei[Ia&7](ca,Ha,P,ka,Za,L,w,d,g,xb)}va=Ya+va|0;if((E|0)<=(va|0)){yb=xb;break}else ta=xb}}else yb=$;qa=Xa+qa|0;if((D|0)<=(qa|0))break;else $=yb}}}while(0);if((Fa|0)==83){Fa=f[a+16>>2]|0;yb=f[a+48>>2]|0;a=f[c+16>>2]|0;c=f[h+16>>2]|0;Xa=f[h+48>>2]|0;f[o>>2]=y;f[o+4>>2]=z;f[q>>2]=E;f[q+4>>2]=D;Bg[Ka&7](Fa,yb,a,Na,Da,Ha,c,Xa,o,q,d,g,Ma)}Ma=f[l>>2]|0;if((Ma|0)!=(Ga|0)){if(Ma|0)guc(Ma);f[l>>2]=Ga;f[Ba>>2]=1032}}if(!(f[k+4>>2]|0)){u=j;return}u=j;return}function uQ(a,b,c,d,e,g,h,i,j,k,l,m,n){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=+l;m=+m;n=n|0;var o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0.0,U=0.0,V=0,W=0.0,X=0,Z=0.0,_=0.0,$=0,aa=0.0,ba=0.0,ca=0,da=0,ea=0,fa=0,ga=0.0,ha=0.0,ia=0,ja=0,ka=0,la=0.0,ma=0.0,na=0.0,oa=0.0,pa=0.0,qa=0,ra=0.0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0.0,ya=0.0,za=0,Aa=0,Ba=0.0,Ca=0.0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0;o=u;u=u+2192|0;q=o+1096|0;r=o;s=f[j>>2]|0;t=f[j+4>>2]|0;j=f[k>>2]|0;v=f[k+4>>2]|0;k=q+8|0;f[q>>2]=k;w=q+4|0;f[w>>2]=136;x=b>>>3;y=d>>>3;z=g>>>3;g=i>>>3;i=(e|0)==0;A=(n&4|0)==0;B=i?0:A?z:1;C=i?0:A?1:z;if(n&1)if(b>>>0>15&(t|0)>1){f[w>>2]=t;if(t>>>0>136){z=euc(t>>>0>536870911?-1:t<<3)|0;f[q>>2]=z;D=x;E=1;F=z;G=t;H=43}else{D=x;E=1;F=k;G=t;H=43}}else{I=x;J=1;K=t;H=5}else{I=1;J=x;K=s;H=5}if((H|0)==5)if((K|0)==1){s=r+8|0;f[r>>2]=s;z=r+4|0;f[z>>2]=136;if(b>>>0>15&(t|0)>1){f[w>>2]=v;if(v>>>0>136){t=euc(v>>>0>536870911?-1:v<<3)|0;f[q>>2]=t;L=t}else L=k;if((v|0)>0){t=0;do{b=a+((Y(t,x)|0)<<3)|0;p[L+(t<<3)>>3]=+p[b>>3];t=t+1|0}while((t|0)!=(v|0));M=L}else M=L}else M=a;if(d>>>0>15){f[z>>2]=j;if(j>>>0>136){d=euc(j>>>0>536870911?-1:j<<3)|0;f[r>>2]=d;N=d}else N=s;if((j|0)>0){d=0;do{L=c+((Y(d,y)|0)<<3)|0;p[N+(d<<3)>>3]=+p[L>>3];d=d+1|0}while((d|0)!=(j|0));O=N;P=N}else{O=N;P=N}}else{O=c;P=s}a:do if((v|0)>0){N=C<<1;if((j|0)<2){if((j|0)==1){Q=h;R=0;S=e}else break;while(1){T=+p[M+(R<<3)>>3]*l*+p[O>>3];if(!S)U=T;else U=T+ +p[S>>3]*m;p[Q>>3]=U;R=R+1|0;if((R|0)==(v|0))break a;else{Q=Q+(g<<3)|0;S=S+(B<<3)|0}}}d=j+-2|0;L=((d|0)>1?d:1)>>>1;t=Y(L,N)|0;x=(L<<1)+2|0;if((x|0)>=(j|0)){L=h;b=0;A=e;while(1){T=+p[M+(b<<3)>>3]*l;i=A;V=0;while(1){W=T*+p[O+(V<<3)>>3];X=V|1;Z=T*+p[O+(X<<3)>>3];if(!i){p[L+(V<<3)>>3]=W;_=Z}else{p[L+(V<<3)>>3]=W+ +p[i>>3]*m;_=Z+ +p[i+(C<<3)>>3]*m}p[L+(X<<3)>>3]=_;V=V+2|0;if((V|0)>(d|0))break;else i=i+(N<<3)|0}b=b+1|0;if((b|0)==(v|0))break a;else{L=L+(g<<3)|0;A=A+(B<<3)|0}}}A=h;L=0;b=e;i=e+(N<<3)|0;while(1){T=+p[M+(L<<3)>>3]*l;V=b;X=0;while(1){Z=T*+p[O+(X<<3)>>3];$=X|1;W=T*+p[O+($<<3)>>3];if(!V){p[A+(X<<3)>>3]=Z;aa=W}else{p[A+(X<<3)>>3]=Z+ +p[V>>3]*m;aa=W+ +p[V+(C<<3)>>3]*m}p[A+($<<3)>>3]=aa;X=X+2|0;if((X|0)>(d|0))break;else V=V+(N<<3)|0}V=i+(t<<3)|0;X=x;while(1){W=T*+p[O+(X<<3)>>3];if(!V)ba=W;else ba=W+ +p[V>>3]*m;p[A+(X<<3)>>3]=ba;X=X+1|0;if((X|0)==(j|0))break;else V=V+(C<<3)|0}L=L+1|0;if((L|0)==(v|0))break;else{A=A+(g<<3)|0;b=b+(B<<3)|0;i=i+(B<<3)|0}}}while(0);if((P|0)!=(s|0)){guc(P);f[r>>2]=s;f[z>>2]=136}}else{D=I;E=J;F=0;G=K;H=43}b:do if((H|0)==43){if(n&2|0){if((v|0)<=0)break;K=(F|0)==0;J=(j|0)>0;I=G+-4|0;z=(G|0)<4;s=G&-4;P=K|(G|0)<1;O=(G|0)>0;M=(s|0)<(G|0);ba=l*0.0;S=a;Q=h;R=0;i=e;while(1){if(P)ca=K?S:F;else{b=0;do{A=S+((Y(b,D)|0)<<3)|0;p[F+(b<<3)>>3]=+p[A>>3];b=b+1|0}while((b|0)!=(G|0));ca=F}c:do if(J){if(z){if(O){da=c;ea=i;fa=0}else{b=i;A=0;while(1){if(!b)ga=ba;else ga=ba+ +p[b>>3]*m;p[Q+(A<<3)>>3]=ga;A=A+1|0;if((A|0)==(j|0))break c;else b=b+(C<<3)|0}}while(1){aa=0.0;b=0;do{aa=aa+ +p[ca+(b<<3)>>3]*+p[da+(b<<3)>>3];b=b+1|0}while((b|0)!=(G|0));_=(aa+0.0)*l;if(!ea)ha=_;else ha=_+ +p[ea>>3]*m;p[Q+(fa<<3)>>3]=ha;fa=fa+1|0;if((fa|0)==(j|0))break c;else{da=da+(y<<3)|0;ea=ea+(C<<3)|0}}}if(M){ia=c;ja=i;ka=0}else{b=c;A=i;L=0;while(1){_=0.0;U=0.0;T=0.0;W=0.0;x=0;do{W=W+ +p[ca+(x<<3)>>3]*+p[b+(x<<3)>>3];t=x|1;T=T+ +p[ca+(t<<3)>>3]*+p[b+(t<<3)>>3];t=x|2;U=U+ +p[ca+(t<<3)>>3]*+p[b+(t<<3)>>3];t=x|3;_=_+ +p[ca+(t<<3)>>3]*+p[b+(t<<3)>>3];x=x+4|0}while((x|0)<=(I|0));aa=(_+(U+(T+W)))*l;if(!A)la=aa;else la=aa+ +p[A>>3]*m;p[Q+(L<<3)>>3]=la;L=L+1|0;if((L|0)==(j|0))break c;else{b=b+(y<<3)|0;A=A+(C<<3)|0}}}while(1){aa=0.0;Z=0.0;ma=0.0;na=0.0;A=0;while(1){oa=na+ +p[ca+(A<<3)>>3]*+p[ia+(A<<3)>>3];b=A|1;ma=ma+ +p[ca+(b<<3)>>3]*+p[ia+(b<<3)>>3];b=A|2;Z=Z+ +p[ca+(b<<3)>>3]*+p[ia+(b<<3)>>3];b=A|3;aa=aa+ +p[ca+(b<<3)>>3]*+p[ia+(b<<3)>>3];A=A+4|0;if((A|0)>(I|0)){pa=oa;qa=s;break}else na=oa}do{pa=pa+ +p[ca+(qa<<3)>>3]*+p[ia+(qa<<3)>>3];qa=qa+1|0}while((qa|0)!=(G|0));na=(aa+(Z+(ma+pa)))*l;if(!ja)ra=na;else ra=na+ +p[ja>>3]*m;p[Q+(ka<<3)>>3]=ra;ka=ka+1|0;if((ka|0)==(j|0))break;else{ia=ia+(y<<3)|0;ja=ja+(C<<3)|0}}}while(0);R=R+1|0;if((R|0)==(v|0))break b;else{S=S+(E<<3)|0;Q=Q+(g<<3)|0;i=i+(B<<3)|0}}}i=j<<3;if(i>>>0<1601){if((v|0)<=0)break;Q=(F|0)==0;S=j+-4|0;R=(j|0)<4;s=(G|0)>0;I=C<<2;M=C<<1;O=C*3|0;z=S>>>2;J=(z<<2)+4|0;K=Q|(G|0)<1;ba=l*0.0;P=a;A=h;b=0;L=e;x=e+(Y((z<<5)+32|0,C)|0)|0;while(1){if(K)sa=Q?P:F;else{z=0;do{t=P+((Y(z,D)|0)<<3)|0;p[F+(z<<3)>>3]=+p[t>>3];z=z+1|0}while((z|0)!=(G|0));sa=F}d:do if(R){ta=L;ua=0}else{if(s){va=L;wa=0}else{z=L;t=0;while(1){N=t|1;d=t|2;if(!z){p[A+(t<<3)>>3]=ba;p[A+(N<<3)>>3]=ba;p[A+(d<<3)>>3]=ba;xa=ba}else{p[A+(t<<3)>>3]=ba+ +p[z>>3]*m;p[A+(N<<3)>>3]=ba+ +p[z+(C<<3)>>3]*m;p[A+(d<<3)>>3]=ba+ +p[z+(M<<3)>>3]*m;xa=ba+ +p[z+(O<<3)>>3]*m}p[A+((t|3)<<3)>>3]=xa;t=t+4|0;if((t|0)>(S|0)){ta=x;ua=J;break d}else z=z+(I<<3)|0}}while(1){na=0.0;W=0.0;T=0.0;U=0.0;z=c+(wa<<3)|0;t=0;while(1){_=+p[sa+(t<<3)>>3];U=U+_*+p[z>>3];T=T+_*+p[z+8>>3];W=W+_*+p[z+16>>3];na=na+_*+p[z+24>>3];t=t+1|0;if((t|0)==(G|0))break;else z=z+(y<<3)|0}ma=U*l;z=wa|1;Z=W*l;aa=na*l;_=T*l;t=wa|2;if(!va){p[A+(wa<<3)>>3]=ma;p[A+(z<<3)>>3]=_;p[A+(t<<3)>>3]=Z;ya=aa}else{p[A+(wa<<3)>>3]=ma+ +p[va>>3]*m;p[A+(z<<3)>>3]=_+ +p[va+(C<<3)>>3]*m;p[A+(t<<3)>>3]=Z+ +p[va+(M<<3)>>3]*m;ya=aa+ +p[va+(O<<3)>>3]*m}p[A+((wa|3)<<3)>>3]=ya;wa=wa+4|0;if((wa|0)>(S|0)){ta=x;ua=J;break}else va=va+(I<<3)|0}}while(0);e:do if((ua|0)<(j|0)){if(s){za=ta;Aa=ua}else{t=ta;z=ua;while(1){if(!t)Ba=ba;else Ba=ba+ +p[t>>3]*m;p[A+(z<<3)>>3]=Ba;z=z+1|0;if((z|0)==(j|0))break e;else t=t+(C<<3)|0}}while(1){aa=0.0;t=c+(Aa<<3)|0;z=0;while(1){aa=aa+ +p[sa+(z<<3)>>3]*+p[t>>3];z=z+1|0;if((z|0)==(G|0))break;else t=t+(y<<3)|0}T=aa*l;if(!za)Ca=T;else Ca=T+ +p[za>>3]*m;p[A+(Aa<<3)>>3]=Ca;Aa=Aa+1|0;if((Aa|0)==(j|0))break;else za=za+(C<<3)|0}}while(0);b=b+1|0;if((b|0)==(v|0))break b;else{P=P+(E<<3)|0;A=A+(g<<3)|0;L=L+(B<<3)|0;x=x+(B<<3)|0}}}x=r+8|0;f[r>>2]=x;L=r+4|0;f[L>>2]=j;if(j>>>0>136){A=euc(j>>>0>536870911?-1:j<<3)|0;f[r>>2]=A;Da=A;Ea=A}else{Da=x;Ea=x}if((v|0)>0){A=(F|0)==0;P=(j|0)>0;b=(G|0)>0;s=j+-4|0;I=(j|0)<4;J=j&-4;S=A|(G|0)<1;O=(J|0)<(j|0);M=a;R=h;Q=0;K=e;while(1){if(S)Fa=A?M:F;else{t=0;do{z=M+((Y(t,D)|0)<<3)|0;p[F+(t<<3)>>3]=+p[z>>3];t=t+1|0}while((t|0)!=(G|0));Fa=F}if(P)kzc(Ea|0,0,i|0)|0;f:do if(b){if(I){if(P){Ga=c;Ha=0}else break;while(1){ba=+p[Fa+(Ha<<3)>>3];t=0;do{z=Ea+(t<<3)|0;p[z>>3]=+p[z>>3]+ba*+p[Ga+(t<<3)>>3];t=t+1|0}while((t|0)!=(j|0));Ha=Ha+1|0;if((Ha|0)==(G|0))break f;else Ga=Ga+(y<<3)|0}}if(O){Ia=c;Ja=0}else{t=c;z=0;while(1){ba=+p[Fa+(z<<3)>>3];d=0;do{N=Ea+(d<<3)|0;V=d|1;X=Ea+(V<<3)|0;aa=+p[X>>3]+ba*+p[t+(V<<3)>>3];p[N>>3]=+p[N>>3]+ba*+p[t+(d<<3)>>3];p[X>>3]=aa;X=d|2;N=Ea+(X<<3)|0;V=d|3;$=Ea+(V<<3)|0;aa=+p[$>>3]+ba*+p[t+(V<<3)>>3];p[N>>3]=+p[N>>3]+ba*+p[t+(X<<3)>>3];p[$>>3]=aa;d=d+4|0}while((d|0)<=(s|0));z=z+1|0;if((z|0)==(G|0))break f;else t=t+(y<<3)|0}}while(1){ba=+p[Fa+(Ja<<3)>>3];t=0;do{z=Ea+(t<<3)|0;d=t|1;$=Ea+(d<<3)|0;aa=+p[$>>3]+ba*+p[Ia+(d<<3)>>3];p[z>>3]=+p[z>>3]+ba*+p[Ia+(t<<3)>>3];p[$>>3]=aa;$=t|2;z=Ea+($<<3)|0;d=t|3;X=Ea+(d<<3)|0;aa=+p[X>>3]+ba*+p[Ia+(d<<3)>>3];p[z>>3]=+p[z>>3]+ba*+p[Ia+($<<3)>>3];p[X>>3]=aa;t=t+4|0}while((t|0)<=(s|0));Ka=J;do{t=Ea+(Ka<<3)|0;p[t>>3]=+p[t>>3]+ba*+p[Ia+(Ka<<3)>>3];Ka=Ka+1|0}while((Ka|0)!=(j|0));Ja=Ja+1|0;if((Ja|0)==(G|0))break;else Ia=Ia+(y<<3)|0}}while(0);if(!K){if(P){t=0;do{p[R+(t<<3)>>3]=+p[Ea+(t<<3)>>3]*l;t=t+1|0}while((t|0)!=(j|0))}}else if(P){t=0;X=K;while(1){p[R+(t<<3)>>3]=+p[Ea+(t<<3)>>3]*l+ +p[X>>3]*m;t=t+1|0;if((t|0)==(j|0))break;else X=X+(C<<3)|0}}Q=Q+1|0;if((Q|0)==(v|0)){La=Da;break}else{M=M+(E<<3)|0;R=R+(g<<3)|0;K=K+(B<<3)|0}}}else La=Ea;if((La|0)!=(x|0)){guc(La);f[r>>2]=x;f[L>>2]=136}}while(0);r=f[q>>2]|0;if((r|0)==(k|0)){u=o;return}if(r|0)guc(r);f[q>>2]=k;f[w>>2]=136;u=o;return}function vQ(a,b,c,d,e,g,h,i,j,k,l,m,o){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=+l;m=+m;o=o|0;var q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0.0,S=0.0,T=0,U=0,V=0,W=0.0,X=0.0,Z=0.0,_=0.0,$=0,aa=0.0,ba=0.0,ca=0.0,da=0.0,ea=0.0,fa=0.0,ga=0,ha=0,ia=0.0,ja=0.0,ka=0.0,la=0.0,ma=0.0,na=0.0,oa=0.0,pa=0.0,qa=0.0,ra=0.0,sa=0.0,ta=0.0,ua=0.0,va=0.0,wa=0.0,xa=0.0,ya=0.0,za=0.0,Aa=0.0,Ba=0.0,Ca=0,Da=0,Ea=0,Fa=0.0,Ga=0.0,Ha=0.0,Ia=0.0,Ja=0.0,Ka=0.0,La=0.0,Ma=0.0,Na=0.0,Oa=0.0,Pa=0.0,Qa=0,Ra=0,Sa=0.0,Ta=0.0,Ua=0.0,Va=0.0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0;q=u;u=u+2256|0;r=q+1160|0;s=q;t=f[j>>2]|0;v=f[j+4>>2]|0;j=f[k>>2]|0;w=f[k+4>>2]|0;k=r+8|0;kzc(k|0,0,1088)|0;f[r>>2]=k;x=r+4|0;f[x>>2]=136;y=b>>>3;z=d>>>3;A=g>>>3;g=i>>>3;i=(e|0)==0;B=(o&4|0)==0;C=i?0:B?A:1;D=i?0:B?1:A;if(o&1)if(b>>>0>15&(v|0)>1){f[x>>2]=v;if(v>>>0>136){A=euc(v>>>0>536870911?-1:v<<3)|0;kzc(A|0,0,v<<3|0)|0;f[r>>2]=A;E=y;F=1;G=A;H=v;I=33}else{E=y;F=1;G=k;H=v;I=33}}else{J=y;K=1;L=v;I=5}else{J=1;K=y;L=t;I=5}if((I|0)==5)if((L|0)==1){t=s+8|0;kzc(t|0,0,1088)|0;f[s>>2]=t;A=s+4|0;f[A>>2]=136;if(b>>>0>15&(v|0)>1){f[x>>2]=w;if(w>>>0>136){v=euc(w>>>0>536870911?-1:w<<3)|0;kzc(v|0,0,w<<3|0)|0;f[r>>2]=v;M=v}else M=k;if((w|0)>0){v=0;do{b=a+((Y(v,y)|0)<<3)|0;B=f[b+4>>2]|0;i=M+(v<<3)|0;f[i>>2]=f[b>>2];f[i+4>>2]=B;v=v+1|0}while((v|0)!=(w|0));N=M}else N=M}else N=a;if(d>>>0>15){f[A>>2]=j;if(j>>>0>136){d=euc(j>>>0>536870911?-1:j<<3)|0;kzc(d|0,0,j<<3|0)|0;f[s>>2]=d;O=d}else O=t;if((j|0)>0){d=0;do{M=c+((Y(d,z)|0)<<3)|0;v=f[M+4>>2]|0;y=O+(d<<3)|0;f[y>>2]=f[M>>2];f[y+4>>2]=v;d=d+1|0}while((d|0)<(j|0));P=O}else P=O}else P=c;if((w|0)>0){O=D<<1;d=(j|0)<2;v=j+-2|0;y=v>>>1;M=(y<<1)+2|0;B=e;i=0;b=h;Q=e+(Y(D,(y<<4)+16|0)|0)|0;while(1){R=+n[N+(i<<3)>>2]*l;S=+n[N+(i<<3)+4>>2]*l;if(d){T=B;U=0}else{y=B;V=0;while(1){W=+n[P+(V<<3)>>2];X=+n[P+(V<<3)+4>>2];Z=R*W-S*X;_=S*W+R*X;$=V|1;X=+n[P+($<<3)>>2];W=+n[P+($<<3)+4>>2];aa=R*X-S*W;ba=S*X+R*W;if(!y){n[b+(V<<3)>>2]=Z;n[b+(V<<3)+4>>2]=_;ca=ba;da=aa}else{W=_+ +n[y+4>>2]*m;n[b+(V<<3)>>2]=Z+ +n[y>>2]*m;n[b+(V<<3)+4>>2]=W;ca=ba+ +n[y+(D<<3)+4>>2]*m;da=aa+ +n[y+(D<<3)>>2]*m}n[b+($<<3)>>2]=da;n[b+($<<3)+4>>2]=ca;V=V+2|0;if((V|0)>(v|0)){T=Q;U=M;break}else y=y+(O<<3)|0}}if((U|0)<(j|0)){y=T;V=U;while(1){aa=+n[P+(V<<3)>>2];ba=+n[P+(V<<3)+4>>2];W=R*aa-S*ba;Z=S*aa+R*ba;if(!y){ea=W;fa=Z}else{ea=W+ +n[y>>2]*m;fa=Z+ +n[y+4>>2]*m}n[b+(V<<3)>>2]=ea;n[b+(V<<3)+4>>2]=fa;V=V+1|0;if((V|0)==(j|0))break;else y=y+(D<<3)|0}}i=i+1|0;if((i|0)==(w|0))break;else{B=B+(C<<3)|0;b=b+(g<<3)|0;Q=Q+(C<<3)|0}}}Q=f[s>>2]|0;if((Q|0)!=(t|0)){if(Q|0)guc(Q);f[s>>2]=t;f[A>>2]=136}}else{E=J;F=K;G=0;H=L;I=33}a:do if((I|0)==33){if(o&2|0){if((w|0)<=0)break;L=(G|0)==0;K=H+-4|0;J=(H|0)<4;A=H&-4;t=L|(H|0)<1;Q=(j|0)>0;b=a;B=e;i=0;P=h;while(1){if(t)ga=L?b:G;else{U=0;do{T=b+((Y(U,E)|0)<<3)|0;O=f[T+4>>2]|0;M=G+(U<<3)|0;f[M>>2]=f[T>>2];f[M+4>>2]=O;U=U+1|0}while((U|0)!=(H|0));ga=G}if(Q){U=c;O=B;M=0;while(1){if(J){ha=0;ia=0.0;ja=0.0;ka=0.0;la=0.0;ma=0.0;na=0.0;oa=0.0;pa=0.0}else{T=0;fa=0.0;ea=0.0;ca=0.0;da=0.0;R=0.0;S=0.0;Z=0.0;W=0.0;while(1){ba=+n[ga+(T<<3)>>2];aa=+n[ga+(T<<3)+4>>2];_=+n[U+(T<<3)>>2];X=+n[U+(T<<3)+4>>2];qa=da+(ba*_-aa*X);ra=R+(aa*_+ba*X);v=T|1;X=+n[ga+(v<<3)>>2];ba=+n[ga+(v<<3)+4>>2];_=+n[U+(v<<3)>>2];aa=+n[U+(v<<3)+4>>2];sa=ca+(X*_-ba*aa);ta=W+(ba*_+X*aa);v=T|2;aa=+n[ga+(v<<3)>>2];X=+n[ga+(v<<3)+4>>2];_=+n[U+(v<<3)>>2];ba=+n[U+(v<<3)+4>>2];ua=ea+(aa*_-X*ba);va=Z+(X*_+aa*ba);v=T|3;ba=+n[ga+(v<<3)>>2];aa=+n[ga+(v<<3)+4>>2];_=+n[U+(v<<3)>>2];X=+n[U+(v<<3)+4>>2];wa=fa+(ba*_-aa*X);xa=S+(aa*_+ba*X);T=T+4|0;if((T|0)>(K|0)){ha=A;ia=wa;ja=ua;ka=sa;la=qa;ma=ra;na=xa;oa=va;pa=ta;break}else{fa=wa;ea=ua;ca=sa;da=qa;R=ra;S=xa;Z=va;W=ta}}}if((ha|0)<(H|0)){T=ha;W=la;Z=ma;while(1){S=+n[ga+(T<<3)>>2];R=+n[ga+(T<<3)+4>>2];da=+n[U+(T<<3)>>2];ca=+n[U+(T<<3)+4>>2];ea=W+(S*da-R*ca);fa=Z+(R*da+S*ca);T=T+1|0;if((T|0)==(H|0)){ya=ea;za=fa;break}else{W=ea;Z=fa}}}else{ya=la;za=ma}Z=(ia+(ja+(ka+ya)))*l;W=(na+(oa+(pa+za)))*l;if(!O){Aa=W;Ba=Z}else{Aa=W+ +n[O+4>>2]*m;Ba=Z+ +n[O>>2]*m}n[P+(M<<3)>>2]=Ba;n[P+(M<<3)+4>>2]=Aa;M=M+1|0;if((M|0)==(j|0))break;else{U=U+(z<<3)|0;O=O+(D<<3)|0}}}i=i+1|0;if((i|0)==(w|0))break a;else{b=b+(F<<3)|0;B=B+(C<<3)|0;P=P+(g<<3)|0}}}if(j<<3>>>0<1601){if((w|0)<=0)break;P=(G|0)==0;B=j+-4|0;b=(j|0)<4;i=(H|0)>0;A=D<<2;K=D<<1;J=D*3|0;Q=B>>>2;L=(Q<<2)+4|0;t=P|(H|0)<1;Z=l*0.0;O=a;U=e;M=0;T=h;v=e+(Y((Q<<5)+32|0,D)|0)|0;while(1){if(t)Ca=P?O:G;else{Q=0;do{d=O+((Y(Q,E)|0)<<3)|0;N=f[d+4>>2]|0;y=G+(Q<<3)|0;f[y>>2]=f[d>>2];f[y+4>>2]=N;Q=Q+1|0}while((Q|0)!=(H|0));Ca=G}if(b){Da=U;Ea=0}else{Q=U;N=0;while(1){if(i){y=c+(N<<3)|0;d=0;W=0.0;fa=0.0;ea=0.0;ca=0.0;S=0.0;da=0.0;R=0.0;ta=0.0;while(1){va=+n[Ca+(d<<3)>>2];xa=+n[Ca+(d<<3)+4>>2];ra=+n[y>>2];qa=+n[y+4>>2];sa=ca+(va*ra-xa*qa);ua=ta+(xa*ra+va*qa);qa=+n[y+8>>2];ra=+n[y+12>>2];wa=ea+(va*qa-xa*ra);X=R+(xa*qa+va*ra);ra=+n[y+16>>2];qa=+n[y+20>>2];ba=fa+(va*ra-xa*qa);_=da+(xa*ra+va*qa);qa=+n[y+24>>2];ra=+n[y+28>>2];aa=W+(va*qa-xa*ra);Fa=S+(xa*qa+va*ra);d=d+1|0;if((d|0)==(H|0)){Ga=aa;Ha=ba;Ia=wa;Ja=sa;Ka=Fa;La=_;Ma=X;Na=ua;break}else{y=y+(z<<3)|0;W=aa;fa=ba;ea=wa;ca=sa;S=Fa;da=_;R=X;ta=ua}}}else{Ga=0.0;Ha=0.0;Ia=0.0;Ja=0.0;Ka=0.0;La=0.0;Ma=0.0;Na=0.0}ta=Ja*l;R=Na*l;if(!Q){n[T+(N<<3)>>2]=ta;n[T+(N<<3)+4>>2]=R;y=N|1;n[T+(y<<3)>>2]=Ia*l;n[T+(y<<3)+4>>2]=Ma*l;y=N|2;n[T+(y<<3)>>2]=Ha*l;n[T+(y<<3)+4>>2]=La*l;Oa=Ka*l;Pa=Ga*l}else{da=R+ +n[Q+4>>2]*m;n[T+(N<<3)>>2]=ta+ +n[Q>>2]*m;n[T+(N<<3)+4>>2]=da;da=Ma*l+ +n[Q+(D<<3)+4>>2]*m;y=N|1;n[T+(y<<3)>>2]=Ia*l+ +n[Q+(D<<3)>>2]*m;n[T+(y<<3)+4>>2]=da;da=La*l+ +n[Q+(K<<3)+4>>2]*m;y=N|2;n[T+(y<<3)>>2]=Ha*l+ +n[Q+(K<<3)>>2]*m;n[T+(y<<3)+4>>2]=da;Oa=Ka*l+ +n[Q+(J<<3)+4>>2]*m;Pa=Ga*l+ +n[Q+(J<<3)>>2]*m}y=N|3;n[T+(y<<3)>>2]=Pa;n[T+(y<<3)+4>>2]=Oa;N=N+4|0;if((N|0)>(B|0)){Da=v;Ea=L;break}else Q=Q+(A<<3)|0}}b:do if((Ea|0)<(j|0)){if(i){Qa=Da;Ra=Ea}else{Q=Da;N=Ea;while(1){if(!Q){Sa=Z;Ta=Z}else{Sa=Z+ +n[Q+4>>2]*m;Ta=Z+ +n[Q>>2]*m}n[T+(N<<3)>>2]=Ta;n[T+(N<<3)+4>>2]=Sa;N=N+1|0;if((N|0)==(j|0))break b;else Q=Q+(D<<3)|0}}while(1){Q=c+(Ra<<3)|0;N=0;da=0.0;ta=0.0;while(1){R=+n[Ca+(N<<3)>>2];S=+n[Ca+(N<<3)+4>>2];ca=+n[Q>>2];ea=+n[Q+4>>2];da=da+(R*ca-S*ea);ta=ta+(S*ca+R*ea);N=N+1|0;if((N|0)==(H|0))break;else Q=Q+(z<<3)|0}ea=da*l;R=ta*l;if(!Qa){Ua=R;Va=ea}else{Ua=R+ +n[Qa+4>>2]*m;Va=ea+ +n[Qa>>2]*m}n[T+(Ra<<3)>>2]=Va;n[T+(Ra<<3)+4>>2]=Ua;Ra=Ra+1|0;if((Ra|0)==(j|0))break;else Qa=Qa+(D<<3)|0}}while(0);M=M+1|0;if((M|0)==(w|0))break a;else{O=O+(F<<3)|0;U=U+(C<<3)|0;T=T+(g<<3)|0;v=v+(C<<3)|0}}}v=s+8|0;kzc(v|0,0,1152)|0;f[s>>2]=v;T=s+4|0;f[T>>2]=j;if(j>>>0>72){U=euc(j>>>0>268435455?-1:j<<4)|0;kzc(U|0,0,j<<4|0)|0;f[s>>2]=U;Wa=U}else Wa=v;if((w|0)>0){U=(G|0)==0;O=(j|0)>0;M=(H|0)>0;i=j+-4|0;A=(j|0)<4;L=j<<4;B=j&-4;J=U|(H|0)<1;K=a;b=e;P=0;t=h;while(1){if(J)Xa=U?K:G;else{Q=0;do{N=K+((Y(Q,E)|0)<<3)|0;y=f[N+4>>2]|0;d=G+(Q<<3)|0;f[d>>2]=f[N>>2];f[d+4>>2]=y;Q=Q+1|0}while((Q|0)!=(H|0));Xa=G}if(O)kzc(Wa|0,0,L|0)|0;if(M){Q=c;y=0;while(1){Z=+n[Xa+(y<<3)>>2];ea=+n[Xa+(y<<3)+4>>2];if(A)Ya=0;else{d=0;do{R=+n[Q+(d<<3)>>2];ca=+n[Q+(d<<3)+4>>2];N=Wa+(d<<4)|0;V=Wa+(d<<4)+8|0;S=+p[V>>3]+(ea*R+Z*ca);$=d|1;fa=+n[Q+($<<3)>>2];W=+n[Q+($<<3)+4>>2];Za=Wa+($<<4)|0;_a=Wa+($<<4)+8|0;ua=+p[Za>>3]+(Z*fa-ea*W);X=+p[_a>>3]+(ea*fa+Z*W);p[N>>3]=+p[N>>3]+(Z*R-ea*ca);p[V>>3]=S;p[Za>>3]=ua;p[_a>>3]=X;_a=d|2;X=+n[Q+(_a<<3)>>2];ua=+n[Q+(_a<<3)+4>>2];Za=Wa+(_a<<4)|0;V=Wa+(_a<<4)+8|0;S=+p[V>>3]+(ea*X+Z*ua);_a=d|3;ca=+n[Q+(_a<<3)>>2];R=+n[Q+(_a<<3)+4>>2];N=Wa+(_a<<4)|0;$=Wa+(_a<<4)+8|0;W=+p[N>>3]+(Z*ca-ea*R);fa=+p[$>>3]+(ea*ca+Z*R);p[Za>>3]=+p[Za>>3]+(Z*X-ea*ua);p[V>>3]=S;p[N>>3]=W;p[$>>3]=fa;d=d+4|0}while((d|0)<=(i|0));Ya=B}if((Ya|0)<(j|0)){d=Ya;do{fa=+n[Q+(d<<3)>>2];W=+n[Q+(d<<3)+4>>2];$=Wa+(d<<4)|0;p[$>>3]=+p[$>>3]+(Z*fa-ea*W);$=Wa+(d<<4)+8|0;p[$>>3]=+p[$>>3]+(ea*fa+Z*W);d=d+1|0}while((d|0)!=(j|0))}y=y+1|0;if((y|0)==(H|0))break;else Q=Q+(z<<3)|0}}if(!b){if(O){Q=0;do{Z=+p[Wa+(Q<<4)+8>>3]*l;n[t+(Q<<3)>>2]=+p[Wa+(Q<<4)>>3]*l;n[t+(Q<<3)+4>>2]=Z;Q=Q+1|0}while((Q|0)!=(j|0))}}else if(O){Q=0;y=b;while(1){Z=+p[Wa+(Q<<4)+8>>3]*l+ +n[y+4>>2]*m;n[t+(Q<<3)>>2]=+p[Wa+(Q<<4)>>3]*l+ +n[y>>2]*m;n[t+(Q<<3)+4>>2]=Z;Q=Q+1|0;if((Q|0)==(j|0))break;else y=y+(D<<3)|0}}P=P+1|0;if((P|0)==(w|0))break;else{K=K+(F<<3)|0;b=b+(C<<3)|0;t=t+(g<<3)|0}}$a=f[s>>2]|0}else $a=Wa;if(($a|0)!=(v|0)){if($a|0)guc($a);f[s>>2]=v;f[T>>2]=72}}while(0);s=f[r>>2]|0;if((s|0)==(k|0)){u=q;return}if(s|0)guc(s);f[r>>2]=k;f[x>>2]=136;u=q;return}function wQ(a,b,c,d,e,g,h,i,j,k,l,m,n){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=+l;m=+m;n=n|0;var o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0.0,Q=0.0,R=0.0,S=0.0,T=0.0,U=0.0,V=0.0,W=0.0,X=0,Z=0,_=0,$=0.0,aa=0.0,ba=0.0,ca=0.0,da=0.0,ea=0.0,fa=0,ga=0,ha=0.0,ia=0.0,ja=0.0,ka=0.0,la=0.0,ma=0.0,na=0.0,oa=0.0,pa=0.0,qa=0.0,ra=0.0,sa=0.0,ta=0.0,ua=0.0,va=0.0,wa=0.0,xa=0.0,ya=0.0,za=0,Aa=0,Ba=0,Ca=0,Da=0.0,Ea=0.0,Fa=0.0,Ga=0.0,Ha=0.0,Ia=0.0,Ja=0.0,Ka=0.0,La=0.0,Ma=0.0,Na=0.0,Oa=0,Pa=0,Qa=0.0,Ra=0.0,Sa=0.0,Ta=0.0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0;o=u;u=u+2320|0;q=o+1160|0;r=o;s=f[j>>2]|0;t=f[j+4>>2]|0;j=f[k>>2]|0;v=f[k+4>>2]|0;k=q+8|0;kzc(k|0,0,1152)|0;f[q>>2]=k;w=q+4|0;f[w>>2]=72;x=b>>>4;y=d>>>4;z=g>>>4;g=i>>>4;i=(e|0)==0;A=(n&4|0)==0;B=i?0:A?z:1;C=i?0:A?1:z;if(n&1)if(b>>>0>31&(t|0)>1){f[w>>2]=t;if(t>>>0>72){z=euc(t>>>0>268435455?-1:t<<4)|0;kzc(z|0,0,t<<4|0)|0;f[q>>2]=z;D=x;E=1;F=z;G=t;H=40}else{D=x;E=1;F=k;G=t;H=40}}else{I=x;J=1;K=t;H=5}else{I=1;J=x;K=s;H=5}if((H|0)==5)if((K|0)==1){s=r+8|0;kzc(s|0,0,1152)|0;f[r>>2]=s;z=r+4|0;f[z>>2]=72;if(b>>>0>31&(t|0)>1){f[w>>2]=v;if(v>>>0>72){t=euc(v>>>0>268435455?-1:v<<4)|0;kzc(t|0,0,v<<4|0)|0;f[q>>2]=t;L=t}else L=k;if((v|0)>0){t=0;do{b=a+((Y(t,x)|0)<<4)|0;A=L+(t<<4)|0;f[A>>2]=f[b>>2];f[A+4>>2]=f[b+4>>2];f[A+8>>2]=f[b+8>>2];f[A+12>>2]=f[b+12>>2];t=t+1|0}while((t|0)!=(v|0));M=L}else M=L}else M=a;if(d>>>0>31){f[z>>2]=j;if(j>>>0>72){d=euc(j>>>0>268435455?-1:j<<4)|0;kzc(d|0,0,j<<4|0)|0;f[r>>2]=d;N=d}else N=s;if((j|0)>0){d=0;do{L=c+((Y(d,y)|0)<<4)|0;t=N+(d<<4)|0;f[t>>2]=f[L>>2];f[t+4>>2]=f[L+4>>2];f[t+8>>2]=f[L+8>>2];f[t+12>>2]=f[L+12>>2];d=d+1|0}while((d|0)<(j|0));O=N}else O=N}else O=c;a:do if((v|0)>0){N=C<<1;d=j+-2|0;if((j|0)<2){L=(j|0)==1;t=e;x=0;b=h;while(1){P=+p[M+(x<<4)>>3]*l;Q=+p[M+(x<<4)+8>>3]*l;if(L){A=t;i=0;while(1){R=+p[O+(i<<4)>>3];S=+p[O+(i<<4)+8>>3];T=P*R-Q*S;U=Q*R+P*S;if(!A){V=U;W=T}else{V=U+ +p[A+8>>3]*m;W=T+ +p[A>>3]*m}p[b+(i<<4)>>3]=W;p[b+(i<<4)+8>>3]=V;i=i+1|0;if((i|0)==(j|0))break;else A=A+(C<<4)|0}}x=x+1|0;if((x|0)==(v|0))break a;else{t=t+(B<<4)|0;b=b+(g<<4)|0}}}b=d>>>1;t=(b<<1)+2|0;x=(t|0)<(j|0);L=e;A=0;i=h;X=e+(Y(C,(b<<5)+32|0)|0)|0;while(1){P=+p[M+(A<<4)>>3]*l;Q=+p[M+(A<<4)+8>>3]*l;b=L;Z=0;while(1){T=+p[O+(Z<<4)>>3];U=+p[O+(Z<<4)+8>>3];S=P*T-Q*U;R=Q*T+P*U;_=Z|1;U=+p[O+(_<<4)>>3];T=+p[O+(_<<4)+8>>3];$=P*U-Q*T;aa=Q*U+P*T;if(!b){p[i+(Z<<4)>>3]=S;p[i+(Z<<4)+8>>3]=R;ba=aa;ca=$}else{T=R+ +p[b+8>>3]*m;p[i+(Z<<4)>>3]=S+ +p[b>>3]*m;p[i+(Z<<4)+8>>3]=T;ba=aa+ +p[b+(C<<4)+8>>3]*m;ca=$+ +p[b+(C<<4)>>3]*m}p[i+(_<<4)>>3]=ca;p[i+(_<<4)+8>>3]=ba;Z=Z+2|0;if((Z|0)>(d|0))break;else b=b+(N<<4)|0}if(x){b=X;Z=t;while(1){$=+p[O+(Z<<4)>>3];aa=+p[O+(Z<<4)+8>>3];T=P*$-Q*aa;S=Q*$+P*aa;if(!b){da=S;ea=T}else{da=S+ +p[b+8>>3]*m;ea=T+ +p[b>>3]*m}p[i+(Z<<4)>>3]=ea;p[i+(Z<<4)+8>>3]=da;Z=Z+1|0;if((Z|0)==(j|0))break;else b=b+(C<<4)|0}}A=A+1|0;if((A|0)==(v|0))break;else{L=L+(B<<4)|0;i=i+(g<<4)|0;X=X+(B<<4)|0}}}while(0);O=f[r>>2]|0;if((O|0)!=(s|0)){if(O|0)guc(O);f[r>>2]=s;f[z>>2]=72}}else{D=I;E=J;F=0;G=K;H=40}b:do if((H|0)==40){if(n&2|0){if((v|0)<=0)break;K=(F|0)==0;J=G+-4|0;I=(G|0)<4;z=G&-4;s=K|(G|0)<1;O=(j|0)>0;M=a;X=e;i=0;L=h;while(1){if(s)fa=K?M:F;else{A=0;do{t=M+((Y(A,D)|0)<<4)|0;x=F+(A<<4)|0;f[x>>2]=f[t>>2];f[x+4>>2]=f[t+4>>2];f[x+8>>2]=f[t+8>>2];f[x+12>>2]=f[t+12>>2];A=A+1|0}while((A|0)!=(G|0));fa=F}if(O){A=c;t=X;x=0;while(1){if(I){ga=0;ha=0.0;ia=0.0;ja=0.0;ka=0.0;la=0.0;ma=0.0;na=0.0;oa=0.0}else{N=0;da=0.0;ea=0.0;ba=0.0;ca=0.0;V=0.0;W=0.0;P=0.0;Q=0.0;while(1){T=+p[fa+(N<<4)>>3];S=+p[fa+(N<<4)+8>>3];aa=+p[A+(N<<4)>>3];$=+p[A+(N<<4)+8>>3];R=ca+(T*aa-S*$);U=V+(S*aa+T*$);d=N|1;$=+p[fa+(d<<4)>>3];T=+p[fa+(d<<4)+8>>3];aa=+p[A+(d<<4)>>3];S=+p[A+(d<<4)+8>>3];pa=ba+($*aa-T*S);qa=Q+(T*aa+$*S);d=N|2;S=+p[fa+(d<<4)>>3];$=+p[fa+(d<<4)+8>>3];aa=+p[A+(d<<4)>>3];T=+p[A+(d<<4)+8>>3];ra=ea+(S*aa-$*T);sa=P+($*aa+S*T);d=N|3;T=+p[fa+(d<<4)>>3];S=+p[fa+(d<<4)+8>>3];aa=+p[A+(d<<4)>>3];$=+p[A+(d<<4)+8>>3];ta=da+(T*aa-S*$);ua=W+(S*aa+T*$);N=N+4|0;if((N|0)>(J|0)){ga=z;ha=ta;ia=ra;ja=pa;ka=R;la=U;ma=ua;na=sa;oa=qa;break}else{da=ta;ea=ra;ba=pa;ca=R;V=U;W=ua;P=sa;Q=qa}}}if((ga|0)<(G|0)){N=ga;Q=ka;P=la;while(1){W=+p[fa+(N<<4)>>3];V=+p[fa+(N<<4)+8>>3];ca=+p[A+(N<<4)>>3];ba=+p[A+(N<<4)+8>>3];ea=Q+(W*ca-V*ba);da=P+(V*ca+W*ba);N=N+1|0;if((N|0)==(G|0)){va=ea;wa=da;break}else{Q=ea;P=da}}}else{va=ka;wa=la}P=(ha+(ia+(ja+va)))*l;Q=(ma+(na+(oa+wa)))*l;if(!t){xa=Q;ya=P}else{xa=Q+ +p[t+8>>3]*m;ya=P+ +p[t>>3]*m}p[L+(x<<4)>>3]=ya;p[L+(x<<4)+8>>3]=xa;x=x+1|0;if((x|0)==(j|0))break;else{A=A+(y<<4)|0;t=t+(C<<4)|0}}}i=i+1|0;if((i|0)==(v|0))break b;else{M=M+(E<<4)|0;X=X+(B<<4)|0;L=L+(g<<4)|0}}}L=j<<4;if(L>>>0<1601){if((v|0)<=0)break;X=(F|0)==0;M=j+-4|0;i=(j|0)<4;z=(G|0)>0;J=C<<2;I=C<<1;O=C*3|0;K=M>>>2;s=(K<<2)+4|0;t=X|(G|0)<1;P=l*0.0;A=a;x=e;N=0;d=h;b=e+(Y((K<<6)+64|0,C)|0)|0;while(1){if(t)za=X?A:F;else{K=0;do{Z=A+((Y(K,D)|0)<<4)|0;_=F+(K<<4)|0;f[_>>2]=f[Z>>2];f[_+4>>2]=f[Z+4>>2];f[_+8>>2]=f[Z+8>>2];f[_+12>>2]=f[Z+12>>2];K=K+1|0}while((K|0)!=(G|0));za=F}if(i){Aa=x;Ba=0}else{K=x;Z=0;while(1){if(z){_=c+(Z<<4)|0;Ca=0;Q=0.0;da=0.0;ea=0.0;ba=0.0;W=0.0;ca=0.0;V=0.0;qa=0.0;while(1){sa=+p[za+(Ca<<4)>>3];ua=+p[za+(Ca<<4)+8>>3];U=+p[_>>3];R=+p[_+8>>3];pa=da+(sa*U-ua*R);ra=V+(ua*U+sa*R);R=+p[_+16>>3];U=+p[_+24>>3];ta=Q+(sa*R-ua*U);$=ca+(ua*R+sa*U);U=+p[_+32>>3];R=+p[_+40>>3];T=ba+(sa*U-ua*R);aa=W+(ua*U+sa*R);R=+p[_+48>>3];U=+p[_+56>>3];S=ea+(sa*R-ua*U);Da=qa+(ua*R+sa*U);Ca=Ca+1|0;if((Ca|0)==(G|0)){Ea=ta;Fa=pa;Ga=S;Ha=T;Ia=aa;Ja=$;Ka=ra;La=Da;break}else{_=_+(y<<4)|0;Q=ta;da=pa;ea=S;ba=T;W=aa;ca=$;V=ra;qa=Da}}}else{Ea=0.0;Fa=0.0;Ga=0.0;Ha=0.0;Ia=0.0;Ja=0.0;Ka=0.0;La=0.0}qa=Fa*l;V=Ka*l;if(!K){p[d+(Z<<4)>>3]=qa;p[d+(Z<<4)+8>>3]=V;_=Z|1;p[d+(_<<4)>>3]=Ea*l;p[d+(_<<4)+8>>3]=Ja*l;_=Z|2;p[d+(_<<4)>>3]=Ha*l;p[d+(_<<4)+8>>3]=Ia*l;Ma=La*l;Na=Ga*l}else{ca=V+ +p[K+8>>3]*m;p[d+(Z<<4)>>3]=qa+ +p[K>>3]*m;p[d+(Z<<4)+8>>3]=ca;ca=Ja*l+ +p[K+(C<<4)+8>>3]*m;_=Z|1;p[d+(_<<4)>>3]=Ea*l+ +p[K+(C<<4)>>3]*m;p[d+(_<<4)+8>>3]=ca;ca=Ia*l+ +p[K+(I<<4)+8>>3]*m;_=Z|2;p[d+(_<<4)>>3]=Ha*l+ +p[K+(I<<4)>>3]*m;p[d+(_<<4)+8>>3]=ca;Ma=La*l+ +p[K+(O<<4)+8>>3]*m;Na=Ga*l+ +p[K+(O<<4)>>3]*m}_=Z|3;p[d+(_<<4)>>3]=Na;p[d+(_<<4)+8>>3]=Ma;Z=Z+4|0;if((Z|0)>(M|0)){Aa=b;Ba=s;break}else K=K+(J<<4)|0}}c:do if((Ba|0)<(j|0)){if(z){Oa=Aa;Pa=Ba}else{K=Aa;Z=Ba;while(1){if(!K){Qa=P;Ra=P}else{Qa=P+ +p[K+8>>3]*m;Ra=P+ +p[K>>3]*m}p[d+(Z<<4)>>3]=Ra;p[d+(Z<<4)+8>>3]=Qa;Z=Z+1|0;if((Z|0)==(j|0))break c;else K=K+(C<<4)|0}}while(1){K=c+(Pa<<4)|0;Z=0;ca=0.0;qa=0.0;while(1){V=+p[za+(Z<<4)>>3];W=+p[za+(Z<<4)+8>>3];ba=+p[K>>3];ea=+p[K+8>>3];ca=ca+(V*ba-W*ea);qa=qa+(W*ba+V*ea);Z=Z+1|0;if((Z|0)==(G|0))break;else K=K+(y<<4)|0}ea=ca*l;V=qa*l;if(!Oa){Sa=V;Ta=ea}else{Sa=V+ +p[Oa+8>>3]*m;Ta=ea+ +p[Oa>>3]*m}p[d+(Pa<<4)>>3]=Ta;p[d+(Pa<<4)+8>>3]=Sa;Pa=Pa+1|0;if((Pa|0)==(j|0))break;else Oa=Oa+(C<<4)|0}}while(0);N=N+1|0;if((N|0)==(v|0))break b;else{A=A+(E<<4)|0;x=x+(B<<4)|0;d=d+(g<<4)|0;b=b+(B<<4)|0}}}b=r+8|0;kzc(b|0,0,1152)|0;f[r>>2]=b;d=r+4|0;f[d>>2]=j;if(j>>>0>72){x=euc(j>>>0>268435455?-1:j<<4)|0;kzc(x|0,0,L|0)|0;f[r>>2]=x;Ua=x}else Ua=b;if((v|0)>0){x=(F|0)==0;A=(j|0)>0;N=(G|0)>0;z=j+-4|0;J=(j|0)<4;s=j&-4;M=x|(G|0)<1;O=a;I=e;i=0;X=h;while(1){if(M)Va=x?O:F;else{t=0;do{K=O+((Y(t,D)|0)<<4)|0;Z=F+(t<<4)|0;f[Z>>2]=f[K>>2];f[Z+4>>2]=f[K+4>>2];f[Z+8>>2]=f[K+8>>2];f[Z+12>>2]=f[K+12>>2];t=t+1|0}while((t|0)!=(G|0));Va=F}if(A)kzc(Ua|0,0,L|0)|0;if(N){t=c;K=0;while(1){P=+p[Va+(K<<4)>>3];ea=+p[Va+(K<<4)+8>>3];if(J)Wa=0;else{Z=0;do{V=+p[t+(Z<<4)>>3];ba=+p[t+(Z<<4)+8>>3];_=Ua+(Z<<4)|0;Ca=Ua+(Z<<4)+8|0;W=+p[Ca>>3]+(ea*V+P*ba);Xa=Z|1;da=+p[t+(Xa<<4)>>3];Q=+p[t+(Xa<<4)+8>>3];Ya=Ua+(Xa<<4)|0;Za=Ua+(Xa<<4)+8|0;Da=+p[Ya>>3]+(P*da-ea*Q);ra=+p[Za>>3]+(ea*da+P*Q);p[_>>3]=+p[_>>3]+(P*V-ea*ba);p[Ca>>3]=W;p[Ya>>3]=Da;p[Za>>3]=ra;Za=Z|2;ra=+p[t+(Za<<4)>>3];Da=+p[t+(Za<<4)+8>>3];Ya=Ua+(Za<<4)|0;Ca=Ua+(Za<<4)+8|0;W=+p[Ca>>3]+(ea*ra+P*Da);Za=Z|3;ba=+p[t+(Za<<4)>>3];V=+p[t+(Za<<4)+8>>3];_=Ua+(Za<<4)|0;Xa=Ua+(Za<<4)+8|0;Q=+p[_>>3]+(P*ba-ea*V);da=+p[Xa>>3]+(ea*ba+P*V);p[Ya>>3]=+p[Ya>>3]+(P*ra-ea*Da);p[Ca>>3]=W;p[_>>3]=Q;p[Xa>>3]=da;Z=Z+4|0}while((Z|0)<=(z|0));Wa=s}if((Wa|0)<(j|0)){Z=Wa;do{da=+p[t+(Z<<4)>>3];Q=+p[t+(Z<<4)+8>>3];Xa=Ua+(Z<<4)|0;p[Xa>>3]=+p[Xa>>3]+(P*da-ea*Q);Xa=Ua+(Z<<4)+8|0;p[Xa>>3]=ea*da+P*Q+ +p[Xa>>3];Z=Z+1|0}while((Z|0)!=(j|0))}K=K+1|0;if((K|0)==(G|0))break;else t=t+(y<<4)|0}}if(!I){if(A){t=0;do{P=+p[Ua+(t<<4)+8>>3]*l;p[X+(t<<4)>>3]=+p[Ua+(t<<4)>>3]*l;p[X+(t<<4)+8>>3]=P;t=t+1|0}while((t|0)!=(j|0))}}else if(A){t=0;K=I;while(1){P=+p[Ua+(t<<4)+8>>3]*l+ +p[K+8>>3]*m;p[X+(t<<4)>>3]=+p[Ua+(t<<4)>>3]*l+ +p[K>>3]*m;p[X+(t<<4)+8>>3]=P;t=t+1|0;if((t|0)==(j|0))break;else K=K+(C<<4)|0}}i=i+1|0;if((i|0)==(v|0))break;else{O=O+(E<<4)|0;I=I+(B<<4)|0;X=X+(g<<4)|0}}_a=f[r>>2]|0}else _a=Ua;if((_a|0)!=(b|0)){if(_a|0)guc(_a);f[r>>2]=b;f[d>>2]=72}}while(0);r=f[q>>2]|0;if((r|0)==(k|0)){u=o;return}if(r|0)guc(r);f[q>>2]=k;f[w>>2]=72;u=o;return}function xQ(a,b,c,d,e,g,h,i,j,k,l,m,o){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=+l;m=+m;o=o|0;var q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0.0,V=0.0,W=0,X=0.0,Z=0,_=0.0,$=0.0,aa=0,ba=0.0,ca=0.0,da=0,ea=0.0,fa=0.0,ga=0,ha=0,ia=0,ja=0.0,ka=0.0,la=0,ma=0,na=0,oa=0,pa=0,qa=0.0,ra=0.0,sa=0.0,ta=0.0,ua=0.0,va=0,wa=0,xa=0.0,ya=0.0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0;q=u;u=u+2160|0;r=q+1096|0;s=q;t=f[j>>2]|0;v=f[j+4>>2]|0;j=f[k>>2]|0;w=f[k+4>>2]|0;k=r+8|0;f[r>>2]=k;x=r+4|0;f[x>>2]=264;y=b>>>2;z=d>>>2;A=g>>>2;g=i>>>2;i=(e|0)==0;B=(o&4|0)==0;C=i?0:B?A:1;D=i?0:B?1:A;if(o&1)if(b>>>0>7&(v|0)>1){f[x>>2]=v;if(v>>>0>264){A=euc(v>>>0>1073741823?-1:v<<2)|0;f[r>>2]=A;E=y;F=1;G=A;H=v;I=43}else{E=y;F=1;G=k;H=v;I=43}}else{J=y;K=1;L=v;I=5}else{J=1;K=y;L=t;I=5}if((I|0)==5)if((L|0)==1){t=s+8|0;f[s>>2]=t;A=s+4|0;f[A>>2]=264;if(b>>>0>7&(v|0)>1){f[x>>2]=w;if(w>>>0>264){v=euc(w>>>0>1073741823?-1:w<<2)|0;f[r>>2]=v;M=v}else M=k;if((w|0)>0){v=0;do{b=a+((Y(v,y)|0)<<2)|0;f[M+(v<<2)>>2]=f[b>>2];v=v+1|0}while((v|0)!=(w|0));N=M}else N=M}else N=a;if(d>>>0>7){f[A>>2]=j;if(j>>>0>264){d=euc(j>>>0>1073741823?-1:j<<2)|0;f[s>>2]=d;O=d}else O=t;if((j|0)>0){d=0;do{M=c+((Y(d,z)|0)<<2)|0;f[O+(d<<2)>>2]=f[M>>2];d=d+1|0}while((d|0)!=(j|0));P=O;Q=O}else{P=O;Q=O}}else{P=c;Q=t}a:do if((w|0)>0){O=D<<1;if((j|0)<2){if((j|0)==1){R=h;S=0;T=e}else break;while(1){U=+n[N+(S<<2)>>2]*l*+n[P>>2];if(!T)V=U;else V=U+ +n[T>>2]*m;n[R>>2]=V;S=S+1|0;if((S|0)==(w|0))break a;else{R=R+(g<<2)|0;T=T+(C<<2)|0}}}d=j+-2|0;M=((d|0)>1?d:1)>>>1;v=Y(M,O)|0;y=(M<<1)+2|0;if((y|0)>=(j|0)){M=h;b=0;B=e;while(1){U=+n[N+(b<<2)>>2]*l;i=B;W=0;while(1){X=U*+n[P+(W<<2)>>2];Z=W|1;_=U*+n[P+(Z<<2)>>2];if(!i){n[M+(W<<2)>>2]=X;$=_}else{n[M+(W<<2)>>2]=X+ +n[i>>2]*m;$=_+ +n[i+(D<<2)>>2]*m}n[M+(Z<<2)>>2]=$;W=W+2|0;if((W|0)>(d|0))break;else i=i+(O<<2)|0}b=b+1|0;if((b|0)==(w|0))break a;else{M=M+(g<<2)|0;B=B+(C<<2)|0}}}B=h;M=0;b=e;i=e+(O<<2)|0;while(1){U=+n[N+(M<<2)>>2]*l;W=b;Z=0;while(1){_=U*+n[P+(Z<<2)>>2];aa=Z|1;X=U*+n[P+(aa<<2)>>2];if(!W){n[B+(Z<<2)>>2]=_;ba=X}else{n[B+(Z<<2)>>2]=_+ +n[W>>2]*m;ba=X+ +n[W+(D<<2)>>2]*m}n[B+(aa<<2)>>2]=ba;Z=Z+2|0;if((Z|0)>(d|0))break;else W=W+(O<<2)|0}W=i+(v<<2)|0;Z=y;while(1){X=U*+n[P+(Z<<2)>>2];if(!W)ca=X;else ca=X+ +n[W>>2]*m;n[B+(Z<<2)>>2]=ca;Z=Z+1|0;if((Z|0)==(j|0))break;else W=W+(D<<2)|0}M=M+1|0;if((M|0)==(w|0))break;else{B=B+(g<<2)|0;b=b+(C<<2)|0;i=i+(C<<2)|0}}}while(0);if((Q|0)!=(t|0)){guc(Q);f[s>>2]=t;f[A>>2]=264}}else{E=J;F=K;G=0;H=L;I=43}b:do if((I|0)==43){if(o&2|0){if((w|0)<=0)break;L=(G|0)==0;K=(j|0)>0;J=H+-4|0;A=(H|0)<4;t=H&-4;Q=L|(H|0)<1;P=(H|0)>0;N=(t|0)<(H|0);ca=l*0.0;T=a;R=h;S=0;i=e;while(1){if(Q)da=L?T:G;else{b=0;do{B=T+((Y(b,E)|0)<<2)|0;f[G+(b<<2)>>2]=f[B>>2];b=b+1|0}while((b|0)!=(H|0));da=G}c:do if(K){if(!A){b=c;B=i;M=0;while(1){ba=0.0;$=0.0;V=0.0;U=0.0;y=0;do{U=U+ +n[da+(y<<2)>>2]*+n[b+(y<<2)>>2];v=y|1;V=V+ +n[da+(v<<2)>>2]*+n[b+(v<<2)>>2];v=y|2;$=$+ +n[da+(v<<2)>>2]*+n[b+(v<<2)>>2];v=y|3;ba=ba+ +n[da+(v<<2)>>2]*+n[b+(v<<2)>>2];y=y+4|0}while((y|0)<=(J|0));if(N){X=U;y=t;while(1){_=X+ +n[da+(y<<2)>>2]*+n[b+(y<<2)>>2];y=y+1|0;if((y|0)==(H|0)){ea=_;break}else X=_}}else ea=U;X=(ba+($+(V+ea)))*l;if(!B)fa=X;else fa=X+ +n[B>>2]*m;n[R+(M<<2)>>2]=fa;M=M+1|0;if((M|0)==(j|0))break c;else{b=b+(z<<2)|0;B=B+(D<<2)|0}}}if(P){ga=c;ha=i;ia=0}else{B=i;b=0;while(1){if(!B)ja=ca;else ja=ca+ +n[B>>2]*m;n[R+(b<<2)>>2]=ja;b=b+1|0;if((b|0)==(j|0))break c;else B=B+(D<<2)|0}}while(1){X=0.0;B=0;do{X=X+ +n[da+(B<<2)>>2]*+n[ga+(B<<2)>>2];B=B+1|0}while((B|0)!=(H|0));V=(X+0.0)*l;if(!ha)ka=V;else ka=V+ +n[ha>>2]*m;n[R+(ia<<2)>>2]=ka;ia=ia+1|0;if((ia|0)==(j|0))break;else{ga=ga+(z<<2)|0;ha=ha+(D<<2)|0}}}while(0);S=S+1|0;if((S|0)==(w|0))break b;else{T=T+(F<<2)|0;R=R+(g<<2)|0;i=i+(C<<2)|0}}}if(j<<2>>>0<1601){if((w|0)<=0)break;i=(G|0)==0;R=j+-4|0;T=(j|0)<4;S=(H|0)>0;P=D<<2;t=D<<1;N=D*3|0;J=R>>>2;A=(J<<2)+4|0;K=i|(H|0)<1;ca=l*0.0;V=ca;L=a;Q=h;B=0;b=e;M=e+(Y((J<<4)+16|0,D)|0)|0;while(1){if(K)la=i?L:G;else{J=0;do{y=L+((Y(J,E)|0)<<2)|0;f[G+(J<<2)>>2]=f[y>>2];J=J+1|0}while((J|0)!=(H|0));la=G}d:do if(T){ma=b;na=0}else{if(S){oa=b;pa=0}else{J=b;y=0;while(1){v=y|2;O=y|1;if(!J){n[Q+(y<<2)>>2]=V;n[Q+(O<<2)>>2]=V;n[Q+(v<<2)>>2]=V;qa=ca}else{n[Q+(y<<2)>>2]=ca+ +n[J>>2]*m;n[Q+(O<<2)>>2]=ca+ +n[J+(D<<2)>>2]*m;n[Q+(v<<2)>>2]=ca+ +n[J+(t<<2)>>2]*m;qa=ca+ +n[J+(N<<2)>>2]*m}n[Q+((y|3)<<2)>>2]=qa;y=y+4|0;if((y|0)>(R|0)){ma=M;na=A;break d}else J=J+(P<<2)|0}}while(1){$=0.0;ba=0.0;U=0.0;_=0.0;J=c+(pa<<2)|0;y=0;while(1){ra=+n[la+(y<<2)>>2];_=_+ra*+n[J>>2];U=U+ra*+n[J+4>>2];ba=ba+ra*+n[J+8>>2];$=$+ra*+n[J+12>>2];y=y+1|0;if((y|0)==(H|0))break;else J=J+(z<<2)|0}X=_*l;J=pa|2;ra=U*l;y=pa|1;sa=ba*l;ta=$*l;if(!oa){n[Q+(pa<<2)>>2]=X;n[Q+(y<<2)>>2]=ra;n[Q+(J<<2)>>2]=sa;ua=ta}else{n[Q+(pa<<2)>>2]=X+ +n[oa>>2]*m;n[Q+(y<<2)>>2]=ra+ +n[oa+(D<<2)>>2]*m;n[Q+(J<<2)>>2]=sa+ +n[oa+(t<<2)>>2]*m;ua=ta+ +n[oa+(N<<2)>>2]*m}n[Q+((pa|3)<<2)>>2]=ua;pa=pa+4|0;if((pa|0)>(R|0)){ma=M;na=A;break}else oa=oa+(P<<2)|0}}while(0);e:do if((na|0)<(j|0)){if(S){va=ma;wa=na}else{J=ma;y=na;while(1){if(!J)xa=ca;else xa=ca+ +n[J>>2]*m;n[Q+(y<<2)>>2]=xa;y=y+1|0;if((y|0)==(j|0))break e;else J=J+(D<<2)|0}}while(1){ta=0.0;J=c+(wa<<2)|0;y=0;while(1){ta=ta+ +n[la+(y<<2)>>2]*+n[J>>2];y=y+1|0;if((y|0)==(H|0))break;else J=J+(z<<2)|0}$=ta*l;if(!va)ya=$;else ya=$+ +n[va>>2]*m;n[Q+(wa<<2)>>2]=ya;wa=wa+1|0;if((wa|0)==(j|0))break;else va=va+(D<<2)|0}}while(0);B=B+1|0;if((B|0)==(w|0))break b;else{L=L+(F<<2)|0;Q=Q+(g<<2)|0;b=b+(C<<2)|0;M=M+(C<<2)|0}}}M=s+8|0;f[s>>2]=M;b=s+4|0;f[b>>2]=j;if(j>>>0>136){Q=euc(j>>>0>536870911?-1:j<<3)|0;f[s>>2]=Q;za=Q;Aa=Q}else{za=M;Aa=M}if((w|0)>0){Q=(G|0)==0;L=(j|0)>0;B=(H|0)>0;S=j+-4|0;P=(j|0)<4;A=j<<3;R=j&-4;N=Q|(H|0)<1;t=(R|0)<(j|0);T=a;i=h;K=0;J=e;while(1){if(N)Ba=Q?T:G;else{y=0;do{v=T+((Y(y,E)|0)<<2)|0;f[G+(y<<2)>>2]=f[v>>2];y=y+1|0}while((y|0)!=(H|0));Ba=G}if(L)kzc(Aa|0,0,A|0)|0;f:do if(B){if(P){if(L){Ca=c;Da=0}else break;while(1){ca=+n[Ba+(Da<<2)>>2];y=0;do{v=Aa+(y<<3)|0;p[v>>3]=+p[v>>3]+ca*+n[Ca+(y<<2)>>2];y=y+1|0}while((y|0)!=(j|0));Da=Da+1|0;if((Da|0)==(H|0))break f;else Ca=Ca+(z<<2)|0}}if(t){Ea=c;Fa=0}else{y=c;v=0;while(1){ca=+n[Ba+(v<<2)>>2];O=0;do{d=Aa+(O<<3)|0;W=O|1;Z=Aa+(W<<3)|0;ta=+p[Z>>3]+ca*+n[y+(W<<2)>>2];p[d>>3]=+p[d>>3]+ca*+n[y+(O<<2)>>2];p[Z>>3]=ta;Z=O|2;d=Aa+(Z<<3)|0;W=O|3;aa=Aa+(W<<3)|0;ta=+p[aa>>3]+ca*+n[y+(W<<2)>>2];p[d>>3]=+p[d>>3]+ca*+n[y+(Z<<2)>>2];p[aa>>3]=ta;O=O+4|0}while((O|0)<=(S|0));v=v+1|0;if((v|0)==(H|0))break f;else y=y+(z<<2)|0}}while(1){ca=+n[Ba+(Fa<<2)>>2];y=0;do{v=Aa+(y<<3)|0;O=y|1;aa=Aa+(O<<3)|0;ta=+p[aa>>3]+ca*+n[Ea+(O<<2)>>2];p[v>>3]=+p[v>>3]+ca*+n[Ea+(y<<2)>>2];p[aa>>3]=ta;aa=y|2;v=Aa+(aa<<3)|0;O=y|3;Z=Aa+(O<<3)|0;ta=+p[Z>>3]+ca*+n[Ea+(O<<2)>>2];p[v>>3]=+p[v>>3]+ca*+n[Ea+(aa<<2)>>2];p[Z>>3]=ta;y=y+4|0}while((y|0)<=(S|0));Ga=R;do{y=Aa+(Ga<<3)|0;p[y>>3]=+p[y>>3]+ca*+n[Ea+(Ga<<2)>>2];Ga=Ga+1|0}while((Ga|0)!=(j|0));Fa=Fa+1|0;if((Fa|0)==(H|0))break;else Ea=Ea+(z<<2)|0}}while(0);if(!J){if(L){y=0;do{n[i+(y<<2)>>2]=+p[Aa+(y<<3)>>3]*l;y=y+1|0}while((y|0)!=(j|0))}}else if(L){y=0;Z=J;while(1){n[i+(y<<2)>>2]=+p[Aa+(y<<3)>>3]*l+ +n[Z>>2]*m;y=y+1|0;if((y|0)==(j|0))break;else Z=Z+(D<<2)|0}}K=K+1|0;if((K|0)==(w|0)){Ha=za;break}else{T=T+(F<<2)|0;i=i+(g<<2)|0;J=J+(C<<2)|0}}}else Ha=Aa;if((Ha|0)!=(M|0)){guc(Ha);f[s>>2]=M;f[b>>2]=136}}while(0);s=f[r>>2]|0;if((s|0)==(k|0)){u=q;return}if(s|0)guc(s);f[r>>2]=k;f[x>>2]=264;u=q;return}function yQ(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0.0,N=0.0,O=0.0,P=0.0,Q=0.0,R=0,S=0,T=0,U=0,V=0.0,W=0.0,X=0.0,Z=0,_=0.0,$=0,aa=0,ba=0,ca=0,da=0.0,ea=0,fa=0,ga=0.0,ha=0.0,ia=0,ja=0,ka=0.0;k=u;u=u+1104|0;l=k;m=f[h>>2]|0;n=f[h+4>>2]|0;h=f[i>>2]|0;o=f[i+4>>2]|0;i=l+8|0;f[l>>2]=i;q=l+4|0;f[q>>2]=136;r=j&16;s=b>>>3;b=d>>>3;d=g>>>3;if(j&1){f[q>>2]=n;if(n>>>0>136){g=euc(n>>>0>536870911?-1:n<<3)|0;f[l>>2]=g;t=s;v=1;w=g;x=n;y=g}else{t=s;v=1;w=i;x=n;y=i}}else{t=1;v=s;w=0;x=m;y=i}m=(o|0)>0;if(!(j&2)){if(m){j=(w|0)==0;s=h+-4|0;n=(h|0)<4;g=(r|0)==0;z=(x|0)>0;A=h&-4;B=(x|0)<1|j;C=(s>>>2<<5)+32|0;D=e;E=0;F=a;while(1){G=e+((Y(d,E)|0)<<3)|0;if(B)H=j?F:w;else{I=0;do{J=F+((Y(I,t)|0)<<3)|0;p[w+(I<<3)>>3]=+p[J>>3];I=I+1|0}while((I|0)!=(x|0));H=w}a:do if(!n)if(g){if(z)K=0;else{kzc(G|0,0,C|0)|0;L=A;break}do{I=c+(K<<3)|0;M=0.0;N=0.0;O=0.0;P=0.0;J=0;while(1){Q=+p[H+(J<<3)>>3];P=P+Q*+p[I>>3];O=O+Q*+p[I+8>>3];N=N+Q*+p[I+16>>3];M=M+Q*+p[I+24>>3];J=J+1|0;if((J|0)==(x|0))break;else I=I+(b<<3)|0}p[D+(K<<3)>>3]=P;p[D+((K|1)<<3)>>3]=O;p[D+((K|2)<<3)>>3]=N;p[D+((K|3)<<3)>>3]=M;K=K+4|0}while((K|0)<=(s|0));L=A}else{if(z)R=0;else{I=0;while(1){I=I+4|0;if((I|0)>(s|0)){L=A;break a}}}do{I=D+((R|3)<<3)|0;J=D+((R|2)<<3)|0;S=D+((R|1)<<3)|0;T=D+(R<<3)|0;U=c+(R<<3)|0;Q=+p[I>>3];V=+p[J>>3];W=+p[S>>3];X=+p[T>>3];Z=0;while(1){_=+p[H+(Z<<3)>>3];X=X+_*+p[U>>3];W=W+_*+p[U+8>>3];V=V+_*+p[U+16>>3];Q=Q+_*+p[U+24>>3];Z=Z+1|0;if((Z|0)==(x|0))break;else U=U+(b<<3)|0}p[T>>3]=X;p[S>>3]=W;p[J>>3]=V;p[I>>3]=Q;R=R+4|0}while((R|0)<=(s|0));L=A}else L=0;while(0);b:do if((h|0)>(L|0)){if(!g){if(z)$=L;else break;while(1){U=D+($<<3)|0;Z=c+($<<3)|0;M=+p[U>>3];aa=0;while(1){M=M+ +p[H+(aa<<3)>>3]*+p[Z>>3];aa=aa+1|0;if((aa|0)==(x|0))break;else Z=Z+(b<<3)|0}p[U>>3]=M;$=$+1|0;if(($|0)==(h|0))break b}}if(z)ba=L;else{kzc(G+(L<<3)|0,0,h-L<<3|0)|0;break}do{Z=c+(ba<<3)|0;Q=0.0;aa=0;while(1){Q=Q+ +p[H+(aa<<3)>>3]*+p[Z>>3];aa=aa+1|0;if((aa|0)==(x|0))break;else Z=Z+(b<<3)|0}p[D+(ba<<3)>>3]=Q;ba=ba+1|0}while((ba|0)!=(h|0))}while(0);E=E+1|0;if((E|0)==(o|0))break;else{D=D+(d<<3)|0;F=F+(v<<3)|0}}}}else if(m){m=(w|0)==0;F=(h|0)>0;D=(r|0)==0;r=x+-2|0;E=(x|0)<2;ba=x&-2;H=(x|0)<1|m;L=(x|0)>0;z=(ba|0)<(x|0);$=(x|0)>0;g=(ba|0)<(x|0);A=e;e=0;s=a;while(1){if(H)ca=m?s:w;else{a=0;do{R=s+((Y(a,t)|0)<<3)|0;p[w+(a<<3)>>3]=+p[R>>3];a=a+1|0}while((a|0)!=(x|0));ca=w}c:do if(F)if(D){if(E){a=c;R=0;while(1){if(L){M=0.0;K=0;while(1){V=M+ +p[ca+(K<<3)>>3]*+p[a+(K<<3)>>3];K=K+1|0;if((K|0)==(x|0)){da=V;break}else M=V}}else da=0.0;p[A+(R<<3)>>3]=da+0.0;R=R+1|0;if((R|0)==(h|0))break c;else a=a+(b<<3)|0}}else{ea=c;fa=0}while(1){M=0.0;Q=0.0;a=0;do{Q=Q+ +p[ca+(a<<3)>>3]*+p[ea+(a<<3)>>3];R=a|1;M=M+ +p[ca+(R<<3)>>3]*+p[ea+(R<<3)>>3];a=a+2|0}while((a|0)<=(r|0));if(z){V=Q;a=ba;while(1){W=V+ +p[ca+(a<<3)>>3]*+p[ea+(a<<3)>>3];a=a+1|0;if((a|0)==(x|0)){ga=W;break}else V=W}}else ga=Q;p[A+(fa<<3)>>3]=M+ga;fa=fa+1|0;if((fa|0)==(h|0))break;else ea=ea+(b<<3)|0}}else{if(E){a=c;R=0;while(1){K=A+(R<<3)|0;V=+p[K>>3];if($){W=V;C=0;while(1){X=W+ +p[ca+(C<<3)>>3]*+p[a+(C<<3)>>3];C=C+1|0;if((C|0)==(x|0)){ha=X;break}else W=X}}else ha=V;p[K>>3]=ha+0.0;R=R+1|0;if((R|0)==(h|0))break c;else a=a+(b<<3)|0}}else{ia=c;ja=0}while(1){a=A+(ja<<3)|0;W=0.0;M=+p[a>>3];R=0;do{M=M+ +p[ca+(R<<3)>>3]*+p[ia+(R<<3)>>3];C=R|1;W=W+ +p[ca+(C<<3)>>3]*+p[ia+(C<<3)>>3];R=R+2|0}while((R|0)<=(r|0));if(g){V=M;R=ba;while(1){Q=V+ +p[ca+(R<<3)>>3]*+p[ia+(R<<3)>>3];R=R+1|0;if((R|0)==(x|0)){ka=Q;break}else V=Q}}else ka=M;p[a>>3]=W+ka;ja=ja+1|0;if((ja|0)==(h|0))break;else ia=ia+(b<<3)|0}}while(0);e=e+1|0;if((e|0)==(o|0))break;else{A=A+(d<<3)|0;s=s+(v<<3)|0}}}if((y|0)==(i|0)){u=k;return}guc(y);f[l>>2]=i;f[q>>2]=136;u=k;return}function zQ(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0.0,N=0.0,O=0.0,P=0.0,Q=0.0,R=0.0,S=0.0,T=0.0,U=0.0,V=0.0,W=0.0,X=0.0,Z=0.0,_=0.0,$=0.0,aa=0.0,ba=0.0,ca=0.0,da=0.0,ea=0.0,fa=0.0,ga=0.0,ha=0.0,ia=0.0,ja=0.0,ka=0.0,la=0.0,ma=0.0,na=0.0,oa=0.0,pa=0.0,qa=0.0,ra=0.0,sa=0.0,ta=0.0,ua=0.0,va=0,wa=0,xa=0,ya=0.0,za=0.0,Aa=0,Ba=0,Ca=0.0,Da=0.0,Ea=0.0,Fa=0.0,Ga=0,Ha=0,Ia=0.0,Ja=0.0;k=u;u=u+1104|0;l=k;m=f[h>>2]|0;o=f[h+4>>2]|0;h=f[i>>2]|0;q=f[i+4>>2]|0;i=l+8|0;kzc(i|0,0,1088)|0;f[l>>2]=i;r=l+4|0;f[r>>2]=136;s=j&16;t=b>>>3;b=d>>>3;d=g>>>4;if(j&1){f[r>>2]=o;if(o>>>0>136){g=euc(o>>>0>536870911?-1:o<<3)|0;kzc(g|0,0,o<<3|0)|0;f[l>>2]=g;v=t;w=1;x=g;y=o}else{v=t;w=1;x=i;y=o}}else{v=1;w=t;x=0;y=m}m=(q|0)>0;if(!(j&2)){if(m){j=(x|0)==0;t=h+-4|0;o=(h|0)<4;g=(s|0)==0;z=(y|0)>0;A=h&-4;B=(y|0)<1|j;C=a;D=e;E=0;while(1){F=e+((Y(d,E)|0)<<4)|0;if(B)G=j?C:x;else{H=0;do{I=C+((Y(H,v)|0)<<3)|0;J=f[I+4>>2]|0;K=x+(H<<3)|0;f[K>>2]=f[I>>2];f[K+4>>2]=J;H=H+1|0}while((H|0)!=(y|0));G=x}if(o)L=0;else{H=0;do{if(g){M=0.0;N=0.0;O=0.0;P=0.0;Q=0.0;R=0.0;S=0.0;T=0.0}else{J=H|1;K=H|2;I=H|3;M=+p[D+(K<<4)>>3];N=+p[D+(J<<4)>>3];O=+p[D+(H<<4)>>3];P=+p[D+(I<<4)>>3];Q=+p[D+(I<<4)+8>>3];R=+p[D+(K<<4)+8>>3];S=+p[D+(J<<4)+8>>3];T=+p[D+(H<<4)+8>>3]}if(z){J=c+(H<<3)|0;K=0;U=M;V=N;W=O;X=P;Z=Q;_=R;$=S;aa=T;while(1){ba=+n[G+(K<<3)>>2];ca=+n[G+(K<<3)+4>>2];da=+n[J>>2];ea=+n[J+4>>2];fa=W+(ba*da-ca*ea);ga=aa+(ca*da+ba*ea);ea=+n[J+8>>2];da=+n[J+12>>2];ha=V+(ba*ea-ca*da);ia=$+(ca*ea+ba*da);da=+n[J+16>>2];ea=+n[J+20>>2];ja=U+(ba*da-ca*ea);ka=_+(ca*da+ba*ea);ea=+n[J+24>>2];da=+n[J+28>>2];la=X+(ba*ea-ca*da);ma=Z+(ca*ea+ba*da);K=K+1|0;if((K|0)==(y|0)){na=ja;oa=ha;pa=fa;qa=la;ra=ma;sa=ka;ta=ia;ua=ga;break}else{J=J+(b<<3)|0;U=ja;V=ha;W=fa;X=la;Z=ma;_=ka;$=ia;aa=ga}}}else{na=M;oa=N;pa=O;qa=P;ra=Q;sa=R;ta=S;ua=T}p[D+(H<<4)>>3]=pa;p[D+(H<<4)+8>>3]=ua;J=H|1;p[D+(J<<4)>>3]=oa;p[D+(J<<4)+8>>3]=ta;J=H|2;p[D+(J<<4)>>3]=na;p[D+(J<<4)+8>>3]=sa;J=H|3;p[D+(J<<4)>>3]=qa;p[D+(J<<4)+8>>3]=ra;H=H+4|0}while((H|0)<=(t|0));L=A}a:do if((h|0)>(L|0))if(g){if(z)va=L;else{kzc(F+(L<<4)|0,0,h-L<<4|0)|0;break}do{H=c+(va<<3)|0;J=0;aa=0.0;$=0.0;while(1){_=+n[G+(J<<3)>>2];Z=+n[G+(J<<3)+4>>2];X=+n[H>>2];W=+n[H+4>>2];aa=aa+(_*X-Z*W);$=$+(Z*X+_*W);J=J+1|0;if((J|0)==(y|0))break;else H=H+(b<<3)|0}p[D+(va<<4)>>3]=aa;p[D+(va<<4)+8>>3]=$;va=va+1|0}while((va|0)!=(h|0))}else{if(z)wa=L;else{H=L;while(1){H=H+1|0;if((H|0)==(h|0))break a}}do{H=D+(wa<<4)+8|0;J=D+(wa<<4)|0;K=c+(wa<<3)|0;I=0;W=+p[J>>3];_=+p[H>>3];while(1){X=+n[G+(I<<3)>>2];Z=+n[G+(I<<3)+4>>2];V=+n[K>>2];U=+n[K+4>>2];W=W+(X*V-Z*U);_=_+(Z*V+X*U);I=I+1|0;if((I|0)==(y|0))break;else K=K+(b<<3)|0}p[J>>3]=W;p[H>>3]=_;wa=wa+1|0}while((wa|0)!=(h|0))}while(0);E=E+1|0;if((E|0)==(q|0))break;else{C=C+(w<<3)|0;D=D+(d<<4)|0}}}}else if(m){m=(x|0)==0;D=(s|0)==0;s=y+-2|0;C=(y|0)<2;E=y&-2;wa=(y|0)<1|m;G=(h|0)>0;L=(y|0)>0;z=(E|0)<(y|0);va=(y|0)>0;g=(E|0)<(y|0);A=a;a=e;e=0;while(1){if(wa)xa=m?A:x;else{t=0;do{o=A+((Y(t,v)|0)<<3)|0;j=f[o+4>>2]|0;B=x+(t<<3)|0;f[B>>2]=f[o>>2];f[B+4>>2]=j;t=t+1|0}while((t|0)!=(y|0));xa=x}b:do if(G)if(D){if(C){t=c;j=0;while(1){if(L){B=0;ra=0.0;qa=0.0;while(1){sa=+n[xa+(B<<3)>>2];na=+n[xa+(B<<3)+4>>2];ta=+n[t+(B<<3)>>2];oa=+n[t+(B<<3)+4>>2];ua=ra+(sa*ta-na*oa);pa=qa+(na*ta+sa*oa);B=B+1|0;if((B|0)==(y|0)){ya=ua;za=pa;break}else{ra=ua;qa=pa}}}else{ya=0.0;za=0.0}p[a+(j<<4)>>3]=ya+0.0;p[a+(j<<4)+8>>3]=za+0.0;j=j+1|0;if((j|0)==(h|0))break b;else t=t+(b<<3)|0}}else{Aa=c;Ba=0}while(1){t=0;qa=0.0;ra=0.0;_=0.0;W=0.0;do{pa=+n[xa+(t<<3)>>2];ua=+n[xa+(t<<3)+4>>2];oa=+n[Aa+(t<<3)>>2];sa=+n[Aa+(t<<3)+4>>2];ra=ra+(pa*oa-ua*sa);_=_+(ua*oa+pa*sa);j=t|1;sa=+n[xa+(j<<3)>>2];pa=+n[xa+(j<<3)+4>>2];oa=+n[Aa+(j<<3)>>2];ua=+n[Aa+(j<<3)+4>>2];qa=qa+(sa*oa-pa*ua);W=W+(pa*oa+sa*ua);t=t+2|0}while((t|0)<=(s|0));if(z){t=E;ua=ra;sa=_;while(1){oa=+n[xa+(t<<3)>>2];pa=+n[xa+(t<<3)+4>>2];ta=+n[Aa+(t<<3)>>2];na=+n[Aa+(t<<3)+4>>2];T=ua+(oa*ta-pa*na);S=sa+(pa*ta+oa*na);t=t+1|0;if((t|0)==(y|0)){Ca=T;Da=S;break}else{ua=T;sa=S}}}else{Ca=ra;Da=_}p[a+(Ba<<4)>>3]=qa+Ca;p[a+(Ba<<4)+8>>3]=W+Da;Ba=Ba+1|0;if((Ba|0)==(h|0))break;else Aa=Aa+(b<<3)|0}}else{if(C){t=c;j=0;while(1){B=a+(j<<4)+8|0;H=a+(j<<4)|0;sa=+p[H>>3];ua=+p[B>>3];if(va){J=0;S=sa;T=ua;while(1){na=+n[xa+(J<<3)>>2];oa=+n[xa+(J<<3)+4>>2];ta=+n[t+(J<<3)>>2];pa=+n[t+(J<<3)+4>>2];R=S+(na*ta-oa*pa);Q=T+(oa*ta+na*pa);J=J+1|0;if((J|0)==(y|0)){Ea=R;Fa=Q;break}else{S=R;T=Q}}}else{Ea=sa;Fa=ua}p[H>>3]=Ea+0.0;p[B>>3]=Fa+0.0;j=j+1|0;if((j|0)==(h|0))break b;else t=t+(b<<3)|0}}else{Ga=c;Ha=0}while(1){t=a+(Ha<<4)+8|0;j=a+(Ha<<4)|0;J=0;T=0.0;S=+p[j>>3];W=+p[t>>3];qa=0.0;do{_=+n[xa+(J<<3)>>2];ra=+n[xa+(J<<3)+4>>2];Q=+n[Ga+(J<<3)>>2];R=+n[Ga+(J<<3)+4>>2];S=S+(_*Q-ra*R);W=W+(ra*Q+_*R);o=J|1;R=+n[xa+(o<<3)>>2];_=+n[xa+(o<<3)+4>>2];Q=+n[Ga+(o<<3)>>2];ra=+n[Ga+(o<<3)+4>>2];T=T+(R*Q-_*ra);qa=qa+(_*Q+R*ra);J=J+2|0}while((J|0)<=(s|0));if(g){J=E;ua=S;sa=W;while(1){ra=+n[xa+(J<<3)>>2];R=+n[xa+(J<<3)+4>>2];Q=+n[Ga+(J<<3)>>2];_=+n[Ga+(J<<3)+4>>2];pa=ua+(ra*Q-R*_);na=sa+(R*Q+ra*_);J=J+1|0;if((J|0)==(y|0)){Ia=pa;Ja=na;break}else{ua=pa;sa=na}}}else{Ia=S;Ja=W}p[j>>3]=T+Ia;p[t>>3]=qa+Ja;Ha=Ha+1|0;if((Ha|0)==(h|0))break;else Ga=Ga+(b<<3)|0}}while(0);e=e+1|0;if((e|0)==(q|0))break;else{A=A+(w<<3)|0;a=a+(d<<4)|0}}}d=f[l>>2]|0;if((d|0)==(i|0)){u=k;return}if(d|0)guc(d);f[l>>2]=i;f[r>>2]=136;u=k;return}function AQ(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0.0,N=0.0,O=0.0,P=0.0,Q=0.0,R=0.0,S=0.0,T=0.0,U=0.0,V=0.0,W=0.0,X=0.0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0.0,ga=0.0,ha=0.0,ia=0.0,ja=0.0,ka=0.0,la=0.0,ma=0.0,na=0,oa=0,pa=0,qa=0.0,ra=0.0,sa=0,ta=0,ua=0.0,va=0.0,wa=0.0,xa=0.0,ya=0,za=0,Aa=0.0,Ba=0.0;k=u;u=u+1168|0;l=k;m=f[h>>2]|0;n=f[h+4>>2]|0;h=f[i>>2]|0;o=f[i+4>>2]|0;i=l+8|0;kzc(i|0,0,1152)|0;f[l>>2]=i;q=l+4|0;f[q>>2]=72;r=j&16;s=b>>>4;b=d>>>4;d=g>>>4;if(j&1){f[q>>2]=n;if(n>>>0>72){g=euc(n>>>0>268435455?-1:n<<4)|0;kzc(g|0,0,n<<4|0)|0;f[l>>2]=g;t=s;v=1;w=g;x=n}else{t=s;v=1;w=i;x=n}}else{t=1;v=s;w=0;x=m}m=(o|0)>0;if(!(j&2)){if(m){j=(w|0)==0;s=h+-4|0;n=(h|0)<4;g=(r|0)==0;y=(x|0)>0;z=h&-4;A=(x|0)<1|j;B=(s>>>2<<6)+64|0;C=a;D=e;E=0;while(1){F=e+((Y(d,E)|0)<<4)|0;if(A)G=j?C:w;else{H=0;do{I=C+((Y(H,t)|0)<<4)|0;J=w+(H<<4)|0;f[J>>2]=f[I>>2];f[J+4>>2]=f[I+4>>2];f[J+8>>2]=f[I+8>>2];f[J+12>>2]=f[I+12>>2];H=H+1|0}while((H|0)!=(x|0));G=w}a:do if(!n)if(g){if(y)K=0;else{kzc(F|0,0,B|0)|0;L=z;break}do{H=c+(K<<4)|0;I=0;M=0.0;N=0.0;O=0.0;P=0.0;Q=0.0;R=0.0;S=0.0;T=0.0;while(1){U=+p[G+(I<<4)>>3];V=+p[G+(I<<4)+8>>3];W=+p[H>>3];X=+p[H+8>>3];N=N+(U*W-V*X);T=T+(V*W+U*X);X=+p[H+16>>3];W=+p[H+24>>3];M=M+(U*X-V*W);R=R+(V*X+U*W);W=+p[H+32>>3];X=+p[H+40>>3];P=P+(U*W-V*X);S=S+(V*W+U*X);X=+p[H+48>>3];W=+p[H+56>>3];O=O+(U*X-V*W);Q=Q+(V*X+U*W);I=I+1|0;if((I|0)==(x|0))break;else H=H+(b<<4)|0}p[D+(K<<4)>>3]=N;p[D+(K<<4)+8>>3]=T;H=K|1;p[D+(H<<4)>>3]=M;p[D+(H<<4)+8>>3]=R;H=K|2;p[D+(H<<4)>>3]=P;p[D+(H<<4)+8>>3]=S;H=K|3;p[D+(H<<4)>>3]=O;p[D+(H<<4)+8>>3]=Q;K=K+4|0}while((K|0)<=(s|0));L=z}else{if(y)Z=0;else{H=0;while(1){H=H+4|0;if((H|0)>(s|0)){L=z;break a}}}do{H=D+(Z<<4)|0;I=D+(Z<<4)+8|0;J=Z|1;_=D+(J<<4)|0;$=D+(J<<4)+8|0;J=Z|2;aa=D+(J<<4)|0;ba=D+(J<<4)+8|0;J=Z|3;ca=D+(J<<4)|0;da=D+(J<<4)+8|0;J=c+(Z<<4)|0;ea=0;W=+p[_>>3];U=+p[H>>3];X=+p[ca>>3];V=+p[aa>>3];fa=+p[da>>3];ga=+p[$>>3];ha=+p[ba>>3];ia=+p[I>>3];while(1){ja=+p[G+(ea<<4)>>3];ka=+p[G+(ea<<4)+8>>3];la=+p[J>>3];ma=+p[J+8>>3];U=U+(ja*la-ka*ma);ia=ia+(ka*la+ja*ma);ma=+p[J+16>>3];la=+p[J+24>>3];W=W+(ja*ma-ka*la);ga=ga+(ka*ma+ja*la);la=+p[J+32>>3];ma=+p[J+40>>3];V=V+(ja*la-ka*ma);ha=ha+(ka*la+ja*ma);ma=+p[J+48>>3];la=+p[J+56>>3];X=X+(ja*ma-ka*la);fa=fa+(ka*ma+ja*la);ea=ea+1|0;if((ea|0)==(x|0))break;else J=J+(b<<4)|0}p[H>>3]=U;p[I>>3]=ia;p[_>>3]=W;p[$>>3]=ga;p[aa>>3]=V;p[ba>>3]=ha;p[ca>>3]=X;p[da>>3]=fa;Z=Z+4|0}while((Z|0)<=(s|0));L=z}else L=0;while(0);b:do if((h|0)>(L|0))if(g){if(y)na=L;else{kzc(F+(L<<4)|0,0,h-L<<4|0)|0;break}do{J=c+(na<<4)|0;ea=0;Q=0.0;O=0.0;while(1){S=+p[G+(ea<<4)>>3];P=+p[G+(ea<<4)+8>>3];R=+p[J>>3];M=+p[J+8>>3];Q=Q+(S*R-P*M);O=O+(P*R+S*M);ea=ea+1|0;if((ea|0)==(x|0))break;else J=J+(b<<4)|0}p[D+(na<<4)>>3]=Q;p[D+(na<<4)+8>>3]=O;na=na+1|0}while((na|0)!=(h|0))}else{if(y)oa=L;else{J=L;while(1){J=J+1|0;if((J|0)==(h|0))break b}}do{J=D+(oa<<4)+8|0;ea=D+(oa<<4)|0;da=c+(oa<<4)|0;ca=0;fa=+p[ea>>3];X=+p[J>>3];while(1){ha=+p[G+(ca<<4)>>3];V=+p[G+(ca<<4)+8>>3];ga=+p[da>>3];W=+p[da+8>>3];fa=fa+(ha*ga-V*W);X=X+(V*ga+ha*W);ca=ca+1|0;if((ca|0)==(x|0))break;else da=da+(b<<4)|0}p[ea>>3]=fa;p[J>>3]=X;oa=oa+1|0}while((oa|0)!=(h|0))}while(0);E=E+1|0;if((E|0)==(o|0))break;else{C=C+(v<<4)|0;D=D+(d<<4)|0}}}}else if(m){m=(w|0)==0;D=(r|0)==0;r=x+-2|0;C=(x|0)<2;E=x&-2;oa=(x|0)<1|m;G=(h|0)>0;L=(x|0)>0;y=(E|0)<(x|0);na=(x|0)>0;g=(E|0)<(x|0);z=a;a=e;e=0;while(1){if(oa)pa=m?z:w;else{s=0;do{Z=z+((Y(s,t)|0)<<4)|0;K=w+(s<<4)|0;f[K>>2]=f[Z>>2];f[K+4>>2]=f[Z+4>>2];f[K+8>>2]=f[Z+8>>2];f[K+12>>2]=f[Z+12>>2];s=s+1|0}while((s|0)!=(x|0));pa=w}c:do if(G)if(D){if(C){s=c;Z=0;while(1){if(L){K=0;O=0.0;Q=0.0;while(1){W=+p[pa+(K<<4)>>3];ha=+p[pa+(K<<4)+8>>3];ga=+p[s+(K<<4)>>3];V=+p[s+(K<<4)+8>>3];ia=O+(W*ga-ha*V);U=Q+(ha*ga+W*V);K=K+1|0;if((K|0)==(x|0)){qa=ia;ra=U;break}else{O=ia;Q=U}}}else{qa=0.0;ra=0.0}p[a+(Z<<4)>>3]=qa+0.0;p[a+(Z<<4)+8>>3]=ra+0.0;Z=Z+1|0;if((Z|0)==(h|0))break c;else s=s+(b<<4)|0}}else{sa=c;ta=0}while(1){s=0;Q=0.0;O=0.0;X=0.0;fa=0.0;do{U=+p[pa+(s<<4)>>3];ia=+p[pa+(s<<4)+8>>3];V=+p[sa+(s<<4)>>3];W=+p[sa+(s<<4)+8>>3];O=O+(U*V-ia*W);X=X+(ia*V+U*W);Z=s|1;W=+p[pa+(Z<<4)>>3];U=+p[pa+(Z<<4)+8>>3];V=+p[sa+(Z<<4)>>3];ia=+p[sa+(Z<<4)+8>>3];Q=Q+(W*V-U*ia);fa=fa+(U*V+W*ia);s=s+2|0}while((s|0)<=(r|0));if(y){s=E;ia=O;W=X;while(1){V=+p[pa+(s<<4)>>3];U=+p[pa+(s<<4)+8>>3];ga=+p[sa+(s<<4)>>3];ha=+p[sa+(s<<4)+8>>3];M=ia+(V*ga-U*ha);S=W+(U*ga+V*ha);s=s+1|0;if((s|0)==(x|0)){ua=M;va=S;break}else{ia=M;W=S}}}else{ua=O;va=X}p[a+(ta<<4)>>3]=Q+ua;p[a+(ta<<4)+8>>3]=fa+va;ta=ta+1|0;if((ta|0)==(h|0))break;else sa=sa+(b<<4)|0}}else{if(C){s=c;Z=0;while(1){K=a+(Z<<4)+8|0;J=a+(Z<<4)|0;W=+p[J>>3];ia=+p[K>>3];if(na){ea=0;S=W;M=ia;while(1){ha=+p[pa+(ea<<4)>>3];V=+p[pa+(ea<<4)+8>>3];ga=+p[s+(ea<<4)>>3];U=+p[s+(ea<<4)+8>>3];R=S+(ha*ga-V*U);P=M+(V*ga+ha*U);ea=ea+1|0;if((ea|0)==(x|0)){wa=R;xa=P;break}else{S=R;M=P}}}else{wa=W;xa=ia}p[J>>3]=wa+0.0;p[K>>3]=xa+0.0;Z=Z+1|0;if((Z|0)==(h|0))break c;else s=s+(b<<4)|0}}else{ya=c;za=0}while(1){s=a+(za<<4)+8|0;Z=a+(za<<4)|0;ea=0;M=0.0;S=+p[Z>>3];fa=+p[s>>3];Q=0.0;do{X=+p[pa+(ea<<4)>>3];O=+p[pa+(ea<<4)+8>>3];P=+p[ya+(ea<<4)>>3];R=+p[ya+(ea<<4)+8>>3];S=S+(X*P-O*R);fa=fa+(O*P+X*R);B=ea|1;R=+p[pa+(B<<4)>>3];X=+p[pa+(B<<4)+8>>3];P=+p[ya+(B<<4)>>3];O=+p[ya+(B<<4)+8>>3];M=M+(R*P-X*O);Q=Q+(X*P+R*O);ea=ea+2|0}while((ea|0)<=(r|0));if(g){ea=E;ia=S;W=fa;while(1){O=+p[pa+(ea<<4)>>3];R=+p[pa+(ea<<4)+8>>3];P=+p[ya+(ea<<4)>>3];X=+p[ya+(ea<<4)+8>>3];U=ia+(O*P-R*X);ha=W+(R*P+O*X);ea=ea+1|0;if((ea|0)==(x|0)){Aa=U;Ba=ha;break}else{ia=U;W=ha}}}else{Aa=S;Ba=fa}p[Z>>3]=M+Aa;p[s>>3]=Q+Ba;za=za+1|0;if((za|0)==(h|0))break;else ya=ya+(b<<4)|0}}while(0);e=e+1|0;if((e|0)==(o|0))break;else{z=z+(v<<4)|0;a=a+(d<<4)|0}}}d=f[l>>2]|0;if((d|0)==(i|0)){u=k;return}if(d|0)guc(d);f[l>>2]=i;f[q>>2]=72;u=k;return}function BQ(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0.0,O=0.0,P=0.0,Q=0.0,R=0.0,S=0,T=0,U=0,V=0,W=0.0,X=0.0,Z=0.0,_=0,$=0.0,aa=0,ba=0,ca=0,da=0,ea=0.0,fa=0,ga=0,ha=0.0,ia=0.0,ja=0,ka=0,la=0.0;k=u;u=u+1072|0;l=k;m=f[h>>2]|0;o=f[h+4>>2]|0;h=f[i>>2]|0;q=f[i+4>>2]|0;i=l+8|0;f[l>>2]=i;r=l+4|0;f[r>>2]=264;s=j&16;t=b>>>2;b=d>>>2;d=g>>>3;if(j&1){f[r>>2]=o;if(o>>>0>264){g=euc(o>>>0>1073741823?-1:o<<2)|0;f[l>>2]=g;v=t;w=1;x=g;y=o;z=g}else{v=t;w=1;x=i;y=o;z=i}}else{v=1;w=t;x=0;y=m;z=i}m=(q|0)>0;if(!(j&2)){if(m){j=(x|0)==0;t=h+-4|0;o=(h|0)<4;g=(s|0)==0;A=(y|0)>0;B=h&-4;C=(y|0)<1|j;D=(t>>>2<<5)+32|0;E=e;F=0;G=a;while(1){H=e+((Y(d,F)|0)<<3)|0;if(C)I=j?G:x;else{J=0;do{K=G+((Y(J,v)|0)<<2)|0;f[x+(J<<2)>>2]=f[K>>2];J=J+1|0}while((J|0)!=(y|0));I=x}a:do if(!o)if(g){if(A)L=0;else{kzc(H|0,0,D|0)|0;M=B;break}do{J=c+(L<<2)|0;N=0.0;O=0.0;P=0.0;Q=0.0;K=0;while(1){R=+n[I+(K<<2)>>2];Q=Q+R*+n[J>>2];P=P+R*+n[J+4>>2];O=O+R*+n[J+8>>2];N=N+R*+n[J+12>>2];K=K+1|0;if((K|0)==(y|0))break;else J=J+(b<<2)|0}p[E+(L<<3)>>3]=Q;p[E+((L|1)<<3)>>3]=P;p[E+((L|2)<<3)>>3]=O;p[E+((L|3)<<3)>>3]=N;L=L+4|0}while((L|0)<=(t|0));M=B}else{if(A)S=0;else{J=0;while(1){J=J+4|0;if((J|0)>(t|0)){M=B;break a}}}do{J=E+((S|3)<<3)|0;K=E+((S|2)<<3)|0;T=E+((S|1)<<3)|0;U=E+(S<<3)|0;V=c+(S<<2)|0;R=+p[J>>3];W=+p[K>>3];X=+p[T>>3];Z=+p[U>>3];_=0;while(1){$=+n[I+(_<<2)>>2];Z=Z+$*+n[V>>2];X=X+$*+n[V+4>>2];W=W+$*+n[V+8>>2];R=R+$*+n[V+12>>2];_=_+1|0;if((_|0)==(y|0))break;else V=V+(b<<2)|0}p[U>>3]=Z;p[T>>3]=X;p[K>>3]=W;p[J>>3]=R;S=S+4|0}while((S|0)<=(t|0));M=B}else M=0;while(0);b:do if((h|0)>(M|0)){if(!g){if(A)aa=M;else break;while(1){V=E+(aa<<3)|0;_=c+(aa<<2)|0;N=+p[V>>3];ba=0;while(1){N=N+ +n[I+(ba<<2)>>2]*+n[_>>2];ba=ba+1|0;if((ba|0)==(y|0))break;else _=_+(b<<2)|0}p[V>>3]=N;aa=aa+1|0;if((aa|0)==(h|0))break b}}if(A)ca=M;else{kzc(H+(M<<3)|0,0,h-M<<3|0)|0;break}do{_=c+(ca<<2)|0;R=0.0;ba=0;while(1){R=R+ +n[I+(ba<<2)>>2]*+n[_>>2];ba=ba+1|0;if((ba|0)==(y|0))break;else _=_+(b<<2)|0}p[E+(ca<<3)>>3]=R;ca=ca+1|0}while((ca|0)!=(h|0))}while(0);F=F+1|0;if((F|0)==(q|0))break;else{E=E+(d<<3)|0;G=G+(w<<2)|0}}}}else if(m){m=(x|0)==0;G=(h|0)>0;E=(s|0)==0;s=y+-2|0;F=(y|0)<2;ca=y&-2;I=(y|0)<1|m;M=(y|0)>0;A=(ca|0)<(y|0);aa=(y|0)>0;g=(ca|0)<(y|0);B=e;e=0;t=a;while(1){if(I)da=m?t:x;else{a=0;do{S=t+((Y(a,v)|0)<<2)|0;f[x+(a<<2)>>2]=f[S>>2];a=a+1|0}while((a|0)!=(y|0));da=x}c:do if(G)if(E){if(F){a=c;S=0;while(1){if(M){N=0.0;L=0;while(1){W=N+ +n[da+(L<<2)>>2]*+n[a+(L<<2)>>2];L=L+1|0;if((L|0)==(y|0)){ea=W;break}else N=W}}else ea=0.0;p[B+(S<<3)>>3]=ea+0.0;S=S+1|0;if((S|0)==(h|0))break c;else a=a+(b<<2)|0}}else{fa=c;ga=0}while(1){N=0.0;R=0.0;a=0;do{R=R+ +n[da+(a<<2)>>2]*+n[fa+(a<<2)>>2];S=a|1;N=N+ +n[da+(S<<2)>>2]*+n[fa+(S<<2)>>2];a=a+2|0}while((a|0)<=(s|0));if(A){W=R;a=ca;while(1){X=W+ +n[da+(a<<2)>>2]*+n[fa+(a<<2)>>2];a=a+1|0;if((a|0)==(y|0)){ha=X;break}else W=X}}else ha=R;p[B+(ga<<3)>>3]=N+ha;ga=ga+1|0;if((ga|0)==(h|0))break;else fa=fa+(b<<2)|0}}else{if(F){a=c;S=0;while(1){L=B+(S<<3)|0;W=+p[L>>3];if(aa){X=W;D=0;while(1){Z=X+ +n[da+(D<<2)>>2]*+n[a+(D<<2)>>2];D=D+1|0;if((D|0)==(y|0)){ia=Z;break}else X=Z}}else ia=W;p[L>>3]=ia+0.0;S=S+1|0;if((S|0)==(h|0))break c;else a=a+(b<<2)|0}}else{ja=c;ka=0}while(1){a=B+(ka<<3)|0;X=0.0;N=+p[a>>3];S=0;do{N=N+ +n[da+(S<<2)>>2]*+n[ja+(S<<2)>>2];D=S|1;X=X+ +n[da+(D<<2)>>2]*+n[ja+(D<<2)>>2];S=S+2|0}while((S|0)<=(s|0));if(g){W=N;S=ca;while(1){R=W+ +n[da+(S<<2)>>2]*+n[ja+(S<<2)>>2];S=S+1|0;if((S|0)==(y|0)){la=R;break}else W=R}}else la=N;p[a>>3]=X+la;ka=ka+1|0;if((ka|0)==(h|0))break;else ja=ja+(b<<2)|0}}while(0);e=e+1|0;if((e|0)==(q|0))break;else{B=B+(d<<3)|0;t=t+(w<<2)|0}}}if((z|0)==(i|0)){u=k;return}guc(z);f[l>>2]=i;f[r>>2]=264;u=k;return}function CQ(a,b,c,d,e,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=+i;j=+j;k=k|0;var l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0.0,A=0,B=0,C=0,D=0;l=f[h>>2]|0;m=f[h+4>>2]|0;h=b>>>3;b=d>>>3;d=g>>>3;g=(a|0)==0;n=(k&4|0)==0;k=g?0:n?h:1;o=g?0:n?1:h;if(!m)return;h=o<<1;n=o*3|0;g=o<<2;q=(l|0)<4;r=l+-4|0;s=(r|0)>3?r:3;t=(s&2147483644)+4|0;u=s>>>2;s=Y(u,g)|0;v=(u<<2)+4|0;u=c;c=e;e=a;w=m;m=a+(g<<3)|0;while(1){w=w+-1|0;if(!e){if(q)x=0;else{a=0;do{y=a|1;z=+p[u+(y<<3)>>3]*i;p[c+(a<<3)>>3]=+p[u+(a<<3)>>3]*i;p[c+(y<<3)>>3]=z;y=a|2;A=a|3;z=+p[u+(A<<3)>>3]*i;p[c+(y<<3)>>3]=+p[u+(y<<3)>>3]*i;p[c+(A<<3)>>3]=z;a=a+4|0}while((a|0)<=(r|0));x=t}if((x|0)<(l|0)){a=x;do{p[c+(a<<3)>>3]=+p[u+(a<<3)>>3]*i;a=a+1|0}while((a|0)!=(l|0))}}else{if(q){B=e;C=0}else{a=0;A=e;while(1){y=a|1;z=+p[u+(y<<3)>>3]*i+ +p[A+(o<<3)>>3]*j;p[c+(a<<3)>>3]=+p[u+(a<<3)>>3]*i+ +p[A>>3]*j;p[c+(y<<3)>>3]=z;y=a|2;D=a|3;z=+p[u+(D<<3)>>3]*i+ +p[A+(n<<3)>>3]*j;p[c+(y<<3)>>3]=+p[u+(y<<3)>>3]*i+ +p[A+(h<<3)>>3]*j;p[c+(D<<3)>>3]=z;a=a+4|0;if((a|0)>(r|0))break;else A=A+(g<<3)|0}B=m+(s<<3)|0;C=v}if((C|0)<(l|0)){A=C;a=B;while(1){p[c+(A<<3)>>3]=+p[u+(A<<3)>>3]*i+ +p[a>>3]*j;A=A+1|0;if((A|0)==(l|0))break;else a=a+(o<<3)|0}}}if(!w)break;else{u=u+(b<<3)|0;c=c+(d<<3)|0;e=e+(k<<3)|0;m=m+(k<<3)|0}}return}function DQ(a,b,c,d,e,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=+i;j=+j;k=k|0;var l=0,m=0,o=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0.0,z=0.0,A=0.0,B=0,C=0,D=0,E=0;l=f[h>>2]|0;m=f[h+4>>2]|0;h=b>>>3;b=d>>>4;d=g>>>3;g=(a|0)==0;o=(k&4|0)==0;k=g?0:o?h:1;q=g?0:o?1:h;if(!m)return;h=q<<1;o=q*3|0;g=q<<2;r=(l|0)<4;s=l+-4|0;t=s>>>2;u=(t<<2)+4|0;v=c;c=e;e=a;w=m;m=a+(Y(q,(t<<5)+32|0)|0)|0;while(1){w=w+-1|0;if(!e){if(r)x=0;else{t=0;do{a=t|1;y=+p[v+(a<<4)>>3]*i;z=+p[v+(a<<4)+8>>3]*i;A=+p[v+(t<<4)+8>>3]*i;n[c+(t<<3)>>2]=+p[v+(t<<4)>>3]*i;n[c+(t<<3)+4>>2]=A;n[c+(a<<3)>>2]=y;n[c+(a<<3)+4>>2]=z;a=t|2;B=t|3;z=+p[v+(B<<4)>>3]*i;y=+p[v+(B<<4)+8>>3]*i;A=+p[v+(a<<4)+8>>3]*i;n[c+(a<<3)>>2]=+p[v+(a<<4)>>3]*i;n[c+(a<<3)+4>>2]=A;n[c+(B<<3)>>2]=z;n[c+(B<<3)+4>>2]=y;t=t+4|0}while((t|0)<=(s|0));x=u}if((x|0)<(l|0)){t=x;do{y=+p[v+(t<<4)+8>>3]*i;n[c+(t<<3)>>2]=+p[v+(t<<4)>>3]*i;n[c+(t<<3)+4>>2]=y;t=t+1|0}while((t|0)!=(l|0))}}else{if(r){C=e;D=0}else{t=e;B=0;while(1){a=B|1;y=+p[v+(a<<4)>>3]*i+ +n[t+(q<<3)>>2]*j;z=+p[v+(a<<4)+8>>3]*i+ +n[t+(q<<3)+4>>2]*j;A=+p[v+(B<<4)+8>>3]*i+ +n[t+4>>2]*j;n[c+(B<<3)>>2]=+p[v+(B<<4)>>3]*i+ +n[t>>2]*j;n[c+(B<<3)+4>>2]=A;n[c+(a<<3)>>2]=y;n[c+(a<<3)+4>>2]=z;a=B|2;E=B|3;z=+p[v+(E<<4)>>3]*i+ +n[t+(o<<3)>>2]*j;y=+p[v+(E<<4)+8>>3]*i+ +n[t+(o<<3)+4>>2]*j;A=+p[v+(a<<4)+8>>3]*i+ +n[t+(h<<3)+4>>2]*j;n[c+(a<<3)>>2]=+p[v+(a<<4)>>3]*i+ +n[t+(h<<3)>>2]*j;n[c+(a<<3)+4>>2]=A;n[c+(E<<3)>>2]=z;n[c+(E<<3)+4>>2]=y;B=B+4|0;if((B|0)>(s|0)){C=m;D=u;break}else t=t+(g<<3)|0}}if((D|0)<(l|0)){t=C;B=D;while(1){y=+p[v+(B<<4)+8>>3]*i+ +n[t+4>>2]*j;n[c+(B<<3)>>2]=+p[v+(B<<4)>>3]*i+ +n[t>>2]*j;n[c+(B<<3)+4>>2]=y;B=B+1|0;if((B|0)==(l|0))break;else t=t+(q<<3)|0}}}if(!w)break;else{v=v+(b<<4)|0;c=c+(d<<3)|0;e=e+(k<<3)|0;m=m+(k<<3)|0}}return}function EQ(a,b,c,d,e,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=+i;j=+j;k=k|0;var l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0.0,z=0.0,A=0,B=0,C=0,D=0;l=f[h>>2]|0;m=f[h+4>>2]|0;h=b>>>4;b=d>>>4;d=g>>>4;g=(a|0)==0;n=(k&4|0)==0;k=g?0:n?h:1;o=g?0:n?1:h;if(!m)return;h=o<<1;n=o*3|0;g=o<<2;q=(l|0)<4;r=l+-4|0;s=r>>>2;t=(s<<2)+4|0;u=a;v=c;c=e;e=m;m=a+(Y(o,(s<<6)+64|0)|0)|0;while(1){e=e+-1|0;if(!u){if(q)w=0;else{s=0;do{x=+p[v+(s<<4)+8>>3]*i;a=s|1;y=+p[v+(a<<4)>>3]*i;z=+p[v+(a<<4)+8>>3]*i;p[c+(s<<4)>>3]=+p[v+(s<<4)>>3]*i;p[c+(s<<4)+8>>3]=x;p[c+(a<<4)>>3]=y;p[c+(a<<4)+8>>3]=z;a=s|2;z=+p[v+(a<<4)+8>>3]*i;A=s|3;y=+p[v+(A<<4)>>3]*i;x=+p[v+(A<<4)+8>>3]*i;p[c+(a<<4)>>3]=+p[v+(a<<4)>>3]*i;p[c+(a<<4)+8>>3]=z;p[c+(A<<4)>>3]=y;p[c+(A<<4)+8>>3]=x;s=s+4|0}while((s|0)<=(r|0));w=t}if((w|0)<(l|0)){s=w;do{x=+p[v+(s<<4)+8>>3]*i;p[c+(s<<4)>>3]=+p[v+(s<<4)>>3]*i;p[c+(s<<4)+8>>3]=x;s=s+1|0}while((s|0)!=(l|0))}}else{if(q){B=0;C=u}else{s=0;A=u;while(1){a=s|1;x=+p[v+(s<<4)+8>>3]*i+ +p[A+8>>3]*j;y=+p[v+(a<<4)>>3]*i+ +p[A+(o<<4)>>3]*j;z=+p[v+(a<<4)+8>>3]*i+ +p[A+(o<<4)+8>>3]*j;p[c+(s<<4)>>3]=+p[v+(s<<4)>>3]*i+ +p[A>>3]*j;p[c+(s<<4)+8>>3]=x;p[c+(a<<4)>>3]=y;p[c+(a<<4)+8>>3]=z;a=s|2;D=s|3;z=+p[v+(a<<4)+8>>3]*i+ +p[A+(h<<4)+8>>3]*j;y=+p[v+(D<<4)>>3]*i+ +p[A+(n<<4)>>3]*j;x=+p[v+(D<<4)+8>>3]*i+ +p[A+(n<<4)+8>>3]*j;p[c+(a<<4)>>3]=+p[v+(a<<4)>>3]*i+ +p[A+(h<<4)>>3]*j;p[c+(a<<4)+8>>3]=z;p[c+(D<<4)>>3]=y;p[c+(D<<4)+8>>3]=x;s=s+4|0;if((s|0)>(r|0)){B=t;C=m;break}else A=A+(g<<4)|0}}if((B|0)<(l|0)){A=C;s=B;while(1){x=+p[v+(s<<4)+8>>3]*i+ +p[A+8>>3]*j;p[c+(s<<4)>>3]=+p[v+(s<<4)>>3]*i+ +p[A>>3]*j;p[c+(s<<4)+8>>3]=x;s=s+1|0;if((s|0)==(l|0))break;else A=A+(o<<4)|0}}}if(!e)break;else{u=u+(k<<4)|0;v=v+(b<<4)|0;c=c+(d<<4)|0;m=m+(k<<4)|0}}return}function FQ(a,b,c,d,e,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=+i;j=+j;k=k|0;var l=0,m=0,o=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0.0,B=0,C=0,D=0,E=0;l=f[h>>2]|0;m=f[h+4>>2]|0;h=b>>>2;b=d>>>3;d=g>>>2;g=(a|0)==0;o=(k&4|0)==0;k=g?0:o?h:1;q=g?0:o?1:h;if(!m)return;h=q<<1;o=q*3|0;g=q<<2;r=(l|0)<4;s=l+-4|0;t=(s|0)>3?s:3;u=(t&2147483644)+4|0;v=t>>>2;t=Y(v,g)|0;w=(v<<2)+4|0;v=c;c=e;e=a;x=m;m=a+(g<<2)|0;while(1){x=x+-1|0;if(!e){if(r)y=0;else{a=0;do{z=a|1;A=+p[v+(z<<3)>>3]*i;n[c+(a<<2)>>2]=+p[v+(a<<3)>>3]*i;n[c+(z<<2)>>2]=A;z=a|2;B=a|3;A=+p[v+(B<<3)>>3]*i;n[c+(z<<2)>>2]=+p[v+(z<<3)>>3]*i;n[c+(B<<2)>>2]=A;a=a+4|0}while((a|0)<=(s|0));y=u}if((y|0)<(l|0)){a=y;do{n[c+(a<<2)>>2]=+p[v+(a<<3)>>3]*i;a=a+1|0}while((a|0)!=(l|0))}}else{if(r){C=e;D=0}else{a=0;B=e;while(1){z=a|1;A=+p[v+(z<<3)>>3]*i+ +n[B+(q<<2)>>2]*j;n[c+(a<<2)>>2]=+p[v+(a<<3)>>3]*i+ +n[B>>2]*j;n[c+(z<<2)>>2]=A;z=a|2;E=a|3;A=+p[v+(E<<3)>>3]*i+ +n[B+(o<<2)>>2]*j;n[c+(z<<2)>>2]=+p[v+(z<<3)>>3]*i+ +n[B+(h<<2)>>2]*j;n[c+(E<<2)>>2]=A;a=a+4|0;if((a|0)>(s|0))break;else B=B+(g<<2)|0}C=m+(t<<2)|0;D=w}if((D|0)<(l|0)){B=D;a=C;while(1){n[c+(B<<2)>>2]=+p[v+(B<<3)>>3]*i+ +n[a>>2]*j;B=B+1|0;if((B|0)==(l|0))break;else a=a+(q<<2)|0}}}if(!x)break;else{v=v+(b<<3)|0;c=c+(d<<2)|0;e=e+(k<<2)|0;m=m+(k<<2)|0}}return}function GQ(a,b,c,d,e,g,h,i,j,k,l,m,n,o,p){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;i=+i;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;var q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0;q=u;u=u+448|0;r=q+392|0;s=q+336|0;t=q+280|0;v=q+224|0;w=q+168|0;x=q+112|0;y=q+56|0;z=q;A=(o&2|0)==0;B=(o&1|0)!=0;C=B?l:m;D=B?m:l;B=A?C:n;E=A?n:C;C=(o&4|0)==0;A=C?D:n;F=C?n:D;f[r>>2]=1124007936;C=r+4|0;G=r+8|0;H=r+40|0;I=C;J=I+36|0;do{f[I>>2]=0;I=I+4|0}while((I|0)<(J|0));f[H>>2]=G;K=r+48|0;L=r+44|0;f[L>>2]=K;f[K>>2]=0;f[r+52>>2]=0;f[s>>2]=1124007936;M=s+4|0;N=s+8|0;O=s+40|0;I=M;J=I+36|0;do{f[I>>2]=0;I=I+4|0}while((I|0)<(J|0));f[O>>2]=N;P=s+48|0;Q=s+44|0;f[Q>>2]=P;f[P>>2]=0;f[s+52>>2]=0;f[t>>2]=1124007936;R=t+4|0;S=t+8|0;T=t+40|0;I=R;J=I+36|0;do{f[I>>2]=0;I=I+4|0}while((I|0)<(J|0));f[T>>2]=S;I=t+48|0;J=t+44|0;f[J>>2]=I;f[I>>2]=0;f[t+52>>2]=0;if(a|0){Ri(v,l,m,p,a,b);b=r+36|0;a=f[b>>2]|0;if(a|0?(m=a+12|0,a=f[m>>2]|0,f[m>>2]=a+-1,(a|0)==1):0)aU(r);f[b>>2]=0;a=r+16|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;if((f[C>>2]|0)>0){m=f[H>>2]|0;l=0;do{f[m+(l<<2)>>2]=0;l=l+1|0}while((l|0)<(f[C>>2]|0))}f[r>>2]=f[v>>2];l=v+4|0;m=f[l>>2]|0;f[C>>2]=m;U=v+8|0;f[G>>2]=f[U>>2];f[r+12>>2]=f[v+12>>2];V=v+16|0;f[a>>2]=f[V>>2];f[r+20>>2]=f[v+20>>2];f[r+24>>2]=f[v+24>>2];f[r+28>>2]=f[v+28>>2];f[r+32>>2]=f[v+32>>2];a=v+36|0;f[b>>2]=f[a>>2];b=r+44|0;W=f[b>>2]|0;if((W|0)==(K|0))X=m;else{TC(W);f[b>>2]=K;f[H>>2]=G;X=f[l>>2]|0}W=v+44|0;if((X|0)<3){X=f[W>>2]|0;f[K>>2]=f[X>>2];f[r+52>>2]=f[X+4>>2];Y=X}else{f[b>>2]=f[W>>2];b=v+40|0;f[r+40>>2]=f[b>>2];X=v+48|0;f[W>>2]=X;f[b>>2]=U;Y=X}f[v>>2]=1124007936;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;f[l+16>>2]=0;f[l+20>>2]=0;f[l+24>>2]=0;f[l+28>>2]=0;f[a>>2]=0;f[V>>2]=0;f[V+4>>2]=0;f[V+8>>2]=0;f[V+12>>2]=0;if((Y|0)!=(v+48|0))TC(Y)}if(c|0){Ri(v,B,E,p,c,d);d=s+36|0;c=f[d>>2]|0;if(c|0?(E=c+12|0,c=f[E>>2]|0,f[E>>2]=c+-1,(c|0)==1):0)aU(s);f[d>>2]=0;c=s+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[M>>2]|0)>0){E=f[O>>2]|0;B=0;do{f[E+(B<<2)>>2]=0;B=B+1|0}while((B|0)<(f[M>>2]|0))}f[s>>2]=f[v>>2];B=v+4|0;E=f[B>>2]|0;f[M>>2]=E;Y=v+8|0;f[N>>2]=f[Y>>2];f[s+12>>2]=f[v+12>>2];V=v+16|0;f[c>>2]=f[V>>2];f[s+20>>2]=f[v+20>>2];f[s+24>>2]=f[v+24>>2];f[s+28>>2]=f[v+28>>2];f[s+32>>2]=f[v+32>>2];c=v+36|0;f[d>>2]=f[c>>2];d=s+44|0;a=f[d>>2]|0;if((a|0)==(P|0))Z=E;else{TC(a);f[d>>2]=P;f[O>>2]=N;Z=f[B>>2]|0}a=v+44|0;if((Z|0)<3){Z=f[a>>2]|0;f[P>>2]=f[Z>>2];f[s+52>>2]=f[Z+4>>2];_=Z}else{f[d>>2]=f[a>>2];d=v+40|0;f[s+40>>2]=f[d>>2];Z=v+48|0;f[a>>2]=Z;f[d>>2]=Y;_=Z}f[v>>2]=1124007936;f[B>>2]=0;f[B+4>>2]=0;f[B+8>>2]=0;f[B+12>>2]=0;f[B+16>>2]=0;f[B+20>>2]=0;f[B+24>>2]=0;f[B+28>>2]=0;f[c>>2]=0;f[V>>2]=0;f[V+4>>2]=0;f[V+8>>2]=0;f[V+12>>2]=0;if((_|0)!=(v+48|0))TC(_)}if((g|0)!=0&i!=0.0){Ri(v,A,F,p,g,h);h=t+36|0;g=f[h>>2]|0;if(g|0?(F=g+12|0,g=f[F>>2]|0,f[F>>2]=g+-1,(g|0)==1):0)aU(t);f[h>>2]=0;g=t+16|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;if((f[R>>2]|0)>0){F=f[T>>2]|0;A=0;do{f[F+(A<<2)>>2]=0;A=A+1|0}while((A|0)<(f[R>>2]|0))}f[t>>2]=f[v>>2];A=v+4|0;F=f[A>>2]|0;f[R>>2]=F;_=v+8|0;f[S>>2]=f[_>>2];f[t+12>>2]=f[v+12>>2];V=v+16|0;f[g>>2]=f[V>>2];f[t+20>>2]=f[v+20>>2];f[t+24>>2]=f[v+24>>2];f[t+28>>2]=f[v+28>>2];f[t+32>>2]=f[v+32>>2];g=v+36|0;f[h>>2]=f[g>>2];h=t+44|0;c=f[h>>2]|0;if((c|0)==(I|0))$=F;else{TC(c);f[h>>2]=I;f[T>>2]=S;$=f[A>>2]|0}c=v+44|0;if(($|0)<3){$=f[c>>2]|0;f[I>>2]=f[$>>2];f[t+52>>2]=f[$+4>>2];aa=$}else{f[h>>2]=f[c>>2];h=v+40|0;f[t+40>>2]=f[h>>2];$=v+48|0;f[c>>2]=$;f[h>>2]=_;aa=$}f[v>>2]=1124007936;f[A>>2]=0;f[A+4>>2]=0;f[A+8>>2]=0;f[A+12>>2]=0;f[A+16>>2]=0;f[A+20>>2]=0;f[A+24>>2]=0;f[A+28>>2]=0;f[g>>2]=0;f[V>>2]=0;f[V+4>>2]=0;f[V+8>>2]=0;f[V+12>>2]=0;if((aa|0)!=(v+48|0))TC(aa)}Ri(v,D,n,p,j,k);f[w>>2]=f[r>>2];k=w+4|0;j=f[C>>2]|0;f[k>>2]=j;p=w+8|0;f[p>>2]=f[G>>2];f[w+12>>2]=f[r+12>>2];G=w+16|0;n=r+16|0;f[G>>2]=f[n>>2];f[w+20>>2]=f[r+20>>2];f[w+24>>2]=f[r+24>>2];f[w+28>>2]=f[r+28>>2];f[w+32>>2]=f[r+32>>2];D=w+36|0;aa=r+36|0;V=f[aa>>2]|0;f[D>>2]=V;g=w+40|0;f[g>>2]=p;p=w+48|0;A=w+44|0;f[A>>2]=p;f[p>>2]=0;f[w+52>>2]=0;if(!V)ba=j;else{j=V+12|0;f[j>>2]=(f[j>>2]|0)+1;ba=f[C>>2]|0}if((ba|0)<3){ba=f[L>>2]|0;j=f[A>>2]|0;f[j>>2]=f[ba>>2];f[j+4>>2]=f[ba+4>>2]}else{f[k>>2]=0;$T(w,r)}f[x>>2]=f[s>>2];ba=x+4|0;j=f[M>>2]|0;f[ba>>2]=j;V=x+8|0;f[V>>2]=f[N>>2];f[x+12>>2]=f[s+12>>2];N=x+16|0;$=s+16|0;f[N>>2]=f[$>>2];f[x+20>>2]=f[s+20>>2];f[x+24>>2]=f[s+24>>2];f[x+28>>2]=f[s+28>>2];f[x+32>>2]=f[s+32>>2];_=x+36|0;h=s+36|0;c=f[h>>2]|0;f[_>>2]=c;F=x+40|0;f[F>>2]=V;V=x+48|0;B=x+44|0;f[B>>2]=V;f[V>>2]=0;f[x+52>>2]=0;if(!c)ca=j;else{j=c+12|0;f[j>>2]=(f[j>>2]|0)+1;ca=f[M>>2]|0}if((ca|0)<3){ca=f[Q>>2]|0;j=f[B>>2]|0;f[j>>2]=f[ca>>2];f[j+4>>2]=f[ca+4>>2]}else{f[ba>>2]=0;$T(x,s)}f[y>>2]=f[t>>2];ca=y+4|0;j=f[R>>2]|0;f[ca>>2]=j;c=y+8|0;f[c>>2]=f[S>>2];f[y+12>>2]=f[t+12>>2];S=y+16|0;Z=t+16|0;f[S>>2]=f[Z>>2];f[y+20>>2]=f[t+20>>2];f[y+24>>2]=f[t+24>>2];f[y+28>>2]=f[t+28>>2];f[y+32>>2]=f[t+32>>2];Y=y+36|0;d=t+36|0;a=f[d>>2]|0;f[Y>>2]=a;E=y+40|0;f[E>>2]=c;c=y+48|0;l=y+44|0;f[l>>2]=c;f[c>>2]=0;f[y+52>>2]=0;if(!a)da=j;else{j=a+12|0;f[j>>2]=(f[j>>2]|0)+1;da=f[R>>2]|0}if((da|0)<3){da=f[J>>2]|0;j=f[l>>2]|0;f[j>>2]=f[da>>2];f[j+4>>2]=f[da+4>>2]}else{f[ca>>2]=0;$T(y,t)}f[z>>2]=f[v>>2];da=z+4|0;j=v+4|0;a=f[j>>2]|0;f[da>>2]=a;X=z+8|0;f[X>>2]=f[v+8>>2];f[z+12>>2]=f[v+12>>2];U=z+16|0;b=v+16|0;f[U>>2]=f[b>>2];f[z+20>>2]=f[v+20>>2];f[z+24>>2]=f[v+24>>2];f[z+28>>2]=f[v+28>>2];f[z+32>>2]=f[v+32>>2];W=z+36|0;m=v+36|0;ea=f[m>>2]|0;f[W>>2]=ea;fa=z+40|0;f[fa>>2]=X;X=z+48|0;ga=z+44|0;f[ga>>2]=X;f[X>>2]=0;f[z+52>>2]=0;if(!ea)ha=a;else{a=ea+12|0;f[a>>2]=(f[a>>2]|0)+1;ha=f[j>>2]|0}if((ha|0)<3){ha=f[v+44>>2]|0;a=f[ga>>2]|0;f[a>>2]=f[ha>>2];f[a+4>>2]=f[ha+4>>2]}else{f[da>>2]=0;$T(z,v)}tQ(w,x,e,y,i,z,o);o=f[W>>2]|0;if(o|0?(ha=o+12|0,o=f[ha>>2]|0,f[ha>>2]=o+-1,(o|0)==1):0)aU(z);f[W>>2]=0;f[U>>2]=0;f[U+4>>2]=0;f[U+8>>2]=0;f[U+12>>2]=0;if((f[da>>2]|0)>0){U=f[fa>>2]|0;fa=0;do{f[U+(fa<<2)>>2]=0;fa=fa+1|0}while((fa|0)<(f[da>>2]|0))}da=f[ga>>2]|0;if((da|0)!=(X|0))TC(da);da=f[Y>>2]|0;if(da|0?(X=da+12|0,da=f[X>>2]|0,f[X>>2]=da+-1,(da|0)==1):0)aU(y);f[Y>>2]=0;f[S>>2]=0;f[S+4>>2]=0;f[S+8>>2]=0;f[S+12>>2]=0;if((f[ca>>2]|0)>0){S=f[E>>2]|0;E=0;do{f[S+(E<<2)>>2]=0;E=E+1|0}while((E|0)<(f[ca>>2]|0))}ca=f[l>>2]|0;if((ca|0)!=(c|0))TC(ca);ca=f[_>>2]|0;if(ca|0?(c=ca+12|0,ca=f[c>>2]|0,f[c>>2]=ca+-1,(ca|0)==1):0)aU(x);f[_>>2]=0;f[N>>2]=0;f[N+4>>2]=0;f[N+8>>2]=0;f[N+12>>2]=0;if((f[ba>>2]|0)>0){N=f[F>>2]|0;F=0;do{f[N+(F<<2)>>2]=0;F=F+1|0}while((F|0)<(f[ba>>2]|0))}ba=f[B>>2]|0;if((ba|0)!=(V|0))TC(ba);ba=f[D>>2]|0;do if(ba|0){V=ba+12|0;B=f[V>>2]|0;f[V>>2]=B+-1;if((B|0)!=1)break;aU(w)}while(0);f[D>>2]=0;f[G>>2]=0;f[G+4>>2]=0;f[G+8>>2]=0;f[G+12>>2]=0;if((f[k>>2]|0)>0){G=f[g>>2]|0;g=0;do{f[G+(g<<2)>>2]=0;g=g+1|0}while((g|0)<(f[k>>2]|0))}k=f[A>>2]|0;if((k|0)!=(p|0))TC(k);k=f[m>>2]|0;do if(k|0){p=k+12|0;A=f[p>>2]|0;f[p>>2]=A+-1;if((A|0)!=1)break;aU(v)}while(0);f[m>>2]=0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;if((f[j>>2]|0)>0){b=f[v+40>>2]|0;m=0;do{f[b+(m<<2)>>2]=0;m=m+1|0}while((m|0)<(f[j>>2]|0))}j=f[v+44>>2]|0;if((j|0)!=(v+48|0))TC(j);j=f[d>>2]|0;do if(j|0){v=j+12|0;m=f[v>>2]|0;f[v>>2]=m+-1;if((m|0)!=1)break;aU(t)}while(0);f[d>>2]=0;f[Z>>2]=0;f[Z+4>>2]=0;f[Z+8>>2]=0;f[Z+12>>2]=0;if((f[R>>2]|0)>0){Z=f[T>>2]|0;T=0;do{f[Z+(T<<2)>>2]=0;T=T+1|0}while((T|0)<(f[R>>2]|0))}R=f[J>>2]|0;if((R|0)!=(I|0))TC(R);R=f[h>>2]|0;do if(R|0){I=R+12|0;J=f[I>>2]|0;f[I>>2]=J+-1;if((J|0)!=1)break;aU(s)}while(0);f[h>>2]=0;f[$>>2]=0;f[$+4>>2]=0;f[$+8>>2]=0;f[$+12>>2]=0;if((f[M>>2]|0)>0){$=f[O>>2]|0;O=0;do{f[$+(O<<2)>>2]=0;O=O+1|0}while((O|0)<(f[M>>2]|0))}M=f[Q>>2]|0;if((M|0)!=(P|0))TC(M);M=f[aa>>2]|0;do if(M|0){P=M+12|0;Q=f[P>>2]|0;f[P>>2]=Q+-1;if((Q|0)!=1)break;aU(r)}while(0);f[aa>>2]=0;f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;f[n+12>>2]=0;if((f[C>>2]|0)>0){n=f[H>>2]|0;H=0;do{f[n+(H<<2)>>2]=0;H=H+1|0}while((H|0)<(f[C>>2]|0))}C=f[L>>2]|0;if((C|0)==(K|0)){u=q;return}TC(C);u=q;return}function HQ(a,c,d,e,g,h,i){a=a|0;c=c|0;d=+d;e=e|0;g=+g;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0;j=u;u=u+352|0;k=j+336|0;l=j+280|0;m=j+224|0;n=j+168|0;o=j+112|0;p=j+56|0;q=j;do if((qJ(a)|0)==65536){r=f[a+4>>2]|0;f[l>>2]=f[r>>2];s=l+4|0;t=r+4|0;f[s>>2]=f[t>>2];v=l+8|0;f[v>>2]=f[r+8>>2];f[l+12>>2]=f[r+12>>2];f[l+16>>2]=f[r+16>>2];f[l+20>>2]=f[r+20>>2];f[l+24>>2]=f[r+24>>2];f[l+28>>2]=f[r+28>>2];f[l+32>>2]=f[r+32>>2];w=f[r+36>>2]|0;f[l+36>>2]=w;f[l+40>>2]=v;v=l+48|0;x=l+44|0;f[x>>2]=v;f[v>>2]=0;f[l+52>>2]=0;if(w|0){v=w+12|0;f[v>>2]=(f[v>>2]|0)+1}if((f[t>>2]|0)<3){t=f[r+44>>2]|0;v=f[x>>2]|0;f[v>>2]=f[t>>2];f[v+4>>2]=f[t+4>>2];break}else{f[s>>2]=0;$T(l,r);break}}else nJ(l,a,-1);while(0);do if((qJ(c)|0)==65536){a=f[c+4>>2]|0;f[m>>2]=f[a>>2];r=m+4|0;s=a+4|0;f[r>>2]=f[s>>2];t=m+8|0;f[t>>2]=f[a+8>>2];f[m+12>>2]=f[a+12>>2];f[m+16>>2]=f[a+16>>2];f[m+20>>2]=f[a+20>>2];f[m+24>>2]=f[a+24>>2];f[m+28>>2]=f[a+28>>2];f[m+32>>2]=f[a+32>>2];v=f[a+36>>2]|0;f[m+36>>2]=v;f[m+40>>2]=t;t=m+48|0;x=m+44|0;f[x>>2]=t;f[t>>2]=0;f[m+52>>2]=0;if(v|0){t=v+12|0;f[t>>2]=(f[t>>2]|0)+1}if((f[s>>2]|0)<3){s=f[a+44>>2]|0;t=f[x>>2]|0;f[t>>2]=f[s>>2];f[t+4>>2]=f[s+4>>2];break}else{f[r>>2]=0;$T(m,a);break}}else nJ(m,c,-1);while(0);do if(g!=0.0){if((qJ(e)|0)!=65536){nJ(n,e,-1);break}c=f[e+4>>2]|0;f[n>>2]=f[c>>2];a=n+4|0;r=c+4|0;f[a>>2]=f[r>>2];s=n+8|0;f[s>>2]=f[c+8>>2];f[n+12>>2]=f[c+12>>2];f[n+16>>2]=f[c+16>>2];f[n+20>>2]=f[c+20>>2];f[n+24>>2]=f[c+24>>2];f[n+28>>2]=f[c+28>>2];f[n+32>>2]=f[c+32>>2];t=f[c+36>>2]|0;f[n+36>>2]=t;f[n+40>>2]=s;s=n+48|0;x=n+44|0;f[x>>2]=s;f[s>>2]=0;f[n+52>>2]=0;if(t|0){s=t+12|0;f[s>>2]=(f[s>>2]|0)+1}if((f[r>>2]|0)<3){r=f[c+44>>2]|0;s=f[x>>2]|0;f[s>>2]=f[r>>2];f[s+4>>2]=f[r+4>>2];break}else{f[a>>2]=0;$T(n,c);break}}else{f[n>>2]=1124007936;c=n+8|0;a=n+40|0;y=n+4|0;z=y+36|0;do{f[y>>2]=0;y=y+4|0}while((y|0)<(z|0));f[a>>2]=c;r=n+48|0;f[n+44>>2]=r;f[r>>2]=0;f[n+52>>2]=0}while(0);e=l+40|0;r=f[e>>2]|0;s=f[r+4>>2]|0;x=f[r>>2]|0;r=f[l>>2]|0;t=r&4095;if((t|0)!=(f[m>>2]&4095|0)){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;v=cuc(32)|0;f[k>>2]=v;f[k+8>>2]=-2147483616;f[k+4>>2]=16;y=v;A=213746;z=y+16|0;do{b[y>>0]=b[A>>0]|0;y=y+1|0;A=A+1|0}while((y|0)<(z|0));b[v+16>>0]=0;WD(-215,k,213763,213603,1558)}if(((r&4087)+-5|0)>>>0>=2){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;v=cuc(224)|0;f[k>>2]=v;f[k+8>>2]=-2147483424;f[k+4>>2]=210;szc(v|0,213768,210)|0;b[v+210>>0]=0;WD(-215,k,213763,213603,1558)}switch(i&3){case 0:{if((s|0)==(f[m+8>>2]|0)){B=f[m+12>>2]|0;C=x}else{f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;v=cuc(32)|0;f[k>>2]=v;f[k+8>>2]=-2147483616;f[k+4>>2]=19;y=v;A=213979;z=y+19|0;do{b[y>>0]=b[A>>0]|0;y=y+1|0;A=A+1|0}while((y|0)<(z|0));b[v+19>>0]=0;WD(-215,k,213763,213603,1565)}break}case 1:{if((x|0)==(f[m+8>>2]|0)){B=f[m+12>>2]|0;C=s}else{f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;v=cuc(32)|0;f[k>>2]=v;f[k+8>>2]=-2147483616;f[k+4>>2]=20;y=v;A=213999;z=y+20|0;do{b[y>>0]=b[A>>0]|0;y=y+1|0;A=A+1|0}while((y|0)<(z|0));b[v+20>>0]=0;WD(-215,k,213763,213603,1570)}break}case 2:{if((s|0)==(f[m+12>>2]|0)){B=f[m+8>>2]|0;C=x}else{f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;v=cuc(32)|0;f[k>>2]=v;f[k+8>>2]=-2147483616;f[k+4>>2]=19;y=v;A=213979;z=y+19|0;do{b[y>>0]=b[A>>0]|0;y=y+1|0;A=A+1|0}while((y|0)<(z|0));b[v+19>>0]=0;WD(-215,k,213763,213603,1575)}break}case 3:{if((x|0)==(f[m+12>>2]|0)){B=f[m+8>>2]|0;C=s}else{f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;v=cuc(32)|0;f[k>>2]=v;f[k+8>>2]=-2147483616;f[k+4>>2]=20;y=v;A=213999;z=y+20|0;do{b[y>>0]=b[A>>0]|0;y=y+1|0;A=A+1|0}while((y|0)<(z|0));b[v+20>>0]=0;WD(-215,k,213763,213603,1580)}break}default:{}}v=n+16|0;do if(f[v>>2]|0){w=f[n+4>>2]|0;if((w|0)<3)D=Y(f[n+12>>2]|0,f[n+8>>2]|0)|0;else{E=f[n+40>>2]|0;F=0;G=1;while(1){H=Y(f[E+(F<<2)>>2]|0,G)|0;F=F+1|0;if((F|0)==(w|0)){D=H;break}else G=H}}if(!((w|0)==0|(D|0)==0)){if((f[n>>2]&4095|0)!=(t|0)){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;G=cuc(32)|0;f[k>>2]=G;f[k+8>>2]=-2147483616;f[k+4>>2]=16;y=G;A=214020;z=y+16|0;do{b[y>>0]=b[A>>0]|0;y=y+1|0;A=A+1|0}while((y|0)<(z|0));b[G+16>>0]=0;WD(-215,k,213763,213603,1588)}w=f[n+8>>2]|0;if(!(i&4)){if((w|0)!=(C|0)){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;I=cuc(160)|0;f[k>>2]=I;J=k+8|0;f[J>>2]=-2147483488;K=k+4|0;f[K>>2]=158;szc(I|0,214037,158)|0;L=I+158|0;b[L>>0]=0;WD(-215,k,213763,213603,1588)}if((f[n+12>>2]|0)==(B|0))break;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;I=cuc(160)|0;f[k>>2]=I;J=k+8|0;f[J>>2]=-2147483488;K=k+4|0;f[K>>2]=158;szc(I|0,214037,158)|0;L=I+158|0;b[L>>0]=0;WD(-215,k,213763,213603,1588)}else{if((w|0)!=(B|0)){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;I=cuc(160)|0;f[k>>2]=I;J=k+8|0;f[J>>2]=-2147483488;K=k+4|0;f[K>>2]=158;szc(I|0,214037,158)|0;L=I+158|0;b[L>>0]=0;WD(-215,k,213763,213603,1588)}if((f[n+12>>2]|0)==(C|0))break;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;I=cuc(160)|0;f[k>>2]=I;J=k+8|0;f[J>>2]=-2147483488;K=k+4|0;f[K>>2]=158;szc(I|0,214037,158)|0;L=I+158|0;b[L>>0]=0;WD(-215,k,213763,213603,1588)}}}while(0);jK(h,C,B,t,-1,0,0);do if((qJ(h)|0)==65536){t=f[h+4>>2]|0;f[o>>2]=f[t>>2];L=o+4|0;I=t+4|0;f[L>>2]=f[I>>2];K=o+8|0;f[K>>2]=f[t+8>>2];f[o+12>>2]=f[t+12>>2];f[o+16>>2]=f[t+16>>2];f[o+20>>2]=f[t+20>>2];f[o+24>>2]=f[t+24>>2];f[o+28>>2]=f[t+28>>2];f[o+32>>2]=f[t+32>>2];J=f[t+36>>2]|0;f[o+36>>2]=J;f[o+40>>2]=K;K=o+48|0;D=o+44|0;f[D>>2]=K;f[K>>2]=0;f[o+52>>2]=0;if(J|0){K=J+12|0;f[K>>2]=(f[K>>2]|0)+1}if((f[I>>2]|0)<3){I=f[t+44>>2]|0;K=f[D>>2]|0;f[K>>2]=f[I>>2];f[K+4>>2]=f[I+4>>2];break}else{f[L>>2]=0;$T(o,t);break}}else nJ(o,h,-1);while(0);if(i&4){h=o+16|0;if((f[v>>2]|0)==(f[h>>2]|0)){f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=16842752;f[k+4>>2]=n;t=p+8|0;f[t>>2]=0;f[t+4>>2]=0;f[p>>2]=33619968;f[p+4>>2]=n;HN(k,p);M=i&-5;N=h}else{M=i;N=h}}else{M=i;N=o+16|0}f[p>>2]=1124007936;i=p+4|0;h=p+8|0;t=p+40|0;y=i;z=y+36|0;do{f[y>>2]=0;y=y+4|0}while((y|0)<(z|0));f[t>>2]=h;L=p+48|0;I=p+44|0;f[I>>2]=L;f[L>>2]=0;f[p+52>>2]=0;K=f[N>>2]|0;D=l+16|0;if((K|0)!=(f[D>>2]|0)?(K|0)!=(f[m+16>>2]|0):0)O=o;else{K=f[o>>2]&4095;f[q>>2]=1124007936;J=q+4|0;w=q+8|0;F=q+40|0;y=J;z=y+36|0;do{f[y>>2]=0;y=y+4|0}while((y|0)<(z|0));f[F>>2]=w;E=q+48|0;f[q+44>>2]=E;f[E>>2]=0;f[q+52>>2]=0;f[k>>2]=C;f[k+4>>2]=B;ZT(q,2,k,K);K=p+36|0;B=f[K>>2]|0;if(B|0?(C=B+12|0,B=f[C>>2]|0,f[C>>2]=B+-1,(B|0)==1):0)aU(p);f[K>>2]=0;B=p+16|0;f[B>>2]=0;f[B+4>>2]=0;f[B+8>>2]=0;f[B+12>>2]=0;if((f[i>>2]|0)>0){C=f[t>>2]|0;c=0;do{f[C+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[i>>2]|0))}f[p>>2]=f[q>>2];c=f[J>>2]|0;f[i>>2]=c;f[h>>2]=f[w>>2];f[p+12>>2]=f[q+12>>2];C=q+16|0;f[B>>2]=f[C>>2];f[p+20>>2]=f[q+20>>2];f[p+24>>2]=f[q+24>>2];f[p+28>>2]=f[q+28>>2];f[p+32>>2]=f[q+32>>2];B=q+36|0;f[K>>2]=f[B>>2];K=p+44|0;a=f[K>>2]|0;if((a|0)==(L|0))P=c;else{TC(a);f[K>>2]=L;f[t>>2]=h;P=f[J>>2]|0}h=q+44|0;if((P|0)<3){P=f[h>>2]|0;f[L>>2]=f[P>>2];f[p+52>>2]=f[P+4>>2];Q=P}else{f[K>>2]=f[h>>2];f[p+40>>2]=f[F>>2];f[h>>2]=E;f[F>>2]=w;Q=E}f[q>>2]=1124007936;f[J>>2]=0;f[J+4>>2]=0;f[J+8>>2]=0;f[J+12>>2]=0;f[J+16>>2]=0;f[J+20>>2]=0;f[J+24>>2]=0;f[J+28>>2]=0;f[B>>2]=0;f[C>>2]=0;f[C+4>>2]=0;f[C+8>>2]=0;f[C+12>>2]=0;if((Q|0)!=(E|0))TC(Q);O=p}switch(r&4095){case 5:{sQ(f[D>>2]|0,f[l+48>>2]|0,f[m+16>>2]|0,f[m+48>>2]|0,d,f[v>>2]|0,f[n+48>>2]|0,g,f[O+16>>2]|0,f[O+48>>2]|0,x,s,f[O+12>>2]|0,M,5);break}case 6:{GQ(f[D>>2]|0,f[l+48>>2]|0,f[m+16>>2]|0,f[m+48>>2]|0,d,f[v>>2]|0,f[n+48>>2]|0,g,f[O+16>>2]|0,f[O+48>>2]|0,x,s,f[O+12>>2]|0,M,6);break}case 13:{sQ(f[D>>2]|0,f[l+48>>2]|0,f[m+16>>2]|0,f[m+48>>2]|0,d,f[v>>2]|0,f[n+48>>2]|0,g,f[O+16>>2]|0,f[O+48>>2]|0,x,s,f[O+12>>2]|0,M,13);break}case 14:{GQ(f[D>>2]|0,f[l+48>>2]|0,f[m+16>>2]|0,f[m+48>>2]|0,d,f[v>>2]|0,f[n+48>>2]|0,g,f[N>>2]|0,f[o+48>>2]|0,x,s,f[O+12>>2]|0,M,14);break}default:{f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;M=cuc(32)|0;f[k>>2]=M;f[k+8>>2]=-2147483616;f[k+4>>2]=16;y=M;A=213577;z=y+16|0;do{b[y>>0]=b[A>>0]|0;y=y+1|0;A=A+1|0}while((y|0)<(z|0));b[M+16>>0]=0;WD(-215,k,213763,213603,1623)}}if((O|0)!=(o|0)){M=k+8|0;f[M>>2]=0;f[M+4>>2]=0;f[k>>2]=33619968;f[k+4>>2]=o;EI(O,k)}k=p+36|0;O=f[k>>2]|0;if(O|0?(M=O+12|0,O=f[M>>2]|0,f[M>>2]=O+-1,(O|0)==1):0)aU(p);f[k>>2]=0;k=p+16|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;if((f[i>>2]|0)>0){k=f[t>>2]|0;t=0;do{f[k+(t<<2)>>2]=0;t=t+1|0}while((t|0)<(f[i>>2]|0))}i=f[I>>2]|0;if((i|0)!=(L|0))TC(i);i=o+36|0;L=f[i>>2]|0;if(L|0?(I=L+12|0,L=f[I>>2]|0,f[I>>2]=L+-1,(L|0)==1):0)aU(o);f[i>>2]=0;i=o+4|0;f[N>>2]=0;f[N+4>>2]=0;f[N+8>>2]=0;f[N+12>>2]=0;if((f[i>>2]|0)>0){N=f[o+40>>2]|0;L=0;do{f[N+(L<<2)>>2]=0;L=L+1|0}while((L|0)<(f[i>>2]|0))}i=f[o+44>>2]|0;if((i|0)!=(o+48|0))TC(i);i=n+36|0;o=f[i>>2]|0;if(o|0?(L=o+12|0,o=f[L>>2]|0,f[L>>2]=o+-1,(o|0)==1):0)aU(n);f[i>>2]=0;i=n+4|0;f[v>>2]=0;f[v+4>>2]=0;f[v+8>>2]=0;f[v+12>>2]=0;if((f[i>>2]|0)>0){v=f[n+40>>2]|0;o=0;do{f[v+(o<<2)>>2]=0;o=o+1|0}while((o|0)<(f[i>>2]|0))}i=f[n+44>>2]|0;if((i|0)!=(n+48|0))TC(i);i=m+36|0;n=f[i>>2]|0;do if(n|0){o=n+12|0;v=f[o>>2]|0;f[o>>2]=v+-1;if((v|0)!=1)break;aU(m)}while(0);f[i>>2]=0;i=m+16|0;n=m+4|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;if((f[n>>2]|0)>0){i=f[m+40>>2]|0;v=0;do{f[i+(v<<2)>>2]=0;v=v+1|0}while((v|0)<(f[n>>2]|0))}n=f[m+44>>2]|0;if((n|0)!=(m+48|0))TC(n);n=l+36|0;m=f[n>>2]|0;do if(m|0){v=m+12|0;i=f[v>>2]|0;f[v>>2]=i+-1;if((i|0)!=1)break;aU(l)}while(0);f[n>>2]=0;n=l+4|0;f[D>>2]=0;f[D+4>>2]=0;f[D+8>>2]=0;f[D+12>>2]=0;if((f[n>>2]|0)>0){D=f[e>>2]|0;e=0;do{f[D+(e<<2)>>2]=0;e=e+1|0}while((e|0)<(f[n>>2]|0))}n=f[l+44>>2]|0;if((n|0)==(l+48|0)){u=j;return}TC(n);u=j;return}function IQ(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0.0,V=0,W=0,X=0.0,Z=0.0,_=0.0,$=0;e=u;u=u+1424|0;g=e+1400|0;h=e+1096|0;i=e+1392|0;j=e+1336|0;k=e+1280|0;l=e+1272|0;m=e+1216|0;o=e;q=e+1160|0;r=e+1104|0;gV(i,38896);do if((qJ(a)|0)==65536){s=f[a+4>>2]|0;f[j>>2]=f[s>>2];t=j+4|0;v=s+4|0;f[t>>2]=f[v>>2];w=j+8|0;f[w>>2]=f[s+8>>2];f[j+12>>2]=f[s+12>>2];f[j+16>>2]=f[s+16>>2];f[j+20>>2]=f[s+20>>2];f[j+24>>2]=f[s+24>>2];f[j+28>>2]=f[s+28>>2];f[j+32>>2]=f[s+32>>2];x=f[s+36>>2]|0;f[j+36>>2]=x;f[j+40>>2]=w;w=j+48|0;y=j+44|0;f[y>>2]=w;f[w>>2]=0;f[j+52>>2]=0;if(x|0){w=x+12|0;f[w>>2]=(f[w>>2]|0)+1}if((f[v>>2]|0)<3){v=f[s+44>>2]|0;w=f[y>>2]|0;f[w>>2]=f[v>>2];f[w+4>>2]=f[v+4>>2];break}else{f[t>>2]=0;$T(j,s);break}}else nJ(j,a,-1);while(0);do if((qJ(d)|0)==65536){a=f[d+4>>2]|0;f[k>>2]=f[a>>2];s=k+4|0;t=a+4|0;f[s>>2]=f[t>>2];v=k+8|0;f[v>>2]=f[a+8>>2];w=k+12|0;f[w>>2]=f[a+12>>2];f[k+16>>2]=f[a+16>>2];f[k+20>>2]=f[a+20>>2];f[k+24>>2]=f[a+24>>2];f[k+28>>2]=f[a+28>>2];f[k+32>>2]=f[a+32>>2];y=f[a+36>>2]|0;f[k+36>>2]=y;f[k+40>>2]=v;x=k+48|0;z=k+44|0;f[z>>2]=x;f[x>>2]=0;f[k+52>>2]=0;if(y|0){x=y+12|0;f[x>>2]=(f[x>>2]|0)+1}if((f[t>>2]|0)<3){t=f[a+44>>2]|0;x=f[z>>2]|0;f[x>>2]=f[t>>2];f[x+4>>2]=f[t+4>>2];A=w;B=v;break}else{f[s>>2]=0;$T(k,a);A=w;B=v;break}}else{nJ(k,d,-1);A=k+12|0;B=k+8|0}while(0);d=f[j>>2]|0;v=d&7;w=d>>>3&511;d=w+1|0;a=f[B>>2]|0;s=f[A>>2]|0;t=w+2|0;if(!((d|0)==(s|0)|(t|0)==(s|0))){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;s=cuc(48)|0;f[g>>2]=s;f[g+8>>2]=-2147483600;f[g+4>>2]=34;C=s;D=214196;E=C+34|0;do{b[C>>0]=b[D>>0]|0;C=C+1|0;D=D+1|0}while((C|0)<(E|0));b[s+34>>0]=0;WD(-215,g,214231,213603,2088)}s=j+40|0;x=f[s>>2]|0;z=f[x>>2]|0;f[l>>2]=f[x+4>>2];f[l+4>>2]=z;IJ(c,l,(a<<3)+-8|v,-1,0,0);do if((qJ(c)|0)==65536){l=f[c+4>>2]|0;f[m>>2]=f[l>>2];z=m+4|0;x=l+4|0;f[z>>2]=f[x>>2];y=m+8|0;f[y>>2]=f[l+8>>2];f[m+12>>2]=f[l+12>>2];f[m+16>>2]=f[l+16>>2];f[m+20>>2]=f[l+20>>2];f[m+24>>2]=f[l+24>>2];f[m+28>>2]=f[l+28>>2];f[m+32>>2]=f[l+32>>2];F=f[l+36>>2]|0;f[m+36>>2]=F;f[m+40>>2]=y;y=m+48|0;G=m+44|0;f[G>>2]=y;f[y>>2]=0;f[m+52>>2]=0;if(F|0){y=F+12|0;f[y>>2]=(f[y>>2]|0)+1}if((f[x>>2]|0)<3){x=f[l+44>>2]|0;y=f[G>>2]|0;f[y>>2]=f[x>>2];f[y+4>>2]=f[x+4>>2];break}else{f[z>>2]=0;$T(m,l);break}}else nJ(m,c,-1);while(0);c=(v|2|0)==6;l=c?6:5;z=o+8|0;f[o>>2]=z;x=o+4|0;f[x>>2]=136;y=f[k>>2]|0;if((f[A>>2]|0)==(t|0)&((y&16384|0)!=0&(y&4095|0)==(l|0)))H=f[k+16>>2]|0;else{y=Y(t,a)|0;f[x>>2]=y;if(y>>>0>136){G=euc(y>>>0>536870911?-1:y<<3)|0;f[o>>2]=G;I=G}else I=z;Ri(q,a,t,l,I,0);G=q+16|0;y=f[G>>2]|0;F=q+44|0;J=q+4|0;K=f[J>>2]|0;if((K|0)<3)M=Y(f[q+12>>2]|0,f[q+8>>2]|0)|0;else{N=f[q+40>>2]|0;O=0;P=1;while(1){Q=Y(f[N+(O<<2)>>2]|0,P)|0;O=O+1|0;if((O|0)==(K|0)){M=Q;break}else P=Q}}if((K|0)>0)R=f[(f[F>>2]|0)+(K+-1<<2)>>2]|0;else R=0;kzc(y|0,0,Y(R,M)|0)|0;M=f[A>>2]|0;if((M|0)!=(t|0)){f[g>>2]=-2147483648;f[g+4>>2]=2147483647;f[h>>2]=0;f[h+4>>2]=M;bU(r,q,g,h);M=g+8|0;f[M>>2]=0;f[M+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=r;kQ(k,g,l,1.0,0.0);M=r+36|0;t=f[M>>2]|0;if(t|0?(R=t+12|0,t=f[R>>2]|0,f[R>>2]=t+-1,(t|0)==1):0)aU(r);f[M>>2]=0;M=r+16|0;t=r+4|0;f[M>>2]=0;f[M+4>>2]=0;f[M+8>>2]=0;f[M+12>>2]=0;if((f[t>>2]|0)>0){M=f[r+40>>2]|0;R=0;do{f[M+(R<<2)>>2]=0;R=R+1|0}while((R|0)<(f[t>>2]|0))}t=f[r+44>>2]|0;if((t|0)!=(r+48|0))TC(t)}else{t=g+8|0;f[t>>2]=0;f[t+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=q;kQ(k,g,l,1.0,0.0)}l=q+36|0;t=f[l>>2]|0;if(t|0){r=t+12|0;f[r>>2]=(f[r>>2]|0)+1}r=k+36|0;t=f[r>>2]|0;if(t|0?(R=t+12|0,t=f[R>>2]|0,f[R>>2]=t+-1,(t|0)==1):0)aU(k);f[r>>2]=0;t=k+16|0;R=k+4|0;f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;f[t+12>>2]=0;if((f[R>>2]|0)>0){M=f[k+40>>2]|0;y=0;do{f[M+(y<<2)>>2]=0;y=y+1|0;S=f[R>>2]|0}while((y|0)<(S|0));f[k>>2]=f[q>>2];if((S|0)<3)T=54;else T=56}else{f[k>>2]=f[q>>2];T=54}if((T|0)==54){S=f[J>>2]|0;if((S|0)<3){f[R>>2]=S;f[B>>2]=f[q+8>>2];f[A>>2]=f[q+12>>2];B=f[F>>2]|0;S=f[k+44>>2]|0;f[S>>2]=f[B>>2];f[S+4>>2]=f[B+4>>2]}else T=56}if((T|0)==56)$T(k,q);f[t>>2]=f[G>>2];f[k+20>>2]=f[q+20>>2];f[k+24>>2]=f[q+24>>2];f[k+28>>2]=f[q+28>>2];f[k+32>>2]=f[q+32>>2];t=f[l>>2]|0;f[r>>2]=t;if(t|0?(r=t+12|0,t=f[r>>2]|0,f[r>>2]=t+-1,(t|0)==1):0)aU(q);f[l>>2]=0;f[G>>2]=0;f[G+4>>2]=0;f[G+8>>2]=0;f[G+12>>2]=0;if((f[J>>2]|0)>0){G=f[q+40>>2]|0;l=0;do{f[G+(l<<2)>>2]=0;l=l+1|0}while((l|0)<(f[J>>2]|0))}J=f[F>>2]|0;if((J|0)!=(q+48|0))TC(J);H=I}a:do if((d|0)==(a|0)){U=c?2.220446049250313e-16:1.1920928955078125e-07;I=f[k+16>>2]|0;if(w|0){J=f[f[k+44>>2]>>2]|0;if(c){F=0;while(1){l=I+(Y(J,F)|0)|0;G=0;while(1){if((F|0)!=(G|0)?+L(+(+p[l+(G<<3)>>3]))>U:0){V=38916;T=96;break a}if((G|0)<(w|0))G=G+1|0;else break}if((F|0)<(w|0))F=F+1|0;else{V=38948;T=96;break a}}}else{F=0;while(1){G=I+(Y(J,F)|0)|0;l=0;while(1){if((F|0)!=(l|0)?+L(+(+n[G+(l<<2)>>2]))>U:0){V=38916;T=96;break a}if((l|0)<(w|0))l=l+1|0;else break}if((F|0)<(w|0))F=F+1|0;else{V=38948;T=96;break a}}}}if(c){U=+p[I>>3];do if((f[k>>2]&16384|0)==0?(F=f[k+40>>2]|0,(f[F>>2]|0)!=1):0){J=f[f[k+44>>2]>>2]|0;if((f[F+4>>2]|0)==1){W=I+J|0;break}else{F=f[A>>2]|0;l=(F+1|0)>>>0<3?F:0;W=I+(Y(l,J)|0)+(1-(Y(l,F)|0)<<3)|0;break}}else T=85;while(0);if((T|0)==85)W=I+8|0;X=+p[W>>3];Z=U}else{_=+n[I>>2];do if((f[k>>2]&16384|0)==0?(F=f[k+40>>2]|0,(f[F>>2]|0)!=1):0){l=f[f[k+44>>2]>>2]|0;if((f[F+4>>2]|0)==1){$=I+l|0;break}else{F=f[A>>2]|0;J=(F+1|0)>>>0<3?F:0;$=I+(Y(J,l)|0)+(1-(Y(J,F)|0)<<2)|0;break}}else T=78;while(0);if((T|0)==78)$=I+4|0;X=+n[$>>2];Z=_}F=g+8|0;f[F>>2]=0;f[F+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=m;kQ(j,g,f[m>>2]&4095,Z,X)}else{V=38916;T=96}while(0);if((T|0)==96){T=f[V+(v<<2)>>2]|0;if(!T){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;b[g+11>>0]=9;C=g;D=253007;E=C+9|0;do{b[C>>0]=b[D>>0]|0;C=C+1|0;D=D+1|0}while((C|0)<(E|0));b[g+9>>0]=0;WD(-215,g,214231,213603,2144)}f[g>>2]=j;f[g+4>>2]=m;f[g+8>>2]=0;D=h;f[D>>2]=0;f[D+4>>2]=0;YC(q,g,h,-1);g=f[q+20>>2]|0;D=q+16|0;C=h+4|0;E=0;while(1){if(E>>>0>=(f[D>>2]|0)>>>0)break;Vg[T&255](f[h>>2]|0,f[C>>2]|0,H,g,d,a);ZC(q)|0;E=E+1|0}}E=f[o>>2]|0;if((E|0)!=(z|0)){if(E|0)guc(E);f[o>>2]=z;f[x>>2]=136}x=m+36|0;z=f[x>>2]|0;if(z|0?(o=z+12|0,z=f[o>>2]|0,f[o>>2]=z+-1,(z|0)==1):0)aU(m);f[x>>2]=0;x=m+16|0;z=m+4|0;f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;f[x+12>>2]=0;if((f[z>>2]|0)>0){x=f[m+40>>2]|0;o=0;do{f[x+(o<<2)>>2]=0;o=o+1|0}while((o|0)<(f[z>>2]|0))}z=f[m+44>>2]|0;if((z|0)!=(m+48|0))TC(z);z=k+36|0;m=f[z>>2]|0;if(m|0?(o=m+12|0,m=f[o>>2]|0,f[o>>2]=m+-1,(m|0)==1):0)aU(k);f[z>>2]=0;z=k+16|0;m=k+4|0;f[z>>2]=0;f[z+4>>2]=0;f[z+8>>2]=0;f[z+12>>2]=0;if((f[m>>2]|0)>0){z=f[k+40>>2]|0;o=0;do{f[z+(o<<2)>>2]=0;o=o+1|0}while((o|0)<(f[m>>2]|0))}m=f[k+44>>2]|0;if((m|0)!=(k+48|0))TC(m);m=j+36|0;k=f[m>>2]|0;if(k|0?(o=k+12|0,k=f[o>>2]|0,f[o>>2]=k+-1,(k|0)==1):0)aU(j);f[m>>2]=0;m=j+16|0;k=j+4|0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;if((f[k>>2]|0)>0){m=f[s>>2]|0;s=0;do{f[m+(s<<2)>>2]=0;s=s+1|0}while((s|0)<(f[k>>2]|0))}k=f[j+44>>2]|0;if((k|0)!=(j+48|0))TC(k);if(!(f[i+4>>2]|0)){u=e;return}u=e;return}function JQ(a,c,d,e,f,g){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;switch(f|0){case 2:{g=e<<1;if((e|0)<=0)return;i=d+8|0;j=d+16|0;k=d+20|0;l=0;do{m=Ghc(+n[i>>2]+ +n[d>>2]*+(h[a+l>>0]|0))|0;o=l|1;p=Ghc(+n[k>>2]+ +n[j>>2]*+(h[a+o>>0]|0))|0;b[c+l>>0]=m>>>0<256?m:(m|0)>0?255:0;b[c+o>>0]=p>>>0<256?p:(p|0)>0?255:0;l=l+2|0}while((l|0)<(g|0));return}case 3:{g=e*3|0;if((e|0)<=0)return;l=d+12|0;j=d+20|0;k=d+28|0;i=d+40|0;p=d+44|0;o=0;do{m=Ghc(+n[l>>2]+ +n[d>>2]*+(h[a+o>>0]|0))|0;q=o+1|0;r=Ghc(+n[k>>2]+ +n[j>>2]*+(h[a+q>>0]|0))|0;s=o+2|0;t=Ghc(+n[p>>2]+ +n[i>>2]*+(h[a+s>>0]|0))|0;b[c+o>>0]=m>>>0<256?m:(m|0)>0?255:0;b[c+q>>0]=r>>>0<256?r:(r|0)>0?255:0;b[c+s>>0]=t>>>0<256?t:(t|0)>0?255:0;o=o+3|0}while((o|0)<(g|0));return}case 4:{g=e<<2;if((e|0)<=0)return;o=d+16|0;i=d+24|0;p=d+36|0;j=d+48|0;k=d+56|0;l=d+72|0;t=d+76|0;s=0;do{r=Ghc(+n[o>>2]+ +n[d>>2]*+(h[a+s>>0]|0))|0;q=s|1;m=Ghc(+n[p>>2]+ +n[i>>2]*+(h[a+q>>0]|0))|0;b[c+s>>0]=r>>>0<256?r:(r|0)>0?255:0;b[c+q>>0]=m>>>0<256?m:(m|0)>0?255:0;m=s|2;q=Ghc(+n[k>>2]+ +n[j>>2]*+(h[a+m>>0]|0))|0;r=s|3;u=Ghc(+n[t>>2]+ +n[l>>2]*+(h[a+r>>0]|0))|0;b[c+m>>0]=q>>>0<256?q:(q|0)>0?255:0;b[c+r>>0]=u>>>0<256?u:(u|0)>0?255:0;s=s+4|0}while((s|0)<(g|0));return}default:{if((e|0)<=0)return;g=f+1|0;if((f|0)>0){v=a;w=c;x=0}else return;while(1){c=d;a=0;while(1){s=Ghc(+(h[v+a>>0]|0)*+n[c+(a<<2)>>2]+ +n[c+(f<<2)>>2])|0;b[w+a>>0]=s>>>0<256?s:(s|0)>0?255:0;a=a+1|0;if((a|0)==(f|0))break;else c=c+(g<<2)|0}x=x+1|0;if((x|0)==(e|0))break;else{v=v+f|0;w=w+f|0}}return}}}function KQ(a,c,d,e,f,g){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;switch(f|0){case 2:{g=e<<1;if((e|0)<=0)return;h=d+8|0;i=d+16|0;j=d+20|0;k=0;do{l=Ghc(+n[h>>2]+ +n[d>>2]*+(b[a+k>>0]|0))|0;m=k|1;o=Ghc(+n[j>>2]+ +n[i>>2]*+(b[a+m>>0]|0))|0;b[c+k>>0]=(l+128|0)>>>0<256?l:(l|0)>0?127:128;b[c+m>>0]=(o+128|0)>>>0<256?o:(o|0)>0?127:128;k=k+2|0}while((k|0)<(g|0));return}case 3:{g=e*3|0;if((e|0)<=0)return;k=d+12|0;i=d+20|0;j=d+28|0;h=d+40|0;o=d+44|0;m=0;do{l=Ghc(+n[k>>2]+ +n[d>>2]*+(b[a+m>>0]|0))|0;p=m+1|0;q=Ghc(+n[j>>2]+ +n[i>>2]*+(b[a+p>>0]|0))|0;r=m+2|0;s=Ghc(+n[o>>2]+ +n[h>>2]*+(b[a+r>>0]|0))|0;b[c+m>>0]=(l+128|0)>>>0<256?l:(l|0)>0?127:128;b[c+p>>0]=(q+128|0)>>>0<256?q:(q|0)>0?127:128;b[c+r>>0]=(s+128|0)>>>0<256?s:(s|0)>0?127:128;m=m+3|0}while((m|0)<(g|0));return}case 4:{g=e<<2;if((e|0)<=0)return;m=d+16|0;h=d+24|0;o=d+36|0;i=d+48|0;j=d+56|0;k=d+72|0;s=d+76|0;r=0;do{q=Ghc(+n[m>>2]+ +n[d>>2]*+(b[a+r>>0]|0))|0;p=r|1;l=Ghc(+n[o>>2]+ +n[h>>2]*+(b[a+p>>0]|0))|0;b[c+r>>0]=(q+128|0)>>>0<256?q:(q|0)>0?127:128;b[c+p>>0]=(l+128|0)>>>0<256?l:(l|0)>0?127:128;l=r|2;p=Ghc(+n[j>>2]+ +n[i>>2]*+(b[a+l>>0]|0))|0;q=r|3;t=Ghc(+n[s>>2]+ +n[k>>2]*+(b[a+q>>0]|0))|0;b[c+l>>0]=(p+128|0)>>>0<256?p:(p|0)>0?127:128;b[c+q>>0]=(t+128|0)>>>0<256?t:(t|0)>0?127:128;r=r+4|0}while((r|0)<(g|0));return}default:{if((e|0)<=0)return;g=f+1|0;if((f|0)>0){u=a;v=c;w=0}else return;while(1){c=d;a=0;while(1){r=Ghc(+(b[u+a>>0]|0)*+n[c+(a<<2)>>2]+ +n[c+(f<<2)>>2])|0;b[v+a>>0]=(r+128|0)>>>0<256?r:(r|0)>0?127:128;a=a+1|0;if((a|0)==(f|0))break;else c=c+(g<<2)|0}w=w+1|0;if((w|0)==(e|0))break;else{u=u+f|0;v=v+f|0}}return}}}function LQ(a,b,c,e,f,g){a=a|0;b=b|0;c=c|0;e=e|0;f=f|0;g=g|0;var h=0.0,i=0.0,k=0.0,l=0.0,m=0,o=0,p=0,q=0,r=0.0,s=0.0,t=0,u=0,v=0.0,w=0.0,x=0,y=0,z=0;switch(f|0){case 2:{g=e<<1;if((e|0)<=0)return;h=+n[c>>2];i=+n[c+8>>2];k=+n[c+16>>2];l=+n[c+20>>2];m=0;do{o=Ghc(i+h*+(j[a+(m<<1)>>1]|0))|0;p=m|1;q=Ghc(l+k*+(j[a+(p<<1)>>1]|0))|0;d[b+(m<<1)>>1]=o>>>0<65536?o:(o|0)>0?65535:0;d[b+(p<<1)>>1]=q>>>0<65536?q:(q|0)>0?65535:0;m=m+2|0}while((m|0)<(g|0));return}case 3:{g=e*3|0;if((e|0)<=0)return;k=+n[c>>2];l=+n[c+12>>2];h=+n[c+20>>2];i=+n[c+28>>2];r=+n[c+40>>2];s=+n[c+44>>2];m=0;do{q=Ghc(l+k*+(j[a+(m<<1)>>1]|0))|0;p=m+1|0;o=Ghc(i+h*+(j[a+(p<<1)>>1]|0))|0;t=m+2|0;u=Ghc(s+r*+(j[a+(t<<1)>>1]|0))|0;d[b+(m<<1)>>1]=q>>>0<65536?q:(q|0)>0?65535:0;d[b+(p<<1)>>1]=o>>>0<65536?o:(o|0)>0?65535:0;d[b+(t<<1)>>1]=u>>>0<65536?u:(u|0)>0?65535:0;m=m+3|0}while((m|0)<(g|0));return}case 4:{g=e<<2;if((e|0)<=0)return;r=+n[c>>2];s=+n[c+16>>2];h=+n[c+24>>2];i=+n[c+36>>2];k=+n[c+48>>2];l=+n[c+56>>2];v=+n[c+72>>2];w=+n[c+76>>2];m=0;do{u=Ghc(s+r*+(j[a+(m<<1)>>1]|0))|0;t=m|1;o=Ghc(i+h*+(j[a+(t<<1)>>1]|0))|0;d[b+(m<<1)>>1]=u>>>0<65536?u:(u|0)>0?65535:0;d[b+(t<<1)>>1]=o>>>0<65536?o:(o|0)>0?65535:0;o=m|2;t=Ghc(l+k*+(j[a+(o<<1)>>1]|0))|0;u=m|3;p=Ghc(w+v*+(j[a+(u<<1)>>1]|0))|0;d[b+(o<<1)>>1]=t>>>0<65536?t:(t|0)>0?65535:0;d[b+(u<<1)>>1]=p>>>0<65536?p:(p|0)>0?65535:0;m=m+4|0}while((m|0)<(g|0));return}default:{if((e|0)<=0)return;g=f+1|0;if((f|0)>0){x=a;y=b;z=0}else return;while(1){b=c;a=0;while(1){m=Ghc(+(j[x+(a<<1)>>1]|0)*+n[b+(a<<2)>>2]+ +n[b+(f<<2)>>2])|0;d[y+(a<<1)>>1]=m>>>0<65536?m:(m|0)>0?65535:0;a=a+1|0;if((a|0)==(f|0))break;else b=b+(g<<2)|0}z=z+1|0;if((z|0)==(e|0))break;else{x=x+(f<<1)|0;y=y+(f<<1)|0}}return}}}function MQ(a,b,c,e,f,g){a=a|0;b=b|0;c=c|0;e=e|0;f=f|0;g=g|0;var h=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0,o=0,p=0,q=0.0,r=0.0,s=0,t=0,u=0.0,v=0.0,w=0,x=0,y=0;switch(f|0){case 2:{g=e<<1;if((e|0)<=0)return;h=+n[c>>2];i=+n[c+8>>2];j=+n[c+16>>2];k=+n[c+20>>2];l=0;do{m=Ghc(i+h*+(d[a+(l<<1)>>1]|0))|0;o=l|1;p=Ghc(k+j*+(d[a+(o<<1)>>1]|0))|0;d[b+(l<<1)>>1]=(m+32768|0)>>>0<65536?m:(m|0)>0?32767:32768;d[b+(o<<1)>>1]=(p+32768|0)>>>0<65536?p:(p|0)>0?32767:32768;l=l+2|0}while((l|0)<(g|0));return}case 3:{g=e*3|0;if((e|0)<=0)return;j=+n[c>>2];k=+n[c+12>>2];h=+n[c+20>>2];i=+n[c+28>>2];q=+n[c+40>>2];r=+n[c+44>>2];l=0;do{p=Ghc(k+j*+(d[a+(l<<1)>>1]|0))|0;o=l+1|0;m=Ghc(i+h*+(d[a+(o<<1)>>1]|0))|0;s=l+2|0;t=Ghc(r+q*+(d[a+(s<<1)>>1]|0))|0;d[b+(l<<1)>>1]=(p+32768|0)>>>0<65536?p:(p|0)>0?32767:32768;d[b+(o<<1)>>1]=(m+32768|0)>>>0<65536?m:(m|0)>0?32767:32768;d[b+(s<<1)>>1]=(t+32768|0)>>>0<65536?t:(t|0)>0?32767:32768;l=l+3|0}while((l|0)<(g|0));return}case 4:{g=e<<2;if((e|0)<=0)return;q=+n[c>>2];r=+n[c+16>>2];h=+n[c+24>>2];i=+n[c+36>>2];j=+n[c+48>>2];k=+n[c+56>>2];u=+n[c+72>>2];v=+n[c+76>>2];l=0;do{t=Ghc(r+q*+(d[a+(l<<1)>>1]|0))|0;s=l|1;m=Ghc(i+h*+(d[a+(s<<1)>>1]|0))|0;d[b+(l<<1)>>1]=(t+32768|0)>>>0<65536?t:(t|0)>0?32767:32768;d[b+(s<<1)>>1]=(m+32768|0)>>>0<65536?m:(m|0)>0?32767:32768;m=l|2;s=Ghc(k+j*+(d[a+(m<<1)>>1]|0))|0;t=l|3;o=Ghc(v+u*+(d[a+(t<<1)>>1]|0))|0;d[b+(m<<1)>>1]=(s+32768|0)>>>0<65536?s:(s|0)>0?32767:32768;d[b+(t<<1)>>1]=(o+32768|0)>>>0<65536?o:(o|0)>0?32767:32768;l=l+4|0}while((l|0)<(g|0));return}default:{if((e|0)<=0)return;g=f+1|0;if((f|0)>0){w=a;x=b;y=0}else return;while(1){b=c;a=0;while(1){l=Ghc(+(d[w+(a<<1)>>1]|0)*+n[b+(a<<2)>>2]+ +n[b+(f<<2)>>2])|0;d[x+(a<<1)>>1]=(l+32768|0)>>>0<65536?l:(l|0)>0?32767:32768;a=a+1|0;if((a|0)==(f|0))break;else b=b+(g<<2)|0}y=y+1|0;if((y|0)==(e|0))break;else{w=w+(f<<1)|0;x=x+(f<<1)|0}}return}}}function NQ(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0,n=0,o=0,q=0.0,r=0.0,s=0,t=0,u=0.0,v=0.0,w=0,x=0,y=0;switch(e|0){case 2:{g=d<<1;if((d|0)<=0)return;h=+p[c>>3];i=+p[c+16>>3];j=+p[c+32>>3];k=+p[c+40>>3];l=0;do{m=Fhc(i+h*+(f[a+(l<<2)>>2]|0))|0;n=l|1;o=Fhc(k+j*+(f[a+(n<<2)>>2]|0))|0;f[b+(l<<2)>>2]=m;f[b+(n<<2)>>2]=o;l=l+2|0}while((l|0)<(g|0));return}case 3:{g=d*3|0;if((d|0)<=0)return;j=+p[c>>3];k=+p[c+24>>3];h=+p[c+40>>3];i=+p[c+56>>3];q=+p[c+80>>3];r=+p[c+88>>3];l=0;do{o=Fhc(k+j*+(f[a+(l<<2)>>2]|0))|0;n=l+1|0;m=Fhc(i+h*+(f[a+(n<<2)>>2]|0))|0;s=l+2|0;t=Fhc(r+q*+(f[a+(s<<2)>>2]|0))|0;f[b+(l<<2)>>2]=o;f[b+(n<<2)>>2]=m;f[b+(s<<2)>>2]=t;l=l+3|0}while((l|0)<(g|0));return}case 4:{g=d<<2;if((d|0)<=0)return;q=+p[c>>3];r=+p[c+32>>3];h=+p[c+48>>3];i=+p[c+72>>3];j=+p[c+96>>3];k=+p[c+112>>3];u=+p[c+144>>3];v=+p[c+152>>3];l=0;do{t=Fhc(r+q*+(f[a+(l<<2)>>2]|0))|0;s=l|1;m=Fhc(i+h*+(f[a+(s<<2)>>2]|0))|0;f[b+(l<<2)>>2]=t;f[b+(s<<2)>>2]=m;m=l|2;s=Fhc(k+j*+(f[a+(m<<2)>>2]|0))|0;t=l|3;n=Fhc(v+u*+(f[a+(t<<2)>>2]|0))|0;f[b+(m<<2)>>2]=s;f[b+(t<<2)>>2]=n;l=l+4|0}while((l|0)<(g|0));return}default:{if((d|0)<=0)return;g=e+1|0;if((e|0)>0){w=a;x=b;y=0}else return;while(1){b=c;a=0;while(1){l=Fhc(+(f[w+(a<<2)>>2]|0)*+p[b+(a<<3)>>3]+ +p[b+(e<<3)>>3])|0;f[x+(a<<2)>>2]=l;a=a+1|0;if((a|0)==(e|0))break;else b=b+(g<<3)|0}y=y+1|0;if((y|0)==(d|0))break;else{w=w+(e<<2)|0;x=x+(e<<2)|0}}return}}}function OQ(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0.0,m=0,o=0,p=0,q=0.0,r=0,s=0,t=0,u=0,v=0;switch(e|0){case 2:{f=d<<1;if((d|0)<=0)return;g=c+8|0;h=c+16|0;i=c+20|0;j=0;do{k=j|1;l=+n[h>>2]*+n[a+(k<<2)>>2]+ +n[i>>2];n[b+(j<<2)>>2]=+n[c>>2]*+n[a+(j<<2)>>2]+ +n[g>>2];n[b+(k<<2)>>2]=l;j=j+2|0}while((j|0)<(f|0));return}case 3:{f=d*3|0;if((d|0)<=0)return;j=c+12|0;g=c+20|0;i=c+28|0;h=c+40|0;k=c+44|0;m=0;do{o=m+1|0;l=+n[g>>2]*+n[a+(o<<2)>>2]+ +n[i>>2];p=m+2|0;q=+n[h>>2]*+n[a+(p<<2)>>2]+ +n[k>>2];n[b+(m<<2)>>2]=+n[c>>2]*+n[a+(m<<2)>>2]+ +n[j>>2];n[b+(o<<2)>>2]=l;n[b+(p<<2)>>2]=q;m=m+3|0}while((m|0)<(f|0));return}case 4:{f=d<<2;if((d|0)<=0)return;m=c+16|0;j=c+24|0;k=c+36|0;h=c+48|0;i=c+56|0;g=c+72|0;p=c+76|0;o=0;do{r=o|1;q=+n[j>>2]*+n[a+(r<<2)>>2]+ +n[k>>2];n[b+(o<<2)>>2]=+n[c>>2]*+n[a+(o<<2)>>2]+ +n[m>>2];n[b+(r<<2)>>2]=q;r=o|2;s=o|3;q=+n[g>>2]*+n[a+(s<<2)>>2]+ +n[p>>2];n[b+(r<<2)>>2]=+n[h>>2]*+n[a+(r<<2)>>2]+ +n[i>>2];n[b+(s<<2)>>2]=q;o=o+4|0}while((o|0)<(f|0));return}default:{if((d|0)<=0)return;f=e+1|0;if((e|0)>0){t=a;u=b;v=0}else return;while(1){b=c;a=0;while(1){n[u+(a<<2)>>2]=+n[t+(a<<2)>>2]*+n[b+(a<<2)>>2]+ +n[b+(e<<2)>>2];a=a+1|0;if((a|0)==(e|0))break;else b=b+(f<<2)|0}v=v+1|0;if((v|0)==(d|0))break;else{t=t+(e<<2)|0;u=u+(e<<2)|0}}return}}}function PQ(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0.0,m=0,n=0,o=0,q=0.0,r=0,s=0,t=0,u=0,v=0;switch(e|0){case 2:{f=d<<1;if((d|0)<=0)return;g=c+16|0;h=c+32|0;i=c+40|0;j=0;do{k=j|1;l=+p[h>>3]*+p[a+(k<<3)>>3]+ +p[i>>3];p[b+(j<<3)>>3]=+p[c>>3]*+p[a+(j<<3)>>3]+ +p[g>>3];p[b+(k<<3)>>3]=l;j=j+2|0}while((j|0)<(f|0));return}case 3:{f=d*3|0;if((d|0)<=0)return;j=c+24|0;g=c+40|0;i=c+56|0;h=c+80|0;k=c+88|0;m=0;do{n=m+1|0;l=+p[g>>3]*+p[a+(n<<3)>>3]+ +p[i>>3];o=m+2|0;q=+p[h>>3]*+p[a+(o<<3)>>3]+ +p[k>>3];p[b+(m<<3)>>3]=+p[c>>3]*+p[a+(m<<3)>>3]+ +p[j>>3];p[b+(n<<3)>>3]=l;p[b+(o<<3)>>3]=q;m=m+3|0}while((m|0)<(f|0));return}case 4:{f=d<<2;if((d|0)<=0)return;m=c+32|0;j=c+48|0;k=c+72|0;h=c+96|0;i=c+112|0;g=c+144|0;o=c+152|0;n=0;do{r=n|1;q=+p[j>>3]*+p[a+(r<<3)>>3]+ +p[k>>3];p[b+(n<<3)>>3]=+p[c>>3]*+p[a+(n<<3)>>3]+ +p[m>>3];p[b+(r<<3)>>3]=q;r=n|2;s=n|3;q=+p[g>>3]*+p[a+(s<<3)>>3]+ +p[o>>3];p[b+(r<<3)>>3]=+p[h>>3]*+p[a+(r<<3)>>3]+ +p[i>>3];p[b+(s<<3)>>3]=q;n=n+4|0}while((n|0)<(f|0));return}default:{if((d|0)<=0)return;f=e+1|0;if((e|0)>0){t=a;u=b;v=0}else return;while(1){b=c;a=0;while(1){p[u+(a<<3)>>3]=+p[t+(a<<3)>>3]*+p[b+(a<<3)>>3]+ +p[b+(e<<3)>>3];a=a+1|0;if((a|0)==(e|0))break;else b=b+(f<<3)|0}v=v+1|0;if((v|0)==(d|0))break;else{t=t+(e<<3)|0;u=u+(e<<3)|0}}return}}}function QQ(a,c,d,e,f,g){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0.0,r=0,s=0.0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0.0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0.0,L=0,M=0,N=0,O=0,P=0;if((f|0)==2&(g|0)==2){i=e<<1;if((e|0)<=0)return;j=d+4|0;k=d+8|0;l=d+12|0;m=d+16|0;o=d+20|0;p=0;do{q=+(h[a+p>>0]|0);r=p|1;s=+(h[a+r>>0]|0);t=Ghc(+n[k>>2]+(q*+n[d>>2]+s*+n[j>>2]))|0;u=Ghc(+n[o>>2]+(q*+n[l>>2]+s*+n[m>>2]))|0;b[c+p>>0]=t>>>0<256?t:(t|0)>0?255:0;b[c+r>>0]=u>>>0<256?u:(u|0)>0?255:0;p=p+2|0}while((p|0)<(i|0));return}i=(f|0)==3;if(i&(g|0)==3){p=e*3|0;if((e|0)<=0)return;m=d+4|0;l=d+8|0;o=d+12|0;j=d+16|0;k=d+20|0;u=d+24|0;r=d+28|0;t=d+32|0;v=d+36|0;w=d+40|0;x=d+44|0;y=0;do{s=+(h[a+y>>0]|0);z=y+1|0;q=+(h[a+z>>0]|0);A=y+2|0;B=+(h[a+A>>0]|0);C=Ghc(+n[o>>2]+(s*+n[d>>2]+q*+n[m>>2]+B*+n[l>>2]))|0;D=Ghc(+n[r>>2]+(s*+n[j>>2]+q*+n[k>>2]+B*+n[u>>2]))|0;E=Ghc(+n[x>>2]+(s*+n[t>>2]+q*+n[v>>2]+B*+n[w>>2]))|0;b[c+y>>0]=C>>>0<256?C:(C|0)>0?255:0;b[c+z>>0]=D>>>0<256?D:(D|0)>0?255:0;b[c+A>>0]=E>>>0<256?E:(E|0)>0?255:0;y=y+3|0}while((y|0)<(p|0));return}if(i&(g|0)==1){if((e|0)<=0)return;i=d+4|0;p=d+8|0;y=d+12|0;w=a;v=0;while(1){t=Ghc(+n[y>>2]+(+n[d>>2]*+(h[w>>0]|0)+ +n[i>>2]*+(h[w+1>>0]|0)+ +n[p>>2]*+(h[w+2>>0]|0)))|0;b[c+v>>0]=t>>>0<256?t:(t|0)>0?255:0;v=v+1|0;if((v|0)==(e|0))break;else w=w+3|0}return}if((f|0)==4&(g|0)==4){w=e<<2;if((e|0)<=0)return;v=d+4|0;p=d+8|0;i=d+12|0;y=d+16|0;t=d+20|0;x=d+24|0;u=d+28|0;k=d+32|0;j=d+36|0;r=d+40|0;l=d+44|0;m=d+48|0;o=d+52|0;E=d+56|0;A=d+60|0;D=d+64|0;z=d+68|0;C=d+72|0;F=d+76|0;G=0;do{B=+(h[a+G>>0]|0);H=G|1;q=+(h[a+H>>0]|0);I=G|2;s=+(h[a+I>>0]|0);J=G|3;K=+(h[a+J>>0]|0);L=Ghc(+n[y>>2]+(B*+n[d>>2]+q*+n[v>>2]+s*+n[p>>2]+K*+n[i>>2]))|0;M=Ghc(+n[j>>2]+(B*+n[t>>2]+q*+n[x>>2]+s*+n[u>>2]+K*+n[k>>2]))|0;b[c+G>>0]=L>>>0<256?L:(L|0)>0?255:0;b[c+H>>0]=M>>>0<256?M:(M|0)>0?255:0;M=Ghc(+n[E>>2]+(B*+n[r>>2]+q*+n[l>>2]+s*+n[m>>2]+K*+n[o>>2]))|0;H=Ghc(+n[F>>2]+(B*+n[A>>2]+q*+n[D>>2]+s*+n[z>>2]+K*+n[C>>2]))|0;b[c+I>>0]=M>>>0<256?M:(M|0)>0?255:0;b[c+J>>0]=H>>>0<256?H:(H|0)>0?255:0;G=G+4|0}while((G|0)<(w|0));return}if((e|0)<=0)return;w=f+1|0;if((g|0)<=0)return;if((f|0)>0){N=c;O=a;P=0}else{a=c;c=0;while(1){G=0;C=d;while(1){z=Ghc(+n[C+(f<<2)>>2])|0;b[a+G>>0]=z>>>0<256?z:(z|0)>0?255:0;G=G+1|0;if((G|0)==(g|0))break;else C=C+(w<<2)|0}c=c+1|0;if((c|0)==(e|0))break;else a=a+g|0}return}while(1){a=0;c=d;while(1){C=0;K=+n[c+(f<<2)>>2];do{K=K+ +n[c+(C<<2)>>2]*+(h[O+C>>0]|0);C=C+1|0}while((C|0)!=(f|0));C=Ghc(K)|0;b[N+a>>0]=C>>>0<256?C:(C|0)>0?255:0;a=a+1|0;if((a|0)==(g|0))break;else c=c+(w<<2)|0}P=P+1|0;if((P|0)==(e|0))break;else{N=N+g|0;O=O+f|0}}return}function RQ(a,c,d,e,f,g){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0.0,q=0,r=0.0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0.0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0.0,K=0,L=0,M=0,N=0,O=0;if((f|0)==2&(g|0)==2){h=e<<1;if((e|0)<=0)return;i=d+4|0;j=d+8|0;k=d+12|0;l=d+16|0;m=d+20|0;o=0;do{p=+(b[a+o>>0]|0);q=o|1;r=+(b[a+q>>0]|0);s=Ghc(+n[j>>2]+(p*+n[d>>2]+r*+n[i>>2]))|0;t=Ghc(+n[m>>2]+(p*+n[k>>2]+r*+n[l>>2]))|0;b[c+o>>0]=(s+128|0)>>>0<256?s:(s|0)>0?127:128;b[c+q>>0]=(t+128|0)>>>0<256?t:(t|0)>0?127:128;o=o+2|0}while((o|0)<(h|0));return}h=(f|0)==3;if(h&(g|0)==3){o=e*3|0;if((e|0)<=0)return;l=d+4|0;k=d+8|0;m=d+12|0;i=d+16|0;j=d+20|0;t=d+24|0;q=d+28|0;s=d+32|0;u=d+36|0;v=d+40|0;w=d+44|0;x=0;do{r=+(b[a+x>>0]|0);y=x+1|0;p=+(b[a+y>>0]|0);z=x+2|0;A=+(b[a+z>>0]|0);B=Ghc(+n[m>>2]+(r*+n[d>>2]+p*+n[l>>2]+A*+n[k>>2]))|0;C=Ghc(+n[q>>2]+(r*+n[i>>2]+p*+n[j>>2]+A*+n[t>>2]))|0;D=Ghc(+n[w>>2]+(r*+n[s>>2]+p*+n[u>>2]+A*+n[v>>2]))|0;b[c+x>>0]=(B+128|0)>>>0<256?B:(B|0)>0?127:128;b[c+y>>0]=(C+128|0)>>>0<256?C:(C|0)>0?127:128;b[c+z>>0]=(D+128|0)>>>0<256?D:(D|0)>0?127:128;x=x+3|0}while((x|0)<(o|0));return}if(h&(g|0)==1){if((e|0)<=0)return;h=d+4|0;o=d+8|0;x=d+12|0;v=a;u=0;while(1){s=Ghc(+n[x>>2]+(+n[d>>2]*+(b[v>>0]|0)+ +n[h>>2]*+(b[v+1>>0]|0)+ +n[o>>2]*+(b[v+2>>0]|0)))|0;b[c+u>>0]=(s+128|0)>>>0<256?s:(s|0)>0?127:128;u=u+1|0;if((u|0)==(e|0))break;else v=v+3|0}return}if((f|0)==4&(g|0)==4){v=e<<2;if((e|0)<=0)return;u=d+4|0;o=d+8|0;h=d+12|0;x=d+16|0;s=d+20|0;w=d+24|0;t=d+28|0;j=d+32|0;i=d+36|0;q=d+40|0;k=d+44|0;l=d+48|0;m=d+52|0;D=d+56|0;z=d+60|0;C=d+64|0;y=d+68|0;B=d+72|0;E=d+76|0;F=0;do{A=+(b[a+F>>0]|0);G=F|1;p=+(b[a+G>>0]|0);H=F|2;r=+(b[a+H>>0]|0);I=F|3;J=+(b[a+I>>0]|0);K=Ghc(+n[x>>2]+(A*+n[d>>2]+p*+n[u>>2]+r*+n[o>>2]+J*+n[h>>2]))|0;L=Ghc(+n[i>>2]+(A*+n[s>>2]+p*+n[w>>2]+r*+n[t>>2]+J*+n[j>>2]))|0;b[c+F>>0]=(K+128|0)>>>0<256?K:(K|0)>0?127:128;b[c+G>>0]=(L+128|0)>>>0<256?L:(L|0)>0?127:128;L=Ghc(+n[D>>2]+(A*+n[q>>2]+p*+n[k>>2]+r*+n[l>>2]+J*+n[m>>2]))|0;G=Ghc(+n[E>>2]+(A*+n[z>>2]+p*+n[C>>2]+r*+n[y>>2]+J*+n[B>>2]))|0;b[c+H>>0]=(L+128|0)>>>0<256?L:(L|0)>0?127:128;b[c+I>>0]=(G+128|0)>>>0<256?G:(G|0)>0?127:128;F=F+4|0}while((F|0)<(v|0));return}if((e|0)<=0)return;v=f+1|0;if((g|0)<=0)return;if((f|0)>0){M=c;N=a;O=0}else{a=c;c=0;while(1){F=0;B=d;while(1){y=Ghc(+n[B+(f<<2)>>2])|0;b[a+F>>0]=(y+128|0)>>>0<256?y:(y|0)>0?127:128;F=F+1|0;if((F|0)==(g|0))break;else B=B+(v<<2)|0}c=c+1|0;if((c|0)==(e|0))break;else a=a+g|0}return}while(1){a=0;c=d;while(1){B=0;J=+n[c+(f<<2)>>2];do{J=J+ +n[c+(B<<2)>>2]*+(b[N+B>>0]|0);B=B+1|0}while((B|0)!=(f|0));B=Ghc(J)|0;b[M+a>>0]=(B+128|0)>>>0<256?B:(B|0)>0?127:128;a=a+1|0;if((a|0)==(g|0))break;else c=c+(v<<2)|0}O=O+1|0;if((O|0)==(e|0))break;else{M=M+g|0;N=N+f|0}}return}function SQ(a,b,c,e,f,g){a=a|0;b=b|0;c=c|0;e=e|0;f=f|0;g=g|0;var h=0,i=0.0,k=0.0,l=0.0,m=0.0,o=0.0,p=0.0,q=0,r=0.0,s=0,t=0.0,u=0,v=0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0,D=0,E=0,F=0,G=0.0,H=0.0,I=0.0,J=0.0,K=0.0,L=0.0,M=0.0,N=0.0,O=0.0,P=0,Q=0,R=0;if((f|0)==2&(g|0)==2){h=e<<1;if((e|0)<=0)return;i=+n[c>>2];k=+n[c+4>>2];l=+n[c+8>>2];m=+n[c+12>>2];o=+n[c+16>>2];p=+n[c+20>>2];q=0;do{r=+(j[a+(q<<1)>>1]|0);s=q|1;t=+(j[a+(s<<1)>>1]|0);u=Ghc(l+(i*r+k*t))|0;v=Ghc(p+(m*r+o*t))|0;d[b+(q<<1)>>1]=u>>>0<65536?u:(u|0)>0?65535:0;d[b+(s<<1)>>1]=v>>>0<65536?v:(v|0)>0?65535:0;q=q+2|0}while((q|0)<(h|0));return}h=(f|0)==3;if(h&(g|0)==3){q=e*3|0;if((e|0)<=0)return;o=+n[c>>2];m=+n[c+4>>2];p=+n[c+8>>2];k=+n[c+12>>2];i=+n[c+16>>2];l=+n[c+20>>2];t=+n[c+24>>2];r=+n[c+28>>2];w=+n[c+32>>2];x=+n[c+36>>2];y=+n[c+40>>2];z=+n[c+44>>2];v=0;do{A=+(j[a+(v<<1)>>1]|0);s=v+1|0;B=+(j[a+(s<<1)>>1]|0);u=v+2|0;C=+(j[a+(u<<1)>>1]|0);D=Ghc(k+(o*A+m*B+p*C))|0;E=Ghc(r+(i*A+l*B+t*C))|0;F=Ghc(z+(w*A+x*B+y*C))|0;d[b+(v<<1)>>1]=D>>>0<65536?D:(D|0)>0?65535:0;d[b+(s<<1)>>1]=E>>>0<65536?E:(E|0)>0?65535:0;d[b+(u<<1)>>1]=F>>>0<65536?F:(F|0)>0?65535:0;v=v+3|0}while((v|0)<(q|0));return}if(h&(g|0)==1){if((e|0)<=0)return;y=+n[c>>2];x=+n[c+4>>2];w=+n[c+8>>2];z=+n[c+12>>2];h=a;q=0;while(1){v=Ghc(z+(y*+(j[h>>1]|0)+x*+(j[h+2>>1]|0)+w*+(j[h+4>>1]|0)))|0;d[b+(q<<1)>>1]=v>>>0<65536?v:(v|0)>0?65535:0;q=q+1|0;if((q|0)==(e|0))break;else h=h+6|0}return}if((f|0)==4&(g|0)==4){h=e<<2;if((e|0)<=0)return;w=+n[c>>2];x=+n[c+4>>2];y=+n[c+8>>2];z=+n[c+12>>2];t=+n[c+16>>2];l=+n[c+20>>2];i=+n[c+24>>2];r=+n[c+28>>2];p=+n[c+32>>2];m=+n[c+36>>2];o=+n[c+40>>2];k=+n[c+44>>2];C=+n[c+48>>2];B=+n[c+52>>2];A=+n[c+56>>2];G=+n[c+60>>2];H=+n[c+64>>2];I=+n[c+68>>2];J=+n[c+72>>2];K=+n[c+76>>2];q=0;do{L=+(j[a+(q<<1)>>1]|0);v=q|1;M=+(j[a+(v<<1)>>1]|0);F=q|2;N=+(j[a+(F<<1)>>1]|0);u=q|3;O=+(j[a+(u<<1)>>1]|0);E=Ghc(t+(w*L+x*M+y*N+z*O))|0;s=Ghc(m+(l*L+i*M+r*N+p*O))|0;d[b+(q<<1)>>1]=E>>>0<65536?E:(E|0)>0?65535:0;d[b+(v<<1)>>1]=s>>>0<65536?s:(s|0)>0?65535:0;s=Ghc(A+(o*L+k*M+C*N+B*O))|0;v=Ghc(K+(G*L+H*M+I*N+J*O))|0;d[b+(F<<1)>>1]=s>>>0<65536?s:(s|0)>0?65535:0;d[b+(u<<1)>>1]=v>>>0<65536?v:(v|0)>0?65535:0;q=q+4|0}while((q|0)<(h|0));return}if((e|0)<=0)return;h=f+1|0;if((g|0)<=0)return;if((f|0)>0){P=b;Q=a;R=0}else{a=b;b=0;while(1){q=0;v=c;while(1){u=Ghc(+n[v+(f<<2)>>2])|0;d[a+(q<<1)>>1]=u>>>0<65536?u:(u|0)>0?65535:0;q=q+1|0;if((q|0)==(g|0))break;else v=v+(h<<2)|0}b=b+1|0;if((b|0)==(e|0))break;else a=a+(g<<1)|0}return}while(1){a=0;b=c;while(1){v=0;J=+n[b+(f<<2)>>2];do{J=J+ +n[b+(v<<2)>>2]*+(j[Q+(v<<1)>>1]|0);v=v+1|0}while((v|0)!=(f|0));v=Ghc(J)|0;d[P+(a<<1)>>1]=v>>>0<65536?v:(v|0)>0?65535:0;a=a+1|0;if((a|0)==(g|0))break;else b=b+(h<<2)|0}R=R+1|0;if((R|0)==(e|0))break;else{P=P+(g<<1)|0;Q=Q+(f<<1)|0}}return}function TQ(a,b,c,e,f,g){a=a|0;b=b|0;c=c|0;e=e|0;f=f|0;g=g|0;var h=0,i=0.0,j=0.0,k=0.0,l=0.0,m=0.0,o=0.0,p=0,q=0.0,r=0,s=0.0,t=0,u=0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0,D=0,E=0,F=0.0,G=0.0,H=0.0,I=0.0,J=0.0,K=0.0,L=0.0,M=0.0,N=0.0,O=0,P=0,Q=0;if((f|0)==2&(g|0)==2){h=e<<1;if((e|0)<=0)return;i=+n[c>>2];j=+n[c+4>>2];k=+n[c+8>>2];l=+n[c+12>>2];m=+n[c+16>>2];o=+n[c+20>>2];p=0;do{q=+(d[a+(p<<1)>>1]|0);r=p|1;s=+(d[a+(r<<1)>>1]|0);t=Ghc(k+(i*q+j*s))|0;u=Ghc(o+(l*q+m*s))|0;d[b+(p<<1)>>1]=(t+32768|0)>>>0<65536?t:(t|0)>0?32767:32768;d[b+(r<<1)>>1]=(u+32768|0)>>>0<65536?u:(u|0)>0?32767:32768;p=p+2|0}while((p|0)<(h|0));return}h=(f|0)==3;if(h&(g|0)==3){p=e*3|0;if((e|0)<=0)return;m=+n[c>>2];l=+n[c+4>>2];o=+n[c+8>>2];j=+n[c+12>>2];i=+n[c+16>>2];k=+n[c+20>>2];s=+n[c+24>>2];q=+n[c+28>>2];v=+n[c+32>>2];w=+n[c+36>>2];x=+n[c+40>>2];y=+n[c+44>>2];u=0;do{z=+(d[a+(u<<1)>>1]|0);r=u+1|0;A=+(d[a+(r<<1)>>1]|0);t=u+2|0;B=+(d[a+(t<<1)>>1]|0);C=Ghc(j+(m*z+l*A+o*B))|0;D=Ghc(q+(i*z+k*A+s*B))|0;E=Ghc(y+(v*z+w*A+x*B))|0;d[b+(u<<1)>>1]=(C+32768|0)>>>0<65536?C:(C|0)>0?32767:32768;d[b+(r<<1)>>1]=(D+32768|0)>>>0<65536?D:(D|0)>0?32767:32768;d[b+(t<<1)>>1]=(E+32768|0)>>>0<65536?E:(E|0)>0?32767:32768;u=u+3|0}while((u|0)<(p|0));return}if(h&(g|0)==1){if((e|0)<=0)return;x=+n[c>>2];w=+n[c+4>>2];v=+n[c+8>>2];y=+n[c+12>>2];h=a;p=0;while(1){u=Ghc(y+(x*+(d[h>>1]|0)+w*+(d[h+2>>1]|0)+v*+(d[h+4>>1]|0)))|0;d[b+(p<<1)>>1]=(u+32768|0)>>>0<65536?u:(u|0)>0?32767:32768;p=p+1|0;if((p|0)==(e|0))break;else h=h+6|0}return}if((f|0)==4&(g|0)==4){h=e<<2;if((e|0)<=0)return;v=+n[c>>2];w=+n[c+4>>2];x=+n[c+8>>2];y=+n[c+12>>2];s=+n[c+16>>2];k=+n[c+20>>2];i=+n[c+24>>2];q=+n[c+28>>2];o=+n[c+32>>2];l=+n[c+36>>2];m=+n[c+40>>2];j=+n[c+44>>2];B=+n[c+48>>2];A=+n[c+52>>2];z=+n[c+56>>2];F=+n[c+60>>2];G=+n[c+64>>2];H=+n[c+68>>2];I=+n[c+72>>2];J=+n[c+76>>2];p=0;do{K=+(d[a+(p<<1)>>1]|0);u=p|1;L=+(d[a+(u<<1)>>1]|0);E=p|2;M=+(d[a+(E<<1)>>1]|0);t=p|3;N=+(d[a+(t<<1)>>1]|0);D=Ghc(s+(v*K+w*L+x*M+y*N))|0;r=Ghc(l+(k*K+i*L+q*M+o*N))|0;d[b+(p<<1)>>1]=(D+32768|0)>>>0<65536?D:(D|0)>0?32767:32768;d[b+(u<<1)>>1]=(r+32768|0)>>>0<65536?r:(r|0)>0?32767:32768;r=Ghc(z+(m*K+j*L+B*M+A*N))|0;u=Ghc(J+(F*K+G*L+H*M+I*N))|0;d[b+(E<<1)>>1]=(r+32768|0)>>>0<65536?r:(r|0)>0?32767:32768;d[b+(t<<1)>>1]=(u+32768|0)>>>0<65536?u:(u|0)>0?32767:32768;p=p+4|0}while((p|0)<(h|0));return}if((e|0)<=0)return;h=f+1|0;if((g|0)<=0)return;if((f|0)>0){O=b;P=a;Q=0}else{a=b;b=0;while(1){p=0;u=c;while(1){t=Ghc(+n[u+(f<<2)>>2])|0;d[a+(p<<1)>>1]=(t+32768|0)>>>0<65536?t:(t|0)>0?32767:32768;p=p+1|0;if((p|0)==(g|0))break;else u=u+(h<<2)|0}b=b+1|0;if((b|0)==(e|0))break;else a=a+(g<<1)|0}return}while(1){a=0;b=c;while(1){u=0;I=+n[b+(f<<2)>>2];do{I=I+ +n[b+(u<<2)>>2]*+(d[P+(u<<1)>>1]|0);u=u+1|0}while((u|0)!=(f|0));u=Ghc(I)|0;d[O+(a<<1)>>1]=(u+32768|0)>>>0<65536?u:(u|0)>0?32767:32768;a=a+1|0;if((a|0)==(g|0))break;else b=b+(h<<2)|0}Q=Q+1|0;if((Q|0)==(e|0))break;else{O=O+(g<<1)|0;P=P+(f<<1)|0}}return}function UQ(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0.0,j=0.0,k=0.0,l=0.0,m=0.0,n=0.0,o=0,q=0.0,r=0,s=0.0,t=0,u=0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0,D=0,E=0,F=0.0,G=0.0,H=0.0,I=0.0,J=0.0,K=0.0,L=0.0,M=0.0,N=0.0,O=0,P=0,Q=0;if((e|0)==2&(g|0)==2){h=d<<1;if((d|0)<=0)return;i=+p[c>>3];j=+p[c+8>>3];k=+p[c+16>>3];l=+p[c+24>>3];m=+p[c+32>>3];n=+p[c+40>>3];o=0;do{q=+(f[a+(o<<2)>>2]|0);r=o|1;s=+(f[a+(r<<2)>>2]|0);t=Fhc(k+(i*q+j*s))|0;u=Fhc(n+(l*q+m*s))|0;f[b+(o<<2)>>2]=t;f[b+(r<<2)>>2]=u;o=o+2|0}while((o|0)<(h|0));return}h=(e|0)==3;if(h&(g|0)==3){o=d*3|0;if((d|0)<=0)return;m=+p[c>>3];l=+p[c+8>>3];n=+p[c+16>>3];j=+p[c+24>>3];i=+p[c+32>>3];k=+p[c+40>>3];s=+p[c+48>>3];q=+p[c+56>>3];v=+p[c+64>>3];w=+p[c+72>>3];x=+p[c+80>>3];y=+p[c+88>>3];u=0;do{z=+(f[a+(u<<2)>>2]|0);r=u+1|0;A=+(f[a+(r<<2)>>2]|0);t=u+2|0;B=+(f[a+(t<<2)>>2]|0);C=Fhc(j+(m*z+l*A+n*B))|0;D=Fhc(q+(i*z+k*A+s*B))|0;E=Fhc(y+(v*z+w*A+x*B))|0;f[b+(u<<2)>>2]=C;f[b+(r<<2)>>2]=D;f[b+(t<<2)>>2]=E;u=u+3|0}while((u|0)<(o|0));return}if(h&(g|0)==1){if((d|0)<=0)return;x=+p[c>>3];w=+p[c+8>>3];v=+p[c+16>>3];y=+p[c+24>>3];h=a;o=0;while(1){u=Fhc(y+(x*+(f[h>>2]|0)+w*+(f[h+4>>2]|0)+v*+(f[h+8>>2]|0)))|0;f[b+(o<<2)>>2]=u;o=o+1|0;if((o|0)==(d|0))break;else h=h+12|0}return}if((e|0)==4&(g|0)==4){h=d<<2;if((d|0)<=0)return;v=+p[c>>3];w=+p[c+8>>3];x=+p[c+16>>3];y=+p[c+24>>3];s=+p[c+32>>3];k=+p[c+40>>3];i=+p[c+48>>3];q=+p[c+56>>3];n=+p[c+64>>3];l=+p[c+72>>3];m=+p[c+80>>3];j=+p[c+88>>3];B=+p[c+96>>3];A=+p[c+104>>3];z=+p[c+112>>3];F=+p[c+120>>3];G=+p[c+128>>3];H=+p[c+136>>3];I=+p[c+144>>3];J=+p[c+152>>3];o=0;do{K=+(f[a+(o<<2)>>2]|0);u=o|1;L=+(f[a+(u<<2)>>2]|0);E=o|2;M=+(f[a+(E<<2)>>2]|0);t=o|3;N=+(f[a+(t<<2)>>2]|0);D=Fhc(s+(v*K+w*L+x*M+y*N))|0;r=Fhc(l+(k*K+i*L+q*M+n*N))|0;f[b+(o<<2)>>2]=D;f[b+(u<<2)>>2]=r;r=Fhc(z+(m*K+j*L+B*M+A*N))|0;u=Fhc(J+(F*K+G*L+H*M+I*N))|0;f[b+(E<<2)>>2]=r;f[b+(t<<2)>>2]=u;o=o+4|0}while((o|0)<(h|0));return}if((d|0)<=0)return;h=e+1|0;if((g|0)<=0)return;if((e|0)>0){O=b;P=a;Q=0}else{a=b;b=0;while(1){o=0;u=c;while(1){t=Fhc(+p[u+(e<<3)>>3])|0;f[a+(o<<2)>>2]=t;o=o+1|0;if((o|0)==(g|0))break;else u=u+(h<<3)|0}b=b+1|0;if((b|0)==(d|0))break;else a=a+(g<<2)|0}return}while(1){a=0;b=c;while(1){u=0;I=+p[b+(e<<3)>>3];do{I=I+ +p[b+(u<<3)>>3]*+(f[P+(u<<2)>>2]|0);u=u+1|0}while((u|0)!=(e|0));u=Fhc(I)|0;f[O+(a<<2)>>2]=u;a=a+1|0;if((a|0)==(g|0))break;else b=b+(h<<3)|0}Q=Q+1|0;if((Q|0)==(d|0))break;else{O=O+(g<<2)|0;P=P+(e<<2)|0}}return}function VQ(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0.0,q=0,r=0.0,s=0.0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0.0,C=0.0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0;if((e|0)==2&(g|0)==2){h=d<<1;if((d|0)<=0)return;i=c+4|0;j=c+8|0;k=c+12|0;l=c+16|0;m=c+20|0;o=0;do{p=+n[a+(o<<2)>>2];q=o|1;r=+n[a+(q<<2)>>2];s=+n[m>>2]+(p*+n[k>>2]+r*+n[l>>2]);n[b+(o<<2)>>2]=+n[j>>2]+(p*+n[c>>2]+r*+n[i>>2]);n[b+(q<<2)>>2]=s;o=o+2|0}while((o|0)<(h|0));return}h=(e|0)==3;if(h&(g|0)==3){o=d*3|0;if((d|0)<=0)return;i=c+4|0;j=c+8|0;l=c+12|0;k=c+16|0;m=c+20|0;q=c+24|0;t=c+28|0;u=c+32|0;v=c+36|0;w=c+40|0;x=c+44|0;y=0;do{s=+n[a+(y<<2)>>2];z=y+1|0;r=+n[a+(z<<2)>>2];A=y+2|0;p=+n[a+(A<<2)>>2];B=+n[t>>2]+(s*+n[k>>2]+r*+n[m>>2]+p*+n[q>>2]);C=+n[x>>2]+(s*+n[u>>2]+r*+n[v>>2]+p*+n[w>>2]);n[b+(y<<2)>>2]=+n[l>>2]+(s*+n[c>>2]+r*+n[i>>2]+p*+n[j>>2]);n[b+(z<<2)>>2]=B;n[b+(A<<2)>>2]=C;y=y+3|0}while((y|0)<(o|0));return}if(h&(g|0)==1){if((d|0)<=0)return;h=c+4|0;o=c+8|0;y=c+12|0;j=a;i=0;while(1){n[b+(i<<2)>>2]=+n[y>>2]+(+n[c>>2]*+n[j>>2]+ +n[h>>2]*+n[j+4>>2]+ +n[o>>2]*+n[j+8>>2]);i=i+1|0;if((i|0)==(d|0))break;else j=j+12|0}return}if((e|0)==4&(g|0)==4){j=d<<2;if((d|0)<=0)return;i=c+4|0;o=c+8|0;h=c+12|0;y=c+16|0;l=c+20|0;w=c+24|0;v=c+28|0;u=c+32|0;x=c+36|0;q=c+40|0;m=c+44|0;k=c+48|0;t=c+52|0;A=c+56|0;z=c+60|0;D=c+64|0;E=c+68|0;F=c+72|0;G=c+76|0;H=0;do{C=+n[a+(H<<2)>>2];I=H|1;B=+n[a+(I<<2)>>2];J=H|2;p=+n[a+(J<<2)>>2];K=H|3;r=+n[a+(K<<2)>>2];s=+n[x>>2]+(C*+n[l>>2]+B*+n[w>>2]+p*+n[v>>2]+r*+n[u>>2]);n[b+(H<<2)>>2]=+n[y>>2]+(C*+n[c>>2]+B*+n[i>>2]+p*+n[o>>2]+r*+n[h>>2]);n[b+(I<<2)>>2]=s;s=+n[G>>2]+(C*+n[z>>2]+B*+n[D>>2]+p*+n[E>>2]+r*+n[F>>2]);n[b+(J<<2)>>2]=+n[A>>2]+(C*+n[q>>2]+B*+n[m>>2]+p*+n[k>>2]+r*+n[t>>2]);n[b+(K<<2)>>2]=s;H=H+4|0}while((H|0)<(j|0));return}if((d|0)<=0)return;j=e+1|0;if((g|0)<=0)return;if((e|0)>0){L=b;M=a;N=0}else{a=b;b=0;while(1){H=0;t=c;while(1){f[a+(H<<2)>>2]=f[t+(e<<2)>>2];H=H+1|0;if((H|0)==(g|0))break;else t=t+(j<<2)|0}b=b+1|0;if((b|0)==(d|0))break;else a=a+(g<<2)|0}return}while(1){a=0;b=c;while(1){t=0;s=+n[b+(e<<2)>>2];do{s=s+ +n[b+(t<<2)>>2]*+n[M+(t<<2)>>2];t=t+1|0}while((t|0)!=(e|0));n[L+(a<<2)>>2]=s;a=a+1|0;if((a|0)==(g|0))break;else b=b+(j<<2)|0}N=N+1|0;if((N|0)==(d|0))break;else{L=L+(g<<2)|0;M=M+(e<<2)|0}}return}function WQ(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0.0,o=0,q=0.0,r=0.0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0.0,B=0.0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0;if((e|0)==2&(f|0)==2){g=d<<1;if((d|0)<=0)return;h=c+8|0;i=c+16|0;j=c+24|0;k=c+32|0;l=c+40|0;m=0;do{n=+p[a+(m<<3)>>3];o=m|1;q=+p[a+(o<<3)>>3];r=+p[l>>3]+(n*+p[j>>3]+q*+p[k>>3]);p[b+(m<<3)>>3]=+p[i>>3]+(n*+p[c>>3]+q*+p[h>>3]);p[b+(o<<3)>>3]=r;m=m+2|0}while((m|0)<(g|0));return}g=(e|0)==3;if(g&(f|0)==3){m=d*3|0;if((d|0)<=0)return;h=c+8|0;i=c+16|0;k=c+24|0;j=c+32|0;l=c+40|0;o=c+48|0;s=c+56|0;t=c+64|0;u=c+72|0;v=c+80|0;w=c+88|0;x=0;do{r=+p[a+(x<<3)>>3];y=x+1|0;q=+p[a+(y<<3)>>3];z=x+2|0;n=+p[a+(z<<3)>>3];A=+p[s>>3]+(r*+p[j>>3]+q*+p[l>>3]+n*+p[o>>3]);B=+p[w>>3]+(r*+p[t>>3]+q*+p[u>>3]+n*+p[v>>3]);p[b+(x<<3)>>3]=+p[k>>3]+(r*+p[c>>3]+q*+p[h>>3]+n*+p[i>>3]);p[b+(y<<3)>>3]=A;p[b+(z<<3)>>3]=B;x=x+3|0}while((x|0)<(m|0));return}if(g&(f|0)==1){if((d|0)<=0)return;g=c+8|0;m=c+16|0;x=c+24|0;i=a;h=0;while(1){p[b+(h<<3)>>3]=+p[x>>3]+(+p[c>>3]*+p[i>>3]+ +p[g>>3]*+p[i+8>>3]+ +p[m>>3]*+p[i+16>>3]);h=h+1|0;if((h|0)==(d|0))break;else i=i+24|0}return}if((e|0)==4&(f|0)==4){i=d<<2;if((d|0)<=0)return;h=c+8|0;m=c+16|0;g=c+24|0;x=c+32|0;k=c+40|0;v=c+48|0;u=c+56|0;t=c+64|0;w=c+72|0;o=c+80|0;l=c+88|0;j=c+96|0;s=c+104|0;z=c+112|0;y=c+120|0;C=c+128|0;D=c+136|0;E=c+144|0;F=c+152|0;G=0;do{B=+p[a+(G<<3)>>3];H=G|1;A=+p[a+(H<<3)>>3];I=G|2;n=+p[a+(I<<3)>>3];J=G|3;q=+p[a+(J<<3)>>3];r=+p[w>>3]+(B*+p[k>>3]+A*+p[v>>3]+n*+p[u>>3]+q*+p[t>>3]);p[b+(G<<3)>>3]=+p[x>>3]+(B*+p[c>>3]+A*+p[h>>3]+n*+p[m>>3]+q*+p[g>>3]);p[b+(H<<3)>>3]=r;r=+p[F>>3]+(B*+p[y>>3]+A*+p[C>>3]+n*+p[D>>3]+q*+p[E>>3]);p[b+(I<<3)>>3]=+p[z>>3]+(B*+p[o>>3]+A*+p[l>>3]+n*+p[j>>3]+q*+p[s>>3]);p[b+(J<<3)>>3]=r;G=G+4|0}while((G|0)<(i|0));return}if((d|0)<=0)return;i=e+1|0;if((f|0)<=0)return;if((e|0)>0){K=b;L=a;M=0}else{a=b;b=0;while(1){G=0;s=c;while(1){p[a+(G<<3)>>3]=+p[s+(e<<3)>>3];G=G+1|0;if((G|0)==(f|0))break;else s=s+(i<<3)|0}b=b+1|0;if((b|0)==(d|0))break;else a=a+(f<<3)|0}return}while(1){a=0;b=c;while(1){s=0;r=+p[b+(e<<3)>>3];do{r=r+ +p[b+(s<<3)>>3]*+p[L+(s<<3)>>3];s=s+1|0}while((s|0)!=(e|0));p[K+(a<<3)>>3]=r;a=a+1|0;if((a|0)==(f|0))break;else b=b+(i<<3)|0}M=M+1|0;if((M|0)==(d|0))break;else{K=K+(f<<3)|0;L=L+(e<<3)|0}}return}function XQ(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0;e=u;u=u+1392|0;g=e+1376|0;h=e+1320|0;i=e+1264|0;j=e+1208|0;k=e+1200|0;l=e+16|0;m=e+1144|0;n=e;o=e+1112|0;gV(g,38980);do if((qJ(a)|0)==65536){p=f[a+4>>2]|0;f[h>>2]=f[p>>2];q=h+4|0;r=p+4|0;f[q>>2]=f[r>>2];s=h+8|0;f[s>>2]=f[p+8>>2];f[h+12>>2]=f[p+12>>2];f[h+16>>2]=f[p+16>>2];f[h+20>>2]=f[p+20>>2];f[h+24>>2]=f[p+24>>2];f[h+28>>2]=f[p+28>>2];f[h+32>>2]=f[p+32>>2];t=f[p+36>>2]|0;f[h+36>>2]=t;f[h+40>>2]=s;s=h+48|0;v=h+44|0;f[v>>2]=s;f[s>>2]=0;f[h+52>>2]=0;if(t|0){s=t+12|0;f[s>>2]=(f[s>>2]|0)+1}if((f[r>>2]|0)<3){r=f[p+44>>2]|0;s=f[v>>2]|0;f[s>>2]=f[r>>2];f[s+4>>2]=f[r+4>>2];break}else{f[q>>2]=0;$T(h,p);break}}else nJ(h,a,-1);while(0);do if((qJ(d)|0)==65536){a=f[d+4>>2]|0;f[i>>2]=f[a>>2];p=i+4|0;q=a+4|0;f[p>>2]=f[q>>2];r=i+8|0;f[r>>2]=f[a+8>>2];s=i+12|0;f[s>>2]=f[a+12>>2];f[i+16>>2]=f[a+16>>2];f[i+20>>2]=f[a+20>>2];f[i+24>>2]=f[a+24>>2];f[i+28>>2]=f[a+28>>2];f[i+32>>2]=f[a+32>>2];v=f[a+36>>2]|0;f[i+36>>2]=v;f[i+40>>2]=r;t=i+48|0;w=i+44|0;f[w>>2]=t;f[t>>2]=0;f[i+52>>2]=0;if(v|0){t=v+12|0;f[t>>2]=(f[t>>2]|0)+1}if((f[q>>2]|0)<3){q=f[a+44>>2]|0;t=f[w>>2]|0;f[t>>2]=f[q>>2];f[t+4>>2]=f[q+4>>2];x=r;y=s;break}else{f[p>>2]=0;$T(i,a);x=r;y=s;break}}else{nJ(i,d,-1);x=i+8|0;y=i+12|0}while(0);d=f[h>>2]|0;s=d&7;r=d>>>3&511;d=r+1|0;a=f[x>>2]|0;p=a+-1|0;q=r+2|0;if((q|0)!=(f[y>>2]|0)){f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;r=cuc(32)|0;f[j>>2]=r;f[j+8>>2]=-2147483616;f[j+4>>2]=17;z=r;A=214297;B=z+17|0;do{b[z>>0]=b[A>>0]|0;z=z+1|0;A=A+1|0}while((z|0)<(B|0));b[r+17>>0]=0;WD(-215,j,214315,213603,2268)}r=(s|0)==5;if((s+-5|0)>>>0>=2){f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;t=cuc(48)|0;f[j>>2]=t;f[j+8>>2]=-2147483600;f[j+4>>2]=34;z=t;A=214336;B=z+34|0;do{b[z>>0]=b[A>>0]|0;z=z+1|0;A=A+1|0}while((z|0)<(B|0));b[t+34>>0]=0;WD(-215,j,214315,213603,2269)}t=h+40|0;A=f[t>>2]|0;z=f[A>>2]|0;f[k>>2]=f[A+4>>2];f[k+4>>2]=z;IJ(c,k,(a<<3)+-16|s,-1,0,0);do if((qJ(c)|0)==65536){s=f[c+4>>2]|0;f[j>>2]=f[s>>2];k=j+4|0;z=s+4|0;f[k>>2]=f[z>>2];A=j+8|0;f[A>>2]=f[s+8>>2];f[j+12>>2]=f[s+12>>2];f[j+16>>2]=f[s+16>>2];f[j+20>>2]=f[s+20>>2];f[j+24>>2]=f[s+24>>2];f[j+28>>2]=f[s+28>>2];f[j+32>>2]=f[s+32>>2];B=f[s+36>>2]|0;f[j+36>>2]=B;f[j+40>>2]=A;A=j+48|0;w=j+44|0;f[w>>2]=A;f[A>>2]=0;f[j+52>>2]=0;if(B|0){A=B+12|0;f[A>>2]=(f[A>>2]|0)+1}if((f[z>>2]|0)<3){z=f[s+44>>2]|0;A=f[w>>2]|0;f[A>>2]=f[z>>2];f[A+4>>2]=f[z+4>>2];break}else{f[k>>2]=0;$T(j,s);break}}else nJ(j,c,-1);while(0);c=l+8|0;f[l>>2]=c;s=l+4|0;f[s>>2]=136;k=i+16|0;z=i+44|0;if((f[i>>2]&20479|0)==16390)C=f[k>>2]|0;else{A=Y(q,a)|0;f[s>>2]=A;if(A>>>0>136){w=euc(A>>>0>536870911?-1:A<<3)|0;f[l>>2]=w;D=w}else D=c;f[m>>2]=1124007942;w=m+4|0;f[w>>2]=2;B=m+8|0;f[B>>2]=a;a=m+12|0;f[a>>2]=q;v=m+16|0;f[v>>2]=D;E=m+20|0;f[E>>2]=D;F=m+24|0;G=m+28|0;H=m+40|0;I=F+8|0;f[I>>2]=0;f[I+4>>2]=0;f[H>>2]=B;I=m+48|0;J=m+44|0;f[J>>2]=I;K=q<<3;f[I>>2]=K;f[m+52>>2]=8;q=D+(A<<3)|0;f[G>>2]=q;f[F>>2]=q+(0-K)+K;YT(m);K=n+8|0;f[K>>2]=0;f[K+4>>2]=0;f[n>>2]=33619968;f[n+4>>2]=m;kQ(i,n,6,1.0,0.0);K=m+36|0;q=f[K>>2]|0;if(q|0){A=q+12|0;f[A>>2]=(f[A>>2]|0)+1}A=i+36|0;q=f[A>>2]|0;if(q|0?(L=q+12|0,q=f[L>>2]|0,f[L>>2]=q+-1,(q|0)==1):0)aU(i);f[A>>2]=0;q=i+4|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;if((f[q>>2]|0)>0){L=f[i+40>>2]|0;M=0;do{f[L+(M<<2)>>2]=0;M=M+1|0;N=f[q>>2]|0}while((M|0)<(N|0));f[i>>2]=f[m>>2];if((N|0)<3)O=39;else O=41}else{f[i>>2]=f[m>>2];O=39}if((O|0)==39){N=f[w>>2]|0;if((N|0)<3){f[q>>2]=N;f[x>>2]=f[B>>2];f[y>>2]=f[a>>2];a=f[J>>2]|0;y=f[z>>2]|0;f[y>>2]=f[a>>2];f[y+4>>2]=f[a+4>>2]}else O=41}if((O|0)==41)$T(i,m);f[k>>2]=f[v>>2];f[i+20>>2]=f[E>>2];f[i+24>>2]=f[F>>2];f[i+28>>2]=f[G>>2];f[i+32>>2]=f[m+32>>2];G=f[K>>2]|0;f[A>>2]=G;if(G|0?(A=G+12|0,G=f[A>>2]|0,f[A>>2]=G+-1,(G|0)==1):0)aU(m);f[K>>2]=0;f[v>>2]=0;f[v+4>>2]=0;f[v+8>>2]=0;f[v+12>>2]=0;if((f[w>>2]|0)>0){v=f[H>>2]|0;H=0;do{f[v+(H<<2)>>2]=0;H=H+1|0}while((H|0)<(f[w>>2]|0))}w=f[J>>2]|0;if((w|0)!=(I|0))TC(w);C=D}D=r?141:140;f[m>>2]=h;f[m+4>>2]=j;f[m+8>>2]=0;r=n;f[r>>2]=0;f[r+4>>2]=0;YC(o,m,n,-1);m=f[o+20>>2]|0;r=o+16|0;w=n+4|0;I=0;while(1){if(I>>>0>=(f[r>>2]|0)>>>0)break;Vg[D&255](f[n>>2]|0,f[w>>2]|0,C,m,d,p);ZC(o)|0;I=I+1|0}I=f[l>>2]|0;if((I|0)!=(c|0)){if(I|0)guc(I);f[l>>2]=c;f[s>>2]=136}s=j+36|0;c=f[s>>2]|0;if(c|0?(l=c+12|0,c=f[l>>2]|0,f[l>>2]=c+-1,(c|0)==1):0)aU(j);f[s>>2]=0;s=j+16|0;c=j+4|0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;if((f[c>>2]|0)>0){s=f[j+40>>2]|0;l=0;do{f[s+(l<<2)>>2]=0;l=l+1|0}while((l|0)<(f[c>>2]|0))}c=f[j+44>>2]|0;if((c|0)!=(j+48|0))TC(c);c=i+36|0;j=f[c>>2]|0;if(j|0?(l=j+12|0,j=f[l>>2]|0,f[l>>2]=j+-1,(j|0)==1):0)aU(i);f[c>>2]=0;c=i+4|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;if((f[c>>2]|0)>0){k=f[i+40>>2]|0;j=0;do{f[k+(j<<2)>>2]=0;j=j+1|0}while((j|0)<(f[c>>2]|0))}c=f[z>>2]|0;if((c|0)!=(i+48|0))TC(c);c=h+36|0;i=f[c>>2]|0;if(i|0?(z=i+12|0,i=f[z>>2]|0,f[z>>2]=i+-1,(i|0)==1):0)aU(h);f[c>>2]=0;c=h+16|0;i=h+4|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[i>>2]|0)>0){c=f[t>>2]|0;t=0;do{f[c+(t<<2)>>2]=0;t=t+1|0}while((t|0)<(f[i>>2]|0))}i=f[h+44>>2]|0;if((i|0)!=(h+48|0))TC(i);if(!(f[g+4>>2]|0)){u=e;return}u=e;return}function YQ(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0.0,j=0.0,k=0.0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,u=0.0,v=0.0,w=0.0,x=0.0,y=0,z=0.0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0.0,I=0,J=0.0,K=0.0,M=0,N=0.0,O=0,P=0,Q=0,R=0,S=0,T=0;g=(f|0)==2;if((e|0)==2&g){h=d<<1;if((d|0)<=0)return;i=+p[c+48>>3];j=+p[c+56>>3];k=+p[c+64>>3];l=c+8|0;m=c+16|0;o=c+24|0;q=c+32|0;r=c+40|0;s=0;do{t=s|1;u=+n[a+(s<<2)>>2];v=+n[a+(t<<2)>>2];w=k+(i*u+j*v);if(+L(+w)>1.1920928955078125e-07){x=1.0/w;n[b+(s<<2)>>2]=x*(+p[m>>3]+(u*+p[c>>3]+v*+p[l>>3]));y=t;z=x*(+p[r>>3]+(u*+p[o>>3]+v*+p[q>>3]))}else{n[b+(t<<2)>>2]=0.0;y=s;z=0.0}n[b+(y<<2)>>2]=z;s=s+2|0}while((s|0)<(h|0));return}h=(e|0)==3;if(h&(f|0)==3){s=d*3|0;if((d|0)<=0)return;z=+p[c+96>>3];j=+p[c+104>>3];i=+p[c+112>>3];k=+p[c+120>>3];y=c+8|0;q=c+16|0;o=c+24|0;r=c+32|0;l=c+40|0;m=c+48|0;t=c+56|0;A=c+64|0;B=c+72|0;C=c+80|0;D=c+88|0;E=0;do{F=E+1|0;G=E+2|0;v=+n[a+(E<<2)>>2];u=+n[a+(F<<2)>>2];x=+n[a+(G<<2)>>2];w=k+(z*v+j*u+i*x);if(+L(+w)>1.1920928955078125e-07){H=1.0/w;n[b+(E<<2)>>2]=H*(+p[o>>3]+(v*+p[c>>3]+u*+p[y>>3]+x*+p[q>>3]));I=G;J=H*(+p[t>>3]+(v*+p[r>>3]+u*+p[l>>3]+x*+p[m>>3]));K=H*(+p[D>>3]+(v*+p[A>>3]+u*+p[B>>3]+x*+p[C>>3]))}else{n[b+(G<<2)>>2]=0.0;I=E;J=0.0;K=0.0}n[b+(F<<2)>>2]=J;n[b+(I<<2)>>2]=K;E=E+3|0}while((E|0)<(s|0));return}s=(d|0)>0;if(h&g){if(!s)return;K=+p[c+64>>3];J=+p[c+72>>3];i=+p[c+80>>3];j=+p[c+88>>3];g=c+8|0;h=c+16|0;E=c+24|0;I=c+32|0;C=c+40|0;B=c+48|0;A=c+56|0;D=a;m=b;l=0;while(1){z=+n[D>>2];k=+n[D+4>>2];x=+n[D+8>>2];u=j+(K*z+J*k+i*x);if(+L(+u)>1.1920928955078125e-07){v=1.0/u;n[m>>2]=v*(+p[E>>3]+(z*+p[c>>3]+k*+p[g>>3]+x*+p[h>>3]));M=m+4|0;N=v*(+p[A>>3]+(z*+p[I>>3]+k*+p[C>>3]+x*+p[B>>3]))}else{n[m+4>>2]=0.0;M=m;N=0.0}n[M>>2]=N;l=l+1|0;if((l|0)==(d|0))break;else{D=D+12|0;m=m+8|0}}return}if(!s)return;s=e+1|0;m=c+((Y(s,f)|0)<<3)|0;N=+p[m+(e<<3)>>3];D=(f|0)>0;l=f<<2;if((e|0)>0){if(D){O=a;P=b;Q=0}else return;while(1){a=b+((Y(Q,f)|0)<<2)|0;M=0;i=N;do{i=i+ +p[m+(M<<3)>>3]*+n[O+(M<<2)>>2];M=M+1|0}while((M|0)!=(e|0));if(+L(+i)>1.1920928955078125e-07){M=0;B=c;while(1){J=+p[B+(e<<3)>>3];C=0;do{J=J+ +p[B+(C<<3)>>3]*+n[O+(C<<2)>>2];C=C+1|0}while((C|0)!=(e|0));n[P+(M<<2)>>2]=i*J;M=M+1|0;if((M|0)==(f|0))break;else B=B+(s<<3)|0}}else kzc(a|0,0,l|0)|0;Q=Q+1|0;if((Q|0)==(d|0))break;else{O=O+(e<<2)|0;P=P+(f<<2)|0}}return}else{if(!(+L(+N)>1.1920928955078125e-07)){if(D)R=0;else return;do{kzc(b+((Y(R,f)|0)<<2)|0,0,l|0)|0;R=R+1|0}while((R|0)!=(d|0));return}if(D){S=b;T=0}else return;while(1){b=0;D=c;while(1){n[S+(b<<2)>>2]=N*+p[D+(e<<3)>>3];b=b+1|0;if((b|0)==(f|0))break;else D=D+(s<<3)|0}T=T+1|0;if((T|0)==(d|0))break;else S=S+(f<<2)|0}return}}function ZQ(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0.0,t=0,u=0.0,v=0.0,w=0.0,x=0,y=0.0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0.0,J=0,K=0.0,M=0,N=0,O=0,P=0,Q=0;g=(f|0)==2;if((e|0)==2&g){h=d<<1;if((d|0)<=0)return;i=c+48|0;j=c+56|0;k=c+64|0;l=c+8|0;m=c+16|0;n=c+24|0;o=c+32|0;q=c+40|0;r=0;do{s=+p[a+(r<<3)>>3];t=r|1;u=+p[a+(t<<3)>>3];v=+p[k>>3]+(s*+p[i>>3]+u*+p[j>>3]);if(+L(+v)>1.1920928955078125e-07){w=1.0/v;p[b+(r<<3)>>3]=w*(+p[m>>3]+(s*+p[c>>3]+u*+p[l>>3]));x=t;y=w*(+p[q>>3]+(s*+p[n>>3]+u*+p[o>>3]))}else{p[b+(t<<3)>>3]=0.0;x=r;y=0.0}p[b+(x<<3)>>3]=y;r=r+2|0}while((r|0)<(h|0));return}h=(e|0)==3;if(h&(f|0)==3){r=d*3|0;if((d|0)<=0)return;x=c+96|0;o=c+104|0;n=c+112|0;q=c+120|0;l=c+8|0;m=c+16|0;j=c+24|0;i=c+32|0;k=c+40|0;t=c+48|0;z=c+56|0;A=c+64|0;B=c+72|0;C=c+80|0;D=c+88|0;E=0;do{y=+p[a+(E<<3)>>3];F=E+1|0;u=+p[a+(F<<3)>>3];G=E+2|0;s=+p[a+(G<<3)>>3];w=+p[q>>3]+(y*+p[x>>3]+u*+p[o>>3]+s*+p[n>>3]);if(+L(+w)>1.1920928955078125e-07){v=1.0/w;p[b+(E<<3)>>3]=v*(+p[j>>3]+(y*+p[c>>3]+u*+p[l>>3]+s*+p[m>>3]));p[b+(F<<3)>>3]=v*(+p[z>>3]+(y*+p[i>>3]+u*+p[k>>3]+s*+p[t>>3]));H=G;I=v*(+p[D>>3]+(y*+p[A>>3]+u*+p[B>>3]+s*+p[C>>3]))}else{p[b+(G<<3)>>3]=0.0;p[b+(F<<3)>>3]=0.0;H=E;I=0.0}p[b+(H<<3)>>3]=I;E=E+3|0}while((E|0)<(r|0));return}r=(d|0)>0;if(h&g){if(!r)return;g=c+64|0;h=c+72|0;E=c+80|0;H=c+88|0;C=c+8|0;B=c+16|0;A=c+24|0;D=c+32|0;t=c+40|0;k=c+48|0;i=c+56|0;z=a;m=b;l=0;while(1){I=+p[z>>3];s=+p[z+8>>3];u=+p[z+16>>3];y=+p[H>>3]+(I*+p[g>>3]+s*+p[h>>3]+u*+p[E>>3]);if(+L(+y)>1.1920928955078125e-07){v=1.0/y;p[m>>3]=v*(+p[A>>3]+(I*+p[c>>3]+s*+p[C>>3]+u*+p[B>>3]));J=m+8|0;K=v*(+p[i>>3]+(I*+p[D>>3]+s*+p[t>>3]+u*+p[k>>3]))}else{p[m+8>>3]=0.0;J=m;K=0.0}p[J>>3]=K;l=l+1|0;if((l|0)==(d|0))break;else{z=z+24|0;m=m+16|0}}return}if(!r)return;r=e+1|0;m=c+((Y(r,f)|0)<<3)|0;z=m+(e<<3)|0;l=(f|0)>0;J=f<<3;if((e|0)<=0){if(l){M=b;N=0}else return;while(1){K=+p[z>>3];if(+L(+K)>1.1920928955078125e-07){k=0;t=c;while(1){p[M+(k<<3)>>3]=K*+p[t+(e<<3)>>3];k=k+1|0;if((k|0)==(f|0))break;else t=t+(r<<3)|0}}else kzc(b+((Y(N,f)|0)<<3)|0,0,J|0)|0;N=N+1|0;if((N|0)==(d|0))break;else M=M+(f<<3)|0}return}if(l){O=a;P=b;Q=0}else return;while(1){a=b+((Y(Q,f)|0)<<3)|0;l=0;K=+p[z>>3];do{K=K+ +p[m+(l<<3)>>3]*+p[O+(l<<3)>>3];l=l+1|0}while((l|0)!=(e|0));if(+L(+K)>1.1920928955078125e-07){l=0;M=c;while(1){u=+p[M+(e<<3)>>3];N=0;do{u=u+ +p[M+(N<<3)>>3]*+p[O+(N<<3)>>3];N=N+1|0}while((N|0)!=(e|0));p[P+(l<<3)>>3]=K*u;l=l+1|0;if((l|0)==(f|0))break;else M=M+(r<<3)|0}}else kzc(a|0,0,J|0)|0;Q=Q+1|0;if((Q|0)==(d|0))break;else{O=O+(e<<3)|0;P=P+(f<<3)|0}}return}function _Q(a,c,d,e){a=a|0;c=+c;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0;g=u;u=u+256|0;h=g;i=g+248|0;j=g+192|0;k=g+136|0;l=g+80|0;m=g+72|0;o=g+56|0;q=g+40|0;r=g+8|0;p[h>>3]=c;gV(i,39e3);s=pJ(a,-1)|0;t=s&7;v=(s>>>3&511)+1|0;if((s|0)!=(pJ(d,-1)|0)){f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;w=cuc(32)|0;f[j>>2]=w;f[j+8>>2]=-2147483616;f[j+4>>2]=20;x=w;y=214438;z=x+20|0;do{b[x>>0]=b[y>>0]|0;x=x+1|0;y=y+1|0}while((x|0)<(z|0));b[w+20>>0]=0;WD(-215,j,214459,213603,2414)}if(t>>>0>=5){do if((qJ(a)|0)==65536){w=f[a+4>>2]|0;f[j>>2]=f[w>>2];A=j+4|0;B=w+4|0;f[A>>2]=f[B>>2];C=j+8|0;f[C>>2]=f[w+8>>2];f[j+12>>2]=f[w+12>>2];f[j+16>>2]=f[w+16>>2];f[j+20>>2]=f[w+20>>2];f[j+24>>2]=f[w+24>>2];f[j+28>>2]=f[w+28>>2];f[j+32>>2]=f[w+32>>2];D=f[w+36>>2]|0;f[j+36>>2]=D;f[j+40>>2]=C;C=j+48|0;E=j+44|0;f[E>>2]=C;f[C>>2]=0;f[j+52>>2]=0;if(D|0){C=D+12|0;f[C>>2]=(f[C>>2]|0)+1}if((f[B>>2]|0)<3){B=f[w+44>>2]|0;C=f[E>>2]|0;f[C>>2]=f[B>>2];f[C+4>>2]=f[B+4>>2];break}else{f[A>>2]=0;$T(j,w);break}}else nJ(j,a,-1);while(0);do if((qJ(d)|0)==65536){w=f[d+4>>2]|0;f[k>>2]=f[w>>2];A=k+4|0;B=w+4|0;f[A>>2]=f[B>>2];C=k+8|0;f[C>>2]=f[w+8>>2];f[k+12>>2]=f[w+12>>2];f[k+16>>2]=f[w+16>>2];f[k+20>>2]=f[w+20>>2];f[k+24>>2]=f[w+24>>2];f[k+28>>2]=f[w+28>>2];f[k+32>>2]=f[w+32>>2];E=f[w+36>>2]|0;f[k+36>>2]=E;D=k+40|0;f[D>>2]=C;C=k+48|0;F=k+44|0;f[F>>2]=C;f[C>>2]=0;f[k+52>>2]=0;if(E|0){C=E+12|0;f[C>>2]=(f[C>>2]|0)+1}if((f[B>>2]|0)<3){B=f[w+44>>2]|0;C=f[F>>2]|0;f[C>>2]=f[B>>2];f[C+4>>2]=f[B+4>>2];G=D;break}else{f[A>>2]=0;$T(k,w);G=D;break}}else{nJ(k,d,-1);G=k+40|0}while(0);D=j+40|0;w=f[D>>2]|0;A=f[w+-4>>2]|0;B=f[G>>2]|0;if((A|0)!=(f[B+-4>>2]|0)){f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;H=cuc(32)|0;f[l>>2]=H;I=l+8|0;f[I>>2]=-2147483616;J=l+4|0;f[J>>2]=22;x=H;y=214468;z=x+22|0;do{b[x>>0]=b[y>>0]|0;x=x+1|0;y=y+1|0}while((x|0)<(z|0));K=H+22|0;b[K>>0]=0;WD(-215,l,214459,213603,2426)}a:do if((A|0)==2){if((f[w>>2]|0)!=(f[B>>2]|0)){f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;H=cuc(32)|0;f[l>>2]=H;I=l+8|0;f[I>>2]=-2147483616;J=l+4|0;f[J>>2]=22;x=H;y=214468;z=x+22|0;do{b[x>>0]=b[y>>0]|0;x=x+1|0;y=y+1|0}while((x|0)<(z|0));K=H+22|0;b[K>>0]=0;WD(-215,l,214459,213603,2426)}if((f[w+4>>2]|0)!=(f[B+4>>2]|0)){f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;H=cuc(32)|0;f[l>>2]=H;I=l+8|0;f[I>>2]=-2147483616;J=l+4|0;f[J>>2]=22;x=H;y=214468;z=x+22|0;do{b[x>>0]=b[y>>0]|0;x=x+1|0;y=y+1|0}while((x|0)<(z|0));K=H+22|0;b[K>>0]=0;WD(-215,l,214459,213603,2426)}}else if((A|0)>0){C=0;while(1){if((f[w+(C<<2)>>2]|0)!=(f[B+(C<<2)>>2]|0))break;C=C+1|0;if((C|0)>=(A|0))break a}f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;H=cuc(32)|0;f[l>>2]=H;I=l+8|0;f[I>>2]=-2147483616;J=l+4|0;f[J>>2]=22;x=H;y=214468;z=x+22|0;do{b[x>>0]=b[y>>0]|0;x=x+1|0;y=y+1|0}while((x|0)<(z|0));K=H+22|0;b[K>>0]=0;WD(-215,l,214459,213603,2426)}while(0);K=j+4|0;JJ(e,f[K>>2]|0,w,s,-1,0,0);do if((qJ(e)|0)==65536){s=f[e+4>>2]|0;f[l>>2]=f[s>>2];w=l+4|0;H=s+4|0;f[w>>2]=f[H>>2];y=l+8|0;f[y>>2]=f[s+8>>2];f[l+12>>2]=f[s+12>>2];f[l+16>>2]=f[s+16>>2];f[l+20>>2]=f[s+20>>2];f[l+24>>2]=f[s+24>>2];f[l+28>>2]=f[s+28>>2];f[l+32>>2]=f[s+32>>2];x=f[s+36>>2]|0;f[l+36>>2]=x;f[l+40>>2]=y;y=l+48|0;z=l+44|0;f[z>>2]=y;f[y>>2]=0;f[l+52>>2]=0;if(x|0){y=x+12|0;f[y>>2]=(f[y>>2]|0)+1}if((f[H>>2]|0)<3){H=f[s+44>>2]|0;y=f[z>>2]|0;f[y>>2]=f[H>>2];f[y+4>>2]=f[H+4>>2];break}else{f[w>>2]=0;$T(l,s);break}}else nJ(l,e,-1);while(0);n[m>>2]=+p[h>>3];s=(t|0)==5;w=s?m:h;m=s?137:136;if(((f[j>>2]&16384|0)!=0?(f[k>>2]&16384|0)!=0:0)?(f[l>>2]&16384|0)!=0:0){s=f[K>>2]|0;if((s|0)<3)L=Y(f[j+12>>2]|0,f[j+8>>2]|0)|0;else{H=f[D>>2]|0;y=0;z=1;while(1){x=Y(f[H+(y<<2)>>2]|0,z)|0;y=y+1|0;if((y|0)==(s|0)){L=x;break}else z=x}}z=Y(L,v)|0;th[m&255](f[j+16>>2]|0,f[k+16>>2]|0,f[l+16>>2]|0,z,w)}else{f[o>>2]=j;f[o+4>>2]=k;f[o+8>>2]=l;f[o+12>>2]=0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;YC(r,o,q,-1);o=Y(f[r+20>>2]|0,v)|0;v=r+16|0;z=q+4|0;L=q+8|0;s=0;while(1){if(s>>>0>=(f[v>>2]|0)>>>0)break;th[m&255](f[q>>2]|0,f[z>>2]|0,f[L>>2]|0,o,w);ZC(r)|0;s=s+1|0}}s=l+36|0;r=f[s>>2]|0;if(r|0?(w=r+12|0,r=f[w>>2]|0,f[w>>2]=r+-1,(r|0)==1):0)aU(l);f[s>>2]=0;s=l+16|0;r=l+4|0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;if((f[r>>2]|0)>0){s=f[l+40>>2]|0;w=0;do{f[s+(w<<2)>>2]=0;w=w+1|0}while((w|0)<(f[r>>2]|0))}r=f[l+44>>2]|0;if((r|0)!=(l+48|0))TC(r);r=k+36|0;l=f[r>>2]|0;if(l|0?(w=l+12|0,l=f[w>>2]|0,f[w>>2]=l+-1,(l|0)==1):0)aU(k);f[r>>2]=0;r=k+16|0;l=k+4|0;f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;f[r+12>>2]=0;if((f[l>>2]|0)>0){r=f[G>>2]|0;G=0;do{f[r+(G<<2)>>2]=0;G=G+1|0}while((G|0)<(f[l>>2]|0))}l=f[k+44>>2]|0;if((l|0)!=(k+48|0))TC(l);l=j+36|0;k=f[l>>2]|0;if(k|0?(G=k+12|0,k=f[G>>2]|0,f[G>>2]=k+-1,(k|0)==1):0)aU(j);f[l>>2]=0;l=j+16|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;if((f[K>>2]|0)>0){l=f[D>>2]|0;D=0;do{f[l+(D<<2)>>2]=0;D=D+1|0}while((D|0)<(f[K>>2]|0))}K=f[j+44>>2]|0;if((K|0)!=(j+48|0))TC(K)}else HX(a,+p[h>>3],d,1.0,0.0,e,t);if(!(f[i+4>>2]|0)){u=g;return}u=g;return}function $Q(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0.0,g=0;f=+n[e>>2];if((d|0)>0)g=0;else return;do{n[c+(g<<2)>>2]=f*+n[a+(g<<2)>>2]+ +n[b+(g<<2)>>2];g=g+1|0}while((g|0)!=(d|0));return}function aR(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0.0,g=0;f=+p[e>>3];if((d|0)>0)g=0;else return;do{p[c+(g<<3)>>3]=f*+p[a+(g<<3)>>3]+ +p[b+(g<<3)>>3];g=g+1|0}while((g|0)!=(d|0));return}function bR(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=+g;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;i=u;u=u+352|0;j=i+344|0;k=i+288|0;l=i+232|0;m=i+176|0;n=i+120|0;o=i+104|0;p=i+88|0;q=i+72|0;r=i+16|0;s=i;gV(j,39020);do if((qJ(a)|0)==65536){t=f[a+4>>2]|0;f[k>>2]=f[t>>2];v=k+4|0;w=t+4|0;f[v>>2]=f[w>>2];x=k+8|0;f[x>>2]=f[t+8>>2];f[k+12>>2]=f[t+12>>2];f[k+16>>2]=f[t+16>>2];f[k+20>>2]=f[t+20>>2];f[k+24>>2]=f[t+24>>2];f[k+28>>2]=f[t+28>>2];f[k+32>>2]=f[t+32>>2];y=f[t+36>>2]|0;f[k+36>>2]=y;f[k+40>>2]=x;x=k+48|0;z=k+44|0;f[z>>2]=x;f[x>>2]=0;f[k+52>>2]=0;if(y|0){x=y+12|0;f[x>>2]=(f[x>>2]|0)+1}if((f[w>>2]|0)<3){w=f[t+44>>2]|0;x=f[z>>2]|0;f[x>>2]=f[w>>2];f[x+4>>2]=f[w+4>>2];break}else{f[v>>2]=0;$T(k,t);break}}else nJ(k,a,-1);while(0);do if((qJ(e)|0)==65536){a=f[e+4>>2]|0;f[l>>2]=f[a>>2];t=l+4|0;v=a+4|0;f[t>>2]=f[v>>2];w=l+8|0;f[w>>2]=f[a+8>>2];f[l+12>>2]=f[a+12>>2];f[l+16>>2]=f[a+16>>2];f[l+20>>2]=f[a+20>>2];f[l+24>>2]=f[a+24>>2];f[l+28>>2]=f[a+28>>2];f[l+32>>2]=f[a+32>>2];x=f[a+36>>2]|0;f[l+36>>2]=x;f[l+40>>2]=w;w=l+48|0;z=l+44|0;f[z>>2]=w;f[w>>2]=0;f[l+52>>2]=0;if(x|0){w=x+12|0;f[w>>2]=(f[w>>2]|0)+1}if((f[v>>2]|0)<3){v=f[a+44>>2]|0;w=f[z>>2]|0;f[w>>2]=f[v>>2];f[w+4>>2]=f[v+4>>2];A=l;break}else{f[t>>2]=0;$T(l,a);A=l;break}}else{nJ(l,e,-1);A=l}while(0);e=f[k>>2]|0;a=e&4095;t=((h|0)>-1?h:e)&7;h=f[A>>2]|0;A=h&7;v=t>>>0<A>>>0?A:t;t=(v|0)>5?v:5;if(e&4088|0){f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;e=cuc(32)|0;f[m>>2]=e;f[m+8>>2]=-2147483616;f[m+4>>2]=19;B=e;C=214554;D=B+19|0;do{b[B>>0]=b[C>>0]|0;B=B+1|0;C=C+1|0}while((B|0)<(D|0));b[e+19>>0]=0;WD(-215,m,214574,213603,2887)}e=l+16|0;if(f[e>>2]|0){A=f[l+4>>2]|0;if((A|0)<3)E=Y(f[l+12>>2]|0,f[l+8>>2]|0)|0;else{w=f[l+40>>2]|0;z=0;x=1;while(1){y=Y(f[w+(z<<2)>>2]|0,x)|0;z=z+1|0;if((z|0)==(A|0)){E=y;break}else x=y}}if(!((A|0)==0|(E|0)==0)){if(h&4088|0){f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;E=cuc(32)|0;f[m>>2]=E;f[m+8>>2]=-2147483616;f[m+4>>2]=21;B=E;C=214588;D=B+21|0;do{b[B>>0]=b[C>>0]|0;B=B+1|0;C=C+1|0}while((B|0)<(D|0));b[E+21>>0]=0;WD(-215,m,214574,213603,2893)}E=f[l+8>>2]|0;if(!((E|0)==1?1:(E|0)==(f[k+8>>2]|0))){f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;E=cuc(48)|0;f[m>>2]=E;f[m+8>>2]=-2147483600;f[m+4>>2]=43;B=E;C=214610;D=B+43|0;do{b[B>>0]=b[C>>0]|0;B=B+1|0;C=C+1|0}while((B|0)<(D|0));b[E+43>>0]=0;WD(-215,m,214574,213603,2893)}E=f[l+12>>2]|0;if(!((E|0)==1?1:(E|0)==(f[k+12>>2]|0))){f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;E=cuc(48)|0;f[m>>2]=E;f[m+8>>2]=-2147483600;f[m+4>>2]=43;B=E;C=214654;D=B+43|0;do{b[B>>0]=b[C>>0]|0;B=B+1|0;C=C+1|0}while((B|0)<(D|0));b[E+43>>0]=0;WD(-215,m,214574,213603,2893)}if((h&4095|0)!=(t|0)){h=m+8|0;f[h>>2]=0;f[h+4>>2]=0;f[m>>2]=33619968;f[m+4>>2]=l;kQ(l,m,t,1.0,0.0)}}}h=k+8|0;E=k+12|0;C=d?f[E>>2]|0:f[h>>2]|0;jK(c,C,C,t,-1,0,0);do if((qJ(c)|0)==65536){C=f[c+4>>2]|0;f[m>>2]=f[C>>2];A=m+4|0;x=C+4|0;f[A>>2]=f[x>>2];z=m+8|0;f[z>>2]=f[C+8>>2];f[m+12>>2]=f[C+12>>2];w=m+16|0;f[w>>2]=f[C+16>>2];f[m+20>>2]=f[C+20>>2];f[m+24>>2]=f[C+24>>2];f[m+28>>2]=f[C+28>>2];f[m+32>>2]=f[C+32>>2];y=f[C+36>>2]|0;f[m+36>>2]=y;f[m+40>>2]=z;z=m+48|0;F=m+44|0;f[F>>2]=z;f[z>>2]=0;f[m+52>>2]=0;if(y|0){z=y+12|0;f[z>>2]=(f[z>>2]|0)+1}if((f[x>>2]|0)<3){x=f[C+44>>2]|0;z=f[F>>2]|0;f[z>>2]=f[x>>2];f[z+4>>2]=f[x+4>>2];G=w;break}else{f[A>>2]=0;$T(m,C);G=w;break}}else{nJ(m,c,-1);G=m+16|0}while(0);c=k+16|0;do if((f[c>>2]|0)==(f[G>>2]|0))H=42;else{if(((a|0)==(t|0)?(f[m+12>>2]|0)>99:0)?((f[E>>2]|0)>99?(f[m+8>>2]|0)>99:0)&(f[h>>2]|0)>99:0){H=42;break}w=(a|0)==0;C=(v|0)<6;do if(!(w&C)){A=(t|0)==6;if(w&A){I=d?23:22;break}x=(a|0)==2;if(x&C){I=d?25:24;break}if(x&A){I=d?27:26;break}x=(a|0)==3;if(x&C){I=d?29:28;break}if(x&A){I=d?31:30;break}x=(a|0)==5;if(x&C){I=d?33:32;break}if(x&A){I=d?35:34;break}if((a|0)==6&A)I=d?37:36;else{f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;WD(-210,n,214574,213603,2988)}}else I=d?21:20;while(0);nh[I&63](k,m,l,g);C=n+8|0;f[C>>2]=0;f[C+4>>2]=0;f[n>>2]=50397184;f[n+4>>2]=m;aO(n,0)}while(0);if((H|0)==42){f[n>>2]=1124007936;H=n+4|0;I=n+8|0;a=n+40|0;B=H;D=B+36|0;do{f[B>>2]=0;B=B+4|0}while((B|0)<(D|0));f[a>>2]=I;I=n+48|0;t=n+44|0;f[t>>2]=I;f[I>>2]=0;f[n+52>>2]=0;do if(f[e>>2]|0){v=f[l+4>>2]|0;if((v|0)<3)J=Y(f[l+12>>2]|0,f[l+8>>2]|0)|0;else{C=f[l+40>>2]|0;w=0;A=1;while(1){x=Y(f[C+(w<<2)>>2]|0,A)|0;w=w+1|0;if((w|0)==(v|0)){J=x;break}else A=x}}if(!((v|0)==0|(J|0)==0)){A=f[l+40>>2]|0;w=f[k+40>>2]|0;if((f[A>>2]|0)==(f[w>>2]|0)?(f[A+4>>2]|0)==(f[w+4>>2]|0):0){f[o+8>>2]=0;f[o+12>>2]=0;f[o>>2]=16842752;f[o+4>>2]=k;f[p+8>>2]=0;f[p+12>>2]=0;f[p>>2]=16842752;f[p+4>>2]=l;w=q+8|0;f[w>>2]=0;f[w+4>>2]=0;f[q>>2]=33619968;f[q+4>>2]=n;HW(o,p,q,sK()|0,-1);K=n;break}else{f[o+8>>2]=0;f[o+12>>2]=0;f[o>>2]=16842752;f[o+4>>2]=l;w=f[h>>2]|0;A=f[l+8>>2]|0;C=f[E>>2]|0;x=f[l+12>>2]|0;z=p+8|0;f[z>>2]=0;f[z+4>>2]=0;f[p>>2]=33619968;f[p+4>>2]=n;KI(o,(w|0)/(A|0)|0,(C|0)/(x|0)|0,p);f[o+8>>2]=0;f[o+12>>2]=0;f[o>>2]=16842752;f[o+4>>2]=k;f[p+8>>2]=0;f[p+12>>2]=0;f[p>>2]=16842752;f[p+4>>2]=n;x=q+8|0;f[x>>2]=0;f[x+4>>2]=0;f[q>>2]=33619968;f[q+4>>2]=n;HW(o,p,q,sK()|0,-1);K=n;break}}else K=k}else K=k;while(0);f[o+8>>2]=0;f[o+12>>2]=0;f[o>>2]=16842752;f[o+4>>2]=K;f[p+8>>2]=0;f[p+12>>2]=0;f[p>>2]=16842752;f[p+4>>2]=K;f[r>>2]=1124007936;K=r+4|0;E=r+8|0;h=r+40|0;B=K;D=B+36|0;do{f[B>>2]=0;B=B+4|0}while((B|0)<(D|0));f[h>>2]=E;E=r+48|0;B=r+44|0;f[B>>2]=E;f[E>>2]=0;f[r+52>>2]=0;f[q+8>>2]=0;f[q+12>>2]=0;f[q>>2]=16842752;f[q+4>>2]=r;D=s+8|0;f[D>>2]=0;f[D+4>>2]=0;f[s>>2]=33619968;f[s+4>>2]=m;HQ(o,p,g,q,0.0,s,d?1:2);d=r+36|0;s=f[d>>2]|0;if(s|0?(q=s+12|0,s=f[q>>2]|0,f[q>>2]=s+-1,(s|0)==1):0)aU(r);f[d>>2]=0;d=r+16|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[K>>2]|0)>0){d=f[h>>2]|0;h=0;do{f[d+(h<<2)>>2]=0;h=h+1|0}while((h|0)<(f[K>>2]|0))}K=f[B>>2]|0;if((K|0)!=(E|0))TC(K);K=n+36|0;E=f[K>>2]|0;if(E|0?(B=E+12|0,E=f[B>>2]|0,f[B>>2]=E+-1,(E|0)==1):0)aU(n);f[K>>2]=0;K=n+16|0;f[K>>2]=0;f[K+4>>2]=0;f[K+8>>2]=0;f[K+12>>2]=0;if((f[H>>2]|0)>0){K=f[a>>2]|0;a=0;do{f[K+(a<<2)>>2]=0;a=a+1|0}while((a|0)<(f[H>>2]|0))}H=f[t>>2]|0;if((H|0)!=(I|0))TC(H)}H=m+36|0;I=f[H>>2]|0;if(I|0?(t=I+12|0,I=f[t>>2]|0,f[t>>2]=I+-1,(I|0)==1):0)aU(m);f[H>>2]=0;H=m+4|0;f[G>>2]=0;f[G+4>>2]=0;f[G+8>>2]=0;f[G+12>>2]=0;if((f[H>>2]|0)>0){G=f[m+40>>2]|0;I=0;do{f[G+(I<<2)>>2]=0;I=I+1|0}while((I|0)<(f[H>>2]|0))}H=f[m+44>>2]|0;if((H|0)!=(m+48|0))TC(H);H=l+36|0;m=f[H>>2]|0;if(m|0?(I=m+12|0,m=f[I>>2]|0,f[I>>2]=m+-1,(m|0)==1):0)aU(l);f[H>>2]=0;H=l+4|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((f[H>>2]|0)>0){e=f[l+40>>2]|0;m=0;do{f[e+(m<<2)>>2]=0;m=m+1|0}while((m|0)<(f[H>>2]|0))}H=f[l+44>>2]|0;if((H|0)!=(l+48|0))TC(H);H=k+36|0;l=f[H>>2]|0;if(l|0?(m=l+12|0,l=f[m>>2]|0,f[m>>2]=l+-1,(l|0)==1):0)aU(k);f[H>>2]=0;H=k+4|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[H>>2]|0)>0){c=f[k+40>>2]|0;l=0;do{f[c+(l<<2)>>2]=0;l=l+1|0}while((l|0)<(f[H>>2]|0))}H=f[k+44>>2]|0;if((H|0)!=(k+48|0))TC(H);if(!(f[j+4>>2]|0)){u=i;return}u=i;return}function cR(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;var e=0,g=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0.0,E=0.0,F=0.0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0.0,O=0.0,P=0.0,Q=0.0,R=0.0,S=0,T=0,U=0;e=u;u=u+1040|0;g=e;i=f[a+16>>2]|0;j=f[b+16>>2]|0;k=f[c+16>>2]|0;l=f[a+48>>2]|0;m=(f[b+48>>2]|0)>>>2;b=(f[c+8>>2]|0)>1?(f[c+48>>2]|0)>>>2:0;o=f[c+12>>2]|0;c=f[a+40>>2]|0;a=f[c+4>>2]|0;p=f[c>>2]|0;c=g+8|0;f[g>>2]=c;q=g+4|0;f[q>>2]=1032;r=(k|0)!=0;s=(o|0)<(a|0);o=r&s?p*20|0:p<<2;f[q>>2]=o;if(o>>>0>1032){t=euc(o)|0;f[g>>2]=t;v=t}else v=c;a:do if(r){do if(s){t=v+(p<<2)|0;if((p|0)<=0)if(!t){w=11;break a}else{x=t;y=t;z=b|0?4:0;break}else A=0;do{o=k+((Y(A,b)|0)<<2)|0;B=f[o>>2]|0;o=A<<2;f[t+((o|3)<<2)>>2]=B;f[t+((o|2)<<2)>>2]=B;f[t+((o|1)<<2)>>2]=B;f[t+(o<<2)>>2]=B;A=A+1|0}while((A|0)!=(p|0));x=t;y=t;z=b|0?4:0}else{x=k;y=0;z=b}while(0);if((a|0)>0){B=(y|0)!=0;o=(p|0)>0;C=a+-4|0;D=d*0.0;E=d*0.0;F=d*0.0;G=j;H=0;while(1){if(B){if(o){I=0;do{J=i+((Y(I,l)|0)+H)|0;K=y+((Y(I,z)|0)<<2)|0;n[v+(I<<2)>>2]=+(h[J>>0]|0)-+n[K>>2];I=I+1|0}while((I|0)!=(p|0))}}else if(o){I=0;do{t=i+((Y(I,l)|0)+H)|0;K=x+((Y(I,z)|0)+H<<2)|0;n[v+(I<<2)>>2]=+(h[t>>0]|0)-+n[K>>2];I=I+1|0}while((I|0)!=(p|0))}b:do if((H|0)>(C|0))L=H;else{if(o)M=H;else{I=H;while(1){n[G+(I<<2)>>2]=F;n[G+(I+1<<2)>>2]=F;n[G+(I+2<<2)>>2]=F;n[G+(I+3<<2)>>2]=F;K=I+4|0;if((K|0)>(C|0)){L=K;break b}else I=K}}while(1){I=B?y:x+(M<<2)|0;K=i+M|0;N=0.0;O=0.0;P=0.0;Q=0.0;t=0;while(1){R=+n[v+(t<<2)>>2];Q=Q+R*(+(h[K>>0]|0)-+n[I>>2]);P=P+R*(+(h[K+1>>0]|0)-+n[I+4>>2]);O=O+R*(+(h[K+2>>0]|0)-+n[I+8>>2]);N=N+R*(+(h[K+3>>0]|0)-+n[I+12>>2]);t=t+1|0;if((t|0)==(p|0))break;else{I=I+(z<<2)|0;K=K+l|0}}n[G+(M<<2)>>2]=Q*d;n[G+(M+1<<2)>>2]=P*d;n[G+(M+2<<2)>>2]=O*d;n[G+(M+3<<2)>>2]=N*d;K=M+4|0;if((K|0)>(C|0)){L=K;break}else M=K}}while(0);c:do if((L|0)<(a|0)){if(!o)if(B){K=L;while(1){n[G+(K<<2)>>2]=D;K=K+1|0;if((K|0)==(a|0))break c}}else{K=L;while(1){n[G+(K<<2)>>2]=E;K=K+1|0;if((K|0)==(a|0))break c}}if(B){K=L;do{I=i+K|0;R=0.0;t=y;J=0;while(1){R=R+ +n[v+(J<<2)>>2]*(+(h[I>>0]|0)-+n[t>>2]);J=J+1|0;if((J|0)==(p|0))break;else{I=I+l|0;t=t+(z<<2)|0}}n[G+(K<<2)>>2]=R*d;K=K+1|0}while((K|0)!=(a|0))}else{K=L;do{t=i+K|0;N=0.0;I=x+(K<<2)|0;J=0;while(1){N=N+ +n[v+(J<<2)>>2]*(+(h[t>>0]|0)-+n[I>>2]);J=J+1|0;if((J|0)==(p|0))break;else{t=t+l|0;I=I+(z<<2)|0}}n[G+(K<<2)>>2]=N*d;K=K+1|0}while((K|0)!=(a|0))}}while(0);H=H+1|0;if((H|0)==(a|0))break;else G=G+(m<<2)|0}}}else w=11;while(0);if((w|0)==11?(a|0)>0:0){w=(p|0)>0;z=a+-4|0;E=d*0.0;D=d*0.0;x=j;j=0;while(1){if(w){L=0;do{y=i+((Y(L,l)|0)+j)|0;n[v+(L<<2)>>2]=+(h[y>>0]|0);L=L+1|0}while((L|0)!=(p|0))}d:do if((j|0)>(z|0))S=j;else{if(w)T=j;else{L=j;while(1){n[x+(L<<2)>>2]=D;n[x+(L+1<<2)>>2]=D;n[x+(L+2<<2)>>2]=D;n[x+(L+3<<2)>>2]=D;y=L+4|0;if((y|0)>(z|0)){S=y;break d}else L=y}}while(1){L=i+T|0;F=0.0;R=0.0;O=0.0;P=0.0;y=0;while(1){Q=+n[v+(y<<2)>>2];P=P+Q*+(h[L>>0]|0);O=O+Q*+(h[L+1>>0]|0);R=R+Q*+(h[L+2>>0]|0);F=F+Q*+(h[L+3>>0]|0);y=y+1|0;if((y|0)==(p|0))break;else L=L+l|0}n[x+(T<<2)>>2]=P*d;n[x+(T+1<<2)>>2]=O*d;n[x+(T+2<<2)>>2]=R*d;n[x+(T+3<<2)>>2]=F*d;L=T+4|0;if((L|0)>(z|0)){S=L;break}else T=L}}while(0);e:do if((S|0)<(a|0)){if(w)U=S;else{L=S;while(1){n[x+(L<<2)>>2]=E;L=L+1|0;if((L|0)==(a|0))break e}}do{L=i+U|0;Q=0.0;y=0;while(1){Q=Q+ +n[v+(y<<2)>>2]*+(h[L>>0]|0);y=y+1|0;if((y|0)==(p|0))break;else L=L+l|0}n[x+(U<<2)>>2]=Q*d;U=U+1|0}while((U|0)!=(a|0))}while(0);j=j+1|0;if((j|0)==(a|0))break;else x=x+(m<<2)|0}}if((v|0)==(c|0)){u=e;return}guc(v);f[g>>2]=c;f[q>>2]=1032;u=e;return}function dR(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;var e=0,g=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0.0,E=0.0,F=0.0,G=0,H=0,I=0,J=0.0,K=0.0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0.0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0.0,$=0.0,aa=0,ba=0,ca=0.0;e=u;u=u+1056|0;g=e+1040|0;i=e;j=f[a+16>>2]|0;k=f[b+16>>2]|0;l=f[c+16>>2]|0;m=f[a+48>>2]|0;o=(f[b+48>>2]|0)>>>2;b=(f[c+8>>2]|0)>1?(f[c+48>>2]|0)>>>2:0;p=f[c+12>>2]|0;c=f[a+40>>2]|0;a=f[c+4>>2]|0;q=f[c>>2]|0;if(!l){if((q|0)<=0){u=e;return}c=a+-4|0;r=(a|0)<4;t=a&-4;v=(a|0)>0;w=(t|0)<(a|0);x=0;y=k;while(1){z=j+(Y(x,m)|0)|0;if(r){A=x;do{B=j+(Y(A,m)|0)|0;if(v){C=0;D=0.0;while(1){E=D+ +(h[z+C>>0]|0)*+(h[B+C>>0]|0);C=C+1|0;if((C|0)==(a|0)){F=E;break}else D=E}}else F=0.0;n[y+(A<<2)>>2]=F*d;A=A+1|0}while((A|0)!=(q|0))}else{A=x;do{C=j+(Y(A,m)|0)|0;B=0;D=0.0;do{G=B|1;H=B|2;I=B|3;D=D+(+(h[z+B>>0]|0)*+(h[C+B>>0]|0)+ +(h[z+G>>0]|0)*+(h[C+G>>0]|0)+ +(h[z+H>>0]|0)*+(h[C+H>>0]|0)+ +(h[z+I>>0]|0)*+(h[C+I>>0]|0));B=B+4|0}while((B|0)<=(c|0));if(w){B=t;E=D;while(1){J=E+ +(h[z+B>>0]|0)*+(h[C+B>>0]|0);B=B+1|0;if((B|0)==(a|0)){K=J;break}else E=J}}else K=D;n[y+(A<<2)>>2]=K*d;A=A+1|0}while((A|0)!=(q|0))}x=x+1|0;if((x|0)==(q|0))break;else y=y+(o<<2)|0}u=e;return}y=(p|0)==(a|0)?4:0;x=a<<2;t=i+8|0;f[i>>2]=t;w=i+4|0;f[w>>2]=x;if(x>>>0>1032){c=euc(x)|0;f[i>>2]=c;L=c}else L=t;if((q|0)>0){c=(p|0)<(a|0);p=(a|0)>0;x=g+12|0;v=g+8|0;r=g+4|0;A=a+-4|0;z=(a|0)<4;B=a&-4;C=Y(y,B)|0;I=g+C|0;H=0;G=k;k=l+C|0;while(1){C=j+(Y(H,m)|0)|0;M=l+((Y(H,b)|0)<<2)|0;if(c)if(p){N=0;do{n[L+(N<<2)>>2]=+(h[C+N>>0]|0)-+n[M>>2];N=N+1|0}while((N|0)!=(a|0));O=21}else{P=H;O=22}else if(p){N=0;do{n[L+(N<<2)>>2]=+(h[C+N>>0]|0)-+n[M+(N<<2)>>2];N=N+1|0}while((N|0)!=(a|0));O=21}else{Q=H;R=k;O=31}if((O|0)==21){O=0;if(c){P=H;O=22}else{Q=H;R=k;O=31}}if((O|0)==22)while(1){O=0;N=j+(Y(P,m)|0)|0;M=l+((Y(P,b)|0)<<2)|0;C=f[M>>2]|0;f[x>>2]=C;f[v>>2]=C;f[r>>2]=C;f[g>>2]=C;a:do if(z){S=0.0;T=g;U=0}else{K=0.0;M=g;V=0;F=(f[s>>2]=C,+n[s>>2]);while(1){W=V|1;X=V|2;Z=V|3;E=K+(+n[L+(V<<2)>>2]*(+(h[N+V>>0]|0)-F)+ +n[L+(W<<2)>>2]*(+(h[N+W>>0]|0)-+n[M+4>>2])+ +n[L+(X<<2)>>2]*(+(h[N+X>>0]|0)-+n[M+8>>2])+ +n[L+(Z<<2)>>2]*(+(h[N+Z>>0]|0)-+n[M+12>>2]));Z=V+4|0;X=M+(y<<2)|0;if((Z|0)>(A|0)){S=E;T=I;U=B;break a}K=E;M=X;V=Z;F=+n[X>>2]}}while(0);if((U|0)<(a|0)){D=S;C=T;V=U;while(1){F=D+ +n[L+(V<<2)>>2]*(+(h[N+V>>0]|0)-+n[C>>2]);V=V+1|0;if((V|0)==(a|0)){_=F;break}else{D=F;C=C+4|0}}}else _=S;n[G+(P<<2)>>2]=_*d;P=P+1|0;if((P|0)==(q|0))break;else O=22}else if((O|0)==31)while(1){O=0;C=j+(Y(Q,m)|0)|0;V=l+((Y(Q,b)|0)<<2)|0;if(z){$=0.0;aa=V;ba=0}else{D=0.0;N=V;V=0;while(1){M=V|1;X=V|2;Z=V|3;F=D+(+n[L+(V<<2)>>2]*(+(h[C+V>>0]|0)-+n[N>>2])+ +n[L+(M<<2)>>2]*(+(h[C+M>>0]|0)-+n[N+4>>2])+ +n[L+(X<<2)>>2]*(+(h[C+X>>0]|0)-+n[N+8>>2])+ +n[L+(Z<<2)>>2]*(+(h[C+Z>>0]|0)-+n[N+12>>2]));V=V+4|0;if((V|0)>(A|0)){$=F;aa=R;ba=B;break}else{D=F;N=N+(y<<2)|0}}}if((ba|0)<(a|0)){D=$;N=aa;V=ba;while(1){F=D+ +n[L+(V<<2)>>2]*(+(h[C+V>>0]|0)-+n[N>>2]);V=V+1|0;if((V|0)==(a|0)){ca=F;break}else{D=F;N=N+4|0}}}else ca=$;n[G+(Q<<2)>>2]=ca*d;Q=Q+1|0;if((Q|0)==(q|0))break;else{R=R+(b<<2)|0;O=31}}H=H+1|0;if((H|0)==(q|0))break;else{G=G+(o<<2)|0;k=k+(b<<2)|0}}}if((L|0)!=(t|0)){guc(L);f[i>>2]=t;f[w>>2]=1032}u=e;return}function eR(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;var e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0.0,C=0,D=0,E=0.0,F=0.0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0.0,O=0.0,P=0.0,Q=0.0,R=0.0,S=0,T=0,U=0;e=u;u=u+1040|0;g=e;i=f[a+16>>2]|0;j=f[b+16>>2]|0;k=f[c+16>>2]|0;l=f[a+48>>2]|0;m=(f[b+48>>2]|0)>>>3;b=(f[c+8>>2]|0)>1?(f[c+48>>2]|0)>>>3:0;n=f[c+12>>2]|0;c=f[a+40>>2]|0;a=f[c+4>>2]|0;o=f[c>>2]|0;c=g+8|0;f[g>>2]=c;q=g+4|0;f[q>>2]=1032;r=(k|0)!=0;s=(n|0)<(a|0);n=r&s?o*40|0:o<<3;f[q>>2]=n;if(n>>>0>1032){t=euc(n)|0;f[g>>2]=t;v=t}else v=c;a:do if(r){do if(s){t=v+(o<<3)|0;if((o|0)<=0)if(!t){w=11;break a}else{x=t;y=t;z=b|0?4:0;break}else A=0;do{n=k+((Y(A,b)|0)<<3)|0;B=+p[n>>3];n=A<<2;p[t+((n|3)<<3)>>3]=B;p[t+((n|2)<<3)>>3]=B;p[t+((n|1)<<3)>>3]=B;p[t+(n<<3)>>3]=B;A=A+1|0}while((A|0)!=(o|0));x=t;y=t;z=b|0?4:0}else{x=k;y=0;z=b}while(0);if((a|0)>0){n=(y|0)!=0;C=(o|0)>0;D=a+-4|0;B=d*0.0;E=d*0.0;F=d*0.0;G=j;H=0;while(1){if(n){if(C){I=0;do{J=i+((Y(I,l)|0)+H)|0;K=y+((Y(I,z)|0)<<3)|0;p[v+(I<<3)>>3]=+(h[J>>0]|0)-+p[K>>3];I=I+1|0}while((I|0)!=(o|0))}}else if(C){I=0;do{t=i+((Y(I,l)|0)+H)|0;K=x+((Y(I,z)|0)+H<<3)|0;p[v+(I<<3)>>3]=+(h[t>>0]|0)-+p[K>>3];I=I+1|0}while((I|0)!=(o|0))}b:do if((H|0)>(D|0))L=H;else{if(C)M=H;else{I=H;while(1){p[G+(I<<3)>>3]=F;p[G+(I+1<<3)>>3]=F;p[G+(I+2<<3)>>3]=F;p[G+(I+3<<3)>>3]=F;K=I+4|0;if((K|0)>(D|0)){L=K;break b}else I=K}}while(1){I=n?y:x+(M<<3)|0;K=i+M|0;N=0.0;O=0.0;P=0.0;Q=0.0;t=0;while(1){R=+p[v+(t<<3)>>3];Q=Q+R*(+(h[K>>0]|0)-+p[I>>3]);P=P+R*(+(h[K+1>>0]|0)-+p[I+8>>3]);O=O+R*(+(h[K+2>>0]|0)-+p[I+16>>3]);N=N+R*(+(h[K+3>>0]|0)-+p[I+24>>3]);t=t+1|0;if((t|0)==(o|0))break;else{I=I+(z<<3)|0;K=K+l|0}}p[G+(M<<3)>>3]=Q*d;p[G+(M+1<<3)>>3]=P*d;p[G+(M+2<<3)>>3]=O*d;p[G+(M+3<<3)>>3]=N*d;K=M+4|0;if((K|0)>(D|0)){L=K;break}else M=K}}while(0);c:do if((L|0)<(a|0)){if(!C)if(n){K=L;while(1){p[G+(K<<3)>>3]=B;K=K+1|0;if((K|0)==(a|0))break c}}else{K=L;while(1){p[G+(K<<3)>>3]=E;K=K+1|0;if((K|0)==(a|0))break c}}if(n){K=L;do{I=i+K|0;R=0.0;t=y;J=0;while(1){R=R+ +p[v+(J<<3)>>3]*(+(h[I>>0]|0)-+p[t>>3]);J=J+1|0;if((J|0)==(o|0))break;else{I=I+l|0;t=t+(z<<3)|0}}p[G+(K<<3)>>3]=R*d;K=K+1|0}while((K|0)!=(a|0))}else{K=L;do{t=i+K|0;N=0.0;I=x+(K<<3)|0;J=0;while(1){N=N+ +p[v+(J<<3)>>3]*(+(h[t>>0]|0)-+p[I>>3]);J=J+1|0;if((J|0)==(o|0))break;else{t=t+l|0;I=I+(z<<3)|0}}p[G+(K<<3)>>3]=N*d;K=K+1|0}while((K|0)!=(a|0))}}while(0);H=H+1|0;if((H|0)==(a|0))break;else G=G+(m<<3)|0}}}else w=11;while(0);if((w|0)==11?(a|0)>0:0){w=(o|0)>0;z=a+-4|0;E=d*0.0;B=d*0.0;x=j;j=0;while(1){if(w){L=0;do{y=i+((Y(L,l)|0)+j)|0;p[v+(L<<3)>>3]=+(h[y>>0]|0);L=L+1|0}while((L|0)!=(o|0))}d:do if((j|0)>(z|0))S=j;else{if(w)T=j;else{L=j;while(1){p[x+(L<<3)>>3]=B;p[x+(L+1<<3)>>3]=B;p[x+(L+2<<3)>>3]=B;p[x+(L+3<<3)>>3]=B;y=L+4|0;if((y|0)>(z|0)){S=y;break d}else L=y}}while(1){L=i+T|0;F=0.0;R=0.0;O=0.0;P=0.0;y=0;while(1){Q=+p[v+(y<<3)>>3];P=P+Q*+(h[L>>0]|0);O=O+Q*+(h[L+1>>0]|0);R=R+Q*+(h[L+2>>0]|0);F=F+Q*+(h[L+3>>0]|0);y=y+1|0;if((y|0)==(o|0))break;else L=L+l|0}p[x+(T<<3)>>3]=P*d;p[x+(T+1<<3)>>3]=O*d;p[x+(T+2<<3)>>3]=R*d;p[x+(T+3<<3)>>3]=F*d;L=T+4|0;if((L|0)>(z|0)){S=L;break}else T=L}}while(0);e:do if((S|0)<(a|0)){if(w)U=S;else{L=S;while(1){p[x+(L<<3)>>3]=E;L=L+1|0;if((L|0)==(a|0))break e}}do{L=i+U|0;Q=0.0;y=0;while(1){Q=Q+ +p[v+(y<<3)>>3]*+(h[L>>0]|0);y=y+1|0;if((y|0)==(o|0))break;else L=L+l|0}p[x+(U<<3)>>3]=Q*d;U=U+1|0}while((U|0)!=(a|0))}while(0);j=j+1|0;if((j|0)==(a|0))break;else x=x+(m<<3)|0}}if((v|0)==(c|0)){u=e;return}guc(v);f[g>>2]=c;f[q>>2]=1032;u=e;return}function fR(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;var e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0.0,D=0.0,E=0.0,F=0,G=0,H=0,I=0.0,J=0.0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0.0,S=0,T=0,U=0,V=0,W=0,X=0.0,Z=0.0,_=0,$=0,aa=0.0;e=u;u=u+1072|0;g=e;i=e+32|0;j=f[a+16>>2]|0;k=f[b+16>>2]|0;l=f[c+16>>2]|0;m=f[a+48>>2]|0;n=(f[b+48>>2]|0)>>>3;b=(f[c+8>>2]|0)>1?(f[c+48>>2]|0)>>>3:0;o=f[c+12>>2]|0;c=f[a+40>>2]|0;a=f[c+4>>2]|0;q=f[c>>2]|0;if(!l){if((q|0)<=0){u=e;return}c=a+-4|0;r=(a|0)<4;s=a&-4;t=(a|0)>0;v=(s|0)<(a|0);w=0;x=k;while(1){y=j+(Y(w,m)|0)|0;if(r){z=w;do{A=j+(Y(z,m)|0)|0;if(t){B=0;C=0.0;while(1){D=C+ +(h[y+B>>0]|0)*+(h[A+B>>0]|0);B=B+1|0;if((B|0)==(a|0)){E=D;break}else C=D}}else E=0.0;p[x+(z<<3)>>3]=E*d;z=z+1|0}while((z|0)!=(q|0))}else{z=w;do{B=j+(Y(z,m)|0)|0;A=0;C=0.0;do{F=A|1;G=A|2;H=A|3;C=C+(+(h[y+A>>0]|0)*+(h[B+A>>0]|0)+ +(h[y+F>>0]|0)*+(h[B+F>>0]|0)+ +(h[y+G>>0]|0)*+(h[B+G>>0]|0)+ +(h[y+H>>0]|0)*+(h[B+H>>0]|0));A=A+4|0}while((A|0)<=(c|0));if(v){A=s;D=C;while(1){I=D+ +(h[y+A>>0]|0)*+(h[B+A>>0]|0);A=A+1|0;if((A|0)==(a|0)){J=I;break}else D=I}}else J=C;p[x+(z<<3)>>3]=J*d;z=z+1|0}while((z|0)!=(q|0))}w=w+1|0;if((w|0)==(q|0))break;else x=x+(n<<3)|0}u=e;return}x=(o|0)==(a|0)?4:0;w=a<<3;s=i+8|0;f[i>>2]=s;v=i+4|0;f[v>>2]=w;if(w>>>0>1032){c=euc(w)|0;f[i>>2]=c;K=c}else K=s;if((q|0)>0){c=(o|0)<(a|0);o=(a|0)>0;w=g+24|0;t=g+16|0;r=g+8|0;z=a+-4|0;y=(a|0)<4;A=z>>>2;B=(A<<2)+4|0;H=Y(x,(A<<3)+8|0)|0;A=g+H|0;G=0;F=k;k=l+H|0;while(1){H=j+(Y(G,m)|0)|0;L=l+((Y(G,b)|0)<<3)|0;if(c)if(o){M=0;do{p[K+(M<<3)>>3]=+(h[H+M>>0]|0)-+p[L>>3];M=M+1|0}while((M|0)!=(a|0));N=21}else{O=G;N=22}else if(o){M=0;do{p[K+(M<<3)>>3]=+(h[H+M>>0]|0)-+p[L+(M<<3)>>3];M=M+1|0}while((M|0)!=(a|0));N=21}else{P=G;Q=k;N=30}if((N|0)==21){N=0;if(c){O=G;N=22}else{P=G;Q=k;N=30}}if((N|0)==22)while(1){N=0;M=j+(Y(O,m)|0)|0;L=l+((Y(O,b)|0)<<3)|0;J=+p[L>>3];p[w>>3]=J;p[t>>3]=J;p[r>>3]=J;p[g>>3]=J;a:do if(y){R=0.0;S=g;T=0}else{E=0.0;L=g;H=0;D=J;while(1){U=H|1;V=H|2;W=H|3;I=E+(+p[K+(H<<3)>>3]*(+(h[M+H>>0]|0)-D)+ +p[K+(U<<3)>>3]*(+(h[M+U>>0]|0)-+p[L+8>>3])+ +p[K+(V<<3)>>3]*(+(h[M+V>>0]|0)-+p[L+16>>3])+ +p[K+(W<<3)>>3]*(+(h[M+W>>0]|0)-+p[L+24>>3]));W=H+4|0;V=L+(x<<3)|0;if((W|0)>(z|0)){R=I;S=A;T=B;break a}E=I;L=V;H=W;D=+p[V>>3]}}while(0);if((T|0)<(a|0)){J=R;H=S;L=T;while(1){C=J+ +p[K+(L<<3)>>3]*(+(h[M+L>>0]|0)-+p[H>>3]);L=L+1|0;if((L|0)==(a|0)){X=C;break}else{J=C;H=H+8|0}}}else X=R;p[F+(O<<3)>>3]=X*d;O=O+1|0;if((O|0)==(q|0))break;else N=22}else if((N|0)==30)while(1){N=0;H=j+(Y(P,m)|0)|0;L=l+((Y(P,b)|0)<<3)|0;if(y){Z=0.0;_=L;$=0}else{J=0.0;M=L;L=0;while(1){V=L|1;W=L|2;U=L|3;C=J+(+p[K+(L<<3)>>3]*(+(h[H+L>>0]|0)-+p[M>>3])+ +p[K+(V<<3)>>3]*(+(h[H+V>>0]|0)-+p[M+8>>3])+ +p[K+(W<<3)>>3]*(+(h[H+W>>0]|0)-+p[M+16>>3])+ +p[K+(U<<3)>>3]*(+(h[H+U>>0]|0)-+p[M+24>>3]));L=L+4|0;if((L|0)>(z|0)){Z=C;_=Q;$=B;break}else{J=C;M=M+(x<<3)|0}}}if(($|0)<(a|0)){J=Z;M=_;L=$;while(1){C=J+ +p[K+(L<<3)>>3]*(+(h[H+L>>0]|0)-+p[M>>3]);L=L+1|0;if((L|0)==(a|0)){aa=C;break}else{J=C;M=M+8|0}}}else aa=Z;p[F+(P<<3)>>3]=aa*d;P=P+1|0;if((P|0)==(q|0))break;else{Q=Q+(b<<3)|0;N=30}}G=G+1|0;if((G|0)==(q|0))break;else{F=F+(n<<3)|0;k=k+(b<<3)|0}}}if((K|0)!=(s|0)){guc(K);f[i>>2]=s;f[v>>2]=1032}u=e;return}function gR(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;var e=0,g=0,h=0,i=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0.0,E=0.0,F=0.0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0.0,O=0.0,P=0.0,Q=0.0,R=0.0,S=0,T=0,U=0;e=u;u=u+1040|0;g=e;h=f[a+16>>2]|0;i=f[b+16>>2]|0;k=f[c+16>>2]|0;l=(f[a+48>>2]|0)>>>1;m=(f[b+48>>2]|0)>>>2;b=(f[c+8>>2]|0)>1?(f[c+48>>2]|0)>>>2:0;o=f[c+12>>2]|0;c=f[a+40>>2]|0;a=f[c+4>>2]|0;p=f[c>>2]|0;c=g+8|0;f[g>>2]=c;q=g+4|0;f[q>>2]=1032;r=(k|0)!=0;s=(o|0)<(a|0);o=r&s?p*20|0:p<<2;f[q>>2]=o;if(o>>>0>1032){t=euc(o)|0;f[g>>2]=t;v=t}else v=c;a:do if(r){do if(s){t=v+(p<<2)|0;if((p|0)<=0)if(!t){w=11;break a}else{x=t;y=t;z=b|0?4:0;break}else A=0;do{o=k+((Y(A,b)|0)<<2)|0;B=f[o>>2]|0;o=A<<2;f[t+((o|3)<<2)>>2]=B;f[t+((o|2)<<2)>>2]=B;f[t+((o|1)<<2)>>2]=B;f[t+(o<<2)>>2]=B;A=A+1|0}while((A|0)!=(p|0));x=t;y=t;z=b|0?4:0}else{x=k;y=0;z=b}while(0);if((a|0)>0){B=(y|0)!=0;o=(p|0)>0;C=a+-4|0;D=d*0.0;E=d*0.0;F=d*0.0;G=i;H=0;while(1){if(B){if(o){I=0;do{J=h+((Y(I,l)|0)+H<<1)|0;K=y+((Y(I,z)|0)<<2)|0;n[v+(I<<2)>>2]=+(j[J>>1]|0)-+n[K>>2];I=I+1|0}while((I|0)!=(p|0))}}else if(o){I=0;do{t=h+((Y(I,l)|0)+H<<1)|0;K=x+((Y(I,z)|0)+H<<2)|0;n[v+(I<<2)>>2]=+(j[t>>1]|0)-+n[K>>2];I=I+1|0}while((I|0)!=(p|0))}b:do if((H|0)>(C|0))L=H;else{if(o)M=H;else{I=H;while(1){n[G+(I<<2)>>2]=F;n[G+(I+1<<2)>>2]=F;n[G+(I+2<<2)>>2]=F;n[G+(I+3<<2)>>2]=F;K=I+4|0;if((K|0)>(C|0)){L=K;break b}else I=K}}while(1){I=B?y:x+(M<<2)|0;K=h+(M<<1)|0;N=0.0;O=0.0;P=0.0;Q=0.0;t=0;while(1){R=+n[v+(t<<2)>>2];Q=Q+R*(+(j[K>>1]|0)-+n[I>>2]);P=P+R*(+(j[K+2>>1]|0)-+n[I+4>>2]);O=O+R*(+(j[K+4>>1]|0)-+n[I+8>>2]);N=N+R*(+(j[K+6>>1]|0)-+n[I+12>>2]);t=t+1|0;if((t|0)==(p|0))break;else{I=I+(z<<2)|0;K=K+(l<<1)|0}}n[G+(M<<2)>>2]=Q*d;n[G+(M+1<<2)>>2]=P*d;n[G+(M+2<<2)>>2]=O*d;n[G+(M+3<<2)>>2]=N*d;K=M+4|0;if((K|0)>(C|0)){L=K;break}else M=K}}while(0);c:do if((L|0)<(a|0)){if(!o)if(B){K=L;while(1){n[G+(K<<2)>>2]=D;K=K+1|0;if((K|0)==(a|0))break c}}else{K=L;while(1){n[G+(K<<2)>>2]=E;K=K+1|0;if((K|0)==(a|0))break c}}if(B){K=L;do{I=h+(K<<1)|0;R=0.0;t=y;J=0;while(1){R=R+ +n[v+(J<<2)>>2]*(+(j[I>>1]|0)-+n[t>>2]);J=J+1|0;if((J|0)==(p|0))break;else{I=I+(l<<1)|0;t=t+(z<<2)|0}}n[G+(K<<2)>>2]=R*d;K=K+1|0}while((K|0)!=(a|0))}else{K=L;do{t=h+(K<<1)|0;N=0.0;I=x+(K<<2)|0;J=0;while(1){N=N+ +n[v+(J<<2)>>2]*(+(j[t>>1]|0)-+n[I>>2]);J=J+1|0;if((J|0)==(p|0))break;else{t=t+(l<<1)|0;I=I+(z<<2)|0}}n[G+(K<<2)>>2]=N*d;K=K+1|0}while((K|0)!=(a|0))}}while(0);H=H+1|0;if((H|0)==(a|0))break;else G=G+(m<<2)|0}}}else w=11;while(0);if((w|0)==11?(a|0)>0:0){w=(p|0)>0;z=a+-4|0;E=d*0.0;D=d*0.0;x=i;i=0;while(1){if(w){L=0;do{y=h+((Y(L,l)|0)+i<<1)|0;n[v+(L<<2)>>2]=+(j[y>>1]|0);L=L+1|0}while((L|0)!=(p|0))}d:do if((i|0)>(z|0))S=i;else{if(w)T=i;else{L=i;while(1){n[x+(L<<2)>>2]=D;n[x+(L+1<<2)>>2]=D;n[x+(L+2<<2)>>2]=D;n[x+(L+3<<2)>>2]=D;y=L+4|0;if((y|0)>(z|0)){S=y;break d}else L=y}}while(1){L=h+(T<<1)|0;F=0.0;R=0.0;O=0.0;P=0.0;y=0;while(1){Q=+n[v+(y<<2)>>2];P=P+Q*+(j[L>>1]|0);O=O+Q*+(j[L+2>>1]|0);R=R+Q*+(j[L+4>>1]|0);F=F+Q*+(j[L+6>>1]|0);y=y+1|0;if((y|0)==(p|0))break;else L=L+(l<<1)|0}n[x+(T<<2)>>2]=P*d;n[x+(T+1<<2)>>2]=O*d;n[x+(T+2<<2)>>2]=R*d;n[x+(T+3<<2)>>2]=F*d;L=T+4|0;if((L|0)>(z|0)){S=L;break}else T=L}}while(0);e:do if((S|0)<(a|0)){if(w)U=S;else{L=S;while(1){n[x+(L<<2)>>2]=E;L=L+1|0;if((L|0)==(a|0))break e}}do{L=h+(U<<1)|0;Q=0.0;y=0;while(1){Q=Q+ +n[v+(y<<2)>>2]*+(j[L>>1]|0);y=y+1|0;if((y|0)==(p|0))break;else L=L+(l<<1)|0}n[x+(U<<2)>>2]=Q*d;U=U+1|0}while((U|0)!=(a|0))}while(0);i=i+1|0;if((i|0)==(a|0))break;else x=x+(m<<2)|0}}if((v|0)==(c|0)){u=e;return}guc(v);f[g>>2]=c;f[q>>2]=1032;u=e;return}function hR(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;var e=0,g=0,h=0,i=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0.0,E=0.0,F=0.0,G=0,H=0,I=0,J=0.0,K=0.0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0.0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0.0,$=0.0,aa=0,ba=0,ca=0.0;e=u;u=u+1056|0;g=e+1040|0;h=e;i=f[a+16>>2]|0;k=f[b+16>>2]|0;l=f[c+16>>2]|0;m=(f[a+48>>2]|0)>>>1;o=(f[b+48>>2]|0)>>>2;b=(f[c+8>>2]|0)>1?(f[c+48>>2]|0)>>>2:0;p=f[c+12>>2]|0;c=f[a+40>>2]|0;a=f[c+4>>2]|0;q=f[c>>2]|0;if(!l){if((q|0)<=0){u=e;return}c=a+-4|0;r=(a|0)<4;t=a&-4;v=(a|0)>0;w=(t|0)<(a|0);x=0;y=k;while(1){z=i+((Y(x,m)|0)<<1)|0;if(r){A=x;do{B=i+((Y(A,m)|0)<<1)|0;if(v){C=0;D=0.0;while(1){E=D+ +(j[z+(C<<1)>>1]|0)*+(j[B+(C<<1)>>1]|0);C=C+1|0;if((C|0)==(a|0)){F=E;break}else D=E}}else F=0.0;n[y+(A<<2)>>2]=F*d;A=A+1|0}while((A|0)!=(q|0))}else{A=x;do{C=i+((Y(A,m)|0)<<1)|0;B=0;D=0.0;do{G=B|1;H=B|2;I=B|3;D=D+(+(j[z+(B<<1)>>1]|0)*+(j[C+(B<<1)>>1]|0)+ +(j[z+(G<<1)>>1]|0)*+(j[C+(G<<1)>>1]|0)+ +(j[z+(H<<1)>>1]|0)*+(j[C+(H<<1)>>1]|0)+ +(j[z+(I<<1)>>1]|0)*+(j[C+(I<<1)>>1]|0));B=B+4|0}while((B|0)<=(c|0));if(w){B=t;E=D;while(1){J=E+ +(j[z+(B<<1)>>1]|0)*+(j[C+(B<<1)>>1]|0);B=B+1|0;if((B|0)==(a|0)){K=J;break}else E=J}}else K=D;n[y+(A<<2)>>2]=K*d;A=A+1|0}while((A|0)!=(q|0))}x=x+1|0;if((x|0)==(q|0))break;else y=y+(o<<2)|0}u=e;return}y=(p|0)==(a|0)?4:0;x=a<<2;t=h+8|0;f[h>>2]=t;w=h+4|0;f[w>>2]=x;if(x>>>0>1032){c=euc(x)|0;f[h>>2]=c;L=c}else L=t;if((q|0)>0){c=(p|0)<(a|0);p=(a|0)>0;x=g+12|0;v=g+8|0;r=g+4|0;A=a+-4|0;z=(a|0)<4;B=a&-4;C=Y(y,B)|0;I=g+C|0;H=0;G=k;k=l+C|0;while(1){C=i+((Y(H,m)|0)<<1)|0;M=l+((Y(H,b)|0)<<2)|0;if(c)if(p){N=0;do{n[L+(N<<2)>>2]=+(j[C+(N<<1)>>1]|0)-+n[M>>2];N=N+1|0}while((N|0)!=(a|0));O=21}else{P=H;O=22}else if(p){N=0;do{n[L+(N<<2)>>2]=+(j[C+(N<<1)>>1]|0)-+n[M+(N<<2)>>2];N=N+1|0}while((N|0)!=(a|0));O=21}else{Q=H;R=k;O=31}if((O|0)==21){O=0;if(c){P=H;O=22}else{Q=H;R=k;O=31}}if((O|0)==22)while(1){O=0;N=i+((Y(P,m)|0)<<1)|0;M=l+((Y(P,b)|0)<<2)|0;C=f[M>>2]|0;f[x>>2]=C;f[v>>2]=C;f[r>>2]=C;f[g>>2]=C;a:do if(z){S=0.0;T=g;U=0}else{K=0.0;M=g;V=0;F=(f[s>>2]=C,+n[s>>2]);while(1){W=V|1;X=V|2;Z=V|3;E=K+(+n[L+(V<<2)>>2]*(+(j[N+(V<<1)>>1]|0)-F)+ +n[L+(W<<2)>>2]*(+(j[N+(W<<1)>>1]|0)-+n[M+4>>2])+ +n[L+(X<<2)>>2]*(+(j[N+(X<<1)>>1]|0)-+n[M+8>>2])+ +n[L+(Z<<2)>>2]*(+(j[N+(Z<<1)>>1]|0)-+n[M+12>>2]));Z=V+4|0;X=M+(y<<2)|0;if((Z|0)>(A|0)){S=E;T=I;U=B;break a}K=E;M=X;V=Z;F=+n[X>>2]}}while(0);if((U|0)<(a|0)){D=S;C=T;V=U;while(1){F=D+ +n[L+(V<<2)>>2]*(+(j[N+(V<<1)>>1]|0)-+n[C>>2]);V=V+1|0;if((V|0)==(a|0)){_=F;break}else{D=F;C=C+4|0}}}else _=S;n[G+(P<<2)>>2]=_*d;P=P+1|0;if((P|0)==(q|0))break;else O=22}else if((O|0)==31)while(1){O=0;C=i+((Y(Q,m)|0)<<1)|0;V=l+((Y(Q,b)|0)<<2)|0;if(z){$=0.0;aa=V;ba=0}else{D=0.0;N=V;V=0;while(1){M=V|1;X=V|2;Z=V|3;F=D+(+n[L+(V<<2)>>2]*(+(j[C+(V<<1)>>1]|0)-+n[N>>2])+ +n[L+(M<<2)>>2]*(+(j[C+(M<<1)>>1]|0)-+n[N+4>>2])+ +n[L+(X<<2)>>2]*(+(j[C+(X<<1)>>1]|0)-+n[N+8>>2])+ +n[L+(Z<<2)>>2]*(+(j[C+(Z<<1)>>1]|0)-+n[N+12>>2]));V=V+4|0;if((V|0)>(A|0)){$=F;aa=R;ba=B;break}else{D=F;N=N+(y<<2)|0}}}if((ba|0)<(a|0)){D=$;N=aa;V=ba;while(1){F=D+ +n[L+(V<<2)>>2]*(+(j[C+(V<<1)>>1]|0)-+n[N>>2]);V=V+1|0;if((V|0)==(a|0)){ca=F;break}else{D=F;N=N+4|0}}}else ca=$;n[G+(Q<<2)>>2]=ca*d;Q=Q+1|0;if((Q|0)==(q|0))break;else{R=R+(b<<2)|0;O=31}}H=H+1|0;if((H|0)==(q|0))break;else{G=G+(o<<2)|0;k=k+(b<<2)|0}}}if((L|0)!=(t|0)){guc(L);f[h>>2]=t;f[w>>2]=1032}u=e;return}function iR(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;var e=0,g=0,h=0,i=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0.0,C=0,D=0,E=0.0,F=0.0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0.0,O=0.0,P=0.0,Q=0.0,R=0.0,S=0,T=0,U=0;e=u;u=u+1040|0;g=e;h=f[a+16>>2]|0;i=f[b+16>>2]|0;k=f[c+16>>2]|0;l=(f[a+48>>2]|0)>>>1;m=(f[b+48>>2]|0)>>>3;b=(f[c+8>>2]|0)>1?(f[c+48>>2]|0)>>>3:0;n=f[c+12>>2]|0;c=f[a+40>>2]|0;a=f[c+4>>2]|0;o=f[c>>2]|0;c=g+8|0;f[g>>2]=c;q=g+4|0;f[q>>2]=1032;r=(k|0)!=0;s=(n|0)<(a|0);n=r&s?o*40|0:o<<3;f[q>>2]=n;if(n>>>0>1032){t=euc(n)|0;f[g>>2]=t;v=t}else v=c;a:do if(r){do if(s){t=v+(o<<3)|0;if((o|0)<=0)if(!t){w=11;break a}else{x=t;y=t;z=b|0?4:0;break}else A=0;do{n=k+((Y(A,b)|0)<<3)|0;B=+p[n>>3];n=A<<2;p[t+((n|3)<<3)>>3]=B;p[t+((n|2)<<3)>>3]=B;p[t+((n|1)<<3)>>3]=B;p[t+(n<<3)>>3]=B;A=A+1|0}while((A|0)!=(o|0));x=t;y=t;z=b|0?4:0}else{x=k;y=0;z=b}while(0);if((a|0)>0){n=(y|0)!=0;C=(o|0)>0;D=a+-4|0;B=d*0.0;E=d*0.0;F=d*0.0;G=i;H=0;while(1){if(n){if(C){I=0;do{J=h+((Y(I,l)|0)+H<<1)|0;K=y+((Y(I,z)|0)<<3)|0;p[v+(I<<3)>>3]=+(j[J>>1]|0)-+p[K>>3];I=I+1|0}while((I|0)!=(o|0))}}else if(C){I=0;do{t=h+((Y(I,l)|0)+H<<1)|0;K=x+((Y(I,z)|0)+H<<3)|0;p[v+(I<<3)>>3]=+(j[t>>1]|0)-+p[K>>3];I=I+1|0}while((I|0)!=(o|0))}b:do if((H|0)>(D|0))L=H;else{if(C)M=H;else{I=H;while(1){p[G+(I<<3)>>3]=F;p[G+(I+1<<3)>>3]=F;p[G+(I+2<<3)>>3]=F;p[G+(I+3<<3)>>3]=F;K=I+4|0;if((K|0)>(D|0)){L=K;break b}else I=K}}while(1){I=n?y:x+(M<<3)|0;K=h+(M<<1)|0;N=0.0;O=0.0;P=0.0;Q=0.0;t=0;while(1){R=+p[v+(t<<3)>>3];Q=Q+R*(+(j[K>>1]|0)-+p[I>>3]);P=P+R*(+(j[K+2>>1]|0)-+p[I+8>>3]);O=O+R*(+(j[K+4>>1]|0)-+p[I+16>>3]);N=N+R*(+(j[K+6>>1]|0)-+p[I+24>>3]);t=t+1|0;if((t|0)==(o|0))break;else{I=I+(z<<3)|0;K=K+(l<<1)|0}}p[G+(M<<3)>>3]=Q*d;p[G+(M+1<<3)>>3]=P*d;p[G+(M+2<<3)>>3]=O*d;p[G+(M+3<<3)>>3]=N*d;K=M+4|0;if((K|0)>(D|0)){L=K;break}else M=K}}while(0);c:do if((L|0)<(a|0)){if(!C)if(n){K=L;while(1){p[G+(K<<3)>>3]=B;K=K+1|0;if((K|0)==(a|0))break c}}else{K=L;while(1){p[G+(K<<3)>>3]=E;K=K+1|0;if((K|0)==(a|0))break c}}if(n){K=L;do{I=h+(K<<1)|0;R=0.0;t=y;J=0;while(1){R=R+ +p[v+(J<<3)>>3]*(+(j[I>>1]|0)-+p[t>>3]);J=J+1|0;if((J|0)==(o|0))break;else{I=I+(l<<1)|0;t=t+(z<<3)|0}}p[G+(K<<3)>>3]=R*d;K=K+1|0}while((K|0)!=(a|0))}else{K=L;do{t=h+(K<<1)|0;N=0.0;I=x+(K<<3)|0;J=0;while(1){N=N+ +p[v+(J<<3)>>3]*(+(j[t>>1]|0)-+p[I>>3]);J=J+1|0;if((J|0)==(o|0))break;else{t=t+(l<<1)|0;I=I+(z<<3)|0}}p[G+(K<<3)>>3]=N*d;K=K+1|0}while((K|0)!=(a|0))}}while(0);H=H+1|0;if((H|0)==(a|0))break;else G=G+(m<<3)|0}}}else w=11;while(0);if((w|0)==11?(a|0)>0:0){w=(o|0)>0;z=a+-4|0;E=d*0.0;B=d*0.0;x=i;i=0;while(1){if(w){L=0;do{y=h+((Y(L,l)|0)+i<<1)|0;p[v+(L<<3)>>3]=+(j[y>>1]|0);L=L+1|0}while((L|0)!=(o|0))}d:do if((i|0)>(z|0))S=i;else{if(w)T=i;else{L=i;while(1){p[x+(L<<3)>>3]=B;p[x+(L+1<<3)>>3]=B;p[x+(L+2<<3)>>3]=B;p[x+(L+3<<3)>>3]=B;y=L+4|0;if((y|0)>(z|0)){S=y;break d}else L=y}}while(1){L=h+(T<<1)|0;F=0.0;R=0.0;O=0.0;P=0.0;y=0;while(1){Q=+p[v+(y<<3)>>3];P=P+Q*+(j[L>>1]|0);O=O+Q*+(j[L+2>>1]|0);R=R+Q*+(j[L+4>>1]|0);F=F+Q*+(j[L+6>>1]|0);y=y+1|0;if((y|0)==(o|0))break;else L=L+(l<<1)|0}p[x+(T<<3)>>3]=P*d;p[x+(T+1<<3)>>3]=O*d;p[x+(T+2<<3)>>3]=R*d;p[x+(T+3<<3)>>3]=F*d;L=T+4|0;if((L|0)>(z|0)){S=L;break}else T=L}}while(0);e:do if((S|0)<(a|0)){if(w)U=S;else{L=S;while(1){p[x+(L<<3)>>3]=E;L=L+1|0;if((L|0)==(a|0))break e}}do{L=h+(U<<1)|0;Q=0.0;y=0;while(1){Q=Q+ +p[v+(y<<3)>>3]*+(j[L>>1]|0);y=y+1|0;if((y|0)==(o|0))break;else L=L+(l<<1)|0}p[x+(U<<3)>>3]=Q*d;U=U+1|0}while((U|0)!=(a|0))}while(0);i=i+1|0;if((i|0)==(a|0))break;else x=x+(m<<3)|0}}if((v|0)==(c|0)){u=e;return}guc(v);f[g>>2]=c;f[q>>2]=1032;u=e;return}function jR(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;var e=0,g=0,h=0,i=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0.0,D=0.0,E=0.0,F=0,G=0,H=0,I=0.0,J=0.0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0.0,S=0,T=0,U=0,V=0,W=0,X=0.0,Z=0.0,_=0,$=0,aa=0.0;e=u;u=u+1072|0;g=e;h=e+32|0;i=f[a+16>>2]|0;k=f[b+16>>2]|0;l=f[c+16>>2]|0;m=(f[a+48>>2]|0)>>>1;n=(f[b+48>>2]|0)>>>3;b=(f[c+8>>2]|0)>1?(f[c+48>>2]|0)>>>3:0;o=f[c+12>>2]|0;c=f[a+40>>2]|0;a=f[c+4>>2]|0;q=f[c>>2]|0;if(!l){if((q|0)<=0){u=e;return}c=a+-4|0;r=(a|0)<4;s=a&-4;t=(a|0)>0;v=(s|0)<(a|0);w=0;x=k;while(1){y=i+((Y(w,m)|0)<<1)|0;if(r){z=w;do{A=i+((Y(z,m)|0)<<1)|0;if(t){B=0;C=0.0;while(1){D=C+ +(j[y+(B<<1)>>1]|0)*+(j[A+(B<<1)>>1]|0);B=B+1|0;if((B|0)==(a|0)){E=D;break}else C=D}}else E=0.0;p[x+(z<<3)>>3]=E*d;z=z+1|0}while((z|0)!=(q|0))}else{z=w;do{B=i+((Y(z,m)|0)<<1)|0;A=0;C=0.0;do{F=A|1;G=A|2;H=A|3;C=C+(+(j[y+(A<<1)>>1]|0)*+(j[B+(A<<1)>>1]|0)+ +(j[y+(F<<1)>>1]|0)*+(j[B+(F<<1)>>1]|0)+ +(j[y+(G<<1)>>1]|0)*+(j[B+(G<<1)>>1]|0)+ +(j[y+(H<<1)>>1]|0)*+(j[B+(H<<1)>>1]|0));A=A+4|0}while((A|0)<=(c|0));if(v){A=s;D=C;while(1){I=D+ +(j[y+(A<<1)>>1]|0)*+(j[B+(A<<1)>>1]|0);A=A+1|0;if((A|0)==(a|0)){J=I;break}else D=I}}else J=C;p[x+(z<<3)>>3]=J*d;z=z+1|0}while((z|0)!=(q|0))}w=w+1|0;if((w|0)==(q|0))break;else x=x+(n<<3)|0}u=e;return}x=(o|0)==(a|0)?4:0;w=a<<3;s=h+8|0;f[h>>2]=s;v=h+4|0;f[v>>2]=w;if(w>>>0>1032){c=euc(w)|0;f[h>>2]=c;K=c}else K=s;if((q|0)>0){c=(o|0)<(a|0);o=(a|0)>0;w=g+24|0;t=g+16|0;r=g+8|0;z=a+-4|0;y=(a|0)<4;A=z>>>2;B=(A<<2)+4|0;H=Y(x,(A<<3)+8|0)|0;A=g+H|0;G=0;F=k;k=l+H|0;while(1){H=i+((Y(G,m)|0)<<1)|0;L=l+((Y(G,b)|0)<<3)|0;if(c)if(o){M=0;do{p[K+(M<<3)>>3]=+(j[H+(M<<1)>>1]|0)-+p[L>>3];M=M+1|0}while((M|0)!=(a|0));N=21}else{O=G;N=22}else if(o){M=0;do{p[K+(M<<3)>>3]=+(j[H+(M<<1)>>1]|0)-+p[L+(M<<3)>>3];M=M+1|0}while((M|0)!=(a|0));N=21}else{P=G;Q=k;N=30}if((N|0)==21){N=0;if(c){O=G;N=22}else{P=G;Q=k;N=30}}if((N|0)==22)while(1){N=0;M=i+((Y(O,m)|0)<<1)|0;L=l+((Y(O,b)|0)<<3)|0;J=+p[L>>3];p[w>>3]=J;p[t>>3]=J;p[r>>3]=J;p[g>>3]=J;a:do if(y){R=0.0;S=g;T=0}else{E=0.0;L=g;H=0;D=J;while(1){U=H|1;V=H|2;W=H|3;I=E+(+p[K+(H<<3)>>3]*(+(j[M+(H<<1)>>1]|0)-D)+ +p[K+(U<<3)>>3]*(+(j[M+(U<<1)>>1]|0)-+p[L+8>>3])+ +p[K+(V<<3)>>3]*(+(j[M+(V<<1)>>1]|0)-+p[L+16>>3])+ +p[K+(W<<3)>>3]*(+(j[M+(W<<1)>>1]|0)-+p[L+24>>3]));W=H+4|0;V=L+(x<<3)|0;if((W|0)>(z|0)){R=I;S=A;T=B;break a}E=I;L=V;H=W;D=+p[V>>3]}}while(0);if((T|0)<(a|0)){J=R;H=S;L=T;while(1){C=J+ +p[K+(L<<3)>>3]*(+(j[M+(L<<1)>>1]|0)-+p[H>>3]);L=L+1|0;if((L|0)==(a|0)){X=C;break}else{J=C;H=H+8|0}}}else X=R;p[F+(O<<3)>>3]=X*d;O=O+1|0;if((O|0)==(q|0))break;else N=22}else if((N|0)==30)while(1){N=0;H=i+((Y(P,m)|0)<<1)|0;L=l+((Y(P,b)|0)<<3)|0;if(y){Z=0.0;_=L;$=0}else{J=0.0;M=L;L=0;while(1){V=L|1;W=L|2;U=L|3;C=J+(+p[K+(L<<3)>>3]*(+(j[H+(L<<1)>>1]|0)-+p[M>>3])+ +p[K+(V<<3)>>3]*(+(j[H+(V<<1)>>1]|0)-+p[M+8>>3])+ +p[K+(W<<3)>>3]*(+(j[H+(W<<1)>>1]|0)-+p[M+16>>3])+ +p[K+(U<<3)>>3]*(+(j[H+(U<<1)>>1]|0)-+p[M+24>>3]));L=L+4|0;if((L|0)>(z|0)){Z=C;_=Q;$=B;break}else{J=C;M=M+(x<<3)|0}}}if(($|0)<(a|0)){J=Z;M=_;L=$;while(1){C=J+ +p[K+(L<<3)>>3]*(+(j[H+(L<<1)>>1]|0)-+p[M>>3]);L=L+1|0;if((L|0)==(a|0)){aa=C;break}else{J=C;M=M+8|0}}}else aa=Z;p[F+(P<<3)>>3]=aa*d;P=P+1|0;if((P|0)==(q|0))break;else{Q=Q+(b<<3)|0;N=30}}G=G+1|0;if((G|0)==(q|0))break;else{F=F+(n<<3)|0;k=k+(b<<3)|0}}}if((K|0)!=(s|0)){guc(K);f[h>>2]=s;f[v>>2]=1032}u=e;return}function kR(a,b,c,e){a=a|0;b=b|0;c=c|0;e=+e;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0.0,E=0.0,F=0.0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0.0,O=0.0,P=0.0,Q=0.0,R=0.0,S=0,T=0,U=0;g=u;u=u+1040|0;h=g;i=f[a+16>>2]|0;j=f[b+16>>2]|0;k=f[c+16>>2]|0;l=(f[a+48>>2]|0)>>>1;m=(f[b+48>>2]|0)>>>2;b=(f[c+8>>2]|0)>1?(f[c+48>>2]|0)>>>2:0;o=f[c+12>>2]|0;c=f[a+40>>2]|0;a=f[c+4>>2]|0;p=f[c>>2]|0;c=h+8|0;f[h>>2]=c;q=h+4|0;f[q>>2]=1032;r=(k|0)!=0;s=(o|0)<(a|0);o=r&s?p*20|0:p<<2;f[q>>2]=o;if(o>>>0>1032){t=euc(o)|0;f[h>>2]=t;v=t}else v=c;a:do if(r){do if(s){t=v+(p<<2)|0;if((p|0)<=0)if(!t){w=11;break a}else{x=t;y=t;z=b|0?4:0;break}else A=0;do{o=k+((Y(A,b)|0)<<2)|0;B=f[o>>2]|0;o=A<<2;f[t+((o|3)<<2)>>2]=B;f[t+((o|2)<<2)>>2]=B;f[t+((o|1)<<2)>>2]=B;f[t+(o<<2)>>2]=B;A=A+1|0}while((A|0)!=(p|0));x=t;y=t;z=b|0?4:0}else{x=k;y=0;z=b}while(0);if((a|0)>0){B=(y|0)!=0;o=(p|0)>0;C=a+-4|0;D=e*0.0;E=e*0.0;F=e*0.0;G=j;H=0;while(1){if(B){if(o){I=0;do{J=i+((Y(I,l)|0)+H<<1)|0;K=y+((Y(I,z)|0)<<2)|0;n[v+(I<<2)>>2]=+(d[J>>1]|0)-+n[K>>2];I=I+1|0}while((I|0)!=(p|0))}}else if(o){I=0;do{t=i+((Y(I,l)|0)+H<<1)|0;K=x+((Y(I,z)|0)+H<<2)|0;n[v+(I<<2)>>2]=+(d[t>>1]|0)-+n[K>>2];I=I+1|0}while((I|0)!=(p|0))}b:do if((H|0)>(C|0))L=H;else{if(o)M=H;else{I=H;while(1){n[G+(I<<2)>>2]=F;n[G+(I+1<<2)>>2]=F;n[G+(I+2<<2)>>2]=F;n[G+(I+3<<2)>>2]=F;K=I+4|0;if((K|0)>(C|0)){L=K;break b}else I=K}}while(1){I=B?y:x+(M<<2)|0;K=i+(M<<1)|0;N=0.0;O=0.0;P=0.0;Q=0.0;t=0;while(1){R=+n[v+(t<<2)>>2];Q=Q+R*(+(d[K>>1]|0)-+n[I>>2]);P=P+R*(+(d[K+2>>1]|0)-+n[I+4>>2]);O=O+R*(+(d[K+4>>1]|0)-+n[I+8>>2]);N=N+R*(+(d[K+6>>1]|0)-+n[I+12>>2]);t=t+1|0;if((t|0)==(p|0))break;else{I=I+(z<<2)|0;K=K+(l<<1)|0}}n[G+(M<<2)>>2]=Q*e;n[G+(M+1<<2)>>2]=P*e;n[G+(M+2<<2)>>2]=O*e;n[G+(M+3<<2)>>2]=N*e;K=M+4|0;if((K|0)>(C|0)){L=K;break}else M=K}}while(0);c:do if((L|0)<(a|0)){if(!o)if(B){K=L;while(1){n[G+(K<<2)>>2]=D;K=K+1|0;if((K|0)==(a|0))break c}}else{K=L;while(1){n[G+(K<<2)>>2]=E;K=K+1|0;if((K|0)==(a|0))break c}}if(B){K=L;do{I=i+(K<<1)|0;R=0.0;t=y;J=0;while(1){R=R+ +n[v+(J<<2)>>2]*(+(d[I>>1]|0)-+n[t>>2]);J=J+1|0;if((J|0)==(p|0))break;else{I=I+(l<<1)|0;t=t+(z<<2)|0}}n[G+(K<<2)>>2]=R*e;K=K+1|0}while((K|0)!=(a|0))}else{K=L;do{t=i+(K<<1)|0;N=0.0;I=x+(K<<2)|0;J=0;while(1){N=N+ +n[v+(J<<2)>>2]*(+(d[t>>1]|0)-+n[I>>2]);J=J+1|0;if((J|0)==(p|0))break;else{t=t+(l<<1)|0;I=I+(z<<2)|0}}n[G+(K<<2)>>2]=N*e;K=K+1|0}while((K|0)!=(a|0))}}while(0);H=H+1|0;if((H|0)==(a|0))break;else G=G+(m<<2)|0}}}else w=11;while(0);if((w|0)==11?(a|0)>0:0){w=(p|0)>0;z=a+-4|0;E=e*0.0;D=e*0.0;x=j;j=0;while(1){if(w){L=0;do{y=i+((Y(L,l)|0)+j<<1)|0;n[v+(L<<2)>>2]=+(d[y>>1]|0);L=L+1|0}while((L|0)!=(p|0))}d:do if((j|0)>(z|0))S=j;else{if(w)T=j;else{L=j;while(1){n[x+(L<<2)>>2]=D;n[x+(L+1<<2)>>2]=D;n[x+(L+2<<2)>>2]=D;n[x+(L+3<<2)>>2]=D;y=L+4|0;if((y|0)>(z|0)){S=y;break d}else L=y}}while(1){L=i+(T<<1)|0;F=0.0;R=0.0;O=0.0;P=0.0;y=0;while(1){Q=+n[v+(y<<2)>>2];P=P+Q*+(d[L>>1]|0);O=O+Q*+(d[L+2>>1]|0);R=R+Q*+(d[L+4>>1]|0);F=F+Q*+(d[L+6>>1]|0);y=y+1|0;if((y|0)==(p|0))break;else L=L+(l<<1)|0}n[x+(T<<2)>>2]=P*e;n[x+(T+1<<2)>>2]=O*e;n[x+(T+2<<2)>>2]=R*e;n[x+(T+3<<2)>>2]=F*e;L=T+4|0;if((L|0)>(z|0)){S=L;break}else T=L}}while(0);e:do if((S|0)<(a|0)){if(w)U=S;else{L=S;while(1){n[x+(L<<2)>>2]=E;L=L+1|0;if((L|0)==(a|0))break e}}do{L=i+(U<<1)|0;Q=0.0;y=0;while(1){Q=Q+ +n[v+(y<<2)>>2]*+(d[L>>1]|0);y=y+1|0;if((y|0)==(p|0))break;else L=L+(l<<1)|0}n[x+(U<<2)>>2]=Q*e;U=U+1|0}while((U|0)!=(a|0))}while(0);j=j+1|0;if((j|0)==(a|0))break;else x=x+(m<<2)|0}}if((v|0)==(c|0)){u=g;return}guc(v);f[h>>2]=c;f[q>>2]=1032;u=g;return}function lR(a,b,c,e){a=a|0;b=b|0;c=c|0;e=+e;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0.0,E=0.0,F=0.0,G=0,H=0,I=0,J=0.0,K=0.0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0.0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0.0,$=0.0,aa=0,ba=0,ca=0.0;g=u;u=u+1056|0;h=g+1040|0;i=g;j=f[a+16>>2]|0;k=f[b+16>>2]|0;l=f[c+16>>2]|0;m=(f[a+48>>2]|0)>>>1;o=(f[b+48>>2]|0)>>>2;b=(f[c+8>>2]|0)>1?(f[c+48>>2]|0)>>>2:0;p=f[c+12>>2]|0;c=f[a+40>>2]|0;a=f[c+4>>2]|0;q=f[c>>2]|0;if(!l){if((q|0)<=0){u=g;return}c=a+-4|0;r=(a|0)<4;t=a&-4;v=(a|0)>0;w=(t|0)<(a|0);x=0;y=k;while(1){z=j+((Y(x,m)|0)<<1)|0;if(r){A=x;do{B=j+((Y(A,m)|0)<<1)|0;if(v){C=0;D=0.0;while(1){E=D+ +(d[z+(C<<1)>>1]|0)*+(d[B+(C<<1)>>1]|0);C=C+1|0;if((C|0)==(a|0)){F=E;break}else D=E}}else F=0.0;n[y+(A<<2)>>2]=F*e;A=A+1|0}while((A|0)!=(q|0))}else{A=x;do{C=j+((Y(A,m)|0)<<1)|0;B=0;D=0.0;do{G=B|1;H=B|2;I=B|3;D=D+(+(d[z+(B<<1)>>1]|0)*+(d[C+(B<<1)>>1]|0)+ +(d[z+(G<<1)>>1]|0)*+(d[C+(G<<1)>>1]|0)+ +(d[z+(H<<1)>>1]|0)*+(d[C+(H<<1)>>1]|0)+ +(d[z+(I<<1)>>1]|0)*+(d[C+(I<<1)>>1]|0));B=B+4|0}while((B|0)<=(c|0));if(w){B=t;E=D;while(1){J=E+ +(d[z+(B<<1)>>1]|0)*+(d[C+(B<<1)>>1]|0);B=B+1|0;if((B|0)==(a|0)){K=J;break}else E=J}}else K=D;n[y+(A<<2)>>2]=K*e;A=A+1|0}while((A|0)!=(q|0))}x=x+1|0;if((x|0)==(q|0))break;else y=y+(o<<2)|0}u=g;return}y=(p|0)==(a|0)?4:0;x=a<<2;t=i+8|0;f[i>>2]=t;w=i+4|0;f[w>>2]=x;if(x>>>0>1032){c=euc(x)|0;f[i>>2]=c;L=c}else L=t;if((q|0)>0){c=(p|0)<(a|0);p=(a|0)>0;x=h+12|0;v=h+8|0;r=h+4|0;A=a+-4|0;z=(a|0)<4;B=a&-4;C=Y(y,B)|0;I=h+C|0;H=0;G=k;k=l+C|0;while(1){C=j+((Y(H,m)|0)<<1)|0;M=l+((Y(H,b)|0)<<2)|0;if(c)if(p){N=0;do{n[L+(N<<2)>>2]=+(d[C+(N<<1)>>1]|0)-+n[M>>2];N=N+1|0}while((N|0)!=(a|0));O=21}else{P=H;O=22}else if(p){N=0;do{n[L+(N<<2)>>2]=+(d[C+(N<<1)>>1]|0)-+n[M+(N<<2)>>2];N=N+1|0}while((N|0)!=(a|0));O=21}else{Q=H;R=k;O=31}if((O|0)==21){O=0;if(c){P=H;O=22}else{Q=H;R=k;O=31}}if((O|0)==22)while(1){O=0;N=j+((Y(P,m)|0)<<1)|0;M=l+((Y(P,b)|0)<<2)|0;C=f[M>>2]|0;f[x>>2]=C;f[v>>2]=C;f[r>>2]=C;f[h>>2]=C;a:do if(z){S=0.0;T=h;U=0}else{K=0.0;M=h;V=0;F=(f[s>>2]=C,+n[s>>2]);while(1){W=V|1;X=V|2;Z=V|3;E=K+(+n[L+(V<<2)>>2]*(+(d[N+(V<<1)>>1]|0)-F)+ +n[L+(W<<2)>>2]*(+(d[N+(W<<1)>>1]|0)-+n[M+4>>2])+ +n[L+(X<<2)>>2]*(+(d[N+(X<<1)>>1]|0)-+n[M+8>>2])+ +n[L+(Z<<2)>>2]*(+(d[N+(Z<<1)>>1]|0)-+n[M+12>>2]));Z=V+4|0;X=M+(y<<2)|0;if((Z|0)>(A|0)){S=E;T=I;U=B;break a}K=E;M=X;V=Z;F=+n[X>>2]}}while(0);if((U|0)<(a|0)){D=S;C=T;V=U;while(1){F=D+ +n[L+(V<<2)>>2]*(+(d[N+(V<<1)>>1]|0)-+n[C>>2]);V=V+1|0;if((V|0)==(a|0)){_=F;break}else{D=F;C=C+4|0}}}else _=S;n[G+(P<<2)>>2]=_*e;P=P+1|0;if((P|0)==(q|0))break;else O=22}else if((O|0)==31)while(1){O=0;C=j+((Y(Q,m)|0)<<1)|0;V=l+((Y(Q,b)|0)<<2)|0;if(z){$=0.0;aa=V;ba=0}else{D=0.0;N=V;V=0;while(1){M=V|1;X=V|2;Z=V|3;F=D+(+n[L+(V<<2)>>2]*(+(d[C+(V<<1)>>1]|0)-+n[N>>2])+ +n[L+(M<<2)>>2]*(+(d[C+(M<<1)>>1]|0)-+n[N+4>>2])+ +n[L+(X<<2)>>2]*(+(d[C+(X<<1)>>1]|0)-+n[N+8>>2])+ +n[L+(Z<<2)>>2]*(+(d[C+(Z<<1)>>1]|0)-+n[N+12>>2]));V=V+4|0;if((V|0)>(A|0)){$=F;aa=R;ba=B;break}else{D=F;N=N+(y<<2)|0}}}if((ba|0)<(a|0)){D=$;N=aa;V=ba;while(1){F=D+ +n[L+(V<<2)>>2]*(+(d[C+(V<<1)>>1]|0)-+n[N>>2]);V=V+1|0;if((V|0)==(a|0)){ca=F;break}else{D=F;N=N+4|0}}}else ca=$;n[G+(Q<<2)>>2]=ca*e;Q=Q+1|0;if((Q|0)==(q|0))break;else{R=R+(b<<2)|0;O=31}}H=H+1|0;if((H|0)==(q|0))break;else{G=G+(o<<2)|0;k=k+(b<<2)|0}}}if((L|0)!=(t|0)){guc(L);f[i>>2]=t;f[w>>2]=1032}u=g;return}function mR(a,b,c,e){a=a|0;b=b|0;c=c|0;e=+e;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0.0,C=0,D=0,E=0.0,F=0.0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0.0,O=0.0,P=0.0,Q=0.0,R=0.0,S=0,T=0,U=0;g=u;u=u+1040|0;h=g;i=f[a+16>>2]|0;j=f[b+16>>2]|0;k=f[c+16>>2]|0;l=(f[a+48>>2]|0)>>>1;m=(f[b+48>>2]|0)>>>3;b=(f[c+8>>2]|0)>1?(f[c+48>>2]|0)>>>3:0;n=f[c+12>>2]|0;c=f[a+40>>2]|0;a=f[c+4>>2]|0;o=f[c>>2]|0;c=h+8|0;f[h>>2]=c;q=h+4|0;f[q>>2]=1032;r=(k|0)!=0;s=(n|0)<(a|0);n=r&s?o*40|0:o<<3;f[q>>2]=n;if(n>>>0>1032){t=euc(n)|0;f[h>>2]=t;v=t}else v=c;a:do if(r){do if(s){t=v+(o<<3)|0;if((o|0)<=0)if(!t){w=11;break a}else{x=t;y=t;z=b|0?4:0;break}else A=0;do{n=k+((Y(A,b)|0)<<3)|0;B=+p[n>>3];n=A<<2;p[t+((n|3)<<3)>>3]=B;p[t+((n|2)<<3)>>3]=B;p[t+((n|1)<<3)>>3]=B;p[t+(n<<3)>>3]=B;A=A+1|0}while((A|0)!=(o|0));x=t;y=t;z=b|0?4:0}else{x=k;y=0;z=b}while(0);if((a|0)>0){n=(y|0)!=0;C=(o|0)>0;D=a+-4|0;B=e*0.0;E=e*0.0;F=e*0.0;G=j;H=0;while(1){if(n){if(C){I=0;do{J=i+((Y(I,l)|0)+H<<1)|0;K=y+((Y(I,z)|0)<<3)|0;p[v+(I<<3)>>3]=+(d[J>>1]|0)-+p[K>>3];I=I+1|0}while((I|0)!=(o|0))}}else if(C){I=0;do{t=i+((Y(I,l)|0)+H<<1)|0;K=x+((Y(I,z)|0)+H<<3)|0;p[v+(I<<3)>>3]=+(d[t>>1]|0)-+p[K>>3];I=I+1|0}while((I|0)!=(o|0))}b:do if((H|0)>(D|0))L=H;else{if(C)M=H;else{I=H;while(1){p[G+(I<<3)>>3]=F;p[G+(I+1<<3)>>3]=F;p[G+(I+2<<3)>>3]=F;p[G+(I+3<<3)>>3]=F;K=I+4|0;if((K|0)>(D|0)){L=K;break b}else I=K}}while(1){I=n?y:x+(M<<3)|0;K=i+(M<<1)|0;N=0.0;O=0.0;P=0.0;Q=0.0;t=0;while(1){R=+p[v+(t<<3)>>3];Q=Q+R*(+(d[K>>1]|0)-+p[I>>3]);P=P+R*(+(d[K+2>>1]|0)-+p[I+8>>3]);O=O+R*(+(d[K+4>>1]|0)-+p[I+16>>3]);N=N+R*(+(d[K+6>>1]|0)-+p[I+24>>3]);t=t+1|0;if((t|0)==(o|0))break;else{I=I+(z<<3)|0;K=K+(l<<1)|0}}p[G+(M<<3)>>3]=Q*e;p[G+(M+1<<3)>>3]=P*e;p[G+(M+2<<3)>>3]=O*e;p[G+(M+3<<3)>>3]=N*e;K=M+4|0;if((K|0)>(D|0)){L=K;break}else M=K}}while(0);c:do if((L|0)<(a|0)){if(!C)if(n){K=L;while(1){p[G+(K<<3)>>3]=B;K=K+1|0;if((K|0)==(a|0))break c}}else{K=L;while(1){p[G+(K<<3)>>3]=E;K=K+1|0;if((K|0)==(a|0))break c}}if(n){K=L;do{I=i+(K<<1)|0;R=0.0;t=y;J=0;while(1){R=R+ +p[v+(J<<3)>>3]*(+(d[I>>1]|0)-+p[t>>3]);J=J+1|0;if((J|0)==(o|0))break;else{I=I+(l<<1)|0;t=t+(z<<3)|0}}p[G+(K<<3)>>3]=R*e;K=K+1|0}while((K|0)!=(a|0))}else{K=L;do{t=i+(K<<1)|0;N=0.0;I=x+(K<<3)|0;J=0;while(1){N=N+ +p[v+(J<<3)>>3]*(+(d[t>>1]|0)-+p[I>>3]);J=J+1|0;if((J|0)==(o|0))break;else{t=t+(l<<1)|0;I=I+(z<<3)|0}}p[G+(K<<3)>>3]=N*e;K=K+1|0}while((K|0)!=(a|0))}}while(0);H=H+1|0;if((H|0)==(a|0))break;else G=G+(m<<3)|0}}}else w=11;while(0);if((w|0)==11?(a|0)>0:0){w=(o|0)>0;z=a+-4|0;E=e*0.0;B=e*0.0;x=j;j=0;while(1){if(w){L=0;do{y=i+((Y(L,l)|0)+j<<1)|0;p[v+(L<<3)>>3]=+(d[y>>1]|0);L=L+1|0}while((L|0)!=(o|0))}d:do if((j|0)>(z|0))S=j;else{if(w)T=j;else{L=j;while(1){p[x+(L<<3)>>3]=B;p[x+(L+1<<3)>>3]=B;p[x+(L+2<<3)>>3]=B;p[x+(L+3<<3)>>3]=B;y=L+4|0;if((y|0)>(z|0)){S=y;break d}else L=y}}while(1){L=i+(T<<1)|0;F=0.0;R=0.0;O=0.0;P=0.0;y=0;while(1){Q=+p[v+(y<<3)>>3];P=P+Q*+(d[L>>1]|0);O=O+Q*+(d[L+2>>1]|0);R=R+Q*+(d[L+4>>1]|0);F=F+Q*+(d[L+6>>1]|0);y=y+1|0;if((y|0)==(o|0))break;else L=L+(l<<1)|0}p[x+(T<<3)>>3]=P*e;p[x+(T+1<<3)>>3]=O*e;p[x+(T+2<<3)>>3]=R*e;p[x+(T+3<<3)>>3]=F*e;L=T+4|0;if((L|0)>(z|0)){S=L;break}else T=L}}while(0);e:do if((S|0)<(a|0)){if(w)U=S;else{L=S;while(1){p[x+(L<<3)>>3]=E;L=L+1|0;if((L|0)==(a|0))break e}}do{L=i+(U<<1)|0;Q=0.0;y=0;while(1){Q=Q+ +p[v+(y<<3)>>3]*+(d[L>>1]|0);y=y+1|0;if((y|0)==(o|0))break;else L=L+(l<<1)|0}p[x+(U<<3)>>3]=Q*e;U=U+1|0}while((U|0)!=(a|0))}while(0);j=j+1|0;if((j|0)==(a|0))break;else x=x+(m<<3)|0}}if((v|0)==(c|0)){u=g;return}guc(v);f[h>>2]=c;f[q>>2]=1032;u=g;return}function nR(a,b,c,e){a=a|0;b=b|0;c=c|0;e=+e;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0.0,D=0.0,E=0.0,F=0,G=0,H=0,I=0.0,J=0.0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0.0,S=0,T=0,U=0,V=0,W=0,X=0.0,Z=0.0,_=0,$=0,aa=0.0;g=u;u=u+1072|0;h=g;i=g+32|0;j=f[a+16>>2]|0;k=f[b+16>>2]|0;l=f[c+16>>2]|0;m=(f[a+48>>2]|0)>>>1;n=(f[b+48>>2]|0)>>>3;b=(f[c+8>>2]|0)>1?(f[c+48>>2]|0)>>>3:0;o=f[c+12>>2]|0;c=f[a+40>>2]|0;a=f[c+4>>2]|0;q=f[c>>2]|0;if(!l){if((q|0)<=0){u=g;return}c=a+-4|0;r=(a|0)<4;s=a&-4;t=(a|0)>0;v=(s|0)<(a|0);w=0;x=k;while(1){y=j+((Y(w,m)|0)<<1)|0;if(r){z=w;do{A=j+((Y(z,m)|0)<<1)|0;if(t){B=0;C=0.0;while(1){D=C+ +(d[y+(B<<1)>>1]|0)*+(d[A+(B<<1)>>1]|0);B=B+1|0;if((B|0)==(a|0)){E=D;break}else C=D}}else E=0.0;p[x+(z<<3)>>3]=E*e;z=z+1|0}while((z|0)!=(q|0))}else{z=w;do{B=j+((Y(z,m)|0)<<1)|0;A=0;C=0.0;do{F=A|1;G=A|2;H=A|3;C=C+(+(d[y+(A<<1)>>1]|0)*+(d[B+(A<<1)>>1]|0)+ +(d[y+(F<<1)>>1]|0)*+(d[B+(F<<1)>>1]|0)+ +(d[y+(G<<1)>>1]|0)*+(d[B+(G<<1)>>1]|0)+ +(d[y+(H<<1)>>1]|0)*+(d[B+(H<<1)>>1]|0));A=A+4|0}while((A|0)<=(c|0));if(v){A=s;D=C;while(1){I=D+ +(d[y+(A<<1)>>1]|0)*+(d[B+(A<<1)>>1]|0);A=A+1|0;if((A|0)==(a|0)){J=I;break}else D=I}}else J=C;p[x+(z<<3)>>3]=J*e;z=z+1|0}while((z|0)!=(q|0))}w=w+1|0;if((w|0)==(q|0))break;else x=x+(n<<3)|0}u=g;return}x=(o|0)==(a|0)?4:0;w=a<<3;s=i+8|0;f[i>>2]=s;v=i+4|0;f[v>>2]=w;if(w>>>0>1032){c=euc(w)|0;f[i>>2]=c;K=c}else K=s;if((q|0)>0){c=(o|0)<(a|0);o=(a|0)>0;w=h+24|0;t=h+16|0;r=h+8|0;z=a+-4|0;y=(a|0)<4;A=z>>>2;B=(A<<2)+4|0;H=Y(x,(A<<3)+8|0)|0;A=h+H|0;G=0;F=k;k=l+H|0;while(1){H=j+((Y(G,m)|0)<<1)|0;L=l+((Y(G,b)|0)<<3)|0;if(c)if(o){M=0;do{p[K+(M<<3)>>3]=+(d[H+(M<<1)>>1]|0)-+p[L>>3];M=M+1|0}while((M|0)!=(a|0));N=21}else{O=G;N=22}else if(o){M=0;do{p[K+(M<<3)>>3]=+(d[H+(M<<1)>>1]|0)-+p[L+(M<<3)>>3];M=M+1|0}while((M|0)!=(a|0));N=21}else{P=G;Q=k;N=30}if((N|0)==21){N=0;if(c){O=G;N=22}else{P=G;Q=k;N=30}}if((N|0)==22)while(1){N=0;M=j+((Y(O,m)|0)<<1)|0;L=l+((Y(O,b)|0)<<3)|0;J=+p[L>>3];p[w>>3]=J;p[t>>3]=J;p[r>>3]=J;p[h>>3]=J;a:do if(y){R=0.0;S=h;T=0}else{E=0.0;L=h;H=0;D=J;while(1){U=H|1;V=H|2;W=H|3;I=E+(+p[K+(H<<3)>>3]*(+(d[M+(H<<1)>>1]|0)-D)+ +p[K+(U<<3)>>3]*(+(d[M+(U<<1)>>1]|0)-+p[L+8>>3])+ +p[K+(V<<3)>>3]*(+(d[M+(V<<1)>>1]|0)-+p[L+16>>3])+ +p[K+(W<<3)>>3]*(+(d[M+(W<<1)>>1]|0)-+p[L+24>>3]));W=H+4|0;V=L+(x<<3)|0;if((W|0)>(z|0)){R=I;S=A;T=B;break a}E=I;L=V;H=W;D=+p[V>>3]}}while(0);if((T|0)<(a|0)){J=R;H=S;L=T;while(1){C=J+ +p[K+(L<<3)>>3]*(+(d[M+(L<<1)>>1]|0)-+p[H>>3]);L=L+1|0;if((L|0)==(a|0)){X=C;break}else{J=C;H=H+8|0}}}else X=R;p[F+(O<<3)>>3]=X*e;O=O+1|0;if((O|0)==(q|0))break;else N=22}else if((N|0)==30)while(1){N=0;H=j+((Y(P,m)|0)<<1)|0;L=l+((Y(P,b)|0)<<3)|0;if(y){Z=0.0;_=L;$=0}else{J=0.0;M=L;L=0;while(1){V=L|1;W=L|2;U=L|3;C=J+(+p[K+(L<<3)>>3]*(+(d[H+(L<<1)>>1]|0)-+p[M>>3])+ +p[K+(V<<3)>>3]*(+(d[H+(V<<1)>>1]|0)-+p[M+8>>3])+ +p[K+(W<<3)>>3]*(+(d[H+(W<<1)>>1]|0)-+p[M+16>>3])+ +p[K+(U<<3)>>3]*(+(d[H+(U<<1)>>1]|0)-+p[M+24>>3]));L=L+4|0;if((L|0)>(z|0)){Z=C;_=Q;$=B;break}else{J=C;M=M+(x<<3)|0}}}if(($|0)<(a|0)){J=Z;M=_;L=$;while(1){C=J+ +p[K+(L<<3)>>3]*(+(d[H+(L<<1)>>1]|0)-+p[M>>3]);L=L+1|0;if((L|0)==(a|0)){aa=C;break}else{J=C;M=M+8|0}}}else aa=Z;p[F+(P<<3)>>3]=aa*e;P=P+1|0;if((P|0)==(q|0))break;else{Q=Q+(b<<3)|0;N=30}}G=G+1|0;if((G|0)==(q|0))break;else{F=F+(n<<3)|0;k=k+(b<<3)|0}}}if((K|0)!=(s|0)){guc(K);f[i>>2]=s;f[v>>2]=1032}u=g;return}function oR(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0.0,D=0.0,E=0.0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0.0,N=0.0,O=0.0,P=0.0,Q=0.0,R=0,S=0,T=0;e=u;u=u+1040|0;g=e;h=f[a+16>>2]|0;i=f[b+16>>2]|0;j=f[c+16>>2]|0;k=(f[a+48>>2]|0)>>>2;l=(f[b+48>>2]|0)>>>2;b=(f[c+8>>2]|0)>1?(f[c+48>>2]|0)>>>2:0;m=f[c+12>>2]|0;c=f[a+40>>2]|0;a=f[c+4>>2]|0;o=f[c>>2]|0;c=g+8|0;f[g>>2]=c;p=g+4|0;f[p>>2]=1032;q=(j|0)!=0;r=(m|0)<(a|0);m=q&r?o*20|0:o<<2;f[p>>2]=m;if(m>>>0>1032){s=euc(m)|0;f[g>>2]=s;t=s}else t=c;a:do if(q){do if(r){s=t+(o<<2)|0;if((o|0)<=0)if(!s){v=11;break a}else{w=s;x=s;y=b|0?4:0;break}else z=0;do{m=j+((Y(z,b)|0)<<2)|0;A=f[m>>2]|0;m=z<<2;f[s+((m|3)<<2)>>2]=A;f[s+((m|2)<<2)>>2]=A;f[s+((m|1)<<2)>>2]=A;f[s+(m<<2)>>2]=A;z=z+1|0}while((z|0)!=(o|0));w=s;x=s;y=b|0?4:0}else{w=j;x=0;y=b}while(0);if((a|0)>0){A=(x|0)!=0;m=(o|0)>0;B=a+-4|0;C=d*0.0;D=d*0.0;E=d*0.0;F=i;G=0;while(1){if(A){if(m){H=0;do{I=h+((Y(H,k)|0)+G<<2)|0;J=x+((Y(H,y)|0)<<2)|0;n[t+(H<<2)>>2]=+n[I>>2]-+n[J>>2];H=H+1|0}while((H|0)!=(o|0))}}else if(m){H=0;do{s=h+((Y(H,k)|0)+G<<2)|0;J=w+((Y(H,y)|0)+G<<2)|0;n[t+(H<<2)>>2]=+n[s>>2]-+n[J>>2];H=H+1|0}while((H|0)!=(o|0))}b:do if((G|0)>(B|0))K=G;else{if(m)L=G;else{H=G;while(1){n[F+(H<<2)>>2]=E;n[F+(H+1<<2)>>2]=E;n[F+(H+2<<2)>>2]=E;n[F+(H+3<<2)>>2]=E;J=H+4|0;if((J|0)>(B|0)){K=J;break b}else H=J}}while(1){H=A?x:w+(L<<2)|0;J=h+(L<<2)|0;M=0.0;N=0.0;O=0.0;P=0.0;s=0;while(1){Q=+n[t+(s<<2)>>2];P=P+Q*(+n[J>>2]-+n[H>>2]);O=O+Q*(+n[J+4>>2]-+n[H+4>>2]);N=N+Q*(+n[J+8>>2]-+n[H+8>>2]);M=M+Q*(+n[J+12>>2]-+n[H+12>>2]);s=s+1|0;if((s|0)==(o|0))break;else{H=H+(y<<2)|0;J=J+(k<<2)|0}}n[F+(L<<2)>>2]=P*d;n[F+(L+1<<2)>>2]=O*d;n[F+(L+2<<2)>>2]=N*d;n[F+(L+3<<2)>>2]=M*d;J=L+4|0;if((J|0)>(B|0)){K=J;break}else L=J}}while(0);c:do if((K|0)<(a|0)){if(!m)if(A){J=K;while(1){n[F+(J<<2)>>2]=C;J=J+1|0;if((J|0)==(a|0))break c}}else{J=K;while(1){n[F+(J<<2)>>2]=D;J=J+1|0;if((J|0)==(a|0))break c}}if(A){J=K;do{H=h+(J<<2)|0;Q=0.0;s=x;I=0;while(1){Q=Q+ +n[t+(I<<2)>>2]*(+n[H>>2]-+n[s>>2]);I=I+1|0;if((I|0)==(o|0))break;else{H=H+(k<<2)|0;s=s+(y<<2)|0}}n[F+(J<<2)>>2]=Q*d;J=J+1|0}while((J|0)!=(a|0))}else{J=K;do{s=h+(J<<2)|0;M=0.0;H=w+(J<<2)|0;I=0;while(1){M=M+ +n[t+(I<<2)>>2]*(+n[s>>2]-+n[H>>2]);I=I+1|0;if((I|0)==(o|0))break;else{s=s+(k<<2)|0;H=H+(y<<2)|0}}n[F+(J<<2)>>2]=M*d;J=J+1|0}while((J|0)!=(a|0))}}while(0);G=G+1|0;if((G|0)==(a|0))break;else F=F+(l<<2)|0}}}else v=11;while(0);if((v|0)==11?(a|0)>0:0){v=(o|0)>0;y=a+-4|0;D=d*0.0;C=d*0.0;w=i;i=0;while(1){if(v){K=0;do{x=h+((Y(K,k)|0)+i<<2)|0;f[t+(K<<2)>>2]=f[x>>2];K=K+1|0}while((K|0)!=(o|0))}d:do if((i|0)>(y|0))R=i;else{if(v)S=i;else{K=i;while(1){n[w+(K<<2)>>2]=C;n[w+(K+1<<2)>>2]=C;n[w+(K+2<<2)>>2]=C;n[w+(K+3<<2)>>2]=C;x=K+4|0;if((x|0)>(y|0)){R=x;break d}else K=x}}while(1){K=h+(S<<2)|0;E=0.0;Q=0.0;N=0.0;O=0.0;x=0;while(1){P=+n[t+(x<<2)>>2];O=O+P*+n[K>>2];N=N+P*+n[K+4>>2];Q=Q+P*+n[K+8>>2];E=E+P*+n[K+12>>2];x=x+1|0;if((x|0)==(o|0))break;else K=K+(k<<2)|0}n[w+(S<<2)>>2]=O*d;n[w+(S+1<<2)>>2]=N*d;n[w+(S+2<<2)>>2]=Q*d;n[w+(S+3<<2)>>2]=E*d;K=S+4|0;if((K|0)>(y|0)){R=K;break}else S=K}}while(0);e:do if((R|0)<(a|0)){if(v)T=R;else{K=R;while(1){n[w+(K<<2)>>2]=D;K=K+1|0;if((K|0)==(a|0))break e}}do{K=h+(T<<2)|0;P=0.0;x=0;while(1){P=P+ +n[t+(x<<2)>>2]*+n[K>>2];x=x+1|0;if((x|0)==(o|0))break;else K=K+(k<<2)|0}n[w+(T<<2)>>2]=P*d;T=T+1|0}while((T|0)!=(a|0))}while(0);i=i+1|0;if((i|0)==(a|0))break;else w=w+(l<<2)|0}}if((t|0)==(c|0)){u=e;return}guc(t);f[g>>2]=c;f[p>>2]=1032;u=e;return}function pR(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0.0,D=0.0,E=0.0,F=0,G=0,H=0,I=0.0,J=0.0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0.0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0.0,_=0.0,$=0,aa=0,ba=0.0;e=u;u=u+1056|0;g=e+1040|0;h=e;i=f[a+16>>2]|0;j=f[b+16>>2]|0;k=f[c+16>>2]|0;l=(f[a+48>>2]|0)>>>2;m=(f[b+48>>2]|0)>>>2;b=(f[c+8>>2]|0)>1?(f[c+48>>2]|0)>>>2:0;o=f[c+12>>2]|0;c=f[a+40>>2]|0;a=f[c+4>>2]|0;p=f[c>>2]|0;if(!k){if((p|0)<=0){u=e;return}c=a+-4|0;q=(a|0)<4;r=a&-4;t=(a|0)>0;v=(r|0)<(a|0);w=0;x=j;while(1){y=i+((Y(w,l)|0)<<2)|0;if(q){z=w;do{A=i+((Y(z,l)|0)<<2)|0;if(t){B=0;C=0.0;while(1){D=C+ +n[y+(B<<2)>>2]*+n[A+(B<<2)>>2];B=B+1|0;if((B|0)==(a|0)){E=D;break}else C=D}}else E=0.0;n[x+(z<<2)>>2]=E*d;z=z+1|0}while((z|0)!=(p|0))}else{z=w;do{B=i+((Y(z,l)|0)<<2)|0;A=0;C=0.0;do{F=A|1;G=A|2;H=A|3;C=C+(+n[y+(A<<2)>>2]*+n[B+(A<<2)>>2]+ +n[y+(F<<2)>>2]*+n[B+(F<<2)>>2]+ +n[y+(G<<2)>>2]*+n[B+(G<<2)>>2]+ +n[y+(H<<2)>>2]*+n[B+(H<<2)>>2]);A=A+4|0}while((A|0)<=(c|0));if(v){A=r;D=C;while(1){I=D+ +n[y+(A<<2)>>2]*+n[B+(A<<2)>>2];A=A+1|0;if((A|0)==(a|0)){J=I;break}else D=I}}else J=C;n[x+(z<<2)>>2]=J*d;z=z+1|0}while((z|0)!=(p|0))}w=w+1|0;if((w|0)==(p|0))break;else x=x+(m<<2)|0}u=e;return}x=(o|0)==(a|0)?4:0;w=a<<2;r=h+8|0;f[h>>2]=r;v=h+4|0;f[v>>2]=w;if(w>>>0>1032){c=euc(w)|0;f[h>>2]=c;K=c}else K=r;if((p|0)>0){c=(o|0)<(a|0);o=(a|0)>0;w=g+12|0;t=g+8|0;q=g+4|0;z=a+-4|0;y=(a|0)<4;A=a&-4;B=Y(x,A)|0;H=g+B|0;G=0;F=j;j=k+B|0;while(1){B=i+((Y(G,l)|0)<<2)|0;L=k+((Y(G,b)|0)<<2)|0;if(c)if(o){M=0;do{n[K+(M<<2)>>2]=+n[B+(M<<2)>>2]-+n[L>>2];M=M+1|0}while((M|0)!=(a|0));N=21}else{O=G;N=22}else if(o){M=0;do{n[K+(M<<2)>>2]=+n[B+(M<<2)>>2]-+n[L+(M<<2)>>2];M=M+1|0}while((M|0)!=(a|0));N=21}else{P=G;Q=j;N=31}if((N|0)==21){N=0;if(c){O=G;N=22}else{P=G;Q=j;N=31}}if((N|0)==22)while(1){N=0;M=i+((Y(O,l)|0)<<2)|0;L=k+((Y(O,b)|0)<<2)|0;B=f[L>>2]|0;f[w>>2]=B;f[t>>2]=B;f[q>>2]=B;f[g>>2]=B;a:do if(y){R=0.0;S=g;T=0}else{J=0.0;L=g;U=0;E=(f[s>>2]=B,+n[s>>2]);while(1){V=U|1;W=U|2;X=U|3;D=J+(+n[K+(U<<2)>>2]*(+n[M+(U<<2)>>2]-E)+ +n[K+(V<<2)>>2]*(+n[M+(V<<2)>>2]-+n[L+4>>2])+ +n[K+(W<<2)>>2]*(+n[M+(W<<2)>>2]-+n[L+8>>2])+ +n[K+(X<<2)>>2]*(+n[M+(X<<2)>>2]-+n[L+12>>2]));X=U+4|0;W=L+(x<<2)|0;if((X|0)>(z|0)){R=D;S=H;T=A;break a}J=D;L=W;U=X;E=+n[W>>2]}}while(0);if((T|0)<(a|0)){C=R;B=S;U=T;while(1){E=C+ +n[K+(U<<2)>>2]*(+n[M+(U<<2)>>2]-+n[B>>2]);U=U+1|0;if((U|0)==(a|0)){Z=E;break}else{C=E;B=B+4|0}}}else Z=R;n[F+(O<<2)>>2]=Z*d;O=O+1|0;if((O|0)==(p|0))break;else N=22}else if((N|0)==31)while(1){N=0;B=i+((Y(P,l)|0)<<2)|0;U=k+((Y(P,b)|0)<<2)|0;if(y){_=0.0;$=U;aa=0}else{C=0.0;M=U;U=0;while(1){L=U|1;W=U|2;X=U|3;E=C+(+n[K+(U<<2)>>2]*(+n[B+(U<<2)>>2]-+n[M>>2])+ +n[K+(L<<2)>>2]*(+n[B+(L<<2)>>2]-+n[M+4>>2])+ +n[K+(W<<2)>>2]*(+n[B+(W<<2)>>2]-+n[M+8>>2])+ +n[K+(X<<2)>>2]*(+n[B+(X<<2)>>2]-+n[M+12>>2]));U=U+4|0;if((U|0)>(z|0)){_=E;$=Q;aa=A;break}else{C=E;M=M+(x<<2)|0}}}if((aa|0)<(a|0)){C=_;M=$;U=aa;while(1){E=C+ +n[K+(U<<2)>>2]*(+n[B+(U<<2)>>2]-+n[M>>2]);U=U+1|0;if((U|0)==(a|0)){ba=E;break}else{C=E;M=M+4|0}}}else ba=_;n[F+(P<<2)>>2]=ba*d;P=P+1|0;if((P|0)==(p|0))break;else{Q=Q+(b<<2)|0;N=31}}G=G+1|0;if((G|0)==(p|0))break;else{F=F+(m<<2)|0;j=j+(b<<2)|0}}}if((K|0)!=(r|0)){guc(K);f[h>>2]=r;f[v>>2]=1032}u=e;return}function qR(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0.0,C=0,D=0,E=0.0,F=0.0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0.0,O=0.0,P=0.0,Q=0.0,R=0.0,S=0,T=0,U=0;e=u;u=u+1040|0;g=e;h=f[a+16>>2]|0;i=f[b+16>>2]|0;j=f[c+16>>2]|0;k=(f[a+48>>2]|0)>>>2;l=(f[b+48>>2]|0)>>>3;b=(f[c+8>>2]|0)>1?(f[c+48>>2]|0)>>>3:0;m=f[c+12>>2]|0;c=f[a+40>>2]|0;a=f[c+4>>2]|0;o=f[c>>2]|0;c=g+8|0;f[g>>2]=c;q=g+4|0;f[q>>2]=1032;r=(j|0)!=0;s=(m|0)<(a|0);m=r&s?o*40|0:o<<3;f[q>>2]=m;if(m>>>0>1032){t=euc(m)|0;f[g>>2]=t;v=t}else v=c;a:do if(r){do if(s){t=v+(o<<3)|0;if((o|0)<=0)if(!t){w=11;break a}else{x=t;y=t;z=b|0?4:0;break}else A=0;do{m=j+((Y(A,b)|0)<<3)|0;B=+p[m>>3];m=A<<2;p[t+((m|3)<<3)>>3]=B;p[t+((m|2)<<3)>>3]=B;p[t+((m|1)<<3)>>3]=B;p[t+(m<<3)>>3]=B;A=A+1|0}while((A|0)!=(o|0));x=t;y=t;z=b|0?4:0}else{x=j;y=0;z=b}while(0);if((a|0)>0){m=(y|0)!=0;C=(o|0)>0;D=a+-4|0;B=d*0.0;E=d*0.0;F=d*0.0;G=i;H=0;while(1){if(m){if(C){I=0;do{J=h+((Y(I,k)|0)+H<<2)|0;K=y+((Y(I,z)|0)<<3)|0;p[v+(I<<3)>>3]=+n[J>>2]-+p[K>>3];I=I+1|0}while((I|0)!=(o|0))}}else if(C){I=0;do{t=h+((Y(I,k)|0)+H<<2)|0;K=x+((Y(I,z)|0)+H<<3)|0;p[v+(I<<3)>>3]=+n[t>>2]-+p[K>>3];I=I+1|0}while((I|0)!=(o|0))}b:do if((H|0)>(D|0))L=H;else{if(C)M=H;else{I=H;while(1){p[G+(I<<3)>>3]=F;p[G+(I+1<<3)>>3]=F;p[G+(I+2<<3)>>3]=F;p[G+(I+3<<3)>>3]=F;K=I+4|0;if((K|0)>(D|0)){L=K;break b}else I=K}}while(1){I=m?y:x+(M<<3)|0;K=h+(M<<2)|0;N=0.0;O=0.0;P=0.0;Q=0.0;t=0;while(1){R=+p[v+(t<<3)>>3];Q=Q+R*(+n[K>>2]-+p[I>>3]);P=P+R*(+n[K+4>>2]-+p[I+8>>3]);O=O+R*(+n[K+8>>2]-+p[I+16>>3]);N=N+R*(+n[K+12>>2]-+p[I+24>>3]);t=t+1|0;if((t|0)==(o|0))break;else{I=I+(z<<3)|0;K=K+(k<<2)|0}}p[G+(M<<3)>>3]=Q*d;p[G+(M+1<<3)>>3]=P*d;p[G+(M+2<<3)>>3]=O*d;p[G+(M+3<<3)>>3]=N*d;K=M+4|0;if((K|0)>(D|0)){L=K;break}else M=K}}while(0);c:do if((L|0)<(a|0)){if(!C)if(m){K=L;while(1){p[G+(K<<3)>>3]=B;K=K+1|0;if((K|0)==(a|0))break c}}else{K=L;while(1){p[G+(K<<3)>>3]=E;K=K+1|0;if((K|0)==(a|0))break c}}if(m){K=L;do{I=h+(K<<2)|0;R=0.0;t=y;J=0;while(1){R=R+ +p[v+(J<<3)>>3]*(+n[I>>2]-+p[t>>3]);J=J+1|0;if((J|0)==(o|0))break;else{I=I+(k<<2)|0;t=t+(z<<3)|0}}p[G+(K<<3)>>3]=R*d;K=K+1|0}while((K|0)!=(a|0))}else{K=L;do{t=h+(K<<2)|0;N=0.0;I=x+(K<<3)|0;J=0;while(1){N=N+ +p[v+(J<<3)>>3]*(+n[t>>2]-+p[I>>3]);J=J+1|0;if((J|0)==(o|0))break;else{t=t+(k<<2)|0;I=I+(z<<3)|0}}p[G+(K<<3)>>3]=N*d;K=K+1|0}while((K|0)!=(a|0))}}while(0);H=H+1|0;if((H|0)==(a|0))break;else G=G+(l<<3)|0}}}else w=11;while(0);if((w|0)==11?(a|0)>0:0){w=(o|0)>0;z=a+-4|0;E=d*0.0;B=d*0.0;x=i;i=0;while(1){if(w){L=0;do{y=h+((Y(L,k)|0)+i<<2)|0;p[v+(L<<3)>>3]=+n[y>>2];L=L+1|0}while((L|0)!=(o|0))}d:do if((i|0)>(z|0))S=i;else{if(w)T=i;else{L=i;while(1){p[x+(L<<3)>>3]=B;p[x+(L+1<<3)>>3]=B;p[x+(L+2<<3)>>3]=B;p[x+(L+3<<3)>>3]=B;y=L+4|0;if((y|0)>(z|0)){S=y;break d}else L=y}}while(1){L=h+(T<<2)|0;F=0.0;R=0.0;O=0.0;P=0.0;y=0;while(1){Q=+p[v+(y<<3)>>3];P=P+Q*+n[L>>2];O=O+Q*+n[L+4>>2];R=R+Q*+n[L+8>>2];F=F+Q*+n[L+12>>2];y=y+1|0;if((y|0)==(o|0))break;else L=L+(k<<2)|0}p[x+(T<<3)>>3]=P*d;p[x+(T+1<<3)>>3]=O*d;p[x+(T+2<<3)>>3]=R*d;p[x+(T+3<<3)>>3]=F*d;L=T+4|0;if((L|0)>(z|0)){S=L;break}else T=L}}while(0);e:do if((S|0)<(a|0)){if(w)U=S;else{L=S;while(1){p[x+(L<<3)>>3]=E;L=L+1|0;if((L|0)==(a|0))break e}}do{L=h+(U<<2)|0;Q=0.0;y=0;while(1){Q=Q+ +p[v+(y<<3)>>3]*+n[L>>2];y=y+1|0;if((y|0)==(o|0))break;else L=L+(k<<2)|0}p[x+(U<<3)>>3]=Q*d;U=U+1|0}while((U|0)!=(a|0))}while(0);i=i+1|0;if((i|0)==(a|0))break;else x=x+(l<<3)|0}}if((v|0)==(c|0)){u=e;return}guc(v);f[g>>2]=c;f[q>>2]=1032;u=e;return}function rR(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0.0,D=0.0,E=0.0,F=0,G=0,H=0,I=0.0,J=0.0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0.0,S=0,T=0,U=0,V=0,W=0,X=0.0,Z=0.0,_=0,$=0,aa=0.0;e=u;u=u+1072|0;g=e;h=e+32|0;i=f[a+16>>2]|0;j=f[b+16>>2]|0;k=f[c+16>>2]|0;l=(f[a+48>>2]|0)>>>2;m=(f[b+48>>2]|0)>>>3;b=(f[c+8>>2]|0)>1?(f[c+48>>2]|0)>>>3:0;o=f[c+12>>2]|0;c=f[a+40>>2]|0;a=f[c+4>>2]|0;q=f[c>>2]|0;if(!k){if((q|0)<=0){u=e;return}c=a+-4|0;r=(a|0)<4;s=a&-4;t=(a|0)>0;v=(s|0)<(a|0);w=0;x=j;while(1){y=i+((Y(w,l)|0)<<2)|0;if(r){z=w;do{A=i+((Y(z,l)|0)<<2)|0;if(t){B=0;C=0.0;while(1){D=C+ +n[y+(B<<2)>>2]*+n[A+(B<<2)>>2];B=B+1|0;if((B|0)==(a|0)){E=D;break}else C=D}}else E=0.0;p[x+(z<<3)>>3]=E*d;z=z+1|0}while((z|0)!=(q|0))}else{z=w;do{B=i+((Y(z,l)|0)<<2)|0;A=0;C=0.0;do{F=A|1;G=A|2;H=A|3;C=C+(+n[y+(A<<2)>>2]*+n[B+(A<<2)>>2]+ +n[y+(F<<2)>>2]*+n[B+(F<<2)>>2]+ +n[y+(G<<2)>>2]*+n[B+(G<<2)>>2]+ +n[y+(H<<2)>>2]*+n[B+(H<<2)>>2]);A=A+4|0}while((A|0)<=(c|0));if(v){A=s;D=C;while(1){I=D+ +n[y+(A<<2)>>2]*+n[B+(A<<2)>>2];A=A+1|0;if((A|0)==(a|0)){J=I;break}else D=I}}else J=C;p[x+(z<<3)>>3]=J*d;z=z+1|0}while((z|0)!=(q|0))}w=w+1|0;if((w|0)==(q|0))break;else x=x+(m<<3)|0}u=e;return}x=(o|0)==(a|0)?4:0;w=a<<3;s=h+8|0;f[h>>2]=s;v=h+4|0;f[v>>2]=w;if(w>>>0>1032){c=euc(w)|0;f[h>>2]=c;K=c}else K=s;if((q|0)>0){c=(o|0)<(a|0);o=(a|0)>0;w=g+24|0;t=g+16|0;r=g+8|0;z=a+-4|0;y=(a|0)<4;A=z>>>2;B=(A<<2)+4|0;H=Y(x,(A<<3)+8|0)|0;A=g+H|0;G=0;F=j;j=k+H|0;while(1){H=i+((Y(G,l)|0)<<2)|0;L=k+((Y(G,b)|0)<<3)|0;if(c)if(o){M=0;do{p[K+(M<<3)>>3]=+n[H+(M<<2)>>2]-+p[L>>3];M=M+1|0}while((M|0)!=(a|0));N=21}else{O=G;N=22}else if(o){M=0;do{p[K+(M<<3)>>3]=+n[H+(M<<2)>>2]-+p[L+(M<<3)>>3];M=M+1|0}while((M|0)!=(a|0));N=21}else{P=G;Q=j;N=30}if((N|0)==21){N=0;if(c){O=G;N=22}else{P=G;Q=j;N=30}}if((N|0)==22)while(1){N=0;M=i+((Y(O,l)|0)<<2)|0;L=k+((Y(O,b)|0)<<3)|0;J=+p[L>>3];p[w>>3]=J;p[t>>3]=J;p[r>>3]=J;p[g>>3]=J;a:do if(y){R=0.0;S=g;T=0}else{E=0.0;L=g;H=0;D=J;while(1){U=H|1;V=H|2;W=H|3;I=E+(+p[K+(H<<3)>>3]*(+n[M+(H<<2)>>2]-D)+ +p[K+(U<<3)>>3]*(+n[M+(U<<2)>>2]-+p[L+8>>3])+ +p[K+(V<<3)>>3]*(+n[M+(V<<2)>>2]-+p[L+16>>3])+ +p[K+(W<<3)>>3]*(+n[M+(W<<2)>>2]-+p[L+24>>3]));W=H+4|0;V=L+(x<<3)|0;if((W|0)>(z|0)){R=I;S=A;T=B;break a}E=I;L=V;H=W;D=+p[V>>3]}}while(0);if((T|0)<(a|0)){J=R;H=S;L=T;while(1){C=J+ +p[K+(L<<3)>>3]*(+n[M+(L<<2)>>2]-+p[H>>3]);L=L+1|0;if((L|0)==(a|0)){X=C;break}else{J=C;H=H+8|0}}}else X=R;p[F+(O<<3)>>3]=X*d;O=O+1|0;if((O|0)==(q|0))break;else N=22}else if((N|0)==30)while(1){N=0;H=i+((Y(P,l)|0)<<2)|0;L=k+((Y(P,b)|0)<<3)|0;if(y){Z=0.0;_=L;$=0}else{J=0.0;M=L;L=0;while(1){V=L|1;W=L|2;U=L|3;C=J+(+p[K+(L<<3)>>3]*(+n[H+(L<<2)>>2]-+p[M>>3])+ +p[K+(V<<3)>>3]*(+n[H+(V<<2)>>2]-+p[M+8>>3])+ +p[K+(W<<3)>>3]*(+n[H+(W<<2)>>2]-+p[M+16>>3])+ +p[K+(U<<3)>>3]*(+n[H+(U<<2)>>2]-+p[M+24>>3]));L=L+4|0;if((L|0)>(z|0)){Z=C;_=Q;$=B;break}else{J=C;M=M+(x<<3)|0}}}if(($|0)<(a|0)){J=Z;M=_;L=$;while(1){C=J+ +p[K+(L<<3)>>3]*(+n[H+(L<<2)>>2]-+p[M>>3]);L=L+1|0;if((L|0)==(a|0)){aa=C;break}else{J=C;M=M+8|0}}}else aa=Z;p[F+(P<<3)>>3]=aa*d;P=P+1|0;if((P|0)==(q|0))break;else{Q=Q+(b<<3)|0;N=30}}G=G+1|0;if((G|0)==(q|0))break;else{F=F+(m<<3)|0;j=j+(b<<3)|0}}}if((K|0)!=(s|0)){guc(K);f[h>>2]=s;f[v>>2]=1032}u=e;return}function sR(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0.0,B=0,C=0,D=0.0,E=0.0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0.0,N=0.0,O=0.0,P=0.0,Q=0.0,R=0,S=0,T=0;e=u;u=u+1040|0;g=e;h=f[a+16>>2]|0;i=f[b+16>>2]|0;j=f[c+16>>2]|0;k=(f[a+48>>2]|0)>>>3;l=(f[b+48>>2]|0)>>>3;b=(f[c+8>>2]|0)>1?(f[c+48>>2]|0)>>>3:0;m=f[c+12>>2]|0;c=f[a+40>>2]|0;a=f[c+4>>2]|0;n=f[c>>2]|0;c=g+8|0;f[g>>2]=c;o=g+4|0;f[o>>2]=1032;q=(j|0)!=0;r=(m|0)<(a|0);m=q&r?n*40|0:n<<3;f[o>>2]=m;if(m>>>0>1032){s=euc(m)|0;f[g>>2]=s;t=s}else t=c;a:do if(q){do if(r){s=t+(n<<3)|0;if((n|0)<=0)if(!s){v=11;break a}else{w=s;x=s;y=b|0?4:0;break}else z=0;do{m=j+((Y(z,b)|0)<<3)|0;A=+p[m>>3];m=z<<2;p[s+((m|3)<<3)>>3]=A;p[s+((m|2)<<3)>>3]=A;p[s+((m|1)<<3)>>3]=A;p[s+(m<<3)>>3]=A;z=z+1|0}while((z|0)!=(n|0));w=s;x=s;y=b|0?4:0}else{w=j;x=0;y=b}while(0);if((a|0)>0){m=(x|0)!=0;B=(n|0)>0;C=a+-4|0;A=d*0.0;D=d*0.0;E=d*0.0;F=i;G=0;while(1){if(m){if(B){H=0;do{I=h+((Y(H,k)|0)+G<<3)|0;J=x+((Y(H,y)|0)<<3)|0;p[t+(H<<3)>>3]=+p[I>>3]-+p[J>>3];H=H+1|0}while((H|0)!=(n|0))}}else if(B){H=0;do{s=h+((Y(H,k)|0)+G<<3)|0;J=w+((Y(H,y)|0)+G<<3)|0;p[t+(H<<3)>>3]=+p[s>>3]-+p[J>>3];H=H+1|0}while((H|0)!=(n|0))}b:do if((G|0)>(C|0))K=G;else{if(B)L=G;else{H=G;while(1){p[F+(H<<3)>>3]=E;p[F+(H+1<<3)>>3]=E;p[F+(H+2<<3)>>3]=E;p[F+(H+3<<3)>>3]=E;J=H+4|0;if((J|0)>(C|0)){K=J;break b}else H=J}}while(1){H=m?x:w+(L<<3)|0;J=h+(L<<3)|0;M=0.0;N=0.0;O=0.0;P=0.0;s=0;while(1){Q=+p[t+(s<<3)>>3];P=P+Q*(+p[J>>3]-+p[H>>3]);O=O+Q*(+p[J+8>>3]-+p[H+8>>3]);N=N+Q*(+p[J+16>>3]-+p[H+16>>3]);M=M+Q*(+p[J+24>>3]-+p[H+24>>3]);s=s+1|0;if((s|0)==(n|0))break;else{H=H+(y<<3)|0;J=J+(k<<3)|0}}p[F+(L<<3)>>3]=P*d;p[F+(L+1<<3)>>3]=O*d;p[F+(L+2<<3)>>3]=N*d;p[F+(L+3<<3)>>3]=M*d;J=L+4|0;if((J|0)>(C|0)){K=J;break}else L=J}}while(0);c:do if((K|0)<(a|0)){if(!B)if(m){J=K;while(1){p[F+(J<<3)>>3]=A;J=J+1|0;if((J|0)==(a|0))break c}}else{J=K;while(1){p[F+(J<<3)>>3]=D;J=J+1|0;if((J|0)==(a|0))break c}}if(m){J=K;do{H=h+(J<<3)|0;Q=0.0;s=x;I=0;while(1){Q=Q+ +p[t+(I<<3)>>3]*(+p[H>>3]-+p[s>>3]);I=I+1|0;if((I|0)==(n|0))break;else{H=H+(k<<3)|0;s=s+(y<<3)|0}}p[F+(J<<3)>>3]=Q*d;J=J+1|0}while((J|0)!=(a|0))}else{J=K;do{s=h+(J<<3)|0;M=0.0;H=w+(J<<3)|0;I=0;while(1){M=M+ +p[t+(I<<3)>>3]*(+p[s>>3]-+p[H>>3]);I=I+1|0;if((I|0)==(n|0))break;else{s=s+(k<<3)|0;H=H+(y<<3)|0}}p[F+(J<<3)>>3]=M*d;J=J+1|0}while((J|0)!=(a|0))}}while(0);G=G+1|0;if((G|0)==(a|0))break;else F=F+(l<<3)|0}}}else v=11;while(0);if((v|0)==11?(a|0)>0:0){v=(n|0)>0;y=a+-4|0;D=d*0.0;A=d*0.0;w=i;i=0;while(1){if(v){K=0;do{x=h+((Y(K,k)|0)+i<<3)|0;p[t+(K<<3)>>3]=+p[x>>3];K=K+1|0}while((K|0)!=(n|0))}d:do if((i|0)>(y|0))R=i;else{if(v)S=i;else{K=i;while(1){p[w+(K<<3)>>3]=A;p[w+(K+1<<3)>>3]=A;p[w+(K+2<<3)>>3]=A;p[w+(K+3<<3)>>3]=A;x=K+4|0;if((x|0)>(y|0)){R=x;break d}else K=x}}while(1){K=h+(S<<3)|0;E=0.0;Q=0.0;N=0.0;O=0.0;x=0;while(1){P=+p[t+(x<<3)>>3];O=O+P*+p[K>>3];N=N+P*+p[K+8>>3];Q=Q+P*+p[K+16>>3];E=E+P*+p[K+24>>3];x=x+1|0;if((x|0)==(n|0))break;else K=K+(k<<3)|0}p[w+(S<<3)>>3]=O*d;p[w+(S+1<<3)>>3]=N*d;p[w+(S+2<<3)>>3]=Q*d;p[w+(S+3<<3)>>3]=E*d;K=S+4|0;if((K|0)>(y|0)){R=K;break}else S=K}}while(0);e:do if((R|0)<(a|0)){if(v)T=R;else{K=R;while(1){p[w+(K<<3)>>3]=D;K=K+1|0;if((K|0)==(a|0))break e}}do{K=h+(T<<3)|0;P=0.0;x=0;while(1){P=P+ +p[t+(x<<3)>>3]*+p[K>>3];x=x+1|0;if((x|0)==(n|0))break;else K=K+(k<<3)|0}p[w+(T<<3)>>3]=P*d;T=T+1|0}while((T|0)!=(a|0))}while(0);i=i+1|0;if((i|0)==(a|0))break;else w=w+(l<<3)|0}}if((t|0)==(c|0)){u=e;return}guc(t);f[g>>2]=c;f[o>>2]=1032;u=e;return}function tR(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0.0,C=0.0,D=0.0,E=0,F=0,G=0,H=0.0,I=0.0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0.0,R=0,S=0,T=0,U=0,V=0,W=0.0,X=0.0,Z=0,_=0,$=0.0;e=u;u=u+1072|0;g=e;h=e+32|0;i=f[a+16>>2]|0;j=f[b+16>>2]|0;k=f[c+16>>2]|0;l=(f[a+48>>2]|0)>>>3;m=(f[b+48>>2]|0)>>>3;b=(f[c+8>>2]|0)>1?(f[c+48>>2]|0)>>>3:0;n=f[c+12>>2]|0;c=f[a+40>>2]|0;a=f[c+4>>2]|0;o=f[c>>2]|0;if(!k){if((o|0)<=0){u=e;return}c=a+-4|0;q=(a|0)<4;r=a&-4;s=(a|0)>0;t=(r|0)<(a|0);v=0;w=j;while(1){x=i+((Y(v,l)|0)<<3)|0;if(q){y=v;do{z=i+((Y(y,l)|0)<<3)|0;if(s){A=0;B=0.0;while(1){C=B+ +p[x+(A<<3)>>3]*+p[z+(A<<3)>>3];A=A+1|0;if((A|0)==(a|0)){D=C;break}else B=C}}else D=0.0;p[w+(y<<3)>>3]=D*d;y=y+1|0}while((y|0)!=(o|0))}else{y=v;do{A=i+((Y(y,l)|0)<<3)|0;z=0;B=0.0;do{E=z|1;F=z|2;G=z|3;B=B+(+p[x+(z<<3)>>3]*+p[A+(z<<3)>>3]+ +p[x+(E<<3)>>3]*+p[A+(E<<3)>>3]+ +p[x+(F<<3)>>3]*+p[A+(F<<3)>>3]+ +p[x+(G<<3)>>3]*+p[A+(G<<3)>>3]);z=z+4|0}while((z|0)<=(c|0));if(t){z=r;C=B;while(1){H=C+ +p[x+(z<<3)>>3]*+p[A+(z<<3)>>3];z=z+1|0;if((z|0)==(a|0)){I=H;break}else C=H}}else I=B;p[w+(y<<3)>>3]=I*d;y=y+1|0}while((y|0)!=(o|0))}v=v+1|0;if((v|0)==(o|0))break;else w=w+(m<<3)|0}u=e;return}w=(n|0)==(a|0)?4:0;v=a<<3;r=h+8|0;f[h>>2]=r;t=h+4|0;f[t>>2]=v;if(v>>>0>1032){c=euc(v)|0;f[h>>2]=c;J=c}else J=r;if((o|0)>0){c=(n|0)<(a|0);n=(a|0)>0;v=g+24|0;s=g+16|0;q=g+8|0;y=a+-4|0;x=(a|0)<4;z=y>>>2;A=(z<<2)+4|0;G=Y(w,(z<<3)+8|0)|0;z=g+G|0;F=0;E=j;j=k+G|0;while(1){G=i+((Y(F,l)|0)<<3)|0;K=k+((Y(F,b)|0)<<3)|0;if(c)if(n){L=0;do{p[J+(L<<3)>>3]=+p[G+(L<<3)>>3]-+p[K>>3];L=L+1|0}while((L|0)!=(a|0));M=21}else{N=F;M=22}else if(n){L=0;do{p[J+(L<<3)>>3]=+p[G+(L<<3)>>3]-+p[K+(L<<3)>>3];L=L+1|0}while((L|0)!=(a|0));M=21}else{O=F;P=j;M=30}if((M|0)==21){M=0;if(c){N=F;M=22}else{O=F;P=j;M=30}}if((M|0)==22)while(1){M=0;L=i+((Y(N,l)|0)<<3)|0;K=k+((Y(N,b)|0)<<3)|0;I=+p[K>>3];p[v>>3]=I;p[s>>3]=I;p[q>>3]=I;p[g>>3]=I;a:do if(x){Q=0.0;R=g;S=0}else{D=0.0;K=g;G=0;C=I;while(1){T=G|1;U=G|2;V=G|3;H=D+(+p[J+(G<<3)>>3]*(+p[L+(G<<3)>>3]-C)+ +p[J+(T<<3)>>3]*(+p[L+(T<<3)>>3]-+p[K+8>>3])+ +p[J+(U<<3)>>3]*(+p[L+(U<<3)>>3]-+p[K+16>>3])+ +p[J+(V<<3)>>3]*(+p[L+(V<<3)>>3]-+p[K+24>>3]));V=G+4|0;U=K+(w<<3)|0;if((V|0)>(y|0)){Q=H;R=z;S=A;break a}D=H;K=U;G=V;C=+p[U>>3]}}while(0);if((S|0)<(a|0)){I=Q;G=R;K=S;while(1){B=I+ +p[J+(K<<3)>>3]*(+p[L+(K<<3)>>3]-+p[G>>3]);K=K+1|0;if((K|0)==(a|0)){W=B;break}else{I=B;G=G+8|0}}}else W=Q;p[E+(N<<3)>>3]=W*d;N=N+1|0;if((N|0)==(o|0))break;else M=22}else if((M|0)==30)while(1){M=0;G=i+((Y(O,l)|0)<<3)|0;K=k+((Y(O,b)|0)<<3)|0;if(x){X=0.0;Z=K;_=0}else{I=0.0;L=K;K=0;while(1){U=K|1;V=K|2;T=K|3;B=I+(+p[J+(K<<3)>>3]*(+p[G+(K<<3)>>3]-+p[L>>3])+ +p[J+(U<<3)>>3]*(+p[G+(U<<3)>>3]-+p[L+8>>3])+ +p[J+(V<<3)>>3]*(+p[G+(V<<3)>>3]-+p[L+16>>3])+ +p[J+(T<<3)>>3]*(+p[G+(T<<3)>>3]-+p[L+24>>3]));K=K+4|0;if((K|0)>(y|0)){X=B;Z=P;_=A;break}else{I=B;L=L+(w<<3)|0}}}if((_|0)<(a|0)){I=X;L=Z;K=_;while(1){B=I+ +p[J+(K<<3)>>3]*(+p[G+(K<<3)>>3]-+p[L>>3]);K=K+1|0;if((K|0)==(a|0)){$=B;break}else{I=B;L=L+8|0}}}else $=X;p[E+(O<<3)>>3]=$*d;O=O+1|0;if((O|0)==(o|0))break;else{P=P+(b<<3)|0;M=30}}F=F+1|0;if((F|0)==(o|0))break;else{E=E+(m<<3)|0;j=j+(b<<3)|0}}}if((J|0)!=(r|0)){guc(J);f[h>>2]=r;f[t>>2]=1032}u=e;return}function uR(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0.0,B=0.0,C=0.0,D=0;d=u;u=u+128|0;e=d+112|0;g=d+56|0;h=d+40|0;i=d;j=d+8|0;gV(e,39040);do if((qJ(c)|0)==65536){k=f[c+4>>2]|0;f[g>>2]=f[k>>2];l=g+4|0;m=k+4|0;f[l>>2]=f[m>>2];n=g+8|0;f[n>>2]=f[k+8>>2];f[g+12>>2]=f[k+12>>2];f[g+16>>2]=f[k+16>>2];f[g+20>>2]=f[k+20>>2];f[g+24>>2]=f[k+24>>2];f[g+28>>2]=f[k+28>>2];f[g+32>>2]=f[k+32>>2];o=f[k+36>>2]|0;f[g+36>>2]=o;f[g+40>>2]=n;n=g+48|0;p=g+44|0;f[p>>2]=n;f[n>>2]=0;f[g+52>>2]=0;if(o|0){n=o+12|0;f[n>>2]=(f[n>>2]|0)+1}if((f[m>>2]|0)<3){m=f[k+44>>2]|0;n=f[p>>2]|0;f[n>>2]=f[m>>2];f[n+4>>2]=f[m+4>>2];q=g;break}else{f[l>>2]=0;$T(g,k);q=g;break}}else{nJ(g,c,-1);q=g}while(0);c=f[a>>2]|0;k=(c>>>3&511)+1|0;l=c&7;m=f[39060+(l<<2)>>2]|0;n=f[q>>2]|0;if((n^c)&4095|0){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;q=cuc(32)|0;f[h>>2]=q;f[h+8>>2]=-2147483616;f[h+4>>2]=20;r=q;s=214777;t=r+20|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));b[q+20>>0]=0;WD(-215,h,214798,213603,3294)}q=g+40|0;p=f[q>>2]|0;o=f[p+-4>>2]|0;v=f[a+40>>2]|0;a:do if((o|0)==(f[v+-4>>2]|0)){if((o|0)==2){if((f[p>>2]|0)!=(f[v>>2]|0))break;if((f[p+4>>2]|0)!=(f[v+4>>2]|0))break}else if((o|0)>0){w=0;do{if((f[p+(w<<2)>>2]|0)!=(f[v+(w<<2)>>2]|0))break a;w=w+1|0}while((w|0)<(o|0))}if((l|0)==7){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;b[h+11>>0]=9;r=h;s=253007;t=r+9|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));b[h+9>>0]=0;WD(-215,h,214798,213603,3294)}if(!(c&n&16384)){f[h>>2]=a;f[h+4>>2]=g;f[h+8>>2]=0;w=i;f[w>>2]=0;f[w+4>>2]=0;YC(j,h,i,-1);w=Y(f[j+20>>2]|0,k)|0;x=j+16|0;y=i+4|0;z=0;A=0.0;while(1){if(z>>>0>=(f[x>>2]|0)>>>0)break;B=A+ +eh[m&31](f[i>>2]|0,f[y>>2]|0,w);ZC(j)|0;z=z+1|0;A=B}C=A}else{z=f[a+4>>2]|0;if((z|0)<3)D=Y(f[a+12>>2]|0,f[a+8>>2]|0)|0;else{w=0;y=1;while(1){x=Y(f[v+(w<<2)>>2]|0,y)|0;w=w+1|0;if((w|0)==(z|0)){D=x;break}else y=x}}y=Y(D,k)|0;C=+eh[m&31](f[a+16>>2]|0,f[g+16>>2]|0,y)}y=g+36|0;z=f[y>>2]|0;if(z|0?(w=z+12|0,z=f[w>>2]|0,f[w>>2]=z+-1,(z|0)==1):0)aU(g);f[y>>2]=0;y=g+16|0;z=g+4|0;f[y>>2]=0;f[y+4>>2]=0;f[y+8>>2]=0;f[y+12>>2]=0;if((f[z>>2]|0)>0){y=f[q>>2]|0;w=0;do{f[y+(w<<2)>>2]=0;w=w+1|0}while((w|0)<(f[z>>2]|0))}z=f[g+44>>2]|0;if((z|0)!=(g+48|0))TC(z);if(!(f[e+4>>2]|0)){u=d;return +C}u=d;return +C}while(0);f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;d=cuc(32)|0;f[h>>2]=d;f[h+8>>2]=-2147483616;f[h+4>>2]=16;r=d;s=214802;t=r+16|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));b[d+16>>0]=0;WD(-215,h,214798,213603,3294);return +(0.0)}function vR(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0.0,f=0,g=0,i=0.0,j=0,k=0,l=0,m=0,n=0.0,o=0.0,p=0.0;d=c+-4|0;if((c|0)<4){e=0.0;f=0}else{g=0;i=0.0;do{j=g|1;k=g|2;l=g|3;i=i+(+(h[a+g>>0]|0)*+(h[b+g>>0]|0)+ +(h[a+j>>0]|0)*+(h[b+j>>0]|0)+ +(h[a+k>>0]|0)*+(h[b+k>>0]|0)+ +(h[a+l>>0]|0)*+(h[b+l>>0]|0));g=g+4|0}while((g|0)<=(d|0));e=i;f=c&-4}if((f|0)<(c|0)){m=f;n=e}else{o=e;p=o+0.0;return +p}while(1){e=n+ +(h[a+m>>0]|0)*+(h[b+m>>0]|0);m=m+1|0;if((m|0)==(c|0)){o=e;break}else n=e}p=o+0.0;return +p}function wR(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,f=0.0,g=0,h=0,i=0.0,j=0,k=0,l=0,m=0,n=0.0,o=0.0,p=0.0;e=d+-4|0;if((d|0)<4){f=0.0;g=0}else{h=0;i=0.0;do{j=h|1;k=h|2;l=h|3;i=i+(+(b[a+h>>0]|0)*+(b[c+h>>0]|0)+ +(b[a+j>>0]|0)*+(b[c+j>>0]|0)+ +(b[a+k>>0]|0)*+(b[c+k>>0]|0)+ +(b[a+l>>0]|0)*+(b[c+l>>0]|0));h=h+4|0}while((h|0)<=(e|0));f=i;g=d&-4}if((g|0)<(d|0)){m=g;n=f}else{o=f;p=o+0.0;return +p}while(1){f=n+ +(b[a+m>>0]|0)*+(b[c+m>>0]|0);m=m+1|0;if((m|0)==(d|0)){o=f;break}else n=f}p=o+0.0;return +p}function xR(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0.0,f=0,g=0,h=0.0,i=0,k=0,l=0,m=0,n=0.0,o=0.0;d=c+-4|0;if((c|0)<4){e=0.0;f=0}else{g=0;h=0.0;do{i=g|1;k=g|2;l=g|3;h=h+(+(j[a+(g<<1)>>1]|0)*+(j[b+(g<<1)>>1]|0)+ +(j[a+(i<<1)>>1]|0)*+(j[b+(i<<1)>>1]|0)+ +(j[a+(k<<1)>>1]|0)*+(j[b+(k<<1)>>1]|0)+ +(j[a+(l<<1)>>1]|0)*+(j[b+(l<<1)>>1]|0));g=g+4|0}while((g|0)<=(d|0));e=h;f=c&-4}if((f|0)<(c|0)){m=f;n=e}else{o=e;return +o}while(1){e=n+ +(j[a+(m<<1)>>1]|0)*+(j[b+(m<<1)>>1]|0);m=m+1|0;if((m|0)==(c|0)){o=e;break}else n=e}return +o}function yR(a,b,c){a=a|0;b=b|0;c=c|0;var e=0,f=0.0,g=0,h=0,i=0.0,j=0,k=0,l=0,m=0,n=0.0,o=0.0;e=c+-4|0;if((c|0)<4){f=0.0;g=0}else{h=0;i=0.0;do{j=h|1;k=h|2;l=h|3;i=i+(+(d[a+(h<<1)>>1]|0)*+(d[b+(h<<1)>>1]|0)+ +(d[a+(j<<1)>>1]|0)*+(d[b+(j<<1)>>1]|0)+ +(d[a+(k<<1)>>1]|0)*+(d[b+(k<<1)>>1]|0)+ +(d[a+(l<<1)>>1]|0)*+(d[b+(l<<1)>>1]|0));h=h+4|0}while((h|0)<=(e|0));f=i;g=c&-4}if((g|0)<(c|0)){m=g;n=f}else{o=f;return +o}while(1){f=n+ +(d[a+(m<<1)>>1]|0)*+(d[b+(m<<1)>>1]|0);m=m+1|0;if((m|0)==(c|0)){o=f;break}else n=f}return +o}function zR(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0.0,g=0,h=0,i=0.0,j=0,k=0,l=0,m=0,n=0.0,o=0.0;d=c+-4|0;if((c|0)<4){e=0.0;g=0}else{h=0;i=0.0;do{j=h|1;k=h|2;l=h|3;i=i+(+(f[a+(h<<2)>>2]|0)*+(f[b+(h<<2)>>2]|0)+ +(f[a+(j<<2)>>2]|0)*+(f[b+(j<<2)>>2]|0)+ +(f[a+(k<<2)>>2]|0)*+(f[b+(k<<2)>>2]|0)+ +(f[a+(l<<2)>>2]|0)*+(f[b+(l<<2)>>2]|0));h=h+4|0}while((h|0)<=(d|0));e=i;g=c&-4}if((g|0)<(c|0)){m=g;n=e}else{o=e;return +o}while(1){e=n+ +(f[a+(m<<2)>>2]|0)*+(f[b+(m<<2)>>2]|0);m=m+1|0;if((m|0)==(c|0)){o=e;break}else n=e}return +o}function AR(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0.0,f=0,g=0,h=0.0,i=0,j=0,k=0,l=0,m=0.0,o=0.0,p=0.0;d=c+-4|0;if((c|0)<4){e=0.0;f=0}else{g=0;h=0.0;do{i=g|1;j=g|2;k=g|3;h=h+(+n[a+(g<<2)>>2]*+n[b+(g<<2)>>2]+ +n[a+(i<<2)>>2]*+n[b+(i<<2)>>2]+ +n[a+(j<<2)>>2]*+n[b+(j<<2)>>2]+ +n[a+(k<<2)>>2]*+n[b+(k<<2)>>2]);g=g+4|0}while((g|0)<=(d|0));e=h;f=c&-4}if((f|0)<(c|0)){l=f;m=e}else{o=e;p=o+0.0;return +p}while(1){e=m+ +n[a+(l<<2)>>2]*+n[b+(l<<2)>>2];l=l+1|0;if((l|0)==(c|0)){o=e;break}else m=e}p=o+0.0;return +p}function BR(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0.0,f=0,g=0,h=0.0,i=0,j=0,k=0,l=0,m=0.0,n=0.0;d=c+-4|0;if((c|0)<4){e=0.0;f=0}else{g=0;h=0.0;do{i=g|1;j=g|2;k=g|3;h=h+(+p[a+(g<<3)>>3]*+p[b+(g<<3)>>3]+ +p[a+(i<<3)>>3]*+p[b+(i<<3)>>3]+ +p[a+(j<<3)>>3]*+p[b+(j<<3)>>3]+ +p[a+(k<<3)>>3]*+p[b+(k<<3)>>3]);g=g+4|0}while((g|0)<=(d|0));e=h;f=c&-4}if((f|0)<(c|0)){l=f;m=e}else{n=e;return +n}while(1){e=m+ +p[a+(l<<3)>>3]*+p[b+(l<<3)>>3];l=l+1|0;if((l|0)==(c|0)){n=e;break}else m=e}return +n}function CR(a){a=a|0;return}function DR(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0;g=u;u=u+656|0;h=g+312|0;i=g+256|0;j=g+592|0;k=g+32|0;l=g+536|0;m=g;if(!(Th[f[(f[a>>2]|0)+8>>2]&1023](a,b)|0)){f[j>>2]=1124007936;a=j+4|0;n=j+8|0;o=j+40|0;q=a;r=q+36|0;do{f[q>>2]=0;q=q+4|0}while((q|0)<(r|0));f[o>>2]=n;n=j+48|0;s=j+44|0;f[s>>2]=n;f[n>>2]=0;f[j+52>>2]=0;t=f[b>>2]|0;sh[f[(f[t>>2]|0)+12>>2]&255](t,b,j,-1);t=c;v=f[t>>2]|0;w=f[t+4>>2]|0;t=d;x=f[t+4>>2]|0;y=h;f[y>>2]=f[t>>2];f[y+4>>2]=x;x=i;f[x>>2]=v;f[x+4>>2]=w;bU(l,j,i,h);f[h>>2]=1124007936;w=h+4|0;x=h+8|0;v=h+40|0;q=w;r=q+36|0;do{f[q>>2]=0;q=q+4|0}while((q|0)<(r|0));f[v>>2]=x;x=h+48|0;y=h+44|0;f[y>>2]=x;f[x>>2]=0;f[h+52>>2]=0;f[i>>2]=1124007936;t=i+4|0;z=i+8|0;A=i+40|0;q=t;r=q+36|0;do{f[q>>2]=0;q=q+4|0}while((q|0)<(r|0));f[A>>2]=z;z=i+48|0;B=i+44|0;f[B>>2]=z;f[z>>2]=0;f[i+52>>2]=0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;f[m+16>>2]=0;f[m+20>>2]=0;f[m+24>>2]=0;f[m+28>>2]=0;$R(k,39232,0,l,h,i,1.0,1.0,m);m=k;C=f[m+4>>2]|0;D=e;f[D>>2]=f[m>>2];f[D+4>>2]=C;C=e+8|0;D=(k|0)==(e|0);if(!D){m=e+44|0;E=f[m>>2]|0;if(E|0?(F=E+12|0,E=f[F>>2]|0,f[F>>2]=E+-1,(E|0)==1):0)aU(C);f[m>>2]=0;E=e+24|0;F=e+12|0;f[E>>2]=0;f[E+4>>2]=0;f[E+8>>2]=0;f[E+12>>2]=0;if((f[F>>2]|0)>0){G=f[e+48>>2]|0;H=0;do{f[G+(H<<2)>>2]=0;H=H+1|0}while((H|0)<(f[F>>2]|0))}H=k+8|0;f[C>>2]=f[H>>2];C=k+12|0;G=f[C>>2]|0;f[F>>2]=G;F=k+16|0;I=e+16|0;f[I>>2]=f[F>>2];f[e+20>>2]=f[k+20>>2];f[E>>2]=f[k+24>>2];f[e+28>>2]=f[k+28>>2];f[e+32>>2]=f[k+32>>2];f[e+36>>2]=f[k+36>>2];f[e+40>>2]=f[k+40>>2];f[m>>2]=f[k+44>>2];m=e+52|0;E=f[m>>2]|0;J=e+56|0;if((E|0)==(J|0)){K=G;L=E}else{TC(E);f[m>>2]=J;f[e+48>>2]=I;K=f[C>>2]|0;L=J}J=k+52|0;if((K|0)<3){K=f[J>>2]|0;f[L>>2]=f[K>>2];f[L+4>>2]=f[K+4>>2]}else{f[m>>2]=f[J>>2];m=k+48|0;f[e+48>>2]=f[m>>2];f[J>>2]=k+56;f[m>>2]=F}f[H>>2]=1124007936;q=C;r=q+36|0;do{f[q>>2]=0;q=q+4|0}while((q|0)<(r|0));C=e+64|0;if(!D){H=e+100|0;F=f[H>>2]|0;if(F|0?(m=F+12|0,F=f[m>>2]|0,f[m>>2]=F+-1,(F|0)==1):0)aU(C);f[H>>2]=0;F=e+80|0;m=e+68|0;f[F>>2]=0;f[F+4>>2]=0;f[F+8>>2]=0;f[F+12>>2]=0;if((f[m>>2]|0)>0){J=f[e+104>>2]|0;K=0;do{f[J+(K<<2)>>2]=0;K=K+1|0}while((K|0)<(f[m>>2]|0))}K=k+64|0;f[C>>2]=f[K>>2];C=k+68|0;J=f[C>>2]|0;f[m>>2]=J;m=k+72|0;L=e+72|0;f[L>>2]=f[m>>2];f[e+76>>2]=f[k+76>>2];f[F>>2]=f[k+80>>2];f[e+84>>2]=f[k+84>>2];f[e+88>>2]=f[k+88>>2];f[e+92>>2]=f[k+92>>2];f[e+96>>2]=f[k+96>>2];f[H>>2]=f[k+100>>2];H=e+108|0;F=f[H>>2]|0;I=e+112|0;if((F|0)==(I|0)){M=J;N=F}else{TC(F);f[H>>2]=I;f[e+104>>2]=L;M=f[C>>2]|0;N=I}I=k+108|0;if((M|0)<3){M=f[I>>2]|0;f[N>>2]=f[M>>2];f[N+4>>2]=f[M+4>>2]}else{f[H>>2]=f[I>>2];H=k+104|0;f[e+104>>2]=f[H>>2];f[I>>2]=k+112;f[H>>2]=m}f[K>>2]=1124007936;q=C;r=q+36|0;do{f[q>>2]=0;q=q+4|0}while((q|0)<(r|0));C=e+120|0;if(!D){D=e+156|0;K=f[D>>2]|0;if(K|0?(m=K+12|0,K=f[m>>2]|0,f[m>>2]=K+-1,(K|0)==1):0)aU(C);f[D>>2]=0;K=e+136|0;m=e+124|0;f[K>>2]=0;f[K+4>>2]=0;f[K+8>>2]=0;f[K+12>>2]=0;if((f[m>>2]|0)>0){H=f[e+160>>2]|0;I=0;do{f[H+(I<<2)>>2]=0;I=I+1|0}while((I|0)<(f[m>>2]|0))}I=k+120|0;f[C>>2]=f[I>>2];C=k+124|0;H=f[C>>2]|0;f[m>>2]=H;m=k+128|0;M=e+128|0;f[M>>2]=f[m>>2];f[e+132>>2]=f[k+132>>2];f[K>>2]=f[k+136>>2];f[e+140>>2]=f[k+140>>2];f[e+144>>2]=f[k+144>>2];f[e+148>>2]=f[k+148>>2];f[e+152>>2]=f[k+152>>2];f[D>>2]=f[k+156>>2];D=e+164|0;K=f[D>>2]|0;N=e+168|0;if((K|0)==(N|0)){O=H;P=K}else{TC(K);f[D>>2]=N;f[e+160>>2]=M;O=f[C>>2]|0;P=N}N=k+164|0;if((O|0)<3){O=f[N>>2]|0;f[P>>2]=f[O>>2];f[P+4>>2]=f[O+4>>2]}else{f[D>>2]=f[N>>2];D=k+160|0;f[e+160>>2]=f[D>>2];f[N>>2]=k+168;f[D>>2]=m}f[I>>2]=1124007936;q=C;r=q+36|0;do{f[q>>2]=0;q=q+4|0}while((q|0)<(r|0))}}}C=e+176|0;I=k+176|0;f[C>>2]=f[I>>2];f[C+4>>2]=f[I+4>>2];f[C+8>>2]=f[I+8>>2];f[C+12>>2]=f[I+12>>2];p[e+192>>3]=+p[k+192>>3];p[e+200>>3]=+p[k+200>>3];p[e+208>>3]=+p[k+208>>3];p[e+216>>3]=+p[k+216>>3];Xi(k);I=i+36|0;C=f[I>>2]|0;if(C|0?(m=C+12|0,C=f[m>>2]|0,f[m>>2]=C+-1,(C|0)==1):0)aU(i);f[I>>2]=0;I=i+16|0;f[I>>2]=0;f[I+4>>2]=0;f[I+8>>2]=0;f[I+12>>2]=0;if((f[t>>2]|0)>0){I=f[A>>2]|0;A=0;do{f[I+(A<<2)>>2]=0;A=A+1|0}while((A|0)<(f[t>>2]|0))}t=f[B>>2]|0;if((t|0)!=(z|0))TC(t);t=h+36|0;z=f[t>>2]|0;if(z|0?(B=z+12|0,z=f[B>>2]|0,f[B>>2]=z+-1,(z|0)==1):0)aU(h);f[t>>2]=0;t=h+16|0;f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;f[t+12>>2]=0;if((f[w>>2]|0)>0){t=f[v>>2]|0;v=0;do{f[t+(v<<2)>>2]=0;v=v+1|0}while((v|0)<(f[w>>2]|0))}w=f[y>>2]|0;if((w|0)!=(x|0))TC(w);w=l+36|0;x=f[w>>2]|0;if(x|0?(y=x+12|0,x=f[y>>2]|0,f[y>>2]=x+-1,(x|0)==1):0)aU(l);f[w>>2]=0;w=l+16|0;x=l+4|0;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;f[w+12>>2]=0;if((f[x>>2]|0)>0){w=f[l+40>>2]|0;y=0;do{f[w+(y<<2)>>2]=0;y=y+1|0}while((y|0)<(f[x>>2]|0))}x=f[l+44>>2]|0;if((x|0)!=(l+48|0))TC(x);x=j+36|0;l=f[x>>2]|0;if(l|0?(y=l+12|0,l=f[y>>2]|0,f[y>>2]=l+-1,(l|0)==1):0)aU(j);f[x>>2]=0;x=j+16|0;f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;f[x+12>>2]=0;if((f[a>>2]|0)>0){x=f[o>>2]|0;o=0;do{f[x+(o<<2)>>2]=0;o=o+1|0}while((o|0)<(f[a>>2]|0))}a=f[s>>2]|0;if((a|0)!=(n|0))TC(a);u=g;return}a=f[b>>2]|0;n=f[b+4>>2]|0;f[i>>2]=1124007936;s=i+4|0;o=i+8|0;x=i+40|0;q=s;r=q+36|0;do{f[q>>2]=0;q=q+4|0}while((q|0)<(r|0));f[x>>2]=o;o=i+48|0;l=i+44|0;f[l>>2]=o;f[o>>2]=0;f[i+52>>2]=0;f[j>>2]=1124007936;y=j+4|0;w=j+8|0;v=j+40|0;q=y;r=q+36|0;do{f[q>>2]=0;q=q+4|0}while((q|0)<(r|0));f[v>>2]=w;w=j+48|0;t=j+44|0;f[t>>2]=w;f[w>>2]=0;f[j+52>>2]=0;f[k>>2]=1124007936;z=k+4|0;B=k+8|0;A=k+40|0;q=z;r=q+36|0;do{f[q>>2]=0;q=q+4|0}while((q|0)<(r|0));f[A>>2]=B;B=k+48|0;I=k+44|0;f[I>>2]=B;f[B>>2]=0;f[k+52>>2]=0;$R(h,a,n,i,j,k,+p[b+176>>3],+p[b+184>>3],b+192|0);n=h;a=f[n+4>>2]|0;C=e;f[C>>2]=f[n>>2];f[C+4>>2]=a;a=e+8|0;C=(h|0)==(e|0);if(!C){n=e+44|0;m=f[n>>2]|0;if(m|0?(D=m+12|0,m=f[D>>2]|0,f[D>>2]=m+-1,(m|0)==1):0)aU(a);f[n>>2]=0;m=e+24|0;D=e+12|0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;if((f[D>>2]|0)>0){N=f[e+48>>2]|0;O=0;do{f[N+(O<<2)>>2]=0;O=O+1|0}while((O|0)<(f[D>>2]|0))}O=h+8|0;f[a>>2]=f[O>>2];N=h+12|0;P=f[N>>2]|0;f[D>>2]=P;D=h+16|0;M=e+16|0;f[M>>2]=f[D>>2];f[e+20>>2]=f[h+20>>2];f[m>>2]=f[h+24>>2];f[e+28>>2]=f[h+28>>2];f[e+32>>2]=f[h+32>>2];f[e+36>>2]=f[h+36>>2];f[e+40>>2]=f[h+40>>2];f[n>>2]=f[h+44>>2];n=e+52|0;m=f[n>>2]|0;K=e+56|0;if((m|0)==(K|0))Q=P;else{TC(m);f[n>>2]=K;f[e+48>>2]=M;Q=f[N>>2]|0}M=h+52|0;if((Q|0)<3){Q=f[M>>2]|0;f[K>>2]=f[Q>>2];f[e+60>>2]=f[Q+4>>2]}else{f[n>>2]=f[M>>2];n=h+48|0;f[e+48>>2]=f[n>>2];f[M>>2]=h+56;f[n>>2]=D}f[O>>2]=1124007936;q=N;r=q+36|0;do{f[q>>2]=0;q=q+4|0}while((q|0)<(r|0));N=e+64|0;if(!C){O=e+100|0;D=f[O>>2]|0;if(D|0?(n=D+12|0,D=f[n>>2]|0,f[n>>2]=D+-1,(D|0)==1):0)aU(N);f[O>>2]=0;D=e+80|0;n=e+68|0;f[D>>2]=0;f[D+4>>2]=0;f[D+8>>2]=0;f[D+12>>2]=0;if((f[n>>2]|0)>0){M=f[e+104>>2]|0;Q=0;do{f[M+(Q<<2)>>2]=0;Q=Q+1|0}while((Q|0)<(f[n>>2]|0))}Q=h+64|0;f[N>>2]=f[Q>>2];M=h+68|0;K=f[M>>2]|0;f[n>>2]=K;n=h+72|0;m=e+72|0;f[m>>2]=f[n>>2];f[e+76>>2]=f[h+76>>2];f[D>>2]=f[h+80>>2];f[e+84>>2]=f[h+84>>2];f[e+88>>2]=f[h+88>>2];f[e+92>>2]=f[h+92>>2];f[e+96>>2]=f[h+96>>2];f[O>>2]=f[h+100>>2];O=e+108|0;D=f[O>>2]|0;P=e+112|0;if((D|0)==(P|0))R=K;else{TC(D);f[O>>2]=P;f[e+104>>2]=m;R=f[M>>2]|0}m=h+108|0;if((R|0)<3){R=f[m>>2]|0;f[P>>2]=f[R>>2];f[e+116>>2]=f[R+4>>2]}else{f[O>>2]=f[m>>2];O=h+104|0;f[e+104>>2]=f[O>>2];f[m>>2]=h+112;f[O>>2]=n}f[Q>>2]=1124007936;q=M;r=q+36|0;do{f[q>>2]=0;q=q+4|0}while((q|0)<(r|0));M=e+120|0;if(C){S=N;T=M}else{C=e+156|0;Q=f[C>>2]|0;if(Q|0?(n=Q+12|0,Q=f[n>>2]|0,f[n>>2]=Q+-1,(Q|0)==1):0)aU(M);f[C>>2]=0;Q=e+136|0;n=e+124|0;f[Q>>2]=0;f[Q+4>>2]=0;f[Q+8>>2]=0;f[Q+12>>2]=0;if((f[n>>2]|0)>0){O=f[e+160>>2]|0;m=0;do{f[O+(m<<2)>>2]=0;m=m+1|0}while((m|0)<(f[n>>2]|0))}m=h+120|0;f[M>>2]=f[m>>2];O=h+124|0;R=f[O>>2]|0;f[n>>2]=R;n=h+128|0;P=e+128|0;f[P>>2]=f[n>>2];f[e+132>>2]=f[h+132>>2];f[Q>>2]=f[h+136>>2];f[e+140>>2]=f[h+140>>2];f[e+144>>2]=f[h+144>>2];f[e+148>>2]=f[h+148>>2];f[e+152>>2]=f[h+152>>2];f[C>>2]=f[h+156>>2];C=e+164|0;Q=f[C>>2]|0;D=e+168|0;if((Q|0)==(D|0))U=R;else{TC(Q);f[C>>2]=D;f[e+160>>2]=P;U=f[O>>2]|0}P=h+164|0;if((U|0)<3){U=f[P>>2]|0;f[D>>2]=f[U>>2];f[e+172>>2]=f[U+4>>2]}else{f[C>>2]=f[P>>2];C=h+160|0;f[e+160>>2]=f[C>>2];f[P>>2]=h+168;f[C>>2]=n}f[m>>2]=1124007936;q=O;r=q+36|0;do{f[q>>2]=0;q=q+4|0}while((q|0)<(r|0));S=N;T=M}}else{V=N;W=27}}else{V=e+64|0;W=27}if((W|0)==27){S=V;T=e+120|0}V=e+176|0;W=h+176|0;f[V>>2]=f[W>>2];f[V+4>>2]=f[W+4>>2];f[V+8>>2]=f[W+8>>2];f[V+12>>2]=f[W+12>>2];p[e+192>>3]=+p[h+192>>3];p[e+200>>3]=+p[h+200>>3];p[e+208>>3]=+p[h+208>>3];p[e+216>>3]=+p[h+216>>3];Xi(h);W=k+36|0;V=f[W>>2]|0;if(V|0?(N=V+12|0,V=f[N>>2]|0,f[N>>2]=V+-1,(V|0)==1):0)aU(k);f[W>>2]=0;W=k+16|0;f[W>>2]=0;f[W+4>>2]=0;f[W+8>>2]=0;f[W+12>>2]=0;if((f[z>>2]|0)>0){W=f[A>>2]|0;A=0;do{f[W+(A<<2)>>2]=0;A=A+1|0}while((A|0)<(f[z>>2]|0))}z=f[I>>2]|0;if((z|0)!=(B|0))TC(z);z=j+36|0;B=f[z>>2]|0;if(B|0?(I=B+12|0,B=f[I>>2]|0,f[I>>2]=B+-1,(B|0)==1):0)aU(j);f[z>>2]=0;z=j+16|0;f[z>>2]=0;f[z+4>>2]=0;f[z+8>>2]=0;f[z+12>>2]=0;if((f[y>>2]|0)>0){z=f[v>>2]|0;v=0;do{f[z+(v<<2)>>2]=0;v=v+1|0}while((v|0)<(f[y>>2]|0))}y=f[t>>2]|0;if((y|0)!=(w|0))TC(y);y=i+36|0;w=f[y>>2]|0;if(w|0?(t=w+12|0,w=f[t>>2]|0,f[t>>2]=w+-1,(w|0)==1):0)aU(i);f[y>>2]=0;y=i+16|0;f[y>>2]=0;f[y+4>>2]=0;f[y+8>>2]=0;f[y+12>>2]=0;if((f[s>>2]|0)>0){y=f[x>>2]|0;x=0;do{f[y+(x<<2)>>2]=0;x=x+1|0}while((x|0)<(f[s>>2]|0))}s=f[l>>2]|0;if((s|0)!=(o|0))TC(s);if(f[b+24>>2]|0){s=c;o=f[s>>2]|0;l=f[s+4>>2]|0;s=d;x=f[s+4>>2]|0;y=h;f[y>>2]=f[s>>2];f[y+4>>2]=x;x=i;f[x>>2]=o;f[x+4>>2]=l;bU(j,b+8|0,i,h);if((a|0)==(j|0)){l=j+36|0;x=f[l>>2]|0;if((x|0)!=0?(o=x+12|0,x=f[o>>2]|0,f[o>>2]=x+-1,(x|0)==1):0){aU(j);X=l}else X=l}else{l=e+44|0;x=f[l>>2]|0;if(x|0?(o=x+12|0,x=f[o>>2]|0,f[o>>2]=x+-1,(x|0)==1):0)aU(a);f[l>>2]=0;x=e+24|0;o=e+12|0;f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;f[x+12>>2]=0;if((f[o>>2]|0)>0){y=f[e+48>>2]|0;s=0;do{f[y+(s<<2)>>2]=0;s=s+1|0}while((s|0)<(f[o>>2]|0))}f[a>>2]=f[j>>2];a=j+4|0;s=f[a>>2]|0;f[o>>2]=s;o=j+8|0;y=e+16|0;f[y>>2]=f[o>>2];f[e+20>>2]=f[j+12>>2];f[x>>2]=f[j+16>>2];f[e+28>>2]=f[j+20>>2];f[e+32>>2]=f[j+24>>2];f[e+36>>2]=f[j+28>>2];f[e+40>>2]=f[j+32>>2];x=j+36|0;f[l>>2]=f[x>>2];l=e+52|0;w=f[l>>2]|0;t=e+56|0;if((w|0)==(t|0))Y=s;else{TC(w);f[l>>2]=t;f[e+48>>2]=y;Y=f[a>>2]|0}y=j+44|0;if((Y|0)<3){Y=f[y>>2]|0;f[t>>2]=f[Y>>2];f[e+60>>2]=f[Y+4>>2]}else{f[l>>2]=f[y>>2];l=j+40|0;f[e+48>>2]=f[l>>2];f[y>>2]=j+48;f[l>>2]=o}f[j>>2]=1124007936;q=a;r=q+36|0;do{f[q>>2]=0;q=q+4|0}while((q|0)<(r|0));X=x}f[X>>2]=0;X=j+16|0;x=j+4|0;f[X>>2]=0;f[X+4>>2]=0;f[X+8>>2]=0;f[X+12>>2]=0;if((f[x>>2]|0)>0){X=f[j+40>>2]|0;a=0;do{f[X+(a<<2)>>2]=0;a=a+1|0}while((a|0)<(f[x>>2]|0))}x=f[j+44>>2]|0;if((x|0)!=(j+48|0))TC(x)}if(f[b+80>>2]|0){x=c;a=f[x>>2]|0;X=f[x+4>>2]|0;x=d;o=f[x+4>>2]|0;l=h;f[l>>2]=f[x>>2];f[l+4>>2]=o;o=i;f[o>>2]=a;f[o+4>>2]=X;bU(j,b+64|0,i,h);if((S|0)==(j|0)){X=j+36|0;o=f[X>>2]|0;if((o|0)!=0?(a=o+12|0,o=f[a>>2]|0,f[a>>2]=o+-1,(o|0)==1):0){aU(j);Z=X}else Z=X}else{X=e+100|0;o=f[X>>2]|0;if(o|0?(a=o+12|0,o=f[a>>2]|0,f[a>>2]=o+-1,(o|0)==1):0)aU(S);f[X>>2]=0;o=e+80|0;a=e+68|0;f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;f[o+12>>2]=0;if((f[a>>2]|0)>0){l=f[e+104>>2]|0;x=0;do{f[l+(x<<2)>>2]=0;x=x+1|0}while((x|0)<(f[a>>2]|0))}f[S>>2]=f[j>>2];S=j+4|0;x=f[S>>2]|0;f[a>>2]=x;a=j+8|0;l=e+72|0;f[l>>2]=f[a>>2];f[e+76>>2]=f[j+12>>2];f[o>>2]=f[j+16>>2];f[e+84>>2]=f[j+20>>2];f[e+88>>2]=f[j+24>>2];f[e+92>>2]=f[j+28>>2];f[e+96>>2]=f[j+32>>2];o=j+36|0;f[X>>2]=f[o>>2];X=e+108|0;y=f[X>>2]|0;Y=e+112|0;if((y|0)==(Y|0))_=x;else{TC(y);f[X>>2]=Y;f[e+104>>2]=l;_=f[S>>2]|0}l=j+44|0;if((_|0)<3){_=f[l>>2]|0;f[Y>>2]=f[_>>2];f[e+116>>2]=f[_+4>>2]}else{f[X>>2]=f[l>>2];X=j+40|0;f[e+104>>2]=f[X>>2];f[l>>2]=j+48;f[X>>2]=a}f[j>>2]=1124007936;q=S;r=q+36|0;do{f[q>>2]=0;q=q+4|0}while((q|0)<(r|0));Z=o}f[Z>>2]=0;Z=j+16|0;o=j+4|0;f[Z>>2]=0;f[Z+4>>2]=0;f[Z+8>>2]=0;f[Z+12>>2]=0;if((f[o>>2]|0)>0){Z=f[j+40>>2]|0;S=0;do{f[Z+(S<<2)>>2]=0;S=S+1|0}while((S|0)<(f[o>>2]|0))}o=f[j+44>>2]|0;if((o|0)!=(j+48|0))TC(o)}if(!(f[b+136>>2]|0)){u=g;return}o=c;c=f[o>>2]|0;S=f[o+4>>2]|0;o=d;d=f[o+4>>2]|0;Z=h;f[Z>>2]=f[o>>2];f[Z+4>>2]=d;d=i;f[d>>2]=c;f[d+4>>2]=S;bU(j,b+120|0,i,h);if((T|0)==(j|0)){h=j+36|0;i=f[h>>2]|0;if((i|0)!=0?(b=i+12|0,i=f[b>>2]|0,f[b>>2]=i+-1,(i|0)==1):0){aU(j);$=h}else $=h}else{h=e+156|0;i=f[h>>2]|0;if(i|0?(b=i+12|0,i=f[b>>2]|0,f[b>>2]=i+-1,(i|0)==1):0)aU(T);f[h>>2]=0;T=e+136|0;i=e+124|0;f[T>>2]=0;f[T+4>>2]=0;f[T+8>>2]=0;f[T+12>>2]=0;if((f[i>>2]|0)>0){b=f[e+160>>2]|0;S=0;do{f[b+(S<<2)>>2]=0;S=S+1|0}while((S|0)<(f[i>>2]|0))}f[e+120>>2]=f[j>>2];S=j+4|0;b=f[S>>2]|0;f[i>>2]=b;i=j+8|0;d=e+128|0;f[d>>2]=f[i>>2];f[e+132>>2]=f[j+12>>2];f[T>>2]=f[j+16>>2];f[e+140>>2]=f[j+20>>2];f[e+144>>2]=f[j+24>>2];f[e+148>>2]=f[j+28>>2];f[e+152>>2]=f[j+32>>2];T=j+36|0;f[h>>2]=f[T>>2];h=e+164|0;c=f[h>>2]|0;Z=e+168|0;if((c|0)==(Z|0))aa=b;else{TC(c);f[h>>2]=Z;f[e+160>>2]=d;aa=f[S>>2]|0}d=j+44|0;if((aa|0)<3){aa=f[d>>2]|0;f[Z>>2]=f[aa>>2];f[e+172>>2]=f[aa+4>>2]}else{f[h>>2]=f[d>>2];h=j+40|0;f[e+160>>2]=f[h>>2];f[d>>2]=j+48;f[h>>2]=i}f[j>>2]=1124007936;q=S;r=q+36|0;do{f[q>>2]=0;q=q+4|0}while((q|0)<(r|0));$=T}f[$>>2]=0;$=j+16|0;T=j+4|0;f[$>>2]=0;f[$+4>>2]=0;f[$+8>>2]=0;f[$+12>>2]=0;if((f[T>>2]|0)>0){$=f[j+40>>2]|0;q=0;do{f[$+(q<<2)>>2]=0;q=q+1|0}while((q|0)<(f[T>>2]|0))}T=f[j+44>>2]|0;if((T|0)!=(j+48|0))TC(T);u=g;return}function ER(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0;e=u;u=u+656|0;g=e+256|0;h=e+32|0;i=e+592|0;j=e+536|0;k=e+480|0;l=e;if(!(Th[f[(f[a>>2]|0)+8>>2]&1023](a,b)|0)){f[g>>2]=1124007936;a=g+4|0;m=g+8|0;n=g+40|0;o=a;q=o+36|0;do{f[o>>2]=0;o=o+4|0}while((o|0)<(q|0));f[n>>2]=m;m=g+48|0;r=g+44|0;f[r>>2]=m;f[m>>2]=0;f[g+52>>2]=0;s=f[b>>2]|0;sh[f[(f[s>>2]|0)+12>>2]&255](s,b,g,-1);hU(i,g,c);f[j>>2]=1124007936;s=j+4|0;t=j+8|0;v=j+40|0;o=s;q=o+36|0;do{f[o>>2]=0;o=o+4|0}while((o|0)<(q|0));f[v>>2]=t;t=j+48|0;w=j+44|0;f[w>>2]=t;f[t>>2]=0;f[j+52>>2]=0;f[k>>2]=1124007936;x=k+4|0;y=k+8|0;z=k+40|0;o=x;q=o+36|0;do{f[o>>2]=0;o=o+4|0}while((o|0)<(q|0));f[z>>2]=y;y=k+48|0;A=k+44|0;f[A>>2]=y;f[y>>2]=0;f[k+52>>2]=0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;f[l+16>>2]=0;f[l+20>>2]=0;f[l+24>>2]=0;f[l+28>>2]=0;$R(h,39232,0,i,j,k,1.0,1.0,l);l=h;B=f[l+4>>2]|0;C=d;f[C>>2]=f[l>>2];f[C+4>>2]=B;B=d+8|0;C=(h|0)==(d|0);if(!C){l=d+44|0;D=f[l>>2]|0;if(D|0?(E=D+12|0,D=f[E>>2]|0,f[E>>2]=D+-1,(D|0)==1):0)aU(B);f[l>>2]=0;D=d+24|0;E=d+12|0;f[D>>2]=0;f[D+4>>2]=0;f[D+8>>2]=0;f[D+12>>2]=0;if((f[E>>2]|0)>0){F=f[d+48>>2]|0;G=0;do{f[F+(G<<2)>>2]=0;G=G+1|0}while((G|0)<(f[E>>2]|0))}G=h+8|0;f[B>>2]=f[G>>2];B=h+12|0;F=f[B>>2]|0;f[E>>2]=F;E=h+16|0;H=d+16|0;f[H>>2]=f[E>>2];f[d+20>>2]=f[h+20>>2];f[D>>2]=f[h+24>>2];f[d+28>>2]=f[h+28>>2];f[d+32>>2]=f[h+32>>2];f[d+36>>2]=f[h+36>>2];f[d+40>>2]=f[h+40>>2];f[l>>2]=f[h+44>>2];l=d+52|0;D=f[l>>2]|0;I=d+56|0;if((D|0)==(I|0)){J=F;K=D}else{TC(D);f[l>>2]=I;f[d+48>>2]=H;J=f[B>>2]|0;K=I}I=h+52|0;if((J|0)<3){J=f[I>>2]|0;f[K>>2]=f[J>>2];f[K+4>>2]=f[J+4>>2]}else{f[l>>2]=f[I>>2];l=h+48|0;f[d+48>>2]=f[l>>2];f[I>>2]=h+56;f[l>>2]=E}f[G>>2]=1124007936;o=B;q=o+36|0;do{f[o>>2]=0;o=o+4|0}while((o|0)<(q|0));B=d+64|0;if(!C){G=d+100|0;E=f[G>>2]|0;if(E|0?(l=E+12|0,E=f[l>>2]|0,f[l>>2]=E+-1,(E|0)==1):0)aU(B);f[G>>2]=0;E=d+80|0;l=d+68|0;f[E>>2]=0;f[E+4>>2]=0;f[E+8>>2]=0;f[E+12>>2]=0;if((f[l>>2]|0)>0){I=f[d+104>>2]|0;J=0;do{f[I+(J<<2)>>2]=0;J=J+1|0}while((J|0)<(f[l>>2]|0))}J=h+64|0;f[B>>2]=f[J>>2];B=h+68|0;I=f[B>>2]|0;f[l>>2]=I;l=h+72|0;K=d+72|0;f[K>>2]=f[l>>2];f[d+76>>2]=f[h+76>>2];f[E>>2]=f[h+80>>2];f[d+84>>2]=f[h+84>>2];f[d+88>>2]=f[h+88>>2];f[d+92>>2]=f[h+92>>2];f[d+96>>2]=f[h+96>>2];f[G>>2]=f[h+100>>2];G=d+108|0;E=f[G>>2]|0;H=d+112|0;if((E|0)==(H|0)){L=I;M=E}else{TC(E);f[G>>2]=H;f[d+104>>2]=K;L=f[B>>2]|0;M=H}H=h+108|0;if((L|0)<3){L=f[H>>2]|0;f[M>>2]=f[L>>2];f[M+4>>2]=f[L+4>>2]}else{f[G>>2]=f[H>>2];G=h+104|0;f[d+104>>2]=f[G>>2];f[H>>2]=h+112;f[G>>2]=l}f[J>>2]=1124007936;o=B;q=o+36|0;do{f[o>>2]=0;o=o+4|0}while((o|0)<(q|0));B=d+120|0;if(!C){C=d+156|0;J=f[C>>2]|0;if(J|0?(l=J+12|0,J=f[l>>2]|0,f[l>>2]=J+-1,(J|0)==1):0)aU(B);f[C>>2]=0;J=d+136|0;l=d+124|0;f[J>>2]=0;f[J+4>>2]=0;f[J+8>>2]=0;f[J+12>>2]=0;if((f[l>>2]|0)>0){G=f[d+160>>2]|0;H=0;do{f[G+(H<<2)>>2]=0;H=H+1|0}while((H|0)<(f[l>>2]|0))}H=h+120|0;f[B>>2]=f[H>>2];B=h+124|0;G=f[B>>2]|0;f[l>>2]=G;l=h+128|0;L=d+128|0;f[L>>2]=f[l>>2];f[d+132>>2]=f[h+132>>2];f[J>>2]=f[h+136>>2];f[d+140>>2]=f[h+140>>2];f[d+144>>2]=f[h+144>>2];f[d+148>>2]=f[h+148>>2];f[d+152>>2]=f[h+152>>2];f[C>>2]=f[h+156>>2];C=d+164|0;J=f[C>>2]|0;M=d+168|0;if((J|0)==(M|0)){N=G;O=J}else{TC(J);f[C>>2]=M;f[d+160>>2]=L;N=f[B>>2]|0;O=M}M=h+164|0;if((N|0)<3){N=f[M>>2]|0;f[O>>2]=f[N>>2];f[O+4>>2]=f[N+4>>2]}else{f[C>>2]=f[M>>2];C=h+160|0;f[d+160>>2]=f[C>>2];f[M>>2]=h+168;f[C>>2]=l}f[H>>2]=1124007936;o=B;q=o+36|0;do{f[o>>2]=0;o=o+4|0}while((o|0)<(q|0))}}}B=d+176|0;H=h+176|0;f[B>>2]=f[H>>2];f[B+4>>2]=f[H+4>>2];f[B+8>>2]=f[H+8>>2];f[B+12>>2]=f[H+12>>2];p[d+192>>3]=+p[h+192>>3];p[d+200>>3]=+p[h+200>>3];p[d+208>>3]=+p[h+208>>3];p[d+216>>3]=+p[h+216>>3];Xi(h);H=k+36|0;B=f[H>>2]|0;if(B|0?(l=B+12|0,B=f[l>>2]|0,f[l>>2]=B+-1,(B|0)==1):0)aU(k);f[H>>2]=0;H=k+16|0;f[H>>2]=0;f[H+4>>2]=0;f[H+8>>2]=0;f[H+12>>2]=0;if((f[x>>2]|0)>0){H=f[z>>2]|0;z=0;do{f[H+(z<<2)>>2]=0;z=z+1|0}while((z|0)<(f[x>>2]|0))}x=f[A>>2]|0;if((x|0)!=(y|0))TC(x);x=j+36|0;y=f[x>>2]|0;if(y|0?(A=y+12|0,y=f[A>>2]|0,f[A>>2]=y+-1,(y|0)==1):0)aU(j);f[x>>2]=0;x=j+16|0;f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;f[x+12>>2]=0;if((f[s>>2]|0)>0){x=f[v>>2]|0;v=0;do{f[x+(v<<2)>>2]=0;v=v+1|0}while((v|0)<(f[s>>2]|0))}s=f[w>>2]|0;if((s|0)!=(t|0))TC(s);s=i+36|0;t=f[s>>2]|0;if(t|0?(w=t+12|0,t=f[w>>2]|0,f[w>>2]=t+-1,(t|0)==1):0)aU(i);f[s>>2]=0;s=i+16|0;t=i+4|0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;if((f[t>>2]|0)>0){s=f[i+40>>2]|0;w=0;do{f[s+(w<<2)>>2]=0;w=w+1|0}while((w|0)<(f[t>>2]|0))}t=f[i+44>>2]|0;if((t|0)!=(i+48|0))TC(t);t=g+36|0;w=f[t>>2]|0;if(w|0?(s=w+12|0,w=f[s>>2]|0,f[s>>2]=w+-1,(w|0)==1):0)aU(g);f[t>>2]=0;t=g+16|0;f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;f[t+12>>2]=0;if((f[a>>2]|0)>0){t=f[n>>2]|0;n=0;do{f[t+(n<<2)>>2]=0;n=n+1|0}while((n|0)<(f[a>>2]|0))}a=f[r>>2]|0;if((a|0)!=(m|0))TC(a);u=e;return}a=f[b>>2]|0;m=f[b+4>>2]|0;f[h>>2]=1124007936;r=h+4|0;n=h+8|0;t=h+40|0;o=r;q=o+36|0;do{f[o>>2]=0;o=o+4|0}while((o|0)<(q|0));f[t>>2]=n;n=h+48|0;w=h+44|0;f[w>>2]=n;f[n>>2]=0;f[h+52>>2]=0;f[i>>2]=1124007936;s=i+4|0;v=i+8|0;x=i+40|0;o=s;q=o+36|0;do{f[o>>2]=0;o=o+4|0}while((o|0)<(q|0));f[x>>2]=v;v=i+48|0;y=i+44|0;f[y>>2]=v;f[v>>2]=0;f[i+52>>2]=0;f[j>>2]=1124007936;A=j+4|0;z=j+8|0;H=j+40|0;o=A;q=o+36|0;do{f[o>>2]=0;o=o+4|0}while((o|0)<(q|0));f[H>>2]=z;z=j+48|0;k=j+44|0;f[k>>2]=z;f[z>>2]=0;f[j+52>>2]=0;$R(g,a,m,h,i,j,+p[b+176>>3],+p[b+184>>3],b+192|0);m=g;a=f[m+4>>2]|0;B=d;f[B>>2]=f[m>>2];f[B+4>>2]=a;a=d+8|0;B=(g|0)==(d|0);if(!B){m=d+44|0;l=f[m>>2]|0;if(l|0?(C=l+12|0,l=f[C>>2]|0,f[C>>2]=l+-1,(l|0)==1):0)aU(a);f[m>>2]=0;l=d+24|0;C=d+12|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;if((f[C>>2]|0)>0){M=f[d+48>>2]|0;N=0;do{f[M+(N<<2)>>2]=0;N=N+1|0}while((N|0)<(f[C>>2]|0))}N=g+8|0;f[a>>2]=f[N>>2];M=g+12|0;O=f[M>>2]|0;f[C>>2]=O;C=g+16|0;L=d+16|0;f[L>>2]=f[C>>2];f[d+20>>2]=f[g+20>>2];f[l>>2]=f[g+24>>2];f[d+28>>2]=f[g+28>>2];f[d+32>>2]=f[g+32>>2];f[d+36>>2]=f[g+36>>2];f[d+40>>2]=f[g+40>>2];f[m>>2]=f[g+44>>2];m=d+52|0;l=f[m>>2]|0;J=d+56|0;if((l|0)==(J|0))P=O;else{TC(l);f[m>>2]=J;f[d+48>>2]=L;P=f[M>>2]|0}L=g+52|0;if((P|0)<3){P=f[L>>2]|0;f[J>>2]=f[P>>2];f[d+60>>2]=f[P+4>>2]}else{f[m>>2]=f[L>>2];m=g+48|0;f[d+48>>2]=f[m>>2];f[L>>2]=g+56;f[m>>2]=C}f[N>>2]=1124007936;o=M;q=o+36|0;do{f[o>>2]=0;o=o+4|0}while((o|0)<(q|0));M=d+64|0;if(!B){N=d+100|0;C=f[N>>2]|0;if(C|0?(m=C+12|0,C=f[m>>2]|0,f[m>>2]=C+-1,(C|0)==1):0)aU(M);f[N>>2]=0;C=d+80|0;m=d+68|0;f[C>>2]=0;f[C+4>>2]=0;f[C+8>>2]=0;f[C+12>>2]=0;if((f[m>>2]|0)>0){L=f[d+104>>2]|0;P=0;do{f[L+(P<<2)>>2]=0;P=P+1|0}while((P|0)<(f[m>>2]|0))}P=g+64|0;f[M>>2]=f[P>>2];L=g+68|0;J=f[L>>2]|0;f[m>>2]=J;m=g+72|0;l=d+72|0;f[l>>2]=f[m>>2];f[d+76>>2]=f[g+76>>2];f[C>>2]=f[g+80>>2];f[d+84>>2]=f[g+84>>2];f[d+88>>2]=f[g+88>>2];f[d+92>>2]=f[g+92>>2];f[d+96>>2]=f[g+96>>2];f[N>>2]=f[g+100>>2];N=d+108|0;C=f[N>>2]|0;O=d+112|0;if((C|0)==(O|0))Q=J;else{TC(C);f[N>>2]=O;f[d+104>>2]=l;Q=f[L>>2]|0}l=g+108|0;if((Q|0)<3){Q=f[l>>2]|0;f[O>>2]=f[Q>>2];f[d+116>>2]=f[Q+4>>2]}else{f[N>>2]=f[l>>2];N=g+104|0;f[d+104>>2]=f[N>>2];f[l>>2]=g+112;f[N>>2]=m}f[P>>2]=1124007936;o=L;q=o+36|0;do{f[o>>2]=0;o=o+4|0}while((o|0)<(q|0));L=d+120|0;if(B){R=M;S=L}else{B=d+156|0;P=f[B>>2]|0;if(P|0?(m=P+12|0,P=f[m>>2]|0,f[m>>2]=P+-1,(P|0)==1):0)aU(L);f[B>>2]=0;P=d+136|0;m=d+124|0;f[P>>2]=0;f[P+4>>2]=0;f[P+8>>2]=0;f[P+12>>2]=0;if((f[m>>2]|0)>0){N=f[d+160>>2]|0;l=0;do{f[N+(l<<2)>>2]=0;l=l+1|0}while((l|0)<(f[m>>2]|0))}l=g+120|0;f[L>>2]=f[l>>2];N=g+124|0;Q=f[N>>2]|0;f[m>>2]=Q;m=g+128|0;O=d+128|0;f[O>>2]=f[m>>2];f[d+132>>2]=f[g+132>>2];f[P>>2]=f[g+136>>2];f[d+140>>2]=f[g+140>>2];f[d+144>>2]=f[g+144>>2];f[d+148>>2]=f[g+148>>2];f[d+152>>2]=f[g+152>>2];f[B>>2]=f[g+156>>2];B=d+164|0;P=f[B>>2]|0;C=d+168|0;if((P|0)==(C|0))T=Q;else{TC(P);f[B>>2]=C;f[d+160>>2]=O;T=f[N>>2]|0}O=g+164|0;if((T|0)<3){T=f[O>>2]|0;f[C>>2]=f[T>>2];f[d+172>>2]=f[T+4>>2]}else{f[B>>2]=f[O>>2];B=g+160|0;f[d+160>>2]=f[B>>2];f[O>>2]=g+168;f[B>>2]=m}f[l>>2]=1124007936;o=N;q=o+36|0;do{f[o>>2]=0;o=o+4|0}while((o|0)<(q|0));R=M;S=L}}else{U=M;V=27}}else{U=d+64|0;V=27}if((V|0)==27){R=U;S=d+120|0}U=d+176|0;V=g+176|0;f[U>>2]=f[V>>2];f[U+4>>2]=f[V+4>>2];f[U+8>>2]=f[V+8>>2];f[U+12>>2]=f[V+12>>2];p[d+192>>3]=+p[g+192>>3];p[d+200>>3]=+p[g+200>>3];p[d+208>>3]=+p[g+208>>3];p[d+216>>3]=+p[g+216>>3];Xi(g);V=j+36|0;U=f[V>>2]|0;if(U|0?(M=U+12|0,U=f[M>>2]|0,f[M>>2]=U+-1,(U|0)==1):0)aU(j);f[V>>2]=0;V=j+16|0;f[V>>2]=0;f[V+4>>2]=0;f[V+8>>2]=0;f[V+12>>2]=0;if((f[A>>2]|0)>0){V=f[H>>2]|0;H=0;do{f[V+(H<<2)>>2]=0;H=H+1|0}while((H|0)<(f[A>>2]|0))}A=f[k>>2]|0;if((A|0)!=(z|0))TC(A);A=i+36|0;z=f[A>>2]|0;if(z|0?(k=z+12|0,z=f[k>>2]|0,f[k>>2]=z+-1,(z|0)==1):0)aU(i);f[A>>2]=0;A=i+16|0;f[A>>2]=0;f[A+4>>2]=0;f[A+8>>2]=0;f[A+12>>2]=0;if((f[s>>2]|0)>0){A=f[x>>2]|0;x=0;do{f[A+(x<<2)>>2]=0;x=x+1|0}while((x|0)<(f[s>>2]|0))}s=f[y>>2]|0;if((s|0)!=(v|0))TC(s);s=h+36|0;v=f[s>>2]|0;if(v|0?(y=v+12|0,v=f[y>>2]|0,f[y>>2]=v+-1,(v|0)==1):0)aU(h);f[s>>2]=0;s=h+16|0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;if((f[r>>2]|0)>0){s=f[t>>2]|0;t=0;do{f[s+(t<<2)>>2]=0;t=t+1|0}while((t|0)<(f[r>>2]|0))}r=f[w>>2]|0;if((r|0)!=(n|0))TC(r);if(f[b+24>>2]|0){hU(g,b+8|0,c);if((a|0)==(g|0)){r=g+36|0;n=f[r>>2]|0;if((n|0)!=0?(w=n+12|0,n=f[w>>2]|0,f[w>>2]=n+-1,(n|0)==1):0){aU(g);W=r}else W=r}else{r=d+44|0;n=f[r>>2]|0;if(n|0?(w=n+12|0,n=f[w>>2]|0,f[w>>2]=n+-1,(n|0)==1):0)aU(a);f[r>>2]=0;n=d+24|0;w=d+12|0;f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;f[n+12>>2]=0;if((f[w>>2]|0)>0){t=f[d+48>>2]|0;s=0;do{f[t+(s<<2)>>2]=0;s=s+1|0}while((s|0)<(f[w>>2]|0))}f[a>>2]=f[g>>2];a=g+4|0;s=f[a>>2]|0;f[w>>2]=s;w=g+8|0;t=d+16|0;f[t>>2]=f[w>>2];f[d+20>>2]=f[g+12>>2];f[n>>2]=f[g+16>>2];f[d+28>>2]=f[g+20>>2];f[d+32>>2]=f[g+24>>2];f[d+36>>2]=f[g+28>>2];f[d+40>>2]=f[g+32>>2];n=g+36|0;f[r>>2]=f[n>>2];r=d+52|0;h=f[r>>2]|0;v=d+56|0;if((h|0)==(v|0))X=s;else{TC(h);f[r>>2]=v;f[d+48>>2]=t;X=f[a>>2]|0}t=g+44|0;if((X|0)<3){X=f[t>>2]|0;f[v>>2]=f[X>>2];f[d+60>>2]=f[X+4>>2]}else{f[r>>2]=f[t>>2];r=g+40|0;f[d+48>>2]=f[r>>2];f[t>>2]=g+48;f[r>>2]=w}f[g>>2]=1124007936;o=a;q=o+36|0;do{f[o>>2]=0;o=o+4|0}while((o|0)<(q|0));W=n}f[W>>2]=0;W=g+16|0;n=g+4|0;f[W>>2]=0;f[W+4>>2]=0;f[W+8>>2]=0;f[W+12>>2]=0;if((f[n>>2]|0)>0){W=f[g+40>>2]|0;a=0;do{f[W+(a<<2)>>2]=0;a=a+1|0}while((a|0)<(f[n>>2]|0))}n=f[g+44>>2]|0;if((n|0)!=(g+48|0))TC(n)}if(f[b+80>>2]|0){hU(g,b+64|0,c);if((R|0)==(g|0)){n=g+36|0;a=f[n>>2]|0;if((a|0)!=0?(W=a+12|0,a=f[W>>2]|0,f[W>>2]=a+-1,(a|0)==1):0){aU(g);Y=n}else Y=n}else{n=d+100|0;a=f[n>>2]|0;if(a|0?(W=a+12|0,a=f[W>>2]|0,f[W>>2]=a+-1,(a|0)==1):0)aU(R);f[n>>2]=0;a=d+80|0;W=d+68|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;if((f[W>>2]|0)>0){w=f[d+104>>2]|0;r=0;do{f[w+(r<<2)>>2]=0;r=r+1|0}while((r|0)<(f[W>>2]|0))}f[R>>2]=f[g>>2];R=g+4|0;r=f[R>>2]|0;f[W>>2]=r;W=g+8|0;w=d+72|0;f[w>>2]=f[W>>2];f[d+76>>2]=f[g+12>>2];f[a>>2]=f[g+16>>2];f[d+84>>2]=f[g+20>>2];f[d+88>>2]=f[g+24>>2];f[d+92>>2]=f[g+28>>2];f[d+96>>2]=f[g+32>>2];a=g+36|0;f[n>>2]=f[a>>2];n=d+108|0;t=f[n>>2]|0;X=d+112|0;if((t|0)==(X|0))Z=r;else{TC(t);f[n>>2]=X;f[d+104>>2]=w;Z=f[R>>2]|0}w=g+44|0;if((Z|0)<3){Z=f[w>>2]|0;f[X>>2]=f[Z>>2];f[d+116>>2]=f[Z+4>>2]}else{f[n>>2]=f[w>>2];n=g+40|0;f[d+104>>2]=f[n>>2];f[w>>2]=g+48;f[n>>2]=W}f[g>>2]=1124007936;o=R;q=o+36|0;do{f[o>>2]=0;o=o+4|0}while((o|0)<(q|0));Y=a}f[Y>>2]=0;Y=g+16|0;a=g+4|0;f[Y>>2]=0;f[Y+4>>2]=0;f[Y+8>>2]=0;f[Y+12>>2]=0;if((f[a>>2]|0)>0){Y=f[g+40>>2]|0;R=0;do{f[Y+(R<<2)>>2]=0;R=R+1|0}while((R|0)<(f[a>>2]|0))}a=f[g+44>>2]|0;if((a|0)!=(g+48|0))TC(a)}if(!(f[b+136>>2]|0)){u=e;return}hU(g,b+120|0,c);if((S|0)==(g|0)){c=g+36|0;b=f[c>>2]|0;if((b|0)!=0?(a=b+12|0,b=f[a>>2]|0,f[a>>2]=b+-1,(b|0)==1):0){aU(g);_=c}else _=c}else{c=d+156|0;b=f[c>>2]|0;if(b|0?(a=b+12|0,b=f[a>>2]|0,f[a>>2]=b+-1,(b|0)==1):0)aU(S);f[c>>2]=0;S=d+136|0;b=d+124|0;f[S>>2]=0;f[S+4>>2]=0;f[S+8>>2]=0;f[S+12>>2]=0;if((f[b>>2]|0)>0){a=f[d+160>>2]|0;R=0;do{f[a+(R<<2)>>2]=0;R=R+1|0}while((R|0)<(f[b>>2]|0))}f[d+120>>2]=f[g>>2];R=g+4|0;a=f[R>>2]|0;f[b>>2]=a;b=g+8|0;Y=d+128|0;f[Y>>2]=f[b>>2];f[d+132>>2]=f[g+12>>2];f[S>>2]=f[g+16>>2];f[d+140>>2]=f[g+20>>2];f[d+144>>2]=f[g+24>>2];f[d+148>>2]=f[g+28>>2];f[d+152>>2]=f[g+32>>2];S=g+36|0;f[c>>2]=f[S>>2];c=d+164|0;W=f[c>>2]|0;n=d+168|0;if((W|0)==(n|0))$=a;else{TC(W);f[c>>2]=n;f[d+160>>2]=Y;$=f[R>>2]|0}Y=g+44|0;if(($|0)<3){$=f[Y>>2]|0;f[n>>2]=f[$>>2];f[d+172>>2]=f[$+4>>2]}else{f[c>>2]=f[Y>>2];c=g+40|0;f[d+160>>2]=f[c>>2];f[Y>>2]=g+48;f[c>>2]=b}f[g>>2]=1124007936;o=R;q=o+36|0;do{f[o>>2]=0;o=o+4|0}while((o|0)<(q|0));_=S}f[_>>2]=0;_=g+16|0;S=g+4|0;f[_>>2]=0;f[_+4>>2]=0;f[_+8>>2]=0;f[_+12>>2]=0;if((f[S>>2]|0)>0){_=f[g+40>>2]|0;o=0;do{f[_+(o<<2)>>2]=0;o=o+1|0}while((o|0)<(f[S>>2]|0))}S=f[g+44>>2]|0;if((S|0)!=(g+48|0))TC(S);u=e;return}function FR(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;a=u;u=u+112|0;d=a+88|0;e=a+72|0;g=a+56|0;h=a;f[h>>2]=1124007936;i=h+4|0;j=h+8|0;k=h+40|0;l=i;m=l+36|0;do{f[l>>2]=0;l=l+4|0}while((l|0)<(m|0));f[k>>2]=j;j=h+48|0;l=h+44|0;f[l>>2]=j;f[j>>2]=0;f[h+52>>2]=0;m=f[b>>2]|0;sh[f[(f[m>>2]|0)+12>>2]&255](m,b,h,-1);f[d+8>>2]=0;f[d+12>>2]=0;f[d>>2]=16842752;f[d+4>>2]=c;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=h;b=g+8|0;f[b>>2]=0;f[b+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=c;rW(d,e,g,sK()|0,-1);g=h+36|0;e=f[g>>2]|0;if(e|0?(d=e+12|0,e=f[d>>2]|0,f[d>>2]=e+-1,(e|0)==1):0)aU(h);f[g>>2]=0;g=h+16|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;if((f[i>>2]|0)>0){g=f[k>>2]|0;k=0;do{f[g+(k<<2)>>2]=0;k=k+1|0}while((k|0)<(f[i>>2]|0))}i=f[l>>2]|0;if((i|0)==(j|0)){u=a;return}TC(i);u=a;return}function GR(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;a=u;u=u+112|0;d=a+88|0;e=a+72|0;g=a+56|0;h=a;f[h>>2]=1124007936;i=h+4|0;j=h+8|0;k=h+40|0;l=i;m=l+36|0;do{f[l>>2]=0;l=l+4|0}while((l|0)<(m|0));f[k>>2]=j;j=h+48|0;l=h+44|0;f[l>>2]=j;f[j>>2]=0;f[h+52>>2]=0;m=f[b>>2]|0;sh[f[(f[m>>2]|0)+12>>2]&255](m,b,h,-1);f[d+8>>2]=0;f[d+12>>2]=0;f[d>>2]=16842752;f[d+4>>2]=c;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=h;b=g+8|0;f[b>>2]=0;f[b+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=c;HW(d,e,g,sK()|0,-1);g=h+36|0;e=f[g>>2]|0;if(e|0?(d=e+12|0,e=f[d>>2]|0,f[d>>2]=e+-1,(e|0)==1):0)aU(h);f[g>>2]=0;g=h+16|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;if((f[i>>2]|0)>0){g=f[k>>2]|0;k=0;do{f[g+(k<<2)>>2]=0;k=k+1|0}while((k|0)<(f[i>>2]|0))}i=f[l>>2]|0;if((i|0)==(j|0)){u=a;return}TC(i);u=a;return}function HR(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;a=u;u=u+176|0;d=a+160|0;e=a+144|0;g=a+128|0;h=a+72|0;i=a+56|0;j=a;f[j>>2]=1124007936;k=j+4|0;l=j+8|0;m=j+40|0;n=k;o=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(o|0));f[m>>2]=l;l=j+48|0;p=j+44|0;f[p>>2]=l;f[l>>2]=0;f[j+52>>2]=0;q=f[b>>2]|0;sh[f[(f[q>>2]|0)+12>>2]&255](q,b,j,-1);f[d+8>>2]=0;f[d+12>>2]=0;f[d>>2]=16842752;f[d+4>>2]=c;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=j;f[h>>2]=1124007936;b=h+4|0;q=h+8|0;r=h+40|0;n=b;o=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(o|0));f[r>>2]=q;q=h+48|0;n=h+44|0;f[n>>2]=q;f[q>>2]=0;f[h+52>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=h;o=i+8|0;f[o>>2]=0;f[o+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=c;HQ(d,e,1.0,g,0.0,i,0);i=h+36|0;g=f[i>>2]|0;if(g|0?(e=g+12|0,g=f[e>>2]|0,f[e>>2]=g+-1,(g|0)==1):0)aU(h);f[i>>2]=0;i=h+16|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;if((f[b>>2]|0)>0){i=f[r>>2]|0;r=0;do{f[i+(r<<2)>>2]=0;r=r+1|0}while((r|0)<(f[b>>2]|0))}b=f[n>>2]|0;if((b|0)!=(q|0))TC(b);b=j+36|0;q=f[b>>2]|0;if(q|0?(n=q+12|0,q=f[n>>2]|0,f[n>>2]=q+-1,(q|0)==1):0)aU(j);f[b>>2]=0;b=j+16|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;if((f[k>>2]|0)>0){b=f[m>>2]|0;m=0;do{f[b+(m<<2)>>2]=0;m=m+1|0}while((m|0)<(f[k>>2]|0))}k=f[p>>2]|0;if((k|0)==(l|0)){u=a;return}TC(k);u=a;return}function IR(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;a=u;u=u+112|0;d=a+88|0;e=a+72|0;g=a+56|0;h=a;f[h>>2]=1124007936;i=h+4|0;j=h+8|0;k=h+40|0;l=i;m=l+36|0;do{f[l>>2]=0;l=l+4|0}while((l|0)<(m|0));f[k>>2]=j;j=h+48|0;l=h+44|0;f[l>>2]=j;f[j>>2]=0;f[h+52>>2]=0;m=f[b>>2]|0;sh[f[(f[m>>2]|0)+12>>2]&255](m,b,h,-1);f[d+8>>2]=0;f[d+12>>2]=0;f[d>>2]=16842752;f[d+4>>2]=c;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=h;b=g+8|0;f[b>>2]=0;f[b+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=c;rX(d,e,g,1.0,-1);g=h+36|0;e=f[g>>2]|0;if(e|0?(d=e+12|0,e=f[d>>2]|0,f[d>>2]=e+-1,(e|0)==1):0)aU(h);f[g>>2]=0;g=h+16|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;if((f[i>>2]|0)>0){g=f[k>>2]|0;k=0;do{f[g+(k<<2)>>2]=0;k=k+1|0}while((k|0)<(f[i>>2]|0))}i=f[l>>2]|0;if((i|0)==(j|0)){u=a;return}TC(i);u=a;return}function JR(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;a=u;u=u+112|0;d=a+88|0;e=a+72|0;g=a+56|0;h=a;f[h>>2]=1124007936;i=h+4|0;j=h+8|0;k=h+40|0;l=i;m=l+36|0;do{f[l>>2]=0;l=l+4|0}while((l|0)<(m|0));f[k>>2]=j;j=h+48|0;l=h+44|0;f[l>>2]=j;f[j>>2]=0;f[h+52>>2]=0;m=f[b>>2]|0;sh[f[(f[m>>2]|0)+12>>2]&255](m,b,h,-1);f[d+8>>2]=0;f[d+12>>2]=0;f[d>>2]=16842752;f[d+4>>2]=c;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=h;b=g+8|0;f[b>>2]=0;f[b+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=c;BV(d,e,g,sK()|0);g=h+36|0;e=f[g>>2]|0;if(e|0?(d=e+12|0,e=f[d>>2]|0,f[d>>2]=e+-1,(e|0)==1):0)aU(h);f[g>>2]=0;g=h+16|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;if((f[i>>2]|0)>0){g=f[k>>2]|0;k=0;do{f[g+(k<<2)>>2]=0;k=k+1|0}while((k|0)<(f[i>>2]|0))}i=f[l>>2]|0;if((i|0)==(j|0)){u=a;return}TC(i);u=a;return}function KR(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;a=u;u=u+112|0;d=a+88|0;e=a+72|0;g=a+56|0;h=a;f[h>>2]=1124007936;i=h+4|0;j=h+8|0;k=h+40|0;l=i;m=l+36|0;do{f[l>>2]=0;l=l+4|0}while((l|0)<(m|0));f[k>>2]=j;j=h+48|0;l=h+44|0;f[l>>2]=j;f[j>>2]=0;f[h+52>>2]=0;m=f[b>>2]|0;sh[f[(f[m>>2]|0)+12>>2]&255](m,b,h,-1);f[d+8>>2]=0;f[d+12>>2]=0;f[d>>2]=16842752;f[d+4>>2]=c;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=h;b=g+8|0;f[b>>2]=0;f[b+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=c;FV(d,e,g,sK()|0);g=h+36|0;e=f[g>>2]|0;if(e|0?(d=e+12|0,e=f[d>>2]|0,f[d>>2]=e+-1,(e|0)==1):0)aU(h);f[g>>2]=0;g=h+16|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;if((f[i>>2]|0)>0){g=f[k>>2]|0;k=0;do{f[g+(k<<2)>>2]=0;k=k+1|0}while((k|0)<(f[i>>2]|0))}i=f[l>>2]|0;if((i|0)==(j|0)){u=a;return}TC(i);u=a;return}function LR(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;a=u;u=u+112|0;d=a+88|0;e=a+72|0;g=a+56|0;h=a;f[h>>2]=1124007936;i=h+4|0;j=h+8|0;k=h+40|0;l=i;m=l+36|0;do{f[l>>2]=0;l=l+4|0}while((l|0)<(m|0));f[k>>2]=j;j=h+48|0;l=h+44|0;f[l>>2]=j;f[j>>2]=0;f[h+52>>2]=0;m=f[b>>2]|0;sh[f[(f[m>>2]|0)+12>>2]&255](m,b,h,-1);f[d+8>>2]=0;f[d+12>>2]=0;f[d>>2]=16842752;f[d+4>>2]=c;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=h;b=g+8|0;f[b>>2]=0;f[b+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=c;IV(d,e,g,sK()|0);g=h+36|0;e=f[g>>2]|0;if(e|0?(d=e+12|0,e=f[d>>2]|0,f[d>>2]=e+-1,(e|0)==1):0)aU(h);f[g>>2]=0;g=h+16|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;if((f[i>>2]|0)>0){g=f[k>>2]|0;k=0;do{f[g+(k<<2)>>2]=0;k=k+1|0}while((k|0)<(f[i>>2]|0))}i=f[l>>2]|0;if((i|0)==(j|0)){u=a;return}TC(i);u=a;return}function MR(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0.0,G=0.0,H=0,I=0,J=0.0;e=u;u=u+160|0;g=e+144|0;h=e;i=e+88|0;j=e+32|0;gV(g,40412);k=f[c>>2]|0;if((k|0)==(a|0)){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;f[h+16>>2]=0;f[h+20>>2]=0;f[h+24>>2]=0;f[h+28>>2]=0;f[i>>2]=1124007936;a=i+4|0;l=i+8|0;m=i+40|0;n=a;o=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(o|0));f[m>>2]=l;q=i+48|0;r=i+44|0;f[r>>2]=q;f[q>>2]=0;f[i+52>>2]=0;f[j>>2]=1124007936;s=j+4|0;t=j+8|0;v=j+40|0;n=s;o=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(o|0));f[v>>2]=t;n=j+48|0;o=j+44|0;f[o>>2]=n;f[n>>2]=0;f[j+52>>2]=0;w=f[b>>2]|0;do if((w|0)==39476){if(f[b+80>>2]|0?!(+p[b+184>>3]==0.0):0){x=21;break}y=b+8|0;if((i|0)!=(y|0)){z=b+44|0;A=f[z>>2]|0;if(A){B=A+12|0;f[B>>2]=(f[B>>2]|0)+1;B=i+36|0;A=f[B>>2]|0;if((A|0)!=0?(C=A+12|0,A=f[C>>2]|0,f[C>>2]=A+-1,(A|0)==1):0){aU(i);D=B}else D=B}else D=i+36|0;f[D>>2]=0;B=i+16|0;f[B>>2]=0;f[B+4>>2]=0;f[B+8>>2]=0;f[B+12>>2]=0;if((f[a>>2]|0)>0){A=f[m>>2]|0;C=0;do{f[A+(C<<2)>>2]=0;C=C+1|0;E=f[a>>2]|0}while((C|0)<(E|0));f[i>>2]=f[y>>2];if((E|0)<3)x=16;else x=18}else{f[i>>2]=f[y>>2];x=16}if((x|0)==16){C=f[b+12>>2]|0;if((C|0)<3){f[a>>2]=C;f[l>>2]=f[b+16>>2];f[i+12>>2]=f[b+20>>2];C=f[b+52>>2]|0;A=f[r>>2]|0;f[A>>2]=f[C>>2];f[A+4>>2]=f[C+4>>2]}else x=18}if((x|0)==18)$T(i,y);f[B>>2]=f[b+24>>2];f[i+20>>2]=f[b+28>>2];f[i+24>>2]=f[b+32>>2];f[i+28>>2]=f[b+36>>2];f[i+32>>2]=f[b+40>>2];f[D>>2]=f[z>>2]}F=+p[b+176>>3];p[h>>3]=+p[b+192>>3];p[h+8>>3]=+p[b+200>>3];p[h+16>>3]=+p[b+208>>3];p[h+24>>3]=+p[b+216>>3];G=F}else x=21;while(0);if((x|0)==21){sh[f[(f[w>>2]|0)+12>>2]&255](w,b,i,-1);G=1.0}w=f[c>>2]|0;do if((w|0)==39476){if(f[c+80>>2]|0?!(+p[c+184>>3]==0.0):0){x=41;break}D=c+8|0;if((j|0)!=(D|0)){l=c+44|0;E=f[l>>2]|0;if(E|0){C=E+12|0;f[C>>2]=(f[C>>2]|0)+1}C=j+36|0;E=f[C>>2]|0;if(E|0?(A=E+12|0,E=f[A>>2]|0,f[A>>2]=E+-1,(E|0)==1):0)aU(j);f[C>>2]=0;E=j+16|0;f[E>>2]=0;f[E+4>>2]=0;f[E+8>>2]=0;f[E+12>>2]=0;if((f[s>>2]|0)>0){A=f[v>>2]|0;H=0;do{f[A+(H<<2)>>2]=0;H=H+1|0;I=f[s>>2]|0}while((H|0)<(I|0));f[j>>2]=f[D>>2];if((I|0)<3)x=36;else x=38}else{f[j>>2]=f[D>>2];x=36}if((x|0)==36){H=f[c+12>>2]|0;if((H|0)<3){f[s>>2]=H;f[t>>2]=f[c+16>>2];f[j+12>>2]=f[c+20>>2];H=f[c+52>>2]|0;A=f[o>>2]|0;f[A>>2]=f[H>>2];f[A+4>>2]=f[H+4>>2]}else x=38}if((x|0)==38)$T(j,D);f[E>>2]=f[c+24>>2];f[j+20>>2]=f[c+28>>2];f[j+24>>2]=f[c+32>>2];f[j+28>>2]=f[c+36>>2];f[j+32>>2]=f[c+40>>2];f[C>>2]=f[l>>2]}F=+p[c+176>>3];p[h>>3]=+p[c+192>>3]+ +p[h>>3];H=h+8|0;p[H>>3]=+p[c+200>>3]+ +p[H>>3];H=h+16|0;p[H>>3]=+p[c+208>>3]+ +p[H>>3];H=h+24|0;p[H>>3]=+p[c+216>>3]+ +p[H>>3];J=F}else x=41;while(0);if((x|0)==41){sh[f[(f[w>>2]|0)+12>>2]&255](w,c,j,-1);J=1.0}LS(d,i,j,G,J,h);h=j+36|0;w=f[h>>2]|0;if(w|0?(x=w+12|0,w=f[x>>2]|0,f[x>>2]=w+-1,(w|0)==1):0)aU(j);f[h>>2]=0;h=j+16|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;if((f[s>>2]|0)>0){h=f[v>>2]|0;v=0;do{f[h+(v<<2)>>2]=0;v=v+1|0}while((v|0)<(f[s>>2]|0))}s=f[o>>2]|0;if((s|0)!=(n|0))TC(s);s=i+36|0;n=f[s>>2]|0;if(n|0?(o=n+12|0,n=f[o>>2]|0,f[o>>2]=n+-1,(n|0)==1):0)aU(i);f[s>>2]=0;s=i+16|0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;if((f[a>>2]|0)>0){s=f[m>>2]|0;m=0;do{f[s+(m<<2)>>2]=0;m=m+1|0}while((m|0)<(f[a>>2]|0))}a=f[r>>2]|0;if((a|0)!=(q|0))TC(a)}else sh[f[(f[k>>2]|0)+52>>2]&255](k,b,c,d);if(!(f[g+4>>2]|0)){u=e;return}u=e;return}function NR(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;a=u;u=u+128|0;e=a+112|0;g=a+56|0;h=a;gV(e,40392);f[g>>2]=1124007936;i=g+4|0;j=g+8|0;k=g+40|0;l=i;m=l+36|0;do{f[l>>2]=0;l=l+4|0}while((l|0)<(m|0));f[k>>2]=j;j=g+48|0;n=g+44|0;f[n>>2]=j;f[j>>2]=0;f[g+52>>2]=0;o=f[b>>2]|0;sh[f[(f[o>>2]|0)+12>>2]&255](o,b,g,-1);f[h>>2]=1124007936;b=h+4|0;o=h+8|0;p=h+40|0;l=b;m=l+36|0;do{f[l>>2]=0;l=l+4|0}while((l|0)<(m|0));f[p>>2]=o;o=h+48|0;l=h+44|0;f[l>>2]=o;f[o>>2]=0;f[h+52>>2]=0;LS(d,g,h,1.0,0.0,c);c=h+36|0;d=f[c>>2]|0;if(d|0?(m=d+12|0,d=f[m>>2]|0,f[m>>2]=d+-1,(d|0)==1):0)aU(h);f[c>>2]=0;c=h+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[p>>2]|0;p=0;do{f[c+(p<<2)>>2]=0;p=p+1|0}while((p|0)<(f[b>>2]|0))}b=f[l>>2]|0;if((b|0)!=(o|0))TC(b);b=g+36|0;o=f[b>>2]|0;if(o|0?(l=o+12|0,o=f[l>>2]|0,f[l>>2]=o+-1,(o|0)==1):0)aU(g);f[b>>2]=0;b=g+16|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;if((f[i>>2]|0)>0){b=f[k>>2]|0;k=0;do{f[b+(k<<2)>>2]=0;k=k+1|0}while((k|0)<(f[i>>2]|0))}i=f[n>>2]|0;if((i|0)!=(j|0))TC(i);if(!(f[e+4>>2]|0)){u=a;return}u=a;return}function OR(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0.0,G=0.0,H=0,I=0,J=0.0;e=u;u=u+160|0;g=e+144|0;h=e;i=e+88|0;j=e+32|0;gV(g,40372);k=f[c>>2]|0;if((k|0)==(a|0)){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;f[h+16>>2]=0;f[h+20>>2]=0;f[h+24>>2]=0;f[h+28>>2]=0;f[i>>2]=1124007936;a=i+4|0;l=i+8|0;m=i+40|0;n=a;o=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(o|0));f[m>>2]=l;q=i+48|0;r=i+44|0;f[r>>2]=q;f[q>>2]=0;f[i+52>>2]=0;f[j>>2]=1124007936;s=j+4|0;t=j+8|0;v=j+40|0;n=s;o=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(o|0));f[v>>2]=t;n=j+48|0;o=j+44|0;f[o>>2]=n;f[n>>2]=0;f[j+52>>2]=0;w=f[b>>2]|0;do if((w|0)==39476){if(f[b+80>>2]|0?!(+p[b+184>>3]==0.0):0){x=21;break}y=b+8|0;if((i|0)!=(y|0)){z=b+44|0;A=f[z>>2]|0;if(A){B=A+12|0;f[B>>2]=(f[B>>2]|0)+1;B=i+36|0;A=f[B>>2]|0;if((A|0)!=0?(C=A+12|0,A=f[C>>2]|0,f[C>>2]=A+-1,(A|0)==1):0){aU(i);D=B}else D=B}else D=i+36|0;f[D>>2]=0;B=i+16|0;f[B>>2]=0;f[B+4>>2]=0;f[B+8>>2]=0;f[B+12>>2]=0;if((f[a>>2]|0)>0){A=f[m>>2]|0;C=0;do{f[A+(C<<2)>>2]=0;C=C+1|0;E=f[a>>2]|0}while((C|0)<(E|0));f[i>>2]=f[y>>2];if((E|0)<3)x=16;else x=18}else{f[i>>2]=f[y>>2];x=16}if((x|0)==16){C=f[b+12>>2]|0;if((C|0)<3){f[a>>2]=C;f[l>>2]=f[b+16>>2];f[i+12>>2]=f[b+20>>2];C=f[b+52>>2]|0;A=f[r>>2]|0;f[A>>2]=f[C>>2];f[A+4>>2]=f[C+4>>2]}else x=18}if((x|0)==18)$T(i,y);f[B>>2]=f[b+24>>2];f[i+20>>2]=f[b+28>>2];f[i+24>>2]=f[b+32>>2];f[i+28>>2]=f[b+36>>2];f[i+32>>2]=f[b+40>>2];f[D>>2]=f[z>>2]}F=+p[b+176>>3];p[h>>3]=+p[b+192>>3];p[h+8>>3]=+p[b+200>>3];p[h+16>>3]=+p[b+208>>3];p[h+24>>3]=+p[b+216>>3];G=F}else x=21;while(0);if((x|0)==21){sh[f[(f[w>>2]|0)+12>>2]&255](w,b,i,-1);G=1.0}w=f[c>>2]|0;do if((w|0)==39476){if(f[c+80>>2]|0?!(+p[c+184>>3]==0.0):0){x=41;break}D=c+8|0;if((j|0)!=(D|0)){l=c+44|0;E=f[l>>2]|0;if(E|0){C=E+12|0;f[C>>2]=(f[C>>2]|0)+1}C=j+36|0;E=f[C>>2]|0;if(E|0?(A=E+12|0,E=f[A>>2]|0,f[A>>2]=E+-1,(E|0)==1):0)aU(j);f[C>>2]=0;E=j+16|0;f[E>>2]=0;f[E+4>>2]=0;f[E+8>>2]=0;f[E+12>>2]=0;if((f[s>>2]|0)>0){A=f[v>>2]|0;H=0;do{f[A+(H<<2)>>2]=0;H=H+1|0;I=f[s>>2]|0}while((H|0)<(I|0));f[j>>2]=f[D>>2];if((I|0)<3)x=36;else x=38}else{f[j>>2]=f[D>>2];x=36}if((x|0)==36){H=f[c+12>>2]|0;if((H|0)<3){f[s>>2]=H;f[t>>2]=f[c+16>>2];f[j+12>>2]=f[c+20>>2];H=f[c+52>>2]|0;A=f[o>>2]|0;f[A>>2]=f[H>>2];f[A+4>>2]=f[H+4>>2]}else x=38}if((x|0)==38)$T(j,D);f[E>>2]=f[c+24>>2];f[j+20>>2]=f[c+28>>2];f[j+24>>2]=f[c+32>>2];f[j+28>>2]=f[c+36>>2];f[j+32>>2]=f[c+40>>2];f[C>>2]=f[l>>2]}F=-+p[c+176>>3];p[h>>3]=+p[h>>3]-+p[c+192>>3];H=h+8|0;p[H>>3]=+p[H>>3]-+p[c+200>>3];H=h+16|0;p[H>>3]=+p[H>>3]-+p[c+208>>3];H=h+24|0;p[H>>3]=+p[H>>3]-+p[c+216>>3];J=F}else x=41;while(0);if((x|0)==41){sh[f[(f[w>>2]|0)+12>>2]&255](w,c,j,-1);J=-1.0}LS(d,i,j,G,J,h);h=j+36|0;w=f[h>>2]|0;if(w|0?(x=w+12|0,w=f[x>>2]|0,f[x>>2]=w+-1,(w|0)==1):0)aU(j);f[h>>2]=0;h=j+16|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;if((f[s>>2]|0)>0){h=f[v>>2]|0;v=0;do{f[h+(v<<2)>>2]=0;v=v+1|0}while((v|0)<(f[s>>2]|0))}s=f[o>>2]|0;if((s|0)!=(n|0))TC(s);s=i+36|0;n=f[s>>2]|0;if(n|0?(o=n+12|0,n=f[o>>2]|0,f[o>>2]=n+-1,(n|0)==1):0)aU(i);f[s>>2]=0;s=i+16|0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;if((f[a>>2]|0)>0){s=f[m>>2]|0;m=0;do{f[s+(m<<2)>>2]=0;m=m+1|0}while((m|0)<(f[a>>2]|0))}a=f[r>>2]|0;if((a|0)!=(q|0))TC(a)}else sh[f[(f[k>>2]|0)+60>>2]&255](k,b,c,d);if(!(f[g+4>>2]|0)){u=e;return}u=e;return}function PR(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;a=u;u=u+128|0;e=a+112|0;g=a+56|0;h=a;gV(e,40352);f[g>>2]=1124007936;i=g+4|0;j=g+8|0;k=g+40|0;l=i;m=l+36|0;do{f[l>>2]=0;l=l+4|0}while((l|0)<(m|0));f[k>>2]=j;j=g+48|0;n=g+44|0;f[n>>2]=j;f[j>>2]=0;f[g+52>>2]=0;o=f[c>>2]|0;sh[f[(f[o>>2]|0)+12>>2]&255](o,c,g,-1);f[h>>2]=1124007936;c=h+4|0;o=h+8|0;p=h+40|0;l=c;m=l+36|0;do{f[l>>2]=0;l=l+4|0}while((l|0)<(m|0));f[p>>2]=o;o=h+48|0;l=h+44|0;f[l>>2]=o;f[o>>2]=0;f[h+52>>2]=0;LS(d,g,h,-1.0,0.0,b);b=h+36|0;d=f[b>>2]|0;if(d|0?(m=d+12|0,d=f[m>>2]|0,f[m>>2]=d+-1,(d|0)==1):0)aU(h);f[b>>2]=0;b=h+16|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;if((f[c>>2]|0)>0){b=f[p>>2]|0;p=0;do{f[b+(p<<2)>>2]=0;p=p+1|0}while((p|0)<(f[c>>2]|0))}c=f[l>>2]|0;if((c|0)!=(o|0))TC(c);c=g+36|0;o=f[c>>2]|0;if(o|0?(l=o+12|0,o=f[l>>2]|0,f[l>>2]=o+-1,(o|0)==1):0)aU(g);f[c>>2]=0;c=g+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[i>>2]|0)>0){c=f[k>>2]|0;k=0;do{f[c+(k<<2)>>2]=0;k=k+1|0}while((k|0)<(f[i>>2]|0))}i=f[n>>2]|0;if((i|0)!=(j|0))TC(i);if(!(f[e+4>>2]|0)){u=a;return}u=a;return}function QR(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0.0,H=0.0,I=0.0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0.0,R=0;g=u;u=u+128|0;h=g+112|0;i=g+56|0;j=g;gV(h,40332);k=f[c>>2]|0;if((k|0)==(a|0)){f[i>>2]=1124007936;l=i+4|0;m=i+8|0;n=i+40|0;o=l;q=o+36|0;do{f[o>>2]=0;o=o+4|0}while((o|0)<(q|0));f[n>>2]=m;r=i+48|0;s=i+44|0;f[s>>2]=r;f[r>>2]=0;f[i+52>>2]=0;f[j>>2]=1124007936;t=j+4|0;v=j+8|0;w=j+40|0;o=t;q=o+36|0;do{f[o>>2]=0;o=o+4|0}while((o|0)<(q|0));f[w>>2]=v;o=j+48|0;q=j+44|0;f[q>>2]=o;f[o>>2]=0;f[j+52>>2]=0;x=f[b>>2]|0;do if(!((x|0)==39836?(f[b+4>>2]|0)==47:0))if((x|0)==39476){if(f[b+80>>2]|0?!(+p[b+184>>3]==0.0):0){y=52;break}if(((+p[b+192>>3]==0.0?+p[b+200>>3]==0.0:0)?+p[b+208>>3]==0.0:0)?+p[b+216>>3]==0.0:0){z=b+8|0;if((i|0)!=(z|0)){A=b+44|0;B=f[A>>2]|0;if(B){C=B+12|0;f[C>>2]=(f[C>>2]|0)+1;C=i+36|0;B=f[C>>2]|0;if((B|0)!=0?(D=B+12|0,B=f[D>>2]|0,f[D>>2]=B+-1,(B|0)==1):0){aU(i);E=C}else E=C}else E=i+36|0;f[E>>2]=0;C=i+16|0;f[C>>2]=0;f[C+4>>2]=0;f[C+8>>2]=0;f[C+12>>2]=0;if((f[l>>2]|0)>0){B=f[n>>2]|0;D=0;do{f[B+(D<<2)>>2]=0;D=D+1|0;F=f[l>>2]|0}while((D|0)<(F|0));f[i>>2]=f[z>>2];if((F|0)<3)y=47;else y=49}else{f[i>>2]=f[z>>2];y=47}if((y|0)==47){D=f[b+12>>2]|0;if((D|0)<3){f[l>>2]=D;f[m>>2]=f[b+16>>2];f[i+12>>2]=f[b+20>>2];D=f[b+52>>2]|0;B=f[s>>2]|0;f[B>>2]=f[D>>2];f[B+4>>2]=f[D+4>>2]}else y=49}if((y|0)==49)$T(i,z);f[C>>2]=f[b+24>>2];f[i+20>>2]=f[b+28>>2];f[i+24>>2]=f[b+32>>2];f[i+28>>2]=f[b+36>>2];f[i+32>>2]=f[b+40>>2];f[E>>2]=f[A>>2]}G=+p[b+176>>3]*e;y=53}else y=52}else y=52;else{if(f[b+80>>2]|0?!(+p[b+184>>3]==0.0):0){y=52;break}do if((a|0)==39476){if(f[c+80>>2]|0?!(+p[c+184>>3]==0.0):0){y=27;break}if(((+p[c+192>>3]==0.0?+p[c+200>>3]==0.0:0)?+p[c+208>>3]==0.0:0)?+p[c+216>>3]==0.0:0){H=+p[c+176>>3]*e;D=c+8|0;if((j|0)==(D|0))I=H;else{B=c+44|0;J=f[B>>2]|0;if(J){K=J+12|0;f[K>>2]=(f[K>>2]|0)+1;K=j+36|0;J=f[K>>2]|0;if((J|0)!=0?(L=J+12|0,J=f[L>>2]|0,f[L>>2]=J+-1,(J|0)==1):0){aU(j);M=K}else M=K}else M=j+36|0;f[M>>2]=0;K=j+16|0;f[K>>2]=0;f[K+4>>2]=0;f[K+8>>2]=0;f[K+12>>2]=0;if((f[t>>2]|0)>0){J=f[w>>2]|0;L=0;do{f[J+(L<<2)>>2]=0;L=L+1|0;N=f[t>>2]|0}while((L|0)<(N|0));f[j>>2]=f[D>>2];if((N|0)<3)y=23;else y=25}else{f[j>>2]=f[D>>2];y=23}if((y|0)==23){L=f[c+12>>2]|0;if((L|0)<3){f[t>>2]=L;f[v>>2]=f[c+16>>2];f[j+12>>2]=f[c+20>>2];L=f[c+52>>2]|0;J=f[q>>2]|0;f[J>>2]=f[L>>2];f[J+4>>2]=f[L+4>>2]}else y=25}if((y|0)==25)$T(j,D);f[K>>2]=f[c+24>>2];f[j+20>>2]=f[c+28>>2];f[j+24>>2]=f[c+32>>2];f[j+28>>2]=f[c+36>>2];f[j+32>>2]=f[c+40>>2];f[M>>2]=f[B>>2];I=H}}else y=27}else y=27;while(0);if((y|0)==27){sh[f[(f[a>>2]|0)+12>>2]&255](a,c,j,-1);I=e}FS(d,47,j,b+8|0,I/+p[b+176>>3])}while(0);if((y|0)==52){sh[f[(f[x>>2]|0)+12>>2]&255](x,b,i,-1);G=e;y=53}if((y|0)==53){x=f[c>>2]|0;do if((x|0)==39476){if(f[c+80>>2]|0?!(+p[c+184>>3]==0.0):0){y=95;break}if(((+p[c+192>>3]==0.0?+p[c+200>>3]==0.0:0)?+p[c+208>>3]==0.0:0)?+p[c+216>>3]==0.0:0){a=c+8|0;if((j|0)!=(a|0)){M=c+44|0;N=f[M>>2]|0;if(N|0){E=N+12|0;f[E>>2]=(f[E>>2]|0)+1}E=j+36|0;N=f[E>>2]|0;if(N|0?(m=N+12|0,N=f[m>>2]|0,f[m>>2]=N+-1,(N|0)==1):0)aU(j);f[E>>2]=0;N=j+16|0;f[N>>2]=0;f[N+4>>2]=0;f[N+8>>2]=0;f[N+12>>2]=0;if((f[t>>2]|0)>0){m=f[w>>2]|0;F=0;do{f[m+(F<<2)>>2]=0;F=F+1|0;O=f[t>>2]|0}while((F|0)<(O|0));f[j>>2]=f[a>>2];if((O|0)<3)y=71;else y=73}else{f[j>>2]=f[a>>2];y=71}if((y|0)==71){F=f[c+12>>2]|0;if((F|0)<3){f[t>>2]=F;f[v>>2]=f[c+16>>2];f[j+12>>2]=f[c+20>>2];F=f[c+52>>2]|0;m=f[q>>2]|0;f[m>>2]=f[F>>2];f[m+4>>2]=f[F+4>>2]}else y=73}if((y|0)==73)$T(j,a);f[N>>2]=f[c+24>>2];f[j+20>>2]=f[c+28>>2];f[j+24>>2]=f[c+32>>2];f[j+28>>2]=f[c+36>>2];f[j+32>>2]=f[c+40>>2];f[E>>2]=f[M>>2]}P=42;Q=G*+p[c+176>>3]}else y=95}else if((x|0)==39836?(f[c+4>>2]|0)==47:0){if(f[c+80>>2]|0?!(+p[c+184>>3]==0.0):0){y=95;break}F=c+8|0;if((j|0)!=(F|0)){m=c+44|0;A=f[m>>2]|0;if(A|0){C=A+12|0;f[C>>2]=(f[C>>2]|0)+1}C=j+36|0;A=f[C>>2]|0;if(A|0?(z=A+12|0,A=f[z>>2]|0,f[z>>2]=A+-1,(A|0)==1):0)aU(j);f[C>>2]=0;A=j+16|0;f[A>>2]=0;f[A+4>>2]=0;f[A+8>>2]=0;f[A+12>>2]=0;if((f[t>>2]|0)>0){z=f[w>>2]|0;L=0;do{f[z+(L<<2)>>2]=0;L=L+1|0;R=f[t>>2]|0}while((L|0)<(R|0));f[j>>2]=f[F>>2];if((R|0)<3)y=90;else y=92}else{f[j>>2]=f[F>>2];y=90}if((y|0)==90){L=f[c+12>>2]|0;if((L|0)<3){f[t>>2]=L;f[v>>2]=f[c+16>>2];f[j+12>>2]=f[c+20>>2];L=f[c+52>>2]|0;z=f[q>>2]|0;f[z>>2]=f[L>>2];f[z+4>>2]=f[L+4>>2]}else y=92}if((y|0)==92)$T(j,F);f[A>>2]=f[c+24>>2];f[j+20>>2]=f[c+28>>2];f[j+24>>2]=f[c+32>>2];f[j+28>>2]=f[c+36>>2];f[j+32>>2]=f[c+40>>2];f[C>>2]=f[m>>2]}P=47;Q=G*+p[c+176>>3]}else y=95;while(0);if((y|0)==95){sh[f[(f[x>>2]|0)+12>>2]&255](x,c,j,-1);P=42;Q=G}FS(d,P,i,j,Q)}P=j+36|0;x=f[P>>2]|0;if(x|0?(y=x+12|0,x=f[y>>2]|0,f[y>>2]=x+-1,(x|0)==1):0)aU(j);f[P>>2]=0;P=j+16|0;f[P>>2]=0;f[P+4>>2]=0;f[P+8>>2]=0;f[P+12>>2]=0;if((f[t>>2]|0)>0){P=f[w>>2]|0;w=0;do{f[P+(w<<2)>>2]=0;w=w+1|0}while((w|0)<(f[t>>2]|0))}t=f[q>>2]|0;if((t|0)!=(o|0))TC(t);t=i+36|0;o=f[t>>2]|0;if(o|0?(q=o+12|0,o=f[q>>2]|0,f[q>>2]=o+-1,(o|0)==1):0)aU(i);f[t>>2]=0;t=i+16|0;f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;f[t+12>>2]=0;if((f[l>>2]|0)>0){t=f[n>>2]|0;n=0;do{f[t+(n<<2)>>2]=0;n=n+1|0}while((n|0)<(f[l>>2]|0))}l=f[s>>2]|0;if((l|0)!=(r|0))TC(l)}else zh[f[(f[k>>2]|0)+68>>2]&31](k,b,c,d,e);if(!(f[h+4>>2]|0)){u=g;return}u=g;return}function RR(a,b,c,d){a=a|0;b=b|0;c=+c;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;a=u;u=u+160|0;e=a+144|0;g=a+88|0;h=a+32|0;i=a;gV(e,40312);f[g>>2]=1124007936;j=g+4|0;k=g+8|0;l=g+40|0;m=j;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));f[l>>2]=k;k=g+48|0;o=g+44|0;f[o>>2]=k;f[k>>2]=0;f[g+52>>2]=0;p=f[b>>2]|0;sh[f[(f[p>>2]|0)+12>>2]&255](p,b,g,-1);f[h>>2]=1124007936;b=h+4|0;p=h+8|0;q=h+40|0;m=b;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));f[q>>2]=p;p=h+48|0;m=h+44|0;f[m>>2]=p;f[p>>2]=0;f[h+52>>2]=0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;f[i+16>>2]=0;f[i+20>>2]=0;f[i+24>>2]=0;f[i+28>>2]=0;LS(d,g,h,c,0.0,i);i=h+36|0;d=f[i>>2]|0;if(d|0?(n=d+12|0,d=f[n>>2]|0,f[n>>2]=d+-1,(d|0)==1):0)aU(h);f[i>>2]=0;i=h+16|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;if((f[b>>2]|0)>0){i=f[q>>2]|0;q=0;do{f[i+(q<<2)>>2]=0;q=q+1|0}while((q|0)<(f[b>>2]|0))}b=f[m>>2]|0;if((b|0)!=(p|0))TC(b);b=g+36|0;p=f[b>>2]|0;if(p|0?(m=p+12|0,p=f[m>>2]|0,f[m>>2]=p+-1,(p|0)==1):0)aU(g);f[b>>2]=0;b=g+16|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;if((f[j>>2]|0)>0){b=f[l>>2]|0;l=0;do{f[b+(l<<2)>>2]=0;l=l+1|0}while((l|0)<(f[j>>2]|0))}j=f[o>>2]|0;if((j|0)!=(k|0))TC(j);if(!(f[e+4>>2]|0)){u=a;return}u=a;return}function SR(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0.0,H=0,I=0,J=0,K=0,L=0,M=0,N=0.0,O=0,P=0;g=u;u=u+128|0;h=g+112|0;i=g+56|0;j=g;gV(h,40292);k=f[c>>2]|0;a:do if((k|0)==(a|0)){l=f[b>>2]|0;do if((l|0)==39836?(f[b+4>>2]|0)==47:0){if(f[b+80>>2]|0?!(+p[b+184>>3]==0.0):0)break;if((a|0)==39836?(f[c+4>>2]|0)==47:0){if(f[c+80>>2]|0?!(+p[c+184>>3]==0.0):0)break;FS(d,47,c+8|0,b+8|0,+p[b+176>>3]/+p[c+176>>3]);break a}}while(0);f[i>>2]=1124007936;m=i+4|0;n=i+8|0;o=i+40|0;q=m;r=q+36|0;do{f[q>>2]=0;q=q+4|0}while((q|0)<(r|0));f[o>>2]=n;s=i+48|0;t=i+44|0;f[t>>2]=s;f[s>>2]=0;f[i+52>>2]=0;f[j>>2]=1124007936;v=j+4|0;w=j+8|0;x=j+40|0;q=v;r=q+36|0;do{f[q>>2]=0;q=q+4|0}while((q|0)<(r|0));f[x>>2]=w;q=j+48|0;r=j+44|0;f[r>>2]=q;f[q>>2]=0;f[j+52>>2]=0;do if((l|0)==39476){if(f[b+80>>2]|0?!(+p[b+184>>3]==0.0):0){y=32;break}if(((+p[b+192>>3]==0.0?+p[b+200>>3]==0.0:0)?+p[b+208>>3]==0.0:0)?+p[b+216>>3]==0.0:0){z=b+8|0;if((i|0)!=(z|0)){A=b+44|0;B=f[A>>2]|0;if(B){C=B+12|0;f[C>>2]=(f[C>>2]|0)+1;C=i+36|0;B=f[C>>2]|0;if((B|0)!=0?(D=B+12|0,B=f[D>>2]|0,f[D>>2]=B+-1,(B|0)==1):0){aU(i);E=C}else E=C}else E=i+36|0;f[E>>2]=0;C=i+16|0;f[C>>2]=0;f[C+4>>2]=0;f[C+8>>2]=0;f[C+12>>2]=0;if((f[m>>2]|0)>0){B=f[o>>2]|0;D=0;do{f[B+(D<<2)>>2]=0;D=D+1|0;F=f[m>>2]|0}while((D|0)<(F|0));f[i>>2]=f[z>>2];if((F|0)<3)y=27;else y=29}else{f[i>>2]=f[z>>2];y=27}if((y|0)==27){D=f[b+12>>2]|0;if((D|0)<3){f[m>>2]=D;f[n>>2]=f[b+16>>2];f[i+12>>2]=f[b+20>>2];D=f[b+52>>2]|0;B=f[t>>2]|0;f[B>>2]=f[D>>2];f[B+4>>2]=f[D+4>>2]}else y=29}if((y|0)==29)$T(i,z);f[C>>2]=f[b+24>>2];f[i+20>>2]=f[b+28>>2];f[i+24>>2]=f[b+32>>2];f[i+28>>2]=f[b+36>>2];f[i+32>>2]=f[b+40>>2];f[E>>2]=f[A>>2]}G=+p[b+176>>3]*e}else y=32}else y=32;while(0);if((y|0)==32){sh[f[(f[l>>2]|0)+12>>2]&255](l,b,i,-1);G=e}n=f[c>>2]|0;do if((n|0)==39476){if(f[c+80>>2]|0?!(+p[c+184>>3]==0.0):0){y=75;break}if(((+p[c+192>>3]==0.0?+p[c+200>>3]==0.0:0)?+p[c+208>>3]==0.0:0)?+p[c+216>>3]==0.0:0){D=c+8|0;if((j|0)!=(D|0)){B=c+44|0;H=f[B>>2]|0;if(H|0){I=H+12|0;f[I>>2]=(f[I>>2]|0)+1}I=j+36|0;H=f[I>>2]|0;if(H|0?(J=H+12|0,H=f[J>>2]|0,f[J>>2]=H+-1,(H|0)==1):0)aU(j);f[I>>2]=0;H=j+16|0;f[H>>2]=0;f[H+4>>2]=0;f[H+8>>2]=0;f[H+12>>2]=0;if((f[v>>2]|0)>0){J=f[x>>2]|0;K=0;do{f[J+(K<<2)>>2]=0;K=K+1|0;L=f[v>>2]|0}while((K|0)<(L|0));f[j>>2]=f[D>>2];if((L|0)<3)y=51;else y=53}else{f[j>>2]=f[D>>2];y=51}if((y|0)==51){K=f[c+12>>2]|0;if((K|0)<3){f[v>>2]=K;f[w>>2]=f[c+16>>2];f[j+12>>2]=f[c+20>>2];K=f[c+52>>2]|0;J=f[r>>2]|0;f[J>>2]=f[K>>2];f[J+4>>2]=f[K+4>>2]}else y=53}if((y|0)==53)$T(j,D);f[H>>2]=f[c+24>>2];f[j+20>>2]=f[c+28>>2];f[j+24>>2]=f[c+32>>2];f[j+28>>2]=f[c+36>>2];f[j+32>>2]=f[c+40>>2];f[I>>2]=f[B>>2]}M=47;N=G/+p[c+176>>3]}else y=75}else if((n|0)==39836?(f[c+4>>2]|0)==47:0){if(f[c+80>>2]|0?!(+p[c+184>>3]==0.0):0){y=75;break}K=c+8|0;if((j|0)!=(K|0)){J=c+44|0;A=f[J>>2]|0;if(A|0){C=A+12|0;f[C>>2]=(f[C>>2]|0)+1}C=j+36|0;A=f[C>>2]|0;if(A|0?(z=A+12|0,A=f[z>>2]|0,f[z>>2]=A+-1,(A|0)==1):0)aU(j);f[C>>2]=0;A=j+16|0;f[A>>2]=0;f[A+4>>2]=0;f[A+8>>2]=0;f[A+12>>2]=0;if((f[v>>2]|0)>0){z=f[x>>2]|0;O=0;do{f[z+(O<<2)>>2]=0;O=O+1|0;P=f[v>>2]|0}while((O|0)<(P|0));f[j>>2]=f[K>>2];if((P|0)<3)y=70;else y=72}else{f[j>>2]=f[K>>2];y=70}if((y|0)==70){O=f[c+12>>2]|0;if((O|0)<3){f[v>>2]=O;f[w>>2]=f[c+16>>2];f[j+12>>2]=f[c+20>>2];O=f[c+52>>2]|0;z=f[r>>2]|0;f[z>>2]=f[O>>2];f[z+4>>2]=f[O+4>>2]}else y=72}if((y|0)==72)$T(j,K);f[A>>2]=f[c+24>>2];f[j+20>>2]=f[c+28>>2];f[j+24>>2]=f[c+32>>2];f[j+28>>2]=f[c+36>>2];f[j+32>>2]=f[c+40>>2];f[C>>2]=f[J>>2]}M=42;N=G/+p[c+176>>3]}else y=75;while(0);if((y|0)==75){sh[f[(f[n>>2]|0)+12>>2]&255](n,c,j,-1);M=47;N=G}FS(d,M,i,j,N);w=j+36|0;l=f[w>>2]|0;if(l|0?(O=l+12|0,l=f[O>>2]|0,f[O>>2]=l+-1,(l|0)==1):0)aU(j);f[w>>2]=0;w=j+16|0;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;f[w+12>>2]=0;if((f[v>>2]|0)>0){w=f[x>>2]|0;l=0;do{f[w+(l<<2)>>2]=0;l=l+1|0}while((l|0)<(f[v>>2]|0))}v=f[r>>2]|0;if((v|0)!=(q|0))TC(v);v=i+36|0;l=f[v>>2]|0;if(l|0?(w=l+12|0,l=f[w>>2]|0,f[w>>2]=l+-1,(l|0)==1):0)aU(i);f[v>>2]=0;v=i+16|0;f[v>>2]=0;f[v+4>>2]=0;f[v+8>>2]=0;f[v+12>>2]=0;if((f[m>>2]|0)>0){v=f[o>>2]|0;l=0;do{f[v+(l<<2)>>2]=0;l=l+1|0}while((l|0)<(f[m>>2]|0))}m=f[t>>2]|0;if((m|0)!=(s|0))TC(m)}else zh[f[(f[k>>2]|0)+76>>2]&31](k,b,c,d,e);while(0);if(!(f[h+4>>2]|0)){u=g;return}u=g;return}function TR(a,b,c,d){a=a|0;b=+b;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;a=u;u=u+128|0;e=a+112|0;g=a+56|0;h=a;gV(e,40272);f[g>>2]=1124007936;i=g+4|0;j=g+8|0;k=g+40|0;l=i;m=l+36|0;do{f[l>>2]=0;l=l+4|0}while((l|0)<(m|0));f[k>>2]=j;j=g+48|0;n=g+44|0;f[n>>2]=j;f[j>>2]=0;f[g+52>>2]=0;o=f[c>>2]|0;sh[f[(f[o>>2]|0)+12>>2]&255](o,c,g,-1);f[h>>2]=1124007936;c=h+4|0;o=h+8|0;p=h+40|0;l=c;m=l+36|0;do{f[l>>2]=0;l=l+4|0}while((l|0)<(m|0));f[p>>2]=o;o=h+48|0;l=h+44|0;f[l>>2]=o;f[o>>2]=0;f[h+52>>2]=0;FS(d,47,g,h,b);d=h+36|0;m=f[d>>2]|0;if(m|0?(q=m+12|0,m=f[q>>2]|0,f[q>>2]=m+-1,(m|0)==1):0)aU(h);f[d>>2]=0;d=h+16|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[c>>2]|0)>0){d=f[p>>2]|0;p=0;do{f[d+(p<<2)>>2]=0;p=p+1|0}while((p|0)<(f[c>>2]|0))}c=f[l>>2]|0;if((c|0)!=(o|0))TC(c);c=g+36|0;o=f[c>>2]|0;if(o|0?(l=o+12|0,o=f[l>>2]|0,f[l>>2]=o+-1,(o|0)==1):0)aU(g);f[c>>2]=0;c=g+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[i>>2]|0)>0){c=f[k>>2]|0;k=0;do{f[c+(k<<2)>>2]=0;k=k+1|0}while((k|0)<(f[i>>2]|0))}i=f[n>>2]|0;if((i|0)!=(j|0))TC(i);if(!(f[e+4>>2]|0)){u=a;return}u=a;return}function UR(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;a=u;u=u+128|0;d=a+112|0;e=a+56|0;g=a;gV(d,40252);f[e>>2]=1124007936;h=e+4|0;i=e+8|0;j=e+40|0;k=h;l=k+36|0;do{f[k>>2]=0;k=k+4|0}while((k|0)<(l|0));f[j>>2]=i;i=e+48|0;m=e+44|0;f[m>>2]=i;f[i>>2]=0;f[e+52>>2]=0;n=f[b>>2]|0;sh[f[(f[n>>2]|0)+12>>2]&255](n,b,e,-1);f[g>>2]=1124007936;b=g+4|0;n=g+8|0;o=g+40|0;k=b;l=k+36|0;do{f[k>>2]=0;k=k+4|0}while((k|0)<(l|0));f[o>>2]=n;n=g+48|0;k=g+44|0;f[k>>2]=n;f[n>>2]=0;f[g+52>>2]=0;FS(c,97,e,g,1.0);c=g+36|0;l=f[c>>2]|0;if(l|0?(p=l+12|0,l=f[p>>2]|0,f[p>>2]=l+-1,(l|0)==1):0)aU(g);f[c>>2]=0;c=g+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[o>>2]|0;o=0;do{f[c+(o<<2)>>2]=0;o=o+1|0}while((o|0)<(f[b>>2]|0))}b=f[k>>2]|0;if((b|0)!=(n|0))TC(b);b=e+36|0;n=f[b>>2]|0;if(n|0?(k=n+12|0,n=f[k>>2]|0,f[k>>2]=n+-1,(n|0)==1):0)aU(e);f[b>>2]=0;b=e+16|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;if((f[h>>2]|0)>0){b=f[j>>2]|0;j=0;do{f[b+(j<<2)>>2]=0;j=j+1|0}while((j|0)<(f[h>>2]|0))}h=f[m>>2]|0;if((h|0)!=(i|0))TC(h);if(!(f[d+4>>2]|0)){u=a;return}u=a;return}function VR(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;a=u;u=u+64|0;d=a+56|0;e=a;gV(d,40232);f[e>>2]=1124007936;g=e+4|0;h=e+8|0;i=e+40|0;j=g;k=j+36|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));f[i>>2]=h;h=e+48|0;j=e+44|0;f[j>>2]=h;f[h>>2]=0;f[e+52>>2]=0;k=f[b>>2]|0;sh[f[(f[k>>2]|0)+12>>2]&255](k,b,e,-1);DS(c,e,1.0);c=e+36|0;b=f[c>>2]|0;if(b|0?(k=b+12|0,b=f[k>>2]|0,f[k>>2]=b+-1,(b|0)==1):0)aU(e);f[c>>2]=0;c=e+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[g>>2]|0)>0){c=f[i>>2]|0;i=0;do{f[c+(i<<2)>>2]=0;i=i+1|0}while((i|0)<(f[g>>2]|0))}g=f[j>>2]|0;if((g|0)!=(h|0))TC(g);if(!(f[d+4>>2]|0)){u=a;return}u=a;return}function WR(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0.0,y=0,z=0,A=0.0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0.0,J=0,K=0,L=0,M=0,N=0,O=0,P=0.0,Q=0,R=0.0,S=0;e=u;u=u+176|0;g=e+112|0;h=e+56|0;i=e;j=f[c>>2]|0;if((j|0)!=(a|0)){sh[f[(f[j>>2]|0)+92>>2]&255](j,b,c,d);u=e;return}f[g>>2]=1124007936;j=g+4|0;a=g+8|0;k=g+40|0;l=j;m=l+36|0;do{f[l>>2]=0;l=l+4|0}while((l|0)<(m|0));f[k>>2]=a;n=g+48|0;o=g+44|0;f[o>>2]=n;f[n>>2]=0;f[g+52>>2]=0;f[h>>2]=1124007936;q=h+4|0;r=h+8|0;s=h+40|0;l=q;m=l+36|0;do{f[l>>2]=0;l=l+4|0}while((l|0)<(m|0));f[s>>2]=r;t=h+48|0;v=h+44|0;f[v>>2]=t;f[t>>2]=0;f[h+52>>2]=0;w=f[b>>2]|0;a:do if((w|0)==39472){x=+p[b+176>>3];y=b+8|0;if((g|0)==(y|0)){z=1;A=x}else{B=b+44|0;C=f[B>>2]|0;if(C){D=C+12|0;f[D>>2]=(f[D>>2]|0)+1;D=g+36|0;C=f[D>>2]|0;if((C|0)!=0?(E=C+12|0,C=f[E>>2]|0,f[E>>2]=C+-1,(C|0)==1):0){aU(g);F=D}else F=D}else F=g+36|0;f[F>>2]=0;D=g+16|0;f[D>>2]=0;f[D+4>>2]=0;f[D+8>>2]=0;f[D+12>>2]=0;if((f[j>>2]|0)>0){C=f[k>>2]|0;E=0;do{f[C+(E<<2)>>2]=0;E=E+1|0;G=f[j>>2]|0}while((E|0)<(G|0));f[g>>2]=f[y>>2];if((G|0)<3)H=14;else H=16}else{f[g>>2]=f[y>>2];H=14}if((H|0)==14){E=f[b+12>>2]|0;if((E|0)<3){f[j>>2]=E;f[a>>2]=f[b+16>>2];f[g+12>>2]=f[b+20>>2];E=f[b+52>>2]|0;C=f[o>>2]|0;f[C>>2]=f[E>>2];f[C+4>>2]=f[E+4>>2]}else H=16}if((H|0)==16)$T(g,y);f[D>>2]=f[b+24>>2];f[g+20>>2]=f[b+28>>2];f[g+24>>2]=f[b+32>>2];f[g+28>>2]=f[b+36>>2];f[g+32>>2]=f[b+40>>2];f[F>>2]=f[B>>2];z=1;A=x}}else{do if((w|0)==39476){if(f[b+80>>2]|0?!(+p[b+184>>3]==0.0):0)break;if(((+p[b+192>>3]==0.0?+p[b+200>>3]==0.0:0)?+p[b+208>>3]==0.0:0)?+p[b+216>>3]==0.0:0){I=+p[b+176>>3];E=b+8|0;if((g|0)==(E|0)){z=0;A=I;break a}C=b+44|0;J=f[C>>2]|0;if(J){K=J+12|0;f[K>>2]=(f[K>>2]|0)+1;K=g+36|0;J=f[K>>2]|0;if((J|0)!=0?(L=J+12|0,J=f[L>>2]|0,f[L>>2]=J+-1,(J|0)==1):0){aU(g);M=K}else M=K}else M=g+36|0;f[M>>2]=0;K=g+16|0;f[K>>2]=0;f[K+4>>2]=0;f[K+8>>2]=0;f[K+12>>2]=0;if((f[j>>2]|0)>0){J=f[k>>2]|0;L=0;do{f[J+(L<<2)>>2]=0;L=L+1|0;N=f[j>>2]|0}while((L|0)<(N|0));f[g>>2]=f[E>>2];if((N|0)<3)H=36;else H=38}else{f[g>>2]=f[E>>2];H=36}if((H|0)==36){L=f[b+12>>2]|0;if((L|0)<3){f[j>>2]=L;f[a>>2]=f[b+16>>2];f[g+12>>2]=f[b+20>>2];L=f[b+52>>2]|0;J=f[o>>2]|0;f[J>>2]=f[L>>2];f[J+4>>2]=f[L+4>>2]}else H=38}if((H|0)==38)$T(g,E);f[K>>2]=f[b+24>>2];f[g+20>>2]=f[b+28>>2];f[g+24>>2]=f[b+32>>2];f[g+28>>2]=f[b+36>>2];f[g+32>>2]=f[b+40>>2];f[M>>2]=f[C>>2];z=0;A=I;break a}}while(0);sh[f[(f[w>>2]|0)+12>>2]&255](w,b,g,-1);z=0;A=1.0}while(0);b=f[c>>2]|0;b:do if((b|0)==39472){w=z|2;x=A*+p[c+176>>3];M=c+8|0;if((h|0)==(M|0)){O=w;P=x}else{a=c+44|0;N=f[a>>2]|0;if(N|0){F=N+12|0;f[F>>2]=(f[F>>2]|0)+1}F=h+36|0;N=f[F>>2]|0;if(N|0?(G=N+12|0,N=f[G>>2]|0,f[G>>2]=N+-1,(N|0)==1):0)aU(h);f[F>>2]=0;N=h+16|0;f[N>>2]=0;f[N+4>>2]=0;f[N+8>>2]=0;f[N+12>>2]=0;if((f[q>>2]|0)>0){G=f[s>>2]|0;B=0;do{f[G+(B<<2)>>2]=0;B=B+1|0;Q=f[q>>2]|0}while((B|0)<(Q|0));f[h>>2]=f[M>>2];if((Q|0)<3)H=53;else H=55}else{f[h>>2]=f[M>>2];H=53}if((H|0)==53){B=f[c+12>>2]|0;if((B|0)<3){f[q>>2]=B;f[r>>2]=f[c+16>>2];f[h+12>>2]=f[c+20>>2];B=f[c+52>>2]|0;G=f[v>>2]|0;f[G>>2]=f[B>>2];f[G+4>>2]=f[B+4>>2]}else H=55}if((H|0)==55)$T(h,M);f[N>>2]=f[c+24>>2];f[h+20>>2]=f[c+28>>2];f[h+24>>2]=f[c+32>>2];f[h+28>>2]=f[c+36>>2];f[h+32>>2]=f[c+40>>2];f[F>>2]=f[a>>2];O=w;P=x}}else{do if((b|0)==39476){if(f[c+80>>2]|0?!(+p[c+184>>3]==0.0):0)break;if(((+p[c+192>>3]==0.0?+p[c+200>>3]==0.0:0)?+p[c+208>>3]==0.0:0)?+p[c+216>>3]==0.0:0){R=A*+p[c+176>>3];B=c+8|0;if((h|0)==(B|0)){O=z;P=R;break b}G=c+44|0;D=f[G>>2]|0;if(D|0){y=D+12|0;f[y>>2]=(f[y>>2]|0)+1}y=h+36|0;D=f[y>>2]|0;if(D|0?(L=D+12|0,D=f[L>>2]|0,f[L>>2]=D+-1,(D|0)==1):0)aU(h);f[y>>2]=0;D=h+16|0;f[D>>2]=0;f[D+4>>2]=0;f[D+8>>2]=0;f[D+12>>2]=0;if((f[q>>2]|0)>0){L=f[s>>2]|0;J=0;do{f[L+(J<<2)>>2]=0;J=J+1|0;S=f[q>>2]|0}while((J|0)<(S|0));f[h>>2]=f[B>>2];if((S|0)<3)H=75;else H=77}else{f[h>>2]=f[B>>2];H=75}if((H|0)==75){J=f[c+12>>2]|0;if((J|0)<3){f[q>>2]=J;f[r>>2]=f[c+16>>2];f[h+12>>2]=f[c+20>>2];J=f[c+52>>2]|0;L=f[v>>2]|0;f[L>>2]=f[J>>2];f[L+4>>2]=f[J+4>>2]}else H=77}if((H|0)==77)$T(h,B);f[D>>2]=f[c+24>>2];f[h+20>>2]=f[c+28>>2];f[h+24>>2]=f[c+32>>2];f[h+28>>2]=f[c+36>>2];f[h+32>>2]=f[c+40>>2];f[y>>2]=f[G>>2];O=z;P=R;break b}}while(0);sh[f[(f[b>>2]|0)+12>>2]&255](b,c,h,-1);O=z;P=A}while(0);f[i>>2]=1124007936;z=i+4|0;c=i+8|0;b=i+40|0;l=z;m=l+36|0;do{f[l>>2]=0;l=l+4|0}while((l|0)<(m|0));f[b>>2]=c;c=i+48|0;l=i+44|0;f[l>>2]=c;f[c>>2]=0;f[i+52>>2]=0;lS(d,O,g,h,P,i,1.0);O=i+36|0;d=f[O>>2]|0;if(d|0?(m=d+12|0,d=f[m>>2]|0,f[m>>2]=d+-1,(d|0)==1):0)aU(i);f[O>>2]=0;O=i+16|0;f[O>>2]=0;f[O+4>>2]=0;f[O+8>>2]=0;f[O+12>>2]=0;if((f[z>>2]|0)>0){O=f[b>>2]|0;b=0;do{f[O+(b<<2)>>2]=0;b=b+1|0}while((b|0)<(f[z>>2]|0))}z=f[l>>2]|0;if((z|0)!=(c|0))TC(z);z=h+36|0;c=f[z>>2]|0;if(c|0?(l=c+12|0,c=f[l>>2]|0,f[l>>2]=c+-1,(c|0)==1):0)aU(h);f[z>>2]=0;z=h+16|0;f[z>>2]=0;f[z+4>>2]=0;f[z+8>>2]=0;f[z+12>>2]=0;if((f[q>>2]|0)>0){z=f[s>>2]|0;s=0;do{f[z+(s<<2)>>2]=0;s=s+1|0}while((s|0)<(f[q>>2]|0))}q=f[v>>2]|0;if((q|0)!=(t|0))TC(q);q=g+36|0;t=f[q>>2]|0;if(t|0?(v=t+12|0,t=f[v>>2]|0,f[v>>2]=t+-1,(t|0)==1):0)aU(g);f[q>>2]=0;q=g+16|0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;f[q+12>>2]=0;if((f[j>>2]|0)>0){q=f[k>>2]|0;k=0;do{f[q+(k<<2)>>2]=0;k=k+1|0}while((k|0)<(f[j>>2]|0))}j=f[o>>2]|0;if((j|0)!=(n|0))TC(j);u=e;return}function XR(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0;a=u;u=u+64|0;e=a;f[e>>2]=1124007936;g=e+4|0;h=e+8|0;i=e+40|0;j=g;k=j+36|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));f[i>>2]=h;h=e+48|0;j=e+44|0;f[j>>2]=h;f[h>>2]=0;f[e+52>>2]=0;k=f[b>>2]|0;sh[f[(f[k>>2]|0)+12>>2]&255](k,b,e,-1);_R(d,c,e);c=e+36|0;d=f[c>>2]|0;if(d|0?(b=d+12|0,d=f[b>>2]|0,f[b>>2]=d+-1,(d|0)==1):0)aU(e);f[c>>2]=0;c=e+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[g>>2]|0)>0){c=f[i>>2]|0;i=0;do{f[c+(i<<2)>>2]=0;i=i+1|0}while((i|0)<(f[g>>2]|0))}g=f[j>>2]|0;if((g|0)==(h|0)){u=a;return}TC(g);u=a;return}function YR(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;if(f[c+24>>2]|0){b=f[c+12>>2]|0;if((b|0)<3)d=Y(f[c+20>>2]|0,f[c+16>>2]|0)|0;else{e=f[c+48>>2]|0;g=0;h=1;while(1){i=Y(f[e+(g<<2)>>2]|0,h)|0;g=g+1|0;if((g|0)==(b|0)){d=i;break}else h=i}}if(!((b|0)==0|(d|0)==0))j=c+48|0;else k=8}else k=8;do if((k|0)==8){if(f[c+80>>2]|0){d=f[c+68>>2]|0;if((d|0)<3)l=Y(f[c+76>>2]|0,f[c+72>>2]|0)|0;else{b=f[c+104>>2]|0;h=0;g=1;while(1){e=Y(f[b+(h<<2)>>2]|0,g)|0;h=h+1|0;if((h|0)==(d|0)){l=e;break}else g=e}}if(!((d|0)==0|(l|0)==0)){j=c+160|0;break}}j=c+104|0}while(0);c=f[j>>2]|0;j=f[c>>2]|0;f[a>>2]=f[c+4>>2];f[a+4>>2]=j;return}function ZR(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;a=u;u=u+16|0;c=a;gV(c,39092);d=b+8|0;if(f[b+24>>2]|0){e=f[b+12>>2]|0;if((e|0)<3)g=Y(f[b+20>>2]|0,f[b+16>>2]|0)|0;else{h=f[b+48>>2]|0;i=0;j=1;while(1){k=Y(f[h+(i<<2)>>2]|0,j)|0;i=i+1|0;if((i|0)==(e|0)){g=k;break}else j=k}}if(!((e|0)==0|(g|0)==0))l=d;else m=7}else m=7;do if((m|0)==7){d=b+64|0;if(f[b+80>>2]|0){g=f[b+68>>2]|0;if((g|0)<3)n=Y(f[b+76>>2]|0,f[b+72>>2]|0)|0;else{e=f[b+104>>2]|0;j=0;i=1;while(1){h=Y(f[e+(j<<2)>>2]|0,i)|0;j=j+1|0;if((j|0)==(g|0)){n=h;break}else i=h}}if(!((g|0)==0|(n|0)==0)){l=b+120|0;break}}l=d}while(0);b=f[l>>2]&4095;if(!(f[c+4>>2]|0)){u=a;return b|0}u=a;return b|0}function _R(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;d=u;u=u+368|0;e=d+32|0;g=d+312|0;h=d+256|0;i=d;f[g>>2]=1124007936;j=g+4|0;k=g+8|0;l=g+40|0;m=j;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));f[l>>2]=k;k=g+48|0;o=g+44|0;f[o>>2]=k;f[k>>2]=0;f[g+52>>2]=0;f[h>>2]=1124007936;q=h+4|0;r=h+8|0;s=h+40|0;m=q;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));f[s>>2]=r;r=h+48|0;t=h+44|0;f[t>>2]=r;f[r>>2]=0;f[h+52>>2]=0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;f[i+16>>2]=0;f[i+20>>2]=0;f[i+24>>2]=0;f[i+28>>2]=0;$R(e,39112,b,c,g,h,1.0,0.0,i);i=e;c=f[i+4>>2]|0;b=a;f[b>>2]=f[i>>2];f[b+4>>2]=c;c=a+8|0;b=(e|0)==(a|0);if(!b){i=a+44|0;v=f[i>>2]|0;if(v|0?(w=v+12|0,v=f[w>>2]|0,f[w>>2]=v+-1,(v|0)==1):0)aU(c);f[i>>2]=0;v=a+24|0;w=a+12|0;f[v>>2]=0;f[v+4>>2]=0;f[v+8>>2]=0;f[v+12>>2]=0;if((f[w>>2]|0)>0){x=f[a+48>>2]|0;y=0;do{f[x+(y<<2)>>2]=0;y=y+1|0}while((y|0)<(f[w>>2]|0))}y=e+8|0;f[c>>2]=f[y>>2];c=e+12|0;x=f[c>>2]|0;f[w>>2]=x;w=e+16|0;z=a+16|0;f[z>>2]=f[w>>2];f[a+20>>2]=f[e+20>>2];f[v>>2]=f[e+24>>2];f[a+28>>2]=f[e+28>>2];f[a+32>>2]=f[e+32>>2];f[a+36>>2]=f[e+36>>2];f[a+40>>2]=f[e+40>>2];f[i>>2]=f[e+44>>2];i=a+52|0;v=f[i>>2]|0;A=a+56|0;if((v|0)==(A|0)){B=x;C=v}else{TC(v);f[i>>2]=A;f[a+48>>2]=z;B=f[c>>2]|0;C=A}A=e+52|0;if((B|0)<3){B=f[A>>2]|0;f[C>>2]=f[B>>2];f[C+4>>2]=f[B+4>>2]}else{f[i>>2]=f[A>>2];i=e+48|0;f[a+48>>2]=f[i>>2];f[A>>2]=e+56;f[i>>2]=w}f[y>>2]=1124007936;m=c;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));c=a+64|0;if(!b){y=a+100|0;w=f[y>>2]|0;if(w|0?(i=w+12|0,w=f[i>>2]|0,f[i>>2]=w+-1,(w|0)==1):0)aU(c);f[y>>2]=0;w=a+80|0;i=a+68|0;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;f[w+12>>2]=0;if((f[i>>2]|0)>0){A=f[a+104>>2]|0;B=0;do{f[A+(B<<2)>>2]=0;B=B+1|0}while((B|0)<(f[i>>2]|0))}B=e+64|0;f[c>>2]=f[B>>2];c=e+68|0;A=f[c>>2]|0;f[i>>2]=A;i=e+72|0;C=a+72|0;f[C>>2]=f[i>>2];f[a+76>>2]=f[e+76>>2];f[w>>2]=f[e+80>>2];f[a+84>>2]=f[e+84>>2];f[a+88>>2]=f[e+88>>2];f[a+92>>2]=f[e+92>>2];f[a+96>>2]=f[e+96>>2];f[y>>2]=f[e+100>>2];y=a+108|0;w=f[y>>2]|0;z=a+112|0;if((w|0)==(z|0)){D=A;E=w}else{TC(w);f[y>>2]=z;f[a+104>>2]=C;D=f[c>>2]|0;E=z}z=e+108|0;if((D|0)<3){D=f[z>>2]|0;f[E>>2]=f[D>>2];f[E+4>>2]=f[D+4>>2]}else{f[y>>2]=f[z>>2];y=e+104|0;f[a+104>>2]=f[y>>2];f[z>>2]=e+112;f[y>>2]=i}f[B>>2]=1124007936;m=c;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));c=a+120|0;if(!b){b=a+156|0;B=f[b>>2]|0;if(B|0?(i=B+12|0,B=f[i>>2]|0,f[i>>2]=B+-1,(B|0)==1):0)aU(c);f[b>>2]=0;B=a+136|0;i=a+124|0;f[B>>2]=0;f[B+4>>2]=0;f[B+8>>2]=0;f[B+12>>2]=0;if((f[i>>2]|0)>0){y=f[a+160>>2]|0;z=0;do{f[y+(z<<2)>>2]=0;z=z+1|0}while((z|0)<(f[i>>2]|0))}z=e+120|0;f[c>>2]=f[z>>2];c=e+124|0;y=f[c>>2]|0;f[i>>2]=y;i=e+128|0;D=a+128|0;f[D>>2]=f[i>>2];f[a+132>>2]=f[e+132>>2];f[B>>2]=f[e+136>>2];f[a+140>>2]=f[e+140>>2];f[a+144>>2]=f[e+144>>2];f[a+148>>2]=f[e+148>>2];f[a+152>>2]=f[e+152>>2];f[b>>2]=f[e+156>>2];b=a+164|0;B=f[b>>2]|0;E=a+168|0;if((B|0)==(E|0)){F=y;G=B}else{TC(B);f[b>>2]=E;f[a+160>>2]=D;F=f[c>>2]|0;G=E}E=e+164|0;if((F|0)<3){F=f[E>>2]|0;f[G>>2]=f[F>>2];f[G+4>>2]=f[F+4>>2]}else{f[b>>2]=f[E>>2];b=e+160|0;f[a+160>>2]=f[b>>2];f[E>>2]=e+168;f[b>>2]=i}f[z>>2]=1124007936;m=c;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0))}}}m=a+176|0;n=e+176|0;f[m>>2]=f[n>>2];f[m+4>>2]=f[n+4>>2];f[m+8>>2]=f[n+8>>2];f[m+12>>2]=f[n+12>>2];p[a+192>>3]=+p[e+192>>3];p[a+200>>3]=+p[e+200>>3];p[a+208>>3]=+p[e+208>>3];p[a+216>>3]=+p[e+216>>3];Xi(e);e=h+36|0;a=f[e>>2]|0;if(a|0?(n=a+12|0,a=f[n>>2]|0,f[n>>2]=a+-1,(a|0)==1):0)aU(h);f[e>>2]=0;e=h+16|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((f[q>>2]|0)>0){e=f[s>>2]|0;s=0;do{f[e+(s<<2)>>2]=0;s=s+1|0}while((s|0)<(f[q>>2]|0))}q=f[t>>2]|0;if((q|0)!=(r|0))TC(q);q=g+36|0;r=f[q>>2]|0;if(r|0?(t=r+12|0,r=f[t>>2]|0,f[t>>2]=r+-1,(r|0)==1):0)aU(g);f[q>>2]=0;q=g+16|0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;f[q+12>>2]=0;if((f[j>>2]|0)>0){q=f[l>>2]|0;l=0;do{f[q+(l<<2)>>2]=0;l=l+1|0}while((l|0)<(f[j>>2]|0))}j=f[o>>2]|0;if((j|0)==(k|0)){u=d;return}TC(j);u=d;return}function $R(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=+h;i=+i;j=j|0;var k=0,l=0,m=0,n=0,o=0,q=0,r=0.0,s=0,t=0,u=0.0,v=0,w=0,x=0.0,y=0,z=0,A=0.0,B=0;f[a>>2]=b;f[a+4>>2]=c;c=a+8|0;f[c>>2]=f[d>>2];b=a+12|0;k=d+4|0;f[b>>2]=f[k>>2];l=a+16|0;f[l>>2]=f[d+8>>2];f[a+20>>2]=f[d+12>>2];f[a+24>>2]=f[d+16>>2];f[a+28>>2]=f[d+20>>2];f[a+32>>2]=f[d+24>>2];f[a+36>>2]=f[d+28>>2];f[a+40>>2]=f[d+32>>2];m=f[d+36>>2]|0;f[a+44>>2]=m;f[a+48>>2]=l;l=a+56|0;n=a+52|0;f[n>>2]=l;f[l>>2]=0;f[a+60>>2]=0;if(m|0){l=m+12|0;f[l>>2]=(f[l>>2]|0)+1}if((f[k>>2]|0)<3){k=f[d+44>>2]|0;l=f[n>>2]|0;f[l>>2]=f[k>>2];f[l+4>>2]=f[k+4>>2]}else{f[b>>2]=0;$T(c,d)}d=a+64|0;f[d>>2]=f[e>>2];c=a+68|0;b=e+4|0;f[c>>2]=f[b>>2];k=a+72|0;f[k>>2]=f[e+8>>2];f[a+76>>2]=f[e+12>>2];f[a+80>>2]=f[e+16>>2];f[a+84>>2]=f[e+20>>2];f[a+88>>2]=f[e+24>>2];f[a+92>>2]=f[e+28>>2];f[a+96>>2]=f[e+32>>2];l=f[e+36>>2]|0;f[a+100>>2]=l;f[a+104>>2]=k;k=a+112|0;n=a+108|0;f[n>>2]=k;f[k>>2]=0;f[a+116>>2]=0;if(l|0){k=l+12|0;f[k>>2]=(f[k>>2]|0)+1}if((f[b>>2]|0)<3){b=f[e+44>>2]|0;k=f[n>>2]|0;f[k>>2]=f[b>>2];f[k+4>>2]=f[b+4>>2]}else{f[c>>2]=0;$T(d,e)}e=a+120|0;f[e>>2]=f[g>>2];d=a+124|0;c=g+4|0;f[d>>2]=f[c>>2];b=a+128|0;f[b>>2]=f[g+8>>2];f[a+132>>2]=f[g+12>>2];f[a+136>>2]=f[g+16>>2];f[a+140>>2]=f[g+20>>2];f[a+144>>2]=f[g+24>>2];f[a+148>>2]=f[g+28>>2];f[a+152>>2]=f[g+32>>2];k=f[g+36>>2]|0;f[a+156>>2]=k;f[a+160>>2]=b;b=a+168|0;n=a+164|0;f[n>>2]=b;f[b>>2]=0;f[a+172>>2]=0;if(k|0){b=k+12|0;f[b>>2]=(f[b>>2]|0)+1}if((f[c>>2]|0)<3){c=f[g+44>>2]|0;b=f[n>>2]|0;f[b>>2]=f[c>>2];f[b+4>>2]=f[c+4>>2];o=a+176|0;p[o>>3]=h;q=a+184|0;p[q>>3]=i;r=+p[j>>3];s=a+192|0;p[s>>3]=r;t=j+8|0;u=+p[t>>3];v=a+200|0;p[v>>3]=u;w=j+16|0;x=+p[w>>3];y=a+208|0;p[y>>3]=x;z=j+24|0;A=+p[z>>3];B=a+216|0;p[B>>3]=A;return}else{f[d>>2]=0;$T(e,g);o=a+176|0;p[o>>3]=h;q=a+184|0;p[q>>3]=i;r=+p[j>>3];s=a+192|0;p[s>>3]=r;t=j+8|0;u=+p[t>>3];v=a+200|0;p[v>>3]=u;w=j+16|0;x=+p[w>>3];y=a+208|0;p[y>>3]=x;z=j+24|0;A=+p[z>>3];B=a+216|0;p[B>>3]=A;return}}function aS(a){a=a|0;fuc(a);return}function bS(a,b){a=a|0;b=b|0;return 0}function cS(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;a=u;u=u+96|0;e=a+32|0;g=a+16|0;h=a;f[e>>2]=1124007936;i=e+4|0;j=e+8|0;k=e+40|0;l=i;m=l+36|0;do{f[l>>2]=0;l=l+4|0}while((l|0)<(m|0));f[k>>2]=j;j=e+48|0;l=e+44|0;f[l>>2]=j;f[j>>2]=0;f[e+52>>2]=0;if((d|0)!=-1?(f[b+8>>2]&4095|0)!=(d|0):0)n=e;else n=c;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=b+8;m=h+8|0;f[m>>2]=0;f[m+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=n;+HD(g,h,f[b+4>>2]|0);if((f[n+16>>2]|0)!=(f[c+16>>2]|0)){b=g+8|0;f[b>>2]=0;f[b+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=c;kQ(n,g,d,1.0,0.0)}d=e+36|0;g=f[d>>2]|0;if(g|0?(n=g+12|0,g=f[n>>2]|0,f[n>>2]=g+-1,(g|0)==1):0)aU(e);f[d>>2]=0;d=e+16|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[i>>2]|0)>0){d=f[k>>2]|0;k=0;do{f[d+(k<<2)>>2]=0;k=k+1|0}while((k|0)<(f[i>>2]|0))}i=f[l>>2]|0;if((i|0)==(j|0)){u=a;return}TC(i);u=a;return}function dS(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;e=f[c>>2]|0;if((f[b>>2]|0)==39112&(e|0)==39232){eS(d,f[b+4>>2]|0,b+8|0,c+8|0);return}if((a|0)==(e|0)){WR(e,b,c,d);return}else{sh[f[(f[e>>2]|0)+92>>2]&255](e,b,c,d);return}}function eS(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;e=u;u=u+320|0;g=e+32|0;h=e+256|0;i=e;f[h>>2]=1124007936;j=h+4|0;k=h+8|0;l=h+40|0;m=j;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));f[l>>2]=k;k=h+48|0;o=h+44|0;f[o>>2]=k;f[k>>2]=0;f[h+52>>2]=0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;f[i+16>>2]=0;f[i+20>>2]=0;f[i+24>>2]=0;f[i+28>>2]=0;$R(g,39236,b,c,d,h,1.0,1.0,i);i=g;d=f[i+4>>2]|0;c=a;f[c>>2]=f[i>>2];f[c+4>>2]=d;d=a+8|0;c=(g|0)==(a|0);if(!c){i=a+44|0;b=f[i>>2]|0;if(b|0?(q=b+12|0,b=f[q>>2]|0,f[q>>2]=b+-1,(b|0)==1):0)aU(d);f[i>>2]=0;b=a+24|0;q=a+12|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;if((f[q>>2]|0)>0){r=f[a+48>>2]|0;s=0;do{f[r+(s<<2)>>2]=0;s=s+1|0}while((s|0)<(f[q>>2]|0))}s=g+8|0;f[d>>2]=f[s>>2];d=g+12|0;r=f[d>>2]|0;f[q>>2]=r;q=g+16|0;t=a+16|0;f[t>>2]=f[q>>2];f[a+20>>2]=f[g+20>>2];f[b>>2]=f[g+24>>2];f[a+28>>2]=f[g+28>>2];f[a+32>>2]=f[g+32>>2];f[a+36>>2]=f[g+36>>2];f[a+40>>2]=f[g+40>>2];f[i>>2]=f[g+44>>2];i=a+52|0;b=f[i>>2]|0;v=a+56|0;if((b|0)==(v|0)){w=r;x=b}else{TC(b);f[i>>2]=v;f[a+48>>2]=t;w=f[d>>2]|0;x=v}v=g+52|0;if((w|0)<3){w=f[v>>2]|0;f[x>>2]=f[w>>2];f[x+4>>2]=f[w+4>>2]}else{f[i>>2]=f[v>>2];i=g+48|0;f[a+48>>2]=f[i>>2];f[v>>2]=g+56;f[i>>2]=q}f[s>>2]=1124007936;m=d;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));d=a+64|0;if(!c){s=a+100|0;q=f[s>>2]|0;if(q|0?(i=q+12|0,q=f[i>>2]|0,f[i>>2]=q+-1,(q|0)==1):0)aU(d);f[s>>2]=0;q=a+80|0;i=a+68|0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;f[q+12>>2]=0;if((f[i>>2]|0)>0){v=f[a+104>>2]|0;w=0;do{f[v+(w<<2)>>2]=0;w=w+1|0}while((w|0)<(f[i>>2]|0))}w=g+64|0;f[d>>2]=f[w>>2];d=g+68|0;v=f[d>>2]|0;f[i>>2]=v;i=g+72|0;x=a+72|0;f[x>>2]=f[i>>2];f[a+76>>2]=f[g+76>>2];f[q>>2]=f[g+80>>2];f[a+84>>2]=f[g+84>>2];f[a+88>>2]=f[g+88>>2];f[a+92>>2]=f[g+92>>2];f[a+96>>2]=f[g+96>>2];f[s>>2]=f[g+100>>2];s=a+108|0;q=f[s>>2]|0;t=a+112|0;if((q|0)==(t|0)){y=v;z=q}else{TC(q);f[s>>2]=t;f[a+104>>2]=x;y=f[d>>2]|0;z=t}t=g+108|0;if((y|0)<3){y=f[t>>2]|0;f[z>>2]=f[y>>2];f[z+4>>2]=f[y+4>>2]}else{f[s>>2]=f[t>>2];s=g+104|0;f[a+104>>2]=f[s>>2];f[t>>2]=g+112;f[s>>2]=i}f[w>>2]=1124007936;m=d;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));d=a+120|0;if(!c){c=a+156|0;w=f[c>>2]|0;if(w|0?(i=w+12|0,w=f[i>>2]|0,f[i>>2]=w+-1,(w|0)==1):0)aU(d);f[c>>2]=0;w=a+136|0;i=a+124|0;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;f[w+12>>2]=0;if((f[i>>2]|0)>0){s=f[a+160>>2]|0;t=0;do{f[s+(t<<2)>>2]=0;t=t+1|0}while((t|0)<(f[i>>2]|0))}t=g+120|0;f[d>>2]=f[t>>2];d=g+124|0;s=f[d>>2]|0;f[i>>2]=s;i=g+128|0;y=a+128|0;f[y>>2]=f[i>>2];f[a+132>>2]=f[g+132>>2];f[w>>2]=f[g+136>>2];f[a+140>>2]=f[g+140>>2];f[a+144>>2]=f[g+144>>2];f[a+148>>2]=f[g+148>>2];f[a+152>>2]=f[g+152>>2];f[c>>2]=f[g+156>>2];c=a+164|0;w=f[c>>2]|0;z=a+168|0;if((w|0)==(z|0)){A=s;B=w}else{TC(w);f[c>>2]=z;f[a+160>>2]=y;A=f[d>>2]|0;B=z}z=g+164|0;if((A|0)<3){A=f[z>>2]|0;f[B>>2]=f[A>>2];f[B+4>>2]=f[A+4>>2]}else{f[c>>2]=f[z>>2];c=g+160|0;f[a+160>>2]=f[c>>2];f[z>>2]=g+168;f[c>>2]=i}f[t>>2]=1124007936;m=d;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0))}}}m=a+176|0;n=g+176|0;f[m>>2]=f[n>>2];f[m+4>>2]=f[n+4>>2];f[m+8>>2]=f[n+8>>2];f[m+12>>2]=f[n+12>>2];p[a+192>>3]=+p[g+192>>3];p[a+200>>3]=+p[g+200>>3];p[a+208>>3]=+p[g+208>>3];p[a+216>>3]=+p[g+216>>3];Xi(g);g=h+36|0;a=f[g>>2]|0;if(a|0?(n=a+12|0,a=f[n>>2]|0,f[n>>2]=a+-1,(a|0)==1):0)aU(h);f[g>>2]=0;g=h+16|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;if((f[j>>2]|0)>0){g=f[l>>2]|0;l=0;do{f[g+(l<<2)>>2]=0;l=l+1|0}while((l|0)<(f[j>>2]|0))}j=f[o>>2]|0;if((j|0)==(k|0)){u=e;return}TC(j);u=e;return}function fS(a){a=a|0;fuc(a);return}function gS(a,b){a=a|0;b=b|0;return 0}function hS(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;a=u;u=u+112|0;e=a+48|0;g=a+32|0;h=a+16|0;i=a;f[e>>2]=1124007936;j=e+4|0;k=e+8|0;l=e+40|0;m=j;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));f[l>>2]=k;k=e+48|0;m=e+44|0;f[m>>2]=k;f[k>>2]=0;f[e+52>>2]=0;if((d|0)!=-1?(f[b+8>>2]&4095|0)!=(d|0):0)o=e;else o=c;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=b+8;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=b+64;n=i+8|0;f[n>>2]=0;f[n+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=o;QD(g,h,i,f[b+4>>2]|0)|0;if((f[o+16>>2]|0)!=(f[c+16>>2]|0)){b=g+8|0;f[b>>2]=0;f[b+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=c;kQ(o,g,d,1.0,0.0)}d=e+36|0;g=f[d>>2]|0;if(g|0?(o=g+12|0,g=f[o>>2]|0,f[o>>2]=g+-1,(g|0)==1):0)aU(e);f[d>>2]=0;d=e+16|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[j>>2]|0)>0){d=f[l>>2]|0;l=0;do{f[d+(l<<2)>>2]=0;l=l+1|0}while((l|0)<(f[j>>2]|0))}j=f[m>>2]|0;if((j|0)==(k|0)){u=a;return}TC(j);u=a;return}function iS(a){a=a|0;fuc(a);return}function jS(a,b){a=a|0;b=b|0;return 1}function kS(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;a=u;u=u+16|0;g=a;h=c+8|0;if((e|0)!=-1?(i=f[h>>2]|0,(i&4095|0)!=(e|0)):0){if((i^e)&4088|0){i=cuc(48)|0;f[g>>2]=i;f[g+8>>2]=-2147483600;f[g+4>>2]=34;j=i;k=215011;l=j+34|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[i+34>>0]=0;WD(-215,g,215046,214912,1201)}i=g+8|0;f[i>>2]=0;f[i+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=d;kQ(h,g,e,1.0,0.0);u=a;return}if((h|0)==(d|0)){u=a;return}e=c+44|0;g=f[e>>2]|0;if(g|0){i=g+12|0;f[i>>2]=(f[i>>2]|0)+1}i=d+36|0;g=f[i>>2]|0;if(g|0?(k=g+12|0,g=f[k>>2]|0,f[k>>2]=g+-1,(g|0)==1):0)aU(d);f[i>>2]=0;g=d+16|0;k=d+4|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;if((f[k>>2]|0)>0){j=f[d+40>>2]|0;l=0;do{f[j+(l<<2)>>2]=0;l=l+1|0;m=f[k>>2]|0}while((l|0)<(m|0));f[d>>2]=f[c+8>>2];if((m|0)<3)n=14;else n=16}else{f[d>>2]=f[c+8>>2];n=14}if((n|0)==14){m=f[c+12>>2]|0;if((m|0)<3){f[k>>2]=m;f[d+8>>2]=f[c+16>>2];f[d+12>>2]=f[c+20>>2];m=f[c+52>>2]|0;k=f[d+44>>2]|0;f[k>>2]=f[m>>2];f[k+4>>2]=f[m+4>>2]}else n=16}if((n|0)==16)$T(d,h);f[g>>2]=f[c+24>>2];f[d+20>>2]=f[c+28>>2];f[d+24>>2]=f[c+32>>2];f[d+28>>2]=f[c+36>>2];f[d+32>>2]=f[c+40>>2];f[i>>2]=f[e>>2];u=a;return}function lS(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;g=g|0;h=+h;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0;i=u;u=u+256|0;j=i+32|0;k=i;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;f[k+16>>2]=0;f[k+20>>2]=0;f[k+24>>2]=0;f[k+28>>2]=0;$R(j,39480,b,c,d,g,e,h,k);k=j;g=f[k+4>>2]|0;d=a;f[d>>2]=f[k>>2];f[d+4>>2]=g;g=a+8|0;d=(j|0)==(a|0);if(!d){k=a+44|0;c=f[k>>2]|0;if(c|0?(b=c+12|0,c=f[b>>2]|0,f[b>>2]=c+-1,(c|0)==1):0)aU(g);f[k>>2]=0;c=a+24|0;b=a+12|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){l=f[a+48>>2]|0;m=0;do{f[l+(m<<2)>>2]=0;m=m+1|0}while((m|0)<(f[b>>2]|0))}m=j+8|0;f[g>>2]=f[m>>2];g=j+12|0;l=f[g>>2]|0;f[b>>2]=l;b=j+16|0;n=a+16|0;f[n>>2]=f[b>>2];f[a+20>>2]=f[j+20>>2];f[c>>2]=f[j+24>>2];f[a+28>>2]=f[j+28>>2];f[a+32>>2]=f[j+32>>2];f[a+36>>2]=f[j+36>>2];f[a+40>>2]=f[j+40>>2];f[k>>2]=f[j+44>>2];k=a+52|0;c=f[k>>2]|0;o=a+56|0;if((c|0)==(o|0)){q=l;r=c}else{TC(c);f[k>>2]=o;f[a+48>>2]=n;q=f[g>>2]|0;r=o}o=j+52|0;if((q|0)<3){q=f[o>>2]|0;f[r>>2]=f[q>>2];f[r+4>>2]=f[q+4>>2]}else{f[k>>2]=f[o>>2];k=j+48|0;f[a+48>>2]=f[k>>2];f[o>>2]=j+56;f[k>>2]=b}f[m>>2]=1124007936;m=g;g=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(g|0));b=a+64|0;if(!d){k=a+100|0;o=f[k>>2]|0;if(o|0?(q=o+12|0,o=f[q>>2]|0,f[q>>2]=o+-1,(o|0)==1):0)aU(b);f[k>>2]=0;o=a+80|0;q=a+68|0;f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;f[o+12>>2]=0;if((f[q>>2]|0)>0){r=f[a+104>>2]|0;n=0;do{f[r+(n<<2)>>2]=0;n=n+1|0}while((n|0)<(f[q>>2]|0))}n=j+64|0;f[b>>2]=f[n>>2];b=j+68|0;r=f[b>>2]|0;f[q>>2]=r;q=j+72|0;c=a+72|0;f[c>>2]=f[q>>2];f[a+76>>2]=f[j+76>>2];f[o>>2]=f[j+80>>2];f[a+84>>2]=f[j+84>>2];f[a+88>>2]=f[j+88>>2];f[a+92>>2]=f[j+92>>2];f[a+96>>2]=f[j+96>>2];f[k>>2]=f[j+100>>2];k=a+108|0;o=f[k>>2]|0;l=a+112|0;if((o|0)==(l|0)){s=r;t=o}else{TC(o);f[k>>2]=l;f[a+104>>2]=c;s=f[b>>2]|0;t=l}l=j+108|0;if((s|0)<3){s=f[l>>2]|0;f[t>>2]=f[s>>2];f[t+4>>2]=f[s+4>>2]}else{f[k>>2]=f[l>>2];k=j+104|0;f[a+104>>2]=f[k>>2];f[l>>2]=j+112;f[k>>2]=q}f[n>>2]=1124007936;m=b;g=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(g|0));b=a+120|0;if(!d){d=a+156|0;n=f[d>>2]|0;if(n|0?(q=n+12|0,n=f[q>>2]|0,f[q>>2]=n+-1,(n|0)==1):0)aU(b);f[d>>2]=0;n=a+136|0;q=a+124|0;f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;f[n+12>>2]=0;if((f[q>>2]|0)>0){k=f[a+160>>2]|0;l=0;do{f[k+(l<<2)>>2]=0;l=l+1|0}while((l|0)<(f[q>>2]|0))}l=j+120|0;f[b>>2]=f[l>>2];b=j+124|0;k=f[b>>2]|0;f[q>>2]=k;q=j+128|0;s=a+128|0;f[s>>2]=f[q>>2];f[a+132>>2]=f[j+132>>2];f[n>>2]=f[j+136>>2];f[a+140>>2]=f[j+140>>2];f[a+144>>2]=f[j+144>>2];f[a+148>>2]=f[j+148>>2];f[a+152>>2]=f[j+152>>2];f[d>>2]=f[j+156>>2];d=a+164|0;n=f[d>>2]|0;t=a+168|0;if((n|0)==(t|0)){v=k;w=n}else{TC(n);f[d>>2]=t;f[a+160>>2]=s;v=f[b>>2]|0;w=t}t=j+164|0;if((v|0)<3){v=f[t>>2]|0;f[w>>2]=f[v>>2];f[w+4>>2]=f[v+4>>2]}else{f[d>>2]=f[t>>2];d=j+160|0;f[a+160>>2]=f[d>>2];f[t>>2]=j+168;f[d>>2]=q}f[l>>2]=1124007936;m=b;g=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(g|0))}}}m=a+176|0;g=j+176|0;f[m>>2]=f[g>>2];f[m+4>>2]=f[g+4>>2];f[m+8>>2]=f[g+8>>2];f[m+12>>2]=f[g+12>>2];p[a+192>>3]=+p[j+192>>3];p[a+200>>3]=+p[j+200>>3];p[a+208>>3]=+p[j+208>>3];p[a+216>>3]=+p[j+216>>3];Xi(j);u=i;return}function mS(a){a=a|0;fuc(a);return}function nS(a,b){a=a|0;b=b|0;return 0}function oS(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0.0,s=0.0;a=u;u=u+128|0;e=a+64|0;g=a+48|0;h=a+32|0;i=a+16|0;j=a;f[e>>2]=1124007936;k=e+4|0;l=e+8|0;m=e+40|0;n=k;o=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(o|0));f[m>>2]=l;l=e+48|0;n=e+44|0;f[n>>2]=l;f[l>>2]=0;f[e+52>>2]=0;if((d|0)!=-1?(f[b+8>>2]&4095|0)!=(d|0):0)q=e;else q=c;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=b+8;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=b+64;r=+p[b+176>>3];f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=b+120;s=+p[b+184>>3];o=j+8|0;f[o>>2]=0;f[o+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=q;HQ(g,h,r,i,s,j,f[b+4>>2]|0);if((f[q+16>>2]|0)!=(f[c+16>>2]|0)){b=g+8|0;f[b>>2]=0;f[b+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=c;kQ(q,g,d,1.0,0.0)}d=e+36|0;g=f[d>>2]|0;if(g|0?(q=g+12|0,g=f[q>>2]|0,f[q>>2]=g+-1,(g|0)==1):0)aU(e);f[d>>2]=0;d=e+16|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[k>>2]|0)>0){d=f[m>>2]|0;m=0;do{f[d+(m<<2)>>2]=0;m=m+1|0}while((m|0)<(f[k>>2]|0))}k=f[n>>2]|0;if((k|0)==(l|0)){u=a;return}TC(k);u=a;return}function pS(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0.0,m=0.0,n=0.0,o=0;e=u;u=u+16|0;g=e;gV(g,39660);h=f[b>>2]|0;i=(h|0)==39232;j=f[c>>2]|0;k=(j|0)==39232;l=i?1.0:+p[b+176>>3];m=k?1.0:+p[c+176>>3];n=+p[b+184>>3];a:do if((h|0)!=39480|(f[b+136>>2]|0)!=0&n!=0.0)o=12;else{do if(!k){if((j|0)!=39476)if((j|0)==39472)break;else{o=12;break a}if(f[c+80>>2]|0?!(+p[c+184>>3]==0.0):0){o=12;break a}if(!(+p[c+192>>3]==0.0)){o=12;break a}if(!(+p[c+200>>3]==0.0)){o=12;break a}if(!(+p[c+208>>3]==0.0)){o=12;break a}if(!(+p[c+216>>3]==0.0)){o=12;break a}}while(0);lS(d,((j|0)==39472?4:0)|f[b+4>>2]&-5,b+8|0,b+64|0,l,c+8|0,m)}while(0);b:do if((o|0)==12){c:do if(!((j|0)!=39480|(f[c+136>>2]|0?+p[c+184>>3]!=0.0:0))){do if(!i){if((h|0)!=39476)if((h|0)==39472)break;else break c;if(!((f[b+80>>2]|0)==0|n==0.0))break c;if(!(+p[b+192>>3]==0.0))break c;if(!(+p[b+200>>3]==0.0))break c;if(!(+p[b+208>>3]==0.0))break c;if(!(+p[b+216>>3]==0.0))break c}while(0);lS(d,((h|0)==39472?4:0)|f[c+4>>2]&-5,c+8|0,c+64|0,m,b+8|0,l);break b}while(0);if((a|0)==(j|0)){MR(j,b,c,d);break}else{sh[f[(f[j>>2]|0)+52>>2]&255](j,b,c,d);break}}while(0);if(!(f[g+4>>2]|0)){u=e;return}u=e;return}function qS(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0.0,m=0.0,n=0.0,o=0;e=u;u=u+16|0;g=e;gV(g,39640);h=f[b>>2]|0;i=(h|0)==39232;j=f[c>>2]|0;k=(j|0)==39232;l=i?1.0:+p[b+176>>3];m=k?1.0:+p[c+176>>3];n=+p[b+184>>3];a:do if((h|0)!=39480|(f[b+136>>2]|0)!=0&n!=0.0)o=12;else{do if(!k){if((j|0)!=39476)if((j|0)==39472)break;else{o=12;break a}if(f[c+80>>2]|0?!(+p[c+184>>3]==0.0):0){o=12;break a}if(!(+p[c+192>>3]==0.0)){o=12;break a}if(!(+p[c+200>>3]==0.0)){o=12;break a}if(!(+p[c+208>>3]==0.0)){o=12;break a}if(!(+p[c+216>>3]==0.0)){o=12;break a}}while(0);lS(d,((j|0)==39472?4:0)|f[b+4>>2]&-5,b+8|0,b+64|0,l,c+8|0,-m)}while(0);b:do if((o|0)==12){c:do if(!((j|0)!=39480|(f[c+136>>2]|0?+p[c+184>>3]!=0.0:0))){do if(!i){if((h|0)!=39476)if((h|0)==39472)break;else break c;if(!((f[b+80>>2]|0)==0|n==0.0))break c;if(!(+p[b+192>>3]==0.0))break c;if(!(+p[b+200>>3]==0.0))break c;if(!(+p[b+208>>3]==0.0))break c;if(!(+p[b+216>>3]==0.0))break c}while(0);lS(d,((h|0)==39472?4:0)|f[c+4>>2]&-5,c+8|0,c+64|0,-m,b+8|0,l);break b}while(0);if((a|0)==(j|0)){OR(j,b,c,d);break}else{sh[f[(f[j>>2]|0)+60>>2]&255](j,b,c,d);break}}while(0);if(!(f[g+4>>2]|0)){u=e;return}u=e;return}function rS(a,b,c,d){a=a|0;b=b|0;c=+c;d=d|0;var e=0;a=u;u=u+16|0;e=a;gV(e,39620);tS(d,b)|0;b=d+176|0;p[b>>3]=+p[b>>3]*c;b=d+184|0;p[b>>3]=+p[b>>3]*c;if(!(f[e+4>>2]|0)){u=a;return}u=a;return}function sS(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;a=u;u=u+16|0;d=a;gV(d,39600);tS(c,b)|0;e=f[b+4>>2]|0;f[c+4>>2]=(e<<1&2|e&4|e>>>1&1)^7;AN(c+8|0,c+64|0);if(!(f[d+4>>2]|0)){u=a;return}u=a;return}function tS(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0;c=b;d=f[c+4>>2]|0;e=a;f[e>>2]=f[c>>2];f[e+4>>2]=d;d=a+8|0;e=b+8|0;c=(a|0)==(b|0);if(!c){g=b+44|0;h=f[g>>2]|0;if(h|0){i=h+12|0;f[i>>2]=(f[i>>2]|0)+1}i=a+44|0;h=f[i>>2]|0;if(h|0?(j=h+12|0,h=f[j>>2]|0,f[j>>2]=h+-1,(h|0)==1):0)aU(d);f[i>>2]=0;h=a+24|0;j=a+12|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;if((f[j>>2]|0)>0){k=f[a+48>>2]|0;l=0;do{f[k+(l<<2)>>2]=0;l=l+1|0;m=f[j>>2]|0}while((l|0)<(m|0));f[d>>2]=f[e>>2];if((m|0)<3)n=12;else n=14}else{f[d>>2]=f[e>>2];n=12}if((n|0)==12){m=f[b+12>>2]|0;if((m|0)<3){f[j>>2]=m;f[a+16>>2]=f[b+16>>2];f[a+20>>2]=f[b+20>>2];m=f[b+52>>2]|0;j=f[a+52>>2]|0;f[j>>2]=f[m>>2];f[j+4>>2]=f[m+4>>2]}else n=14}if((n|0)==14)$T(d,e);f[h>>2]=f[b+24>>2];f[a+28>>2]=f[b+28>>2];f[a+32>>2]=f[b+32>>2];f[a+36>>2]=f[b+36>>2];f[a+40>>2]=f[b+40>>2];f[i>>2]=f[g>>2];g=a+64|0;i=b+64|0;if(!c){h=b+100|0;e=f[h>>2]|0;if(e|0){d=e+12|0;f[d>>2]=(f[d>>2]|0)+1}d=a+100|0;e=f[d>>2]|0;if(e|0?(m=e+12|0,e=f[m>>2]|0,f[m>>2]=e+-1,(e|0)==1):0)aU(g);f[d>>2]=0;e=a+80|0;m=a+68|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((f[m>>2]|0)>0){j=f[a+104>>2]|0;l=0;do{f[j+(l<<2)>>2]=0;l=l+1|0;o=f[m>>2]|0}while((l|0)<(o|0));f[g>>2]=f[i>>2];if((o|0)<3)n=26;else n=28}else{f[g>>2]=f[i>>2];n=26}if((n|0)==26){o=f[b+68>>2]|0;if((o|0)<3){f[m>>2]=o;f[a+72>>2]=f[b+72>>2];f[a+76>>2]=f[b+76>>2];o=f[b+108>>2]|0;m=f[a+108>>2]|0;f[m>>2]=f[o>>2];f[m+4>>2]=f[o+4>>2]}else n=28}if((n|0)==28)$T(g,i);f[e>>2]=f[b+80>>2];f[a+84>>2]=f[b+84>>2];f[a+88>>2]=f[b+88>>2];f[a+92>>2]=f[b+92>>2];f[a+96>>2]=f[b+96>>2];f[d>>2]=f[h>>2];h=a+120|0;d=b+120|0;if(!c){c=b+156|0;e=f[c>>2]|0;if(e|0){i=e+12|0;f[i>>2]=(f[i>>2]|0)+1}i=a+156|0;e=f[i>>2]|0;if(e|0?(g=e+12|0,e=f[g>>2]|0,f[g>>2]=e+-1,(e|0)==1):0)aU(h);f[i>>2]=0;e=a+136|0;g=a+124|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((f[g>>2]|0)>0){o=f[a+160>>2]|0;m=0;do{f[o+(m<<2)>>2]=0;m=m+1|0;q=f[g>>2]|0}while((m|0)<(q|0));f[h>>2]=f[d>>2];if((q|0)<3)n=40;else n=42}else{f[h>>2]=f[d>>2];n=40}if((n|0)==40){q=f[b+124>>2]|0;if((q|0)<3){f[g>>2]=q;f[a+128>>2]=f[b+128>>2];f[a+132>>2]=f[b+132>>2];q=f[b+164>>2]|0;g=f[a+164>>2]|0;f[g>>2]=f[q>>2];f[g+4>>2]=f[q+4>>2]}else n=42}if((n|0)==42)$T(h,d);f[e>>2]=f[b+136>>2];f[a+140>>2]=f[b+140>>2];f[a+144>>2]=f[b+144>>2];f[a+148>>2]=f[b+148>>2];f[a+152>>2]=f[b+152>>2];f[i>>2]=f[c>>2]}}}c=a+176|0;i=b+176|0;f[c>>2]=f[i>>2];f[c+4>>2]=f[i+4>>2];f[c+8>>2]=f[i+8>>2];f[c+12>>2]=f[i+12>>2];p[a+192>>3]=+p[b+192>>3];p[a+200>>3]=+p[b+200>>3];p[a+208>>3]=+p[b+208>>3];p[a+216>>3]=+p[b+216>>3];return a|0}function uS(a){a=a|0;fuc(a);return}function vS(a,b){a=a|0;b=b|0;return 1}function wS(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0.0,s=0,t=0,v=0,w=0.0,x=0.0;a=u;u=u+112|0;e=a+48|0;g=a+32|0;h=a+16|0;i=a;f[e>>2]=1124007936;j=e+4|0;k=e+8|0;l=e+40|0;m=j;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));f[l>>2]=k;k=e+48|0;m=e+44|0;f[m>>2]=k;f[k>>2]=0;f[e+52>>2]=0;if((d|0)!=-1?(f[b+8>>2]&4095|0)!=(d|0):0)o=e;else o=c;n=b+64|0;q=b+192|0;a:do if(!(f[b+80>>2]|0)){do if((+p[b+200>>3]==0.0?+p[b+208>>3]==0.0:0)?+p[b+216>>3]==0.0:0){r=+p[b+176>>3];if((f[o+16>>2]|0)==(f[c+16>>2]|0)?!(+L(+r)!=1.0):0)break;s=g+8|0;f[s>>2]=0;f[s+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=c;kQ(b+8|0,g,d,r,+p[q>>3]);break a}while(0);r=+p[b+176>>3];if(r==1.0){f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=b+8;f[h>>2]=-1056833530;f[h+4>>2]=q;f[h+8>>2]=1;f[h+12>>2]=4;s=i+8|0;f[s>>2]=0;f[s+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=o;rW(g,h,i,sK()|0,-1);t=38;break}if(r==-1.0){f[g>>2]=-1056833530;f[g+4>>2]=q;f[g+8>>2]=1;f[g+12>>2]=4;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=b+8;s=i+8|0;f[s>>2]=0;f[s+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=o;HW(g,h,i,sK()|0,-1);t=38;break}else{s=b+8|0;v=g+8|0;f[v>>2]=0;f[v+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=o;kQ(s,g,f[s>>2]&4095,r,0.0);f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=o;f[h>>2]=-1056833530;f[h+4>>2]=q;f[h+8>>2]=1;f[h+12>>2]=4;s=i+8|0;f[s>>2]=0;f[s+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=o;rW(g,h,i,sK()|0,-1);t=38;break}}else{r=+p[q>>3];w=+p[b+200>>3];if(r==0.0&w==0.0?+p[b+208>>3]==0.0:0){if(w==0.0?+p[b+216>>3]!=0.0:0)t=9}else t=8;if((t|0)==8?w==0.0:0)t=9;if(((t|0)==9?+p[b+208>>3]==0.0:0)?+p[b+216>>3]==0.0:0){f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=b+8;w=+p[b+176>>3];f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=n;x=+p[b+184>>3];s=i+8|0;f[s>>2]=0;f[s+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=o;HX(g,w,h,x,r,i,-1);t=38;break}r=+p[b+176>>3];x=+p[b+184>>3];s=x==1.0;do if(r==1.0){if(s){f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=b+8;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=n;v=i+8|0;f[v>>2]=0;f[v+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=o;rW(g,h,i,sK()|0,-1);break}if(x==-1.0){f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=b+8;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=n;v=i+8|0;f[v>>2]=0;f[v+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=o;HW(g,h,i,sK()|0,-1);break}else{f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=n;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=b+8;v=i+8|0;f[v>>2]=0;f[v+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=o;_Q(g,x,h,i);break}}else{if(!s){f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=b+8;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=n;v=i+8|0;f[v>>2]=0;f[v+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=o;HX(g,r,h,x,0.0,i,-1);break}if(r==-1.0){f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=n;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=b+8;v=i+8|0;f[v>>2]=0;f[v+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=o;HW(g,h,i,sK()|0,-1);break}else{f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=b+8;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=n;v=i+8|0;f[v>>2]=0;f[v+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=o;_Q(g,r,h,i);break}}while(0);if((+p[b+200>>3]==0.0?+p[b+208>>3]==0.0:0)?+p[b+216>>3]==0.0:0){t=38;break}f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=o;f[h>>2]=-1056833530;f[h+4>>2]=q;f[h+8>>2]=1;f[h+12>>2]=4;s=i+8|0;f[s>>2]=0;f[s+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=o;rW(g,h,i,sK()|0,-1);t=38}while(0);if((t|0)==38?(f[o+16>>2]|0)!=(f[c+16>>2]|0):0){t=g+8|0;f[t>>2]=0;f[t+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=c;kQ(o,g,f[c>>2]&4095,1.0,0.0)}c=e+36|0;g=f[c>>2]|0;if(g|0?(o=g+12|0,g=f[o>>2]|0,f[o>>2]=g+-1,(g|0)==1):0)aU(e);f[c>>2]=0;c=e+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[j>>2]|0)>0){c=f[l>>2]|0;l=0;do{f[c+(l<<2)>>2]=0;l=l+1|0}while((l|0)<(f[j>>2]|0))}j=f[m>>2]|0;if((j|0)==(k|0)){u=a;return}TC(j);u=a;return}function xS(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;a=u;u=u+16|0;e=a;gV(e,40056);tS(d,b)|0;b=d+192|0;p[b>>3]=+p[c>>3]+ +p[b>>3];b=d+200|0;p[b>>3]=+p[c+8>>3]+ +p[b>>3];b=d+208|0;p[b>>3]=+p[c+16>>3]+ +p[b>>3];b=d+216|0;p[b>>3]=+p[c+24>>3]+ +p[b>>3];if(!(f[e+4>>2]|0)){u=a;return}u=a;return}function yS(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0.0,i=0,j=0.0,k=0,l=0.0;a=u;u=u+16|0;e=a;gV(e,40036);tS(d,c)|0;c=d+176|0;p[c>>3]=-+p[c>>3];c=d+184|0;p[c>>3]=-+p[c>>3];c=d+192|0;g=d+200|0;h=+p[b+8>>3]-+p[g>>3];i=d+208|0;j=+p[b+16>>3]-+p[i>>3];k=d+216|0;l=+p[b+24>>3]-+p[k>>3];p[c>>3]=+p[b>>3]-+p[c>>3];p[g>>3]=h;p[i>>3]=j;p[k>>3]=l;if(!(f[e+4>>2]|0)){u=a;return}u=a;return}function zS(a,b,c,d){a=a|0;b=b|0;c=+c;d=d|0;var e=0;a=u;u=u+16|0;e=a;gV(e,40016);tS(d,b)|0;b=d+176|0;p[b>>3]=+p[b>>3]*c;b=d+184|0;p[b>>3]=+p[b>>3]*c;b=d+192|0;p[b>>3]=+p[b>>3]*c;b=d+200|0;p[b>>3]=+p[b>>3]*c;b=d+208|0;p[b>>3]=+p[b>>3]*c;b=d+216|0;p[b>>3]=+p[b>>3]*c;if(!(f[e+4>>2]|0)){u=a;return}u=a;return}function AS(a,b,c,d){a=a|0;b=+b;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0;a=u;u=u+64|0;e=a+56|0;g=a;gV(e,39996);do if((f[c>>2]|0)==39476){if(f[c+80>>2]|0?!(+p[c+184>>3]==0.0):0){h=17;break}if(((+p[c+192>>3]==0.0?+p[c+200>>3]==0.0:0)?+p[c+208>>3]==0.0:0)?+p[c+216>>3]==0.0:0){f[g>>2]=1124007936;i=g+4|0;j=g+8|0;k=g+40|0;l=i;m=l+36|0;do{f[l>>2]=0;l=l+4|0}while((l|0)<(m|0));f[k>>2]=j;l=g+48|0;m=g+44|0;f[m>>2]=l;f[l>>2]=0;f[g+52>>2]=0;FS(d,47,c+8|0,g,b/+p[c+176>>3]);n=g+36|0;o=f[n>>2]|0;if(o|0?(q=o+12|0,o=f[q>>2]|0,f[q>>2]=o+-1,(o|0)==1):0)aU(g);f[n>>2]=0;n=g+16|0;f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;f[n+12>>2]=0;if((f[i>>2]|0)>0){n=f[k>>2]|0;o=0;do{f[n+(o<<2)>>2]=0;o=o+1|0}while((o|0)<(f[i>>2]|0))}i=f[m>>2]|0;if((i|0)!=(l|0))TC(i)}else h=17}else h=17;while(0);if((h|0)==17)TR(0,b,c,d);if(!(f[e+4>>2]|0)){u=a;return}u=a;return}function BS(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0.0,k=0.0,l=0.0,m=0.0;a=u;u=u+48|0;d=a+32|0;e=a;gV(d,39816);g=b+64|0;h=(f[b+80>>2]|0)==0;if(!h?!(+p[b+184>>3]==0.0):0)i=6;else i=3;do if((i|0)==3){j=+p[b+176>>3];if(!(+L(+j)==1.0))if(h){i=8;break}else{i=6;break}else{k=-(+p[b+200>>3]*j);l=-(+p[b+208>>3]*j);m=-(+p[b+216>>3]*j);p[e>>3]=-(+p[b+192>>3]*j);p[e+8>>3]=k;p[e+16>>3]=l;p[e+24>>3]=m;ES(c,97,b+8|0,e);break}}while(0);if((i|0)==6){m=+p[b+176>>3];l=+p[b+184>>3];if(m+l==0.0&m*l==-1.0)FS(c,97,b+8|0,g,1.0);else i=8}if((i|0)==8)UR(0,b,c);if(!(f[d+4>>2]|0)){u=a;return}u=a;return}function CS(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;a=u;u=u+16|0;d=a;gV(d,39796);do if((f[b>>2]|0)==39476){if(f[b+80>>2]|0?!(+p[b+184>>3]==0.0):0){e=9;break}if(((+p[b+192>>3]==0.0?+p[b+200>>3]==0.0:0)?+p[b+208>>3]==0.0:0)?+p[b+216>>3]==0.0:0)DS(c,b+8|0,+p[b+176>>3]);else e=9}else e=9;while(0);if((e|0)==9)VR(0,b,c);if(!(f[d+4>>2]|0)){u=a;return}u=a;return}function DS(a,b,c){a=a|0;b=b|0;c=+c;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;d=u;u=u+368|0;e=d+32|0;g=d+312|0;h=d+256|0;i=d;f[g>>2]=1124007936;j=g+4|0;k=g+8|0;l=g+40|0;m=j;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));f[l>>2]=k;k=g+48|0;o=g+44|0;f[o>>2]=k;f[k>>2]=0;f[g+52>>2]=0;f[h>>2]=1124007936;q=h+4|0;r=h+8|0;s=h+40|0;m=q;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));f[s>>2]=r;r=h+48|0;t=h+44|0;f[t>>2]=r;f[r>>2]=0;f[h+52>>2]=0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;f[i+16>>2]=0;f[i+20>>2]=0;f[i+24>>2]=0;f[i+28>>2]=0;$R(e,39472,0,b,g,h,c,0.0,i);i=e;b=f[i+4>>2]|0;v=a;f[v>>2]=f[i>>2];f[v+4>>2]=b;b=a+8|0;v=(e|0)==(a|0);if(!v){i=a+44|0;w=f[i>>2]|0;if(w|0?(x=w+12|0,w=f[x>>2]|0,f[x>>2]=w+-1,(w|0)==1):0)aU(b);f[i>>2]=0;w=a+24|0;x=a+12|0;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;f[w+12>>2]=0;if((f[x>>2]|0)>0){y=f[a+48>>2]|0;z=0;do{f[y+(z<<2)>>2]=0;z=z+1|0}while((z|0)<(f[x>>2]|0))}z=e+8|0;f[b>>2]=f[z>>2];b=e+12|0;y=f[b>>2]|0;f[x>>2]=y;x=e+16|0;A=a+16|0;f[A>>2]=f[x>>2];f[a+20>>2]=f[e+20>>2];f[w>>2]=f[e+24>>2];f[a+28>>2]=f[e+28>>2];f[a+32>>2]=f[e+32>>2];f[a+36>>2]=f[e+36>>2];f[a+40>>2]=f[e+40>>2];f[i>>2]=f[e+44>>2];i=a+52|0;w=f[i>>2]|0;B=a+56|0;if((w|0)==(B|0)){C=y;D=w}else{TC(w);f[i>>2]=B;f[a+48>>2]=A;C=f[b>>2]|0;D=B}B=e+52|0;if((C|0)<3){C=f[B>>2]|0;f[D>>2]=f[C>>2];f[D+4>>2]=f[C+4>>2]}else{f[i>>2]=f[B>>2];i=e+48|0;f[a+48>>2]=f[i>>2];f[B>>2]=e+56;f[i>>2]=x}f[z>>2]=1124007936;m=b;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));b=a+64|0;if(!v){z=a+100|0;x=f[z>>2]|0;if(x|0?(i=x+12|0,x=f[i>>2]|0,f[i>>2]=x+-1,(x|0)==1):0)aU(b);f[z>>2]=0;x=a+80|0;i=a+68|0;f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;f[x+12>>2]=0;if((f[i>>2]|0)>0){B=f[a+104>>2]|0;C=0;do{f[B+(C<<2)>>2]=0;C=C+1|0}while((C|0)<(f[i>>2]|0))}C=e+64|0;f[b>>2]=f[C>>2];b=e+68|0;B=f[b>>2]|0;f[i>>2]=B;i=e+72|0;D=a+72|0;f[D>>2]=f[i>>2];f[a+76>>2]=f[e+76>>2];f[x>>2]=f[e+80>>2];f[a+84>>2]=f[e+84>>2];f[a+88>>2]=f[e+88>>2];f[a+92>>2]=f[e+92>>2];f[a+96>>2]=f[e+96>>2];f[z>>2]=f[e+100>>2];z=a+108|0;x=f[z>>2]|0;A=a+112|0;if((x|0)==(A|0)){E=B;F=x}else{TC(x);f[z>>2]=A;f[a+104>>2]=D;E=f[b>>2]|0;F=A}A=e+108|0;if((E|0)<3){E=f[A>>2]|0;f[F>>2]=f[E>>2];f[F+4>>2]=f[E+4>>2]}else{f[z>>2]=f[A>>2];z=e+104|0;f[a+104>>2]=f[z>>2];f[A>>2]=e+112;f[z>>2]=i}f[C>>2]=1124007936;m=b;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));b=a+120|0;if(!v){v=a+156|0;C=f[v>>2]|0;if(C|0?(i=C+12|0,C=f[i>>2]|0,f[i>>2]=C+-1,(C|0)==1):0)aU(b);f[v>>2]=0;C=a+136|0;i=a+124|0;f[C>>2]=0;f[C+4>>2]=0;f[C+8>>2]=0;f[C+12>>2]=0;if((f[i>>2]|0)>0){z=f[a+160>>2]|0;A=0;do{f[z+(A<<2)>>2]=0;A=A+1|0}while((A|0)<(f[i>>2]|0))}A=e+120|0;f[b>>2]=f[A>>2];b=e+124|0;z=f[b>>2]|0;f[i>>2]=z;i=e+128|0;E=a+128|0;f[E>>2]=f[i>>2];f[a+132>>2]=f[e+132>>2];f[C>>2]=f[e+136>>2];f[a+140>>2]=f[e+140>>2];f[a+144>>2]=f[e+144>>2];f[a+148>>2]=f[e+148>>2];f[a+152>>2]=f[e+152>>2];f[v>>2]=f[e+156>>2];v=a+164|0;C=f[v>>2]|0;F=a+168|0;if((C|0)==(F|0)){G=z;H=C}else{TC(C);f[v>>2]=F;f[a+160>>2]=E;G=f[b>>2]|0;H=F}F=e+164|0;if((G|0)<3){G=f[F>>2]|0;f[H>>2]=f[G>>2];f[H+4>>2]=f[G+4>>2]}else{f[v>>2]=f[F>>2];v=e+160|0;f[a+160>>2]=f[v>>2];f[F>>2]=e+168;f[v>>2]=i}f[A>>2]=1124007936;m=b;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0))}}}m=a+176|0;n=e+176|0;f[m>>2]=f[n>>2];f[m+4>>2]=f[n+4>>2];f[m+8>>2]=f[n+8>>2];f[m+12>>2]=f[n+12>>2];p[a+192>>3]=+p[e+192>>3];p[a+200>>3]=+p[e+200>>3];p[a+208>>3]=+p[e+208>>3];p[a+216>>3]=+p[e+216>>3];Xi(e);e=h+36|0;a=f[e>>2]|0;if(a|0?(n=a+12|0,a=f[n>>2]|0,f[n>>2]=a+-1,(a|0)==1):0)aU(h);f[e>>2]=0;e=h+16|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((f[q>>2]|0)>0){e=f[s>>2]|0;s=0;do{f[e+(s<<2)>>2]=0;s=s+1|0}while((s|0)<(f[q>>2]|0))}q=f[t>>2]|0;if((q|0)!=(r|0))TC(q);q=g+36|0;r=f[q>>2]|0;if(r|0?(t=r+12|0,r=f[t>>2]|0,f[t>>2]=r+-1,(r|0)==1):0)aU(g);f[q>>2]=0;q=g+16|0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;f[q+12>>2]=0;if((f[j>>2]|0)>0){q=f[l>>2]|0;l=0;do{f[q+(l<<2)>>2]=0;l=l+1|0}while((l|0)<(f[j>>2]|0))}j=f[o>>2]|0;if((j|0)==(k|0)){u=d;return}TC(j);u=d;return}function ES(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;e=u;u=u+336|0;g=e;h=e+280|0;i=e+224|0;f[h>>2]=1124007936;j=h+4|0;k=h+8|0;l=h+40|0;m=j;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));f[l>>2]=k;k=h+48|0;o=h+44|0;f[o>>2]=k;f[k>>2]=0;f[h+52>>2]=0;f[i>>2]=1124007936;q=i+4|0;r=i+8|0;s=i+40|0;m=q;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));f[s>>2]=r;r=i+48|0;t=i+44|0;f[t>>2]=r;f[r>>2]=0;f[i+52>>2]=0;$R(g,39836,b<<24>>24,c,h,i,1.0,0.0,d);d=g;c=f[d+4>>2]|0;b=a;f[b>>2]=f[d>>2];f[b+4>>2]=c;c=a+8|0;b=(g|0)==(a|0);if(!b){d=a+44|0;v=f[d>>2]|0;if(v|0?(w=v+12|0,v=f[w>>2]|0,f[w>>2]=v+-1,(v|0)==1):0)aU(c);f[d>>2]=0;v=a+24|0;w=a+12|0;f[v>>2]=0;f[v+4>>2]=0;f[v+8>>2]=0;f[v+12>>2]=0;if((f[w>>2]|0)>0){x=f[a+48>>2]|0;y=0;do{f[x+(y<<2)>>2]=0;y=y+1|0}while((y|0)<(f[w>>2]|0))}y=g+8|0;f[c>>2]=f[y>>2];c=g+12|0;x=f[c>>2]|0;f[w>>2]=x;w=g+16|0;z=a+16|0;f[z>>2]=f[w>>2];f[a+20>>2]=f[g+20>>2];f[v>>2]=f[g+24>>2];f[a+28>>2]=f[g+28>>2];f[a+32>>2]=f[g+32>>2];f[a+36>>2]=f[g+36>>2];f[a+40>>2]=f[g+40>>2];f[d>>2]=f[g+44>>2];d=a+52|0;v=f[d>>2]|0;A=a+56|0;if((v|0)==(A|0)){B=x;C=v}else{TC(v);f[d>>2]=A;f[a+48>>2]=z;B=f[c>>2]|0;C=A}A=g+52|0;if((B|0)<3){B=f[A>>2]|0;f[C>>2]=f[B>>2];f[C+4>>2]=f[B+4>>2]}else{f[d>>2]=f[A>>2];d=g+48|0;f[a+48>>2]=f[d>>2];f[A>>2]=g+56;f[d>>2]=w}f[y>>2]=1124007936;m=c;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));c=a+64|0;if(!b){y=a+100|0;w=f[y>>2]|0;if(w|0?(d=w+12|0,w=f[d>>2]|0,f[d>>2]=w+-1,(w|0)==1):0)aU(c);f[y>>2]=0;w=a+80|0;d=a+68|0;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;f[w+12>>2]=0;if((f[d>>2]|0)>0){A=f[a+104>>2]|0;B=0;do{f[A+(B<<2)>>2]=0;B=B+1|0}while((B|0)<(f[d>>2]|0))}B=g+64|0;f[c>>2]=f[B>>2];c=g+68|0;A=f[c>>2]|0;f[d>>2]=A;d=g+72|0;C=a+72|0;f[C>>2]=f[d>>2];f[a+76>>2]=f[g+76>>2];f[w>>2]=f[g+80>>2];f[a+84>>2]=f[g+84>>2];f[a+88>>2]=f[g+88>>2];f[a+92>>2]=f[g+92>>2];f[a+96>>2]=f[g+96>>2];f[y>>2]=f[g+100>>2];y=a+108|0;w=f[y>>2]|0;z=a+112|0;if((w|0)==(z|0)){D=A;E=w}else{TC(w);f[y>>2]=z;f[a+104>>2]=C;D=f[c>>2]|0;E=z}z=g+108|0;if((D|0)<3){D=f[z>>2]|0;f[E>>2]=f[D>>2];f[E+4>>2]=f[D+4>>2]}else{f[y>>2]=f[z>>2];y=g+104|0;f[a+104>>2]=f[y>>2];f[z>>2]=g+112;f[y>>2]=d}f[B>>2]=1124007936;m=c;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));c=a+120|0;if(!b){b=a+156|0;B=f[b>>2]|0;if(B|0?(d=B+12|0,B=f[d>>2]|0,f[d>>2]=B+-1,(B|0)==1):0)aU(c);f[b>>2]=0;B=a+136|0;d=a+124|0;f[B>>2]=0;f[B+4>>2]=0;f[B+8>>2]=0;f[B+12>>2]=0;if((f[d>>2]|0)>0){y=f[a+160>>2]|0;z=0;do{f[y+(z<<2)>>2]=0;z=z+1|0}while((z|0)<(f[d>>2]|0))}z=g+120|0;f[c>>2]=f[z>>2];c=g+124|0;y=f[c>>2]|0;f[d>>2]=y;d=g+128|0;D=a+128|0;f[D>>2]=f[d>>2];f[a+132>>2]=f[g+132>>2];f[B>>2]=f[g+136>>2];f[a+140>>2]=f[g+140>>2];f[a+144>>2]=f[g+144>>2];f[a+148>>2]=f[g+148>>2];f[a+152>>2]=f[g+152>>2];f[b>>2]=f[g+156>>2];b=a+164|0;B=f[b>>2]|0;E=a+168|0;if((B|0)==(E|0)){F=y;G=B}else{TC(B);f[b>>2]=E;f[a+160>>2]=D;F=f[c>>2]|0;G=E}E=g+164|0;if((F|0)<3){F=f[E>>2]|0;f[G>>2]=f[F>>2];f[G+4>>2]=f[F+4>>2]}else{f[b>>2]=f[E>>2];b=g+160|0;f[a+160>>2]=f[b>>2];f[E>>2]=g+168;f[b>>2]=d}f[z>>2]=1124007936;m=c;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0))}}}m=a+176|0;n=g+176|0;f[m>>2]=f[n>>2];f[m+4>>2]=f[n+4>>2];f[m+8>>2]=f[n+8>>2];f[m+12>>2]=f[n+12>>2];p[a+192>>3]=+p[g+192>>3];p[a+200>>3]=+p[g+200>>3];p[a+208>>3]=+p[g+208>>3];p[a+216>>3]=+p[g+216>>3];Xi(g);g=i+36|0;a=f[g>>2]|0;if(a|0?(n=a+12|0,a=f[n>>2]|0,f[n>>2]=a+-1,(a|0)==1):0)aU(i);f[g>>2]=0;g=i+16|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;if((f[q>>2]|0)>0){g=f[s>>2]|0;s=0;do{f[g+(s<<2)>>2]=0;s=s+1|0}while((s|0)<(f[q>>2]|0))}q=f[t>>2]|0;if((q|0)!=(r|0))TC(q);q=h+36|0;r=f[q>>2]|0;if(r|0?(t=r+12|0,r=f[t>>2]|0,f[t>>2]=r+-1,(r|0)==1):0)aU(h);f[q>>2]=0;q=h+16|0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;f[q+12>>2]=0;if((f[j>>2]|0)>0){q=f[l>>2]|0;l=0;do{f[q+(l<<2)>>2]=0;l=l+1|0}while((l|0)<(f[j>>2]|0))}j=f[o>>2]|0;if((j|0)==(k|0)){u=e;return}TC(j);u=e;return}function FS(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;g=u;u=u+320|0;h=g+32|0;i=g+256|0;j=g;f[i>>2]=1124007936;k=i+4|0;l=i+8|0;m=i+40|0;n=k;o=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(o|0));f[m>>2]=l;l=i+48|0;q=i+44|0;f[q>>2]=l;f[l>>2]=0;f[i+52>>2]=0;r=f[d+16>>2]|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;f[j+16>>2]=0;f[j+20>>2]=0;f[j+24>>2]=0;f[j+28>>2]=0;$R(h,39836,b<<24>>24,c,d,i,e,+((r|0)!=0&1),j);j=h;r=f[j+4>>2]|0;d=a;f[d>>2]=f[j>>2];f[d+4>>2]=r;r=a+8|0;d=(h|0)==(a|0);if(!d){j=a+44|0;c=f[j>>2]|0;if(c|0?(b=c+12|0,c=f[b>>2]|0,f[b>>2]=c+-1,(c|0)==1):0)aU(r);f[j>>2]=0;c=a+24|0;b=a+12|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){s=f[a+48>>2]|0;t=0;do{f[s+(t<<2)>>2]=0;t=t+1|0}while((t|0)<(f[b>>2]|0))}t=h+8|0;f[r>>2]=f[t>>2];r=h+12|0;s=f[r>>2]|0;f[b>>2]=s;b=h+16|0;v=a+16|0;f[v>>2]=f[b>>2];f[a+20>>2]=f[h+20>>2];f[c>>2]=f[h+24>>2];f[a+28>>2]=f[h+28>>2];f[a+32>>2]=f[h+32>>2];f[a+36>>2]=f[h+36>>2];f[a+40>>2]=f[h+40>>2];f[j>>2]=f[h+44>>2];j=a+52|0;c=f[j>>2]|0;w=a+56|0;if((c|0)==(w|0)){x=s;y=c}else{TC(c);f[j>>2]=w;f[a+48>>2]=v;x=f[r>>2]|0;y=w}w=h+52|0;if((x|0)<3){x=f[w>>2]|0;f[y>>2]=f[x>>2];f[y+4>>2]=f[x+4>>2]}else{f[j>>2]=f[w>>2];j=h+48|0;f[a+48>>2]=f[j>>2];f[w>>2]=h+56;f[j>>2]=b}f[t>>2]=1124007936;n=r;o=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(o|0));r=a+64|0;if(!d){t=a+100|0;b=f[t>>2]|0;if(b|0?(j=b+12|0,b=f[j>>2]|0,f[j>>2]=b+-1,(b|0)==1):0)aU(r);f[t>>2]=0;b=a+80|0;j=a+68|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;if((f[j>>2]|0)>0){w=f[a+104>>2]|0;x=0;do{f[w+(x<<2)>>2]=0;x=x+1|0}while((x|0)<(f[j>>2]|0))}x=h+64|0;f[r>>2]=f[x>>2];r=h+68|0;w=f[r>>2]|0;f[j>>2]=w;j=h+72|0;y=a+72|0;f[y>>2]=f[j>>2];f[a+76>>2]=f[h+76>>2];f[b>>2]=f[h+80>>2];f[a+84>>2]=f[h+84>>2];f[a+88>>2]=f[h+88>>2];f[a+92>>2]=f[h+92>>2];f[a+96>>2]=f[h+96>>2];f[t>>2]=f[h+100>>2];t=a+108|0;b=f[t>>2]|0;v=a+112|0;if((b|0)==(v|0)){z=w;A=b}else{TC(b);f[t>>2]=v;f[a+104>>2]=y;z=f[r>>2]|0;A=v}v=h+108|0;if((z|0)<3){z=f[v>>2]|0;f[A>>2]=f[z>>2];f[A+4>>2]=f[z+4>>2]}else{f[t>>2]=f[v>>2];t=h+104|0;f[a+104>>2]=f[t>>2];f[v>>2]=h+112;f[t>>2]=j}f[x>>2]=1124007936;n=r;o=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(o|0));r=a+120|0;if(!d){d=a+156|0;x=f[d>>2]|0;if(x|0?(j=x+12|0,x=f[j>>2]|0,f[j>>2]=x+-1,(x|0)==1):0)aU(r);f[d>>2]=0;x=a+136|0;j=a+124|0;f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;f[x+12>>2]=0;if((f[j>>2]|0)>0){t=f[a+160>>2]|0;v=0;do{f[t+(v<<2)>>2]=0;v=v+1|0}while((v|0)<(f[j>>2]|0))}v=h+120|0;f[r>>2]=f[v>>2];r=h+124|0;t=f[r>>2]|0;f[j>>2]=t;j=h+128|0;z=a+128|0;f[z>>2]=f[j>>2];f[a+132>>2]=f[h+132>>2];f[x>>2]=f[h+136>>2];f[a+140>>2]=f[h+140>>2];f[a+144>>2]=f[h+144>>2];f[a+148>>2]=f[h+148>>2];f[a+152>>2]=f[h+152>>2];f[d>>2]=f[h+156>>2];d=a+164|0;x=f[d>>2]|0;A=a+168|0;if((x|0)==(A|0)){B=t;C=x}else{TC(x);f[d>>2]=A;f[a+160>>2]=z;B=f[r>>2]|0;C=A}A=h+164|0;if((B|0)<3){B=f[A>>2]|0;f[C>>2]=f[B>>2];f[C+4>>2]=f[B+4>>2]}else{f[d>>2]=f[A>>2];d=h+160|0;f[a+160>>2]=f[d>>2];f[A>>2]=h+168;f[d>>2]=j}f[v>>2]=1124007936;n=r;o=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(o|0))}}}n=a+176|0;o=h+176|0;f[n>>2]=f[o>>2];f[n+4>>2]=f[o+4>>2];f[n+8>>2]=f[o+8>>2];f[n+12>>2]=f[o+12>>2];p[a+192>>3]=+p[h+192>>3];p[a+200>>3]=+p[h+200>>3];p[a+208>>3]=+p[h+208>>3];p[a+216>>3]=+p[h+216>>3];Xi(h);h=i+36|0;a=f[h>>2]|0;if(a|0?(o=a+12|0,a=f[o>>2]|0,f[o>>2]=a+-1,(a|0)==1):0)aU(i);f[h>>2]=0;h=i+16|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;if((f[k>>2]|0)>0){h=f[m>>2]|0;m=0;do{f[h+(m<<2)>>2]=0;m=m+1|0}while((m|0)<(f[k>>2]|0))}k=f[q>>2]|0;if((k|0)==(l|0)){u=g;return}TC(k);u=g;return}function GS(a){a=a|0;fuc(a);return}function HS(a,b){a=a|0;b=b|0;return 1}function IS(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0.0,v=0,w=0,x=0,y=0,z=0;a=u;u=u+112|0;g=a+48|0;h=a+32|0;i=a+16|0;j=a;f[g>>2]=1124007936;k=g+4|0;l=g+8|0;m=g+40|0;n=k;o=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(o|0));f[m>>2]=l;l=g+48|0;q=g+44|0;f[q>>2]=l;f[l>>2]=0;f[g+52>>2]=0;if((e|0)!=-1?(f[c+8>>2]&4095|0)!=(e|0):0)r=g;else r=d;a:do switch(f[c+4>>2]|0){case 42:{f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=c+8;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=c+64;s=j+8|0;f[s>>2]=0;f[s+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=r;jX(h,i,j,+p[c+176>>3],-1);break}case 47:{if(!(f[c+80>>2]|0)){t=+p[c+176>>3];f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=c+8;s=i+8|0;f[s>>2]=0;f[s+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=r;zX(t,h,i,-1);break a}else{f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=c+8;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=c+64;s=j+8|0;f[s>>2]=0;f[s+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=r;rX(h,i,j,+p[c+176>>3],-1);break a}break}case 38:{if(!(f[c+80>>2]|0)){f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=c+8;f[i>>2]=-1056833530;f[i+4>>2]=c+192;f[i+8>>2]=1;f[i+12>>2]=4;s=j+8|0;f[s>>2]=0;f[s+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=r;BV(h,i,j,sK()|0);break a}else{f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=c+8;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=c+64;s=j+8|0;f[s>>2]=0;f[s+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=r;BV(h,i,j,sK()|0);break a}break}case 124:{if(!(f[c+80>>2]|0)){f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=c+8;f[i>>2]=-1056833530;f[i+4>>2]=c+192;f[i+8>>2]=1;f[i+12>>2]=4;s=j+8|0;f[s>>2]=0;f[s+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=r;FV(h,i,j,sK()|0);break a}else{f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=c+8;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=c+64;s=j+8|0;f[s>>2]=0;f[s+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=r;FV(h,i,j,sK()|0);break a}break}case 94:{if(!(f[c+80>>2]|0)){f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=c+8;f[i>>2]=-1056833530;f[i+4>>2]=c+192;f[i+8>>2]=1;f[i+12>>2]=4;s=j+8|0;f[s>>2]=0;f[s+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=r;IV(h,i,j,sK()|0);break a}else{f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=c+8;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=c+64;s=j+8|0;f[s>>2]=0;f[s+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=r;IV(h,i,j,sK()|0);break a}break}case 126:{if(!(f[c+80>>2]|0)){f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=c+8;s=i+8|0;f[s>>2]=0;f[s+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=r;LV(h,i,sK()|0);break a}else{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;v=cuc(32)|0;f[h>>2]=v;w=h+8|0;f[w>>2]=-2147483616;x=h+4|0;f[x>>2]=17;n=v;y=215733;o=n+17|0;do{b[n>>0]=b[y>>0]|0;n=n+1|0;y=y+1|0}while((n|0)<(o|0));z=v+17|0;b[z>>0]=0;WD(-2,h,215046,214912,1371)}break}case 109:{qW(c+8|0,c+64|0,r);break}case 110:{f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=c+8;f[i>>2]=-1056833530;f[i+4>>2]=c+192;f[i+8>>2]=1;f[i+12>>2]=1;s=j+8|0;f[s>>2]=0;f[s+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=r;aW(h,i,j);break}case 77:{pW(c+8|0,c+64|0,r);break}case 78:{f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=c+8;f[i>>2]=-1056833530;f[i+4>>2]=c+192;f[i+8>>2]=1;f[i+12>>2]=1;s=j+8|0;f[s>>2]=0;f[s+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=r;NV(h,i,j);break}case 97:{if(f[c+80>>2]|0){f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=c+8;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=c+64;s=j+8|0;f[s>>2]=0;f[s+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=r;WW(h,i,j);break a}if(!(f[c+80>>2]|0)){f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=c+8;f[i>>2]=-1056833530;f[i+4>>2]=c+192;f[i+8>>2]=1;f[i+12>>2]=4;s=j+8|0;f[s>>2]=0;f[s+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=r;WW(h,i,j);break a}else{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;v=cuc(32)|0;f[h>>2]=v;w=h+8|0;f[w>>2]=-2147483616;x=h+4|0;f[x>>2]=17;n=v;y=215733;o=n+17|0;do{b[n>>0]=b[y>>0]|0;n=n+1|0;y=y+1|0}while((n|0)<(o|0));z=v+17|0;b[z>>0]=0;WD(-2,h,215046,214912,1371)}break}default:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;v=cuc(32)|0;f[h>>2]=v;w=h+8|0;f[w>>2]=-2147483616;x=h+4|0;f[x>>2]=17;n=v;y=215733;o=n+17|0;do{b[n>>0]=b[y>>0]|0;n=n+1|0;y=y+1|0}while((n|0)<(o|0));z=v+17|0;b[z>>0]=0;WD(-2,h,215046,214912,1371)}}while(0);if((f[r+16>>2]|0)!=(f[d+16>>2]|0)){z=h+8|0;f[z>>2]=0;f[z+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=d;kQ(r,h,e,1.0,0.0)}e=g+36|0;h=f[e>>2]|0;if(h|0?(r=h+12|0,h=f[r>>2]|0,f[r>>2]=h+-1,(h|0)==1):0)aU(g);f[e>>2]=0;e=g+16|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((f[k>>2]|0)>0){e=f[m>>2]|0;m=0;do{f[e+(m<<2)>>2]=0;m=m+1|0}while((m|0)<(f[k>>2]|0))}k=f[q>>2]|0;if((k|0)==(l|0)){u=a;return}TC(k);u=a;return}function JS(a,b,c,d){a=a|0;b=b|0;c=+c;d=d|0;var e=0,g=0;a=u;u=u+16|0;e=a;gV(e,39976);switch(f[b+4>>2]|0){case 47:case 42:{tS(d,b)|0;g=d+176|0;p[g>>3]=+p[g>>3]*c;break}default:RR(0,b,c,d)}if(!(f[e+4>>2]|0)){u=a;return}u=a;return}function KS(a,b,c,d){a=a|0;b=+b;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0.0,r=0,s=0,t=0;a=u;u=u+96|0;e=a+88|0;g=a+32|0;h=a;gV(e,39956);do if((f[c+4>>2]|0)==47){if(f[c+80>>2]|0?!(+p[c+184>>3]==0.0):0){i=13;break}j=c+8|0;f[g>>2]=1124007936;k=g+4|0;l=g+8|0;m=g+40|0;n=k;o=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(o|0));f[m>>2]=l;n=g+48|0;o=g+44|0;f[o>>2]=n;f[n>>2]=0;f[g+52>>2]=0;q=+p[c+176>>3];f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;f[h+16>>2]=0;f[h+20>>2]=0;f[h+24>>2]=0;f[h+28>>2]=0;LS(d,j,g,b/q,0.0,h);r=g+36|0;s=f[r>>2]|0;if(s|0?(t=s+12|0,s=f[t>>2]|0,f[t>>2]=s+-1,(s|0)==1):0)aU(g);f[r>>2]=0;r=g+16|0;f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;f[r+12>>2]=0;if((f[k>>2]|0)>0){r=f[m>>2]|0;s=0;do{f[r+(s<<2)>>2]=0;s=s+1|0}while((s|0)<(f[k>>2]|0))}k=f[o>>2]|0;if((k|0)!=(n|0))TC(k)}else i=13;while(0);if((i|0)==13)TR(0,b,c,d);if(!(f[e+4>>2]|0)){u=a;return}u=a;return}function LS(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=+d;e=+e;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0;h=u;u=u+288|0;i=h;j=h+224|0;f[j>>2]=1124007936;k=j+4|0;l=j+8|0;m=j+40|0;n=k;o=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(o|0));f[m>>2]=l;l=j+48|0;q=j+44|0;f[q>>2]=l;f[l>>2]=0;f[j+52>>2]=0;$R(i,39476,0,b,c,j,d,e,g);g=i;c=f[g+4>>2]|0;b=a;f[b>>2]=f[g>>2];f[b+4>>2]=c;c=a+8|0;b=(i|0)==(a|0);if(!b){g=a+44|0;r=f[g>>2]|0;if(r|0?(s=r+12|0,r=f[s>>2]|0,f[s>>2]=r+-1,(r|0)==1):0)aU(c);f[g>>2]=0;r=a+24|0;s=a+12|0;f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;f[r+12>>2]=0;if((f[s>>2]|0)>0){t=f[a+48>>2]|0;v=0;do{f[t+(v<<2)>>2]=0;v=v+1|0}while((v|0)<(f[s>>2]|0))}v=i+8|0;f[c>>2]=f[v>>2];c=i+12|0;t=f[c>>2]|0;f[s>>2]=t;s=i+16|0;w=a+16|0;f[w>>2]=f[s>>2];f[a+20>>2]=f[i+20>>2];f[r>>2]=f[i+24>>2];f[a+28>>2]=f[i+28>>2];f[a+32>>2]=f[i+32>>2];f[a+36>>2]=f[i+36>>2];f[a+40>>2]=f[i+40>>2];f[g>>2]=f[i+44>>2];g=a+52|0;r=f[g>>2]|0;x=a+56|0;if((r|0)==(x|0)){y=t;z=r}else{TC(r);f[g>>2]=x;f[a+48>>2]=w;y=f[c>>2]|0;z=x}x=i+52|0;if((y|0)<3){y=f[x>>2]|0;f[z>>2]=f[y>>2];f[z+4>>2]=f[y+4>>2]}else{f[g>>2]=f[x>>2];g=i+48|0;f[a+48>>2]=f[g>>2];f[x>>2]=i+56;f[g>>2]=s}f[v>>2]=1124007936;n=c;o=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(o|0));c=a+64|0;if(!b){v=a+100|0;s=f[v>>2]|0;if(s|0?(g=s+12|0,s=f[g>>2]|0,f[g>>2]=s+-1,(s|0)==1):0)aU(c);f[v>>2]=0;s=a+80|0;g=a+68|0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;if((f[g>>2]|0)>0){x=f[a+104>>2]|0;y=0;do{f[x+(y<<2)>>2]=0;y=y+1|0}while((y|0)<(f[g>>2]|0))}y=i+64|0;f[c>>2]=f[y>>2];c=i+68|0;x=f[c>>2]|0;f[g>>2]=x;g=i+72|0;z=a+72|0;f[z>>2]=f[g>>2];f[a+76>>2]=f[i+76>>2];f[s>>2]=f[i+80>>2];f[a+84>>2]=f[i+84>>2];f[a+88>>2]=f[i+88>>2];f[a+92>>2]=f[i+92>>2];f[a+96>>2]=f[i+96>>2];f[v>>2]=f[i+100>>2];v=a+108|0;s=f[v>>2]|0;w=a+112|0;if((s|0)==(w|0)){A=x;B=s}else{TC(s);f[v>>2]=w;f[a+104>>2]=z;A=f[c>>2]|0;B=w}w=i+108|0;if((A|0)<3){A=f[w>>2]|0;f[B>>2]=f[A>>2];f[B+4>>2]=f[A+4>>2]}else{f[v>>2]=f[w>>2];v=i+104|0;f[a+104>>2]=f[v>>2];f[w>>2]=i+112;f[v>>2]=g}f[y>>2]=1124007936;n=c;o=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(o|0));c=a+120|0;if(!b){b=a+156|0;y=f[b>>2]|0;if(y|0?(g=y+12|0,y=f[g>>2]|0,f[g>>2]=y+-1,(y|0)==1):0)aU(c);f[b>>2]=0;y=a+136|0;g=a+124|0;f[y>>2]=0;f[y+4>>2]=0;f[y+8>>2]=0;f[y+12>>2]=0;if((f[g>>2]|0)>0){v=f[a+160>>2]|0;w=0;do{f[v+(w<<2)>>2]=0;w=w+1|0}while((w|0)<(f[g>>2]|0))}w=i+120|0;f[c>>2]=f[w>>2];c=i+124|0;v=f[c>>2]|0;f[g>>2]=v;g=i+128|0;A=a+128|0;f[A>>2]=f[g>>2];f[a+132>>2]=f[i+132>>2];f[y>>2]=f[i+136>>2];f[a+140>>2]=f[i+140>>2];f[a+144>>2]=f[i+144>>2];f[a+148>>2]=f[i+148>>2];f[a+152>>2]=f[i+152>>2];f[b>>2]=f[i+156>>2];b=a+164|0;y=f[b>>2]|0;B=a+168|0;if((y|0)==(B|0)){C=v;D=y}else{TC(y);f[b>>2]=B;f[a+160>>2]=A;C=f[c>>2]|0;D=B}B=i+164|0;if((C|0)<3){C=f[B>>2]|0;f[D>>2]=f[C>>2];f[D+4>>2]=f[C+4>>2]}else{f[b>>2]=f[B>>2];b=i+160|0;f[a+160>>2]=f[b>>2];f[B>>2]=i+168;f[b>>2]=g}f[w>>2]=1124007936;n=c;o=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(o|0))}}}n=a+176|0;o=i+176|0;f[n>>2]=f[o>>2];f[n+4>>2]=f[o+4>>2];f[n+8>>2]=f[o+8>>2];f[n+12>>2]=f[o+12>>2];p[a+192>>3]=+p[i+192>>3];p[a+200>>3]=+p[i+200>>3];p[a+208>>3]=+p[i+208>>3];p[a+216>>3]=+p[i+216>>3];Xi(i);i=j+36|0;a=f[i>>2]|0;if(a|0?(o=a+12|0,a=f[o>>2]|0,f[o>>2]=a+-1,(a|0)==1):0)aU(j);f[i>>2]=0;i=j+16|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;if((f[k>>2]|0)>0){i=f[m>>2]|0;m=0;do{f[i+(m<<2)>>2]=0;m=m+1|0}while((m|0)<(f[k>>2]|0))}k=f[q>>2]|0;if((k|0)==(l|0)){u=h;return}TC(k);u=h;return}function MS(a){a=a|0;fuc(a);return}function NS(a,b){a=a|0;b=b|0;return 0}function OS(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0.0;a=u;u=u+96|0;e=a+32|0;g=a+16|0;h=a;f[e>>2]=1124007936;i=e+4|0;j=e+8|0;k=e+40|0;l=i;m=l+36|0;do{f[l>>2]=0;l=l+4|0}while((l|0)<(m|0));f[k>>2]=j;j=e+48|0;l=e+44|0;f[l>>2]=j;f[j>>2]=0;f[e+52>>2]=0;if((d|0)!=-1?(f[b+8>>2]&4095|0)!=(d|0):0)n=e;else n=c;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=b+8;m=h+8|0;f[m>>2]=0;f[m+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=n;HN(g,h);o=+p[b+176>>3];if(o!=1.0?1:(f[n+16>>2]|0)!=(f[c+16>>2]|0)){b=g+8|0;f[b>>2]=0;f[b+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=c;kQ(n,g,d,o,0.0)}d=e+36|0;g=f[d>>2]|0;if(g|0?(n=g+12|0,g=f[n>>2]|0,f[n>>2]=g+-1,(g|0)==1):0)aU(e);f[d>>2]=0;d=e+16|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[i>>2]|0)>0){d=f[k>>2]|0;k=0;do{f[d+(k<<2)>>2]=0;k=k+1|0}while((k|0)<(f[i>>2]|0))}i=f[l>>2]|0;if((i|0)==(j|0)){u=a;return}TC(i);u=a;return}function PS(a,b,c,d){a=a|0;b=b|0;c=+c;d=d|0;var e=0;a=u;u=u+16|0;e=a;gV(e,40212);tS(d,b)|0;b=d+176|0;p[b>>3]=+p[b>>3]*c;if(!(f[e+4>>2]|0)){u=a;return}u=a;return}function QS(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0.0,i=0,j=0,k=0,l=0,m=0,n=0;a=u;u=u+96|0;d=a+88|0;e=a+32|0;g=a;gV(d,40192);h=+p[b+176>>3];i=b+8|0;if(!(h==1.0)){f[e>>2]=1124007936;b=e+4|0;j=e+8|0;k=e+40|0;l=b;m=l+36|0;do{f[l>>2]=0;l=l+4|0}while((l|0)<(m|0));f[k>>2]=j;j=e+48|0;l=e+44|0;f[l>>2]=j;f[j>>2]=0;f[e+52>>2]=0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;f[g+16>>2]=0;f[g+20>>2]=0;f[g+24>>2]=0;f[g+28>>2]=0;LS(c,i,e,h,0.0,g);g=e+36|0;m=f[g>>2]|0;if(m|0?(n=m+12|0,m=f[n>>2]|0,f[n>>2]=m+-1,(m|0)==1):0)aU(e);f[g>>2]=0;g=e+16|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;if((f[b>>2]|0)>0){g=f[k>>2]|0;k=0;do{f[g+(k<<2)>>2]=0;k=k+1|0}while((k|0)<(f[b>>2]|0))}b=f[l>>2]|0;if((b|0)!=(j|0))TC(b)}else RS(c,i);if(!(f[d+4>>2]|0)){u=a;return}u=a;return}function RS(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;c=u;u=u+368|0;d=c+32|0;e=c+312|0;g=c+256|0;h=c;f[e>>2]=1124007936;i=e+4|0;j=e+8|0;k=e+40|0;l=i;m=l+36|0;do{f[l>>2]=0;l=l+4|0}while((l|0)<(m|0));f[k>>2]=j;j=e+48|0;n=e+44|0;f[n>>2]=j;f[j>>2]=0;f[e+52>>2]=0;f[g>>2]=1124007936;o=g+4|0;q=g+8|0;r=g+40|0;l=o;m=l+36|0;do{f[l>>2]=0;l=l+4|0}while((l|0)<(m|0));f[r>>2]=q;q=g+48|0;s=g+44|0;f[s>>2]=q;f[q>>2]=0;f[g+52>>2]=0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;f[h+16>>2]=0;f[h+20>>2]=0;f[h+24>>2]=0;f[h+28>>2]=0;$R(d,39232,0,b,e,g,1.0,0.0,h);h=d;b=f[h+4>>2]|0;t=a;f[t>>2]=f[h>>2];f[t+4>>2]=b;b=a+8|0;t=(d|0)==(a|0);if(!t){h=a+44|0;v=f[h>>2]|0;if(v|0?(w=v+12|0,v=f[w>>2]|0,f[w>>2]=v+-1,(v|0)==1):0)aU(b);f[h>>2]=0;v=a+24|0;w=a+12|0;f[v>>2]=0;f[v+4>>2]=0;f[v+8>>2]=0;f[v+12>>2]=0;if((f[w>>2]|0)>0){x=f[a+48>>2]|0;y=0;do{f[x+(y<<2)>>2]=0;y=y+1|0}while((y|0)<(f[w>>2]|0))}y=d+8|0;f[b>>2]=f[y>>2];b=d+12|0;x=f[b>>2]|0;f[w>>2]=x;w=d+16|0;z=a+16|0;f[z>>2]=f[w>>2];f[a+20>>2]=f[d+20>>2];f[v>>2]=f[d+24>>2];f[a+28>>2]=f[d+28>>2];f[a+32>>2]=f[d+32>>2];f[a+36>>2]=f[d+36>>2];f[a+40>>2]=f[d+40>>2];f[h>>2]=f[d+44>>2];h=a+52|0;v=f[h>>2]|0;A=a+56|0;if((v|0)==(A|0)){B=x;C=v}else{TC(v);f[h>>2]=A;f[a+48>>2]=z;B=f[b>>2]|0;C=A}A=d+52|0;if((B|0)<3){B=f[A>>2]|0;f[C>>2]=f[B>>2];f[C+4>>2]=f[B+4>>2]}else{f[h>>2]=f[A>>2];h=d+48|0;f[a+48>>2]=f[h>>2];f[A>>2]=d+56;f[h>>2]=w}f[y>>2]=1124007936;l=b;m=l+36|0;do{f[l>>2]=0;l=l+4|0}while((l|0)<(m|0));b=a+64|0;if(!t){y=a+100|0;w=f[y>>2]|0;if(w|0?(h=w+12|0,w=f[h>>2]|0,f[h>>2]=w+-1,(w|0)==1):0)aU(b);f[y>>2]=0;w=a+80|0;h=a+68|0;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;f[w+12>>2]=0;if((f[h>>2]|0)>0){A=f[a+104>>2]|0;B=0;do{f[A+(B<<2)>>2]=0;B=B+1|0}while((B|0)<(f[h>>2]|0))}B=d+64|0;f[b>>2]=f[B>>2];b=d+68|0;A=f[b>>2]|0;f[h>>2]=A;h=d+72|0;C=a+72|0;f[C>>2]=f[h>>2];f[a+76>>2]=f[d+76>>2];f[w>>2]=f[d+80>>2];f[a+84>>2]=f[d+84>>2];f[a+88>>2]=f[d+88>>2];f[a+92>>2]=f[d+92>>2];f[a+96>>2]=f[d+96>>2];f[y>>2]=f[d+100>>2];y=a+108|0;w=f[y>>2]|0;z=a+112|0;if((w|0)==(z|0)){D=A;E=w}else{TC(w);f[y>>2]=z;f[a+104>>2]=C;D=f[b>>2]|0;E=z}z=d+108|0;if((D|0)<3){D=f[z>>2]|0;f[E>>2]=f[D>>2];f[E+4>>2]=f[D+4>>2]}else{f[y>>2]=f[z>>2];y=d+104|0;f[a+104>>2]=f[y>>2];f[z>>2]=d+112;f[y>>2]=h}f[B>>2]=1124007936;l=b;m=l+36|0;do{f[l>>2]=0;l=l+4|0}while((l|0)<(m|0));b=a+120|0;if(!t){t=a+156|0;B=f[t>>2]|0;if(B|0?(h=B+12|0,B=f[h>>2]|0,f[h>>2]=B+-1,(B|0)==1):0)aU(b);f[t>>2]=0;B=a+136|0;h=a+124|0;f[B>>2]=0;f[B+4>>2]=0;f[B+8>>2]=0;f[B+12>>2]=0;if((f[h>>2]|0)>0){y=f[a+160>>2]|0;z=0;do{f[y+(z<<2)>>2]=0;z=z+1|0}while((z|0)<(f[h>>2]|0))}z=d+120|0;f[b>>2]=f[z>>2];b=d+124|0;y=f[b>>2]|0;f[h>>2]=y;h=d+128|0;D=a+128|0;f[D>>2]=f[h>>2];f[a+132>>2]=f[d+132>>2];f[B>>2]=f[d+136>>2];f[a+140>>2]=f[d+140>>2];f[a+144>>2]=f[d+144>>2];f[a+148>>2]=f[d+148>>2];f[a+152>>2]=f[d+152>>2];f[t>>2]=f[d+156>>2];t=a+164|0;B=f[t>>2]|0;E=a+168|0;if((B|0)==(E|0)){F=y;G=B}else{TC(B);f[t>>2]=E;f[a+160>>2]=D;F=f[b>>2]|0;G=E}E=d+164|0;if((F|0)<3){F=f[E>>2]|0;f[G>>2]=f[F>>2];f[G+4>>2]=f[F+4>>2]}else{f[t>>2]=f[E>>2];t=d+160|0;f[a+160>>2]=f[t>>2];f[E>>2]=d+168;f[t>>2]=h}f[z>>2]=1124007936;l=b;m=l+36|0;do{f[l>>2]=0;l=l+4|0}while((l|0)<(m|0))}}}l=a+176|0;m=d+176|0;f[l>>2]=f[m>>2];f[l+4>>2]=f[m+4>>2];f[l+8>>2]=f[m+8>>2];f[l+12>>2]=f[m+12>>2];p[a+192>>3]=+p[d+192>>3];p[a+200>>3]=+p[d+200>>3];p[a+208>>3]=+p[d+208>>3];p[a+216>>3]=+p[d+216>>3];Xi(d);d=g+36|0;a=f[d>>2]|0;if(a|0?(m=a+12|0,a=f[m>>2]|0,f[m>>2]=a+-1,(a|0)==1):0)aU(g);f[d>>2]=0;d=g+16|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[o>>2]|0)>0){d=f[r>>2]|0;r=0;do{f[d+(r<<2)>>2]=0;r=r+1|0}while((r|0)<(f[o>>2]|0))}o=f[s>>2]|0;if((o|0)!=(q|0))TC(o);o=e+36|0;q=f[o>>2]|0;if(q|0?(s=q+12|0,q=f[s>>2]|0,f[s>>2]=q+-1,(q|0)==1):0)aU(e);f[o>>2]=0;o=e+16|0;f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;f[o+12>>2]=0;if((f[i>>2]|0)>0){o=f[k>>2]|0;k=0;do{f[o+(k<<2)>>2]=0;k=k+1|0}while((k|0)<(f[i>>2]|0))}i=f[n>>2]|0;if((i|0)==(j|0)){u=c;return}TC(i);u=c;return}function SS(a){a=a|0;fuc(a);return}function TS(a,b){a=a|0;b=b|0;return 1}function US(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;a=u;u=u+112|0;e=a+48|0;g=a+32|0;h=a+16|0;i=a;f[e>>2]=1124007936;j=e+4|0;k=e+8|0;l=e+40|0;m=j;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));f[l>>2]=k;k=e+48|0;m=e+44|0;f[m>>2]=k;f[k>>2]=0;f[e+52>>2]=0;n=(d|0)==-1|(d|0)==0?c:e;if(!(f[b+80>>2]|0)){f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=b+8;f[h>>2]=-1056833530;f[h+4>>2]=b+176;f[h+8>>2]=1;f[h+12>>2]=1;o=i+8|0;f[o>>2]=0;f[o+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=n;PX(g,h,i,f[b+4>>2]|0)}else{f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=b+8;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=b+64;o=i+8|0;f[o>>2]=0;f[o+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=n;PX(g,h,i,f[b+4>>2]|0)}if((f[n+16>>2]|0)!=(f[c+16>>2]|0)){b=g+8|0;f[b>>2]=0;f[b+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=c;kQ(n,g,d,1.0,0.0)}d=e+36|0;g=f[d>>2]|0;if(g|0?(n=g+12|0,g=f[n>>2]|0,f[n>>2]=g+-1,(g|0)==1):0)aU(e);f[d>>2]=0;d=e+16|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[j>>2]|0)>0){d=f[l>>2]|0;l=0;do{f[d+(l<<2)>>2]=0;l=l+1|0}while((l|0)<(f[j>>2]|0))}j=f[m>>2]|0;if((j|0)==(k|0)){u=a;return}TC(j);u=a;return}function VS(a){a=a|0;fuc(a);return}function WS(a,b){a=a|0;b=b|0;return 0}function XS(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;a=u;u=u+64|0;g=a+32|0;h=a;i=(e|0)==-1?f[c+8>>2]&4095:e;e=c+12|0;j=f[e>>2]|0;k=f[c+48>>2]|0;do if((j|0)<3){l=f[k+4>>2]|0;m=f[k>>2]|0;n=i&4095;if(((((f[d+4>>2]|0)<3?(f[d+8>>2]|0)==(m|0):0)?(f[d+12>>2]|0)==(l|0):0)?(f[d>>2]&4095|0)==(n|0):0)?f[d+16>>2]|0:0)break;f[g>>2]=m;f[g+4>>2]=l;ZT(d,2,g,n)}else ZT(d,j,k,i);while(0);i=f[c+4>>2]|0;if((i|0)==73&(f[e>>2]|0)<3){e=g+8|0;f[e>>2]=0;f[e+4>>2]=0;f[g>>2]=50397184;f[g+4>>2]=d;p[h>>3]=+p[c+176>>3];e=h+8|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;f[e+16>>2]=0;f[e+20>>2]=0;FN(g,h);u=a;return}switch(i|0){case 48:{f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;f[g+16>>2]=0;f[g+20>>2]=0;f[g+24>>2]=0;f[g+28>>2]=0;GI(d,g)|0;u=a;return}case 49:{p[g>>3]=+p[c+176>>3];c=g+8|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;f[c+16>>2]=0;f[c+20>>2]=0;GI(d,g)|0;u=a;return}default:{a=cuc(32)|0;f[g>>2]=a;f[g+8>>2]=-2147483616;f[g+4>>2]=31;d=a;c=217407;i=d+31|0;do{b[d>>0]=b[c>>0]|0;d=d+1|0;c=c+1|0}while((d|0)<(i|0));b[a+31>>0]=0;WD(-2,g,215046,214912,1606)}}}function YS(a,b,c,d){a=a|0;b=b|0;c=+c;d=d|0;var e=0;a=u;u=u+16|0;e=a;gV(e,40664);tS(d,b)|0;b=d+176|0;p[b>>3]=+p[b>>3]*c;if(!(f[e+4>>2]|0)){u=a;return}u=a;return}function ZS(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0;f[a>>2]=39232;f[a+4>>2]=0;c=a+8|0;f[c>>2]=f[b>>2];d=a+12|0;e=b+4|0;f[d>>2]=f[e>>2];g=a+16|0;f[g>>2]=f[b+8>>2];f[a+20>>2]=f[b+12>>2];f[a+24>>2]=f[b+16>>2];f[a+28>>2]=f[b+20>>2];f[a+32>>2]=f[b+24>>2];f[a+36>>2]=f[b+28>>2];f[a+40>>2]=f[b+32>>2];h=f[b+36>>2]|0;f[a+44>>2]=h;f[a+48>>2]=g;g=a+56|0;i=a+52|0;f[i>>2]=g;f[g>>2]=0;f[a+60>>2]=0;if(h|0){g=h+12|0;f[g>>2]=(f[g>>2]|0)+1}if((f[e>>2]|0)<3){e=f[b+44>>2]|0;g=f[i>>2]|0;f[g>>2]=f[e>>2];f[g+4>>2]=f[e+4>>2]}else{f[d>>2]=0;$T(c,b)}f[a+64>>2]=1124007936;b=a+72|0;c=a+104|0;d=a+68|0;e=d+36|0;do{f[d>>2]=0;d=d+4|0}while((d|0)<(e|0));f[c>>2]=b;b=a+112|0;f[a+108>>2]=b;f[b>>2]=0;f[a+116>>2]=0;f[a+120>>2]=1124007936;b=a+128|0;c=a+160|0;d=a+124|0;e=d+36|0;do{f[d>>2]=0;d=d+4|0}while((d|0)<(e|0));f[c>>2]=b;b=a+168|0;f[a+164>>2]=b;f[b>>2]=0;f[a+172>>2]=0;p[a+176>>3]=1.0;d=a+184|0;e=d+40|0;do{f[d>>2]=0;d=d+4|0}while((d|0)<(e|0));return}function _S(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=1124007936;d=a+16|0;e=a+48|0;g=a+12|0;h=g+36|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));f[e>>2]=d;d=a+56|0;f[a+52>>2]=d;f[d>>2]=0;f[a+60>>2]=0;f[a+64>>2]=1124007936;d=a+72|0;e=a+104|0;g=a+68|0;h=g+36|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));f[e>>2]=d;d=a+112|0;f[a+108>>2]=d;f[d>>2]=0;f[a+116>>2]=0;f[a+120>>2]=1124007936;d=a+128|0;e=a+160|0;g=a+124|0;h=g+36|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));f[e>>2]=d;d=a+168|0;f[a+164>>2]=d;g=d;h=g+56|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));g=f[b>>2]|0;sh[f[(f[g>>2]|0)+96>>2]&255](g,b,c,a);return}function $S(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;d=u;u=u+64|0;e=d;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=1124007936;g=a+16|0;h=a+48|0;i=a+12|0;j=i+36|0;do{f[i>>2]=0;i=i+4|0}while((i|0)<(j|0));f[h>>2]=g;g=a+56|0;f[a+52>>2]=g;f[g>>2]=0;f[a+60>>2]=0;f[a+64>>2]=1124007936;g=a+72|0;h=a+104|0;i=a+68|0;j=i+36|0;do{f[i>>2]=0;i=i+4|0}while((i|0)<(j|0));f[h>>2]=g;g=a+112|0;f[a+108>>2]=g;f[g>>2]=0;f[a+116>>2]=0;f[a+120>>2]=1124007936;g=a+128|0;h=a+160|0;i=a+124|0;j=i+36|0;do{f[i>>2]=0;i=i+4|0}while((i|0)<(j|0));f[h>>2]=g;g=a+168|0;f[a+164>>2]=g;i=g;j=i+56|0;do{f[i>>2]=0;i=i+4|0}while((i|0)<(j|0));f[e>>2]=1124007936;g=e+4|0;h=e+8|0;k=e+40|0;i=g;j=i+36|0;do{f[i>>2]=0;i=i+4|0}while((i|0)<(j|0));f[k>>2]=h;h=e+48|0;i=e+44|0;f[i>>2]=h;f[h>>2]=0;f[e+52>>2]=0;LS(a,c,e,1.0,0.0,b);b=e+36|0;c=f[b>>2]|0;if(c|0?(a=c+12|0,c=f[a>>2]|0,f[a>>2]=c+-1,(c|0)==1):0)aU(e);f[b>>2]=0;b=e+16|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;if((f[g>>2]|0)>0){b=f[k>>2]|0;k=0;do{f[b+(k<<2)>>2]=0;k=k+1|0}while((k|0)<(f[g>>2]|0))}g=f[i>>2]|0;if((g|0)==(h|0)){u=d;return}TC(g);u=d;return}function aT(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=1124007936;d=a+16|0;e=a+48|0;g=a+12|0;h=g+36|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));f[e>>2]=d;d=a+56|0;f[a+52>>2]=d;f[d>>2]=0;f[a+60>>2]=0;f[a+64>>2]=1124007936;d=a+72|0;e=a+104|0;g=a+68|0;h=g+36|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));f[e>>2]=d;d=a+112|0;f[a+108>>2]=d;f[d>>2]=0;f[a+116>>2]=0;f[a+120>>2]=1124007936;d=a+128|0;e=a+160|0;g=a+124|0;h=g+36|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));f[e>>2]=d;d=a+168|0;f[a+164>>2]=d;g=d;h=g+56|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));g=f[b>>2]|0;sh[f[(f[g>>2]|0)+56>>2]&255](g,b,c,a);return}function bT(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=1124007936;d=a+16|0;e=a+48|0;g=a+12|0;h=g+36|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));f[e>>2]=d;d=a+56|0;f[a+52>>2]=d;f[d>>2]=0;f[a+60>>2]=0;f[a+64>>2]=1124007936;d=a+72|0;e=a+104|0;g=a+68|0;h=g+36|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));f[e>>2]=d;d=a+112|0;f[a+108>>2]=d;f[d>>2]=0;f[a+116>>2]=0;f[a+120>>2]=1124007936;d=a+128|0;e=a+160|0;g=a+124|0;h=g+36|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));f[e>>2]=d;d=a+168|0;f[a+164>>2]=d;g=d;h=g+56|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));g=f[b>>2]|0;sh[f[(f[g>>2]|0)+52>>2]&255](g,b,c,a);return}function cT(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0;d=u;u=u+32|0;e=d;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=1124007936;g=a+16|0;h=a+48|0;i=a+12|0;j=i+36|0;do{f[i>>2]=0;i=i+4|0}while((i|0)<(j|0));f[h>>2]=g;g=a+56|0;f[a+52>>2]=g;f[g>>2]=0;f[a+60>>2]=0;f[a+64>>2]=1124007936;g=a+72|0;h=a+104|0;i=a+68|0;j=i+36|0;do{f[i>>2]=0;i=i+4|0}while((i|0)<(j|0));f[h>>2]=g;g=a+112|0;f[a+108>>2]=g;f[g>>2]=0;f[a+116>>2]=0;f[a+120>>2]=1124007936;g=a+128|0;h=a+160|0;i=a+124|0;j=i+36|0;do{f[i>>2]=0;i=i+4|0}while((i|0)<(j|0));f[h>>2]=g;g=a+168|0;f[a+164>>2]=g;i=g;j=i+56|0;do{f[i>>2]=0;i=i+4|0}while((i|0)<(j|0));f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;f[e+16>>2]=0;f[e+20>>2]=0;f[e+24>>2]=0;f[e+28>>2]=0;LS(a,b,c,1.0,-1.0,e);u=d;return}function dT(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0;d=u;u=u+224|0;e=d;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=1124007936;g=a+16|0;h=a+48|0;i=a+12|0;j=i+36|0;do{f[i>>2]=0;i=i+4|0}while((i|0)<(j|0));f[h>>2]=g;g=a+56|0;f[a+52>>2]=g;f[g>>2]=0;f[a+60>>2]=0;f[a+64>>2]=1124007936;g=a+72|0;h=a+104|0;i=a+68|0;j=i+36|0;do{f[i>>2]=0;i=i+4|0}while((i|0)<(j|0));f[h>>2]=g;g=a+112|0;f[a+108>>2]=g;f[g>>2]=0;f[a+116>>2]=0;f[a+120>>2]=1124007936;g=a+128|0;h=a+160|0;i=a+124|0;j=i+36|0;do{f[i>>2]=0;i=i+4|0}while((i|0)<(j|0));f[h>>2]=g;g=a+168|0;f[a+164>>2]=g;i=g;j=i+56|0;do{f[i>>2]=0;i=i+4|0}while((i|0)<(j|0));i=f[b>>2]|0;j=f[(f[i>>2]|0)+60>>2]|0;ZS(e,c);sh[j&255](i,b,e,a);Xi(e);u=d;return}function eT(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0.0,l=0.0,m=0.0;d=u;u=u+32|0;e=d;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=1124007936;g=a+16|0;h=a+48|0;i=a+12|0;j=i+36|0;do{f[i>>2]=0;i=i+4|0}while((i|0)<(j|0));f[h>>2]=g;g=a+56|0;f[a+52>>2]=g;f[g>>2]=0;f[a+60>>2]=0;f[a+64>>2]=1124007936;g=a+72|0;h=a+104|0;i=a+68|0;j=i+36|0;do{f[i>>2]=0;i=i+4|0}while((i|0)<(j|0));f[h>>2]=g;g=a+112|0;f[a+108>>2]=g;f[g>>2]=0;f[a+116>>2]=0;f[a+120>>2]=1124007936;g=a+128|0;h=a+160|0;i=a+124|0;j=i+36|0;do{f[i>>2]=0;i=i+4|0}while((i|0)<(j|0));f[h>>2]=g;g=a+168|0;f[a+164>>2]=g;i=g;j=i+56|0;do{f[i>>2]=0;i=i+4|0}while((i|0)<(j|0));i=f[b>>2]|0;j=f[(f[i>>2]|0)+56>>2]|0;k=-+p[c+8>>3];l=-+p[c+16>>3];m=-+p[c+24>>3];p[e>>3]=-+p[c>>3];p[e+8>>3]=k;p[e+16>>3]=l;p[e+24>>3]=m;sh[j&255](i,b,e,a);u=d;return}function fT(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=1124007936;d=a+16|0;e=a+48|0;g=a+12|0;h=g+36|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));f[e>>2]=d;d=a+56|0;f[a+52>>2]=d;f[d>>2]=0;f[a+60>>2]=0;f[a+64>>2]=1124007936;d=a+72|0;e=a+104|0;g=a+68|0;h=g+36|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));f[e>>2]=d;d=a+112|0;f[a+108>>2]=d;f[d>>2]=0;f[a+116>>2]=0;f[a+120>>2]=1124007936;d=a+128|0;e=a+160|0;g=a+124|0;h=g+36|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));f[e>>2]=d;d=a+168|0;f[a+164>>2]=d;g=d;h=g+56|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));g=f[b>>2]|0;sh[f[(f[g>>2]|0)+60>>2]&255](g,b,c,a);return}function gT(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=u;u=u+96|0;d=c+32|0;e=c;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=1124007936;g=a+16|0;h=a+48|0;i=a+12|0;j=i+36|0;do{f[i>>2]=0;i=i+4|0}while((i|0)<(j|0));f[h>>2]=g;g=a+56|0;f[a+52>>2]=g;f[g>>2]=0;f[a+60>>2]=0;f[a+64>>2]=1124007936;g=a+72|0;h=a+104|0;i=a+68|0;j=i+36|0;do{f[i>>2]=0;i=i+4|0}while((i|0)<(j|0));f[h>>2]=g;g=a+112|0;f[a+108>>2]=g;f[g>>2]=0;f[a+116>>2]=0;f[a+120>>2]=1124007936;g=a+128|0;h=a+160|0;i=a+124|0;j=i+36|0;do{f[i>>2]=0;i=i+4|0}while((i|0)<(j|0));f[h>>2]=g;g=a+168|0;f[a+164>>2]=g;i=g;j=i+56|0;do{f[i>>2]=0;i=i+4|0}while((i|0)<(j|0));f[d>>2]=1124007936;g=d+4|0;h=d+8|0;k=d+40|0;i=g;j=i+36|0;do{f[i>>2]=0;i=i+4|0}while((i|0)<(j|0));f[k>>2]=h;h=d+48|0;i=d+44|0;f[i>>2]=h;f[h>>2]=0;f[d+52>>2]=0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;f[e+16>>2]=0;f[e+20>>2]=0;f[e+24>>2]=0;f[e+28>>2]=0;LS(a,b,d,-1.0,0.0,e);e=d+36|0;b=f[e>>2]|0;if(b|0?(a=b+12|0,b=f[a>>2]|0,f[a>>2]=b+-1,(b|0)==1):0)aU(d);f[e>>2]=0;e=d+16|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((f[g>>2]|0)>0){e=f[k>>2]|0;k=0;do{f[e+(k<<2)>>2]=0;k=k+1|0}while((k|0)<(f[g>>2]|0))}g=f[i>>2]|0;if((g|0)==(h|0)){u=c;return}TC(g);u=c;return}function hT(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0;c=u;u=u+32|0;d=c;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=1124007936;e=a+16|0;g=a+48|0;h=a+12|0;i=h+36|0;do{f[h>>2]=0;h=h+4|0}while((h|0)<(i|0));f[g>>2]=e;e=a+56|0;f[a+52>>2]=e;f[e>>2]=0;f[a+60>>2]=0;f[a+64>>2]=1124007936;e=a+72|0;g=a+104|0;h=a+68|0;i=h+36|0;do{f[h>>2]=0;h=h+4|0}while((h|0)<(i|0));f[g>>2]=e;e=a+112|0;f[a+108>>2]=e;f[e>>2]=0;f[a+116>>2]=0;f[a+120>>2]=1124007936;e=a+128|0;g=a+160|0;h=a+124|0;i=h+36|0;do{f[h>>2]=0;h=h+4|0}while((h|0)<(i|0));f[g>>2]=e;e=a+168|0;f[a+164>>2]=e;h=e;i=h+56|0;do{f[h>>2]=0;h=h+4|0}while((h|0)<(i|0));h=f[b>>2]|0;i=f[(f[h>>2]|0)+64>>2]|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;f[d+16>>2]=0;f[d+20>>2]=0;f[d+24>>2]=0;f[d+28>>2]=0;sh[i&255](h,d,b,a);u=c;return}function iT(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;d=u;u=u+64|0;e=d;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=1124007936;g=a+16|0;h=a+48|0;i=a+12|0;j=i+36|0;do{f[i>>2]=0;i=i+4|0}while((i|0)<(j|0));f[h>>2]=g;g=a+56|0;f[a+52>>2]=g;f[g>>2]=0;f[a+60>>2]=0;f[a+64>>2]=1124007936;g=a+72|0;h=a+104|0;i=a+68|0;j=i+36|0;do{f[i>>2]=0;i=i+4|0}while((i|0)<(j|0));f[h>>2]=g;g=a+112|0;f[a+108>>2]=g;f[g>>2]=0;f[a+116>>2]=0;f[a+120>>2]=1124007936;g=a+128|0;h=a+160|0;i=a+124|0;j=i+36|0;do{f[i>>2]=0;i=i+4|0}while((i|0)<(j|0));f[h>>2]=g;g=a+168|0;f[a+164>>2]=g;i=g;j=i+56|0;do{f[i>>2]=0;i=i+4|0}while((i|0)<(j|0));f[e>>2]=1124007936;g=e+4|0;h=e+8|0;k=e+40|0;i=g;j=i+36|0;do{f[i>>2]=0;i=i+4|0}while((i|0)<(j|0));f[k>>2]=h;h=e+48|0;i=e+44|0;f[i>>2]=h;f[h>>2]=0;f[e+52>>2]=0;lS(a,0,b,c,1.0,e,1.0);c=e+36|0;b=f[c>>2]|0;if(b|0?(a=b+12|0,b=f[a>>2]|0,f[a>>2]=b+-1,(b|0)==1):0)aU(e);f[c>>2]=0;c=e+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[g>>2]|0)>0){c=f[k>>2]|0;k=0;do{f[c+(k<<2)>>2]=0;k=k+1|0}while((k|0)<(f[g>>2]|0))}g=f[i>>2]|0;if((g|0)==(h|0)){u=d;return}TC(g);u=d;return}function jT(a,b,c){a=a|0;b=b|0;c=+c;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;d=u;u=u+96|0;e=d+32|0;g=d;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=1124007936;h=a+16|0;i=a+48|0;j=a+12|0;k=j+36|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));f[i>>2]=h;h=a+56|0;f[a+52>>2]=h;f[h>>2]=0;f[a+60>>2]=0;f[a+64>>2]=1124007936;h=a+72|0;i=a+104|0;j=a+68|0;k=j+36|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));f[i>>2]=h;h=a+112|0;f[a+108>>2]=h;f[h>>2]=0;f[a+116>>2]=0;f[a+120>>2]=1124007936;h=a+128|0;i=a+160|0;j=a+124|0;k=j+36|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));f[i>>2]=h;h=a+168|0;f[a+164>>2]=h;j=h;k=j+56|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));f[e>>2]=1124007936;h=e+4|0;i=e+8|0;l=e+40|0;j=h;k=j+36|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));f[l>>2]=i;i=e+48|0;j=e+44|0;f[j>>2]=i;f[i>>2]=0;f[e+52>>2]=0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;f[g+16>>2]=0;f[g+20>>2]=0;f[g+24>>2]=0;f[g+28>>2]=0;LS(a,b,e,c,0.0,g);g=e+36|0;b=f[g>>2]|0;if(b|0?(a=b+12|0,b=f[a>>2]|0,f[a>>2]=b+-1,(b|0)==1):0)aU(e);f[g>>2]=0;g=e+16|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;if((f[h>>2]|0)>0){g=f[l>>2]|0;l=0;do{f[g+(l<<2)>>2]=0;l=l+1|0}while((l|0)<(f[h>>2]|0))}h=f[j>>2]|0;if((h|0)==(i|0)){u=d;return}TC(h);u=d;return}function kT(a,b,c){a=a|0;b=+b;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;d=u;u=u+96|0;e=d+32|0;g=d;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=1124007936;h=a+16|0;i=a+48|0;j=a+12|0;k=j+36|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));f[i>>2]=h;h=a+56|0;f[a+52>>2]=h;f[h>>2]=0;f[a+60>>2]=0;f[a+64>>2]=1124007936;h=a+72|0;i=a+104|0;j=a+68|0;k=j+36|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));f[i>>2]=h;h=a+112|0;f[a+108>>2]=h;f[h>>2]=0;f[a+116>>2]=0;f[a+120>>2]=1124007936;h=a+128|0;i=a+160|0;j=a+124|0;k=j+36|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));f[i>>2]=h;h=a+168|0;f[a+164>>2]=h;j=h;k=j+56|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));f[e>>2]=1124007936;h=e+4|0;i=e+8|0;l=e+40|0;j=h;k=j+36|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));f[l>>2]=i;i=e+48|0;j=e+44|0;f[j>>2]=i;f[i>>2]=0;f[e+52>>2]=0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;f[g+16>>2]=0;f[g+20>>2]=0;f[g+24>>2]=0;f[g+28>>2]=0;LS(a,c,e,b,0.0,g);g=e+36|0;c=f[g>>2]|0;if(c|0?(a=c+12|0,c=f[a>>2]|0,f[a>>2]=c+-1,(c|0)==1):0)aU(e);f[g>>2]=0;g=e+16|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;if((f[h>>2]|0)>0){g=f[l>>2]|0;l=0;do{f[g+(l<<2)>>2]=0;l=l+1|0}while((l|0)<(f[h>>2]|0))}h=f[j>>2]|0;if((h|0)==(i|0)){u=d;return}TC(h);u=d;return}function lT(a,b,c){a=a|0;b=b|0;c=+c;var d=0,e=0,g=0,h=0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=1124007936;d=a+16|0;e=a+48|0;g=a+12|0;h=g+36|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));f[e>>2]=d;d=a+56|0;f[a+52>>2]=d;f[d>>2]=0;f[a+60>>2]=0;f[a+64>>2]=1124007936;d=a+72|0;e=a+104|0;g=a+68|0;h=g+36|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));f[e>>2]=d;d=a+112|0;f[a+108>>2]=d;f[d>>2]=0;f[a+116>>2]=0;f[a+120>>2]=1124007936;d=a+128|0;e=a+160|0;g=a+124|0;h=g+36|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));f[e>>2]=d;d=a+168|0;f[a+164>>2]=d;g=d;h=g+56|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));g=f[b>>2]|0;Ch[f[(f[g>>2]|0)+72>>2]&15](g,b,c,a);return}function mT(a,b,c){a=a|0;b=+b;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;d=u;u=u+64|0;e=d;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=1124007936;g=a+16|0;h=a+48|0;i=a+12|0;j=i+36|0;do{f[i>>2]=0;i=i+4|0}while((i|0)<(j|0));f[h>>2]=g;g=a+56|0;f[a+52>>2]=g;f[g>>2]=0;f[a+60>>2]=0;f[a+64>>2]=1124007936;g=a+72|0;h=a+104|0;i=a+68|0;j=i+36|0;do{f[i>>2]=0;i=i+4|0}while((i|0)<(j|0));f[h>>2]=g;g=a+112|0;f[a+108>>2]=g;f[g>>2]=0;f[a+116>>2]=0;f[a+120>>2]=1124007936;g=a+128|0;h=a+160|0;i=a+124|0;j=i+36|0;do{f[i>>2]=0;i=i+4|0}while((i|0)<(j|0));f[h>>2]=g;g=a+168|0;f[a+164>>2]=g;i=g;j=i+56|0;do{f[i>>2]=0;i=i+4|0}while((i|0)<(j|0));f[e>>2]=1124007936;g=e+4|0;h=e+8|0;k=e+40|0;i=g;j=i+36|0;do{f[i>>2]=0;i=i+4|0}while((i|0)<(j|0));f[k>>2]=h;h=e+48|0;i=e+44|0;f[i>>2]=h;f[h>>2]=0;f[e+52>>2]=0;FS(a,47,c,e,b);c=e+36|0;a=f[c>>2]|0;if(a|0?(j=a+12|0,a=f[j>>2]|0,f[j>>2]=a+-1,(a|0)==1):0)aU(e);f[c>>2]=0;c=e+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[g>>2]|0)>0){c=f[k>>2]|0;k=0;do{f[c+(k<<2)>>2]=0;k=k+1|0}while((k|0)<(f[g>>2]|0))}g=f[i>>2]|0;if((g|0)==(h|0)){u=d;return}TC(g);u=d;return}function nT(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;e=u;u=u+368|0;g=e+32|0;h=e+312|0;i=e+256|0;j=e;f[h>>2]=1124007936;k=h+4|0;l=h+8|0;m=h+40|0;n=k;o=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(o|0));f[m>>2]=l;l=h+48|0;q=h+44|0;f[q>>2]=l;f[l>>2]=0;f[h+52>>2]=0;f[i>>2]=1124007936;r=i+4|0;s=i+8|0;t=i+40|0;n=r;o=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(o|0));f[t>>2]=s;s=i+48|0;v=i+44|0;f[v>>2]=s;f[s>>2]=0;f[i+52>>2]=0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;f[j+16>>2]=0;f[j+20>>2]=0;f[j+24>>2]=0;f[j+28>>2]=0;$R(g,40684,b,c,h,i,d,1.0,j);j=g;c=f[j+4>>2]|0;b=a;f[b>>2]=f[j>>2];f[b+4>>2]=c;c=a+8|0;b=(g|0)==(a|0);if(!b){j=a+44|0;w=f[j>>2]|0;if(w|0?(x=w+12|0,w=f[x>>2]|0,f[x>>2]=w+-1,(w|0)==1):0)aU(c);f[j>>2]=0;w=a+24|0;x=a+12|0;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;f[w+12>>2]=0;if((f[x>>2]|0)>0){y=f[a+48>>2]|0;z=0;do{f[y+(z<<2)>>2]=0;z=z+1|0}while((z|0)<(f[x>>2]|0))}z=g+8|0;f[c>>2]=f[z>>2];c=g+12|0;y=f[c>>2]|0;f[x>>2]=y;x=g+16|0;A=a+16|0;f[A>>2]=f[x>>2];f[a+20>>2]=f[g+20>>2];f[w>>2]=f[g+24>>2];f[a+28>>2]=f[g+28>>2];f[a+32>>2]=f[g+32>>2];f[a+36>>2]=f[g+36>>2];f[a+40>>2]=f[g+40>>2];f[j>>2]=f[g+44>>2];j=a+52|0;w=f[j>>2]|0;B=a+56|0;if((w|0)==(B|0)){C=y;D=w}else{TC(w);f[j>>2]=B;f[a+48>>2]=A;C=f[c>>2]|0;D=B}B=g+52|0;if((C|0)<3){C=f[B>>2]|0;f[D>>2]=f[C>>2];f[D+4>>2]=f[C+4>>2]}else{f[j>>2]=f[B>>2];j=g+48|0;f[a+48>>2]=f[j>>2];f[B>>2]=g+56;f[j>>2]=x}f[z>>2]=1124007936;n=c;o=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(o|0));c=a+64|0;if(!b){z=a+100|0;x=f[z>>2]|0;if(x|0?(j=x+12|0,x=f[j>>2]|0,f[j>>2]=x+-1,(x|0)==1):0)aU(c);f[z>>2]=0;x=a+80|0;j=a+68|0;f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;f[x+12>>2]=0;if((f[j>>2]|0)>0){B=f[a+104>>2]|0;C=0;do{f[B+(C<<2)>>2]=0;C=C+1|0}while((C|0)<(f[j>>2]|0))}C=g+64|0;f[c>>2]=f[C>>2];c=g+68|0;B=f[c>>2]|0;f[j>>2]=B;j=g+72|0;D=a+72|0;f[D>>2]=f[j>>2];f[a+76>>2]=f[g+76>>2];f[x>>2]=f[g+80>>2];f[a+84>>2]=f[g+84>>2];f[a+88>>2]=f[g+88>>2];f[a+92>>2]=f[g+92>>2];f[a+96>>2]=f[g+96>>2];f[z>>2]=f[g+100>>2];z=a+108|0;x=f[z>>2]|0;A=a+112|0;if((x|0)==(A|0)){E=B;F=x}else{TC(x);f[z>>2]=A;f[a+104>>2]=D;E=f[c>>2]|0;F=A}A=g+108|0;if((E|0)<3){E=f[A>>2]|0;f[F>>2]=f[E>>2];f[F+4>>2]=f[E+4>>2]}else{f[z>>2]=f[A>>2];z=g+104|0;f[a+104>>2]=f[z>>2];f[A>>2]=g+112;f[z>>2]=j}f[C>>2]=1124007936;n=c;o=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(o|0));c=a+120|0;if(!b){b=a+156|0;C=f[b>>2]|0;if(C|0?(j=C+12|0,C=f[j>>2]|0,f[j>>2]=C+-1,(C|0)==1):0)aU(c);f[b>>2]=0;C=a+136|0;j=a+124|0;f[C>>2]=0;f[C+4>>2]=0;f[C+8>>2]=0;f[C+12>>2]=0;if((f[j>>2]|0)>0){z=f[a+160>>2]|0;A=0;do{f[z+(A<<2)>>2]=0;A=A+1|0}while((A|0)<(f[j>>2]|0))}A=g+120|0;f[c>>2]=f[A>>2];c=g+124|0;z=f[c>>2]|0;f[j>>2]=z;j=g+128|0;E=a+128|0;f[E>>2]=f[j>>2];f[a+132>>2]=f[g+132>>2];f[C>>2]=f[g+136>>2];f[a+140>>2]=f[g+140>>2];f[a+144>>2]=f[g+144>>2];f[a+148>>2]=f[g+148>>2];f[a+152>>2]=f[g+152>>2];f[b>>2]=f[g+156>>2];b=a+164|0;C=f[b>>2]|0;F=a+168|0;if((C|0)==(F|0)){G=z;H=C}else{TC(C);f[b>>2]=F;f[a+160>>2]=E;G=f[c>>2]|0;H=F}F=g+164|0;if((G|0)<3){G=f[F>>2]|0;f[H>>2]=f[G>>2];f[H+4>>2]=f[G+4>>2]}else{f[b>>2]=f[F>>2];b=g+160|0;f[a+160>>2]=f[b>>2];f[F>>2]=g+168;f[b>>2]=j}f[A>>2]=1124007936;n=c;o=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(o|0))}}}n=a+176|0;o=g+176|0;f[n>>2]=f[o>>2];f[n+4>>2]=f[o+4>>2];f[n+8>>2]=f[o+8>>2];f[n+12>>2]=f[o+12>>2];p[a+192>>3]=+p[g+192>>3];p[a+200>>3]=+p[g+200>>3];p[a+208>>3]=+p[g+208>>3];p[a+216>>3]=+p[g+216>>3];Xi(g);g=i+36|0;a=f[g>>2]|0;if(a|0?(o=a+12|0,a=f[o>>2]|0,f[o>>2]=a+-1,(a|0)==1):0)aU(i);f[g>>2]=0;g=i+16|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;if((f[r>>2]|0)>0){g=f[t>>2]|0;t=0;do{f[g+(t<<2)>>2]=0;t=t+1|0}while((t|0)<(f[r>>2]|0))}r=f[v>>2]|0;if((r|0)!=(s|0))TC(r);r=h+36|0;s=f[r>>2]|0;if(s|0?(v=s+12|0,s=f[v>>2]|0,f[v>>2]=s+-1,(s|0)==1):0)aU(h);f[r>>2]=0;r=h+16|0;f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;f[r+12>>2]=0;if((f[k>>2]|0)>0){r=f[m>>2]|0;m=0;do{f[r+(m<<2)>>2]=0;m=m+1|0}while((m|0)<(f[k>>2]|0))}k=f[q>>2]|0;if((k|0)==(l|0)){u=e;return}TC(k);u=e;return}function oT(a,b,c){a=a|0;b=b|0;c=+c;var d=0,e=0,g=0,h=0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=1124007936;d=a+16|0;e=a+48|0;g=a+12|0;h=g+36|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));f[e>>2]=d;d=a+56|0;f[a+52>>2]=d;f[d>>2]=0;f[a+60>>2]=0;f[a+64>>2]=1124007936;d=a+72|0;e=a+104|0;g=a+68|0;h=g+36|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));f[e>>2]=d;d=a+112|0;f[a+108>>2]=d;f[d>>2]=0;f[a+116>>2]=0;f[a+120>>2]=1124007936;d=a+128|0;e=a+160|0;g=a+124|0;h=g+36|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));f[e>>2]=d;d=a+168|0;f[a+164>>2]=d;g=d;h=g+56|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));nT(a,0,b,c);return}function pT(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=1124007936;d=a+16|0;e=a+48|0;g=a+12|0;h=g+36|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));f[e>>2]=d;d=a+56|0;f[a+52>>2]=d;f[d>>2]=0;f[a+60>>2]=0;f[a+64>>2]=1124007936;d=a+72|0;e=a+104|0;g=a+68|0;h=g+36|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));f[e>>2]=d;d=a+112|0;f[a+108>>2]=d;f[d>>2]=0;f[a+116>>2]=0;f[a+120>>2]=1124007936;d=a+128|0;e=a+160|0;g=a+124|0;h=g+36|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));f[e>>2]=d;d=a+168|0;f[a+164>>2]=d;g=d;h=g+56|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));FS(a,38,b,c,1.0);return}function qT(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0;c=u;u=u+48|0;d=c+32|0;e=c;gV(d,40688);f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=1124007936;g=a+16|0;h=a+48|0;i=a+12|0;j=i+36|0;do{f[i>>2]=0;i=i+4|0}while((i|0)<(j|0));f[h>>2]=g;g=a+56|0;f[a+52>>2]=g;f[g>>2]=0;f[a+60>>2]=0;f[a+64>>2]=1124007936;g=a+72|0;h=a+104|0;i=a+68|0;j=i+36|0;do{f[i>>2]=0;i=i+4|0}while((i|0)<(j|0));f[h>>2]=g;g=a+112|0;f[a+108>>2]=g;f[g>>2]=0;f[a+116>>2]=0;f[a+120>>2]=1124007936;g=a+128|0;h=a+160|0;i=a+124|0;j=i+36|0;do{f[i>>2]=0;i=i+4|0}while((i|0)<(j|0));f[h>>2]=g;g=a+168|0;f[a+164>>2]=g;i=g;j=i+56|0;do{f[i>>2]=0;i=i+4|0}while((i|0)<(j|0));f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;f[e+16>>2]=0;f[e+20>>2]=0;f[e+24>>2]=0;f[e+28>>2]=0;ES(a,97,b,e);if(!(f[d+4>>2]|0)){u=c;return}u=c;return}function rT(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=f[b>>2]|0;if((c|0)==39472|(c|0)==39112){d=f[b+20>>2]|0;f[a>>2]=f[b+16>>2];f[a+4>>2]=d;return}if((c|0)==39480){d=f[b+16>>2]|0;f[a>>2]=f[b+76>>2];f[a+4>>2]=d;return}if((c|0)==39236){d=f[b+20>>2]|0;f[a>>2]=f[b+76>>2];f[a+4>>2]=d;return}if(!(f[137589]|0)){d=vE()|0;$tc(d);if(!(f[137589]|0)){e=cuc(4)|0;f[e>>2]=40556;f[137589]=e}auc(d)}if((f[137589]|0)==(c|0)){c=f[b+48>>2]|0;d=f[c>>2]|0;f[a>>2]=f[c+4>>2];f[a+4>>2]=d;return}d=f[b>>2]|0;if(!d){f[a>>2]=0;f[a+4>>2]=0;return}else{Zh[f[(f[d>>2]|0)+100>>2]&511](a,d,b);return}}function sT(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0;b=u;u=u+16|0;c=b;gV(c,40708);d=f[a>>2]|0;if(!(f[137589]|0)){e=vE()|0;$tc(e);if(!(f[137589]|0)){g=cuc(4)|0;f[g>>2]=40556;f[137589]=g}auc(e)}if((f[137589]|0)!=(d|0)){d=f[a>>2]|0;if((d|0)!=40684)if(!d)h=-1;else h=Th[f[(f[d>>2]|0)+104>>2]&1023](d,a)|0;else h=0}else h=f[a+8>>2]&4095;if(!(f[c+4>>2]|0)){u=b;return h|0}u=b;return h|0}function tT(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0;c=u;u=u+16|0;d=c;gV(d,40728);f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=1124007936;e=a+16|0;g=a+48|0;h=a+12|0;i=h+36|0;do{f[h>>2]=0;h=h+4|0}while((h|0)<(i|0));f[g>>2]=e;e=a+56|0;f[a+52>>2]=e;f[e>>2]=0;f[a+60>>2]=0;f[a+64>>2]=1124007936;e=a+72|0;g=a+104|0;h=a+68|0;i=h+36|0;do{f[h>>2]=0;h=h+4|0}while((h|0)<(i|0));f[g>>2]=e;e=a+112|0;f[a+108>>2]=e;f[e>>2]=0;f[a+116>>2]=0;f[a+120>>2]=1124007936;e=a+128|0;g=a+160|0;h=a+124|0;i=h+36|0;do{f[h>>2]=0;h=h+4|0}while((h|0)<(i|0));f[g>>2]=e;e=a+168|0;f[a+164>>2]=e;h=e;i=h+56|0;do{f[h>>2]=0;h=h+4|0}while((h|0)<(i|0));DS(a,b,1.0);if(!(f[d+4>>2]|0)){u=c;return}u=c;return}function uT(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0;d=u;u=u+16|0;e=d;gV(e,40748);f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=1124007936;g=a+16|0;h=a+48|0;i=a+12|0;j=i+36|0;do{f[i>>2]=0;i=i+4|0}while((i|0)<(j|0));f[h>>2]=g;g=a+56|0;f[a+52>>2]=g;f[g>>2]=0;f[a+60>>2]=0;f[a+64>>2]=1124007936;g=a+72|0;h=a+104|0;i=a+68|0;j=i+36|0;do{f[i>>2]=0;i=i+4|0}while((i|0)<(j|0));f[h>>2]=g;g=a+112|0;f[a+108>>2]=g;f[g>>2]=0;f[a+116>>2]=0;f[a+120>>2]=1124007936;g=a+128|0;h=a+160|0;i=a+124|0;j=i+36|0;do{f[i>>2]=0;i=i+4|0}while((i|0)<(j|0));f[h>>2]=g;g=a+168|0;f[a+164>>2]=g;i=g;j=i+56|0;do{f[i>>2]=0;i=i+4|0}while((i|0)<(j|0));_R(a,c,b);if(!(f[e+4>>2]|0)){u=d;return}u=d;return}function vT(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=u;u=u+240|0;g=e+224|0;h=e;gV(g,40768);f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=1124007936;i=a+16|0;j=a+48|0;k=a+12|0;l=k+36|0;do{f[k>>2]=0;k=k+4|0}while((k|0)<(l|0));f[j>>2]=i;i=a+56|0;f[a+52>>2]=i;f[i>>2]=0;f[a+60>>2]=0;f[a+64>>2]=1124007936;i=a+72|0;j=a+104|0;k=a+68|0;l=k+36|0;do{f[k>>2]=0;k=k+4|0}while((k|0)<(l|0));f[j>>2]=i;i=a+112|0;f[a+108>>2]=i;f[i>>2]=0;f[a+116>>2]=0;f[a+120>>2]=1124007936;i=a+128|0;j=a+160|0;k=a+124|0;l=k+36|0;do{f[k>>2]=0;k=k+4|0}while((k|0)<(l|0));f[j>>2]=i;i=a+168|0;f[a+164>>2]=i;k=i;l=k+56|0;do{f[k>>2]=0;k=k+4|0}while((k|0)<(l|0));if((qJ(c)|0)!=393216){do if((qJ(c)|0)==65536){k=f[c+4>>2]|0;f[h>>2]=f[k>>2];l=h+4|0;i=k+4|0;f[l>>2]=f[i>>2];j=h+8|0;f[j>>2]=f[k+8>>2];f[h+12>>2]=f[k+12>>2];f[h+16>>2]=f[k+16>>2];f[h+20>>2]=f[k+20>>2];f[h+24>>2]=f[k+24>>2];f[h+28>>2]=f[k+28>>2];f[h+32>>2]=f[k+32>>2];m=f[k+36>>2]|0;f[h+36>>2]=m;f[h+40>>2]=j;j=h+48|0;n=h+44|0;f[n>>2]=j;f[j>>2]=0;f[h+52>>2]=0;if(m|0){j=m+12|0;f[j>>2]=(f[j>>2]|0)+1}if((f[i>>2]|0)<3){i=f[k+44>>2]|0;j=f[n>>2]|0;f[j>>2]=f[i>>2];f[j+4>>2]=f[i+4>>2];break}else{f[l>>2]=0;$T(h,k);break}}else nJ(h,c,-1);while(0);FS(a,42,b,h,d);k=h+36|0;l=f[k>>2]|0;if(l|0?(i=l+12|0,l=f[i>>2]|0,f[i>>2]=l+-1,(l|0)==1):0)aU(h);f[k>>2]=0;k=h+16|0;l=h+4|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;if((f[l>>2]|0)>0){k=f[h+40>>2]|0;i=0;do{f[k+(i<<2)>>2]=0;i=i+1|0}while((i|0)<(f[l>>2]|0))}l=f[h+44>>2]|0;if((l|0)!=(h+48|0))TC(l)}else{l=f[c+4>>2]|0;c=f[l>>2]|0;i=f[(f[c>>2]|0)+68>>2]|0;ZS(h,b);zh[i&31](c,h,l,a,d);Xi(h)}if(!(f[g+4>>2]|0)){u=e;return}u=e;return}function wT(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0;e=u;u=u+16|0;g=e+8|0;h=e;gV(g,40788);f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=1124007936;i=a+16|0;j=a+48|0;k=a+12|0;l=k+36|0;do{f[k>>2]=0;k=k+4|0}while((k|0)<(l|0));f[j>>2]=i;i=a+56|0;f[a+52>>2]=i;f[i>>2]=0;f[a+60>>2]=0;f[a+64>>2]=1124007936;i=a+72|0;j=a+104|0;k=a+68|0;l=k+36|0;do{f[k>>2]=0;k=k+4|0}while((k|0)<(l|0));f[j>>2]=i;i=a+112|0;f[a+108>>2]=i;f[i>>2]=0;f[a+116>>2]=0;f[a+120>>2]=1124007936;i=a+128|0;j=a+160|0;k=a+124|0;l=k+36|0;do{f[k>>2]=0;k=k+4|0}while((k|0)<(l|0));f[j>>2]=i;i=a+168|0;f[a+164>>2]=i;k=i;l=k+56|0;do{f[k>>2]=0;k=k+4|0}while((k|0)<(l|0));f[h>>2]=c;f[h+4>>2]=b;xT(a,48,h,d,1.0);if(!(f[g+4>>2]|0)){u=e;return}u=e;return}function xT(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;g=u;u=u+432|0;h=g+32|0;i=g+376|0;j=g+312|0;k=g+320|0;l=g+256|0;m=g;if(!(f[137589]|0)){n=vE()|0;$tc(n);if(!(f[137589]|0)){o=cuc(4)|0;f[o>>2]=40556;f[137589]=o}auc(n)}n=f[137589]|0;f[j>>2]=f[c>>2];f[j+4>>2]=f[c+4>>2];zD(i,j,d,-286331154,0);f[k>>2]=1124007936;d=k+4|0;j=k+8|0;c=k+40|0;o=d;q=o+36|0;do{f[o>>2]=0;o=o+4|0}while((o|0)<(q|0));f[c>>2]=j;j=k+48|0;r=k+44|0;f[r>>2]=j;f[j>>2]=0;f[k+52>>2]=0;f[l>>2]=1124007936;s=l+4|0;t=l+8|0;v=l+40|0;o=s;q=o+36|0;do{f[o>>2]=0;o=o+4|0}while((o|0)<(q|0));f[v>>2]=t;t=l+48|0;w=l+44|0;f[w>>2]=t;f[t>>2]=0;f[l+52>>2]=0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;f[m+16>>2]=0;f[m+20>>2]=0;f[m+24>>2]=0;f[m+28>>2]=0;$R(h,n,b,i,k,l,e,0.0,m);m=h;b=f[m+4>>2]|0;n=a;f[n>>2]=f[m>>2];f[n+4>>2]=b;b=a+8|0;n=(h|0)==(a|0);if(!n){m=a+44|0;x=f[m>>2]|0;if(x|0?(y=x+12|0,x=f[y>>2]|0,f[y>>2]=x+-1,(x|0)==1):0)aU(b);f[m>>2]=0;x=a+24|0;y=a+12|0;f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;f[x+12>>2]=0;if((f[y>>2]|0)>0){z=f[a+48>>2]|0;A=0;do{f[z+(A<<2)>>2]=0;A=A+1|0}while((A|0)<(f[y>>2]|0))}A=h+8|0;f[b>>2]=f[A>>2];b=h+12|0;z=f[b>>2]|0;f[y>>2]=z;y=h+16|0;B=a+16|0;f[B>>2]=f[y>>2];f[a+20>>2]=f[h+20>>2];f[x>>2]=f[h+24>>2];f[a+28>>2]=f[h+28>>2];f[a+32>>2]=f[h+32>>2];f[a+36>>2]=f[h+36>>2];f[a+40>>2]=f[h+40>>2];f[m>>2]=f[h+44>>2];m=a+52|0;x=f[m>>2]|0;C=a+56|0;if((x|0)==(C|0)){D=z;E=x}else{TC(x);f[m>>2]=C;f[a+48>>2]=B;D=f[b>>2]|0;E=C}C=h+52|0;if((D|0)<3){D=f[C>>2]|0;f[E>>2]=f[D>>2];f[E+4>>2]=f[D+4>>2]}else{f[m>>2]=f[C>>2];m=h+48|0;f[a+48>>2]=f[m>>2];f[C>>2]=h+56;f[m>>2]=y}f[A>>2]=1124007936;o=b;q=o+36|0;do{f[o>>2]=0;o=o+4|0}while((o|0)<(q|0));b=a+64|0;if(!n){A=a+100|0;y=f[A>>2]|0;if(y|0?(m=y+12|0,y=f[m>>2]|0,f[m>>2]=y+-1,(y|0)==1):0)aU(b);f[A>>2]=0;y=a+80|0;m=a+68|0;f[y>>2]=0;f[y+4>>2]=0;f[y+8>>2]=0;f[y+12>>2]=0;if((f[m>>2]|0)>0){C=f[a+104>>2]|0;D=0;do{f[C+(D<<2)>>2]=0;D=D+1|0}while((D|0)<(f[m>>2]|0))}D=h+64|0;f[b>>2]=f[D>>2];b=h+68|0;C=f[b>>2]|0;f[m>>2]=C;m=h+72|0;E=a+72|0;f[E>>2]=f[m>>2];f[a+76>>2]=f[h+76>>2];f[y>>2]=f[h+80>>2];f[a+84>>2]=f[h+84>>2];f[a+88>>2]=f[h+88>>2];f[a+92>>2]=f[h+92>>2];f[a+96>>2]=f[h+96>>2];f[A>>2]=f[h+100>>2];A=a+108|0;y=f[A>>2]|0;B=a+112|0;if((y|0)==(B|0)){F=C;G=y}else{TC(y);f[A>>2]=B;f[a+104>>2]=E;F=f[b>>2]|0;G=B}B=h+108|0;if((F|0)<3){F=f[B>>2]|0;f[G>>2]=f[F>>2];f[G+4>>2]=f[F+4>>2]}else{f[A>>2]=f[B>>2];A=h+104|0;f[a+104>>2]=f[A>>2];f[B>>2]=h+112;f[A>>2]=m}f[D>>2]=1124007936;o=b;q=o+36|0;do{f[o>>2]=0;o=o+4|0}while((o|0)<(q|0));b=a+120|0;if(!n){n=a+156|0;D=f[n>>2]|0;if(D|0?(m=D+12|0,D=f[m>>2]|0,f[m>>2]=D+-1,(D|0)==1):0)aU(b);f[n>>2]=0;D=a+136|0;m=a+124|0;f[D>>2]=0;f[D+4>>2]=0;f[D+8>>2]=0;f[D+12>>2]=0;if((f[m>>2]|0)>0){A=f[a+160>>2]|0;B=0;do{f[A+(B<<2)>>2]=0;B=B+1|0}while((B|0)<(f[m>>2]|0))}B=h+120|0;f[b>>2]=f[B>>2];b=h+124|0;A=f[b>>2]|0;f[m>>2]=A;m=h+128|0;F=a+128|0;f[F>>2]=f[m>>2];f[a+132>>2]=f[h+132>>2];f[D>>2]=f[h+136>>2];f[a+140>>2]=f[h+140>>2];f[a+144>>2]=f[h+144>>2];f[a+148>>2]=f[h+148>>2];f[a+152>>2]=f[h+152>>2];f[n>>2]=f[h+156>>2];n=a+164|0;D=f[n>>2]|0;G=a+168|0;if((D|0)==(G|0)){H=A;I=D}else{TC(D);f[n>>2]=G;f[a+160>>2]=F;H=f[b>>2]|0;I=G}G=h+164|0;if((H|0)<3){H=f[G>>2]|0;f[I>>2]=f[H>>2];f[I+4>>2]=f[H+4>>2]}else{f[n>>2]=f[G>>2];n=h+160|0;f[a+160>>2]=f[n>>2];f[G>>2]=h+168;f[n>>2]=m}f[B>>2]=1124007936;o=b;q=o+36|0;do{f[o>>2]=0;o=o+4|0}while((o|0)<(q|0))}}}o=a+176|0;q=h+176|0;f[o>>2]=f[q>>2];f[o+4>>2]=f[q+4>>2];f[o+8>>2]=f[q+8>>2];f[o+12>>2]=f[q+12>>2];p[a+192>>3]=+p[h+192>>3];p[a+200>>3]=+p[h+200>>3];p[a+208>>3]=+p[h+208>>3];p[a+216>>3]=+p[h+216>>3];Xi(h);h=l+36|0;a=f[h>>2]|0;if(a|0?(q=a+12|0,a=f[q>>2]|0,f[q>>2]=a+-1,(a|0)==1):0)aU(l);f[h>>2]=0;h=l+16|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;if((f[s>>2]|0)>0){h=f[v>>2]|0;v=0;do{f[h+(v<<2)>>2]=0;v=v+1|0}while((v|0)<(f[s>>2]|0))}s=f[w>>2]|0;if((s|0)!=(t|0))TC(s);s=k+36|0;t=f[s>>2]|0;if(t|0?(w=t+12|0,t=f[w>>2]|0,f[w>>2]=t+-1,(t|0)==1):0)aU(k);f[s>>2]=0;s=k+16|0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;if((f[d>>2]|0)>0){s=f[c>>2]|0;c=0;do{f[s+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[d>>2]|0))}d=f[r>>2]|0;if((d|0)!=(j|0))TC(d);d=i+36|0;j=f[d>>2]|0;if(j|0?(r=j+12|0,j=f[r>>2]|0,f[r>>2]=j+-1,(j|0)==1):0)aU(i);f[d>>2]=0;d=i+16|0;j=i+4|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[j>>2]|0)>0){d=f[i+40>>2]|0;r=0;do{f[d+(r<<2)>>2]=0;r=r+1|0}while((r|0)<(f[j>>2]|0))}j=f[i+44>>2]|0;if((j|0)==(i+48|0)){u=g;return}TC(j);u=g;return}function yT(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;d=u;u=u+16|0;e=d+8|0;g=d;gV(e,40808);f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=1124007936;h=a+16|0;i=a+48|0;j=a+12|0;k=j+36|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));f[i>>2]=h;h=a+56|0;f[a+52>>2]=h;f[h>>2]=0;f[a+60>>2]=0;f[a+64>>2]=1124007936;h=a+72|0;i=a+104|0;j=a+68|0;k=j+36|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));f[i>>2]=h;h=a+112|0;f[a+108>>2]=h;f[h>>2]=0;f[a+116>>2]=0;f[a+120>>2]=1124007936;h=a+128|0;i=a+160|0;j=a+124|0;k=j+36|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));f[i>>2]=h;h=a+168|0;f[a+164>>2]=h;j=h;k=j+56|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));f[g>>2]=f[b>>2];f[g+4>>2]=f[b+4>>2];xT(a,48,g,c,1.0);if(!(f[e+4>>2]|0)){u=d;return}u=d;return}function zT(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0;e=u;u=u+16|0;g=e+8|0;h=e;gV(g,40828);f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=1124007936;i=a+16|0;j=a+48|0;k=a+12|0;l=k+36|0;do{f[k>>2]=0;k=k+4|0}while((k|0)<(l|0));f[j>>2]=i;i=a+56|0;f[a+52>>2]=i;f[i>>2]=0;f[a+60>>2]=0;f[a+64>>2]=1124007936;i=a+72|0;j=a+104|0;k=a+68|0;l=k+36|0;do{f[k>>2]=0;k=k+4|0}while((k|0)<(l|0));f[j>>2]=i;i=a+112|0;f[a+108>>2]=i;f[i>>2]=0;f[a+116>>2]=0;f[a+120>>2]=1124007936;i=a+128|0;j=a+160|0;k=a+124|0;l=k+36|0;do{f[k>>2]=0;k=k+4|0}while((k|0)<(l|0));f[j>>2]=i;i=a+168|0;f[a+164>>2]=i;k=i;l=k+56|0;do{f[k>>2]=0;k=k+4|0}while((k|0)<(l|0));f[h>>2]=c;f[h+4>>2]=b;xT(a,49,h,d,1.0);if(!(f[g+4>>2]|0)){u=e;return}u=e;return}function AT(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;d=u;u=u+16|0;e=d+8|0;g=d;gV(e,40848);f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=1124007936;h=a+16|0;i=a+48|0;j=a+12|0;k=j+36|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));f[i>>2]=h;h=a+56|0;f[a+52>>2]=h;f[h>>2]=0;f[a+60>>2]=0;f[a+64>>2]=1124007936;h=a+72|0;i=a+104|0;j=a+68|0;k=j+36|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));f[i>>2]=h;h=a+112|0;f[a+108>>2]=h;f[h>>2]=0;f[a+116>>2]=0;f[a+120>>2]=1124007936;h=a+128|0;i=a+160|0;j=a+124|0;k=j+36|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));f[i>>2]=h;h=a+168|0;f[a+164>>2]=h;j=h;k=j+56|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));f[g>>2]=f[b>>2];f[g+4>>2]=f[b+4>>2];xT(a,49,g,c,1.0);if(!(f[e+4>>2]|0)){u=d;return}u=d;return}function BT(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0;e=u;u=u+16|0;g=e+8|0;h=e;gV(g,40868);f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=1124007936;i=a+16|0;j=a+48|0;k=a+12|0;l=k+36|0;do{f[k>>2]=0;k=k+4|0}while((k|0)<(l|0));f[j>>2]=i;i=a+56|0;f[a+52>>2]=i;f[i>>2]=0;f[a+60>>2]=0;f[a+64>>2]=1124007936;i=a+72|0;j=a+104|0;k=a+68|0;l=k+36|0;do{f[k>>2]=0;k=k+4|0}while((k|0)<(l|0));f[j>>2]=i;i=a+112|0;f[a+108>>2]=i;f[i>>2]=0;f[a+116>>2]=0;f[a+120>>2]=1124007936;i=a+128|0;j=a+160|0;k=a+124|0;l=k+36|0;do{f[k>>2]=0;k=k+4|0}while((k|0)<(l|0));f[j>>2]=i;i=a+168|0;f[a+164>>2]=i;k=i;l=k+56|0;do{f[k>>2]=0;k=k+4|0}while((k|0)<(l|0));f[h>>2]=c;f[h+4>>2]=b;xT(a,73,h,d,1.0);if(!(f[g+4>>2]|0)){u=e;return}u=e;return}function CT(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;d=u;u=u+16|0;e=d+8|0;g=d;gV(e,40888);f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=1124007936;h=a+16|0;i=a+48|0;j=a+12|0;k=j+36|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));f[i>>2]=h;h=a+56|0;f[a+52>>2]=h;f[h>>2]=0;f[a+60>>2]=0;f[a+64>>2]=1124007936;h=a+72|0;i=a+104|0;j=a+68|0;k=j+36|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));f[i>>2]=h;h=a+112|0;f[a+108>>2]=h;f[h>>2]=0;f[a+116>>2]=0;f[a+120>>2]=1124007936;h=a+128|0;i=a+160|0;j=a+124|0;k=j+36|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));f[i>>2]=h;h=a+168|0;f[a+164>>2]=h;j=h;k=j+56|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));f[g>>2]=f[b>>2];f[g+4>>2]=f[b+4>>2];xT(a,73,g,c,1.0);if(!(f[e+4>>2]|0)){u=d;return}u=d;return}function DT(a){a=a|0;return}function ET(a,b,c){a=a|0;b=b|0;c=c|0;return}function FT(a,b){a=a|0;b=b|0;if(f[b+8>>2]|0)return;if(f[b+12>>2]|0)return;yh[f[(f[a>>2]|0)+16>>2]&2047](a,b);return}function GT(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;a=u;u=u+288|0;k=a+160|0;l=a+104|0;m=a+48|0;n=a+40|0;o=a+32|0;p=a;if(!c){u=a;return}q=f[c+16>>2]|0;a:do if((e|0)>0){c=e+-2|0;if(!h){r=0;while(1){s=f[g+(r<<2)>>2]|0;if((s|0)<=-1)break;if(!s)break a;f[k+(r<<2)>>2]=s;r=r+1|0;if((r|0)>=(e|0)){t=q;v=13;break a}}w=cuc(32)|0;f[l>>2]=w;x=l+8|0;f[x>>2]=-2147483616;y=l+4|0;f[y>>2]=24;z=w;A=217958;B=z+24|0;do{b[z>>0]=b[A>>0]|0;z=z+1|0;A=A+1|0}while((z|0)<(B|0));C=w+24|0;b[C>>0]=0;WD(-215,l,218456,217988,33)}else{D=q;E=0}while(1){r=f[g+(E<<2)>>2]|0;if((r|0)<=-1)break;if(!r)break a;if((E|0)>(c|0))F=1;else F=f[i+(E<<2)>>2]|0;s=D+(Y(F,f[h+(E<<2)>>2]|0)|0)|0;f[k+(E<<2)>>2]=r;E=E+1|0;if((E|0)>=(e|0)){t=s;v=13;break a}else D=s}w=cuc(32)|0;f[l>>2]=w;x=l+8|0;f[x>>2]=-2147483616;y=l+4|0;f[y>>2]=24;z=w;A=217958;B=z+24|0;do{b[z>>0]=b[A>>0]|0;z=z+1|0;A=A+1|0}while((z|0)<(B|0));C=w+24|0;b[C>>0]=0;WD(-215,l,218456,217988,33)}else{t=q;v=13}while(0);if((v|0)==13){v=l+4|0;q=l+8|0;C=l+16|0;w=l+20|0;A=l+40|0;z=v;B=z+36|0;do{f[z>>2]=0;z=z+4|0}while((z|0)<(B|0));f[A>>2]=q;q=l+48|0;y=l+44|0;f[y>>2]=q;f[l+52>>2]=0;f[q>>2]=0;f[l>>2]=1124007936;f[C>>2]=t;f[w>>2]=t;QT(l,e,k,i,1);RT(l);i=m+4|0;t=m+8|0;w=m+16|0;x=m+20|0;D=m+40|0;z=i;B=z+36|0;do{f[z>>2]=0;z=z+4|0}while((z|0)<(B|0));f[D>>2]=t;t=m+48|0;z=m+44|0;f[z>>2]=t;f[m+52>>2]=0;f[t>>2]=0;f[m>>2]=1124007936;f[w>>2]=d;f[x>>2]=d;QT(m,e,k,j,1);RT(m);f[n>>2]=l;f[n+4>>2]=m;YC(p,n,o,2);n=f[p+20>>2]|0;j=p+16|0;k=o+4|0;e=0;while(1){if(e>>>0>=(f[j>>2]|0)>>>0)break;szc(f[k>>2]|0,f[o>>2]|0,n|0)|0;ZC(p)|0;e=e+1|0}e=m+36|0;p=f[e>>2]|0;if((p|0?(n=p+12|0,p=f[n>>2]|0,f[n>>2]=p+-1,(p|0)==1):0)?(p=f[e>>2]|0,p|0):0){f[e>>2]=0;n=f[p+4>>2]|0;if(!n){o=f[m+32>>2]|0;if(!o)G=ST()|0;else G=o}else G=n;yh[f[(f[G>>2]|0)+24>>2]&2047](G,p)}f[e>>2]=0;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;f[w+12>>2]=0;if((f[i>>2]|0)>0){w=f[D>>2]|0;D=0;do{f[w+(D<<2)>>2]=0;D=D+1|0}while((D|0)<(f[i>>2]|0))}i=f[z>>2]|0;if((i|0)!=(t|0))TC(i);i=l+36|0;t=f[i>>2]|0;if((t|0?(z=t+12|0,t=f[z>>2]|0,f[z>>2]=t+-1,(t|0)==1):0)?(t=f[i>>2]|0,t|0):0){f[i>>2]=0;z=f[t+4>>2]|0;if(!z){D=f[l+32>>2]|0;if(!D)H=ST()|0;else H=D}else H=z;yh[f[(f[H>>2]|0)+24>>2]&2047](H,t)}f[i>>2]=0;f[C>>2]=0;f[C+4>>2]=0;f[C+8>>2]=0;f[C+12>>2]=0;if((f[v>>2]|0)>0){C=f[A>>2]|0;A=0;do{f[C+(A<<2)>>2]=0;A=A+1|0}while((A|0)<(f[v>>2]|0))}v=f[y>>2]|0;if((v|0)!=(q|0))TC(v)}u=a;return}function HT(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;a=u;u=u+288|0;k=a+160|0;l=a+104|0;m=a+48|0;n=a+40|0;o=a+32|0;p=a;if(!c){u=a;return}q=f[c+16>>2]|0;a:do if((e|0)>0){c=e+-2|0;if(!h){r=0;while(1){s=f[g+(r<<2)>>2]|0;if((s|0)<=-1)break;if(!s)break a;f[k+(r<<2)>>2]=s;r=r+1|0;if((r|0)>=(e|0)){t=q;v=13;break a}}w=cuc(32)|0;f[l>>2]=w;x=l+8|0;f[x>>2]=-2147483616;y=l+4|0;f[y>>2]=24;z=w;A=217958;B=z+24|0;do{b[z>>0]=b[A>>0]|0;z=z+1|0;A=A+1|0}while((z|0)<(B|0));C=w+24|0;b[C>>0]=0;WD(-215,l,218449,217988,64)}else{D=q;E=0}while(1){r=f[g+(E<<2)>>2]|0;if((r|0)<=-1)break;if(!r)break a;if((E|0)>(c|0))F=1;else F=f[i+(E<<2)>>2]|0;s=D+(Y(F,f[h+(E<<2)>>2]|0)|0)|0;f[k+(E<<2)>>2]=r;E=E+1|0;if((E|0)>=(e|0)){t=s;v=13;break a}else D=s}w=cuc(32)|0;f[l>>2]=w;x=l+8|0;f[x>>2]=-2147483616;y=l+4|0;f[y>>2]=24;z=w;A=217958;B=z+24|0;do{b[z>>0]=b[A>>0]|0;z=z+1|0;A=A+1|0}while((z|0)<(B|0));C=w+24|0;b[C>>0]=0;WD(-215,l,218449,217988,64)}else{t=q;v=13}while(0);if((v|0)==13){v=l+4|0;q=l+8|0;C=l+16|0;w=l+20|0;A=l+40|0;z=v;B=z+36|0;do{f[z>>2]=0;z=z+4|0}while((z|0)<(B|0));f[A>>2]=q;q=l+48|0;y=l+44|0;f[y>>2]=q;f[l+52>>2]=0;f[q>>2]=0;f[l>>2]=1124007936;f[C>>2]=d;f[w>>2]=d;QT(l,e,k,j,1);RT(l);j=m+4|0;d=m+8|0;w=m+16|0;x=m+20|0;D=m+40|0;z=j;B=z+36|0;do{f[z>>2]=0;z=z+4|0}while((z|0)<(B|0));f[D>>2]=d;d=m+48|0;z=m+44|0;f[z>>2]=d;f[m+52>>2]=0;f[d>>2]=0;f[m>>2]=1124007936;f[w>>2]=t;f[x>>2]=t;QT(m,e,k,i,1);RT(m);f[n>>2]=l;f[n+4>>2]=m;YC(p,n,o,2);n=f[p+20>>2]|0;i=p+16|0;k=o+4|0;e=0;while(1){if(e>>>0>=(f[i>>2]|0)>>>0)break;szc(f[k>>2]|0,f[o>>2]|0,n|0)|0;ZC(p)|0;e=e+1|0}e=m+36|0;p=f[e>>2]|0;if((p|0?(n=p+12|0,p=f[n>>2]|0,f[n>>2]=p+-1,(p|0)==1):0)?(p=f[e>>2]|0,p|0):0){f[e>>2]=0;n=f[p+4>>2]|0;if(!n){o=f[m+32>>2]|0;if(!o)G=ST()|0;else G=o}else G=n;yh[f[(f[G>>2]|0)+24>>2]&2047](G,p)}f[e>>2]=0;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;f[w+12>>2]=0;if((f[j>>2]|0)>0){w=f[D>>2]|0;D=0;do{f[w+(D<<2)>>2]=0;D=D+1|0}while((D|0)<(f[j>>2]|0))}j=f[z>>2]|0;if((j|0)!=(d|0))TC(j);j=l+36|0;d=f[j>>2]|0;if((d|0?(z=d+12|0,d=f[z>>2]|0,f[z>>2]=d+-1,(d|0)==1):0)?(d=f[j>>2]|0,d|0):0){f[j>>2]=0;z=f[d+4>>2]|0;if(!z){D=f[l+32>>2]|0;if(!D)H=ST()|0;else H=D}else H=z;yh[f[(f[H>>2]|0)+24>>2]&2047](H,d)}f[j>>2]=0;f[C>>2]=0;f[C+4>>2]=0;f[C+8>>2]=0;f[C+12>>2]=0;if((f[v>>2]|0)>0){C=f[A>>2]|0;A=0;do{f[C+(A<<2)>>2]=0;A=A+1|0}while((A|0)<(f[v>>2]|0))}v=f[y>>2]|0;if((v|0)!=(q|0))TC(v)}u=a;return}function IT(a,c,d,e,g,h,i,j,k,l){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0;l=u;u=u+304|0;a=l+288|0;m=l+160|0;n=l+104|0;o=l+48|0;p=l+40|0;q=l+32|0;r=l;gV(a,40940);if((c|0)!=0&(d|0)!=0){s=f[c+16>>2]|0;c=f[d+16>>2]|0;a:do if((e|0)>0){d=(j|0)==0;t=e+-2|0;if(h|0){v=0;w=c;x=s;while(1){y=f[g+(v<<2)>>2]|0;if((y|0)<=-1)break;if(!y)break a;z=(v|0)>(t|0);if(z)A=1;else A=f[i+(v<<2)>>2]|0;B=x+(Y(A,f[h+(v<<2)>>2]|0)|0)|0;if(d)C=w;else{if(z)D=1;else D=f[k+(v<<2)>>2]|0;C=w+(Y(D,f[j+(v<<2)>>2]|0)|0)|0}f[m+(v<<2)>>2]=y;v=v+1|0;if((v|0)>=(e|0)){E=C;F=B;G=23;break a}else{w=C;x=B}}f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;H=cuc(32)|0;f[n>>2]=H;I=n+8|0;f[I>>2]=-2147483616;J=n+4|0;f[J>>2]=24;K=H;L=217958;M=K+24|0;do{b[K>>0]=b[L>>0]|0;K=K+1|0;L=L+1|0}while((K|0)<(M|0));N=H+24|0;b[N>>0]=0;WD(-215,n,217983,217988,97)}if(d){x=0;while(1){w=f[g+(x<<2)>>2]|0;if((w|0)<=-1)break;if(!w)break a;f[m+(x<<2)>>2]=w;x=x+1|0;if((x|0)>=(e|0)){E=c;F=s;G=23;break a}}f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;H=cuc(32)|0;f[n>>2]=H;I=n+8|0;f[I>>2]=-2147483616;J=n+4|0;f[J>>2]=24;K=H;L=217958;M=K+24|0;do{b[K>>0]=b[L>>0]|0;K=K+1|0;L=L+1|0}while((K|0)<(M|0));N=H+24|0;b[N>>0]=0;WD(-215,n,217983,217988,97)}else{O=0;P=c}while(1){x=f[g+(O<<2)>>2]|0;if((x|0)<=-1)break;if(!x)break a;if((O|0)>(t|0))Q=1;else Q=f[k+(O<<2)>>2]|0;d=P+(Y(Q,f[j+(O<<2)>>2]|0)|0)|0;f[m+(O<<2)>>2]=x;O=O+1|0;if((O|0)>=(e|0)){E=d;F=s;G=23;break a}else P=d}f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;H=cuc(32)|0;f[n>>2]=H;I=n+8|0;f[I>>2]=-2147483616;J=n+4|0;f[J>>2]=24;K=H;L=217958;M=K+24|0;do{b[K>>0]=b[L>>0]|0;K=K+1|0;L=L+1|0}while((K|0)<(M|0));N=H+24|0;b[N>>0]=0;WD(-215,n,217983,217988,97)}else{E=c;F=s;G=23}while(0);if((G|0)==23){G=n+4|0;s=n+8|0;c=n+16|0;N=n+20|0;H=n+40|0;K=G;M=K+36|0;do{f[K>>2]=0;K=K+4|0}while((K|0)<(M|0));f[H>>2]=s;s=n+48|0;L=n+44|0;f[L>>2]=s;f[n+52>>2]=0;f[s>>2]=0;f[n>>2]=1124007936;f[c>>2]=F;f[N>>2]=F;QT(n,e,m,i,1);RT(n);i=o+4|0;F=o+8|0;N=o+16|0;J=o+20|0;I=o+40|0;K=i;M=K+36|0;do{f[K>>2]=0;K=K+4|0}while((K|0)<(M|0));f[I>>2]=F;F=o+48|0;K=o+44|0;f[K>>2]=F;f[o+52>>2]=0;f[F>>2]=0;f[o>>2]=1124007936;f[N>>2]=E;f[J>>2]=E;QT(o,e,m,k,1);RT(o);f[p>>2]=n;f[p+4>>2]=o;YC(r,p,q,2);p=f[r+20>>2]|0;k=r+16|0;m=q+4|0;e=0;while(1){if(e>>>0>=(f[k>>2]|0)>>>0)break;szc(f[m>>2]|0,f[q>>2]|0,p|0)|0;ZC(r)|0;e=e+1|0}e=o+36|0;r=f[e>>2]|0;if((r|0?(p=r+12|0,r=f[p>>2]|0,f[p>>2]=r+-1,(r|0)==1):0)?(r=f[e>>2]|0,r|0):0){f[e>>2]=0;p=f[r+4>>2]|0;if(!p){q=f[o+32>>2]|0;if(!q)R=ST()|0;else R=q}else R=p;yh[f[(f[R>>2]|0)+24>>2]&2047](R,r)}f[e>>2]=0;f[N>>2]=0;f[N+4>>2]=0;f[N+8>>2]=0;f[N+12>>2]=0;if((f[i>>2]|0)>0){N=f[I>>2]|0;I=0;do{f[N+(I<<2)>>2]=0;I=I+1|0}while((I|0)<(f[i>>2]|0))}i=f[K>>2]|0;if((i|0)!=(F|0))TC(i);i=n+36|0;F=f[i>>2]|0;if((F|0?(K=F+12|0,F=f[K>>2]|0,f[K>>2]=F+-1,(F|0)==1):0)?(F=f[i>>2]|0,F|0):0){f[i>>2]=0;K=f[F+4>>2]|0;if(!K){I=f[n+32>>2]|0;if(!I)S=ST()|0;else S=I}else S=K;yh[f[(f[S>>2]|0)+24>>2]&2047](S,F)}f[i>>2]=0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[G>>2]|0)>0){c=f[H>>2]|0;H=0;do{f[c+(H<<2)>>2]=0;H=H+1|0}while((H|0)<(f[G>>2]|0))}G=f[L>>2]|0;if((G|0)!=(s|0))TC(G)}}if(!(f[a+4>>2]|0)){u=l;return}u=l;return}function JT(a,c){a=a|0;c=c|0;if((b[535136]|0)==0?$yc(535136)|0:0)f[137600]=40916;return 550400}function KT(a){a=a|0;return -1}function LT(a){a=a|0;return -1}function MT(a,b){a=a|0;b=b|0;return}function NT(a){a=a|0;return}function OT(a){a=a|0;return}function PT(a){a=a|0;fuc(a);return}function QT(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;h=u;u=u+16|0;i=h;if(c>>>0>=33){j=cuc(48)|0;f[i>>2]=j;f[i+8>>2]=-2147483600;f[i+4>>2]=33;k=j;l=218151;m=k+33|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));b[j+33>>0]=0;WD(-215,i,218185,217988,209)}j=a+4|0;if((f[j>>2]|0)!=(c|0)){n=a+44|0;o=f[n>>2]|0;p=a+48|0;if((o|0)!=(p|0)){TC(o);f[n>>2]=p;f[a+40>>2]=a+8}if((c|0)>2){p=SC(c<<3|4)|0;f[n>>2]=p;n=p+(c<<2)+4|0;f[a+40>>2]=n;f[n+-4>>2]=c;f[a+12>>2]=-1;f[a+8>>2]=-1}}f[j>>2]=c;if(!d){u=h;return}n=f[a>>2]|0;p=675553809>>>(n<<2&28)&15;o=Y(p,(n>>>3&511)+1|0)|0;n=c+-1|0;if((c|0)<=0){u=h;return}q=f[a+40>>2]|0;r=f[a+44>>2]|0;a:do if(!e){s=n;t=o;while(1){v=f[d+(s<<2)>>2]|0;if((v|0)<=-1){w=18;break}f[q+(s<<2)>>2]=v;if(g){f[r+(s<<2)>>2]=t;x=Bzc(v|0,((v|0)<0)<<31>>31|0,t|0,0)|0;if(!((x|0)==(x|0)&(J|0)==0)){w=22;break}y=x}else y=t;if((s|0)>0){s=s+-1|0;t=y}else break a}if((w|0)==18){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;z=i+11|0;b[z>>0]=6;b[i>>0]=b[218193]|0;b[i+1>>0]=b[218194]|0;b[i+2>>0]=b[218195]|0;b[i+3>>0]=b[218196]|0;b[i+4>>0]=b[218197]|0;b[i+5>>0]=b[218198]|0;A=i+6|0;b[A>>0]=0;WD(-215,i,218185,217988,235)}else if((w|0)==22){t=cuc(64)|0;f[i>>2]=t;f[i+8>>2]=-2147483584;f[i+4>>2]=51;k=t;l=218232;m=k+51|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));b[t+51>>0]=0;WD(-211,i,218185,217988,252)}}else{s=n;while(1){x=f[d+(s<<2)>>2]|0;if((x|0)<=-1){w=18;break}f[q+(s<<2)>>2]=x;x=f[e+(s<<2)>>2]|0;if((x>>>0)%(p>>>0)|0|0){w=20;break}f[r+(s<<2)>>2]=(s|0)<(n|0)?x:o;if((s|0)>0)s=s+-1|0;else break a}if((w|0)==18){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;z=i+11|0;b[z>>0]=6;b[i>>0]=b[218193]|0;b[i+1>>0]=b[218194]|0;b[i+2>>0]=b[218195]|0;b[i+3>>0]=b[218196]|0;b[i+4>>0]=b[218197]|0;b[i+5>>0]=b[218198]|0;A=i+6|0;b[A>>0]=0;WD(-215,i,218185,217988,235)}else if((w|0)==20){s=cuc(32)|0;f[i>>2]=s;f[i+8>>2]=-2147483616;f[i+4>>2]=31;k=s;l=218200;m=k+31|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));b[s+31>>0]=0;WD(-13,i,218185,217988,242)}}while(0);if((c|0)!=1){u=h;return}f[j>>2]=2;f[a+12>>2]=1;f[(f[a+44>>2]|0)+4>>2]=o;u=h;return}function RT(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;b=f[a>>2]|0;c=f[a+4>>2]|0;d=f[a+40>>2]|0;e=f[a+44>>2]|0;a:do if((c|0)>0){g=0;while(1){if((f[d+(g<<2)>>2]|0)>1){h=g;break a}i=g+1|0;if((i|0)<(c|0))g=i;else{h=i;break}}}else h=0;while(0);g=c+-1|0;i=f[d+(((g|0)<(h|0)?g:h)<<2)>>2]|0;j=Bzc(i|0,((i|0)<0)<<31>>31|0,(b>>>3&511)+1|0,0)|0;i=g;k=j;j=J;while(1){if((i|0)<=(h|0)){l=7;break}m=f[d+(i<<2)>>2]|0;n=Bzc(m|0,((m|0)<0)<<31>>31|0,k|0,j|0)|0;o=Y(f[e+(i<<2)>>2]|0,m)|0;i=i+-1|0;if(o>>>0<(f[e+(i<<2)>>2]|0)>>>0){l=9;break}else{k=n;j=J}}if((l|0)==7){i=ozc(0,k|0,32)|0;if((k|0)==(i|0)&(j|0)==(J|0))p=b|16384;else l=9}if((l|0)==9)p=b&-16385;f[a>>2]=p;if((c|0)>2){f[a+12>>2]=-1;f[a+8>>2]=-1}p=f[a+36>>2]|0;if(!p)q=a+16|0;else{b=f[p+16>>2]|0;p=a+16|0;f[p>>2]=b;f[a+20>>2]=b;q=p}p=f[q>>2]|0;if(!p){f[a+28>>2]=0;f[a+24>>2]=0;return}q=f[d>>2]|0;b=f[e>>2]|0;l=(f[a+20>>2]|0)+(Y(b,q)|0)|0;f[a+28>>2]=l;if((q|0)<=0){f[a+24>>2]=l;return}l=p+(Y(f[e+(g<<2)>>2]|0,f[d+(g<<2)>>2]|0)|0)|0;p=a+24|0;f[p>>2]=l;if((c|0)<=1)return;c=l+(Y(b,q+-1|0)|0)|0;if((g|0)==1)r=c;else{q=1;b=c;while(1){c=b+(Y(f[e+(q<<2)>>2]|0,(f[d+(q<<2)>>2]|0)+-1|0)|0)|0;q=q+1|0;if((q|0)==(g|0)){r=c;break}else b=c}}f[p>>2]=r;return}function ST(){var a=0,b=0,c=0,d=0;if(f[137601]|0){a=f[137601]|0;return a|0}b=vE()|0;$tc(b);if(!(f[137601]|0)){if(!(f[137602]|0)){c=vE()|0;$tc(c);if(!(f[137602]|0)){d=cuc(4)|0;f[d>>2]=40968;f[137602]=d}auc(c)}f[137601]=f[137602]}auc(b);a=f[137601]|0;return a|0}function TT(a){a=a|0;fuc(a);return}function UT(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;j=u;u=u+16|0;i=j;k=Y(675553809>>>(e<<2&28)&15,(e>>>3&511)+1|0)|0;e=c+-1|0;a:do if((c|0)>0){if(!h){l=e;m=k;while(1){n=Y(f[d+(l<<2)>>2]|0,m)|0;if((l|0)>0){l=l+-1|0;m=n}else{o=n;break a}}}if(!g){m=e;l=k;while(1){f[h+(m<<2)>>2]=l;n=Y(f[d+(m<<2)>>2]|0,l)|0;if((m|0)>0){m=m+-1|0;l=n}else{o=n;break a}}}else{p=e;q=k}while(1){l=h+(p<<2)|0;m=f[l>>2]|0;if((m|0)!=2147483647)if(q>>>0>m>>>0)break;else r=m;else{f[l>>2]=q;r=q}l=Y(f[d+(p<<2)>>2]|0,r)|0;if((p|0)>0){p=p+-1|0;q=l}else{o=l;break a}}l=cuc(32)|0;f[i>>2]=l;f[i+8>>2]=-2147483616;f[i+4>>2]=16;m=l;n=218102;s=m+16|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(s|0));b[l+16>>0]=0;WD(-215,i,218119,217988,139)}else o=k;while(0);k=(g|0)!=0;if(k)t=g;else t=SC(o)|0;g=cuc(52)|0;HH(g,a);f[g+20>>2]=t;f[g+16>>2]=t;f[g+24>>2]=o;if(!k){u=j;return g|0}k=g+28|0;f[k>>2]=f[k>>2]|32;u=j;return g|0}function VT(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return (b|0)!=0|0}function WT(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0;a=u;u=u+16|0;d=a;if(!c){u=a;return}if(f[c+8>>2]|0){e=cuc(32)|0;f[d>>2]=e;f[d+8>>2]=-2147483616;f[d+4>>2]=17;g=e;h=218056;i=g+17|0;do{b[g>>0]=b[h>>0]|0;g=g+1|0;h=h+1|0}while((g|0)<(i|0));b[e+17>>0]=0;WD(-215,d,218074,217988,168)}if(f[c+12>>2]|0){e=cuc(32)|0;f[d>>2]=e;f[d+8>>2]=-2147483616;f[d+4>>2]=16;g=e;h=218085;i=g+16|0;do{b[g>>0]=b[h>>0]|0;g=g+1|0;h=h+1|0}while((g|0)<(i|0));b[e+16>>0]=0;WD(-215,d,218074,217988,169)}if(!(f[c+28>>2]&32)){d=c+20|0;TC(f[d>>2]|0);f[d>>2]=0}IH(c);fuc(c);u=a;return}function XT(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;a:do if((b|0)>0){e=0;while(1){if((f[c+(e<<2)>>2]|0)>1){g=e;break a}h=e+1|0;if((h|0)<(b|0))e=h;else{g=h;break}}}else g=0;while(0);e=b+-1|0;b=f[c+(((e|0)<(g|0)?e:g)<<2)>>2]|0;h=Bzc(b|0,((b|0)<0)<<31>>31|0,(a>>>3&511)+1|0,0)|0;b=e;e=h;h=J;while(1){if((b|0)<=(g|0)){i=7;break}j=f[c+(b<<2)>>2]|0;k=Bzc(j|0,((j|0)<0)<<31>>31|0,e|0,h|0)|0;l=Y(f[d+(b<<2)>>2]|0,j)|0;b=b+-1|0;if(l>>>0<(f[d+(b<<2)>>2]|0)>>>0)break;else{e=k;h=J}}if((i|0)==7?(i=ozc(0,e|0,32)|0,(e|0)==(i|0)&(h|0)==(J|0)):0){m=a|16384;return m|0}m=a&-16385;return m|0}function YT(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;b=f[a>>2]|0;c=f[a+4>>2]|0;d=f[a+40>>2]|0;e=f[a+44>>2]|0;a:do if((c|0)>0){g=0;while(1){if((f[d+(g<<2)>>2]|0)>1){h=g;break a}i=g+1|0;if((i|0)<(c|0))g=i;else{h=i;break}}}else h=0;while(0);g=c+-1|0;c=f[d+(((g|0)<(h|0)?g:h)<<2)>>2]|0;i=Bzc(c|0,((c|0)<0)<<31>>31|0,(b>>>3&511)+1|0,0)|0;c=g;g=i;i=J;while(1){if((c|0)<=(h|0)){j=7;break}k=f[d+(c<<2)>>2]|0;l=Bzc(k|0,((k|0)<0)<<31>>31|0,g|0,i|0)|0;m=Y(f[e+(c<<2)>>2]|0,k)|0;c=c+-1|0;if(m>>>0<(f[e+(c<<2)>>2]|0)>>>0)break;else{g=l;i=J}}if((j|0)==7?(j=ozc(0,g|0,32)|0,(g|0)==(j|0)&(i|0)==(J|0)):0){n=b|16384;f[a>>2]=n;return}n=b&-16385;f[a>>2]=n;return}function ZT(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;g=u;u=u+144|0;h=g+16|0;i=g;if(!(c>>>0<33&(d|0)!=0)){j=cuc(48)|0;f[h>>2]=j;f[h+8>>2]=-2147483600;f[h+4>>2]=35;k=j;l=218485;m=k+35|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));b[j+35>>0]=0;WD(-215,h,458319,217988,321)}j=e&4095;e=a+16|0;do if(f[e>>2]|0){n=f[a+4>>2]|0;if((n|0)!=(c|0)?!((c|0)==1&(n|0)<3):0)break;if((j|0)==(f[a>>2]&4095|0)){if((c|0)==2)if((f[a+8>>2]|0)==(f[d>>2]|0)?(f[a+12>>2]|0)==(f[d+4>>2]|0):0){u=g;return}else o=11;else if((c|0)>0)o=11;else p=0;a:do if((o|0)==11){n=f[a+40>>2]|0;q=0;while(1){if((f[n+(q<<2)>>2]|0)!=(f[d+(q<<2)>>2]|0)){p=q;break a}r=q+1|0;if((r|0)<(c|0))q=r;else{p=r;break}}}while(0);if((p|0)==(c|0)){if((c|0)>1){u=g;return}if((f[(f[a+40>>2]|0)+4>>2]|0)==1){u=g;return}}}}while(0);p=a+40|0;if((f[p>>2]|0)==(d|0)){if((c|0)>0)szc(h|0,d|0,c<<2|0)|0;s=h}else s=d;d=a+36|0;h=f[d>>2]|0;if((h|0?(o=h+12|0,h=f[o>>2]|0,f[o>>2]=h+-1,(h|0)==1):0)?(h=f[d>>2]|0,h|0):0){f[d>>2]=0;o=f[h+4>>2]|0;if(!o){q=f[a+32>>2]|0;if(!q)t=ST()|0;else t=q}else t=o;yh[f[(f[t>>2]|0)+24>>2]&2047](t,h)}f[d>>2]=0;h=a+4|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((f[h>>2]|0)>0){e=f[p>>2]|0;t=0;do{f[e+(t<<2)>>2]=0;t=t+1|0}while((t|0)<(f[h>>2]|0))}if(c|0){f[a>>2]=j|1124007936;QT(a,c,s,0,1);s=f[h>>2]|0;if((s|0)<3)v=Y(f[a+12>>2]|0,f[a+8>>2]|0)|0;else{c=f[p>>2]|0;t=0;e=1;while(1){o=Y(f[c+(t<<2)>>2]|0,e)|0;t=t+1|0;if((t|0)==(s|0)){v=o;break}else e=o}}if(v|0){v=f[a+32>>2]|0;e=ST()|0;s=(v|0)==0?e:v;v=a+44|0;e=Ei[f[(f[s>>2]|0)+8>>2]&15](s,f[h>>2]|0,f[p>>2]|0,j,0,f[v>>2]|0,50331648,0)|0;f[d>>2]=e;if(!e){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;b[i+11>>0]=6;b[i>>0]=b[218521]|0;b[i+1>>0]=b[218522]|0;b[i+2>>0]=b[218523]|0;b[i+3>>0]=b[218524]|0;b[i+4>>0]=b[218525]|0;b[i+5>>0]=b[218526]|0;b[i+6>>0]=0;WD(-215,i,458319,217988,361)}e=f[a>>2]|0;if((f[(f[v>>2]|0)+((f[h>>2]|0)+-1<<2)>>2]|0)!=(Y(675553809>>>(e<<2&28)&15,(e>>>3&511)+1|0)|0)){e=cuc(48)|0;f[i>>2]=e;f[i+8>>2]=-2147483600;f[i+4>>2]=43;k=e;l=218528;m=k+43|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));b[e+43>>0]=0;WD(-215,i,458319,217988,369)}}i=f[d>>2]|0;if(i|0){d=i+12|0;f[d>>2]=(f[d>>2]|0)+1}RT(a)}u=g;return}function _T(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;d=f[b>>2]|0;ZT(a,(f[b+4>>2]|0)-d>>2,d,c);return}function $T(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;QT(a,f[b+4>>2]|0,0,0,0);c=a+4|0;if((f[c>>2]|0)<=0)return;d=f[b+40>>2]|0;e=f[a+40>>2]|0;g=f[b+44>>2]|0;b=f[a+44>>2]|0;a=0;do{f[e+(a<<2)>>2]=f[d+(a<<2)>>2];f[b+(a<<2)>>2]=f[g+(a<<2)>>2];a=a+1|0}while((a|0)<(f[c>>2]|0));return}function aU(a){a=a|0;var b=0,c=0,d=0,e=0;b=a+36|0;c=f[b>>2]|0;if(!c)return;f[b>>2]=0;b=f[c+4>>2]|0;if(!b){d=f[a+32>>2]|0;if(!d)e=ST()|0;else e=d}else e=b;yh[f[(f[e>>2]|0)+24>>2]&2047](e,c);return}function bU(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0;g=u;u=u+1152|0;h=g+56|0;i=g;f[a>>2]=1124007936;j=a+4|0;k=a+8|0;l=a+12|0;m=a+16|0;n=a+20|0;o=a+24|0;p=a+28|0;q=a+32|0;r=a+36|0;s=a+40|0;t=j;v=t+36|0;do{f[t>>2]=0;t=t+4|0}while((t|0)<(v|0));f[s>>2]=k;w=a+44|0;x=a+48|0;f[w>>2]=x;f[a+52>>2]=0;f[x>>2]=0;y=c+4|0;z=f[y>>2]|0;if((z|0)<=1){A=cuc(16)|0;f[h>>2]=A;f[h+8>>2]=-2147483632;f[h+4>>2]=11;t=A;B=218572;v=t+11|0;do{b[t>>0]=b[B>>0]|0;t=t+1|0;B=B+1|0}while((t|0)<(v|0));b[A+11>>0]=0;WD(-215,h,466353,217988,405)}if((z|0)!=2){A=h+8|0;kzc(A|0,0,1088)|0;f[h>>2]=A;C=h+4|0;f[C>>2]=z;if(z>>>0>136){D=euc(z>>>0>536870911?-1:z<<3)|0;kzc(D|0,0,z<<3|0)|0;f[h>>2]=D;E=D}else E=A;D=d;z=f[D+4>>2]|0;F=E;f[F>>2]=f[D>>2];f[F+4>>2]=z;z=f[h>>2]|0;F=e;D=f[F+4>>2]|0;E=z+8|0;f[E>>2]=f[F>>2];f[E+4>>2]=D;if((f[y>>2]|0)>2){D=2;E=z;while(1){F=E+(D<<3)|0;f[F>>2]=-2147483648;f[F+4>>2]=2147483647;D=D+1|0;F=f[h>>2]|0;if((D|0)>=(f[y>>2]|0)){G=F;break}else E=F}}else G=z;cU(i,c,G);G=f[r>>2]|0;if((i|0)==(a|0)){z=i+36|0;if(((G|0)!=0?(E=G+12|0,y=f[E>>2]|0,f[E>>2]=y+-1,(y|0)==1):0)?(y=f[z>>2]|0,(y|0)!=0):0){f[z>>2]=0;E=f[y+4>>2]|0;if(!E){D=f[i+32>>2]|0;if(!D)H=ST()|0;else H=D}else H=E;yh[f[(f[H>>2]|0)+24>>2]&2047](H,y);I=z}else I=z}else{if((G|0?(z=G+12|0,G=f[z>>2]|0,f[z>>2]=G+-1,(G|0)==1):0)?(G=f[r>>2]|0,G|0):0){f[r>>2]=0;z=f[G+4>>2]|0;if(!z){y=f[q>>2]|0;if(!y)K=ST()|0;else K=y}else K=z;yh[f[(f[K>>2]|0)+24>>2]&2047](K,G)}f[r>>2]=0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;if((f[j>>2]|0)>0){G=f[a+40>>2]|0;K=0;do{f[G+(K<<2)>>2]=0;K=K+1|0}while((K|0)<(f[j>>2]|0))}f[a>>2]=f[i>>2];K=i+4|0;G=f[K>>2]|0;f[j>>2]=G;z=i+8|0;f[k>>2]=f[z>>2];f[l>>2]=f[i+12>>2];f[m>>2]=f[i+16>>2];f[n>>2]=f[i+20>>2];f[o>>2]=f[i+24>>2];f[p>>2]=f[i+28>>2];f[q>>2]=f[i+32>>2];p=i+36|0;f[r>>2]=f[p>>2];o=f[w>>2]|0;if((o|0)==(x|0))L=G;else{TC(o);f[w>>2]=x;f[a+40>>2]=k;L=f[K>>2]|0}o=i+44|0;if((L|0)<3){L=f[o>>2]|0;f[x>>2]=f[L>>2];f[a+52>>2]=f[L+4>>2]}else{f[w>>2]=f[o>>2];w=i+40|0;f[s>>2]=f[w>>2];f[o>>2]=i+48;f[w>>2]=z}f[i>>2]=1124007936;t=K;v=t+36|0;do{f[t>>2]=0;t=t+4|0}while((t|0)<(v|0));I=p}f[I>>2]=0;I=i+16|0;p=i+4|0;f[I>>2]=0;f[I+4>>2]=0;f[I+8>>2]=0;f[I+12>>2]=0;if((f[p>>2]|0)>0){I=f[i+40>>2]|0;K=0;do{f[I+(K<<2)>>2]=0;K=K+1|0}while((K|0)<(f[p>>2]|0))}p=f[i+44>>2]|0;if((p|0)!=(i+48|0))TC(p);p=f[h>>2]|0;if((p|0)!=(A|0)){if(p|0)guc(p);f[h>>2]=A;f[C>>2]=136}u=g;return}dU(a,c)|0;C=f[d>>2]|0;A=f[d+4>>2]|0;do if((C|0)!=-2147483648|(A|0)!=2147483647?(C|0?1:(A|0)!=(f[k>>2]|0)):0){if((C|0)<0|(A|0)<(C|0)){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;M=cuc(96)|0;f[h>>2]=M;N=h+8|0;f[N>>2]=-2147483552;O=h+4|0;f[O>>2]=83;t=M;B=218584;v=t+83|0;do{b[t>>0]=b[B>>0]|0;t=t+1|0;B=B+1|0}while((t|0)<(v|0));P=M+83|0;b[P>>0]=0;WD(-215,h,466353,217988,423)}if((A|0)>(f[c+8>>2]|0)){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;M=cuc(96)|0;f[h>>2]=M;N=h+8|0;f[N>>2]=-2147483552;O=h+4|0;f[O>>2]=83;t=M;B=218584;v=t+83|0;do{b[t>>0]=b[B>>0]|0;t=t+1|0;B=B+1|0}while((t|0)<(v|0));P=M+83|0;b[P>>0]=0;WD(-215,h,466353,217988,423)}else{f[k>>2]=A-C;d=Y(C,f[x>>2]|0)|0;f[m>>2]=(f[m>>2]|0)+d;f[a>>2]=f[a>>2]|32768;break}}while(0);x=f[e>>2]|0;C=f[e+4>>2]|0;if((x|0)!=-2147483648|(C|0)!=2147483647?(x|0?1:(C|0)!=(f[l>>2]|0)):0){if((x|0)<0|(C|0)<(x|0)){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;Q=cuc(96)|0;f[h>>2]=Q;R=h+8|0;f[R>>2]=-2147483552;S=h+4|0;f[S>>2]=83;t=Q;B=218668;v=t+83|0;do{b[t>>0]=b[B>>0]|0;t=t+1|0;B=B+1|0}while((t|0)<(v|0));T=Q+83|0;b[T>>0]=0;WD(-215,h,466353,217988,432)}if((C|0)>(f[c+12>>2]|0)){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;Q=cuc(96)|0;f[h>>2]=Q;R=h+8|0;f[R>>2]=-2147483552;S=h+4|0;f[S>>2]=83;t=Q;B=218668;v=t+83|0;do{b[t>>0]=b[B>>0]|0;t=t+1|0;B=B+1|0}while((t|0)<(v|0));T=Q+83|0;b[T>>0]=0;WD(-215,h,466353,217988,432)}f[l>>2]=C-x;C=f[j>>2]|0;if((C|0)>0)U=f[(f[a+44>>2]|0)+(C+-1<<2)>>2]|0;else U=0;C=Y(U,x)|0;f[m>>2]=(f[m>>2]|0)+C;f[a>>2]=f[a>>2]|32768}C=f[a>>2]|0;x=f[j>>2]|0;U=a+40|0;h=f[U>>2]|0;T=f[a+44>>2]|0;a:do if((x|0)>0){Q=0;while(1){if((f[h+(Q<<2)>>2]|0)>1){V=Q;break a}B=Q+1|0;if((B|0)<(x|0))Q=B;else{V=B;break}}}else V=0;while(0);Q=x+-1|0;x=f[h+(((Q|0)<(V|0)?Q:V)<<2)>>2]|0;B=Bzc(x|0,((x|0)<0)<<31>>31|0,(C>>>3&511)+1|0,0)|0;x=Q;Q=B;B=J;while(1){if((x|0)<=(V|0)){W=62;break}t=f[h+(x<<2)>>2]|0;v=Bzc(t|0,((t|0)<0)<<31>>31|0,Q|0,B|0)|0;S=Y(f[T+(x<<2)>>2]|0,t)|0;x=x+-1|0;if(S>>>0<(f[T+(x<<2)>>2]|0)>>>0){W=64;break}else{Q=v;B=J}}if((W|0)==62){x=ozc(0,Q|0,32)|0;if((Q|0)==(x|0)&(B|0)==(J|0))X=C|16384;else W=64}if((W|0)==64)X=C&-16385;f[a>>2]=X;if((f[k>>2]|0)>=1?(f[l>>2]|0)>=1:0){u=g;return}X=f[r>>2]|0;if((X|0?(a=X+12|0,X=f[a>>2]|0,f[a>>2]=X+-1,(X|0)==1):0)?(X=f[r>>2]|0,X|0):0){f[r>>2]=0;a=f[X+4>>2]|0;if(!a){C=f[q>>2]|0;if(!C)Z=ST()|0;else Z=C}else Z=a;yh[f[(f[Z>>2]|0)+24>>2]&2047](Z,X)}f[r>>2]=0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;if((f[j>>2]|0)>0){m=f[U>>2]|0;U=0;do{f[m+(U<<2)>>2]=0;U=U+1|0}while((U|0)<(f[j>>2]|0))}f[l>>2]=0;f[k>>2]=0;u=g;return}function cU(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;e=u;u=u+16|0;g=e;f[a>>2]=1124007936;h=a+4|0;i=a+8|0;j=a+16|0;k=a+40|0;l=h;m=l+36|0;do{f[l>>2]=0;l=l+4|0}while((l|0)<(m|0));f[k>>2]=i;i=a+48|0;n=a+44|0;f[n>>2]=i;f[a+52>>2]=0;f[i>>2]=0;i=f[c+4>>2]|0;if(!d){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;b[g+11>>0]=6;b[g>>0]=b[218752]|0;b[g+1>>0]=b[218753]|0;b[g+2>>0]=b[218754]|0;b[g+3>>0]=b[218755]|0;b[g+4>>0]=b[218756]|0;b[g+5>>0]=b[218757]|0;b[g+6>>0]=0;WD(-215,g,466353,217988,510)}o=(i|0)>0;do if(o){p=f[c+40>>2]|0;q=0;while(1){r=d+(q<<3)|0;s=f[r>>2]|0;t=f[r+4>>2]|0;if(!((s|0)==-2147483648&(t|0)==2147483647)){if(!((s|0)>-1&(s|0)<(t|0))){v=10;break}if((t|0)>(f[p+(q<<2)>>2]|0)){v=10;break}}q=q+1|0;if((q|0)>=(i|0)){v=6;break}}if((v|0)==6){dU(a,c)|0;if(o)w=0;else break;do{q=d+(w<<3)|0;p=f[q>>2]|0;t=f[q+4>>2]|0;if((p|0)!=-2147483648|(t|0)!=2147483647?(q=(f[k>>2]|0)+(w<<2)|0,p|0?1:(t|0)!=(f[q>>2]|0)):0){f[q>>2]=t-p;t=Y(f[(f[n>>2]|0)+(w<<2)>>2]|0,p)|0;f[j>>2]=(f[j>>2]|0)+t;f[a>>2]=f[a>>2]|32768}w=w+1|0}while((w|0)!=(i|0))}else if((v|0)==10){t=cuc(80)|0;f[g>>2]=t;f[g+8>>2]=-2147483568;f[g+4>>2]=76;l=t;p=218759;m=l+76|0;do{b[l>>0]=b[p>>0]|0;l=l+1|0;p=p+1|0}while((l|0)<(m|0));b[t+76>>0]=0;WD(-215,g,466353,217988,514)}}else dU(a,c)|0;while(0);c=f[a>>2]|0;g=f[h>>2]|0;h=f[k>>2]|0;k=f[n>>2]|0;a:do if((g|0)>0){n=0;while(1){if((f[h+(n<<2)>>2]|0)>1){x=n;break a}l=n+1|0;if((l|0)<(g|0))n=l;else{x=l;break}}}else x=0;while(0);n=g+-1|0;g=f[h+(((n|0)<(x|0)?n:x)<<2)>>2]|0;t=Bzc(g|0,((g|0)<0)<<31>>31|0,(c>>>3&511)+1|0,0)|0;g=n;n=t;t=J;while(1){if((g|0)<=(x|0)){v=18;break}l=f[h+(g<<2)>>2]|0;m=Bzc(l|0,((l|0)<0)<<31>>31|0,n|0,t|0)|0;i=Y(f[k+(g<<2)>>2]|0,l)|0;g=g+-1|0;if(i>>>0<(f[k+(g<<2)>>2]|0)>>>0)break;else{n=m;t=J}}if((v|0)==18?(v=ozc(0,n|0,32)|0,(n|0)==(v|0)&(t|0)==(J|0)):0){y=c|16384;f[a>>2]=y;u=e;return}y=c&-16385;f[a>>2]=y;u=e;return}function dU(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;if((a|0)==(b|0))return a|0;c=b+36|0;d=f[c>>2]|0;if(d|0){e=d+12|0;f[e>>2]=(f[e>>2]|0)+1}e=a+36|0;d=f[e>>2]|0;if((d|0?(g=d+12|0,d=f[g>>2]|0,f[g>>2]=d+-1,(d|0)==1):0)?(d=f[e>>2]|0,d|0):0){f[e>>2]=0;g=f[d+4>>2]|0;if(!g){h=f[a+32>>2]|0;if(!h)i=ST()|0;else i=h}else i=g;yh[f[(f[i>>2]|0)+24>>2]&2047](i,d)}f[e>>2]=0;d=a+16|0;i=a+4|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[i>>2]|0)>0){g=f[a+40>>2]|0;h=0;do{f[g+(h<<2)>>2]=0;h=h+1|0;j=f[i>>2]|0}while((h|0)<(j|0));f[a>>2]=f[b>>2];if((j|0)<3)k=17;else{l=f[b+4>>2]|0;k=19}}else{f[a>>2]=f[b>>2];k=17}if((k|0)==17){j=f[b+4>>2]|0;if((j|0)<3){f[i>>2]=j;f[a+8>>2]=f[b+8>>2];f[a+12>>2]=f[b+12>>2];h=f[b+44>>2]|0;g=f[a+44>>2]|0;f[g>>2]=f[h>>2];f[g+4>>2]=f[h+4>>2]}else{l=j;k=19}}if((k|0)==19?(QT(a,l,0,0,0),(f[i>>2]|0)>0):0){l=f[b+40>>2]|0;k=f[a+40>>2]|0;j=f[b+44>>2]|0;h=f[a+44>>2]|0;g=0;do{f[k+(g<<2)>>2]=f[l+(g<<2)>>2];f[h+(g<<2)>>2]=f[j+(g<<2)>>2];g=g+1|0}while((g|0)<(f[i>>2]|0))}f[d>>2]=f[b+16>>2];f[a+20>>2]=f[b+20>>2];f[a+24>>2]=f[b+24>>2];f[a+28>>2]=f[b+28>>2];f[a+32>>2]=f[b+32>>2];f[e>>2]=f[c>>2];return a|0}function eU(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0;e=u;u=u+16|0;g=e;h=f[c>>2]|0;f[a>>2]=h;i=a+4|0;f[i>>2]=2;j=a+8|0;k=d+12|0;f[j>>2]=f[k>>2];l=a+12|0;m=d+8|0;f[l>>2]=f[m>>2];n=a+16|0;o=d+4|0;p=c+44|0;q=(f[c+16>>2]|0)+(Y(f[f[p>>2]>>2]|0,f[o>>2]|0)|0)|0;f[n>>2]=q;f[a+20>>2]=f[c+20>>2];f[a+24>>2]=f[c+24>>2];f[a+28>>2]=f[c+28>>2];r=a+32|0;f[r>>2]=f[c+32>>2];s=a+36|0;t=f[c+36>>2]|0;f[s>>2]=t;v=a+40|0;f[v>>2]=j;w=a+48|0;x=a+44|0;f[x>>2]=w;f[a+52>>2]=0;f[w>>2]=0;w=t;if((f[c+4>>2]|0)>=3){y=cuc(16)|0;f[g>>2]=y;f[g+8>>2]=-2147483632;f[g+4>>2]=11;z=y;A=223800;B=z+11|0;do{b[z>>0]=b[A>>0]|0;z=z+1|0;A=A+1|0}while((z|0)<(B|0));b[y+11>>0]=0;WD(-215,g,466353,217988,460)}y=Y(675553809>>>(h<<2&28)&15,(h>>>3&511)+1|0)|0;h=f[d>>2]|0;d=q+(Y(y,h)|0)|0;f[n>>2]=d;if((((((h|0)>-1?(d=f[m>>2]|0,(d|0)>-1):0)?(q=c+12|0,C=f[q>>2]|0,(d+h|0)<=(C|0)):0)?(h=f[o>>2]|0,(h|0)>-1):0)?(o=f[k>>2]|0,(o|0)>-1):0)?(D=c+8|0,(o+h|0)<=(f[D>>2]|0)):0){if(!t){E=d;F=C}else{C=w+12|0;f[C>>2]=(f[C>>2]|0)+1;E=f[m>>2]|0;F=f[q>>2]|0}if(!((E|0)>=(F|0)?(f[k>>2]|0)>=(f[D>>2]|0):0))f[a>>2]=f[a>>2]|32768;D=f[x>>2]|0;f[D>>2]=f[f[p>>2]>>2];f[D+4>>2]=y;y=f[a>>2]|0;p=f[i>>2]|0;x=f[v>>2]|0;a:do if((p|0)>0){k=0;while(1){if((f[x+(k<<2)>>2]|0)>1){G=k;break a}F=k+1|0;if((F|0)<(p|0))k=F;else{G=F;break}}}else G=0;while(0);k=p+-1|0;p=f[x+(((k|0)<(G|0)?k:G)<<2)>>2]|0;F=Bzc(p|0,((p|0)<0)<<31>>31|0,(y>>>3&511)+1|0,0)|0;p=k;k=F;F=J;while(1){if((p|0)<=(G|0)){H=21;break}E=f[x+(p<<2)>>2]|0;q=Bzc(E|0,((E|0)<0)<<31>>31|0,k|0,F|0)|0;m=Y(f[D+(p<<2)>>2]|0,E)|0;p=p+-1|0;if(m>>>0<(f[D+(p<<2)>>2]|0)>>>0){H=23;break}else{k=q;F=J}}if((H|0)==21){p=ozc(0,k|0,32)|0;if((k|0)==(p|0)&(F|0)==(J|0))I=y|16384;else H=23}if((H|0)==23)I=y&-16385;f[a>>2]=I;if((f[j>>2]|0)>=1?(f[l>>2]|0)>=1:0){u=e;return}I=f[s>>2]|0;if((I|0?(a=I+12|0,I=f[a>>2]|0,f[a>>2]=I+-1,(I|0)==1):0)?(I=f[s>>2]|0,I|0):0){f[s>>2]=0;a=f[I+4>>2]|0;if(!a){y=f[r>>2]|0;if(!y)K=ST()|0;else K=y}else K=a;yh[f[(f[K>>2]|0)+24>>2]&2047](K,I)}f[s>>2]=0;f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;f[n+12>>2]=0;if((f[i>>2]|0)>0){n=f[v>>2]|0;v=0;do{f[n+(v<<2)>>2]=0;v=v+1|0}while((v|0)<(f[i>>2]|0))}f[l>>2]=0;f[j>>2]=0;u=e;return}e=cuc(128)|0;f[g>>2]=e;f[g+8>>2]=-2147483520;f[g+4>>2]=124;z=e;A=218836;B=z+124|0;do{b[z>>0]=b[A>>0]|0;z=z+1|0;A=A+1|0}while((z|0)<(B|0));b[e+124>>0]=0;WD(-215,g,466353,217988,465)}function fU(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0;h=a+8|0;i=a+16|0;j=a+20|0;k=a+40|0;l=a+4|0;m=l+36|0;do{f[l>>2]=0;l=l+4|0}while((l|0)<(m|0));f[k>>2]=h;h=a+48|0;f[a+44>>2]=h;f[a+52>>2]=0;f[h>>2]=0;f[a>>2]=d&4095|1124007936;f[i>>2]=e;f[j>>2]=e;QT(a,b,c,g,1);RT(a);return}function gU(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;e=u;u=u+16|0;g=e;f[a>>2]=1124007936;h=a+4|0;i=a+8|0;j=a+16|0;k=a+40|0;l=h;m=l+36|0;do{f[l>>2]=0;l=l+4|0}while((l|0)<(m|0));f[k>>2]=i;i=a+48|0;n=a+44|0;f[n>>2]=i;f[a+52>>2]=0;f[i>>2]=0;i=f[c+4>>2]|0;o=f[d>>2]|0;p=o;if(((f[d+4>>2]|0)-o>>3|0)!=(i|0)){o=cuc(32)|0;f[g>>2]=o;f[g+8>>2]=-2147483616;f[g+4>>2]=23;l=o;q=218961;m=l+23|0;do{b[l>>0]=b[q>>0]|0;l=l+1|0;q=q+1|0}while((l|0)<(m|0));b[o+23>>0]=0;WD(-215,g,466353,217988,536)}o=(i|0)>0;do if(o){r=f[c+40>>2]|0;s=0;while(1){t=p+(s<<3)|0;v=f[t>>2]|0;w=f[t+4>>2]|0;if(!((v|0)==-2147483648&(w|0)==2147483647)){if(!((v|0)>-1&(v|0)<(w|0))){x=11;break}if((w|0)>(f[r+(s<<2)>>2]|0)){x=11;break}}s=s+1|0;if((s|0)>=(i|0)){x=6;break}}if((x|0)==6){dU(a,c)|0;if(!o)break;s=f[d>>2]|0;r=0;do{w=s+(r<<3)|0;v=f[w>>2]|0;t=f[w+4>>2]|0;if((v|0)!=-2147483648|(t|0)!=2147483647?(w=(f[k>>2]|0)+(r<<2)|0,v|0?1:(t|0)!=(f[w>>2]|0)):0){f[w>>2]=t-v;t=Y(f[(f[n>>2]|0)+(r<<2)>>2]|0,v)|0;f[j>>2]=(f[j>>2]|0)+t;f[a>>2]=f[a>>2]|32768}r=r+1|0}while((r|0)!=(i|0))}else if((x|0)==11){r=cuc(80)|0;f[g>>2]=r;f[g+8>>2]=-2147483568;f[g+4>>2]=76;l=r;q=218759;m=l+76|0;do{b[l>>0]=b[q>>0]|0;l=l+1|0;q=q+1|0}while((l|0)<(m|0));b[r+76>>0]=0;WD(-215,g,466353,217988,540)}}else dU(a,c)|0;while(0);c=f[a>>2]|0;g=f[h>>2]|0;h=f[k>>2]|0;k=f[n>>2]|0;a:do if((g|0)>0){n=0;while(1){if((f[h+(n<<2)>>2]|0)>1){y=n;break a}q=n+1|0;if((q|0)<(g|0))n=q;else{y=q;break}}}else y=0;while(0);n=g+-1|0;g=f[h+(((n|0)<(y|0)?n:y)<<2)>>2]|0;r=Bzc(g|0,((g|0)<0)<<31>>31|0,(c>>>3&511)+1|0,0)|0;g=n;n=r;r=J;while(1){if((g|0)<=(y|0)){x=19;break}q=f[h+(g<<2)>>2]|0;l=Bzc(q|0,((q|0)<0)<<31>>31|0,n|0,r|0)|0;m=Y(f[k+(g<<2)>>2]|0,q)|0;g=g+-1|0;if(m>>>0<(f[k+(g<<2)>>2]|0)>>>0)break;else{n=l;r=J}}if((x|0)==19?(x=ozc(0,n|0,32)|0,(n|0)==(x|0)&(r|0)==(J|0)):0){z=c|16384;f[a>>2]=z;u=e;return}z=c&-16385;f[a>>2]=z;u=e;return}function hU(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;e=u;u=u+16|0;g=e;h=c+4|0;i=f[h>>2]|0;if((i|0)>=3){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;b[g+11>>0]=9;j=g;k=218985;l=j+9|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[g+9>>0]=0;WD(-215,g,218995,217988,559)}f[a>>2]=f[c>>2];g=a+4|0;f[g>>2]=i;i=a+8|0;k=c+8|0;f[i>>2]=f[k>>2];j=a+12|0;l=c+12|0;f[j>>2]=f[l>>2];m=a+16|0;f[m>>2]=f[c+16>>2];f[a+20>>2]=f[c+20>>2];f[a+24>>2]=f[c+24>>2];f[a+28>>2]=f[c+28>>2];f[a+32>>2]=f[c+32>>2];n=f[c+36>>2]|0;f[a+36>>2]=n;o=a+40|0;f[o>>2]=i;p=a+48|0;q=a+44|0;f[q>>2]=p;f[p>>2]=0;f[a+52>>2]=0;if((n|0)!=0?(p=n+12|0,f[p>>2]=(f[p>>2]|0)+1,p=f[h>>2]|0,(p|0)>=3):0){f[g>>2]=0;QT(a,p,0,0,0);if((f[g>>2]|0)>0){p=f[c+40>>2]|0;n=f[o>>2]|0;r=f[c+44>>2]|0;s=f[q>>2]|0;t=0;do{f[n+(t<<2)>>2]=f[p+(t<<2)>>2];f[s+(t<<2)>>2]=f[r+(t<<2)>>2];t=t+1|0}while((t|0)<(f[g>>2]|0))}}else{t=f[c+44>>2]|0;r=f[q>>2]|0;f[r>>2]=f[t>>2];f[r+4>>2]=f[t+4>>2]}t=f[h>>2]|0;if((t|0)>0)v=f[(f[c+44>>2]|0)+(t+-1<<2)>>2]|0;else v=0;if((d|0)>-1){t=(f[l>>2]|0)-d|0;h=f[k>>2]|0;r=Y(v,d)|0;w=(h|0)<(t|0)?h:t;x=(f[m>>2]|0)+r|0}else{r=(f[k>>2]|0)+d|0;k=f[l>>2]|0;w=(k|0)<(r|0)?k:r;x=(f[m>>2]|0)+(Y(f[f[c+44>>2]>>2]|0,0-d|0)|0)|0}f[m>>2]=x;f[i>>2]=w;i=f[o>>2]|0;f[i>>2]=w;f[j>>2]=1;f[i+4>>2]=1;j=f[q>>2]|0;f[j>>2]=(f[j>>2]|0)+((w|0)>1?v:0);v=f[a>>2]|0;w=f[g>>2]|0;a:do if((w|0)>0){g=0;while(1){if((f[i+(g<<2)>>2]|0)>1){y=g;break a}q=g+1|0;if((q|0)<(w|0))g=q;else{y=q;break}}}else y=0;while(0);g=w+-1|0;w=f[i+(((g|0)<(y|0)?g:y)<<2)>>2]|0;q=Bzc(w|0,((w|0)<0)<<31>>31|0,(v>>>3&511)+1|0,0)|0;w=g;g=q;q=J;while(1){if((w|0)<=(y|0)){z=20;break}o=f[i+(w<<2)>>2]|0;x=Bzc(o|0,((o|0)<0)<<31>>31|0,g|0,q|0)|0;m=Y(f[j+(w<<2)>>2]|0,o)|0;w=w+-1|0;if(m>>>0<(f[j+(w<<2)>>2]|0)>>>0){z=22;break}else{g=x;q=J}}if((z|0)==20){w=ozc(0,g|0,32)|0;if((g|0)==(w|0)&(q|0)==(J|0))A=v|16384;else z=22}if((z|0)==22)A=v&-16385;f[a>>2]=A;v=f[c+40>>2]|0;if(!((f[v>>2]|0)!=1?1:(f[v+4>>2]|0)!=1)){u=e;return}f[a>>2]=A|32768;u=e;return}function iU(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;d=u;u=u+144|0;e=d+120|0;g=d+112|0;h=d+56|0;i=d;if((c|0)<=-1){j=cuc(32)|0;f[e>>2]=j;f[e+8>>2]=-2147483616;f[e+4>>2]=16;k=j;l=219e3;m=k+16|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));b[j+16>>0]=0;WD(-215,e,219017,217988,625)}if((f[a>>2]&32768|0)==0?(j=(f[a+16>>2]|0)+(Y(f[f[a+44>>2]>>2]|0,c)|0)|0,j>>>0<=(f[a+28>>2]|0)>>>0):0){u=d;return}j=a+40|0;l=f[j>>2]|0;n=f[l>>2]|0;if(n>>>0>=c>>>0){u=d;return}f[l>>2]=c;l=a+4|0;o=f[l>>2]|0;if((o|0)<3)p=Y(f[a+12>>2]|0,f[a+8>>2]|0)|0;else{q=f[j>>2]|0;r=0;s=1;while(1){t=Y(f[q+(r<<2)>>2]|0,s)|0;r=r+1|0;if((r|0)==(o|0)){p=t;break}else s=t}}if((o|0)>0)v=f[(f[a+44>>2]|0)+(o+-1<<2)>>2]|0;else v=0;s=Y(v,p)|0;if(s>>>0<64){p=((Y(s+63|0,c)|0)>>>0)/(s>>>0)|0;f[f[j>>2]>>2]=p;w=f[l>>2]|0}else w=o;o=f[j>>2]|0;l=f[a>>2]&4095;f[h>>2]=1124007936;p=h+4|0;s=h+8|0;c=h+40|0;k=p;m=k+36|0;do{f[k>>2]=0;k=k+4|0}while((k|0)<(m|0));f[c>>2]=s;s=h+48|0;k=h+44|0;f[k>>2]=s;f[s>>2]=0;f[h+52>>2]=0;ZT(h,w,o,l);f[f[j>>2]>>2]=n;if((n|0)>0){f[e>>2]=0;f[e+4>>2]=n;f[g>>2]=-2147483648;f[g+4>>2]=2147483647;bU(i,h,e,g);g=e+8|0;f[g>>2]=0;f[g+4>>2]=0;f[e>>2]=33619968;f[e+4>>2]=i;EI(a,e);e=i+36|0;g=f[e>>2]|0;if((g|0?(l=g+12|0,g=f[l>>2]|0,f[l>>2]=g+-1,(g|0)==1):0)?(g=f[e>>2]|0,g|0):0){f[e>>2]=0;l=f[g+4>>2]|0;if(!l){o=f[i+32>>2]|0;if(!o)x=ST()|0;else x=o}else x=l;yh[f[(f[x>>2]|0)+24>>2]&2047](x,g)}f[e>>2]=0;e=i+16|0;g=i+4|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((f[g>>2]|0)>0){e=f[i+40>>2]|0;x=0;do{f[e+(x<<2)>>2]=0;x=x+1|0}while((x|0)<(f[g>>2]|0))}g=f[i+44>>2]|0;if((g|0)!=(i+48|0))TC(g)}dU(a,h)|0;f[f[j>>2]>>2]=n;j=(f[a+16>>2]|0)+(Y(f[f[a+44>>2]>>2]|0,n)|0)|0;f[a+24>>2]=j;j=h+36|0;a=f[j>>2]|0;if((a|0?(n=a+12|0,a=f[n>>2]|0,f[n>>2]=a+-1,(a|0)==1):0)?(a=f[j>>2]|0,a|0):0){f[j>>2]=0;n=f[a+4>>2]|0;if(!n){g=f[h+32>>2]|0;if(!g)y=ST()|0;else y=g}else y=n;yh[f[(f[y>>2]|0)+24>>2]&2047](y,a)}f[j>>2]=0;j=h+16|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;if((f[p>>2]|0)>0){j=f[c>>2]|0;c=0;do{f[j+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[p>>2]|0))}p=f[k>>2]|0;if((p|0)!=(s|0))TC(p);u=d;return}function jU(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=u;u=u+16|0;e=d;g=a+40|0;h=f[g>>2]|0;i=f[h>>2]|0;if((i|0)==(c|0)){u=d;return}if((c|0)<=-1){j=cuc(32)|0;f[e>>2]=j;f[e+8>>2]=-2147483616;f[e+4>>2]=16;k=j;l=219e3;m=k+16|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));b[j+16>>0]=0;WD(-215,e,252914,217988,686)}if(!(f[a>>2]&32768)){e=a+44|0;j=f[e>>2]|0;l=(f[a+16>>2]|0)+(Y(f[j>>2]|0,c)|0)|0;if(l>>>0>(f[a+28>>2]|0)>>>0){n=e;o=7}else{p=h;q=j}}else{n=a+44|0;o=7}if((o|0)==7){iU(a,c);p=f[g>>2]|0;q=f[n>>2]|0}f[p>>2]=c;p=Y(f[q>>2]|0,c-i|0)|0;i=a+24|0;f[i>>2]=(f[i>>2]|0)+p;u=d;return}function kU(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;e=u;u=u+16|0;g=e;h=f[a+4>>2]|0;if((h|0)<3?(i=a+44|0,j=f[i>>2]|0,k=f[j>>2]|0,k|0):0){if((h|0)>0)l=f[j+(h+-1<<2)>>2]|0;else l=0;h=f[a+20>>2]|0;m=(f[a+16>>2]|0)-h|0;n=(f[a+24>>2]|0)-h|0;if(!m){f[d+4>>2]=0;o=0;p=0}else{h=(m>>>0)/(k>>>0)|0;f[d+4>>2]=h;o=((m-(Y(f[j>>2]|0,h)|0)|0)>>>0)/(l>>>0)|0;p=h}f[d>>2]=o;d=(f[a+12>>2]|0)+o|0;o=n-(Y(d,l)|0)|0;h=((o>>>0)/((f[f[i>>2]>>2]|0)>>>0)|0)+1|0;i=(f[a+8>>2]|0)+p|0;p=(h|0)<(i|0)?i:h;f[c+4>>2]=p;h=((n-(Y(p+-1|0,f[a+48>>2]|0)|0)|0)>>>0)/(l>>>0)|0;f[c>>2]=(h|0)<(d|0)?d:h;u=e;return}e=cuc(32)|0;f[g>>2]=e;f[g+8>>2]=-2147483616;f[g+4>>2]=24;h=e;d=219025;c=h+24|0;do{b[h>>0]=b[d>>0]|0;h=h+1|0;d=d+1|0}while((h|0)<(c|0));b[e+24>>0]=0;WD(-215,g,219050,217988,756)}function lU(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;h=u;u=u+32|0;i=h+8|0;j=h;k=a+4|0;l=f[k>>2]|0;if((l|0)>=3){m=cuc(32)|0;f[i>>2]=m;n=i+8|0;f[n>>2]=-2147483616;o=i+4|0;f[o>>2]=24;p=m;q=219025;r=p+24|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(r|0));s=m+24|0;b[s>>0]=0;WD(-215,i,219060,217988,777)}t=a+44|0;v=f[t>>2]|0;if(!(f[v>>2]|0)){m=cuc(32)|0;f[i>>2]=m;n=i+8|0;f[n>>2]=-2147483616;o=i+4|0;f[o>>2]=24;p=m;q=219025;r=p+24|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(r|0));s=m+24|0;b[s>>0]=0;WD(-215,i,219060,217988,777)}f[i>>2]=0;s=i+4|0;f[s>>2]=0;f[j>>2]=0;m=j+4|0;f[m>>2]=0;if((l|0)>0)w=f[v+(l+-1<<2)>>2]|0;else w=0;kU(a,i,j);l=f[m>>2]|0;m=l-c|0;c=f[s>>2]|0;s=(m|0)>0?m:0;m=(c|0)<(s|0)?c:s;s=a+8|0;v=l+d+(f[s>>2]|0)|0;d=(c|0)<(v|0)?c:v;v=(d|0)>0?d:0;d=f[j>>2]|0;j=d-e|0;e=f[i>>2]|0;i=(j|0)>0?j:0;j=(e|0)<(i|0)?e:i;i=a+12|0;c=d+g+(f[i>>2]|0)|0;g=(e|0)<(c|0)?e:c;c=(g|0)>0?g:0;g=(m|0)>(v|0);e=g?v:m;q=(j|0)>(c|0);p=q?c:j;r=(Y(p-d|0,w)|0)+(Y(e-l|0,f[a+48>>2]|0)|0)|0;l=a+16|0;f[l>>2]=(f[l>>2]|0)+r;r=(g?m:v)-e|0;f[s>>2]=r;f[i>>2]=(q?j:c)-p;p=f[a+40>>2]|0;f[p>>2]=r;f[p+4>>2]=f[i>>2];i=f[a>>2]|0;c=f[k>>2]|0;k=f[t>>2]|0;a:do if((c|0)<1|(r|0)>1)x=0;else{t=0;while(1){j=t+1|0;if((j|0)>=(c|0)){x=j;break a}if((f[p+(j<<2)>>2]|0)>1){x=j;break}else t=j}}while(0);r=c+-1|0;c=f[p+(((r|0)<(x|0)?r:x)<<2)>>2]|0;t=Bzc(c|0,((c|0)<0)<<31>>31|0,(i>>>3&511)+1|0,0)|0;c=r;r=t;t=J;while(1){if((c|0)<=(x|0)){y=12;break}j=f[p+(c<<2)>>2]|0;q=Bzc(j|0,((j|0)<0)<<31>>31|0,r|0,t|0)|0;s=Y(f[k+(c<<2)>>2]|0,j)|0;c=c+-1|0;if(s>>>0<(f[k+(c<<2)>>2]|0)>>>0)break;else{r=q;t=J}}if((y|0)==12?(y=ozc(0,r|0,32)|0,(r|0)==(y|0)&(t|0)==(J|0)):0){z=i|16384;f[a>>2]=z;u=h;return a|0}z=i&-16385;f[a>>2]=z;u=h;return a|0}function mU(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0;g=u;u=u+80|0;h=g+16|0;i=g;j=f[c>>2]|0;k=(j>>>3&511)+1|0;f[h>>2]=j;j=h+4|0;l=c+4|0;m=f[l>>2]|0;f[j>>2]=m;n=h+8|0;o=c+8|0;f[n>>2]=f[o>>2];p=h+12|0;q=c+12|0;f[p>>2]=f[q>>2];r=h+16|0;f[r>>2]=f[c+16>>2];s=h+20|0;f[s>>2]=f[c+20>>2];t=h+24|0;f[t>>2]=f[c+24>>2];v=h+28|0;f[v>>2]=f[c+28>>2];w=h+32|0;f[w>>2]=f[c+32>>2];x=h+36|0;y=f[c+36>>2]|0;f[x>>2]=y;z=h+40|0;f[z>>2]=n;A=h+48|0;B=h+44|0;f[B>>2]=A;f[A>>2]=0;f[h+52>>2]=0;if(!y)C=m;else{m=y+12|0;f[m>>2]=(f[m>>2]|0)+1;C=f[l>>2]|0}if((C|0)>=3){f[j>>2]=0;QT(h,C,0,0,0);if((f[j>>2]|0)>0){C=f[c+40>>2]|0;m=f[z>>2]|0;y=f[c+44>>2]|0;D=f[B>>2]|0;E=0;do{f[m+(E<<2)>>2]=f[C+(E<<2)>>2];f[D+(E<<2)>>2]=f[y+(E<<2)>>2];E=E+1|0}while((E|0)<(f[j>>2]|0))}}else{E=f[c+44>>2]|0;y=f[B>>2]|0;f[y>>2]=f[E>>2];f[y+4>>2]=f[E+4>>2]}E=f[l>>2]|0;do if((E|0)>2){if((d|0)!=0&(e|0)==0){y=E+-1|0;if((Y(f[(f[c+40>>2]|0)+(y<<2)>>2]|0,k)|0)%(d|0)|0|0){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;F=i+11|0;b[F>>0]=9;G=i;H=218985;I=G+9|0;do{b[G>>0]=b[H>>0]|0;G=G+1|0;H=H+1|0}while((G|0)<(I|0));J=i+9|0;b[J>>0]=0;WD(-215,i,219070,217988,816)}D=f[h>>2]|0;C=(d<<3)+-8|0;f[h>>2]=D&-4089|C;m=Y(675553809>>>(D<<2&28)&15,(C>>>3&511)+1|0)|0;C=h+44|0;D=f[C>>2]|0;f[D+(y<<2)>>2]=m;m=f[z>>2]|0;K=m+((f[l>>2]|0)+-1<<2)|0;L=(Y(f[K>>2]|0,k)|0)/(d|0)|0;f[K>>2]=L;f[a>>2]=f[h>>2];L=f[j>>2]|0;f[a+4>>2]=L;K=a+8|0;f[K>>2]=f[n>>2];f[a+12>>2]=f[p>>2];f[a+16>>2]=f[r>>2];f[a+20>>2]=f[s>>2];f[a+24>>2]=f[t>>2];f[a+28>>2]=f[v>>2];f[a+32>>2]=f[w>>2];f[a+36>>2]=f[x>>2];M=a+40|0;f[M>>2]=K;K=a+44|0;N=a+48|0;f[K>>2]=N;O=a+52|0;f[O>>2]=0;f[N>>2]=0;if((L|0)<3){f[N>>2]=f[D>>2];f[O>>2]=f[D+4>>2]}else{f[K>>2]=D;f[M>>2]=m;f[C>>2]=A;f[z>>2]=n}f[h>>2]=1124007936;G=j;I=G+36|0;do{f[G>>2]=0;G=G+4|0}while((G|0)<(I|0));break}if((e|0)<=0){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;F=i+11|0;b[F>>0]=9;G=i;H=218985;I=G+9|0;do{b[G>>0]=b[H>>0]|0;G=G+1|0;H=H+1|0}while((G|0)<(I|0));J=i+9|0;b[J>>0]=0;WD(-215,i,219070,217988,816)}f[i>>2]=e;y=f[c+40>>2]|0;C=0;m=1;do{m=Y(f[y+(C<<2)>>2]|0,m)|0;C=C+1|0}while((C|0)!=(E|0));f[i+4>>2]=(m>>>0)/(e>>>0)|0;nU(a,c,d,2,i);C=f[x>>2]|0;if((C|0?(y=C+12|0,C=f[y>>2]|0,f[y>>2]=C+-1,(C|0)==1):0)?(C=f[x>>2]|0,C|0):0){f[x>>2]=0;y=f[C+4>>2]|0;if(!y){M=f[w>>2]|0;if(!M)P=ST()|0;else P=M}else P=y;yh[f[(f[P>>2]|0)+24>>2]&2047](P,C)}}else{C=(d|0)==0?k:d;y=Y(f[q>>2]|0,k)|0;M=(e|0)==0;if((C|0)>(y|0))if(M)Q=23;else{R=e;Q=25}else if(M&((y|0)%(C|0)|0|0)!=0)Q=23;else{S=e;Q=24}if((Q|0)==23){S=(Y(f[o>>2]|0,y)|0)/(C|0)|0;Q=24}if((Q|0)==24)if(!S)T=y;else{R=S;Q=25}do if((Q|0)==25){M=f[o>>2]|0;if((R|0)!=(M|0)){D=Y(M,y)|0;M=f[c>>2]|0;if(!(M&16384)){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;K=cuc(80)|0;f[i>>2]=K;f[i+8>>2]=-2147483568;f[i+4>>2]=72;G=K;H=226835;I=G+72|0;do{b[G>>0]=b[H>>0]|0;G=G+1|0;H=H+1|0}while((G|0)<(I|0));b[K+72>>0]=0;WD(-13,i,219070,217988,831)}if(R>>>0>D>>>0){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;O=cuc(32)|0;f[i>>2]=O;f[i+8>>2]=-2147483616;f[i+4>>2]=22;G=O;H=226908;I=G+22|0;do{b[G>>0]=b[H>>0]|0;G=G+1|0;H=H+1|0}while((G|0)<(I|0));b[O+22>>0]=0;WD(-211,i,219070,217988,834)}K=(D|0)/(R|0)|0;if((Y(K,R)|0)==(D|0)){f[n>>2]=R;N=Y(675553809>>>(M<<2&28)&15,K)|0;f[f[B>>2]>>2]=N;T=K;break}else{f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;K=cuc(80)|0;f[i>>2]=K;f[i+8>>2]=-2147483568;f[i+4>>2]=78;G=K;H=226746;I=G+78|0;do{b[G>>0]=b[H>>0]|0;G=G+1|0;H=H+1|0}while((G|0)<(I|0));b[K+78>>0]=0;WD(-5,i,219070,217988,840)}}else T=y}while(0);y=(T|0)/(C|0)|0;if((Y(y,C)|0)!=(T|0)){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;m=cuc(64)|0;f[i>>2]=m;f[i+8>>2]=-2147483584;f[i+4>>2]=62;G=m;H=226931;I=G+62|0;do{b[G>>0]=b[H>>0]|0;G=G+1|0;H=H+1|0}while((G|0)<(I|0));b[m+62>>0]=0;WD(-15,i,219070,217988,850)}f[p>>2]=y;M=f[h>>2]|0;D=(C<<3)+-8|0;O=M&-4089|D;f[h>>2]=O;N=Y(675553809>>>(M<<2&28)&15,(D>>>3&511)+1|0)|0;D=h+44|0;M=f[D>>2]|0;L=M+4|0;f[L>>2]=N;f[a>>2]=O;O=f[j>>2]|0;f[a+4>>2]=O;N=a+8|0;f[N>>2]=f[n>>2];f[a+12>>2]=f[p>>2];f[a+16>>2]=f[r>>2];f[a+20>>2]=f[s>>2];f[a+24>>2]=f[t>>2];f[a+28>>2]=f[v>>2];f[a+32>>2]=f[w>>2];f[a+36>>2]=f[x>>2];U=a+40|0;f[U>>2]=N;N=a+44|0;V=a+48|0;f[N>>2]=V;W=a+52|0;f[W>>2]=0;f[V>>2]=0;if((O|0)<3){f[V>>2]=f[M>>2];f[W>>2]=f[L>>2]}else{f[N>>2]=M;f[U>>2]=f[z>>2];f[D>>2]=A;f[z>>2]=n}f[h>>2]=1124007936;G=j;I=G+36|0;do{f[G>>2]=0;G=G+4|0}while((G|0)<(I|0))}while(0);f[x>>2]=0;f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;f[r+12>>2]=0;if((f[j>>2]|0)>0){r=f[z>>2]|0;z=0;do{f[r+(z<<2)>>2]=0;z=z+1|0}while((z|0)<(f[j>>2]|0))}j=f[B>>2]|0;if((j|0)==(A|0)){u=g;return}TC(j);u=g;return}function nU(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;h=u;u=u+48|0;i=h+16|0;j=h;k=c+4|0;l=f[k>>2]|0;if((l|0)==(e|0)){if(!g){mU(a,c,d,0);u=h;return}if((e|0)==2){mU(a,c,d,f[g>>2]|0);u=h;return}}m=f[c>>2]|0;if(!(m&16384)){n=cuc(80)|0;f[i>>2]=n;f[i+8>>2]=-2147483568;f[i+4>>2]=71;o=n;p=219305;q=o+71|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[n+71>>0]=0;WD(-213,i,219070,217988,906)}if(!((g|0)!=0&((d|0)>-1&(e+-1|0)>>>0<32))){n=cuc(64)|0;f[i>>2]=n;f[i+8>>2]=-2147483584;f[i+4>>2]=62;o=n;p=219078;q=o+62|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[n+62>>0]=0;WD(-215,i,219070,217988,870)}if(d)if((d|0)<513)r=d;else{d=cuc(32)|0;f[i>>2]=d;f[i+8>>2]=-2147483616;f[i+4>>2]=16;o=d;p=219141;q=o+16|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[d+16>>0]=0;WD(-215,i,219070,217988,875)}else r=(m>>>3&511)+1|0;if((l|0)<3)s=Y(f[c+12>>2]|0,f[c+8>>2]|0)|0;else{d=f[c+40>>2]|0;n=0;t=1;while(1){v=Y(f[d+(n<<2)>>2]|0,t)|0;n=n+1|0;if((n|0)==(l|0)){s=v;break}else t=v}}t=Y((m>>>3&511)+1|0,s)|0;s=i+8|0;f[i>>2]=s;m=i+4|0;f[m>>2]=e;if(e>>>0>4){l=euc(e>>>0>1073741823?-1:e<<2)|0;f[i>>2]=l;w=l}else w=s;a:do if((e|0)>0){l=c+40|0;n=r;d=0;while(1){v=f[g+(d<<2)>>2]|0;if((v|0)<=-1){x=23;break}if(!v){if((d|0)>=(f[k>>2]|0)){x=27;break}y=f[(f[l>>2]|0)+(d<<2)>>2]|0}else y=v;f[w+(d<<2)>>2]=y;v=Y(y,n)|0;d=d+1|0;if((d|0)>=(e|0)){z=v;break a}else n=v}if((x|0)==23){f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;n=cuc(16)|0;f[j>>2]=n;f[j+8>>2]=-2147483632;f[j+4>>2]=14;o=n;p=219158;q=o+14|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[n+14>>0]=0;WD(-215,j,219070,217988,884)}else if((x|0)==27){f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;d=cuc(80)|0;f[j>>2]=d;f[j+8>>2]=-2147483568;f[j+4>>2]=68;o=d;p=219173;q=o+68|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[d+68>>0]=0;WD(-211,j,219070,217988,891)}}else z=r;while(0);if((z|0)!=(t|0)){f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;t=cuc(64)|0;f[j>>2]=t;f[j+8>>2]=-2147483584;f[j+4>>2]=62;o=t;p=219242;q=o+62|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[t+62>>0]=0;WD(-209,j,219070,217988,897)}f[a>>2]=f[c>>2];j=a+4|0;t=f[k>>2]|0;f[j>>2]=t;p=a+8|0;f[p>>2]=f[c+8>>2];f[a+12>>2]=f[c+12>>2];f[a+16>>2]=f[c+16>>2];f[a+20>>2]=f[c+20>>2];f[a+24>>2]=f[c+24>>2];f[a+28>>2]=f[c+28>>2];f[a+32>>2]=f[c+32>>2];o=f[c+36>>2]|0;f[a+36>>2]=o;q=a+40|0;f[q>>2]=p;p=a+48|0;z=a+44|0;f[z>>2]=p;f[p>>2]=0;f[a+52>>2]=0;if(!o)A=t;else{t=o+12|0;f[t>>2]=(f[t>>2]|0)+1;A=f[k>>2]|0}if((A|0)>=3){f[j>>2]=0;QT(a,A,0,0,0);if((f[j>>2]|0)>0){A=f[c+40>>2]|0;k=f[q>>2]|0;q=f[c+44>>2]|0;t=f[z>>2]|0;o=0;do{f[k+(o<<2)>>2]=f[A+(o<<2)>>2];f[t+(o<<2)>>2]=f[q+(o<<2)>>2];o=o+1|0}while((o|0)<(f[j>>2]|0))}}else{j=f[c+44>>2]|0;c=f[z>>2]|0;f[c>>2]=f[j>>2];f[c+4>>2]=f[j+4>>2]}f[a>>2]=f[a>>2]&-4089|(r<<3)+-8;QT(a,e,f[i>>2]|0,0,1);e=f[i>>2]|0;if((e|0)!=(s|0)){if(e|0)guc(e);f[i>>2]=s;f[m>>2]=4}u=h;return}function oU(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;g=u;u=u+16|0;h=g;i=f[e>>2]|0;j=f[e+4>>2]|0;if((i|0)!=(j|0)){nU(a,c,d,j-i>>2,i);u=g;return}i=f[c+16>>2]|0;j=i;d=c+4|0;e=f[d>>2]|0;if(i|0){if((e|0)<3)k=Y(f[c+12>>2]|0,f[c+8>>2]|0)|0;else{i=f[c+40>>2]|0;l=0;m=1;while(1){n=Y(f[i+(l<<2)>>2]|0,m)|0;l=l+1|0;if((l|0)==(e|0)){k=n;break}else m=n}}if(!((e|0)==0|(k|0)==0)){f[h+8>>2]=0;b[h+11>>0]=7;b[h>>0]=b[219377]|0;b[h+1>>0]=b[219378]|0;b[h+2>>0]=b[219379]|0;b[h+3>>0]=b[219380]|0;b[h+4>>0]=b[219381]|0;b[h+5>>0]=b[219382]|0;b[h+6>>0]=b[219383]|0;b[h+7>>0]=0;WD(-215,h,219070,217988,914)}}f[a>>2]=f[c>>2];h=a+4|0;f[h>>2]=e;k=a+8|0;f[k>>2]=f[c+8>>2];f[a+12>>2]=f[c+12>>2];f[a+16>>2]=j;f[a+20>>2]=f[c+20>>2];f[a+24>>2]=f[c+24>>2];f[a+28>>2]=f[c+28>>2];f[a+32>>2]=f[c+32>>2];j=f[c+36>>2]|0;f[a+36>>2]=j;m=a+40|0;f[m>>2]=k;k=a+48|0;l=a+44|0;f[l>>2]=k;f[k>>2]=0;f[a+52>>2]=0;if(!j)o=e;else{e=j+12|0;f[e>>2]=(f[e>>2]|0)+1;o=f[d>>2]|0}if((o|0)<3){d=f[c+44>>2]|0;e=f[l>>2]|0;f[e>>2]=f[d>>2];f[e+4>>2]=f[d+4>>2];u=g;return}f[h>>2]=0;QT(a,o,0,0,0);if((f[h>>2]|0)<=0){u=g;return}o=f[c+40>>2]|0;a=f[m>>2]|0;m=f[c+44>>2]|0;c=f[l>>2]|0;l=0;do{f[a+(l<<2)>>2]=f[o+(l<<2)>>2];f[c+(l<<2)>>2]=f[m+(l<<2)>>2];l=l+1|0}while((l|0)<(f[h>>2]|0));u=g;return}function pU(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;d=u;u=u+112|0;e=d+48|0;g=d;h=d+32|0;i=c+12|0;j=f[i>>2]|0;k=f[c+8>>2]|0;if(!((j|0)==1|(k|0)==1)){l=cuc(32)|0;f[e>>2]=l;f[e+8>>2]=-2147483616;f[e+4>>2]=26;m=l;n=219385;o=m+26|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));b[l+26>>0]=0;WD(-215,e,218995,217988,923)}l=j+-1+k|0;k=f[c>>2]&4095;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;f[g+16>>2]=0;f[g+20>>2]=0;f[g+24>>2]=0;f[g+28>>2]=0;f[a>>2]=1124007936;j=a+8|0;n=a+40|0;m=a+4|0;o=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(o|0));f[n>>2]=j;j=a+48|0;f[a+44>>2]=j;f[j>>2]=0;f[a+52>>2]=0;f[e>>2]=l;f[e+4>>2]=l;ZT(a,2,e,k);GI(a,g)|0;hU(e,a,0);if((f[i>>2]|0)==1){i=g+8|0;f[i>>2]=0;f[i+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=e;EI(c,g)}else{f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=c;c=h+8|0;f[c>>2]=0;f[c+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=e;HN(g,h)}h=e+36|0;g=f[h>>2]|0;if((g|0?(c=g+12|0,g=f[c>>2]|0,f[c>>2]=g+-1,(g|0)==1):0)?(g=f[h>>2]|0,g|0):0){f[h>>2]=0;c=f[g+4>>2]|0;if(!c){i=f[e+32>>2]|0;if(!i)p=ST()|0;else p=i}else p=c;yh[f[(f[p>>2]|0)+24>>2]&2047](p,g)}f[h>>2]=0;h=e+16|0;g=e+4|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;if((f[g>>2]|0)>0){h=f[e+40>>2]|0;p=0;do{f[h+(p<<2)>>2]=0;p=p+1|0}while((p|0)<(f[g>>2]|0))}g=f[e+44>>2]|0;if((g|0)==(e+48|0)){u=d;return}TC(g);u=d;return}function qU(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0;if(!(f[a+16>>2]|0)){e=-1;return e|0}g=f[a>>2]|0;if(!((c|0)<1|(g&7|0)==(c|0))){e=-1;return e|0}c=g&16384;if(!((c|0)!=0|d^1)){e=-1;return e|0}d=f[a+4>>2]|0;switch(d|0){case 2:{if((f[a+8>>2]|0)!=1?(h=f[a+12>>2]|0,(h|0)!=1):0){i=h;j=9}else j=7;if((j|0)==7?((g>>>3&511)+1|0)!=(b|0):0){i=f[a+12>>2]|0;j=9}if((j|0)==9?!((i|0)==(b|0)&(g&4088|0)==0):0){e=-1;return e|0}k=Y(f[a+12>>2]|0,f[a+8>>2]|0)|0;break}case 3:{if(g&4088|0){e=-1;return e|0}i=f[a+40>>2]|0;if((f[i+8>>2]|0)!=(b|0)){e=-1;return e|0}if((f[i>>2]|0)!=1?(f[i+4>>2]|0)!=1:0){e=-1;return e|0}if((c|0)==0?(c=f[a+44>>2]|0,(f[c+4>>2]|0)!=(Y(f[c+8>>2]|0,b)|0)):0){e=-1;return e|0}c=f[a+40>>2]|0;a=0;i=1;while(1){j=Y(f[c+(a<<2)>>2]|0,i)|0;a=a+1|0;if((a|0)==(d|0)){k=j;break}else i=j}break}default:{e=-1;return e|0}}e=((Y((g>>>3&511)+1|0,k)|0)>>>0)/(b>>>0)|0;return e|0}function rU(a,c,e,g,h,i){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0;j=cuc(12)|0;f[j>>2]=41020;f[j+4>>2]=0;b[j+8>>0]=0;sU(j);fuc(j);j=cuc(2296)|0;f[j>>2]=41040;k=j+8|0;b[j+48>>0]=0;f[j+44>>2]=0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;f[k+16>>2]=0;f[k+20>>2]=0;f[k+24>>2]=0;f[k+28>>2]=0;d[k+32>>1]=0;b[k+34>>0]=0;k=(xE(4)|0)&1;b[j+43>>0]=k;f[j+192>>2]=j+200;f[j+196>>2]=1032;f[j+1232>>2]=j+1240;f[j+1236>>2]=264;f[j+12>>2]=j+56;tU(j,c,e,g,h,i);f[a>>2]=j;i=cuc(16)|0;f[i+4>>2]=0;f[i+8>>2]=0;f[i>>2]=41060;f[i+12>>2]=j;f[a+4>>2]=i;return}function sU(a){a=a|0;f[a>>2]=41020;return}function tU(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0.0;i=a+8|0;j=a+36|0;k=f[j>>2]|0;l=(g&128|0)==0;m=(e|0)==5?8:16;n=a+40|0;o=g&1;b[n>>0]=o;q=(g&32|0)!=0;b[a+42>>0]=(g&144|0)==16&1;r=a+16|0;p[r>>3]=1.0;f[a+32>>2]=c;f[j>>2]=c;b[a+48>>0]=0;s=(k|0)!=(c|0);k=a+12|0;t=f[k>>2]|0;if(s){if((c|0)>=6){u=(c+-1^c)+1>>1;if((u|0)>1){f[t>>2]=u;if((u|0)!=(c|0)?(v=(c>>>0)/(u>>>0)|0,(v|0)>1):0){w=3;x=v;y=1;z=8}else A=1}else{w=3;x=c;y=0;z=8}a:do if((z|0)==8){b:while(1){z=0;v=w;while(1){B=(x|0)/(v|0)|0;if((Y(B,v)|0)==(x|0))break;u=v+2|0;if((Y(u,u)|0)>(x|0))break b;else v=u}u=y+1|0;f[t+(y<<2)>>2]=v;if((B|0)>1){w=v;x=B;y=u;z=8}else{A=u;break a}}f[t+(y<<2)>>2]=x;A=y+1|0}while(0);y=f[t>>2]&1^1;x=(y+A|0)/2|0;if((y|0)<(x|0)){B=A+-1+y|0;w=y;do{y=t+(w<<2)|0;u=f[y>>2]|0;C=t+(B-w<<2)|0;f[y>>2]=f[C>>2];f[C>>2]=u;w=w+1|0}while((w|0)!=(x|0));D=A}else D=A}else{f[t>>2]=c;D=1}f[i>>2]=D;A=(f[t>>2]|0)==(f[t+(D+-1<<2)>>2]|0);if(!s)if(A)E=1;else{F=i;z=18}else{G=i;H=A;z=19}}else if((f[t>>2]|0)==(f[t+((f[i>>2]|0)+-1<<2)>>2]|0))E=1;else{F=i;z=18}if((z|0)==18)if(o<<24>>24==0|q^1)E=0;else{G=F;H=0;z=19}if((z|0)==19){F=a+192|0;o=Y(f[j>>2]|0,m)|0;i=a+196|0;if((f[i>>2]|0)>>>0<o>>>0){t=f[F>>2]|0;A=a+200|0;if((t|0)==(A|0))I=t;else{if(t|0)guc(t);f[F>>2]=A;f[i>>2]=1032;I=A}f[i>>2]=o;if(o>>>0>1032){A=euc(o)|0;f[F>>2]=A;J=A}else J=I}else{f[i>>2]=o;J=f[F>>2]|0}F=a+28|0;f[F>>2]=J;J=a+1232|0;o=f[j>>2]|0;i=a+1236|0;if((f[i>>2]|0)>>>0<o>>>0){I=f[J>>2]|0;A=a+1240|0;if((I|0)==(A|0))K=I;else{if(I|0)guc(I);f[J>>2]=A;f[i>>2]=264;K=A}f[i>>2]=o;if(o>>>0>264){A=euc(o>>>0>1073741823?-1:o<<2)|0;f[J>>2]=A;L=A}else L=K}else{f[i>>2]=o;L=f[J>>2]|0}f[a+24>>2]=L;if(l)M=q&(b[n>>0]|0)!=0;else M=0;yU(f[j>>2]|0,f[G>>2]|0,f[k>>2]|0,L,m,f[F>>2]|0,M&1);E=H}do if(!h)z=44;else{if(l){if(E|(b[h>>0]|0)==0?(c&1|0)==0|q^1:0){z=44;break}}else if(E){N=0;O=1;break}b[h>>0]=1;z=44}while(0);if((z|0)==44){z=l^1;if(z|q^1){N=0;O=z}else{N=(b[n>>0]|0)==0?1:2;O=0}}f[a+44>>2]=f[41080+(((e|0)==6?N+3|0:N)<<2)>>2];if((g&66|0)!=2)return;P=1.0/+(Y((g&4|0)==0|O?d:1,c)|0);p[r>>3]=P;return}function uU(a){a=a|0;Qtc(a);fuc(a);return}function vU(a){a=a|0;var b=0;b=f[a+12>>2]|0;if(!b)return;bi[f[(f[b>>2]|0)+8>>2]&2047](b);return}function wU(a,b){a=a|0;b=b|0;return ((f[b+4>>2]|0)==219412?a+12|0:0)|0}function xU(a){a=a|0;fuc(a);return}function yU(a,b,c,d,e,g,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;i=i|0;var j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0.0,L=0.0,N=0.0,O=0,Q=0.0,R=0.0,S=0,T=0.0,U=0.0;j=u;u=u+272|0;k=j+136|0;l=j;m=f[c>>2]|0;do if((a|0)<6){f[d>>2]=0;o=a+-1|0;f[d+(o<<2)>>2]=o;if((a|0)==4){f[d+4>>2]=2;f[d+8>>2]=1;q=2;break}if((o|0)>1)r=1;else{u=j;return}do{f[d+(r<<2)>>2]=r;r=r+1|0}while((r|0)!=(o|0));if((a|0)!=5){u=j;return}if((e|0)==16){p[g>>3]=1.0;p[g+8>>3]=0.0;u=j;return}else{f[g>>2]=1065353216;f[g+4>>2]=0;u=j;return}}else{f[l+(b<<2)>>2]=1;f[k+(b<<2)>>2]=0;if((b|0)>0){kzc(k|0,0,b<<2|0)|0;o=0;do{s=b-o|0;t=s+-1|0;v=Y(f[c+(t<<2)>>2]|0,f[l+(s<<2)>>2]|0)|0;f[l+(t<<2)>>2]=v;o=o+1|0}while((o|0)!=(b|0))}if(!i)w=d;else w=(m|0)==(f[c+(b+-1<<2)>>2]|0)?d:g;a:do if(!(m&1)){o=f[l+4>>2]|0;v=Y(o,m)|0;t=v>>1;s=0;while(1)if(1<<s>>>0<m>>>0)s=s+1|0;else break;x=v>>2;do if((m|0)>=3)if((m|0)<257){y=10-s|0;z=m+-4|0;if((m|0)<4)break;else A=0;do{B=Y((h[219664+(A>>2)>>0]|0)>>>y,o)|0;f[w+(A<<2)>>2]=B;C=B+t|0;f[w+((A|1)<<2)>>2]=C;f[w+((A|2)<<2)>>2]=B+x;f[w+((A|3)<<2)>>2]=C+x;A=A+4|0}while((A|0)<=(z|0))}else{z=34-s|0;y=0;do{C=Y(((h[219664+(y>>>10&255)>>0]|0)<<16|(h[219664+(y>>>2&255)>>0]|0)<<24|(h[219664+(y>>>18&255)>>0]|0)<<8|(h[219664+(y>>26)>>0]|0))>>>z,o)|0;f[w+(y<<2)>>2]=C;B=C+t|0;f[w+((y|1)<<2)>>2]=B;f[w+((y|2)<<2)>>2]=C+x;f[w+((y|3)<<2)>>2]=B+x;y=y+4|0}while((y|0)<(m|0))}else{f[w>>2]=0;f[w+4>>2]=t}while(0);t=k+4|0;f[t>>2]=(f[t>>2]|0)+1;if((b|0)>1?(x=f[l+8>>2]|0,(m|0)<(a|0)):0){o=c+4|0;if((m|0)>0){v=x;y=m;b:while(1){z=0;do{f[w+(z+y<<2)>>2]=(f[w+(z<<2)>>2]|0)+v;z=z+1|0}while((z|0)!=(m|0));z=y+m|0;if((z|0)>=(a|0)){D=s;break a}B=x+v|0;C=(f[t>>2]|0)+1|0;f[t>>2]=C;if((C|0)<(f[o>>2]|0)){v=B;y=z;continue}else{E=B;F=1;G=t}while(1){f[G>>2]=0;B=(f[l+(F+2<<2)>>2]|0)+E-(f[l+(F<<2)>>2]|0)|0;C=F+1|0;H=k+(C<<2)|0;I=(f[H>>2]|0)+1|0;f[H>>2]=I;if((I|0)<(f[c+(C<<2)>>2]|0)){v=B;y=z;continue b}else{E=B;F=C;G=H}}}}else{y=m<<1;if((y|0)>=(a|0)){D=s;break}v=f[o>>2]|0;x=y;do{y=(f[t>>2]|0)+1|0;f[t>>2]=y;if((y|0)>=(v|0)){y=1;z=t;do{f[z>>2]=0;y=y+1|0;z=k+(y<<2)|0;H=(f[z>>2]|0)+1|0;f[z>>2]=H}while((H|0)>=(f[c+(y<<2)>>2]|0))}x=x+m|0}while((x|0)<(a|0));D=s}}else D=s}else{f[w>>2]=0;if((a|0)>1){x=f[l+4>>2]|0;t=0;v=1;while(1){o=x+t|0;y=(f[k>>2]|0)+1|0;f[k>>2]=y;if((y|0)<(f[c>>2]|0))J=o;else{y=0;z=o;o=k;while(1){f[o>>2]=0;H=(f[l+(y+2<<2)>>2]|0)+z-(f[l+(y<<2)>>2]|0)|0;y=y+1|0;o=k+(y<<2)|0;C=(f[o>>2]|0)+1|0;f[o>>2]=C;if((C|0)<(f[c+(y<<2)>>2]|0)){J=H;break}else z=H}}f[w+(v<<2)>>2]=J;v=v+1|0;if((v|0)==(a|0)){D=0;break}else t=J}}else D=0}while(0);if((w|0)!=(d|0)?(f[d>>2]=0,t=a&1,(t|0)<(a|0)):0){v=t;do{t=v+1|0;x=f[w+(t<<2)>>2]|0;f[d+(f[w+(v<<2)>>2]<<2)>>2]=v;f[d+(x<<2)>>2]=t;v=v+2|0}while((v|0)<(a|0));q=D}else q=D}while(0);if(!(a+-1&a)){K=+p[11016+(q<<4)>>3];L=-+p[11016+(q<<4)+8>>3]}else{N=+P(+(-6.283185307179586/+(a|0)));K=+M(+(1.0-N*N));L=N}q=(a+1|0)/2|0;D=(a&1|0)==0;if((e|0)==16){p[g>>3]=1.0;p[g+8>>3]=0.0;if(D){p[g+(q<<4)>>3]=-1.0;p[g+(q<<4)+8>>3]=0.0}if((a|0)>2){O=1;Q=K;R=L}else{u=j;return}while(1){p[g+(O<<4)>>3]=Q;p[g+(O<<4)+8>>3]=R;e=a-O|0;p[g+(e<<4)>>3]=Q;p[g+(e<<4)+8>>3]=-R;N=K*R+L*Q;O=O+1|0;if((O|0)>=(q|0))break;else{Q=K*Q-L*R;R=N}}u=j;return}else{n[g>>2]=1.0;n[g+4>>2]=0.0;if(D){n[g+(q<<3)>>2]=-1.0;n[g+(q<<3)+4>>2]=0.0}if((a|0)>2){S=1;T=K;U=L}else{u=j;return}while(1){R=T;n[g+(S<<3)>>2]=R;Q=U;n[g+(S<<3)+4>>2]=Q;D=a-S|0;n[g+(D<<3)>>2]=R;n[g+(D<<3)+4>>2]=-Q;Q=K*U+L*T;S=S+1|0;if((S|0)>=(q|0))break;else{T=K*T-L*U;U=Q}}u=j;return}}function zU(a,b,c){a=a|0;b=b|0;c=c|0;JU(a,b,c);return}function AU(a,b,c){a=a|0;b=b|0;c=c|0;KU(a,b,c);return}function BU(a,b,c){a=a|0;b=b|0;c=c|0;IU(a,b,c);return}function CU(a,b,c){a=a|0;b=b|0;c=c|0;GU(a,b,c);return}function DU(a,b,c){a=a|0;b=b|0;c=c|0;HU(a,b,c);return}function EU(a,b,c){a=a|0;b=b|0;c=c|0;FU(a,b,c);return}function FU(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0.0,k=0,l=0.0,m=0.0,n=0,o=0.0,q=0.0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0.0,C=0.0,D=0,E=0.0,F=0,G=0.0,H=0.0,I=0.0,J=0.0,K=0.0,L=0,M=0.0,N=0,O=0.0,P=0;e=u;u=u+48|0;g=e;h=f[a+28>>2]|0;i=(b[a+34>>0]|0)!=0;j=+p[a+8>>3];if(i){k=c+8|0;l=+p[k>>3];m=+p[c>>3];p[k>>3]=m;n=k;o=l;q=m}else{n=c;o=0.0;q=+p[c>>3]}a:do switch(h|0){case 1:{p[d>>3]=j*q;break}case 2:{m=+p[n+8>>3];p[d+8>>3]=j*(q-m);p[d>>3]=j*(q+m);break}default:{c=h+1>>1;if(h&1|0){k=n+-8|0;p[d>>3]=q;p[d+8>>3]=0.0;if((c|0)>1){r=f[a+16>>2]|0;s=1;do{t=f[r+(s<<2)>>2]|0;v=f[r+(h-s<<2)>>2]|0;m=+p[k+(s<<4)>>3];l=+p[k+(s<<4)+8>>3];p[d+(t<<4)>>3]=m;p[d+(t<<4)+8>>3]=-l;p[d+(v<<4)>>3]=m;p[d+(v<<4)+8>>3]=l;s=s+1|0}while((s|0)!=(c|0))}w=g;x=a;y=w+48|0;do{f[w>>2]=f[x>>2];w=w+4|0;x=x+4|0}while((w|0)<(y|0));b[g+34>>0]=0;b[g+32>>0]=0;b[g+33>>0]=1;p[g+8>>3]=1.0;f[g+28>>2]=h;GU(g,d,d);p[d>>3]=j*+p[d>>3];if((h|0)>1){s=1;do{k=s<<1;l=j*+p[d+(k+2<<3)>>3];p[d+(s<<3)>>3]=j*+p[d+(k<<3)>>3];p[d+(s+1<<3)>>3]=l;s=s+2|0}while((s|0)<(h|0))}break a}s=(n|0)==(d|0);k=f[a+20>>2]|0;l=+p[n+8>>3];m=+p[n+(h+-1<<3)>>3];p[d>>3]=q+m;p[d+8>>3]=m-q;r=k+16|0;do if((c|0)>2){if(s){v=r;m=l;t=2;z=k;while(1){A=h-t|0;B=+p[d+(A+-1<<3)>>3];C=m+B;D=d+(t<<3)|0;E=+p[D>>3];F=d+(A<<3)|0;G=+p[F>>3];H=E-G;I=m-B;B=E+G;G=+p[v>>3];E=+p[z+24>>3];J=I*G+B*E;K=B*G-I*E;L=d+((t|1)<<3)|0;m=+p[L>>3];p[D>>3]=C-K;p[L>>3]=-H-J;p[F>>3]=C+K;p[d+(A+1<<3)>>3]=H-J;t=t+2|0;if((t|0)>=(c|0))break;else{A=v;v=v+16|0;z=A}}M=m;N=c+1&-2;break}z=f[a+16>>2]|0;v=r;J=l;t=2;A=k;while(1){F=h-t|0;H=+p[n+(F+-1<<3)>>3];K=J+H;C=+p[n+(t<<3)>>3];E=+p[n+(F<<3)>>3];I=C-E;G=J-H;H=C+E;E=+p[v>>3];C=+p[A+24>>3];B=G*E+H*C;O=H*E-G*C;J=+p[n+((t|1)<<3)>>3];F=t>>1;L=f[z+(F<<2)>>2]|0;p[d+(L<<3)>>3]=K-O;p[d+(L+1<<3)>>3]=-I-B;L=f[z+(c-F<<2)>>2]|0;p[d+(L<<3)>>3]=K+O;p[d+(L+1<<3)>>3]=I-B;t=t+2|0;if((t|0)>=(c|0))break;else{L=v;v=v+16|0;A=L}}M=J;N=c+1&-2}else{M=l;N=2}while(0);if((N|0)<=(c|0)){l=+p[n+(c<<3)>>3]*2.0;if(s)P=c;else P=f[(f[a+16>>2]|0)+(c<<2)>>2]<<1;p[d+(P<<3)>>3]=M*2.0;p[d+(P+1<<3)>>3]=l}k=a+4|0;r=f[k>>2]|0;A=f[r>>2]>>1;f[r>>2]=A;w=g;x=a;y=w+48|0;do{f[w>>2]=f[x>>2];w=w+4|0;x=x+4|0}while((w|0)<(y|0));r=(A|0)==1&1;v=g+4|0;f[v>>2]=(f[v>>2]|0)+(r<<2);f[g>>2]=(f[g>>2]|0)-r;b[g+34>>0]=0;b[g+32>>0]=0;b[g+33>>0]=(s^1)&1;p[g+8>>3]=1.0;f[g+28>>2]=c;GU(g,d,d);r=f[k>>2]|0;f[r>>2]=f[r>>2]<<1;if((h|0)>0){r=0;do{v=d+(r<<3)|0;t=d+((r|1)<<3)|0;l=-(j*+p[t>>3]);p[v>>3]=j*+p[v>>3];p[t>>3]=l;r=r+2|0}while((r|0)<(h|0))}}}while(0);if(!i){u=e;return}p[n>>3]=o;u=e;return}function GU(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0.0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0.0,A=0.0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0.0,L=0.0,M=0.0,N=0.0,O=0.0,P=0,Q=0,R=0,S=0.0,T=0.0,U=0.0,V=0.0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0.0,ga=0.0,ha=0,ia=0.0,ja=0.0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0;e=u;u=u+1168|0;g=e;h=f[a+20>>2]|0;i=f[a+16>>2]|0;j=a+28|0;k=f[j>>2]|0;l=(b[a+32>>0]|0)!=0;m=a+24|0;n=f[m>>2]|0;o=+p[a+8>>3];if((n|0)!=(k|0))if((n|0)==(k<<1|0))q=2;else q=(n|0)/(k|0)|0;else q=1;do if((d|0)==(c|0)){a:do if(!(b[a+33>>0]|0)){r=f[a+4>>2]|0;s=f[a>>2]|0;if((f[r>>2]|0)!=(f[r+(s+-1<<2)>>2]|0)){r=cuc(48)|0;f[g>>2]=r;f[g+8>>2]=-2147483600;f[g+4>>2]=33;t=r;v=219561;w=t+33|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));b[r+33>>0]=0;WD(-215,g,219595,219599,657)}if((s|0)!=1){if((k|0)>0){x=0;y=i}else break;while(1){v=f[y>>2]|0;if((v|0)>(x|0)){t=d+(x<<4)|0;z=+p[t>>3];A=+p[d+(x<<4)+8>>3];w=d+(v<<4)|0;f[t>>2]=f[w>>2];f[t+4>>2]=f[w+4>>2];f[t+8>>2]=f[w+8>>2];f[t+12>>2]=f[w+12>>2];p[w>>3]=z;p[d+(v<<4)+8>>3]=A}x=x+1|0;if((x|0)==(k|0))break a;else y=y+(q<<2)|0}}if((k&3|0)==0?(s=(k|0)/2|0,r=d+(s<<4)|0,(k|0)>1):0){v=q<<1;w=0;t=i;while(1){B=f[t>>2]|0;C=w|1;D=d+(C<<4)|0;A=+p[D>>3];z=+p[d+(C<<4)+8>>3];E=r+(B<<4)|0;f[D>>2]=f[E>>2];f[D+4>>2]=f[E+4>>2];f[D+8>>2]=f[E+8>>2];f[D+12>>2]=f[E+12>>2];p[E>>3]=A;p[E+8>>3]=z;if((B|0)>(w|0)){E=d+(w<<4)|0;z=+p[E>>3];A=+p[d+(w<<4)+8>>3];D=d+(B<<4)|0;f[E>>2]=f[D>>2];f[E+4>>2]=f[D+4>>2];f[E+8>>2]=f[D+8>>2];f[E+12>>2]=f[D+12>>2];p[D>>3]=z;p[d+(B<<4)+8>>3]=A;D=r+(C<<4)|0;A=+p[D>>3];z=+p[D+8>>3];C=r+(B+1<<4)|0;f[D>>2]=f[C>>2];f[D+4>>2]=f[C+4>>2];f[D+8>>2]=f[C+8>>2];f[D+12>>2]=f[C+12>>2];p[C>>3]=A;p[C+8>>3]=z}w=w+2|0;if((w|0)>=(s|0))break;else t=t+(v<<2)|0}}}while(0);if(l){v=k+-2|0;if((k|0)<2)F=0;else{t=0;do{s=d+(t<<4)+8|0;w=d+((t|1)<<4)+8|0;z=-+p[w>>3];p[s>>3]=-+p[s>>3];p[w>>3]=z;t=t+2|0}while((t|0)<=(v|0));F=k&-2}v=d+(k+-1<<4)+8|0;if((F|0)<(k|0))p[v>>3]=-+p[v>>3]}}else{v=k+-2|0;t=(k|0)<2;if(l){if(t)G=0;else{w=q<<1;s=0;r=i;while(1){C=f[r>>2]|0;D=f[r+(q<<2)>>2]|0;z=-+p[c+(C<<4)+8>>3];p[d+(s<<4)>>3]=+p[c+(C<<4)>>3];p[d+(s<<4)+8>>3]=z;z=-+p[c+(D<<4)+8>>3];C=s|1;p[d+(C<<4)>>3]=+p[c+(D<<4)>>3];p[d+(C<<4)+8>>3]=z;s=s+2|0;if((s|0)>(v|0))break;else r=r+(w<<2)|0}G=k&-2}if((G|0)>=(k|0))break;w=k+-1|0;z=-+p[c+(w<<4)+8>>3];p[d+(G<<4)>>3]=+p[c+(w<<4)>>3];p[d+(G<<4)+8>>3]=z;break}else{if(t)H=0;else{w=q<<1;r=0;s=i;while(1){C=f[s+(q<<2)>>2]|0;D=c+(f[s>>2]<<4)|0;B=d+(r<<4)|0;f[B>>2]=f[D>>2];f[B+4>>2]=f[D+4>>2];f[B+8>>2]=f[D+8>>2];f[B+12>>2]=f[D+12>>2];D=c+(C<<4)|0;C=d+((r|1)<<4)|0;f[C>>2]=f[D>>2];f[C+4>>2]=f[D+4>>2];f[C+8>>2]=f[D+8>>2];f[C+12>>2]=f[D+12>>2];r=r+2|0;if((r|0)>(v|0))break;else s=s+(w<<2)|0}H=k&-2}w=k+-1|0;if((H|0)>=(k|0))break;s=c+(w<<4)|0;v=d+(w<<4)|0;f[v>>2]=f[s>>2];f[v+4>>2]=f[s+4>>2];f[v+8>>2]=f[s+8>>2];f[v+12>>2]=f[s+12>>2];break}}while(0);c=a+4|0;k=f[c>>2]|0;H=f[k>>2]|0;q=H&1;if(!q){if((H|0)<4){I=1;J=n}else{i=f[j>>2]|0;G=(i|0)>0;F=1;y=n;x=4;while(1){s=(y|0)/4|0;if(G){v=F<<1;w=(F|0)>1;r=0;do{t=d+(r<<4)|0;D=t+(v<<4)|0;z=+p[D>>3];C=D+8|0;A=+p[C>>3];B=D+(F<<4)|0;K=+p[B>>3];E=B+8|0;L=+p[E>>3];M=z+K;N=A+L;O=A-L;L=K-z;z=+p[t>>3];P=d+(r<<4)+8|0;K=+p[P>>3];Q=t+(F<<4)|0;A=+p[Q>>3];R=Q+8|0;S=+p[R>>3];T=z+A;U=K+S;V=z-A;A=K-S;p[t>>3]=M+T;p[P>>3]=N+U;p[D>>3]=T-M;p[C>>3]=U-N;p[Q>>3]=O+V;p[R>>3]=L+A;p[B>>3]=V-O;p[E>>3]=A-L;if(w){E=s;B=1;while(1){R=t+(B<<4)|0;Q=R+(v<<4)|0;C=R+(F<<4)|0;L=+p[C>>3];D=E<<1;A=+p[h+(D<<4)>>3];P=C+8|0;O=+p[P>>3];V=+p[h+(D<<4)+8>>3];N=L*A-O*V;U=A*O+L*V;V=+p[Q>>3];L=+p[h+(E<<4)+8>>3];D=Q+8|0;O=+p[D>>3];A=+p[h+(E<<4)>>3];M=V*L+O*A;T=V*A-L*O;W=Q+(F<<4)|0;O=+p[W>>3];X=E*3|0;L=+p[h+(X<<4)+8>>3];Z=W+8|0;A=+p[Z>>3];V=+p[h+(X<<4)>>3];S=O*L+A*V;K=O*V-L*A;A=T+K;L=M+S;V=M-S;S=K-T;T=+p[R>>3];X=R+8|0;K=+p[X>>3];M=N+T;O=U+K;z=T-N;N=K-U;p[R>>3]=M+A;p[X>>3]=O+L;p[Q>>3]=M-A;p[D>>3]=O-L;p[C>>3]=z+V;p[P>>3]=N+S;p[W>>3]=z-V;p[Z>>3]=N-S;B=B+1|0;if((B|0)==(F|0))break;else E=E+s|0}}r=r+x|0}while((r|0)<(i|0))}r=x<<2;if((r|0)>(H|0)){I=x;J=s;break}else{v=x;y=s;x=r;F=v}}}if((I|0)<(H|0)){F=f[j>>2]|0;x=(F|0)>0;y=I;i=J;while(1){G=y<<1;v=(i|0)/2|0;b:do if(x){if((y|0)>1)_=0;else{r=0;while(1){w=d+(r<<4)|0;S=+p[w>>3];E=w+(y<<4)|0;N=+p[E>>3];B=d+(r<<4)+8|0;V=+p[B>>3];t=E+8|0;z=+p[t>>3];p[w>>3]=S+N;p[B>>3]=V+z;p[E>>3]=S-N;p[t>>3]=V-z;r=r+G|0;if((r|0)>=(F|0))break b}}do{r=d+(_<<4)|0;z=+p[r>>3];t=r+(y<<4)|0;V=+p[t>>3];E=d+(_<<4)+8|0;N=+p[E>>3];B=t+8|0;S=+p[B>>3];p[r>>3]=z+V;p[E>>3]=N+S;p[t>>3]=z-V;p[B>>3]=N-S;B=v;t=1;while(1){E=r+(t<<4)|0;w=E+(y<<4)|0;S=+p[w>>3];N=+p[h+(B<<4)>>3];Z=w+8|0;V=+p[Z>>3];z=+p[h+(B<<4)+8>>3];L=S*N-V*z;O=N*V+S*z;z=+p[E>>3];W=E+8|0;S=+p[W>>3];p[E>>3]=z+L;p[W>>3]=S+O;p[w>>3]=z-L;p[Z>>3]=S-O;t=t+1|0;if((t|0)==(y|0))break;else B=B+v|0}_=_+G|0}while((_|0)<(F|0))}while(0);if((G|0)<(H|0)){y=G;i=v}else{$=G;aa=v;break}}}else{$=I;aa=J}}else{$=1;aa=n}n=q^1;c:do if((n|0)<(f[a>>2]|0)){q=g+8|0;J=g+4|0;I=n;i=$;y=aa;H=k;while(1){F=f[H+(I<<2)>>2]|0;_=Y(F,i)|0;x=(y|0)/(F|0)|0;d:do switch(F|0){case 3:{s=f[j>>2]|0;if((s|0)>0){B=i<<1;if((i|0)>1)ba=0;else{t=0;while(1){r=d+(t<<4)|0;Z=r+(i<<4)|0;O=+p[Z>>3];w=r+(B<<4)|0;S=+p[w>>3];L=O+S;W=Z+8|0;z=+p[W>>3];E=w+8|0;V=+p[E>>3];N=z+V;A=+p[r>>3];P=d+(t<<4)+8|0;M=+p[P>>3];U=(z-V)*.8660254037844386;V=(S-O)*.8660254037844386;p[r>>3]=L+A;p[P>>3]=N+M;O=A-L*.5;L=M-N*.5;p[Z>>3]=O+U;p[W>>3]=V+L;p[w>>3]=O-U;p[E>>3]=L-V;t=t+_|0;if((t|0)>=(s|0))break d}}do{t=d+(ba<<4)|0;E=t+(i<<4)|0;V=+p[E>>3];w=t+(B<<4)|0;L=+p[w>>3];U=V+L;W=E+8|0;O=+p[W>>3];Z=w+8|0;N=+p[Z>>3];M=O+N;A=+p[t>>3];P=d+(ba<<4)+8|0;S=+p[P>>3];z=(O-N)*.8660254037844386;N=(L-V)*.8660254037844386;p[t>>3]=U+A;p[P>>3]=M+S;V=A-U*.5;U=S-M*.5;p[E>>3]=V+z;p[W>>3]=N+U;p[w>>3]=V-z;p[Z>>3]=U-N;Z=x;w=1;while(1){W=t+(w<<4)|0;E=W+(i<<4)|0;N=+p[E>>3];U=+p[h+(Z<<4)>>3];P=E+8|0;z=+p[P>>3];V=+p[h+(Z<<4)+8>>3];M=N*U-z*V;S=U*z+N*V;r=W+(B<<4)|0;V=+p[r>>3];C=Z<<1;N=+p[h+(C<<4)>>3];D=r+8|0;z=+p[D>>3];U=+p[h+(C<<4)+8>>3];A=V*N-z*U;L=N*z+V*U;U=M+A;V=S+L;z=(S-L)*.8660254037844386;L=(A-M)*.8660254037844386;M=+p[W>>3];C=W+8|0;A=+p[C>>3];p[W>>3]=M+U;p[C>>3]=A+V;S=M-U*.5;U=A-V*.5;p[E>>3]=z+S;p[P>>3]=L+U;p[r>>3]=S-z;p[D>>3]=U-L;w=w+1|0;if((w|0)==(i|0))break;else Z=Z+x|0}ba=ba+_|0}while((ba|0)<(s|0))}break}case 5:{s=f[j>>2]|0;if((s|0)>0){B=(i|0)>0;Z=i<<1;w=0;do{if(B){t=d+(w<<4)|0;D=0;r=0;while(1){P=t+(r<<4)|0;E=P+(Z<<4)|0;C=E+(Z<<4)|0;W=P+(i<<4)|0;L=+p[W>>3];U=+p[h+(D<<4)>>3];Q=W+8|0;z=+p[Q>>3];S=+p[h+(D<<4)+8>>3];V=L*U-z*S;A=U*z+L*S;S=+p[C>>3];X=D<<2;L=+p[h+(X<<4)>>3];R=C+8|0;z=+p[R>>3];U=+p[h+(X<<4)+8>>3];M=S*L-z*U;N=L*z+S*U;U=V+M;S=A+N;z=V-M;M=A-N;X=E+(i<<4)|0;N=+p[X>>3];ca=D*3|0;A=+p[h+(ca<<4)>>3];da=X+8|0;V=+p[da>>3];L=+p[h+(ca<<4)+8>>3];O=N*A-V*L;K=A*V+N*L;L=+p[E>>3];ca=D<<1;N=+p[h+(ca<<4)>>3];ea=E+8|0;V=+p[ea>>3];A=+p[h+(ca<<4)+8>>3];T=L*N-V*A;fa=N*V+L*A;A=O+T;L=K+fa;V=O-T;T=K-fa;fa=+p[P>>3];ca=P+8|0;K=+p[ca>>3];O=U+A;N=S+L;p[P>>3]=fa+O;p[ca>>3]=K+N;ga=fa-O*.25;O=K-N*.25;N=(U-A)*.5590169943749475;A=(S-L)*.5590169943749475;L=(M+T)*.9510565162951535;S=(z+V)*-.9510565162951535;U=L-M*.36327126400268045;M=z*.36327126400268045+S;z=L-T*1.5388417685876268;T=V*1.5388417685876268+S;S=N+ga;V=A+O;L=ga-N;N=O-A;p[W>>3]=z+S;p[Q>>3]=T+V;p[C>>3]=S-z;p[R>>3]=V-T;p[E>>3]=U+L;p[ea>>3]=M+N;p[X>>3]=L-U;p[da>>3]=N-M;r=r+1|0;if((r|0)==(i|0))break;else D=D+x|0}}w=w+_|0}while((w|0)<(s|0))}break}default:{s=F+-1|0;w=(s|0)/2|0;Z=(f[m>>2]|0)/(F|0)|0;B=w<<1;kzc(q|0,0,1152)|0;f[g>>2]=q;f[J>>2]=B;if(B>>>0>72){D=euc(B>>>0>268435455?-1:B<<4)|0;kzc(D|0,0,w<<5|0)|0;f[g>>2]=D;ha=D}else ha=q;D=ha+(w<<4)|0;B=f[j>>2]|0;if((B|0)>0){r=(i|0)>0;t=(F|0)<3;da=(s|0)>1;s=0;X=B;while(1){if(r){B=d+(s<<4)|0;ea=0;E=0;while(1){R=B+(ea<<4)|0;M=+p[R>>3];C=R+8|0;N=+p[C>>3];if(!ea){if(!t){Q=i;W=1;U=M;L=N;while(1){ca=R+(Q<<4)|0;T=+p[ca>>3];P=R+(_-Q<<4)|0;V=+p[P>>3];z=T+V;S=+p[ca+8>>3];A=+p[P+8>>3];O=S+A;ga=U+z;K=L+O;P=W+-1|0;p[ha+(P<<4)>>3]=z;p[ha+(P<<4)+8>>3]=S-A;ca=D+(P<<4)|0;p[ca>>3]=T-V;p[ca+8>>3]=O;if((W|0)<(w|0)){Q=Q+i|0;W=W+1|0;U=ga;L=K}else{ia=ga;ja=K;ka=82;break}}}}else{W=h+((Y(E,F)|0)<<4)|0;if(!t){Q=E;ca=i;P=1;L=M;U=N;while(1){la=R+(ca<<4)|0;K=+p[la>>3];ga=+p[h+(Q<<4)>>3];O=+p[la+8>>3];V=+p[h+(Q<<4)+8>>3];T=K*ga-O*V;A=ga*O+K*V;la=R+(_-ca<<4)|0;V=+p[la>>3];ma=W+(0-Q<<4)|0;K=+p[ma>>3];O=+p[la+8>>3];ga=+p[ma+8>>3];S=V*K-O*ga;z=K*O+V*ga;ga=T+S;V=A+z;O=L+ga;K=U+V;ma=P+-1|0;p[ha+(ma<<4)>>3]=ga;p[ha+(ma<<4)+8>>3]=A-z;la=D+(ma<<4)|0;p[la>>3]=T-S;p[la+8>>3]=V;if((P|0)<(w|0)){Q=Q+E|0;ca=ca+i|0;P=P+1|0;L=O;U=K}else{ia=O;ja=K;ka=82;break}}}}e:do if((ka|0)==82?(ka=0,p[R>>3]=ia,p[C>>3]=ja,!t):0){if(da){na=i;oa=1}else{P=i;ca=1;while(1){Q=R+(P<<4)|0;p[Q>>3]=M;p[Q+8>>3]=N;Q=R+(_-P<<4)|0;p[Q>>3]=M;p[Q+8>>3]=N;if((ca|0)<(w|0)){P=P+i|0;ca=ca+1|0}else break e}}while(1){ca=Y(oa,Z)|0;P=f[m>>2]|0;Q=0;W=ca;U=M;L=M;K=N;O=N;while(1){V=+p[h+(W<<4)>>3];S=V*+p[ha+(Q<<4)>>3];T=+p[h+(W<<4)+8>>3];z=T*+p[ha+(Q<<4)+8>>3];la=D+(Q<<4)|0;A=V*+p[la+8>>3];V=T*+p[la>>3];U=U+(S+z);L=L+(S-z);K=K+(A-V);O=O+(A+V);la=W+ca|0;Q=Q+1|0;if((Q|0)>=(w|0))break;else W=la-((la|0)>=(P|0)?P:0)|0}P=R+(na<<4)|0;p[P>>3]=L;p[P+8>>3]=O;P=R+(_-na<<4)|0;p[P>>3]=U;p[P+8>>3]=K;if((oa|0)<(w|0)){na=na+i|0;oa=oa+1|0}else break}}while(0);ea=ea+1|0;if((ea|0)==(i|0))break;else E=E+x|0}pa=f[j>>2]|0}else pa=X;s=s+_|0;if((s|0)>=(pa|0))break;else X=pa}}if((ha|0)!=(q|0)){guc(ha);f[g>>2]=q;f[J>>2]=72}}}while(0);F=I+1|0;if((F|0)>=(f[a>>2]|0))break c;I=F;i=_;y=x;H=f[c>>2]|0}}while(0);if(o!=1.0){ja=l?-o:o;c=f[j>>2]|0;if((c|0)>0)qa=0;else{u=e;return}do{a=d+(qa<<4)|0;g=d+(qa<<4)+8|0;ia=ja*+p[g>>3];p[a>>3]=o*+p[a>>3];p[g>>3]=ia;qa=qa+1|0}while((qa|0)<(c|0));u=e;return}if(!l){u=e;return}l=f[j>>2]|0;if((l|0)<2)ra=0;else{j=l+-2|0;c=((j|0)>1?j:1)&2147483646;qa=0;do{g=d+(qa<<4)+8|0;a=d+((qa|1)<<4)+8|0;o=-+p[a>>3];p[g>>3]=-+p[g>>3];p[a>>3]=o;qa=qa+2|0}while((qa|0)<=(j|0));ra=c+2|0}c=d+(l+-1<<4)+8|0;if((ra|0)>=(l|0)){u=e;return}p[c>>3]=-+p[c>>3];u=e;return}function HU(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0.0,m=0,n=0.0,o=0.0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0.0,B=0.0,C=0,D=0.0,E=0.0,F=0,G=0,H=0.0,I=0,J=0.0,K=0.0,L=0.0,M=0.0,N=0.0,O=0.0,P=0;e=u;u=u+48|0;g=e;h=f[a+28>>2]|0;i=b[a+34>>0]|0;j=i<<24>>24!=0;k=i&255;l=+p[a+8>>3];i=d+(k<<3)|0;d=(h|0)==1;do if(d){p[i>>3]=l*+p[c>>3];m=i}else{if((h|0)==2){n=+p[c>>3];o=+p[c+8>>3];p[i+8>>3]=l*(n-o);p[i>>3]=l*(n+o);m=i;break}if(h&1|0){q=i+(0-k<<3)|0;p[q>>3]=l*+p[c>>3];r=q+8|0;p[r>>3]=0.0;if((h|0)>1){s=f[a+16>>2]|0;t=1;do{v=t+1|0;o=l*+p[c+(f[s+(v<<2)>>2]<<3)>>3];p[q+(t<<4)>>3]=l*+p[c+(f[s+(t<<2)>>2]<<3)>>3];p[q+(t<<4)+8>>3]=0.0;p[q+(v<<4)>>3]=o;p[q+(v<<4)+8>>3]=0.0;t=t+2|0}while((t|0)<(h|0))}w=g;x=a;y=w+48|0;do{f[w>>2]=f[x>>2];w=w+4|0;x=x+4|0}while((w|0)<(y|0));b[g+34>>0]=0;b[g+32>>0]=0;b[g+33>>0]=1;p[g+8>>3]=1.0;GU(g,q,q);if(!j)p[r>>3]=+p[q>>3];m=q;break}o=l*.5;t=h>>1;s=a+4|0;v=f[s>>2]|0;z=f[v>>2]>>1;f[v>>2]=z;w=g;x=a;y=w+48|0;do{f[w>>2]=f[x>>2];w=w+4|0;x=x+4|0}while((w|0)<(y|0));q=(z|0)==1&1;r=g+4|0;f[r>>2]=(f[r>>2]|0)+(q<<2);f[g>>2]=(f[g>>2]|0)-q;b[g+34>>0]=0;b[g+32>>0]=0;b[g+33>>0]=0;p[g+8>>3]=1.0;f[g+28>>2]=t;GU(g,c,i);q=f[s>>2]|0;f[q>>2]=f[q>>2]<<1;n=+p[i>>3];q=i+8|0;A=+p[q>>3];p[i>>3]=l*(n+A);B=l*(n-A);p[q>>3]=B;q=i+(t<<3)|0;A=+p[q>>3];r=i+(h+-1<<3)|0;n=+p[r>>3];p[r>>3]=B;if((t|0)>2){B=n;r=f[a+20>>2]|0;v=2;do{C=r;r=r+16|0;D=+p[i+((v|1)<<3)>>3];E=o*(B+D);F=h-v|0;G=i+(F<<3)|0;H=+p[G>>3];I=i+(v<<3)|0;J=+p[I>>3];K=o*(H-J);L=o*(H+J);J=o*(D-B);D=+p[r>>3];H=+p[C+24>>3];M=E*D-K*H;N=E*H+D*K;C=i+(F+-1<<3)|0;B=+p[C>>3];p[i+(v+-1<<3)>>3]=L+M;p[C>>3]=L-M;p[I>>3]=J+N;p[G>>3]=N-J;v=v+2|0}while((v|0)<(t|0));O=B;P=t+1&-2}else{O=n;P=2}if((P|0)<=(t|0)){p[i+(t+-1<<3)>>3]=l*A;p[q>>3]=-(l*O)}m=i}while(0);if(!j){u=e;return}if(!(d|(h&1|0)==0)){u=e;return}p[m+-8>>3]=+p[m>>3];p[m>>3]=0.0;if((h|0)<=1){u=e;return}p[m+(h<<3)>>3]=0.0;u=e;return}function IU(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0.0,k=0,l=0.0,m=0,o=0,q=0.0,r=0.0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0.0,C=0,D=0.0,E=0.0,F=0,G=0.0,H=0,I=0.0,J=0.0,K=0.0,L=0.0,M=0.0,N=0,O=0.0,P=0,Q=0.0,R=0;e=u;u=u+48|0;g=e;h=f[a+28>>2]|0;i=(b[a+34>>0]|0)!=0;j=+p[a+8>>3];if(i){k=c+4|0;l=+n[k>>2];m=f[c>>2]|0;f[k>>2]=m;o=k;q=l;r=(f[s>>2]=m,+n[s>>2])}else{o=c;q=0.0;r=+n[c>>2]}a:do switch(h|0){case 1:{n[d>>2]=j*r;break}case 2:{l=+n[o+4>>2];n[d+4>>2]=j*(r-l);n[d>>2]=j*(r+l);break}default:{c=h+1>>1;if(h&1|0){m=o+-4|0;n[d>>2]=r;n[d+4>>2]=0.0;if((c|0)>1){k=f[a+16>>2]|0;t=1;do{v=f[k+(t<<2)>>2]|0;w=f[k+(h-t<<2)>>2]|0;x=f[m+(t<<3)>>2]|0;l=+n[m+(t<<3)+4>>2];f[d+(v<<3)>>2]=x;n[d+(v<<3)+4>>2]=-l;f[d+(w<<3)>>2]=x;n[d+(w<<3)+4>>2]=l;t=t+1|0}while((t|0)!=(c|0))}y=g;z=a;A=y+48|0;do{f[y>>2]=f[z>>2];y=y+4|0;z=z+4|0}while((y|0)<(A|0));b[g+34>>0]=0;b[g+32>>0]=0;b[g+33>>0]=1;p[g+8>>3]=1.0;f[g+28>>2]=h;JU(g,d,d);n[d>>2]=j*+n[d>>2];if((h|0)>1){t=1;do{m=t<<1;l=j*+n[d+(m+2<<2)>>2];n[d+(t<<2)>>2]=j*+n[d+(m<<2)>>2];n[d+(t+1<<2)>>2]=l;t=t+2|0}while((t|0)<(h|0))}break a}t=(o|0)==(d|0);m=f[a+20>>2]|0;l=+n[o+4>>2];B=+n[o+(h+-1<<2)>>2];n[d>>2]=r+B;n[d+4>>2]=B-r;k=m+8|0;do if((c|0)>2){if(t){w=k;B=l;x=2;v=m;while(1){C=h-x|0;D=+n[d+(C+-1<<2)>>2];E=B+D;F=d+(x<<2)|0;G=+n[F>>2];H=d+(C<<2)|0;I=+n[H>>2];J=G-I;K=B-D;D=G+I;I=+n[w>>2];G=+n[v+12>>2];L=K*I+D*G;M=D*I-K*G;N=d+((x|1)<<2)|0;B=+n[N>>2];n[F>>2]=E-M;n[N>>2]=-J-L;n[H>>2]=E+M;n[d+(C+1<<2)>>2]=J-L;x=x+2|0;if((x|0)>=(c|0))break;else{C=w;w=w+8|0;v=C}}O=B;P=c+1&-2;break}v=f[a+16>>2]|0;w=k;L=l;x=2;C=m;while(1){H=h-x|0;J=+n[o+(H+-1<<2)>>2];M=L+J;E=+n[o+(x<<2)>>2];G=+n[o+(H<<2)>>2];K=E-G;I=L-J;J=E+G;G=+n[w>>2];E=+n[C+12>>2];D=I*G+J*E;Q=J*G-I*E;L=+n[o+((x|1)<<2)>>2];H=x>>1;N=f[v+(H<<2)>>2]|0;n[d+(N<<2)>>2]=M-Q;n[d+(N+1<<2)>>2]=-K-D;N=f[v+(c-H<<2)>>2]|0;n[d+(N<<2)>>2]=M+Q;n[d+(N+1<<2)>>2]=K-D;x=x+2|0;if((x|0)>=(c|0))break;else{N=w;w=w+8|0;C=N}}O=L;P=c+1&-2}else{O=l;P=2}while(0);if((P|0)<=(c|0)){l=+n[o+(c<<2)>>2]*2.0;if(t)R=c;else R=f[(f[a+16>>2]|0)+(c<<2)>>2]<<1;n[d+(R<<2)>>2]=O*2.0;n[d+(R+1<<2)>>2]=l}m=a+4|0;k=f[m>>2]|0;C=f[k>>2]>>1;f[k>>2]=C;y=g;z=a;A=y+48|0;do{f[y>>2]=f[z>>2];y=y+4|0;z=z+4|0}while((y|0)<(A|0));k=(C|0)==1&1;w=g+4|0;f[w>>2]=(f[w>>2]|0)+(k<<2);f[g>>2]=(f[g>>2]|0)-k;b[g+34>>0]=0;b[g+32>>0]=0;b[g+33>>0]=(t^1)&1;p[g+8>>3]=1.0;f[g+28>>2]=c;JU(g,d,d);k=f[m>>2]|0;f[k>>2]=f[k>>2]<<1;if((h|0)>0){k=0;do{w=d+(k<<2)|0;x=d+((k|1)<<2)|0;l=-(j*+n[x>>2]);n[w>>2]=j*+n[w>>2];n[x>>2]=l;k=k+2|0}while((k|0)<(h|0))}}}while(0);if(!i){u=e;return}n[o>>2]=q;u=e;return}function JU(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0.0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0.0,L=0,M=0,N=0,O=0,P=0.0,Q=0.0,R=0.0,S=0.0,T=0.0,U=0.0,V=0.0,W=0.0,X=0.0,Z=0.0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0.0,ha=0.0,ia=0,ja=0.0,ka=0.0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0;e=u;u=u+1104|0;g=e;h=f[a+20>>2]|0;i=f[a+16>>2]|0;j=a+28|0;k=f[j>>2]|0;l=(b[a+32>>0]|0)!=0;m=a+24|0;o=f[m>>2]|0;q=+p[a+8>>3];if((o|0)!=(k|0))if((o|0)==(k<<1|0))r=2;else r=(o|0)/(k|0)|0;else r=1;do if((d|0)==(c|0)){a:do if(!(b[a+33>>0]|0)){s=f[a+4>>2]|0;t=f[a>>2]|0;if((f[s>>2]|0)!=(f[s+(t+-1<<2)>>2]|0)){s=cuc(48)|0;f[g>>2]=s;f[g+8>>2]=-2147483600;f[g+4>>2]=33;v=s;w=219561;x=v+33|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));b[s+33>>0]=0;WD(-215,g,219595,219599,657)}if((t|0)!=1){if((k|0)>0){y=0;z=i}else break;while(1){w=f[z>>2]|0;if((w|0)>(y|0)){v=d+(y<<3)|0;x=f[v>>2]|0;A=f[d+(y<<3)+4>>2]|0;B=d+(w<<3)|0;C=B;D=f[C+4>>2]|0;E=v;f[E>>2]=f[C>>2];f[E+4>>2]=D;f[B>>2]=x;f[d+(w<<3)+4>>2]=A}y=y+1|0;if((y|0)==(k|0))break a;else z=z+(r<<2)|0}}if((k&3|0)==0?(t=(k|0)/2|0,s=d+(t<<3)|0,(k|0)>1):0){A=r<<1;w=0;x=i;while(1){B=f[x>>2]|0;D=w|1;E=d+(D<<3)|0;C=f[E>>2]|0;v=f[d+(D<<3)+4>>2]|0;F=s+(B<<3)|0;G=F;H=f[G+4>>2]|0;I=E;f[I>>2]=f[G>>2];f[I+4>>2]=H;f[F>>2]=C;f[F+4>>2]=v;if((B|0)>(w|0)){v=d+(w<<3)|0;F=f[v>>2]|0;C=f[d+(w<<3)+4>>2]|0;H=d+(B<<3)|0;I=H;G=f[I+4>>2]|0;E=v;f[E>>2]=f[I>>2];f[E+4>>2]=G;f[H>>2]=F;f[d+(B<<3)+4>>2]=C;C=s+(D<<3)|0;D=f[C>>2]|0;F=f[C+4>>2]|0;H=s+(B+1<<3)|0;B=H;G=f[B+4>>2]|0;E=C;f[E>>2]=f[B>>2];f[E+4>>2]=G;f[H>>2]=D;f[H+4>>2]=F}w=w+2|0;if((w|0)>=(t|0))break;else x=x+(A<<2)|0}}}while(0);if(l){A=k+-2|0;if((k|0)<2)J=0;else{x=0;do{t=d+(x<<3)+4|0;w=d+((x|1)<<3)+4|0;K=-+n[w>>2];n[t>>2]=-+n[t>>2];n[w>>2]=K;x=x+2|0}while((x|0)<=(A|0));J=k&-2}A=d+(k+-1<<3)+4|0;if((J|0)<(k|0))n[A>>2]=-+n[A>>2]}}else{A=k+-2|0;x=(k|0)<2;if(l){if(x)L=0;else{w=r<<1;t=0;s=i;while(1){F=f[s>>2]|0;H=f[s+(r<<2)>>2]|0;K=-+n[c+(F<<3)+4>>2];f[d+(t<<3)>>2]=f[c+(F<<3)>>2];n[d+(t<<3)+4>>2]=K;K=-+n[c+(H<<3)+4>>2];F=t|1;f[d+(F<<3)>>2]=f[c+(H<<3)>>2];n[d+(F<<3)+4>>2]=K;t=t+2|0;if((t|0)>(A|0))break;else s=s+(w<<2)|0}L=k&-2}if((L|0)>=(k|0))break;w=k+-1|0;K=-+n[c+(w<<3)+4>>2];f[d+(L<<3)>>2]=f[c+(w<<3)>>2];n[d+(L<<3)+4>>2]=K;break}else{if(x)M=0;else{w=r<<1;s=0;t=i;while(1){F=f[t+(r<<2)>>2]|0;H=c+(f[t>>2]<<3)|0;D=f[H+4>>2]|0;G=d+(s<<3)|0;f[G>>2]=f[H>>2];f[G+4>>2]=D;D=c+(F<<3)|0;F=f[D+4>>2]|0;G=d+((s|1)<<3)|0;f[G>>2]=f[D>>2];f[G+4>>2]=F;s=s+2|0;if((s|0)>(A|0))break;else t=t+(w<<2)|0}M=k&-2}w=k+-1|0;if((M|0)>=(k|0))break;t=c+(w<<3)|0;A=f[t+4>>2]|0;s=d+(w<<3)|0;f[s>>2]=f[t>>2];f[s+4>>2]=A;break}}while(0);c=a+4|0;k=f[c>>2]|0;M=f[k>>2]|0;r=M&1;if(!r){if((M|0)<4){N=1;O=o}else{i=f[j>>2]|0;L=(i|0)>0;J=1;z=o;y=4;while(1){A=(z|0)/4|0;if(L){s=J<<1;t=(J|0)>1;w=0;do{x=d+(w<<3)|0;F=x+(s<<3)|0;K=+n[F>>2];G=F+4|0;P=+n[G>>2];D=F+(J<<3)|0;Q=+n[D>>2];H=D+4|0;R=+n[H>>2];S=K+Q;T=P+R;U=P-R;R=Q-K;K=+n[x>>2];E=d+(w<<3)+4|0;Q=+n[E>>2];B=x+(J<<3)|0;P=+n[B>>2];C=B+4|0;V=+n[C>>2];W=K+P;X=Q+V;Z=K-P;P=Q-V;n[x>>2]=S+W;n[E>>2]=T+X;n[F>>2]=W-S;n[G>>2]=X-T;n[B>>2]=U+Z;n[C>>2]=R+P;n[D>>2]=Z-U;n[H>>2]=P-R;if(t){H=A;D=1;while(1){C=x+(D<<3)|0;B=C+(s<<3)|0;G=C+(J<<3)|0;R=+n[G>>2];F=H<<1;P=+n[h+(F<<3)>>2];E=G+4|0;U=+n[E>>2];Z=+n[h+(F<<3)+4>>2];T=R*P-U*Z;X=P*U+R*Z;Z=+n[B>>2];R=+n[h+(H<<3)+4>>2];F=B+4|0;U=+n[F>>2];P=+n[h+(H<<3)>>2];S=Z*R+U*P;W=Z*P-R*U;I=B+(J<<3)|0;U=+n[I>>2];v=H*3|0;R=+n[h+(v<<3)+4>>2];_=I+4|0;P=+n[_>>2];Z=+n[h+(v<<3)>>2];V=U*R+P*Z;Q=U*Z-R*P;P=W+Q;R=S+V;Z=S-V;V=Q-W;W=+n[C>>2];v=C+4|0;Q=+n[v>>2];S=T+W;U=X+Q;K=W-T;T=Q-X;n[C>>2]=S+P;n[v>>2]=U+R;n[B>>2]=S-P;n[F>>2]=U-R;n[G>>2]=K+Z;n[E>>2]=T+V;n[I>>2]=K-Z;n[_>>2]=T-V;D=D+1|0;if((D|0)==(J|0))break;else H=H+A|0}}w=w+y|0}while((w|0)<(i|0))}w=y<<2;if((w|0)>(M|0)){N=y;O=A;break}else{s=y;z=A;y=w;J=s}}}if((N|0)<(M|0)){J=f[j>>2]|0;y=(J|0)>0;z=N;i=O;while(1){L=z<<1;s=(i|0)/2|0;b:do if(y){if((z|0)>1)$=0;else{w=0;while(1){t=d+(w<<3)|0;V=+n[t>>2];H=t+(z<<3)|0;T=+n[H>>2];D=d+(w<<3)+4|0;Z=+n[D>>2];x=H+4|0;K=+n[x>>2];n[t>>2]=V+T;n[D>>2]=Z+K;n[H>>2]=V-T;n[x>>2]=Z-K;w=w+L|0;if((w|0)>=(J|0))break b}}do{w=d+($<<3)|0;K=+n[w>>2];x=w+(z<<3)|0;Z=+n[x>>2];H=d+($<<3)+4|0;T=+n[H>>2];D=x+4|0;V=+n[D>>2];n[w>>2]=K+Z;n[H>>2]=T+V;n[x>>2]=K-Z;n[D>>2]=T-V;D=s;x=1;while(1){H=w+(x<<3)|0;t=H+(z<<3)|0;V=+n[t>>2];T=+n[h+(D<<3)>>2];_=t+4|0;Z=+n[_>>2];K=+n[h+(D<<3)+4>>2];R=V*T-Z*K;U=T*Z+V*K;K=+n[H>>2];I=H+4|0;V=+n[I>>2];n[H>>2]=K+R;n[I>>2]=V+U;n[t>>2]=K-R;n[_>>2]=V-U;x=x+1|0;if((x|0)==(z|0))break;else D=D+s|0}$=$+L|0}while(($|0)<(J|0))}while(0);if((L|0)<(M|0)){z=L;i=s}else{aa=L;ba=s;break}}}else{aa=N;ba=O}}else{aa=1;ba=o}o=r^1;c:do if((o|0)<(f[a>>2]|0)){r=g+8|0;O=g+4|0;N=o;i=aa;z=ba;M=k;while(1){J=f[M+(N<<2)>>2]|0;$=Y(J,i)|0;y=(z|0)/(J|0)|0;d:do switch(J|0){case 3:{A=f[j>>2]|0;if((A|0)>0){D=i<<1;if((i|0)>1)ca=0;else{x=0;while(1){w=d+(x<<3)|0;_=w+(i<<3)|0;U=+n[_>>2];t=w+(D<<3)|0;V=+n[t>>2];R=U+V;I=_+4|0;K=+n[I>>2];H=t+4|0;Z=+n[H>>2];T=K+Z;P=+n[w>>2];E=d+(x<<3)+4|0;S=+n[E>>2];X=(K-Z)*.8660253882408142;Z=(V-U)*.8660253882408142;n[w>>2]=R+P;n[E>>2]=T+S;U=P-R*.5;R=S-T*.5;n[_>>2]=U+X;n[I>>2]=Z+R;n[t>>2]=U-X;n[H>>2]=R-Z;x=x+$|0;if((x|0)>=(A|0))break d}}do{x=d+(ca<<3)|0;H=x+(i<<3)|0;Z=+n[H>>2];t=x+(D<<3)|0;R=+n[t>>2];X=Z+R;I=H+4|0;U=+n[I>>2];_=t+4|0;T=+n[_>>2];S=U+T;P=+n[x>>2];E=d+(ca<<3)+4|0;V=+n[E>>2];K=(U-T)*.8660253882408142;T=(R-Z)*.8660253882408142;n[x>>2]=X+P;n[E>>2]=S+V;Z=P-X*.5;X=V-S*.5;n[H>>2]=Z+K;n[I>>2]=T+X;n[t>>2]=Z-K;n[_>>2]=X-T;_=y;t=1;while(1){I=x+(t<<3)|0;H=I+(i<<3)|0;T=+n[H>>2];X=+n[h+(_<<3)>>2];E=H+4|0;K=+n[E>>2];Z=+n[h+(_<<3)+4>>2];S=T*X-K*Z;V=X*K+T*Z;w=I+(D<<3)|0;Z=+n[w>>2];G=_<<1;T=+n[h+(G<<3)>>2];F=w+4|0;K=+n[F>>2];X=+n[h+(G<<3)+4>>2];P=Z*T-K*X;R=T*K+Z*X;X=S+P;Z=V+R;K=(V-R)*.8660253882408142;R=(P-S)*.8660253882408142;S=+n[I>>2];G=I+4|0;P=+n[G>>2];n[I>>2]=S+X;n[G>>2]=P+Z;V=S-X*.5;X=P-Z*.5;n[H>>2]=K+V;n[E>>2]=R+X;n[w>>2]=V-K;n[F>>2]=X-R;t=t+1|0;if((t|0)==(i|0))break;else _=_+y|0}ca=ca+$|0}while((ca|0)<(A|0))}break}case 5:{A=f[j>>2]|0;if((A|0)>0){D=(i|0)>0;_=i<<1;t=0;do{if(D){x=d+(t<<3)|0;F=0;w=0;while(1){E=x+(w<<3)|0;H=E+(_<<3)|0;G=H+(_<<3)|0;I=E+(i<<3)|0;R=+n[I>>2];X=+n[h+(F<<3)>>2];B=I+4|0;K=+n[B>>2];V=+n[h+(F<<3)+4>>2];Z=R*X-K*V;P=X*K+R*V;V=+n[G>>2];v=F<<2;R=+n[h+(v<<3)>>2];C=G+4|0;K=+n[C>>2];X=+n[h+(v<<3)+4>>2];S=V*R-K*X;T=R*K+V*X;X=Z+S;V=P+T;K=Z-S;S=P-T;v=H+(i<<3)|0;T=+n[v>>2];da=F*3|0;P=+n[h+(da<<3)>>2];ea=v+4|0;Z=+n[ea>>2];R=+n[h+(da<<3)+4>>2];U=T*P-Z*R;Q=P*Z+T*R;R=+n[H>>2];da=F<<1;T=+n[h+(da<<3)>>2];fa=H+4|0;Z=+n[fa>>2];P=+n[h+(da<<3)+4>>2];W=R*T-Z*P;ga=T*Z+R*P;P=U+W;R=Q+ga;Z=U-W;W=Q-ga;ga=+n[E>>2];da=E+4|0;Q=+n[da>>2];U=X+P;T=V+R;n[E>>2]=ga+U;n[da>>2]=Q+T;ha=ga-U*.25;U=Q-T*.25;T=(X-P)*.55901700258255;P=(V-R)*.55901700258255;R=(S+W)*.9510565400123596;V=(K+Z)*-.9510565400123596;X=R-S*.3632712662220001;S=K*.3632712662220001+V;K=R-W*1.538841724395752;W=Z*1.538841724395752+V;V=T+ha;Z=P+U;R=ha-T;T=U-P;n[I>>2]=K+V;n[B>>2]=W+Z;n[G>>2]=V-K;n[C>>2]=Z-W;n[H>>2]=X+R;n[fa>>2]=S+T;n[v>>2]=R-X;n[ea>>2]=T-S;w=w+1|0;if((w|0)==(i|0))break;else F=F+y|0}}t=t+$|0}while((t|0)<(A|0))}break}default:{A=J+-1|0;t=(A|0)/2|0;_=(f[m>>2]|0)/(J|0)|0;D=t<<1;kzc(r|0,0,1088)|0;f[g>>2]=r;f[O>>2]=D;if(D>>>0>136){F=euc(D>>>0>536870911?-1:D<<3)|0;kzc(F|0,0,t<<4|0)|0;f[g>>2]=F;ia=F}else ia=r;F=ia+(t<<3)|0;D=f[j>>2]|0;if((D|0)>0){w=(i|0)>0;x=(J|0)<3;ea=(A|0)>1;A=0;v=D;while(1){if(w){D=d+(A<<3)|0;fa=0;H=0;while(1){C=D+(fa<<3)|0;S=+n[C>>2];G=C+4|0;T=+n[G>>2];if(!fa){if(!x){B=i;I=1;X=S;R=T;while(1){da=C+(B<<3)|0;W=+n[da>>2];E=C+($-B<<3)|0;Z=+n[E>>2];K=W+Z;V=+n[da+4>>2];P=+n[E+4>>2];U=V+P;ha=X+K;Q=R+U;E=I+-1|0;n[ia+(E<<3)>>2]=K;n[ia+(E<<3)+4>>2]=V-P;da=F+(E<<3)|0;n[da>>2]=W-Z;n[da+4>>2]=U;if((I|0)<(t|0)){B=B+i|0;I=I+1|0;X=ha;R=Q}else{ja=ha;ka=Q;la=82;break}}}}else{I=h+((Y(H,J)|0)<<3)|0;if(!x){B=H;da=i;E=1;R=S;X=T;while(1){ma=C+(da<<3)|0;Q=+n[ma>>2];ha=+n[h+(B<<3)>>2];U=+n[ma+4>>2];Z=+n[h+(B<<3)+4>>2];W=Q*ha-U*Z;P=ha*U+Q*Z;ma=C+($-da<<3)|0;Z=+n[ma>>2];na=I+(0-B<<3)|0;Q=+n[na>>2];U=+n[ma+4>>2];ha=+n[na+4>>2];V=Z*Q-U*ha;K=Q*U+Z*ha;ha=W+V;Z=P+K;U=R+ha;Q=X+Z;na=E+-1|0;n[ia+(na<<3)>>2]=ha;n[ia+(na<<3)+4>>2]=P-K;ma=F+(na<<3)|0;n[ma>>2]=W-V;n[ma+4>>2]=Z;if((E|0)<(t|0)){B=B+H|0;da=da+i|0;E=E+1|0;R=U;X=Q}else{ja=U;ka=Q;la=82;break}}}}e:do if((la|0)==82?(la=0,n[C>>2]=ja,n[G>>2]=ka,!x):0){if(ea){oa=i;pa=1}else{E=i;da=1;while(1){B=C+(E<<3)|0;n[B>>2]=S;n[B+4>>2]=T;B=C+($-E<<3)|0;n[B>>2]=S;n[B+4>>2]=T;if((da|0)<(t|0)){E=E+i|0;da=da+1|0}else break e}}while(1){da=Y(pa,_)|0;E=f[m>>2]|0;B=0;I=da;X=S;R=S;Q=T;U=T;while(1){Z=+n[h+(I<<3)>>2];V=Z*+n[ia+(B<<3)>>2];W=+n[h+(I<<3)+4>>2];K=W*+n[ia+(B<<3)+4>>2];ma=F+(B<<3)|0;P=Z*+n[ma+4>>2];Z=W*+n[ma>>2];X=X+(V+K);R=R+(V-K);Q=Q+(P-Z);U=U+(P+Z);ma=I+da|0;B=B+1|0;if((B|0)>=(t|0))break;else I=ma-((ma|0)>=(E|0)?E:0)|0}E=C+(oa<<3)|0;n[E>>2]=R;n[E+4>>2]=U;E=C+($-oa<<3)|0;n[E>>2]=X;n[E+4>>2]=Q;if((pa|0)<(t|0)){oa=oa+i|0;pa=pa+1|0}else break}}while(0);fa=fa+1|0;if((fa|0)==(i|0))break;else H=H+y|0}qa=f[j>>2]|0}else qa=v;A=A+$|0;if((A|0)>=(qa|0))break;else v=qa}}if((ia|0)!=(r|0)){guc(ia);f[g>>2]=r;f[O>>2]=136}}}while(0);J=N+1|0;if((J|0)>=(f[a>>2]|0))break c;N=J;i=$;z=y;M=f[c>>2]|0}}while(0);if(q!=1.0){ka=l?-q:q;c=f[j>>2]|0;if((c|0)>0)ra=0;else{u=e;return}do{a=d+(ra<<3)|0;g=d+(ra<<3)+4|0;ja=ka*+n[g>>2];n[a>>2]=q*+n[a>>2];n[g>>2]=ja;ra=ra+1|0}while((ra|0)<(c|0));u=e;return}if(!l){u=e;return}l=f[j>>2]|0;if((l|0)<2)sa=0;else{j=l+-2|0;c=((j|0)>1?j:1)&2147483646;ra=0;do{g=d+(ra<<3)+4|0;a=d+((ra|1)<<3)+4|0;q=-+n[a>>2];n[g>>2]=-+n[g>>2];n[a>>2]=q;ra=ra+2|0}while((ra|0)<=(j|0));sa=c+2|0}c=d+(l+-1<<3)+4|0;if((sa|0)>=(l|0)){u=e;return}n[c>>2]=-+n[c>>2];u=e;return}function KU(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0.0,m=0,o=0.0,q=0.0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0.0,C=0.0,D=0,E=0.0,F=0.0,G=0,H=0,I=0.0,J=0,K=0.0,L=0.0,M=0.0,N=0.0,O=0.0,P=0.0,Q=0;e=u;u=u+48|0;g=e;h=f[a+28>>2]|0;i=b[a+34>>0]|0;j=i<<24>>24!=0;k=i&255;l=+p[a+8>>3];i=d+(k<<2)|0;d=(h|0)==1;do if(d){n[i>>2]=l*+n[c>>2];m=i}else{if((h|0)==2){o=+n[c>>2];q=+n[c+4>>2];n[i+4>>2]=l*(o-q);n[i>>2]=l*(o+q);m=i;break}if(h&1|0){r=i+(0-k<<2)|0;n[r>>2]=l*+n[c>>2];s=r+4|0;n[s>>2]=0.0;if((h|0)>1){t=f[a+16>>2]|0;v=1;do{w=v+1|0;q=l*+n[c+(f[t+(w<<2)>>2]<<2)>>2];n[r+(v<<3)>>2]=l*+n[c+(f[t+(v<<2)>>2]<<2)>>2];n[r+(v<<3)+4>>2]=0.0;n[r+(w<<3)>>2]=q;n[r+(w<<3)+4>>2]=0.0;v=v+2|0}while((v|0)<(h|0))}x=g;y=a;z=x+48|0;do{f[x>>2]=f[y>>2];x=x+4|0;y=y+4|0}while((x|0)<(z|0));b[g+34>>0]=0;b[g+32>>0]=0;b[g+33>>0]=1;p[g+8>>3]=1.0;JU(g,r,r);if(!j)f[s>>2]=f[r>>2];m=r;break}q=l*.5;v=h>>1;t=a+4|0;w=f[t>>2]|0;A=f[w>>2]>>1;f[w>>2]=A;x=g;y=a;z=x+48|0;do{f[x>>2]=f[y>>2];x=x+4|0;y=y+4|0}while((x|0)<(z|0));r=(A|0)==1&1;s=g+4|0;f[s>>2]=(f[s>>2]|0)+(r<<2);f[g>>2]=(f[g>>2]|0)-r;b[g+34>>0]=0;b[g+32>>0]=0;b[g+33>>0]=0;p[g+8>>3]=1.0;f[g+28>>2]=v;JU(g,c,i);r=f[t>>2]|0;f[r>>2]=f[r>>2]<<1;o=+n[i>>2];r=i+4|0;B=+n[r>>2];n[i>>2]=l*(o+B);C=l*(o-B);n[r>>2]=C;r=i+(v<<2)|0;B=+n[r>>2];s=i+(h+-1<<2)|0;o=+n[s>>2];n[s>>2]=C;if((v|0)>2){C=o;s=f[a+20>>2]|0;w=2;do{D=s;s=s+8|0;E=+n[i+((w|1)<<2)>>2];F=q*(C+E);G=h-w|0;H=i+(G<<2)|0;I=+n[H>>2];J=i+(w<<2)|0;K=+n[J>>2];L=q*(I-K);M=q*(I+K);K=q*(E-C);E=+n[s>>2];I=+n[D+12>>2];N=F*E-L*I;O=F*I+E*L;D=i+(G+-1<<2)|0;C=+n[D>>2];n[i+(w+-1<<2)>>2]=M+N;n[D>>2]=M-N;n[J>>2]=K+O;n[H>>2]=O-K;w=w+2|0}while((w|0)<(v|0));P=C;Q=v+1&-2}else{P=o;Q=2}if((Q|0)<=(v|0)){n[i+(v+-1<<2)>>2]=l*B;n[r>>2]=-(l*P)}m=i}while(0);if(!j){u=e;return}if(!(d|(h&1|0)==0)){u=e;return}f[m+-4>>2]=f[m>>2];n[m>>2]=0.0;if((h|0)<=1){u=e;return}n[m+(h<<2)>>2]=0.0;u=e;return}function LU(a,b,c){a=a|0;b=b|0;c=c|0;Zh[f[a+44>>2]&511](a+8|0,b,c);return}function MU(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=41040;b=a+1232|0;c=f[b>>2]|0;d=a+1240|0;if((c|0)!=(d|0)){if(c|0)guc(c);f[b>>2]=d;f[a+1236>>2]=264}d=a+192|0;b=f[d>>2]|0;c=a+200|0;if((b|0)==(c|0))return;if(b|0)guc(b);f[d>>2]=c;f[a+196>>2]=1032;return}function NU(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=41040;b=a+1232|0;c=f[b>>2]|0;d=a+1240|0;if((c|0)!=(d|0)){if(c|0)guc(c);f[b>>2]=d;f[a+1236>>2]=264}d=f[a+192>>2]|0;if((d|0)==(a+200|0)|(d|0)==0){fuc(a);return}guc(d);fuc(a);return}function OU(a,b,c){a=a|0;b=b|0;c=c|0;return}function PU(a){a=a|0;fuc(a);return}function QU(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0;k=u;u=u+16|0;l=k;m=cuc(12)|0;f[m>>2]=41112;f[m+4>>2]=0;b[m+8>>0]=0;RU(m);fuc(m);if((c|0)==1&(j|0)>0){m=cuc(192)|0;f[l>>2]=m;f[l+8>>2]=-2147483456;f[l+4>>2]=190;szc(m|0,219983,190)|0;b[m+190>>0]=0;WD(-213,l,458319,219599,3303)}else{l=cuc(4244)|0;f[l>>2]=41132;m=l+4|0;f[l+60>>2]=0;f[l+64>>2]=0;f[l+68>>2]=0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;f[l+84>>2]=l+92;f[l+88>>2]=1032;f[l+1124>>2]=l+1132;f[l+1128>>2]=1032;f[l+2164>>2]=l+2172;f[l+2168>>2]=1032;f[l+3204>>2]=l+3212;f[l+3208>>2]=1032;b[l+20>>0]=0;b[l+21>>0]=0;b[l+22>>0]=0;m=l+24|0;f[l+52>>2]=0;b[l+56>>0]=0;b[l+57>>0]=0;b[l+72>>0]=0;f[l+76>>2]=0;f[l+80>>2]=0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;f[m+16>>2]=0;f[m+20>>2]=0;b[m+24>>0]=0;SU(l,c,d,e,g,h,i,j);f[a>>2]=l;j=cuc(16)|0;f[j+4>>2]=0;f[j+8>>2]=0;f[j>>2]=41152;f[j+12>>2]=l;f[a+4>>2]=j;u=k;return}}function RU(a){a=a|0;f[a>>2]=41112;return}function SU(a,c,d,e,g,i,j,k){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0;l=u;u=u+16|0;m=l;n=(g|0)!=(i|0);f[a+52>>2]=k;k=a+24|0;f[k>>2]=c;o=a+28|0;f[o>>2]=d;p=a+44|0;f[p>>2]=e;f[a+76>>2]=g;f[a+80>>2]=i;q=j&1;r=q&255;s=(g|0)==1;t=(i|0)==1;v=s&t;if(!q)if(!v){q=(i|0)==2;if(!(s&q))if((g|0)==2&q)w=3;else x=8;else w=2}else w=1;else if(!v){v=(g|0)==2;if(!(v&t))if(v&(i|0)==2)w=6;else x=8;else w=5}else w=4;if((x|0)==8)w=0;i=a+32|0;f[i>>2]=w;v=a+22|0;b[v>>0]=r;r=a+56|0;t=j>>>2&1;b[r>>0]=t;g=a+57|0;b[g>>0]=j>>>1&1;q=a+20|0;b[q>>0]=0;s=a+21|0;b[s>>0]=0;y=a+48|0;b[y>>0]=(w|0)!=6&(w|0)!=3&1;z=(e|0)==5?4:8;e=a+36|0;f[e>>2]=z;A=z<<1;z=a+40|0;f[z>>2]=A;switch(w&7){case 3:case 6:{f[e>>2]=A;break}default:{}}do if(!(t<<24>>24)){A=(d|0)>1;if(A&(c|0)==1){B=2-(j>>>9&1)|0;x=15;break}if((d|0)!=1){e=a+60|0;if(A&(c|0)>1){A=a+64|0;C=f[A>>2]|0;D=f[e>>2]|0;E=C-D>>2;F=D;G=C;if(E>>>0>=2)if((E|0)!=2?(C=F+8|0,(G|0)!=(C|0)):0){f[A>>2]=G+(~((G+-4-C|0)>>>2)<<2);H=D;I=w;J=F}else{H=D;I=w;J=F}else{OJ(e,2-E|0);E=f[e>>2]|0;H=E;I=f[i>>2]|0;J=E}E=(I&-2|0)==4;f[J>>2]=E&1;f[J+4>>2]=(E^1)&1;K=e;L=H}else{M=e;N=0;x=23}}else{B=1;x=15}}else{B=1;x=15}while(0);if((x|0)==15){M=a+60|0;N=B;x=23}if((x|0)==23){x=a+64|0;B=f[x>>2]|0;H=f[M>>2]|0;J=B;switch(B-H>>2|0){case 0:{OJ(M,1);break}case 1:break;default:{B=H+4|0;if((J|0)!=(B|0))f[x>>2]=J+(~((J+-4-B|0)>>>2)<<2)}}f[f[a+60>>2]>>2]=(N|0)==2&1;K=M;L=f[M>>2]|0}M=K+4|0;N=(f[M>>2]|0)-L>>2;if(!N){u=l;return}L=a+4|0;B=m+4|0;J=a+8|0;x=a+88|0;H=a+84|0;I=a+92|0;i=a+12|0;w=m+4|0;c=a+16|0;d=a+2168|0;t=a+2164|0;e=a+2172|0;E=a+3208|0;F=a+3204|0;D=a+3212|0;C=a+1128|0;G=a+1124|0;A=a+1132|0;a=n;n=(j&1024|0)!=0;j=0;O=f[K>>2]|0;P=N;do{N=(j|0)==1;n=N|n;a=a&(N^1);N=j;j=j+1|0;Q=h[v>>0]|0;R=(b[g>>0]|0)==0?Q:Q|2;Q=(b[r>>0]|0)==0;S=Q?R:R|4;R=a?S|16:S;S=(b[y>>0]|0)==0?R:R|32;R=(j|0)==(P|0)?S:S|64;S=f[k>>2]|0;T=f[o>>2]|0;do if(!(f[O+(N<<2)>>2]|0)){U=(S|0)!=1|Q^1;V=U?S:T;b[q>>0]=n&1;rU(m,V,U?T:1,f[p>>2]|0,R,q);U=f[m>>2]|0;W=f[B>>2]|0;X=(W|0)==0;if(!X)Wtc(W);f[L>>2]=U;U=f[J>>2]|0;f[J>>2]=W;if(U|0)Xtc(U);if(!X)Xtc(W);if(b[q>>0]|0){W=Y(f[z>>2]|0,V)|0;if((f[x>>2]|0)>>>0>=W>>>0){f[x>>2]=W;break}V=f[H>>2]|0;if((V|0)!=(I|0)){if(V|0)guc(V);f[H>>2]=I;f[x>>2]=1032}f[x>>2]=W;if(W>>>0>1032){V=euc(W)|0;f[H>>2]=V}}}else{b[s>>0]=n&1;rU(m,T,S,f[p>>2]|0,R|128,s);V=f[m>>2]|0;W=f[w>>2]|0;X=(W|0)==0;if(!X)Wtc(W);f[i>>2]=V;V=f[c>>2]|0;f[c>>2]=W;if(V|0)Xtc(V);if(!X)Xtc(W);do if(b[s>>0]|0){W=Y(f[z>>2]|0,T)|0;if((f[C>>2]|0)>>>0>=W>>>0){f[C>>2]=W;break}X=f[G>>2]|0;if((X|0)!=(A|0)){if(X|0)guc(X);f[G>>2]=A;f[C>>2]=1032}f[C>>2]=W;if(W>>>0>1032){X=euc(W)|0;f[G>>2]=X}}while(0);X=Y(f[z>>2]|0,T)|0;if((f[d>>2]|0)>>>0<X>>>0){W=f[t>>2]|0;if((W|0)!=(e|0)){if(W|0)guc(W);f[t>>2]=e;f[d>>2]=1032}f[d>>2]=X;if(X>>>0>1032){W=euc(X)|0;f[t>>2]=W}}else f[d>>2]=X;X=Y(f[z>>2]|0,T)|0;if((f[E>>2]|0)>>>0>=X>>>0){f[E>>2]=X;break}W=f[F>>2]|0;if((W|0)!=(D|0)){if(W|0)guc(W);f[F>>2]=D;f[E>>2]=1032}f[E>>2]=X;if(X>>>0>1032){W=euc(X)|0;f[F>>2]=W}}while(0);O=f[K>>2]|0;P=(f[M>>2]|0)-O>>2}while(j>>>0<P>>>0);u=l;return}function TU(a){a=a|0;Qtc(a);fuc(a);return}function UU(a){a=a|0;var b=0;b=f[a+12>>2]|0;if(!b)return;bi[f[(f[b>>2]|0)+8>>2]&2047](b);return}function VU(a,b){a=a|0;b=b|0;return ((f[b+4>>2]|0)==220174?a+12|0:0)|0}function WU(a){a=a|0;fuc(a);return}function XU(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;g=a+60|0;h=a+64|0;i=f[g>>2]|0;j=(f[h>>2]|0)-i>>2;if(!j)return;k=a+76|0;l=a+80|0;m=c;c=0;n=b;b=i;i=j;do{j=f[l>>2]|0;o=(c|0)==1;p=o?j:f[k>>2]|0;m=o?e:m;n=o?d:n;o=c;c=c+1|0;q=(c|0)==(i|0);if(!(f[b+(o<<2)>>2]|0))_U(a,n,m,d,e,(p|0)!=(j|0),q);else $U(a,n,m,d,e,p,j,q);b=f[g>>2]|0;i=(f[h>>2]|0)-b>>2}while(c>>>0<i>>>0);return}function YU(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=41132;b=a+3204|0;c=f[b>>2]|0;d=a+3212|0;if((c|0)!=(d|0)){if(c|0)guc(c);f[b>>2]=d;f[a+3208>>2]=1032}d=a+2164|0;b=f[d>>2]|0;c=a+2172|0;if((b|0)!=(c|0)){if(b|0)guc(b);f[d>>2]=c;f[a+2168>>2]=1032}c=a+1124|0;d=f[c>>2]|0;b=a+1132|0;if((d|0)!=(b|0)){if(d|0)guc(d);f[c>>2]=b;f[a+1128>>2]=1032}b=a+84|0;c=f[b>>2]|0;d=a+92|0;if((c|0)!=(d|0)){if(c|0)guc(c);f[b>>2]=d;f[a+88>>2]=1032}d=f[a+60>>2]|0;if(d|0){b=a+64|0;c=f[b>>2]|0;if((c|0)!=(d|0))f[b>>2]=c+(~((c+-4-d|0)>>>2)<<2);fuc(d)}d=f[a+16>>2]|0;if(d|0)Xtc(d);d=f[a+8>>2]|0;if(!d)return;Xtc(d);return}function ZU(a){a=a|0;YU(a);fuc(a);return}function _U(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;j=f[a+24>>2]|0;k=f[a+28>>2]|0;if((j|0)==1?(b[a+56>>0]|0)==0:0){l=k;m=1}else{l=j;m=k}k=a+36|0;j=f[k>>2]|0;o=Y(j,l)|0;q=a+20|0;r=b[q>>0]|0;if(!(r<<24>>24))s=0;else s=(l|0)>1&(l&1|0)!=0&(f[a+32>>2]|0)==1?j:0;if((b[a+22>>0]|0)!=0|h^1)t=o;else t=(f[(l&1|0?k:a+40|0)>>2]|0)+o|0;o=f[a+52>>2]|0;k=(o|0)<1|(o|0)>(m|0)?m:o;o=(k|0)>0;a:do if(o){h=a+4|0;j=a+84|0;u=0;v=r;while(1){w=c+(Y(u,d)|0)|0;x=e+(Y(u,g)|0)|0;if(!(v<<24>>24))y=x;else y=f[j>>2]|0;z=f[h>>2]|0;Zh[f[f[z>>2]>>2]&511](z,w,y);if(b[q>>0]|0)szc(x|0,y+s|0,t|0)|0;x=u+1|0;if((x|0)==(k|0)){A=k;break a}u=x;v=b[q>>0]|0}}else A=0;while(0);if((A|0)<(m|0)){q=A;do{kzc(e+(Y(q,g)|0)|0,0,t|0)|0;q=q+1|0}while((q|0)!=(m|0))}if(!i)return;if((f[a+32>>2]|0)!=2)return;if((f[a+44>>2]|0)==5){a=g>>>2;if(!o)return;i=(l+1|0)/2|0;if((l|0)>2)B=0;else return;do{m=e+((Y(B,a)|0)<<2)|0;q=1;do{t=q<<1;A=l-q<<1;f[m+(A<<2)>>2]=f[m+(t<<2)>>2];n[m+((A|1)<<2)>>2]=-+n[m+((t|1)<<2)>>2];q=q+1|0}while((q|0)<(i|0));B=B+1|0}while((B|0)!=(k|0));return}else{B=g>>>3;if(!o)return;o=(l+1|0)/2|0;if((l|0)>2)C=0;else return;do{g=e+((Y(C,B)|0)<<3)|0;i=1;do{a=i<<1;q=l-i<<1;p[g+(q<<3)>>3]=+p[g+(a<<3)>>3];p[g+((q|1)<<3)>>3]=-+p[g+((a|1)<<3)>>3];i=i+1|0}while((i|0)<(o|0));C=C+1|0}while((C|0)!=(k|0));return}}function $U(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0;k=f[a+28>>2]|0;l=f[a+24>>2]|0;m=a+2164|0;o=f[m>>2]|0;q=a+3204|0;r=f[q>>2]|0;if(!(b[a+21>>0]|0)){s=r;t=o}else{s=f[a+1124>>2]|0;t=r}if(!(b[a+48>>0]|0)){u=0;v=l;w=e;x=c}else{y=(l&1|0)==0;z=(l+1|0)/2|0;A=a+22|0;a:do if(!(b[A>>0]|0)){B=a+40|0;kzc(o|0,0,Y(f[B>>2]|0,k)|0)|0;C=f[m>>2]|0;D=a+36|0;E=d>>>2;F=(f[B>>2]|0)>>>2;switch(f[D>>2]|0){case 4:{if((k|0)>0){G=c;H=0;I=C;while(1){f[I>>2]=f[G>>2];H=H+1|0;if((H|0)==(k|0))break;else{G=G+(E<<2)|0;I=I+(F<<2)|0}}}break}case 8:{if((k|0)>0){I=c;G=0;H=C;while(1){J=f[I+4>>2]|0;f[H>>2]=f[I>>2];f[H+4>>2]=J;G=G+1|0;if((G|0)==(k|0))break;else{I=I+(E<<2)|0;H=H+(F<<2)|0}}}break}case 16:{if((k|0)>0){H=c;I=0;G=C;while(1){J=f[H+4>>2]|0;f[G>>2]=f[H>>2];f[G+4>>2]=J;J=f[H+12>>2]|0;f[G+8>>2]=f[H+8>>2];f[G+12>>2]=J;I=I+1|0;if((I|0)==(k|0))break;else{H=H+(E<<2)|0;G=G+(F<<2)|0}}}break}default:{}}F=c+(Y(f[D>>2]|0,i)|0)|0;if(y){kzc(f[q>>2]|0,0,Y(f[B>>2]|0,k)|0)|0;G=f[D>>2]|0;H=F+(Y(G,l+-2|0)|0)|0;I=f[q>>2]|0;C=(f[B>>2]|0)>>>2;switch(G|0){case 4:{if((k|0)>0){K=H;L=0;M=I}else{N=F;O=I;P=56;break a}while(1){f[M>>2]=f[K>>2];L=L+1|0;if((L|0)==(k|0)){Q=F;P=54;break}else{K=K+(E<<2)|0;M=M+(C<<2)|0}}break}case 8:{if((k|0)>0){R=H;S=0;T=I}else{N=F;O=I;P=56;break a}while(1){B=f[R+4>>2]|0;f[T>>2]=f[R>>2];f[T+4>>2]=B;S=S+1|0;if((S|0)==(k|0)){Q=F;P=54;break}else{R=R+(E<<2)|0;T=T+(C<<2)|0}}break}case 16:{if((k|0)>0){U=H;V=0;W=I}else{N=F;O=I;P=56;break a}while(1){B=f[U+4>>2]|0;f[W>>2]=f[U>>2];f[W+4>>2]=B;B=f[U+12>>2]|0;f[W+8>>2]=f[U+8>>2];f[W+12>>2]=B;V=V+1|0;if((V|0)==(k|0)){Q=F;P=54;break}else{U=U+(E<<2)|0;W=W+(C<<2)|0}}break}default:{N=F;O=I;P=56;break a}}}else X=F}else{if((h|0)!=1){C=a+40|0;E=f[C>>2]|0;H=d>>>2;B=E>>>2;switch(E|0){case 4:{if((k|0)>0){E=c;D=0;G=o;while(1){f[G>>2]=f[E>>2];D=D+1|0;if((D|0)==(k|0))break;else{E=E+(H<<2)|0;G=G+(B<<2)|0}}}break}case 8:{if((k|0)>0){G=c;E=0;D=o;while(1){F=f[G+4>>2]|0;f[D>>2]=f[G>>2];f[D+4>>2]=F;E=E+1|0;if((E|0)==(k|0))break;else{G=G+(H<<2)|0;D=D+(B<<2)|0}}}break}case 16:{if((k|0)>0){D=c;G=0;E=o;while(1){F=f[D+4>>2]|0;f[E>>2]=f[D>>2];f[E+4>>2]=F;F=f[D+12>>2]|0;f[E+8>>2]=f[D+8>>2];f[E+12>>2]=F;G=G+1|0;if((G|0)==(k|0))break;else{D=D+(H<<2)|0;E=E+(B<<2)|0}}}break}default:{}}b:do if(y){B=f[C>>2]|0;E=c+(Y(B,z)|0)|0;D=B>>>2;switch(B|0){case 4:{if((k|0)>0){Z=E;_=0;$=r}else break b;while(1){f[$>>2]=f[Z>>2];_=_+1|0;if((_|0)==(k|0))break;else{Z=Z+(H<<2)|0;$=$+(D<<2)|0}}break}case 8:{if((k|0)>0){aa=E;ba=0;ca=r}else break b;while(1){B=f[aa+4>>2]|0;f[ca>>2]=f[aa>>2];f[ca+4>>2]=B;ba=ba+1|0;if((ba|0)==(k|0))break;else{aa=aa+(H<<2)|0;ca=ca+(D<<2)|0}}break}case 16:{if((k|0)>0){da=E;ea=0;fa=r}else break b;while(1){B=f[da+4>>2]|0;f[fa>>2]=f[da>>2];f[fa+4>>2]=B;B=f[da+12>>2]|0;f[fa+8>>2]=f[da+8>>2];f[fa+12>>2]=B;ea=ea+1|0;if((ea|0)==(k|0))break;else{da=da+(H<<2)|0;fa=fa+(D<<2)|0}}break}default:break b}}while(0);Q=c+(f[C>>2]|0)|0;P=54;break}H=a+36|0;D=f[H>>2]|0;E=d>>>2;B=D>>>2;switch(D|0){case 4:{if((k|0)>0){D=c;G=0;F=o;while(1){f[F>>2]=f[D>>2];G=G+1|0;if((G|0)==(k|0))break;else{D=D+(E<<2)|0;F=F+(B<<2)|0}}}break}case 8:{if((k|0)>0){F=c;D=0;G=o;while(1){C=f[F+4>>2]|0;f[G>>2]=f[F>>2];f[G+4>>2]=C;D=D+1|0;if((D|0)==(k|0))break;else{F=F+(E<<2)|0;G=G+(B<<2)|0}}}break}case 16:{if((k|0)>0){G=c;F=0;D=o;while(1){C=f[G+4>>2]|0;f[D>>2]=f[G>>2];f[D+4>>2]=C;C=f[G+12>>2]|0;f[D+8>>2]=f[G+8>>2];f[D+12>>2]=C;F=F+1|0;if((F|0)==(k|0))break;else{G=G+(E<<2)|0;D=D+(B<<2)|0}}}break}default:{}}aV(o,k,f[H>>2]|0);if(y){B=f[H>>2]|0;D=c+(Y(B,l+-1|0)|0)|0;G=f[q>>2]|0;F=B>>>2;switch(B|0){case 4:{if((k|0)>0){B=D;C=0;I=G;while(1){f[I>>2]=f[B>>2];C=C+1|0;if((C|0)==(k|0))break;else{B=B+(E<<2)|0;I=I+(F<<2)|0}}}break}case 8:{if((k|0)>0){I=D;B=0;C=G;while(1){J=f[I+4>>2]|0;f[C>>2]=f[I>>2];f[C+4>>2]=J;B=B+1|0;if((B|0)==(k|0))break;else{I=I+(E<<2)|0;C=C+(F<<2)|0}}}break}case 16:{if((k|0)>0){C=D;I=0;B=G;while(1){J=f[C+4>>2]|0;f[B>>2]=f[C>>2];f[B+4>>2]=J;J=f[C+12>>2]|0;f[B+8>>2]=f[C+8>>2];f[B+12>>2]=J;I=I+1|0;if((I|0)==(k|0))break;else{C=C+(E<<2)|0;B=B+(F<<2)|0}}}break}default:{}}aV(G,k,f[H>>2]|0)}Q=c+(f[H>>2]|0)|0;P=54}while(0);if((P|0)==54)if(y){N=Q;O=f[q>>2]|0;P=56}else X=Q;if((P|0)==56){P=f[a+12>>2]|0;Zh[f[f[P>>2]>>2]&511](P,O,s);X=N}N=f[a+12>>2]|0;Zh[f[f[N>>2]>>2]&511](N,f[m>>2]|0,t);c:do if((i|0)==1)if(!(b[A>>0]|0)){N=a+36|0;O=f[N>>2]|0;szc(t+O|0,t|0,O|0)|0;O=f[N>>2]|0;P=t+O|0;Q=O>>>2;c=g>>>2;switch(O|0){case 4:{if((k|0)>0){O=P;o=0;fa=e;while(1){f[fa>>2]=f[O>>2];o=o+1|0;if((o|0)==(k|0))break;else{O=O+(Q<<2)|0;fa=fa+(c<<2)|0}}}break}case 8:{if((k|0)>0){fa=P;O=0;o=e;while(1){H=f[fa+4>>2]|0;f[o>>2]=f[fa>>2];f[o+4>>2]=H;O=O+1|0;if((O|0)==(k|0))break;else{fa=fa+(Q<<2)|0;o=o+(c<<2)|0}}}break}case 16:{if((k|0)>0){o=P;fa=0;O=e;while(1){H=f[o+4>>2]|0;f[O>>2]=f[o>>2];f[O+4>>2]=H;H=f[o+12>>2]|0;f[O+8>>2]=f[o+8>>2];f[O+12>>2]=H;fa=fa+1|0;if((fa|0)==(k|0))break;else{o=o+(Q<<2)|0;O=O+(c<<2)|0}}}break}default:{}}if(!y){ga=N;break}O=f[N>>2]|0;szc(s+O|0,s|0,O|0)|0;O=f[N>>2]|0;Q=s+O|0;o=e+(Y(O,l+-1|0)|0)|0;fa=O>>>2;switch(O|0){case 4:{if((k|0)>0){ha=Q;ia=0;ja=o}else{ga=N;break c}while(1){f[ja>>2]=f[ha>>2];ia=ia+1|0;if((ia|0)==(k|0)){ga=N;break}else{ha=ha+(fa<<2)|0;ja=ja+(c<<2)|0}}break}case 8:{if((k|0)>0){ka=Q;la=0;ma=o}else{ga=N;break c}while(1){O=f[ka+4>>2]|0;f[ma>>2]=f[ka>>2];f[ma+4>>2]=O;la=la+1|0;if((la|0)==(k|0)){ga=N;break}else{ka=ka+(fa<<2)|0;ma=ma+(c<<2)|0}}break}case 16:{if((k|0)>0){na=Q;oa=0;pa=o}else{ga=N;break c}while(1){O=f[na+4>>2]|0;f[pa>>2]=f[na>>2];f[pa+4>>2]=O;O=f[na+12>>2]|0;f[pa+8>>2]=f[na+8>>2];f[pa+12>>2]=O;oa=oa+1|0;if((oa|0)==(k|0)){ga=N;break}else{na=na+(fa<<2)|0;pa=pa+(c<<2)|0}}break}default:{ga=N;break c}}}else{c=a+40|0;fa=a+36|0;o=(f[c>>2]|0)>>>2;Q=g>>>2;switch(f[fa>>2]|0){case 4:{if((k|0)>0){O=t;P=0;H=e;while(1){f[H>>2]=f[O>>2];P=P+1|0;if((P|0)==(k|0))break;else{O=O+(o<<2)|0;H=H+(Q<<2)|0}}}break}case 8:{if((k|0)>0){H=t;O=0;P=e;while(1){N=f[H+4>>2]|0;f[P>>2]=f[H>>2];f[P+4>>2]=N;O=O+1|0;if((O|0)==(k|0))break;else{H=H+(o<<2)|0;P=P+(Q<<2)|0}}}break}case 16:{if((k|0)>0){P=t;H=0;O=e;while(1){N=f[P+4>>2]|0;f[O>>2]=f[P>>2];f[O+4>>2]=N;N=f[P+12>>2]|0;f[O+8>>2]=f[P+8>>2];f[O+12>>2]=N;H=H+1|0;if((H|0)==(k|0))break;else{P=P+(o<<2)|0;O=O+(Q<<2)|0}}}break}default:{}}if(!y){ga=fa;break}O=f[fa>>2]|0;o=e+(Y(O,l+-1|0)|0)|0;P=(f[c>>2]|0)>>>2;switch(O|0){case 4:{if((k|0)>0){qa=s;ra=0;sa=o}else{ga=fa;break c}while(1){f[sa>>2]=f[qa>>2];ra=ra+1|0;if((ra|0)==(k|0)){ga=fa;break}else{qa=qa+(P<<2)|0;sa=sa+(Q<<2)|0}}break}case 8:{if((k|0)>0){ta=s;ua=0;va=o}else{ga=fa;break c}while(1){c=f[ta+4>>2]|0;f[va>>2]=f[ta>>2];f[va+4>>2]=c;ua=ua+1|0;if((ua|0)==(k|0)){ga=fa;break}else{ta=ta+(P<<2)|0;va=va+(Q<<2)|0}}break}case 16:{if((k|0)>0){wa=s;xa=0;ya=o}else{ga=fa;break c}while(1){c=f[wa+4>>2]|0;f[ya>>2]=f[wa>>2];f[ya+4>>2]=c;c=f[wa+12>>2]|0;f[ya+8>>2]=f[wa+8>>2];f[ya+12>>2]=c;xa=xa+1|0;if((xa|0)==(k|0)){ga=fa;break}else{wa=wa+(P<<2)|0;ya=ya+(Q<<2)|0}}break}default:{ga=fa;break c}}}else{Q=a+40|0;P=f[Q>>2]|0;o=P>>>2;c=g>>>2;switch(P|0){case 4:{if((k|0)>0){P=t;O=0;H=e;while(1){f[H>>2]=f[P>>2];O=O+1|0;if((O|0)==(k|0))break;else{P=P+(o<<2)|0;H=H+(c<<2)|0}}}break}case 8:{if((k|0)>0){H=t;P=0;O=e;while(1){fa=f[H+4>>2]|0;f[O>>2]=f[H>>2];f[O+4>>2]=fa;P=P+1|0;if((P|0)==(k|0))break;else{H=H+(o<<2)|0;O=O+(c<<2)|0}}}break}case 16:{if((k|0)>0){O=t;H=0;P=e;while(1){fa=f[O+4>>2]|0;f[P>>2]=f[O>>2];f[P+4>>2]=fa;fa=f[O+12>>2]|0;f[P+8>>2]=f[O+8>>2];f[P+12>>2]=fa;H=H+1|0;if((H|0)==(k|0))break;else{O=O+(o<<2)|0;P=P+(c<<2)|0}}}break}default:{}}if(y){P=f[Q>>2]|0;o=e+(Y(P,z)|0)|0;O=P>>>2;switch(P|0){case 4:{if((k|0)>0){za=s;Aa=0;Ba=o}else{ga=Q;break c}while(1){f[Ba>>2]=f[za>>2];Aa=Aa+1|0;if((Aa|0)==(k|0)){ga=Q;break}else{za=za+(O<<2)|0;Ba=Ba+(c<<2)|0}}break}case 8:{if((k|0)>0){Ca=s;Da=0;Ea=o}else{ga=Q;break c}while(1){P=f[Ca+4>>2]|0;f[Ea>>2]=f[Ca>>2];f[Ea+4>>2]=P;Da=Da+1|0;if((Da|0)==(k|0)){ga=Q;break}else{Ca=Ca+(O<<2)|0;Ea=Ea+(c<<2)|0}}break}case 16:{if((k|0)>0){Fa=s;Ga=0;Ha=o}else{ga=Q;break c}while(1){P=f[Fa+4>>2]|0;f[Ha>>2]=f[Fa>>2];f[Ha+4>>2]=P;P=f[Fa+12>>2]|0;f[Ha+8>>2]=f[Fa+8>>2];f[Ha+12>>2]=P;Ga=Ga+1|0;if((Ga|0)==(k|0)){ga=Q;break}else{Fa=Fa+(O<<2)|0;Ha=Ha+(c<<2)|0}}break}default:{ga=Q;break c}}}else ga=Q}while(0);u=1;v=z;w=e+(f[ga>>2]|0)|0;x=X}if((u|0)<(v|0)){X=a+40|0;ga=d>>>2;d=a+12|0;z=(k|0)>0;Ha=k<<1;Fa=k<<2;Ga=g>>>2;Ea=u;u=x;x=w;while(1){w=(Ea+1|0)<(v|0);Ca=f[m>>2]|0;d:do if(w){Da=f[q>>2]|0;switch(f[X>>2]|0){case 4:{if(z){Ba=u;za=0;while(1){Aa=f[Ba+4>>2]|0;f[Ca+(za<<2)>>2]=f[Ba>>2];f[Da+(za<<2)>>2]=Aa;za=za+1|0;if((za|0)==(k|0))break;else Ba=Ba+(ga<<2)|0}}break}case 8:{if(z){Ba=u;za=0;while(1){Aa=f[Ba+4>>2]|0;f[Ca+(za<<2)>>2]=f[Ba>>2];y=za|1;f[Ca+(y<<2)>>2]=Aa;Aa=f[Ba+12>>2]|0;f[Da+(za<<2)>>2]=f[Ba+8>>2];f[Da+(y<<2)>>2]=Aa;za=za+2|0;if((za|0)>=(Ha|0))break;else Ba=Ba+(ga<<2)|0}}break}case 16:{if(z){Ba=0;za=u;while(1){Aa=f[za+4>>2]|0;f[Ca+(Ba<<2)>>2]=f[za>>2];y=Ba|1;f[Ca+(y<<2)>>2]=Aa;Aa=f[za+12>>2]|0;ya=Ba|2;f[Ca+(ya<<2)>>2]=f[za+8>>2];wa=Ba|3;f[Ca+(wa<<2)>>2]=Aa;Aa=f[za+20>>2]|0;f[Da+(Ba<<2)>>2]=f[za+16>>2];f[Da+(y<<2)>>2]=Aa;Aa=f[za+28>>2]|0;f[Da+(ya<<2)>>2]=f[za+24>>2];f[Da+(wa<<2)>>2]=Aa;Ba=Ba+4|0;if((Ba|0)>=(Fa|0))break;else za=za+(ga<<2)|0}}break}default:{}}za=f[d>>2]|0;Zh[f[f[za>>2]>>2]&511](za,Da,s);Ia=f[m>>2]|0}else{za=f[X>>2]|0;Ba=za>>>2;switch(za|0){case 4:{if(z){Ja=u;Ka=0;La=Ca}else{Ia=Ca;break d}while(1){f[La>>2]=f[Ja>>2];Ka=Ka+1|0;if((Ka|0)==(k|0)){Ia=Ca;break}else{Ja=Ja+(ga<<2)|0;La=La+(Ba<<2)|0}}break}case 8:{if(z){Ma=u;Na=0;Oa=Ca}else{Ia=Ca;break d}while(1){Da=f[Ma+4>>2]|0;f[Oa>>2]=f[Ma>>2];f[Oa+4>>2]=Da;Na=Na+1|0;if((Na|0)==(k|0)){Ia=Ca;break}else{Ma=Ma+(ga<<2)|0;Oa=Oa+(Ba<<2)|0}}break}case 16:{if(z){Pa=u;Qa=0;Ra=Ca}else{Ia=Ca;break d}while(1){Da=f[Pa+4>>2]|0;f[Ra>>2]=f[Pa>>2];f[Ra+4>>2]=Da;Da=f[Pa+12>>2]|0;f[Ra+8>>2]=f[Pa+8>>2];f[Ra+12>>2]=Da;Qa=Qa+1|0;if((Qa|0)==(k|0)){Ia=Ca;break}else{Pa=Pa+(ga<<2)|0;Ra=Ra+(Ba<<2)|0}}break}default:{Ia=Ca;break d}}}while(0);Ca=f[d>>2]|0;Zh[f[f[Ca>>2]>>2]&511](Ca,Ia,t);Ca=f[X>>2]|0;e:do if(w)switch(Ca|0){case 4:{if(z){Sa=0;Ta=x}else break e;while(1){Q=f[s+(Sa<<2)>>2]|0;f[Ta>>2]=f[t+(Sa<<2)>>2];f[Ta+4>>2]=Q;Sa=Sa+1|0;if((Sa|0)==(k|0))break;else Ta=Ta+(Ga<<2)|0}break}case 8:{if(z){Ua=0;Va=x}else break e;while(1){Q=Ua|1;Ba=f[t+(Q<<2)>>2]|0;f[Va>>2]=f[t+(Ua<<2)>>2];f[Va+4>>2]=Ba;Ba=f[s+(Q<<2)>>2]|0;f[Va+8>>2]=f[s+(Ua<<2)>>2];f[Va+12>>2]=Ba;Ua=Ua+2|0;if((Ua|0)>=(Ha|0))break;else Va=Va+(Ga<<2)|0}break}case 16:{if(z){Wa=x;Xa=0}else break e;while(1){Ba=Xa|1;Q=f[t+(Ba<<2)>>2]|0;f[Wa>>2]=f[t+(Xa<<2)>>2];f[Wa+4>>2]=Q;Q=Xa|2;Da=Xa|3;za=f[t+(Da<<2)>>2]|0;f[Wa+8>>2]=f[t+(Q<<2)>>2];f[Wa+12>>2]=za;za=f[s+(Ba<<2)>>2]|0;f[Wa+16>>2]=f[s+(Xa<<2)>>2];f[Wa+20>>2]=za;za=f[s+(Da<<2)>>2]|0;f[Wa+24>>2]=f[s+(Q<<2)>>2];f[Wa+28>>2]=za;Xa=Xa+4|0;if((Xa|0)>=(Fa|0))break;else Wa=Wa+(Ga<<2)|0}break}default:break e}else{za=Ca>>>2;switch(Ca|0){case 4:{if(z){Ya=t;Za=0;_a=x}else break e;while(1){f[_a>>2]=f[Ya>>2];Za=Za+1|0;if((Za|0)==(k|0))break;else{Ya=Ya+(za<<2)|0;_a=_a+(Ga<<2)|0}}break}case 8:{if(z){$a=t;ab=0;bb=x}else break e;while(1){Q=f[$a+4>>2]|0;f[bb>>2]=f[$a>>2];f[bb+4>>2]=Q;ab=ab+1|0;if((ab|0)==(k|0))break;else{$a=$a+(za<<2)|0;bb=bb+(Ga<<2)|0}}break}case 16:{if(z){cb=t;db=0;eb=x}else break e;while(1){Q=f[cb+4>>2]|0;f[eb>>2]=f[cb>>2];f[eb+4>>2]=Q;Q=f[cb+12>>2]|0;f[eb+8>>2]=f[cb+8>>2];f[eb+12>>2]=Q;db=db+1|0;if((db|0)==(k|0))break;else{cb=cb+(za<<2)|0;eb=eb+(Ga<<2)|0}}break}default:break e}}while(0);Ca=f[X>>2]<<1;Ea=Ea+2|0;if((Ea|0)>=(v|0))break;else{u=u+Ca|0;x=x+Ca|0}}}if(!j)return;if((f[a+32>>2]|0)!=2)return;if((f[a+44>>2]|0)==5){a=g>>>2;if((k|0)<=0)return;j=(l+1|0)/2|0;if((l|0)>2)fb=0;else return;do{x=e+((Y(fb,a)|0)<<2)|0;u=e+((Y(k-fb|0,a)|0)<<2)|0;v=(fb|0)==0|(fb<<1|0)==(k|0)?x:u;u=1;do{Ea=u<<1;X=l-u<<1;f[x+(X<<2)>>2]=f[v+(Ea<<2)>>2];n[x+((X|1)<<2)>>2]=-+n[v+((Ea|1)<<2)>>2];u=u+1|0}while((u|0)<(j|0));fb=fb+1|0}while((fb|0)!=(k|0));return}else{fb=g>>>3;if((k|0)<=0)return;g=(l+1|0)/2|0;if((l|0)>2)gb=0;else return;do{j=e+((Y(gb,fb)|0)<<3)|0;a=e+((Y(k-gb|0,fb)|0)<<3)|0;u=(gb|0)==0|(gb<<1|0)==(k|0)?j:a;a=1;do{v=a<<1;x=l-a<<1;p[j+(x<<3)>>3]=+p[u+(v<<3)>>3];p[j+((x|1)<<3)>>3]=-+p[u+((v|1)<<3)>>3];a=a+1|0}while((a|0)<(g|0));gb=gb+1|0}while((gb|0)!=(k|0));return}}function aV(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0;if((c|0)==4){c=b+1|0;d=(c|0)/2|0;if((b|0)>2){e=1;do{g=e<<1;h=b-e<<1;f[a+(h<<2)>>2]=f[a+(g+-1<<2)>>2];n[a+((h|1)<<2)>>2]=-+n[a+(g<<2)>>2];e=e+1|0}while((e|0)<(d|0))}d=b+-1|0;if(!(b&1)){f[a+(b<<2)>>2]=f[a+(d<<2)>>2];n[a+(c<<2)>>2]=0.0;i=d}else i=b;if((i|0)>1){d=i;do{i=d;d=d+-1|0;f[a+(i<<2)>>2]=f[a+(d<<2)>>2]}while((d|0)>1)}n[a+4>>2]=0.0;return}else{d=b+1|0;i=(d|0)/2|0;if((b|0)>2){c=1;do{e=c<<1;g=b-c<<1;p[a+(g<<3)>>3]=+p[a+(e+-1<<3)>>3];p[a+((g|1)<<3)>>3]=-+p[a+(e<<3)>>3];c=c+1|0}while((c|0)<(i|0))}i=b+-1|0;if(!(b&1)){p[a+(b<<3)>>3]=+p[a+(i<<3)>>3];p[a+(d<<3)>>3]=0.0;j=i}else j=b;if((j|0)>1){b=j;do{j=b;b=b+-1|0;p[a+(j<<3)>>3]=+p[a+(b<<3)>>3]}while((b|0)>1)}p[a+8>>3]=0.0;return}}function bV(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return}function cV(a){a=a|0;fuc(a);return}function dV(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0;g=u;u=u+208|0;h=g+200|0;i=g+144|0;j=g+88|0;k=g+32|0;l=g+24|0;m=g+16|0;n=g;o=g+8|0;gV(h,41172);do if((qJ(a)|0)==65536){p=f[a+4>>2]|0;f[i>>2]=f[p>>2];q=i+4|0;r=p+4|0;f[q>>2]=f[r>>2];s=i+8|0;f[s>>2]=f[p+8>>2];t=i+12|0;f[t>>2]=f[p+12>>2];v=i+16|0;f[v>>2]=f[p+16>>2];w=i+20|0;f[w>>2]=f[p+20>>2];x=i+24|0;f[x>>2]=f[p+24>>2];y=i+28|0;f[y>>2]=f[p+28>>2];z=i+32|0;f[z>>2]=f[p+32>>2];A=i+36|0;B=f[p+36>>2]|0;f[A>>2]=B;f[i+40>>2]=s;C=i+48|0;D=i+44|0;f[D>>2]=C;f[C>>2]=0;f[i+52>>2]=0;if(B|0){C=B+12|0;f[C>>2]=(f[C>>2]|0)+1}if((f[r>>2]|0)<3){r=f[p+44>>2]|0;C=f[D>>2]|0;f[C>>2]=f[r>>2];f[C+4>>2]=f[r+4>>2];E=i;F=q;G=s;H=t;I=v;J=v;K=w;L=x;M=y;N=z;O=A;P=A;break}else{f[q>>2]=0;$T(i,p);E=i;F=q;G=s;H=t;I=v;J=v;K=w;L=x;M=y;N=z;O=A;P=A;break}}else{nJ(i,a,-1);A=i+16|0;z=i+36|0;E=i;F=i+4|0;G=i+8|0;H=i+12|0;I=A;J=A;K=i+20|0;L=i+24|0;M=i+28|0;N=i+32|0;O=z;P=z}while(0);f[j>>2]=f[E>>2];E=j+4|0;a=f[F>>2]|0;f[E>>2]=a;z=j+8|0;f[z>>2]=f[G>>2];G=j+12|0;f[G>>2]=f[H>>2];H=j+16|0;f[H>>2]=f[J>>2];f[j+20>>2]=f[K>>2];f[j+24>>2]=f[L>>2];f[j+28>>2]=f[M>>2];f[j+32>>2]=f[N>>2];N=j+36|0;M=f[P>>2]|0;f[N>>2]=M;P=j+40|0;f[P>>2]=z;L=j+48|0;K=j+44|0;f[K>>2]=L;f[L>>2]=0;f[j+52>>2]=0;if(!M)Q=a;else{a=M+12|0;f[a>>2]=(f[a>>2]|0)+1;Q=f[F>>2]|0}if((Q|0)<3){Q=f[i+44>>2]|0;a=f[K>>2]|0;f[a>>2]=f[Q>>2];f[a+4>>2]=f[Q+4>>2]}else{f[E>>2]=0;$T(j,i)}Q=(d&1|0)==0;a=f[j>>2]|0;M=a&4095;J=a&7;switch(a&4095){case 5:case 6:case 13:case 14:break;default:{f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;A=cuc(80)|0;f[k>>2]=A;f[k+8>>2]=-2147483568;f[k+4>>2]=76;R=A;S=220371;T=R+76|0;do{b[R>>0]=b[S>>0]|0;R=R+1|0;S=S+1|0}while((R|0)<(T|0));b[A+76>>0]=0;WD(-215,k,220448,219599,3335)}}if(!((d&64|0)==0|(a&4088|0)==8)){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;A=cuc(64)|0;f[k>>2]=A;f[k+8>>2]=-2147483584;f[k+4>>2]=53;R=A;S=220452;T=R+53|0;do{b[R>>0]=b[S>>0]|0;R=R+1|0;S=S+1|0}while((R|0)<(T|0));b[A+53>>0]=0;WD(-215,k,220448,219599,3338)}A=a>>>3&511;if(Q)if((d&16|0)==0|(A|0)!=0)U=22;else{Q=f[P>>2]|0;a=f[Q>>2]|0;f[l>>2]=f[Q+4>>2];f[l+4>>2]=a;IJ(c,l,J|8,-1,0,0)}else if((d&32|0)==0|(A|0)!=1)U=22;else{A=f[P>>2]|0;l=f[A>>2]|0;f[m>>2]=f[A+4>>2];f[m+4>>2]=l;IJ(c,m,J,-1,0,0)}if((U|0)==22){U=f[P>>2]|0;m=f[U>>2]|0;f[n>>2]=f[U+4>>2];f[n+4>>2]=m;IJ(c,n,M,-1,0,0)}do if((qJ(c)|0)==65536){M=f[c+4>>2]|0;f[k>>2]=f[M>>2];n=k+4|0;m=M+4|0;f[n>>2]=f[m>>2];U=k+8|0;f[U>>2]=f[M+8>>2];f[k+12>>2]=f[M+12>>2];f[k+16>>2]=f[M+16>>2];f[k+20>>2]=f[M+20>>2];f[k+24>>2]=f[M+24>>2];f[k+28>>2]=f[M+28>>2];f[k+32>>2]=f[M+32>>2];l=f[M+36>>2]|0;f[k+36>>2]=l;f[k+40>>2]=U;U=k+48|0;A=k+44|0;f[A>>2]=U;f[U>>2]=0;f[k+52>>2]=0;if(l|0){U=l+12|0;f[U>>2]=(f[U>>2]|0)+1}if((f[m>>2]|0)<3){m=f[M+44>>2]|0;U=f[A>>2]|0;f[U>>2]=f[m>>2];f[U+4>>2]=f[m+4>>2];break}else{f[n>>2]=0;$T(k,M);break}}else nJ(k,c,-1);while(0);c=f[j>>2]|0;M=f[k>>2]|0;n=d&7|((c&16384|0)==0?0:M>>>5&512);d=k+16|0;QU(o,f[G>>2]|0,f[z>>2]|0,J,(c>>>3&511)+1|0,(M>>>3&511)+1|0,(f[H>>2]|0)==(f[d>>2]|0)?n|1024:n,e);e=f[o>>2]|0;n=k+48|0;th[f[f[e>>2]>>2]&255](e,f[H>>2]|0,f[L>>2]|0,f[d>>2]|0,f[n>>2]|0);e=f[o+4>>2]|0;if(e|0)Xtc(e);e=k+36|0;o=f[e>>2]|0;if(o|0?(M=o+12|0,o=f[M>>2]|0,f[M>>2]=o+-1,(o|0)==1):0)aU(k);f[e>>2]=0;e=k+4|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[e>>2]|0)>0){d=f[k+40>>2]|0;o=0;do{f[d+(o<<2)>>2]=0;o=o+1|0}while((o|0)<(f[e>>2]|0))}e=f[k+44>>2]|0;if((e|0)!=(n|0))TC(e);e=f[N>>2]|0;if(e|0?(n=e+12|0,e=f[n>>2]|0,f[n>>2]=e+-1,(e|0)==1):0)aU(j);f[N>>2]=0;f[H>>2]=0;f[H+4>>2]=0;f[H+8>>2]=0;f[H+12>>2]=0;if((f[E>>2]|0)>0){H=f[P>>2]|0;P=0;do{f[H+(P<<2)>>2]=0;P=P+1|0}while((P|0)<(f[E>>2]|0))}E=f[K>>2]|0;if((E|0)!=(L|0))TC(E);E=f[O>>2]|0;if(E|0?(L=E+12|0,E=f[L>>2]|0,f[L>>2]=E+-1,(E|0)==1):0)aU(i);f[O>>2]=0;f[I>>2]=0;f[I+4>>2]=0;f[I+8>>2]=0;f[I+12>>2]=0;if((f[F>>2]|0)>0){I=f[i+40>>2]|0;O=0;do{f[I+(O<<2)>>2]=0;O=O+1|0}while((O|0)<(f[F>>2]|0))}F=f[i+44>>2]|0;if((F|0)!=(i+48|0))TC(F);if(!(f[h+4>>2]|0)){u=g;return}u=g;return}function eV(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0.0,N=0.0,O=0,P=0.0,Q=0.0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0;h=u;u=u+256|0;i=h+232|0;j=h+224|0;k=h+168|0;l=h+112|0;m=h+56|0;o=h;gV(j,41192);do if((qJ(a)|0)==65536){q=f[a+4>>2]|0;f[k>>2]=f[q>>2];r=k+4|0;s=q+4|0;f[r>>2]=f[s>>2];t=k+8|0;f[t>>2]=f[q+8>>2];f[k+12>>2]=f[q+12>>2];f[k+16>>2]=f[q+16>>2];f[k+20>>2]=f[q+20>>2];f[k+24>>2]=f[q+24>>2];f[k+28>>2]=f[q+28>>2];f[k+32>>2]=f[q+32>>2];v=f[q+36>>2]|0;f[k+36>>2]=v;f[k+40>>2]=t;t=k+48|0;w=k+44|0;f[w>>2]=t;f[t>>2]=0;f[k+52>>2]=0;if(v|0){t=v+12|0;f[t>>2]=(f[t>>2]|0)+1}if((f[s>>2]|0)<3){s=f[q+44>>2]|0;t=f[w>>2]|0;f[t>>2]=f[s>>2];f[t+4>>2]=f[s+4>>2];break}else{f[r>>2]=0;$T(k,q);break}}else nJ(k,a,-1);while(0);do if((qJ(c)|0)==65536){a=f[c+4>>2]|0;f[l>>2]=f[a>>2];q=l+4|0;r=a+4|0;f[q>>2]=f[r>>2];s=l+8|0;f[s>>2]=f[a+8>>2];f[l+12>>2]=f[a+12>>2];f[l+16>>2]=f[a+16>>2];f[l+20>>2]=f[a+20>>2];f[l+24>>2]=f[a+24>>2];f[l+28>>2]=f[a+28>>2];f[l+32>>2]=f[a+32>>2];t=f[a+36>>2]|0;f[l+36>>2]=t;f[l+40>>2]=s;s=l+48|0;w=l+44|0;f[w>>2]=s;f[s>>2]=0;f[l+52>>2]=0;if(t|0){s=t+12|0;f[s>>2]=(f[s>>2]|0)+1}if((f[r>>2]|0)<3){r=f[a+44>>2]|0;s=f[w>>2]|0;f[s>>2]=f[r>>2];f[s+4>>2]=f[r+4>>2];x=l;break}else{f[q>>2]=0;$T(l,a);x=l;break}}else{nJ(l,c,-1);x=l}while(0);c=f[k>>2]|0;a=c&7;q=c>>>3&511;r=q+1|0;s=c&4095;w=f[k+8>>2]|0;t=f[k+12>>2]|0;if((s|0)!=(f[x>>2]&4095|0)){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;y=cuc(64)|0;f[i>>2]=y;z=i+8|0;f[z>>2]=-2147483584;A=i+4|0;f[A>>2]=49;B=y;C=220554;D=B+49|0;do{b[B>>0]=b[C>>0]|0;B=B+1|0;C=C+1|0}while((B|0)<(D|0));E=y+49|0;b[E>>0]=0;WD(-215,i,220604,219599,3541)}v=k+40|0;F=f[v>>2]|0;G=l+40|0;H=f[G>>2]|0;if(!((f[F>>2]|0)==(f[H>>2]|0)?(f[F+4>>2]|0)==(f[H+4>>2]|0):0)){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;y=cuc(64)|0;f[i>>2]=y;z=i+8|0;f[z>>2]=-2147483584;A=i+4|0;f[A>>2]=49;B=y;C=220554;D=B+49|0;do{b[B>>0]=b[C>>0]|0;B=B+1|0;C=C+1|0}while((B|0)<(D|0));E=y+49|0;b[E>>0]=0;WD(-215,i,220604,219599,3541)}switch(c&4095){case 5:case 6:case 13:case 14:break;default:{f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;c=cuc(80)|0;f[i>>2]=c;f[i+8>>2]=-2147483568;f[i+4>>2]=76;B=c;C=220371;D=B+76|0;do{b[B>>0]=b[C>>0]|0;B=B+1|0;C=C+1|0}while((B|0)<(D|0));b[c+76>>0]=0;WD(-215,i,220604,219599,3542)}}jK(d,w,t,s,-1,0,0);do if((qJ(d)|0)==65536){s=f[d+4>>2]|0;f[m>>2]=f[s>>2];c=m+4|0;C=s+4|0;f[c>>2]=f[C>>2];E=m+8|0;f[E>>2]=f[s+8>>2];f[m+12>>2]=f[s+12>>2];y=m+16|0;f[y>>2]=f[s+16>>2];f[m+20>>2]=f[s+20>>2];f[m+24>>2]=f[s+24>>2];f[m+28>>2]=f[s+28>>2];f[m+32>>2]=f[s+32>>2];A=f[s+36>>2]|0;f[m+36>>2]=A;f[m+40>>2]=E;E=m+48|0;z=m+44|0;f[z>>2]=E;f[E>>2]=0;f[m+52>>2]=0;if(A|0){E=A+12|0;f[E>>2]=(f[E>>2]|0)+1}if((f[C>>2]|0)<3){C=f[s+44>>2]|0;E=f[z>>2]|0;f[E>>2]=f[C>>2];f[E+4>>2]=f[C+4>>2];I=y;break}else{f[c>>2]=0;$T(m,s);I=y;break}}else{nJ(m,d,-1);I=m+16|0}while(0);d=l+16|0;if((f[I>>2]|0)==(f[d>>2]|0)){f[o>>2]=1124007936;y=o+4|0;s=o+8|0;c=o+40|0;B=y;D=B+36|0;do{f[B>>2]=0;B=B+4|0}while((B|0)<(D|0));f[c>>2]=s;B=o+48|0;f[o+44>>2]=B;f[B>>2]=0;f[o+52>>2]=0;D=i+8|0;f[D>>2]=0;f[D+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=o;EI(l,i);i=l+36|0;D=f[i>>2]|0;if(D|0?(C=D+12|0,D=f[C>>2]|0,f[C>>2]=D+-1,(D|0)==1):0)aU(l);f[i>>2]=0;D=l+4|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[D>>2]|0)>0){C=f[G>>2]|0;E=0;do{f[C+(E<<2)>>2]=0;E=E+1|0}while((E|0)<(f[D>>2]|0))}f[x>>2]=f[o>>2];E=f[y>>2]|0;f[D>>2]=E;D=l+8|0;f[D>>2]=f[s>>2];f[l+12>>2]=f[o+12>>2];C=o+16|0;f[d>>2]=f[C>>2];f[l+20>>2]=f[o+20>>2];f[l+24>>2]=f[o+24>>2];f[l+28>>2]=f[o+28>>2];f[l+32>>2]=f[o+32>>2];z=o+36|0;f[i>>2]=f[z>>2];i=l+44|0;A=f[i>>2]|0;H=l+48|0;if((A|0)==(H|0))J=E;else{TC(A);f[i>>2]=H;f[G>>2]=D;J=f[y>>2]|0}D=o+44|0;if((J|0)<3){J=f[D>>2]|0;f[H>>2]=f[J>>2];f[l+52>>2]=f[J+4>>2];K=J}else{f[i>>2]=f[D>>2];f[l+40>>2]=f[c>>2];f[D>>2]=B;f[c>>2]=s;K=B}f[o>>2]=1124007936;f[y>>2]=0;f[y+4>>2]=0;f[y+8>>2]=0;f[y+12>>2]=0;f[y+16>>2]=0;f[y+20>>2]=0;f[y+24>>2]=0;f[y+28>>2]=0;f[z>>2]=0;f[C>>2]=0;f[C+4>>2]=0;f[C+8>>2]=0;f[C+12>>2]=0;if((K|0)!=(B|0))TC(K)}K=(e&4|0)!=0;if(!(K|(w|0)==1))if(((t|0)==1?(f[k>>2]&16384|0)!=0:0)?(f[x>>2]&16384|0)!=0:0)L=(f[m>>2]&16384|0)!=0;else L=0;else L=1;x=K|L^1;K=t+(x?0:w+-1|0)|0;t=x?w:1;w=(q|0)==0;x=w&1;e=K&1;B=(e|0)==0;C=(Y(K,r)|0)-((e|q|0)==0&1)|0;q=k+16|0;e=f[q>>2]|0;a:do if((a|0)==5){r=f[d>>2]|0;z=f[I>>2]|0;y=f[k+48>>2]|0;o=f[l+48>>2]|0;s=f[m+48>>2]|0;c=(e|0)==(z|0);D=L|w^1;if(g)if(c){do if(!D){n[e>>2]=+n[e>>2]*+n[r>>2];i=t+-2|0;J=(i|0)==0;if(!J){H=1;do{A=e+(Y(H,s)|0)|0;M=+n[A>>2];E=H+1|0;F=e+(Y(E,s)|0)|0;N=+n[F>>2];O=r+(Y(H,o)|0)|0;P=+n[O>>2];O=r+(Y(E,o)|0)|0;Q=-+n[O>>2];n[A>>2]=M*P-N*Q;n[F>>2]=N*P+M*Q;H=H+2|0}while(H>>>0<=i>>>0);if(!(t&1)){R=t+-1|0;S=109}}else{R=1;S=109}if((S|0)==109){H=e+(Y(R,s)|0)|0;F=r+(Y(R,o)|0)|0;n[H>>2]=+n[H>>2]*+n[F>>2]}if(B){F=r+(K<<2)+-4|0;H=e+(K<<2)+-4|0;n[H>>2]=+n[H>>2]*+n[F>>2];if(!J){A=1;do{O=H+(Y(A,s)|0)|0;Q=+n[O>>2];E=A+1|0;T=H+(Y(E,s)|0)|0;M=+n[T>>2];U=F+(Y(A,o)|0)|0;P=+n[U>>2];U=F+(Y(E,o)|0)|0;N=-+n[U>>2];n[O>>2]=Q*P-M*N;n[T>>2]=M*P+Q*N;A=A+2|0}while(A>>>0<=i>>>0);if(!(t&1))V=t+-1|0;else break}else V=1;i=H+(Y(V,s)|0)|0;A=F+(Y(V,o)|0)|0;n[i>>2]=+n[i>>2]*+n[A>>2]}}while(0);A=w&L;i=t+-1|0;if(!t)break;J=x>>>0<C>>>0;T=A&B;if(!A){if(J){W=e;X=r;Z=i}else break;while(1){A=x;do{O=W+(A<<2)|0;N=+n[O>>2];U=A+1|0;E=W+(U<<2)|0;Q=+n[E>>2];P=+n[X+(A<<2)>>2];M=-+n[X+(U<<2)>>2];n[O>>2]=N*P-Q*M;n[E>>2]=Q*P+N*M;A=A+2|0}while(A>>>0<C>>>0);if(!Z)break a;else{W=W+s|0;X=X+o|0;Z=Z+-1|0}}}if(!J)if(T){A=e;F=r;H=e;E=i;while(1){n[H>>2]=+n[A>>2]*+n[F>>2];n[H+(C<<2)>>2]=+n[A+(C<<2)>>2]*+n[F+(C<<2)>>2];if(!E)break a;else{A=A+y|0;F=F+o|0;H=H+s|0;E=E+-1|0}}}else{E=e;H=r;F=e;A=i;while(1){n[F>>2]=+n[E>>2]*+n[H>>2];if(!A)break a;else{E=E+y|0;H=H+o|0;F=F+s|0;A=A+-1|0}}}if(T){A=e;F=r;H=e;E=i;while(1){n[H>>2]=+n[A>>2]*+n[F>>2];J=x;do{O=H+(J<<2)|0;M=+n[O>>2];U=J+1|0;_=H+(U<<2)|0;N=+n[_>>2];P=+n[F+(J<<2)>>2];Q=-+n[F+(U<<2)>>2];n[O>>2]=M*P-N*Q;n[_>>2]=N*P+M*Q;J=J+2|0}while(J>>>0<C>>>0);n[H+(C<<2)>>2]=+n[A+(C<<2)>>2]*+n[F+(C<<2)>>2];if(!E)break;else{A=A+y|0;F=F+o|0;H=H+s|0;E=E+-1|0}}}else{E=e;H=r;F=e;A=i;while(1){n[F>>2]=+n[E>>2]*+n[H>>2];T=x;do{J=F+(T<<2)|0;Q=+n[J>>2];_=T+1|0;O=F+(_<<2)|0;M=+n[O>>2];P=+n[H+(T<<2)>>2];N=-+n[H+(_<<2)>>2];n[J>>2]=Q*P-M*N;n[O>>2]=M*P+Q*N;T=T+2|0}while(T>>>0<C>>>0);if(!A)break;else{E=E+y|0;H=H+o|0;F=F+s|0;A=A+-1|0}}}}else{do if(!D){n[z>>2]=+n[e>>2]*+n[r>>2];A=t+-2|0;F=(A|0)==0;if(!F){H=1;do{E=e+(Y(H,y)|0)|0;N=+n[E>>2];E=H+1|0;i=e+(Y(E,y)|0)|0;Q=+n[i>>2];i=r+(Y(H,o)|0)|0;P=+n[i>>2];i=r+(Y(E,o)|0)|0;M=-+n[i>>2];i=z+(Y(H,s)|0)|0;n[i>>2]=N*P-Q*M;i=z+(Y(E,s)|0)|0;n[i>>2]=Q*P+N*M;H=H+2|0}while(H>>>0<=A>>>0);if(!(t&1)){$=t+-1|0;S=136}}else{$=1;S=136}if((S|0)==136){H=z+(Y($,s)|0)|0;i=r+(Y($,o)|0)|0;E=e+(Y($,y)|0)|0;n[H>>2]=+n[E>>2]*+n[i>>2]}if(B){i=e+(K<<2)+-4|0;E=r+(K<<2)+-4|0;H=z+(K<<2)+-4|0;n[H>>2]=+n[i>>2]*+n[E>>2];if(!F){T=1;do{O=i+(Y(T,y)|0)|0;M=+n[O>>2];O=T+1|0;J=i+(Y(O,y)|0)|0;N=+n[J>>2];J=E+(Y(T,o)|0)|0;P=+n[J>>2];J=E+(Y(O,o)|0)|0;Q=-+n[J>>2];J=H+(Y(T,s)|0)|0;n[J>>2]=M*P-N*Q;J=H+(Y(O,s)|0)|0;n[J>>2]=N*P+M*Q;T=T+2|0}while(T>>>0<=A>>>0);if(!(t&1))aa=t+-1|0;else break}else aa=1;A=H+(Y(aa,s)|0)|0;T=E+(Y(aa,o)|0)|0;F=i+(Y(aa,y)|0)|0;n[A>>2]=+n[F>>2]*+n[T>>2]}}while(0);T=w&L;F=t+-1|0;if(!t)break;A=x>>>0<C>>>0;J=T&B;if(!T){if(A){ba=e;ca=r;da=z;ea=F}else break;while(1){T=x;do{Q=+n[ba+(T<<2)>>2];O=T+1|0;M=+n[ba+(O<<2)>>2];P=+n[ca+(T<<2)>>2];N=-+n[ca+(O<<2)>>2];n[da+(T<<2)>>2]=Q*P-M*N;n[da+(O<<2)>>2]=M*P+Q*N;T=T+2|0}while(T>>>0<C>>>0);if(!ea)break a;else{ba=ba+y|0;ca=ca+o|0;da=da+s|0;ea=ea+-1|0}}}if(!A)if(J){T=e;i=r;E=z;H=F;while(1){n[E>>2]=+n[T>>2]*+n[i>>2];n[E+(C<<2)>>2]=+n[T+(C<<2)>>2]*+n[i+(C<<2)>>2];if(!H)break a;else{T=T+y|0;i=i+o|0;E=E+s|0;H=H+-1|0}}}else{H=e;E=r;i=z;T=F;while(1){n[i>>2]=+n[H>>2]*+n[E>>2];if(!T)break a;else{H=H+y|0;E=E+o|0;i=i+s|0;T=T+-1|0}}}if(J){T=e;i=r;E=z;H=F;while(1){n[E>>2]=+n[T>>2]*+n[i>>2];A=x;do{N=+n[T+(A<<2)>>2];O=A+1|0;Q=+n[T+(O<<2)>>2];P=+n[i+(A<<2)>>2];M=-+n[i+(O<<2)>>2];n[E+(A<<2)>>2]=N*P-Q*M;n[E+(O<<2)>>2]=Q*P+N*M;A=A+2|0}while(A>>>0<C>>>0);n[E+(C<<2)>>2]=+n[T+(C<<2)>>2]*+n[i+(C<<2)>>2];if(!H)break;else{T=T+y|0;i=i+o|0;E=E+s|0;H=H+-1|0}}}else{H=e;E=r;i=z;T=F;while(1){n[i>>2]=+n[H>>2]*+n[E>>2];J=x;do{M=+n[H+(J<<2)>>2];A=J+1|0;N=+n[H+(A<<2)>>2];P=+n[E+(J<<2)>>2];Q=-+n[E+(A<<2)>>2];n[i+(J<<2)>>2]=M*P-N*Q;n[i+(A<<2)>>2]=N*P+M*Q;J=J+2|0}while(J>>>0<C>>>0);if(!T)break;else{H=H+y|0;E=E+o|0;i=i+s|0;T=T+-1|0}}}}else if(c){do if(!D){n[e>>2]=+n[e>>2]*+n[r>>2];T=t+-2|0;i=(T|0)==0;if(!i){E=1;do{H=e+(Y(E,s)|0)|0;Q=+n[H>>2];F=E+1|0;J=e+(Y(F,s)|0)|0;M=+n[J>>2];A=r+(Y(E,o)|0)|0;P=+n[A>>2];A=r+(Y(F,o)|0)|0;N=+n[A>>2];n[H>>2]=Q*P-M*N;n[J>>2]=M*P+Q*N;E=E+2|0}while(E>>>0<=T>>>0);if(!(t&1)){fa=t+-1|0;S=54}}else{fa=1;S=54}if((S|0)==54){E=e+(Y(fa,s)|0)|0;J=r+(Y(fa,o)|0)|0;n[E>>2]=+n[E>>2]*+n[J>>2]}if(B){J=r+(K<<2)+-4|0;E=e+(K<<2)+-4|0;n[E>>2]=+n[E>>2]*+n[J>>2];if(!i){H=1;do{A=E+(Y(H,s)|0)|0;N=+n[A>>2];F=H+1|0;O=E+(Y(F,s)|0)|0;Q=+n[O>>2];_=J+(Y(H,o)|0)|0;P=+n[_>>2];_=J+(Y(F,o)|0)|0;M=+n[_>>2];n[A>>2]=N*P-Q*M;n[O>>2]=Q*P+N*M;H=H+2|0}while(H>>>0<=T>>>0);if(!(t&1))ga=t+-1|0;else break}else ga=1;T=E+(Y(ga,s)|0)|0;H=J+(Y(ga,o)|0)|0;n[T>>2]=+n[T>>2]*+n[H>>2]}}while(0);c=w&L;H=t+-1|0;if(!t)break;T=x>>>0<C>>>0;i=c&B;if(!c){if(T){ha=e;ia=r;ja=H}else break;while(1){c=x;do{O=ha+(c<<2)|0;M=+n[O>>2];A=c+1|0;_=ha+(A<<2)|0;N=+n[_>>2];P=+n[ia+(c<<2)>>2];Q=+n[ia+(A<<2)>>2];n[O>>2]=M*P-N*Q;n[_>>2]=N*P+M*Q;c=c+2|0}while(c>>>0<C>>>0);if(!ja)break a;else{ha=ha+s|0;ia=ia+o|0;ja=ja+-1|0}}}if(!T)if(i){c=e;J=r;E=e;_=H;while(1){n[E>>2]=+n[c>>2]*+n[J>>2];n[E+(C<<2)>>2]=+n[c+(C<<2)>>2]*+n[J+(C<<2)>>2];if(!_)break a;else{c=c+y|0;J=J+o|0;E=E+s|0;_=_+-1|0}}}else{_=e;E=r;J=e;c=H;while(1){n[J>>2]=+n[_>>2]*+n[E>>2];if(!c)break a;else{_=_+y|0;E=E+o|0;J=J+s|0;c=c+-1|0}}}if(i){c=e;J=r;E=e;_=H;while(1){n[E>>2]=+n[c>>2]*+n[J>>2];T=x;do{O=E+(T<<2)|0;Q=+n[O>>2];A=T+1|0;F=E+(A<<2)|0;M=+n[F>>2];P=+n[J+(T<<2)>>2];N=+n[J+(A<<2)>>2];n[O>>2]=Q*P-M*N;n[F>>2]=M*P+Q*N;T=T+2|0}while(T>>>0<C>>>0);n[E+(C<<2)>>2]=+n[c+(C<<2)>>2]*+n[J+(C<<2)>>2];if(!_)break;else{c=c+y|0;J=J+o|0;E=E+s|0;_=_+-1|0}}}else{_=e;E=r;J=e;c=H;while(1){n[J>>2]=+n[_>>2]*+n[E>>2];i=x;do{T=J+(i<<2)|0;N=+n[T>>2];F=i+1|0;O=J+(F<<2)|0;Q=+n[O>>2];P=+n[E+(i<<2)>>2];M=+n[E+(F<<2)>>2];n[T>>2]=N*P-Q*M;n[O>>2]=Q*P+N*M;i=i+2|0}while(i>>>0<C>>>0);if(!c)break;else{_=_+y|0;E=E+o|0;J=J+s|0;c=c+-1|0}}}}else{do if(!D){n[z>>2]=+n[e>>2]*+n[r>>2];c=t+-2|0;J=(c|0)==0;if(!J){E=1;do{_=e+(Y(E,y)|0)|0;M=+n[_>>2];_=E+1|0;H=e+(Y(_,y)|0)|0;N=+n[H>>2];H=r+(Y(E,o)|0)|0;P=+n[H>>2];H=r+(Y(_,o)|0)|0;Q=+n[H>>2];H=z+(Y(E,s)|0)|0;n[H>>2]=M*P-N*Q;H=z+(Y(_,s)|0)|0;n[H>>2]=N*P+M*Q;E=E+2|0}while(E>>>0<=c>>>0);if(!(t&1)){ka=t+-1|0;S=81}}else{ka=1;S=81}if((S|0)==81){E=z+(Y(ka,s)|0)|0;H=r+(Y(ka,o)|0)|0;_=e+(Y(ka,y)|0)|0;n[E>>2]=+n[_>>2]*+n[H>>2]}if(B){H=e+(K<<2)+-4|0;_=r+(K<<2)+-4|0;E=z+(K<<2)+-4|0;n[E>>2]=+n[H>>2]*+n[_>>2];if(!J){i=1;do{O=H+(Y(i,y)|0)|0;Q=+n[O>>2];O=i+1|0;T=H+(Y(O,y)|0)|0;M=+n[T>>2];T=_+(Y(i,o)|0)|0;P=+n[T>>2];T=_+(Y(O,o)|0)|0;N=+n[T>>2];T=E+(Y(i,s)|0)|0;n[T>>2]=Q*P-M*N;T=E+(Y(O,s)|0)|0;n[T>>2]=M*P+Q*N;i=i+2|0}while(i>>>0<=c>>>0);if(!(t&1))la=t+-1|0;else break}else la=1;c=E+(Y(la,s)|0)|0;i=_+(Y(la,o)|0)|0;J=H+(Y(la,y)|0)|0;n[c>>2]=+n[J>>2]*+n[i>>2]}}while(0);D=w&L;i=t+-1|0;if(!t)break;J=x>>>0<C>>>0;c=D&B;if(!D){if(J){ma=e;na=r;oa=z;pa=i}else break;while(1){D=x;do{N=+n[ma+(D<<2)>>2];T=D+1|0;Q=+n[ma+(T<<2)>>2];P=+n[na+(D<<2)>>2];M=+n[na+(T<<2)>>2];n[oa+(D<<2)>>2]=N*P-Q*M;n[oa+(T<<2)>>2]=Q*P+N*M;D=D+2|0}while(D>>>0<C>>>0);if(!pa)break a;else{ma=ma+y|0;na=na+o|0;oa=oa+s|0;pa=pa+-1|0}}}if(!J)if(c){D=e;H=r;_=z;E=i;while(1){n[_>>2]=+n[D>>2]*+n[H>>2];n[_+(C<<2)>>2]=+n[D+(C<<2)>>2]*+n[H+(C<<2)>>2];if(!E)break a;else{D=D+y|0;H=H+o|0;_=_+s|0;E=E+-1|0}}}else{E=e;_=r;H=z;D=i;while(1){n[H>>2]=+n[E>>2]*+n[_>>2];if(!D)break a;else{E=E+y|0;_=_+o|0;H=H+s|0;D=D+-1|0}}}if(c){D=e;H=r;_=z;E=i;while(1){n[_>>2]=+n[D>>2]*+n[H>>2];J=x;do{M=+n[D+(J<<2)>>2];T=J+1|0;N=+n[D+(T<<2)>>2];P=+n[H+(J<<2)>>2];Q=+n[H+(T<<2)>>2];n[_+(J<<2)>>2]=M*P-N*Q;n[_+(T<<2)>>2]=N*P+M*Q;J=J+2|0}while(J>>>0<C>>>0);n[_+(C<<2)>>2]=+n[D+(C<<2)>>2]*+n[H+(C<<2)>>2];if(!E)break;else{D=D+y|0;H=H+o|0;_=_+s|0;E=E+-1|0}}}else{E=e;_=r;H=z;D=i;while(1){n[H>>2]=+n[E>>2]*+n[_>>2];c=x;do{Q=+n[E+(c<<2)>>2];J=c+1|0;M=+n[E+(J<<2)>>2];P=+n[_+(c<<2)>>2];N=+n[_+(J<<2)>>2];n[H+(c<<2)>>2]=Q*P-M*N;n[H+(J<<2)>>2]=M*P+Q*N;c=c+2|0}while(c>>>0<C>>>0);if(!D)break;else{E=E+y|0;_=_+o|0;H=H+s|0;D=D+-1|0}}}}}else{D=f[d>>2]|0;s=f[I>>2]|0;H=f[k+48>>2]|0;o=f[l+48>>2]|0;_=f[m+48>>2]|0;y=(e|0)==(s|0);E=L|w^1;if(g)if(y){do if(!E){p[e>>3]=+p[e>>3]*+p[D>>3];i=t+-2|0;z=(i|0)==0;if(!z){r=1;do{c=e+(Y(r,_)|0)|0;N=+p[c>>3];J=r+1|0;T=e+(Y(J,_)|0)|0;Q=+p[T>>3];O=D+(Y(r,o)|0)|0;P=+p[O>>3];O=D+(Y(J,o)|0)|0;M=-+p[O>>3];p[c>>3]=N*P-Q*M;p[T>>3]=Q*P+N*M;r=r+2|0}while(r>>>0<=i>>>0);if(!(t&1)){qa=t+-1|0;S=220}}else{qa=1;S=220}if((S|0)==220){r=e+(Y(qa,_)|0)|0;T=D+(Y(qa,o)|0)|0;p[r>>3]=+p[r>>3]*+p[T>>3]}if(B){T=D+(K<<3)+-8|0;r=e+(K<<3)+-8|0;p[r>>3]=+p[r>>3]*+p[T>>3];if(!z){c=1;do{O=r+(Y(c,_)|0)|0;M=+p[O>>3];J=c+1|0;F=r+(Y(J,_)|0)|0;N=+p[F>>3];A=T+(Y(c,o)|0)|0;P=+p[A>>3];A=T+(Y(J,o)|0)|0;Q=-+p[A>>3];p[O>>3]=M*P-N*Q;p[F>>3]=N*P+M*Q;c=c+2|0}while(c>>>0<=i>>>0);if(!(t&1))ra=t+-1|0;else break}else ra=1;i=r+(Y(ra,_)|0)|0;c=T+(Y(ra,o)|0)|0;p[i>>3]=+p[i>>3]*+p[c>>3]}}while(0);c=w&L;i=t+-1|0;if(!t)break;z=x>>>0<C>>>0;F=c&B;if(!c){if(z){sa=e;ta=D;ua=i}else break;while(1){c=x;do{O=sa+(c<<3)|0;Q=+p[O>>3];A=c+1|0;J=sa+(A<<3)|0;M=+p[J>>3];P=+p[ta+(c<<3)>>3];N=-+p[ta+(A<<3)>>3];p[O>>3]=Q*P-M*N;p[J>>3]=M*P+Q*N;c=c+2|0}while(c>>>0<C>>>0);if(!ua)break a;else{sa=sa+_|0;ta=ta+o|0;ua=ua+-1|0}}}if(!z)if(F){c=e;T=D;r=e;J=i;while(1){p[r>>3]=+p[c>>3]*+p[T>>3];p[r+(C<<3)>>3]=+p[c+(C<<3)>>3]*+p[T+(C<<3)>>3];if(!J)break a;else{c=c+H|0;T=T+o|0;r=r+_|0;J=J+-1|0}}}else{J=e;r=D;T=e;c=i;while(1){p[T>>3]=+p[J>>3]*+p[r>>3];if(!c)break a;else{J=J+H|0;r=r+o|0;T=T+_|0;c=c+-1|0}}}if(F){c=e;T=D;r=e;J=i;while(1){p[r>>3]=+p[c>>3]*+p[T>>3];z=x;do{O=r+(z<<3)|0;N=+p[O>>3];A=z+1|0;U=r+(A<<3)|0;Q=+p[U>>3];P=+p[T+(z<<3)>>3];M=-+p[T+(A<<3)>>3];p[O>>3]=N*P-Q*M;p[U>>3]=Q*P+N*M;z=z+2|0}while(z>>>0<C>>>0);p[r+(C<<3)>>3]=+p[c+(C<<3)>>3]*+p[T+(C<<3)>>3];if(!J)break;else{c=c+H|0;T=T+o|0;r=r+_|0;J=J+-1|0}}}else{J=e;r=D;T=e;c=i;while(1){p[T>>3]=+p[J>>3]*+p[r>>3];F=x;do{z=T+(F<<3)|0;M=+p[z>>3];U=F+1|0;O=T+(U<<3)|0;N=+p[O>>3];P=+p[r+(F<<3)>>3];Q=-+p[r+(U<<3)>>3];p[z>>3]=M*P-N*Q;p[O>>3]=N*P+M*Q;F=F+2|0}while(F>>>0<C>>>0);if(!c)break;else{J=J+H|0;r=r+o|0;T=T+_|0;c=c+-1|0}}}}else{do if(!E){p[s>>3]=+p[e>>3]*+p[D>>3];c=t+-2|0;T=(c|0)==0;if(!T){r=1;do{J=e+(Y(r,H)|0)|0;Q=+p[J>>3];J=r+1|0;i=e+(Y(J,H)|0)|0;M=+p[i>>3];i=D+(Y(r,o)|0)|0;P=+p[i>>3];i=D+(Y(J,o)|0)|0;N=-+p[i>>3];i=s+(Y(r,_)|0)|0;p[i>>3]=Q*P-M*N;i=s+(Y(J,_)|0)|0;p[i>>3]=M*P+Q*N;r=r+2|0}while(r>>>0<=c>>>0);if(!(t&1)){va=t+-1|0;S=247}}else{va=1;S=247}if((S|0)==247){r=s+(Y(va,_)|0)|0;i=D+(Y(va,o)|0)|0;J=e+(Y(va,H)|0)|0;p[r>>3]=+p[J>>3]*+p[i>>3]}if(B){i=e+(K<<3)+-8|0;J=D+(K<<3)+-8|0;r=s+(K<<3)+-8|0;p[r>>3]=+p[i>>3]*+p[J>>3];if(!T){F=1;do{O=i+(Y(F,H)|0)|0;N=+p[O>>3];O=F+1|0;z=i+(Y(O,H)|0)|0;Q=+p[z>>3];z=J+(Y(F,o)|0)|0;P=+p[z>>3];z=J+(Y(O,o)|0)|0;M=-+p[z>>3];z=r+(Y(F,_)|0)|0;p[z>>3]=N*P-Q*M;z=r+(Y(O,_)|0)|0;p[z>>3]=Q*P+N*M;F=F+2|0}while(F>>>0<=c>>>0);if(!(t&1))wa=t+-1|0;else break}else wa=1;c=r+(Y(wa,_)|0)|0;F=J+(Y(wa,o)|0)|0;T=i+(Y(wa,H)|0)|0;p[c>>3]=+p[T>>3]*+p[F>>3]}}while(0);F=w&L;T=t+-1|0;if(!t)break;c=x>>>0<C>>>0;z=F&B;if(!F){if(c){xa=e;ya=D;za=s;Aa=T}else break;while(1){F=x;do{M=+p[xa+(F<<3)>>3];O=F+1|0;N=+p[xa+(O<<3)>>3];P=+p[ya+(F<<3)>>3];Q=-+p[ya+(O<<3)>>3];p[za+(F<<3)>>3]=M*P-N*Q;p[za+(O<<3)>>3]=N*P+M*Q;F=F+2|0}while(F>>>0<C>>>0);if(!Aa)break a;else{xa=xa+H|0;ya=ya+o|0;za=za+_|0;Aa=Aa+-1|0}}}if(!c)if(z){F=e;i=D;J=s;r=T;while(1){p[J>>3]=+p[F>>3]*+p[i>>3];p[J+(C<<3)>>3]=+p[F+(C<<3)>>3]*+p[i+(C<<3)>>3];if(!r)break a;else{F=F+H|0;i=i+o|0;J=J+_|0;r=r+-1|0}}}else{r=e;J=D;i=s;F=T;while(1){p[i>>3]=+p[r>>3]*+p[J>>3];if(!F)break a;else{r=r+H|0;J=J+o|0;i=i+_|0;F=F+-1|0}}}if(z){F=e;i=D;J=s;r=T;while(1){p[J>>3]=+p[F>>3]*+p[i>>3];c=x;do{Q=+p[F+(c<<3)>>3];O=c+1|0;M=+p[F+(O<<3)>>3];P=+p[i+(c<<3)>>3];N=-+p[i+(O<<3)>>3];p[J+(c<<3)>>3]=Q*P-M*N;p[J+(O<<3)>>3]=M*P+Q*N;c=c+2|0}while(c>>>0<C>>>0);p[J+(C<<3)>>3]=+p[F+(C<<3)>>3]*+p[i+(C<<3)>>3];if(!r)break;else{F=F+H|0;i=i+o|0;J=J+_|0;r=r+-1|0}}}else{r=e;J=D;i=s;F=T;while(1){p[i>>3]=+p[r>>3]*+p[J>>3];z=x;do{N=+p[r+(z<<3)>>3];c=z+1|0;Q=+p[r+(c<<3)>>3];P=+p[J+(z<<3)>>3];M=-+p[J+(c<<3)>>3];p[i+(z<<3)>>3]=N*P-Q*M;p[i+(c<<3)>>3]=Q*P+N*M;z=z+2|0}while(z>>>0<C>>>0);if(!F)break;else{r=r+H|0;J=J+o|0;i=i+_|0;F=F+-1|0}}}}else if(y){do if(!E){p[e>>3]=+p[e>>3]*+p[D>>3];F=t+-2|0;i=(F|0)==0;if(!i){J=1;do{r=e+(Y(J,_)|0)|0;M=+p[r>>3];T=J+1|0;z=e+(Y(T,_)|0)|0;N=+p[z>>3];c=D+(Y(J,o)|0)|0;P=+p[c>>3];c=D+(Y(T,o)|0)|0;Q=+p[c>>3];p[r>>3]=M*P-N*Q;p[z>>3]=N*P+M*Q;J=J+2|0}while(J>>>0<=F>>>0);if(!(t&1)){Ba=t+-1|0;S=165}}else{Ba=1;S=165}if((S|0)==165){J=e+(Y(Ba,_)|0)|0;z=D+(Y(Ba,o)|0)|0;p[J>>3]=+p[J>>3]*+p[z>>3]}if(B){z=D+(K<<3)+-8|0;J=e+(K<<3)+-8|0;p[J>>3]=+p[J>>3]*+p[z>>3];if(!i){r=1;do{c=J+(Y(r,_)|0)|0;Q=+p[c>>3];T=r+1|0;O=J+(Y(T,_)|0)|0;M=+p[O>>3];U=z+(Y(r,o)|0)|0;P=+p[U>>3];U=z+(Y(T,o)|0)|0;N=+p[U>>3];p[c>>3]=Q*P-M*N;p[O>>3]=M*P+Q*N;r=r+2|0}while(r>>>0<=F>>>0);if(!(t&1))Ca=t+-1|0;else break}else Ca=1;F=J+(Y(Ca,_)|0)|0;r=z+(Y(Ca,o)|0)|0;p[F>>3]=+p[F>>3]*+p[r>>3]}}while(0);y=w&L;r=t+-1|0;if(!t)break;F=x>>>0<C>>>0;i=y&B;if(!y){if(F){Da=e;Ea=D;Fa=r}else break;while(1){y=x;do{O=Da+(y<<3)|0;N=+p[O>>3];c=y+1|0;U=Da+(c<<3)|0;Q=+p[U>>3];P=+p[Ea+(y<<3)>>3];M=+p[Ea+(c<<3)>>3];p[O>>3]=N*P-Q*M;p[U>>3]=Q*P+N*M;y=y+2|0}while(y>>>0<C>>>0);if(!Fa)break a;else{Da=Da+_|0;Ea=Ea+o|0;Fa=Fa+-1|0}}}if(!F)if(i){y=e;z=D;J=e;U=r;while(1){p[J>>3]=+p[y>>3]*+p[z>>3];p[J+(C<<3)>>3]=+p[y+(C<<3)>>3]*+p[z+(C<<3)>>3];if(!U)break a;else{y=y+H|0;z=z+o|0;J=J+_|0;U=U+-1|0}}}else{U=e;J=D;z=e;y=r;while(1){p[z>>3]=+p[U>>3]*+p[J>>3];if(!y)break a;else{U=U+H|0;J=J+o|0;z=z+_|0;y=y+-1|0}}}if(i){y=e;z=D;J=e;U=r;while(1){p[J>>3]=+p[y>>3]*+p[z>>3];F=x;do{O=J+(F<<3)|0;M=+p[O>>3];c=F+1|0;T=J+(c<<3)|0;N=+p[T>>3];P=+p[z+(F<<3)>>3];Q=+p[z+(c<<3)>>3];p[O>>3]=M*P-N*Q;p[T>>3]=N*P+M*Q;F=F+2|0}while(F>>>0<C>>>0);p[J+(C<<3)>>3]=+p[y+(C<<3)>>3]*+p[z+(C<<3)>>3];if(!U)break;else{y=y+H|0;z=z+o|0;J=J+_|0;U=U+-1|0}}}else{U=e;J=D;z=e;y=r;while(1){p[z>>3]=+p[U>>3]*+p[J>>3];i=x;do{F=z+(i<<3)|0;Q=+p[F>>3];T=i+1|0;O=z+(T<<3)|0;M=+p[O>>3];P=+p[J+(i<<3)>>3];N=+p[J+(T<<3)>>3];p[F>>3]=Q*P-M*N;p[O>>3]=M*P+Q*N;i=i+2|0}while(i>>>0<C>>>0);if(!y)break;else{U=U+H|0;J=J+o|0;z=z+_|0;y=y+-1|0}}}}else{do if(!E){p[s>>3]=+p[e>>3]*+p[D>>3];y=t+-2|0;z=(y|0)==0;if(!z){J=1;do{U=e+(Y(J,H)|0)|0;N=+p[U>>3];U=J+1|0;r=e+(Y(U,H)|0)|0;Q=+p[r>>3];r=D+(Y(J,o)|0)|0;P=+p[r>>3];r=D+(Y(U,o)|0)|0;M=+p[r>>3];r=s+(Y(J,_)|0)|0;p[r>>3]=N*P-Q*M;r=s+(Y(U,_)|0)|0;p[r>>3]=Q*P+N*M;J=J+2|0}while(J>>>0<=y>>>0);if(!(t&1)){Ga=t+-1|0;S=192}}else{Ga=1;S=192}if((S|0)==192){J=s+(Y(Ga,_)|0)|0;r=D+(Y(Ga,o)|0)|0;U=e+(Y(Ga,H)|0)|0;p[J>>3]=+p[U>>3]*+p[r>>3]}if(B){r=e+(K<<3)+-8|0;U=D+(K<<3)+-8|0;J=s+(K<<3)+-8|0;p[J>>3]=+p[r>>3]*+p[U>>3];if(!z){i=1;do{O=r+(Y(i,H)|0)|0;M=+p[O>>3];O=i+1|0;F=r+(Y(O,H)|0)|0;N=+p[F>>3];F=U+(Y(i,o)|0)|0;P=+p[F>>3];F=U+(Y(O,o)|0)|0;Q=+p[F>>3];F=J+(Y(i,_)|0)|0;p[F>>3]=M*P-N*Q;F=J+(Y(O,_)|0)|0;p[F>>3]=N*P+M*Q;i=i+2|0}while(i>>>0<=y>>>0);if(!(t&1))Ha=t+-1|0;else break}else Ha=1;y=J+(Y(Ha,_)|0)|0;i=U+(Y(Ha,o)|0)|0;z=r+(Y(Ha,H)|0)|0;p[y>>3]=+p[z>>3]*+p[i>>3]}}while(0);E=w&L;i=t+-1|0;if(!t)break;z=x>>>0<C>>>0;y=E&B;if(!E){if(z){Ia=e;Ja=D;Ka=s;La=i}else break;while(1){E=x;do{Q=+p[Ia+(E<<3)>>3];F=E+1|0;M=+p[Ia+(F<<3)>>3];P=+p[Ja+(E<<3)>>3];N=+p[Ja+(F<<3)>>3];p[Ka+(E<<3)>>3]=Q*P-M*N;p[Ka+(F<<3)>>3]=M*P+Q*N;E=E+2|0}while(E>>>0<C>>>0);if(!La)break a;else{Ia=Ia+H|0;Ja=Ja+o|0;Ka=Ka+_|0;La=La+-1|0}}}if(!z)if(y){E=e;r=D;U=s;J=i;while(1){p[U>>3]=+p[E>>3]*+p[r>>3];p[U+(C<<3)>>3]=+p[E+(C<<3)>>3]*+p[r+(C<<3)>>3];if(!J)break a;else{E=E+H|0;r=r+o|0;U=U+_|0;J=J+-1|0}}}else{J=e;U=D;r=s;E=i;while(1){p[r>>3]=+p[J>>3]*+p[U>>3];if(!E)break a;else{J=J+H|0;U=U+o|0;r=r+_|0;E=E+-1|0}}}if(y){E=e;r=D;U=s;J=i;while(1){p[U>>3]=+p[E>>3]*+p[r>>3];z=x;do{N=+p[E+(z<<3)>>3];F=z+1|0;Q=+p[E+(F<<3)>>3];P=+p[r+(z<<3)>>3];M=+p[r+(F<<3)>>3];p[U+(z<<3)>>3]=N*P-Q*M;p[U+(F<<3)>>3]=Q*P+N*M;z=z+2|0}while(z>>>0<C>>>0);p[U+(C<<3)>>3]=+p[E+(C<<3)>>3]*+p[r+(C<<3)>>3];if(!J)break;else{E=E+H|0;r=r+o|0;U=U+_|0;J=J+-1|0}}}else{J=e;U=D;r=s;E=i;while(1){p[r>>3]=+p[J>>3]*+p[U>>3];y=x;do{M=+p[J+(y<<3)>>3];z=y+1|0;N=+p[J+(z<<3)>>3];P=+p[U+(y<<3)>>3];Q=+p[U+(z<<3)>>3];p[r+(y<<3)>>3]=M*P-N*Q;p[r+(z<<3)>>3]=N*P+M*Q;y=y+2|0}while(y>>>0<C>>>0);if(!E)break;else{J=J+H|0;U=U+o|0;r=r+_|0;E=E+-1|0}}}}}while(0);C=m+36|0;x=f[C>>2]|0;if(x|0?(e=x+12|0,x=f[e>>2]|0,f[e>>2]=x+-1,(x|0)==1):0)aU(m);f[C>>2]=0;C=m+4|0;f[I>>2]=0;f[I+4>>2]=0;f[I+8>>2]=0;f[I+12>>2]=0;if((f[C>>2]|0)>0){I=f[m+40>>2]|0;x=0;do{f[I+(x<<2)>>2]=0;x=x+1|0}while((x|0)<(f[C>>2]|0))}C=f[m+44>>2]|0;if((C|0)!=(m+48|0))TC(C);C=l+36|0;m=f[C>>2]|0;if(m|0?(x=m+12|0,m=f[x>>2]|0,f[x>>2]=m+-1,(m|0)==1):0)aU(l);f[C>>2]=0;C=l+4|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[C>>2]|0)>0){d=f[G>>2]|0;G=0;do{f[d+(G<<2)>>2]=0;G=G+1|0}while((G|0)<(f[C>>2]|0))}C=f[l+44>>2]|0;if((C|0)!=(l+48|0))TC(C);C=k+36|0;l=f[C>>2]|0;if(l|0?(G=l+12|0,l=f[G>>2]|0,f[G>>2]=l+-1,(l|0)==1):0)aU(k);f[C>>2]=0;C=k+4|0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;f[q+12>>2]=0;if((f[C>>2]|0)>0){q=f[v>>2]|0;v=0;do{f[q+(v<<2)>>2]=0;v=v+1|0}while((v|0)<(f[C>>2]|0))}C=f[k+44>>2]|0;if((C|0)!=(k+48|0))TC(C);if(!(f[j+4>>2]|0)){u=h;return}u=h;return}function fV(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;if(a>>>0>2125763999){b=-1;return b|0}else{c=1650;d=0}do{e=c+d>>1;g=(f[41212+(e<<2)>>2]|0)<(a|0);d=g?e+1|0:d;c=g?c:e}while((d|0)<(c|0));b=f[41212+(c<<2)>>2]|0;return b|0}function gV(a,b){a=a|0;b=b|0;f[a>>2]=0;f[a+4>>2]=0;return}function hV(a){a=a|0;return}function iV(a,b){a=a|0;b=b|0;return}function jV(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0;i=u;u=u+1088|0;j=i+1072|0;k=i+32|0;l=i;gV(j,47816);do if(h|0){if(!((a|0)!=0&(c|0)!=0&(d|0)!=0&(e|0)!=0&(g|0)!=0)){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;m=cuc(64)|0;f[k>>2]=m;f[k+8>>2]=-2147483584;f[k+4>>2]=60;n=m;o=220687;p=n+60|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));b[m+60>>0]=0;WD(-215,k,220748,220760,101)}q=f[d>>2]|0;r=675553809>>>(q<<2&28)&15;s=q&7;q=e+c|0;t=(q<<3)+8+(h<<5)|0;v=k+8|0;f[k>>2]=v;w=k+4|0;f[w>>2]=t;if(t>>>0>1032){x=euc(t)|0;f[k>>2]=x;y=x}else y=v;x=y+(c<<2)+(e<<2)|0;t=x+(c<<2)+(e<<2)+4|0;z=t+(h<<2)|0;A=z+(h<<2)|0;B=A+(h<<2<<2)|0;C=B+(h<<2)|0;D=0;do{f[y+(D<<2)>>2]=a+(D*56|0);D=D+1|0}while((D|0)!=(c|0));E=0;do{f[y+(E+c<<2)>>2]=d+(E*56|0);E=E+1|0}while((E|0)!=(e|0));f[x+(q<<2)>>2]=0;D=0;a:while(1){m=D<<1;F=f[g+(m<<2)>>2]|0;G=f[g+((m|1)<<2)>>2]|0;if((F|0)>-1){m=F;F=0;while(1){H=a+(F*56|0)|0;I=f[H>>2]|0;J=I>>>3&511;if((m|0)<=(J|0))break;K=F+1|0;if(K>>>0<c>>>0){m=m+-1-J|0;F=K}else{L=21;break a}}if((I&7|0)!=(s|0)){L=21;break}K=D<<2;f[A+(K<<2)>>2]=F;J=Y(m,r)|0;f[A+((K|1)<<2)>>2]=J;M=((f[H>>2]|0)>>>3&511)+1|0}else{J=D<<2;f[A+(J<<2)>>2]=q;f[A+((J|1)<<2)>>2]=0;M=0}f[B+(D<<2)>>2]=M;J=G;K=0;while(1){N=d+(K*56|0)|0;O=f[N>>2]|0;P=O>>>3&511;if((J|0)<=(P|0))break;Q=K+1|0;if(Q>>>0<e>>>0){J=J+-1-P|0;K=Q}else{L=22;break a}}if(!((J|0)>-1&(O&7|0)==(s|0))){L=22;break}G=D<<2;f[A+((G|2)<<2)>>2]=K+c;m=Y(J,r)|0;f[A+((G|3)<<2)>>2]=m;f[C+(D<<2)>>2]=((f[N>>2]|0)>>>3&511)+1;D=D+1|0;if(D>>>0>=h>>>0){L=23;break}}if((L|0)==21){f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;D=cuc(48)|0;f[l>>2]=D;f[l+8>>2]=-2147483600;f[l+4>>2]=36;n=D;o=220830;p=n+36|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));b[D+36>>0]=0;WD(-215,l,220748,220760,128)}else if((L|0)==22){f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;m=cuc(48)|0;f[l>>2]=m;f[l+8>>2]=-2147483600;f[l+4>>2]=47;n=m;o=220867;p=n+47|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));b[m+47>>0]=0;WD(-215,l,220748,220760,141)}else if((L|0)==23){YC(l,y,x,q);D=f[l+20>>2]|0;G=((r+1023|0)>>>0)/(r>>>0)|0;F=(G|0)<(D|0)?G:D;G=f[47836+(s<<2)>>2]|0;Q=l+16|0;P=(D|0)>0;R=Y(F,r)|0;S=0;while(1){if(S>>>0<(f[Q>>2]|0)>>>0)T=0;else break;do{U=T<<2;f[t+(T<<2)>>2]=(f[x+(f[A+(U<<2)>>2]<<2)>>2]|0)+(f[A+((U|1)<<2)>>2]|0);f[z+(T<<2)>>2]=(f[x+(f[A+((U|2)<<2)>>2]<<2)>>2]|0)+(f[A+((U|3)<<2)>>2]|0);T=T+1|0}while((T|0)!=(h|0));b:do if(P){J=0;do{K=D-J|0;Vg[G&255](t,B,z,C,(F|0)<(K|0)?F:K,h);J=J+F|0;K=(J|0)<(D|0);if(K)V=0;else break b;do{U=Y(R,f[B+(V<<2)>>2]|0)|0;W=t+(V<<2)|0;f[W>>2]=(f[W>>2]|0)+U;U=Y(R,f[C+(V<<2)>>2]|0)|0;W=z+(V<<2)|0;f[W>>2]=(f[W>>2]|0)+U;V=V+1|0}while((V|0)!=(h|0))}while(K)}while(0);ZC(l)|0;S=S+1|0}S=f[k>>2]|0;if((S|0)!=(v|0)){if(S|0)guc(S);f[k>>2]=v;f[w>>2]=1032}break}}while(0);if(!(f[j+4>>2]|0)){u=i;return}u=i;return}function kV(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;if((h|0)<=0)return;i=g+-2|0;if((g|0)<2){if((g|0)==1)j=0;else return;do{k=f[a+(j<<2)>>2]|0;if(!k)l=0;else l=b[k>>0]|0;b[f[d+(j<<2)>>2]>>0]=l;j=j+1|0}while((j|0)!=(h|0));return}j=g&-2;if((j|0)<(g|0))m=0;else{g=0;do{l=f[a+(g<<2)>>2]|0;k=f[d+(g<<2)>>2]|0;n=f[c+(g<<2)>>2]|0;o=f[e+(g<<2)>>2]|0;if(!l){p=o<<1;q=k;r=0;while(1){b[q+o>>0]=0;b[q>>0]=0;r=r+2|0;if((r|0)>(i|0))break;else q=q+p|0}}else{p=n<<1;q=o<<1;r=l;s=k;t=0;while(1){u=b[r+n>>0]|0;b[s>>0]=b[r>>0]|0;b[s+o>>0]=u;t=t+2|0;if((t|0)>(i|0))break;else{r=r+p|0;s=s+q|0}}}g=g+1|0}while((g|0)!=(h|0));return}do{g=f[a+(m<<2)>>2]|0;q=f[d+(m<<2)>>2]|0;s=f[c+(m<<2)>>2]|0;p=f[e+(m<<2)>>2]|0;if(!g){r=p<<1;t=q;o=0;while(1){b[t+p>>0]=0;b[t>>0]=0;o=o+2|0;if((o|0)>(i|0))break;else t=t+r|0}r=q+(Y(p,j)|0)|0;b[r>>0]=0}else{r=s<<1;t=p<<1;o=Y(s,j)|0;n=g;k=q;l=0;while(1){u=b[n+s>>0]|0;b[k>>0]=b[n>>0]|0;b[k+p>>0]=u;l=l+2|0;if((l|0)>(i|0))break;else{n=n+r|0;k=k+t|0}}t=q+(Y(p,j)|0)|0;b[t>>0]=b[g+o>>0]|0}m=m+1|0}while((m|0)!=(h|0));return}function lV(a,b,c,e,g,h){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;if((h|0)<=0)return;i=g+-2|0;if((g|0)<2){if((g|0)==1)j=0;else return;do{k=f[a+(j<<2)>>2]|0;if(!k)l=0;else l=d[k>>1]|0;d[f[c+(j<<2)>>2]>>1]=l;j=j+1|0}while((j|0)!=(h|0));return}j=i>>>1;l=(j<<2)+4|0;if(((j<<1)+2|0)<(g|0))m=0;else{g=0;do{j=f[a+(g<<2)>>2]|0;k=f[c+(g<<2)>>2]|0;n=f[b+(g<<2)>>2]|0;o=f[e+(g<<2)>>2]|0;if(!j){p=o<<1;q=k;r=0;while(1){d[q+(o<<1)>>1]=0;d[q>>1]=0;r=r+2|0;if((r|0)>(i|0))break;else q=q+(p<<1)|0}}else{p=n<<1;q=o<<1;r=j;s=k;t=0;while(1){u=d[r+(n<<1)>>1]|0;d[s>>1]=d[r>>1]|0;d[s+(o<<1)>>1]=u;t=t+2|0;if((t|0)>(i|0))break;else{r=r+(p<<1)|0;s=s+(q<<1)|0}}}g=g+1|0}while((g|0)!=(h|0));return}do{g=f[a+(m<<2)>>2]|0;q=f[c+(m<<2)>>2]|0;s=f[b+(m<<2)>>2]|0;p=f[e+(m<<2)>>2]|0;if(!g){r=p<<1;t=Y(p,l)|0;o=q;n=0;while(1){d[o+(p<<1)>>1]=0;d[o>>1]=0;n=n+2|0;if((n|0)>(i|0))break;else o=o+(r<<1)|0}d[q+t>>1]=0}else{r=s<<1;o=p<<1;n=Y(s,l)|0;k=Y(p,l)|0;j=g;u=q;v=0;while(1){w=d[j+(s<<1)>>1]|0;d[u>>1]=d[j>>1]|0;d[u+(p<<1)>>1]=w;v=v+2|0;if((v|0)>(i|0))break;else{j=j+(r<<1)|0;u=u+(o<<1)|0}}d[q+k>>1]=d[g+n>>1]|0}m=m+1|0}while((m|0)!=(h|0));return}function mV(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;if((g|0)<=0)return;h=e+-2|0;if((e|0)<2){if((e|0)==1)i=0;else return;do{j=f[a+(i<<2)>>2]|0;if(!j)k=0;else k=f[j>>2]|0;f[f[c+(i<<2)>>2]>>2]=k;i=i+1|0}while((i|0)!=(g|0));return}i=h>>>1;k=(i<<3)+8|0;if(((i<<1)+2|0)<(e|0))l=0;else{e=0;do{i=f[a+(e<<2)>>2]|0;j=f[c+(e<<2)>>2]|0;m=f[b+(e<<2)>>2]|0;n=f[d+(e<<2)>>2]|0;if(!i){o=n<<1;p=j;q=0;while(1){f[p+(n<<2)>>2]=0;f[p>>2]=0;q=q+2|0;if((q|0)>(h|0))break;else p=p+(o<<2)|0}}else{o=m<<1;p=n<<1;q=i;r=j;s=0;while(1){t=f[q+(m<<2)>>2]|0;f[r>>2]=f[q>>2];f[r+(n<<2)>>2]=t;s=s+2|0;if((s|0)>(h|0))break;else{q=q+(o<<2)|0;r=r+(p<<2)|0}}}e=e+1|0}while((e|0)!=(g|0));return}do{e=f[a+(l<<2)>>2]|0;p=f[c+(l<<2)>>2]|0;r=f[b+(l<<2)>>2]|0;o=f[d+(l<<2)>>2]|0;if(!e){q=o<<1;s=Y(o,k)|0;n=p;m=0;while(1){f[n+(o<<2)>>2]=0;f[n>>2]=0;m=m+2|0;if((m|0)>(h|0))break;else n=n+(q<<2)|0}f[p+s>>2]=0}else{q=r<<1;n=o<<1;m=Y(r,k)|0;j=Y(o,k)|0;i=e;t=p;u=0;while(1){v=f[i+(r<<2)>>2]|0;f[t>>2]=f[i>>2];f[t+(o<<2)>>2]=v;u=u+2|0;if((u|0)>(h|0))break;else{i=i+(q<<2)|0;t=t+(n<<2)|0}}f[p+j>>2]=f[e+m>>2]}l=l+1|0}while((l|0)!=(g|0));return}function nV(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;if((g|0)<=0)return;h=e+-2|0;if((e|0)<2){if((e|0)==1)i=0;else return;do{j=f[a+(i<<2)>>2]|0;if(!j){k=0;l=0}else{m=j;k=f[m>>2]|0;l=f[m+4>>2]|0}m=f[c+(i<<2)>>2]|0;f[m>>2]=k;f[m+4>>2]=l;i=i+1|0}while((i|0)!=(g|0));return}i=h>>>1;l=(i<<4)+16|0;if(((i<<1)+2|0)<(e|0))n=0;else{e=0;do{i=f[a+(e<<2)>>2]|0;k=f[c+(e<<2)>>2]|0;m=f[b+(e<<2)>>2]|0;j=f[d+(e<<2)>>2]|0;if(!i){o=j<<1;p=k;q=0;while(1){r=p+(j<<3)|0;f[r>>2]=0;f[r+4>>2]=0;r=p;f[r>>2]=0;f[r+4>>2]=0;q=q+2|0;if((q|0)>(h|0))break;else p=p+(o<<3)|0}}else{o=m<<1;p=j<<1;q=i;r=k;s=0;while(1){t=q;u=f[t+4>>2]|0;v=q+(m<<3)|0;w=f[v>>2]|0;x=f[v+4>>2]|0;v=r;f[v>>2]=f[t>>2];f[v+4>>2]=u;u=r+(j<<3)|0;f[u>>2]=w;f[u+4>>2]=x;s=s+2|0;if((s|0)>(h|0))break;else{q=q+(o<<3)|0;r=r+(p<<3)|0}}}e=e+1|0}while((e|0)!=(g|0));return}do{e=f[a+(n<<2)>>2]|0;p=f[c+(n<<2)>>2]|0;r=f[b+(n<<2)>>2]|0;o=f[d+(n<<2)>>2]|0;if(!e){q=o<<1;s=Y(o,l)|0;j=p;m=0;while(1){k=j+(o<<3)|0;f[k>>2]=0;f[k+4>>2]=0;k=j;f[k>>2]=0;f[k+4>>2]=0;m=m+2|0;if((m|0)>(h|0))break;else j=j+(q<<3)|0}q=p+s|0;f[q>>2]=0;f[q+4>>2]=0}else{q=r<<1;j=o<<1;m=Y(r,l)|0;k=Y(o,l)|0;i=e;x=p;u=0;while(1){w=i;v=f[w+4>>2]|0;t=i+(r<<3)|0;y=f[t>>2]|0;z=f[t+4>>2]|0;t=x;f[t>>2]=f[w>>2];f[t+4>>2]=v;v=x+(o<<3)|0;f[v>>2]=y;f[v+4>>2]=z;u=u+2|0;if((u|0)>(h|0))break;else{i=i+(q<<3)|0;x=x+(j<<3)|0}}j=e+m|0;x=f[j+4>>2]|0;q=p+k|0;f[q>>2]=f[j>>2];f[q+4>>2]=x}n=n+1|0}while((n|0)!=(g|0));return}function oV(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=a+8|0;d=0;do{f[a+8+(d*56|0)>>2]=1124007936;e=a+8+(d*56|0)+8|0;g=a+8+(d*56|0)+40|0;h=a+8+(d*56|0)+4|0;i=h+36|0;do{f[h>>2]=0;h=h+4|0}while((h|0)<(i|0));f[g>>2]=e;j=a+8+(d*56|0)+48|0;f[a+8+(d*56|0)+44>>2]=j;f[j>>2]=0;f[a+8+(d*56|0)+52>>2]=0;d=d+1|0}while((d|0)!=26);f[a>>2]=c;c=a+4|0;f[c>>2]=26;if(b>>>0<=26){f[c>>2]=b;return}pV(a);f[c>>2]=b;c=b*56|0;d=euc(b>>>0>76695844|c>>>0>4294967291?-1:c+4|0)|0;f[d>>2]=b;c=d+4|0;d=c+(b*56|0)|0;b=c;do{f[b>>2]=1124007936;j=b+8|0;k=b+40|0;h=b+4|0;i=h+36|0;do{f[h>>2]=0;h=h+4|0}while((h|0)<(i|0));f[k>>2]=j;e=b+48|0;f[b+44>>2]=e;f[e>>2]=0;f[b+52>>2]=0;b=b+56|0}while((b|0)!=(d|0));f[a>>2]=c;return}function pV(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0;b=f[a>>2]|0;c=a+8|0;if((b|0)==(c|0))return;if(b|0){d=b+-4|0;e=f[d>>2]|0;if(e|0){g=b+(e*56|0)|0;do{e=g;g=g+-56|0;h=e+-20|0;i=f[h>>2]|0;if(i|0?(j=i+12|0,i=f[j>>2]|0,f[j>>2]=i+-1,(i|0)==1):0)aU(g);f[h>>2]=0;h=e+-40|0;i=e+-52|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;if((f[i>>2]|0)>0){h=f[e+-16>>2]|0;j=0;do{f[h+(j<<2)>>2]=0;j=j+1|0}while((j|0)<(f[i>>2]|0))}i=f[e+-12>>2]|0;if((i|0)!=(e+-8|0))TC(i)}while((g|0)!=(b|0))}guc(d)}f[a>>2]=c;f[a+4>>2]=26;return}function qV(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0;e=u;u=u+1536|0;g=e+1520|0;h=e+56|0;i=e;gV(g,47868);j=d+4|0;if((f[d>>2]|0)!=(f[j>>2]|0)){if(((qJ(a)|0)!=327680?(qJ(a)|0)!=983040:0)?(qJ(a)|0)!=262144:0)k=(qJ(a)|0)!=720896;else k=0;if(((qJ(c)|0)!=327680?(qJ(c)|0)!=983040:0)?(qJ(c)|0)!=262144:0)l=(qJ(c)|0)!=720896;else l=0;if(k)m=1;else m=BJ(a,-1)|0;if(l)n=1;else n=BJ(c,-1)|0;if(!((n|0)>0&((m|0)>0?((f[j>>2]|0)-(f[d>>2]|0)&4|0)==0:0))){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;o=cuc(48)|0;f[h>>2]=o;f[h+8>>2]=-2147483600;f[h+4>>2]=44;p=o;q=221001;r=p+44|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(r|0));b[o+44>>0]=0;WD(-215,h,220748,220760,328)}oV(h,n+m|0);o=f[h>>2]|0;q=a+4|0;s=i+4|0;t=i+8|0;v=i+12|0;w=i+16|0;x=i+20|0;y=i+24|0;z=i+28|0;A=i+32|0;B=i+36|0;C=i+40|0;D=i+48|0;E=i+44|0;F=i+52|0;G=i+44|0;H=0;do{I=k?-1:H;do if((I|0)<0&(qJ(a)|0)==65536){J=f[q>>2]|0;f[i>>2]=f[J>>2];K=J+4|0;f[s>>2]=f[K>>2];f[t>>2]=f[J+8>>2];f[v>>2]=f[J+12>>2];f[w>>2]=f[J+16>>2];f[x>>2]=f[J+20>>2];f[y>>2]=f[J+24>>2];f[z>>2]=f[J+28>>2];f[A>>2]=f[J+32>>2];L=f[J+36>>2]|0;f[B>>2]=L;f[C>>2]=t;f[E>>2]=D;f[D>>2]=0;f[F>>2]=0;if(L|0){M=L+12|0;f[M>>2]=(f[M>>2]|0)+1}if((f[K>>2]|0)<3){K=f[J+44>>2]|0;M=f[E>>2]|0;f[M>>2]=f[K>>2];f[M+4>>2]=f[K+4>>2];break}else{f[s>>2]=0;$T(i,J);break}}else nJ(i,a,I);while(0);I=o+(H*56|0)|0;if((I|0)==(i|0)){J=f[B>>2]|0;if(J|0?(K=J+12|0,J=f[K>>2]|0,f[K>>2]=J+-1,(J|0)==1):0)aU(i)}else{J=o+(H*56|0)+36|0;K=f[J>>2]|0;if(K|0?(M=K+12|0,K=f[M>>2]|0,f[M>>2]=K+-1,(K|0)==1):0)aU(I);f[J>>2]=0;K=o+(H*56|0)+16|0;M=o+(H*56|0)+4|0;f[K>>2]=0;f[K+4>>2]=0;f[K+8>>2]=0;f[K+12>>2]=0;if((f[M>>2]|0)>0){L=f[o+(H*56|0)+40>>2]|0;N=0;do{f[L+(N<<2)>>2]=0;N=N+1|0}while((N|0)<(f[M>>2]|0))}f[I>>2]=f[i>>2];f[M>>2]=f[s>>2];N=o+(H*56|0)+8|0;f[N>>2]=f[t>>2];f[o+(H*56|0)+12>>2]=f[v>>2];f[K>>2]=f[w>>2];f[o+(H*56|0)+20>>2]=f[x>>2];f[o+(H*56|0)+24>>2]=f[y>>2];f[o+(H*56|0)+28>>2]=f[z>>2];f[o+(H*56|0)+32>>2]=f[A>>2];f[J>>2]=f[B>>2];L=o+(H*56|0)+44|0;O=f[L>>2]|0;P=o+(H*56|0)+48|0;if((O|0)==(P|0))Q=O;else{TC(O);f[L>>2]=P;f[o+(H*56|0)+40>>2]=N;Q=P}if((f[s>>2]|0)<3){P=f[G>>2]|0;f[Q>>2]=f[P>>2];f[Q+4>>2]=f[P+4>>2]}else{f[L>>2]=f[G>>2];f[o+(H*56|0)+40>>2]=f[C>>2];f[G>>2]=D;f[C>>2]=t}f[i>>2]=1124007936;p=s;r=p+36|0;do{f[p>>2]=0;p=p+4|0}while((p|0)<(r|0))}f[B>>2]=0;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;f[w+12>>2]=0;if((f[s>>2]|0)>0){J=f[C>>2]|0;K=0;do{f[J+(K<<2)>>2]=0;K=K+1|0}while((K|0)<(f[s>>2]|0))}K=f[E>>2]|0;if((K|0)!=(D|0))TC(K);H=H+1|0}while((H|0)<(m|0));H=c+4|0;D=i+4|0;E=i+8|0;s=i+12|0;C=i+16|0;w=i+20|0;B=i+24|0;t=i+28|0;G=i+32|0;Q=i+36|0;A=i+40|0;z=i+48|0;y=i+44|0;x=i+52|0;v=i+44|0;a=0;do{F=l?-1:a;do if((F|0)<0&(qJ(c)|0)==65536){q=f[H>>2]|0;f[i>>2]=f[q>>2];k=q+4|0;f[D>>2]=f[k>>2];f[E>>2]=f[q+8>>2];f[s>>2]=f[q+12>>2];f[C>>2]=f[q+16>>2];f[w>>2]=f[q+20>>2];f[B>>2]=f[q+24>>2];f[t>>2]=f[q+28>>2];f[G>>2]=f[q+32>>2];K=f[q+36>>2]|0;f[Q>>2]=K;f[A>>2]=E;f[y>>2]=z;f[z>>2]=0;f[x>>2]=0;if(K|0){J=K+12|0;f[J>>2]=(f[J>>2]|0)+1}if((f[k>>2]|0)<3){k=f[q+44>>2]|0;J=f[y>>2]|0;f[J>>2]=f[k>>2];f[J+4>>2]=f[k+4>>2];break}else{f[D>>2]=0;$T(i,q);break}}else nJ(i,c,F);while(0);F=a+m|0;q=o+(F*56|0)|0;if((q|0)==(i|0)){k=f[Q>>2]|0;if(k|0?(J=k+12|0,k=f[J>>2]|0,f[J>>2]=k+-1,(k|0)==1):0)aU(i)}else{k=o+(F*56|0)+36|0;J=f[k>>2]|0;if(J|0?(K=J+12|0,J=f[K>>2]|0,f[K>>2]=J+-1,(J|0)==1):0)aU(q);f[k>>2]=0;J=o+(F*56|0)+16|0;K=o+(F*56|0)+4|0;f[J>>2]=0;f[J+4>>2]=0;f[J+8>>2]=0;f[J+12>>2]=0;if((f[K>>2]|0)>0){M=f[o+(F*56|0)+40>>2]|0;I=0;do{f[M+(I<<2)>>2]=0;I=I+1|0}while((I|0)<(f[K>>2]|0))}f[q>>2]=f[i>>2];f[K>>2]=f[D>>2];I=o+(F*56|0)+8|0;f[I>>2]=f[E>>2];f[o+(F*56|0)+12>>2]=f[s>>2];f[J>>2]=f[C>>2];f[o+(F*56|0)+20>>2]=f[w>>2];f[o+(F*56|0)+24>>2]=f[B>>2];f[o+(F*56|0)+28>>2]=f[t>>2];f[o+(F*56|0)+32>>2]=f[G>>2];f[k>>2]=f[Q>>2];M=o+(F*56|0)+44|0;L=f[M>>2]|0;P=o+(F*56|0)+48|0;if((L|0)==(P|0))R=L;else{TC(L);f[M>>2]=P;f[o+(F*56|0)+40>>2]=I;R=P}if((f[D>>2]|0)<3){P=f[v>>2]|0;f[R>>2]=f[P>>2];f[R+4>>2]=f[P+4>>2]}else{f[M>>2]=f[v>>2];f[o+(F*56|0)+40>>2]=f[A>>2];f[v>>2]=z;f[A>>2]=E}f[i>>2]=1124007936;p=D;r=p+36|0;do{f[p>>2]=0;p=p+4|0}while((p|0)<(r|0))}f[Q>>2]=0;f[C>>2]=0;f[C+4>>2]=0;f[C+8>>2]=0;f[C+12>>2]=0;if((f[D>>2]|0)>0){F=f[A>>2]|0;k=0;do{f[F+(k<<2)>>2]=0;k=k+1|0}while((k|0)<(f[D>>2]|0))}k=f[y>>2]|0;if((k|0)!=(z|0))TC(k);a=a+1|0}while((a|0)<(n|0));a=f[d>>2]|0;jV(o,m,o+(m*56|0)|0,n,a,(f[j>>2]|0)-a>>2>>>1);pV(h);a=h+8|0;j=h+1464|0;do{h=j;j=j+-56|0;n=h+-20|0;m=f[n>>2]|0;if(m|0?(o=m+12|0,m=f[o>>2]|0,f[o>>2]=m+-1,(m|0)==1):0)aU(j);f[n>>2]=0;n=h+-40|0;m=h+-52|0;f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;f[n+12>>2]=0;if((f[m>>2]|0)>0){n=f[h+-16>>2]|0;o=0;do{f[n+(o<<2)>>2]=0;o=o+1|0}while((o|0)<(f[m>>2]|0))}m=f[h+-12>>2]|0;if((m|0)!=(h+-8|0))TC(m)}while((j|0)!=(a|0))}if(!(f[g+4>>2]|0)){u=e;return}u=e;return}function rV(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;e=u;u=u+144|0;g=e+128|0;h=e+112|0;i=e+56|0;j=e;gV(g,47888);k=pJ(a,-1)|0;l=k&7;if((d|0)<=-1){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;m=cuc(32)|0;f[h>>2]=m;n=h+8|0;f[n>>2]=-2147483616;o=h+4|0;f[o>>2]=20;p=m;q=221139;r=p+20|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(r|0));s=m+20|0;b[s>>0]=0;WD(-215,h,221160,220760,425)}if((k>>>3&511|0)<(d|0)){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;m=cuc(32)|0;f[h>>2]=m;n=h+8|0;f[n>>2]=-2147483616;o=h+4|0;f[o>>2]=20;p=m;q=221139;r=p+20|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(r|0));s=m+20|0;b[s>>0]=0;WD(-215,h,221160,220760,425)}f[h>>2]=d;f[h+4>>2]=0;do if((qJ(a)|0)==65536){d=f[a+4>>2]|0;f[i>>2]=f[d>>2];s=i+4|0;m=d+4|0;f[s>>2]=f[m>>2];q=i+8|0;f[q>>2]=f[d+8>>2];f[i+12>>2]=f[d+12>>2];f[i+16>>2]=f[d+16>>2];f[i+20>>2]=f[d+20>>2];f[i+24>>2]=f[d+24>>2];f[i+28>>2]=f[d+28>>2];f[i+32>>2]=f[d+32>>2];p=f[d+36>>2]|0;f[i+36>>2]=p;r=i+40|0;f[r>>2]=q;q=i+48|0;o=i+44|0;f[o>>2]=q;f[q>>2]=0;f[i+52>>2]=0;if(p|0){q=p+12|0;f[q>>2]=(f[q>>2]|0)+1}if((f[m>>2]|0)<3){m=f[d+44>>2]|0;q=f[o>>2]|0;f[q>>2]=f[m>>2];f[q+4>>2]=f[m+4>>2];t=r;v=s;break}else{f[s>>2]=0;$T(i,d);t=r;v=s;break}}else{nJ(i,a,-1);t=i+40|0;v=i+4|0}while(0);JJ(c,f[v>>2]|0,f[t>>2]|0,l,-1,0,0);do if((qJ(c)|0)==65536){l=f[c+4>>2]|0;f[j>>2]=f[l>>2];a=j+4|0;s=l+4|0;f[a>>2]=f[s>>2];r=j+8|0;f[r>>2]=f[l+8>>2];f[j+12>>2]=f[l+12>>2];f[j+16>>2]=f[l+16>>2];f[j+20>>2]=f[l+20>>2];f[j+24>>2]=f[l+24>>2];f[j+28>>2]=f[l+28>>2];f[j+32>>2]=f[l+32>>2];d=f[l+36>>2]|0;f[j+36>>2]=d;f[j+40>>2]=r;r=j+48|0;m=j+44|0;f[m>>2]=r;f[r>>2]=0;f[j+52>>2]=0;if(d|0){r=d+12|0;f[r>>2]=(f[r>>2]|0)+1}if((f[s>>2]|0)<3){s=f[l+44>>2]|0;r=f[m>>2]|0;f[r>>2]=f[s>>2];f[r+4>>2]=f[s+4>>2];break}else{f[a>>2]=0;$T(j,l);break}}else nJ(j,c,-1);while(0);jV(i,1,j,1,h,1);h=j+36|0;c=f[h>>2]|0;if(c|0?(l=c+12|0,c=f[l>>2]|0,f[l>>2]=c+-1,(c|0)==1):0)aU(j);f[h>>2]=0;h=j+16|0;c=j+4|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;if((f[c>>2]|0)>0){h=f[j+40>>2]|0;l=0;do{f[h+(l<<2)>>2]=0;l=l+1|0}while((l|0)<(f[c>>2]|0))}c=f[j+44>>2]|0;if((c|0)!=(j+48|0))TC(c);c=i+36|0;j=f[c>>2]|0;if(j|0?(l=j+12|0,j=f[l>>2]|0,f[l>>2]=j+-1,(j|0)==1):0)aU(i);f[c>>2]=0;c=i+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[v>>2]|0)>0){c=f[t>>2]|0;t=0;do{f[c+(t<<2)>>2]=0;t=t+1|0}while((t|0)<(f[v>>2]|0))}v=f[i+44>>2]|0;if((v|0)!=(i+48|0))TC(v);if(!(f[g+4>>2]|0)){u=e;return}u=e;return}function sV(){var a=0,c=0,d=0,e=0,g=0;a=u;u=u+16|0;c=a;a=cuc(48)|0;f[c>>2]=a;f[c+8>>2]=-2147483600;f[c+4>>2]=44;d=a;e=224696;g=d+44|0;do{b[d>>0]=b[e>>0]|0;d=d+1|0;e=e+1|0}while((d|0)<(g|0));b[a+44>>0]=0;WD(-216,c,224741,224755,107)}function tV(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;sV()}function uV(a){a=a|0;return}function vV(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;e=d+-4|0;if((d|0)<4){f=0;g=0}else{i=0;j=0;do{k=i|1;l=i|2;m=i|3;j=(h[198563+((b[c+i>>0]^b[a+i>>0])&255)>>0]|0)+j+(h[198563+((b[c+k>>0]^b[a+k>>0])&255)>>0]|0)+(h[198563+((b[c+l>>0]^b[a+l>>0])&255)>>0]|0)+(h[198563+((b[c+m>>0]^b[a+m>>0])&255)>>0]|0)|0;i=i+4|0}while((i|0)<=(e|0));f=j;g=d&-4}if((g|0)<(d|0)){n=g;o=f}else{p=f;return p|0}while(1){f=(h[198563+((b[c+n>>0]^b[a+n>>0])&255)>>0]|0)+o|0;n=n+1|0;if((n|0)==(d|0)){p=f;break}else o=f}return p|0}function wV(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,i=0,j=0,k=0,l=0;c=u;u=u+16|0;d=c;gV(d,47908);e=b+-4|0;if((b|0)<4){g=0;i=0}else{j=0;k=0;do{k=(h[198563+(h[a+j>>0]|0)>>0]|0)+k+(h[198563+(h[a+(j|1)>>0]|0)>>0]|0)+(h[198563+(h[a+(j|2)>>0]|0)>>0]|0)+(h[198563+(h[a+(j|3)>>0]|0)>>0]|0)|0;j=j+4|0}while((j|0)<=(e|0));g=k;i=b&-4}if((i|0)<(b|0)){k=i;i=g;while(1){e=(h[198563+(h[a+k>>0]|0)>>0]|0)+i|0;k=k+1|0;if((k|0)==(b|0)){l=e;break}else i=e}}else l=g;if(!(f[d+4>>2]|0)){u=c;return l|0}u=c;return l|0}function xV(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+16|0;e=d;gV(e,47928);g=vV(a,b,c)|0;if(!(f[e+4>>2]|0)){u=d;return g|0}u=d;return g|0}function yV(){var a=0,c=0,d=0,e=0,g=0;a=u;u=u+16|0;c=a;a=cuc(48)|0;f[c>>2]=a;f[c+8>>2]=-2147483600;f[c+4>>2]=44;d=a;e=224696;g=d+44|0;do{b[d>>0]=b[e>>0]|0;d=d+1|0;e=e+1|0}while((d|0)<(g|0));b[a+44>>0]=0;WD(-216,c,224741,224755,107)}function zV(){yV();return 0}function AV(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;g=u;u=u+32|0;h=g+16|0;i=g;j=f[a+4>>2]|0;if((j|0)<3)k=Y(f[a+12>>2]|0,f[a+8>>2]|0)|0;else{l=f[a+40>>2]|0;m=0;n=1;while(1){o=Y(f[l+(m<<2)>>2]|0,n)|0;m=m+1|0;if((m|0)==(j|0)){k=o;break}else n=o}}n=c>>>3&511;j=n+1|0;m=675553809>>>(c<<2&28)&15;l=Y(m,j)|0;o=dP(f[a>>2]&7,c)|0;c=f[a+16>>2]|0;a=(k|0)<=(n|0);f[h>>2]=a?k:j;f[h+4>>2]=1;Gh[o&255](c,1,0,1,d,1,h,0);if(a){if((k|0)!=1){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;b[i+11>>0]=8;k=i;f[k>>2]=544105331;f[k+4>>2]=824196413;b[i+8>>0]=0;WD(-215,i,221409,221432,68)}if(m>>>0<l>>>0){i=m;do{b[d+i>>0]=b[d+(i-m)>>0]|0;i=i+1|0}while((i|0)!=(l|0))}}i=Y(l,e)|0;if(l>>>0<i>>>0)p=l;else{u=g;return}do{b[d+p>>0]=b[d+(p-l)>>0]|0;p=p+1|0}while((p|0)!=(i|0));u=g;return}function BV(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0;e=u;u=u+16|0;g=e+8|0;h=e;gV(g,47948);f[h>>2]=104;DV(a,b,c,d,h,1,9);if(!(f[g+4>>2]|0)){u=e;return}u=e;return}function CV(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;EV(a,b,c,d,e,f,g,h);return}function DV(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0;j=u;u=u+1440|0;k=j+1376|0;l=j+1368|0;m=j+1352|0;n=j+1360|0;o=j+312|0;q=j+256|0;r=j;s=j+184|0;t=j+128|0;v=j+104|0;w=j+88|0;x=j+56|0;y=j+248|0;z=j+240|0;A=a;B=c;C=qJ(a)|0;D=qJ(c)|0;E=pJ(a,-1)|0;F=E&7;G=(E>>>3&511)+1|0;H=pJ(c,-1)|0;I=H&7;K=(H>>>3&511)+1|0;L=AJ(a,-1)|0;M=AJ(c,-1)|0;N=(L|0)<3;if(N)oJ(l,a,-1);else{f[l>>2]=0;f[l+4>>2]=0}L=(M|0)<3;if(L)oJ(m,c,-1);else{f[m>>2]=0;f[m+4>>2]=0}M=EJ(e)|0;if(((C|0)==(D|0)&(N&L)?(L=f[l>>2]|0,N=f[l+4>>2]|0,(L|0)==(f[m>>2]|0)?(N|0)==(f[m+4>>2]|0):0):0)?!((E|0)!=(H|0)|M^1):0){f[n>>2]=L;f[n+4>>2]=N;IJ(d,n,E,-1,0,0);if(h){O=g;P=Y(675553809>>>(E<<2&28)&15,G)|0}else{O=g+(F<<2)|0;P=G}n=f[O>>2]|0;do if((qJ(a)|0)==65536){O=f[a+4>>2]|0;f[k>>2]=f[O>>2];N=k+4|0;L=O+4|0;f[N>>2]=f[L>>2];Q=k+8|0;f[Q>>2]=f[O+8>>2];f[k+12>>2]=f[O+12>>2];f[k+16>>2]=f[O+16>>2];f[k+20>>2]=f[O+20>>2];f[k+24>>2]=f[O+24>>2];f[k+28>>2]=f[O+28>>2];f[k+32>>2]=f[O+32>>2];R=f[O+36>>2]|0;f[k+36>>2]=R;f[k+40>>2]=Q;Q=k+48|0;S=k+44|0;f[S>>2]=Q;f[Q>>2]=0;f[k+52>>2]=0;if(R|0){Q=R+12|0;f[Q>>2]=(f[Q>>2]|0)+1}if((f[L>>2]|0)<3){L=f[O+44>>2]|0;Q=f[S>>2]|0;f[Q>>2]=f[L>>2];f[Q+4>>2]=f[L+4>>2];break}else{f[N>>2]=0;$T(k,O);break}}else nJ(k,a,-1);while(0);do if((qJ(c)|0)==65536){O=f[c+4>>2]|0;f[o>>2]=f[O>>2];N=o+4|0;L=O+4|0;f[N>>2]=f[L>>2];Q=o+8|0;f[Q>>2]=f[O+8>>2];f[o+12>>2]=f[O+12>>2];f[o+16>>2]=f[O+16>>2];f[o+20>>2]=f[O+20>>2];f[o+24>>2]=f[O+24>>2];f[o+28>>2]=f[O+28>>2];f[o+32>>2]=f[O+32>>2];S=f[O+36>>2]|0;f[o+36>>2]=S;f[o+40>>2]=Q;Q=o+48|0;R=o+44|0;f[R>>2]=Q;f[Q>>2]=0;f[o+52>>2]=0;if(S|0){Q=S+12|0;f[Q>>2]=(f[Q>>2]|0)+1}if((f[L>>2]|0)<3){L=f[O+44>>2]|0;Q=f[R>>2]|0;f[Q>>2]=f[L>>2];f[Q+4>>2]=f[L+4>>2];break}else{f[N>>2]=0;$T(o,O);break}}else nJ(o,c,-1);while(0);do if((qJ(d)|0)==65536){O=f[d+4>>2]|0;f[q>>2]=f[O>>2];N=q+4|0;L=O+4|0;f[N>>2]=f[L>>2];Q=q+8|0;f[Q>>2]=f[O+8>>2];f[q+12>>2]=f[O+12>>2];f[q+16>>2]=f[O+16>>2];f[q+20>>2]=f[O+20>>2];f[q+24>>2]=f[O+24>>2];f[q+28>>2]=f[O+28>>2];f[q+32>>2]=f[O+32>>2];R=f[O+36>>2]|0;f[q+36>>2]=R;f[q+40>>2]=Q;Q=q+48|0;S=q+44|0;f[S>>2]=Q;f[Q>>2]=0;f[q+52>>2]=0;if(R|0){Q=R+12|0;f[Q>>2]=(f[Q>>2]|0)+1}if((f[L>>2]|0)<3){L=f[O+44>>2]|0;Q=f[S>>2]|0;f[Q>>2]=f[L>>2];f[Q+4>>2]=f[L+4>>2];T=q;break}else{f[N>>2]=0;$T(q,O);T=q;break}}else{nJ(q,d,-1);T=q}while(0);O=f[k>>2]|0;N=f[o>>2]|0;L=f[T>>2]|0;T=f[k+12>>2]|0;Q=f[k+8>>2]|0;S=Bzc(Q|0,((Q|0)<0)<<31>>31|0,T|0,((T|0)<0)<<31>>31|0)|0;if((O&16384&N&L|0)!=0?(S|0)==(S|0)&(((S|0)<0)<<31>>31|0)==(J|0):0){U=1;V=S}else{U=Q;V=T}T=Y(V,P)|0;P=k+16|0;V=k+44|0;Q=k+48|0;S=o+16|0;L=o+44|0;N=o+48|0;O=q+16|0;R=q+44|0;W=q+48|0;Sh[n&127](f[P>>2]|0,f[Q>>2]|0,f[S>>2]|0,f[N>>2]|0,f[O>>2]|0,f[W>>2]|0,T,U,0);U=q+36|0;T=f[U>>2]|0;if(T|0?(n=T+12|0,T=f[n>>2]|0,f[n>>2]=T+-1,(T|0)==1):0)aU(q);f[U>>2]=0;U=q+4|0;f[O>>2]=0;f[O+4>>2]=0;f[O+8>>2]=0;f[O+12>>2]=0;if((f[U>>2]|0)>0){O=f[q+40>>2]|0;T=0;do{f[O+(T<<2)>>2]=0;T=T+1|0}while((T|0)<(f[U>>2]|0))}U=f[R>>2]|0;if((U|0)!=(W|0))TC(U);U=o+36|0;W=f[U>>2]|0;if(W|0?(R=W+12|0,W=f[R>>2]|0,f[R>>2]=W+-1,(W|0)==1):0)aU(o);f[U>>2]=0;U=o+4|0;f[S>>2]=0;f[S+4>>2]=0;f[S+8>>2]=0;f[S+12>>2]=0;if((f[U>>2]|0)>0){S=f[o+40>>2]|0;W=0;do{f[S+(W<<2)>>2]=0;W=W+1|0}while((W|0)<(f[U>>2]|0))}U=f[L>>2]|0;if((U|0)!=(N|0))TC(U);U=k+36|0;N=f[U>>2]|0;if(N|0?(L=N+12|0,N=f[L>>2]|0,f[L>>2]=N+-1,(N|0)==1):0)aU(k);f[U>>2]=0;U=k+4|0;f[P>>2]=0;f[P+4>>2]=0;f[P+8>>2]=0;f[P+12>>2]=0;if((f[U>>2]|0)>0){P=f[k+40>>2]|0;N=0;do{f[P+(N<<2)>>2]=0;N=N+1|0}while((N|0)<(f[U>>2]|0))}U=f[V>>2]|0;if((U|0)!=(Q|0))TC(U);u=j;return}a:do if((i|0)==12){X=1;Z=E;_=F;$=G;aa=B;ba=A}else{U=(C|0)==131072;Q=(D|0)==131072;if(((Q&1)+(U&1)|0)!=1?(E|0)==(H|0)&(zJ(a,c)|0):0){if(zJ(a,c)|0){X=0;Z=E;_=F;$=G;aa=B;ba=A;break}V=cuc(48)|0;f[k>>2]=V;f[k+8>>2]=-2147483600;f[k+4>>2]=41;ca=V;da=221641;ea=ca+41|0;do{b[ca>>0]=b[da>>0]|0;ca=ca+1|0;da=da+1|0}while((ca|0)<(ea|0));b[V+41>>0]=0;WD(-215,k,221631,221432,230)}b:do if((AJ(a,-1)|0)<=2?FJ(a,-1)|0:0){oJ(k,a,-1);N=f[k>>2]|0;P=(N|0)==1;if(P){if(!((C|0)!=131072&Q)){fa=f[k+4>>2]|0;ga=71}}else if(!((C|0)!=131072&Q|(f[k+4>>2]|0)!=1)){fa=1;ga=71}do if((ga|0)==71){L=(fa|0)==1;if(!((N|0)==(K|0)&L|P&(L|(fa|0)==(K|0)))){if(!(P&(fa|0)==4))break;if(!(K>>>0<5&(pJ(a,-1)|0)==6))break b}L=f[l>>2]|0;W=l+4|0;S=f[W>>2]|0;f[l>>2]=f[m>>2];R=m+4|0;f[W>>2]=f[R>>2];f[m>>2]=L;f[R>>2]=S;X=1;Z=H;_=I;$=K;aa=A;ba=B;break a}while(0)}while(0);if((AJ(c,-1)|0)>2){ha=cuc(144)|0;f[k>>2]=ha;ia=k+8|0;f[ia>>2]=-2147483504;ja=k+4|0;f[ja>>2]=130;szc(ha|0,221500,130)|0;ka=ha+130|0;b[ka>>0]=0;WD(-209,k,221631,221432,225)}if(!(FJ(c,-1)|0)){ha=cuc(144)|0;f[k>>2]=ha;ia=k+8|0;f[ia>>2]=-2147483504;ja=k+4|0;f[ja>>2]=130;szc(ha|0,221500,130)|0;ka=ha+130|0;b[ka>>0]=0;WD(-209,k,221631,221432,225)}oJ(k,c,-1);Q=f[k>>2]|0;V=(Q|0)==1;if(V){if(!(U&(D|0)!=131072)){la=f[k+4>>2]|0;ga=83}}else if(!(U&(D|0)!=131072|(f[k+4>>2]|0)!=1)){la=1;ga=83}if((ga|0)==83){P=(la|0)==1;if((Q|0)==(G|0)&P|V&(P|(la|0)==(G|0))){X=1;Z=E;_=F;$=G;aa=B;ba=A;break}if(V&(la|0)==4){if(G>>>0<5&(pJ(c,-1)|0)==6){X=1;Z=E;_=F;$=G;aa=B;ba=A;break}ha=cuc(144)|0;f[k>>2]=ha;ia=k+8|0;f[ia>>2]=-2147483504;ja=k+4|0;f[ja>>2]=130;szc(ha|0,221500,130)|0;ka=ha+130|0;b[ka>>0]=0;WD(-209,k,221631,221432,225)}}ha=cuc(144)|0;f[k>>2]=ha;ia=k+8|0;f[ia>>2]=-2147483504;ja=k+4|0;f[ja>>2]=130;szc(ha|0,221500,130)|0;ka=ha+130|0;b[ka>>0]=0;WD(-209,k,221631,221432,225)}while(0);ka=Y(675553809>>>(Z<<2&28)&15,(Z>>>3&511)+1|0)|0;f[k>>2]=ka;ha=((ka+1023|0)>>>0)/(ka>>>0)|0;if(!M){if((pJ(e,-1)|0|1|0)!=1){ma=cuc(64)|0;f[o>>2]=ma;na=o+8|0;f[na>>2]=-2147483584;oa=o+4|0;f[oa>>2]=60;ca=ma;da=221683;ea=ca+60|0;do{b[ca>>0]=b[da>>0]|0;ca=ca+1|0;da=da+1|0}while((ca|0)<(ea|0));pa=ma+60|0;b[pa>>0]=0;WD(-215,o,221631,221432,241)}ka=ba;if(!(zJ(e,ka)|0)){ma=cuc(64)|0;f[o>>2]=ma;na=o+8|0;f[na>>2]=-2147483584;oa=o+4|0;f[oa>>2]=60;ca=ma;da=221683;ea=ca+60|0;do{b[ca>>0]=b[da>>0]|0;ca=ca+1|0;da=da+1|0}while((ca|0)<(ea|0));pa=ma+60|0;b[pa>>0]=0;WD(-215,o,221631,221432,241)}pa=CI(f[k>>2]|0)|0;if(zJ(d,ka)|0){qa=(pJ(d,-1)|0)!=(Z|0);ra=pa;sa=ka}else{qa=1;ra=pa;sa=ka}}else{qa=0;ra=0;sa=ba}ba=o+8|0;f[o>>2]=ba;ka=o+4|0;f[ka>>2]=1032;kK(d,sa,Z);if(!(M|qa^1)){p[r>>3]=0.0;f[q>>2]=-1056833530;f[q+4>>2]=r;f[q+8>>2]=1;f[q+12>>2]=1;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;nK(d,q,s)}do if((qJ(sa)|0)==65536){qa=f[sa+4>>2]|0;f[q>>2]=f[qa>>2];Z=q+4|0;pa=qa+4|0;f[Z>>2]=f[pa>>2];ma=q+8|0;f[ma>>2]=f[qa+8>>2];f[q+12>>2]=f[qa+12>>2];f[q+16>>2]=f[qa+16>>2];f[q+20>>2]=f[qa+20>>2];f[q+24>>2]=f[qa+24>>2];f[q+28>>2]=f[qa+28>>2];f[q+32>>2]=f[qa+32>>2];da=f[qa+36>>2]|0;f[q+36>>2]=da;f[q+40>>2]=ma;ma=q+48|0;ca=q+44|0;f[ca>>2]=ma;f[ma>>2]=0;f[q+52>>2]=0;if(da|0){ma=da+12|0;f[ma>>2]=(f[ma>>2]|0)+1}if((f[pa>>2]|0)<3){pa=f[qa+44>>2]|0;ma=f[ca>>2]|0;f[ma>>2]=f[pa>>2];f[ma+4>>2]=f[pa+4>>2];break}else{f[Z>>2]=0;$T(q,qa);break}}else nJ(q,sa,-1);while(0);sa=aa;do if((qJ(sa)|0)==65536){aa=f[sa+4>>2]|0;f[r>>2]=f[aa>>2];qa=r+4|0;Z=aa+4|0;f[qa>>2]=f[Z>>2];pa=r+8|0;f[pa>>2]=f[aa+8>>2];f[r+12>>2]=f[aa+12>>2];f[r+16>>2]=f[aa+16>>2];f[r+20>>2]=f[aa+20>>2];f[r+24>>2]=f[aa+24>>2];f[r+28>>2]=f[aa+28>>2];f[r+32>>2]=f[aa+32>>2];ma=f[aa+36>>2]|0;f[r+36>>2]=ma;f[r+40>>2]=pa;pa=r+48|0;ca=r+44|0;f[ca>>2]=pa;f[pa>>2]=0;f[r+52>>2]=0;if(ma|0){pa=ma+12|0;f[pa>>2]=(f[pa>>2]|0)+1}if((f[Z>>2]|0)<3){Z=f[aa+44>>2]|0;pa=f[ca>>2]|0;f[pa>>2]=f[Z>>2];f[pa+4>>2]=f[Z+4>>2];break}else{f[qa>>2]=0;$T(r,aa);break}}else nJ(r,sa,-1);while(0);do if((qJ(d)|0)==65536){sa=f[d+4>>2]|0;f[s>>2]=f[sa>>2];aa=s+4|0;qa=sa+4|0;f[aa>>2]=f[qa>>2];Z=s+8|0;f[Z>>2]=f[sa+8>>2];f[s+12>>2]=f[sa+12>>2];f[s+16>>2]=f[sa+16>>2];f[s+20>>2]=f[sa+20>>2];f[s+24>>2]=f[sa+24>>2];f[s+28>>2]=f[sa+28>>2];f[s+32>>2]=f[sa+32>>2];pa=f[sa+36>>2]|0;f[s+36>>2]=pa;f[s+40>>2]=Z;Z=s+48|0;ca=s+44|0;f[ca>>2]=Z;f[Z>>2]=0;f[s+52>>2]=0;if(pa|0){Z=pa+12|0;f[Z>>2]=(f[Z>>2]|0)+1}if((f[qa>>2]|0)<3){qa=f[sa+44>>2]|0;Z=f[ca>>2]|0;f[Z>>2]=f[qa>>2];f[Z+4>>2]=f[qa+4>>2];break}else{f[aa>>2]=0;$T(s,sa);break}}else nJ(s,d,-1);while(0);do if((qJ(e)|0)==65536){d=f[e+4>>2]|0;f[t>>2]=f[d>>2];sa=t+4|0;aa=d+4|0;f[sa>>2]=f[aa>>2];qa=t+8|0;f[qa>>2]=f[d+8>>2];f[t+12>>2]=f[d+12>>2];f[t+16>>2]=f[d+16>>2];f[t+20>>2]=f[d+20>>2];f[t+24>>2]=f[d+24>>2];f[t+28>>2]=f[d+28>>2];f[t+32>>2]=f[d+32>>2];Z=f[d+36>>2]|0;f[t+36>>2]=Z;f[t+40>>2]=qa;qa=t+48|0;ca=t+44|0;f[ca>>2]=qa;f[qa>>2]=0;f[t+52>>2]=0;if(Z|0){qa=Z+12|0;f[qa>>2]=(f[qa>>2]|0)+1}if((f[aa>>2]|0)<3){aa=f[d+44>>2]|0;qa=f[ca>>2]|0;f[qa>>2]=f[aa>>2];f[qa+4>>2]=f[aa+4>>2];break}else{f[sa>>2]=0;$T(t,d);break}}else nJ(t,e,-1);while(0);e=h?f[k>>2]|0:$;$=f[(h?g:g+(_<<2)|0)>>2]|0;if(X){f[v>>2]=q;f[v+4>>2]=s;f[v+8>>2]=t;f[v+12>>2]=0;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;YC(x,v,w,-1);X=f[x+20>>2]|0;_=ha>>>0<X>>>0?ha:X;g=(Y(Y(f[k>>2]|0,M?1:2)|0,_)|0)+32|0;if((f[ka>>2]|0)>>>0<g>>>0){h=f[o>>2]|0;if((h|0)!=(ba|0)){if(h|0)guc(h);f[o>>2]=ba;f[ka>>2]=1032}f[ka>>2]=g;if(g>>>0>1032){h=euc(g)|0;f[o>>2]=h;ta=h}else ta=ba}else{f[ka>>2]=g;ta=f[o>>2]|0}g=ta+(Y(f[k>>2]|0,_)|0)+15&-16;AV(r,f[q>>2]&4095,ta,_);h=x+16|0;d=w+4|0;sa=w+8|0;aa=z+4|0;c:do if(!X){qa=0;while(1){if(qa>>>0>=(f[h>>2]|0)>>>0)break c;ZC(x)|0;qa=qa+1|0}}else{qa=0;while(1){if(qa>>>0>=(f[h>>2]|0)>>>0)break c;U=f[w>>2]|0;if(M){ca=0;Z=U;pa=f[d>>2]|0;do{ma=X-ca|0;da=ma>>>0>_>>>0?_:ma;ma=Y(da,e)|0;Sh[$&127](Z,0,ta,0,pa,0,ma,1,0);ma=Y(f[k>>2]|0,da)|0;Z=(f[w>>2]|0)+ma|0;f[w>>2]=Z;pa=(f[d>>2]|0)+ma|0;f[d>>2]=pa;ca=ca+_|0}while(X>>>0>ca>>>0)}else{ca=0;pa=U;do{Z=X-ca|0;ma=Z>>>0>_>>>0?_:Z;Z=Y(ma,e)|0;Sh[$&127](pa,0,ta,0,g,0,Z,1,0);Z=f[sa>>2]|0;da=f[d>>2]|0;f[z>>2]=ma;f[aa>>2]=1;Gh[ra&255](g,0,Z,0,da,0,z,k);f[sa>>2]=(f[sa>>2]|0)+ma;da=Y(f[k>>2]|0,ma)|0;pa=(f[w>>2]|0)+da|0;f[w>>2]=pa;f[d>>2]=(f[d>>2]|0)+da;ca=ca+_|0}while(X>>>0>ca>>>0)}ZC(x)|0;qa=qa+1|0}}while(0)}else{f[v>>2]=q;f[v+4>>2]=r;f[v+8>>2]=s;f[v+12>>2]=t;f[v+16>>2]=0;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;f[w+12>>2]=0;YC(x,v,w,-1);v=f[x+20>>2]|0;if((Y(v,e)|0)<0)ua=2147483647/(e|0)|0;else ua=v;do if(!M){X=ha>>>0<ua>>>0?ha:ua;_=Y(f[k>>2]|0,X)|0;if((f[ka>>2]|0)>>>0>=_>>>0){f[ka>>2]=_;va=f[o>>2]|0;wa=X;break}d=f[o>>2]|0;if((d|0)!=(ba|0)){if(d|0)guc(d);f[o>>2]=ba;f[ka>>2]=1032}f[ka>>2]=_;if(_>>>0>1032){d=euc(_)|0;f[o>>2]=d;va=d;wa=X}else{va=ba;wa=X}}else{va=0;wa=ua}while(0);ua=x+16|0;ha=(v|0)==0;X=w+4|0;d=w+8|0;_=w+12|0;sa=y+4|0;z=0;while(1){if(z>>>0>=(f[ua>>2]|0)>>>0)break;d:do if(!ha){g=f[w>>2]|0;aa=f[X>>2]|0;if(!M){ta=0;h=g;qa=aa;while(1){ca=v-ta|0;pa=ca>>>0>wa>>>0?wa:ca;ca=Y(pa,e)|0;Sh[$&127](h,0,qa,0,va,0,ca,1,0);ca=f[_>>2]|0;U=f[d>>2]|0;f[y>>2]=pa;f[sa>>2]=1;Gh[ra&255](va,0,ca,0,U,0,y,k);f[_>>2]=(f[_>>2]|0)+pa;U=Y(f[k>>2]|0,pa)|0;h=(f[w>>2]|0)+U|0;f[w>>2]=h;qa=(f[X>>2]|0)+U|0;f[X>>2]=qa;f[d>>2]=(f[d>>2]|0)+U;ta=ta+wa|0;if(v>>>0<=ta>>>0)break d}}ta=0;qa=g;h=aa;U=f[d>>2]|0;do{pa=v-ta|0;ca=pa>>>0>wa>>>0?wa:pa;pa=Y(ca,e)|0;Sh[$&127](qa,0,h,0,U,0,pa,1,0);pa=Y(f[k>>2]|0,ca)|0;qa=(f[w>>2]|0)+pa|0;f[w>>2]=qa;h=(f[X>>2]|0)+pa|0;f[X>>2]=h;U=(f[d>>2]|0)+pa|0;f[d>>2]=U;ta=ta+wa|0}while(v>>>0>ta>>>0)}while(0);ZC(x)|0;z=z+1|0}}z=t+36|0;x=f[z>>2]|0;if(x|0?(v=x+12|0,x=f[v>>2]|0,f[v>>2]=x+-1,(x|0)==1):0)aU(t);f[z>>2]=0;z=t+16|0;x=t+4|0;f[z>>2]=0;f[z+4>>2]=0;f[z+8>>2]=0;f[z+12>>2]=0;if((f[x>>2]|0)>0){z=f[t+40>>2]|0;v=0;do{f[z+(v<<2)>>2]=0;v=v+1|0}while((v|0)<(f[x>>2]|0))}x=f[t+44>>2]|0;if((x|0)!=(t+48|0))TC(x);x=s+36|0;t=f[x>>2]|0;if(t|0?(v=t+12|0,t=f[v>>2]|0,f[v>>2]=t+-1,(t|0)==1):0)aU(s);f[x>>2]=0;x=s+16|0;t=s+4|0;f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;f[x+12>>2]=0;if((f[t>>2]|0)>0){x=f[s+40>>2]|0;v=0;do{f[x+(v<<2)>>2]=0;v=v+1|0}while((v|0)<(f[t>>2]|0))}t=f[s+44>>2]|0;if((t|0)!=(s+48|0))TC(t);t=r+36|0;s=f[t>>2]|0;if(s|0?(v=s+12|0,s=f[v>>2]|0,f[v>>2]=s+-1,(s|0)==1):0)aU(r);f[t>>2]=0;t=r+16|0;s=r+4|0;f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;f[t+12>>2]=0;if((f[s>>2]|0)>0){t=f[r+40>>2]|0;v=0;do{f[t+(v<<2)>>2]=0;v=v+1|0}while((v|0)<(f[s>>2]|0))}s=f[r+44>>2]|0;if((s|0)!=(r+48|0))TC(s);s=q+36|0;r=f[s>>2]|0;do if(r|0){v=r+12|0;t=f[v>>2]|0;f[v>>2]=t+-1;if((t|0)!=1)break;aU(q)}while(0);f[s>>2]=0;s=q+16|0;r=q+4|0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;if((f[r>>2]|0)>0){s=f[q+40>>2]|0;t=0;do{f[s+(t<<2)>>2]=0;t=t+1|0}while((t|0)<(f[r>>2]|0))}r=f[q+44>>2]|0;if((r|0)!=(q+48|0))TC(r);r=f[o>>2]|0;if((r|0)!=(ba|0)){if(r|0)guc(r);f[o>>2]=ba;f[ka>>2]=1032}u=j;return}function EV(a,c,d,e,f,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0;j=i+-1|0;if(!i)return;i=h+-4|0;if((h|0)<4){k=(h|0)>0;l=d;m=f;n=a;o=j;while(1){if(k){p=0;do{b[m+p>>0]=b[l+p>>0]&b[n+p>>0];p=p+1|0}while((p|0)!=(h|0))}if(!o)break;else{l=l+e|0;m=m+g|0;n=n+c|0;o=o+-1|0}}return}o=h&-4;n=(o|0)<(h|0);m=d;d=f;f=a;a=j;while(1){j=0;do{l=j|1;k=b[m+l>>0]&b[f+l>>0];b[d+j>>0]=b[m+j>>0]&b[f+j>>0];b[d+l>>0]=k;k=j|2;l=j|3;p=b[m+l>>0]&b[f+l>>0];b[d+k>>0]=b[m+k>>0]&b[f+k>>0];b[d+l>>0]=p;j=j+4|0}while((j|0)<=(i|0));if(n){j=o;do{b[d+j>>0]=b[m+j>>0]&b[f+j>>0];j=j+1|0}while((j|0)!=(h|0))}if(!a)break;else{m=m+e|0;d=d+g|0;f=f+c|0;a=a+-1|0}}return}function FV(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0;e=u;u=u+16|0;g=e+8|0;h=e;gV(g,47968);f[h>>2]=105;DV(a,b,c,d,h,1,10);if(!(f[g+4>>2]|0)){u=e;return}u=e;return}function GV(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;HV(a,b,c,d,e,f,g,h);return}function HV(a,c,d,e,f,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0;j=i+-1|0;if(!i)return;i=h+-4|0;if((h|0)<4){k=(h|0)>0;l=d;m=f;n=a;o=j;while(1){if(k){p=0;do{b[m+p>>0]=b[l+p>>0]|b[n+p>>0];p=p+1|0}while((p|0)!=(h|0))}if(!o)break;else{l=l+e|0;m=m+g|0;n=n+c|0;o=o+-1|0}}return}o=h&-4;n=(o|0)<(h|0);m=d;d=f;f=a;a=j;while(1){j=0;do{l=j|1;k=b[m+l>>0]|b[f+l>>0];b[d+j>>0]=b[m+j>>0]|b[f+j>>0];b[d+l>>0]=k;k=j|2;l=j|3;p=b[m+l>>0]|b[f+l>>0];b[d+k>>0]=b[m+k>>0]|b[f+k>>0];b[d+l>>0]=p;j=j+4|0}while((j|0)<=(i|0));if(n){j=o;do{b[d+j>>0]=b[m+j>>0]|b[f+j>>0];j=j+1|0}while((j|0)!=(h|0))}if(!a)break;else{m=m+e|0;d=d+g|0;f=f+c|0;a=a+-1|0}}return}function IV(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0;e=u;u=u+16|0;g=e+8|0;h=e;gV(g,47988);f[h>>2]=106;DV(a,b,c,d,h,1,11);if(!(f[g+4>>2]|0)){u=e;return}u=e;return}function JV(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;KV(a,b,c,d,e,f,g,h);return}function KV(a,c,d,e,f,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0;j=i+-1|0;if(!i)return;i=h+-4|0;if((h|0)<4){k=(h|0)>0;l=d;m=f;n=a;o=j;while(1){if(k){p=0;do{b[m+p>>0]=b[l+p>>0]^b[n+p>>0];p=p+1|0}while((p|0)!=(h|0))}if(!o)break;else{l=l+e|0;m=m+g|0;n=n+c|0;o=o+-1|0}}return}o=h&-4;n=(o|0)<(h|0);m=d;d=f;f=a;a=j;while(1){j=0;do{l=j|1;k=b[m+l>>0]^b[f+l>>0];b[d+j>>0]=b[m+j>>0]^b[f+j>>0];b[d+l>>0]=k;k=j|2;l=j|3;p=b[m+l>>0]^b[f+l>>0];b[d+k>>0]=b[m+k>>0]^b[f+k>>0];b[d+l>>0]=p;j=j+4|0}while((j|0)<=(i|0));if(n){j=o;do{b[d+j>>0]=b[m+j>>0]^b[f+j>>0];j=j+1|0}while((j|0)!=(h|0))}if(!a)break;else{m=m+e|0;d=d+g|0;f=f+c|0;a=a+-1|0}}return}function LV(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+16|0;e=d+8|0;g=d;gV(e,48008);f[g>>2]=107;DV(a,a,b,c,g,1,12);if(!(f[e+4>>2]|0)){u=d;return}u=d;return}function MV(a,c,d,e,f,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0;j=i+-1|0;if(!i)return;i=h+-4|0;if((h|0)<4){if((h|0)>0){k=f;l=a;m=j}else return;while(1){e=0;do{b[k+e>>0]=~b[l+e>>0];e=e+1|0}while((e|0)!=(h|0));if(!m)break;else{k=k+g|0;l=l+c|0;m=m+-1|0}}return}m=h&-4;if((m|0)<(h|0)){n=f;o=a;p=j}else{l=f;f=a;a=j;while(1){j=0;do{k=j|1;e=~b[f+k>>0];b[l+j>>0]=~b[f+j>>0];b[l+k>>0]=e;e=j|2;k=j|3;d=~b[f+k>>0];b[l+e>>0]=~b[f+e>>0];b[l+k>>0]=d;j=j+4|0}while((j|0)<=(i|0));if(!a)break;else{l=l+g|0;f=f+c|0;a=a+-1|0}}return}while(1){a=0;do{f=a|1;l=~b[o+f>>0];b[n+a>>0]=~b[o+a>>0];b[n+f>>0]=l;l=a|2;f=a|3;j=~b[o+f>>0];b[n+l>>0]=~b[o+l>>0];b[n+f>>0]=j;a=a+4|0}while((a|0)<=(i|0));q=m;do{b[n+q>>0]=~b[o+q>>0];q=q+1|0}while((q|0)!=(h|0));if(!p)break;else{n=n+g|0;o=o+c|0;p=p+-1|0}}return}function NV(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;gV(e,48028);DV(a,b,c,sK()|0,48048,0,14);if(!(f[e+4>>2]|0)){u=d;return}u=d;return}function OV(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;$V(a,b,c,d,e,f,g,h);return}function PV(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;_V(a,b,c,d,e,f,g,h);return}function QV(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;ZV(a,b,c,d,e,f,g,h);return}function RV(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;YV(a,b,c,d,e,f,g,h);return}function SV(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;XV(a,b,c,d,e,f,g,h);return}function TV(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;WV(a,b,c,d,e,f,g,h);return}function UV(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;VV(a,b,c,d,e,f,g,h);return}function VV(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0.0,r=0.0,s=0.0,t=0.0;i=h+-1|0;if(!h)return;h=g+-4|0;if((g|0)<4){j=(g|0)>0;k=c;l=e;m=a;n=i;while(1){if(j){o=0;do{q=+p[m+(o<<3)>>3];r=+p[k+(o<<3)>>3];p[l+(o<<3)>>3]=q<r?r:q;o=o+1|0}while((o|0)!=(g|0))}if(!n)break;else{k=k+d|0;l=l+f|0;m=m+b|0;n=n+-1|0}}return}n=g&-4;m=(n|0)<(g|0);l=c;c=e;e=a;a=i;while(1){i=0;do{q=+p[e+(i<<3)>>3];r=+p[l+(i<<3)>>3];k=i|1;s=+p[e+(k<<3)>>3];t=+p[l+(k<<3)>>3];p[c+(i<<3)>>3]=q<r?r:q;p[c+(k<<3)>>3]=s<t?t:s;k=i|2;s=+p[e+(k<<3)>>3];t=+p[l+(k<<3)>>3];j=i|3;q=+p[e+(j<<3)>>3];r=+p[l+(j<<3)>>3];p[c+(k<<3)>>3]=s<t?t:s;p[c+(j<<3)>>3]=q<r?r:q;i=i+4|0}while((i|0)<=(h|0));if(m){i=n;do{q=+p[e+(i<<3)>>3];r=+p[l+(i<<3)>>3];p[c+(i<<3)>>3]=q<r?r:q;i=i+1|0}while((i|0)!=(g|0))}if(!a)break;else{l=l+d|0;c=c+f|0;e=e+b|0;a=a+-1|0}}return}function WV(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0.0,r=0.0,s=0.0,t=0.0;i=h+-1|0;if(!h)return;h=g+-4|0;if((g|0)<4){j=(g|0)>0;k=c;l=e;m=a;o=i;while(1){if(j){p=0;do{q=+n[m+(p<<2)>>2];r=+n[k+(p<<2)>>2];n[l+(p<<2)>>2]=q<r?r:q;p=p+1|0}while((p|0)!=(g|0))}if(!o)break;else{k=k+d|0;l=l+f|0;m=m+b|0;o=o+-1|0}}return}o=g&-4;m=(o|0)<(g|0);l=c;c=e;e=a;a=i;while(1){i=0;do{q=+n[e+(i<<2)>>2];r=+n[l+(i<<2)>>2];k=i|1;s=+n[e+(k<<2)>>2];t=+n[l+(k<<2)>>2];n[c+(i<<2)>>2]=q<r?r:q;n[c+(k<<2)>>2]=s<t?t:s;k=i|2;s=+n[e+(k<<2)>>2];t=+n[l+(k<<2)>>2];j=i|3;q=+n[e+(j<<2)>>2];r=+n[l+(j<<2)>>2];n[c+(k<<2)>>2]=s<t?t:s;n[c+(j<<2)>>2]=q<r?r:q;i=i+4|0}while((i|0)<=(h|0));if(m){i=o;do{q=+n[e+(i<<2)>>2];r=+n[l+(i<<2)>>2];n[c+(i<<2)>>2]=q<r?r:q;i=i+1|0}while((i|0)!=(g|0))}if(!a)break;else{l=l+d|0;c=c+f|0;e=e+b|0;a=a+-1|0}}return}function XV(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;j=i+-1|0;if(!i)return;i=h+-4|0;if((h|0)<4){k=(h|0)>0;l=c;m=e;n=a;o=j;while(1){if(k){p=0;do{q=f[n+(p<<2)>>2]|0;r=f[l+(p<<2)>>2]|0;f[m+(p<<2)>>2]=(q|0)<(r|0)?r:q;p=p+1|0}while((p|0)!=(h|0))}if(!o)break;else{l=l+d|0;m=m+g|0;n=n+b|0;o=o+-1|0}}return}o=h&-4;n=(o|0)<(h|0);m=c;c=e;e=a;a=j;while(1){j=0;do{l=f[e+(j<<2)>>2]|0;k=f[m+(j<<2)>>2]|0;p=j|1;q=f[e+(p<<2)>>2]|0;r=f[m+(p<<2)>>2]|0;f[c+(j<<2)>>2]=(l|0)<(k|0)?k:l;f[c+(p<<2)>>2]=(q|0)<(r|0)?r:q;q=j|2;r=f[e+(q<<2)>>2]|0;p=f[m+(q<<2)>>2]|0;l=j|3;k=f[e+(l<<2)>>2]|0;s=f[m+(l<<2)>>2]|0;f[c+(q<<2)>>2]=(r|0)<(p|0)?p:r;f[c+(l<<2)>>2]=(k|0)<(s|0)?s:k;j=j+4|0}while((j|0)<=(i|0));if(n){j=o;do{k=f[e+(j<<2)>>2]|0;s=f[m+(j<<2)>>2]|0;f[c+(j<<2)>>2]=(k|0)<(s|0)?s:k;j=j+1|0}while((j|0)!=(h|0))}if(!a)break;else{m=m+d|0;c=c+g|0;e=e+b|0;a=a+-1|0}}return}function YV(a,b,c,e,f,g,h,i){a=a|0;b=b|0;c=c|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;j=i+-1|0;if(!i)return;i=h+-4|0;if((h|0)<4){k=(h|0)>0;l=c;m=f;n=a;o=j;while(1){if(k){p=0;do{q=d[n+(p<<1)>>1]|0;r=d[l+(p<<1)>>1]|0;d[m+(p<<1)>>1]=q<<16>>16<r<<16>>16?r:q;p=p+1|0}while((p|0)!=(h|0))}if(!o)break;else{l=l+e|0;m=m+g|0;n=n+b|0;o=o+-1|0}}return}o=h&-4;n=(o|0)<(h|0);m=c;c=f;f=a;a=j;while(1){j=0;do{l=d[f+(j<<1)>>1]|0;k=d[m+(j<<1)>>1]|0;p=j|1;q=d[f+(p<<1)>>1]|0;r=d[m+(p<<1)>>1]|0;d[c+(j<<1)>>1]=l<<16>>16<k<<16>>16?k:l;d[c+(p<<1)>>1]=q<<16>>16<r<<16>>16?r:q;q=j|2;r=d[f+(q<<1)>>1]|0;p=d[m+(q<<1)>>1]|0;l=j|3;k=d[f+(l<<1)>>1]|0;s=d[m+(l<<1)>>1]|0;d[c+(q<<1)>>1]=r<<16>>16<p<<16>>16?p:r;d[c+(l<<1)>>1]=k<<16>>16<s<<16>>16?s:k;j=j+4|0}while((j|0)<=(i|0));if(n){j=o;do{k=d[f+(j<<1)>>1]|0;s=d[m+(j<<1)>>1]|0;d[c+(j<<1)>>1]=k<<16>>16<s<<16>>16?s:k;j=j+1|0}while((j|0)!=(h|0))}if(!a)break;else{m=m+e|0;c=c+g|0;f=f+b|0;a=a+-1|0}}return}function ZV(a,b,c,e,f,g,h,i){a=a|0;b=b|0;c=c|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;j=i+-1|0;if(!i)return;i=h+-4|0;if((h|0)<4){k=(h|0)>0;l=c;m=f;n=a;o=j;while(1){if(k){p=0;do{q=d[n+(p<<1)>>1]|0;r=d[l+(p<<1)>>1]|0;d[m+(p<<1)>>1]=(q&65535)<(r&65535)?r:q;p=p+1|0}while((p|0)!=(h|0))}if(!o)break;else{l=l+e|0;m=m+g|0;n=n+b|0;o=o+-1|0}}return}o=h&-4;n=(o|0)<(h|0);m=c;c=f;f=a;a=j;while(1){j=0;do{l=d[f+(j<<1)>>1]|0;k=d[m+(j<<1)>>1]|0;p=j|1;q=d[f+(p<<1)>>1]|0;r=d[m+(p<<1)>>1]|0;d[c+(j<<1)>>1]=(l&65535)<(k&65535)?k:l;d[c+(p<<1)>>1]=(q&65535)<(r&65535)?r:q;q=j|2;r=d[f+(q<<1)>>1]|0;p=d[m+(q<<1)>>1]|0;l=j|3;k=d[f+(l<<1)>>1]|0;s=d[m+(l<<1)>>1]|0;d[c+(q<<1)>>1]=(r&65535)<(p&65535)?p:r;d[c+(l<<1)>>1]=(k&65535)<(s&65535)?s:k;j=j+4|0}while((j|0)<=(i|0));if(n){j=o;do{k=d[f+(j<<1)>>1]|0;s=d[m+(j<<1)>>1]|0;d[c+(j<<1)>>1]=(k&65535)<(s&65535)?s:k;j=j+1|0}while((j|0)!=(h|0))}if(!a)break;else{m=m+e|0;c=c+g|0;f=f+b|0;a=a+-1|0}}return}function _V(a,c,d,e,f,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;j=i+-1|0;if(!i)return;i=h+-4|0;if((h|0)<4){k=(h|0)>0;l=d;m=f;n=a;o=j;while(1){if(k){p=0;do{q=b[n+p>>0]|0;r=b[l+p>>0]|0;b[m+p>>0]=q<<24>>24<r<<24>>24?r:q;p=p+1|0}while((p|0)!=(h|0))}if(!o)break;else{l=l+e|0;m=m+g|0;n=n+c|0;o=o+-1|0}}return}o=h&-4;n=(o|0)<(h|0);m=d;d=f;f=a;a=j;while(1){j=0;do{l=b[f+j>>0]|0;k=b[m+j>>0]|0;p=j|1;q=b[f+p>>0]|0;r=b[m+p>>0]|0;b[d+j>>0]=l<<24>>24<k<<24>>24?k:l;b[d+p>>0]=q<<24>>24<r<<24>>24?r:q;q=j|2;r=b[f+q>>0]|0;p=b[m+q>>0]|0;l=j|3;k=b[f+l>>0]|0;s=b[m+l>>0]|0;b[d+q>>0]=r<<24>>24<p<<24>>24?p:r;b[d+l>>0]=k<<24>>24<s<<24>>24?s:k;j=j+4|0}while((j|0)<=(i|0));if(n){j=o;do{k=b[f+j>>0]|0;s=b[m+j>>0]|0;b[d+j>>0]=k<<24>>24<s<<24>>24?s:k;j=j+1|0}while((j|0)!=(h|0))}if(!a)break;else{m=m+e|0;d=d+g|0;f=f+c|0;a=a+-1|0}}return}function $V(a,c,d,e,f,g,i,j){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;k=j+-1|0;if(!j)return;j=i+-4|0;if((i|0)<4){l=(i|0)>0;m=d;n=f;o=a;p=k;while(1){if(l){q=0;do{r=h[o+q>>0]|0;b[n+q>>0]=(h[230562+(256-r+(h[m+q>>0]|0))>>0]|0)+r;q=q+1|0}while((q|0)!=(i|0))}if(!p)break;else{m=m+e|0;n=n+g|0;o=o+c|0;p=p+-1|0}}return}p=i&-4;o=(p|0)<(i|0);n=d;d=f;f=a;a=k;while(1){k=0;do{m=h[f+k>>0]|0;l=k|1;q=h[f+l>>0]|0;r=(h[230562+(256-q+(h[n+l>>0]|0))>>0]|0)+q&255;b[d+k>>0]=(h[230562+(256-m+(h[n+k>>0]|0))>>0]|0)+m;b[d+l>>0]=r;r=k|2;l=h[f+r>>0]|0;m=k|3;q=h[f+m>>0]|0;s=(h[230562+(256-q+(h[n+m>>0]|0))>>0]|0)+q&255;b[d+r>>0]=(h[230562+(256-l+(h[n+r>>0]|0))>>0]|0)+l;b[d+m>>0]=s;k=k+4|0}while((k|0)<=(j|0));if(o){k=p;do{s=h[f+k>>0]|0;b[d+k>>0]=(h[230562+(256-s+(h[n+k>>0]|0))>>0]|0)+s;k=k+1|0}while((k|0)!=(i|0))}if(!a)break;else{n=n+e|0;d=d+g|0;f=f+c|0;a=a+-1|0}}return}function aW(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;gV(e,48080);DV(a,b,c,sK()|0,48100,0,13);if(!(f[e+4>>2]|0)){u=d;return}u=d;return}function bW(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;oW(a,b,c,d,e,f,g,h);return}function cW(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;nW(a,b,c,d,e,f,g,h);return}function dW(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;mW(a,b,c,d,e,f,g,h);return}function eW(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;lW(a,b,c,d,e,f,g,h);return}function fW(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;kW(a,b,c,d,e,f,g,h);return}function gW(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;jW(a,b,c,d,e,f,g,h);return}function hW(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;iW(a,b,c,d,e,f,g,h);return}function iW(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0.0,r=0.0,s=0.0,t=0.0;i=h+-1|0;if(!h)return;h=g+-4|0;if((g|0)<4){j=(g|0)>0;k=c;l=e;m=a;n=i;while(1){if(j){o=0;do{q=+p[m+(o<<3)>>3];r=+p[k+(o<<3)>>3];p[l+(o<<3)>>3]=r<q?r:q;o=o+1|0}while((o|0)!=(g|0))}if(!n)break;else{k=k+d|0;l=l+f|0;m=m+b|0;n=n+-1|0}}return}n=g&-4;m=(n|0)<(g|0);l=c;c=e;e=a;a=i;while(1){i=0;do{q=+p[e+(i<<3)>>3];r=+p[l+(i<<3)>>3];k=i|1;s=+p[e+(k<<3)>>3];t=+p[l+(k<<3)>>3];p[c+(i<<3)>>3]=r<q?r:q;p[c+(k<<3)>>3]=t<s?t:s;k=i|2;s=+p[e+(k<<3)>>3];t=+p[l+(k<<3)>>3];j=i|3;q=+p[e+(j<<3)>>3];r=+p[l+(j<<3)>>3];p[c+(k<<3)>>3]=t<s?t:s;p[c+(j<<3)>>3]=r<q?r:q;i=i+4|0}while((i|0)<=(h|0));if(m){i=n;do{q=+p[e+(i<<3)>>3];r=+p[l+(i<<3)>>3];p[c+(i<<3)>>3]=r<q?r:q;i=i+1|0}while((i|0)!=(g|0))}if(!a)break;else{l=l+d|0;c=c+f|0;e=e+b|0;a=a+-1|0}}return}function jW(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0.0,r=0.0,s=0.0,t=0.0;i=h+-1|0;if(!h)return;h=g+-4|0;if((g|0)<4){j=(g|0)>0;k=c;l=e;m=a;o=i;while(1){if(j){p=0;do{q=+n[m+(p<<2)>>2];r=+n[k+(p<<2)>>2];n[l+(p<<2)>>2]=r<q?r:q;p=p+1|0}while((p|0)!=(g|0))}if(!o)break;else{k=k+d|0;l=l+f|0;m=m+b|0;o=o+-1|0}}return}o=g&-4;m=(o|0)<(g|0);l=c;c=e;e=a;a=i;while(1){i=0;do{q=+n[e+(i<<2)>>2];r=+n[l+(i<<2)>>2];k=i|1;s=+n[e+(k<<2)>>2];t=+n[l+(k<<2)>>2];n[c+(i<<2)>>2]=r<q?r:q;n[c+(k<<2)>>2]=t<s?t:s;k=i|2;s=+n[e+(k<<2)>>2];t=+n[l+(k<<2)>>2];j=i|3;q=+n[e+(j<<2)>>2];r=+n[l+(j<<2)>>2];n[c+(k<<2)>>2]=t<s?t:s;n[c+(j<<2)>>2]=r<q?r:q;i=i+4|0}while((i|0)<=(h|0));if(m){i=o;do{q=+n[e+(i<<2)>>2];r=+n[l+(i<<2)>>2];n[c+(i<<2)>>2]=r<q?r:q;i=i+1|0}while((i|0)!=(g|0))}if(!a)break;else{l=l+d|0;c=c+f|0;e=e+b|0;a=a+-1|0}}return}function kW(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;j=i+-1|0;if(!i)return;i=h+-4|0;if((h|0)<4){k=(h|0)>0;l=c;m=e;n=a;o=j;while(1){if(k){p=0;do{q=f[n+(p<<2)>>2]|0;r=f[l+(p<<2)>>2]|0;f[m+(p<<2)>>2]=(r|0)<(q|0)?r:q;p=p+1|0}while((p|0)!=(h|0))}if(!o)break;else{l=l+d|0;m=m+g|0;n=n+b|0;o=o+-1|0}}return}o=h&-4;n=(o|0)<(h|0);m=c;c=e;e=a;a=j;while(1){j=0;do{l=f[e+(j<<2)>>2]|0;k=f[m+(j<<2)>>2]|0;p=j|1;q=f[e+(p<<2)>>2]|0;r=f[m+(p<<2)>>2]|0;f[c+(j<<2)>>2]=(k|0)<(l|0)?k:l;f[c+(p<<2)>>2]=(r|0)<(q|0)?r:q;q=j|2;r=f[e+(q<<2)>>2]|0;p=f[m+(q<<2)>>2]|0;l=j|3;k=f[e+(l<<2)>>2]|0;s=f[m+(l<<2)>>2]|0;f[c+(q<<2)>>2]=(p|0)<(r|0)?p:r;f[c+(l<<2)>>2]=(s|0)<(k|0)?s:k;j=j+4|0}while((j|0)<=(i|0));if(n){j=o;do{k=f[e+(j<<2)>>2]|0;s=f[m+(j<<2)>>2]|0;f[c+(j<<2)>>2]=(s|0)<(k|0)?s:k;j=j+1|0}while((j|0)!=(h|0))}if(!a)break;else{m=m+d|0;c=c+g|0;e=e+b|0;a=a+-1|0}}return}function lW(a,b,c,e,f,g,h,i){a=a|0;b=b|0;c=c|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;j=i+-1|0;if(!i)return;i=h+-4|0;if((h|0)<4){k=(h|0)>0;l=c;m=f;n=a;o=j;while(1){if(k){p=0;do{q=d[n+(p<<1)>>1]|0;r=d[l+(p<<1)>>1]|0;d[m+(p<<1)>>1]=r<<16>>16<q<<16>>16?r:q;p=p+1|0}while((p|0)!=(h|0))}if(!o)break;else{l=l+e|0;m=m+g|0;n=n+b|0;o=o+-1|0}}return}o=h&-4;n=(o|0)<(h|0);m=c;c=f;f=a;a=j;while(1){j=0;do{l=d[f+(j<<1)>>1]|0;k=d[m+(j<<1)>>1]|0;p=j|1;q=d[f+(p<<1)>>1]|0;r=d[m+(p<<1)>>1]|0;d[c+(j<<1)>>1]=k<<16>>16<l<<16>>16?k:l;d[c+(p<<1)>>1]=r<<16>>16<q<<16>>16?r:q;q=j|2;r=d[f+(q<<1)>>1]|0;p=d[m+(q<<1)>>1]|0;l=j|3;k=d[f+(l<<1)>>1]|0;s=d[m+(l<<1)>>1]|0;d[c+(q<<1)>>1]=p<<16>>16<r<<16>>16?p:r;d[c+(l<<1)>>1]=s<<16>>16<k<<16>>16?s:k;j=j+4|0}while((j|0)<=(i|0));if(n){j=o;do{k=d[f+(j<<1)>>1]|0;s=d[m+(j<<1)>>1]|0;d[c+(j<<1)>>1]=s<<16>>16<k<<16>>16?s:k;j=j+1|0}while((j|0)!=(h|0))}if(!a)break;else{m=m+e|0;c=c+g|0;f=f+b|0;a=a+-1|0}}return}function mW(a,b,c,e,f,g,h,i){a=a|0;b=b|0;c=c|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;j=i+-1|0;if(!i)return;i=h+-4|0;if((h|0)<4){k=(h|0)>0;l=c;m=f;n=a;o=j;while(1){if(k){p=0;do{q=d[n+(p<<1)>>1]|0;r=d[l+(p<<1)>>1]|0;d[m+(p<<1)>>1]=(r&65535)<(q&65535)?r:q;p=p+1|0}while((p|0)!=(h|0))}if(!o)break;else{l=l+e|0;m=m+g|0;n=n+b|0;o=o+-1|0}}return}o=h&-4;n=(o|0)<(h|0);m=c;c=f;f=a;a=j;while(1){j=0;do{l=d[f+(j<<1)>>1]|0;k=d[m+(j<<1)>>1]|0;p=j|1;q=d[f+(p<<1)>>1]|0;r=d[m+(p<<1)>>1]|0;d[c+(j<<1)>>1]=(k&65535)<(l&65535)?k:l;d[c+(p<<1)>>1]=(r&65535)<(q&65535)?r:q;q=j|2;r=d[f+(q<<1)>>1]|0;p=d[m+(q<<1)>>1]|0;l=j|3;k=d[f+(l<<1)>>1]|0;s=d[m+(l<<1)>>1]|0;d[c+(q<<1)>>1]=(p&65535)<(r&65535)?p:r;d[c+(l<<1)>>1]=(s&65535)<(k&65535)?s:k;j=j+4|0}while((j|0)<=(i|0));if(n){j=o;do{k=d[f+(j<<1)>>1]|0;s=d[m+(j<<1)>>1]|0;d[c+(j<<1)>>1]=(s&65535)<(k&65535)?s:k;j=j+1|0}while((j|0)!=(h|0))}if(!a)break;else{m=m+e|0;c=c+g|0;f=f+b|0;a=a+-1|0}}return}function nW(a,c,d,e,f,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;j=i+-1|0;if(!i)return;i=h+-4|0;if((h|0)<4){k=(h|0)>0;l=d;m=f;n=a;o=j;while(1){if(k){p=0;do{q=b[n+p>>0]|0;r=b[l+p>>0]|0;b[m+p>>0]=r<<24>>24<q<<24>>24?r:q;p=p+1|0}while((p|0)!=(h|0))}if(!o)break;else{l=l+e|0;m=m+g|0;n=n+c|0;o=o+-1|0}}return}o=h&-4;n=(o|0)<(h|0);m=d;d=f;f=a;a=j;while(1){j=0;do{l=b[f+j>>0]|0;k=b[m+j>>0]|0;p=j|1;q=b[f+p>>0]|0;r=b[m+p>>0]|0;b[d+j>>0]=k<<24>>24<l<<24>>24?k:l;b[d+p>>0]=r<<24>>24<q<<24>>24?r:q;q=j|2;r=b[f+q>>0]|0;p=b[m+q>>0]|0;l=j|3;k=b[f+l>>0]|0;s=b[m+l>>0]|0;b[d+q>>0]=p<<24>>24<r<<24>>24?p:r;b[d+l>>0]=s<<24>>24<k<<24>>24?s:k;j=j+4|0}while((j|0)<=(i|0));if(n){j=o;do{k=b[f+j>>0]|0;s=b[m+j>>0]|0;b[d+j>>0]=s<<24>>24<k<<24>>24?s:k;j=j+1|0}while((j|0)!=(h|0))}if(!a)break;else{m=m+e|0;d=d+g|0;f=f+c|0;a=a+-1|0}}return}function oW(a,c,d,e,f,g,i,j){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;k=j+-1|0;if(!j)return;j=i+-4|0;if((i|0)<4){l=(i|0)>0;m=d;n=f;o=a;p=k;while(1){if(l){q=0;do{r=h[o+q>>0]|0;b[n+q>>0]=r-(h[230562+((r|256)-(h[m+q>>0]|0))>>0]|0);q=q+1|0}while((q|0)!=(i|0))}if(!p)break;else{m=m+e|0;n=n+g|0;o=o+c|0;p=p+-1|0}}return}p=i&-4;o=(p|0)<(i|0);n=d;d=f;f=a;a=k;while(1){k=0;do{m=h[f+k>>0]|0;l=k|1;q=h[f+l>>0]|0;r=q-(h[230562+((q|256)-(h[n+l>>0]|0))>>0]|0)&255;b[d+k>>0]=m-(h[230562+((m|256)-(h[n+k>>0]|0))>>0]|0);b[d+l>>0]=r;r=k|2;l=h[f+r>>0]|0;m=k|3;q=h[f+m>>0]|0;s=q-(h[230562+((q|256)-(h[n+m>>0]|0))>>0]|0)&255;b[d+r>>0]=l-(h[230562+((l|256)-(h[n+r>>0]|0))>>0]|0);b[d+m>>0]=s;k=k+4|0}while((k|0)<=(j|0));if(o){k=p;do{s=h[f+k>>0]|0;b[d+k>>0]=s-(h[230562+((s|256)-(h[n+k>>0]|0))>>0]|0);k=k+1|0}while((k|0)!=(i|0))}if(!a)break;else{n=n+e|0;d=d+g|0;f=f+c|0;a=a+-1|0}}return}function pW(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0;d=u;u=u+64|0;e=d+48|0;g=d+32|0;h=d+16|0;i=d;gV(e,48132);j=g+8|0;f[j>>2]=0;f[j+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=c;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=a;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=b;DV(h,i,g,sK()|0,48048,0,14);if(!(f[e+4>>2]|0)){u=d;return}u=d;return}function qW(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0;d=u;u=u+64|0;e=d+48|0;g=d+32|0;h=d+16|0;i=d;gV(e,48152);j=g+8|0;f[j>>2]=0;f[j+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=c;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=a;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=b;DV(h,i,g,sK()|0,48100,0,13);if(!(f[e+4>>2]|0)){u=d;return}u=d;return}function rW(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0;g=u;u=u+16|0;h=g;gV(h,48172);sW(a,b,c,d,e,48192,0,0,0);if(!(f[h+4>>2]|0)){u=g;return}u=g;return}function sW(a,c,d,e,g,h,i,j,k){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0.0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0;k=u;u=u+1504|0;l=k+1448|0;m=k+1440|0;n=k+1432|0;o=k+1424|0;q=k;r=k+1368|0;s=k+1232|0;t=k+1168|0;v=k+128|0;w=k+104|0;x=k+88|0;y=k+56|0;z=k+1360|0;A=k+1352|0;B=k+1344|0;C=k+1336|0;D=k+1328|0;E=k+1320|0;F=k+1312|0;G=k+1304|0;H=k+1296|0;I=k+1288|0;K=k+1224|0;L=a;M=c;N=qJ(a)|0;O=qJ(c)|0;P=EJ(e)|0;Q=P^1;R=pJ(a,-1)|0;S=R&7;T=R>>>3&511;U=T+1|0;V=pJ(c,-1)|0;W=V&7;f[m>>2]=W;X=(V>>>3&511)+1|0;Z=AJ(a,-1)|0;_=AJ(c,-1)|0;$=(Z|0)<3;if($)oJ(n,a,-1);else{f[n>>2]=0;f[n+4>>2]=0}aa=(_|0)<3;if(aa)oJ(o,c,-1);else{f[o>>2]=0;f[o+4>>2]=0}if((AJ(a,-1)|0)<=2?FJ(a,-1)|0:0){oJ(l,a,-1);ba=f[l>>2]|0;ca=(ba|0)==1;if(!ca?(f[l+4>>2]|0)!=1:0)da=0;else if(!((N|0)!=131072&(O|0)==131072)){ea=f[l+4>>2]|0;fa=(ea|0)==1;if(!((ba|0)==(X|0)&fa|ca&(fa|(ea|0)==(X|0))))if(ca&(ea|0)==4)da=X>>>0<5&(pJ(a,-1)|0)==6;else da=0;else da=1}else da=0;ga=da}else ga=0;if((AJ(c,-1)|0)<=2?FJ(c,-1)|0:0){oJ(l,c,-1);da=f[l>>2]|0;ea=(da|0)==1;if(!ea?(f[l+4>>2]|0)!=1:0)ha=0;else if(!((N|0)==131072&(O|0)!=131072)){ca=f[l+4>>2]|0;fa=(ca|0)==1;if(!((da|0)==(U|0)&fa|ea&(fa|(ca|0)==(U|0))))if(ea&(ca|0)==4)ha=U>>>0<5&(pJ(c,-1)|0)==6;else ha=0;else ha=1}else ha=0;ia=ha}else ia=0;do if((N|0)==(O|0)|(T|0)==0?!((R|0)!=(V|0)|Q|aa&($&((f[n>>2]|0)==(f[o>>2]|0)?(f[n+4>>2]|0)==(f[o+4>>2]|0):0))^1):0){if(!(iK(d)|0)?(g|0)<0|(g&7|0)==(S|0):0){if(ga^ia)break}else{if(!(iK(d)|0))break;if(ga^ia|(pJ(d,-1)|0)!=(R|0))break}kK(d,a,R);do if((qJ(a)|0)==65536){ha=f[a+4>>2]|0;f[l>>2]=f[ha>>2];ca=l+4|0;ea=ha+4|0;f[ca>>2]=f[ea>>2];fa=l+8|0;f[fa>>2]=f[ha+8>>2];f[l+12>>2]=f[ha+12>>2];f[l+16>>2]=f[ha+16>>2];f[l+20>>2]=f[ha+20>>2];f[l+24>>2]=f[ha+24>>2];f[l+28>>2]=f[ha+28>>2];f[l+32>>2]=f[ha+32>>2];da=f[ha+36>>2]|0;f[l+36>>2]=da;f[l+40>>2]=fa;fa=l+48|0;ba=l+44|0;f[ba>>2]=fa;f[fa>>2]=0;f[l+52>>2]=0;if(da|0){fa=da+12|0;f[fa>>2]=(f[fa>>2]|0)+1}if((f[ea>>2]|0)<3){ea=f[ha+44>>2]|0;fa=f[ba>>2]|0;f[fa>>2]=f[ea>>2];f[fa+4>>2]=f[ea+4>>2];break}else{f[ca>>2]=0;$T(l,ha);break}}else nJ(l,a,-1);while(0);do if((qJ(c)|0)==65536){ha=f[c+4>>2]|0;f[q>>2]=f[ha>>2];ca=q+4|0;ea=ha+4|0;f[ca>>2]=f[ea>>2];fa=q+8|0;f[fa>>2]=f[ha+8>>2];f[q+12>>2]=f[ha+12>>2];f[q+16>>2]=f[ha+16>>2];f[q+20>>2]=f[ha+20>>2];f[q+24>>2]=f[ha+24>>2];f[q+28>>2]=f[ha+28>>2];f[q+32>>2]=f[ha+32>>2];ba=f[ha+36>>2]|0;f[q+36>>2]=ba;f[q+40>>2]=fa;fa=q+48|0;da=q+44|0;f[da>>2]=fa;f[fa>>2]=0;f[q+52>>2]=0;if(ba|0){fa=ba+12|0;f[fa>>2]=(f[fa>>2]|0)+1}if((f[ea>>2]|0)<3){ea=f[ha+44>>2]|0;fa=f[da>>2]|0;f[fa>>2]=f[ea>>2];f[fa+4>>2]=f[ea+4>>2];break}else{f[ca>>2]=0;$T(q,ha);break}}else nJ(q,c,-1);while(0);do if((qJ(d)|0)==65536){ha=f[d+4>>2]|0;f[r>>2]=f[ha>>2];ca=r+4|0;ea=ha+4|0;f[ca>>2]=f[ea>>2];fa=r+8|0;f[fa>>2]=f[ha+8>>2];f[r+12>>2]=f[ha+12>>2];f[r+16>>2]=f[ha+16>>2];f[r+20>>2]=f[ha+20>>2];f[r+24>>2]=f[ha+24>>2];f[r+28>>2]=f[ha+28>>2];f[r+32>>2]=f[ha+32>>2];da=f[ha+36>>2]|0;f[r+36>>2]=da;f[r+40>>2]=fa;fa=r+48|0;ba=r+44|0;f[ba>>2]=fa;f[fa>>2]=0;f[r+52>>2]=0;if(da|0){fa=da+12|0;f[fa>>2]=(f[fa>>2]|0)+1}if((f[ea>>2]|0)<3){ea=f[ha+44>>2]|0;fa=f[ba>>2]|0;f[fa>>2]=f[ea>>2];f[fa+4>>2]=f[ea+4>>2];ja=r;break}else{f[ca>>2]=0;$T(r,ha);ja=r;break}}else{nJ(r,d,-1);ja=r}while(0);ha=f[l>>2]|0;ca=(ha>>>3&511)+1|0;ea=f[q>>2]|0;fa=f[ja>>2]|0;ba=f[l+12>>2]|0;da=f[l+8>>2]|0;ka=Bzc(ba|0,((ba|0)<0)<<31>>31|0,ca|0,0)|0;la=Bzc(ka|0,J|0,da|0,((da|0)<0)<<31>>31|0)|0;if((ha&16384&ea&fa|0)!=0?(la|0)==(la|0)&(((la|0)<0)<<31>>31|0)==(J|0):0){ma=1;na=la}else{ma=da;na=Y(ba,ca)|0}ca=l+16|0;ba=l+44|0;da=l+48|0;la=q+16|0;fa=q+44|0;ea=q+48|0;ha=r+16|0;ka=r+44|0;oa=r+48|0;Sh[f[h+(S<<2)>>2]&127](f[ca>>2]|0,f[da>>2]|0,f[la>>2]|0,f[ea>>2]|0,f[ha>>2]|0,f[oa>>2]|0,na,ma,j);pa=r+36|0;qa=f[pa>>2]|0;if(qa|0?(ra=qa+12|0,qa=f[ra>>2]|0,f[ra>>2]=qa+-1,(qa|0)==1):0)aU(r);f[pa>>2]=0;pa=r+4|0;f[ha>>2]=0;f[ha+4>>2]=0;f[ha+8>>2]=0;f[ha+12>>2]=0;if((f[pa>>2]|0)>0){ha=f[r+40>>2]|0;qa=0;do{f[ha+(qa<<2)>>2]=0;qa=qa+1|0}while((qa|0)<(f[pa>>2]|0))}pa=f[ka>>2]|0;if((pa|0)!=(oa|0))TC(pa);pa=q+36|0;qa=f[pa>>2]|0;if(qa|0?(ha=qa+12|0,qa=f[ha>>2]|0,f[ha>>2]=qa+-1,(qa|0)==1):0)aU(q);f[pa>>2]=0;pa=q+4|0;f[la>>2]=0;f[la+4>>2]=0;f[la+8>>2]=0;f[la+12>>2]=0;if((f[pa>>2]|0)>0){qa=f[q+40>>2]|0;ha=0;do{f[qa+(ha<<2)>>2]=0;ha=ha+1|0}while((ha|0)<(f[pa>>2]|0))}pa=f[fa>>2]|0;if((pa|0)!=(ea|0))TC(pa);pa=l+36|0;ha=f[pa>>2]|0;do if(ha|0){qa=ha+12|0;la=f[qa>>2]|0;f[qa>>2]=la+-1;if((la|0)!=1)break;aU(l)}while(0);f[pa>>2]=0;ha=l+4|0;f[ca>>2]=0;f[ca+4>>2]=0;f[ca+8>>2]=0;f[ca+12>>2]=0;if((f[ha>>2]|0)>0){ea=f[l+40>>2]|0;fa=0;do{f[ea+(fa<<2)>>2]=0;fa=fa+1|0}while((fa|0)<(f[ha>>2]|0))}ha=f[ba>>2]|0;if((ha|0)!=(da|0))TC(ha);u=k;return}while(0);do if((Z|0)==(_|0)?(ma=f[n>>2]|0,na=f[n+4>>2]|0,(U|0)==(X|0)&((ma|0)==(f[o>>2]|0)?(na|0)==(f[o+4>>2]|0):0)):0){if((N|0)==131072?(ma|0)==1&((na|0)==4|(na|0)==1):0){sa=87;break}if((O|0)==131072?(ma|0)==1&((na|0)==4|(na|0)==1):0)sa=87;else{ta=0;ua=0;va=R;wa=S;xa=U;ya=V;za=M;Aa=L}}else sa=87;while(0);do if((sa|0)==87){a:do if((AJ(a,-1)|0)<=2?FJ(a,-1)|0:0){oJ(l,a,-1);_=f[l>>2]|0;Z=(_|0)==1;if(!(!Z?(f[l+4>>2]|0)!=1:0))sa=91;do if((sa|0)==91?!((N|0)!=131072&(O|0)==131072):0){na=f[l+4>>2]|0;ma=(na|0)==1;if(!((_|0)==(X|0)&ma|Z&(ma|(na|0)==(X|0)))){if(!(Z&(na|0)==4))break;if(!(X>>>0<5&(pJ(a,-1)|0)==6)){sa=98;break a}}na=f[n>>2]|0;ma=n+4|0;ja=f[ma>>2]|0;f[n>>2]=f[o>>2];ia=o+4|0;f[ma>>2]=f[ia>>2];f[o>>2]=na;f[ia>>2]=ja;f[m>>2]=S;Ba=1;Ca=V;Da=W;Ea=X;Fa=R;Ga=U;Ha=L;Ia=M;break a}while(0);sa=98}else sa=98;while(0);do if((sa|0)==98){if((AJ(c,-1)|0)>2){Ja=cuc(160)|0;f[l>>2]=Ja;Ka=l+8|0;f[Ka>>2]=-2147483488;La=l+4|0;f[La>>2]=153;szc(Ja|0,222227,153)|0;Ma=Ja+153|0;b[Ma>>0]=0;WD(-209,l,222381,221432,659)}if(!(FJ(c,-1)|0)){Ja=cuc(160)|0;f[l>>2]=Ja;Ka=l+8|0;f[Ka>>2]=-2147483488;La=l+4|0;f[La>>2]=153;szc(Ja|0,222227,153)|0;Ma=Ja+153|0;b[Ma>>0]=0;WD(-209,l,222381,221432,659)}oJ(l,c,-1);da=f[l>>2]|0;ba=(da|0)==1;if(!(!ba?(f[l+4>>2]|0)!=1:0))sa=102;if((sa|0)==102?!((N|0)==131072&(O|0)!=131072):0){Z=f[l+4>>2]|0;_=(Z|0)==1;if((da|0)==(U|0)&_|ba&(_|(Z|0)==(U|0))){Ba=0;Ca=R;Da=S;Ea=U;Fa=V;Ga=X;Ha=M;Ia=L;break}if(ba&(Z|0)==4){if(U>>>0<5&(pJ(c,-1)|0)==6){Ba=0;Ca=R;Da=S;Ea=U;Fa=V;Ga=X;Ha=M;Ia=L;break}Ja=cuc(160)|0;f[l>>2]=Ja;Ka=l+8|0;f[Ka>>2]=-2147483488;La=l+4|0;f[La>>2]=153;szc(Ja|0,222227,153)|0;Ma=Ja+153|0;b[Ma>>0]=0;WD(-209,l,222381,221432,659)}}Ja=cuc(160)|0;f[l>>2]=Ja;Ka=l+8|0;f[Ka>>2]=-2147483488;La=l+4|0;f[La>>2]=153;szc(Ja|0,222227,153)|0;Ma=Ja+153|0;b[Ma>>0]=0;WD(-209,l,222381,221432,659)}while(0);if((Fa|0)!=6){Na=cuc(64)|0;f[l>>2]=Na;Oa=l+8|0;f[Oa>>2]=-2147483584;Pa=l+4|0;f[Pa>>2]=55;Qa=Na;Ra=222391;Sa=Qa+55|0;do{b[Qa>>0]=b[Ra>>0]|0;Qa=Qa+1|0;Ra=Ra+1|0}while((Qa|0)<(Sa|0));Ta=Na+55|0;b[Ta>>0]=0;WD(-215,l,222381,221432,661)}Z=o+4|0;switch(f[Z>>2]|0){case 4:case 1:break;default:{Na=cuc(64)|0;f[l>>2]=Na;Oa=l+8|0;f[Oa>>2]=-2147483584;Pa=l+4|0;f[Pa>>2]=55;Qa=Na;Ra=222391;Sa=Qa+55|0;do{b[Qa>>0]=b[Ra>>0]|0;Qa=Qa+1|0;Ra=Ra+1|0}while((Qa|0)<(Sa|0));Ta=Na+55|0;b[Ta>>0]=0;WD(-215,l,222381,221432,661)}}if(i){f[m>>2]=6;ta=1;ua=Ba<<24>>24!=0;va=Ca;wa=Da;xa=Ea;ya=6;za=Ha;Aa=Ia;break}ba=Ha;do if((qJ(ba)|0)==65536){_=f[ba+4>>2]|0;f[l>>2]=f[_>>2];da=l+4|0;ja=_+4|0;f[da>>2]=f[ja>>2];ia=l+8|0;f[ia>>2]=f[_+8>>2];f[l+12>>2]=f[_+12>>2];na=l+16|0;f[na>>2]=f[_+16>>2];f[l+20>>2]=f[_+20>>2];f[l+24>>2]=f[_+24>>2];f[l+28>>2]=f[_+28>>2];f[l+32>>2]=f[_+32>>2];ma=f[_+36>>2]|0;f[l+36>>2]=ma;f[l+40>>2]=ia;ia=l+48|0;ga=l+44|0;f[ga>>2]=ia;f[ia>>2]=0;f[l+52>>2]=0;if(ma|0){ia=ma+12|0;f[ia>>2]=(f[ia>>2]|0)+1}if((f[ja>>2]|0)<3){ja=f[_+44>>2]|0;ia=f[ga>>2]|0;f[ia>>2]=f[ja>>2];f[ia+4>>2]=f[ja+4>>2];Ua=ga;Va=na;break}else{f[da>>2]=0;$T(l,_);Ua=ga;Va=na;break}}else{nJ(l,ba,-1);Ua=l+44|0;Va=l+16|0}while(0);ba=f[Va>>2]|0;na=(f[o>>2]|0)==1&(f[Z>>2]|0)==1?Ga:Ea;ga=0;_=-2147483648;da=2147483647;while(1){Wa=+p[ba+(ga<<3)>>3];ja=Fhc(Wa)|0;if(+(ja|0)!=Wa){sa=126;break}_=(_|0)<(ja|0)?ja:_;da=(da|0)>(ja|0)?ja:da;ga=ga+1|0;if((ga|0)>=(na|0)){sa=123;break}}if((sa|0)==123){na=(da|0)>-1;if(!(na&(_|0)<256))if((da|0)>-129&(_|0)<128)Xa=1;else Xa=na&(_|0)<65536?2:(da|0)>-32769&(_|0)<32768?3:4;else Xa=0}else if((sa|0)==126){f[m>>2]=6;Xa=Da>>>0<4|(Da|0)==5?5:6}f[m>>2]=Xa;na=l+36|0;ga=f[na>>2]|0;if(ga|0?(ba=ga+12|0,ga=f[ba>>2]|0,f[ba>>2]=ga+-1,(ga|0)==1):0)aU(l);f[na>>2]=0;na=l+4|0;f[Va>>2]=0;f[Va+4>>2]=0;f[Va+8>>2]=0;f[Va+12>>2]=0;if((f[na>>2]|0)>0){ga=f[l+40>>2]|0;ba=0;do{f[ga+(ba<<2)>>2]=0;ba=ba+1|0}while((ba|0)<(f[na>>2]|0))}na=f[Ua>>2]|0;if((na|0)!=(l+48|0))TC(na);ta=1;ua=Ba<<24>>24!=0;va=Ca;wa=Da;xa=Ea;ya=6;za=Ha;Aa=Ia}while(0);do if((g|0)<0){if(iK(d)|0){Ya=pJ(d,-1)|0;break}if((va|0)==(ya|0)|ta)Ya=va;else{Ia=cuc(144)|0;f[l>>2]=Ia;f[l+8>>2]=-2147483504;f[l+4>>2]=136;szc(Ia|0,222447,136)|0;b[Ia+136>>0]=0;WD(-5,l,222381,221432,683)}}else Ya=g;while(0);g=Ya&7;Ia=f[m>>2]|0;do if(!((wa|0)==(Ia|0)&(g|0)==(wa|0))){if(i){m=(Ia|0)>5?Ia:5;Ha=(wa|0)<(m|0)?m:wa;Za=(Ha|0)<(g|0)?g:Ha;break}if((wa|0)<2&(Ia|0)<2)_a=3;else _a=(wa|0)<5&(Ia|0)<5?4:(wa|0)<(Ia|0)?Ia:wa;Ha=(_a|0)<(g|0)?g:_a;if(g>>>0<5)Za=(wa|0)<5|(Ia|0)<5?4:Ha;else Za=Ha}else Za=wa;while(0);wa=(xa<<3)+-8|0;Ia=g|wa;g=Za&7;_a=g|wa;do if(P)kK(d,Aa,Ia);else{if((pJ(e,-1)|0|1|0)!=1){$a=cuc(80)|0;f[l>>2]=$a;ab=l+8|0;f[ab>>2]=-2147483568;bb=l+4|0;f[bb>>2]=64;Qa=$a;Ra=222584;Sa=Qa+64|0;do{b[Qa>>0]=b[Ra>>0]|0;Qa=Qa+1|0;Ra=Ra+1|0}while((Qa|0)<(Sa|0));cb=$a+64|0;b[cb>>0]=0;WD(-215,l,222381,221432,715)}i=Aa;if(!(zJ(e,i)|0)){$a=cuc(80)|0;f[l>>2]=$a;ab=l+8|0;f[ab>>2]=-2147483568;bb=l+4|0;f[bb>>2]=64;Qa=$a;Ra=222584;Sa=Qa+64|0;do{b[Qa>>0]=b[Ra>>0]|0;Qa=Qa+1|0;Ra=Ra+1|0}while((Qa|0)<(Sa|0));cb=$a+64|0;b[cb>>0]=0;WD(-215,l,222381,221432,715)}if(zJ(d,i)|0){Ha=(pJ(d,-1)|0)==(Ia|0);kK(d,i,Ia);if(Ha)break}else kK(d,i,Ia);p[q>>3]=0.0;f[l>>2]=-1056833530;f[l+4>>2]=q;f[l+8>>2]=1;f[l+12>>2]=1;f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;f[r+12>>2]=0;nK(d,l,r)}while(0);if((va|0)==(_a|0))db=0;else db=dP(va,_a)|0;if((ya|0)!=(va|0))if((ya|0)==(_a|0))eb=0;else eb=dP(ya,_a)|0;else eb=db;if((Ia|0)==(_a|0))fb=0;else fb=dP(_a,Ia)|0;Ia=Y(675553809>>>(va<<2&28)&15,(va>>>3&511)+1|0)|0;va=Y(675553809>>>(ya<<2&28)&15,(ya>>>3&511)+1|0)|0;ya=(wa>>>3&511)+1|0;wa=Y(675553809>>>(Ya<<2&28)&15,ya)|0;f[l>>2]=wa;Ya=Y(675553809>>>(Za<<2&28)&15,ya)|0;ya=((Ya+1023|0)>>>0)/(Ya>>>0)|0;Za=CI(wa)|0;wa=Aa;do if((qJ(wa)|0)==65536){Aa=f[wa+4>>2]|0;f[q>>2]=f[Aa>>2];cb=q+4|0;$a=Aa+4|0;f[cb>>2]=f[$a>>2];Ra=q+8|0;f[Ra>>2]=f[Aa+8>>2];f[q+12>>2]=f[Aa+12>>2];f[q+16>>2]=f[Aa+16>>2];f[q+20>>2]=f[Aa+20>>2];f[q+24>>2]=f[Aa+24>>2];f[q+28>>2]=f[Aa+28>>2];f[q+32>>2]=f[Aa+32>>2];Qa=f[Aa+36>>2]|0;f[q+36>>2]=Qa;f[q+40>>2]=Ra;Ra=q+48|0;Sa=q+44|0;f[Sa>>2]=Ra;f[Ra>>2]=0;f[q+52>>2]=0;if(Qa|0){Ra=Qa+12|0;f[Ra>>2]=(f[Ra>>2]|0)+1}if((f[$a>>2]|0)<3){$a=f[Aa+44>>2]|0;Ra=f[Sa>>2]|0;f[Ra>>2]=f[$a>>2];f[Ra+4>>2]=f[$a+4>>2];break}else{f[cb>>2]=0;$T(q,Aa);break}}else nJ(q,wa,-1);while(0);wa=za;do if((qJ(wa)|0)==65536){za=f[wa+4>>2]|0;f[r>>2]=f[za>>2];Aa=r+4|0;cb=za+4|0;f[Aa>>2]=f[cb>>2];$a=r+8|0;f[$a>>2]=f[za+8>>2];f[r+12>>2]=f[za+12>>2];f[r+16>>2]=f[za+16>>2];f[r+20>>2]=f[za+20>>2];f[r+24>>2]=f[za+24>>2];f[r+28>>2]=f[za+28>>2];f[r+32>>2]=f[za+32>>2];Ra=f[za+36>>2]|0;f[r+36>>2]=Ra;f[r+40>>2]=$a;$a=r+48|0;Sa=r+44|0;f[Sa>>2]=$a;f[$a>>2]=0;f[r+52>>2]=0;if(Ra|0){$a=Ra+12|0;f[$a>>2]=(f[$a>>2]|0)+1}if((f[cb>>2]|0)<3){cb=f[za+44>>2]|0;$a=f[Sa>>2]|0;f[$a>>2]=f[cb>>2];f[$a+4>>2]=f[cb+4>>2];break}else{f[Aa>>2]=0;$T(r,za);break}}else nJ(r,wa,-1);while(0);do if((qJ(d)|0)==65536){wa=f[d+4>>2]|0;f[s>>2]=f[wa>>2];za=s+4|0;Aa=wa+4|0;f[za>>2]=f[Aa>>2];cb=s+8|0;f[cb>>2]=f[wa+8>>2];f[s+12>>2]=f[wa+12>>2];f[s+16>>2]=f[wa+16>>2];f[s+20>>2]=f[wa+20>>2];f[s+24>>2]=f[wa+24>>2];f[s+28>>2]=f[wa+28>>2];f[s+32>>2]=f[wa+32>>2];$a=f[wa+36>>2]|0;f[s+36>>2]=$a;f[s+40>>2]=cb;cb=s+48|0;Sa=s+44|0;f[Sa>>2]=cb;f[cb>>2]=0;f[s+52>>2]=0;if($a|0){cb=$a+12|0;f[cb>>2]=(f[cb>>2]|0)+1}if((f[Aa>>2]|0)<3){Aa=f[wa+44>>2]|0;cb=f[Sa>>2]|0;f[cb>>2]=f[Aa>>2];f[cb+4>>2]=f[Aa+4>>2];break}else{f[za>>2]=0;$T(s,wa);break}}else nJ(s,d,-1);while(0);do if((qJ(e)|0)==65536){d=f[e+4>>2]|0;f[t>>2]=f[d>>2];wa=t+4|0;za=d+4|0;f[wa>>2]=f[za>>2];Aa=t+8|0;f[Aa>>2]=f[d+8>>2];f[t+12>>2]=f[d+12>>2];f[t+16>>2]=f[d+16>>2];f[t+20>>2]=f[d+20>>2];f[t+24>>2]=f[d+24>>2];f[t+28>>2]=f[d+28>>2];f[t+32>>2]=f[d+32>>2];cb=f[d+36>>2]|0;f[t+36>>2]=cb;f[t+40>>2]=Aa;Aa=t+48|0;Sa=t+44|0;f[Sa>>2]=Aa;f[Aa>>2]=0;f[t+52>>2]=0;if(cb|0){Aa=cb+12|0;f[Aa>>2]=(f[Aa>>2]|0)+1}if((f[za>>2]|0)<3){za=f[d+44>>2]|0;Aa=f[Sa>>2]|0;f[Aa>>2]=f[za>>2];f[Aa+4>>2]=f[za+4>>2];break}else{f[wa>>2]=0;$T(t,d);break}}else nJ(t,e,-1);while(0);e=v+8|0;f[v>>2]=e;d=v+4|0;f[d>>2]=1032;wa=(db|0)!=0;za=(eb|0)!=0;Aa=(fb|0)!=0;Sa=(ta|za?Ya:0)+(wa?Ya:0)+(Aa?Ya:0)+(P?0:f[l>>2]|0)|0;cb=f[h+(g<<2)>>2]|0;if(ta){f[w>>2]=q;f[w+4>>2]=s;f[w+8>>2]=t;f[w+12>>2]=0;f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;YC(y,w,x,-1);ta=f[y+20>>2]|0;g=ya>>>0<ta>>>0?ya:ta;h=(Y(g,Sa)|0)+64|0;do if((f[d>>2]|0)>>>0<h>>>0){$a=f[v>>2]|0;if(($a|0)!=(e|0)){if($a|0)guc($a);f[v>>2]=e;f[d>>2]=1032}f[d>>2]=h;if(h>>>0<=1032){gb=e;break}$a=euc(h)|0;f[v>>2]=$a;gb=$a}else{f[d>>2]=h;gb=f[v>>2]|0}while(0);h=Y(g,Ya)|0;$a=wa?gb+h+15&-16:gb;Ra=wa?gb:0;gb=$a+h+15&-16;Qa=P?gb:Aa?gb+h+15&-16:gb;AV(r,_a,$a,g);_a=y+16|0;h=(ta|0)==0;bb=$a;$a=x+4|0;ab=F+4|0;Ha=Ra;m=Aa|Q;Ea=G+4|0;Da=I+4|0;Ca=x+8|0;Ba=K+4|0;Ua=H+4|0;Va=0;while(1){if(Va>>>0>=(f[_a>>2]|0)>>>0)break;if(!h){Xa=0;sa=f[x>>2]|0;Ga=f[$a>>2]|0;do{o=ta-Xa|0;Ta=o>>>0>g>>>0?g:o;o=Y(Ta,xa)|0;if(wa){f[F>>2]=o;f[ab>>2]=1;Gh[db&255](sa,1,0,1,Ra,1,F,0);hb=Ha}else hb=sa;Na=ua?bb:hb;Pa=ua?hb:bb;do if(m){Sh[cb&127](Na,1,Pa,1,gb,1,o,1,j);if(P){f[G>>2]=o;f[Ea>>2]=1;Gh[fb&255](gb,1,0,1,Ga,1,G,0);break}if(Aa){f[I>>2]=o;f[Da>>2]=1;Gh[fb&255](gb,1,0,1,Qa,1,I,0);Oa=f[Ca>>2]|0;f[K>>2]=Ta;f[Ba>>2]=1;Gh[Za&255](Qa,1,Oa,1,Ga,1,K,l)}else{Oa=f[Ca>>2]|0;f[H>>2]=Ta;f[Ua>>2]=1;Gh[Za&255](gb,1,Oa,1,Ga,1,H,l)}f[Ca>>2]=(f[Ca>>2]|0)+Ta}else Sh[cb&127](Na,1,Pa,1,Ga,1,o,1,j);while(0);o=Y(Ta,Ia)|0;sa=(f[x>>2]|0)+o|0;f[x>>2]=sa;o=Y(f[l>>2]|0,Ta)|0;Ga=(f[$a>>2]|0)+o|0;f[$a>>2]=Ga;Xa=Xa+g|0}while(ta>>>0>Xa>>>0)}ZC(y)|0;Va=Va+1|0}}else{f[w>>2]=q;f[w+4>>2]=r;f[w+8>>2]=s;f[w+12>>2]=t;f[w+16>>2]=0;f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;f[x+12>>2]=0;YC(y,w,x,-1);w=f[y+20>>2]|0;Va=(wa|Q|za|Aa)&ya>>>0<w>>>0?ya:w;ya=(Y(Va,Sa)|0)+64|0;do if((f[d>>2]|0)>>>0<ya>>>0){Sa=f[v>>2]|0;if((Sa|0)!=(e|0)){if(Sa|0)guc(Sa);f[v>>2]=e;f[d>>2]=1032}f[d>>2]=ya;if(ya>>>0<=1032){ib=e;break}Sa=euc(ya)|0;f[v>>2]=Sa;ib=Sa}else{f[d>>2]=ya;ib=f[v>>2]|0}while(0);ya=Y(Va,Ya)|0;Ya=wa?ib+ya+15&-16:ib;Sa=wa?ib:0;ta=za?Ya+ya+15&-16:Ya;g=za?Ya:0;Ya=P?ta:Aa?ta+ya+15&-16:ta;ya=y+16|0;$a=(w|0)==0;Ca=x+4|0;H=x+8|0;gb=z+4|0;Ua=za^1;za=Aa|Q;Q=B+4|0;K=D+4|0;Qa=x+12|0;Ba=E+4|0;I=C+4|0;Da=A+4|0;G=0;while(1){if(G>>>0>=(f[ya>>2]|0)>>>0)break;if(!$a){Ea=0;m=f[x>>2]|0;bb=f[Ca>>2]|0;hb=f[H>>2]|0;do{ua=w-Ea|0;Ha=ua>>>0>Va>>>0?Va:ua;ua=Y(Ha,xa)|0;if(wa){f[z>>2]=ua;f[gb>>2]=1;Gh[db&255](m,1,0,1,Sa,1,z,0);jb=ib;kb=f[x>>2]|0;lb=f[Ca>>2]|0}else{jb=m;kb=m;lb=bb}F=(kb|0)==(lb|0);if(F|Ua)mb=F?jb:bb;else{f[A>>2]=ua;f[Da>>2]=1;Gh[eb&255](bb,1,0,1,g,1,A,0);mb=g}do if(za){Sh[cb&127](jb,1,mb,1,ta,0,ua,1,j);if(P){f[B>>2]=ua;f[Q>>2]=1;Gh[fb&255](ta,1,0,1,hb,1,B,0);break}if(Aa){f[D>>2]=ua;f[K>>2]=1;Gh[fb&255](ta,1,0,1,Ya,1,D,0);F=f[Qa>>2]|0;f[E>>2]=Ha;f[Ba>>2]=1;Gh[Za&255](Ya,1,F,1,hb,1,E,l)}else{F=f[Qa>>2]|0;f[C>>2]=Ha;f[I>>2]=1;Gh[Za&255](ta,1,F,1,hb,1,C,l)}f[Qa>>2]=(f[Qa>>2]|0)+Ha}else Sh[cb&127](jb,1,mb,1,hb,1,ua,1,j);while(0);ua=Y(Ha,Ia)|0;m=(f[x>>2]|0)+ua|0;f[x>>2]=m;ua=Y(va,Ha)|0;bb=(f[Ca>>2]|0)+ua|0;f[Ca>>2]=bb;ua=Y(f[l>>2]|0,Ha)|0;hb=(f[H>>2]|0)+ua|0;f[H>>2]=hb;Ea=Ea+Va|0}while(w>>>0>Ea>>>0)}ZC(y)|0;G=G+1|0}}G=f[v>>2]|0;if((G|0)!=(e|0)){if(G|0)guc(G);f[v>>2]=e;f[d>>2]=1032}d=t+36|0;e=f[d>>2]|0;do if(e|0){v=e+12|0;G=f[v>>2]|0;f[v>>2]=G+-1;if((G|0)!=1)break;aU(t)}while(0);f[d>>2]=0;d=t+16|0;e=t+4|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[e>>2]|0)>0){d=f[t+40>>2]|0;G=0;do{f[d+(G<<2)>>2]=0;G=G+1|0}while((G|0)<(f[e>>2]|0))}e=f[t+44>>2]|0;if((e|0)!=(t+48|0))TC(e);e=s+36|0;t=f[e>>2]|0;do if(t|0){G=t+12|0;d=f[G>>2]|0;f[G>>2]=d+-1;if((d|0)!=1)break;aU(s)}while(0);f[e>>2]=0;e=s+16|0;t=s+4|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((f[t>>2]|0)>0){e=f[s+40>>2]|0;d=0;do{f[e+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[t>>2]|0))}t=f[s+44>>2]|0;if((t|0)!=(s+48|0))TC(t);t=r+36|0;s=f[t>>2]|0;do if(s|0){d=s+12|0;e=f[d>>2]|0;f[d>>2]=e+-1;if((e|0)!=1)break;aU(r)}while(0);f[t>>2]=0;t=r+16|0;s=r+4|0;f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;f[t+12>>2]=0;if((f[s>>2]|0)>0){t=f[r+40>>2]|0;e=0;do{f[t+(e<<2)>>2]=0;e=e+1|0}while((e|0)<(f[s>>2]|0))}s=f[r+44>>2]|0;if((s|0)!=(r+48|0))TC(s);s=q+36|0;r=f[s>>2]|0;do if(r|0){e=r+12|0;t=f[e>>2]|0;f[e>>2]=t+-1;if((t|0)!=1)break;aU(q)}while(0);f[s>>2]=0;s=q+16|0;r=q+4|0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;if((f[r>>2]|0)>0){s=f[q+40>>2]|0;t=0;do{f[s+(t<<2)>>2]=0;t=t+1|0}while((t|0)<(f[r>>2]|0))}r=f[q+44>>2]|0;if((r|0)!=(q+48|0))TC(r);u=k;return}function tW(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;GW(a,b,c,d,e,f,g,h);return}function uW(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;FW(a,b,c,d,e,f,g,h);return}function vW(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;EW(a,b,c,d,e,f,g,h);return}function wW(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;DW(a,b,c,d,e,f,g,h);return}function xW(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;CW(a,b,c,d,e,f,g,h);return}function yW(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;BW(a,b,c,d,e,f,g,h);return}function zW(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;AW(a,b,c,d,e,f,g,h);return}function AW(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0.0;i=h+-1|0;if(!h)return;h=g+-4|0;if((g|0)<4){j=(g|0)>0;k=c;l=e;m=a;n=i;while(1){if(j){o=0;do{p[l+(o<<3)>>3]=+p[m+(o<<3)>>3]+ +p[k+(o<<3)>>3];o=o+1|0}while((o|0)!=(g|0))}if(!n)break;else{k=k+d|0;l=l+f|0;m=m+b|0;n=n+-1|0}}return}n=g&-4;m=(n|0)<(g|0);l=c;c=e;e=a;a=i;while(1){i=0;do{k=i|1;q=+p[e+(k<<3)>>3]+ +p[l+(k<<3)>>3];p[c+(i<<3)>>3]=+p[e+(i<<3)>>3]+ +p[l+(i<<3)>>3];p[c+(k<<3)>>3]=q;k=i|2;j=i|3;q=+p[e+(j<<3)>>3]+ +p[l+(j<<3)>>3];p[c+(k<<3)>>3]=+p[e+(k<<3)>>3]+ +p[l+(k<<3)>>3];p[c+(j<<3)>>3]=q;i=i+4|0}while((i|0)<=(h|0));if(m){i=n;do{p[c+(i<<3)>>3]=+p[e+(i<<3)>>3]+ +p[l+(i<<3)>>3];i=i+1|0}while((i|0)!=(g|0))}if(!a)break;else{l=l+d|0;c=c+f|0;e=e+b|0;a=a+-1|0}}return}function BW(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0.0;i=h+-1|0;if(!h)return;h=g+-4|0;if((g|0)<4){j=(g|0)>0;k=c;l=e;m=a;o=i;while(1){if(j){p=0;do{n[l+(p<<2)>>2]=+n[m+(p<<2)>>2]+ +n[k+(p<<2)>>2];p=p+1|0}while((p|0)!=(g|0))}if(!o)break;else{k=k+d|0;l=l+f|0;m=m+b|0;o=o+-1|0}}return}o=g&-4;m=(o|0)<(g|0);l=c;c=e;e=a;a=i;while(1){i=0;do{k=i|1;q=+n[e+(k<<2)>>2]+ +n[l+(k<<2)>>2];n[c+(i<<2)>>2]=+n[e+(i<<2)>>2]+ +n[l+(i<<2)>>2];n[c+(k<<2)>>2]=q;k=i|2;j=i|3;q=+n[e+(j<<2)>>2]+ +n[l+(j<<2)>>2];n[c+(k<<2)>>2]=+n[e+(k<<2)>>2]+ +n[l+(k<<2)>>2];n[c+(j<<2)>>2]=q;i=i+4|0}while((i|0)<=(h|0));if(m){i=o;do{n[c+(i<<2)>>2]=+n[e+(i<<2)>>2]+ +n[l+(i<<2)>>2];i=i+1|0}while((i|0)!=(g|0))}if(!a)break;else{l=l+d|0;c=c+f|0;e=e+b|0;a=a+-1|0}}return}function CW(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0;j=i+-1|0;if(!i)return;i=h+-4|0;if((h|0)<4){k=(h|0)>0;l=c;m=e;n=a;o=j;while(1){if(k){p=0;do{f[m+(p<<2)>>2]=(f[l+(p<<2)>>2]|0)+(f[n+(p<<2)>>2]|0);p=p+1|0}while((p|0)!=(h|0))}if(!o)break;else{l=l+d|0;m=m+g|0;n=n+b|0;o=o+-1|0}}return}o=h&-4;n=(o|0)<(h|0);m=c;c=e;e=a;a=j;while(1){j=0;do{l=j|1;k=(f[m+(l<<2)>>2]|0)+(f[e+(l<<2)>>2]|0)|0;f[c+(j<<2)>>2]=(f[m+(j<<2)>>2]|0)+(f[e+(j<<2)>>2]|0);f[c+(l<<2)>>2]=k;k=j|2;l=j|3;p=(f[m+(l<<2)>>2]|0)+(f[e+(l<<2)>>2]|0)|0;f[c+(k<<2)>>2]=(f[m+(k<<2)>>2]|0)+(f[e+(k<<2)>>2]|0);f[c+(l<<2)>>2]=p;j=j+4|0}while((j|0)<=(i|0));if(n){j=o;do{f[c+(j<<2)>>2]=(f[m+(j<<2)>>2]|0)+(f[e+(j<<2)>>2]|0);j=j+1|0}while((j|0)!=(h|0))}if(!a)break;else{m=m+d|0;c=c+g|0;e=e+b|0;a=a+-1|0}}return}function DW(a,b,c,e,f,g,h,i){a=a|0;b=b|0;c=c|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;j=i+-1|0;if(!i)return;i=h+-4|0;if((h|0)<4){k=(h|0)>0;l=c;m=f;n=a;o=j;while(1){if(k){p=0;do{q=(d[l+(p<<1)>>1]|0)+(d[n+(p<<1)>>1]|0)|0;d[m+(p<<1)>>1]=(q+32768|0)>>>0<65536?q:(q|0)>0?32767:32768;p=p+1|0}while((p|0)!=(h|0))}if(!o)break;else{l=l+e|0;m=m+g|0;n=n+b|0;o=o+-1|0}}return}o=h&-4;n=(o|0)<(h|0);m=c;c=f;f=a;a=j;while(1){j=0;do{l=(d[m+(j<<1)>>1]|0)+(d[f+(j<<1)>>1]|0)|0;k=j|1;p=(d[m+(k<<1)>>1]|0)+(d[f+(k<<1)>>1]|0)|0;d[c+(j<<1)>>1]=(l+32768|0)>>>0<65536?l:(l|0)>0?32767:32768;d[c+(k<<1)>>1]=(p+32768|0)>>>0<65536?p:(p|0)>0?32767:32768;p=j|2;k=(d[m+(p<<1)>>1]|0)+(d[f+(p<<1)>>1]|0)|0;l=j|3;q=(d[m+(l<<1)>>1]|0)+(d[f+(l<<1)>>1]|0)|0;d[c+(p<<1)>>1]=(k+32768|0)>>>0<65536?k:(k|0)>0?32767:32768;d[c+(l<<1)>>1]=(q+32768|0)>>>0<65536?q:(q|0)>0?32767:32768;j=j+4|0}while((j|0)<=(i|0));if(n){j=o;do{q=(d[m+(j<<1)>>1]|0)+(d[f+(j<<1)>>1]|0)|0;d[c+(j<<1)>>1]=(q+32768|0)>>>0<65536?q:(q|0)>0?32767:32768;j=j+1|0}while((j|0)!=(h|0))}if(!a)break;else{m=m+e|0;c=c+g|0;f=f+b|0;a=a+-1|0}}return}function EW(a,b,c,e,f,g,h,i){a=a|0;b=b|0;c=c|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;k=i+-1|0;if(!i)return;i=h+-4|0;if((h|0)<4){l=(h|0)>0;m=c;n=f;o=a;p=k;while(1){if(l){q=0;do{r=(j[m+(q<<1)>>1]|0)+(j[o+(q<<1)>>1]|0)|0;d[n+(q<<1)>>1]=r>>>0<65536?r:r|0?65535:0;q=q+1|0}while((q|0)!=(h|0))}if(!p)break;else{m=m+e|0;n=n+g|0;o=o+b|0;p=p+-1|0}}return}p=h&-4;o=(p|0)<(h|0);n=c;c=f;f=a;a=k;while(1){k=0;do{m=(j[n+(k<<1)>>1]|0)+(j[f+(k<<1)>>1]|0)|0;l=k|1;q=(j[n+(l<<1)>>1]|0)+(j[f+(l<<1)>>1]|0)|0;d[c+(k<<1)>>1]=m>>>0<65536?m:m|0?65535:0;d[c+(l<<1)>>1]=q>>>0<65536?q:q|0?65535:0;q=k|2;l=(j[n+(q<<1)>>1]|0)+(j[f+(q<<1)>>1]|0)|0;m=k|3;r=(j[n+(m<<1)>>1]|0)+(j[f+(m<<1)>>1]|0)|0;d[c+(q<<1)>>1]=l>>>0<65536?l:l|0?65535:0;d[c+(m<<1)>>1]=r>>>0<65536?r:r|0?65535:0;k=k+4|0}while((k|0)<=(i|0));if(o){k=p;do{r=(j[n+(k<<1)>>1]|0)+(j[f+(k<<1)>>1]|0)|0;d[c+(k<<1)>>1]=r>>>0<65536?r:r|0?65535:0;k=k+1|0}while((k|0)!=(h|0))}if(!a)break;else{n=n+e|0;c=c+g|0;f=f+b|0;a=a+-1|0}}return}function FW(a,c,d,e,f,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;j=i+-1|0;if(!i)return;i=h+-4|0;if((h|0)<4){k=(h|0)>0;l=d;m=f;n=a;o=j;while(1){if(k){p=0;do{q=(b[l+p>>0]|0)+(b[n+p>>0]|0)|0;b[m+p>>0]=(q+128|0)>>>0<256?q:(q|0)>0?127:128;p=p+1|0}while((p|0)!=(h|0))}if(!o)break;else{l=l+e|0;m=m+g|0;n=n+c|0;o=o+-1|0}}return}o=h&-4;n=(o|0)<(h|0);m=d;d=f;f=a;a=j;while(1){j=0;do{l=(b[m+j>>0]|0)+(b[f+j>>0]|0)|0;k=j|1;p=(b[m+k>>0]|0)+(b[f+k>>0]|0)|0;b[d+j>>0]=(l+128|0)>>>0<256?l:(l|0)>0?127:128;b[d+k>>0]=(p+128|0)>>>0<256?p:(p|0)>0?127:128;p=j|2;k=(b[m+p>>0]|0)+(b[f+p>>0]|0)|0;l=j|3;q=(b[m+l>>0]|0)+(b[f+l>>0]|0)|0;b[d+p>>0]=(k+128|0)>>>0<256?k:(k|0)>0?127:128;b[d+l>>0]=(q+128|0)>>>0<256?q:(q|0)>0?127:128;j=j+4|0}while((j|0)<=(i|0));if(n){j=o;do{q=(b[m+j>>0]|0)+(b[f+j>>0]|0)|0;b[d+j>>0]=(q+128|0)>>>0<256?q:(q|0)>0?127:128;j=j+1|0}while((j|0)!=(h|0))}if(!a)break;else{m=m+e|0;d=d+g|0;f=f+c|0;a=a+-1|0}}return}function GW(a,c,d,e,f,g,i,j){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0;k=j+-1|0;if(!j)return;j=i+-4|0;if((i|0)<4){l=(i|0)>0;m=d;n=f;o=a;p=k;while(1){if(l){q=0;do{b[n+q>>0]=b[230562+((h[o+q>>0]|0|256)+(h[m+q>>0]|0))>>0]|0;q=q+1|0}while((q|0)!=(i|0))}if(!p)break;else{m=m+e|0;n=n+g|0;o=o+c|0;p=p+-1|0}}return}p=i&-4;o=(p|0)<(i|0);n=d;d=f;f=a;a=k;while(1){k=0;do{m=k|1;l=b[230562+((h[f+m>>0]|0|256)+(h[n+m>>0]|0))>>0]|0;b[d+k>>0]=b[230562+((h[f+k>>0]|0|256)+(h[n+k>>0]|0))>>0]|0;b[d+m>>0]=l;l=k|2;m=k|3;q=b[230562+((h[f+m>>0]|0|256)+(h[n+m>>0]|0))>>0]|0;b[d+l>>0]=b[230562+((h[f+l>>0]|0|256)+(h[n+l>>0]|0))>>0]|0;b[d+m>>0]=q;k=k+4|0}while((k|0)<=(j|0));if(o){k=p;do{b[d+k>>0]=b[230562+((h[f+k>>0]|0|256)+(h[n+k>>0]|0))>>0]|0;k=k+1|0}while((k|0)!=(i|0))}if(!a)break;else{n=n+e|0;d=d+g|0;f=f+c|0;a=a+-1|0}}return}function HW(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0;g=u;u=u+16|0;h=g;gV(h,48224);sW(a,b,c,d,e,48244,0,0,1);if(!(f[h+4>>2]|0)){u=g;return}u=g;return}function IW(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;VW(a,b,c,d,e,f,g,h);return}function JW(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;UW(a,b,c,d,e,f,g,h);return}function KW(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;TW(a,b,c,d,e,f,g,h);return}function LW(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;SW(a,b,c,d,e,f,g,h);return}function MW(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;RW(a,b,c,d,e,f,g,h);return}function NW(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;QW(a,b,c,d,e,f,g,h);return}function OW(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;PW(a,b,c,d,e,f,g,h);return}function PW(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0.0;i=h+-1|0;if(!h)return;h=g+-4|0;if((g|0)<4){j=(g|0)>0;k=c;l=e;m=a;n=i;while(1){if(j){o=0;do{p[l+(o<<3)>>3]=+p[m+(o<<3)>>3]-+p[k+(o<<3)>>3];o=o+1|0}while((o|0)!=(g|0))}if(!n)break;else{k=k+d|0;l=l+f|0;m=m+b|0;n=n+-1|0}}return}n=g&-4;m=(n|0)<(g|0);l=c;c=e;e=a;a=i;while(1){i=0;do{k=i|1;q=+p[e+(k<<3)>>3]-+p[l+(k<<3)>>3];p[c+(i<<3)>>3]=+p[e+(i<<3)>>3]-+p[l+(i<<3)>>3];p[c+(k<<3)>>3]=q;k=i|2;j=i|3;q=+p[e+(j<<3)>>3]-+p[l+(j<<3)>>3];p[c+(k<<3)>>3]=+p[e+(k<<3)>>3]-+p[l+(k<<3)>>3];p[c+(j<<3)>>3]=q;i=i+4|0}while((i|0)<=(h|0));if(m){i=n;do{p[c+(i<<3)>>3]=+p[e+(i<<3)>>3]-+p[l+(i<<3)>>3];i=i+1|0}while((i|0)!=(g|0))}if(!a)break;else{l=l+d|0;c=c+f|0;e=e+b|0;a=a+-1|0}}return}function QW(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0.0;i=h+-1|0;if(!h)return;h=g+-4|0;if((g|0)<4){j=(g|0)>0;k=c;l=e;m=a;o=i;while(1){if(j){p=0;do{n[l+(p<<2)>>2]=+n[m+(p<<2)>>2]-+n[k+(p<<2)>>2];p=p+1|0}while((p|0)!=(g|0))}if(!o)break;else{k=k+d|0;l=l+f|0;m=m+b|0;o=o+-1|0}}return}o=g&-4;m=(o|0)<(g|0);l=c;c=e;e=a;a=i;while(1){i=0;do{k=i|1;q=+n[e+(k<<2)>>2]-+n[l+(k<<2)>>2];n[c+(i<<2)>>2]=+n[e+(i<<2)>>2]-+n[l+(i<<2)>>2];n[c+(k<<2)>>2]=q;k=i|2;j=i|3;q=+n[e+(j<<2)>>2]-+n[l+(j<<2)>>2];n[c+(k<<2)>>2]=+n[e+(k<<2)>>2]-+n[l+(k<<2)>>2];n[c+(j<<2)>>2]=q;i=i+4|0}while((i|0)<=(h|0));if(m){i=o;do{n[c+(i<<2)>>2]=+n[e+(i<<2)>>2]-+n[l+(i<<2)>>2];i=i+1|0}while((i|0)!=(g|0))}if(!a)break;else{l=l+d|0;c=c+f|0;e=e+b|0;a=a+-1|0}}return}function RW(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0;j=i+-1|0;if(!i)return;i=h+-4|0;if((h|0)<4){k=(h|0)>0;l=c;m=e;n=a;o=j;while(1){if(k){p=0;do{f[m+(p<<2)>>2]=(f[n+(p<<2)>>2]|0)-(f[l+(p<<2)>>2]|0);p=p+1|0}while((p|0)!=(h|0))}if(!o)break;else{l=l+d|0;m=m+g|0;n=n+b|0;o=o+-1|0}}return}o=h&-4;n=(o|0)<(h|0);m=c;c=e;e=a;a=j;while(1){j=0;do{l=j|1;k=(f[e+(l<<2)>>2]|0)-(f[m+(l<<2)>>2]|0)|0;f[c+(j<<2)>>2]=(f[e+(j<<2)>>2]|0)-(f[m+(j<<2)>>2]|0);f[c+(l<<2)>>2]=k;k=j|2;l=j|3;p=(f[e+(l<<2)>>2]|0)-(f[m+(l<<2)>>2]|0)|0;f[c+(k<<2)>>2]=(f[e+(k<<2)>>2]|0)-(f[m+(k<<2)>>2]|0);f[c+(l<<2)>>2]=p;j=j+4|0}while((j|0)<=(i|0));if(n){j=o;do{f[c+(j<<2)>>2]=(f[e+(j<<2)>>2]|0)-(f[m+(j<<2)>>2]|0);j=j+1|0}while((j|0)!=(h|0))}if(!a)break;else{m=m+d|0;c=c+g|0;e=e+b|0;a=a+-1|0}}return}function SW(a,b,c,e,f,g,h,i){a=a|0;b=b|0;c=c|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;j=i+-1|0;if(!i)return;i=h+-4|0;if((h|0)<4){k=(h|0)>0;l=c;m=f;n=a;o=j;while(1){if(k){p=0;do{q=(d[n+(p<<1)>>1]|0)-(d[l+(p<<1)>>1]|0)|0;d[m+(p<<1)>>1]=(q+32768|0)>>>0<65536?q:(q|0)>0?32767:32768;p=p+1|0}while((p|0)!=(h|0))}if(!o)break;else{l=l+e|0;m=m+g|0;n=n+b|0;o=o+-1|0}}return}o=h&-4;n=(o|0)<(h|0);m=c;c=f;f=a;a=j;while(1){j=0;do{l=(d[f+(j<<1)>>1]|0)-(d[m+(j<<1)>>1]|0)|0;k=j|1;p=(d[f+(k<<1)>>1]|0)-(d[m+(k<<1)>>1]|0)|0;d[c+(j<<1)>>1]=(l+32768|0)>>>0<65536?l:(l|0)>0?32767:32768;d[c+(k<<1)>>1]=(p+32768|0)>>>0<65536?p:(p|0)>0?32767:32768;p=j|2;k=(d[f+(p<<1)>>1]|0)-(d[m+(p<<1)>>1]|0)|0;l=j|3;q=(d[f+(l<<1)>>1]|0)-(d[m+(l<<1)>>1]|0)|0;d[c+(p<<1)>>1]=(k+32768|0)>>>0<65536?k:(k|0)>0?32767:32768;d[c+(l<<1)>>1]=(q+32768|0)>>>0<65536?q:(q|0)>0?32767:32768;j=j+4|0}while((j|0)<=(i|0));if(n){j=o;do{q=(d[f+(j<<1)>>1]|0)-(d[m+(j<<1)>>1]|0)|0;d[c+(j<<1)>>1]=(q+32768|0)>>>0<65536?q:(q|0)>0?32767:32768;j=j+1|0}while((j|0)!=(h|0))}if(!a)break;else{m=m+e|0;c=c+g|0;f=f+b|0;a=a+-1|0}}return}function TW(a,b,c,e,f,g,h,i){a=a|0;b=b|0;c=c|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;k=i+-1|0;if(!i)return;i=h+-4|0;if((h|0)<4){l=(h|0)>0;m=c;n=f;o=a;p=k;while(1){if(l){q=0;do{r=(j[o+(q<<1)>>1]|0)-(j[m+(q<<1)>>1]|0)|0;d[n+(q<<1)>>1]=r>>>0<65536?r:(r|0)>0?65535:0;q=q+1|0}while((q|0)!=(h|0))}if(!p)break;else{m=m+e|0;n=n+g|0;o=o+b|0;p=p+-1|0}}return}p=h&-4;o=(p|0)<(h|0);n=c;c=f;f=a;a=k;while(1){k=0;do{m=(j[f+(k<<1)>>1]|0)-(j[n+(k<<1)>>1]|0)|0;l=k|1;q=(j[f+(l<<1)>>1]|0)-(j[n+(l<<1)>>1]|0)|0;d[c+(k<<1)>>1]=m>>>0<65536?m:(m|0)>0?65535:0;d[c+(l<<1)>>1]=q>>>0<65536?q:(q|0)>0?65535:0;q=k|2;l=(j[f+(q<<1)>>1]|0)-(j[n+(q<<1)>>1]|0)|0;m=k|3;r=(j[f+(m<<1)>>1]|0)-(j[n+(m<<1)>>1]|0)|0;d[c+(q<<1)>>1]=l>>>0<65536?l:(l|0)>0?65535:0;d[c+(m<<1)>>1]=r>>>0<65536?r:(r|0)>0?65535:0;k=k+4|0}while((k|0)<=(i|0));if(o){k=p;do{r=(j[f+(k<<1)>>1]|0)-(j[n+(k<<1)>>1]|0)|0;d[c+(k<<1)>>1]=r>>>0<65536?r:(r|0)>0?65535:0;k=k+1|0}while((k|0)!=(h|0))}if(!a)break;else{n=n+e|0;c=c+g|0;f=f+b|0;a=a+-1|0}}return}function UW(a,c,d,e,f,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;j=i+-1|0;if(!i)return;i=h+-4|0;if((h|0)<4){k=(h|0)>0;l=d;m=f;n=a;o=j;while(1){if(k){p=0;do{q=(b[n+p>>0]|0)-(b[l+p>>0]|0)|0;b[m+p>>0]=(q+128|0)>>>0<256?q:(q|0)>0?127:128;p=p+1|0}while((p|0)!=(h|0))}if(!o)break;else{l=l+e|0;m=m+g|0;n=n+c|0;o=o+-1|0}}return}o=h&-4;n=(o|0)<(h|0);m=d;d=f;f=a;a=j;while(1){j=0;do{l=(b[f+j>>0]|0)-(b[m+j>>0]|0)|0;k=j|1;p=(b[f+k>>0]|0)-(b[m+k>>0]|0)|0;b[d+j>>0]=(l+128|0)>>>0<256?l:(l|0)>0?127:128;b[d+k>>0]=(p+128|0)>>>0<256?p:(p|0)>0?127:128;p=j|2;k=(b[f+p>>0]|0)-(b[m+p>>0]|0)|0;l=j|3;q=(b[f+l>>0]|0)-(b[m+l>>0]|0)|0;b[d+p>>0]=(k+128|0)>>>0<256?k:(k|0)>0?127:128;b[d+l>>0]=(q+128|0)>>>0<256?q:(q|0)>0?127:128;j=j+4|0}while((j|0)<=(i|0));if(n){j=o;do{q=(b[f+j>>0]|0)-(b[m+j>>0]|0)|0;b[d+j>>0]=(q+128|0)>>>0<256?q:(q|0)>0?127:128;j=j+1|0}while((j|0)!=(h|0))}if(!a)break;else{m=m+e|0;d=d+g|0;f=f+c|0;a=a+-1|0}}return}function VW(a,c,d,e,f,g,i,j){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0;k=j+-1|0;if(!j)return;j=i+-4|0;if((i|0)<4){l=(i|0)>0;m=d;n=f;o=a;p=k;while(1){if(l){q=0;do{b[n+q>>0]=b[230562+((h[o+q>>0]|0|256)-(h[m+q>>0]|0))>>0]|0;q=q+1|0}while((q|0)!=(i|0))}if(!p)break;else{m=m+e|0;n=n+g|0;o=o+c|0;p=p+-1|0}}return}p=i&-4;o=(p|0)<(i|0);n=d;d=f;f=a;a=k;while(1){k=0;do{m=k|1;l=b[230562+((h[f+m>>0]|0|256)-(h[n+m>>0]|0))>>0]|0;b[d+k>>0]=b[230562+((h[f+k>>0]|0|256)-(h[n+k>>0]|0))>>0]|0;b[d+m>>0]=l;l=k|2;m=k|3;q=b[230562+((h[f+m>>0]|0|256)-(h[n+m>>0]|0))>>0]|0;b[d+l>>0]=b[230562+((h[f+l>>0]|0|256)-(h[n+l>>0]|0))>>0]|0;b[d+m>>0]=q;k=k+4|0}while((k|0)<=(j|0));if(o){k=p;do{b[d+k>>0]=b[230562+((h[f+k>>0]|0|256)-(h[n+k>>0]|0))>>0]|0;k=k+1|0}while((k|0)!=(i|0))}if(!a)break;else{n=n+e|0;d=d+g|0;f=f+c|0;a=a+-1|0}}return}function WW(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;gV(e,48276);sW(a,b,c,sK()|0,-1,48296,0,0,3);if(!(f[e+4>>2]|0)){u=d;return}u=d;return}function XW(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;iX(a,b,c,d,e,f,g,h);return}function YW(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;hX(a,b,c,d,e,f,g,h);return}function ZW(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;gX(a,b,c,d,e,f,g,h);return}function _W(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;fX(a,b,c,d,e,f,g,h);return}function $W(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;eX(a,b,c,d,e,f,g,h);return}function aX(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;dX(a,b,c,d,e,f,g,h);return}function bX(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;cX(a,b,c,d,e,f,g,h);return}function cX(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0.0,r=0.0;i=h+-1|0;if(!h)return;h=g+-4|0;if((g|0)<4){j=(g|0)>0;k=c;l=e;m=a;n=i;while(1){if(j){o=0;do{q=+L(+(+p[m+(o<<3)>>3]-+p[k+(o<<3)>>3]));p[l+(o<<3)>>3]=q;o=o+1|0}while((o|0)!=(g|0))}if(!n)break;else{k=k+d|0;l=l+f|0;m=m+b|0;n=n+-1|0}}return}n=g&-4;m=(n|0)<(g|0);l=c;c=e;e=a;a=i;while(1){i=0;do{q=+L(+(+p[e+(i<<3)>>3]-+p[l+(i<<3)>>3]));k=i|1;r=+L(+(+p[e+(k<<3)>>3]-+p[l+(k<<3)>>3]));p[c+(i<<3)>>3]=q;p[c+(k<<3)>>3]=r;k=i|2;r=+L(+(+p[e+(k<<3)>>3]-+p[l+(k<<3)>>3]));j=i|3;q=+L(+(+p[e+(j<<3)>>3]-+p[l+(j<<3)>>3]));p[c+(k<<3)>>3]=r;p[c+(j<<3)>>3]=q;i=i+4|0}while((i|0)<=(h|0));if(m){i=n;do{q=+L(+(+p[e+(i<<3)>>3]-+p[l+(i<<3)>>3]));p[c+(i<<3)>>3]=q;i=i+1|0}while((i|0)!=(g|0))}if(!a)break;else{l=l+d|0;c=c+f|0;e=e+b|0;a=a+-1|0}}return}function dX(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0.0,r=0.0;i=h+-1|0;if(!h)return;h=g+-4|0;if((g|0)<4){j=(g|0)>0;k=c;l=e;m=a;o=i;while(1){if(j){p=0;do{q=+L(+(+n[m+(p<<2)>>2]-+n[k+(p<<2)>>2]));n[l+(p<<2)>>2]=q;p=p+1|0}while((p|0)!=(g|0))}if(!o)break;else{k=k+d|0;l=l+f|0;m=m+b|0;o=o+-1|0}}return}o=g&-4;m=(o|0)<(g|0);l=c;c=e;e=a;a=i;while(1){i=0;do{q=+L(+(+n[e+(i<<2)>>2]-+n[l+(i<<2)>>2]));k=i|1;r=+L(+(+n[e+(k<<2)>>2]-+n[l+(k<<2)>>2]));n[c+(i<<2)>>2]=q;n[c+(k<<2)>>2]=r;k=i|2;r=+L(+(+n[e+(k<<2)>>2]-+n[l+(k<<2)>>2]));j=i|3;q=+L(+(+n[e+(j<<2)>>2]-+n[l+(j<<2)>>2]));n[c+(k<<2)>>2]=r;n[c+(j<<2)>>2]=q;i=i+4|0}while((i|0)<=(h|0));if(m){i=o;do{q=+L(+(+n[e+(i<<2)>>2]-+n[l+(i<<2)>>2]));n[c+(i<<2)>>2]=q;i=i+1|0}while((i|0)!=(g|0))}if(!a)break;else{l=l+d|0;c=c+f|0;e=e+b|0;a=a+-1|0}}return}function eX(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;j=i+-1|0;if(!i)return;i=h+-4|0;if((h|0)<4){k=(h|0)>0;l=c;m=e;n=a;o=j;while(1){if(k){p=0;do{q=f[n+(p<<2)>>2]|0;r=f[l+(p<<2)>>2]|0;f[m+(p<<2)>>2]=(q|0)>(r|0)?q-r|0:r-q|0;p=p+1|0}while((p|0)!=(h|0))}if(!o)break;else{l=l+d|0;m=m+g|0;n=n+b|0;o=o+-1|0}}return}o=h&-4;n=(o|0)<(h|0);m=c;c=e;e=a;a=j;while(1){j=0;do{l=f[e+(j<<2)>>2]|0;k=f[m+(j<<2)>>2]|0;p=j|1;q=f[e+(p<<2)>>2]|0;r=f[m+(p<<2)>>2]|0;f[c+(j<<2)>>2]=(l|0)>(k|0)?l-k|0:k-l|0;f[c+(p<<2)>>2]=(q|0)>(r|0)?q-r|0:r-q|0;q=j|2;r=f[e+(q<<2)>>2]|0;p=f[m+(q<<2)>>2]|0;l=j|3;k=f[e+(l<<2)>>2]|0;s=f[m+(l<<2)>>2]|0;f[c+(q<<2)>>2]=(r|0)>(p|0)?r-p|0:p-r|0;f[c+(l<<2)>>2]=(k|0)>(s|0)?k-s|0:s-k|0;j=j+4|0}while((j|0)<=(i|0));if(n){j=o;do{k=f[e+(j<<2)>>2]|0;s=f[m+(j<<2)>>2]|0;f[c+(j<<2)>>2]=(k|0)>(s|0)?k-s|0:s-k|0;j=j+1|0}while((j|0)!=(h|0))}if(!a)break;else{m=m+d|0;c=c+g|0;e=e+b|0;a=a+-1|0}}return}function fX(a,b,c,e,f,g,h,i){a=a|0;b=b|0;c=c|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;if(!i)return;j=h+-4|0;k=(h|0)<4;l=h&-4;m=c;c=f;f=a;a=i;while(1){a=a+-1|0;if(k)n=0;else{i=0;do{o=(d[f+(i<<1)>>1]|0)-(d[m+(i<<1)>>1]|0)|0;p=(o|0)>-1?o:0-o|0;o=i|1;q=(d[f+(o<<1)>>1]|0)-(d[m+(o<<1)>>1]|0)|0;r=(q|0)>-1?q:0-q|0;d[c+(i<<1)>>1]=(p+32768|0)>>>0<65536?p:(p|0)>0?32767:32768;d[c+(o<<1)>>1]=(r+32768|0)>>>0<65536?r:(r|0)>0?32767:32768;r=i|2;o=(d[f+(r<<1)>>1]|0)-(d[m+(r<<1)>>1]|0)|0;p=(o|0)>-1?o:0-o|0;o=i|3;q=(d[f+(o<<1)>>1]|0)-(d[m+(o<<1)>>1]|0)|0;s=(q|0)>-1?q:0-q|0;d[c+(r<<1)>>1]=(p+32768|0)>>>0<65536?p:(p|0)>0?32767:32768;d[c+(o<<1)>>1]=(s+32768|0)>>>0<65536?s:(s|0)>0?32767:32768;i=i+4|0}while((i|0)<=(j|0));n=l}if((n|0)<(h|0)){i=n;do{s=(d[f+(i<<1)>>1]|0)-(d[m+(i<<1)>>1]|0)|0;o=(s|0)>-1?s:0-s|0;d[c+(i<<1)>>1]=(o+32768|0)>>>0<65536?o:(o|0)>0?32767:32768;i=i+1|0}while((i|0)!=(h|0))}if(!a)break;else{m=m+e|0;c=c+g|0;f=f+b|0}}return}function gX(a,b,c,e,f,g,h,i){a=a|0;b=b|0;c=c|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;j=i+-1|0;if(!i)return;i=h+-4|0;if((h|0)<4){k=(h|0)>0;l=c;m=f;n=a;o=j;while(1){if(k){p=0;do{q=d[n+(p<<1)>>1]|0;r=d[l+(p<<1)>>1]|0;s=(q&65535)>(r&65535);d[m+(p<<1)>>1]=((s?q:r)&65535)-((s?r:q)&65535);p=p+1|0}while((p|0)!=(h|0))}if(!o)break;else{l=l+e|0;m=m+g|0;n=n+b|0;o=o+-1|0}}return}o=h&-4;n=(o|0)<(h|0);m=c;c=f;f=a;a=j;while(1){j=0;do{l=d[f+(j<<1)>>1]|0;k=d[m+(j<<1)>>1]|0;p=(l&65535)>(k&65535);q=j|1;r=d[f+(q<<1)>>1]|0;s=d[m+(q<<1)>>1]|0;t=(r&65535)>(s&65535);d[c+(j<<1)>>1]=((p?l:k)&65535)-((p?k:l)&65535);d[c+(q<<1)>>1]=((t?r:s)&65535)-((t?s:r)&65535);r=j|2;s=d[f+(r<<1)>>1]|0;t=d[m+(r<<1)>>1]|0;q=(s&65535)>(t&65535);l=j|3;k=d[f+(l<<1)>>1]|0;p=d[m+(l<<1)>>1]|0;u=(k&65535)>(p&65535);d[c+(r<<1)>>1]=((q?s:t)&65535)-((q?t:s)&65535);d[c+(l<<1)>>1]=((u?k:p)&65535)-((u?p:k)&65535);j=j+4|0}while((j|0)<=(i|0));if(n){j=o;do{k=d[f+(j<<1)>>1]|0;p=d[m+(j<<1)>>1]|0;u=(k&65535)>(p&65535);d[c+(j<<1)>>1]=((u?k:p)&65535)-((u?p:k)&65535);j=j+1|0}while((j|0)!=(h|0))}if(!a)break;else{m=m+e|0;c=c+g|0;f=f+b|0;a=a+-1|0}}return}function hX(a,c,d,e,f,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;j=i+-1|0;if(!i)return;i=h+-4|0;if((h|0)<4){k=(h|0)>0;l=d;m=f;n=a;o=j;while(1){if(k){p=0;do{q=(b[n+p>>0]|0)-(b[l+p>>0]|0)|0;r=(q|0)>-1?q:0-q|0;b[m+p>>0]=(r+128|0)>>>0<256?r:(r|0)>0?127:128;p=p+1|0}while((p|0)!=(h|0))}if(!o)break;else{l=l+e|0;m=m+g|0;n=n+c|0;o=o+-1|0}}return}o=h&-4;n=(o|0)<(h|0);m=d;d=f;f=a;a=j;while(1){j=0;do{l=(b[f+j>>0]|0)-(b[m+j>>0]|0)|0;k=(l|0)>-1?l:0-l|0;l=j|1;p=(b[f+l>>0]|0)-(b[m+l>>0]|0)|0;r=(p|0)>-1?p:0-p|0;b[d+j>>0]=(k+128|0)>>>0<256?k:(k|0)>0?127:128;b[d+l>>0]=(r+128|0)>>>0<256?r:(r|0)>0?127:128;r=j|2;l=(b[f+r>>0]|0)-(b[m+r>>0]|0)|0;k=(l|0)>-1?l:0-l|0;l=j|3;p=(b[f+l>>0]|0)-(b[m+l>>0]|0)|0;q=(p|0)>-1?p:0-p|0;b[d+r>>0]=(k+128|0)>>>0<256?k:(k|0)>0?127:128;b[d+l>>0]=(q+128|0)>>>0<256?q:(q|0)>0?127:128;j=j+4|0}while((j|0)<=(i|0));if(n){j=o;do{q=(b[f+j>>0]|0)-(b[m+j>>0]|0)|0;l=(q|0)>-1?q:0-q|0;b[d+j>>0]=(l+128|0)>>>0<256?l:(l|0)>0?127:128;j=j+1|0}while((j|0)!=(h|0))}if(!a)break;else{m=m+e|0;d=d+g|0;f=f+c|0;a=a+-1|0}}return}function iX(a,c,d,e,f,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;j=i+-1|0;if(!i)return;i=h+-4|0;if((h|0)<4){k=(h|0)>0;l=d;m=f;n=a;o=j;while(1){if(k){p=0;do{q=b[n+p>>0]|0;r=b[l+p>>0]|0;s=(q&255)>(r&255);b[m+p>>0]=((s?q:r)&255)-((s?r:q)&255);p=p+1|0}while((p|0)!=(h|0))}if(!o)break;else{l=l+e|0;m=m+g|0;n=n+c|0;o=o+-1|0}}return}o=h&-4;n=(o|0)<(h|0);m=d;d=f;f=a;a=j;while(1){j=0;do{l=b[f+j>>0]|0;k=b[m+j>>0]|0;p=(l&255)>(k&255);q=j|1;r=b[f+q>>0]|0;s=b[m+q>>0]|0;t=(r&255)>(s&255);b[d+j>>0]=((p?l:k)&255)-((p?k:l)&255);b[d+q>>0]=((t?r:s)&255)-((t?s:r)&255);r=j|2;s=b[f+r>>0]|0;t=b[m+r>>0]|0;q=(s&255)>(t&255);l=j|3;k=b[f+l>>0]|0;p=b[m+l>>0]|0;u=(k&255)>(p&255);b[d+r>>0]=((q?s:t)&255)-((q?t:s)&255);b[d+l>>0]=((u?k:p)&255)-((u?p:k)&255);j=j+4|0}while((j|0)<=(i|0));if(n){j=o;do{k=b[f+j>>0]|0;p=b[m+j>>0]|0;u=(k&255)>(p&255);b[d+j>>0]=((u?k:p)&255)-((u?p:k)&255);j=j+1|0}while((j|0)!=(h|0))}if(!a)break;else{m=m+e|0;d=d+g|0;f=f+c|0;a=a+-1|0}}return}function jX(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;var g=0,h=0,i=0,j=0,k=0;g=u;u=u+16|0;h=g;i=g+8|0;p[h>>3]=d;gV(i,48328);j=sK()|0;k=+L(+(d+-1.0))<2.220446049250313e-16;sW(a,b,c,j,e,48348,1,h,k?4:5);if(!(f[i+4>>2]|0)){u=g;return}u=g;return}function kX(a,c,d,e,f,g,i,j,k){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;var l=0.0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;l=+p[k>>3];k=j+-1|0;m=(j|0)==0;if(l==1.0){if(m)return;j=i+-4|0;if((i|0)<4){if((i|0)>0){n=d;o=f;q=a;r=k}else return;while(1){s=0;do{t=Y(h[n+s>>0]|0,h[q+s>>0]|0)|0;b[o+s>>0]=t>>>0<256?t:t|0?255:0;s=s+1|0}while((s|0)!=(i|0));if(!r)break;else{n=n+e|0;o=o+g|0;q=q+c|0;r=r+-1|0}}return}r=i&-4;q=(r|0)<(i|0);o=d;n=f;s=a;t=k;while(1){u=0;do{v=Y(h[o+u>>0]|0,h[s+u>>0]|0)|0;w=u|1;x=Y(h[o+w>>0]|0,h[s+w>>0]|0)|0;b[n+u>>0]=v>>>0<256?v:v|0?255:0;b[n+w>>0]=x>>>0<256?x:x|0?255:0;x=u|2;w=Y(h[o+x>>0]|0,h[s+x>>0]|0)|0;v=u|3;y=Y(h[o+v>>0]|0,h[s+v>>0]|0)|0;b[n+x>>0]=w>>>0<256?w:w|0?255:0;b[n+v>>0]=y>>>0<256?y:y|0?255:0;u=u+4|0}while((u|0)<=(j|0));if(q){u=r;do{y=Y(h[o+u>>0]|0,h[s+u>>0]|0)|0;b[n+u>>0]=y>>>0<256?y:y|0?255:0;u=u+1|0}while((u|0)!=(i|0))}if(!t)break;else{o=o+e|0;n=n+g|0;s=s+c|0;t=t+-1|0}}return}else{if(m)return;m=i+-4|0;if((i|0)<4){if((i|0)>0){z=d;A=f;B=a;C=k}else return;while(1){t=0;do{s=Ghc(l*+(h[B+t>>0]|0)*+(h[z+t>>0]|0))|0;b[A+t>>0]=s>>>0<256?s:(s|0)>0?255:0;t=t+1|0}while((t|0)!=(i|0));if(!C)break;else{z=z+e|0;A=A+g|0;B=B+c|0;C=C+-1|0}}return}C=i&-4;B=(C|0)<(i|0);A=d;d=f;f=a;a=k;while(1){k=0;do{z=Ghc(l*+(h[f+k>>0]|0)*+(h[A+k>>0]|0))|0;t=k|1;s=Ghc(l*+(h[f+t>>0]|0)*+(h[A+t>>0]|0))|0;b[d+k>>0]=z>>>0<256?z:(z|0)>0?255:0;b[d+t>>0]=s>>>0<256?s:(s|0)>0?255:0;s=k|2;t=Ghc(l*+(h[f+s>>0]|0)*+(h[A+s>>0]|0))|0;z=k|3;n=Ghc(l*+(h[f+z>>0]|0)*+(h[A+z>>0]|0))|0;b[d+s>>0]=t>>>0<256?t:(t|0)>0?255:0;b[d+z>>0]=n>>>0<256?n:(n|0)>0?255:0;k=k+4|0}while((k|0)<=(m|0));if(B){k=C;do{n=Ghc(l*+(h[f+k>>0]|0)*+(h[A+k>>0]|0))|0;b[d+k>>0]=n>>>0<256?n:(n|0)>0?255:0;k=k+1|0}while((k|0)!=(i|0))}if(!a)break;else{A=A+e|0;d=d+g|0;f=f+c|0;a=a+-1|0}}return}}function lX(a,c,d,e,f,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0.0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;k=+p[j>>3];j=i+-1|0;l=(i|0)==0;if(!(k==1.0)){if(l)return;i=h+-4|0;if((h|0)<4){if((h|0)>0){m=d;n=f;o=a;q=j}else return;while(1){r=0;do{s=Ghc(k*+(b[o+r>>0]|0)*+(b[m+r>>0]|0))|0;b[n+r>>0]=(s+128|0)>>>0<256?s:(s|0)>0?127:128;r=r+1|0}while((r|0)!=(h|0));if(!q)break;else{m=m+e|0;n=n+g|0;o=o+c|0;q=q+-1|0}}return}q=h&-4;o=(q|0)<(h|0);n=d;m=f;r=a;s=j;while(1){t=0;do{u=Ghc(k*+(b[r+t>>0]|0)*+(b[n+t>>0]|0))|0;v=t|1;w=Ghc(k*+(b[r+v>>0]|0)*+(b[n+v>>0]|0))|0;b[m+t>>0]=(u+128|0)>>>0<256?u:(u|0)>0?127:128;b[m+v>>0]=(w+128|0)>>>0<256?w:(w|0)>0?127:128;w=t|2;v=Ghc(k*+(b[r+w>>0]|0)*+(b[n+w>>0]|0))|0;u=t|3;x=Ghc(k*+(b[r+u>>0]|0)*+(b[n+u>>0]|0))|0;b[m+w>>0]=(v+128|0)>>>0<256?v:(v|0)>0?127:128;b[m+u>>0]=(x+128|0)>>>0<256?x:(x|0)>0?127:128;t=t+4|0}while((t|0)<=(i|0));if(o){t=q;do{x=Ghc(k*+(b[r+t>>0]|0)*+(b[n+t>>0]|0))|0;b[m+t>>0]=(x+128|0)>>>0<256?x:(x|0)>0?127:128;t=t+1|0}while((t|0)!=(h|0))}if(!s)break;else{n=n+e|0;m=m+g|0;r=r+c|0;s=s+-1|0}}return}if(l)return;l=h+-4|0;if((h|0)<4){if((h|0)>0){y=d;z=f;A=a;B=j}else return;while(1){s=0;do{r=Y(b[y+s>>0]|0,b[A+s>>0]|0)|0;b[z+s>>0]=(r+128|0)>>>0<256?r:(r|0)>0?127:128;s=s+1|0}while((s|0)!=(h|0));if(!B)break;else{y=y+e|0;z=z+g|0;A=A+c|0;B=B+-1|0}}return}B=h&-4;if((B|0)<(h|0)){C=d;D=f;E=a;F=j}else{A=d;d=f;f=a;a=j;while(1){j=0;do{z=Y(b[A+j>>0]|0,b[f+j>>0]|0)|0;y=j|1;s=Y(b[A+y>>0]|0,b[f+y>>0]|0)|0;b[d+j>>0]=(z+128|0)>>>0<256?z:(z|0)>0?127:128;b[d+y>>0]=(s+128|0)>>>0<256?s:(s|0)>0?127:128;s=j|2;y=Y(b[A+s>>0]|0,b[f+s>>0]|0)|0;z=j|3;r=Y(b[A+z>>0]|0,b[f+z>>0]|0)|0;b[d+s>>0]=(y+128|0)>>>0<256?y:(y|0)>0?127:128;b[d+z>>0]=(r+128|0)>>>0<256?r:(r|0)>0?127:128;j=j+4|0}while((j|0)<=(l|0));if(!a)break;else{A=A+e|0;d=d+g|0;f=f+c|0;a=a+-1|0}}return}while(1){a=0;do{f=Y(b[C+a>>0]|0,b[E+a>>0]|0)|0;d=a|1;A=Y(b[C+d>>0]|0,b[E+d>>0]|0)|0;b[D+a>>0]=(f+128|0)>>>0<256?f:(f|0)>0?127:128;b[D+d>>0]=(A+128|0)>>>0<256?A:(A|0)>0?127:128;A=a|2;d=Y(b[C+A>>0]|0,b[E+A>>0]|0)|0;f=a|3;j=Y(b[C+f>>0]|0,b[E+f>>0]|0)|0;b[D+A>>0]=(d+128|0)>>>0<256?d:(d|0)>0?127:128;b[D+f>>0]=(j+128|0)>>>0<256?j:(j|0)>0?127:128;a=a+4|0}while((a|0)<=(l|0));G=B;do{a=Y(b[C+G>>0]|0,b[E+G>>0]|0)|0;b[D+G>>0]=(a+128|0)>>>0<256?a:(a|0)>0?127:128;G=G+1|0}while((G|0)!=(h|0));if(!F)break;else{C=C+e|0;D=D+g|0;E=E+c|0;F=F+-1|0}}return}function mX(a,b,c,e,f,g,h,i,k){a=a|0;b=b|0;c=c|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;k=k|0;var l=0.0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0;l=+p[k>>3];k=b>>>1;b=e>>>1;e=g>>>1;g=i+-1|0;m=(i|0)==0;if(!(l==1.0)){if(m)return;i=h+-4|0;n=(h|0)<4;o=h&-4;q=c;r=f;s=a;t=g;while(1){if(n)u=0;else{v=0;do{w=Ghc(l*+(j[s+(v<<1)>>1]|0)*+(j[q+(v<<1)>>1]|0))|0;x=v|1;y=Ghc(l*+(j[s+(x<<1)>>1]|0)*+(j[q+(x<<1)>>1]|0))|0;d[r+(v<<1)>>1]=w>>>0<65536?w:(w|0)>0?65535:0;d[r+(x<<1)>>1]=y>>>0<65536?y:(y|0)>0?65535:0;y=v|2;x=Ghc(l*+(j[s+(y<<1)>>1]|0)*+(j[q+(y<<1)>>1]|0))|0;w=v|3;z=Ghc(l*+(j[s+(w<<1)>>1]|0)*+(j[q+(w<<1)>>1]|0))|0;d[r+(y<<1)>>1]=x>>>0<65536?x:(x|0)>0?65535:0;d[r+(w<<1)>>1]=z>>>0<65536?z:(z|0)>0?65535:0;v=v+4|0}while((v|0)<=(i|0));u=o}if((u|0)<(h|0)){v=u;do{z=Ghc(l*+(j[s+(v<<1)>>1]|0)*+(j[q+(v<<1)>>1]|0))|0;d[r+(v<<1)>>1]=z>>>0<65536?z:(z|0)>0?65535:0;v=v+1|0}while((v|0)!=(h|0))}if(!t)break;else{q=q+(b<<1)|0;r=r+(e<<1)|0;s=s+(k<<1)|0;t=t+-1|0}}return}if(m)return;m=h+-4|0;if((h|0)<4){if((h|0)>0){A=c;B=f;C=a;D=g}else return;while(1){t=0;do{s=Y(j[A+(t<<1)>>1]|0,j[C+(t<<1)>>1]|0)|0;d[B+(t<<1)>>1]=s>>>0<65536?s:s|0?65535:0;t=t+1|0}while((t|0)!=(h|0));if(!D)break;else{A=A+(b<<1)|0;B=B+(e<<1)|0;C=C+(k<<1)|0;D=D+-1|0}}return}D=h&-4;C=(D|0)<(h|0);B=c;c=f;f=a;a=g;while(1){g=0;do{A=Y(j[B+(g<<1)>>1]|0,j[f+(g<<1)>>1]|0)|0;t=g|1;s=Y(j[B+(t<<1)>>1]|0,j[f+(t<<1)>>1]|0)|0;d[c+(g<<1)>>1]=A>>>0<65536?A:A|0?65535:0;d[c+(t<<1)>>1]=s>>>0<65536?s:s|0?65535:0;s=g|2;t=Y(j[B+(s<<1)>>1]|0,j[f+(s<<1)>>1]|0)|0;A=g|3;r=Y(j[B+(A<<1)>>1]|0,j[f+(A<<1)>>1]|0)|0;d[c+(s<<1)>>1]=t>>>0<65536?t:t|0?65535:0;d[c+(A<<1)>>1]=r>>>0<65536?r:r|0?65535:0;g=g+4|0}while((g|0)<=(m|0));if(C){g=D;do{r=Y(j[B+(g<<1)>>1]|0,j[f+(g<<1)>>1]|0)|0;d[c+(g<<1)>>1]=r>>>0<65536?r:r|0?65535:0;g=g+1|0}while((g|0)!=(h|0))}if(!a)break;else{B=B+(b<<1)|0;c=c+(e<<1)|0;f=f+(k<<1)|0;a=a+-1|0}}return}function nX(a,b,c,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0.0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;k=+p[j>>3];j=b>>>1;b=e>>>1;e=g>>>1;g=i+-1|0;l=(i|0)==0;if(!(k==1.0)){if(l)return;i=h+-4|0;m=(h|0)<4;n=h&-4;o=c;q=f;r=a;s=g;while(1){if(m)t=0;else{u=0;do{v=Ghc(k*+(d[r+(u<<1)>>1]|0)*+(d[o+(u<<1)>>1]|0))|0;w=u|1;x=Ghc(k*+(d[r+(w<<1)>>1]|0)*+(d[o+(w<<1)>>1]|0))|0;d[q+(u<<1)>>1]=(v+32768|0)>>>0<65536?v:(v|0)>0?32767:32768;d[q+(w<<1)>>1]=(x+32768|0)>>>0<65536?x:(x|0)>0?32767:32768;x=u|2;w=Ghc(k*+(d[r+(x<<1)>>1]|0)*+(d[o+(x<<1)>>1]|0))|0;v=u|3;y=Ghc(k*+(d[r+(v<<1)>>1]|0)*+(d[o+(v<<1)>>1]|0))|0;d[q+(x<<1)>>1]=(w+32768|0)>>>0<65536?w:(w|0)>0?32767:32768;d[q+(v<<1)>>1]=(y+32768|0)>>>0<65536?y:(y|0)>0?32767:32768;u=u+4|0}while((u|0)<=(i|0));t=n}if((t|0)<(h|0)){u=t;do{y=Ghc(k*+(d[r+(u<<1)>>1]|0)*+(d[o+(u<<1)>>1]|0))|0;d[q+(u<<1)>>1]=(y+32768|0)>>>0<65536?y:(y|0)>0?32767:32768;u=u+1|0}while((u|0)!=(h|0))}if(!s)break;else{o=o+(b<<1)|0;q=q+(e<<1)|0;r=r+(j<<1)|0;s=s+-1|0}}return}if(l)return;l=h+-4|0;if((h|0)<4){if((h|0)>0){z=c;A=f;B=a;C=g}else return;while(1){s=0;do{r=Y(d[z+(s<<1)>>1]|0,d[B+(s<<1)>>1]|0)|0;d[A+(s<<1)>>1]=(r+32768|0)>>>0<65536?r:(r|0)>0?32767:32768;s=s+1|0}while((s|0)!=(h|0));if(!C)break;else{z=z+(b<<1)|0;A=A+(e<<1)|0;B=B+(j<<1)|0;C=C+-1|0}}return}C=h&-4;B=(C|0)<(h|0);A=c;c=f;f=a;a=g;while(1){g=0;do{z=Y(d[A+(g<<1)>>1]|0,d[f+(g<<1)>>1]|0)|0;s=g|1;r=Y(d[A+(s<<1)>>1]|0,d[f+(s<<1)>>1]|0)|0;d[c+(g<<1)>>1]=(z+32768|0)>>>0<65536?z:(z|0)>0?32767:32768;d[c+(s<<1)>>1]=(r+32768|0)>>>0<65536?r:(r|0)>0?32767:32768;r=g|2;s=Y(d[A+(r<<1)>>1]|0,d[f+(r<<1)>>1]|0)|0;z=g|3;q=Y(d[A+(z<<1)>>1]|0,d[f+(z<<1)>>1]|0)|0;d[c+(r<<1)>>1]=(s+32768|0)>>>0<65536?s:(s|0)>0?32767:32768;d[c+(z<<1)>>1]=(q+32768|0)>>>0<65536?q:(q|0)>0?32767:32768;g=g+4|0}while((g|0)<=(l|0));if(B){g=C;do{q=Y(d[A+(g<<1)>>1]|0,d[f+(g<<1)>>1]|0)|0;d[c+(g<<1)>>1]=(q+32768|0)>>>0<65536?q:(q|0)>0?32767:32768;g=g+1|0}while((g|0)!=(h|0))}if(!a)break;else{A=A+(b<<1)|0;c=c+(e<<1)|0;f=f+(j<<1)|0;a=a+-1|0}}return}function oX(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0.0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;k=+p[j>>3];j=b>>>2;b=d>>>2;d=g>>>2;g=i+-1|0;l=(i|0)==0;if(!(k==1.0)){if(l)return;i=h+-4|0;if((h|0)<4){if((h|0)>0){m=c;n=e;o=a;q=g}else return;while(1){r=0;do{s=Fhc(k*+(f[o+(r<<2)>>2]|0)*+(f[m+(r<<2)>>2]|0))|0;f[n+(r<<2)>>2]=s;r=r+1|0}while((r|0)!=(h|0));if(!q)break;else{m=m+(b<<2)|0;n=n+(d<<2)|0;o=o+(j<<2)|0;q=q+-1|0}}return}q=h&-4;o=(q|0)<(h|0);n=c;m=e;r=a;s=g;while(1){t=0;do{u=Fhc(k*+(f[r+(t<<2)>>2]|0)*+(f[n+(t<<2)>>2]|0))|0;v=t|1;w=Fhc(k*+(f[r+(v<<2)>>2]|0)*+(f[n+(v<<2)>>2]|0))|0;f[m+(t<<2)>>2]=u;f[m+(v<<2)>>2]=w;w=t|2;v=Fhc(k*+(f[r+(w<<2)>>2]|0)*+(f[n+(w<<2)>>2]|0))|0;u=t|3;x=Fhc(k*+(f[r+(u<<2)>>2]|0)*+(f[n+(u<<2)>>2]|0))|0;f[m+(w<<2)>>2]=v;f[m+(u<<2)>>2]=x;t=t+4|0}while((t|0)<=(i|0));if(o){t=q;do{x=Fhc(k*+(f[r+(t<<2)>>2]|0)*+(f[n+(t<<2)>>2]|0))|0;f[m+(t<<2)>>2]=x;t=t+1|0}while((t|0)!=(h|0))}if(!s)break;else{n=n+(b<<2)|0;m=m+(d<<2)|0;r=r+(j<<2)|0;s=s+-1|0}}return}if(l)return;l=h+-4|0;if((h|0)<4){if((h|0)>0){y=c;z=e;A=a;B=g}else return;while(1){s=0;do{r=Y(f[y+(s<<2)>>2]|0,f[A+(s<<2)>>2]|0)|0;f[z+(s<<2)>>2]=r;s=s+1|0}while((s|0)!=(h|0));if(!B)break;else{y=y+(b<<2)|0;z=z+(d<<2)|0;A=A+(j<<2)|0;B=B+-1|0}}return}B=h&-4;if((B|0)<(h|0)){C=c;D=e;E=a;F=g}else{A=c;c=e;e=a;a=g;while(1){g=0;do{z=Y(f[A+(g<<2)>>2]|0,f[e+(g<<2)>>2]|0)|0;y=g|1;s=Y(f[A+(y<<2)>>2]|0,f[e+(y<<2)>>2]|0)|0;f[c+(g<<2)>>2]=z;f[c+(y<<2)>>2]=s;s=g|2;y=Y(f[A+(s<<2)>>2]|0,f[e+(s<<2)>>2]|0)|0;z=g|3;r=Y(f[A+(z<<2)>>2]|0,f[e+(z<<2)>>2]|0)|0;f[c+(s<<2)>>2]=y;f[c+(z<<2)>>2]=r;g=g+4|0}while((g|0)<=(l|0));if(!a)break;else{A=A+(b<<2)|0;c=c+(d<<2)|0;e=e+(j<<2)|0;a=a+-1|0}}return}while(1){a=0;do{e=Y(f[C+(a<<2)>>2]|0,f[E+(a<<2)>>2]|0)|0;c=a|1;A=Y(f[C+(c<<2)>>2]|0,f[E+(c<<2)>>2]|0)|0;f[D+(a<<2)>>2]=e;f[D+(c<<2)>>2]=A;A=a|2;c=Y(f[C+(A<<2)>>2]|0,f[E+(A<<2)>>2]|0)|0;e=a|3;g=Y(f[C+(e<<2)>>2]|0,f[E+(e<<2)>>2]|0)|0;f[D+(A<<2)>>2]=c;f[D+(e<<2)>>2]=g;a=a+4|0}while((a|0)<=(l|0));G=B;do{a=Y(f[C+(G<<2)>>2]|0,f[E+(G<<2)>>2]|0)|0;f[D+(G<<2)>>2]=a;G=G+1|0}while((G|0)!=(h|0));if(!F)break;else{C=C+(b<<2)|0;D=D+(d<<2)|0;E=E+(j<<2)|0;F=F+-1|0}}return}function pX(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;var j=0.0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,u=0,v=0.0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;j=+p[i>>3];i=b>>>2;b=d>>>2;d=f>>>2;f=h+-1|0;k=(h|0)==0;if(!(j==1.0)){if(k)return;h=g+-4|0;if((g|0)<4){if((g|0)>0){l=c;m=e;o=a;q=f}else return;while(1){r=0;do{n[m+(r<<2)>>2]=j*+n[o+(r<<2)>>2]*+n[l+(r<<2)>>2];r=r+1|0}while((r|0)!=(g|0));if(!q)break;else{l=l+(b<<2)|0;m=m+(d<<2)|0;o=o+(i<<2)|0;q=q+-1|0}}return}q=g&-4;o=(q|0)<(g|0);m=c;l=e;r=a;s=f;while(1){t=0;do{u=t|1;v=j*+n[r+(u<<2)>>2]*+n[m+(u<<2)>>2];n[l+(t<<2)>>2]=j*+n[r+(t<<2)>>2]*+n[m+(t<<2)>>2];n[l+(u<<2)>>2]=v;u=t|2;w=t|3;v=j*+n[r+(w<<2)>>2]*+n[m+(w<<2)>>2];n[l+(u<<2)>>2]=j*+n[r+(u<<2)>>2]*+n[m+(u<<2)>>2];n[l+(w<<2)>>2]=v;t=t+4|0}while((t|0)<=(h|0));if(o){t=q;do{n[l+(t<<2)>>2]=j*+n[r+(t<<2)>>2]*+n[m+(t<<2)>>2];t=t+1|0}while((t|0)!=(g|0))}if(!s)break;else{m=m+(b<<2)|0;l=l+(d<<2)|0;r=r+(i<<2)|0;s=s+-1|0}}return}if(k)return;k=g+-4|0;if((g|0)<4){if((g|0)>0){x=c;y=e;z=a;A=f}else return;while(1){s=0;do{n[y+(s<<2)>>2]=+n[z+(s<<2)>>2]*+n[x+(s<<2)>>2];s=s+1|0}while((s|0)!=(g|0));if(!A)break;else{x=x+(b<<2)|0;y=y+(d<<2)|0;z=z+(i<<2)|0;A=A+-1|0}}return}A=g&-4;if((A|0)<(g|0)){B=c;C=e;D=a;E=f}else{z=c;c=e;e=a;a=f;while(1){f=0;do{y=f|1;j=+n[e+(y<<2)>>2]*+n[z+(y<<2)>>2];n[c+(f<<2)>>2]=+n[e+(f<<2)>>2]*+n[z+(f<<2)>>2];n[c+(y<<2)>>2]=j;y=f|2;x=f|3;j=+n[e+(x<<2)>>2]*+n[z+(x<<2)>>2];n[c+(y<<2)>>2]=+n[e+(y<<2)>>2]*+n[z+(y<<2)>>2];n[c+(x<<2)>>2]=j;f=f+4|0}while((f|0)<=(k|0));if(!a)break;else{z=z+(b<<2)|0;c=c+(d<<2)|0;e=e+(i<<2)|0;a=a+-1|0}}return}while(1){a=0;do{e=a|1;j=+n[D+(e<<2)>>2]*+n[B+(e<<2)>>2];n[C+(a<<2)>>2]=+n[D+(a<<2)>>2]*+n[B+(a<<2)>>2];n[C+(e<<2)>>2]=j;e=a|2;c=a|3;j=+n[D+(c<<2)>>2]*+n[B+(c<<2)>>2];n[C+(e<<2)>>2]=+n[D+(e<<2)>>2]*+n[B+(e<<2)>>2];n[C+(c<<2)>>2]=j;a=a+4|0}while((a|0)<=(k|0));F=A;do{n[C+(F<<2)>>2]=+n[D+(F<<2)>>2]*+n[B+(F<<2)>>2];F=F+1|0}while((F|0)!=(g|0));if(!E)break;else{B=B+(b<<2)|0;C=C+(d<<2)|0;D=D+(i<<2)|0;E=E+-1|0}}return}
function MNb(a,c){a=a|0;c=c|0;if(!c)return;MNb(a,f[c>>2]|0);MNb(a,f[c+4>>2]|0);a=c+16|0;if((b[a+11>>0]|0)<0)fuc(f[a>>2]|0);fuc(c);return}function NNb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;d=a+4|0;a=f[d>>2]|0;do if(a|0){e=b[c+11>>0]|0;g=e<<24>>24<0;h=g?f[c+4>>2]|0:e&255;e=g?f[c>>2]|0:c;g=d;i=a;a:while(1){j=i;while(1){k=j+16|0;l=b[k+11>>0]|0;m=l<<24>>24<0;n=m?f[j+20>>2]|0:l&255;l=h>>>0<n>>>0?h:n;if((l|0)!=0?(o=ahc(m?f[k>>2]|0:k,e,l)|0,(o|0)!=0):0){if((o|0)>=0)break}else p=6;if((p|0)==6?(p=0,n>>>0>=h>>>0):0)break;n=f[j+4>>2]|0;if(!n){q=g;break a}else j=n}i=f[j>>2]|0;if(!i){q=j;break}else g=j}if((q|0)!=(d|0)){g=q+16|0;i=b[g+11>>0]|0;n=i<<24>>24<0;o=n?f[q+20>>2]|0:i&255;i=o>>>0<h>>>0?o:h;if(i|0?(l=ahc(e,n?f[g>>2]|0:g,i)|0,l|0):0){if((l|0)<0)break;else r=q;return r|0}if(h>>>0>=o>>>0){r=q;return r|0}}}while(0);r=d;return r|0}function ONb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0;c=u;u=u+16|0;d=c;e=PNb(a,d,b)|0;g=f[e>>2]|0;if(g|0){h=g;i=h+28|0;u=c;return i|0}g=cuc(32)|0;ouc(g+16|0,b);f[g+28>>2]=0;b=f[d>>2]|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=b;f[e>>2]=g;b=f[f[a>>2]>>2]|0;if(!b)j=g;else{f[a>>2]=b;j=f[e>>2]|0}jI(f[a+4>>2]|0,j);j=a+8|0;f[j>>2]=(f[j>>2]|0)+1;h=g;i=h+28|0;u=c;return i|0}function PNb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;e=a+4|0;g=f[e>>2]|0;if(!g){f[c>>2]=e;h=e;return h|0}e=b[d+11>>0]|0;i=e<<24>>24<0;j=i?f[d+4>>2]|0:e&255;e=i?f[d>>2]|0:d;d=a+4|0;a=g;while(1){g=a+16|0;i=b[g+11>>0]|0;k=i<<24>>24<0;l=k?f[a+20>>2]|0:i&255;i=l>>>0<j>>>0;m=i?l:j;if((m|0)!=0?(n=ahc(e,k?f[g>>2]|0:g,m)|0,(n|0)!=0):0)if((n|0)<0)o=8;else o=10;else if(j>>>0<l>>>0)o=8;else o=10;if((o|0)==8){o=0;n=f[a>>2]|0;if(!n){o=9;break}else{p=a;q=n}}else if((o|0)==10){o=0;n=j>>>0<l>>>0?j:l;if((n|0)!=0?(l=ahc(k?f[g>>2]|0:g,e,n)|0,(l|0)!=0):0){if((l|0)>=0){o=16;break}}else o=12;if((o|0)==12?(o=0,!i):0){o=16;break}r=a+4|0;i=f[r>>2]|0;if(!i){o=15;break}else{p=r;q=i}}d=p;a=q}if((o|0)==9){f[c>>2]=a;h=a;return h|0}else if((o|0)==15){f[c>>2]=a;h=r;return h|0}else if((o|0)==16){f[c>>2]=a;h=d;return h|0}return 0}function QNb(){var a=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;a=u;u=u+48|0;c=a+36|0;d=a+24|0;e=a+12|0;g=a;h=cuc(12)|0;i=h+4|0;f[i>>2]=0;f[h+8>>2]=0;f[h>>2]=i;f[224986]=h;i=e+8|0;j=e+4|0;k=d+11|0;l=e+11|0;m=g+11|0;n=g+5|0;o=d+11|0;p=e+11|0;q=0;r=h;while(1){h=cuc(32)|0;f[e>>2]=h;f[i>>2]=-2147483616;f[j>>2]=16;s=h;t=493029;v=s+16|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));b[h+16>>0]=0;t=f[152044+(q<<2)>>2]|0;s=Duc(e,t)|0;f[d>>2]=f[s>>2];f[d+4>>2]=f[s+4>>2];f[d+8>>2]=f[s+8>>2];f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;s=iI(r,c,d)|0;if(!(f[s>>2]|0)){v=cuc(28)|0;w=v+16|0;f[w>>2]=f[d>>2];f[w+4>>2]=f[d+4>>2];f[w+8>>2]=f[d+8>>2];f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;w=f[c>>2]|0;f[v>>2]=0;f[v+4>>2]=0;f[v+8>>2]=w;f[s>>2]=v;w=f[f[r>>2]>>2]|0;if(!w)x=v;else{f[r>>2]=w;x=f[s>>2]|0}jI(f[r+4>>2]|0,x);s=r+8|0;f[s>>2]=(f[s>>2]|0)+1}if((b[k>>0]|0)<0)fuc(f[d>>2]|0);if((b[l>>0]|0)<0)fuc(f[e>>2]|0);s=f[224986]|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;b[m>>0]=5;b[g>>0]=b[493046]|0;b[g+1>>0]=b[493047]|0;b[g+2>>0]=b[493048]|0;b[g+3>>0]=b[493049]|0;b[g+4>>0]=b[493050]|0;b[n>>0]=0;w=Duc(g,493052)|0;f[e>>2]=f[w>>2];f[e+4>>2]=f[w+4>>2];f[e+8>>2]=f[w+8>>2];f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;w=Duc(e,t)|0;f[d>>2]=f[w>>2];f[d+4>>2]=f[w+4>>2];f[d+8>>2]=f[w+8>>2];f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;w=iI(s,c,d)|0;if(!(f[w>>2]|0)){t=cuc(28)|0;v=t+16|0;f[v>>2]=f[d>>2];f[v+4>>2]=f[d+4>>2];f[v+8>>2]=f[d+8>>2];f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;v=f[c>>2]|0;f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=v;f[w>>2]=t;v=f[f[s>>2]>>2]|0;if(!v)y=t;else{f[s>>2]=v;y=f[w>>2]|0}jI(f[s+4>>2]|0,y);w=s+8|0;f[w>>2]=(f[w>>2]|0)+1}if((b[o>>0]|0)<0)fuc(f[d>>2]|0);if((b[p>>0]|0)<0)fuc(f[e>>2]|0);if((b[m>>0]|0)<0)fuc(f[g>>2]|0);w=q+1|0;if(w>>>0>=8)break;q=w;r=f[224986]|0}$Kb(131);u=a;return}function RNb(a){a=a|0;SNb(a);return}function SNb(a){a=a|0;var c=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;c=u;u=u+96|0;e=c+56|0;g=c+80|0;h=c+48|0;i=c+36|0;j=c+24|0;k=c;l=c+92|0;m=a+20|0;if(!(b[(f[m>>2]|0)+49>>0]|0)){iLb(e,3,490877,6998);fLb(c+93|0,dLb(e,492936)|0);jLb(e)}e=f[a+72>>2]|0;if(e|0){n=a+28|0;TNb(g,f[(f[m>>2]|0)+8>>2]|0,e,0);switch(f[g>>2]|0){case 1:{f[n>>2]=11;f[a+60>>2]=f[g+4>>2];break}case 4:{f[n>>2]=14;f[a+64>>2]=f[g+4>>2];break}default:{}}}n=a+64|0;e=f[n>>2]|0;if(!e){u=c;return}o=a+80|0;if(f[o>>2]|0){u=c;return}p=a+76|0;if(f[p>>2]|0){ouc(g,f[e+4>>2]|0);e=Ouc(g,46,-1)|0;if((e|0)!=-1){puc(j,g,0,e,g);e=Duc(j,531099)|0;f[i>>2]=f[e>>2];f[i+4>>2]=f[e+4>>2];f[i+8>>2]=f[e+8>>2];f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;e=f[p>>2]|0;a=b[e+11>>0]|0;q=a<<24>>24<0;r=Cuc(i,q?f[e>>2]|0:e,q?f[e+4>>2]|0:a&255)|0;a=f[r>>2]|0;e=r+4|0;f[h>>2]=f[e>>2];d[h+4>>1]=d[e+4>>1]|0;b[h+6>>0]=b[e+6>>0]|0;e=b[r+11>>0]|0;f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;r=g+11|0;if((b[r>>0]|0)<0){b[f[g>>2]>>0]=0;f[g+4>>2]=0}else{b[g>>0]=0;b[r>>0]=0}vuc(g,0);f[g>>2]=a;a=g+4|0;f[a>>2]=f[h>>2];d[a+4>>1]=d[h+4>>1]|0;b[a+6>>0]=b[h+6>>0]|0;b[g+11>>0]=e;f[h>>2]=0;d[h+4>>1]=0;b[h+6>>0]=0;if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0);if((b[j+11>>0]|0)<0)fuc(f[j>>2]|0)}else ruc(g,f[p>>2]|0)|0;TNb(h,f[(f[m>>2]|0)+8>>2]|0,g,0);if((f[h>>2]|0)==5)f[o>>2]=f[h+4>>2];if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);if(f[o>>2]|0){u=c;return}}g=f[n>>2]|0;if(!(f[g+24>>2]|0)){iLb(k,3,490877,7030);fLb(l,dLb(k,492987)|0);jLb(k);s=f[n>>2]|0}else s=g;f[o>>2]=f[s+28>>2];u=c;return}function TNb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0;e=u;u=u+32|0;g=e+12|0;h=e;ouc(g,d);d=g+11|0;i=b[d>>0]|0;j=i<<24>>24<0;k=g+4|0;if((j?f[k>>2]|0:i&255)|0?(b[(j?f[g>>2]|0:g)>>0]|0)==46:0){puc(h,g,1,-1,g);if((b[d>>0]|0)<0){b[f[g>>2]>>0]=0;f[k>>2]=0}else{b[g>>0]=0;b[d>>0]=0}vuc(g,0);f[g>>2]=f[h>>2];f[g+4>>2]=f[h+4>>2];f[g+8>>2]=f[h+8>>2]}KMb(a,f[c+16>>2]|0,c,g);if((b[d>>0]|0)>=0){u=e;return}fuc(f[g>>2]|0);u=e;return}function UNb(){var a=0;a=f[224986]|0;if(!a)return;gI(a,f[a+4>>2]|0);fuc(a);return}function VNb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;e=u;u=u+32|0;g=e+16|0;h=e;i=f[c+24>>2]|0;if(i|0?(f[i>>2]|0)!=2:0){f[g>>2]=110384;f[g+4>>2]=1962;b[g+8>>0]=0;f[g+12>>2]=c;xLb(i,g)}i=f[c+60>>2]|0;if(f[i+72>>2]|0){j=0;u=e;return j|0}if((f[c+32>>2]|0)!=3){j=0;u=e;return j|0}if(f[i+68>>2]|0){j=0;u=e;return j|0}if(f[i+60>>2]|0){j=0;u=e;return j|0}if(f[i+64>>2]|0){j=0;u=e;return j|0}if((f[i+52>>2]|0)!=2){j=0;u=e;return j|0}k=f[i>>2]|0;XNb(h,f[c>>2]|0,0);l=Duc(h,493733)|0;f[g>>2]=f[l>>2];f[g+4>>2]=f[l+4>>2];f[g+8>>2]=f[l+8>>2];f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;l=b[k+11>>0]|0;m=l<<24>>24<0;n=l&255;l=m?f[k+4>>2]|0:n;o=b[g+11>>0]|0;p=o<<24>>24<0;a:do if((l|0)==((p?f[g+4>>2]|0:o&255)|0)){q=f[k>>2]|0;r=m?q:k;s=p?f[g>>2]|0:g;t=(l|0)==0;b:do if(m){if(!t?ahc(r,s,l)|0:0){v=1;break a}}else if(!t){if((q&255)<<24>>24==(b[s>>0]|0)){w=k;x=n;y=s}else{v=1;break a}while(1){x=x+-1|0;w=w+1|0;if(!x)break b;y=y+1|0;if((b[w>>0]|0)!=(b[y>>0]|0)){v=1;break a}}}while(0);v=(f[c+48>>2]|0)!=(f[i+12>>2]|0)}else v=1;while(0);if(p)fuc(f[g>>2]|0);if((b[h+11>>0]|0)<0)fuc(f[h>>2]|0);if(v){j=0;u=e;return j|0}v=f[i+20>>2]|0;i=v+88|0;if((f[v+32>>2]|0)!=1){j=0;u=e;return j|0}if((f[v+40>>2]|0)!=1){j=0;u=e;return j|0}h=f[v>>2]|0;p=b[h+11>>0]|0;if(((p<<24>>24<0?f[h+4>>2]|0:p&255)|0)!=3){j=0;u=e;return j|0}if(Puc(h,0,-1,513622,3)|0){j=0;u=e;return j|0}if((f[v+120>>2]|0)!=1){j=0;u=e;return j|0}if((f[v+128>>2]|0)!=2){j=0;u=e;return j|0}h=f[i>>2]|0;p=b[h+11>>0]|0;if(((p<<24>>24<0?f[h+4>>2]|0:p&255)|0)!=5){j=0;u=e;return j|0}if(Puc(h,0,-1,513626,5)|0){j=0;u=e;return j|0}h=f[v+24>>2]|0;do if(h|0){if((f[h>>2]|0)==2)break;f[g>>2]=110384;f[g+4>>2]=1962;b[g+8>>0]=0;f[g+12>>2]=v;xLb(h,g)}while(0);switch(f[v+28>>2]|0){case 14:{dNb(a,f[c+4>>2]|0,d,2,493739);break}case 12:case 10:case 11:case 1:case 2:{dNb(a,f[c+4>>2]|0,d,2,493779);break}default:{}}h=v+112|0;p=f[h>>2]|0;do if(p|0){if((f[p>>2]|0)==2)break;f[g>>2]=110384;f[g+4>>2]=1962;b[g+8>>0]=0;f[g+12>>2]=i;xLb(p,g)}while(0);if((f[v+116>>2]|0)!=14){j=1;u=e;return j|0}p=f[h>>2]|0;do if(p|0){if((f[p>>2]|0)==2)break;f[g>>2]=110384;f[g+4>>2]=1962;b[g+8>>0]=0;f[g+12>>2]=i;xLb(p,g)}while(0);if(!(f[(f[(f[v+152>>2]|0)+28>>2]|0)+8>>2]|0)){j=1;u=e;return j|0}dNb(a,f[c+4>>2]|0,d,2,493845);j=1;u=e;return j|0}function WNb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0;e=u;u=u+16|0;g=e;h=f[(f[c+68>>2]|0)+56>>2]|0;if(!h){u=e;return}i=f[c+24>>2]|0;if(i|0?(f[i>>2]|0)!=2:0){f[g>>2]=110384;f[g+4>>2]=1962;b[g+8>>0]=0;f[g+12>>2]=c;xLb(i,g)}switch(f[c+28>>2]|0){case 16:case 6:case 18:case 3:case 4:break;default:{dNb(a,f[c+4>>2]|0,d,2,493656);u=e;return}}if((h+-1|0)>>>0<2){u=e;return}i=f[c+4>>2]|0;c=(R$b()|0)+28|0;nEa(g,493586,f[(f[c>>2]|0)+(h*20|0)>>2]|0);eNb(a,i,d,2,g);if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);u=e;return}function XNb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;e=c+11|0;g=b[e>>0]|0;h=c+4|0;vuc(a,g<<24>>24<0?f[h>>2]|0:g&255);g=b[e>>0]|0;if((g<<24>>24<0?f[h>>2]|0:g&255)|0){i=d^1;j=0;k=g;while(1){g=b[(k<<24>>24<0?f[c>>2]|0:c)+j>>0]|0;do if(g<<24>>24!=95)if(i){l=g<<24>>24;Euc(a,((g+-97&255)<26?l+224|0:l)&255);m=0;break}else{Euc(a,g);m=0;break}else m=1;while(0);j=j+1|0;k=b[e>>0]|0;if(j>>>0>=(k<<24>>24<0?f[h>>2]|0:k&255)>>>0)break;else i=m}}if(!d)return;d=b[a+11>>0]|0;m=d<<24>>24<0;if(m)n=f[a+4>>2]|0;else n=d&255;if(!n)return;if(m)o=f[a>>2]|0;else o=a;n=b[o>>0]|0;o=n<<24>>24;if(m)p=f[a>>2]|0;else p=a;b[p>>0]=(n+-65&255)<26?o+32|0:o;return}function YNb(a,c){a=a|0;c=c|0;if(!c)return;YNb(a,f[c>>2]|0);YNb(a,f[c+4>>2]|0);a=c+20|0;if((b[a+11>>0]|0)<0)fuc(f[a>>2]|0);fuc(c);return}function ZNb(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;h=u;u=u+16|0;i=h;if((f[c>>2]|0)!=(d|0)?(j=f[d>>2]|0,(j|0)!=0):0){WKb(j);k=j;l=0}else{k=0;l=1}j=d+16|0;m=f[j>>2]|0;n=e+11|0;f[i>>2]=(b[n>>0]|0)<0?f[e>>2]|0:e;o=LMb(m+132|0,i)|0;if(o){m=o+12|0;o=f[m>>2]|0;p=f[m+4>>2]|0;m=a;f[m>>2]=o;f[m+4>>2]=p;if(!o)q=7}else{o=a;f[o>>2]=0;f[o+4>>2]=0;q=7}if((q|0)==7){q=f[d+12>>2]|0;if(!q)r=0;else{ZNb(i,c,q,e,1);q=i;c=f[q>>2]|0;o=f[q+4>>2]|0;q=a;f[q>>2]=c;f[q+4>>2]=o;r=(c|0)!=0}if(!(r|g^1)?MMb(d,e)|0:0){d=f[j>>2]|0;f[i>>2]=(b[n>>0]|0)<0?f[e>>2]|0:e;e=LMb(d+132|0,i)|0;if(!e){s=0;t=0}else{i=e+12|0;s=f[i>>2]|0;t=f[i+4>>2]|0}i=a;f[i>>2]=s;f[i+4>>2]=t}}if(l){u=h;return}XKb(k);u=h;return}function _Nb(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;i=u;u=u+48|0;j=i+28|0;k=i+16|0;l=i+8|0;m=i;f[c+72>>2]=0;n=c+88|0;o=n+11|0;if((b[o>>0]|0)<0){b[f[n>>2]>>0]=0;f[c+92>>2]=0}else{b[n>>0]=0;b[o>>0]=0}o=d+11|0;p=b[o>>0]|0;q=p<<24>>24<0;r=d+4|0;if((q?f[r>>2]|0:p&255)|0?(b[(q?f[d>>2]|0:d)>>0]|0)==46:0){puc(j,d,1,-1,d);YOb(a,c,j,h);if((b[j+11>>0]|0)<0)fuc(f[j>>2]|0);u=i;return}q=Nuc(d,46,0)|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;if((q|0)==-1)ruc(j,d)|0;else{puc(k,d,0,q,d);q=j+11|0;if((b[q>>0]|0)<0){b[f[j>>2]>>0]=0;f[j+4>>2]=0}else{b[j>>0]=0;b[q>>0]=0}vuc(j,0);f[j>>2]=f[k>>2];f[j+4>>2]=f[k+4>>2];f[j+8>>2]=f[k+8>>2]}ouc(k,e);e=Ouc(k,46,-1)|0;a:do if((e|0)==-1)s=23;else{q=k+11|0;p=k+4|0;t=j+11|0;v=j+4|0;b:do if((g|0)==1){w=e;while(1){Juc(k,w,-1)|0;x=b[q>>0]|0;y=x<<24>>24<0?f[p>>2]|0:x&255;yuc(k,1,46)|0;x=b[t>>0]|0;z=x<<24>>24<0;Cuc(k,z?f[j>>2]|0:j,z?f[v>>2]|0:x&255)|0;YOb(l,c,k,h);x=f[l>>2]|0;c:do if(x|0){z=b[t>>0]|0;A=f[v>>2]|0;B=b[o>>0]|0;C=f[r>>2]|0;if((z<<24>>24<0?A:z&255)>>>0>=(B<<24>>24<0?C:B&255)>>>0)switch(x|0){case 1:case 4:{s=31;break b;break}default:break c}D=x+-1|0;if(D>>>0<8?(-87&255)>>>(D&255)&1:0){E=z;F=A;G=B;H=C;s=28;break b}}while(0);Juc(k,y,-1)|0;w=Ouc(k,46,-1)|0;if((w|0)==-1){s=23;break a}}}else{w=e;while(1){Juc(k,w,-1)|0;x=b[q>>0]|0;C=x<<24>>24<0?f[p>>2]|0:x&255;yuc(k,1,46)|0;x=b[t>>0]|0;B=x<<24>>24<0;Cuc(k,B?f[j>>2]|0:j,B?f[v>>2]|0:x&255)|0;YOb(l,c,k,h);x=f[l>>2]|0;if(x|0){B=b[t>>0]|0;A=f[v>>2]|0;z=b[o>>0]|0;D=f[r>>2]|0;if((B<<24>>24<0?A:B&255)>>>0>=(z<<24>>24<0?D:z&255)>>>0){s=31;break b}I=x+-1|0;if(I>>>0<8?(-87&255)>>>(I&255)&1:0){E=B;F=A;G=z;H=D;s=28;break b}}Juc(k,C,-1)|0;w=Ouc(k,46,-1)|0;if((w|0)==-1){s=23;break a}}}while(0);if((s|0)==28){v=E<<24>>24<0?F:E&255;Fuc(k,d,v,(G<<24>>24<0?H:G&255)-v|0)|0;YOb(m,c,k,h);v=m;t=f[v>>2]|0;p=f[v+4>>2]|0;v=l;f[v>>2]=t;f[v+4>>2]=p;if(!t)ruc(n,k)|0;v=a;f[v>>2]=t;f[v+4>>2]=p}else if((s|0)==31){p=l;v=f[p+4>>2]|0;t=a;f[t>>2]=f[p>>2];f[t+4>>2]=v}J=q}while(0);if((s|0)==23){YOb(a,c,d,h);J=k+11|0}if((b[J>>0]|0)<0)fuc(f[k>>2]|0);if((b[j+11>>0]|0)<0)fuc(f[j>>2]|0);u=i;return}function $Nb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0;g=u;u=u+32|0;h=g+12|0;i=g;j=d+11|0;k=b[j>>0]|0;l=k<<24>>24<0;m=l?f[d+4>>2]|0:k&255;a:do if(m|0){k=l?f[d>>2]|0:d;n=0;o=0;while(1){p=b[k+n>>0]|0;do if(p<<24>>24>96)if(p<<24>>24<123)q=0;else break a;else{if(p<<24>>24>64)if(p<<24>>24<91|p<<24>>24==95){q=0;break}else break a;if(p<<24>>24>47)if(p<<24>>24<58){q=0;break}else break a;else if(o|p<<24>>24!=46)break a;else{q=1;break}}while(0);n=n+1|0;if(n>>>0>=m>>>0)break;else o=q}if(!q){o=c+16|0;n=f[o>>2]|0;if((b[k>>0]|0)==46){puc(i,d,1,-1,d);p=cuc(12)|0;ouc(p,i);f[h>>2]=p;r=n+76|0;s=f[r>>2]|0;if((s|0)==(f[n+80>>2]|0))fNb(n+72|0,h);else{f[s>>2]=p;f[r>>2]=(f[r>>2]|0)+4}r=f[h>>2]|0;if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0);t=r}else{r=cuc(12)|0;ouc(r,d);f[h>>2]=r;p=n+76|0;s=f[p>>2]|0;if((s|0)==(f[n+80>>2]|0))fNb(n+72|0,h);else{f[s>>2]=r;f[p>>2]=(f[p>>2]|0)+4}t=f[h>>2]|0}p=Ouc(t,46,-1)|0;if((p|0)==-1)if((f[224966]|0)==2){v=t;w=542896;x=542896}else{f[h>>2]=151624;f[h+4>>2]=125;b[h+8>>0]=0;xLb(899864,h);QKb(h);v=t;w=542896;x=542896}else{r=f[o>>2]|0;puc(i,t,0,p,t);s=cuc(12)|0;ouc(s,i);f[h>>2]=s;n=r+76|0;y=f[n>>2]|0;if((y|0)==(f[r+80>>2]|0))fNb(r+72|0,h);else{f[y>>2]=s;f[n>>2]=(f[n>>2]|0)+4}n=f[h>>2]|0;if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0);s=f[o>>2]|0;puc(i,t,p+1|0,-1,t);p=cuc(12)|0;ouc(p,i);f[h>>2]=p;y=s+76|0;r=f[y>>2]|0;if((r|0)==(f[s+80>>2]|0))fNb(s+72|0,h);else{f[r>>2]=p;f[y>>2]=(f[y>>2]|0)+4}y=f[h>>2]|0;if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0);v=y;w=n;x=n}RE(h,t,496736);n=lNb(c,h)|0;if((b[h+11>>0]|0)<0)fuc(f[h>>2]|0);f[n+4>>2]=x;if((e|0)!=1){f[n+28>>2]=1;y=f[o>>2]|0;p=cuc(88)|0;f[h>>2]=p;r=y+124|0;s=f[r>>2]|0;if((s|0)==(f[y+128>>2]|0))OE(y+120|0,h);else{f[s>>2]=p;f[r>>2]=(f[r>>2]|0)+4}r=f[h>>2]|0;f[n+68>>2]=r;z=r+12|0;A=z+76|0;do{f[z>>2]=0;z=z+4|0}while((z|0)<(A|0));f[r+4>>2]=t;f[r>>2]=v;f[r+8>>2]=n;k=W$b()|0;f[r+16>>2]=k;b[r+84>>0]=1;b[r+85>>0]=(b[((b[j>>0]|0)<0?f[d>>2]|0:d)>>0]|0)!=46&1;if((e|0)==2){f[r+68>>2]=1;k=f[o>>2]|0;p=cuc(12)|0;f[h>>2]=p;s=k+124|0;y=f[s>>2]|0;if((y|0)==(f[k+128>>2]|0))OE(k+120|0,h);else{f[y>>2]=p;f[s>>2]=(f[s>>2]|0)+4}s=f[h>>2]|0;f[r+36>>2]=s;f[s>>2]=1;f[s+4>>2]=536870912}f[a>>2]=1;f[a+4>>2]=r;u=g;return}f[n+32>>2]=1;s=f[o>>2]|0;p=cuc(48)|0;f[h>>2]=p;y=s+124|0;k=f[y>>2]|0;if((k|0)==(f[s+128>>2]|0))OE(s+120|0,h);else{f[k>>2]=p;f[y>>2]=(f[y>>2]|0)+4}y=f[h>>2]|0;f[n+72>>2]=y;z=y+12|0;A=z+36|0;do{f[z>>2]=0;z=z+4|0}while((z|0)<(A|0));f[y+4>>2]=t;f[y>>2]=v;f[y+8>>2]=n;r=a0b()|0;f[y+16>>2]=r;b[y+20>>0]=1;b[y+21>>0]=(b[((b[j>>0]|0)<0?f[d>>2]|0:d)>>0]|0)!=46&1;f[y+24>>2]=1;r=f[o>>2]|0;p=cuc(20)|0;f[h>>2]=p;k=r+124|0;s=f[k>>2]|0;if((s|0)==(f[r+128>>2]|0))OE(r+120|0,h);else{f[s>>2]=p;f[k>>2]=(f[k>>2]|0)+4}k=f[h>>2]|0;f[y+28>>2]=k;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;f[k+16>>2]=0;p=f[o>>2]|0;s=cuc(32)|0;f[i>>2]=s;f[i+8>>2]=-2147483616;f[i+4>>2]=17;z=s;r=496755;A=z+17|0;do{b[z>>0]=b[r>>0]|0;z=z+1|0;r=r+1|0}while((z|0)<(A|0));b[s+17>>0]=0;r=cuc(12)|0;ouc(r,i);f[h>>2]=r;n=p+76|0;B=f[n>>2]|0;if((B|0)==(f[p+80>>2]|0))fNb(p+72|0,h);else{f[B>>2]=r;f[n>>2]=(f[n>>2]|0)+4}f[k>>2]=f[h>>2];if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0);n=b[x+11>>0]|0;if(n<<24>>24<0)C=f[w+4>>2]|0;else C=n&255;if(C){n=f[o>>2]|0;RE(i,w,496773);r=cuc(12)|0;ouc(r,i);f[h>>2]=r;B=n+76|0;D=f[B>>2]|0;if((D|0)==(f[n+80>>2]|0))fNb(n+72|0,h);else{f[D>>2]=r;f[B>>2]=(f[B>>2]|0)+4}f[k+4>>2]=f[h>>2];if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0)}else f[k+4>>2]=f[k>>2];f[k+8>>2]=0;f[k+12>>2]=y;B=c0b()|0;f[k+16>>2]=B;f[a>>2]=4;f[a+4>>2]=y;u=g;return}}while(0);i=a;f[i>>2]=0;f[i+4>>2]=0;u=g;return}function aOb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;a=u;u=u+64|0;e=a;g=a+8|0;h=a+24|0;i=a+48|0;yh[f[(f[d>>2]|0)+96>>2]&2047](e,d);j=f[e>>2]|0;k=cuc(32)|0;f[g>>2]=k;f[g+8>>2]=-2147483616;f[g+4>>2]=20;l=k;m=491171;n=l+20|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));b[k+20>>0]=0;xNb(e,f[(f[j+8>>2]|0)+88>>2]|0,j,g);j=(f[e>>2]|0)==2;k=e;m=j?f[k+4>>2]|0:0;if(!((j?f[k>>2]|0:0)|0))o=0;else o=b[m+38>>0]|0?0:m;if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);if(!o){iLb(h,3,490877,6491);fLb(i,dLb(h,496706)|0);jLb(h)}yh[f[(f[d>>2]|0)+96>>2]&2047](e,d);h=f[e+4>>2]|0;e=Cg[f[(f[h>>2]|0)+300>>2]&127](h,d,o,0)|0;yh[f[(f[e>>2]|0)+72>>2]&2047](e,c);u=a;return}function bOb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+4|0;d=f[a>>2]|0;e=(f[c>>2]|0)-d|0;g=e>>2;h=g+1|0;if(h>>>0>1073741823)nsc(a);i=a+8|0;j=(f[i>>2]|0)-d|0;k=j>>1;l=j>>2>>>0<536870911?(k>>>0<h>>>0?h:k):1073741823;do if(l)if(l>>>0>1073741823){k=ze(8)|0;kuc(k,519086);f[k>>2]=167148;Hf(k|0,26888,1888)}else{m=cuc(l<<2)|0;break}else m=0;while(0);k=m+(g<<2)|0;f[k>>2]=f[b>>2];b=k+(0-g<<2)|0;if((e|0)>0)szc(b|0,d|0,e|0)|0;f[a>>2]=b;f[c>>2]=k+4;f[i>>2]=m+(l<<2);if(!d)return;fuc(d);return}function cOb(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;i=u;u=u+96|0;j=i+64|0;k=i+48|0;l=i;m=i+44|0;n=i+40|0;o=i+36|0;p=i+32|0;q=i+8|0;r=i+80|0;if((f[c>>2]|0)==(f[d>>2]|0)){s=f[h>>2]|0;t=e+40|0;if(!s){v=1;u=i;return v|0}w=f[s>>2]|0;x=w;y=(f[s+4>>2]|0)-w>>4;w=0;while(1){if((w|0)>=(y|0)){v=1;z=12;break}if((f[x+(w<<4)>>2]|0)==(f[t>>2]|0))break;else w=w+1|0}if((z|0)==12){u=i;return v|0}nEa(k,494173,g);w=Duc(k,496687)|0;f[j>>2]=f[w>>2];f[j+4>>2]=f[w+4>>2];f[j+8>>2]=f[w+8>>2];f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;eNb(f[a>>2]|0,(f[a+4>>2]|0)+12|0,f[a+8>>2]|0,7,j);if((b[j+11>>0]|0)<0)fuc(f[j>>2]|0);if((b[k+11>>0]|0)<0)fuc(f[k>>2]|0);v=0;u=i;return v|0}w=j+4|0;t=j+8|0;x=j+12|0;y=0;a:while(1){s=f[h>>2]|0;if(!s)A=0;else A=(f[s+4>>2]|0)-(f[s>>2]|0)>>4;if((y|0)>=(A|0)){v=1;z=12;break}B=f[s>>2]|0;s=f[f[c>>2]>>2]|0;b:do if((f[B+(y<<4)>>2]|0)==(f[s+40>>2]|0)){C=f[s+24>>2]|0;if(C|0?(f[C>>2]|0)!=2:0){f[j>>2]=110384;f[w>>2]=1962;b[t>>0]=0;f[x>>2]=s;xLb(C,j)}D=f[s+28>>2]|0;switch(D|0){case 11:break;case 10:{if((f[B+(y<<4)+4>>2]|0)!=4)break b;f[o>>2]=(f[c>>2]|0)+4;f[p>>2]=f[d>>2];C=f[B+(y<<4)+8>>2]|0;f[k>>2]=f[o>>2];f[j>>2]=f[p>>2];if(cOb(a,k,j,e,g,C)|0)break b;else{v=0;z=12;break a}break}default:{z=30;break a}}if((f[B+(y<<4)+4>>2]|0)==3){f[l>>2]=0;C=f[B+(y<<4)+8>>2]|0;E=b[C+11>>0]|0;F=E<<24>>24<0;if(rbc(l,F?f[C>>2]|0:C,F?f[C+4>>2]|0:E&255)|0?(f[m>>2]=(f[c>>2]|0)+4,f[n>>2]=f[d>>2],f[k>>2]=f[m>>2],f[j>>2]=f[n>>2],!(cOb(a,k,j,e,g,l)|0)):0)G=1;else G=0;if(f[l>>2]|0)ebc(l);if(G|0){v=0;z=12;break a}}}while(0);y=y+1|0}if((z|0)==12){u=i;return v|0}else if((z|0)==30){iLb(q,3,490877,6551);fLb(r,gLb(dLb(q,494652)|0,D)|0);jLb(q);v=0;u=i;return v|0}return 0}function dOb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0.0,C=0.0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0;e=u;u=u+112|0;g=e;h=e+88|0;i=e+76|0;j=e+64|0;k=e+52|0;l=e+40|0;m=e+28|0;o=e+16|0;q=c+24|0;r=f[q>>2]|0;if(r|0?(f[r>>2]|0)!=2:0){f[g>>2]=110384;f[g+4>>2]=1962;b[g+8>>0]=0;f[g+12>>2]=c;xLb(r,g)}r=c+28|0;a:do switch(f[151812+(f[r>>2]<<2)>>2]|0){case 1:{t=a+8|0;v=f[t>>2]|0;w=f[v+8>>2]|0;if(w&8|0){x=v+48|0;y=f[x>>2]|0;z=f[x+4>>2]|0;if(!(z>>>0>0|(z|0)==0&y>>>0>2147483647)){z=f[c+40>>2]|0;x=f[q>>2]|0;if(x|0?(f[x>>2]|0)!=2:0){f[g>>2]=110384;f[g+4>>2]=1962;b[g+8>>0]=0;f[g+12>>2]=c;xLb(x,g)}eOb(0,z,y,f[r>>2]|0,d);break a}nEa(h,494692,f[c+4>>2]|0);y=Duc(h,517668)|0;f[g>>2]=f[y>>2];f[g+4>>2]=f[y+4>>2];f[g+8>>2]=f[y+8>>2];f[y>>2]=0;f[y+4>>2]=0;f[y+8>>2]=0;eNb(f[a>>2]|0,(f[a+4>>2]|0)+12|0,f[t>>2]|0,8,g);if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);if((b[h+11>>0]|0)<0)fuc(f[h>>2]|0);A=0;u=e;return A|0}if(!(w&16)){nEa(h,494730,f[c+4>>2]|0);w=Duc(h,517668)|0;f[g>>2]=f[w>>2];f[g+4>>2]=f[w+4>>2];f[g+8>>2]=f[w+8>>2];f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;eNb(f[a>>2]|0,(f[a+4>>2]|0)+12|0,f[t>>2]|0,8,g);if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);if((b[h+11>>0]|0)<0)fuc(f[h>>2]|0);A=0;u=e;return A|0}w=v+56|0;v=f[w>>2]|0;y=f[w+4>>2]|0;if(!((y|0)<-1|(y|0)==-1&v>>>0<2147483648)){y=f[c+40>>2]|0;w=f[q>>2]|0;if(w|0?(f[w>>2]|0)!=2:0){f[g>>2]=110384;f[g+4>>2]=1962;b[g+8>>0]=0;f[g+12>>2]=c;xLb(w,g)}eOb(0,y,v,f[r>>2]|0,d);break a}nEa(h,494692,f[c+4>>2]|0);v=Duc(h,517668)|0;f[g>>2]=f[v>>2];f[g+4>>2]=f[v+4>>2];f[g+8>>2]=f[v+8>>2];f[v>>2]=0;f[v+4>>2]=0;f[v+8>>2]=0;eNb(f[a>>2]|0,(f[a+4>>2]|0)+12|0,f[t>>2]|0,8,g);if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);if((b[h+11>>0]|0)<0)fuc(f[h>>2]|0);A=0;u=e;return A|0}case 2:{t=a+8|0;v=f[t>>2]|0;y=f[v+8>>2]|0;if(!(y&8)){if(y&16|0){y=f[c+40>>2]|0;w=v+56|0;z=f[w>>2]|0;x=f[w+4>>2]|0;w=f[q>>2]|0;if(w|0?(f[w>>2]|0)!=2:0){f[g>>2]=110384;f[g+4>>2]=1962;b[g+8>>0]=0;f[g+12>>2]=c;xLb(w,g)}fOb(0,y,z,x,f[r>>2]|0,d);break a}nEa(h,494809,f[c+4>>2]|0);x=Duc(h,517668)|0;f[g>>2]=f[x>>2];f[g+4>>2]=f[x+4>>2];f[g+8>>2]=f[x+8>>2];f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;eNb(f[a>>2]|0,(f[a+4>>2]|0)+12|0,f[t>>2]|0,8,g);if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);if((b[h+11>>0]|0)<0)fuc(f[h>>2]|0);A=0;u=e;return A|0}else{x=v+48|0;v=f[x>>2]|0;z=f[x+4>>2]|0;if((z|0)>=0){x=f[c+40>>2]|0;y=f[q>>2]|0;if(y|0?(f[y>>2]|0)!=2:0){f[g>>2]=110384;f[g+4>>2]=1962;b[g+8>>0]=0;f[g+12>>2]=c;xLb(y,g)}fOb(0,x,v,z,f[r>>2]|0,d);break a}nEa(h,494771,f[c+4>>2]|0);z=Duc(h,517668)|0;f[g>>2]=f[z>>2];f[g+4>>2]=f[z+4>>2];f[g+8>>2]=f[z+8>>2];f[z>>2]=0;f[z+4>>2]=0;f[z+8>>2]=0;eNb(f[a>>2]|0,(f[a+4>>2]|0)+12|0,f[t>>2]|0,8,g);if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);if((b[h+11>>0]|0)<0)fuc(f[h>>2]|0);A=0;u=e;return A|0}break}case 3:{t=a+8|0;z=f[t>>2]|0;if(!(f[z+8>>2]&8)){nEa(h,494889,f[c+4>>2]|0);v=Duc(h,517668)|0;f[g>>2]=f[v>>2];f[g+4>>2]=f[v+4>>2];f[g+8>>2]=f[v+8>>2];f[v>>2]=0;f[v+4>>2]=0;f[v+8>>2]=0;eNb(f[a>>2]|0,(f[a+4>>2]|0)+12|0,f[t>>2]|0,8,g);if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);if((b[h+11>>0]|0)<0)fuc(f[h>>2]|0);A=0;u=e;return A|0}v=z+48|0;z=f[v>>2]|0;x=f[v+4>>2]|0;if(!(x>>>0>0|(x|0)==0&z>>>0>4294967295)){x=f[c+40>>2]|0;v=f[q>>2]|0;if(v|0?(f[v>>2]|0)!=2:0){f[g>>2]=110384;f[g+4>>2]=1962;b[g+8>>0]=0;f[g+12>>2]=c;xLb(v,g)}gOb(0,x,z,f[r>>2]|0,d);break a}nEa(h,494850,f[c>>2]|0);z=Duc(h,517668)|0;f[g>>2]=f[z>>2];f[g+4>>2]=f[z+4>>2];f[g+8>>2]=f[z+8>>2];f[z>>2]=0;f[z+4>>2]=0;f[z+8>>2]=0;eNb(f[a>>2]|0,(f[a+4>>2]|0)+12|0,f[t>>2]|0,8,g);if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);if((b[h+11>>0]|0)<0)fuc(f[h>>2]|0);A=0;u=e;return A|0}case 4:{t=a+8|0;z=f[t>>2]|0;if(f[z+8>>2]&8|0){x=f[c+40>>2]|0;v=z+48|0;z=f[v>>2]|0;y=f[v+4>>2]|0;v=f[q>>2]|0;if(v|0?(f[v>>2]|0)!=2:0){f[g>>2]=110384;f[g+4>>2]=1962;b[g+8>>0]=0;f[g+12>>2]=c;xLb(v,g)}hOb(0,x,z,y,f[r>>2]|0,d);break a}nEa(h,494944,f[c+4>>2]|0);y=Duc(h,517668)|0;f[g>>2]=f[y>>2];f[g+4>>2]=f[y+4>>2];f[g+8>>2]=f[y+8>>2];f[y>>2]=0;f[y+4>>2]=0;f[y+8>>2]=0;eNb(f[a>>2]|0,(f[a+4>>2]|0)+12|0,f[t>>2]|0,8,g);if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);if((b[h+11>>0]|0)<0)fuc(f[h>>2]|0);A=0;u=e;return A|0}case 6:{t=a+8|0;y=f[t>>2]|0;z=f[y+8>>2]|0;do if(!(z&32)){if(z&8|0){x=y+48|0;B=+((f[x>>2]|0)>>>0)+4294967296.0*+((f[x+4>>2]|0)>>>0);break}if(z&16|0){x=y+56|0;B=+((f[x>>2]|0)>>>0)+4294967296.0*+(f[x+4>>2]|0);break}nEa(h,494999,f[c+4>>2]|0);x=Duc(h,517668)|0;f[g>>2]=f[x>>2];f[g+4>>2]=f[x+4>>2];f[g+8>>2]=f[x+8>>2];f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;eNb(f[a>>2]|0,(f[a+4>>2]|0)+12|0,f[t>>2]|0,8,g);if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);if((b[h+11>>0]|0)<0)fuc(f[h>>2]|0);A=0;u=e;return A|0}else B=+p[y+64>>3];while(0);lbc(d,f[c+40>>2]|0,(n[s>>2]=B,f[s>>2]|0));break}case 5:{y=a+8|0;t=f[y>>2]|0;z=f[t+8>>2]|0;do if(!(z&32)){if(z&8|0){x=t+48|0;C=+((f[x>>2]|0)>>>0)+4294967296.0*+((f[x+4>>2]|0)>>>0);break}if(z&16|0){x=t+56|0;C=+((f[x>>2]|0)>>>0)+4294967296.0*+(f[x+4>>2]|0);break}nEa(h,495039,f[c+4>>2]|0);x=Duc(h,517668)|0;f[g>>2]=f[x>>2];f[g+4>>2]=f[x+4>>2];f[g+8>>2]=f[x+8>>2];f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;eNb(f[a>>2]|0,(f[a+4>>2]|0)+12|0,f[y>>2]|0,8,g);if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);if((b[h+11>>0]|0)<0)fuc(f[h>>2]|0);A=0;u=e;return A|0}else C=+p[t+64>>3];while(0);p[s>>3]=C;mbc(d,f[c+40>>2]|0,f[s>>2]|0,f[s+4>>2]|0);break}case 7:{t=a+8|0;y=f[t>>2]|0;if(!(f[y+8>>2]&1)){nEa(h,495080,f[c+4>>2]|0);z=Duc(h,517668)|0;f[g>>2]=f[z>>2];f[g+4>>2]=f[z+4>>2];f[g+8>>2]=f[z+8>>2];f[z>>2]=0;f[z+4>>2]=0;f[z+8>>2]=0;eNb(f[a>>2]|0,(f[a+4>>2]|0)+12|0,f[t>>2]|0,8,g);if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);if((b[h+11>>0]|0)<0)fuc(f[h>>2]|0);A=0;u=e;return A|0}z=f[y+32>>2]|0;y=b[z+11>>0]|0;x=f[z+4>>2]|0;if(((y<<24>>24<0?x:y&255)|0)==4)if(!(Puc(z,0,-1,532016,4)|0)){D=1;E=0}else{v=f[(f[t>>2]|0)+32>>2]|0;F=b[v+11>>0]|0;G=f[v+4>>2]|0;H=v;I=112}else{F=y;G=x;H=z;I=112}do if((I|0)==112){if(((F<<24>>24<0?G:F&255)|0)==5?(Puc(H,0,-1,532010,5)|0)==0:0){D=0;E=0;break}nEa(h,495126,f[c+4>>2]|0);z=Duc(h,517668)|0;f[g>>2]=f[z>>2];f[g+4>>2]=f[z+4>>2];f[g+8>>2]=f[z+8>>2];f[z>>2]=0;f[z+4>>2]=0;f[z+8>>2]=0;eNb(f[a>>2]|0,(f[a+4>>2]|0)+12|0,f[t>>2]|0,8,g);if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);if((b[h+11>>0]|0)<0)fuc(f[h>>2]|0);A=0;u=e;return A|0}while(0);kbc(d,f[c+40>>2]|0,D,E);break}case 8:{t=a+8|0;if(!(f[(f[t>>2]|0)+8>>2]&1)){nEa(h,495179,f[c+4>>2]|0);z=Duc(h,517668)|0;f[g>>2]=f[z>>2];f[g+4>>2]=f[z+4>>2];f[g+8>>2]=f[z+8>>2];f[z>>2]=0;f[z+4>>2]=0;f[z+8>>2]=0;eNb(f[a>>2]|0,(f[a+4>>2]|0)+12|0,f[t>>2]|0,8,g);if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);if((b[h+11>>0]|0)<0)fuc(f[h>>2]|0);A=0;u=e;return A|0}z=f[q>>2]|0;if(z|0?(f[z>>2]|0)!=2:0){f[g>>2]=110384;f[g+4>>2]=1962;b[g+8>>0]=0;f[g+12>>2]=c;xLb(z,g)}z=c+64|0;x=f[z>>2]|0;y=f[(f[t>>2]|0)+32>>2]|0;v=x+8|0;w=f[(f[v>>2]|0)+8>>2]|0;if((f[224987]|0)!=2){f[g>>2]=151624;f[g+4>>2]=132;b[g+8>>0]=0;xLb(899948,g);QKb(g)}if((w|0)==(f[224988]|0)){xNb(g,f[(f[v>>2]|0)+88>>2]|0,x,y);v=(f[g>>2]|0)==5;w=g;if((v?f[w>>2]|0:0)|0){J=v?f[w+4>>2]|0:0;I=154}}else{w=x+4|0;ouc(g,f[w>>2]|0);v=g+11|0;K=b[v>>0]|0;L=f[x>>2]|0;M=b[L+11>>0]|0;if(M<<24>>24<0)N=f[L+4>>2]|0;else N=M&255;xuc(g,(K<<24>>24<0?f[g+4>>2]|0:K&255)-N|0,0);K=y+11|0;M=b[K>>0]|0;L=M<<24>>24<0;O=y+4|0;Cuc(g,L?f[y>>2]|0:y,L?f[O>>2]|0:M&255)|0;M=f[a>>2]|0;ZNb(h,M,f[M>>2]|0,g,1);if((f[h>>2]|0)==5){M=f[h+4>>2]|0;if((f[M+12>>2]|0)==(x|0)){P=M;Q=0}else{nEa(o,492806,f[w>>2]|0);w=Duc(o,495229)|0;f[m>>2]=f[w>>2];f[m+4>>2]=f[w+4>>2];f[m+8>>2]=f[w+8>>2];f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;w=b[K>>0]|0;K=w<<24>>24<0;M=Cuc(m,K?f[y>>2]|0:y,K?f[O>>2]|0:w&255)|0;f[l>>2]=f[M>>2];f[l+4>>2]=f[M+4>>2];f[l+8>>2]=f[M+8>>2];f[M>>2]=0;f[M+4>>2]=0;f[M+8>>2]=0;M=Duc(l,495252)|0;f[k>>2]=f[M>>2];f[k+4>>2]=f[M+4>>2];f[k+8>>2]=f[M+8>>2];f[M>>2]=0;f[M+4>>2]=0;f[M+8>>2]=0;M=f[c+4>>2]|0;w=b[M+11>>0]|0;O=w<<24>>24<0;K=Cuc(k,O?f[M>>2]|0:M,O?f[M+4>>2]|0:w&255)|0;f[j>>2]=f[K>>2];f[j+4>>2]=f[K+4>>2];f[j+8>>2]=f[K+8>>2];f[K>>2]=0;f[K+4>>2]=0;f[K+8>>2]=0;K=Duc(j,495267)|0;f[i>>2]=f[K>>2];f[i+4>>2]=f[K+4>>2];f[i+8>>2]=f[K+8>>2];f[K>>2]=0;f[K+4>>2]=0;f[K+8>>2]=0;eNb(f[a>>2]|0,(f[a+4>>2]|0)+12|0,f[t>>2]|0,8,i);if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0);if((b[j+11>>0]|0)<0)fuc(f[j>>2]|0);if((b[k+11>>0]|0)<0)fuc(f[k>>2]|0);if((b[l+11>>0]|0)<0)fuc(f[l>>2]|0);if((b[m+11>>0]|0)<0)fuc(f[m>>2]|0);if((b[o+11>>0]|0)<0)fuc(f[o>>2]|0);P=0;Q=1}}else{P=0;Q=0}if((b[v>>0]|0)<0)fuc(f[g>>2]|0);if(!Q){J=P;I=154}else{A=0;u=e;return A|0}}if((I|0)==154?J|0:0){v=f[J+8>>2]|0;kbc(d,f[c+40>>2]|0,v,((v|0)<0)<<31>>31);break a}v=f[q>>2]|0;if(v|0?(f[v>>2]|0)!=2:0){f[g>>2]=110384;f[g+4>>2]=1962;b[g+8>>0]=0;f[g+12>>2]=c;xLb(v,g)}nEa(m,492806,f[(f[z>>2]|0)+4>>2]|0);z=Duc(m,495229)|0;f[l>>2]=f[z>>2];f[l+4>>2]=f[z+4>>2];f[l+8>>2]=f[z+8>>2];f[z>>2]=0;f[z+4>>2]=0;f[z+8>>2]=0;z=b[y+11>>0]|0;v=z<<24>>24<0;K=Cuc(l,v?f[y>>2]|0:y,v?f[y+4>>2]|0:z&255)|0;f[k>>2]=f[K>>2];f[k+4>>2]=f[K+4>>2];f[k+8>>2]=f[K+8>>2];f[K>>2]=0;f[K+4>>2]=0;f[K+8>>2]=0;K=Duc(k,495252)|0;f[j>>2]=f[K>>2];f[j+4>>2]=f[K+4>>2];f[j+8>>2]=f[K+8>>2];f[K>>2]=0;f[K+4>>2]=0;f[K+8>>2]=0;K=f[c+4>>2]|0;z=b[K+11>>0]|0;y=z<<24>>24<0;v=Cuc(j,y?f[K>>2]|0:K,y?f[K+4>>2]|0:z&255)|0;f[i>>2]=f[v>>2];f[i+4>>2]=f[v+4>>2];f[i+8>>2]=f[v+8>>2];f[v>>2]=0;f[v+4>>2]=0;f[v+8>>2]=0;v=Duc(i,517668)|0;f[h>>2]=f[v>>2];f[h+4>>2]=f[v+4>>2];f[h+8>>2]=f[v+8>>2];f[v>>2]=0;f[v+4>>2]=0;f[v+8>>2]=0;eNb(f[a>>2]|0,(f[a+4>>2]|0)+12|0,f[t>>2]|0,8,h);if((b[h+11>>0]|0)<0)fuc(f[h>>2]|0);if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0);if((b[j+11>>0]|0)<0)fuc(f[j>>2]|0);if((b[k+11>>0]|0)<0)fuc(f[k>>2]|0);if((b[l+11>>0]|0)<0)fuc(f[l>>2]|0);if((b[m+11>>0]|0)<0)fuc(f[m>>2]|0);A=0;u=e;return A|0}case 9:{t=a+8|0;v=f[t>>2]|0;if(f[v+8>>2]&2|0){z=f[v+36>>2]|0;ruc(nbc(d,f[c+40>>2]|0)|0,z)|0;break a}nEa(h,495318,f[c+4>>2]|0);z=Duc(h,517668)|0;f[g>>2]=f[z>>2];f[g+4>>2]=f[z+4>>2];f[g+8>>2]=f[z+8>>2];f[z>>2]=0;f[z+4>>2]=0;f[z+8>>2]=0;eNb(f[a>>2]|0,(f[a+4>>2]|0)+12|0,f[t>>2]|0,8,g);if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);if((b[h+11>>0]|0)<0)fuc(f[h>>2]|0);A=0;u=e;return A|0}case 10:{if(!(jOb(a,c,d)|0)){A=0;u=e;return A|0}break}default:{}}while(0);A=1;u=e;return A|0}function eOb(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0;a=u;u=u+32|0;f=a;switch(d|0){case 5:{kbc(e,b,c,((c|0)<0)<<31>>31);u=a;return}case 15:{lbc(e,b,c);u=a;return}case 17:{kbc(e,b,c<<1^c>>31,0);u=a;return}default:{iLb(f,3,490877,6886);fLb(a+24|0,gLb(dLb(f,496649)|0,d)|0);jLb(f);u=a;return}}}function fOb(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0;a=u;u=u+32|0;g=a;switch(e|0){case 3:{kbc(f,b,c,d);u=a;return}case 16:{mbc(f,b,c,d);u=a;return}case 18:{h=yzc(c|0,d|0,1)|0;i=J;kbc(f,b,h^(ozc(c|0,d|0,63)|0),i^J);u=a;return}default:{iLb(g,3,490877,6908);fLb(a+24|0,gLb(dLb(g,496611)|0,e)|0);jLb(g);u=a;return}}}function gOb(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0;a=u;u=u+32|0;f=a;switch(d|0){case 13:{kbc(e,b,c,0);u=a;return}case 7:{lbc(e,b,c);u=a;return}default:{iLb(f,3,490877,6925);fLb(a+24|0,gLb(dLb(f,496572)|0,d)|0);jLb(f);u=a;return}}}function hOb(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0;a=u;u=u+32|0;g=a;switch(e|0){case 4:{kbc(f,b,c,d);u=a;return}case 6:{mbc(f,b,c,d);u=a;return}default:{iLb(g,3,490877,6942);fLb(a+24|0,gLb(dLb(g,496533)|0,e)|0);jLb(g);u=a;return}}}function iOb(){var a=0,c=0;a=cuc(52)|0;A0b(a);f[224989]=a;c=cuc(40)|0;WOb(c,a,0);f[224988]=c;b[c+21>>0]=1;b[c+20>>0]=0;$Kb(133);return}function jOb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;e=u;u=u+144|0;g=e+120|0;h=e+104|0;i=e+68|0;j=e+48|0;k=e+12|0;l=e;m=e+80|0;n=e+137|0;o=e+24|0;p=e+136|0;q=a+8|0;if(!(f[(f[q>>2]|0)+8>>2]&4)){nEa(l,494173,f[c+4>>2]|0);r=Duc(l,495366)|0;f[k>>2]=f[r>>2];f[k+4>>2]=f[r+4>>2];f[k+8>>2]=f[r+8>>2];f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;r=f[c>>2]|0;s=b[r+11>>0]|0;t=s<<24>>24<0;v=Cuc(k,t?f[r>>2]|0:r,t?f[r+4>>2]|0:s&255)|0;f[j>>2]=f[v>>2];f[j+4>>2]=f[v+4>>2];f[j+8>>2]=f[v+8>>2];f[v>>2]=0;f[v+4>>2]=0;f[v+8>>2]=0;v=Duc(j,495427)|0;f[i>>2]=f[v>>2];f[i+4>>2]=f[v+4>>2];f[i+8>>2]=f[v+8>>2];f[v>>2]=0;f[v+4>>2]=0;f[v+8>>2]=0;v=f[c>>2]|0;s=b[v+11>>0]|0;r=s<<24>>24<0;t=Cuc(i,r?f[v>>2]|0:v,r?f[v+4>>2]|0:s&255)|0;f[h>>2]=f[t>>2];f[h+4>>2]=f[t+4>>2];f[h+8>>2]=f[t+8>>2];f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;t=Duc(h,495499)|0;f[g>>2]=f[t>>2];f[g+4>>2]=f[t+4>>2];f[g+8>>2]=f[t+8>>2];f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;eNb(f[a>>2]|0,(f[a+4>>2]|0)+12|0,f[q>>2]|0,8,g);if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);if((b[h+11>>0]|0)<0)fuc(f[h>>2]|0);if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0);if((b[j+11>>0]|0)<0)fuc(f[j>>2]|0);if((b[k+11>>0]|0)<0)fuc(f[k>>2]|0);if((b[l+11>>0]|0)<0)fuc(f[l>>2]|0);w=0;u=e;return w|0}t=c+24|0;s=f[t>>2]|0;if(s|0?(f[s>>2]|0)!=2:0){f[g>>2]=110384;f[g+4>>2]=1962;b[g+8>>0]=0;f[g+12>>2]=c;xLb(s,g)}s=d1b(a+12|0,f[c+60>>2]|0)|0;v=di[f[(f[s>>2]|0)+12>>2]&1023](s)|0;s=(v|0)==0;if(s){iLb(m,3,490877,6840);r=dLb(dLb(m,495514)|0,495552)|0;b[g>>0]=0;b[g+1>>0]=0;b[g+2>>0]=0;kOb(h,c,g);fLb(n,eLb(r,h)|0);if((b[h+11>>0]|0)<0)fuc(f[h>>2]|0);jLb(m)}f[h>>2]=152084;m=h+4|0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[i>>2]=152108;f[i+4>>2]=f[a>>2];wac(j,0);f[j>>2]=h;f[j+4>>2]=i;if(Xac(j,f[(f[q>>2]|0)+40>>2]|0,v)|0){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;HKb(v,k)|0;i=f[t>>2]|0;if(i|0?(f[i>>2]|0)!=2:0){f[g>>2]=110384;f[g+4>>2]=1962;b[g+8>>0]=0;f[g+12>>2]=c;xLb(i,g)}i=c+28|0;if((f[i>>2]|0)==11){ruc(nbc(d,f[c+40>>2]|0)|0,k)|0;x=k+11|0}else{r=f[t>>2]|0;if(r|0?(f[r>>2]|0)!=2:0){f[g>>2]=110384;f[g+4>>2]=1962;b[g+8>>0]=0;f[g+12>>2]=c;xLb(r,g)}if((f[i>>2]|0)!=10){iLb(o,3,490877,6860);fLb(p,dLb(o,495628)|0);jLb(o)}o=obc(d,f[c+40>>2]|0)|0;d=k+11|0;p=b[d>>0]|0;i=p<<24>>24<0;rbc(o,i?f[k>>2]|0:k,i?f[k+4>>2]|0:p&255)|0;x=d}if((b[x>>0]|0)<0)fuc(f[k>>2]|0);y=1;z=m+11|0}else{nEa(l,495585,f[c>>2]|0);c=Duc(l,495624)|0;f[k>>2]=f[c>>2];f[k+4>>2]=f[c+4>>2];f[k+8>>2]=f[c+8>>2];f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;c=m+11|0;x=b[c>>0]|0;d=x<<24>>24<0;p=Cuc(k,d?f[m>>2]|0:m,d?f[h+8>>2]|0:x&255)|0;f[g>>2]=f[p>>2];f[g+4>>2]=f[p+4>>2];f[g+8>>2]=f[p+8>>2];f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;eNb(f[a>>2]|0,(f[a+4>>2]|0)+12|0,f[q>>2]|0,8,g);if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);if((b[k+11>>0]|0)<0)fuc(f[k>>2]|0);if((b[l+11>>0]|0)<0)fuc(f[l>>2]|0);y=0;z=c}xac(j);f[h>>2]=152084;if((b[z>>0]|0)<0)fuc(f[m>>2]|0);if(s){w=y;u=e;return w|0}bi[f[(f[v>>2]|0)+4>>2]&2047](v);w=y;u=e;return w|0}function kOb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;e=u;u=u+400|0;g=e+360|0;h=e+320|0;i=e+280|0;j=e+240|0;k=e+200|0;l=e+160|0;m=e+120|0;n=e+80|0;o=e+40|0;p=e;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;q=c+38|0;if(!(b[q>>0]|0))r=0;else{s=f[(f[c+48>>2]|0)+4>>2]|0;t=b[s+11>>0]|0;v=t<<24>>24<0;f[g>>2]=v?f[s>>2]|0:s;f[g+4>>2]=v?f[s+4>>2]|0:t&255;f[h>>2]=0;f[h+4>>2]=-1;f[i>>2]=0;f[i+4>>2]=-1;f[j>>2]=0;f[j+4>>2]=-1;f[k>>2]=0;f[k+4>>2]=-1;f[l>>2]=0;f[l+4>>2]=-1;f[m>>2]=0;f[m+4>>2]=-1;f[n>>2]=0;f[n+4>>2]=-1;f[o>>2]=0;f[o+4>>2]=-1;f[p>>2]=0;f[p+4>>2]=-1;G9b(a,495841,g,h,i,j,k,l,m,n,o,p);r=1}rOb(c,r,0,a,d);if(!(b[q>>0]|0)){u=e;return}Duc(a,516966)|0;u=e;return}function lOb(a){a=a|0;fuc(a);return}function mOb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;e=u;u=u+32|0;g=e+8|0;h=e;i=a+4|0;yh[f[(f[c>>2]|0)+96>>2]&2047](g,c);c=f[g>>2]|0;_Nb(h,f[i>>2]|0,d,f[c+4>>2]|0,0,1);switch(f[h>>2]|0){case 2:{d=f[h+4>>2]|0;j=(b[d+38>>0]|0)==0?0:d;u=e;return j|0}case 1:{if(!(b[(f[c+16>>2]|0)+48>>0]|0)){j=0;u=e;return j|0}d=f[h+4>>2]|0;h=d+72|0;if((f[h>>2]|0)<=0){j=0;u=e;return j|0}i=d+40|0;a=g+4|0;k=g+8|0;l=g+12|0;m=g+4|0;n=g+8|0;o=g+12|0;p=0;while(1){q=f[i>>2]|0;r=q+(p*88|0)|0;if((f[q+(p*88|0)+48>>2]|0)==(c|0)){s=q+(p*88|0)+24|0;t=f[s>>2]|0;if(t|0?(f[t>>2]|0)!=2:0){f[g>>2]=110384;f[m>>2]=1962;b[n>>0]=0;f[o>>2]=r;xLb(t,g)}if((f[q+(p*88|0)+28>>2]|0)==11?(f[q+(p*88|0)+32>>2]|0)==1:0){t=f[s>>2]|0;if(t|0?(f[t>>2]|0)!=2:0){f[g>>2]=110384;f[a>>2]=1962;b[k>>0]=0;f[l>>2]=r;xLb(t,g)}if((f[q+(p*88|0)+60>>2]|0)==(d|0)){j=r;v=19;break}}}p=p+1|0;if((p|0)>=(f[h>>2]|0)){j=0;v=19;break}}if((v|0)==19){u=e;return j|0}break}default:{j=0;u=e;return j|0}}return 0}function nOb(a){a=a|0;var c=0;f[a>>2]=152084;c=a+4|0;if((b[c+11>>0]|0)>=0)return;fuc(f[c>>2]|0);return}function oOb(a){a=a|0;var c=0;f[a>>2]=152084;c=a+4|0;if((b[c+11>>0]|0)>=0){fuc(a);return}fuc(f[c>>2]|0);fuc(a);return}function pOb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0;d=a+4|0;c=b[d+11>>0]|0;if(c<<24>>24<0)g=f[a+8>>2]|0;else g=c&255;if(g|0)Duc(d,495780)|0;g=b[e+11>>0]|0;c=g<<24>>24<0;Cuc(d,c?f[e>>2]|0:e,c?f[e+4>>2]|0:g&255)|0;return}function qOb(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return}function rOb(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0;h=u;u=u+576|0;i=h+536|0;j=h+524|0;k=h+512|0;l=h+472|0;m=h+400|0;n=h+360|0;o=h+320|0;p=h+280|0;q=h+240|0;r=h+200|0;s=h+160|0;t=h+120|0;v=h+80|0;w=h+40|0;x=h;y=c<<1;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;if(y>>>0>4294967279)muc(j);if(y>>>0<11){b[j+11>>0]=y;if(!c)z=j;else{A=j;B=6}}else{C=y+16&-16;D=cuc(C)|0;f[j>>2]=D;f[j+8>>2]=C|-2147483648;f[j+4>>2]=y;A=D;B=6}if((B|0)==6){kzc(A|0,32,y|0)|0;z=A}b[z+y>>0]=0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;y=a+24|0;z=f[y>>2]|0;if(z|0?(f[z>>2]|0)!=2:0){f[i>>2]=110384;f[i+4>>2]=1962;b[i+8>>0]=0;f[i+12>>2]=a;xLb(z,i)}z=a+28|0;if((f[z>>2]|0)==11?(A=a+60|0,(b[(f[(f[A>>2]|0)+16>>2]|0)+51>>0]|0)!=0):0){D=f[y>>2]|0;if(D|0?(f[D>>2]|0)!=2:0){f[i>>2]=110384;f[i+4>>2]=1962;b[i+8>>0]=0;f[i+12>>2]=a;xLb(D,i)}sOb(m,f[(f[A>>2]|0)+20>>2]|0);D=m+11|0;C=b[D>>0]|0;E=C<<24>>24<0;f[l>>2]=E?f[m>>2]|0:m;f[l+4>>2]=E?f[m+4>>2]|0:C&255;C=f[y>>2]|0;if(C|0?(f[C>>2]|0)!=2:0){f[i>>2]=110384;f[i+4>>2]=1962;b[i+8>>0]=0;f[i+12>>2]=a;xLb(C,i)}sOb(o,(f[(f[A>>2]|0)+20>>2]|0)+88|0);A=o+11|0;C=b[A>>0]|0;E=C<<24>>24<0;f[n>>2]=E?f[o>>2]|0:o;f[n+4>>2]=E?f[o+4>>2]|0:C&255;f[i>>2]=0;f[i+4>>2]=-1;f[p>>2]=0;f[p+4>>2]=-1;f[q>>2]=0;f[q+4>>2]=-1;f[r>>2]=0;f[r+4>>2]=-1;f[s>>2]=0;f[s+4>>2]=-1;f[t>>2]=0;f[t+4>>2]=-1;f[v>>2]=0;f[v+4>>2]=-1;f[w>>2]=0;f[w+4>>2]=-1;G9b(k,495855,l,n,i,p,q,r,s,t,v,w);if((b[A>>0]|0)<0)fuc(f[o>>2]|0);if((b[D>>0]|0)<0)fuc(f[m>>2]|0)}else{sOb(i,a);D=k+11|0;if((b[D>>0]|0)<0){b[f[k>>2]>>0]=0;f[k+4>>2]=0}else{b[k>>0]=0;b[D>>0]=0}vuc(k,0);f[k>>2]=f[i>>2];f[k+4>>2]=f[i+4>>2];f[k+8>>2]=f[i+8>>2]}D=a+32|0;if((f[D>>2]|0)==1)if((d|0)!=1?(f[(f[a+20>>2]|0)+44>>2]|0)!=3:0)B=30;else B=35;else B=30;do if((B|0)==30){d=f[y>>2]|0;if(d|0?(f[d>>2]|0)!=2:0){f[i>>2]=110384;f[i+4>>2]=1962;b[i+8>>0]=0;f[i+12>>2]=a;xLb(d,i)}if((f[z>>2]|0)==11?b[(f[(f[a+60>>2]|0)+16>>2]|0)+51>>0]|0:0){B=35;break};f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;wuc(l,f[152008+(f[D>>2]<<2)>>2]|0)|0;Euc(l,32);F=l}while(0);if((B|0)==35){f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;F=l}D=m+4|0;d=m+20|0;A=d;C=A+36|0;do{f[A>>2]=0;A=A+4|0}while((A|0)<(C|0));A=m+56|0;b[A>>0]=b[g>>0]|0;b[A+1>>0]=b[g+1>>0]|0;b[A+2>>0]=b[g+2>>0]|0;A=m+60|0;ouc(A,j);if(!(b[g>>0]|0))G=0;else G=tOb(a,D)|0;b[m>>0]=G&1;uOb(m,e);G=j+11|0;D=b[G>>0]|0;C=D<<24>>24<0;f[n>>2]=C?f[j>>2]|0:j;f[n+4>>2]=C?f[j+4>>2]|0:D&255;D=l+11|0;C=b[D>>0]|0;E=C<<24>>24<0;f[o>>2]=E?f[l>>2]|0:F;f[o+4>>2]=E?f[l+4>>2]|0:C&255;C=k+11|0;E=b[C>>0]|0;F=E<<24>>24<0;f[p>>2]=F?f[k>>2]|0:k;f[p+4>>2]=F?f[k+4>>2]|0:E&255;E=f[y>>2]|0;if(E|0?(f[E>>2]|0)!=2:0){f[i>>2]=110384;f[i+4>>2]=1962;b[i+8>>0]=0;f[i+12>>2]=a;xLb(E,i)}if((f[z>>2]|0)==10){E=f[y>>2]|0;if(E|0?(f[E>>2]|0)!=2:0){f[i>>2]=110384;f[i+4>>2]=1962;b[i+8>>0]=0;f[i+12>>2]=a;xLb(E,i)}H=f[a+60>>2]|0}else H=a;E=f[H>>2]|0;H=b[E+11>>0]|0;F=H<<24>>24<0;f[q>>2]=F?f[E>>2]|0:E;f[q+4>>2]=F?f[E+4>>2]|0:H&255;H=Wdc(f[a+40>>2]|0,i+8|0)|0;f[i>>2]=H;E=jfc(H)|0;f[i+4>>2]=E;f[r>>2]=0;f[r+4>>2]=-1;f[s>>2]=0;f[s+4>>2]=-1;f[t>>2]=0;f[t+4>>2]=-1;f[v>>2]=0;f[v+4>>2]=-1;f[w>>2]=0;f[w+4>>2]=-1;G9b(e,495867,n,o,p,q,i,r,s,t,v,w);if(!(b[a+36>>0]|0))I=0;else{vOb(n,a,1);E=n+11|0;H=b[E>>0]|0;F=H<<24>>24<0;f[i>>2]=F?f[n>>2]|0:n;f[i+4>>2]=F?f[n+4>>2]|0:H&255;f[o>>2]=0;f[o+4>>2]=-1;f[p>>2]=0;f[p+4>>2]=-1;f[q>>2]=0;f[q+4>>2]=-1;f[r>>2]=0;f[r+4>>2]=-1;f[s>>2]=0;f[s+4>>2]=-1;f[t>>2]=0;f[t+4>>2]=-1;f[v>>2]=0;f[v+4>>2]=-1;f[w>>2]=0;f[w+4>>2]=-1;f[x>>2]=0;f[x+4>>2]=-1;G9b(e,495882,i,o,p,q,r,s,t,v,w,x);if((b[E>>0]|0)<0)fuc(f[n>>2]|0);I=1}if(!(b[a+37>>0]|0))J=I;else{if(I)Duc(e,531032)|0;else Duc(e,517027)|0;Duc(e,495897)|0;Udc(i,f[a+16>>2]|0);I=i+11|0;E=b[I>>0]|0;x=E<<24>>24<0;Cuc(e,x?f[i>>2]|0:i,x?f[i+4>>2]|0:E&255)|0;if((b[I>>0]|0)<0)fuc(f[i>>2]|0);Duc(e,517029)|0;J=1};f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;if(!(wOb(c,f[a+68>>2]|0,f[(f[a+20>>2]|0)+8>>2]|0,n)|0)){if(J)B=62}else{Duc(e,J?531032:530802)|0;J=b[n+11>>0]|0;I=J<<24>>24<0;Cuc(e,I?f[n>>2]|0:n,I?f[n+4>>2]|0:J&255)|0;B=62}if((B|0)==62)Duc(e,530857)|0;B=f[y>>2]|0;if(B|0?(f[B>>2]|0)!=2:0){f[i>>2]=110384;f[i+4>>2]=1962;b[i+8>>0]=0;f[i+12>>2]=a;xLb(B,i)}do if((f[z>>2]|0)==10){if(b[g+1>>0]|0){Duc(e,495911)|0;break}B=f[y>>2]|0;if(B|0?(f[B>>2]|0)!=2:0){f[i>>2]=110384;f[i+4>>2]=1962;b[i+8>>0]=0;f[i+12>>2]=a;xLb(B,i)}xOb(f[a+60>>2]|0,c,e,g,0)}else Duc(e,495922)|0;while(0);yOb(m,e);if((b[n+11>>0]|0)<0)fuc(f[n>>2]|0);if((b[A+11>>0]|0)<0)fuc(f[A>>2]|0);A=m+44|0;n=f[A>>2]|0;if(n|0){e=m+48|0;g=f[e>>2]|0;if((g|0)==(n|0))K=n;else{c=g;while(1){g=c+-12|0;f[e>>2]=g;if((b[g+11>>0]|0)<0){fuc(f[g>>2]|0);L=f[e>>2]|0}else L=g;if((L|0)==(n|0))break;else c=L}K=f[A>>2]|0}fuc(K)}K=m+32|0;if((b[K+11>>0]|0)<0)fuc(f[K>>2]|0);if((b[d+11>>0]|0)<0)fuc(f[d>>2]|0);if((b[D>>0]|0)<0)fuc(f[l>>2]|0);if((b[C>>0]|0)<0)fuc(f[k>>2]|0);if((b[G>>0]|0)>=0){u=h;return}fuc(f[j>>2]|0);u=h;return}function sOb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;d=u;u=u+16|0;e=d;g=c+24|0;h=f[g>>2]|0;if(h|0?(f[h>>2]|0)!=2:0){f[e>>2]=110384;f[e+4>>2]=1962;b[e+8>>0]=0;f[e+12>>2]=c;xLb(h,e)}h=c+28|0;switch(f[h>>2]|0){case 11:{i=f[g>>2]|0;if(i|0?(f[i>>2]|0)!=2:0){f[e>>2]=110384;f[e+4>>2]=1962;b[e+8>>0]=0;f[e+12>>2]=c;xLb(i,e)}nEa(a,531099,f[(f[c+60>>2]|0)+4>>2]|0);u=d;return}case 14:{i=f[g>>2]|0;if(i|0?(f[i>>2]|0)!=2:0){f[e>>2]=110384;f[e+4>>2]=1962;b[e+8>>0]=0;f[e+12>>2]=c;xLb(i,e)}nEa(a,531099,f[(f[c+64>>2]|0)+4>>2]|0);u=d;return}default:{i=f[g>>2]|0;if(i|0?(f[i>>2]|0)!=2:0){f[e>>2]=110384;f[e+4>>2]=1962;b[e+8>>0]=0;f[e+12>>2]=c;xLb(i,e)}e=f[151888+(f[h>>2]<<2)>>2]|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;h=jfc(e)|0;if(h>>>0>4294967279)muc(a);if(h>>>0<11){b[a+11>>0]=h;if(!h)j=a;else{k=a;l=21}}else{i=h+16&-16;c=cuc(i)|0;f[a>>2]=c;f[a+8>>2]=i|-2147483648;f[a+4>>2]=h;k=c;l=21}if((l|0)==21){szc(k|0,e|0,h|0)|0;j=k}b[j+h>>0]=0;u=d;return}}}function tOb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=u;u=u+16|0;d=c;f[d>>2]=0;e=d+4|0;f[e>>2]=0;f[d+8>>2]=0;VOb(a,d);g=HOb(f[a+20>>2]|0,d,b)|0;b=f[d>>2]|0;if(!b){u=c;return g|0}d=f[e>>2]|0;if((d|0)!=(b|0))f[e>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b);u=c;return g|0}function uOb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;d=u;u=u+16|0;e=d;if(!(b[a>>0]|0)){u=d;return}g=a+44|0;h=a+48|0;i=f[g>>2]|0;if((f[h>>2]|0)!=(i|0)){j=e+11|0;k=e+4|0;l=0;m=i;do{zOb(e,a,m+(l*12|0)|0);i=b[j>>0]|0;n=i<<24>>24<0;Cuc(c,n?f[e>>2]|0:e,n?f[k>>2]|0:i&255)|0;if((b[j>>0]|0)<0)fuc(f[e>>2]|0);Duc(c,517126)|0;l=l+1|0;m=f[g>>2]|0}while(l>>>0<(((f[h>>2]|0)-m|0)/12|0)>>>0)}m=a+20|0;h=b[m+11>>0]|0;if(h<<24>>24<0)o=f[a+24>>2]|0;else o=h&255;if(!o){u=d;return}zOb(e,a,m);m=e+11|0;a=b[m>>0]|0;o=a<<24>>24<0;Cuc(c,o?f[e>>2]|0:e,o?f[e+4>>2]|0:a&255)|0;if((b[m>>0]|0)<0)fuc(f[e>>2]|0);u=d;return}function vOb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0;e=u;u=u+112|0;g=e+88|0;h=e+64|0;i=e+24|0;j=e+40|0;k=e+105|0;l=e;m=e+104|0;if(!(b[c+36>>0]|0)){iLb(h,3,490877,1934);fLb(e+106|0,dLb(dLb(h,496390)|0,496426)|0);jLb(h)}h=c+24|0;o=f[h>>2]|0;if(o|0?(f[o>>2]|0)!=2:0){f[g>>2]=110384;f[g+4>>2]=1962;b[g+8>>0]=0;f[g+12>>2]=c;xLb(o,g)}o=c+28|0;do switch(f[151812+(f[o>>2]<<2)>>2]|0){case 1:{_dc(a,f[c+80>>2]|0);u=e;return}case 2:{q=c+80|0;aec(a,f[q>>2]|0,f[q+4>>2]|0);u=e;return}case 3:{$dc(a,f[c+80>>2]|0);u=e;return}case 4:{q=c+80|0;bec(a,f[q>>2]|0,f[q+4>>2]|0);u=e;return}case 6:{eec(a,+n[c+80>>2]);u=e;return}case 5:{cec(a,+p[c+80>>3]);u=e;return}case 7:{q=(b[c+80>>0]|0)!=0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;r=q?4:5;b[a+11>>0]=r;szc(a|0,(q?532016:532010)|0,r|0)|0;b[a+r>>0]=0;u=e;return}case 9:{if(d){Udc(i,f[c+80>>2]|0);r=Huc(i,0,517029)|0;f[g>>2]=f[r>>2];f[g+4>>2]=f[r+4>>2];f[g+8>>2]=f[r+8>>2];f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;r=Duc(g,517029)|0;f[a>>2]=f[r>>2];f[a+4>>2]=f[r+4>>2];f[a+8>>2]=f[r+8>>2];f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0);u=e;return}r=f[h>>2]|0;if(r|0?(f[r>>2]|0)!=2:0){f[g>>2]=110384;f[g+4>>2]=1962;b[g+8>>0]=0;f[g+12>>2]=c;xLb(r,g)}r=f[c+80>>2]|0;if((f[o>>2]|0)==12){Udc(a,r);u=e;return}else{ouc(a,r);u=e;return}break}case 8:{r=f[h>>2]|0;if(r|0?(f[r>>2]|0)!=2:0){f[g>>2]=110384;f[g+4>>2]=1962;b[g+8>>0]=0;f[g+12>>2]=c;xLb(r,g)}ouc(a,f[f[c+80>>2]>>2]|0);u=e;return}case 10:{iLb(j,2,490877,1972);fLb(k,dLb(j,496443)|0);jLb(j);break}default:{}}while(0);iLb(l,3,490877,1975);fLb(m,dLb(l,496479)|0);jLb(l);f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;u=e;return}function wOb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;g=u;u=u+64|0;h=g+24|0;i=g+12|0;j=g;f[i>>2]=0;k=i+4|0;f[k>>2]=0;f[i+8>>2]=0;if(TOb(a,c,d,i)|0){f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;d=f[i>>2]|0;c=f[k>>2]|0;if((d|0)==(c|0)){l=j+11|0;m=j;n=0;o=0;p=0}else{a=h+4|0;q=d;do{if((q|0)!=(d|0))Duc(j,531032)|0;r=b[q+11>>0]|0;s=r<<24>>24<0;f[h>>2]=s?f[q>>2]|0:q;f[a>>2]=s?f[q+4>>2]|0:r&255;jec(j,h);q=q+12|0}while((q|0)!=(c|0));c=j+11|0;l=c;m=j;n=b[c>>0]|0;o=f[j>>2]|0;p=f[j+4>>2]|0}c=n<<24>>24<0;Cuc(e,c?o:j,c?p:n&255)|0;if((b[l>>0]|0)<0)fuc(f[m>>2]|0)}m=f[i>>2]|0;l=f[k>>2]|0;n=(m|0)!=(l|0);if(!m){u=g;return n|0}if((l|0)==(m|0))t=m;else{p=l;while(1){l=p+-12|0;f[k>>2]=l;if((b[l+11>>0]|0)<0){fuc(f[l>>2]|0);v=f[k>>2]|0}else v=l;if((v|0)==(m|0))break;else p=v}t=f[i>>2]|0}fuc(t);u=g;return n|0}function xOb(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0;h=u;u=u+576|0;i=h+528|0;j=h+512|0;k=h+440|0;l=h+400|0;m=h+360|0;n=h+320|0;o=h+280|0;p=h+240|0;q=h+200|0;r=h+160|0;s=h+120|0;t=h+80|0;v=h+40|0;w=h;x=a+16|0;if(b[(f[x>>2]|0)+51>>0]|0){u=h;return}y=c<<1;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;if(y>>>0>4294967279)muc(j);if(y>>>0<11){b[j+11>>0]=y;if(!c)z=j;else{A=j;B=7}}else{C=y+16&-16;D=cuc(C)|0;f[j>>2]=D;f[j+8>>2]=C|-2147483648;f[j+4>>2]=y;A=D;B=7}if((B|0)==7){kzc(A|0,32,y|0)|0;z=A}b[z+y>>0]=0;y=c+1|0;z=k+4|0;A=k+20|0;D=A;C=D+36|0;do{f[D>>2]=0;D=D+4|0}while((D|0)<(C|0));D=k+56|0;b[D>>0]=b[e>>0]|0;b[D+1>>0]=b[e+1>>0]|0;b[D+2>>0]=b[e+2>>0]|0;D=k+60|0;ouc(D,j);if(!(b[e>>0]|0))E=0;else E=AOb(a,z)|0;b[k>>0]=E&1;uOb(k,d);if(g){g=b[j+11>>0]|0;E=g<<24>>24<0;f[i>>2]=E?f[j>>2]|0:j;f[i+4>>2]=E?f[j+4>>2]|0:g&255;g=f[a>>2]|0;E=b[g+11>>0]|0;z=E<<24>>24<0;f[l>>2]=z?f[g>>2]|0:g;f[l+4>>2]=z?f[g+4>>2]|0:E&255;f[m>>2]=0;f[m+4>>2]=-1;f[n>>2]=0;f[n+4>>2]=-1;f[o>>2]=0;f[o+4>>2]=-1;f[p>>2]=0;f[p+4>>2]=-1;f[q>>2]=0;f[q+4>>2]=-1;f[r>>2]=0;f[r+4>>2]=-1;f[s>>2]=0;f[s+4>>2]=-1;f[t>>2]=0;f[t+4>>2]=-1;G9b(d,495934,i,l,m,n,o,p,q,r,s,t)}Duc(d,517023)|0;BOb(y,f[x>>2]|0,f[(f[a+8>>2]|0)+8>>2]|0,d)|0;x=l+4|0;f[x>>2]=0;E=l+8|0;f[E>>2]=0;g=l+4|0;f[l>>2]=g;z=a+52|0;if((f[z>>2]|0)>0){C=a+20|0;F=i+4|0;G=i+8|0;H=i+12|0;I=i+4|0;J=i+8|0;K=i+12|0;L=0;do{M=f[C>>2]|0;N=M+(L*88|0)|0;O=f[M+(L*88|0)+24>>2]|0;if(O|0?(f[O>>2]|0)!=2:0){f[i>>2]=110384;f[I>>2]=1962;b[J>>0]=0;f[K>>2]=N;xLb(O,i)}if((f[M+(L*88|0)+28>>2]|0)==10){M=f[C>>2]|0;O=M+(L*88|0)|0;N=f[M+(L*88|0)+24>>2]|0;if(N|0?(f[N>>2]|0)!=2:0){f[i>>2]=110384;f[F>>2]=1962;b[G>>0]=0;f[H>>2]=O;xLb(N,i)}N=f[M+(L*88|0)+60>>2]|0;M=N;O=f[g>>2]|0;do if(O){P=x;Q=O;while(1){R=f[Q+16>>2]|0;if(N>>>0<R>>>0){S=f[Q>>2]|0;if(!S){B=27;break}else{T=Q;U=S}}else{if(R>>>0>=N>>>0){B=31;break}V=Q+4|0;R=f[V>>2]|0;if(!R){B=30;break}else{T=V;U=R}}P=T;Q=U}if((B|0)==27){B=0;W=Q;X=Q;break}else if((B|0)==30){B=0;W=Q;X=V;break}else if((B|0)==31){B=0;W=Q;X=P;break}}else{W=g;X=g}while(0);if(!(f[X>>2]|0)){N=cuc(20)|0;f[N+16>>2]=M;f[N>>2]=0;f[N+4>>2]=0;f[N+8>>2]=W;f[X>>2]=N;O=f[f[l>>2]>>2]|0;if(!O)Y=N;else{f[l>>2]=O;Y=f[X>>2]|0}jI(f[x>>2]|0,Y);f[E>>2]=(f[E>>2]|0)+1}}L=L+1|0}while((L|0)<(f[z>>2]|0))}L=a+72|0;if((f[L>>2]|0)>0){Y=a+40|0;X=i+4|0;W=i+8|0;V=i+12|0;U=i+4|0;T=i+8|0;H=i+12|0;G=0;do{F=f[Y>>2]|0;C=F+(G*88|0)|0;K=f[F+(G*88|0)+24>>2]|0;if(K|0?(f[K>>2]|0)!=2:0){f[i>>2]=110384;f[U>>2]=1962;b[T>>0]=0;f[H>>2]=C;xLb(K,i)}if((f[F+(G*88|0)+28>>2]|0)==10){F=f[Y>>2]|0;K=F+(G*88|0)|0;C=f[F+(G*88|0)+24>>2]|0;if(C|0?(f[C>>2]|0)!=2:0){f[i>>2]=110384;f[X>>2]=1962;b[W>>0]=0;f[V>>2]=K;xLb(C,i)}C=f[F+(G*88|0)+60>>2]|0;F=C;K=f[g>>2]|0;do if(K){J=x;I=K;while(1){O=f[I+16>>2]|0;if(C>>>0<O>>>0){N=f[I>>2]|0;if(!N){B=50;break}else{Z=I;_=N}}else{if(O>>>0>=C>>>0){B=54;break}$=I+4|0;O=f[$>>2]|0;if(!O){B=53;break}else{Z=$;_=O}}J=Z;I=_}if((B|0)==50){B=0;aa=I;ba=I;break}else if((B|0)==53){B=0;aa=I;ba=$;break}else if((B|0)==54){B=0;aa=I;ba=J;break}}else{aa=g;ba=g}while(0);if(!(f[ba>>2]|0)){C=cuc(20)|0;f[C+16>>2]=F;f[C>>2]=0;f[C+4>>2]=0;f[C+8>>2]=aa;f[ba>>2]=C;K=f[f[l>>2]>>2]|0;if(!K)ca=C;else{f[l>>2]=K;ca=f[ba>>2]|0}jI(f[x>>2]|0,ca);f[E>>2]=(f[E>>2]|0)+1}}G=G+1|0}while((G|0)<(f[L>>2]|0))}G=a+60|0;E=f[G>>2]|0;if((E|0)>0){ca=a+28|0;x=0;ba=E;while(1){E=(f[ca>>2]|0)+(x*88|0)|0;aa=f[g>>2]|0;a:do if(!aa)B=68;else{$=aa;while(1){_=f[$+16>>2]|0;if(E>>>0<_>>>0)da=$;else{if(_>>>0>=E>>>0){ea=ba;break a}da=$+4|0}$=f[da>>2]|0;if(!$){B=68;break}}}while(0);if((B|0)==68){B=0;xOb(E,y,d,e,1);ea=f[G>>2]|0}x=x+1|0;if((x|0)>=(ea|0))break;else ba=ea}}ea=a+64|0;if((f[ea>>2]|0)>0){ba=a+32|0;x=0;do{COb((f[ba>>2]|0)+(x*48|0)|0,y,d,e);x=x+1|0}while((x|0)<(f[ea>>2]|0))}if((f[z>>2]|0)>0){ea=a+20|0;x=0;do{ba=f[ea>>2]|0;G=ba+(x*88|0)|0;B=f[ba+(x*88|0)+52>>2]|0;if(B){if((f[f[B+20>>2]>>2]|0)==(G|0))DOb(B,y,d,e)}else rOb(G,y,0,d,e);x=x+1|0}while((x|0)<(f[z>>2]|0))}z=a+68|0;if((f[z>>2]|0)>0){x=j+11|0;y=i+4|0;ea=j+4|0;G=a+36|0;B=m+8|0;ba=m+4|0;da=n+8|0;ca=n+4|0;aa=o+4|0;F=p+4|0;$=q+4|0;J=r+4|0;I=s+4|0;_=t+4|0;Z=v+4|0;V=0;do{W=b[x>>0]|0;X=W<<24>>24<0;f[i>>2]=X?f[j>>2]|0:j;f[y>>2]=X?f[ea>>2]|0:W&255;W=Wdc(f[(f[G>>2]|0)+(V*12|0)>>2]|0,B)|0;f[m>>2]=W;X=jfc(W)|0;f[ba>>2]=X;X=Wdc((f[(f[G>>2]|0)+(V*12|0)+4>>2]|0)+-1|0,da)|0;f[n>>2]=X;W=jfc(X)|0;f[ca>>2]=W;f[o>>2]=0;f[aa>>2]=-1;f[p>>2]=0;f[F>>2]=-1;f[q>>2]=0;f[$>>2]=-1;f[r>>2]=0;f[J>>2]=-1;f[s>>2]=0;f[I>>2]=-1;f[t>>2]=0;f[_>>2]=-1;f[v>>2]=0;f[Z>>2]=-1;G9b(d,495947,i,m,n,o,p,q,r,s,t,v);V=V+1|0}while((V|0)<(f[z>>2]|0))}if((f[L>>2]|0)>0){z=a+40|0;V=c+2|0;c=j+11|0;Z=i+4|0;_=j+4|0;I=m+4|0;J=n+4|0;$=o+4|0;F=p+4|0;aa=q+4|0;ca=r+4|0;da=s+4|0;G=t+4|0;ba=v+4|0;B=i+4|0;ea=m+4|0;y=n+4|0;x=o+4|0;W=p+4|0;X=q+4|0;Y=r+4|0;H=s+4|0;T=t+4|0;U=v+4|0;K=0;C=0;while(1){M=f[z>>2]|0;P=f[M+(K*88|0)+48>>2]|0;if((P|0)==(C|0)){fa=C;ga=M}else{if((K|0)>0){M=b[c>>0]|0;Q=M<<24>>24<0;f[i>>2]=Q?f[j>>2]|0:j;f[Z>>2]=Q?f[_>>2]|0:M&255;f[m>>2]=0;f[I>>2]=-1;f[n>>2]=0;f[J>>2]=-1;f[o>>2]=0;f[$>>2]=-1;f[p>>2]=0;f[F>>2]=-1;f[q>>2]=0;f[aa>>2]=-1;f[r>>2]=0;f[ca>>2]=-1;f[s>>2]=0;f[da>>2]=-1;f[t>>2]=0;f[G>>2]=-1;f[v>>2]=0;f[ba>>2]=-1;G9b(d,495973,i,m,n,o,p,q,r,s,t,v);ha=f[(f[z>>2]|0)+(K*88|0)+48>>2]|0}else ha=P;P=b[c>>0]|0;M=P<<24>>24<0;f[i>>2]=M?f[j>>2]|0:j;f[B>>2]=M?f[_>>2]|0:P&255;P=f[ha+4>>2]|0;M=b[P+11>>0]|0;Q=M<<24>>24<0;f[m>>2]=Q?f[P>>2]|0:P;f[ea>>2]=Q?f[P+4>>2]|0:M&255;f[n>>2]=0;f[y>>2]=-1;f[o>>2]=0;f[x>>2]=-1;f[p>>2]=0;f[W>>2]=-1;f[q>>2]=0;f[X>>2]=-1;f[r>>2]=0;f[Y>>2]=-1;f[s>>2]=0;f[H>>2]=-1;f[t>>2]=0;f[T>>2]=-1;f[v>>2]=0;f[U>>2]=-1;G9b(d,495980,i,m,n,o,p,q,r,s,t,v);fa=ha;ga=f[z>>2]|0}rOb(ga+(K*88|0)|0,V,0,d,e);K=K+1|0;ia=f[L>>2]|0;if((K|0)>=(ia|0))break;else C=fa}if((ia|0)>0){ia=b[j+11>>0]|0;fa=ia<<24>>24<0;f[i>>2]=fa?f[j>>2]|0:j;f[i+4>>2]=fa?f[j+4>>2]|0:ia&255;f[m>>2]=0;f[m+4>>2]=-1;f[n>>2]=0;f[n+4>>2]=-1;f[o>>2]=0;f[o+4>>2]=-1;f[p>>2]=0;f[p+4>>2]=-1;f[q>>2]=0;f[q+4>>2]=-1;f[r>>2]=0;f[r+4>>2]=-1;f[s>>2]=0;f[s+4>>2]=-1;f[t>>2]=0;f[t+4>>2]=-1;f[v>>2]=0;f[v+4>>2]=-1;G9b(d,495973,i,m,n,o,p,q,r,s,t,v)}}ia=a+76|0;if((f[ia>>2]|0)>0){fa=b[j+11>>0]|0;C=fa<<24>>24<0;f[i>>2]=C?f[j>>2]|0:j;f[i+4>>2]=C?f[j+4>>2]|0:fa&255;f[m>>2]=0;f[m+4>>2]=-1;f[n>>2]=0;f[n+4>>2]=-1;f[o>>2]=0;f[o+4>>2]=-1;f[p>>2]=0;f[p+4>>2]=-1;f[q>>2]=0;f[q+4>>2]=-1;f[r>>2]=0;f[r+4>>2]=-1;f[s>>2]=0;f[s+4>>2]=-1;f[t>>2]=0;f[t+4>>2]=-1;f[v>>2]=0;f[v+4>>2]=-1;G9b(d,495998,i,m,n,o,p,q,r,s,t,v);if((f[ia>>2]|0)>0){fa=a+44|0;C=i+8|0;K=i+4|0;L=m+4|0;e=n+4|0;V=o+4|0;ga=p+4|0;z=q+4|0;ha=r+4|0;U=s+4|0;T=t+4|0;H=v+4|0;Y=i+8|0;X=i+4|0;W=m+8|0;x=m+4|0;y=n+4|0;ea=o+4|0;_=p+4|0;B=q+4|0;c=r+4|0;ba=s+4|0;G=t+4|0;da=v+4|0;ca=0;do{aa=f[fa>>2]|0;F=aa+(ca<<3)+4|0;$=f[aa+(ca<<3)>>2]|0;if((f[F>>2]|0)==($+1|0)){aa=Wdc($,C)|0;f[i>>2]=aa;J=jfc(aa)|0;f[K>>2]=J;f[m>>2]=0;f[L>>2]=-1;f[n>>2]=0;f[e>>2]=-1;f[o>>2]=0;f[V>>2]=-1;f[p>>2]=0;f[ga>>2]=-1;f[q>>2]=0;f[z>>2]=-1;f[r>>2]=0;f[ha>>2]=-1;f[s>>2]=0;f[U>>2]=-1;f[t>>2]=0;f[T>>2]=-1;f[v>>2]=0;f[H>>2]=-1;G9b(d,496012,i,m,n,o,p,q,r,s,t,v)}else{J=Wdc($,Y)|0;f[i>>2]=J;$=jfc(J)|0;f[X>>2]=$;$=Wdc((f[F>>2]|0)+-1|0,W)|0;f[m>>2]=$;F=jfc($)|0;f[x>>2]=F;f[n>>2]=0;f[y>>2]=-1;f[o>>2]=0;f[ea>>2]=-1;f[p>>2]=0;f[_>>2]=-1;f[q>>2]=0;f[B>>2]=-1;f[r>>2]=0;f[c>>2]=-1;f[s>>2]=0;f[ba>>2]=-1;f[t>>2]=0;f[G>>2]=-1;f[v>>2]=0;f[da>>2]=-1;G9b(d,496017,i,m,n,o,p,q,r,s,t,v)}ca=ca+1|0}while((ca|0)<(f[ia>>2]|0))}ia=b[d+11>>0]|0;if(ia<<24>>24<0)ja=f[d+4>>2]|0;else ja=ia&255;Luc(d,ja+-2|0,2,495922)|0}ja=a+80|0;if((f[ja>>2]|0)>0){ia=j+11|0;ca=b[ia>>0]|0;da=ca<<24>>24<0;f[i>>2]=da?f[j>>2]|0:j;G=j+4|0;f[i+4>>2]=da?f[G>>2]|0:ca&255;f[m>>2]=0;f[m+4>>2]=-1;f[n>>2]=0;f[n+4>>2]=-1;f[o>>2]=0;f[o+4>>2]=-1;f[p>>2]=0;f[p+4>>2]=-1;f[q>>2]=0;f[q+4>>2]=-1;f[r>>2]=0;f[r+4>>2]=-1;f[s>>2]=0;f[s+4>>2]=-1;f[t>>2]=0;f[t+4>>2]=-1;f[v>>2]=0;f[v+4>>2]=-1;G9b(d,495998,i,m,n,o,p,q,r,s,t,v);if((f[ja>>2]|0)>0){ca=a+48|0;a=m+11|0;da=i+4|0;ba=m+4|0;c=n+4|0;B=o+4|0;_=p+4|0;ea=q+4|0;y=r+4|0;x=s+4|0;W=t+4|0;X=v+4|0;Y=w+4|0;H=0;do{Udc(m,f[(f[ca>>2]|0)+(H<<2)>>2]|0);T=b[a>>0]|0;U=T<<24>>24<0;f[i>>2]=U?f[m>>2]|0:m;f[da>>2]=U?f[ba>>2]|0:T&255;f[n>>2]=0;f[c>>2]=-1;f[o>>2]=0;f[B>>2]=-1;f[p>>2]=0;f[_>>2]=-1;f[q>>2]=0;f[ea>>2]=-1;f[r>>2]=0;f[y>>2]=-1;f[s>>2]=0;f[x>>2]=-1;f[t>>2]=0;f[W>>2]=-1;f[v>>2]=0;f[X>>2]=-1;f[w>>2]=0;f[Y>>2]=-1;G9b(d,496028,i,n,o,p,q,r,s,t,v,w);if((b[a>>0]|0)<0)fuc(f[m>>2]|0);H=H+1|0}while((H|0)<(f[ja>>2]|0))}ja=b[d+11>>0]|0;if(ja<<24>>24<0)ka=f[d+4>>2]|0;else ka=ja&255;Luc(d,ka+-2|0,2,495922)|0;la=ia;ma=j;na=G}else{la=j+11|0;ma=j;na=j+4|0}G=b[la>>0]|0;ia=G<<24>>24<0;f[i>>2]=ia?f[ma>>2]|0:j;f[i+4>>2]=ia?f[na>>2]|0:G&255;f[m>>2]=0;f[m+4>>2]=-1;f[n>>2]=0;f[n+4>>2]=-1;f[o>>2]=0;f[o+4>>2]=-1;f[p>>2]=0;f[p+4>>2]=-1;f[q>>2]=0;f[q+4>>2]=-1;f[r>>2]=0;f[r+4>>2]=-1;f[s>>2]=0;f[s+4>>2]=-1;f[t>>2]=0;f[t+4>>2]=-1;f[v>>2]=0;f[v+4>>2]=-1;G9b(d,496035,i,m,n,o,p,q,r,s,t,v);yOb(k,d);EOb(l,f[g>>2]|0);if((b[D+11>>0]|0)<0)fuc(f[D>>2]|0);D=k+44|0;g=f[D>>2]|0;if(g|0){l=k+48|0;d=f[l>>2]|0;if((d|0)==(g|0))oa=g;else{v=d;while(1){d=v+-12|0;f[l>>2]=d;if((b[d+11>>0]|0)<0){fuc(f[d>>2]|0);pa=f[l>>2]|0}else pa=d;if((pa|0)==(g|0))break;else v=pa}oa=f[D>>2]|0}fuc(oa)}oa=k+32|0;if((b[oa+11>>0]|0)<0)fuc(f[oa>>2]|0);if((b[A+11>>0]|0)<0)fuc(f[A>>2]|0);if((b[la>>0]|0)<0)fuc(f[ma>>2]|0);u=h;return}function yOb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0;d=u;u=u+16|0;e=d;if(!(b[a>>0]|0)){u=d;return}g=a+32|0;h=b[g+11>>0]|0;if(h<<24>>24<0)i=f[a+36>>2]|0;else i=h&255;if(!i){u=d;return}zOb(e,a,g);g=e+11|0;a=b[g>>0]|0;i=a<<24>>24<0;Cuc(c,i?f[e>>2]|0:e,i?f[e+4>>2]|0:a&255)|0;if((b[g>>0]|0)<0)fuc(f[e>>2]|0);u=d;return}function zOb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0;e=u;u=u+432|0;g=e+412|0;h=e+400|0;i=e+360|0;j=e+320|0;k=e+280|0;l=e+240|0;m=e+200|0;n=e+160|0;o=e+120|0;p=e+80|0;q=e+40|0;r=e;ouc(g,d);Pdc(g);f[h>>2]=0;d=h+4|0;f[d>>2]=0;f[h+8>>2]=0;Qdc(g,517126,h);f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;s=f[d>>2]|0;t=f[h>>2]|0;v=t;if((s|0)==(t|0)){w=s;x=v}else{s=c+60|0;t=s+11|0;y=i+4|0;z=c+64|0;c=j+4|0;A=k+4|0;B=l+4|0;C=m+4|0;D=n+4|0;E=o+4|0;F=p+4|0;G=q+4|0;H=r+4|0;I=0;J=v;while(1){v=J+(I*12|0)|0;K=b[t>>0]|0;L=K<<24>>24<0;f[i>>2]=L?f[s>>2]|0:s;f[y>>2]=L?f[z>>2]|0:K&255;K=b[v+11>>0]|0;L=K<<24>>24<0;f[j>>2]=L?f[v>>2]|0:v;f[c>>2]=L?f[J+(I*12|0)+4>>2]|0:K&255;f[k>>2]=0;f[A>>2]=-1;f[l>>2]=0;f[B>>2]=-1;f[m>>2]=0;f[C>>2]=-1;f[n>>2]=0;f[D>>2]=-1;f[o>>2]=0;f[E>>2]=-1;f[p>>2]=0;f[F>>2]=-1;f[q>>2]=0;f[G>>2]=-1;f[r>>2]=0;f[H>>2]=-1;G9b(a,495925,i,j,k,l,m,n,o,p,q,r);I=I+1|0;K=f[d>>2]|0;L=f[h>>2]|0;v=L;if(I>>>0>=((K-L|0)/12|0)>>>0){w=K;x=v;break}else J=v}}J=w;if(x|0){if((J|0)==(x|0))M=x;else{w=J;while(1){J=w+-12|0;f[d>>2]=J;if((b[J+11>>0]|0)<0){fuc(f[J>>2]|0);N=f[d>>2]|0}else N=J;if((N|0)==(x|0))break;else w=N}M=f[h>>2]|0}fuc(M)}if((b[g+11>>0]|0)>=0){u=e;return}fuc(f[g>>2]|0);u=e;return}function AOb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=u;u=u+16|0;d=c;f[d>>2]=0;e=d+4|0;f[e>>2]=0;f[d+8>>2]=0;GOb(a,d);g=HOb(f[a+8>>2]|0,d,b)|0;b=f[d>>2]|0;if(!b){u=c;return g|0}d=f[e>>2]|0;if((d|0)!=(b|0))f[e>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b);u=c;return g|0}function BOb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0;g=u;u=u+432|0;h=g+412|0;i=g+400|0;j=g+360|0;k=g+320|0;l=g+280|0;m=g+240|0;n=g+200|0;o=g+160|0;p=g+120|0;q=g+80|0;r=g+40|0;s=g;t=a<<1;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;if(t>>>0>4294967279)muc(h);if(t>>>0<11){b[h+11>>0]=t;if(!a)v=h;else{w=h;x=6}}else{y=t+16&-16;z=cuc(y)|0;f[h>>2]=z;f[h+8>>2]=y|-2147483648;f[h+4>>2]=t;w=z;x=6}if((x|0)==6){kzc(w|0,32,t|0)|0;v=w}b[v+t>>0]=0;f[i>>2]=0;t=i+4|0;f[t>>2]=0;f[i+8>>2]=0;if(TOb(a,c,d,i)|0){d=f[t>>2]|0;c=f[i>>2]|0;a=c;if((d|0)==(c|0)){A=a;B=d}else{d=h+11|0;c=j+4|0;v=h+4|0;w=k+4|0;x=l+4|0;z=m+4|0;y=n+4|0;C=o+4|0;D=p+4|0;E=q+4|0;F=r+4|0;G=s+4|0;H=0;I=a;do{a=b[d>>0]|0;J=a<<24>>24<0;f[j>>2]=J?f[h>>2]|0:h;f[c>>2]=J?f[v>>2]|0:a&255;a=I+(H*12|0)|0;J=b[a+11>>0]|0;K=J<<24>>24<0;f[k>>2]=K?f[a>>2]|0:a;f[w>>2]=K?f[I+(H*12|0)+4>>2]|0:J&255;f[l>>2]=0;f[x>>2]=-1;f[m>>2]=0;f[z>>2]=-1;f[n>>2]=0;f[y>>2]=-1;f[o>>2]=0;f[C>>2]=-1;f[p>>2]=0;f[D>>2]=-1;f[q>>2]=0;f[E>>2]=-1;f[r>>2]=0;f[F>>2]=-1;f[s>>2]=0;f[G>>2]=-1;G9b(e,496332,j,k,l,m,n,o,p,q,r,s);H=H+1|0;L=f[t>>2]|0;J=f[i>>2]|0;I=J}while(H>>>0<((L-J|0)/12|0)>>>0);A=I;B=L}}else{A=f[i>>2]|0;B=f[t>>2]|0}L=(A|0)!=(B|0);if(A|0){if((B|0)==(A|0))M=A;else{I=B;while(1){B=I+-12|0;f[t>>2]=B;if((b[B+11>>0]|0)<0){fuc(f[B>>2]|0);N=f[t>>2]|0}else N=B;if((N|0)==(A|0))break;else I=N}M=f[i>>2]|0}fuc(M)}if((b[h+11>>0]|0)>=0){u=g;return L|0}fuc(f[h>>2]|0);u=g;return L|0}function COb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0;g=u;u=u+528|0;h=g+512|0;i=g+440|0;j=g+400|0;k=g+360|0;l=g+320|0;m=g+280|0;n=g+240|0;o=g+200|0;p=g+160|0;q=g+120|0;r=g+80|0;s=g+40|0;t=g;v=c<<1;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;if(v>>>0>4294967279)muc(h);if(v>>>0<11){b[h+11>>0]=v;if(!c)w=h;else{x=h;y=6}}else{z=v+16&-16;A=cuc(z)|0;f[h>>2]=A;f[h+8>>2]=z|-2147483648;f[h+4>>2]=v;x=A;y=6}if((y|0)==6){kzc(x|0,32,v|0)|0;w=x}b[w+v>>0]=0;v=c+1|0;c=i+4|0;w=i+20|0;x=w;y=x+36|0;do{f[x>>2]=0;x=x+4|0}while((x|0)<(y|0));x=i+56|0;b[x>>0]=b[e>>0]|0;b[x+1>>0]=b[e+1>>0]|0;b[x+2>>0]=b[e+2>>0]|0;x=i+60|0;ouc(x,h);if(!(b[e>>0]|0))B=0;else B=POb(a,c)|0;b[i>>0]=B&1;uOb(i,d);B=h+11|0;c=b[B>>0]|0;y=c<<24>>24<0;f[j>>2]=y?f[h>>2]|0:h;A=h+4|0;f[j+4>>2]=y?f[A>>2]|0:c&255;c=f[a>>2]|0;y=b[c+11>>0]|0;z=y<<24>>24<0;f[k>>2]=z?f[c>>2]|0:c;f[k+4>>2]=z?f[c+4>>2]|0:y&255;f[l>>2]=0;f[l+4>>2]=-1;f[m>>2]=0;f[m+4>>2]=-1;f[n>>2]=0;f[n+4>>2]=-1;f[o>>2]=0;f[o+4>>2]=-1;f[p>>2]=0;f[p+4>>2]=-1;f[q>>2]=0;f[q+4>>2]=-1;f[r>>2]=0;f[r+4>>2]=-1;f[s>>2]=0;f[s+4>>2]=-1;G9b(d,496303,j,k,l,m,n,o,p,q,r,s);BOb(v,f[a+16>>2]|0,f[(f[a+8>>2]|0)+8>>2]|0,d)|0;y=a+24|0;if((f[y>>2]|0)>0){c=a+28|0;z=0;do{QOb((f[c>>2]|0)+(z*20|0)|0,v,d,e);z=z+1|0}while((z|0)<(f[y>>2]|0))}y=a+32|0;if((f[y>>2]|0)>0){z=b[B>>0]|0;e=z<<24>>24<0;f[j>>2]=e?f[h>>2]|0:h;f[j+4>>2]=e?f[A>>2]|0:z&255;f[k>>2]=0;f[k+4>>2]=-1;f[l>>2]=0;f[l+4>>2]=-1;f[m>>2]=0;f[m+4>>2]=-1;f[n>>2]=0;f[n+4>>2]=-1;f[o>>2]=0;f[o+4>>2]=-1;f[p>>2]=0;f[p+4>>2]=-1;f[q>>2]=0;f[q+4>>2]=-1;f[r>>2]=0;f[r+4>>2]=-1;f[s>>2]=0;f[s+4>>2]=-1;G9b(d,495998,j,k,l,m,n,o,p,q,r,s);if((f[y>>2]|0)>0){z=a+40|0;e=j+8|0;v=j+4|0;c=k+4|0;C=l+4|0;D=m+4|0;E=n+4|0;F=o+4|0;G=p+4|0;H=q+4|0;I=r+4|0;J=s+4|0;K=j+8|0;L=j+4|0;M=k+8|0;N=k+4|0;O=l+4|0;P=m+4|0;Q=n+4|0;R=o+4|0;S=p+4|0;T=q+4|0;U=r+4|0;V=s+4|0;W=0;do{X=f[z>>2]|0;Y=X+(W<<3)+4|0;Z=f[Y>>2]|0;_=f[X+(W<<3)>>2]|0;if((Z|0)==(_|0)){X=Wdc(Z,e)|0;f[j>>2]=X;Z=jfc(X)|0;f[v>>2]=Z;f[k>>2]=0;f[c>>2]=-1;f[l>>2]=0;f[C>>2]=-1;f[m>>2]=0;f[D>>2]=-1;f[n>>2]=0;f[E>>2]=-1;f[o>>2]=0;f[F>>2]=-1;f[p>>2]=0;f[G>>2]=-1;f[q>>2]=0;f[H>>2]=-1;f[r>>2]=0;f[I>>2]=-1;f[s>>2]=0;f[J>>2]=-1;G9b(d,496012,j,k,l,m,n,o,p,q,r,s)}else{Z=Wdc(_,K)|0;f[j>>2]=Z;_=jfc(Z)|0;f[L>>2]=_;_=Wdc(f[Y>>2]|0,M)|0;f[k>>2]=_;Y=jfc(_)|0;f[N>>2]=Y;f[l>>2]=0;f[O>>2]=-1;f[m>>2]=0;f[P>>2]=-1;f[n>>2]=0;f[Q>>2]=-1;f[o>>2]=0;f[R>>2]=-1;f[p>>2]=0;f[S>>2]=-1;f[q>>2]=0;f[T>>2]=-1;f[r>>2]=0;f[U>>2]=-1;f[s>>2]=0;f[V>>2]=-1;G9b(d,496017,j,k,l,m,n,o,p,q,r,s)}W=W+1|0}while((W|0)<(f[y>>2]|0))}y=b[d+11>>0]|0;if(y<<24>>24<0)$=f[d+4>>2]|0;else $=y&255;Luc(d,$+-2|0,2,495922)|0}$=a+36|0;if((f[$>>2]|0)>0){y=b[B>>0]|0;W=y<<24>>24<0;f[j>>2]=W?f[h>>2]|0:h;f[j+4>>2]=W?f[A>>2]|0:y&255;f[k>>2]=0;f[k+4>>2]=-1;f[l>>2]=0;f[l+4>>2]=-1;f[m>>2]=0;f[m+4>>2]=-1;f[n>>2]=0;f[n+4>>2]=-1;f[o>>2]=0;f[o+4>>2]=-1;f[p>>2]=0;f[p+4>>2]=-1;f[q>>2]=0;f[q+4>>2]=-1;f[r>>2]=0;f[r+4>>2]=-1;f[s>>2]=0;f[s+4>>2]=-1;G9b(d,495998,j,k,l,m,n,o,p,q,r,s);if((f[$>>2]|0)>0){y=a+44|0;a=k+11|0;W=j+4|0;V=k+4|0;U=l+4|0;T=m+4|0;S=n+4|0;R=o+4|0;Q=p+4|0;P=q+4|0;O=r+4|0;N=s+4|0;M=t+4|0;L=0;do{Udc(k,f[(f[y>>2]|0)+(L<<2)>>2]|0);K=b[a>>0]|0;J=K<<24>>24<0;f[j>>2]=J?f[k>>2]|0:k;f[W>>2]=J?f[V>>2]|0:K&255;f[l>>2]=0;f[U>>2]=-1;f[m>>2]=0;f[T>>2]=-1;f[n>>2]=0;f[S>>2]=-1;f[o>>2]=0;f[R>>2]=-1;f[p>>2]=0;f[Q>>2]=-1;f[q>>2]=0;f[P>>2]=-1;f[r>>2]=0;f[O>>2]=-1;f[s>>2]=0;f[N>>2]=-1;f[t>>2]=0;f[M>>2]=-1;G9b(d,496028,j,l,m,n,o,p,q,r,s,t);if((b[a>>0]|0)<0)fuc(f[k>>2]|0);L=L+1|0}while((L|0)<(f[$>>2]|0))}$=b[d+11>>0]|0;if($<<24>>24<0)aa=f[d+4>>2]|0;else aa=$&255;Luc(d,aa+-2|0,2,495922)|0}aa=b[B>>0]|0;$=aa<<24>>24<0;f[j>>2]=$?f[h>>2]|0:h;f[j+4>>2]=$?f[A>>2]|0:aa&255;f[k>>2]=0;f[k+4>>2]=-1;f[l>>2]=0;f[l+4>>2]=-1;f[m>>2]=0;f[m+4>>2]=-1;f[n>>2]=0;f[n+4>>2]=-1;f[o>>2]=0;f[o+4>>2]=-1;f[p>>2]=0;f[p+4>>2]=-1;f[q>>2]=0;f[q+4>>2]=-1;f[r>>2]=0;f[r+4>>2]=-1;f[s>>2]=0;f[s+4>>2]=-1;G9b(d,496035,j,k,l,m,n,o,p,q,r,s);yOb(i,d);if((b[x+11>>0]|0)<0)fuc(f[x>>2]|0);x=i+44|0;d=f[x>>2]|0;if(d|0){s=i+48|0;r=f[s>>2]|0;if((r|0)==(d|0))ba=d;else{q=r;while(1){r=q+-12|0;f[s>>2]=r;if((b[r+11>>0]|0)<0){fuc(f[r>>2]|0);ca=f[s>>2]|0}else ca=r;if((ca|0)==(d|0))break;else q=ca}ba=f[x>>2]|0}fuc(ba)}ba=i+32|0;if((b[ba+11>>0]|0)<0)fuc(f[ba>>2]|0);if((b[w+11>>0]|0)<0)fuc(f[w>>2]|0);if((b[B>>0]|0)>=0){u=g;return}fuc(f[h>>2]|0);u=g;return}function DOb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;g=u;u=u+496|0;h=g+472|0;i=g+400|0;j=g+360|0;k=g+320|0;l=g+280|0;m=g+240|0;n=g+200|0;o=g+160|0;p=g+120|0;q=g+80|0;r=g+40|0;s=g;t=c<<1;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;if(t>>>0>4294967279)muc(h);if(t>>>0<11){b[h+11>>0]=t;if(!c)v=h;else{w=h;x=6}}else{y=t+16&-16;z=cuc(y)|0;f[h>>2]=z;f[h+8>>2]=y|-2147483648;f[h+4>>2]=t;w=z;x=6}if((x|0)==6){kzc(w|0,32,t|0)|0;v=w}b[v+t>>0]=0;t=c+1|0;c=i+4|0;v=i+20|0;w=v;x=w+36|0;do{f[w>>2]=0;w=w+4|0}while((w|0)<(x|0));w=i+56|0;b[w>>0]=b[e>>0]|0;b[w+1>>0]=b[e+1>>0]|0;b[w+2>>0]=b[e+2>>0]|0;w=i+60|0;ouc(w,h);if(!(b[e>>0]|0))A=0;else A=FOb(a,c)|0;b[i>>0]=A&1;uOb(i,d);A=h+11|0;c=b[A>>0]|0;x=c<<24>>24<0;f[j>>2]=x?f[h>>2]|0:h;z=h+4|0;f[j+4>>2]=x?f[z>>2]|0:c&255;c=f[a>>2]|0;x=b[c+11>>0]|0;y=x<<24>>24<0;f[k>>2]=y?f[c>>2]|0:c;f[k+4>>2]=y?f[c+4>>2]|0:x&255;f[l>>2]=0;f[l+4>>2]=-1;f[m>>2]=0;f[m+4>>2]=-1;f[n>>2]=0;f[n+4>>2]=-1;f[o>>2]=0;f[o+4>>2]=-1;f[p>>2]=0;f[p+4>>2]=-1;f[q>>2]=0;f[q+4>>2]=-1;f[r>>2]=0;f[r+4>>2]=-1;f[s>>2]=0;f[s+4>>2]=-1;G9b(d,496040,j,k,l,m,n,o,p,q,r,s);BOb(t,f[a+24>>2]|0,f[(f[(f[a+8>>2]|0)+8>>2]|0)+8>>2]|0,d)|0;if(!(b[e+2>>0]|0)){Duc(d,517126)|0;x=a+16|0;if((f[x>>2]|0)>0){c=a+20|0;a=0;do{rOb(f[(f[c>>2]|0)+(a<<2)>>2]|0,t,1,d,e);a=a+1|0}while((a|0)<(f[x>>2]|0))}x=b[A>>0]|0;a=x<<24>>24<0;f[j>>2]=a?f[h>>2]|0:h;f[j+4>>2]=a?f[z>>2]|0:x&255;f[k>>2]=0;f[k+4>>2]=-1;f[l>>2]=0;f[l+4>>2]=-1;f[m>>2]=0;f[m+4>>2]=-1;f[n>>2]=0;f[n+4>>2]=-1;f[o>>2]=0;f[o+4>>2]=-1;f[p>>2]=0;f[p+4>>2]=-1;f[q>>2]=0;f[q+4>>2]=-1;f[r>>2]=0;f[r+4>>2]=-1;f[s>>2]=0;f[s+4>>2]=-1;G9b(d,496035,j,k,l,m,n,o,p,q,r,s)}else Duc(d,496053)|0;yOb(i,d);if((b[w+11>>0]|0)<0)fuc(f[w>>2]|0);w=i+44|0;d=f[w>>2]|0;if(d|0){s=i+48|0;r=f[s>>2]|0;if((r|0)==(d|0))B=d;else{q=r;while(1){r=q+-12|0;f[s>>2]=r;if((b[r+11>>0]|0)<0){fuc(f[r>>2]|0);C=f[s>>2]|0}else C=r;if((C|0)==(d|0))break;else q=C}B=f[w>>2]|0}fuc(B)}B=i+32|0;if((b[B+11>>0]|0)<0)fuc(f[B>>2]|0);if((b[v+11>>0]|0)<0)fuc(f[v>>2]|0);if((b[A>>0]|0)>=0){u=g;return}fuc(f[h>>2]|0);u=g;return}function EOb(a,b){a=a|0;b=b|0;if(!b)return;else{EOb(a,f[b>>2]|0);EOb(a,f[b+4>>2]|0);fuc(b);return}}function FOb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;c=u;u=u+16|0;d=c+12|0;e=c;f[e>>2]=0;g=e+4|0;f[g>>2]=0;f[e+8>>2]=0;h=a+8|0;GOb(f[h>>2]|0,e);i=f[g>>2]|0;j=e+8|0;k=f[j>>2]|0;if((i|0)==(k|0)){es(e,157072);l=f[g>>2]|0;m=f[j>>2]|0}else{f[i>>2]=f[39268];j=i+4|0;f[g>>2]=j;l=j;m=k}k=f[h>>2]|0;j=(a-(f[k+24>>2]|0)|0)/28|0;f[d>>2]=j;if(l>>>0<m>>>0){f[l>>2]=j;f[g>>2]=l+4;n=k}else{Aw(e,d);n=f[h>>2]|0}h=HOb(f[n+8>>2]|0,e,b)|0;b=f[e>>2]|0;if(!b){u=c;return h|0}e=f[g>>2]|0;if((e|0)!=(b|0))f[g>>2]=e+(~((e+-4-b|0)>>>2)<<2);fuc(b);u=c;return h|0}function GOb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;c=u;u=u+16|0;d=c;e=a+12|0;g=f[e>>2]|0;if(!g){h=b+4|0;i=f[h>>2]|0;j=b+8|0;if((i|0)==(f[j>>2]|0)){es(b,157044);k=f[e>>2]|0;l=a;if(!k){m=l;n=d;o=15}else{p=k+28|0;q=l;r=d}}else{f[i>>2]=f[39261];f[h>>2]=i+4;m=a;n=d;o=15}if((o|0)==15){p=(f[a+8>>2]|0)+68|0;q=m;r=n}n=(q-(f[p>>2]|0)|0)/88|0;f[d>>2]=n;p=f[h>>2]|0;if(p>>>0<(f[j>>2]|0)>>>0){f[p>>2]=n;f[h>>2]=p+4}else Aw(b,d);u=c;return}GOb(g,b);g=b+4|0;p=f[g>>2]|0;h=b+8|0;if((p|0)==(f[h>>2]|0))es(b,157064);else{f[p>>2]=f[39266];f[g>>2]=p+4}p=f[e>>2]|0;if(!p)s=(f[a+8>>2]|0)+68|0;else s=p+28|0;p=(a-(f[s>>2]|0)|0)/88|0;f[d>>2]=p;s=f[g>>2]|0;if(s>>>0<(f[h>>2]|0)>>>0){f[s>>2]=p;f[g>>2]=s+4}else Aw(b,d);u=c;return}function HOb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;d=u;u=u+48|0;e=d+16|0;g=d+8|0;h=d+4|0;i=d;if(!c){iLb(e,3,496061,166);fLb(g,dLb(e,496155)|0);jLb(e)}j=f[a+92>>2]|0;if(!j){k=0;u=d;return k|0}l=IOb(f[a+88>>2]|0,b,j)|0;if(!l){k=0;u=d;return k|0}j=f[l+32>>2]|0;if((j+-3|0)>>>0>=2){k=0;u=d;return k|0}b=f[l+40>>2]|0;f[c>>2]=f[b+4>>2];f[c+8>>2]=f[b+8>>2];f[c+4>>2]=f[b+4+(((j|0)==3?0:2)<<2)>>2];f[c+12>>2]=f[b+4+(j+-1<<2)>>2];ruc(c+16|0,f[l+64>>2]|0)|0;ruc(c+28|0,f[l+68>>2]|0)|0;j=f[l+60>>2]|0;b=(j|0)==0?0:j+4|0;f[h>>2]=b;f[i>>2]=b+(f[l+52>>2]<<2);f[g>>2]=f[h>>2];f[e>>2]=f[i>>2];JOb(c+40|0,g,e);k=1;u=d;return k|0}function IOb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;e=u;u=u+64|0;g=e+24|0;h=e+16|0;i=e;f[h>>2]=a;f[h+4>>2]=d;d=a+136|0;if((f[d>>2]|0)!=2){f[g>>2]=152128;f[g+4>>2]=2002;b[g+8>>0]=0;f[g+12>>2]=h;xLb(d,g)};f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;d=f[c>>2]|0;h=f[c+4>>2]|0;if((d|0)!=(h|0)){c=g+8|0;j=g+4|0;k=c;l=d;do{if((l|0)!=(d|0))Duc(i,530878)|0;m=f[l>>2]|0;f[g>>2]=c;n=(Ydc(m,c)|0)-k|0;f[j>>2]=n;jec(i,g);l=l+4|0}while((l|0)!=(h|0))}h=LOb(a+140|0,i)|0;if(!h)o=0;else o=f[h+20>>2]|0;if((b[i+11>>0]|0)>=0){u=e;return o|0}fuc(f[i>>2]|0);u=e;return o|0}function JOb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;e=f[c>>2]|0;c=f[d>>2]|0;d=c-e>>2;g=a+8|0;h=f[g>>2]|0;i=f[a>>2]|0;j=e;k=i;l=c;if(d>>>0<=((h-i|0)/12|0)>>>0){m=a+4|0;n=((f[m>>2]|0)-i|0)/12|0;o=d>>>0>n>>>0;p=o?j+(n<<2)|0:c;c=p;if((j|0)==(c|0))q=k;else{n=k;r=e;while(1){ruc(n,f[r>>2]|0)|0;r=r+4|0;s=n+12|0;if((r|0)==(c|0)){q=s;break}else n=s}}if(o){if((c|0)==(l|0))return;c=p;p=f[m>>2]|0;do{ouc(p,f[c>>2]|0);c=c+4|0;p=(f[m>>2]|0)+12|0;f[m>>2]=p}while((c|0)!=(l|0));return}c=f[m>>2]|0;if((c|0)==(q|0))return;else t=c;while(1){c=t+-12|0;f[m>>2]=c;if((b[c+11>>0]|0)<0){fuc(f[c>>2]|0);u=f[m>>2]|0}else u=c;if((u|0)==(q|0))break;else t=u}return}if(!i)v=h;else{h=a+4|0;u=f[h>>2]|0;if((u|0)==(k|0))w=i;else{i=u;while(1){u=i+-12|0;f[h>>2]=u;if((b[u+11>>0]|0)<0){fuc(f[u>>2]|0);x=f[h>>2]|0}else x=u;if((x|0)==(k|0))break;else i=x}w=f[a>>2]|0}fuc(w);f[g>>2]=0;f[h>>2]=0;f[a>>2]=0;v=0}if(d>>>0>357913941)nsc(a);h=(v|0)/12|0;v=h<<1;w=h>>>0<178956970?(v>>>0<d>>>0?d:v):357913941;if(w>>>0>357913941)nsc(a);v=cuc(w*12|0)|0;d=a+4|0;f[d>>2]=v;f[a>>2]=v;f[g>>2]=v+(w*12|0);if((j|0)==(l|0))return;j=e;e=v;do{ouc(e,f[j>>2]|0);j=j+4|0;e=(f[d>>2]|0)+12|0;f[d>>2]=e}while((j|0)!=(l|0));return}function KOb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;c=u;u=u+64|0;d=c+16|0;e=c;g=a+4|0;h=f[g>>2]|0;i=f[h+20>>2]|0;if((i|0)<=0){u=c;return}j=e+11|0;k=d+8|0;l=d+4|0;m=k;n=0;o=h;while(1){h=f[(f[o+28>>2]|0)+4+(n<<2)>>2]|0;p=(f[a>>2]|0)+140|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;q=f[h+24>>2]|0;r=(q|0)==0;s=r?0:q+4|0;t=r?0:q+4+(f[h+16>>2]<<2)|0;if((s|0)!=(t|0)){q=s;do{if((q|0)!=(s|0))Duc(e,530878)|0;r=f[q>>2]|0;f[d>>2]=k;v=(Ydc(r,k)|0)-m|0;f[l>>2]=v;jec(e,d);q=q+4|0}while((q|0)!=(t|0))}t=MOb(p,e)|0;f[t>>2]=h;if((b[j>>0]|0)<0)fuc(f[e>>2]|0);t=n+1|0;if((t|0)>=(i|0))break;n=t;o=f[g>>2]|0}u=c;return}function LOb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;d=b[c+11>>0]|0;e=d<<24>>24<0;g=e?f[c>>2]|0:c;h=b[g>>0]|0;if(!(h<<24>>24))i=0;else{j=g;k=0;l=h;while(1){m=(k*5|0)+(l<<24>>24)|0;j=j+1|0;l=b[j>>0]|0;if(!(l<<24>>24)){i=m;break}else k=m}}k=f[a+4>>2]|0;if(!k){n=0;return n|0}l=k+-1|0;j=(l&k|0)==0;if(!j)if(i>>>0<k>>>0)o=i;else o=(i>>>0)%(k>>>0)|0;else o=l&i;m=f[(f[a>>2]|0)+(o<<2)>>2]|0;if(!m){n=0;return n|0}a=f[m>>2]|0;if(!a){n=0;return n|0}m=e?f[c+4>>2]|0:d&255;d=(m|0)==0;if(j){j=a;a:while(1){c=f[j+4>>2]|0;e=(c|0)==(i|0);if(!(e|(c&l|0)==(o|0))){n=0;p=36;break}do if(e?(c=j+8|0,q=b[c+11>>0]|0,r=q<<24>>24<0,s=q&255,((r?f[j+12>>2]|0:s)|0)==(m|0)):0){q=f[c>>2]|0;t=r?q:c;if(r){if(d){n=j;p=36;break a}if(!(ahc(t,g,m)|0)){n=j;p=36;break a}else break}if(d){n=j;p=36;break a}if((q&255)<<24>>24==h<<24>>24){q=c;c=s;s=g;do{c=c+-1|0;q=q+1|0;if(!c){n=j;p=36;break a}s=s+1|0}while((b[q>>0]|0)==(b[s>>0]|0))}}while(0);j=f[j>>2]|0;if(!j){n=0;p=36;break}}if((p|0)==36)return n|0}else u=a;b:while(1){a=f[u+4>>2]|0;j=(a|0)==(i|0);if(!j){if(a>>>0<k>>>0)v=a;else v=(a>>>0)%(k>>>0)|0;if((v|0)!=(o|0)){n=0;p=36;break}if(j)p=28}else p=28;do if((p|0)==28?(p=0,j=u+8|0,a=b[j+11>>0]|0,l=a<<24>>24<0,e=a&255,((l?f[u+12>>2]|0:e)|0)==(m|0)):0){a=f[j>>2]|0;s=l?a:j;if(l){if(d){n=u;p=36;break b}if(!(ahc(s,g,m)|0)){n=u;p=36;break b}else break}if(d){n=u;p=36;break b}if((a&255)<<24>>24==h<<24>>24){a=j;j=e;e=g;do{j=j+-1|0;a=a+1|0;if(!j){n=u;p=36;break b}e=e+1|0}while((b[a>>0]|0)==(b[e>>0]|0))}}while(0);u=f[u>>2]|0;if(!u){n=0;p=36;break}}if((p|0)==36)return n|0;return 0}function MOb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0.0,H=0.0,I=0,J=0,K=0,L=0;d=b[c+11>>0]|0;e=d<<24>>24<0;g=e?f[c>>2]|0:c;h=b[g>>0]|0;if(!(h<<24>>24))i=0;else{j=g;k=0;l=h;while(1){m=(k*5|0)+(l<<24>>24)|0;j=j+1|0;l=b[j>>0]|0;if(!(l<<24>>24)){i=m;break}else k=m}}k=a+4|0;l=f[k>>2]|0;j=(l|0)==0;a:do if(!j){m=l+-1|0;o=(m&l|0)==0;if(!o)if(i>>>0<l>>>0)p=i;else p=(i>>>0)%(l>>>0)|0;else p=m&i;q=f[(f[a>>2]|0)+(p<<2)>>2]|0;if((q|0)!=0?(r=f[q>>2]|0,(r|0)!=0):0){q=e?f[c+4>>2]|0:d&255;s=(q|0)==0;if(o){if(s){o=r;while(1){t=f[o+4>>2]|0;if(!((t|0)==(i|0)|(t&m|0)==(p|0))){u=p;break a}t=b[o+8+11>>0]|0;if(!((t<<24>>24<0?f[o+12>>2]|0:t&255)|0)){v=o;break}o=f[o>>2]|0;if(!o){u=p;break a}}w=v+20|0;return w|0}else x=r;b:while(1){o=f[x+4>>2]|0;if(!((o|0)==(i|0)|(o&m|0)==(p|0))){u=p;break a}o=x+8|0;t=b[o+11>>0]|0;y=t<<24>>24<0;z=t&255;do if(((y?f[x+12>>2]|0:z)|0)==(q|0)){t=f[o>>2]|0;if(y)if(!(ahc(t,g,q)|0)){v=x;A=58;break b}else break;if((t&255)<<24>>24==h<<24>>24){t=o;B=z;C=g;do{B=B+-1|0;t=t+1|0;if(!B){v=x;A=58;break b}C=C+1|0}while((b[t>>0]|0)==(b[C>>0]|0))}}while(0);x=f[x>>2]|0;if(!x){u=p;break a}}if((A|0)==58){w=v+20|0;return w|0}}if(s){m=r;while(1){z=f[m+4>>2]|0;if((z|0)!=(i|0)){if(z>>>0<l>>>0)D=z;else D=(z>>>0)%(l>>>0)|0;if((D|0)!=(p|0)){u=p;break a}}z=b[m+8+11>>0]|0;if(!((z<<24>>24<0?f[m+12>>2]|0:z&255)|0)){v=m;break}m=f[m>>2]|0;if(!m){u=p;break a}}w=v+20|0;return w|0}else E=r;c:while(1){m=f[E+4>>2]|0;if((m|0)!=(i|0)){if(m>>>0<l>>>0)F=m;else F=(m>>>0)%(l>>>0)|0;if((F|0)!=(p|0)){u=p;break a}}m=E+8|0;s=b[m+11>>0]|0;z=s<<24>>24<0;o=s&255;do if(((z?f[E+12>>2]|0:o)|0)==(q|0)){s=f[m>>2]|0;if(z)if(!(ahc(s,g,q)|0)){v=E;A=58;break c}else break;if((s&255)<<24>>24==h<<24>>24){s=m;y=o;C=g;do{y=y+-1|0;s=s+1|0;if(!y){v=E;A=58;break c}C=C+1|0}while((b[s>>0]|0)==(b[C>>0]|0))}}while(0);E=f[E>>2]|0;if(!E){u=p;break a}}if((A|0)==58){w=v+20|0;return w|0}}else u=p}else u=0;while(0);p=cuc(24)|0;E=p+8|0;f[E>>2]=f[c>>2];f[E+4>>2]=f[c+4>>2];f[E+8>>2]=f[c+8>>2];f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[p+20>>2]=0;f[p+4>>2]=i;f[p>>2]=0;c=a+12|0;G=+(((f[c>>2]|0)+1|0)>>>0);H=+n[a+16>>2];do if(j|G>+(l>>>0)*H){E=(l>>>0<3|(l+-1&l|0)!=0)&1|l<<1;g=~~+X(+(G/H))>>>0;qMb(a,E>>>0<g>>>0?g:E);E=f[k>>2]|0;g=E+-1|0;if(!(g&E)){I=E;J=g&i;break}if(i>>>0<E>>>0){I=E;J=i}else{I=E;J=(i>>>0)%(E>>>0)|0}}else{I=l;J=u}while(0);u=(f[a>>2]|0)+(J<<2)|0;J=f[u>>2]|0;if(!J){l=a+8|0;f[p>>2]=f[l>>2];f[l>>2]=p;f[u>>2]=l;l=f[p>>2]|0;if(l|0){u=f[l+4>>2]|0;l=I+-1|0;if(l&I)if(u>>>0<I>>>0)K=u;else K=(u>>>0)%(I>>>0)|0;else K=u&l;L=(f[a>>2]|0)+(K<<2)|0;A=56}}else{f[p>>2]=f[J>>2];L=J;A=56}if((A|0)==56)f[L>>2]=p;f[c>>2]=(f[c>>2]|0)+1;v=p;w=v+20|0;return w|0}function NOb(a){a=a|0;fuc(a);return}function OOb(a){a=a|0;var c=0;c=b[a+8>>0]|0;bi[f[a+4>>2]&2047](f[a+12>>2]|0);if((a|0)==0|c<<24>>24==0)return;bi[f[(f[a>>2]|0)+4>>2]&2047](a);return}function POb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=u;u=u+16|0;d=c;f[d>>2]=0;e=d+4|0;f[e>>2]=0;f[d+8>>2]=0;SOb(a,d);g=HOb(f[a+8>>2]|0,d,b)|0;b=f[d>>2]|0;if(!b){u=c;return g|0}d=f[e>>2]|0;if((d|0)!=(b|0))f[e>>2]=d+(~((d+-4-b|0)>>>2)<<2);fuc(b);u=c;return g|0}function QOb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0;g=u;u=u+528|0;h=g+512|0;i=g+440|0;j=g+400|0;k=g+360|0;l=g+320|0;m=g+280|0;n=g+240|0;o=g+200|0;p=g+160|0;q=g+120|0;r=g+80|0;s=g+40|0;t=g;v=c<<1;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;if(v>>>0>4294967279)muc(h);if(v>>>0<11){b[h+11>>0]=v;if(!c)w=h;else{x=h;y=6}}else{z=v+16&-16;A=cuc(z)|0;f[h>>2]=A;f[h+8>>2]=z|-2147483648;f[h+4>>2]=v;x=A;y=6}if((y|0)==6){kzc(x|0,32,v|0)|0;w=x}b[w+v>>0]=0;v=i+4|0;w=i+20|0;x=w;y=x+36|0;do{f[x>>2]=0;x=x+4|0}while((x|0)<(y|0));x=i+56|0;b[x>>0]=b[e>>0]|0;b[x+1>>0]=b[e+1>>0]|0;b[x+2>>0]=b[e+2>>0]|0;x=i+60|0;ouc(x,h);if(!(b[e>>0]|0))B=0;else B=ROb(a,v)|0;b[i>>0]=B&1;uOb(i,d);B=h+11|0;v=b[B>>0]|0;e=v<<24>>24<0;f[j>>2]=e?f[h>>2]|0:h;f[j+4>>2]=e?f[h+4>>2]|0:v&255;v=f[a>>2]|0;e=b[v+11>>0]|0;y=e<<24>>24<0;f[k>>2]=y?f[v>>2]|0:v;f[k+4>>2]=y?f[v+4>>2]|0:e&255;e=Wdc(f[a+8>>2]|0,l+8|0)|0;f[l>>2]=e;v=jfc(e)|0;f[l+4>>2]=v;f[m>>2]=0;f[m+4>>2]=-1;f[n>>2]=0;f[n+4>>2]=-1;f[o>>2]=0;f[o+4>>2]=-1;f[p>>2]=0;f[p+4>>2]=-1;f[q>>2]=0;f[q+4>>2]=-1;f[r>>2]=0;f[r+4>>2]=-1;f[s>>2]=0;f[s+4>>2]=-1;G9b(d,496316,j,k,l,m,n,o,p,q,r,s);f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;if(wOb(c,f[a+16>>2]|0,f[(f[(f[a+12>>2]|0)+8>>2]|0)+8>>2]|0,j)|0){a=b[j+11>>0]|0;c=a<<24>>24<0;f[k>>2]=c?f[j>>2]|0:j;f[k+4>>2]=c?f[j+4>>2]|0:a&255;f[l>>2]=0;f[l+4>>2]=-1;f[m>>2]=0;f[m+4>>2]=-1;f[n>>2]=0;f[n+4>>2]=-1;f[o>>2]=0;f[o+4>>2]=-1;f[p>>2]=0;f[p+4>>2]=-1;f[q>>2]=0;f[q+4>>2]=-1;f[r>>2]=0;f[r+4>>2]=-1;f[s>>2]=0;f[s+4>>2]=-1;f[t>>2]=0;f[t+4>>2]=-1;G9b(d,496326,k,l,m,n,o,p,q,r,s,t)}Duc(d,495922)|0;yOb(i,d);if((b[j+11>>0]|0)<0)fuc(f[j>>2]|0);if((b[x+11>>0]|0)<0)fuc(f[x>>2]|0);x=i+44|0;j=f[x>>2]|0;if(j|0){d=i+48|0;t=f[d>>2]|0;if((t|0)==(j|0))C=j;else{s=t;while(1){t=s+-12|0;f[d>>2]=t;if((b[t+11>>0]|0)<0){fuc(f[t>>2]|0);D=f[d>>2]|0}else D=t;if((D|0)==(j|0))break;else s=D}C=f[x>>2]|0}fuc(C)}C=i+32|0;if((b[C+11>>0]|0)<0)fuc(f[C>>2]|0);if((b[w+11>>0]|0)<0)fuc(f[w>>2]|0);if((b[B>>0]|0)>=0){u=g;return}fuc(f[h>>2]|0);u=g;return}function ROb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;c=u;u=u+16|0;d=c+12|0;e=c;f[e>>2]=0;g=e+4|0;f[g>>2]=0;f[e+8>>2]=0;h=a+12|0;SOb(f[h>>2]|0,e);i=f[g>>2]|0;j=e+8|0;k=f[j>>2]|0;if((i|0)==(k|0)){es(e,157076);l=f[g>>2]|0;m=f[j>>2]|0}else{f[i>>2]=f[39269];j=i+4|0;f[g>>2]=j;l=j;m=k}k=f[h>>2]|0;j=(a-(f[k+28>>2]|0)|0)/20|0;f[d>>2]=j;if(l>>>0<m>>>0){f[l>>2]=j;f[g>>2]=l+4;n=k}else{Aw(e,d);n=f[h>>2]|0}h=HOb(f[n+8>>2]|0,e,b)|0;b=f[e>>2]|0;if(!b){u=c;return h|0}e=f[g>>2]|0;if((e|0)!=(b|0))f[g>>2]=e+(~((e+-4-b|0)>>>2)<<2);fuc(b);u=c;return h|0}function SOb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;c=u;u=u+16|0;d=c;e=a+12|0;g=f[e>>2]|0;if(!g){h=b+4|0;i=f[h>>2]|0;j=b+8|0;if((i|0)==(f[j>>2]|0)){es(b,157048);k=f[e>>2]|0;l=a;if(!k){m=l;n=d;o=15}else{p=k+32|0;q=l;r=d}}else{f[i>>2]=f[39262];f[h>>2]=i+4;m=a;n=d;o=15}if((o|0)==15){p=(f[a+8>>2]|0)+72|0;q=m;r=n}n=(q-(f[p>>2]|0)|0)/48|0;f[d>>2]=n;p=f[h>>2]|0;if(p>>>0<(f[j>>2]|0)>>>0){f[p>>2]=n;f[h>>2]=p+4}else Aw(b,d);u=c;return}GOb(g,b);g=b+4|0;p=f[g>>2]|0;h=b+8|0;if((p|0)==(f[h>>2]|0))es(b,157068);else{f[p>>2]=f[39267];f[g>>2]=p+4}p=f[e>>2]|0;if(!p)s=(f[a+8>>2]|0)+72|0;else s=p+32|0;p=(a-(f[s>>2]|0)|0)/48|0;f[d>>2]=p;s=f[g>>2]|0;if(s>>>0<(f[h>>2]|0)>>>0){f[s>>2]=p;f[g>>2]=s+4}else Aw(b,d);u=c;return}function TOb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0;g=u;u=u+64|0;h=g+48|0;i=g;j=g+24|0;yh[f[(f[c>>2]|0)+96>>2]&2047](h,c);if((f[(f[(f[h>>2]|0)+8>>2]|0)+8>>2]|0)==(d|0)){k=UOb(a,c,e)|0;u=g;return k|0}yh[f[(f[c>>2]|0)+96>>2]&2047](h,c);KMb(h,f[d+16>>2]|0,d,f[(f[h>>2]|0)+4>>2]|0);d=f[h+4>>2]|0;if((f[h>>2]|0)!=1|(d|0)==0){k=UOb(a,c,e)|0;u=g;return k|0}f1b(i);l=d1b(i,d)|0;d=di[f[(f[l>>2]|0)+12>>2]&1023](l)|0;IKb(h,c);l=BKb(d,h)|0;if((b[h+11>>0]|0)<0)fuc(f[h>>2]|0);if(l)m=d;else{iLb(j,2,490877,2297);l=dLb(j,496346)|0;yh[f[(f[c>>2]|0)+96>>2]&2047](h,c);fLb(g+60|0,eLb(l,f[(f[h>>2]|0)+4>>2]|0)|0);jLb(j);m=c}c=UOb(a,m,e)|0;if(d|0)bi[f[(f[d>>2]|0)+4>>2]&2047](d);b1b(i);k=c;u=g;return k|0}function UOb(a,c,e){a=a|0;c=c|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0;g=u;u=u+96|0;h=g+80|0;i=g+64|0;j=g+52|0;k=g;l=g+40|0;m=f[e>>2]|0;n=e+4|0;o=f[n>>2]|0;if((o|0)!=(m|0)){p=o;while(1){o=p+-12|0;f[n>>2]=o;if((b[o+11>>0]|0)<0){fuc(f[o>>2]|0);q=f[n>>2]|0}else q=o;if((q|0)==(m|0))break;else p=q}}yh[f[(f[c>>2]|0)+96>>2]&2047](h,c);q=f[h+4>>2]|0;f[i>>2]=0;p=i+4|0;f[p>>2]=0;f[i+8>>2]=0;Zh[f[(f[q>>2]|0)+64>>2]&511](q,c,i);m=f[p>>2]|0;o=f[i>>2]|0;r=o;if((m|0)==(o|0)){s=m;t=r}else{m=a+1|0;o=h+11|0;v=h+4|0;w=a<<1;a=j+11|0;x=j+4|0;y=e+8|0;z=k+11|0;A=l+11|0;B=h+11|0;C=h+4|0;D=h+11|0;E=l+11|0;F=h+4|0;G=h+8|0;H=h+12|0;I=0;J=r;while(1){r=f[J+(I<<2)>>2]|0;if((f[r+32>>2]|0)==3){K=li[f[(f[q>>2]|0)+24>>2]&511](q,c,r)|0;if((K|0)>0){L=1;M=K;N=14}}else{L=0;M=1;N=14}if((N|0)==14){N=0;K=0;do{f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;r=f[(f[i>>2]|0)+(I<<2)>>2]|0;O=f[r+24>>2]|0;if(O|0?(f[O>>2]|0)!=2:0){f[h>>2]=110384;f[F>>2]=1962;b[G>>0]=0;f[H>>2]=r;xLb(O,h)}if((f[r+28>>2]|1|0)==11){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;Zac(k);f[k>>2]=m;$ac(k,c,f[(f[i>>2]|0)+(I<<2)>>2]|0,L?K:-1,h);Duc(j,496384)|0;r=b[o>>0]|0;O=r<<24>>24<0;Cuc(j,O?f[h>>2]|0:h,O?f[v>>2]|0:r&255)|0;yuc(j,w,32)|0;Duc(j,518217)|0;_ac(k);if((b[o>>0]|0)<0)fuc(f[h>>2]|0)}else abc(c,f[(f[i>>2]|0)+(I<<2)>>2]|0,L?K:-1,j);f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;r=f[(f[i>>2]|0)+(I<<2)>>2]|0;if(b[r+38>>0]|0){nEa(l,496387,f[r+4>>2]|0);O=Duc(l,530808)|0;P=f[O>>2]|0;Q=O+4|0;f[k>>2]=f[Q>>2];d[k+4>>1]=d[Q+4>>1]|0;b[k+6>>0]=b[Q+6>>0]|0;Q=b[O+11>>0]|0;f[O>>2]=0;f[O+4>>2]=0;f[O+8>>2]=0;if((b[B>>0]|0)<0){b[f[h>>2]>>0]=0;f[C>>2]=0}else{b[h>>0]=0;b[B>>0]=0}vuc(h,0);f[h>>2]=P;f[C>>2]=f[k>>2];d[C+4>>1]=d[k+4>>1]|0;b[C+6>>0]=b[k+6>>0]|0;b[D>>0]=Q;f[k>>2]=0;d[k+4>>1]=0;b[k+6>>0]=0;if((b[E>>0]|0)<0)fuc(f[l>>2]|0)}else ruc(h,f[r>>2]|0)|0;RE(l,h,508089);r=b[a>>0]|0;Q=r<<24>>24<0;P=Cuc(l,Q?f[j>>2]|0:j,Q?f[x>>2]|0:r&255)|0;f[k>>2]=f[P>>2];f[k+4>>2]=f[P+4>>2];f[k+8>>2]=f[P+8>>2];f[P>>2]=0;f[P+4>>2]=0;f[P+8>>2]=0;P=f[n>>2]|0;if(P>>>0>=(f[y>>2]|0)>>>0){Dw(e,k);if((b[z>>0]|0)<0)fuc(f[k>>2]|0)}else{f[P>>2]=f[k>>2];f[P+4>>2]=f[k+4>>2];f[P+8>>2]=f[k+8>>2];f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[n>>2]=(f[n>>2]|0)+12}if((b[A>>0]|0)<0)fuc(f[l>>2]|0);if((b[B>>0]|0)<0)fuc(f[h>>2]|0);if((b[a>>0]|0)<0)fuc(f[j>>2]|0);K=K+1|0}while((K|0)<(M|0))}I=I+1|0;K=f[p>>2]|0;P=f[i>>2]|0;r=P;if(I>>>0>=K-P>>2>>>0){s=K;t=r;break}else J=r}}J=s;s=(f[e>>2]|0)!=(f[n>>2]|0);if(!t){u=g;return s|0}if((J|0)!=(t|0))f[p>>2]=J+(~((J+-4-t|0)>>>2)<<2);fuc(t);u=g;return s|0}function VOb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;d=u;u=u+16|0;e=d;g=a+38|0;if(!(b[g>>0]|0)){h=a+48|0;GOb(f[h>>2]|0,c);i=c+4|0;j=f[i>>2]|0;k=c+8|0;if((j|0)==(f[k>>2]|0))es(c,157056);else{f[j>>2]=f[39264];f[i>>2]=j+4}do if(b[g>>0]|0){j=f[a+56>>2]|0;l=a;if(!j){m=l-(f[(f[a+20>>2]|0)+80>>2]|0)|0;break}else{m=l-(f[j+40>>2]|0)|0;break}}else m=a-(f[(f[h>>2]|0)+20>>2]|0)|0;while(0);h=(m|0)/88|0;f[e>>2]=h;m=f[i>>2]|0;if(m>>>0<(f[k>>2]|0)>>>0){f[m>>2]=h;f[i>>2]=m+4}else Aw(c,e);u=d;return}m=a+56|0;i=f[m>>2]|0;if(!i){h=c+4|0;k=f[h>>2]|0;j=c+8|0;if((k|0)==(f[j>>2]|0)){es(c,157052);if(!(b[g>>0]|0)){n=a-(f[(f[a+48>>2]|0)+20>>2]|0)|0;o=e}else{p=e;q=7}}else{f[k>>2]=f[39263];f[h>>2]=k+4;p=e;q=7}do if((q|0)==7){k=f[m>>2]|0;l=a;if(!k){n=l-(f[(f[a+20>>2]|0)+80>>2]|0)|0;o=p;break}else{n=l-(f[k+40>>2]|0)|0;o=p;break}}while(0);p=(n|0)/88|0;f[e>>2]=p;n=f[h>>2]|0;if(n>>>0<(f[j>>2]|0)>>>0){f[n>>2]=p;f[h>>2]=n+4}else Aw(c,e);u=d;return}GOb(i,c);i=c+4|0;n=f[i>>2]|0;h=c+8|0;if((n|0)==(f[h>>2]|0))es(c,157060);else{f[n>>2]=f[39265];f[i>>2]=n+4}do if(b[g>>0]|0){n=f[m>>2]|0;p=a;if(!n){r=p-(f[(f[a+20>>2]|0)+80>>2]|0)|0;break}else{r=p-(f[n+40>>2]|0)|0;break}}else r=a-(f[(f[a+48>>2]|0)+20>>2]|0)|0;while(0);a=(r|0)/88|0;f[e>>2]=a;r=f[i>>2]|0;if(r>>>0<(f[h>>2]|0)>>>0){f[r>>2]=a;f[i>>2]=r+4}else Aw(c,e);u=d;return}function WOb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0;e=cuc(4)|0;kLb(e);f[a>>2]=e;f[a+4>>2]=c;f[a+8>>2]=d;f[a+12>>2]=0;d=cuc(232)|0;dMb(d);f[a+16>>2]=d;b[a+20>>0]=1;d=a+21|0;f[a+32>>2]=0;f[a+36>>2]=0;b[d>>0]=0;b[d+1>>0]=0;b[d+2>>0]=0;b[d+3>>0]=0;f[a+28>>2]=a+32;return}function XOb(){var a=0,b=0;a=f[224989]|0;if(a|0)bi[f[(f[a>>2]|0)+4>>2]&2047](a);f[224989]=0;a=f[224988]|0;if(!a){f[224988]=0;return}b=f[a>>2]|0;if(b|0){lLb(b);fuc(b)}gI(a+28|0,f[a+32>>2]|0);b=f[a+16>>2]|0;if(b|0){iMb(b);fuc(b)}fuc(a);f[224988]=0;return}function YOb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;g=u;u=u+16|0;h=g;ZNb(h,c,f[c>>2]|0,d,e);e=f[h>>2]|0;if(!e){i=h;j=f[i+4>>2]|0;k=a;f[k>>2]=f[i>>2];f[k+4>>2]=j;u=g;return}if(!(b[(f[c>>2]|0)+20>>0]|0)){j=h;k=f[j+4>>2]|0;i=a;f[i>>2]=f[j>>2];f[i+4>>2]=k;u=g;return}switch(e|0){case 8:{l=h+4|0;m=14;break}case 1:{l=(f[h+4>>2]|0)+8|0;m=14;break}case 2:{l=(f[h+4>>2]|0)+20|0;m=14;break}case 3:{l=(f[(f[h+4>>2]|0)+8>>2]|0)+8|0;m=14;break}case 4:{l=(f[h+4>>2]|0)+8|0;m=14;break}case 5:{l=(f[(f[h+4>>2]|0)+12>>2]|0)+8|0;m=14;break}case 6:{l=(f[h+4>>2]|0)+8|0;m=14;break}case 7:{l=(f[(f[h+4>>2]|0)+8>>2]|0)+8|0;m=14;break}default:n=0}if((m|0)==14)n=f[l>>2]|0;l=n;m=f[c+40>>2]|0;a:do if((n|0)!=(m|0)){k=c+52|0;i=f[k>>2]|0;if(i|0){j=i;do{i=f[j+16>>2]|0;if(n>>>0<i>>>0)o=j;else{if(i>>>0>=n>>>0)break a;o=j+4|0}j=f[o>>2]|0}while((j|0)!=0)}b:do if((e|0)==8){j=m+4|0;i=f[j>>2]|0;p=b[i+11>>0]|0;q=d+11|0;r=b[q>>0]|0;s=r<<24>>24<0;t=d+4|0;v=s?f[t>>2]|0:r&255;do if((p<<24>>24<0?f[i+4>>2]|0:p&255)>>>0>=v>>>0?(Puc(i,0,v,s?f[d>>2]|0:d,v)|0)==0:0){r=f[j>>2]|0;w=b[r+11>>0]|0;x=w<<24>>24<0;if(x)y=f[r+4>>2]|0;else y=w&255;w=b[q>>0]|0;z=w<<24>>24<0?f[t>>2]|0:w&255;if((y|0)!=(z|0)){if(x)A=f[r>>2]|0;else A=r;if((b[A+z>>0]|0)!=46)break}z=h;r=f[z+4>>2]|0;x=a;f[x>>2]=f[z>>2];f[x+4>>2]=r;u=g;return}while(0);j=f[c+48>>2]|0;if((j|0)!=(k|0)){v=j;while(1){j=f[v+16>>2]|0;if((j|0?(s=j+4|0,j=f[s>>2]|0,i=b[j+11>>0]|0,p=b[q>>0]|0,r=p<<24>>24<0,x=r?f[t>>2]|0:p&255,(i<<24>>24<0?f[j+4>>2]|0:i&255)>>>0>=x>>>0):0)?(Puc(j,0,x,r?f[d>>2]|0:d,x)|0)==0:0){x=f[s>>2]|0;s=b[x+11>>0]|0;r=s<<24>>24<0;if(r)B=f[x+4>>2]|0;else B=s&255;s=b[q>>0]|0;j=s<<24>>24<0?f[t>>2]|0:s&255;if((B|0)==(j|0))break;if(r)C=f[x>>2]|0;else C=x;if((b[C+j>>0]|0)==46)break}j=f[v+4>>2]|0;if(!j){x=v+8|0;r=f[x>>2]|0;if((f[r>>2]|0)==(v|0))D=r;else{r=x;do{x=f[r>>2]|0;r=x+8|0;s=f[r>>2]|0}while((f[s>>2]|0)!=(x|0));D=s}}else{r=j;while(1){s=f[r>>2]|0;if(!s)break;else r=s}D=r}if((D|0)==(k|0))break b;else v=D}v=h;t=f[v+4>>2]|0;q=a;f[q>>2]=f[v>>2];f[q+4>>2]=t;u=g;return}}while(0);f[c+72>>2]=l;ruc(c+76|0,d)|0;k=a;f[k>>2]=0;f[k+4>>2]=0;u=g;return}while(0);d=c+60|0;l=c+64|0;D=f[l>>2]|0;if(D|0){C=l;B=D;c:while(1){A=B;while(1){if((f[A+16>>2]|0)>>>0>=n>>>0)break;y=f[A+4>>2]|0;if(!y){E=C;break c}else A=y}B=f[A>>2]|0;if(!B){E=A;break}else C=A}if((E|0)!=(l|0)?n>>>0>=(f[E+16>>2]|0)>>>0:0){n=f[E+4>>2]|0;if(!n){l=E+8|0;C=f[l>>2]|0;if((f[C>>2]|0)==(E|0))F=C;else{C=l;do{l=f[C>>2]|0;C=l+8|0;B=f[C>>2]|0}while((f[B>>2]|0)!=(l|0));F=B}}else{C=n;while(1){n=f[C>>2]|0;if(!n)break;else C=n}F=C}if((f[d>>2]|0)==(E|0))f[d>>2]=F;F=c+68|0;f[F>>2]=(f[F>>2]|0)+-1;sGa(D,E);fuc(E)}}E=h;h=f[E+4>>2]|0;D=a;f[D>>2]=f[E>>2];f[D+4>>2]=h;u=g;return}function ZOb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0;e=u;u=u+448|0;g=e+424|0;h=e+412|0;i=e+400|0;j=e+360|0;k=e+320|0;l=e+280|0;m=e+240|0;n=e+200|0;o=e+160|0;p=e+120|0;q=e+80|0;r=e+40|0;s=e;t=c+16|0;if(!(f[t>>2]|0)){v=W$b()|0;f[t>>2]=v}v=c+60|0;if((f[v>>2]|0)>0){t=c+28|0;w=d+44|0;x=0;do{ZOb(a,(f[t>>2]|0)+(x*88|0)|0,f[(f[w>>2]|0)+4+(x<<2)>>2]|0);x=x+1|0}while((x|0)<(f[v>>2]|0))}v=c+64|0;if((f[v>>2]|0)>0){x=c+32|0;w=0;do{t=f[x>>2]|0;y=t+(w*48|0)+16|0;if(!(f[y>>2]|0)){z=a0b()|0;f[y>>2]=z}z=t+(w*48|0)+24|0;y=f[z>>2]|0;if((y|0)>0){A=t+(w*48|0)+28|0;t=0;B=y;while(1){y=(f[A>>2]|0)+(t*20|0)+16|0;if(!(f[y>>2]|0)){C=c0b()|0;f[y>>2]=C;D=f[z>>2]|0}else D=B;t=t+1|0;if((t|0)>=(D|0))break;else B=D}}w=w+1|0}while((w|0)<(f[v>>2]|0))}v=c+52|0;if((f[v>>2]|0)>0){w=c+20|0;D=d+28|0;x=0;do{_Ob(a,(f[w>>2]|0)+(x*88|0)|0,f[(f[D>>2]|0)+4+(x<<2)>>2]|0);x=x+1|0}while((x|0)<(f[v>>2]|0))}x=c+72|0;if((f[x>>2]|0)>0){D=c+40|0;w=d+92|0;B=0;do{_Ob(a,(f[D>>2]|0)+(B*88|0)|0,f[(f[w>>2]|0)+4+(B<<2)>>2]|0);B=B+1|0}while((B|0)<(f[x>>2]|0))}x=c+68|0;B=f[x>>2]|0;if((B|0)>0){w=c+36|0;D=0;t=B;while(1){B=(f[w>>2]|0)+(D*12|0)+8|0;if(!(f[B>>2]|0)){z=S$b()|0;f[B>>2]=z;E=f[x>>2]|0}else E=t;D=D+1|0;if((D|0)>=(E|0))break;else t=E}}E=f[v>>2]|0;if((E|0)>0){t=c+20|0;D=c+4|0;x=d+28|0;w=j+4|0;z=k+4|0;B=l+4|0;A=m+4|0;C=n+4|0;y=o+4|0;F=p+4|0;G=q+4|0;H=r+4|0;I=s+4|0;J=i+11|0;K=g+11|0;L=h+11|0;M=c+24|0;N=0;O=E;while(1){P=f[t>>2]|0;Q=f[P+(N*88|0)+52>>2]|0;if(!Q)R=O;else{if((f[Q+16>>2]|0)>0?(S=N+-1|0,(f[P+(S*88|0)+52>>2]|0)!=(Q|0)):0){RE(h,f[D>>2]|0,531099);P=f[(f[t>>2]|0)+(S*88|0)>>2]|0;T=b[P+11>>0]|0;U=T<<24>>24<0;V=Cuc(h,U?f[P>>2]|0:P,U?f[P+4>>2]|0:T&255)|0;f[g>>2]=f[V>>2];f[g+4>>2]=f[V+4>>2];f[g+8>>2]=f[V+8>>2];f[V>>2]=0;f[V+4>>2]=0;f[V+8>>2]=0;V=f[(f[x>>2]|0)+4+(S<<2)>>2]|0;T=f[(f[t>>2]|0)+(S*88|0)>>2]|0;S=b[T+11>>0]|0;P=S<<24>>24<0;f[j>>2]=P?f[T>>2]|0:T;f[w>>2]=P?f[T+4>>2]|0:S&255;S=f[Q>>2]|0;T=b[S+11>>0]|0;P=T<<24>>24<0;f[k>>2]=P?f[S>>2]|0:S;f[z>>2]=P?f[S+4>>2]|0:T&255;f[l>>2]=0;f[B>>2]=-1;f[m>>2]=0;f[A>>2]=-1;f[n>>2]=0;f[C>>2]=-1;f[o>>2]=0;f[y>>2]=-1;f[p>>2]=0;f[F>>2]=-1;f[q>>2]=0;f[G>>2]=-1;f[r>>2]=0;f[H>>2]=-1;f[s>>2]=0;f[I>>2]=-1;F9b(i,497909,j,k,l,m,n,o,p,q,r,s);eNb(a,g,V,9,i);if((b[J>>0]|0)<0)fuc(f[i>>2]|0);if((b[K>>0]|0)<0)fuc(f[g>>2]|0);if((b[L>>0]|0)<0)fuc(f[h>>2]|0);W=f[v>>2]|0}else W=O;V=(f[M>>2]|0)+(((Q-(f[(f[Q+8>>2]|0)+24>>2]|0)|0)/28|0)*28|0)+16|0;f[V>>2]=(f[V>>2]|0)+1;R=W}N=N+1|0;if((N|0)>=(R|0)){X=R;break}else O=R}}else X=E;E=c+56|0;if((f[E>>2]|0)>0){R=c+24|0;O=c+4|0;N=d+108|0;d=g+11|0;W=h+11|0;M=a+4|0;L=0;do{K=f[R>>2]|0;i=K+(L*28|0)+16|0;J=f[i>>2]|0;if(!J){RE(h,f[O>>2]|0,531099);s=f[K+(L*28|0)>>2]|0;r=b[s+11>>0]|0;q=r<<24>>24<0;p=Cuc(h,q?f[s>>2]|0:s,q?f[s+4>>2]|0:r&255)|0;f[g>>2]=f[p>>2];f[g+4>>2]=f[p+4>>2];f[g+8>>2]=f[p+8>>2];f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;dNb(a,g,f[(f[N>>2]|0)+4+(L<<2)>>2]|0,0,498040);if((b[d>>0]|0)<0)fuc(f[g>>2]|0);if((b[W>>0]|0)<0)fuc(f[h>>2]|0);Y=f[i>>2]|0}else Y=J;J=f[M>>2]|0;p=Y<<2;if(!p)Z=0;else{r=cuc(p)|0;f[g>>2]=r;p=J+124|0;s=f[p>>2]|0;if((s|0)==(f[J+128>>2]|0))OE(J+120|0,g);else{f[s>>2]=r;f[p>>2]=(f[p>>2]|0)+4}Z=f[g>>2]|0}f[K+(L*28|0)+20>>2]=Z;f[i>>2]=0;i=K+(L*28|0)+24|0;if(!(f[i>>2]|0)){K=_$b()|0;f[i>>2]=K}L=L+1|0}while((L|0)<(f[E>>2]|0));_=f[v>>2]|0}else _=X;if((_|0)<=0){u=e;return}X=c+20|0;v=c+24|0;c=0;do{E=f[X>>2]|0;L=f[E+(c*88|0)+52>>2]|0;if(L|0){Z=f[v>>2]|0;g=(L-(f[(f[L+8>>2]|0)+24>>2]|0)|0)/28|0;L=Z+(g*28|0)+16|0;Y=f[L>>2]|0;f[E+(c*88|0)+44>>2]=Y;M=f[Z+(g*28|0)+20>>2]|0;f[L>>2]=Y+1;f[M+(Y<<2)>>2]=E+(c*88|0)}c=c+1|0}while((c|0)<(_|0));u=e;return}function _Ob(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0;e=u;u=u+464|0;g=e+40|0;h=e;i=e+416|0;j=e+376|0;k=e+336|0;l=e+296|0;m=e+256|0;n=e+216|0;o=e+176|0;p=e+136|0;q=e+96|0;r=e+56|0;s=c+68|0;if(!(f[s>>2]|0)){t=Y$b()|0;f[s>>2]=t}t=a+44|0;dPb(f[t>>2]|0,c);s=d+8|0;if(f[s>>2]&2|0){v=d+20|0;w=f[v>>2]|0;x=c+4|0;_Nb(h,a,w,f[x>>2]|0,0,1);y=f[h>>2]|0;do if(!y){z=f[a>>2]|0;if(b[z+22>>0]|0?($Nb(g,z,w,2),z=g,A=f[z>>2]|0,B=f[z+4>>2]|0,z=h,f[z>>2]=A,f[z+4>>2]=B,A|0):0){C=A;break}aPb(a,f[x>>2]|0,d,3,f[v>>2]|0);u=e;return}else C=y;while(0);if((C|0)!=1){C=f[x>>2]|0;nEa(i,517029,f[v>>2]|0);v=Duc(i,496817)|0;f[g>>2]=f[v>>2];f[g+4>>2]=f[v+4>>2];f[g+8>>2]=f[v+8>>2];f[v>>2]=0;f[v+4>>2]=0;f[v+8>>2]=0;eNb(a,C,d,3,g);if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0);u=e;return}C=f[h+4>>2]|0;f[c+48>>2]=C;v=C;C=f[c+40>>2]|0;y=f[v+68>>2]|0;a:do if((y|0)>0){w=f[v+36>>2]|0;A=0;while(1){if((f[w+(A*12|0)>>2]|0)<=(C|0)?(f[w+(A*12|0)+4>>2]|0)>(C|0):0)break a;A=A+1|0;if((A|0)>=(y|0)){D=19;break}}}else D=19;while(0);if((D|0)==19?(y=f[x>>2]|0,x=f[v+4>>2]|0,v=b[x+11>>0]|0,A=v<<24>>24<0,f[i>>2]=A?f[x>>2]|0:x,f[i+4>>2]=A?f[x+4>>2]|0:v&255,v=Wdc(C,j+8|0)|0,f[j>>2]=v,C=jfc(v)|0,f[j+4>>2]=C,f[k>>2]=0,f[k+4>>2]=-1,f[l>>2]=0,f[l+4>>2]=-1,f[m>>2]=0,f[m+4>>2]=-1,f[n>>2]=0,f[n+4>>2]=-1,f[o>>2]=0,f[o+4>>2]=-1,f[p>>2]=0,f[p+4>>2]=-1,f[q>>2]=0,f[q+4>>2]=-1,f[r>>2]=0,f[r+4>>2]=-1,F9b(g,497342,i,j,k,l,m,n,o,p,q,r),eNb(a,y,d,1,g),(b[g+11>>0]|0)<0):0)fuc(f[g>>2]|0)}if(f[c+52>>2]|0?(f[c+32>>2]|0)!=1:0)dNb(a,f[c+4>>2]|0,d,0,497391);y=f[s>>2]|0;do if(!(y&4)){C=c+24|0;v=f[C>>2]|0;if(v|0?(f[v>>2]|0)!=2:0){f[g>>2]=110384;f[g+4>>2]=1962;b[g+8>>0]=0;f[g+12>>2]=c;xLb(v,g)}v=c+28|0;if((f[v>>2]|1|0)!=11){x=f[C>>2]|0;if(x|0?(f[x>>2]|0)!=2:0){f[g>>2]=110384;f[g+4>>2]=1962;b[g+8>>0]=0;f[g+12>>2]=c;xLb(x,g)}if((f[v>>2]|0)!=14)break}dNb(a,f[c+4>>2]|0,d,2,497645)}else{v=f[a>>2]|0;if(!(b[v+23>>0]|0)){x=f[d+36>>2]|0;E=(b[(x|0?x:543784)+55>>0]|0)!=0}else E=0;x=(b[v+21>>0]|0)!=0;v=x&(E^1);C=d+24|0;A=f[C>>2]|0;w=c+4|0;B=(f[d+52>>2]|0)==14|y>>>3&1;_Nb(h,a,A,f[w>>2]|0,1,E|x^1);x=f[h>>2]|0;do if(!x){z=f[a>>2]|0;if(b[z+22>>0]|0?($Nb(g,z,A,B),z=g,F=f[z>>2]|0,G=f[z+4>>2]|0,z=h,f[z>>2]=F,f[z+4>>2]=G,F|0):0){H=F;break}if(!v){if(E){F=cuc(32)|0;f[i>>2]=F;f[i+8>>2]=-2147483616;f[i+4>>2]=21;G=F;z=497451;I=G+21|0;do{b[G>>0]=b[z>>0]|0;G=G+1|0;z=z+1|0}while((G|0)<(I|0));b[F+21>>0]=0;YOb(g,a,i,1);z=g;G=f[z>>2]|0;I=f[z+4>>2]|0;z=h;f[z>>2]=G;f[z+4>>2]=I;if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0);if(G|0){H=G;break}}aPb(a,f[w>>2]|0,d,2,f[C>>2]|0);u=e;return}ouc(i,f[C>>2]|0);G=a+4|0;I=f[G>>2]|0;z=cuc(4)|0;f[z>>2]=0;f[g>>2]=z;J=I+100|0;K=f[J>>2]|0;if((K|0)==(f[I+104>>2]|0))jNb(I+96|0,g);else{f[K>>2]=z;f[J>>2]=(f[J>>2]|0)+4}f[c+24>>2]=f[g>>2];J=f[G>>2]|0;z=cuc(12)|0;ouc(z,i);f[g>>2]=z;K=J+76|0;I=f[K>>2]|0;if((I|0)==(f[J+80>>2]|0))fNb(J+72|0,g);else{f[I>>2]=z;f[K>>2]=(f[K>>2]|0)+4}f[c+72>>2]=f[g>>2];if(f[s>>2]&8|0){K=f[G>>2]|0;z=f[d+28>>2]|0;I=cuc(12)|0;ouc(I,z);f[g>>2]=I;z=K+76|0;J=f[z>>2]|0;if((J|0)==(f[K+80>>2]|0))fNb(K+72|0,g);else{f[J>>2]=I;f[z>>2]=(f[z>>2]|0)+4}f[c+76>>2]=f[g>>2]}ePb(f[t>>2]|0,c)|0;if(b[c+38>>0]|0)fPb(f[G>>2]|0,c)|0;if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0);u=e;return}else H=x;while(0);if(!(f[s>>2]&512)){switch(H|0){case 1:{L=11;break}case 4:{L=14;break}default:{x=f[w>>2]|0;nEa(i,517029,f[C>>2]|0);v=Duc(i,497473)|0;f[g>>2]=f[v>>2];f[g+4>>2]=f[v+4>>2];f[g+8>>2]=f[v+8>>2];f[v>>2]=0;f[v+4>>2]=0;f[v+8>>2]=0;eNb(a,x,d,2,g);if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0);u=e;return}}f[c+28>>2]=L}x=c+24|0;v=f[x>>2]|0;if(v|0?(f[v>>2]|0)!=2:0){f[g>>2]=110384;f[g+4>>2]=1962;b[g+8>>0]=0;f[g+12>>2]=c;xLb(v,g)}v=c+28|0;do if((f[v>>2]|1|0)!=11){B=f[x>>2]|0;if(B|0?(f[B>>2]|0)!=2:0){f[g>>2]=110384;f[g+4>>2]=1962;b[g+8>>0]=0;f[g+12>>2]=c;xLb(B,g)}if((f[v>>2]|0)!=14){dNb(a,f[w>>2]|0,d,2,497604);break}if((f[h>>2]|0)!=4){B=f[w>>2]|0;nEa(i,517029,f[C>>2]|0);A=Duc(i,497526)|0;f[g>>2]=f[A>>2];f[g+4>>2]=f[A+4>>2];f[g+8>>2]=f[A+8>>2];f[A>>2]=0;f[A+4>>2]=0;f[A+8>>2]=0;eNb(a,B,d,2,g);if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0);u=e;return}B=c+64|0;f[B>>2]=f[h+4>>2];A=f[x>>2]|0;if(A|0?(f[A>>2]|0)!=2:0){f[g>>2]=110384;f[g+4>>2]=1962;b[g+8>>0]=0;f[g+12>>2]=c;xLb(A,g)}A=c+36|0;if(!(b[(f[B>>2]|0)+20>>0]|0)){if(b[A>>0]|0){G=d+28|0;if(!(n4b(f[G>>2]|0)|0)){dNb(a,f[w>>2]|0,d,4,497549);break}z=f[G>>2]|0;I=f[x>>2]|0;do if(I|0){if((f[I>>2]|0)==2)break;f[g>>2]=110384;f[g+4>>2]=1962;b[g+8>>0]=0;f[g+12>>2]=c;xLb(I,g)}while(0);_Nb(i,a,z,f[(f[B>>2]|0)+4>>2]|0,0,1);do if((f[i>>2]|0)==5){I=i+4|0;F=f[(f[I>>2]|0)+12>>2]|0;J=f[x>>2]|0;do if(J|0){if((f[J>>2]|0)==2)break;f[g>>2]=110384;f[g+4>>2]=1962;b[g+8>>0]=0;f[g+12>>2]=c;xLb(J,g)}while(0);if((F|0)!=(f[B>>2]|0)){D=102;break}f[c+80>>2]=f[I>>2]}else D=102;while(0);if((D|0)==102){z=f[w>>2]|0;J=f[x>>2]|0;do if(J|0){if((f[J>>2]|0)==2)break;f[g>>2]=110384;f[g+4>>2]=1962;b[g+8>>0]=0;f[g+12>>2]=c;xLb(J,g)}while(0);nEa(m,492806,f[(f[B>>2]|0)+4>>2]|0);J=Duc(m,495229)|0;f[l>>2]=f[J>>2];f[l+4>>2]=f[J+4>>2];f[l+8>>2]=f[J+8>>2];f[J>>2]=0;f[J+4>>2]=0;f[J+8>>2]=0;J=f[G>>2]|0;K=b[J+11>>0]|0;M=K<<24>>24<0;N=Cuc(l,M?f[J>>2]|0:J,M?f[J+4>>2]|0:K&255)|0;f[k>>2]=f[N>>2];f[k+4>>2]=f[N+4>>2];f[k+8>>2]=f[N+8>>2];f[N>>2]=0;f[N+4>>2]=0;f[N+8>>2]=0;N=Duc(k,517668)|0;f[j>>2]=f[N>>2];f[j+4>>2]=f[N+4>>2];f[j+8>>2]=f[N+8>>2];f[N>>2]=0;f[N+4>>2]=0;f[N+8>>2]=0;eNb(a,z,d,4,j);if((b[j+11>>0]|0)<0)fuc(f[j>>2]|0);if((b[k+11>>0]|0)<0)fuc(f[k>>2]|0);if((b[l+11>>0]|0)<0)fuc(f[l>>2]|0);if((b[m+11>>0]|0)<0)fuc(f[m>>2]|0)}break}}else b[A>>0]=0;N=f[x>>2]|0;if(N|0?(f[N>>2]|0)!=2:0){f[g>>2]=110384;f[g+4>>2]=1962;b[g+8>>0]=0;f[g+12>>2]=c;xLb(N,g)}if((f[(f[B>>2]|0)+24>>2]|0)>0){N=f[x>>2]|0;do if(N|0){if((f[N>>2]|0)==2)break;f[g>>2]=110384;f[g+4>>2]=1962;b[g+8>>0]=0;f[g+12>>2]=c;xLb(N,g)}while(0);f[c+80>>2]=f[(f[B>>2]|0)+28>>2]}}else{if((f[h>>2]|0)==1){f[c+60>>2]=f[h+4>>2];if(!(b[c+36>>0]|0))break;dNb(a,f[w>>2]|0,d,4,497490);break}N=f[w>>2]|0;nEa(i,517029,f[C>>2]|0);A=Duc(i,496817)|0;f[g>>2]=f[A>>2];f[g+4>>2]=f[A+4>>2];f[g+8>>2]=f[A+8>>2];f[A>>2]=0;f[A+4>>2]=0;f[A+8>>2]=0;eNb(a,N,d,2,g);if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0);u=e;return}while(0)}while(0);if(ePb(f[t>>2]|0,c)|0){if(!(b[c+38>>0]|0)){u=e;return}D=a+4|0;if(fPb(f[D>>2]|0,c)|0){u=e;return}L=c+48|0;H=f[L>>2]|0;s=f[c+40>>2]|0;E=(f[D>>2]|0)+176|0;D=f[E>>2]|0;do if(D){y=E;C=D;b:while(1){w=C;while(1){x=f[w+16>>2]|0;if(x>>>0>=H>>>0){if(x>>>0>H>>>0)break;if((f[w+20>>2]|0)>=(s|0))break}x=f[w+4>>2]|0;if(!x){O=y;break b}else w=x}C=f[w>>2]|0;if(!C){O=w;break}else y=w}if((O|0)!=(E|0)?(y=f[O+16>>2]|0,y>>>0<=H>>>0):0){if(y>>>0>=H>>>0?(f[O+20>>2]|0)>(s|0):0){P=0;break}P=f[O+24>>2]|0}else P=0}else P=0;while(0);O=Wdc(s,h+8|0)|0;f[h>>2]=O;s=jfc(O)|0;f[h+4>>2]=s;s=f[(f[L>>2]|0)+4>>2]|0;L=b[s+11>>0]|0;O=L<<24>>24<0;f[i>>2]=O?f[s>>2]|0:s;f[i+4>>2]=O?f[s+4>>2]|0:L&255;L=f[P+4>>2]|0;s=b[L+11>>0]|0;O=s<<24>>24<0;f[j>>2]=O?f[L>>2]|0:L;f[j+4>>2]=O?f[L+4>>2]|0:s&255;s=f[f[P+20>>2]>>2]|0;P=b[s+11>>0]|0;L=P<<24>>24<0;f[k>>2]=L?f[s>>2]|0:s;f[k+4>>2]=L?f[s+4>>2]|0:P&255;f[l>>2]=0;f[l+4>>2]=-1;f[m>>2]=0;f[m+4>>2]=-1;f[n>>2]=0;f[n+4>>2]=-1;f[o>>2]=0;f[o+4>>2]=-1;f[p>>2]=0;f[p+4>>2]=-1;f[q>>2]=0;f[q+4>>2]=-1;F9b(g,497826,h,i,j,k,l,m,n,o,p,q);zNb(a,f[c+4>>2]|0,d,1,g);if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);u=e;return}P=f[t>>2]|0;t=f[c+48>>2]|0;s=c+40|0;L=f[s>>2]|0;O=(t*65535|0)+L|0;H=f[P+80>>2]|0;c:do if(H){E=H+-1|0;D=(E&H|0)==0;if(!D)if(O>>>0<H>>>0)Q=O;else Q=(O>>>0)%(H>>>0)|0;else Q=E&O;y=f[(f[P+76>>2]|0)+(Q<<2)>>2]|0;if((y|0)!=0?(C=f[y>>2]|0,(C|0)!=0):0){d:do if(D){y=C;while(1){B=f[y+4>>2]|0;x=(O|0)==(B|0);if(!(x|(B&E|0)==(Q|0))){R=0;break c}if((x?(f[y+8>>2]|0)==(t|0):0)?(f[y+12>>2]|0)==(L|0):0){S=y;break d}y=f[y>>2]|0;if(!y){R=0;break c}}}else{y=C;while(1){w=f[y+4>>2]|0;if((O|0)==(w|0)){if((f[y+8>>2]|0)==(t|0)?(f[y+12>>2]|0)==(L|0):0){S=y;break d}}else{if(w>>>0<H>>>0)T=w;else T=(w>>>0)%(H>>>0)|0;if((T|0)!=(Q|0)){R=0;break c}}y=f[y>>2]|0;if(!y){R=0;break c}}}while(0);R=f[S+16>>2]|0}else R=0}else R=0;while(0);if(!t){f[g+8>>2]=0;b[g+11>>0]=7;b[g>>0]=b[490969]|0;b[g+1>>0]=b[490970]|0;b[g+2>>0]=b[490971]|0;b[g+3>>0]=b[490972]|0;b[g+4>>0]=b[490973]|0;b[g+5>>0]=b[490974]|0;b[g+6>>0]=b[490975]|0;b[g+7>>0]=0}else ouc(g,f[t+4>>2]|0);t=f[c+4>>2]|0;if(!(b[c+38>>0]|0)){c=Wdc(f[s>>2]|0,i+8|0)|0;f[i>>2]=c;S=jfc(c)|0;f[i+4>>2]=S;S=g+11|0;c=b[S>>0]|0;Q=c<<24>>24<0;f[j>>2]=Q?f[g>>2]|0:g;f[j+4>>2]=Q?f[g+4>>2]|0:c&255;c=f[R>>2]|0;Q=b[c+11>>0]|0;T=Q<<24>>24<0;f[k>>2]=T?f[c>>2]|0:c;f[k+4>>2]=T?f[c+4>>2]|0:Q&255;f[l>>2]=0;f[l+4>>2]=-1;f[m>>2]=0;f[m+4>>2]=-1;f[n>>2]=0;f[n+4>>2]=-1;f[o>>2]=0;f[o+4>>2]=-1;f[p>>2]=0;f[p+4>>2]=-1;f[q>>2]=0;f[q+4>>2]=-1;f[r>>2]=0;f[r+4>>2]=-1;F9b(h,497765,i,j,k,l,m,n,o,p,q,r);eNb(a,t,d,1,h);if((b[h+11>>0]|0)<0)fuc(f[h>>2]|0);U=S}else{S=Wdc(f[s>>2]|0,i+8|0)|0;f[i>>2]=S;s=jfc(S)|0;f[i+4>>2]=s;s=g+11|0;S=b[s>>0]|0;Q=S<<24>>24<0;f[j>>2]=Q?f[g>>2]|0:g;f[j+4>>2]=Q?f[g+4>>2]|0:S&255;S=f[R+4>>2]|0;R=b[S+11>>0]|0;Q=R<<24>>24<0;f[k>>2]=Q?f[S>>2]|0:S;f[k+4>>2]=Q?f[S+4>>2]|0:R&255;f[l>>2]=0;f[l+4>>2]=-1;f[m>>2]=0;f[m+4>>2]=-1;f[n>>2]=0;f[n+4>>2]=-1;f[o>>2]=0;f[o+4>>2]=-1;f[p>>2]=0;f[p+4>>2]=-1;f[q>>2]=0;f[q+4>>2]=-1;f[r>>2]=0;f[r+4>>2]=-1;F9b(h,497696,i,j,k,l,m,n,o,p,q,r);eNb(a,t,d,1,h);if((b[h+11>>0]|0)<0)fuc(f[h>>2]|0);U=s}if((b[U>>0]|0)<0)fuc(f[g>>2]|0);u=e;return}function $Ob(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;e=u;u=u+48|0;g=e+24|0;h=e+16|0;i=e;j=e+36|0;k=c+44|0;if(!(f[k>>2]|0)){l=g0b()|0;f[k>>2]=l}l=d+20|0;k=f[l>>2]|0;m=c+4|0;_Nb(h,a,k,f[m>>2]|0,0,(b[(f[a>>2]|0)+21>>0]|0)==0);n=f[h>>2]|0;do if(!n){o=f[a>>2]|0;if(b[o+22>>0]|0?($Nb(g,o,k,0),o=g,p=f[o>>2]|0,q=f[o+4>>2]|0,o=h,f[o>>2]=p,f[o+4>>2]=q,p|0):0){r=p;s=9;break}if(!(b[(f[a>>2]|0)+21>>0]|0)){aPb(a,f[m>>2]|0,d,5,f[l>>2]|0);break}else{bPb(c+12|0,f[l>>2]|0,f[a+40>>2]|0);break}}else{r=n;s=9}while(0);do if((s|0)==9){if((r|0)==1){cPb(c+12|0,f[h+4>>2]|0);break}n=f[m>>2]|0;nEa(i,517029,f[l>>2]|0);k=Duc(i,496817)|0;f[g>>2]=f[k>>2];f[g+4>>2]=f[k+4>>2];f[g+8>>2]=f[k+8>>2];f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;eNb(a,n,d,5,g);if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0)}while(0);l=d+24|0;h=f[l>>2]|0;_Nb(i,a,h,f[m>>2]|0,0,(b[(f[a>>2]|0)+21>>0]|0)==0);r=f[i>>2]|0;do if(!r){s=f[a>>2]|0;if(b[s+22>>0]|0?($Nb(g,s,h,0),s=g,n=f[s>>2]|0,k=f[s+4>>2]|0,s=i,f[s>>2]=n,f[s+4>>2]=k,n|0):0){t=n;break}if(!(b[(f[a>>2]|0)+21>>0]|0)){aPb(a,f[m>>2]|0,d,6,f[l>>2]|0);u=e;return}else{bPb(c+28|0,f[l>>2]|0,f[a+40>>2]|0);u=e;return}}else t=r;while(0);if((t|0)==1){cPb(c+28|0,f[i+4>>2]|0);u=e;return}i=f[m>>2]|0;nEa(j,517029,f[l>>2]|0);l=Duc(j,496817)|0;f[g>>2]=f[l>>2];f[g+4>>2]=f[l+4>>2];f[g+8>>2]=f[l+8>>2];f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;eNb(a,i,d,6,g);if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);if((b[j+11>>0]|0)<0)fuc(f[j>>2]|0);u=e;return}function aPb(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;h=u;u=u+80|0;i=h+60|0;j=h+48|0;k=h+36|0;l=h+24|0;m=h+12|0;n=h;o=a+72|0;if(!(f[o>>2]|0)){p=a+88|0;q=p+11|0;r=b[q>>0]|0;if(r<<24>>24<0)s=f[a+92>>2]|0;else s=r&255;if(!s){nEa(j,517029,g);s=Duc(j,497074)|0;f[i>>2]=f[s>>2];f[i+4>>2]=f[s+4>>2];f[i+8>>2]=f[s+8>>2];f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;eNb(a,c,d,e,i);if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0);if((b[j+11>>0]|0)<0)fuc(f[j>>2]|0);u=h;return}else{t=q;v=p;w=r}}else{nEa(n,517029,a+76|0);r=Duc(n,497092)|0;f[m>>2]=f[r>>2];f[m+4>>2]=f[r+4>>2];f[m+8>>2]=f[r+8>>2];f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;r=f[f[o>>2]>>2]|0;o=b[r+11>>0]|0;p=o<<24>>24<0;q=Cuc(m,p?f[r>>2]|0:r,p?f[r+4>>2]|0:o&255)|0;f[l>>2]=f[q>>2];f[l+4>>2]=f[q+4>>2];f[l+8>>2]=f[q+8>>2];f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;q=Duc(l,497119)|0;f[k>>2]=f[q>>2];f[k+4>>2]=f[q+4>>2];f[k+8>>2]=f[q+8>>2];f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;q=a+28|0;o=b[q+11>>0]|0;r=o<<24>>24<0;p=Cuc(k,r?f[q>>2]|0:q,r?f[a+32>>2]|0:o&255)|0;f[j>>2]=f[p>>2];f[j+4>>2]=f[p+4>>2];f[j+8>>2]=f[p+8>>2];f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;p=Duc(j,497149)|0;f[i>>2]=f[p>>2];f[i+4>>2]=f[p+4>>2];f[i+8>>2]=f[p+8>>2];f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;eNb(a,c,d,e,i);if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0);if((b[j+11>>0]|0)<0)fuc(f[j>>2]|0);if((b[k+11>>0]|0)<0)fuc(f[k>>2]|0);if((b[l+11>>0]|0)<0)fuc(f[l>>2]|0);if((b[m+11>>0]|0)<0)fuc(f[m>>2]|0);if((b[n+11>>0]|0)<0)fuc(f[n>>2]|0);p=a+88|0;o=p+11|0;t=o;v=p;w=b[o>>0]|0}if(w<<24>>24<0)x=f[a+92>>2]|0;else x=w&255;if(!x){u=h;return}nEa(n,517029,g);x=Duc(n,497202)|0;f[m>>2]=f[x>>2];f[m+4>>2]=f[x+4>>2];f[m+8>>2]=f[x+8>>2];f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;x=b[t>>0]|0;t=x<<24>>24<0;w=Cuc(m,t?f[a+88>>2]|0:v,t?f[a+92>>2]|0:x&255)|0;f[l>>2]=f[w>>2];f[l+4>>2]=f[w+4>>2];f[l+8>>2]=f[w+8>>2];f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;w=Duc(l,497221)|0;f[k>>2]=f[w>>2];f[k+4>>2]=f[w+4>>2];f[k+8>>2]=f[w+8>>2];f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;w=b[g+11>>0]|0;x=w<<24>>24<0;t=Cuc(k,x?f[g>>2]|0:g,x?f[g+4>>2]|0:w&255)|0;f[j>>2]=f[t>>2];f[j+4>>2]=f[t+4>>2];f[j+8>>2]=f[t+8>>2];f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;t=Duc(j,494325)|0;f[i>>2]=f[t>>2];f[i+4>>2]=f[t+4>>2];f[i+8>>2]=f[t+8>>2];f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;eNb(a,c,d,e,i);if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0);if((b[j+11>>0]|0)<0)fuc(f[j>>2]|0);if((b[k+11>>0]|0)<0)fuc(f[k>>2]|0);if((b[l+11>>0]|0)<0)fuc(f[l>>2]|0);if((b[m+11>>0]|0)<0)fuc(f[m>>2]|0);if((b[n+11>>0]|0)<0)fuc(f[n>>2]|0);u=h;return}function bPb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;e=u;u=u+192|0;g=e+168|0;h=e+144|0;i=e+120|0;j=e+96|0;k=e+72|0;l=e+48|0;m=e+174|0;n=e+24|0;o=e+173|0;p=e;q=e+172|0;if(f[a>>2]|0){iLb(h,3,490877,7105);fLb(e+178|0,dLb(h,496911)|0);jLb(h)}h=a+12|0;if(f[h>>2]|0){iLb(i,3,490877,7106);fLb(e+177|0,dLb(i,496888)|0);jLb(i)}i=a+4|0;if(f[i>>2]|0){iLb(j,3,490877,7107);fLb(e+176|0,dLb(j,496842)|0);jLb(j)}j=a+8|0;if(f[j>>2]|0){iLb(k,3,490877,7108);fLb(e+175|0,dLb(k,496865)|0);jLb(k)}if((d|0)!=0?(k=d+8|0,a=f[k>>2]|0,(a|0)!=0):0){r=k;s=a}else{iLb(l,3,490877,7109);fLb(m,dLb(l,496940)|0);jLb(l);l=d+8|0;r=l;s=f[l>>2]|0}if(!(b[s+21>>0]|0)){iLb(n,3,490877,7110);fLb(o,dLb(n,496976)|0);jLb(n)}if(b[d+49>>0]|0){iLb(p,3,490877,7111);fLb(q,dLb(p,497032)|0);jLb(p)}f[h>>2]=d;d=f[(f[r>>2]|0)+16>>2]|0;h=cuc(12)|0;ouc(h,c);f[g>>2]=h;c=d+76|0;p=f[c>>2]|0;if((p|0)==(f[d+80>>2]|0))fNb(d+72|0,g);else{f[p>>2]=h;f[c>>2]=(f[c>>2]|0)+4}f[i>>2]=f[g>>2];i=f[(f[r>>2]|0)+16>>2]|0;r=cuc(4)|0;f[r>>2]=0;f[g>>2]=r;c=i+100|0;h=f[c>>2]|0;if((h|0)==(f[i+104>>2]|0)){jNb(i+96|0,g);t=f[g>>2]|0;f[j>>2]=t;u=e;return}else{f[h>>2]=r;f[c>>2]=(f[c>>2]|0)+4;t=f[g>>2]|0;f[j>>2]=t;u=e;return}}function cPb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=u;u=u+80|0;d=c+48|0;e=c+24|0;g=c;if(f[a+4>>2]|0){iLb(d,3,490877,7097);fLb(c+74|0,dLb(d,496842)|0);jLb(d)}if(f[a+8>>2]|0){iLb(e,3,490877,7098);fLb(c+73|0,dLb(e,496865)|0);jLb(e)}if(!(f[a+12>>2]|0)){f[a>>2]=b;u=c;return}iLb(g,3,490877,7099);fLb(c+72|0,dLb(g,496888)|0);jLb(g);f[a>>2]=b;u=c;return}function dPb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;d=u;u=u+32|0;e=d+16|0;g=d+24|0;h=d+8|0;i=d;f[e>>2]=c;do if(b[c+38>>0]|0){j=f[c+56>>2]|0;if(!j){k=f[c+20>>2]|0;break}else{k=j;break}}else k=f[c+48>>2]|0;while(0);j=k;k=f[c+8>>2]|0;if((b[k+11>>0]|0)<0)l=f[k>>2]|0;else l=k;f[g>>2]=j;f[g+4>>2]=l;l=a+40|0;if(!(hPb(f[l>>2]|0,g,e)|0)){k=iPb(f[l>>2]|0,g)|0;f[h>>2]=k;hPb(a+20|0,g,h)|0}g=f[c+12>>2]|0;if((b[g+11>>0]|0)<0)m=f[g>>2]|0;else m=g;f[h>>2]=j;f[h+4>>2]=m;m=a+68|0;if(hPb(f[m>>2]|0,h,e)|0){u=d;return}e=iPb(f[m>>2]|0,h)|0;f[i>>2]=e;hPb(a+48|0,h,i)|0;u=d;return}function ePb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0.0,w=0.0,x=0,y=0,z=0,A=0,B=0;c=b;d=f[b+48>>2]|0;e=f[b+40>>2]|0;b=a+76|0;g=(d*65535|0)+e|0;h=a+80|0;i=f[h>>2]|0;j=(i|0)==0;k=d;a:do if(!j){l=i+-1|0;m=(l&i|0)==0;if(!m)if(g>>>0<i>>>0)o=g;else o=(g>>>0)%(i>>>0)|0;else o=l&g;p=f[(f[b>>2]|0)+(o<<2)>>2]|0;if((p|0)!=0?(q=f[p>>2]|0,(q|0)!=0):0){if(m){m=q;while(1){p=f[m+4>>2]|0;if(!((p|0)==(g|0)|(p&l|0)==(o|0))){r=o;break a}if((f[m+8>>2]|0)==(k|0)?(f[m+12>>2]|0)==(e|0):0){s=0;break}m=f[m>>2]|0;if(!m){r=o;break a}}return s|0}else t=q;while(1){m=f[t+4>>2]|0;if((m|0)!=(g|0)){if(m>>>0<i>>>0)u=m;else u=(m>>>0)%(i>>>0)|0;if((u|0)!=(o|0)){r=o;break a}}if((f[t+8>>2]|0)==(k|0)?(f[t+12>>2]|0)==(e|0):0){s=0;break}t=f[t>>2]|0;if(!t){r=o;break a}}return s|0}else r=o}else r=0;while(0);o=cuc(20)|0;t=o+8|0;f[t>>2]=d;f[t+4>>2]=e;f[o+16>>2]=c;f[o+4>>2]=g;f[o>>2]=0;c=a+88|0;v=+(((f[c>>2]|0)+1|0)>>>0);w=+n[a+92>>2];do if(j|v>+(i>>>0)*w){e=(i>>>0<3|(i+-1&i|0)!=0)&1|i<<1;t=~~+X(+(v/w))>>>0;oMb(b,e>>>0<t>>>0?t:e);e=f[h>>2]|0;t=e+-1|0;if(!(t&e)){x=e;y=t&g;break}if(g>>>0<e>>>0){x=e;y=g}else{x=e;y=(g>>>0)%(e>>>0)|0}}else{x=i;y=r}while(0);r=(f[b>>2]|0)+(y<<2)|0;y=f[r>>2]|0;if(!y){i=a+84|0;f[o>>2]=f[i>>2];f[i>>2]=o;f[r>>2]=i;i=f[o>>2]|0;if(i|0){r=f[i+4>>2]|0;i=x+-1|0;if(i&x)if(r>>>0<x>>>0)z=r;else z=(r>>>0)%(x>>>0)|0;else z=r&i;A=(f[b>>2]|0)+(z<<2)|0;B=33}}else{f[o>>2]=f[y>>2];A=y;B=33}if((B|0)==33)f[A>>2]=o;f[c>>2]=(f[c>>2]|0)+1;s=1;return s|0}function fPb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;c=u;u=u+16|0;d=c;e=b;g=f[b+48>>2]|0;h=f[b+40>>2]|0;f[d>>2]=g;f[d+4>>2]=h;b=a+172|0;i=a+176|0;j=f[i>>2]|0;do if(j){k=g;l=a+176|0;m=j;a:while(1){n=f[m+16>>2]|0;do if(k>>>0>=n>>>0){if(n>>>0>=k>>>0){o=f[m+20>>2]|0;if((h|0)<(o|0)){p=7;break}if((o|0)>=(h|0)){p=12;break a}}q=m+4|0;o=f[q>>2]|0;if(!o){p=11;break a}else{r=q;s=o}}else p=7;while(0);if((p|0)==7){p=0;n=f[m>>2]|0;if(!n){p=8;break}else{r=m;s=n}}l=r;m=s}if((p|0)==8){t=m;v=m;break}else if((p|0)==11){t=m;v=q;break}else if((p|0)==12){t=m;v=l;break}}else{t=i;v=i}while(0);if(f[v>>2]|0){w=0;u=c;return w|0}i=cuc(28)|0;f[i+16>>2]=g;f[i+20>>2]=h;f[i+24>>2]=e;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=t;f[v>>2]=i;t=f[f[b>>2]>>2]|0;if(!t)x=i;else{f[b>>2]=t;x=f[v>>2]|0}jI(f[a+176>>2]|0,x);x=a+180|0;f[x>>2]=(f[x>>2]|0)+1;x=a+224|0;v=f[x>>2]|0;if((v|0)==(f[a+228>>2]|0)){gPb(a+220|0,d);w=1;u=c;return w|0}else{a=d;d=f[a+4>>2]|0;t=v;f[t>>2]=f[a>>2];f[t+4>>2]=d;f[x>>2]=(f[x>>2]|0)+8;w=1;u=c;return w|0}return 0}function gPb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+4|0;d=f[a>>2]|0;e=(f[c>>2]|0)-d|0;g=e>>3;h=g+1|0;if(h>>>0>536870911)nsc(a);i=a+8|0;j=(f[i>>2]|0)-d|0;k=j>>2;l=j>>3>>>0<268435455?(k>>>0<h>>>0?h:k):536870911;do if(l)if(l>>>0>536870911){k=ze(8)|0;kuc(k,519086);f[k>>2]=167148;Hf(k|0,26888,1888)}else{m=cuc(l<<3)|0;break}else m=0;while(0);k=m+(g<<3)|0;h=b;b=f[h+4>>2]|0;j=k;f[j>>2]=f[h>>2];f[j+4>>2]=b;b=k+(0-g<<3)|0;if((e|0)>0)szc(b|0,d|0,e|0)|0;f[a>>2]=b;f[c>>2]=k+8;f[i>>2]=m+(l<<3);if(!d)return;fuc(d);return}function hPb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0.0,x=0.0,y=0,z=0,A=0,B=0,C=0;e=f[c>>2]|0;g=f[c+4>>2]|0;c=f[d>>2]|0;d=e*65535|0;h=g;i=b[h>>0]|0;j=e;if(!(i<<24>>24))k=0;else{l=h;m=0;o=i;while(1){i=(m*5|0)+(o<<24>>24)|0;l=l+1|0;o=b[l>>0]|0;if(!(o<<24>>24)){k=i;break}else m=i}}m=k+d|0;d=a+4|0;k=f[d>>2]|0;o=(k|0)==0;a:do if(!o){l=k+-1|0;i=(l&k|0)==0;if(!i)if(m>>>0<k>>>0)p=m;else p=(m>>>0)%(k>>>0)|0;else p=l&m;q=f[(f[a>>2]|0)+(p<<2)>>2]|0;if((q|0)!=0?(r=f[q>>2]|0,(r|0)!=0):0){if(i){i=r;while(1){q=f[i+4>>2]|0;if(!((q|0)==(m|0)|(q&l|0)==(p|0))){s=p;break a}if((f[i+8>>2]|0)==(j|0)?(Mec(f[i+12>>2]|0,h)|0)==0:0){t=0;break}i=f[i>>2]|0;if(!i){s=p;break a}}return t|0}else u=r;while(1){i=f[u+4>>2]|0;if((i|0)!=(m|0)){if(i>>>0<k>>>0)v=i;else v=(i>>>0)%(k>>>0)|0;if((v|0)!=(p|0)){s=p;break a}}if((f[u+8>>2]|0)==(j|0)?(Mec(f[u+12>>2]|0,h)|0)==0:0){t=0;break}u=f[u>>2]|0;if(!u){s=p;break a}}return t|0}else s=p}else s=0;while(0);p=cuc(20)|0;f[p+8>>2]=e;f[p+12>>2]=g;f[p+16>>2]=c;f[p+4>>2]=m;f[p>>2]=0;c=a+12|0;w=+(((f[c>>2]|0)+1|0)>>>0);x=+n[a+16>>2];do if(o|w>+(k>>>0)*x){g=(k>>>0<3|(k+-1&k|0)!=0)&1|k<<1;e=~~+X(+(w/x))>>>0;nMb(a,g>>>0<e>>>0?e:g);g=f[d>>2]|0;e=g+-1|0;if(!(e&g)){y=g;z=e&m;break}if(m>>>0<g>>>0){y=g;z=m}else{y=g;z=(m>>>0)%(g>>>0)|0}}else{y=k;z=s}while(0);s=(f[a>>2]|0)+(z<<2)|0;z=f[s>>2]|0;if(!z){k=a+8|0;f[p>>2]=f[k>>2];f[k>>2]=p;f[s>>2]=k;k=f[p>>2]|0;if(k|0){s=f[k+4>>2]|0;k=y+-1|0;if(k&y)if(s>>>0<y>>>0)A=s;else A=(s>>>0)%(y>>>0)|0;else A=s&k;B=(f[a>>2]|0)+(A<<2)|0;C=35}}else{f[p>>2]=f[z>>2];B=z;C=35}if((C|0)==35)f[B>>2]=p;f[c>>2]=(f[c>>2]|0)+1;t=1;return t|0}function iPb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=f[c>>2]|0;e=d*65535|0;g=f[c+4>>2]|0;c=b[g>>0]|0;h=d;if(!(c<<24>>24))i=0;else{d=g;j=0;k=c;while(1){c=(j*5|0)+(k<<24>>24)|0;d=d+1|0;k=b[d>>0]|0;if(!(k<<24>>24)){i=c;break}else j=c}}j=i+e|0;e=f[a+4>>2]|0;if(!e){l=0;return l|0}i=e+-1|0;k=(i&e|0)==0;if(!k)if(j>>>0<e>>>0)m=j;else m=(j>>>0)%(e>>>0)|0;else m=i&j;d=f[(f[a>>2]|0)+(m<<2)>>2]|0;if(!d){l=0;return l|0}a=f[d>>2]|0;if(!a){l=0;return l|0}a:do if(k){d=a;while(1){c=f[d+4>>2]|0;n=(c|0)==(j|0);if(!(n|(c&i|0)==(m|0))){l=0;o=24;break}if((n?(f[d+8>>2]|0)==(h|0):0)?(Mec(f[d+12>>2]|0,g)|0)==0:0){p=d;break a}d=f[d>>2]|0;if(!d){l=0;o=24;break}}if((o|0)==24)return l|0}else{d=a;while(1){n=f[d+4>>2]|0;if((n|0)==(j|0)){if((f[d+8>>2]|0)==(h|0)?(Mec(f[d+12>>2]|0,g)|0)==0:0){p=d;break a}}else{if(n>>>0<e>>>0)q=n;else q=(n>>>0)%(e>>>0)|0;if((q|0)!=(m|0)){l=0;o=24;break}}d=f[d>>2]|0;if(!d){l=0;o=24;break}}if((o|0)==24)return l|0}while(0);l=f[p+16>>2]|0;return l|0}function jPb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;g=u;u=u+32|0;h=g+12|0;i=g;j=c+11|0;k=b[j>>0]|0;l=c+4|0;m=f[l>>2]|0;if(!((k<<24>>24<0?m:k&255)|0)){dNb(a,d,e,0,498852);u=g;return}n=h+11|0;o=i+11|0;p=0;q=k;k=m;while(1){m=b[(q<<24>>24<0?f[c>>2]|0:c)+p>>0]|0;do if(m<<24>>24<97)if(m<<24>>24<65)if((m+-48&255)>9){r=9;break}else{s=q;t=k;break}else if(m<<24>>24<91|m<<24>>24==95){s=q;t=k;break}else{r=9;break}else if(m<<24>>24>122)r=9;else{s=q;t=k}while(0);if((r|0)==9){r=0;nEa(i,517029,c);m=Duc(i,498866)|0;f[h>>2]=f[m>>2];f[h+4>>2]=f[m+4>>2];f[h+8>>2]=f[m+8>>2];f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;eNb(a,d,e,0,h);if((b[n>>0]|0)<0)fuc(f[h>>2]|0);if((b[o>>0]|0)<0)fuc(f[i>>2]|0);s=b[j>>0]|0;t=f[l>>2]|0}p=p+1|0;if(p>>>0>=(s<<24>>24<0?t:s&255)>>>0)break;else{q=s;k=t}}u=g;return}function kPb(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;h=u;u=u+32|0;i=h;j=f[a+4>>2]|0;k=cuc(60)|0;SVb(k);f[i>>2]=k;l=j+88|0;m=f[l>>2]|0;if(m>>>0<(f[j+92>>2]|0)>>>0){f[m>>2]=k;f[l>>2]=(f[l>>2]|0)+4}else bNb(j+84|0,i);IKb(i,e);BKb(k,i)|0;if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0);f[g+68>>2]=k;if((f[k+36>>2]|0)<=0){u=h;return}g=a+12|0;ouc(i,c);c=i+12|0;ouc(c,d);d=i+24|0;f[d>>2]=e;f[i+28>>2]=k;k=a+16|0;e=f[k>>2]|0;j=a+20|0;a=f[j>>2]|0;l=a;if(e>>>0>=a>>>0){a=e;m=f[g>>2]|0;n=a-m>>5;o=n+1|0;p=m;if(o>>>0>134217727)nsc(g);q=l-m|0;m=q>>4;l=q>>5>>>0<67108863?(m>>>0<o>>>0?o:m):134217727;do if(l)if(l>>>0>134217727){m=ze(8)|0;kuc(m,519086);f[m>>2]=167148;Hf(m|0,26888,1888)}else{r=cuc(l<<5)|0;break}else r=0;while(0);m=r+(n<<5)|0;o=m;q=r+(l<<5)|0;f[m>>2]=f[i>>2];f[m+4>>2]=f[i+4>>2];f[m+8>>2]=f[i+8>>2];f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;l=r+(n<<5)+12|0;f[l>>2]=f[c>>2];f[l+4>>2]=f[c+4>>2];f[l+8>>2]=f[c+8>>2];f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;l=d;s=f[l+4>>2]|0;t=r+(n<<5)+24|0;f[t>>2]=f[l>>2];f[t+4>>2]=s;s=m+32|0;if((e|0)==(p|0)){v=o;w=a;x=e}else{a=e;t=o;o=m;do{m=o+-32|0;l=a;a=a+-32|0;f[m>>2]=f[a>>2];f[m+4>>2]=f[a+4>>2];f[m+8>>2]=f[a+8>>2];f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;m=o+-20|0;n=l+-20|0;f[m>>2]=f[n>>2];f[m+4>>2]=f[n+4>>2];f[m+8>>2]=f[n+8>>2];f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;n=l+-8|0;l=f[n+4>>2]|0;m=o+-8|0;f[m>>2]=f[n>>2];f[m+4>>2]=l;o=t+-32|0;t=o}while((a|0)!=(p|0));v=t;w=f[g>>2]|0;x=f[k>>2]|0}f[g>>2]=v;f[k>>2]=s;f[j>>2]=q;q=w;if((x|0)!=(q|0)){j=x;do{x=j+-20|0;j=j+-32|0;if((b[x+11>>0]|0)<0)fuc(f[x>>2]|0);if((b[j+11>>0]|0)<0)fuc(f[j>>2]|0)}while((j|0)!=(q|0))}if(w|0)fuc(w)}else{f[e>>2]=f[i>>2];f[e+4>>2]=f[i+4>>2];f[e+8>>2]=f[i+8>>2];f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;w=e+12|0;f[w>>2]=f[c>>2];f[w+4>>2]=f[c+4>>2];f[w+8>>2]=f[c+8>>2];f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;w=d;d=f[w+4>>2]|0;q=e+24|0;f[q>>2]=f[w>>2];f[q+4>>2]=d;f[k>>2]=(f[k>>2]|0)+32}if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0);u=h;return}function lPb(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;i=u;u=u+112|0;j=i+96|0;k=i;l=i+72|0;m=i+108|0;n=i+56|0;o=i+44|0;p=i+32|0;q=i+20|0;r=i+8|0;if(!d)s=f[a+40>>2]|0;else s=d;d=a+4|0;t=f[d>>2]|0;v=h;h=f[v>>2]|0;w=f[v+4>>2]|0;v=c+11|0;f[j>>2]=(b[v>>0]|0)<0?f[c>>2]|0:c;x=j+4|0;f[x>>2]=h;f[x+4>>2]=w;if(mPb(t+132|0,j)|0){x=(b[v>>0]|0)<0?f[c>>2]|0:c;f[j>>2]=x;y=t+200|0;z=f[y>>2]|0;if(z>>>0<(f[t+204>>2]|0)>>>0){f[z>>2]=x;f[y>>2]=(f[y>>2]|0)+4}else hNb(t+196|0,j);t=f[a+44>>2]|0;y=k;f[y>>2]=h;f[y+4>>2]=w;f[j>>2]=f[k>>2];f[j+4>>2]=f[k+4>>2];if(nPb(t,s,e,j)|0){A=1;u=i;return A|0}if(b[a+24>>0]|0){A=0;u=i;return A|0}iLb(l,2,490877,3991);fLb(m,dLb(eLb(dLb(l,517029)|0,c)|0,498660)|0);jLb(l);A=0;u=i;return A|0}l=f[d>>2]|0;f[j>>2]=(b[v>>0]|0)<0?f[c>>2]|0:c;v=LMb(l+132|0,j)|0;a:do if(!v)B=0;else{l=f[v+16>>2]|0;switch(f[v+12>>2]|0){case 8:{B=l;break a;break}case 1:{B=f[l+8>>2]|0;break a;break}case 2:{B=f[l+20>>2]|0;break a;break}case 3:{B=f[(f[l+8>>2]|0)+8>>2]|0;break a;break}case 4:{B=f[l+8>>2]|0;break a;break}case 5:{B=f[(f[l+12>>2]|0)+8>>2]|0;break a;break}case 6:{B=f[l+8>>2]|0;break a;break}case 7:{B=f[(f[l+8>>2]|0)+8>>2]|0;break a;break}default:{B=0;break a}}}while(0);if((B|0)!=(f[a+40>>2]|0)){nEa(p,517029,c);v=Duc(p,498821)|0;f[o>>2]=f[v>>2];f[o+4>>2]=f[v+4>>2];f[o+8>>2]=f[v+8>>2];f[v>>2]=0;f[v+4>>2]=0;f[v+8>>2]=0;v=f[B>>2]|0;B=b[v+11>>0]|0;l=B<<24>>24<0;d=Cuc(o,l?f[v>>2]|0:v,l?f[v+4>>2]|0:B&255)|0;f[n>>2]=f[d>>2];f[n+4>>2]=f[d+4>>2];f[n+8>>2]=f[d+8>>2];f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;d=Duc(n,517668)|0;f[j>>2]=f[d>>2];f[j+4>>2]=f[d+4>>2];f[j+8>>2]=f[d+8>>2];f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;eNb(a,c,g,0,j);if((b[j+11>>0]|0)<0)fuc(f[j>>2]|0);if((b[n+11>>0]|0)<0)fuc(f[n>>2]|0);if((b[o+11>>0]|0)<0)fuc(f[o>>2]|0);if((b[p+11>>0]|0)<0)fuc(f[p>>2]|0);A=0;u=i;return A|0}d=Ouc(c,46,-1)|0;if((d|0)==-1){nEa(n,517029,c);B=Duc(n,498773)|0;f[j>>2]=f[B>>2];f[j+4>>2]=f[B+4>>2];f[j+8>>2]=f[B+8>>2];f[B>>2]=0;f[B+4>>2]=0;f[B+8>>2]=0;eNb(a,c,g,0,j);if((b[j+11>>0]|0)<0)fuc(f[j>>2]|0);if((b[n+11>>0]|0)<0)fuc(f[n>>2]|0);A=0;u=i;return A|0}puc(q,c,d+1|0,-1,c);B=Huc(q,0,517029)|0;f[p>>2]=f[B>>2];f[p+4>>2]=f[B+4>>2];f[p+8>>2]=f[B+8>>2];f[B>>2]=0;f[B+4>>2]=0;f[B+8>>2]=0;B=Duc(p,498795)|0;f[o>>2]=f[B>>2];f[o+4>>2]=f[B+4>>2];f[o+8>>2]=f[B+8>>2];f[B>>2]=0;f[B+4>>2]=0;f[B+8>>2]=0;puc(r,c,0,d,c);d=r+11|0;B=b[d>>0]|0;v=B<<24>>24<0;l=Cuc(o,v?f[r>>2]|0:r,v?f[r+4>>2]|0:B&255)|0;f[n>>2]=f[l>>2];f[n+4>>2]=f[l+4>>2];f[n+8>>2]=f[l+8>>2];f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;l=Duc(n,517668)|0;f[j>>2]=f[l>>2];f[j+4>>2]=f[l+4>>2];f[j+8>>2]=f[l+8>>2];f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;eNb(a,c,g,0,j);if((b[j+11>>0]|0)<0)fuc(f[j>>2]|0);if((b[n+11>>0]|0)<0)fuc(f[n>>2]|0);if((b[d>>0]|0)<0)fuc(f[r>>2]|0);if((b[o+11>>0]|0)<0)fuc(f[o>>2]|0);if((b[p+11>>0]|0)<0)fuc(f[p>>2]|0);if((b[q+11>>0]|0)<0)fuc(f[q>>2]|0);A=0;u=i;return A|0}function mPb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0.0,u=0.0,v=0,w=0,x=0,y=0,z=0;d=f[c>>2]|0;e=b[d>>0]|0;if(!(e<<24>>24))g=0;else{h=d;i=0;j=e;while(1){e=(i*5|0)+(j<<24>>24)|0;h=h+1|0;j=b[h>>0]|0;if(!(j<<24>>24)){g=e;break}else i=e}}i=a+4|0;j=f[i>>2]|0;h=(j|0)==0;a:do if(!h){e=j+-1|0;k=(e&j|0)==0;if(!k)if(g>>>0<j>>>0)l=g;else l=(g>>>0)%(j>>>0)|0;else l=e&g;m=f[(f[a>>2]|0)+(l<<2)>>2]|0;if(!m)o=l;else{if(k){k=m;while(1){k=f[k>>2]|0;if(!k){o=l;break a}p=f[k+4>>2]|0;if(!((p|0)==(g|0)|(p&e|0)==(l|0))){o=l;break a}if(!(Mec(f[k+8>>2]|0,d)|0)){q=0;break}}return q|0}else r=m;while(1){r=f[r>>2]|0;if(!r){o=l;break a}k=f[r+4>>2]|0;if((k|0)!=(g|0)){if(k>>>0<j>>>0)s=k;else s=(k>>>0)%(j>>>0)|0;if((s|0)!=(l|0)){o=l;break a}}if(!(Mec(f[r+8>>2]|0,d)|0)){q=0;break}}return q|0}}else o=0;while(0);d=cuc(20)|0;r=d+8|0;f[r>>2]=f[c>>2];f[r+4>>2]=f[c+4>>2];f[r+8>>2]=f[c+8>>2];f[d+4>>2]=g;f[d>>2]=0;c=a+12|0;t=+(((f[c>>2]|0)+1|0)>>>0);u=+n[a+16>>2];do if(h|t>+(j>>>0)*u){r=(j>>>0<3|(j+-1&j|0)!=0)&1|j<<1;l=~~+X(+(t/u))>>>0;eMb(a,r>>>0<l>>>0?l:r);r=f[i>>2]|0;l=r+-1|0;if(!(l&r)){v=r;w=l&g;break}if(g>>>0<r>>>0){v=r;w=g}else{v=r;w=(g>>>0)%(r>>>0)|0}}else{v=j;w=o}while(0);o=(f[a>>2]|0)+(w<<2)|0;w=f[o>>2]|0;if(!w){j=a+8|0;f[d>>2]=f[j>>2];f[j>>2]=d;f[o>>2]=j;j=f[d>>2]|0;if(j|0){o=f[j+4>>2]|0;j=v+-1|0;if(j&v)if(o>>>0<v>>>0)x=o;else x=(o>>>0)%(v>>>0)|0;else x=o&j;y=(f[a>>2]|0)+(x<<2)|0;z=32}}else{f[d>>2]=f[w>>2];y=w;z=32}if((z|0)==32)f[y>>2]=d;f[c>>2]=(f[c>>2]|0)+1;q=1;return q|0}function nPb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0.0,z=0,A=0,B=0,C=0,D=0;g=c;h=(b[d+11>>0]|0)<0?f[d>>2]|0:d;d=h;i=e;e=f[i>>2]|0;j=f[i+4>>2]|0;i=g*65535|0;k=b[h>>0]|0;if(!(k<<24>>24))l=0;else{m=h;o=0;p=k;while(1){k=(o*5|0)+(p<<24>>24)|0;m=m+1|0;p=b[m>>0]|0;if(!(p<<24>>24)){l=k;break}else o=k}}o=l+i|0;i=a+4|0;l=f[i>>2]|0;p=(l|0)==0;a:do if(!p){m=l+-1|0;k=(m&l|0)==0;if(!k)if(o>>>0<l>>>0)q=o;else q=(o>>>0)%(l>>>0)|0;else q=m&o;r=f[(f[a>>2]|0)+(q<<2)>>2]|0;if((r|0)!=0?(s=f[r>>2]|0,(s|0)!=0):0){if(k){k=s;while(1){r=f[k+4>>2]|0;if(!((r|0)==(o|0)|(r&m|0)==(q|0))){t=q;break a}if((f[k+8>>2]|0)==(c|0)?(Mec(f[k+12>>2]|0,h)|0)==0:0){u=0;break}k=f[k>>2]|0;if(!k){t=q;break a}}return u|0}else v=s;while(1){k=f[v+4>>2]|0;if((k|0)!=(o|0)){if(k>>>0<l>>>0)w=k;else w=(k>>>0)%(l>>>0)|0;if((w|0)!=(q|0)){t=q;break a}}if((f[v+8>>2]|0)==(c|0)?(Mec(f[v+12>>2]|0,h)|0)==0:0){u=0;break}v=f[v>>2]|0;if(!v){t=q;break a}}return u|0}else t=q}else t=0;while(0);q=cuc(24)|0;f[q+8>>2]=g;f[q+12>>2]=d;d=q+16|0;f[d>>2]=e;f[d+4>>2]=j;f[q+4>>2]=o;f[q>>2]=0;j=a+12|0;x=+(((f[j>>2]|0)+1|0)>>>0);y=+n[a+16>>2];do if(p|x>+(l>>>0)*y){d=(l>>>0<3|(l+-1&l|0)!=0)&1|l<<1;e=~~+X(+(x/y))>>>0;mMb(a,d>>>0<e>>>0?e:d);d=f[i>>2]|0;e=d+-1|0;if(!(e&d)){z=d;A=e&o;break}if(o>>>0<d>>>0){z=d;A=o}else{z=d;A=(o>>>0)%(d>>>0)|0}}else{z=l;A=t}while(0);t=(f[a>>2]|0)+(A<<2)|0;A=f[t>>2]|0;if(!A){l=a+8|0;f[q>>2]=f[l>>2];f[l>>2]=q;f[t>>2]=l;l=f[q>>2]|0;if(l|0){t=f[l+4>>2]|0;l=z+-1|0;if(l&z)if(t>>>0<z>>>0)B=t;else B=(t>>>0)%(z>>>0)|0;else B=t&l;C=(f[a>>2]|0)+(B<<2)|0;D=35}}else{f[q>>2]=f[A>>2];C=A;D=35}if((D|0)==35)f[C>>2]=q;f[j>>2]=(f[j>>2]|0)+1;u=1;return u|0}function oPb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;g=u;u=u+16|0;h=g+8|0;i=g;j=a+4|0;k=f[j>>2]|0;l=c+16|0;m=f[l>>2]|0;n=cuc(12)|0;ouc(n,m);f[h>>2]=n;m=k+76|0;o=f[m>>2]|0;if((o|0)==(f[k+80>>2]|0))fNb(k+72|0,h);else{f[o>>2]=n;f[m>>2]=(f[m>>2]|0)+4}f[e>>2]=f[h>>2];f[e+8>>2]=d;m=f[j>>2]|0;j=f[d+4>>2]|0;n=cuc(12)|0;ouc(n,j);f[h>>2]=n;j=m+76|0;o=f[j>>2]|0;if((o|0)==(f[m+80>>2]|0))fNb(m+72|0,h);else{f[o>>2]=n;f[j>>2]=(f[j>>2]|0)+4}j=f[h>>2]|0;yuc(j,1,46)|0;n=f[e>>2]|0;o=b[n+11>>0]|0;m=o<<24>>24<0;Cuc(j,m?f[n>>2]|0:n,m?f[n+4>>2]|0:o&255)|0;o=e+4|0;f[o>>2]=j;jPb(a,f[l>>2]|0,j,c);j=e+12|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;f[j+16>>2]=0;f[j+20>>2]=0;f[j+24>>2]=0;f[j+28>>2]=0;if(!(f[c+8>>2]&8)){f[e+44>>2]=0;p=c+32|0;q=b[p>>0]|0;r=e+48|0;b[r>>0]=q;s=c+33|0;t=b[s>>0]|0;v=e+49|0;b[v>>0]=t;w=f[o>>2]|0;x=f[e>>2]|0;f[i>>2]=7;y=i+4|0;f[y>>2]=e;f[h>>2]=f[i>>2];f[h+4>>2]=f[i+4>>2];lPb(a,w,d,x,c,h)|0;u=g;return}else{j=f[c+28>>2]|0;l=f[o>>2]|0;qPb(a,l,l,j|0?j:544064,e);p=c+32|0;q=b[p>>0]|0;r=e+48|0;b[r>>0]=q;s=c+33|0;t=b[s>>0]|0;v=e+49|0;b[v>>0]=t;w=f[o>>2]|0;x=f[e>>2]|0;f[i>>2]=7;y=i+4|0;f[y>>2]=e;f[h>>2]=f[i>>2];f[h+4>>2]=f[i+4>>2];lPb(a,w,d,x,c,h)|0;u=g;return}}function pPb(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;h=u;u=u+32|0;i=h;j=f[a+4>>2]|0;k=cuc(52)|0;uUb(k);f[i>>2]=k;l=j+88|0;m=f[l>>2]|0;if(m>>>0<(f[j+92>>2]|0)>>>0){f[m>>2]=k;f[l>>2]=(f[l>>2]|0)+4}else bNb(j+84|0,i);IKb(i,e);BKb(k,i)|0;if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0);f[g+12>>2]=k;if((f[k+36>>2]|0)<=0){u=h;return}g=a+12|0;ouc(i,c);c=i+12|0;ouc(c,d);d=i+24|0;f[d>>2]=e;f[i+28>>2]=k;k=a+16|0;e=f[k>>2]|0;j=a+20|0;a=f[j>>2]|0;l=a;if(e>>>0>=a>>>0){a=e;m=f[g>>2]|0;n=a-m>>5;o=n+1|0;p=m;if(o>>>0>134217727)nsc(g);q=l-m|0;m=q>>4;l=q>>5>>>0<67108863?(m>>>0<o>>>0?o:m):134217727;do if(l)if(l>>>0>134217727){m=ze(8)|0;kuc(m,519086);f[m>>2]=167148;Hf(m|0,26888,1888)}else{r=cuc(l<<5)|0;break}else r=0;while(0);m=r+(n<<5)|0;o=m;q=r+(l<<5)|0;f[m>>2]=f[i>>2];f[m+4>>2]=f[i+4>>2];f[m+8>>2]=f[i+8>>2];f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;l=r+(n<<5)+12|0;f[l>>2]=f[c>>2];f[l+4>>2]=f[c+4>>2];f[l+8>>2]=f[c+8>>2];f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;l=d;s=f[l+4>>2]|0;t=r+(n<<5)+24|0;f[t>>2]=f[l>>2];f[t+4>>2]=s;s=m+32|0;if((e|0)==(p|0)){v=o;w=a;x=e}else{a=e;t=o;o=m;do{m=o+-32|0;l=a;a=a+-32|0;f[m>>2]=f[a>>2];f[m+4>>2]=f[a+4>>2];f[m+8>>2]=f[a+8>>2];f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;m=o+-20|0;n=l+-20|0;f[m>>2]=f[n>>2];f[m+4>>2]=f[n+4>>2];f[m+8>>2]=f[n+8>>2];f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;n=l+-8|0;l=f[n+4>>2]|0;m=o+-8|0;f[m>>2]=f[n>>2];f[m+4>>2]=l;o=t+-32|0;t=o}while((a|0)!=(p|0));v=t;w=f[g>>2]|0;x=f[k>>2]|0}f[g>>2]=v;f[k>>2]=s;f[j>>2]=q;q=w;if((x|0)!=(q|0)){j=x;do{x=j+-20|0;j=j+-32|0;if((b[x+11>>0]|0)<0)fuc(f[x>>2]|0);if((b[j+11>>0]|0)<0)fuc(f[j>>2]|0)}while((j|0)!=(q|0))}if(w|0)fuc(w)}else{f[e>>2]=f[i>>2];f[e+4>>2]=f[i+4>>2];f[e+8>>2]=f[i+8>>2];f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;w=e+12|0;f[w>>2]=f[c>>2];f[w+4>>2]=f[c+4>>2];f[w+8>>2]=f[c+8>>2];f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;w=d;d=f[w+4>>2]|0;q=e+24|0;f[q>>2]=f[w>>2];f[q+4>>2]=d;f[k>>2]=(f[k>>2]|0)+32}if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0);u=h;return}function qPb(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;h=u;u=u+32|0;i=h;j=f[a+4>>2]|0;k=cuc(56)|0;bUb(k);f[i>>2]=k;l=j+88|0;m=f[l>>2]|0;if(m>>>0<(f[j+92>>2]|0)>>>0){f[m>>2]=k;f[l>>2]=(f[l>>2]|0)+4}else bNb(j+84|0,i);IKb(i,e);BKb(k,i)|0;if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0);f[g+44>>2]=k;if((f[k+36>>2]|0)<=0){u=h;return}g=a+12|0;ouc(i,c);c=i+12|0;ouc(c,d);d=i+24|0;f[d>>2]=e;f[i+28>>2]=k;k=a+16|0;e=f[k>>2]|0;j=a+20|0;a=f[j>>2]|0;l=a;if(e>>>0>=a>>>0){a=e;m=f[g>>2]|0;n=a-m>>5;o=n+1|0;p=m;if(o>>>0>134217727)nsc(g);q=l-m|0;m=q>>4;l=q>>5>>>0<67108863?(m>>>0<o>>>0?o:m):134217727;do if(l)if(l>>>0>134217727){m=ze(8)|0;kuc(m,519086);f[m>>2]=167148;Hf(m|0,26888,1888)}else{r=cuc(l<<5)|0;break}else r=0;while(0);m=r+(n<<5)|0;o=m;q=r+(l<<5)|0;f[m>>2]=f[i>>2];f[m+4>>2]=f[i+4>>2];f[m+8>>2]=f[i+8>>2];f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;l=r+(n<<5)+12|0;f[l>>2]=f[c>>2];f[l+4>>2]=f[c+4>>2];f[l+8>>2]=f[c+8>>2];f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;l=d;s=f[l+4>>2]|0;t=r+(n<<5)+24|0;f[t>>2]=f[l>>2];f[t+4>>2]=s;s=m+32|0;if((e|0)==(p|0)){v=o;w=a;x=e}else{a=e;t=o;o=m;do{m=o+-32|0;l=a;a=a+-32|0;f[m>>2]=f[a>>2];f[m+4>>2]=f[a+4>>2];f[m+8>>2]=f[a+8>>2];f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;m=o+-20|0;n=l+-20|0;f[m>>2]=f[n>>2];f[m+4>>2]=f[n+4>>2];f[m+8>>2]=f[n+8>>2];f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;n=l+-8|0;l=f[n+4>>2]|0;m=o+-8|0;f[m>>2]=f[n>>2];f[m+4>>2]=l;o=t+-32|0;t=o}while((a|0)!=(p|0));v=t;w=f[g>>2]|0;x=f[k>>2]|0}f[g>>2]=v;f[k>>2]=s;f[j>>2]=q;q=w;if((x|0)!=(q|0)){j=x;do{x=j+-20|0;j=j+-32|0;if((b[x+11>>0]|0)<0)fuc(f[x>>2]|0);if((b[j+11>>0]|0)<0)fuc(f[j>>2]|0)}while((j|0)!=(q|0))}if(w|0)fuc(w)}else{f[e>>2]=f[i>>2];f[e+4>>2]=f[i+4>>2];f[e+8>>2]=f[i+8>>2];f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;w=e+12|0;f[w>>2]=f[c>>2];f[w+4>>2]=f[c+4>>2];f[w+8>>2]=f[c+8>>2];f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;w=d;d=f[w+4>>2]|0;q=e+24|0;f[q>>2]=f[w>>2];f[q+4>>2]=d;f[k>>2]=(f[k>>2]|0)+32}if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0);u=h;return}function rPb(a,c,e,g){a=a|0;c=c|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;h=u;u=u+112|0;i=h+88|0;j=h+60|0;k=h+80|0;l=h+72|0;m=h+48|0;n=h+36|0;o=h+24|0;p=h+12|0;q=h;r=a+4|0;s=f[r>>2]|0;t=c+16|0;v=f[t>>2]|0;w=cuc(12)|0;ouc(w,v);f[i>>2]=w;v=s+76|0;x=f[v>>2]|0;if((x|0)==(f[s+80>>2]|0))fNb(s+72|0,i);else{f[x>>2]=w;f[v>>2]=(f[v>>2]|0)+4}f[g>>2]=f[i>>2];v=g+8|0;f[v>>2]=f[c+24>>2];w=g+12|0;f[w>>2]=e;x=f[r>>2]|0;r=f[e+4>>2]|0;s=cuc(12)|0;ouc(s,r);f[i>>2]=s;r=x+76|0;y=f[r>>2]|0;if((y|0)==(f[x+80>>2]|0))fNb(x+72|0,i);else{f[y>>2]=s;f[r>>2]=(f[r>>2]|0)+4}r=f[i>>2]|0;s=b[r+11>>0]|0;if(s<<24>>24<0)z=f[r+4>>2]|0;else z=s&255;s=f[e>>2]|0;y=b[s+11>>0]|0;if(y<<24>>24<0)A=f[s+4>>2]|0;else A=y&255;xuc(r,z-A|0,0);A=f[g>>2]|0;z=b[A+11>>0]|0;y=z<<24>>24<0;Cuc(r,y?f[A>>2]|0:A,y?f[A+4>>2]|0:z&255)|0;z=g+4|0;f[z>>2]=r;jPb(a,f[t>>2]|0,r,c);if(!(f[c+8>>2]&2))f[g+16>>2]=0;else{r=f[c+20>>2]|0;t=f[z>>2]|0;yPb(a,t,t,r|0?r:543952,g)}r=f[z>>2]|0;t=e+12|0;A=f[t>>2]|0;y=f[g>>2]|0;f[k>>2]=5;f[k+4>>2]=g;f[i>>2]=f[k>>2];f[i+4>>2]=f[k+4>>2];k=lPb(a,r,A,y,c,i)|0;y=a+44|0;A=f[y>>2]|0;r=f[g>>2]|0;f[l>>2]=5;f[l+4>>2]=g;f[i>>2]=f[l>>2];f[i+4>>2]=f[l+4>>2];if(k|(nPb(A,e,r,i)|0)^1){B=f[y>>2]|0;f[i>>2]=g;C=f[w>>2]|0;D=f[v>>2]|0;f[j>>2]=C;E=j+4|0;f[E>>2]=D;F=B+96|0;zPb(F,j,i)|0;u=h;return};f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;r=f[t>>2]|0;if(!r)ruc(i,f[(f[a+40>>2]|0)+4>>2]|0)|0;else ruc(i,f[r+4>>2]|0)|0;r=i+11|0;t=b[r>>0]|0;A=i+4|0;if((t<<24>>24<0?f[A>>2]|0:t&255)|0){nEa(m,517029,i);t=Duc(m,517029)|0;k=f[t>>2]|0;l=t+4|0;f[j>>2]=f[l>>2];d[j+4>>1]=d[l+4>>1]|0;b[j+6>>0]=b[l+6>>0]|0;l=b[t+11>>0]|0;f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;if((b[r>>0]|0)<0){b[f[i>>2]>>0]=0;f[A>>2]=0}else{b[i>>0]=0;b[r>>0]=0}vuc(i,0);f[i>>2]=k;f[A>>2]=f[j>>2];d[A+4>>1]=d[j+4>>1]|0;b[A+6>>0]=b[j+6>>0]|0;b[i+11>>0]=l;f[j>>2]=0;d[j+4>>1]=0;b[j+6>>0]=0;if((b[m+11>>0]|0)<0)fuc(f[m>>2]|0)}else wuc(i,499344)|0;l=f[z>>2]|0;nEa(q,499361,f[g>>2]|0);z=Duc(q,499493)|0;f[p>>2]=f[z>>2];f[p+4>>2]=f[z+4>>2];f[p+8>>2]=f[z+8>>2];f[z>>2]=0;f[z+4>>2]=0;f[z+8>>2]=0;z=b[r>>0]|0;k=z<<24>>24<0;t=Cuc(p,k?f[i>>2]|0:i,k?f[A>>2]|0:z&255)|0;f[o>>2]=f[t>>2];f[o+4>>2]=f[t+4>>2];f[o+8>>2]=f[t+8>>2];f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;t=Duc(o,499518)|0;f[n>>2]=f[t>>2];f[n+4>>2]=f[t+4>>2];f[n+8>>2]=f[t+8>>2];f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;t=f[e>>2]|0;e=b[t+11>>0]|0;z=e<<24>>24<0;A=Cuc(n,z?f[t>>2]|0:t,z?f[t+4>>2]|0:e&255)|0;f[m>>2]=f[A>>2];f[m+4>>2]=f[A+4>>2];f[m+8>>2]=f[A+8>>2];f[A>>2]=0;f[A+4>>2]=0;f[A+8>>2]=0;A=Duc(m,517668)|0;f[j>>2]=f[A>>2];f[j+4>>2]=f[A+4>>2];f[j+8>>2]=f[A+8>>2];f[A>>2]=0;f[A+4>>2]=0;f[A+8>>2]=0;eNb(a,l,c,0,j);if((b[j+11>>0]|0)<0)fuc(f[j>>2]|0);if((b[m+11>>0]|0)<0)fuc(f[m>>2]|0);if((b[n+11>>0]|0)<0)fuc(f[n>>2]|0);if((b[o+11>>0]|0)<0)fuc(f[o>>2]|0);if((b[p+11>>0]|0)<0)fuc(f[p>>2]|0);if((b[q+11>>0]|0)<0)fuc(f[q>>2]|0);if((b[r>>0]|0)<0)fuc(f[i>>2]|0);B=f[y>>2]|0;f[i>>2]=g;C=f[w>>2]|0;D=f[v>>2]|0;f[j>>2]=C;E=j+4|0;f[E>>2]=D;F=B+96|0;zPb(F,j,i)|0;u=h;return}function sPb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0;e=u;u=u+96|0;g=e+76|0;h=e+64|0;i=e+52|0;j=e+40|0;k=e+24|0;l=e+12|0;m=e;n=f[d>>2]|0;o=b[n+11>>0]|0;p=o<<24>>24<0;q=p?f[n>>2]|0:n;r=p?f[n+4>>2]|0:o&255;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;if((r|0)>0){o=0;do{n=b[q+o>>0]|0;if(n<<24>>24!=95){p=n<<24>>24;Euc(h,((n+-65&255)<26?p+32|0:p)&255)}o=o+1|0}while((o|0)<(r|0))}r=i+4|0;f[r>>2]=0;o=i+8|0;f[o>>2]=0;q=i+4|0;f[i>>2]=q;p=d+24|0;do if((f[p>>2]|0)>0){n=d+28|0;s=h+11|0;t=h+4|0;v=g+11|0;w=g+8|0;x=g+4|0;y=k+12|0;z=k+11|0;A=k+11|0;B=l+11|0;C=m+11|0;D=d+8|0;E=c+28|0;F=g+11|0;G=j+11|0;H=0;a:while(1){I=f[n>>2]|0;J=I+(H*20|0)|0;K=J;L=f[J>>2]|0;M=b[L+11>>0]|0;N=M<<24>>24<0;O=N?f[L>>2]|0:L;P=N?f[L+4>>2]|0:M&255;M=(P|0)==0;L=b[s>>0]|0;b:do if(M){Q=0;R=0;S=L&255;T=30}else{N=L&255;c:do if(L<<24>>24<0){U=f[t>>2]|0;V=f[h>>2]|0;W=0;X=0;while(1){if(X>>>0>=U>>>0){Q=X;R=W;S=N;T=30;break b}Y=b[O+W>>0]|0;if(Y<<24>>24!=95){Z=Y<<24>>24;if((((Y+-65&255)<26?Z+32|0:Z)&255)<<24>>24==(b[V+X>>0]|0))_=X+1|0;else break c}else _=X;Z=W+1|0;if(Z>>>0<P>>>0){W=Z;X=_}else{Q=_;R=Z;S=N;T=30;break b}}}else{X=0;W=0;while(1){if(W>>>0>=N>>>0){Q=W;R=X;S=N;T=30;break b}V=b[O+X>>0]|0;if(V<<24>>24!=95){U=V<<24>>24;if((((V+-65&255)<26?U+32|0:U)&255)<<24>>24==(b[h+W>>0]|0))$=W+1|0;else break c}else $=W;U=X+1|0;if(U>>>0<P>>>0){X=U;W=$}else{Q=$;R=U;S=N;T=30;break b}}}while(0);f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;if(P>>>0>4294967279){T=24;break a}if(P>>>0<11){b[v>>0]=P;aa=g}else{N=P+16&-16;W=cuc(N)|0;f[g>>2]=W;f[w>>2]=N|-2147483648;f[x>>2]=P;aa=W}szc(aa|0,O|0,P|0)|0;b[aa+P>>0]=0}while(0);do if((T|0)==30){T=0;if(Q>>>0<(L<<24>>24<0?f[t>>2]|0:S)>>>0){if(!O){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;break};f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;if(P>>>0>4294967279){T=35;break a}if(P>>>0<11){b[v>>0]=P;if(M)ba=g;else{ca=g;T=39}}else{W=P+16&-16;N=cuc(W)|0;f[g>>2]=N;f[w>>2]=W|-2147483648;f[x>>2]=P;ca=N;T=39}if((T|0)==39){T=0;szc(ca|0,O|0,P|0)|0;ba=ca}b[ba+P>>0]=0;break}d:do if(R>>>0<P>>>0){N=R;while(1){if((b[O+N>>0]|0)!=95){da=N;break d}W=N+1|0;if(W>>>0<P>>>0)N=W;else{da=W;break}}}else da=R;while(0);if((P|0)==(da|0)){if(!O){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;break};f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;if(P>>>0>4294967279){T=47;break a}if(P>>>0<11){b[v>>0]=P;if(M)ea=g;else{fa=g;T=51}}else{N=P+16&-16;W=cuc(N)|0;f[g>>2]=W;f[w>>2]=N|-2147483648;f[x>>2]=P;fa=W;T=51}if((T|0)==51){T=0;szc(fa|0,O|0,P|0)|0;ea=fa}b[ea+P>>0]=0;break}else{W=O+da|0;N=P-da|0;if(!W){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;break};f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;if(N>>>0>4294967279){T=56;break a}if(N>>>0<11){b[v>>0]=N;if(!N)ga=g;else{ha=g;T=60}}else{X=N+16&-16;U=cuc(X)|0;f[g>>2]=U;f[w>>2]=X|-2147483648;f[x>>2]=N;ha=U;T=60}if((T|0)==60){T=0;szc(ha|0,W|0,N|0)|0;ga=ha}b[ga+N>>0]=0;break}}while(0);f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;P=b[v>>0]|0;vuc(j,P<<24>>24<0?f[x>>2]|0:P&255);P=b[v>>0]|0;if(!((P<<24>>24<0?f[x>>2]|0:P&255)|0))ia=P;else{O=1;M=0;L=P;while(1){P=b[(L<<24>>24<0?f[g>>2]|0:g)+M>>0]|0;do if(P<<24>>24!=95){N=P<<24>>24;if(O){Euc(j,((P+-97&255)<26?N+224|0:N)&255);ja=0;break}else{Euc(j,((P+-65&255)<26?N+32|0:N)&255);ja=0;break}}else ja=1;while(0);M=M+1|0;P=b[v>>0]|0;if(M>>>0>=(P<<24>>24<0?f[x>>2]|0:P&255)>>>0){ia=P;break}else{O=ja;L=P}}}if(ia<<24>>24<0)fuc(f[g>>2]|0);ouc(k,j);f[y>>2]=K;L=wPb(i,g,k)|0;O=f[L>>2]|0;if(!O){M=cuc(32)|0;P=M+16|0;f[P>>2]=f[k>>2];f[P+4>>2]=f[k+4>>2];f[P+8>>2]=f[k+8>>2];f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[M+28>>2]=f[y>>2];P=f[g>>2]|0;f[M>>2]=0;f[M+4>>2]=0;f[M+8>>2]=P;f[L>>2]=M;P=f[f[i>>2]>>2]|0;if(!P)ka=M;else{f[i>>2]=P;ka=f[L>>2]|0}jI(f[r>>2]|0,ka);f[o>>2]=(f[o>>2]|0)+1;la=M;ma=1}else{la=O;ma=0}if((b[z>>0]|0)<0)fuc(f[k>>2]|0);e:do if(!(ma<<24>>24)){O=f[la+28>>2]|0;M=f[O>>2]|0;L=f[J>>2]|0;P=b[M+11>>0]|0;N=P<<24>>24<0;W=P&255;P=N?f[M+4>>2]|0:W;U=b[L+11>>0]|0;X=U<<24>>24<0;do if((P|0)==((X?f[L+4>>2]|0:U&255)|0)){V=f[M>>2]|0;Z=N?V:M;Y=X?f[L>>2]|0:L;na=(P|0)==0;if(N){if(na)break e;if(!(ahc(Z,Y,P)|0))break e;else break}if(na)break e;if((V&255)<<24>>24==(b[Y>>0]|0)){V=M;na=W;Z=Y;do{na=na+-1|0;V=V+1|0;if(!na)break e;Z=Z+1|0}while((b[V>>0]|0)==(b[Z>>0]|0))}}while(0);if((f[O+8>>2]|0)!=(f[I+(H*20|0)+8>>2]|0)){nEa(m,499179,j);W=Duc(m,499233)|0;f[l>>2]=f[W>>2];f[l+4>>2]=f[W+4>>2];f[l+8>>2]=f[W+8>>2];f[W>>2]=0;f[W+4>>2]=0;f[W+8>>2]=0;W=xPb(i,j)|0;M=f[f[W>>2]>>2]|0;W=b[M+11>>0]|0;P=W<<24>>24<0;N=Cuc(l,P?f[M>>2]|0:M,P?f[M+4>>2]|0:W&255)|0;f[k>>2]=f[N>>2];f[k+4>>2]=f[N+4>>2];f[k+8>>2]=f[N+8>>2];f[N>>2]=0;f[N+4>>2]=0;f[N+8>>2]=0;N=Duc(k,499269)|0;f[g>>2]=f[N>>2];f[g+4>>2]=f[N+4>>2];f[g+8>>2]=f[N+8>>2];f[N>>2]=0;f[N+4>>2]=0;f[N+8>>2]=0;if((b[A>>0]|0)<0)fuc(f[k>>2]|0);if((b[B>>0]|0)<0)fuc(f[l>>2]|0);if((b[C>>0]|0)<0)fuc(f[m>>2]|0);N=f[I+(H*20|0)+4>>2]|0;W=f[(f[E>>2]|0)+4+(H<<2)>>2]|0;if((f[(f[D>>2]|0)+44>>2]|0)==2)zNb(a,N,W,0,g);else eNb(a,N,W,0,g);if((b[F>>0]|0)<0)fuc(f[g>>2]|0)}}while(0);if((b[G>>0]|0)<0)fuc(f[j>>2]|0);H=H+1|0;if((H|0)>=(f[p>>2]|0)){T=8;break}}if((T|0)==8){oa=i;pa=s;qa=f[q>>2]|0;break}else if((T|0)==24)muc(g);else if((T|0)==35)muc(g);else if((T|0)==47)muc(g);else if((T|0)==56)muc(g)}else{oa=i;pa=h+11|0;qa=0}while(0);vPb(oa,qa);if((b[pa>>0]|0)>=0){u=e;return}fuc(f[h>>2]|0);u=e;return}function tPb(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;h=u;u=u+32|0;i=h;j=f[a+4>>2]|0;k=cuc(52)|0;fVb(k);f[i>>2]=k;l=j+88|0;m=f[l>>2]|0;if(m>>>0<(f[j+92>>2]|0)>>>0){f[m>>2]=k;f[l>>2]=(f[l>>2]|0)+4}else bNb(j+84|0,i);IKb(i,e);BKb(k,i)|0;if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0);f[g+16>>2]=k;if((f[k+36>>2]|0)<=0){u=h;return}g=a+12|0;ouc(i,c);c=i+12|0;ouc(c,d);d=i+24|0;f[d>>2]=e;f[i+28>>2]=k;k=a+16|0;e=f[k>>2]|0;j=a+20|0;a=f[j>>2]|0;l=a;if(e>>>0>=a>>>0){a=e;m=f[g>>2]|0;n=a-m>>5;o=n+1|0;p=m;if(o>>>0>134217727)nsc(g);q=l-m|0;m=q>>4;l=q>>5>>>0<67108863?(m>>>0<o>>>0?o:m):134217727;do if(l)if(l>>>0>134217727){m=ze(8)|0;kuc(m,519086);f[m>>2]=167148;Hf(m|0,26888,1888)}else{r=cuc(l<<5)|0;break}else r=0;while(0);m=r+(n<<5)|0;o=m;q=r+(l<<5)|0;f[m>>2]=f[i>>2];f[m+4>>2]=f[i+4>>2];f[m+8>>2]=f[i+8>>2];f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;l=r+(n<<5)+12|0;f[l>>2]=f[c>>2];f[l+4>>2]=f[c+4>>2];f[l+8>>2]=f[c+8>>2];f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;l=d;s=f[l+4>>2]|0;t=r+(n<<5)+24|0;f[t>>2]=f[l>>2];f[t+4>>2]=s;s=m+32|0;if((e|0)==(p|0)){v=o;w=a;x=e}else{a=e;t=o;o=m;do{m=o+-32|0;l=a;a=a+-32|0;f[m>>2]=f[a>>2];f[m+4>>2]=f[a+4>>2];f[m+8>>2]=f[a+8>>2];f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;m=o+-20|0;n=l+-20|0;f[m>>2]=f[n>>2];f[m+4>>2]=f[n+4>>2];f[m+8>>2]=f[n+8>>2];f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;n=l+-8|0;l=f[n+4>>2]|0;m=o+-8|0;f[m>>2]=f[n>>2];f[m+4>>2]=l;o=t+-32|0;t=o}while((a|0)!=(p|0));v=t;w=f[g>>2]|0;x=f[k>>2]|0}f[g>>2]=v;f[k>>2]=s;f[j>>2]=q;q=w;if((x|0)!=(q|0)){j=x;do{x=j+-20|0;j=j+-32|0;if((b[x+11>>0]|0)<0)fuc(f[x>>2]|0);if((b[j+11>>0]|0)<0)fuc(f[j>>2]|0)}while((j|0)!=(q|0))}if(w|0)fuc(w)}else{f[e>>2]=f[i>>2];f[e+4>>2]=f[i+4>>2];f[e+8>>2]=f[i+8>>2];f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;w=e+12|0;f[w>>2]=f[c>>2];f[w+4>>2]=f[c+4>>2];f[w+8>>2]=f[c+8>>2];f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;w=d;d=f[w+4>>2]|0;q=e+24|0;f[q>>2]=f[w>>2];f[q+4>>2]=d;f[k>>2]=(f[k>>2]|0)+32}if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0);u=h;return}function uPb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;d=b[c+11>>0]|0;e=d<<24>>24<0;g=e?f[c>>2]|0:c;h=b[g>>0]|0;if(!(h<<24>>24))i=0;else{j=g;k=0;l=h;while(1){m=(k*5|0)+(l<<24>>24)|0;j=j+1|0;l=b[j>>0]|0;if(!(l<<24>>24)){i=m;break}else k=m}}k=f[a+4>>2]|0;if(!k){n=0;return n|0}l=k+-1|0;j=(l&k|0)==0;if(!j)if(i>>>0<k>>>0)o=i;else o=(i>>>0)%(k>>>0)|0;else o=l&i;m=f[(f[a>>2]|0)+(o<<2)>>2]|0;if(!m){n=0;return n|0}a=f[m>>2]|0;if(!a){n=0;return n|0}m=e?f[c+4>>2]|0:d&255;d=(m|0)==0;if(j){j=a;a:while(1){c=f[j+4>>2]|0;e=(c|0)==(i|0);if(!(e|(c&l|0)==(o|0))){n=0;p=36;break}do if(e?(c=j+8|0,q=b[c+11>>0]|0,r=q<<24>>24<0,s=q&255,((r?f[j+12>>2]|0:s)|0)==(m|0)):0){q=f[c>>2]|0;t=r?q:c;if(r){if(d){n=j;p=36;break a}if(!(ahc(t,g,m)|0)){n=j;p=36;break a}else break}if(d){n=j;p=36;break a}if((q&255)<<24>>24==h<<24>>24){q=c;c=s;s=g;do{c=c+-1|0;q=q+1|0;if(!c){n=j;p=36;break a}s=s+1|0}while((b[q>>0]|0)==(b[s>>0]|0))}}while(0);j=f[j>>2]|0;if(!j){n=0;p=36;break}}if((p|0)==36)return n|0}else u=a;b:while(1){a=f[u+4>>2]|0;j=(a|0)==(i|0);if(!j){if(a>>>0<k>>>0)v=a;else v=(a>>>0)%(k>>>0)|0;if((v|0)!=(o|0)){n=0;p=36;break}if(j)p=28}else p=28;do if((p|0)==28?(p=0,j=u+8|0,a=b[j+11>>0]|0,l=a<<24>>24<0,e=a&255,((l?f[u+12>>2]|0:e)|0)==(m|0)):0){a=f[j>>2]|0;s=l?a:j;if(l){if(d){n=u;p=36;break b}if(!(ahc(s,g,m)|0)){n=u;p=36;break b}else break}if(d){n=u;p=36;break b}if((a&255)<<24>>24==h<<24>>24){a=j;j=e;e=g;do{j=j+-1|0;a=a+1|0;if(!j){n=u;p=36;break b}e=e+1|0}while((b[a>>0]|0)==(b[e>>0]|0))}}while(0);u=f[u>>2]|0;if(!u){n=0;p=36;break}}if((p|0)==36)return n|0;return 0}function vPb(a,c){a=a|0;c=c|0;if(!c)return;vPb(a,f[c>>2]|0);vPb(a,f[c+4>>2]|0);a=c+16|0;if((b[a+11>>0]|0)<0)fuc(f[a>>2]|0);fuc(c);return}function wPb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;e=a+4|0;g=f[e>>2]|0;if(!g){f[c>>2]=e;h=e;return h|0}e=b[d+11>>0]|0;i=e<<24>>24<0;j=i?f[d+4>>2]|0:e&255;e=i?f[d>>2]|0:d;d=a+4|0;a=g;while(1){g=a+16|0;i=b[g+11>>0]|0;k=i<<24>>24<0;l=k?f[a+20>>2]|0:i&255;i=l>>>0<j>>>0;m=i?l:j;if((m|0)!=0?(n=ahc(e,k?f[g>>2]|0:g,m)|0,(n|0)!=0):0)if((n|0)<0)o=8;else o=10;else if(j>>>0<l>>>0)o=8;else o=10;if((o|0)==8){o=0;n=f[a>>2]|0;if(!n){o=9;break}else{p=a;q=n}}else if((o|0)==10){o=0;n=j>>>0<l>>>0?j:l;if((n|0)!=0?(l=ahc(k?f[g>>2]|0:g,e,n)|0,(l|0)!=0):0){if((l|0)>=0){o=16;break}}else o=12;if((o|0)==12?(o=0,!i):0){o=16;break}r=a+4|0;i=f[r>>2]|0;if(!i){o=15;break}else{p=r;q=i}}d=p;a=q}if((o|0)==9){f[c>>2]=a;h=a;return h|0}else if((o|0)==15){f[c>>2]=a;h=r;return h|0}else if((o|0)==16){f[c>>2]=a;h=d;return h|0}return 0}function xPb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0;c=u;u=u+16|0;d=c;e=wPb(a,d,b)|0;g=f[e>>2]|0;if(g|0){h=g;i=h+28|0;u=c;return i|0}g=cuc(32)|0;ouc(g+16|0,b);f[g+28>>2]=0;b=f[d>>2]|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=b;f[e>>2]=g;b=f[f[a>>2]>>2]|0;if(!b)j=g;else{f[a>>2]=b;j=f[e>>2]|0}jI(f[a+4>>2]|0,j);j=a+8|0;f[j>>2]=(f[j>>2]|0)+1;h=g;i=h+28|0;u=c;return i|0}function yPb(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;h=u;u=u+32|0;i=h;j=f[a+4>>2]|0;k=cuc(52)|0;NUb(k);f[i>>2]=k;l=j+88|0;m=f[l>>2]|0;if(m>>>0<(f[j+92>>2]|0)>>>0){f[m>>2]=k;f[l>>2]=(f[l>>2]|0)+4}else bNb(j+84|0,i);IKb(i,e);BKb(k,i)|0;if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0);f[g+16>>2]=k;if((f[k+36>>2]|0)<=0){u=h;return}g=a+12|0;ouc(i,c);c=i+12|0;ouc(c,d);d=i+24|0;f[d>>2]=e;f[i+28>>2]=k;k=a+16|0;e=f[k>>2]|0;j=a+20|0;a=f[j>>2]|0;l=a;if(e>>>0>=a>>>0){a=e;m=f[g>>2]|0;n=a-m>>5;o=n+1|0;p=m;if(o>>>0>134217727)nsc(g);q=l-m|0;m=q>>4;l=q>>5>>>0<67108863?(m>>>0<o>>>0?o:m):134217727;do if(l)if(l>>>0>134217727){m=ze(8)|0;kuc(m,519086);f[m>>2]=167148;Hf(m|0,26888,1888)}else{r=cuc(l<<5)|0;break}else r=0;while(0);m=r+(n<<5)|0;o=m;q=r+(l<<5)|0;f[m>>2]=f[i>>2];f[m+4>>2]=f[i+4>>2];f[m+8>>2]=f[i+8>>2];f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;l=r+(n<<5)+12|0;f[l>>2]=f[c>>2];f[l+4>>2]=f[c+4>>2];f[l+8>>2]=f[c+8>>2];f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;l=d;s=f[l+4>>2]|0;t=r+(n<<5)+24|0;f[t>>2]=f[l>>2];f[t+4>>2]=s;s=m+32|0;if((e|0)==(p|0)){v=o;w=a;x=e}else{a=e;t=o;o=m;do{m=o+-32|0;l=a;a=a+-32|0;f[m>>2]=f[a>>2];f[m+4>>2]=f[a+4>>2];f[m+8>>2]=f[a+8>>2];f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;m=o+-20|0;n=l+-20|0;f[m>>2]=f[n>>2];f[m+4>>2]=f[n+4>>2];f[m+8>>2]=f[n+8>>2];f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;n=l+-8|0;l=f[n+4>>2]|0;m=o+-8|0;f[m>>2]=f[n>>2];f[m+4>>2]=l;o=t+-32|0;t=o}while((a|0)!=(p|0));v=t;w=f[g>>2]|0;x=f[k>>2]|0}f[g>>2]=v;f[k>>2]=s;f[j>>2]=q;q=w;if((x|0)!=(q|0)){j=x;do{x=j+-20|0;j=j+-32|0;if((b[x+11>>0]|0)<0)fuc(f[x>>2]|0);if((b[j+11>>0]|0)<0)fuc(f[j>>2]|0)}while((j|0)!=(q|0))}if(w|0)fuc(w)}else{f[e>>2]=f[i>>2];f[e+4>>2]=f[i+4>>2];f[e+8>>2]=f[i+8>>2];f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;w=e+12|0;f[w>>2]=f[c>>2];f[w+4>>2]=f[c+4>>2];f[w+8>>2]=f[c+8>>2];f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;w=d;d=f[w+4>>2]|0;q=e+24|0;f[q>>2]=f[w>>2];f[q+4>>2]=d;f[k>>2]=(f[k>>2]|0)+32}if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0);u=h;return}function zPb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0.0,v=0.0,w=0,x=0,y=0,z=0,A=0;d=b;b=f[d>>2]|0;e=f[d+4>>2]|0;d=f[c>>2]|0;c=(b*65535|0)+e|0;g=a+4|0;h=f[g>>2]|0;i=(h|0)==0;j=b;a:do if(!i){k=h+-1|0;l=(k&h|0)==0;if(!l)if(c>>>0<h>>>0)m=c;else m=(c>>>0)%(h>>>0)|0;else m=k&c;o=f[(f[a>>2]|0)+(m<<2)>>2]|0;if((o|0)!=0?(p=f[o>>2]|0,(p|0)!=0):0){if(l){l=p;while(1){o=f[l+4>>2]|0;if(!((o|0)==(c|0)|(o&k|0)==(m|0))){q=m;break a}if((f[l+8>>2]|0)==(j|0)?(f[l+12>>2]|0)==(e|0):0){r=0;break}l=f[l>>2]|0;if(!l){q=m;break a}}return r|0}else s=p;while(1){l=f[s+4>>2]|0;if((l|0)!=(c|0)){if(l>>>0<h>>>0)t=l;else t=(l>>>0)%(h>>>0)|0;if((t|0)!=(m|0)){q=m;break a}}if((f[s+8>>2]|0)==(j|0)?(f[s+12>>2]|0)==(e|0):0){r=0;break}s=f[s>>2]|0;if(!s){q=m;break a}}return r|0}else q=m}else q=0;while(0);m=cuc(20)|0;s=m+8|0;f[s>>2]=b;f[s+4>>2]=e;f[m+16>>2]=d;f[m+4>>2]=c;f[m>>2]=0;d=a+12|0;u=+(((f[d>>2]|0)+1|0)>>>0);v=+n[a+16>>2];do if(i|u>+(h>>>0)*v){e=(h>>>0<3|(h+-1&h|0)!=0)&1|h<<1;s=~~+X(+(u/v))>>>0;pMb(a,e>>>0<s>>>0?s:e);e=f[g>>2]|0;s=e+-1|0;if(!(s&e)){w=e;x=s&c;break}if(c>>>0<e>>>0){w=e;x=c}else{w=e;x=(c>>>0)%(e>>>0)|0}}else{w=h;x=q}while(0);q=(f[a>>2]|0)+(x<<2)|0;x=f[q>>2]|0;if(!x){h=a+8|0;f[m>>2]=f[h>>2];f[h>>2]=m;f[q>>2]=h;h=f[m>>2]|0;if(h|0){q=f[h+4>>2]|0;h=w+-1|0;if(h&w)if(q>>>0<w>>>0)y=q;else y=(q>>>0)%(w>>>0)|0;else y=q&h;z=(f[a>>2]|0)+(y<<2)|0;A=33}}else{f[m>>2]=f[x>>2];z=x;A=33}if((A|0)==33)f[z>>2]=m;f[d>>2]=(f[d>>2]|0)+1;r=1;return r|0}function APb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;g=u;u=u+16|0;h=g+8|0;i=g;j=a+4|0;k=f[j>>2]|0;l=f[d+4>>2]|0;m=cuc(12)|0;ouc(m,l);f[h>>2]=m;l=k+76|0;n=f[l>>2]|0;if((n|0)==(f[k+80>>2]|0))fNb(k+72|0,h);else{f[n>>2]=m;f[l>>2]=(f[l>>2]|0)+4}l=f[h>>2]|0;yuc(l,1,46)|0;m=c+16|0;n=f[m>>2]|0;k=b[n+11>>0]|0;o=k<<24>>24<0;Cuc(l,o?f[n>>2]|0:n,o?f[n+4>>2]|0:k&255)|0;jPb(a,f[m>>2]|0,l,c);k=f[j>>2]|0;j=f[m>>2]|0;m=cuc(12)|0;ouc(m,j);f[h>>2]=m;j=k+76|0;n=f[j>>2]|0;if((n|0)==(f[k+80>>2]|0))fNb(k+72|0,h);else{f[n>>2]=m;f[j>>2]=(f[j>>2]|0)+4}j=f[h>>2]|0;f[e>>2]=j;m=e+4|0;f[m>>2]=l;f[e+8>>2]=d;f[e+16>>2]=0;f[e+20>>2]=0;if(!(f[c+8>>2]&2)){f[e+24>>2]=0;p=l;q=j;f[i>>2]=3;r=i+4|0;f[r>>2]=e;f[h>>2]=f[i>>2];f[h+4>>2]=f[i+4>>2];lPb(a,p,d,q,c,h)|0;u=g;return}else{j=f[c+20>>2]|0;DPb(a,l,l,j|0?j:543848,e);p=f[m>>2]|0;q=f[e>>2]|0;f[i>>2]=3;r=i+4|0;f[r>>2]=e;f[h>>2]=f[i>>2];f[h+4>>2]=f[i+4>>2];lPb(a,p,d,q,c,h)|0;u=g;return}}function BPb(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;h=u;u=u+32|0;i=h;j=f[a+4>>2]|0;k=cuc(48)|0;QZb(k);f[i>>2]=k;l=j+88|0;m=f[l>>2]|0;if(m>>>0<(f[j+92>>2]|0)>>>0){f[m>>2]=k;f[l>>2]=(f[l>>2]|0)+4}else bNb(j+84|0,i);IKb(i,e);BKb(k,i)|0;if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0);f[g+8>>2]=k;if((f[k+36>>2]|0)<=0){u=h;return}g=a+12|0;ouc(i,c);c=i+12|0;ouc(c,d);d=i+24|0;f[d>>2]=e;f[i+28>>2]=k;k=a+16|0;e=f[k>>2]|0;j=a+20|0;a=f[j>>2]|0;l=a;if(e>>>0>=a>>>0){a=e;m=f[g>>2]|0;n=a-m>>5;o=n+1|0;p=m;if(o>>>0>134217727)nsc(g);q=l-m|0;m=q>>4;l=q>>5>>>0<67108863?(m>>>0<o>>>0?o:m):134217727;do if(l)if(l>>>0>134217727){m=ze(8)|0;kuc(m,519086);f[m>>2]=167148;Hf(m|0,26888,1888)}else{r=cuc(l<<5)|0;break}else r=0;while(0);m=r+(n<<5)|0;o=m;q=r+(l<<5)|0;f[m>>2]=f[i>>2];f[m+4>>2]=f[i+4>>2];f[m+8>>2]=f[i+8>>2];f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;l=r+(n<<5)+12|0;f[l>>2]=f[c>>2];f[l+4>>2]=f[c+4>>2];f[l+8>>2]=f[c+8>>2];f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;l=d;s=f[l+4>>2]|0;t=r+(n<<5)+24|0;f[t>>2]=f[l>>2];f[t+4>>2]=s;s=m+32|0;if((e|0)==(p|0)){v=o;w=a;x=e}else{a=e;t=o;o=m;do{m=o+-32|0;l=a;a=a+-32|0;f[m>>2]=f[a>>2];f[m+4>>2]=f[a+4>>2];f[m+8>>2]=f[a+8>>2];f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;m=o+-20|0;n=l+-20|0;f[m>>2]=f[n>>2];f[m+4>>2]=f[n+4>>2];f[m+8>>2]=f[n+8>>2];f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;n=l+-8|0;l=f[n+4>>2]|0;m=o+-8|0;f[m>>2]=f[n>>2];f[m+4>>2]=l;o=t+-32|0;t=o}while((a|0)!=(p|0));v=t;w=f[g>>2]|0;x=f[k>>2]|0}f[g>>2]=v;f[k>>2]=s;f[j>>2]=q;q=w;if((x|0)!=(q|0)){j=x;do{x=j+-20|0;j=j+-32|0;if((b[x+11>>0]|0)<0)fuc(f[x>>2]|0);if((b[j+11>>0]|0)<0)fuc(f[j>>2]|0)}while((j|0)!=(q|0))}if(w|0)fuc(w)}else{f[e>>2]=f[i>>2];f[e+4>>2]=f[i+4>>2];f[e+8>>2]=f[i+8>>2];f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;w=e+12|0;f[w>>2]=f[c>>2];f[w+4>>2]=f[c+4>>2];f[w+8>>2]=f[c+8>>2];f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;w=d;d=f[w+4>>2]|0;q=e+24|0;f[q>>2]=f[w>>2];f[q+4>>2]=d;f[k>>2]=(f[k>>2]|0)+32}if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0);u=h;return}function CPb(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;h=u;u=u+32|0;i=h;j=f[a+4>>2]|0;k=cuc(52)|0;kWb(k);f[i>>2]=k;l=j+88|0;m=f[l>>2]|0;if(m>>>0<(f[j+92>>2]|0)>>>0){f[m>>2]=k;f[l>>2]=(f[l>>2]|0)+4}else bNb(j+84|0,i);IKb(i,e);BKb(k,i)|0;if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0);f[g+16>>2]=k;if((f[k+36>>2]|0)<=0){u=h;return}g=a+12|0;ouc(i,c);c=i+12|0;ouc(c,d);d=i+24|0;f[d>>2]=e;f[i+28>>2]=k;k=a+16|0;e=f[k>>2]|0;j=a+20|0;a=f[j>>2]|0;l=a;if(e>>>0>=a>>>0){a=e;m=f[g>>2]|0;n=a-m>>5;o=n+1|0;p=m;if(o>>>0>134217727)nsc(g);q=l-m|0;m=q>>4;l=q>>5>>>0<67108863?(m>>>0<o>>>0?o:m):134217727;do if(l)if(l>>>0>134217727){m=ze(8)|0;kuc(m,519086);f[m>>2]=167148;Hf(m|0,26888,1888)}else{r=cuc(l<<5)|0;break}else r=0;while(0);m=r+(n<<5)|0;o=m;q=r+(l<<5)|0;f[m>>2]=f[i>>2];f[m+4>>2]=f[i+4>>2];f[m+8>>2]=f[i+8>>2];f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;l=r+(n<<5)+12|0;f[l>>2]=f[c>>2];f[l+4>>2]=f[c+4>>2];f[l+8>>2]=f[c+8>>2];f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;l=d;s=f[l+4>>2]|0;t=r+(n<<5)+24|0;f[t>>2]=f[l>>2];f[t+4>>2]=s;s=m+32|0;if((e|0)==(p|0)){v=o;w=a;x=e}else{a=e;t=o;o=m;do{m=o+-32|0;l=a;a=a+-32|0;f[m>>2]=f[a>>2];f[m+4>>2]=f[a+4>>2];f[m+8>>2]=f[a+8>>2];f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;m=o+-20|0;n=l+-20|0;f[m>>2]=f[n>>2];f[m+4>>2]=f[n+4>>2];f[m+8>>2]=f[n+8>>2];f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;n=l+-8|0;l=f[n+4>>2]|0;m=o+-8|0;f[m>>2]=f[n>>2];f[m+4>>2]=l;o=t+-32|0;t=o}while((a|0)!=(p|0));v=t;w=f[g>>2]|0;x=f[k>>2]|0}f[g>>2]=v;f[k>>2]=s;f[j>>2]=q;q=w;if((x|0)!=(q|0)){j=x;do{x=j+-20|0;j=j+-32|0;if((b[x+11>>0]|0)<0)fuc(f[x>>2]|0);if((b[j+11>>0]|0)<0)fuc(f[j>>2]|0)}while((j|0)!=(q|0))}if(w|0)fuc(w)}else{f[e>>2]=f[i>>2];f[e+4>>2]=f[i+4>>2];f[e+8>>2]=f[i+8>>2];f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;w=e+12|0;f[w>>2]=f[c>>2];f[w+4>>2]=f[c+4>>2];f[w+8>>2]=f[c+8>>2];f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;w=d;d=f[w+4>>2]|0;q=e+24|0;f[q>>2]=f[w>>2];f[q+4>>2]=d;f[k>>2]=(f[k>>2]|0)+32}if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0);u=h;return}function DPb(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;h=u;u=u+32|0;i=h;j=f[a+4>>2]|0;k=cuc(48)|0;yVb(k);f[i>>2]=k;l=j+88|0;m=f[l>>2]|0;if(m>>>0<(f[j+92>>2]|0)>>>0){f[m>>2]=k;f[l>>2]=(f[l>>2]|0)+4}else bNb(j+84|0,i);IKb(i,e);BKb(k,i)|0;if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0);f[g+24>>2]=k;if((f[k+36>>2]|0)<=0){u=h;return}g=a+12|0;ouc(i,c);c=i+12|0;ouc(c,d);d=i+24|0;f[d>>2]=e;f[i+28>>2]=k;k=a+16|0;e=f[k>>2]|0;j=a+20|0;a=f[j>>2]|0;l=a;if(e>>>0>=a>>>0){a=e;m=f[g>>2]|0;n=a-m>>5;o=n+1|0;p=m;if(o>>>0>134217727)nsc(g);q=l-m|0;m=q>>4;l=q>>5>>>0<67108863?(m>>>0<o>>>0?o:m):134217727;do if(l)if(l>>>0>134217727){m=ze(8)|0;kuc(m,519086);f[m>>2]=167148;Hf(m|0,26888,1888)}else{r=cuc(l<<5)|0;break}else r=0;while(0);m=r+(n<<5)|0;o=m;q=r+(l<<5)|0;f[m>>2]=f[i>>2];f[m+4>>2]=f[i+4>>2];f[m+8>>2]=f[i+8>>2];f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;l=r+(n<<5)+12|0;f[l>>2]=f[c>>2];f[l+4>>2]=f[c+4>>2];f[l+8>>2]=f[c+8>>2];f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;l=d;s=f[l+4>>2]|0;t=r+(n<<5)+24|0;f[t>>2]=f[l>>2];f[t+4>>2]=s;s=m+32|0;if((e|0)==(p|0)){v=o;w=a;x=e}else{a=e;t=o;o=m;do{m=o+-32|0;l=a;a=a+-32|0;f[m>>2]=f[a>>2];f[m+4>>2]=f[a+4>>2];f[m+8>>2]=f[a+8>>2];f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;m=o+-20|0;n=l+-20|0;f[m>>2]=f[n>>2];f[m+4>>2]=f[n+4>>2];f[m+8>>2]=f[n+8>>2];f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;n=l+-8|0;l=f[n+4>>2]|0;m=o+-8|0;f[m>>2]=f[n>>2];f[m+4>>2]=l;o=t+-32|0;t=o}while((a|0)!=(p|0));v=t;w=f[g>>2]|0;x=f[k>>2]|0}f[g>>2]=v;f[k>>2]=s;f[j>>2]=q;q=w;if((x|0)!=(q|0)){j=x;do{x=j+-20|0;j=j+-32|0;if((b[x+11>>0]|0)<0)fuc(f[x>>2]|0);if((b[j+11>>0]|0)<0)fuc(f[j>>2]|0)}while((j|0)!=(q|0))}if(w|0)fuc(w)}else{f[e>>2]=f[i>>2];f[e+4>>2]=f[i+4>>2];f[e+8>>2]=f[i+8>>2];f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;w=e+12|0;f[w>>2]=f[c>>2];f[w+4>>2]=f[c+4>>2];f[w+8>>2]=f[c+8>>2];f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;w=d;d=f[w+4>>2]|0;q=e+24|0;f[q>>2]=f[w>>2];f[q+4>>2]=d;f[k>>2]=(f[k>>2]|0)+32}if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0);u=h;return}function EPb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;c=u;u=u+32|0;d=c;if(!(b[a+49>>0]|0)){iLb(d,3,490877,7065);fLb(c+24|0,dLb(d,499984)|0);jLb(d)}d=a+16|0;e=f[d>>2]|0;if((e|0)<=0){u=c;return}g=a+56|0;h=a+8|0;i=a+52|0;a=0;j=e;while(1){e=f[(f[g>>2]|0)+(a<<2)>>2]|0;if(!e)k=j;else{l=ZMb(f[h>>2]|0,e)|0;f[(f[i>>2]|0)+(a<<2)>>2]=l;k=f[d>>2]|0}a=a+1|0;if((a|0)>=(k|0))break;else j=k}u=c;return}function FPb(a){a=a|0;fuc(a);return}function GPb(a){a=a|0;var c=0;c=b[a+8>>0]|0;bi[f[a+4>>2]&2047](f[a+12>>2]|0);if((a|0)==0|c<<24>>24==0)return;bi[f[(f[a>>2]|0)+4>>2]&2047](a);return}function HPb(){var a=0;a=cuc(164)|0;lMb(a);f[224991]=a;$Kb(134);return}function IPb(){var a=0;a=f[224991]|0;if(a|0){jMb(a);fuc(a)}f[224991]=0;return}function JPb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;b=a+12|0;c=f[b>>2]|0;do if(!c){d=a+4|0;e=f[a+8>>2]|0;g=6}else{h=a+4|0;i=f[h>>2]|0;j=f[c>>2]|0;if((i|0)>=(j|0))if((j|0)==(f[a+8>>2]|0)){d=h;e=j;g=6;break}else{k=h;l=j;m=c;break}f[h>>2]=i+1;n=f[c+4+(i<<2)>>2]|0;return n|0}while(0);if((g|0)==6){LKb(a,e+1|0);e=f[b>>2]|0;k=d;l=f[e>>2]|0;m=e}f[m>>2]=l+1;l=f[a>>2]|0;if(!l){a=cuc(152)|0;f$b(a);o=a}else{if(f[l+64>>2]|0)HIb(l,24448,152);a=FIb(l,152)|0;h$b(a,l);o=a}a=f[b>>2]|0;b=f[k>>2]|0;f[k>>2]=b+1;f[a+4+(b<<2)>>2]=o;n=o;return n|0}function KPb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;c=f[a>>2]|0;d=b+8|0;f[d>>2]=f[d>>2]|1;e=b+144|0;g=f[b+4>>2]|0;h=g&-2;if(!(g&1))i=h;else i=f[h+4>>2]|0;h=f[e>>2]|0;if((h|0)==542896)QGa(e,i,c);else ruc(h,c)|0;c=a+52|0;if((f[c>>2]|0)>0){h=a+20|0;i=b+16|0;e=0;do{g=(f[h>>2]|0)+(e*88|0)|0;PPb(g,OPb(i)|0);e=e+1|0}while((e|0)<(f[c>>2]|0))}c=a+56|0;if((f[c>>2]|0)>0){e=a+24|0;i=b+96|0;h=b+108|0;g=b+104|0;j=b+100|0;k=0;do{l=(f[e>>2]|0)+(k*28|0)|0;m=f[h>>2]|0;do if(m){n=f[j>>2]|0;o=f[m>>2]|0;if((n|0)>=(o|0))if((o|0)==(f[g>>2]|0)){p=o;q=19;break}else{r=o;s=m;q=20;break}else{f[j>>2]=n+1;t=f[m+4+(n<<2)>>2]|0;break}}else{p=f[g>>2]|0;q=19}while(0);if((q|0)==19){q=0;LKb(i,p+1|0);m=f[h>>2]|0;r=f[m>>2]|0;s=m;q=20}if((q|0)==20){q=0;f[s>>2]=r+1;m=f[i>>2]|0;if(!m){n=cuc(24)|0;bZb(n);u=n}else{if(f[m+64>>2]|0)HIb(m,24400,24);n=FIb(m,24)|0;cZb(n,m);u=n}n=f[h>>2]|0;m=f[j>>2]|0;f[j>>2]=m+1;f[n+4+(m<<2)>>2]=u;t=u}_Pb(l,t);k=k+1|0}while((k|0)<(f[c>>2]|0))}c=a+60|0;if((f[c>>2]|0)>0){k=a+28|0;t=b+32|0;u=0;do{j=(f[k>>2]|0)+(u*88|0)|0;KPb(j,JPb(t)|0);u=u+1|0}while((u|0)<(f[c>>2]|0))}c=a+64|0;if((f[c>>2]|0)>0){u=a+32|0;t=b+48|0;k=0;do{j=(f[u>>2]|0)+(k*48|0)|0;MPb(j,LPb(t)|0);k=k+1|0}while((k|0)<(f[c>>2]|0))}c=a+68|0;if((f[c>>2]|0)>0){k=b+64|0;t=b+76|0;u=b+72|0;j=b+68|0;h=a+36|0;i=0;do{r=f[t>>2]|0;do if(r){s=f[j>>2]|0;p=f[r>>2]|0;if((s|0)>=(p|0))if((p|0)==(f[u>>2]|0)){v=p;q=40;break}else{w=p;x=r;q=41;break}else{f[j>>2]=s+1;y=f[r+4+(s<<2)>>2]|0;break}}else{v=f[u>>2]|0;q=40}while(0);if((q|0)==40){q=0;LKb(k,v+1|0);r=f[t>>2]|0;w=f[r>>2]|0;x=r;q=41}if((q|0)==41){q=0;f[x>>2]=w+1;r=f[k>>2]|0;if(!r){l=cuc(28)|0;K_b(l);z=l}else{if(f[r+64>>2]|0)HIb(r,24480,32);l=FIb(r,32)|0;M_b(l,r);z=l}l=f[t>>2]|0;r=f[j>>2]|0;f[j>>2]=r+1;f[l+4+(r<<2)>>2]=z;y=z}r=f[h>>2]|0;l=f[r+(i*12|0)>>2]|0;s=y+8|0;p=f[s>>2]|0;f[s>>2]=p|2;f[y+20>>2]=l;l=f[r+(i*12|0)+4>>2]|0;f[s>>2]=p|6;f[y+24>>2]=l;l=f[r+(i*12|0)+8>>2]|0;if((l|0)!=(S$b()|0)){f[s>>2]=f[s>>2]|1;s=y+16|0;r=f[s>>2]|0;if(!r){d$b(y);A=f[s>>2]|0}else A=r;T$b(A,l)}i=i+1|0}while((i|0)<(f[c>>2]|0))}c=a+72|0;if((f[c>>2]|0)>0){i=a+40|0;A=b+80|0;y=0;do{h=(f[i>>2]|0)+(y*88|0)|0;PPb(h,OPb(A)|0);y=y+1|0}while((y|0)<(f[c>>2]|0))}c=a+76|0;if((f[c>>2]|0)>0){y=b+112|0;A=b+124|0;i=b+120|0;h=b+116|0;z=a+44|0;j=0;do{t=f[A>>2]|0;do if(t){k=f[h>>2]|0;w=f[t>>2]|0;if((k|0)>=(w|0))if((w|0)==(f[i>>2]|0)){B=w;q=62;break}else{C=w;D=t;q=63;break}else{f[h>>2]=k+1;E=f[t+4+(k<<2)>>2]|0;break}}else{B=f[i>>2]|0;q=62}while(0);if((q|0)==62){q=0;LKb(y,B+1|0);t=f[A>>2]|0;C=f[t>>2]|0;D=t;q=63}if((q|0)==63){q=0;f[D>>2]=C+1;t=f[y>>2]|0;if(!t){k=cuc(24)|0;p_b(k);F=k}else{if(f[t+64>>2]|0)HIb(t,24464,24);k=FIb(t,24)|0;r_b(k,t);F=k}k=f[A>>2]|0;t=f[h>>2]|0;f[h>>2]=t+1;f[k+4+(t<<2)>>2]=F;E=F}t=f[z>>2]|0;k=f[t+(j<<3)>>2]|0;w=E+8|0;x=f[w>>2]|0;f[w>>2]=x|1;f[E+16>>2]=k;k=f[t+(j<<3)+4>>2]|0;f[w>>2]=x|3;f[E+20>>2]=k;j=j+1|0}while((j|0)<(f[c>>2]|0))}c=a+80|0;if((f[c>>2]|0)>0){j=a+48|0;E=b+128|0;z=0;do{F=f[(f[j>>2]|0)+(z<<2)>>2]|0;ruc(MEa(E)|0,F)|0;z=z+1|0}while((z|0)<(f[c>>2]|0))}c=a+16|0;a=f[c>>2]|0;if((a|0)==(W$b()|0))return;f[d>>2]=f[d>>2]|2;d=b+148|0;a=f[d>>2]|0;if(!a){o_b(b);G=f[d>>2]|0}else G=a;X$b(G,f[c>>2]|0);return}function LPb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;b=a+12|0;c=f[b>>2]|0;do if(!c){d=a+4|0;e=f[a+8>>2]|0;g=6}else{h=a+4|0;i=f[h>>2]|0;j=f[c>>2]|0;if((i|0)>=(j|0))if((j|0)==(f[a+8>>2]|0)){d=h;e=j;g=6;break}else{k=h;l=j;m=c;break}f[h>>2]=i+1;n=f[c+4+(i<<2)>>2]|0;return n|0}while(0);if((g|0)==6){LKb(a,e+1|0);e=f[b>>2]|0;k=d;l=f[e>>2]|0;m=e}f[m>>2]=l+1;l=f[a>>2]|0;if(!l){a=cuc(72)|0;IYb(a);o=a}else{if(f[l+64>>2]|0)HIb(l,24368,72);a=FIb(l,72)|0;JYb(a,l);o=a}a=f[b>>2]|0;b=f[k>>2]|0;f[k>>2]=b+1;f[a+4+(b<<2)>>2]=o;n=o;return n|0}function MPb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;c=f[a>>2]|0;d=b+8|0;f[d>>2]=f[d>>2]|1;e=b+64|0;g=f[b+4>>2]|0;h=g&-2;if(!(g&1))i=h;else i=f[h+4>>2]|0;h=f[e>>2]|0;if((h|0)==542896)QGa(e,i,c);else ruc(h,c)|0;c=a+24|0;if((f[c>>2]|0)>0){h=a+28|0;i=b+16|0;e=b+28|0;g=b+24|0;j=b+20|0;k=0;do{l=(f[h>>2]|0)+(k*20|0)|0;m=f[e>>2]|0;do if(m){n=f[j>>2]|0;o=f[m>>2]|0;if((n|0)>=(o|0))if((o|0)==(f[g>>2]|0)){p=o;q=16;break}else{r=o;s=m;q=17;break}else{f[j>>2]=n+1;t=f[m+4+(n<<2)>>2]|0;break}}else{p=f[g>>2]|0;q=16}while(0);if((q|0)==16){q=0;LKb(i,p+1|0);m=f[e>>2]|0;r=f[m>>2]|0;s=m;q=17}if((q|0)==17){q=0;f[s>>2]=r+1;m=f[i>>2]|0;if(!m){n=cuc(28)|0;SXb(n);u=n}else{if(f[m+64>>2]|0)HIb(m,24352,32);n=FIb(m,32)|0;TXb(n,m);u=n}n=f[e>>2]|0;m=f[j>>2]|0;f[j>>2]=m+1;f[n+4+(m<<2)>>2]=u;t=u}ZPb(l,t);k=k+1|0}while((k|0)<(f[c>>2]|0))}c=a+32|0;if((f[c>>2]|0)>0){k=b+32|0;t=b+44|0;u=b+40|0;j=b+36|0;e=a+40|0;i=0;do{r=f[t>>2]|0;do if(r){s=f[j>>2]|0;p=f[r>>2]|0;if((s|0)>=(p|0))if((p|0)==(f[u>>2]|0)){v=p;q=31;break}else{w=p;x=r;q=32;break}else{f[j>>2]=s+1;y=f[r+4+(s<<2)>>2]|0;break}}else{v=f[u>>2]|0;q=31}while(0);if((q|0)==31){q=0;LKb(k,v+1|0);r=f[t>>2]|0;w=f[r>>2]|0;x=r;q=32}if((q|0)==32){q=0;f[x>>2]=w+1;r=f[k>>2]|0;if(!r){l=cuc(24)|0;nYb(l);z=l}else{if(f[r+64>>2]|0)HIb(r,24384,24);l=FIb(r,24)|0;pYb(l,r);z=l}l=f[t>>2]|0;r=f[j>>2]|0;f[j>>2]=r+1;f[l+4+(r<<2)>>2]=z;y=z}r=f[e>>2]|0;l=f[r+(i<<3)>>2]|0;s=y+8|0;p=f[s>>2]|0;f[s>>2]=p|1;f[y+16>>2]=l;l=f[r+(i<<3)+4>>2]|0;f[s>>2]=p|3;f[y+20>>2]=l;i=i+1|0}while((i|0)<(f[c>>2]|0))}c=a+36|0;if((f[c>>2]|0)>0){i=a+44|0;y=b+48|0;e=0;do{z=f[(f[i>>2]|0)+(e<<2)>>2]|0;ruc(MEa(y)|0,z)|0;e=e+1|0}while((e|0)<(f[c>>2]|0))}c=a+16|0;a=f[c>>2]|0;if((a|0)==(a0b()|0))return;f[d>>2]=f[d>>2]|2;d=b+68|0;a=f[d>>2]|0;if(!a){mYb(b);A=f[d>>2]|0}else A=a;b0b(A,f[c>>2]|0);return}function NPb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;c=f[a>>2]|0;d=b+8|0;f[d>>2]=f[d>>2]|1;e=b+32|0;g=f[b+4>>2]|0;h=g&-2;if(!(g&1))i=h;else i=f[h+4>>2]|0;h=f[e>>2]|0;if((h|0)==542896)QGa(e,i,c);else ruc(h,c)|0;c=a+20|0;if((f[c>>2]|0)>0){h=a+16|0;i=b+16|0;e=b+28|0;g=b+24|0;j=b+20|0;k=0;do{l=(f[h>>2]|0)+(k*52|0)|0;m=f[e>>2]|0;do if(m){n=f[j>>2]|0;o=f[m>>2]|0;if((n|0)>=(o|0))if((o|0)==(f[g>>2]|0)){p=o;q=15;break}else{r=o;s=m;q=16;break}else{f[j>>2]=n+1;t=f[m+4+(n<<2)>>2]|0;break}}else{p=f[g>>2]|0;q=15}while(0);if((q|0)==15){q=0;LKb(i,p+1|0);m=f[e>>2]|0;r=f[m>>2]|0;s=m;q=16}if((q|0)==16){q=0;f[s>>2]=r+1;m=f[i>>2]|0;if(!m){n=cuc(36)|0;$Wb(n);u=n}else{if(f[m+64>>2]|0)HIb(m,24320,40);n=FIb(m,40)|0;aXb(n,m);u=n}n=f[e>>2]|0;m=f[j>>2]|0;f[j>>2]=m+1;f[n+4+(m<<2)>>2]=u;t=u}SPb(l,t);k=k+1|0}while((k|0)<(f[c>>2]|0))}c=a+12|0;a=f[c>>2]|0;if((a|0)==(e0b()|0))return;f[d>>2]=f[d>>2]|2;d=b+36|0;a=f[d>>2]|0;if(!a){vXb(b);v=f[d>>2]|0}else v=a;f0b(v,f[c>>2]|0);return}function OPb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;b=a+12|0;c=f[b>>2]|0;do if(!c){d=a+4|0;e=f[a+8>>2]|0;g=6}else{h=a+4|0;i=f[h>>2]|0;j=f[c>>2]|0;if((i|0)>=(j|0))if((j|0)==(f[a+8>>2]|0)){d=h;e=j;g=6;break}else{k=h;l=j;m=c;break}f[h>>2]=i+1;n=f[c+4+(i<<2)>>2]|0;return n|0}while(0);if((g|0)==6){LKb(a,e+1|0);e=f[b>>2]|0;k=d;l=f[e>>2]|0;m=e}f[m>>2]=l+1;l=f[a>>2]|0;if(!l){a=cuc(56)|0;wZb(a);o=a}else{if(f[l+64>>2]|0)HIb(l,24416,56);a=FIb(l,56)|0;xZb(a,l);o=a}a=f[b>>2]|0;b=f[k>>2]|0;f[k>>2]=b+1;f[a+4+(b<<2)>>2]=o;n=o;return n|0}function PPb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;d=u;u=u+16|0;e=d;g=f[a>>2]|0;h=c+8|0;f[h>>2]=f[h>>2]|1;i=c+16|0;j=c+4|0;k=f[j>>2]|0;l=k&-2;if(!(k&1))m=l;else m=f[l+4>>2]|0;l=f[i>>2]|0;if((l|0)==542896)QGa(i,m,g);else ruc(l,g)|0;g=f[a+40>>2]|0;l=f[h>>2]|0;f[h>>2]=l|64;f[c+40>>2]=g;do if(b[a+37>>0]|0){g=f[a+16>>2]|0;f[h>>2]=l|80;m=c+32|0;i=f[j>>2]|0;k=i&-2;if(!(i&1))n=k;else n=f[k+4>>2]|0;k=f[m>>2]|0;if((k|0)==542896){QGa(m,n,g);break}else{ruc(k,g)|0;break}}while(0);n=f[a+32>>2]|0;f[h>>2]=f[h>>2]|256;f[c+48>>2]=n;n=a+24|0;l=f[n>>2]|0;if(l|0?(f[l>>2]|0)!=2:0){f[e>>2]=110384;f[e+4>>2]=1962;b[e+8>>0]=0;f[e+12>>2]=a;xLb(l,e)}l=a+28|0;g=f[l>>2]|0;k=f[h>>2]|512;f[h>>2]=k;m=c+52|0;f[m>>2]=g;g=a+38|0;if(b[g>>0]|0){i=a+48|0;if(!(b[(f[i>>2]|0)+85>>0]|0)){QPb(c,531099);o=f[h>>2]|0}else o=k;f[h>>2]=o|2;o=c+20|0;k=f[j>>2]|0;p=k&-2;if(!(k&1))q=p;else q=f[p+4>>2]|0;p=f[o>>2]|0;if((p|0)==542896){QGa(o,q,542896);r=f[o>>2]|0}else r=p;p=f[(f[i>>2]|0)+4>>2]|0;i=b[p+11>>0]|0;o=i<<24>>24<0;Cuc(r,o?f[p>>2]|0:p,o?f[p+4>>2]|0:i&255)|0}i=f[n>>2]|0;if(!i)s=0;else{if((f[i>>2]|0)!=2){f[e>>2]=110384;f[e+4>>2]=1962;b[e+8>>0]=0;f[e+12>>2]=a;xLb(i,e)}s=f[n>>2]|0}i=(s|0)==0;if((f[l>>2]|1|0)!=11){if(!i?(f[s>>2]|0)!=2:0){f[e>>2]=110384;f[e+4>>2]=1962;b[e+8>>0]=0;f[e+12>>2]=a;xLb(s,e)}if((f[l>>2]|0)==14){l=f[n>>2]|0;if(l|0?(f[l>>2]|0)!=2:0){f[e>>2]=110384;f[e+4>>2]=1962;b[e+8>>0]=0;f[e+12>>2]=a;xLb(l,e)}l=a+64|0;if(!(b[(f[l>>2]|0)+21>>0]|0))RPb(c,531099);f[h>>2]=f[h>>2]|4;p=c+24|0;o=f[j>>2]|0;r=o&-2;if(!(o&1))t=r;else t=f[r+4>>2]|0;r=f[p>>2]|0;if((r|0)==542896){QGa(p,t,542896);v=f[p>>2]|0}else v=r;r=f[n>>2]|0;if(r|0?(f[r>>2]|0)!=2:0){f[e>>2]=110384;f[e+4>>2]=1962;b[e+8>>0]=0;f[e+12>>2]=a;xLb(r,e)}r=f[(f[l>>2]|0)+4>>2]|0;l=b[r+11>>0]|0;p=l<<24>>24<0;Cuc(v,p?f[r>>2]|0:r,p?f[r+4>>2]|0:l&255)|0}}else{if(!i?(f[s>>2]|0)!=2:0){f[e>>2]=110384;f[e+4>>2]=1962;b[e+8>>0]=0;f[e+12>>2]=a;xLb(s,e)}s=a+60|0;if(b[(f[s>>2]|0)+84>>0]|0){f[m>>2]=1;f[h>>2]=f[h>>2]&-513}m=f[n>>2]|0;if(m|0?(f[m>>2]|0)!=2:0){f[e>>2]=110384;f[e+4>>2]=1962;b[e+8>>0]=0;f[e+12>>2]=a;xLb(m,e)}if(!(b[(f[s>>2]|0)+85>>0]|0))RPb(c,531099);f[h>>2]=f[h>>2]|4;m=c+24|0;i=f[j>>2]|0;l=i&-2;if(!(i&1))w=l;else w=f[l+4>>2]|0;l=f[m>>2]|0;if((l|0)==542896){QGa(m,w,542896);x=f[m>>2]|0}else x=l;l=f[n>>2]|0;if(l|0?(f[l>>2]|0)!=2:0){f[e>>2]=110384;f[e+4>>2]=1962;b[e+8>>0]=0;f[e+12>>2]=a;xLb(l,e)}l=f[(f[s>>2]|0)+4>>2]|0;s=b[l+11>>0]|0;n=s<<24>>24<0;Cuc(x,n?f[l>>2]|0:l,n?f[l+4>>2]|0:s&255)|0}if(b[a+36>>0]|0){vOb(e,a,0);f[h>>2]=f[h>>2]|8;s=c+28|0;l=f[j>>2]|0;j=l&-2;if(!(l&1))y=j;else y=f[j+4>>2]|0;j=f[s>>2]|0;if((j|0)==542896)QGa(s,y,e);else ruc(j,e)|0;if((b[e+11>>0]|0)<0)fuc(f[e>>2]|0)}e=f[a+52>>2]|0;if(e|0?(b[g>>0]|0)==0:0){g=(e-(f[(f[e+8>>2]|0)+24>>2]|0)|0)/28|0;f[h>>2]=f[h>>2]|128;f[c+44>>2]=g}g=a+68|0;a=f[g>>2]|0;if((a|0)==(Y$b()|0)){u=d;return}f[h>>2]=f[h>>2]|32;h=c+36|0;a=f[h>>2]|0;if(!a){vZb(c);z=f[h>>2]|0}else z=a;Z$b(z,f[g>>2]|0);u=d;return}function QPb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;d=u;u=u+16|0;e=d;g=a+8|0;f[g>>2]=f[g>>2]|2;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;g=jfc(c)|0;if(g>>>0>4294967279)muc(e);if(g>>>0<11){b[e+11>>0]=g;if(!g)h=e;else{i=e;j=6}}else{k=g+16&-16;l=cuc(k)|0;f[e>>2]=l;f[e+8>>2]=k|-2147483648;f[e+4>>2]=g;i=l;j=6}if((j|0)==6){szc(i|0,c|0,g|0)|0;h=i}b[h+g>>0]=0;g=f[a+4>>2]|0;h=g&-2;if(!(g&1))m=h;else m=f[h+4>>2]|0;h=a+20|0;a=f[h>>2]|0;if((a|0)==542896)QGa(h,m,e);else ruc(a,e)|0;if((b[e+11>>0]|0)>=0){u=d;return}fuc(f[e>>2]|0);u=d;return}function RPb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;d=u;u=u+16|0;e=d;g=a+8|0;f[g>>2]=f[g>>2]|4;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;g=jfc(c)|0;if(g>>>0>4294967279)muc(e);if(g>>>0<11){b[e+11>>0]=g;if(!g)h=e;else{i=e;j=6}}else{k=g+16&-16;l=cuc(k)|0;f[e>>2]=l;f[e+8>>2]=k|-2147483648;f[e+4>>2]=g;i=l;j=6}if((j|0)==6){szc(i|0,c|0,g|0)|0;h=i}b[h+g>>0]=0;g=f[a+4>>2]|0;h=g&-2;if(!(g&1))m=h;else m=f[h+4>>2]|0;h=a+24|0;a=f[h>>2]|0;if((a|0)==542896)QGa(h,m,e);else ruc(a,e)|0;if((b[e+11>>0]|0)>=0){u=d;return}fuc(f[e>>2]|0);u=d;return}function SPb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;d=u;u=u+16|0;e=d;g=f[a>>2]|0;h=c+8|0;f[h>>2]=f[h>>2]|1;i=c+16|0;j=c+4|0;k=f[j>>2]|0;l=k&-2;if(!(k&1))m=l;else m=f[l+4>>2]|0;l=f[i>>2]|0;if((l|0)==542896)QGa(i,m,g);else ruc(l,g)|0;g=a+12|0;l=a+20|0;m=f[l>>2]|0;if(m|0?(f[m>>2]|0)!=2:0){f[e>>2]=152148;f[e+4>>2]=2003;b[e+8>>0]=0;f[e+12>>2]=g;xLb(m,e)}if(!(b[(f[g>>2]|0)+85>>0]|0))UPb(c,531099);f[h>>2]=f[h>>2]|2;m=c+20|0;i=f[j>>2]|0;k=i&-2;if(!(i&1))n=k;else n=f[k+4>>2]|0;k=f[m>>2]|0;if((k|0)==542896){QGa(m,n,542896);o=f[m>>2]|0}else o=k;k=f[l>>2]|0;if(k|0?(f[k>>2]|0)!=2:0){f[e>>2]=152148;f[e+4>>2]=2003;b[e+8>>0]=0;f[e+12>>2]=g;xLb(k,e)}k=f[(f[g>>2]|0)+4>>2]|0;g=b[k+11>>0]|0;l=g<<24>>24<0;Cuc(o,l?f[k>>2]|0:k,l?f[k+4>>2]|0:g&255)|0;g=a+28|0;k=a+36|0;l=f[k>>2]|0;if(l|0?(f[l>>2]|0)!=2:0){f[e>>2]=152148;f[e+4>>2]=2003;b[e+8>>0]=0;f[e+12>>2]=g;xLb(l,e)}if(!(b[(f[g>>2]|0)+85>>0]|0))VPb(c,531099);f[h>>2]=f[h>>2]|4;l=c+24|0;o=f[j>>2]|0;j=o&-2;if(!(o&1))p=j;else p=f[j+4>>2]|0;j=f[l>>2]|0;if((j|0)==542896){QGa(l,p,542896);q=f[l>>2]|0}else q=j;j=f[k>>2]|0;if(j|0?(f[j>>2]|0)!=2:0){f[e>>2]=152148;f[e+4>>2]=2003;b[e+8>>0]=0;f[e+12>>2]=g;xLb(j,e)}e=f[(f[g>>2]|0)+4>>2]|0;g=b[e+11>>0]|0;j=g<<24>>24<0;Cuc(q,j?f[e>>2]|0:e,j?f[e+4>>2]|0:g&255)|0;g=a+44|0;e=f[g>>2]|0;if((e|0)!=(g0b()|0)){f[h>>2]=f[h>>2]|8;e=c+28|0;j=f[e>>2]|0;if(!j){_Wb(c);r=f[e>>2]|0}else r=j;h0b(r,f[g>>2]|0)}if(b[a+48>>0]|0){f[h>>2]=f[h>>2]|16;b[c+32>>0]=1}if(!(b[a+49>>0]|0)){u=d;return}f[h>>2]=f[h>>2]|32;b[c+33>>0]=1;u=d;return}function TPb(a){a=a|0;WPb(a);return}function UPb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;d=u;u=u+16|0;e=d;g=a+8|0;f[g>>2]=f[g>>2]|2;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;g=jfc(c)|0;if(g>>>0>4294967279)muc(e);if(g>>>0<11){b[e+11>>0]=g;if(!g)h=e;else{i=e;j=6}}else{k=g+16&-16;l=cuc(k)|0;f[e>>2]=l;f[e+8>>2]=k|-2147483648;f[e+4>>2]=g;i=l;j=6}if((j|0)==6){szc(i|0,c|0,g|0)|0;h=i}b[h+g>>0]=0;g=f[a+4>>2]|0;h=g&-2;if(!(g&1))m=h;else m=f[h+4>>2]|0;h=a+20|0;a=f[h>>2]|0;if((a|0)==542896)QGa(h,m,e);else ruc(a,e)|0;if((b[e+11>>0]|0)>=0){u=d;return}fuc(f[e>>2]|0);u=d;return}function VPb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;d=u;u=u+16|0;e=d;g=a+8|0;f[g>>2]=f[g>>2]|4;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;g=jfc(c)|0;if(g>>>0>4294967279)muc(e);if(g>>>0<11){b[e+11>>0]=g;if(!g)h=e;else{i=e;j=6}}else{k=g+16&-16;l=cuc(k)|0;f[e>>2]=l;f[e+8>>2]=k|-2147483648;f[e+4>>2]=g;i=l;j=6}if((j|0)==6){szc(i|0,c|0,g|0)|0;h=i}b[h+g>>0]=0;g=f[a+4>>2]|0;h=g&-2;if(!(g&1))m=h;else m=f[h+4>>2]|0;h=a+24|0;a=f[h>>2]|0;if((a|0)==542896)QGa(h,m,e);else ruc(a,e)|0;if((b[e+11>>0]|0)>=0){u=d;return}fuc(f[e>>2]|0);u=d;return}function WPb(a){a=a|0;var c=0,d=0,e=0,g=0;c=u;u=u+48|0;d=c;e=c+24|0;g=a+12|0;if(!(b[(f[g>>2]|0)+49>>0]|0)){iLb(d,3,490877,7126);fLb(c+32|0,dLb(d,500329)|0);jLb(d)}if(f[a>>2]|0){u=c;return}d=f[a+4>>2]|0;if(!d){u=c;return}TNb(e,f[(f[g>>2]|0)+8>>2]|0,d,0);if((f[e>>2]|0)==1)f[a>>2]=f[e+4>>2];u=c;return}function XPb(a){a=a|0;fuc(a);return}function YPb(a){a=a|0;var c=0;c=b[a+8>>0]|0;bi[f[a+4>>2]&2047](f[a+12>>2]|0);if((a|0)==0|c<<24>>24==0)return;bi[f[(f[a>>2]|0)+4>>2]&2047](a);return}function ZPb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0;c=f[a>>2]|0;d=b+8|0;f[d>>2]=f[d>>2]|1;e=b+16|0;g=f[b+4>>2]|0;h=g&-2;if(!(g&1))i=h;else i=f[h+4>>2]|0;h=f[e>>2]|0;if((h|0)==542896)QGa(e,i,c);else ruc(h,c)|0;c=f[a+8>>2]|0;f[d>>2]=f[d>>2]|4;f[b+24>>2]=c;c=a+16|0;a=f[c>>2]|0;if((a|0)==(c0b()|0))return;f[d>>2]=f[d>>2]|2;d=b+20|0;a=f[d>>2]|0;if(!a){RXb(b);j=f[d>>2]|0}else j=a;d0b(j,f[c>>2]|0);return}function _Pb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0;c=f[a>>2]|0;d=b+8|0;f[d>>2]=f[d>>2]|1;e=b+16|0;g=f[b+4>>2]|0;h=g&-2;if(!(g&1))i=h;else i=f[h+4>>2]|0;h=f[e>>2]|0;if((h|0)==542896)QGa(e,i,c);else ruc(h,c)|0;c=a+24|0;a=f[c>>2]|0;if((a|0)==(_$b()|0))return;f[d>>2]=f[d>>2]|2;d=b+20|0;a=f[d>>2]|0;if(!a){aZb(b);j=f[d>>2]|0}else j=a;$$b(j,f[c>>2]|0);return}function $Pb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;c=u;u=u+16|0;d=c;e=f[a+84>>2]|0;if(!e){u=c;return}g=d+4|0;h=a+20|0;a=e;do{e=a+16|0;i=f[e>>2]|0;do if(b[i+38>>0]|0){j=f[i+56>>2]|0;if(!j){k=f[i+20>>2]|0;break}else{k=j;break}}else k=f[i+48>>2]|0;while(0);j=f[i+8>>2]|0;if((b[j+11>>0]|0)<0)l=f[j>>2]|0;else l=j;f[d>>2]=k;f[g>>2]=l;hPb(h,d,e)|0;a=f[a>>2]|0}while((a|0)!=0);u=c;return}function aQb(){var a=0,c=0,d=0;a=u;u=u+16|0;c=a;if((f[224987]|0)==2){d=f[224988]|0;u=a;return d|0}f[c>>2]=151624;f[c+4>>2]=132;b[c+8>>0]=0;xLb(899948,c);QKb(c);d=f[224988]|0;u=a;return d|0}function bQb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+48|0;e=d+24|0;g=d;if((f[224987]|0)!=2){f[e>>2]=151624;f[e+4>>2]=132;b[e+8>>0]=0;xLb(899948,e);QKb(e)}if(B0b(f[224989]|0,a,c)|0){u=d;return}iLb(g,3,490877,1394);fLb(d+36|0,dLb(g,500441)|0);jLb(g);u=d;return}function cQb(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+16|0;d=c;KMb(d,f[a+16>>2]|0,a,b);u=c;return ((f[d>>2]|0)==1?f[d+4>>2]|0:0)|0}function dQb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+16|0;e=d;KMb(e,f[a+16>>2]|0,a,c);if((f[e>>2]|0)!=2){g=0;u=d;return g|0}c=f[e+4>>2]|0;g=b[c+38>>0]|0?c:0;u=d;return g|0}function eQb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;e=f[a>>2]|0;if(e){WKb(e);g=a+16|0;h=(f[g>>2]|0)+176|0;i=f[h>>2]|0;do if(i){j=h;k=i;a:while(1){l=k;while(1){m=f[l+16>>2]|0;if(m>>>0>=c>>>0){if(m>>>0>c>>>0)break;if((f[l+20>>2]|0)>=(d|0))break}m=f[l+4>>2]|0;if(!m){n=j;break a}else l=m}k=f[l>>2]|0;if(!k){n=l;break}else j=l}if((n|0)!=(h|0)?(j=f[n+16>>2]|0,j>>>0<=c>>>0):0){if(j>>>0>=c>>>0?(f[n+20>>2]|0)>(d|0):0){o=0;break}o=f[n+24>>2]|0}else o=0}else o=0;while(0);XKb(e);if(o|0){p=o;return p|0}o=f[a>>2]|0;if(!o){q=g;r=0;s=1}else{WKb(o);q=g;r=o;s=0}}else{q=a+16|0;r=0;s=1}o=f[q>>2]|0;g=o+44|0;if(!(f[g>>2]|0))t=o;else{e=o+40|0;n=f[e>>2]|0;if(n|0){h=n;do{n=h;h=f[h>>2]|0;i=n+8|0;if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0);fuc(n)}while((h|0)!=0)}f[e>>2]=0;e=f[o+36>>2]|0;if(e|0){h=o+32|0;o=0;do{f[(f[h>>2]|0)+(o<<2)>>2]=0;o=o+1|0}while((o|0)!=(e|0))}f[g>>2]=0;t=f[q>>2]|0}g=t+24|0;if(!(f[g>>2]|0))u=t;else{e=t+20|0;o=f[e>>2]|0;if(o|0){h=o;do{o=h;h=f[h>>2]|0;n=o+8|0;if((b[n+11>>0]|0)<0)fuc(f[n>>2]|0);fuc(o)}while((h|0)!=0)}f[e>>2]=0;e=f[t+16>>2]|0;if(e|0){h=t+12|0;t=0;do{f[(f[h>>2]|0)+(t<<2)>>2]=0;t=t+1|0}while((t|0)!=(e|0))}f[g>>2]=0;u=f[q>>2]|0}g=u+176|0;u=f[g>>2]|0;do if(u){e=g;t=u;b:while(1){h=t;while(1){o=f[h+16>>2]|0;if(o>>>0>=c>>>0){if(o>>>0>c>>>0)break;if((f[h+20>>2]|0)>=(d|0))break}o=f[h+4>>2]|0;if(!o){v=e;break b}else h=o}t=f[h>>2]|0;if(!t){v=h;break}else e=h}if((v|0)!=(g|0)?(e=f[v+16>>2]|0,e>>>0<=c>>>0):0){if(e>>>0>=c>>>0?(f[v+20>>2]|0)>(d|0):0){w=48;break}e=f[v+24>>2]|0;if(e){x=e;w=64}else w=48}else w=48}else w=48;while(0);c:do if((w|0)==48){v=f[a+12>>2]|0;if(v|0?(g=eQb(v,c,d)|0,g|0):0){x=g;w=64;break}do if(fQb(a,c,d)|0?(g=(f[q>>2]|0)+176|0,v=f[g>>2]|0,v|0):0){u=g;e=v;d:while(1){v=e;while(1){t=f[v+16>>2]|0;if(t>>>0>=c>>>0){if(t>>>0>c>>>0)break;if((f[v+20>>2]|0)>=(d|0))break}t=f[v+4>>2]|0;if(!t){y=u;break d}else v=t}e=f[v>>2]|0;if(!e){y=v;break}else u=v}if((y|0)!=(g|0)?(u=f[y+16>>2]|0,u>>>0<=c>>>0):0){if(u>>>0>=c>>>0?(f[y+20>>2]|0)>(d|0):0)break;u=f[y+24>>2]|0;if(u|0){x=u;w=64;break c}}}while(0);if(s){p=0;return p|0}else z=0}while(0);if((w|0)==64)if(s){p=x;return p|0}else z=x;XKb(r);p=z;return p|0}function fQb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;e=u;u=u+144|0;g=e+140|0;h=e;i=a+4|0;if(!(f[i>>2]|0)){j=0;u=e;return j|0}F$b(h);k=f[i>>2]|0;do if(Cg[f[(f[k>>2]|0)+16>>2]&127](k,f[c+4>>2]|0,d,h)|0){i=f[a+16>>2]|0;l=f[h+120>>2]|0;f[g>>2]=(b[l+11>>0]|0)<0?f[l>>2]|0:l;l=PMb(i+152|0,g)|0;if(l)if(f[l+12>>2]|0){m=0;break}m=(QMb(a,h)|0)!=0}else m=0;while(0);j$b(h);j=m;u=e;return j|0}function gQb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;d=f[(f[a+8>>2]|0)+88>>2]|0;e=(a*65535|0)+c|0;g=f[d+80>>2]|0;if(!g)return 0;h=g+-1|0;i=(h&g|0)==0;if(!i)if(e>>>0<g>>>0)j=e;else j=(e>>>0)%(g>>>0)|0;else j=h&e;k=f[(f[d+76>>2]|0)+(j<<2)>>2]|0;if(!k)return 0;d=f[k>>2]|0;if(!d)return 0;a:do if(i){k=d;while(1){l=f[k+4>>2]|0;m=(e|0)==(l|0);if(!(m|(l&h|0)==(j|0))){n=23;break}if((m?(f[k+8>>2]|0)==(a|0):0)?(f[k+12>>2]|0)==(c|0):0){o=k;break a}k=f[k>>2]|0;if(!k){n=23;break}}if((n|0)==23)return 0}else{k=d;while(1){m=f[k+4>>2]|0;if((e|0)==(m|0)){if((f[k+8>>2]|0)==(a|0)?(f[k+12>>2]|0)==(c|0):0){o=k;break a}}else{if(m>>>0<g>>>0)p=m;else p=(m>>>0)%(g>>>0)|0;if((p|0)!=(j|0)){n=23;break}}k=f[k>>2]|0;if(!k){n=23;break}}if((n|0)==23)return 0}while(0);n=f[o+16>>2]|0;if(!n)return 0;else return (b[n+38>>0]|0?0:n)|0;return 0}function hQb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+16|0;e=d;g=f[(f[a+8>>2]|0)+88>>2]|0;h=g+44|0;if((f[h>>2]|0)!=2){f[e>>2]=152168;f[e+4>>2]=2004;b[e+8>>0]=0;f[e+12>>2]=g;xLb(h,e)}h=(b[c+11>>0]|0)<0?f[c>>2]|0:c;f[e>>2]=a;f[e+4>>2]=h;h=iPb(g+20|0,e)|0;if(!h){u=d;return 0}else{u=d;return (b[h+38>>0]|0?0:h)|0}return 0}function iQb(a){a=a|0;fuc(a);return}function jQb(a){a=a|0;var c=0;c=b[a+8>>0]|0;bi[f[a+4>>2]&2047](f[a+12>>2]|0);if((a|0)==0|c<<24>>24==0)return;bi[f[(f[a>>2]|0)+4>>2]&2047](a);return}function kQb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+16|0;e=d;xNb(e,f[(f[a+8>>2]|0)+88>>2]|0,a,c);c=(f[e>>2]|0)==2;a=e;e=c?f[a+4>>2]|0:0;if(!((c?f[a>>2]|0:0)|0)){g=0;u=d;return g|0}g=b[e+38>>0]|0?0:e;u=d;return g|0}function lQb(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+16|0;d=c;xNb(d,f[(f[a+8>>2]|0)+88>>2]|0,a,b);b=(f[d>>2]|0)==5;a=d;u=c;return (((b?f[a>>2]|0:0)|0)==0?0:b?f[a+4>>2]|0:0)|0}function mQb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;c=f[(f[a+8>>2]|0)+88>>2]|0;d=(a*65535|0)+b|0;e=f[c+100>>2]|0;if(!e){g=0;return g|0}h=e+-1|0;i=(h&e|0)==0;if(!i)if(d>>>0<e>>>0)j=d;else j=(d>>>0)%(e>>>0)|0;else j=h&d;k=f[(f[c+96>>2]|0)+(j<<2)>>2]|0;if(!k){g=0;return g|0}c=f[k>>2]|0;if(!c){g=0;return g|0}a:do if(i){k=c;while(1){l=f[k+4>>2]|0;m=(d|0)==(l|0);if(!(m|(l&h|0)==(j|0))){g=0;n=22;break}if((m?(f[k+8>>2]|0)==(a|0):0)?(f[k+12>>2]|0)==(b|0):0){o=k;break a}k=f[k>>2]|0;if(!k){g=0;n=22;break}}if((n|0)==22)return g|0}else{k=c;while(1){m=f[k+4>>2]|0;if((d|0)==(m|0)){if((f[k+8>>2]|0)==(a|0)?(f[k+12>>2]|0)==(b|0):0){o=k;break a}}else{if(m>>>0<e>>>0)p=m;else p=(m>>>0)%(e>>>0)|0;if((p|0)!=(j|0)){g=0;n=22;break}}k=f[k>>2]|0;if(!k){g=0;n=22;break}}if((n|0)==22)return g|0}while(0);g=f[o+16>>2]|0;return g|0}function nQb(a,b){a=a|0;b=b|0;return oQb(f[(f[a+8>>2]|0)+88>>2]|0,a,b)|0}function oQb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;e=u;u=u+48|0;g=e;h=e+36|0;i=e+24|0;j=e+12|0;k=c;l=(k*65535|0)+d|0;m=f[a+100>>2]|0;a:do if(m|0){n=m+-1|0;o=(n&m|0)==0;if(!o)if(l>>>0<m>>>0)p=l;else p=(l>>>0)%(m>>>0)|0;else p=n&l;q=f[(f[a+96>>2]|0)+(p<<2)>>2]|0;if(q|0?(r=f[q>>2]|0,r|0):0){b:do if(o){q=r;while(1){s=f[q+4>>2]|0;t=(l|0)==(s|0);if(!(t|(s&n|0)==(p|0)))break a;if((t?(f[q+8>>2]|0)==(c|0):0)?(f[q+12>>2]|0)==(d|0):0){v=q;break b}q=f[q>>2]|0;if(!q)break a}}else{q=r;while(1){t=f[q+4>>2]|0;if((l|0)==(t|0)){if((f[q+8>>2]|0)==(c|0)?(f[q+12>>2]|0)==(d|0):0){v=q;break b}}else{if(t>>>0<m>>>0)w=t;else w=(t>>>0)%(m>>>0)|0;if((w|0)!=(p|0))break a}q=f[q>>2]|0;if(!q)break a}}while(0);r=f[v+16>>2]|0;if(r|0){x=r;u=e;return x|0}}}while(0);v=a+160|0;WKb(v);p=a+116|0;w=a+120|0;a=f[w>>2]|0;c:do if(a){m=a+-1|0;r=(m&a|0)==0;if(!r)if(l>>>0<a>>>0)y=l;else y=(l>>>0)%(a>>>0)|0;else y=m&l;n=f[(f[p>>2]|0)+(y<<2)>>2]|0;if((n|0)!=0?(o=f[n>>2]|0,(o|0)!=0):0){d:do if(r){n=o;while(1){q=f[n+4>>2]|0;t=(q|0)==(l|0);if(!(t|(q&m|0)==(y|0))){z=0;break c}if((t?(f[n+8>>2]|0)==(c|0):0)?(f[n+12>>2]|0)==(d|0):0){A=n;break d}n=f[n>>2]|0;if(!n){z=0;break c}}}else{n=o;while(1){t=f[n+4>>2]|0;if((t|0)==(l|0)){if((f[n+8>>2]|0)==(c|0)?(f[n+12>>2]|0)==(d|0):0){A=n;break d}}else{if(t>>>0<a>>>0)B=t;else B=(t>>>0)%(a>>>0)|0;if((B|0)!=(y|0)){z=0;break c}}n=f[n>>2]|0;if(!n){z=0;break c}}}while(0);z=f[A+16>>2]|0}else z=0}else z=0;while(0);XKb(v);if(z|0){x=z;u=e;return x|0}WKb(v);z=f[w>>2]|0;e:do if(z){w=z+-1|0;A=(w&z|0)==0;if(!A)if(l>>>0<z>>>0)C=l;else C=(l>>>0)%(z>>>0)|0;else C=w&l;y=f[(f[p>>2]|0)+(C<<2)>>2]|0;if((y|0)!=0?(B=f[y>>2]|0,(B|0)!=0):0){f:do if(A){y=B;while(1){a=f[y+4>>2]|0;o=(a|0)==(l|0);if(!(o|(a&w|0)==(C|0))){D=65;break e}if((o?(f[y+8>>2]|0)==(c|0):0)?(f[y+12>>2]|0)==(d|0):0){E=y;break f}y=f[y>>2]|0;if(!y){D=65;break e}}}else{y=B;while(1){o=f[y+4>>2]|0;if((o|0)==(l|0)){if((f[y+8>>2]|0)==(c|0)?(f[y+12>>2]|0)==(d|0):0){E=y;break f}}else{if(o>>>0<z>>>0)F=o;else F=(o>>>0)%(z>>>0)|0;if((F|0)!=(C|0)){D=65;break e}}y=f[y>>2]|0;if(!y){D=65;break e}}}while(0);B=f[E+16>>2]|0;if(B)G=B;else D=65}else D=65}else D=65;while(0);if((D|0)==65){D=f[c>>2]|0;if((b[D+11>>0]|0)<0)H=f[D>>2]|0;else H=D;f[g>>2]=H;f[g+4>>2]=d;Ldc(h,500590,g);if((f[224987]|0)!=2){f[g>>2]=151624;f[g+4>>2]=132;b[g+8>>0]=0;xLb(899948,g);QKb(g)}H=f[(f[224988]|0)+16>>2]|0;D=cuc(20)|0;f[g>>2]=D;E=H+124|0;C=f[E>>2]|0;if((C|0)==(f[H+128>>2]|0))OE(H+120|0,g);else{f[C>>2]=D;f[E>>2]=(f[E>>2]|0)+4}E=f[g>>2]|0;D=cuc(12)|0;ouc(D,h);f[g>>2]=D;C=H+76|0;F=f[C>>2]|0;z=H+80|0;if((F|0)==(f[z>>2]|0))fNb(H+72|0,g);else{f[F>>2]=D;f[C>>2]=(f[C>>2]|0)+4}f[E>>2]=f[g>>2];RE(j,f[c+4>>2]|0,531099);c=h+11|0;D=b[c>>0]|0;F=D<<24>>24<0;l=Cuc(j,F?f[h>>2]|0:h,F?f[h+4>>2]|0:D&255)|0;f[i>>2]=f[l>>2];f[i+4>>2]=f[l+4>>2];f[i+8>>2]=f[l+8>>2];f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;l=cuc(12)|0;ouc(l,i);f[g>>2]=l;D=f[C>>2]|0;if((D|0)==(f[z>>2]|0))fNb(H+72|0,g);else{f[D>>2]=l;f[C>>2]=(f[C>>2]|0)+4}f[E+4>>2]=f[g>>2];if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0);if((b[j+11>>0]|0)<0)fuc(f[j>>2]|0);f[E+8>>2]=d;f[E+12>>2]=k;j=c0b()|0;f[E+16>>2]=j;f[g>>2]=k;f[g+4>>2]=d;f[i>>2]=E;zPb(p,g,i)|0;if((b[c>>0]|0)<0)fuc(f[h>>2]|0);G=E}XKb(v);x=G;u=e;return x|0}function pQb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0;c=f[a+68>>2]|0;if((c|0)<=0){d=0;return d|0}e=f[a+36>>2]|0;a=0;while(1){g=e+(a*12|0)|0;if((f[g>>2]|0)<=(b|0)?(f[e+(a*12|0)+4>>2]|0)>(b|0):0){d=g;h=6;break}a=a+1|0;if((a|0)>=(c|0)){d=0;h=6;break}}if((h|0)==6)return d|0;return 0}function qQb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0;c=f[a+76>>2]|0;if((c|0)<=0){d=0;return d|0}e=f[a+44>>2]|0;a=0;while(1){g=e+(a<<3)|0;if((f[g>>2]|0)<=(b|0)?(f[e+(a<<3)+4>>2]|0)>(b|0):0){d=g;h=6;break}a=a+1|0;if((a|0)>=(c|0)){d=0;h=6;break}}if((h|0)==6)return d|0;return 0}function rQb(a){a=a|0;return (b[(f[(f[a+60>>2]|0)+16>>2]|0)+51>>0]|0)!=0|0}function sQb(a){a=a|0;var c=0,d=0,e=0;c=u;u=u+16|0;d=c;e=f[a+24>>2]|0;if(e|0?(f[e>>2]|0)!=2:0){f[d>>2]=110384;f[d+4>>2]=1962;b[d+8>>0]=0;f[d+12>>2]=a;xLb(e,d)}u=c;return f[a+80>>2]|0}function tQb(a){a=a|0;var c=0,d=0,e=0;c=u;u=u+16|0;d=c;e=f[a+24>>2]|0;if(e|0?(f[e>>2]|0)!=2:0){f[d>>2]=110384;f[d+4>>2]=1962;b[d+8>>0]=0;f[d+12>>2]=a;xLb(e,d)}u=c;return f[a+60>>2]|0}function uQb(a){a=a|0;var c=0,d=0,e=0;c=u;u=u+16|0;d=c;e=f[a+24>>2]|0;if(e|0?(f[e>>2]|0)!=2:0){f[d>>2]=110384;f[d+4>>2]=1962;b[d+8>>0]=0;f[d+12>>2]=a;xLb(e,d)}u=c;return f[a+64>>2]|0}function vQb(a){a=a|0;var c=0,d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[a+32>>2]|0)!=3){e=0;u=c;return e|0}g=f[a+24>>2]|0;if(g|0?(f[g>>2]|0)!=2:0){f[d>>2]=110384;f[d+4>>2]=1962;b[d+8>>0]=0;f[d+12>>2]=a;xLb(g,d)}if(((f[a+28>>2]|0)+-9|0)>>>0<=3){e=0;u=c;return e|0}d=f[a+68>>2]|0;g=(d|0)==0;if((f[(f[a+20>>2]|0)+44>>2]|0)==2){if(g){e=0;u=c;return e|0}e=(b[d+52>>0]|0)!=0;u=c;return e|0}if(g){e=1;u=c;return e|0}if(!(f[d+24>>2]&2)){e=1;u=c;return e|0}e=(b[d+52>>0]|0)!=0;u=c;return e|0}function wQb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0;f[a>>2]=153704;b=a+28|0;c=f[b>>2]|0;if(c|0?(f[a+16>>2]|0)==0:0){d=f[c>>2]|0;if((d|0)>0){e=0;do{g=f[c+4+(e<<2)>>2]|0;if(g|0)bi[f[(f[g>>2]|0)+4>>2]&2047](g);e=e+1|0}while((e|0)!=(d|0));h=f[b>>2]|0}else h=c;fuc(h)}f[b>>2]=0;b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}h=a&-2;a=h;if((h|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(h);f[b>>2]=0;return}function xQb(a){a=a|0;wQb(a);fuc(a);return}function yQb(a){a=a|0;a=cuc(32)|0;O$b(a);return a|0}function zQb(a,b){a=a|0;b=b|0;var c=0;if(!b){a=cuc(32)|0;O$b(a);c=a;return c|0}if(f[b+64>>2]|0)HIb(b,24080,32);a=FIb(b,32)|0;P$b(a,b);c=a;return c|0}function AQb(a){a=a|0;var b=0,c=0;b=f[a+4>>2]|0;a=b&-2;if(!(b&1)){c=a;return c|0}else{c=f[a+4>>2]|0;return c|0}return 0}function BQb(a){a=a|0;return f[a+4>>2]|0}function CQb(a){a=a|0;var b=0,c=0,d=0,e=0;b=a+20|0;c=f[b>>2]|0;if((c|0)>0){d=f[a+28>>2]|0;e=0;do{p$b(f[d+4+(e<<2)>>2]|0);e=e+1|0}while((e|0)!=(c|0));f[b>>2]=0}f[a+8>>2]=0;b=f[a+4>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;ebc(a);return}function DQb(a){a=a|0;var b=0,c=0,d=0,e=0;b=a+28|0;c=f[a+20>>2]|0;while(1){if((c|0)<=0){d=1;e=4;break}c=c+-1|0;if(!(q$b(f[(f[b>>2]|0)+4+(c<<2)>>2]|0)|0)){d=0;e=4;break}}if((e|0)==4)return d|0;return 0}function EQb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;d=u;u=u+16|0;e=d;g=c+4|0;h=a+16|0;i=a+28|0;j=a+24|0;k=a+20|0;l=e+4|0;m=a+4|0;while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){n=b[a>>0]|0;o=n&255;if(n<<24>>24>0){f[c>>2]=a+1;p=o;q=6}else{r=o;q=5}}else{r=0;q=5}if((q|0)==5){q=0;o=OJb(c,r)|0;if((o+-1|0)>>>0<127){p=o;q=6}else s=o}if((q|0)==6){q=0;if((p|0)==10){o=f[i>>2]|0;do if(o){a=f[k>>2]|0;n=f[o>>2]|0;if((a|0)>=(n|0))if((n|0)==(f[j>>2]|0)){t=n;q=12;break}else{v=n;w=o;q=13;break}else{f[k>>2]=a+1;x=f[o+4+(a<<2)>>2]|0;break}}else{t=f[j>>2]|0;q=12}while(0);if((q|0)==12){q=0;LKb(h,t+1|0);o=f[i>>2]|0;v=f[o>>2]|0;w=o;q=13}if((q|0)==13){q=0;f[w>>2]=v+1;o=f[h>>2]|0;if(!o){a=cuc(140)|0;F$b(a);y=a}else{if(f[o+64>>2]|0)HIb(o,24496,144);a=FIb(o,144)|0;G$b(a,o);y=a}a=f[i>>2]|0;o=f[k>>2]|0;f[k>>2]=o+1;f[a+4+(o<<2)>>2]=y;x=y}o=f[c>>2]|0;if(o>>>0<(f[g>>2]|0)>>>0?(a=b[o>>0]|0,a<<24>>24>-1):0){f[c>>2]=o+1;z=a&255}else{a=NJb(c)|0;if((a|0)>-1)z=a;else{A=0;q=32;break}}yJb(e,c,z);if((f[l>>2]|0)<0){q=25;break}if(!(Th[f[(f[x>>2]|0)+44>>2]&1023](x,c)|0)){q=25;break}if(DJb(c,f[e>>2]|0)|0)continue;else{A=0;q=32;break}}else s=p}if(!s){A=1;q=32;break}a=f[m>>2]|0;if(!(a&1))B=OOa(m)|0;else B=a&-2;if(!(xbc(c,s,B)|0)){A=0;q=32;break}}if((q|0)==25){A=0;u=d;return A|0}else if((q|0)==32){u=d;return A|0}return 0}function FQb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=Dbc(b&-2)|0;b=f[a+20>>2]|0;d=b+c|0;if(!b){e=d;g=a+12|0;f[g>>2]=e;return e|0}c=a+28|0;h=0;i=d;while(1){d=f[(f[c>>2]|0)+4+(h<<2)>>2]|0;j=di[f[(f[d>>2]|0)+48>>2]&1023](d)|0;d=j+i+((((($(j|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=h+1|0;if((h|0)==(b|0)){e=d;break}else i=d}g=a+12|0;f[g>>2]=e;return e|0}function GQb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=f[a+20>>2]|0;if(c|0){d=a+28|0;e=0;do{_Lb(1,f[(f[d>>2]|0)+4+(e<<2)>>2]|0,b);e=e+1|0}while((e|0)!=(c|0))}c=f[a+4>>2]|0;if(!(c&1))return;Abc(c&-2,b);return}function HQb(a){a=a|0;return f[a+12>>2]|0}function IQb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;e=f[a+20>>2]|0;if(!e)g=d;else{h=a+28|0;i=0;j=d;while(1){d=f[(f[h>>2]|0)+4+(i<<2)>>2]|0;b[j>>0]=10;k=j+1|0;l=di[f[(f[d>>2]|0)+60>>2]&1023](d)|0;if(l>>>0>127){m=l;n=k;while(1){b[n>>0]=m|128;o=m>>>7;p=n+1|0;if(m>>>0>16383){m=o;n=p}else{q=p;r=o;break}}}else{q=k;r=l}b[q>>0]=r;n=li[f[(f[d>>2]|0)+64>>2]&511](d,c,q+1|0)|0;i=i+1|0;if((i|0)==(e|0)){g=n;break}else j=n}}j=f[a+4>>2]|0;if(!(j&1)){s=g;return s|0}s=Bbc(j&-2,g)|0;return s|0}function JQb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0;if((a|0)==(b|0))return;c=a+20|0;d=f[c>>2]|0;if((d|0)>0){e=f[a+28>>2]|0;g=0;do{p$b(f[e+4+(g<<2)>>2]|0);g=g+1|0}while((g|0)!=(d|0));f[c>>2]=0}f[a+8>>2]=0;c=a+4|0;d=f[c>>2]|0;if(d&1|0?(g=d&-2,f[g>>2]|0):0)ebc(g);g=ovc(b,24728,24080,0)|0;if(!g){A9b(b,a);return}b=f[g+4>>2]|0;if(b&1|0){d=f[c>>2]|0;if(!(d&1))h=OOa(c)|0;else h=d&-2;hbc(h,b&-2)}M$b(a+16|0,g+16|0);return}function KQb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=ovc(b,24728,24080,0)|0;if(!c){A9b(b,a);return}b=a+4|0;d=f[c+4>>2]|0;if(d&1|0){e=f[b>>2]|0;if(!(e&1))g=OOa(b)|0;else g=e&-2;hbc(g,d&-2)}M$b(a+16|0,c+16|0);return}function LQb(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function MQb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224998]|0)!=2){f[d>>2]=151624;f[d+4>>2]=135;b[d+8>>0]=0;xLb(899992,d);QKb(d)}d=544400;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function NQb(){var a=0,c=0,d=0,e=0,g=0,h=0;a=u;u=u+16|0;c=a;if((f[224999]|0)!=2){f[c>>2]=151624;f[c+4>>2]=136;b[c+8>>0]=0;xLb(899996,c);QKb(c)}d=cuc(48)|0;f[c>>2]=d;f[c+8>>2]=-2147483600;f[c+4>>2]=32;e=d;g=500615;h=e+32|0;do{b[e>>0]=b[g>>0]|0;e=e+1|0;g=g+1|0}while((e|0)<(h|0));b[d+32>>0]=0;T3b(c,153804,154128,152180,0,544400,899968,0);if((b[c+11>>0]|0)>=0){u=a;return}fuc(f[c>>2]|0);u=a;return}function OQb(){PQb();bQb(500648,5968);n9b(500615,2005);return}function PQb(){var a=0,c=0;a=u;u=u+16|0;c=a;if((f[225e3]|0)!=2){f[c>>2]=151624;f[c+4>>2]=137;b[c+8>>0]=0;xLb(9e5,c);QKb(c)}if((f[225001]|0)!=2){f[c>>2]=151624;f[c+4>>2]=138;b[c+8>>0]=0;xLb(900004,c);QKb(c)}if((f[225002]|0)!=2){f[c>>2]=151624;f[c+4>>2]=139;b[c+8>>0]=0;xLb(900008,c);QKb(c)}if((f[225003]|0)!=2){f[c>>2]=151624;f[c+4>>2]=140;b[c+8>>0]=0;xLb(900012,c);QKb(c)}if((f[225004]|0)!=2){f[c>>2]=151624;f[c+4>>2]=141;b[c+8>>0]=0;xLb(900016,c);QKb(c)}if((f[225005]|0)!=2){f[c>>2]=151624;f[c+4>>2]=142;b[c+8>>0]=0;xLb(900020,c);QKb(c)}if((f[225006]|0)!=2){f[c>>2]=151624;f[c+4>>2]=143;b[c+8>>0]=0;xLb(900024,c);QKb(c)}if((f[225007]|0)!=2){f[c>>2]=151624;f[c+4>>2]=144;b[c+8>>0]=0;xLb(900028,c);QKb(c)}if((f[225008]|0)!=2){f[c>>2]=151624;f[c+4>>2]=145;b[c+8>>0]=0;xLb(900032,c);QKb(c)}if((f[225009]|0)!=2){f[c>>2]=151624;f[c+4>>2]=146;b[c+8>>0]=0;xLb(900036,c);QKb(c)}if((f[225010]|0)!=2){f[c>>2]=151624;f[c+4>>2]=147;b[c+8>>0]=0;xLb(900040,c);QKb(c)}if((f[225011]|0)!=2){f[c>>2]=151624;f[c+4>>2]=148;b[c+8>>0]=0;xLb(900044,c);QKb(c)}if((f[225012]|0)!=2){f[c>>2]=151624;f[c+4>>2]=149;b[c+8>>0]=0;xLb(900048,c);QKb(c)}if((f[225013]|0)!=2){f[c>>2]=151624;f[c+4>>2]=150;b[c+8>>0]=0;xLb(900052,c);QKb(c)}if((f[225014]|0)!=2){f[c>>2]=151624;f[c+4>>2]=151;b[c+8>>0]=0;xLb(900056,c);QKb(c)}if((f[225015]|0)!=2){f[c>>2]=151624;f[c+4>>2]=152;b[c+8>>0]=0;xLb(900060,c);QKb(c)}if((f[225016]|0)!=2){f[c>>2]=151624;f[c+4>>2]=153;b[c+8>>0]=0;xLb(900064,c);QKb(c)}if((f[225017]|0)!=2){f[c>>2]=151624;f[c+4>>2]=154;b[c+8>>0]=0;xLb(900068,c);QKb(c)}if((f[225018]|0)!=2){f[c>>2]=151624;f[c+4>>2]=155;b[c+8>>0]=0;xLb(900072,c);QKb(c)}if((f[225019]|0)!=2){f[c>>2]=151624;f[c+4>>2]=156;b[c+8>>0]=0;xLb(900076,c);QKb(c)}if((f[225020]|0)!=2){f[c>>2]=151624;f[c+4>>2]=157;b[c+8>>0]=0;xLb(900080,c);QKb(c)}if((f[225021]|0)!=2){f[c>>2]=151624;f[c+4>>2]=158;b[c+8>>0]=0;xLb(900084,c);QKb(c)}if((f[225022]|0)!=2){f[c>>2]=151624;f[c+4>>2]=159;b[c+8>>0]=0;xLb(900088,c);QKb(c)}if((f[225023]|0)!=2){f[c>>2]=151624;f[c+4>>2]=160;b[c+8>>0]=0;xLb(900092,c);QKb(c)}if((f[225024]|0)!=2){f[c>>2]=151624;f[c+4>>2]=161;b[c+8>>0]=0;xLb(900096,c);QKb(c)}if((f[225025]|0)!=2){f[c>>2]=151624;f[c+4>>2]=162;b[c+8>>0]=0;xLb(900100,c);QKb(c)}if((f[225026]|0)==2){u=a;return}f[c>>2]=151624;f[c+4>>2]=163;b[c+8>>0]=0;xLb(900104,c);QKb(c);u=a;return}function QQb(a){a=a|0;var c=0;a=u;u=u+16|0;c=a;if((f[224998]|0)!=2){f[c>>2]=151624;f[c+4>>2]=135;b[c+8>>0]=0;xLb(899992,c);QKb(c)}Y3b(544400,27);u=a;return}function RQb(){var a=0,c=0;a=u;u=u+16|0;c=a;TKb(3005001,3005e3,506617);LIb();if((f[225001]|0)!=2){f[c>>2]=151624;f[c+4>>2]=138;b[c+8>>0]=0;xLb(900004,c);QKb(c)}f[135728]=153704;f[135729]=0;f[135730]=0;f[135731]=0;f[135732]=0;f[135733]=0;f[135734]=0;f[135735]=0;qLb(542912);u=a;return}function SQb(){var a=0,c=0,d=0;a=u;u=u+16|0;c=a;TKb(3005001,3005e3,506617);LIb();if((f[225004]|0)!=2){f[c>>2]=151624;f[c+4>>2]=141;b[c+8>>0]=0;xLb(900016,c);QKb(c)}if((f[225009]|0)!=2){f[c>>2]=151624;f[c+4>>2]=146;b[c+8>>0]=0;xLb(900036,c);QKb(c)}if((f[225011]|0)!=2){f[c>>2]=151624;f[c+4>>2]=148;b[c+8>>0]=0;xLb(900044,c);QKb(c)}if((f[225006]|0)!=2){f[c>>2]=151624;f[c+4>>2]=143;b[c+8>>0]=0;xLb(900024,c);QKb(c)}if((f[225013]|0)!=2){f[c>>2]=151624;f[c+4>>2]=150;b[c+8>>0]=0;xLb(900052,c);QKb(c)}if((f[225024]|0)!=2){f[c>>2]=151624;f[c+4>>2]=161;b[c+8>>0]=0;xLb(900096,c);QKb(c)}f[135736]=156944;f[135737]=0;c=542952;d=c+112|0;do{f[c>>2]=0;c=c+4|0}while((c|0)<(d|0));f[135766]=542896;f[135767]=542896;f[135768]=542896;c=543076;f[c>>2]=0;f[c+4>>2]=0;qLb(542944);f[135769]=543632;f[135770]=544288;u=a;return}function TQb(){var a=0,c=0;a=u;u=u+16|0;c=a;TKb(3005001,3005e3,506617);LIb();if((f[225005]|0)!=2){f[c>>2]=151624;f[c+4>>2]=142;b[c+8>>0]=0;xLb(900020,c);QKb(c)}f[135772]=156836;f[135773]=0;f[135774]=0;f[135775]=0;f[135776]=0;f[135777]=0;f[135778]=0;qLb(543088);f[135776]=543296;u=a;return}function UQb(){TKb(3005001,3005e3,506617);LIb();f[135780]=156728;f[135781]=0;f[135782]=0;f[135783]=0;f[135784]=0;f[135785]=0;qLb(543120);return}function VQb(){var a=0,c=0;a=u;u=u+16|0;c=a;TKb(3005001,3005e3,506617);LIb();if((f[225006]|0)!=2){f[c>>2]=151624;f[c+4>>2]=143;b[c+8>>0]=0;xLb(900024,c);QKb(c)}if((f[225009]|0)!=2){f[c>>2]=151624;f[c+4>>2]=146;b[c+8>>0]=0;xLb(900036,c);QKb(c)}if((f[225002]|0)!=2){f[c>>2]=151624;f[c+4>>2]=139;b[c+8>>0]=0;xLb(900008,c);QKb(c)}if((f[225007]|0)!=2){f[c>>2]=151624;f[c+4>>2]=144;b[c+8>>0]=0;xLb(900028,c);QKb(c)}if((f[225014]|0)!=2){f[c>>2]=151624;f[c+4>>2]=151;b[c+8>>0]=0;xLb(900056,c);QKb(c)}if((f[225003]|0)==2){f[135786]=156620;f[135787]=0;kzc(543152,0,136)|0;f[135822]=542896;f[135823]=0;qLb(543144);f[135823]=543728;u=a;return}f[c>>2]=151624;f[c+4>>2]=140;b[c+8>>0]=0;xLb(900012,c);QKb(c);f[135786]=156620;f[135787]=0;kzc(543152,0,136)|0;f[135822]=542896;f[135823]=0;qLb(543144);f[135823]=543728;u=a;return}function WQb(){var a=0,c=0;a=u;u=u+16|0;c=a;TKb(3005001,3005e3,506617);LIb();if((f[225022]|0)!=2){f[c>>2]=151624;f[c+4>>2]=159;b[c+8>>0]=0;xLb(900088,c);QKb(c)}f[135824]=156512;fcc(543300);f[135829]=0;f[135830]=0;f[135831]=0;f[135832]=0;f[135833]=0;f[135834]=0;f[135835]=0;qLb(543296);u=a;return}function XQb(){var a=0,c=0;a=u;u=u+16|0;c=a;TKb(3005001,3005e3,506617);LIb();if((f[225015]|0)!=2){f[c>>2]=151624;f[c+4>>2]=152;b[c+8>>0]=0;xLb(900060,c);QKb(c)}f[135836]=156404;f[135837]=0;f[135838]=0;f[135839]=0;f[135840]=542896;f[135841]=542896;f[135842]=542896;f[135843]=542896;f[135844]=542896;f[135845]=0;f[135846]=0;f[135847]=0;f[135848]=1;f[135849]=1;qLb(543344);f[135845]=543784;u=a;return}function YQb(){var a=0,c=0;a=u;u=u+16|0;c=a;TKb(3005001,3005e3,506617);LIb();if((f[225016]|0)!=2){f[c>>2]=151624;f[c+4>>2]=153;b[c+8>>0]=0;xLb(900064,c);QKb(c)}f[135850]=156296;f[135851]=0;f[135852]=0;f[135853]=0;f[135854]=542896;f[135855]=0;qLb(543400);f[135855]=543848;u=a;return}function ZQb(){TKb(3005001,3005e3,506617);LIb();f[135856]=156188;f[135857]=0;f[135858]=0;f[135859]=0;f[135860]=0;f[135861]=0;qLb(543424);return}function _Qb(){var a=0,c=0,d=0;a=u;u=u+16|0;c=a;TKb(3005001,3005e3,506617);LIb();if((f[225010]|0)!=2){f[c>>2]=151624;f[c+4>>2]=147;b[c+8>>0]=0;xLb(900040,c);QKb(c)}if((f[225017]|0)!=2){f[c>>2]=151624;f[c+4>>2]=154;b[c+8>>0]=0;xLb(900068,c);QKb(c)}if((f[225008]|0)!=2){f[c>>2]=151624;f[c+4>>2]=145;b[c+8>>0]=0;xLb(900032,c);QKb(c)}f[135862]=156080;f[135863]=0;c=543456;d=c+56|0;do{f[c>>2]=0;c=c+4|0}while((c|0)<(d|0));f[135878]=542896;f[135879]=0;qLb(543448);f[135879]=543896;u=a;return}function $Qb(){var a=0,c=0;a=u;u=u+16|0;c=a;TKb(3005001,3005e3,506617);LIb();if((f[225018]|0)!=2){f[c>>2]=151624;f[c+4>>2]=155;b[c+8>>0]=0;xLb(900072,c);QKb(c)}f[135880]=155972;f[135881]=0;f[135882]=0;f[135883]=0;f[135884]=542896;c=543540;f[c>>2]=0;f[c+4>>2]=0;qLb(543520);f[135885]=543952;u=a;return}function aRb(){var a=0,c=0;a=u;u=u+16|0;c=a;TKb(3005001,3005e3,506617);LIb();if((f[225012]|0)!=2){f[c>>2]=151624;f[c+4>>2]=149;b[c+8>>0]=0;xLb(900048,c);QKb(c)}if((f[225019]|0)!=2){f[c>>2]=151624;f[c+4>>2]=156;b[c+8>>0]=0;xLb(900076,c);QKb(c)}f[135888]=155864;f[135889]=0;f[135890]=0;f[135891]=0;f[135892]=0;f[135893]=0;f[135894]=0;f[135895]=0;f[135896]=542896;f[135897]=0;qLb(543552);f[135897]=544008;u=a;return}function bRb(){var a=0,c=0;a=u;u=u+16|0;c=a;TKb(3005001,3005e3,506617);LIb();if((f[225020]|0)!=2){f[c>>2]=151624;f[c+4>>2]=157;b[c+8>>0]=0;xLb(900080,c);QKb(c)}f[135898]=155756;f[135899]=0;f[135900]=0;f[135901]=0;f[135902]=542896;f[135903]=542896;f[135904]=542896;f[135905]=0;d[271812]=0;qLb(543592);f[135905]=544064;u=a;return}function cRb(){var a=0,c=0;a=u;u=u+16|0;c=a;TKb(3005001,3005e3,506617);LIb();if((f[225022]|0)!=2){f[c>>2]=151624;f[c+4>>2]=159;b[c+8>>0]=0;xLb(900088,c);QKb(c)}f[135908]=155648;fcc(543636);f[135913]=0;f[135914]=0;f[135915]=0;f[135916]=0;f[135917]=0;f[135918]=0;f[135919]=0;f[135920]=542896;f[135921]=542896;f[135922]=542896;f[135923]=542896;f[135924]=542896;f[135925]=542896;f[135926]=542896;f[135927]=542896;f[135928]=0;f[135929]=0;b[543720]=0;f[135931]=1;qLb(543632);u=a;return}function dRb(){var a=0,c=0;a=u;u=u+16|0;c=a;TKb(3005001,3005e3,506617);LIb();if((f[225022]|0)!=2){f[c>>2]=151624;f[c+4>>2]=159;b[c+8>>0]=0;xLb(900088,c);QKb(c)}f[135932]=155540;fcc(543732);f[135937]=0;f[135938]=0;f[135939]=0;f[135940]=0;f[135941]=0;f[135942]=0;f[135943]=0;f[135944]=0;qLb(543728);u=a;return}function eRb(){var a=0,c=0,d=0;a=u;u=u+16|0;c=a;TKb(3005001,3005e3,506617);LIb();if((f[225022]|0)!=2){f[c>>2]=151624;f[c+4>>2]=159;b[c+8>>0]=0;xLb(900088,c);QKb(c)}f[135946]=155432;fcc(543788);c=543804;d=c+40|0;do{f[c>>2]=0;c=c+4|0}while((c|0)<(d|0));qLb(543784);u=a;return}function fRb(){var a=0,c=0;a=u;u=u+16|0;c=a;TKb(3005001,3005e3,506617);LIb();if((f[225022]|0)!=2){f[c>>2]=151624;f[c+4>>2]=159;b[c+8>>0]=0;xLb(900088,c);QKb(c)}f[135962]=155324;fcc(543852);f[135967]=0;f[135968]=0;f[135969]=0;f[135970]=0;f[135971]=0;f[135972]=0;f[135973]=0;qLb(543848);u=a;return}function gRb(){var a=0,c=0;a=u;u=u+16|0;c=a;TKb(3005001,3005e3,506617);LIb();if((f[225022]|0)!=2){f[c>>2]=151624;f[c+4>>2]=159;b[c+8>>0]=0;xLb(900088,c);QKb(c)}f[135974]=155216;fcc(543900);f[135979]=0;f[135980]=0;f[135981]=0;f[135982]=0;f[135983]=0;f[135984]=0;f[135985]=0;d[271972]=0;qLb(543896);u=a;return}function hRb(){var a=0,c=0;a=u;u=u+16|0;c=a;TKb(3005001,3005e3,506617);LIb();if((f[225022]|0)!=2){f[c>>2]=151624;f[c+4>>2]=159;b[c+8>>0]=0;xLb(900088,c);QKb(c)}f[135988]=155108;fcc(543956);f[135993]=0;f[135994]=0;f[135995]=0;f[135996]=0;f[135997]=0;f[135998]=0;f[135999]=0;b[544e3]=0;qLb(543952);u=a;return}function iRb(){var a=0,c=0;a=u;u=u+16|0;c=a;TKb(3005001,3005e3,506617);LIb();if((f[225022]|0)!=2){f[c>>2]=151624;f[c+4>>2]=159;b[c+8>>0]=0;xLb(900088,c);QKb(c)}f[136002]=155e3;fcc(544012);f[136007]=0;f[136008]=0;f[136009]=0;f[136010]=0;f[136011]=0;f[136012]=0;f[136013]=0;b[544056]=0;qLb(544008);u=a;return}function jRb(){var a=0,c=0,d=0;a=u;u=u+16|0;c=a;TKb(3005001,3005e3,506617);LIb();if((f[225022]|0)!=2){f[c>>2]=151624;f[c+4>>2]=159;b[c+8>>0]=0;xLb(900088,c);QKb(c)}f[136016]=154892;fcc(544068);c=544084;d=c+36|0;do{f[c>>2]=0;c=c+4|0}while((c|0)<(d|0));qLb(544064);u=a;return}function kRb(){TKb(3005001,3005e3,506617);LIb();f[136030]=154784;f[136031]=0;f[136032]=0;f[136033]=0;f[136034]=542896;b[544140]=0;qLb(544120);return}function lRb(){var a=0,c=0;a=u;u=u+16|0;c=a;TKb(3005001,3005e3,506617);LIb();if((f[225021]|0)!=2){f[c>>2]=151624;f[c+4>>2]=158;b[c+8>>0]=0;xLb(900084,c);QKb(c)}f[136036]=154676;f[136037]=0;f[136038]=0;f[136039]=0;f[136040]=0;f[136041]=0;f[136042]=0;f[136043]=0;f[136044]=542896;f[136045]=542896;f[136046]=542896;f[136048]=0;f[136049]=0;f[136050]=0;f[136051]=0;f[136052]=0;f[136053]=0;qLb(544144);u=a;return}function mRb(){TKb(3005001,3005e3,506617);LIb();f[136054]=154568;f[136055]=0;f[136062]=0;f[136063]=0;f[136064]=0;f[136066]=0;f[136067]=0;f[136068]=0;f[136069]=0;f[136056]=0;f[136057]=0;f[136058]=0;f[136059]=0;f[136060]=0;f[136070]=542896;f[136071]=542896;qLb(544216);return}function nRb(){var a=0,c=0;a=u;u=u+16|0;c=a;TKb(3005001,3005e3,506617);LIb();if((f[225023]|0)!=2){f[c>>2]=151624;f[c+4>>2]=160;b[c+8>>0]=0;xLb(900092,c);QKb(c)}f[136072]=154460;f[136073]=0;f[136074]=0;f[136075]=0;f[136076]=0;f[136077]=0;f[136078]=0;f[136079]=0;qLb(544288);u=a;return}function oRb(){var a=0;TKb(3005001,3005e3,506617);LIb();f[136080]=154352;f[136081]=0;f[136082]=0;f[136083]=0;f[136084]=0;f[136085]=0;f[136086]=0;f[136088]=542896;a=544356;f[a>>2]=0;f[a+4>>2]=0;qLb(544320);return}function pRb(){var a=0,c=0;a=u;u=u+16|0;c=a;TKb(3005001,3005e3,506617);LIb();if((f[225025]|0)!=2){f[c>>2]=151624;f[c+4>>2]=162;b[c+8>>0]=0;xLb(900100,c);QKb(c)}f[136092]=154244;f[136093]=0;f[136094]=0;f[136095]=0;f[136096]=0;f[136097]=0;f[136098]=0;f[136099]=0;qLb(544368);u=a;return}function qRb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0;f[a>>2]=154244;b=a+28|0;c=f[b>>2]|0;if(c|0?(f[a+16>>2]|0)==0:0){d=f[c>>2]|0;if((d|0)>0){e=0;do{g=f[c+4+(e<<2)>>2]|0;if(g|0)bi[f[(f[g>>2]|0)+4>>2]&2047](g);e=e+1|0}while((e|0)!=(d|0));h=f[b>>2]|0}else h=c;fuc(h)}f[b>>2]=0;b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}h=a&-2;a=h;if((h|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(h);f[b>>2]=0;return}function rRb(a){a=a|0;qRb(a);fuc(a);return}function sRb(a){a=a|0;a=cuc(32)|0;bSb(a);return a|0}function tRb(a,b){a=a|0;b=b|0;var c=0;if(!b){a=cuc(32)|0;bSb(a);c=a;return c|0}if(f[b+64>>2]|0)HIb(b,24096,32);a=FIb(b,32)|0;cSb(a,b);c=a;return c|0}function uRb(a){a=a|0;var b=0,c=0;b=f[a+4>>2]|0;a=b&-2;if(!(b&1)){c=a;return c|0}else{c=f[a+4>>2]|0;return c|0}return 0}function vRb(a){a=a|0;return f[a+4>>2]|0}function wRb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;c=a+20|0;d=f[c>>2]|0;if((d|0)>0){e=f[a+28>>2]|0;g=0;do{h=f[e+4+(g<<2)>>2]|0;g=g+1|0;f[h+16>>2]=0;i=h+8|0;j=f[i>>2]|0;do if(j&1|0?(k=f[h+32>>2]|0,(k|0)!=542896):0){l=k+11|0;if((b[l>>0]|0)<0){b[f[k>>2]>>0]=0;f[k+4>>2]=0;break}else{b[k>>0]=0;b[l>>0]=0;break}}while(0);if(j&6|0){l=h+36|0;f[l>>2]=0;f[l+4>>2]=0}f[i>>2]=0;l=f[h+4>>2]|0;if(l&1|0?(k=l&-2,f[k>>2]|0):0)ebc(k)}while((g|0)!=(d|0));f[c>>2]=0}f[a+8>>2]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;ebc(a);return}function xRb(a){a=a|0;return 1}function yRb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;d=u;u=u+16|0;e=d;g=c+4|0;h=a+16|0;i=a+28|0;j=a+24|0;k=a+20|0;l=e+4|0;m=a+4|0;while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){n=b[a>>0]|0;o=n&255;if(n<<24>>24>0){f[c>>2]=a+1;p=o;q=6}else{r=o;q=5}}else{r=0;q=5}if((q|0)==5){q=0;o=OJb(c,r)|0;if((o+-1|0)>>>0<127){p=o;q=6}else s=o}if((q|0)==6){q=0;if((p|0)==10){o=f[i>>2]|0;do if(o){a=f[k>>2]|0;n=f[o>>2]|0;if((a|0)>=(n|0))if((n|0)==(f[j>>2]|0)){t=n;q=12;break}else{v=n;w=o;q=13;break}else{f[k>>2]=a+1;x=f[o+4+(a<<2)>>2]|0;break}}else{t=f[j>>2]|0;q=12}while(0);if((q|0)==12){q=0;LKb(h,t+1|0);o=f[i>>2]|0;v=f[o>>2]|0;w=o;q=13}if((q|0)==13){q=0;f[w>>2]=v+1;o=f[h>>2]|0;if(!o){a=cuc(44)|0;IRb(a);y=a}else{if(f[o+64>>2]|0)HIb(o,24112,48);a=FIb(o,48)|0;KRb(a,o);y=a}a=f[i>>2]|0;o=f[k>>2]|0;f[k>>2]=o+1;f[a+4+(o<<2)>>2]=y;x=y}o=f[c>>2]|0;if(o>>>0<(f[g>>2]|0)>>>0?(a=b[o>>0]|0,a<<24>>24>-1):0){f[c>>2]=o+1;z=a&255}else{a=NJb(c)|0;if((a|0)>-1)z=a;else{A=0;q=32;break}}yJb(e,c,z);if((f[l>>2]|0)<0){q=25;break}if(!(Th[f[(f[x>>2]|0)+44>>2]&1023](x,c)|0)){q=25;break}if(DJb(c,f[e>>2]|0)|0)continue;else{A=0;q=32;break}}else s=p}if(!s){A=1;q=32;break}a=f[m>>2]|0;if(!(a&1))B=OOa(m)|0;else B=a&-2;if(!(xbc(c,s,B)|0)){A=0;q=32;break}}if((q|0)==25){A=0;u=d;return A|0}else if((q|0)==32){u=d;return A|0}return 0}function zRb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=Dbc(b&-2)|0;b=f[a+20>>2]|0;d=b+c|0;if(!b){e=d;g=a+12|0;f[g>>2]=e;return e|0}c=a+28|0;h=0;i=d;while(1){d=f[(f[c>>2]|0)+4+(h<<2)>>2]|0;j=di[f[(f[d>>2]|0)+48>>2]&1023](d)|0;d=j+i+((((($(j|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=h+1|0;if((h|0)==(b|0)){e=d;break}else i=d}g=a+12|0;f[g>>2]=e;return e|0}function ARb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=f[a+20>>2]|0;if(c|0){d=a+28|0;e=0;do{_Lb(1,f[(f[d>>2]|0)+4+(e<<2)>>2]|0,b);e=e+1|0}while((e|0)!=(c|0))}c=f[a+4>>2]|0;if(!(c&1))return;Abc(c&-2,b);return}function BRb(a){a=a|0;return f[a+12>>2]|0}function CRb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;e=f[a+20>>2]|0;if(!e)g=d;else{h=a+28|0;i=0;j=d;while(1){d=f[(f[h>>2]|0)+4+(i<<2)>>2]|0;b[j>>0]=10;k=j+1|0;l=di[f[(f[d>>2]|0)+60>>2]&1023](d)|0;if(l>>>0>127){m=l;n=k;while(1){b[n>>0]=m|128;o=m>>>7;p=n+1|0;if(m>>>0>16383){m=o;n=p}else{q=p;r=o;break}}}else{q=k;r=l}b[q>>0]=r;n=li[f[(f[d>>2]|0)+64>>2]&511](d,c,q+1|0)|0;i=i+1|0;if((i|0)==(e|0)){g=n;break}else j=n}}j=f[a+4>>2]|0;if(!(j&1)){s=g;return s|0}s=Bbc(j&-2,g)|0;return s|0}function DRb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;if((a|0)==(b|0))return;wRb(a);c=ovc(b,24728,24096,0)|0;if(!c){A9b(b,a);return}b=a+4|0;d=f[c+4>>2]|0;if(d&1|0){e=f[b>>2]|0;if(!(e&1))g=OOa(b)|0;else g=e&-2;hbc(g,d&-2)}HRb(a+16|0,c+16|0);return}function ERb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=ovc(b,24728,24096,0)|0;if(!c){A9b(b,a);return}b=a+4|0;d=f[c+4>>2]|0;if(d&1|0){e=f[b>>2]|0;if(!(e&1))g=OOa(b)|0;else g=e&-2;hbc(g,d&-2)}HRb(a+16|0,c+16|0);return}function FRb(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function GRb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224998]|0)!=2){f[d>>2]=151624;f[d+4>>2]=135;b[d+8>>0]=0;xLb(899992,d);QKb(d)}d=544608;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function HRb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=f[b+4>>2]|0;if(!c)return;d=f[b+12>>2]|0;b=KKb(a,c)|0;e=a+12|0;g=a+4|0;h=(f[f[e>>2]>>2]|0)-(f[g>>2]|0)|0;if((h|0)>0&(c|0)>0){i=0;do{JRb(f[d+4+(i<<2)>>2]|0,f[b+(i<<2)>>2]|0);i=i+1|0}while((i|0)<(h|0)&(i|0)<(c|0))}i=f[a>>2]|0;a:do if((h|0)<(c|0)){a=i+64|0;if(!i){j=h;while(1){k=f[d+4+(j<<2)>>2]|0;l=cuc(44)|0;IRb(l);JRb(k,l);f[b+(j<<2)>>2]=l;j=j+1|0;if((j|0)>=(c|0))break a}}else m=h;do{j=f[d+4+(m<<2)>>2]|0;if(f[a>>2]|0)HIb(i,24112,48);l=FIb(i,48)|0;KRb(l,i);JRb(j,l);f[b+(m<<2)>>2]=l;m=m+1|0}while((m|0)!=(c|0))}while(0);m=(f[g>>2]|0)+c|0;f[g>>2]=m;g=f[e>>2]|0;if((f[g>>2]|0)>=(m|0))return;f[g>>2]=m;return}function IRb(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=154352;f[a+4>>2]=0;f[a+8>>2]=0;f[a+16>>2]=0;f[a+20>>2]=0;f[a+24>>2]=0;if((a|0)!=544320?(f[225025]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=162;b[d+8>>0]=0;xLb(900100,d);QKb(d)}f[a+12>>2]=0;f[a+32>>2]=542896;d=a+36|0;f[d>>2]=0;f[d+4>>2]=0;u=c;return}function JRb(a,b){a=a|0;b=b|0;aSb(b,a);return}function KRb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+16|0;e=d;f[a>>2]=154352;f[a+4>>2]=c;f[a+8>>2]=0;f[a+16>>2]=0;f[a+20>>2]=0;g=a+24|0;f[g>>2]=0;if(c|0){if(f[c+64>>2]|0)HIb(c,27008,8);h=FIb(c,8)|0;f[g>>2]=h;f[h>>2]=c}if((f[225025]|0)!=2){f[e>>2]=151624;f[e+4>>2]=162;b[e+8>>0]=0;xLb(900100,e);QKb(e)}f[a+12>>2]=0;f[a+32>>2]=542896;e=a+36|0;f[e>>2]=0;f[e+4>>2]=0;u=d;return}function LRb(a){a=a|0;var c=0,d=0;f[a>>2]=154352;c=f[a+32>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}c=f[a+24>>2]|0;if(c|0?(f[c>>2]|0)==0:0)fuc(c);c=a+4|0;a=f[c>>2]|0;if(!(a&1)){f[c>>2]=0;return}d=a&-2;a=d;if((d|0)==0|(f[a+4>>2]|0)!=0){f[c>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(d);f[c>>2]=0;return}function MRb(a){a=a|0;LRb(a);fuc(a);return}function NRb(a){a=a|0;a=cuc(44)|0;IRb(a);return a|0}function ORb(a,b){a=a|0;b=b|0;var c=0;if(!b){a=cuc(44)|0;IRb(a);c=a;return c|0}if(f[b+64>>2]|0)HIb(b,24112,48);a=FIb(b,48)|0;KRb(a,b);c=a;return c|0}function PRb(a){a=a|0;var b=0,c=0;b=f[a+4>>2]|0;a=b&-2;if(!(b&1)){c=a;return c|0}else{c=f[a+4>>2]|0;return c|0}return 0}function QRb(a){a=a|0;return f[a+4>>2]|0}function RRb(a){a=a|0;var c=0,d=0,e=0,g=0;f[a+16>>2]=0;c=a+8|0;d=f[c>>2]|0;do if(d&1|0?(e=f[a+32>>2]|0,(e|0)!=542896):0){g=e+11|0;if((b[g>>0]|0)<0){b[f[e>>2]>>0]=0;f[e+4>>2]=0;break}else{b[e>>0]=0;b[g>>0]=0;break}}while(0);if(d&6|0){d=a+36|0;f[d>>2]=0;f[d+4>>2]=0}f[c>>2]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;ebc(a);return}function SRb(a){a=a|0;return 1}function TRb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;d=c+4|0;e=a+16|0;g=a+20|0;h=a+24|0;i=a+8|0;j=a+32|0;k=a+4|0;l=a+36|0;m=a+40|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[d>>2]|0)>>>0){n=b[a>>0]|0;o=n&255;if(n<<24>>24>0){f[c>>2]=a+1;p=o;q=6}else{r=o;q=5}}else{r=0;q=5}if((q|0)==5){q=0;o=OJb(c,r)|0;if((o+-1|0)>>>0<127){p=o;q=6}else s=o}b:do if((q|0)==6){q=0;switch(p>>>3&536870911|0){case 1:{switch((p&255)<<24>>24){case 10:break;case 8:{if(rRa(1,10,c,e)|0)continue a;else{t=0;q=46;break a}break}default:{s=p;break b}}o=f[c>>2]|0;if(o>>>0<(f[d>>2]|0)>>>0?(a=b[o>>0]|0,a<<24>>24>-1):0){f[c>>2]=o+1;u=a&255}else{a=NJb(c)|0;if((a|0)>-1)u=a;else{t=0;q=46;break a}}a=wJb(c,u)|0;if((EJb(c)|0)>0)do{o=f[c>>2]|0;if(o>>>0<(f[d>>2]|0)>>>0){n=b[o>>0]|0;v=n&255;if(n<<24>>24>-1){f[c>>2]=o+1;w=v}else{x=v;q=16}}else{x=0;q=16}if((q|0)==16){q=0;v=zJb(c,x)|0;o=J;if((o|0)>-1|(o|0)==-1&v>>>0>4294967295)w=v;else{t=0;q=46;break a}}v=f[e>>2]|0;if((v|0)==(f[g>>2]|0)){NEa(e,v+1|0);y=f[e>>2]|0}else y=v;v=f[h>>2]|0;f[e>>2]=y+1;f[v+4+(y<<2)>>2]=w}while((EJb(c)|0)>0);xJb(c,a);continue a;break}case 2:{if((p&255|0)!=18){s=p;break b}f[i>>2]=f[i>>2]|1;v=f[k>>2]|0;o=v&-2;if(!(v&1))z=o;else z=f[o+4>>2]|0;o=f[j>>2]|0;if((o|0)==542896){QGa(j,z,542896);A=f[j>>2]|0}else A=o;if($Lb(c,A)|0)continue a;else{t=0;q=46;break a}break}case 3:{if((p&255|0)!=24){s=p;break b}f[i>>2]=f[i>>2]|2;o=f[c>>2]|0;if(o>>>0<(f[d>>2]|0)>>>0){v=b[o>>0]|0;n=v&255;if(v<<24>>24>-1){f[c>>2]=o+1;B=n}else{C=n;q=33}}else{C=0;q=33}if((q|0)==33){q=0;n=zJb(c,C)|0;o=J;if((o|0)>-1|(o|0)==-1&n>>>0>4294967295)B=n;else{t=0;q=46;break a}}f[l>>2]=B;continue a;break}case 4:{if((p&255|0)!=32){s=p;break b}f[i>>2]=f[i>>2]|4;n=f[c>>2]|0;if(n>>>0<(f[d>>2]|0)>>>0){o=b[n>>0]|0;v=o&255;if(o<<24>>24>-1){f[c>>2]=n+1;D=v}else{E=v;q=39}}else{E=0;q=39}if((q|0)==39){q=0;v=zJb(c,E)|0;n=J;if((n|0)>-1|(n|0)==-1&v>>>0>4294967295)D=v;else{t=0;q=46;break a}}f[m>>2]=D;continue a;break}default:{s=p;break b}}}while(0);if(!s){t=1;q=46;break}v=f[k>>2]|0;if(!(v&1))F=OOa(k)|0;else F=v&-2;if(!(xbc(c,s,F)|0)){t=0;q=46;break}}if((q|0)==46)return t|0;return 0}function URb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;c=f[a+4>>2]|0;if(!(c&1))d=0;else d=Dbc(c&-2)|0;c=bMb(a+16|0)|0;if(!c)e=d;else{if((c|0)<0)g=11;else g=((((($(c|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;e=g+d|0}f[a+28>>2]=c;d=e+c|0;c=f[a+8>>2]|0;if(!(c&7)){h=d;i=a+12|0;f[i>>2]=h;return h|0}if(!(c&1))j=d;else{e=f[a+32>>2]|0;g=b[e+11>>0]|0;k=g<<24>>24<0?f[e+4>>2]|0:g&255;j=d+1+k+((((($(k|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(c&2))l=j;else{k=f[a+36>>2]|0;if((k|0)<0)m=11;else m=((((($(k|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;l=m+j|0}if(!(c&4)){h=l;i=a+12|0;f[i>>2]=h;return h|0}c=f[a+40>>2]|0;if((c|0)<0)n=11;else n=((((($(c|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;h=n+l|0;i=a+12|0;f[i>>2]=h;return h|0}function VRb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;d=a+16|0;if((f[d>>2]|0)>0){e=c+8|0;if((f[e>>2]|0)>4){g=c+4|0;b[f[g>>2]>>0]=10;f[g>>2]=(f[g>>2]|0)+1;g=(f[e>>2]|0)+-1|0;f[e>>2]=g;h=g}else{VJb(c,10);h=f[e>>2]|0}g=f[a+28>>2]|0;if((h|0)>4){h=c+4|0;i=f[h>>2]|0;if(g>>>0>127){j=g;k=i;while(1){b[k>>0]=j|128;l=j>>>7;m=k+1|0;if(j>>>0>16383){j=l;k=m}else{n=m;o=l;break}}}else{n=i;o=g}b[n>>0]=o;o=n+1-i|0;f[h>>2]=(f[h>>2]|0)+o;f[e>>2]=(f[e>>2]|0)-o}else VJb(c,g);g=f[d>>2]|0;if((g|0)>0){d=a+24|0;o=c+8|0;e=c+4|0;h=0;do{i=f[(f[d>>2]|0)+4+(h<<2)>>2]|0;n=((i|0)<0)<<31>>31;if((f[o>>2]|0)>9){k=f[e>>2]|0;j=i&255;if(i>>>0>127){l=k;m=j;p=i;q=n;while(1){b[l>>0]=m|-128;r=p;p=pzc(p|0,q|0,7)|0;s=l+1|0;t=p&255;if(!(q>>>0>0|(q|0)==0&r>>>0>16383)){u=s;v=t;break}else{l=s;m=t;q=J}}}else{u=k;v=j}b[u>>0]=v;q=u+1-k|0;f[e>>2]=(f[e>>2]|0)+q;f[o>>2]=(f[o>>2]|0)-q}else WJb(c,i,n);h=h+1|0}while((h|0)!=(g|0))}}g=f[a+8>>2]|0;if(g&1|0)VLb(2,f[a+32>>2]|0,c);if(g&2|0)GLb(3,f[a+36>>2]|0,c);if(g&4|0)GLb(4,f[a+40>>2]|0,c);g=f[a+4>>2]|0;if(!(g&1))return;Abc(g&-2,c);return}function WRb(a){a=a|0;return f[a+12>>2]|0}function XRb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;c=a+16|0;if((f[c>>2]|0)>0){b[d>>0]=10;e=d+1|0;g=f[a+28>>2]|0;if(g>>>0>127){h=g;i=e;while(1){b[i>>0]=h|128;j=h>>>7;k=i+1|0;if(h>>>0>16383){h=j;i=k}else{l=k;m=j;break}}}else{l=e;m=g}b[l>>0]=m;m=f[c>>2]|0;c=f[a+24>>2]|0;g=0;e=l+1|0;while(1){l=f[c+4+(g<<2)>>2]|0;i=l&255;if(l>>>0>127){h=e;j=i;k=l;n=((l|0)<0)<<31>>31;while(1){b[h>>0]=j|-128;l=k;k=pzc(k|0,n|0,7)|0;o=h+1|0;p=k&255;if(!(n>>>0>0|(n|0)==0&l>>>0>16383)){q=o;r=p;break}else{h=o;j=p;n=J}}}else{q=e;r=i}b[q>>0]=r;n=q+1|0;g=g+1|0;if((g|0)>=(m|0)){s=n;break}else e=n}}else s=d;d=f[a+8>>2]|0;if(!(d&1))t=s;else{e=f[a+32>>2]|0;b[s>>0]=18;t=XJb(e,s+1|0)|0}if(!(d&2))u=t;else{s=f[a+36>>2]|0;b[t>>0]=24;e=t+1|0;t=s&255;if(s>>>0>127){m=e;g=t;q=s;r=((s|0)<0)<<31>>31;while(1){b[m>>0]=g|-128;s=q;q=pzc(q|0,r|0,7)|0;c=m+1|0;n=q&255;if(!(r>>>0>0|(r|0)==0&s>>>0>16383)){v=c;w=n;break}else{m=c;g=n;r=J}}}else{v=e;w=t}b[v>>0]=w;u=v+1|0}if(!(d&4))x=u;else{d=f[a+40>>2]|0;b[u>>0]=32;v=u+1|0;u=d&255;if(d>>>0>127){w=v;t=u;e=d;r=((d|0)<0)<<31>>31;while(1){b[w>>0]=t|-128;d=e;e=pzc(e|0,r|0,7)|0;g=w+1|0;m=e&255;if(!(r>>>0>0|(r|0)==0&d>>>0>16383)){y=g;z=m;break}else{w=g;t=m;r=J}}}else{y=v;z=u}b[y>>0]=z;x=y+1|0}y=f[a+4>>2]|0;if(!(y&1)){A=x;return A|0}A=Bbc(y&-2,x)|0;return A|0}function YRb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;if((a|0)==(c|0))return;f[a+16>>2]=0;d=a+8|0;e=f[d>>2]|0;do if(e&1|0?(g=f[a+32>>2]|0,(g|0)!=542896):0){h=g+11|0;if((b[h>>0]|0)<0){b[f[g>>2]>>0]=0;f[g+4>>2]=0;break}else{b[g>>0]=0;b[h>>0]=0;break}}while(0);if(e&6|0){e=a+36|0;f[e>>2]=0;f[e+4>>2]=0}f[d>>2]=0;d=f[a+4>>2]|0;if(d&1|0?(e=d&-2,f[e>>2]|0):0)ebc(e);e=ovc(c,24728,24112,0)|0;if(!e){A9b(c,a);return}else{aSb(a,e);return}}function ZRb(a,b){a=a|0;b=b|0;var c=0;c=ovc(b,24728,24112,0)|0;if(!c){A9b(b,a);return}else{aSb(a,c);return}}function _Rb(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function $Rb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224998]|0)!=2){f[d>>2]=151624;f[d+4>>2]=135;b[d+8>>0]=0;xLb(899992,d);QKb(d)}d=544600;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function aSb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0;c=a+4|0;d=f[b+4>>2]|0;if(d&1|0){e=f[c>>2]|0;if(!(e&1))g=OOa(c)|0;else g=e&-2;hbc(g,d&-2)}d=a+16|0;g=b+16|0;e=f[g>>2]|0;if(e|0){NEa(d,(f[d>>2]|0)+e|0);szc((f[a+24>>2]|0)+4+(f[d>>2]<<2)|0,(f[b+24>>2]|0)+4|0,f[g>>2]<<2|0)|0;f[d>>2]=(f[d>>2]|0)+(f[g>>2]|0)}g=f[b+8>>2]|0;if(!(g&7))return;do if(g&1|0){d=f[b+32>>2]|0;e=a+8|0;f[e>>2]=f[e>>2]|1;e=a+32|0;h=f[c>>2]|0;i=h&-2;if(!(h&1))j=i;else j=f[i+4>>2]|0;i=f[e>>2]|0;if((i|0)==542896){QGa(e,j,d);break}else{ruc(i,d)|0;break}}while(0);if(g&2|0)f[a+36>>2]=f[b+36>>2];if(g&4|0)f[a+40>>2]=f[b+40>>2];b=a+8|0;f[b>>2]=f[b>>2]|g;return}function bSb(a){a=a|0;var c=0,d=0,e=0;c=u;u=u+16|0;d=c;f[a>>2]=154244;f[a+4>>2]=0;f[a+8>>2]=0;e=a+16|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((a|0)!=544368?(f[225026]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=163;b[d+8>>0]=0;xLb(900104,d);QKb(d)}f[a+12>>2]=0;u=c;return}function cSb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+16|0;e=d;f[a>>2]=154244;f[a+4>>2]=c;f[a+8>>2]=0;f[a+16>>2]=c;f[a+20>>2]=0;f[a+24>>2]=0;f[a+28>>2]=0;if((f[225026]|0)==2){g=a+12|0;f[g>>2]=0;u=d;return}f[e>>2]=151624;f[e+4>>2]=163;b[e+8>>0]=0;xLb(900104,e);QKb(e);g=a+12|0;f[g>>2]=0;u=d;return}function dSb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0;f[a>>2]=154460;b=a+28|0;c=f[b>>2]|0;if(c|0?(f[a+16>>2]|0)==0:0){d=f[c>>2]|0;if((d|0)>0){e=0;do{g=f[c+4+(e<<2)>>2]|0;if(g|0)bi[f[(f[g>>2]|0)+4>>2]&2047](g);e=e+1|0}while((e|0)!=(d|0));h=f[b>>2]|0}else h=c;fuc(h)}f[b>>2]=0;b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}h=a&-2;a=h;if((h|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(h);f[b>>2]=0;return}function eSb(a){a=a|0;dSb(a);fuc(a);return}function fSb(a){a=a|0;a=cuc(32)|0;QSb(a);return a|0}function gSb(a,b){a=a|0;b=b|0;var c=0;if(!b){a=cuc(32)|0;QSb(a);c=a;return c|0}if(f[b+64>>2]|0)HIb(b,24128,32);a=FIb(b,32)|0;RSb(a,b);c=a;return c|0}function hSb(a){a=a|0;var b=0,c=0;b=f[a+4>>2]|0;a=b&-2;if(!(b&1)){c=a;return c|0}else{c=f[a+4>>2]|0;return c|0}return 0}function iSb(a){a=a|0;return f[a+4>>2]|0}function jSb(a){a=a|0;var b=0,c=0,d=0,e=0;b=a+20|0;c=f[b>>2]|0;if((c|0)>0){d=f[a+28>>2]|0;e=0;do{ESb(f[d+4+(e<<2)>>2]|0);e=e+1|0}while((e|0)!=(c|0));f[b>>2]=0}f[a+8>>2]=0;b=f[a+4>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;ebc(a);return}function kSb(a){a=a|0;return 1}function lSb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;d=u;u=u+16|0;e=d;g=c+4|0;h=a+16|0;i=a+28|0;j=a+24|0;k=a+20|0;l=e+4|0;m=a+4|0;while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){n=b[a>>0]|0;o=n&255;if(n<<24>>24>0){f[c>>2]=a+1;p=o;q=6}else{r=o;q=5}}else{r=0;q=5}if((q|0)==5){q=0;o=OJb(c,r)|0;if((o+-1|0)>>>0<127){p=o;q=6}else s=o}if((q|0)==6){q=0;if((p|0)==10){o=f[i>>2]|0;do if(o){a=f[k>>2]|0;n=f[o>>2]|0;if((a|0)>=(n|0))if((n|0)==(f[j>>2]|0)){t=n;q=12;break}else{v=n;w=o;q=13;break}else{f[k>>2]=a+1;x=f[o+4+(a<<2)>>2]|0;break}}else{t=f[j>>2]|0;q=12}while(0);if((q|0)==12){q=0;LKb(h,t+1|0);o=f[i>>2]|0;v=f[o>>2]|0;w=o;q=13}if((q|0)==13){q=0;f[w>>2]=v+1;o=f[h>>2]|0;if(!o){a=cuc(72)|0;vSb(a);y=a}else{if(f[o+64>>2]|0)HIb(o,24144,72);a=FIb(o,72)|0;xSb(a,o);y=a}a=f[i>>2]|0;o=f[k>>2]|0;f[k>>2]=o+1;f[a+4+(o<<2)>>2]=y;x=y}o=f[c>>2]|0;if(o>>>0<(f[g>>2]|0)>>>0?(a=b[o>>0]|0,a<<24>>24>-1):0){f[c>>2]=o+1;z=a&255}else{a=NJb(c)|0;if((a|0)>-1)z=a;else{A=0;q=32;break}}yJb(e,c,z);if((f[l>>2]|0)<0){q=25;break}if(!(Th[f[(f[x>>2]|0)+44>>2]&1023](x,c)|0)){q=25;break}if(DJb(c,f[e>>2]|0)|0)continue;else{A=0;q=32;break}}else s=p}if(!s){A=1;q=32;break}a=f[m>>2]|0;if(!(a&1))B=OOa(m)|0;else B=a&-2;if(!(xbc(c,s,B)|0)){A=0;q=32;break}}if((q|0)==25){A=0;u=d;return A|0}else if((q|0)==32){u=d;return A|0}return 0}function mSb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=Dbc(b&-2)|0;b=f[a+20>>2]|0;d=b+c|0;if(!b){e=d;g=a+12|0;f[g>>2]=e;return e|0}c=a+28|0;h=0;i=d;while(1){d=f[(f[c>>2]|0)+4+(h<<2)>>2]|0;j=di[f[(f[d>>2]|0)+48>>2]&1023](d)|0;d=j+i+((((($(j|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=h+1|0;if((h|0)==(b|0)){e=d;break}else i=d}g=a+12|0;f[g>>2]=e;return e|0}function nSb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=f[a+20>>2]|0;if(c|0){d=a+28|0;e=0;do{_Lb(1,f[(f[d>>2]|0)+4+(e<<2)>>2]|0,b);e=e+1|0}while((e|0)!=(c|0))}c=f[a+4>>2]|0;if(!(c&1))return;Abc(c&-2,b);return}function oSb(a){a=a|0;return f[a+12>>2]|0}function pSb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;e=f[a+20>>2]|0;if(!e)g=d;else{h=a+28|0;i=0;j=d;while(1){d=f[(f[h>>2]|0)+4+(i<<2)>>2]|0;b[j>>0]=10;k=j+1|0;l=di[f[(f[d>>2]|0)+60>>2]&1023](d)|0;if(l>>>0>127){m=l;n=k;while(1){b[n>>0]=m|128;o=m>>>7;p=n+1|0;if(m>>>0>16383){m=o;n=p}else{q=p;r=o;break}}}else{q=k;r=l}b[q>>0]=r;n=li[f[(f[d>>2]|0)+64>>2]&511](d,c,q+1|0)|0;i=i+1|0;if((i|0)==(e|0)){g=n;break}else j=n}}j=f[a+4>>2]|0;if(!(j&1)){s=g;return s|0}s=Bbc(j&-2,g)|0;return s|0}function qSb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0;if((a|0)==(b|0))return;c=a+20|0;d=f[c>>2]|0;if((d|0)>0){e=f[a+28>>2]|0;g=0;do{ESb(f[e+4+(g<<2)>>2]|0);g=g+1|0}while((g|0)!=(d|0));f[c>>2]=0}f[a+8>>2]=0;c=a+4|0;d=f[c>>2]|0;if(d&1|0?(g=d&-2,f[g>>2]|0):0)ebc(g);g=ovc(b,24728,24128,0)|0;if(!g){A9b(b,a);return}b=f[g+4>>2]|0;if(b&1|0){d=f[c>>2]|0;if(!(d&1))h=OOa(c)|0;else h=d&-2;hbc(h,b&-2)}uSb(a+16|0,g+16|0);return}function rSb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=ovc(b,24728,24128,0)|0;if(!c){A9b(b,a);return}b=a+4|0;d=f[c+4>>2]|0;if(d&1|0){e=f[b>>2]|0;if(!(e&1))g=OOa(b)|0;else g=e&-2;hbc(g,d&-2)}uSb(a+16|0,c+16|0);return}function sSb(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function tSb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224998]|0)!=2){f[d>>2]=151624;f[d+4>>2]=135;b[d+8>>0]=0;xLb(899992,d);QKb(d)}d=544592;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function uSb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=f[b+4>>2]|0;if(!c)return;d=f[b+12>>2]|0;b=KKb(a,c)|0;e=a+12|0;g=a+4|0;h=(f[f[e>>2]>>2]|0)-(f[g>>2]|0)|0;if((h|0)>0&(c|0)>0){i=0;do{wSb(f[d+4+(i<<2)>>2]|0,f[b+(i<<2)>>2]|0);i=i+1|0}while((i|0)<(h|0)&(i|0)<(c|0))}i=f[a>>2]|0;a:do if((h|0)<(c|0)){a=i+64|0;if(!i){j=h;while(1){k=f[d+4+(j<<2)>>2]|0;l=cuc(72)|0;vSb(l);wSb(k,l);f[b+(j<<2)>>2]=l;j=j+1|0;if((j|0)>=(c|0))break a}}else m=h;do{j=f[d+4+(m<<2)>>2]|0;if(f[a>>2]|0)HIb(i,24144,72);l=FIb(i,72)|0;xSb(l,i);wSb(j,l);f[b+(m<<2)>>2]=l;m=m+1|0}while((m|0)!=(c|0))}while(0);m=(f[g>>2]|0)+c|0;f[g>>2]=m;g=f[e>>2]|0;if((f[g>>2]|0)>=(m|0))return;f[g>>2]=m;return}function vSb(a){a=a|0;var c=0,d=0,e=0;c=u;u=u+16|0;d=c;f[a>>2]=154568;f[a+4>>2]=0;f[a+8>>2]=0;f[a+16>>2]=0;f[a+20>>2]=0;f[a+24>>2]=0;f[a+32>>2]=0;f[a+36>>2]=0;f[a+40>>2]=0;e=a+48|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((a|0)!=544216?(f[225023]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=160;b[d+8>>0]=0;xLb(900092,d);QKb(d)}f[a+12>>2]=0;f[a+64>>2]=542896;f[a+68>>2]=542896;u=c;return}function wSb(a,b){a=a|0;b=b|0;PSb(b,a);return}function xSb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;d=u;u=u+16|0;e=d;f[a>>2]=154568;f[a+4>>2]=c;f[a+8>>2]=0;f[a+16>>2]=0;f[a+20>>2]=0;g=a+24|0;f[g>>2]=0;if(!c){f[a+32>>2]=0;f[a+36>>2]=0;f[a+40>>2]=0}else{if(f[c+64>>2]|0)HIb(c,27008,8);h=FIb(c,8)|0;f[g>>2]=h;f[h>>2]=c;f[a+32>>2]=0;f[a+36>>2]=0;h=a+40|0;f[h>>2]=0;if(f[c+64>>2]|0)HIb(c,27008,8);g=FIb(c,8)|0;f[h>>2]=g;f[g>>2]=c}f[a+48>>2]=c;f[a+52>>2]=0;f[a+56>>2]=0;f[a+60>>2]=0;if((f[225023]|0)==2){i=a+12|0;f[i>>2]=0;j=a+64|0;f[j>>2]=542896;k=a+68|0;f[k>>2]=542896;u=d;return}f[e>>2]=151624;f[e+4>>2]=160;b[e+8>>0]=0;xLb(900092,e);QKb(e);i=a+12|0;f[i>>2]=0;j=a+64|0;f[j>>2]=542896;k=a+68|0;f[k>>2]=542896;u=d;return}function ySb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0;f[a>>2]=154568;c=f[a+64>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}c=f[a+68>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}c=a+60|0;d=f[c>>2]|0;if(d|0?(f[a+48>>2]|0)==0:0){e=f[d>>2]|0;if((e|0)>0){g=0;do{h=f[d+4+(g<<2)>>2]|0;if(h|0){if((b[h+11>>0]|0)<0)fuc(f[h>>2]|0);fuc(h)}g=g+1|0}while((g|0)!=(e|0));i=f[c>>2]|0}else i=d;fuc(i)}f[c>>2]=0;c=f[a+40>>2]|0;if(c|0?(f[c>>2]|0)==0:0)fuc(c);c=f[a+24>>2]|0;if(c|0?(f[c>>2]|0)==0:0)fuc(c);c=a+4|0;a=f[c>>2]|0;if(!(a&1)){f[c>>2]=0;return}i=a&-2;a=i;if((i|0)==0|(f[a+4>>2]|0)!=0){f[c>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(i);f[c>>2]=0;return}function zSb(a){a=a|0;ySb(a);fuc(a);return}function ASb(a){a=a|0;a=cuc(72)|0;vSb(a);return a|0}function BSb(a,b){a=a|0;b=b|0;var c=0;if(!b){a=cuc(72)|0;vSb(a);c=a;return c|0}if(f[b+64>>2]|0)HIb(b,24144,72);a=FIb(b,72)|0;xSb(a,b);c=a;return c|0}function CSb(a){a=a|0;var b=0,c=0;b=f[a+4>>2]|0;a=b&-2;if(!(b&1)){c=a;return c|0}else{c=f[a+4>>2]|0;return c|0}return 0}function DSb(a){a=a|0;return f[a+4>>2]|0}function ESb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0;f[a+16>>2]=0;f[a+32>>2]=0;c=a+52|0;d=f[c>>2]|0;if((d|0)>0){e=f[a+60>>2]|0;g=0;do{h=f[e+4+(g<<2)>>2]|0;g=g+1|0;i=h+11|0;if((b[i>>0]|0)<0){b[f[h>>2]>>0]=0;f[h+4>>2]=0}else{b[h>>0]=0;b[i>>0]=0}}while((g|0)!=(d|0));f[c>>2]=0}c=a+8|0;d=f[c>>2]|0;do if(d&3|0){do if(d&1|0?(g=f[a+64>>2]|0,(g|0)!=542896):0){e=g+11|0;if((b[e>>0]|0)<0){b[f[g>>2]>>0]=0;f[g+4>>2]=0;break}else{b[g>>0]=0;b[e>>0]=0;break}}while(0);if(d&2|0?(e=f[a+68>>2]|0,(e|0)!=542896):0){g=e+11|0;if((b[g>>0]|0)<0){b[f[e>>2]>>0]=0;f[e+4>>2]=0;break}else{b[e>>0]=0;b[g>>0]=0;break}}}while(0);f[c>>2]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;ebc(a);return}function FSb(a){a=a|0;return 1}function GSb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0;d=c+4|0;e=a+16|0;g=a+20|0;h=a+24|0;i=a+32|0;j=a+36|0;k=a+40|0;l=a+8|0;m=a+64|0;n=a+4|0;o=a+68|0;p=a+48|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[d>>2]|0)>>>0){q=b[a>>0]|0;r=q&255;if(q<<24>>24>0){f[c>>2]=a+1;s=r;t=6}else{u=r;t=5}}else{u=0;t=5}if((t|0)==5){t=0;r=OJb(c,u)|0;if((r+-1|0)>>>0<127){s=r;t=6}else v=r}b:do if((t|0)==6){t=0;switch(s>>>3&536870911|0){case 1:{switch((s&255)<<24>>24){case 10:break;case 8:{if(rRa(1,10,c,e)|0)continue a;else{w=0;t=58;break a}break}default:{v=s;break b}}r=f[c>>2]|0;if(r>>>0<(f[d>>2]|0)>>>0?(a=b[r>>0]|0,a<<24>>24>-1):0){f[c>>2]=r+1;x=a&255}else{a=NJb(c)|0;if((a|0)>-1)x=a;else{w=0;t=58;break a}}a=wJb(c,x)|0;if((EJb(c)|0)>0)do{r=f[c>>2]|0;if(r>>>0<(f[d>>2]|0)>>>0){q=b[r>>0]|0;y=q&255;if(q<<24>>24>-1){f[c>>2]=r+1;z=y}else{A=y;t=16}}else{A=0;t=16}if((t|0)==16){t=0;y=zJb(c,A)|0;r=J;if((r|0)>-1|(r|0)==-1&y>>>0>4294967295)z=y;else{w=0;t=58;break a}}y=f[e>>2]|0;if((y|0)==(f[g>>2]|0)){NEa(e,y+1|0);B=f[e>>2]|0}else B=y;y=f[h>>2]|0;f[e>>2]=B+1;f[y+4+(B<<2)>>2]=z}while((EJb(c)|0)>0);xJb(c,a);continue a;break}case 2:{switch((s&255)<<24>>24){case 18:break;case 16:{if(rRa(1,18,c,i)|0)continue a;else{w=0;t=58;break a}break}default:{v=s;break b}}y=f[c>>2]|0;if(y>>>0<(f[d>>2]|0)>>>0?(r=b[y>>0]|0,r<<24>>24>-1):0){f[c>>2]=y+1;C=r&255}else{r=NJb(c)|0;if((r|0)>-1)C=r;else{w=0;t=58;break a}}r=wJb(c,C)|0;if((EJb(c)|0)>0)do{y=f[c>>2]|0;if(y>>>0<(f[d>>2]|0)>>>0){q=b[y>>0]|0;D=q&255;if(q<<24>>24>-1){f[c>>2]=y+1;E=D}else{F=D;t=31}}else{F=0;t=31}if((t|0)==31){t=0;D=zJb(c,F)|0;y=J;if((y|0)>-1|(y|0)==-1&D>>>0>4294967295)E=D;else{w=0;t=58;break a}}D=f[i>>2]|0;if((D|0)==(f[j>>2]|0)){NEa(i,D+1|0);G=f[i>>2]|0}else G=D;D=f[k>>2]|0;f[i>>2]=G+1;f[D+4+(G<<2)>>2]=E}while((EJb(c)|0)>0);xJb(c,r);continue a;break}case 3:{if((s&255|0)!=26){v=s;break b}f[l>>2]=f[l>>2]|1;a=f[n>>2]|0;D=a&-2;if(!(a&1))H=D;else H=f[D+4>>2]|0;D=f[m>>2]|0;if((D|0)==542896){QGa(m,H,542896);I=f[m>>2]|0}else I=D;if($Lb(c,I)|0)continue a;else{w=0;t=58;break a}break}case 4:{if((s&255|0)!=34){v=s;break b}f[l>>2]=f[l>>2]|2;D=f[n>>2]|0;a=D&-2;if(!(D&1))K=a;else K=f[a+4>>2]|0;a=f[o>>2]|0;if((a|0)==542896){QGa(o,K,542896);L=f[o>>2]|0}else L=a;if($Lb(c,L)|0)continue a;else{w=0;t=58;break a}break}case 6:{if((s&255|0)!=50){v=s;break b}if($Lb(c,MEa(p)|0)|0)continue a;else{w=0;t=58;break a}break}default:{v=s;break b}}}while(0);if(!v){w=1;t=58;break}a=f[n>>2]|0;if(!(a&1))M=OOa(n)|0;else M=a&-2;if(!(xbc(c,v,M)|0)){w=0;t=58;break}}if((t|0)==58)return w|0;return 0}function HSb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;c=f[a+4>>2]|0;if(!(c&1))d=0;else d=Dbc(c&-2)|0;c=bMb(a+16|0)|0;if(!c)e=d;else{if((c|0)<0)g=11;else g=((((($(c|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;e=g+d|0}f[a+28>>2]=c;d=e+c|0;c=bMb(a+32|0)|0;if(!c)h=d;else{if((c|0)<0)i=11;else i=((((($(c|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;h=i+d|0}f[a+44>>2]=c;d=f[a+52>>2]|0;i=h+c+d|0;if((d|0)>0){c=f[a+60>>2]|0;h=0;e=i;while(1){g=f[c+4+(h<<2)>>2]|0;j=b[g+11>>0]|0;k=j<<24>>24<0?f[g+4>>2]|0:j&255;j=k+e+((((($(k|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=h+1|0;if((h|0)==(d|0)){l=j;break}else e=j}}else l=i;i=f[a+8>>2]|0;if(!(i&3)){m=l;n=a+12|0;f[n>>2]=m;return m|0}if(!(i&1))o=l;else{e=f[a+64>>2]|0;d=b[e+11>>0]|0;h=d<<24>>24<0?f[e+4>>2]|0:d&255;o=l+1+h+((((($(h|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(i&2)){m=o;n=a+12|0;f[n>>2]=m;return m|0}i=f[a+68>>2]|0;h=b[i+11>>0]|0;l=h<<24>>24<0?f[i+4>>2]|0:h&255;m=o+1+l+((((($(l|1|0)|0)^31)*9|0)+73|0)>>>6)|0;n=a+12|0;f[n>>2]=m;return m|0}function ISb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;d=a+16|0;if((f[d>>2]|0)>0){e=c+8|0;if((f[e>>2]|0)>4){g=c+4|0;b[f[g>>2]>>0]=10;f[g>>2]=(f[g>>2]|0)+1;g=(f[e>>2]|0)+-1|0;f[e>>2]=g;h=g}else{VJb(c,10);h=f[e>>2]|0}g=f[a+28>>2]|0;if((h|0)>4){h=c+4|0;i=f[h>>2]|0;if(g>>>0>127){j=g;k=i;while(1){b[k>>0]=j|128;l=j>>>7;m=k+1|0;if(j>>>0>16383){j=l;k=m}else{n=m;o=l;break}}}else{n=i;o=g}b[n>>0]=o;o=n+1-i|0;f[h>>2]=(f[h>>2]|0)+o;f[e>>2]=(f[e>>2]|0)-o}else VJb(c,g);g=f[d>>2]|0;if((g|0)>0){d=a+24|0;o=c+8|0;e=c+4|0;h=0;do{i=f[(f[d>>2]|0)+4+(h<<2)>>2]|0;n=((i|0)<0)<<31>>31;if((f[o>>2]|0)>9){k=f[e>>2]|0;j=i&255;if(i>>>0>127){l=k;m=j;p=i;q=n;while(1){b[l>>0]=m|-128;r=p;p=pzc(p|0,q|0,7)|0;s=l+1|0;t=p&255;if(!(q>>>0>0|(q|0)==0&r>>>0>16383)){u=s;v=t;break}else{l=s;m=t;q=J}}}else{u=k;v=j}b[u>>0]=v;q=u+1-k|0;f[e>>2]=(f[e>>2]|0)+q;f[o>>2]=(f[o>>2]|0)-q}else WJb(c,i,n);h=h+1|0}while((h|0)!=(g|0))}}g=a+32|0;if((f[g>>2]|0)>0){h=c+8|0;if((f[h>>2]|0)>4){o=c+4|0;b[f[o>>2]>>0]=18;f[o>>2]=(f[o>>2]|0)+1;o=(f[h>>2]|0)+-1|0;f[h>>2]=o;w=o}else{VJb(c,18);w=f[h>>2]|0}o=f[a+44>>2]|0;if((w|0)>4){w=c+4|0;e=f[w>>2]|0;if(o>>>0>127){u=o;v=e;while(1){b[v>>0]=u|128;d=u>>>7;q=v+1|0;if(u>>>0>16383){u=d;v=q}else{x=q;y=d;break}}}else{x=e;y=o}b[x>>0]=y;y=x+1-e|0;f[w>>2]=(f[w>>2]|0)+y;f[h>>2]=(f[h>>2]|0)-y}else VJb(c,o);o=f[g>>2]|0;if((o|0)>0){g=a+40|0;y=c+8|0;h=c+4|0;w=0;do{e=f[(f[g>>2]|0)+4+(w<<2)>>2]|0;x=((e|0)<0)<<31>>31;if((f[y>>2]|0)>9){v=f[h>>2]|0;u=e&255;if(e>>>0>127){d=v;q=u;m=e;l=x;while(1){b[d>>0]=q|-128;p=m;m=pzc(m|0,l|0,7)|0;t=d+1|0;s=m&255;if(!(l>>>0>0|(l|0)==0&p>>>0>16383)){z=t;A=s;break}else{d=t;q=s;l=J}}}else{z=v;A=u}b[z>>0]=A;l=z+1-v|0;f[h>>2]=(f[h>>2]|0)+l;f[y>>2]=(f[y>>2]|0)-l}else WJb(c,e,x);w=w+1|0}while((w|0)!=(o|0))}}o=f[a+8>>2]|0;if(o&1|0)VLb(3,f[a+64>>2]|0,c);if(o&2|0)VLb(4,f[a+68>>2]|0,c);o=f[a+52>>2]|0;if((o|0)>0){w=a+60|0;y=0;do{ULb(6,f[(f[w>>2]|0)+4+(y<<2)>>2]|0,c);y=y+1|0}while((y|0)!=(o|0))}o=f[a+4>>2]|0;if(!(o&1))return;Abc(o&-2,c);return}function JSb(a){a=a|0;return f[a+12>>2]|0}function KSb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;c=a+16|0;if((f[c>>2]|0)>0){b[d>>0]=10;e=d+1|0;g=f[a+28>>2]|0;if(g>>>0>127){h=g;i=e;while(1){b[i>>0]=h|128;j=h>>>7;k=i+1|0;if(h>>>0>16383){h=j;i=k}else{l=k;m=j;break}}}else{l=e;m=g}b[l>>0]=m;m=f[c>>2]|0;c=f[a+24>>2]|0;g=0;e=l+1|0;while(1){l=f[c+4+(g<<2)>>2]|0;i=l&255;if(l>>>0>127){h=e;j=i;k=l;n=((l|0)<0)<<31>>31;while(1){b[h>>0]=j|-128;l=k;k=pzc(k|0,n|0,7)|0;o=h+1|0;p=k&255;if(!(n>>>0>0|(n|0)==0&l>>>0>16383)){q=o;r=p;break}else{h=o;j=p;n=J}}}else{q=e;r=i}b[q>>0]=r;n=q+1|0;g=g+1|0;if((g|0)>=(m|0)){s=n;break}else e=n}}else s=d;d=a+32|0;if((f[d>>2]|0)>0){b[s>>0]=18;e=s+1|0;m=f[a+44>>2]|0;if(m>>>0>127){g=m;q=e;while(1){b[q>>0]=g|128;r=g>>>7;c=q+1|0;if(g>>>0>16383){g=r;q=c}else{t=c;u=r;break}}}else{t=e;u=m}b[t>>0]=u;u=f[d>>2]|0;d=f[a+40>>2]|0;m=0;e=t+1|0;while(1){t=f[d+4+(m<<2)>>2]|0;q=t&255;if(t>>>0>127){g=e;r=q;c=t;n=((t|0)<0)<<31>>31;while(1){b[g>>0]=r|-128;t=c;c=pzc(c|0,n|0,7)|0;j=g+1|0;h=c&255;if(!(n>>>0>0|(n|0)==0&t>>>0>16383)){v=j;w=h;break}else{g=j;r=h;n=J}}}else{v=e;w=q}b[v>>0]=w;n=v+1|0;m=m+1|0;if((m|0)>=(u|0)){x=n;break}else e=n}}else x=s;s=f[a+8>>2]|0;if(!(s&1))y=x;else{e=f[a+64>>2]|0;b[x>>0]=26;y=XJb(e,x+1|0)|0}if(!(s&2))z=y;else{s=f[a+68>>2]|0;b[y>>0]=34;z=XJb(s,y+1|0)|0}y=f[a+52>>2]|0;if((y|0)>0){s=a+60|0;x=0;e=z;while(1){u=f[(f[s>>2]|0)+4+(x<<2)>>2]|0;b[e>>0]=50;m=XJb(u,e+1|0)|0;x=x+1|0;if((x|0)==(y|0)){A=m;break}else e=m}}else A=z;z=f[a+4>>2]|0;if(!(z&1)){B=A;return B|0}B=Bbc(z&-2,A)|0;return B|0}function LSb(a,b){a=a|0;b=b|0;var c=0;if((a|0)==(b|0))return;ESb(a);c=ovc(b,24728,24144,0)|0;if(!c){A9b(b,a);return}else{PSb(a,c);return}}function MSb(a,b){a=a|0;b=b|0;var c=0;c=ovc(b,24728,24144,0)|0;if(!c){A9b(b,a);return}else{PSb(a,c);return}}function NSb(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function OSb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224998]|0)!=2){f[d>>2]=151624;f[d+4>>2]=135;b[d+8>>0]=0;xLb(899992,d);QKb(d)}d=544584;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function PSb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=a+4|0;d=f[b+4>>2]|0;if(d&1|0){e=f[c>>2]|0;if(!(e&1))g=OOa(c)|0;else g=e&-2;hbc(g,d&-2)}d=a+16|0;g=b+16|0;e=f[g>>2]|0;if(e|0){NEa(d,(f[d>>2]|0)+e|0);szc((f[a+24>>2]|0)+4+(f[d>>2]<<2)|0,(f[b+24>>2]|0)+4|0,f[g>>2]<<2|0)|0;f[d>>2]=(f[d>>2]|0)+(f[g>>2]|0)}g=a+32|0;d=b+32|0;e=f[d>>2]|0;if(e|0){NEa(g,(f[g>>2]|0)+e|0);szc((f[a+40>>2]|0)+4+(f[g>>2]<<2)|0,(f[b+40>>2]|0)+4|0,f[d>>2]<<2|0)|0;f[g>>2]=(f[g>>2]|0)+(f[d>>2]|0)}YOa(a+48|0,b+48|0);d=f[b+8>>2]|0;if(!(d&3))return;do if(d&1|0){g=f[b+64>>2]|0;e=a+8|0;f[e>>2]=f[e>>2]|1;e=a+64|0;h=f[c>>2]|0;i=h&-2;if(!(h&1))j=i;else j=f[i+4>>2]|0;i=f[e>>2]|0;if((i|0)==542896){QGa(e,j,g);break}else{ruc(i,g)|0;break}}while(0);if(!(d&2))return;d=f[b+68>>2]|0;b=a+8|0;f[b>>2]=f[b>>2]|2;b=a+68|0;a=f[c>>2]|0;c=a&-2;if(!(a&1))k=c;else k=f[c+4>>2]|0;c=f[b>>2]|0;if((c|0)==542896){QGa(b,k,d);return}else{ruc(c,d)|0;return}}function QSb(a){a=a|0;var c=0,d=0,e=0;c=u;u=u+16|0;d=c;f[a>>2]=154460;f[a+4>>2]=0;f[a+8>>2]=0;e=a+16|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((a|0)!=544288?(f[225024]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=161;b[d+8>>0]=0;xLb(900096,d);QKb(d)}f[a+12>>2]=0;u=c;return}function RSb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+16|0;e=d;f[a>>2]=154460;f[a+4>>2]=c;f[a+8>>2]=0;f[a+16>>2]=c;f[a+20>>2]=0;f[a+24>>2]=0;f[a+28>>2]=0;if((f[225024]|0)==2){g=a+12|0;f[g>>2]=0;u=d;return}f[e>>2]=151624;f[e+4>>2]=161;b[e+8>>0]=0;xLb(900096,e);QKb(e);g=a+12|0;f[g>>2]=0;u=d;return}function SSb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0;f[a>>2]=154676;GTb(a);b=a+28|0;c=f[b>>2]|0;if(c|0?(f[a+16>>2]|0)==0:0){d=f[c>>2]|0;if((d|0)>0){e=0;do{g=f[c+4+(e<<2)>>2]|0;if(g|0)bi[f[(f[g>>2]|0)+4>>2]&2047](g);e=e+1|0}while((e|0)!=(d|0));h=f[b>>2]|0}else h=c;fuc(h)}f[b>>2]=0;b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}h=a&-2;a=h;if((h|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(h);f[b>>2]=0;return}function TSb(a){a=a|0;SSb(a);fuc(a);return}function USb(a){a=a|0;a=cuc(72)|0;ETb(a);return a|0}function VSb(a,b){a=a|0;b=b|0;var c=0;if(!b){a=cuc(72)|0;ETb(a);c=a;return c|0}if(f[b+64>>2]|0)HIb(b,24160,72);a=FIb(b,72)|0;FTb(a,b);c=a;return c|0}function WSb(a){a=a|0;var b=0,c=0;b=f[a+4>>2]|0;a=b&-2;if(!(b&1)){c=a;return c|0}else{c=f[a+4>>2]|0;return c|0}return 0}function XSb(a){a=a|0;return f[a+4>>2]|0}function YSb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=a+20|0;d=f[c>>2]|0;if((d|0)>0){e=f[a+28>>2]|0;g=0;do{h=f[e+4+(g<<2)>>2]|0;g=g+1|0;i=h+8|0;do if(f[i>>2]&1|0?(j=f[h+16>>2]|0,(j|0)!=542896):0){k=j+11|0;if((b[k>>0]|0)<0){b[f[j>>2]>>0]=0;f[j+4>>2]=0;break}else{b[j>>0]=0;b[k>>0]=0;break}}while(0);b[h+20>>0]=0;f[i>>2]=0;k=f[h+4>>2]|0;if(k&1|0?(j=k&-2,f[j>>2]|0):0)ebc(j)}while((g|0)!=(d|0));f[c>>2]=0}c=a+8|0;d=f[c>>2]|0;do if(d&7|0){do if(d&1|0?(g=f[a+32>>2]|0,(g|0)!=542896):0){e=g+11|0;if((b[e>>0]|0)<0){b[f[g>>2]>>0]=0;f[g+4>>2]=0;break}else{b[g>>0]=0;b[e>>0]=0;break}}while(0);do if(d&2|0?(h=f[a+36>>2]|0,(h|0)!=542896):0){i=h+11|0;if((b[i>>0]|0)<0){b[f[h>>2]>>0]=0;f[h+4>>2]=0;break}else{b[h>>0]=0;b[i>>0]=0;break}}while(0);if(d&4|0?(i=f[a+40>>2]|0,(i|0)!=542896):0){h=i+11|0;if((b[h>>0]|0)<0){b[f[i>>2]>>0]=0;f[i+4>>2]=0;break}else{b[i>>0]=0;b[h>>0]=0;break}}}while(0);if(d&56|0){d=a+48|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;f[d+16>>2]=0;f[d+20>>2]=0}f[c>>2]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;ebc(a);return}function ZSb(a){a=a|0;var b=0,c=0,d=0,e=0;b=f[a+28>>2]|0;c=f[a+20>>2]|0;while(1){if((c|0)<=0){d=1;e=4;break}c=c+-1|0;if((f[(f[b+4+(c<<2)>>2]|0)+8>>2]&3|0)!=3){d=0;e=4;break}}if((e|0)==4)return d|0;return 0}function _Sb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0.0,T=0,U=0,V=0,W=0,X=0;d=u;u=u+16|0;e=d;g=c+4|0;i=a+16|0;j=a+28|0;k=a+24|0;l=a+20|0;m=e+4|0;n=a+8|0;o=a+32|0;q=a+4|0;r=a+48|0;t=e+8|0;v=a+56|0;w=e+8|0;x=a+64|0;y=a+36|0;z=a+40|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){A=b[a>>0]|0;B=A&255;if(A<<24>>24>0){f[c>>2]=a+1;C=B;D=6}else{E=B;D=5}}else{E=0;D=5}if((D|0)==5){D=0;B=OJb(c,E)|0;if((B+-1|0)>>>0<127){C=B;D=6}else F=B}b:do if((D|0)==6){D=0;switch(C>>>3&536870911|0){case 2:{if((C&255|0)!=18){F=C;break b}B=f[j>>2]|0;do if(B){a=f[l>>2]|0;A=f[B>>2]|0;if((a|0)>=(A|0))if((A|0)==(f[k>>2]|0)){G=A;D=13;break}else{H=A;I=B;D=14;break}else{f[l>>2]=a+1;J=f[B+4+(a<<2)>>2]|0;break}}else{G=f[k>>2]|0;D=13}while(0);if((D|0)==13){D=0;LKb(i,G+1|0);B=f[j>>2]|0;H=f[B>>2]|0;I=B;D=14}if((D|0)==14){D=0;f[I>>2]=H+1;B=f[i>>2]|0;if(!B){a=cuc(24)|0;jTb(a);K=a}else{if(f[B+64>>2]|0)HIb(B,24176,24);a=FIb(B,24)|0;lTb(a,B);K=a}a=f[j>>2]|0;B=f[l>>2]|0;f[l>>2]=B+1;f[a+4+(B<<2)>>2]=K;J=K}B=f[c>>2]|0;if(B>>>0<(f[g>>2]|0)>>>0?(a=b[B>>0]|0,a<<24>>24>-1):0){f[c>>2]=B+1;L=a&255}else{a=NJb(c)|0;if((a|0)>-1)L=a;else{M=0;D=72;break a}}yJb(e,c,L);if((f[m>>2]|0)<0){D=26;break a}if(!(Th[f[(f[J>>2]|0)+44>>2]&1023](J,c)|0)){D=26;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{M=0;D=72;break a}break}case 3:{if((C&255|0)!=26){F=C;break b}f[n>>2]=f[n>>2]|1;a=f[q>>2]|0;B=a&-2;if(!(a&1))N=B;else N=f[B+4>>2]|0;B=f[o>>2]|0;if((B|0)==542896){QGa(o,N,542896);O=f[o>>2]|0}else O=B;if($Lb(c,O)|0)continue a;else{M=0;D=72;break a}break}case 4:{if((C&255|0)!=32){F=C;break b}f[n>>2]=f[n>>2]|8;B=f[c>>2]|0;if(B>>>0<(f[g>>2]|0)>>>0?(a=b[B>>0]|0,a<<24>>24>-1):0){A=r;f[A>>2]=a&255;f[A+4>>2]=0;f[c>>2]=B+1;continue a}AJb(e,c);B=e;A=f[B+4>>2]|0;a=r;f[a>>2]=f[B>>2];f[a+4>>2]=A;if(!(b[t>>0]|0)){M=0;D=72;break a}else continue a;break}case 5:{if((C&255|0)!=40){F=C;break b}f[n>>2]=f[n>>2]|16;A=f[c>>2]|0;if(A>>>0<(f[g>>2]|0)>>>0?(a=b[A>>0]|0,a<<24>>24>-1):0){f[c>>2]=A+1;P=a&255;Q=0}else{AJb(e,c);a=e;if(!(b[w>>0]|0)){M=0;D=72;break a}else{P=f[a>>2]|0;Q=f[a+4>>2]|0}}a=v;f[a>>2]=P;f[a+4>>2]=Q;continue a;break}case 6:{if((C&255|0)!=49){F=C;break b}f[n>>2]=f[n>>2]|32;a=f[c>>2]|0;if(((f[g>>2]|0)-a|0)>7){A=a;B=A;R=h[B>>0]|h[B+1>>0]<<8|h[B+2>>0]<<16|h[B+3>>0]<<24;B=A+4|0;A=h[B>>0]|h[B+1>>0]<<8|h[B+2>>0]<<16|h[B+3>>0]<<24;B=e;f[B>>2]=R;f[B+4>>2]=A;f[c>>2]=a+8;f[s>>2]=R;f[s+4>>2]=A;S=+p[s>>3]}else{if(!(MJb(c,e)|0)){D=52;break a}S=+p[e>>3]}p[x>>3]=S;continue a;break}case 7:{if((C&255|0)!=58){F=C;break b}f[n>>2]=f[n>>2]|2;A=f[q>>2]|0;R=A&-2;if(!(A&1))T=R;else T=f[R+4>>2]|0;R=f[y>>2]|0;if((R|0)==542896){QGa(y,T,542896);U=f[y>>2]|0}else U=R;if($Lb(c,U)|0)continue a;else{M=0;D=72;break a}break}case 8:{if((C&255|0)!=66){F=C;break b}f[n>>2]=f[n>>2]|4;R=f[q>>2]|0;A=R&-2;if(!(R&1))V=A;else V=f[A+4>>2]|0;A=f[z>>2]|0;if((A|0)==542896){QGa(z,V,542896);W=f[z>>2]|0}else W=A;if($Lb(c,W)|0)continue a;else{M=0;D=72;break a}break}default:{F=C;break b}}}while(0);if(!F){M=1;D=72;break}A=f[q>>2]|0;if(!(A&1))X=OOa(q)|0;else X=A&-2;if(!(xbc(c,F,X)|0)){M=0;D=72;break}}if((D|0)==26){M=0;u=d;return M|0}else if((D|0)==52){M=0;u=d;return M|0}else if((D|0)==72){u=d;return M|0}return 0}function $Sb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;c=f[a+4>>2]|0;if(!(c&1))d=0;else d=Dbc(c&-2)|0;c=f[a+20>>2]|0;e=c+d|0;if(!c)g=e;else{d=a+28|0;h=0;i=e;while(1){e=f[(f[d>>2]|0)+4+(h<<2)>>2]|0;j=di[f[(f[e>>2]|0)+48>>2]&1023](e)|0;e=j+i+((((($(j|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=h+1|0;if((h|0)==(c|0)){g=e;break}else i=e}}i=f[a+8>>2]|0;if(!(i&63)){k=g;l=a+12|0;f[l>>2]=k;return k|0}if(!(i&1))m=g;else{c=f[a+32>>2]|0;h=b[c+11>>0]|0;d=h<<24>>24<0?f[c+4>>2]|0:h&255;m=g+1+d+((((($(d|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(i&2))n=m;else{d=f[a+36>>2]|0;g=b[d+11>>0]|0;h=g<<24>>24<0?f[d+4>>2]|0:g&255;n=m+1+h+((((($(h|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(i&4))o=n;else{h=f[a+40>>2]|0;m=b[h+11>>0]|0;g=m<<24>>24<0?f[h+4>>2]|0:m&255;o=n+1+g+((((($(g|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(i&8))p=o;else{g=a+48|0;n=xzc(f[g>>2]|1|0,f[g+4>>2]|0,1)|0;p=o+1+((((n^63)*9|0)+73|0)>>>6)|0}if(!(i&16))q=p;else{n=a+56|0;o=xzc(f[n>>2]|1|0,f[n+4>>2]|0,1)|0;q=p+1+((((o^63)*9|0)+73|0)>>>6)|0}k=i&32|0?q+9|0:q;l=a+12|0;f[l>>2]=k;return k|0}function aTb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=f[a+20>>2]|0;if(c|0){d=a+28|0;e=0;do{_Lb(2,f[(f[d>>2]|0)+4+(e<<2)>>2]|0,b);e=e+1|0}while((e|0)!=(c|0))}c=f[a+8>>2]|0;if(c&1|0)VLb(3,f[a+32>>2]|0,b);if(c&8|0){e=a+48|0;JLb(4,f[e>>2]|0,f[e+4>>2]|0,b)}if(c&16|0){e=a+56|0;HLb(5,f[e>>2]|0,f[e+4>>2]|0,b)}if(c&32|0)RLb(6,+p[a+64>>3],b);if(c&2|0)XLb(7,f[a+36>>2]|0,b);if(c&4|0)VLb(8,f[a+40>>2]|0,b);c=f[a+4>>2]|0;if(!(c&1))return;Abc(c&-2,b);return}function bTb(a){a=a|0;return f[a+12>>2]|0}function cTb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0.0,D=0,E=0,F=0;e=f[a+20>>2]|0;if(!e)g=d;else{h=a+28|0;i=0;j=d;while(1){d=f[(f[h>>2]|0)+4+(i<<2)>>2]|0;b[j>>0]=18;k=j+1|0;l=di[f[(f[d>>2]|0)+60>>2]&1023](d)|0;if(l>>>0>127){m=l;n=k;while(1){b[n>>0]=m|128;o=m>>>7;q=n+1|0;if(m>>>0>16383){m=o;n=q}else{r=q;t=o;break}}}else{r=k;t=l}b[r>>0]=t;n=li[f[(f[d>>2]|0)+64>>2]&511](d,c,r+1|0)|0;i=i+1|0;if((i|0)==(e|0)){g=n;break}else j=n}}j=f[a+8>>2]|0;if(!(j&1))u=g;else{e=f[a+32>>2]|0;b[g>>0]=26;u=XJb(e,g+1|0)|0}if(!(j&8))v=u;else{g=a+48|0;e=f[g>>2]|0;i=f[g+4>>2]|0;b[u>>0]=32;g=u+1|0;u=e&255;if(i>>>0>0|(i|0)==0&e>>>0>127){r=g;c=u;t=e;e=i;while(1){b[r>>0]=c|-128;i=t;t=pzc(t|0,e|0,7)|0;h=r+1|0;n=t&255;if(!(e>>>0>0|(e|0)==0&i>>>0>16383)){w=h;x=n;break}else{r=h;c=n;e=J}}}else{w=g;x=u}b[w>>0]=x;v=w+1|0}if(!(j&16))y=v;else{w=a+56|0;x=f[w>>2]|0;u=f[w+4>>2]|0;b[v>>0]=40;w=v+1|0;v=x&255;if(u>>>0>0|(u|0)==0&x>>>0>127){g=w;e=v;c=x;x=u;while(1){b[g>>0]=e|-128;u=c;c=pzc(c|0,x|0,7)|0;r=g+1|0;t=c&255;if(!(x>>>0>0|(x|0)==0&u>>>0>16383)){z=r;A=t;break}else{g=r;e=t;x=J}}}else{z=w;A=v}b[z>>0]=A;y=z+1|0}if(!(j&32))B=y;else{C=+p[a+64>>3];b[y>>0]=49;z=y+1|0;p[s>>3]=C;b[z>>0]=b[s>>0];b[z+1>>0]=b[s+1>>0];b[z+2>>0]=b[s+2>>0];b[z+3>>0]=b[s+3>>0];b[z+4>>0]=b[s+4>>0];b[z+5>>0]=b[s+5>>0];b[z+6>>0]=b[s+6>>0];b[z+7>>0]=b[s+7>>0];B=y+9|0}if(!(j&2))D=B;else{y=f[a+36>>2]|0;b[B>>0]=58;D=XJb(y,B+1|0)|0}if(!(j&4))E=D;else{j=f[a+40>>2]|0;b[D>>0]=66;E=XJb(j,D+1|0)|0}D=f[a+4>>2]|0;if(!(D&1)){F=E;return F|0}F=Bbc(D&-2,E)|0;return F|0}function dTb(a,b){a=a|0;b=b|0;var c=0;if((a|0)==(b|0))return;YSb(a);c=ovc(b,24728,24160,0)|0;if(!c){A9b(b,a);return}else{hTb(a,c);return}}function eTb(a,b){a=a|0;b=b|0;var c=0;c=ovc(b,24728,24160,0)|0;if(!c){A9b(b,a);return}else{hTb(a,c);return}}function fTb(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function gTb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224998]|0)!=2){f[d>>2]=151624;f[d+4>>2]=135;b[d+8>>0]=0;xLb(899992,d);QKb(d)}d=544576;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function hTb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;c=a+4|0;d=f[b+4>>2]|0;if(d&1|0){e=f[c>>2]|0;if(!(e&1))g=OOa(c)|0;else g=e&-2;hbc(g,d&-2)}iTb(a+16|0,b+16|0);d=f[b+8>>2]|0;if(!(d&63))return;do if(d&1|0){g=f[b+32>>2]|0;e=a+8|0;f[e>>2]=f[e>>2]|1;e=a+32|0;h=f[c>>2]|0;i=h&-2;if(!(h&1))j=i;else j=f[i+4>>2]|0;i=f[e>>2]|0;if((i|0)==542896){QGa(e,j,g);break}else{ruc(i,g)|0;break}}while(0);do if(d&2|0){j=f[b+36>>2]|0;g=a+8|0;f[g>>2]=f[g>>2]|2;g=a+36|0;i=f[c>>2]|0;e=i&-2;if(!(i&1))k=e;else k=f[e+4>>2]|0;e=f[g>>2]|0;if((e|0)==542896){QGa(g,k,j);break}else{ruc(e,j)|0;break}}while(0);do if(d&4|0){k=f[b+40>>2]|0;j=a+8|0;f[j>>2]=f[j>>2]|4;j=a+40|0;e=f[c>>2]|0;g=e&-2;if(!(e&1))l=g;else l=f[g+4>>2]|0;g=f[j>>2]|0;if((g|0)==542896){QGa(j,l,k);break}else{ruc(g,k)|0;break}}while(0);if(d&8|0){l=b+48|0;c=f[l+4>>2]|0;k=a+48|0;f[k>>2]=f[l>>2];f[k+4>>2]=c}if(d&16|0){c=b+56|0;k=f[c+4>>2]|0;l=a+56|0;f[l>>2]=f[c>>2];f[l+4>>2]=k}if(d&32|0)p[a+64>>3]=+p[b+64>>3];b=a+8|0;f[b>>2]=f[b>>2]|d;return}function iTb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=f[b+4>>2]|0;if(!c)return;d=f[b+12>>2]|0;b=KKb(a,c)|0;e=a+12|0;g=a+4|0;h=(f[f[e>>2]>>2]|0)-(f[g>>2]|0)|0;if((h|0)>0&(c|0)>0){i=0;do{kTb(f[d+4+(i<<2)>>2]|0,f[b+(i<<2)>>2]|0);i=i+1|0}while((i|0)<(h|0)&(i|0)<(c|0))}i=f[a>>2]|0;a:do if((h|0)<(c|0)){a=i+64|0;if(!i){j=h;while(1){k=f[d+4+(j<<2)>>2]|0;l=cuc(24)|0;jTb(l);kTb(k,l);f[b+(j<<2)>>2]=l;j=j+1|0;if((j|0)>=(c|0))break a}}else m=h;do{j=f[d+4+(m<<2)>>2]|0;if(f[a>>2]|0)HIb(i,24176,24);l=FIb(i,24)|0;lTb(l,i);kTb(j,l);f[b+(m<<2)>>2]=l;m=m+1|0}while((m|0)!=(c|0))}while(0);m=(f[g>>2]|0)+c|0;f[g>>2]=m;g=f[e>>2]|0;if((f[g>>2]|0)>=(m|0))return;f[g>>2]=m;return}function jTb(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=154784;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=544120?(f[225021]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=158;b[d+8>>0]=0;xLb(900084,d);QKb(d)}f[a+12>>2]=0;f[a+16>>2]=542896;b[a+20>>0]=0;u=c;return}function kTb(a,b){a=a|0;b=b|0;DTb(b,a);return}function lTb(a,c){a=a|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;f[a>>2]=154784;f[a+4>>2]=c;f[a+8>>2]=0;if((f[225021]|0)!=2){f[e>>2]=151624;f[e+4>>2]=158;b[e+8>>0]=0;xLb(900084,e);QKb(e)}f[a+12>>2]=0;f[a+16>>2]=542896;b[a+20>>0]=0;u=d;return}function mTb(a){a=a|0;var c=0,d=0;f[a>>2]=154784;c=f[a+16>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}c=a+4|0;a=f[c>>2]|0;if(!(a&1)){f[c>>2]=0;return}d=a&-2;a=d;if((d|0)==0|(f[a+4>>2]|0)!=0){f[c>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(d);f[c>>2]=0;return}function nTb(a){a=a|0;mTb(a);fuc(a);return}function oTb(a){a=a|0;a=cuc(24)|0;jTb(a);return a|0}function pTb(a,b){a=a|0;b=b|0;var c=0;if(!b){a=cuc(24)|0;jTb(a);c=a;return c|0}if(f[b+64>>2]|0)HIb(b,24176,24);a=FIb(b,24)|0;lTb(a,b);c=a;return c|0}function qTb(a){a=a|0;var b=0,c=0;b=f[a+4>>2]|0;a=b&-2;if(!(b&1)){c=a;return c|0}else{c=f[a+4>>2]|0;return c|0}return 0}function rTb(a){a=a|0;return f[a+4>>2]|0}function sTb(a){a=a|0;var c=0,d=0,e=0;c=a+8|0;do if(f[c>>2]&1|0?(d=f[a+16>>2]|0,(d|0)!=542896):0){e=d+11|0;if((b[e>>0]|0)<0){b[f[d>>2]>>0]=0;f[d+4>>2]=0;break}else{b[d>>0]=0;b[e>>0]=0;break}}while(0);b[a+20>>0]=0;f[c>>2]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;ebc(a);return}function tTb(a){a=a|0;return (f[a+8>>2]&3|0)==3|0}function uTb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;d=u;u=u+16|0;e=d;g=c+4|0;h=a+8|0;i=a+16|0;j=a+4|0;k=a+20|0;a=e+8|0;a:while(1){l=f[c>>2]|0;if(l>>>0<(f[g>>2]|0)>>>0){m=b[l>>0]|0;n=m&255;if(m<<24>>24>0){f[c>>2]=l+1;o=n;p=6}else{q=n;p=5}}else{q=0;p=5}if((p|0)==5){p=0;n=OJb(c,q)|0;if((n+-1|0)>>>0<127){o=n;p=6}else r=n}b:do if((p|0)==6){p=0;switch(o>>>3&536870911|0){case 1:break;case 2:{if((o&255|0)!=16){r=o;break b}f[h>>2]=f[h>>2]|2;n=f[c>>2]|0;if(n>>>0<(f[g>>2]|0)>>>0?(l=b[n>>0]|0,l<<24>>24>-1):0){f[c>>2]=n+1;s=l<<24>>24!=0}else{AJb(e,c);l=e;if(!(b[a>>0]|0)){t=0;p=25;break a}else s=(f[l>>2]|0)!=0|(f[l+4>>2]|0)!=0}b[k>>0]=s&1;continue a;break}default:{r=o;break b}}if((o&255|0)==10){f[h>>2]=f[h>>2]|1;l=f[j>>2]|0;n=l&-2;if(!(l&1))v=n;else v=f[n+4>>2]|0;n=f[i>>2]|0;if((n|0)==542896){QGa(i,v,542896);w=f[i>>2]|0}else w=n;if($Lb(c,w)|0)continue a;else{t=0;p=25;break a}}else r=o}while(0);if(!r){t=1;p=25;break}n=f[j>>2]|0;if(!(n&1))x=OOa(j)|0;else x=n&-2;if(!(xbc(c,r,x)|0)){t=0;p=25;break}}if((p|0)==25){u=d;return t|0}return 0}function vTb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=f[a+4>>2]|0;if(!(c&1))d=0;else d=Dbc(c&-2)|0;c=f[a+8>>2]|0;if((c&3|0)==3){e=f[a+16>>2]|0;g=b[e+11>>0]|0;h=g<<24>>24<0?f[e+4>>2]|0:g&255;i=d+3+h+((((($(h|1|0)|0)^31)*9|0)+73|0)>>>6)|0;j=a+12|0;f[j>>2]=i;return i|0}if(!(c&1))k=0;else{h=f[a+16>>2]|0;g=b[h+11>>0]|0;e=g<<24>>24<0?f[h+4>>2]|0:g&255;k=e+1+((((($(e|1|0)|0)^31)*9|0)+73|0)>>>6)|0}i=(c&2|0?k+2|0:k)+d|0;j=a+12|0;f[j>>2]=i;return i|0}function wTb(a,c){a=a|0;c=c|0;var d=0;d=f[a+8>>2]|0;if(d&1|0)VLb(1,f[a+16>>2]|0,c);if(d&2|0)SLb(2,(b[a+20>>0]|0)!=0,c);d=f[a+4>>2]|0;if(!(d&1))return;Abc(d&-2,c);return}function xTb(a){a=a|0;return f[a+12>>2]|0}function yTb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0;c=f[a+8>>2]|0;if(!(c&1))e=d;else{g=f[a+16>>2]|0;b[d>>0]=10;e=XJb(g,d+1|0)|0}if(!(c&2))h=e;else{c=b[a+20>>0]|0;b[e>>0]=16;b[e+1>>0]=c;h=e+2|0}e=f[a+4>>2]|0;if(!(e&1)){i=h;return i|0}i=Bbc(e&-2,h)|0;return i|0}function zTb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;if((a|0)==(c|0))return;d=a+8|0;do if(f[d>>2]&1|0?(e=f[a+16>>2]|0,(e|0)!=542896):0){g=e+11|0;if((b[g>>0]|0)<0){b[f[e>>2]>>0]=0;f[e+4>>2]=0;break}else{b[e>>0]=0;b[g>>0]=0;break}}while(0);b[a+20>>0]=0;f[d>>2]=0;d=f[a+4>>2]|0;if(d&1|0?(g=d&-2,f[g>>2]|0):0)ebc(g);g=ovc(c,24728,24176,0)|0;if(!g){A9b(c,a);return}else{DTb(a,g);return}}function ATb(a,b){a=a|0;b=b|0;var c=0;c=ovc(b,24728,24176,0)|0;if(!c){A9b(b,a);return}else{DTb(a,c);return}}function BTb(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function CTb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224998]|0)!=2){f[d>>2]=151624;f[d+4>>2]=135;b[d+8>>0]=0;xLb(899992,d);QKb(d)}d=544568;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function DTb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;d=a+4|0;e=f[c+4>>2]|0;if(e&1|0){g=f[d>>2]|0;if(!(g&1))h=OOa(d)|0;else h=g&-2;hbc(h,e&-2)}e=f[c+8>>2]|0;if(!(e&3))return;do if(e&1|0){h=f[c+16>>2]|0;g=a+8|0;f[g>>2]=f[g>>2]|1;g=a+16|0;i=f[d>>2]|0;j=i&-2;if(!(i&1))k=j;else k=f[j+4>>2]|0;j=f[g>>2]|0;if((j|0)==542896){QGa(g,k,h);break}else{ruc(j,h)|0;break}}while(0);if(e&2|0)b[a+20>>0]=b[c+20>>0]|0;c=a+8|0;f[c>>2]=f[c>>2]|e;return}function ETb(a){a=a|0;var c=0,d=0,e=0;c=u;u=u+16|0;d=c;f[a>>2]=154676;f[a+4>>2]=0;f[a+8>>2]=0;e=a+16|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((a|0)!=544144?(f[225022]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=159;b[d+8>>0]=0;xLb(900088,d);QKb(d)}f[a+12>>2]=0;f[a+32>>2]=542896;f[a+36>>2]=542896;f[a+40>>2]=542896;d=a+48|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;f[d+16>>2]=0;f[d+20>>2]=0;u=c;return}function FTb(a,c){a=a|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;f[a>>2]=154676;f[a+4>>2]=c;f[a+8>>2]=0;f[a+16>>2]=c;f[a+20>>2]=0;f[a+24>>2]=0;f[a+28>>2]=0;if((f[225022]|0)!=2){f[e>>2]=151624;f[e+4>>2]=159;b[e+8>>0]=0;xLb(900088,e);QKb(e)}f[a+12>>2]=0;f[a+32>>2]=542896;f[a+36>>2]=542896;f[a+40>>2]=542896;e=a+48|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;f[e+16>>2]=0;f[e+20>>2]=0;u=d;return}function GTb(a){a=a|0;var c=0;c=f[a+32>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}c=f[a+36>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}c=f[a+40>>2]|0;if((c|0)==542896|(c|0)==0)return;if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c);return}function HTb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=a+12|0;c=f[b>>2]|0;if(!c){f[b>>2]=0;return}if(f[a>>2]|0){f[b>>2]=0;return}a=f[c>>2]|0;if((a|0)>0){d=0;do{e=f[c+4+(d<<2)>>2]|0;if(e|0)bi[f[(f[e>>2]|0)+4>>2]&2047](e);d=d+1|0}while((d|0)!=(a|0));g=f[b>>2]|0}else g=c;fuc(g);f[b>>2]=0;return}function ITb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0;f[a>>2]=154892;b=a+44|0;c=f[b>>2]|0;if(c|0?(f[a+32>>2]|0)==0:0){d=f[c>>2]|0;if((d|0)>0){e=0;do{g=f[c+4+(e<<2)>>2]|0;if(g|0)bi[f[(f[g>>2]|0)+4>>2]&2047](g);e=e+1|0}while((e|0)!=(d|0));h=f[b>>2]|0}else h=c;fuc(h)}f[b>>2]=0;b=a+20|0;h=f[b>>2]|0;if(h&1|0?(c=h&-2,h=c,!((c|0)==0|(f[h+4>>2]|0)!=0)):0){if(f[h>>2]|0)ebc(h);fuc(c)}f[b>>2]=0;gcc(a+4|0);return}function JTb(a){a=a|0;ITb(a);fuc(a);return}function KTb(a){a=a|0;a=cuc(56)|0;bUb(a);return a|0}function LTb(a,b){a=a|0;b=b|0;var c=0;if(!b){a=cuc(56)|0;bUb(a);c=a;return c|0}if(f[b+64>>2]|0)HIb(b,24192,56);a=FIb(b,56)|0;cUb(a,b);c=a;return c|0}function MTb(a){a=a|0;var b=0,c=0;b=f[a+20>>2]|0;a=b&-2;if(!(b&1)){c=a;return c|0}else{c=f[a+4>>2]|0;return c|0}return 0}function NTb(a){a=a|0;return f[a+20>>2]|0}function OTb(a){a=a|0;var b=0,c=0,d=0,e=0;wdc(a+4|0);b=a+36|0;c=f[b>>2]|0;if((c|0)>0){d=f[a+44>>2]|0;e=0;do{YSb(f[d+4+(e<<2)>>2]|0);e=e+1|0}while((e|0)!=(c|0));f[b>>2]=0}b=a+24|0;if(f[b>>2]&3|0){c=a+48|0;f[c>>2]=0;f[c+4>>2]=0}f[b>>2]=0;b=f[a+20>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;ebc(a);return}function PTb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0;if(!(Bdc(a+4|0)|0)){b=0;return b|0}c=f[a+36>>2]|0;if((c|0)<=0){b=1;return b|0}d=f[a+44>>2]|0;a=c;a:while(1){c=a;a=a+-1|0;e=f[d+4+(a<<2)>>2]|0;g=f[e+28>>2]|0;h=f[e+20>>2]|0;while(1){if((h|0)<=0)break;h=h+-1|0;if((f[(f[g+4+(h<<2)>>2]|0)+8>>2]&3|0)!=3){b=0;i=8;break a}}if((c|0)<=1){b=1;i=8;break}}if((i|0)==8)return b|0;return 0}function QTb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;d=u;u=u+16|0;e=d;g=c+4|0;i=a+24|0;j=a+48|0;k=e+8|0;l=a+32|0;m=e+4|0;n=a+4|0;o=a+20|0;p=a+52|0;a:while(1){b:while(1){a=f[c>>2]|0;q=f[g>>2]|0;do if(a>>>0<q>>>0){r=b[a>>0]|0;s=r&255;t=a+1|0;if(r<<24>>24>0){v=t;w=s}else{if(t>>>0>=q>>>0){x=s;y=8;break}r=h[t>>0]|0;if(((r^128)&s)>>>0<=127){x=s;y=8;break}v=a+2|0;w=s+-128+(r<<7)|0}f[c>>2]=v;z=w;y=10}else{x=0;y=8}while(0);if((y|0)==8){y=0;a=OJb(c,x)|0;if((a+-1|0)>>>0<16383){z=a;y=10}else A=a}c:do if((y|0)==10){y=0;switch(z>>>3&536870911|0){case 33:{if((z&255|0)!=8){A=z;break c}f[i>>2]=f[i>>2]|1;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(q=b[a>>0]|0,q<<24>>24>-1):0){f[c>>2]=a+1;B=q<<24>>24!=0}else{AJb(e,c);q=e;if(!(b[k>>0]|0)){C=0;y=47;break a}else B=(f[q>>2]|0)!=0|(f[q+4>>2]|0)!=0}b[j>>0]=B&1;continue b;break}case 34:{if((z&255|0)==16)break b;else{A=z;break c}break}case 999:{if((z&255|0)!=58){A=z;break c}q=aUb(l)|0;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(r=b[a>>0]|0,r<<24>>24>-1):0){f[c>>2]=a+1;D=r&255}else{r=NJb(c)|0;if((r|0)>-1)D=r;else{C=0;y=47;break a}}yJb(e,c,D);if((f[m>>2]|0)<0){y=35;break a}if(!(Th[f[(f[q>>2]|0)+44>>2]&1023](q,c)|0)){y=35;break a}if(DJb(c,f[e>>2]|0)|0)continue b;else{C=0;y=47;break a}break}default:{A=z;break c}}}while(0);if(!A){C=1;y=47;break a}q=f[o>>2]|0;r=(q&1|0)==0;if(A>>>0>7999){if(r)E=OOa(o)|0;else E=q&-2;if(t1b(n,A,c,544064,E)|0)continue;else{C=0;y=47;break a}}else{if(r)F=OOa(o)|0;else F=q&-2;if(xbc(c,A,F)|0)continue;else{C=0;y=47;break a}}}q=f[c>>2]|0;if(q>>>0<(f[g>>2]|0)>>>0){r=b[q>>0]|0;a=r&255;if(r<<24>>24>-1){f[c>>2]=q+1;G=a}else{H=a;y=21}}else{H=0;y=21}if((y|0)==21){y=0;a=zJb(c,H)|0;q=J;if((q|0)>-1|(q|0)==-1&a>>>0>4294967295)G=a;else{C=0;y=47;break}}if(G>>>0<3){f[i>>2]=f[i>>2]|2;f[p>>2]=G;continue}a=f[o>>2]|0;if(!(a&1))I=OOa(o)|0;else I=a&-2;kbc(I,34,G,((G|0)<0)<<31>>31)}if((y|0)==35){C=0;u=d;return C|0}else if((y|0)==47){u=d;return C|0}return 0}function RTb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;b=Hdc(a+4|0)|0;c=f[a+20>>2]|0;if(!(c&1))d=b;else d=(Dbc(c&-2)|0)+b|0;b=f[a+36>>2]|0;c=(b<<1)+d|0;if(!b)e=c;else{d=a+44|0;g=0;h=c;while(1){c=f[(f[d>>2]|0)+4+(g<<2)>>2]|0;i=di[f[(f[c>>2]|0)+48>>2]&1023](c)|0;c=i+h+((((($(i|1|0)|0)^31)*9|0)+73|0)>>>6)|0;g=g+1|0;if((g|0)==(b|0)){e=c;break}else h=c}}h=f[a+24>>2]|0;if(!(h&3)){j=e;k=a+28|0;f[k>>2]=j;return j|0}b=h&1|0?e+3|0:e;if(!(h&2)){j=b;k=a+28|0;f[k>>2]=j;return j|0}h=f[a+52>>2]|0;if((h|0)<0)l=12;else l=((((($(h|1|0)|0)^31)*9|0)+73|0)>>>6)+2|0;j=l+b|0;k=a+28|0;f[k>>2]=j;return j|0}function STb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;d=f[a+24>>2]|0;if(d&1|0)SLb(33,(b[a+48>>0]|0)!=0,c);if(d&2|0)TLb(34,f[a+52>>2]|0,c);d=f[a+36>>2]|0;if(d|0){e=a+44|0;g=0;do{_Lb(999,f[(f[e>>2]|0)+4+(g<<2)>>2]|0,c);g=g+1|0}while((g|0)!=(d|0))}Fdc(a+4|0,1e3,536870912,c);d=f[a+20>>2]|0;if(!(d&1))return;Abc(d&-2,c);return}function TTb(a){a=a|0;return f[a+28>>2]|0}function UTb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;e=f[a+24>>2]|0;if(!(e&1))g=d;else{h=b[a+48>>0]|0;b[d>>0]=-120;b[d+1>>0]=2;b[d+2>>0]=h;g=d+3|0}if(!(e&2))i=g;else{e=f[a+52>>2]|0;b[g>>0]=-112;b[g+1>>0]=2;d=g+2|0;g=e&255;if(e>>>0>127){h=d;j=g;k=e;l=((e|0)<0)<<31>>31;while(1){b[h>>0]=j|-128;e=k;k=pzc(k|0,l|0,7)|0;m=h+1|0;n=k&255;if(!(l>>>0>0|(l|0)==0&e>>>0>16383)){o=m;p=n;break}else{h=m;j=n;l=J}}}else{o=d;p=g}b[o>>0]=p;i=o+1|0}o=f[a+36>>2]|0;if(!o)q=i;else{p=a+44|0;g=0;d=i;while(1){i=f[(f[p>>2]|0)+4+(g<<2)>>2]|0;b[d>>0]=-70;b[d+1>>0]=62;l=d+2|0;j=di[f[(f[i>>2]|0)+60>>2]&1023](i)|0;if(j>>>0>127){h=j;k=l;while(1){b[k>>0]=h|128;n=h>>>7;m=k+1|0;if(h>>>0>16383){h=n;k=m}else{r=m;s=n;break}}}else{r=l;s=j}b[r>>0]=s;k=li[f[(f[i>>2]|0)+64>>2]&511](i,c,r+1|0)|0;g=g+1|0;if((g|0)==(o|0)){q=k;break}else d=k}}d=x1b(a+4|0,1e3,536870912,c,q)|0;q=f[a+20>>2]|0;if(!(q&1)){t=d;return t|0}t=Bbc(q&-2,d)|0;return t|0}function VTb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;if((a|0)==(b|0))return;wdc(a+4|0);c=a+36|0;d=f[c>>2]|0;if((d|0)>0){e=f[a+44>>2]|0;g=0;do{YSb(f[e+4+(g<<2)>>2]|0);g=g+1|0}while((g|0)!=(d|0));f[c>>2]=0}c=a+24|0;if(f[c>>2]&3|0){d=a+48|0;f[d>>2]=0;f[d+4>>2]=0}f[c>>2]=0;c=f[a+20>>2]|0;if(c&1|0?(d=c&-2,f[d>>2]|0):0)ebc(d);d=ovc(b,24728,24192,0)|0;if(!d){A9b(b,a);return}else{ZTb(a,d);return}}function WTb(a,b){a=a|0;b=b|0;var c=0;c=ovc(b,24728,24192,0)|0;if(!c){A9b(b,a);return}else{ZTb(a,c);return}}function XTb(a,b){a=a|0;b=b|0;f[a+28>>2]=b;return}function YTb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224998]|0)!=2){f[d>>2]=151624;f[d+4>>2]=135;b[d+8>>0]=0;xLb(899992,d);QKb(d)}d=544560;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function ZTb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;xdc(a+4|0,c+4|0);d=a+20|0;e=f[c+20>>2]|0;if(e&1|0){g=f[d>>2]|0;if(!(g&1))h=OOa(d)|0;else h=g&-2;hbc(h,e&-2)}_Tb(a+32|0,c+32|0);e=f[c+24>>2]|0;if(!(e&3))return;if(e&1|0)b[a+48>>0]=b[c+48>>0]|0;if(e&2|0)f[a+52>>2]=f[c+52>>2];c=a+24|0;f[c>>2]=f[c>>2]|e;return}function _Tb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=f[b+4>>2]|0;if(!c)return;d=f[b+12>>2]|0;b=KKb(a,c)|0;e=a+12|0;g=a+4|0;h=(f[f[e>>2]>>2]|0)-(f[g>>2]|0)|0;if((h|0)>0&(c|0)>0){i=0;do{$Tb(f[d+4+(i<<2)>>2]|0,f[b+(i<<2)>>2]|0);i=i+1|0}while((i|0)<(h|0)&(i|0)<(c|0))}i=f[a>>2]|0;a:do if((h|0)<(c|0)){a=i+64|0;if(!i){j=h;while(1){k=f[d+4+(j<<2)>>2]|0;l=cuc(72)|0;ETb(l);$Tb(k,l);f[b+(j<<2)>>2]=l;j=j+1|0;if((j|0)>=(c|0))break a}}else m=h;do{j=f[d+4+(m<<2)>>2]|0;if(f[a>>2]|0)HIb(i,24160,72);l=FIb(i,72)|0;FTb(l,i);$Tb(j,l);f[b+(m<<2)>>2]=l;m=m+1|0}while((m|0)!=(c|0))}while(0);m=(f[g>>2]|0)+c|0;f[g>>2]=m;g=f[e>>2]|0;if((f[g>>2]|0)>=(m|0))return;f[g>>2]=m;return}function $Tb(a,b){a=a|0;b=b|0;hTb(b,a);return}function aUb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;b=a+12|0;c=f[b>>2]|0;do if(!c){d=a+4|0;e=f[a+8>>2]|0;g=6}else{h=a+4|0;i=f[h>>2]|0;j=f[c>>2]|0;if((i|0)>=(j|0))if((j|0)==(f[a+8>>2]|0)){d=h;e=j;g=6;break}else{k=h;l=j;m=c;break}f[h>>2]=i+1;n=f[c+4+(i<<2)>>2]|0;return n|0}while(0);if((g|0)==6){LKb(a,e+1|0);e=f[b>>2]|0;k=d;l=f[e>>2]|0;m=e}f[m>>2]=l+1;l=f[a>>2]|0;if(!l){a=cuc(72)|0;ETb(a);o=a}else{if(f[l+64>>2]|0)HIb(l,24160,72);a=FIb(l,72)|0;FTb(a,l);o=a}a=f[b>>2]|0;b=f[k>>2]|0;f[k>>2]=b+1;f[a+4+(b<<2)>>2]=o;n=o;return n|0}function bUb(a){a=a|0;var c=0,d=0,e=0;c=u;u=u+16|0;d=c;f[a>>2]=154892;fcc(a+4|0);f[a+20>>2]=0;f[a+24>>2]=0;e=a+32|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((a|0)!=544064?(f[225020]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=157;b[d+8>>0]=0;xLb(900080,d);QKb(d)}f[a+28>>2]=0;d=a+48|0;f[d>>2]=0;f[d+4>>2]=0;u=c;return}function cUb(a,c){a=a|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;f[a>>2]=154892;bcc(a+4|0,c);f[a+20>>2]=c;f[a+24>>2]=0;f[a+32>>2]=c;f[a+36>>2]=0;f[a+40>>2]=0;f[a+44>>2]=0;if((f[225020]|0)!=2){f[e>>2]=151624;f[e+4>>2]=157;b[e+8>>0]=0;xLb(900080,e);QKb(e)}f[a+28>>2]=0;e=a+48|0;f[e>>2]=0;f[e+4>>2]=0;u=d;return}function dUb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0;f[a>>2]=155e3;b=a+44|0;c=f[b>>2]|0;if(c|0?(f[a+32>>2]|0)==0:0){d=f[c>>2]|0;if((d|0)>0){e=0;do{g=f[c+4+(e<<2)>>2]|0;if(g|0)bi[f[(f[g>>2]|0)+4>>2]&2047](g);e=e+1|0}while((e|0)!=(d|0));h=f[b>>2]|0}else h=c;fuc(h)}f[b>>2]=0;b=a+20|0;h=f[b>>2]|0;if(h&1|0?(c=h&-2,h=c,!((c|0)==0|(f[h+4>>2]|0)!=0)):0){if(f[h>>2]|0)ebc(h);fuc(c)}f[b>>2]=0;gcc(a+4|0);return}function eUb(a){a=a|0;dUb(a);fuc(a);return}function fUb(a){a=a|0;a=cuc(52)|0;uUb(a);return a|0}function gUb(a,b){a=a|0;b=b|0;var c=0;if(!b){a=cuc(52)|0;uUb(a);c=a;return c|0}if(f[b+64>>2]|0)HIb(b,24208,56);a=FIb(b,56)|0;vUb(a,b);c=a;return c|0}function hUb(a){a=a|0;var b=0,c=0;b=f[a+20>>2]|0;a=b&-2;if(!(b&1)){c=a;return c|0}else{c=f[a+4>>2]|0;return c|0}return 0}function iUb(a){a=a|0;return f[a+20>>2]|0}function jUb(a){a=a|0;var c=0,d=0,e=0,g=0;wdc(a+4|0);c=a+36|0;d=f[c>>2]|0;if((d|0)>0){e=f[a+44>>2]|0;g=0;do{YSb(f[e+4+(g<<2)>>2]|0);g=g+1|0}while((g|0)!=(d|0));f[c>>2]=0}b[a+48>>0]=0;f[a+24>>2]=0;c=f[a+20>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;ebc(a);return}function kUb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0;if(!(Bdc(a+4|0)|0)){b=0;return b|0}c=f[a+36>>2]|0;if((c|0)<=0){b=1;return b|0}d=f[a+44>>2]|0;a=c;a:while(1){c=a;a=a+-1|0;e=f[d+4+(a<<2)>>2]|0;g=f[e+28>>2]|0;h=f[e+20>>2]|0;while(1){if((h|0)<=0)break;h=h+-1|0;if((f[(f[g+4+(h<<2)>>2]|0)+8>>2]&3|0)!=3){b=0;i=8;break a}}if((c|0)<=1){b=1;i=8;break}}if((i|0)==8)return b|0;return 0}function lUb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;d=u;u=u+16|0;e=d;g=c+4|0;i=a+24|0;j=a+48|0;k=e+8|0;l=a+32|0;m=e+4|0;n=a+4|0;o=a+20|0;a:while(1){a=f[c>>2]|0;p=f[g>>2]|0;do if(a>>>0<p>>>0){q=b[a>>0]|0;r=q&255;s=a+1|0;if(q<<24>>24>0){t=s;v=r}else{if(s>>>0>=p>>>0){w=r;x=7;break}q=h[s>>0]|0;if(((q^128)&r)>>>0<=127){w=r;x=7;break}t=a+2|0;v=r+-128+(q<<7)|0}f[c>>2]=t;y=v;x=9}else{w=0;x=7}while(0);if((x|0)==7){x=0;a=OJb(c,w)|0;if((a+-1|0)>>>0<16383){y=a;x=9}else z=a}b:do if((x|0)==9){x=0;switch(y>>>3&536870911|0){case 33:{if((y&255|0)!=8){z=y;break b}f[i>>2]=f[i>>2]|1;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(p=b[a>>0]|0,p<<24>>24>-1):0){f[c>>2]=a+1;A=p<<24>>24!=0}else{AJb(e,c);p=e;if(!(b[k>>0]|0)){B=0;x=35;break a}else A=(f[p>>2]|0)!=0|(f[p+4>>2]|0)!=0}b[j>>0]=A&1;continue a;break}case 999:break;default:{z=y;break b}}if((y&255|0)==58){p=aUb(l)|0;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(q=b[a>>0]|0,q<<24>>24>-1):0){f[c>>2]=a+1;C=q&255}else{q=NJb(c)|0;if((q|0)>-1)C=q;else{B=0;x=35;break a}}yJb(e,c,C);if((f[m>>2]|0)<0){x=23;break a}if(!(Th[f[(f[p>>2]|0)+44>>2]&1023](p,c)|0)){x=23;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{B=0;x=35;break a}}else z=y}while(0);if(!z){B=1;x=35;break}p=f[o>>2]|0;q=(p&1|0)==0;if(z>>>0>7999){if(q)D=OOa(o)|0;else D=p&-2;if(t1b(n,z,c,544008,D)|0)continue;else{B=0;x=35;break}}else{if(q)E=OOa(o)|0;else E=p&-2;if(xbc(c,z,E)|0)continue;else{B=0;x=35;break}}}if((x|0)==23){B=0;u=d;return B|0}else if((x|0)==35){u=d;return B|0}return 0}function mUb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;b=Hdc(a+4|0)|0;c=f[a+20>>2]|0;if(!(c&1))d=b;else d=(Dbc(c&-2)|0)+b|0;b=f[a+36>>2]|0;c=(b<<1)+d|0;if(!b){e=c;g=a+24|0;h=f[g>>2]|0;i=h&1;j=(i|0)!=0;k=e+3|0;l=j?k:e;m=a+28|0;f[m>>2]=l;return l|0}d=a+44|0;n=0;o=c;while(1){c=f[(f[d>>2]|0)+4+(n<<2)>>2]|0;p=di[f[(f[c>>2]|0)+48>>2]&1023](c)|0;c=p+o+((((($(p|1|0)|0)^31)*9|0)+73|0)>>>6)|0;n=n+1|0;if((n|0)==(b|0)){e=c;break}else o=c}g=a+24|0;h=f[g>>2]|0;i=h&1;j=(i|0)!=0;k=e+3|0;l=j?k:e;m=a+28|0;f[m>>2]=l;return l|0}function nUb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;if(f[a+24>>2]&1|0)SLb(33,(b[a+48>>0]|0)!=0,c);d=f[a+36>>2]|0;if(d|0){e=a+44|0;g=0;do{_Lb(999,f[(f[e>>2]|0)+4+(g<<2)>>2]|0,c);g=g+1|0}while((g|0)!=(d|0))}Fdc(a+4|0,1e3,536870912,c);d=f[a+20>>2]|0;if(!(d&1))return;Abc(d&-2,c);return}function oUb(a){a=a|0;return f[a+28>>2]|0}function pUb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;if(!(f[a+24>>2]&1))e=d;else{g=b[a+48>>0]|0;b[d>>0]=-120;b[d+1>>0]=2;b[d+2>>0]=g;e=d+3|0}d=f[a+36>>2]|0;if(!d)h=e;else{g=a+44|0;i=0;j=e;while(1){e=f[(f[g>>2]|0)+4+(i<<2)>>2]|0;b[j>>0]=-70;b[j+1>>0]=62;k=j+2|0;l=di[f[(f[e>>2]|0)+60>>2]&1023](e)|0;if(l>>>0>127){m=l;n=k;while(1){b[n>>0]=m|128;o=m>>>7;p=n+1|0;if(m>>>0>16383){m=o;n=p}else{q=p;r=o;break}}}else{q=k;r=l}b[q>>0]=r;n=li[f[(f[e>>2]|0)+64>>2]&511](e,c,q+1|0)|0;i=i+1|0;if((i|0)==(d|0)){h=n;break}else j=n}}j=x1b(a+4|0,1e3,536870912,c,h)|0;h=f[a+20>>2]|0;if(!(h&1)){s=j;return s|0}s=Bbc(h&-2,j)|0;return s|0}function qUb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;if((a|0)==(c|0))return;wdc(a+4|0);d=a+36|0;e=f[d>>2]|0;if((e|0)>0){g=f[a+44>>2]|0;h=0;do{YSb(f[g+4+(h<<2)>>2]|0);h=h+1|0}while((h|0)!=(e|0));f[d>>2]=0}b[a+48>>0]=0;f[a+24>>2]=0;d=f[a+20>>2]|0;if(d&1|0?(e=d&-2,f[e>>2]|0):0)ebc(e);rUb(a,c);return}function rUb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;d=ovc(c,24728,24208,0)|0;if(!d){A9b(c,a);return}xdc(a+4|0,d+4|0);c=a+20|0;e=f[d+20>>2]|0;if(e&1|0){g=f[c>>2]|0;if(!(g&1))h=OOa(c)|0;else h=g&-2;hbc(h,e&-2)}_Tb(a+32|0,d+32|0);if(!(f[d+24>>2]&1))return;e=b[d+48>>0]|0;d=a+24|0;f[d>>2]=f[d>>2]|1;b[a+48>>0]=e;return}function sUb(a,b){a=a|0;b=b|0;f[a+28>>2]=b;return}function tUb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224998]|0)!=2){f[d>>2]=151624;f[d+4>>2]=135;b[d+8>>0]=0;xLb(899992,d);QKb(d)}d=544552;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function uUb(a){a=a|0;var c=0,d=0,e=0;c=u;u=u+16|0;d=c;f[a>>2]=155e3;fcc(a+4|0);f[a+20>>2]=0;f[a+24>>2]=0;e=a+32|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((a|0)!=544008?(f[225019]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=156;b[d+8>>0]=0;xLb(900076,d);QKb(d)}f[a+28>>2]=0;b[a+48>>0]=0;u=c;return}function vUb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+16|0;e=d;f[a>>2]=155e3;bcc(a+4|0,c);f[a+20>>2]=c;f[a+24>>2]=0;f[a+32>>2]=c;f[a+36>>2]=0;f[a+40>>2]=0;f[a+44>>2]=0;if((f[225019]|0)==2){g=a+28|0;f[g>>2]=0;h=a+48|0;b[h>>0]=0;u=d;return}f[e>>2]=151624;f[e+4>>2]=156;b[e+8>>0]=0;xLb(900076,e);QKb(e);g=a+28|0;f[g>>2]=0;h=a+48|0;b[h>>0]=0;u=d;return}function wUb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0;f[a>>2]=155108;b=a+44|0;c=f[b>>2]|0;if(c|0?(f[a+32>>2]|0)==0:0){d=f[c>>2]|0;if((d|0)>0){e=0;do{g=f[c+4+(e<<2)>>2]|0;if(g|0)bi[f[(f[g>>2]|0)+4>>2]&2047](g);e=e+1|0}while((e|0)!=(d|0));h=f[b>>2]|0}else h=c;fuc(h)}f[b>>2]=0;b=a+20|0;h=f[b>>2]|0;if(h&1|0?(c=h&-2,h=c,!((c|0)==0|(f[h+4>>2]|0)!=0)):0){if(f[h>>2]|0)ebc(h);fuc(c)}f[b>>2]=0;gcc(a+4|0);return}function xUb(a){a=a|0;wUb(a);fuc(a);return}function yUb(a){a=a|0;a=cuc(52)|0;NUb(a);return a|0}function zUb(a,b){a=a|0;b=b|0;var c=0;if(!b){a=cuc(52)|0;NUb(a);c=a;return c|0}if(f[b+64>>2]|0)HIb(b,24224,56);a=FIb(b,56)|0;OUb(a,b);c=a;return c|0}function AUb(a){a=a|0;var b=0,c=0;b=f[a+20>>2]|0;a=b&-2;if(!(b&1)){c=a;return c|0}else{c=f[a+4>>2]|0;return c|0}return 0}function BUb(a){a=a|0;return f[a+20>>2]|0}function CUb(a){a=a|0;var c=0,d=0,e=0,g=0;wdc(a+4|0);c=a+36|0;d=f[c>>2]|0;if((d|0)>0){e=f[a+44>>2]|0;g=0;do{YSb(f[e+4+(g<<2)>>2]|0);g=g+1|0}while((g|0)!=(d|0));f[c>>2]=0}b[a+48>>0]=0;f[a+24>>2]=0;c=f[a+20>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;ebc(a);return}function DUb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0;if(!(Bdc(a+4|0)|0)){b=0;return b|0}c=f[a+36>>2]|0;if((c|0)<=0){b=1;return b|0}d=f[a+44>>2]|0;a=c;a:while(1){c=a;a=a+-1|0;e=f[d+4+(a<<2)>>2]|0;g=f[e+28>>2]|0;h=f[e+20>>2]|0;while(1){if((h|0)<=0)break;h=h+-1|0;if((f[(f[g+4+(h<<2)>>2]|0)+8>>2]&3|0)!=3){b=0;i=8;break a}}if((c|0)<=1){b=1;i=8;break}}if((i|0)==8)return b|0;return 0}function EUb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;d=u;u=u+16|0;e=d;g=c+4|0;i=a+24|0;j=a+48|0;k=e+8|0;l=a+32|0;m=e+4|0;n=a+4|0;o=a+20|0;a:while(1){a=f[c>>2]|0;p=f[g>>2]|0;do if(a>>>0<p>>>0){q=b[a>>0]|0;r=q&255;s=a+1|0;if(q<<24>>24>0){t=s;v=r}else{if(s>>>0>=p>>>0){w=r;x=7;break}q=h[s>>0]|0;if(((q^128)&r)>>>0<=127){w=r;x=7;break}t=a+2|0;v=r+-128+(q<<7)|0}f[c>>2]=t;y=v;x=9}else{w=0;x=7}while(0);if((x|0)==7){x=0;a=OJb(c,w)|0;if((a+-1|0)>>>0<16383){y=a;x=9}else z=a}b:do if((x|0)==9){x=0;switch(y>>>3&536870911|0){case 1:{if((y&255|0)!=8){z=y;break b}f[i>>2]=f[i>>2]|1;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(p=b[a>>0]|0,p<<24>>24>-1):0){f[c>>2]=a+1;A=p<<24>>24!=0}else{AJb(e,c);p=e;if(!(b[k>>0]|0)){B=0;x=35;break a}else A=(f[p>>2]|0)!=0|(f[p+4>>2]|0)!=0}b[j>>0]=A&1;continue a;break}case 999:break;default:{z=y;break b}}if((y&255|0)==58){p=aUb(l)|0;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(q=b[a>>0]|0,q<<24>>24>-1):0){f[c>>2]=a+1;C=q&255}else{q=NJb(c)|0;if((q|0)>-1)C=q;else{B=0;x=35;break a}}yJb(e,c,C);if((f[m>>2]|0)<0){x=23;break a}if(!(Th[f[(f[p>>2]|0)+44>>2]&1023](p,c)|0)){x=23;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{B=0;x=35;break a}}else z=y}while(0);if(!z){B=1;x=35;break}p=f[o>>2]|0;q=(p&1|0)==0;if(z>>>0>7999){if(q)D=OOa(o)|0;else D=p&-2;if(t1b(n,z,c,543952,D)|0)continue;else{B=0;x=35;break}}else{if(q)E=OOa(o)|0;else E=p&-2;if(xbc(c,z,E)|0)continue;else{B=0;x=35;break}}}if((x|0)==23){B=0;u=d;return B|0}else if((x|0)==35){u=d;return B|0}return 0}function FUb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;b=Hdc(a+4|0)|0;c=f[a+20>>2]|0;if(!(c&1))d=b;else d=(Dbc(c&-2)|0)+b|0;b=f[a+36>>2]|0;c=(b<<1)+d|0;if(!b){e=c;g=a+24|0;h=f[g>>2]|0;i=h&1;j=(i|0)!=0;k=e+2|0;l=j?k:e;m=a+28|0;f[m>>2]=l;return l|0}d=a+44|0;n=0;o=c;while(1){c=f[(f[d>>2]|0)+4+(n<<2)>>2]|0;p=di[f[(f[c>>2]|0)+48>>2]&1023](c)|0;c=p+o+((((($(p|1|0)|0)^31)*9|0)+73|0)>>>6)|0;n=n+1|0;if((n|0)==(b|0)){e=c;break}else o=c}g=a+24|0;h=f[g>>2]|0;i=h&1;j=(i|0)!=0;k=e+2|0;l=j?k:e;m=a+28|0;f[m>>2]=l;return l|0}function GUb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;if(f[a+24>>2]&1|0)SLb(1,(b[a+48>>0]|0)!=0,c);d=f[a+36>>2]|0;if(d|0){e=a+44|0;g=0;do{_Lb(999,f[(f[e>>2]|0)+4+(g<<2)>>2]|0,c);g=g+1|0}while((g|0)!=(d|0))}Fdc(a+4|0,1e3,536870912,c);d=f[a+20>>2]|0;if(!(d&1))return;Abc(d&-2,c);return}function HUb(a){a=a|0;return f[a+28>>2]|0}function IUb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;if(!(f[a+24>>2]&1))e=d;else{g=b[a+48>>0]|0;b[d>>0]=8;b[d+1>>0]=g;e=d+2|0}d=f[a+36>>2]|0;if(!d)h=e;else{g=a+44|0;i=0;j=e;while(1){e=f[(f[g>>2]|0)+4+(i<<2)>>2]|0;b[j>>0]=-70;b[j+1>>0]=62;k=j+2|0;l=di[f[(f[e>>2]|0)+60>>2]&1023](e)|0;if(l>>>0>127){m=l;n=k;while(1){b[n>>0]=m|128;o=m>>>7;p=n+1|0;if(m>>>0>16383){m=o;n=p}else{q=p;r=o;break}}}else{q=k;r=l}b[q>>0]=r;n=li[f[(f[e>>2]|0)+64>>2]&511](e,c,q+1|0)|0;i=i+1|0;if((i|0)==(d|0)){h=n;break}else j=n}}j=x1b(a+4|0,1e3,536870912,c,h)|0;h=f[a+20>>2]|0;if(!(h&1)){s=j;return s|0}s=Bbc(h&-2,j)|0;return s|0}function JUb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;if((a|0)==(c|0))return;wdc(a+4|0);d=a+36|0;e=f[d>>2]|0;if((e|0)>0){g=f[a+44>>2]|0;h=0;do{YSb(f[g+4+(h<<2)>>2]|0);h=h+1|0}while((h|0)!=(e|0));f[d>>2]=0}b[a+48>>0]=0;f[a+24>>2]=0;d=f[a+20>>2]|0;if(d&1|0?(e=d&-2,f[e>>2]|0):0)ebc(e);KUb(a,c);return}function KUb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;d=ovc(c,24728,24224,0)|0;if(!d){A9b(c,a);return}xdc(a+4|0,d+4|0);c=a+20|0;e=f[d+20>>2]|0;if(e&1|0){g=f[c>>2]|0;if(!(g&1))h=OOa(c)|0;else h=g&-2;hbc(h,e&-2)}_Tb(a+32|0,d+32|0);if(!(f[d+24>>2]&1))return;e=b[d+48>>0]|0;d=a+24|0;f[d>>2]=f[d>>2]|1;b[a+48>>0]=e;return}function LUb(a,b){a=a|0;b=b|0;f[a+28>>2]=b;return}function MUb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224998]|0)!=2){f[d>>2]=151624;f[d+4>>2]=135;b[d+8>>0]=0;xLb(899992,d);QKb(d)}d=544544;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function NUb(a){a=a|0;var c=0,d=0,e=0;c=u;u=u+16|0;d=c;f[a>>2]=155108;fcc(a+4|0);f[a+20>>2]=0;f[a+24>>2]=0;e=a+32|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((a|0)!=543952?(f[225018]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=155;b[d+8>>0]=0;xLb(900072,d);QKb(d)}f[a+28>>2]=0;b[a+48>>0]=0;u=c;return}function OUb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+16|0;e=d;f[a>>2]=155108;bcc(a+4|0,c);f[a+20>>2]=c;f[a+24>>2]=0;f[a+32>>2]=c;f[a+36>>2]=0;f[a+40>>2]=0;f[a+44>>2]=0;if((f[225018]|0)==2){g=a+28|0;f[g>>2]=0;h=a+48|0;b[h>>0]=0;u=d;return}f[e>>2]=151624;f[e+4>>2]=155;b[e+8>>0]=0;xLb(900072,e);QKb(e);g=a+28|0;f[g>>2]=0;h=a+48|0;b[h>>0]=0;u=d;return}function PUb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0;f[a>>2]=155216;b=a+44|0;c=f[b>>2]|0;if(c|0?(f[a+32>>2]|0)==0:0){d=f[c>>2]|0;if((d|0)>0){e=0;do{g=f[c+4+(e<<2)>>2]|0;if(g|0)bi[f[(f[g>>2]|0)+4>>2]&2047](g);e=e+1|0}while((e|0)!=(d|0));h=f[b>>2]|0}else h=c;fuc(h)}f[b>>2]=0;b=a+20|0;h=f[b>>2]|0;if(h&1|0?(c=h&-2,h=c,!((c|0)==0|(f[h+4>>2]|0)!=0)):0){if(f[h>>2]|0)ebc(h);fuc(c)}f[b>>2]=0;gcc(a+4|0);return}function QUb(a){a=a|0;PUb(a);fuc(a);return}function RUb(a){a=a|0;a=cuc(52)|0;fVb(a);return a|0}function SUb(a,b){a=a|0;b=b|0;var c=0;if(!b){a=cuc(52)|0;fVb(a);c=a;return c|0}if(f[b+64>>2]|0)HIb(b,24240,56);a=FIb(b,56)|0;gVb(a,b);c=a;return c|0}function TUb(a){a=a|0;var b=0,c=0;b=f[a+20>>2]|0;a=b&-2;if(!(b&1)){c=a;return c|0}else{c=f[a+4>>2]|0;return c|0}return 0}function UUb(a){a=a|0;return f[a+20>>2]|0}function VUb(a){a=a|0;var b=0,c=0,e=0,g=0;wdc(a+4|0);b=a+36|0;c=f[b>>2]|0;if((c|0)>0){e=f[a+44>>2]|0;g=0;do{YSb(f[e+4+(g<<2)>>2]|0);g=g+1|0}while((g|0)!=(c|0));f[b>>2]=0}d[a+48>>1]=0;f[a+24>>2]=0;b=f[a+20>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;ebc(a);return}function WUb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0;if(!(Bdc(a+4|0)|0)){b=0;return b|0}c=f[a+36>>2]|0;if((c|0)<=0){b=1;return b|0}d=f[a+44>>2]|0;a=c;a:while(1){c=a;a=a+-1|0;e=f[d+4+(a<<2)>>2]|0;g=f[e+28>>2]|0;h=f[e+20>>2]|0;while(1){if((h|0)<=0)break;h=h+-1|0;if((f[(f[g+4+(h<<2)>>2]|0)+8>>2]&3|0)!=3){b=0;i=8;break a}}if((c|0)<=1){b=1;i=8;break}}if((i|0)==8)return b|0;return 0}function XUb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;d=u;u=u+16|0;e=d;g=c+4|0;i=a+24|0;j=a+48|0;k=e+8|0;l=a+49|0;m=e+8|0;n=a+32|0;o=e+4|0;p=a+4|0;q=a+20|0;a:while(1){a=f[c>>2]|0;r=f[g>>2]|0;do if(a>>>0<r>>>0){s=b[a>>0]|0;t=s&255;v=a+1|0;if(s<<24>>24>0){w=v;x=t}else{if(v>>>0>=r>>>0){y=t;z=7;break}s=h[v>>0]|0;if(((s^128)&t)>>>0<=127){y=t;z=7;break}w=a+2|0;x=t+-128+(s<<7)|0}f[c>>2]=w;A=x;z=9}else{y=0;z=7}while(0);if((z|0)==7){z=0;a=OJb(c,y)|0;if((a+-1|0)>>>0<16383){A=a;z=9}else B=a}b:do if((z|0)==9){z=0;switch(A>>>3&536870911|0){case 2:{if((A&255|0)!=16){B=A;break b}f[i>>2]=f[i>>2]|1;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(r=b[a>>0]|0,r<<24>>24>-1):0){f[c>>2]=a+1;C=r<<24>>24!=0}else{AJb(e,c);r=e;if(!(b[k>>0]|0)){D=0;z=41;break a}else C=(f[r>>2]|0)!=0|(f[r+4>>2]|0)!=0}b[j>>0]=C&1;continue a;break}case 3:{if((A&255|0)!=24){B=A;break b}f[i>>2]=f[i>>2]|2;r=f[c>>2]|0;if(r>>>0<(f[g>>2]|0)>>>0?(a=b[r>>0]|0,a<<24>>24>-1):0){f[c>>2]=r+1;E=a<<24>>24!=0}else{AJb(e,c);a=e;if(!(b[m>>0]|0)){D=0;z=41;break a}else E=(f[a>>2]|0)!=0|(f[a+4>>2]|0)!=0}b[l>>0]=E&1;continue a;break}case 999:{if((A&255|0)!=58){B=A;break b}a=aUb(n)|0;r=f[c>>2]|0;if(r>>>0<(f[g>>2]|0)>>>0?(s=b[r>>0]|0,s<<24>>24>-1):0){f[c>>2]=r+1;F=s&255}else{s=NJb(c)|0;if((s|0)>-1)F=s;else{D=0;z=41;break a}}yJb(e,c,F);if((f[o>>2]|0)<0){z=29;break a}if(!(Th[f[(f[a>>2]|0)+44>>2]&1023](a,c)|0)){z=29;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{D=0;z=41;break a}break}default:{B=A;break b}}}while(0);if(!B){D=1;z=41;break}a=f[q>>2]|0;s=(a&1|0)==0;if(B>>>0>7999){if(s)G=OOa(q)|0;else G=a&-2;if(t1b(p,B,c,543896,G)|0)continue;else{D=0;z=41;break}}else{if(s)H=OOa(q)|0;else H=a&-2;if(xbc(c,B,H)|0)continue;else{D=0;z=41;break}}}if((z|0)==29){D=0;u=d;return D|0}else if((z|0)==41){u=d;return D|0}return 0}function YUb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;b=Hdc(a+4|0)|0;c=f[a+20>>2]|0;if(!(c&1))d=b;else d=(Dbc(c&-2)|0)+b|0;b=f[a+36>>2]|0;c=(b<<1)+d|0;if(!b)e=c;else{d=a+44|0;g=0;h=c;while(1){c=f[(f[d>>2]|0)+4+(g<<2)>>2]|0;i=di[f[(f[c>>2]|0)+48>>2]&1023](c)|0;c=i+h+((((($(i|1|0)|0)^31)*9|0)+73|0)>>>6)|0;g=g+1|0;if((g|0)==(b|0)){e=c;break}else h=c}}h=f[a+24>>2]|0;if(!(h&3)){j=e;k=a+28|0;f[k>>2]=j;return j|0}b=h&1|0?e+2|0:e;j=h&2|0?b+2|0:b;k=a+28|0;f[k>>2]=j;return j|0}function ZUb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;d=f[a+24>>2]|0;if(d&1|0)SLb(2,(b[a+48>>0]|0)!=0,c);if(d&2|0)SLb(3,(b[a+49>>0]|0)!=0,c);d=f[a+36>>2]|0;if(d|0){e=a+44|0;g=0;do{_Lb(999,f[(f[e>>2]|0)+4+(g<<2)>>2]|0,c);g=g+1|0}while((g|0)!=(d|0))}Fdc(a+4|0,1e3,536870912,c);d=f[a+20>>2]|0;if(!(d&1))return;Abc(d&-2,c);return}function _Ub(a){a=a|0;return f[a+28>>2]|0}function $Ub(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;e=f[a+24>>2]|0;if(!(e&1))g=d;else{h=b[a+48>>0]|0;b[d>>0]=16;b[d+1>>0]=h;g=d+2|0}if(!(e&2))i=g;else{e=b[a+49>>0]|0;b[g>>0]=24;b[g+1>>0]=e;i=g+2|0}g=f[a+36>>2]|0;if(!g)j=i;else{e=a+44|0;d=0;h=i;while(1){i=f[(f[e>>2]|0)+4+(d<<2)>>2]|0;b[h>>0]=-70;b[h+1>>0]=62;k=h+2|0;l=di[f[(f[i>>2]|0)+60>>2]&1023](i)|0;if(l>>>0>127){m=l;n=k;while(1){b[n>>0]=m|128;o=m>>>7;p=n+1|0;if(m>>>0>16383){m=o;n=p}else{q=p;r=o;break}}}else{q=k;r=l}b[q>>0]=r;n=li[f[(f[i>>2]|0)+64>>2]&511](i,c,q+1|0)|0;d=d+1|0;if((d|0)==(g|0)){j=n;break}else h=n}}h=x1b(a+4|0,1e3,536870912,c,j)|0;j=f[a+20>>2]|0;if(!(j&1)){s=h;return s|0}s=Bbc(j&-2,h)|0;return s|0}function aVb(a,b){a=a|0;b=b|0;var c=0,e=0,g=0,h=0;if((a|0)==(b|0))return;wdc(a+4|0);c=a+36|0;e=f[c>>2]|0;if((e|0)>0){g=f[a+44>>2]|0;h=0;do{YSb(f[g+4+(h<<2)>>2]|0);h=h+1|0}while((h|0)!=(e|0));f[c>>2]=0}d[a+48>>1]=0;f[a+24>>2]=0;c=f[a+20>>2]|0;if(c&1|0?(e=c&-2,f[e>>2]|0):0)ebc(e);e=ovc(b,24728,24240,0)|0;if(!e){A9b(b,a);return}else{eVb(a,e);return}}function bVb(a,b){a=a|0;b=b|0;var c=0;c=ovc(b,24728,24240,0)|0;if(!c){A9b(b,a);return}else{eVb(a,c);return}}function cVb(a,b){a=a|0;b=b|0;f[a+28>>2]=b;return}function dVb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224998]|0)!=2){f[d>>2]=151624;f[d+4>>2]=135;b[d+8>>0]=0;xLb(899992,d);QKb(d)}d=544536;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function eVb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;xdc(a+4|0,c+4|0);d=a+20|0;e=f[c+20>>2]|0;if(e&1|0){g=f[d>>2]|0;if(!(g&1))h=OOa(d)|0;else h=g&-2;hbc(h,e&-2)}_Tb(a+32|0,c+32|0);e=f[c+24>>2]|0;if(!(e&3))return;if(e&1|0)b[a+48>>0]=b[c+48>>0]|0;if(e&2|0)b[a+49>>0]=b[c+49>>0]|0;c=a+24|0;f[c>>2]=f[c>>2]|e;return}function fVb(a){a=a|0;var c=0,e=0,g=0;c=u;u=u+16|0;e=c;f[a>>2]=155216;fcc(a+4|0);f[a+20>>2]=0;f[a+24>>2]=0;g=a+32|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;if((a|0)!=543896?(f[225017]|0)!=2:0){f[e>>2]=151624;f[e+4>>2]=154;b[e+8>>0]=0;xLb(900068,e);QKb(e)}f[a+28>>2]=0;d[a+48>>1]=0;u=c;return}function gVb(a,c){a=a|0;c=c|0;var e=0,g=0,h=0,i=0;e=u;u=u+16|0;g=e;f[a>>2]=155216;bcc(a+4|0,c);f[a+20>>2]=c;f[a+24>>2]=0;f[a+32>>2]=c;f[a+36>>2]=0;f[a+40>>2]=0;f[a+44>>2]=0;if((f[225017]|0)==2){h=a+28|0;f[h>>2]=0;i=a+48|0;d[i>>1]=0;u=e;return}f[g>>2]=151624;f[g+4>>2]=154;b[g+8>>0]=0;xLb(900068,g);QKb(g);h=a+28|0;f[h>>2]=0;i=a+48|0;d[i>>1]=0;u=e;return}function hVb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0;f[a>>2]=155324;b=a+44|0;c=f[b>>2]|0;if(c|0?(f[a+32>>2]|0)==0:0){d=f[c>>2]|0;if((d|0)>0){e=0;do{g=f[c+4+(e<<2)>>2]|0;if(g|0)bi[f[(f[g>>2]|0)+4>>2]&2047](g);e=e+1|0}while((e|0)!=(d|0));h=f[b>>2]|0}else h=c;fuc(h)}f[b>>2]=0;b=a+20|0;h=f[b>>2]|0;if(h&1|0?(c=h&-2,h=c,!((c|0)==0|(f[h+4>>2]|0)!=0)):0){if(f[h>>2]|0)ebc(h);fuc(c)}f[b>>2]=0;gcc(a+4|0);return}function iVb(a){a=a|0;hVb(a);fuc(a);return}function jVb(a){a=a|0;a=cuc(48)|0;yVb(a);return a|0}function kVb(a,b){a=a|0;b=b|0;var c=0;if(!b){a=cuc(48)|0;yVb(a);c=a;return c|0}if(f[b+64>>2]|0)HIb(b,24256,48);a=FIb(b,48)|0;zVb(a,b);c=a;return c|0}function lVb(a){a=a|0;var b=0,c=0;b=f[a+20>>2]|0;a=b&-2;if(!(b&1)){c=a;return c|0}else{c=f[a+4>>2]|0;return c|0}return 0}function mVb(a){a=a|0;return f[a+20>>2]|0}function nVb(a){a=a|0;var b=0,c=0,d=0,e=0;wdc(a+4|0);b=a+36|0;c=f[b>>2]|0;if((c|0)>0){d=f[a+44>>2]|0;e=0;do{YSb(f[d+4+(e<<2)>>2]|0);e=e+1|0}while((e|0)!=(c|0));f[b>>2]=0}f[a+24>>2]=0;b=f[a+20>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;ebc(a);return}function oVb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0;if(!(Bdc(a+4|0)|0)){b=0;return b|0}c=f[a+36>>2]|0;if((c|0)<=0){b=1;return b|0}d=f[a+44>>2]|0;a=c;a:while(1){c=a;a=a+-1|0;e=f[d+4+(a<<2)>>2]|0;g=f[e+28>>2]|0;h=f[e+20>>2]|0;while(1){if((h|0)<=0)break;h=h+-1|0;if((f[(f[g+4+(h<<2)>>2]|0)+8>>2]&3|0)!=3){b=0;i=8;break a}}if((c|0)<=1){b=1;i=8;break}}if((i|0)==8)return b|0;return 0}function pVb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;d=u;u=u+16|0;e=d;g=c+4|0;i=a+32|0;j=e+4|0;k=a+4|0;l=a+20|0;while(1){a=f[c>>2]|0;m=f[g>>2]|0;do if(a>>>0<m>>>0){n=b[a>>0]|0;o=n&255;p=a+1|0;if(n<<24>>24>0){q=p;r=o}else{if(p>>>0>=m>>>0){s=o;t=7;break}n=h[p>>0]|0;if(((n^128)&o)>>>0<=127){s=o;t=7;break}q=a+2|0;r=o+-128+(n<<7)|0}f[c>>2]=q;v=r;t=9}else{s=0;t=7}while(0);if((t|0)==7){t=0;a=OJb(c,s)|0;if((a+-1|0)>>>0<16383){v=a;t=9}else w=a}if((t|0)==9){t=0;if((v|0)==7994){a=aUb(i)|0;m=f[c>>2]|0;if(m>>>0<(f[g>>2]|0)>>>0?(n=b[m>>0]|0,n<<24>>24>-1):0){f[c>>2]=m+1;x=n&255}else{n=NJb(c)|0;if((n|0)>-1)x=n;else{y=0;t=28;break}}yJb(e,c,x);if((f[j>>2]|0)<0){t=16;break}if(!(Th[f[(f[a>>2]|0)+44>>2]&1023](a,c)|0)){t=16;break}if(DJb(c,f[e>>2]|0)|0)continue;else{y=0;t=28;break}}else w=v}if(!w){y=1;t=28;break}a=f[l>>2]|0;n=(a&1|0)==0;if(w>>>0>7999){if(n)z=OOa(l)|0;else z=a&-2;if(t1b(k,w,c,543848,z)|0)continue;else{y=0;t=28;break}}else{if(n)A=OOa(l)|0;else A=a&-2;if(xbc(c,w,A)|0)continue;else{y=0;t=28;break}}}if((t|0)==16){y=0;u=d;return y|0}else if((t|0)==28){u=d;return y|0}return 0}function qVb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0;b=Hdc(a+4|0)|0;c=f[a+20>>2]|0;if(!(c&1))d=b;else d=(Dbc(c&-2)|0)+b|0;b=f[a+36>>2]|0;c=(b<<1)+d|0;if(!b){e=c;g=a+28|0;f[g>>2]=e;return e|0}d=a+44|0;h=0;i=c;while(1){c=f[(f[d>>2]|0)+4+(h<<2)>>2]|0;j=di[f[(f[c>>2]|0)+48>>2]&1023](c)|0;c=j+i+((((($(j|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=h+1|0;if((h|0)==(b|0)){e=c;break}else i=c}g=a+28|0;f[g>>2]=e;return e|0}function rVb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=f[a+36>>2]|0;if(c|0){d=a+44|0;e=0;do{_Lb(999,f[(f[d>>2]|0)+4+(e<<2)>>2]|0,b);e=e+1|0}while((e|0)!=(c|0))}Fdc(a+4|0,1e3,536870912,b);c=f[a+20>>2]|0;if(!(c&1))return;Abc(c&-2,b);return}function sVb(a){a=a|0;return f[a+28>>2]|0}function tVb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;e=f[a+36>>2]|0;if(!e)g=d;else{h=a+44|0;i=0;j=d;while(1){d=f[(f[h>>2]|0)+4+(i<<2)>>2]|0;b[j>>0]=-70;b[j+1>>0]=62;k=j+2|0;l=di[f[(f[d>>2]|0)+60>>2]&1023](d)|0;if(l>>>0>127){m=l;n=k;while(1){b[n>>0]=m|128;o=m>>>7;p=n+1|0;if(m>>>0>16383){m=o;n=p}else{q=p;r=o;break}}}else{q=k;r=l}b[q>>0]=r;n=li[f[(f[d>>2]|0)+64>>2]&511](d,c,q+1|0)|0;i=i+1|0;if((i|0)==(e|0)){g=n;break}else j=n}}j=x1b(a+4|0,1e3,536870912,c,g)|0;g=f[a+20>>2]|0;if(!(g&1)){s=j;return s|0}s=Bbc(g&-2,j)|0;return s|0}function uVb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;if((a|0)==(b|0))return;wdc(a+4|0);c=a+36|0;d=f[c>>2]|0;if((d|0)>0){e=f[a+44>>2]|0;g=0;do{YSb(f[e+4+(g<<2)>>2]|0);g=g+1|0}while((g|0)!=(d|0));f[c>>2]=0}f[a+24>>2]=0;c=f[a+20>>2]|0;if(c&1|0?(d=c&-2,f[d>>2]|0):0)ebc(d);vVb(a,b);return}function vVb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=ovc(b,24728,24256,0)|0;if(!c){A9b(b,a);return}xdc(a+4|0,c+4|0);b=a+20|0;d=f[c+20>>2]|0;if(d&1|0){e=f[b>>2]|0;if(!(e&1))g=OOa(b)|0;else g=e&-2;hbc(g,d&-2)}_Tb(a+32|0,c+32|0);return}function wVb(a,b){a=a|0;b=b|0;f[a+28>>2]=b;return}function xVb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224998]|0)!=2){f[d>>2]=151624;f[d+4>>2]=135;b[d+8>>0]=0;xLb(899992,d);QKb(d)}d=544528;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function yVb(a){a=a|0;var c=0,d=0,e=0;c=u;u=u+16|0;d=c;f[a>>2]=155324;fcc(a+4|0);f[a+20>>2]=0;f[a+24>>2]=0;e=a+32|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((a|0)!=543848?(f[225016]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=153;b[d+8>>0]=0;xLb(900064,d);QKb(d)}f[a+28>>2]=0;u=c;return}function zVb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+16|0;e=d;f[a>>2]=155324;bcc(a+4|0,c);f[a+20>>2]=c;f[a+24>>2]=0;f[a+32>>2]=c;f[a+36>>2]=0;f[a+40>>2]=0;f[a+44>>2]=0;if((f[225016]|0)==2){g=a+28|0;f[g>>2]=0;u=d;return}f[e>>2]=151624;f[e+4>>2]=153;b[e+8>>0]=0;xLb(900064,e);QKb(e);g=a+28|0;f[g>>2]=0;u=d;return}function AVb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0;f[a>>2]=155432;b=a+44|0;c=f[b>>2]|0;if(c|0?(f[a+32>>2]|0)==0:0){d=f[c>>2]|0;if((d|0)>0){e=0;do{g=f[c+4+(e<<2)>>2]|0;if(g|0)bi[f[(f[g>>2]|0)+4>>2]&2047](g);e=e+1|0}while((e|0)!=(d|0));h=f[b>>2]|0}else h=c;fuc(h)}f[b>>2]=0;b=a+20|0;h=f[b>>2]|0;if(h&1|0?(c=h&-2,h=c,!((c|0)==0|(f[h+4>>2]|0)!=0)):0){if(f[h>>2]|0)ebc(h);fuc(c)}f[b>>2]=0;gcc(a+4|0);return}function BVb(a){a=a|0;AVb(a);fuc(a);return}function CVb(a){a=a|0;a=cuc(60)|0;SVb(a);return a|0}function DVb(a,b){a=a|0;b=b|0;var c=0;if(!b){a=cuc(60)|0;SVb(a);c=a;return c|0}if(f[b+64>>2]|0)HIb(b,24272,64);a=FIb(b,64)|0;TVb(a,b);c=a;return c|0}function EVb(a){a=a|0;var b=0,c=0;b=f[a+20>>2]|0;a=b&-2;if(!(b&1)){c=a;return c|0}else{c=f[a+4>>2]|0;return c|0}return 0}function FVb(a){a=a|0;return f[a+20>>2]|0}function GVb(a){a=a|0;var b=0,c=0,d=0,e=0;wdc(a+4|0);b=a+36|0;c=f[b>>2]|0;if((c|0)>0){d=f[a+44>>2]|0;e=0;do{YSb(f[d+4+(e<<2)>>2]|0);e=e+1|0}while((e|0)!=(c|0));f[b>>2]=0}b=a+24|0;if(f[b>>2]&63|0){c=a+48|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0}f[b>>2]=0;b=f[a+20>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;ebc(a);return}function HVb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0;if(!(Bdc(a+4|0)|0)){b=0;return b|0}c=f[a+36>>2]|0;if((c|0)<=0){b=1;return b|0}d=f[a+44>>2]|0;a=c;a:while(1){c=a;a=a+-1|0;e=f[d+4+(a<<2)>>2]|0;g=f[e+28>>2]|0;h=f[e+20>>2]|0;while(1){if((h|0)<=0)break;h=h+-1|0;if((f[(f[g+4+(h<<2)>>2]|0)+8>>2]&3|0)!=3){b=0;i=8;break a}}if((c|0)<=1){b=1;i=8;break}}if((i|0)==8)return b|0;return 0}function IVb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0;d=u;u=u+16|0;e=d;g=c+4|0;i=a+24|0;j=a+48|0;k=a+20|0;l=a+52|0;m=e+8|0;n=a+54|0;o=e+8|0;p=a+53|0;q=e+8|0;r=a+56|0;s=a+55|0;t=e+8|0;v=a+32|0;w=e+4|0;x=a+4|0;a:while(1){a=f[c>>2]|0;y=f[g>>2]|0;do if(a>>>0<y>>>0){z=b[a>>0]|0;A=z&255;B=a+1|0;if(z<<24>>24>0){C=B;D=A}else{if(B>>>0>=y>>>0){E=A;F=7;break}z=h[B>>0]|0;if(((z^128)&A)>>>0<=127){E=A;F=7;break}C=a+2|0;D=A+-128+(z<<7)|0}f[c>>2]=C;G=D;F=9}else{E=0;F=7}while(0);if((F|0)==7){F=0;a=OJb(c,E)|0;if((a+-1|0)>>>0<16383){G=a;F=9}else H=a}b:do if((F|0)==9){F=0;switch(G>>>3&536870911|0){case 1:{if((G&255|0)!=8){H=G;break b}a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){y=b[a>>0]|0;z=y&255;if(y<<24>>24>-1){f[c>>2]=a+1;I=z}else{K=z;F=14}}else{K=0;F=14}if((F|0)==14){F=0;z=zJb(c,K)|0;a=J;if((a|0)>-1|(a|0)==-1&z>>>0>4294967295)I=z;else{L=0;F=75;break a}}if(I>>>0<3){f[i>>2]=f[i>>2]|1;f[j>>2]=I;continue a}z=f[k>>2]|0;if(!(z&1))M=OOa(k)|0;else M=z&-2;kbc(M,1,I,((I|0)<0)<<31>>31);continue a;break}case 2:{if((G&255|0)!=16){H=G;break b}f[i>>2]=f[i>>2]|2;z=f[c>>2]|0;if(z>>>0<(f[g>>2]|0)>>>0?(a=b[z>>0]|0,a<<24>>24>-1):0){f[c>>2]=z+1;N=a<<24>>24!=0}else{AJb(e,c);a=e;if(!(b[m>>0]|0)){L=0;F=75;break a}else N=(f[a>>2]|0)!=0|(f[a+4>>2]|0)!=0}b[l>>0]=N&1;continue a;break}case 3:{if((G&255|0)!=24){H=G;break b}f[i>>2]=f[i>>2]|8;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(z=b[a>>0]|0,z<<24>>24>-1):0){f[c>>2]=a+1;O=z<<24>>24!=0}else{AJb(e,c);z=e;if(!(b[o>>0]|0)){L=0;F=75;break a}else O=(f[z>>2]|0)!=0|(f[z+4>>2]|0)!=0}b[n>>0]=O&1;continue a;break}case 5:{if((G&255|0)!=40){H=G;break b}f[i>>2]=f[i>>2]|4;z=f[c>>2]|0;if(z>>>0<(f[g>>2]|0)>>>0?(a=b[z>>0]|0,a<<24>>24>-1):0){f[c>>2]=z+1;P=a<<24>>24!=0}else{AJb(e,c);a=e;if(!(b[q>>0]|0)){L=0;F=75;break a}else P=(f[a>>2]|0)!=0|(f[a+4>>2]|0)!=0}b[p>>0]=P&1;continue a;break}case 6:{if((G&255|0)!=48){H=G;break b}a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){z=b[a>>0]|0;y=z&255;if(z<<24>>24>-1){f[c>>2]=a+1;Q=y}else{R=y;F=43}}else{R=0;F=43}if((F|0)==43){F=0;y=zJb(c,R)|0;a=J;if((a|0)>-1|(a|0)==-1&y>>>0>4294967295)Q=y;else{L=0;F=75;break a}}if(Q>>>0<3){f[i>>2]=f[i>>2]|32;f[r>>2]=Q;continue a}y=f[k>>2]|0;if(!(y&1))S=OOa(k)|0;else S=y&-2;kbc(S,6,Q,((Q|0)<0)<<31>>31);continue a;break}case 10:{if((G&255|0)!=80){H=G;break b}f[i>>2]=f[i>>2]|16;y=f[c>>2]|0;if(y>>>0<(f[g>>2]|0)>>>0?(a=b[y>>0]|0,a<<24>>24>-1):0){f[c>>2]=y+1;T=a<<24>>24!=0}else{AJb(e,c);a=e;if(!(b[t>>0]|0)){L=0;F=75;break a}else T=(f[a>>2]|0)!=0|(f[a+4>>2]|0)!=0}b[s>>0]=T&1;continue a;break}case 999:{if((G&255|0)!=58){H=G;break b}a=aUb(v)|0;y=f[c>>2]|0;if(y>>>0<(f[g>>2]|0)>>>0?(z=b[y>>0]|0,z<<24>>24>-1):0){f[c>>2]=y+1;U=z&255}else{z=NJb(c)|0;if((z|0)>-1)U=z;else{L=0;F=75;break a}}yJb(e,c,U);if((f[w>>2]|0)<0){F=63;break a}if(!(Th[f[(f[a>>2]|0)+44>>2]&1023](a,c)|0)){F=63;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{L=0;F=75;break a}break}default:{H=G;break b}}}while(0);if(!H){L=1;F=75;break}a=f[k>>2]|0;z=(a&1|0)==0;if(H>>>0>7999){if(z)V=OOa(k)|0;else V=a&-2;if(t1b(x,H,c,543784,V)|0)continue;else{L=0;F=75;break}}else{if(z)W=OOa(k)|0;else W=a&-2;if(xbc(c,H,W)|0)continue;else{L=0;F=75;break}}}if((F|0)==63){L=0;u=d;return L|0}else if((F|0)==75){u=d;return L|0}return 0}function JVb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;b=Hdc(a+4|0)|0;c=f[a+20>>2]|0;if(!(c&1))d=b;else d=(Dbc(c&-2)|0)+b|0;b=f[a+36>>2]|0;c=(b<<1)+d|0;if(!b)e=c;else{d=a+44|0;g=0;h=c;while(1){c=f[(f[d>>2]|0)+4+(g<<2)>>2]|0;i=di[f[(f[c>>2]|0)+48>>2]&1023](c)|0;c=i+h+((((($(i|1|0)|0)^31)*9|0)+73|0)>>>6)|0;g=g+1|0;if((g|0)==(b|0)){e=c;break}else h=c}}h=f[a+24>>2]|0;if(!(h&63)){j=e;k=a+28|0;f[k>>2]=j;return j|0}if(!(h&1))l=e;else{b=f[a+48>>2]|0;if((b|0)<0)m=11;else m=((((($(b|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;l=m+e|0}e=h&2|0?l+2|0:l;l=h&4|0?e+2|0:e;e=h&8|0?l+2|0:l;l=h&16|0?e+2|0:e;if(!(h&32)){j=l;k=a+28|0;f[k>>2]=j;return j|0}h=f[a+56>>2]|0;if((h|0)<0)n=11;else n=((((($(h|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;j=n+l|0;k=a+28|0;f[k>>2]=j;return j|0}function KVb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;d=f[a+24>>2]|0;if(d&1|0)TLb(1,f[a+48>>2]|0,c);if(d&2|0)SLb(2,(b[a+52>>0]|0)!=0,c);if(d&8|0)SLb(3,(b[a+54>>0]|0)!=0,c);if(d&4|0)SLb(5,(b[a+53>>0]|0)!=0,c);if(d&32|0)TLb(6,f[a+56>>2]|0,c);if(d&16|0)SLb(10,(b[a+55>>0]|0)!=0,c);d=f[a+36>>2]|0;if(d|0){e=a+44|0;g=0;do{_Lb(999,f[(f[e>>2]|0)+4+(g<<2)>>2]|0,c);g=g+1|0}while((g|0)!=(d|0))}Fdc(a+4|0,1e3,536870912,c);d=f[a+20>>2]|0;if(!(d&1))return;Abc(d&-2,c);return}function LVb(a){a=a|0;return f[a+28>>2]|0}function MVb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;e=f[a+24>>2]|0;if(!(e&1))g=d;else{h=f[a+48>>2]|0;b[d>>0]=8;i=d+1|0;d=h&255;if(h>>>0>127){j=i;k=d;l=h;m=((h|0)<0)<<31>>31;while(1){b[j>>0]=k|-128;h=l;l=pzc(l|0,m|0,7)|0;n=j+1|0;o=l&255;if(!(m>>>0>0|(m|0)==0&h>>>0>16383)){p=n;q=o;break}else{j=n;k=o;m=J}}}else{p=i;q=d}b[p>>0]=q;g=p+1|0}if(!(e&2))r=g;else{p=b[a+52>>0]|0;b[g>>0]=16;b[g+1>>0]=p;r=g+2|0}if(!(e&8))s=r;else{g=b[a+54>>0]|0;b[r>>0]=24;b[r+1>>0]=g;s=r+2|0}if(!(e&4))t=s;else{r=b[a+53>>0]|0;b[s>>0]=40;b[s+1>>0]=r;t=s+2|0}if(!(e&32))u=t;else{s=f[a+56>>2]|0;b[t>>0]=48;r=t+1|0;t=s&255;if(s>>>0>127){g=r;p=t;q=s;d=((s|0)<0)<<31>>31;while(1){b[g>>0]=p|-128;s=q;q=pzc(q|0,d|0,7)|0;i=g+1|0;m=q&255;if(!(d>>>0>0|(d|0)==0&s>>>0>16383)){v=i;w=m;break}else{g=i;p=m;d=J}}}else{v=r;w=t}b[v>>0]=w;u=v+1|0}if(!(e&16))x=u;else{e=b[a+55>>0]|0;b[u>>0]=80;b[u+1>>0]=e;x=u+2|0}u=f[a+36>>2]|0;if(!u)y=x;else{e=a+44|0;v=0;w=x;while(1){x=f[(f[e>>2]|0)+4+(v<<2)>>2]|0;b[w>>0]=-70;b[w+1>>0]=62;t=w+2|0;r=di[f[(f[x>>2]|0)+60>>2]&1023](x)|0;if(r>>>0>127){d=r;p=t;while(1){b[p>>0]=d|128;g=d>>>7;q=p+1|0;if(d>>>0>16383){d=g;p=q}else{z=q;A=g;break}}}else{z=t;A=r}b[z>>0]=A;p=li[f[(f[x>>2]|0)+64>>2]&511](x,c,z+1|0)|0;v=v+1|0;if((v|0)==(u|0)){y=p;break}else w=p}}w=x1b(a+4|0,1e3,536870912,c,y)|0;y=f[a+20>>2]|0;if(!(y&1)){B=w;return B|0}B=Bbc(y&-2,w)|0;return B|0}function NVb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;if((a|0)==(b|0))return;wdc(a+4|0);c=a+36|0;d=f[c>>2]|0;if((d|0)>0){e=f[a+44>>2]|0;g=0;do{YSb(f[e+4+(g<<2)>>2]|0);g=g+1|0}while((g|0)!=(d|0));f[c>>2]=0}c=a+24|0;if(f[c>>2]&63|0){d=a+48|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0}f[c>>2]=0;c=f[a+20>>2]|0;if(c&1|0?(d=c&-2,f[d>>2]|0):0)ebc(d);d=ovc(b,24728,24272,0)|0;if(!d){A9b(b,a);return}else{RVb(a,d);return}}function OVb(a,b){a=a|0;b=b|0;var c=0;c=ovc(b,24728,24272,0)|0;if(!c){A9b(b,a);return}else{RVb(a,c);return}}function PVb(a,b){a=a|0;b=b|0;f[a+28>>2]=b;return}function QVb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224998]|0)!=2){f[d>>2]=151624;f[d+4>>2]=135;b[d+8>>0]=0;xLb(899992,d);QKb(d)}d=544520;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function RVb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;xdc(a+4|0,c+4|0);d=a+20|0;e=f[c+20>>2]|0;if(e&1|0){g=f[d>>2]|0;if(!(g&1))h=OOa(d)|0;else h=g&-2;hbc(h,e&-2)}_Tb(a+32|0,c+32|0);e=f[c+24>>2]|0;if(!(e&63))return;if(e&1|0)f[a+48>>2]=f[c+48>>2];if(e&2|0)b[a+52>>0]=b[c+52>>0]|0;if(e&4|0)b[a+53>>0]=b[c+53>>0]|0;if(e&8|0)b[a+54>>0]=b[c+54>>0]|0;if(e&16|0)b[a+55>>0]=b[c+55>>0]|0;if(e&32|0)f[a+56>>2]=f[c+56>>2];c=a+24|0;f[c>>2]=f[c>>2]|e;return}function SVb(a){a=a|0;var c=0,d=0,e=0;c=u;u=u+16|0;d=c;f[a>>2]=155432;fcc(a+4|0);f[a+20>>2]=0;f[a+24>>2]=0;e=a+32|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((a|0)!=543784?(f[225015]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=152;b[d+8>>0]=0;xLb(900060,d);QKb(d)}f[a+28>>2]=0;d=a+48|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;u=c;return}function TVb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+16|0;e=d;f[a>>2]=155432;bcc(a+4|0,c);f[a+20>>2]=c;f[a+24>>2]=0;f[a+32>>2]=c;f[a+36>>2]=0;f[a+40>>2]=0;f[a+44>>2]=0;if((f[225015]|0)==2){g=a+28|0;f[g>>2]=0;h=a+48|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;u=d;return}f[e>>2]=151624;f[e+4>>2]=152;b[e+8>>0]=0;xLb(900060,e);QKb(e);g=a+28|0;f[g>>2]=0;h=a+48|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;u=d;return}function UVb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0;f[a>>2]=155540;b=a+44|0;c=f[b>>2]|0;if(c|0?(f[a+32>>2]|0)==0:0){d=f[c>>2]|0;if((d|0)>0){e=0;do{g=f[c+4+(e<<2)>>2]|0;if(g|0)bi[f[(f[g>>2]|0)+4>>2]&2047](g);e=e+1|0}while((e|0)!=(d|0));h=f[b>>2]|0}else h=c;fuc(h)}f[b>>2]=0;b=a+20|0;h=f[b>>2]|0;if(h&1|0?(c=h&-2,h=c,!((c|0)==0|(f[h+4>>2]|0)!=0)):0){if(f[h>>2]|0)ebc(h);fuc(c)}f[b>>2]=0;gcc(a+4|0);return}function VVb(a){a=a|0;UVb(a);fuc(a);return}function WVb(a){a=a|0;a=cuc(52)|0;kWb(a);return a|0}function XVb(a,b){a=a|0;b=b|0;var c=0;if(!b){a=cuc(52)|0;kWb(a);c=a;return c|0}if(f[b+64>>2]|0)HIb(b,24288,56);a=FIb(b,56)|0;lWb(a,b);c=a;return c|0}function YVb(a){a=a|0;var b=0,c=0;b=f[a+20>>2]|0;a=b&-2;if(!(b&1)){c=a;return c|0}else{c=f[a+4>>2]|0;return c|0}return 0}function ZVb(a){a=a|0;return f[a+20>>2]|0}function _Vb(a){a=a|0;var b=0,c=0,d=0,e=0;wdc(a+4|0);b=a+36|0;c=f[b>>2]|0;if((c|0)>0){d=f[a+44>>2]|0;e=0;do{YSb(f[d+4+(e<<2)>>2]|0);e=e+1|0}while((e|0)!=(c|0));f[b>>2]=0}f[a+48>>2]=0;f[a+24>>2]=0;b=f[a+20>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;ebc(a);return}function $Vb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0;if(!(Bdc(a+4|0)|0)){b=0;return b|0}c=f[a+36>>2]|0;if((c|0)<=0){b=1;return b|0}d=f[a+44>>2]|0;a=c;a:while(1){c=a;a=a+-1|0;e=f[d+4+(a<<2)>>2]|0;g=f[e+28>>2]|0;h=f[e+20>>2]|0;while(1){if((h|0)<=0)break;h=h+-1|0;if((f[(f[g+4+(h<<2)>>2]|0)+8>>2]&3|0)!=3){b=0;i=8;break a}}if((c|0)<=1){b=1;i=8;break}}if((i|0)==8)return b|0;return 0}function aWb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0;d=u;u=u+16|0;e=d;g=c+4|0;i=a+24|0;j=a+48|0;k=e+8|0;l=a+49|0;m=e+8|0;n=a+50|0;o=e+8|0;p=a+51|0;q=e+8|0;r=a+32|0;s=e+4|0;t=a+4|0;v=a+20|0;a:while(1){a=f[c>>2]|0;w=f[g>>2]|0;do if(a>>>0<w>>>0){x=b[a>>0]|0;y=x&255;z=a+1|0;if(x<<24>>24>0){A=z;B=y}else{if(z>>>0>=w>>>0){C=y;D=7;break}x=h[z>>0]|0;if(((x^128)&y)>>>0<=127){C=y;D=7;break}A=a+2|0;B=y+-128+(x<<7)|0}f[c>>2]=A;E=B;D=9}else{C=0;D=7}while(0);if((D|0)==7){D=0;a=OJb(c,C)|0;if((a+-1|0)>>>0<16383){E=a;D=9}else F=a}b:do if((D|0)==9){D=0;switch(E>>>3&536870911|0){case 1:{if((E&255|0)!=8){F=E;break b}f[i>>2]=f[i>>2]|1;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(w=b[a>>0]|0,w<<24>>24>-1):0){f[c>>2]=a+1;G=w<<24>>24!=0}else{AJb(e,c);w=e;if(!(b[k>>0]|0)){H=0;D=53;break a}else G=(f[w>>2]|0)!=0|(f[w+4>>2]|0)!=0}b[j>>0]=G&1;continue a;break}case 2:{if((E&255|0)!=16){F=E;break b}f[i>>2]=f[i>>2]|2;w=f[c>>2]|0;if(w>>>0<(f[g>>2]|0)>>>0?(a=b[w>>0]|0,a<<24>>24>-1):0){f[c>>2]=w+1;I=a<<24>>24!=0}else{AJb(e,c);a=e;if(!(b[m>>0]|0)){H=0;D=53;break a}else I=(f[a>>2]|0)!=0|(f[a+4>>2]|0)!=0}b[l>>0]=I&1;continue a;break}case 3:{if((E&255|0)!=24){F=E;break b}f[i>>2]=f[i>>2]|4;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(w=b[a>>0]|0,w<<24>>24>-1):0){f[c>>2]=a+1;J=w<<24>>24!=0}else{AJb(e,c);w=e;if(!(b[o>>0]|0)){H=0;D=53;break a}else J=(f[w>>2]|0)!=0|(f[w+4>>2]|0)!=0}b[n>>0]=J&1;continue a;break}case 7:{if((E&255|0)!=56){F=E;break b}f[i>>2]=f[i>>2]|8;w=f[c>>2]|0;if(w>>>0<(f[g>>2]|0)>>>0?(a=b[w>>0]|0,a<<24>>24>-1):0){f[c>>2]=w+1;K=a<<24>>24!=0}else{AJb(e,c);a=e;if(!(b[q>>0]|0)){H=0;D=53;break a}else K=(f[a>>2]|0)!=0|(f[a+4>>2]|0)!=0}b[p>>0]=K&1;continue a;break}case 999:{if((E&255|0)!=58){F=E;break b}a=aUb(r)|0;w=f[c>>2]|0;if(w>>>0<(f[g>>2]|0)>>>0?(x=b[w>>0]|0,x<<24>>24>-1):0){f[c>>2]=w+1;L=x&255}else{x=NJb(c)|0;if((x|0)>-1)L=x;else{H=0;D=53;break a}}yJb(e,c,L);if((f[s>>2]|0)<0){D=41;break a}if(!(Th[f[(f[a>>2]|0)+44>>2]&1023](a,c)|0)){D=41;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{H=0;D=53;break a}break}default:{F=E;break b}}}while(0);if(!F){H=1;D=53;break}a=f[v>>2]|0;x=(a&1|0)==0;if(F>>>0>7999){if(x)M=OOa(v)|0;else M=a&-2;if(t1b(t,F,c,543728,M)|0)continue;else{H=0;D=53;break}}else{if(x)N=OOa(v)|0;else N=a&-2;if(xbc(c,F,N)|0)continue;else{H=0;D=53;break}}}if((D|0)==41){H=0;u=d;return H|0}else if((D|0)==53){u=d;return H|0}return 0}function bWb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;b=Hdc(a+4|0)|0;c=f[a+20>>2]|0;if(!(c&1))d=b;else d=(Dbc(c&-2)|0)+b|0;b=f[a+36>>2]|0;c=(b<<1)+d|0;if(!b)e=c;else{d=a+44|0;g=0;h=c;while(1){c=f[(f[d>>2]|0)+4+(g<<2)>>2]|0;i=di[f[(f[c>>2]|0)+48>>2]&1023](c)|0;c=i+h+((((($(i|1|0)|0)^31)*9|0)+73|0)>>>6)|0;g=g+1|0;if((g|0)==(b|0)){e=c;break}else h=c}}h=f[a+24>>2]|0;if(!(h&15)){j=e;k=a+28|0;f[k>>2]=j;return j|0}b=h&1|0?e+2|0:e;e=h&2|0?b+2|0:b;b=h&4|0?e+2|0:e;j=h&8|0?b+2|0:b;k=a+28|0;f[k>>2]=j;return j|0}function cWb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;d=f[a+24>>2]|0;if(d&1|0)SLb(1,(b[a+48>>0]|0)!=0,c);if(d&2|0)SLb(2,(b[a+49>>0]|0)!=0,c);if(d&4|0)SLb(3,(b[a+50>>0]|0)!=0,c);if(d&8|0)SLb(7,(b[a+51>>0]|0)!=0,c);d=f[a+36>>2]|0;if(d|0){e=a+44|0;g=0;do{_Lb(999,f[(f[e>>2]|0)+4+(g<<2)>>2]|0,c);g=g+1|0}while((g|0)!=(d|0))}Fdc(a+4|0,1e3,536870912,c);d=f[a+20>>2]|0;if(!(d&1))return;Abc(d&-2,c);return}function dWb(a){a=a|0;return f[a+28>>2]|0}function eWb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;e=f[a+24>>2]|0;if(!(e&1))g=d;else{h=b[a+48>>0]|0;b[d>>0]=8;b[d+1>>0]=h;g=d+2|0}if(!(e&2))i=g;else{d=b[a+49>>0]|0;b[g>>0]=16;b[g+1>>0]=d;i=g+2|0}if(!(e&4))j=i;else{g=b[a+50>>0]|0;b[i>>0]=24;b[i+1>>0]=g;j=i+2|0}if(!(e&8))k=j;else{e=b[a+51>>0]|0;b[j>>0]=56;b[j+1>>0]=e;k=j+2|0}j=f[a+36>>2]|0;if(!j)l=k;else{e=a+44|0;i=0;g=k;while(1){k=f[(f[e>>2]|0)+4+(i<<2)>>2]|0;b[g>>0]=-70;b[g+1>>0]=62;d=g+2|0;h=di[f[(f[k>>2]|0)+60>>2]&1023](k)|0;if(h>>>0>127){m=h;n=d;while(1){b[n>>0]=m|128;o=m>>>7;p=n+1|0;if(m>>>0>16383){m=o;n=p}else{q=p;r=o;break}}}else{q=d;r=h}b[q>>0]=r;n=li[f[(f[k>>2]|0)+64>>2]&511](k,c,q+1|0)|0;i=i+1|0;if((i|0)==(j|0)){l=n;break}else g=n}}g=x1b(a+4|0,1e3,536870912,c,l)|0;l=f[a+20>>2]|0;if(!(l&1)){s=g;return s|0}s=Bbc(l&-2,g)|0;return s|0}function fWb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;if((a|0)==(b|0))return;wdc(a+4|0);c=a+36|0;d=f[c>>2]|0;if((d|0)>0){e=f[a+44>>2]|0;g=0;do{YSb(f[e+4+(g<<2)>>2]|0);g=g+1|0}while((g|0)!=(d|0));f[c>>2]=0}f[a+48>>2]=0;f[a+24>>2]=0;c=f[a+20>>2]|0;if(c&1|0?(d=c&-2,f[d>>2]|0):0)ebc(d);d=ovc(b,24728,24288,0)|0;if(!d){A9b(b,a);return}else{jWb(a,d);return}}function gWb(a,b){a=a|0;b=b|0;var c=0;c=ovc(b,24728,24288,0)|0;if(!c){A9b(b,a);return}else{jWb(a,c);return}}function hWb(a,b){a=a|0;b=b|0;f[a+28>>2]=b;return}function iWb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224998]|0)!=2){f[d>>2]=151624;f[d+4>>2]=135;b[d+8>>0]=0;xLb(899992,d);QKb(d)}d=544512;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function jWb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;xdc(a+4|0,c+4|0);d=a+20|0;e=f[c+20>>2]|0;if(e&1|0){g=f[d>>2]|0;if(!(g&1))h=OOa(d)|0;else h=g&-2;hbc(h,e&-2)}_Tb(a+32|0,c+32|0);e=f[c+24>>2]|0;if(!(e&15))return;if(e&1|0)b[a+48>>0]=b[c+48>>0]|0;if(e&2|0)b[a+49>>0]=b[c+49>>0]|0;if(e&4|0)b[a+50>>0]=b[c+50>>0]|0;if(e&8|0)b[a+51>>0]=b[c+51>>0]|0;c=a+24|0;f[c>>2]=f[c>>2]|e;return}function kWb(a){a=a|0;var c=0,d=0,e=0;c=u;u=u+16|0;d=c;f[a>>2]=155540;fcc(a+4|0);f[a+20>>2]=0;f[a+24>>2]=0;e=a+32|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((a|0)!=543728?(f[225014]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=151;b[d+8>>0]=0;xLb(900056,d);QKb(d)}f[a+28>>2]=0;f[a+48>>2]=0;u=c;return}function lWb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+16|0;e=d;f[a>>2]=155540;bcc(a+4|0,c);f[a+20>>2]=c;f[a+24>>2]=0;f[a+32>>2]=c;f[a+36>>2]=0;f[a+40>>2]=0;f[a+44>>2]=0;if((f[225014]|0)==2){g=a+28|0;f[g>>2]=0;h=a+48|0;f[h>>2]=0;u=d;return}f[e>>2]=151624;f[e+4>>2]=151;b[e+8>>0]=0;xLb(900056,e);QKb(e);g=a+28|0;f[g>>2]=0;h=a+48|0;f[h>>2]=0;u=d;return}function mWb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0;f[a>>2]=155648;GWb(a);b=a+44|0;c=f[b>>2]|0;if(c|0?(f[a+32>>2]|0)==0:0){d=f[c>>2]|0;if((d|0)>0){e=0;do{g=f[c+4+(e<<2)>>2]|0;if(g|0)bi[f[(f[g>>2]|0)+4>>2]&2047](g);e=e+1|0}while((e|0)!=(d|0));h=f[b>>2]|0}else h=c;fuc(h)}f[b>>2]=0;b=a+20|0;h=f[b>>2]|0;if(h&1|0?(c=h&-2,h=c,!((c|0)==0|(f[h+4>>2]|0)!=0)):0){if(f[h>>2]|0)ebc(h);fuc(c)}f[b>>2]=0;gcc(a+4|0);return}function nWb(a){a=a|0;mWb(a);fuc(a);return}function oWb(a){a=a|0;a=cuc(96)|0;EWb(a);return a|0}function pWb(a,b){a=a|0;b=b|0;var c=0;if(!b){a=cuc(96)|0;EWb(a);c=a;return c|0}if(f[b+64>>2]|0)HIb(b,24304,96);a=FIb(b,96)|0;FWb(a,b);c=a;return c|0}function qWb(a){a=a|0;var b=0,c=0;b=f[a+20>>2]|0;a=b&-2;if(!(b&1)){c=a;return c|0}else{c=f[a+4>>2]|0;return c|0}return 0}function rWb(a){a=a|0;return f[a+20>>2]|0}function sWb(a){a=a|0;var c=0,d=0,e=0,g=0;wdc(a+4|0);c=a+36|0;d=f[c>>2]|0;if((d|0)>0){e=f[a+44>>2]|0;g=0;do{YSb(f[e+4+(g<<2)>>2]|0);g=g+1|0}while((g|0)!=(d|0));f[c>>2]=0}c=a+24|0;d=f[c>>2]|0;do if(d&255|0){do if(d&1|0?(g=f[a+48>>2]|0,(g|0)!=542896):0){e=g+11|0;if((b[e>>0]|0)<0){b[f[g>>2]>>0]=0;f[g+4>>2]=0;break}else{b[g>>0]=0;b[e>>0]=0;break}}while(0);do if(d&2|0?(e=f[a+52>>2]|0,(e|0)!=542896):0){g=e+11|0;if((b[g>>0]|0)<0){b[f[e>>2]>>0]=0;f[e+4>>2]=0;break}else{b[e>>0]=0;b[g>>0]=0;break}}while(0);do if(d&4|0?(g=f[a+56>>2]|0,(g|0)!=542896):0){e=g+11|0;if((b[e>>0]|0)<0){b[f[g>>2]>>0]=0;f[g+4>>2]=0;break}else{b[g>>0]=0;b[e>>0]=0;break}}while(0);do if(d&8|0?(e=f[a+60>>2]|0,(e|0)!=542896):0){g=e+11|0;if((b[g>>0]|0)<0){b[f[e>>2]>>0]=0;f[e+4>>2]=0;break}else{b[e>>0]=0;b[g>>0]=0;break}}while(0);do if(d&16|0?(g=f[a+64>>2]|0,(g|0)!=542896):0){e=g+11|0;if((b[e>>0]|0)<0){b[f[g>>2]>>0]=0;f[g+4>>2]=0;break}else{b[g>>0]=0;b[e>>0]=0;break}}while(0);do if(d&32|0?(e=f[a+68>>2]|0,(e|0)!=542896):0){g=e+11|0;if((b[g>>0]|0)<0){b[f[e>>2]>>0]=0;f[e+4>>2]=0;break}else{b[e>>0]=0;b[g>>0]=0;break}}while(0);do if(d&64|0?(g=f[a+72>>2]|0,(g|0)!=542896):0){e=g+11|0;if((b[e>>0]|0)<0){b[f[g>>2]>>0]=0;f[g+4>>2]=0;break}else{b[g>>0]=0;b[e>>0]=0;break}}while(0);if(d&128|0?(e=f[a+76>>2]|0,(e|0)!=542896):0){g=e+11|0;if((b[g>>0]|0)<0){b[f[e>>2]>>0]=0;f[e+4>>2]=0;break}else{b[e>>0]=0;b[g>>0]=0;break}}}while(0);if(d&65280|0){g=a+80|0;f[g>>2]=0;f[g+4>>2]=0}if(d&196608|0){b[a+88>>0]=0;f[a+92>>2]=1}f[c>>2]=0;c=f[a+20>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;ebc(a);return}function tWb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0;if(!(Bdc(a+4|0)|0)){b=0;return b|0}c=f[a+36>>2]|0;if((c|0)<=0){b=1;return b|0}d=f[a+44>>2]|0;a=c;a:while(1){c=a;a=a+-1|0;e=f[d+4+(a<<2)>>2]|0;g=f[e+28>>2]|0;h=f[e+20>>2]|0;while(1){if((h|0)<=0)break;h=h+-1|0;if((f[(f[g+4+(h<<2)>>2]|0)+8>>2]&3|0)!=3){b=0;i=8;break a}}if((c|0)<=1){b=1;i=8;break}}if((i|0)==8)return b|0;return 0}function uWb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0;d=u;u=u+16|0;e=d;g=c+4|0;i=a+24|0;j=a+48|0;k=a+20|0;l=a+52|0;m=a+92|0;n=a+81|0;o=e+8|0;p=a+56|0;q=a+84|0;r=e+8|0;s=a+85|0;t=e+8|0;v=a+86|0;w=e+8|0;x=a+82|0;y=e+8|0;z=a+88|0;A=e+8|0;B=a+83|0;C=e+8|0;D=a+80|0;E=e+8|0;F=a+60|0;G=a+64|0;H=a+68|0;I=a+72|0;K=a+76|0;L=a+87|0;M=e+8|0;N=a+32|0;O=e+4|0;P=a+4|0;a:while(1){a=f[c>>2]|0;Q=f[g>>2]|0;do if(a>>>0<Q>>>0){R=b[a>>0]|0;S=R&255;T=a+1|0;if(R<<24>>24>0){U=T;V=S}else{if(T>>>0>=Q>>>0){W=S;X=7;break}R=h[T>>0]|0;if(((R^128)&S)>>>0<=127){W=S;X=7;break}U=a+2|0;V=S+-128+(R<<7)|0}f[c>>2]=U;Y=V;X=9}else{W=0;X=7}while(0);if((X|0)==7){X=0;a=OJb(c,W)|0;if((a+-1|0)>>>0<16383){Y=a;X=9}else Z=a}b:do if((X|0)==9){X=0;do switch(Y>>>3&536870911|0){case 1:{if((Y&255|0)!=10){Z=Y;break b}f[i>>2]=f[i>>2]|1;a=f[k>>2]|0;Q=a&-2;if(!(a&1))_=Q;else _=f[Q+4>>2]|0;Q=f[j>>2]|0;if((Q|0)==542896){QGa(j,_,542896);$=f[j>>2]|0}else $=Q;if($Lb(c,$)|0)continue a;else{aa=0;X=150;break a}break}case 8:{if((Y&255|0)!=66){Z=Y;break b}f[i>>2]=f[i>>2]|2;Q=f[k>>2]|0;a=Q&-2;if(!(Q&1))ba=a;else ba=f[a+4>>2]|0;a=f[l>>2]|0;if((a|0)==542896){QGa(l,ba,542896);ca=f[l>>2]|0}else ca=a;if($Lb(c,ca)|0)continue a;else{aa=0;X=150;break a}break}case 9:{if((Y&255|0)!=72){Z=Y;break b}a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){Q=b[a>>0]|0;R=Q&255;if(Q<<24>>24>-1){f[c>>2]=a+1;da=R}else{ea=R;X=28}}else{ea=0;X=28}if((X|0)==28){X=0;R=zJb(c,ea)|0;a=J;if((a|0)>-1|(a|0)==-1&R>>>0>4294967295)da=R;else{aa=0;X=150;break a}}if((da+-1|0)>>>0<3){f[i>>2]=f[i>>2]|131072;f[m>>2]=da;continue a}R=f[k>>2]|0;if(!(R&1))fa=OOa(k)|0;else fa=R&-2;kbc(fa,9,da,((da|0)<0)<<31>>31);continue a;break}case 10:{if((Y&255|0)!=80){Z=Y;break b}f[i>>2]=f[i>>2]|512;R=f[c>>2]|0;if(R>>>0<(f[g>>2]|0)>>>0?(a=b[R>>0]|0,a<<24>>24>-1):0){f[c>>2]=R+1;ga=a<<24>>24!=0}else{AJb(e,c);a=e;if(!(b[o>>0]|0)){aa=0;X=150;break a}else ga=(f[a>>2]|0)!=0|(f[a+4>>2]|0)!=0}b[n>>0]=ga&1;continue a;break}case 11:{if((Y&255|0)!=90){Z=Y;break b}f[i>>2]=f[i>>2]|4;a=f[k>>2]|0;R=a&-2;if(!(a&1))ha=R;else ha=f[R+4>>2]|0;R=f[p>>2]|0;if((R|0)==542896){QGa(p,ha,542896);ia=f[p>>2]|0}else ia=R;if($Lb(c,ia)|0)continue a;else{aa=0;X=150;break a}break}case 16:{if((Y&255|0)!=128){Z=Y;break b}f[i>>2]=f[i>>2]|4096;R=f[c>>2]|0;if(R>>>0<(f[g>>2]|0)>>>0?(a=b[R>>0]|0,a<<24>>24>-1):0){f[c>>2]=R+1;ja=a<<24>>24!=0}else{AJb(e,c);a=e;if(!(b[r>>0]|0)){aa=0;X=150;break a}else ja=(f[a>>2]|0)!=0|(f[a+4>>2]|0)!=0}b[q>>0]=ja&1;continue a;break}case 17:{if((Y&255|0)!=136){Z=Y;break b}f[i>>2]=f[i>>2]|8192;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(R=b[a>>0]|0,R<<24>>24>-1):0){f[c>>2]=a+1;ka=R<<24>>24!=0}else{AJb(e,c);R=e;if(!(b[t>>0]|0)){aa=0;X=150;break a}else ka=(f[R>>2]|0)!=0|(f[R+4>>2]|0)!=0}b[s>>0]=ka&1;continue a;break}case 18:{if((Y&255|0)!=144){Z=Y;break b}f[i>>2]=f[i>>2]|16384;R=f[c>>2]|0;if(R>>>0<(f[g>>2]|0)>>>0?(a=b[R>>0]|0,a<<24>>24>-1):0){f[c>>2]=R+1;la=a<<24>>24!=0}else{AJb(e,c);a=e;if(!(b[w>>0]|0)){aa=0;X=150;break a}else la=(f[a>>2]|0)!=0|(f[a+4>>2]|0)!=0}b[v>>0]=la&1;continue a;break}case 20:{if((Y&255|0)!=160){Z=Y;break b}f[i>>2]=f[i>>2]|1024;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(R=b[a>>0]|0,R<<24>>24>-1):0){f[c>>2]=a+1;ma=R<<24>>24!=0}else{AJb(e,c);R=e;if(!(b[y>>0]|0)){aa=0;X=150;break a}else ma=(f[R>>2]|0)!=0|(f[R+4>>2]|0)!=0}b[x>>0]=ma&1;continue a;break}case 23:{if((Y&255|0)!=184){Z=Y;break b}f[i>>2]=f[i>>2]|65536;R=f[c>>2]|0;if(R>>>0<(f[g>>2]|0)>>>0?(a=b[R>>0]|0,a<<24>>24>-1):0){f[c>>2]=R+1;na=a<<24>>24!=0}else{AJb(e,c);a=e;if(!(b[A>>0]|0)){aa=0;X=150;break a}else na=(f[a>>2]|0)!=0|(f[a+4>>2]|0)!=0}b[z>>0]=na&1;continue a;break}case 27:{if((Y&255|0)!=216){Z=Y;break b}f[i>>2]=f[i>>2]|2048;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(R=b[a>>0]|0,R<<24>>24>-1):0){f[c>>2]=a+1;oa=R<<24>>24!=0}else{AJb(e,c);R=e;if(!(b[C>>0]|0)){aa=0;X=150;break a}else oa=(f[R>>2]|0)!=0|(f[R+4>>2]|0)!=0}b[B>>0]=oa&1;continue a;break}case 31:{if((Y&255|0)!=248){Z=Y;break b}f[i>>2]=f[i>>2]|256;R=f[c>>2]|0;if(R>>>0<(f[g>>2]|0)>>>0?(a=b[R>>0]|0,a<<24>>24>-1):0){f[c>>2]=R+1;pa=a<<24>>24!=0}else{AJb(e,c);a=e;if(!(b[E>>0]|0)){aa=0;X=150;break a}else pa=(f[a>>2]|0)!=0|(f[a+4>>2]|0)!=0}b[D>>0]=pa&1;continue a;break}case 36:{if((Y&255|0)!=34){Z=Y;break b}f[i>>2]=f[i>>2]|8;a=f[k>>2]|0;R=a&-2;if(!(a&1))qa=R;else qa=f[R+4>>2]|0;R=f[F>>2]|0;if((R|0)==542896){QGa(F,qa,542896);ra=f[F>>2]|0}else ra=R;if($Lb(c,ra)|0)continue a;else{aa=0;X=150;break a}break}case 37:{if((Y&255|0)!=42){Z=Y;break b}f[i>>2]=f[i>>2]|16;R=f[k>>2]|0;a=R&-2;if(!(R&1))sa=a;else sa=f[a+4>>2]|0;a=f[G>>2]|0;if((a|0)==542896){QGa(G,sa,542896);ta=f[G>>2]|0}else ta=a;if($Lb(c,ta)|0)continue a;else{aa=0;X=150;break a}break}case 39:{if((Y&255|0)!=58){Z=Y;break b}f[i>>2]=f[i>>2]|32;a=f[k>>2]|0;R=a&-2;if(!(a&1))ua=R;else ua=f[R+4>>2]|0;R=f[H>>2]|0;if((R|0)==542896){QGa(H,ua,542896);va=f[H>>2]|0}else va=R;if($Lb(c,va)|0)continue a;else{aa=0;X=150;break a}break}case 40:{if((Y&255|0)!=66){Z=Y;break b}f[i>>2]=f[i>>2]|64;R=f[k>>2]|0;a=R&-2;if(!(R&1))wa=a;else wa=f[a+4>>2]|0;a=f[I>>2]|0;if((a|0)==542896){QGa(I,wa,542896);xa=f[I>>2]|0}else xa=a;if($Lb(c,xa)|0)continue a;else{aa=0;X=150;break a}break}case 41:{if((Y&255|0)!=74){Z=Y;break b}f[i>>2]=f[i>>2]|128;a=f[k>>2]|0;R=a&-2;if(!(a&1))ya=R;else ya=f[R+4>>2]|0;R=f[K>>2]|0;if((R|0)==542896){QGa(K,ya,542896);za=f[K>>2]|0}else za=R;if($Lb(c,za)|0)continue a;else{aa=0;X=150;break a}break}case 42:{if((Y&255|0)!=80){Z=Y;break b}f[i>>2]=f[i>>2]|32768;R=f[c>>2]|0;if(R>>>0<(f[g>>2]|0)>>>0?(a=b[R>>0]|0,a<<24>>24>-1):0){f[c>>2]=R+1;Aa=a<<24>>24!=0}else{AJb(e,c);a=e;if(!(b[M>>0]|0)){aa=0;X=150;break a}else Aa=(f[a>>2]|0)!=0|(f[a+4>>2]|0)!=0}b[L>>0]=Aa&1;continue a;break}case 999:{if((Y&255|0)!=58){Z=Y;break b}a=aUb(N)|0;R=f[c>>2]|0;if(R>>>0<(f[g>>2]|0)>>>0?(Q=b[R>>0]|0,Q<<24>>24>-1):0){f[c>>2]=R+1;Ba=Q&255}else{Q=NJb(c)|0;if((Q|0)>-1)Ba=Q;else{aa=0;X=150;break a}}yJb(e,c,Ba);if((f[O>>2]|0)<0){X=138;break a}if(!(Th[f[(f[a>>2]|0)+44>>2]&1023](a,c)|0)){X=138;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{aa=0;X=150;break a}break}default:{Z=Y;break b}}while(0)}while(0);if(!Z){aa=1;X=150;break}a=f[k>>2]|0;Q=(a&1|0)==0;if(Z>>>0>7999){if(Q)Ca=OOa(k)|0;else Ca=a&-2;if(t1b(P,Z,c,543632,Ca)|0)continue;else{aa=0;X=150;break}}else{if(Q)Da=OOa(k)|0;else Da=a&-2;if(xbc(c,Z,Da)|0)continue;else{aa=0;X=150;break}}}if((X|0)==138){aa=0;u=d;return aa|0}else if((X|0)==150){u=d;return aa|0}return 0}function vWb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;c=Hdc(a+4|0)|0;d=f[a+20>>2]|0;if(!(d&1))e=c;else e=(Dbc(d&-2)|0)+c|0;c=f[a+36>>2]|0;d=(c<<1)+e|0;if(!c)g=d;else{e=a+44|0;h=0;i=d;while(1){d=f[(f[e>>2]|0)+4+(h<<2)>>2]|0;j=di[f[(f[d>>2]|0)+48>>2]&1023](d)|0;d=j+i+((((($(j|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=h+1|0;if((h|0)==(c|0)){g=d;break}else i=d}}i=f[a+24>>2]|0;if(i&255){if(!(i&1))k=g;else{c=f[a+48>>2]|0;h=b[c+11>>0]|0;e=h<<24>>24<0?f[c+4>>2]|0:h&255;k=g+1+e+((((($(e|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(i&2))l=k;else{e=f[a+52>>2]|0;h=b[e+11>>0]|0;c=h<<24>>24<0?f[e+4>>2]|0:h&255;l=k+1+c+((((($(c|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(i&4))m=l;else{c=f[a+56>>2]|0;k=b[c+11>>0]|0;h=k<<24>>24<0?f[c+4>>2]|0:k&255;m=l+1+h+((((($(h|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(i&8))n=m;else{h=f[a+60>>2]|0;l=b[h+11>>0]|0;k=l<<24>>24<0?f[h+4>>2]|0:l&255;n=m+2+k+((((($(k|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(i&16))o=n;else{k=f[a+64>>2]|0;m=b[k+11>>0]|0;l=m<<24>>24<0?f[k+4>>2]|0:m&255;o=n+2+l+((((($(l|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(i&32))p=o;else{l=f[a+68>>2]|0;n=b[l+11>>0]|0;m=n<<24>>24<0?f[l+4>>2]|0:n&255;p=o+2+m+((((($(m|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(i&64))q=p;else{m=f[a+72>>2]|0;o=b[m+11>>0]|0;n=o<<24>>24<0?f[m+4>>2]|0:o&255;q=p+2+n+((((($(n|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(i&128))r=q;else{n=f[a+76>>2]|0;p=b[n+11>>0]|0;o=p<<24>>24<0?f[n+4>>2]|0:p&255;r=q+2+o+((((($(o|1|0)|0)^31)*9|0)+73|0)>>>6)|0}}else r=g;if(!(i&65280))s=r;else{g=i&256|0?r+3|0:r;r=i&512|0?g+2|0:g;g=i&1024|0?r+3|0:r;r=i&2048|0?g+3|0:g;g=i&4096|0?r+3|0:r;r=i&8192|0?g+3|0:g;g=i&16384|0?r+3|0:r;s=i&32768|0?g+3|0:g}if(!(i&196608)){t=s;u=a+28|0;f[u>>2]=t;return t|0}g=i&65536|0?s+3|0:s;if(!(i&131072)){t=g;u=a+28|0;f[u>>2]=t;return t|0}i=f[a+92>>2]|0;if((i|0)<0)v=11;else v=((((($(i|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;t=v+g|0;u=a+28|0;f[u>>2]=t;return t|0}function wWb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;d=f[a+24>>2]|0;if(d&1|0)VLb(1,f[a+48>>2]|0,c);if(d&2|0)VLb(8,f[a+52>>2]|0,c);if(d&131072|0)TLb(9,f[a+92>>2]|0,c);if(d&512|0)SLb(10,(b[a+81>>0]|0)!=0,c);if(d&4|0)VLb(11,f[a+56>>2]|0,c);if(d&4096|0)SLb(16,(b[a+84>>0]|0)!=0,c);if(d&8192|0)SLb(17,(b[a+85>>0]|0)!=0,c);if(d&16384|0)SLb(18,(b[a+86>>0]|0)!=0,c);if(d&1024|0)SLb(20,(b[a+82>>0]|0)!=0,c);if(d&65536|0)SLb(23,(b[a+88>>0]|0)!=0,c);if(d&2048|0)SLb(27,(b[a+83>>0]|0)!=0,c);if(d&256|0)SLb(31,(b[a+80>>0]|0)!=0,c);if(d&8|0)VLb(36,f[a+60>>2]|0,c);if(d&16|0)VLb(37,f[a+64>>2]|0,c);if(d&32|0)VLb(39,f[a+68>>2]|0,c);if(d&64|0)VLb(40,f[a+72>>2]|0,c);if(d&128|0)VLb(41,f[a+76>>2]|0,c);if(d&32768|0)SLb(42,(b[a+87>>0]|0)!=0,c);d=f[a+36>>2]|0;if(d|0){e=a+44|0;g=0;do{_Lb(999,f[(f[e>>2]|0)+4+(g<<2)>>2]|0,c);g=g+1|0}while((g|0)!=(d|0))}Fdc(a+4|0,1e3,536870912,c);d=f[a+20>>2]|0;if(!(d&1))return;Abc(d&-2,c);return}function xWb(a){a=a|0;return f[a+28>>2]|0}function yWb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0;e=f[a+24>>2]|0;if(!(e&1))g=d;else{h=f[a+48>>2]|0;b[d>>0]=10;g=XJb(h,d+1|0)|0}if(!(e&2))i=g;else{d=f[a+52>>2]|0;b[g>>0]=66;i=XJb(d,g+1|0)|0}if(!(e&131072))j=i;else{g=f[a+92>>2]|0;b[i>>0]=72;d=i+1|0;i=g&255;if(g>>>0>127){h=d;k=i;l=g;m=((g|0)<0)<<31>>31;while(1){b[h>>0]=k|-128;g=l;l=pzc(l|0,m|0,7)|0;n=h+1|0;o=l&255;if(!(m>>>0>0|(m|0)==0&g>>>0>16383)){p=n;q=o;break}else{h=n;k=o;m=J}}}else{p=d;q=i}b[p>>0]=q;j=p+1|0}if(!(e&512))r=j;else{p=b[a+81>>0]|0;b[j>>0]=80;b[j+1>>0]=p;r=j+2|0}if(!(e&4))s=r;else{j=f[a+56>>2]|0;b[r>>0]=90;s=XJb(j,r+1|0)|0}if(!(e&4096))t=s;else{r=b[a+84>>0]|0;b[s>>0]=-128;b[s+1>>0]=1;b[s+2>>0]=r;t=s+3|0}if(!(e&8192))u=t;else{s=b[a+85>>0]|0;b[t>>0]=-120;b[t+1>>0]=1;b[t+2>>0]=s;u=t+3|0}if(!(e&16384))v=u;else{t=b[a+86>>0]|0;b[u>>0]=-112;b[u+1>>0]=1;b[u+2>>0]=t;v=u+3|0}if(!(e&1024))w=v;else{u=b[a+82>>0]|0;b[v>>0]=-96;b[v+1>>0]=1;b[v+2>>0]=u;w=v+3|0}if(!(e&65536))x=w;else{v=b[a+88>>0]|0;b[w>>0]=-72;b[w+1>>0]=1;b[w+2>>0]=v;x=w+3|0}if(!(e&2048))y=x;else{w=b[a+83>>0]|0;b[x>>0]=-40;b[x+1>>0]=1;b[x+2>>0]=w;y=x+3|0}if(!(e&256))z=y;else{x=b[a+80>>0]|0;b[y>>0]=-8;b[y+1>>0]=1;b[y+2>>0]=x;z=y+3|0}if(!(e&8))A=z;else{y=f[a+60>>2]|0;b[z>>0]=-94;b[z+1>>0]=2;A=XJb(y,z+2|0)|0}if(!(e&16))B=A;else{z=f[a+64>>2]|0;b[A>>0]=-86;b[A+1>>0]=2;B=XJb(z,A+2|0)|0}if(!(e&32))C=B;else{A=f[a+68>>2]|0;b[B>>0]=-70;b[B+1>>0]=2;C=XJb(A,B+2|0)|0}if(!(e&64))D=C;else{B=f[a+72>>2]|0;b[C>>0]=-62;b[C+1>>0]=2;D=XJb(B,C+2|0)|0}if(!(e&128))E=D;else{C=f[a+76>>2]|0;b[D>>0]=-54;b[D+1>>0]=2;E=XJb(C,D+2|0)|0}if(!(e&32768))F=E;else{e=b[a+87>>0]|0;b[E>>0]=-48;b[E+1>>0]=2;b[E+2>>0]=e;F=E+3|0}E=f[a+36>>2]|0;if(!E)G=F;else{e=a+44|0;D=0;C=F;while(1){F=f[(f[e>>2]|0)+4+(D<<2)>>2]|0;b[C>>0]=-70;b[C+1>>0]=62;B=C+2|0;A=di[f[(f[F>>2]|0)+60>>2]&1023](F)|0;if(A>>>0>127){z=A;y=B;while(1){b[y>>0]=z|128;x=z>>>7;w=y+1|0;if(z>>>0>16383){z=x;y=w}else{H=w;I=x;break}}}else{H=B;I=A}b[H>>0]=I;y=li[f[(f[F>>2]|0)+64>>2]&511](F,c,H+1|0)|0;D=D+1|0;if((D|0)==(E|0)){G=y;break}else C=y}}C=x1b(a+4|0,1e3,536870912,c,G)|0;G=f[a+20>>2]|0;if(!(G&1)){K=C;return K|0}K=Bbc(G&-2,C)|0;return K|0}function zWb(a,b){a=a|0;b=b|0;var c=0;if((a|0)==(b|0))return;sWb(a);c=ovc(b,24728,24304,0)|0;if(!c){A9b(b,a);return}else{DWb(a,c);return}}function AWb(a,b){a=a|0;b=b|0;var c=0;c=ovc(b,24728,24304,0)|0;if(!c){A9b(b,a);return}else{DWb(a,c);return}}function BWb(a,b){a=a|0;b=b|0;f[a+28>>2]=b;return}function CWb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224998]|0)!=2){f[d>>2]=151624;f[d+4>>2]=135;b[d+8>>0]=0;xLb(899992,d);QKb(d)}d=544504;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function DWb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;xdc(a+4|0,c+4|0);d=a+20|0;e=f[c+20>>2]|0;if(e&1|0){g=f[d>>2]|0;if(!(g&1))h=OOa(d)|0;else h=g&-2;hbc(h,e&-2)}_Tb(a+32|0,c+32|0);e=f[c+24>>2]|0;do if(e&255|0){do if(e&1|0){h=f[c+48>>2]|0;g=a+24|0;f[g>>2]=f[g>>2]|1;g=a+48|0;i=f[d>>2]|0;j=i&-2;if(!(i&1))k=j;else k=f[j+4>>2]|0;j=f[g>>2]|0;if((j|0)==542896){QGa(g,k,h);break}else{ruc(j,h)|0;break}}while(0);do if(e&2|0){h=f[c+52>>2]|0;j=a+24|0;f[j>>2]=f[j>>2]|2;j=a+52|0;g=f[d>>2]|0;i=g&-2;if(!(g&1))l=i;else l=f[i+4>>2]|0;i=f[j>>2]|0;if((i|0)==542896){QGa(j,l,h);break}else{ruc(i,h)|0;break}}while(0);do if(e&4|0){h=f[c+56>>2]|0;i=a+24|0;f[i>>2]=f[i>>2]|4;i=a+56|0;j=f[d>>2]|0;g=j&-2;if(!(j&1))m=g;else m=f[g+4>>2]|0;g=f[i>>2]|0;if((g|0)==542896){QGa(i,m,h);break}else{ruc(g,h)|0;break}}while(0);do if(e&8|0){h=f[c+60>>2]|0;g=a+24|0;f[g>>2]=f[g>>2]|8;g=a+60|0;i=f[d>>2]|0;j=i&-2;if(!(i&1))n=j;else n=f[j+4>>2]|0;j=f[g>>2]|0;if((j|0)==542896){QGa(g,n,h);break}else{ruc(j,h)|0;break}}while(0);do if(e&16|0){h=f[c+64>>2]|0;j=a+24|0;f[j>>2]=f[j>>2]|16;j=a+64|0;g=f[d>>2]|0;i=g&-2;if(!(g&1))o=i;else o=f[i+4>>2]|0;i=f[j>>2]|0;if((i|0)==542896){QGa(j,o,h);break}else{ruc(i,h)|0;break}}while(0);do if(e&32|0){h=f[c+68>>2]|0;i=a+24|0;f[i>>2]=f[i>>2]|32;i=a+68|0;j=f[d>>2]|0;g=j&-2;if(!(j&1))p=g;else p=f[g+4>>2]|0;g=f[i>>2]|0;if((g|0)==542896){QGa(i,p,h);break}else{ruc(g,h)|0;break}}while(0);do if(e&64|0){h=f[c+72>>2]|0;g=a+24|0;f[g>>2]=f[g>>2]|64;g=a+72|0;i=f[d>>2]|0;j=i&-2;if(!(i&1))q=j;else q=f[j+4>>2]|0;j=f[g>>2]|0;if((j|0)==542896){QGa(g,q,h);break}else{ruc(j,h)|0;break}}while(0);if(e&128|0){h=f[c+76>>2]|0;j=a+24|0;f[j>>2]=f[j>>2]|128;j=a+76|0;g=f[d>>2]|0;i=g&-2;if(!(g&1))r=i;else r=f[i+4>>2]|0;i=f[j>>2]|0;if((i|0)==542896){QGa(j,r,h);break}else{ruc(i,h)|0;break}}}while(0);if(e&65280|0){if(e&256|0)b[a+80>>0]=b[c+80>>0]|0;if(e&512|0)b[a+81>>0]=b[c+81>>0]|0;if(e&1024|0)b[a+82>>0]=b[c+82>>0]|0;if(e&2048|0)b[a+83>>0]=b[c+83>>0]|0;if(e&4096|0)b[a+84>>0]=b[c+84>>0]|0;if(e&8192|0)b[a+85>>0]=b[c+85>>0]|0;if(e&16384|0)b[a+86>>0]=b[c+86>>0]|0;if(e&32768|0)b[a+87>>0]=b[c+87>>0]|0;r=a+24|0;f[r>>2]=f[r>>2]|e}if(!(e&196608))return;if(e&65536|0)b[a+88>>0]=b[c+88>>0]|0;if(e&131072|0)f[a+92>>2]=f[c+92>>2];c=a+24|0;f[c>>2]=f[c>>2]|e;return}function EWb(a){a=a|0;var c=0,d=0,e=0;c=u;u=u+16|0;d=c;f[a>>2]=155648;fcc(a+4|0);f[a+20>>2]=0;f[a+24>>2]=0;e=a+32|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((a|0)!=543632?(f[225013]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=150;b[d+8>>0]=0;xLb(900052,d);QKb(d)}f[a+28>>2]=0;f[a+48>>2]=542896;f[a+52>>2]=542896;f[a+56>>2]=542896;f[a+60>>2]=542896;f[a+64>>2]=542896;f[a+68>>2]=542896;f[a+72>>2]=542896;f[a+76>>2]=542896;d=a+80|0;f[d>>2]=0;f[d+4>>2]=0;b[d+8>>0]=0;f[a+92>>2]=1;u=c;return}function FWb(a,c){a=a|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;f[a>>2]=155648;bcc(a+4|0,c);f[a+20>>2]=c;f[a+24>>2]=0;f[a+32>>2]=c;f[a+36>>2]=0;f[a+40>>2]=0;f[a+44>>2]=0;if((f[225013]|0)!=2){f[e>>2]=151624;f[e+4>>2]=150;b[e+8>>0]=0;xLb(900052,e);QKb(e)}f[a+28>>2]=0;f[a+48>>2]=542896;f[a+52>>2]=542896;f[a+56>>2]=542896;f[a+60>>2]=542896;f[a+64>>2]=542896;f[a+68>>2]=542896;f[a+72>>2]=542896;f[a+76>>2]=542896;e=a+80|0;f[e>>2]=0;f[e+4>>2]=0;b[e+8>>0]=0;f[a+92>>2]=1;u=d;return}function GWb(a){a=a|0;var c=0;c=f[a+48>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}c=f[a+52>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}c=f[a+56>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}c=f[a+60>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}c=f[a+64>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}c=f[a+68>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}c=f[a+72>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}c=f[a+76>>2]|0;if((c|0)==542896|(c|0)==0)return;if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c);return}function HWb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=a+12|0;c=f[b>>2]|0;if(!c){f[b>>2]=0;return}if(f[a>>2]|0){f[b>>2]=0;return}a=f[c>>2]|0;if((a|0)>0){d=0;do{e=f[c+4+(d<<2)>>2]|0;if(e|0)bi[f[(f[e>>2]|0)+4>>2]&2047](e);d=d+1|0}while((d|0)!=(a|0));g=f[b>>2]|0}else g=c;fuc(g);f[b>>2]=0;return}function IWb(a){a=a|0;var b=0,c=0;f[a>>2]=155756;bXb(a);b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(c);f[b>>2]=0;return}function JWb(a){a=a|0;IWb(a);fuc(a);return}function KWb(a){a=a|0;a=cuc(36)|0;$Wb(a);return a|0}function LWb(a,b){a=a|0;b=b|0;var c=0;if(!b){a=cuc(36)|0;$Wb(a);c=a;return c|0}if(f[b+64>>2]|0)HIb(b,24320,40);a=FIb(b,40)|0;aXb(a,b);c=a;return c|0}function MWb(a){a=a|0;var b=0,c=0;b=f[a+4>>2]|0;a=b&-2;if(!(b&1)){c=a;return c|0}else{c=f[a+4>>2]|0;return c|0}return 0}function NWb(a){a=a|0;return f[a+4>>2]|0}function OWb(a){a=a|0;var c=0,e=0,g=0,h=0,i=0,j=0;c=a+8|0;e=f[c>>2]|0;if(e&15|0){do if(e&1|0?(g=f[a+16>>2]|0,(g|0)!=542896):0){h=g+11|0;if((b[h>>0]|0)<0){b[f[g>>2]>>0]=0;f[g+4>>2]=0;break}else{b[g>>0]=0;b[h>>0]=0;break}}while(0);do if(e&2|0?(h=f[a+20>>2]|0,(h|0)!=542896):0){g=h+11|0;if((b[g>>0]|0)<0){b[f[h>>2]>>0]=0;f[h+4>>2]=0;break}else{b[h>>0]=0;b[g>>0]=0;break}}while(0);do if(e&4|0?(g=f[a+24>>2]|0,(g|0)!=542896):0){h=g+11|0;if((b[h>>0]|0)<0){b[f[g>>2]>>0]=0;f[g+4>>2]=0;break}else{b[g>>0]=0;b[h>>0]=0;break}}while(0);if(e&8|0){e=f[a+28>>2]|0;wdc(e+4|0);h=e+36|0;g=f[h>>2]|0;if((g|0)>0){i=f[e+44>>2]|0;j=0;do{YSb(f[i+4+(j<<2)>>2]|0);j=j+1|0}while((j|0)!=(g|0));f[h>>2]=0}h=e+24|0;if(f[h>>2]&3|0){g=e+48|0;f[g>>2]=0;f[g+4>>2]=0}f[h>>2]=0;h=f[e+20>>2]|0;if(h&1|0?(e=h&-2,f[e>>2]|0):0)ebc(e)}}d[a+32>>1]=0;f[c>>2]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;ebc(a);return}function PWb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0;if(!(f[a+8>>2]&8)){b=1;return b|0}c=f[a+28>>2]|0;if(!(Bdc(c+4|0)|0)){b=0;return b|0}a=f[c+36>>2]|0;if((a|0)<=0){b=1;return b|0}d=f[c+44>>2]|0;c=a;a:while(1){a=c;c=c+-1|0;e=f[d+4+(c<<2)>>2]|0;g=f[e+28>>2]|0;h=f[e+20>>2]|0;while(1){if((h|0)<=0)break;h=h+-1|0;if((f[(f[g+4+(h<<2)>>2]|0)+8>>2]&3|0)!=3){b=0;i=9;break a}}if((a|0)<=1){b=1;i=9;break}}if((i|0)==9)return b|0;return 0}function QWb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0;d=u;u=u+16|0;e=d;g=c+4|0;h=a+8|0;i=a+16|0;j=a+4|0;k=a+20|0;l=a+24|0;m=a+28|0;n=e+4|0;o=a+32|0;p=e+8|0;q=a+33|0;r=e+8|0;a:while(1){s=f[c>>2]|0;if(s>>>0<(f[g>>2]|0)>>>0){t=b[s>>0]|0;v=t&255;if(t<<24>>24>0){f[c>>2]=s+1;w=v;x=6}else{y=v;x=5}}else{y=0;x=5}if((x|0)==5){x=0;v=OJb(c,y)|0;if((v+-1|0)>>>0<127){w=v;x=6}else z=v}b:do if((x|0)==6){x=0;switch(w>>>3&536870911|0){case 1:{if((w&255|0)!=10){z=w;break b}f[h>>2]=f[h>>2]|1;v=f[j>>2]|0;s=v&-2;if(!(v&1))A=s;else A=f[s+4>>2]|0;s=f[i>>2]|0;if((s|0)==542896){QGa(i,A,542896);B=f[i>>2]|0}else B=s;if($Lb(c,B)|0)continue a;else{C=0;x=56;break a}break}case 2:{if((w&255|0)!=18){z=w;break b}f[h>>2]=f[h>>2]|2;s=f[j>>2]|0;v=s&-2;if(!(s&1))D=v;else D=f[v+4>>2]|0;v=f[k>>2]|0;if((v|0)==542896){QGa(k,D,542896);E=f[k>>2]|0}else E=v;if($Lb(c,E)|0)continue a;else{C=0;x=56;break a}break}case 3:{if((w&255|0)!=26){z=w;break b}f[h>>2]=f[h>>2]|4;v=f[j>>2]|0;s=v&-2;if(!(v&1))F=s;else F=f[s+4>>2]|0;s=f[l>>2]|0;if((s|0)==542896){QGa(l,F,542896);G=f[l>>2]|0}else G=s;if($Lb(c,G)|0)continue a;else{C=0;x=56;break a}break}case 4:{if((w&255|0)!=34){z=w;break b}f[h>>2]=f[h>>2]|8;s=f[m>>2]|0;if(!s){_Wb(a);H=f[m>>2]|0}else H=s;s=f[c>>2]|0;if(s>>>0<(f[g>>2]|0)>>>0?(v=b[s>>0]|0,v<<24>>24>-1):0){f[c>>2]=s+1;I=v&255}else{v=NJb(c)|0;if((v|0)>-1)I=v;else{C=0;x=56;break a}}yJb(e,c,I);if((f[n>>2]|0)<0){x=37;break a}if(!(Th[f[(f[H>>2]|0)+44>>2]&1023](H,c)|0)){x=37;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{C=0;x=56;break a}break}case 5:{if((w&255|0)!=40){z=w;break b}f[h>>2]=f[h>>2]|16;v=f[c>>2]|0;if(v>>>0<(f[g>>2]|0)>>>0?(s=b[v>>0]|0,s<<24>>24>-1):0){f[c>>2]=v+1;J=s<<24>>24!=0}else{AJb(e,c);s=e;if(!(b[p>>0]|0)){C=0;x=56;break a}else J=(f[s>>2]|0)!=0|(f[s+4>>2]|0)!=0}b[o>>0]=J&1;continue a;break}case 6:{if((w&255|0)!=48){z=w;break b}f[h>>2]=f[h>>2]|32;s=f[c>>2]|0;if(s>>>0<(f[g>>2]|0)>>>0?(v=b[s>>0]|0,v<<24>>24>-1):0){f[c>>2]=s+1;K=v<<24>>24!=0}else{AJb(e,c);v=e;if(!(b[r>>0]|0)){C=0;x=56;break a}else K=(f[v>>2]|0)!=0|(f[v+4>>2]|0)!=0}b[q>>0]=K&1;continue a;break}default:{z=w;break b}}}while(0);if(!z){C=1;x=56;break}v=f[j>>2]|0;if(!(v&1))L=OOa(j)|0;else L=v&-2;if(!(xbc(c,z,L)|0)){C=0;x=56;break}}if((x|0)==37){C=0;u=d;return C|0}else if((x|0)==56){u=d;return C|0}return 0}function RWb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;c=f[a+4>>2]|0;if(!(c&1))d=0;else d=Dbc(c&-2)|0;c=a+8|0;e=f[c>>2]|0;if(!(e&63)){g=d;h=a+12|0;f[h>>2]=g;return g|0}if(!(e&1))i=d;else{j=f[a+16>>2]|0;k=b[j+11>>0]|0;l=k<<24>>24<0?f[j+4>>2]|0:k&255;i=d+1+l+((((($(l|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(e&2))m=i;else{l=f[a+20>>2]|0;d=b[l+11>>0]|0;k=d<<24>>24<0?f[l+4>>2]|0:d&255;m=i+1+k+((((($(k|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(e&4))n=m;else{k=f[a+24>>2]|0;i=b[k+11>>0]|0;d=i<<24>>24<0?f[k+4>>2]|0:i&255;n=m+1+d+((((($(d|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(e&8)){o=n;p=e}else{e=f[a+28>>2]|0;d=di[f[(f[e>>2]|0)+48>>2]&1023](e)|0;e=n+1+d+((((($(d|1|0)|0)^31)*9|0)+73|0)>>>6)|0;o=e;p=f[c>>2]|0}c=p&16|0?o+2|0:o;g=p&32|0?c+2|0:c;h=a+12|0;f[h>>2]=g;return g|0}function SWb(a,c){a=a|0;c=c|0;var d=0;d=f[a+8>>2]|0;if(d&1|0)VLb(1,f[a+16>>2]|0,c);if(d&2|0)VLb(2,f[a+20>>2]|0,c);if(d&4|0)VLb(3,f[a+24>>2]|0,c);if(d&8|0)_Lb(4,f[a+28>>2]|0,c);if(d&16|0)SLb(5,(b[a+32>>0]|0)!=0,c);if(d&32|0)SLb(6,(b[a+33>>0]|0)!=0,c);d=f[a+4>>2]|0;if(!(d&1))return;Abc(d&-2,c);return}function TWb(a){a=a|0;return f[a+12>>2]|0}function UWb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;e=f[a+8>>2]|0;if(!(e&1))g=d;else{h=f[a+16>>2]|0;b[d>>0]=10;g=XJb(h,d+1|0)|0}if(!(e&2))i=g;else{d=f[a+20>>2]|0;b[g>>0]=18;i=XJb(d,g+1|0)|0}if(!(e&4))j=i;else{g=f[a+24>>2]|0;b[i>>0]=26;j=XJb(g,i+1|0)|0}if(!(e&8))k=j;else{i=f[a+28>>2]|0;b[j>>0]=34;g=j+1|0;j=di[f[(f[i>>2]|0)+60>>2]&1023](i)|0;if(j>>>0>127){d=j;h=g;while(1){b[h>>0]=d|128;l=d>>>7;m=h+1|0;if(d>>>0>16383){d=l;h=m}else{n=m;o=l;break}}}else{n=g;o=j}b[n>>0]=o;k=li[f[(f[i>>2]|0)+64>>2]&511](i,c,n+1|0)|0}if(!(e&16))p=k;else{n=b[a+32>>0]|0;b[k>>0]=40;b[k+1>>0]=n;p=k+2|0}if(!(e&32))q=p;else{e=b[a+33>>0]|0;b[p>>0]=48;b[p+1>>0]=e;q=p+2|0}p=f[a+4>>2]|0;if(!(p&1)){r=q;return r|0}r=Bbc(p&-2,q)|0;return r|0}function VWb(a,b){a=a|0;b=b|0;var c=0;if((a|0)==(b|0))return;OWb(a);c=ovc(b,24728,24320,0)|0;if(!c){A9b(b,a);return}else{ZWb(a,c);return}}function WWb(a,b){a=a|0;b=b|0;var c=0;c=ovc(b,24728,24320,0)|0;if(!c){A9b(b,a);return}else{ZWb(a,c);return}}function XWb(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function YWb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224998]|0)!=2){f[d>>2]=151624;f[d+4>>2]=135;b[d+8>>0]=0;xLb(899992,d);QKb(d)}d=544496;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function ZWb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;d=a+4|0;e=f[c+4>>2]|0;if(e&1|0){g=f[d>>2]|0;if(!(g&1))h=OOa(d)|0;else h=g&-2;hbc(h,e&-2)}e=f[c+8>>2]|0;if(!(e&63))return;do if(e&1|0){h=f[c+16>>2]|0;g=a+8|0;f[g>>2]=f[g>>2]|1;g=a+16|0;i=f[d>>2]|0;j=i&-2;if(!(i&1))k=j;else k=f[j+4>>2]|0;j=f[g>>2]|0;if((j|0)==542896){QGa(g,k,h);break}else{ruc(j,h)|0;break}}while(0);do if(e&2|0){k=f[c+20>>2]|0;h=a+8|0;f[h>>2]=f[h>>2]|2;h=a+20|0;j=f[d>>2]|0;g=j&-2;if(!(j&1))l=g;else l=f[g+4>>2]|0;g=f[h>>2]|0;if((g|0)==542896){QGa(h,l,k);break}else{ruc(g,k)|0;break}}while(0);do if(e&4|0){l=f[c+24>>2]|0;k=a+8|0;f[k>>2]=f[k>>2]|4;k=a+24|0;g=f[d>>2]|0;h=g&-2;if(!(g&1))m=h;else m=f[h+4>>2]|0;h=f[k>>2]|0;if((h|0)==542896){QGa(k,m,l);break}else{ruc(h,l)|0;break}}while(0);if(e&8|0){m=a+8|0;f[m>>2]=f[m>>2]|8;m=a+28|0;d=f[m>>2]|0;if(!d){_Wb(a);n=f[m>>2]|0}else n=d;d=f[c+28>>2]|0;ZTb(n,d|0?d:544064)}if(e&16|0)b[a+32>>0]=b[c+32>>0]|0;if(e&32|0)b[a+33>>0]=b[c+33>>0]|0;c=a+8|0;f[c>>2]=f[c>>2]|e;return}function _Wb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=f[a+4>>2]|0;c=b&-2;if(!(b&1))d=c;else d=f[c+4>>2]|0;if(!d){c=cuc(56)|0;bUb(c);e=c;g=a+28|0;f[g>>2]=e;return}if(f[d+64>>2]|0)HIb(d,24192,56);c=FIb(d,56)|0;cUb(c,d);e=c;g=a+28|0;f[g>>2]=e;return}function $Wb(a){a=a|0;var c=0,e=0;c=u;u=u+16|0;e=c;f[a>>2]=155756;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=543592?(f[225012]|0)!=2:0){f[e>>2]=151624;f[e+4>>2]=149;b[e+8>>0]=0;xLb(900048,e);QKb(e)}f[a+12>>2]=0;f[a+16>>2]=542896;f[a+20>>2]=542896;f[a+24>>2]=542896;e=a+28|0;f[e>>2]=0;d[e+4>>1]=0;u=c;return}function aXb(a,c){a=a|0;c=c|0;var e=0,g=0;e=u;u=u+16|0;g=e;f[a>>2]=155756;f[a+4>>2]=c;f[a+8>>2]=0;if((f[225012]|0)!=2){f[g>>2]=151624;f[g+4>>2]=149;b[g+8>>0]=0;xLb(900048,g);QKb(g)}f[a+12>>2]=0;f[a+16>>2]=542896;f[a+20>>2]=542896;f[a+24>>2]=542896;g=a+28|0;f[g>>2]=0;d[g+4>>1]=0;u=e;return}function bXb(a){a=a|0;var c=0;c=f[a+16>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}c=f[a+20>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}c=f[a+24>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}if((a|0)==543592)return;c=f[a+28>>2]|0;if(!c)return;bi[f[(f[c>>2]|0)+4>>2]&2047](c);return}function cXb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0;f[a>>2]=155864;c=f[a+32>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}if((a|0)!=543552?(c=f[a+36>>2]|0,c|0):0)bi[f[(f[c>>2]|0)+4>>2]&2047](c);c=a+28|0;d=f[c>>2]|0;if(d|0?(f[a+16>>2]|0)==0:0){e=f[d>>2]|0;if((e|0)>0){g=0;do{h=f[d+4+(g<<2)>>2]|0;if(h|0)bi[f[(f[h>>2]|0)+4>>2]&2047](h);g=g+1|0}while((g|0)!=(e|0));i=f[c>>2]|0}else i=d;fuc(i)}f[c>>2]=0;c=a+4|0;a=f[c>>2]|0;if(!(a&1)){f[c>>2]=0;return}i=a&-2;a=i;if((i|0)==0|(f[a+4>>2]|0)!=0){f[c>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(i);f[c>>2]=0;return}function dXb(a){a=a|0;cXb(a);fuc(a);return}function eXb(a){a=a|0;a=cuc(40)|0;xXb(a);return a|0}function fXb(a,b){a=a|0;b=b|0;var c=0;if(!b){a=cuc(40)|0;xXb(a);c=a;return c|0}if(f[b+64>>2]|0)HIb(b,24336,40);a=FIb(b,40)|0;yXb(a,b);c=a;return c|0}function gXb(a){a=a|0;var b=0,c=0;b=f[a+4>>2]|0;a=b&-2;if(!(b&1)){c=a;return c|0}else{c=f[a+4>>2]|0;return c|0}return 0}function hXb(a){a=a|0;return f[a+4>>2]|0}function iXb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0;c=a+20|0;d=f[c>>2]|0;if((d|0)>0){e=f[a+28>>2]|0;g=0;do{OWb(f[e+4+(g<<2)>>2]|0);g=g+1|0}while((g|0)!=(d|0));f[c>>2]=0}c=a+8|0;d=f[c>>2]|0;if(d&3|0){do if(d&1|0?(g=f[a+32>>2]|0,(g|0)!=542896):0){e=g+11|0;if((b[e>>0]|0)<0){b[f[g>>2]>>0]=0;f[g+4>>2]=0;break}else{b[g>>0]=0;b[e>>0]=0;break}}while(0);if(d&2|0){d=f[a+36>>2]|0;wdc(d+4|0);e=d+36|0;g=f[e>>2]|0;if((g|0)>0){h=f[d+44>>2]|0;i=0;do{YSb(f[h+4+(i<<2)>>2]|0);i=i+1|0}while((i|0)!=(g|0));f[e>>2]=0}b[d+48>>0]=0;f[d+24>>2]=0;e=f[d+20>>2]|0;if(e&1|0?(d=e&-2,f[d>>2]|0):0)ebc(d)}}f[c>>2]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;ebc(a);return}function jXb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;b=f[a+20>>2]|0;a:do if((b|0)>0){c=a+28|0;d=b;b:while(1){e=d;d=d+-1|0;g=f[(f[c>>2]|0)+4+(d<<2)>>2]|0;if(f[g+8>>2]&8|0){h=f[g+28>>2]|0;if(!(Bdc(h+4|0)|0)){i=0;j=20;break}g=f[h+36>>2]|0;if((g|0)>0){k=f[h+44>>2]|0;h=g;do{g=h;h=h+-1|0;l=f[k+4+(h<<2)>>2]|0;m=f[l+28>>2]|0;n=f[l+20>>2]|0;while(1){if((n|0)<=0)break;n=n+-1|0;if((f[(f[m+4+(n<<2)>>2]|0)+8>>2]&3|0)!=3){i=0;j=20;break b}}}while((g|0)>1)}}if((e|0)<=1)break a}if((j|0)==20)return i|0}while(0);if(!(f[a+8>>2]&2)){i=1;return i|0}b=f[a+36>>2]|0;if(!(Bdc(b+4|0)|0)){i=0;return i|0}a=f[b+36>>2]|0;if((a|0)<=0){i=1;return i|0}d=f[b+44>>2]|0;b=a;c:while(1){a=b;b=b+-1|0;c=f[d+4+(b<<2)>>2]|0;h=f[c+28>>2]|0;k=f[c+20>>2]|0;while(1){if((k|0)<=0)break;k=k+-1|0;if((f[(f[h+4+(k<<2)>>2]|0)+8>>2]&3|0)!=3){i=0;j=20;break c}}if((a|0)<=1){i=1;j=20;break}}if((j|0)==20)return i|0;return 0}function kXb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;d=u;u=u+16|0;e=d;g=c+4|0;h=a+8|0;i=a+32|0;j=a+4|0;k=a+16|0;l=a+28|0;m=a+24|0;n=a+20|0;o=e+4|0;p=a+36|0;q=e+4|0;a:while(1){r=f[c>>2]|0;if(r>>>0<(f[g>>2]|0)>>>0){s=b[r>>0]|0;t=s&255;if(s<<24>>24>0){f[c>>2]=r+1;v=t;w=6}else{x=t;w=5}}else{x=0;w=5}if((w|0)==5){w=0;t=OJb(c,x)|0;if((t+-1|0)>>>0<127){v=t;w=6}else y=t}b:do if((w|0)==6){w=0;switch(v>>>3&536870911|0){case 1:{if((v&255|0)!=10){y=v;break b}f[h>>2]=f[h>>2]|1;t=f[j>>2]|0;r=t&-2;if(!(t&1))z=r;else z=f[r+4>>2]|0;r=f[i>>2]|0;if((r|0)==542896){QGa(i,z,542896);A=f[i>>2]|0}else A=r;if($Lb(c,A)|0)continue a;else{B=0;w=51;break a}break}case 2:{if((v&255|0)!=18){y=v;break b}r=f[l>>2]|0;do if(r){t=f[n>>2]|0;s=f[r>>2]|0;if((t|0)>=(s|0))if((s|0)==(f[m>>2]|0)){C=s;w=20;break}else{D=s;E=r;w=21;break}else{f[n>>2]=t+1;F=f[r+4+(t<<2)>>2]|0;break}}else{C=f[m>>2]|0;w=20}while(0);if((w|0)==20){w=0;LKb(k,C+1|0);r=f[l>>2]|0;D=f[r>>2]|0;E=r;w=21}if((w|0)==21){w=0;f[E>>2]=D+1;r=f[k>>2]|0;if(!r){t=cuc(36)|0;$Wb(t);G=t}else{if(f[r+64>>2]|0)HIb(r,24320,40);t=FIb(r,40)|0;aXb(t,r);G=t}t=f[l>>2]|0;r=f[n>>2]|0;f[n>>2]=r+1;f[t+4+(r<<2)>>2]=G;F=G}r=f[c>>2]|0;if(r>>>0<(f[g>>2]|0)>>>0?(t=b[r>>0]|0,t<<24>>24>-1):0){f[c>>2]=r+1;H=t&255}else{t=NJb(c)|0;if((t|0)>-1)H=t;else{B=0;w=51;break a}}yJb(e,c,H);if((f[o>>2]|0)<0){w=33;break a}if(!(Th[f[(f[F>>2]|0)+44>>2]&1023](F,c)|0)){w=33;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{B=0;w=51;break a}break}case 3:{if((v&255|0)!=26){y=v;break b}f[h>>2]=f[h>>2]|2;t=f[p>>2]|0;if(!t){vXb(a);I=f[p>>2]|0}else I=t;t=f[c>>2]|0;if(t>>>0<(f[g>>2]|0)>>>0?(r=b[t>>0]|0,r<<24>>24>-1):0){f[c>>2]=t+1;J=r&255}else{r=NJb(c)|0;if((r|0)>-1)J=r;else{B=0;w=51;break a}}yJb(e,c,J);if((f[q>>2]|0)<0){w=44;break a}if(!(Th[f[(f[I>>2]|0)+44>>2]&1023](I,c)|0)){w=44;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{B=0;w=51;break a}break}default:{y=v;break b}}}while(0);if(!y){B=1;w=51;break}r=f[j>>2]|0;if(!(r&1))K=OOa(j)|0;else K=r&-2;if(!(xbc(c,y,K)|0)){B=0;w=51;break}}if((w|0)==33){B=0;u=d;return B|0}else if((w|0)==44){B=0;u=d;return B|0}else if((w|0)==51){u=d;return B|0}return 0}function lXb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=f[a+4>>2]|0;if(!(c&1))d=0;else d=Dbc(c&-2)|0;c=f[a+20>>2]|0;e=c+d|0;if(!c)g=e;else{d=a+28|0;h=0;i=e;while(1){e=f[(f[d>>2]|0)+4+(h<<2)>>2]|0;j=di[f[(f[e>>2]|0)+48>>2]&1023](e)|0;e=j+i+((((($(j|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=h+1|0;if((h|0)==(c|0)){g=e;break}else i=e}}i=f[a+8>>2]|0;if(!(i&3)){k=g;l=a+12|0;f[l>>2]=k;return k|0}if(!(i&1))m=g;else{c=f[a+32>>2]|0;h=b[c+11>>0]|0;d=h<<24>>24<0?f[c+4>>2]|0:h&255;m=g+1+d+((((($(d|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(i&2)){k=m;l=a+12|0;f[l>>2]=k;return k|0}i=f[a+36>>2]|0;d=di[f[(f[i>>2]|0)+48>>2]&1023](i)|0;k=m+1+d+((((($(d|1|0)|0)^31)*9|0)+73|0)>>>6)|0;l=a+12|0;f[l>>2]=k;return k|0}function mXb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=f[a+8>>2]|0;if(c&1|0)VLb(1,f[a+32>>2]|0,b);d=f[a+20>>2]|0;if(d|0){e=a+28|0;g=0;do{_Lb(2,f[(f[e>>2]|0)+4+(g<<2)>>2]|0,b);g=g+1|0}while((g|0)!=(d|0))}if(c&2|0)_Lb(3,f[a+36>>2]|0,b);c=f[a+4>>2]|0;if(!(c&1))return;Abc(c&-2,b);return}function nXb(a){a=a|0;return f[a+12>>2]|0}function oXb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;e=f[a+8>>2]|0;if(!(e&1))g=d;else{h=f[a+32>>2]|0;b[d>>0]=10;g=XJb(h,d+1|0)|0}d=f[a+20>>2]|0;if(!d)i=g;else{h=a+28|0;j=0;k=g;while(1){g=f[(f[h>>2]|0)+4+(j<<2)>>2]|0;b[k>>0]=18;l=k+1|0;m=di[f[(f[g>>2]|0)+60>>2]&1023](g)|0;if(m>>>0>127){n=m;o=l;while(1){b[o>>0]=n|128;p=n>>>7;q=o+1|0;if(n>>>0>16383){n=p;o=q}else{r=q;s=p;break}}}else{r=l;s=m}b[r>>0]=s;o=li[f[(f[g>>2]|0)+64>>2]&511](g,c,r+1|0)|0;j=j+1|0;if((j|0)==(d|0)){i=o;break}else k=o}}if(!(e&2))t=i;else{e=f[a+36>>2]|0;b[i>>0]=26;k=i+1|0;i=di[f[(f[e>>2]|0)+60>>2]&1023](e)|0;if(i>>>0>127){d=i;j=k;while(1){b[j>>0]=d|128;r=d>>>7;s=j+1|0;if(d>>>0>16383){d=r;j=s}else{u=s;v=r;break}}}else{u=k;v=i}b[u>>0]=v;t=li[f[(f[e>>2]|0)+64>>2]&511](e,c,u+1|0)|0}u=f[a+4>>2]|0;if(!(u&1)){w=t;return w|0}w=Bbc(u&-2,t)|0;return w|0}function pXb(a,b){a=a|0;b=b|0;var c=0;if((a|0)==(b|0))return;iXb(a);c=ovc(b,24728,24336,0)|0;if(!c){A9b(b,a);return}else{tXb(a,c);return}}function qXb(a,b){a=a|0;b=b|0;var c=0;c=ovc(b,24728,24336,0)|0;if(!c){A9b(b,a);return}else{tXb(a,c);return}}function rXb(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function sXb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224998]|0)!=2){f[d>>2]=151624;f[d+4>>2]=135;b[d+8>>0]=0;xLb(899992,d);QKb(d)}d=544488;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function tXb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;d=a+4|0;e=f[c+4>>2]|0;if(e&1|0){g=f[d>>2]|0;if(!(g&1))h=OOa(d)|0;else h=g&-2;hbc(h,e&-2)}uXb(a+16|0,c+16|0);e=f[c+8>>2]|0;if(!(e&3))return;do if(e&1|0){h=f[c+32>>2]|0;g=a+8|0;f[g>>2]=f[g>>2]|1;g=a+32|0;i=f[d>>2]|0;j=i&-2;if(!(i&1))k=j;else k=f[j+4>>2]|0;j=f[g>>2]|0;if((j|0)==542896){QGa(g,k,h);break}else{ruc(j,h)|0;break}}while(0);if(!(e&2))return;e=a+8|0;f[e>>2]=f[e>>2]|2;e=a+36|0;k=f[e>>2]|0;if(!k){vXb(a);l=f[e>>2]|0}else l=k;k=f[c+36>>2]|0;c=k|0?k:544008;xdc(l+4|0,c+4|0);k=l+20|0;e=f[c+20>>2]|0;if(e&1|0){a=f[k>>2]|0;if(!(a&1))m=OOa(k)|0;else m=a&-2;hbc(m,e&-2)}_Tb(l+32|0,c+32|0);if(!(f[c+24>>2]&1))return;e=b[c+48>>0]|0;c=l+24|0;f[c>>2]=f[c>>2]|1;b[l+48>>0]=e;return}function uXb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=f[b+4>>2]|0;if(!c)return;d=f[b+12>>2]|0;b=KKb(a,c)|0;e=a+12|0;g=a+4|0;h=(f[f[e>>2]>>2]|0)-(f[g>>2]|0)|0;if((h|0)>0&(c|0)>0){i=0;do{wXb(f[d+4+(i<<2)>>2]|0,f[b+(i<<2)>>2]|0);i=i+1|0}while((i|0)<(h|0)&(i|0)<(c|0))}i=f[a>>2]|0;a:do if((h|0)<(c|0)){a=i+64|0;if(!i){j=h;while(1){k=f[d+4+(j<<2)>>2]|0;l=cuc(36)|0;$Wb(l);wXb(k,l);f[b+(j<<2)>>2]=l;j=j+1|0;if((j|0)>=(c|0))break a}}else m=h;do{j=f[d+4+(m<<2)>>2]|0;if(f[a>>2]|0)HIb(i,24320,40);l=FIb(i,40)|0;aXb(l,i);wXb(j,l);f[b+(m<<2)>>2]=l;m=m+1|0}while((m|0)!=(c|0))}while(0);m=(f[g>>2]|0)+c|0;f[g>>2]=m;g=f[e>>2]|0;if((f[g>>2]|0)>=(m|0))return;f[g>>2]=m;return}function vXb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=f[a+4>>2]|0;c=b&-2;if(!(b&1))d=c;else d=f[c+4>>2]|0;if(!d){c=cuc(52)|0;uUb(c);e=c;g=a+36|0;f[g>>2]=e;return}if(f[d+64>>2]|0)HIb(d,24208,56);c=FIb(d,56)|0;vUb(c,d);e=c;g=a+36|0;f[g>>2]=e;return}function wXb(a,b){a=a|0;b=b|0;ZWb(b,a);return}function xXb(a){a=a|0;var c=0,d=0,e=0;c=u;u=u+16|0;d=c;f[a>>2]=155864;f[a+4>>2]=0;f[a+8>>2]=0;e=a+16|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((a|0)!=543552?(f[225011]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=148;b[d+8>>0]=0;xLb(900044,d);QKb(d)}f[a+12>>2]=0;f[a+32>>2]=542896;f[a+36>>2]=0;u=c;return}function yXb(a,c){a=a|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;f[a>>2]=155864;f[a+4>>2]=c;f[a+8>>2]=0;f[a+16>>2]=c;f[a+20>>2]=0;f[a+24>>2]=0;f[a+28>>2]=0;if((f[225011]|0)!=2){f[e>>2]=151624;f[e+4>>2]=148;b[e+8>>0]=0;xLb(900044,e);QKb(e)}f[a+12>>2]=0;f[a+32>>2]=542896;f[a+36>>2]=0;u=d;return}function zXb(a){a=a|0;var c=0,d=0;f[a>>2]=155972;c=f[a+16>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}if((a|0)!=543520?(c=f[a+20>>2]|0,c|0):0)bi[f[(f[c>>2]|0)+4>>2]&2047](c);c=a+4|0;a=f[c>>2]|0;if(!(a&1)){f[c>>2]=0;return}d=a&-2;a=d;if((d|0)==0|(f[a+4>>2]|0)!=0){f[c>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(d);f[c>>2]=0;return}function AXb(a){a=a|0;zXb(a);fuc(a);return}function BXb(a){a=a|0;a=cuc(28)|0;SXb(a);return a|0}function CXb(a,b){a=a|0;b=b|0;var c=0;if(!b){a=cuc(28)|0;SXb(a);c=a;return c|0}if(f[b+64>>2]|0)HIb(b,24352,32);a=FIb(b,32)|0;TXb(a,b);c=a;return c|0}function DXb(a){a=a|0;var b=0,c=0;b=f[a+4>>2]|0;a=b&-2;if(!(b&1)){c=a;return c|0}else{c=f[a+4>>2]|0;return c|0}return 0}function EXb(a){a=a|0;return f[a+4>>2]|0}function FXb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0;c=a+8|0;d=f[c>>2]|0;if(d&3|0){do if(d&1|0?(e=f[a+16>>2]|0,(e|0)!=542896):0){g=e+11|0;if((b[g>>0]|0)<0){b[f[e>>2]>>0]=0;f[e+4>>2]=0;break}else{b[e>>0]=0;b[g>>0]=0;break}}while(0);if(d&2|0){d=f[a+20>>2]|0;wdc(d+4|0);g=d+36|0;e=f[g>>2]|0;if((e|0)>0){h=f[d+44>>2]|0;i=0;do{YSb(f[h+4+(i<<2)>>2]|0);i=i+1|0}while((i|0)!=(e|0));f[g>>2]=0}b[d+48>>0]=0;f[d+24>>2]=0;g=f[d+20>>2]|0;if(g&1|0?(d=g&-2,f[d>>2]|0):0)ebc(d)}}f[a+24>>2]=0;f[c>>2]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;ebc(a);return}function GXb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0;if(!(f[a+8>>2]&2)){b=1;return b|0}c=f[a+20>>2]|0;if(!(Bdc(c+4|0)|0)){b=0;return b|0}a=f[c+36>>2]|0;if((a|0)<=0){b=1;return b|0}d=f[c+44>>2]|0;c=a;a:while(1){a=c;c=c+-1|0;e=f[d+4+(c<<2)>>2]|0;g=f[e+28>>2]|0;h=f[e+20>>2]|0;while(1){if((h|0)<=0)break;h=h+-1|0;if((f[(f[g+4+(h<<2)>>2]|0)+8>>2]&3|0)!=3){b=0;i=9;break a}}if((a|0)<=1){b=1;i=9;break}}if((i|0)==9)return b|0;return 0}function HXb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;d=u;u=u+16|0;e=d;g=c+4|0;h=a+8|0;i=a+16|0;j=a+4|0;k=a+24|0;l=a+20|0;m=e+4|0;a:while(1){n=f[c>>2]|0;if(n>>>0<(f[g>>2]|0)>>>0){o=b[n>>0]|0;p=o&255;if(o<<24>>24>0){f[c>>2]=n+1;q=p;r=6}else{s=p;r=5}}else{s=0;r=5}if((r|0)==5){r=0;p=OJb(c,s)|0;if((p+-1|0)>>>0<127){q=p;r=6}else t=p}b:do if((r|0)==6){r=0;switch(q>>>3&536870911|0){case 1:{if((q&255|0)!=10){t=q;break b}f[h>>2]=f[h>>2]|1;p=f[j>>2]|0;n=p&-2;if(!(p&1))v=n;else v=f[n+4>>2]|0;n=f[i>>2]|0;if((n|0)==542896){QGa(i,v,542896);w=f[i>>2]|0}else w=n;if($Lb(c,w)|0)continue a;else{x=0;r=36;break a}break}case 2:{if((q&255|0)!=16){t=q;break b}f[h>>2]=f[h>>2]|4;n=f[c>>2]|0;if(n>>>0<(f[g>>2]|0)>>>0){p=b[n>>0]|0;o=p&255;if(p<<24>>24>-1){f[c>>2]=n+1;y=o}else{z=o;r=18}}else{z=0;r=18}if((r|0)==18){r=0;o=zJb(c,z)|0;n=J;if((n|0)>-1|(n|0)==-1&o>>>0>4294967295)y=o;else{x=0;r=36;break a}}f[k>>2]=y;continue a;break}case 3:{if((q&255|0)!=26){t=q;break b}f[h>>2]=f[h>>2]|2;o=f[l>>2]|0;if(!o){RXb(a);A=f[l>>2]|0}else A=o;o=f[c>>2]|0;if(o>>>0<(f[g>>2]|0)>>>0?(n=b[o>>0]|0,n<<24>>24>-1):0){f[c>>2]=o+1;B=n&255}else{n=NJb(c)|0;if((n|0)>-1)B=n;else{x=0;r=36;break a}}yJb(e,c,B);if((f[m>>2]|0)<0){r=29;break a}if(!(Th[f[(f[A>>2]|0)+44>>2]&1023](A,c)|0)){r=29;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{x=0;r=36;break a}break}default:{t=q;break b}}}while(0);if(!t){x=1;r=36;break}n=f[j>>2]|0;if(!(n&1))C=OOa(j)|0;else C=n&-2;if(!(xbc(c,t,C)|0)){x=0;r=36;break}}if((r|0)==29){x=0;u=d;return x|0}else if((r|0)==36){u=d;return x|0}return 0}function IXb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;c=f[a+4>>2]|0;if(!(c&1))d=0;else d=Dbc(c&-2)|0;c=a+8|0;e=f[c>>2]|0;if(!(e&7)){g=d;h=a+12|0;f[h>>2]=g;return g|0}if(!(e&1))i=d;else{j=f[a+16>>2]|0;k=b[j+11>>0]|0;l=k<<24>>24<0?f[j+4>>2]|0:k&255;i=d+1+l+((((($(l|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(e&2)){m=i;n=e}else{e=f[a+20>>2]|0;l=di[f[(f[e>>2]|0)+48>>2]&1023](e)|0;e=i+1+l+((((($(l|1|0)|0)^31)*9|0)+73|0)>>>6)|0;m=e;n=f[c>>2]|0}if(!(n&4)){g=m;h=a+12|0;f[h>>2]=g;return g|0}n=f[a+24>>2]|0;if((n|0)<0)o=11;else o=((((($(n|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;g=o+m|0;h=a+12|0;f[h>>2]=g;return g|0}function JXb(a,b){a=a|0;b=b|0;var c=0;c=f[a+8>>2]|0;if(c&1|0)VLb(1,f[a+16>>2]|0,b);if(c&4|0)GLb(2,f[a+24>>2]|0,b);if(c&2|0)_Lb(3,f[a+20>>2]|0,b);c=f[a+4>>2]|0;if(!(c&1))return;Abc(c&-2,b);return}function KXb(a){a=a|0;return f[a+12>>2]|0}function LXb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;e=f[a+8>>2]|0;if(!(e&1))g=d;else{h=f[a+16>>2]|0;b[d>>0]=10;g=XJb(h,d+1|0)|0}if(!(e&4))i=g;else{d=f[a+24>>2]|0;b[g>>0]=16;h=g+1|0;g=d&255;if(d>>>0>127){j=h;k=g;l=d;m=((d|0)<0)<<31>>31;while(1){b[j>>0]=k|-128;d=l;l=pzc(l|0,m|0,7)|0;n=j+1|0;o=l&255;if(!(m>>>0>0|(m|0)==0&d>>>0>16383)){p=n;q=o;break}else{j=n;k=o;m=J}}}else{p=h;q=g}b[p>>0]=q;i=p+1|0}if(!(e&2))r=i;else{e=f[a+20>>2]|0;b[i>>0]=26;p=i+1|0;i=di[f[(f[e>>2]|0)+60>>2]&1023](e)|0;if(i>>>0>127){q=i;g=p;while(1){b[g>>0]=q|128;h=q>>>7;m=g+1|0;if(q>>>0>16383){q=h;g=m}else{s=m;t=h;break}}}else{s=p;t=i}b[s>>0]=t;r=li[f[(f[e>>2]|0)+64>>2]&511](e,c,s+1|0)|0}s=f[a+4>>2]|0;if(!(s&1)){u=r;return u|0}u=Bbc(s&-2,r)|0;return u|0}function MXb(a,b){a=a|0;b=b|0;var c=0;if((a|0)==(b|0))return;FXb(a);c=ovc(b,24728,24352,0)|0;if(!c){A9b(b,a);return}else{QXb(a,c);return}}function NXb(a,b){a=a|0;b=b|0;var c=0;c=ovc(b,24728,24352,0)|0;if(!c){A9b(b,a);return}else{QXb(a,c);return}}function OXb(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function PXb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224998]|0)!=2){f[d>>2]=151624;f[d+4>>2]=135;b[d+8>>0]=0;xLb(899992,d);QKb(d)}d=544480;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function QXb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;d=a+4|0;e=f[c+4>>2]|0;if(e&1|0){g=f[d>>2]|0;if(!(g&1))h=OOa(d)|0;else h=g&-2;hbc(h,e&-2)}e=f[c+8>>2]|0;if(!(e&7))return;do if(e&1|0){h=f[c+16>>2]|0;g=a+8|0;f[g>>2]=f[g>>2]|1;g=a+16|0;i=f[d>>2]|0;j=i&-2;if(!(i&1))k=j;else k=f[j+4>>2]|0;j=f[g>>2]|0;if((j|0)==542896){QGa(g,k,h);break}else{ruc(j,h)|0;break}}while(0);if(e&2|0){k=a+8|0;f[k>>2]=f[k>>2]|2;k=a+20|0;d=f[k>>2]|0;if(!d){RXb(a);l=f[k>>2]|0}else l=d;d=f[c+20>>2]|0;k=d|0?d:543952;xdc(l+4|0,k+4|0);d=l+20|0;h=f[k+20>>2]|0;if(h&1|0){j=f[d>>2]|0;if(!(j&1))m=OOa(d)|0;else m=j&-2;hbc(m,h&-2)}_Tb(l+32|0,k+32|0);if(f[k+24>>2]&1|0){h=b[k+48>>0]|0;k=l+24|0;f[k>>2]=f[k>>2]|1;b[l+48>>0]=h}}if(e&4|0)f[a+24>>2]=f[c+24>>2];c=a+8|0;f[c>>2]=f[c>>2]|e;return}function RXb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=f[a+4>>2]|0;c=b&-2;if(!(b&1))d=c;else d=f[c+4>>2]|0;if(!d){c=cuc(52)|0;NUb(c);e=c;g=a+20|0;f[g>>2]=e;return}if(f[d+64>>2]|0)HIb(d,24224,56);c=FIb(d,56)|0;OUb(c,d);e=c;g=a+20|0;f[g>>2]=e;return}function SXb(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=155972;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=543520?(f[225010]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=147;b[d+8>>0]=0;xLb(900040,d);QKb(d)}f[a+12>>2]=0;f[a+16>>2]=542896;d=a+20|0;f[d>>2]=0;f[d+4>>2]=0;u=c;return}function TXb(a,c){a=a|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;f[a>>2]=155972;f[a+4>>2]=c;f[a+8>>2]=0;if((f[225010]|0)!=2){f[e>>2]=151624;f[e+4>>2]=147;b[e+8>>0]=0;xLb(900040,e);QKb(e)}f[a+12>>2]=0;f[a+16>>2]=542896;e=a+20|0;f[e>>2]=0;f[e+4>>2]=0;u=d;return}function UXb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;f[a>>2]=156080;c=f[a+64>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}if((a|0)!=543448?(c=f[a+68>>2]|0,c|0):0)bi[f[(f[c>>2]|0)+4>>2]&2047](c);c=a+60|0;d=f[c>>2]|0;if(d|0?(f[a+48>>2]|0)==0:0){e=f[d>>2]|0;if((e|0)>0){g=0;do{h=f[d+4+(g<<2)>>2]|0;if(h|0){if((b[h+11>>0]|0)<0)fuc(f[h>>2]|0);fuc(h)}g=g+1|0}while((g|0)!=(e|0));i=f[c>>2]|0}else i=d;fuc(i)}f[c>>2]=0;c=a+44|0;i=f[c>>2]|0;if(i|0?(f[a+32>>2]|0)==0:0){d=f[i>>2]|0;if((d|0)>0){e=0;do{g=f[i+4+(e<<2)>>2]|0;if(g|0)bi[f[(f[g>>2]|0)+4>>2]&2047](g);e=e+1|0}while((e|0)!=(d|0));j=f[c>>2]|0}else j=i;fuc(j)}f[c>>2]=0;c=a+28|0;j=f[c>>2]|0;if(j|0?(f[a+16>>2]|0)==0:0){i=f[j>>2]|0;if((i|0)>0){d=0;do{e=f[j+4+(d<<2)>>2]|0;if(e|0)bi[f[(f[e>>2]|0)+4>>2]&2047](e);d=d+1|0}while((d|0)!=(i|0));k=f[c>>2]|0}else k=j;fuc(k)}f[c>>2]=0;c=a+4|0;a=f[c>>2]|0;if(!(a&1)){f[c>>2]=0;return}k=a&-2;a=k;if((k|0)==0|(f[a+4>>2]|0)!=0){f[c>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(k);f[c>>2]=0;return}function VXb(a){a=a|0;UXb(a);fuc(a);return}function WXb(a){a=a|0;a=cuc(72)|0;IYb(a);return a|0}function XXb(a,b){a=a|0;b=b|0;var c=0;if(!b){a=cuc(72)|0;IYb(a);c=a;return c|0}if(f[b+64>>2]|0)HIb(b,24368,72);a=FIb(b,72)|0;JYb(a,b);c=a;return c|0}function YXb(a){a=a|0;var b=0,c=0;b=f[a+4>>2]|0;a=b&-2;if(!(b&1)){c=a;return c|0}else{c=f[a+4>>2]|0;return c|0}return 0}function ZXb(a){a=a|0;return f[a+4>>2]|0}function _Xb(a){a=a|0;var c=0,e=0,g=0,h=0,i=0,j=0,k=0;c=a+20|0;e=f[c>>2]|0;if((e|0)>0){g=f[a+28>>2]|0;h=0;do{FXb(f[g+4+(h<<2)>>2]|0);h=h+1|0}while((h|0)!=(e|0));f[c>>2]=0}c=a+36|0;e=f[c>>2]|0;if((e|0)>0){h=f[a+44>>2]|0;g=0;do{i=f[h+4+(g<<2)>>2]|0;g=g+1|0;j=i+8|0;if(f[j>>2]&3|0){k=i+16|0;f[k>>2]=0;f[k+4>>2]=0}f[j>>2]=0;j=f[i+4>>2]|0;if(j&1|0?(i=j&-2,f[i>>2]|0):0)ebc(i)}while((g|0)!=(e|0));f[c>>2]=0}c=a+52|0;e=f[c>>2]|0;if((e|0)>0){g=f[a+60>>2]|0;h=0;do{i=f[g+4+(h<<2)>>2]|0;h=h+1|0;j=i+11|0;if((b[j>>0]|0)<0){b[f[i>>2]>>0]=0;f[i+4>>2]=0}else{b[i>>0]=0;b[j>>0]=0}}while((h|0)!=(e|0));f[c>>2]=0}c=a+8|0;e=f[c>>2]|0;if(e&3|0){do if(e&1|0?(h=f[a+64>>2]|0,(h|0)!=542896):0){g=h+11|0;if((b[g>>0]|0)<0){b[f[h>>2]>>0]=0;f[h+4>>2]=0;break}else{b[h>>0]=0;b[g>>0]=0;break}}while(0);if(e&2|0){e=f[a+68>>2]|0;wdc(e+4|0);g=e+36|0;h=f[g>>2]|0;if((h|0)>0){j=f[e+44>>2]|0;i=0;do{YSb(f[j+4+(i<<2)>>2]|0);i=i+1|0}while((i|0)!=(h|0));f[g>>2]=0}d[e+48>>1]=0;f[e+24>>2]=0;g=f[e+20>>2]|0;if(g&1|0?(e=g&-2,f[e>>2]|0):0)ebc(e)}}f[c>>2]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;ebc(a);return}function $Xb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;b=f[a+20>>2]|0;a:do if((b|0)>0){c=a+28|0;d=b;b:while(1){e=d;d=d+-1|0;g=f[(f[c>>2]|0)+4+(d<<2)>>2]|0;if(f[g+8>>2]&2|0){h=f[g+20>>2]|0;if(!(Bdc(h+4|0)|0)){i=0;j=20;break}g=f[h+36>>2]|0;if((g|0)>0){k=f[h+44>>2]|0;h=g;do{g=h;h=h+-1|0;l=f[k+4+(h<<2)>>2]|0;m=f[l+28>>2]|0;n=f[l+20>>2]|0;while(1){if((n|0)<=0)break;n=n+-1|0;if((f[(f[m+4+(n<<2)>>2]|0)+8>>2]&3|0)!=3){i=0;j=20;break b}}}while((g|0)>1)}}if((e|0)<=1)break a}if((j|0)==20)return i|0}while(0);if(!(f[a+8>>2]&2)){i=1;return i|0}b=f[a+68>>2]|0;if(!(Bdc(b+4|0)|0)){i=0;return i|0}a=f[b+36>>2]|0;if((a|0)<=0){i=1;return i|0}d=f[b+44>>2]|0;b=a;c:while(1){a=b;b=b+-1|0;c=f[d+4+(b<<2)>>2]|0;h=f[c+28>>2]|0;k=f[c+20>>2]|0;while(1){if((k|0)<=0)break;k=k+-1|0;if((f[(f[h+4+(k<<2)>>2]|0)+8>>2]&3|0)!=3){i=0;j=20;break c}}if((a|0)<=1){i=1;j=20;break}}if((j|0)==20)return i|0;return 0}function aYb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0;d=u;u=u+16|0;e=d;g=c+4|0;h=a+8|0;i=a+64|0;j=a+4|0;k=a+16|0;l=a+28|0;m=a+24|0;n=a+20|0;o=e+4|0;p=a+68|0;q=e+4|0;r=a+32|0;s=a+44|0;t=a+40|0;v=a+36|0;w=e+4|0;x=a+48|0;a:while(1){y=f[c>>2]|0;if(y>>>0<(f[g>>2]|0)>>>0){z=b[y>>0]|0;A=z&255;if(z<<24>>24>0){f[c>>2]=y+1;B=A;C=6}else{D=A;C=5}}else{D=0;C=5}if((C|0)==5){C=0;A=OJb(c,D)|0;if((A+-1|0)>>>0<127){B=A;C=6}else E=A}b:do if((C|0)==6){C=0;switch(B>>>3&536870911|0){case 1:{if((B&255|0)!=10){E=B;break b}f[h>>2]=f[h>>2]|1;A=f[j>>2]|0;y=A&-2;if(!(A&1))F=y;else F=f[y+4>>2]|0;y=f[i>>2]|0;if((y|0)==542896){QGa(i,F,542896);G=f[i>>2]|0}else G=y;if($Lb(c,G)|0)continue a;else{H=0;C=74;break a}break}case 2:{if((B&255|0)!=18){E=B;break b}y=f[l>>2]|0;do if(y){A=f[n>>2]|0;z=f[y>>2]|0;if((A|0)>=(z|0))if((z|0)==(f[m>>2]|0)){I=z;C=20;break}else{J=z;K=y;C=21;break}else{f[n>>2]=A+1;L=f[y+4+(A<<2)>>2]|0;break}}else{I=f[m>>2]|0;C=20}while(0);if((C|0)==20){C=0;LKb(k,I+1|0);y=f[l>>2]|0;J=f[y>>2]|0;K=y;C=21}if((C|0)==21){C=0;f[K>>2]=J+1;y=f[k>>2]|0;if(!y){A=cuc(28)|0;SXb(A);M=A}else{if(f[y+64>>2]|0)HIb(y,24352,32);A=FIb(y,32)|0;TXb(A,y);M=A}A=f[l>>2]|0;y=f[n>>2]|0;f[n>>2]=y+1;f[A+4+(y<<2)>>2]=M;L=M}y=f[c>>2]|0;if(y>>>0<(f[g>>2]|0)>>>0?(A=b[y>>0]|0,A<<24>>24>-1):0){f[c>>2]=y+1;N=A&255}else{A=NJb(c)|0;if((A|0)>-1)N=A;else{H=0;C=74;break a}}yJb(e,c,N);if((f[o>>2]|0)<0){C=33;break a}if(!(Th[f[(f[L>>2]|0)+44>>2]&1023](L,c)|0)){C=33;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{H=0;C=74;break a}break}case 3:{if((B&255|0)!=26){E=B;break b}f[h>>2]=f[h>>2]|2;A=f[p>>2]|0;if(!A){mYb(a);O=f[p>>2]|0}else O=A;A=f[c>>2]|0;if(A>>>0<(f[g>>2]|0)>>>0?(y=b[A>>0]|0,y<<24>>24>-1):0){f[c>>2]=A+1;P=y&255}else{y=NJb(c)|0;if((y|0)>-1)P=y;else{H=0;C=74;break a}}yJb(e,c,P);if((f[q>>2]|0)<0){C=44;break a}if(!(Th[f[(f[O>>2]|0)+44>>2]&1023](O,c)|0)){C=44;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{H=0;C=74;break a}break}case 4:{if((B&255|0)!=34){E=B;break b}y=f[s>>2]|0;do if(y){A=f[v>>2]|0;z=f[y>>2]|0;if((A|0)>=(z|0))if((z|0)==(f[t>>2]|0)){Q=z;C=52;break}else{R=z;S=y;C=53;break}else{f[v>>2]=A+1;T=f[y+4+(A<<2)>>2]|0;break}}else{Q=f[t>>2]|0;C=52}while(0);if((C|0)==52){C=0;LKb(r,Q+1|0);y=f[s>>2]|0;R=f[y>>2]|0;S=y;C=53}if((C|0)==53){C=0;f[S>>2]=R+1;y=f[r>>2]|0;if(!y){A=cuc(24)|0;nYb(A);U=A}else{if(f[y+64>>2]|0)HIb(y,24384,24);A=FIb(y,24)|0;pYb(A,y);U=A}A=f[s>>2]|0;y=f[v>>2]|0;f[v>>2]=y+1;f[A+4+(y<<2)>>2]=U;T=U}y=f[c>>2]|0;if(y>>>0<(f[g>>2]|0)>>>0?(A=b[y>>0]|0,A<<24>>24>-1):0){f[c>>2]=y+1;V=A&255}else{A=NJb(c)|0;if((A|0)>-1)V=A;else{H=0;C=74;break a}}yJb(e,c,V);if((f[w>>2]|0)<0){C=65;break a}if(!(Th[f[(f[T>>2]|0)+44>>2]&1023](T,c)|0)){C=65;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{H=0;C=74;break a}break}case 5:{if((B&255|0)!=42){E=B;break b}if($Lb(c,MEa(x)|0)|0)continue a;else{H=0;C=74;break a}break}default:{E=B;break b}}}while(0);if(!E){H=1;C=74;break}A=f[j>>2]|0;if(!(A&1))W=OOa(j)|0;else W=A&-2;if(!(xbc(c,E,W)|0)){H=0;C=74;break}}if((C|0)==33){H=0;u=d;return H|0}else if((C|0)==44){H=0;u=d;return H|0}else if((C|0)==65){H=0;u=d;return H|0}else if((C|0)==74){u=d;return H|0}return 0}function bYb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;c=f[a+4>>2]|0;if(!(c&1))d=0;else d=Dbc(c&-2)|0;c=f[a+20>>2]|0;e=c+d|0;if(!c)g=e;else{d=a+28|0;h=0;i=e;while(1){e=f[(f[d>>2]|0)+4+(h<<2)>>2]|0;j=di[f[(f[e>>2]|0)+48>>2]&1023](e)|0;e=j+i+((((($(j|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=h+1|0;if((h|0)==(c|0)){g=e;break}else i=e}}i=f[a+36>>2]|0;c=i+g|0;if(!i)k=c;else{g=a+44|0;h=0;d=c;while(1){c=f[(f[g>>2]|0)+4+(h<<2)>>2]|0;e=di[f[(f[c>>2]|0)+48>>2]&1023](c)|0;c=e+d+((((($(e|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=h+1|0;if((h|0)==(i|0)){k=c;break}else d=c}}d=f[a+52>>2]|0;i=d+k|0;if((d|0)>0){k=f[a+60>>2]|0;h=0;g=i;while(1){c=f[k+4+(h<<2)>>2]|0;e=b[c+11>>0]|0;j=e<<24>>24<0?f[c+4>>2]|0:e&255;e=j+g+((((($(j|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=h+1|0;if((h|0)==(d|0)){l=e;break}else g=e}}else l=i;i=f[a+8>>2]|0;if(!(i&3)){m=l;n=a+12|0;f[n>>2]=m;return m|0}if(!(i&1))o=l;else{g=f[a+64>>2]|0;d=b[g+11>>0]|0;h=d<<24>>24<0?f[g+4>>2]|0:d&255;o=l+1+h+((((($(h|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(i&2)){m=o;n=a+12|0;f[n>>2]=m;return m|0}i=f[a+68>>2]|0;h=di[f[(f[i>>2]|0)+48>>2]&1023](i)|0;m=o+1+h+((((($(h|1|0)|0)^31)*9|0)+73|0)>>>6)|0;n=a+12|0;f[n>>2]=m;return m|0}function cYb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=f[a+8>>2]|0;if(c&1|0)VLb(1,f[a+64>>2]|0,b);d=f[a+20>>2]|0;if(d|0){e=a+28|0;g=0;do{_Lb(2,f[(f[e>>2]|0)+4+(g<<2)>>2]|0,b);g=g+1|0}while((g|0)!=(d|0))}if(c&2|0)_Lb(3,f[a+68>>2]|0,b);c=f[a+36>>2]|0;if(c|0){d=a+44|0;g=0;do{_Lb(4,f[(f[d>>2]|0)+4+(g<<2)>>2]|0,b);g=g+1|0}while((g|0)!=(c|0))}c=f[a+52>>2]|0;if((c|0)>0){g=a+60|0;d=0;do{ULb(5,f[(f[g>>2]|0)+4+(d<<2)>>2]|0,b);d=d+1|0}while((d|0)!=(c|0))}c=f[a+4>>2]|0;if(!(c&1))return;Abc(c&-2,b);return}function dYb(a){a=a|0;return f[a+12>>2]|0}function eYb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;e=f[a+8>>2]|0;if(!(e&1))g=d;else{h=f[a+64>>2]|0;b[d>>0]=10;g=XJb(h,d+1|0)|0}d=f[a+20>>2]|0;if(!d)i=g;else{h=a+28|0;j=0;k=g;while(1){g=f[(f[h>>2]|0)+4+(j<<2)>>2]|0;b[k>>0]=18;l=k+1|0;m=di[f[(f[g>>2]|0)+60>>2]&1023](g)|0;if(m>>>0>127){n=m;o=l;while(1){b[o>>0]=n|128;p=n>>>7;q=o+1|0;if(n>>>0>16383){n=p;o=q}else{r=q;s=p;break}}}else{r=l;s=m}b[r>>0]=s;o=li[f[(f[g>>2]|0)+64>>2]&511](g,c,r+1|0)|0;j=j+1|0;if((j|0)==(d|0)){i=o;break}else k=o}}if(!(e&2))t=i;else{e=f[a+68>>2]|0;b[i>>0]=26;k=i+1|0;i=di[f[(f[e>>2]|0)+60>>2]&1023](e)|0;if(i>>>0>127){d=i;j=k;while(1){b[j>>0]=d|128;r=d>>>7;s=j+1|0;if(d>>>0>16383){d=r;j=s}else{u=s;v=r;break}}}else{u=k;v=i}b[u>>0]=v;t=li[f[(f[e>>2]|0)+64>>2]&511](e,c,u+1|0)|0}u=f[a+36>>2]|0;if(!u)w=t;else{e=a+44|0;v=0;i=t;while(1){t=f[(f[e>>2]|0)+4+(v<<2)>>2]|0;b[i>>0]=34;k=i+1|0;j=di[f[(f[t>>2]|0)+60>>2]&1023](t)|0;if(j>>>0>127){d=j;r=k;while(1){b[r>>0]=d|128;s=d>>>7;h=r+1|0;if(d>>>0>16383){d=s;r=h}else{x=h;y=s;break}}}else{x=k;y=j}b[x>>0]=y;r=li[f[(f[t>>2]|0)+64>>2]&511](t,c,x+1|0)|0;v=v+1|0;if((v|0)==(u|0)){w=r;break}else i=r}}i=f[a+52>>2]|0;if((i|0)>0){u=a+60|0;v=0;x=w;while(1){c=f[(f[u>>2]|0)+4+(v<<2)>>2]|0;b[x>>0]=42;y=XJb(c,x+1|0)|0;v=v+1|0;if((v|0)==(i|0)){z=y;break}else x=y}}else z=w;w=f[a+4>>2]|0;if(!(w&1)){A=z;return A|0}A=Bbc(w&-2,z)|0;return A|0}function fYb(a,b){a=a|0;b=b|0;var c=0;if((a|0)==(b|0))return;_Xb(a);c=ovc(b,24728,24368,0)|0;if(!c){A9b(b,a);return}else{jYb(a,c);return}}function gYb(a,b){a=a|0;b=b|0;var c=0;c=ovc(b,24728,24368,0)|0;if(!c){A9b(b,a);return}else{jYb(a,c);return}}function hYb(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function iYb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224998]|0)!=2){f[d>>2]=151624;f[d+4>>2]=135;b[d+8>>0]=0;xLb(899992,d);QKb(d)}d=544472;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function jYb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=a+4|0;d=f[b+4>>2]|0;if(d&1|0){e=f[c>>2]|0;if(!(e&1))g=OOa(c)|0;else g=e&-2;hbc(g,d&-2)}kYb(a+16|0,b+16|0);lYb(a+32|0,b+32|0);YOa(a+48|0,b+48|0);d=f[b+8>>2]|0;if(!(d&3))return;do if(d&1|0){g=f[b+64>>2]|0;e=a+8|0;f[e>>2]=f[e>>2]|1;e=a+64|0;h=f[c>>2]|0;i=h&-2;if(!(h&1))j=i;else j=f[i+4>>2]|0;i=f[e>>2]|0;if((i|0)==542896){QGa(e,j,g);break}else{ruc(i,g)|0;break}}while(0);if(!(d&2))return;d=a+8|0;f[d>>2]=f[d>>2]|2;d=a+68|0;j=f[d>>2]|0;if(!j){mYb(a);k=f[d>>2]|0}else k=j;j=f[b+68>>2]|0;eVb(k,j|0?j:543896);return}function kYb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=f[b+4>>2]|0;if(!c)return;d=f[b+12>>2]|0;b=KKb(a,c)|0;e=a+12|0;g=a+4|0;h=(f[f[e>>2]>>2]|0)-(f[g>>2]|0)|0;if((h|0)>0&(c|0)>0){i=0;do{HYb(f[d+4+(i<<2)>>2]|0,f[b+(i<<2)>>2]|0);i=i+1|0}while((i|0)<(h|0)&(i|0)<(c|0))}i=f[a>>2]|0;a:do if((h|0)<(c|0)){a=i+64|0;if(!i){j=h;while(1){k=f[d+4+(j<<2)>>2]|0;l=cuc(28)|0;SXb(l);HYb(k,l);f[b+(j<<2)>>2]=l;j=j+1|0;if((j|0)>=(c|0))break a}}else m=h;do{j=f[d+4+(m<<2)>>2]|0;if(f[a>>2]|0)HIb(i,24352,32);l=FIb(i,32)|0;TXb(l,i);HYb(j,l);f[b+(m<<2)>>2]=l;m=m+1|0}while((m|0)!=(c|0))}while(0);m=(f[g>>2]|0)+c|0;f[g>>2]=m;g=f[e>>2]|0;if((f[g>>2]|0)>=(m|0))return;f[g>>2]=m;return}function lYb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=f[b+4>>2]|0;if(!c)return;d=f[b+12>>2]|0;b=KKb(a,c)|0;e=a+12|0;g=a+4|0;h=(f[f[e>>2]>>2]|0)-(f[g>>2]|0)|0;if((h|0)>0&(c|0)>0){i=0;do{oYb(f[d+4+(i<<2)>>2]|0,f[b+(i<<2)>>2]|0);i=i+1|0}while((i|0)<(h|0)&(i|0)<(c|0))}i=f[a>>2]|0;a:do if((h|0)<(c|0)){a=i+64|0;if(!i){j=h;while(1){k=f[d+4+(j<<2)>>2]|0;l=cuc(24)|0;nYb(l);oYb(k,l);f[b+(j<<2)>>2]=l;j=j+1|0;if((j|0)>=(c|0))break a}}else m=h;do{j=f[d+4+(m<<2)>>2]|0;if(f[a>>2]|0)HIb(i,24384,24);l=FIb(i,24)|0;pYb(l,i);oYb(j,l);f[b+(m<<2)>>2]=l;m=m+1|0}while((m|0)!=(c|0))}while(0);m=(f[g>>2]|0)+c|0;f[g>>2]=m;g=f[e>>2]|0;if((f[g>>2]|0)>=(m|0))return;f[g>>2]=m;return}function mYb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=f[a+4>>2]|0;c=b&-2;if(!(b&1))d=c;else d=f[c+4>>2]|0;if(!d){c=cuc(52)|0;fVb(c);e=c;g=a+68|0;f[g>>2]=e;return}if(f[d+64>>2]|0)HIb(d,24240,56);c=FIb(d,56)|0;gVb(c,d);e=c;g=a+68|0;f[g>>2]=e;return}function nYb(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=156188;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=543424?(f[225008]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=145;b[d+8>>0]=0;xLb(900032,d);QKb(d)}f[a+12>>2]=0;d=a+16|0;f[d>>2]=0;f[d+4>>2]=0;u=c;return}function oYb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=b+4|0;d=f[a+4>>2]|0;if(d&1|0){e=f[c>>2]|0;if(!(e&1))g=OOa(c)|0;else g=e&-2;hbc(g,d&-2)}d=f[a+8>>2]|0;if(!(d&3))return;if(d&1|0)f[b+16>>2]=f[a+16>>2];if(d&2|0)f[b+20>>2]=f[a+20>>2];a=b+8|0;f[a>>2]=f[a>>2]|d;return}function pYb(a,c){a=a|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;f[a>>2]=156188;f[a+4>>2]=c;f[a+8>>2]=0;if((f[225008]|0)!=2){f[e>>2]=151624;f[e+4>>2]=145;b[e+8>>0]=0;xLb(900032,e);QKb(e)}f[a+12>>2]=0;e=a+16|0;f[e>>2]=0;f[e+4>>2]=0;u=d;return}function qYb(a){a=a|0;var b=0,c=0;f[a>>2]=156188;b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(c);f[b>>2]=0;return}function rYb(a){a=a|0;var b=0,c=0;f[a>>2]=156188;b=f[a+4>>2]|0;if(!(b&1)){fuc(a);return}c=b&-2;b=c;if((c|0)==0|(f[b+4>>2]|0)!=0){fuc(a);return}if(f[b>>2]|0)ebc(b);fuc(c);fuc(a);return}function sYb(a){a=a|0;a=cuc(24)|0;nYb(a);return a|0}function tYb(a,b){a=a|0;b=b|0;var c=0;if(!b){a=cuc(24)|0;nYb(a);c=a;return c|0}if(f[b+64>>2]|0)HIb(b,24384,24);a=FIb(b,24)|0;pYb(a,b);c=a;return c|0}function uYb(a){a=a|0;var b=0,c=0;b=f[a+4>>2]|0;a=b&-2;if(!(b&1)){c=a;return c|0}else{c=f[a+4>>2]|0;return c|0}return 0}function vYb(a){a=a|0;return f[a+4>>2]|0}function wYb(a){a=a|0;var b=0,c=0;b=a+8|0;if(f[b>>2]&3|0){c=a+16|0;f[c>>2]=0;f[c+4>>2]=0}f[b>>2]=0;b=f[a+4>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;ebc(a);return}function xYb(a){a=a|0;return 1}function yYb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;d=c+4|0;e=a+8|0;g=a+16|0;h=a+20|0;i=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[d>>2]|0)>>>0){j=b[a>>0]|0;k=j&255;if(j<<24>>24>0){f[c>>2]=a+1;l=k;m=6}else{n=k;m=5}}else{n=0;m=5}if((m|0)==5){m=0;k=OJb(c,n)|0;if((k+-1|0)>>>0<127){l=k;m=6}else o=k}b:do if((m|0)==6){m=0;switch(l>>>3&536870911|0){case 1:{if((l&255|0)!=8){o=l;break b}f[e>>2]=f[e>>2]|1;k=f[c>>2]|0;if(k>>>0<(f[d>>2]|0)>>>0){a=b[k>>0]|0;j=a&255;if(a<<24>>24>-1){f[c>>2]=k+1;p=j}else{q=j;m=11}}else{q=0;m=11}if((m|0)==11){m=0;j=zJb(c,q)|0;k=J;if((k|0)>-1|(k|0)==-1&j>>>0>4294967295)p=j;else{r=0;m=24;break a}}f[g>>2]=p;continue a;break}case 2:{if((l&255|0)!=16){o=l;break b}f[e>>2]=f[e>>2]|2;j=f[c>>2]|0;if(j>>>0<(f[d>>2]|0)>>>0){k=b[j>>0]|0;a=k&255;if(k<<24>>24>-1){f[c>>2]=j+1;s=a}else{t=a;m=17}}else{t=0;m=17}if((m|0)==17){m=0;a=zJb(c,t)|0;j=J;if((j|0)>-1|(j|0)==-1&a>>>0>4294967295)s=a;else{r=0;m=24;break a}}f[h>>2]=s;continue a;break}default:{o=l;break b}}}while(0);if(!o){r=1;m=24;break}a=f[i>>2]|0;if(!(a&1))u=OOa(i)|0;else u=a&-2;if(!(xbc(c,o,u)|0)){r=0;m=24;break}}if((m|0)==24)return r|0;return 0}function zYb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=Dbc(b&-2)|0;b=f[a+8>>2]|0;if(!(b&3)){d=c;e=a+12|0;f[e>>2]=d;return d|0}if(!(b&1))g=c;else{h=f[a+16>>2]|0;if((h|0)<0)i=11;else i=((((($(h|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;g=i+c|0}if(!(b&2)){d=g;e=a+12|0;f[e>>2]=d;return d|0}b=f[a+20>>2]|0;if((b|0)<0)j=11;else j=((((($(b|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;d=j+g|0;e=a+12|0;f[e>>2]=d;return d|0}function AYb(a,b){a=a|0;b=b|0;var c=0;c=f[a+8>>2]|0;if(c&1|0)GLb(1,f[a+16>>2]|0,b);if(c&2|0)GLb(2,f[a+20>>2]|0,b);c=f[a+4>>2]|0;if(!(c&1))return;Abc(c&-2,b);return}function BYb(a){a=a|0;return f[a+12>>2]|0}function CYb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;c=f[a+8>>2]|0;if(!(c&1))e=d;else{g=f[a+16>>2]|0;b[d>>0]=8;h=d+1|0;d=g&255;if(g>>>0>127){i=h;j=d;k=g;l=((g|0)<0)<<31>>31;while(1){b[i>>0]=j|-128;g=k;k=pzc(k|0,l|0,7)|0;m=i+1|0;n=k&255;if(!(l>>>0>0|(l|0)==0&g>>>0>16383)){o=m;p=n;break}else{i=m;j=n;l=J}}}else{o=h;p=d}b[o>>0]=p;e=o+1|0}if(!(c&2))q=e;else{c=f[a+20>>2]|0;b[e>>0]=16;o=e+1|0;e=c&255;if(c>>>0>127){p=o;d=e;h=c;l=((c|0)<0)<<31>>31;while(1){b[p>>0]=d|-128;c=h;h=pzc(h|0,l|0,7)|0;j=p+1|0;i=h&255;if(!(l>>>0>0|(l|0)==0&c>>>0>16383)){r=j;s=i;break}else{p=j;d=i;l=J}}}else{r=o;s=e}b[r>>0]=s;q=r+1|0}r=f[a+4>>2]|0;if(!(r&1)){t=q;return t|0}t=Bbc(r&-2,q)|0;return t|0}function DYb(a,b){a=a|0;b=b|0;var c=0,d=0;if((a|0)==(b|0))return;c=a+8|0;if(f[c>>2]&3|0){d=a+16|0;f[d>>2]=0;f[d+4>>2]=0}f[c>>2]=0;c=f[a+4>>2]|0;if(c&1|0?(d=c&-2,f[d>>2]|0):0)ebc(d);EYb(a,b);return}function EYb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=ovc(b,24728,24384,0)|0;if(!c){A9b(b,a);return}b=a+4|0;d=f[c+4>>2]|0;if(d&1|0){e=f[b>>2]|0;if(!(e&1))g=OOa(b)|0;else g=e&-2;hbc(g,d&-2)}d=f[c+8>>2]|0;if(!(d&3))return;if(d&1|0)f[a+16>>2]=f[c+16>>2];if(d&2|0)f[a+20>>2]=f[c+20>>2];c=a+8|0;f[c>>2]=f[c>>2]|d;return}function FYb(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function GYb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224998]|0)!=2){f[d>>2]=151624;f[d+4>>2]=135;b[d+8>>0]=0;xLb(899992,d);QKb(d)}d=544464;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function HYb(a,b){a=a|0;b=b|0;QXb(b,a);return}function IYb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0;c=u;u=u+16|0;d=c;f[a>>2]=156080;f[a+4>>2]=0;f[a+8>>2]=0;e=(a|0)==543448;g=a+16|0;h=g+48|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));if(!e?(f[225009]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=146;b[d+8>>0]=0;xLb(900036,d);QKb(d)}f[a+12>>2]=0;f[a+64>>2]=542896;f[a+68>>2]=0;u=c;return}function JYb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0;d=u;u=u+16|0;e=d;f[a>>2]=156080;f[a+4>>2]=c;f[a+8>>2]=0;f[a+16>>2]=c;f[a+20>>2]=0;f[a+24>>2]=0;f[a+28>>2]=0;f[a+32>>2]=c;f[a+36>>2]=0;f[a+40>>2]=0;f[a+44>>2]=0;f[a+48>>2]=c;f[a+52>>2]=0;f[a+56>>2]=0;f[a+60>>2]=0;if((f[225009]|0)==2){g=a+12|0;f[g>>2]=0;h=a+64|0;f[h>>2]=542896;i=a+68|0;f[i>>2]=0;u=d;return}f[e>>2]=151624;f[e+4>>2]=146;b[e+8>>0]=0;xLb(900036,e);QKb(e);g=a+12|0;f[g>>2]=0;h=a+64|0;f[h>>2]=542896;i=a+68|0;f[i>>2]=0;u=d;return}function KYb(a){a=a|0;var c=0,d=0;f[a>>2]=156296;c=f[a+16>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}if((a|0)!=543400?(c=f[a+20>>2]|0,c|0):0)bi[f[(f[c>>2]|0)+4>>2]&2047](c);c=a+4|0;a=f[c>>2]|0;if(!(a&1)){f[c>>2]=0;return}d=a&-2;a=d;if((d|0)==0|(f[a+4>>2]|0)!=0){f[c>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(d);f[c>>2]=0;return}function LYb(a){a=a|0;KYb(a);fuc(a);return}function MYb(a){a=a|0;a=cuc(24)|0;bZb(a);return a|0}function NYb(a,b){a=a|0;b=b|0;var c=0;if(!b){a=cuc(24)|0;bZb(a);c=a;return c|0}if(f[b+64>>2]|0)HIb(b,24400,24);a=FIb(b,24)|0;cZb(a,b);c=a;return c|0}function OYb(a){a=a|0;var b=0,c=0;b=f[a+4>>2]|0;a=b&-2;if(!(b&1)){c=a;return c|0}else{c=f[a+4>>2]|0;return c|0}return 0}function PYb(a){a=a|0;return f[a+4>>2]|0}function QYb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0;c=a+8|0;d=f[c>>2]|0;if(d&3|0){do if(d&1|0?(e=f[a+16>>2]|0,(e|0)!=542896):0){g=e+11|0;if((b[g>>0]|0)<0){b[f[e>>2]>>0]=0;f[e+4>>2]=0;break}else{b[e>>0]=0;b[g>>0]=0;break}}while(0);if(d&2|0){d=f[a+20>>2]|0;wdc(d+4|0);g=d+36|0;e=f[g>>2]|0;if((e|0)>0){h=f[d+44>>2]|0;i=0;do{YSb(f[h+4+(i<<2)>>2]|0);i=i+1|0}while((i|0)!=(e|0));f[g>>2]=0}f[d+24>>2]=0;g=f[d+20>>2]|0;if(g&1|0?(d=g&-2,f[d>>2]|0):0)ebc(d)}}f[c>>2]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;ebc(a);return}function RYb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0;if(!(f[a+8>>2]&2)){b=1;return b|0}c=f[a+20>>2]|0;if(!(Bdc(c+4|0)|0)){b=0;return b|0}a=f[c+36>>2]|0;if((a|0)<=0){b=1;return b|0}d=f[c+44>>2]|0;c=a;a:while(1){a=c;c=c+-1|0;e=f[d+4+(c<<2)>>2]|0;g=f[e+28>>2]|0;h=f[e+20>>2]|0;while(1){if((h|0)<=0)break;h=h+-1|0;if((f[(f[g+4+(h<<2)>>2]|0)+8>>2]&3|0)!=3){b=0;i=9;break a}}if((a|0)<=1){b=1;i=9;break}}if((i|0)==9)return b|0;return 0}function SYb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;d=u;u=u+16|0;e=d;g=c+4|0;h=a+8|0;i=a+16|0;j=a+4|0;k=a+20|0;l=e+4|0;a:while(1){m=f[c>>2]|0;if(m>>>0<(f[g>>2]|0)>>>0){n=b[m>>0]|0;o=n&255;if(n<<24>>24>0){f[c>>2]=m+1;p=o;q=6}else{r=o;q=5}}else{r=0;q=5}if((q|0)==5){q=0;o=OJb(c,r)|0;if((o+-1|0)>>>0<127){p=o;q=6}else s=o}b:do if((q|0)==6){q=0;switch(p>>>3&536870911|0){case 1:{if((p&255|0)!=10){s=p;break b}f[h>>2]=f[h>>2]|1;o=f[j>>2]|0;m=o&-2;if(!(o&1))t=m;else t=f[m+4>>2]|0;m=f[i>>2]|0;if((m|0)==542896){QGa(i,t,542896);v=f[i>>2]|0}else v=m;if($Lb(c,v)|0)continue a;else{w=0;q=30;break a}break}case 2:break;default:{s=p;break b}}if((p&255|0)==18){f[h>>2]=f[h>>2]|2;m=f[k>>2]|0;if(!m){aZb(a);x=f[k>>2]|0}else x=m;m=f[c>>2]|0;if(m>>>0<(f[g>>2]|0)>>>0?(o=b[m>>0]|0,o<<24>>24>-1):0){f[c>>2]=m+1;y=o&255}else{o=NJb(c)|0;if((o|0)>-1)y=o;else{w=0;q=30;break a}}yJb(e,c,y);if((f[l>>2]|0)<0){q=23;break a}if(!(Th[f[(f[x>>2]|0)+44>>2]&1023](x,c)|0)){q=23;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{w=0;q=30;break a}}else s=p}while(0);if(!s){w=1;q=30;break}o=f[j>>2]|0;if(!(o&1))z=OOa(j)|0;else z=o&-2;if(!(xbc(c,s,z)|0)){w=0;q=30;break}}if((q|0)==23){w=0;u=d;return w|0}else if((q|0)==30){u=d;return w|0}return 0}function TYb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=f[a+4>>2]|0;if(!(c&1))d=0;else d=Dbc(c&-2)|0;c=f[a+8>>2]|0;if(!(c&3)){e=d;g=a+12|0;f[g>>2]=e;return e|0}if(!(c&1))h=d;else{i=f[a+16>>2]|0;j=b[i+11>>0]|0;k=j<<24>>24<0?f[i+4>>2]|0:j&255;h=d+1+k+((((($(k|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(c&2)){e=h;g=a+12|0;f[g>>2]=e;return e|0}c=f[a+20>>2]|0;k=di[f[(f[c>>2]|0)+48>>2]&1023](c)|0;e=h+1+k+((((($(k|1|0)|0)^31)*9|0)+73|0)>>>6)|0;g=a+12|0;f[g>>2]=e;return e|0}function UYb(a,b){a=a|0;b=b|0;var c=0;c=f[a+8>>2]|0;if(c&1|0)VLb(1,f[a+16>>2]|0,b);if(c&2|0)_Lb(2,f[a+20>>2]|0,b);c=f[a+4>>2]|0;if(!(c&1))return;Abc(c&-2,b);return}function VYb(a){a=a|0;return f[a+12>>2]|0}function WYb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;e=f[a+8>>2]|0;if(!(e&1))g=d;else{h=f[a+16>>2]|0;b[d>>0]=10;g=XJb(h,d+1|0)|0}if(!(e&2))i=g;else{e=f[a+20>>2]|0;b[g>>0]=18;d=g+1|0;g=di[f[(f[e>>2]|0)+60>>2]&1023](e)|0;if(g>>>0>127){h=g;j=d;while(1){b[j>>0]=h|128;k=h>>>7;l=j+1|0;if(h>>>0>16383){h=k;j=l}else{m=l;n=k;break}}}else{m=d;n=g}b[m>>0]=n;i=li[f[(f[e>>2]|0)+64>>2]&511](e,c,m+1|0)|0}m=f[a+4>>2]|0;if(!(m&1)){o=i;return o|0}o=Bbc(m&-2,i)|0;return o|0}function XYb(a,b){a=a|0;b=b|0;var c=0;if((a|0)==(b|0))return;QYb(a);c=ovc(b,24728,24400,0)|0;if(!c){A9b(b,a);return}else{$Yb(a,c);return}}function YYb(a,b){a=a|0;b=b|0;var c=0;c=ovc(b,24728,24400,0)|0;if(!c){A9b(b,a);return}else{$Yb(a,c);return}}function ZYb(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function _Yb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224998]|0)!=2){f[d>>2]=151624;f[d+4>>2]=135;b[d+8>>0]=0;xLb(899992,d);QKb(d)}d=544456;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function $Yb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;c=a+4|0;d=f[b+4>>2]|0;if(d&1|0){e=f[c>>2]|0;if(!(e&1))g=OOa(c)|0;else g=e&-2;hbc(g,d&-2)}d=f[b+8>>2]|0;if(!(d&3))return;do if(d&1|0){g=f[b+16>>2]|0;e=a+8|0;f[e>>2]=f[e>>2]|1;e=a+16|0;h=f[c>>2]|0;i=h&-2;if(!(h&1))j=i;else j=f[i+4>>2]|0;i=f[e>>2]|0;if((i|0)==542896){QGa(e,j,g);break}else{ruc(i,g)|0;break}}while(0);if(!(d&2))return;d=a+8|0;f[d>>2]=f[d>>2]|2;d=a+20|0;j=f[d>>2]|0;if(!j){aZb(a);k=f[d>>2]|0}else k=j;j=f[b+20>>2]|0;b=j|0?j:543848;xdc(k+4|0,b+4|0);j=k+20|0;d=f[b+20>>2]|0;if(d&1|0){a=f[j>>2]|0;if(!(a&1))l=OOa(j)|0;else l=a&-2;hbc(l,d&-2)}_Tb(k+32|0,b+32|0);return}function aZb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=f[a+4>>2]|0;c=b&-2;if(!(b&1))d=c;else d=f[c+4>>2]|0;if(!d){c=cuc(48)|0;yVb(c);e=c;g=a+20|0;f[g>>2]=e;return}if(f[d+64>>2]|0)HIb(d,24256,48);c=FIb(d,48)|0;zVb(c,d);e=c;g=a+20|0;f[g>>2]=e;return}function bZb(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=156296;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=543400?(f[225007]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=144;b[d+8>>0]=0;xLb(900028,d);QKb(d)}f[a+12>>2]=0;f[a+16>>2]=542896;f[a+20>>2]=0;u=c;return}function cZb(a,c){a=a|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;f[a>>2]=156296;f[a+4>>2]=c;f[a+8>>2]=0;if((f[225007]|0)!=2){f[e>>2]=151624;f[e+4>>2]=144;b[e+8>>0]=0;xLb(900028,e);QKb(e)}f[a+12>>2]=0;f[a+16>>2]=542896;f[a+20>>2]=0;u=d;return}function dZb(a){a=a|0;var b=0,c=0;f[a>>2]=156404;yZb(a);b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(c);f[b>>2]=0;return}function eZb(a){a=a|0;dZb(a);fuc(a);return}function fZb(a){a=a|0;a=cuc(56)|0;wZb(a);return a|0}function gZb(a,b){a=a|0;b=b|0;var c=0;if(!b){a=cuc(56)|0;wZb(a);c=a;return c|0}if(f[b+64>>2]|0)HIb(b,24416,56);a=FIb(b,56)|0;xZb(a,b);c=a;return c|0}function hZb(a){a=a|0;var b=0,c=0;b=f[a+4>>2]|0;a=b&-2;if(!(b&1)){c=a;return c|0}else{c=f[a+4>>2]|0;return c|0}return 0}function iZb(a){a=a|0;return f[a+4>>2]|0}function jZb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0;c=a+8|0;d=f[c>>2]|0;if(d&63|0){do if(d&1|0?(e=f[a+16>>2]|0,(e|0)!=542896):0){g=e+11|0;if((b[g>>0]|0)<0){b[f[e>>2]>>0]=0;f[e+4>>2]=0;break}else{b[e>>0]=0;b[g>>0]=0;break}}while(0);do if(d&2|0?(g=f[a+20>>2]|0,(g|0)!=542896):0){e=g+11|0;if((b[e>>0]|0)<0){b[f[g>>2]>>0]=0;f[g+4>>2]=0;break}else{b[g>>0]=0;b[e>>0]=0;break}}while(0);do if(d&4|0?(e=f[a+24>>2]|0,(e|0)!=542896):0){g=e+11|0;if((b[g>>0]|0)<0){b[f[e>>2]>>0]=0;f[e+4>>2]=0;break}else{b[e>>0]=0;b[g>>0]=0;break}}while(0);do if(d&8|0?(g=f[a+28>>2]|0,(g|0)!=542896):0){e=g+11|0;if((b[e>>0]|0)<0){b[f[g>>2]>>0]=0;f[g+4>>2]=0;break}else{b[g>>0]=0;b[e>>0]=0;break}}while(0);do if(d&16|0?(e=f[a+32>>2]|0,(e|0)!=542896):0){g=e+11|0;if((b[g>>0]|0)<0){b[f[e>>2]>>0]=0;f[e+4>>2]=0;break}else{b[e>>0]=0;b[g>>0]=0;break}}while(0);if(d&32|0){g=f[a+36>>2]|0;wdc(g+4|0);e=g+36|0;h=f[e>>2]|0;if((h|0)>0){i=f[g+44>>2]|0;j=0;do{YSb(f[i+4+(j<<2)>>2]|0);j=j+1|0}while((j|0)!=(h|0));f[e>>2]=0}e=g+24|0;if(f[e>>2]&63|0){h=g+48|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0}f[e>>2]=0;e=f[g+20>>2]|0;if(e&1|0?(g=e&-2,f[g>>2]|0):0)ebc(g)}}if(d&192|0){g=a+40|0;f[g>>2]=0;f[g+4>>2]=0}if(d&768|0){f[a+48>>2]=1;f[a+52>>2]=1}f[c>>2]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;ebc(a);return}function kZb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0;if(!(f[a+8>>2]&32)){b=1;return b|0}c=f[a+36>>2]|0;if(!(Bdc(c+4|0)|0)){b=0;return b|0}a=f[c+36>>2]|0;if((a|0)<=0){b=1;return b|0}d=f[c+44>>2]|0;c=a;a:while(1){a=c;c=c+-1|0;e=f[d+4+(c<<2)>>2]|0;g=f[e+28>>2]|0;h=f[e+20>>2]|0;while(1){if((h|0)<=0)break;h=h+-1|0;if((f[(f[g+4+(h<<2)>>2]|0)+8>>2]&3|0)!=3){b=0;i=9;break a}}if((a|0)<=1){b=1;i=9;break}}if((i|0)==9)return b|0;return 0}function lZb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0;d=u;u=u+16|0;e=d;g=c+4|0;h=a+8|0;i=a+16|0;j=a+4|0;k=a+20|0;l=a+40|0;m=a+48|0;n=a+52|0;o=a+24|0;p=a+28|0;q=a+36|0;r=e+4|0;s=a+44|0;t=a+32|0;a:while(1){v=f[c>>2]|0;if(v>>>0<(f[g>>2]|0)>>>0){w=b[v>>0]|0;x=w&255;if(w<<24>>24>0){f[c>>2]=v+1;y=x;z=6}else{A=x;z=5}}else{A=0;z=5}if((z|0)==5){z=0;x=OJb(c,A)|0;if((x+-1|0)>>>0<127){y=x;z=6}else B=x}b:do if((z|0)==6){z=0;do switch(y>>>3&536870911|0){case 1:{if((y&255|0)!=10){B=y;break b}f[h>>2]=f[h>>2]|1;x=f[j>>2]|0;v=x&-2;if(!(x&1))C=v;else C=f[v+4>>2]|0;v=f[i>>2]|0;if((v|0)==542896){QGa(i,C,542896);D=f[i>>2]|0}else D=v;if($Lb(c,D)|0)continue a;else{E=0;z=92;break a}break}case 2:{if((y&255|0)!=18){B=y;break b}f[h>>2]=f[h>>2]|2;v=f[j>>2]|0;x=v&-2;if(!(v&1))F=x;else F=f[x+4>>2]|0;x=f[k>>2]|0;if((x|0)==542896){QGa(k,F,542896);G=f[k>>2]|0}else G=x;if($Lb(c,G)|0)continue a;else{E=0;z=92;break a}break}case 3:{if((y&255|0)!=24){B=y;break b}f[h>>2]=f[h>>2]|64;x=f[c>>2]|0;if(x>>>0<(f[g>>2]|0)>>>0){v=b[x>>0]|0;w=v&255;if(v<<24>>24>-1){f[c>>2]=x+1;H=w}else{I=w;z=25}}else{I=0;z=25}if((z|0)==25){z=0;w=zJb(c,I)|0;x=J;if((x|0)>-1|(x|0)==-1&w>>>0>4294967295)H=w;else{E=0;z=92;break a}}f[l>>2]=H;continue a;break}case 4:{if((y&255|0)!=32){B=y;break b}w=f[c>>2]|0;if(w>>>0<(f[g>>2]|0)>>>0){x=b[w>>0]|0;v=x&255;if(x<<24>>24>-1){f[c>>2]=w+1;K=v}else{L=v;z=31}}else{L=0;z=31}if((z|0)==31){z=0;v=zJb(c,L)|0;w=J;if((w|0)>-1|(w|0)==-1&v>>>0>4294967295)K=v;else{E=0;z=92;break a}}if((K+-1|0)>>>0<3){f[h>>2]=f[h>>2]|256;f[m>>2]=K;continue a}v=f[j>>2]|0;if(!(v&1))M=OOa(j)|0;else M=v&-2;kbc(M,4,K,((K|0)<0)<<31>>31);continue a;break}case 5:{if((y&255|0)!=40){B=y;break b}v=f[c>>2]|0;if(v>>>0<(f[g>>2]|0)>>>0){w=b[v>>0]|0;x=w&255;if(w<<24>>24>-1){f[c>>2]=v+1;N=x}else{O=x;z=42}}else{O=0;z=42}if((z|0)==42){z=0;x=zJb(c,O)|0;v=J;if((v|0)>-1|(v|0)==-1&x>>>0>4294967295)N=x;else{E=0;z=92;break a}}if((N+-1|0)>>>0<18){f[h>>2]=f[h>>2]|512;f[n>>2]=N;continue a}x=f[j>>2]|0;if(!(x&1))P=OOa(j)|0;else P=x&-2;kbc(P,5,N,((N|0)<0)<<31>>31);continue a;break}case 6:{if((y&255|0)!=50){B=y;break b}f[h>>2]=f[h>>2]|4;x=f[j>>2]|0;v=x&-2;if(!(x&1))Q=v;else Q=f[v+4>>2]|0;v=f[o>>2]|0;if((v|0)==542896){QGa(o,Q,542896);R=f[o>>2]|0}else R=v;if($Lb(c,R)|0)continue a;else{E=0;z=92;break a}break}case 7:{if((y&255|0)!=58){B=y;break b}f[h>>2]=f[h>>2]|8;v=f[j>>2]|0;x=v&-2;if(!(v&1))S=x;else S=f[x+4>>2]|0;x=f[p>>2]|0;if((x|0)==542896){QGa(p,S,542896);T=f[p>>2]|0}else T=x;if($Lb(c,T)|0)continue a;else{E=0;z=92;break a}break}case 8:{if((y&255|0)!=66){B=y;break b}f[h>>2]=f[h>>2]|32;x=f[q>>2]|0;if(!x){vZb(a);U=f[q>>2]|0}else U=x;x=f[c>>2]|0;if(x>>>0<(f[g>>2]|0)>>>0?(v=b[x>>0]|0,v<<24>>24>-1):0){f[c>>2]=x+1;V=v&255}else{v=NJb(c)|0;if((v|0)>-1)V=v;else{E=0;z=92;break a}}yJb(e,c,V);if((f[r>>2]|0)<0){z=72;break a}if(!(Th[f[(f[U>>2]|0)+44>>2]&1023](U,c)|0)){z=72;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{E=0;z=92;break a}break}case 9:{if((y&255|0)!=72){B=y;break b}f[h>>2]=f[h>>2]|128;v=f[c>>2]|0;if(v>>>0<(f[g>>2]|0)>>>0){x=b[v>>0]|0;w=x&255;if(x<<24>>24>-1){f[c>>2]=v+1;W=w}else{X=w;z=78}}else{X=0;z=78}if((z|0)==78){z=0;w=zJb(c,X)|0;v=J;if((v|0)>-1|(v|0)==-1&w>>>0>4294967295)W=w;else{E=0;z=92;break a}}f[s>>2]=W;continue a;break}case 10:{if((y&255|0)!=82){B=y;break b}f[h>>2]=f[h>>2]|16;w=f[j>>2]|0;v=w&-2;if(!(w&1))Y=v;else Y=f[v+4>>2]|0;v=f[t>>2]|0;if((v|0)==542896){QGa(t,Y,542896);Z=f[t>>2]|0}else Z=v;if($Lb(c,Z)|0)continue a;else{E=0;z=92;break a}break}default:{B=y;break b}}while(0)}while(0);if(!B){E=1;z=92;break}v=f[j>>2]|0;if(!(v&1))_=OOa(j)|0;else _=v&-2;if(!(xbc(c,B,_)|0)){E=0;z=92;break}}if((z|0)==72){E=0;u=d;return E|0}else if((z|0)==92){u=d;return E|0}return 0}function mZb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;c=f[a+4>>2]|0;if(!(c&1))d=0;else d=Dbc(c&-2)|0;c=a+8|0;e=f[c>>2]|0;if(e&255){if(!(e&1))g=d;else{h=f[a+16>>2]|0;i=b[h+11>>0]|0;j=i<<24>>24<0?f[h+4>>2]|0:i&255;g=d+1+j+((((($(j|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(e&2))k=g;else{j=f[a+20>>2]|0;i=b[j+11>>0]|0;h=i<<24>>24<0?f[j+4>>2]|0:i&255;k=g+1+h+((((($(h|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(e&4))l=k;else{h=f[a+24>>2]|0;g=b[h+11>>0]|0;i=g<<24>>24<0?f[h+4>>2]|0:g&255;l=k+1+i+((((($(i|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(e&8))m=l;else{i=f[a+28>>2]|0;k=b[i+11>>0]|0;g=k<<24>>24<0?f[i+4>>2]|0:k&255;m=l+1+g+((((($(g|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(e&16))n=m;else{g=f[a+32>>2]|0;l=b[g+11>>0]|0;k=l<<24>>24<0?f[g+4>>2]|0:l&255;n=m+1+k+((((($(k|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(e&32)){o=n;p=e}else{k=f[a+36>>2]|0;m=di[f[(f[k>>2]|0)+48>>2]&1023](k)|0;k=n+1+m+((((($(m|1|0)|0)^31)*9|0)+73|0)>>>6)|0;o=k;p=f[c>>2]|0}if(!(p&64))q=o;else{c=f[a+40>>2]|0;if((c|0)<0)r=11;else r=((((($(c|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;q=r+o|0}if(!(p&128)){s=q;t=p}else{o=f[a+44>>2]|0;if((o|0)<0)u=11;else u=((((($(o|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;s=u+q|0;t=p}}else{s=d;t=e}if(!(t&768)){v=s;w=a+12|0;f[w>>2]=v;return v|0}if(!(t&256))x=s;else{e=f[a+48>>2]|0;if((e|0)<0)y=11;else y=((((($(e|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;x=y+s|0}if(!(t&512)){v=x;w=a+12|0;f[w>>2]=v;return v|0}t=f[a+52>>2]|0;if((t|0)<0)z=11;else z=((((($(t|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;v=z+x|0;w=a+12|0;f[w>>2]=v;return v|0}function nZb(a,b){a=a|0;b=b|0;var c=0;c=f[a+8>>2]|0;if(c&1|0)VLb(1,f[a+16>>2]|0,b);if(c&2|0)VLb(2,f[a+20>>2]|0,b);if(c&64|0)GLb(3,f[a+40>>2]|0,b);if(c&256|0)TLb(4,f[a+48>>2]|0,b);if(c&512|0)TLb(5,f[a+52>>2]|0,b);if(c&4|0)VLb(6,f[a+24>>2]|0,b);if(c&8|0)VLb(7,f[a+28>>2]|0,b);if(c&32|0)_Lb(8,f[a+36>>2]|0,b);if(c&128|0)GLb(9,f[a+44>>2]|0,b);if(c&16|0)VLb(10,f[a+32>>2]|0,b);c=f[a+4>>2]|0;if(!(c&1))return;Abc(c&-2,b);return}function oZb(a){a=a|0;return f[a+12>>2]|0}function pZb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;e=f[a+8>>2]|0;if(!(e&1))g=d;else{h=f[a+16>>2]|0;b[d>>0]=10;g=XJb(h,d+1|0)|0}if(!(e&2))i=g;else{d=f[a+20>>2]|0;b[g>>0]=18;i=XJb(d,g+1|0)|0}if(!(e&64))j=i;else{g=f[a+40>>2]|0;b[i>>0]=24;d=i+1|0;i=g&255;if(g>>>0>127){h=d;k=i;l=g;m=((g|0)<0)<<31>>31;while(1){b[h>>0]=k|-128;g=l;l=pzc(l|0,m|0,7)|0;n=h+1|0;o=l&255;if(!(m>>>0>0|(m|0)==0&g>>>0>16383)){p=n;q=o;break}else{h=n;k=o;m=J}}}else{p=d;q=i}b[p>>0]=q;j=p+1|0}if(!(e&256))r=j;else{p=f[a+48>>2]|0;b[j>>0]=32;q=j+1|0;j=p&255;if(p>>>0>127){i=q;d=j;m=p;k=((p|0)<0)<<31>>31;while(1){b[i>>0]=d|-128;p=m;m=pzc(m|0,k|0,7)|0;h=i+1|0;l=m&255;if(!(k>>>0>0|(k|0)==0&p>>>0>16383)){s=h;t=l;break}else{i=h;d=l;k=J}}}else{s=q;t=j}b[s>>0]=t;r=s+1|0}if(!(e&512))u=r;else{s=f[a+52>>2]|0;b[r>>0]=40;t=r+1|0;r=s&255;if(s>>>0>127){j=t;q=r;k=s;d=((s|0)<0)<<31>>31;while(1){b[j>>0]=q|-128;s=k;k=pzc(k|0,d|0,7)|0;i=j+1|0;m=k&255;if(!(d>>>0>0|(d|0)==0&s>>>0>16383)){v=i;w=m;break}else{j=i;q=m;d=J}}}else{v=t;w=r}b[v>>0]=w;u=v+1|0}if(!(e&4))x=u;else{v=f[a+24>>2]|0;b[u>>0]=50;x=XJb(v,u+1|0)|0}if(!(e&8))y=x;else{u=f[a+28>>2]|0;b[x>>0]=58;y=XJb(u,x+1|0)|0}if(!(e&32))z=y;else{x=f[a+36>>2]|0;b[y>>0]=66;u=y+1|0;y=di[f[(f[x>>2]|0)+60>>2]&1023](x)|0;if(y>>>0>127){v=y;w=u;while(1){b[w>>0]=v|128;r=v>>>7;t=w+1|0;if(v>>>0>16383){v=r;w=t}else{A=t;B=r;break}}}else{A=u;B=y}b[A>>0]=B;z=li[f[(f[x>>2]|0)+64>>2]&511](x,c,A+1|0)|0}if(!(e&128))C=z;else{A=f[a+44>>2]|0;b[z>>0]=72;c=z+1|0;z=A&255;if(A>>>0>127){x=c;B=z;y=A;u=((A|0)<0)<<31>>31;while(1){b[x>>0]=B|-128;A=y;y=pzc(y|0,u|0,7)|0;w=x+1|0;v=y&255;if(!(u>>>0>0|(u|0)==0&A>>>0>16383)){D=w;E=v;break}else{x=w;B=v;u=J}}}else{D=c;E=z}b[D>>0]=E;C=D+1|0}if(!(e&16))F=C;else{e=f[a+32>>2]|0;b[C>>0]=82;F=XJb(e,C+1|0)|0}C=f[a+4>>2]|0;if(!(C&1)){G=F;return G|0}G=Bbc(C&-2,F)|0;return G|0}function qZb(a,b){a=a|0;b=b|0;var c=0;if((a|0)==(b|0))return;jZb(a);c=ovc(b,24728,24416,0)|0;if(!c){A9b(b,a);return}else{uZb(a,c);return}}function rZb(a,b){a=a|0;b=b|0;var c=0;c=ovc(b,24728,24416,0)|0;if(!c){A9b(b,a);return}else{uZb(a,c);return}}function sZb(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function tZb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224998]|0)!=2){f[d>>2]=151624;f[d+4>>2]=135;b[d+8>>0]=0;xLb(899992,d);QKb(d)}d=544448;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function uZb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;c=a+4|0;d=f[b+4>>2]|0;if(d&1|0){e=f[c>>2]|0;if(!(e&1))g=OOa(c)|0;else g=e&-2;hbc(g,d&-2)}d=f[b+8>>2]|0;if(d&255|0){do if(d&1|0){g=f[b+16>>2]|0;e=a+8|0;f[e>>2]=f[e>>2]|1;e=a+16|0;h=f[c>>2]|0;i=h&-2;if(!(h&1))j=i;else j=f[i+4>>2]|0;i=f[e>>2]|0;if((i|0)==542896){QGa(e,j,g);break}else{ruc(i,g)|0;break}}while(0);do if(d&2|0){j=f[b+20>>2]|0;g=a+8|0;f[g>>2]=f[g>>2]|2;g=a+20|0;i=f[c>>2]|0;e=i&-2;if(!(i&1))k=e;else k=f[e+4>>2]|0;e=f[g>>2]|0;if((e|0)==542896){QGa(g,k,j);break}else{ruc(e,j)|0;break}}while(0);do if(d&4|0){k=f[b+24>>2]|0;j=a+8|0;f[j>>2]=f[j>>2]|4;j=a+24|0;e=f[c>>2]|0;g=e&-2;if(!(e&1))l=g;else l=f[g+4>>2]|0;g=f[j>>2]|0;if((g|0)==542896){QGa(j,l,k);break}else{ruc(g,k)|0;break}}while(0);do if(d&8|0){l=f[b+28>>2]|0;k=a+8|0;f[k>>2]=f[k>>2]|8;k=a+28|0;g=f[c>>2]|0;j=g&-2;if(!(g&1))m=j;else m=f[j+4>>2]|0;j=f[k>>2]|0;if((j|0)==542896){QGa(k,m,l);break}else{ruc(j,l)|0;break}}while(0);do if(d&16|0){m=f[b+32>>2]|0;l=a+8|0;f[l>>2]=f[l>>2]|16;l=a+32|0;j=f[c>>2]|0;k=j&-2;if(!(j&1))n=k;else n=f[k+4>>2]|0;k=f[l>>2]|0;if((k|0)==542896){QGa(l,n,m);break}else{ruc(k,m)|0;break}}while(0);if(d&32|0){n=a+8|0;f[n>>2]=f[n>>2]|32;n=a+36|0;c=f[n>>2]|0;if(!c){vZb(a);o=f[n>>2]|0}else o=c;c=f[b+36>>2]|0;RVb(o,c|0?c:543784)}if(d&64|0)f[a+40>>2]=f[b+40>>2];if(d&128|0)f[a+44>>2]=f[b+44>>2];c=a+8|0;f[c>>2]=f[c>>2]|d}if(!(d&768))return;if(d&256|0)f[a+48>>2]=f[b+48>>2];if(d&512|0)f[a+52>>2]=f[b+52>>2];b=a+8|0;f[b>>2]=f[b>>2]|d;return}function vZb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=f[a+4>>2]|0;c=b&-2;if(!(b&1))d=c;else d=f[c+4>>2]|0;if(!d){c=cuc(60)|0;SVb(c);e=c;g=a+36|0;f[g>>2]=e;return}if(f[d+64>>2]|0)HIb(d,24272,64);c=FIb(d,64)|0;TVb(c,d);e=c;g=a+36|0;f[g>>2]=e;return}function wZb(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=156404;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=543344?(f[225006]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=143;b[d+8>>0]=0;xLb(900024,d);QKb(d)}f[a+12>>2]=0;f[a+16>>2]=542896;f[a+20>>2]=542896;f[a+24>>2]=542896;f[a+28>>2]=542896;f[a+32>>2]=542896;d=a+36|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[a+48>>2]=1;f[a+52>>2]=1;u=c;return}function xZb(a,c){a=a|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;f[a>>2]=156404;f[a+4>>2]=c;f[a+8>>2]=0;if((f[225006]|0)!=2){f[e>>2]=151624;f[e+4>>2]=143;b[e+8>>0]=0;xLb(900024,e);QKb(e)}f[a+12>>2]=0;f[a+16>>2]=542896;f[a+20>>2]=542896;f[a+24>>2]=542896;f[a+28>>2]=542896;f[a+32>>2]=542896;e=a+36|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[a+48>>2]=1;f[a+52>>2]=1;u=d;return}function yZb(a){a=a|0;var c=0;c=f[a+16>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}c=f[a+20>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}c=f[a+24>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}c=f[a+28>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}c=f[a+32>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}if((a|0)==543344)return;c=f[a+36>>2]|0;if(!c)return;bi[f[(f[c>>2]|0)+4>>2]&2047](c);return}function zZb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0;f[a>>2]=156512;b=a+44|0;c=f[b>>2]|0;if(c|0?(f[a+32>>2]|0)==0:0){d=f[c>>2]|0;if((d|0)>0){e=0;do{g=f[c+4+(e<<2)>>2]|0;if(g|0)bi[f[(f[g>>2]|0)+4>>2]&2047](g);e=e+1|0}while((e|0)!=(d|0));h=f[b>>2]|0}else h=c;fuc(h)}f[b>>2]=0;b=a+20|0;h=f[b>>2]|0;if(h&1|0?(c=h&-2,h=c,!((c|0)==0|(f[h+4>>2]|0)!=0)):0){if(f[h>>2]|0)ebc(h);fuc(c)}f[b>>2]=0;gcc(a+4|0);return}function AZb(a){a=a|0;zZb(a);fuc(a);return}function BZb(a){a=a|0;a=cuc(48)|0;QZb(a);return a|0}function CZb(a,b){a=a|0;b=b|0;var c=0;if(!b){a=cuc(48)|0;QZb(a);c=a;return c|0}if(f[b+64>>2]|0)HIb(b,24432,48);a=FIb(b,48)|0;RZb(a,b);c=a;return c|0}function DZb(a){a=a|0;var b=0,c=0;b=f[a+20>>2]|0;a=b&-2;if(!(b&1)){c=a;return c|0}else{c=f[a+4>>2]|0;return c|0}return 0}function EZb(a){a=a|0;return f[a+20>>2]|0}function FZb(a){a=a|0;var b=0,c=0,d=0,e=0;wdc(a+4|0);b=a+36|0;c=f[b>>2]|0;if((c|0)>0){d=f[a+44>>2]|0;e=0;do{YSb(f[d+4+(e<<2)>>2]|0);e=e+1|0}while((e|0)!=(c|0));f[b>>2]=0}f[a+24>>2]=0;b=f[a+20>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;ebc(a);return}function GZb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0;if(!(Bdc(a+4|0)|0)){b=0;return b|0}c=f[a+36>>2]|0;if((c|0)<=0){b=1;return b|0}d=f[a+44>>2]|0;a=c;a:while(1){c=a;a=a+-1|0;e=f[d+4+(a<<2)>>2]|0;g=f[e+28>>2]|0;h=f[e+20>>2]|0;while(1){if((h|0)<=0)break;h=h+-1|0;if((f[(f[g+4+(h<<2)>>2]|0)+8>>2]&3|0)!=3){b=0;i=8;break a}}if((c|0)<=1){b=1;i=8;break}}if((i|0)==8)return b|0;return 0}function HZb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;d=u;u=u+16|0;e=d;g=c+4|0;i=a+32|0;j=e+4|0;k=a+4|0;l=a+20|0;while(1){a=f[c>>2]|0;m=f[g>>2]|0;do if(a>>>0<m>>>0){n=b[a>>0]|0;o=n&255;p=a+1|0;if(n<<24>>24>0){q=p;r=o}else{if(p>>>0>=m>>>0){s=o;t=7;break}n=h[p>>0]|0;if(((n^128)&o)>>>0<=127){s=o;t=7;break}q=a+2|0;r=o+-128+(n<<7)|0}f[c>>2]=q;v=r;t=9}else{s=0;t=7}while(0);if((t|0)==7){t=0;a=OJb(c,s)|0;if((a+-1|0)>>>0<16383){v=a;t=9}else w=a}if((t|0)==9){t=0;if((v|0)==7994){a=aUb(i)|0;m=f[c>>2]|0;if(m>>>0<(f[g>>2]|0)>>>0?(n=b[m>>0]|0,n<<24>>24>-1):0){f[c>>2]=m+1;x=n&255}else{n=NJb(c)|0;if((n|0)>-1)x=n;else{y=0;t=28;break}}yJb(e,c,x);if((f[j>>2]|0)<0){t=16;break}if(!(Th[f[(f[a>>2]|0)+44>>2]&1023](a,c)|0)){t=16;break}if(DJb(c,f[e>>2]|0)|0)continue;else{y=0;t=28;break}}else w=v}if(!w){y=1;t=28;break}a=f[l>>2]|0;n=(a&1|0)==0;if(w>>>0>7999){if(n)z=OOa(l)|0;else z=a&-2;if(t1b(k,w,c,543296,z)|0)continue;else{y=0;t=28;break}}else{if(n)A=OOa(l)|0;else A=a&-2;if(xbc(c,w,A)|0)continue;else{y=0;t=28;break}}}if((t|0)==16){y=0;u=d;return y|0}else if((t|0)==28){u=d;return y|0}return 0}function IZb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0;b=Hdc(a+4|0)|0;c=f[a+20>>2]|0;if(!(c&1))d=b;else d=(Dbc(c&-2)|0)+b|0;b=f[a+36>>2]|0;c=(b<<1)+d|0;if(!b){e=c;g=a+28|0;f[g>>2]=e;return e|0}d=a+44|0;h=0;i=c;while(1){c=f[(f[d>>2]|0)+4+(h<<2)>>2]|0;j=di[f[(f[c>>2]|0)+48>>2]&1023](c)|0;c=j+i+((((($(j|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=h+1|0;if((h|0)==(b|0)){e=c;break}else i=c}g=a+28|0;f[g>>2]=e;return e|0}function JZb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=f[a+36>>2]|0;if(c|0){d=a+44|0;e=0;do{_Lb(999,f[(f[d>>2]|0)+4+(e<<2)>>2]|0,b);e=e+1|0}while((e|0)!=(c|0))}Fdc(a+4|0,1e3,536870912,b);c=f[a+20>>2]|0;if(!(c&1))return;Abc(c&-2,b);return}function KZb(a){a=a|0;return f[a+28>>2]|0}function LZb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;e=f[a+36>>2]|0;if(!e)g=d;else{h=a+44|0;i=0;j=d;while(1){d=f[(f[h>>2]|0)+4+(i<<2)>>2]|0;b[j>>0]=-70;b[j+1>>0]=62;k=j+2|0;l=di[f[(f[d>>2]|0)+60>>2]&1023](d)|0;if(l>>>0>127){m=l;n=k;while(1){b[n>>0]=m|128;o=m>>>7;p=n+1|0;if(m>>>0>16383){m=o;n=p}else{q=p;r=o;break}}}else{q=k;r=l}b[q>>0]=r;n=li[f[(f[d>>2]|0)+64>>2]&511](d,c,q+1|0)|0;i=i+1|0;if((i|0)==(e|0)){g=n;break}else j=n}}j=x1b(a+4|0,1e3,536870912,c,g)|0;g=f[a+20>>2]|0;if(!(g&1)){s=j;return s|0}s=Bbc(g&-2,j)|0;return s|0}function MZb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;if((a|0)==(b|0))return;wdc(a+4|0);c=a+36|0;d=f[c>>2]|0;if((d|0)>0){e=f[a+44>>2]|0;g=0;do{YSb(f[e+4+(g<<2)>>2]|0);g=g+1|0}while((g|0)!=(d|0));f[c>>2]=0}f[a+24>>2]=0;c=f[a+20>>2]|0;if(c&1|0?(d=c&-2,f[d>>2]|0):0)ebc(d);NZb(a,b);return}function NZb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=ovc(b,24728,24432,0)|0;if(!c){A9b(b,a);return}xdc(a+4|0,c+4|0);b=a+20|0;d=f[c+20>>2]|0;if(d&1|0){e=f[b>>2]|0;if(!(e&1))g=OOa(b)|0;else g=e&-2;hbc(g,d&-2)}_Tb(a+32|0,c+32|0);return}function OZb(a,b){a=a|0;b=b|0;f[a+28>>2]=b;return}function PZb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224998]|0)!=2){f[d>>2]=151624;f[d+4>>2]=135;b[d+8>>0]=0;xLb(899992,d);QKb(d)}d=544440;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function QZb(a){a=a|0;var c=0,d=0,e=0;c=u;u=u+16|0;d=c;f[a>>2]=156512;fcc(a+4|0);f[a+20>>2]=0;f[a+24>>2]=0;e=a+32|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((a|0)!=543296?(f[225005]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=142;b[d+8>>0]=0;xLb(900020,d);QKb(d)}f[a+28>>2]=0;u=c;return}function RZb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+16|0;e=d;f[a>>2]=156512;bcc(a+4|0,c);f[a+20>>2]=c;f[a+24>>2]=0;f[a+32>>2]=c;f[a+36>>2]=0;f[a+40>>2]=0;f[a+44>>2]=0;if((f[225005]|0)==2){g=a+28|0;f[g>>2]=0;u=d;return}f[e>>2]=151624;f[e+4>>2]=142;b[e+8>>0]=0;xLb(900020,e);QKb(e);g=a+28|0;f[g>>2]=0;u=d;return}function SZb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;f[a>>2]=156620;c=f[a+144>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}if((a|0)!=543144?(c=f[a+148>>2]|0,c|0):0)bi[f[(f[c>>2]|0)+4>>2]&2047](c);c=a+140|0;d=f[c>>2]|0;if(d|0?(f[a+128>>2]|0)==0:0){e=f[d>>2]|0;if((e|0)>0){g=0;do{h=f[d+4+(g<<2)>>2]|0;if(h|0){if((b[h+11>>0]|0)<0)fuc(f[h>>2]|0);fuc(h)}g=g+1|0}while((g|0)!=(e|0));i=f[c>>2]|0}else i=d;fuc(i)}f[c>>2]=0;c=a+124|0;i=f[c>>2]|0;if(i|0?(f[a+112>>2]|0)==0:0){d=f[i>>2]|0;if((d|0)>0){e=0;do{g=f[i+4+(e<<2)>>2]|0;if(g|0)bi[f[(f[g>>2]|0)+4>>2]&2047](g);e=e+1|0}while((e|0)!=(d|0));j=f[c>>2]|0}else j=i;fuc(j)}f[c>>2]=0;c=a+108|0;j=f[c>>2]|0;if(j|0?(f[a+96>>2]|0)==0:0){i=f[j>>2]|0;if((i|0)>0){d=0;do{e=f[j+4+(d<<2)>>2]|0;if(e|0)bi[f[(f[e>>2]|0)+4>>2]&2047](e);d=d+1|0}while((d|0)!=(i|0));k=f[c>>2]|0}else k=j;fuc(k)}f[c>>2]=0;c=a+92|0;k=f[c>>2]|0;if(k|0?(f[a+80>>2]|0)==0:0){j=f[k>>2]|0;if((j|0)>0){i=0;do{d=f[k+4+(i<<2)>>2]|0;if(d|0)bi[f[(f[d>>2]|0)+4>>2]&2047](d);i=i+1|0}while((i|0)!=(j|0));l=f[c>>2]|0}else l=k;fuc(l)}f[c>>2]=0;c=a+76|0;l=f[c>>2]|0;if(l|0?(f[a+64>>2]|0)==0:0){k=f[l>>2]|0;if((k|0)>0){j=0;do{i=f[l+4+(j<<2)>>2]|0;if(i|0)bi[f[(f[i>>2]|0)+4>>2]&2047](i);j=j+1|0}while((j|0)!=(k|0));m=f[c>>2]|0}else m=l;fuc(m)}f[c>>2]=0;c=a+60|0;m=f[c>>2]|0;if(m|0?(f[a+48>>2]|0)==0:0){l=f[m>>2]|0;if((l|0)>0){k=0;do{j=f[m+4+(k<<2)>>2]|0;if(j|0)bi[f[(f[j>>2]|0)+4>>2]&2047](j);k=k+1|0}while((k|0)!=(l|0));n=f[c>>2]|0}else n=m;fuc(n)}f[c>>2]=0;c=a+44|0;n=f[c>>2]|0;if(n|0?(f[a+32>>2]|0)==0:0){m=f[n>>2]|0;if((m|0)>0){l=0;do{k=f[n+4+(l<<2)>>2]|0;if(k|0)bi[f[(f[k>>2]|0)+4>>2]&2047](k);l=l+1|0}while((l|0)!=(m|0));o=f[c>>2]|0}else o=n;fuc(o)}f[c>>2]=0;c=a+28|0;o=f[c>>2]|0;if(o|0?(f[a+16>>2]|0)==0:0){n=f[o>>2]|0;if((n|0)>0){m=0;do{l=f[o+4+(m<<2)>>2]|0;if(l|0)bi[f[(f[l>>2]|0)+4>>2]&2047](l);m=m+1|0}while((m|0)!=(n|0));p=f[c>>2]|0}else p=o;fuc(p)}f[c>>2]=0;c=a+4|0;a=f[c>>2]|0;if(!(a&1)){f[c>>2]=0;return}p=a&-2;a=p;if((p|0)==0|(f[a+4>>2]|0)!=0){f[c>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(p);f[c>>2]=0;return}function TZb(a){a=a|0;SZb(a);fuc(a);return}function UZb(a){a=a|0;a=cuc(152)|0;f$b(a);return a|0}function VZb(a,b){a=a|0;b=b|0;var c=0;if(!b){a=cuc(152)|0;f$b(a);c=a;return c|0}if(f[b+64>>2]|0)HIb(b,24448,152);a=FIb(b,152)|0;h$b(a,b);c=a;return c|0}function WZb(a){a=a|0;var b=0,c=0;b=f[a+4>>2]|0;a=b&-2;if(!(b&1)){c=a;return c|0}else{c=f[a+4>>2]|0;return c|0}return 0}function XZb(a){a=a|0;return f[a+4>>2]|0}function YZb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0;c=a+20|0;d=f[c>>2]|0;if((d|0)>0){e=f[a+28>>2]|0;g=0;do{jZb(f[e+4+(g<<2)>>2]|0);g=g+1|0}while((g|0)!=(d|0));f[c>>2]=0}c=a+36|0;d=f[c>>2]|0;if((d|0)>0){g=f[a+44>>2]|0;e=0;do{YZb(f[g+4+(e<<2)>>2]|0);e=e+1|0}while((e|0)!=(d|0));f[c>>2]=0}c=a+52|0;d=f[c>>2]|0;if((d|0)>0){e=f[a+60>>2]|0;g=0;do{_Xb(f[e+4+(g<<2)>>2]|0);g=g+1|0}while((g|0)!=(d|0));f[c>>2]=0}c=a+68|0;d=f[c>>2]|0;if((d|0)>0){g=f[a+76>>2]|0;e=0;do{T_b(f[g+4+(e<<2)>>2]|0);e=e+1|0}while((e|0)!=(d|0));f[c>>2]=0}c=a+84|0;d=f[c>>2]|0;if((d|0)>0){e=f[a+92>>2]|0;g=0;do{jZb(f[e+4+(g<<2)>>2]|0);g=g+1|0}while((g|0)!=(d|0));f[c>>2]=0}c=a+100|0;d=f[c>>2]|0;if((d|0)>0){g=f[a+108>>2]|0;e=0;do{QYb(f[g+4+(e<<2)>>2]|0);e=e+1|0}while((e|0)!=(d|0));f[c>>2]=0}c=a+116|0;d=f[c>>2]|0;if((d|0)>0){e=f[a+124>>2]|0;g=0;do{h=f[e+4+(g<<2)>>2]|0;g=g+1|0;i=h+8|0;if(f[i>>2]&3|0){j=h+16|0;f[j>>2]=0;f[j+4>>2]=0}f[i>>2]=0;i=f[h+4>>2]|0;if(i&1|0?(h=i&-2,f[h>>2]|0):0)ebc(h)}while((g|0)!=(d|0));f[c>>2]=0}c=a+132|0;d=f[c>>2]|0;if((d|0)>0){g=f[a+140>>2]|0;e=0;do{h=f[g+4+(e<<2)>>2]|0;e=e+1|0;i=h+11|0;if((b[i>>0]|0)<0){b[f[h>>2]>>0]=0;f[h+4>>2]=0}else{b[h>>0]=0;b[i>>0]=0}}while((e|0)!=(d|0));f[c>>2]=0}c=a+8|0;d=f[c>>2]|0;if(d&3|0){do if(d&1|0?(e=f[a+144>>2]|0,(e|0)!=542896):0){g=e+11|0;if((b[g>>0]|0)<0){b[f[e>>2]>>0]=0;f[e+4>>2]=0;break}else{b[e>>0]=0;b[g>>0]=0;break}}while(0);if(d&2|0){d=f[a+148>>2]|0;wdc(d+4|0);g=d+36|0;e=f[g>>2]|0;if((e|0)>0){i=f[d+44>>2]|0;h=0;do{YSb(f[i+4+(h<<2)>>2]|0);h=h+1|0}while((h|0)!=(e|0));f[g>>2]=0}f[d+48>>2]=0;f[d+24>>2]=0;g=f[d+20>>2]|0;if(g&1|0?(d=g&-2,f[d>>2]|0):0)ebc(d)}}f[c>>2]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;ebc(a);return}function ZZb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;b=f[a+20>>2]|0;a:do if((b|0)>0){c=a+28|0;d=b;b:while(1){e=d;d=d+-1|0;g=f[(f[c>>2]|0)+4+(d<<2)>>2]|0;if(f[g+8>>2]&32|0){h=f[g+36>>2]|0;if(!(Bdc(h+4|0)|0)){i=0;j=59;break}g=f[h+36>>2]|0;if((g|0)>0){k=f[h+44>>2]|0;h=g;do{g=h;h=h+-1|0;l=f[k+4+(h<<2)>>2]|0;m=f[l+28>>2]|0;n=f[l+20>>2]|0;while(1){if((n|0)<=0)break;n=n+-1|0;if((f[(f[m+4+(n<<2)>>2]|0)+8>>2]&3|0)!=3){i=0;j=59;break b}}}while((g|0)>1)}}if((e|0)<=1)break a}if((j|0)==59)return i|0}while(0);b=a+44|0;d=f[a+36>>2]|0;while(1){if((d|0)<=0)break;d=d+-1|0;if(!(ZZb(f[(f[b>>2]|0)+4+(d<<2)>>2]|0)|0)){i=0;j=59;break}}if((j|0)==59)return i|0;d=a+60|0;b=f[a+52>>2]|0;while(1){if((b|0)<=0)break;b=b+-1|0;if(!($Xb(f[(f[d>>2]|0)+4+(b<<2)>>2]|0)|0)){i=0;j=59;break}}if((j|0)==59)return i|0;b=f[a+68>>2]|0;c:do if((b|0)>0){d=a+76|0;c=b;d:while(1){h=c;c=c+-1|0;k=f[(f[d>>2]|0)+4+(c<<2)>>2]|0;if(f[k+8>>2]&1|0){n=f[k+16>>2]|0;if(!(Bdc(n+4|0)|0)){i=0;j=59;break}k=f[n+36>>2]|0;if((k|0)>0){m=f[n+44>>2]|0;n=k;do{k=n;n=n+-1|0;l=f[m+4+(n<<2)>>2]|0;o=f[l+28>>2]|0;p=f[l+20>>2]|0;while(1){if((p|0)<=0)break;p=p+-1|0;if((f[(f[o+4+(p<<2)>>2]|0)+8>>2]&3|0)!=3){i=0;j=59;break d}}}while((k|0)>1)}}if((h|0)<=1)break c}if((j|0)==59)return i|0}while(0);b=f[a+84>>2]|0;e:do if((b|0)>0){c=a+92|0;d=b;f:while(1){n=d;d=d+-1|0;m=f[(f[c>>2]|0)+4+(d<<2)>>2]|0;if(f[m+8>>2]&32|0){e=f[m+36>>2]|0;if(!(Bdc(e+4|0)|0)){i=0;j=59;break}m=f[e+36>>2]|0;if((m|0)>0){p=f[e+44>>2]|0;e=m;do{m=e;e=e+-1|0;o=f[p+4+(e<<2)>>2]|0;g=f[o+28>>2]|0;l=f[o+20>>2]|0;while(1){if((l|0)<=0)break;l=l+-1|0;if((f[(f[g+4+(l<<2)>>2]|0)+8>>2]&3|0)!=3){i=0;j=59;break f}}}while((m|0)>1)}}if((n|0)<=1)break e}if((j|0)==59)return i|0}while(0);b=f[a+100>>2]|0;g:do if((b|0)>0){d=a+108|0;c=b;h:while(1){e=c;c=c+-1|0;p=f[(f[d>>2]|0)+4+(c<<2)>>2]|0;if(f[p+8>>2]&2|0){h=f[p+20>>2]|0;if(!(Bdc(h+4|0)|0)){i=0;j=59;break}p=f[h+36>>2]|0;if((p|0)>0){l=f[h+44>>2]|0;h=p;do{p=h;h=h+-1|0;g=f[l+4+(h<<2)>>2]|0;k=f[g+28>>2]|0;o=f[g+20>>2]|0;while(1){if((o|0)<=0)break;o=o+-1|0;if((f[(f[k+4+(o<<2)>>2]|0)+8>>2]&3|0)!=3){i=0;j=59;break h}}}while((p|0)>1)}}if((e|0)<=1)break g}if((j|0)==59)return i|0}while(0);if(!(f[a+8>>2]&2)){i=1;return i|0}b=f[a+148>>2]|0;if(!(Bdc(b+4|0)|0)){i=0;return i|0}a=f[b+36>>2]|0;if((a|0)<=0){i=1;return i|0}c=f[b+44>>2]|0;b=a;i:while(1){a=b;b=b+-1|0;d=f[c+4+(b<<2)>>2]|0;h=f[d+28>>2]|0;l=f[d+20>>2]|0;while(1){if((l|0)<=0)break;l=l+-1|0;if((f[(f[h+4+(l<<2)>>2]|0)+8>>2]&3|0)!=3){i=0;j=59;break i}}if((a|0)<=1){i=1;j=59;break}}if((j|0)==59)return i|0;return 0}function _Zb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0;d=u;u=u+16|0;e=d;g=c+4|0;h=a+8|0;i=a+144|0;j=a+4|0;k=a+16|0;l=e+4|0;m=a+32|0;n=e+4|0;o=a+48|0;p=e+4|0;q=a+64|0;r=a+76|0;s=a+72|0;t=a+68|0;v=e+4|0;w=a+80|0;x=e+4|0;y=a+148|0;z=e+4|0;A=a+96|0;B=a+108|0;C=a+104|0;D=a+100|0;E=e+4|0;F=a+112|0;G=a+124|0;H=a+120|0;I=a+116|0;J=e+4|0;K=a+128|0;a:while(1){L=f[c>>2]|0;if(L>>>0<(f[g>>2]|0)>>>0){M=b[L>>0]|0;N=M&255;if(M<<24>>24>0){f[c>>2]=L+1;O=N;P=6}else{Q=N;P=5}}else{Q=0;P=5}if((P|0)==5){P=0;N=OJb(c,Q)|0;if((N+-1|0)>>>0<127){O=N;P=6}else R=N}b:do if((P|0)==6){P=0;do switch(O>>>3&536870911|0){case 1:{if((O&255|0)!=10){R=O;break b}f[h>>2]=f[h>>2]|1;N=f[j>>2]|0;L=N&-2;if(!(N&1))S=L;else S=f[L+4>>2]|0;L=f[i>>2]|0;if((L|0)==542896){QGa(i,S,542896);T=f[i>>2]|0}else T=L;if($Lb(c,T)|0)continue a;else{U=0;P=131;break a}break}case 2:{if((O&255|0)!=18){R=O;break b}L=OPb(k)|0;N=f[c>>2]|0;if(N>>>0<(f[g>>2]|0)>>>0?(M=b[N>>0]|0,M<<24>>24>-1):0){f[c>>2]=N+1;V=M&255}else{M=NJb(c)|0;if((M|0)>-1)V=M;else{U=0;P=131;break a}}yJb(e,c,V);if((f[l>>2]|0)<0){P=21;break a}if(!(Th[f[(f[L>>2]|0)+44>>2]&1023](L,c)|0)){P=21;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{U=0;P=131;break a}break}case 3:{if((O&255|0)!=26){R=O;break b}L=JPb(m)|0;M=f[c>>2]|0;if(M>>>0<(f[g>>2]|0)>>>0?(N=b[M>>0]|0,N<<24>>24>-1):0){f[c>>2]=M+1;W=N&255}else{N=NJb(c)|0;if((N|0)>-1)W=N;else{U=0;P=131;break a}}yJb(e,c,W);if((f[n>>2]|0)<0){P=30;break a}if(!(Th[f[(f[L>>2]|0)+44>>2]&1023](L,c)|0)){P=30;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{U=0;P=131;break a}break}case 4:{if((O&255|0)!=34){R=O;break b}L=LPb(o)|0;N=f[c>>2]|0;if(N>>>0<(f[g>>2]|0)>>>0?(M=b[N>>0]|0,M<<24>>24>-1):0){f[c>>2]=N+1;X=M&255}else{M=NJb(c)|0;if((M|0)>-1)X=M;else{U=0;P=131;break a}}yJb(e,c,X);if((f[p>>2]|0)<0){P=39;break a}if(!(Th[f[(f[L>>2]|0)+44>>2]&1023](L,c)|0)){P=39;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{U=0;P=131;break a}break}case 5:{if((O&255|0)!=42){R=O;break b}L=f[r>>2]|0;do if(L){M=f[t>>2]|0;N=f[L>>2]|0;if((M|0)>=(N|0))if((N|0)==(f[s>>2]|0)){Y=N;P=47;break}else{Z=N;_=L;P=48;break}else{f[t>>2]=M+1;$=f[L+4+(M<<2)>>2]|0;break}}else{Y=f[s>>2]|0;P=47}while(0);if((P|0)==47){P=0;LKb(q,Y+1|0);L=f[r>>2]|0;Z=f[L>>2]|0;_=L;P=48}if((P|0)==48){P=0;f[_>>2]=Z+1;L=f[q>>2]|0;if(!L){M=cuc(28)|0;K_b(M);aa=M}else{if(f[L+64>>2]|0)HIb(L,24480,32);M=FIb(L,32)|0;M_b(M,L);aa=M}M=f[r>>2]|0;L=f[t>>2]|0;f[t>>2]=L+1;f[M+4+(L<<2)>>2]=aa;$=aa}L=f[c>>2]|0;if(L>>>0<(f[g>>2]|0)>>>0?(M=b[L>>0]|0,M<<24>>24>-1):0){f[c>>2]=L+1;ba=M&255}else{M=NJb(c)|0;if((M|0)>-1)ba=M;else{U=0;P=131;break a}}yJb(e,c,ba);if((f[v>>2]|0)<0){P=60;break a}if(!(Th[f[(f[$>>2]|0)+44>>2]&1023]($,c)|0)){P=60;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{U=0;P=131;break a}break}case 6:{if((O&255|0)!=50){R=O;break b}M=OPb(w)|0;L=f[c>>2]|0;if(L>>>0<(f[g>>2]|0)>>>0?(N=b[L>>0]|0,N<<24>>24>-1):0){f[c>>2]=L+1;ca=N&255}else{N=NJb(c)|0;if((N|0)>-1)ca=N;else{U=0;P=131;break a}}yJb(e,c,ca);if((f[x>>2]|0)<0){P=69;break a}if(!(Th[f[(f[M>>2]|0)+44>>2]&1023](M,c)|0)){P=69;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{U=0;P=131;break a}break}case 7:{if((O&255|0)!=58){R=O;break b}f[h>>2]=f[h>>2]|2;M=f[y>>2]|0;if(!M){o_b(a);da=f[y>>2]|0}else da=M;M=f[c>>2]|0;if(M>>>0<(f[g>>2]|0)>>>0?(N=b[M>>0]|0,N<<24>>24>-1):0){f[c>>2]=M+1;ea=N&255}else{N=NJb(c)|0;if((N|0)>-1)ea=N;else{U=0;P=131;break a}}yJb(e,c,ea);if((f[z>>2]|0)<0){P=80;break a}if(!(Th[f[(f[da>>2]|0)+44>>2]&1023](da,c)|0)){P=80;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{U=0;P=131;break a}break}case 8:{if((O&255|0)!=66){R=O;break b}N=f[B>>2]|0;do if(N){M=f[D>>2]|0;L=f[N>>2]|0;if((M|0)>=(L|0))if((L|0)==(f[C>>2]|0)){fa=L;P=88;break}else{ga=L;ha=N;P=89;break}else{f[D>>2]=M+1;ia=f[N+4+(M<<2)>>2]|0;break}}else{fa=f[C>>2]|0;P=88}while(0);if((P|0)==88){P=0;LKb(A,fa+1|0);N=f[B>>2]|0;ga=f[N>>2]|0;ha=N;P=89}if((P|0)==89){P=0;f[ha>>2]=ga+1;N=f[A>>2]|0;if(!N){M=cuc(24)|0;bZb(M);ja=M}else{if(f[N+64>>2]|0)HIb(N,24400,24);M=FIb(N,24)|0;cZb(M,N);ja=M}M=f[B>>2]|0;N=f[D>>2]|0;f[D>>2]=N+1;f[M+4+(N<<2)>>2]=ja;ia=ja}N=f[c>>2]|0;if(N>>>0<(f[g>>2]|0)>>>0?(M=b[N>>0]|0,M<<24>>24>-1):0){f[c>>2]=N+1;ka=M&255}else{M=NJb(c)|0;if((M|0)>-1)ka=M;else{U=0;P=131;break a}}yJb(e,c,ka);if((f[E>>2]|0)<0){P=101;break a}if(!(Th[f[(f[ia>>2]|0)+44>>2]&1023](ia,c)|0)){P=101;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{U=0;P=131;break a}break}case 9:{if((O&255|0)!=74){R=O;break b}M=f[G>>2]|0;do if(M){N=f[I>>2]|0;L=f[M>>2]|0;if((N|0)>=(L|0))if((L|0)==(f[H>>2]|0)){la=L;P=109;break}else{ma=L;na=M;P=110;break}else{f[I>>2]=N+1;oa=f[M+4+(N<<2)>>2]|0;break}}else{la=f[H>>2]|0;P=109}while(0);if((P|0)==109){P=0;LKb(F,la+1|0);M=f[G>>2]|0;ma=f[M>>2]|0;na=M;P=110}if((P|0)==110){P=0;f[na>>2]=ma+1;M=f[F>>2]|0;if(!M){N=cuc(24)|0;p_b(N);pa=N}else{if(f[M+64>>2]|0)HIb(M,24464,24);N=FIb(M,24)|0;r_b(N,M);pa=N}N=f[G>>2]|0;M=f[I>>2]|0;f[I>>2]=M+1;f[N+4+(M<<2)>>2]=pa;oa=pa}M=f[c>>2]|0;if(M>>>0<(f[g>>2]|0)>>>0?(N=b[M>>0]|0,N<<24>>24>-1):0){f[c>>2]=M+1;qa=N&255}else{N=NJb(c)|0;if((N|0)>-1)qa=N;else{U=0;P=131;break a}}yJb(e,c,qa);if((f[J>>2]|0)<0){P=122;break a}if(!(Th[f[(f[oa>>2]|0)+44>>2]&1023](oa,c)|0)){P=122;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{U=0;P=131;break a}break}case 10:{if((O&255|0)!=82){R=O;break b}if($Lb(c,MEa(K)|0)|0)continue a;else{U=0;P=131;break a}break}default:{R=O;break b}}while(0)}while(0);if(!R){U=1;P=131;break}N=f[j>>2]|0;if(!(N&1))ra=OOa(j)|0;else ra=N&-2;if(!(xbc(c,R,ra)|0)){U=0;P=131;break}}if((P|0)==21){U=0;u=d;return U|0}else if((P|0)==30){U=0;u=d;return U|0}else if((P|0)==39){U=0;u=d;return U|0}else if((P|0)==60){U=0;u=d;return U|0}else if((P|0)==69){U=0;u=d;return U|0}else if((P|0)==80){U=0;u=d;return U|0}else if((P|0)==101){U=0;u=d;return U|0}else if((P|0)==122){U=0;u=d;return U|0}else if((P|0)==131){u=d;return U|0}return 0}function $Zb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;c=f[a+4>>2]|0;if(!(c&1))d=0;else d=Dbc(c&-2)|0;c=f[a+20>>2]|0;e=c+d|0;if(!c)g=e;else{d=a+28|0;h=0;i=e;while(1){e=f[(f[d>>2]|0)+4+(h<<2)>>2]|0;j=di[f[(f[e>>2]|0)+48>>2]&1023](e)|0;e=j+i+((((($(j|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=h+1|0;if((h|0)==(c|0)){g=e;break}else i=e}}i=f[a+36>>2]|0;c=i+g|0;if(!i)k=c;else{g=a+44|0;h=0;d=c;while(1){c=f[(f[g>>2]|0)+4+(h<<2)>>2]|0;e=di[f[(f[c>>2]|0)+48>>2]&1023](c)|0;c=e+d+((((($(e|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=h+1|0;if((h|0)==(i|0)){k=c;break}else d=c}}d=f[a+52>>2]|0;i=d+k|0;if(!d)l=i;else{k=a+60|0;h=0;g=i;while(1){i=f[(f[k>>2]|0)+4+(h<<2)>>2]|0;c=di[f[(f[i>>2]|0)+48>>2]&1023](i)|0;i=c+g+((((($(c|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=h+1|0;if((h|0)==(d|0)){l=i;break}else g=i}}g=f[a+68>>2]|0;d=g+l|0;if(!g)m=d;else{l=a+76|0;h=0;k=d;while(1){d=f[(f[l>>2]|0)+4+(h<<2)>>2]|0;i=di[f[(f[d>>2]|0)+48>>2]&1023](d)|0;d=i+k+((((($(i|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=h+1|0;if((h|0)==(g|0)){m=d;break}else k=d}}k=f[a+84>>2]|0;g=k+m|0;if(!k)n=g;else{m=a+92|0;h=0;l=g;while(1){g=f[(f[m>>2]|0)+4+(h<<2)>>2]|0;d=di[f[(f[g>>2]|0)+48>>2]&1023](g)|0;g=d+l+((((($(d|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=h+1|0;if((h|0)==(k|0)){n=g;break}else l=g}}l=f[a+100>>2]|0;k=l+n|0;if(!l)o=k;else{n=a+108|0;h=0;m=k;while(1){k=f[(f[n>>2]|0)+4+(h<<2)>>2]|0;g=di[f[(f[k>>2]|0)+48>>2]&1023](k)|0;k=g+m+((((($(g|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=h+1|0;if((h|0)==(l|0)){o=k;break}else m=k}}m=f[a+116>>2]|0;l=m+o|0;if(!m)p=l;else{o=a+124|0;h=0;n=l;while(1){l=f[(f[o>>2]|0)+4+(h<<2)>>2]|0;k=di[f[(f[l>>2]|0)+48>>2]&1023](l)|0;l=k+n+((((($(k|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=h+1|0;if((h|0)==(m|0)){p=l;break}else n=l}}n=f[a+132>>2]|0;m=n+p|0;if((n|0)>0){p=f[a+140>>2]|0;h=0;o=m;while(1){l=f[p+4+(h<<2)>>2]|0;k=b[l+11>>0]|0;g=k<<24>>24<0?f[l+4>>2]|0:k&255;k=g+o+((((($(g|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=h+1|0;if((h|0)==(n|0)){q=k;break}else o=k}}else q=m;m=f[a+8>>2]|0;if(!(m&3)){r=q;s=a+12|0;f[s>>2]=r;return r|0}if(!(m&1))t=q;else{o=f[a+144>>2]|0;n=b[o+11>>0]|0;h=n<<24>>24<0?f[o+4>>2]|0:n&255;t=q+1+h+((((($(h|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(m&2)){r=t;s=a+12|0;f[s>>2]=r;return r|0}m=f[a+148>>2]|0;h=di[f[(f[m>>2]|0)+48>>2]&1023](m)|0;r=t+1+h+((((($(h|1|0)|0)^31)*9|0)+73|0)>>>6)|0;s=a+12|0;f[s>>2]=r;return r|0}function a_b(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=f[a+8>>2]|0;if(c&1|0)VLb(1,f[a+144>>2]|0,b);d=f[a+20>>2]|0;if(d|0){e=a+28|0;g=0;do{_Lb(2,f[(f[e>>2]|0)+4+(g<<2)>>2]|0,b);g=g+1|0}while((g|0)!=(d|0))}d=f[a+36>>2]|0;if(d|0){g=a+44|0;e=0;do{_Lb(3,f[(f[g>>2]|0)+4+(e<<2)>>2]|0,b);e=e+1|0}while((e|0)!=(d|0))}d=f[a+52>>2]|0;if(d|0){e=a+60|0;g=0;do{_Lb(4,f[(f[e>>2]|0)+4+(g<<2)>>2]|0,b);g=g+1|0}while((g|0)!=(d|0))}d=f[a+68>>2]|0;if(d|0){g=a+76|0;e=0;do{_Lb(5,f[(f[g>>2]|0)+4+(e<<2)>>2]|0,b);e=e+1|0}while((e|0)!=(d|0))}d=f[a+84>>2]|0;if(d|0){e=a+92|0;g=0;do{_Lb(6,f[(f[e>>2]|0)+4+(g<<2)>>2]|0,b);g=g+1|0}while((g|0)!=(d|0))}if(c&2|0)_Lb(7,f[a+148>>2]|0,b);c=f[a+100>>2]|0;if(c|0){d=a+108|0;g=0;do{_Lb(8,f[(f[d>>2]|0)+4+(g<<2)>>2]|0,b);g=g+1|0}while((g|0)!=(c|0))}c=f[a+116>>2]|0;if(c|0){g=a+124|0;d=0;do{_Lb(9,f[(f[g>>2]|0)+4+(d<<2)>>2]|0,b);d=d+1|0}while((d|0)!=(c|0))}c=f[a+132>>2]|0;if((c|0)>0){d=a+140|0;g=0;do{ULb(10,f[(f[d>>2]|0)+4+(g<<2)>>2]|0,b);g=g+1|0}while((g|0)!=(c|0))}c=f[a+4>>2]|0;if(!(c&1))return;Abc(c&-2,b);return}function b_b(a){a=a|0;return f[a+12>>2]|0}function c_b(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0;e=f[a+8>>2]|0;if(!(e&1))g=d;else{h=f[a+144>>2]|0;b[d>>0]=10;g=XJb(h,d+1|0)|0}d=f[a+20>>2]|0;if(!d)i=g;else{h=a+28|0;j=0;k=g;while(1){g=f[(f[h>>2]|0)+4+(j<<2)>>2]|0;b[k>>0]=18;l=k+1|0;m=di[f[(f[g>>2]|0)+60>>2]&1023](g)|0;if(m>>>0>127){n=m;o=l;while(1){b[o>>0]=n|128;p=n>>>7;q=o+1|0;if(n>>>0>16383){n=p;o=q}else{r=q;s=p;break}}}else{r=l;s=m}b[r>>0]=s;o=li[f[(f[g>>2]|0)+64>>2]&511](g,c,r+1|0)|0;j=j+1|0;if((j|0)==(d|0)){i=o;break}else k=o}}k=f[a+36>>2]|0;if(!k)t=i;else{d=a+44|0;j=0;r=i;while(1){i=f[(f[d>>2]|0)+4+(j<<2)>>2]|0;b[r>>0]=26;s=r+1|0;h=di[f[(f[i>>2]|0)+60>>2]&1023](i)|0;if(h>>>0>127){o=h;n=s;while(1){b[n>>0]=o|128;p=o>>>7;q=n+1|0;if(o>>>0>16383){o=p;n=q}else{u=q;v=p;break}}}else{u=s;v=h}b[u>>0]=v;n=li[f[(f[i>>2]|0)+64>>2]&511](i,c,u+1|0)|0;j=j+1|0;if((j|0)==(k|0)){t=n;break}else r=n}}r=f[a+52>>2]|0;if(!r)w=t;else{k=a+60|0;j=0;u=t;while(1){t=f[(f[k>>2]|0)+4+(j<<2)>>2]|0;b[u>>0]=34;v=u+1|0;d=di[f[(f[t>>2]|0)+60>>2]&1023](t)|0;if(d>>>0>127){n=d;o=v;while(1){b[o>>0]=n|128;g=n>>>7;m=o+1|0;if(n>>>0>16383){n=g;o=m}else{x=m;y=g;break}}}else{x=v;y=d}b[x>>0]=y;o=li[f[(f[t>>2]|0)+64>>2]&511](t,c,x+1|0)|0;j=j+1|0;if((j|0)==(r|0)){w=o;break}else u=o}}u=f[a+68>>2]|0;if(!u)z=w;else{r=a+76|0;j=0;x=w;while(1){w=f[(f[r>>2]|0)+4+(j<<2)>>2]|0;b[x>>0]=42;y=x+1|0;k=di[f[(f[w>>2]|0)+60>>2]&1023](w)|0;if(k>>>0>127){o=k;n=y;while(1){b[n>>0]=o|128;i=o>>>7;h=n+1|0;if(o>>>0>16383){o=i;n=h}else{A=h;B=i;break}}}else{A=y;B=k}b[A>>0]=B;n=li[f[(f[w>>2]|0)+64>>2]&511](w,c,A+1|0)|0;j=j+1|0;if((j|0)==(u|0)){z=n;break}else x=n}}x=f[a+84>>2]|0;if(!x)C=z;else{u=a+92|0;j=0;A=z;while(1){z=f[(f[u>>2]|0)+4+(j<<2)>>2]|0;b[A>>0]=50;B=A+1|0;r=di[f[(f[z>>2]|0)+60>>2]&1023](z)|0;if(r>>>0>127){n=r;o=B;while(1){b[o>>0]=n|128;t=n>>>7;d=o+1|0;if(n>>>0>16383){n=t;o=d}else{D=d;E=t;break}}}else{D=B;E=r}b[D>>0]=E;o=li[f[(f[z>>2]|0)+64>>2]&511](z,c,D+1|0)|0;j=j+1|0;if((j|0)==(x|0)){C=o;break}else A=o}}if(!(e&2))F=C;else{e=f[a+148>>2]|0;b[C>>0]=58;A=C+1|0;C=di[f[(f[e>>2]|0)+60>>2]&1023](e)|0;if(C>>>0>127){x=C;j=A;while(1){b[j>>0]=x|128;D=x>>>7;E=j+1|0;if(x>>>0>16383){x=D;j=E}else{G=E;H=D;break}}}else{G=A;H=C}b[G>>0]=H;F=li[f[(f[e>>2]|0)+64>>2]&511](e,c,G+1|0)|0}G=f[a+100>>2]|0;if(!G)I=F;else{e=a+108|0;H=0;C=F;while(1){F=f[(f[e>>2]|0)+4+(H<<2)>>2]|0;b[C>>0]=66;A=C+1|0;j=di[f[(f[F>>2]|0)+60>>2]&1023](F)|0;if(j>>>0>127){x=j;D=A;while(1){b[D>>0]=x|128;E=x>>>7;u=D+1|0;if(x>>>0>16383){x=E;D=u}else{J=u;K=E;break}}}else{J=A;K=j}b[J>>0]=K;D=li[f[(f[F>>2]|0)+64>>2]&511](F,c,J+1|0)|0;H=H+1|0;if((H|0)==(G|0)){I=D;break}else C=D}}C=f[a+116>>2]|0;if(!C)L=I;else{G=a+124|0;H=0;J=I;while(1){I=f[(f[G>>2]|0)+4+(H<<2)>>2]|0;b[J>>0]=74;K=J+1|0;e=di[f[(f[I>>2]|0)+60>>2]&1023](I)|0;if(e>>>0>127){D=e;x=K;while(1){b[x>>0]=D|128;z=D>>>7;r=x+1|0;if(D>>>0>16383){D=z;x=r}else{M=r;N=z;break}}}else{M=K;N=e}b[M>>0]=N;x=li[f[(f[I>>2]|0)+64>>2]&511](I,c,M+1|0)|0;H=H+1|0;if((H|0)==(C|0)){L=x;break}else J=x}}J=f[a+132>>2]|0;if((J|0)>0){C=a+140|0;H=0;M=L;while(1){c=f[(f[C>>2]|0)+4+(H<<2)>>2]|0;b[M>>0]=82;N=XJb(c,M+1|0)|0;H=H+1|0;if((H|0)==(J|0)){O=N;break}else M=N}}else O=L;L=f[a+4>>2]|0;if(!(L&1)){P=O;return P|0}P=Bbc(L&-2,O)|0;return P|0}function d_b(a,b){a=a|0;b=b|0;var c=0;if((a|0)==(b|0))return;YZb(a);c=ovc(b,24728,24448,0)|0;if(!c){A9b(b,a);return}else{h_b(a,c);return}}function e_b(a,b){a=a|0;b=b|0;var c=0;c=ovc(b,24728,24448,0)|0;if(!c){A9b(b,a);return}else{h_b(a,c);return}}function f_b(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function g_b(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224998]|0)!=2){f[d>>2]=151624;f[d+4>>2]=135;b[d+8>>0]=0;xLb(899992,d);QKb(d)}d=544432;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function h_b(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=a+4|0;d=f[b+4>>2]|0;if(d&1|0){e=f[c>>2]|0;if(!(e&1))g=OOa(c)|0;else g=e&-2;hbc(g,d&-2)}i_b(a+16|0,b+16|0);j_b(a+32|0,b+32|0);k_b(a+48|0,b+48|0);l_b(a+64|0,b+64|0);i_b(a+80|0,b+80|0);m_b(a+96|0,b+96|0);n_b(a+112|0,b+112|0);YOa(a+128|0,b+128|0);d=f[b+8>>2]|0;if(!(d&3))return;do if(d&1|0){g=f[b+144>>2]|0;e=a+8|0;f[e>>2]=f[e>>2]|1;e=a+144|0;h=f[c>>2]|0;i=h&-2;if(!(h&1))j=i;else j=f[i+4>>2]|0;i=f[e>>2]|0;if((i|0)==542896){QGa(e,j,g);break}else{ruc(i,g)|0;break}}while(0);if(!(d&2))return;d=a+8|0;f[d>>2]=f[d>>2]|2;d=a+148|0;j=f[d>>2]|0;if(!j){o_b(a);k=f[d>>2]|0}else k=j;j=f[b+148>>2]|0;jWb(k,j|0?j:543728);return}function i_b(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=f[b+4>>2]|0;if(!c)return;d=f[b+12>>2]|0;b=KKb(a,c)|0;e=a+12|0;g=a+4|0;h=(f[f[e>>2]>>2]|0)-(f[g>>2]|0)|0;if((h|0)>0&(c|0)>0){i=0;do{i$b(f[d+4+(i<<2)>>2]|0,f[b+(i<<2)>>2]|0);i=i+1|0}while((i|0)<(h|0)&(i|0)<(c|0))}i=f[a>>2]|0;a:do if((h|0)<(c|0)){a=i+64|0;if(!i){j=h;while(1){k=f[d+4+(j<<2)>>2]|0;l=cuc(56)|0;wZb(l);i$b(k,l);f[b+(j<<2)>>2]=l;j=j+1|0;if((j|0)>=(c|0))break a}}else m=h;do{j=f[d+4+(m<<2)>>2]|0;if(f[a>>2]|0)HIb(i,24416,56);l=FIb(i,56)|0;xZb(l,i);i$b(j,l);f[b+(m<<2)>>2]=l;m=m+1|0}while((m|0)!=(c|0))}while(0);m=(f[g>>2]|0)+c|0;f[g>>2]=m;g=f[e>>2]|0;if((f[g>>2]|0)>=(m|0))return;f[g>>2]=m;return}function j_b(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=f[b+4>>2]|0;if(!c)return;d=f[b+12>>2]|0;b=KKb(a,c)|0;e=a+12|0;g=a+4|0;h=(f[f[e>>2]>>2]|0)-(f[g>>2]|0)|0;if((h|0)>0&(c|0)>0){i=0;do{g$b(f[d+4+(i<<2)>>2]|0,f[b+(i<<2)>>2]|0);i=i+1|0}while((i|0)<(h|0)&(i|0)<(c|0))}i=f[a>>2]|0;a:do if((h|0)<(c|0)){a=i+64|0;if(!i){j=h;while(1){k=f[d+4+(j<<2)>>2]|0;l=cuc(152)|0;f$b(l);g$b(k,l);f[b+(j<<2)>>2]=l;j=j+1|0;if((j|0)>=(c|0))break a}}else m=h;do{j=f[d+4+(m<<2)>>2]|0;if(f[a>>2]|0)HIb(i,24448,152);l=FIb(i,152)|0;h$b(l,i);g$b(j,l);f[b+(m<<2)>>2]=l;m=m+1|0}while((m|0)!=(c|0))}while(0);m=(f[g>>2]|0)+c|0;f[g>>2]=m;g=f[e>>2]|0;if((f[g>>2]|0)>=(m|0))return;f[g>>2]=m;return}function k_b(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=f[b+4>>2]|0;if(!c)return;d=f[b+12>>2]|0;b=KKb(a,c)|0;e=a+12|0;g=a+4|0;h=(f[f[e>>2]>>2]|0)-(f[g>>2]|0)|0;if((h|0)>0&(c|0)>0){i=0;do{e$b(f[d+4+(i<<2)>>2]|0,f[b+(i<<2)>>2]|0);i=i+1|0}while((i|0)<(h|0)&(i|0)<(c|0))}i=f[a>>2]|0;a:do if((h|0)<(c|0)){a=i+64|0;if(!i){j=h;while(1){k=f[d+4+(j<<2)>>2]|0;l=cuc(72)|0;IYb(l);e$b(k,l);f[b+(j<<2)>>2]=l;j=j+1|0;if((j|0)>=(c|0))break a}}else m=h;do{j=f[d+4+(m<<2)>>2]|0;if(f[a>>2]|0)HIb(i,24368,72);l=FIb(i,72)|0;JYb(l,i);e$b(j,l);f[b+(m<<2)>>2]=l;m=m+1|0}while((m|0)!=(c|0))}while(0);m=(f[g>>2]|0)+c|0;f[g>>2]=m;g=f[e>>2]|0;if((f[g>>2]|0)>=(m|0))return;f[g>>2]=m;return}function l_b(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=f[b+4>>2]|0;if(!c)return;d=f[b+12>>2]|0;b=KKb(a,c)|0;e=a+12|0;g=a+4|0;h=(f[f[e>>2]>>2]|0)-(f[g>>2]|0)|0;if((h|0)>0&(c|0)>0){i=0;do{L_b(f[d+4+(i<<2)>>2]|0,f[b+(i<<2)>>2]|0);i=i+1|0}while((i|0)<(h|0)&(i|0)<(c|0))}i=f[a>>2]|0;a:do if((h|0)<(c|0)){a=i+64|0;if(!i){j=h;while(1){k=f[d+4+(j<<2)>>2]|0;l=cuc(28)|0;K_b(l);L_b(k,l);f[b+(j<<2)>>2]=l;j=j+1|0;if((j|0)>=(c|0))break a}}else m=h;do{j=f[d+4+(m<<2)>>2]|0;if(f[a>>2]|0)HIb(i,24480,32);l=FIb(i,32)|0;M_b(l,i);L_b(j,l);f[b+(m<<2)>>2]=l;m=m+1|0}while((m|0)!=(c|0))}while(0);m=(f[g>>2]|0)+c|0;f[g>>2]=m;g=f[e>>2]|0;if((f[g>>2]|0)>=(m|0))return;f[g>>2]=m;return}function m_b(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=f[b+4>>2]|0;if(!c)return;d=f[b+12>>2]|0;b=KKb(a,c)|0;e=a+12|0;g=a+4|0;h=(f[f[e>>2]>>2]|0)-(f[g>>2]|0)|0;if((h|0)>0&(c|0)>0){i=0;do{J_b(f[d+4+(i<<2)>>2]|0,f[b+(i<<2)>>2]|0);i=i+1|0}while((i|0)<(h|0)&(i|0)<(c|0))}i=f[a>>2]|0;a:do if((h|0)<(c|0)){a=i+64|0;if(!i){j=h;while(1){k=f[d+4+(j<<2)>>2]|0;l=cuc(24)|0;bZb(l);J_b(k,l);f[b+(j<<2)>>2]=l;j=j+1|0;if((j|0)>=(c|0))break a}}else m=h;do{j=f[d+4+(m<<2)>>2]|0;if(f[a>>2]|0)HIb(i,24400,24);l=FIb(i,24)|0;cZb(l,i);J_b(j,l);f[b+(m<<2)>>2]=l;m=m+1|0}while((m|0)!=(c|0))}while(0);m=(f[g>>2]|0)+c|0;f[g>>2]=m;g=f[e>>2]|0;if((f[g>>2]|0)>=(m|0))return;f[g>>2]=m;return}function n_b(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=f[b+4>>2]|0;if(!c)return;d=f[b+12>>2]|0;b=KKb(a,c)|0;e=a+12|0;g=a+4|0;h=(f[f[e>>2]>>2]|0)-(f[g>>2]|0)|0;if((h|0)>0&(c|0)>0){i=0;do{q_b(f[d+4+(i<<2)>>2]|0,f[b+(i<<2)>>2]|0);i=i+1|0}while((i|0)<(h|0)&(i|0)<(c|0))}i=f[a>>2]|0;a:do if((h|0)<(c|0)){a=i+64|0;if(!i){j=h;while(1){k=f[d+4+(j<<2)>>2]|0;l=cuc(24)|0;p_b(l);q_b(k,l);f[b+(j<<2)>>2]=l;j=j+1|0;if((j|0)>=(c|0))break a}}else m=h;do{j=f[d+4+(m<<2)>>2]|0;if(f[a>>2]|0)HIb(i,24464,24);l=FIb(i,24)|0;r_b(l,i);q_b(j,l);f[b+(m<<2)>>2]=l;m=m+1|0}while((m|0)!=(c|0))}while(0);m=(f[g>>2]|0)+c|0;f[g>>2]=m;g=f[e>>2]|0;if((f[g>>2]|0)>=(m|0))return;f[g>>2]=m;return}function o_b(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=f[a+4>>2]|0;c=b&-2;if(!(b&1))d=c;else d=f[c+4>>2]|0;if(!d){c=cuc(52)|0;kWb(c);e=c;g=a+148|0;f[g>>2]=e;return}if(f[d+64>>2]|0)HIb(d,24288,56);c=FIb(d,56)|0;lWb(c,d);e=c;g=a+148|0;f[g>>2]=e;return}function p_b(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=156728;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=543120?(f[225003]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=140;b[d+8>>0]=0;xLb(900012,d);QKb(d)}f[a+12>>2]=0;d=a+16|0;f[d>>2]=0;f[d+4>>2]=0;u=c;return}function q_b(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=b+4|0;d=f[a+4>>2]|0;if(d&1|0){e=f[c>>2]|0;if(!(e&1))g=OOa(c)|0;else g=e&-2;hbc(g,d&-2)}d=f[a+8>>2]|0;if(!(d&3))return;if(d&1|0)f[b+16>>2]=f[a+16>>2];if(d&2|0)f[b+20>>2]=f[a+20>>2];a=b+8|0;f[a>>2]=f[a>>2]|d;return}function r_b(a,c){a=a|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;f[a>>2]=156728;f[a+4>>2]=c;f[a+8>>2]=0;if((f[225003]|0)!=2){f[e>>2]=151624;f[e+4>>2]=140;b[e+8>>0]=0;xLb(900012,e);QKb(e)}f[a+12>>2]=0;e=a+16|0;f[e>>2]=0;f[e+4>>2]=0;u=d;return}function s_b(a){a=a|0;var b=0,c=0;f[a>>2]=156728;b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(c);f[b>>2]=0;return}function t_b(a){a=a|0;var b=0,c=0;f[a>>2]=156728;b=f[a+4>>2]|0;if(!(b&1)){fuc(a);return}c=b&-2;b=c;if((c|0)==0|(f[b+4>>2]|0)!=0){fuc(a);return}if(f[b>>2]|0)ebc(b);fuc(c);fuc(a);return}function u_b(a){a=a|0;a=cuc(24)|0;p_b(a);return a|0}function v_b(a,b){a=a|0;b=b|0;var c=0;if(!b){a=cuc(24)|0;p_b(a);c=a;return c|0}if(f[b+64>>2]|0)HIb(b,24464,24);a=FIb(b,24)|0;r_b(a,b);c=a;return c|0}function w_b(a){a=a|0;var b=0,c=0;b=f[a+4>>2]|0;a=b&-2;if(!(b&1)){c=a;return c|0}else{c=f[a+4>>2]|0;return c|0}return 0}function x_b(a){a=a|0;return f[a+4>>2]|0}function y_b(a){a=a|0;var b=0,c=0;b=a+8|0;if(f[b>>2]&3|0){c=a+16|0;f[c>>2]=0;f[c+4>>2]=0}f[b>>2]=0;b=f[a+4>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;ebc(a);return}function z_b(a){a=a|0;return 1}function A_b(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;d=c+4|0;e=a+8|0;g=a+16|0;h=a+20|0;i=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[d>>2]|0)>>>0){j=b[a>>0]|0;k=j&255;if(j<<24>>24>0){f[c>>2]=a+1;l=k;m=6}else{n=k;m=5}}else{n=0;m=5}if((m|0)==5){m=0;k=OJb(c,n)|0;if((k+-1|0)>>>0<127){l=k;m=6}else o=k}b:do if((m|0)==6){m=0;switch(l>>>3&536870911|0){case 1:{if((l&255|0)!=8){o=l;break b}f[e>>2]=f[e>>2]|1;k=f[c>>2]|0;if(k>>>0<(f[d>>2]|0)>>>0){a=b[k>>0]|0;j=a&255;if(a<<24>>24>-1){f[c>>2]=k+1;p=j}else{q=j;m=11}}else{q=0;m=11}if((m|0)==11){m=0;j=zJb(c,q)|0;k=J;if((k|0)>-1|(k|0)==-1&j>>>0>4294967295)p=j;else{r=0;m=24;break a}}f[g>>2]=p;continue a;break}case 2:{if((l&255|0)!=16){o=l;break b}f[e>>2]=f[e>>2]|2;j=f[c>>2]|0;if(j>>>0<(f[d>>2]|0)>>>0){k=b[j>>0]|0;a=k&255;if(k<<24>>24>-1){f[c>>2]=j+1;s=a}else{t=a;m=17}}else{t=0;m=17}if((m|0)==17){m=0;a=zJb(c,t)|0;j=J;if((j|0)>-1|(j|0)==-1&a>>>0>4294967295)s=a;else{r=0;m=24;break a}}f[h>>2]=s;continue a;break}default:{o=l;break b}}}while(0);if(!o){r=1;m=24;break}a=f[i>>2]|0;if(!(a&1))u=OOa(i)|0;else u=a&-2;if(!(xbc(c,o,u)|0)){r=0;m=24;break}}if((m|0)==24)return r|0;return 0}function B_b(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=Dbc(b&-2)|0;b=f[a+8>>2]|0;if(!(b&3)){d=c;e=a+12|0;f[e>>2]=d;return d|0}if(!(b&1))g=c;else{h=f[a+16>>2]|0;if((h|0)<0)i=11;else i=((((($(h|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;g=i+c|0}if(!(b&2)){d=g;e=a+12|0;f[e>>2]=d;return d|0}b=f[a+20>>2]|0;if((b|0)<0)j=11;else j=((((($(b|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;d=j+g|0;e=a+12|0;f[e>>2]=d;return d|0}function C_b(a,b){a=a|0;b=b|0;var c=0;c=f[a+8>>2]|0;if(c&1|0)GLb(1,f[a+16>>2]|0,b);if(c&2|0)GLb(2,f[a+20>>2]|0,b);c=f[a+4>>2]|0;if(!(c&1))return;Abc(c&-2,b);return}function D_b(a){a=a|0;return f[a+12>>2]|0}function E_b(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;c=f[a+8>>2]|0;if(!(c&1))e=d;else{g=f[a+16>>2]|0;b[d>>0]=8;h=d+1|0;d=g&255;if(g>>>0>127){i=h;j=d;k=g;l=((g|0)<0)<<31>>31;while(1){b[i>>0]=j|-128;g=k;k=pzc(k|0,l|0,7)|0;m=i+1|0;n=k&255;if(!(l>>>0>0|(l|0)==0&g>>>0>16383)){o=m;p=n;break}else{i=m;j=n;l=J}}}else{o=h;p=d}b[o>>0]=p;e=o+1|0}if(!(c&2))q=e;else{c=f[a+20>>2]|0;b[e>>0]=16;o=e+1|0;e=c&255;if(c>>>0>127){p=o;d=e;h=c;l=((c|0)<0)<<31>>31;while(1){b[p>>0]=d|-128;c=h;h=pzc(h|0,l|0,7)|0;j=p+1|0;i=h&255;if(!(l>>>0>0|(l|0)==0&c>>>0>16383)){r=j;s=i;break}else{p=j;d=i;l=J}}}else{r=o;s=e}b[r>>0]=s;q=r+1|0}r=f[a+4>>2]|0;if(!(r&1)){t=q;return t|0}t=Bbc(r&-2,q)|0;return t|0}function F_b(a,b){a=a|0;b=b|0;var c=0,d=0;if((a|0)==(b|0))return;c=a+8|0;if(f[c>>2]&3|0){d=a+16|0;f[d>>2]=0;f[d+4>>2]=0}f[c>>2]=0;c=f[a+4>>2]|0;if(c&1|0?(d=c&-2,f[d>>2]|0):0)ebc(d);G_b(a,b);return}function G_b(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=ovc(b,24728,24464,0)|0;if(!c){A9b(b,a);return}b=a+4|0;d=f[c+4>>2]|0;if(d&1|0){e=f[b>>2]|0;if(!(e&1))g=OOa(b)|0;else g=e&-2;hbc(g,d&-2)}d=f[c+8>>2]|0;if(!(d&3))return;if(d&1|0)f[a+16>>2]=f[c+16>>2];if(d&2|0)f[a+20>>2]=f[c+20>>2];c=a+8|0;f[c>>2]=f[c>>2]|d;return}function H_b(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function I_b(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224998]|0)!=2){f[d>>2]=151624;f[d+4>>2]=135;b[d+8>>0]=0;xLb(899992,d);QKb(d)}d=544424;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function J_b(a,b){a=a|0;b=b|0;$Yb(b,a);return}function K_b(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=156836;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=543088?(f[225002]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=139;b[d+8>>0]=0;xLb(900008,d);QKb(d)}d=a+12|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;u=c;return}function L_b(a,b){a=a|0;b=b|0;c$b(b,a);return}function M_b(a,c){a=a|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;f[a>>2]=156836;f[a+4>>2]=c;f[a+8>>2]=0;if((f[225002]|0)!=2){f[e>>2]=151624;f[e+4>>2]=139;b[e+8>>0]=0;xLb(900008,e);QKb(e)}e=a+12|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;u=d;return}function N_b(a){a=a|0;var b=0,c=0;f[a>>2]=156836;if((a|0)!=543088?(b=f[a+16>>2]|0,b|0):0)bi[f[(f[b>>2]|0)+4>>2]&2047](b);b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(c);f[b>>2]=0;return}function O_b(a){a=a|0;var b=0,c=0;f[a>>2]=156836;if((a|0)!=543088?(b=f[a+16>>2]|0,b|0):0)bi[f[(f[b>>2]|0)+4>>2]&2047](b);b=f[a+4>>2]|0;if(!(b&1)){fuc(a);return}c=b&-2;b=c;if((c|0)==0|(f[b+4>>2]|0)!=0){fuc(a);return}if(f[b>>2]|0)ebc(b);fuc(c);fuc(a);return}function P_b(a){a=a|0;a=cuc(28)|0;K_b(a);return a|0}function Q_b(a,b){a=a|0;b=b|0;var c=0;if(!b){a=cuc(28)|0;K_b(a);c=a;return c|0}if(f[b+64>>2]|0)HIb(b,24480,32);a=FIb(b,32)|0;M_b(a,b);c=a;return c|0}function R_b(a){a=a|0;var b=0,c=0;b=f[a+4>>2]|0;a=b&-2;if(!(b&1)){c=a;return c|0}else{c=f[a+4>>2]|0;return c|0}return 0}function S_b(a){a=a|0;return f[a+4>>2]|0}function T_b(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0;b=a+8|0;c=f[b>>2]|0;if(c&1|0){d=f[a+16>>2]|0;wdc(d+4|0);e=d+36|0;g=f[e>>2]|0;if((g|0)>0){h=f[d+44>>2]|0;i=0;do{YSb(f[h+4+(i<<2)>>2]|0);i=i+1|0}while((i|0)!=(g|0));f[e>>2]=0}f[d+24>>2]=0;e=f[d+20>>2]|0;if(e&1|0?(d=e&-2,f[d>>2]|0):0)ebc(d)}if(c&6|0){c=a+20|0;f[c>>2]=0;f[c+4>>2]=0}f[b>>2]=0;b=f[a+4>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;ebc(a);return}function U_b(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0;if(!(f[a+8>>2]&1)){b=1;return b|0}c=f[a+16>>2]|0;if(!(Bdc(c+4|0)|0)){b=0;return b|0}a=f[c+36>>2]|0;if((a|0)<=0){b=1;return b|0}d=f[c+44>>2]|0;c=a;a:while(1){a=c;c=c+-1|0;e=f[d+4+(c<<2)>>2]|0;g=f[e+28>>2]|0;h=f[e+20>>2]|0;while(1){if((h|0)<=0)break;h=h+-1|0;if((f[(f[g+4+(h<<2)>>2]|0)+8>>2]&3|0)!=3){b=0;i=9;break a}}if((a|0)<=1){b=1;i=9;break}}if((i|0)==9)return b|0;return 0}function V_b(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;d=u;u=u+16|0;e=d;g=c+4|0;h=a+8|0;i=a+20|0;j=a+24|0;k=a+16|0;l=e+4|0;m=a+4|0;a:while(1){n=f[c>>2]|0;if(n>>>0<(f[g>>2]|0)>>>0){o=b[n>>0]|0;p=o&255;if(o<<24>>24>0){f[c>>2]=n+1;q=p;r=6}else{s=p;r=5}}else{s=0;r=5}if((r|0)==5){r=0;p=OJb(c,s)|0;if((p+-1|0)>>>0<127){q=p;r=6}else t=p}b:do if((r|0)==6){r=0;switch(q>>>3&536870911|0){case 1:{if((q&255|0)!=8){t=q;break b}f[h>>2]=f[h>>2]|2;p=f[c>>2]|0;if(p>>>0<(f[g>>2]|0)>>>0){n=b[p>>0]|0;o=n&255;if(n<<24>>24>-1){f[c>>2]=p+1;v=o}else{w=o;r=11}}else{w=0;r=11}if((r|0)==11){r=0;o=zJb(c,w)|0;p=J;if((p|0)>-1|(p|0)==-1&o>>>0>4294967295)v=o;else{x=0;r=35;break a}}f[i>>2]=v;continue a;break}case 2:{if((q&255|0)!=16){t=q;break b}f[h>>2]=f[h>>2]|4;o=f[c>>2]|0;if(o>>>0<(f[g>>2]|0)>>>0){p=b[o>>0]|0;n=p&255;if(p<<24>>24>-1){f[c>>2]=o+1;y=n}else{z=n;r=17}}else{z=0;r=17}if((r|0)==17){r=0;n=zJb(c,z)|0;o=J;if((o|0)>-1|(o|0)==-1&n>>>0>4294967295)y=n;else{x=0;r=35;break a}}f[j>>2]=y;continue a;break}case 3:{if((q&255|0)!=26){t=q;break b}f[h>>2]=f[h>>2]|1;n=f[k>>2]|0;if(!n){d$b(a);A=f[k>>2]|0}else A=n;n=f[c>>2]|0;if(n>>>0<(f[g>>2]|0)>>>0?(o=b[n>>0]|0,o<<24>>24>-1):0){f[c>>2]=n+1;B=o&255}else{o=NJb(c)|0;if((o|0)>-1)B=o;else{x=0;r=35;break a}}yJb(e,c,B);if((f[l>>2]|0)<0){r=28;break a}if(!(Th[f[(f[A>>2]|0)+44>>2]&1023](A,c)|0)){r=28;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{x=0;r=35;break a}break}default:{t=q;break b}}}while(0);if(!t){x=1;r=35;break}o=f[m>>2]|0;if(!(o&1))C=OOa(m)|0;else C=o&-2;if(!(xbc(c,t,C)|0)){x=0;r=35;break}}if((r|0)==28){x=0;u=d;return x|0}else if((r|0)==35){u=d;return x|0}return 0}function W_b(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=Dbc(b&-2)|0;b=a+8|0;d=f[b>>2]|0;if(!(d&7)){e=c;g=a+12|0;f[g>>2]=e;return e|0}if(!(d&1)){h=c;i=d}else{d=f[a+16>>2]|0;j=di[f[(f[d>>2]|0)+48>>2]&1023](d)|0;d=c+1+j+((((($(j|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=d;i=f[b>>2]|0}if(!(i&2))k=h;else{b=f[a+20>>2]|0;if((b|0)<0)l=11;else l=((((($(b|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;k=l+h|0}if(!(i&4)){e=k;g=a+12|0;f[g>>2]=e;return e|0}i=f[a+24>>2]|0;if((i|0)<0)m=11;else m=((((($(i|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;e=m+k|0;g=a+12|0;f[g>>2]=e;return e|0}function X_b(a,b){a=a|0;b=b|0;var c=0;c=f[a+8>>2]|0;if(c&2|0)GLb(1,f[a+20>>2]|0,b);if(c&4|0)GLb(2,f[a+24>>2]|0,b);if(c&1|0)_Lb(3,f[a+16>>2]|0,b);c=f[a+4>>2]|0;if(!(c&1))return;Abc(c&-2,b);return}function Y_b(a){a=a|0;return f[a+12>>2]|0}function Z_b(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;e=f[a+8>>2]|0;if(!(e&2))g=d;else{h=f[a+20>>2]|0;b[d>>0]=8;i=d+1|0;d=h&255;if(h>>>0>127){j=i;k=d;l=h;m=((h|0)<0)<<31>>31;while(1){b[j>>0]=k|-128;h=l;l=pzc(l|0,m|0,7)|0;n=j+1|0;o=l&255;if(!(m>>>0>0|(m|0)==0&h>>>0>16383)){p=n;q=o;break}else{j=n;k=o;m=J}}}else{p=i;q=d}b[p>>0]=q;g=p+1|0}if(!(e&4))r=g;else{p=f[a+24>>2]|0;b[g>>0]=16;q=g+1|0;g=p&255;if(p>>>0>127){d=q;i=g;m=p;k=((p|0)<0)<<31>>31;while(1){b[d>>0]=i|-128;p=m;m=pzc(m|0,k|0,7)|0;j=d+1|0;l=m&255;if(!(k>>>0>0|(k|0)==0&p>>>0>16383)){s=j;t=l;break}else{d=j;i=l;k=J}}}else{s=q;t=g}b[s>>0]=t;r=s+1|0}if(!(e&1))u=r;else{e=f[a+16>>2]|0;b[r>>0]=26;s=r+1|0;r=di[f[(f[e>>2]|0)+60>>2]&1023](e)|0;if(r>>>0>127){t=r;g=s;while(1){b[g>>0]=t|128;q=t>>>7;k=g+1|0;if(t>>>0>16383){t=q;g=k}else{v=k;w=q;break}}}else{v=s;w=r}b[v>>0]=w;u=li[f[(f[e>>2]|0)+64>>2]&511](e,c,v+1|0)|0}v=f[a+4>>2]|0;if(!(v&1)){x=u;return x|0}x=Bbc(v&-2,u)|0;return x|0}function __b(a,b){a=a|0;b=b|0;var c=0;if((a|0)==(b|0))return;T_b(a);c=ovc(b,24728,24480,0)|0;if(!c){A9b(b,a);return}else{c$b(a,c);return}}function $_b(a,b){a=a|0;b=b|0;var c=0;c=ovc(b,24728,24480,0)|0;if(!c){A9b(b,a);return}else{c$b(a,c);return}}function a$b(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function b$b(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224998]|0)!=2){f[d>>2]=151624;f[d+4>>2]=135;b[d+8>>0]=0;xLb(899992,d);QKb(d)}d=544416;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function c$b(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0;c=a+4|0;d=f[b+4>>2]|0;if(d&1|0){e=f[c>>2]|0;if(!(e&1))g=OOa(c)|0;else g=e&-2;hbc(g,d&-2)}d=f[b+8>>2]|0;if(!(d&7))return;if(d&1|0){g=a+8|0;f[g>>2]=f[g>>2]|1;g=a+16|0;e=f[g>>2]|0;if(!e){d$b(a);h=f[g>>2]|0}else h=e;e=f[b+16>>2]|0;g=e|0?e:543296;xdc(h+4|0,g+4|0);e=h+20|0;c=f[g+20>>2]|0;if(c&1|0){i=f[e>>2]|0;if(!(i&1))j=OOa(e)|0;else j=i&-2;hbc(j,c&-2)}_Tb(h+32|0,g+32|0)}if(d&2|0)f[a+20>>2]=f[b+20>>2];if(d&4|0)f[a+24>>2]=f[b+24>>2];b=a+8|0;f[b>>2]=f[b>>2]|d;return}function d$b(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=f[a+4>>2]|0;c=b&-2;if(!(b&1))d=c;else d=f[c+4>>2]|0;if(!d){c=cuc(48)|0;QZb(c);e=c;g=a+16|0;f[g>>2]=e;return}if(f[d+64>>2]|0)HIb(d,24432,48);c=FIb(d,48)|0;RZb(c,d);e=c;g=a+16|0;f[g>>2]=e;return}function e$b(a,b){a=a|0;b=b|0;jYb(b,a);return}function f$b(a){a=a|0;var c=0,d=0,e=0,g=0,h=0;c=u;u=u+16|0;d=c;f[a>>2]=156620;f[a+4>>2]=0;f[a+8>>2]=0;e=(a|0)==543144;g=a+16|0;h=g+128|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));if(!e?(f[225004]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=141;b[d+8>>0]=0;xLb(900016,d);QKb(d)}f[a+12>>2]=0;f[a+144>>2]=542896;f[a+148>>2]=0;u=c;return}function g$b(a,b){a=a|0;b=b|0;h_b(b,a);return}function h$b(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0;d=u;u=u+16|0;e=d;f[a>>2]=156620;f[a+4>>2]=c;f[a+8>>2]=0;f[a+16>>2]=c;f[a+20>>2]=0;f[a+24>>2]=0;f[a+28>>2]=0;f[a+32>>2]=c;f[a+36>>2]=0;f[a+40>>2]=0;f[a+44>>2]=0;f[a+48>>2]=c;f[a+52>>2]=0;f[a+56>>2]=0;f[a+60>>2]=0;f[a+64>>2]=c;f[a+68>>2]=0;f[a+72>>2]=0;f[a+76>>2]=0;f[a+80>>2]=c;f[a+84>>2]=0;f[a+88>>2]=0;f[a+92>>2]=0;f[a+96>>2]=c;f[a+100>>2]=0;f[a+104>>2]=0;f[a+108>>2]=0;f[a+112>>2]=c;f[a+116>>2]=0;f[a+120>>2]=0;f[a+124>>2]=0;f[a+128>>2]=c;f[a+132>>2]=0;f[a+136>>2]=0;f[a+140>>2]=0;if((f[225004]|0)==2){g=a+12|0;f[g>>2]=0;h=a+144|0;f[h>>2]=542896;i=a+148|0;f[i>>2]=0;u=d;return}f[e>>2]=151624;f[e+4>>2]=141;b[e+8>>0]=0;xLb(900016,e);QKb(e);g=a+12|0;f[g>>2]=0;h=a+144|0;f[h>>2]=542896;i=a+148|0;f[i>>2]=0;u=d;return}function i$b(a,b){a=a|0;b=b|0;uZb(b,a);return}function j$b(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;f[a>>2]=156944;H$b(a);c=f[a+116>>2]|0;if(c|0?(f[c>>2]|0)==0:0)fuc(c);c=f[a+104>>2]|0;if(c|0?(f[c>>2]|0)==0:0)fuc(c);c=a+92|0;d=f[c>>2]|0;if(d|0?(f[a+80>>2]|0)==0:0){e=f[d>>2]|0;if((e|0)>0){g=0;do{h=f[d+4+(g<<2)>>2]|0;if(h|0)bi[f[(f[h>>2]|0)+4>>2]&2047](h);g=g+1|0}while((g|0)!=(e|0));i=f[c>>2]|0}else i=d;fuc(i)}f[c>>2]=0;c=a+76|0;i=f[c>>2]|0;if(i|0?(f[a+64>>2]|0)==0:0){d=f[i>>2]|0;if((d|0)>0){e=0;do{g=f[i+4+(e<<2)>>2]|0;if(g|0)bi[f[(f[g>>2]|0)+4>>2]&2047](g);e=e+1|0}while((e|0)!=(d|0));j=f[c>>2]|0}else j=i;fuc(j)}f[c>>2]=0;c=a+60|0;j=f[c>>2]|0;if(j|0?(f[a+48>>2]|0)==0:0){i=f[j>>2]|0;if((i|0)>0){d=0;do{e=f[j+4+(d<<2)>>2]|0;if(e|0)bi[f[(f[e>>2]|0)+4>>2]&2047](e);d=d+1|0}while((d|0)!=(i|0));k=f[c>>2]|0}else k=j;fuc(k)}f[c>>2]=0;c=a+44|0;k=f[c>>2]|0;if(k|0?(f[a+32>>2]|0)==0:0){j=f[k>>2]|0;if((j|0)>0){i=0;do{d=f[k+4+(i<<2)>>2]|0;if(d|0)bi[f[(f[d>>2]|0)+4>>2]&2047](d);i=i+1|0}while((i|0)!=(j|0));l=f[c>>2]|0}else l=k;fuc(l)}f[c>>2]=0;c=a+28|0;l=f[c>>2]|0;if(l|0?(f[a+16>>2]|0)==0:0){k=f[l>>2]|0;if((k|0)>0){j=0;do{i=f[l+4+(j<<2)>>2]|0;if(i|0){if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0);fuc(i)}j=j+1|0}while((j|0)!=(k|0));m=f[c>>2]|0}else m=l;fuc(m)}f[c>>2]=0;c=a+4|0;a=f[c>>2]|0;if(!(a&1)){f[c>>2]=0;return}m=a&-2;a=m;if((m|0)==0|(f[a+4>>2]|0)!=0){f[c>>2]=0;return}if(f[a>>2]|0)ebc(a);fuc(m);f[c>>2]=0;return}function k$b(a){a=a|0;j$b(a);fuc(a);return}function l$b(a){a=a|0;a=cuc(140)|0;F$b(a);return a|0}function m$b(a,b){a=a|0;b=b|0;var c=0;if(!b){a=cuc(140)|0;F$b(a);c=a;return c|0}if(f[b+64>>2]|0)HIb(b,24496,144);a=FIb(b,144)|0;G$b(a,b);c=a;return c|0}function n$b(a){a=a|0;var b=0,c=0;b=f[a+4>>2]|0;a=b&-2;if(!(b&1)){c=a;return c|0}else{c=f[a+4>>2]|0;return c|0}return 0}function o$b(a){a=a|0;return f[a+4>>2]|0}function p$b(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0;c=a+20|0;d=f[c>>2]|0;if((d|0)>0){e=f[a+28>>2]|0;g=0;do{h=f[e+4+(g<<2)>>2]|0;g=g+1|0;i=h+11|0;if((b[i>>0]|0)<0){b[f[h>>2]>>0]=0;f[h+4>>2]=0}else{b[h>>0]=0;b[i>>0]=0}}while((g|0)!=(d|0));f[c>>2]=0}c=a+36|0;d=f[c>>2]|0;if((d|0)>0){g=f[a+44>>2]|0;e=0;do{YZb(f[g+4+(e<<2)>>2]|0);e=e+1|0}while((e|0)!=(d|0));f[c>>2]=0}c=a+52|0;d=f[c>>2]|0;if((d|0)>0){e=f[a+60>>2]|0;g=0;do{_Xb(f[e+4+(g<<2)>>2]|0);g=g+1|0}while((g|0)!=(d|0));f[c>>2]=0}c=a+68|0;d=f[c>>2]|0;if((d|0)>0){g=f[a+76>>2]|0;e=0;do{iXb(f[g+4+(e<<2)>>2]|0);e=e+1|0}while((e|0)!=(d|0));f[c>>2]=0}c=a+84|0;d=f[c>>2]|0;if((d|0)>0){e=f[a+92>>2]|0;g=0;do{jZb(f[e+4+(g<<2)>>2]|0);g=g+1|0}while((g|0)!=(d|0));f[c>>2]=0}f[a+96>>2]=0;f[a+108>>2]=0;c=a+8|0;d=f[c>>2]|0;if(d&31|0){do if(d&1|0?(g=f[a+120>>2]|0,(g|0)!=542896):0){e=g+11|0;if((b[e>>0]|0)<0){b[f[g>>2]>>0]=0;f[g+4>>2]=0;break}else{b[g>>0]=0;b[e>>0]=0;break}}while(0);do if(d&2|0?(e=f[a+124>>2]|0,(e|0)!=542896):0){g=e+11|0;if((b[g>>0]|0)<0){b[f[e>>2]>>0]=0;f[e+4>>2]=0;break}else{b[e>>0]=0;b[g>>0]=0;break}}while(0);do if(d&4|0?(g=f[a+128>>2]|0,(g|0)!=542896):0){e=g+11|0;if((b[e>>0]|0)<0){b[f[g>>2]>>0]=0;f[g+4>>2]=0;break}else{b[g>>0]=0;b[e>>0]=0;break}}while(0);if(d&8|0)sWb(f[a+132>>2]|0);if(d&16|0){d=f[a+136>>2]|0;e=d+20|0;g=f[e>>2]|0;if((g|0)>0){i=f[d+28>>2]|0;h=0;do{ESb(f[i+4+(h<<2)>>2]|0);h=h+1|0}while((h|0)!=(g|0));f[e>>2]=0}f[d+8>>2]=0;e=f[d+4>>2]|0;if(e&1|0?(d=e&-2,f[d>>2]|0):0)ebc(d)}}f[c>>2]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;ebc(a);return}function q$b(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;b=a+44|0;c=f[a+36>>2]|0;while(1){if((c|0)<=0)break;c=c+-1|0;if(!(ZZb(f[(f[b>>2]|0)+4+(c<<2)>>2]|0)|0)){d=0;e=29;break}}if((e|0)==29)return d|0;c=a+60|0;b=f[a+52>>2]|0;while(1){if((b|0)<=0)break;b=b+-1|0;if(!($Xb(f[(f[c>>2]|0)+4+(b<<2)>>2]|0)|0)){d=0;e=29;break}}if((e|0)==29)return d|0;b=a+76|0;c=f[a+68>>2]|0;while(1){if((c|0)<=0)break;c=c+-1|0;if(!(jXb(f[(f[b>>2]|0)+4+(c<<2)>>2]|0)|0)){d=0;e=29;break}}if((e|0)==29)return d|0;c=f[a+84>>2]|0;a:do if((c|0)>0){b=a+92|0;g=c;b:while(1){h=g;g=g+-1|0;i=f[(f[b>>2]|0)+4+(g<<2)>>2]|0;if(f[i+8>>2]&32|0){j=f[i+36>>2]|0;if(!(Bdc(j+4|0)|0)){d=0;e=29;break}i=f[j+36>>2]|0;if((i|0)>0){k=f[j+44>>2]|0;j=i;do{i=j;j=j+-1|0;l=f[k+4+(j<<2)>>2]|0;m=f[l+28>>2]|0;n=f[l+20>>2]|0;while(1){if((n|0)<=0)break;n=n+-1|0;if((f[(f[m+4+(n<<2)>>2]|0)+8>>2]&3|0)!=3){d=0;e=29;break b}}}while((i|0)>1)}}if((h|0)<=1)break a}if((e|0)==29)return d|0}while(0);if(!(f[a+8>>2]&8)){d=1;return d|0}c=f[a+132>>2]|0;if(!(Bdc(c+4|0)|0)){d=0;return d|0}a=f[c+36>>2]|0;if((a|0)<=0){d=1;return d|0}g=f[c+44>>2]|0;c=a;c:while(1){a=c;c=c+-1|0;b=f[g+4+(c<<2)>>2]|0;j=f[b+28>>2]|0;k=f[b+20>>2]|0;while(1){if((k|0)<=0)break;k=k+-1|0;if((f[(f[j+4+(k<<2)>>2]|0)+8>>2]&3|0)!=3){d=0;e=29;break c}}if((a|0)<=1){d=1;e=29;break}}if((e|0)==29)return d|0;return 0}function r$b(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0;d=u;u=u+16|0;e=d;g=c+4|0;h=a+8|0;i=a+120|0;j=a+4|0;k=a+124|0;l=a+16|0;m=a+32|0;n=e+4|0;o=a+48|0;p=e+4|0;q=a+64|0;r=a+76|0;s=a+72|0;t=a+68|0;v=e+4|0;w=a+80|0;x=e+4|0;y=a+132|0;z=e+4|0;A=a+136|0;B=e+4|0;C=a+96|0;D=a+100|0;E=a+104|0;F=a+108|0;G=a+112|0;H=a+116|0;I=a+128|0;a:while(1){K=f[c>>2]|0;if(K>>>0<(f[g>>2]|0)>>>0){L=b[K>>0]|0;M=L&255;if(L<<24>>24>0){f[c>>2]=K+1;N=M;O=6}else{P=M;O=5}}else{P=0;O=5}if((O|0)==5){O=0;M=OJb(c,P)|0;if((M+-1|0)>>>0<127){N=M;O=6}else Q=M}b:do if((O|0)==6){O=0;do switch(N>>>3&536870911|0){case 1:{if((N&255|0)!=10){Q=N;break b}f[h>>2]=f[h>>2]|1;M=f[j>>2]|0;K=M&-2;if(!(M&1))R=K;else R=f[K+4>>2]|0;K=f[i>>2]|0;if((K|0)==542896){QGa(i,R,542896);S=f[i>>2]|0}else S=K;if($Lb(c,S)|0)continue a;else{T=0;O=139;break a}break}case 2:{if((N&255|0)!=18){Q=N;break b}f[h>>2]=f[h>>2]|2;K=f[j>>2]|0;M=K&-2;if(!(K&1))U=M;else U=f[M+4>>2]|0;M=f[k>>2]|0;if((M|0)==542896){QGa(k,U,542896);V=f[k>>2]|0}else V=M;if($Lb(c,V)|0)continue a;else{T=0;O=139;break a}break}case 3:{if((N&255|0)!=26){Q=N;break b}if($Lb(c,MEa(l)|0)|0)continue a;else{T=0;O=139;break a}break}case 4:{if((N&255|0)!=34){Q=N;break b}M=JPb(m)|0;K=f[c>>2]|0;if(K>>>0<(f[g>>2]|0)>>>0?(L=b[K>>0]|0,L<<24>>24>-1):0){f[c>>2]=K+1;W=L&255}else{L=NJb(c)|0;if((L|0)>-1)W=L;else{T=0;O=139;break a}}yJb(e,c,W);if((f[n>>2]|0)<0){O=30;break a}if(!(Th[f[(f[M>>2]|0)+44>>2]&1023](M,c)|0)){O=30;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{T=0;O=139;break a}break}case 5:{if((N&255|0)!=42){Q=N;break b}M=LPb(o)|0;L=f[c>>2]|0;if(L>>>0<(f[g>>2]|0)>>>0?(K=b[L>>0]|0,K<<24>>24>-1):0){f[c>>2]=L+1;X=K&255}else{K=NJb(c)|0;if((K|0)>-1)X=K;else{T=0;O=139;break a}}yJb(e,c,X);if((f[p>>2]|0)<0){O=39;break a}if(!(Th[f[(f[M>>2]|0)+44>>2]&1023](M,c)|0)){O=39;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{T=0;O=139;break a}break}case 6:{if((N&255|0)!=50){Q=N;break b}M=f[r>>2]|0;do if(M){K=f[t>>2]|0;L=f[M>>2]|0;if((K|0)>=(L|0))if((L|0)==(f[s>>2]|0)){Y=L;O=47;break}else{Z=L;_=M;O=48;break}else{f[t>>2]=K+1;$=f[M+4+(K<<2)>>2]|0;break}}else{Y=f[s>>2]|0;O=47}while(0);if((O|0)==47){O=0;LKb(q,Y+1|0);M=f[r>>2]|0;Z=f[M>>2]|0;_=M;O=48}if((O|0)==48){O=0;f[_>>2]=Z+1;M=f[q>>2]|0;if(!M){K=cuc(40)|0;xXb(K);aa=K}else{if(f[M+64>>2]|0)HIb(M,24336,40);K=FIb(M,40)|0;yXb(K,M);aa=K}K=f[r>>2]|0;M=f[t>>2]|0;f[t>>2]=M+1;f[K+4+(M<<2)>>2]=aa;$=aa}M=f[c>>2]|0;if(M>>>0<(f[g>>2]|0)>>>0?(K=b[M>>0]|0,K<<24>>24>-1):0){f[c>>2]=M+1;ba=K&255}else{K=NJb(c)|0;if((K|0)>-1)ba=K;else{T=0;O=139;break a}}yJb(e,c,ba);if((f[v>>2]|0)<0){O=60;break a}if(!(Th[f[(f[$>>2]|0)+44>>2]&1023]($,c)|0)){O=60;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{T=0;O=139;break a}break}case 7:{if((N&255|0)!=58){Q=N;break b}K=OPb(w)|0;M=f[c>>2]|0;if(M>>>0<(f[g>>2]|0)>>>0?(L=b[M>>0]|0,L<<24>>24>-1):0){f[c>>2]=M+1;ca=L&255}else{L=NJb(c)|0;if((L|0)>-1)ca=L;else{T=0;O=139;break a}}yJb(e,c,ca);if((f[x>>2]|0)<0){O=69;break a}if(!(Th[f[(f[K>>2]|0)+44>>2]&1023](K,c)|0)){O=69;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{T=0;O=139;break a}break}case 8:{if((N&255|0)!=66){Q=N;break b}f[h>>2]=f[h>>2]|8;K=f[y>>2]|0;if(!K){C$b(a);da=f[y>>2]|0}else da=K;K=f[c>>2]|0;if(K>>>0<(f[g>>2]|0)>>>0?(L=b[K>>0]|0,L<<24>>24>-1):0){f[c>>2]=K+1;ea=L&255}else{L=NJb(c)|0;if((L|0)>-1)ea=L;else{T=0;O=139;break a}}yJb(e,c,ea);if((f[z>>2]|0)<0){O=80;break a}if(!(Th[f[(f[da>>2]|0)+44>>2]&1023](da,c)|0)){O=80;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{T=0;O=139;break a}break}case 9:{if((N&255|0)!=74){Q=N;break b}f[h>>2]=f[h>>2]|16;L=f[A>>2]|0;if(!L){D$b(a);fa=f[A>>2]|0}else fa=L;L=f[c>>2]|0;if(L>>>0<(f[g>>2]|0)>>>0?(K=b[L>>0]|0,K<<24>>24>-1):0){f[c>>2]=L+1;ga=K&255}else{K=NJb(c)|0;if((K|0)>-1)ga=K;else{T=0;O=139;break a}}yJb(e,c,ga);if((f[B>>2]|0)<0){O=91;break a}if(!(Th[f[(f[fa>>2]|0)+44>>2]&1023](fa,c)|0)){O=91;break a}if(DJb(c,f[e>>2]|0)|0)continue a;else{T=0;O=139;break a}break}case 10:{switch((N&255)<<24>>24){case 80:break;case 82:{if(Igb(c,C)|0)continue a;else{T=0;O=139;break a}break}default:{Q=N;break b}}K=f[c>>2]|0;if(K>>>0<(f[g>>2]|0)>>>0){L=b[K>>0]|0;M=L&255;if(L<<24>>24>-1){f[c>>2]=K+1;ha=M}else{ia=M;O=97}}else{ia=0;O=97}if((O|0)==97){O=0;M=zJb(c,ia)|0;K=J;if((K|0)>-1|(K|0)==-1&M>>>0>4294967295)ha=M;else{T=0;O=139;break a}}M=f[C>>2]|0;if((M|0)==(f[D>>2]|0)){NEa(C,M+1|0);ja=f[C>>2]|0}else ja=M;M=f[E>>2]|0;f[C>>2]=ja+1;f[M+4+(ja<<2)>>2]=ha;K=(f[D>>2]|0)-(f[C>>2]|0)|0;if((K|0)>0){ka=K;la=M}else continue a;while(1){M=f[c>>2]|0;K=f[g>>2]|0;if(M>>>0>=K>>>0)continue a;if((b[M>>0]|0)!=80)continue a;L=M+1|0;f[c>>2]=L;if(L>>>0<K>>>0){K=b[L>>0]|0;L=K&255;if(K<<24>>24>-1){f[c>>2]=M+2;ma=L;na=la}else{oa=L;O=105}}else{oa=0;O=105}if((O|0)==105){O=0;L=zJb(c,oa)|0;M=J;if(!((M|0)>-1|(M|0)==-1&L>>>0>4294967295)){T=0;O=139;break a}ma=L;na=f[E>>2]|0}L=f[C>>2]|0;f[C>>2]=L+1;f[na+4+(L<<2)>>2]=ma;if((ka|0)>1){ka=ka+-1|0;la=na}else continue a}break}case 11:{switch((N&255)<<24>>24){case 88:break;case 90:{if(Igb(c,F)|0)continue a;else{T=0;O=139;break a}break}default:{Q=N;break b}}L=f[c>>2]|0;if(L>>>0<(f[g>>2]|0)>>>0){M=b[L>>0]|0;K=M&255;if(M<<24>>24>-1){f[c>>2]=L+1;pa=K}else{qa=K;O=114}}else{qa=0;O=114}if((O|0)==114){O=0;K=zJb(c,qa)|0;L=J;if((L|0)>-1|(L|0)==-1&K>>>0>4294967295)pa=K;else{T=0;O=139;break a}}K=f[F>>2]|0;if((K|0)==(f[G>>2]|0)){NEa(F,K+1|0);ra=f[F>>2]|0}else ra=K;K=f[H>>2]|0;f[F>>2]=ra+1;f[K+4+(ra<<2)>>2]=pa;L=(f[G>>2]|0)-(f[F>>2]|0)|0;if((L|0)>0){sa=L;ta=K}else continue a;while(1){K=f[c>>2]|0;L=f[g>>2]|0;if(K>>>0>=L>>>0)continue a;if((b[K>>0]|0)!=88)continue a;M=K+1|0;f[c>>2]=M;if(M>>>0<L>>>0){L=b[M>>0]|0;M=L&255;if(L<<24>>24>-1){f[c>>2]=K+2;ua=M;va=ta}else{wa=M;O=122}}else{wa=0;O=122}if((O|0)==122){O=0;M=zJb(c,wa)|0;K=J;if(!((K|0)>-1|(K|0)==-1&M>>>0>4294967295)){T=0;O=139;break a}ua=M;va=f[H>>2]|0}M=f[F>>2]|0;f[F>>2]=M+1;f[va+4+(M<<2)>>2]=ua;if((sa|0)>1){sa=sa+-1|0;ta=va}else continue a}break}case 12:{if((N&255|0)!=98){Q=N;break b}f[h>>2]=f[h>>2]|4;M=f[j>>2]|0;K=M&-2;if(!(M&1))xa=K;else xa=f[K+4>>2]|0;K=f[I>>2]|0;if((K|0)==542896){QGa(I,xa,542896);ya=f[I>>2]|0}else ya=K;if($Lb(c,ya)|0)continue a;else{T=0;O=139;break a}break}default:{Q=N;break b}}while(0)}while(0);if(!Q){T=1;O=139;break}K=f[j>>2]|0;if(!(K&1))za=OOa(j)|0;else za=K&-2;if(!(xbc(c,Q,za)|0)){T=0;O=139;break}}if((O|0)==30){T=0;u=d;return T|0}else if((O|0)==39){T=0;u=d;return T|0}else if((O|0)==60){T=0;u=d;return T|0}else if((O|0)==69){T=0;u=d;return T|0}else if((O|0)==80){T=0;u=d;return T|0}else if((O|0)==91){T=0;u=d;return T|0}else if((O|0)==139){u=d;return T|0}return 0}function s$b(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;c=f[a+4>>2]|0;if(!(c&1))d=0;else d=Dbc(c&-2)|0;c=f[a+20>>2]|0;e=c+d|0;if((c|0)>0){d=f[a+28>>2]|0;g=0;h=e;while(1){i=f[d+4+(g<<2)>>2]|0;j=b[i+11>>0]|0;k=j<<24>>24<0?f[i+4>>2]|0:j&255;j=k+h+((((($(k|1|0)|0)^31)*9|0)+73|0)>>>6)|0;g=g+1|0;if((g|0)==(c|0)){l=j;break}else h=j}}else l=e;e=f[a+36>>2]|0;h=e+l|0;if(!e)m=h;else{l=a+44|0;c=0;g=h;while(1){h=f[(f[l>>2]|0)+4+(c<<2)>>2]|0;d=di[f[(f[h>>2]|0)+48>>2]&1023](h)|0;h=d+g+((((($(d|1|0)|0)^31)*9|0)+73|0)>>>6)|0;c=c+1|0;if((c|0)==(e|0)){m=h;break}else g=h}}g=f[a+52>>2]|0;e=g+m|0;if(!g)n=e;else{m=a+60|0;c=0;l=e;while(1){e=f[(f[m>>2]|0)+4+(c<<2)>>2]|0;h=di[f[(f[e>>2]|0)+48>>2]&1023](e)|0;e=h+l+((((($(h|1|0)|0)^31)*9|0)+73|0)>>>6)|0;c=c+1|0;if((c|0)==(g|0)){n=e;break}else l=e}}l=f[a+68>>2]|0;g=l+n|0;if(!l)o=g;else{n=a+76|0;c=0;m=g;while(1){g=f[(f[n>>2]|0)+4+(c<<2)>>2]|0;e=di[f[(f[g>>2]|0)+48>>2]&1023](g)|0;g=e+m+((((($(e|1|0)|0)^31)*9|0)+73|0)>>>6)|0;c=c+1|0;if((c|0)==(l|0)){o=g;break}else m=g}}m=f[a+84>>2]|0;l=m+o|0;if(!m)p=l;else{o=a+92|0;c=0;n=l;while(1){l=f[(f[o>>2]|0)+4+(c<<2)>>2]|0;g=di[f[(f[l>>2]|0)+48>>2]&1023](l)|0;l=g+n+((((($(g|1|0)|0)^31)*9|0)+73|0)>>>6)|0;c=c+1|0;if((c|0)==(m|0)){p=l;break}else n=l}}n=bMb(a+96|0)|0;m=f[a+96>>2]|0;c=bMb(a+108|0)|0;o=n+p+m+c+(f[a+108>>2]|0)|0;c=a+8|0;m=f[c>>2]|0;if(!(m&31)){q=o;r=a+12|0;f[r>>2]=q;return q|0}if(!(m&1))s=o;else{p=f[a+120>>2]|0;n=b[p+11>>0]|0;l=n<<24>>24<0?f[p+4>>2]|0:n&255;s=o+1+l+((((($(l|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(m&2))t=s;else{l=f[a+124>>2]|0;o=b[l+11>>0]|0;n=o<<24>>24<0?f[l+4>>2]|0:o&255;t=s+1+n+((((($(n|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(m&4))u=t;else{n=f[a+128>>2]|0;s=b[n+11>>0]|0;o=s<<24>>24<0?f[n+4>>2]|0:s&255;u=t+1+o+((((($(o|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(m&8)){v=u;w=m}else{m=f[a+132>>2]|0;o=di[f[(f[m>>2]|0)+48>>2]&1023](m)|0;m=u+1+o+((((($(o|1|0)|0)^31)*9|0)+73|0)>>>6)|0;v=m;w=f[c>>2]|0}if(!(w&16)){q=v;r=a+12|0;f[r>>2]=q;return q|0}w=f[a+136>>2]|0;c=di[f[(f[w>>2]|0)+48>>2]&1023](w)|0;q=v+1+c+((((($(c|1|0)|0)^31)*9|0)+73|0)>>>6)|0;r=a+12|0;f[r>>2]=q;return q|0}function t$b(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=f[a+8>>2]|0;if(c&1|0)VLb(1,f[a+120>>2]|0,b);if(c&2|0)VLb(2,f[a+124>>2]|0,b);d=f[a+20>>2]|0;if((d|0)>0){e=a+28|0;g=0;do{ULb(3,f[(f[e>>2]|0)+4+(g<<2)>>2]|0,b);g=g+1|0}while((g|0)!=(d|0))}d=f[a+36>>2]|0;if(d|0){g=a+44|0;e=0;do{_Lb(4,f[(f[g>>2]|0)+4+(e<<2)>>2]|0,b);e=e+1|0}while((e|0)!=(d|0))}d=f[a+52>>2]|0;if(d|0){e=a+60|0;g=0;do{_Lb(5,f[(f[e>>2]|0)+4+(g<<2)>>2]|0,b);g=g+1|0}while((g|0)!=(d|0))}d=f[a+68>>2]|0;if(d|0){g=a+76|0;e=0;do{_Lb(6,f[(f[g>>2]|0)+4+(e<<2)>>2]|0,b);e=e+1|0}while((e|0)!=(d|0))}d=f[a+84>>2]|0;if(d|0){e=a+92|0;g=0;do{_Lb(7,f[(f[e>>2]|0)+4+(g<<2)>>2]|0,b);g=g+1|0}while((g|0)!=(d|0))}if(c&8|0)_Lb(8,f[a+132>>2]|0,b);if(c&16|0)_Lb(9,f[a+136>>2]|0,b);d=f[a+96>>2]|0;if((d|0)>0){g=a+104|0;e=0;do{GLb(10,f[(f[g>>2]|0)+4+(e<<2)>>2]|0,b);e=e+1|0}while((e|0)!=(d|0))}d=f[a+108>>2]|0;if((d|0)>0){e=a+116|0;g=0;do{GLb(11,f[(f[e>>2]|0)+4+(g<<2)>>2]|0,b);g=g+1|0}while((g|0)!=(d|0))}if(c&4|0)VLb(12,f[a+128>>2]|0,b);c=f[a+4>>2]|0;if(!(c&1))return;Abc(c&-2,b);return}function u$b(a){a=a|0;return f[a+12>>2]|0}function v$b(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0;e=f[a+8>>2]|0;if(!(e&1))g=d;else{h=f[a+120>>2]|0;b[d>>0]=10;g=XJb(h,d+1|0)|0}if(!(e&2))i=g;else{d=f[a+124>>2]|0;b[g>>0]=18;i=XJb(d,g+1|0)|0}g=f[a+20>>2]|0;if((g|0)>0){d=a+28|0;h=0;j=i;while(1){k=f[(f[d>>2]|0)+4+(h<<2)>>2]|0;b[j>>0]=26;l=XJb(k,j+1|0)|0;h=h+1|0;if((h|0)==(g|0)){m=l;break}else j=l}}else m=i;i=f[a+36>>2]|0;if(!i)n=m;else{j=a+44|0;g=0;h=m;while(1){m=f[(f[j>>2]|0)+4+(g<<2)>>2]|0;b[h>>0]=34;d=h+1|0;l=di[f[(f[m>>2]|0)+60>>2]&1023](m)|0;if(l>>>0>127){k=l;o=d;while(1){b[o>>0]=k|128;p=k>>>7;q=o+1|0;if(k>>>0>16383){k=p;o=q}else{r=q;s=p;break}}}else{r=d;s=l}b[r>>0]=s;o=li[f[(f[m>>2]|0)+64>>2]&511](m,c,r+1|0)|0;g=g+1|0;if((g|0)==(i|0)){n=o;break}else h=o}}h=f[a+52>>2]|0;if(!h)t=n;else{i=a+60|0;g=0;r=n;while(1){n=f[(f[i>>2]|0)+4+(g<<2)>>2]|0;b[r>>0]=42;s=r+1|0;j=di[f[(f[n>>2]|0)+60>>2]&1023](n)|0;if(j>>>0>127){o=j;k=s;while(1){b[k>>0]=o|128;p=o>>>7;q=k+1|0;if(o>>>0>16383){o=p;k=q}else{u=q;v=p;break}}}else{u=s;v=j}b[u>>0]=v;k=li[f[(f[n>>2]|0)+64>>2]&511](n,c,u+1|0)|0;g=g+1|0;if((g|0)==(h|0)){t=k;break}else r=k}}r=f[a+68>>2]|0;if(!r)w=t;else{h=a+76|0;g=0;u=t;while(1){t=f[(f[h>>2]|0)+4+(g<<2)>>2]|0;b[u>>0]=50;v=u+1|0;i=di[f[(f[t>>2]|0)+60>>2]&1023](t)|0;if(i>>>0>127){k=i;o=v;while(1){b[o>>0]=k|128;m=k>>>7;l=o+1|0;if(k>>>0>16383){k=m;o=l}else{x=l;y=m;break}}}else{x=v;y=i}b[x>>0]=y;o=li[f[(f[t>>2]|0)+64>>2]&511](t,c,x+1|0)|0;g=g+1|0;if((g|0)==(r|0)){w=o;break}else u=o}}u=f[a+84>>2]|0;if(!u)z=w;else{r=a+92|0;g=0;x=w;while(1){w=f[(f[r>>2]|0)+4+(g<<2)>>2]|0;b[x>>0]=58;y=x+1|0;h=di[f[(f[w>>2]|0)+60>>2]&1023](w)|0;if(h>>>0>127){o=h;k=y;while(1){b[k>>0]=o|128;n=o>>>7;j=k+1|0;if(o>>>0>16383){o=n;k=j}else{A=j;B=n;break}}}else{A=y;B=h}b[A>>0]=B;k=li[f[(f[w>>2]|0)+64>>2]&511](w,c,A+1|0)|0;g=g+1|0;if((g|0)==(u|0)){z=k;break}else x=k}}if(!(e&8))C=z;else{x=f[a+132>>2]|0;b[z>>0]=66;u=z+1|0;z=di[f[(f[x>>2]|0)+60>>2]&1023](x)|0;if(z>>>0>127){g=z;A=u;while(1){b[A>>0]=g|128;B=g>>>7;r=A+1|0;if(g>>>0>16383){g=B;A=r}else{D=r;E=B;break}}}else{D=u;E=z}b[D>>0]=E;C=li[f[(f[x>>2]|0)+64>>2]&511](x,c,D+1|0)|0}if(!(e&16))F=C;else{D=f[a+136>>2]|0;b[C>>0]=74;x=C+1|0;C=di[f[(f[D>>2]|0)+60>>2]&1023](D)|0;if(C>>>0>127){E=C;z=x;while(1){b[z>>0]=E|128;u=E>>>7;A=z+1|0;if(E>>>0>16383){E=u;z=A}else{G=A;H=u;break}}}else{G=x;H=C}b[G>>0]=H;F=li[f[(f[D>>2]|0)+64>>2]&511](D,c,G+1|0)|0}G=f[a+96>>2]|0;if(!G)I=F;else{c=f[a+104>>2]|0;D=0;H=F;while(1){F=f[c+4+(D<<2)>>2]|0;b[H>>0]=80;C=H+1|0;x=F&255;if(F>>>0>127){z=C;E=x;u=F;A=((F|0)<0)<<31>>31;while(1){b[z>>0]=E|-128;F=u;u=pzc(u|0,A|0,7)|0;g=z+1|0;B=u&255;if(!(A>>>0>0|(A|0)==0&F>>>0>16383)){K=g;L=z;M=B;break}else{z=g;E=B;A=J}}}else{K=C;L=H;M=x}b[K>>0]=M;A=L+2|0;D=D+1|0;if((D|0)>=(G|0)){I=A;break}else H=A}}H=f[a+108>>2]|0;if(!H)N=I;else{G=f[a+116>>2]|0;D=0;L=I;while(1){I=f[G+4+(D<<2)>>2]|0;b[L>>0]=88;M=L+1|0;K=I&255;if(I>>>0>127){c=M;A=K;E=I;z=((I|0)<0)<<31>>31;while(1){b[c>>0]=A|-128;I=E;E=pzc(E|0,z|0,7)|0;u=c+1|0;w=E&255;if(!(z>>>0>0|(z|0)==0&I>>>0>16383)){O=u;P=c;Q=w;break}else{c=u;A=w;z=J}}}else{O=M;P=L;Q=K}b[O>>0]=Q;z=P+2|0;D=D+1|0;if((D|0)>=(H|0)){N=z;break}else L=z}}if(!(e&4))R=N;else{e=f[a+128>>2]|0;b[N>>0]=98;R=XJb(e,N+1|0)|0}N=f[a+4>>2]|0;if(!(N&1)){S=R;return S|0}S=Bbc(N&-2,R)|0;return S|0}function w$b(a,b){a=a|0;b=b|0;var c=0;if((a|0)==(b|0))return;p$b(a);c=ovc(b,24728,24496,0)|0;if(!c){A9b(b,a);return}else{A$b(a,c);return}}function x$b(a,b){a=a|0;b=b|0;var c=0;c=ovc(b,24728,24496,0)|0;if(!c){A9b(b,a);return}else{A$b(a,c);return}}function y$b(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function z$b(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[224998]|0)!=2){f[d>>2]=151624;f[d+4>>2]=135;b[d+8>>0]=0;xLb(899992,d);QKb(d)}d=544408;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function A$b(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;c=a+4|0;d=f[b+4>>2]|0;if(d&1|0){e=f[c>>2]|0;if(!(e&1))g=OOa(c)|0;else g=e&-2;hbc(g,d&-2)}YOa(a+16|0,b+16|0);j_b(a+32|0,b+32|0);k_b(a+48|0,b+48|0);B$b(a+64|0,b+64|0);i_b(a+80|0,b+80|0);d=a+96|0;g=b+96|0;e=f[g>>2]|0;if(e|0){NEa(d,(f[d>>2]|0)+e|0);szc((f[a+104>>2]|0)+4+(f[d>>2]<<2)|0,(f[b+104>>2]|0)+4|0,f[g>>2]<<2|0)|0;f[d>>2]=(f[d>>2]|0)+(f[g>>2]|0)}g=a+108|0;d=b+108|0;e=f[d>>2]|0;if(e|0){NEa(g,(f[g>>2]|0)+e|0);szc((f[a+116>>2]|0)+4+(f[g>>2]<<2)|0,(f[b+116>>2]|0)+4|0,f[d>>2]<<2|0)|0;f[g>>2]=(f[g>>2]|0)+(f[d>>2]|0)}d=f[b+8>>2]|0;if(!(d&31))return;do if(d&1|0){g=f[b+120>>2]|0;e=a+8|0;f[e>>2]=f[e>>2]|1;e=a+120|0;h=f[c>>2]|0;i=h&-2;if(!(h&1))j=i;else j=f[i+4>>2]|0;i=f[e>>2]|0;if((i|0)==542896){QGa(e,j,g);break}else{ruc(i,g)|0;break}}while(0);do if(d&2|0){j=f[b+124>>2]|0;g=a+8|0;f[g>>2]=f[g>>2]|2;g=a+124|0;i=f[c>>2]|0;e=i&-2;if(!(i&1))k=e;else k=f[e+4>>2]|0;e=f[g>>2]|0;if((e|0)==542896){QGa(g,k,j);break}else{ruc(e,j)|0;break}}while(0);do if(d&4|0){k=f[b+128>>2]|0;j=a+8|0;f[j>>2]=f[j>>2]|4;j=a+128|0;e=f[c>>2]|0;g=e&-2;if(!(e&1))l=g;else l=f[g+4>>2]|0;g=f[j>>2]|0;if((g|0)==542896){QGa(j,l,k);break}else{ruc(g,k)|0;break}}while(0);if(d&8|0){l=a+8|0;f[l>>2]=f[l>>2]|8;l=a+132|0;c=f[l>>2]|0;if(!c){C$b(a);m=f[l>>2]|0}else m=c;c=f[b+132>>2]|0;DWb(m,c|0?c:543632)}if(!(d&16))return;d=a+8|0;f[d>>2]=f[d>>2]|16;d=a+136|0;c=f[d>>2]|0;if(!c){D$b(a);n=f[d>>2]|0}else n=c;c=f[b+136>>2]|0;b=c|0?c:544288;c=n+4|0;d=f[b+4>>2]|0;if(d&1|0){a=f[c>>2]|0;if(!(a&1))o=OOa(c)|0;else o=a&-2;hbc(o,d&-2)}uSb(n+16|0,b+16|0);return}function B$b(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=f[b+4>>2]|0;if(!c)return;d=f[b+12>>2]|0;b=KKb(a,c)|0;e=a+12|0;g=a+4|0;h=(f[f[e>>2]>>2]|0)-(f[g>>2]|0)|0;if((h|0)>0&(c|0)>0){i=0;do{E$b(f[d+4+(i<<2)>>2]|0,f[b+(i<<2)>>2]|0);i=i+1|0}while((i|0)<(h|0)&(i|0)<(c|0))}i=f[a>>2]|0;a:do if((h|0)<(c|0)){a=i+64|0;if(!i){j=h;while(1){k=f[d+4+(j<<2)>>2]|0;l=cuc(40)|0;xXb(l);E$b(k,l);f[b+(j<<2)>>2]=l;j=j+1|0;if((j|0)>=(c|0))break a}}else m=h;do{j=f[d+4+(m<<2)>>2]|0;if(f[a>>2]|0)HIb(i,24336,40);l=FIb(i,40)|0;yXb(l,i);E$b(j,l);f[b+(m<<2)>>2]=l;m=m+1|0}while((m|0)!=(c|0))}while(0);m=(f[g>>2]|0)+c|0;f[g>>2]=m;g=f[e>>2]|0;if((f[g>>2]|0)>=(m|0))return;f[g>>2]=m;return}function C$b(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=f[a+4>>2]|0;c=b&-2;if(!(b&1))d=c;else d=f[c+4>>2]|0;if(!d){c=cuc(96)|0;EWb(c);e=c;g=a+132|0;f[g>>2]=e;return}if(f[d+64>>2]|0)HIb(d,24304,96);c=FIb(d,96)|0;FWb(c,d);e=c;g=a+132|0;f[g>>2]=e;return}function D$b(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=f[a+4>>2]|0;c=b&-2;if(!(b&1))d=c;else d=f[c+4>>2]|0;if(!d){c=cuc(32)|0;QSb(c);e=c;g=a+136|0;f[g>>2]=e;return}if(f[d+64>>2]|0)HIb(d,24128,32);c=FIb(d,32)|0;RSb(c,d);e=c;g=a+136|0;f[g>>2]=e;return}function E$b(a,b){a=a|0;b=b|0;tXb(b,a);return}function F$b(a){a=a|0;var c=0,d=0,e=0,g=0,h=0;c=u;u=u+16|0;d=c;f[a>>2]=156944;f[a+4>>2]=0;f[a+8>>2]=0;e=(a|0)==542944;g=a+16|0;h=g+104|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));if(!e?(f[225001]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=138;b[d+8>>0]=0;xLb(900004,d);QKb(d)}f[a+12>>2]=0;f[a+120>>2]=542896;f[a+124>>2]=542896;f[a+128>>2]=542896;d=a+132|0;f[d>>2]=0;f[d+4>>2]=0;u=c;return}function G$b(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=u;u=u+16|0;e=d;f[a>>2]=156944;f[a+4>>2]=c;f[a+8>>2]=0;f[a+16>>2]=c;f[a+20>>2]=0;f[a+24>>2]=0;f[a+28>>2]=0;f[a+32>>2]=c;f[a+36>>2]=0;f[a+40>>2]=0;f[a+44>>2]=0;f[a+48>>2]=c;f[a+52>>2]=0;f[a+56>>2]=0;f[a+60>>2]=0;f[a+64>>2]=c;f[a+68>>2]=0;f[a+72>>2]=0;f[a+76>>2]=0;f[a+80>>2]=c;g=a+84|0;h=a+104|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;f[g+16>>2]=0;f[g+20>>2]=0;if(!c){f[a+108>>2]=0;f[a+112>>2]=0;f[a+116>>2]=0}else{if(f[c+64>>2]|0)HIb(c,27008,8);g=FIb(c,8)|0;f[h>>2]=g;f[g>>2]=c;f[a+108>>2]=0;f[a+112>>2]=0;g=a+116|0;f[g>>2]=0;if(f[c+64>>2]|0)HIb(c,27008,8);h=FIb(c,8)|0;f[g>>2]=h;f[h>>2]=c}if((f[225001]|0)==2){i=a+12|0;f[i>>2]=0;j=a+120|0;f[j>>2]=542896;k=a+124|0;f[k>>2]=542896;l=a+128|0;f[l>>2]=542896;m=a+132|0;n=m;o=n;f[o>>2]=0;p=n+4|0;q=p;f[q>>2]=0;u=d;return}f[e>>2]=151624;f[e+4>>2]=138;b[e+8>>0]=0;xLb(900004,e);QKb(e);i=a+12|0;f[i>>2]=0;j=a+120|0;f[j>>2]=542896;k=a+124|0;f[k>>2]=542896;l=a+128|0;f[l>>2]=542896;m=a+132|0;n=m;o=n;f[o>>2]=0;p=n+4|0;q=p;f[q>>2]=0;u=d;return}function H$b(a){a=a|0;var c=0;c=f[a+120>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}c=f[a+124>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}c=f[a+128>>2]|0;if(!((c|0)==542896|(c|0)==0)){if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c)}if((a|0)==542944)return;c=f[a+132>>2]|0;if(c|0)bi[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+136>>2]|0;if(!c)return;bi[f[(f[c>>2]|0)+4>>2]&2047](c);return}function I$b(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=a+12|0;c=f[b>>2]|0;if(!c){f[b>>2]=0;return}if(f[a>>2]|0){f[b>>2]=0;return}a=f[c>>2]|0;if((a|0)>0){d=0;do{e=f[c+4+(d<<2)>>2]|0;if(e|0)bi[f[(f[e>>2]|0)+4>>2]&2047](e);d=d+1|0}while((d|0)!=(a|0));g=f[b>>2]|0}else g=c;fuc(g);f[b>>2]=0;return}function J$b(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=a+12|0;c=f[b>>2]|0;if(!c){f[b>>2]=0;return}if(f[a>>2]|0){f[b>>2]=0;return}a=f[c>>2]|0;if((a|0)>0){d=0;do{e=f[c+4+(d<<2)>>2]|0;if(e|0)bi[f[(f[e>>2]|0)+4>>2]&2047](e);d=d+1|0}while((d|0)!=(a|0));g=f[b>>2]|0}else g=c;fuc(g);f[b>>2]=0;return}function K$b(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=a+12|0;c=f[b>>2]|0;if(!c){f[b>>2]=0;return}if(f[a>>2]|0){f[b>>2]=0;return}a=f[c>>2]|0;if((a|0)>0){d=0;do{e=f[c+4+(d<<2)>>2]|0;if(e|0)bi[f[(f[e>>2]|0)+4>>2]&2047](e);d=d+1|0}while((d|0)!=(a|0));g=f[b>>2]|0}else g=c;fuc(g);f[b>>2]=0;return}function L$b(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=a+12|0;c=f[b>>2]|0;if(!c){f[b>>2]=0;return}if(f[a>>2]|0){f[b>>2]=0;return}a=f[c>>2]|0;if((a|0)>0){d=0;do{e=f[c+4+(d<<2)>>2]|0;if(e|0)bi[f[(f[e>>2]|0)+4>>2]&2047](e);d=d+1|0}while((d|0)!=(a|0));g=f[b>>2]|0}else g=c;fuc(g);f[b>>2]=0;return}function M$b(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=f[b+4>>2]|0;if(!c)return;d=f[b+12>>2]|0;b=KKb(a,c)|0;e=a+12|0;g=a+4|0;h=(f[f[e>>2]>>2]|0)-(f[g>>2]|0)|0;if((h|0)>0&(c|0)>0){i=0;do{N$b(f[d+4+(i<<2)>>2]|0,f[b+(i<<2)>>2]|0);i=i+1|0}while((i|0)<(h|0)&(i|0)<(c|0))}i=f[a>>2]|0;a:do if((h|0)<(c|0)){a=i+64|0;if(!i){j=h;while(1){k=f[d+4+(j<<2)>>2]|0;l=cuc(140)|0;F$b(l);N$b(k,l);f[b+(j<<2)>>2]=l;j=j+1|0;if((j|0)>=(c|0))break a}}else m=h;do{j=f[d+4+(m<<2)>>2]|0;if(f[a>>2]|0)HIb(i,24496,144);l=FIb(i,144)|0;G$b(l,i);N$b(j,l);f[b+(m<<2)>>2]=l;m=m+1|0}while((m|0)!=(c|0))}while(0);m=(f[g>>2]|0)+c|0;f[g>>2]=m;g=f[e>>2]|0;if((f[g>>2]|0)>=(m|0))return;f[g>>2]=m;return}function N$b(a,b){a=a|0;b=b|0;A$b(b,a);return}function O$b(a){a=a|0;var c=0,d=0,e=0;c=u;u=u+16|0;d=c;f[a>>2]=153704;f[a+4>>2]=0;f[a+8>>2]=0;e=a+16|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((a|0)!=542912?(f[225e3]|0)!=2:0){f[d>>2]=151624;f[d+4>>2]=137;b[d+8>>0]=0;xLb(9e5,d);QKb(d)}f[a+12>>2]=0;u=c;return}function P$b(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+16|0;e=d;f[a>>2]=153704;f[a+4>>2]=c;f[a+8>>2]=0;f[a+16>>2]=c;f[a+20>>2]=0;f[a+24>>2]=0;f[a+28>>2]=0;if((f[225e3]|0)==2){g=a+12|0;f[g>>2]=0;u=d;return}f[e>>2]=151624;f[e+4>>2]=137;b[e+8>>0]=0;xLb(9e5,e);QKb(e);g=a+12|0;f[g>>2]=0;u=d;return}function Q$b(){var a=0,c=0;a=u;u=u+16|0;c=a;if((f[224999]|0)==2){u=a;return}f[c>>2]=151624;f[c+4>>2]=136;b[c+8>>0]=0;xLb(899996,c);QKb(c);u=a;return}function R$b(){var a=0,c=0,d=0;a=u;u=u+16|0;c=a;if((f[224998]|0)==2){d=f[224996]|0;u=a;return d|0}f[c>>2]=151624;f[c+4>>2]=135;b[c+8>>0]=0;xLb(899992,c);QKb(c);d=f[224996]|0;u=a;return d|0}function S$b(){var a=0,c=0;a=u;u=u+16|0;c=a;if((f[225005]|0)==2){u=a;return 543296}f[c>>2]=151624;f[c+4>>2]=142;b[c+8>>0]=0;xLb(900020,c);QKb(c);u=a;return 543296}function T$b(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0;if((b|0)==(a|0))return;c=a+4|0;wdc(c);d=a+36|0;e=f[d>>2]|0;if((e|0)>0){g=f[a+44>>2]|0;h=0;do{YSb(f[g+4+(h<<2)>>2]|0);h=h+1|0}while((h|0)!=(e|0));f[d>>2]=0}f[a+24>>2]=0;d=a+20|0;e=f[d>>2]|0;if(e&1|0?(h=e&-2,f[h>>2]|0):0)ebc(h);xdc(c,b+4|0);c=f[b+20>>2]|0;if(c&1|0){h=f[d>>2]|0;if(!(h&1))i=OOa(d)|0;else i=h&-2;hbc(i,c&-2)}_Tb(a+32|0,b+32|0);return}function U$b(){var a=0,c=0;a=u;u=u+16|0;c=a;if((f[225013]|0)==2){u=a;return 543632}f[c>>2]=151624;f[c+4>>2]=150;b[c+8>>0]=0;xLb(900052,c);QKb(c);u=a;return 543632}function V$b(a,b){a=a|0;b=b|0;if((b|0)==(a|0))return;sWb(a);DWb(a,b);return}function W$b(){var a=0,c=0;a=u;u=u+16|0;c=a;if((f[225014]|0)==2){u=a;return 543728}f[c>>2]=151624;f[c+4>>2]=151;b[c+8>>0]=0;xLb(900056,c);QKb(c);u=a;return 543728}function X$b(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;if((b|0)==(a|0))return;wdc(a+4|0);c=a+36|0;d=f[c>>2]|0;if((d|0)>0){e=f[a+44>>2]|0;g=0;do{YSb(f[e+4+(g<<2)>>2]|0);g=g+1|0}while((g|0)!=(d|0));f[c>>2]=0}f[a+48>>2]=0;f[a+24>>2]=0;c=f[a+20>>2]|0;if(c&1|0?(d=c&-2,f[d>>2]|0):0)ebc(d);jWb(a,b);return}function Y$b(){var a=0,c=0;a=u;u=u+16|0;c=a;if((f[225015]|0)==2){u=a;return 543784}f[c>>2]=151624;f[c+4>>2]=152;b[c+8>>0]=0;xLb(900060,c);QKb(c);u=a;return 543784}function Z$b(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;if((b|0)==(a|0))return;wdc(a+4|0);c=a+36|0;d=f[c>>2]|0;if((d|0)>0){e=f[a+44>>2]|0;g=0;do{YSb(f[e+4+(g<<2)>>2]|0);g=g+1|0}while((g|0)!=(d|0));f[c>>2]=0}c=a+24|0;if(f[c>>2]&63|0){d=a+48|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0}f[c>>2]=0;c=f[a+20>>2]|0;if(c&1|0?(d=c&-2,f[d>>2]|0):0)ebc(d);RVb(a,b);return}function _$b(){var a=0,c=0;a=u;u=u+16|0;c=a;if((f[225016]|0)==2){u=a;return 543848}f[c>>2]=151624;f[c+4>>2]=153;b[c+8>>0]=0;xLb(900064,c);QKb(c);u=a;return 543848}function $$b(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0;if((b|0)==(a|0))return;c=a+4|0;wdc(c);d=a+36|0;e=f[d>>2]|0;if((e|0)>0){g=f[a+44>>2]|0;h=0;do{YSb(f[g+4+(h<<2)>>2]|0);h=h+1|0}while((h|0)!=(e|0));f[d>>2]=0}f[a+24>>2]=0;d=a+20|0;e=f[d>>2]|0;if(e&1|0?(h=e&-2,f[h>>2]|0):0)ebc(h);xdc(c,b+4|0);c=f[b+20>>2]|0;if(c&1|0){h=f[d>>2]|0;if(!(h&1))i=OOa(d)|0;else i=h&-2;hbc(i,c&-2)}_Tb(a+32|0,b+32|0);return}function a0b(){var a=0,c=0;a=u;u=u+16|0;c=a;if((f[225017]|0)==2){u=a;return 543896}f[c>>2]=151624;f[c+4>>2]=154;b[c+8>>0]=0;xLb(900068,c);QKb(c);u=a;return 543896}function b0b(a,b){a=a|0;b=b|0;var c=0,e=0,g=0,h=0;if((b|0)==(a|0))return;wdc(a+4|0);c=a+36|0;e=f[c>>2]|0;if((e|0)>0){g=f[a+44>>2]|0;h=0;do{YSb(f[g+4+(h<<2)>>2]|0);h=h+1|0}while((h|0)!=(e|0));f[c>>2]=0}d[a+48>>1]=0;f[a+24>>2]=0;c=f[a+20>>2]|0;if(c&1|0?(e=c&-2,f[e>>2]|0):0)ebc(e);eVb(a,b);return}function c0b(){var a=0,c=0;a=u;u=u+16|0;c=a;if((f[225018]|0)==2){u=a;return 543952}f[c>>2]=151624;f[c+4>>2]=155;b[c+8>>0]=0;xLb(900072,c);QKb(c);u=a;return 543952}function d0b(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;if((c|0)==(a|0))return;d=a+4|0;wdc(d);e=a+36|0;g=f[e>>2]|0;if((g|0)>0){h=f[a+44>>2]|0;i=0;do{YSb(f[h+4+(i<<2)>>2]|0);i=i+1|0}while((i|0)!=(g|0));f[e>>2]=0}e=a+48|0;b[e>>0]=0;g=a+24|0;f[g>>2]=0;i=a+20|0;h=f[i>>2]|0;if(h&1|0?(j=h&-2,f[j>>2]|0):0)ebc(j);xdc(d,c+4|0);d=f[c+20>>2]|0;if(d&1|0){j=f[i>>2]|0;if(!(j&1))k=OOa(i)|0;else k=j&-2;hbc(k,d&-2)}_Tb(a+32|0,c+32|0);if(!(f[c+24>>2]&1))return;a=b[c+48>>0]|0;f[g>>2]=f[g>>2]|1;b[e>>0]=a;return}function e0b(){var a=0,c=0;a=u;u=u+16|0;c=a;if((f[225019]|0)==2){u=a;return 544008}f[c>>2]=151624;f[c+4>>2]=156;b[c+8>>0]=0;xLb(900076,c);QKb(c);u=a;return 544008}function f0b(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;if((c|0)==(a|0))return;d=a+4|0;wdc(d);e=a+36|0;g=f[e>>2]|0;if((g|0)>0){h=f[a+44>>2]|0;i=0;do{YSb(f[h+4+(i<<2)>>2]|0);i=i+1|0}while((i|0)!=(g|0));f[e>>2]=0}e=a+48|0;b[e>>0]=0;g=a+24|0;f[g>>2]=0;i=a+20|0;h=f[i>>2]|0;if(h&1|0?(j=h&-2,f[j>>2]|0):0)ebc(j);xdc(d,c+4|0);d=f[c+20>>2]|0;if(d&1|0){j=f[i>>2]|0;if(!(j&1))k=OOa(i)|0;else k=j&-2;hbc(k,d&-2)}_Tb(a+32|0,c+32|0);if(!(f[c+24>>2]&1))return;a=b[c+48>>0]|0;f[g>>2]=f[g>>2]|1;b[e>>0]=a;return}function g0b(){var a=0,c=0;a=u;u=u+16|0;c=a;if((f[225020]|0)==2){u=a;return 544064}f[c>>2]=151624;f[c+4>>2]=157;b[c+8>>0]=0;xLb(900080,c);QKb(c);u=a;return 544064}function h0b(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;if((b|0)==(a|0))return;wdc(a+4|0);c=a+36|0;d=f[c>>2]|0;if((d|0)>0){e=f[a+44>>2]|0;g=0;do{YSb(f[e+4+(g<<2)>>2]|0);g=g+1|0}while((g|0)!=(d|0));f[c>>2]=0}c=a+24|0;if(f[c>>2]&3|0){d=a+48|0;f[d>>2]=0;f[d+4>>2]=0}f[c>>2]=0;c=f[a+20>>2]|0;if(c&1|0?(d=c&-2,f[d>>2]|0):0)ebc(d);ZTb(a,b);return}function i0b(){var a=0,c=0;a=u;u=u+16|0;c=a;if((f[225024]|0)==2){u=a;return 544288}f[c>>2]=151624;f[c+4>>2]=161;b[c+8>>0]=0;xLb(900096,c);QKb(c);u=a;return 544288}function j0b(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0;if((b|0)==(a|0))return;c=a+20|0;d=f[c>>2]|0;if((d|0)>0){e=f[a+28>>2]|0;g=0;do{ESb(f[e+4+(g<<2)>>2]|0);g=g+1|0}while((g|0)!=(d|0));f[c>>2]=0}f[a+8>>2]=0;c=a+4|0;d=f[c>>2]|0;if(d&1|0?(g=d&-2,f[g>>2]|0):0)ebc(g);g=f[b+4>>2]|0;if(g&1|0){d=f[c>>2]|0;if(!(d&1))h=OOa(c)|0;else h=d&-2;hbc(h,g&-2)}uSb(a+16|0,b+16|0);return}function k0b(a,b){a=a|0;b=b|0;return 0}function l0b(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;f[a>>2]=157088;b=a+40|0;c=a+44|0;d=f[c>>2]|0;e=f[b>>2]|0;g=e;if((d|0)==(e|0)){h=d;i=g}else{d=0;e=g;while(1){fuc(f[e+(d<<2)>>2]|0);d=d+1|0;g=f[c>>2]|0;j=f[b>>2]|0;k=j;if(d>>>0>=g-j>>2>>>0){h=g;i=k;break}else e=k}}e=h;if(i|0){if((e|0)!=(i|0))f[c>>2]=e+(~((e+-4-i|0)>>>2)<<2);fuc(i)}y0b(a+28|0,f[a+32>>2]|0);z0b(a+16|0,f[a+20>>2]|0);z0b(a+4|0,f[a+8>>2]|0);return}function m0b(a){a=a|0;l0b(a);fuc(a);return}function n0b(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+16|0;e=d;f[e>>2]=0;f[e+4>>2]=0;g=x0b(a+4|0,b)|0;b=(g|0)==(a+8|0)?e:g+28|0;g=f[b>>2]|0;if(!g){h=0;u=d;return h|0}h=DKb(c,g,f[b+4>>2]|0)|0;u=d;return h|0}function o0b(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+16|0;e=d;v0b(e,a+4|0,b);b=f[e>>2]|0;if(!b){g=0;u=d;return g|0}g=DKb(c,b,f[e+4>>2]|0)|0;u=d;return g|0}function p0b(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0;g=u;u=u+32|0;h=g+8|0;i=g;ouc(h,c);f[h+12>>2]=d;f[i>>2]=0;f[i+4>>2]=0;d=t0b(a+28|0,h)|0;c=(d|0)==(a+32|0)?i:d+32|0;d=f[c>>2]|0;i=f[c+4>>2]|0;if((b[h+11>>0]|0)<0)fuc(f[h>>2]|0);if(!d){j=0;u=g;return j|0}j=DKb(e,d,i)|0;u=g;return j|0}function q0b(a,b,c){a=a|0;b=b|0;c=c|0;return r0b(a+4|0,b,c)|0}function r0b(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;e=u;u=u+16|0;g=e;ouc(g,c);f[g+12>>2]=0;h=a+28|0;i=s0b(a+24|0,g,f[h>>2]|0,h)|0;if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);if((i|0)==(h|0)){j=0;u=e;return j|0}g=c+11|0;a=c+4|0;k=d+4|0;l=d+8|0;m=0;n=i;a:while(1){i=n+16|0;o=b[i+11>>0]|0;p=o<<24>>24<0;q=o&255;o=p?f[n+20>>2]|0:q;r=b[g>>0]|0;s=r<<24>>24<0;if((o|0)!=((s?f[a>>2]|0:r&255)|0)){j=m;t=22;break}r=f[i>>2]|0;v=p?r:i;w=s?f[c>>2]|0:c;s=(o|0)==0;b:do if(p){if(!s?ahc(v,w,o)|0:0){j=m;t=22;break a}}else if(!s){if((r&255)<<24>>24==(b[w>>0]|0)){x=i;y=q;z=w}else{j=m;t=22;break a}while(1){y=y+-1|0;x=x+1|0;if(!y)break b;z=z+1|0;if((b[x>>0]|0)!=(b[z>>0]|0)){j=m;t=22;break a}}}while(0);w=n+28|0;q=f[k>>2]|0;if((q|0)==(f[l>>2]|0))es(d,w);else{f[q>>2]=f[w>>2];f[k>>2]=q+4}q=f[n+4>>2]|0;if(!q){w=n+8|0;i=f[w>>2]|0;if((f[i>>2]|0)==(n|0))A=i;else{i=w;do{w=f[i>>2]|0;i=w+8|0;r=f[i>>2]|0}while((f[r>>2]|0)!=(w|0));A=r}}else{i=q;while(1){r=f[i>>2]|0;if(!r)break;else i=r}A=i}if((A|0)==(h|0)){j=1;t=22;break}else{m=1;n=A}}if((t|0)==22){u=e;return j|0}return 0}function s0b(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;if(!d){g=e;return g|0}a=b[c+11>>0]|0;h=a<<24>>24<0;i=h?f[c+4>>2]|0:a&255;a=f[c+12>>2]|0;j=h?f[c>>2]|0:c;c=e;e=d;a:while(1){d=e;while(1){h=d+16|0;k=b[h+11>>0]|0;l=k<<24>>24<0;m=l?f[d+20>>2]|0:k&255;k=i>>>0<m>>>0;n=k?i:m;if((n|0)!=0?(o=ahc(l?f[h>>2]|0:h,j,n)|0,(o|0)!=0):0){if((o|0)>=0)p=8}else p=6;if((p|0)==6?(p=0,m>>>0>=i>>>0):0)p=8;if((p|0)==8){p=0;o=m>>>0<i>>>0?m:i;if((o|0)!=0?(m=ahc(j,l?f[h>>2]|0:h,o)|0,(m|0)!=0):0){if((m|0)<0)break}else p=10;if((p|0)==10?(p=0,k):0)break;if((f[d+28>>2]|0)>=(a|0))break}k=f[d+4>>2]|0;if(!k){g=c;p=15;break a}else d=k}e=f[d>>2]|0;if(!e){g=d;p=15;break}else c=d}if((p|0)==15)return g|0;return 0}function t0b(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;d=a+4|0;e=u0b(a,c,f[d>>2]|0,d)|0;do if((e|0)!=(d|0)){a=e+16|0;g=b[a+11>>0]|0;h=g<<24>>24<0;i=h?f[e+20>>2]|0:g&255;g=b[c+11>>0]|0;j=g<<24>>24<0;k=j?f[c+4>>2]|0:g&255;g=i>>>0<k>>>0;l=g?i:k;if((l|0)!=0?(m=ahc(j?f[c>>2]|0:c,h?f[a>>2]|0:a,l)|0,(m|0)!=0):0){if((m|0)<0)break}else n=4;if((n|0)==4?k>>>0<i>>>0:0)break;m=k>>>0<i>>>0?k:i;if((m|0)!=0?(i=ahc(h?f[a>>2]|0:a,j?f[c>>2]|0:c,m)|0,(i|0)!=0):0){if((i|0)<0){o=e;return o|0}}else n=8;if((n|0)==8?g:0){o=e;return o|0}if((f[c+12>>2]|0)>=(f[e+28>>2]|0)){o=e;return o|0}}while(0);o=d;return o|0}function u0b(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;if(!d){g=e;return g|0}a=b[c+11>>0]|0;h=a<<24>>24<0;i=h?f[c+4>>2]|0:a&255;a=f[c+12>>2]|0;j=h?f[c>>2]|0:c;c=e;e=d;a:while(1){d=e;while(1){h=d+16|0;k=b[h+11>>0]|0;l=k<<24>>24<0;m=l?f[d+20>>2]|0:k&255;k=i>>>0<m>>>0;n=k?i:m;if((n|0)!=0?(o=ahc(l?f[h>>2]|0:h,j,n)|0,(o|0)!=0):0){if((o|0)>=0)p=8}else p=6;if((p|0)==6?(p=0,m>>>0>=i>>>0):0)p=8;if((p|0)==8){p=0;o=m>>>0<i>>>0?m:i;if((o|0)!=0?(m=ahc(j,l?f[h>>2]|0:h,o)|0,(m|0)!=0):0){if((m|0)<0)break}else p=10;if((p|0)==10?(p=0,k):0)break;if((f[d+28>>2]|0)>=(a|0))break}k=f[d+4>>2]|0;if(!k){g=c;p=15;break a}else d=k}e=f[d>>2]|0;if(!e){g=d;p=15;break}else c=d}if((p|0)==15)return g|0;return 0}function v0b(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;e=c+16|0;g=f[e>>2]|0;a:do if(!g)h=e;else{i=b[d+11>>0]|0;j=i<<24>>24<0;k=j?f[d+4>>2]|0:i&255;i=j?f[d>>2]|0:d;j=e;l=g;while(1){m=l;while(1){n=m+16|0;o=b[n+11>>0]|0;p=o<<24>>24<0;q=p?f[m+20>>2]|0:o&255;o=q>>>0<k>>>0?q:k;if((o|0)!=0?(r=ahc(i,p?f[n>>2]|0:n,o)|0,(r|0)!=0):0){if((r|0)<0)break}else s=6;if((s|0)==6?(s=0,k>>>0<q>>>0):0)break;q=f[m+4>>2]|0;if(!q){h=j;break a}else m=q}l=f[m>>2]|0;if(!l){h=m;break}else j=m}}while(0);if((h|0)==(f[c+12>>2]|0))t=h;else{s=f[h>>2]|0;if(!s){g=h;while(1){h=f[g+8>>2]|0;if((f[h>>2]|0)==(g|0))g=h;else{u=h;break}}}else{g=s;while(1){s=f[g+4>>2]|0;if(!s){u=g;break}else g=s}}t=u}if((t|0)!=(e|0)?w0b(c,t+16|0,d)|0:0){d=t+28|0;t=f[d+4>>2]|0;c=a;f[c>>2]=f[d>>2];f[c+4>>2]=t;return}f[a>>2]=0;f[a+4>>2]=0;return}function w0b(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;a=c+11|0;e=b[a>>0]|0;g=e<<24>>24<0;h=c+4|0;i=e&255;e=g?f[h>>2]|0:i;j=d+11|0;k=b[j>>0]|0;l=k<<24>>24<0;m=l?f[d+4>>2]|0:k&255;a:do if((e|0)==(m|0)){k=f[c>>2]|0;n=g?k:c;o=l?f[d>>2]|0:d;p=(e|0)==0;if(g){if(p){q=1;return q|0}if(!(ahc(n,o,e)|0))q=1;else break;return q|0}if(p){q=1;return q|0}if((k&255)<<24>>24==(b[o>>0]|0)){k=c;p=i;n=o;while(1){p=p+-1|0;k=k+1|0;if(!p){q=1;break}n=n+1|0;if((b[k>>0]|0)!=(b[n>>0]|0))break a}return q|0}}while(0);if(m>>>0<e>>>0){q=0;return q|0}if(Puc(d,0,e,g?f[c>>2]|0:c,e)|0){q=0;return q|0}e=b[a>>0]|0;q=(b[((b[j>>0]|0)<0?f[d>>2]|0:d)+(e<<24>>24<0?f[h>>2]|0:e&255)>>0]|0)==46;return q|0}function x0b(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;d=a+4|0;a=f[d>>2]|0;do if(a|0){e=b[c+11>>0]|0;g=e<<24>>24<0;h=g?f[c+4>>2]|0:e&255;e=g?f[c>>2]|0:c;g=d;i=a;a:while(1){j=i;while(1){k=j+16|0;l=b[k+11>>0]|0;m=l<<24>>24<0;n=m?f[j+20>>2]|0:l&255;l=h>>>0<n>>>0?h:n;if((l|0)!=0?(o=ahc(m?f[k>>2]|0:k,e,l)|0,(o|0)!=0):0){if((o|0)>=0)break}else p=6;if((p|0)==6?(p=0,n>>>0>=h>>>0):0)break;n=f[j+4>>2]|0;if(!n){q=g;break a}else j=n}i=f[j>>2]|0;if(!i){q=j;break}else g=j}if((q|0)!=(d|0)){g=q+16|0;i=b[g+11>>0]|0;n=i<<24>>24<0;o=n?f[q+20>>2]|0:i&255;i=o>>>0<h>>>0?o:h;if(i|0?(l=ahc(e,n?f[g>>2]|0:g,i)|0,l|0):0){if((l|0)<0)break;else r=q;return r|0}if(h>>>0>=o>>>0){r=q;return r|0}}}while(0);r=d;return r|0}function y0b(a,c){a=a|0;c=c|0;if(!c)return;y0b(a,f[c>>2]|0);y0b(a,f[c+4>>2]|0);a=c+16|0;if((b[a+11>>0]|0)<0)fuc(f[a>>2]|0);fuc(c);return}function z0b(a,c){a=a|0;c=c|0;if(!c)return;z0b(a,f[c>>2]|0);z0b(a,f[c+4>>2]|0);a=c+16|0;if((b[a+11>>0]|0)<0)fuc(f[a>>2]|0);fuc(c);return}function A0b(a){a=a|0;f[a>>2]=157088;f[a+8>>2]=0;f[a+12>>2]=0;f[a+4>>2]=a+8;f[a+20>>2]=0;f[a+24>>2]=0;f[a+16>>2]=a+20;f[a+32>>2]=0;f[a+36>>2]=0;f[a+28>>2]=a+32;f[a+40>>2]=0;f[a+44>>2]=0;f[a+48>>2]=0;return}function B0b(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0;d=u;u=u+192|0;e=d+176|0;g=d+32|0;h=d+24|0;i=d;F$b(g);if(DKb(g,b,c)|0){f[h>>2]=b;f[h+4>>2]=c;f[e>>2]=f[h>>2];f[e+4>>2]=f[h+4>>2];j=C0b(a+4|0,g,e)|0;j$b(g);u=d;return j|0}else{iLb(i,2,507890,318);fLb(d+184|0,dLb(i,508171)|0);jLb(i);j=0;j$b(g);u=d;return j|0}return 0}function C0b(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;e=u;u=u+128|0;g=e+104|0;h=e+60|0;i=e+80|0;j=e+48|0;k=e+40|0;l=e+32|0;m=e+24|0;n=e+16|0;o=e+8|0;p=e;q=c+120|0;ouc(h,f[q>>2]|0);r=d;d=f[r>>2]|0;s=f[r+4>>2]|0;r=h+12|0;f[r>>2]=d;f[r+4>>2]=s;D0b(g,a,h,h);r=(b[g+4>>0]|0)==0;if((b[h+11>>0]|0)<0)fuc(f[h>>2]|0);if(r){iLb(i,2,507890,58);r=dLb(i,507991)|0;fLb(e+112|0,eLb(r,f[q>>2]|0)|0);jLb(i);t=0;u=e;return t|0}if(!(f[c+8>>2]&2)){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;v=h+11|0;w=0;x=0}else{ouc(h,f[c+124>>2]|0);i=h+11|0;v=i;w=b[i>>0]|0;x=f[h+4>>2]|0}if((w<<24>>24<0?x:w&255)|0)Euc(h,46);w=c+36|0;a:do if((f[w>>2]|0)>0){x=c+44|0;i=j+11|0;q=0;while(1){bsb(j,h,f[(f[(f[x>>2]|0)+4+(q<<2)>>2]|0)+144>>2]|0);r=k;f[r>>2]=d;f[r+4>>2]=s;f[g>>2]=f[k>>2];f[g+4>>2]=f[k+4>>2];r=E0b(a,j,g)|0;if((b[i>>0]|0)<0)fuc(f[j>>2]|0);if(!r){y=0;break a}r=f[(f[x>>2]|0)+4+(q<<2)>>2]|0;z=l;f[z>>2]=d;f[z+4>>2]=s;f[g>>2]=f[l>>2];f[g+4>>2]=f[l+4>>2];q=q+1|0;if(!(F0b(a,r,g)|0)){y=0;break a}if((q|0)>=(f[w>>2]|0)){A=13;break}}}else A=13;while(0);b:do if((A|0)==13){w=c+52|0;if((f[w>>2]|0)>0){l=c+60|0;k=j+11|0;q=0;do{bsb(j,h,f[(f[(f[l>>2]|0)+4+(q<<2)>>2]|0)+64>>2]|0);x=m;f[x>>2]=d;f[x+4>>2]=s;f[g>>2]=f[m>>2];f[g+4>>2]=f[m+4>>2];x=E0b(a,j,g)|0;if((b[k>>0]|0)<0)fuc(f[j>>2]|0);q=q+1|0;if(!x){y=0;break b}}while((q|0)<(f[w>>2]|0))}w=c+84|0;if((f[w>>2]|0)>0){q=c+92|0;k=j+11|0;l=0;do{bsb(j,h,f[(f[(f[q>>2]|0)+4+(l<<2)>>2]|0)+16>>2]|0);x=n;f[x>>2]=d;f[x+4>>2]=s;f[g>>2]=f[n>>2];f[g+4>>2]=f[n+4>>2];x=E0b(a,j,g)|0;if((b[k>>0]|0)<0)fuc(f[j>>2]|0);if(!x){y=0;break b}x=f[(f[q>>2]|0)+4+(l<<2)>>2]|0;i=o;f[i>>2]=d;f[i+4>>2]=s;f[g>>2]=f[o>>2];f[g+4>>2]=f[o+4>>2];l=l+1|0;if(!(G0b(a,x,g)|0)){y=0;break b}}while((l|0)<(f[w>>2]|0))}w=c+68|0;if((f[w>>2]|0)>0){l=c+76|0;q=j+11|0;k=0;while(1){bsb(j,h,f[(f[(f[l>>2]|0)+4+(k<<2)>>2]|0)+32>>2]|0);x=p;f[x>>2]=d;f[x+4>>2]=s;f[g>>2]=f[p>>2];f[g+4>>2]=f[p+4>>2];x=E0b(a,j,g)|0;if((b[q>>0]|0)<0)fuc(f[j>>2]|0);k=k+1|0;if(!x){y=0;break b}if((k|0)>=(f[w>>2]|0)){y=1;break}}}else y=1}while(0);if((b[v>>0]|0)<0)fuc(f[h>>2]|0);t=y;u=e;return t|0}function D0b(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;g=u;u=u+16|0;h=g;i=M0b(c,h,d)|0;d=f[i>>2]|0;if(d|0){j=d;k=0;l=j;f[a>>2]=l;m=a+4|0;b[m>>0]=k;u=g;return}d=cuc(36)|0;ouc(d+16|0,e);n=e+12|0;e=f[n+4>>2]|0;o=d+28|0;f[o>>2]=f[n>>2];f[o+4>>2]=e;e=f[h>>2]|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=e;f[i>>2]=d;e=f[f[c>>2]>>2]|0;if(!e)p=d;else{f[c>>2]=e;p=f[i>>2]|0}jI(f[c+4>>2]|0,p);p=c+8|0;f[p>>2]=(f[p>>2]|0)+1;j=d;k=1;l=j;f[a>>2]=l;m=a+4|0;b[m>>0]=k;u=g;return}function E0b(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;e=u;u=u+128|0;g=e+112|0;h=e+68|0;i=e+88|0;j=e+122|0;k=e+24|0;l=e+121|0;m=e;n=e+120|0;o=e+48|0;p=b[c+11>>0]|0;q=p<<24>>24<0;r=q?f[c+4>>2]|0:p&255;a:do if(r|0){p=q?f[c>>2]|0:c;s=0;b:while(1){t=b[p+s>>0]|0;switch(t<<24>>24){case 95:case 46:break;default:{if(t<<24>>24<48)break b;if(t<<24>>24>57){if(t<<24>>24<65)break b;if(t<<24>>24>90&(t+-97&255)>25)break b}}}s=s+1|0;if(s>>>0>=r>>>0)break a}iLb(i,2,507890,95);fLb(j,eLb(dLb(i,508096)|0,c)|0);jLb(i);v=0;u=e;return v|0}while(0);i=a+16|0;j=f[i>>2]|0;c:do if(!j)w=i;else{s=q?f[c>>2]|0:c;p=i;t=j;while(1){x=t;while(1){y=x+16|0;z=b[y+11>>0]|0;A=z<<24>>24<0;B=A?f[x+20>>2]|0:z&255;z=B>>>0<r>>>0?B:r;if((z|0)!=0?(C=ahc(s,A?f[y>>2]|0:y,z)|0,(C|0)!=0):0){if((C|0)<0)break}else D=15;if((D|0)==15?(D=0,r>>>0<B>>>0):0)break;B=f[x+4>>2]|0;if(!B){w=p;break c}else x=B}t=f[x>>2]|0;if(!t){w=x;break}else p=x}}while(0);if((w|0)==(f[a+12>>2]|0))E=w;else{r=f[w>>2]|0;if(!r){D=w;while(1){w=f[D+8>>2]|0;if((f[w>>2]|0)==(D|0))D=w;else{F=w;break}}}else{D=r;while(1){r=f[D+4>>2]|0;if(!r){F=D;break}else D=r}}E=F}F=a+12|0;if((E|0)==(i|0)){ouc(h,c);D=d;r=f[D+4>>2]|0;w=h+12|0;f[w>>2]=f[D>>2];f[w+4>>2]=r;J0b(g,F,h,h);if((b[h+11>>0]|0)<0)fuc(f[h>>2]|0);v=1;u=e;return v|0}r=E+16|0;if(w0b(a,r,c)|0){iLb(k,2,507890,111);fLb(l,dLb(eLb(dLb(eLb(dLb(k,508118)|0,c)|0,508132)|0,r)|0,517668)|0);jLb(k);v=0;u=e;return v|0}k=f[E+4>>2]|0;if(!k){r=E+8|0;l=f[r>>2]|0;if((f[l>>2]|0)==(E|0))G=l;else{l=r;do{r=f[l>>2]|0;l=r+8|0;E=f[l>>2]|0}while((f[E>>2]|0)!=(r|0));G=E}}else{l=k;while(1){k=f[l>>2]|0;if(!k)break;else l=k}G=l}l=G;if((G|0)!=(i|0)?(i=G+16|0,w0b(a,c,i)|0):0){iLb(m,2,507890,124);fLb(n,dLb(eLb(dLb(eLb(dLb(m,508118)|0,c)|0,508132)|0,i)|0,517668)|0);jLb(m);v=0;u=e;return v|0}ouc(o,c);c=d;d=f[c+4>>2]|0;m=o+12|0;f[m>>2]=f[c>>2];f[m+4>>2]=d;f[h>>2]=l;f[g>>2]=f[h>>2];K0b(F,g,o,o)|0;if((b[o+11>>0]|0)<0)fuc(f[o>>2]|0);v=1;u=e;return v|0}function F0b(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=u;u=u+32|0;e=d+16|0;g=d+8|0;h=d;i=b+36|0;a:do if((f[i>>2]|0)>0){j=b+44|0;k=c;l=f[k>>2]|0;m=f[k+4>>2]|0;k=0;while(1){n=f[(f[j>>2]|0)+4+(k<<2)>>2]|0;o=g;f[o>>2]=l;f[o+4>>2]=m;f[e>>2]=f[g>>2];f[e+4>>2]=f[g+4>>2];k=k+1|0;if(!(F0b(a,n,e)|0)){p=0;break}if((k|0)>=(f[i>>2]|0))break a}u=d;return p|0}while(0);i=b+84|0;if((f[i>>2]|0)<=0){p=1;u=d;return p|0}g=b+92|0;b=c;c=f[b>>2]|0;k=f[b+4>>2]|0;b=0;while(1){m=f[(f[g>>2]|0)+4+(b<<2)>>2]|0;l=h;f[l>>2]=c;f[l+4>>2]=k;f[e>>2]=f[h>>2];f[e+4>>2]=f[h+4>>2];b=b+1|0;if(!(G0b(a,m,e)|0)){p=0;q=9;break}if((b|0)>=(f[i>>2]|0)){p=1;q=9;break}}if((q|0)==9){u=d;return p|0}return 0}function G0b(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;e=u;u=u+96|0;g=e+80|0;h=e+56|0;i=e+40|0;j=e+24|0;k=e;l=c+20|0;m=f[l>>2]|0;n=b[m+11>>0]|0;o=n<<24>>24<0;if(o)p=f[m+4>>2]|0;else p=n&255;if(!p){q=1;u=e;return q|0}if(o)r=f[m>>2]|0;else r=m;if((b[r>>0]|0)!=46){q=1;u=e;return q|0}puc(j,m,1,-1,m);m=c+40|0;r=f[m>>2]|0;f[i>>2]=f[j>>2];f[i+4>>2]=f[j+4>>2];f[i+8>>2]=f[j+8>>2];f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;o=i+12|0;f[o>>2]=r;ouc(h,i);f[h+12>>2]=f[o>>2];o=d;d=f[o+4>>2]|0;r=h+16|0;f[r>>2]=f[o>>2];f[r+4>>2]=d;H0b(g,a+24|0,h,h);a=(b[g+4>>0]|0)==0;if((b[h+11>>0]|0)<0)fuc(f[h>>2]|0);if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0);if((b[j+11>>0]|0)<0)fuc(f[j>>2]|0);if(!a){q=1;u=e;return q|0}iLb(k,2,507890,163);a=dLb(k,508025)|0;j=dLb(eLb(a,f[l>>2]|0)|0,517019)|0;l=dLb(eLb(j,f[c+16>>2]|0)|0,508089)|0;fLb(e+88|0,dLb(gLb(l,f[m>>2]|0)|0,508093)|0);jLb(k);q=0;u=e;return q|0}function H0b(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;g=u;u=u+16|0;h=g;i=I0b(c,h,d)|0;d=f[i>>2]|0;if(d|0){j=d;k=0;l=j;f[a>>2]=l;m=a+4|0;b[m>>0]=k;u=g;return}d=cuc(40)|0;ouc(d+16|0,e);f[d+28>>2]=f[e+12>>2];n=e+16|0;e=f[n+4>>2]|0;o=d+32|0;f[o>>2]=f[n>>2];f[o+4>>2]=e;e=f[h>>2]|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=e;f[i>>2]=d;e=f[f[c>>2]>>2]|0;if(!e)p=d;else{f[c>>2]=e;p=f[i>>2]|0}jI(f[c+4>>2]|0,p);p=c+8|0;f[p>>2]=(f[p>>2]|0)+1;j=d;k=1;l=j;f[a>>2]=l;m=a+4|0;b[m>>0]=k;u=g;return}function I0b(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;e=a+4|0;g=f[e>>2]|0;if(!g){f[c>>2]=e;h=e;return h|0}e=b[d+11>>0]|0;i=e<<24>>24<0;j=i?f[d+4>>2]|0:e&255;e=f[d+12>>2]|0;k=i?f[d>>2]|0:d;d=a+4|0;a=g;a:while(1){g=a+16|0;i=b[g+11>>0]|0;l=i<<24>>24<0;m=l?f[a+20>>2]|0:i&255;i=m>>>0<j>>>0;n=i?m:j;o=(n|0)==0;if(!o?(p=ahc(k,l?f[g>>2]|0:g,n)|0,(p|0)!=0):0)if((p|0)<0)q=13;else q=8;else if(j>>>0<m>>>0)q=13;else q=8;do if((q|0)==8){q=0;p=j>>>0<m>>>0;r=p?j:m;s=(r|0)==0;if(!s?(t=ahc(l?f[g>>2]|0:g,k,r)|0,(t|0)!=0):0)if((t|0)<0)q=16;else q=12;else if(i)q=15;else q=12;if((q|0)==12){q=0;if((e|0)<(f[a+28>>2]|0)){q=13;break}else q=15}if((q|0)==15){q=0;if(s)q=17;else q=16}if((q|0)==16){q=0;s=ahc(l?f[g>>2]|0:g,k,r)|0;if(s){if((s|0)>=0)q=19}else q=17}if((q|0)==17?(q=0,!i):0)q=19;if((q|0)==19){q=0;if(!o?(s=ahc(k,l?f[g>>2]|0:g,n)|0,(s|0)!=0):0){if((s|0)<0){q=26;break a}}else q=21;if((q|0)==21?(q=0,p):0){q=26;break a}if((f[a+28>>2]|0)>=(e|0)){q=26;break a}}u=a+4|0;p=f[u>>2]|0;if(!p){q=25;break a}else{v=u;w=p}}while(0);if((q|0)==13){q=0;n=f[a>>2]|0;if(!n){q=14;break}else{v=a;w=n}}d=v;a=w}if((q|0)==14){f[c>>2]=a;h=a;return h|0}else if((q|0)==25){f[c>>2]=a;h=u;return h|0}else if((q|0)==26){f[c>>2]=a;h=d;return h|0}return 0}function J0b(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;g=u;u=u+16|0;h=g;i=M0b(c,h,d)|0;d=f[i>>2]|0;if(d|0){j=d;k=0;l=j;f[a>>2]=l;m=a+4|0;b[m>>0]=k;u=g;return}d=cuc(36)|0;ouc(d+16|0,e);n=e+12|0;e=f[n+4>>2]|0;o=d+28|0;f[o>>2]=f[n>>2];f[o+4>>2]=e;e=f[h>>2]|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=e;f[i>>2]=d;e=f[f[c>>2]>>2]|0;if(!e)p=d;else{f[c>>2]=e;p=f[i>>2]|0}jI(f[c+4>>2]|0,p);p=c+8|0;f[p>>2]=(f[p>>2]|0)+1;j=d;k=1;l=j;f[a>>2]=l;m=a+4|0;b[m>>0]=k;u=g;return}function K0b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0;e=u;u=u+16|0;g=e+12|0;h=e+8|0;i=e;f[i>>2]=f[b>>2];f[g>>2]=f[i>>2];i=L0b(a,g,h,e+4|0,c)|0;c=f[i>>2]|0;if(c|0){j=c;u=e;return j|0}c=cuc(36)|0;ouc(c+16|0,d);g=d+12|0;d=f[g+4>>2]|0;b=c+28|0;f[b>>2]=f[g>>2];f[b+4>>2]=d;d=f[h>>2]|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=d;f[i>>2]=c;d=f[f[a>>2]>>2]|0;if(!d)k=c;else{f[a>>2]=d;k=f[i>>2]|0}jI(f[a+4>>2]|0,k);k=a+8|0;f[k>>2]=(f[k>>2]|0)+1;j=c;u=e;return j|0}function L0b(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;h=a+4|0;i=f[c>>2]|0;c=i;do if((i|0)!=(h|0)){j=i+16|0;k=b[j+11>>0]|0;l=k<<24>>24<0;m=l?f[i+20>>2]|0:k&255;k=b[g+11>>0]|0;n=k<<24>>24<0;o=n?f[g+4>>2]|0:k&255;k=m>>>0<o>>>0;p=k?m:o;if((p|0)!=0?(q=ahc(n?f[g>>2]|0:g,l?f[j>>2]|0:j,p)|0,(q|0)!=0):0){if((q|0)<0)break}else r=4;if((r|0)==4?o>>>0<m>>>0:0)break;q=o>>>0<m>>>0?o:m;if((q|0)!=0?(m=ahc(l?f[j>>2]|0:j,n?f[g>>2]|0:g,q)|0,(m|0)!=0):0){if((m|0)>=0)r=36}else r=20;if((r|0)==20?!k:0)r=36;if((r|0)==36){f[d>>2]=c;f[e>>2]=c;s=e;return s|0}k=i+4|0;m=f[k>>2]|0;if(!m){q=i+8|0;j=f[q>>2]|0;if((f[j>>2]|0)==(i|0))t=j;else{j=q;do{q=f[j>>2]|0;j=q+8|0;l=f[j>>2]|0}while((f[l>>2]|0)!=(q|0));t=l}}else{j=m;while(1){l=f[j>>2]|0;if(!l)break;else j=l}t=j}do if((t|0)!=(h|0)){m=t+16|0;l=b[m+11>>0]|0;q=l<<24>>24<0;p=q?f[t+20>>2]|0:l&255;l=p>>>0<o>>>0?p:o;if((l|0)!=0?(u=ahc(n?f[g>>2]|0:g,q?f[m>>2]|0:m,l)|0,(u|0)!=0):0){if((u|0)<0)break}else r=30;if((r|0)==30?o>>>0<p>>>0:0)break;s=M0b(a,d,g)|0;return s|0}while(0);if(!(f[i+4>>2]|0)){f[d>>2]=c;s=k;return s|0}else{f[d>>2]=t;s=t;return s|0}}while(0);t=f[i>>2]|0;do if((i|0)==(f[a>>2]|0))v=c;else{if(!t){h=i;while(1){e=f[h+8>>2]|0;if((f[e>>2]|0)==(h|0))h=e;else{w=e;break}}}else{h=t;while(1){k=f[h+4>>2]|0;if(!k){w=h;break}else h=k}}h=w;k=w+16|0;e=b[g+11>>0]|0;o=e<<24>>24<0;n=o?f[g+4>>2]|0:e&255;e=b[k+11>>0]|0;j=e<<24>>24<0;p=j?f[w+20>>2]|0:e&255;e=n>>>0<p>>>0?n:p;if((e|0)!=0?(u=ahc(j?f[k>>2]|0:k,o?f[g>>2]|0:g,e)|0,(u|0)!=0):0){if((u|0)<0){v=h;break}}else r=12;if((r|0)==12?p>>>0<n>>>0:0){v=h;break}s=M0b(a,d,g)|0;return s|0}while(0);if(!t){f[d>>2]=i;s=i;return s|0}else{i=v;f[d>>2]=i;s=i+4|0;return s|0}return 0}function M0b(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;e=a+4|0;g=f[e>>2]|0;if(!g){f[c>>2]=e;h=e;return h|0}e=b[d+11>>0]|0;i=e<<24>>24<0;j=i?f[d+4>>2]|0:e&255;e=i?f[d>>2]|0:d;d=a+4|0;a=g;while(1){g=a+16|0;i=b[g+11>>0]|0;k=i<<24>>24<0;l=k?f[a+20>>2]|0:i&255;i=l>>>0<j>>>0;m=i?l:j;if((m|0)!=0?(n=ahc(e,k?f[g>>2]|0:g,m)|0,(n|0)!=0):0)if((n|0)<0)o=8;else o=10;else if(j>>>0<l>>>0)o=8;else o=10;if((o|0)==8){o=0;n=f[a>>2]|0;if(!n){o=9;break}else{p=a;q=n}}else if((o|0)==10){o=0;n=j>>>0<l>>>0?j:l;if((n|0)!=0?(l=ahc(k?f[g>>2]|0:g,e,n)|0,(l|0)!=0):0){if((l|0)>=0){o=16;break}}else o=12;if((o|0)==12?(o=0,!i):0){o=16;break}r=a+4|0;i=f[r>>2]|0;if(!i){o=15;break}else{p=r;q=i}}d=p;a=q}if((o|0)==9){f[c>>2]=a;h=a;return h|0}else if((o|0)==15){f[c>>2]=a;h=r;return h|0}else if((o|0)==16){f[c>>2]=a;h=d;return h|0}return 0}function N0b(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0;c=u;u=u+16|0;d=c;f[a>>2]=157124;e=a+4|0;g=f[e>>2]|0;h=f[g+28>>2]|0;i=a+(f[g+12>>2]|0)|0;g=f[i>>2]|0;if(g&1|0?(j=g&-2,g=j,!((j|0)==0|(f[g+4>>2]|0)!=0)):0){if(f[g>>2]|0)ebc(g);fuc(j)}f[i>>2]=0;i=f[(f[e>>2]|0)+16>>2]|0;if((i|0)!=-1)gcc(a+i|0);i=h+52|0;j=f[i>>2]|0;if((j|0)<=0){u=c;return}g=h+20|0;h=d+4|0;k=d+8|0;l=d+12|0;m=d+4|0;n=d+8|0;o=d+12|0;p=d+4|0;q=d+8|0;r=d+12|0;s=d+4|0;t=d+8|0;v=d+12|0;w=d+4|0;x=d+8|0;y=d+12|0;z=d+4|0;A=d+8|0;B=d+12|0;C=0;D=j;do{j=f[g>>2]|0;E=j+(C*88|0)|0;F=f[j+(C*88|0)+52>>2]|0;G=f[e>>2]|0;a:do if(F){H=(F-(f[(f[F+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[a+((H<<2)+(f[G+8>>2]|0))>>2]|0)==(f[j+(C*88|0)+40>>2]|0)){I=a+(f[(f[G+32>>2]|0)+(H+D<<2)>>2]|0)|0;H=j+(C*88|0)+24|0;J=f[H>>2]|0;if(J|0?(f[J>>2]|0)!=2:0){f[d>>2]=110384;f[z>>2]=1962;b[A>>0]=0;f[B>>2]=E;xLb(J,d)}J=j+(C*88|0)+28|0;if((f[151812+(f[J>>2]<<2)>>2]|0)==9){K=f[e>>2]|0;L=f[I>>2]|0;if((L|0)==0?1:(L|0)==(f[(f[K+44>>2]|0)+(f[(f[K+32>>2]|0)+(C<<2)>>2]|0)>>2]|0))break;if((b[L+11>>0]|0)<0)fuc(f[L>>2]|0);fuc(L);break}L=f[H>>2]|0;if(L|0?(f[L>>2]|0)!=2:0){f[d>>2]=110384;f[w>>2]=1962;b[x>>0]=0;f[y>>2]=E;xLb(L,d)}if((f[151812+(f[J>>2]<<2)>>2]|0)==10?(J=f[I>>2]|0,J|0):0)bi[f[(f[J>>2]|0)+4>>2]&2047](J)}}else{J=a+(f[(f[G+32>>2]|0)+(C<<2)>>2]|0)|0;I=j+(C*88|0)+24|0;L=f[I>>2]|0;H=(L|0)==0;if((f[j+(C*88|0)+32>>2]|0)!=3){if(!H?(f[L>>2]|0)!=2:0){f[d>>2]=110384;f[s>>2]=1962;b[t>>0]=0;f[v>>2]=E;xLb(L,d)}K=j+(C*88|0)+28|0;if((f[151812+(f[K>>2]<<2)>>2]|0)==9){M=f[e>>2]|0;N=f[J>>2]|0;if((N|0)==0?1:(N|0)==(f[(f[M+44>>2]|0)+(f[(f[M+32>>2]|0)+(C<<2)>>2]|0)>>2]|0))break;if((b[N+11>>0]|0)<0)fuc(f[N>>2]|0);fuc(N);break}N=f[I>>2]|0;if(N|0?(f[N>>2]|0)!=2:0){f[d>>2]=110384;f[p>>2]=1962;b[q>>0]=0;f[r>>2]=E;xLb(N,d)}if((f[151812+(f[K>>2]<<2)>>2]|0)!=10)break;K=f[(f[e>>2]|0)+44>>2]|0;if((K|0)==(a|0)|(K|0)==0)break;K=f[J>>2]|0;if(!K)break;bi[f[(f[K>>2]|0)+4>>2]&2047](K);break}if(!H?(f[L>>2]|0)!=2:0){f[d>>2]=110384;f[m>>2]=1962;b[n>>0]=0;f[o>>2]=E;xLb(L,d)}L=j+(C*88|0)+28|0;do switch(f[151812+(f[L>>2]<<2)>>2]|0){case 1:{H=f[J+8>>2]|0;if(!H)break a;if(f[H>>2]|0)break a;fuc(H);break a;break}case 2:{H=f[J+8>>2]|0;if(!H)break a;if(f[H>>2]|0)break a;fuc(H);break a;break}case 3:{H=f[J+8>>2]|0;if(!H)break a;if(f[H>>2]|0)break a;fuc(H);break a;break}case 4:{H=f[J+8>>2]|0;if(!H)break a;if(f[H>>2]|0)break a;fuc(H);break a;break}case 5:{H=f[J+8>>2]|0;if(!H)break a;if(f[H>>2]|0)break a;fuc(H);break a;break}case 6:{H=f[J+8>>2]|0;if(!H)break a;if(f[H>>2]|0)break a;fuc(H);break a;break}case 7:{H=f[J+8>>2]|0;if(!H)break a;if(f[H>>2]|0)break a;fuc(H);break a;break}case 8:{H=f[J+8>>2]|0;if(!H)break a;if(f[H>>2]|0)break a;fuc(H);break a;break}case 9:{H=J+12|0;K=f[H>>2]|0;if(K|0?(f[J>>2]|0)==0:0){N=f[K>>2]|0;if((N|0)>0){M=0;do{O=f[K+4+(M<<2)>>2]|0;if(O|0){if((b[O+11>>0]|0)<0)fuc(f[O>>2]|0);fuc(O)}M=M+1|0}while((M|0)!=(N|0));P=f[H>>2]|0}else P=K;fuc(P)}f[H>>2]=0;break a;break}case 10:{N=f[I>>2]|0;if(N|0?(f[N>>2]|0)!=2:0){f[d>>2]=110384;f[h>>2]=1962;b[k>>0]=0;f[l>>2]=E;xLb(N,d)}if((f[L>>2]|0)==11?rQb(E)|0:0){bi[f[f[J>>2]>>2]&2047](J);break a}N=J+12|0;M=f[N>>2]|0;if(M|0?(f[J>>2]|0)==0:0){O=f[M>>2]|0;if((O|0)>0){Q=0;do{R=f[M+4+(Q<<2)>>2]|0;if(R|0)bi[f[(f[R>>2]|0)+4>>2]&2047](R);Q=Q+1|0}while((Q|0)!=(O|0));S=f[N>>2]|0}else S=M;fuc(S)}f[N>>2]=0;break a;break}default:break a}while(0)}while(0);C=C+1|0;D=f[i>>2]|0}while((C|0)<(D|0));u=c;return}function O0b(a){a=a|0;N0b(a);fuc(a);return}function P0b(a){a=a|0;var b=0,c=0;b=a+4|0;a=cuc(f[f[b>>2]>>2]|0)|0;c=f[b>>2]|0;kzc(a|0,0,f[c>>2]|0)|0;f[a>>2]=157124;f[a+4>>2]=c;f[a+8>>2]=0;W0b(a,1);return a|0}function Q0b(a,b){a=a|0;b=b|0;var c=0;c=di[f[(f[a>>2]|0)+12>>2]&1023](a)|0;if(!b)return c|0;V0b(b,c);return c|0}function R0b(a){a=a|0;return 0}function S0b(a){a=a|0;return f[a+8>>2]|0}function T0b(a,b){a=a|0;b=b|0;f[a+8>>2]=b;return}function U0b(a,b){a=a|0;b=b|0;var c=0;c=f[b+4>>2]|0;f[a>>2]=f[c+28>>2];f[a+4>>2]=f[c+40>>2];return}function V0b(a,b){a=a|0;b=b|0;if(!b)return;EIb(a,b,1978);return}function W0b(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;d=u;u=u+16|0;e=d;g=a+4|0;h=f[g>>2]|0;i=f[h+28>>2]|0;j=i+56|0;if((f[j>>2]|0)>0){k=0;l=h;while(1){f[a+((f[l+8>>2]|0)+(k<<2))>>2]=0;k=k+1|0;m=f[g>>2]|0;if((k|0)>=(f[j>>2]|0)){n=m;break}else l=m}}else n=h;f[a+(f[n+12>>2]|0)>>2]=0;n=f[(f[g>>2]|0)+16>>2]|0;if((n|0)!=-1)fcc(a+n|0);n=i+52|0;if((f[n>>2]|0)<=0){u=d;return}h=i+20|0;i=e+4|0;l=e+8|0;j=e+12|0;k=e+4|0;m=e+8|0;o=e+12|0;q=0;do{r=f[h>>2]|0;s=r+(q*88|0)|0;t=a+(f[(f[(f[g>>2]|0)+32>>2]|0)+(q<<2)>>2]|0)|0;a:do if(!(f[r+(q*88|0)+52>>2]|0)){v=r+(q*88|0)+24|0;w=f[v>>2]|0;if(w|0?(f[w>>2]|0)!=2:0){f[e>>2]=110384;f[k>>2]=1962;b[m>>0]=0;f[o>>2]=s;xLb(w,e)}w=r+(q*88|0)+28|0;do switch(f[151812+(f[w>>2]<<2)>>2]|0){case 1:{if((f[r+(q*88|0)+32>>2]|0)==3){f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;break a}else{f[t>>2]=f[r+(q*88|0)+80>>2];break a}break}case 2:{if((f[r+(q*88|0)+32>>2]|0)==3){f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;break a}else{x=r+(q*88|0)+80|0;y=f[x+4>>2]|0;z=t;f[z>>2]=f[x>>2];f[z+4>>2]=y;break a}break}case 3:{if((f[r+(q*88|0)+32>>2]|0)==3){f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;break a}else{f[t>>2]=f[r+(q*88|0)+80>>2];break a}break}case 4:{if((f[r+(q*88|0)+32>>2]|0)==3){f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;break a}else{y=r+(q*88|0)+80|0;z=f[y+4>>2]|0;x=t;f[x>>2]=f[y>>2];f[x+4>>2]=z;break a}break}case 5:{if((f[r+(q*88|0)+32>>2]|0)==3){f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;break a}else{p[t>>3]=+p[r+(q*88|0)+80>>3];break a}break}case 6:{if((f[r+(q*88|0)+32>>2]|0)==3){f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;break a}else{f[t>>2]=f[r+(q*88|0)+80>>2];break a}break}case 7:{if((f[r+(q*88|0)+32>>2]|0)==3){f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;break a}else{b[t>>0]=b[r+(q*88|0)+80>>0]|0;break a}break}case 8:{if((f[r+(q*88|0)+32>>2]|0)==3){f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;break a}else{z=(sQb(s)|0)+8|0;f[t>>2]=f[z>>2];break a}break}case 9:{if((f[r+(q*88|0)+32>>2]|0)==3){f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;f[t+12>>2]=0;break a}z=f[g>>2]|0;x=f[z+44>>2]|0;if((x|0)==(a|0)|(x|0)==0)A=r+(q*88|0)+80|0;else A=x+(f[(f[z+32>>2]|0)+(q<<2)>>2]|0)|0;f[t>>2]=f[A>>2];break a;break}case 10:{if((f[r+(q*88|0)+32>>2]|0)!=3){f[t>>2]=0;break a}z=f[v>>2]|0;if(z|0?(f[z>>2]|0)!=2:0){f[e>>2]=110384;f[i>>2]=1962;b[l>>0]=0;f[j>>2]=s;xLb(z,e)}if((f[w>>2]|0)==11?rQb(s)|0:0){z=f[(f[g>>2]|0)+20>>2]|0;if(c){x=f[(f[z>>2]|0)+8>>2]|0;y=tQb(s)|0;U5b(t,Th[x&1023](z,y)|0);break a}else{U5b(t,X0b(z,tQb(s)|0)|0);break a}};f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;f[t+12>>2]=0;break a;break}default:break a}while(0)}while(0);q=q+1|0}while((q|0)<(f[n>>2]|0));u=d;return}function X0b(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0;d=u;u=u+80|0;e=d+32|0;g=d+8|0;h=d+68|0;i=d;f[i>>2]=c;if(b[a+8>>0]|0?(j=f[(f[c+8>>2]|0)+8>>2]|0,(j|0)==(aQb()|0)):0){j=g9b()|0;k=Th[f[(f[j>>2]|0)+8>>2]&1023](j,c)|0;u=d;return k|0}c=Y0b(f[a+12>>2]|0,i)|0;j=f[c>>2]|0;if(j|0){k=f[j+44>>2]|0;u=d;return k|0}j=cuc(52)|0;l=j+32|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;f[c>>2]=j;c=f[i>>2]|0;m=j+28|0;f[m>>2]=c;n=f[a+4>>2]|0;if(!n)o=f[(f[c+8>>2]|0)+8>>2]|0;else o=n;n=j+24|0;f[n>>2]=o;f[j+20>>2]=a;o=(f[c+56>>2]|0)+(f[c+52>>2]|0)|0;p=euc(o>>>0>1073741823?-1:o<<2)|0;o=f[l>>2]|0;if((o|0)==(p|0))q=c;else{if(!o)r=c;else{guc(o);r=f[i>>2]|0}f[l>>2]=p;q=r}r=j+4|0;if((f[(f[q+8>>2]|0)+44>>2]|0)!=3){f[r>>2]=16;o=q+52|0;c=f[o>>2]|0;s=(((c+31|0)/32|0)<<2)+23|0;t=s-((s|0)%8|0)|0;s=euc(c>>>0>1073741823?-1:c<<2)|0;if((f[o>>2]|0)>0){c=0;do{f[s+(c<<2)>>2]=c;c=c+1|0}while((c|0)<(f[o>>2]|0))}o=j+36|0;c=f[o>>2]|0;if((c|0)==(s|0)){v=t;w=q}else{if(!c)x=q;else{guc(c);x=f[i>>2]|0}f[o>>2]=s;v=t;w=x}}else{f[r>>2]=-1;v=16;w=q}q=f[w+56>>2]|0;if((q|0)>0){f[j+8>>2]=v;x=v+7+(q<<2)|0;y=x-((x|0)%8|0)|0}else y=v;v=j+16|0;if((f[w+68>>2]|0)>0){f[v>>2]=y;x=y+23|0;z=x-((x|0)%8|0)|0}else{f[v>>2]=-1;z=y}y=f[w+52>>2]|0;if((y|0)>0){x=e+4|0;t=e+8|0;s=e+12|0;o=e+4|0;c=e+8|0;A=e+12|0;B=0;C=z;D=w;while(1){E=f[D+20>>2]|0;F=E+(B*88|0)|0;if(!(f[E+(B*88|0)+52>>2]|0)){G=(f[E+(B*88|0)+32>>2]|0)==3;H=E+(B*88|0)+24|0;I=f[H>>2]|0;if(I|0?(f[I>>2]|0)!=2:0){f[e>>2]=110384;f[o>>2]=1962;b[c>>0]=0;f[A>>2]=F;xLb(I,e)}I=E+(B*88|0)+28|0;E=f[151812+(f[I>>2]<<2)>>2]|0;a:do if(G){switch(E|0){case 8:case 7:case 6:case 5:case 4:case 3:case 2:case 1:{J=12;K=48;break a;break}case 10:break;case 9:{J=16;K=48;break a;break}default:{K=47;break a}}L=f[H>>2]|0;if(L|0?(f[L>>2]|0)!=2:0){f[e>>2]=110384;f[x>>2]=1962;b[t>>0]=0;f[s>>2]=F;xLb(L,e)}if((f[I>>2]|0)==11){L=rQb(F)|0;M=L?36:16}else{J=16;K=48}}else switch(E|0){case 9:case 10:case 8:case 6:case 3:case 1:{J=4;K=48;break a;break}case 2:{J=8;K=48;break a;break}case 4:{J=8;K=48;break a;break}case 5:{J=8;K=48;break a;break}case 7:{J=1;K=48;break a;break}default:{K=47;break a}}while(0);if((K|0)==47){K=0;iLb(g,2,508244,162);fLb(h,dLb(g,519375)|0);jLb(g);J=0;K=48}if((K|0)==48){K=0;M=J}E=(M|0)<8?M:8;F=C+-1+E|0;I=F-((F|0)%(E|0)|0)|0;f[p+(B<<2)>>2]=I;N=I+M|0;O=f[i>>2]|0}else{N=C;O=D}B=B+1|0;P=f[O+52>>2]|0;if((B|0)>=(P|0))break;else{C=N;D=O}}Q=N;R=O;S=f[O+56>>2]|0;T=P}else{Q=z;R=w;S=q;T=y}y=R+56|0;q=Q+7|0;Q=q-((q|0)%8|0)|0;if((S|0)>0){q=R+52|0;f[p+(T<<2)>>2]=Q;T=f[y>>2]|0;w=Q+15|0;z=w-((w|0)%8|0)|0;if((T|0)>1){w=1;P=z;while(1){f[p+((f[q>>2]|0)+w<<2)>>2]=P;w=w+1|0;O=f[y>>2]|0;N=P+15|0;D=N-((N|0)%8|0)|0;if((w|0)>=(O|0)){U=D;V=O;break}else P=D}}else{U=z;V=T}}else{U=Q;V=S}S=j+12|0;f[S>>2]=U;Q=U+4|0;U=j+48|0;f[U>>2]=-1;f[j>>2]=Q;if((V|0)>0){V=e+4|0;T=e+8|0;z=e+12|0;P=0;w=Q;y=R;while(1){R=f[y+24>>2]|0;b:do if((f[R+(P*28|0)+16>>2]|0)>0){q=0;D=w;O=R;while(1){N=f[(f[O+(P*28|0)+20>>2]|0)+(q<<2)>>2]|0;C=f[N+24>>2]|0;if(C|0?(f[C>>2]|0)!=2:0){f[e>>2]=110384;f[V>>2]=1962;b[T>>0]=0;f[z>>2]=N;xLb(C,e)}switch(f[151812+(f[N+28>>2]<<2)>>2]|0){case 9:case 10:case 8:case 6:case 3:case 1:{W=4;break}case 2:{W=8;break}case 4:{W=8;break}case 5:{W=8;break}case 7:{W=1;break}default:{iLb(g,2,508244,192);fLb(h,dLb(g,519375)|0);jLb(g);W=0}}C=W>>>0<8?W:8;B=D+-1+C|0;M=B-((B|0)%(C|0)|0)|0;do if(b[N+38>>0]|0){C=f[N+56>>2]|0;B=N;if(!C){X=B-(f[(f[N+20>>2]|0)+80>>2]|0)|0;break}else{X=B-(f[C+40>>2]|0)|0;break}}else X=N-(f[(f[N+48>>2]|0)+20>>2]|0)|0;while(0);f[p+(((X|0)/88|0)<<2)>>2]=M;N=M+W|0;q=q+1|0;C=f[i>>2]|0;O=f[C+24>>2]|0;if((q|0)>=(f[O+(P*28|0)+16>>2]|0)){Y=N;Z=C;break b}else D=N}}else{Y=w;Z=y}while(0);P=P+1|0;if((P|0)>=(f[Z+56>>2]|0)){_=Y;break}else{w=Y;y=Z}}}else _=Q;Q=_+7|0;_=Q-((Q|0)%8|0)|0;Q=cuc(_)|0;kzc(Q|0,0,_|0)|0;_=j+44|0;f[_>>2]=Q;f[Q>>2]=157124;f[Q+4>>2]=j;f[Q+8>>2]=0;W0b(Q,0);if((f[(f[i>>2]|0)+56>>2]|0)>0)Z0b(f[m>>2]|0,f[l>>2]|0,Q);f[e>>2]=f[_>>2];f[e+4>>2]=f[l>>2];f[e+8>>2]=f[j+36>>2];f[e+12>>2]=f[r>>2];f[e+16>>2]=f[S>>2];f[e+20>>2]=f[v>>2];f[e+24>>2]=f[j+8>>2];f[e+28>>2]=f[j>>2];f[e+32>>2]=f[U>>2];U=cuc(56)|0;S3b(U,f[m>>2]|0,e,f[n>>2]|0,a);a=j+40|0;j=f[a>>2]|0;if((j|0)!=(U|0)){if(j|0)bi[f[(f[j>>2]|0)+4>>2]&2047](j);f[a>>2]=U}_0b(Q);k=Q;u=d;return k|0}function Y0b(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0.0,u=0.0,v=0,w=0,x=0,y=0,z=0;c=f[b>>2]|0;b=a+4|0;d=f[b>>2]|0;e=(d|0)==0;g=c;a:do if(!e){h=d+-1|0;i=(h&d|0)==0;if(!i)if(c>>>0<d>>>0)j=c;else j=(c>>>0)%(d>>>0)|0;else j=h&c;k=f[(f[a>>2]|0)+(j<<2)>>2]|0;if(!k)l=j;else{if(i){i=k;while(1){m=f[i>>2]|0;if(!m){l=j;break a}o=f[m+4>>2]|0;if(!((o|0)==(c|0)|(o&h|0)==(j|0))){l=j;break a}if((f[m+8>>2]|0)==(g|0)){p=m;break}else i=m}q=p+12|0;return q|0}else r=k;while(1){i=f[r>>2]|0;if(!i){l=j;break a}h=f[i+4>>2]|0;if((h|0)!=(c|0)){if(h>>>0<d>>>0)s=h;else s=(h>>>0)%(d>>>0)|0;if((s|0)!=(j|0)){l=j;break a}}if((f[i+8>>2]|0)==(g|0)){p=i;break}else r=i}q=p+12|0;return q|0}}else l=0;while(0);r=cuc(16)|0;f[r+8>>2]=c;f[r+12>>2]=0;f[r+4>>2]=c;f[r>>2]=0;g=a+12|0;t=+(((f[g>>2]|0)+1|0)>>>0);u=+n[a+16>>2];do if(e|t>+(d>>>0)*u){j=(d>>>0<3|(d+-1&d|0)!=0)&1|d<<1;s=~~+X(+(t/u))>>>0;$0b(a,j>>>0<s>>>0?s:j);j=f[b>>2]|0;s=j+-1|0;if(!(s&j)){v=j;w=s&c;break}if(c>>>0<j>>>0){v=j;w=c}else{v=j;w=(c>>>0)%(j>>>0)|0}}else{v=d;w=l}while(0);l=(f[a>>2]|0)+(w<<2)|0;w=f[l>>2]|0;if(!w){d=a+8|0;f[r>>2]=f[d>>2];f[d>>2]=r;f[l>>2]=d;d=f[r>>2]|0;if(d|0){l=f[d+4>>2]|0;d=v+-1|0;if(d&v)if(l>>>0<v>>>0)x=l;else x=(l>>>0)%(v>>>0)|0;else x=l&d;y=(f[a>>2]|0)+(x<<2)|0;z=30}}else{f[r>>2]=f[w>>2];y=w;z=30}if((z|0)==30)f[y>>2]=r;f[g>>2]=(f[g>>2]|0)+1;p=r;q=p+12|0;return q|0}function Z0b(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;e=u;u=u+16|0;g=e;h=a+56|0;if((f[h>>2]|0)<=0){u=e;return}i=a+24|0;a=g+4|0;j=g+8|0;k=g+12|0;l=0;m=f[i>>2]|0;while(1){a:do if((f[m+(l*28|0)+16>>2]|0)>0){n=0;o=m;while(1){q=f[(f[o+(l*28|0)+20>>2]|0)+(n<<2)>>2]|0;do if(b[q+38>>0]|0){r=f[q+56>>2]|0;s=q;if(!r){t=s-(f[(f[q+20>>2]|0)+80>>2]|0)|0;break}else{t=s-(f[r+40>>2]|0)|0;break}}else t=q-(f[(f[q+48>>2]|0)+20>>2]|0)|0;while(0);r=d+(f[c+(((t|0)/88|0)<<2)>>2]|0)|0;s=f[q+24>>2]|0;if(s|0?(f[s>>2]|0)!=2:0){f[g>>2]=110384;f[a>>2]=1962;b[j>>0]=0;f[k>>2]=q;xLb(s,g)}do switch(f[151812+(f[q+28>>2]<<2)>>2]|0){case 1:{f[r>>2]=f[q+80>>2];break}case 2:{s=q+80|0;v=f[s+4>>2]|0;w=r;f[w>>2]=f[s>>2];f[w+4>>2]=v;break}case 3:{f[r>>2]=f[q+80>>2];break}case 4:{v=q+80|0;w=f[v+4>>2]|0;s=r;f[s>>2]=f[v>>2];f[s+4>>2]=w;break}case 5:{p[r>>3]=+p[q+80>>3];break}case 6:{f[r>>2]=f[q+80>>2];break}case 7:{b[r>>0]=b[q+80>>0]|0;break}case 8:{w=(sQb(q)|0)+8|0;f[r>>2]=f[w>>2];break}case 9:{f[r>>2]=0;f[r>>2]=f[q+80>>2];break}case 10:{f[r>>2]=0;break}default:{}}while(0);n=n+1|0;r=f[i>>2]|0;if((n|0)>=(f[r+(l*28|0)+16>>2]|0)){x=r;break a}else o=r}}else x=m;while(0);l=l+1|0;if((l|0)>=(f[h>>2]|0))break;else m=x}u=e;return}function _0b(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;c=u;u=u+48|0;d=c+24|0;e=c;g=a+4|0;h=f[g>>2]|0;i=f[h+44>>2]|0;if((i|0)==(a|0)|(i|0)==0)j=h;else{iLb(e,3,508244,550);fLb(c+40|0,dLb(e,508341)|0);jLb(e);j=f[g>>2]|0}e=f[j+20>>2]|0;h=f[j+28>>2]|0;i=h+52|0;if((f[i>>2]|0)<=0){u=c;return}k=h+20|0;h=d+4|0;l=d+8|0;m=d+12|0;n=0;o=j;while(1){j=f[k>>2]|0;p=j+(n*88|0)|0;q=a+(f[(f[o+32>>2]|0)+(n<<2)>>2]|0)|0;r=f[j+(n*88|0)+24>>2]|0;if(r|0?(f[r>>2]|0)!=2:0){f[d>>2]=110384;f[h>>2]=1962;b[l>>0]=0;f[m>>2]=p;xLb(r,d)}if((f[151812+(f[j+(n*88|0)+28>>2]<<2)>>2]|0)==10?(f[j+(n*88|0)+32>>2]|0)!=3:0){j=X0b(e,tQb(p)|0)|0;f[q>>2]=j}j=n+1|0;if((j|0)>=(f[i>>2]|0))break;n=j;o=f[g>>2]|0}u=c;return}function $0b(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;if((b|0)!=1)if(!(b+-1&b))c=b;else c=Kic(b)|0;else c=2;b=f[a+4>>2]|0;if(c>>>0>b>>>0){a1b(a,c);return}if(c>>>0>=b>>>0)return;d=~~+X(+(+((f[a+12>>2]|0)>>>0)/+n[a+16>>2]))>>>0;if(b>>>0>2&(b+-1&b|0)==0)e=1<<32-($(d+-1|0)|0);else e=Kic(d)|0;d=c>>>0<e>>>0?e:c;if(d>>>0>=b>>>0)return;a1b(a,d);return}function a1b(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;c=a+4|0;if(!b){d=f[a>>2]|0;f[a>>2]=0;if(d|0)fuc(d);f[c>>2]=0;return}if(b>>>0>1073741823){d=ze(8)|0;kuc(d,519086);f[d>>2]=167148;Hf(d|0,26888,1888)}d=cuc(b<<2)|0;e=f[a>>2]|0;f[a>>2]=d;if(e|0)fuc(e);f[c>>2]=b;c=0;do{f[(f[a>>2]|0)+(c<<2)>>2]=0;c=c+1|0}while((c|0)!=(b|0));c=a+8|0;e=f[c>>2]|0;if(!e)return;d=f[e+4>>2]|0;g=b+-1|0;h=(g&b|0)==0;if(!h)if(d>>>0<b>>>0)i=d;else i=(d>>>0)%(b>>>0)|0;else i=d&g;f[(f[a>>2]|0)+(i<<2)>>2]=c;c=f[e>>2]|0;if(!c)return;else{j=i;k=e;l=c;m=e}a:while(1){b:do if(h){e=k;c=l;i=m;while(1){d=c;while(1){n=f[d+4>>2]&g;if((n|0)==(j|0))break;o=(f[a>>2]|0)+(n<<2)|0;if(!(f[o>>2]|0)){p=d;q=i;r=o;s=n;break b}o=d+8|0;t=d;while(1){u=f[t>>2]|0;if(!u)break;if((f[o>>2]|0)==(f[u+8>>2]|0))t=u;else break}f[i>>2]=u;f[t>>2]=f[f[(f[a>>2]|0)+(n<<2)>>2]>>2];f[f[(f[a>>2]|0)+(n<<2)>>2]>>2]=d;o=f[e>>2]|0;if(!o){v=37;break a}else d=o}c=f[d>>2]|0;if(!c){v=37;break a}else{e=d;i=d}}}else{i=k;e=l;c=m;while(1){o=e;while(1){w=f[o+4>>2]|0;if(w>>>0<b>>>0)x=w;else x=(w>>>0)%(b>>>0)|0;if((x|0)==(j|0))break;w=(f[a>>2]|0)+(x<<2)|0;if(!(f[w>>2]|0)){p=o;q=c;r=w;s=x;break b}w=o+8|0;y=o;while(1){z=f[y>>2]|0;if(!z)break;if((f[w>>2]|0)==(f[z+8>>2]|0))y=z;else break}f[c>>2]=z;f[y>>2]=f[f[(f[a>>2]|0)+(x<<2)>>2]>>2];f[f[(f[a>>2]|0)+(x<<2)>>2]>>2]=o;w=f[i>>2]|0;if(!w){v=37;break a}else o=w}e=f[o>>2]|0;if(!e){v=37;break a}else{i=o;c=o}}}while(0);f[r>>2]=q;l=f[p>>2]|0;if(!l){v=37;break}else{j=s;k=p;m=p}}if((v|0)==37)return}function b1b(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;c=u;u=u+16|0;d=c;f[a>>2]=157232;e=a+12|0;g=f[(f[e>>2]|0)+8>>2]|0;if(g|0){h=d+4|0;i=d+8|0;j=d+12|0;k=g;do{g=k+12|0;l=f[g>>2]|0;m=f[l+28>>2]|0;n=m+56|0;o=f[n>>2]|0;if((o|0)>0){p=m+24|0;m=0;q=f[p>>2]|0;r=o;while(1){if((f[q+(m*28|0)+16>>2]|0)>0){o=0;s=q;do{t=f[(f[s+(m*28|0)+20>>2]|0)+(o<<2)>>2]|0;v=f[t+24>>2]|0;if(v|0?(f[v>>2]|0)!=2:0){f[d>>2]=110384;f[h>>2]=1962;b[i>>0]=0;f[j>>2]=t;xLb(v,d)}o=o+1|0;s=f[p>>2]|0}while((o|0)<(f[s+(m*28|0)+16>>2]|0));w=f[n>>2]|0;x=s}else{w=r;x=q}m=m+1|0;if((m|0)>=(w|0))break;else{q=x;r=w}}y=f[g>>2]|0}else y=l;if(y|0){r=f[y+44>>2]|0;if(r|0)bi[f[(f[r>>2]|0)+4>>2]&2047](r);r=f[y+40>>2]|0;if(r|0)bi[f[(f[r>>2]|0)+4>>2]&2047](r);r=f[y+36>>2]|0;if(r|0)guc(r);r=f[y+32>>2]|0;if(r|0)guc(r);fuc(y)}k=f[k>>2]|0}while((k|0)!=0)}lLb(a+16|0);a=f[e>>2]|0;if(!a){u=c;return}e=f[a+8>>2]|0;if(e|0){k=e;do{e=k;k=f[k>>2]|0;fuc(e)}while((k|0)!=0)}k=f[a>>2]|0;f[a>>2]=0;if(k|0)fuc(k);fuc(a);u=c;return}function c1b(a){a=a|0;b1b(a);fuc(a);return}function d1b(a,b){a=a|0;b=b|0;var c=0,d=0;c=a+16|0;WKb(c);d=X0b(a,b)|0;XKb(c);return d|0}function e1b(a){a=a|0;var b=0,c=0;b=f[a>>2]|0;if(!b)return;a=f[b+8>>2]|0;if(a|0){c=a;do{a=c;c=f[c>>2]|0;fuc(a)}while((c|0)!=0)}c=f[b>>2]|0;f[b>>2]=0;if(c|0)fuc(c);fuc(b);return}function f1b(a){a=a|0;var c=0;f[a>>2]=157232;f[a+4>>2]=0;b[a+8>>0]=0;c=cuc(20)|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;n[c+16>>2]=1.0;f[a+12>>2]=c;kLb(a+16|0);return}function g1b(a){a=a|0;fuc(a);return}function h1b(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;e=u;u=u+48|0;g=e+24|0;h=e;i=e+40|0;j=eQb(f[a+4>>2]|0,f[a+12>>2]|0,c)|0;if(!j){k=0;u=e;return k|0}c=j+24|0;l=f[c>>2]|0;if(l|0?(f[l>>2]|0)!=2:0){f[g>>2]=110384;f[g+4>>2]=1962;b[g+8>>0]=0;f[g+12>>2]=j;xLb(l,g)}l=j+28|0;b[d>>0]=f[l>>2];b[d+1>>0]=(f[j+32>>2]|0)==3&1;b[d+2>>0]=b[(f[j+68>>2]|0)+52>>0]|0;f[d+12>>2]=j;m=f[c>>2]|0;if(m|0?(f[m>>2]|0)!=2:0){f[g>>2]=110384;f[g+4>>2]=1962;b[g+8>>0]=0;f[g+12>>2]=j;xLb(m,g)}if((f[151812+(f[l>>2]<<2)>>2]|0)==10){m=f[a+8>>2]|0;a=f[(f[m>>2]|0)+8>>2]|0;n=tQb(j)|0;o=Th[a&1023](m,n)|0;f[d+4>>2]=o;if(o|0){k=1;u=e;return k|0}iLb(h,3,508449,303);o=dLb(dLb(h,508550)|0,508600)|0;fLb(i,eLb(o,f[j+4>>2]|0)|0);jLb(h);k=1;u=e;return k|0}h=f[c>>2]|0;if(h|0?(f[h>>2]|0)!=2:0){f[g>>2]=110384;f[g+4>>2]=1962;b[g+8>>0]=0;f[g+12>>2]=j;xLb(h,g)}if((f[151812+(f[l>>2]<<2)>>2]|0)!=8){k=1;u=e;return k|0}f[d+4>>2]=578;l=uQb(j)|0;f[d+8>>2]=l;k=1;u=e;return k|0}function i1b(a,b){a=a|0;b=b|0;return (mQb(a,b)|0)!=0|0}function j1b(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;g=u;u=u+16|0;h=g;i=f[a>>2]|0;j=a+4|0;if((i|0)==(j|0)){u=g;return}a=e+4|0;k=e+8|0;l=i;while(1){i=l+16|0;if(!(b[i+17>>0]|0)){if(!(b[i+18>>0]&1))m=7}else if((kcc(l+24|0)|0)>0)m=7;do if((m|0)==7){m=0;n=l+40|0;o=f[n>>2]|0;p=o;if(o|0){o=f[a>>2]|0;if((o|0)==(f[k>>2]|0)){bOb(e,n);break}else{f[o>>2]=p;f[a>>2]=(f[a>>2]|0)+4;break}}p=eQb(d,c,f[i>>2]|0)|0;f[h>>2]=p;o=f[a>>2]|0;if(o>>>0<(f[k>>2]|0)>>>0){f[o>>2]=p;f[a>>2]=(f[a>>2]|0)+4}else k1b(e,h)}while(0);i=f[l+4>>2]|0;if(!i){p=l+8|0;o=f[p>>2]|0;if((f[o>>2]|0)==(l|0))q=o;else{o=p;do{p=f[o>>2]|0;o=p+8|0;n=f[o>>2]|0}while((f[n>>2]|0)!=(p|0));q=n}}else{o=i;while(1){n=f[o>>2]|0;if(!n)break;else o=n}q=o}if((q|0)==(j|0))break;else l=q}u=g;return}function k1b(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+4|0;d=f[a>>2]|0;e=(f[c>>2]|0)-d|0;g=e>>2;h=g+1|0;if(h>>>0>1073741823)nsc(a);i=a+8|0;j=(f[i>>2]|0)-d|0;k=j>>1;l=j>>2>>>0<536870911?(k>>>0<h>>>0?h:k):1073741823;do if(l)if(l>>>0>1073741823){k=ze(8)|0;kuc(k,519086);f[k>>2]=167148;Hf(k|0,26888,1888)}else{m=cuc(l<<2)|0;break}else m=0;while(0);k=m+(g<<2)|0;f[k>>2]=f[b>>2];b=k+(0-g<<2)|0;if((e|0)>0)szc(b|0,d|0,e|0)|0;f[a>>2]=b;f[c>>2]=k+4;f[i>>2]=m+(l<<2);if(!d)return;fuc(d);return}function l1b(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0;g=a+4|0;a=f[g>>2]|0;if(a|0){h=g;i=a;a:while(1){a=i;while(1){if((f[a+16>>2]|0)>=(c|0))break;j=f[a+4>>2]|0;if(!j){k=h;break a}else a=j}i=f[a>>2]|0;if(!i){k=a;break}else h=a}if(((k|0)!=(g|0)?(g=k+16|0,(f[g>>2]|0)<=(c|0)):0)?(c=b[g+18>>0]|0,(c&1)==0):0){g=f[k+24>>2]|0;if(!(c&16)){l=g;return l|0}c=f[(f[g>>2]|0)+12>>2]|0;k=Th[f[(f[e>>2]|0)+8>>2]&1023](e,d)|0;l=Th[c&1023](g,k)|0;return l|0}}l=Th[f[(f[e>>2]|0)+8>>2]&1023](e,d)|0;return l|0}function m1b(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=u;u=u+32|0;g=e+8|0;h=e;if(!(pcc(a,f[c+40>>2]|0,c,h)|0)){i=f[h>>2]|0;j=i+10|0;k=b[j>>0]|0;b[j>>0]=k&-16;j=f[i>>2]|0;if(!(k&16)){l=j;u=e;return l|0}k=f[(f[j>>2]|0)+16>>2]|0;i=f[(f[d>>2]|0)+8>>2]|0;m=tQb(c)|0;n=Th[i&1023](d,m)|0;l=Th[k&1023](j,n)|0;u=e;return l|0}n=f[c+24>>2]|0;if(n|0?(f[n>>2]|0)!=2:0){f[g>>2]=110384;f[g+4>>2]=1962;b[g+8>>0]=0;f[g+12>>2]=c;xLb(n,g)}g=f[h>>2]|0;b[g+8>>0]=f[c+28>>2];b[g+9>>0]=0;b[g+11>>0]=0;g=f[(f[d>>2]|0)+8>>2]|0;n=tQb(c)|0;c=Th[g&1023](d,n)|0;n=(f[h>>2]|0)+10|0;b[n>>0]=b[n>>0]&15;n=Th[f[(f[c>>2]|0)+16>>2]&1023](c,f[a+12>>2]|0)|0;f[f[h>>2]>>2]=n;n=f[h>>2]|0;h=n+10|0;b[h>>0]=b[h>>0]&-16;l=f[n>>2]|0;u=e;return l|0}function n1b(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;e=c+40|0;g=f[e>>2]|0;h=a+4|0;i=f[h>>2]|0;if(!i){j=0;return j|0}else{k=h;l=i}a:while(1){i=l;while(1){if((f[i+16>>2]|0)>=(g|0))break;m=f[i+4>>2]|0;if(!m){n=k;break a}else i=m}l=f[i>>2]|0;if(!l){n=i;break}else k=i}if((n|0)==(h|0)){j=0;return j|0}k=n+16|0;if((g|0)<(f[k>>2]|0)){j=0;return j|0}g=n+24|0;n=f[g>>2]|0;if(b[k+18>>0]&16){k=f[(f[n>>2]|0)+32>>2]|0;l=f[(f[d>>2]|0)+8>>2]|0;m=tQb(c)|0;c=Th[l&1023](d,m)|0;m=Th[k&1023](n,c)|0;if((f[a+12>>2]|0)==0?(c=f[g>>2]|0,(c|0)!=0):0){bi[f[(f[c>>2]|0)+4>>2]&2047](c);o=m}else o=m}else o=n;n=f[e>>2]|0;e=f[h>>2]|0;if(!e){j=o;return j|0}else{p=h;q=e}b:while(1){m=q;while(1){if((f[m+16>>2]|0)>=(n|0))break;c=f[m+4>>2]|0;if(!c){r=p;break b}else m=c}q=f[m>>2]|0;if(!q){r=m;break}else p=m}if((r|0)==(h|0)){j=o;return j|0}if((n|0)<(f[r+16>>2]|0)){j=o;return j|0}n=f[r+4>>2]|0;if(!n){h=r+8|0;p=f[h>>2]|0;if((f[p>>2]|0)==(r|0))s=p;else{p=h;do{h=f[p>>2]|0;p=h+8|0;q=f[p>>2]|0}while((f[q>>2]|0)!=(h|0));s=q}}else{p=n;while(1){n=f[p>>2]|0;if(!n)break;else p=n}s=p}if((f[a>>2]|0)==(r|0))f[a>>2]=s;s=a+8|0;f[s>>2]=(f[s>>2]|0)+-1;sGa(e,r);fuc(r);j=o;return j|0}function o1b(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;d=u;u=u+32|0;e=d+8|0;g=d;if(!(pcc(a,f[c+40>>2]|0,c,g)|0)){h=f[g>>2]|0;u=d;return h|0}i=f[c+24>>2]|0;if(i|0?(f[i>>2]|0)!=2:0){f[e>>2]=110384;f[e+4>>2]=1962;b[e+8>>0]=0;f[e+12>>2]=c;xLb(i,e)}e=f[g>>2]|0;b[e+8>>0]=f[c+28>>2];b[e+9>>0]=1;c=f[a+12>>2]|0;if(!c){a=cuc(16)|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;j=a;k=e}else{if(f[c+64>>2]|0)HIb(c,24584,16);e=GIb(c,16,2006)|0;f[e>>2]=c;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;j=e;k=f[g>>2]|0}f[k>>2]=j;h=f[g>>2]|0;u=d;return h|0}function p1b(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=a+12|0;c=f[b>>2]|0;if(!c){f[b>>2]=0;return}if(f[a>>2]|0){f[b>>2]=0;return}a=f[c>>2]|0;if((a|0)>0){d=0;do{e=f[c+4+(d<<2)>>2]|0;if(e|0)bi[f[(f[e>>2]|0)+4>>2]&2047](e);d=d+1|0}while((d|0)!=(a|0));g=f[b>>2]|0}else g=c;fuc(g);f[b>>2]=0;return}function q1b(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;d=u;u=u+32|0;e=d;g=d+24|0;h=o1b(a,b)|0;i=f[h>>2]|0;j=f[i+12>>2]|0;if((j|0?(k=i+4|0,l=f[k>>2]|0,(l|0)<(f[j>>2]|0)):0)?(f[k>>2]=l+1,k=f[j+4+(l<<2)>>2]|0,k|0):0){m=k;u=d;return m|0}if(!(f[i+4>>2]|0)){k=f[(f[c>>2]|0)+8>>2]|0;l=tQb(b)|0;b=Th[k&1023](c,l)|0;if(!b){iLb(e,3,508449,268);fLb(g,dLb(e,508781)|0);jLb(e);n=b}else n=b}else n=f[(f[i+12>>2]|0)+4>>2]|0;i=Th[f[(f[n>>2]|0)+16>>2]&1023](n,f[a+12>>2]|0)|0;r1b(f[h>>2]|0,i);m=i;u=d;return m|0}function r1b(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;c=a+12|0;d=f[c>>2]|0;do if(d){e=f[d>>2]|0;g=f[a+8>>2]|0;h=a+4|0;i=f[h>>2]|0;if((e|0)<(g|0)){if((i|0)<(e|0)){j=d+4+(i<<2)|0;f[d+4+(e<<2)>>2]=f[j>>2];k=j}else k=d+4+(i<<2)|0;f[k>>2]=b;f[h>>2]=i+1;j=f[c>>2]|0;f[j>>2]=(f[j>>2]|0)+1;return}if((i|0)==(g|0)){l=h;m=g;n=9}else{if((e|0)==(g|0)){g=f[d+4+(i<<2)>>2]|0;if((g|0)==0|(f[a>>2]|0)!=0){o=h;p=d;break}bi[f[(f[g>>2]|0)+4>>2]&2047](g);o=h;p=f[c>>2]|0;break}if((i|0)<(e|0)){f[d+4+(e<<2)>>2]=f[d+4+(i<<2)>>2];i=f[c>>2]|0;q=i;r=f[i>>2]|0}else{q=d;r=e}f[q>>2]=r+1;o=h;p=q}}else{l=a+4|0;m=f[a+8>>2]|0;n=9}while(0);if((n|0)==9){LKb(a,m+1|0);m=f[c>>2]|0;f[m>>2]=(f[m>>2]|0)+1;o=l;p=m}m=f[o>>2]|0;f[o>>2]=m+1;f[p+4+(m<<2)>>2]=b;return}function s1b(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;d=o1b(a,b)|0;r1b(f[d>>2]|0,c);return}function t1b(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0;g=u;u=u+32|0;h=g+24|0;i=g+16|0;j=g;f[i>>2]=158928;f[i+4>>2]=e;e=f[c+52>>2]|0;if(!e){f[h>>2]=158956;f[h+4>>2]=d;k=Ddc(a,b,c,h,i)|0;u=g;return k|0}else{l=f[c+56>>2]|0;yh[f[(f[d>>2]|0)+96>>2]&2047](h,d);d=f[h>>2]|0;f[j>>2]=157252;f[j+4>>2]=e;f[j+8>>2]=l;f[j+12>>2]=d;k=Ddc(a,b,c,j,i)|0;u=g;return k|0}return 0}function u1b(a){a=a|0;var c=0,d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;c=f[151812+(h[a+8>>0]<<2)>>2]|0;if(!(b[a+9>>0]|0))switch(c|0){case 9:{d=(KIb(f[a>>2]|0)|0)+12|0;return d|0}case 10:{if(!(b[a+10>>0]&16)){e=f[a>>2]|0;d=di[f[(f[e>>2]|0)+84>>2]&1023](e)|0;return d|0}else{e=f[a>>2]|0;d=di[f[(f[e>>2]|0)+44>>2]&1023](e)|0;return d|0}break}default:{d=0;return d|0}}do switch(c|0){case 1:{e=f[a>>2]|0;if(!(f[e+8>>2]|0)){d=12;return d|0}d=(f[e+4>>2]<<2)+16|0;return d|0}case 2:{e=f[a>>2]|0;if(!(f[e+8>>2]|0)){d=12;return d|0}d=(f[e+4>>2]<<3)+20|0;return d|0}case 3:{e=f[a>>2]|0;if(!(f[e+8>>2]|0)){d=12;return d|0}d=(f[e+4>>2]<<2)+16|0;return d|0}case 4:{e=f[a>>2]|0;if(!(f[e+8>>2]|0)){d=12;return d|0}d=(f[e+4>>2]<<3)+20|0;return d|0}case 6:{e=f[a>>2]|0;if(!(f[e+8>>2]|0)){d=12;return d|0}d=(f[e+4>>2]<<2)+16|0;return d|0}case 5:{e=f[a>>2]|0;if(!(f[e+8>>2]|0)){d=12;return d|0}d=(f[e+4>>2]<<3)+20|0;return d|0}case 7:{e=f[a>>2]|0;if(!(f[e+8>>2]|0)){d=12;return d|0}d=(f[e+4>>2]|0)+16|0;return d|0}case 8:{e=f[a>>2]|0;if(!(f[e+8>>2]|0)){d=12;return d|0}d=(f[e+4>>2]<<2)+16|0;return d|0}case 9:{e=f[a>>2]|0;g=f[e+8>>2]<<2;i=e+12|0;e=f[i>>2]|0;if(!e)j=g;else{if((f[e>>2]|0)>0){k=0;l=g;m=e;while(1){e=l+12+(KIb(f[m+4+(k<<2)>>2]|0)|0)|0;k=k+1|0;m=f[i>>2]|0;if((k|0)>=(f[m>>2]|0)){n=e;break}else l=e}}else n=g;j=n+4|0}d=j+16|0;return d|0}case 10:{l=f[a>>2]|0;m=f[l+8>>2]<<2;k=l+12|0;l=f[k>>2]|0;if(!l)o=m;else{if((f[l>>2]|0)>0){i=0;e=m;p=l;while(1){l=f[p+4+(i<<2)>>2]|0;q=(di[f[(f[l>>2]|0)+84>>2]&1023](l)|0)+e|0;i=i+1|0;p=f[k>>2]|0;if((i|0)>=(f[p>>2]|0)){r=q;break}else e=q}}else r=m;o=r+4|0}d=o+16|0;return d|0}default:{d=0;return d|0}}while(0);return 0}function v1b(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;b=f[a+8>>2]<<5;c=f[a>>2]|0;d=a+4|0;if((c|0)==(d|0)){e=b;return e|0}else{g=b;h=c}while(1){c=(u1b(h+24|0)|0)+g|0;b=f[h+4>>2]|0;if(!b){a=h+8|0;i=f[a>>2]|0;if((f[i>>2]|0)==(h|0))j=i;else{i=a;do{a=f[i>>2]|0;i=a+8|0;k=f[i>>2]|0}while((f[k>>2]|0)!=(a|0));j=k}}else{i=b;while(1){k=f[i>>2]|0;if(!k)break;else i=k}j=i}if((j|0)==(d|0)){e=c;break}else{g=c;h=j}}return e|0}function w1b(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0.0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0,qc=0,rc=0,sc=0,tc=0,uc=0,vc=0,wc=0,xc=0,yc=0,zc=0,Ac=0,Bc=0,Cc=0,Dc=0,Ec=0,Fc=0,Gc=0,Hc=0,Ic=0,Jc=0,Kc=0,Lc=0,Mc=0,Nc=0,Oc=0,Pc=0,Qc=0,Rc=0,Sc=0,Tc=0,Uc=0,Vc=0,Wc=0,Xc=0,Yc=0,Zc=0,_c=0,$c=0,ad=0,bd=0,cd=0,dd=0,ed=0,fd=0,gd=0,hd=0,id=0,jd=0,kd=0,ld=0,md=0,nd=0,od=0,pd=0,qd=0,rd=0,sd=0,td=0,ud=0,vd=0,wd=0,xd=0,yd=0,zd=0,Ad=0,Bd=0,Cd=0,Dd=0,Ed=0,Fd=0,Gd=0,Hd=0;g=u;u=u+32|0;h=g;i=g+24|0;if(!(b[a+9>>0]|0)){j=b[a+10>>0]|0;if(j&1){k=e;u=g;return k|0}do switch(b[a+8>>0]|0){case 5:{l=f[a>>2]|0;m=c<<3;if(m>>>0>127){n=m;o=e;while(1){b[o>>0]=n|128;q=n>>>7;r=o+1|0;if(n>>>0>16383){n=q;o=r}else{t=r;v=q;break}}}else{t=e;v=m}b[t>>0]=v;o=t+1|0;n=l&255;if(l>>>0>127){q=o;r=n;w=l;x=((l|0)<0)<<31>>31;while(1){b[q>>0]=r|-128;y=w;w=pzc(w|0,x|0,7)|0;z=q+1|0;A=w&255;if(!(x>>>0>0|(x|0)==0&y>>>0>16383)){B=z;C=A;break}else{q=z;r=A;x=J}}}else{B=o;C=n}b[B>>0]=C;k=B+1|0;u=g;return k|0}case 3:{x=a;r=f[x>>2]|0;q=f[x+4>>2]|0;x=c<<3;if(x>>>0>127){w=x;l=e;while(1){b[l>>0]=w|128;m=w>>>7;A=l+1|0;if(w>>>0>16383){w=m;l=A}else{D=A;E=m;break}}}else{D=e;E=x}b[D>>0]=E;l=D+1|0;w=r&255;if(q>>>0>0|(q|0)==0&r>>>0>127){n=l;o=w;m=r;A=q;while(1){b[n>>0]=o|-128;z=m;m=pzc(m|0,A|0,7)|0;y=n+1|0;F=m&255;if(!(A>>>0>0|(A|0)==0&z>>>0>16383)){G=y;H=F;break}else{n=y;o=F;A=J}}}else{G=l;H=w}b[G>>0]=H;k=G+1|0;u=g;return k|0}case 13:{A=f[a>>2]|0;o=c<<3;if(o>>>0>127){n=o;m=e;while(1){b[m>>0]=n|128;q=n>>>7;r=m+1|0;if(n>>>0>16383){n=q;m=r}else{I=r;K=q;break}}}else{I=e;K=o}b[I>>0]=K;m=I+1|0;if(A>>>0>127){n=A;w=m;while(1){b[w>>0]=n|128;l=n>>>7;q=w+1|0;if(n>>>0>16383){n=l;w=q}else{L=q;M=l;break}}}else{L=m;M=A}b[L>>0]=M;k=L+1|0;u=g;return k|0}case 4:{w=a;n=f[w>>2]|0;o=f[w+4>>2]|0;w=c<<3;if(w>>>0>127){l=w;q=e;while(1){b[q>>0]=l|128;r=l>>>7;x=q+1|0;if(l>>>0>16383){l=r;q=x}else{N=x;O=r;break}}}else{N=e;O=w}b[N>>0]=O;q=N+1|0;l=n&255;if(o>>>0>0|(o|0)==0&n>>>0>127){A=q;m=l;r=n;x=o;while(1){b[A>>0]=m|-128;F=r;r=pzc(r|0,x|0,7)|0;y=A+1|0;z=r&255;if(!(x>>>0>0|(x|0)==0&F>>>0>16383)){P=y;Q=z;break}else{A=y;m=z;x=J}}}else{P=q;Q=l}b[P>>0]=Q;k=P+1|0;u=g;return k|0}case 17:{x=f[a>>2]|0;m=c<<3;if(m>>>0>127){A=m;r=e;while(1){b[r>>0]=A|128;o=A>>>7;n=r+1|0;if(A>>>0>16383){A=o;r=n}else{R=n;S=o;break}}}else{R=e;S=m}b[R>>0]=S;r=R+1|0;A=x<<1^x>>31;if(A>>>0>127){l=A;q=r;while(1){b[q>>0]=l|128;o=l>>>7;n=q+1|0;if(l>>>0>16383){l=o;q=n}else{T=n;U=o;break}}}else{T=r;U=A}b[T>>0]=U;k=T+1|0;u=g;return k|0}case 18:{q=a;l=f[q>>2]|0;x=f[q+4>>2]|0;q=c<<3;if(q>>>0>127){m=q;o=e;while(1){b[o>>0]=m|128;n=m>>>7;w=o+1|0;if(m>>>0>16383){m=n;o=w}else{V=w;W=n;break}}}else{V=e;W=q}b[V>>0]=W;o=V+1|0;m=yzc(l|0,x|0,1)|0;A=J;r=ozc(l|0,x|0,63)|0;n=m^r;r=A^J;A=n&255;if(r>>>0>0|(r|0)==0&n>>>0>127){m=o;w=A;z=n;n=r;while(1){b[m>>0]=w|-128;r=z;z=pzc(z|0,n|0,7)|0;y=m+1|0;F=z&255;if(!(n>>>0>0|(n|0)==0&r>>>0>16383)){X=y;Y=F;break}else{m=y;w=F;n=J}}}else{X=o;Y=A}b[X>>0]=Y;k=X+1|0;u=g;return k|0}case 7:{n=f[a>>2]|0;w=c<<3|5;if(w>>>0>127){m=w;z=e;while(1){b[z>>0]=m|128;x=m>>>7;l=z+1|0;if(m>>>0>16383){m=x;z=l}else{Z=l;_=x;break}}}else{Z=e;_=w}b[Z>>0]=_;z=Z+1|0;b[z>>0]=n;b[z+1>>0]=n>>8;b[z+2>>0]=n>>16;b[z+3>>0]=n>>24;k=Z+5|0;u=g;return k|0}case 6:{z=a;m=f[z>>2]|0;A=f[z+4>>2]|0;z=c<<3|1;if(z>>>0>127){o=z;x=e;while(1){b[x>>0]=o|128;l=o>>>7;q=x+1|0;if(o>>>0>16383){o=l;x=q}else{$=q;aa=l;break}}}else{$=e;aa=z}b[$>>0]=aa;x=$+1|0;o=x;b[o>>0]=m;b[o+1>>0]=m>>8;b[o+2>>0]=m>>16;b[o+3>>0]=m>>24;o=x+4|0;b[o>>0]=A;b[o+1>>0]=A>>8;b[o+2>>0]=A>>16;b[o+3>>0]=A>>24;k=$+9|0;u=g;return k|0}case 15:{o=f[a>>2]|0;x=c<<3|5;if(x>>>0>127){n=x;w=e;while(1){b[w>>0]=n|128;l=n>>>7;q=w+1|0;if(n>>>0>16383){n=l;w=q}else{ba=q;ca=l;break}}}else{ba=e;ca=x}b[ba>>0]=ca;w=ba+1|0;b[w>>0]=o;b[w+1>>0]=o>>8;b[w+2>>0]=o>>16;b[w+3>>0]=o>>24;k=ba+5|0;u=g;return k|0}case 16:{w=a;n=f[w>>2]|0;A=f[w+4>>2]|0;w=c<<3|1;if(w>>>0>127){m=w;z=e;while(1){b[z>>0]=m|128;l=m>>>7;q=z+1|0;if(m>>>0>16383){m=l;z=q}else{da=q;ea=l;break}}}else{da=e;ea=w}b[da>>0]=ea;z=da+1|0;m=z;b[m>>0]=n;b[m+1>>0]=n>>8;b[m+2>>0]=n>>16;b[m+3>>0]=n>>24;m=z+4|0;b[m>>0]=A;b[m+1>>0]=A>>8;b[m+2>>0]=A>>16;b[m+3>>0]=A>>24;k=da+9|0;u=g;return k|0}case 2:{m=f[a>>2]|0;z=c<<3|5;if(z>>>0>127){o=z;x=e;while(1){b[x>>0]=o|128;l=o>>>7;q=x+1|0;if(o>>>0>16383){o=l;x=q}else{fa=q;ga=l;break}}}else{fa=e;ga=z}b[fa>>0]=ga;x=fa+1|0;b[x>>0]=m;b[x+1>>0]=m>>8;b[x+2>>0]=m>>16;b[x+3>>0]=m>>24;k=fa+5|0;u=g;return k|0}case 1:{ha=+p[a>>3];x=c<<3|1;if(x>>>0>127){o=x;A=e;while(1){b[A>>0]=o|128;n=o>>>7;w=A+1|0;if(o>>>0>16383){o=n;A=w}else{ia=w;ja=n;break}}}else{ia=e;ja=x}b[ia>>0]=ja;A=ia+1|0;p[s>>3]=ha;b[A>>0]=b[s>>0];b[A+1>>0]=b[s+1>>0];b[A+2>>0]=b[s+2>>0];b[A+3>>0]=b[s+3>>0];b[A+4>>0]=b[s+4>>0];b[A+5>>0]=b[s+5>>0];b[A+6>>0]=b[s+6>>0];b[A+7>>0]=b[s+7>>0];k=ia+9|0;u=g;return k|0}case 8:{A=b[a>>0]|0;o=c<<3;if(o>>>0>127){m=o;z=e;while(1){b[z>>0]=m|128;n=m>>>7;w=z+1|0;if(m>>>0>16383){m=n;z=w}else{ka=w;la=n;break}}}else{ka=e;la=o}b[ka>>0]=la;b[ka+1>>0]=A;k=ka+2|0;u=g;return k|0}case 9:{z=f[a>>2]|0;m=c<<3|2;if(m>>>0>127){x=m;n=e;while(1){b[n>>0]=x|128;w=x>>>7;l=n+1|0;if(x>>>0>16383){x=w;n=l}else{ma=l;na=w;break}}}else{ma=e;na=m}b[ma>>0]=na;k=XJb(z,ma+1|0)|0;u=g;return k|0}case 12:{n=f[a>>2]|0;x=c<<3|2;if(x>>>0>127){A=x;o=e;while(1){b[o>>0]=A|128;w=A>>>7;l=o+1|0;if(A>>>0>16383){A=w;o=l}else{oa=l;pa=w;break}}}else{oa=e;pa=x}b[oa>>0]=pa;k=XJb(n,oa+1|0)|0;u=g;return k|0}case 14:{o=f[a>>2]|0;A=c<<3;if(A>>>0>127){z=A;m=e;while(1){b[m>>0]=z|128;w=z>>>7;l=m+1|0;if(z>>>0>16383){z=w;m=l}else{qa=l;ra=w;break}}}else{qa=e;ra=A}b[qa>>0]=ra;m=qa+1|0;z=o&255;if(o>>>0>127){n=m;x=z;w=o;l=((o|0)<0)<<31>>31;while(1){b[n>>0]=x|-128;q=w;w=pzc(w|0,l|0,7)|0;F=n+1|0;y=w&255;if(!(l>>>0>0|(l|0)==0&q>>>0>16383)){sa=F;ta=y;break}else{n=F;x=y;l=J}}}else{sa=m;ta=z}b[sa>>0]=ta;k=sa+1|0;u=g;return k|0}case 10:{l=f[a>>2]|0;x=c<<3;n=x|3;if(n>>>0>127){w=n;o=e;while(1){b[o>>0]=w|128;A=w>>>7;y=o+1|0;if(w>>>0>16383){w=A;o=y}else{ua=y;va=A;break}}}else{ua=e;va=n}b[ua>>0]=va;o=li[f[(f[l>>2]|0)+64>>2]&511](l,0,ua+1|0)|0;w=x|4;if(w>>>0>127){z=w;m=o;while(1){b[m>>0]=z|128;A=z>>>7;y=m+1|0;if(z>>>0>16383){z=A;m=y}else{wa=y;xa=A;break}}}else{wa=o;xa=w}b[wa>>0]=xa;k=wa+1|0;u=g;return k|0}case 11:{m=f[a>>2]|0;if(j&16){k=Cg[f[(f[m>>2]|0)+68>>2]&127](m,c,d,e)|0;u=g;return k|0}z=c<<3|2;if(z>>>0>127){x=z;l=e;while(1){b[l>>0]=x|128;n=x>>>7;A=l+1|0;if(x>>>0>16383){x=n;l=A}else{ya=A;za=n;break}}}else{ya=e;za=z}b[ya>>0]=za;l=ya+1|0;x=di[f[(f[m>>2]|0)+60>>2]&1023](m)|0;if(x>>>0>127){w=x;o=l;while(1){b[o>>0]=w|128;n=w>>>7;A=o+1|0;if(w>>>0>16383){w=n;o=A}else{Aa=A;Ba=n;break}}}else{Aa=l;Ba=x}b[Aa>>0]=Ba;k=li[f[(f[m>>2]|0)+64>>2]&511](m,d,Aa+1|0)|0;u=g;return k|0}default:{k=e;u=g;return k|0}}while(0)}if(b[a+11>>0]|0){Aa=a+12|0;if(!(f[Aa>>2]|0)){k=e;u=g;return k|0}Ba=c<<3|2;if(Ba>>>0>127){ya=Ba;za=e;while(1){b[za>>0]=ya|128;j=ya>>>7;wa=za+1|0;if(ya>>>0>16383){ya=j;za=wa}else{Ca=wa;Da=j;break}}}else{Ca=e;Da=Ba}b[Ca>>0]=Da;Da=Ca+1|0;Ca=f[Aa>>2]|0;Aa=Ca&255;if(Ca>>>0>127){Ba=Da;za=Aa;ya=Ca;j=((Ca|0)<0)<<31>>31;while(1){b[Ba>>0]=za|-128;Ca=ya;ya=pzc(ya|0,j|0,7)|0;wa=Ba+1|0;xa=ya&255;if(!(j>>>0>0|(j|0)==0&Ca>>>0>16383)){Ea=wa;Fa=xa;break}else{Ba=wa;za=xa;j=J}}}else{Ea=Da;Fa=Aa}b[Ea>>0]=Fa;Fa=Ea+1|0;do switch(b[a+8>>0]|0){case 5:{Ea=f[a>>2]|0;if((f[Ea>>2]|0)>0){Ga=Fa;Ha=0;Ia=Ea}else{k=Fa;u=g;return k|0}while(1){Ea=f[(f[Ia+8>>2]|0)+4+(Ha<<2)>>2]|0;Aa=Ea&255;if(Ea>>>0>127){Da=Ga;j=((Ea|0)<0)<<31>>31;za=Aa;Ba=Ea;while(1){b[Da>>0]=za|-128;Ea=Ba;Ba=pzc(Ba|0,j|0,7)|0;ya=Da+1|0;xa=Ba&255;if(!(j>>>0>0|(j|0)==0&Ea>>>0>16383)){Ja=ya;Ka=xa;break}else{Da=ya;j=J;za=xa}}}else{Ja=Ga;Ka=Aa}b[Ja>>0]=Ka;za=Ja+1|0;Ha=Ha+1|0;Ia=f[a>>2]|0;if((Ha|0)>=(f[Ia>>2]|0)){k=za;break}else Ga=za}u=g;return k|0}case 3:{m=f[a>>2]|0;if((f[m>>2]|0)>0){La=0;Ma=Fa;Na=m}else{k=Fa;u=g;return k|0}while(1){m=(f[Na+8>>2]|0)+8+(La<<3)|0;x=f[m>>2]|0;l=f[m+4>>2]|0;m=x&255;if(l>>>0>0|(l|0)==0&x>>>0>127){za=Ma;j=m;Da=x;x=l;while(1){b[za>>0]=j|-128;l=Da;Da=pzc(Da|0,x|0,7)|0;Ba=za+1|0;xa=Da&255;if(!(x>>>0>0|(x|0)==0&l>>>0>16383)){Oa=Ba;Pa=xa;break}else{za=Ba;j=xa;x=J}}}else{Oa=Ma;Pa=m}b[Oa>>0]=Pa;x=Oa+1|0;La=La+1|0;Na=f[a>>2]|0;if((La|0)>=(f[Na>>2]|0)){k=x;break}else Ma=x}u=g;return k|0}case 13:{x=f[a>>2]|0;if((f[x>>2]|0)>0){Qa=0;Ra=Fa;Sa=x}else{k=Fa;u=g;return k|0}while(1){x=f[(f[Sa+8>>2]|0)+4+(Qa<<2)>>2]|0;if(x>>>0>127){j=x;za=Ra;while(1){b[za>>0]=j|128;Da=j>>>7;Aa=za+1|0;if(j>>>0>16383){j=Da;za=Aa}else{Ta=Aa;Ua=Da;break}}}else{Ta=Ra;Ua=x}b[Ta>>0]=Ua;za=Ta+1|0;Qa=Qa+1|0;Sa=f[a>>2]|0;if((Qa|0)>=(f[Sa>>2]|0)){k=za;break}else Ra=za}u=g;return k|0}case 4:{za=f[a>>2]|0;if((f[za>>2]|0)>0){Va=0;Wa=Fa;Xa=za}else{k=Fa;u=g;return k|0}while(1){za=(f[Xa+8>>2]|0)+8+(Va<<3)|0;j=f[za>>2]|0;m=f[za+4>>2]|0;za=j&255;if(m>>>0>0|(m|0)==0&j>>>0>127){Da=Wa;Aa=za;xa=j;j=m;while(1){b[Da>>0]=Aa|-128;m=xa;xa=pzc(xa|0,j|0,7)|0;Ba=Da+1|0;l=xa&255;if(!(j>>>0>0|(j|0)==0&m>>>0>16383)){Ya=Ba;Za=l;break}else{Da=Ba;Aa=l;j=J}}}else{Ya=Wa;Za=za}b[Ya>>0]=Za;j=Ya+1|0;Va=Va+1|0;Xa=f[a>>2]|0;if((Va|0)>=(f[Xa>>2]|0)){k=j;break}else Wa=j}u=g;return k|0}case 17:{j=f[a>>2]|0;if((f[j>>2]|0)>0){_a=0;$a=Fa;ab=j}else{k=Fa;u=g;return k|0}while(1){j=f[(f[ab+8>>2]|0)+4+(_a<<2)>>2]|0;Aa=j<<1^j>>31;if(Aa>>>0>127){j=Aa;Da=$a;while(1){b[Da>>0]=j|128;xa=j>>>7;x=Da+1|0;if(j>>>0>16383){j=xa;Da=x}else{bb=x;cb=xa;break}}}else{bb=$a;cb=Aa}b[bb>>0]=cb;Da=bb+1|0;_a=_a+1|0;ab=f[a>>2]|0;if((_a|0)>=(f[ab>>2]|0)){k=Da;break}else $a=Da}u=g;return k|0}case 18:{Da=f[a>>2]|0;if((f[Da>>2]|0)>0){db=0;eb=Fa;fb=Da}else{k=Fa;u=g;return k|0}while(1){Da=(f[fb+8>>2]|0)+8+(db<<3)|0;j=f[Da>>2]|0;za=f[Da+4>>2]|0;Da=yzc(j|0,za|0,1)|0;xa=J;x=ozc(j|0,za|0,63)|0;za=Da^x;x=xa^J;xa=za&255;if(x>>>0>0|(x|0)==0&za>>>0>127){Da=eb;j=xa;l=za;za=x;while(1){b[Da>>0]=j|-128;x=l;l=pzc(l|0,za|0,7)|0;Ba=Da+1|0;m=l&255;if(!(za>>>0>0|(za|0)==0&x>>>0>16383)){gb=Ba;hb=m;break}else{Da=Ba;j=m;za=J}}}else{gb=eb;hb=xa}b[gb>>0]=hb;za=gb+1|0;db=db+1|0;fb=f[a>>2]|0;if((db|0)>=(f[fb>>2]|0)){k=za;break}else eb=za}u=g;return k|0}case 7:{za=f[a>>2]|0;if((f[za>>2]|0)>0){ib=0;jb=Fa;kb=za}else{k=Fa;u=g;return k|0}while(1){za=f[(f[kb+8>>2]|0)+4+(ib<<2)>>2]|0;b[jb>>0]=za;b[jb+1>>0]=za>>8;b[jb+2>>0]=za>>16;b[jb+3>>0]=za>>24;za=jb+4|0;ib=ib+1|0;kb=f[a>>2]|0;if((ib|0)>=(f[kb>>2]|0)){k=za;break}else jb=za}u=g;return k|0}case 6:{za=f[a>>2]|0;if((f[za>>2]|0)>0){lb=0;mb=Fa;nb=za}else{k=Fa;u=g;return k|0}while(1){za=(f[nb+8>>2]|0)+8+(lb<<3)|0;j=f[za>>2]|0;Da=f[za+4>>2]|0;za=mb;l=za;b[l>>0]=j;b[l+1>>0]=j>>8;b[l+2>>0]=j>>16;b[l+3>>0]=j>>24;j=za+4|0;b[j>>0]=Da;b[j+1>>0]=Da>>8;b[j+2>>0]=Da>>16;b[j+3>>0]=Da>>24;Da=mb+8|0;lb=lb+1|0;nb=f[a>>2]|0;if((lb|0)>=(f[nb>>2]|0)){k=Da;break}else mb=Da}u=g;return k|0}case 15:{Da=f[a>>2]|0;if((f[Da>>2]|0)>0){ob=0;pb=Fa;qb=Da}else{k=Fa;u=g;return k|0}while(1){Da=f[(f[qb+8>>2]|0)+4+(ob<<2)>>2]|0;b[pb>>0]=Da;b[pb+1>>0]=Da>>8;b[pb+2>>0]=Da>>16;b[pb+3>>0]=Da>>24;Da=pb+4|0;ob=ob+1|0;qb=f[a>>2]|0;if((ob|0)>=(f[qb>>2]|0)){k=Da;break}else pb=Da}u=g;return k|0}case 16:{Da=f[a>>2]|0;if((f[Da>>2]|0)>0){rb=0;sb=Fa;tb=Da}else{k=Fa;u=g;return k|0}while(1){Da=(f[tb+8>>2]|0)+8+(rb<<3)|0;j=f[Da>>2]|0;za=f[Da+4>>2]|0;Da=sb;l=Da;b[l>>0]=j;b[l+1>>0]=j>>8;b[l+2>>0]=j>>16;b[l+3>>0]=j>>24;j=Da+4|0;b[j>>0]=za;b[j+1>>0]=za>>8;b[j+2>>0]=za>>16;b[j+3>>0]=za>>24;za=sb+8|0;rb=rb+1|0;tb=f[a>>2]|0;if((rb|0)>=(f[tb>>2]|0)){k=za;break}else sb=za}u=g;return k|0}case 2:{za=f[a>>2]|0;if((f[za>>2]|0)>0){ub=0;vb=Fa;wb=za}else{k=Fa;u=g;return k|0}while(1){za=f[(f[wb+8>>2]|0)+4+(ub<<2)>>2]|0;b[vb>>0]=za;b[vb+1>>0]=za>>8;b[vb+2>>0]=za>>16;b[vb+3>>0]=za>>24;za=vb+4|0;ub=ub+1|0;wb=f[a>>2]|0;if((ub|0)>=(f[wb>>2]|0)){k=za;break}else vb=za}u=g;return k|0}case 1:{za=f[a>>2]|0;if((f[za>>2]|0)>0){xb=0;yb=Fa;zb=za}else{k=Fa;u=g;return k|0}while(1){p[s>>3]=+p[(f[zb+8>>2]|0)+8+(xb<<3)>>3];b[yb>>0]=b[s>>0];b[yb+1>>0]=b[s+1>>0];b[yb+2>>0]=b[s+2>>0];b[yb+3>>0]=b[s+3>>0];b[yb+4>>0]=b[s+4>>0];b[yb+5>>0]=b[s+5>>0];b[yb+6>>0]=b[s+6>>0];b[yb+7>>0]=b[s+7>>0];za=yb+8|0;xb=xb+1|0;zb=f[a>>2]|0;if((xb|0)>=(f[zb>>2]|0)){k=za;break}else yb=za}u=g;return k|0}case 8:{za=f[a>>2]|0;if((f[za>>2]|0)>0){Ab=0;Bb=Fa;Cb=za}else{k=Fa;u=g;return k|0}while(1){b[Bb>>0]=b[(f[Cb+8>>2]|0)+4+Ab>>0]|0;za=Bb+1|0;Ab=Ab+1|0;Cb=f[a>>2]|0;if((Ab|0)>=(f[Cb>>2]|0)){k=za;break}else Bb=za}u=g;return k|0}case 14:{za=f[a>>2]|0;if((f[za>>2]|0)>0){Db=0;Eb=Fa;Fb=za}else{k=Fa;u=g;return k|0}while(1){za=f[(f[Fb+8>>2]|0)+4+(Db<<2)>>2]|0;j=za&255;if(za>>>0>127){Da=Eb;l=j;Aa=za;m=((za|0)<0)<<31>>31;while(1){b[Da>>0]=l|-128;za=Aa;Aa=pzc(Aa|0,m|0,7)|0;Ba=Da+1|0;x=Aa&255;if(!(m>>>0>0|(m|0)==0&za>>>0>16383)){Gb=Ba;Hb=x;break}else{Da=Ba;l=x;m=J}}}else{Gb=Eb;Hb=j}b[Gb>>0]=Hb;m=Gb+1|0;Db=Db+1|0;Fb=f[a>>2]|0;if((Db|0)>=(f[Fb>>2]|0)){k=m;break}else Eb=m}u=g;return k|0}case 11:case 10:case 12:case 9:{iLb(h,3,508449,498);fLb(i,dLb(h,519851)|0);jLb(h);k=Fa;u=g;return k|0}default:{k=Fa;u=g;return k|0}}while(0)}do switch(b[a+8>>0]|0){case 5:{Fa=f[a>>2]|0;if((f[Fa>>2]|0)<=0){k=e;u=g;return k|0}h=c<<3;if(h>>>0>127){Ib=0;Jb=e;Kb=Fa}else{i=h&255;Eb=0;Fb=e;Db=Fa;while(1){Fa=f[(f[Db+8>>2]|0)+4+(Eb<<2)>>2]|0;b[Fb>>0]=i;Gb=Fb+1|0;Hb=Fa&255;if(Fa>>>0>127){Bb=Gb;Cb=Hb;Ab=Fa;yb=((Fa|0)<0)<<31>>31;while(1){b[Bb>>0]=Cb|-128;Fa=Ab;Ab=pzc(Ab|0,yb|0,7)|0;zb=Bb+1|0;xb=Ab&255;if(!(yb>>>0>0|(yb|0)==0&Fa>>>0>16383)){Lb=zb;Mb=xb;break}else{Bb=zb;Cb=xb;yb=J}}}else{Lb=Gb;Mb=Hb}b[Lb>>0]=Mb;yb=Lb+1|0;Eb=Eb+1|0;Db=f[a>>2]|0;if((Eb|0)>=(f[Db>>2]|0)){k=yb;break}else Fb=yb}u=g;return k|0}while(1){Fb=f[(f[Kb+8>>2]|0)+4+(Ib<<2)>>2]|0;Db=h;Eb=Jb;while(1){b[Eb>>0]=Db|128;i=Db;Db=Db>>>7;Nb=Eb+1|0;if(i>>>0<=16383)break;else Eb=Nb}b[Nb>>0]=Db;Hb=Eb+2|0;Gb=Fb&255;if(Fb>>>0>127){i=Hb;yb=Gb;Cb=Fb;Bb=((Fb|0)<0)<<31>>31;while(1){b[i>>0]=yb|-128;Ab=Cb;Cb=pzc(Cb|0,Bb|0,7)|0;j=i+1|0;xb=Cb&255;if(!(Bb>>>0>0|(Bb|0)==0&Ab>>>0>16383)){Ob=j;Pb=xb;break}else{i=j;yb=xb;Bb=J}}}else{Ob=Hb;Pb=Gb}b[Ob>>0]=Pb;Bb=Ob+1|0;Ib=Ib+1|0;Kb=f[a>>2]|0;if((Ib|0)>=(f[Kb>>2]|0)){k=Bb;break}else Jb=Bb}u=g;return k|0}case 3:{h=f[a>>2]|0;if((f[h>>2]|0)<=0){k=e;u=g;return k|0}Bb=c<<3;if(Bb>>>0>127){Qb=0;Rb=e;Sb=h}else{yb=Bb&255;i=0;Cb=e;Fb=h;while(1){h=(f[Fb+8>>2]|0)+8+(i<<3)|0;Eb=f[h>>2]|0;Db=f[h+4>>2]|0;b[Cb>>0]=yb;h=Cb+1|0;xb=Eb&255;if(Db>>>0>0|(Db|0)==0&Eb>>>0>127){j=h;Ab=xb;zb=Eb;Eb=Db;while(1){b[j>>0]=Ab|-128;Db=zb;zb=pzc(zb|0,Eb|0,7)|0;Fa=j+1|0;vb=zb&255;if(!(Eb>>>0>0|(Eb|0)==0&Db>>>0>16383)){Tb=Fa;Ub=vb;break}else{j=Fa;Ab=vb;Eb=J}}}else{Tb=h;Ub=xb}b[Tb>>0]=Ub;Eb=Tb+1|0;i=i+1|0;Fb=f[a>>2]|0;if((i|0)>=(f[Fb>>2]|0)){k=Eb;break}else Cb=Eb}u=g;return k|0}while(1){Cb=(f[Sb+8>>2]|0)+8+(Qb<<3)|0;Fb=f[Cb>>2]|0;i=f[Cb+4>>2]|0;Cb=Bb;yb=Rb;while(1){b[yb>>0]=Cb|128;Eb=Cb;Cb=Cb>>>7;Vb=yb+1|0;if(Eb>>>0<=16383)break;else yb=Vb}b[Vb>>0]=Cb;xb=yb+2|0;h=Fb&255;if(i>>>0>0|(i|0)==0&Fb>>>0>127){Eb=xb;Ab=h;j=Fb;zb=i;while(1){b[Eb>>0]=Ab|-128;Gb=j;j=pzc(j|0,zb|0,7)|0;Hb=Eb+1|0;vb=j&255;if(!(zb>>>0>0|(zb|0)==0&Gb>>>0>16383)){Wb=Hb;Xb=vb;break}else{Eb=Hb;Ab=vb;zb=J}}}else{Wb=xb;Xb=h}b[Wb>>0]=Xb;zb=Wb+1|0;Qb=Qb+1|0;Sb=f[a>>2]|0;if((Qb|0)>=(f[Sb>>2]|0)){k=zb;break}else Rb=zb}u=g;return k|0}case 13:{Bb=f[a>>2]|0;if((f[Bb>>2]|0)<=0){k=e;u=g;return k|0}zb=c<<3;if(zb>>>0>127){Yb=0;Zb=e;_b=Bb}else{Ab=zb&255;Eb=0;j=e;i=Bb;while(1){Bb=f[(f[i+8>>2]|0)+4+(Eb<<2)>>2]|0;b[j>>0]=Ab;Fb=j+1|0;if(Bb>>>0>127){yb=Bb;Cb=Fb;while(1){b[Cb>>0]=yb|128;vb=yb>>>7;Hb=Cb+1|0;if(yb>>>0>16383){yb=vb;Cb=Hb}else{$b=Hb;ac=vb;break}}}else{$b=Fb;ac=Bb}b[$b>>0]=ac;Cb=$b+1|0;Eb=Eb+1|0;i=f[a>>2]|0;if((Eb|0)>=(f[i>>2]|0)){k=Cb;break}else j=Cb}u=g;return k|0}while(1){j=f[(f[_b+8>>2]|0)+4+(Yb<<2)>>2]|0;i=zb;Eb=Zb;while(1){b[Eb>>0]=i|128;Ab=i;i=i>>>7;bc=Eb+1|0;if(Ab>>>0<=16383)break;else Eb=bc}b[bc>>0]=i;Bb=Eb+2|0;if(j>>>0>127){Fb=j;Ab=Bb;while(1){b[Ab>>0]=Fb|128;Cb=Fb>>>7;yb=Ab+1|0;if(Fb>>>0>16383){Fb=Cb;Ab=yb}else{cc=yb;dc=Cb;break}}}else{cc=Bb;dc=j}b[cc>>0]=dc;Ab=cc+1|0;Yb=Yb+1|0;_b=f[a>>2]|0;if((Yb|0)>=(f[_b>>2]|0)){k=Ab;break}else Zb=Ab}u=g;return k|0}case 4:{zb=f[a>>2]|0;if((f[zb>>2]|0)<=0){k=e;u=g;return k|0}Ab=c<<3;if(Ab>>>0>127){ec=0;fc=e;gc=zb}else{Fb=Ab&255;Eb=0;i=e;Cb=zb;while(1){zb=(f[Cb+8>>2]|0)+8+(Eb<<3)|0;yb=f[zb>>2]|0;h=f[zb+4>>2]|0;b[i>>0]=Fb;zb=i+1|0;xb=yb&255;if(h>>>0>0|(h|0)==0&yb>>>0>127){vb=zb;Hb=xb;Gb=yb;yb=h;while(1){b[vb>>0]=Hb|-128;h=Gb;Gb=pzc(Gb|0,yb|0,7)|0;Fa=vb+1|0;Db=Gb&255;if(!(yb>>>0>0|(yb|0)==0&h>>>0>16383)){hc=Fa;ic=Db;break}else{vb=Fa;Hb=Db;yb=J}}}else{hc=zb;ic=xb}b[hc>>0]=ic;yb=hc+1|0;Eb=Eb+1|0;Cb=f[a>>2]|0;if((Eb|0)>=(f[Cb>>2]|0)){k=yb;break}else i=yb}u=g;return k|0}while(1){i=(f[gc+8>>2]|0)+8+(ec<<3)|0;Cb=f[i>>2]|0;Eb=f[i+4>>2]|0;i=Ab;Fb=fc;while(1){b[Fb>>0]=i|128;yb=i;i=i>>>7;jc=Fb+1|0;if(yb>>>0<=16383)break;else Fb=jc}b[jc>>0]=i;xb=Fb+2|0;zb=Cb&255;if(Eb>>>0>0|(Eb|0)==0&Cb>>>0>127){yb=xb;Hb=zb;vb=Cb;Gb=Eb;while(1){b[yb>>0]=Hb|-128;j=vb;vb=pzc(vb|0,Gb|0,7)|0;Bb=yb+1|0;Db=vb&255;if(!(Gb>>>0>0|(Gb|0)==0&j>>>0>16383)){kc=Bb;lc=Db;break}else{yb=Bb;Hb=Db;Gb=J}}}else{kc=xb;lc=zb}b[kc>>0]=lc;Gb=kc+1|0;ec=ec+1|0;gc=f[a>>2]|0;if((ec|0)>=(f[gc>>2]|0)){k=Gb;break}else fc=Gb}u=g;return k|0}case 17:{Ab=f[a>>2]|0;if((f[Ab>>2]|0)<=0){k=e;u=g;return k|0}Gb=c<<3;if(Gb>>>0>127){mc=0;nc=e;oc=Ab}else{Hb=Gb&255;yb=0;vb=e;Eb=Ab;while(1){Ab=f[(f[Eb+8>>2]|0)+4+(yb<<2)>>2]|0;b[vb>>0]=Hb;Cb=vb+1|0;Fb=Ab<<1^Ab>>31;if(Fb>>>0>127){Ab=Fb;i=Cb;while(1){b[i>>0]=Ab|128;Db=Ab>>>7;Bb=i+1|0;if(Ab>>>0>16383){Ab=Db;i=Bb}else{pc=Bb;qc=Db;break}}}else{pc=Cb;qc=Fb}b[pc>>0]=qc;i=pc+1|0;yb=yb+1|0;Eb=f[a>>2]|0;if((yb|0)>=(f[Eb>>2]|0)){k=i;break}else vb=i}u=g;return k|0}while(1){vb=f[(f[oc+8>>2]|0)+4+(mc<<2)>>2]|0;Eb=Gb;yb=nc;while(1){b[yb>>0]=Eb|128;Hb=Eb;Eb=Eb>>>7;rc=yb+1|0;if(Hb>>>0<=16383)break;else yb=rc}b[rc>>0]=Eb;Fb=yb+2|0;Cb=vb<<1^vb>>31;if(Cb>>>0>127){Hb=Cb;i=Fb;while(1){b[i>>0]=Hb|128;Ab=Hb>>>7;zb=i+1|0;if(Hb>>>0>16383){Hb=Ab;i=zb}else{sc=zb;tc=Ab;break}}}else{sc=Fb;tc=Cb}b[sc>>0]=tc;i=sc+1|0;mc=mc+1|0;oc=f[a>>2]|0;if((mc|0)>=(f[oc>>2]|0)){k=i;break}else nc=i}u=g;return k|0}case 18:{Gb=f[a>>2]|0;if((f[Gb>>2]|0)<=0){k=e;u=g;return k|0}i=c<<3;if(i>>>0>127){uc=0;vc=e;wc=Gb}else{Hb=i&255;vb=0;yb=e;Eb=Gb;while(1){Gb=(f[Eb+8>>2]|0)+8+(vb<<3)|0;Ab=f[Gb>>2]|0;zb=f[Gb+4>>2]|0;b[yb>>0]=Hb;Gb=yb+1|0;xb=yzc(Ab|0,zb|0,1)|0;Db=J;Bb=ozc(Ab|0,zb|0,63)|0;zb=xb^Bb;Bb=Db^J;Db=zb&255;if(Bb>>>0>0|(Bb|0)==0&zb>>>0>127){xb=Gb;Ab=Db;j=zb;zb=Bb;while(1){b[xb>>0]=Ab|-128;Bb=j;j=pzc(j|0,zb|0,7)|0;Fa=xb+1|0;h=j&255;if(!(zb>>>0>0|(zb|0)==0&Bb>>>0>16383)){xc=Fa;yc=h;break}else{xb=Fa;Ab=h;zb=J}}}else{xc=Gb;yc=Db}b[xc>>0]=yc;zb=xc+1|0;vb=vb+1|0;Eb=f[a>>2]|0;if((vb|0)>=(f[Eb>>2]|0)){k=zb;break}else yb=zb}u=g;return k|0}while(1){yb=(f[wc+8>>2]|0)+8+(uc<<3)|0;Eb=f[yb>>2]|0;vb=f[yb+4>>2]|0;yb=i;Hb=vc;while(1){b[Hb>>0]=yb|128;zb=yb;yb=yb>>>7;zc=Hb+1|0;if(zb>>>0<=16383)break;else Hb=zc}b[zc>>0]=yb;Db=Hb+2|0;Gb=yzc(Eb|0,vb|0,1)|0;zb=J;Ab=ozc(Eb|0,vb|0,63)|0;xb=Gb^Ab;Ab=zb^J;zb=xb&255;if(Ab>>>0>0|(Ab|0)==0&xb>>>0>127){Gb=Db;j=zb;Cb=xb;xb=Ab;while(1){b[Gb>>0]=j|-128;Ab=Cb;Cb=pzc(Cb|0,xb|0,7)|0;Fb=Gb+1|0;h=Cb&255;if(!(xb>>>0>0|(xb|0)==0&Ab>>>0>16383)){Ac=Fb;Bc=h;break}else{Gb=Fb;j=h;xb=J}}}else{Ac=Db;Bc=zb}b[Ac>>0]=Bc;xb=Ac+1|0;uc=uc+1|0;wc=f[a>>2]|0;if((uc|0)>=(f[wc>>2]|0)){k=xb;break}else vc=xb}u=g;return k|0}case 7:{i=f[a>>2]|0;if((f[i>>2]|0)<=0){k=e;u=g;return k|0}xb=c<<3|5;if(xb>>>0>127){Cc=0;Dc=e;Ec=i}else{j=xb&255;Gb=0;Cb=e;vb=i;while(1){i=f[(f[vb+8>>2]|0)+4+(Gb<<2)>>2]|0;b[Cb>>0]=j;Eb=Cb+1|0;b[Eb>>0]=i;b[Eb+1>>0]=i>>8;b[Eb+2>>0]=i>>16;b[Eb+3>>0]=i>>24;i=Cb+5|0;Gb=Gb+1|0;vb=f[a>>2]|0;if((Gb|0)>=(f[vb>>2]|0)){k=i;break}else Cb=i}u=g;return k|0}while(1){Cb=f[(f[Ec+8>>2]|0)+4+(Cc<<2)>>2]|0;vb=xb;Gb=Dc;while(1){b[Gb>>0]=vb|128;j=vb;vb=vb>>>7;Fc=Gb+1|0;if(j>>>0<=16383)break;else Gb=Fc}b[Fc>>0]=vb;zb=Gb+2|0;b[zb>>0]=Cb;b[zb+1>>0]=Cb>>8;b[zb+2>>0]=Cb>>16;b[zb+3>>0]=Cb>>24;zb=Gb+6|0;Cc=Cc+1|0;Ec=f[a>>2]|0;if((Cc|0)>=(f[Ec>>2]|0)){k=zb;break}else Dc=zb}u=g;return k|0}case 6:{xb=f[a>>2]|0;if((f[xb>>2]|0)<=0){k=e;u=g;return k|0}zb=c<<3|1;if(zb>>>0>127){Gc=0;Hc=e;Ic=xb}else{Db=zb&255;j=0;i=e;Eb=xb;while(1){xb=(f[Eb+8>>2]|0)+8+(j<<3)|0;Hb=f[xb>>2]|0;yb=f[xb+4>>2]|0;b[i>>0]=Db;xb=i+1|0;h=xb;b[h>>0]=Hb;b[h+1>>0]=Hb>>8;b[h+2>>0]=Hb>>16;b[h+3>>0]=Hb>>24;Hb=xb+4|0;b[Hb>>0]=yb;b[Hb+1>>0]=yb>>8;b[Hb+2>>0]=yb>>16;b[Hb+3>>0]=yb>>24;yb=i+9|0;j=j+1|0;Eb=f[a>>2]|0;if((j|0)>=(f[Eb>>2]|0)){k=yb;break}else i=yb}u=g;return k|0}while(1){i=(f[Ic+8>>2]|0)+8+(Gc<<3)|0;Eb=f[i>>2]|0;j=f[i+4>>2]|0;i=zb;Db=Hc;while(1){b[Db>>0]=i|128;yb=i;i=i>>>7;Jc=Db+1|0;if(yb>>>0<=16383)break;else Db=Jc}b[Jc>>0]=i;Gb=Db+2|0;Cb=Gb;b[Cb>>0]=Eb;b[Cb+1>>0]=Eb>>8;b[Cb+2>>0]=Eb>>16;b[Cb+3>>0]=Eb>>24;Cb=Gb+4|0;b[Cb>>0]=j;b[Cb+1>>0]=j>>8;b[Cb+2>>0]=j>>16;b[Cb+3>>0]=j>>24;Cb=Db+10|0;Gc=Gc+1|0;Ic=f[a>>2]|0;if((Gc|0)>=(f[Ic>>2]|0)){k=Cb;break}else Hc=Cb}u=g;return k|0}case 15:{zb=f[a>>2]|0;if((f[zb>>2]|0)<=0){k=e;u=g;return k|0}Cb=c<<3|5;if(Cb>>>0>127){Kc=0;Lc=e;Mc=zb}else{Gb=Cb&255;vb=0;yb=e;Hb=zb;while(1){zb=f[(f[Hb+8>>2]|0)+4+(vb<<2)>>2]|0;b[yb>>0]=Gb;xb=yb+1|0;b[xb>>0]=zb;b[xb+1>>0]=zb>>8;b[xb+2>>0]=zb>>16;b[xb+3>>0]=zb>>24;zb=yb+5|0;vb=vb+1|0;Hb=f[a>>2]|0;if((vb|0)>=(f[Hb>>2]|0)){k=zb;break}else yb=zb}u=g;return k|0}while(1){yb=f[(f[Mc+8>>2]|0)+4+(Kc<<2)>>2]|0;Hb=Cb;vb=Lc;while(1){b[vb>>0]=Hb|128;Gb=Hb;Hb=Hb>>>7;Nc=vb+1|0;if(Gb>>>0<=16383)break;else vb=Nc}b[Nc>>0]=Hb;Db=vb+2|0;b[Db>>0]=yb;b[Db+1>>0]=yb>>8;b[Db+2>>0]=yb>>16;b[Db+3>>0]=yb>>24;Db=vb+6|0;Kc=Kc+1|0;Mc=f[a>>2]|0;if((Kc|0)>=(f[Mc>>2]|0)){k=Db;break}else Lc=Db}u=g;return k|0}case 16:{Cb=f[a>>2]|0;if((f[Cb>>2]|0)<=0){k=e;u=g;return k|0}Db=c<<3|1;if(Db>>>0>127){Oc=0;Pc=e;Qc=Cb}else{j=Db&255;Eb=0;i=e;Gb=Cb;while(1){Cb=(f[Gb+8>>2]|0)+8+(Eb<<3)|0;zb=f[Cb>>2]|0;xb=f[Cb+4>>2]|0;b[i>>0]=j;Cb=i+1|0;h=Cb;b[h>>0]=zb;b[h+1>>0]=zb>>8;b[h+2>>0]=zb>>16;b[h+3>>0]=zb>>24;zb=Cb+4|0;b[zb>>0]=xb;b[zb+1>>0]=xb>>8;b[zb+2>>0]=xb>>16;b[zb+3>>0]=xb>>24;xb=i+9|0;Eb=Eb+1|0;Gb=f[a>>2]|0;if((Eb|0)>=(f[Gb>>2]|0)){k=xb;break}else i=xb}u=g;return k|0}while(1){i=(f[Qc+8>>2]|0)+8+(Oc<<3)|0;Gb=f[i>>2]|0;Eb=f[i+4>>2]|0;i=Db;j=Pc;while(1){b[j>>0]=i|128;xb=i;i=i>>>7;Rc=j+1|0;if(xb>>>0<=16383)break;else j=Rc}b[Rc>>0]=i;vb=j+2|0;yb=vb;b[yb>>0]=Gb;b[yb+1>>0]=Gb>>8;b[yb+2>>0]=Gb>>16;b[yb+3>>0]=Gb>>24;yb=vb+4|0;b[yb>>0]=Eb;b[yb+1>>0]=Eb>>8;b[yb+2>>0]=Eb>>16;b[yb+3>>0]=Eb>>24;yb=j+10|0;Oc=Oc+1|0;Qc=f[a>>2]|0;if((Oc|0)>=(f[Qc>>2]|0)){k=yb;break}else Pc=yb}u=g;return k|0}case 2:{Db=f[a>>2]|0;if((f[Db>>2]|0)<=0){k=e;u=g;return k|0}yb=c<<3|5;if(yb>>>0>127){Sc=0;Tc=e;Uc=Db}else{vb=yb&255;Hb=0;xb=e;zb=Db;while(1){Db=f[(f[zb+8>>2]|0)+4+(Hb<<2)>>2]|0;b[xb>>0]=vb;Cb=xb+1|0;b[Cb>>0]=Db;b[Cb+1>>0]=Db>>8;b[Cb+2>>0]=Db>>16;b[Cb+3>>0]=Db>>24;Db=xb+5|0;Hb=Hb+1|0;zb=f[a>>2]|0;if((Hb|0)>=(f[zb>>2]|0)){k=Db;break}else xb=Db}u=g;return k|0}while(1){xb=f[(f[Uc+8>>2]|0)+4+(Sc<<2)>>2]|0;zb=yb;Hb=Tc;while(1){b[Hb>>0]=zb|128;vb=zb;zb=zb>>>7;Vc=Hb+1|0;if(vb>>>0<=16383)break;else Hb=Vc}b[Vc>>0]=zb;j=Hb+2|0;b[j>>0]=xb;b[j+1>>0]=xb>>8;b[j+2>>0]=xb>>16;b[j+3>>0]=xb>>24;j=Hb+6|0;Sc=Sc+1|0;Uc=f[a>>2]|0;if((Sc|0)>=(f[Uc>>2]|0)){k=j;break}else Tc=j}u=g;return k|0}case 1:{yb=f[a>>2]|0;if((f[yb>>2]|0)<=0){k=e;u=g;return k|0}j=c<<3|1;if(j>>>0>127){Wc=0;Xc=e;Yc=yb}else{Eb=j&255;Gb=0;i=e;vb=yb;while(1){ha=+p[(f[vb+8>>2]|0)+8+(Gb<<3)>>3];b[i>>0]=Eb;yb=i+1|0;p[s>>3]=ha;b[yb>>0]=b[s>>0];b[yb+1>>0]=b[s+1>>0];b[yb+2>>0]=b[s+2>>0];b[yb+3>>0]=b[s+3>>0];b[yb+4>>0]=b[s+4>>0];b[yb+5>>0]=b[s+5>>0];b[yb+6>>0]=b[s+6>>0];b[yb+7>>0]=b[s+7>>0];yb=i+9|0;Gb=Gb+1|0;vb=f[a>>2]|0;if((Gb|0)>=(f[vb>>2]|0)){k=yb;break}else i=yb}u=g;return k|0}while(1){ha=+p[(f[Yc+8>>2]|0)+8+(Wc<<3)>>3];i=j;vb=Xc;while(1){b[vb>>0]=i|128;Gb=i;i=i>>>7;Zc=vb+1|0;if(Gb>>>0<=16383)break;else vb=Zc}b[Zc>>0]=i;Hb=vb+2|0;p[s>>3]=ha;b[Hb>>0]=b[s>>0];b[Hb+1>>0]=b[s+1>>0];b[Hb+2>>0]=b[s+2>>0];b[Hb+3>>0]=b[s+3>>0];b[Hb+4>>0]=b[s+4>>0];b[Hb+5>>0]=b[s+5>>0];b[Hb+6>>0]=b[s+6>>0];b[Hb+7>>0]=b[s+7>>0];Hb=vb+10|0;Wc=Wc+1|0;Yc=f[a>>2]|0;if((Wc|0)>=(f[Yc>>2]|0)){k=Hb;break}else Xc=Hb}u=g;return k|0}case 8:{j=f[a>>2]|0;if((f[j>>2]|0)<=0){k=e;u=g;return k|0}Hb=c<<3;if(Hb>>>0>127){_c=0;$c=e;ad=j}else{xb=Hb&255;zb=0;Gb=e;Eb=j;while(1){j=b[(f[Eb+8>>2]|0)+4+zb>>0]|0;b[Gb>>0]=xb;b[Gb+1>>0]=j;j=Gb+2|0;zb=zb+1|0;Eb=f[a>>2]|0;if((zb|0)>=(f[Eb>>2]|0)){k=j;break}else Gb=j}u=g;return k|0}while(1){Gb=b[(f[ad+8>>2]|0)+4+_c>>0]|0;Eb=Hb;zb=$c;while(1){b[zb>>0]=Eb|128;xb=Eb;Eb=Eb>>>7;bd=zb+1|0;if(xb>>>0<=16383)break;else zb=bd}b[bd>>0]=Eb;b[zb+2>>0]=Gb;vb=zb+3|0;_c=_c+1|0;ad=f[a>>2]|0;if((_c|0)>=(f[ad>>2]|0)){k=vb;break}else $c=vb}u=g;return k|0}case 9:{Hb=f[a>>2]|0;if((f[Hb+4>>2]|0)<=0){k=e;u=g;return k|0}vb=c<<3|2;if(vb>>>0>127){cd=0;dd=e;ed=Hb}else{i=vb&255;xb=0;j=e;yb=Hb;while(1){Hb=f[(f[yb+12>>2]|0)+4+(xb<<2)>>2]|0;b[j>>0]=i;Db=XJb(Hb,j+1|0)|0;xb=xb+1|0;yb=f[a>>2]|0;if((xb|0)>=(f[yb+4>>2]|0)){k=Db;break}else j=Db}u=g;return k|0}while(1){j=f[(f[ed+12>>2]|0)+4+(cd<<2)>>2]|0;yb=vb;xb=dd;while(1){b[xb>>0]=yb|128;i=yb;yb=yb>>>7;fd=xb+1|0;if(i>>>0<=16383)break;else xb=fd}b[fd>>0]=yb;zb=XJb(j,xb+2|0)|0;cd=cd+1|0;ed=f[a>>2]|0;if((cd|0)>=(f[ed+4>>2]|0)){k=zb;break}else dd=zb}u=g;return k|0}case 12:{vb=f[a>>2]|0;if((f[vb+4>>2]|0)<=0){k=e;u=g;return k|0}zb=c<<3|2;if(zb>>>0>127){gd=0;hd=e;id=vb}else{Gb=zb&255;Eb=0;i=e;Db=vb;while(1){vb=f[(f[Db+12>>2]|0)+4+(Eb<<2)>>2]|0;b[i>>0]=Gb;Hb=XJb(vb,i+1|0)|0;Eb=Eb+1|0;Db=f[a>>2]|0;if((Eb|0)>=(f[Db+4>>2]|0)){k=Hb;break}else i=Hb}u=g;return k|0}while(1){i=f[(f[id+12>>2]|0)+4+(gd<<2)>>2]|0;Db=zb;Eb=hd;while(1){b[Eb>>0]=Db|128;Gb=Db;Db=Db>>>7;jd=Eb+1|0;if(Gb>>>0<=16383)break;else Eb=jd}b[jd>>0]=Db;xb=XJb(i,Eb+2|0)|0;gd=gd+1|0;id=f[a>>2]|0;if((gd|0)>=(f[id+4>>2]|0)){k=xb;break}else hd=xb}u=g;return k|0}case 14:{zb=f[a>>2]|0;if((f[zb>>2]|0)<=0){k=e;u=g;return k|0}xb=c<<3;if(xb>>>0>127){kd=0;ld=e;md=zb}else{j=xb&255;yb=0;Gb=e;Hb=zb;while(1){zb=f[(f[Hb+8>>2]|0)+4+(yb<<2)>>2]|0;b[Gb>>0]=j;vb=Gb+1|0;Cb=zb&255;if(zb>>>0>127){h=vb;Fb=Cb;Ab=zb;Fa=((zb|0)<0)<<31>>31;while(1){b[h>>0]=Fb|-128;zb=Ab;Ab=pzc(Ab|0,Fa|0,7)|0;Bb=h+1|0;wb=Ab&255;if(!(Fa>>>0>0|(Fa|0)==0&zb>>>0>16383)){nd=Bb;od=wb;break}else{h=Bb;Fb=wb;Fa=J}}}else{nd=vb;od=Cb}b[nd>>0]=od;Fa=nd+1|0;yb=yb+1|0;Hb=f[a>>2]|0;if((yb|0)>=(f[Hb>>2]|0)){k=Fa;break}else Gb=Fa}u=g;return k|0}while(1){Gb=f[(f[md+8>>2]|0)+4+(kd<<2)>>2]|0;Hb=xb;yb=ld;while(1){b[yb>>0]=Hb|128;j=Hb;Hb=Hb>>>7;pd=yb+1|0;if(j>>>0<=16383)break;else yb=pd}b[pd>>0]=Hb;Cb=yb+2|0;vb=Gb&255;if(Gb>>>0>127){j=Cb;Fa=vb;Fb=Gb;h=((Gb|0)<0)<<31>>31;while(1){b[j>>0]=Fa|-128;Ab=Fb;Fb=pzc(Fb|0,h|0,7)|0;Eb=j+1|0;i=Fb&255;if(!(h>>>0>0|(h|0)==0&Ab>>>0>16383)){qd=Eb;rd=i;break}else{j=Eb;Fa=i;h=J}}}else{qd=Cb;rd=vb}b[qd>>0]=rd;h=qd+1|0;kd=kd+1|0;md=f[a>>2]|0;if((kd|0)>=(f[md>>2]|0)){k=h;break}else ld=h}u=g;return k|0}case 10:{xb=f[a>>2]|0;if((f[xb+4>>2]|0)<=0){k=e;u=g;return k|0}h=c<<3;Fa=h|3;j=h|4;h=j>>>0>127;if(Fa>>>0>127){sd=0;td=e;ud=xb}else{Fb=Fa&255;Gb=0;yb=e;Hb=xb;while(1){xb=f[(f[Hb+12>>2]|0)+4+(Gb<<2)>>2]|0;b[yb>>0]=Fb;i=li[f[(f[xb>>2]|0)+64>>2]&511](xb,d,yb+1|0)|0;if(h){xb=j;Eb=i;while(1){b[Eb>>0]=xb|128;Ab=xb>>>7;Db=Eb+1|0;if(xb>>>0>16383){xb=Ab;Eb=Db}else{vd=Db;wd=Ab;break}}}else{vd=i;wd=j}b[vd>>0]=wd;Eb=vd+1|0;Gb=Gb+1|0;Hb=f[a>>2]|0;if((Gb|0)>=(f[Hb+4>>2]|0)){k=Eb;break}else yb=Eb}u=g;return k|0}while(1){yb=f[(f[ud+12>>2]|0)+4+(sd<<2)>>2]|0;Hb=Fa;Gb=td;while(1){b[Gb>>0]=Hb|128;Fb=Hb;Hb=Hb>>>7;xd=Gb+1|0;if(Fb>>>0<=16383)break;else Gb=xd}b[xd>>0]=Hb;i=li[f[(f[yb>>2]|0)+64>>2]&511](yb,d,Gb+2|0)|0;if(h){Fb=j;Eb=i;while(1){b[Eb>>0]=Fb|128;xb=Fb>>>7;vb=Eb+1|0;if(Fb>>>0>16383){Fb=xb;Eb=vb}else{yd=vb;zd=xb;break}}}else{yd=i;zd=j}b[yd>>0]=zd;Eb=yd+1|0;sd=sd+1|0;ud=f[a>>2]|0;if((sd|0)>=(f[ud+4>>2]|0)){k=Eb;break}else td=Eb}u=g;return k|0}case 11:{j=f[a>>2]|0;if((f[j+4>>2]|0)<=0){k=e;u=g;return k|0}h=c<<3|2;if(h>>>0>127){Ad=0;Bd=e;Cd=j}else{Fa=h&255;Eb=0;Fb=e;Gb=j;while(1){j=f[(f[Gb+12>>2]|0)+4+(Eb<<2)>>2]|0;b[Fb>>0]=Fa;yb=Fb+1|0;Hb=di[f[(f[j>>2]|0)+60>>2]&1023](j)|0;if(Hb>>>0>127){xb=Hb;vb=yb;while(1){b[vb>>0]=xb|128;Cb=xb>>>7;Ab=vb+1|0;if(xb>>>0>16383){xb=Cb;vb=Ab}else{Dd=Ab;Ed=Cb;break}}}else{Dd=yb;Ed=Hb}b[Dd>>0]=Ed;vb=li[f[(f[j>>2]|0)+64>>2]&511](j,d,Dd+1|0)|0;Eb=Eb+1|0;Gb=f[a>>2]|0;if((Eb|0)>=(f[Gb+4>>2]|0)){k=vb;break}else Fb=vb}u=g;return k|0}while(1){Fb=f[(f[Cd+12>>2]|0)+4+(Ad<<2)>>2]|0;Gb=h;Eb=Bd;while(1){b[Eb>>0]=Gb|128;Fa=Gb;Gb=Gb>>>7;Fd=Eb+1|0;if(Fa>>>0<=16383)break;else Eb=Fd}b[Fd>>0]=Gb;j=Eb+2|0;Hb=di[f[(f[Fb>>2]|0)+60>>2]&1023](Fb)|0;if(Hb>>>0>127){yb=Hb;Fa=j;while(1){b[Fa>>0]=yb|128;vb=yb>>>7;xb=Fa+1|0;if(yb>>>0>16383){yb=vb;Fa=xb}else{Gd=xb;Hd=vb;break}}}else{Gd=j;Hd=Hb}b[Gd>>0]=Hd;Fa=li[f[(f[Fb>>2]|0)+64>>2]&511](Fb,d,Gd+1|0)|0;Ad=Ad+1|0;Cd=f[a>>2]|0;if((Ad|0)>=(f[Cd+4>>2]|0)){k=Fa;break}else Bd=Fa}u=g;return k|0}default:{k=e;u=g;return k|0}}while(0);return 0}function x1b(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;g=a+4|0;a=f[g>>2]|0;if(!a){h=e;return h|0}else{i=g;j=a}a:while(1){a=j;while(1){if((f[a+16>>2]|0)>=(b|0))break;k=f[a+4>>2]|0;if(!k){l=i;break a}else a=k}j=f[a>>2]|0;if(!j){l=a;break}else i=a}if((l|0)==(g|0)){h=e;return h|0}else{m=e;n=l}while(1){l=f[n+16>>2]|0;if((l|0)>=(c|0)){h=m;o=14;break}e=w1b(n+24|0,l,d,m)|0;l=f[n+4>>2]|0;if(!l){i=n+8|0;j=f[i>>2]|0;if((f[j>>2]|0)==(n|0))p=j;else{j=i;do{i=f[j>>2]|0;j=i+8|0;b=f[j>>2]|0}while((f[b>>2]|0)!=(i|0));p=b}}else{j=l;while(1){a=f[j>>2]|0;if(!a)break;else j=a}p=j}if((p|0)==(g|0)){h=e;o=14;break}else{m=e;n=p}}if((o|0)==14)return h|0;return 0}function y1b(a){a=a|0;return}function z1b(a){a=a|0;fuc(a);return}function A1b(a,c){a=a|0;c=c|0;var d=0,e=0;if(!(b[488459]|0?1:(f[(f[(f[a+4>>2]|0)+8>>2]|0)+44>>2]|0)!=3)){d=bbc()|0;return d|0}e=f[c+(f[a+24>>2]|0)>>2]|0;if(!(e&1)){d=bbc()|0;return d|0}else{d=e&-2;return d|0}return 0}function B1b(a,b){a=a|0;b=b|0;var c=0,d=0;c=b+(f[a+24>>2]|0)|0;a=f[c>>2]|0;if(!(a&1)){d=OOa(c)|0;return d|0}else{d=a&-2;return d|0}return 0}function C1b(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0;d=u;u=u+16|0;e=d;g=a+8|0;h=f[a+36>>2]|0;i=a+4|0;do if(b[488459]|0?1:(f[(f[(f[i>>2]|0)+8>>2]|0)+44>>2]|0)!=3){j=f[c+(f[a+24>>2]|0)>>2]|0;if(!(j&1)){k=bbc()|0;break}else{k=j&-2;break}}else k=bbc()|0;while(0);j=(jbc(k)|0)+h|0;h=f[a+28>>2]|0;if((h|0)==-1)l=j;else l=(v1b(c+h|0)|0)+j|0;j=a+52|0;if((f[j>>2]|0)<0){m=l;u=d;return m|0}h=a+12|0;k=a+32|0;a=e+4|0;n=e+8|0;o=e+12|0;p=e+4|0;q=e+8|0;r=e+12|0;s=e+4|0;t=e+8|0;v=e+12|0;w=0;x=l;while(1){l=f[(f[i>>2]|0)+20>>2]|0;y=l+(w*88|0)|0;a:do if((f[l+(w*88|0)+32>>2]|0)!=3){z=l+(w*88|0)+52|0;A=f[z>>2]|0;if(A|0?(f[c+((((A-(f[(f[A+8>>2]|0)+24>>2]|0)|0)/28|0)<<2)+(f[k>>2]|0))>>2]|0)!=(f[l+(w*88|0)+40>>2]|0):0){B=x;break}A=f[l+(w*88|0)+24>>2]|0;if(A|0?(f[A>>2]|0)!=2:0){f[e>>2]=110384;f[s>>2]=1962;b[t>>0]=0;f[v>>2]=y;xLb(A,e)}switch(f[151812+(f[l+(w*88|0)+28>>2]<<2)>>2]|0){case 10:{A=f[g>>2]|0;if((A|0)==(c|0)){B=x;break a}C=f[z>>2]|0;do if(!C){D=f[h>>2]|0;do if(b[l+(w*88|0)+38>>0]|0){E=f[l+(w*88|0)+56>>2]|0;F=y;if(!E){G=F-(f[(f[l+(w*88|0)+20>>2]|0)+80>>2]|0)|0;break}else{G=F-(f[E+40>>2]|0)|0;break}}else G=y-(f[(f[l+(w*88|0)+48>>2]|0)+20>>2]|0)|0;while(0);H=c;I=D+(((G|0)/88|0)<<2)|0}else{E=(C-(f[(f[C+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((E<<2)+(f[k>>2]|0))>>2]|0)==(f[l+(w*88|0)+40>>2]|0)){H=c;I=(f[h>>2]|0)+((f[(f[l+(w*88|0)+48>>2]|0)+52>>2]|0)+E<<2)|0;break}E=f[h>>2]|0;do if(b[l+(w*88|0)+38>>0]|0){F=f[l+(w*88|0)+56>>2]|0;J=y;if(!F){K=J-(f[(f[l+(w*88|0)+20>>2]|0)+80>>2]|0)|0;break}else{K=J-(f[F+40>>2]|0)|0;break}}else K=y-(f[(f[l+(w*88|0)+48>>2]|0)+20>>2]|0)|0;while(0);H=A;I=E+(((K|0)/88|0)<<2)|0}while(0);A=f[H+(f[I>>2]|0)>>2]|0;if(!A){B=x;break a}B=(di[f[(f[A>>2]|0)+84>>2]&1023](A)|0)+x|0;break a;break}case 9:break;default:{B=x;break a}}A=f[g>>2]|0;C=f[h>>2]|0;D=(b[l+(w*88|0)+38>>0]|0)==0;do if(!D){F=f[l+(w*88|0)+56>>2]|0;J=y;if(!F){L=J-(f[(f[l+(w*88|0)+20>>2]|0)+80>>2]|0)|0;break}else{L=J-(f[F+40>>2]|0)|0;break}}else L=y-(f[(f[l+(w*88|0)+48>>2]|0)+20>>2]|0)|0;while(0);F=f[A+(f[C+(((L|0)/88|0)<<2)>>2]|0)>>2]|0;J=f[z>>2]|0;do if(!J){do if(!D){M=f[l+(w*88|0)+56>>2]|0;N=y;if(!M){O=N-(f[(f[l+(w*88|0)+20>>2]|0)+80>>2]|0)|0;break}else{O=N-(f[M+40>>2]|0)|0;break}}else O=y-(f[(f[l+(w*88|0)+48>>2]|0)+20>>2]|0)|0;while(0);P=(O|0)/88|0;Q=c}else{E=(J-(f[(f[J+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((E<<2)+(f[k>>2]|0))>>2]|0)==(f[l+(w*88|0)+40>>2]|0)){P=(f[(f[l+(w*88|0)+48>>2]|0)+52>>2]|0)+E|0;Q=c;break}do if(!D){E=f[l+(w*88|0)+56>>2]|0;M=y;if(!E){R=M-(f[(f[l+(w*88|0)+20>>2]|0)+80>>2]|0)|0;break}else{R=M-(f[E+40>>2]|0)|0;break}}else R=y-(f[(f[l+(w*88|0)+48>>2]|0)+20>>2]|0)|0;while(0);P=(R|0)/88|0;Q=A}while(0);A=f[Q+(f[C+(P<<2)>>2]|0)>>2]|0;if((A|0)==(F|0))B=x;else B=x+12+(KIb(A)|0)|0}else{A=l+(w*88|0)+24|0;D=f[A>>2]|0;if(D|0?(f[D>>2]|0)!=2:0){f[e>>2]=110384;f[p>>2]=1962;b[q>>0]=0;f[r>>2]=y;xLb(D,e)}D=l+(w*88|0)+28|0;do switch(f[151812+(f[D>>2]<<2)>>2]|0){case 1:{J=f[l+(w*88|0)+52>>2]|0;do if(!J){z=f[h>>2]|0;do if(b[l+(w*88|0)+38>>0]|0){E=f[l+(w*88|0)+56>>2]|0;M=y;if(!E){S=M-(f[(f[l+(w*88|0)+20>>2]|0)+80>>2]|0)|0;break}else{S=M-(f[E+40>>2]|0)|0;break}}else S=y-(f[(f[l+(w*88|0)+48>>2]|0)+20>>2]|0)|0;while(0);T=c;U=z+(((S|0)/88|0)<<2)|0}else{E=(J-(f[(f[J+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((E<<2)+(f[k>>2]|0))>>2]|0)==(f[l+(w*88|0)+40>>2]|0)){T=c;U=(f[h>>2]|0)+((f[(f[l+(w*88|0)+48>>2]|0)+52>>2]|0)+E<<2)|0;break}E=f[g>>2]|0;M=f[h>>2]|0;do if(b[l+(w*88|0)+38>>0]|0){N=f[l+(w*88|0)+56>>2]|0;V=y;if(!N){W=V-(f[(f[l+(w*88|0)+20>>2]|0)+80>>2]|0)|0;break}else{W=V-(f[N+40>>2]|0)|0;break}}else W=y-(f[(f[l+(w*88|0)+48>>2]|0)+20>>2]|0)|0;while(0);T=E;U=M+(((W|0)/88|0)<<2)|0}while(0);J=T+(f[U>>2]|0)|0;if(!(f[J+8>>2]|0))X=0;else X=(f[J+4>>2]<<2)+4|0;B=X+x|0;break a;break}case 2:{J=f[l+(w*88|0)+52>>2]|0;do if(!J){z=f[h>>2]|0;do if(b[l+(w*88|0)+38>>0]|0){N=f[l+(w*88|0)+56>>2]|0;V=y;if(!N){Y=V-(f[(f[l+(w*88|0)+20>>2]|0)+80>>2]|0)|0;break}else{Y=V-(f[N+40>>2]|0)|0;break}}else Y=y-(f[(f[l+(w*88|0)+48>>2]|0)+20>>2]|0)|0;while(0);Z=c;_=z+(((Y|0)/88|0)<<2)|0}else{M=(J-(f[(f[J+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((M<<2)+(f[k>>2]|0))>>2]|0)==(f[l+(w*88|0)+40>>2]|0)){Z=c;_=(f[h>>2]|0)+((f[(f[l+(w*88|0)+48>>2]|0)+52>>2]|0)+M<<2)|0;break}M=f[g>>2]|0;E=f[h>>2]|0;do if(b[l+(w*88|0)+38>>0]|0){N=f[l+(w*88|0)+56>>2]|0;V=y;if(!N){$=V-(f[(f[l+(w*88|0)+20>>2]|0)+80>>2]|0)|0;break}else{$=V-(f[N+40>>2]|0)|0;break}}else $=y-(f[(f[l+(w*88|0)+48>>2]|0)+20>>2]|0)|0;while(0);Z=M;_=E+((($|0)/88|0)<<2)|0}while(0);J=Z+(f[_>>2]|0)|0;if(!(f[J+8>>2]|0))aa=0;else aa=(f[J+4>>2]<<3)+8|0;B=aa+x|0;break a;break}case 3:{J=f[l+(w*88|0)+52>>2]|0;do if(!J){z=f[h>>2]|0;do if(b[l+(w*88|0)+38>>0]|0){N=f[l+(w*88|0)+56>>2]|0;V=y;if(!N){ba=V-(f[(f[l+(w*88|0)+20>>2]|0)+80>>2]|0)|0;break}else{ba=V-(f[N+40>>2]|0)|0;break}}else ba=y-(f[(f[l+(w*88|0)+48>>2]|0)+20>>2]|0)|0;while(0);ca=c;da=z+(((ba|0)/88|0)<<2)|0}else{E=(J-(f[(f[J+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((E<<2)+(f[k>>2]|0))>>2]|0)==(f[l+(w*88|0)+40>>2]|0)){ca=c;da=(f[h>>2]|0)+((f[(f[l+(w*88|0)+48>>2]|0)+52>>2]|0)+E<<2)|0;break}E=f[g>>2]|0;M=f[h>>2]|0;do if(b[l+(w*88|0)+38>>0]|0){N=f[l+(w*88|0)+56>>2]|0;V=y;if(!N){ea=V-(f[(f[l+(w*88|0)+20>>2]|0)+80>>2]|0)|0;break}else{ea=V-(f[N+40>>2]|0)|0;break}}else ea=y-(f[(f[l+(w*88|0)+48>>2]|0)+20>>2]|0)|0;while(0);ca=E;da=M+(((ea|0)/88|0)<<2)|0}while(0);J=ca+(f[da>>2]|0)|0;if(!(f[J+8>>2]|0))fa=0;else fa=(f[J+4>>2]<<2)+4|0;B=fa+x|0;break a;break}case 4:{J=f[l+(w*88|0)+52>>2]|0;do if(!J){z=f[h>>2]|0;do if(b[l+(w*88|0)+38>>0]|0){N=f[l+(w*88|0)+56>>2]|0;V=y;if(!N){ga=V-(f[(f[l+(w*88|0)+20>>2]|0)+80>>2]|0)|0;break}else{ga=V-(f[N+40>>2]|0)|0;break}}else ga=y-(f[(f[l+(w*88|0)+48>>2]|0)+20>>2]|0)|0;while(0);ha=c;ia=z+(((ga|0)/88|0)<<2)|0}else{M=(J-(f[(f[J+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((M<<2)+(f[k>>2]|0))>>2]|0)==(f[l+(w*88|0)+40>>2]|0)){ha=c;ia=(f[h>>2]|0)+((f[(f[l+(w*88|0)+48>>2]|0)+52>>2]|0)+M<<2)|0;break}M=f[g>>2]|0;E=f[h>>2]|0;do if(b[l+(w*88|0)+38>>0]|0){N=f[l+(w*88|0)+56>>2]|0;V=y;if(!N){ja=V-(f[(f[l+(w*88|0)+20>>2]|0)+80>>2]|0)|0;break}else{ja=V-(f[N+40>>2]|0)|0;break}}else ja=y-(f[(f[l+(w*88|0)+48>>2]|0)+20>>2]|0)|0;while(0);ha=M;ia=E+(((ja|0)/88|0)<<2)|0}while(0);J=ha+(f[ia>>2]|0)|0;if(!(f[J+8>>2]|0))ka=0;else ka=(f[J+4>>2]<<3)+8|0;B=ka+x|0;break a;break}case 5:{J=f[l+(w*88|0)+52>>2]|0;do if(!J){z=f[h>>2]|0;do if(b[l+(w*88|0)+38>>0]|0){N=f[l+(w*88|0)+56>>2]|0;V=y;if(!N){la=V-(f[(f[l+(w*88|0)+20>>2]|0)+80>>2]|0)|0;break}else{la=V-(f[N+40>>2]|0)|0;break}}else la=y-(f[(f[l+(w*88|0)+48>>2]|0)+20>>2]|0)|0;while(0);ma=c;na=z+(((la|0)/88|0)<<2)|0}else{E=(J-(f[(f[J+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((E<<2)+(f[k>>2]|0))>>2]|0)==(f[l+(w*88|0)+40>>2]|0)){ma=c;na=(f[h>>2]|0)+((f[(f[l+(w*88|0)+48>>2]|0)+52>>2]|0)+E<<2)|0;break}E=f[g>>2]|0;M=f[h>>2]|0;do if(b[l+(w*88|0)+38>>0]|0){N=f[l+(w*88|0)+56>>2]|0;V=y;if(!N){oa=V-(f[(f[l+(w*88|0)+20>>2]|0)+80>>2]|0)|0;break}else{oa=V-(f[N+40>>2]|0)|0;break}}else oa=y-(f[(f[l+(w*88|0)+48>>2]|0)+20>>2]|0)|0;while(0);ma=E;na=M+(((oa|0)/88|0)<<2)|0}while(0);J=ma+(f[na>>2]|0)|0;if(!(f[J+8>>2]|0))pa=0;else pa=(f[J+4>>2]<<3)+8|0;B=pa+x|0;break a;break}case 6:{J=f[l+(w*88|0)+52>>2]|0;do if(!J){z=f[h>>2]|0;do if(b[l+(w*88|0)+38>>0]|0){N=f[l+(w*88|0)+56>>2]|0;V=y;if(!N){qa=V-(f[(f[l+(w*88|0)+20>>2]|0)+80>>2]|0)|0;break}else{qa=V-(f[N+40>>2]|0)|0;break}}else qa=y-(f[(f[l+(w*88|0)+48>>2]|0)+20>>2]|0)|0;while(0);ra=c;sa=z+(((qa|0)/88|0)<<2)|0}else{M=(J-(f[(f[J+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((M<<2)+(f[k>>2]|0))>>2]|0)==(f[l+(w*88|0)+40>>2]|0)){ra=c;sa=(f[h>>2]|0)+((f[(f[l+(w*88|0)+48>>2]|0)+52>>2]|0)+M<<2)|0;break}M=f[g>>2]|0;E=f[h>>2]|0;do if(b[l+(w*88|0)+38>>0]|0){N=f[l+(w*88|0)+56>>2]|0;V=y;if(!N){ta=V-(f[(f[l+(w*88|0)+20>>2]|0)+80>>2]|0)|0;break}else{ta=V-(f[N+40>>2]|0)|0;break}}else ta=y-(f[(f[l+(w*88|0)+48>>2]|0)+20>>2]|0)|0;while(0);ra=M;sa=E+(((ta|0)/88|0)<<2)|0}while(0);J=ra+(f[sa>>2]|0)|0;if(!(f[J+8>>2]|0))ua=0;else ua=(f[J+4>>2]<<2)+4|0;B=ua+x|0;break a;break}case 7:{J=f[l+(w*88|0)+52>>2]|0;do if(!J){z=f[h>>2]|0;do if(b[l+(w*88|0)+38>>0]|0){N=f[l+(w*88|0)+56>>2]|0;V=y;if(!N){va=V-(f[(f[l+(w*88|0)+20>>2]|0)+80>>2]|0)|0;break}else{va=V-(f[N+40>>2]|0)|0;break}}else va=y-(f[(f[l+(w*88|0)+48>>2]|0)+20>>2]|0)|0;while(0);wa=c;xa=z+(((va|0)/88|0)<<2)|0}else{E=(J-(f[(f[J+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((E<<2)+(f[k>>2]|0))>>2]|0)==(f[l+(w*88|0)+40>>2]|0)){wa=c;xa=(f[h>>2]|0)+((f[(f[l+(w*88|0)+48>>2]|0)+52>>2]|0)+E<<2)|0;break}E=f[g>>2]|0;M=f[h>>2]|0;do if(b[l+(w*88|0)+38>>0]|0){N=f[l+(w*88|0)+56>>2]|0;V=y;if(!N){ya=V-(f[(f[l+(w*88|0)+20>>2]|0)+80>>2]|0)|0;break}else{ya=V-(f[N+40>>2]|0)|0;break}}else ya=y-(f[(f[l+(w*88|0)+48>>2]|0)+20>>2]|0)|0;while(0);wa=E;xa=M+(((ya|0)/88|0)<<2)|0}while(0);J=wa+(f[xa>>2]|0)|0;if(!(f[J+8>>2]|0))za=0;else za=(f[J+4>>2]|0)+4|0;B=za+x|0;break a;break}case 8:{J=f[l+(w*88|0)+52>>2]|0;do if(!J){z=f[h>>2]|0;do if(b[l+(w*88|0)+38>>0]|0){N=f[l+(w*88|0)+56>>2]|0;V=y;if(!N){Aa=V-(f[(f[l+(w*88|0)+20>>2]|0)+80>>2]|0)|0;break}else{Aa=V-(f[N+40>>2]|0)|0;break}}else Aa=y-(f[(f[l+(w*88|0)+48>>2]|0)+20>>2]|0)|0;while(0);Ba=c;Ca=z+(((Aa|0)/88|0)<<2)|0}else{M=(J-(f[(f[J+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((M<<2)+(f[k>>2]|0))>>2]|0)==(f[l+(w*88|0)+40>>2]|0)){Ba=c;Ca=(f[h>>2]|0)+((f[(f[l+(w*88|0)+48>>2]|0)+52>>2]|0)+M<<2)|0;break}M=f[g>>2]|0;E=f[h>>2]|0;do if(b[l+(w*88|0)+38>>0]|0){N=f[l+(w*88|0)+56>>2]|0;V=y;if(!N){Da=V-(f[(f[l+(w*88|0)+20>>2]|0)+80>>2]|0)|0;break}else{Da=V-(f[N+40>>2]|0)|0;break}}else Da=y-(f[(f[l+(w*88|0)+48>>2]|0)+20>>2]|0)|0;while(0);Ba=M;Ca=E+(((Da|0)/88|0)<<2)|0}while(0);J=Ba+(f[Ca>>2]|0)|0;if(!(f[J+8>>2]|0))Ea=0;else Ea=(f[J+4>>2]<<2)+4|0;B=Ea+x|0;break a;break}case 9:{J=f[l+(w*88|0)+52>>2]|0;do if(!J){z=f[h>>2]|0;do if(b[l+(w*88|0)+38>>0]|0){N=f[l+(w*88|0)+56>>2]|0;V=y;if(!N){Fa=V-(f[(f[l+(w*88|0)+20>>2]|0)+80>>2]|0)|0;break}else{Fa=V-(f[N+40>>2]|0)|0;break}}else Fa=y-(f[(f[l+(w*88|0)+48>>2]|0)+20>>2]|0)|0;while(0);Ga=c;Ha=z+(((Fa|0)/88|0)<<2)|0}else{E=(J-(f[(f[J+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((E<<2)+(f[k>>2]|0))>>2]|0)==(f[l+(w*88|0)+40>>2]|0)){Ga=c;Ha=(f[h>>2]|0)+((f[(f[l+(w*88|0)+48>>2]|0)+52>>2]|0)+E<<2)|0;break}E=f[g>>2]|0;M=f[h>>2]|0;do if(b[l+(w*88|0)+38>>0]|0){N=f[l+(w*88|0)+56>>2]|0;V=y;if(!N){Ia=V-(f[(f[l+(w*88|0)+20>>2]|0)+80>>2]|0)|0;break}else{Ia=V-(f[N+40>>2]|0)|0;break}}else Ia=y-(f[(f[l+(w*88|0)+48>>2]|0)+20>>2]|0)|0;while(0);Ga=E;Ha=M+(((Ia|0)/88|0)<<2)|0}while(0);J=Ga+(f[Ha>>2]|0)|0;z=f[J+8>>2]<<2;N=J+12|0;J=f[N>>2]|0;if(!J)Ja=z;else{if((f[J>>2]|0)>0){V=0;Ka=z;La=J;while(1){J=Ka+12+(KIb(f[La+4+(V<<2)>>2]|0)|0)|0;V=V+1|0;La=f[N>>2]|0;if((V|0)>=(f[La>>2]|0)){Ma=J;break}else Ka=J}}else Ma=z;Ja=Ma+4|0}B=Ja+x|0;break a;break}case 10:{Ka=f[A>>2]|0;if(Ka|0?(f[Ka>>2]|0)!=2:0){f[e>>2]=110384;f[a>>2]=1962;b[n>>0]=0;f[o>>2]=y;xLb(Ka,e)}if((f[D>>2]|0)==11?rQb(y)|0:0){Ka=f[l+(w*88|0)+52>>2]|0;do if(!Ka){La=f[h>>2]|0;do if(b[l+(w*88|0)+38>>0]|0){V=f[l+(w*88|0)+56>>2]|0;N=y;if(!V){Na=N-(f[(f[l+(w*88|0)+20>>2]|0)+80>>2]|0)|0;break}else{Na=N-(f[V+40>>2]|0)|0;break}}else Na=y-(f[(f[l+(w*88|0)+48>>2]|0)+20>>2]|0)|0;while(0);Oa=c;Pa=La+(((Na|0)/88|0)<<2)|0}else{M=(Ka-(f[(f[Ka+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((M<<2)+(f[k>>2]|0))>>2]|0)==(f[l+(w*88|0)+40>>2]|0)){Oa=c;Pa=(f[h>>2]|0)+((f[(f[l+(w*88|0)+48>>2]|0)+52>>2]|0)+M<<2)|0;break}M=f[g>>2]|0;E=f[h>>2]|0;do if(b[l+(w*88|0)+38>>0]|0){V=f[l+(w*88|0)+56>>2]|0;N=y;if(!V){Qa=N-(f[(f[l+(w*88|0)+20>>2]|0)+80>>2]|0)|0;break}else{Qa=N-(f[V+40>>2]|0)|0;break}}else Qa=y-(f[(f[l+(w*88|0)+48>>2]|0)+20>>2]|0)|0;while(0);Oa=M;Pa=E+(((Qa|0)/88|0)<<2)|0}while(0);B=(Q5b(Oa+(f[Pa>>2]|0)|0)|0)+x|0;break a}Ka=f[l+(w*88|0)+52>>2]|0;do if(!Ka){z=f[h>>2]|0;do if(b[l+(w*88|0)+38>>0]|0){La=f[l+(w*88|0)+56>>2]|0;V=y;if(!La){Ra=V-(f[(f[l+(w*88|0)+20>>2]|0)+80>>2]|0)|0;break}else{Ra=V-(f[La+40>>2]|0)|0;break}}else Ra=y-(f[(f[l+(w*88|0)+48>>2]|0)+20>>2]|0)|0;while(0);Sa=c;Ta=z+(((Ra|0)/88|0)<<2)|0}else{E=(Ka-(f[(f[Ka+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((E<<2)+(f[k>>2]|0))>>2]|0)==(f[l+(w*88|0)+40>>2]|0)){Sa=c;Ta=(f[h>>2]|0)+((f[(f[l+(w*88|0)+48>>2]|0)+52>>2]|0)+E<<2)|0;break}E=f[g>>2]|0;M=f[h>>2]|0;do if(b[l+(w*88|0)+38>>0]|0){La=f[l+(w*88|0)+56>>2]|0;V=y;if(!La){Ua=V-(f[(f[l+(w*88|0)+20>>2]|0)+80>>2]|0)|0;break}else{Ua=V-(f[La+40>>2]|0)|0;break}}else Ua=y-(f[(f[l+(w*88|0)+48>>2]|0)+20>>2]|0)|0;while(0);Sa=E;Ta=M+(((Ua|0)/88|0)<<2)|0}while(0);Ka=Sa+(f[Ta>>2]|0)|0;z=f[Ka+8>>2]<<2;La=Ka+12|0;Ka=f[La>>2]|0;if(!Ka)Va=z;else{if((f[Ka>>2]|0)>0){V=0;N=z;J=Ka;while(1){Ka=f[J+4+(V<<2)>>2]|0;Wa=(di[f[(f[Ka>>2]|0)+84>>2]&1023](Ka)|0)+N|0;V=V+1|0;J=f[La>>2]|0;if((V|0)>=(f[J>>2]|0)){Xa=Wa;break}else N=Wa}}else Xa=z;Va=Xa+4|0}B=Va+x|0;break a;break}default:{B=x;break a}}while(0)}while(0);if((w|0)<(f[j>>2]|0)){w=w+1|0;x=B}else{m=B;break}}u=d;return m|0}function D1b(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0;e=a+4|0;g=f[e>>2]|0;if((f[d+48>>2]|0)!=(g|0))h3b(g,d,511756,510114);if((f[d+32>>2]|0)==3)h3b(f[e>>2]|0,d,511756,510873);if(b[d+38>>0]|0){h=icc(c+(f[a+28>>2]|0)|0,f[d+40>>2]|0)|0;return h|0}e=f[d+52>>2]|0;if(!e){h=A3b(a,c,d)|0;return h|0}else{h=(f[c+((((e-(f[(f[e+8>>2]|0)+24>>2]|0)|0)/28|0)<<2)+(f[a+32>>2]|0))>>2]|0)==(f[d+40>>2]|0);return h|0}return 0}function E1b(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0;e=u;u=u+48|0;g=e+24|0;h=e;i=e+40|0;j=d+48|0;k=a+4|0;l=f[k>>2]|0;if((f[j>>2]|0)!=(l|0))h3b(l,d,511746,510114);if((f[d+32>>2]|0)!=3)h3b(f[k>>2]|0,d,511746,509566);k=d+38|0;if(b[k>>0]|0){m=jcc(c+(f[a+28>>2]|0)|0,f[d+40>>2]|0)|0;u=e;return m|0}l=d+24|0;n=f[l>>2]|0;if(n|0?(f[n>>2]|0)!=2:0){f[g>>2]=110384;f[g+4>>2]=1962;b[g+8>>0]=0;f[g+12>>2]=d;xLb(n,g)}n=d+28|0;do switch(f[151812+(f[n>>2]<<2)>>2]|0){case 1:{o=f[d+52>>2]|0;do if(!o){p=f[a+12>>2]|0;do if(b[k>>0]|0){q=f[d+56>>2]|0;r=d;if(!q){s=r-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{s=r-(f[q+40>>2]|0)|0;break}}else s=d-(f[(f[j>>2]|0)+20>>2]|0)|0;while(0);t=c;v=p+(((s|0)/88|0)<<2)|0}else{q=(o-(f[(f[o+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((q<<2)+(f[a+32>>2]|0))>>2]|0)==(f[d+40>>2]|0)){t=c;v=(f[a+12>>2]|0)+((f[(f[j>>2]|0)+52>>2]|0)+q<<2)|0;break}q=f[a+8>>2]|0;r=f[a+12>>2]|0;do if(b[k>>0]|0){w=f[d+56>>2]|0;x=d;if(!w){y=x-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{y=x-(f[w+40>>2]|0)|0;break}}else y=d-(f[(f[j>>2]|0)+20>>2]|0)|0;while(0);t=q;v=r+(((y|0)/88|0)<<2)|0}while(0);m=f[t+(f[v>>2]|0)>>2]|0;u=e;return m|0}case 2:{o=f[d+52>>2]|0;do if(!o){p=f[a+12>>2]|0;do if(b[k>>0]|0){w=f[d+56>>2]|0;x=d;if(!w){z=x-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{z=x-(f[w+40>>2]|0)|0;break}}else z=d-(f[(f[j>>2]|0)+20>>2]|0)|0;while(0);A=c;B=p+(((z|0)/88|0)<<2)|0}else{r=(o-(f[(f[o+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((r<<2)+(f[a+32>>2]|0))>>2]|0)==(f[d+40>>2]|0)){A=c;B=(f[a+12>>2]|0)+((f[(f[j>>2]|0)+52>>2]|0)+r<<2)|0;break}r=f[a+8>>2]|0;q=f[a+12>>2]|0;do if(b[k>>0]|0){w=f[d+56>>2]|0;x=d;if(!w){C=x-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{C=x-(f[w+40>>2]|0)|0;break}}else C=d-(f[(f[j>>2]|0)+20>>2]|0)|0;while(0);A=r;B=q+(((C|0)/88|0)<<2)|0}while(0);m=f[A+(f[B>>2]|0)>>2]|0;u=e;return m|0}case 3:{o=f[d+52>>2]|0;do if(!o){p=f[a+12>>2]|0;do if(b[k>>0]|0){w=f[d+56>>2]|0;x=d;if(!w){D=x-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{D=x-(f[w+40>>2]|0)|0;break}}else D=d-(f[(f[j>>2]|0)+20>>2]|0)|0;while(0);E=c;F=p+(((D|0)/88|0)<<2)|0}else{q=(o-(f[(f[o+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((q<<2)+(f[a+32>>2]|0))>>2]|0)==(f[d+40>>2]|0)){E=c;F=(f[a+12>>2]|0)+((f[(f[j>>2]|0)+52>>2]|0)+q<<2)|0;break}q=f[a+8>>2]|0;r=f[a+12>>2]|0;do if(b[k>>0]|0){w=f[d+56>>2]|0;x=d;if(!w){G=x-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{G=x-(f[w+40>>2]|0)|0;break}}else G=d-(f[(f[j>>2]|0)+20>>2]|0)|0;while(0);E=q;F=r+(((G|0)/88|0)<<2)|0}while(0);m=f[E+(f[F>>2]|0)>>2]|0;u=e;return m|0}case 4:{o=f[d+52>>2]|0;do if(!o){p=f[a+12>>2]|0;do if(b[k>>0]|0){w=f[d+56>>2]|0;x=d;if(!w){H=x-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{H=x-(f[w+40>>2]|0)|0;break}}else H=d-(f[(f[j>>2]|0)+20>>2]|0)|0;while(0);I=c;J=p+(((H|0)/88|0)<<2)|0}else{r=(o-(f[(f[o+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((r<<2)+(f[a+32>>2]|0))>>2]|0)==(f[d+40>>2]|0)){I=c;J=(f[a+12>>2]|0)+((f[(f[j>>2]|0)+52>>2]|0)+r<<2)|0;break}r=f[a+8>>2]|0;q=f[a+12>>2]|0;do if(b[k>>0]|0){w=f[d+56>>2]|0;x=d;if(!w){K=x-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{K=x-(f[w+40>>2]|0)|0;break}}else K=d-(f[(f[j>>2]|0)+20>>2]|0)|0;while(0);I=r;J=q+(((K|0)/88|0)<<2)|0}while(0);m=f[I+(f[J>>2]|0)>>2]|0;u=e;return m|0}case 5:{o=f[d+52>>2]|0;do if(!o){p=f[a+12>>2]|0;do if(b[k>>0]|0){w=f[d+56>>2]|0;x=d;if(!w){L=x-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{L=x-(f[w+40>>2]|0)|0;break}}else L=d-(f[(f[j>>2]|0)+20>>2]|0)|0;while(0);M=c;N=p+(((L|0)/88|0)<<2)|0}else{q=(o-(f[(f[o+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((q<<2)+(f[a+32>>2]|0))>>2]|0)==(f[d+40>>2]|0)){M=c;N=(f[a+12>>2]|0)+((f[(f[j>>2]|0)+52>>2]|0)+q<<2)|0;break}q=f[a+8>>2]|0;r=f[a+12>>2]|0;do if(b[k>>0]|0){w=f[d+56>>2]|0;x=d;if(!w){O=x-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{O=x-(f[w+40>>2]|0)|0;break}}else O=d-(f[(f[j>>2]|0)+20>>2]|0)|0;while(0);M=q;N=r+(((O|0)/88|0)<<2)|0}while(0);m=f[M+(f[N>>2]|0)>>2]|0;u=e;return m|0}case 6:{o=f[d+52>>2]|0;do if(!o){p=f[a+12>>2]|0;do if(b[k>>0]|0){w=f[d+56>>2]|0;x=d;if(!w){P=x-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{P=x-(f[w+40>>2]|0)|0;break}}else P=d-(f[(f[j>>2]|0)+20>>2]|0)|0;while(0);Q=c;R=p+(((P|0)/88|0)<<2)|0}else{r=(o-(f[(f[o+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((r<<2)+(f[a+32>>2]|0))>>2]|0)==(f[d+40>>2]|0)){Q=c;R=(f[a+12>>2]|0)+((f[(f[j>>2]|0)+52>>2]|0)+r<<2)|0;break}r=f[a+8>>2]|0;q=f[a+12>>2]|0;do if(b[k>>0]|0){w=f[d+56>>2]|0;x=d;if(!w){S=x-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{S=x-(f[w+40>>2]|0)|0;break}}else S=d-(f[(f[j>>2]|0)+20>>2]|0)|0;while(0);Q=r;R=q+(((S|0)/88|0)<<2)|0}while(0);m=f[Q+(f[R>>2]|0)>>2]|0;u=e;return m|0}case 7:{o=f[d+52>>2]|0;do if(!o){p=f[a+12>>2]|0;do if(b[k>>0]|0){w=f[d+56>>2]|0;x=d;if(!w){T=x-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{T=x-(f[w+40>>2]|0)|0;break}}else T=d-(f[(f[j>>2]|0)+20>>2]|0)|0;while(0);U=c;V=p+(((T|0)/88|0)<<2)|0}else{q=(o-(f[(f[o+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((q<<2)+(f[a+32>>2]|0))>>2]|0)==(f[d+40>>2]|0)){U=c;V=(f[a+12>>2]|0)+((f[(f[j>>2]|0)+52>>2]|0)+q<<2)|0;break}q=f[a+8>>2]|0;r=f[a+12>>2]|0;do if(b[k>>0]|0){w=f[d+56>>2]|0;x=d;if(!w){W=x-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{W=x-(f[w+40>>2]|0)|0;break}}else W=d-(f[(f[j>>2]|0)+20>>2]|0)|0;while(0);U=q;V=r+(((W|0)/88|0)<<2)|0}while(0);m=f[U+(f[V>>2]|0)>>2]|0;u=e;return m|0}case 8:{o=f[d+52>>2]|0;do if(!o){p=f[a+12>>2]|0;do if(b[k>>0]|0){w=f[d+56>>2]|0;x=d;if(!w){X=x-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{X=x-(f[w+40>>2]|0)|0;break}}else X=d-(f[(f[j>>2]|0)+20>>2]|0)|0;while(0);Y=c;Z=p+(((X|0)/88|0)<<2)|0}else{r=(o-(f[(f[o+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((r<<2)+(f[a+32>>2]|0))>>2]|0)==(f[d+40>>2]|0)){Y=c;Z=(f[a+12>>2]|0)+((f[(f[j>>2]|0)+52>>2]|0)+r<<2)|0;break}r=f[a+8>>2]|0;q=f[a+12>>2]|0;do if(b[k>>0]|0){w=f[d+56>>2]|0;x=d;if(!w){_=x-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{_=x-(f[w+40>>2]|0)|0;break}}else _=d-(f[(f[j>>2]|0)+20>>2]|0)|0;while(0);Y=r;Z=q+(((_|0)/88|0)<<2)|0}while(0);m=f[Y+(f[Z>>2]|0)>>2]|0;u=e;return m|0}case 10:case 9:{o=f[l>>2]|0;if(o|0?(f[o>>2]|0)!=2:0){f[g>>2]=110384;f[g+4>>2]=1962;b[g+8>>0]=0;f[g+12>>2]=d;xLb(o,g)}if((f[n>>2]|0)==11?rQb(d)|0:0){o=f[d+52>>2]|0;do if(!o){p=f[a+12>>2]|0;do if(b[k>>0]|0){w=f[d+56>>2]|0;x=d;if(!w){$=x-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{$=x-(f[w+40>>2]|0)|0;break}}else $=d-(f[(f[j>>2]|0)+20>>2]|0)|0;while(0);aa=c;ba=p+((($|0)/88|0)<<2)|0}else{q=(o-(f[(f[o+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((q<<2)+(f[a+32>>2]|0))>>2]|0)==(f[d+40>>2]|0)){aa=c;ba=(f[a+12>>2]|0)+((f[(f[j>>2]|0)+52>>2]|0)+q<<2)|0;break}q=f[a+8>>2]|0;r=f[a+12>>2]|0;do if(b[k>>0]|0){w=f[d+56>>2]|0;x=d;if(!w){ca=x-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{ca=x-(f[w+40>>2]|0)|0;break}}else ca=d-(f[(f[j>>2]|0)+20>>2]|0)|0;while(0);aa=q;ba=r+(((ca|0)/88|0)<<2)|0}while(0);o=(O5b(aa+(f[ba>>2]|0)|0)|0)+4|0;m=f[o>>2]|0;u=e;return m|0}o=f[d+52>>2]|0;do if(!o){p=f[a+12>>2]|0;do if(b[k>>0]|0){w=f[d+56>>2]|0;x=d;if(!w){da=x-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{da=x-(f[w+40>>2]|0)|0;break}}else da=d-(f[(f[j>>2]|0)+20>>2]|0)|0;while(0);ea=c;fa=p+(((da|0)/88|0)<<2)|0}else{r=(o-(f[(f[o+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((r<<2)+(f[a+32>>2]|0))>>2]|0)==(f[d+40>>2]|0)){ea=c;fa=(f[a+12>>2]|0)+((f[(f[j>>2]|0)+52>>2]|0)+r<<2)|0;break}r=f[a+8>>2]|0;q=f[a+12>>2]|0;do if(b[k>>0]|0){w=f[d+56>>2]|0;x=d;if(!w){ga=x-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{ga=x-(f[w+40>>2]|0)|0;break}}else ga=d-(f[(f[j>>2]|0)+20>>2]|0)|0;while(0);ea=r;fa=q+(((ga|0)/88|0)<<2)|0}while(0);m=f[ea+(f[fa>>2]|0)+4>>2]|0;u=e;return m|0}default:{iLb(h,3,508854,747);fLb(i,dLb(h,519375)|0);jLb(h);m=0;u=e;return m|0}}while(0);return 0}function F1b(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0.0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0;e=u;u=u+16|0;g=e;h=d+48|0;i=f[a+4>>2]|0;if((f[h>>2]|0)!=(i|0))h3b(i,d,511735,510114);i=d+38|0;if(b[i>>0]|0){lcc(c+(f[a+28>>2]|0)|0,f[d+40>>2]|0);u=e;return}if((f[d+32>>2]|0)==3){j=d+24|0;k=f[j>>2]|0;if(k|0?(f[k>>2]|0)!=2:0){f[g>>2]=110384;f[g+4>>2]=1962;b[g+8>>0]=0;f[g+12>>2]=d;xLb(k,g)}k=d+28|0;do switch(f[151812+(f[k>>2]<<2)>>2]|0){case 1:{l=f[d+52>>2]|0;if(!l){m=f[a+12>>2]|0;do if(b[i>>0]|0){n=f[d+56>>2]|0;o=d;if(!n){q=o-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{q=o-(f[n+40>>2]|0)|0;break}}else q=d-(f[(f[h>>2]|0)+20>>2]|0)|0;while(0);r=m+(((q|0)/88|0)<<2)|0}else r=(f[a+12>>2]|0)+(((l-(f[(f[l+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[h>>2]|0)+52>>2]|0)<<2)|0;f[c+(f[r>>2]|0)>>2]=0;u=e;return}case 2:{n=f[d+52>>2]|0;if(!n){o=f[a+12>>2]|0;do if(b[i>>0]|0){s=f[d+56>>2]|0;t=d;if(!s){v=t-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{v=t-(f[s+40>>2]|0)|0;break}}else v=d-(f[(f[h>>2]|0)+20>>2]|0)|0;while(0);w=o+(((v|0)/88|0)<<2)|0}else w=(f[a+12>>2]|0)+(((n-(f[(f[n+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[h>>2]|0)+52>>2]|0)<<2)|0;f[c+(f[w>>2]|0)>>2]=0;u=e;return}case 3:{l=f[d+52>>2]|0;if(!l){m=f[a+12>>2]|0;do if(b[i>>0]|0){s=f[d+56>>2]|0;t=d;if(!s){x=t-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{x=t-(f[s+40>>2]|0)|0;break}}else x=d-(f[(f[h>>2]|0)+20>>2]|0)|0;while(0);y=m+(((x|0)/88|0)<<2)|0}else y=(f[a+12>>2]|0)+(((l-(f[(f[l+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[h>>2]|0)+52>>2]|0)<<2)|0;f[c+(f[y>>2]|0)>>2]=0;u=e;return}case 4:{n=f[d+52>>2]|0;if(!n){o=f[a+12>>2]|0;do if(b[i>>0]|0){s=f[d+56>>2]|0;t=d;if(!s){z=t-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{z=t-(f[s+40>>2]|0)|0;break}}else z=d-(f[(f[h>>2]|0)+20>>2]|0)|0;while(0);A=o+(((z|0)/88|0)<<2)|0}else A=(f[a+12>>2]|0)+(((n-(f[(f[n+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[h>>2]|0)+52>>2]|0)<<2)|0;f[c+(f[A>>2]|0)>>2]=0;u=e;return}case 5:{l=f[d+52>>2]|0;if(!l){m=f[a+12>>2]|0;do if(b[i>>0]|0){s=f[d+56>>2]|0;t=d;if(!s){B=t-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{B=t-(f[s+40>>2]|0)|0;break}}else B=d-(f[(f[h>>2]|0)+20>>2]|0)|0;while(0);C=m+(((B|0)/88|0)<<2)|0}else C=(f[a+12>>2]|0)+(((l-(f[(f[l+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[h>>2]|0)+52>>2]|0)<<2)|0;f[c+(f[C>>2]|0)>>2]=0;u=e;return}case 6:{n=f[d+52>>2]|0;if(!n){o=f[a+12>>2]|0;do if(b[i>>0]|0){s=f[d+56>>2]|0;t=d;if(!s){D=t-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{D=t-(f[s+40>>2]|0)|0;break}}else D=d-(f[(f[h>>2]|0)+20>>2]|0)|0;while(0);E=o+(((D|0)/88|0)<<2)|0}else E=(f[a+12>>2]|0)+(((n-(f[(f[n+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[h>>2]|0)+52>>2]|0)<<2)|0;f[c+(f[E>>2]|0)>>2]=0;u=e;return}case 7:{l=f[d+52>>2]|0;if(!l){m=f[a+12>>2]|0;do if(b[i>>0]|0){s=f[d+56>>2]|0;t=d;if(!s){F=t-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{F=t-(f[s+40>>2]|0)|0;break}}else F=d-(f[(f[h>>2]|0)+20>>2]|0)|0;while(0);G=m+(((F|0)/88|0)<<2)|0}else G=(f[a+12>>2]|0)+(((l-(f[(f[l+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[h>>2]|0)+52>>2]|0)<<2)|0;f[c+(f[G>>2]|0)>>2]=0;u=e;return}case 8:{n=f[d+52>>2]|0;if(!n){o=f[a+12>>2]|0;do if(b[i>>0]|0){s=f[d+56>>2]|0;t=d;if(!s){H=t-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{H=t-(f[s+40>>2]|0)|0;break}}else H=d-(f[(f[h>>2]|0)+20>>2]|0)|0;while(0);I=o+(((H|0)/88|0)<<2)|0}else I=(f[a+12>>2]|0)+(((n-(f[(f[n+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[h>>2]|0)+52>>2]|0)<<2)|0;f[c+(f[I>>2]|0)>>2]=0;u=e;return}case 9:{l=f[d+52>>2]|0;if(!l){m=f[a+12>>2]|0;do if(b[i>>0]|0){s=f[d+56>>2]|0;t=d;if(!s){J=t-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{J=t-(f[s+40>>2]|0)|0;break}}else J=d-(f[(f[h>>2]|0)+20>>2]|0)|0;while(0);K=m+(((J|0)/88|0)<<2)|0}else K=(f[a+12>>2]|0)+(((l-(f[(f[l+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[h>>2]|0)+52>>2]|0)<<2)|0;n=c+(f[K>>2]|0)|0;o=n+4|0;s=f[o>>2]|0;if((s|0)<=0){u=e;return}t=f[n+12>>2]|0;n=0;do{L=f[t+4+(n<<2)>>2]|0;n=n+1|0;M=L+11|0;if((b[M>>0]|0)<0){b[f[L>>2]>>0]=0;f[L+4>>2]=0}else{b[L>>0]=0;b[M>>0]=0}}while((n|0)!=(s|0));f[o>>2]=0;u=e;return}case 10:{s=f[j>>2]|0;if(s|0?(f[s>>2]|0)!=2:0){f[g>>2]=110384;f[g+4>>2]=1962;b[g+8>>0]=0;f[g+12>>2]=d;xLb(s,g)}if((f[k>>2]|0)==11?rQb(d)|0:0){s=f[d+52>>2]|0;if(!s){n=f[a+12>>2]|0;do if(b[i>>0]|0){t=f[d+56>>2]|0;l=d;if(!t){N=l-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{N=l-(f[t+40>>2]|0)|0;break}}else N=d-(f[(f[h>>2]|0)+20>>2]|0)|0;while(0);O=n+(((N|0)/88|0)<<2)|0}else O=(f[a+12>>2]|0)+(((s-(f[(f[s+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[h>>2]|0)+52>>2]|0)<<2)|0;o=P5b(c+(f[O>>2]|0)|0)|0;t=o+4|0;l=f[t>>2]|0;if((l|0)<=0){u=e;return}m=f[o+12>>2]|0;o=0;do{M=f[m+4+(o<<2)>>2]|0;o=o+1|0;bi[f[(f[M>>2]|0)+28>>2]&2047](M)}while((o|0)!=(l|0));f[t>>2]=0;u=e;return}l=f[d+52>>2]|0;if(!l){o=f[a+12>>2]|0;do if(b[i>>0]|0){m=f[d+56>>2]|0;s=d;if(!m){P=s-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{P=s-(f[m+40>>2]|0)|0;break}}else P=d-(f[(f[h>>2]|0)+20>>2]|0)|0;while(0);Q=o+(((P|0)/88|0)<<2)|0}else Q=(f[a+12>>2]|0)+(((l-(f[(f[l+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[h>>2]|0)+52>>2]|0)<<2)|0;t=c+(f[Q>>2]|0)|0;m=t+4|0;s=f[m>>2]|0;if((s|0)<=0){u=e;return}n=f[t+12>>2]|0;t=0;do{M=f[n+4+(t<<2)>>2]|0;t=t+1|0;bi[f[(f[M>>2]|0)+28>>2]&2047](M)}while((t|0)!=(s|0));f[m>>2]=0;u=e;return}default:{u=e;return}}while(0)}Q=d+52|0;P=f[Q>>2]|0;if(P|0){if((f[c+((((P-(f[(f[P+8>>2]|0)+24>>2]|0)|0)/28|0)<<2)+(f[a+32>>2]|0))>>2]|0)!=(f[d+40>>2]|0)){u=e;return}H1b(a,c,P);u=e;return}if(!(A3b(a,c,d)|0)){u=e;return}P=a+20|0;O=f[P>>2]|0;if((O|0)!=-1){N=f[a+16>>2]|0;do if(b[i>>0]|0){k=f[d+56>>2]|0;j=d;if(!k){R=j-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{R=j-(f[k+40>>2]|0)|0;break}}else R=d-(f[(f[h>>2]|0)+20>>2]|0)|0;while(0);k=f[N+(((R|0)/88|0)<<2)>>2]|0;R=c+O+(k>>>5<<2)|0;f[R>>2]=f[R>>2]&~(1<<(k&31))}k=f[d+24>>2]|0;if(k|0?(f[k>>2]|0)!=2:0){f[g>>2]=110384;f[g+4>>2]=1962;b[g+8>>0]=0;f[g+12>>2]=d;xLb(k,g)}do switch(f[151812+(f[d+28>>2]<<2)>>2]|0){case 1:{g=f[d+80>>2]|0;k=f[Q>>2]|0;if(!k){R=f[a+12>>2]|0;do if(b[i>>0]|0){O=f[d+56>>2]|0;N=d;if(!O){S=N-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{S=N-(f[O+40>>2]|0)|0;break}}else S=d-(f[(f[h>>2]|0)+20>>2]|0)|0;while(0);T=R+(((S|0)/88|0)<<2)|0}else T=(f[a+12>>2]|0)+(((k-(f[(f[k+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[h>>2]|0)+52>>2]|0)<<2)|0;f[c+(f[T>>2]|0)>>2]=g;u=e;return}case 2:{m=d+80|0;O=f[m>>2]|0;N=f[m+4>>2]|0;m=f[Q>>2]|0;if(!m){j=f[a+12>>2]|0;do if(b[i>>0]|0){K=f[d+56>>2]|0;J=d;if(!K){U=J-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{U=J-(f[K+40>>2]|0)|0;break}}else U=d-(f[(f[h>>2]|0)+20>>2]|0)|0;while(0);V=j+(((U|0)/88|0)<<2)|0}else V=(f[a+12>>2]|0)+(((m-(f[(f[m+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[h>>2]|0)+52>>2]|0)<<2)|0;g=c+(f[V>>2]|0)|0;f[g>>2]=O;f[g+4>>2]=N;u=e;return}case 3:{g=f[d+80>>2]|0;k=f[Q>>2]|0;if(!k){R=f[a+12>>2]|0;do if(b[i>>0]|0){K=f[d+56>>2]|0;J=d;if(!K){W=J-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{W=J-(f[K+40>>2]|0)|0;break}}else W=d-(f[(f[h>>2]|0)+20>>2]|0)|0;while(0);X=R+(((W|0)/88|0)<<2)|0}else X=(f[a+12>>2]|0)+(((k-(f[(f[k+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[h>>2]|0)+52>>2]|0)<<2)|0;f[c+(f[X>>2]|0)>>2]=g;u=e;return}case 4:{N=d+80|0;O=f[N>>2]|0;m=f[N+4>>2]|0;N=f[Q>>2]|0;if(!N){j=f[a+12>>2]|0;do if(b[i>>0]|0){K=f[d+56>>2]|0;J=d;if(!K){Y=J-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{Y=J-(f[K+40>>2]|0)|0;break}}else Y=d-(f[(f[h>>2]|0)+20>>2]|0)|0;while(0);Z=j+(((Y|0)/88|0)<<2)|0}else Z=(f[a+12>>2]|0)+(((N-(f[(f[N+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[h>>2]|0)+52>>2]|0)<<2)|0;g=c+(f[Z>>2]|0)|0;f[g>>2]=O;f[g+4>>2]=m;u=e;return}case 6:{g=f[d+80>>2]|0;k=f[Q>>2]|0;if(!k){R=f[a+12>>2]|0;do if(b[i>>0]|0){K=f[d+56>>2]|0;J=d;if(!K){_=J-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{_=J-(f[K+40>>2]|0)|0;break}}else _=d-(f[(f[h>>2]|0)+20>>2]|0)|0;while(0);$=R+(((_|0)/88|0)<<2)|0}else $=(f[a+12>>2]|0)+(((k-(f[(f[k+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[h>>2]|0)+52>>2]|0)<<2)|0;f[c+(f[$>>2]|0)>>2]=g;u=e;return}case 5:{aa=+p[d+80>>3];m=f[Q>>2]|0;if(!m){O=f[a+12>>2]|0;do if(b[i>>0]|0){N=f[d+56>>2]|0;j=d;if(!N){ba=j-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{ba=j-(f[N+40>>2]|0)|0;break}}else ba=d-(f[(f[h>>2]|0)+20>>2]|0)|0;while(0);ca=O+(((ba|0)/88|0)<<2)|0}else ca=(f[a+12>>2]|0)+(((m-(f[(f[m+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[h>>2]|0)+52>>2]|0)<<2)|0;p[c+(f[ca>>2]|0)>>3]=aa;u=e;return}case 7:{g=b[d+80>>0]|0;k=f[Q>>2]|0;if(!k){R=f[a+12>>2]|0;do if(b[i>>0]|0){N=f[d+56>>2]|0;j=d;if(!N){da=j-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{da=j-(f[N+40>>2]|0)|0;break}}else da=d-(f[(f[h>>2]|0)+20>>2]|0)|0;while(0);ea=R+(((da|0)/88|0)<<2)|0}else ea=(f[a+12>>2]|0)+(((k-(f[(f[k+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[h>>2]|0)+52>>2]|0)<<2)|0;b[c+(f[ea>>2]|0)>>0]=g;u=e;return}case 8:{m=(sQb(d)|0)+8|0;O=f[m>>2]|0;m=f[Q>>2]|0;if(!m){N=f[a+12>>2]|0;do if(b[i>>0]|0){j=f[d+56>>2]|0;K=d;if(!j){fa=K-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{fa=K-(f[j+40>>2]|0)|0;break}}else fa=d-(f[(f[h>>2]|0)+20>>2]|0)|0;while(0);ga=N+(((fa|0)/88|0)<<2)|0}else ga=(f[a+12>>2]|0)+(((m-(f[(f[m+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[h>>2]|0)+52>>2]|0)<<2)|0;f[c+(f[ga>>2]|0)>>2]=O;u=e;return}case 9:{g=f[a+8>>2]|0;k=f[a+12>>2]|0;R=(b[i>>0]|0)==0;do if(!R){j=f[d+56>>2]|0;K=d;if(!j){ha=K-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{ha=K-(f[j+40>>2]|0)|0;break}}else ha=d-(f[(f[h>>2]|0)+20>>2]|0)|0;while(0);O=f[g+(f[k+(((ha|0)/88|0)<<2)>>2]|0)>>2]|0;m=f[Q>>2]|0;if(!m){do if(!R){N=f[d+56>>2]|0;j=d;if(!N){ia=j-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{ia=j-(f[N+40>>2]|0)|0;break}}else ia=d-(f[(f[h>>2]|0)+20>>2]|0)|0;while(0);ja=(ia|0)/88|0}else ja=((m-(f[(f[m+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[h>>2]|0)+52>>2]|0)|0;R=c+(f[k+(ja<<2)>>2]|0)|0;g=f[c+(f[a+24>>2]|0)>>2]|0;N=g&-2;if(!(g&1))ka=N;else ka=f[N+4>>2]|0;if((ka|0)==0?(N=f[R>>2]|0,!((N|0)==(O|0)|(N|0)==0)):0){if((b[N+11>>0]|0)<0)fuc(f[N>>2]|0);fuc(N)}f[R>>2]=O;u=e;return}case 10:{if((f[P>>2]|0)!=-1){R=f[Q>>2]|0;if(!R){N=f[a+12>>2]|0;do if(b[i>>0]|0){g=f[d+56>>2]|0;j=d;if(!g){la=j-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{la=j-(f[g+40>>2]|0)|0;break}}else la=d-(f[(f[h>>2]|0)+20>>2]|0)|0;while(0);ma=N+(((la|0)/88|0)<<2)|0}else ma=(f[a+12>>2]|0)+(((R-(f[(f[R+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[h>>2]|0)+52>>2]|0)<<2)|0;O=f[c+(f[ma>>2]|0)>>2]|0;bi[f[(f[O>>2]|0)+28>>2]&2047](O);u=e;return}O=f[c+(f[a+24>>2]|0)>>2]|0;k=O&-2;if(!(O&1))na=k;else na=f[k+4>>2]|0;if(!na){k=f[Q>>2]|0;if(!k){O=f[a+12>>2]|0;do if(b[i>>0]|0){m=f[d+56>>2]|0;g=d;if(!m){oa=g-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{oa=g-(f[m+40>>2]|0)|0;break}}else oa=d-(f[(f[h>>2]|0)+20>>2]|0)|0;while(0);pa=O+(((oa|0)/88|0)<<2)|0}else pa=(f[a+12>>2]|0)+(((k-(f[(f[k+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[h>>2]|0)+52>>2]|0)<<2)|0;R=f[c+(f[pa>>2]|0)>>2]|0;if(R|0)bi[f[(f[R>>2]|0)+4>>2]&2047](R)}R=f[Q>>2]|0;if(!R){N=f[a+12>>2]|0;do if(b[i>>0]|0){m=f[d+56>>2]|0;g=d;if(!m){qa=g-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{qa=g-(f[m+40>>2]|0)|0;break}}else qa=d-(f[(f[h>>2]|0)+20>>2]|0)|0;while(0);ra=N+(((qa|0)/88|0)<<2)|0}else ra=(f[a+12>>2]|0)+(((R-(f[(f[R+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[h>>2]|0)+52>>2]|0)<<2)|0;f[c+(f[ra>>2]|0)>>2]=0;u=e;return}default:{u=e;return}}while(0)}function G1b(a,b,c){a=a|0;b=b|0;c=c|0;return (f[b+((((c-(f[(f[c+8>>2]|0)+24>>2]|0)|0)/28|0)<<2)+(f[a+32>>2]|0))>>2]|0)!=0|0}function H1b(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;e=u;u=u+16|0;g=e;h=a+32|0;i=d+8|0;j=d;d=f[c+((((j-(f[(f[i>>2]|0)+24>>2]|0)|0)/28|0)<<2)+(f[h>>2]|0))>>2]|0;if(!d){u=e;return}k=gQb(f[a+4>>2]|0,d)|0;d=a+24|0;l=f[c+(f[d>>2]|0)>>2]|0;m=l&-2;if(!(l&1))n=m;else n=f[m+4>>2]|0;a:do if(!n){m=f[k+24>>2]|0;if(m|0?(f[m>>2]|0)!=2:0){f[g>>2]=110384;f[g+4>>2]=1962;b[g+8>>0]=0;f[g+12>>2]=k;xLb(m,g)}switch(f[151812+(f[k+28>>2]<<2)>>2]|0){case 9:break;case 10:{m=f[k+52>>2]|0;if(!m){l=f[a+12>>2]|0;do if(b[k+38>>0]|0){o=f[k+56>>2]|0;p=k;if(!o){q=p-(f[(f[k+20>>2]|0)+80>>2]|0)|0;break}else{q=p-(f[o+40>>2]|0)|0;break}}else q=k-(f[(f[k+48>>2]|0)+20>>2]|0)|0;while(0);r=l+(((q|0)/88|0)<<2)|0}else r=(f[a+12>>2]|0)+(((m-(f[(f[m+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[k+48>>2]|0)+52>>2]|0)<<2)|0;o=f[c+(f[r>>2]|0)>>2]|0;if(!o)break a;bi[f[(f[o>>2]|0)+4>>2]&2047](o);break a;break}default:break a}o=f[a+8>>2]|0;p=f[a+12>>2]|0;s=(b[k+38>>0]|0)==0;do if(!s){t=f[k+56>>2]|0;v=k;if(!t){w=v-(f[(f[k+20>>2]|0)+80>>2]|0)|0;break}else{w=v-(f[t+40>>2]|0)|0;break}}else w=k-(f[(f[k+48>>2]|0)+20>>2]|0)|0;while(0);m=f[o+(f[p+(((w|0)/88|0)<<2)>>2]|0)>>2]|0;l=f[k+52>>2]|0;if(!l){t=f[a+20>>2]|0;if((t|0)!=-1){v=f[a+16>>2]|0;do if(!s){x=f[k+56>>2]|0;y=k;if(!x){z=y-(f[(f[k+20>>2]|0)+80>>2]|0)|0;break}else{z=y-(f[x+40>>2]|0)|0;break}}else z=k-(f[(f[k+48>>2]|0)+20>>2]|0)|0;while(0);o=f[v+(((z|0)/88|0)<<2)>>2]|0;x=c+t+(o>>>5<<2)|0;f[x>>2]=1<<(o&31)|f[x>>2]}do if(!s){x=f[k+56>>2]|0;o=k;if(!x){A=o-(f[(f[k+20>>2]|0)+80>>2]|0)|0;break}else{A=o-(f[x+40>>2]|0)|0;break}}else A=k-(f[(f[k+48>>2]|0)+20>>2]|0)|0;while(0);B=(A|0)/88|0}else{s=(l-(f[(f[l+8>>2]|0)+24>>2]|0)|0)/28|0;f[c+((s<<2)+(f[h>>2]|0))>>2]=f[k+40>>2];B=s+(f[(f[k+48>>2]|0)+52>>2]|0)|0}s=f[c+(f[d>>2]|0)>>2]|0;t=s&-2;if(!(s&1))C=t;else C=f[t+4>>2]|0;if((C|0)==0?(t=f[c+(f[p+(B<<2)>>2]|0)>>2]|0,!((t|0)==(m|0)|(t|0)==0)):0){if((b[t+11>>0]|0)<0)fuc(f[t>>2]|0);fuc(t)}}while(0);f[c+((((j-(f[(f[i>>2]|0)+24>>2]|0)|0)/28|0)<<2)+(f[h>>2]|0))>>2]=0;u=e;return}function I1b(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=f[b+((((c-(f[(f[c+8>>2]|0)+24>>2]|0)|0)/28|0)<<2)+(f[a+32>>2]|0))>>2]|0;if(!d){e=0;return e|0}e=gQb(f[a+4>>2]|0,d)|0;return e|0}function J1b(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0;e=u;u=u+16|0;g=e;h=d+48|0;i=a+4|0;j=f[i>>2]|0;if((f[h>>2]|0)!=(j|0))h3b(j,d,511724,510114);if((f[d+32>>2]|0)!=3)h3b(f[i>>2]|0,d,511724,509566);i=d+38|0;if(b[i>>0]|0){tdc(c+(f[a+28>>2]|0)|0,f[d+40>>2]|0);u=e;return}j=d+24|0;k=f[j>>2]|0;if(k|0?(f[k>>2]|0)!=2:0){f[g>>2]=110384;f[g+4>>2]=1962;b[g+8>>0]=0;f[g+12>>2]=d;xLb(k,g)}k=d+28|0;do switch(f[151812+(f[k>>2]<<2)>>2]|0){case 1:{l=f[d+52>>2]|0;if(!l){m=f[a+12>>2]|0;do if(b[i>>0]|0){n=f[d+56>>2]|0;o=d;if(!n){p=o-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{p=o-(f[n+40>>2]|0)|0;break}}else p=d-(f[(f[h>>2]|0)+20>>2]|0)|0;while(0);q=m+(((p|0)/88|0)<<2)|0}else q=(f[a+12>>2]|0)+(((l-(f[(f[l+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[h>>2]|0)+52>>2]|0)<<2)|0;n=c+(f[q>>2]|0)|0;f[n>>2]=(f[n>>2]|0)+-1;u=e;return}case 2:{n=f[d+52>>2]|0;if(!n){o=f[a+12>>2]|0;do if(b[i>>0]|0){r=f[d+56>>2]|0;s=d;if(!r){t=s-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{t=s-(f[r+40>>2]|0)|0;break}}else t=d-(f[(f[h>>2]|0)+20>>2]|0)|0;while(0);v=o+(((t|0)/88|0)<<2)|0}else v=(f[a+12>>2]|0)+(((n-(f[(f[n+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[h>>2]|0)+52>>2]|0)<<2)|0;l=c+(f[v>>2]|0)|0;f[l>>2]=(f[l>>2]|0)+-1;u=e;return}case 3:{l=f[d+52>>2]|0;if(!l){m=f[a+12>>2]|0;do if(b[i>>0]|0){r=f[d+56>>2]|0;s=d;if(!r){w=s-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{w=s-(f[r+40>>2]|0)|0;break}}else w=d-(f[(f[h>>2]|0)+20>>2]|0)|0;while(0);x=m+(((w|0)/88|0)<<2)|0}else x=(f[a+12>>2]|0)+(((l-(f[(f[l+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[h>>2]|0)+52>>2]|0)<<2)|0;n=c+(f[x>>2]|0)|0;f[n>>2]=(f[n>>2]|0)+-1;u=e;return}case 4:{n=f[d+52>>2]|0;if(!n){o=f[a+12>>2]|0;do if(b[i>>0]|0){r=f[d+56>>2]|0;s=d;if(!r){y=s-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{y=s-(f[r+40>>2]|0)|0;break}}else y=d-(f[(f[h>>2]|0)+20>>2]|0)|0;while(0);z=o+(((y|0)/88|0)<<2)|0}else z=(f[a+12>>2]|0)+(((n-(f[(f[n+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[h>>2]|0)+52>>2]|0)<<2)|0;l=c+(f[z>>2]|0)|0;f[l>>2]=(f[l>>2]|0)+-1;u=e;return}case 5:{l=f[d+52>>2]|0;if(!l){m=f[a+12>>2]|0;do if(b[i>>0]|0){r=f[d+56>>2]|0;s=d;if(!r){A=s-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{A=s-(f[r+40>>2]|0)|0;break}}else A=d-(f[(f[h>>2]|0)+20>>2]|0)|0;while(0);B=m+(((A|0)/88|0)<<2)|0}else B=(f[a+12>>2]|0)+(((l-(f[(f[l+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[h>>2]|0)+52>>2]|0)<<2)|0;n=c+(f[B>>2]|0)|0;f[n>>2]=(f[n>>2]|0)+-1;u=e;return}case 6:{n=f[d+52>>2]|0;if(!n){o=f[a+12>>2]|0;do if(b[i>>0]|0){r=f[d+56>>2]|0;s=d;if(!r){C=s-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{C=s-(f[r+40>>2]|0)|0;break}}else C=d-(f[(f[h>>2]|0)+20>>2]|0)|0;while(0);D=o+(((C|0)/88|0)<<2)|0}else D=(f[a+12>>2]|0)+(((n-(f[(f[n+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[h>>2]|0)+52>>2]|0)<<2)|0;l=c+(f[D>>2]|0)|0;f[l>>2]=(f[l>>2]|0)+-1;u=e;return}case 7:{l=f[d+52>>2]|0;if(!l){m=f[a+12>>2]|0;do if(b[i>>0]|0){r=f[d+56>>2]|0;s=d;if(!r){E=s-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{E=s-(f[r+40>>2]|0)|0;break}}else E=d-(f[(f[h>>2]|0)+20>>2]|0)|0;while(0);F=m+(((E|0)/88|0)<<2)|0}else F=(f[a+12>>2]|0)+(((l-(f[(f[l+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[h>>2]|0)+52>>2]|0)<<2)|0;n=c+(f[F>>2]|0)|0;f[n>>2]=(f[n>>2]|0)+-1;u=e;return}case 8:{n=f[d+52>>2]|0;if(!n){o=f[a+12>>2]|0;do if(b[i>>0]|0){r=f[d+56>>2]|0;s=d;if(!r){G=s-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{G=s-(f[r+40>>2]|0)|0;break}}else G=d-(f[(f[h>>2]|0)+20>>2]|0)|0;while(0);H=o+(((G|0)/88|0)<<2)|0}else H=(f[a+12>>2]|0)+(((n-(f[(f[n+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[h>>2]|0)+52>>2]|0)<<2)|0;l=c+(f[H>>2]|0)|0;f[l>>2]=(f[l>>2]|0)+-1;u=e;return}case 9:{l=f[d+52>>2]|0;if(!l){m=f[a+12>>2]|0;do if(b[i>>0]|0){r=f[d+56>>2]|0;s=d;if(!r){I=s-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{I=s-(f[r+40>>2]|0)|0;break}}else I=d-(f[(f[h>>2]|0)+20>>2]|0)|0;while(0);J=m+(((I|0)/88|0)<<2)|0}else J=(f[a+12>>2]|0)+(((l-(f[(f[l+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[h>>2]|0)+52>>2]|0)<<2)|0;n=c+(f[J>>2]|0)|0;o=f[n+12>>2]|0;r=n+4|0;n=(f[r>>2]|0)+-1|0;f[r>>2]=n;r=f[o+4+(n<<2)>>2]|0;n=r+11|0;if((b[n>>0]|0)<0){b[f[r>>2]>>0]=0;f[r+4>>2]=0;u=e;return}else{b[r>>0]=0;b[n>>0]=0;u=e;return}break}case 10:{n=f[j>>2]|0;if(n|0?(f[n>>2]|0)!=2:0){f[g>>2]=110384;f[g+4>>2]=1962;b[g+8>>0]=0;f[g+12>>2]=d;xLb(n,g)}if((f[k>>2]|0)==11?rQb(d)|0:0){n=f[d+52>>2]|0;if(!n){r=f[a+12>>2]|0;do if(b[i>>0]|0){o=f[d+56>>2]|0;s=d;if(!o){K=s-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{K=s-(f[o+40>>2]|0)|0;break}}else K=d-(f[(f[h>>2]|0)+20>>2]|0)|0;while(0);L=r+(((K|0)/88|0)<<2)|0}else L=(f[a+12>>2]|0)+(((n-(f[(f[n+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[h>>2]|0)+52>>2]|0)<<2)|0;l=P5b(c+(f[L>>2]|0)|0)|0;m=f[l+12>>2]|0;o=l+4|0;l=(f[o>>2]|0)+-1|0;f[o>>2]=l;o=f[m+4+(l<<2)>>2]|0;bi[f[(f[o>>2]|0)+28>>2]&2047](o);u=e;return}o=f[d+52>>2]|0;if(!o){l=f[a+12>>2]|0;do if(b[i>>0]|0){m=f[d+56>>2]|0;s=d;if(!m){M=s-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{M=s-(f[m+40>>2]|0)|0;break}}else M=d-(f[(f[h>>2]|0)+20>>2]|0)|0;while(0);N=l+(((M|0)/88|0)<<2)|0}else N=(f[a+12>>2]|0)+(((o-(f[(f[o+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[h>>2]|0)+52>>2]|0)<<2)|0;n=c+(f[N>>2]|0)|0;r=f[n+12>>2]|0;m=n+4|0;n=(f[m>>2]|0)+-1|0;f[m>>2]=n;m=f[r+4+(n<<2)>>2]|0;bi[f[(f[m>>2]|0)+28>>2]&2047](m);u=e;return}default:{u=e;return}}while(0)}function K1b(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;e=u;u=u+16|0;g=e;h=d+48|0;i=a+4|0;j=f[i>>2]|0;if((f[h>>2]|0)!=(j|0))h3b(j,d,511712,510114);if((f[d+32>>2]|0)!=3)h3b(f[i>>2]|0,d,511712,509566);j=d+24|0;k=f[j>>2]|0;if(k|0?(f[k>>2]|0)!=2:0){f[g>>2]=110384;f[g+4>>2]=1962;b[g+8>>0]=0;f[g+12>>2]=d;xLb(k,g)}k=d+28|0;if((f[151812+(f[k>>2]<<2)>>2]|0)!=10)k3b(f[i>>2]|0,d,511712,10);i=d+38|0;if(b[i>>0]|0){l=udc(c+(f[a+28>>2]|0)|0,f[d+40>>2]|0)|0;u=e;return l|0}m=f[j>>2]|0;if(m|0?(f[m>>2]|0)!=2:0){f[g>>2]=110384;f[g+4>>2]=1962;b[g+8>>0]=0;f[g+12>>2]=d;xLb(m,g)}if((f[k>>2]|0)==11?rQb(d)|0:0){k=f[d+52>>2]|0;if(!k){g=f[a+12>>2]|0;do if(b[i>>0]|0){m=f[d+56>>2]|0;j=d;if(!m){n=j-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{n=j-(f[m+40>>2]|0)|0;break}}else n=d-(f[(f[h>>2]|0)+20>>2]|0)|0;while(0);o=g+(((n|0)/88|0)<<2)|0}else o=(f[a+12>>2]|0)+(((k-(f[(f[k+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[h>>2]|0)+52>>2]|0)<<2)|0;k=P5b(c+(f[o>>2]|0)|0)|0;o=f[k+12>>2]|0;n=k+4|0;g=f[n>>2]|0;m=g+-1|0;f[n>>2]=m;n=o+4+(m<<2)|0;m=f[n>>2]|0;j=f[o>>2]|0;p=j+-1|0;f[o>>2]=p;if((g|0)<(j|0))f[n>>2]=f[o+4+(p<<2)>>2];if(!(f[k>>2]|0)){l=m;u=e;return l|0}k=v9b(m,0)|0;m3b(m,k);l=k;u=e;return l|0}k=f[d+52>>2]|0;if(!k){m=f[a+12>>2]|0;do if(b[i>>0]|0){p=f[d+56>>2]|0;o=d;if(!p){q=o-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{q=o-(f[p+40>>2]|0)|0;break}}else q=d-(f[(f[h>>2]|0)+20>>2]|0)|0;while(0);r=m+(((q|0)/88|0)<<2)|0}else r=(f[a+12>>2]|0)+(((k-(f[(f[k+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[h>>2]|0)+52>>2]|0)<<2)|0;h=c+(f[r>>2]|0)|0;r=f[h+12>>2]|0;c=h+4|0;k=f[c>>2]|0;a=k+-1|0;f[c>>2]=a;c=r+4+(a<<2)|0;a=f[c>>2]|0;q=f[r>>2]|0;m=q+-1|0;f[r>>2]=m;if((k|0)<(q|0))f[c>>2]=f[r+4+(m<<2)>>2];if(!(f[h>>2]|0)){l=a;u=e;return l|0}h=v9b(a,0)|0;m3b(a,h);l=h;u=e;return l|0}function L1b(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;d=u;u=u+64|0;e=d+48|0;g=d+24|0;h=d;if((b|0)==(c|0)){u=d;return}yh[f[(f[b>>2]|0)+96>>2]&2047](e,b);if((f[e+4>>2]|0)!=(a|0)){iLb(g,3,508854,577);i=dLb(dLb(g,511276)|0,511639)|0;yh[f[(f[b>>2]|0)+96>>2]&2047](e,b);j=dLb(eLb(i,f[(f[e>>2]|0)+4>>2]|0)|0,511372)|0;fLb(d+57|0,dLb(eLb(j,f[(f[a+4>>2]|0)+4>>2]|0)|0,511442)|0);jLb(g)}yh[f[(f[c>>2]|0)+96>>2]&2047](e,c);if((f[e+4>>2]|0)!=(a|0)){iLb(h,3,508854,584);g=dLb(dLb(h,511521)|0,511675)|0;yh[f[(f[c>>2]|0)+96>>2]&2047](e,c);j=dLb(eLb(g,f[(f[e>>2]|0)+4>>2]|0)|0,511372)|0;fLb(d+56|0,dLb(eLb(j,f[(f[a+4>>2]|0)+4>>2]|0)|0,511442)|0);jLb(h)}h=a+24|0;j=f[h>>2]|0;e=f[b+j>>2]|0;g=(e&1|0)==0;i=e&-2;if(g)k=i;else k=f[i+4>>2]|0;e=f[c+j>>2]|0;j=e&-2;if(!(e&1))l=j;else l=f[j+4>>2]|0;if((k|0)!=(l|0)){if(g)m=i;else m=f[i+4>>2]|0;i=Th[f[(f[b>>2]|0)+16>>2]&1023](b,m)|0;yh[f[(f[i>>2]|0)+76>>2]&2047](i,c);yh[f[(f[c>>2]|0)+72>>2]&2047](c,b);L1b(a,b,i);m=f[b+(f[h>>2]|0)>>2]|0;g=m&-2;if(!(m&1))n=g;else n=f[g+4>>2]|0;if((i|0)==0|(n|0)!=0){u=d;return}bi[f[(f[i>>2]|0)+4>>2]&2047](i);u=d;return}i=f[a+20>>2]|0;if((i|0)!=-1){n=b+i|0;g=c+i|0;i=a+4|0;m=f[i>>2]|0;l=f[m+52>>2]|0;if((l|0)>0){k=f[m+20>>2]|0;j=0;e=0;while(1){if((f[k+(j*88|0)+32>>2]|0)==3)o=e;else o=((f[k+(j*88|0)+52>>2]|0)==0&1)+e|0;j=j+1|0;if((j|0)>=(l|0))break;else e=o}e=(o+31|0)/32|0;if((o|0)>0){o=0;do{l=n+(o<<2)|0;j=g+(o<<2)|0;k=f[l>>2]|0;f[l>>2]=f[j>>2];f[j>>2]=k;o=o+1|0}while((o|0)<(e|0));p=i;q=m}else{p=i;q=m}}else{p=i;q=m}}else{m=a+4|0;p=m;q=f[m>>2]|0}m=a+52|0;i=f[m>>2]|0;if((i|0)<0)r=q;else{e=0;o=q;q=i;while(1){i=f[o+20>>2]|0;if(!(f[i+(e*88|0)+52>>2]|0)){G3b(a,b,c,i+(e*88|0)|0);s=f[m>>2]|0;t=f[p>>2]|0}else{s=q;t=o}if((e|0)<(s|0)){e=e+1|0;o=t;q=s}else{r=t;break}}}t=f[r+56>>2]|0;if((t|0)>0?(E3b(a,b,c,f[r+24>>2]|0),(t|0)!=1):0){r=1;do{E3b(a,b,c,(f[(f[p>>2]|0)+24>>2]|0)+(r*28|0)|0);r=r+1|0}while((r|0)!=(t|0))}t=f[a+28>>2]|0;if((t|0)!=-1)zdc(b+t|0,c+t|0);t=f[h>>2]|0;a=b+t|0;b=f[a>>2]|0;if(!(b&1)){r=OOa(a)|0;v=r;w=f[h>>2]|0}else{v=b&-2;w=t}t=c+w|0;w=f[t>>2]|0;if(!(w&1))x=OOa(t)|0;else x=w&-2;w=f[v>>2]|0;f[v>>2]=f[x>>2];f[x>>2]=w;u=d;return}function M1b(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;g=u;u=u+64|0;h=g+48|0;i=g+24|0;j=g;if((c|0)==(d|0)){u=g;return}yh[f[(f[c>>2]|0)+96>>2]&2047](h,c);if((f[h+4>>2]|0)!=(a|0)){iLb(i,3,508854,651);k=dLb(dLb(i,511276)|0,511330)|0;yh[f[(f[c>>2]|0)+96>>2]&2047](h,c);l=dLb(eLb(k,f[(f[h>>2]|0)+4>>2]|0)|0,511372)|0;fLb(g+61|0,dLb(eLb(l,f[(f[a+4>>2]|0)+4>>2]|0)|0,511442)|0);jLb(i)}yh[f[(f[d>>2]|0)+96>>2]&2047](h,d);if((f[h+4>>2]|0)!=(a|0)){iLb(j,3,508854,658);i=dLb(dLb(j,511521)|0,511575)|0;yh[f[(f[d>>2]|0)+96>>2]&2047](h,d);l=dLb(eLb(i,f[(f[h>>2]|0)+4>>2]|0)|0,511372)|0;fLb(g+60|0,dLb(eLb(l,f[(f[a+4>>2]|0)+4>>2]|0)|0,511442)|0);jLb(j)}j=h+4|0;f[j>>2]=0;l=h+8|0;f[l>>2]=0;i=h+4|0;f[h>>2]=i;k=f[e>>2]|0;m=(f[e+4>>2]|0)-k|0;n=m>>2;if((m|0)>0){m=a+28|0;o=0;p=k;while(1){k=f[p+(o<<2)>>2]|0;a:do if(!(b[k+38>>0]|0)){q=k+52|0;r=f[q>>2]|0;if(!r){if((f[k+32>>2]|0)!=3)F3b(a,c,d,k);G3b(a,c,d,k);break}s=(r-(f[(f[r+8>>2]|0)+24>>2]|0)|0)/28|0;t=f[i>>2]|0;do if(t){v=i;w=t;b:while(1){x=w;while(1){if((f[x+16>>2]|0)>=(s|0))break;y=f[x+4>>2]|0;if(!y){z=v;break b}else x=y}w=f[x>>2]|0;if(!w){z=x;break}else v=x}if((z|0)!=(i|0)?(s|0)>=(f[z+16>>2]|0):0)break a;else{A=j;B=t}while(1){v=f[B+16>>2]|0;if((s|0)<(v|0)){w=f[B>>2]|0;if(!w){C=23;break}else{D=B;E=w}}else{if((v|0)>=(s|0)){C=27;break}F=B+4|0;v=f[F>>2]|0;if(!v){C=26;break}else{D=F;E=v}}A=D;B=E}if((C|0)==23){C=0;G=B;H=B;break}else if((C|0)==26){C=0;G=B;H=F;break}else if((C|0)==27){C=0;G=B;H=A;break}}else{G=i;H=i}while(0);if(!(f[H>>2]|0)){t=cuc(20)|0;f[t+16>>2]=s;f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=G;f[H>>2]=t;v=f[f[h>>2]>>2]|0;if(!v)I=t;else{f[h>>2]=v;I=f[H>>2]|0}jI(f[j>>2]|0,I);f[l>>2]=(f[l>>2]|0)+1;J=f[q>>2]|0}else J=r;E3b(a,c,d,J)}else{v=f[m>>2]|0;Adc(c+v|0,d+v|0,f[k+40>>2]|0)}while(0);k=o+1|0;if((k|0)>=(n|0))break;o=k;p=f[e>>2]|0}K=f[i>>2]|0}else K=0;MIa(h,K);u=g;return}function N1b(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0.0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0;h=u;u=u+16|0;i=h;j=d+48|0;k=a+4|0;l=f[k>>2]|0;if((f[j>>2]|0)!=(l|0))h3b(l,d,511271,510114);if((f[d+32>>2]|0)!=3)h3b(f[k>>2]|0,d,511271,509566);k=d+38|0;if(b[k>>0]|0){vdc(c+(f[a+28>>2]|0)|0,f[d+40>>2]|0,e,g);u=h;return}l=d+24|0;m=f[l>>2]|0;if(m|0?(f[m>>2]|0)!=2:0){f[i>>2]=110384;f[i+4>>2]=1962;b[i+8>>0]=0;f[i+12>>2]=d;xLb(m,i)}m=d+28|0;do switch(f[151812+(f[m>>2]<<2)>>2]|0){case 1:{n=f[d+52>>2]|0;if(!n){o=f[a+12>>2]|0;do if(b[k>>0]|0){q=f[d+56>>2]|0;r=d;if(!q){s=r-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{s=r-(f[q+40>>2]|0)|0;break}}else s=d-(f[(f[j>>2]|0)+20>>2]|0)|0;while(0);t=o+(((s|0)/88|0)<<2)|0}else t=(f[a+12>>2]|0)+(((n-(f[(f[n+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[j>>2]|0)+52>>2]|0)<<2)|0;q=f[c+(f[t>>2]|0)+8>>2]|0;r=q+4+(e<<2)|0;v=q+4+(g<<2)|0;q=f[r>>2]|0;f[r>>2]=f[v>>2];f[v>>2]=q;u=h;return}case 2:{q=f[d+52>>2]|0;if(!q){v=f[a+12>>2]|0;do if(b[k>>0]|0){r=f[d+56>>2]|0;w=d;if(!r){x=w-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{x=w-(f[r+40>>2]|0)|0;break}}else x=d-(f[(f[j>>2]|0)+20>>2]|0)|0;while(0);y=v+(((x|0)/88|0)<<2)|0}else y=(f[a+12>>2]|0)+(((q-(f[(f[q+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[j>>2]|0)+52>>2]|0)<<2)|0;n=f[c+(f[y>>2]|0)+8>>2]|0;o=n+8+(e<<3)|0;r=n+8+(g<<3)|0;n=o;w=f[n>>2]|0;z=f[n+4>>2]|0;n=r;A=f[n+4>>2]|0;B=o;f[B>>2]=f[n>>2];f[B+4>>2]=A;A=r;f[A>>2]=w;f[A+4>>2]=z;u=h;return}case 3:{z=f[d+52>>2]|0;if(!z){A=f[a+12>>2]|0;do if(b[k>>0]|0){w=f[d+56>>2]|0;r=d;if(!w){C=r-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{C=r-(f[w+40>>2]|0)|0;break}}else C=d-(f[(f[j>>2]|0)+20>>2]|0)|0;while(0);D=A+(((C|0)/88|0)<<2)|0}else D=(f[a+12>>2]|0)+(((z-(f[(f[z+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[j>>2]|0)+52>>2]|0)<<2)|0;q=f[c+(f[D>>2]|0)+8>>2]|0;v=q+4+(e<<2)|0;w=q+4+(g<<2)|0;q=f[v>>2]|0;f[v>>2]=f[w>>2];f[w>>2]=q;u=h;return}case 4:{q=f[d+52>>2]|0;if(!q){w=f[a+12>>2]|0;do if(b[k>>0]|0){v=f[d+56>>2]|0;r=d;if(!v){E=r-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{E=r-(f[v+40>>2]|0)|0;break}}else E=d-(f[(f[j>>2]|0)+20>>2]|0)|0;while(0);F=w+(((E|0)/88|0)<<2)|0}else F=(f[a+12>>2]|0)+(((q-(f[(f[q+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[j>>2]|0)+52>>2]|0)<<2)|0;z=f[c+(f[F>>2]|0)+8>>2]|0;A=z+8+(e<<3)|0;v=z+8+(g<<3)|0;z=A;r=f[z>>2]|0;B=f[z+4>>2]|0;z=v;n=f[z+4>>2]|0;o=A;f[o>>2]=f[z>>2];f[o+4>>2]=n;n=v;f[n>>2]=r;f[n+4>>2]=B;u=h;return}case 5:{B=f[d+52>>2]|0;if(!B){n=f[a+12>>2]|0;do if(b[k>>0]|0){r=f[d+56>>2]|0;v=d;if(!r){G=v-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{G=v-(f[r+40>>2]|0)|0;break}}else G=d-(f[(f[j>>2]|0)+20>>2]|0)|0;while(0);H=n+(((G|0)/88|0)<<2)|0}else H=(f[a+12>>2]|0)+(((B-(f[(f[B+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[j>>2]|0)+52>>2]|0)<<2)|0;q=f[c+(f[H>>2]|0)+8>>2]|0;w=q+8+(e<<3)|0;r=q+8+(g<<3)|0;I=+p[w>>3];p[w>>3]=+p[r>>3];p[r>>3]=I;u=h;return}case 6:{r=f[d+52>>2]|0;if(!r){w=f[a+12>>2]|0;do if(b[k>>0]|0){q=f[d+56>>2]|0;v=d;if(!q){J=v-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{J=v-(f[q+40>>2]|0)|0;break}}else J=d-(f[(f[j>>2]|0)+20>>2]|0)|0;while(0);K=w+(((J|0)/88|0)<<2)|0}else K=(f[a+12>>2]|0)+(((r-(f[(f[r+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[j>>2]|0)+52>>2]|0)<<2)|0;B=f[c+(f[K>>2]|0)+8>>2]|0;n=B+4+(e<<2)|0;q=B+4+(g<<2)|0;B=f[n>>2]|0;f[n>>2]=f[q>>2];f[q>>2]=B;u=h;return}case 7:{B=f[d+52>>2]|0;if(!B){q=f[a+12>>2]|0;do if(b[k>>0]|0){n=f[d+56>>2]|0;v=d;if(!n){L=v-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{L=v-(f[n+40>>2]|0)|0;break}}else L=d-(f[(f[j>>2]|0)+20>>2]|0)|0;while(0);M=q+(((L|0)/88|0)<<2)|0}else M=(f[a+12>>2]|0)+(((B-(f[(f[B+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[j>>2]|0)+52>>2]|0)<<2)|0;r=f[c+(f[M>>2]|0)+8>>2]|0;w=r+4+e|0;n=r+4+g|0;r=b[w>>0]|0;b[w>>0]=b[n>>0]|0;b[n>>0]=r;u=h;return}case 8:{r=f[d+52>>2]|0;if(!r){n=f[a+12>>2]|0;do if(b[k>>0]|0){w=f[d+56>>2]|0;v=d;if(!w){N=v-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{N=v-(f[w+40>>2]|0)|0;break}}else N=d-(f[(f[j>>2]|0)+20>>2]|0)|0;while(0);O=n+(((N|0)/88|0)<<2)|0}else O=(f[a+12>>2]|0)+(((r-(f[(f[r+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[j>>2]|0)+52>>2]|0)<<2)|0;B=f[c+(f[O>>2]|0)+8>>2]|0;q=B+4+(e<<2)|0;w=B+4+(g<<2)|0;B=f[q>>2]|0;f[q>>2]=f[w>>2];f[w>>2]=B;u=h;return}case 10:case 9:{B=f[l>>2]|0;if(B|0?(f[B>>2]|0)!=2:0){f[i>>2]=110384;f[i+4>>2]=1962;b[i+8>>0]=0;f[i+12>>2]=d;xLb(B,i)}if((f[m>>2]|0)==11?rQb(d)|0:0){B=f[d+52>>2]|0;if(!B){w=f[a+12>>2]|0;do if(b[k>>0]|0){q=f[d+56>>2]|0;v=d;if(!q){P=v-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{P=v-(f[q+40>>2]|0)|0;break}}else P=d-(f[(f[j>>2]|0)+20>>2]|0)|0;while(0);Q=w+(((P|0)/88|0)<<2)|0}else Q=(f[a+12>>2]|0)+(((B-(f[(f[B+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[j>>2]|0)+52>>2]|0)<<2)|0;r=(P5b(c+(f[Q>>2]|0)|0)|0)+12|0;n=f[r>>2]|0;r=n+4+(e<<2)|0;q=n+4+(g<<2)|0;n=f[r>>2]|0;f[r>>2]=f[q>>2];f[q>>2]=n;u=h;return}n=f[d+52>>2]|0;if(!n){q=f[a+12>>2]|0;do if(b[k>>0]|0){r=f[d+56>>2]|0;v=d;if(!r){R=v-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{R=v-(f[r+40>>2]|0)|0;break}}else R=d-(f[(f[j>>2]|0)+20>>2]|0)|0;while(0);S=q+(((R|0)/88|0)<<2)|0}else S=(f[a+12>>2]|0)+(((n-(f[(f[n+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[j>>2]|0)+52>>2]|0)<<2)|0;B=f[c+(f[S>>2]|0)+12>>2]|0;w=B+4+(e<<2)|0;r=B+4+(g<<2)|0;B=f[w>>2]|0;f[w>>2]=f[r>>2];f[r>>2]=B;u=h;return}default:{u=h;return}}while(0)}function O1b(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;d=u;u=u+16|0;e=d;g=f[c>>2]|0;h=c+4|0;i=f[h>>2]|0;if((i|0)!=(g|0))f[h>>2]=i+(~((i+-4-g|0)>>>2)<<2);if((f[a+8>>2]|0)==(b|0)){u=d;return}g=f[a+20>>2]|0;i=(g|0)==-1?0:b+g|0;g=f[a+16>>2]|0;j=b+(f[a+32>>2]|0)|0;k=a+4|0;z3b(c,f[(f[k>>2]|0)+52>>2]|0);l=a+52|0;if((f[l>>2]|0)>=0){m=c+8|0;n=(i|0)==0;o=0;while(1){p=f[(f[k>>2]|0)+20>>2]|0;q=p+(o*88|0)|0;f[e>>2]=q;r=q;do if((f[p+(o*88|0)+32>>2]|0)==3){if((E1b(a,b,q)|0)>0){s=f[h>>2]|0;if((s|0)==(f[m>>2]|0)){bOb(c,e);break}else{f[s>>2]=f[e>>2];f[h>>2]=(f[h>>2]|0)+4;break}}}else{s=f[p+(o*88|0)+52>>2]|0;if(s|0){if((f[j+(((s-(f[(f[s+8>>2]|0)+24>>2]|0)|0)/28|0)<<2)>>2]|0)!=(f[p+(o*88|0)+40>>2]|0))break;s=f[h>>2]|0;if((s|0)==(f[m>>2]|0)){bOb(c,e);break}else{f[s>>2]=r;f[h>>2]=(f[h>>2]|0)+4;break}}if(n){if(!(A3b(a,b,q)|0))break;s=f[h>>2]|0;if((s|0)==(f[m>>2]|0)){bOb(c,e);break}else{f[s>>2]=f[e>>2];f[h>>2]=(f[h>>2]|0)+4;break}}else{s=f[g+(o<<2)>>2]|0;if(!(1<<(s&31)&f[i+(s>>>5<<2)>>2]))break;s=f[h>>2]|0;if((s|0)==(f[m>>2]|0)){bOb(c,e);break}else{f[s>>2]=r;f[h>>2]=(f[h>>2]|0)+4;break}}}while(0);if((o|0)<(f[l>>2]|0))o=o+1|0;else break}}o=f[a+28>>2]|0;if((o|0)!=-1)j1b(b+o|0,f[k>>2]|0,f[a+44>>2]|0,c);B3b(f[c>>2]|0,f[h>>2]|0);u=d;return}function P1b(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;e=u;u=u+16|0;g=e;h=d+48|0;i=a+4|0;j=f[i>>2]|0;if((f[h>>2]|0)!=(j|0))h3b(j,d,511225,510114);if((f[d+32>>2]|0)==3)h3b(f[i>>2]|0,d,511225,510873);j=f[d+24>>2]|0;if(j|0?(f[j>>2]|0)!=2:0){f[g>>2]=110384;f[g+4>>2]=1962;b[g+8>>0]=0;f[g+12>>2]=d;xLb(j,g)}if((f[151812+(f[d+28>>2]<<2)>>2]|0)!=1)k3b(f[i>>2]|0,d,511225,1);if(b[d+38>>0]|0){k=ncc(c+(f[a+28>>2]|0)|0,f[d+40>>2]|0,f[d+80>>2]|0)|0;u=e;return k|0}i=f[d+52>>2]|0;do if(i){g=(i-(f[(f[i+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((g<<2)+(f[a+32>>2]|0))>>2]|0)==(f[d+40>>2]|0)){l=c;m=(f[a+12>>2]|0)+((f[(f[h>>2]|0)+52>>2]|0)+g<<2)|0;break}else{l=f[a+8>>2]|0;m=(f[a+12>>2]|0)+(((d-(f[(f[h>>2]|0)+20>>2]|0)|0)/88|0)<<2)|0;break}}else{l=c;m=(f[a+12>>2]|0)+(((d-(f[(f[h>>2]|0)+20>>2]|0)|0)/88|0)<<2)|0}while(0);k=f[l+(f[m>>2]|0)>>2]|0;u=e;return k|0}function Q1b(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=u;u=u+16|0;g=e;h=d+48|0;i=a+4|0;j=f[i>>2]|0;if((f[h>>2]|0)!=(j|0))h3b(j,d,511216,510114);if((f[d+32>>2]|0)==3)h3b(f[i>>2]|0,d,511216,510873);j=f[d+24>>2]|0;if(j|0?(f[j>>2]|0)!=2:0){f[g>>2]=110384;f[g+4>>2]=1962;b[g+8>>0]=0;f[g+12>>2]=d;xLb(j,g)}if((f[151812+(f[d+28>>2]<<2)>>2]|0)!=2)k3b(f[i>>2]|0,d,511216,2);if(b[d+38>>0]|0){i=d+80|0;g=ucc(c+(f[a+28>>2]|0)|0,f[d+40>>2]|0,f[i>>2]|0,f[i+4>>2]|0)|0;k=J;l=g;J=k;u=e;return l|0}g=f[d+52>>2]|0;do if(g){i=(g-(f[(f[g+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((i<<2)+(f[a+32>>2]|0))>>2]|0)==(f[d+40>>2]|0)){m=c;n=(f[a+12>>2]|0)+((f[(f[h>>2]|0)+52>>2]|0)+i<<2)|0;break}else{m=f[a+8>>2]|0;n=(f[a+12>>2]|0)+(((d-(f[(f[h>>2]|0)+20>>2]|0)|0)/88|0)<<2)|0;break}}else{m=c;n=(f[a+12>>2]|0)+(((d-(f[(f[h>>2]|0)+20>>2]|0)|0)/88|0)<<2)|0}while(0);h=m+(f[n>>2]|0)|0;k=f[h+4>>2]|0;l=f[h>>2]|0;J=k;u=e;return l|0}function R1b(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;e=u;u=u+16|0;g=e;h=d+48|0;i=a+4|0;j=f[i>>2]|0;if((f[h>>2]|0)!=(j|0))h3b(j,d,511206,510114);if((f[d+32>>2]|0)==3)h3b(f[i>>2]|0,d,511206,510873);j=f[d+24>>2]|0;if(j|0?(f[j>>2]|0)!=2:0){f[g>>2]=110384;f[g+4>>2]=1962;b[g+8>>0]=0;f[g+12>>2]=d;xLb(j,g)}if((f[151812+(f[d+28>>2]<<2)>>2]|0)!=3)k3b(f[i>>2]|0,d,511206,3);if(b[d+38>>0]|0){k=Acc(c+(f[a+28>>2]|0)|0,f[d+40>>2]|0,f[d+80>>2]|0)|0;u=e;return k|0}i=f[d+52>>2]|0;do if(i){g=(i-(f[(f[i+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((g<<2)+(f[a+32>>2]|0))>>2]|0)==(f[d+40>>2]|0)){l=c;m=(f[a+12>>2]|0)+((f[(f[h>>2]|0)+52>>2]|0)+g<<2)|0;break}else{l=f[a+8>>2]|0;m=(f[a+12>>2]|0)+(((d-(f[(f[h>>2]|0)+20>>2]|0)|0)/88|0)<<2)|0;break}}else{l=c;m=(f[a+12>>2]|0)+(((d-(f[(f[h>>2]|0)+20>>2]|0)|0)/88|0)<<2)|0}while(0);k=f[l+(f[m>>2]|0)>>2]|0;u=e;return k|0}function S1b(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=u;u=u+16|0;g=e;h=d+48|0;i=a+4|0;j=f[i>>2]|0;if((f[h>>2]|0)!=(j|0))h3b(j,d,511196,510114);if((f[d+32>>2]|0)==3)h3b(f[i>>2]|0,d,511196,510873);j=f[d+24>>2]|0;if(j|0?(f[j>>2]|0)!=2:0){f[g>>2]=110384;f[g+4>>2]=1962;b[g+8>>0]=0;f[g+12>>2]=d;xLb(j,g)}if((f[151812+(f[d+28>>2]<<2)>>2]|0)!=4)k3b(f[i>>2]|0,d,511196,4);if(b[d+38>>0]|0){i=d+80|0;g=Gcc(c+(f[a+28>>2]|0)|0,f[d+40>>2]|0,f[i>>2]|0,f[i+4>>2]|0)|0;k=J;l=g;J=k;u=e;return l|0}g=f[d+52>>2]|0;do if(g){i=(g-(f[(f[g+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((i<<2)+(f[a+32>>2]|0))>>2]|0)==(f[d+40>>2]|0)){m=c;n=(f[a+12>>2]|0)+((f[(f[h>>2]|0)+52>>2]|0)+i<<2)|0;break}else{m=f[a+8>>2]|0;n=(f[a+12>>2]|0)+(((d-(f[(f[h>>2]|0)+20>>2]|0)|0)/88|0)<<2)|0;break}}else{m=c;n=(f[a+12>>2]|0)+(((d-(f[(f[h>>2]|0)+20>>2]|0)|0)/88|0)<<2)|0}while(0);h=m+(f[n>>2]|0)|0;k=f[h+4>>2]|0;l=f[h>>2]|0;J=k;u=e;return l|0}function T1b(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0.0,l=0,m=0;e=u;u=u+16|0;g=e;h=d+48|0;i=a+4|0;j=f[i>>2]|0;if((f[h>>2]|0)!=(j|0))h3b(j,d,511187,510114);if((f[d+32>>2]|0)==3)h3b(f[i>>2]|0,d,511187,510873);j=f[d+24>>2]|0;if(j|0?(f[j>>2]|0)!=2:0){f[g>>2]=110384;f[g+4>>2]=1962;b[g+8>>0]=0;f[g+12>>2]=d;xLb(j,g)}if((f[151812+(f[d+28>>2]<<2)>>2]|0)!=6)k3b(f[i>>2]|0,d,511187,6);if(b[d+38>>0]|0){k=+Mcc(c+(f[a+28>>2]|0)|0,f[d+40>>2]|0,+n[d+80>>2]);u=e;return +k}i=f[d+52>>2]|0;do if(i){g=(i-(f[(f[i+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((g<<2)+(f[a+32>>2]|0))>>2]|0)==(f[d+40>>2]|0)){l=c;m=(f[a+12>>2]|0)+((f[(f[h>>2]|0)+52>>2]|0)+g<<2)|0;break}else{l=f[a+8>>2]|0;m=(f[a+12>>2]|0)+(((d-(f[(f[h>>2]|0)+20>>2]|0)|0)/88|0)<<2)|0;break}}else{l=c;m=(f[a+12>>2]|0)+(((d-(f[(f[h>>2]|0)+20>>2]|0)|0)/88|0)<<2)|0}while(0);k=+n[l+(f[m>>2]|0)>>2];u=e;return +k}function U1b(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0.0,l=0,m=0;e=u;u=u+16|0;g=e;h=d+48|0;i=a+4|0;j=f[i>>2]|0;if((f[h>>2]|0)!=(j|0))h3b(j,d,511177,510114);if((f[d+32>>2]|0)==3)h3b(f[i>>2]|0,d,511177,510873);j=f[d+24>>2]|0;if(j|0?(f[j>>2]|0)!=2:0){f[g>>2]=110384;f[g+4>>2]=1962;b[g+8>>0]=0;f[g+12>>2]=d;xLb(j,g)}if((f[151812+(f[d+28>>2]<<2)>>2]|0)!=5)k3b(f[i>>2]|0,d,511177,5);if(b[d+38>>0]|0){k=+Scc(c+(f[a+28>>2]|0)|0,f[d+40>>2]|0,+p[d+80>>3]);u=e;return +k}i=f[d+52>>2]|0;do if(i){g=(i-(f[(f[i+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((g<<2)+(f[a+32>>2]|0))>>2]|0)==(f[d+40>>2]|0)){l=c;m=(f[a+12>>2]|0)+((f[(f[h>>2]|0)+52>>2]|0)+g<<2)|0;break}else{l=f[a+8>>2]|0;m=(f[a+12>>2]|0)+(((d-(f[(f[h>>2]|0)+20>>2]|0)|0)/88|0)<<2)|0;break}}else{l=c;m=(f[a+12>>2]|0)+(((d-(f[(f[h>>2]|0)+20>>2]|0)|0)/88|0)<<2)|0}while(0);k=+p[l+(f[m>>2]|0)>>3];u=e;return +k}function V1b(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;e=u;u=u+16|0;g=e;h=d+48|0;i=a+4|0;j=f[i>>2]|0;if((f[h>>2]|0)!=(j|0))h3b(j,d,511169,510114);if((f[d+32>>2]|0)==3)h3b(f[i>>2]|0,d,511169,510873);j=f[d+24>>2]|0;if(j|0?(f[j>>2]|0)!=2:0){f[g>>2]=110384;f[g+4>>2]=1962;b[g+8>>0]=0;f[g+12>>2]=d;xLb(j,g)}if((f[151812+(f[d+28>>2]<<2)>>2]|0)!=7)k3b(f[i>>2]|0,d,511169,7);if(b[d+38>>0]|0){k=Ycc(c+(f[a+28>>2]|0)|0,f[d+40>>2]|0,(b[d+80>>0]|0)!=0)|0;u=e;return k|0}i=f[d+52>>2]|0;do if(i){g=(i-(f[(f[i+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((g<<2)+(f[a+32>>2]|0))>>2]|0)==(f[d+40>>2]|0)){l=c;m=(f[a+12>>2]|0)+((f[(f[h>>2]|0)+52>>2]|0)+g<<2)|0;break}else{l=f[a+8>>2]|0;m=(f[a+12>>2]|0)+(((d-(f[(f[h>>2]|0)+20>>2]|0)|0)/88|0)<<2)|0;break}}else{l=c;m=(f[a+12>>2]|0)+(((d-(f[(f[h>>2]|0)+20>>2]|0)|0)/88|0)<<2)|0}while(0);k=(b[l+(f[m>>2]|0)>>0]|0)!=0;u=e;return k|0}function W1b(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0;g=u;u=u+16|0;h=g;i=e+48|0;j=c+4|0;k=f[j>>2]|0;if((f[i>>2]|0)!=(k|0))h3b(k,e,511159,510114);if((f[e+32>>2]|0)==3)h3b(f[j>>2]|0,e,511159,510873);k=f[e+24>>2]|0;if(k|0?(f[k>>2]|0)!=2:0){f[h>>2]=110384;f[h+4>>2]=1962;b[h+8>>0]=0;f[h+12>>2]=e;xLb(k,h)}if((f[151812+(f[e+28>>2]<<2)>>2]|0)!=9)k3b(f[j>>2]|0,e,511159,9);if(b[e+38>>0]|0){ouc(a,jdc(d+(f[c+28>>2]|0)|0,f[e+40>>2]|0,f[e+80>>2]|0)|0);u=g;return}j=f[e+52>>2]|0;do if(j){h=(j-(f[(f[j+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[d+((h<<2)+(f[c+32>>2]|0))>>2]|0)==(f[e+40>>2]|0)){l=d;m=(f[c+12>>2]|0)+((f[(f[i>>2]|0)+52>>2]|0)+h<<2)|0;break}else{l=f[c+8>>2]|0;m=(f[c+12>>2]|0)+(((e-(f[(f[i>>2]|0)+20>>2]|0)|0)/88|0)<<2)|0;break}}else{l=d;m=(f[c+12>>2]|0)+(((e-(f[(f[i>>2]|0)+20>>2]|0)|0)/88|0)<<2)|0}while(0);ouc(a,f[l+(f[m>>2]|0)>>2]|0);u=g;return}function X1b(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;d=Y1b(a,b,c)|0;return nQb(uQb(c)|0,d)|0}function Y1b(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;e=u;u=u+16|0;g=e;h=d+48|0;i=a+4|0;j=f[i>>2]|0;if((f[h>>2]|0)!=(j|0))h3b(j,d,511146,510114);if((f[d+32>>2]|0)==3)h3b(f[i>>2]|0,d,511146,510873);j=f[d+24>>2]|0;if(j|0?(f[j>>2]|0)!=2:0){f[g>>2]=110384;f[g+4>>2]=1962;b[g+8>>0]=0;f[g+12>>2]=d;xLb(j,g)}if((f[151812+(f[d+28>>2]<<2)>>2]|0)!=8)k3b(f[i>>2]|0,d,511146,8);if(b[d+38>>0]|0){i=c+(f[a+28>>2]|0)|0;g=f[d+40>>2]|0;j=(sQb(d)|0)+8|0;k=edc(i,g,f[j>>2]|0)|0;u=e;return k|0}j=f[d+52>>2]|0;do if(j){g=(j-(f[(f[j+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((g<<2)+(f[a+32>>2]|0))>>2]|0)==(f[d+40>>2]|0)){l=c;m=(f[a+12>>2]|0)+((f[(f[h>>2]|0)+52>>2]|0)+g<<2)|0;break}else{l=f[a+8>>2]|0;m=(f[a+12>>2]|0)+(((d-(f[(f[h>>2]|0)+20>>2]|0)|0)/88|0)<<2)|0;break}}else{l=c;m=(f[a+12>>2]|0)+(((d-(f[(f[h>>2]|0)+20>>2]|0)|0)/88|0)<<2)|0}while(0);k=f[l+(f[m>>2]|0)>>2]|0;u=e;return k|0}function Z1b(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;g=u;u=u+16|0;h=g;i=d+48|0;j=a+4|0;k=f[j>>2]|0;if((f[i>>2]|0)!=(k|0))h3b(k,d,511135,510114);if((f[d+32>>2]|0)==3)h3b(f[j>>2]|0,d,511135,510873);k=f[d+24>>2]|0;if(k|0?(f[k>>2]|0)!=2:0){f[h>>2]=110384;f[h+4>>2]=1962;b[h+8>>0]=0;f[h+12>>2]=d;xLb(k,h)}if((f[151812+(f[d+28>>2]<<2)>>2]|0)!=10)k3b(f[j>>2]|0,d,511135,10);if(!e)l=f[a+48>>2]|0;else l=e;if(b[d+38>>0]|0){e=c+(f[a+28>>2]|0)|0;j=f[d+40>>2]|0;m=l1b(e,j,tQb(d)|0,l)|0;u=g;return m|0}l=f[d+52>>2]|0;do if(l){j=(l-(f[(f[l+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((j<<2)+(f[a+32>>2]|0))>>2]|0)==(f[d+40>>2]|0)){e=f[i>>2]|0;h=f[a+12>>2]|0;n=c;o=h+((f[e+52>>2]|0)+j<<2)|0;p=e;q=h;break}else{h=f[a+12>>2]|0;e=f[i>>2]|0;n=f[a+8>>2]|0;o=h+(((d-(f[e+20>>2]|0)|0)/88|0)<<2)|0;p=e;q=h;break}}else{h=f[a+12>>2]|0;e=f[i>>2]|0;n=c;o=h+(((d-(f[e+20>>2]|0)|0)/88|0)<<2)|0;p=e;q=h}while(0);c=f[n+(f[o>>2]|0)>>2]|0;if(c|0){m=c;u=g;return m|0}m=f[(f[a+8>>2]|0)+(f[q+(((d-(f[p+20>>2]|0)|0)/88|0)<<2)>>2]|0)>>2]|0;u=g;return m|0}function _1b(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0;e=u;u=u+16|0;g=e;h=d+48|0;i=a+4|0;j=f[i>>2]|0;if((f[h>>2]|0)!=(j|0))h3b(j,d,511116,510114);if((f[d+32>>2]|0)==3)h3b(f[i>>2]|0,d,511116,510873);j=f[d+24>>2]|0;if(j|0?(f[j>>2]|0)!=2:0){f[g>>2]=110384;f[g+4>>2]=1962;b[g+8>>0]=0;f[g+12>>2]=d;xLb(j,g)}if((f[151812+(f[d+28>>2]<<2)>>2]|0)!=9)k3b(f[i>>2]|0,d,511116,9);if(b[d+38>>0]|0){k=jdc(c+(f[a+28>>2]|0)|0,f[d+40>>2]|0,f[d+80>>2]|0)|0;u=e;return k|0}i=f[d+52>>2]|0;do if(i){g=(i-(f[(f[i+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((g<<2)+(f[a+32>>2]|0))>>2]|0)==(f[d+40>>2]|0)){l=c;m=(f[a+12>>2]|0)+((f[(f[h>>2]|0)+52>>2]|0)+g<<2)|0;break}else{l=f[a+8>>2]|0;m=(f[a+12>>2]|0)+(((d-(f[(f[h>>2]|0)+20>>2]|0)|0)/88|0)<<2)|0;break}}else{l=c;m=(f[a+12>>2]|0)+(((d-(f[(f[h>>2]|0)+20>>2]|0)|0)/88|0)<<2)|0}while(0);k=f[l+(f[m>>2]|0)>>2]|0;u=e;return k|0}function $1b(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0;g=u;u=u+32|0;h=g+8|0;i=g;f[i>>2]=e;e=a+4|0;j=f[e>>2]|0;if((f[d+48>>2]|0)!=(j|0))h3b(j,d,511107,510114);if((f[d+32>>2]|0)==3)h3b(f[e>>2]|0,d,511107,510873);j=d+24|0;k=f[j>>2]|0;if(k|0?(f[k>>2]|0)!=2:0){f[h>>2]=110384;f[h+4>>2]=1962;b[h+8>>0]=0;f[h+12>>2]=d;xLb(k,h)}k=d+28|0;if((f[151812+(f[k>>2]<<2)>>2]|0)!=1)k3b(f[e>>2]|0,d,511107,1);if(!(b[d+38>>0]|0)){s3b(a,c,d,i);u=g;return}e=c+(f[a+28>>2]|0)|0;a=f[d+40>>2]|0;c=f[j>>2]|0;if(c|0?(f[c>>2]|0)!=2:0){f[h>>2]=110384;f[h+4>>2]=1962;b[h+8>>0]=0;f[h+12>>2]=d;xLb(c,h)}occ(e,a,f[k>>2]&255,f[i>>2]|0,d);u=g;return}function a2b(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0;h=u;u=u+32|0;i=h+8|0;j=h;k=j;f[k>>2]=e;f[k+4>>2]=g;g=a+4|0;k=f[g>>2]|0;if((f[d+48>>2]|0)!=(k|0))h3b(k,d,511098,510114);if((f[d+32>>2]|0)==3)h3b(f[g>>2]|0,d,511098,510873);k=d+24|0;e=f[k>>2]|0;if(e|0?(f[e>>2]|0)!=2:0){f[i>>2]=110384;f[i+4>>2]=1962;b[i+8>>0]=0;f[i+12>>2]=d;xLb(e,i)}e=d+28|0;if((f[151812+(f[e>>2]<<2)>>2]|0)!=2)k3b(f[g>>2]|0,d,511098,2);if(!(b[d+38>>0]|0)){y3b(a,c,d,j);u=h;return}g=c+(f[a+28>>2]|0)|0;a=f[d+40>>2]|0;c=f[k>>2]|0;if(c|0?(f[c>>2]|0)!=2:0){f[i>>2]=110384;f[i+4>>2]=1962;b[i+8>>0]=0;f[i+12>>2]=d;xLb(c,i)}i=j;vcc(g,a,f[e>>2]&255,f[i>>2]|0,f[i+4>>2]|0,d);u=h;return}function b2b(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0;g=u;u=u+32|0;h=g+8|0;i=g;f[i>>2]=e;e=a+4|0;j=f[e>>2]|0;if((f[d+48>>2]|0)!=(j|0))h3b(j,d,511088,510114);if((f[d+32>>2]|0)==3)h3b(f[e>>2]|0,d,511088,510873);j=d+24|0;k=f[j>>2]|0;if(k|0?(f[k>>2]|0)!=2:0){f[h>>2]=110384;f[h+4>>2]=1962;b[h+8>>0]=0;f[h+12>>2]=d;xLb(k,h)}k=d+28|0;if((f[151812+(f[k>>2]<<2)>>2]|0)!=3)k3b(f[e>>2]|0,d,511088,3);if(!(b[d+38>>0]|0)){x3b(a,c,d,i);u=g;return}e=c+(f[a+28>>2]|0)|0;a=f[d+40>>2]|0;c=f[j>>2]|0;if(c|0?(f[c>>2]|0)!=2:0){f[h>>2]=110384;f[h+4>>2]=1962;b[h+8>>0]=0;f[h+12>>2]=d;xLb(c,h)}Bcc(e,a,f[k>>2]&255,f[i>>2]|0,d);u=g;return}function c2b(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0;h=u;u=u+32|0;i=h+8|0;j=h;k=j;f[k>>2]=e;f[k+4>>2]=g;g=a+4|0;k=f[g>>2]|0;if((f[d+48>>2]|0)!=(k|0))h3b(k,d,511078,510114);if((f[d+32>>2]|0)==3)h3b(f[g>>2]|0,d,511078,510873);k=d+24|0;e=f[k>>2]|0;if(e|0?(f[e>>2]|0)!=2:0){f[i>>2]=110384;f[i+4>>2]=1962;b[i+8>>0]=0;f[i+12>>2]=d;xLb(e,i)}e=d+28|0;if((f[151812+(f[e>>2]<<2)>>2]|0)!=4)k3b(f[g>>2]|0,d,511078,4);if(!(b[d+38>>0]|0)){w3b(a,c,d,j);u=h;return}g=c+(f[a+28>>2]|0)|0;a=f[d+40>>2]|0;c=f[k>>2]|0;if(c|0?(f[c>>2]|0)!=2:0){f[i>>2]=110384;f[i+4>>2]=1962;b[i+8>>0]=0;f[i+12>>2]=d;xLb(c,i)}i=j;Hcc(g,a,f[e>>2]&255,f[i>>2]|0,f[i+4>>2]|0,d);u=h;return}function d2b(a,c,d,e){a=a|0;c=c|0;d=d|0;e=+e;var g=0,h=0,i=0,j=0,k=0,l=0;g=u;u=u+32|0;h=g+8|0;i=g;n[i>>2]=e;j=a+4|0;k=f[j>>2]|0;if((f[d+48>>2]|0)!=(k|0))h3b(k,d,511069,510114);if((f[d+32>>2]|0)==3)h3b(f[j>>2]|0,d,511069,510873);k=d+24|0;l=f[k>>2]|0;if(l|0?(f[l>>2]|0)!=2:0){f[h>>2]=110384;f[h+4>>2]=1962;b[h+8>>0]=0;f[h+12>>2]=d;xLb(l,h)}l=d+28|0;if((f[151812+(f[l>>2]<<2)>>2]|0)!=6)k3b(f[j>>2]|0,d,511069,6);if(!(b[d+38>>0]|0)){v3b(a,c,d,i);u=g;return}j=c+(f[a+28>>2]|0)|0;a=f[d+40>>2]|0;c=f[k>>2]|0;if(c|0?(f[c>>2]|0)!=2:0){f[h>>2]=110384;f[h+4>>2]=1962;b[h+8>>0]=0;f[h+12>>2]=d;xLb(c,h)}Ncc(j,a,f[l>>2]&255,+n[i>>2],d);u=g;return}function e2b(a,c,d,e){a=a|0;c=c|0;d=d|0;e=+e;var g=0,h=0,i=0,j=0,k=0,l=0;g=u;u=u+32|0;h=g+8|0;i=g;p[i>>3]=e;j=a+4|0;k=f[j>>2]|0;if((f[d+48>>2]|0)!=(k|0))h3b(k,d,511059,510114);if((f[d+32>>2]|0)==3)h3b(f[j>>2]|0,d,511059,510873);k=d+24|0;l=f[k>>2]|0;if(l|0?(f[l>>2]|0)!=2:0){f[h>>2]=110384;f[h+4>>2]=1962;b[h+8>>0]=0;f[h+12>>2]=d;xLb(l,h)}l=d+28|0;if((f[151812+(f[l>>2]<<2)>>2]|0)!=5)k3b(f[j>>2]|0,d,511059,5);if(!(b[d+38>>0]|0)){u3b(a,c,d,i);u=g;return}j=c+(f[a+28>>2]|0)|0;a=f[d+40>>2]|0;c=f[k>>2]|0;if(c|0?(f[c>>2]|0)!=2:0){f[h>>2]=110384;f[h+4>>2]=1962;b[h+8>>0]=0;f[h+12>>2]=d;xLb(c,h)}Tcc(j,a,f[l>>2]&255,+p[i>>3],d);u=g;return}function f2b(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0;g=u;u=u+32|0;h=g;i=g+16|0;b[i>>0]=e&1;e=a+4|0;j=f[e>>2]|0;if((f[d+48>>2]|0)!=(j|0))h3b(j,d,511051,510114);if((f[d+32>>2]|0)==3)h3b(f[e>>2]|0,d,511051,510873);j=d+24|0;k=f[j>>2]|0;if(k|0?(f[k>>2]|0)!=2:0){f[h>>2]=110384;f[h+4>>2]=1962;b[h+8>>0]=0;f[h+12>>2]=d;xLb(k,h)}k=d+28|0;if((f[151812+(f[k>>2]<<2)>>2]|0)!=7)k3b(f[e>>2]|0,d,511051,7);if(!(b[d+38>>0]|0)){t3b(a,c,d,i);u=g;return}e=c+(f[a+28>>2]|0)|0;a=f[d+40>>2]|0;c=f[j>>2]|0;if(c|0?(f[c>>2]|0)!=2:0){f[h>>2]=110384;f[h+4>>2]=1962;b[h+8>>0]=0;f[h+12>>2]=d;xLb(c,h)}Zcc(e,a,f[k>>2]&255,(b[i>>0]|0)!=0,d);u=g;return}function g2b(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;g=u;u=u+16|0;h=g;i=d+48|0;j=a+4|0;k=f[j>>2]|0;if((f[i>>2]|0)!=(k|0))h3b(k,d,511041,510114);if((f[d+32>>2]|0)==3)h3b(f[j>>2]|0,d,511041,510873);k=d+24|0;l=f[k>>2]|0;if(l|0?(f[l>>2]|0)!=2:0){f[h>>2]=110384;f[h+4>>2]=1962;b[h+8>>0]=0;f[h+12>>2]=d;xLb(l,h)}l=d+28|0;if((f[151812+(f[l>>2]<<2)>>2]|0)!=9)k3b(f[j>>2]|0,d,511041,9);j=d+38|0;if(b[j>>0]|0){m=c+(f[a+28>>2]|0)|0;n=f[d+40>>2]|0;o=f[k>>2]|0;if(o|0?(f[o>>2]|0)!=2:0){f[h>>2]=110384;f[h+4>>2]=1962;b[h+8>>0]=0;f[h+12>>2]=d;xLb(o,h)}ruc(kdc(m,n,f[l>>2]&255,d)|0,e)|0;u=g;return}l=a+12|0;n=f[l>>2]|0;m=d;h=f[(f[a+8>>2]|0)+(f[n+(((m-(f[(f[i>>2]|0)+20>>2]|0)|0)/88|0)<<2)>>2]|0)>>2]|0;o=d+52|0;k=f[o>>2]|0;a:do if(!k){p=n;q=33}else{r=a+32|0;s=d+40|0;do if((f[c+((((k-(f[(f[k+8>>2]|0)+24>>2]|0)|0)/28|0)<<2)+(f[r>>2]|0))>>2]|0)==(f[s>>2]|0)){t=k;v=n}else{H1b(a,c,k);w=f[o>>2]|0;if(w|0){x=(w-(f[(f[w+8>>2]|0)+24>>2]|0)|0)/28|0;f[c+((x<<2)+(f[r>>2]|0))>>2]=f[s>>2];y=f[l>>2]|0;f[c+(f[y+(x+(f[(f[i>>2]|0)+52>>2]|0)<<2)>>2]|0)>>2]=h;t=w;v=y;break}y=f[a+20>>2]|0;if((y|0)==-1)z=b[j>>0]|0;else{w=f[a+16>>2]|0;x=b[j>>0]|0;do if(x<<24>>24){A=f[d+56>>2]|0;if(!A){B=(f[d+20>>2]|0)+80|0;break}else{B=A+40|0;break}}else B=(f[i>>2]|0)+20|0;while(0);A=f[w+(((m-(f[B>>2]|0)|0)/88|0)<<2)>>2]|0;C=c+y+(A>>>5<<2)|0;f[C>>2]=1<<(A&31)|f[C>>2];z=x}C=f[l>>2]|0;do if(z<<24>>24){A=f[d+56>>2]|0;if(!A){D=(f[d+20>>2]|0)+80|0;break}else{D=A+40|0;break}}else D=(f[i>>2]|0)+20|0;while(0);f[c+(f[C+(((m-(f[D>>2]|0)|0)/88|0)<<2)>>2]|0)>>2]=h;p=C;q=33;break a}while(0);x=(t-(f[(f[t+8>>2]|0)+24>>2]|0)|0)/28|0;f[c+((x<<2)+(f[r>>2]|0))>>2]=f[s>>2];E=c;F=v+(x+(f[(f[i>>2]|0)+52>>2]|0)<<2)|0}while(0);if((q|0)==33){q=f[a+20>>2]|0;if((q|0)==-1)G=b[j>>0]|0;else{v=f[a+16>>2]|0;t=b[j>>0]|0;do if(t<<24>>24){j=f[d+56>>2]|0;if(!j){H=(f[d+20>>2]|0)+80|0;break}else{H=j+40|0;break}}else H=(f[i>>2]|0)+20|0;while(0);j=f[v+(((m-(f[H>>2]|0)|0)/88|0)<<2)>>2]|0;H=c+q+(j>>>5<<2)|0;f[H>>2]=1<<(j&31)|f[H>>2];G=t}do if(G<<24>>24){t=f[d+56>>2]|0;if(!t){I=(f[d+20>>2]|0)+80|0;break}else{I=t+40|0;break}}else I=(f[i>>2]|0)+20|0;while(0);E=c;F=p+(((m-(f[I>>2]|0)|0)/88|0)<<2)|0}I=E+(f[F>>2]|0)|0;F=f[E+(f[a+24>>2]|0)>>2]|0;a=F&-2;if(!(F&1))J=a;else J=f[a+4>>2]|0;a=f[I>>2]|0;if((a|0)==(h|0)){QGa(I,J,e);u=g;return}else{ruc(a,e)|0;u=g;return}}function h2b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;e=f[d+12>>2]|0;if((e|0)!=(uQb(c)|0))o3b(f[a+4>>2]|0,c,511033,d);r3b(a,b,c,f[d+8>>2]|0);return}function i2b(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0;g=u;u=u+48|0;h=g+24|0;i=g;j=g+40|0;k=a+4|0;l=f[k>>2]|0;if((f[d+48>>2]|0)!=(l|0))h3b(l,d,510965,510114);if((f[d+32>>2]|0)==3)h3b(f[k>>2]|0,d,510965,510873);l=f[d+24>>2]|0;if(l|0?(f[l>>2]|0)!=2:0){f[h>>2]=110384;f[h+4>>2]=1962;b[h+8>>0]=0;f[h+12>>2]=d;xLb(l,h)}if((f[151812+(f[d+28>>2]<<2)>>2]|0)!=8)k3b(f[k>>2]|0,d,510965,8);if((f[(f[(f[k>>2]|0)+8>>2]|0)+44>>2]|0)==3){m=e;r3b(a,c,d,m);u=g;return}if(mQb(uQb(d)|0,e)|0){m=e;r3b(a,c,d,m);u=g;return}iLb(i,2,508854,1297);k=dLb(gLb(dLb(i,510978)|0,e)|0,510223)|0;fLb(j,eLb(k,f[d+4>>2]|0)|0);jLb(i);i=(sQb(d)|0)+8|0;m=f[i>>2]|0;r3b(a,c,d,m);u=g;return}function j2b(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;g=u;u=u+16|0;h=g;i=d+48|0;j=a+4|0;k=f[j>>2]|0;if((f[i>>2]|0)!=(k|0))h3b(k,d,510950,510114);if((f[d+32>>2]|0)==3)h3b(f[j>>2]|0,d,510950,510873);k=f[d+24>>2]|0;if(k|0?(f[k>>2]|0)!=2:0){f[h>>2]=110384;f[h+4>>2]=1962;b[h+8>>0]=0;f[h+12>>2]=d;xLb(k,h)}if((f[151812+(f[d+28>>2]<<2)>>2]|0)!=10)k3b(f[j>>2]|0,d,510950,10);if(!e)l=f[a+48>>2]|0;else l=e;e=d+38|0;if(b[e>>0]|0){m=m1b(c+(f[a+28>>2]|0)|0,d,l)|0;u=g;return m|0}l=d+52|0;j=f[l>>2]|0;h=a+12|0;k=f[h>>2]|0;n=f[i>>2]|0;if(!j){o=c+(f[k+(((d-(f[n+20>>2]|0)|0)/88|0)<<2)>>2]|0)|0;p=f[a+20>>2]|0;if((p|0)==-1)q=o;else{r=f[(f[a+16>>2]|0)+(((d-(f[n+20>>2]|0)|0)/88|0)<<2)>>2]|0;s=c+p+(r>>>5<<2)|0;f[s>>2]=1<<(r&31)|f[s>>2];q=o}}else{o=a+32|0;s=d+40|0;if((f[c+((((j-(f[(f[j+8>>2]|0)+24>>2]|0)|0)/28|0)<<2)+(f[o>>2]|0))>>2]|0)==(f[s>>2]|0))q=c+(f[k+(((j-(f[(f[j+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[n+52>>2]|0)<<2)>>2]|0)|0;else{H1b(a,c,j);j=f[l>>2]|0;if(!j){l=f[a+20>>2]|0;if((l|0)==-1)t=b[e>>0]|0;else{n=f[a+16>>2]|0;k=b[e>>0]|0;do if(k<<24>>24){r=f[d+56>>2]|0;p=d;if(!r){v=p-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{v=p-(f[r+40>>2]|0)|0;break}}else v=d-(f[(f[i>>2]|0)+20>>2]|0)|0;while(0);r=f[n+(((v|0)/88|0)<<2)>>2]|0;v=c+l+(r>>>5<<2)|0;f[v>>2]=1<<(r&31)|f[v>>2];t=k}k=f[h>>2]|0;do if(t<<24>>24){v=f[d+56>>2]|0;r=d;if(!v){w=r-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{w=r-(f[v+40>>2]|0)|0;break}}else w=d-(f[(f[i>>2]|0)+20>>2]|0)|0;while(0);x=k+(((w|0)/88|0)<<2)|0;y=t;z=k}else{k=(j-(f[(f[j+8>>2]|0)+24>>2]|0)|0)/28|0;f[c+((k<<2)+(f[o>>2]|0))>>2]=f[s>>2];s=f[h>>2]|0;x=s+(k+(f[(f[i>>2]|0)+52>>2]|0)<<2)|0;y=b[e>>0]|0;z=s}s=c+(f[x>>2]|0)|0;x=f[a+8>>2]|0;do if(y<<24>>24){k=f[d+56>>2]|0;o=d;if(!k){A=o-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{A=o-(f[k+40>>2]|0)|0;break}}else A=d-(f[(f[i>>2]|0)+20>>2]|0)|0;while(0);y=f[x+(f[z+(((A|0)/88|0)<<2)>>2]|0)>>2]|0;A=f[(f[y>>2]|0)+16>>2]|0;z=di[f[(f[c>>2]|0)+20>>2]&1023](c)|0;x=Th[A&1023](y,z)|0;f[s>>2]=x;q=s}}s=f[q>>2]|0;if(s|0){m=s;u=g;return m|0}s=f[a+8>>2]|0;a=f[h>>2]|0;do if(b[e>>0]|0){h=f[d+56>>2]|0;x=d;if(!h){B=x-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{B=x-(f[h+40>>2]|0)|0;break}}else B=d-(f[(f[i>>2]|0)+20>>2]|0)|0;while(0);i=f[s+(f[a+(((B|0)/88|0)<<2)>>2]|0)>>2]|0;B=f[(f[i>>2]|0)+16>>2]|0;a=di[f[(f[c>>2]|0)+20>>2]&1023](c)|0;c=Th[B&1023](i,a)|0;f[q>>2]=c;m=c;u=g;return m|0}function k2b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;if(c|0?(e=di[f[(f[c>>2]|0)+20>>2]&1023](c)|0,(e|0)!=(di[f[(f[b>>2]|0)+20>>2]&1023](b)|0)):0){if((di[f[(f[c>>2]|0)+20>>2]&1023](c)|0)==0?di[f[(f[b>>2]|0)+20>>2]&1023](b)|0:0){V0b(di[f[(f[b>>2]|0)+20>>2]&1023](b)|0,c);q3b(a,b,c,d);return}e=j2b(a,b,d,0)|0;yh[f[(f[e>>2]|0)+72>>2]&2047](e,c);return}q3b(a,b,c,d);return}function l2b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0;e=p3b(a,b,c,d)|0;d=f[b+(f[a+24>>2]|0)>>2]|0;a=d&-2;if(!(d&1))g=a;else g=f[a+4>>2]|0;if(!((e|0)!=0&(g|0)!=0)){h=e;return h|0}g=di[f[(f[e>>2]|0)+12>>2]&1023](e)|0;yh[f[(f[g>>2]|0)+72>>2]&2047](g,e);h=g;return h|0}function m2b(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;g=u;u=u+16|0;h=g;i=d+48|0;j=a+4|0;k=f[j>>2]|0;if((f[i>>2]|0)!=(k|0))h3b(k,d,510841,510114);if((f[d+32>>2]|0)!=3)h3b(f[j>>2]|0,d,510841,509566);k=f[d+24>>2]|0;if(k|0?(f[k>>2]|0)!=2:0){f[h>>2]=110384;f[h+4>>2]=1962;b[h+8>>0]=0;f[h+12>>2]=d;xLb(k,h)}if((f[151812+(f[d+28>>2]<<2)>>2]|0)!=1)k3b(f[j>>2]|0,d,510841,1);if(b[d+38>>0]|0){l=qcc(c+(f[a+28>>2]|0)|0,f[d+40>>2]|0,e)|0;u=g;return l|0}j=f[d+52>>2]|0;do if(j){h=(j-(f[(f[j+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((h<<2)+(f[a+32>>2]|0))>>2]|0)==(f[d+40>>2]|0)){m=c;n=(f[a+12>>2]|0)+((f[(f[i>>2]|0)+52>>2]|0)+h<<2)|0;break}else{m=f[a+8>>2]|0;n=(f[a+12>>2]|0)+(((d-(f[(f[i>>2]|0)+20>>2]|0)|0)/88|0)<<2)|0;break}}else{m=c;n=(f[a+12>>2]|0)+(((d-(f[(f[i>>2]|0)+20>>2]|0)|0)/88|0)<<2)|0}while(0);l=f[(f[m+(f[n>>2]|0)+8>>2]|0)+4+(e<<2)>>2]|0;u=g;return l|0}function n2b(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;g=u;u=u+16|0;h=g;i=d+48|0;j=a+4|0;k=f[j>>2]|0;if((f[i>>2]|0)!=(k|0))h3b(k,d,510824,510114);if((f[d+32>>2]|0)!=3)h3b(f[j>>2]|0,d,510824,509566);k=f[d+24>>2]|0;if(k|0?(f[k>>2]|0)!=2:0){f[h>>2]=110384;f[h+4>>2]=1962;b[h+8>>0]=0;f[h+12>>2]=d;xLb(k,h)}if((f[151812+(f[d+28>>2]<<2)>>2]|0)!=2)k3b(f[j>>2]|0,d,510824,2);if(b[d+38>>0]|0){j=wcc(c+(f[a+28>>2]|0)|0,f[d+40>>2]|0,e)|0;l=J;m=j;J=l;u=g;return m|0}j=f[d+52>>2]|0;do if(j){h=(j-(f[(f[j+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((h<<2)+(f[a+32>>2]|0))>>2]|0)==(f[d+40>>2]|0)){n=c;o=(f[a+12>>2]|0)+((f[(f[i>>2]|0)+52>>2]|0)+h<<2)|0;break}else{n=f[a+8>>2]|0;o=(f[a+12>>2]|0)+(((d-(f[(f[i>>2]|0)+20>>2]|0)|0)/88|0)<<2)|0;break}}else{n=c;o=(f[a+12>>2]|0)+(((d-(f[(f[i>>2]|0)+20>>2]|0)|0)/88|0)<<2)|0}while(0);i=(f[n+(f[o>>2]|0)+8>>2]|0)+8+(e<<3)|0;l=f[i+4>>2]|0;m=f[i>>2]|0;J=l;u=g;return m|0}function o2b(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;g=u;u=u+16|0;h=g;i=d+48|0;j=a+4|0;k=f[j>>2]|0;if((f[i>>2]|0)!=(k|0))h3b(k,d,510806,510114);if((f[d+32>>2]|0)!=3)h3b(f[j>>2]|0,d,510806,509566);k=f[d+24>>2]|0;if(k|0?(f[k>>2]|0)!=2:0){f[h>>2]=110384;f[h+4>>2]=1962;b[h+8>>0]=0;f[h+12>>2]=d;xLb(k,h)}if((f[151812+(f[d+28>>2]<<2)>>2]|0)!=3)k3b(f[j>>2]|0,d,510806,3);if(b[d+38>>0]|0){l=Ccc(c+(f[a+28>>2]|0)|0,f[d+40>>2]|0,e)|0;u=g;return l|0}j=f[d+52>>2]|0;do if(j){h=(j-(f[(f[j+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((h<<2)+(f[a+32>>2]|0))>>2]|0)==(f[d+40>>2]|0)){m=c;n=(f[a+12>>2]|0)+((f[(f[i>>2]|0)+52>>2]|0)+h<<2)|0;break}else{m=f[a+8>>2]|0;n=(f[a+12>>2]|0)+(((d-(f[(f[i>>2]|0)+20>>2]|0)|0)/88|0)<<2)|0;break}}else{m=c;n=(f[a+12>>2]|0)+(((d-(f[(f[i>>2]|0)+20>>2]|0)|0)/88|0)<<2)|0}while(0);l=f[(f[m+(f[n>>2]|0)+8>>2]|0)+4+(e<<2)>>2]|0;u=g;return l|0}function p2b(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;g=u;u=u+16|0;h=g;i=d+48|0;j=a+4|0;k=f[j>>2]|0;if((f[i>>2]|0)!=(k|0))h3b(k,d,510788,510114);if((f[d+32>>2]|0)!=3)h3b(f[j>>2]|0,d,510788,509566);k=f[d+24>>2]|0;if(k|0?(f[k>>2]|0)!=2:0){f[h>>2]=110384;f[h+4>>2]=1962;b[h+8>>0]=0;f[h+12>>2]=d;xLb(k,h)}if((f[151812+(f[d+28>>2]<<2)>>2]|0)!=4)k3b(f[j>>2]|0,d,510788,4);if(b[d+38>>0]|0){j=Icc(c+(f[a+28>>2]|0)|0,f[d+40>>2]|0,e)|0;l=J;m=j;J=l;u=g;return m|0}j=f[d+52>>2]|0;do if(j){h=(j-(f[(f[j+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((h<<2)+(f[a+32>>2]|0))>>2]|0)==(f[d+40>>2]|0)){n=c;o=(f[a+12>>2]|0)+((f[(f[i>>2]|0)+52>>2]|0)+h<<2)|0;break}else{n=f[a+8>>2]|0;o=(f[a+12>>2]|0)+(((d-(f[(f[i>>2]|0)+20>>2]|0)|0)/88|0)<<2)|0;break}}else{n=c;o=(f[a+12>>2]|0)+(((d-(f[(f[i>>2]|0)+20>>2]|0)|0)/88|0)<<2)|0}while(0);i=(f[n+(f[o>>2]|0)+8>>2]|0)+8+(e<<3)|0;l=f[i+4>>2]|0;m=f[i>>2]|0;J=l;u=g;return m|0}function q2b(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0.0,m=0,o=0;g=u;u=u+16|0;h=g;i=d+48|0;j=a+4|0;k=f[j>>2]|0;if((f[i>>2]|0)!=(k|0))h3b(k,d,510771,510114);if((f[d+32>>2]|0)!=3)h3b(f[j>>2]|0,d,510771,509566);k=f[d+24>>2]|0;if(k|0?(f[k>>2]|0)!=2:0){f[h>>2]=110384;f[h+4>>2]=1962;b[h+8>>0]=0;f[h+12>>2]=d;xLb(k,h)}if((f[151812+(f[d+28>>2]<<2)>>2]|0)!=6)k3b(f[j>>2]|0,d,510771,6);if(b[d+38>>0]|0){l=+Occ(c+(f[a+28>>2]|0)|0,f[d+40>>2]|0,e);u=g;return +l}j=f[d+52>>2]|0;do if(j){h=(j-(f[(f[j+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((h<<2)+(f[a+32>>2]|0))>>2]|0)==(f[d+40>>2]|0)){m=c;o=(f[a+12>>2]|0)+((f[(f[i>>2]|0)+52>>2]|0)+h<<2)|0;break}else{m=f[a+8>>2]|0;o=(f[a+12>>2]|0)+(((d-(f[(f[i>>2]|0)+20>>2]|0)|0)/88|0)<<2)|0;break}}else{m=c;o=(f[a+12>>2]|0)+(((d-(f[(f[i>>2]|0)+20>>2]|0)|0)/88|0)<<2)|0}while(0);l=+n[(f[m+(f[o>>2]|0)+8>>2]|0)+4+(e<<2)>>2];u=g;return +l}function r2b(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0.0,m=0,n=0;g=u;u=u+16|0;h=g;i=d+48|0;j=a+4|0;k=f[j>>2]|0;if((f[i>>2]|0)!=(k|0))h3b(k,d,510753,510114);if((f[d+32>>2]|0)!=3)h3b(f[j>>2]|0,d,510753,509566);k=f[d+24>>2]|0;if(k|0?(f[k>>2]|0)!=2:0){f[h>>2]=110384;f[h+4>>2]=1962;b[h+8>>0]=0;f[h+12>>2]=d;xLb(k,h)}if((f[151812+(f[d+28>>2]<<2)>>2]|0)!=5)k3b(f[j>>2]|0,d,510753,5);if(b[d+38>>0]|0){l=+Ucc(c+(f[a+28>>2]|0)|0,f[d+40>>2]|0,e);u=g;return +l}j=f[d+52>>2]|0;do if(j){h=(j-(f[(f[j+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((h<<2)+(f[a+32>>2]|0))>>2]|0)==(f[d+40>>2]|0)){m=c;n=(f[a+12>>2]|0)+((f[(f[i>>2]|0)+52>>2]|0)+h<<2)|0;break}else{m=f[a+8>>2]|0;n=(f[a+12>>2]|0)+(((d-(f[(f[i>>2]|0)+20>>2]|0)|0)/88|0)<<2)|0;break}}else{m=c;n=(f[a+12>>2]|0)+(((d-(f[(f[i>>2]|0)+20>>2]|0)|0)/88|0)<<2)|0}while(0);l=+p[(f[m+(f[n>>2]|0)+8>>2]|0)+8+(e<<3)>>3];u=g;return +l}function s2b(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;g=u;u=u+16|0;h=g;i=d+48|0;j=a+4|0;k=f[j>>2]|0;if((f[i>>2]|0)!=(k|0))h3b(k,d,510737,510114);if((f[d+32>>2]|0)!=3)h3b(f[j>>2]|0,d,510737,509566);k=f[d+24>>2]|0;if(k|0?(f[k>>2]|0)!=2:0){f[h>>2]=110384;f[h+4>>2]=1962;b[h+8>>0]=0;f[h+12>>2]=d;xLb(k,h)}if((f[151812+(f[d+28>>2]<<2)>>2]|0)!=7)k3b(f[j>>2]|0,d,510737,7);if(b[d+38>>0]|0){l=_cc(c+(f[a+28>>2]|0)|0,f[d+40>>2]|0,e)|0;u=g;return l|0}j=f[d+52>>2]|0;do if(j){h=(j-(f[(f[j+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((h<<2)+(f[a+32>>2]|0))>>2]|0)==(f[d+40>>2]|0)){m=c;n=(f[a+12>>2]|0)+((f[(f[i>>2]|0)+52>>2]|0)+h<<2)|0;break}else{m=f[a+8>>2]|0;n=(f[a+12>>2]|0)+(((d-(f[(f[i>>2]|0)+20>>2]|0)|0)/88|0)<<2)|0;break}}else{m=c;n=(f[a+12>>2]|0)+(((d-(f[(f[i>>2]|0)+20>>2]|0)|0)/88|0)<<2)|0}while(0);l=(b[(f[m+(f[n>>2]|0)+8>>2]|0)+4+e>>0]|0)!=0;u=g;return l|0}function t2b(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0;h=u;u=u+16|0;i=h;j=e+48|0;k=c+4|0;l=f[k>>2]|0;if((f[j>>2]|0)!=(l|0))h3b(l,e,510719,510114);if((f[e+32>>2]|0)!=3)h3b(f[k>>2]|0,e,510719,509566);l=f[e+24>>2]|0;if(l|0?(f[l>>2]|0)!=2:0){f[i>>2]=110384;f[i+4>>2]=1962;b[i+8>>0]=0;f[i+12>>2]=e;xLb(l,i)}if((f[151812+(f[e+28>>2]<<2)>>2]|0)!=9)k3b(f[k>>2]|0,e,510719,9);if(b[e+38>>0]|0){ouc(a,ldc(d+(f[c+28>>2]|0)|0,f[e+40>>2]|0,g)|0);u=h;return}k=f[e+52>>2]|0;do if(k){i=(k-(f[(f[k+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[d+((i<<2)+(f[c+32>>2]|0))>>2]|0)==(f[e+40>>2]|0)){m=d;n=(f[c+12>>2]|0)+((f[(f[j>>2]|0)+52>>2]|0)+i<<2)|0;break}else{m=f[c+8>>2]|0;n=(f[c+12>>2]|0)+(((e-(f[(f[j>>2]|0)+20>>2]|0)|0)/88|0)<<2)|0;break}}else{m=d;n=(f[c+12>>2]|0)+(((e-(f[(f[j>>2]|0)+20>>2]|0)|0)/88|0)<<2)|0}while(0);ouc(a,f[(f[m+(f[n>>2]|0)+12>>2]|0)+4+(g<<2)>>2]|0);u=h;return}function u2b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;e=v2b(a,b,c,d)|0;return nQb(uQb(c)|0,e)|0}function v2b(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;g=u;u=u+16|0;h=g;i=d+48|0;j=a+4|0;k=f[j>>2]|0;if((f[i>>2]|0)!=(k|0))h3b(k,d,510698,510114);if((f[d+32>>2]|0)!=3)h3b(f[j>>2]|0,d,510698,509566);k=f[d+24>>2]|0;if(k|0?(f[k>>2]|0)!=2:0){f[h>>2]=110384;f[h+4>>2]=1962;b[h+8>>0]=0;f[h+12>>2]=d;xLb(k,h)}if((f[151812+(f[d+28>>2]<<2)>>2]|0)!=8)k3b(f[j>>2]|0,d,510698,8);if(b[d+38>>0]|0){l=gdc(c+(f[a+28>>2]|0)|0,f[d+40>>2]|0,e)|0;u=g;return l|0}j=f[d+52>>2]|0;do if(j){h=(j-(f[(f[j+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((h<<2)+(f[a+32>>2]|0))>>2]|0)==(f[d+40>>2]|0)){m=c;n=(f[a+12>>2]|0)+((f[(f[i>>2]|0)+52>>2]|0)+h<<2)|0;break}else{m=f[a+8>>2]|0;n=(f[a+12>>2]|0)+(((d-(f[(f[i>>2]|0)+20>>2]|0)|0)/88|0)<<2)|0;break}}else{m=c;n=(f[a+12>>2]|0)+(((d-(f[(f[i>>2]|0)+20>>2]|0)|0)/88|0)<<2)|0}while(0);l=f[(f[m+(f[n>>2]|0)+8>>2]|0)+4+(e<<2)>>2]|0;u=g;return l|0}function w2b(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;g=u;u=u+16|0;h=g;i=d+48|0;j=a+4|0;k=f[j>>2]|0;if((f[i>>2]|0)!=(k|0))h3b(k,d,510679,510114);if((f[d+32>>2]|0)!=3)h3b(f[j>>2]|0,d,510679,509566);k=d+24|0;l=f[k>>2]|0;if(l|0?(f[l>>2]|0)!=2:0){f[h>>2]=110384;f[h+4>>2]=1962;b[h+8>>0]=0;f[h+12>>2]=d;xLb(l,h)}l=d+28|0;if((f[151812+(f[l>>2]<<2)>>2]|0)!=10)k3b(f[j>>2]|0,d,510679,10);j=d+38|0;if(b[j>>0]|0){m=qdc(c+(f[a+28>>2]|0)|0,f[d+40>>2]|0,e)|0;u=g;return m|0}n=f[k>>2]|0;if(n|0?(f[n>>2]|0)!=2:0){f[h>>2]=110384;f[h+4>>2]=1962;b[h+8>>0]=0;f[h+12>>2]=d;xLb(n,h)}if((f[l>>2]|0)==11?rQb(d)|0:0){l=f[d+52>>2]|0;do if(!l){h=f[a+12>>2]|0;do if(b[j>>0]|0){n=f[d+56>>2]|0;k=d;if(!n){o=k-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{o=k-(f[n+40>>2]|0)|0;break}}else o=d-(f[(f[i>>2]|0)+20>>2]|0)|0;while(0);p=c;q=h+(((o|0)/88|0)<<2)|0}else{n=(l-(f[(f[l+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((n<<2)+(f[a+32>>2]|0))>>2]|0)==(f[d+40>>2]|0)){p=c;q=(f[a+12>>2]|0)+((f[(f[i>>2]|0)+52>>2]|0)+n<<2)|0;break}n=f[a+8>>2]|0;k=f[a+12>>2]|0;do if(b[j>>0]|0){r=f[d+56>>2]|0;s=d;if(!r){t=s-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{t=s-(f[r+40>>2]|0)|0;break}}else t=d-(f[(f[i>>2]|0)+20>>2]|0)|0;while(0);p=n;q=k+(((t|0)/88|0)<<2)|0}while(0);t=(O5b(p+(f[q>>2]|0)|0)|0)+12|0;m=f[(f[t>>2]|0)+4+(e<<2)>>2]|0;u=g;return m|0}t=f[d+52>>2]|0;do if(!t){q=f[a+12>>2]|0;do if(b[j>>0]|0){p=f[d+56>>2]|0;l=d;if(!p){v=l-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{v=l-(f[p+40>>2]|0)|0;break}}else v=d-(f[(f[i>>2]|0)+20>>2]|0)|0;while(0);w=c;x=q+(((v|0)/88|0)<<2)|0}else{k=(t-(f[(f[t+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((k<<2)+(f[a+32>>2]|0))>>2]|0)==(f[d+40>>2]|0)){w=c;x=(f[a+12>>2]|0)+((f[(f[i>>2]|0)+52>>2]|0)+k<<2)|0;break}k=f[a+8>>2]|0;n=f[a+12>>2]|0;do if(b[j>>0]|0){p=f[d+56>>2]|0;l=d;if(!p){y=l-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{y=l-(f[p+40>>2]|0)|0;break}}else y=d-(f[(f[i>>2]|0)+20>>2]|0)|0;while(0);w=k;x=n+(((y|0)/88|0)<<2)|0}while(0);m=f[(f[w+(f[x>>2]|0)+12>>2]|0)+4+(e<<2)>>2]|0;u=g;return m|0}function x2b(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0;g=u;u=u+16|0;h=g;i=d+48|0;j=a+4|0;k=f[j>>2]|0;if((f[i>>2]|0)!=(k|0))h3b(k,d,510652,510114);if((f[d+32>>2]|0)!=3)h3b(f[j>>2]|0,d,510652,509566);k=f[d+24>>2]|0;if(k|0?(f[k>>2]|0)!=2:0){f[h>>2]=110384;f[h+4>>2]=1962;b[h+8>>0]=0;f[h+12>>2]=d;xLb(k,h)}if((f[151812+(f[d+28>>2]<<2)>>2]|0)!=9)k3b(f[j>>2]|0,d,510652,9);if(b[d+38>>0]|0){l=ldc(c+(f[a+28>>2]|0)|0,f[d+40>>2]|0,e)|0;u=g;return l|0}j=f[d+52>>2]|0;do if(j){h=(j-(f[(f[j+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((h<<2)+(f[a+32>>2]|0))>>2]|0)==(f[d+40>>2]|0)){m=c;n=(f[a+12>>2]|0)+((f[(f[i>>2]|0)+52>>2]|0)+h<<2)|0;break}else{m=f[a+8>>2]|0;n=(f[a+12>>2]|0)+(((d-(f[(f[i>>2]|0)+20>>2]|0)|0)/88|0)<<2)|0;break}}else{m=c;n=(f[a+12>>2]|0)+(((d-(f[(f[i>>2]|0)+20>>2]|0)|0)/88|0)<<2)|0}while(0);l=f[(f[m+(f[n>>2]|0)+12>>2]|0)+4+(e<<2)>>2]|0;u=g;return l|0}function y2b(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0;h=u;u=u+16|0;i=h;j=d+48|0;k=a+4|0;l=f[k>>2]|0;if((f[j>>2]|0)!=(l|0))h3b(l,d,510635,510114);if((f[d+32>>2]|0)!=3)h3b(f[k>>2]|0,d,510635,509566);l=f[d+24>>2]|0;if(l|0?(f[l>>2]|0)!=2:0){f[i>>2]=110384;f[i+4>>2]=1962;b[i+8>>0]=0;f[i+12>>2]=d;xLb(l,i)}if((f[151812+(f[d+28>>2]<<2)>>2]|0)!=1)k3b(f[k>>2]|0,d,510635,1);if(b[d+38>>0]|0){rcc(c+(f[a+28>>2]|0)|0,f[d+40>>2]|0,e,g);u=h;return}k=f[d+52>>2]|0;i=f[j>>2]|0;if(!k)m=(d-(f[i+20>>2]|0)|0)/88|0;else m=((k-(f[(f[k+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[i+52>>2]|0)|0;f[(f[c+(f[(f[a+12>>2]|0)+(m<<2)>>2]|0)+8>>2]|0)+4+(e<<2)>>2]=g;u=h;return}function z2b(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0;i=u;u=u+16|0;j=i;k=d+48|0;l=a+4|0;m=f[l>>2]|0;if((f[k>>2]|0)!=(m|0))h3b(m,d,510618,510114);if((f[d+32>>2]|0)!=3)h3b(f[l>>2]|0,d,510618,509566);m=f[d+24>>2]|0;if(m|0?(f[m>>2]|0)!=2:0){f[j>>2]=110384;f[j+4>>2]=1962;b[j+8>>0]=0;f[j+12>>2]=d;xLb(m,j)}if((f[151812+(f[d+28>>2]<<2)>>2]|0)!=2)k3b(f[l>>2]|0,d,510618,2);if(b[d+38>>0]|0){xcc(c+(f[a+28>>2]|0)|0,f[d+40>>2]|0,e,g,h);u=i;return}l=f[d+52>>2]|0;j=f[k>>2]|0;if(!l)n=(d-(f[j+20>>2]|0)|0)/88|0;else n=((l-(f[(f[l+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[j+52>>2]|0)|0;j=(f[c+(f[(f[a+12>>2]|0)+(n<<2)>>2]|0)+8>>2]|0)+8+(e<<3)|0;f[j>>2]=g;f[j+4>>2]=h;u=i;return}function A2b(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0;h=u;u=u+16|0;i=h;j=d+48|0;k=a+4|0;l=f[k>>2]|0;if((f[j>>2]|0)!=(l|0))h3b(l,d,510600,510114);if((f[d+32>>2]|0)!=3)h3b(f[k>>2]|0,d,510600,509566);l=f[d+24>>2]|0;if(l|0?(f[l>>2]|0)!=2:0){f[i>>2]=110384;f[i+4>>2]=1962;b[i+8>>0]=0;f[i+12>>2]=d;xLb(l,i)}if((f[151812+(f[d+28>>2]<<2)>>2]|0)!=3)k3b(f[k>>2]|0,d,510600,3);if(b[d+38>>0]|0){Dcc(c+(f[a+28>>2]|0)|0,f[d+40>>2]|0,e,g);u=h;return}k=f[d+52>>2]|0;i=f[j>>2]|0;if(!k)m=(d-(f[i+20>>2]|0)|0)/88|0;else m=((k-(f[(f[k+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[i+52>>2]|0)|0;f[(f[c+(f[(f[a+12>>2]|0)+(m<<2)>>2]|0)+8>>2]|0)+4+(e<<2)>>2]=g;u=h;return}function B2b(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0;i=u;u=u+16|0;j=i;k=d+48|0;l=a+4|0;m=f[l>>2]|0;if((f[k>>2]|0)!=(m|0))h3b(m,d,510582,510114);if((f[d+32>>2]|0)!=3)h3b(f[l>>2]|0,d,510582,509566);m=f[d+24>>2]|0;if(m|0?(f[m>>2]|0)!=2:0){f[j>>2]=110384;f[j+4>>2]=1962;b[j+8>>0]=0;f[j+12>>2]=d;xLb(m,j)}if((f[151812+(f[d+28>>2]<<2)>>2]|0)!=4)k3b(f[l>>2]|0,d,510582,4);if(b[d+38>>0]|0){Jcc(c+(f[a+28>>2]|0)|0,f[d+40>>2]|0,e,g,h);u=i;return}l=f[d+52>>2]|0;j=f[k>>2]|0;if(!l)n=(d-(f[j+20>>2]|0)|0)/88|0;else n=((l-(f[(f[l+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[j+52>>2]|0)|0;j=(f[c+(f[(f[a+12>>2]|0)+(n<<2)>>2]|0)+8>>2]|0)+8+(e<<3)|0;f[j>>2]=g;f[j+4>>2]=h;u=i;return}function C2b(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=+g;var h=0,i=0,j=0,k=0,l=0,m=0;h=u;u=u+16|0;i=h;j=d+48|0;k=a+4|0;l=f[k>>2]|0;if((f[j>>2]|0)!=(l|0))h3b(l,d,510565,510114);if((f[d+32>>2]|0)!=3)h3b(f[k>>2]|0,d,510565,509566);l=f[d+24>>2]|0;if(l|0?(f[l>>2]|0)!=2:0){f[i>>2]=110384;f[i+4>>2]=1962;b[i+8>>0]=0;f[i+12>>2]=d;xLb(l,i)}if((f[151812+(f[d+28>>2]<<2)>>2]|0)!=6)k3b(f[k>>2]|0,d,510565,6);if(b[d+38>>0]|0){Pcc(c+(f[a+28>>2]|0)|0,f[d+40>>2]|0,e,g);u=h;return}k=f[d+52>>2]|0;i=f[j>>2]|0;if(!k)m=(d-(f[i+20>>2]|0)|0)/88|0;else m=((k-(f[(f[k+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[i+52>>2]|0)|0;n[(f[c+(f[(f[a+12>>2]|0)+(m<<2)>>2]|0)+8>>2]|0)+4+(e<<2)>>2]=g;u=h;return}function D2b(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=+g;var h=0,i=0,j=0,k=0,l=0,m=0;h=u;u=u+16|0;i=h;j=d+48|0;k=a+4|0;l=f[k>>2]|0;if((f[j>>2]|0)!=(l|0))h3b(l,d,510547,510114);if((f[d+32>>2]|0)!=3)h3b(f[k>>2]|0,d,510547,509566);l=f[d+24>>2]|0;if(l|0?(f[l>>2]|0)!=2:0){f[i>>2]=110384;f[i+4>>2]=1962;b[i+8>>0]=0;f[i+12>>2]=d;xLb(l,i)}if((f[151812+(f[d+28>>2]<<2)>>2]|0)!=5)k3b(f[k>>2]|0,d,510547,5);if(b[d+38>>0]|0){Vcc(c+(f[a+28>>2]|0)|0,f[d+40>>2]|0,e,g);u=h;return}k=f[d+52>>2]|0;i=f[j>>2]|0;if(!k)m=(d-(f[i+20>>2]|0)|0)/88|0;else m=((k-(f[(f[k+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[i+52>>2]|0)|0;p[(f[c+(f[(f[a+12>>2]|0)+(m<<2)>>2]|0)+8>>2]|0)+8+(e<<3)>>3]=g;u=h;return}function E2b(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0;h=u;u=u+16|0;i=h;j=d+48|0;k=a+4|0;l=f[k>>2]|0;if((f[j>>2]|0)!=(l|0))h3b(l,d,510531,510114);if((f[d+32>>2]|0)!=3)h3b(f[k>>2]|0,d,510531,509566);l=f[d+24>>2]|0;if(l|0?(f[l>>2]|0)!=2:0){f[i>>2]=110384;f[i+4>>2]=1962;b[i+8>>0]=0;f[i+12>>2]=d;xLb(l,i)}if((f[151812+(f[d+28>>2]<<2)>>2]|0)!=7)k3b(f[k>>2]|0,d,510531,7);if(b[d+38>>0]|0){$cc(c+(f[a+28>>2]|0)|0,f[d+40>>2]|0,e,g);u=h;return}k=f[d+52>>2]|0;i=f[j>>2]|0;if(!k)m=(d-(f[i+20>>2]|0)|0)/88|0;else m=((k-(f[(f[k+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[i+52>>2]|0)|0;b[(f[c+(f[(f[a+12>>2]|0)+(m<<2)>>2]|0)+8>>2]|0)+4+e>>0]=g&1;u=h;return}function F2b(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0;h=u;u=u+16|0;i=h;j=d+48|0;k=a+4|0;l=f[k>>2]|0;if((f[j>>2]|0)!=(l|0))h3b(l,d,510513,510114);if((f[d+32>>2]|0)!=3)h3b(f[k>>2]|0,d,510513,509566);l=f[d+24>>2]|0;if(l|0?(f[l>>2]|0)!=2:0){f[i>>2]=110384;f[i+4>>2]=1962;b[i+8>>0]=0;f[i+12>>2]=d;xLb(l,i)}if((f[151812+(f[d+28>>2]<<2)>>2]|0)!=9)k3b(f[k>>2]|0,d,510513,9);if(b[d+38>>0]|0){ruc(mdc(c+(f[a+28>>2]|0)|0,f[d+40>>2]|0,e)|0,g)|0;u=h;return}k=f[d+52>>2]|0;i=f[j>>2]|0;if(!k)m=(d-(f[i+20>>2]|0)|0)/88|0;else m=((k-(f[(f[k+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[i+52>>2]|0)|0;ruc(f[(f[c+(f[(f[a+12>>2]|0)+(m<<2)>>2]|0)+12>>2]|0)+4+(e<<2)>>2]|0,g)|0;u=h;return}function G2b(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0;h=f[g+12>>2]|0;if((h|0)!=(uQb(d)|0))o3b(f[a+4>>2]|0,d,510433,g);h=f[g+8>>2]|0;if(b[d+38>>0]|0){hdc(c+(f[a+28>>2]|0)|0,f[d+40>>2]|0,e,h);return}g=f[d+52>>2]|0;i=f[d+48>>2]|0;if(!g)j=(d-(f[i+20>>2]|0)|0)/88|0;else j=((g-(f[(f[g+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[i+52>>2]|0)|0;f[(f[c+(f[(f[a+12>>2]|0)+(j<<2)>>2]|0)+8>>2]|0)+4+(e<<2)>>2]=h;return}function H2b(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=u;u=u+48|0;i=h+24|0;j=h;k=h+40|0;l=d+48|0;m=a+4|0;n=f[m>>2]|0;if((f[l>>2]|0)!=(n|0))h3b(n,d,510433,510114);if((f[d+32>>2]|0)!=3)h3b(f[m>>2]|0,d,510433,509566);n=f[d+24>>2]|0;if(n|0?(f[n>>2]|0)!=2:0){f[i>>2]=110384;f[i+4>>2]=1962;b[i+8>>0]=0;f[i+12>>2]=d;xLb(n,i)}if((f[151812+(f[d+28>>2]<<2)>>2]|0)!=8)k3b(f[m>>2]|0,d,510433,8);if((f[(f[(f[m>>2]|0)+8>>2]|0)+44>>2]|0)!=3?(mQb(uQb(d)|0,g)|0)==0:0){iLb(j,2,508854,1358);m=dLb(gLb(dLb(dLb(j,510449)|0,510506)|0,g)|0,510223)|0;fLb(k,eLb(m,f[d+4>>2]|0)|0);jLb(j);j=(sQb(d)|0)+8|0;o=f[j>>2]|0}else o=g;if(b[d+38>>0]|0){hdc(c+(f[a+28>>2]|0)|0,f[d+40>>2]|0,e,o);u=h;return}g=f[d+52>>2]|0;j=f[l>>2]|0;if(!g)p=(d-(f[j+20>>2]|0)|0)/88|0;else p=((g-(f[(f[g+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[j+52>>2]|0)|0;f[(f[c+(f[(f[a+12>>2]|0)+(p<<2)>>2]|0)+8>>2]|0)+4+(e<<2)>>2]=o;u=h;return}function I2b(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;g=u;u=u+16|0;h=g;i=d+48|0;j=a+4|0;k=f[j>>2]|0;if((f[i>>2]|0)!=(k|0))h3b(k,d,510410,510114);if((f[d+32>>2]|0)!=3)h3b(f[j>>2]|0,d,510410,509566);k=d+24|0;l=f[k>>2]|0;if(l|0?(f[l>>2]|0)!=2:0){f[h>>2]=110384;f[h+4>>2]=1962;b[h+8>>0]=0;f[h+12>>2]=d;xLb(l,h)}l=d+28|0;if((f[151812+(f[l>>2]<<2)>>2]|0)!=10)k3b(f[j>>2]|0,d,510410,10);j=d+38|0;if(b[j>>0]|0){m=rdc(c+(f[a+28>>2]|0)|0,f[d+40>>2]|0,e)|0;u=g;return m|0}n=f[k>>2]|0;if(n|0?(f[n>>2]|0)!=2:0){f[h>>2]=110384;f[h+4>>2]=1962;b[h+8>>0]=0;f[h+12>>2]=d;xLb(n,h)}if((f[l>>2]|0)==11?rQb(d)|0:0){l=f[d+52>>2]|0;if(!l){h=f[a+12>>2]|0;do if(b[j>>0]|0){n=f[d+56>>2]|0;k=d;if(!n){o=k-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{o=k-(f[n+40>>2]|0)|0;break}}else o=d-(f[(f[i>>2]|0)+20>>2]|0)|0;while(0);p=h+(((o|0)/88|0)<<2)|0}else p=(f[a+12>>2]|0)+(((l-(f[(f[l+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[i>>2]|0)+52>>2]|0)<<2)|0;l=(P5b(c+(f[p>>2]|0)|0)|0)+12|0;m=f[(f[l>>2]|0)+4+(e<<2)>>2]|0;u=g;return m|0}l=f[d+52>>2]|0;if(!l){p=f[a+12>>2]|0;do if(b[j>>0]|0){o=f[d+56>>2]|0;h=d;if(!o){q=h-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{q=h-(f[o+40>>2]|0)|0;break}}else q=d-(f[(f[i>>2]|0)+20>>2]|0)|0;while(0);r=p+(((q|0)/88|0)<<2)|0}else r=(f[a+12>>2]|0)+(((l-(f[(f[l+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[i>>2]|0)+52>>2]|0)<<2)|0;m=f[(f[c+(f[r>>2]|0)+12>>2]|0)+4+(e<<2)>>2]|0;u=g;return m|0}function J2b(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;g=u;u=u+16|0;h=g;i=d+48|0;j=a+4|0;k=f[j>>2]|0;if((f[i>>2]|0)!=(k|0))h3b(k,d,510401,510114);if((f[d+32>>2]|0)!=3)h3b(f[j>>2]|0,d,510401,509566);k=d+24|0;l=f[k>>2]|0;if(l|0?(f[l>>2]|0)!=2:0){f[h>>2]=110384;f[h+4>>2]=1962;b[h+8>>0]=0;f[h+12>>2]=d;xLb(l,h)}l=d+28|0;if((f[151812+(f[l>>2]<<2)>>2]|0)!=1)k3b(f[j>>2]|0,d,510401,1);if(b[d+38>>0]|0){j=c+(f[a+28>>2]|0)|0;m=f[d+40>>2]|0;n=f[k>>2]|0;if(n|0?(f[n>>2]|0)!=2:0){f[h>>2]=110384;f[h+4>>2]=1962;b[h+8>>0]=0;f[h+12>>2]=d;xLb(n,h)}scc(j,m,f[l>>2]&255,(b[(f[d+68>>2]|0)+52>>0]|0)!=0,e,d);u=g;return}l=f[d+52>>2]|0;m=f[i>>2]|0;if(!l)o=(d-(f[m+20>>2]|0)|0)/88|0;else o=((l-(f[(f[l+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[m+52>>2]|0)|0;m=c+(f[(f[a+12>>2]|0)+(o<<2)>>2]|0)|0;o=f[m>>2]|0;if((o|0)==(f[m+4>>2]|0)){NEa(m,o+1|0);p=f[m>>2]|0}else p=o;o=f[m+8>>2]|0;f[m>>2]=p+1;f[o+4+(p<<2)>>2]=e;u=g;return}function K2b(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;h=u;u=u+16|0;i=h;j=d+48|0;k=a+4|0;l=f[k>>2]|0;if((f[j>>2]|0)!=(l|0))h3b(l,d,510392,510114);if((f[d+32>>2]|0)!=3)h3b(f[k>>2]|0,d,510392,509566);l=d+24|0;m=f[l>>2]|0;if(m|0?(f[m>>2]|0)!=2:0){f[i>>2]=110384;f[i+4>>2]=1962;b[i+8>>0]=0;f[i+12>>2]=d;xLb(m,i)}m=d+28|0;if((f[151812+(f[m>>2]<<2)>>2]|0)!=2)k3b(f[k>>2]|0,d,510392,2);if(b[d+38>>0]|0){k=c+(f[a+28>>2]|0)|0;n=f[d+40>>2]|0;o=f[l>>2]|0;if(o|0?(f[o>>2]|0)!=2:0){f[i>>2]=110384;f[i+4>>2]=1962;b[i+8>>0]=0;f[i+12>>2]=d;xLb(o,i)}ycc(k,n,f[m>>2]&255,(b[(f[d+68>>2]|0)+52>>0]|0)!=0,e,g,d);u=h;return}m=f[d+52>>2]|0;n=f[j>>2]|0;if(!m)p=(d-(f[n+20>>2]|0)|0)/88|0;else p=((m-(f[(f[m+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[n+52>>2]|0)|0;n=c+(f[(f[a+12>>2]|0)+(p<<2)>>2]|0)|0;p=f[n>>2]|0;if((p|0)==(f[n+4>>2]|0)){ZOa(n,p+1|0);q=f[n>>2]|0}else q=p;p=f[n+8>>2]|0;f[n>>2]=q+1;n=p+8+(q<<3)|0;f[n>>2]=e;f[n+4>>2]=g;u=h;return}function L2b(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;g=u;u=u+16|0;h=g;i=d+48|0;j=a+4|0;k=f[j>>2]|0;if((f[i>>2]|0)!=(k|0))h3b(k,d,510382,510114);if((f[d+32>>2]|0)!=3)h3b(f[j>>2]|0,d,510382,509566);k=d+24|0;l=f[k>>2]|0;if(l|0?(f[l>>2]|0)!=2:0){f[h>>2]=110384;f[h+4>>2]=1962;b[h+8>>0]=0;f[h+12>>2]=d;xLb(l,h)}l=d+28|0;if((f[151812+(f[l>>2]<<2)>>2]|0)!=3)k3b(f[j>>2]|0,d,510382,3);if(b[d+38>>0]|0){j=c+(f[a+28>>2]|0)|0;m=f[d+40>>2]|0;n=f[k>>2]|0;if(n|0?(f[n>>2]|0)!=2:0){f[h>>2]=110384;f[h+4>>2]=1962;b[h+8>>0]=0;f[h+12>>2]=d;xLb(n,h)}Ecc(j,m,f[l>>2]&255,(b[(f[d+68>>2]|0)+52>>0]|0)!=0,e,d);u=g;return}l=f[d+52>>2]|0;m=f[i>>2]|0;if(!l)o=(d-(f[m+20>>2]|0)|0)/88|0;else o=((l-(f[(f[l+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[m+52>>2]|0)|0;m=c+(f[(f[a+12>>2]|0)+(o<<2)>>2]|0)|0;o=f[m>>2]|0;if((o|0)==(f[m+4>>2]|0)){UEa(m,o+1|0);p=f[m>>2]|0}else p=o;o=f[m+8>>2]|0;f[m>>2]=p+1;f[o+4+(p<<2)>>2]=e;u=g;return}function M2b(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;h=u;u=u+16|0;i=h;j=d+48|0;k=a+4|0;l=f[k>>2]|0;if((f[j>>2]|0)!=(l|0))h3b(l,d,510372,510114);if((f[d+32>>2]|0)!=3)h3b(f[k>>2]|0,d,510372,509566);l=d+24|0;m=f[l>>2]|0;if(m|0?(f[m>>2]|0)!=2:0){f[i>>2]=110384;f[i+4>>2]=1962;b[i+8>>0]=0;f[i+12>>2]=d;xLb(m,i)}m=d+28|0;if((f[151812+(f[m>>2]<<2)>>2]|0)!=4)k3b(f[k>>2]|0,d,510372,4);if(b[d+38>>0]|0){k=c+(f[a+28>>2]|0)|0;n=f[d+40>>2]|0;o=f[l>>2]|0;if(o|0?(f[o>>2]|0)!=2:0){f[i>>2]=110384;f[i+4>>2]=1962;b[i+8>>0]=0;f[i+12>>2]=d;xLb(o,i)}Kcc(k,n,f[m>>2]&255,(b[(f[d+68>>2]|0)+52>>0]|0)!=0,e,g,d);u=h;return}m=f[d+52>>2]|0;n=f[j>>2]|0;if(!m)p=(d-(f[n+20>>2]|0)|0)/88|0;else p=((m-(f[(f[m+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[n+52>>2]|0)|0;n=c+(f[(f[a+12>>2]|0)+(p<<2)>>2]|0)|0;p=f[n>>2]|0;if((p|0)==(f[n+4>>2]|0)){eEb(n,p+1|0);q=f[n>>2]|0}else q=p;p=f[n+8>>2]|0;f[n>>2]=q+1;n=p+8+(q<<3)|0;f[n>>2]=e;f[n+4>>2]=g;u=h;return}function N2b(a,c,d,e){a=a|0;c=c|0;d=d|0;e=+e;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0;g=u;u=u+16|0;h=g;i=d+48|0;j=a+4|0;k=f[j>>2]|0;if((f[i>>2]|0)!=(k|0))h3b(k,d,510363,510114);if((f[d+32>>2]|0)!=3)h3b(f[j>>2]|0,d,510363,509566);k=d+24|0;l=f[k>>2]|0;if(l|0?(f[l>>2]|0)!=2:0){f[h>>2]=110384;f[h+4>>2]=1962;b[h+8>>0]=0;f[h+12>>2]=d;xLb(l,h)}l=d+28|0;if((f[151812+(f[l>>2]<<2)>>2]|0)!=6)k3b(f[j>>2]|0,d,510363,6);if(b[d+38>>0]|0){j=c+(f[a+28>>2]|0)|0;m=f[d+40>>2]|0;o=f[k>>2]|0;if(o|0?(f[o>>2]|0)!=2:0){f[h>>2]=110384;f[h+4>>2]=1962;b[h+8>>0]=0;f[h+12>>2]=d;xLb(o,h)}Qcc(j,m,f[l>>2]&255,(b[(f[d+68>>2]|0)+52>>0]|0)!=0,e,d);u=g;return}l=f[d+52>>2]|0;m=f[i>>2]|0;if(!l)p=(d-(f[m+20>>2]|0)|0)/88|0;else p=((l-(f[(f[l+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[m+52>>2]|0)|0;m=c+(f[(f[a+12>>2]|0)+(p<<2)>>2]|0)|0;p=f[m>>2]|0;if((p|0)==(f[m+4>>2]|0)){REa(m,p+1|0);q=f[m>>2]|0}else q=p;p=f[m+8>>2]|0;f[m>>2]=q+1;n[p+4+(q<<2)>>2]=e;u=g;return}function O2b(a,c,d,e){a=a|0;c=c|0;d=d|0;e=+e;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0;g=u;u=u+16|0;h=g;i=d+48|0;j=a+4|0;k=f[j>>2]|0;if((f[i>>2]|0)!=(k|0))h3b(k,d,510353,510114);if((f[d+32>>2]|0)!=3)h3b(f[j>>2]|0,d,510353,509566);k=d+24|0;l=f[k>>2]|0;if(l|0?(f[l>>2]|0)!=2:0){f[h>>2]=110384;f[h+4>>2]=1962;b[h+8>>0]=0;f[h+12>>2]=d;xLb(l,h)}l=d+28|0;if((f[151812+(f[l>>2]<<2)>>2]|0)!=5)k3b(f[j>>2]|0,d,510353,5);if(b[d+38>>0]|0){j=c+(f[a+28>>2]|0)|0;m=f[d+40>>2]|0;n=f[k>>2]|0;if(n|0?(f[n>>2]|0)!=2:0){f[h>>2]=110384;f[h+4>>2]=1962;b[h+8>>0]=0;f[h+12>>2]=d;xLb(n,h)}Wcc(j,m,f[l>>2]&255,(b[(f[d+68>>2]|0)+52>>0]|0)!=0,e,d);u=g;return}l=f[d+52>>2]|0;m=f[i>>2]|0;if(!l)o=(d-(f[m+20>>2]|0)|0)/88|0;else o=((l-(f[(f[l+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[m+52>>2]|0)|0;m=c+(f[(f[a+12>>2]|0)+(o<<2)>>2]|0)|0;o=f[m>>2]|0;if((o|0)==(f[m+4>>2]|0)){oRa(m,o+1|0);q=f[m>>2]|0}else q=o;o=f[m+8>>2]|0;f[m>>2]=q+1;p[o+8+(q<<3)>>3]=e;u=g;return}function P2b(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;g=u;u=u+16|0;h=g;i=e&1;j=d+48|0;k=a+4|0;l=f[k>>2]|0;if((f[j>>2]|0)!=(l|0))h3b(l,d,510345,510114);if((f[d+32>>2]|0)!=3)h3b(f[k>>2]|0,d,510345,509566);l=d+24|0;m=f[l>>2]|0;if(m|0?(f[m>>2]|0)!=2:0){f[h>>2]=110384;f[h+4>>2]=1962;b[h+8>>0]=0;f[h+12>>2]=d;xLb(m,h)}m=d+28|0;if((f[151812+(f[m>>2]<<2)>>2]|0)!=7)k3b(f[k>>2]|0,d,510345,7);if(b[d+38>>0]|0){k=c+(f[a+28>>2]|0)|0;n=f[d+40>>2]|0;o=f[l>>2]|0;if(o|0?(f[o>>2]|0)!=2:0){f[h>>2]=110384;f[h+4>>2]=1962;b[h+8>>0]=0;f[h+12>>2]=d;xLb(o,h)}adc(k,n,f[m>>2]&255,(b[(f[d+68>>2]|0)+52>>0]|0)!=0,e,d);u=g;return}e=f[d+52>>2]|0;m=f[j>>2]|0;if(!e)p=(d-(f[m+20>>2]|0)|0)/88|0;else p=((e-(f[(f[e+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[m+52>>2]|0)|0;m=c+(f[(f[a+12>>2]|0)+(p<<2)>>2]|0)|0;p=f[m>>2]|0;if((p|0)==(f[m+4>>2]|0)){_Oa(m,p+1|0);q=f[m>>2]|0}else q=p;p=f[m+8>>2]|0;f[m>>2]=q+1;b[p+4+q>>0]=i;u=g;return}function Q2b(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;g=u;u=u+16|0;h=g;i=d+48|0;j=a+4|0;k=f[j>>2]|0;if((f[i>>2]|0)!=(k|0))h3b(k,d,510335,510114);if((f[d+32>>2]|0)!=3)h3b(f[j>>2]|0,d,510335,509566);k=d+24|0;l=f[k>>2]|0;if(l|0?(f[l>>2]|0)!=2:0){f[h>>2]=110384;f[h+4>>2]=1962;b[h+8>>0]=0;f[h+12>>2]=d;xLb(l,h)}l=d+28|0;if((f[151812+(f[l>>2]<<2)>>2]|0)!=9)k3b(f[j>>2]|0,d,510335,9);if(!(b[d+38>>0]|0)){j=f[d+52>>2]|0;m=f[i>>2]|0;if(!j)n=(d-(f[m+20>>2]|0)|0)/88|0;else n=((j-(f[(f[j+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[m+52>>2]|0)|0;ruc(MEa(c+(f[(f[a+12>>2]|0)+(n<<2)>>2]|0)|0)|0,e)|0;u=g;return}else{n=c+(f[a+28>>2]|0)|0;a=f[d+40>>2]|0;c=f[k>>2]|0;if(c|0?(f[c>>2]|0)!=2:0){f[h>>2]=110384;f[h+4>>2]=1962;b[h+8>>0]=0;f[h+12>>2]=d;xLb(c,h)}ruc(ndc(n,a,f[l>>2]&255,d)|0,e)|0;u=g;return}}function R2b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;e=f[d+12>>2]|0;if((e|0)!=(uQb(c)|0))o3b(f[a+4>>2]|0,c,510160,d);n3b(a,b,c,f[d+8>>2]|0);return}function S2b(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0;g=u;u=u+48|0;h=g+24|0;i=g;j=g+40|0;k=a+4|0;l=f[k>>2]|0;if((f[d+48>>2]|0)!=(l|0))h3b(l,d,510160,510114);if((f[d+32>>2]|0)!=3)h3b(f[k>>2]|0,d,510160,509566);l=f[d+24>>2]|0;if(l|0?(f[l>>2]|0)!=2:0){f[h>>2]=110384;f[h+4>>2]=1962;b[h+8>>0]=0;f[h+12>>2]=d;xLb(l,h)}if((f[151812+(f[d+28>>2]<<2)>>2]|0)!=8)k3b(f[k>>2]|0,d,510160,8);if((f[(f[(f[k>>2]|0)+8>>2]|0)+44>>2]|0)==3){m=e;n3b(a,c,d,m);u=g;return}if(mQb(uQb(d)|0,e)|0){m=e;n3b(a,c,d,m);u=g;return}iLb(i,2,508854,1399);k=dLb(gLb(dLb(i,510168)|0,e)|0,510223)|0;fLb(j,eLb(k,f[d+4>>2]|0)|0);jLb(i);i=(sQb(d)|0)+8|0;m=f[i>>2]|0;n3b(a,c,d,m);u=g;return}function T2b(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;g=u;u=u+16|0;h=g;i=d+48|0;j=a+4|0;k=f[j>>2]|0;if((f[i>>2]|0)!=(k|0))h3b(k,d,510149,510114);if((f[d+32>>2]|0)!=3)h3b(f[j>>2]|0,d,510149,509566);k=d+24|0;l=f[k>>2]|0;if(l|0?(f[l>>2]|0)!=2:0){f[h>>2]=110384;f[h+4>>2]=1962;b[h+8>>0]=0;f[h+12>>2]=d;xLb(l,h)}l=d+28|0;if((f[151812+(f[l>>2]<<2)>>2]|0)!=10)k3b(f[j>>2]|0,d,510149,10);if(!e)m=f[a+48>>2]|0;else m=e;e=d+38|0;if(b[e>>0]|0){n=q1b(c+(f[a+28>>2]|0)|0,d,m)|0;u=g;return n|0}j=f[k>>2]|0;if(j|0?(f[j>>2]|0)!=2:0){f[h>>2]=110384;f[h+4>>2]=1962;b[h+8>>0]=0;f[h+12>>2]=d;xLb(j,h)}if((f[l>>2]|0)==11?rQb(d)|0:0){l=f[d+52>>2]|0;if(!l){h=f[a+12>>2]|0;do if(b[e>>0]|0){j=f[d+56>>2]|0;k=d;if(!j){o=k-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{o=k-(f[j+40>>2]|0)|0;break}}else o=d-(f[(f[i>>2]|0)+20>>2]|0)|0;while(0);p=h+(((o|0)/88|0)<<2)|0}else p=(f[a+12>>2]|0)+(((l-(f[(f[l+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[i>>2]|0)+52>>2]|0)<<2)|0;q=P5b(c+(f[p>>2]|0)|0)|0}else{p=f[d+52>>2]|0;if(!p){l=f[a+12>>2]|0;do if(b[e>>0]|0){o=f[d+56>>2]|0;h=d;if(!o){r=h-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{r=h-(f[o+40>>2]|0)|0;break}}else r=d-(f[(f[i>>2]|0)+20>>2]|0)|0;while(0);s=l+(((r|0)/88|0)<<2)|0}else s=(f[a+12>>2]|0)+(((p-(f[(f[p+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[i>>2]|0)+52>>2]|0)<<2)|0;q=c+(f[s>>2]|0)|0}s=q+12|0;i=f[s>>2]|0;p=q+4|0;a=f[p>>2]|0;if((i|0)!=0?(a|0)<(f[i>>2]|0):0){r=a+1|0;f[p>>2]=r;l=f[i+4+(a<<2)>>2]|0;if(!l)t=r;else{n=l;u=g;return n|0}}else t=a;if(!t){t=f[(f[m>>2]|0)+8>>2]|0;a=tQb(d)|0;v=Th[t&1023](m,a)|0}else v=f[i+4>>2]|0;i=f[(f[v>>2]|0)+16>>2]|0;a=di[f[(f[c>>2]|0)+20>>2]&1023](c)|0;c=Th[i&1023](v,a)|0;a=f[s>>2]|0;v=f[q+8>>2]|0;do if((a|0)!=0?(i=f[p>>2]|0,(i|0)!=(v|0)):0){m=f[a>>2]|0;if((m|0)==(v|0)){t=f[a+4+(i<<2)>>2]|0;if((t|0)==0|(f[q>>2]|0)!=0){w=a;break}bi[f[(f[t>>2]|0)+4>>2]&2047](t);w=f[s>>2]|0;break}if((i|0)<(m|0)){f[a+4+(m<<2)>>2]=f[a+4+(i<<2)>>2];i=f[s>>2]|0;x=i;y=f[i>>2]|0}else{x=a;y=m}f[x>>2]=y+1;w=x}else z=45;while(0);if((z|0)==45){LKb(q,v+1|0);v=f[s>>2]|0;f[v>>2]=(f[v>>2]|0)+1;w=v}v=f[p>>2]|0;f[p>>2]=v+1;f[w+4+(v<<2)>>2]=c;n=c;u=g;return n|0}function U2b(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;g=u;u=u+16|0;h=g;i=d+48|0;j=a+4|0;k=f[j>>2]|0;if((f[i>>2]|0)!=(k|0))h3b(k,d,510094,510114);if((f[d+32>>2]|0)!=3)h3b(f[j>>2]|0,d,510094,509566);k=d+24|0;l=f[k>>2]|0;if(l|0?(f[l>>2]|0)!=2:0){f[h>>2]=110384;f[h+4>>2]=1962;b[h+8>>0]=0;f[h+12>>2]=d;xLb(l,h)}l=d+28|0;if((f[151812+(f[l>>2]<<2)>>2]|0)!=10)k3b(f[j>>2]|0,d,510094,10);j=d+38|0;if(b[j>>0]|0){s1b(c+(f[a+28>>2]|0)|0,d,e);u=g;return}m=f[k>>2]|0;if(m|0?(f[m>>2]|0)!=2:0){f[h>>2]=110384;f[h+4>>2]=1962;b[h+8>>0]=0;f[h+12>>2]=d;xLb(m,h)}if((f[l>>2]|0)==11?rQb(d)|0:0){l=f[d+52>>2]|0;if(!l){h=f[a+12>>2]|0;do if(b[j>>0]|0){m=f[d+56>>2]|0;k=d;if(!m){n=k-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{n=k-(f[m+40>>2]|0)|0;break}}else n=d-(f[(f[i>>2]|0)+20>>2]|0)|0;while(0);o=h+(((n|0)/88|0)<<2)|0}else o=(f[a+12>>2]|0)+(((l-(f[(f[l+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[i>>2]|0)+52>>2]|0)<<2)|0;p=P5b(c+(f[o>>2]|0)|0)|0}else{o=f[d+52>>2]|0;if(!o){l=f[a+12>>2]|0;do if(b[j>>0]|0){n=f[d+56>>2]|0;h=d;if(!n){q=h-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{q=h-(f[n+40>>2]|0)|0;break}}else q=d-(f[(f[i>>2]|0)+20>>2]|0)|0;while(0);r=l+(((q|0)/88|0)<<2)|0}else r=(f[a+12>>2]|0)+(((o-(f[(f[o+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[i>>2]|0)+52>>2]|0)<<2)|0;p=c+(f[r>>2]|0)|0}r=x9b(e)|0;c=f[p>>2]|0;if(((c|0)==(r|0)?(r=p+12|0,i=f[r>>2]|0,i|0):0)?(o=f[i>>2]|0,(o|0)<(f[p+8>>2]|0)):0){a=p+4|0;q=f[a>>2]|0;if((q|0)<(o|0)){l=i+4+(q<<2)|0;f[i+4+(o<<2)>>2]=f[l>>2];s=l}else s=i+4+(q<<2)|0;f[s>>2]=e;f[a>>2]=q+1;q=f[r>>2]|0;f[q>>2]=(f[q>>2]|0)+1;u=g;return}l3b(p,e,w9b(e)|0,c);u=g;return}function V2b(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=u;u=u+16|0;e=d;if((f[a+28>>2]|0)==-1){g=0;u=d;return g|0}h=a+44|0;i=dQb(f[h>>2]|0,c)|0;if(i){j=a+4|0;k=f[j>>2]|0;if((f[i+48>>2]|0)==(k|0)){g=i;u=d;return g|0}else{l=j;m=k}}else{k=a+4|0;l=k;m=f[k>>2]|0}if(!(b[(f[m+16>>2]|0)+48>>0]|0)){g=0;u=d;return g|0}m=cQb(f[h>>2]|0,c)|0;if(!m){g=0;u=d;return g|0}c=f[m+72>>2]|0;if((c|0)<=0){g=0;u=d;return g|0}h=m+40|0;k=e+4|0;a=e+8|0;j=e+12|0;i=0;while(1){n=f[h>>2]|0;o=n+(i*88|0)|0;if((f[n+(i*88|0)+48>>2]|0)==(f[l>>2]|0)){p=f[n+(i*88|0)+24>>2]|0;if(p|0?(f[p>>2]|0)!=2:0){f[e>>2]=110384;f[k>>2]=1962;b[a>>0]=0;f[j>>2]=o;xLb(p,e)}if(((f[n+(i*88|0)+28>>2]|0)==11?(f[n+(i*88|0)+32>>2]|0)==1:0)?(tQb(o)|0)==(m|0):0){g=o;q=17;break}}i=i+1|0;if((i|0)>=(c|0)){g=0;q=17;break}}if((q|0)==17){u=d;return g|0}return 0}function W2b(a,b){a=a|0;b=b|0;var c=0;if((f[a+28>>2]|0)==-1){c=0;return c|0}c=eQb(f[a+44>>2]|0,f[a+4>>2]|0,b)|0;return c|0}function X2b(a){a=a|0;return (f[(f[(f[a+4>>2]|0)+8>>2]|0)+44>>2]|0)==3|0}function Y2b(a){a=a|0;return f[a+48>>2]|0}function Z2b(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;i=u;u=u+80|0;j=i+48|0;k=i+24|0;l=i+65|0;m=i;n=i+64|0;if((f[d+32>>2]|0)!=3)h3b(f[a+4>>2]|0,d,510044,509566);o=d+24|0;p=f[o>>2]|0;if(p|0?(f[p>>2]|0)!=2:0){f[j>>2]=110384;f[j+4>>2]=1962;b[j+8>>0]=0;f[j+12>>2]=d;xLb(p,j)}p=d+28|0;if((f[151812+(f[p>>2]<<2)>>2]|0)!=(e|0))k3b(f[a+4>>2]|0,d,510070,e);if((g|0)>-1?(f[(f[d+68>>2]|0)+48>>2]|0)!=(g|0):0){iLb(k,3,508854,1692);fLb(l,dLb(dLb(k,509643)|0,509697)|0);jLb(k)}if(h|0?(tQb(d)|0)!=(h|0):0){iLb(m,3,508854,1694);fLb(n,dLb(dLb(m,509714)|0,509764)|0);jLb(m)}m=d+38|0;if(b[m>>0]|0){n=c+(f[a+28>>2]|0)|0;h=f[d+40>>2]|0;k=f[o>>2]|0;if(k|0?(f[k>>2]|0)!=2:0){f[j>>2]=110384;f[j+4>>2]=1962;b[j+8>>0]=0;f[j+12>>2]=d;xLb(k,j)}k=f[p>>2]&255;q=cdc(n,h,k,vQb(d)|0,d)|0;u=i;return q|0}k=f[o>>2]|0;if(k|0?(f[k>>2]|0)!=2:0){f[j>>2]=110384;f[j+4>>2]=1962;b[j+8>>0]=0;f[j+12>>2]=d;xLb(k,j)}if((f[p>>2]|0)==11?rQb(d)|0:0){p=f[a+12>>2]|0;do if(b[m>>0]|0){j=f[d+56>>2]|0;k=d;if(!j){r=k-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{r=k-(f[j+40>>2]|0)|0;break}}else r=d-(f[(f[d+48>>2]|0)+20>>2]|0)|0;while(0);q=P5b(c+(f[p+(((r|0)/88|0)<<2)>>2]|0)|0)|0;u=i;return q|0}r=f[a+12>>2]|0;do if(b[m>>0]|0){a=f[d+56>>2]|0;p=d;if(!a){s=p-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{s=p-(f[a+40>>2]|0)|0;break}}else s=d-(f[(f[d+48>>2]|0)+20>>2]|0)|0;while(0);q=c+(f[r+(((s|0)/88|0)<<2)>>2]|0)|0;u=i;return q|0}function _2b(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;i=u;u=u+80|0;j=i+48|0;k=i+24|0;l=i+65|0;m=i;n=i+64|0;if((f[d+32>>2]|0)!=3)h3b(f[a+4>>2]|0,d,509544,509566);o=d+24|0;p=f[o>>2]|0;if(p|0?(f[p>>2]|0)!=2:0){f[j>>2]=110384;f[j+4>>2]=1962;b[j+8>>0]=0;f[j+12>>2]=d;xLb(p,j)}p=d+28|0;if((f[151812+(f[p>>2]<<2)>>2]|0)!=(e|0))k3b(f[a+4>>2]|0,d,509623,e);if((g|0)>-1?(f[(f[d+68>>2]|0)+48>>2]|0)!=(g|0):0){iLb(k,3,508854,1717);fLb(l,dLb(dLb(k,509643)|0,509697)|0);jLb(k)}if(h|0?(tQb(d)|0)!=(h|0):0){iLb(m,3,508854,1719);fLb(n,dLb(dLb(m,509714)|0,509764)|0);jLb(m)}m=d+38|0;if(b[m>>0]|0){n=c+(f[a+28>>2]|0)|0;h=f[d+40>>2]|0;k=f[o>>2]|0;if(k|0?(f[k>>2]|0)!=2:0){f[j>>2]=110384;f[j+4>>2]=1962;b[j+8>>0]=0;f[j+12>>2]=d;xLb(k,j)}k=f[p>>2]&255;q=cdc(n,h,k,vQb(d)|0,d)|0;u=i;return q|0}k=f[o>>2]|0;if(k|0?(f[k>>2]|0)!=2:0){f[j>>2]=110384;f[j+4>>2]=1962;b[j+8>>0]=0;f[j+12>>2]=d;xLb(k,j)}if((f[p>>2]|0)==11?rQb(d)|0:0){p=f[a+12>>2]|0;do if(b[m>>0]|0){j=f[d+56>>2]|0;k=d;if(!j){r=k-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{r=k-(f[j+40>>2]|0)|0;break}}else r=d-(f[(f[d+48>>2]|0)+20>>2]|0)|0;while(0);q=O5b(c+(f[p+(((r|0)/88|0)<<2)>>2]|0)|0)|0;u=i;return q|0}r=f[a+12>>2]|0;do if(b[m>>0]|0){a=f[d+56>>2]|0;p=d;if(!a){s=p-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{s=p-(f[a+40>>2]|0)|0;break}}else s=d-(f[(f[d+48>>2]|0)+20>>2]|0)|0;while(0);q=c+(f[r+(((s|0)/88|0)<<2)>>2]|0)|0;u=i;return q|0}function $2b(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;h=u;u=u+96|0;i=h+72|0;j=h+48|0;k=h+24|0;l=h+89|0;m=h;n=h+88|0;if((f[d+32>>2]|0)!=3){iLb(j,3,508854,2183);fLb(h+90|0,dLb(j,514682)|0);jLb(j)}j=d+24|0;o=f[j>>2]|0;if(o|0?(f[o>>2]|0)!=2:0){f[i>>2]=110384;f[i+4>>2]=1962;b[i+8>>0]=0;f[i+12>>2]=d;xLb(o,i)}o=d+28|0;if((f[151812+(f[o>>2]<<2)>>2]|0)!=(e|0)){p=f[j>>2]|0;if(p|0?(f[p>>2]|0)!=2:0){f[i>>2]=110384;f[i+4>>2]=1962;b[i+8>>0]=0;f[i+12>>2]=d;xLb(p,i)}if(!((e|0)==1?(f[151812+(f[o>>2]<<2)>>2]|0)==8:0)){iLb(k,3,508854,2186);fLb(l,dLb(dLb(dLb(dLb(k,509194)|0,509342)|0,509405)|0,509470)|0);jLb(k)}}if(g|0?(tQb(d)|0)!=(g|0):0){iLb(m,3,508854,2191);fLb(n,dLb(m,509486)|0);jLb(m)}if(!(b[d+38>>0]|0)){q=c+(f[(f[a+12>>2]|0)+(((d-(f[(f[d+48>>2]|0)+20>>2]|0)|0)/88|0)<<2)>>2]|0)|0;u=h;return q|0}m=c+(f[a+28>>2]|0)|0;a=f[d+40>>2]|0;c=f[j>>2]|0;if(c|0?(f[c>>2]|0)!=2:0){f[i>>2]=110384;f[i+4>>2]=1962;b[i+8>>0]=0;f[i+12>>2]=d;xLb(c,i)}i=f[o>>2]&255;q=cdc(m,a,i,vQb(d)|0,d)|0;u=h;return q|0}function a3b(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;g=u;u=u+16|0;h=g;i=f[d+24>>2]|0;if(i|0?(f[i>>2]|0)!=2:0){f[h>>2]=110384;f[h+4>>2]=1962;b[h+8>>0]=0;f[h+12>>2]=d;xLb(i,h)}if(!((f[d+28>>2]|0)==11?rQb(d)|0:0))h3b(f[a+4>>2]|0,d,509177,508828);h=f[d+52>>2]|0;if(!h){i=f[a+12>>2]|0;do if(b[d+38>>0]|0){j=f[d+56>>2]|0;k=d;if(!j){l=k-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{l=k-(f[j+40>>2]|0)|0;break}}else l=d-(f[(f[d+48>>2]|0)+20>>2]|0)|0;while(0);m=c;n=i+(((l|0)/88|0)<<2)|0;o=f[n>>2]|0;p=m+o|0;q=f[p>>2]|0;r=q+8|0;s=f[r>>2]|0;t=Th[s&1023](p,e)|0;u=g;return t|0}l=(h-(f[(f[h+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((l<<2)+(f[a+32>>2]|0))>>2]|0)==(f[d+40>>2]|0)){m=c;n=(f[a+12>>2]|0)+((f[(f[d+48>>2]|0)+52>>2]|0)+l<<2)|0;o=f[n>>2]|0;p=m+o|0;q=f[p>>2]|0;r=q+8|0;s=f[r>>2]|0;t=Th[s&1023](p,e)|0;u=g;return t|0}l=f[a+8>>2]|0;c=f[a+12>>2]|0;do if(b[d+38>>0]|0){a=f[d+56>>2]|0;h=d;if(!a){v=h-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{v=h-(f[a+40>>2]|0)|0;break}}else v=d-(f[(f[d+48>>2]|0)+20>>2]|0)|0;while(0);m=l;n=c+(((v|0)/88|0)<<2)|0;o=f[n>>2]|0;p=m+o|0;q=f[p>>2]|0;r=q+8|0;s=f[r>>2]|0;t=Th[s&1023](p,e)|0;u=g;return t|0}function b3b(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;h=u;u=u+32|0;i=h+16|0;j=h;k=f[d+24>>2]|0;if(k|0?(f[k>>2]|0)!=2:0){f[i>>2]=110384;f[i+4>>2]=1962;b[i+8>>0]=0;f[i+12>>2]=d;xLb(k,i)}if(!((f[d+28>>2]|0)==11?rQb(d)|0:0))h3b(f[a+4>>2]|0,d,509152,508828);k=tQb(d)|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;l=j+11|0;b[l>>0]=5;b[j>>0]=b[513626]|0;b[j+1>>0]=b[513627]|0;b[j+2>>0]=b[513628]|0;b[j+3>>0]=b[513629]|0;b[j+4>>0]=b[513630]|0;b[j+5>>0]=0;m=kQb(k,j)|0;k=f[m+24>>2]|0;if(k|0?(f[k>>2]|0)!=2:0){f[i>>2]=110384;f[i+4>>2]=1962;b[i+8>>0]=0;f[i+12>>2]=m;xLb(k,i)}f[g+4>>2]=f[151812+(f[m+28>>2]<<2)>>2];if((b[l>>0]|0)<0)fuc(f[j>>2]|0);j=f[d+52>>2]|0;if(j|0){n=(f[a+12>>2]|0)+(((j-(f[(f[j+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[d+48>>2]|0)+52>>2]|0)<<2)|0;o=f[n>>2]|0;p=c+o|0;q=f[p>>2]|0;r=q+12|0;s=f[r>>2]|0;t=li[s&511](p,e,g)|0;u=h;return t|0}j=f[a+12>>2]|0;do if(b[d+38>>0]|0){a=f[d+56>>2]|0;l=d;if(!a){v=l-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{v=l-(f[a+40>>2]|0)|0;break}}else v=d-(f[(f[d+48>>2]|0)+20>>2]|0)|0;while(0);n=j+(((v|0)/88|0)<<2)|0;o=f[n>>2]|0;p=c+o|0;q=f[p>>2]|0;r=q+12|0;s=f[r>>2]|0;t=li[s&511](p,e,g)|0;u=h;return t|0}function c3b(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;g=u;u=u+16|0;h=g;i=f[d+24>>2]|0;if(i|0?(f[i>>2]|0)!=2:0){f[h>>2]=110384;f[h+4>>2]=1962;b[h+8>>0]=0;f[h+12>>2]=d;xLb(i,h)}if(!((f[d+28>>2]|0)==11?rQb(d)|0:0))h3b(f[a+4>>2]|0,d,509135,508828);h=f[d+52>>2]|0;if(h|0){j=(f[a+12>>2]|0)+(((h-(f[(f[h+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[d+48>>2]|0)+52>>2]|0)<<2)|0;k=f[j>>2]|0;l=c+k|0;m=f[l>>2]|0;n=m+16|0;o=f[n>>2]|0;p=Th[o&1023](l,e)|0;u=g;return p|0}h=f[a+12>>2]|0;do if(b[d+38>>0]|0){a=f[d+56>>2]|0;i=d;if(!a){q=i-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{q=i-(f[a+40>>2]|0)|0;break}}else q=d-(f[(f[d+48>>2]|0)+20>>2]|0)|0;while(0);j=h+(((q|0)/88|0)<<2)|0;k=f[j>>2]|0;l=c+k|0;m=f[l>>2]|0;n=m+16|0;o=f[n>>2]|0;p=Th[o&1023](l,e)|0;u=g;return p|0}function d3b(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;g=u;u=u+16|0;h=g;i=f[e+24>>2]|0;if(i|0?(f[i>>2]|0)!=2:0){f[h>>2]=110384;f[h+4>>2]=1962;b[h+8>>0]=0;f[h+12>>2]=e;xLb(i,h)}if(!((f[e+28>>2]|0)==11?rQb(e)|0:0))h3b(f[c+4>>2]|0,e,509124,508828);i3b(a,d,e);h=f[e+52>>2]|0;if(!h){i=f[c+12>>2]|0;do if(b[e+38>>0]|0){j=f[e+56>>2]|0;k=e;if(!j){l=k-(f[(f[e+20>>2]|0)+80>>2]|0)|0;break}else{l=k-(f[j+40>>2]|0)|0;break}}else l=e-(f[(f[e+48>>2]|0)+20>>2]|0)|0;while(0);m=d;n=i+(((l|0)/88|0)<<2)|0;o=f[n>>2]|0;p=m+o|0;q=f[p>>2]|0;r=q+24|0;s=f[r>>2]|0;yh[s&2047](p,a);u=g;return}l=(h-(f[(f[h+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[d+((l<<2)+(f[c+32>>2]|0))>>2]|0)==(f[e+40>>2]|0)){m=d;n=(f[c+12>>2]|0)+((f[(f[e+48>>2]|0)+52>>2]|0)+l<<2)|0;o=f[n>>2]|0;p=m+o|0;q=f[p>>2]|0;r=q+24|0;s=f[r>>2]|0;yh[s&2047](p,a);u=g;return}l=f[c+8>>2]|0;d=f[c+12>>2]|0;do if(b[e+38>>0]|0){c=f[e+56>>2]|0;h=e;if(!c){t=h-(f[(f[e+20>>2]|0)+80>>2]|0)|0;break}else{t=h-(f[c+40>>2]|0)|0;break}}else t=e-(f[(f[e+48>>2]|0)+20>>2]|0)|0;while(0);m=l;n=d+(((t|0)/88|0)<<2)|0;o=f[n>>2]|0;p=m+o|0;q=f[p>>2]|0;r=q+24|0;s=f[r>>2]|0;yh[s&2047](p,a);u=g;return}function e3b(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;g=u;u=u+16|0;h=g;i=f[e+24>>2]|0;if(i|0?(f[i>>2]|0)!=2:0){f[h>>2]=110384;f[h+4>>2]=1962;b[h+8>>0]=0;f[h+12>>2]=e;xLb(i,h)}if(!((f[e+28>>2]|0)==11?rQb(e)|0:0))h3b(f[c+4>>2]|0,e,509115,508828);i3b(a,d,e);h=f[e+52>>2]|0;if(!h){i=f[c+12>>2]|0;do if(b[e+38>>0]|0){j=f[e+56>>2]|0;k=e;if(!j){l=k-(f[(f[e+20>>2]|0)+80>>2]|0)|0;break}else{l=k-(f[j+40>>2]|0)|0;break}}else l=e-(f[(f[e+48>>2]|0)+20>>2]|0)|0;while(0);m=d;n=i+(((l|0)/88|0)<<2)|0;o=f[n>>2]|0;p=m+o|0;q=f[p>>2]|0;r=q+28|0;s=f[r>>2]|0;yh[s&2047](p,a);u=g;return}l=(h-(f[(f[h+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[d+((l<<2)+(f[c+32>>2]|0))>>2]|0)==(f[e+40>>2]|0)){m=d;n=(f[c+12>>2]|0)+((f[(f[e+48>>2]|0)+52>>2]|0)+l<<2)|0;o=f[n>>2]|0;p=m+o|0;q=f[p>>2]|0;r=q+28|0;s=f[r>>2]|0;yh[s&2047](p,a);u=g;return}l=f[c+8>>2]|0;d=f[c+12>>2]|0;do if(b[e+38>>0]|0){c=f[e+56>>2]|0;h=e;if(!c){t=h-(f[(f[e+20>>2]|0)+80>>2]|0)|0;break}else{t=h-(f[c+40>>2]|0)|0;break}}else t=e-(f[(f[e+48>>2]|0)+20>>2]|0)|0;while(0);m=l;n=d+(((t|0)/88|0)<<2)|0;o=f[n>>2]|0;p=m+o|0;q=f[p>>2]|0;r=q+28|0;s=f[r>>2]|0;yh[s&2047](p,a);u=g;return}function f3b(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;e=u;u=u+16|0;g=e;h=f[d+24>>2]|0;if(h|0?(f[h>>2]|0)!=2:0){f[g>>2]=110384;f[g+4>>2]=1962;b[g+8>>0]=0;f[g+12>>2]=d;xLb(h,g)}if(!((f[d+28>>2]|0)==11?rQb(d)|0:0))h3b(f[a+4>>2]|0,d,509105,508828);g=f[d+52>>2]|0;if(!g){h=f[a+12>>2]|0;do if(b[d+38>>0]|0){i=f[d+56>>2]|0;j=d;if(!i){k=j-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{k=j-(f[i+40>>2]|0)|0;break}}else k=d-(f[(f[d+48>>2]|0)+20>>2]|0)|0;while(0);l=c;m=h+(((k|0)/88|0)<<2)|0;n=f[m>>2]|0;o=l+n|0;p=f[o>>2]|0;q=p+32|0;r=f[q>>2]|0;s=di[r&1023](o)|0;u=e;return s|0}k=(g-(f[(f[g+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((k<<2)+(f[a+32>>2]|0))>>2]|0)==(f[d+40>>2]|0)){l=c;m=(f[a+12>>2]|0)+((f[(f[d+48>>2]|0)+52>>2]|0)+k<<2)|0;n=f[m>>2]|0;o=l+n|0;p=f[o>>2]|0;q=p+32|0;r=f[q>>2]|0;s=di[r&1023](o)|0;u=e;return s|0}k=f[a+8>>2]|0;c=f[a+12>>2]|0;do if(b[d+38>>0]|0){a=f[d+56>>2]|0;g=d;if(!a){t=g-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{t=g-(f[a+40>>2]|0)|0;break}}else t=d-(f[(f[d+48>>2]|0)+20>>2]|0)|0;while(0);l=k;m=c+(((t|0)/88|0)<<2)|0;n=f[m>>2]|0;o=l+n|0;p=f[o>>2]|0;q=p+32|0;r=f[q>>2]|0;s=di[r&1023](o)|0;u=e;return s|0}function g3b(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0;e=u;u=u+16|0;g=e;h=f[d+24>>2]|0;if(h|0?(f[h>>2]|0)!=2:0){f[g>>2]=110384;f[g+4>>2]=1962;b[g+8>>0]=0;f[g+12>>2]=d;xLb(h,g)}if(!((f[d+28>>2]|0)==11?rQb(d)|0:0))h3b(f[a+4>>2]|0,d,508815,508828);g=f[d+52>>2]|0;if(g|0){i=(f[a+12>>2]|0)+(((g-(f[(f[g+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[d+48>>2]|0)+52>>2]|0)<<2)|0;j=f[i>>2]|0;k=c+j|0;u=e;return k|0}g=f[a+12>>2]|0;do if(b[d+38>>0]|0){a=f[d+56>>2]|0;h=d;if(!a){l=h-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{l=h-(f[a+40>>2]|0)|0;break}}else l=d-(f[(f[d+48>>2]|0)+20>>2]|0)|0;while(0);i=g+(((l|0)/88|0)<<2)|0;j=f[i>>2]|0;k=c+j|0;u=e;return k|0}function h3b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0;e=u;u=u+32|0;g=e;iLb(g,3,508854,101);h=dLb(dLb(dLb(g,508964)|0,c)|0,509051)|0;c=dLb(eLb(h,f[a+4>>2]|0)|0,509069)|0;fLb(e+24|0,dLb(dLb(eLb(c,f[b+4>>2]|0)|0,509087)|0,d)|0);jLb(g);u=e;return}function i3b(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;e=u;u=u+32|0;g=e+16|0;h=e;i=a+8|0;j=a+16|0;f[j>>2]=0;f[a+24>>2]=0;k=a+28|0;f[k>>2]=0;yh[f[(f[c>>2]|0)+96>>2]&2047](g,c);l=f[g+4>>2]|0;m=li[f[(f[l>>2]|0)+364>>2]&511](l,c,d)|0;c=a+4|0;f[c>>2]=m;m=tQb(d)|0;l=h+4|0;f[l>>2]=0;f[l+4>>2]=0;l=h+11|0;b[l>>0]=3;b[h>>0]=b[513622]|0;b[h+1>>0]=b[513623]|0;b[h+2>>0]=b[513624]|0;b[h+3>>0]=0;n=kQb(m,h)|0;m=f[n+24>>2]|0;if(m|0?(f[m>>2]|0)!=2:0){f[g>>2]=110384;f[g+4>>2]=1962;b[g+8>>0]=0;f[g+12>>2]=n;xLb(m,g)}m=f[151812+(f[n+28>>2]<<2)>>2]|0;n=f[j>>2]|0;if((n|0)!=(m|0)){if((n|0)==9?(n=f[i>>2]|0,n|0):0){if((b[n+11>>0]|0)<0)fuc(f[n>>2]|0);fuc(n)}f[j>>2]=m;if((m|0)==9){m=cuc(12)|0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[i>>2]=m}}if((b[l>>0]|0)<0)fuc(f[h>>2]|0);l=tQb(d)|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;d=h+11|0;b[d>>0]=5;b[h>>0]=b[513626]|0;b[h+1>>0]=b[513627]|0;b[h+2>>0]=b[513628]|0;b[h+3>>0]=b[513629]|0;b[h+4>>0]=b[513630]|0;b[h+5>>0]=0;m=kQb(l,h)|0;l=f[m+24>>2]|0;if(l|0?(f[l>>2]|0)!=2:0){f[g>>2]=110384;f[g+4>>2]=1962;b[g+8>>0]=0;f[g+12>>2]=m;xLb(l,g)}f[k>>2]=f[151812+(f[m+28>>2]<<2)>>2];if((b[d>>0]|0)>=0){o=f[c>>2]|0;p=f[o>>2]|0;q=p+48|0;r=f[q>>2]|0;yh[r&2047](o,a);u=e;return}fuc(f[h>>2]|0);o=f[c>>2]|0;p=f[o>>2]|0;q=p+48|0;r=f[q>>2]|0;yh[r&2047](o,a);u=e;return}function j3b(a){a=a|0;var c=0;if((f[a+8>>2]|0)!=9)return;c=f[a>>2]|0;if(!c)return;if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c);return}function k3b(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0;g=u;u=u+48|0;h=g+24|0;i=g;j=g+40|0;iLb(i,3,508854,127);k=dLb(dLb(dLb(i,508964)|0,d)|0,509051)|0;d=dLb(eLb(k,f[a+4>>2]|0)|0,509069)|0;a=dLb(eLb(d,f[c+4>>2]|0)|0,509786)|0;d=dLb(dLb(a,f[157640+(e<<2)>>2]|0)|0,509866)|0;e=f[c+24>>2]|0;if(e|0?(f[e>>2]|0)!=2:0){f[h>>2]=110384;f[h+4>>2]=1962;b[h+8>>0]=0;f[h+12>>2]=c;xLb(e,h)}fLb(j,dLb(d,f[157640+(f[151812+(f[c+28>>2]<<2)>>2]<<2)>>2]|0)|0);jLb(i);u=g;return}function l3b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;if(!((c|0)==0&(d|0)!=0))if((d|0)!=(c|0)){e=v9b(b,d)|0;m3b(b,e);if((b|0)==0|(c|0)!=0)g=e;else{bi[f[(f[b>>2]|0)+4>>2]&2047](b);g=e}}else g=b;else{V0b(d,b);g=b}b=a+12|0;d=f[b>>2]|0;e=f[a+8>>2]|0;c=a+4|0;do if((d|0)!=0?(h=f[c>>2]|0,(h|0)!=(e|0)):0){i=f[d>>2]|0;if((i|0)==(e|0)){j=f[d+4+(h<<2)>>2]|0;if((j|0)==0|(f[a>>2]|0)!=0){k=d;break}bi[f[(f[j>>2]|0)+4>>2]&2047](j);k=f[b>>2]|0;break}if((h|0)<(i|0)){f[d+4+(i<<2)>>2]=f[d+4+(h<<2)>>2];h=f[b>>2]|0;l=h;m=f[h>>2]|0}else{l=d;m=i}f[l>>2]=m+1;k=l}else n=8;while(0);if((n|0)==8){LKb(a,e+1|0);e=f[b>>2]|0;f[e>>2]=(f[e>>2]|0)+1;k=e}e=f[c>>2]|0;f[c>>2]=e+1;f[k+4+(e<<2)>>2]=g;return}function m3b(a,b){a=a|0;b=b|0;yh[f[(f[b>>2]|0)+76>>2]&2047](b,a);return}function n3b(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0;g=u;u=u+16|0;h=g;if(b[d+38>>0]|0){i=c+(f[a+28>>2]|0)|0;j=f[d+40>>2]|0;k=f[d+24>>2]|0;if(k|0?(f[k>>2]|0)!=2:0){f[h>>2]=110384;f[h+4>>2]=1962;b[h+8>>0]=0;f[h+12>>2]=d;xLb(k,h)}idc(i,j,f[d+28>>2]&255,(b[(f[d+68>>2]|0)+52>>0]|0)!=0,e,d);u=g;return}j=f[d+52>>2]|0;i=f[d+48>>2]|0;if(!j)l=(d-(f[i+20>>2]|0)|0)/88|0;else l=((j-(f[(f[j+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[i+52>>2]|0)|0;i=c+(f[(f[a+12>>2]|0)+(l<<2)>>2]|0)|0;l=f[i>>2]|0;if((l|0)==(f[i+4>>2]|0)){NEa(i,l+1|0);m=f[i>>2]|0}else m=l;l=f[i+8>>2]|0;f[i>>2]=m+1;f[l+4+(m<<2)>>2]=e;u=g;return}function o3b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0;e=u;u=u+32|0;g=e;iLb(g,3,508854,140);h=dLb(dLb(dLb(g,508964)|0,c)|0,509051)|0;c=dLb(eLb(h,f[a+4>>2]|0)|0,509069)|0;a=dLb(eLb(c,f[b+4>>2]|0)|0,510246)|0;c=(uQb(b)|0)+4|0;b=dLb(eLb(a,f[c>>2]|0)|0,510317)|0;fLb(e+24|0,eLb(b,f[d+4>>2]|0)|0);jLb(g);u=e;return}function p3b(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;g=u;u=u+16|0;h=g;i=d+48|0;j=a+4|0;k=f[j>>2]|0;if((f[i>>2]|0)!=(k|0))h3b(k,d,510858,510114);k=d+32|0;if((f[k>>2]|0)==3)h3b(f[j>>2]|0,d,510858,510873);l=f[d+24>>2]|0;if(l|0?(f[l>>2]|0)!=2:0){f[h>>2]=110384;f[h+4>>2]=1962;b[h+8>>0]=0;f[h+12>>2]=d;xLb(l,h)}if((f[151812+(f[d+28>>2]<<2)>>2]|0)!=10)k3b(f[j>>2]|0,d,510858,10);if(!e)m=f[a+48>>2]|0;else m=e;if(b[d+38>>0]|0){n=n1b(c+(f[a+28>>2]|0)|0,d,m)|0;u=g;return n|0}m=f[d+52>>2]|0;e=(m|0)==0;if((f[k>>2]|0)==3)if(e)o=21;else o=19;else if(e){e=f[a+20>>2]|0;if((e|0)==-1)o=21;else{k=f[(f[a+16>>2]|0)+(((d-(f[(f[i>>2]|0)+20>>2]|0)|0)/88|0)<<2)>>2]|0;j=c+e+(k>>>5<<2)|0;f[j>>2]=f[j>>2]&~(1<<(k&31));o=21}}else o=19;do if((o|0)==19){k=(m-(f[(f[m+8>>2]|0)+24>>2]|0)|0)/28|0;j=c+((k<<2)+(f[a+32>>2]|0))|0;if((f[j>>2]|0)==(f[d+40>>2]|0)){f[j>>2]=0;p=c;q=(f[a+12>>2]|0)+(k+(f[(f[i>>2]|0)+52>>2]|0)<<2)|0;break}else{n=0;u=g;return n|0}}else if((o|0)==21){p=c;q=(f[a+12>>2]|0)+(((d-(f[(f[i>>2]|0)+20>>2]|0)|0)/88|0)<<2)|0}while(0);i=p+(f[q>>2]|0)|0;q=f[i>>2]|0;f[i>>2]=0;n=q;u=g;return n|0}function q3b(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;g=u;u=u+16|0;h=g;i=e+48|0;j=a+4|0;k=f[j>>2]|0;if((f[i>>2]|0)!=(k|0))h3b(k,e,510930,510114);if((f[e+32>>2]|0)==3)h3b(f[j>>2]|0,e,510930,510873);k=e+24|0;l=f[k>>2]|0;if(l|0?(f[l>>2]|0)!=2:0){f[h>>2]=110384;f[h+4>>2]=1962;b[h+8>>0]=0;f[h+12>>2]=e;xLb(l,h)}l=e+28|0;if((f[151812+(f[l>>2]<<2)>>2]|0)!=10)k3b(f[j>>2]|0,e,510930,10);j=e+38|0;if(b[j>>0]|0){m=c+(f[a+28>>2]|0)|0;n=f[e+40>>2]|0;o=f[k>>2]|0;if(o|0?(f[o>>2]|0)!=2:0){f[h>>2]=110384;f[h+4>>2]=1962;b[h+8>>0]=0;f[h+12>>2]=e;xLb(o,h)}pdc(m,n,f[l>>2]&255,e,d);u=g;return}l=e+52|0;n=f[l>>2]|0;m=(d|0)==0;if(n|0){H1b(a,c,n);if(m){u=g;return}n=f[l>>2]|0;if(!n){h=f[a+12>>2]|0;do if(b[j>>0]|0){o=f[e+56>>2]|0;k=e;if(!o){p=k-(f[(f[e+20>>2]|0)+80>>2]|0)|0;break}else{p=k-(f[o+40>>2]|0)|0;break}}else p=e-(f[(f[i>>2]|0)+20>>2]|0)|0;while(0);q=h+(((p|0)/88|0)<<2)|0}else q=(f[a+12>>2]|0)+(((n-(f[(f[n+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[i>>2]|0)+52>>2]|0)<<2)|0;f[c+(f[q>>2]|0)>>2]=d;q=f[l>>2]|0;f[c+((((q-(f[(f[q+8>>2]|0)+24>>2]|0)|0)/28|0)<<2)+(f[a+32>>2]|0))>>2]=f[e+40>>2];u=g;return}q=f[a+20>>2]|0;l=(q|0)==-1;if(m){if(!l){m=f[(f[a+16>>2]|0)+(((e-(f[(f[i>>2]|0)+20>>2]|0)|0)/88|0)<<2)>>2]|0;n=c+q+(m>>>5<<2)|0;f[n>>2]=f[n>>2]&~(1<<(m&31))}}else if(!l){l=f[(f[a+16>>2]|0)+(((e-(f[(f[i>>2]|0)+20>>2]|0)|0)/88|0)<<2)>>2]|0;m=c+q+(l>>>5<<2)|0;f[m>>2]=1<<(l&31)|f[m>>2]}m=c+(f[(f[a+12>>2]|0)+(((e-(f[(f[i>>2]|0)+20>>2]|0)|0)/88|0)<<2)>>2]|0)|0;i=f[c+(f[a+24>>2]|0)>>2]|0;a=i&-2;if(!(i&1))r=a;else r=f[a+4>>2]|0;if((r|0)==0?(r=f[m>>2]|0,r|0):0)bi[f[(f[r>>2]|0)+4>>2]&2047](r);f[m>>2]=d;u=g;return}function r3b(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0;g=u;u=u+32|0;h=g+8|0;i=g;f[i>>2]=e;if(!(b[d+38>>0]|0)){s3b(a,c,d,i);u=g;return}e=c+(f[a+28>>2]|0)|0;a=f[d+40>>2]|0;c=f[d+24>>2]|0;if(c|0?(f[c>>2]|0)!=2:0){f[h>>2]=110384;f[h+4>>2]=1962;b[h+8>>0]=0;f[h+12>>2]=d;xLb(c,h)}fdc(e,a,f[d+28>>2]&255,f[i>>2]|0,d);u=g;return}function s3b(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;g=d+52|0;h=f[g>>2]|0;do if(!h)i=f[e>>2]|0;else{if((f[c+((((h-(f[(f[h+8>>2]|0)+24>>2]|0)|0)/28|0)<<2)+(f[a+32>>2]|0))>>2]|0)!=(f[d+40>>2]|0)){H1b(a,c,h);j=f[g>>2]|0;k=f[e>>2]|0;if(!j){i=k;break}else{l=j;m=k}}else{l=h;m=f[e>>2]|0}f[c+(f[(f[a+12>>2]|0)+(((l-(f[(f[l+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[d+48>>2]|0)+52>>2]|0)<<2)>>2]|0)>>2]=m;f[c+((((l-(f[(f[l+8>>2]|0)+24>>2]|0)|0)/28|0)<<2)+(f[a+32>>2]|0))>>2]=f[d+40>>2];return}while(0);l=f[a+12>>2]|0;do if(b[d+38>>0]|0){m=f[d+56>>2]|0;e=d;if(!m){n=e-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{n=e-(f[m+40>>2]|0)|0;break}}else n=d-(f[(f[d+48>>2]|0)+20>>2]|0)|0;while(0);f[c+(f[l+(((n|0)/88|0)<<2)>>2]|0)>>2]=i;i=f[a+20>>2]|0;if((i|0)==-1)return;n=f[a+16>>2]|0;do if(b[d+38>>0]|0){a=f[d+56>>2]|0;l=d;if(!a){o=l-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{o=l-(f[a+40>>2]|0)|0;break}}else o=d-(f[(f[d+48>>2]|0)+20>>2]|0)|0;while(0);d=f[n+(((o|0)/88|0)<<2)>>2]|0;o=c+i+(d>>>5<<2)|0;f[o>>2]=1<<(d&31)|f[o>>2];return}function t3b(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;g=d+52|0;h=f[g>>2]|0;do if(!h)i=b[e>>0]|0;else{if((f[c+((((h-(f[(f[h+8>>2]|0)+24>>2]|0)|0)/28|0)<<2)+(f[a+32>>2]|0))>>2]|0)!=(f[d+40>>2]|0)){H1b(a,c,h);j=f[g>>2]|0;k=b[e>>0]|0;if(!j){i=k;break}else{l=j;m=k}}else{l=h;m=b[e>>0]|0}b[c+(f[(f[a+12>>2]|0)+(((l-(f[(f[l+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[d+48>>2]|0)+52>>2]|0)<<2)>>2]|0)>>0]=m;f[c+((((l-(f[(f[l+8>>2]|0)+24>>2]|0)|0)/28|0)<<2)+(f[a+32>>2]|0))>>2]=f[d+40>>2];return}while(0);l=f[a+12>>2]|0;do if(b[d+38>>0]|0){m=f[d+56>>2]|0;e=d;if(!m){n=e-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{n=e-(f[m+40>>2]|0)|0;break}}else n=d-(f[(f[d+48>>2]|0)+20>>2]|0)|0;while(0);b[c+(f[l+(((n|0)/88|0)<<2)>>2]|0)>>0]=i;i=f[a+20>>2]|0;if((i|0)==-1)return;n=f[a+16>>2]|0;do if(b[d+38>>0]|0){a=f[d+56>>2]|0;l=d;if(!a){o=l-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{o=l-(f[a+40>>2]|0)|0;break}}else o=d-(f[(f[d+48>>2]|0)+20>>2]|0)|0;while(0);d=f[n+(((o|0)/88|0)<<2)>>2]|0;o=c+i+(d>>>5<<2)|0;f[o>>2]=1<<(d&31)|f[o>>2];return}function u3b(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0.0,j=0,k=0.0,l=0,m=0.0,n=0,o=0;g=d+52|0;h=f[g>>2]|0;do if(!h)i=+p[e>>3];else{if((f[c+((((h-(f[(f[h+8>>2]|0)+24>>2]|0)|0)/28|0)<<2)+(f[a+32>>2]|0))>>2]|0)!=(f[d+40>>2]|0)){H1b(a,c,h);j=f[g>>2]|0;k=+p[e>>3];if(!j){i=k;break}else{l=j;m=k}}else{l=h;m=+p[e>>3]}p[c+(f[(f[a+12>>2]|0)+(((l-(f[(f[l+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[d+48>>2]|0)+52>>2]|0)<<2)>>2]|0)>>3]=m;f[c+((((l-(f[(f[l+8>>2]|0)+24>>2]|0)|0)/28|0)<<2)+(f[a+32>>2]|0))>>2]=f[d+40>>2];return}while(0);l=f[a+12>>2]|0;do if(b[d+38>>0]|0){e=f[d+56>>2]|0;h=d;if(!e){n=h-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{n=h-(f[e+40>>2]|0)|0;break}}else n=d-(f[(f[d+48>>2]|0)+20>>2]|0)|0;while(0);p[c+(f[l+(((n|0)/88|0)<<2)>>2]|0)>>3]=i;n=f[a+20>>2]|0;if((n|0)==-1)return;l=f[a+16>>2]|0;do if(b[d+38>>0]|0){a=f[d+56>>2]|0;e=d;if(!a){o=e-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{o=e-(f[a+40>>2]|0)|0;break}}else o=d-(f[(f[d+48>>2]|0)+20>>2]|0)|0;while(0);d=f[l+(((o|0)/88|0)<<2)>>2]|0;o=c+n+(d>>>5<<2)|0;f[o>>2]=1<<(d&31)|f[o>>2];return}function v3b(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;g=d+52|0;h=f[g>>2]|0;do if(!h)i=f[e>>2]|0;else{if((f[c+((((h-(f[(f[h+8>>2]|0)+24>>2]|0)|0)/28|0)<<2)+(f[a+32>>2]|0))>>2]|0)!=(f[d+40>>2]|0)){H1b(a,c,h);j=f[g>>2]|0;k=f[e>>2]|0;if(!j){i=k;break}else{l=j;m=k}}else{l=h;m=f[e>>2]|0}f[c+(f[(f[a+12>>2]|0)+(((l-(f[(f[l+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[d+48>>2]|0)+52>>2]|0)<<2)>>2]|0)>>2]=m;f[c+((((l-(f[(f[l+8>>2]|0)+24>>2]|0)|0)/28|0)<<2)+(f[a+32>>2]|0))>>2]=f[d+40>>2];return}while(0);l=f[a+12>>2]|0;do if(b[d+38>>0]|0){m=f[d+56>>2]|0;e=d;if(!m){n=e-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{n=e-(f[m+40>>2]|0)|0;break}}else n=d-(f[(f[d+48>>2]|0)+20>>2]|0)|0;while(0);f[c+(f[l+(((n|0)/88|0)<<2)>>2]|0)>>2]=i;i=f[a+20>>2]|0;if((i|0)==-1)return;n=f[a+16>>2]|0;do if(b[d+38>>0]|0){a=f[d+56>>2]|0;l=d;if(!a){o=l-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{o=l-(f[a+40>>2]|0)|0;break}}else o=d-(f[(f[d+48>>2]|0)+20>>2]|0)|0;while(0);d=f[n+(((o|0)/88|0)<<2)>>2]|0;o=c+i+(d>>>5<<2)|0;f[o>>2]=1<<(d&31)|f[o>>2];return}function w3b(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;g=d+52|0;h=f[g>>2]|0;do if(!h){i=e;j=f[i>>2]|0;k=f[i+4>>2]|0}else{if((f[c+((((h-(f[(f[h+8>>2]|0)+24>>2]|0)|0)/28|0)<<2)+(f[a+32>>2]|0))>>2]|0)!=(f[d+40>>2]|0)){H1b(a,c,h);i=f[g>>2]|0;l=e;m=f[l>>2]|0;n=f[l+4>>2]|0;if(!i){j=m;k=n;break}else{o=i;p=m;q=n}}else{n=e;o=h;p=f[n>>2]|0;q=f[n+4>>2]|0}n=c+(f[(f[a+12>>2]|0)+(((o-(f[(f[o+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[d+48>>2]|0)+52>>2]|0)<<2)>>2]|0)|0;f[n>>2]=p;f[n+4>>2]=q;f[c+((((o-(f[(f[o+8>>2]|0)+24>>2]|0)|0)/28|0)<<2)+(f[a+32>>2]|0))>>2]=f[d+40>>2];return}while(0);o=f[a+12>>2]|0;do if(b[d+38>>0]|0){q=f[d+56>>2]|0;p=d;if(!q){r=p-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{r=p-(f[q+40>>2]|0)|0;break}}else r=d-(f[(f[d+48>>2]|0)+20>>2]|0)|0;while(0);q=c+(f[o+(((r|0)/88|0)<<2)>>2]|0)|0;f[q>>2]=j;f[q+4>>2]=k;k=f[a+20>>2]|0;if((k|0)==-1)return;q=f[a+16>>2]|0;do if(b[d+38>>0]|0){a=f[d+56>>2]|0;j=d;if(!a){s=j-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{s=j-(f[a+40>>2]|0)|0;break}}else s=d-(f[(f[d+48>>2]|0)+20>>2]|0)|0;while(0);d=f[q+(((s|0)/88|0)<<2)>>2]|0;s=c+k+(d>>>5<<2)|0;f[s>>2]=1<<(d&31)|f[s>>2];return}function x3b(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;g=d+52|0;h=f[g>>2]|0;do if(!h)i=f[e>>2]|0;else{if((f[c+((((h-(f[(f[h+8>>2]|0)+24>>2]|0)|0)/28|0)<<2)+(f[a+32>>2]|0))>>2]|0)!=(f[d+40>>2]|0)){H1b(a,c,h);j=f[g>>2]|0;k=f[e>>2]|0;if(!j){i=k;break}else{l=j;m=k}}else{l=h;m=f[e>>2]|0}f[c+(f[(f[a+12>>2]|0)+(((l-(f[(f[l+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[d+48>>2]|0)+52>>2]|0)<<2)>>2]|0)>>2]=m;f[c+((((l-(f[(f[l+8>>2]|0)+24>>2]|0)|0)/28|0)<<2)+(f[a+32>>2]|0))>>2]=f[d+40>>2];return}while(0);l=f[a+12>>2]|0;do if(b[d+38>>0]|0){m=f[d+56>>2]|0;e=d;if(!m){n=e-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{n=e-(f[m+40>>2]|0)|0;break}}else n=d-(f[(f[d+48>>2]|0)+20>>2]|0)|0;while(0);f[c+(f[l+(((n|0)/88|0)<<2)>>2]|0)>>2]=i;i=f[a+20>>2]|0;if((i|0)==-1)return;n=f[a+16>>2]|0;do if(b[d+38>>0]|0){a=f[d+56>>2]|0;l=d;if(!a){o=l-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{o=l-(f[a+40>>2]|0)|0;break}}else o=d-(f[(f[d+48>>2]|0)+20>>2]|0)|0;while(0);d=f[n+(((o|0)/88|0)<<2)>>2]|0;o=c+i+(d>>>5<<2)|0;f[o>>2]=1<<(d&31)|f[o>>2];return}function y3b(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;g=d+52|0;h=f[g>>2]|0;do if(!h){i=e;j=f[i>>2]|0;k=f[i+4>>2]|0}else{if((f[c+((((h-(f[(f[h+8>>2]|0)+24>>2]|0)|0)/28|0)<<2)+(f[a+32>>2]|0))>>2]|0)!=(f[d+40>>2]|0)){H1b(a,c,h);i=f[g>>2]|0;l=e;m=f[l>>2]|0;n=f[l+4>>2]|0;if(!i){j=m;k=n;break}else{o=i;p=m;q=n}}else{n=e;o=h;p=f[n>>2]|0;q=f[n+4>>2]|0}n=c+(f[(f[a+12>>2]|0)+(((o-(f[(f[o+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[d+48>>2]|0)+52>>2]|0)<<2)>>2]|0)|0;f[n>>2]=p;f[n+4>>2]=q;f[c+((((o-(f[(f[o+8>>2]|0)+24>>2]|0)|0)/28|0)<<2)+(f[a+32>>2]|0))>>2]=f[d+40>>2];return}while(0);o=f[a+12>>2]|0;do if(b[d+38>>0]|0){q=f[d+56>>2]|0;p=d;if(!q){r=p-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{r=p-(f[q+40>>2]|0)|0;break}}else r=d-(f[(f[d+48>>2]|0)+20>>2]|0)|0;while(0);q=c+(f[o+(((r|0)/88|0)<<2)>>2]|0)|0;f[q>>2]=j;f[q+4>>2]=k;k=f[a+20>>2]|0;if((k|0)==-1)return;q=f[a+16>>2]|0;do if(b[d+38>>0]|0){a=f[d+56>>2]|0;j=d;if(!a){s=j-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{s=j-(f[a+40>>2]|0)|0;break}}else s=d-(f[(f[d+48>>2]|0)+20>>2]|0)|0;while(0);d=f[q+(((s|0)/88|0)<<2)>>2]|0;s=c+k+(d>>>5<<2)|0;f[s>>2]=1<<(d&31)|f[s>>2];return}function z3b(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=a+8|0;d=f[a>>2]|0;if((f[c>>2]|0)-d>>2>>>0>=b>>>0)return;e=a+4|0;if(b>>>0>1073741823){g=ze(8)|0;kuc(g,519086);f[g>>2]=167148;Hf(g|0,26888,1888)}g=(f[e>>2]|0)-d|0;h=g>>2;i=cuc(b<<2)|0;j=i+(h<<2)|0;k=j+(0-h<<2)|0;if((g|0)>0)szc(k|0,d|0,g|0)|0;f[a>>2]=k;f[e>>2]=j;f[c>>2]=i+(b<<2);if(!d)return;fuc(d);return}function A3b(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0;e=u;u=u+48|0;g=e+24|0;h=e;i=e+40|0;j=a+8|0;k=f[a+20>>2]|0;if((k|0)!=-1){l=c+k|0;k=f[a+16>>2]|0;do if(b[d+38>>0]|0){m=f[d+56>>2]|0;o=d;if(!m){q=o-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{q=o-(f[m+40>>2]|0)|0;break}}else q=d-(f[(f[d+48>>2]|0)+20>>2]|0)|0;while(0);m=f[k+(((q|0)/88|0)<<2)>>2]|0;r=(1<<(m&31)&f[l+(m>>>5<<2)>>2]|0)!=0;u=e;return r|0}m=d+24|0;l=f[m>>2]|0;if(l|0?(f[l>>2]|0)!=2:0){f[g>>2]=110384;f[g+4>>2]=1962;b[g+8>>0]=0;f[g+12>>2]=d;xLb(l,g)}l=d+28|0;if((f[151812+(f[l>>2]<<2)>>2]|0)==10){q=f[j>>2]|0;if((q|0)==(c|0)){r=0;u=e;return r|0}k=f[d+52>>2]|0;do if(!k){o=f[a+12>>2]|0;do if(b[d+38>>0]|0){s=f[d+56>>2]|0;t=d;if(!s){v=t-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{v=t-(f[s+40>>2]|0)|0;break}}else v=d-(f[(f[d+48>>2]|0)+20>>2]|0)|0;while(0);w=c;x=o+(((v|0)/88|0)<<2)|0}else{s=(k-(f[(f[k+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((s<<2)+(f[a+32>>2]|0))>>2]|0)==(f[d+40>>2]|0)){w=c;x=(f[a+12>>2]|0)+((f[(f[d+48>>2]|0)+52>>2]|0)+s<<2)|0;break}s=f[a+12>>2]|0;do if(b[d+38>>0]|0){t=f[d+56>>2]|0;y=d;if(!t){z=y-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{z=y-(f[t+40>>2]|0)|0;break}}else z=d-(f[(f[d+48>>2]|0)+20>>2]|0)|0;while(0);w=q;x=s+(((z|0)/88|0)<<2)|0}while(0);r=(f[w+(f[x>>2]|0)>>2]|0)!=0;u=e;return r|0}x=f[m>>2]|0;if(x|0?(f[x>>2]|0)!=2:0){f[g>>2]=110384;f[g+4>>2]=1962;b[g+8>>0]=0;f[g+12>>2]=d;xLb(x,g)}do switch(f[151812+(f[l>>2]<<2)>>2]|0){case 9:{g=f[d+52>>2]|0;do if(!g){x=f[a+12>>2]|0;do if(b[d+38>>0]|0){m=f[d+56>>2]|0;w=d;if(!m){A=w-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{A=w-(f[m+40>>2]|0)|0;break}}else A=d-(f[(f[d+48>>2]|0)+20>>2]|0)|0;while(0);B=c;C=x+(((A|0)/88|0)<<2)|0}else{m=(g-(f[(f[g+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((m<<2)+(f[a+32>>2]|0))>>2]|0)==(f[d+40>>2]|0)){B=c;C=(f[a+12>>2]|0)+((f[(f[d+48>>2]|0)+52>>2]|0)+m<<2)|0;break}m=f[j>>2]|0;w=f[a+12>>2]|0;do if(b[d+38>>0]|0){z=f[d+56>>2]|0;q=d;if(!z){D=q-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{D=q-(f[z+40>>2]|0)|0;break}}else D=d-(f[(f[d+48>>2]|0)+20>>2]|0)|0;while(0);B=m;C=w+(((D|0)/88|0)<<2)|0}while(0);g=f[B+(f[C>>2]|0)>>2]|0;s=b[g+11>>0]|0;if(s<<24>>24<0)E=f[g+4>>2]|0;else E=s&255;r=(E|0)!=0;u=e;return r|0}case 7:{s=f[d+52>>2]|0;do if(!s){g=f[a+12>>2]|0;do if(b[d+38>>0]|0){x=f[d+56>>2]|0;z=d;if(!x){F=z-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{F=z-(f[x+40>>2]|0)|0;break}}else F=d-(f[(f[d+48>>2]|0)+20>>2]|0)|0;while(0);G=c;H=g+(((F|0)/88|0)<<2)|0}else{w=(s-(f[(f[s+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((w<<2)+(f[a+32>>2]|0))>>2]|0)==(f[d+40>>2]|0)){G=c;H=(f[a+12>>2]|0)+((f[(f[d+48>>2]|0)+52>>2]|0)+w<<2)|0;break}w=f[j>>2]|0;m=f[a+12>>2]|0;do if(b[d+38>>0]|0){x=f[d+56>>2]|0;z=d;if(!x){I=z-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{I=z-(f[x+40>>2]|0)|0;break}}else I=d-(f[(f[d+48>>2]|0)+20>>2]|0)|0;while(0);G=w;H=m+(((I|0)/88|0)<<2)|0}while(0);r=(b[G+(f[H>>2]|0)>>0]|0)!=0;u=e;return r|0}case 1:{s=f[d+52>>2]|0;do if(!s){g=f[a+12>>2]|0;do if(b[d+38>>0]|0){x=f[d+56>>2]|0;z=d;if(!x){J=z-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{J=z-(f[x+40>>2]|0)|0;break}}else J=d-(f[(f[d+48>>2]|0)+20>>2]|0)|0;while(0);K=c;L=g+(((J|0)/88|0)<<2)|0}else{m=(s-(f[(f[s+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((m<<2)+(f[a+32>>2]|0))>>2]|0)==(f[d+40>>2]|0)){K=c;L=(f[a+12>>2]|0)+((f[(f[d+48>>2]|0)+52>>2]|0)+m<<2)|0;break}m=f[j>>2]|0;w=f[a+12>>2]|0;do if(b[d+38>>0]|0){x=f[d+56>>2]|0;z=d;if(!x){M=z-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{M=z-(f[x+40>>2]|0)|0;break}}else M=d-(f[(f[d+48>>2]|0)+20>>2]|0)|0;while(0);K=m;L=w+(((M|0)/88|0)<<2)|0}while(0);r=(f[K+(f[L>>2]|0)>>2]|0)!=0;u=e;return r|0}case 2:{s=f[d+52>>2]|0;do if(!s){g=f[a+12>>2]|0;do if(b[d+38>>0]|0){x=f[d+56>>2]|0;z=d;if(!x){N=z-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{N=z-(f[x+40>>2]|0)|0;break}}else N=d-(f[(f[d+48>>2]|0)+20>>2]|0)|0;while(0);O=c;P=g+(((N|0)/88|0)<<2)|0}else{w=(s-(f[(f[s+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((w<<2)+(f[a+32>>2]|0))>>2]|0)==(f[d+40>>2]|0)){O=c;P=(f[a+12>>2]|0)+((f[(f[d+48>>2]|0)+52>>2]|0)+w<<2)|0;break}w=f[j>>2]|0;m=f[a+12>>2]|0;do if(b[d+38>>0]|0){x=f[d+56>>2]|0;z=d;if(!x){Q=z-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{Q=z-(f[x+40>>2]|0)|0;break}}else Q=d-(f[(f[d+48>>2]|0)+20>>2]|0)|0;while(0);O=w;P=m+(((Q|0)/88|0)<<2)|0}while(0);s=O+(f[P>>2]|0)|0;r=(f[s>>2]|0)!=0|(f[s+4>>2]|0)!=0;u=e;return r|0}case 3:{s=f[d+52>>2]|0;do if(!s){g=f[a+12>>2]|0;do if(b[d+38>>0]|0){x=f[d+56>>2]|0;z=d;if(!x){R=z-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{R=z-(f[x+40>>2]|0)|0;break}}else R=d-(f[(f[d+48>>2]|0)+20>>2]|0)|0;while(0);S=c;T=g+(((R|0)/88|0)<<2)|0}else{m=(s-(f[(f[s+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((m<<2)+(f[a+32>>2]|0))>>2]|0)==(f[d+40>>2]|0)){S=c;T=(f[a+12>>2]|0)+((f[(f[d+48>>2]|0)+52>>2]|0)+m<<2)|0;break}m=f[j>>2]|0;w=f[a+12>>2]|0;do if(b[d+38>>0]|0){x=f[d+56>>2]|0;z=d;if(!x){U=z-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{U=z-(f[x+40>>2]|0)|0;break}}else U=d-(f[(f[d+48>>2]|0)+20>>2]|0)|0;while(0);S=m;T=w+(((U|0)/88|0)<<2)|0}while(0);r=(f[S+(f[T>>2]|0)>>2]|0)!=0;u=e;return r|0}case 4:{s=f[d+52>>2]|0;do if(!s){g=f[a+12>>2]|0;do if(b[d+38>>0]|0){x=f[d+56>>2]|0;z=d;if(!x){V=z-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{V=z-(f[x+40>>2]|0)|0;break}}else V=d-(f[(f[d+48>>2]|0)+20>>2]|0)|0;while(0);W=c;X=g+(((V|0)/88|0)<<2)|0}else{w=(s-(f[(f[s+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((w<<2)+(f[a+32>>2]|0))>>2]|0)==(f[d+40>>2]|0)){W=c;X=(f[a+12>>2]|0)+((f[(f[d+48>>2]|0)+52>>2]|0)+w<<2)|0;break}w=f[j>>2]|0;m=f[a+12>>2]|0;do if(b[d+38>>0]|0){x=f[d+56>>2]|0;z=d;if(!x){Y=z-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{Y=z-(f[x+40>>2]|0)|0;break}}else Y=d-(f[(f[d+48>>2]|0)+20>>2]|0)|0;while(0);W=w;X=m+(((Y|0)/88|0)<<2)|0}while(0);s=W+(f[X>>2]|0)|0;r=(f[s>>2]|0)!=0|(f[s+4>>2]|0)!=0;u=e;return r|0}case 6:{s=f[d+52>>2]|0;do if(!s){g=f[a+12>>2]|0;do if(b[d+38>>0]|0){x=f[d+56>>2]|0;z=d;if(!x){Z=z-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{Z=z-(f[x+40>>2]|0)|0;break}}else Z=d-(f[(f[d+48>>2]|0)+20>>2]|0)|0;while(0);_=c;$=g+(((Z|0)/88|0)<<2)|0}else{m=(s-(f[(f[s+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((m<<2)+(f[a+32>>2]|0))>>2]|0)==(f[d+40>>2]|0)){_=c;$=(f[a+12>>2]|0)+((f[(f[d+48>>2]|0)+52>>2]|0)+m<<2)|0;break}m=f[j>>2]|0;w=f[a+12>>2]|0;do if(b[d+38>>0]|0){x=f[d+56>>2]|0;z=d;if(!x){aa=z-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{aa=z-(f[x+40>>2]|0)|0;break}}else aa=d-(f[(f[d+48>>2]|0)+20>>2]|0)|0;while(0);_=m;$=w+(((aa|0)/88|0)<<2)|0}while(0);r=+n[_+(f[$>>2]|0)>>2]!=0.0;u=e;return r|0}case 5:{s=f[d+52>>2]|0;do if(!s){g=f[a+12>>2]|0;do if(b[d+38>>0]|0){x=f[d+56>>2]|0;z=d;if(!x){ba=z-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{ba=z-(f[x+40>>2]|0)|0;break}}else ba=d-(f[(f[d+48>>2]|0)+20>>2]|0)|0;while(0);ca=c;da=g+(((ba|0)/88|0)<<2)|0}else{w=(s-(f[(f[s+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((w<<2)+(f[a+32>>2]|0))>>2]|0)==(f[d+40>>2]|0)){ca=c;da=(f[a+12>>2]|0)+((f[(f[d+48>>2]|0)+52>>2]|0)+w<<2)|0;break}w=f[j>>2]|0;m=f[a+12>>2]|0;do if(b[d+38>>0]|0){x=f[d+56>>2]|0;z=d;if(!x){ea=z-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{ea=z-(f[x+40>>2]|0)|0;break}}else ea=d-(f[(f[d+48>>2]|0)+20>>2]|0)|0;while(0);ca=w;da=m+(((ea|0)/88|0)<<2)|0}while(0);r=+p[ca+(f[da>>2]|0)>>3]!=0.0;u=e;return r|0}case 8:{s=f[d+52>>2]|0;do if(!s){g=f[a+12>>2]|0;do if(b[d+38>>0]|0){x=f[d+56>>2]|0;z=d;if(!x){fa=z-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{fa=z-(f[x+40>>2]|0)|0;break}}else fa=d-(f[(f[d+48>>2]|0)+20>>2]|0)|0;while(0);ga=c;ha=g+(((fa|0)/88|0)<<2)|0}else{m=(s-(f[(f[s+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((m<<2)+(f[a+32>>2]|0))>>2]|0)==(f[d+40>>2]|0)){ga=c;ha=(f[a+12>>2]|0)+((f[(f[d+48>>2]|0)+52>>2]|0)+m<<2)|0;break}m=f[j>>2]|0;w=f[a+12>>2]|0;do if(b[d+38>>0]|0){x=f[d+56>>2]|0;z=d;if(!x){ia=z-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{ia=z-(f[x+40>>2]|0)|0;break}}else ia=d-(f[(f[d+48>>2]|0)+20>>2]|0)|0;while(0);ga=m;ha=w+(((ia|0)/88|0)<<2)|0}while(0);r=(f[ga+(f[ha>>2]|0)>>2]|0)!=0;u=e;return r|0}default:{iLb(h,3,508854,2002);fLb(i,dLb(h,511234)|0);jLb(h);r=0;u=e;return r|0}}while(0);return 0}function B3b(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0;c=a;a=b;a:while(1){b=a;d=a+-4|0;e=c;while(1){g=e;b:while(1){h=g;i=b-h|0;j=i>>2;switch(j|0){case 2:{k=5;break a;break}case 3:{k=7;break a;break}case 4:{k=15;break a;break}case 5:{k=27;break a;break}case 1:case 0:{k=87;break a;break}default:{}}if((i|0)<124){k=29;break a}l=g+(((j|0)/2|0)<<2)|0;do if((i|0)<=3996){m=f[l>>2]|0;n=f[g>>2]|0;o=f[m+40>>2]|0;p=f[n+40>>2]|0;q=f[d>>2]|0;r=(f[q+40>>2]|0)<(o|0);s=m;m=q;q=n;if((o|0)>=(p|0)){if(!r){t=0;break}f[l>>2]=m;f[d>>2]=s;o=f[l>>2]|0;n=f[g>>2]|0;if((f[o+40>>2]|0)>=(f[n+40>>2]|0)){t=1;break}f[g>>2]=o;f[l>>2]=n;t=2;break}if(r){f[g>>2]=m;f[d>>2]=q;t=1;break}f[g>>2]=s;f[l>>2]=q;s=f[d>>2]|0;if((f[s+40>>2]|0)<(p|0)){f[l>>2]=s;f[d>>2]=q;t=2}else t=1}else{q=(j|0)/4|0;t=C3b(g,g+(q<<2)|0,l,l+(q<<2)|0,d)|0}while(0);u=f[g>>2]|0;j=f[u+40>>2]|0;i=f[(f[l>>2]|0)+40>>2]|0;if((j|0)<(i|0)){v=d;w=t;break}else x=d;while(1){x=x+-4|0;if((g|0)==(x|0))break;y=f[x>>2]|0;if((f[y+40>>2]|0)<(i|0)){k=69;break b}}i=g+4|0;q=f[d>>2]|0;s=q;if((j|0)<(f[q+40>>2]|0))z=i;else{if((i|0)==(d|0)){k=87;break a}else A=i;while(1){B=f[A>>2]|0;if((j|0)<(f[B+40>>2]|0))break;i=A+4|0;if((i|0)==(d|0)){k=87;break a}else A=i}f[A>>2]=s;f[d>>2]=B;z=A+4|0}if((z|0)==(d|0)){k=87;break a}else{C=d;D=z}while(1){j=f[(f[g>>2]|0)+40>>2]|0;i=D;while(1){E=f[i>>2]|0;F=i+4|0;if((j|0)<(f[E+40>>2]|0))break;else i=F}q=E;p=C;do{p=p+-4|0;G=f[p>>2]|0}while((j|0)<(f[G+40>>2]|0));if(i>>>0>=p>>>0){g=i;continue b}f[i>>2]=G;f[p>>2]=q;C=p;D=F}}if((k|0)==69){k=0;f[g>>2]=y;f[x>>2]=u;v=x;w=t+1|0}s=g+4|0;c:do if(s>>>0<v>>>0){j=l;m=v;r=s;n=w;while(1){o=f[(f[j>>2]|0)+40>>2]|0;H=r;while(1){I=f[H>>2]|0;J=H+4|0;if((f[I+40>>2]|0)<(o|0))H=J;else break}p=I;q=m;do{q=q+-4|0;K=f[q>>2]|0}while((f[K+40>>2]|0)>=(o|0));if(H>>>0>q>>>0){L=j;M=n;N=H;break c}f[H>>2]=K;f[q>>2]=p;j=(j|0)==(H|0)?q:j;m=q;r=J;n=n+1|0}}else{L=l;M=w;N=s}while(0);if((N|0)!=(L|0)?(s=f[L>>2]|0,n=f[N>>2]|0,(f[s+40>>2]|0)<(f[n+40>>2]|0)):0){f[N>>2]=s;f[L>>2]=n;O=M+1|0}else O=M;if(!O){P=D3b(g,N)|0;n=N+4|0;if(D3b(n,a)|0){k=86;break}if(P){e=n;continue}}n=N;if((n-h|0)>=(b-n|0)){k=85;break}B3b(g,N);e=N+4|0}if((k|0)==85){k=0;B3b(N+4|0,a);c=g;a=N;continue}else if((k|0)==86){k=0;if(P){k=87;break}else{c=g;a=N;continue}}}if((k|0)==5){N=f[d>>2]|0;c=f[g>>2]|0;if((f[N+40>>2]|0)>=(f[c+40>>2]|0))return;f[g>>2]=N;f[d>>2]=c;return}else if((k|0)==7){c=g+4|0;N=f[c>>2]|0;P=f[g>>2]|0;h=f[N+40>>2]|0;O=f[P+40>>2]|0;M=f[d>>2]|0;L=(f[M+40>>2]|0)<(h|0);w=N;N=M;M=P;if((h|0)>=(O|0)){if(!L)return;f[c>>2]=N;f[d>>2]=w;h=f[c>>2]|0;P=f[g>>2]|0;if((f[h+40>>2]|0)>=(f[P+40>>2]|0))return;f[g>>2]=h;f[c>>2]=P;return}if(L){f[g>>2]=N;f[d>>2]=M;return}f[g>>2]=w;f[c>>2]=M;w=f[d>>2]|0;if((f[w+40>>2]|0)>=(O|0))return;f[c>>2]=w;f[d>>2]=M;return}else if((k|0)==15){M=g+4|0;w=g+8|0;c=f[M>>2]|0;O=f[g>>2]|0;N=f[c+40>>2]|0;L=f[O+40>>2]|0;P=f[w>>2]|0;h=f[P+40>>2]|0;l=(h|0)<(N|0);J=c;K=P;I=O;do if((N|0)<(L|0)){if(l){f[g>>2]=K;f[w>>2]=I;Q=O;R=I;break}f[g>>2]=J;f[M>>2]=I;if((h|0)<(L|0)){f[M>>2]=K;f[w>>2]=I;Q=O;R=I}else{Q=P;R=K}}else if(l){f[M>>2]=K;f[w>>2]=J;if((h|0)<(L|0)){f[g>>2]=K;f[M>>2]=I;Q=c;R=J}else{Q=c;R=J}}else{Q=P;R=K}while(0);K=f[d>>2]|0;if((f[K+40>>2]|0)>=(f[Q+40>>2]|0))return;f[w>>2]=K;f[d>>2]=R;R=f[w>>2]|0;K=f[M>>2]|0;Q=f[R+40>>2]|0;if((Q|0)>=(f[K+40>>2]|0))return;P=R;f[M>>2]=P;f[w>>2]=K;K=f[g>>2]|0;if((Q|0)>=(f[K+40>>2]|0))return;f[g>>2]=P;f[M>>2]=K;return}else if((k|0)==27){C3b(g,g+4|0,g+8|0,g+12|0,d)|0;return}else if((k|0)==29){d=g+8|0;K=g+4|0;M=f[K>>2]|0;P=f[g>>2]|0;Q=f[M+40>>2]|0;w=f[P+40>>2]|0;R=f[d>>2]|0;J=f[R+40>>2]|0;c=(J|0)<(Q|0);I=M;L=R;h=P;do if((Q|0)<(w|0)){if(c){f[g>>2]=L;f[d>>2]=h;S=P;break}f[g>>2]=I;f[K>>2]=h;if((J|0)<(w|0)){f[K>>2]=L;f[d>>2]=h;S=P}else S=R}else if(c){f[K>>2]=L;f[d>>2]=I;if((J|0)<(w|0)){f[g>>2]=L;f[K>>2]=h;S=M}else S=M}else S=R;while(0);R=g+12|0;if((R|0)==(a|0))return;else{T=R;U=d;V=S}while(1){S=f[T>>2]|0;d=f[S+40>>2]|0;R=S;if((d|0)<(f[V+40>>2]|0)){S=U;M=T;while(1){f[M>>2]=f[S>>2];if((S|0)==(g|0))break;h=S+-4|0;if((d|0)<(f[(f[h>>2]|0)+40>>2]|0)){K=S;S=h;M=K}else break}f[S>>2]=R}M=T+4|0;if((M|0)==(a|0))break;d=f[T>>2]|0;K=T;T=M;V=d;U=K}return}else if((k|0)==87)return}function C3b(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;g=f[b>>2]|0;h=f[a>>2]|0;i=f[g+40>>2]|0;j=f[h+40>>2]|0;k=f[c>>2]|0;l=(f[k+40>>2]|0)<(i|0);m=g;n=k;o=h;do if((i|0)<(j|0)){if(l){f[a>>2]=n;f[c>>2]=o;p=1;q=h;r=o;break}f[a>>2]=m;f[b>>2]=o;s=f[c>>2]|0;t=s;if((f[s+40>>2]|0)<(j|0)){f[b>>2]=t;f[c>>2]=o;p=2;q=h;r=o}else{p=1;q=s;r=t}}else if(l){f[b>>2]=n;f[c>>2]=m;t=f[b>>2]|0;s=f[a>>2]|0;if((f[t+40>>2]|0)<(f[s+40>>2]|0)){f[a>>2]=t;f[b>>2]=s;s=f[c>>2]|0;p=2;q=s;r=s}else{p=1;q=g;r=m}}else{p=0;q=k;r=n}while(0);n=f[d>>2]|0;if((f[n+40>>2]|0)<(f[q+40>>2]|0)){f[c>>2]=n;f[d>>2]=r;r=p+1|0;n=f[c>>2]|0;q=f[b>>2]|0;if((f[n+40>>2]|0)<(f[q+40>>2]|0)){f[b>>2]=n;f[c>>2]=q;q=f[b>>2]|0;n=f[a>>2]|0;if((f[q+40>>2]|0)<(f[n+40>>2]|0)){f[a>>2]=q;f[b>>2]=n;u=p+3|0}else u=p+2|0}else u=r}else u=p;p=f[e>>2]|0;r=f[d>>2]|0;if((f[p+40>>2]|0)>=(f[r+40>>2]|0)){v=u;return v|0}f[d>>2]=p;f[e>>2]=r;r=f[d>>2]|0;e=f[c>>2]|0;if((f[r+40>>2]|0)>=(f[e+40>>2]|0)){v=u+1|0;return v|0}f[c>>2]=r;f[d>>2]=e;e=f[c>>2]|0;d=f[b>>2]|0;if((f[e+40>>2]|0)>=(f[d+40>>2]|0)){v=u+2|0;return v|0}f[b>>2]=e;f[c>>2]=d;d=f[b>>2]|0;c=f[a>>2]|0;if((f[d+40>>2]|0)>=(f[c+40>>2]|0)){v=u+3|0;return v|0}f[a>>2]=d;f[b>>2]=c;v=u+4|0;return v|0}function D3b(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;switch(b-a>>2|0){case 2:{c=b+-4|0;d=f[c>>2]|0;e=f[a>>2]|0;if((f[d+40>>2]|0)>=(f[e+40>>2]|0)){g=1;return g|0}f[a>>2]=d;f[c>>2]=e;g=1;return g|0}case 3:{e=a+4|0;c=b+-4|0;d=f[e>>2]|0;h=f[a>>2]|0;i=f[d+40>>2]|0;j=f[h+40>>2]|0;k=f[c>>2]|0;l=(f[k+40>>2]|0)<(i|0);m=d;d=k;k=h;if((i|0)>=(j|0)){if(!l){g=1;return g|0}f[e>>2]=d;f[c>>2]=m;i=f[e>>2]|0;h=f[a>>2]|0;if((f[i+40>>2]|0)>=(f[h+40>>2]|0)){g=1;return g|0}f[a>>2]=i;f[e>>2]=h;g=1;return g|0}if(l){f[a>>2]=d;f[c>>2]=k;g=1;return g|0}f[a>>2]=m;f[e>>2]=k;m=f[c>>2]|0;if((f[m+40>>2]|0)>=(j|0)){g=1;return g|0}f[e>>2]=m;f[c>>2]=k;g=1;return g|0}case 4:{k=a+4|0;c=a+8|0;m=b+-4|0;e=f[k>>2]|0;j=f[a>>2]|0;d=f[e+40>>2]|0;l=f[j+40>>2]|0;h=f[c>>2]|0;i=f[h+40>>2]|0;n=(i|0)<(d|0);o=e;p=h;q=j;do if((d|0)<(l|0)){if(n){f[a>>2]=p;f[c>>2]=q;r=j;s=q;break}f[a>>2]=o;f[k>>2]=q;if((i|0)<(l|0)){f[k>>2]=p;f[c>>2]=q;r=j;s=q}else{r=h;s=p}}else if(n){f[k>>2]=p;f[c>>2]=o;if((i|0)<(l|0)){f[a>>2]=p;f[k>>2]=q;r=e;s=o}else{r=e;s=o}}else{r=h;s=p}while(0);p=f[m>>2]|0;if((f[p+40>>2]|0)>=(f[r+40>>2]|0)){g=1;return g|0}f[c>>2]=p;f[m>>2]=s;s=f[c>>2]|0;m=f[k>>2]|0;p=f[s+40>>2]|0;if((p|0)>=(f[m+40>>2]|0)){g=1;return g|0}r=s;f[k>>2]=r;f[c>>2]=m;m=f[a>>2]|0;if((p|0)>=(f[m+40>>2]|0)){g=1;return g|0}f[a>>2]=r;f[k>>2]=m;g=1;return g|0}case 5:{C3b(a,a+4|0,a+8|0,a+12|0,b+-4|0)|0;g=1;return g|0}case 1:case 0:{g=1;return g|0}default:{m=a+8|0;k=a+4|0;r=f[k>>2]|0;p=f[a>>2]|0;c=f[r+40>>2]|0;s=f[p+40>>2]|0;h=f[m>>2]|0;o=f[h+40>>2]|0;e=(o|0)<(c|0);q=r;l=h;i=p;do if((c|0)<(s|0)){if(e){f[a>>2]=l;f[m>>2]=i;t=p;break}f[a>>2]=q;f[k>>2]=i;if((o|0)<(s|0)){f[k>>2]=l;f[m>>2]=i;t=p}else t=h}else if(e){f[k>>2]=l;f[m>>2]=q;if((o|0)<(s|0)){f[a>>2]=l;f[k>>2]=i;t=r}else t=r}else t=h;while(0);h=a+12|0;a:do if((h|0)==(b|0)){u=1;v=0}else{r=h;i=0;k=m;l=t;while(1){s=f[r>>2]|0;o=f[s+40>>2]|0;q=s;if((o|0)<(f[l+40>>2]|0)){s=k;e=r;while(1){f[e>>2]=f[s>>2];if((s|0)==(a|0))break;p=s+-4|0;if((o|0)<(f[(f[p>>2]|0)+40>>2]|0)){c=s;s=p;e=c}else break}f[s>>2]=q;e=i+1|0;if((e|0)==8){u=0;v=(r+4|0)==(b|0);break a}else w=e}else w=i;e=r+4|0;if((e|0)==(b|0)){u=1;v=0;break a}o=f[r>>2]|0;c=r;r=e;i=w;l=o;k=c}}while(0);g=v|u;return g|0}}return 0}function E3b(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0;g=u;u=u+160|0;h=g+136|0;i=g+132|0;j=g+16|0;k=g+128|0;l=g+8|0;m=g+96|0;n=g;o=g+154|0;q=g+64|0;r=g+24|0;s=g+104|0;t=g+155|0;v=g+72|0;w=g+153|0;x=g+40|0;y=g+152|0;z=a+32|0;A=(((e-(f[(f[e+8>>2]|0)+24>>2]|0)|0)/28|0)<<2)+(f[z>>2]|0)|0;B=f[c+A>>2]|0;C=f[d+A>>2]|0;f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;A=(B|0)!=0;a:do if(A){D=gQb(f[a+4>>2]|0,B)|0;E=D+24|0;F=f[E>>2]|0;if(F|0?(f[F>>2]|0)!=2:0){f[h>>2]=110384;f[h+4>>2]=1962;b[h+8>>0]=0;f[h+12>>2]=D;xLb(F,h)}F=D+28|0;do switch(f[151812+(f[F>>2]<<2)>>2]|0){case 1:{G=f[D+52>>2]|0;do if(!G){H=f[a+12>>2]|0;do if(b[D+38>>0]|0){I=f[D+56>>2]|0;J=D;if(!I){K=J-(f[(f[D+20>>2]|0)+80>>2]|0)|0;break}else{K=J-(f[I+40>>2]|0)|0;break}}else K=D-(f[(f[D+48>>2]|0)+20>>2]|0)|0;while(0);L=c;M=H+(((K|0)/88|0)<<2)|0}else{I=(G-(f[(f[G+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((I<<2)+(f[z>>2]|0))>>2]|0)==(f[D+40>>2]|0)){L=c;M=(f[a+12>>2]|0)+((f[(f[D+48>>2]|0)+52>>2]|0)+I<<2)|0;break}I=f[a+8>>2]|0;J=f[a+12>>2]|0;do if(b[D+38>>0]|0){N=f[D+56>>2]|0;O=D;if(!N){P=O-(f[(f[D+20>>2]|0)+80>>2]|0)|0;break}else{P=O-(f[N+40>>2]|0)|0;break}}else P=D-(f[(f[D+48>>2]|0)+20>>2]|0)|0;while(0);L=I;M=J+(((P|0)/88|0)<<2)|0}while(0);f[i>>2]=f[L+(f[M>>2]|0)>>2];Q=0;R=D;break a;break}case 2:{G=f[D+52>>2]|0;do if(!G){H=f[a+12>>2]|0;do if(b[D+38>>0]|0){N=f[D+56>>2]|0;O=D;if(!N){S=O-(f[(f[D+20>>2]|0)+80>>2]|0)|0;break}else{S=O-(f[N+40>>2]|0)|0;break}}else S=D-(f[(f[D+48>>2]|0)+20>>2]|0)|0;while(0);T=c;U=H+(((S|0)/88|0)<<2)|0}else{J=(G-(f[(f[G+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((J<<2)+(f[z>>2]|0))>>2]|0)==(f[D+40>>2]|0)){T=c;U=(f[a+12>>2]|0)+((f[(f[D+48>>2]|0)+52>>2]|0)+J<<2)|0;break}J=f[a+8>>2]|0;I=f[a+12>>2]|0;do if(b[D+38>>0]|0){N=f[D+56>>2]|0;O=D;if(!N){V=O-(f[(f[D+20>>2]|0)+80>>2]|0)|0;break}else{V=O-(f[N+40>>2]|0)|0;break}}else V=D-(f[(f[D+48>>2]|0)+20>>2]|0)|0;while(0);T=J;U=I+(((V|0)/88|0)<<2)|0}while(0);G=T+(f[U>>2]|0)|0;H=f[G+4>>2]|0;N=j;f[N>>2]=f[G>>2];f[N+4>>2]=H;Q=0;R=D;break a;break}case 3:{H=f[D+52>>2]|0;do if(!H){N=f[a+12>>2]|0;do if(b[D+38>>0]|0){G=f[D+56>>2]|0;O=D;if(!G){W=O-(f[(f[D+20>>2]|0)+80>>2]|0)|0;break}else{W=O-(f[G+40>>2]|0)|0;break}}else W=D-(f[(f[D+48>>2]|0)+20>>2]|0)|0;while(0);X=c;Y=N+(((W|0)/88|0)<<2)|0}else{I=(H-(f[(f[H+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((I<<2)+(f[z>>2]|0))>>2]|0)==(f[D+40>>2]|0)){X=c;Y=(f[a+12>>2]|0)+((f[(f[D+48>>2]|0)+52>>2]|0)+I<<2)|0;break}I=f[a+8>>2]|0;J=f[a+12>>2]|0;do if(b[D+38>>0]|0){G=f[D+56>>2]|0;O=D;if(!G){Z=O-(f[(f[D+20>>2]|0)+80>>2]|0)|0;break}else{Z=O-(f[G+40>>2]|0)|0;break}}else Z=D-(f[(f[D+48>>2]|0)+20>>2]|0)|0;while(0);X=I;Y=J+(((Z|0)/88|0)<<2)|0}while(0);f[k>>2]=f[X+(f[Y>>2]|0)>>2];Q=0;R=D;break a;break}case 4:{H=f[D+52>>2]|0;do if(!H){N=f[a+12>>2]|0;do if(b[D+38>>0]|0){G=f[D+56>>2]|0;O=D;if(!G){_=O-(f[(f[D+20>>2]|0)+80>>2]|0)|0;break}else{_=O-(f[G+40>>2]|0)|0;break}}else _=D-(f[(f[D+48>>2]|0)+20>>2]|0)|0;while(0);$=c;aa=N+(((_|0)/88|0)<<2)|0}else{J=(H-(f[(f[H+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((J<<2)+(f[z>>2]|0))>>2]|0)==(f[D+40>>2]|0)){$=c;aa=(f[a+12>>2]|0)+((f[(f[D+48>>2]|0)+52>>2]|0)+J<<2)|0;break}J=f[a+8>>2]|0;I=f[a+12>>2]|0;do if(b[D+38>>0]|0){G=f[D+56>>2]|0;O=D;if(!G){ba=O-(f[(f[D+20>>2]|0)+80>>2]|0)|0;break}else{ba=O-(f[G+40>>2]|0)|0;break}}else ba=D-(f[(f[D+48>>2]|0)+20>>2]|0)|0;while(0);$=J;aa=I+(((ba|0)/88|0)<<2)|0}while(0);H=$+(f[aa>>2]|0)|0;N=f[H+4>>2]|0;G=l;f[G>>2]=f[H>>2];f[G+4>>2]=N;Q=0;R=D;break a;break}case 6:{N=f[D+52>>2]|0;do if(!N){G=f[a+12>>2]|0;do if(b[D+38>>0]|0){H=f[D+56>>2]|0;O=D;if(!H){ca=O-(f[(f[D+20>>2]|0)+80>>2]|0)|0;break}else{ca=O-(f[H+40>>2]|0)|0;break}}else ca=D-(f[(f[D+48>>2]|0)+20>>2]|0)|0;while(0);da=c;ea=G+(((ca|0)/88|0)<<2)|0}else{I=(N-(f[(f[N+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((I<<2)+(f[z>>2]|0))>>2]|0)==(f[D+40>>2]|0)){da=c;ea=(f[a+12>>2]|0)+((f[(f[D+48>>2]|0)+52>>2]|0)+I<<2)|0;break}I=f[a+8>>2]|0;J=f[a+12>>2]|0;do if(b[D+38>>0]|0){H=f[D+56>>2]|0;O=D;if(!H){fa=O-(f[(f[D+20>>2]|0)+80>>2]|0)|0;break}else{fa=O-(f[H+40>>2]|0)|0;break}}else fa=D-(f[(f[D+48>>2]|0)+20>>2]|0)|0;while(0);da=I;ea=J+(((fa|0)/88|0)<<2)|0}while(0);f[m>>2]=f[da+(f[ea>>2]|0)>>2];Q=0;R=D;break a;break}case 5:{N=f[D+52>>2]|0;do if(!N){G=f[a+12>>2]|0;do if(b[D+38>>0]|0){H=f[D+56>>2]|0;O=D;if(!H){ga=O-(f[(f[D+20>>2]|0)+80>>2]|0)|0;break}else{ga=O-(f[H+40>>2]|0)|0;break}}else ga=D-(f[(f[D+48>>2]|0)+20>>2]|0)|0;while(0);ha=c;ia=G+(((ga|0)/88|0)<<2)|0}else{J=(N-(f[(f[N+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((J<<2)+(f[z>>2]|0))>>2]|0)==(f[D+40>>2]|0)){ha=c;ia=(f[a+12>>2]|0)+((f[(f[D+48>>2]|0)+52>>2]|0)+J<<2)|0;break}J=f[a+8>>2]|0;I=f[a+12>>2]|0;do if(b[D+38>>0]|0){H=f[D+56>>2]|0;O=D;if(!H){ja=O-(f[(f[D+20>>2]|0)+80>>2]|0)|0;break}else{ja=O-(f[H+40>>2]|0)|0;break}}else ja=D-(f[(f[D+48>>2]|0)+20>>2]|0)|0;while(0);ha=J;ia=I+(((ja|0)/88|0)<<2)|0}while(0);p[n>>3]=+p[ha+(f[ia>>2]|0)>>3];Q=0;R=D;break a;break}case 7:{N=f[D+52>>2]|0;do if(!N){G=f[a+12>>2]|0;do if(b[D+38>>0]|0){H=f[D+56>>2]|0;O=D;if(!H){ka=O-(f[(f[D+20>>2]|0)+80>>2]|0)|0;break}else{ka=O-(f[H+40>>2]|0)|0;break}}else ka=D-(f[(f[D+48>>2]|0)+20>>2]|0)|0;while(0);la=c;ma=G+(((ka|0)/88|0)<<2)|0}else{I=(N-(f[(f[N+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((I<<2)+(f[z>>2]|0))>>2]|0)==(f[D+40>>2]|0)){la=c;ma=(f[a+12>>2]|0)+((f[(f[D+48>>2]|0)+52>>2]|0)+I<<2)|0;break}I=f[a+8>>2]|0;J=f[a+12>>2]|0;do if(b[D+38>>0]|0){H=f[D+56>>2]|0;O=D;if(!H){na=O-(f[(f[D+20>>2]|0)+80>>2]|0)|0;break}else{na=O-(f[H+40>>2]|0)|0;break}}else na=D-(f[(f[D+48>>2]|0)+20>>2]|0)|0;while(0);la=I;ma=J+(((na|0)/88|0)<<2)|0}while(0);b[o>>0]=b[la+(f[ma>>2]|0)>>0]|0;Q=0;R=D;break a;break}case 8:{N=f[D+52>>2]|0;do if(!N){G=f[a+12>>2]|0;do if(b[D+38>>0]|0){H=f[D+56>>2]|0;O=D;if(!H){oa=O-(f[(f[D+20>>2]|0)+80>>2]|0)|0;break}else{oa=O-(f[H+40>>2]|0)|0;break}}else oa=D-(f[(f[D+48>>2]|0)+20>>2]|0)|0;while(0);pa=c;qa=G+(((oa|0)/88|0)<<2)|0}else{J=(N-(f[(f[N+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((J<<2)+(f[z>>2]|0))>>2]|0)==(f[D+40>>2]|0)){pa=c;qa=(f[a+12>>2]|0)+((f[(f[D+48>>2]|0)+52>>2]|0)+J<<2)|0;break}J=f[a+8>>2]|0;I=f[a+12>>2]|0;do if(b[D+38>>0]|0){H=f[D+56>>2]|0;O=D;if(!H){ra=O-(f[(f[D+20>>2]|0)+80>>2]|0)|0;break}else{ra=O-(f[H+40>>2]|0)|0;break}}else ra=D-(f[(f[D+48>>2]|0)+20>>2]|0)|0;while(0);pa=J;qa=I+(((ra|0)/88|0)<<2)|0}while(0);f[q>>2]=f[pa+(f[qa>>2]|0)>>2];Q=0;R=D;break a;break}case 10:{N=p3b(a,c,D,0)|0;G=f[c+(f[a+24>>2]|0)>>2]|0;H=G&-2;if(!(G&1))sa=H;else sa=f[H+4>>2]|0;if(!((N|0)!=0&(sa|0)!=0)){Q=N;R=D;break a}H=di[f[(f[N>>2]|0)+12>>2]&1023](N)|0;yh[f[(f[H>>2]|0)+72>>2]&2047](H,N);Q=H;R=D;break a;break}case 9:{W1b(h,a,c,D);H=r+11|0;if((b[H>>0]|0)<0){b[f[r>>2]>>0]=0;f[r+4>>2]=0}else{b[r>>0]=0;b[H>>0]=0}vuc(r,0);f[r>>2]=f[h>>2];f[r+4>>2]=f[h+4>>2];f[r+8>>2]=f[h+8>>2];Q=0;R=D;break a;break}default:{iLb(s,3,508854,498);H=dLb(s,511618)|0;N=f[E>>2]|0;if(N|0?(f[N>>2]|0)!=2:0){f[h>>2]=110384;f[h+4>>2]=1962;b[h+8>>0]=0;f[h+12>>2]=D;xLb(N,h)}fLb(t,gLb(H,f[151812+(f[F>>2]<<2)>>2]|0)|0);jLb(s);Q=0;R=D;break a}}while(0)}else{Q=0;R=0}while(0);b:do if(!C)H1b(a,c,e);else{s=gQb(f[a+4>>2]|0,C)|0;t=s+24|0;sa=f[t>>2]|0;if(sa|0?(f[sa>>2]|0)!=2:0){f[h>>2]=110384;f[h+4>>2]=1962;b[h+8>>0]=0;f[h+12>>2]=s;xLb(sa,h)}sa=s+28|0;do switch(f[151812+(f[sa>>2]<<2)>>2]|0){case 1:{qa=f[s+52>>2]|0;do if(!qa){pa=f[a+12>>2]|0;do if(b[s+38>>0]|0){ra=f[s+56>>2]|0;oa=s;if(!ra){ta=oa-(f[(f[s+20>>2]|0)+80>>2]|0)|0;break}else{ta=oa-(f[ra+40>>2]|0)|0;break}}else ta=s-(f[(f[s+48>>2]|0)+20>>2]|0)|0;while(0);ua=d;va=pa+(((ta|0)/88|0)<<2)|0}else{I=(qa-(f[(f[qa+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[d+((I<<2)+(f[z>>2]|0))>>2]|0)==(f[s+40>>2]|0)){ua=d;va=(f[a+12>>2]|0)+((f[(f[s+48>>2]|0)+52>>2]|0)+I<<2)|0;break}I=f[a+8>>2]|0;J=f[a+12>>2]|0;do if(b[s+38>>0]|0){ra=f[s+56>>2]|0;oa=s;if(!ra){wa=oa-(f[(f[s+20>>2]|0)+80>>2]|0)|0;break}else{wa=oa-(f[ra+40>>2]|0)|0;break}}else wa=s-(f[(f[s+48>>2]|0)+20>>2]|0)|0;while(0);ua=I;va=J+(((wa|0)/88|0)<<2)|0}while(0);s3b(a,c,s,ua+(f[va>>2]|0)|0);break b;break}case 2:{qa=f[s+52>>2]|0;do if(!qa){pa=f[a+12>>2]|0;do if(b[s+38>>0]|0){ra=f[s+56>>2]|0;oa=s;if(!ra){xa=oa-(f[(f[s+20>>2]|0)+80>>2]|0)|0;break}else{xa=oa-(f[ra+40>>2]|0)|0;break}}else xa=s-(f[(f[s+48>>2]|0)+20>>2]|0)|0;while(0);ya=d;za=pa+(((xa|0)/88|0)<<2)|0}else{J=(qa-(f[(f[qa+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[d+((J<<2)+(f[z>>2]|0))>>2]|0)==(f[s+40>>2]|0)){ya=d;za=(f[a+12>>2]|0)+((f[(f[s+48>>2]|0)+52>>2]|0)+J<<2)|0;break}J=f[a+8>>2]|0;I=f[a+12>>2]|0;do if(b[s+38>>0]|0){ra=f[s+56>>2]|0;oa=s;if(!ra){Aa=oa-(f[(f[s+20>>2]|0)+80>>2]|0)|0;break}else{Aa=oa-(f[ra+40>>2]|0)|0;break}}else Aa=s-(f[(f[s+48>>2]|0)+20>>2]|0)|0;while(0);ya=J;za=I+(((Aa|0)/88|0)<<2)|0}while(0);y3b(a,c,s,ya+(f[za>>2]|0)|0);break b;break}case 3:{qa=f[s+52>>2]|0;do if(!qa){pa=f[a+12>>2]|0;do if(b[s+38>>0]|0){ra=f[s+56>>2]|0;oa=s;if(!ra){Ba=oa-(f[(f[s+20>>2]|0)+80>>2]|0)|0;break}else{Ba=oa-(f[ra+40>>2]|0)|0;break}}else Ba=s-(f[(f[s+48>>2]|0)+20>>2]|0)|0;while(0);Ca=d;Da=pa+(((Ba|0)/88|0)<<2)|0}else{I=(qa-(f[(f[qa+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[d+((I<<2)+(f[z>>2]|0))>>2]|0)==(f[s+40>>2]|0)){Ca=d;Da=(f[a+12>>2]|0)+((f[(f[s+48>>2]|0)+52>>2]|0)+I<<2)|0;break}I=f[a+8>>2]|0;J=f[a+12>>2]|0;do if(b[s+38>>0]|0){ra=f[s+56>>2]|0;oa=s;if(!ra){Ea=oa-(f[(f[s+20>>2]|0)+80>>2]|0)|0;break}else{Ea=oa-(f[ra+40>>2]|0)|0;break}}else Ea=s-(f[(f[s+48>>2]|0)+20>>2]|0)|0;while(0);Ca=I;Da=J+(((Ea|0)/88|0)<<2)|0}while(0);x3b(a,c,s,Ca+(f[Da>>2]|0)|0);break b;break}case 4:{qa=f[s+52>>2]|0;do if(!qa){pa=f[a+12>>2]|0;do if(b[s+38>>0]|0){ra=f[s+56>>2]|0;oa=s;if(!ra){Fa=oa-(f[(f[s+20>>2]|0)+80>>2]|0)|0;break}else{Fa=oa-(f[ra+40>>2]|0)|0;break}}else Fa=s-(f[(f[s+48>>2]|0)+20>>2]|0)|0;while(0);Ga=d;Ha=pa+(((Fa|0)/88|0)<<2)|0}else{J=(qa-(f[(f[qa+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[d+((J<<2)+(f[z>>2]|0))>>2]|0)==(f[s+40>>2]|0)){Ga=d;Ha=(f[a+12>>2]|0)+((f[(f[s+48>>2]|0)+52>>2]|0)+J<<2)|0;break}J=f[a+8>>2]|0;I=f[a+12>>2]|0;do if(b[s+38>>0]|0){ra=f[s+56>>2]|0;oa=s;if(!ra){Ia=oa-(f[(f[s+20>>2]|0)+80>>2]|0)|0;break}else{Ia=oa-(f[ra+40>>2]|0)|0;break}}else Ia=s-(f[(f[s+48>>2]|0)+20>>2]|0)|0;while(0);Ga=J;Ha=I+(((Ia|0)/88|0)<<2)|0}while(0);w3b(a,c,s,Ga+(f[Ha>>2]|0)|0);break b;break}case 6:{qa=f[s+52>>2]|0;do if(!qa){pa=f[a+12>>2]|0;do if(b[s+38>>0]|0){ra=f[s+56>>2]|0;oa=s;if(!ra){Ja=oa-(f[(f[s+20>>2]|0)+80>>2]|0)|0;break}else{Ja=oa-(f[ra+40>>2]|0)|0;break}}else Ja=s-(f[(f[s+48>>2]|0)+20>>2]|0)|0;while(0);Ka=d;La=pa+(((Ja|0)/88|0)<<2)|0}else{I=(qa-(f[(f[qa+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[d+((I<<2)+(f[z>>2]|0))>>2]|0)==(f[s+40>>2]|0)){Ka=d;La=(f[a+12>>2]|0)+((f[(f[s+48>>2]|0)+52>>2]|0)+I<<2)|0;break}I=f[a+8>>2]|0;J=f[a+12>>2]|0;do if(b[s+38>>0]|0){ra=f[s+56>>2]|0;oa=s;if(!ra){Ma=oa-(f[(f[s+20>>2]|0)+80>>2]|0)|0;break}else{Ma=oa-(f[ra+40>>2]|0)|0;break}}else Ma=s-(f[(f[s+48>>2]|0)+20>>2]|0)|0;while(0);Ka=I;La=J+(((Ma|0)/88|0)<<2)|0}while(0);v3b(a,c,s,Ka+(f[La>>2]|0)|0);break b;break}case 5:{qa=f[s+52>>2]|0;do if(!qa){pa=f[a+12>>2]|0;do if(b[s+38>>0]|0){ra=f[s+56>>2]|0;oa=s;if(!ra){Na=oa-(f[(f[s+20>>2]|0)+80>>2]|0)|0;break}else{Na=oa-(f[ra+40>>2]|0)|0;break}}else Na=s-(f[(f[s+48>>2]|0)+20>>2]|0)|0;while(0);Oa=d;Pa=pa+(((Na|0)/88|0)<<2)|0}else{J=(qa-(f[(f[qa+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[d+((J<<2)+(f[z>>2]|0))>>2]|0)==(f[s+40>>2]|0)){Oa=d;Pa=(f[a+12>>2]|0)+((f[(f[s+48>>2]|0)+52>>2]|0)+J<<2)|0;break}J=f[a+8>>2]|0;I=f[a+12>>2]|0;do if(b[s+38>>0]|0){ra=f[s+56>>2]|0;oa=s;if(!ra){Qa=oa-(f[(f[s+20>>2]|0)+80>>2]|0)|0;break}else{Qa=oa-(f[ra+40>>2]|0)|0;break}}else Qa=s-(f[(f[s+48>>2]|0)+20>>2]|0)|0;while(0);Oa=J;Pa=I+(((Qa|0)/88|0)<<2)|0}while(0);u3b(a,c,s,Oa+(f[Pa>>2]|0)|0);break b;break}case 7:{qa=f[s+52>>2]|0;do if(!qa){pa=f[a+12>>2]|0;do if(b[s+38>>0]|0){ra=f[s+56>>2]|0;oa=s;if(!ra){Ra=oa-(f[(f[s+20>>2]|0)+80>>2]|0)|0;break}else{Ra=oa-(f[ra+40>>2]|0)|0;break}}else Ra=s-(f[(f[s+48>>2]|0)+20>>2]|0)|0;while(0);Sa=d;Ta=pa+(((Ra|0)/88|0)<<2)|0}else{I=(qa-(f[(f[qa+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[d+((I<<2)+(f[z>>2]|0))>>2]|0)==(f[s+40>>2]|0)){Sa=d;Ta=(f[a+12>>2]|0)+((f[(f[s+48>>2]|0)+52>>2]|0)+I<<2)|0;break}I=f[a+8>>2]|0;J=f[a+12>>2]|0;do if(b[s+38>>0]|0){ra=f[s+56>>2]|0;oa=s;if(!ra){Ua=oa-(f[(f[s+20>>2]|0)+80>>2]|0)|0;break}else{Ua=oa-(f[ra+40>>2]|0)|0;break}}else Ua=s-(f[(f[s+48>>2]|0)+20>>2]|0)|0;while(0);Sa=I;Ta=J+(((Ua|0)/88|0)<<2)|0}while(0);t3b(a,c,s,Sa+(f[Ta>>2]|0)|0);break b;break}case 8:{qa=f[s+52>>2]|0;do if(!qa){pa=f[a+12>>2]|0;do if(b[s+38>>0]|0){ra=f[s+56>>2]|0;oa=s;if(!ra){Va=oa-(f[(f[s+20>>2]|0)+80>>2]|0)|0;break}else{Va=oa-(f[ra+40>>2]|0)|0;break}}else Va=s-(f[(f[s+48>>2]|0)+20>>2]|0)|0;while(0);Wa=d;Xa=pa+(((Va|0)/88|0)<<2)|0}else{J=(qa-(f[(f[qa+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[d+((J<<2)+(f[z>>2]|0))>>2]|0)==(f[s+40>>2]|0)){Wa=d;Xa=(f[a+12>>2]|0)+((f[(f[s+48>>2]|0)+52>>2]|0)+J<<2)|0;break}J=f[a+8>>2]|0;I=f[a+12>>2]|0;do if(b[s+38>>0]|0){ra=f[s+56>>2]|0;oa=s;if(!ra){Ya=oa-(f[(f[s+20>>2]|0)+80>>2]|0)|0;break}else{Ya=oa-(f[ra+40>>2]|0)|0;break}}else Ya=s-(f[(f[s+48>>2]|0)+20>>2]|0)|0;while(0);Wa=J;Xa=I+(((Ya|0)/88|0)<<2)|0}while(0);s3b(a,c,s,Wa+(f[Xa>>2]|0)|0);break b;break}case 10:{qa=p3b(a,d,s,0)|0;pa=f[d+(f[a+24>>2]|0)>>2]|0;ra=pa&-2;if(!(pa&1))Za=ra;else Za=f[ra+4>>2]|0;if((qa|0)!=0&(Za|0)!=0){ra=di[f[(f[qa>>2]|0)+12>>2]&1023](qa)|0;yh[f[(f[ra>>2]|0)+72>>2]&2047](ra,qa);_a=ra}else _a=qa;k2b(a,c,_a,s);break b;break}case 9:{W1b(h,a,d,s);g2b(a,c,s,h);if((b[h+11>>0]|0)<0)fuc(f[h>>2]|0);break b;break}default:{iLb(v,3,508854,532);qa=dLb(v,511618)|0;ra=f[t>>2]|0;if(ra|0?(f[ra>>2]|0)!=2:0){f[h>>2]=110384;f[h+4>>2]=1962;b[h+8>>0]=0;f[h+12>>2]=s;xLb(ra,h)}fLb(w,gLb(qa,f[151812+(f[sa>>2]<<2)>>2]|0)|0);jLb(v);break b}}while(0)}while(0);c:do if(A){v=R+24|0;w=f[v>>2]|0;if(w|0?(f[w>>2]|0)!=2:0){f[h>>2]=110384;f[h+4>>2]=1962;b[h+8>>0]=0;f[h+12>>2]=R;xLb(w,h)}w=R+28|0;do switch(f[151812+(f[w>>2]<<2)>>2]|0){case 1:{s3b(a,d,R,i);break c;break}case 2:{y3b(a,d,R,j);break c;break}case 3:{x3b(a,d,R,k);break c;break}case 4:{w3b(a,d,R,l);break c;break}case 6:{v3b(a,d,R,m);break c;break}case 5:{u3b(a,d,R,n);break c;break}case 7:{t3b(a,d,R,o);break c;break}case 8:{s3b(a,d,R,q);break c;break}case 10:{k2b(a,d,Q,R);break c;break}case 9:{g2b(a,d,R,r);break c;break}default:{iLb(x,3,508854,564);c=dLb(x,511618)|0;_a=f[v>>2]|0;if(_a|0?(f[_a>>2]|0)!=2:0){f[h>>2]=110384;f[h+4>>2]=1962;b[h+8>>0]=0;f[h+12>>2]=R;xLb(_a,h)}fLb(y,gLb(c,f[151812+(f[w>>2]<<2)>>2]|0)|0);jLb(x);break c}}while(0)}else H1b(a,d,e);while(0);if((b[r+11>>0]|0)>=0){u=g;return}fuc(f[r>>2]|0);u=g;return}function F3b(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;g=a+20|0;if((f[g>>2]|0)==-1)return;h=A3b(a,c,e)|0;i=A3b(a,d,e)|0;j=f[g>>2]|0;k=(j|0)==-1;if(i){if(!k){i=f[a+16>>2]|0;do if(b[e+38>>0]|0){l=f[e+56>>2]|0;m=e;if(!l){n=m-(f[(f[e+20>>2]|0)+80>>2]|0)|0;break}else{n=m-(f[l+40>>2]|0)|0;break}}else n=e-(f[(f[e+48>>2]|0)+20>>2]|0)|0;while(0);l=f[i+(((n|0)/88|0)<<2)>>2]|0;n=c+j+(l>>>5<<2)|0;f[n>>2]=1<<(l&31)|f[n>>2]}}else if(!k){k=f[a+16>>2]|0;do if(b[e+38>>0]|0){n=f[e+56>>2]|0;l=e;if(!n){o=l-(f[(f[e+20>>2]|0)+80>>2]|0)|0;break}else{o=l-(f[n+40>>2]|0)|0;break}}else o=e-(f[(f[e+48>>2]|0)+20>>2]|0)|0;while(0);n=f[k+(((o|0)/88|0)<<2)>>2]|0;o=c+j+(n>>>5<<2)|0;f[o>>2]=f[o>>2]&~(1<<(n&31))}n=f[g>>2]|0;g=(n|0)==-1;if(h){if(g)return;h=f[a+16>>2]|0;do if(b[e+38>>0]|0){o=f[e+56>>2]|0;j=e;if(!o){p=j-(f[(f[e+20>>2]|0)+80>>2]|0)|0;break}else{p=j-(f[o+40>>2]|0)|0;break}}else p=e-(f[(f[e+48>>2]|0)+20>>2]|0)|0;while(0);o=f[h+(((p|0)/88|0)<<2)>>2]|0;p=d+n+(o>>>5<<2)|0;f[p>>2]=1<<(o&31)|f[p>>2];return}else{if(g)return;g=f[a+16>>2]|0;do if(b[e+38>>0]|0){a=f[e+56>>2]|0;p=e;if(!a){q=p-(f[(f[e+20>>2]|0)+80>>2]|0)|0;break}else{q=p-(f[a+40>>2]|0)|0;break}}else q=e-(f[(f[e+48>>2]|0)+20>>2]|0)|0;while(0);e=f[g+(((q|0)/88|0)<<2)>>2]|0;q=d+n+(e>>>5<<2)|0;f[q>>2]=f[q>>2]&~(1<<(e&31));return}}function G3b(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0.0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0;g=u;u=u+80|0;h=g+48|0;i=g+24|0;j=g+65|0;k=g;l=g+64|0;m=(f[e+32>>2]|0)==3;n=e+24|0;o=f[n>>2]|0;if(o|0?(f[o>>2]|0)!=2:0){f[h>>2]=110384;f[h+4>>2]=1962;b[h+8>>0]=0;f[h+12>>2]=e;xLb(o,h)}o=e+28|0;q=f[151812+(f[o>>2]<<2)>>2]|0;if(m)do switch(q|0){case 1:{m=f[e+52>>2]|0;if(!m){r=f[a+12>>2]|0;do if(b[e+38>>0]|0){s=f[e+56>>2]|0;t=e;if(!s){v=t-(f[(f[e+20>>2]|0)+80>>2]|0)|0;break}else{v=t-(f[s+40>>2]|0)|0;break}}else v=e-(f[(f[e+48>>2]|0)+20>>2]|0)|0;while(0);s=c+(f[r+(((v|0)/88|0)<<2)>>2]|0)|0;do if(b[e+38>>0]|0){t=f[e+56>>2]|0;w=e;if(!t){x=w-(f[(f[e+20>>2]|0)+80>>2]|0)|0;break}else{x=w-(f[t+40>>2]|0)|0;break}}else x=e-(f[(f[e+48>>2]|0)+20>>2]|0)|0;while(0);y=(x|0)/88|0;z=s;A=r}else{t=f[a+12>>2]|0;y=((m-(f[(f[m+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[e+48>>2]|0)+52>>2]|0)|0;z=c+(f[t+(((m-(f[(f[m+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[e+48>>2]|0)+52>>2]|0)<<2)>>2]|0)|0;A=t}H3b(z,d+(f[A+(y<<2)>>2]|0)|0);u=g;return}case 2:{t=f[e+52>>2]|0;if(!t){w=f[a+12>>2]|0;do if(b[e+38>>0]|0){B=f[e+56>>2]|0;C=e;if(!B){D=C-(f[(f[e+20>>2]|0)+80>>2]|0)|0;break}else{D=C-(f[B+40>>2]|0)|0;break}}else D=e-(f[(f[e+48>>2]|0)+20>>2]|0)|0;while(0);m=c+(f[w+(((D|0)/88|0)<<2)>>2]|0)|0;do if(b[e+38>>0]|0){r=f[e+56>>2]|0;s=e;if(!r){E=s-(f[(f[e+20>>2]|0)+80>>2]|0)|0;break}else{E=s-(f[r+40>>2]|0)|0;break}}else E=e-(f[(f[e+48>>2]|0)+20>>2]|0)|0;while(0);F=(E|0)/88|0;G=m;H=w}else{r=f[a+12>>2]|0;F=((t-(f[(f[t+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[e+48>>2]|0)+52>>2]|0)|0;G=c+(f[r+(((t-(f[(f[t+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[e+48>>2]|0)+52>>2]|0)<<2)>>2]|0)|0;H=r}I3b(G,d+(f[H+(F<<2)>>2]|0)|0);u=g;return}case 3:{r=f[e+52>>2]|0;if(!r){s=f[a+12>>2]|0;do if(b[e+38>>0]|0){B=f[e+56>>2]|0;C=e;if(!B){I=C-(f[(f[e+20>>2]|0)+80>>2]|0)|0;break}else{I=C-(f[B+40>>2]|0)|0;break}}else I=e-(f[(f[e+48>>2]|0)+20>>2]|0)|0;while(0);t=c+(f[s+(((I|0)/88|0)<<2)>>2]|0)|0;do if(b[e+38>>0]|0){w=f[e+56>>2]|0;m=e;if(!w){J=m-(f[(f[e+20>>2]|0)+80>>2]|0)|0;break}else{J=m-(f[w+40>>2]|0)|0;break}}else J=e-(f[(f[e+48>>2]|0)+20>>2]|0)|0;while(0);K=(J|0)/88|0;L=t;M=s}else{w=f[a+12>>2]|0;K=((r-(f[(f[r+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[e+48>>2]|0)+52>>2]|0)|0;L=c+(f[w+(((r-(f[(f[r+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[e+48>>2]|0)+52>>2]|0)<<2)>>2]|0)|0;M=w}J3b(L,d+(f[M+(K<<2)>>2]|0)|0);u=g;return}case 4:{w=f[e+52>>2]|0;if(!w){m=f[a+12>>2]|0;do if(b[e+38>>0]|0){B=f[e+56>>2]|0;C=e;if(!B){N=C-(f[(f[e+20>>2]|0)+80>>2]|0)|0;break}else{N=C-(f[B+40>>2]|0)|0;break}}else N=e-(f[(f[e+48>>2]|0)+20>>2]|0)|0;while(0);r=c+(f[m+(((N|0)/88|0)<<2)>>2]|0)|0;do if(b[e+38>>0]|0){s=f[e+56>>2]|0;t=e;if(!s){O=t-(f[(f[e+20>>2]|0)+80>>2]|0)|0;break}else{O=t-(f[s+40>>2]|0)|0;break}}else O=e-(f[(f[e+48>>2]|0)+20>>2]|0)|0;while(0);P=(O|0)/88|0;Q=r;R=m}else{s=f[a+12>>2]|0;P=((w-(f[(f[w+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[e+48>>2]|0)+52>>2]|0)|0;Q=c+(f[s+(((w-(f[(f[w+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[e+48>>2]|0)+52>>2]|0)<<2)>>2]|0)|0;R=s}K3b(Q,d+(f[R+(P<<2)>>2]|0)|0);u=g;return}case 6:{s=f[e+52>>2]|0;if(!s){t=f[a+12>>2]|0;do if(b[e+38>>0]|0){B=f[e+56>>2]|0;C=e;if(!B){S=C-(f[(f[e+20>>2]|0)+80>>2]|0)|0;break}else{S=C-(f[B+40>>2]|0)|0;break}}else S=e-(f[(f[e+48>>2]|0)+20>>2]|0)|0;while(0);w=c+(f[t+(((S|0)/88|0)<<2)>>2]|0)|0;do if(b[e+38>>0]|0){m=f[e+56>>2]|0;r=e;if(!m){T=r-(f[(f[e+20>>2]|0)+80>>2]|0)|0;break}else{T=r-(f[m+40>>2]|0)|0;break}}else T=e-(f[(f[e+48>>2]|0)+20>>2]|0)|0;while(0);U=(T|0)/88|0;V=w;W=t}else{m=f[a+12>>2]|0;U=((s-(f[(f[s+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[e+48>>2]|0)+52>>2]|0)|0;V=c+(f[m+(((s-(f[(f[s+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[e+48>>2]|0)+52>>2]|0)<<2)>>2]|0)|0;W=m}L3b(V,d+(f[W+(U<<2)>>2]|0)|0);u=g;return}case 5:{m=f[e+52>>2]|0;if(!m){r=f[a+12>>2]|0;do if(b[e+38>>0]|0){B=f[e+56>>2]|0;C=e;if(!B){X=C-(f[(f[e+20>>2]|0)+80>>2]|0)|0;break}else{X=C-(f[B+40>>2]|0)|0;break}}else X=e-(f[(f[e+48>>2]|0)+20>>2]|0)|0;while(0);s=c+(f[r+(((X|0)/88|0)<<2)>>2]|0)|0;do if(b[e+38>>0]|0){t=f[e+56>>2]|0;w=e;if(!t){Y=w-(f[(f[e+20>>2]|0)+80>>2]|0)|0;break}else{Y=w-(f[t+40>>2]|0)|0;break}}else Y=e-(f[(f[e+48>>2]|0)+20>>2]|0)|0;while(0);Z=(Y|0)/88|0;_=s;$=r}else{t=f[a+12>>2]|0;Z=((m-(f[(f[m+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[e+48>>2]|0)+52>>2]|0)|0;_=c+(f[t+(((m-(f[(f[m+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[e+48>>2]|0)+52>>2]|0)<<2)>>2]|0)|0;$=t}M3b(_,d+(f[$+(Z<<2)>>2]|0)|0);u=g;return}case 7:{t=f[e+52>>2]|0;if(!t){w=f[a+12>>2]|0;do if(b[e+38>>0]|0){B=f[e+56>>2]|0;C=e;if(!B){aa=C-(f[(f[e+20>>2]|0)+80>>2]|0)|0;break}else{aa=C-(f[B+40>>2]|0)|0;break}}else aa=e-(f[(f[e+48>>2]|0)+20>>2]|0)|0;while(0);m=c+(f[w+(((aa|0)/88|0)<<2)>>2]|0)|0;do if(b[e+38>>0]|0){r=f[e+56>>2]|0;s=e;if(!r){ba=s-(f[(f[e+20>>2]|0)+80>>2]|0)|0;break}else{ba=s-(f[r+40>>2]|0)|0;break}}else ba=e-(f[(f[e+48>>2]|0)+20>>2]|0)|0;while(0);ca=(ba|0)/88|0;da=m;ea=w}else{r=f[a+12>>2]|0;ca=((t-(f[(f[t+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[e+48>>2]|0)+52>>2]|0)|0;da=c+(f[r+(((t-(f[(f[t+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[e+48>>2]|0)+52>>2]|0)<<2)>>2]|0)|0;ea=r}N3b(da,d+(f[ea+(ca<<2)>>2]|0)|0);u=g;return}case 8:{r=f[e+52>>2]|0;if(!r){s=f[a+12>>2]|0;do if(b[e+38>>0]|0){B=f[e+56>>2]|0;C=e;if(!B){fa=C-(f[(f[e+20>>2]|0)+80>>2]|0)|0;break}else{fa=C-(f[B+40>>2]|0)|0;break}}else fa=e-(f[(f[e+48>>2]|0)+20>>2]|0)|0;while(0);t=c+(f[s+(((fa|0)/88|0)<<2)>>2]|0)|0;do if(b[e+38>>0]|0){w=f[e+56>>2]|0;m=e;if(!w){ga=m-(f[(f[e+20>>2]|0)+80>>2]|0)|0;break}else{ga=m-(f[w+40>>2]|0)|0;break}}else ga=e-(f[(f[e+48>>2]|0)+20>>2]|0)|0;while(0);ha=(ga|0)/88|0;ia=t;ja=s}else{w=f[a+12>>2]|0;ha=((r-(f[(f[r+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[e+48>>2]|0)+52>>2]|0)|0;ia=c+(f[w+(((r-(f[(f[r+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[e+48>>2]|0)+52>>2]|0)<<2)>>2]|0)|0;ja=w}H3b(ia,d+(f[ja+(ha<<2)>>2]|0)|0);u=g;return}case 9:{w=f[e+52>>2]|0;if(!w){m=f[a+12>>2]|0;do if(b[e+38>>0]|0){B=f[e+56>>2]|0;C=e;if(!B){ka=C-(f[(f[e+20>>2]|0)+80>>2]|0)|0;break}else{ka=C-(f[B+40>>2]|0)|0;break}}else ka=e-(f[(f[e+48>>2]|0)+20>>2]|0)|0;while(0);r=c+(f[m+(((ka|0)/88|0)<<2)>>2]|0)|0;do if(b[e+38>>0]|0){s=f[e+56>>2]|0;t=e;if(!s){la=t-(f[(f[e+20>>2]|0)+80>>2]|0)|0;break}else{la=t-(f[s+40>>2]|0)|0;break}}else la=e-(f[(f[e+48>>2]|0)+20>>2]|0)|0;while(0);ma=(la|0)/88|0;na=r;oa=m}else{s=f[a+12>>2]|0;ma=((w-(f[(f[w+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[e+48>>2]|0)+52>>2]|0)|0;na=c+(f[s+(((w-(f[(f[w+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[e+48>>2]|0)+52>>2]|0)<<2)>>2]|0)|0;oa=s}s=d+(f[oa+(ma<<2)>>2]|0)|0;if((f[s>>2]|0)==(f[na>>2]|0)){t=na+12|0;B=s+12|0;C=f[t>>2]|0;f[t>>2]=f[B>>2];f[B>>2]=C;C=na+4|0;B=s+4|0;t=f[C>>2]|0;f[C>>2]=f[B>>2];f[B>>2]=t;t=na+8|0;B=s+8|0;C=f[t>>2]|0;f[t>>2]=f[B>>2];f[B>>2]=C;u=g;return}else{O3b(na,s);u=g;return}break}case 10:{s=f[n>>2]|0;if(s|0?(f[s>>2]|0)!=2:0){f[h>>2]=110384;f[h+4>>2]=1962;b[h+8>>0]=0;f[h+12>>2]=e;xLb(s,h)}if((f[o>>2]|0)==11?rQb(e)|0:0){s=e+52|0;C=f[s>>2]|0;if(!C){B=f[a+12>>2]|0;do if(b[e+38>>0]|0){t=f[e+56>>2]|0;pa=e;if(!t){qa=pa-(f[(f[e+20>>2]|0)+80>>2]|0)|0;break}else{qa=pa-(f[t+40>>2]|0)|0;break}}else qa=e-(f[(f[e+48>>2]|0)+20>>2]|0)|0;while(0);ra=B+(((qa|0)/88|0)<<2)|0}else ra=(f[a+12>>2]|0)+(((C-(f[(f[C+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[e+48>>2]|0)+52>>2]|0)<<2)|0;w=P5b(c+(f[ra>>2]|0)|0)|0;m=f[s>>2]|0;if(!m){r=f[a+12>>2]|0;do if(b[e+38>>0]|0){t=f[e+56>>2]|0;pa=e;if(!t){sa=pa-(f[(f[e+20>>2]|0)+80>>2]|0)|0;break}else{sa=pa-(f[t+40>>2]|0)|0;break}}else sa=e-(f[(f[e+48>>2]|0)+20>>2]|0)|0;while(0);ta=r+(((sa|0)/88|0)<<2)|0}else ta=(f[a+12>>2]|0)+(((m-(f[(f[m+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[e+48>>2]|0)+52>>2]|0)<<2)|0;s=P5b(d+(f[ta>>2]|0)|0)|0;if((f[s>>2]|0)==(f[w>>2]|0)){C=w+12|0;B=s+12|0;t=f[C>>2]|0;f[C>>2]=f[B>>2];f[B>>2]=t;t=w+4|0;B=s+4|0;C=f[t>>2]|0;f[t>>2]=f[B>>2];f[B>>2]=C;C=w+8|0;B=s+8|0;t=f[C>>2]|0;f[C>>2]=f[B>>2];f[B>>2]=t;u=g;return}else{P3b(w,s);u=g;return}}s=f[e+52>>2]|0;if(!s){t=f[a+12>>2]|0;do if(b[e+38>>0]|0){B=f[e+56>>2]|0;C=e;if(!B){ua=C-(f[(f[e+20>>2]|0)+80>>2]|0)|0;break}else{ua=C-(f[B+40>>2]|0)|0;break}}else ua=e-(f[(f[e+48>>2]|0)+20>>2]|0)|0;while(0);w=c+(f[t+(((ua|0)/88|0)<<2)>>2]|0)|0;do if(b[e+38>>0]|0){m=f[e+56>>2]|0;r=e;if(!m){va=r-(f[(f[e+20>>2]|0)+80>>2]|0)|0;break}else{va=r-(f[m+40>>2]|0)|0;break}}else va=e-(f[(f[e+48>>2]|0)+20>>2]|0)|0;while(0);wa=(va|0)/88|0;xa=w;ya=t}else{m=f[a+12>>2]|0;wa=((s-(f[(f[s+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[e+48>>2]|0)+52>>2]|0)|0;xa=c+(f[m+(((s-(f[(f[s+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[e+48>>2]|0)+52>>2]|0)<<2)>>2]|0)|0;ya=m}m=d+(f[ya+(wa<<2)>>2]|0)|0;if((f[m>>2]|0)==(f[xa>>2]|0)){r=xa+12|0;B=m+12|0;C=f[r>>2]|0;f[r>>2]=f[B>>2];f[B>>2]=C;C=xa+4|0;B=m+4|0;r=f[C>>2]|0;f[C>>2]=f[B>>2];f[B>>2]=r;r=xa+8|0;B=m+8|0;C=f[r>>2]|0;f[r>>2]=f[B>>2];f[B>>2]=C;u=g;return}else{P3b(xa,m);u=g;return}break}default:{iLb(i,3,508854,377);m=dLb(i,511618)|0;C=f[n>>2]|0;if(C|0?(f[C>>2]|0)!=2:0){f[h>>2]=110384;f[h+4>>2]=1962;b[h+8>>0]=0;f[h+12>>2]=e;xLb(C,h)}fLb(j,gLb(m,f[151812+(f[o>>2]<<2)>>2]|0)|0);jLb(i);u=g;return}}while(0);do switch(q|0){case 1:{i=f[e+52>>2]|0;if(!i){j=f[a+12>>2]|0;do if(b[e+38>>0]|0){xa=f[e+56>>2]|0;wa=e;if(!xa){za=wa-(f[(f[e+20>>2]|0)+80>>2]|0)|0;break}else{za=wa-(f[xa+40>>2]|0)|0;break}}else za=e-(f[(f[e+48>>2]|0)+20>>2]|0)|0;while(0);s=c+(f[j+(((za|0)/88|0)<<2)>>2]|0)|0;do if(b[e+38>>0]|0){t=f[e+56>>2]|0;w=e;if(!t){Aa=w-(f[(f[e+20>>2]|0)+80>>2]|0)|0;break}else{Aa=w-(f[t+40>>2]|0)|0;break}}else Aa=e-(f[(f[e+48>>2]|0)+20>>2]|0)|0;while(0);Ba=(Aa|0)/88|0;Ca=s;Da=j}else{t=f[a+12>>2]|0;Ba=((i-(f[(f[i+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[e+48>>2]|0)+52>>2]|0)|0;Ca=c+(f[t+(((i-(f[(f[i+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[e+48>>2]|0)+52>>2]|0)<<2)>>2]|0)|0;Da=t}t=d+(f[Da+(Ba<<2)>>2]|0)|0;w=f[Ca>>2]|0;f[Ca>>2]=f[t>>2];f[t>>2]=w;u=g;return}case 2:{w=f[e+52>>2]|0;if(!w){t=f[a+12>>2]|0;do if(b[e+38>>0]|0){xa=f[e+56>>2]|0;wa=e;if(!xa){Ea=wa-(f[(f[e+20>>2]|0)+80>>2]|0)|0;break}else{Ea=wa-(f[xa+40>>2]|0)|0;break}}else Ea=e-(f[(f[e+48>>2]|0)+20>>2]|0)|0;while(0);i=c+(f[t+(((Ea|0)/88|0)<<2)>>2]|0)|0;do if(b[e+38>>0]|0){j=f[e+56>>2]|0;s=e;if(!j){Fa=s-(f[(f[e+20>>2]|0)+80>>2]|0)|0;break}else{Fa=s-(f[j+40>>2]|0)|0;break}}else Fa=e-(f[(f[e+48>>2]|0)+20>>2]|0)|0;while(0);Ga=(Fa|0)/88|0;Ha=i;Ia=t}else{j=f[a+12>>2]|0;Ga=((w-(f[(f[w+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[e+48>>2]|0)+52>>2]|0)|0;Ha=c+(f[j+(((w-(f[(f[w+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[e+48>>2]|0)+52>>2]|0)<<2)>>2]|0)|0;Ia=j}j=d+(f[Ia+(Ga<<2)>>2]|0)|0;s=Ha;xa=f[s>>2]|0;wa=f[s+4>>2]|0;s=j;ya=f[s+4>>2]|0;va=Ha;f[va>>2]=f[s>>2];f[va+4>>2]=ya;ya=j;f[ya>>2]=xa;f[ya+4>>2]=wa;u=g;return}case 3:{wa=f[e+52>>2]|0;if(!wa){ya=f[a+12>>2]|0;do if(b[e+38>>0]|0){xa=f[e+56>>2]|0;j=e;if(!xa){Ja=j-(f[(f[e+20>>2]|0)+80>>2]|0)|0;break}else{Ja=j-(f[xa+40>>2]|0)|0;break}}else Ja=e-(f[(f[e+48>>2]|0)+20>>2]|0)|0;while(0);w=c+(f[ya+(((Ja|0)/88|0)<<2)>>2]|0)|0;do if(b[e+38>>0]|0){t=f[e+56>>2]|0;i=e;if(!t){Ka=i-(f[(f[e+20>>2]|0)+80>>2]|0)|0;break}else{Ka=i-(f[t+40>>2]|0)|0;break}}else Ka=e-(f[(f[e+48>>2]|0)+20>>2]|0)|0;while(0);La=(Ka|0)/88|0;Ma=w;Na=ya}else{t=f[a+12>>2]|0;La=((wa-(f[(f[wa+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[e+48>>2]|0)+52>>2]|0)|0;Ma=c+(f[t+(((wa-(f[(f[wa+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[e+48>>2]|0)+52>>2]|0)<<2)>>2]|0)|0;Na=t}t=d+(f[Na+(La<<2)>>2]|0)|0;i=f[Ma>>2]|0;f[Ma>>2]=f[t>>2];f[t>>2]=i;u=g;return}case 4:{i=f[e+52>>2]|0;if(!i){t=f[a+12>>2]|0;do if(b[e+38>>0]|0){xa=f[e+56>>2]|0;j=e;if(!xa){Oa=j-(f[(f[e+20>>2]|0)+80>>2]|0)|0;break}else{Oa=j-(f[xa+40>>2]|0)|0;break}}else Oa=e-(f[(f[e+48>>2]|0)+20>>2]|0)|0;while(0);wa=c+(f[t+(((Oa|0)/88|0)<<2)>>2]|0)|0;do if(b[e+38>>0]|0){ya=f[e+56>>2]|0;w=e;if(!ya){Pa=w-(f[(f[e+20>>2]|0)+80>>2]|0)|0;break}else{Pa=w-(f[ya+40>>2]|0)|0;break}}else Pa=e-(f[(f[e+48>>2]|0)+20>>2]|0)|0;while(0);Qa=(Pa|0)/88|0;Ra=wa;Sa=t}else{ya=f[a+12>>2]|0;Qa=((i-(f[(f[i+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[e+48>>2]|0)+52>>2]|0)|0;Ra=c+(f[ya+(((i-(f[(f[i+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[e+48>>2]|0)+52>>2]|0)<<2)>>2]|0)|0;Sa=ya}ya=d+(f[Sa+(Qa<<2)>>2]|0)|0;w=Ra;xa=f[w>>2]|0;j=f[w+4>>2]|0;w=ya;va=f[w+4>>2]|0;s=Ra;f[s>>2]=f[w>>2];f[s+4>>2]=va;va=ya;f[va>>2]=xa;f[va+4>>2]=j;u=g;return}case 6:{j=f[e+52>>2]|0;if(!j){va=f[a+12>>2]|0;do if(b[e+38>>0]|0){xa=f[e+56>>2]|0;ya=e;if(!xa){Ta=ya-(f[(f[e+20>>2]|0)+80>>2]|0)|0;break}else{Ta=ya-(f[xa+40>>2]|0)|0;break}}else Ta=e-(f[(f[e+48>>2]|0)+20>>2]|0)|0;while(0);i=c+(f[va+(((Ta|0)/88|0)<<2)>>2]|0)|0;do if(b[e+38>>0]|0){t=f[e+56>>2]|0;wa=e;if(!t){Ua=wa-(f[(f[e+20>>2]|0)+80>>2]|0)|0;break}else{Ua=wa-(f[t+40>>2]|0)|0;break}}else Ua=e-(f[(f[e+48>>2]|0)+20>>2]|0)|0;while(0);Va=(Ua|0)/88|0;Wa=va;Xa=i}else{t=f[a+12>>2]|0;Va=((j-(f[(f[j+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[e+48>>2]|0)+52>>2]|0)|0;Wa=t;Xa=c+(f[t+(((j-(f[(f[j+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[e+48>>2]|0)+52>>2]|0)<<2)>>2]|0)|0}t=d+(f[Wa+(Va<<2)>>2]|0)|0;wa=f[Xa>>2]|0;f[Xa>>2]=f[t>>2];f[t>>2]=wa;u=g;return}case 5:{wa=f[e+52>>2]|0;if(!wa){t=f[a+12>>2]|0;do if(b[e+38>>0]|0){xa=f[e+56>>2]|0;ya=e;if(!xa){Ya=ya-(f[(f[e+20>>2]|0)+80>>2]|0)|0;break}else{Ya=ya-(f[xa+40>>2]|0)|0;break}}else Ya=e-(f[(f[e+48>>2]|0)+20>>2]|0)|0;while(0);j=c+(f[t+(((Ya|0)/88|0)<<2)>>2]|0)|0;do if(b[e+38>>0]|0){i=f[e+56>>2]|0;va=e;if(!i){Za=va-(f[(f[e+20>>2]|0)+80>>2]|0)|0;break}else{Za=va-(f[i+40>>2]|0)|0;break}}else Za=e-(f[(f[e+48>>2]|0)+20>>2]|0)|0;while(0);_a=(Za|0)/88|0;$a=j;ab=t}else{i=f[a+12>>2]|0;_a=((wa-(f[(f[wa+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[e+48>>2]|0)+52>>2]|0)|0;$a=c+(f[i+(((wa-(f[(f[wa+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[e+48>>2]|0)+52>>2]|0)<<2)>>2]|0)|0;ab=i}i=d+(f[ab+(_a<<2)>>2]|0)|0;bb=+p[$a>>3];p[$a>>3]=+p[i>>3];p[i>>3]=bb;u=g;return}case 7:{i=f[e+52>>2]|0;if(!i){va=f[a+12>>2]|0;do if(b[e+38>>0]|0){xa=f[e+56>>2]|0;ya=e;if(!xa){cb=ya-(f[(f[e+20>>2]|0)+80>>2]|0)|0;break}else{cb=ya-(f[xa+40>>2]|0)|0;break}}else cb=e-(f[(f[e+48>>2]|0)+20>>2]|0)|0;while(0);wa=c+(f[va+(((cb|0)/88|0)<<2)>>2]|0)|0;do if(b[e+38>>0]|0){t=f[e+56>>2]|0;j=e;if(!t){db=j-(f[(f[e+20>>2]|0)+80>>2]|0)|0;break}else{db=j-(f[t+40>>2]|0)|0;break}}else db=e-(f[(f[e+48>>2]|0)+20>>2]|0)|0;while(0);eb=(db|0)/88|0;fb=va;gb=wa}else{t=f[a+12>>2]|0;eb=((i-(f[(f[i+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[e+48>>2]|0)+52>>2]|0)|0;fb=t;gb=c+(f[t+(((i-(f[(f[i+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[e+48>>2]|0)+52>>2]|0)<<2)>>2]|0)|0}t=d+(f[fb+(eb<<2)>>2]|0)|0;j=b[gb>>0]|0;b[gb>>0]=b[t>>0]|0;b[t>>0]=j;u=g;return}case 8:{j=f[e+52>>2]|0;if(!j){t=f[a+12>>2]|0;do if(b[e+38>>0]|0){xa=f[e+56>>2]|0;ya=e;if(!xa){hb=ya-(f[(f[e+20>>2]|0)+80>>2]|0)|0;break}else{hb=ya-(f[xa+40>>2]|0)|0;break}}else hb=e-(f[(f[e+48>>2]|0)+20>>2]|0)|0;while(0);i=c+(f[t+(((hb|0)/88|0)<<2)>>2]|0)|0;do if(b[e+38>>0]|0){wa=f[e+56>>2]|0;va=e;if(!wa){ib=va-(f[(f[e+20>>2]|0)+80>>2]|0)|0;break}else{ib=va-(f[wa+40>>2]|0)|0;break}}else ib=e-(f[(f[e+48>>2]|0)+20>>2]|0)|0;while(0);jb=(ib|0)/88|0;kb=i;lb=t}else{wa=f[a+12>>2]|0;jb=((j-(f[(f[j+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[e+48>>2]|0)+52>>2]|0)|0;kb=c+(f[wa+(((j-(f[(f[j+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[e+48>>2]|0)+52>>2]|0)<<2)>>2]|0)|0;lb=wa}wa=d+(f[lb+(jb<<2)>>2]|0)|0;va=f[kb>>2]|0;f[kb>>2]=f[wa>>2];f[wa>>2]=va;u=g;return}case 10:{va=f[a+24>>2]|0;wa=f[c+va>>2]|0;xa=wa&-2;if(!(wa&1))mb=xa;else mb=f[xa+4>>2]|0;xa=f[d+va>>2]|0;va=xa&-2;if(!(xa&1))nb=va;else nb=f[va+4>>2]|0;va=(mb|0)==(nb|0);xa=f[e+52>>2]|0;if(!xa){wa=f[a+12>>2]|0;do if(b[e+38>>0]|0){ya=f[e+56>>2]|0;s=e;if(!ya){ob=s-(f[(f[e+20>>2]|0)+80>>2]|0)|0;break}else{ob=s-(f[ya+40>>2]|0)|0;break}}else ob=e-(f[(f[e+48>>2]|0)+20>>2]|0)|0;while(0);j=f[wa+(((ob|0)/88|0)<<2)>>2]|0;do if(b[e+38>>0]|0){t=f[e+56>>2]|0;i=e;if(!t){pb=i-(f[(f[e+20>>2]|0)+80>>2]|0)|0;break}else{pb=i-(f[t+40>>2]|0)|0;break}}else pb=e-(f[(f[e+48>>2]|0)+20>>2]|0)|0;while(0);qb=(pb|0)/88|0;rb=j;sb=wa}else{t=f[a+12>>2]|0;qb=((xa-(f[(f[xa+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[e+48>>2]|0)+52>>2]|0)|0;rb=f[t+(((xa-(f[(f[xa+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[e+48>>2]|0)+52>>2]|0)<<2)>>2]|0;sb=t}t=c+rb|0;i=d+(f[sb+(qb<<2)>>2]|0)|0;if(va){ya=f[t>>2]|0;f[t>>2]=f[i>>2];f[i>>2]=ya;u=g;return}ya=f[t>>2]|0;s=(f[i>>2]|0)==0;if(!ya){if(s){u=g;return}w=f[i>>2]|0;ua=f[(f[w>>2]|0)+16>>2]|0;ta=di[f[(f[c>>2]|0)+20>>2]&1023](c)|0;sa=Th[ua&1023](w,ta)|0;f[t>>2]=sa;yh[f[(f[sa>>2]|0)+72>>2]&2047](sa,f[i>>2]|0);F1b(a,d,e);u=g;return}if(s){s=f[(f[ya>>2]|0)+16>>2]|0;sa=di[f[(f[d>>2]|0)+20>>2]&1023](d)|0;ta=Th[s&1023](ya,sa)|0;f[i>>2]=ta;yh[f[(f[ta>>2]|0)+72>>2]&2047](ta,f[t>>2]|0);F1b(a,c,e);u=g;return}else{yh[f[(f[ya>>2]|0)+96>>2]&2047](h,ya);ya=f[h+4>>2]|0;Zh[f[(f[ya>>2]|0)+52>>2]&511](ya,f[t>>2]|0,f[i>>2]|0);u=g;return}break}case 9:{i=f[a+24>>2]|0;t=f[c+i>>2]|0;ya=t&-2;if(!(t&1))tb=ya;else tb=f[ya+4>>2]|0;ya=f[d+i>>2]|0;i=ya&-2;if(!(ya&1))ub=i;else ub=f[i+4>>2]|0;i=f[e+52>>2]|0;if(!i){ya=f[a+12>>2]|0;do if(b[e+38>>0]|0){t=f[e+56>>2]|0;ta=e;if(!t){vb=ta-(f[(f[e+20>>2]|0)+80>>2]|0)|0;break}else{vb=ta-(f[t+40>>2]|0)|0;break}}else vb=e-(f[(f[e+48>>2]|0)+20>>2]|0)|0;while(0);va=f[ya+(((vb|0)/88|0)<<2)>>2]|0;do if(b[e+38>>0]|0){xa=f[e+56>>2]|0;wa=e;if(!xa){wb=wa-(f[(f[e+20>>2]|0)+80>>2]|0)|0;break}else{wb=wa-(f[xa+40>>2]|0)|0;break}}else wb=e-(f[(f[e+48>>2]|0)+20>>2]|0)|0;while(0);xb=(wb|0)/88|0;yb=va;zb=ya}else{xa=f[a+12>>2]|0;xb=((i-(f[(f[i+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[e+48>>2]|0)+52>>2]|0)|0;yb=f[xa+(((i-(f[(f[i+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[e+48>>2]|0)+52>>2]|0)<<2)>>2]|0;zb=xa}xa=c+yb|0;wa=d+(f[zb+(xb<<2)>>2]|0)|0;if((tb|0)==(ub|0)){j=f[xa>>2]|0;f[xa>>2]=f[wa>>2];f[wa>>2]=j;u=g;return}j=f[a+8>>2]|0;do if(b[e+38>>0]|0){t=f[e+56>>2]|0;ta=e;if(!t){Ab=ta-(f[(f[e+20>>2]|0)+80>>2]|0)|0;break}else{Ab=ta-(f[t+40>>2]|0)|0;break}}else Ab=e-(f[(f[e+48>>2]|0)+20>>2]|0)|0;while(0);i=f[j+(f[zb+(((Ab|0)/88|0)<<2)>>2]|0)>>2]|0;ouc(h,f[xa>>2]|0);ya=f[wa>>2]|0;va=f[xa>>2]|0;if((va|0)==(i|0))QGa(xa,tb,ya);else ruc(va,ya)|0;ya=f[wa>>2]|0;if((ya|0)==(i|0))QGa(wa,ub,h);else ruc(ya,h)|0;if((b[h+11>>0]|0)<0)fuc(f[h>>2]|0);u=g;return}default:{iLb(k,3,508854,446);ya=dLb(k,511618)|0;i=f[n>>2]|0;if(i|0?(f[i>>2]|0)!=2:0){f[h>>2]=110384;f[h+4>>2]=1962;b[h+8>>0]=0;f[h+12>>2]=e;xLb(i,h)}fLb(l,gLb(ya,f[151812+(f[o>>2]<<2)>>2]|0)|0);jLb(k);u=g;return}}while(0)}function H3b(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;c=u;u=u+16|0;d=c;if((a|0)==(b|0)){u=c;return}e=a+8|0;g=f[e>>2]|0;if(!g)h=0;else h=f[g>>2]|0;i=b+8|0;j=f[i>>2]|0;k=(j|0)==0;if(k)l=0;else l=f[j>>2]|0;if((h|0)==(l|0)){f[e>>2]=j;f[i>>2]=g;g=f[a>>2]|0;f[a>>2]=f[b>>2];f[b>>2]=g;g=a+4|0;l=b+4|0;h=f[g>>2]|0;f[g>>2]=f[l>>2];f[l>>2]=h;u=c;return}if(k)m=0;else m=f[j>>2]|0;f[d>>2]=0;j=d+4|0;f[j>>2]=0;k=d+8|0;f[k>>2]=0;if(m|0){if(f[m+64>>2]|0)HIb(m,27008,8);h=FIb(m,8)|0;f[k>>2]=h;f[h>>2]=m}m=f[a>>2]|0;if(m|0){NEa(d,m);m=f[d>>2]|0;szc((f[k>>2]|0)+4+(m<<2)|0,(f[e>>2]|0)+4|0,f[a>>2]<<2|0)|0;f[d>>2]=m+(f[a>>2]|0)}f[a>>2]=0;m=f[b>>2]|0;if(m|0){NEa(a,m);szc((f[e>>2]|0)+4+(f[a>>2]<<2)|0,(f[i>>2]|0)+4|0,f[b>>2]<<2|0)|0;f[a>>2]=(f[a>>2]|0)+(f[b>>2]|0)}if((d|0)==(b|0))n=f[k>>2]|0;else{a=f[i>>2]|0;f[i>>2]=f[k>>2];f[k>>2]=a;k=f[b>>2]|0;f[b>>2]=f[d>>2];f[d>>2]=k;k=b+4|0;b=f[k>>2]|0;f[k>>2]=f[j>>2];f[j>>2]=b;n=a}if(n|0?(f[n>>2]|0)==0:0)fuc(n);u=c;return}function I3b(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;c=u;u=u+16|0;d=c;if((a|0)==(b|0)){u=c;return}e=a+8|0;g=f[e>>2]|0;if(!g)h=0;else h=f[g>>2]|0;i=b+8|0;j=f[i>>2]|0;k=(j|0)==0;if(k)l=0;else l=f[j>>2]|0;if((h|0)==(l|0)){f[e>>2]=j;f[i>>2]=g;g=f[a>>2]|0;f[a>>2]=f[b>>2];f[b>>2]=g;g=a+4|0;l=b+4|0;h=f[g>>2]|0;f[g>>2]=f[l>>2];f[l>>2]=h;u=c;return}if(k)m=0;else m=f[j>>2]|0;f[d>>2]=0;j=d+4|0;f[j>>2]=0;k=d+8|0;f[k>>2]=0;if(m|0){if(f[m+64>>2]|0)HIb(m,27008,8);h=FIb(m,8)|0;f[k>>2]=h;f[h>>2]=m}m=f[a>>2]|0;if(m|0){ZOa(d,m);m=f[d>>2]|0;szc((f[k>>2]|0)+8+(m<<3)|0,(f[e>>2]|0)+8|0,f[a>>2]<<3|0)|0;f[d>>2]=m+(f[a>>2]|0)}f[a>>2]=0;m=f[b>>2]|0;if(m|0){ZOa(a,m);szc((f[e>>2]|0)+8+(f[a>>2]<<3)|0,(f[i>>2]|0)+8|0,f[b>>2]<<3|0)|0;f[a>>2]=(f[a>>2]|0)+(f[b>>2]|0)}if((d|0)==(b|0))n=f[k>>2]|0;else{a=f[i>>2]|0;f[i>>2]=f[k>>2];f[k>>2]=a;k=f[b>>2]|0;f[b>>2]=f[d>>2];f[d>>2]=k;k=b+4|0;b=f[k>>2]|0;f[k>>2]=f[j>>2];f[j>>2]=b;n=a}if(n|0?(f[n>>2]|0)==0:0)fuc(n);u=c;return}function J3b(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;c=u;u=u+16|0;d=c;if((a|0)==(b|0)){u=c;return}e=a+8|0;g=f[e>>2]|0;if(!g)h=0;else h=f[g>>2]|0;i=b+8|0;j=f[i>>2]|0;k=(j|0)==0;if(k)l=0;else l=f[j>>2]|0;if((h|0)==(l|0)){f[e>>2]=j;f[i>>2]=g;g=f[a>>2]|0;f[a>>2]=f[b>>2];f[b>>2]=g;g=a+4|0;l=b+4|0;h=f[g>>2]|0;f[g>>2]=f[l>>2];f[l>>2]=h;u=c;return}if(k)m=0;else m=f[j>>2]|0;f[d>>2]=0;j=d+4|0;f[j>>2]=0;k=d+8|0;f[k>>2]=0;if(m|0){if(f[m+64>>2]|0)HIb(m,27008,8);h=FIb(m,8)|0;f[k>>2]=h;f[h>>2]=m}m=f[a>>2]|0;if(m|0){UEa(d,m);m=f[d>>2]|0;szc((f[k>>2]|0)+4+(m<<2)|0,(f[e>>2]|0)+4|0,f[a>>2]<<2|0)|0;f[d>>2]=m+(f[a>>2]|0)}f[a>>2]=0;m=f[b>>2]|0;if(m|0){UEa(a,m);szc((f[e>>2]|0)+4+(f[a>>2]<<2)|0,(f[i>>2]|0)+4|0,f[b>>2]<<2|0)|0;f[a>>2]=(f[a>>2]|0)+(f[b>>2]|0)}if((d|0)==(b|0))n=f[k>>2]|0;else{a=f[i>>2]|0;f[i>>2]=f[k>>2];f[k>>2]=a;k=f[b>>2]|0;f[b>>2]=f[d>>2];f[d>>2]=k;k=b+4|0;b=f[k>>2]|0;f[k>>2]=f[j>>2];f[j>>2]=b;n=a}if(n|0?(f[n>>2]|0)==0:0)fuc(n);u=c;return}function K3b(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;c=u;u=u+16|0;d=c;if((a|0)==(b|0)){u=c;return}e=a+8|0;g=f[e>>2]|0;if(!g)h=0;else h=f[g>>2]|0;i=b+8|0;j=f[i>>2]|0;k=(j|0)==0;if(k)l=0;else l=f[j>>2]|0;if((h|0)==(l|0)){f[e>>2]=j;f[i>>2]=g;g=f[a>>2]|0;f[a>>2]=f[b>>2];f[b>>2]=g;g=a+4|0;l=b+4|0;h=f[g>>2]|0;f[g>>2]=f[l>>2];f[l>>2]=h;u=c;return}if(k)m=0;else m=f[j>>2]|0;f[d>>2]=0;j=d+4|0;f[j>>2]=0;k=d+8|0;f[k>>2]=0;if(m|0){if(f[m+64>>2]|0)HIb(m,27008,8);h=FIb(m,8)|0;f[k>>2]=h;f[h>>2]=m}m=f[a>>2]|0;if(m|0){eEb(d,m);m=f[d>>2]|0;szc((f[k>>2]|0)+8+(m<<3)|0,(f[e>>2]|0)+8|0,f[a>>2]<<3|0)|0;f[d>>2]=m+(f[a>>2]|0)}f[a>>2]=0;m=f[b>>2]|0;if(m|0){eEb(a,m);szc((f[e>>2]|0)+8+(f[a>>2]<<3)|0,(f[i>>2]|0)+8|0,f[b>>2]<<3|0)|0;f[a>>2]=(f[a>>2]|0)+(f[b>>2]|0)}if((d|0)==(b|0))n=f[k>>2]|0;else{a=f[i>>2]|0;f[i>>2]=f[k>>2];f[k>>2]=a;k=f[b>>2]|0;f[b>>2]=f[d>>2];f[d>>2]=k;k=b+4|0;b=f[k>>2]|0;f[k>>2]=f[j>>2];f[j>>2]=b;n=a}if(n|0?(f[n>>2]|0)==0:0)fuc(n);u=c;return}function L3b(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;c=u;u=u+16|0;d=c;if((a|0)==(b|0)){u=c;return}e=a+8|0;g=f[e>>2]|0;if(!g)h=0;else h=f[g>>2]|0;i=b+8|0;j=f[i>>2]|0;k=(j|0)==0;if(k)l=0;else l=f[j>>2]|0;if((h|0)==(l|0)){f[e>>2]=j;f[i>>2]=g;g=f[a>>2]|0;f[a>>2]=f[b>>2];f[b>>2]=g;g=a+4|0;l=b+4|0;h=f[g>>2]|0;f[g>>2]=f[l>>2];f[l>>2]=h;u=c;return}if(k)m=0;else m=f[j>>2]|0;f[d>>2]=0;j=d+4|0;f[j>>2]=0;k=d+8|0;f[k>>2]=0;if(m|0){if(f[m+64>>2]|0)HIb(m,27008,8);h=FIb(m,8)|0;f[k>>2]=h;f[h>>2]=m}m=f[a>>2]|0;if(m|0){REa(d,m);m=f[d>>2]|0;szc((f[k>>2]|0)+4+(m<<2)|0,(f[e>>2]|0)+4|0,f[a>>2]<<2|0)|0;f[d>>2]=m+(f[a>>2]|0)}f[a>>2]=0;m=f[b>>2]|0;if(m|0){REa(a,m);szc((f[e>>2]|0)+4+(f[a>>2]<<2)|0,(f[i>>2]|0)+4|0,f[b>>2]<<2|0)|0;f[a>>2]=(f[a>>2]|0)+(f[b>>2]|0)}if((d|0)==(b|0))n=f[k>>2]|0;else{a=f[i>>2]|0;f[i>>2]=f[k>>2];f[k>>2]=a;k=f[b>>2]|0;f[b>>2]=f[d>>2];f[d>>2]=k;k=b+4|0;b=f[k>>2]|0;f[k>>2]=f[j>>2];f[j>>2]=b;n=a}if(n|0?(f[n>>2]|0)==0:0)fuc(n);u=c;return}function M3b(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;c=u;u=u+16|0;d=c;if((a|0)==(b|0)){u=c;return}e=a+8|0;g=f[e>>2]|0;if(!g)h=0;else h=f[g>>2]|0;i=b+8|0;j=f[i>>2]|0;k=(j|0)==0;if(k)l=0;else l=f[j>>2]|0;if((h|0)==(l|0)){f[e>>2]=j;f[i>>2]=g;g=f[a>>2]|0;f[a>>2]=f[b>>2];f[b>>2]=g;g=a+4|0;l=b+4|0;h=f[g>>2]|0;f[g>>2]=f[l>>2];f[l>>2]=h;u=c;return}if(k)m=0;else m=f[j>>2]|0;f[d>>2]=0;j=d+4|0;f[j>>2]=0;k=d+8|0;f[k>>2]=0;if(m|0){if(f[m+64>>2]|0)HIb(m,27008,8);h=FIb(m,8)|0;f[k>>2]=h;f[h>>2]=m}m=f[a>>2]|0;if(m|0){oRa(d,m);m=f[d>>2]|0;szc((f[k>>2]|0)+8+(m<<3)|0,(f[e>>2]|0)+8|0,f[a>>2]<<3|0)|0;f[d>>2]=m+(f[a>>2]|0)}f[a>>2]=0;m=f[b>>2]|0;if(m|0){oRa(a,m);szc((f[e>>2]|0)+8+(f[a>>2]<<3)|0,(f[i>>2]|0)+8|0,f[b>>2]<<3|0)|0;f[a>>2]=(f[a>>2]|0)+(f[b>>2]|0)}if((d|0)==(b|0))n=f[k>>2]|0;else{a=f[i>>2]|0;f[i>>2]=f[k>>2];f[k>>2]=a;k=f[b>>2]|0;f[b>>2]=f[d>>2];f[d>>2]=k;k=b+4|0;b=f[k>>2]|0;f[k>>2]=f[j>>2];f[j>>2]=b;n=a}if(n|0?(f[n>>2]|0)==0:0)fuc(n);u=c;return}function N3b(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;c=u;u=u+16|0;d=c;if((a|0)==(b|0)){u=c;return}e=a+8|0;g=f[e>>2]|0;if(!g)h=0;else h=f[g>>2]|0;i=b+8|0;j=f[i>>2]|0;k=(j|0)==0;if(k)l=0;else l=f[j>>2]|0;if((h|0)==(l|0)){f[e>>2]=j;f[i>>2]=g;g=f[a>>2]|0;f[a>>2]=f[b>>2];f[b>>2]=g;g=a+4|0;l=b+4|0;h=f[g>>2]|0;f[g>>2]=f[l>>2];f[l>>2]=h;u=c;return}if(k)m=0;else m=f[j>>2]|0;f[d>>2]=0;j=d+4|0;f[j>>2]=0;k=d+8|0;f[k>>2]=0;if(m|0){if(f[m+64>>2]|0)HIb(m,27008,8);h=FIb(m,8)|0;f[k>>2]=h;f[h>>2]=m}m=f[a>>2]|0;if(m|0){_Oa(d,m);m=f[d>>2]|0;szc((f[k>>2]|0)+4+m|0,(f[e>>2]|0)+4|0,f[a>>2]|0)|0;f[d>>2]=m+(f[a>>2]|0)}f[a>>2]=0;m=f[b>>2]|0;if(m|0){_Oa(a,m);szc((f[a>>2]|0)+((f[e>>2]|0)+4)|0,(f[i>>2]|0)+4|0,f[b>>2]|0)|0;f[a>>2]=(f[a>>2]|0)+(f[b>>2]|0)}if((d|0)==(b|0))n=f[k>>2]|0;else{a=f[i>>2]|0;f[i>>2]=f[k>>2];f[k>>2]=a;k=f[b>>2]|0;f[b>>2]=f[d>>2];f[d>>2]=k;k=b+4|0;b=f[k>>2]|0;f[k>>2]=f[j>>2];f[j>>2]=b;n=a}if(n|0?(f[n>>2]|0)==0:0)fuc(n);u=c;return}function O3b(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=u;u=u+16|0;e=d;f[e>>2]=f[c>>2];g=e+4|0;f[g>>2]=0;h=e+8|0;f[h>>2]=0;i=e+12|0;f[i>>2]=0;R3b(e,a);j=a+4|0;k=f[j>>2]|0;if((k|0)>0){l=f[a+12>>2]|0;m=0;do{n=f[l+4+(m<<2)>>2]|0;m=m+1|0;o=n+11|0;if((b[o>>0]|0)<0){b[f[n>>2]>>0]=0;f[n+4>>2]=0}else{b[n>>0]=0;b[o>>0]=0}}while((m|0)!=(k|0));f[j>>2]=0}R3b(a,c);a=c+4|0;j=f[a>>2]|0;k=c+12|0;if((j|0)>0){m=f[k>>2]|0;l=0;do{o=f[m+4+(l<<2)>>2]|0;l=l+1|0;n=o+11|0;if((b[n>>0]|0)<0){b[f[o>>2]>>0]=0;f[o+4>>2]=0}else{b[o>>0]=0;b[n>>0]=0}}while((l|0)!=(j|0));f[a>>2]=0;p=0}else p=j;j=f[k>>2]|0;f[k>>2]=f[i>>2];f[i>>2]=j;f[a>>2]=f[g>>2];f[g>>2]=p;p=c+8|0;c=f[p>>2]|0;f[p>>2]=f[h>>2];f[h>>2]=c;c=j;if(!((j|0)!=0&(f[e>>2]|0)==0)){u=d;return}e=j;j=f[c>>2]|0;if((j|0)>0){h=0;do{p=f[c+4+(h<<2)>>2]|0;if(p|0){if((b[p+11>>0]|0)<0)fuc(f[p>>2]|0);fuc(p)}h=h+1|0}while((h|0)!=(j|0));q=f[i>>2]|0}else q=e;fuc(q);u=d;return}function P3b(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;c=u;u=u+16|0;d=c;f[d>>2]=f[b>>2];e=d+4|0;f[e>>2]=0;g=d+8|0;f[g>>2]=0;h=d+12|0;f[h>>2]=0;Q3b(d,a);i=a+4|0;j=f[i>>2]|0;if((j|0)>0){k=f[a+12>>2]|0;l=0;do{m=f[k+4+(l<<2)>>2]|0;l=l+1|0;bi[f[(f[m>>2]|0)+28>>2]&2047](m)}while((l|0)!=(j|0));f[i>>2]=0}Q3b(a,b);a=b+4|0;i=f[a>>2]|0;j=b+12|0;if((i|0)>0){l=f[j>>2]|0;k=0;do{m=f[l+4+(k<<2)>>2]|0;k=k+1|0;bi[f[(f[m>>2]|0)+28>>2]&2047](m)}while((k|0)!=(i|0));f[a>>2]=0;n=0}else n=i;i=f[j>>2]|0;f[j>>2]=f[h>>2];f[h>>2]=i;f[a>>2]=f[e>>2];f[e>>2]=n;n=b+8|0;b=f[n>>2]|0;f[n>>2]=f[g>>2];f[g>>2]=b;b=i;if(!((i|0)!=0&(f[d>>2]|0)==0)){u=c;return}d=i;i=f[b>>2]|0;if((i|0)>0){g=0;do{n=f[b+4+(g<<2)>>2]|0;if(n|0)bi[f[(f[n>>2]|0)+4>>2]&2047](n);g=g+1|0}while((g|0)!=(i|0));o=f[h>>2]|0}else o=d;fuc(o);u=c;return}function Q3b(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0;c=f[b+4>>2]|0;if(!c)return;d=f[b+12>>2]|0;b=KKb(a,c)|0;e=a+12|0;g=a+4|0;h=(f[f[e>>2]>>2]|0)-(f[g>>2]|0)|0;if((h|0)>0&(c|0)>0){i=0;do{m3b(f[d+4+(i<<2)>>2]|0,f[b+(i<<2)>>2]|0);i=i+1|0}while((i|0)<(h|0)&(i|0)<(c|0))}i=f[a>>2]|0;if((h|0)<(c|0)){a=h;do{h=f[d+4+(a<<2)>>2]|0;j=v9b(h,i)|0;m3b(h,j);f[b+(a<<2)>>2]=j;a=a+1|0}while((a|0)!=(c|0))}a=(f[g>>2]|0)+c|0;f[g>>2]=a;g=f[e>>2]|0;if((f[g>>2]|0)>=(a|0))return;f[g>>2]=a;return}function R3b(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=f[b+4>>2]|0;if(!c)return;d=f[b+12>>2]|0;b=KKb(a,c)|0;e=a+12|0;g=a+4|0;h=(f[f[e>>2]>>2]|0)-(f[g>>2]|0)|0;if((h|0)>0&(c|0)>0){i=0;do{JKb(f[d+4+(i<<2)>>2]|0,f[b+(i<<2)>>2]|0);i=i+1|0}while((i|0)<(h|0)&(i|0)<(c|0))}i=f[a>>2]|0;a:do if((h|0)<(c|0)){a=i+64|0;if(!i){j=h;while(1){k=f[d+4+(j<<2)>>2]|0;l=cuc(12)|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;JKb(k,l);f[b+(j<<2)>>2]=l;j=j+1|0;if((j|0)==(c|0))break a}}else m=h;do{j=f[d+4+(m<<2)>>2]|0;if(f[a>>2]|0)HIb(i,9552,16);l=GIb(i,16,1964)|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;JKb(j,l);f[b+(m<<2)>>2]=l;m=m+1|0}while((m|0)!=(c|0))}while(0);m=(f[g>>2]|0)+c|0;f[g>>2]=m;g=f[e>>2]|0;if((f[g>>2]|0)>=(m|0))return;f[g>>2]=m;return}function S3b(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0;f[a>>2]=157272;g=a+4|0;f[g>>2]=b;h=a+8|0;i=c;c=h+36|0;do{f[h>>2]=f[i>>2];h=h+4|0;i=i+4|0}while((h|0)<(c|0));if(!d){i=aQb()|0;j=i;k=f[g>>2]|0}else{j=d;k=b}f[a+44>>2]=j;f[a+48>>2]=e;f[a+52>>2]=(f[k+52>>2]|0)+-1;return}function T3b(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0;k=u;u=u+64|0;l=k;m=k+8|0;n=k+32|0;o=ZMb(aQb()|0,a)|0;if(!o){iLb(m,3,508854,2329);fLb(k+56|0,dLb(m,511821)|0);jLb(m)}if(!g)p=g9b()|0;else p=g;f[n>>2]=p;p=n+4|0;f[p>>2]=h;g=n+8|0;f[g>>2]=i;f[n+12>>2]=c;f[n+16>>2]=d;f[n+20>>2]=e;e=o+28|0;if((f[e>>2]|0)>0){d=o+68|0;c=0;do{U3b(n,(f[d>>2]|0)+(c*88|0)|0);c=c+1|0}while((c|0)<(f[e>>2]|0))}e=f[o+32>>2]|0;if((e|0)>0){c=o+72|0;d=0;n=f[g>>2]|0;do{f[n>>2]=(f[c>>2]|0)+(d*48|0);n=n+4|0;d=d+1|0}while((d|0)<(e|0));f[g>>2]=n}if(b[(f[o+84>>2]|0)+84>>0]|0?(n=f[o+36>>2]|0,(n|0)>0):0){g=o+76|0;o=0;do{f[j+(o<<2)>>2]=(f[g>>2]|0)+(o*24|0);o=o+1|0}while((o|0)<(n|0))}n=V3b()|0;o=f[p>>2]|0;WKb(n);f[l>>2]=h;f[l+4>>2]=o;o=n+8|0;h=f[o>>2]|0;if(h>>>0<(f[n+12>>2]|0)>>>0){p=l;g=f[p+4>>2]|0;j=h;f[j>>2]=f[p>>2];f[j+4>>2]=g;f[o>>2]=(f[o>>2]|0)+8;XKb(n);u=k;return}else{W3b(n+4|0,l);XKb(n);u=k;return}}function U3b(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;c=b+60|0;if((f[c>>2]|0)>0){d=b+28|0;e=0;do{U3b(a,(f[d>>2]|0)+(e*88|0)|0);e=e+1|0}while((e|0)<(f[c>>2]|0))}c=a+4|0;f[f[c>>2]>>2]=b;e=cuc(56)|0;d=a+16|0;g=f[a+20>>2]|0;h=a+12|0;i=f[h>>2]|0;j=f[i>>2]|0;k=f[i+4>>2]|0;l=f[i+8>>2]|0;i=f[f[d>>2]>>2]|0;m=g+(j<<2)|0;n=f[m>>2]|0;o=f[g+(j+1<<2)>>2]|0;p=f[g+(j+2<<2)>>2]|0;q=f[g+(j+3<<2)>>2]|0;r=f[g+(j+4<<2)>>2]|0;j=aQb()|0;s=f[a>>2]|0;f[e>>2]=157272;t=e+4|0;f[t>>2]=b;f[e+8>>2]=i;f[e+12>>2]=m+20;f[e+16>>2]=g+(k<<2);f[e+20>>2]=n;f[e+24>>2]=o;f[e+28>>2]=p;f[e+32>>2]=q;f[e+36>>2]=l;f[e+40>>2]=r;if(!j){r=aQb()|0;u=r;v=f[t>>2]|0}else{u=j;v=b}f[e+44>>2]=u;f[e+48>>2]=s;f[e+52>>2]=(f[v+52>>2]|0)+-1;v=f[c>>2]|0;f[v+4>>2]=e;e=f[b+64>>2]|0;if((e|0)<=0){w=v;x=f[h>>2]|0;y=x+12|0;f[h>>2]=y;z=f[d>>2]|0;A=z+4|0;f[d>>2]=A;B=w+8|0;f[c>>2]=B;return}v=b+32|0;b=a+8|0;a=0;s=f[b>>2]|0;do{f[s>>2]=(f[v>>2]|0)+(a*48|0);s=(f[b>>2]|0)+4|0;f[b>>2]=s;a=a+1|0}while((a|0)<(e|0));w=f[c>>2]|0;x=f[h>>2]|0;y=x+12|0;f[h>>2]=y;z=f[d>>2]|0;A=z+4|0;f[d>>2]=A;B=w+8|0;f[c>>2]=B;return}function V3b(){var a=0,c=0;if(b[544616]|0){a=f[225027]|0;return a|0}if(!($yc(544616)|0)){a=f[225027]|0;return a|0}c=cuc(16)|0;kLb(c);f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;$Kb(164);f[225027]=c;a=f[225027]|0;return a|0}function W3b(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+4|0;d=f[a>>2]|0;e=(f[c>>2]|0)-d|0;g=e>>3;h=g+1|0;if(h>>>0>536870911)nsc(a);i=a+8|0;j=(f[i>>2]|0)-d|0;k=j>>2;l=j>>3>>>0<268435455?(k>>>0<h>>>0?h:k):536870911;do if(l)if(l>>>0>536870911){k=ze(8)|0;kuc(k,519086);f[k>>2]=167148;Hf(k|0,26888,1888)}else{m=cuc(l<<3)|0;break}else m=0;while(0);k=m+(g<<3)|0;h=b;b=f[h+4>>2]|0;j=k;f[j>>2]=f[h>>2];f[j+4>>2]=b;b=k+(0-g<<3)|0;if((e|0)>0)szc(b|0,d|0,e|0)|0;f[a>>2]=b;f[c>>2]=k+8;f[i>>2]=m+(l<<3);if(!d)return;fuc(d);return}function X3b(){var a=0,b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;a=V3b()|0;if(!a)return;b=a+4|0;c=a+8|0;d=f[c>>2]|0;e=f[b>>2]|0;g=e;if((d|0)==(e|0)){h=d;i=g}else{j=0;k=g;g=d;d=e;while(1){e=f[k+(j<<3)>>2]|0;if(e>>>0<(f[k+(j<<3)+4>>2]|0)>>>0){l=e;e=d;m=k;while(1){n=f[l+4>>2]|0;if(!n){o=m;p=e}else{bi[f[(f[n>>2]|0)+4>>2]&2047](n);n=f[b>>2]|0;o=n;p=n}l=l+8|0;if(l>>>0>=(f[o+(j<<3)+4>>2]|0)>>>0)break;else{e=p;m=o}}q=p;r=f[c>>2]|0}else{q=d;r=g}j=j+1|0;m=q;if(j>>>0>=r-q>>3>>>0){h=r;i=m;break}else{k=m;g=r;d=q}}}q=h;if(i|0){if((q|0)!=(i|0))f[c>>2]=q+(~((q+-8-i|0)>>>3)<<3);fuc(i)}lLb(a);fuc(a);return}function Y3b(a,b){a=a|0;b=b|0;var c=0,d=0;if((b|0)>0)c=0;else return;do{d=f[a+(c<<3)+4>>2]|0;if(d|0)r9b(f[a+(c<<3)>>2]|0,f[d+8>>2]|0);c=c+1|0}while((c|0)!=(b|0));return}function Z3b(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0.0,n=0,o=0,q=0.0;d=u;u=u+128|0;e=d;g=d+104|0;h=d+72|0;i=d+48|0;j=d+24|0;k=d+20|0;l=d+8|0;m=+ghc(a,k);n=(c|0)!=0;o=f[k>>2]|0;if(n)f[c>>2]=o;if((b[o>>0]|0)!=46){q=m;u=d;return +q}p[e>>3]=1.5;k=ihc(g,511850,e)|0;if((b[g>>0]|0)!=49){iLb(h,3,511855,63);fLb(d+98|0,dLb(h,511946)|0);jLb(h)}if((b[g+(k+-1)>>0]|0)!=53){iLb(i,3,511855,64);fLb(d+97|0,dLb(i,511981)|0);jLb(i)}if((k|0)>=7){iLb(j,3,511855,65);fLb(d+96|0,dLb(j,512021)|0);jLb(j)};f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;vuc(l,k+-3+(jfc(a)|0)|0);_3b(l,a,o)|0;Cuc(l,g+1|0,k+-2|0)|0;Duc(l,o+1|0)|0;k=l+11|0;g=(b[k>>0]|0)<0?f[l>>2]|0:l;m=+ghc(g,e);j=f[e>>2]|0;e=g;g=b[k>>0]|0;if(n&(j-e|0)>(o-a|0)){o=g<<24>>24<0?f[l+4>>2]|0:g&255;n=a+((jfc(a)|0)-(o+e)+j)|0;f[c>>2]=n}if(g<<24>>24<0)fuc(f[l>>2]|0);q=m;u=d;return +q}function _3b(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;e=u;u=u+16|0;g=c;h=e;i=a+11|0;j=b[i>>0]|0;k=j<<24>>24<0;if(k){l=f[a+4>>2]|0;m=(f[a+8>>2]&2147483647)+-1|0}else{l=j&255;m=10}n=d-g|0;if(!n){u=e;return a|0}if(k){k=f[a>>2]|0;o=k;p=f[a+4>>2]|0;q=k}else{o=a;p=j&255;q=a}if(q>>>0<=c>>>0&(o+p|0)>>>0>c>>>0){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;if(n>>>0>4294967279)muc(h);if(n>>>0<11){b[h+11>>0]=n;r=h}else{p=n+16&-16;o=cuc(p)|0;f[h>>2]=o;f[h+8>>2]=p|-2147483648;f[h+4>>2]=n;r=o}if((c|0)==(d|0))s=r;else{o=r;p=c;while(1){b[o>>0]=b[p>>0]|0;p=p+1|0;if((p|0)==(d|0))break;else o=o+1|0}s=r+n|0}b[s>>0]=0;s=h+11|0;r=b[s>>0]|0;o=r<<24>>24<0;Cuc(a,o?f[h>>2]|0:h,o?f[h+4>>2]|0:r&255)|0;if((b[s>>0]|0)<0)fuc(f[h>>2]|0);u=e;return a|0}if((m-l|0)>>>0<n>>>0){zuc(a,m,l+n-m|0,l,l,0,0);t=b[i>>0]|0}else t=j;if(t<<24>>24<0)v=f[a>>2]|0;else v=a;t=v+l|0;if((c|0)==(d|0))w=t;else{j=d+(l-g)|0;g=c;c=t;while(1){b[c>>0]=b[g>>0]|0;g=g+1|0;if((g|0)==(d|0))break;else c=c+1|0}w=v+j|0}b[w>>0]=0;w=l+n|0;if((b[i>>0]|0)<0){f[a+4>>2]=w;u=e;return a|0}else{b[i>>0]=w;u=e;return a|0}return 0}function $3b(a){a=+a;var b=0.0;if(!(a>3402823466385288598117041.0e14))if(a<-3402823466385288598117041.0e14)b=-D;else b=a;else b=D;return +b}function a4b(a){a=a|0;return}function b4b(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=u;u=u+16|0;g=e;h=a+4|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;h=a+32|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;h=a+56|0;f[h>>2]=c;f[a+60>>2]=d;d=a+68|0;i=a+72|0;j=a+80|0;f[a+84>>2]=0;f[a+88>>2]=0;f[a+92>>2]=0;k=d+4|0;f[k>>2]=0;f[k+4>>2]=0;b[k+8>>0]=0;f[a+96>>2]=-1;b[a+100>>0]=0;f[a+104>>2]=0;b[a+108>>0]=1;b[a+109>>0]=0;f[a+16>>2]=0;f[a+20>>2]=0;f[a+24>>2]=0;f[a>>2]=0;f[g>>2]=0;f[d>>2]=0;f[a+76>>2]=0;k=c;while(1){if(!(li[f[(f[k>>2]|0)+8>>2]&511](k,g,i)|0)){l=3;break}if(f[i>>2]|0){l=6;break}k=f[h>>2]|0}if((l|0)==3){f[i>>2]=0;b[j>>0]=1;m=0;n=a+64|0;b[n>>0]=m;u=e;return}else if((l|0)==6){l=f[g>>2]|0;f[d>>2]=l;m=b[l>>0]|0;n=a+64|0;b[n>>0]=m;u=e;return}}function c4b(a){a=a|0;var c=0,d=0,e=0;c=f[a+72>>2]|0;d=f[a+76>>2]|0;if((c|0)>(d|0)){e=f[a+56>>2]|0;yh[f[(f[e>>2]|0)+12>>2]&2047](e,c-d|0)}d=a+32|0;if((b[d+11>>0]|0)<0)fuc(f[d>>2]|0);d=a+4|0;if((b[d+11>>0]|0)>=0)return;fuc(f[d>>2]|0);return}function d4b(a){a=a|0;var c=0;c=a+4|0;if((b[c+11>>0]|0)>=0)return;fuc(f[c>>2]|0);return}function e4b(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;c=u;u=u+16|0;d=c;e=a+64|0;g=b[e>>0]|0;if(g<<24>>24==10){h=a+84|0;f[h>>2]=(f[h>>2]|0)+1;f[a+88>>2]=0}else{h=a+88|0;i=f[h>>2]|0;if(g<<24>>24==9)j=8-((i|0)%8|0)|0;else j=1;f[h>>2]=j+i}i=a+76|0;j=(f[i>>2]|0)+1|0;f[i>>2]=j;h=a+72|0;g=f[h>>2]|0;if((j|0)<(g|0)){b[e>>0]=b[(f[a+68>>2]|0)+j>>0]|0;u=c;return}j=a+80|0;if(b[j>>0]|0){b[e>>0]=0;u=c;return}k=f[a+92>>2]|0;if(k|0?(l=a+96|0,m=f[l>>2]|0,(g|0)>(m|0)):0){Cuc(k,(f[a+68>>2]|0)+m|0,g-m|0)|0;f[l>>2]=0}f[d>>2]=0;l=a+68|0;f[l>>2]=0;f[i>>2]=0;i=a+56|0;while(1){a=f[i>>2]|0;if(!(li[f[(f[a>>2]|0)+8>>2]&511](a,d,h)|0)){n=15;break}if(f[h>>2]|0){n=17;break}}if((n|0)==15){f[h>>2]=0;b[j>>0]=1;o=0}else if((n|0)==17){n=f[d>>2]|0;f[l>>2]=n;o=b[n>>0]|0}b[e>>0]=o;u=c;return}function f4b(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;d=u;u=u+16|0;e=d;g=a+64|0;h=a+109|0;i=e+8|0;j=e+4|0;k=a+60|0;l=a+84|0;m=a+88|0;n=e+11|0;o=e+8|0;p=e+4|0;q=e+11|0;r=e+8|0;s=e+4|0;t=e+11|0;v=e+8|0;w=e+4|0;x=e+11|0;a:while(1){y=b[g>>0]|0;switch(y<<24>>24|0){case 0:{z=3;break a;break}case 10:{if(!(b[h>>0]|0)){z=7;break a}e4b(a);continue a;break}case 92:{e4b(a);A=b[g>>0]|0;switch(A<<24>>24){case 34:case 39:case 63:case 92:case 118:case 116:case 114:case 110:case 102:case 98:case 97:{e4b(a);continue a;break}default:{}}if((A&-8)<<24>>24==48){e4b(a);continue a}switch(A<<24>>24){case 120:{e4b(a);A=b[g>>0]|0;b:do if((A+-48&255)>=10){switch(A<<24>>24){case 65:case 66:case 67:case 68:case 69:case 70:case 97:case 98:case 99:case 100:case 101:case 102:{break b;break}default:{}}B=cuc(48)|0;f[e>>2]=B;f[i>>2]=-2147483600;f[j>>2]=40;C=B;D=512161;E=C+40|0;do{b[C>>0]=b[D>>0]|0;C=C+1|0;D=D+1|0}while((C|0)<(E|0));b[B+40>>0]=0;F=f[k>>2]|0;sh[f[(f[F>>2]|0)+8>>2]&255](F,f[l>>2]|0,f[m>>2]|0,e);if((b[n>>0]|0)<0)fuc(f[e>>2]|0);continue a}while(0);e4b(a);continue a;break}case 117:{e4b(a);A=b[g>>0]|0;if((A+-48&255)<10)z=24;else switch(A<<24>>24){case 65:case 66:case 67:case 68:case 69:case 70:case 97:case 98:case 99:case 100:case 101:case 102:{z=24;break}default:{}}c:do if((z|0)==24){z=0;e4b(a);A=b[g>>0]|0;if((A+-48&255)>=10)switch(A<<24>>24){case 65:case 66:case 67:case 68:case 69:case 70:case 97:case 98:case 99:case 100:case 101:case 102:break;default:break c}e4b(a);A=b[g>>0]|0;if((A+-48&255)>=10)switch(A<<24>>24){case 65:case 66:case 67:case 68:case 69:case 70:case 97:case 98:case 99:case 100:case 101:case 102:break;default:break c}e4b(a);A=b[g>>0]|0;if((A+-48&255)>=10)switch(A<<24>>24){case 65:case 66:case 67:case 68:case 69:case 70:case 97:case 98:case 99:case 100:case 101:case 102:break;default:break c}e4b(a);continue a}while(0);A=cuc(64)|0;f[e>>2]=A;f[o>>2]=-2147483584;f[p>>2]=48;C=A;D=512202;E=C+48|0;do{b[C>>0]=b[D>>0]|0;C=C+1|0;D=D+1|0}while((C|0)<(E|0));b[A+48>>0]=0;F=f[k>>2]|0;sh[f[(f[F>>2]|0)+8>>2]&255](F,f[l>>2]|0,f[m>>2]|0,e);if((b[q>>0]|0)<0)fuc(f[e>>2]|0);continue a;break}case 85:{e4b(a);d:do if((b[g>>0]|0)==48?(e4b(a),(b[g>>0]|0)==48):0){e4b(a);switch(b[g>>0]|0){case 48:{e4b(a);break}case 49:{e4b(a);break}default:break d}F=b[g>>0]|0;if((F+-48&255)>=10)switch(F<<24>>24){case 65:case 66:case 67:case 68:case 69:case 70:case 97:case 98:case 99:case 100:case 101:case 102:break;default:break d}e4b(a);F=b[g>>0]|0;if((F+-48&255)>=10)switch(F<<24>>24){case 65:case 66:case 67:case 68:case 69:case 70:case 97:case 98:case 99:case 100:case 101:case 102:break;default:break d}e4b(a);F=b[g>>0]|0;if((F+-48&255)>=10)switch(F<<24>>24){case 65:case 66:case 67:case 68:case 69:case 70:case 97:case 98:case 99:case 100:case 101:case 102:break;default:break d}e4b(a);F=b[g>>0]|0;if((F+-48&255)>=10)switch(F<<24>>24){case 65:case 66:case 67:case 68:case 69:case 70:case 97:case 98:case 99:case 100:case 101:case 102:break;default:break d}e4b(a);F=b[g>>0]|0;if((F+-48&255)>=10)switch(F<<24>>24){case 65:case 66:case 67:case 68:case 69:case 70:case 97:case 98:case 99:case 100:case 101:case 102:break;default:break d}e4b(a);continue a}while(0);A=cuc(64)|0;f[e>>2]=A;f[r>>2]=-2147483584;f[s>>2]=61;C=A;D=512251;E=C+61|0;do{b[C>>0]=b[D>>0]|0;C=C+1|0;D=D+1|0}while((C|0)<(E|0));b[A+61>>0]=0;F=f[k>>2]|0;sh[f[(f[F>>2]|0)+8>>2]&255](F,f[l>>2]|0,f[m>>2]|0,e);if((b[t>>0]|0)<0)fuc(f[e>>2]|0);continue a;break}default:{F=cuc(48)|0;f[e>>2]=F;f[v>>2]=-2147483600;f[w>>2]=42;C=F;D=512313;E=C+42|0;do{b[C>>0]=b[D>>0]|0;C=C+1|0;D=D+1|0}while((C|0)<(E|0));b[F+42>>0]=0;A=f[k>>2]|0;sh[f[(f[A>>2]|0)+8>>2]&255](A,f[l>>2]|0,f[m>>2]|0,e);if((b[x>>0]|0)<0)fuc(f[e>>2]|0);continue a}}break}default:{e4b(a);if(y<<24>>24==c<<24>>24){z=57;break a}else continue a}}}if((z|0)==3){c=cuc(32)|0;f[e>>2]=c;f[e+8>>2]=-2147483616;f[e+4>>2]=25;C=c;D=512089;E=C+25|0;do{b[C>>0]=b[D>>0]|0;C=C+1|0;D=D+1|0}while((C|0)<(E|0));b[c+25>>0]=0;c=f[k>>2]|0;sh[f[(f[c>>2]|0)+8>>2]&255](c,f[l>>2]|0,f[m>>2]|0,e);if((b[e+11>>0]|0)<0)fuc(f[e>>2]|0);u=d;return}else if((z|0)==7){c=cuc(48)|0;f[e>>2]=c;f[e+8>>2]=-2147483600;f[e+4>>2]=45;C=c;D=512115;E=C+45|0;do{b[C>>0]=b[D>>0]|0;C=C+1|0;D=D+1|0}while((C|0)<(E|0));b[c+45>>0]=0;c=f[k>>2]|0;sh[f[(f[c>>2]|0)+8>>2]&255](c,f[l>>2]|0,f[m>>2]|0,e);if((b[e+11>>0]|0)<0)fuc(f[e>>2]|0);u=d;return}else if((z|0)==57){u=d;return}}function g4b(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;e=u;u=u+16|0;g=e;h=a+64|0;i=b[h>>0]|0;a:do if(c){switch(i<<24>>24){case 120:{e4b(a);break}case 88:{e4b(a);break}default:{if((i+-48&255)>=10){j=20;break a}if((i&-8)<<24>>24==48){do{e4b(a);k=b[h>>0]|0}while((k&-8)<<24>>24==48);l=k}else l=i;if((l+-48&255)>=10){m=0;break a}k=cuc(64)|0;f[g>>2]=k;f[g+8>>2]=-2147483584;f[g+4>>2]=52;n=k;o=512393;p=n+52|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));b[k+52>>0]=0;q=f[a+60>>2]|0;sh[f[(f[q>>2]|0)+8>>2]&255](q,f[a+84>>2]|0,f[a+88>>2]|0,g);if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);if(((b[h>>0]|0)+-48&255)>=10){m=0;break a}while(1){e4b(a);if(((b[h>>0]|0)+-48&255)>=10){m=0;break a}}}}k=b[h>>0]|0;b:do if((k+-48&255)>=10){switch(k<<24>>24){case 65:case 66:case 67:case 68:case 69:case 70:case 97:case 98:case 99:case 100:case 101:case 102:{break b;break}default:{}}q=cuc(48)|0;f[g>>2]=q;f[g+8>>2]=-2147483600;f[g+4>>2]=36;n=q;o=512356;p=n+36|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));b[q+36>>0]=0;r=f[a+60>>2]|0;sh[f[(f[r>>2]|0)+8>>2]&255](r,f[a+84>>2]|0,f[a+88>>2]|0,g);if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);m=0;break a}while(0);while(1){e4b(a);k=b[h>>0]|0;if((k+-48&255)<10)continue;switch(k<<24>>24){case 65:case 66:case 67:case 68:case 69:case 70:case 97:case 98:case 99:case 100:case 101:case 102:break;default:{m=0;break a}}}}else j=20;while(0);c:do if((j|0)==20){if((i+-48&255)<10){do{e4b(a);l=b[h>>0]|0}while((l+-48&255)<10);s=l}else s=i;if(!d)if(s<<24>>24==46){e4b(a);l=b[h>>0]|0;if((l+-48&255)<10){do{e4b(a);c=b[h>>0]|0}while((c+-48&255)<10);t=1;v=c}else{t=1;v=l}}else{t=0;v=s}else{t=1;v=s}switch(v<<24>>24){case 101:{e4b(a);j=29;break}case 69:{e4b(a);j=29;break}default:w=t}d:do if((j|0)==29){switch(b[h>>0]|0){case 45:{e4b(a);break}case 43:{e4b(a);break}default:{}}if(((b[h>>0]|0)+-48&255)<10)while(1){e4b(a);if(((b[h>>0]|0)+-48&255)>=10){w=1;break d}}q=cuc(48)|0;f[g>>2]=q;f[g+8>>2]=-2147483600;f[g+4>>2]=33;n=q;o=512446;p=n+33|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));b[q+33>>0]=0;c=f[a+60>>2]|0;sh[f[(f[c>>2]|0)+8>>2]&255](c,f[a+84>>2]|0,f[a+88>>2]|0,g);if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);w=1}while(0);if(!(b[a+100>>0]|0))m=w;else switch(b[h>>0]|0){case 102:{e4b(a);m=1;break c;break}case 70:{e4b(a);m=1;break c;break}default:{m=w;break c}}}while(0);w=b[h>>0]|0;if(w<<24>>24==95|((w&-33)+-65&255)<26?b[a+108>>0]|0:0){h=cuc(48)|0;f[g>>2]=h;f[g+8>>2]=-2147483600;f[g+4>>2]=41;n=h;o=512480;p=n+41|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));b[h+41>>0]=0;h=f[a+60>>2]|0;sh[f[(f[h>>2]|0)+8>>2]&255](h,f[a+84>>2]|0,f[a+88>>2]|0,g);if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);x=m?4:3;u=e;return x|0}if(w<<24>>24!=46){x=m?4:3;u=e;return x|0}if(m){w=cuc(64)|0;f[g>>2]=w;f[g+8>>2]=-2147483584;f[g+4>>2]=62;n=w;o=512522;p=n+62|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));b[w+62>>0]=0;w=f[a+60>>2]|0;sh[f[(f[w>>2]|0)+8>>2]&255](w,f[a+84>>2]|0,f[a+88>>2]|0,g);if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);x=m?4:3;u=e;return x|0}else{w=cuc(48)|0;f[g>>2]=w;f[g+8>>2]=-2147483600;f[g+4>>2]=39;n=w;o=512585;p=n+39|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));b[w+39>>0]=0;w=f[a+60>>2]|0;sh[f[(f[w>>2]|0)+8>>2]&255](w,f[a+84>>2]|0,f[a+88>>2]|0,g);if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);x=m?4:3;u=e;return x|0}return 0}function h4b(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;d=u;u=u+16|0;e=d;g=a+84|0;h=f[g>>2]|0;i=a+88|0;j=(f[i>>2]|0)+-2|0;k=(c|0)!=0;if(k){l=a+92|0;f[l>>2]=c;m=a+76|0;n=a+96|0;f[n>>2]=f[m>>2];o=l;p=n;q=m}else{o=a+92|0;p=a+96|0;q=a+76|0}m=a+64|0;n=a+68|0;l=e+8|0;r=e+4|0;s=a+60|0;t=e+11|0;while(1){a:while(1){v=b[m>>0]|0;switch(v<<24>>24){case 10:{w=8;break a;break}case 42:{w=19;break a;break}case 47:{w=27;break a;break}case 0:{x=v;break a;break}default:{}}e4b(a)}if((w|0)==8){w=0;e4b(a);if(k){v=f[q>>2]|0;y=f[p>>2]|0;if((v|0)!=(y|0))Cuc(f[o>>2]|0,(f[n>>2]|0)+y|0,v-y|0)|0;f[o>>2]=0;f[p>>2]=-1}y=b[m>>0]|0;v=y+-9<<24>>24;if((v&255)>23|(8388637>>>(v&255)&1|0)==0)z=y;else{do{e4b(a);y=b[m>>0]|0;v=y+-9<<24>>24}while(!((v&255)>23|(8388637>>>(v&255)&1|0)==0));z=y}if(z<<24>>24==42?(e4b(a),(b[m>>0]|0)==47):0){w=16;break}if(!k)continue;f[o>>2]=c;f[p>>2]=f[q>>2];continue}else if((w|0)==19){w=0;e4b(a);y=b[m>>0]|0;if(y<<24>>24==47){w=20;break}else x=y}else if((w|0)==27){w=0;e4b(a);y=b[m>>0]|0;if(y<<24>>24==42){v=cuc(64)|0;f[e>>2]=v;f[l>>2]=-2147483584;f[r>>2]=60;A=v;B=512625;C=A+60|0;do{b[A>>0]=b[B>>0]|0;A=A+1|0;B=B+1|0}while((A|0)<(C|0));b[v+60>>0]=0;D=f[s>>2]|0;sh[f[(f[D>>2]|0)+8>>2]&255](D,f[g>>2]|0,f[i>>2]|0,e);if((b[t>>0]|0)<0)fuc(f[e>>2]|0);continue}else x=y}if(!(x<<24>>24)){w=32;break}}if((w|0)==16){e4b(a);u=d;return}else if((w|0)==20){e4b(a);if(!k){u=d;return}a=f[q>>2]|0;x=f[p>>2]|0;if((a|0)!=(x|0))Cuc(f[o>>2]|0,(f[n>>2]|0)+x|0,a-x|0)|0;f[o>>2]=0;f[p>>2]=-1;x=b[c+11>>0]|0;if(x<<24>>24<0)E=f[c+4>>2]|0;else E=x&255;Juc(c,E+-2|0,-1)|0;u=d;return}else if((w|0)==32){w=cuc(48)|0;f[e>>2]=w;f[e+8>>2]=-2147483600;f[e+4>>2]=33;A=w;B=512686;C=A+33|0;do{b[A>>0]=b[B>>0]|0;A=A+1|0;B=B+1|0}while((A|0)<(C|0));b[w+33>>0]=0;w=f[s>>2]|0;sh[f[(f[w>>2]|0)+8>>2]&255](w,f[g>>2]|0,f[i>>2]|0,e);if((b[e+11>>0]|0)<0)fuc(f[e>>2]|0);i=f[s>>2]|0;s=f[(f[i>>2]|0)+8>>2]|0;g=cuc(32)|0;f[e>>2]=g;f[e+8>>2]=-2147483616;f[e+4>>2]=23;A=g;B=512720;C=A+23|0;do{b[A>>0]=b[B>>0]|0;A=A+1|0;B=B+1|0}while((A|0)<(C|0));b[g+23>>0]=0;sh[s&255](i,h,j,e);if((b[e+11>>0]|0)<0)fuc(f[e>>2]|0);if(!k){u=d;return}k=f[q>>2]|0;q=f[p>>2]|0;if((k|0)!=(q|0))Cuc(f[o>>2]|0,(f[n>>2]|0)+q|0,k-q|0)|0;f[o>>2]=0;f[p>>2]=-1;u=d;return}}function i4b(a){a=a|0;var c=0,d=0;switch(f[a+104>>2]|0){case 0:{c=a+64|0;if((b[c>>0]|0)!=47){d=3;return d|0}e4b(a);switch(b[c>>0]|0){case 47:{e4b(a);d=0;return d|0}case 42:{e4b(a);d=1;return d|0}default:{f[a>>2]=6;wuc(a+4|0,530903)|0;f[a+16>>2]=f[a+84>>2];c=f[a+88>>2]|0;f[a+20>>2]=c+-1;f[a+24>>2]=c;d=2;return d|0}}break}case 1:{if((b[a+64>>0]|0)!=35){d=3;return d|0}e4b(a);d=0;return d|0}default:{d=3;return d|0}}return 0}function j4b(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0;c=u;u=u+16|0;d=c;e=c+4|0;g=a+28|0;f[g>>2]=f[a>>2];h=a+4|0;ruc(a+32|0,h)|0;i=a+44|0;j=a+16|0;f[i>>2]=f[j>>2];f[i+4>>2]=f[j+4>>2];f[i+8>>2]=f[j+8>>2];k=a+80|0;a:do if(!(b[k>>0]|0)){l=a+64|0;m=e+8|0;n=e+4|0;o=a+60|0;p=a+84|0;q=a+88|0;r=e+11|0;b:while(1){s=(b[l>>0]|0)+-9<<24>>24;if(!((s&255)>23|(8388639>>>(s&255)&1|0)==0))do{e4b(a);s=(b[l>>0]|0)+-9<<24>>24}while(!((s&255)>23|(8388639>>>(s&255)&1|0)==0));c:do switch(i4b(a)|0){case 2:{t=1;v=59;break b;break}case 0:{d:while(1){switch(b[l>>0]|0){case 0:{break c;break}case 10:{break d;break}default:{}}e4b(a)}e4b(a);break}case 1:{h4b(a,0);break}default:{if(b[k>>0]|0){v=54;break a}w=b[l>>0]|0;if(!((w+-1&255)<31|w<<24>>24==0))break b;s=cuc(48)|0;f[e>>2]=s;f[m>>2]=-2147483600;f[n>>2]=47;x=s;y=512744;z=x+47|0;do{b[x>>0]=b[y>>0]|0;x=x+1|0;y=y+1|0}while((x|0)<(z|0));b[s+47>>0]=0;A=f[o>>2]|0;sh[f[(f[A>>2]|0)+8>>2]&255](A,f[p>>2]|0,f[q>>2]|0,e);if((b[r>>0]|0)<0)fuc(f[e>>2]|0);e4b(a);while(1){A=b[l>>0]|0;if((A+-1&255)<31){e4b(a);continue}if(b[k>>0]|0){v=54;break a}if(A<<24>>24)break c;e4b(a)}}}while(0);if(b[k>>0]|0){v=54;break a}}if((v|0)==59){u=c;return t|0}f[a>>2]=0;r=h+11|0;if((b[r>>0]|0)<0){b[f[h>>2]>>0]=0;f[a+8>>2]=0;B=b[l>>0]|0}else{b[h>>0]=0;b[r>>0]=0;B=w}f[j>>2]=f[p>>2];r=a+20|0;f[r>>2]=f[q>>2];n=a+92|0;f[n>>2]=h;m=a+76|0;s=a+96|0;f[s>>2]=f[m>>2];e:do if(B<<24>>24==95|((B&-33)+-65&255)<26){e4b(a);A=b[l>>0]|0;if(((A&-33)+-65&255)<26|(A<<24>>24==95|(A+-48&255)<10)){do{e4b(a);A=b[l>>0]|0}while(((A&-33)+-65&255)<26|(A<<24>>24==95|(A+-48&255)<10));C=2}else C=2}else{switch(B<<24>>24){case 48:{e4b(a);C=g4b(a,1,0)|0;break e;break}case 46:{e4b(a);D=1;E=b[l>>0]|0;break}default:{D=0;E=B}}if((E+-48&255)<10){e4b(a);F=1}else F=0;if(D){if(!F){C=6;break}if(((f[g>>2]|0)==2?(f[j>>2]|0)==(f[i>>2]|0):0)?(f[r>>2]|0)==(f[a+52>>2]|0):0){A=f[o>>2]|0;G=f[(f[A>>2]|0)+8>>2]|0;H=f[p>>2]|0;I=(f[q>>2]|0)+-2|0;J=cuc(64)|0;f[e>>2]=J;f[e+8>>2]=-2147483584;f[e+4>>2]=48;x=J;y=512792;z=x+48|0;do{b[x>>0]=b[y>>0]|0;x=x+1|0;y=y+1|0}while((x|0)<(z|0));b[J+48>>0]=0;sh[G&255](A,H,I,e);if((b[e+11>>0]|0)<0)fuc(f[e>>2]|0)}C=g4b(a,0,1)|0;break}if(F){C=g4b(a,0,0)|0;break}K=b[l>>0]|0;switch(K<<24>>24){case 34:{e4b(a);f4b(a,34);C=5;break e;break}case 39:{e4b(a);f4b(a,39);C=5;break e;break}default:{if(K<<24>>24<0?(L=f[o>>2]|0,M=f[(f[L>>2]|0)+8>>2]|0,N=f[p>>2]|0,O=f[q>>2]|0,f[d>>2]=K&255,Ldc(e,512841,d),sh[M&255](L,N,O,e),(b[e+11>>0]|0)<0):0)fuc(f[e>>2]|0);e4b(a);C=6;break e}}}while(0);f[a>>2]=C;p=f[m>>2]|0;o=f[s>>2]|0;if((p|0)!=(o|0))Cuc(f[n>>2]|0,(f[a+68>>2]|0)+o|0,p-o|0)|0;f[n>>2]=0;f[s>>2]=-1;P=1;Q=f[q>>2]|0}else v=54;while(0);if((v|0)==54){f[a>>2]=1;v=h+11|0;if((b[v>>0]|0)<0){b[f[h>>2]>>0]=0;f[a+8>>2]=0}else{b[h>>0]=0;b[v>>0]=0}f[j>>2]=f[a+84>>2];j=f[a+88>>2]|0;f[a+20>>2]=j;P=0;Q=j}f[a+24>>2]=Q;t=P;u=c;return t|0}function k4b(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;g=(b[a+11>>0]|0)<0?f[a>>2]|0:a;a=b[g>>0]|0;a:do if(a<<24>>24==48){switch(b[g+1>>0]|0){case 88:case 120:break;default:{h=8;i=g;j=48;k=5;break a}}l=g+2|0;m=16;n=l;o=b[l>>0]|0;k=4}else{m=10;n=g;o=a;k=4}while(0);if((k|0)==4)if(!(o<<24>>24)){p=0;q=0}else{h=m;i=n;j=o;k=5}b:do if((k|0)==5){o=i;n=j;m=0;a=0;while(1){g=n<<24>>24;if((n+-48&255)>=10)if((n+-97&255)<26){r=-87;k=9}else s=(n+-65&255)<26?g+-55|0:-1;else{r=-48;k=9}if((k|0)==9){k=0;s=r+g|0}if(s>>>0>=h>>>0){t=0;k=15;break}g=((s|0)<0)<<31>>31;if(g>>>0>d>>>0|(g|0)==(d|0)&s>>>0>c>>>0){t=0;k=15;break}l=gzc(c|0,d|0,s|0,g|0)|0;u=qzc(l|0,J|0,h|0,0)|0;l=J;if(m>>>0>l>>>0|(m|0)==(l|0)&a>>>0>u>>>0){t=0;k=15;break}u=Bzc(a|0,m|0,h|0,0)|0;l=hzc(s|0,g|0,u|0,J|0)|0;u=J;o=o+1|0;n=b[o>>0]|0;if(!(n<<24>>24)){p=l;q=u;break b}else{m=u;a=l}}if((k|0)==15)return t|0}while(0);k=e;f[k>>2]=p;f[k+4>>2]=q;t=1;return t|0}function l4b(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0.0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;c=u;u=u+48|0;d=c+36|0;e=c;g=c+24|0;h=c+40|0;i=a+11|0;j=(b[i>>0]|0)<0?f[a>>2]|0:a;k=+Z3b(j,d);l=f[d>>2]|0;m=b[l>>0]|0;a:do switch(m<<24>>24){case 69:case 101:{n=l+1|0;f[d>>2]=n;o=b[n>>0]|0;switch(o<<24>>24){case 43:case 45:break;default:{p=n;q=o;break a}}o=l+2|0;f[d>>2]=o;p=o;q=b[o>>0]|0;break}default:{p=l;q=m}}while(0);switch(q<<24>>24){case 70:case 102:{q=p+1|0;f[d>>2]=q;r=q;break}default:r=p}p=b[i>>0]|0;if((r-j|0)==((p<<24>>24<0?f[a+4>>2]|0:p&255)|0)?(b[j>>0]|0)!=45:0){u=c;return +k}iLb(e,2,512878,919);j=dLb(e,512972)|0;Udc(g,a);fLb(h,eLb(j,g)|0);if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);jLb(e);u=c;return +k}function m4b(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0;d=u;u=u+48|0;e=d;g=d+32|0;h=d+8|0;i=a+11|0;j=b[i>>0]|0;k=j<<24>>24<0?f[a+4>>2]|0:j&255;if(!k){iLb(h,2,512878,1044);l=dLb(h,513057)|0;Udc(g,a);fLb(d+44|0,eLb(l,g)|0);if((b[g+11>>0]|0)<0)fuc(f[g>>2]|0);jLb(h);u=d;return}h=b[c+11>>0]|0;if(h<<24>>24<0){m=f[c+4>>2]|0;n=(f[c+8>>2]&2147483647)+-1|0}else{m=h&255;n=10}h=m+k|0;if(h>>>0>n>>>0){vuc(c,h);o=b[i>>0]|0}else o=j;j=g+4|0;h=o<<24>>24<0?f[a>>2]|0:a;a:while(1){o=h+1|0;n=b[o>>0]|0;switch(n<<24>>24){case 0:{break a;break}case 92:{k=h+2|0;m=b[k>>0]|0;if(m<<24>>24){if((m&-8)<<24>>24==48){l=m<<24>>24;if((m+-48&255)>=10)if((m+-97&255)<26){p=-87;q=17}else r=(m+-65&255)<26?l+-55|0:-1;else{p=-48;q=17}if((q|0)==17){q=0;r=p+l|0}l=h+3|0;s=b[l>>0]|0;if((s&-8)<<24>>24==48){t=r<<3;v=s<<24>>24;if((s+-48&255)>=10)if((s+-97&255)<26){w=-87;q=22}else x=(s+-65&255)<26?v+-55|0:-1;else{w=-48;q=22}if((q|0)==22){q=0;x=w+v|0}y=x+t|0;z=l}else{y=r;z=k}l=z+1|0;t=b[l>>0]|0;if((t&-8)<<24>>24==48){v=y<<3;s=t<<24>>24;if((t+-48&255)>=10)if((t+-97&255)<26){A=-87;q=28}else B=(t+-65&255)<26?s+-55|0:-1;else{A=-48;q=28}if((q|0)==28){q=0;B=A+s|0}C=B+v|0;D=l}else{C=y;D=z}Euc(c,C&255);h=D;continue a}switch(m<<24>>24){case 120:{l=h+3|0;v=b[l>>0]|0;b:do if((v+-48&255)>=10){switch(v<<24>>24){case 65:case 66:case 67:case 68:case 69:case 70:case 97:case 98:case 99:case 100:case 101:case 102:break;default:{E=0;F=k;break b}}s=v<<24>>24;if((v+-97&255)<26){G=-87;H=s;q=37}else{E=(v+-65&255)<26?s+-55|0:-1;F=l}}else{G=-48;H=v<<24>>24;q=37}while(0);if((q|0)==37){q=0;E=G+H|0;F=l}v=F+1|0;s=b[v>>0]|0;c:do if((s+-48&255)>=10){switch(s<<24>>24){case 65:case 66:case 67:case 68:case 69:case 70:case 97:case 98:case 99:case 100:case 101:case 102:break;default:{I=E;J=F;break c}}t=E<<4;K=s<<24>>24;if((s+-97&255)<26){L=-87;M=t;N=K;q=43}else{O=t;P=(s+-65&255)<26?K+-55|0:-1;q=44}}else{L=-48;M=E<<4;N=s<<24>>24;q=43}while(0);if((q|0)==43){q=0;O=M;P=L+N|0;q=44}if((q|0)==44){q=0;I=P+O|0;J=v}Euc(c,I&255);h=J;continue a;break}case 85:case 117:{s=h+3|0;l=m<<24>>24==117?4:m<<24>>24==85?8:0;d:do if(l|0){K=s+l|0;t=s;Q=0;do{R=b[t>>0]|0;if(!(R<<24>>24))break d;S=Q<<4;T=R<<24>>24;if((R+-48&255)>=10)if((R+-97&255)<26){U=-87;q=52}else V=(R+-65&255)<26?T+-55|0:-1;else{U=-48;q=52}if((q|0)==52){q=0;V=U+T|0}Q=V+S|0;t=t+1|0}while(t>>>0<K>>>0);do if((((Q&-1024|0)==55296?(b[K>>0]|0)==92:0)?(b[K+1>>0]|0)==117:0)?(t=b[K+2>>0]|0,t<<24>>24!=0):0){S=t<<24>>24;if((t+-48&255)>=10)if((t+-97&255)<26){W=-87;q=61}else X=(t+-65&255)<26?S+-55|0:-1;else{W=-48;q=61}if((q|0)==61){q=0;X=W+S|0}S=b[K+3>>0]|0;if(S<<24>>24){t=X<<4;T=S<<24>>24;if((S+-48&255)>=10)if((S+-97&255)<26){Y=-87;q=66}else Z=(S+-65&255)<26?T+-55|0:-1;else{Y=-48;q=66}if((q|0)==66){q=0;Z=Y+T|0}T=b[K+4>>0]|0;if(T<<24>>24){S=Z+t<<4;t=T<<24>>24;do if((T+-48&255)<10){_=-48;q=71}else{if((T+-97&255)<26){_=-87;q=71;break}$=(T+-65&255)<26?t+-55|0:-1}while(0);if((q|0)==71){q=0;$=_+t|0}T=b[K+5>>0]|0;if(!(T<<24>>24)){aa=K;ba=Q;break}R=$+S<<4;ca=T<<24>>24;do if((T+-48&255)<10){da=-48;q=76}else{if((T+-97&255)<26){da=-87;q=76;break}ea=(T+-65&255)<26?ca+-55|0:-1}while(0);if((q|0)==76){q=0;ea=da+ca|0}T=ea+R|0;S=(T&-1024|0)==56320;aa=S?K+6|0:K;ba=S?(T+-56320|(Q<<10)+-56623104)+65536|0:Q}else{aa=K;ba=Q}}else{aa=K;ba=Q}}else{aa=K;ba=Q}while(0);if((aa|0)!=(k|0)){f[g>>2]=0;do if(ba>>>0>=128){if(ba>>>0<2048){Q=ba&63|ba<<2&7936|49280;f[g>>2]=Q;fa=2;ga=Q;q=89;break}if(ba>>>0<65536){Q=ba&63|ba<<2&16128|ba<<4&983040|14712960;f[g>>2]=Q;fa=3;ga=Q;q=89;break}if(ba>>>0<2097152){Q=ba&63|ba<<4&4128768|ba<<6&117440512|ba<<2&16128|-260013952;f[g>>2]=Q;fa=4;ga=Q;q=89;break}else{f[e>>2]=ba;Mdc(c,513150,e);break}}else{f[g>>2]=ba;fa=1;ga=ba;q=89}while(0);if((q|0)==89){q=0;Q=nLb(ga)|0;f[g>>2]=Q;Cuc(c,j+(0-fa)|0,fa)|0}h=aa+-1|0;continue a}}while(0);Euc(c,m);h=k;continue a;break}default:{do switch(m<<24>>24|0){case 97:{ha=7;break}case 98:{ha=8;break}case 102:{ha=12;break}case 110:{ha=10;break}case 114:{ha=13;break}case 116:{ha=9;break}case 118:{ha=11;break}case 92:{ha=92;break}case 63:{ha=63;break}case 39:{ha=39;break}case 34:{ha=34;break}default:ha=63}while(0);Euc(c,ha);h=k;continue a}}}break}default:{}}if(n<<24>>24==(b[((b[i>>0]|0)<0?f[a>>2]|0:a)>>0]|0)?(b[h+2>>0]|0)==0:0){h=o;continue}Euc(c,n);h=o}u=d;return}function n4b(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=u;u=u+16|0;d=c;e=b[a+11>>0]|0;if(!((e<<24>>24<0?f[a+4>>2]|0:e&255)|0)){g=0;u=c;return g|0}e=Auc(a,0)|0;h=b[e>>0]|0;if(!(h<<24>>24==95|((h&-33)+-65&255)<26)){g=0;u=c;return g|0}puc(d,a,1,-1,a);a=b[d+11>>0]|0;h=a<<24>>24<0;e=h?f[d+4>>2]|0:a&255;a:do if(!e)i=1;else{a=h?f[d>>2]|0:d;j=0;while(1){k=b[a+j>>0]|0;j=j+1|0;if(!(((k&-33)+-65&255)<26|(k<<24>>24==95|(k+-48&255)<10))){i=0;break a}if(j>>>0>=e>>>0){i=1;break}}}while(0);if(h)fuc(f[d>>2]|0);g=i;u=c;return g|0}function o4b(a){a=a|0;f[a>>2]=157692;mKb(a+16|0);return}function p4b(a){a=a|0;f[a>>2]=157692;mKb(a+16|0);fuc(a);return}function q4b(a,b,c){a=a|0;b=b|0;c=c|0;return oKb(a+16|0,b,c)|0}function r4b(a,b){a=a|0;b=b|0;pKb(a+16|0,b);return}function s4b(a,b){a=a|0;b=b|0;return qKb(a+16|0,b)|0}function t4b(a){a=a|0;var b=0;b=rKb(a+16|0)|0;return b|0}function u4b(a){a=a|0;return}function v4b(a){a=a|0;fuc(a);return}function w4b(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=a+4|0;pkc(f[d>>2]|0,b,c)|0;c=f[d>>2]|0;d=f[c+4>>2]|0;if((d|0)==0?(b=f[c+(f[(f[c>>2]|0)+-12>>2]|0)+16>>2]|0,!((b&5|0)==0|(b&2|0)!=0)):0){e=-1;return e|0}e=d;return e|0}function x4b(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;f[a>>2]=157692;d=a+4|0;f[d>>2]=157724;f[a+8>>2]=b;xKb(a+16|0,d,c);return}function y4b(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0;f[a>>2]=157748;b=f[a+8>>2]|0;if(b|0?(f[a+4>>2]|0)==0:0){c=b+12|0;d=f[c>>2]|0;if(d|0?(f[b>>2]|0)==0:0){e=f[d>>2]|0;if((e|0)>0){g=0;do{h=f[d+4+(g<<2)>>2]|0;if(h|0)bi[f[(f[h>>2]|0)+4>>2]&2047](h);g=g+1|0}while((g|0)!=(e|0));i=f[c>>2]|0}else i=d;fuc(i)}fuc(b)}lLb(a+12|0);return}function z4b(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0;f[a>>2]=157748;b=f[a+8>>2]|0;if(b|0?(f[a+4>>2]|0)==0:0){c=b+12|0;d=f[c>>2]|0;if(d|0?(f[b>>2]|0)==0:0){e=f[d>>2]|0;if((e|0)>0){g=0;do{h=f[d+4+(g<<2)>>2]|0;if(h|0)bi[f[(f[h>>2]|0)+4>>2]&2047](h);g=g+1|0}while((g|0)!=(e|0));i=f[c>>2]|0}else i=d;fuc(i)}fuc(b)}lLb(a+12|0);fuc(a);return}function A4b(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0;b=f[a+8>>2]|0;if(!b){c=0;return c|0}a=f[b+8>>2]<<2;d=b+12|0;b=f[d>>2]|0;if(!b){c=a;return c|0}if((f[b>>2]|0)>0){e=0;g=a;h=b;while(1){b=f[h+4+(e<<2)>>2]|0;i=(di[f[(f[b>>2]|0)+84>>2]&1023](b)|0)+g|0;e=e+1|0;h=f[d>>2]|0;if((e|0)>=(f[h>>2]|0)){j=i;break}else g=i}}else j=a;c=j+4|0;return c|0}function B4b(a){a=a|0;var b=0,c=0,d=0;b=a+8|0;if(f[b>>2]|0)return;c=f[a+4>>2]|0;if(!c){a=cuc(16)|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;d=a}else{if(f[c+64>>2]|0)HIb(c,19296,16);a=GIb(c,16,1975)|0;f[a>>2]=c;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;d=a}f[b>>2]=d;return}function C4b(a){a=a|0;return}function D4b(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;b=u;u=u+16|0;c=b;f[a>>2]=157820;d=a+20|0;e=f[a+28>>2]|0;g=f[e+12>>2]|0;h=f[e+4>>2]|0;a:do if(h>>>0>g>>>0){i=f[e+16>>2]|0;j=g;while(1){k=f[i+(j<<2)>>2]|0;if(k|0)break;l=j+1|0;if(l>>>0<h>>>0)j=l;else{m=0;n=l;break a}}if((k|0)==(f[i+((j^1)<<2)>>2]|0)){m=f[(f[k>>2]|0)+16>>2]|0;n=j;break}else{m=k;n=j;break}}else{m=0;n=g}while(0);f[c>>2]=m;f[c+4>>2]=e;f[c+8>>2]=n;if(m|0){n=m;do{g5b((f[n+16>>2]|0)+16|0);h5b(c)|0;n=f[c>>2]|0}while((n|0)!=0)}f5b(d);M5b(d);f[a>>2]=157748;d=f[a+8>>2]|0;if(!d){o=a+12|0;lLb(o);u=b;return}if(f[a+4>>2]|0){o=a+12|0;lLb(o);u=b;return}n=d+12|0;c=f[n>>2]|0;if(c|0?(f[d>>2]|0)==0:0){m=f[c>>2]|0;if((m|0)>0){e=0;do{g=f[c+4+(e<<2)>>2]|0;if(g|0)bi[f[(f[g>>2]|0)+4>>2]&2047](g);e=e+1|0}while((e|0)!=(m|0));p=f[n>>2]|0}else p=c;fuc(p)}fuc(d);o=a+12|0;lLb(o);u=b;return}function E4b(a){a=a|0;D4b(a);fuc(a);return}function F4b(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=u;u=u+16|0;d=c;e=(di[f[(f[a>>2]|0)+64>>2]&1023](a)|0)+8|0;Y4b(d,f[e>>2]|0,b,0);u=c;return (f[d>>2]|0)!=0|0}function G4b(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0;e=u;u=u+16|0;g=e;h=di[f[(f[a>>2]|0)+68>>2]&1023](a)|0;i=h+8|0;Y4b(g,f[i>>2]|0,c,0);j=f[g>>2]|0;if(j|0){k=f[j+16>>2]|0;l=0;m=k+16|0;o=k+20|0;q=f[o>>2]|0;r=d+4|0;f[r>>2]=q;s=f[m>>2]|0;f[d>>2]=s;u=e;return l|0}k=i5b(f[i>>2]|0,c)|0;i=f[k>>2]|0;if(!i){j=j5b(h,c)|0;f[k>>2]=j;t=j}else t=i;i=t+16|0;j=a+32|0;a=f[j>>2]|0;yh[f[(f[a>>2]|0)+96>>2]&2047](g,a);a=f[g>>2]|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;k=g+11|0;b[k>>0]=5;b[g>>0]=b[513626]|0;b[g+1>>0]=b[513627]|0;b[g+2>>0]=b[513628]|0;b[g+3>>0]=b[513629]|0;b[g+4>>0]=b[513630]|0;b[g+5>>0]=0;c=kQb(a,g)|0;if((b[k>>0]|0)<0)fuc(f[g>>2]|0);k=c+24|0;a=f[k>>2]|0;if(a|0?(f[a>>2]|0)!=2:0){f[g>>2]=110384;f[g+4>>2]=1962;b[g+8>>0]=0;f[g+12>>2]=c;xLb(a,g)}a=c+28|0;h=t+20|0;f[h>>2]=f[151812+(f[a>>2]<<2)>>2];t=f[k>>2]|0;if(t|0?(f[t>>2]|0)!=2:0){f[g>>2]=110384;f[g+4>>2]=1962;b[g+8>>0]=0;f[g+12>>2]=c;xLb(t,g)}do switch(f[151812+(f[a>>2]<<2)>>2]|0){case 1:{t=cuc(4)|0;f[t>>2]=0;v=t;break}case 2:{t=cuc(8)|0;k=t;f[k>>2]=0;f[k+4>>2]=0;v=t;break}case 3:{t=cuc(4)|0;f[t>>2]=0;v=t;break}case 4:{t=cuc(8)|0;k=t;f[k>>2]=0;f[k+4>>2]=0;v=t;break}case 5:{t=cuc(8)|0;p[t>>3]=0.0;v=t;break}case 6:{t=cuc(4)|0;n[t>>2]=0.0;v=t;break}case 7:{t=cuc(1)|0;b[t>>0]=0;v=t;break}case 9:{t=cuc(12)|0;f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;v=t;break}case 8:{t=cuc(4)|0;f[t>>2]=0;v=t;break}case 10:{t=f[j>>2]|0;yh[f[(f[t>>2]|0)+96>>2]&2047](g,t);t=f[g+4>>2]|0;k=Cg[f[(f[t>>2]|0)+108>>2]&127](t,f[j>>2]|0,c,0)|0;v=di[f[(f[k>>2]|0)+12>>2]&1023](k)|0;break}default:{l=1;m=i;o=h;q=f[o>>2]|0;r=d+4|0;f[r>>2]=q;s=f[m>>2]|0;f[d>>2]=s;u=e;return l|0}}while(0);f[i>>2]=v;l=1;m=i;o=h;q=f[o>>2]|0;r=d+4|0;f[r>>2]=q;s=f[m>>2]|0;f[d>>2]=s;u=e;return l|0}function H4b(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;d=u;u=u+48|0;e=d+32|0;g=d+16|0;h=d;i=a+16|0;if((f[i>>2]|0)==1){j=a+12|0;WKb(j);if((f[i>>2]|0)==1){bi[f[(f[a>>2]|0)+44>>2]&2047](a);f[i>>2]=2}XKb(j)}j=a+28|0;Y4b(e,f[j>>2]|0,c,0);c=f[e>>2]|0;k=f[e+4>>2]|0;l=f[e+8>>2]|0;if(!c){m=0;u=d;return m|0}f[i>>2]=0;i=c+16|0;g5b((f[i>>2]|0)+16|0);f[h>>2]=c;f[h+4>>2]=k;f[h+8>>2]=l;if((f[a+20>>2]|0)==0?(a=f[i>>2]|0,a|0):0){if((f[a+8>>2]|0)==9?(i=f[a>>2]|0,i|0):0){if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0);fuc(i)}fuc(a)};f[g>>2]=f[h>>2];f[g+4>>2]=f[h+4>>2];f[g+8>>2]=f[h+8>>2];h5b(h)|0;h=f[j>>2]|0;f[e>>2]=f[g>>2];f[e+4>>2]=f[g+4>>2];f[e+8>>2]=f[g+8>>2];x5b(h,e);m=1;u=d;return m|0}function I4b(a,b,c){a=a|0;b=b|0;c=c|0;return (f[f[b>>2]>>2]|0)==(f[f[c>>2]>>2]|0)|0}function J4b(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;c=(di[f[(f[a>>2]|0)+64>>2]&1023](a)|0)+8|0;d=f[c>>2]|0;c=f[d+12>>2]|0;e=f[d+4>>2]|0;a:do if(e>>>0>c>>>0){g=f[d+16>>2]|0;h=c;while(1){i=f[g+(h<<2)>>2]|0;if(i|0)break;j=h+1|0;if(j>>>0<e>>>0)h=j;else{k=0;l=j;break a}}if((i|0)==(f[g+((h^1)<<2)>>2]|0)){k=f[(f[i>>2]|0)+16>>2]|0;l=h;break}else{k=i;l=h;break}}else{k=0;l=c}while(0);c=f[b>>2]|0;f[c>>2]=k;f[c+4>>2]=d;f[c+8>>2]=l;yh[f[(f[a>>2]|0)+72>>2]&2047](a,b);return}function K4b(a,b){a=a|0;b=b|0;di[f[(f[a>>2]|0)+64>>2]&1023](a)|0;a=f[b>>2]|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;return}function L4b(a){a=a|0;var b=0;b=(di[f[(f[a>>2]|0)+64>>2]&1023](a)|0)+8|0;return f[f[b>>2]>>2]|0}function M4b(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;b=u;u=u+32|0;c=b+16|0;d=b;e=f[a+8>>2]|0;if(!e)g=12;else{h=f[e+8>>2]<<2;i=e+12|0;e=f[i>>2]|0;if(!e)j=h;else{if((f[e>>2]|0)>0){k=0;l=h;m=e;while(1){e=f[m+4+(k<<2)>>2]|0;n=(di[f[(f[e>>2]|0)+84>>2]&1023](e)|0)+l|0;k=k+1|0;m=f[i>>2]|0;if((k|0)>=(f[m>>2]|0)){o=n;break}else l=n}}else o=h;j=o+4|0}g=j+12|0}j=f[a+28>>2]|0;a=f[j>>2]|0;if(!a){p=g;u=b;return p|0}o=f[j+12>>2]|0;h=f[j+4>>2]|0;a:do if(h>>>0>o>>>0){l=f[j+16>>2]|0;m=o;while(1){q=f[l+(m<<2)>>2]|0;if(q|0)break;k=m+1|0;if(k>>>0<h>>>0)m=k;else{r=0;s=k;break a}}if((q|0)==(f[l+((m^1)<<2)>>2]|0)){r=f[(f[q>>2]|0)+16>>2]|0;s=m;break}else{r=q;s=m;break}}else{r=0;s=o}while(0);f[d>>2]=r;f[d+4>>2]=j;f[d+8>>2]=s;s=a<<3;j=r;o=j+16|0;q=(KOa(f[o>>2]|0)|0)==9;h=a*12|0;k=(a<<4)+g+s+(q?h:0)|0;do switch(L5b((f[o>>2]|0)+16|0)|0){case 1:{t=k+(a<<2)|0;break}case 2:{t=k+s|0;break}case 3:{t=k+(a<<2)|0;break}case 4:{t=k+s|0;break}case 5:{t=k+s|0;break}case 6:{t=k+(a<<2)|0;break}case 7:{t=k+a|0;break}case 9:{t=k+h|0;break}case 8:{t=k+(a<<2)|0;break}case 10:{if(!r)t=k;else{q=c+4|0;g=k;i=j;while(1){n=K5b((f[i+16>>2]|0)+16|0)|0;yh[f[(f[n>>2]|0)+96>>2]&2047](c,n);e=f[q>>2]|0;v=(Th[f[(f[e>>2]|0)+16>>2]&1023](e,n)|0)+g|0;X4b(d)|0;i=f[d>>2]|0;if(!i){t=v;break}else g=v}}break}default:t=k}while(0);p=t;u=b;return p|0}function N4b(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0.0;c=u;u=u+64|0;d=c+40|0;e=c;g=c+16|0;h=c+56|0;i=a+32|0;j=f[i>>2]|0;yh[f[(f[j>>2]|0)+96>>2]&2047](d,j);j=f[d+4>>2]|0;k=f[i>>2]|0;yh[f[(f[k>>2]|0)+96>>2]&2047](d,k);k=f[d>>2]|0;l=d+4|0;f[l>>2]=0;f[l+4>>2]=0;l=d+11|0;b[l>>0]=3;b[d>>0]=b[513622]|0;b[d+1>>0]=b[513623]|0;b[d+2>>0]=b[513624]|0;b[d+3>>0]=0;m=kQb(k,d)|0;if((b[l>>0]|0)<0)fuc(f[d>>2]|0);l=f[i>>2]|0;yh[f[(f[l>>2]|0)+96>>2]&2047](d,l);l=f[d>>2]|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;k=d+11|0;b[k>>0]=5;b[d>>0]=b[513626]|0;b[d+1>>0]=b[513627]|0;b[d+2>>0]=b[513628]|0;b[d+3>>0]=b[513629]|0;b[d+4>>0]=b[513630]|0;b[d+5>>0]=0;n=kQb(l,d)|0;if((b[k>>0]|0)<0)fuc(f[d>>2]|0);k=a+8|0;l=f[k>>2]|0;if(!l){o=f[a+4>>2]|0;if(!o){p=cuc(16)|0;f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;f[p+12>>2]=0;q=p}else{if(f[o+64>>2]|0)HIb(o,19296,16);p=GIb(o,16,1975)|0;f[p>>2]=o;f[p+4>>2]=0;f[p+8>>2]=0;f[p+12>>2]=0;q=p}f[k>>2]=q;r=q}else r=l;l=r+4|0;q=f[l>>2]|0;if((q|0)>0){p=f[r+12>>2]|0;r=0;do{o=f[p+4+(r<<2)>>2]|0;r=r+1|0;bi[f[(f[o>>2]|0)+28>>2]&2047](o)}while((r|0)!=(q|0));f[l>>2]=0}l=f[a+28>>2]|0;a=f[l+12>>2]|0;q=f[l+4>>2]|0;a:do if(q>>>0>a>>>0){r=f[l+16>>2]|0;p=a;while(1){s=f[r+(p<<2)>>2]|0;if(s|0)break;o=p+1|0;if(o>>>0<q>>>0)p=o;else{t=0;v=o;break a}}if((s|0)==(f[r+((p^1)<<2)>>2]|0)){t=f[(f[s>>2]|0)+16>>2]|0;v=p;break}else{t=s;v=p;break}}else{t=0;v=a}while(0);f[e>>2]=t;f[e+4>>2]=l;f[e+8>>2]=v;if(!t){u=c;return}t=m+24|0;v=m+28|0;l=n+24|0;a=n+28|0;s=d+4|0;q=d+8|0;o=d+12|0;w=d+4|0;x=d+8|0;y=d+12|0;do{z=f[i>>2]|0;A=di[f[(f[z>>2]|0)+12>>2]&1023](z)|0;z=f[k>>2]|0;B=x9b(A)|0;C=f[z>>2]|0;if(((C|0)==(B|0)?(B=z+12|0,D=f[B>>2]|0,(D|0)!=0):0)?(E=f[D>>2]|0,(E|0)<(f[z+8>>2]|0)):0){F=z+4|0;G=f[F>>2]|0;if((G|0)<(E|0)){H=D+4+(G<<2)|0;f[D+4+(E<<2)>>2]=f[H>>2];I=H}else I=D+4+(G<<2)|0;f[I>>2]=A;f[F>>2]=G+1;G=f[B>>2]|0;f[G>>2]=(f[G>>2]|0)+1}else A5b(z,A,w9b(A)|0,C);C=f[(f[e>>2]|0)+16>>2]|0;z=f[t>>2]|0;if(z|0?(f[z>>2]|0)!=2:0){f[d>>2]=110384;f[w>>2]=1962;b[x>>0]=0;f[y>>2]=m;xLb(z,d)}switch(f[151812+(f[v>>2]<<2)>>2]|0){case 9:{z=f[(f[j>>2]|0)+144>>2]|0;G=qPa(C)|0;sh[z&255](j,A,m,G);break}case 2:{G=f[(f[j>>2]|0)+120>>2]|0;z=a5b(C)|0;th[G&255](j,A,m,z,J);break}case 1:{z=f[(f[j>>2]|0)+116>>2]|0;G=b5b(C)|0;sh[z&255](j,A,m,G);break}case 4:{G=f[(f[j>>2]|0)+128>>2]|0;z=c5b(C)|0;th[G&255](j,A,m,z,J);break}case 3:{z=f[(f[j>>2]|0)+124>>2]|0;G=d5b(C)|0;sh[z&255](j,A,m,G);break}case 7:{G=f[(f[j>>2]|0)+140>>2]|0;z=e5b(C)|0;sh[G&255](j,A,m,z);break}case 10:case 8:case 6:case 5:{iLb(g,3,513632,284);fLb(h,dLb(g,519375)|0);jLb(g);break}default:{}}z=(f[(f[e>>2]|0)+16>>2]|0)+16|0;G=f[l>>2]|0;if(G|0?(f[G>>2]|0)!=2:0){f[d>>2]=110384;f[s>>2]=1962;b[q>>0]=0;f[o>>2]=n;xLb(G,d)}do switch(f[151812+(f[a>>2]<<2)>>2]|0){case 9:{G=f[(f[j>>2]|0)+144>>2]|0;C=B5b(z)|0;sh[G&255](j,A,n,C);break}case 2:{C=f[(f[j>>2]|0)+120>>2]|0;G=C5b(z)|0;th[C&255](j,A,n,G,J);break}case 1:{G=f[(f[j>>2]|0)+116>>2]|0;C=D5b(z)|0;sh[G&255](j,A,n,C);break}case 4:{C=f[(f[j>>2]|0)+128>>2]|0;G=E5b(z)|0;th[C&255](j,A,n,G,J);break}case 3:{G=f[(f[j>>2]|0)+124>>2]|0;C=F5b(z)|0;sh[G&255](j,A,n,C);break}case 7:{C=f[(f[j>>2]|0)+140>>2]|0;G=G5b(z)|0;sh[C&255](j,A,n,G);break}case 5:{G=f[(f[j>>2]|0)+136>>2]|0;K=+H5b(z);nh[G&63](j,A,n,K);break}case 6:{G=f[(f[j>>2]|0)+132>>2]|0;K=+I5b(z);nh[G&63](j,A,n,K);break}case 8:{G=f[(f[j>>2]|0)+152>>2]|0;C=J5b(z)|0;sh[G&255](j,A,n,C);break}case 10:{C=K5b(z)|0;G=Cg[f[(f[j>>2]|0)+156>>2]&127](j,A,n,0)|0;yh[f[(f[G>>2]|0)+72>>2]&2047](G,C);break}default:{}}while(0);X4b(e)|0}while((f[e>>2]|0)!=0);u=c;return}function O4b(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0.0;c=u;u=u+64|0;d=c+40|0;e=c;g=c+16|0;h=c+56|0;i=a+20|0;j=a+32|0;k=f[j>>2]|0;yh[f[(f[k>>2]|0)+96>>2]&2047](d,k);k=f[d+4>>2]|0;l=f[j>>2]|0;yh[f[(f[l>>2]|0)+96>>2]&2047](d,l);l=f[d>>2]|0;m=d+4|0;f[m>>2]=0;f[m+4>>2]=0;m=d+11|0;b[m>>0]=3;b[d>>0]=b[513622]|0;b[d+1>>0]=b[513623]|0;b[d+2>>0]=b[513624]|0;b[d+3>>0]=0;o=kQb(l,d)|0;if((b[m>>0]|0)<0)fuc(f[d>>2]|0);m=f[j>>2]|0;yh[f[(f[m>>2]|0)+96>>2]&2047](d,m);m=f[d>>2]|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;j=d+11|0;b[j>>0]=5;b[d>>0]=b[513626]|0;b[d+1>>0]=b[513627]|0;b[d+2>>0]=b[513628]|0;b[d+3>>0]=b[513629]|0;b[d+4>>0]=b[513630]|0;b[d+5>>0]=0;l=kQb(m,d)|0;if((b[j>>0]|0)<0)fuc(f[d>>2]|0);j=a+28|0;m=f[j>>2]|0;q=f[m+12>>2]|0;r=f[m+4>>2]|0;a:do if(r>>>0>q>>>0){s=f[m+16>>2]|0;t=q;while(1){v=f[s+(t<<2)>>2]|0;if(v|0)break;w=t+1|0;if(w>>>0<r>>>0)t=w;else{x=0;y=w;break a}}if((v|0)==(f[s+((t^1)<<2)>>2]|0)){x=f[(f[v>>2]|0)+16>>2]|0;y=t;break}else{x=v;y=t;break}}else{x=0;y=q}while(0);f[d>>2]=x;f[d+4>>2]=m;f[d+8>>2]=y;if(x|0){y=x;do{g5b((f[y+16>>2]|0)+16|0);h5b(d)|0;y=f[d>>2]|0}while((y|0)!=0)}f5b(i);y=a+8|0;a=f[y>>2]|0;x=f[a+12>>2]|0;if(!(f[a+4>>2]|0)){u=c;return}a=e+8|0;m=o+24|0;q=o+28|0;v=l+24|0;r=l+28|0;w=d+4|0;z=d+8|0;A=d+12|0;B=d+4|0;C=d+8|0;D=d+12|0;E=d+11|0;F=d+4|0;G=d+8|0;H=d+12|0;I=(x|0)==0?0:x+4|0;do{f[a>>2]=0;x=f[m>>2]|0;if(x|0?(f[x>>2]|0)!=2:0){f[d>>2]=110384;f[F>>2]=1962;b[G>>0]=0;f[H>>2]=o;xLb(x,d)}switch(f[151812+(f[q>>2]<<2)>>2]|0){case 9:{sh[f[(f[k>>2]|0)+96>>2]&255](d,k,f[I>>2]|0,o);if((f[a>>2]|0)==9)K=f[e>>2]|0;else{f[a>>2]=9;x=cuc(12)|0;f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;f[e>>2]=x;K=x}ruc(K,d)|0;if((b[E>>0]|0)<0)fuc(f[d>>2]|0);break}case 2:{x=li[f[(f[k>>2]|0)+72>>2]&511](k,f[I>>2]|0,o)|0;L=J;switch(f[a>>2]|0){case 2:break;case 9:{M=f[e>>2]|0;if(!M)N=33;else{if((b[M+11>>0]|0)<0)fuc(f[M>>2]|0);fuc(M);N=33}break}default:N=33}if((N|0)==33){N=0;f[a>>2]=2}M=e;f[M>>2]=x;f[M+4>>2]=L;break}case 1:{L=li[f[(f[k>>2]|0)+68>>2]&511](k,f[I>>2]|0,o)|0;switch(f[a>>2]|0){case 1:break;case 9:{M=f[e>>2]|0;if(!M)N=40;else{if((b[M+11>>0]|0)<0)fuc(f[M>>2]|0);fuc(M);N=40}break}default:N=40}if((N|0)==40){N=0;f[a>>2]=1}f[e>>2]=L;break}case 4:{L=li[f[(f[k>>2]|0)+80>>2]&511](k,f[I>>2]|0,o)|0;M=J;switch(f[a>>2]|0){case 4:break;case 9:{x=f[e>>2]|0;if(!x)N=47;else{if((b[x+11>>0]|0)<0)fuc(f[x>>2]|0);fuc(x);N=47}break}default:N=47}if((N|0)==47){N=0;f[a>>2]=4}x=e;f[x>>2]=L;f[x+4>>2]=M;break}case 3:{M=li[f[(f[k>>2]|0)+76>>2]&511](k,f[I>>2]|0,o)|0;switch(f[a>>2]|0){case 3:break;case 9:{x=f[e>>2]|0;if(!x)N=54;else{if((b[x+11>>0]|0)<0)fuc(f[x>>2]|0);fuc(x);N=54}break}default:N=54}if((N|0)==54){N=0;f[a>>2]=3}f[e>>2]=M;break}case 7:{M=(li[f[(f[k>>2]|0)+92>>2]&511](k,f[I>>2]|0,o)|0)&1;switch(f[a>>2]|0){case 7:break;case 9:{x=f[e>>2]|0;if(!x)N=61;else{if((b[x+11>>0]|0)<0)fuc(f[x>>2]|0);fuc(x);N=61}break}default:N=61}if((N|0)==61){N=0;f[a>>2]=7}b[e>>0]=M;break}case 10:case 8:case 6:case 5:{iLb(g,3,513632,366);fLb(h,dLb(g,519375)|0);jLb(g);break}default:{}}Y4b(d,f[j>>2]|0,e,0);M=f[d>>2]|0;if(M|0)g5b((f[M+16>>2]|0)+16|0);M=i5b(f[j>>2]|0,e)|0;x=f[M>>2]|0;if(!x){L=j5b(i,e)|0;f[M>>2]=L;O=L}else O=x;x=f[v>>2]|0;if(x|0?(f[x>>2]|0)!=2:0){f[d>>2]=110384;f[B>>2]=1962;b[C>>0]=0;f[D>>2]=l;xLb(x,d)}f[O+20>>2]=f[151812+(f[r>>2]<<2)>>2];x=f[v>>2]|0;if(x|0?(f[x>>2]|0)!=2:0){f[d>>2]=110384;f[w>>2]=1962;b[z>>0]=0;f[A>>2]=l;xLb(x,d)}do switch(f[151812+(f[r>>2]<<2)>>2]|0){case 1:{x=cuc(4)|0;L=li[f[(f[k>>2]|0)+68>>2]&511](k,f[I>>2]|0,l)|0;f[x>>2]=L;P=x;N=88;break}case 2:{x=cuc(8)|0;L=li[f[(f[k>>2]|0)+72>>2]&511](k,f[I>>2]|0,l)|0;M=x;f[M>>2]=L;f[M+4>>2]=J;P=x;N=88;break}case 3:{x=cuc(4)|0;M=li[f[(f[k>>2]|0)+76>>2]&511](k,f[I>>2]|0,l)|0;f[x>>2]=M;P=x;N=88;break}case 4:{x=cuc(8)|0;M=li[f[(f[k>>2]|0)+80>>2]&511](k,f[I>>2]|0,l)|0;L=x;f[L>>2]=M;f[L+4>>2]=J;P=x;N=88;break}case 5:{x=cuc(8)|0;Q=+eh[f[(f[k>>2]|0)+88>>2]&31](k,f[I>>2]|0,l);p[x>>3]=Q;P=x;N=88;break}case 6:{x=cuc(4)|0;Q=+eh[f[(f[k>>2]|0)+84>>2]&31](k,f[I>>2]|0,l);n[x>>2]=Q;P=x;N=88;break}case 7:{x=cuc(1)|0;L=(li[f[(f[k>>2]|0)+92>>2]&511](k,f[I>>2]|0,l)|0)&1;b[x>>0]=L;P=x;N=88;break}case 9:{x=cuc(12)|0;f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;sh[f[(f[k>>2]|0)+96>>2]&255](d,k,f[I>>2]|0,l);L=x+11|0;if((b[L>>0]|0)<0){b[f[x>>2]>>0]=0;f[x+4>>2]=0}else{b[x>>0]=0;b[L>>0]=0}vuc(x,0);f[x>>2]=f[d>>2];f[x+4>>2]=f[d+4>>2];f[x+8>>2]=f[d+8>>2];P=x;N=88;break}case 8:{x=cuc(4)|0;L=li[f[(f[k>>2]|0)+104>>2]&511](k,f[I>>2]|0,l)|0;f[x>>2]=L;P=x;N=88;break}case 10:{x=Cg[f[(f[k>>2]|0)+108>>2]&127](k,f[I>>2]|0,l,0)|0;L=di[f[(f[x>>2]|0)+12>>2]&1023](x)|0;yh[f[(f[L>>2]|0)+72>>2]&2047](L,x);P=L;N=88;break}default:{}}while(0);if((N|0)==88){N=0;f[O+16>>2]=P}if((f[a>>2]|0)==9?(t=f[e>>2]|0,t|0):0){if((b[t+11>>0]|0)<0)fuc(f[t>>2]|0);fuc(t)}I=I+4|0;t=f[y>>2]|0;s=f[t+12>>2]|0}while((I|0)!=(((s|0)==0?0:s+4|0)+(f[t+4>>2]<<2)|0));u=c;return}function P4b(a,b){a=a|0;b=b|0;a=cuc(12)|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[b>>2]=a;return}function Q4b(a,b){a=a|0;b=b|0;a=f[b>>2]|0;if(!a)return;fuc(a);return}function R4b(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0;e=f[d>>2]|0;g=f[c>>2]|0;f[g>>2]=f[e>>2];f[g+4>>2]=f[e+4>>2];f[g+8>>2]=f[e+8>>2];e=c+8|0;g=KOa(d+8|0)|0;h=c+16|0;i=f[h>>2]|0;if((i|0)!=(g|0)){if((i|0)==9?(i=f[e>>2]|0,i|0):0){if((b[i+11>>0]|0)<0)fuc(f[i>>2]|0);fuc(i)}f[h>>2]=g;if((g|0)==9){g=cuc(12)|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[e>>2]=g}}f[c+28>>2]=f[d+28>>2];yh[f[(f[a>>2]|0)+72>>2]&2047](a,c);return}function S4b(a,b){a=a|0;b=b|0;X4b(f[b>>2]|0)|0;yh[f[(f[a>>2]|0)+72>>2]&2047](a,b);return}function T4b(a){a=a|0;var b=0,c=0,d=0;b=a+16|0;if((f[b>>2]|0)!=1){c=a+20|0;return c|0}d=a+12|0;WKb(d);if((f[b>>2]|0)==1){bi[f[(f[a>>2]|0)+44>>2]&2047](a);f[b>>2]=2}XKb(d);c=a+20|0;return c|0}function U4b(a){a=a|0;var b=0,c=0,d=0;b=a+16|0;if((f[b>>2]|0)!=1){f[b>>2]=0;c=a+20|0;return c|0}d=a+12|0;WKb(d);if((f[b>>2]|0)==1){bi[f[(f[a>>2]|0)+44>>2]&2047](a);f[b>>2]=2}XKb(d);f[b>>2]=0;c=a+20|0;return c|0}function V4b(a,b){a=a|0;b=b|0;var c=0;a=f[f[b>>2]>>2]|0;if(!a)return;c=a+16|0;W4b(b+8|0,f[c>>2]|0);a=f[c>>2]|0;f[b+28>>2]=f[a+20>>2];f[b+24>>2]=f[a+16>>2];return}function W4b(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;d=u;u=u+32|0;e=d;g=d+24|0;h=KOa(c)|0;i=a+8|0;j=f[i>>2]|0;a:do if((j|0)==(h|0)){switch(h|0){case 10:case 8:case 6:case 5:{k=10;break a;break}case 9:{k=11;break a;break}case 2:{k=12;break a;break}case 1:{k=13;break a;break}case 4:{k=14;break a;break}case 3:{k=15;break a;break}case 7:{k=16;break a;break}default:{}}u=d;return}else{if((j|0)==9?(l=f[a>>2]|0,l|0):0){if((b[l+11>>0]|0)<0)fuc(f[l>>2]|0);fuc(l)}f[i>>2]=h;switch(h|0){case 10:case 8:case 6:case 5:{k=10;break a;break}case 2:{k=12;break a;break}case 1:{k=13;break a;break}case 4:{k=14;break a;break}case 3:{k=15;break a;break}case 7:{k=16;break a;break}case 9:{l=cuc(12)|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[a>>2]=l;k=11;break a;break}default:{u=d;return}}}while(0);if((k|0)==10){iLb(e,3,513310,501);fLb(g,dLb(e,519058)|0);jLb(e);u=d;return}else if((k|0)==11){ruc(f[a>>2]|0,f[c>>2]|0)|0;u=d;return}else if((k|0)==12){e=c;g=f[e+4>>2]|0;h=a;f[h>>2]=f[e>>2];f[h+4>>2]=g;u=d;return}else if((k|0)==13){f[a>>2]=f[c>>2];u=d;return}else if((k|0)==14){g=c;h=f[g+4>>2]|0;e=a;f[e>>2]=f[g>>2];f[e+4>>2]=h;u=d;return}else if((k|0)==15){f[a>>2]=f[c>>2];u=d;return}else if((k|0)==16){b[a>>0]=b[c>>0]|0;u=d;return}}function X4b(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;b=u;u=u+32|0;c=b+8|0;d=b;e=f[a>>2]|0;g=f[e+24>>2]|0;if(g|0){f[a>>2]=g;u=b;return a|0}g=a+4|0;h=f[g>>2]|0;i=a+8|0;j=f[i>>2]&(f[h+4>>2]|0)+-1;f[i>>2]=j;k=f[h+16>>2]|0;l=f[k+(j<<2)>>2]|0;a:do if((l|0)!=(e|0)){b:do if(l|0?(l|0)!=(f[k+((j^1)<<2)>>2]|0):0){m=l;while(1){m=f[m+24>>2]|0;if(!m)break b;if((m|0)==(e|0)){n=j;o=h;p=9;break a}}}while(0);Y4b(c,h,e,d);m=f[c+8>>2]|0;f[i>>2]=m;q=f[g>>2]|0;r=f[q+16>>2]|0;s=f[r+(m<<2)>>2]|0;if((s|0)!=0?(s|0)==(f[r+((m^1)<<2)>>2]|0):0){t=f[d>>2]|0;v=f[t+4>>2]|0;if(!v){w=t+8|0;x=f[w>>2]|0;if((f[x>>2]|0)==(t|0))y=x;else{x=w;do{w=f[x>>2]|0;x=w+8|0;t=f[x>>2]|0}while((f[t>>2]|0)!=(w|0));y=t}}else{x=v;while(1){t=f[x>>2]|0;if(!t)break;else x=t}y=x}f[d>>2]=y;if((y|0)!=(s+4|0)){f[a>>2]=f[y+16>>2];break}v=m+2|0;f[a>>2]=0;f[i>>2]=v;t=f[q+4>>2]|0;if(t>>>0>v>>>0){w=v;while(1){z=f[r+(w<<2)>>2]|0;if(z|0)break;v=w+1|0;f[i>>2]=v;if(v>>>0<t>>>0)w=v;else break a}if((z|0)==(f[r+((w^1)<<2)>>2]|0))A=f[(f[z>>2]|0)+16>>2]|0;else A=z;f[a>>2]=A}}else{n=m;o=q;p=9}}else{n=j;o=h;p=9}while(0);c:do if((p|0)==9?(h=n+1|0,f[a>>2]=0,f[i>>2]=h,j=f[o+4>>2]|0,j>>>0>h>>>0):0){A=f[o+16>>2]|0;z=h;while(1){B=f[A+(z<<2)>>2]|0;if(B|0)break;h=z+1|0;f[i>>2]=h;if(h>>>0<j>>>0)z=h;else break c}if((B|0)==(f[A+((z^1)<<2)>>2]|0))C=f[(f[B>>2]|0)+16>>2]|0;else C=B;f[a>>2]=C}while(0);u=b;return a|0}function Y4b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;e=Z4b(b,c)|0;g=(f[b+4>>2]|0)+-1&(f[b+8>>2]|0)+e;e=f[b+16>>2]|0;h=f[e+(g<<2)>>2]|0;a:do if(h){if((h|0)!=(f[e+((g^1)<<2)>>2]|0)){i=h;while(1){if(_4b(i,c)|0)break;j=f[i+24>>2]|0;if(!j){k=g;l=18;break a}else i=j}f[a>>2]=i;m=g;n=g;o=b;break}if((h|0)==(f[e+((g^1)<<2)>>2]|0)){j=g&-2;p=(f[e+(j<<2)>>2]|0)+4|0;q=f[p>>2]|0;if(q){r=p;s=q;b:while(1){q=s;while(1){if(!($4b(f[q+16>>2]|0,c)|0))break;t=f[q+4>>2]|0;if(!t){u=r;break b}else q=t}s=f[q>>2]|0;if(!s){u=q;break}else r=q}if((u|0)!=(p|0)?(r=u+16|0,!($4b(c,f[r>>2]|0)|0)):0){if(d|0)f[d>>2]=u;f[a>>2]=f[r>>2];m=j;n=j;o=b}else{k=j;l=18}}else{k=j;l=18}}else{k=g;l=18}}else{k=g;l=18}while(0);if((l|0)==18){f[a>>2]=0;m=k;n=0;o=0}f[a+4>>2]=o;f[a+8>>2]=n;f[a+12>>2]=m;return}function Z4b(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;a=u;u=u+64|0;d=a+24|0;e=a;g=a+48|0;switch(KOa(c)|0){case 10:case 8:case 6:case 5:{iLb(d,3,513310,812);fLb(a+49|0,dLb(d,519058)|0);jLb(d);break}case 9:{d=qPa(c)|0;h=(b[d+11>>0]|0)<0?f[d>>2]|0:d;d=b[h>>0]|0;if(!(d<<24>>24)){i=0;u=a;return i|0}else{j=h;k=0;l=d}while(1){d=(k*5|0)+(l<<24>>24)|0;j=j+1|0;l=b[j>>0]|0;if(!(l<<24>>24)){i=d;break}else k=d}u=a;return i|0}case 2:{k=a5b(c)|0;l=Y(k,1540483477)|0;k=Y(J,1540483477)|0;j=(Y((Y(l>>>24^l,1540483477)|0)^-561034072,1540483477)|0)^(Y(k>>>24^k,1540483477)|0);k=Y(j>>>13^j,1540483477)|0;i=k>>>15^k;u=a;return i|0}case 1:{i=b5b(c)|0;u=a;return i|0}case 4:{k=c5b(c)|0;j=Y(k,1540483477)|0;k=Y(J,1540483477)|0;l=(Y((Y(j>>>24^j,1540483477)|0)^-561034072,1540483477)|0)^(Y(k>>>24^k,1540483477)|0);k=Y(l>>>13^l,1540483477)|0;i=k>>>15^k;u=a;return i|0}case 3:{i=d5b(c)|0;u=a;return i|0}case 7:{i=(e5b(c)|0)&1;u=a;return i|0}default:{}}iLb(e,3,513310,827);fLb(g,dLb(e,519375)|0);jLb(e);i=0;u=a;return i|0}function _4b(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;d=u;u=u+80|0;e=d+48|0;g=d+24|0;h=d;i=d+72|0;if((f[a+8>>2]|0)!=(f[c+8>>2]|0)){iLb(e,3,513310,468);fLb(d+74|0,dLb(e,513400)|0);jLb(e)}switch(KOa(a)|0){case 10:case 8:case 6:case 5:{iLb(g,3,513310,475);fLb(d+73|0,dLb(g,519058)|0);jLb(g);break}case 9:{g=f[a>>2]|0;e=f[c>>2]|0;j=b[g+11>>0]|0;k=j<<24>>24<0;l=j&255;j=k?f[g+4>>2]|0:l;m=b[e+11>>0]|0;n=m<<24>>24<0;if((j|0)!=((n?f[e+4>>2]|0:m&255)|0)){o=0;u=d;return o|0}m=f[g>>2]|0;p=k?m:g;q=n?f[e>>2]|0:e;e=(j|0)==0;if(k){if(e){o=1;u=d;return o|0}o=(ahc(p,q,j)|0)==0;u=d;return o|0}if(e){o=1;u=d;return o|0}if((m&255)<<24>>24==(b[q>>0]|0)){r=g;s=l;t=q}else{o=0;u=d;return o|0}while(1){s=s+-1|0;r=r+1|0;if(!s){o=1;v=19;break}t=t+1|0;if((b[r>>0]|0)!=(b[t>>0]|0)){o=0;v=19;break}}if((v|0)==19){u=d;return o|0}break}case 2:{v=a;t=c;o=(f[v>>2]|0)==(f[t>>2]|0)?(f[v+4>>2]|0)==(f[t+4>>2]|0):0;u=d;return o|0}case 1:{o=(f[a>>2]|0)==(f[c>>2]|0);u=d;return o|0}case 4:{t=a;v=c;o=(f[t>>2]|0)==(f[v>>2]|0)?(f[t+4>>2]|0)==(f[v+4>>2]|0):0;u=d;return o|0}case 3:{o=(f[a>>2]|0)==(f[c>>2]|0);u=d;return o|0}case 7:{o=(b[a>>0]|0)==(b[c>>0]|0);u=d;return o|0}default:{}}iLb(h,3,513310,490);fLb(i,dLb(h,519375)|0);jLb(h);o=0;u=d;return o|0}function $4b(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=u;u=u+64|0;e=d+24|0;g=d;if((f[a+8>>2]|0)!=(f[c+8>>2]|0)){iLb(e,3,513310,440);fLb(d+49|0,dLb(e,513400)|0);jLb(e)}switch(KOa(a)|0){case 10:case 8:case 6:case 5:{iLb(g,3,513310,447);fLb(d+48|0,dLb(g,519058)|0);jLb(g);i=0;u=d;return i|0}case 9:{g=f[a>>2]|0;e=f[c>>2]|0;j=b[e+11>>0]|0;k=j<<24>>24<0;l=k?f[e+4>>2]|0:j&255;j=b[g+11>>0]|0;m=j<<24>>24<0;n=m?f[g+4>>2]|0:j&255;j=l>>>0<n>>>0;o=j?l:n;if((o|0)!=0?(p=ahc(m?f[g>>2]|0:g,k?f[e>>2]|0:e,o)|0,(p|0)!=0):0)q=p;else q=n>>>0<l>>>0?-1:j&1;i=(q|0)<0;u=d;return i|0}case 2:{q=a;j=f[q+4>>2]|0;l=c;n=f[l+4>>2]|0;i=(j|0)<(n|0)|((j|0)==(n|0)?(f[q>>2]|0)>>>0<(f[l>>2]|0)>>>0:0);u=d;return i|0}case 1:{i=(f[a>>2]|0)<(f[c>>2]|0);u=d;return i|0}case 4:{l=a;q=f[l+4>>2]|0;n=c;j=f[n+4>>2]|0;i=q>>>0<j>>>0|((q|0)==(j|0)?(f[l>>2]|0)>>>0<(f[n>>2]|0)>>>0:0);u=d;return i|0}case 3:{i=(f[a>>2]|0)>>>0<(f[c>>2]|0)>>>0;u=d;return i|0}case 7:{i=(h[a>>0]|0)<(h[c>>0]|0);u=d;return i|0}default:{i=0;u=d;return i|0}}return 0}function a5b(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;b=u;u=u+32|0;c=b;if((KOa(a)|0)==2){d=a;e=d;g=f[e>>2]|0;h=d+4|0;i=h;j=f[i>>2]|0;J=j;u=b;return g|0}iLb(c,3,513310,407);k=dLb(dLb(dLb(dLb(c,513427)|0,513600)|0,513482)|0,513504)|0;l=dLb(dLb(dLb(k,f[37993]|0)|0,517126)|0,513518)|0;k=151964+((KOa(a)|0)<<2)|0;fLb(b+24|0,dLb(l,f[k>>2]|0)|0);jLb(c);d=a;e=d;g=f[e>>2]|0;h=d+4|0;i=h;j=f[i>>2]|0;J=j;u=b;return g|0}function b5b(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=u;u=u+32|0;c=b;if((KOa(a)|0)==1){d=f[a>>2]|0;u=b;return d|0}iLb(c,3,513310,417);e=dLb(dLb(dLb(dLb(c,513427)|0,513578)|0,513482)|0,513504)|0;g=dLb(dLb(dLb(e,f[37992]|0)|0,517126)|0,513518)|0;e=151964+((KOa(a)|0)<<2)|0;fLb(b+24|0,dLb(g,f[e>>2]|0)|0);jLb(c);d=f[a>>2]|0;u=b;return d|0}function c5b(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;b=u;u=u+32|0;c=b;if((KOa(a)|0)==4){d=a;e=d;g=f[e>>2]|0;h=d+4|0;i=h;j=f[i>>2]|0;J=j;u=b;return g|0}iLb(c,3,513310,412);k=dLb(dLb(dLb(dLb(c,513427)|0,513555)|0,513482)|0,513504)|0;l=dLb(dLb(dLb(k,f[37995]|0)|0,517126)|0,513518)|0;k=151964+((KOa(a)|0)<<2)|0;fLb(b+24|0,dLb(l,f[k>>2]|0)|0);jLb(c);d=a;e=d;g=f[e>>2]|0;h=d+4|0;i=h;j=f[i>>2]|0;J=j;u=b;return g|0}function d5b(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=u;u=u+32|0;c=b;if((KOa(a)|0)==3){d=f[a>>2]|0;u=b;return d|0}iLb(c,3,513310,422);e=dLb(dLb(dLb(dLb(c,513427)|0,513532)|0,513482)|0,513504)|0;g=dLb(dLb(dLb(e,f[37994]|0)|0,517126)|0,513518)|0;e=151964+((KOa(a)|0)<<2)|0;fLb(b+24|0,dLb(g,f[e>>2]|0)|0);jLb(c);d=f[a>>2]|0;u=b;return d|0}function e5b(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0;c=u;u=u+32|0;d=c;if((KOa(a)|0)==7){e=b[a>>0]|0;g=e<<24>>24!=0;u=c;return g|0}iLb(d,3,513310,427);h=dLb(dLb(dLb(dLb(d,513427)|0,513461)|0,513482)|0,513504)|0;i=dLb(dLb(dLb(h,f[37998]|0)|0,517126)|0,513518)|0;h=151964+((KOa(a)|0)<<2)|0;fLb(c+24|0,dLb(i,f[h>>2]|0)|0);jLb(d);e=b[a>>0]|0;g=e<<24>>24!=0;u=c;return g|0}function f5b(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;c=u;u=u+48|0;d=c+28|0;e=c+16|0;g=c;h=a+8|0;i=f[h>>2]|0;j=f[i+12>>2]|0;k=f[i+4>>2]|0;if(k>>>0<=j>>>0){u=c;return}l=f[i+16>>2]|0;m=j;while(1){n=f[l+(m<<2)>>2]|0;if(n|0)break;j=m+1|0;if(j>>>0<k>>>0)m=j;else{o=19;break}}if((o|0)==19){u=c;return}if((n|0)==(f[l+((m^1)<<2)>>2]|0))p=f[(f[n>>2]|0)+16>>2]|0;else p=n;if(!p){u=c;return}n=g+4|0;l=g+8|0;o=p;p=i;i=m;while(1){f[g>>2]=o;f[n>>2]=p;f[l>>2]=i;if((f[a>>2]|0)==0?(m=f[o+16>>2]|0,m|0):0){if((f[m+8>>2]|0)==9?(k=f[m>>2]|0,k|0):0){if((b[k+11>>0]|0)<0)fuc(f[k>>2]|0);fuc(k)}fuc(m)};f[e>>2]=f[g>>2];f[e+4>>2]=f[g+4>>2];f[e+8>>2]=f[g+8>>2];h5b(g)|0;m=f[h>>2]|0;f[d>>2]=f[e>>2];f[d+4>>2]=f[e+4>>2];f[d+8>>2]=f[e+8>>2];x5b(m,d);o=f[g>>2]|0;if(!o)break;else{p=f[n>>2]|0;i=f[l>>2]|0}}u=c;return}function g5b(a){a=a|0;var c=0;do switch(f[a+4>>2]|0){case 1:{c=f[a>>2]|0;if(!c)return;fuc(c);return}case 2:{c=f[a>>2]|0;if(!c)return;fuc(c);return}case 3:{c=f[a>>2]|0;if(!c)return;fuc(c);return}case 4:{c=f[a>>2]|0;if(!c)return;fuc(c);return}case 5:{c=f[a>>2]|0;if(!c)return;fuc(c);return}case 6:{c=f[a>>2]|0;if(!c)return;fuc(c);return}case 7:{c=f[a>>2]|0;if(!c)return;fuc(c);return}case 9:{c=f[a>>2]|0;if(!c)return;if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c);return}case 8:{c=f[a>>2]|0;if(!c)return;fuc(c);return}case 10:{c=f[a>>2]|0;if(!c)return;bi[f[(f[c>>2]|0)+4>>2]&2047](c);return}default:return}while(0)}function h5b(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;b=u;u=u+32|0;c=b+8|0;d=b;e=f[a>>2]|0;g=f[e+24>>2]|0;if(g|0){f[a>>2]=g;u=b;return a|0}g=a+4|0;h=f[g>>2]|0;i=a+8|0;j=f[i>>2]&(f[h+4>>2]|0)+-1;f[i>>2]=j;k=f[h+16>>2]|0;l=f[k+(j<<2)>>2]|0;a:do if((l|0)!=(e|0)){b:do if(l|0?(l|0)!=(f[k+((j^1)<<2)>>2]|0):0){m=l;while(1){m=f[m+24>>2]|0;if(!m)break b;if((m|0)==(e|0)){n=j;o=h;p=9;break a}}}while(0);Y4b(c,h,e,d);m=f[c+8>>2]|0;f[i>>2]=m;q=f[g>>2]|0;r=f[q+16>>2]|0;s=f[r+(m<<2)>>2]|0;if((s|0)!=0?(s|0)==(f[r+((m^1)<<2)>>2]|0):0){t=f[d>>2]|0;v=f[t+4>>2]|0;if(!v){w=t+8|0;x=f[w>>2]|0;if((f[x>>2]|0)==(t|0))y=x;else{x=w;do{w=f[x>>2]|0;x=w+8|0;t=f[x>>2]|0}while((f[t>>2]|0)!=(w|0));y=t}}else{x=v;while(1){t=f[x>>2]|0;if(!t)break;else x=t}y=x}f[d>>2]=y;if((y|0)!=(s+4|0)){f[a>>2]=f[y+16>>2];break}v=m+2|0;f[a>>2]=0;f[i>>2]=v;t=f[q+4>>2]|0;if(t>>>0>v>>>0){w=v;while(1){z=f[r+(w<<2)>>2]|0;if(z|0)break;v=w+1|0;f[i>>2]=v;if(v>>>0<t>>>0)w=v;else break a}if((z|0)==(f[r+((w^1)<<2)>>2]|0))A=f[(f[z>>2]|0)+16>>2]|0;else A=z;f[a>>2]=A}}else{n=m;o=q;p=9}}else{n=j;o=h;p=9}while(0);c:do if((p|0)==9?(h=n+1|0,f[a>>2]=0,f[i>>2]=h,j=f[o+4>>2]|0,j>>>0>h>>>0):0){A=f[o+16>>2]|0;z=h;while(1){B=f[A+(z<<2)>>2]|0;if(B|0)break;h=z+1|0;f[i>>2]=h;if(h>>>0<j>>>0)z=h;else break c}if((B|0)==(f[A+((z^1)<<2)>>2]|0))C=f[(f[B>>2]|0)+16>>2]|0;else C=B;f[a>>2]=C}while(0);u=b;return a|0}function i5b(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+48|0;e=d;g=d+24|0;h=e+8|0;f[h>>2]=0;W4b(e,c);f[e+16>>2]=0;o5b(g,a,e);a=(f[g>>2]|0)+16|0;if((f[h>>2]|0)!=9){u=d;return a|0}h=f[e>>2]|0;if(!h){u=d;return a|0}if((b[h+11>>0]|0)<0)fuc(f[h>>2]|0);fuc(h);u=d;return a|0}function j5b(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=f[a>>2]|0;if(!c){d=cuc(24)|0;f[d+8>>2]=0;W4b(d,b);f[d+16>>2]=0;f[d+20>>2]=0;e=d;return e|0}if(f[c+64>>2]|0)HIb(c,27016,24);d=FIb(c,24)|0;c=f[a>>2]|0;f[d+8>>2]=0;k5b(c,d);c=d+16|0;g=f[a>>2]|0;f[c>>2]=0;f[d+20>>2]=0;l5b(g,c);W4b(d,b);e=d;return e|0}function k5b(a,b){a=a|0;b=b|0;if(!b)return;EIb(a,b,2007);return}function l5b(a,b){a=a|0;b=b|0;if(!b)return;EIb(a,b,2008);return}function m5b(a){a=a|0;return}function n5b(a){a=a|0;var c=0;if((f[a+8>>2]|0)!=9)return;c=f[a>>2]|0;if(!c)return;if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c);return}function o5b(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=u;u=u+32|0;g=e+16|0;h=e;Y4b(g,c,d,0);i=f[g>>2]|0;if(i|0){j=f[g+4>>2]|0;k=f[g+8>>2]|0;f[a>>2]=i;f[a+4>>2]=j;f[a+8>>2]=k;b[a+12>>0]=0;u=e;return}k=(f[c>>2]|0)+1|0;j=f[c+4>>2]|0;i=j*12|0;l=i>>>4;if(l>>>0>k>>>0){if(j>>>0>8&i>>>6>>>0>=k>>>0){i=((k*5|0)>>>2)+1|0;k=1;while(1)if(i<<k>>>0<l>>>0)k=k+1|0;else break;l=j>>>k;k=l>>>0>8?l:8;if((k|0)!=(j|0)){p5b(c,k);m=11}}}else if(j>>>0<=134217728){p5b(c,j<<1);m=11}if((m|0)==11){Y4b(h,c,d,0);f[g>>2]=f[h>>2];f[g+4>>2]=f[h+4>>2];f[g+8>>2]=f[h+8>>2];f[g+12>>2]=f[h+12>>2]}m=f[g+12>>2]|0;g=f[c+20>>2]|0;if(!g)n=cuc(32)|0;else{if(f[g+64>>2]|0)HIb(g,27016,32);n=FIb(g,32)|0}f[n+8>>2]=0;W4b(n,d);f[n+16>>2]=f[d+16>>2];q5b(h,c,m,n);f[c>>2]=(f[c>>2]|0)+1;f[a>>2]=f[h>>2];f[a+4>>2]=f[h+4>>2];f[a+8>>2]=f[h+8>>2];b[a+12>>0]=1;u=e;return}function p5b(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;c=u;u=u+16|0;d=c;e=a+16|0;g=f[e>>2]|0;h=a+4|0;i=f[h>>2]|0;f[h>>2]=b;j=a+20|0;k=f[j>>2]|0;l=b<<2;if(!k)m=cuc(l)|0;else{b=l+7&-8;if(f[k+64>>2]|0)HIb(k,27016,b);m=FIb(k,b)|0}kzc(m|0,0,l|0)|0;f[e>>2]=m;m=a+12|0;e=f[m>>2]|0;f[m>>2]=f[h>>2];if(e>>>0<i>>>0){m=a+8|0;l=e;do{e=f[g+(l<<2)>>2]|0;do if(!e)n=l;else{if((e|0)==(f[g+((l^1)<<2)>>2]|0)){w5b(a,g,l);n=l+1|0;break}b=e;do{k=b;b=f[b+24>>2]|0;o=Z4b(a,k)|0;q5b(d,a,(f[h>>2]|0)+-1&(f[m>>2]|0)+o,k)}while((b|0)!=0);n=l}while(0);l=n+1|0}while(l>>>0<i>>>0)}if(f[j>>2]|0){u=c;return}fuc(g);u=c;return}function q5b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=u;u=u+16|0;g=e+8|0;h=e;i=b+16|0;j=f[i>>2]|0;k=j+(c<<2)|0;l=f[k>>2]|0;m=l;do if(!l){f[d+24>>2]=m;f[k>>2]=d;n=d;o=c}else{if((l|0)==(f[j+((c^1)<<2)>>2]|0)){f[d+24>>2]=0;p=f[k>>2]|0;f[h>>2]=d;s5b(g,p,h,h);f[a>>2]=f[(f[g>>2]|0)+16>>2];f[a+4>>2]=b;f[a+8>>2]=c&-2;u=e;return}p=l;q=0;do{q=q+1|0;p=f[p+24>>2]|0}while((p|0)!=0);if(q>>>0>7){r5b(b,c);f[d+24>>2]=0;p=f[(f[i>>2]|0)+(c<<2)>>2]|0;f[h>>2]=d;s5b(g,p,h,h);n=f[(f[g>>2]|0)+16>>2]|0;o=c&-2;break}f[d+24>>2]=m;f[k>>2]=d;f[a>>2]=d;f[a+4>>2]=b;f[a+8>>2]=c;u=e;return}while(0);c=b+12|0;d=f[c>>2]|0;f[c>>2]=o>>>0<d>>>0?o:d;f[a>>2]=n;f[a+4>>2]=b;f[a+8>>2]=o;u=e;return}function r5b(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;c=u;u=u+32|0;d=c+24|0;e=c+16|0;g=c;h=a+20|0;i=f[h>>2]|0;if(!i)j=cuc(16)|0;else{if(f[i+64>>2]|0)HIb(i,27016,16);j=FIb(i,16)|0}i=f[h>>2]|0;f[g+4>>2]=0;f[g+8>>2]=i;f[g+12>>2]=0;i=g+4|0;f[g>>2]=i;f[j>>2]=0;h=f[g+8>>2]|0;k=j+4|0;f[k>>2]=0;f[j+8>>2]=h;f[j+12>>2]=0;f[j>>2]=k;h=f[g>>2]|0;if((h|0)!=(i|0)){l=k;k=h;while(1){h=k+16|0;f[e>>2]=l;f[d>>2]=f[e>>2];t5b(j,d,h,h)|0;h=f[k+4>>2]|0;if(!h){m=k+8|0;n=f[m>>2]|0;if((f[n>>2]|0)==(k|0))o=n;else{n=m;do{m=f[n>>2]|0;n=m+8|0;p=f[n>>2]|0}while((f[p>>2]|0)!=(m|0));o=p}}else{n=h;while(1){p=f[n>>2]|0;if(!p)break;else n=p}o=n}if((o|0)==(i|0))break;else k=o}}u5b(g,f[i>>2]|0);i=a+16|0;a=f[i>>2]|0;g=f[a+(b<<2)>>2]|0;if(!g)q=a;else{a=g;do{f[e>>2]=a;s5b(d,j,e,e);g=a+24|0;a=f[g>>2]|0;f[g>>2]=0}while((a|0)!=0);q=f[i>>2]|0}a=b^1;g=f[q+(a<<2)>>2]|0;if(!g){r=q;s=r+(a<<2)|0;f[s>>2]=j;t=f[i>>2]|0;v=t+(b<<2)|0;f[v>>2]=j;u=c;return}q=g;do{f[e>>2]=q;s5b(d,j,e,e);g=q+24|0;q=f[g>>2]|0;f[g>>2]=0}while((q|0)!=0);r=f[i>>2]|0;s=r+(a<<2)|0;f[s>>2]=j;t=f[i>>2]|0;v=t+(b<<2)|0;f[v>>2]=j;u=c;return}function s5b(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;g=c+4|0;h=f[g>>2]|0;do if(h){i=c+4|0;j=h;while(1){k=j+16|0;if($4b(f[d>>2]|0,f[k>>2]|0)|0){l=f[j>>2]|0;if(!l){m=6;break}else{n=j;o=l}}else{if(!($4b(f[k>>2]|0,f[d>>2]|0)|0)){m=10;break}p=j+4|0;k=f[p>>2]|0;if(!k){m=9;break}else{n=p;o=k}}i=n;j=o}if((m|0)==6){q=j;r=j;break}else if((m|0)==9){q=j;r=p;break}else if((m|0)==10){q=j;r=i;break}}else{q=g;r=g}while(0);g=f[r>>2]|0;if(g|0){s=g;t=0;u=s;f[a>>2]=u;v=a+4|0;b[v>>0]=t;return}g=f[c+8>>2]|0;if(!g)w=cuc(20)|0;else{if(f[g+64>>2]|0)HIb(g,27016,24);w=FIb(g,24)|0}f[w+16>>2]=f[e>>2];f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=q;f[r>>2]=w;q=f[f[c>>2]>>2]|0;if(!q)x=w;else{f[c>>2]=q;x=f[r>>2]|0}jI(f[c+4>>2]|0,x);x=c+12|0;f[x>>2]=(f[x>>2]|0)+1;s=w;t=1;u=s;f[a>>2]=u;v=a+4|0;b[v>>0]=t;return}function t5b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0;e=u;u=u+16|0;g=e+12|0;h=e+8|0;i=e;f[i>>2]=f[b>>2];f[g>>2]=f[i>>2];i=v5b(a,g,h,e+4|0,c)|0;c=f[i>>2]|0;if(c|0){j=c;u=e;return j|0}c=f[a+8>>2]|0;if(!c)k=cuc(20)|0;else{if(f[c+64>>2]|0)HIb(c,27016,24);k=FIb(c,24)|0}f[k+16>>2]=f[d>>2];d=f[h>>2]|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=d;f[i>>2]=k;d=f[f[a>>2]>>2]|0;if(!d)l=k;else{f[a>>2]=d;l=f[i>>2]|0}jI(f[a+4>>2]|0,l);l=a+12|0;f[l>>2]=(f[l>>2]|0)+1;j=k;u=e;return j|0}function u5b(a,b){a=a|0;b=b|0;if(!b)return;u5b(a,f[b>>2]|0);u5b(a,f[b+4>>2]|0);if(f[a+8>>2]|0)return;fuc(b);return}function v5b(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;g=a+4|0;h=f[b>>2]|0;b=h;if((h|0)!=(g|0)?(i=h+16|0,!($4b(f[e>>2]|0,f[i>>2]|0)|0)):0){if(!($4b(f[i>>2]|0,f[e>>2]|0)|0)){f[c>>2]=b;f[d>>2]=b;j=d;return j|0}d=f[h+4>>2]|0;if(!d){i=h+8|0;k=f[i>>2]|0;if((f[k>>2]|0)==(h|0))l=k;else{k=i;do{i=f[k>>2]|0;k=i+8|0;m=f[k>>2]|0}while((f[m>>2]|0)!=(i|0));l=m}}else{k=d;while(1){d=f[k>>2]|0;if(!d)break;else k=d}l=k}if((l|0)!=(g|0)?!($4b(f[e>>2]|0,f[l+16>>2]|0)|0):0){k=f[g>>2]|0;if(!k){f[c>>2]=g;j=g;return j|0}d=a+4|0;m=k;while(1){k=m+16|0;if($4b(f[e>>2]|0,f[k>>2]|0)|0){i=f[m>>2]|0;if(!i){n=39;break}else{o=m;p=i}}else{if(!($4b(f[k>>2]|0,f[e>>2]|0)|0)){n=43;break}q=m+4|0;k=f[q>>2]|0;if(!k){n=42;break}else{o=q;p=k}}d=o;m=p}if((n|0)==39){f[c>>2]=m;j=m;return j|0}else if((n|0)==42){f[c>>2]=m;j=q;return j|0}else if((n|0)==43){f[c>>2]=m;j=d;return j|0}}if(!(f[h+4>>2]|0)){f[c>>2]=b;j=h+4|0;return j|0}else{f[c>>2]=l;j=l;return j|0}}if((h|0)!=(f[a>>2]|0)){l=f[h>>2]|0;if(!l){d=h;while(1){m=f[d+8>>2]|0;if((f[m>>2]|0)==(d|0))d=m;else{r=m;break}}}else{d=l;while(1){l=f[d+4>>2]|0;if(!l){r=d;break}else d=l}}if(!($4b(f[r+16>>2]|0,f[e>>2]|0)|0)){d=f[g>>2]|0;if(!d){f[c>>2]=g;j=g;return j|0}g=a+4|0;a=d;while(1){d=a+16|0;if($4b(f[e>>2]|0,f[d>>2]|0)|0){l=f[a>>2]|0;if(!l){n=17;break}else{s=a;t=l}}else{if(!($4b(f[d>>2]|0,f[e>>2]|0)|0)){n=21;break}u=a+4|0;d=f[u>>2]|0;if(!d){n=20;break}else{s=u;t=d}}g=s;a=t}if((n|0)==17){f[c>>2]=a;j=a;return j|0}else if((n|0)==20){f[c>>2]=a;j=u;return j|0}else if((n|0)==21){f[c>>2]=a;j=g;return j|0}}else v=r}else v=b;if(!(f[h>>2]|0)){f[c>>2]=h;j=h;return j|0}else{h=v;f[c>>2]=h;j=h+4|0;return j|0}return 0}function w5b(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;d=u;u=u+16|0;e=d;g=f[b+(c<<2)>>2]|0;c=a+8|0;b=a+4|0;h=g+4|0;i=f[g>>2]|0;while(1){j=f[i+16>>2]|0;k=Z4b(a,j)|0;q5b(e,a,(f[b>>2]|0)+-1&(f[c>>2]|0)+k,j);j=f[i+4>>2]|0;if(!j){k=i+8|0;l=f[k>>2]|0;if((f[l>>2]|0)==(i|0))m=l;else{l=k;do{k=f[l>>2]|0;l=k+8|0;n=f[l>>2]|0}while((f[n>>2]|0)!=(k|0));m=n}}else{l=j;while(1){n=f[l>>2]|0;if(!n)break;else l=n}m=l}if((m|0)==(h|0))break;else i=m}m=f[a+20>>2]|0;u5b(g,f[h>>2]|0);if(m|0){u=d;return}fuc(g);u=d;return}function x5b(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;d=u;u=u+32|0;e=d+8|0;g=d;h=f[c+4>>2]|0;i=c+8|0;j=f[i>>2]&(f[h+4>>2]|0)+-1;f[i>>2]=j;k=h+16|0;l=f[k>>2]|0;m=f[l+(j<<2)>>2]|0;n=f[c>>2]|0;a:do if((m|0)!=(n|0)){b:do if(m|0?(m|0)!=(f[l+((j^1)<<2)>>2]|0):0){c=m;while(1){c=f[c+24>>2]|0;if(!c)break b;if((c|0)==(n|0)){o=j;p=7;break a}}}while(0);Y4b(e,h,n,g);c=f[e+8>>2]|0;f[i>>2]=c;q=f[k>>2]|0;r=f[q+(c<<2)>>2]|0;if(r){s=a+16|0;t=(f[s>>2]|0)+(c<<2)|0;if((r|0)==(f[q+((c^1)<<2)>>2]|0)){q=f[t>>2]|0;z5b(q,(f[g>>2]|0)+16|0)|0;if(!(f[q+12>>2]|0)){r=c&-2;v=f[a+20>>2]|0;u5b(q,f[q+4>>2]|0);if(!v)fuc(q);f[(f[s>>2]|0)+((c|1)<<2)>>2]=0;f[(f[s>>2]|0)+(r<<2)>>2]=0;w=r;x=s}else{w=c;x=s}}else{y=t;z=s;A=c;p=9}}else{o=c;p=7}}else{o=j;p=7}while(0);if((p|0)==7){j=a+16|0;y=(f[j>>2]|0)+(o<<2)|0;z=j;A=o;p=9}if((p|0)==9){o=y5b(a,n,f[y>>2]|0)|0;f[(f[z>>2]|0)+(A<<2)>>2]=o;w=A;x=z}if((f[n+8>>2]|0)==9?(z=f[n>>2]|0,z|0):0){if((b[z+11>>0]|0)<0)fuc(f[z>>2]|0);fuc(z)}if(!(f[a+20>>2]|0))fuc(n);f[a>>2]=(f[a>>2]|0)+-1;n=a+12|0;if((w|0)!=(f[n>>2]|0)){u=d;return}z=f[a+4>>2]|0;if(w>>>0>=z>>>0){u=d;return}a=f[x>>2]|0;x=w;while(1){if(f[a+(x<<2)>>2]|0){p=26;break}x=x+1|0;f[n>>2]=x;if(x>>>0>=z>>>0){p=26;break}}if((p|0)==26){u=d;return}}function y5b(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;d=c+24|0;e=f[d>>2]|0;if((c|0)==(b|0))return e|0;else{g=y5b(a,b,e)|0;f[d>>2]=g;return c|0}return 0}function z5b(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=a+4|0;d=f[c>>2]|0;if(!d){e=0;return e|0}else{g=c;h=d}a:while(1){d=h;while(1){if(!($4b(f[d+16>>2]|0,f[b>>2]|0)|0))break;i=f[d+4>>2]|0;if(!i){j=g;break a}else d=i}h=f[d>>2]|0;if(!h){j=d;break}else g=d}if((j|0)==(c|0)){e=0;return e|0}if($4b(f[b>>2]|0,f[j+16>>2]|0)|0){e=0;return e|0}b=f[j+4>>2]|0;if(!b){c=j+8|0;g=f[c>>2]|0;if((f[g>>2]|0)==(j|0))k=g;else{g=c;do{c=f[g>>2]|0;g=c+8|0;h=f[g>>2]|0}while((f[h>>2]|0)!=(c|0));k=h}}else{g=b;while(1){b=f[g>>2]|0;if(!b)break;else g=b}k=g}if((f[a>>2]|0)==(j|0))f[a>>2]=k;k=a+12|0;f[k>>2]=(f[k>>2]|0)+-1;sGa(f[a+4>>2]|0,j);if(f[a+8>>2]|0){e=1;return e|0}fuc(j);e=1;return e|0}function A5b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;if(!((c|0)==0&(d|0)!=0))if((d|0)!=(c|0)){e=v9b(b,d)|0;m3b(b,e);if((b|0)==0|(c|0)!=0)g=e;else{bi[f[(f[b>>2]|0)+4>>2]&2047](b);g=e}}else g=b;else{V0b(d,b);g=b}b=a+12|0;d=f[b>>2]|0;e=f[a+8>>2]|0;c=a+4|0;do if((d|0)!=0?(h=f[c>>2]|0,(h|0)!=(e|0)):0){i=f[d>>2]|0;if((i|0)==(e|0)){j=f[d+4+(h<<2)>>2]|0;if((j|0)==0|(f[a>>2]|0)!=0){k=d;break}bi[f[(f[j>>2]|0)+4>>2]&2047](j);k=f[b>>2]|0;break}if((h|0)<(i|0)){f[d+4+(i<<2)>>2]=f[d+4+(h<<2)>>2];h=f[b>>2]|0;l=h;m=f[h>>2]|0}else{l=d;m=i}f[l>>2]=m+1;k=l}else n=8;while(0);if((n|0)==8){LKb(a,e+1|0);e=f[b>>2]|0;f[e>>2]=(f[e>>2]|0)+1;k=e}e=f[c>>2]|0;f[c>>2]=e+1;f[k+4+(e<<2)>>2]=g;return}function B5b(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=u;u=u+32|0;c=b;if((L5b(a)|0)==9){d=f[a>>2]|0;u=b;return d|0}iLb(c,3,513310,639);e=dLb(dLb(dLb(dLb(c,513427)|0,514019)|0,513482)|0,513504)|0;g=dLb(dLb(dLb(e,f[38e3]|0)|0,517126)|0,513518)|0;e=151964+((L5b(a)|0)<<2)|0;fLb(b+24|0,dLb(g,f[e>>2]|0)|0);jLb(c);d=f[a>>2]|0;u=b;return d|0}function C5b(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;b=u;u=u+32|0;c=b;if((L5b(a)|0)==2){d=f[a>>2]|0;e=d;g=e;h=f[g>>2]|0;i=e+4|0;j=i;k=f[j>>2]|0;J=k;u=b;return h|0}iLb(c,3,513310,609);l=dLb(dLb(dLb(dLb(c,513427)|0,513992)|0,513482)|0,513504)|0;m=dLb(dLb(dLb(l,f[37993]|0)|0,517126)|0,513518)|0;l=151964+((L5b(a)|0)<<2)|0;fLb(b+24|0,dLb(m,f[l>>2]|0)|0);jLb(c);d=f[a>>2]|0;e=d;g=e;h=f[g>>2]|0;i=e+4|0;j=i;k=f[j>>2]|0;J=k;u=b;return h|0}function D5b(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0;b=u;u=u+32|0;c=b;if((L5b(a)|0)==1){d=f[a>>2]|0;e=f[d>>2]|0;u=b;return e|0}iLb(c,3,513310,619);g=dLb(dLb(dLb(dLb(c,513427)|0,513965)|0,513482)|0,513504)|0;h=dLb(dLb(dLb(g,f[37992]|0)|0,517126)|0,513518)|0;g=151964+((L5b(a)|0)<<2)|0;fLb(b+24|0,dLb(h,f[g>>2]|0)|0);jLb(c);d=f[a>>2]|0;e=f[d>>2]|0;u=b;return e|0}function E5b(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;b=u;u=u+32|0;c=b;if((L5b(a)|0)==4){d=f[a>>2]|0;e=d;g=e;h=f[g>>2]|0;i=e+4|0;j=i;k=f[j>>2]|0;J=k;u=b;return h|0}iLb(c,3,513310,614);l=dLb(dLb(dLb(dLb(c,513427)|0,513937)|0,513482)|0,513504)|0;m=dLb(dLb(dLb(l,f[37995]|0)|0,517126)|0,513518)|0;l=151964+((L5b(a)|0)<<2)|0;fLb(b+24|0,dLb(m,f[l>>2]|0)|0);jLb(c);d=f[a>>2]|0;e=d;g=e;h=f[g>>2]|0;i=e+4|0;j=i;k=f[j>>2]|0;J=k;u=b;return h|0}function F5b(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0;b=u;u=u+32|0;c=b;if((L5b(a)|0)==3){d=f[a>>2]|0;e=f[d>>2]|0;u=b;return e|0}iLb(c,3,513310,624);g=dLb(dLb(dLb(dLb(c,513427)|0,513909)|0,513482)|0,513504)|0;h=dLb(dLb(dLb(g,f[37994]|0)|0,517126)|0,513518)|0;g=151964+((L5b(a)|0)<<2)|0;fLb(b+24|0,dLb(h,f[g>>2]|0)|0);jLb(c);d=f[a>>2]|0;e=f[d>>2]|0;u=b;return e|0}function G5b(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0;c=u;u=u+32|0;d=c;if((L5b(a)|0)==7){e=f[a>>2]|0;g=b[e>>0]|0;h=g<<24>>24!=0;u=c;return h|0}iLb(d,3,513310,629);i=dLb(dLb(dLb(dLb(d,513427)|0,513883)|0,513482)|0,513504)|0;j=dLb(dLb(dLb(i,f[37998]|0)|0,517126)|0,513518)|0;i=151964+((L5b(a)|0)<<2)|0;fLb(c+24|0,dLb(j,f[i>>2]|0)|0);jLb(d);e=f[a>>2]|0;g=b[e>>0]|0;h=g<<24>>24!=0;u=c;return h|0}function H5b(a){a=a|0;var b=0,c=0,d=0,e=0.0,g=0,h=0;b=u;u=u+32|0;c=b;if((L5b(a)|0)==5){d=f[a>>2]|0;e=+p[d>>3];u=b;return +e}iLb(c,3,513310,649);g=dLb(dLb(dLb(dLb(c,513427)|0,513855)|0,513482)|0,513504)|0;h=dLb(dLb(dLb(g,f[37996]|0)|0,517126)|0,513518)|0;g=151964+((L5b(a)|0)<<2)|0;fLb(b+24|0,dLb(h,f[g>>2]|0)|0);jLb(c);d=f[a>>2]|0;e=+p[d>>3];u=b;return +e}function I5b(a){a=a|0;var b=0,c=0,d=0,e=0.0,g=0,h=0;b=u;u=u+32|0;c=b;if((L5b(a)|0)==6){d=f[a>>2]|0;e=+n[d>>2];u=b;return +e}iLb(c,3,513310,644);g=dLb(dLb(dLb(dLb(c,513427)|0,513828)|0,513482)|0,513504)|0;h=dLb(dLb(dLb(g,f[37997]|0)|0,517126)|0,513518)|0;g=151964+((L5b(a)|0)<<2)|0;fLb(b+24|0,dLb(h,f[g>>2]|0)|0);jLb(c);d=f[a>>2]|0;e=+n[d>>2];u=b;return +e}function J5b(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0;b=u;u=u+32|0;c=b;if((L5b(a)|0)==8){d=f[a>>2]|0;e=f[d>>2]|0;u=b;return e|0}iLb(c,3,513310,634);g=dLb(dLb(dLb(dLb(c,513427)|0,513802)|0,513482)|0,513504)|0;h=dLb(dLb(dLb(g,f[37999]|0)|0,517126)|0,513518)|0;g=151964+((L5b(a)|0)<<2)|0;fLb(b+24|0,dLb(h,f[g>>2]|0)|0);jLb(c);d=f[a>>2]|0;e=f[d>>2]|0;u=b;return e|0}function K5b(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=u;u=u+32|0;c=b;if((L5b(a)|0)==10){d=f[a>>2]|0;u=b;return d|0}iLb(c,3,513310,655);e=dLb(dLb(dLb(dLb(c,513427)|0,513723)|0,513482)|0,513504)|0;g=dLb(dLb(dLb(e,f[38001]|0)|0,517126)|0,513518)|0;e=151964+((L5b(a)|0)<<2)|0;fLb(b+24|0,dLb(g,f[e>>2]|0)|0);jLb(c);d=f[a>>2]|0;u=b;return d|0}function L5b(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0;b=u;u=u+32|0;c=b;d=b+24|0;e=a+4|0;g=f[e>>2]|0;if(g|0?f[a>>2]|0:0){h=g;u=b;return h|0}iLb(c,3,513310,683);fLb(d,dLb(dLb(c,513427)|0,513752)|0);jLb(c);h=f[e>>2]|0;u=b;return h|0}function M5b(a){a=a|0;var b=0;f5b(a);if(f[a>>2]|0)return;b=f[a+8>>2]|0;if(!b)return;a=b+16|0;if(f[a>>2]|0?(N5b(b),(f[b+20>>2]|0)==0):0)fuc(f[a>>2]|0);fuc(b);return}function N5b(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;c=a+4|0;if(!(f[c>>2]|0)){d=0;f[a>>2]=0;e=a+12|0;f[e>>2]=d;return}g=a+16|0;h=a+20|0;i=0;while(1){j=f[g>>2]|0;k=j+(i<<2)|0;l=f[k>>2]|0;a:do if(l){if((l|0)!=(f[j+((i^1)<<2)>>2]|0)){f[k>>2]=0;m=l;while(1){n=m;m=f[m+24>>2]|0;if((f[n+8>>2]|0)==9?(o=f[n>>2]|0,o|0):0){if((b[o+11>>0]|0)<0)fuc(f[o>>2]|0);fuc(o)}if(!(f[h>>2]|0))fuc(n);if(!m){p=i;break a}}}if((l|0)==(f[j+((i^1)<<2)>>2]|0)){m=i+1|0;f[j+(m<<2)>>2]=0;f[(f[g>>2]|0)+(i<<2)>>2]=0;n=l+12|0;o=l+4|0;q=l+8|0;r=l+4|0;s=f[l>>2]|0;do{t=s;u=f[t+16>>2]|0;v=s;w=f[v+4>>2]|0;if(!w){x=v+8|0;y=f[x>>2]|0;if((f[y>>2]|0)==(v|0))z=y;else{y=x;do{x=f[y>>2]|0;y=x+8|0;A=f[y>>2]|0}while((f[A>>2]|0)!=(x|0));z=A}}else{y=w;while(1){A=f[y>>2]|0;if(!A)break;else y=A}z=y}w=f[t+4>>2]|0;if(!w){A=t+8|0;x=f[A>>2]|0;if((f[x>>2]|0)==(v|0))B=x;else{x=A;do{A=f[x>>2]|0;x=A+8|0;C=f[x>>2]|0}while((f[C>>2]|0)!=(A|0));B=C}}else{x=w;while(1){y=f[x>>2]|0;if(!y)break;else x=y}B=x}if((f[l>>2]|0)==(t|0))f[l>>2]=B;f[n>>2]=(f[n>>2]|0)+-1;sGa(f[o>>2]|0,v);if(!(f[q>>2]|0))fuc(s);s=z;if((f[u+8>>2]|0)==9?(w=f[u>>2]|0,w|0):0){if((b[w+11>>0]|0)<0)fuc(f[w>>2]|0);fuc(w)}if(!(f[h>>2]|0))fuc(u)}while((z|0)!=(r|0));s=f[h>>2]|0;u5b(l,f[r>>2]|0);if(!s){fuc(l);p=m}else p=m}else p=i}else p=i;while(0);i=p+1|0;l=f[c>>2]|0;if(i>>>0>=l>>>0){d=l;break}}f[a>>2]=0;e=a+12|0;f[e>>2]=d;return}function O5b(a){a=a|0;var b=0,c=0,d=0,e=0;b=a+16|0;if(f[b>>2]|0){c=a+8|0;d=f[c>>2]|0;return d|0}e=a+12|0;WKb(e);if(!(f[b>>2]|0)){bi[f[(f[a>>2]|0)+40>>2]&2047](a);f[b>>2]=2}XKb(e);c=a+8|0;d=f[c>>2]|0;return d|0}function P5b(a){a=a|0;var b=0,c=0,d=0,e=0;b=a+16|0;if(f[b>>2]|0){f[b>>2]=1;c=a+8|0;d=f[c>>2]|0;return d|0}e=a+12|0;WKb(e);if(!(f[b>>2]|0)){bi[f[(f[a>>2]|0)+40>>2]&2047](a);f[b>>2]=2}XKb(e);f[b>>2]=1;c=a+8|0;d=f[c>>2]|0;return d|0}function Q5b(a){a=a|0;var b=0,c=0;b=a+12|0;WKb(b);c=di[f[(f[a>>2]|0)+36>>2]&1023](a)|0;XKb(b);return c|0}function R5b(a){a=a|0;return (f[a+16>>2]|0)!=1|0}function S5b(a){a=a|0;f[a+16>>2]=0;return}function T5b(a){a=a|0;var b=0,c=0;b=a+16|0;if((f[b>>2]|0)!=1)return;c=a+12|0;WKb(c);if((f[b>>2]|0)==1){bi[f[(f[a>>2]|0)+44>>2]&2047](a);f[b>>2]=2}XKb(c);return}function U5b(a,b){a=a|0;b=b|0;var c=0;f[a>>2]=157748;f[a+4>>2]=0;f[a+8>>2]=0;kLb(a+12|0);f[a+16>>2]=0;f[a>>2]=157820;c=a+20|0;f[c>>2]=0;f[a+24>>2]=0;V5b(c);f[a+32>>2]=b;return}function V5b(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;b=f[a>>2]|0;c=b;if(!b){d=cuc(24)|0;f[d>>2]=0;f[d+8>>2]=d;e=d+16|0;f[e>>2]=0;f[d+20>>2]=c;g=cuc(32)|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;f[g+16>>2]=0;f[g+20>>2]=0;f[g+24>>2]=0;f[g+28>>2]=0;h=g;i=d;j=e;f[j>>2]=h;k=i+12|0;f[k>>2]=8;l=i+4|0;f[l>>2]=8;m=a+8|0;f[m>>2]=i;return}e=b+64|0;if(f[e>>2]|0)HIb(b,24696,24);d=GIb(b,24,2009)|0;f[d>>2]=0;f[d+8>>2]=d;g=d+16|0;f[g>>2]=0;f[d+20>>2]=c;if(f[e>>2]|0)HIb(b,27016,32);e=FIb(b,32)|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;f[e+16>>2]=0;f[e+20>>2]=0;f[e+24>>2]=0;f[e+28>>2]=0;h=e;i=d;j=g;f[j>>2]=h;k=i+12|0;f[k>>2]=8;l=i+4|0;f[l>>2]=8;m=a+8|0;f[m>>2]=i;return}function W5b(a){a=a|0;var b=0;b=a+16|0;if(!(f[b>>2]|0))return;N5b(a);if(f[a+20>>2]|0)return;fuc(f[b>>2]|0);return}function X5b(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+16|0;d=c;yh[f[(f[b>>2]|0)+96>>2]&2047](d,b);ouc(a,f[(f[d>>2]|0)+4>>2]|0);u=c;return}function Y5b(a){a=a|0;z9b(a);return}function Z5b(a){a=a|0;return B9b(a)|0}function _5b(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;d=u;u=u+64|0;e=d+16|0;g=d;f[g>>2]=0;h=g+4|0;f[h>>2]=0;f[g+8>>2]=0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;D9b(c,e,g);if((b[e+11>>0]|0)<0)fuc(f[e>>2]|0);f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;c=f[g>>2]|0;i=f[h>>2]|0;if((c|0)==(i|0))j=c;else{k=e+4|0;l=c;do{if((l|0)!=(c|0))Duc(a,531032)|0;m=b[l+11>>0]|0;n=m<<24>>24<0;f[e>>2]=n?f[l>>2]|0:l;f[k>>2]=n?f[l+4>>2]|0:m&255;jec(a,e);l=l+12|0}while((l|0)!=(i|0));j=f[g>>2]|0}if(!j){u=d;return}i=f[h>>2]|0;if((i|0)==(j|0))o=j;else{l=i;while(1){i=l+-12|0;f[h>>2]=i;if((b[i+11>>0]|0)<0){fuc(f[i>>2]|0);p=f[h>>2]|0}else p=i;if((p|0)==(j|0))break;else l=p}o=f[g>>2]|0}fuc(o);u=d;return}function $5b(a,b){a=a|0;b=b|0;yh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function a6b(a,b){a=a|0;b=b|0;return Ebc(b,a)|0}function b6b(a){a=a|0;var b=0;b=Ybc(a)|0;yh[f[(f[a>>2]|0)+88>>2]&2047](a,b);return b|0}function c6b(a,b){a=a|0;b=b|0;var c=0;c=di[f[(f[a>>2]|0)+68>>2]&1023](a)|0;if(!c){Ibc(a,di[f[(f[a>>2]|0)+60>>2]&1023](a)|0,b);return}else{MIb(a,(f[c+4>>2]|0)+20|0,(f[c>>2]|0)+-1|0,b);return}}function d6b(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0;c=u;u=u+48|0;d=c+24|0;e=c;yh[f[(f[a>>2]|0)+96>>2]&2047](d,a);g=f[d>>2]|0;yh[f[(f[b>>2]|0)+96>>2]&2047](d,b);if((f[d>>2]|0)==(g|0)){y9b(b,a);u=c;return}iLb(e,3,514279,80);h=dLb(dLb(e,514471)|0,514596)|0;i=dLb(eLb(h,f[g+4>>2]|0)|0,514587)|0;yh[f[(f[b>>2]|0)+96>>2]&2047](d,b);fLb(c+32|0,eLb(i,f[(f[d>>2]|0)+4>>2]|0)|0);jLb(e);y9b(b,a);u=c;return}function e6b(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0;c=u;u=u+48|0;d=c+24|0;e=c;yh[f[(f[a>>2]|0)+96>>2]&2047](d,a);g=f[d>>2]|0;yh[f[(f[b>>2]|0)+96>>2]&2047](d,b);if((f[d>>2]|0)==(g|0)){A9b(b,a);u=c;return}iLb(e,3,514279,67);h=dLb(dLb(e,514471)|0,514526)|0;i=dLb(eLb(h,f[g+4>>2]|0)|0,514587)|0;yh[f[(f[b>>2]|0)+96>>2]&2047](d,b);fLb(c+32|0,eLb(i,f[(f[d>>2]|0)+4>>2]|0)|0);jLb(e);A9b(b,a);u=c;return}function f6b(a){a=a|0;C9b(a);return}function g6b(a){a=a|0;var b=0,c=0,d=0;b=u;u=u+16|0;c=b;yh[f[(f[a>>2]|0)+96>>2]&2047](c,a);d=f[c+4>>2]|0;c=Th[f[(f[d>>2]|0)+16>>2]&1023](d,a)|0;u=b;return c|0}function h6b(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;b=u;u=u+48|0;c=b+24|0;d=b;iLb(d,3,514279,162);e=dLb(d,514368)|0;yh[f[(f[a>>2]|0)+96>>2]&2047](c,a);fLb(b+32|0,dLb(eLb(e,f[(f[c>>2]|0)+4>>2]|0)|0,514384)|0);jLb(d);u=b;return}function i6b(a){a=a|0;return}function j6b(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;a=u;u=u+80|0;d=a+48|0;e=a+24|0;g=a;h=a+64|0;if((f[c+32>>2]|0)!=3){iLb(e,3,514279,406);fLb(a+65|0,dLb(e,514682)|0);jLb(e)}e=c+24|0;i=f[e>>2]|0;if(i|0?(f[i>>2]|0)!=2:0){f[d>>2]=110384;f[d+4>>2]=1962;b[d+8>>0]=0;f[d+12>>2]=c;xLb(i,d)}i=c+28|0;do switch(f[151812+(f[i>>2]<<2)>>2]|0){case 1:{if((f[225028]|0)!=2){f[d>>2]=151624;f[d+4>>2]=165;b[d+8>>0]=0;xLb(900112,d);QKb(d)}j=f[225029]|0;u=a;return j|0}case 3:{if((f[225030]|0)!=2){f[d>>2]=151624;f[d+4>>2]=166;b[d+8>>0]=0;xLb(900120,d);QKb(d)}j=f[225031]|0;u=a;return j|0}case 2:{if((f[225032]|0)!=2){f[d>>2]=151624;f[d+4>>2]=167;b[d+8>>0]=0;xLb(900128,d);QKb(d)}j=f[225033]|0;u=a;return j|0}case 4:{if((f[225034]|0)!=2){f[d>>2]=151624;f[d+4>>2]=168;b[d+8>>0]=0;xLb(900136,d);QKb(d)}j=f[225035]|0;u=a;return j|0}case 6:{if((f[225036]|0)!=2){f[d>>2]=151624;f[d+4>>2]=169;b[d+8>>0]=0;xLb(900144,d);QKb(d)}j=f[225037]|0;u=a;return j|0}case 5:{if((f[225038]|0)!=2){f[d>>2]=151624;f[d+4>>2]=170;b[d+8>>0]=0;xLb(900152,d);QKb(d)}j=f[225039]|0;u=a;return j|0}case 7:{if((f[225040]|0)!=2){f[d>>2]=151624;f[d+4>>2]=171;b[d+8>>0]=0;xLb(900160,d);QKb(d)}j=f[225041]|0;u=a;return j|0}case 8:{if((f[225028]|0)!=2){f[d>>2]=151624;f[d+4>>2]=165;b[d+8>>0]=0;xLb(900112,d);QKb(d)}j=f[225029]|0;u=a;return j|0}case 9:{if((f[225042]|0)!=2){f[d>>2]=151624;f[d+4>>2]=172;b[d+8>>0]=0;xLb(900168,d);QKb(d)}j=f[225043]|0;u=a;return j|0}case 10:{k=f[e>>2]|0;if(k|0?(f[k>>2]|0)!=2:0){f[d>>2]=110384;f[d+4>>2]=1962;b[d+8>>0]=0;f[d+12>>2]=c;xLb(k,d)}if((f[i>>2]|0)==11?rQb(c)|0:0){if((f[225044]|0)!=2){f[d>>2]=151624;f[d+4>>2]=173;b[d+8>>0]=0;xLb(900176,d);QKb(d)}j=f[225045]|0;u=a;return j|0}if((f[225046]|0)!=2){f[d>>2]=151624;f[d+4>>2]=174;b[d+8>>0]=0;xLb(900184,d);QKb(d)}j=f[225047]|0;u=a;return j|0}default:{iLb(g,3,514279,434);fLb(h,dLb(g,514719)|0);jLb(g);j=0;u=a;return j|0}}while(0);return 0}function k6b(){var a=0;a=cuc(4)|0;f[a>>2]=158708;f[225029]=a;return}function l6b(){var a=0;a=cuc(4)|0;f[a>>2]=158620;f[225031]=a;return}function m6b(){var a=0;a=cuc(4)|0;f[a>>2]=158532;f[225033]=a;return}function n6b(){var a=0;a=cuc(4)|0;f[a>>2]=158444;f[225035]=a;return}function o6b(){var a=0;a=cuc(4)|0;f[a>>2]=158356;f[225037]=a;return}function p6b(){var a=0;a=cuc(4)|0;f[a>>2]=158268;f[225039]=a;return}function q6b(){var a=0;a=cuc(4)|0;f[a>>2]=158180;f[225041]=a;return}function r6b(){var a=0;a=cuc(4)|0;f[a>>2]=158088;f[225043]=a;return}function s6b(){var a=0;a=cuc(4)|0;f[a>>2]=157996;f[225045]=a;return}function t6b(){var a=0;a=cuc(4)|0;f[a>>2]=157904;f[225047]=a;return}function u6b(a){a=a|0;return}function v6b(a){a=a|0;fuc(a);return}function w6b(a,b){a=a|0;b=b|0;return (f[b+4>>2]|0)==0|0}function x6b(a,b){a=a|0;b=b|0;return f[b+4>>2]|0}function y6b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return li[f[(f[a>>2]|0)+80>>2]&511](a,f[(f[b+12>>2]|0)+4+(c<<2)>>2]|0,d)|0}function z6b(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;a=b+4|0;c=f[a>>2]|0;if((c|0)<=0)return;d=f[b+12>>2]|0;b=0;do{e=f[d+4+(b<<2)>>2]|0;b=b+1|0;bi[f[(f[e>>2]|0)+28>>2]&2047](e)}while((b|0)!=(c|0));f[a>>2]=0;return}function A6b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;Zh[f[(f[a>>2]|0)+76>>2]&511](a,d,f[(f[b+12>>2]|0)+4+(c<<2)>>2]|0);return}function B6b(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;d=Th[f[(f[a>>2]|0)+72>>2]&1023](a,c)|0;Zh[f[(f[a>>2]|0)+76>>2]&511](a,c,d);c=di[f[(f[d>>2]|0)+24>>2]&1023](d)|0;a=f[b>>2]|0;if(((a|0)==(c|0)?(c=b+12|0,e=f[c>>2]|0,e|0):0)?(g=f[e>>2]|0,(g|0)<(f[b+8>>2]|0)):0){h=b+4|0;i=f[h>>2]|0;if((i|0)<(g|0)){j=e+4+(i<<2)|0;f[e+4+(g<<2)>>2]=f[j>>2];k=j}else k=e+4+(i<<2)|0;f[k>>2]=d;f[h>>2]=i+1;i=f[c>>2]|0;f[i>>2]=(f[i>>2]|0)+1;return}A5b(b,d,di[f[(f[d>>2]|0)+20>>2]&1023](d)|0,a);return}function C6b(a,b){a=a|0;b=b|0;var c=0;a=f[b+12>>2]|0;c=b+4|0;b=(f[c>>2]|0)+-1|0;f[c>>2]=b;c=f[a+4+(b<<2)>>2]|0;bi[f[(f[c>>2]|0)+28>>2]&2047](c);return}function D6b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;a=f[b+12>>2]|0;b=a+4+(c<<2)|0;c=a+4+(d<<2)|0;d=f[b>>2]|0;f[b>>2]=f[c>>2];f[c>>2]=d;return}function E6b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0;e=u;u=u+32|0;g=e;if((a|0)!=(c|0)){iLb(g,3,514742,358);fLb(e+24|0,dLb(g,514842)|0);jLb(g)}if((b|0)==(d|0)){u=e;return}if((f[d>>2]|0)==(f[b>>2]|0)){g=b+12|0;c=d+12|0;a=f[g>>2]|0;f[g>>2]=f[c>>2];f[c>>2]=a;a=b+4|0;c=d+4|0;g=f[a>>2]|0;f[a>>2]=f[c>>2];f[c>>2]=g;g=b+8|0;c=d+8|0;a=f[g>>2]|0;f[g>>2]=f[c>>2];f[c>>2]=a;u=e;return}else{P6b(b,d);u=e;return}}function F6b(a,b){a=a|0;b=b|0;return 0}function G6b(a,b){a=a|0;b=b|0;return Th[f[(f[a>>2]|0)+12>>2]&1023](a,b)|0}function H6b(a,b,c){a=a|0;b=b|0;c=c|0;return c|0}function I6b(a,b,c){a=a|0;b=b|0;c=c|0;return c+1|0}function J6b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return (c|0)==(d|0)|0}function K6b(a,b,c){a=a|0;b=b|0;c=c|0;return}function L6b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return Cg[f[(f[a>>2]|0)+16>>2]&127](a,b,c,d)|0}function M6b(a,b){a=a|0;b=b|0;return di[f[(f[b>>2]|0)+12>>2]&1023](b)|0}function N6b(a,b,c){a=a|0;b=b|0;c=c|0;yh[f[(f[c>>2]|0)+72>>2]&2047](c,b);return}function O6b(a,b,c){a=a|0;b=b|0;c=c|0;return b|0}function P6b(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;c=u;u=u+16|0;d=c;f[d>>2]=f[b>>2];e=d+4|0;f[e>>2]=0;g=d+8|0;f[g>>2]=0;h=d+12|0;f[h>>2]=0;Q6b(d,a);i=a+4|0;j=f[i>>2]|0;if((j|0)>0){k=f[a+12>>2]|0;l=0;do{m=f[k+4+(l<<2)>>2]|0;l=l+1|0;bi[f[(f[m>>2]|0)+28>>2]&2047](m)}while((l|0)!=(j|0));f[i>>2]=0}Q6b(a,b);a=b+4|0;i=f[a>>2]|0;j=b+12|0;if((i|0)>0){l=f[j>>2]|0;k=0;do{m=f[l+4+(k<<2)>>2]|0;k=k+1|0;bi[f[(f[m>>2]|0)+28>>2]&2047](m)}while((k|0)!=(i|0));f[a>>2]=0;n=0}else n=i;i=f[j>>2]|0;f[j>>2]=f[h>>2];f[h>>2]=i;f[a>>2]=f[e>>2];f[e>>2]=n;n=b+8|0;b=f[n>>2]|0;f[n>>2]=f[g>>2];f[g>>2]=b;b=i;if(!((i|0)!=0&(f[d>>2]|0)==0)){u=c;return}d=i;i=f[b>>2]|0;if((i|0)>0){g=0;do{n=f[b+4+(g<<2)>>2]|0;if(n|0)bi[f[(f[n>>2]|0)+4>>2]&2047](n);g=g+1|0}while((g|0)!=(i|0));o=f[h>>2]|0}else o=d;fuc(o);u=c;return}function Q6b(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0;c=f[b+4>>2]|0;if(!c)return;d=f[b+12>>2]|0;b=KKb(a,c)|0;e=a+12|0;g=a+4|0;h=(f[f[e>>2]>>2]|0)-(f[g>>2]|0)|0;if((h|0)>0&(c|0)>0){i=0;do{m3b(f[d+4+(i<<2)>>2]|0,f[b+(i<<2)>>2]|0);i=i+1|0}while((i|0)<(h|0)&(i|0)<(c|0))}i=f[a>>2]|0;if((h|0)<(c|0)){a=h;do{h=f[d+4+(a<<2)>>2]|0;j=Th[f[(f[h>>2]|0)+16>>2]&1023](h,i)|0;m3b(h,j);f[b+(a<<2)>>2]=j;a=a+1|0}while((a|0)!=(c|0))}a=(f[g>>2]|0)+c|0;f[g>>2]=a;g=f[e>>2]|0;if((f[g>>2]|0)>=(a|0))return;f[g>>2]=a;return}function R6b(a){a=a|0;fuc(a);return}function S6b(a,b){a=a|0;b=b|0;a=(O5b(b)|0)+4|0;return (f[a>>2]|0)==0|0}function T6b(a,b){a=a|0;b=b|0;a=(O5b(b)|0)+4|0;return f[a>>2]|0}function U6b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0;e=f[(f[a>>2]|0)+80>>2]|0;g=(O5b(b)|0)+12|0;return li[e&511](a,f[(f[g>>2]|0)+4+(c<<2)>>2]|0,d)|0}function V6b(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;a=P5b(b)|0;b=a+4|0;c=f[b>>2]|0;if((c|0)<=0)return;d=f[a+12>>2]|0;a=0;do{e=f[d+4+(a<<2)>>2]|0;a=a+1|0;bi[f[(f[e>>2]|0)+28>>2]&2047](e)}while((a|0)!=(c|0));f[b>>2]=0;return}function W6b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0;e=f[(f[a>>2]|0)+76>>2]|0;g=(P5b(b)|0)+12|0;Zh[e&511](a,d,f[(f[g>>2]|0)+4+(c<<2)>>2]|0);return}function X6b(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;d=Th[f[(f[a>>2]|0)+72>>2]&1023](a,c)|0;Zh[f[(f[a>>2]|0)+76>>2]&511](a,c,d);c=P5b(b)|0;b=di[f[(f[d>>2]|0)+24>>2]&1023](d)|0;a=f[c>>2]|0;if(((a|0)==(b|0)?(b=c+12|0,e=f[b>>2]|0,e|0):0)?(g=f[e>>2]|0,(g|0)<(f[c+8>>2]|0)):0){h=c+4|0;i=f[h>>2]|0;if((i|0)<(g|0)){j=e+4+(i<<2)|0;f[e+4+(g<<2)>>2]=f[j>>2];k=j}else k=e+4+(i<<2)|0;f[k>>2]=d;f[h>>2]=i+1;i=f[b>>2]|0;f[i>>2]=(f[i>>2]|0)+1;return}A5b(c,d,di[f[(f[d>>2]|0)+20>>2]&1023](d)|0,a);return}function Y6b(a,b){a=a|0;b=b|0;var c=0;a=P5b(b)|0;b=f[a+12>>2]|0;c=a+4|0;a=(f[c>>2]|0)+-1|0;f[c>>2]=a;c=f[b+4+(a<<2)>>2]|0;bi[f[(f[c>>2]|0)+28>>2]&2047](c);return}function Z6b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;a=(P5b(b)|0)+12|0;b=f[a>>2]|0;a=b+4+(c<<2)|0;c=b+4+(d<<2)|0;d=f[a>>2]|0;f[a>>2]=f[c>>2];f[c>>2]=d;return}function _6b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0;e=u;u=u+32|0;g=e;if((a|0)!=(c|0)){iLb(g,3,514742,240);fLb(e+24|0,dLb(g,514842)|0);jLb(g)}g=P5b(b)|0;b=P5b(d)|0;if((g|0)==(b|0)){u=e;return}if((f[b>>2]|0)==(f[g>>2]|0)){d=g+12|0;c=b+12|0;a=f[d>>2]|0;f[d>>2]=f[c>>2];f[c>>2]=a;a=g+4|0;c=b+4|0;d=f[a>>2]|0;f[a>>2]=f[c>>2];f[c>>2]=d;d=g+8|0;c=b+8|0;a=f[d>>2]|0;f[d>>2]=f[c>>2];f[c>>2]=a;u=e;return}else{P6b(g,b);u=e;return}}function $6b(a,b){a=a|0;b=b|0;return di[f[(f[b>>2]|0)+12>>2]&1023](b)|0}function a7b(a,b,c){a=a|0;b=b|0;c=c|0;yh[f[(f[c>>2]|0)+72>>2]&2047](c,b);return}function b7b(a,b,c){a=a|0;b=b|0;c=c|0;return b|0}function c7b(a){a=a|0;fuc(a);return}function d7b(a,b){a=a|0;b=b|0;return (f[b+4>>2]|0)==0|0}function e7b(a,b){a=a|0;b=b|0;return f[b+4>>2]|0}function f7b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return li[f[(f[a>>2]|0)+80>>2]&511](a,f[(f[b+12>>2]|0)+4+(c<<2)>>2]|0,d)|0}function g7b(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;a=c+4|0;d=f[a>>2]|0;if((d|0)<=0)return;e=f[c+12>>2]|0;c=0;do{g=f[e+4+(c<<2)>>2]|0;c=c+1|0;h=g+11|0;if((b[h>>0]|0)<0){b[f[g>>2]>>0]=0;f[g+4>>2]=0}else{b[g>>0]=0;b[h>>0]=0}}while((c|0)!=(d|0));f[a>>2]=0;return}function h7b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;Zh[f[(f[a>>2]|0)+76>>2]&511](a,d,f[(f[b+12>>2]|0)+4+(c<<2)>>2]|0);return}function i7b(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;d=Th[f[(f[a>>2]|0)+72>>2]&1023](a,c)|0;Zh[f[(f[a>>2]|0)+76>>2]&511](a,c,d);c=f[b>>2]|0;if(((c|0)==0?(a=b+12|0,e=f[a>>2]|0,e|0):0)?(g=f[e>>2]|0,(g|0)<(f[b+8>>2]|0)):0){h=b+4|0;i=f[h>>2]|0;if((i|0)<(g|0)){j=e+4+(i<<2)|0;f[e+4+(g<<2)>>2]=f[j>>2];k=j}else k=e+4+(i<<2)|0;f[k>>2]=d;f[h>>2]=i+1;i=f[a>>2]|0;f[i>>2]=(f[i>>2]|0)+1;return}q7b(b,d,0,c);return}function j7b(a,c){a=a|0;c=c|0;var d=0;a=f[c+12>>2]|0;d=c+4|0;c=(f[d>>2]|0)+-1|0;f[d>>2]=c;d=f[a+4+(c<<2)>>2]|0;c=d+11|0;if((b[c>>0]|0)<0){b[f[d>>2]>>0]=0;f[d+4>>2]=0;return}else{b[d>>0]=0;b[c>>0]=0;return}}function k7b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;a=f[b+12>>2]|0;b=a+4+(c<<2)|0;c=a+4+(d<<2)|0;d=f[b>>2]|0;f[b>>2]=f[c>>2];f[c>>2]=d;return}function l7b(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;g=u;u=u+48|0;h=g+32|0;i=g+16|0;j=g;if((a|0)==(d|0)){if((c|0)==(e|0)){u=g;return}if((f[e>>2]|0)==(f[c>>2]|0)){k=c+12|0;l=e+12|0;m=f[k>>2]|0;f[k>>2]=f[l>>2];f[l>>2]=m;m=c+4|0;l=e+4|0;k=f[m>>2]|0;f[m>>2]=f[l>>2];f[l>>2]=k;k=c+8|0;l=e+8|0;m=f[k>>2]|0;f[k>>2]=f[l>>2];f[l>>2]=m;u=g;return}else{p7b(c,e);u=g;return}};f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;do if((i|0)!=(c|0))if(!(f[c>>2]|0)){m=c+12|0;f[i+12>>2]=f[m>>2];f[m>>2]=0;m=c+4|0;f[i+4>>2]=f[m>>2];f[m>>2]=0;m=c+8|0;f[i+8>>2]=f[m>>2];f[m>>2]=0;break}else{p7b(i,c);break}while(0);m=Th[f[(f[d>>2]|0)+12>>2]&1023](d,e)|0;if((m|0)>0){l=h+11|0;k=h+11|0;n=j+11|0;o=0;do{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;ouc(j,Cg[f[(f[d>>2]|0)+16>>2]&127](d,e,o,h)|0);if((b[l>>0]|0)<0)fuc(f[h>>2]|0);ouc(h,j);Zh[f[(f[a>>2]|0)+28>>2]&511](a,c,h);if((b[k>>0]|0)<0)fuc(f[h>>2]|0);if((b[n>>0]|0)<0)fuc(f[j>>2]|0);o=o+1|0}while((o|0)<(m|0))}m=Th[f[(f[a>>2]|0)+12>>2]&1023](a,c)|0;yh[f[(f[d>>2]|0)+20>>2]&2047](d,e);c=i+12|0;a=f[c>>2]|0;if((m|0)>0){o=h+11|0;j=0;n=a;while(1){ouc(h,f[n+4+(j<<2)>>2]|0);Zh[f[(f[d>>2]|0)+28>>2]&511](d,e,h);if((b[o>>0]|0)<0)fuc(f[h>>2]|0);j=j+1|0;k=f[c>>2]|0;if((j|0)>=(m|0)){p=k;break}else n=k}}else p=a;if(p|0?(f[i>>2]|0)==0:0){i=f[p>>2]|0;if((i|0)>0){a=0;do{n=f[p+4+(a<<2)>>2]|0;if(n|0){if((b[n+11>>0]|0)<0)fuc(f[n>>2]|0);fuc(n)}a=a+1|0}while((a|0)!=(i|0));q=f[c>>2]|0}else q=p;fuc(q)}u=g;return}function m7b(a,b){a=a|0;b=b|0;b=cuc(12)|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;return b|0}function n7b(a,b,c){a=a|0;b=b|0;c=c|0;ruc(c,b)|0;return}function o7b(a,b,c){a=a|0;b=b|0;c=c|0;return b|0}function p7b(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=u;u=u+16|0;e=d;f[e>>2]=f[c>>2];g=e+4|0;f[g>>2]=0;h=e+8|0;f[h>>2]=0;i=e+12|0;f[i>>2]=0;YOa(e,a);j=a+4|0;k=f[j>>2]|0;if((k|0)>0){l=f[a+12>>2]|0;m=0;do{n=f[l+4+(m<<2)>>2]|0;m=m+1|0;o=n+11|0;if((b[o>>0]|0)<0){b[f[n>>2]>>0]=0;f[n+4>>2]=0}else{b[n>>0]=0;b[o>>0]=0}}while((m|0)!=(k|0));f[j>>2]=0}YOa(a,c);a=c+4|0;j=f[a>>2]|0;k=c+12|0;if((j|0)>0){m=f[k>>2]|0;l=0;do{o=f[m+4+(l<<2)>>2]|0;l=l+1|0;n=o+11|0;if((b[n>>0]|0)<0){b[f[o>>2]>>0]=0;f[o+4>>2]=0}else{b[o>>0]=0;b[n>>0]=0}}while((l|0)!=(j|0));f[a>>2]=0;p=0}else p=j;j=f[k>>2]|0;f[k>>2]=f[i>>2];f[i>>2]=j;f[a>>2]=f[g>>2];f[g>>2]=p;p=c+8|0;c=f[p>>2]|0;f[p>>2]=f[h>>2];f[h>>2]=c;c=j;if(!((j|0)!=0&(f[e>>2]|0)==0)){u=d;return}e=j;j=f[c>>2]|0;if((j|0)>0){h=0;do{p=f[c+4+(h<<2)>>2]|0;if(p|0){if((b[p+11>>0]|0)<0)fuc(f[p>>2]|0);fuc(p)}h=h+1|0}while((h|0)!=(j|0));q=f[i>>2]|0}else q=e;fuc(q);u=d;return}function q7b(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0;if(!((d|0)==0&(e|0)!=0))if((e|0)!=(d|0)){if(!e){g=cuc(12)|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;h=g}else{if(f[e+64>>2]|0)HIb(e,9552,16);g=GIb(e,16,1964)|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;h=g}ruc(h,c)|0;if((c|0)==0|(d|0)!=0)i=h;else{if((b[c+11>>0]|0)<0)fuc(f[c>>2]|0);fuc(c);i=h}}else i=c;else{RGa(e,c);i=c}r7b(a,i);return}function r7b(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;d=a+12|0;e=f[d>>2]|0;g=f[a+8>>2]|0;h=a+4|0;do if((e|0)!=0?(i=f[h>>2]|0,(i|0)!=(g|0)):0){j=f[e>>2]|0;if((j|0)!=(g|0)){if((i|0)<(j|0)){f[e+4+(j<<2)>>2]=f[e+4+(i<<2)>>2];k=f[d>>2]|0;l=k;m=f[k>>2]|0}else{l=e;m=j}f[l>>2]=m+1;n=l;break}j=f[e+4+(i<<2)>>2]|0;if((j|0)==0|(f[a>>2]|0)!=0)n=e;else{if((b[j+11>>0]|0)<0)fuc(f[j>>2]|0);fuc(j);n=f[d>>2]|0}}else o=3;while(0);if((o|0)==3){LKb(a,g+1|0);g=f[d>>2]|0;f[g>>2]=(f[g>>2]|0)+1;n=g}g=f[h>>2]|0;f[h>>2]=g+1;f[n+4+(g<<2)>>2]=c;return}function s7b(a){a=a|0;fuc(a);return}function t7b(a,b){a=a|0;b=b|0;return (f[b>>2]|0)==0|0}function u7b(a,b){a=a|0;b=b|0;return f[b>>2]|0}function v7b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return li[f[(f[a>>2]|0)+76>>2]&511](a,(f[b+8>>2]|0)+4+c|0,d)|0}function w7b(a,b){a=a|0;b=b|0;f[b>>2]=0;return}function x7b(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0;g=(Th[f[(f[a>>2]|0)+72>>2]&1023](a,e)|0)&1;b[(f[c+8>>2]|0)+4+d>>0]=g;return}function y7b(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0;e=(Th[f[(f[a>>2]|0)+72>>2]&1023](a,d)|0)&1;d=f[c>>2]|0;if((d|0)==(f[c+4>>2]|0)){_Oa(c,d+1|0);g=f[c>>2]|0}else g=d;d=f[c+8>>2]|0;f[c>>2]=g+1;b[d+4+g>>0]=e;return}function z7b(a,b){a=a|0;b=b|0;f[b>>2]=(f[b>>2]|0)+-1;return}function A7b(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;a=f[c+8>>2]|0;c=a+4+d|0;d=a+4+e|0;e=b[c>>0]|0;b[c>>0]=b[d>>0]|0;b[d>>0]=e;return}function B7b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;e=u;u=u+32|0;f=e;if((a|0)==(c|0)){N3b(b,d);u=e;return}iLb(f,3,514742,287);fLb(e+24|0,dLb(f,514842)|0);jLb(f);N3b(b,d);u=e;return}function C7b(a,c){a=a|0;c=c|0;return (b[c>>0]|0)!=0|0}function D7b(a,b,c){a=a|0;b=b|0;c=c|0;return b|0}function E7b(a){a=a|0;fuc(a);return}function F7b(a,b){a=a|0;b=b|0;return (f[b>>2]|0)==0|0}function G7b(a,b){a=a|0;b=b|0;return f[b>>2]|0}function H7b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return li[f[(f[a>>2]|0)+76>>2]&511](a,(f[b+8>>2]|0)+8+(c<<3)|0,d)|0}function I7b(a,b){a=a|0;b=b|0;f[b>>2]=0;return}function J7b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0.0;e=+xg[f[(f[a>>2]|0)+72>>2]&31](a,d);p[(f[b+8>>2]|0)+8+(c<<3)>>3]=e;return}function K7b(a,b,c){a=a|0;b=b|0;c=c|0;var d=0.0,e=0;d=+xg[f[(f[a>>2]|0)+72>>2]&31](a,c);c=f[b>>2]|0;if((c|0)==(f[b+4>>2]|0)){oRa(b,c+1|0);e=f[b>>2]|0}else e=c;c=f[b+8>>2]|0;f[b>>2]=e+1;p[c+8+(e<<3)>>3]=d;return}function L7b(a,b){a=a|0;b=b|0;f[b>>2]=(f[b>>2]|0)+-1;return}function M7b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0.0;a=f[b+8>>2]|0;b=a+8+(c<<3)|0;c=a+8+(d<<3)|0;e=+p[b>>3];p[b>>3]=+p[c>>3];p[c>>3]=e;return}function N7b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;e=u;u=u+32|0;f=e;if((a|0)==(c|0)){M3b(b,d);u=e;return}iLb(f,3,514742,287);fLb(e+24|0,dLb(f,514842)|0);jLb(f);M3b(b,d);u=e;return}function O7b(a,b){a=a|0;b=b|0;return +(+p[b>>3])}function P7b(a,b,c){a=a|0;b=b|0;c=c|0;return b|0}function Q7b(a){a=a|0;fuc(a);return}function R7b(a,b){a=a|0;b=b|0;return (f[b>>2]|0)==0|0}function S7b(a,b){a=a|0;b=b|0;return f[b>>2]|0}function T7b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return li[f[(f[a>>2]|0)+76>>2]&511](a,(f[b+8>>2]|0)+4+(c<<2)|0,d)|0}function U7b(a,b){a=a|0;b=b|0;f[b>>2]=0;return}function V7b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0.0;e=+xg[f[(f[a>>2]|0)+72>>2]&31](a,d);n[(f[b+8>>2]|0)+4+(c<<2)>>2]=e;return}function W7b(a,b,c){a=a|0;b=b|0;c=c|0;var d=0.0,e=0;d=+xg[f[(f[a>>2]|0)+72>>2]&31](a,c);c=f[b>>2]|0;if((c|0)==(f[b+4>>2]|0)){REa(b,c+1|0);e=f[b>>2]|0}else e=c;c=f[b+8>>2]|0;f[b>>2]=e+1;n[c+4+(e<<2)>>2]=d;return}function X7b(a,b){a=a|0;b=b|0;f[b>>2]=(f[b>>2]|0)+-1;return}function Y7b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;a=f[b+8>>2]|0;b=a+4+(c<<2)|0;c=a+4+(d<<2)|0;d=f[b>>2]|0;f[b>>2]=f[c>>2];f[c>>2]=d;return}function Z7b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;e=u;u=u+32|0;f=e;if((a|0)==(c|0)){L3b(b,d);u=e;return}iLb(f,3,514742,287);fLb(e+24|0,dLb(f,514842)|0);jLb(f);L3b(b,d);u=e;return}function _7b(a,b){a=a|0;b=b|0;return +(+n[b>>2])}function $7b(a,b,c){a=a|0;b=b|0;c=c|0;return b|0}function a8b(a){a=a|0;fuc(a);return}function b8b(a,b){a=a|0;b=b|0;return (f[b>>2]|0)==0|0}function c8b(a,b){a=a|0;b=b|0;return f[b>>2]|0}function d8b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return li[f[(f[a>>2]|0)+76>>2]&511](a,(f[b+8>>2]|0)+8+(c<<3)|0,d)|0}function e8b(a,b){a=a|0;b=b|0;f[b>>2]=0;return}function f8b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;e=Th[f[(f[a>>2]|0)+72>>2]&1023](a,d)|0;d=(f[b+8>>2]|0)+8+(c<<3)|0;f[d>>2]=e;f[d+4>>2]=J;return}function g8b(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=Th[f[(f[a>>2]|0)+72>>2]&1023](a,c)|0;c=J;a=f[b>>2]|0;if((a|0)==(f[b+4>>2]|0)){eEb(b,a+1|0);e=f[b>>2]|0}else e=a;a=f[b+8>>2]|0;f[b>>2]=e+1;b=a+8+(e<<3)|0;f[b>>2]=d;f[b+4>>2]=c;return}function h8b(a,b){a=a|0;b=b|0;f[b>>2]=(f[b>>2]|0)+-1;return}function i8b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0;a=f[b+8>>2]|0;b=a+8+(c<<3)|0;c=a+8+(d<<3)|0;d=b;a=f[d>>2]|0;e=f[d+4>>2]|0;d=c;g=f[d+4>>2]|0;h=b;f[h>>2]=f[d>>2];f[h+4>>2]=g;g=c;f[g>>2]=a;f[g+4>>2]=e;return}function j8b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;e=u;u=u+32|0;f=e;if((a|0)==(c|0)){K3b(b,d);u=e;return}iLb(f,3,514742,287);fLb(e+24|0,dLb(f,514842)|0);jLb(f);K3b(b,d);u=e;return}function k8b(a,b){a=a|0;b=b|0;a=b;J=f[a+4>>2]|0;return f[a>>2]|0}function l8b(a,b,c){a=a|0;b=b|0;c=c|0;return b|0}function m8b(a){a=a|0;fuc(a);return}function n8b(a,b){a=a|0;b=b|0;return (f[b>>2]|0)==0|0}function o8b(a,b){a=a|0;b=b|0;return f[b>>2]|0}function p8b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return li[f[(f[a>>2]|0)+76>>2]&511](a,(f[b+8>>2]|0)+8+(c<<3)|0,d)|0}function q8b(a,b){a=a|0;b=b|0;f[b>>2]=0;return}function r8b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;e=Th[f[(f[a>>2]|0)+72>>2]&1023](a,d)|0;d=(f[b+8>>2]|0)+8+(c<<3)|0;f[d>>2]=e;f[d+4>>2]=J;return}function s8b(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=Th[f[(f[a>>2]|0)+72>>2]&1023](a,c)|0;c=J;a=f[b>>2]|0;if((a|0)==(f[b+4>>2]|0)){ZOa(b,a+1|0);e=f[b>>2]|0}else e=a;a=f[b+8>>2]|0;f[b>>2]=e+1;b=a+8+(e<<3)|0;f[b>>2]=d;f[b+4>>2]=c;return}function t8b(a,b){a=a|0;b=b|0;f[b>>2]=(f[b>>2]|0)+-1;return}function u8b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0;a=f[b+8>>2]|0;b=a+8+(c<<3)|0;c=a+8+(d<<3)|0;d=b;a=f[d>>2]|0;e=f[d+4>>2]|0;d=c;g=f[d+4>>2]|0;h=b;f[h>>2]=f[d>>2];f[h+4>>2]=g;g=c;f[g>>2]=a;f[g+4>>2]=e;return}function v8b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;e=u;u=u+32|0;f=e;if((a|0)==(c|0)){I3b(b,d);u=e;return}iLb(f,3,514742,287);fLb(e+24|0,dLb(f,514842)|0);jLb(f);I3b(b,d);u=e;return}function w8b(a,b){a=a|0;b=b|0;a=b;J=f[a+4>>2]|0;return f[a>>2]|0}function x8b(a,b,c){a=a|0;b=b|0;c=c|0;return b|0}function y8b(a){a=a|0;fuc(a);return}function z8b(a,b){a=a|0;b=b|0;return (f[b>>2]|0)==0|0}function A8b(a,b){a=a|0;b=b|0;return f[b>>2]|0}function B8b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return li[f[(f[a>>2]|0)+76>>2]&511](a,(f[b+8>>2]|0)+4+(c<<2)|0,d)|0}function C8b(a,b){a=a|0;b=b|0;f[b>>2]=0;return}function D8b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;e=Th[f[(f[a>>2]|0)+72>>2]&1023](a,d)|0;f[(f[b+8>>2]|0)+4+(c<<2)>>2]=e;return}function E8b(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=Th[f[(f[a>>2]|0)+72>>2]&1023](a,c)|0;c=f[b>>2]|0;if((c|0)==(f[b+4>>2]|0)){UEa(b,c+1|0);e=f[b>>2]|0}else e=c;c=f[b+8>>2]|0;f[b>>2]=e+1;f[c+4+(e<<2)>>2]=d;return}function F8b(a,b){a=a|0;b=b|0;f[b>>2]=(f[b>>2]|0)+-1;return}function G8b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;a=f[b+8>>2]|0;b=a+4+(c<<2)|0;c=a+4+(d<<2)|0;d=f[b>>2]|0;f[b>>2]=f[c>>2];f[c>>2]=d;return}function H8b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;e=u;u=u+32|0;f=e;if((a|0)==(c|0)){J3b(b,d);u=e;return}iLb(f,3,514742,287);fLb(e+24|0,dLb(f,514842)|0);jLb(f);J3b(b,d);u=e;return}function I8b(a,b){a=a|0;b=b|0;return f[b>>2]|0}function J8b(a,b,c){a=a|0;b=b|0;c=c|0;return b|0}function K8b(a){a=a|0;fuc(a);return}function L8b(a,b){a=a|0;b=b|0;return (f[b>>2]|0)==0|0}function M8b(a,b){a=a|0;b=b|0;return f[b>>2]|0}function N8b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return li[f[(f[a>>2]|0)+76>>2]&511](a,(f[b+8>>2]|0)+4+(c<<2)|0,d)|0}function O8b(a,b){a=a|0;b=b|0;f[b>>2]=0;return}function P8b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;e=Th[f[(f[a>>2]|0)+72>>2]&1023](a,d)|0;f[(f[b+8>>2]|0)+4+(c<<2)>>2]=e;return}function Q8b(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=Th[f[(f[a>>2]|0)+72>>2]&1023](a,c)|0;c=f[b>>2]|0;if((c|0)==(f[b+4>>2]|0)){NEa(b,c+1|0);e=f[b>>2]|0}else e=c;c=f[b+8>>2]|0;f[b>>2]=e+1;f[c+4+(e<<2)>>2]=d;return}function R8b(a,b){a=a|0;b=b|0;f[b>>2]=(f[b>>2]|0)+-1;return}function S8b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;a=f[b+8>>2]|0;b=a+4+(c<<2)|0;c=a+4+(d<<2)|0;d=f[b>>2]|0;f[b>>2]=f[c>>2];f[c>>2]=d;return}function T8b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;e=u;u=u+32|0;f=e;if((a|0)==(c|0)){H3b(b,d);u=e;return}iLb(f,3,514742,287);fLb(e+24|0,dLb(f,514842)|0);jLb(f);H3b(b,d);u=e;return}function U8b(a,b){a=a|0;b=b|0;return f[b>>2]|0}function V8b(a,b,c){a=a|0;b=b|0;c=c|0;return b|0}function W8b(a){a=a|0;return}function X8b(){$Kb(175);return}function Y8b(){var a=0;a=f[225029]|0;if(a|0)bi[f[(f[a>>2]|0)+4>>2]&2047](a);f[225029]=0;a=f[225031]|0;if(a|0)bi[f[(f[a>>2]|0)+4>>2]&2047](a);f[225031]=0;a=f[225033]|0;if(a|0)bi[f[(f[a>>2]|0)+4>>2]&2047](a);f[225033]=0;a=f[225035]|0;if(a|0)bi[f[(f[a>>2]|0)+4>>2]&2047](a);f[225035]=0;a=f[225037]|0;if(a|0)bi[f[(f[a>>2]|0)+4>>2]&2047](a);f[225037]=0;a=f[225039]|0;if(a|0)bi[f[(f[a>>2]|0)+4>>2]&2047](a);f[225039]=0;a=f[225041]|0;if(a|0)bi[f[(f[a>>2]|0)+4>>2]&2047](a);f[225041]=0;a=f[225043]|0;if(a|0)bi[f[(f[a>>2]|0)+4>>2]&2047](a);f[225043]=0;a=f[225047]|0;if(a|0)bi[f[(f[a>>2]|0)+4>>2]&2047](a);f[225047]=0;a=f[225045]|0;if(!a){f[225045]=0;return}bi[f[(f[a>>2]|0)+4>>2]&2047](a);f[225045]=0;return}function Z8b(a,c){a=a|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;D9b(a,e,c);if((b[e+11>>0]|0)>=0){u=d;return}fuc(f[e>>2]|0);u=d;return}function _8b(a,b,c){a=a|0;b=b|0;c=c|0;return Wf[f[(f[a>>2]|0)+324>>2]&127](a,b,c,1,-1,0)|0}function $8b(a,b,c){a=a|0;b=b|0;c=c|0;return Wf[f[(f[a>>2]|0)+324>>2]&127](a,b,c,2,-1,0)|0}function a9b(a,b,c){a=a|0;b=b|0;c=c|0;return Wf[f[(f[a>>2]|0)+324>>2]&127](a,b,c,3,-1,0)|0}function b9b(a,b,c){a=a|0;b=b|0;c=c|0;return Wf[f[(f[a>>2]|0)+324>>2]&127](a,b,c,4,-1,0)|0}function c9b(a,b,c){a=a|0;b=b|0;c=c|0;return Wf[f[(f[a>>2]|0)+324>>2]&127](a,b,c,6,-1,0)|0}function d9b(a,b,c){a=a|0;b=b|0;c=c|0;return Wf[f[(f[a>>2]|0)+324>>2]&127](a,b,c,5,-1,0)|0}function e9b(a,b,c){a=a|0;b=b|0;c=c|0;return Wf[f[(f[a>>2]|0)+324>>2]&127](a,b,c,7,-1,0)|0}function f9b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return Wf[f[(f[a>>2]|0)+324>>2]&127](a,b,c,9,0,0)|0}function g9b(){var a=0,c=0,d=0;a=u;u=u+16|0;c=a;if((f[225048]|0)==2){d=f[225049]|0;u=a;return d|0}f[c>>2]=151624;f[c+4>>2]=176;b[c+8>>0]=0;xLb(900192,c);QKb(c);d=f[225049]|0;u=a;return d|0}function h9b(){var a=0,b=0;a=cuc(48)|0;f[a>>2]=158796;b=a+4|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;n[a+20>>2]=1.0;kLb(a+24|0);b=a+28|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;n[a+44>>2]=1.0;f[225049]=a;$Kb(177);return}function i9b(){var a=0;a=f[225049]|0;if(!a)return;bi[f[(f[a>>2]|0)+4>>2]&2047](a);return}function j9b(a){a=a|0;var b=0,c=0;f[a>>2]=158796;b=f[a+36>>2]|0;if(b|0){c=b;do{b=c;c=f[c>>2]|0;fuc(b)}while((c|0)!=0)}c=a+28|0;b=f[c>>2]|0;f[c>>2]=0;if(b|0)fuc(b);lLb(a+24|0);b=f[a+12>>2]|0;if(b|0){c=b;do{b=c;c=f[c>>2]|0;fuc(b)}while((c|0)!=0)}c=a+4|0;a=f[c>>2]|0;f[c>>2]=0;if(!a)return;fuc(a);return}function k9b(a){a=a|0;var b=0,c=0;f[a>>2]=158796;b=f[a+36>>2]|0;if(b|0){c=b;do{b=c;c=f[c>>2]|0;fuc(b)}while((c|0)!=0)}c=a+28|0;b=f[c>>2]|0;f[c>>2]=0;if(b|0)fuc(b);lLb(a+24|0);b=f[a+12>>2]|0;if(b|0){c=b;do{b=c;c=f[c>>2]|0;fuc(b)}while((c|0)!=0)}c=a+4|0;b=f[c>>2]|0;f[c>>2]=0;if(!b){fuc(a);return}fuc(b);fuc(a);return}function l9b(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;d=u;u=u+64|0;e=d+48|0;g=d+24|0;h=d+53|0;i=d;j=d+52|0;k=c;l=a+24|0;WKb(l);m=a+28|0;n=a+32|0;o=f[n>>2]|0;a:do if(o){p=o+-1|0;q=(p&o|0)==0;if(!q)if(k>>>0<o>>>0)r=k;else r=(k>>>0)%(o>>>0)|0;else r=p&k;s=f[(f[m>>2]|0)+(r<<2)>>2]|0;if((s|0)!=0?(t=f[s>>2]|0,(t|0)!=0):0){b:do if(q){s=t;while(1){v=f[s+4>>2]|0;w=(v|0)==(k|0);if(!(w|(v&p|0)==(r|0))){x=0;break a}if(w?(f[s+8>>2]|0)==(c|0):0){y=s;break b}s=f[s>>2]|0;if(!s){x=0;break a}}}else{s=t;while(1){w=f[s+4>>2]|0;if((w|0)==(k|0)){if((f[s+8>>2]|0)==(c|0)){y=s;break b}}else{if(w>>>0<o>>>0)z=w;else z=(w>>>0)%(o>>>0)|0;if((z|0)!=(r|0)){x=0;break a}}s=f[s>>2]|0;if(!s){x=0;break a}}}while(0);x=f[y+12>>2]|0}else x=0}else x=0;while(0);XKb(l);if(x|0){A=x;u=d;return A|0}x=c+8|0;y=f[(f[x>>2]|0)+8>>2]|0;if((y|0)!=(aQb()|0)){A=0;u=d;return A|0}y=f[f[x>>2]>>2]|0;if((b[y+11>>0]|0)<0)B=f[y>>2]|0;else B=y;f[e>>2]=B;B=m9b(a+4|0,e)|0;if(B){e=f[B+12>>2]|0;if(e|0){WKb(l);B=f[n>>2]|0;c:do if(B){a=B+-1|0;y=(a&B|0)==0;if(!y)if(k>>>0<B>>>0)C=k;else C=(k>>>0)%(B>>>0)|0;else C=a&k;r=f[(f[m>>2]|0)+(C<<2)>>2]|0;if((r|0)!=0?(z=f[r>>2]|0,(z|0)!=0):0){d:do if(y){r=z;while(1){o=f[r+4>>2]|0;t=(o|0)==(k|0);if(!(t|(o&a|0)==(C|0))){D=48;break c}if(t?(f[r+8>>2]|0)==(c|0):0){E=r;break d}r=f[r>>2]|0;if(!r){D=48;break c}}}else{r=z;while(1){t=f[r+4>>2]|0;if((t|0)==(k|0)){if((f[r+8>>2]|0)==(c|0)){E=r;break d}}else{if(t>>>0<B>>>0)F=t;else F=(t>>>0)%(B>>>0)|0;if((F|0)!=(C|0)){D=48;break c}}r=f[r>>2]|0;if(!r){D=48;break c}}}while(0);z=f[E+12>>2]|0;if(z)G=z;else D=48}else D=48}else D=48;while(0);e:do if((D|0)==48){bi[e&2047](f[f[x>>2]>>2]|0);E=f[n>>2]|0;f:do if(E|0){C=E+-1|0;F=(C&E|0)==0;if(!F)if(k>>>0<E>>>0)H=k;else H=(k>>>0)%(E>>>0)|0;else H=C&k;B=f[(f[m>>2]|0)+(H<<2)>>2]|0;if(B|0?(z=f[B>>2]|0,z|0):0){g:do if(F){B=z;while(1){a=f[B+4>>2]|0;y=(a|0)==(k|0);if(!(y|(a&C|0)==(H|0)))break f;if(y?(f[B+8>>2]|0)==(c|0):0){I=B;break g}B=f[B>>2]|0;if(!B)break f}}else{B=z;while(1){y=f[B+4>>2]|0;if((y|0)==(k|0)){if((f[B+8>>2]|0)==(c|0)){I=B;break g}}else{if(y>>>0<E>>>0)J=y;else J=(y>>>0)%(E>>>0)|0;if((J|0)!=(H|0))break f}B=f[B>>2]|0;if(!B)break f}}while(0);z=f[I+12>>2]|0;if(z|0){G=z;break e}}}while(0);iLb(i,2,514279,361);E=dLb(dLb(i,516287)|0,516336)|0;fLb(j,eLb(E,f[c+4>>2]|0)|0);jLb(i);G=0}while(0);XKb(l);A=G;u=d;return A|0}}iLb(g,2,514279,344);G=dLb(g,516226)|0;fLb(h,eLb(G,f[f[x>>2]>>2]|0)|0);jLb(g);A=0;u=d;return A|0}function m9b(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;d=f[c>>2]|0;c=b[d>>0]|0;if(!(c<<24>>24))e=0;else{g=d;h=0;i=c;while(1){c=(h*5|0)+(i<<24>>24)|0;g=g+1|0;i=b[g>>0]|0;if(!(i<<24>>24)){e=c;break}else h=c}}h=f[a+4>>2]|0;if(!h){j=0;return j|0}i=h+-1|0;g=(i&h|0)==0;if(!g)if(e>>>0<h>>>0)k=e;else k=(e>>>0)%(h>>>0)|0;else k=i&e;c=f[(f[a>>2]|0)+(k<<2)>>2]|0;if(!c){j=0;return j|0}a=f[c>>2]|0;if(!a){j=0;return j|0}if(g){g=a;while(1){c=f[g+4>>2]|0;l=(c|0)==(e|0);if(!(l|(c&i|0)==(k|0))){j=0;m=22;break}if(l?(Mec(f[g+8>>2]|0,d)|0)==0:0){j=g;m=22;break}g=f[g>>2]|0;if(!g){j=0;m=22;break}}if((m|0)==22)return j|0}else n=a;while(1){a=f[n+4>>2]|0;g=(a|0)==(e|0);if(!g){if(a>>>0<h>>>0)o=a;else o=(a>>>0)%(h>>>0)|0;if((o|0)!=(k|0)){j=0;m=22;break}if(g)m=21}else m=21;if((m|0)==21?(m=0,(Mec(f[n+8>>2]|0,d)|0)==0):0){j=n;m=22;break}n=f[n>>2]|0;if(!n){j=0;m=22;break}}if((m|0)==22)return j|0;return 0}function n9b(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+48|0;e=d+24|0;g=d;if((f[225048]|0)!=2){f[e>>2]=151624;f[e+4>>2]=176;b[e+8>>0]=0;xLb(900192,e);QKb(e)}h=(f[225049]|0)+4|0;f[e>>2]=a;f[e+4>>2]=c;if(o9b(h,e)|0){u=d;return}iLb(g,3,514279,309);fLb(d+36|0,dLb(dLb(g,516407)|0,a)|0);jLb(g);u=d;return}function o9b(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0.0,u=0.0,v=0,w=0,x=0,y=0,z=0;d=f[c>>2]|0;e=b[d>>0]|0;if(!(e<<24>>24))g=0;else{h=d;i=0;j=e;while(1){e=(i*5|0)+(j<<24>>24)|0;h=h+1|0;j=b[h>>0]|0;if(!(j<<24>>24)){g=e;break}else i=e}}i=a+4|0;j=f[i>>2]|0;h=(j|0)==0;a:do if(!h){e=j+-1|0;k=(e&j|0)==0;if(!k)if(g>>>0<j>>>0)l=g;else l=(g>>>0)%(j>>>0)|0;else l=e&g;m=f[(f[a>>2]|0)+(l<<2)>>2]|0;if(!m)o=l;else{if(k){k=m;while(1){k=f[k>>2]|0;if(!k){o=l;break a}p=f[k+4>>2]|0;if(!((p|0)==(g|0)|(p&e|0)==(l|0))){o=l;break a}if(!(Mec(f[k+8>>2]|0,d)|0)){q=0;break}}return q|0}else r=m;while(1){r=f[r>>2]|0;if(!r){o=l;break a}k=f[r+4>>2]|0;if((k|0)!=(g|0)){if(k>>>0<j>>>0)s=k;else s=(k>>>0)%(j>>>0)|0;if((s|0)!=(l|0)){o=l;break a}}if(!(Mec(f[r+8>>2]|0,d)|0)){q=0;break}}return q|0}}else o=0;while(0);d=cuc(16)|0;r=c;c=f[r+4>>2]|0;l=d+8|0;f[l>>2]=f[r>>2];f[l+4>>2]=c;f[d+4>>2]=g;f[d>>2]=0;c=a+12|0;t=+(((f[c>>2]|0)+1|0)>>>0);u=+n[a+16>>2];do if(h|t>+(j>>>0)*u){l=(j>>>0<3|(j+-1&j|0)!=0)&1|j<<1;r=~~+X(+(t/u))>>>0;p9b(a,l>>>0<r>>>0?r:l);l=f[i>>2]|0;r=l+-1|0;if(!(r&l)){v=l;w=r&g;break}if(g>>>0<l>>>0){v=l;w=g}else{v=l;w=(g>>>0)%(l>>>0)|0}}else{v=j;w=o}while(0);o=(f[a>>2]|0)+(w<<2)|0;w=f[o>>2]|0;if(!w){j=a+8|0;f[d>>2]=f[j>>2];f[j>>2]=d;f[o>>2]=j;j=f[d>>2]|0;if(j|0){o=f[j+4>>2]|0;j=v+-1|0;if(j&v)if(o>>>0<v>>>0)x=o;else x=(o>>>0)%(v>>>0)|0;else x=o&j;y=(f[a>>2]|0)+(x<<2)|0;z=32}}else{f[d>>2]=f[w>>2];y=w;z=32}if((z|0)==32)f[y>>2]=d;f[c>>2]=(f[c>>2]|0)+1;q=1;return q|0}function p9b(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;if((b|0)!=1)if(!(b+-1&b))c=b;else c=Kic(b)|0;else c=2;b=f[a+4>>2]|0;if(c>>>0>b>>>0){q9b(a,c);return}if(c>>>0>=b>>>0)return;d=~~+X(+(+((f[a+12>>2]|0)>>>0)/+n[a+16>>2]))>>>0;if(b>>>0>2&(b+-1&b|0)==0)e=1<<32-($(d+-1|0)|0);else e=Kic(d)|0;d=c>>>0<e>>>0?e:c;if(d>>>0>=b>>>0)return;q9b(a,d);return}function q9b(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;c=a+4|0;if(!b){d=f[a>>2]|0;f[a>>2]=0;if(d|0)fuc(d);f[c>>2]=0;return}if(b>>>0>1073741823){d=ze(8)|0;kuc(d,519086);f[d>>2]=167148;Hf(d|0,26888,1888)}d=cuc(b<<2)|0;e=f[a>>2]|0;f[a>>2]=d;if(e|0)fuc(e);f[c>>2]=b;c=0;do{f[(f[a>>2]|0)+(c<<2)>>2]=0;c=c+1|0}while((c|0)!=(b|0));c=a+8|0;e=f[c>>2]|0;if(!e)return;d=f[e+4>>2]|0;g=b+-1|0;h=(g&b|0)==0;if(!h)if(d>>>0<b>>>0)i=d;else i=(d>>>0)%(b>>>0)|0;else i=d&g;f[(f[a>>2]|0)+(i<<2)>>2]=c;c=f[e>>2]|0;if(!c)return;else{j=i;k=e;l=c;m=e}a:while(1){b:do if(h){e=k;c=l;i=m;while(1){d=c;while(1){n=f[d+4>>2]&g;if((n|0)==(j|0))break;o=(f[a>>2]|0)+(n<<2)|0;if(!(f[o>>2]|0)){p=d;q=i;r=o;s=n;break b}o=d+8|0;t=d;while(1){u=f[t>>2]|0;if(!u)break;if(!(Mec(f[o>>2]|0,f[u+8>>2]|0)|0))t=u;else break}f[i>>2]=u;f[t>>2]=f[f[(f[a>>2]|0)+(n<<2)>>2]>>2];f[f[(f[a>>2]|0)+(n<<2)>>2]>>2]=d;o=f[e>>2]|0;if(!o){v=37;break a}else d=o}c=f[d>>2]|0;if(!c){v=37;break a}else{e=d;i=d}}}else{i=k;e=l;c=m;while(1){o=e;while(1){w=f[o+4>>2]|0;if(w>>>0<b>>>0)x=w;else x=(w>>>0)%(b>>>0)|0;if((x|0)==(j|0))break;w=(f[a>>2]|0)+(x<<2)|0;if(!(f[w>>2]|0)){p=o;q=c;r=w;s=x;break b}w=o+8|0;y=o;while(1){z=f[y>>2]|0;if(!z)break;if(!(Mec(f[w>>2]|0,f[z+8>>2]|0)|0))y=z;else break}f[c>>2]=z;f[y>>2]=f[f[(f[a>>2]|0)+(x<<2)>>2]>>2];f[f[(f[a>>2]|0)+(x<<2)>>2]>>2]=o;w=f[i>>2]|0;if(!w){v=37;break a}else o=w}e=f[o>>2]|0;if(!e){v=37;break a}else{i=o;c=o}}}while(0);f[r>>2]=q;l=f[p>>2]|0;if(!l){v=37;break}else{j=s;k=p;m=p}}if((v|0)==37)return}function r9b(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+48|0;e=d+24|0;g=d;if((f[225048]|0)!=2){f[e>>2]=151624;f[e+4>>2]=176;b[e+8>>0]=0;xLb(900192,e);QKb(e)}h=(f[225049]|0)+28|0;f[e>>2]=a;f[e+4>>2]=c;if(s9b(h,e)|0){u=d;return}iLb(g,2,514279,324);e=dLb(g,516436)|0;fLb(d+36|0,eLb(e,f[a+4>>2]|0)|0);jLb(g);u=d;return}function s9b(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0.0,t=0.0,u=0,v=0,w=0,x=0,y=0;c=f[b>>2]|0;d=a+4|0;e=f[d>>2]|0;g=(e|0)==0;h=c;a:do if(!g){i=e+-1|0;j=(i&e|0)==0;if(!j)if(c>>>0<e>>>0)k=c;else k=(c>>>0)%(e>>>0)|0;else k=i&c;l=f[(f[a>>2]|0)+(k<<2)>>2]|0;if(!l)m=k;else{if(j){j=l;while(1){j=f[j>>2]|0;if(!j){m=k;break a}o=f[j+4>>2]|0;if(!((o|0)==(c|0)|(o&i|0)==(k|0))){m=k;break a}if((f[j+8>>2]|0)==(h|0)){p=0;break}}return p|0}else q=l;while(1){q=f[q>>2]|0;if(!q){m=k;break a}j=f[q+4>>2]|0;if((j|0)!=(c|0)){if(j>>>0<e>>>0)r=j;else r=(j>>>0)%(e>>>0)|0;if((r|0)!=(k|0)){m=k;break a}}if((f[q+8>>2]|0)==(h|0)){p=0;break}}return p|0}}else m=0;while(0);h=cuc(16)|0;q=b;b=f[q+4>>2]|0;k=h+8|0;f[k>>2]=f[q>>2];f[k+4>>2]=b;f[h+4>>2]=c;f[h>>2]=0;b=a+12|0;s=+(((f[b>>2]|0)+1|0)>>>0);t=+n[a+16>>2];do if(g|s>+(e>>>0)*t){k=(e>>>0<3|(e+-1&e|0)!=0)&1|e<<1;q=~~+X(+(s/t))>>>0;t9b(a,k>>>0<q>>>0?q:k);k=f[d>>2]|0;q=k+-1|0;if(!(q&k)){u=k;v=q&c;break}if(c>>>0<k>>>0){u=k;v=c}else{u=k;v=(c>>>0)%(k>>>0)|0}}else{u=e;v=m}while(0);m=(f[a>>2]|0)+(v<<2)|0;v=f[m>>2]|0;if(!v){e=a+8|0;f[h>>2]=f[e>>2];f[e>>2]=h;f[m>>2]=e;e=f[h>>2]|0;if(e|0){m=f[e+4>>2]|0;e=u+-1|0;if(e&u)if(m>>>0<u>>>0)w=m;else w=(m>>>0)%(u>>>0)|0;else w=m&e;x=(f[a>>2]|0)+(w<<2)|0;y=30}}else{f[h>>2]=f[v>>2];x=v;y=30}if((y|0)==30)f[x>>2]=h;f[b>>2]=(f[b>>2]|0)+1;p=1;return p|0}function t9b(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;if((b|0)!=1)if(!(b+-1&b))c=b;else c=Kic(b)|0;else c=2;b=f[a+4>>2]|0;if(c>>>0>b>>>0){u9b(a,c);return}if(c>>>0>=b>>>0)return;d=~~+X(+(+((f[a+12>>2]|0)>>>0)/+n[a+16>>2]))>>>0;if(b>>>0>2&(b+-1&b|0)==0)e=1<<32-($(d+-1|0)|0);else e=Kic(d)|0;d=c>>>0<e>>>0?e:c;if(d>>>0>=b>>>0)return;u9b(a,d);return}function u9b(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;c=a+4|0;if(!b){d=f[a>>2]|0;f[a>>2]=0;if(d|0)fuc(d);f[c>>2]=0;return}if(b>>>0>1073741823){d=ze(8)|0;kuc(d,519086);f[d>>2]=167148;Hf(d|0,26888,1888)}d=cuc(b<<2)|0;e=f[a>>2]|0;f[a>>2]=d;if(e|0)fuc(e);f[c>>2]=b;c=0;do{f[(f[a>>2]|0)+(c<<2)>>2]=0;c=c+1|0}while((c|0)!=(b|0));c=a+8|0;e=f[c>>2]|0;if(!e)return;d=f[e+4>>2]|0;g=b+-1|0;h=(g&b|0)==0;if(!h)if(d>>>0<b>>>0)i=d;else i=(d>>>0)%(b>>>0)|0;else i=d&g;f[(f[a>>2]|0)+(i<<2)>>2]=c;c=f[e>>2]|0;if(!c)return;else{j=i;k=e;l=c;m=e}a:while(1){b:do if(h){e=k;c=l;i=m;while(1){d=c;while(1){n=f[d+4>>2]&g;if((n|0)==(j|0))break;o=(f[a>>2]|0)+(n<<2)|0;if(!(f[o>>2]|0)){p=d;q=i;r=o;s=n;break b}o=d+8|0;t=d;while(1){u=f[t>>2]|0;if(!u)break;if((f[o>>2]|0)==(f[u+8>>2]|0))t=u;else break}f[i>>2]=u;f[t>>2]=f[f[(f[a>>2]|0)+(n<<2)>>2]>>2];f[f[(f[a>>2]|0)+(n<<2)>>2]>>2]=d;o=f[e>>2]|0;if(!o){v=37;break a}else d=o}c=f[d>>2]|0;if(!c){v=37;break a}else{e=d;i=d}}}else{i=k;e=l;c=m;while(1){o=e;while(1){w=f[o+4>>2]|0;if(w>>>0<b>>>0)x=w;else x=(w>>>0)%(b>>>0)|0;if((x|0)==(j|0))break;w=(f[a>>2]|0)+(x<<2)|0;if(!(f[w>>2]|0)){p=o;q=c;r=w;s=x;break b}w=o+8|0;y=o;while(1){z=f[y>>2]|0;if(!z)break;if((f[w>>2]|0)==(f[z+8>>2]|0))y=z;else break}f[c>>2]=z;f[y>>2]=f[f[(f[a>>2]|0)+(x<<2)>>2]>>2];f[f[(f[a>>2]|0)+(x<<2)>>2]>>2]=o;w=f[i>>2]|0;if(!w){v=37;break a}else o=w}e=f[o>>2]|0;if(!e){v=37;break a}else{i=o;c=o}}}while(0);f[r>>2]=q;l=f[p>>2]|0;if(!l){v=37;break}else{j=s;k=p;m=p}}if((v|0)==37)return}function v9b(a,b){a=a|0;b=b|0;return Th[f[(f[a>>2]|0)+16>>2]&1023](a,b)|0}function w9b(a){a=a|0;return di[f[(f[a>>2]|0)+20>>2]&1023](a)|0}function x9b(a){a=a|0;return di[f[(f[a>>2]|0)+24>>2]&1023](a)|0}function y9b(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;z9b(b);A9b(a,b);return}function z9b(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0;b=u;u=u+16|0;c=b;yh[f[(f[a>>2]|0)+96>>2]&2047](c,a);d=f[c+4>>2]|0;f[c>>2]=0;e=c+4|0;f[e>>2]=0;f[c+8>>2]=0;Zh[f[(f[d>>2]|0)+64>>2]&511](d,a,c);g=f[c>>2]|0;if((f[e>>2]|0)!=(g|0)){h=0;i=g;do{Zh[f[(f[d>>2]|0)+28>>2]&511](d,a,f[i+(h<<2)>>2]|0);h=h+1|0;i=f[c>>2]|0}while(h>>>0<(f[e>>2]|0)-i>>2>>>0)}i=Th[f[(f[d>>2]|0)+12>>2]&1023](d,a)|0;if(f[i>>2]|0)ebc(i);i=f[c>>2]|0;if(!i){u=b;return}c=f[e>>2]|0;if((c|0)!=(i|0))f[e>>2]=c+(~((c+-4-i|0)>>>2)<<2);fuc(i);u=b;return}
function Hla(a,b,c,e,f,g,i){a=a|0;b=b|0;c=c|0;e=e|0;f=f|0;g=g|0;i=i|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;switch(g|0){case 1:{if(!i)k=d[c+4>>1]|0;else{e=j[c>>1]|0;l=(j[c+2>>1]|0)+e|0;m=e>>>0>(l&65535)>>>0?65534:l<<1&65534;l=m+(j[c+4>>1]|0)|0;k=m>>>0>(l&65535)>>>0?-1:l&65535}if((b|0)<=0)return;l=k&65535;k=0;do{m=Y(h[a+k>>0]|0,l)|0;d[f+(k<<1)>>1]=m>>>0<65535?m:65535;k=k+1|0}while((k|0)!=(b|0));return}case 2:{if(!i){if((b|0)<=0)return;k=c+4|0;l=c+2|0;m=0;do{e=a+m|0;n=Y(h[e>>0]|0,j[k>>1]|0)|0;o=n>>>0<65535?n:65535;n=m+b|0;p=a+n|0;q=Y(h[p>>0]|0,j[l>>1]|0)|0;r=(q>>>0<65535?q:65535)+o|0;d[f+(m<<1)>>1]=o>>>0>(r&65535)>>>0?-1:r&65535;r=Y(h[e>>0]|0,j[l>>1]|0)|0;e=r>>>0<65535?r:65535;r=Y(h[p>>0]|0,j[k>>1]|0)|0;p=(r>>>0<65535?r:65535)+e|0;d[f+(n<<1)>>1]=e>>>0>(p&65535)>>>0?-1:p&65535;m=m+1|0}while((m|0)!=(b|0));return}else{m=Y(LI(-2,2,i)|0,b)|0;k=Y(LI(-1,2,i)|0,b)|0;l=Y(LI(2,2,i)|0,b)|0;p=Y(LI(3,2,i)|0,b)|0;if((b|0)<=0)return;e=c+2|0;n=c+4|0;r=0;do{o=a+(r+k)|0;q=r+b|0;s=a+q|0;t=Y((h[s>>0]|0)+(h[o>>0]|0)|0,j[e>>1]|0)|0;u=a+r|0;v=(Y(h[u>>0]|0,j[n>>1]|0)|0)+t|0;t=a+(r+l)|0;w=v+(Y((h[a+(r+m)>>0]|0)+(h[t>>0]|0)|0,j[c>>1]|0)|0)&65535;d[f+(r<<1)>>1]=w;w=Y((h[a+(r+p)>>0]|0)+(h[o>>0]|0)|0,j[c>>1]|0)|0;o=(Y((h[t>>0]|0)+(h[u>>0]|0)|0,j[e>>1]|0)|0)+w|0;w=o+(Y(h[s>>0]|0,j[n>>1]|0)|0)&65535;d[f+(q<<1)>>1]=w;r=r+1|0}while((r|0)!=(b|0));return}break}case 3:{if(!i){if((b|0)<=0)return;r=c+4|0;n=c+2|0;e=b<<1;p=0;do{m=a+p|0;l=Y(h[m>>0]|0,j[r>>1]|0)|0;k=l>>>0<65535?l:65535;l=p+b|0;w=a+l|0;q=Y(h[w>>0]|0,j[n>>1]|0)|0;s=(q>>>0<65535?q:65535)+k&65535;q=p+e|0;o=a+q|0;u=Y(h[o>>0]|0,j[c>>1]|0)|0;t=k>>>0>s>>>0?65535:s;s=t+(u>>>0<65535?u:65535)|0;d[f+(p<<1)>>1]=t>>>0>(s&65535)>>>0?-1:s&65535;s=Y((h[o>>0]|0)+(h[m>>0]|0)|0,j[n>>1]|0)|0;t=(Y(h[w>>0]|0,j[r>>1]|0)|0)+s&65535;d[f+(l<<1)>>1]=t;t=Y(h[m>>0]|0,j[c>>1]|0)|0;m=t>>>0<65535?t:65535;t=Y(h[w>>0]|0,j[n>>1]|0)|0;w=(t>>>0<65535?t:65535)+m&65535;t=Y(h[o>>0]|0,j[r>>1]|0)|0;o=m>>>0>w>>>0?65535:w;w=o+(t>>>0<65535?t:65535)|0;d[f+(q<<1)>>1]=o>>>0>(w&65535)>>>0?-1:w&65535;p=p+1|0}while((p|0)!=(b|0));return}else{p=Y(LI(-2,3,i)|0,b)|0;r=Y(LI(-1,3,i)|0,b)|0;n=Y(LI(3,3,i)|0,b)|0;e=Y(LI(4,3,i)|0,b)|0;if((b|0)<=0)return;w=c+4|0;o=c+2|0;q=b<<1;t=0;do{m=a+t|0;l=Y(h[m>>0]|0,j[w>>1]|0)|0;s=t+b|0;u=a+s|0;k=a+(t+r)|0;v=(Y((h[k>>0]|0)+(h[u>>0]|0)|0,j[o>>1]|0)|0)+l|0;l=t+q|0;x=a+l|0;y=v+(Y((h[a+(t+p)>>0]|0)+(h[x>>0]|0)|0,j[c>>1]|0)|0)&65535;d[f+(t<<1)>>1]=y;y=Y(h[u>>0]|0,j[w>>1]|0)|0;v=(Y((h[x>>0]|0)+(h[m>>0]|0)|0,j[o>>1]|0)|0)+y|0;y=a+(t+n)|0;z=v+(Y((h[y>>0]|0)+(h[k>>0]|0)|0,j[c>>1]|0)|0)&65535;d[f+(s<<1)>>1]=z;z=Y((h[a+(t+e)>>0]|0)+(h[m>>0]|0)|0,j[c>>1]|0)|0;m=(Y((h[y>>0]|0)+(h[u>>0]|0)|0,j[o>>1]|0)|0)+z|0;z=m+(Y(h[x>>0]|0,j[w>>1]|0)|0)&65535;d[f+(l<<1)>>1]=z;t=t+1|0}while((t|0)!=(b|0));return}break}default:{t=(i|0)!=0;if(t){w=Y(LI(-2,g,i)|0,b)|0;o=Y(LI(-1,g,i)|0,b)|0;if((b|0)>0){e=c+4|0;n=c+2|0;p=b<<1;q=b*3|0;r=0;do{z=a+r|0;l=Y(h[z>>0]|0,j[e>>1]|0)|0;x=r+b|0;m=a+x|0;u=a+(r+o)|0;y=(Y((h[u>>0]|0)+(h[m>>0]|0)|0,j[n>>1]|0)|0)+l|0;l=a+(r+p)|0;s=y+(Y((h[a+(r+w)>>0]|0)+(h[l>>0]|0)|0,j[c>>1]|0)|0)&65535;d[f+(r<<1)>>1]=s;s=Y((h[l>>0]|0)+(h[z>>0]|0)|0,j[n>>1]|0)|0;z=(Y(h[m>>0]|0,j[e>>1]|0)|0)+s|0;s=z+(Y((h[u>>0]|0)+(h[a+(r+q)>>0]|0)|0,j[c>>1]|0)|0)&65535;d[f+(x<<1)>>1]=s;r=r+1|0}while((r|0)!=(b|0))}}else if((b|0)>0){r=c+4|0;q=c+2|0;e=b<<1;n=b*3|0;w=0;do{p=a+w|0;o=Y(h[p>>0]|0,j[r>>1]|0)|0;s=o>>>0<65535?o:65535;o=w+b|0;x=a+o|0;u=Y(h[x>>0]|0,j[q>>1]|0)|0;z=(u>>>0<65535?u:65535)+s&65535;u=a+(w+e)|0;m=Y(h[u>>0]|0,j[c>>1]|0)|0;l=s>>>0>z>>>0?65535:z;z=l+(m>>>0<65535?m:65535)|0;d[f+(w<<1)>>1]=l>>>0>(z&65535)>>>0?-1:z&65535;z=Y((h[u>>0]|0)+(h[p>>0]|0)|0,j[q>>1]|0)|0;p=(Y(h[x>>0]|0,j[r>>1]|0)|0)+z|0;z=p+(Y(h[a+(w+n)>>0]|0,j[c>>1]|0)|0)&65535;d[f+(o<<1)>>1]=z;w=w+1|0}while((w|0)!=(b|0))}w=b<<1;n=a+w|0;r=f+(w<<1)|0;q=g+-2|0;e=Y(q,b)|0;if((w|0)<(e|0)){z=Y(b,-2)|0;o=c+2|0;p=0-b|0;x=c+4|0;u=f+(Y((g<<1)+-4|0,b)|0)|0;f=n;l=r;m=w;while(1){s=Y((h[f+w>>0]|0)+(h[f+z>>0]|0)|0,j[c>>1]|0)|0;y=(Y((h[f+b>>0]|0)+(h[f+p>>0]|0)|0,j[o>>1]|0)|0)+s|0;s=y+(Y(h[f>>0]|0,j[x>>1]|0)|0)&65535;d[l>>1]=s;m=m+1|0;if((m|0)==(e|0))break;else{f=f+1|0;l=l+2|0}}A=a+e|0;B=u}else{A=n;B=r}if(t){t=Y((LI(g,g,i)|0)-q|0,b)|0;r=Y((LI(g+1|0,g,i)|0)-q|0,b)|0;if((b|0)<=0)return;q=c+2|0;i=c+4|0;g=0;do{n=A+(g+t)|0;u=Y((h[n>>0]|0)+(h[A+(g-w)>>0]|0)|0,j[c>>1]|0)|0;e=A+(g-b)|0;a=g+b|0;l=A+a|0;f=(Y((h[l>>0]|0)+(h[e>>0]|0)|0,j[q>>1]|0)|0)+u|0;u=A+g|0;m=f+(Y(h[u>>0]|0,j[i>>1]|0)|0)&65535;d[B+(g<<1)>>1]=m;m=Y((h[A+(g+r)>>0]|0)+(h[e>>0]|0)|0,j[c>>1]|0)|0;e=(Y((h[n>>0]|0)+(h[u>>0]|0)|0,j[q>>1]|0)|0)+m|0;m=e+(Y(h[l>>0]|0,j[i>>1]|0)|0)&65535;d[B+(a<<1)>>1]=m;g=g+1|0}while((g|0)!=(b|0));return}else{if((b|0)<=0)return;g=c+2|0;i=c+4|0;q=0;do{r=Y(h[A+(q-w)>>0]|0,j[c>>1]|0)|0;t=A+(q-b)|0;m=q+b|0;a=A+m|0;l=(Y((h[a>>0]|0)+(h[t>>0]|0)|0,j[g>>1]|0)|0)+r|0;r=A+q|0;e=l+(Y(h[r>>0]|0,j[i>>1]|0)|0)&65535;d[B+(q<<1)>>1]=e;e=Y(h[t>>0]|0,j[c>>1]|0)|0;t=e>>>0<65535?e:65535;e=Y(h[r>>0]|0,j[g>>1]|0)|0;r=(e>>>0<65535?e:65535)+t&65535;e=Y(h[a>>0]|0,j[i>>1]|0)|0;a=t>>>0>r>>>0?65535:r;r=a+(e>>>0<65535?e:65535)|0;d[B+(m<<1)>>1]=a>>>0>(r&65535)>>>0?-1:r&65535;q=q+1|0}while((q|0)!=(b|0));return}}}}function Ila(a,b,c,e,f,g,i){a=a|0;b=b|0;c=c|0;e=e|0;f=f|0;g=g|0;i=i|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;switch(g|0){case 1:{if(!i)k=d[c+4>>1]|0;else{e=j[c>>1]|0;l=(j[c+2>>1]|0)+e&65535;m=e>>>0>l>>>0?65535:l;l=m+(j[c+4>>1]|0)&65535;e=m>>>0>l>>>0?65535:l;l=e+(j[c+6>>1]|0)&65535;m=e>>>0>l>>>0?65535:l;l=m+(j[c+8>>1]|0)|0;k=m>>>0>(l&65535)>>>0?-1:l&65535}if((b|0)<=0)return;l=k&65535;k=0;do{m=Y(h[a+k>>0]|0,l)|0;d[f+(k<<1)>>1]=m>>>0<65535?m:65535;k=k+1|0}while((k|0)!=(b|0));return}case 2:{if(!i){if((b|0)<=0)return;k=c+4|0;l=c+6|0;m=c+2|0;e=0;do{n=a+e|0;o=Y(h[n>>0]|0,j[k>>1]|0)|0;p=o>>>0<65535?o:65535;o=e+b|0;q=a+o|0;r=Y(h[q>>0]|0,j[l>>1]|0)|0;s=(r>>>0<65535?r:65535)+p|0;d[f+(e<<1)>>1]=p>>>0>(s&65535)>>>0?-1:s&65535;s=Y(h[n>>0]|0,j[m>>1]|0)|0;n=s>>>0<65535?s:65535;s=Y(h[q>>0]|0,j[k>>1]|0)|0;q=(s>>>0<65535?s:65535)+n|0;d[f+(o<<1)>>1]=n>>>0>(q&65535)>>>0?-1:q&65535;e=e+1|0}while((e|0)!=(b|0));return}else{e=Y(LI(-2,2,i)|0,b)|0;k=Y(LI(-1,2,i)|0,b)|0;m=Y(LI(2,2,i)|0,b)|0;l=Y(LI(3,2,i)|0,b)|0;if((b|0)<=0)return;q=c+2|0;n=c+4|0;o=c+6|0;s=c+8|0;p=0;do{r=a+(p+k)|0;t=Y(h[r>>0]|0,j[q>>1]|0)|0;u=t>>>0<65535?t:65535;t=a+p|0;v=Y(h[t>>0]|0,j[n>>1]|0)|0;w=(v>>>0<65535?v:65535)+u&65535;v=p+b|0;x=a+v|0;y=Y(h[x>>0]|0,j[o>>1]|0)|0;z=u>>>0>w>>>0?65535:w;w=z+(y>>>0<65535?y:65535)&65535;y=a+(p+m)|0;u=Y(h[y>>0]|0,j[s>>1]|0)|0;A=z>>>0>w>>>0?65535:w;w=A+(u>>>0<65535?u:65535)&65535;u=Y(h[a+(p+e)>>0]|0,j[c>>1]|0)|0;z=A>>>0>w>>>0?65535:w;w=z+(u>>>0<65535?u:65535)|0;d[f+(p<<1)>>1]=z>>>0>(w&65535)>>>0?-1:w&65535;w=Y(h[r>>0]|0,j[c>>1]|0)|0;r=w>>>0<65535?w:65535;w=Y(h[t>>0]|0,j[q>>1]|0)|0;t=(w>>>0<65535?w:65535)+r&65535;w=Y(h[x>>0]|0,j[n>>1]|0)|0;x=r>>>0>t>>>0?65535:t;t=x+(w>>>0<65535?w:65535)&65535;w=Y(h[y>>0]|0,j[o>>1]|0)|0;y=x>>>0>t>>>0?65535:t;t=y+(w>>>0<65535?w:65535)&65535;w=Y(h[a+(p+l)>>0]|0,j[s>>1]|0)|0;x=y>>>0>t>>>0?65535:t;t=x+(w>>>0<65535?w:65535)|0;d[f+(v<<1)>>1]=x>>>0>(t&65535)>>>0?-1:t&65535;p=p+1|0}while((p|0)!=(b|0));return}break}case 3:{if(!i){if((b|0)<=0)return;p=c+4|0;s=c+6|0;l=b<<1;o=c+8|0;n=c+2|0;q=0;do{e=a+q|0;m=Y(h[e>>0]|0,j[p>>1]|0)|0;k=m>>>0<65535?m:65535;m=q+b|0;t=a+m|0;x=Y(h[t>>0]|0,j[s>>1]|0)|0;v=(x>>>0<65535?x:65535)+k&65535;x=q+l|0;w=a+x|0;y=Y(h[w>>0]|0,j[o>>1]|0)|0;r=k>>>0>v>>>0?65535:v;v=r+(y>>>0<65535?y:65535)|0;d[f+(q<<1)>>1]=r>>>0>(v&65535)>>>0?-1:v&65535;v=Y(h[e>>0]|0,j[n>>1]|0)|0;r=v>>>0<65535?v:65535;v=Y(h[t>>0]|0,j[p>>1]|0)|0;y=(v>>>0<65535?v:65535)+r&65535;v=Y(h[w>>0]|0,j[s>>1]|0)|0;k=r>>>0>y>>>0?65535:y;y=k+(v>>>0<65535?v:65535)|0;d[f+(m<<1)>>1]=k>>>0>(y&65535)>>>0?-1:y&65535;y=Y(h[e>>0]|0,j[c>>1]|0)|0;e=y>>>0<65535?y:65535;y=Y(h[t>>0]|0,j[n>>1]|0)|0;t=(y>>>0<65535?y:65535)+e&65535;y=Y(h[w>>0]|0,j[p>>1]|0)|0;w=e>>>0>t>>>0?65535:t;t=w+(y>>>0<65535?y:65535)|0;d[f+(x<<1)>>1]=w>>>0>(t&65535)>>>0?-1:t&65535;q=q+1|0}while((q|0)!=(b|0));return}else{q=Y(LI(-2,3,i)|0,b)|0;p=Y(LI(-1,3,i)|0,b)|0;n=Y(LI(3,3,i)|0,b)|0;s=Y(LI(4,3,i)|0,b)|0;if((b|0)<=0)return;o=c+4|0;l=c+6|0;t=b<<1;w=c+8|0;x=c+2|0;y=0;do{e=a+y|0;k=Y(h[e>>0]|0,j[o>>1]|0)|0;m=k>>>0<65535?k:65535;k=y+b|0;v=a+k|0;r=Y(h[v>>0]|0,j[l>>1]|0)|0;z=(r>>>0<65535?r:65535)+m&65535;r=y+t|0;u=a+r|0;A=Y(h[u>>0]|0,j[w>>1]|0)|0;B=m>>>0>z>>>0?65535:z;z=B+(A>>>0<65535?A:65535)&65535;A=Y(h[a+(y+q)>>0]|0,j[c>>1]|0)|0;m=B>>>0>z>>>0?65535:z;z=m+(A>>>0<65535?A:65535)&65535;A=a+(y+p)|0;B=Y(h[A>>0]|0,j[x>>1]|0)|0;C=m>>>0>z>>>0?65535:z;z=C+(B>>>0<65535?B:65535)|0;d[f+(y<<1)>>1]=C>>>0>(z&65535)>>>0?-1:z&65535;z=Y(h[e>>0]|0,j[x>>1]|0)|0;C=z>>>0<65535?z:65535;z=Y(h[v>>0]|0,j[o>>1]|0)|0;B=(z>>>0<65535?z:65535)+C&65535;z=Y(h[u>>0]|0,j[l>>1]|0)|0;m=C>>>0>B>>>0?65535:B;B=m+(z>>>0<65535?z:65535)&65535;z=Y(h[A>>0]|0,j[c>>1]|0)|0;A=m>>>0>B>>>0?65535:B;B=A+(z>>>0<65535?z:65535)&65535;z=a+(y+n)|0;m=Y(h[z>>0]|0,j[w>>1]|0)|0;C=A>>>0>B>>>0?65535:B;B=C+(m>>>0<65535?m:65535)|0;d[f+(k<<1)>>1]=C>>>0>(B&65535)>>>0?-1:B&65535;B=Y(h[e>>0]|0,j[c>>1]|0)|0;e=B>>>0<65535?B:65535;B=Y(h[v>>0]|0,j[x>>1]|0)|0;v=(B>>>0<65535?B:65535)+e&65535;B=Y(h[u>>0]|0,j[o>>1]|0)|0;u=e>>>0>v>>>0?65535:v;v=u+(B>>>0<65535?B:65535)&65535;B=Y(h[z>>0]|0,j[l>>1]|0)|0;z=u>>>0>v>>>0?65535:v;v=z+(B>>>0<65535?B:65535)&65535;B=Y(h[a+(y+s)>>0]|0,j[w>>1]|0)|0;u=z>>>0>v>>>0?65535:v;v=u+(B>>>0<65535?B:65535)|0;d[f+(r<<1)>>1]=u>>>0>(v&65535)>>>0?-1:v&65535;y=y+1|0}while((y|0)!=(b|0));return}break}default:{y=(b|0)>0;if(y){w=c+4|0;s=c+6|0;l=b<<1;o=c+8|0;x=c+2|0;n=b*3|0;p=0;do{q=a+p|0;t=Y(h[q>>0]|0,j[w>>1]|0)|0;v=t>>>0<65535?t:65535;t=p+b|0;u=a+t|0;r=Y(h[u>>0]|0,j[s>>1]|0)|0;B=(r>>>0<65535?r:65535)+v&65535;r=a+(p+l)|0;z=Y(h[r>>0]|0,j[o>>1]|0)|0;e=v>>>0>B>>>0?65535:B;B=e+(z>>>0<65535?z:65535)|0;d[f+(p<<1)>>1]=e>>>0>(B&65535)>>>0?-1:B&65535;B=Y(h[q>>0]|0,j[x>>1]|0)|0;q=B>>>0<65535?B:65535;B=Y(h[u>>0]|0,j[w>>1]|0)|0;u=(B>>>0<65535?B:65535)+q&65535;B=Y(h[r>>0]|0,j[s>>1]|0)|0;r=q>>>0>u>>>0?65535:u;u=r+(B>>>0<65535?B:65535)&65535;B=Y(h[a+(p+n)>>0]|0,j[o>>1]|0)|0;q=r>>>0>u>>>0?65535:u;u=q+(B>>>0<65535?B:65535)|0;d[f+(t<<1)>>1]=q>>>0>(u&65535)>>>0?-1:u&65535;p=p+1|0}while((p|0)!=(b|0))}p=(i|0)!=0;if(p?(o=Y(LI(-2,g,i)|0,b)|0,n=Y(LI(-1,g,i)|0,b)|0,y):0){s=c+2|0;w=0;do{x=Y(h[a+(w+o)>>0]|0,j[c>>1]|0)|0;l=f+(w<<1)|0;u=j[l>>1]|0;q=(x>>>0<65535?x:65535)+u&65535;x=a+(w+n)|0;t=Y(h[x>>0]|0,j[s>>1]|0)|0;B=u>>>0>q>>>0?65535:q;q=B+(t>>>0<65535?t:65535)|0;d[l>>1]=B>>>0>(q&65535)>>>0?-1:q&65535;q=Y(h[x>>0]|0,j[c>>1]|0)|0;x=f+(w+b<<1)|0;B=j[x>>1]|0;l=(q>>>0<65535?q:65535)+B|0;d[x>>1]=B>>>0>(l&65535)>>>0?-1:l&65535;w=w+1|0}while((w|0)!=(b|0))}w=b<<1;s=a+w|0;n=f+(w<<1)|0;o=g+-2|0;l=Y(o,b)|0;if((w|0)<(l|0)){B=Y(b,-2)|0;x=0-b|0;q=c+2|0;t=c+4|0;u=c+6|0;r=c+8|0;e=f+(Y((g<<1)+-4|0,b)|0)|0;f=s;z=n;v=w;while(1){C=Y(h[f+B>>0]|0,j[c>>1]|0)|0;k=C>>>0<65535?C:65535;C=Y(h[f+x>>0]|0,j[q>>1]|0)|0;m=(C>>>0<65535?C:65535)+k&65535;C=Y(h[f>>0]|0,j[t>>1]|0)|0;A=k>>>0>m>>>0?65535:m;m=A+(C>>>0<65535?C:65535)&65535;C=Y(h[f+b>>0]|0,j[u>>1]|0)|0;k=A>>>0>m>>>0?65535:m;m=k+(C>>>0<65535?C:65535)&65535;C=Y(h[f+w>>0]|0,j[r>>1]|0)|0;A=k>>>0>m>>>0?65535:m;m=A+(C>>>0<65535?C:65535)|0;d[z>>1]=A>>>0>(m&65535)>>>0?-1:m&65535;v=v+1|0;if((v|0)==(l|0))break;else{f=f+1|0;z=z+2|0}}D=a+l|0;E=e}else{D=s;E=n}if(y){n=c+2|0;s=c+4|0;e=c+6|0;l=0;do{a=Y(h[D+(l-w)>>0]|0,j[c>>1]|0)|0;z=a>>>0<65535?a:65535;a=D+(l-b)|0;f=Y(h[a>>0]|0,j[n>>1]|0)|0;v=(f>>>0<65535?f:65535)+z&65535;f=D+l|0;r=Y(h[f>>0]|0,j[s>>1]|0)|0;u=z>>>0>v>>>0?65535:v;v=u+(r>>>0<65535?r:65535)&65535;r=l+b|0;z=D+r|0;t=Y(h[z>>0]|0,j[e>>1]|0)|0;q=u>>>0>v>>>0?65535:v;v=q+(t>>>0<65535?t:65535)|0;d[E+(l<<1)>>1]=q>>>0>(v&65535)>>>0?-1:v&65535;v=Y(h[a>>0]|0,j[c>>1]|0)|0;a=v>>>0<65535?v:65535;v=Y(h[f>>0]|0,j[n>>1]|0)|0;f=(v>>>0<65535?v:65535)+a&65535;v=Y(h[z>>0]|0,j[s>>1]|0)|0;z=a>>>0>f>>>0?65535:f;f=z+(v>>>0<65535?v:65535)|0;d[E+(r<<1)>>1]=z>>>0>(f&65535)>>>0?-1:f&65535;l=l+1|0}while((l|0)!=(b|0))}if(!p)return;p=Y((LI(g,g,i)|0)-o|0,b)|0;l=Y((LI(g+1|0,g,i)|0)-o|0,b)|0;if(!y)return;y=c+8|0;o=c+6|0;c=0;do{i=D+(c+p)|0;g=Y(h[i>>0]|0,j[y>>1]|0)|0;s=E+(c<<1)|0;n=j[s>>1]|0;e=(g>>>0<65535?g:65535)+n|0;d[s>>1]=n>>>0>(e&65535)>>>0?-1:e&65535;e=Y(h[i>>0]|0,j[o>>1]|0)|0;i=E+(c+b<<1)|0;n=j[i>>1]|0;s=(e>>>0<65535?e:65535)+n&65535;e=Y(h[D+(c+l)>>0]|0,j[y>>1]|0)|0;g=n>>>0>s>>>0?65535:s;s=g+(e>>>0<65535?e:65535)|0;d[i>>1]=g>>>0>(s&65535)>>>0?-1:s&65535;c=c+1|0}while((c|0)!=(b|0));return}}}function Jla(a,b,c,e,f,g,i){a=a|0;b=b|0;c=c|0;e=e|0;f=f|0;g=g|0;i=i|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;switch(g|0){case 1:{e=(b|0)>0;if(!i){if(e)k=0;else return;do{d[f+(k<<1)>>1]=(h[a+k>>0]|0)*96;k=k+1|0}while((k|0)!=(b|0));return}else{if(e)l=0;else return;do{d[f+(l<<1)>>1]=(h[a+l>>0]|0)<<8;l=l+1|0}while((l|0)!=(b|0));return}break}case 2:{if(!i){if((b|0)>0)m=0;else return;do{l=a+m|0;e=m+b|0;k=a+e|0;d[f+(m<<1)>>1]=((h[k>>0]|0)<<6)+((h[l>>0]|0)*96|0);d[f+(e<<1)>>1]=((h[k>>0]|0)*96|0)+((h[l>>0]|0)<<6);m=m+1|0}while((m|0)!=(b|0));return}else{m=Y(LI(-2,2,i)|0,b)|0;l=Y(LI(-1,2,i)|0,b)|0;k=Y(LI(2,2,i)|0,b)|0;e=Y(LI(3,2,i)|0,b)|0;if((b|0)>0)n=0;else return;do{c=a+n|0;o=a+(n+l)|0;p=((h[o>>0]|0)<<6)+((h[c>>0]|0)*96|0)|0;q=n+b|0;r=a+q|0;s=((h[r>>0]|0)<<6)+p&65504;t=a+(n+k)|0;u=p>>>0>s>>>0?65535:s;s=u+((h[t>>0]|0)<<4)&65535;p=u>>>0>s>>>0?65535:s;s=p+((h[a+(n+m)>>0]|0)<<4)|0;d[f+(n<<1)>>1]=p>>>0>(s&65535)>>>0?-1:s&65535;s=((h[c>>0]|0)<<6)+((h[r>>0]|0)*96|0)|0;r=((h[t>>0]|0)<<6)+s&65504;t=s>>>0>r>>>0?65535:r;r=t+((h[o>>0]|0)<<4)&65535;o=t>>>0>r>>>0?65535:r;r=o+((h[a+(n+e)>>0]|0)<<4)|0;d[f+(q<<1)>>1]=o>>>0>(r&65535)>>>0?-1:r&65535;n=n+1|0}while((n|0)!=(b|0));return}break}case 3:{if(!i){if((b|0)<=0)return;n=b<<1;e=0;do{m=a+e|0;k=e+b|0;l=a+k|0;r=((h[l>>0]|0)<<6)+((h[m>>0]|0)*96|0)|0;o=e+n|0;q=a+o|0;t=((h[q>>0]|0)<<4)+r|0;d[f+(e<<1)>>1]=r>>>0>(t&65520)>>>0?-1:t&65535;t=((h[m>>0]|0)<<6)+((h[l>>0]|0)*96|0)|0;r=((h[q>>0]|0)<<6)+t|0;d[f+(k<<1)>>1]=t>>>0>(r&65504)>>>0?-1:r&65535;r=((h[l>>0]|0)<<6)+((h[q>>0]|0)*96|0)|0;q=((h[m>>0]|0)<<4)+r|0;d[f+(o<<1)>>1]=r>>>0>(q&65520)>>>0?-1:q&65535;e=e+1|0}while((e|0)!=(b|0));return}else{e=Y(LI(-2,3,i)|0,b)|0;n=Y(LI(-1,3,i)|0,b)|0;q=Y(LI(3,3,i)|0,b)|0;r=Y(LI(4,3,i)|0,b)|0;if((b|0)<=0)return;o=b<<1;m=0;do{l=a+m|0;t=m+b|0;k=a+t|0;s=((h[k>>0]|0)<<6)+((h[l>>0]|0)*96|0)|0;c=a+(m+n)|0;p=((h[c>>0]|0)<<6)+s&65504;u=m+o|0;v=a+u|0;w=s>>>0>p>>>0?65535:p;p=w+((h[v>>0]|0)<<4)&65535;s=w>>>0>p>>>0?65535:p;p=s+((h[a+(m+e)>>0]|0)<<4)|0;d[f+(m<<1)>>1]=s>>>0>(p&65535)>>>0?-1:p&65535;p=((h[l>>0]|0)<<6)+((h[k>>0]|0)*96|0)|0;s=((h[v>>0]|0)<<6)+p&65504;w=p>>>0>s>>>0?65535:s;s=w+((h[c>>0]|0)<<4)&65535;c=a+(m+q)|0;p=w>>>0>s>>>0?65535:s;s=p+((h[c>>0]|0)<<4)|0;d[f+(t<<1)>>1]=p>>>0>(s&65535)>>>0?-1:s&65535;s=((h[k>>0]|0)<<6)+((h[v>>0]|0)*96|0)|0;v=((h[c>>0]|0)<<6)+s&65504;c=s>>>0>v>>>0?65535:v;v=c+((h[l>>0]|0)<<4)&65535;l=c>>>0>v>>>0?65535:v;v=l+((h[a+(m+r)>>0]|0)<<4)|0;d[f+(u<<1)>>1]=l>>>0>(v&65535)>>>0?-1:v&65535;m=m+1|0}while((m|0)!=(b|0));return}break}default:{m=(b|0)>0;if(m){r=b<<1;q=b*3|0;e=0;do{o=a+e|0;n=e+b|0;v=a+n|0;l=((h[v>>0]|0)<<6)+((h[o>>0]|0)*96|0)|0;u=a+(e+r)|0;c=((h[u>>0]|0)<<4)+l|0;d[f+(e<<1)>>1]=l>>>0>(c&65520)>>>0?-1:c&65535;c=((h[o>>0]|0)<<6)+((h[v>>0]|0)*96|0)|0;v=((h[u>>0]|0)<<6)+c&65504;u=c>>>0>v>>>0?65535:v;v=u+((h[a+(e+q)>>0]|0)<<4)|0;d[f+(n<<1)>>1]=u>>>0>(v&65535)>>>0?-1:v&65535;e=e+1|0}while((e|0)!=(b|0))}e=(i|0)!=0;if(e?(q=Y(LI(-2,g,i)|0,b)|0,r=Y(LI(-1,g,i)|0,b)|0,m):0){v=0;do{u=f+(v<<1)|0;n=j[u>>1]|0;c=((h[a+(v+q)>>0]|0)<<4)+n&65535;o=a+(v+r)|0;l=n>>>0>c>>>0?65535:c;c=l+((h[o>>0]|0)<<6)|0;d[u>>1]=l>>>0>(c&65535)>>>0?-1:c&65535;c=f+(v+b<<1)|0;l=j[c>>1]|0;u=((h[o>>0]|0)<<4)+l|0;d[c>>1]=l>>>0>(u&65535)>>>0?-1:u&65535;v=v+1|0}while((v|0)!=(b|0))}v=b<<1;r=a+v|0;q=f+(v<<1)|0;u=g+-2|0;l=Y(u,b)|0;if((v|0)<(l|0)){c=0-b|0;o=Y(b,-2)|0;n=f+(Y((g<<1)+-4|0,b)|0)|0;f=r;s=q;k=v;while(1){d[s>>1]=(h[f+o>>0]|0)+((h[f>>0]|0)*6|0)+((h[f+b>>0]|0)+(h[f+c>>0]|0)<<2)+(h[f+v>>0]|0)<<4;k=k+1|0;if((k|0)==(l|0))break;else{f=f+1|0;s=s+2|0}}x=a+l|0;y=n}else{x=r;y=q}if(m){q=0;do{r=x+q|0;n=x+(q-b)|0;l=((h[n>>0]|0)<<6)+((h[r>>0]|0)*96|0)|0;a=q+b|0;s=x+a|0;f=((h[s>>0]|0)<<6)+l&65504;k=l>>>0>f>>>0?65535:f;f=k+((h[x+(q-v)>>0]|0)<<4)|0;d[y+(q<<1)>>1]=k>>>0>(f&65535)>>>0?-1:f&65535;f=((h[r>>0]|0)<<6)+((h[s>>0]|0)*96|0)|0;s=((h[n>>0]|0)<<4)+f|0;d[y+(a<<1)>>1]=f>>>0>(s&65520)>>>0?-1:s&65535;q=q+1|0}while((q|0)!=(b|0))}if(!e)return;e=Y((LI(g,g,i)|0)-u|0,b)|0;q=Y((LI(g+1|0,g,i)|0)-u|0,b)|0;if(m)z=0;else return;do{m=x+(z+e)|0;u=y+(z<<1)|0;i=j[u>>1]|0;g=((h[m>>0]|0)<<4)+i|0;d[u>>1]=i>>>0>(g&65535)>>>0?-1:g&65535;g=y+(z+b<<1)|0;i=j[g>>1]|0;u=((h[m>>0]|0)<<6)+i&65535;m=i>>>0>u>>>0?65535:u;u=m+((h[x+(z+q)>>0]|0)<<4)|0;d[g>>1]=m>>>0>(u&65535)>>>0?-1:u&65535;z=z+1|0}while((z|0)!=(b|0));return}}}function Kla(a,b,c,e,f,g,i){a=a|0;b=b|0;c=c|0;e=e|0;f=f|0;g=g|0;i=i|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0;k=(e|0)/2|0;l=e-k|0;m=(k|0)>(g|0)?g:k;if((m|0)>0){n=(b|0)>0;o=(i|0)!=0;p=k+-1|0;q=~g;r=n^1;s=f;t=0;u=p;v=p-e|0;p=l;while(1){w=u-((v|0)>(q|0)?v:q)|0;if(n){x=c+(k-t<<1)|0;y=0;do{z=Y(h[a+y>>0]|0,j[x>>1]|0)|0;d[s+(y<<1)>>1]=z>>>0<65535?z:65535;y=y+1|0}while((y|0)!=(b|0))}a:do if(o?(y=t-k|0,(y|0)<0):0){if(n){A=0;B=y}else{x=y;while(1){LI(x,g,i)|0;if((x|0)<-1)x=x+1|0;else break a}}while(1){x=Y(LI(B,g,i)|0,b)|0;y=c+(A<<1)|0;z=0;do{C=Y(h[a+(z+x)>>0]|0,j[y>>1]|0)|0;D=s+(z<<1)|0;E=j[D>>1]|0;F=(C>>>0<65535?C:65535)+E|0;d[D>>1]=E>>>0>(F&65535)>>>0?-1:F&65535;z=z+1|0}while((z|0)!=(b|0));if((B|0)<-1){A=A+1|0;B=B+1|0}else break}}while(0);z=k-t+1|0;y=t+l|0;x=(y|0)>(g|0)?g:y;F=(x|0)<2;if(F|r){G=F?z:w;H=F?1:x}else{F=z;z=1;while(1){E=Y(z,b)|0;D=c+(F<<1)|0;C=0;do{I=Y(h[a+(C+E)>>0]|0,j[D>>1]|0)|0;J=s+(C<<1)|0;K=j[J>>1]|0;L=(I>>>0<65535?I:65535)+K|0;d[J>>1]=K>>>0>(L&65535)>>>0?-1:L&65535;C=C+1|0}while((C|0)!=(b|0));z=z+1|0;C=F+1|0;if((z|0)>=(x|0)){G=C;H=x;break}else F=C}}b:do if(o&(H|0)<(y|0)){if(n){M=G;N=H}else{F=H;while(1){LI(F,g,i)|0;F=F+1|0;if((F|0)==(p|0))break b}}while(1){F=Y(LI(N,g,i)|0,b)|0;x=c+(M<<1)|0;z=0;do{w=Y(h[a+(z+F)>>0]|0,j[x>>1]|0)|0;C=s+(z<<1)|0;D=j[C>>1]|0;E=(w>>>0<65535?w:65535)+D|0;d[C>>1]=D>>>0>(E&65535)>>>0?-1:E&65535;z=z+1|0}while((z|0)!=(b|0));N=N+1|0;if((N|0)==(p|0))break;else M=M+1|0}}while(0);t=t+1|0;y=s+(b<<1)|0;if((t|0)>=(m|0)){O=y;P=m;break}else{s=y;u=u+-1|0;v=v+-1|0;p=p+1|0}}}else{O=f;P=0}f=Y(P,b)|0;p=Y(1-l+g|0,b)|0;do if((f|0)<(p|0)){l=Y(k,b)|0;v=c+(k<<1)|0;u=e+-1|0;s=Y(k+g+1-P-e|0,b)|0;m=a+s|0;if((e|0)>1){Q=a;R=O;S=f}else{t=a;M=O;N=f;while(1){H=Y(h[t+l>>0]|0,j[v>>1]|0)|0;d[M>>1]=H>>>0<65535?H:65535;N=N+1|0;if((N|0)==(p|0))break;else{t=t+1|0;M=M+2|0}}T=m;U=O+(s<<1)|0;V=p;break}while(1){M=Y(h[Q+l>>0]|0,j[v>>1]|0)|0;t=(M>>>0<65535?M:65535)&65535;d[R>>1]=t;M=0;N=t;do{t=Q+(Y(M,b)|0)|0;H=j[c+(M<<1)>>1]|0;G=Y(h[t>>0]|0,H)|0;t=N&65535;n=(G>>>0<65535?G:65535)+t&65535;G=Q+(Y(u-M|0,b)|0)|0;o=Y(h[G>>0]|0,H)|0;H=t>>>0>n>>>0?65535:n;n=H+(o>>>0<65535?o:65535)|0;N=H>>>0>(n&65535)>>>0?-1:n&65535;d[R>>1]=N;M=M+1|0}while((M|0)<(k|0));S=S+1|0;if((S|0)==(p|0))break;else{Q=Q+1|0;R=R+2|0}}T=m;U=O+(s<<1)|0;V=p}else{T=a;U=O;V=f}while(0);f=(V|0)/(b|0)|0;V=f-k|0;O=g-k|0;if((V|0)>=(O|0))return;a=(b|0)>0;p=(i|0)!=0;R=a^1;Q=T;T=V;V=U;U=k+g-f|0;while(1){if(a){f=0;do{k=Y(h[Q+f>>0]|0,j[c>>1]|0)|0;d[V+(f<<1)>>1]=k>>>0<65535?k:65535;f=f+1|0}while((f|0)!=(b|0))}f=g-T|0;s=(f|0)<2;if(s|R)W=s?1:f;else{s=1;do{m=Y(s,b)|0;k=c+(s<<1)|0;S=0;do{P=Y(h[Q+(S+m)>>0]|0,j[k>>1]|0)|0;u=V+(S<<1)|0;v=j[u>>1]|0;l=(P>>>0<65535?P:65535)+v|0;d[u>>1]=v>>>0>(l&65535)>>>0?-1:l&65535;S=S+1|0}while((S|0)!=(b|0));s=s+1|0}while((s|0)!=(U|0));W=f}c:do if(p&(W|0)<(e|0)){if(a)X=W;else{f=W;while(1){LI(f+T|0,g,i)|0;f=f+1|0;if((f|0)==(e|0))break c}}do{f=Y((LI(X+T|0,g,i)|0)-T|0,b)|0;s=c+(X<<1)|0;S=0;do{k=Y(h[Q+(S+f)>>0]|0,j[s>>1]|0)|0;m=V+(S<<1)|0;l=j[m>>1]|0;v=(k>>>0<65535?k:65535)+l|0;d[m>>1]=l>>>0>(v&65535)>>>0?-1:v&65535;S=S+1|0}while((S|0)!=(b|0));X=X+1|0}while((X|0)!=(e|0))}while(0);T=T+1|0;if((T|0)==(O|0))break;else{Q=Q+b|0;V=V+(b<<1)|0;U=U+-1|0}}return}function Lla(a,b,c,e,f,g,i){a=a|0;b=b|0;c=c|0;e=e|0;f=f|0;g=g|0;i=i|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0;k=(e|0)/2|0;l=e-k|0;m=(k|0)>(g|0)?g:k;if((m|0)>0){n=(b|0)>0;o=(i|0)!=0;p=k+-1|0;q=~g;r=n^1;s=f;t=0;u=p;v=p-e|0;p=l;while(1){w=u-((v|0)>(q|0)?v:q)|0;if(n){x=c+(k-t<<1)|0;y=0;do{z=Y(h[a+y>>0]|0,j[x>>1]|0)|0;d[s+(y<<1)>>1]=z>>>0<65535?z:65535;y=y+1|0}while((y|0)!=(b|0))}a:do if(o?(y=t-k|0,(y|0)<0):0){if(n){A=0;B=y}else{x=y;while(1){LI(x,g,i)|0;if((x|0)<-1)x=x+1|0;else break a}}while(1){x=Y(LI(B,g,i)|0,b)|0;y=c+(A<<1)|0;z=0;do{C=Y(h[a+(z+x)>>0]|0,j[y>>1]|0)|0;D=s+(z<<1)|0;E=j[D>>1]|0;F=(C>>>0<65535?C:65535)+E|0;d[D>>1]=E>>>0>(F&65535)>>>0?-1:F&65535;z=z+1|0}while((z|0)!=(b|0));if((B|0)<-1){A=A+1|0;B=B+1|0}else break}}while(0);z=k-t+1|0;y=t+l|0;x=(y|0)>(g|0)?g:y;F=(x|0)<2;if(F|r){G=F?z:w;H=F?1:x}else{F=z;z=1;while(1){E=Y(z,b)|0;D=c+(F<<1)|0;C=0;do{I=Y(h[a+(C+E)>>0]|0,j[D>>1]|0)|0;J=s+(C<<1)|0;K=j[J>>1]|0;L=(I>>>0<65535?I:65535)+K|0;d[J>>1]=K>>>0>(L&65535)>>>0?-1:L&65535;C=C+1|0}while((C|0)!=(b|0));z=z+1|0;C=F+1|0;if((z|0)>=(x|0)){G=C;H=x;break}else F=C}}b:do if(o&(H|0)<(y|0)){if(n){M=G;N=H}else{F=H;while(1){LI(F,g,i)|0;F=F+1|0;if((F|0)==(p|0))break b}}while(1){F=Y(LI(N,g,i)|0,b)|0;x=c+(M<<1)|0;z=0;do{w=Y(h[a+(z+F)>>0]|0,j[x>>1]|0)|0;C=s+(z<<1)|0;D=j[C>>1]|0;E=(w>>>0<65535?w:65535)+D|0;d[C>>1]=D>>>0>(E&65535)>>>0?-1:E&65535;z=z+1|0}while((z|0)!=(b|0));N=N+1|0;if((N|0)==(p|0))break;else M=M+1|0}}while(0);t=t+1|0;y=s+(b<<1)|0;if((t|0)>=(m|0)){O=y;P=m;break}else{s=y;u=u+-1|0;v=v+-1|0;p=p+1|0}}}else{O=f;P=0}f=Y(P,b)|0;p=Y(1-l+g|0,b)|0;do if((f|0)<(p|0)){l=Y(k+g+1-P-e|0,b)|0;v=a+l|0;if((e|0)>1){Q=a;R=O;S=f}else{u=a;s=O;m=f;while(1){t=Y(h[u>>0]|0,j[c>>1]|0)|0;d[s>>1]=t>>>0<65535?t:65535;m=m+1|0;if((m|0)==(p|0))break;else{u=u+1|0;s=s+2|0}}T=v;U=O+(l<<1)|0;V=p;break}while(1){s=Y(h[Q>>0]|0,j[c>>1]|0)|0;u=(s>>>0<65535?s:65535)&65535;d[R>>1]=u;s=1;m=u;do{u=Q+(Y(s,b)|0)|0;t=Y(h[u>>0]|0,j[c+(s<<1)>>1]|0)|0;u=m&65535;M=(t>>>0<65535?t:65535)+u|0;m=u>>>0>(M&65535)>>>0?-1:M&65535;d[R>>1]=m;s=s+1|0}while((s|0)!=(e|0));S=S+1|0;if((S|0)==(p|0))break;else{Q=Q+1|0;R=R+2|0}}T=v;U=O+(l<<1)|0;V=p}else{T=a;U=O;V=f}while(0);f=(V|0)/(b|0)|0;V=f-k|0;O=g-k|0;if((V|0)>=(O|0))return;a=(b|0)>0;p=(i|0)!=0;R=a^1;Q=T;T=V;V=U;U=k+g-f|0;while(1){if(a){f=0;do{k=Y(h[Q+f>>0]|0,j[c>>1]|0)|0;d[V+(f<<1)>>1]=k>>>0<65535?k:65535;f=f+1|0}while((f|0)!=(b|0))}f=g-T|0;l=(f|0)<2;if(l|R)W=l?1:f;else{l=1;do{v=Y(l,b)|0;k=c+(l<<1)|0;S=0;do{P=Y(h[Q+(S+v)>>0]|0,j[k>>1]|0)|0;s=V+(S<<1)|0;m=j[s>>1]|0;M=(P>>>0<65535?P:65535)+m|0;d[s>>1]=m>>>0>(M&65535)>>>0?-1:M&65535;S=S+1|0}while((S|0)!=(b|0));l=l+1|0}while((l|0)!=(U|0));W=f}c:do if(p&(W|0)<(e|0)){if(a)X=W;else{f=W;while(1){LI(f+T|0,g,i)|0;f=f+1|0;if((f|0)==(e|0))break c}}do{f=Y((LI(X+T|0,g,i)|0)-T|0,b)|0;l=c+(X<<1)|0;S=0;do{k=Y(h[Q+(S+f)>>0]|0,j[l>>1]|0)|0;v=V+(S<<1)|0;M=j[v>>1]|0;m=(k>>>0<65535?k:65535)+M|0;d[v>>1]=M>>>0>(m&65535)>>>0?-1:m&65535;S=S+1|0}while((S|0)!=(b|0));X=X+1|0}while((X|0)!=(e|0))}while(0);T=T+1|0;if((T|0)==(O|0))break;else{Q=Q+b|0;V=V+(b<<1)|0;U=U+-1|0}}return}function Mla(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0;d=f[a>>2]|0;if((g|0)>0)h=0;else return;do{b[e+h>>0]=((j[d+(h<<1)>>1]|0)+128|0)>>>8;h=h+1|0}while((h|0)!=(g|0));return}function Nla(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0;d=f[a>>2]|0;if((g|0)<=0)return;a=0;do{h=((Y(j[d+(a<<1)>>1]|0,j[c>>1]|0)|0)+32768|0)>>>16;b[e+a>>0]=h>>>0<255?h:255;a=a+1|0}while((a|0)!=(g|0));return}function Ola(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0;if((g|0)<=0)return;d=a+8|0;c=a+4|0;h=0;do{b[e+h>>0]=((j[(f[a>>2]|0)+(h<<1)>>1]|0)+512+(j[(f[d>>2]|0)+(h<<1)>>1]|0)+((j[(f[c>>2]|0)+(h<<1)>>1]|0)<<1)|0)>>>10;h=h+1|0}while((h|0)!=(g|0));return}function Pla(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,k=0,l=0,m=0,n=0,o=0;if((g|0)<=0)return;d=a+4|0;h=c+2|0;i=a+8|0;k=c+4|0;l=0;do{m=Y(j[(f[a>>2]|0)+(l<<1)>>1]|0,j[c>>1]|0)|0;n=(Y(j[(f[d>>2]|0)+(l<<1)>>1]|0,j[h>>1]|0)|0)+m|0;o=n>>>0<m>>>0?-1:n;n=(Y(j[(f[i>>2]|0)+(l<<1)>>1]|0,j[k>>1]|0)|0)+o|0;m=n>>>0<o>>>0?0:(n+32768|0)>>>16;b[e+l>>0]=m>>>0<255?m:255;l=l+1|0}while((l|0)!=(g|0));return}function Qla(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,k=0;if((g|0)<=0)return;d=a+8|0;c=a+4|0;h=a+12|0;i=a+16|0;k=0;do{b[e+k>>0]=(((j[(f[d>>2]|0)+(k<<1)>>1]|0)*6|0)+2048+((j[(f[h>>2]|0)+(k<<1)>>1]|0)+(j[(f[c>>2]|0)+(k<<1)>>1]|0)<<2)+(j[(f[a>>2]|0)+(k<<1)>>1]|0)+(j[(f[i>>2]|0)+(k<<1)>>1]|0)|0)>>>12;k=k+1|0}while((k|0)!=(g|0));return}function Rla(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;if((g|0)<=0)return;d=a+4|0;h=c+2|0;i=a+8|0;k=c+4|0;l=a+12|0;m=c+6|0;n=a+16|0;o=c+8|0;p=0;do{q=Y(j[(f[a>>2]|0)+(p<<1)>>1]|0,j[c>>1]|0)|0;r=(Y(j[(f[d>>2]|0)+(p<<1)>>1]|0,j[h>>1]|0)|0)+q|0;s=r>>>0<q>>>0?-1:r;r=(Y(j[(f[i>>2]|0)+(p<<1)>>1]|0,j[k>>1]|0)|0)+s|0;q=r>>>0<s>>>0?-1:r;r=(Y(j[(f[l>>2]|0)+(p<<1)>>1]|0,j[m>>1]|0)|0)+q|0;s=r>>>0<q>>>0?-1:r;r=(Y(j[(f[n>>2]|0)+(p<<1)>>1]|0,j[o>>1]|0)|0)+s|0;q=r>>>0<s>>>0?0:(r+32768|0)>>>16;b[e+p>>0]=q>>>0<255?q:255;p=p+1|0}while((p|0)!=(g|0));return}function Sla(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,k=0,l=0;if((g|0)<=0)return;if((d|0)>1)h=0;else{i=0;do{k=((Y(j[(f[a>>2]|0)+(i<<1)>>1]|0,j[c>>1]|0)|0)+32768|0)>>>16;b[e+i>>0]=k>>>0<255?k:255;i=i+1|0}while((i|0)!=(g|0));return}do{i=1;k=Y(j[(f[a>>2]|0)+(h<<1)>>1]|0,j[c>>1]|0)|0;do{l=(Y(j[(f[a+(i<<2)>>2]|0)+(h<<1)>>1]|0,j[c+(i<<1)>>1]|0)|0)+k|0;k=l>>>0<k>>>0?-1:l;i=i+1|0}while((i|0)!=(d|0));i=(k+32768|0)>>>16;b[e+h>>0]=i>>>0<255?i:255;h=h+1|0}while((h|0)!=(g|0));return}function Tla(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,k=0,l=0;if((g|0)<=0)return;if((d|0)>1)h=0;else{i=0;do{k=((Y(j[(f[a>>2]|0)+(i<<1)>>1]|0,j[c>>1]|0)|0)+32768|0)>>>16;b[e+i>>0]=k>>>0<255?k:255;i=i+1|0}while((i|0)!=(g|0));return}do{i=1;k=Y(j[(f[a>>2]|0)+(h<<1)>>1]|0,j[c>>1]|0)|0;do{l=(Y(j[(f[a+(i<<2)>>2]|0)+(h<<1)>>1]|0,j[c+(i<<1)>>1]|0)|0)+k|0;k=l>>>0<k>>>0?-1:l;i=i+1|0}while((i|0)!=(d|0));i=(k+32768|0)>>>16;b[e+h>>0]=i>>>0<255?i:255;h=h+1|0}while((h|0)!=(g|0));return}function Ula(a){a=a|0;fuc(a);return}function Vla(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0;d=u;u=u+2128|0;e=d+1072|0;g=d+8|0;h=d;i=a+20|0;k=f[i>>2]|0;l=a+28|0;m=f[l>>2]|0;n=Y(m,k)|0;o=a+44|0;p=f[o>>2]|0;q=Y(n,p)|0;n=e+8|0;kzc(n|0,0,1040)|0;f[e>>2]=n;r=e+4|0;f[r>>2]=q;if(q>>>0>520){s=euc(q>>>0>2147483647?-1:q<<1)|0;kzc(s|0,0,q<<1|0)|0;f[e>>2]=s;t=s}else t=n;s=p<<1;q=g+8|0;f[g>>2]=q;v=g+4|0;f[v>>2]=s;if(s>>>0>264){w=euc(s>>>0>1073741823?-1:s<<2)|0;f[g>>2]=w;x=w}else x=q;w=f[c>>2]|0;a:do if((p|0)==1){f[x>>2]=t;s=c+4|0;if((w|0)<(f[s>>2]|0)){y=a+52|0;z=a+4|0;A=a+12|0;B=a+32|0;C=a+40|0;D=a+48|0;E=a+56|0;F=a+36|0;G=a+8|0;H=a+16|0;I=w;J=m;K=t;L=k;while(1){M=(f[z>>2]|0)+(Y(f[A>>2]|0,I)|0)|0;Ph[f[y>>2]&127](M,J,f[B>>2]|0,f[C>>2]|0,K,L,f[D>>2]|0);M=(f[G>>2]|0)+(Y(f[H>>2]|0,I)|0)|0;N=Y(f[l>>2]|0,f[i>>2]|0)|0;th[f[E>>2]&255](x,f[F>>2]|0,f[o>>2]|0,M,N);N=I+1|0;if((N|0)>=(f[s>>2]|0))break a;I=N;J=f[l>>2]|0;K=f[x>>2]|0;L=f[i>>2]|0}}}else{L=a+48|0;K=f[L>>2]|0;J=(p|0)/2|0;I=p-J|0;s=I+-1|0;F=w-J|0;if(K|0){E=(F|0)>0?F:0;H=I+w|0;f[h>>2]=H;G=a+24|0;D=f[G>>2]|0;if((E|0)<(((D|0)<(H|0)?D:H)|0)){C=a+52|0;B=a+4|0;y=a+12|0;A=a+32|0;z=a+40|0;N=E;M=0;O=K;K=k;P=m;Q=p;while(1){R=t+((Y(Y(K,M)|0,P)|0)<<1)|0;S=x+(M<<2)|0;f[S>>2]=R;f[x+(Q+M<<2)>>2]=R;R=(f[B>>2]|0)+(Y(f[y>>2]|0,N)|0)|0;Ph[f[C>>2]&127](R,P,f[A>>2]|0,f[z>>2]|0,f[S>>2]|0,K,O);T=N+1|0;U=M+1|0;V=f[G>>2]|0;if((T|0)>=(((V|0)<(H|0)?V:H)|0))break;N=T;M=U;O=f[L>>2]|0;K=f[i>>2]|0;P=f[l>>2]|0;Q=f[o>>2]|0}W=f[h>>2]|0;X=T;Z=U;_=V}else{W=H;X=E;Z=0;_=D}b:do if((X|0)<(W|0)){Q=a+52|0;P=a+4|0;K=a+12|0;O=a+32|0;M=a+40|0;N=X;z=Z;A=_;while(1){C=LI(N,A,f[L>>2]|0)|0;y=(f[o>>2]|0)+z|0;if((C|0)<(E|0)){B=f[i>>2]|0;S=Y(B,z)|0;R=f[l>>2]|0;$=t+((Y(S,R)|0)<<1)|0;S=x+(z<<2)|0;f[S>>2]=$;f[x+(y<<2)>>2]=$;$=(f[P>>2]|0)+(Y(f[K>>2]|0,C)|0)|0;Ph[f[Q>>2]&127]($,R,f[O>>2]|0,f[M>>2]|0,f[S>>2]|0,B,f[L>>2]|0)}else{B=f[x+(C-E<<2)>>2]|0;f[x+(z<<2)>>2]=B;f[x+(y<<2)>>2]=B}B=N+1|0;y=z+1|0;if((B|0)>=(W|0)){aa=B;ba=y;break b}N=B;z=y;A=f[G>>2]|0}}else{aa=X;ba=Z}while(0);if((F|0)<0){E=f[h>>2]|0;D=a+52|0;H=a+4|0;A=a+12|0;z=a+32|0;N=a+40|0;M=F;while(1){O=LI(M,f[G>>2]|0,f[L>>2]|0)|0;Q=f[o>>2]|0;K=(Q<<1)+M|0;P=Q+M|0;if((O|0)<(E|0)){Q=f[x+(O<<2)>>2]|0;f[x+(P<<2)>>2]=Q;f[x+(K<<2)>>2]=Q}else{Q=f[i>>2]|0;y=Y(Q,P)|0;B=f[l>>2]|0;C=t+((Y(y,B)|0)<<1)|0;y=x+(P<<2)|0;f[y>>2]=C;f[x+(K<<2)>>2]=C;C=(f[H>>2]|0)+(Y(f[A>>2]|0,O)|0)|0;Ph[f[D>>2]&127](C,B,f[z>>2]|0,f[N>>2]|0,f[y>>2]|0,Q,f[L>>2]|0)}if((M|0)<-1)M=M+1|0;else break}}M=a+56|0;N=a+36|0;z=a+8|0;D=a+16|0;A=(f[z>>2]|0)+(Y(f[D>>2]|0,w)|0)|0;H=Y(f[l>>2]|0,f[i>>2]|0)|0;th[f[M>>2]&255](x+(ba<<2)|0,f[N>>2]|0,f[o>>2]|0,A,H);H=f[o>>2]|0;A=c+4|0;E=(f[A>>2]|0)+s|0;Q=f[G>>2]|0;y=(ba|0)%(H|0)|0;B=(E|0)<(Q|0)?E:Q;f[h>>2]=B;Q=w+1|0;if((aa|0)<(((B|0)<(H|0)?B:H)|0)){E=a+52|0;C=a+4|0;O=a+12|0;K=a+32|0;P=a+40|0;S=Q;R=aa;$=y;ca=H;do{H=f[i>>2]|0;da=Y(H,$)|0;ea=f[l>>2]|0;fa=t+((Y(da,ea)|0)<<1)|0;da=x+($<<2)|0;f[da>>2]=fa;f[x+(ca+$<<2)>>2]=fa;fa=(f[C>>2]|0)+(Y(f[O>>2]|0,R)|0)|0;Ph[f[E>>2]&127](fa,ea,f[K>>2]|0,f[P>>2]|0,f[da>>2]|0,H,f[L>>2]|0);H=f[o>>2]|0;$=($+1|0)%(H|0)|0;da=(f[z>>2]|0)+(Y(f[D>>2]|0,S)|0)|0;ea=Y(f[l>>2]|0,f[i>>2]|0)|0;th[f[M>>2]&255](x+($<<2)|0,f[N>>2]|0,H,da,ea);R=R+1|0;S=S+1|0;ca=f[o>>2]|0}while((R|0)<(((B|0)<(ca|0)?B:ca)|0));ga=f[h>>2]|0;ha=S;ia=R;ja=$}else{ga=B;ha=Q;ia=aa;ja=y}if((ia|0)<(ga|0)){ca=a+52|0;P=a+4|0;K=a+12|0;E=a+32|0;O=a+40|0;C=ha;ea=ia;da=ja;while(1){H=(f[P>>2]|0)+(Y(f[K>>2]|0,ea)|0)|0;Ph[f[ca>>2]&127](H,f[l>>2]|0,f[E>>2]|0,f[O>>2]|0,f[x+(da<<2)>>2]|0,f[i>>2]|0,f[L>>2]|0);H=f[o>>2]|0;fa=(da+1|0)%(H|0)|0;ka=(f[z>>2]|0)+(Y(f[D>>2]|0,C)|0)|0;la=Y(f[l>>2]|0,f[i>>2]|0)|0;th[f[M>>2]&255](x+(fa<<2)|0,f[N>>2]|0,H,ka,la);la=ea+1|0;ka=C+1|0;if((la|0)<(ga|0)){C=ka;ea=la;da=fa}else{ma=ka;na=la;oa=fa;break}}}else{ma=ha;na=ia;oa=ja}if((na|0)<((f[A>>2]|0)+s|0)){da=a+52|0;ea=a+4|0;C=a+12|0;O=a+32|0;E=a+40|0;ca=ma;K=na;P=oa;while(1){y=LI(K,f[G>>2]|0,f[L>>2]|0)|0;Q=K-y|0;B=f[o>>2]|0;if((Q|0)>(B|0)){$=(f[ea>>2]|0)+(Y(f[C>>2]|0,y)|0)|0;Ph[f[da>>2]&127]($,f[l>>2]|0,f[O>>2]|0,f[E>>2]|0,f[x+(P<<2)>>2]|0,f[i>>2]|0,f[L>>2]|0)}else{$=f[x+(((P-Q+B|0)%(B|0)|0)<<2)>>2]|0;f[x+(P<<2)>>2]=$;f[x+(B+P<<2)>>2]=$}$=f[o>>2]|0;P=(P+1|0)%($|0)|0;B=(f[z>>2]|0)+(Y(f[D>>2]|0,ca)|0)|0;Q=Y(f[l>>2]|0,f[i>>2]|0)|0;th[f[M>>2]&255](x+(P<<2)|0,f[N>>2]|0,$,B,Q);K=K+1|0;if((K|0)>=((f[A>>2]|0)+s|0))break;else ca=ca+1|0}}break}ca=I+w|0;A=a+24|0;K=f[A>>2]|0;N=(K|0)<(ca|0)?K:ca;f[h>>2]=N;ca=(F|0)>0;K=ca?F:0;c:do if((K|0)<(N|0)){P=a+52|0;M=a+4|0;D=a+12|0;z=a+32|0;E=a+40|0;O=K;da=0;C=k;ea=m;G=p;Q=0;while(1){B=t+((Y(Y(C,da)|0,ea)|0)<<1)|0;$=x+(da<<2)|0;f[$>>2]=B;f[x+(G+da<<2)>>2]=B;B=(f[M>>2]|0)+(Y(f[D>>2]|0,O)|0)|0;Ph[f[P>>2]&127](B,ea,f[z>>2]|0,f[E>>2]|0,f[$>>2]|0,C,Q);pa=O+1|0;qa=da+1|0;if((pa|0)>=(N|0))break;O=pa;da=qa;C=f[i>>2]|0;ea=f[l>>2]|0;G=f[o>>2]|0;Q=f[L>>2]|0}Q=a+36|0;G=f[Q>>2]|0;switch(da|0){case 0:{ea=(f[a+8>>2]|0)+(Y(f[a+16>>2]|0,w)|0)|0;C=Y(f[l>>2]|0,f[i>>2]|0)|0;O=f[x>>2]|0;if((C|0)<=0){ra=1;sa=pa;ta=Q;break c}E=G+((ca?0:0-F|0)<<1)|0;z=0;do{P=((Y(j[O+(z<<1)>>1]|0,j[E>>1]|0)|0)+32768|0)>>>16;b[ea+z>>0]=P>>>0<255?P:255;z=z+1|0}while((z|0)!=(C|0));ra=qa;sa=pa;ta=Q;break}case 2:{C=G+((ca?0:0-F|0)<<1)|0;z=(f[a+8>>2]|0)+(Y(f[a+16>>2]|0,w)|0)|0;ea=Y(f[l>>2]|0,f[i>>2]|0)|0;if((ea|0)<=0){ra=3;sa=pa;ta=Q;break c}E=x+4|0;O=C+2|0;da=x+8|0;P=C+4|0;D=0;do{M=Y(j[(f[x>>2]|0)+(D<<1)>>1]|0,j[C>>1]|0)|0;$=(Y(j[(f[E>>2]|0)+(D<<1)>>1]|0,j[O>>1]|0)|0)+M|0;B=$>>>0<M>>>0?-1:$;$=(Y(j[(f[da>>2]|0)+(D<<1)>>1]|0,j[P>>1]|0)|0)+B|0;M=$>>>0<B>>>0?0:($+32768|0)>>>16;b[z+D>>0]=M>>>0<255?M:255;D=D+1|0}while((D|0)!=(ea|0));ra=qa;sa=pa;ta=Q;break}case 4:{ea=G+((ca?0:0-F|0)<<1)|0;D=(f[a+8>>2]|0)+(Y(f[a+16>>2]|0,w)|0)|0;z=Y(f[l>>2]|0,f[i>>2]|0)|0;if((z|0)<=0){ra=5;sa=pa;ta=Q;break c}P=x+4|0;da=ea+2|0;O=x+8|0;E=ea+4|0;C=x+12|0;M=ea+6|0;$=x+16|0;B=ea+8|0;y=0;do{R=Y(j[(f[x>>2]|0)+(y<<1)>>1]|0,j[ea>>1]|0)|0;S=(Y(j[(f[P>>2]|0)+(y<<1)>>1]|0,j[da>>1]|0)|0)+R|0;fa=S>>>0<R>>>0?-1:S;S=(Y(j[(f[O>>2]|0)+(y<<1)>>1]|0,j[E>>1]|0)|0)+fa|0;R=S>>>0<fa>>>0?-1:S;S=(Y(j[(f[C>>2]|0)+(y<<1)>>1]|0,j[M>>1]|0)|0)+R|0;fa=S>>>0<R>>>0?-1:S;S=(Y(j[(f[$>>2]|0)+(y<<1)>>1]|0,j[B>>1]|0)|0)+fa|0;R=S>>>0<fa>>>0?0:(S+32768|0)>>>16;b[D+y>>0]=R>>>0<255?R:255;y=y+1|0}while((y|0)!=(z|0));ra=qa;sa=pa;ta=Q;break}default:{ua=qa;va=pa;wa=Q;xa=G;ya=58;break c}}}else{z=a+36|0;ua=0;va=K;wa=z;xa=f[z>>2]|0;ya=58}while(0);d:do if((ya|0)==58){N=xa+((ca?0:0-F|0)<<1)|0;I=(f[a+8>>2]|0)+(Y(f[a+16>>2]|0,w)|0)|0;z=Y(f[l>>2]|0,f[i>>2]|0)|0;if((z|0)>0){if((ua|0)>1)za=0;else{y=0;while(1){D=((Y(j[(f[x>>2]|0)+(y<<1)>>1]|0,j[N>>1]|0)|0)+32768|0)>>>16;b[I+y>>0]=D>>>0<255?D:255;y=y+1|0;if((y|0)==(z|0)){ra=ua;sa=va;ta=wa;break d}}}do{y=1;G=Y(j[(f[x>>2]|0)+(za<<1)>>1]|0,j[N>>1]|0)|0;do{Q=(Y(j[(f[x+(y<<2)>>2]|0)+(za<<1)>>1]|0,j[N+(y<<1)>>1]|0)|0)+G|0;G=Q>>>0<G>>>0?-1:Q;y=y+1|0}while((y|0)!=(ua|0));y=(G+32768|0)>>>16;b[I+za>>0]=y>>>0<255?y:255;za=za+1|0}while((za|0)!=(z|0));ra=ua;sa=va;ta=wa}else{ra=ua;sa=va;ta=wa}}while(0);F=f[o>>2]|0;ca=c+4|0;z=(f[ca>>2]|0)+s|0;I=f[A>>2]|0;N=(ra|0)%(F|0)|0;y=(z|0)<(I|0)?z:I;f[h>>2]=y;I=w+1|0;if((sa|0)<(((y|0)<(F|0)?y:F)|0)){z=a+52|0;Q=a+4|0;D=a+12|0;B=a+32|0;$=a+40|0;M=a+16|0;C=a+8|0;E=x+4|0;O=x+8|0;da=x+12|0;P=x+16|0;ea=I;R=sa;S=N;fa=F;while(1){la=f[i>>2]|0;ka=Y(la,S)|0;H=f[l>>2]|0;Aa=t+((Y(ka,H)|0)<<1)|0;ka=x+(S<<2)|0;f[ka>>2]=Aa;f[x+(fa+S<<2)>>2]=Aa;Aa=(f[Q>>2]|0)+(Y(f[D>>2]|0,R)|0)|0;Ph[f[z>>2]&127](Aa,H,f[B>>2]|0,f[$>>2]|0,f[ka>>2]|0,la,f[L>>2]|0);la=S+1|0;ka=~S;H=f[ta>>2]|0;Aa=f[C>>2]|0;Ba=Y(f[i>>2]|0,f[l>>2]|0)|0;Ca=Y(f[M>>2]|0,ea)|0;e:do if((la|0)==3){Da=H+(f[o>>2]<<1)+(ka<<1)|0;Ea=Aa+Ca|0;if((Ba|0)>0){Fa=Da+2|0;Ga=Da+4|0;Ha=0;do{Ia=Y(j[(f[x>>2]|0)+(Ha<<1)>>1]|0,j[Da>>1]|0)|0;Ja=(Y(j[(f[E>>2]|0)+(Ha<<1)>>1]|0,j[Fa>>1]|0)|0)+Ia|0;Ka=Ja>>>0<Ia>>>0?-1:Ja;Ja=(Y(j[(f[O>>2]|0)+(Ha<<1)>>1]|0,j[Ga>>1]|0)|0)+Ka|0;Ia=Ja>>>0<Ka>>>0?0:(Ja+32768|0)>>>16;b[Ea+Ha>>0]=Ia>>>0<255?Ia:255;Ha=Ha+1|0}while((Ha|0)!=(Ba|0))}}else{Ha=H+(f[o>>2]<<1)+(ka<<1)|0;Ea=Aa+Ca|0;Ga=(Ba|0)>0;if((la|0)==5){if(!Ga)break;Fa=Ha+2|0;Da=Ha+4|0;G=Ha+6|0;Ia=Ha+8|0;Ja=0;while(1){Ka=Y(j[(f[x>>2]|0)+(Ja<<1)>>1]|0,j[Ha>>1]|0)|0;La=(Y(j[(f[E>>2]|0)+(Ja<<1)>>1]|0,j[Fa>>1]|0)|0)+Ka|0;Ma=La>>>0<Ka>>>0?-1:La;La=(Y(j[(f[O>>2]|0)+(Ja<<1)>>1]|0,j[Da>>1]|0)|0)+Ma|0;Ka=La>>>0<Ma>>>0?-1:La;La=(Y(j[(f[da>>2]|0)+(Ja<<1)>>1]|0,j[G>>1]|0)|0)+Ka|0;Ma=La>>>0<Ka>>>0?-1:La;La=(Y(j[(f[P>>2]|0)+(Ja<<1)>>1]|0,j[Ia>>1]|0)|0)+Ma|0;Ka=La>>>0<Ma>>>0?0:(La+32768|0)>>>16;b[Ea+Ja>>0]=Ka>>>0<255?Ka:255;Ja=Ja+1|0;if((Ja|0)==(Ba|0))break e}}if(Ga){if((R|0)>0)Na=0;else{Ja=0;while(1){Ia=((Y(j[(f[x>>2]|0)+(Ja<<1)>>1]|0,j[Ha>>1]|0)|0)+32768|0)>>>16;b[Ea+Ja>>0]=Ia>>>0<255?Ia:255;Ja=Ja+1|0;if((Ja|0)==(Ba|0))break e}}do{Ja=1;Ga=Y(j[(f[x>>2]|0)+(Na<<1)>>1]|0,j[Ha>>1]|0)|0;while(1){Ia=(Y(j[(f[x+(Ja<<2)>>2]|0)+(Na<<1)>>1]|0,j[Ha+(Ja<<1)>>1]|0)|0)+Ga|0;Ga=Ia>>>0<Ga>>>0?-1:Ia;if((Ja|0)==(R|0))break;else Ja=Ja+1|0}Ja=(Ga+32768|0)>>>16;b[Ea+Na>>0]=Ja>>>0<255?Ja:255;Na=Na+1|0}while((Na|0)!=(Ba|0))}}while(0);Ba=f[o>>2]|0;Ca=(la|0)%(Ba|0)|0;Aa=R+1|0;ka=ea+1|0;if((Aa|0)<(((y|0)<(Ba|0)?y:Ba)|0)){ea=ka;R=Aa;S=Ca;fa=Ba}else{Oa=ka;Pa=Ca;Qa=Aa;Ra=Ba;break}}}else{Oa=I;Pa=N;Qa=sa;Ra=F}if((Qa-K|0)<(Ra|0)){fa=Oa-J|0;S=f[ca>>2]|0;R=S-J|0;if((fa|0)<(((R|0)<0?R:0)|0)){R=a+16|0;ea=a+8|0;y=x+4|0;P=x+8|0;da=x+12|0;O=x+16|0;E=Oa;M=fa;while(1){C=f[A>>2]|0;$=0-M|0;B=f[ta>>2]|0;z=f[ea>>2]|0;D=Y(f[R>>2]|0,E)|0;Q=Y(f[i>>2]|0,f[l>>2]|0)|0;f:do if((C|0)==3){s=B+($<<1)|0;Ba=z+D|0;if((Q|0)>0){Aa=s+2|0;Ca=s+4|0;ka=0;do{H=Y(j[(f[x>>2]|0)+(ka<<1)>>1]|0,j[s>>1]|0)|0;Ea=(Y(j[(f[y>>2]|0)+(ka<<1)>>1]|0,j[Aa>>1]|0)|0)+H|0;Ha=Ea>>>0<H>>>0?-1:Ea;Ea=(Y(j[(f[P>>2]|0)+(ka<<1)>>1]|0,j[Ca>>1]|0)|0)+Ha|0;H=Ea>>>0<Ha>>>0?0:(Ea+32768|0)>>>16;b[Ba+ka>>0]=H>>>0<255?H:255;ka=ka+1|0}while((ka|0)!=(Q|0))}}else{ka=B+($<<1)|0;Ba=z+D|0;Ca=(Q|0)>0;if((C|0)==5){if(!Ca)break;Aa=ka+2|0;s=ka+4|0;H=ka+6|0;Ea=ka+8|0;Ha=0;while(1){Ja=Y(j[(f[x>>2]|0)+(Ha<<1)>>1]|0,j[ka>>1]|0)|0;Ia=(Y(j[(f[y>>2]|0)+(Ha<<1)>>1]|0,j[Aa>>1]|0)|0)+Ja|0;G=Ia>>>0<Ja>>>0?-1:Ia;Ia=(Y(j[(f[P>>2]|0)+(Ha<<1)>>1]|0,j[s>>1]|0)|0)+G|0;Ja=Ia>>>0<G>>>0?-1:Ia;Ia=(Y(j[(f[da>>2]|0)+(Ha<<1)>>1]|0,j[H>>1]|0)|0)+Ja|0;G=Ia>>>0<Ja>>>0?-1:Ia;Ia=(Y(j[(f[O>>2]|0)+(Ha<<1)>>1]|0,j[Ea>>1]|0)|0)+G|0;Ja=Ia>>>0<G>>>0?0:(Ia+32768|0)>>>16;b[Ba+Ha>>0]=Ja>>>0<255?Ja:255;Ha=Ha+1|0;if((Ha|0)==(Q|0))break f}}if(Ca){if((C|0)>1)Sa=0;else{Ha=0;while(1){Ea=((Y(j[(f[x>>2]|0)+(Ha<<1)>>1]|0,j[ka>>1]|0)|0)+32768|0)>>>16;b[Ba+Ha>>0]=Ea>>>0<255?Ea:255;Ha=Ha+1|0;if((Ha|0)==(Q|0))break f}}do{Ha=1;Ca=Y(j[(f[x>>2]|0)+(Sa<<1)>>1]|0,j[ka>>1]|0)|0;do{Ea=(Y(j[(f[x+(Ha<<2)>>2]|0)+(Sa<<1)>>1]|0,j[ka+(Ha<<1)>>1]|0)|0)+Ca|0;Ca=Ea>>>0<Ca>>>0?-1:Ea;Ha=Ha+1|0}while((Ha|0)!=(C|0));Ha=(Ca+32768|0)>>>16;b[Ba+Sa>>0]=Ha>>>0<255?Ha:255;Sa=Sa+1|0}while((Sa|0)!=(Q|0))}}while(0);Q=M+1|0;C=E+1|0;D=f[ca>>2]|0;z=D-J|0;if((Q|0)<(((z|0)<0?z:0)|0)){E=C;M=Q}else{Ta=C;Ua=Q;Va=D;break}}}else{Ta=Oa;Ua=fa;Va=S}if((Ua|0)<(Va-J|0)){M=0-K|0;E=a+8|0;O=a+16|0;da=Ta;P=Ua;while(1){y=(f[A>>2]|0)-P|0;g:do if((y|0)==3){R=x+(P<<2)+(M<<2)|0;ea=f[ta>>2]|0;F=(f[E>>2]|0)+(Y(f[O>>2]|0,da)|0)|0;N=Y(f[l>>2]|0,f[i>>2]|0)|0;if((N|0)>0){I=R+4|0;D=ea+2|0;Q=R+8|0;C=ea+4|0;z=0;do{$=Y(j[(f[R>>2]|0)+(z<<1)>>1]|0,j[ea>>1]|0)|0;B=(Y(j[(f[I>>2]|0)+(z<<1)>>1]|0,j[D>>1]|0)|0)+$|0;la=B>>>0<$>>>0?-1:B;B=(Y(j[(f[Q>>2]|0)+(z<<1)>>1]|0,j[C>>1]|0)|0)+la|0;$=B>>>0<la>>>0?0:(B+32768|0)>>>16;b[F+z>>0]=$>>>0<255?$:255;z=z+1|0}while((z|0)!=(N|0))}}else{N=x+(P<<2)+(M<<2)|0;z=f[ta>>2]|0;F=(f[E>>2]|0)+(Y(f[O>>2]|0,da)|0)|0;C=Y(f[l>>2]|0,f[i>>2]|0)|0;Q=(C|0)>0;if((y|0)==5){if(!Q)break;D=N+4|0;I=z+2|0;ea=N+8|0;R=z+4|0;$=N+12|0;B=z+6|0;la=N+16|0;Ba=z+8|0;ka=0;while(1){Ha=Y(j[(f[N>>2]|0)+(ka<<1)>>1]|0,j[z>>1]|0)|0;Ga=(Y(j[(f[D>>2]|0)+(ka<<1)>>1]|0,j[I>>1]|0)|0)+Ha|0;Ea=Ga>>>0<Ha>>>0?-1:Ga;Ga=(Y(j[(f[ea>>2]|0)+(ka<<1)>>1]|0,j[R>>1]|0)|0)+Ea|0;Ha=Ga>>>0<Ea>>>0?-1:Ga;Ga=(Y(j[(f[$>>2]|0)+(ka<<1)>>1]|0,j[B>>1]|0)|0)+Ha|0;Ea=Ga>>>0<Ha>>>0?-1:Ga;Ga=(Y(j[(f[la>>2]|0)+(ka<<1)>>1]|0,j[Ba>>1]|0)|0)+Ea|0;Ha=Ga>>>0<Ea>>>0?0:(Ga+32768|0)>>>16;b[F+ka>>0]=Ha>>>0<255?Ha:255;ka=ka+1|0;if((ka|0)==(C|0))break g}}if(Q){if((y|0)>1)Wa=0;else{ka=0;while(1){Ba=((Y(j[(f[N>>2]|0)+(ka<<1)>>1]|0,j[z>>1]|0)|0)+32768|0)>>>16;b[F+ka>>0]=Ba>>>0<255?Ba:255;ka=ka+1|0;if((ka|0)==(C|0))break g}}do{ka=1;Q=Y(j[(f[N>>2]|0)+(Wa<<1)>>1]|0,j[z>>1]|0)|0;do{Ba=(Y(j[(f[N+(ka<<2)>>2]|0)+(Wa<<1)>>1]|0,j[z+(ka<<1)>>1]|0)|0)+Q|0;Q=Ba>>>0<Q>>>0?-1:Ba;ka=ka+1|0}while((ka|0)!=(y|0));ka=(Q+32768|0)>>>16;b[F+Wa>>0]=ka>>>0<255?ka:255;Wa=Wa+1|0}while((Wa|0)!=(C|0))}}while(0);P=P+1|0;if((P|0)>=((f[ca>>2]|0)-J|0))break;else da=da+1|0}}}else{da=f[h>>2]|0;if((Qa|0)<(da|0)){P=a+52|0;O=a+4|0;E=a+12|0;M=a+32|0;K=a+40|0;S=a+56|0;fa=a+8|0;y=a+16|0;C=Oa;F=Qa;z=Pa;while(1){N=(f[O>>2]|0)+(Y(f[E>>2]|0,F)|0)|0;Ph[f[P>>2]&127](N,f[l>>2]|0,f[M>>2]|0,f[K>>2]|0,f[x+(z<<2)>>2]|0,f[i>>2]|0,f[L>>2]|0);N=f[o>>2]|0;ka=(z+1|0)%(N|0)|0;Ca=(f[fa>>2]|0)+(Y(f[y>>2]|0,C)|0)|0;Ba=Y(f[l>>2]|0,f[i>>2]|0)|0;th[f[S>>2]&255](x+(ka<<2)|0,f[ta>>2]|0,N,Ca,Ba);F=F+1|0;Ba=C+1|0;if((F|0)>=(da|0)){Xa=Ba;Ya=ka;break}else{C=Ba;z=ka}}}else{Xa=Oa;Ya=Pa}z=Xa-J|0;if((z|0)<((f[ca>>2]|0)-J|0)){C=a+16|0;da=a+8|0;F=Xa;S=z;z=(Ya+1|0)%(f[o>>2]|0)|0;while(1){y=(f[A>>2]|0)-S|0;fa=f[ta>>2]|0;L=f[da>>2]|0;K=Y(f[i>>2]|0,f[l>>2]|0)|0;M=Y(f[C>>2]|0,F)|0;h:do if((y|0)==3){P=x+(z<<2)|0;E=L+M|0;if((K|0)>0){O=P+4|0;ka=fa+2|0;Ba=P+8|0;Ca=fa+4|0;N=0;do{la=Y(j[(f[P>>2]|0)+(N<<1)>>1]|0,j[fa>>1]|0)|0;B=(Y(j[(f[O>>2]|0)+(N<<1)>>1]|0,j[ka>>1]|0)|0)+la|0;$=B>>>0<la>>>0?-1:B;B=(Y(j[(f[Ba>>2]|0)+(N<<1)>>1]|0,j[Ca>>1]|0)|0)+$|0;la=B>>>0<$>>>0?0:(B+32768|0)>>>16;b[E+N>>0]=la>>>0<255?la:255;N=N+1|0}while((N|0)!=(K|0))}}else{N=x+(z<<2)|0;E=L+M|0;Ca=(K|0)>0;if((y|0)==5){if(!Ca)break;Ba=N+4|0;ka=fa+2|0;O=N+8|0;P=fa+4|0;la=N+12|0;B=fa+6|0;$=N+16|0;R=fa+8|0;ea=0;while(1){I=Y(j[(f[N>>2]|0)+(ea<<1)>>1]|0,j[fa>>1]|0)|0;D=(Y(j[(f[Ba>>2]|0)+(ea<<1)>>1]|0,j[ka>>1]|0)|0)+I|0;Ha=D>>>0<I>>>0?-1:D;D=(Y(j[(f[O>>2]|0)+(ea<<1)>>1]|0,j[P>>1]|0)|0)+Ha|0;I=D>>>0<Ha>>>0?-1:D;D=(Y(j[(f[la>>2]|0)+(ea<<1)>>1]|0,j[B>>1]|0)|0)+I|0;Ha=D>>>0<I>>>0?-1:D;D=(Y(j[(f[$>>2]|0)+(ea<<1)>>1]|0,j[R>>1]|0)|0)+Ha|0;I=D>>>0<Ha>>>0?0:(D+32768|0)>>>16;b[E+ea>>0]=I>>>0<255?I:255;ea=ea+1|0;if((ea|0)==(K|0))break h}}if(Ca){if((y|0)>1)Za=0;else{ea=0;while(1){R=((Y(j[(f[N>>2]|0)+(ea<<1)>>1]|0,j[fa>>1]|0)|0)+32768|0)>>>16;b[E+ea>>0]=R>>>0<255?R:255;ea=ea+1|0;if((ea|0)==(K|0))break h}}do{ea=1;Ca=Y(j[(f[N>>2]|0)+(Za<<1)>>1]|0,j[fa>>1]|0)|0;do{R=(Y(j[(f[N+(ea<<2)>>2]|0)+(Za<<1)>>1]|0,j[fa+(ea<<1)>>1]|0)|0)+Ca|0;Ca=R>>>0<Ca>>>0?-1:R;ea=ea+1|0}while((ea|0)!=(y|0));ea=(Ca+32768|0)>>>16;b[E+Za>>0]=ea>>>0<255?ea:255;Za=Za+1|0}while((Za|0)!=(K|0))}}while(0);S=S+1|0;if((S|0)>=((f[ca>>2]|0)-J|0))break;else{F=F+1|0;z=z+1|0}}}}}while(0);Za=f[g>>2]|0;if((Za|0)!=(q|0)){if(Za|0)guc(Za);f[g>>2]=q;f[v>>2]=264}v=f[e>>2]|0;if((v|0)==(n|0)){u=d;return}if(v|0)guc(v);f[e>>2]=n;f[r>>2]=520;u=d;return}function Wla(a,c,e){a=a|0;c=c|0;e=e|0;var g=0,i=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0.0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0.0,pc=0.0,qc=0.0,rc=0.0,sc=0.0,tc=0.0,uc=0.0,vc=0,wc=0,xc=0.0,yc=0,zc=0;g=u;u=u+6608|0;i=g+4096|0;k=g;l=g+6272|0;m=g+6588|0;o=g+6576|0;p=g+6572|0;q=g+6568|0;r=g+6552|0;t=g+6548|0;v=g+6544|0;w=g+6540|0;x=g+6536|0;y=g+6532|0;z=g+6528|0;A=g+6524|0;B=g+6520|0;C=g+6516|0;D=g+6512|0;E=g+6508|0;F=g+6504|0;G=g+6500|0;H=g+6496|0;I=g+6492|0;J=g+6488|0;K=g+6484|0;L=g+6480|0;M=g+6472|0;N=g+6416|0;O=g+6560|0;P=g+6360|0;Q=g+6304|0;gV(M,57692);if(((e|0)%2|0|0)!=1){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;R=cuc(48)|0;f[i>>2]=R;S=i+8|0;f[S>>2]=-2147483600;T=i+4|0;f[T>>2]=40;U=R;V=267869;W=U+40|0;do{b[U>>0]=b[V>>0]|0;U=U+1|0;V=V+1|0}while((U|0)<(W|0));X=R+40|0;b[X>>0]=0;WD(-215,i,267910,264656,5138)}if((AJ(a,-1)|0)>=3){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;R=cuc(48)|0;f[i>>2]=R;S=i+8|0;f[S>>2]=-2147483600;T=i+4|0;f[T>>2]=40;U=R;V=267869;W=U+40|0;do{b[U>>0]=b[V>>0]|0;U=U+1|0;V=V+1|0}while((U|0)<(W|0));X=R+40|0;b[X>>0]=0;WD(-215,i,267910,264656,5138)}if((e|0)>=2?!(EJ(a)|0):0){do if((qJ(a)|0)==65536){X=f[a+4>>2]|0;f[N>>2]=f[X>>2];R=N+4|0;T=X+4|0;f[R>>2]=f[T>>2];S=N+8|0;f[S>>2]=f[X+8>>2];f[N+12>>2]=f[X+12>>2];f[N+16>>2]=f[X+16>>2];f[N+20>>2]=f[X+20>>2];f[N+24>>2]=f[X+24>>2];f[N+28>>2]=f[X+28>>2];f[N+32>>2]=f[X+32>>2];Z=f[X+36>>2]|0;f[N+36>>2]=Z;_=N+40|0;f[_>>2]=S;S=N+48|0;$=N+44|0;f[$>>2]=S;f[S>>2]=0;f[N+52>>2]=0;if(Z|0){S=Z+12|0;f[S>>2]=(f[S>>2]|0)+1}if((f[T>>2]|0)<3){T=f[X+44>>2]|0;S=f[$>>2]|0;f[S>>2]=f[T>>2];f[S+4>>2]=f[T+4>>2];aa=N;ba=_;break}else{f[R>>2]=0;$T(N,X);aa=N;ba=_;break}}else{nJ(N,a,-1);aa=N;ba=N+40|0}while(0);_=f[ba>>2]|0;X=f[_>>2]|0;f[O>>2]=f[_+4>>2];f[O+4>>2]=X;IJ(c,O,f[aa>>2]&4095,-1,0,0);do if((qJ(c)|0)==65536){O=f[c+4>>2]|0;f[P>>2]=f[O>>2];X=P+4|0;_=O+4|0;f[X>>2]=f[_>>2];R=P+8|0;f[R>>2]=f[O+8>>2];f[P+12>>2]=f[O+12>>2];T=P+16|0;f[T>>2]=f[O+16>>2];f[P+20>>2]=f[O+20>>2];f[P+24>>2]=f[O+24>>2];f[P+28>>2]=f[O+28>>2];f[P+32>>2]=f[O+32>>2];S=f[O+36>>2]|0;f[P+36>>2]=S;f[P+40>>2]=R;R=P+48|0;$=P+44|0;f[$>>2]=R;f[R>>2]=0;f[P+52>>2]=0;if(S|0){R=S+12|0;f[R>>2]=(f[R>>2]|0)+1}if((f[_>>2]|0)<3){_=f[O+44>>2]|0;R=f[$>>2]|0;f[R>>2]=f[_>>2];f[R+4>>2]=f[_+4>>2];ca=T;break}else{f[X>>2]=0;$T(P,O);ca=T;break}}else{nJ(P,c,-1);ca=P+16|0}while(0);T=N+16|0;O=N+12|0;X=N+8|0;_=f[aa>>2]|0;switch(e|0){case 3:{da=1;break}case 5:{if(!(_&7)){R=(_>>>3&511)+1|0;da=(R|0)==2|R>>>0>4}else da=1;break}default:da=0}f[Q>>2]=1124007936;R=Q+4|0;_=Q+8|0;$=Q+40|0;U=R;W=U+36|0;do{f[U>>2]=0;U=U+4|0}while((U|0)<(W|0));f[$>>2]=_;S=Q+48|0;Z=Q+44|0;f[Z>>2]=S;f[S>>2]=0;f[Q+52>>2]=0;a:do if(!da){f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=N;ea=k+8|0;f[ea>>2]=0;f[ea+4>>2]=0;f[k>>2]=33619968;f[k+4>>2]=Q;ea=(e|0)/2|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;f[l+16>>2]=0;f[l+20>>2]=0;f[l+24>>2]=0;f[l+28>>2]=0;MI(i,k,0,0,ea,ea,17,l);fa=f[Q>>2]|0;if(fa&7|0){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;ga=cuc(64)|0;f[i>>2]=ga;ha=i+8|0;f[ha>>2]=-2147483584;ia=i+4|0;f[ia>>2]=55;U=ga;V=267921;W=U+55|0;do{b[U>>0]=b[V>>0]|0;U=U+1|0;V=V+1|0}while((U|0)<(W|0));ja=ga+55|0;b[ja>>0]=0;WD(-215,i,267910,264656,5193)}switch((f[aa>>2]|0)>>>3&511){case 0:case 2:case 3:break;default:{f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;ga=cuc(64)|0;f[i>>2]=ga;ha=i+8|0;f[ha>>2]=-2147483584;ia=i+4|0;f[ia>>2]=55;U=ga;V=267921;W=U+55|0;do{b[U>>0]=b[V>>0]|0;U=U+1|0;V=V+1|0}while((U|0)<(W|0));ja=ga+55|0;b[ja>>0]=0;WD(-215,i,267910,264656,5193)}}ka=f[N+4>>2]|0;if((ka|0)<3)la=Y(f[O>>2]|0,f[X>>2]|0)|0;else{ma=f[ba>>2]|0;na=0;oa=1;while(1){pa=Y(f[ma+(na<<2)>>2]|0,oa)|0;na=na+1|0;if((na|0)==(ka|0)){la=pa;break}else oa=pa}}qa=+(la>>>0)*9.5367431640625e-07;if(((qa<1.0?39:qa<4.0?21:9)|0)>=(e|0)){oa=(Y(e,e)|0)>>>1;ka=f[P+40>>2]|0;na=f[ka+4>>2]|0;ma=f[ka>>2]|0;ka=f[Q+16>>2]|0;pa=f[ca>>2]|0;ra=f[S>>2]|0;sa=f[P+48>>2]|0;ta=fa>>>3;ua=ta&511;va=ua+1|0;wa=ka+(Y(ra,ma)|0)|0;if(ua>>>0>=4){ua=cuc(32)|0;f[l>>2]=ua;f[l+8>>2]=-2147483616;f[l+4>>2]=17;U=ua;V=267977;W=U+17|0;do{b[U>>0]=b[V>>0]|0;U=U+1|0;V=V+1|0}while((U|0)<(W|0));b[ua+17>>0]=0;WD(-215,l,267995,264656,4433)}if((na|0)>0){fa=ma+-1|0;xa=Y(ra,fa)|0;ya=Y(sa,fa)|0;za=0-ra|0;Aa=0-sa|0;Ba=va<<6;Ca=va<<10;Da=(e|0)<-1;Ea=(ma|0)>0;Fa=ta&65535;Ga=e<<2;Ha=(e|0)>0;Ia=e*3|0;Ja=Y(va,e)|0;Ka=(Ja|0)>0;La=ea+1|0;Ma=(ra|0)!=0;Na=ka;Oa=pa;Pa=0;while(1){Qa=(Pa&1|0)==0;Ra=Qa?sa:Aa;Sa=Qa?ra:za;Ta=Qa?Na:Na+xa|0;Ua=Qa?Oa:Oa+ya|0;kzc(i|0,0,Ba|0)|0;kzc(k|0,0,Ca|0)|0;b:do if(Da)Va=Ta;else{Qa=(Sa|0)>0;if(Ka){Wa=0;Xa=Ta}else{Ya=0;Za=Ta;while(1){if(Qa)if((Ya|0)<(fa|0))_a=172;else $a=Za;else if(Ma&(ma-Ya|0)>1)_a=172;else $a=Za;if((_a|0)==172){_a=0;$a=Za+Sa|0}if((Ya|0)<(ea|0)){Ya=Ya+1|0;Za=$a}else{Va=$a;break b}}}while(1){if((Wa|0)>0){Za=0;do{Ya=0;do{ab=h[Xa+(Ya+Za)>>0]|0;bb=k+(Za<<10)+(ab<<2)|0;f[bb>>2]=(f[bb>>2]|0)+1;bb=i+(Za<<6)+(ab>>>4<<2)|0;f[bb>>2]=(f[bb>>2]|0)+1;Ya=Ya+va|0}while((Ya|0)<(Ja|0));Za=Za+1|0}while((Za|0)!=(va|0))}else{Za=0;do{Ya=0;do{bb=h[Xa+(Ya+Za)>>0]|0;ab=k+(Za<<10)+(bb<<2)|0;f[ab>>2]=(f[ab>>2]|0)+La;ab=i+(Za<<6)+(bb>>>4<<2)|0;f[ab>>2]=(f[ab>>2]|0)+La;Ya=Ya+va|0}while((Ya|0)<(Ja|0));Za=Za+1|0}while((Za|0)!=(va|0))}if(Qa)if((Wa|0)<(fa|0))_a=162;else cb=Xa;else if(Ma&(ma-Wa|0)>1)_a=162;else cb=Xa;if((_a|0)==162){_a=0;cb=Xa+Sa|0}if((Wa|0)<(ea|0)){Wa=Wa+1|0;Xa=cb}else{Va=cb;break}}}while(0);c:do if(Ea){Qa=(Sa|0)>-1;Za=(Sa|0)<1;Ya=Ua;ab=Ta;bb=0;db=Va;while(1){eb=0;do{fb=0;gb=0;while(1){hb=(f[i+(eb<<6)+(gb<<2)>>2]|0)+fb|0;if((hb|0)>(oa|0))break;else{fb=hb;gb=gb+1|0}}hb=fb;ib=gb<<4;while(1){hb=(f[k+(eb<<10)+(ib<<2)>>2]|0)+hb|0;if((hb|0)>(oa|0))break;else ib=ib+1|0}b[Ya+eb>>0]=ib;eb=eb+1|0}while((eb|0)!=(va|0));eb=bb+1|0;if((eb|0)==(ma|0))break c;d:do switch(Fa&511){case 0:{if(Ha)jb=0;else break d;do{hb=h[ab+jb>>0]|0;gb=h[db+jb>>0]|0;fb=k+(hb<<2)|0;f[fb>>2]=(f[fb>>2]|0)+-1;fb=i+(hb>>>4<<2)|0;f[fb>>2]=(f[fb>>2]|0)+-1;fb=k+(gb<<2)|0;f[fb>>2]=(f[fb>>2]|0)+1;fb=i+(gb>>>4<<2)|0;f[fb>>2]=(f[fb>>2]|0)+1;jb=jb+1|0}while((jb|0)!=(e|0));break}case 2:{if(Ha)kb=0;else break d;do{ib=h[ab+kb>>0]|0;fb=k+(ib<<2)|0;f[fb>>2]=(f[fb>>2]|0)+-1;fb=i+(ib>>>4<<2)|0;f[fb>>2]=(f[fb>>2]|0)+-1;fb=kb+1|0;ib=h[ab+fb>>0]|0;gb=k+1024+(ib<<2)|0;f[gb>>2]=(f[gb>>2]|0)+-1;gb=i+64+(ib>>>4<<2)|0;f[gb>>2]=(f[gb>>2]|0)+-1;gb=kb+2|0;ib=h[ab+gb>>0]|0;hb=k+2048+(ib<<2)|0;f[hb>>2]=(f[hb>>2]|0)+-1;hb=i+128+(ib>>>4<<2)|0;f[hb>>2]=(f[hb>>2]|0)+-1;hb=h[db+kb>>0]|0;ib=k+(hb<<2)|0;f[ib>>2]=(f[ib>>2]|0)+1;ib=i+(hb>>>4<<2)|0;f[ib>>2]=(f[ib>>2]|0)+1;ib=h[db+fb>>0]|0;fb=k+1024+(ib<<2)|0;f[fb>>2]=(f[fb>>2]|0)+1;fb=i+64+(ib>>>4<<2)|0;f[fb>>2]=(f[fb>>2]|0)+1;fb=h[db+gb>>0]|0;gb=k+2048+(fb<<2)|0;f[gb>>2]=(f[gb>>2]|0)+1;gb=i+128+(fb>>>4<<2)|0;f[gb>>2]=(f[gb>>2]|0)+1;kb=kb+3|0}while((kb|0)<(Ia|0));break}default:{if(Ha)lb=0;else break d;do{gb=h[ab+lb>>0]|0;fb=k+(gb<<2)|0;f[fb>>2]=(f[fb>>2]|0)+-1;fb=i+(gb>>>4<<2)|0;f[fb>>2]=(f[fb>>2]|0)+-1;fb=lb|1;gb=h[ab+fb>>0]|0;ib=k+1024+(gb<<2)|0;f[ib>>2]=(f[ib>>2]|0)+-1;ib=i+64+(gb>>>4<<2)|0;f[ib>>2]=(f[ib>>2]|0)+-1;ib=lb|2;gb=h[ab+ib>>0]|0;hb=k+2048+(gb<<2)|0;f[hb>>2]=(f[hb>>2]|0)+-1;hb=i+128+(gb>>>4<<2)|0;f[hb>>2]=(f[hb>>2]|0)+-1;hb=lb|3;gb=h[ab+hb>>0]|0;mb=k+3072+(gb<<2)|0;f[mb>>2]=(f[mb>>2]|0)+-1;mb=i+192+(gb>>>4<<2)|0;f[mb>>2]=(f[mb>>2]|0)+-1;mb=h[db+lb>>0]|0;gb=k+(mb<<2)|0;f[gb>>2]=(f[gb>>2]|0)+1;gb=i+(mb>>>4<<2)|0;f[gb>>2]=(f[gb>>2]|0)+1;gb=h[db+fb>>0]|0;fb=k+1024+(gb<<2)|0;f[fb>>2]=(f[fb>>2]|0)+1;fb=i+64+(gb>>>4<<2)|0;f[fb>>2]=(f[fb>>2]|0)+1;fb=h[db+ib>>0]|0;ib=k+2048+(fb<<2)|0;f[ib>>2]=(f[ib>>2]|0)+1;ib=i+128+(fb>>>4<<2)|0;f[ib>>2]=(f[ib>>2]|0)+1;ib=h[db+hb>>0]|0;hb=k+3072+(ib<<2)|0;f[hb>>2]=(f[hb>>2]|0)+1;hb=i+192+(ib>>>4<<2)|0;f[hb>>2]=(f[hb>>2]|0)+1;lb=lb+4|0}while((lb|0)<(Ga|0))}}while(0);hb=db+Sa|0;if((eb|0)<(ma|0)){Ya=Ya+Ra|0;ab=(bb|0)<(ea|0)?ab:ab+Sa|0;bb=eb;db=(Za|hb>>>0>=wa>>>0)&(Qa|hb>>>0<Na>>>0)?db:hb}else break c}}while(0);Pa=Pa+1|0;if((Pa|0)==(na|0))break;else{Na=Na+va|0;Oa=Oa+va|0}}}break}va=(f[P>>2]|0)>>>3&511;Oa=va+1|0;Na=f[P+8>>2]|0;na=e+-1|0;Pa=(na|0)/2|0;if(va>>>0>=4){wa=cuc(32)|0;f[i>>2]=wa;f[i+8>>2]=-2147483616;f[i+4>>2]=17;U=wa;V=267977;W=U+17|0;do{b[U>>0]=b[V>>0]|0;U=U+1|0;V=V+1|0}while((U|0)<(W|0));b[wa+17>>0]=0;WD(-215,i,268012,264656,4227)}ea=f[S>>2]|0;ma=f[P+48>>2]|0;Ga=P+12|0;Ha=512/(Oa>>>0)|0;Ia=f[Ga>>2]|0;Fa=(Ha|0)<(Ia|0)?Ha:Ia;Ha=Pa<<1;oa=Fa+Ha|0;Ea=Y(oa<<4,Oa)|0;Ma=Ea+16|0;f[l>>2]=0;fa=l+4|0;f[fa>>2]=0;f[l+8>>2]=0;do if(Ma)if((Ea|0)<-16)nsc(l);else{Ja=Ma<<1;La=cuc(Ja)|0;f[l>>2]=La;Ka=La+(Ma<<1)|0;f[l+8>>2]=Ka;kzc(La|0,0,Ja|0)|0;f[fa>>2]=Ka;nb=La;break}else nb=0;while(0);Ma=Y(Oa<<8,oa)|0|16;f[m>>2]=0;Ea=m+4|0;f[Ea>>2]=0;f[m+8>>2]=0;if((Ma|0)<0)nsc(m);wa=Ma<<1;La=cuc(wa)|0;f[m>>2]=La;Ka=La+(Ma<<1)|0;f[m+8>>2]=Ka;kzc(La|0,0,wa|0)|0;f[Ea>>2]=Ka;wa=nb+15&-16;Ma=wa;Ja=La+15&-16;Da=Ja;do if((Ia|0)>0){Ca=Q+16|0;Ba=wa;ya=Oa<<1;xa=Ja;za=Oa<<9;ra=Pa+2|0;Aa=(na|0)>3;sa=Na+-1|0;pa=(Na|0)>0;ka=Oa*544|0;ta=Oa<<5;ua=Ha|1;Sa=(na|0)>1;Ra=(Y(Ha,Pa)|0)+Ha|0;Ta=0;Ua=Ia;e:while(1){db=Ua-Ta|0;Qa=((Fa|0)<(db|0)?Fa:db)+Ha|0;db=(f[Ca>>2]|0)+(Y(Ta,Oa)|0)|0;Za=f[ca>>2]|0;bb=Y(Ta-Pa|0,Oa)|0;ab=Qa<<4;kzc(Ba|0,0,Y(ya,ab)|0)|0;kzc(xa|0,0,Y(za,Qa)|0)|0;Ya=(Qa|0)>0;if(Ya){hb=0;do{ib=Y(hb,Qa)|0;fb=hb<<4;gb=0;do{mb=db+((Y(gb,Oa)|0)+hb)|0;ob=Ma+(((h[mb>>0]|0)>>>4|gb+ib<<4)<<1)|0;d[ob>>1]=(j[ob>>1]|0)+ra;ob=h[mb>>0]|0;mb=Da+(((Y(ob>>>4|fb,Qa)|0)+gb<<4|ob&15)<<1)|0;d[mb>>1]=(j[mb>>1]|0)+ra;gb=gb+1|0}while((gb|0)<(Qa|0));if(Aa){gb=1;do{eb=db+(Y((sa|0)<(gb|0)?sa:gb,ea)|0)|0;mb=0;do{ob=eb+((Y(mb,Oa)|0)+hb)|0;pb=Ma+(((h[ob>>0]|0)>>>4|mb+ib<<4)<<1)|0;d[pb>>1]=(d[pb>>1]|0)+1<<16>>16;pb=h[ob>>0]|0;ob=Da+(((Y(pb>>>4|fb,Qa)|0)+mb<<4|pb&15)<<1)|0;d[ob>>1]=(d[ob>>1]|0)+1<<16>>16;mb=mb+1|0}while((mb|0)<(Qa|0));gb=gb+1|0}while((gb|0)<(Pa|0))}hb=hb+1|0}while((hb|0)!=(Oa|0))}hb=Za+bb|0;if(pa){gb=Qa-Pa|0;fb=(Pa|0)<(gb|0);ib=Qa+-1|0;mb=0;do{eb=mb-Pa+-1|0;ob=db+(Y((eb|0)>0?eb:0,ea)|0)|0;eb=mb+Pa|0;pb=db+(Y((eb|0)<(sa|0)?eb:sa,ea)|0)|0;kzc(i|0,0,ka|0)|0;kzc(k|0,0,ta|0)|0;eb=Y(mb,ma)|0;qb=0;while(1){if(Ya){rb=Y(qb,Qa)|0;sb=qb<<4;tb=0;do{ub=tb+rb<<4;vb=(Y(tb,Oa)|0)+qb|0;wb=ob+vb|0;xb=Ma+(((h[wb>>0]|0)>>>4|ub)<<1)|0;d[xb>>1]=(d[xb>>1]|0)+-1<<16>>16;xb=h[wb>>0]|0;wb=Da+(((Y(xb>>>4|sb,Qa)|0)+tb<<4|xb&15)<<1)|0;d[wb>>1]=(d[wb>>1]|0)+-1<<16>>16;wb=pb+vb|0;vb=Ma+(((h[wb>>0]|0)>>>4|ub)<<1)|0;d[vb>>1]=(d[vb>>1]|0)+1<<16>>16;vb=h[wb>>0]|0;wb=Da+(((Y(vb>>>4|sb,Qa)|0)+tb<<4|vb&15)<<1)|0;d[wb>>1]=(d[wb>>1]|0)+1<<16>>16;tb=tb+1|0}while((tb|0)<(Qa|0));yb=sb}else yb=qb<<4;sb=0;do{tb=Da+((Y(sb+yb|0,ab)|0)<<1)|0;rb=0;do{wb=i+(qb*544|0)+32+(sb<<5)+(rb<<1)|0;vb=(Y(j[tb+(rb<<1)>>1]|0,ua)|0)+(j[wb>>1]|0)&65535;d[wb>>1]=vb;rb=rb+1|0}while((rb|0)!=16);sb=sb+1|0}while((sb|0)!=16);if(Sa){sb=Y(qb,Qa)|0;rb=0;do{tb=Ma+(rb+sb<<4<<1)|0;vb=0;do{wb=i+(qb*544|0)+(vb<<1)|0;d[wb>>1]=(j[tb+(vb<<1)>>1]|0)+(j[wb>>1]|0);vb=vb+1|0}while((vb|0)!=16);rb=rb+1|0}while((rb|0)<(Ha|0))}if(fb){rb=Y(qb,Qa)|0;sb=qb+eb|0;vb=i+(qb*544|0)|0;tb=i+(qb*544|0)+2|0;wb=i+(qb*544|0)+4|0;ub=i+(qb*544|0)+6|0;xb=i+(qb*544|0)+8|0;zb=i+(qb*544|0)+10|0;Ab=i+(qb*544|0)+12|0;Bb=i+(qb*544|0)+14|0;Cb=i+(qb*544|0)+16|0;Db=i+(qb*544|0)+18|0;Eb=i+(qb*544|0)+20|0;Fb=i+(qb*544|0)+22|0;Gb=i+(qb*544|0)+24|0;Hb=i+(qb*544|0)+26|0;Ib=i+(qb*544|0)+28|0;Jb=i+(qb*544|0)+30|0;Kb=Pa;do{Lb=Kb+Pa|0;Mb=Ma+(((ib|0)<(Lb|0)?ib:Lb)+rb<<4<<1)|0;Nb=0;do{Ob=i+(qb*544|0)+(Nb<<1)|0;d[Ob>>1]=(j[Mb+(Nb<<1)>>1]|0)+(j[Ob>>1]|0);Nb=Nb+1|0}while((Nb|0)!=16);Nb=j[vb>>1]|0;do if((Nb|0)<=(Ra|0)){Mb=(j[tb>>1]|0)+Nb|0;if((Mb|0)>(Ra|0)){Pb=Nb;Qb=1;break}Ob=(j[wb>>1]|0)+Mb|0;if((Ob|0)>(Ra|0)){Pb=Mb;Qb=2;break}Mb=(j[ub>>1]|0)+Ob|0;if((Mb|0)>(Ra|0)){Pb=Ob;Qb=3;break}Ob=(j[xb>>1]|0)+Mb|0;if((Ob|0)>(Ra|0)){Pb=Mb;Qb=4;break}Mb=(j[zb>>1]|0)+Ob|0;if((Mb|0)>(Ra|0)){Pb=Ob;Qb=5;break}Ob=(j[Ab>>1]|0)+Mb|0;if((Ob|0)>(Ra|0)){Pb=Mb;Qb=6;break}Mb=(j[Bb>>1]|0)+Ob|0;if((Mb|0)>(Ra|0)){Pb=Ob;Qb=7;break}Ob=(j[Cb>>1]|0)+Mb|0;if((Ob|0)>(Ra|0)){Pb=Mb;Qb=8;break}Mb=(j[Db>>1]|0)+Ob|0;if((Mb|0)>(Ra|0)){Pb=Ob;Qb=9;break}Ob=(j[Eb>>1]|0)+Mb|0;if((Ob|0)>(Ra|0)){Pb=Mb;Qb=10;break}Mb=(j[Fb>>1]|0)+Ob|0;if((Mb|0)>(Ra|0)){Pb=Ob;Qb=11;break}Ob=(j[Gb>>1]|0)+Mb|0;if((Ob|0)>(Ra|0)){Pb=Mb;Qb=12;break}Mb=(j[Hb>>1]|0)+Ob|0;if((Mb|0)>(Ra|0)){Pb=Ob;Qb=13;break}Ob=(j[Ib>>1]|0)+Mb|0;if((Ob|0)>(Ra|0)){Pb=Mb;Qb=14;break}if(((j[Jb>>1]|0)+Ob|0)>(Ra|0)){Pb=Ob;Qb=15}else{_a=279;break e}}else{Pb=0;Qb=0}while(0);Nb=k+(qb<<5)+(Qb<<1)|0;Ob=d[Nb>>1]|0;Mb=Ob&65535;Rb=Kb-Pa|0;do if((Mb|0)>(Rb|0)){if((Mb|0)>(Lb|0))break;Sb=Y(Qb|yb,Qa)|0;Tb=Mb;Ub=Ob;do{Vb=Tb-Ha|0;Wb=Da+(((Vb|0)<1?0:Vb+-1|0)+Sb<<4<<1)|0;Vb=0;do{Xb=i+(qb*544|0)+32+(Qb<<5)+(Vb<<1)|0;d[Xb>>1]=(j[Xb>>1]|0)-(j[Wb+(Vb<<1)>>1]|0);Vb=Vb+1|0}while((Vb|0)!=16);Vb=Ub&65535;Wb=Da+(((Vb|0)<(Qa|0)?Vb:ib)+Sb<<4<<1)|0;Vb=0;do{Xb=i+(qb*544|0)+32+(Qb<<5)+(Vb<<1)|0;d[Xb>>1]=(j[Wb+(Vb<<1)>>1]|0)+(j[Xb>>1]|0);Vb=Vb+1|0}while((Vb|0)!=16);Ub=Ub+1<<16>>16;d[Nb>>1]=Ub;Tb=Ub&65535}while((Tb|0)<=(Lb|0))}else{Tb=i+(qb*544|0)+32+(Qb<<5)|0;f[Tb>>2]=0;f[Tb+4>>2]=0;f[Tb+8>>2]=0;f[Tb+12>>2]=0;f[Tb+16>>2]=0;f[Tb+20>>2]=0;f[Tb+24>>2]=0;f[Tb+28>>2]=0;Tb=Rb&65535;d[Nb>>1]=Tb;Ub=Rb&65535;Sb=Lb+1|0;Vb=(Lb|0)<(Qa|0)?Sb:Qa;if((Ub|0)<(Vb|0)){Wb=Y(Qb|yb,Qa)|0;Xb=Ub;Yb=Tb;while(1){Tb=Da+(Xb+Wb<<4<<1)|0;Zb=0;do{_b=i+(qb*544|0)+32+(Qb<<5)+(Zb<<1)|0;d[_b>>1]=(j[Tb+(Zb<<1)>>1]|0)+(j[_b>>1]|0);Zb=Zb+1|0}while((Zb|0)!=16);Yb=Yb+1<<16>>16;d[Nb>>1]=Yb;Zb=Yb&65535;if((Zb|0)>=(Vb|0)){$b=Zb;break}else Xb=Zb}}else $b=Ub;if(($b|0)>(Lb|0))break;Xb=Sb-Qa|0;Vb=Da+((Y(Qb|yb,Qa)|0)+ib<<4<<1)|0;Yb=0;do{Wb=i+(qb*544|0)+32+(Qb<<5)+(Yb<<1)|0;Zb=(Y(j[Vb+(Yb<<1)>>1]|0,Xb)|0)+(j[Wb>>1]|0)&65535;d[Wb>>1]=Zb;Yb=Yb+1|0}while((Yb|0)!=16);d[Nb>>1]=Sb}while(0);Nb=Ma+(((Rb|0)>0?Rb:0)+rb<<4<<1)|0;Lb=0;do{Ob=i+(qb*544|0)+(Lb<<1)|0;d[Ob>>1]=(j[Ob>>1]|0)-(j[Nb+(Lb<<1)>>1]|0);Lb=Lb+1|0}while((Lb|0)!=16);Lb=(j[i+(qb*544|0)+32+(Qb<<5)>>1]|0)+Pb|0;do if((Lb|0)<=(Ra|0)){Nb=(j[i+(qb*544|0)+32+(Qb<<5)+2>>1]|0)+Lb|0;if((Nb|0)>(Ra|0)){ac=1;break}Rb=(j[i+(qb*544|0)+32+(Qb<<5)+4>>1]|0)+Nb|0;if((Rb|0)>(Ra|0)){ac=2;break}Nb=(j[i+(qb*544|0)+32+(Qb<<5)+6>>1]|0)+Rb|0;if((Nb|0)>(Ra|0)){ac=3;break}Rb=(j[i+(qb*544|0)+32+(Qb<<5)+8>>1]|0)+Nb|0;if((Rb|0)>(Ra|0)){ac=4;break}Nb=(j[i+(qb*544|0)+32+(Qb<<5)+10>>1]|0)+Rb|0;if((Nb|0)>(Ra|0)){ac=5;break}Rb=(j[i+(qb*544|0)+32+(Qb<<5)+12>>1]|0)+Nb|0;if((Rb|0)>(Ra|0)){ac=6;break}Nb=(j[i+(qb*544|0)+32+(Qb<<5)+14>>1]|0)+Rb|0;if((Nb|0)>(Ra|0)){ac=7;break}Rb=(j[i+(qb*544|0)+32+(Qb<<5)+16>>1]|0)+Nb|0;if((Rb|0)>(Ra|0)){ac=8;break}Nb=(j[i+(qb*544|0)+32+(Qb<<5)+18>>1]|0)+Rb|0;if((Nb|0)>(Ra|0)){ac=9;break}Rb=(j[i+(qb*544|0)+32+(Qb<<5)+20>>1]|0)+Nb|0;if((Rb|0)>(Ra|0)){ac=10;break}Nb=(j[i+(qb*544|0)+32+(Qb<<5)+22>>1]|0)+Rb|0;if((Nb|0)>(Ra|0)){ac=11;break}Rb=(j[i+(qb*544|0)+32+(Qb<<5)+24>>1]|0)+Nb|0;if((Rb|0)>(Ra|0)){ac=12;break}Nb=(j[i+(qb*544|0)+32+(Qb<<5)+26>>1]|0)+Rb|0;if((Nb|0)>(Ra|0)){ac=13;break}Rb=(j[i+(qb*544|0)+32+(Qb<<5)+28>>1]|0)+Nb|0;if((Rb|0)>(Ra|0)){ac=14;break}if(((j[i+(qb*544|0)+32+(Qb<<5)+30>>1]|0)+Rb|0)>(Ra|0))ac=15;else{_a=294;break e}}else ac=0;while(0);Lb=hb+(sb+(Y(Kb,Oa)|0))|0;b[Lb>>0]=ac|Qb<<4;Kb=Kb+1|0}while((Kb|0)<(gb|0))}if((qb|0)<(va|0))qb=qb+1|0;else break}mb=mb+1|0}while((mb|0)<(Na|0))}Ta=Ta+Fa|0;Ua=f[Ga>>2]|0;if((Ua|0)<=(Ta|0)){_a=201;break}}if((_a|0)==201){Ta=f[m>>2]|0;if(!Ta)break;bc=f[Ea>>2]|0;cc=Ta;dc=Ta;_a=203;break}else if((_a|0)==279){f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;b[o+11>>0]=6;b[o>>0]=b[268029]|0;b[o+1>>0]=b[268030]|0;b[o+2>>0]=b[268031]|0;b[o+3>>0]=b[268032]|0;b[o+4>>0]=b[268033]|0;b[o+5>>0]=b[268034]|0;b[o+6>>0]=0;WD(-215,o,268012,264656,4371)}else if((_a|0)==294){f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;b[o+11>>0]=6;b[o>>0]=b[268036]|0;b[o+1>>0]=b[268037]|0;b[o+2>>0]=b[268038]|0;b[o+3>>0]=b[268039]|0;b[o+4>>0]=b[268040]|0;b[o+5>>0]=b[268041]|0;b[o+6>>0]=0;WD(-215,o,268012,264656,4408)}}else{bc=Ka;cc=La;dc=La;_a=203}while(0);if((_a|0)==203){if((bc|0)!=(cc|0))f[Ea>>2]=bc+(~((bc+-2-cc|0)>>>1)<<1);fuc(dc)}La=f[l>>2]|0;if(La|0){Ka=f[fa>>2]|0;if((Ka|0)!=(La|0))f[fa>>2]=Ka+(~((Ka+-2-La|0)>>>1)<<1);fuc(La)}}else{if((f[ca>>2]|0)==(f[T>>2]|0)){La=i+8|0;f[La>>2]=0;f[La+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=Q;EI(N,i)}else{La=N+36|0;Ka=f[La>>2]|0;if(Ka){Ga=Ka+12|0;f[Ga>>2]=(f[Ga>>2]|0)+1;Ga=Q+36|0;Ka=f[Ga>>2]|0;if((Ka|0)!=0?(Fa=Ka+12|0,Ka=f[Fa>>2]|0,f[Fa>>2]=Ka+-1,(Ka|0)==1):0){aU(Q);ec=Ga}else ec=Ga}else ec=Q+36|0;f[ec>>2]=0;Ga=Q+16|0;f[Ga>>2]=0;f[Ga+4>>2]=0;f[Ga+8>>2]=0;f[Ga+12>>2]=0;if((f[R>>2]|0)>0){Ka=f[$>>2]|0;Fa=0;do{f[Ka+(Fa<<2)>>2]=0;Fa=Fa+1|0;fc=f[R>>2]|0}while((Fa|0)<(fc|0));f[Q>>2]=f[aa>>2];if((fc|0)<3)_a=37;else _a=39}else{f[Q>>2]=f[aa>>2];_a=37}if((_a|0)==37){Fa=f[N+4>>2]|0;if((Fa|0)<3){f[R>>2]=Fa;f[_>>2]=f[X>>2];f[Q+12>>2]=f[O>>2];Fa=f[N+44>>2]|0;Ka=f[Z>>2]|0;f[Ka>>2]=f[Fa>>2];f[Ka+4>>2]=f[Fa+4>>2]}else _a=39}if((_a|0)==39)$T(Q,N);f[Ga>>2]=f[T>>2];f[Q+20>>2]=f[N+20>>2];f[Q+24>>2]=f[N+24>>2];f[Q+28>>2]=f[N+28>>2];f[Q+32>>2]=f[N+32>>2];f[ec>>2]=f[La>>2]}Fa=f[Q>>2]|0;switch(Fa&7){case 0:{Xla(Q,P,e);break a;break}case 2:{Ka=f[Q+16>>2]|0;fa=f[ca>>2]|0;Ea=(f[S>>2]|0)>>>1;Na=(f[P+48>>2]|0)>>>1;va=f[P+40>>2]|0;Oa=f[va+4>>2]|0;Ma=f[va>>2]|0;va=Fa>>>3;Da=va&511;Ha=Da+1|0;b[i>>0]=0;f:do switch(e|0){case 3:{Pa=(Ma|0)==1;if((Oa|0)==1|Pa){ma=Ma+Oa|0;ea=ma+-1|0;Ia=Pa?Ha:Ea;na=Pa?0:Ea-Ha|0;Ja=Pa?Ha:Na;if((ma|0)<=1)break f;Pa=0-Ia|0;wa=ma+-2|0;ma=fa;oa=0;Ta=Ka;while(1){Ua=(oa|0)>0?Pa:0;Ra=(oa|0)<(wa|0)?Ia:0;Sa=0;ua=Ta;while(1){ta=d[ua+(Ua<<1)>>1]|0;ka=d[ua>>1]|0;sa=j[ua+(Ra<<1)>>1]|0;pa=(ka&65535)<(ta&65535);Aa=(pa?ka:ta)&65535;ra=(pa?ta:ka)&65535;ka=sa>>>0<ra>>>0?sa:ra;d[ma+(Sa<<1)>>1]=(ka|0)<(Aa|0)?Aa:ka;Sa=Sa+1|0;if((Sa|0)==(Ha|0))break;else ua=ua+2|0}oa=oa+1|0;if((oa|0)>=(ea|0))break f;else{ma=ma+(Ja<<1)|0;Ta=Ta+(Ha<<1)+(na<<1)|0}}}na=Y(Oa,Ha)|0;if((Ma|0)>0){Ta=Ma+-1|0;Ja=(va|-512)^511;ma=Ja+-1+na|0;ea=na-Ha|0;oa=fa;Ia=0;while(1){wa=Ia+-1|0;Pa=Ka+((Y((wa|0)>0?wa:0,Ea)|0)<<1)|0;wa=Ka+((Y(Ia,Ea)|0)<<1)|0;Ia=Ia+1|0;ua=Ka+((Y((Ta|0)<(Ia|0)?Ta:Ia,Ea)|0)<<1)|0;Sa=b[i>>0]&1?Ha:na;Ra=0;g:while(1){if((Ra|0)<(Sa|0)){Ua=Ra;do{ka=Ua-((Ua|0)>(Da|0)?Ha:0)|0;Aa=((Ua|0)<(ea|0)?Ha:0)+Ua|0;ra=d[Pa+(ka<<1)>>1]|0;sa=d[Pa+(Ua<<1)>>1]|0;ta=d[Pa+(Aa<<1)>>1]|0;pa=d[wa+(ka<<1)>>1]|0;za=d[wa+(Ua<<1)>>1]|0;xa=d[wa+(Aa<<1)>>1]|0;ya=d[ua+(ka<<1)>>1]|0;ka=d[ua+(Ua<<1)>>1]|0;Ba=d[ua+(Aa<<1)>>1]|0;Aa=(ta&65535)<(sa&65535);Ca=Aa?ta:sa;mb=Aa?sa:ta;ta=(xa&65535)<(za&65535);sa=ta?xa:za;Aa=ta?za:xa;xa=(Ba&65535)<(ka&65535);za=xa?Ba:ka;ta=xa?ka:Ba;Ba=(Ca&65535)<(ra&65535);ka=(Ba?Ca:ra)&65535;xa=Ba?ra:Ca;Ca=(sa&65535)<(pa&65535);ra=(Ca?sa:pa)&65535;Ba=Ca?pa:sa;sa=(za&65535)<(ya&65535);pa=(sa?za:ya)&65535;Ca=sa?ya:za;za=(mb&65535)<(xa&65535);ya=(za?mb:xa)&65535;sa=(za?xa:mb)&65535;mb=(Aa&65535)<(Ba&65535);xa=mb?Aa:Ba;za=(mb?Ba:Aa)&65535;Aa=(ta&65535)<(Ca&65535);Ba=Aa?ta:Ca;mb=(Aa?Ca:ta)&65535;ta=ra>>>0<ka>>>0?ka:ra;ra=mb>>>0<za>>>0?mb:za;za=(Ba&65535)<(xa&65535);mb=(za?Ba:xa)&65535;ka=(za?xa:Ba)&65535;Ba=(pa|0)<(ta|0)?ta:pa;pa=mb>>>0<ya>>>0?ya:mb;mb=(ra|0)<(sa|0)?ra:sa;sa=(ka|0)<(pa|0)?ka:pa;pa=(mb|0)<(sa|0);ka=pa?mb:sa;ra=pa?sa:mb;mb=(ka|0)<(Ba|0)?Ba:ka;d[oa+(Ua<<1)>>1]=(ra|0)<(mb|0)?ra:mb;Ua=Ua+1|0}while((Ua|0)!=(Sa|0));gc=Sa}else gc=Ra;if((Sa|0)==(na|0))break;if((gc|0)>(ma|0)){Sa=na;Ra=gc;continue}else hc=gc;while(1){Ua=Pa+(hc<<1)|0;mb=d[Ua+(Ja<<1)>>1]|0;ra=d[Ua>>1]|0;ka=d[Ua+(Ha<<1)>>1]|0;Ua=wa+(hc<<1)|0;Ba=d[Ua+(Ja<<1)>>1]|0;sa=d[Ua>>1]|0;pa=d[Ua+(Ha<<1)>>1]|0;Ua=ua+(hc<<1)|0;ya=d[Ua+(Ja<<1)>>1]|0;ta=d[Ua>>1]|0;xa=d[Ua+(Ha<<1)>>1]|0;Ua=(ka&65535)<(ra&65535);za=Ua?ka:ra;Ca=Ua?ra:ka;ka=(pa&65535)<(sa&65535);ra=ka?pa:sa;Ua=ka?sa:pa;pa=(xa&65535)<(ta&65535);sa=pa?xa:ta;ka=pa?ta:xa;xa=(za&65535)<(mb&65535);ta=(xa?za:mb)&65535;pa=xa?mb:za;za=(ra&65535)<(Ba&65535);mb=(za?ra:Ba)&65535;xa=za?Ba:ra;ra=(sa&65535)<(ya&65535);Ba=(ra?sa:ya)&65535;za=ra?ya:sa;sa=(Ca&65535)<(pa&65535);ya=(sa?Ca:pa)&65535;ra=(sa?pa:Ca)&65535;Ca=(Ua&65535)<(xa&65535);pa=Ca?Ua:xa;sa=(Ca?xa:Ua)&65535;Ua=(ka&65535)<(za&65535);xa=Ua?ka:za;Ca=(Ua?za:ka)&65535;ka=mb>>>0<ta>>>0?ta:mb;mb=Ca>>>0<sa>>>0?Ca:sa;sa=(xa&65535)<(pa&65535);Ca=(sa?xa:pa)&65535;ta=(sa?pa:xa)&65535;xa=(Ba|0)<(ka|0)?ka:Ba;Ba=Ca>>>0<ya>>>0?ya:Ca;Ca=(mb|0)<(ra|0)?mb:ra;ra=(ta|0)<(Ba|0)?ta:Ba;Ba=(Ca|0)<(ra|0);ta=Ba?Ca:ra;mb=Ba?ra:Ca;Ca=(ta|0)<(xa|0)?xa:ta;d[oa+(hc<<1)>>1]=(mb|0)<(Ca|0)?mb:Ca;Ca=hc+1|0;if((hc|0)<(ma|0))hc=Ca;else{Sa=na;Ra=Ca;continue g}}}if((Ia|0)==(Ma|0))break;else oa=oa+(Na<<1)|0}}break}case 5:{oa=(Ma|0)==1;if((Oa|0)==1|oa){Ia=Ma+Oa|0;na=Ia+-1|0;ma=oa?Ha:Ea;Ja=oa?0:Ea-Ha|0;ea=oa?Ha:Na;if((Ia|0)<=1)break f;oa=0-ma|0;Ta=oa<<1;Ra=Ia+-2|0;Sa=Ia+-3|0;Ia=ma<<1;ua=fa;wa=0;Pa=Ka;while(1){Ca=(wa|0)>0?oa:0;mb=(wa|0)>1?Ta:Ca;ta=(wa|0)<(Ra|0)?ma:0;xa=(wa|0)<(Sa|0)?Ia:ta;ra=Pa;Ba=0;while(1){ya=d[ra+(mb<<1)>>1]|0;ka=d[ra+(Ca<<1)>>1]|0;pa=d[ra>>1]|0;sa=d[ra+(ta<<1)>>1]|0;za=d[ra+(xa<<1)>>1]|0;Ua=(ka&65535)<(ya&65535);Aa=(Ua?ka:ya)&65535;gb=(Ua?ya:ka)&65535;ka=(za&65535)<(sa&65535);ya=ka?za:sa;Ua=ka?sa:za;za=(ya&65535)<(pa&65535);sa=(za?ya:pa)&65535;ka=za?pa:ya;ya=(Ua&65535)<(ka&65535);pa=(ya?Ua:ka)&65535;za=(ya?ka:Ua)&65535;Ua=sa>>>0<Aa>>>0?Aa:sa;sa=(za|0)<(Ua|0)?za:Ua;Ua=pa>>>0<gb>>>0?pa:gb;d[ua+(Ba<<1)>>1]=(sa|0)<(Ua|0)?Ua:sa;Ba=Ba+1|0;if((Ba|0)==(Ha|0))break;else ra=ra+2|0}wa=wa+1|0;if((wa|0)>=(na|0))break f;else{ua=ua+(ea<<1)|0;Pa=Pa+(Ha<<1)+(Ja<<1)|0}}}Ja=Y(Oa,Ha)|0;if((Ma|0)>0){Pa=Ma+-1|0;ea=Ha<<1;ua=0-ea|0;na=Ja+~ea|0;wa=(va|-512)^511;Ia=Ja-Ha|0;Sa=Ja-ea|0;ma=fa;Ra=0;while(1){Ta=Ra+-2|0;oa=Ka+((Y((Ta|0)>0?Ta:0,Ea)|0)<<1)|0;Ta=Ra+-1|0;ra=Ka+((Y((Ta|0)>0?Ta:0,Ea)|0)<<1)|0;Ta=Ka+((Y(Ra,Ea)|0)<<1)|0;Ba=Ra;Ra=Ra+1|0;xa=Ka+((Y((Pa|0)<(Ra|0)?Pa:Ra,Ea)|0)<<1)|0;ta=Ba+2|0;Ba=Ka+((Y((Pa|0)<(ta|0)?Pa:ta,Ea)|0)<<1)|0;ta=b[i>>0]&1?ea:Ja;Ca=0;h:while(1){if((Ca|0)<(ta|0)){mb=Ca;do{sa=mb-((mb|0)>(Da|0)?Ha:0)|0;Ua=(mb|0)<(ea|0)?sa:mb-ea|0;gb=((mb|0)<(Ia|0)?Ha:0)+mb|0;pa=(mb|0)<(Sa|0)?mb+ea|0:gb;za=d[oa+(Ua<<1)>>1]|0;Aa=d[oa+(sa<<1)>>1]|0;ka=d[oa+(mb<<1)>>1]|0;ya=d[oa+(gb<<1)>>1]|0;hb=d[oa+(pa<<1)>>1]|0;ib=d[ra+(Ua<<1)>>1]|0;Qa=d[ra+(sa<<1)>>1]|0;fb=d[ra+(mb<<1)>>1]|0;ab=d[ra+(gb<<1)>>1]|0;Ya=d[ra+(pa<<1)>>1]|0;db=d[Ta+(Ua<<1)>>1]|0;bb=d[Ta+(sa<<1)>>1]|0;Za=d[Ta+(mb<<1)>>1]|0;qb=d[Ta+(gb<<1)>>1]|0;eb=d[Ta+(pa<<1)>>1]|0;pb=d[xa+(Ua<<1)>>1]|0;ob=d[xa+(sa<<1)>>1]|0;Kb=d[xa+(mb<<1)>>1]|0;sb=d[xa+(gb<<1)>>1]|0;rb=d[xa+(pa<<1)>>1]|0;Jb=d[Ba+(Ua<<1)>>1]|0;Ua=d[Ba+(sa<<1)>>1]|0;sa=d[Ba+(mb<<1)>>1]|0;Ib=d[Ba+(gb<<1)>>1]|0;gb=d[Ba+(pa<<1)>>1]|0;pa=(ka&65535)<(Aa&65535)?ka:Aa;Hb=(ka&65535)>(Aa&65535)?ka:Aa;Aa=(pa&65535)<(za&65535);ka=Aa?pa:za;Gb=Aa?za:pa;pa=(Hb&65535)<(Gb&65535);za=pa?Hb:Gb;Aa=pa?Gb:Hb;Hb=(ib&65535)<(hb&65535);Gb=Hb?ib:hb;pa=Hb?hb:ib;ib=(Gb&65535)<(ya&65535);hb=ib?Gb:ya;Hb=ib?ya:Gb;Gb=(pa&65535)<(Hb&65535);ya=Gb?pa:Hb;ib=Gb?Hb:pa;pa=(hb&65535)<(ka&65535);Hb=pa?hb:ka;Gb=pa?ka:hb;hb=(ib&65535)<(Aa&65535);ka=hb?ib:Aa;pa=hb?Aa:ib;ib=(Gb&65535)<(ka&65535);Aa=ib?Gb:ka;hb=ib?ka:Gb;Gb=(ya&65535)<(za&65535);ka=Gb?ya:za;ib=Gb?za:ya;ya=(Aa&65535)<(ka&65535);za=ya?Aa:ka;Gb=ya?ka:Aa;Aa=(ib&65535)<(hb&65535);ka=Aa?ib:hb;ya=Aa?hb:ib;ib=(ab&65535)<(fb&65535);hb=ib?ab:fb;Aa=ib?fb:ab;ab=(hb&65535)<(Qa&65535);fb=ab?hb:Qa;ib=ab?Qa:hb;hb=(Aa&65535)<(ib&65535);Qa=hb?Aa:ib;ab=hb?ib:Aa;Aa=(bb&65535)<(db&65535);ib=Aa?bb:db;hb=Aa?db:bb;bb=(ib&65535)<(Ya&65535);db=bb?ib:Ya;Aa=bb?Ya:ib;ib=(hb&65535)<(Aa&65535);Ya=ib?hb:Aa;bb=ib?Aa:hb;hb=(db&65535)<(fb&65535);Aa=hb?db:fb;ib=hb?fb:db;db=(bb&65535)<(ab&65535);fb=db?bb:ab;hb=db?ab:bb;bb=(ib&65535)<(fb&65535);ab=bb?ib:fb;db=bb?fb:ib;ib=(Ya&65535)<(Qa&65535);fb=ib?Ya:Qa;bb=ib?Qa:Ya;Ya=(ab&65535)<(fb&65535);Qa=Ya?ab:fb;ib=Ya?fb:ab;ab=(bb&65535)<(db&65535);fb=ab?bb:db;Ya=ab?db:bb;bb=(Aa&65535)<(Hb&65535);db=(bb?Aa:Hb)&65535;ab=bb?Hb:Aa;Aa=(Ya&65535)<(ya&65535);Hb=Aa?Ya:ya;bb=Aa?ya:Ya;Ya=(ab&65535)<(Hb&65535);ya=Ya?ab:Hb;Aa=Ya?Hb:ab;ab=(ib&65535)<(Gb&65535);Hb=ab?ib:Gb;Ya=ab?Gb:ib;ib=(ya&65535)<(Hb&65535);Gb=ib?ya:Hb;ab=ib?Hb:ya;ya=(Ya&65535)<(Aa&65535);Hb=ya?Ya:Aa;ib=ya?Aa:Ya;Ya=(Qa&65535)<(za&65535);Aa=Ya?Qa:za;ya=Ya?za:Qa;Qa=(hb&65535)<(pa&65535);za=Qa?hb:pa;Ya=(Qa?pa:hb)&65535;hb=(ya&65535)<(za&65535);pa=hb?ya:za;Qa=hb?za:ya;ya=(fb&65535)<(ka&65535);za=ya?fb:ka;hb=ya?ka:fb;fb=(pa&65535)<(za&65535);ka=fb?pa:za;ya=fb?za:pa;pa=(hb&65535)<(Qa&65535);za=pa?hb:Qa;fb=pa?Qa:hb;hb=(Gb&65535)<(Aa&65535);Qa=(hb?Gb:Aa)&65535;pa=(hb?Aa:Gb)&65535;Gb=(ab&65535)<(ka&65535);Aa=(Gb?ab:ka)&65535;hb=(Gb?ka:ab)&65535;ab=(Hb&65535)<(ya&65535);ka=(ab?Hb:ya)&65535;Gb=(ab?ya:Hb)&65535;Hb=(ib&65535)<(za&65535);ya=(Hb?ib:za)&65535;ab=(Hb?za:ib)&65535;ib=(bb&65535)<(fb&65535);za=(ib?bb:fb)&65535;Hb=(ib?fb:bb)&65535;bb=(eb&65535)<(qb&65535);fb=bb?eb:qb;ib=bb?qb:eb;eb=(fb&65535)<(Za&65535);qb=eb?fb:Za;bb=eb?Za:fb;fb=(ib&65535)<(bb&65535);Za=fb?ib:bb;eb=fb?bb:ib;ib=(Kb&65535)<(ob&65535);bb=ib?Kb:ob;fb=ib?ob:Kb;Kb=(bb&65535)<(pb&65535);ob=Kb?bb:pb;ib=Kb?pb:bb;bb=(fb&65535)<(ib&65535);pb=bb?fb:ib;Kb=bb?ib:fb;fb=(ob&65535)<(qb&65535);ib=fb?ob:qb;bb=fb?qb:ob;ob=(Kb&65535)<(eb&65535);qb=ob?Kb:eb;fb=ob?eb:Kb;Kb=(bb&65535)<(qb&65535);eb=Kb?bb:qb;ob=Kb?qb:bb;bb=(pb&65535)<(Za&65535);qb=bb?pb:Za;Kb=bb?Za:pb;pb=(eb&65535)<(qb&65535);Za=pb?eb:qb;bb=pb?qb:eb;eb=(Kb&65535)<(ob&65535);qb=eb?Kb:ob;pb=eb?ob:Kb;Kb=(Jb&65535)<(rb&65535);ob=Kb?Jb:rb;eb=Kb?rb:Jb;Jb=(ob&65535)<(sb&65535);rb=Jb?ob:sb;Kb=Jb?sb:ob;ob=(eb&65535)<(Kb&65535);sb=ob?eb:Kb;Jb=ob?Kb:eb;eb=(sa&65535)<(Ua&65535);Kb=eb?sa:Ua;ob=eb?Ua:sa;sa=(gb&65535)<(Ib&65535);Ua=sa?gb:Ib;eb=sa?Ib:gb;gb=(Ua&65535)<(Kb&65535);Ib=gb?Ua:Kb;sa=gb?Kb:Ua;Ua=(eb&65535)<(ob&65535);Kb=Ua?eb:ob;gb=Ua?ob:eb;eb=(sa&65535)<(Kb&65535);ob=eb?sa:Kb;Ua=eb?Kb:sa;sa=(Ib&65535)<(rb&65535);Kb=sa?Ib:rb;eb=sa?rb:Ib;Ib=(Ua&65535)<(Jb&65535);rb=Ib?Ua:Jb;sa=Ib?Jb:Ua;Ua=(eb&65535)<(rb&65535);Jb=Ua?eb:rb;Ib=Ua?rb:eb;eb=(ob&65535)<(sb&65535);rb=eb?ob:sb;Ua=eb?sb:ob;ob=(gb&65535)<(Ua&65535);sb=ob?gb:Ua;eb=ob?Ua:gb;gb=(Jb&65535)<(rb&65535);Ua=gb?Jb:rb;ob=gb?rb:Jb;Jb=(sb&65535)<(Ib&65535);rb=Jb?sb:Ib;gb=Jb?Ib:sb;sb=(eb&65535)<(sa&65535);Ib=sb?eb:sa;Jb=sb?sa:eb;eb=(Kb&65535)<(ib&65535);sa=(eb?Kb:ib)&65535;sb=eb?ib:Kb;Kb=(gb&65535)<(pb&65535);ib=Kb?gb:pb;eb=Kb?pb:gb;gb=(sb&65535)<(ib&65535);pb=gb?sb:ib;Kb=gb?ib:sb;sb=(ob&65535)<(bb&65535);ib=sb?ob:bb;gb=sb?bb:ob;ob=(Jb&65535)<(gb&65535);bb=ob?Jb:gb;sb=ob?gb:Jb;Jb=(pb&65535)<(ib&65535);gb=Jb?pb:ib;ob=Jb?ib:pb;pb=(bb&65535)<(Kb&65535);ib=pb?bb:Kb;Jb=pb?Kb:bb;bb=(sb&65535)<(eb&65535);Kb=bb?sb:eb;pb=bb?eb:sb;sb=(Ua&65535)<(Za&65535);eb=sb?Ua:Za;bb=sb?Za:Ua;Ua=(Ib&65535)<(fb&65535);Za=Ua?Ib:fb;sb=Ua?fb:Ib;Ib=(bb&65535)<(Za&65535);fb=Ib?bb:Za;Ua=Ib?Za:bb;bb=(rb&65535)<(qb&65535);Za=bb?rb:qb;Ib=bb?qb:rb;rb=(fb&65535)<(Za&65535);qb=rb?fb:Za;bb=rb?Za:fb;fb=(Ib&65535)<(Ua&65535);Za=fb?Ib:Ua;rb=fb?Ua:Ib;Ib=(gb&65535)<(eb&65535);Ua=(Ib?gb:eb)&65535;fb=(Ib?eb:gb)&65535;gb=(ob&65535)<(qb&65535);eb=(gb?ob:qb)&65535;Ib=(gb?qb:ob)&65535;ob=(ib&65535)<(bb&65535);qb=(ob?ib:bb)&65535;gb=(ob?bb:ib)&65535;ib=(Jb&65535)<(Za&65535);bb=(ib?Jb:Za)&65535;ob=(ib?Za:Jb)&65535;Jb=(Kb&65535)<(rb&65535);Za=(Jb?Kb:rb)&65535;ib=(Jb?rb:Kb)&65535;Kb=(pb&65535)<(sb&65535);rb=(Kb?pb:sb)&65535;Jb=(Kb?sb:pb)&65535;pb=sa>>>0<db>>>0?db:sa;sa=ob>>>0<ab>>>0?ob:ab;ab=(pb|0)<(sa|0)?sa:pb;pb=Ib>>>0<hb>>>0?hb:Ib;Ib=(Jb|0)<(pb|0)?Jb:pb;pb=(Ib|0)<(ab|0)?Ib:ab;ab=fb>>>0<pa>>>0?pa:fb;fb=ib>>>0<Hb>>>0?ib:Hb;Hb=(ab|0)<(fb|0)?ab:fb;fb=gb>>>0<Gb>>>0?gb:Gb;Gb=(Hb|0)<(fb|0)?fb:Hb;Hb=(pb|0)<(Gb|0)?Gb:pb;pb=Ua>>>0<Qa>>>0?Qa:Ua;Ua=Za>>>0<za>>>0?Za:za;za=(pb|0)<(Ua|0)?Ua:pb;pb=qb>>>0<ka>>>0?ka:qb;qb=(pb|0)<(za|0)?pb:za;za=eb>>>0<Aa>>>0?Aa:eb;eb=rb>>>0<Ya>>>0?rb:Ya;Ya=(za|0)<(eb|0)?za:eb;eb=bb>>>0<ya>>>0?bb:ya;ya=(Ya|0)<(eb|0)?eb:Ya;Ya=(qb|0)<(ya|0)?qb:ya;d[ma+(mb<<1)>>1]=(Hb|0)<(Ya|0)?Ya:Hb;mb=mb+1|0}while((mb|0)!=(ta|0));ic=ta}else ic=Ca;if((ta|0)==(Ja|0))break;if((ic|0)>(na|0)){ta=Ja;Ca=ic;continue}else jc=ic;while(1){mb=oa+(jc<<1)|0;Hb=d[mb+(ua<<1)>>1]|0;Ya=d[mb+(wa<<1)>>1]|0;ya=d[mb>>1]|0;qb=d[mb+(Ha<<1)>>1]|0;eb=d[mb+(ea<<1)>>1]|0;mb=ra+(jc<<1)|0;bb=d[mb+(ua<<1)>>1]|0;za=d[mb+(wa<<1)>>1]|0;rb=d[mb>>1]|0;Aa=d[mb+(Ha<<1)>>1]|0;pb=d[mb+(ea<<1)>>1]|0;mb=Ta+(jc<<1)|0;ka=d[mb+(ua<<1)>>1]|0;Ua=d[mb+(wa<<1)>>1]|0;Za=d[mb>>1]|0;Qa=d[mb+(Ha<<1)>>1]|0;Gb=d[mb+(ea<<1)>>1]|0;mb=xa+(jc<<1)|0;fb=d[mb+(ua<<1)>>1]|0;gb=d[mb+(wa<<1)>>1]|0;ab=d[mb>>1]|0;ib=d[mb+(Ha<<1)>>1]|0;pa=d[mb+(ea<<1)>>1]|0;mb=Ba+(jc<<1)|0;Ib=d[mb+(ua<<1)>>1]|0;Jb=d[mb+(wa<<1)>>1]|0;hb=d[mb>>1]|0;sa=d[mb+(Ha<<1)>>1]|0;ob=d[mb+(ea<<1)>>1]|0;mb=(ya&65535)<(Ya&65535)?ya:Ya;db=(ya&65535)>(Ya&65535)?ya:Ya;Ya=(mb&65535)<(Hb&65535);ya=Ya?mb:Hb;sb=Ya?Hb:mb;mb=(db&65535)<(sb&65535);Hb=mb?db:sb;Ya=mb?sb:db;db=(bb&65535)<(eb&65535);sb=db?bb:eb;mb=db?eb:bb;bb=(sb&65535)<(qb&65535);eb=bb?sb:qb;db=bb?qb:sb;sb=(mb&65535)<(db&65535);qb=sb?mb:db;bb=sb?db:mb;mb=(eb&65535)<(ya&65535);db=mb?eb:ya;sb=mb?ya:eb;eb=(bb&65535)<(Ya&65535);ya=eb?bb:Ya;mb=eb?Ya:bb;bb=(sb&65535)<(ya&65535);Ya=bb?sb:ya;eb=bb?ya:sb;sb=(qb&65535)<(Hb&65535);ya=sb?qb:Hb;bb=sb?Hb:qb;qb=(Ya&65535)<(ya&65535);Hb=qb?Ya:ya;sb=qb?ya:Ya;Ya=(bb&65535)<(eb&65535);ya=Ya?bb:eb;qb=Ya?eb:bb;bb=(Aa&65535)<(rb&65535);eb=bb?Aa:rb;Ya=bb?rb:Aa;Aa=(eb&65535)<(za&65535);rb=Aa?eb:za;bb=Aa?za:eb;eb=(Ya&65535)<(bb&65535);za=eb?Ya:bb;Aa=eb?bb:Ya;Ya=(Ua&65535)<(ka&65535);bb=Ya?Ua:ka;eb=Ya?ka:Ua;Ua=(bb&65535)<(pb&65535);ka=Ua?bb:pb;Ya=Ua?pb:bb;bb=(eb&65535)<(Ya&65535);pb=bb?eb:Ya;Ua=bb?Ya:eb;eb=(ka&65535)<(rb&65535);Ya=eb?ka:rb;bb=eb?rb:ka;ka=(Ua&65535)<(Aa&65535);rb=ka?Ua:Aa;eb=ka?Aa:Ua;Ua=(bb&65535)<(rb&65535);Aa=Ua?bb:rb;ka=Ua?rb:bb;bb=(pb&65535)<(za&65535);rb=bb?pb:za;Ua=bb?za:pb;pb=(Aa&65535)<(rb&65535);za=pb?Aa:rb;bb=pb?rb:Aa;Aa=(Ua&65535)<(ka&65535);rb=Aa?Ua:ka;pb=Aa?ka:Ua;Ua=(Ya&65535)<(db&65535);ka=(Ua?Ya:db)&65535;Aa=Ua?db:Ya;Ya=(pb&65535)<(qb&65535);db=Ya?pb:qb;Ua=Ya?qb:pb;pb=(Aa&65535)<(db&65535);qb=pb?Aa:db;Ya=pb?db:Aa;Aa=(bb&65535)<(sb&65535);db=Aa?bb:sb;pb=Aa?sb:bb;bb=(qb&65535)<(db&65535);sb=bb?qb:db;Aa=bb?db:qb;qb=(pb&65535)<(Ya&65535);db=qb?pb:Ya;bb=qb?Ya:pb;pb=(za&65535)<(Hb&65535);Ya=pb?za:Hb;qb=pb?Hb:za;za=(eb&65535)<(mb&65535);Hb=za?eb:mb;pb=(za?mb:eb)&65535;eb=(qb&65535)<(Hb&65535);mb=eb?qb:Hb;za=eb?Hb:qb;qb=(rb&65535)<(ya&65535);Hb=qb?rb:ya;eb=qb?ya:rb;rb=(mb&65535)<(Hb&65535);ya=rb?mb:Hb;qb=rb?Hb:mb;mb=(eb&65535)<(za&65535);Hb=mb?eb:za;rb=mb?za:eb;eb=(sb&65535)<(Ya&65535);za=(eb?sb:Ya)&65535;mb=(eb?Ya:sb)&65535;sb=(Aa&65535)<(ya&65535);Ya=(sb?Aa:ya)&65535;eb=(sb?ya:Aa)&65535;Aa=(db&65535)<(qb&65535);ya=(Aa?db:qb)&65535;sb=(Aa?qb:db)&65535;db=(bb&65535)<(Hb&65535);qb=(db?bb:Hb)&65535;Aa=(db?Hb:bb)&65535;bb=(Ua&65535)<(rb&65535);Hb=(bb?Ua:rb)&65535;db=(bb?rb:Ua)&65535;Ua=(Gb&65535)<(Qa&65535);rb=Ua?Gb:Qa;bb=Ua?Qa:Gb;Gb=(rb&65535)<(Za&65535);Qa=Gb?rb:Za;Ua=Gb?Za:rb;rb=(bb&65535)<(Ua&65535);Za=rb?bb:Ua;Gb=rb?Ua:bb;bb=(ab&65535)<(gb&65535);Ua=bb?ab:gb;rb=bb?gb:ab;ab=(Ua&65535)<(fb&65535);gb=ab?Ua:fb;bb=ab?fb:Ua;Ua=(rb&65535)<(bb&65535);fb=Ua?rb:bb;ab=Ua?bb:rb;rb=(gb&65535)<(Qa&65535);bb=rb?gb:Qa;Ua=rb?Qa:gb;gb=(ab&65535)<(Gb&65535);Qa=gb?ab:Gb;rb=gb?Gb:ab;ab=(Ua&65535)<(Qa&65535);Gb=ab?Ua:Qa;gb=ab?Qa:Ua;Ua=(fb&65535)<(Za&65535);Qa=Ua?fb:Za;ab=Ua?Za:fb;fb=(Gb&65535)<(Qa&65535);Za=fb?Gb:Qa;Ua=fb?Qa:Gb;Gb=(ab&65535)<(gb&65535);Qa=Gb?ab:gb;fb=Gb?gb:ab;ab=(Ib&65535)<(pa&65535);gb=ab?Ib:pa;Gb=ab?pa:Ib;Ib=(gb&65535)<(ib&65535);pa=Ib?gb:ib;ab=Ib?ib:gb;gb=(Gb&65535)<(ab&65535);ib=gb?Gb:ab;Ib=gb?ab:Gb;Gb=(hb&65535)<(Jb&65535);ab=Gb?hb:Jb;gb=Gb?Jb:hb;hb=(ob&65535)<(sa&65535);Jb=hb?ob:sa;Gb=hb?sa:ob;ob=(Jb&65535)<(ab&65535);sa=ob?Jb:ab;hb=ob?ab:Jb;Jb=(Gb&65535)<(gb&65535);ab=Jb?Gb:gb;ob=Jb?gb:Gb;Gb=(hb&65535)<(ab&65535);gb=Gb?hb:ab;Jb=Gb?ab:hb;hb=(sa&65535)<(pa&65535);ab=hb?sa:pa;Gb=hb?pa:sa;sa=(Jb&65535)<(Ib&65535);pa=sa?Jb:Ib;hb=sa?Ib:Jb;Jb=(Gb&65535)<(pa&65535);Ib=Jb?Gb:pa;sa=Jb?pa:Gb;Gb=(gb&65535)<(ib&65535);pa=Gb?gb:ib;Jb=Gb?ib:gb;gb=(ob&65535)<(Jb&65535);ib=gb?ob:Jb;Gb=gb?Jb:ob;ob=(Ib&65535)<(pa&65535);Jb=ob?Ib:pa;gb=ob?pa:Ib;Ib=(ib&65535)<(sa&65535);pa=Ib?ib:sa;ob=Ib?sa:ib;ib=(Gb&65535)<(hb&65535);sa=ib?Gb:hb;Ib=ib?hb:Gb;Gb=(ab&65535)<(bb&65535);hb=(Gb?ab:bb)&65535;ib=Gb?bb:ab;ab=(ob&65535)<(fb&65535);bb=ab?ob:fb;Gb=ab?fb:ob;ob=(ib&65535)<(bb&65535);fb=ob?ib:bb;ab=ob?bb:ib;ib=(gb&65535)<(Ua&65535);bb=ib?gb:Ua;ob=ib?Ua:gb;gb=(Ib&65535)<(ob&65535);Ua=gb?Ib:ob;ib=gb?ob:Ib;Ib=(fb&65535)<(bb&65535);ob=Ib?fb:bb;gb=Ib?bb:fb;fb=(Ua&65535)<(ab&65535);bb=fb?Ua:ab;Ib=fb?ab:Ua;Ua=(ib&65535)<(Gb&65535);ab=Ua?ib:Gb;fb=Ua?Gb:ib;ib=(Jb&65535)<(Za&65535);Gb=ib?Jb:Za;Ua=ib?Za:Jb;Jb=(sa&65535)<(rb&65535);Za=Jb?sa:rb;ib=Jb?rb:sa;sa=(Ua&65535)<(Za&65535);rb=sa?Ua:Za;Jb=sa?Za:Ua;Ua=(pa&65535)<(Qa&65535);Za=Ua?pa:Qa;sa=Ua?Qa:pa;pa=(rb&65535)<(Za&65535);Qa=pa?rb:Za;Ua=pa?Za:rb;rb=(sa&65535)<(Jb&65535);Za=rb?sa:Jb;pa=rb?Jb:sa;sa=(ob&65535)<(Gb&65535);Jb=(sa?ob:Gb)&65535;rb=(sa?Gb:ob)&65535;ob=(gb&65535)<(Qa&65535);Gb=(ob?gb:Qa)&65535;sa=(ob?Qa:gb)&65535;gb=(bb&65535)<(Ua&65535);Qa=(gb?bb:Ua)&65535;ob=(gb?Ua:bb)&65535;bb=(Ib&65535)<(Za&65535);Ua=(bb?Ib:Za)&65535;gb=(bb?Za:Ib)&65535;Ib=(ab&65535)<(pa&65535);Za=(Ib?ab:pa)&65535;bb=(Ib?pa:ab)&65535;ab=(fb&65535)<(ib&65535);pa=(ab?fb:ib)&65535;Ib=(ab?ib:fb)&65535;fb=hb>>>0<ka>>>0?ka:hb;hb=gb>>>0<Aa>>>0?gb:Aa;Aa=(fb|0)<(hb|0)?hb:fb;fb=sa>>>0<eb>>>0?eb:sa;sa=(Ib|0)<(fb|0)?Ib:fb;fb=(sa|0)<(Aa|0)?sa:Aa;Aa=rb>>>0<mb>>>0?mb:rb;rb=bb>>>0<db>>>0?bb:db;db=(Aa|0)<(rb|0)?Aa:rb;rb=ob>>>0<sb>>>0?ob:sb;sb=(db|0)<(rb|0)?rb:db;db=(fb|0)<(sb|0)?sb:fb;fb=Jb>>>0<za>>>0?za:Jb;Jb=Za>>>0<Hb>>>0?Za:Hb;Hb=(fb|0)<(Jb|0)?Jb:fb;fb=Qa>>>0<ya>>>0?ya:Qa;Qa=(fb|0)<(Hb|0)?fb:Hb;Hb=Gb>>>0<Ya>>>0?Ya:Gb;Gb=pa>>>0<pb>>>0?pa:pb;pb=(Hb|0)<(Gb|0)?Hb:Gb;Gb=Ua>>>0<qb>>>0?Ua:qb;qb=(pb|0)<(Gb|0)?Gb:pb;pb=(Qa|0)<(qb|0)?Qa:qb;d[ma+(jc<<1)>>1]=(db|0)<(pb|0)?pb:db;db=jc+1|0;if((jc|0)<(na|0))jc=db;else{ta=Ja;Ca=db;continue h}}}if((Ra|0)==(Ma|0))break;else ma=ma+(Na<<1)|0}}break}default:{}}while(0);break a;break}case 3:{Na=f[Q+16>>2]|0;Ma=f[ca>>2]|0;Ha=(f[S>>2]|0)>>>1;Da=(f[P+48>>2]|0)>>>1;Ea=f[P+40>>2]|0;Ka=f[Ea+4>>2]|0;fa=f[Ea>>2]|0;Ea=Fa>>>3;va=Ea&511;Oa=va+1|0;b[i>>0]=0;i:do switch(e|0){case 3:{La=(fa|0)==1;if((Ka|0)==1|La){Ga=fa+Ka|0;ma=Ga+-1|0;Ra=La?Oa:Ha;Ja=La?0:Ha-Oa|0;na=La?Oa:Da;if((Ga|0)<=1)break i;La=0-Ra|0;ea=Ga+-2|0;Ga=Ma;wa=0;ua=Na;while(1){Sa=(wa|0)>0?La:0;Ia=(wa|0)<(ea|0)?Ra:0;Pa=0;Ca=ua;while(1){ta=d[Ca+(Sa<<1)>>1]|0;Ba=d[Ca>>1]|0;xa=d[Ca+(Ia<<1)>>1]|0;Ta=Ba<<16>>16<ta<<16>>16;ra=(Ta?Ba:ta)<<16>>16;oa=(Ta?ta:Ba)<<16>>16;Ba=(xa|0)<(oa|0)?xa:oa;d[Ga+(Pa<<1)>>1]=(Ba|0)<(ra|0)?ra:Ba;Pa=Pa+1|0;if((Pa|0)==(Oa|0))break;else Ca=Ca+2|0}wa=wa+1|0;if((wa|0)>=(ma|0))break i;else{Ga=Ga+(na<<1)|0;ua=ua+(Oa<<1)+(Ja<<1)|0}}}Ja=Y(Ka,Oa)|0;if((fa|0)>0){ua=fa+-1|0;na=(Ea|-512)^511;Ga=na+-1+Ja|0;ma=Ja-Oa|0;wa=Ma;Ra=0;while(1){ea=Ra+-1|0;La=Na+((Y((ea|0)>0?ea:0,Ha)|0)<<1)|0;ea=Na+((Y(Ra,Ha)|0)<<1)|0;Ra=Ra+1|0;Ca=Na+((Y((ua|0)<(Ra|0)?ua:Ra,Ha)|0)<<1)|0;Pa=b[i>>0]&1?Oa:Ja;Ia=0;j:while(1){if((Ia|0)<(Pa|0)){Sa=Ia;do{Ba=Sa-((Sa|0)>(va|0)?Oa:0)|0;ra=((Sa|0)<(ma|0)?Oa:0)+Sa|0;oa=d[La+(Ba<<1)>>1]|0;xa=d[La+(Sa<<1)>>1]|0;ta=d[La+(ra<<1)>>1]|0;Ta=d[ea+(Ba<<1)>>1]|0;db=d[ea+(Sa<<1)>>1]|0;pb=d[ea+(ra<<1)>>1]|0;qb=d[Ca+(Ba<<1)>>1]|0;Ba=d[Ca+(Sa<<1)>>1]|0;Qa=d[Ca+(ra<<1)>>1]|0;ra=ta<<16>>16<xa<<16>>16;Gb=ra?ta:xa;Ua=ra?xa:ta;ta=pb<<16>>16<db<<16>>16;xa=ta?pb:db;ra=ta?db:pb;pb=Qa<<16>>16<Ba<<16>>16;db=pb?Qa:Ba;ta=pb?Ba:Qa;Qa=Gb<<16>>16<oa<<16>>16;Ba=(Qa?Gb:oa)<<16>>16;pb=Qa?oa:Gb;Gb=xa<<16>>16<Ta<<16>>16;oa=(Gb?xa:Ta)<<16>>16;Qa=Gb?Ta:xa;xa=db<<16>>16<qb<<16>>16;Ta=(xa?db:qb)<<16>>16;Gb=xa?qb:db;db=Ua<<16>>16<pb<<16>>16;qb=(db?Ua:pb)<<16>>16;xa=(db?pb:Ua)<<16>>16;Ua=ra<<16>>16<Qa<<16>>16;pb=Ua?ra:Qa;db=(Ua?Qa:ra)<<16>>16;ra=ta<<16>>16<Gb<<16>>16;Qa=ra?ta:Gb;Ua=(ra?Gb:ta)<<16>>16;ta=(oa|0)<(Ba|0)?Ba:oa;oa=(Ua|0)<(db|0)?Ua:db;db=Qa<<16>>16<pb<<16>>16;Ua=(db?Qa:pb)<<16>>16;Ba=(db?pb:Qa)<<16>>16;Qa=(Ta|0)<(ta|0)?ta:Ta;Ta=(Ua|0)<(qb|0)?qb:Ua;Ua=(oa|0)<(xa|0)?oa:xa;xa=(Ba|0)<(Ta|0)?Ba:Ta;Ta=(Ua|0)<(xa|0);Ba=Ta?Ua:xa;oa=Ta?xa:Ua;Ua=(Ba|0)<(Qa|0)?Qa:Ba;d[wa+(Sa<<1)>>1]=(oa|0)<(Ua|0)?oa:Ua;Sa=Sa+1|0}while((Sa|0)!=(Pa|0));kc=Pa}else kc=Ia;if((Pa|0)==(Ja|0))break;if((kc|0)>(Ga|0)){Pa=Ja;Ia=kc;continue}else lc=kc;while(1){Sa=La+(lc<<1)|0;Ua=d[Sa+(na<<1)>>1]|0;oa=d[Sa>>1]|0;Ba=d[Sa+(Oa<<1)>>1]|0;Sa=ea+(lc<<1)|0;Qa=d[Sa+(na<<1)>>1]|0;xa=d[Sa>>1]|0;Ta=d[Sa+(Oa<<1)>>1]|0;Sa=Ca+(lc<<1)|0;qb=d[Sa+(na<<1)>>1]|0;ta=d[Sa>>1]|0;pb=d[Sa+(Oa<<1)>>1]|0;Sa=Ba<<16>>16<oa<<16>>16;db=Sa?Ba:oa;Gb=Sa?oa:Ba;Ba=Ta<<16>>16<xa<<16>>16;oa=Ba?Ta:xa;Sa=Ba?xa:Ta;Ta=pb<<16>>16<ta<<16>>16;xa=Ta?pb:ta;Ba=Ta?ta:pb;pb=db<<16>>16<Ua<<16>>16;ta=(pb?db:Ua)<<16>>16;Ta=pb?Ua:db;db=oa<<16>>16<Qa<<16>>16;Ua=(db?oa:Qa)<<16>>16;pb=db?Qa:oa;oa=xa<<16>>16<qb<<16>>16;Qa=(oa?xa:qb)<<16>>16;db=oa?qb:xa;xa=Gb<<16>>16<Ta<<16>>16;qb=(xa?Gb:Ta)<<16>>16;oa=(xa?Ta:Gb)<<16>>16;Gb=Sa<<16>>16<pb<<16>>16;Ta=Gb?Sa:pb;xa=(Gb?pb:Sa)<<16>>16;Sa=Ba<<16>>16<db<<16>>16;pb=Sa?Ba:db;Gb=(Sa?db:Ba)<<16>>16;Ba=(Ua|0)<(ta|0)?ta:Ua;Ua=(Gb|0)<(xa|0)?Gb:xa;xa=pb<<16>>16<Ta<<16>>16;Gb=(xa?pb:Ta)<<16>>16;ta=(xa?Ta:pb)<<16>>16;pb=(Qa|0)<(Ba|0)?Ba:Qa;Qa=(Gb|0)<(qb|0)?qb:Gb;Gb=(Ua|0)<(oa|0)?Ua:oa;oa=(ta|0)<(Qa|0)?ta:Qa;Qa=(Gb|0)<(oa|0);ta=Qa?Gb:oa;Ua=Qa?oa:Gb;Gb=(ta|0)<(pb|0)?pb:ta;d[wa+(lc<<1)>>1]=(Ua|0)<(Gb|0)?Ua:Gb;Gb=lc+1|0;if((lc|0)<(Ga|0))lc=Gb;else{Pa=Ja;Ia=Gb;continue j}}}if((Ra|0)==(fa|0))break;else wa=wa+(Da<<1)|0}}break}case 5:{wa=(fa|0)==1;if((Ka|0)==1|wa){Ra=fa+Ka|0;Ja=Ra+-1|0;Ga=wa?Oa:Ha;na=wa?0:Ha-Oa|0;ma=wa?Oa:Da;if((Ra|0)<=1)break i;wa=0-Ga|0;ua=wa<<1;Ia=Ra+-2|0;Pa=Ra+-3|0;Ra=Ga<<1;Ca=Ma;ea=0;La=Na;while(1){Gb=(ea|0)>0?wa:0;Ua=(ea|0)>1?ua:Gb;ta=(ea|0)<(Ia|0)?Ga:0;pb=(ea|0)<(Pa|0)?Ra:ta;oa=La;Qa=0;while(1){qb=d[oa+(Ua<<1)>>1]|0;Ba=d[oa+(Gb<<1)>>1]|0;Ta=d[oa>>1]|0;xa=d[oa+(ta<<1)>>1]|0;db=d[oa+(pb<<1)>>1]|0;Sa=Ba<<16>>16<qb<<16>>16;ra=(Sa?Ba:qb)<<16>>16;Hb=(Sa?qb:Ba)<<16>>16;Ba=db<<16>>16<xa<<16>>16;qb=Ba?db:xa;Sa=Ba?xa:db;db=qb<<16>>16<Ta<<16>>16;xa=(db?qb:Ta)<<16>>16;Ba=db?Ta:qb;qb=Sa<<16>>16<Ba<<16>>16;Ta=(qb?Sa:Ba)<<16>>16;db=(qb?Ba:Sa)<<16>>16;Sa=(xa|0)<(ra|0)?ra:xa;xa=(db|0)<(Sa|0)?db:Sa;Sa=(Ta|0)<(Hb|0)?Ta:Hb;d[Ca+(Qa<<1)>>1]=(xa|0)<(Sa|0)?Sa:xa;Qa=Qa+1|0;if((Qa|0)==(Oa|0))break;else oa=oa+2|0}ea=ea+1|0;if((ea|0)>=(Ja|0))break i;else{Ca=Ca+(ma<<1)|0;La=La+(Oa<<1)+(na<<1)|0}}}na=Y(Ka,Oa)|0;if((fa|0)>0){La=fa+-1|0;ma=Oa<<1;Ca=0-ma|0;Ja=na+~ma|0;ea=(Ea|-512)^511;Ra=na-Oa|0;Pa=na-ma|0;Ga=Ma;Ia=0;while(1){ua=Ia+-2|0;wa=Na+((Y((ua|0)>0?ua:0,Ha)|0)<<1)|0;ua=Ia+-1|0;oa=Na+((Y((ua|0)>0?ua:0,Ha)|0)<<1)|0;ua=Na+((Y(Ia,Ha)|0)<<1)|0;Qa=Ia;Ia=Ia+1|0;pb=Na+((Y((La|0)<(Ia|0)?La:Ia,Ha)|0)<<1)|0;ta=Qa+2|0;Qa=Na+((Y((La|0)<(ta|0)?La:ta,Ha)|0)<<1)|0;ta=b[i>>0]&1?ma:na;Gb=0;k:while(1){if((Gb|0)<(ta|0)){Ua=Gb;do{xa=Ua-((Ua|0)>(va|0)?Oa:0)|0;Sa=(Ua|0)<(ma|0)?xa:Ua-ma|0;Hb=((Ua|0)<(Ra|0)?Oa:0)+Ua|0;Ta=(Ua|0)<(Pa|0)?Ua+ma|0:Hb;db=d[wa+(Sa<<1)>>1]|0;ra=d[wa+(xa<<1)>>1]|0;Ba=d[wa+(Ua<<1)>>1]|0;qb=d[wa+(Hb<<1)>>1]|0;pa=d[wa+(Ta<<1)>>1]|0;Ya=d[oa+(Sa<<1)>>1]|0;fb=d[oa+(xa<<1)>>1]|0;ya=d[oa+(Ua<<1)>>1]|0;Jb=d[oa+(Hb<<1)>>1]|0;Za=d[oa+(Ta<<1)>>1]|0;za=d[ua+(Sa<<1)>>1]|0;sb=d[ua+(xa<<1)>>1]|0;rb=d[ua+(Ua<<1)>>1]|0;ob=d[ua+(Hb<<1)>>1]|0;Aa=d[ua+(Ta<<1)>>1]|0;bb=d[pb+(Sa<<1)>>1]|0;mb=d[pb+(xa<<1)>>1]|0;sa=d[pb+(Ua<<1)>>1]|0;Ib=d[pb+(Hb<<1)>>1]|0;eb=d[pb+(Ta<<1)>>1]|0;hb=d[Qa+(Sa<<1)>>1]|0;Sa=d[Qa+(xa<<1)>>1]|0;xa=d[Qa+(Ua<<1)>>1]|0;gb=d[Qa+(Hb<<1)>>1]|0;Hb=d[Qa+(Ta<<1)>>1]|0;Ta=Ba<<16>>16<ra<<16>>16?Ba:ra;ka=Ba<<16>>16>ra<<16>>16?Ba:ra;ra=Ta<<16>>16<db<<16>>16;Ba=ra?Ta:db;ib=ra?db:Ta;Ta=ka<<16>>16<ib<<16>>16;db=Ta?ka:ib;ra=Ta?ib:ka;ka=Ya<<16>>16<pa<<16>>16;ib=ka?Ya:pa;Ta=ka?pa:Ya;Ya=ib<<16>>16<qb<<16>>16;pa=Ya?ib:qb;ka=Ya?qb:ib;ib=Ta<<16>>16<ka<<16>>16;qb=ib?Ta:ka;Ya=ib?ka:Ta;Ta=pa<<16>>16<Ba<<16>>16;ka=Ta?pa:Ba;ib=Ta?Ba:pa;pa=Ya<<16>>16<ra<<16>>16;Ba=pa?Ya:ra;Ta=pa?ra:Ya;Ya=ib<<16>>16<Ba<<16>>16;ra=Ya?ib:Ba;pa=Ya?Ba:ib;ib=qb<<16>>16<db<<16>>16;Ba=ib?qb:db;Ya=ib?db:qb;qb=ra<<16>>16<Ba<<16>>16;db=qb?ra:Ba;ib=qb?Ba:ra;ra=Ya<<16>>16<pa<<16>>16;Ba=ra?Ya:pa;qb=ra?pa:Ya;Ya=Jb<<16>>16<ya<<16>>16;pa=Ya?Jb:ya;ra=Ya?ya:Jb;Jb=pa<<16>>16<fb<<16>>16;ya=Jb?pa:fb;Ya=Jb?fb:pa;pa=ra<<16>>16<Ya<<16>>16;fb=pa?ra:Ya;Jb=pa?Ya:ra;ra=sb<<16>>16<za<<16>>16;Ya=ra?sb:za;pa=ra?za:sb;sb=Ya<<16>>16<Za<<16>>16;za=sb?Ya:Za;ra=sb?Za:Ya;Ya=pa<<16>>16<ra<<16>>16;Za=Ya?pa:ra;sb=Ya?ra:pa;pa=za<<16>>16<ya<<16>>16;ra=pa?za:ya;Ya=pa?ya:za;za=sb<<16>>16<Jb<<16>>16;ya=za?sb:Jb;pa=za?Jb:sb;sb=Ya<<16>>16<ya<<16>>16;Jb=sb?Ya:ya;za=sb?ya:Ya;Ya=Za<<16>>16<fb<<16>>16;ya=Ya?Za:fb;sb=Ya?fb:Za;Za=Jb<<16>>16<ya<<16>>16;fb=Za?Jb:ya;Ya=Za?ya:Jb;Jb=sb<<16>>16<za<<16>>16;ya=Jb?sb:za;Za=Jb?za:sb;sb=ra<<16>>16<ka<<16>>16;za=(sb?ra:ka)<<16>>16;Jb=sb?ka:ra;ra=Za<<16>>16<qb<<16>>16;ka=ra?Za:qb;sb=ra?qb:Za;Za=Jb<<16>>16<ka<<16>>16;qb=Za?Jb:ka;ra=Za?ka:Jb;Jb=Ya<<16>>16<ib<<16>>16;ka=Jb?Ya:ib;Za=Jb?ib:Ya;Ya=qb<<16>>16<ka<<16>>16;ib=Ya?qb:ka;Jb=Ya?ka:qb;qb=Za<<16>>16<ra<<16>>16;ka=qb?Za:ra;Ya=qb?ra:Za;Za=fb<<16>>16<db<<16>>16;ra=Za?fb:db;qb=Za?db:fb;fb=pa<<16>>16<Ta<<16>>16;db=fb?pa:Ta;Za=(fb?Ta:pa)<<16>>16;pa=qb<<16>>16<db<<16>>16;Ta=pa?qb:db;fb=pa?db:qb;qb=ya<<16>>16<Ba<<16>>16;db=qb?ya:Ba;pa=qb?Ba:ya;ya=Ta<<16>>16<db<<16>>16;Ba=ya?Ta:db;qb=ya?db:Ta;Ta=pa<<16>>16<fb<<16>>16;db=Ta?pa:fb;ya=Ta?fb:pa;pa=ib<<16>>16<ra<<16>>16;fb=(pa?ib:ra)<<16>>16;Ta=(pa?ra:ib)<<16>>16;ib=Jb<<16>>16<Ba<<16>>16;ra=(ib?Jb:Ba)<<16>>16;pa=(ib?Ba:Jb)<<16>>16;Jb=ka<<16>>16<qb<<16>>16;Ba=(Jb?ka:qb)<<16>>16;ib=(Jb?qb:ka)<<16>>16;ka=Ya<<16>>16<db<<16>>16;qb=(ka?Ya:db)<<16>>16;Jb=(ka?db:Ya)<<16>>16;Ya=sb<<16>>16<ya<<16>>16;db=(Ya?sb:ya)<<16>>16;ka=(Ya?ya:sb)<<16>>16;sb=Aa<<16>>16<ob<<16>>16;ya=sb?Aa:ob;Ya=sb?ob:Aa;Aa=ya<<16>>16<rb<<16>>16;ob=Aa?ya:rb;sb=Aa?rb:ya;ya=Ya<<16>>16<sb<<16>>16;rb=ya?Ya:sb;Aa=ya?sb:Ya;Ya=sa<<16>>16<mb<<16>>16;sb=Ya?sa:mb;ya=Ya?mb:sa;sa=sb<<16>>16<bb<<16>>16;mb=sa?sb:bb;Ya=sa?bb:sb;sb=ya<<16>>16<Ya<<16>>16;bb=sb?ya:Ya;sa=sb?Ya:ya;ya=mb<<16>>16<ob<<16>>16;Ya=ya?mb:ob;sb=ya?ob:mb;mb=sa<<16>>16<Aa<<16>>16;ob=mb?sa:Aa;ya=mb?Aa:sa;sa=sb<<16>>16<ob<<16>>16;Aa=sa?sb:ob;mb=sa?ob:sb;sb=bb<<16>>16<rb<<16>>16;ob=sb?bb:rb;sa=sb?rb:bb;bb=Aa<<16>>16<ob<<16>>16;rb=bb?Aa:ob;sb=bb?ob:Aa;Aa=sa<<16>>16<mb<<16>>16;ob=Aa?sa:mb;bb=Aa?mb:sa;sa=hb<<16>>16<eb<<16>>16;mb=sa?hb:eb;Aa=sa?eb:hb;hb=mb<<16>>16<Ib<<16>>16;eb=hb?mb:Ib;sa=hb?Ib:mb;mb=Aa<<16>>16<sa<<16>>16;Ib=mb?Aa:sa;hb=mb?sa:Aa;Aa=xa<<16>>16<Sa<<16>>16;sa=Aa?xa:Sa;mb=Aa?Sa:xa;xa=Hb<<16>>16<gb<<16>>16;Sa=xa?Hb:gb;Aa=xa?gb:Hb;Hb=Sa<<16>>16<sa<<16>>16;gb=Hb?Sa:sa;xa=Hb?sa:Sa;Sa=Aa<<16>>16<mb<<16>>16;sa=Sa?Aa:mb;Hb=Sa?mb:Aa;Aa=xa<<16>>16<sa<<16>>16;mb=Aa?xa:sa;Sa=Aa?sa:xa;xa=gb<<16>>16<eb<<16>>16;sa=xa?gb:eb;Aa=xa?eb:gb;gb=Sa<<16>>16<hb<<16>>16;eb=gb?Sa:hb;xa=gb?hb:Sa;Sa=Aa<<16>>16<eb<<16>>16;hb=Sa?Aa:eb;gb=Sa?eb:Aa;Aa=mb<<16>>16<Ib<<16>>16;eb=Aa?mb:Ib;Sa=Aa?Ib:mb;mb=Hb<<16>>16<Sa<<16>>16;Ib=mb?Hb:Sa;Aa=mb?Sa:Hb;Hb=hb<<16>>16<eb<<16>>16;Sa=Hb?hb:eb;mb=Hb?eb:hb;hb=Ib<<16>>16<gb<<16>>16;eb=hb?Ib:gb;Hb=hb?gb:Ib;Ib=Aa<<16>>16<xa<<16>>16;gb=Ib?Aa:xa;hb=Ib?xa:Aa;Aa=sa<<16>>16<Ya<<16>>16;xa=(Aa?sa:Ya)<<16>>16;Ib=Aa?Ya:sa;sa=Hb<<16>>16<bb<<16>>16;Ya=sa?Hb:bb;Aa=sa?bb:Hb;Hb=Ib<<16>>16<Ya<<16>>16;bb=Hb?Ib:Ya;sa=Hb?Ya:Ib;Ib=mb<<16>>16<sb<<16>>16;Ya=Ib?mb:sb;Hb=Ib?sb:mb;mb=hb<<16>>16<Hb<<16>>16;sb=mb?hb:Hb;Ib=mb?Hb:hb;hb=bb<<16>>16<Ya<<16>>16;Hb=hb?bb:Ya;mb=hb?Ya:bb;bb=sb<<16>>16<sa<<16>>16;Ya=bb?sb:sa;hb=bb?sa:sb;sb=Ib<<16>>16<Aa<<16>>16;sa=sb?Ib:Aa;bb=sb?Aa:Ib;Ib=Sa<<16>>16<rb<<16>>16;Aa=Ib?Sa:rb;sb=Ib?rb:Sa;Sa=gb<<16>>16<ya<<16>>16;rb=Sa?gb:ya;Ib=Sa?ya:gb;gb=sb<<16>>16<rb<<16>>16;ya=gb?sb:rb;Sa=gb?rb:sb;sb=eb<<16>>16<ob<<16>>16;rb=sb?eb:ob;gb=sb?ob:eb;eb=ya<<16>>16<rb<<16>>16;ob=eb?ya:rb;sb=eb?rb:ya;ya=gb<<16>>16<Sa<<16>>16;rb=ya?gb:Sa;eb=ya?Sa:gb;gb=Hb<<16>>16<Aa<<16>>16;Sa=(gb?Hb:Aa)<<16>>16;ya=(gb?Aa:Hb)<<16>>16;Hb=mb<<16>>16<ob<<16>>16;Aa=(Hb?mb:ob)<<16>>16;gb=(Hb?ob:mb)<<16>>16;mb=Ya<<16>>16<sb<<16>>16;ob=(mb?Ya:sb)<<16>>16;Hb=(mb?sb:Ya)<<16>>16;Ya=hb<<16>>16<rb<<16>>16;sb=(Ya?hb:rb)<<16>>16;mb=(Ya?rb:hb)<<16>>16;hb=sa<<16>>16<eb<<16>>16;rb=(hb?sa:eb)<<16>>16;Ya=(hb?eb:sa)<<16>>16;sa=bb<<16>>16<Ib<<16>>16;eb=(sa?bb:Ib)<<16>>16;hb=(sa?Ib:bb)<<16>>16;bb=(xa|0)<(za|0)?za:xa;xa=(mb|0)<(Jb|0)?mb:Jb;Jb=(bb|0)<(xa|0)?xa:bb;bb=(gb|0)<(pa|0)?pa:gb;gb=(hb|0)<(bb|0)?hb:bb;bb=(gb|0)<(Jb|0)?gb:Jb;Jb=(ya|0)<(Ta|0)?Ta:ya;ya=(Ya|0)<(ka|0)?Ya:ka;ka=(Jb|0)<(ya|0)?Jb:ya;ya=(Hb|0)<(ib|0)?Hb:ib;ib=(ka|0)<(ya|0)?ya:ka;ka=(bb|0)<(ib|0)?ib:bb;bb=(Sa|0)<(fb|0)?fb:Sa;Sa=(rb|0)<(db|0)?rb:db;db=(bb|0)<(Sa|0)?Sa:bb;bb=(ob|0)<(Ba|0)?Ba:ob;ob=(bb|0)<(db|0)?bb:db;db=(Aa|0)<(ra|0)?ra:Aa;Aa=(eb|0)<(Za|0)?eb:Za;Za=(db|0)<(Aa|0)?db:Aa;Aa=(sb|0)<(qb|0)?sb:qb;qb=(Za|0)<(Aa|0)?Aa:Za;Za=(ob|0)<(qb|0)?ob:qb;d[Ga+(Ua<<1)>>1]=(ka|0)<(Za|0)?Za:ka;Ua=Ua+1|0}while((Ua|0)!=(ta|0));mc=ta}else mc=Gb;if((ta|0)==(na|0))break;if((mc|0)>(Ja|0)){ta=na;Gb=mc;continue}else nc=mc;while(1){Ua=wa+(nc<<1)|0;ka=d[Ua+(Ca<<1)>>1]|0;Za=d[Ua+(ea<<1)>>1]|0;qb=d[Ua>>1]|0;ob=d[Ua+(Oa<<1)>>1]|0;Aa=d[Ua+(ma<<1)>>1]|0;Ua=oa+(nc<<1)|0;sb=d[Ua+(Ca<<1)>>1]|0;db=d[Ua+(ea<<1)>>1]|0;eb=d[Ua>>1]|0;ra=d[Ua+(Oa<<1)>>1]|0;bb=d[Ua+(ma<<1)>>1]|0;Ua=ua+(nc<<1)|0;Ba=d[Ua+(Ca<<1)>>1]|0;Sa=d[Ua+(ea<<1)>>1]|0;rb=d[Ua>>1]|0;fb=d[Ua+(Oa<<1)>>1]|0;ib=d[Ua+(ma<<1)>>1]|0;Ua=pb+(nc<<1)|0;ya=d[Ua+(Ca<<1)>>1]|0;Hb=d[Ua+(ea<<1)>>1]|0;Jb=d[Ua>>1]|0;Ya=d[Ua+(Oa<<1)>>1]|0;Ta=d[Ua+(ma<<1)>>1]|0;Ua=Qa+(nc<<1)|0;gb=d[Ua+(Ca<<1)>>1]|0;hb=d[Ua+(ea<<1)>>1]|0;pa=d[Ua>>1]|0;xa=d[Ua+(Oa<<1)>>1]|0;mb=d[Ua+(ma<<1)>>1]|0;Ua=qb<<16>>16<Za<<16>>16?qb:Za;za=qb<<16>>16>Za<<16>>16?qb:Za;Za=Ua<<16>>16<ka<<16>>16;qb=Za?Ua:ka;Ib=Za?ka:Ua;Ua=za<<16>>16<Ib<<16>>16;ka=Ua?za:Ib;Za=Ua?Ib:za;za=sb<<16>>16<Aa<<16>>16;Ib=za?sb:Aa;Ua=za?Aa:sb;sb=Ib<<16>>16<ob<<16>>16;Aa=sb?Ib:ob;za=sb?ob:Ib;Ib=Ua<<16>>16<za<<16>>16;ob=Ib?Ua:za;sb=Ib?za:Ua;Ua=Aa<<16>>16<qb<<16>>16;za=Ua?Aa:qb;Ib=Ua?qb:Aa;Aa=sb<<16>>16<Za<<16>>16;qb=Aa?sb:Za;Ua=Aa?Za:sb;sb=Ib<<16>>16<qb<<16>>16;Za=sb?Ib:qb;Aa=sb?qb:Ib;Ib=ob<<16>>16<ka<<16>>16;qb=Ib?ob:ka;sb=Ib?ka:ob;ob=Za<<16>>16<qb<<16>>16;ka=ob?Za:qb;Ib=ob?qb:Za;Za=sb<<16>>16<Aa<<16>>16;qb=Za?sb:Aa;ob=Za?Aa:sb;sb=ra<<16>>16<eb<<16>>16;Aa=sb?ra:eb;Za=sb?eb:ra;ra=Aa<<16>>16<db<<16>>16;eb=ra?Aa:db;sb=ra?db:Aa;Aa=Za<<16>>16<sb<<16>>16;db=Aa?Za:sb;ra=Aa?sb:Za;Za=Sa<<16>>16<Ba<<16>>16;sb=Za?Sa:Ba;Aa=Za?Ba:Sa;Sa=sb<<16>>16<bb<<16>>16;Ba=Sa?sb:bb;Za=Sa?bb:sb;sb=Aa<<16>>16<Za<<16>>16;bb=sb?Aa:Za;Sa=sb?Za:Aa;Aa=Ba<<16>>16<eb<<16>>16;Za=Aa?Ba:eb;sb=Aa?eb:Ba;Ba=Sa<<16>>16<ra<<16>>16;eb=Ba?Sa:ra;Aa=Ba?ra:Sa;Sa=sb<<16>>16<eb<<16>>16;ra=Sa?sb:eb;Ba=Sa?eb:sb;sb=bb<<16>>16<db<<16>>16;eb=sb?bb:db;Sa=sb?db:bb;bb=ra<<16>>16<eb<<16>>16;db=bb?ra:eb;sb=bb?eb:ra;ra=Sa<<16>>16<Ba<<16>>16;eb=ra?Sa:Ba;bb=ra?Ba:Sa;Sa=Za<<16>>16<za<<16>>16;Ba=(Sa?Za:za)<<16>>16;ra=Sa?za:Za;Za=bb<<16>>16<ob<<16>>16;za=Za?bb:ob;Sa=Za?ob:bb;bb=ra<<16>>16<za<<16>>16;ob=bb?ra:za;Za=bb?za:ra;ra=sb<<16>>16<Ib<<16>>16;za=ra?sb:Ib;bb=ra?Ib:sb;sb=ob<<16>>16<za<<16>>16;Ib=sb?ob:za;ra=sb?za:ob;ob=bb<<16>>16<Za<<16>>16;za=ob?bb:Za;sb=ob?Za:bb;bb=db<<16>>16<ka<<16>>16;Za=bb?db:ka;ob=bb?ka:db;db=Aa<<16>>16<Ua<<16>>16;ka=db?Aa:Ua;bb=(db?Ua:Aa)<<16>>16;Aa=ob<<16>>16<ka<<16>>16;Ua=Aa?ob:ka;db=Aa?ka:ob;ob=eb<<16>>16<qb<<16>>16;ka=ob?eb:qb;Aa=ob?qb:eb;eb=Ua<<16>>16<ka<<16>>16;qb=eb?Ua:ka;ob=eb?ka:Ua;Ua=Aa<<16>>16<db<<16>>16;ka=Ua?Aa:db;eb=Ua?db:Aa;Aa=Ib<<16>>16<Za<<16>>16;db=(Aa?Ib:Za)<<16>>16;Ua=(Aa?Za:Ib)<<16>>16;Ib=ra<<16>>16<qb<<16>>16;Za=(Ib?ra:qb)<<16>>16;Aa=(Ib?qb:ra)<<16>>16;ra=za<<16>>16<ob<<16>>16;qb=(ra?za:ob)<<16>>16;Ib=(ra?ob:za)<<16>>16;za=sb<<16>>16<ka<<16>>16;ob=(za?sb:ka)<<16>>16;ra=(za?ka:sb)<<16>>16;sb=Sa<<16>>16<eb<<16>>16;ka=(sb?Sa:eb)<<16>>16;za=(sb?eb:Sa)<<16>>16;Sa=ib<<16>>16<fb<<16>>16;eb=Sa?ib:fb;sb=Sa?fb:ib;ib=eb<<16>>16<rb<<16>>16;fb=ib?eb:rb;Sa=ib?rb:eb;eb=sb<<16>>16<Sa<<16>>16;rb=eb?sb:Sa;ib=eb?Sa:sb;sb=Jb<<16>>16<Hb<<16>>16;Sa=sb?Jb:Hb;eb=sb?Hb:Jb;Jb=Sa<<16>>16<ya<<16>>16;Hb=Jb?Sa:ya;sb=Jb?ya:Sa;Sa=eb<<16>>16<sb<<16>>16;ya=Sa?eb:sb;Jb=Sa?sb:eb;eb=Hb<<16>>16<fb<<16>>16;sb=eb?Hb:fb;Sa=eb?fb:Hb;Hb=Jb<<16>>16<ib<<16>>16;fb=Hb?Jb:ib;eb=Hb?ib:Jb;Jb=Sa<<16>>16<fb<<16>>16;ib=Jb?Sa:fb;Hb=Jb?fb:Sa;Sa=ya<<16>>16<rb<<16>>16;fb=Sa?ya:rb;Jb=Sa?rb:ya;ya=ib<<16>>16<fb<<16>>16;rb=ya?ib:fb;Sa=ya?fb:ib;ib=Jb<<16>>16<Hb<<16>>16;fb=ib?Jb:Hb;ya=ib?Hb:Jb;Jb=gb<<16>>16<Ta<<16>>16;Hb=Jb?gb:Ta;ib=Jb?Ta:gb;gb=Hb<<16>>16<Ya<<16>>16;Ta=gb?Hb:Ya;Jb=gb?Ya:Hb;Hb=ib<<16>>16<Jb<<16>>16;Ya=Hb?ib:Jb;gb=Hb?Jb:ib;ib=pa<<16>>16<hb<<16>>16;Jb=ib?pa:hb;Hb=ib?hb:pa;pa=mb<<16>>16<xa<<16>>16;hb=pa?mb:xa;ib=pa?xa:mb;mb=hb<<16>>16<Jb<<16>>16;xa=mb?hb:Jb;pa=mb?Jb:hb;hb=ib<<16>>16<Hb<<16>>16;Jb=hb?ib:Hb;mb=hb?Hb:ib;ib=pa<<16>>16<Jb<<16>>16;Hb=ib?pa:Jb;hb=ib?Jb:pa;pa=xa<<16>>16<Ta<<16>>16;Jb=pa?xa:Ta;ib=pa?Ta:xa;xa=hb<<16>>16<gb<<16>>16;Ta=xa?hb:gb;pa=xa?gb:hb;hb=ib<<16>>16<Ta<<16>>16;gb=hb?ib:Ta;xa=hb?Ta:ib;ib=Hb<<16>>16<Ya<<16>>16;Ta=ib?Hb:Ya;hb=ib?Ya:Hb;Hb=mb<<16>>16<hb<<16>>16;Ya=Hb?mb:hb;ib=Hb?hb:mb;mb=gb<<16>>16<Ta<<16>>16;hb=mb?gb:Ta;Hb=mb?Ta:gb;gb=Ya<<16>>16<xa<<16>>16;Ta=gb?Ya:xa;mb=gb?xa:Ya;Ya=ib<<16>>16<pa<<16>>16;xa=Ya?ib:pa;gb=Ya?pa:ib;ib=Jb<<16>>16<sb<<16>>16;pa=(ib?Jb:sb)<<16>>16;Ya=ib?sb:Jb;Jb=mb<<16>>16<ya<<16>>16;sb=Jb?mb:ya;ib=Jb?ya:mb;mb=Ya<<16>>16<sb<<16>>16;ya=mb?Ya:sb;Jb=mb?sb:Ya;Ya=Hb<<16>>16<Sa<<16>>16;sb=Ya?Hb:Sa;mb=Ya?Sa:Hb;Hb=gb<<16>>16<mb<<16>>16;Sa=Hb?gb:mb;Ya=Hb?mb:gb;gb=ya<<16>>16<sb<<16>>16;mb=gb?ya:sb;Hb=gb?sb:ya;ya=Sa<<16>>16<Jb<<16>>16;sb=ya?Sa:Jb;gb=ya?Jb:Sa;Sa=Ya<<16>>16<ib<<16>>16;Jb=Sa?Ya:ib;ya=Sa?ib:Ya;Ya=hb<<16>>16<rb<<16>>16;ib=Ya?hb:rb;Sa=Ya?rb:hb;hb=xa<<16>>16<eb<<16>>16;rb=hb?xa:eb;Ya=hb?eb:xa;xa=Sa<<16>>16<rb<<16>>16;eb=xa?Sa:rb;hb=xa?rb:Sa;Sa=Ta<<16>>16<fb<<16>>16;rb=Sa?Ta:fb;xa=Sa?fb:Ta;Ta=eb<<16>>16<rb<<16>>16;fb=Ta?eb:rb;Sa=Ta?rb:eb;eb=xa<<16>>16<hb<<16>>16;rb=eb?xa:hb;Ta=eb?hb:xa;xa=mb<<16>>16<ib<<16>>16;hb=(xa?mb:ib)<<16>>16;eb=(xa?ib:mb)<<16>>16;mb=Hb<<16>>16<fb<<16>>16;ib=(mb?Hb:fb)<<16>>16;xa=(mb?fb:Hb)<<16>>16;Hb=sb<<16>>16<Sa<<16>>16;fb=(Hb?sb:Sa)<<16>>16;mb=(Hb?Sa:sb)<<16>>16;sb=gb<<16>>16<rb<<16>>16;Sa=(sb?gb:rb)<<16>>16;Hb=(sb?rb:gb)<<16>>16;gb=Jb<<16>>16<Ta<<16>>16;rb=(gb?Jb:Ta)<<16>>16;sb=(gb?Ta:Jb)<<16>>16;Jb=ya<<16>>16<Ya<<16>>16;Ta=(Jb?ya:Ya)<<16>>16;gb=(Jb?Ya:ya)<<16>>16;ya=(pa|0)<(Ba|0)?Ba:pa;pa=(Hb|0)<(ra|0)?Hb:ra;ra=(ya|0)<(pa|0)?pa:ya;ya=(xa|0)<(Aa|0)?Aa:xa;xa=(gb|0)<(ya|0)?gb:ya;ya=(xa|0)<(ra|0)?xa:ra;ra=(eb|0)<(Ua|0)?Ua:eb;eb=(sb|0)<(za|0)?sb:za;za=(ra|0)<(eb|0)?ra:eb;eb=(mb|0)<(Ib|0)?mb:Ib;Ib=(za|0)<(eb|0)?eb:za;za=(ya|0)<(Ib|0)?Ib:ya;ya=(hb|0)<(db|0)?db:hb;hb=(rb|0)<(ka|0)?rb:ka;ka=(ya|0)<(hb|0)?hb:ya;ya=(fb|0)<(qb|0)?qb:fb;fb=(ya|0)<(ka|0)?ya:ka;ka=(ib|0)<(Za|0)?Za:ib;ib=(Ta|0)<(bb|0)?Ta:bb;bb=(ka|0)<(ib|0)?ka:ib;ib=(Sa|0)<(ob|0)?Sa:ob;ob=(bb|0)<(ib|0)?ib:bb;bb=(fb|0)<(ob|0)?fb:ob;d[Ga+(nc<<1)>>1]=(za|0)<(bb|0)?bb:za;za=nc+1|0;if((nc|0)<(Ja|0))nc=za;else{ta=na;Gb=za;continue k}}}if((Ia|0)==(fa|0))break;else Ga=Ga+(Da<<1)|0}}break}default:{}}while(0);break a;break}case 5:{Da=f[Q+16>>2]|0;fa=f[ca>>2]|0;Oa=(f[S>>2]|0)>>>2;va=(f[P+48>>2]|0)>>>2;Ha=f[P+40>>2]|0;Na=f[Ha+4>>2]|0;Ma=f[Ha>>2]|0;Ha=Fa>>>3;Ea=Ha&511;Ka=Ea+1|0;b[i>>0]=0;l:do switch(e|0){case 3:{Ga=(Ma|0)==1;if((Na|0)==1|Ga){Ia=Ma+Na|0;na=Ia+-1|0;Ja=Ga?Ka:Oa;ma=Ga?0:Oa-Ka|0;ea=Ga?Ka:va;if((Ia|0)<=1)break l;Ga=0-Ja|0;Ca=Ia+-2|0;Ia=Da;Pa=fa;Ra=0;while(1){La=(Ra|0)>0?Ga:0;Gb=(Ra|0)<(Ca|0)?Ja:0;ta=0;Qa=Ia;while(1){pb=f[Qa+(La<<2)>>2]|0;f[k>>2]=pb;ua=f[Qa>>2]|0;f[l>>2]=ua;qa=+n[Qa+(Gb<<2)>>2];oc=(f[s>>2]=pb,+n[s>>2]);pc=(f[s>>2]=ua,+n[s>>2]);ua=pc<oc;qc=+n[(ua?l:k)>>2];rc=ua?oc:pc;pc=qa<rc?qa:rc;n[Pa+(ta<<2)>>2]=pc<qc?qc:pc;ta=ta+1|0;if((ta|0)==(Ka|0))break;else Qa=Qa+4|0}Ra=Ra+1|0;if((Ra|0)>=(na|0))break l;else{Ia=Ia+(Ka<<2)+(ma<<2)|0;Pa=Pa+(ea<<2)|0}}}ea=Y(Na,Ka)|0;if((Ma|0)>0){Pa=Ma+-1|0;ma=(Ha|-512)^511;Ia=ma+-1+ea|0;na=ea-Ka|0;Ra=fa;Ja=0;while(1){Ca=Ja+-1|0;Ga=Da+((Y((Ca|0)>0?Ca:0,Oa)|0)<<2)|0;Ca=Da+((Y(Ja,Oa)|0)<<2)|0;Ja=Ja+1|0;Qa=Da+((Y((Pa|0)<(Ja|0)?Pa:Ja,Oa)|0)<<2)|0;ta=b[i>>0]&1?Ka:ea;Gb=0;m:while(1){if((Gb|0)<(ta|0)){La=Gb;do{ua=La-((La|0)>(Ea|0)?Ka:0)|0;pb=((La|0)<(na|0)?Ka:0)+La|0;oa=f[Ga+(ua<<2)>>2]|0;wa=f[Ga+(La<<2)>>2]|0;f[k>>2]=wa;za=f[Ga+(pb<<2)>>2]|0;f[l>>2]=za;bb=f[Ca+(ua<<2)>>2]|0;ob=f[Ca+(La<<2)>>2]|0;f[m>>2]=ob;fb=f[Ca+(pb<<2)>>2]|0;f[o>>2]=fb;ib=f[Qa+(ua<<2)>>2]|0;ua=f[Qa+(La<<2)>>2]|0;f[p>>2]=ua;Sa=f[Qa+(pb<<2)>>2]|0;f[q>>2]=Sa;pc=(f[s>>2]=wa,+n[s>>2]);qc=(f[s>>2]=za,+n[s>>2]);za=qc<pc;wa=f[(za?l:k)>>2]|0;rc=za?pc:qc;n[l>>2]=rc;qc=(f[s>>2]=ob,+n[s>>2]);pc=(f[s>>2]=fb,+n[s>>2]);fb=pc<qc;ob=f[(fb?o:m)>>2]|0;qa=fb?qc:pc;n[o>>2]=qa;pc=(f[s>>2]=ua,+n[s>>2]);qc=(f[s>>2]=Sa,+n[s>>2]);Sa=qc<pc;ua=f[(Sa?q:p)>>2]|0;oc=Sa?pc:qc;n[q>>2]=oc;qc=(f[s>>2]=oa,+n[s>>2]);pc=(f[s>>2]=wa,+n[s>>2]);Sa=pc<qc;sc=Sa?qc:pc;n[k>>2]=sc;pc=(f[s>>2]=bb,+n[s>>2]);qc=(f[s>>2]=ob,+n[s>>2]);fb=qc<pc;tc=fb?pc:qc;n[m>>2]=tc;qc=(f[s>>2]=ib,+n[s>>2]);pc=(f[s>>2]=ua,+n[s>>2]);za=pc<qc;uc=za?qc:pc;n[p>>2]=uc;pb=rc<sc;pc=pb?+n[l>>2]:+n[k>>2];qc=pb?sc:rc;n[l>>2]=qc;pb=qa<tc;ka=f[(pb?o:m)>>2]|0;f[m>>2]=ka;rc=pb?tc:qa;n[o>>2]=rc;pb=oc<uc;Ta=f[(pb?q:p)>>2]|0;f[p>>2]=Ta;qa=pb?uc:oc;n[q>>2]=qa;oc=(f[s>>2]=Sa?wa:oa,+n[s>>2]);uc=(f[s>>2]=fb?ob:bb,+n[s>>2]);tc=uc<oc?oc:uc;bb=f[(qa<rc?q:o)>>2]|0;f[o>>2]=bb;rc=(f[s>>2]=ka,+n[s>>2]);qa=(f[s>>2]=Ta,+n[s>>2]);Ta=qa<rc;uc=Ta?+n[p>>2]:+n[m>>2];oc=Ta?rc:qa;n[p>>2]=oc;qa=(f[s>>2]=za?ua:ib,+n[s>>2]);rc=qa<tc?tc:qa;qa=uc<pc?pc:uc;n[m>>2]=qa;ib=f[((f[s>>2]=bb,+n[s>>2])<qc?o:l)>>2]|0;f[l>>2]=ib;bb=f[(oc<qa?p:m)>>2]|0;f[m>>2]=bb;qa=(f[s>>2]=bb,+n[s>>2]);oc=(f[s>>2]=ib,+n[s>>2]);ib=oc<qa;qc=ib?+n[l>>2]:(f[s>>2]=bb,+n[s>>2]);uc=ib?qa:oc;n[l>>2]=uc;oc=qc<rc?rc:qc;n[m>>2]=oc;f[Ra+(La<<2)>>2]=f[(uc<oc?l:m)>>2];La=La+1|0}while((La|0)!=(ta|0));vc=ta}else vc=Gb;if((ta|0)==(ea|0))break;if((vc|0)>(Ia|0)){ta=ea;Gb=vc;continue}else wc=vc;while(1){La=Ga+(wc<<2)|0;ib=f[La+(ma<<2)>>2]|0;bb=f[La>>2]|0;f[k>>2]=bb;ua=f[La+(Ka<<2)>>2]|0;f[l>>2]=ua;La=Ca+(wc<<2)|0;za=f[La+(ma<<2)>>2]|0;Ta=f[La>>2]|0;f[m>>2]=Ta;ka=f[La+(Ka<<2)>>2]|0;f[o>>2]=ka;La=Qa+(wc<<2)|0;ob=f[La+(ma<<2)>>2]|0;fb=f[La>>2]|0;f[p>>2]=fb;oa=f[La+(Ka<<2)>>2]|0;f[q>>2]=oa;oc=(f[s>>2]=bb,+n[s>>2]);uc=(f[s>>2]=ua,+n[s>>2]);ua=uc<oc;bb=f[(ua?l:k)>>2]|0;qc=ua?oc:uc;n[l>>2]=qc;uc=(f[s>>2]=Ta,+n[s>>2]);oc=(f[s>>2]=ka,+n[s>>2]);ka=oc<uc;Ta=f[(ka?o:m)>>2]|0;rc=ka?uc:oc;n[o>>2]=rc;oc=(f[s>>2]=fb,+n[s>>2]);uc=(f[s>>2]=oa,+n[s>>2]);oa=uc<oc;fb=f[(oa?q:p)>>2]|0;qa=oa?oc:uc;n[q>>2]=qa;uc=(f[s>>2]=ib,+n[s>>2]);oc=(f[s>>2]=bb,+n[s>>2]);oa=oc<uc;pc=oa?uc:oc;n[k>>2]=pc;oc=(f[s>>2]=za,+n[s>>2]);uc=(f[s>>2]=Ta,+n[s>>2]);ka=uc<oc;tc=ka?oc:uc;n[m>>2]=tc;uc=(f[s>>2]=ob,+n[s>>2]);oc=(f[s>>2]=fb,+n[s>>2]);ua=oc<uc;sc=ua?uc:oc;n[p>>2]=sc;La=qc<pc;oc=La?+n[l>>2]:+n[k>>2];uc=La?pc:qc;n[l>>2]=uc;La=rc<tc;wa=f[(La?o:m)>>2]|0;f[m>>2]=wa;qc=La?tc:rc;n[o>>2]=qc;La=qa<sc;Sa=f[(La?q:p)>>2]|0;f[p>>2]=Sa;rc=La?sc:qa;n[q>>2]=rc;qa=(f[s>>2]=oa?bb:ib,+n[s>>2]);sc=(f[s>>2]=ka?Ta:za,+n[s>>2]);tc=sc<qa?qa:sc;za=f[(rc<qc?q:o)>>2]|0;f[o>>2]=za;qc=(f[s>>2]=wa,+n[s>>2]);rc=(f[s>>2]=Sa,+n[s>>2]);Sa=rc<qc;sc=Sa?+n[p>>2]:+n[m>>2];qa=Sa?qc:rc;n[p>>2]=qa;rc=(f[s>>2]=ua?fb:ob,+n[s>>2]);qc=rc<tc?tc:rc;rc=sc<oc?oc:sc;n[m>>2]=rc;ob=f[((f[s>>2]=za,+n[s>>2])<uc?o:l)>>2]|0;f[l>>2]=ob;za=f[(qa<rc?p:m)>>2]|0;f[m>>2]=za;rc=(f[s>>2]=za,+n[s>>2]);qa=(f[s>>2]=ob,+n[s>>2]);ob=qa<rc;uc=ob?+n[l>>2]:(f[s>>2]=za,+n[s>>2]);sc=ob?rc:qa;n[l>>2]=sc;qa=uc<qc?qc:uc;n[m>>2]=qa;f[Ra+(wc<<2)>>2]=f[(sc<qa?l:m)>>2];ob=wc+1|0;if((wc|0)<(Ia|0))wc=ob;else{ta=ea;Gb=ob;continue m}}}if((Ja|0)==(Ma|0))break;else Ra=Ra+(va<<2)|0}}break}case 5:{Ra=(Ma|0)==1;if((Na|0)==1|Ra){Ja=Ma+Na|0;ea=Ja+-1|0;Ia=Ra?Ka:Oa;ma=Ra?0:Oa-Ka|0;na=Ra?Ka:va;if((Ja|0)<=1)break l;Ra=0-Ia|0;Pa=Ra<<1;Gb=Ja+-2|0;ta=Ja+-3|0;Ja=Ia<<1;Qa=Da;Ca=fa;Ga=0;while(1){ob=(Ga|0)>0?Ra:0;za=(Ga|0)>1?Pa:ob;fb=(Ga|0)<(Gb|0)?Ia:0;ua=(Ga|0)<(ta|0)?Ja:fb;Sa=Qa;wa=0;while(1){Ta=f[Sa+(za<<2)>>2]|0;f[k>>2]=Ta;ka=f[Sa+(ob<<2)>>2]|0;f[l>>2]=ka;ib=f[Sa>>2]|0;f[m>>2]=ib;bb=f[Sa+(fb<<2)>>2]|0;f[o>>2]=bb;oa=f[Sa+(ua<<2)>>2]|0;f[p>>2]=oa;qa=(f[s>>2]=Ta,+n[s>>2]);sc=(f[s>>2]=ka,+n[s>>2]);ka=sc<qa;uc=+n[(ka?l:k)>>2];qc=ka?qa:sc;sc=(f[s>>2]=bb,+n[s>>2]);qa=(f[s>>2]=oa,+n[s>>2]);oa=qa<sc;bb=f[(oa?p:o)>>2]|0;f[o>>2]=bb;rc=oa?sc:qa;n[p>>2]=rc;qa=(f[s>>2]=ib,+n[s>>2]);sc=(f[s>>2]=bb,+n[s>>2]);ib=sc<qa;oc=ib?(f[s>>2]=bb,+n[s>>2]):+n[m>>2];tc=ib?qa:sc;n[o>>2]=tc;ib=rc<tc;sc=ib?+n[p>>2]:tc;qa=ib?tc:rc;n[p>>2]=qa;rc=oc<uc?uc:oc;n[m>>2]=rc;oc=qa<rc?qa:rc;rc=sc<qc?sc:qc;n[Ca+(wa<<2)>>2]=oc<rc?rc:oc;wa=wa+1|0;if((wa|0)==(Ka|0))break;else Sa=Sa+4|0}Ga=Ga+1|0;if((Ga|0)>=(ea|0))break l;else{Qa=Qa+(Ka<<2)+(ma<<2)|0;Ca=Ca+(na<<2)|0}}}na=Y(Na,Ka)|0;if((Ma|0)>0){Ca=Ma+-1|0;ma=Ka<<1;Qa=0-ma|0;ea=na+~ma|0;Ga=(Ha|-512)^511;Ja=na-Ka|0;ta=na-ma|0;Ia=fa;Gb=0;while(1){Pa=Gb+-2|0;Ra=Da+((Y((Pa|0)>0?Pa:0,Oa)|0)<<2)|0;Pa=Gb+-1|0;Sa=Da+((Y((Pa|0)>0?Pa:0,Oa)|0)<<2)|0;Pa=Da+((Y(Gb,Oa)|0)<<2)|0;wa=Gb;Gb=Gb+1|0;ua=Da+((Y((Ca|0)<(Gb|0)?Ca:Gb,Oa)|0)<<2)|0;fb=wa+2|0;wa=Da+((Y((Ca|0)<(fb|0)?Ca:fb,Oa)|0)<<2)|0;fb=b[i>>0]&1?ma:na;ob=0;n:while(1){if((ob|0)<(fb|0)){za=ob;do{ib=za-((za|0)>(Ea|0)?Ka:0)|0;bb=(za|0)<(ma|0)?ib:za-ma|0;oa=((za|0)<(Ja|0)?Ka:0)+za|0;ka=(za|0)<(ta|0)?za+ma|0:oa;f[k>>2]=f[Ra+(bb<<2)>>2];Ta=f[Ra+(ib<<2)>>2]|0;f[l>>2]=Ta;La=f[Ra+(za<<2)>>2]|0;f[m>>2]=La;f[o>>2]=f[Ra+(oa<<2)>>2];f[p>>2]=f[Ra+(ka<<2)>>2];f[q>>2]=f[Sa+(bb<<2)>>2];f[r>>2]=f[Sa+(ib<<2)>>2];f[t>>2]=f[Sa+(za<<2)>>2];f[v>>2]=f[Sa+(oa<<2)>>2];f[w>>2]=f[Sa+(ka<<2)>>2];f[x>>2]=f[Pa+(bb<<2)>>2];f[y>>2]=f[Pa+(ib<<2)>>2];f[z>>2]=f[Pa+(za<<2)>>2];f[A>>2]=f[Pa+(oa<<2)>>2];f[B>>2]=f[Pa+(ka<<2)>>2];f[C>>2]=f[ua+(bb<<2)>>2];f[D>>2]=f[ua+(ib<<2)>>2];f[E>>2]=f[ua+(za<<2)>>2];f[F>>2]=f[ua+(oa<<2)>>2];f[G>>2]=f[ua+(ka<<2)>>2];f[H>>2]=f[wa+(bb<<2)>>2];f[I>>2]=f[wa+(ib<<2)>>2];f[J>>2]=f[wa+(za<<2)>>2];f[K>>2]=f[wa+(oa<<2)>>2];f[L>>2]=f[wa+(ka<<2)>>2];oc=(f[s>>2]=Ta,+n[s>>2]);rc=(f[s>>2]=La,+n[s>>2]);La=rc<oc;Ta=f[(La?m:l)>>2]|0;f[l>>2]=Ta;qc=La?oc:rc;n[m>>2]=qc;rc=+n[k>>2];oc=(f[s>>2]=Ta,+n[s>>2]);Ta=oc<rc;La=f[(Ta?l:k)>>2]|0;f[k>>2]=La;sc=Ta?rc:oc;n[l>>2]=sc;Ta=qc<sc;ka=f[(Ta?m:l)>>2]|0;f[l>>2]=ka;oc=Ta?sc:qc;n[m>>2]=oc;qc=+n[p>>2];sc=+n[q>>2];Ta=sc<qc;oa=f[(Ta?q:p)>>2]|0;f[p>>2]=oa;rc=Ta?qc:sc;n[q>>2]=rc;sc=+n[o>>2];qc=(f[s>>2]=oa,+n[s>>2]);oa=qc<sc;Ta=f[(oa?p:o)>>2]|0;f[o>>2]=Ta;qa=oa?sc:qc;n[p>>2]=qa;oa=rc<qa;ib=f[(oa?q:p)>>2]|0;f[p>>2]=ib;qc=oa?qa:rc;n[q>>2]=qc;rc=(f[s>>2]=La,+n[s>>2]);qa=(f[s>>2]=Ta,+n[s>>2]);Ta=qa<rc;f[k>>2]=f[(Ta?o:k)>>2];sc=Ta?rc:qa;n[o>>2]=sc;Ta=qc<oc;La=f[(Ta?q:m)>>2]|0;f[m>>2]=La;n[q>>2]=Ta?oc:qc;qc=(f[s>>2]=La,+n[s>>2]);La=sc<qc;Ta=f[(La?o:m)>>2]|0;f[m>>2]=Ta;oc=La?qc:sc;n[o>>2]=oc;sc=(f[s>>2]=ka,+n[s>>2]);qc=(f[s>>2]=ib,+n[s>>2]);ib=qc<sc;ka=f[(ib?p:l)>>2]|0;f[l>>2]=ka;qa=ib?sc:qc;n[p>>2]=qa;qc=(f[s>>2]=ka,+n[s>>2]);sc=(f[s>>2]=Ta,+n[s>>2]);Ta=sc<qc;f[l>>2]=f[(Ta?m:l)>>2];n[m>>2]=Ta?qc:sc;Ta=qa<oc;f[o>>2]=f[(Ta?p:o)>>2];n[p>>2]=Ta?oc:qa;qa=+n[t>>2];oc=+n[v>>2];Ta=oc<qa;ka=f[(Ta?v:t)>>2]|0;f[t>>2]=ka;sc=Ta?qa:oc;n[v>>2]=sc;oc=+n[r>>2];qa=(f[s>>2]=ka,+n[s>>2]);ka=qa<oc;Ta=f[(ka?t:r)>>2]|0;f[r>>2]=Ta;qc=ka?oc:qa;n[t>>2]=qc;ka=sc<qc;ib=f[(ka?v:t)>>2]|0;f[t>>2]=ib;qa=ka?qc:sc;n[v>>2]=qa;sc=+n[x>>2];qc=+n[y>>2];ka=qc<sc;La=f[(ka?y:x)>>2]|0;f[x>>2]=La;oc=ka?sc:qc;n[y>>2]=oc;qc=+n[w>>2];sc=(f[s>>2]=La,+n[s>>2]);La=sc<qc;ka=f[(La?x:w)>>2]|0;f[w>>2]=ka;rc=La?qc:sc;n[x>>2]=rc;La=oc<rc;oa=f[(La?y:x)>>2]|0;f[x>>2]=oa;sc=La?rc:oc;n[y>>2]=sc;oc=(f[s>>2]=Ta,+n[s>>2]);rc=(f[s>>2]=ka,+n[s>>2]);ka=rc<oc;Ta=f[(ka?w:r)>>2]|0;f[r>>2]=Ta;qc=ka?oc:rc;n[w>>2]=qc;ka=sc<qa;La=f[(ka?y:v)>>2]|0;f[v>>2]=La;rc=ka?qa:sc;n[y>>2]=rc;sc=(f[s>>2]=La,+n[s>>2]);La=qc<sc;ka=f[(La?w:v)>>2]|0;f[v>>2]=ka;qa=La?sc:qc;n[w>>2]=qa;qc=(f[s>>2]=ib,+n[s>>2]);sc=(f[s>>2]=oa,+n[s>>2]);oa=sc<qc;ib=f[(oa?x:t)>>2]|0;f[t>>2]=ib;oc=oa?qc:sc;n[x>>2]=oc;sc=(f[s>>2]=ib,+n[s>>2]);qc=(f[s>>2]=ka,+n[s>>2]);ka=qc<sc;ib=f[(ka?v:t)>>2]|0;f[t>>2]=ib;uc=ka?sc:qc;n[v>>2]=uc;ka=oc<qa;oa=f[(ka?x:w)>>2]|0;f[w>>2]=oa;qc=ka?qa:oc;n[x>>2]=qc;oc=+n[k>>2];qa=(f[s>>2]=Ta,+n[s>>2]);Ta=qa<oc;f[k>>2]=f[(Ta?r:k)>>2];sc=Ta?oc:qa;n[r>>2]=sc;qa=+n[p>>2];Ta=qc<qa;ka=f[(Ta?x:p)>>2]|0;f[p>>2]=ka;n[x>>2]=Ta?qa:qc;qc=(f[s>>2]=ka,+n[s>>2]);ka=sc<qc;Ta=f[(ka?r:p)>>2]|0;f[p>>2]=Ta;qa=ka?qc:sc;n[r>>2]=qa;sc=+n[m>>2];ka=uc<sc;La=f[(ka?v:m)>>2]|0;f[m>>2]=La;qc=ka?sc:uc;n[v>>2]=qc;uc=(f[s>>2]=La,+n[s>>2]);sc=(f[s>>2]=Ta,+n[s>>2]);Ta=sc<uc;La=f[(Ta?p:m)>>2]|0;f[m>>2]=La;oc=Ta?uc:sc;n[p>>2]=oc;Ta=qc<qa;ka=f[(Ta?v:r)>>2]|0;f[r>>2]=ka;sc=Ta?qa:qc;n[v>>2]=sc;qc=+n[l>>2];qa=(f[s>>2]=ib,+n[s>>2]);ib=qa<qc;Ta=f[(ib?t:l)>>2]|0;f[l>>2]=Ta;uc=ib?qc:qa;n[t>>2]=uc;qa=+n[q>>2];ib=rc<qa;bb=f[(ib?y:q)>>2]|0;f[q>>2]=bb;n[y>>2]=ib?qa:rc;rc=(f[s>>2]=bb,+n[s>>2]);bb=uc<rc;ib=f[(bb?t:q)>>2]|0;f[q>>2]=ib;qa=bb?rc:uc;n[t>>2]=qa;uc=+n[o>>2];rc=(f[s>>2]=oa,+n[s>>2]);oa=rc<uc;bb=f[(oa?w:o)>>2]|0;f[o>>2]=bb;qc=oa?uc:rc;n[w>>2]=qc;rc=(f[s>>2]=bb,+n[s>>2]);uc=(f[s>>2]=ib,+n[s>>2]);ib=uc<rc;bb=f[(ib?q:o)>>2]|0;f[o>>2]=bb;tc=ib?rc:uc;n[q>>2]=tc;ib=qc<qa;oa=f[(ib?w:t)>>2]|0;f[t>>2]=oa;uc=ib?qa:qc;n[w>>2]=uc;qc=(f[s>>2]=Ta,+n[s>>2]);qa=(f[s>>2]=La,+n[s>>2]);La=qa<qc;f[l>>2]=f[(La?m:l)>>2];n[m>>2]=La?qc:qa;qa=(f[s>>2]=bb,+n[s>>2]);bb=oc<qa;f[o>>2]=f[(bb?p:o)>>2];n[p>>2]=bb?qa:oc;oc=(f[s>>2]=ka,+n[s>>2]);ka=oc<tc;f[q>>2]=f[(ka?r:q)>>2];n[r>>2]=ka?tc:oc;oc=(f[s>>2]=oa,+n[s>>2]);oa=sc<oc;f[t>>2]=f[(oa?v:t)>>2];n[v>>2]=oa?oc:sc;sc=+n[x>>2];oa=sc<uc;f[w>>2]=f[(oa?x:w)>>2];n[x>>2]=oa?uc:sc;sc=+n[A>>2];uc=+n[B>>2];oa=uc<sc;ka=f[(oa?B:A)>>2]|0;f[A>>2]=ka;oc=oa?sc:uc;n[B>>2]=oc;uc=+n[z>>2];sc=(f[s>>2]=ka,+n[s>>2]);ka=sc<uc;oa=f[(ka?A:z)>>2]|0;f[z>>2]=oa;tc=ka?uc:sc;n[A>>2]=tc;ka=oc<tc;bb=f[(ka?B:A)>>2]|0;f[A>>2]=bb;sc=ka?tc:oc;n[B>>2]=sc;oc=+n[D>>2];tc=+n[E>>2];ka=tc<oc;La=f[(ka?E:D)>>2]|0;f[D>>2]=La;uc=ka?oc:tc;n[E>>2]=uc;tc=+n[C>>2];oc=(f[s>>2]=La,+n[s>>2]);La=oc<tc;ka=f[(La?D:C)>>2]|0;f[C>>2]=ka;qa=La?tc:oc;n[D>>2]=qa;La=uc<qa;Ta=f[(La?E:D)>>2]|0;f[D>>2]=Ta;oc=La?qa:uc;n[E>>2]=oc;uc=(f[s>>2]=oa,+n[s>>2]);qa=(f[s>>2]=ka,+n[s>>2]);ka=qa<uc;f[z>>2]=f[(ka?C:z)>>2];tc=ka?uc:qa;n[C>>2]=tc;ka=oc<sc;oa=f[(ka?E:B)>>2]|0;f[B>>2]=oa;n[E>>2]=ka?sc:oc;oc=(f[s>>2]=oa,+n[s>>2]);oa=tc<oc;ka=f[(oa?C:B)>>2]|0;f[B>>2]=ka;sc=oa?oc:tc;n[C>>2]=sc;tc=(f[s>>2]=bb,+n[s>>2]);oc=(f[s>>2]=Ta,+n[s>>2]);Ta=oc<tc;bb=f[(Ta?D:A)>>2]|0;f[A>>2]=bb;qa=Ta?tc:oc;n[D>>2]=qa;oc=(f[s>>2]=bb,+n[s>>2]);tc=(f[s>>2]=ka,+n[s>>2]);ka=tc<oc;f[A>>2]=f[(ka?B:A)>>2];n[B>>2]=ka?oc:tc;ka=qa<sc;f[C>>2]=f[(ka?D:C)>>2];n[D>>2]=ka?sc:qa;qa=+n[G>>2];sc=+n[H>>2];ka=sc<qa;bb=f[(ka?H:G)>>2]|0;f[G>>2]=bb;tc=ka?qa:sc;n[H>>2]=tc;sc=+n[F>>2];qa=(f[s>>2]=bb,+n[s>>2]);bb=qa<sc;ka=f[(bb?G:F)>>2]|0;f[F>>2]=ka;oc=bb?sc:qa;n[G>>2]=oc;bb=tc<oc;Ta=f[(bb?H:G)>>2]|0;f[G>>2]=Ta;qa=bb?oc:tc;n[H>>2]=qa;tc=+n[I>>2];oc=+n[J>>2];bb=oc<tc;oa=f[(bb?J:I)>>2]|0;f[I>>2]=oa;sc=bb?tc:oc;n[J>>2]=sc;oc=+n[K>>2];tc=+n[L>>2];bb=tc<oc;La=f[(bb?L:K)>>2]|0;f[K>>2]=La;uc=bb?oc:tc;n[L>>2]=uc;tc=(f[s>>2]=oa,+n[s>>2]);oc=(f[s>>2]=La,+n[s>>2]);La=oc<tc;oa=f[(La?K:I)>>2]|0;f[I>>2]=oa;qc=La?tc:oc;n[K>>2]=qc;La=uc<sc;bb=f[(La?L:J)>>2]|0;f[J>>2]=bb;oc=La?sc:uc;n[L>>2]=oc;uc=(f[s>>2]=bb,+n[s>>2]);bb=qc<uc;La=f[(bb?K:J)>>2]|0;f[J>>2]=La;sc=bb?uc:qc;n[K>>2]=sc;qc=(f[s>>2]=ka,+n[s>>2]);uc=(f[s>>2]=oa,+n[s>>2]);oa=uc<qc;ka=f[(oa?I:F)>>2]|0;f[F>>2]=ka;tc=oa?qc:uc;n[I>>2]=tc;oa=sc<qa;bb=f[(oa?K:H)>>2]|0;f[H>>2]=bb;uc=oa?qa:sc;n[K>>2]=uc;sc=(f[s>>2]=bb,+n[s>>2]);bb=tc<sc;oa=f[(bb?I:H)>>2]|0;f[H>>2]=oa;qa=bb?sc:tc;n[I>>2]=qa;tc=(f[s>>2]=Ta,+n[s>>2]);sc=(f[s>>2]=La,+n[s>>2]);La=sc<tc;Ta=f[(La?J:G)>>2]|0;f[G>>2]=Ta;qc=La?tc:sc;n[J>>2]=qc;La=oc<qc;bb=f[(La?L:J)>>2]|0;f[J>>2]=bb;sc=La?qc:oc;n[L>>2]=sc;oc=(f[s>>2]=Ta,+n[s>>2]);qc=(f[s>>2]=oa,+n[s>>2]);oa=qc<oc;Ta=f[(oa?H:G)>>2]|0;f[G>>2]=Ta;tc=oa?oc:qc;n[H>>2]=tc;qc=(f[s>>2]=bb,+n[s>>2]);bb=qc<qa;f[I>>2]=f[(bb?J:I)>>2];oc=bb?qa:qc;n[J>>2]=oc;bb=sc<uc;oa=f[(bb?L:K)>>2]|0;f[K>>2]=oa;qc=bb?uc:sc;n[L>>2]=qc;sc=+n[z>>2];uc=(f[s>>2]=ka,+n[s>>2]);ka=uc<sc;f[z>>2]=f[(ka?F:z)>>2];qa=ka?sc:uc;n[F>>2]=qa;uc=+n[D>>2];ka=oc<uc;bb=f[(ka?J:D)>>2]|0;f[D>>2]=bb;sc=ka?uc:oc;n[J>>2]=sc;oc=(f[s>>2]=bb,+n[s>>2]);bb=qa<oc;ka=f[(bb?F:D)>>2]|0;f[D>>2]=ka;uc=bb?oc:qa;n[F>>2]=uc;qa=+n[B>>2];bb=tc<qa;La=f[(bb?H:B)>>2]|0;f[B>>2]=La;oc=bb?qa:tc;n[H>>2]=oc;bb=qc<oc;ib=f[(bb?L:H)>>2]|0;f[H>>2]=ib;tc=bb?oc:qc;n[L>>2]=tc;qc=(f[s>>2]=La,+n[s>>2]);oc=(f[s>>2]=ka,+n[s>>2]);ka=oc<qc;La=f[(ka?D:B)>>2]|0;f[B>>2]=La;qa=ka?qc:oc;n[D>>2]=qa;oc=(f[s>>2]=ib,+n[s>>2]);ib=oc<uc;ka=f[(ib?H:F)>>2]|0;f[F>>2]=ka;qc=ib?uc:oc;n[H>>2]=qc;ib=tc<sc;bb=f[(ib?L:J)>>2]|0;f[J>>2]=bb;oc=ib?sc:tc;n[L>>2]=oc;tc=+n[A>>2];sc=(f[s>>2]=Ta,+n[s>>2]);Ta=sc<tc;ib=f[(Ta?G:A)>>2]|0;f[A>>2]=ib;uc=Ta?tc:sc;n[G>>2]=uc;sc=+n[E>>2];tc=(f[s>>2]=oa,+n[s>>2]);oa=tc<sc;Ta=f[(oa?K:E)>>2]|0;f[E>>2]=Ta;rc=oa?sc:tc;n[K>>2]=rc;tc=(f[s>>2]=Ta,+n[s>>2]);Ta=uc<tc;oa=f[(Ta?G:E)>>2]|0;f[E>>2]=oa;sc=Ta?tc:uc;n[G>>2]=sc;uc=+n[C>>2];tc=+n[I>>2];Ta=tc<uc;pb=f[(Ta?I:C)>>2]|0;f[C>>2]=pb;pc=Ta?uc:tc;n[I>>2]=pc;tc=(f[s>>2]=pb,+n[s>>2]);uc=(f[s>>2]=oa,+n[s>>2]);oa=uc<tc;pb=f[(oa?E:C)>>2]|0;f[C>>2]=pb;xc=oa?tc:uc;n[E>>2]=xc;oa=pc<sc;Ta=f[(oa?I:G)>>2]|0;f[G>>2]=Ta;uc=oa?sc:pc;n[I>>2]=uc;pc=(f[s>>2]=ib,+n[s>>2]);sc=(f[s>>2]=La,+n[s>>2]);La=sc<pc;f[A>>2]=f[(La?B:A)>>2];tc=La?pc:sc;n[B>>2]=tc;sc=(f[s>>2]=pb,+n[s>>2]);pb=qa<sc;f[C>>2]=f[(pb?D:C)>>2];pc=pb?sc:qa;n[D>>2]=pc;qa=(f[s>>2]=ka,+n[s>>2]);ka=qa<xc;f[E>>2]=f[(ka?F:E)>>2];sc=ka?xc:qa;n[F>>2]=sc;qa=(f[s>>2]=Ta,+n[s>>2]);Ta=qc<qa;f[G>>2]=f[(Ta?H:G)>>2];xc=Ta?qa:qc;n[H>>2]=xc;qc=(f[s>>2]=bb,+n[s>>2]);bb=qc<uc;f[I>>2]=f[(bb?J:I)>>2];qa=bb?uc:qc;n[J>>2]=qa;bb=oc<rc;f[K>>2]=f[(bb?L:K)>>2];qc=bb?rc:oc;n[L>>2]=qc;oc=+n[k>>2];rc=+n[z>>2];bb=rc<oc;f[k>>2]=f[(bb?z:k)>>2];uc=bb?oc:rc;n[z>>2]=uc;rc=+n[v>>2];bb=xc<rc;Ta=f[(bb?H:v)>>2]|0;f[v>>2]=Ta;n[H>>2]=bb?rc:xc;xc=(f[s>>2]=Ta,+n[s>>2]);Ta=uc<xc;f[v>>2]=f[(Ta?z:v)>>2];rc=Ta?xc:uc;n[z>>2]=rc;uc=+n[p>>2];Ta=pc<uc;f[p>>2]=f[(Ta?D:p)>>2];xc=Ta?uc:pc;n[D>>2]=xc;Ta=qc<xc;bb=f[(Ta?L:D)>>2]|0;f[D>>2]=bb;n[L>>2]=Ta?xc:qc;qc=(f[s>>2]=bb,+n[s>>2]);bb=qc<rc;Ta=f[(bb?D:z)>>2]|0;f[z>>2]=Ta;n[D>>2]=bb?rc:qc;qc=+n[m>>2];bb=tc<qc;f[m>>2]=f[(bb?B:m)>>2];rc=bb?qc:tc;n[B>>2]=rc;bb=f[(qa<+n[x>>2]?J:x)>>2]|0;f[x>>2]=bb;ka=f[(rc<(f[s>>2]=bb,+n[s>>2])?B:x)>>2]|0;f[x>>2]=ka;bb=f[(sc<+n[r>>2]?F:r)>>2]|0;f[r>>2]=bb;sc=(f[s>>2]=bb,+n[s>>2]);rc=(f[s>>2]=ka,+n[s>>2]);qa=rc<sc?sc:rc;n[x>>2]=qa;rc=(f[s>>2]=Ta,+n[s>>2]);sc=rc<qa?qa:rc;rc=+n[l>>2];qa=+n[A>>2];tc=qa<rc?rc:qa;n[A>>2]=tc;Ta=f[(+n[I>>2]<+n[w>>2]?I:w)>>2]|0;f[w>>2]=Ta;qa=(f[s>>2]=Ta,+n[s>>2]);rc=tc<qa?qa:tc;n[A>>2]=rc;tc=+n[q>>2];qa=+n[E>>2];qc=qa<tc?tc:qa;n[E>>2]=qc;qa=qc<rc?qc:+n[A>>2];qc=+n[o>>2];rc=+n[C>>2];tc=rc<qc?qc:rc;n[C>>2]=tc;Ta=f[(+n[K>>2]<+n[y>>2]?K:y)>>2]|0;f[y>>2]=Ta;ka=tc<(f[s>>2]=Ta,+n[s>>2]);tc=ka?+n[C>>2]:(f[s>>2]=Ta,+n[s>>2]);rc=+n[t>>2];qc=+n[G>>2];xc=qc<rc?qc:rc;rc=tc<xc?xc:tc;tc=qa<rc?qa:rc;n[Ia+(za<<2)>>2]=sc<tc?tc:sc;za=za+1|0}while((za|0)!=(fb|0));yc=fb}else yc=ob;if((fb|0)==(na|0))break;if((yc|0)>(ea|0)){fb=na;ob=yc;continue}else zc=yc;while(1){za=Ra+(zc<<2)|0;f[k>>2]=f[za+(Qa<<2)>>2];Ta=f[za+(Ga<<2)>>2]|0;f[l>>2]=Ta;ka=f[za>>2]|0;f[m>>2]=ka;f[o>>2]=f[za+(Ka<<2)>>2];f[p>>2]=f[za+(ma<<2)>>2];za=Sa+(zc<<2)|0;f[q>>2]=f[za+(Qa<<2)>>2];f[r>>2]=f[za+(Ga<<2)>>2];f[t>>2]=f[za>>2];f[v>>2]=f[za+(Ka<<2)>>2];f[w>>2]=f[za+(ma<<2)>>2];za=Pa+(zc<<2)|0;f[x>>2]=f[za+(Qa<<2)>>2];f[y>>2]=f[za+(Ga<<2)>>2];f[z>>2]=f[za>>2];f[A>>2]=f[za+(Ka<<2)>>2];f[B>>2]=f[za+(ma<<2)>>2];za=ua+(zc<<2)|0;f[C>>2]=f[za+(Qa<<2)>>2];f[D>>2]=f[za+(Ga<<2)>>2];f[E>>2]=f[za>>2];f[F>>2]=f[za+(Ka<<2)>>2];f[G>>2]=f[za+(ma<<2)>>2];za=wa+(zc<<2)|0;f[H>>2]=f[za+(Qa<<2)>>2];f[I>>2]=f[za+(Ga<<2)>>2];f[J>>2]=f[za>>2];f[K>>2]=f[za+(Ka<<2)>>2];f[L>>2]=f[za+(ma<<2)>>2];sc=(f[s>>2]=Ta,+n[s>>2]);tc=(f[s>>2]=ka,+n[s>>2]);ka=tc<sc;Ta=f[(ka?m:l)>>2]|0;f[l>>2]=Ta;rc=ka?sc:tc;n[m>>2]=rc;tc=+n[k>>2];sc=(f[s>>2]=Ta,+n[s>>2]);Ta=sc<tc;ka=f[(Ta?l:k)>>2]|0;f[k>>2]=ka;qa=Ta?tc:sc;n[l>>2]=qa;Ta=rc<qa;za=f[(Ta?m:l)>>2]|0;f[l>>2]=za;sc=Ta?qa:rc;n[m>>2]=sc;rc=+n[p>>2];qa=+n[q>>2];Ta=qa<rc;bb=f[(Ta?q:p)>>2]|0;f[p>>2]=bb;tc=Ta?rc:qa;n[q>>2]=tc;qa=+n[o>>2];rc=(f[s>>2]=bb,+n[s>>2]);bb=rc<qa;Ta=f[(bb?p:o)>>2]|0;f[o>>2]=Ta;xc=bb?qa:rc;n[p>>2]=xc;bb=tc<xc;pb=f[(bb?q:p)>>2]|0;f[p>>2]=pb;rc=bb?xc:tc;n[q>>2]=rc;tc=(f[s>>2]=ka,+n[s>>2]);xc=(f[s>>2]=Ta,+n[s>>2]);Ta=xc<tc;f[k>>2]=f[(Ta?o:k)>>2];qa=Ta?tc:xc;n[o>>2]=qa;Ta=rc<sc;ka=f[(Ta?q:m)>>2]|0;f[m>>2]=ka;n[q>>2]=Ta?sc:rc;rc=(f[s>>2]=ka,+n[s>>2]);ka=qa<rc;Ta=f[(ka?o:m)>>2]|0;f[m>>2]=Ta;sc=ka?rc:qa;n[o>>2]=sc;qa=(f[s>>2]=za,+n[s>>2]);rc=(f[s>>2]=pb,+n[s>>2]);pb=rc<qa;za=f[(pb?p:l)>>2]|0;f[l>>2]=za;xc=pb?qa:rc;n[p>>2]=xc;rc=(f[s>>2]=za,+n[s>>2]);qa=(f[s>>2]=Ta,+n[s>>2]);Ta=qa<rc;f[l>>2]=f[(Ta?m:l)>>2];n[m>>2]=Ta?rc:qa;Ta=xc<sc;f[o>>2]=f[(Ta?p:o)>>2];n[p>>2]=Ta?sc:xc;xc=+n[t>>2];sc=+n[v>>2];Ta=sc<xc;za=f[(Ta?v:t)>>2]|0;f[t>>2]=za;qa=Ta?xc:sc;n[v>>2]=qa;sc=+n[r>>2];xc=(f[s>>2]=za,+n[s>>2]);za=xc<sc;Ta=f[(za?t:r)>>2]|0;f[r>>2]=Ta;rc=za?sc:xc;n[t>>2]=rc;za=qa<rc;pb=f[(za?v:t)>>2]|0;f[t>>2]=pb;xc=za?rc:qa;n[v>>2]=xc;qa=+n[x>>2];rc=+n[y>>2];za=rc<qa;ka=f[(za?y:x)>>2]|0;f[x>>2]=ka;sc=za?qa:rc;n[y>>2]=sc;rc=+n[w>>2];qa=(f[s>>2]=ka,+n[s>>2]);ka=qa<rc;za=f[(ka?x:w)>>2]|0;f[w>>2]=za;tc=ka?rc:qa;n[x>>2]=tc;ka=sc<tc;bb=f[(ka?y:x)>>2]|0;f[x>>2]=bb;qa=ka?tc:sc;n[y>>2]=qa;sc=(f[s>>2]=Ta,+n[s>>2]);tc=(f[s>>2]=za,+n[s>>2]);za=tc<sc;Ta=f[(za?w:r)>>2]|0;f[r>>2]=Ta;rc=za?sc:tc;n[w>>2]=rc;za=qa<xc;ka=f[(za?y:v)>>2]|0;f[v>>2]=ka;tc=za?xc:qa;n[y>>2]=tc;qa=(f[s>>2]=ka,+n[s>>2]);ka=rc<qa;za=f[(ka?w:v)>>2]|0;f[v>>2]=za;xc=ka?qa:rc;n[w>>2]=xc;rc=(f[s>>2]=pb,+n[s>>2]);qa=(f[s>>2]=bb,+n[s>>2]);bb=qa<rc;pb=f[(bb?x:t)>>2]|0;f[t>>2]=pb;sc=bb?rc:qa;n[x>>2]=sc;qa=(f[s>>2]=pb,+n[s>>2]);rc=(f[s>>2]=za,+n[s>>2]);za=rc<qa;pb=f[(za?v:t)>>2]|0;f[t>>2]=pb;qc=za?qa:rc;n[v>>2]=qc;za=sc<xc;bb=f[(za?x:w)>>2]|0;f[w>>2]=bb;rc=za?xc:sc;n[x>>2]=rc;sc=+n[k>>2];xc=(f[s>>2]=Ta,+n[s>>2]);Ta=xc<sc;f[k>>2]=f[(Ta?r:k)>>2];qa=Ta?sc:xc;n[r>>2]=qa;xc=+n[p>>2];Ta=rc<xc;za=f[(Ta?x:p)>>2]|0;f[p>>2]=za;n[x>>2]=Ta?xc:rc;rc=(f[s>>2]=za,+n[s>>2]);za=qa<rc;Ta=f[(za?r:p)>>2]|0;f[p>>2]=Ta;xc=za?rc:qa;n[r>>2]=xc;qa=+n[m>>2];za=qc<qa;ka=f[(za?v:m)>>2]|0;f[m>>2]=ka;rc=za?qa:qc;n[v>>2]=rc;qc=(f[s>>2]=ka,+n[s>>2]);qa=(f[s>>2]=Ta,+n[s>>2]);Ta=qa<qc;ka=f[(Ta?p:m)>>2]|0;f[m>>2]=ka;sc=Ta?qc:qa;n[p>>2]=sc;Ta=rc<xc;za=f[(Ta?v:r)>>2]|0;f[r>>2]=za;qa=Ta?xc:rc;n[v>>2]=qa;rc=+n[l>>2];xc=(f[s>>2]=pb,+n[s>>2]);pb=xc<rc;Ta=f[(pb?t:l)>>2]|0;f[l>>2]=Ta;qc=pb?rc:xc;n[t>>2]=qc;xc=+n[q>>2];pb=tc<xc;La=f[(pb?y:q)>>2]|0;f[q>>2]=La;n[y>>2]=pb?xc:tc;tc=(f[s>>2]=La,+n[s>>2]);La=qc<tc;pb=f[(La?t:q)>>2]|0;f[q>>2]=pb;xc=La?tc:qc;n[t>>2]=xc;qc=+n[o>>2];tc=(f[s>>2]=bb,+n[s>>2]);bb=tc<qc;La=f[(bb?w:o)>>2]|0;f[o>>2]=La;rc=bb?qc:tc;n[w>>2]=rc;tc=(f[s>>2]=La,+n[s>>2]);qc=(f[s>>2]=pb,+n[s>>2]);pb=qc<tc;La=f[(pb?q:o)>>2]|0;f[o>>2]=La;pc=pb?tc:qc;n[q>>2]=pc;pb=rc<xc;bb=f[(pb?w:t)>>2]|0;f[t>>2]=bb;qc=pb?xc:rc;n[w>>2]=qc;rc=(f[s>>2]=Ta,+n[s>>2]);xc=(f[s>>2]=ka,+n[s>>2]);ka=xc<rc;f[l>>2]=f[(ka?m:l)>>2];n[m>>2]=ka?rc:xc;xc=(f[s>>2]=La,+n[s>>2]);La=sc<xc;f[o>>2]=f[(La?p:o)>>2];n[p>>2]=La?xc:sc;sc=(f[s>>2]=za,+n[s>>2]);za=sc<pc;f[q>>2]=f[(za?r:q)>>2];n[r>>2]=za?pc:sc;sc=(f[s>>2]=bb,+n[s>>2]);bb=qa<sc;f[t>>2]=f[(bb?v:t)>>2];n[v>>2]=bb?sc:qa;qa=+n[x>>2];bb=qa<qc;f[w>>2]=f[(bb?x:w)>>2];n[x>>2]=bb?qc:qa;qa=+n[A>>2];qc=+n[B>>2];bb=qc<qa;za=f[(bb?B:A)>>2]|0;f[A>>2]=za;sc=bb?qa:qc;n[B>>2]=sc;qc=+n[z>>2];qa=(f[s>>2]=za,+n[s>>2]);za=qa<qc;bb=f[(za?A:z)>>2]|0;f[z>>2]=bb;pc=za?qc:qa;n[A>>2]=pc;za=sc<pc;La=f[(za?B:A)>>2]|0;f[A>>2]=La;qa=za?pc:sc;n[B>>2]=qa;sc=+n[D>>2];pc=+n[E>>2];za=pc<sc;ka=f[(za?E:D)>>2]|0;f[D>>2]=ka;qc=za?sc:pc;n[E>>2]=qc;pc=+n[C>>2];sc=(f[s>>2]=ka,+n[s>>2]);ka=sc<pc;za=f[(ka?D:C)>>2]|0;f[C>>2]=za;xc=ka?pc:sc;n[D>>2]=xc;ka=qc<xc;Ta=f[(ka?E:D)>>2]|0;f[D>>2]=Ta;sc=ka?xc:qc;n[E>>2]=sc;qc=(f[s>>2]=bb,+n[s>>2]);xc=(f[s>>2]=za,+n[s>>2]);za=xc<qc;f[z>>2]=f[(za?C:z)>>2];pc=za?qc:xc;n[C>>2]=pc;za=sc<qa;bb=f[(za?E:B)>>2]|0;f[B>>2]=bb;n[E>>2]=za?qa:sc;sc=(f[s>>2]=bb,+n[s>>2]);bb=pc<sc;za=f[(bb?C:B)>>2]|0;f[B>>2]=za;qa=bb?sc:pc;n[C>>2]=qa;pc=(f[s>>2]=La,+n[s>>2]);sc=(f[s>>2]=Ta,+n[s>>2]);Ta=sc<pc;La=f[(Ta?D:A)>>2]|0;f[A>>2]=La;xc=Ta?pc:sc;n[D>>2]=xc;sc=(f[s>>2]=La,+n[s>>2]);pc=(f[s>>2]=za,+n[s>>2]);za=pc<sc;f[A>>2]=f[(za?B:A)>>2];n[B>>2]=za?sc:pc;za=xc<qa;f[C>>2]=f[(za?D:C)>>2];n[D>>2]=za?qa:xc;xc=+n[G>>2];qa=+n[H>>2];za=qa<xc;La=f[(za?H:G)>>2]|0;f[G>>2]=La;pc=za?xc:qa;n[H>>2]=pc;qa=+n[F>>2];xc=(f[s>>2]=La,+n[s>>2]);La=xc<qa;za=f[(La?G:F)>>2]|0;f[F>>2]=za;sc=La?qa:xc;n[G>>2]=sc;La=pc<sc;Ta=f[(La?H:G)>>2]|0;f[G>>2]=Ta;xc=La?sc:pc;n[H>>2]=xc;pc=+n[I>>2];sc=+n[J>>2];La=sc<pc;bb=f[(La?J:I)>>2]|0;f[I>>2]=bb;qa=La?pc:sc;n[J>>2]=qa;sc=+n[K>>2];pc=+n[L>>2];La=pc<sc;ka=f[(La?L:K)>>2]|0;f[K>>2]=ka;qc=La?sc:pc;n[L>>2]=qc;pc=(f[s>>2]=bb,+n[s>>2]);sc=(f[s>>2]=ka,+n[s>>2]);ka=sc<pc;bb=f[(ka?K:I)>>2]|0;f[I>>2]=bb;rc=ka?pc:sc;n[K>>2]=rc;ka=qc<qa;La=f[(ka?L:J)>>2]|0;f[J>>2]=La;sc=ka?qa:qc;n[L>>2]=sc;qc=(f[s>>2]=La,+n[s>>2]);La=rc<qc;ka=f[(La?K:J)>>2]|0;f[J>>2]=ka;qa=La?qc:rc;n[K>>2]=qa;rc=(f[s>>2]=za,+n[s>>2]);qc=(f[s>>2]=bb,+n[s>>2]);bb=qc<rc;za=f[(bb?I:F)>>2]|0;f[F>>2]=za;pc=bb?rc:qc;n[I>>2]=pc;bb=qa<xc;La=f[(bb?K:H)>>2]|0;f[H>>2]=La;qc=bb?xc:qa;n[K>>2]=qc;qa=(f[s>>2]=La,+n[s>>2]);La=pc<qa;bb=f[(La?I:H)>>2]|0;f[H>>2]=bb;xc=La?qa:pc;n[I>>2]=xc;pc=(f[s>>2]=Ta,+n[s>>2]);qa=(f[s>>2]=ka,+n[s>>2]);ka=qa<pc;Ta=f[(ka?J:G)>>2]|0;f[G>>2]=Ta;rc=ka?pc:qa;n[J>>2]=rc;ka=sc<rc;La=f[(ka?L:J)>>2]|0;f[J>>2]=La;qa=ka?rc:sc;n[L>>2]=qa;sc=(f[s>>2]=Ta,+n[s>>2]);rc=(f[s>>2]=bb,+n[s>>2]);bb=rc<sc;Ta=f[(bb?H:G)>>2]|0;f[G>>2]=Ta;pc=bb?sc:rc;n[H>>2]=pc;rc=(f[s>>2]=La,+n[s>>2]);La=rc<xc;f[I>>2]=f[(La?J:I)>>2];sc=La?xc:rc;n[J>>2]=sc;La=qa<qc;bb=f[(La?L:K)>>2]|0;f[K>>2]=bb;rc=La?qc:qa;n[L>>2]=rc;qa=+n[z>>2];qc=(f[s>>2]=za,+n[s>>2]);za=qc<qa;f[z>>2]=f[(za?F:z)>>2];xc=za?qa:qc;n[F>>2]=xc;qc=+n[D>>2];za=sc<qc;La=f[(za?J:D)>>2]|0;f[D>>2]=La;qa=za?qc:sc;n[J>>2]=qa;sc=(f[s>>2]=La,+n[s>>2]);La=xc<sc;za=f[(La?F:D)>>2]|0;f[D>>2]=za;qc=La?sc:xc;n[F>>2]=qc;xc=+n[B>>2];La=pc<xc;ka=f[(La?H:B)>>2]|0;f[B>>2]=ka;sc=La?xc:pc;n[H>>2]=sc;La=rc<sc;pb=f[(La?L:H)>>2]|0;f[H>>2]=pb;pc=La?sc:rc;n[L>>2]=pc;rc=(f[s>>2]=ka,+n[s>>2]);sc=(f[s>>2]=za,+n[s>>2]);za=sc<rc;ka=f[(za?D:B)>>2]|0;f[B>>2]=ka;xc=za?rc:sc;n[D>>2]=xc;sc=(f[s>>2]=pb,+n[s>>2]);pb=sc<qc;za=f[(pb?H:F)>>2]|0;f[F>>2]=za;rc=pb?qc:sc;n[H>>2]=rc;pb=pc<qa;La=f[(pb?L:J)>>2]|0;f[J>>2]=La;sc=pb?qa:pc;n[L>>2]=sc;pc=+n[A>>2];qa=(f[s>>2]=Ta,+n[s>>2]);Ta=qa<pc;pb=f[(Ta?G:A)>>2]|0;f[A>>2]=pb;qc=Ta?pc:qa;n[G>>2]=qc;qa=+n[E>>2];pc=(f[s>>2]=bb,+n[s>>2]);bb=pc<qa;Ta=f[(bb?K:E)>>2]|0;f[E>>2]=Ta;tc=bb?qa:pc;n[K>>2]=tc;pc=(f[s>>2]=Ta,+n[s>>2]);Ta=qc<pc;bb=f[(Ta?G:E)>>2]|0;f[E>>2]=bb;qa=Ta?pc:qc;n[G>>2]=qa;qc=+n[C>>2];pc=+n[I>>2];Ta=pc<qc;ib=f[(Ta?I:C)>>2]|0;f[C>>2]=ib;uc=Ta?qc:pc;n[I>>2]=uc;pc=(f[s>>2]=ib,+n[s>>2]);qc=(f[s>>2]=bb,+n[s>>2]);bb=qc<pc;ib=f[(bb?E:C)>>2]|0;f[C>>2]=ib;oc=bb?pc:qc;n[E>>2]=oc;bb=uc<qa;Ta=f[(bb?I:G)>>2]|0;f[G>>2]=Ta;qc=bb?qa:uc;n[I>>2]=qc;uc=(f[s>>2]=pb,+n[s>>2]);qa=(f[s>>2]=ka,+n[s>>2]);ka=qa<uc;f[A>>2]=f[(ka?B:A)>>2];pc=ka?uc:qa;n[B>>2]=pc;qa=(f[s>>2]=ib,+n[s>>2]);ib=xc<qa;f[C>>2]=f[(ib?D:C)>>2];uc=ib?qa:xc;n[D>>2]=uc;xc=(f[s>>2]=za,+n[s>>2]);za=xc<oc;f[E>>2]=f[(za?F:E)>>2];qa=za?oc:xc;n[F>>2]=qa;xc=(f[s>>2]=Ta,+n[s>>2]);Ta=rc<xc;f[G>>2]=f[(Ta?H:G)>>2];oc=Ta?xc:rc;n[H>>2]=oc;rc=(f[s>>2]=La,+n[s>>2]);La=rc<qc;f[I>>2]=f[(La?J:I)>>2];xc=La?qc:rc;n[J>>2]=xc;La=sc<tc;f[K>>2]=f[(La?L:K)>>2];rc=La?tc:sc;n[L>>2]=rc;sc=+n[k>>2];tc=+n[z>>2];La=tc<sc;f[k>>2]=f[(La?z:k)>>2];qc=La?sc:tc;n[z>>2]=qc;tc=+n[v>>2];La=oc<tc;Ta=f[(La?H:v)>>2]|0;f[v>>2]=Ta;n[H>>2]=La?tc:oc;oc=(f[s>>2]=Ta,+n[s>>2]);Ta=qc<oc;f[v>>2]=f[(Ta?z:v)>>2];tc=Ta?oc:qc;n[z>>2]=tc;qc=+n[p>>2];Ta=uc<qc;f[p>>2]=f[(Ta?D:p)>>2];oc=Ta?qc:uc;n[D>>2]=oc;Ta=rc<oc;La=f[(Ta?L:D)>>2]|0;f[D>>2]=La;n[L>>2]=Ta?oc:rc;rc=(f[s>>2]=La,+n[s>>2]);La=rc<tc;Ta=f[(La?D:z)>>2]|0;f[z>>2]=Ta;n[D>>2]=La?tc:rc;rc=+n[m>>2];La=pc<rc;f[m>>2]=f[(La?B:m)>>2];tc=La?rc:pc;n[B>>2]=tc;La=f[(xc<+n[x>>2]?J:x)>>2]|0;f[x>>2]=La;za=f[(tc<(f[s>>2]=La,+n[s>>2])?B:x)>>2]|0;f[x>>2]=za;La=f[(qa<+n[r>>2]?F:r)>>2]|0;f[r>>2]=La;qa=(f[s>>2]=La,+n[s>>2]);tc=(f[s>>2]=za,+n[s>>2]);xc=tc<qa?qa:tc;n[x>>2]=xc;tc=(f[s>>2]=Ta,+n[s>>2]);qa=tc<xc?xc:tc;tc=+n[l>>2];xc=+n[A>>2];pc=xc<tc?tc:xc;n[A>>2]=pc;Ta=f[(+n[I>>2]<+n[w>>2]?I:w)>>2]|0;f[w>>2]=Ta;xc=(f[s>>2]=Ta,+n[s>>2]);tc=pc<xc?xc:pc;n[A>>2]=tc;pc=+n[q>>2];xc=+n[E>>2];rc=xc<pc?pc:xc;n[E>>2]=rc;xc=rc<tc?rc:+n[A>>2];rc=+n[o>>2];tc=+n[C>>2];pc=tc<rc?rc:tc;n[C>>2]=pc;Ta=f[(+n[K>>2]<+n[y>>2]?K:y)>>2]|0;f[y>>2]=Ta;za=pc<(f[s>>2]=Ta,+n[s>>2]);pc=za?+n[C>>2]:(f[s>>2]=Ta,+n[s>>2]);tc=+n[t>>2];rc=+n[G>>2];oc=rc<tc?rc:tc;tc=pc<oc?oc:pc;pc=xc<tc?xc:tc;n[Ia+(zc<<2)>>2]=qa<pc?pc:qa;Ta=zc+1|0;if((zc|0)<(ea|0))zc=Ta;else{fb=na;ob=Ta;continue n}}}if((Gb|0)==(Ma|0))break;else Ia=Ia+(va<<2)|0}}break}default:{}}while(0);break a;break}default:{f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;WD(-210,i,267910,264656,5184)}}}while(0);i=Q+36|0;zc=f[i>>2]|0;if(zc|0?(G=zc+12|0,zc=f[G>>2]|0,f[G>>2]=zc+-1,(zc|0)==1):0)aU(Q);f[i>>2]=0;i=Q+16|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;if((f[R>>2]|0)>0){i=f[$>>2]|0;$=0;do{f[i+($<<2)>>2]=0;$=$+1|0}while(($|0)<(f[R>>2]|0))}R=f[Z>>2]|0;if((R|0)!=(S|0))TC(R);R=P+36|0;S=f[R>>2]|0;if(S|0?(Z=S+12|0,S=f[Z>>2]|0,f[Z>>2]=S+-1,(S|0)==1):0)aU(P);f[R>>2]=0;R=P+4|0;f[ca>>2]=0;f[ca+4>>2]=0;f[ca+8>>2]=0;f[ca+12>>2]=0;if((f[R>>2]|0)>0){ca=f[P+40>>2]|0;S=0;do{f[ca+(S<<2)>>2]=0;S=S+1|0}while((S|0)<(f[R>>2]|0))}R=f[P+44>>2]|0;if((R|0)!=(P+48|0))TC(R);R=N+36|0;P=f[R>>2]|0;if(P|0?(S=P+12|0,P=f[S>>2]|0,f[S>>2]=P+-1,(P|0)==1):0)aU(N);f[R>>2]=0;R=N+4|0;f[T>>2]=0;f[T+4>>2]=0;f[T+8>>2]=0;f[T+12>>2]=0;if((f[R>>2]|0)>0){T=f[ba>>2]|0;ba=0;do{f[T+(ba<<2)>>2]=0;ba=ba+1|0}while((ba|0)<(f[R>>2]|0))}R=f[N+44>>2]|0;if((R|0)!=(N+48|0))TC(R)}else GJ(a,c);if(!(f[M+4>>2]|0)){u=g;return}u=g;return}function Xla(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0,qc=0,rc=0,sc=0,tc=0,uc=0,vc=0,wc=0,xc=0,yc=0,zc=0,Ac=0,Bc=0,Cc=0,Dc=0,Ec=0,Fc=0,Gc=0,Hc=0,Ic=0,Jc=0,Kc=0,Lc=0,Mc=0,Nc=0,Oc=0,Pc=0,Qc=0,Rc=0,Sc=0,Tc=0,Uc=0,Vc=0,Wc=0,Xc=0,Yc=0,Zc=0,_c=0,$c=0,ad=0,bd=0,cd=0,dd=0,ed=0,fd=0,gd=0,hd=0,id=0,jd=0,kd=0,ld=0,md=0,nd=0,od=0,pd=0,qd=0,rd=0,sd=0,td=0,ud=0,vd=0,wd=0,xd=0,yd=0,zd=0,Ad=0,Bd=0,Cd=0,Dd=0,Ed=0,Fd=0,Gd=0,Hd=0,Id=0,Jd=0,Kd=0,Ld=0,Md=0,Nd=0,Od=0,Pd=0,Qd=0,Rd=0,Sd=0,Td=0,Ud=0,Vd=0,Wd=0,Xd=0,Yd=0,Zd=0,_d=0,$d=0,ae=0,be=0,ce=0,de=0,ee=0,fe=0,ge=0,he=0,ie=0,je=0,ke=0,le=0,me=0,ne=0,oe=0,pe=0,qe=0,re=0,se=0,te=0,ue=0,ve=0,we=0,xe=0,ye=0,ze=0,Ae=0,Be=0,Ce=0,De=0,Ee=0,Fe=0,Ge=0,He=0,Ie=0,Je=0,Ke=0,Le=0,Me=0,Ne=0,Oe=0,Pe=0,Qe=0,Re=0,Se=0,Te=0,Ue=0,Ve=0,We=0,Xe=0,Ye=0,Ze=0,_e=0,$e=0,af=0,bf=0,cf=0,df=0,ef=0,ff=0,gf=0,hf=0,jf=0,kf=0;e=u;u=u+128|0;g=e+120|0;i=e+100|0;j=e;k=f[a+16>>2]|0;l=f[c+16>>2]|0;m=f[a+48>>2]|0;n=f[c+48>>2]|0;o=f[c+40>>2]|0;c=f[o+4>>2]|0;p=f[o>>2]|0;o=(f[a>>2]|0)>>>3;a=o&511;q=a+1|0;b[g>>0]=0;switch(d|0){case 3:{d=(p|0)==1;if((c|0)==1|d){r=p+c|0;s=r+-1|0;t=d?q:m;v=d?0:m-q|0;w=d?q:n;if((r|0)<=1){u=e;return}d=0-t|0;x=r+-2|0;r=k;y=l;z=0;while(1){A=(z|0)>0?d:0;B=(z|0)<(x|0)?t:0;C=0;D=r;while(1){E=h[D+A>>0]|0;F=h[D>>0]|0;G=E-F+256|0;if(G>>>0<769)H=h[270421+G>>0]|0;else H=0;G=H+F|0;F=G-(h[D+B>>0]|0)+256|0;if(F>>>0<769)I=h[270421+F>>0]|0;else I=0;F=G-I|0;G=(E|256)-H-F|0;if(G>>>0<769)J=h[270421+G>>0]|0;else J=0;b[y+C>>0]=J+F;C=C+1|0;if((C|0)==(q|0))break;else D=D+1|0}z=z+1|0;if((z|0)>=(s|0))break;else{r=r+q+v|0;y=y+w|0}}u=e;return}w=Y(q,c)|0;if((p|0)<=0){u=e;return}y=p+-1|0;v=(o|-512)^511;r=v+-1+w|0;s=w-q|0;z=l;J=0;while(1){H=J+-1|0;I=k+(Y((H|0)>0?H:0,m)|0)|0;H=k+(Y(J,m)|0)|0;J=J+1|0;t=k+(Y((y|0)<(J|0)?y:J,m)|0)|0;x=b[g>>0]&1?q:w;d=0;a:while(1){if((d|0)<(x|0)){D=d;do{C=D-((D|0)>(a|0)?q:0)|0;B=((D|0)<(s|0)?q:0)+D|0;A=h[I+C>>0]|0;F=h[I+D>>0]|0;G=h[I+B>>0]|0;E=h[H+C>>0]|0;K=h[H+D>>0]|0;L=h[H+B>>0]|0;M=h[t+C>>0]|0;C=h[t+D>>0]|0;N=h[t+B>>0]|0;B=F-G+256|0;if(B>>>0<769)O=h[270421+B>>0]|0;else O=0;B=O+G|0;G=F-O|0;F=K-L+256|0;if(F>>>0<769)P=h[270421+F>>0]|0;else P=0;F=P+L|0;L=K-P|0;K=C-N+256|0;if(K>>>0<769)Q=h[270421+K>>0]|0;else Q=0;K=Q+N|0;N=C-Q|0;C=A-G+256|0;if(C>>>0<769)R=h[270421+C>>0]|0;else R=0;C=R+G|0;G=E-L+256|0;if(G>>>0<769)S=h[270421+G>>0]|0;else S=0;G=S+L|0;L=E-S|0;E=M-N+256|0;if(E>>>0<769)T=h[270421+E>>0]|0;else T=0;E=T+N|0;N=M-T|0;M=C-B+256|0;if(M>>>0<769)U=h[270421+M>>0]|0;else U=0;M=U+B|0;B=G-F+256|0;if(B>>>0<769)V=h[270421+B>>0]|0;else V=0;B=V+F|0;F=G-V|0;G=E-K+256|0;if(G>>>0<769)W=h[270421+G>>0]|0;else W=0;G=E-W|0;E=(A|256)-R-L|0;if(E>>>0<769)X=h[270421+E>>0]|0;else X=0;E=256-K+B-W|0;if(E>>>0<769)Z=h[270421+E>>0]|0;else Z=0;E=F-G+256|0;if(E>>>0<769)_=h[270421+E>>0]|0;else _=0;E=F-_|0;F=L+256-N+X|0;if(F>>>0<769)$=h[270421+F>>0]|0;else $=0;F=C+256-U-E|0;if(F>>>0<769)aa=h[270421+F>>0]|0;else aa=0;F=aa+E|0;E=M+256-B+Z|0;if(E>>>0<769)ba=h[270421+E>>0]|0;else ba=0;E=M-ba|0;M=256-G-_+F|0;if(M>>>0<769)ca=h[270421+M>>0]|0;else ca=0;M=F-ca|0;F=M-E+256|0;if(F>>>0<769)da=h[270421+F>>0]|0;else da=0;F=M-da|0;M=N+256+$-F|0;if(M>>>0<769)ea=h[270421+M>>0]|0;else ea=0;M=ea+F|0;F=256-E-da+M|0;if(F>>>0<769)fa=h[270421+F>>0]|0;else fa=0;b[z+D>>0]=M-fa;D=D+1|0}while((D|0)!=(x|0));ga=x}else ga=d;if((x|0)==(w|0))break;if((ga|0)>(r|0)){x=w;d=ga;continue}else ha=ga;while(1){D=I+ha|0;M=h[D+v>>0]|0;F=h[D>>0]|0;E=h[D+q>>0]|0;D=H+ha|0;N=h[D+v>>0]|0;G=h[D>>0]|0;B=h[D+q>>0]|0;D=t+ha|0;C=h[D+v>>0]|0;L=h[D>>0]|0;K=h[D+q>>0]|0;D=F-E+256|0;if(D>>>0<769)ia=h[270421+D>>0]|0;else ia=0;D=ia+E|0;E=F-ia|0;F=G-B+256|0;if(F>>>0<769)ja=h[270421+F>>0]|0;else ja=0;F=ja+B|0;B=G-ja|0;G=L-K+256|0;if(G>>>0<769)ka=h[270421+G>>0]|0;else ka=0;G=ka+K|0;K=L-ka|0;L=M-E+256|0;if(L>>>0<769)la=h[270421+L>>0]|0;else la=0;L=la+E|0;E=N-B+256|0;if(E>>>0<769)ma=h[270421+E>>0]|0;else ma=0;E=ma+B|0;B=N-ma|0;N=C-K+256|0;if(N>>>0<769)na=h[270421+N>>0]|0;else na=0;N=na+K|0;K=C-na|0;C=L-D+256|0;if(C>>>0<769)oa=h[270421+C>>0]|0;else oa=0;C=oa+D|0;D=E-F+256|0;if(D>>>0<769)pa=h[270421+D>>0]|0;else pa=0;D=pa+F|0;F=E-pa|0;E=N-G+256|0;if(E>>>0<769)qa=h[270421+E>>0]|0;else qa=0;E=N-qa|0;N=(M|256)-la-B|0;if(N>>>0<769)ra=h[270421+N>>0]|0;else ra=0;N=256-G+D-qa|0;if(N>>>0<769)sa=h[270421+N>>0]|0;else sa=0;N=F-E+256|0;if(N>>>0<769)ta=h[270421+N>>0]|0;else ta=0;N=F-ta|0;F=B+256-K+ra|0;if(F>>>0<769)ua=h[270421+F>>0]|0;else ua=0;F=L+256-oa-N|0;if(F>>>0<769)va=h[270421+F>>0]|0;else va=0;F=va+N|0;N=C+256-D+sa|0;if(N>>>0<769)wa=h[270421+N>>0]|0;else wa=0;N=C-wa|0;C=256-E-ta+F|0;if(C>>>0<769)xa=h[270421+C>>0]|0;else xa=0;C=F-xa|0;F=C-N+256|0;if(F>>>0<769)ya=h[270421+F>>0]|0;else ya=0;F=C-ya|0;C=K+256+ua-F|0;if(C>>>0<769)za=h[270421+C>>0]|0;else za=0;C=za+F|0;F=256-N-ya+C|0;if(F>>>0<769)Aa=h[270421+F>>0]|0;else Aa=0;b[z+ha>>0]=C-Aa;C=ha+1|0;if((ha|0)<(r|0))ha=C;else{x=w;d=C;continue a}}}if((J|0)==(p|0))break;else z=z+n|0}u=e;return}case 5:{z=(p|0)==1;if((c|0)==1|z){J=p+c|0;w=J+-1|0;ha=z?q:m;r=z?0:m-q|0;Aa=z?q:n;if((J|0)<=1){u=e;return}z=0-ha|0;ya=z<<1;za=J+-2|0;ua=J+-3|0;J=ha<<1;xa=k;ta=l;wa=0;while(1){sa=(wa|0)>0?z:0;va=(wa|0)>1?ya:sa;oa=(wa|0)<(za|0)?ha:0;ra=(wa|0)<(ua|0)?J:oa;qa=xa;la=0;while(1){pa=h[qa+va>>0]|0;na=h[qa+sa>>0]|0;ma=h[qa>>0]|0;ka=h[qa+oa>>0]|0;ja=h[qa+ra>>0]|0;ia=pa-na+256|0;if(ia>>>0<769)Ba=h[270421+ia>>0]|0;else Ba=0;ia=ka-ja+256|0;if(ia>>>0<769)Ca=h[270421+ia>>0]|0;else Ca=0;ia=Ca+ja|0;ja=ka-Ca|0;ka=ma-ja+256|0;if(ka>>>0<769)Da=h[270421+ka>>0]|0;else Da=0;ka=Da+ja|0;ja=ma-Da|0;ma=ka-ia+256|0;if(ma>>>0<769)Ea=h[270421+ma>>0]|0;else Ea=0;ma=(pa|256)-Ba-ja|0;if(ma>>>0<769)Fa=h[270421+ma>>0]|0;else Fa=0;ma=Fa+ja|0;ja=256-ia-Ea+ma|0;if(ja>>>0<769)Ga=h[270421+ja>>0]|0;else Ga=0;ja=ma-Ga|0;ma=Ba+na+256|0;na=ma-ka+Ea|0;if(na>>>0<769)Ha=h[270421+na>>0]|0;else Ha=0;na=ma-ja-Ha|0;if(na>>>0<769)Ia=h[270421+na>>0]|0;else Ia=0;b[ta+la>>0]=Ia+ja;la=la+1|0;if((la|0)==(q|0))break;else qa=qa+1|0}wa=wa+1|0;if((wa|0)>=(w|0))break;else{xa=xa+q+r|0;ta=ta+Aa|0}}u=e;return}Aa=Y(q,c)|0;if((p|0)<=0){u=e;return}c=i+4|0;ta=i+8|0;r=p+-1|0;xa=i+12|0;w=i+16|0;wa=q<<1;Ia=0-wa|0;Ha=Aa+-1-wa|0;Ea=(o|-512)^511;o=j+4|0;Ba=j+8|0;Ga=j+16|0;Fa=j+20|0;Da=j+12|0;Ca=j+28|0;J=j+32|0;ua=j+24|0;ha=j+40|0;za=j+44|0;ya=j+36|0;z=j+52|0;qa=j+56|0;la=j+48|0;ra=j+64|0;oa=j+68|0;sa=j+60|0;va=j+76|0;ja=j+80|0;na=j+72|0;ma=j+84|0;ka=j+88|0;ia=j+92|0;pa=j+96|0;v=Aa-q|0;ga=Aa-wa|0;fa=j+4|0;da=j+8|0;ea=j+16|0;$=j+20|0;ca=j+12|0;_=j+28|0;ba=j+32|0;Z=j+24|0;aa=j+40|0;U=j+44|0;X=j+36|0;W=j+52|0;R=j+56|0;V=j+48|0;T=j+64|0;S=j+68|0;Q=j+60|0;P=j+76|0;O=j+80|0;s=j+72|0;y=j+84|0;d=j+88|0;x=j+92|0;t=j+96|0;H=l;l=0;while(1){I=l+-2|0;C=k+(Y((I|0)>0?I:0,m)|0)|0;f[i>>2]=C;C=l+-1|0;I=k+(Y((C|0)>0?C:0,m)|0)|0;f[c>>2]=I;I=k+(Y(l,m)|0)|0;f[ta>>2]=I;I=l;l=l+1|0;C=k+(Y((r|0)<(l|0)?r:l,m)|0)|0;f[xa>>2]=C;C=I+2|0;I=k+(Y((r|0)<(C|0)?r:C,m)|0)|0;f[w>>2]=I;I=b[g>>0]&1?wa:Aa;C=0;b:while(1){if((C|0)<(I|0)){F=C;do{N=F-((F|0)>(a|0)?q:0)|0;K=(F|0)<(wa|0)?N:F-wa|0;E=((F|0)<(v|0)?q:0)+F|0;D=(F|0)<(ga|0)?F+wa|0:E;L=f[i>>2]|0;f[j>>2]=h[L+K>>0];B=h[L+N>>0]|0;f[fa>>2]=B;G=h[L+F>>0]|0;f[da>>2]=G;M=h[L+E>>0]|0;f[ca>>2]=M;A=h[L+D>>0]|0;f[ea>>2]=A;L=f[c>>2]|0;Ja=h[L+K>>0]|0;f[$>>2]=Ja;Ka=h[L+N>>0]|0;f[Z>>2]=Ka;La=h[L+F>>0]|0;f[_>>2]=La;Ma=h[L+E>>0]|0;f[ba>>2]=Ma;Na=h[L+D>>0]|0;f[X>>2]=Na;L=f[ta>>2]|0;Oa=h[L+K>>0]|0;f[aa>>2]=Oa;Pa=h[L+N>>0]|0;f[U>>2]=Pa;Qa=h[L+F>>0]|0;f[V>>2]=Qa;Ra=h[L+E>>0]|0;f[W>>2]=Ra;Sa=h[L+D>>0]|0;f[R>>2]=Sa;L=f[xa>>2]|0;Ta=h[L+K>>0]|0;f[Q>>2]=Ta;Ua=h[L+N>>0]|0;f[T>>2]=Ua;Va=h[L+F>>0]|0;f[S>>2]=Va;Wa=h[L+E>>0]|0;f[s>>2]=Wa;Xa=h[L+D>>0]|0;f[P>>2]=Xa;L=f[w>>2]|0;Ya=h[L+K>>0]|0;f[O>>2]=Ya;K=h[L+N>>0]|0;f[y>>2]=K;N=h[L+F>>0]|0;f[d>>2]=N;Za=h[L+E>>0]|0;f[x>>2]=Za;E=h[L+D>>0]|0;f[t>>2]=E;D=B-G+256|0;if(D>>>0<769)_a=h[270421+D>>0]|0;else _a=0;D=_a+G|0;f[da>>2]=D;G=(f[fa>>2]|0)-_a|0;f[fa>>2]=G;B=f[j>>2]|0;L=B-G+256|0;if(L>>>0<769)$a=h[270421+L>>0]|0;else $a=0;L=$a+G|0;f[fa>>2]=L;G=B-$a|0;f[j>>2]=G;B=L-D+256|0;if(B>>>0<769)ab=h[270421+B>>0]|0;else ab=0;B=ab+D|0;f[da>>2]=B;D=L-ab|0;f[fa>>2]=D;L=A-Ja+256|0;if(L>>>0<769)bb=h[270421+L>>0]|0;else bb=0;L=bb+Ja|0;f[$>>2]=L;Ja=A-bb|0;f[ea>>2]=Ja;A=M-Ja+256|0;if(A>>>0<769)cb=h[270421+A>>0]|0;else cb=0;A=cb+Ja|0;f[ea>>2]=A;Ja=M-cb|0;f[ca>>2]=Ja;M=A-L+256|0;if(M>>>0<769)db=h[270421+M>>0]|0;else db=0;M=db+L|0;f[$>>2]=M;L=A-db|0;f[ea>>2]=L;A=G-Ja+256|0;if(A>>>0<769)eb=h[270421+A>>0]|0;else eb=0;A=eb+Ja|0;f[ca>>2]=A;Ja=G-eb|0;f[j>>2]=Ja;G=B-M+256|0;if(G>>>0<769)fb=h[270421+G>>0]|0;else fb=0;G=fb+M|0;f[$>>2]=G;M=B-fb|0;f[da>>2]=M;B=M-A+256|0;if(B>>>0<769)gb=h[270421+B>>0]|0;else gb=0;B=gb+A|0;f[ca>>2]=B;A=M-gb|0;f[da>>2]=A;M=D-L+256|0;if(M>>>0<769)hb=h[270421+M>>0]|0;else hb=0;M=hb+L|0;f[ea>>2]=M;L=D-hb|0;f[fa>>2]=L;D=L-A+256|0;if(D>>>0<769)ib=h[270421+D>>0]|0;else ib=0;D=ib+A|0;f[da>>2]=D;A=L-ib|0;f[fa>>2]=A;L=B-M+256|0;if(L>>>0<769)jb=h[270421+L>>0]|0;else jb=0;L=jb+M|0;f[ea>>2]=L;M=B-jb|0;f[ca>>2]=M;B=La-Ma+256|0;if(B>>>0<769)kb=h[270421+B>>0]|0;else kb=0;B=kb+Ma|0;f[ba>>2]=B;Ma=La-kb|0;f[_>>2]=Ma;La=Ka-Ma+256|0;if(La>>>0<769)lb=h[270421+La>>0]|0;else lb=0;La=lb+Ma|0;f[_>>2]=La;Ma=Ka-lb|0;f[Z>>2]=Ma;Ka=La-B+256|0;if(Ka>>>0<769)mb=h[270421+Ka>>0]|0;else mb=0;Ka=mb+B|0;f[ba>>2]=Ka;B=La-mb|0;f[_>>2]=B;La=Oa-Pa+256|0;if(La>>>0<769)nb=h[270421+La>>0]|0;else nb=0;La=nb+Pa|0;f[U>>2]=La;Pa=Oa-nb|0;f[aa>>2]=Pa;Oa=Na-Pa+256|0;if(Oa>>>0<769)ob=h[270421+Oa>>0]|0;else ob=0;Oa=ob+Pa|0;f[aa>>2]=Oa;Pa=Na-ob|0;f[X>>2]=Pa;Na=Oa-La+256|0;if(Na>>>0<769)pb=h[270421+Na>>0]|0;else pb=0;Na=pb+La|0;f[U>>2]=Na;La=Oa-pb|0;f[aa>>2]=La;Oa=Ma-Pa+256|0;if(Oa>>>0<769)qb=h[270421+Oa>>0]|0;else qb=0;Oa=qb+Pa|0;f[X>>2]=Oa;Pa=Ma-qb|0;f[Z>>2]=Pa;Ma=Ka-Na+256|0;if(Ma>>>0<769)rb=h[270421+Ma>>0]|0;else rb=0;Ma=rb+Na|0;f[U>>2]=Ma;Na=Ka-rb|0;f[ba>>2]=Na;Ka=Na-Oa+256|0;if(Ka>>>0<769)sb=h[270421+Ka>>0]|0;else sb=0;Ka=sb+Oa|0;f[X>>2]=Ka;Oa=Na-sb|0;f[ba>>2]=Oa;Na=B-La+256|0;if(Na>>>0<769)tb=h[270421+Na>>0]|0;else tb=0;Na=tb+La|0;f[aa>>2]=Na;La=B-tb|0;f[_>>2]=La;B=La-Oa+256|0;if(B>>>0<769)ub=h[270421+B>>0]|0;else ub=0;B=ub+Oa|0;f[ba>>2]=B;Oa=La-ub|0;f[_>>2]=Oa;La=Ka-Na+256|0;if(La>>>0<769)vb=h[270421+La>>0]|0;else vb=0;La=vb+Na|0;f[aa>>2]=La;Na=Ka-vb|0;f[X>>2]=Na;Ka=Ja-Pa+256|0;if(Ka>>>0<769)wb=h[270421+Ka>>0]|0;else wb=0;Ka=wb+Pa|0;f[Z>>2]=Ka;Pa=Ja-wb|0;f[j>>2]=Pa;Ja=L-La+256|0;if(Ja>>>0<769)xb=h[270421+Ja>>0]|0;else xb=0;Ja=xb+La|0;f[aa>>2]=Ja;La=L-xb|0;f[ea>>2]=La;L=La-Ka+256|0;if(L>>>0<769)yb=h[270421+L>>0]|0;else yb=0;L=yb+Ka|0;f[Z>>2]=L;Ka=La-yb|0;f[ea>>2]=Ka;La=D-B+256|0;if(La>>>0<769)zb=h[270421+La>>0]|0;else zb=0;La=zb+B|0;f[ba>>2]=La;B=D-zb|0;f[da>>2]=B;D=B-Ka+256|0;if(D>>>0<769)Ab=h[270421+D>>0]|0;else Ab=0;D=Ab+Ka|0;f[ea>>2]=D;Ka=B-Ab|0;f[da>>2]=Ka;B=L-La+256|0;if(B>>>0<769)Bb=h[270421+B>>0]|0;else Bb=0;B=Bb+La|0;f[ba>>2]=B;La=L-Bb|0;f[Z>>2]=La;L=A-Oa+256|0;if(L>>>0<769)Cb=h[270421+L>>0]|0;else Cb=0;L=Cb+Oa|0;f[_>>2]=L;Oa=A-Cb|0;f[fa>>2]=Oa;A=G-Ma+256|0;if(A>>>0<769)Db=h[270421+A>>0]|0;else Db=0;A=Db+Ma|0;f[U>>2]=A;Ma=G-Db|0;f[$>>2]=Ma;G=Ma-L+256|0;if(G>>>0<769)Eb=h[270421+G>>0]|0;else Eb=0;G=Eb+L|0;f[_>>2]=G;L=Ma-Eb|0;f[$>>2]=L;Ma=M-Na+256|0;if(Ma>>>0<769)Fb=h[270421+Ma>>0]|0;else Fb=0;Ma=Fb+Na|0;f[X>>2]=Ma;Na=M-Fb|0;f[ca>>2]=Na;M=Na-L+256|0;if(M>>>0<769)Gb=h[270421+M>>0]|0;else Gb=0;M=Gb+L|0;f[$>>2]=M;L=Na-Gb|0;f[ca>>2]=L;Na=G-Ma+256|0;if(Na>>>0<769)Hb=h[270421+Na>>0]|0;else Hb=0;Na=Hb+Ma|0;f[X>>2]=Na;Ma=G-Hb|0;f[_>>2]=Ma;G=Oa-Ka+256|0;if(G>>>0<769)Ib=h[270421+G>>0]|0;else Ib=0;G=Ib+Ka|0;f[da>>2]=G;Ka=Oa-Ib|0;f[fa>>2]=Ka;Oa=L-D+256|0;if(Oa>>>0<769)Jb=h[270421+Oa>>0]|0;else Jb=0;Oa=Jb+D|0;f[ea>>2]=Oa;D=L-Jb|0;f[ca>>2]=D;L=M-La+256|0;if(L>>>0<769)Kb=h[270421+L>>0]|0;else Kb=0;L=Kb+La|0;f[Z>>2]=L;La=M-Kb|0;f[$>>2]=La;M=Ma-B+256|0;if(M>>>0<769)Lb=h[270421+M>>0]|0;else Lb=0;M=Lb+B|0;f[ba>>2]=M;B=Ma-Lb|0;f[_>>2]=B;Ma=Na-Ja+256|0;if(Ma>>>0<769)Mb=h[270421+Ma>>0]|0;else Mb=0;Ma=Mb+Ja|0;f[aa>>2]=Ma;Ja=Na-Mb|0;f[X>>2]=Ja;Na=Ra-Sa+256|0;if(Na>>>0<769)Nb=h[270421+Na>>0]|0;else Nb=0;Na=Nb+Sa|0;f[R>>2]=Na;Sa=Ra-Nb|0;f[W>>2]=Sa;Ra=Qa-Sa+256|0;if(Ra>>>0<769)Ob=h[270421+Ra>>0]|0;else Ob=0;Ra=Ob+Sa|0;f[W>>2]=Ra;Sa=Qa-Ob|0;f[V>>2]=Sa;Qa=Ra-Na+256|0;if(Qa>>>0<769)Pb=h[270421+Qa>>0]|0;else Pb=0;Qa=Pb+Na|0;f[R>>2]=Qa;Na=Ra-Pb|0;f[W>>2]=Na;Ra=Ua-Va+256|0;if(Ra>>>0<769)Qb=h[270421+Ra>>0]|0;else Qb=0;Ra=Qb+Va|0;f[S>>2]=Ra;Va=Ua-Qb|0;f[T>>2]=Va;Ua=Ta-Va+256|0;if(Ua>>>0<769)Rb=h[270421+Ua>>0]|0;else Rb=0;Ua=Rb+Va|0;f[T>>2]=Ua;Va=Ta-Rb|0;f[Q>>2]=Va;Ta=Ua-Ra+256|0;if(Ta>>>0<769)Sb=h[270421+Ta>>0]|0;else Sb=0;Ta=Sb+Ra|0;f[S>>2]=Ta;Ra=Ua-Sb|0;f[T>>2]=Ra;Ua=Sa-Va+256|0;if(Ua>>>0<769)Tb=h[270421+Ua>>0]|0;else Tb=0;Ua=Tb+Va|0;f[Q>>2]=Ua;Va=Sa-Tb|0;f[V>>2]=Va;Sa=Qa-Ta+256|0;if(Sa>>>0<769)Ub=h[270421+Sa>>0]|0;else Ub=0;Sa=Ub+Ta|0;f[S>>2]=Sa;Ta=Qa-Ub|0;f[R>>2]=Ta;Qa=Ta-Ua+256|0;if(Qa>>>0<769)Vb=h[270421+Qa>>0]|0;else Vb=0;Qa=Vb+Ua|0;f[Q>>2]=Qa;Ua=Ta-Vb|0;f[R>>2]=Ua;Ta=Na-Ra+256|0;if(Ta>>>0<769)Wb=h[270421+Ta>>0]|0;else Wb=0;Ta=Wb+Ra|0;f[T>>2]=Ta;Ra=Na-Wb|0;f[W>>2]=Ra;Na=Ra-Ua+256|0;if(Na>>>0<769)Xb=h[270421+Na>>0]|0;else Xb=0;Na=Xb+Ua|0;f[R>>2]=Na;Ua=Ra-Xb|0;f[W>>2]=Ua;Ra=Qa-Ta+256|0;if(Ra>>>0<769)Yb=h[270421+Ra>>0]|0;else Yb=0;Ra=Yb+Ta|0;f[T>>2]=Ra;Ta=Qa-Yb|0;f[Q>>2]=Ta;Qa=Xa-Ya+256|0;if(Qa>>>0<769)Zb=h[270421+Qa>>0]|0;else Zb=0;Qa=Zb+Ya|0;f[O>>2]=Qa;Ya=Xa-Zb|0;f[P>>2]=Ya;Xa=Wa-Ya+256|0;if(Xa>>>0<769)_b=h[270421+Xa>>0]|0;else _b=0;Xa=_b+Ya|0;f[P>>2]=Xa;Ya=Wa-_b|0;f[s>>2]=Ya;Wa=Xa-Qa+256|0;if(Wa>>>0<769)$b=h[270421+Wa>>0]|0;else $b=0;Wa=$b+Qa|0;f[O>>2]=Wa;Qa=Xa-$b|0;f[P>>2]=Qa;Xa=K-N+256|0;if(Xa>>>0<769)ac=h[270421+Xa>>0]|0;else ac=0;Xa=ac+N|0;f[d>>2]=Xa;N=K-ac|0;f[y>>2]=N;K=Za-E+256|0;if(K>>>0<769)bc=h[270421+K>>0]|0;else bc=0;K=bc+E|0;f[t>>2]=K;E=Za-bc|0;f[x>>2]=E;Za=N-E+256|0;if(Za>>>0<769)cc=h[270421+Za>>0]|0;else cc=0;Za=cc+E|0;f[x>>2]=Za;E=N-cc|0;f[y>>2]=E;N=Xa-K+256|0;if(N>>>0<769)dc=h[270421+N>>0]|0;else dc=0;N=dc+K|0;f[t>>2]=N;K=Xa-dc|0;f[d>>2]=K;Xa=K-Za+256|0;if(Xa>>>0<769)ec=h[270421+Xa>>0]|0;else ec=0;Xa=ec+Za|0;f[x>>2]=Xa;Za=K-ec|0;f[d>>2]=Za;K=Ya-E+256|0;if(K>>>0<769)fc=h[270421+K>>0]|0;else fc=0;K=fc+E|0;f[y>>2]=K;E=Ya-fc|0;f[s>>2]=E;Ya=Wa-Xa+256|0;if(Ya>>>0<769)gc=h[270421+Ya>>0]|0;else gc=0;Ya=gc+Xa|0;f[x>>2]=Ya;Xa=Wa-gc|0;f[O>>2]=Xa;Wa=Xa-K+256|0;if(Wa>>>0<769)hc=h[270421+Wa>>0]|0;else hc=0;Wa=hc+K|0;f[y>>2]=Wa;K=Xa-hc|0;f[O>>2]=K;Xa=Qa-Za+256|0;if(Xa>>>0<769)ic=h[270421+Xa>>0]|0;else ic=0;Xa=ic+Za|0;f[d>>2]=Xa;Za=Qa-ic|0;f[P>>2]=Za;Qa=Xa-N+256|0;if(Qa>>>0<769)jc=h[270421+Qa>>0]|0;else jc=0;Qa=jc+N|0;f[t>>2]=Qa;N=Xa-jc|0;f[d>>2]=N;Xa=Za-K+256|0;if(Xa>>>0<769)kc=h[270421+Xa>>0]|0;else kc=0;Xa=kc+K|0;f[O>>2]=Xa;K=Za-kc|0;f[P>>2]=K;Za=Wa-N+256|0;if(Za>>>0<769)lc=h[270421+Za>>0]|0;else lc=0;Za=lc+N|0;f[d>>2]=Za;N=Wa-lc|0;f[y>>2]=N;Wa=Ya-Qa+256|0;if(Wa>>>0<769)mc=h[270421+Wa>>0]|0;else mc=0;Wa=mc+Qa|0;f[t>>2]=Wa;Qa=Ya-mc|0;f[x>>2]=Qa;Ya=Va-E+256|0;if(Ya>>>0<769)nc=h[270421+Ya>>0]|0;else nc=0;Ya=nc+E|0;f[s>>2]=Ya;E=Va-nc|0;f[V>>2]=E;Va=Ra-Za+256|0;if(Va>>>0<769)oc=h[270421+Va>>0]|0;else oc=0;Va=oc+Za|0;f[d>>2]=Va;Za=Ra-oc|0;f[T>>2]=Za;Ra=Za-Ya+256|0;if(Ra>>>0<769)pc=h[270421+Ra>>0]|0;else pc=0;Ra=pc+Ya|0;f[s>>2]=Ra;Ya=Za-pc|0;f[T>>2]=Ya;Za=Na-Xa+256|0;if(Za>>>0<769)qc=h[270421+Za>>0]|0;else qc=0;Za=qc+Xa|0;f[O>>2]=Za;Xa=Na-qc|0;f[R>>2]=Xa;Na=Za-Wa+256|0;if(Na>>>0<769)rc=h[270421+Na>>0]|0;else rc=0;Na=rc+Wa|0;f[t>>2]=Na;Wa=Za-rc|0;f[O>>2]=Wa;Za=Xa-Ya+256|0;if(Za>>>0<769)sc=h[270421+Za>>0]|0;else sc=0;Za=sc+Ya|0;f[T>>2]=Za;Ya=Xa-sc|0;f[R>>2]=Ya;Xa=Ra-Wa+256|0;if(Xa>>>0<769)tc=h[270421+Xa>>0]|0;else tc=0;Xa=tc+Wa|0;f[O>>2]=Xa;Wa=Ra-tc|0;f[s>>2]=Wa;Ra=Va-Na+256|0;if(Ra>>>0<769)uc=h[270421+Ra>>0]|0;else uc=0;Ra=uc+Na|0;f[t>>2]=Ra;Na=Va-uc|0;f[d>>2]=Na;Va=Ua-K+256|0;if(Va>>>0<769)vc=h[270421+Va>>0]|0;else vc=0;Va=vc+K|0;f[P>>2]=Va;K=Ua-vc|0;f[W>>2]=K;Ua=Sa-Qa+256|0;if(Ua>>>0<769)wc=h[270421+Ua>>0]|0;else wc=0;Ua=wc+Qa|0;f[x>>2]=Ua;Qa=Sa-wc|0;f[S>>2]=Qa;Sa=Qa-Va+256|0;if(Sa>>>0<769)xc=h[270421+Sa>>0]|0;else xc=0;Sa=xc+Va|0;f[P>>2]=Sa;Va=Qa-xc|0;f[S>>2]=Va;Qa=Ta-N+256|0;if(Qa>>>0<769)yc=h[270421+Qa>>0]|0;else yc=0;Qa=yc+N|0;f[y>>2]=Qa;N=Ta-yc|0;f[Q>>2]=N;Ta=N-Va+256|0;if(Ta>>>0<769)zc=h[270421+Ta>>0]|0;else zc=0;Ta=zc+Va|0;f[S>>2]=Ta;Va=N-zc|0;f[Q>>2]=Va;N=Sa-Qa+256|0;if(N>>>0<769)Ac=h[270421+N>>0]|0;else Ac=0;N=Ac+Qa|0;f[y>>2]=N;Qa=Sa-Ac|0;f[P>>2]=Qa;Sa=K-Ya+256|0;if(Sa>>>0<769)Bc=h[270421+Sa>>0]|0;else Bc=0;Sa=Bc+Ya|0;f[R>>2]=Sa;Ya=K-Bc|0;f[W>>2]=Ya;K=Va-Za+256|0;if(K>>>0<769)Cc=h[270421+K>>0]|0;else Cc=0;K=Cc+Za|0;f[T>>2]=K;Za=Va-Cc|0;f[Q>>2]=Za;Va=Ta-Wa+256|0;if(Va>>>0<769)Dc=h[270421+Va>>0]|0;else Dc=0;Va=Dc+Wa|0;f[s>>2]=Va;Wa=Ta-Dc|0;f[S>>2]=Wa;Ta=Qa-Xa+256|0;if(Ta>>>0<769)Ec=h[270421+Ta>>0]|0;else Ec=0;Ta=Ec+Xa|0;f[O>>2]=Ta;Xa=Qa-Ec|0;f[P>>2]=Xa;Qa=N-Na+256|0;if(Qa>>>0<769)Fc=h[270421+Qa>>0]|0;else Fc=0;Qa=Fc+Na|0;f[d>>2]=Qa;Na=N-Fc|0;f[y>>2]=Na;N=Ua-Ra+256|0;if(N>>>0<769)Gc=h[270421+N>>0]|0;else Gc=0;N=Gc+Ra|0;f[t>>2]=N;Ra=Ua-Gc|0;f[x>>2]=Ra;Ua=Pa-E+256|0;if(Ua>>>0<769)Hc=h[270421+Ua>>0]|0;else Hc=0;Ua=Hc+E|0;f[V>>2]=Ua;f[j>>2]=Pa-Hc;Pa=M-Ta+256|0;if(Pa>>>0<769)Ic=h[270421+Pa>>0]|0;else Ic=0;f[O>>2]=Ic+Ta;Ta=M-Ic|0;f[ba>>2]=Ta;M=Ta-Ua+256|0;if(M>>>0<769)Jc=h[270421+M>>0]|0;else Jc=0;M=Jc+Ua|0;f[V>>2]=M;f[ba>>2]=Ta-Jc;Ta=Oa-K+256|0;if(Ta>>>0<769)Kc=h[270421+Ta>>0]|0;else Kc=0;Ta=Kc+K|0;f[T>>2]=Ta;f[ea>>2]=Oa-Kc;Oa=Ta-N+256|0;if(Oa>>>0<769)Lc=h[270421+Oa>>0]|0;else Lc=0;f[t>>2]=Lc+N;N=Ta-Lc|0;f[T>>2]=N;Ta=M-N+256|0;if(Ta>>>0<769)Mc=h[270421+Ta>>0]|0;else Mc=0;f[T>>2]=Mc+N;N=M-Mc|0;f[V>>2]=N;M=G-Sa+256|0;if(M>>>0<769)Nc=h[270421+M>>0]|0;else Nc=0;M=Nc+Sa|0;f[R>>2]=M;f[da>>2]=G-Nc;G=Ma-Qa+256|0;if(G>>>0<769)Oc=h[270421+G>>0]|0;else Oc=0;f[d>>2]=Oc+Qa;Qa=Ma-Oc|0;f[aa>>2]=Qa;Ma=Qa-M+256|0;if(Ma>>>0<769)Pc=h[270421+Ma>>0]|0;else Pc=0;f[R>>2]=Pc+M;M=Qa-Pc|0;f[aa>>2]=M;Qa=L-Va+256|0;if(Qa>>>0<769)Qc=h[270421+Qa>>0]|0;else Qc=0;f[s>>2]=Qc+Va;Va=L-Qc|0;f[Z>>2]=Va;L=Va-M+256|0;if(L>>>0<769)Rc=h[270421+L>>0]|0;else Rc=0;L=Rc+M|0;f[aa>>2]=L;f[Z>>2]=Va-Rc;Va=L-N+256|0;if(Va>>>0<769)Sc=h[270421+Va>>0]|0;else Sc=0;Va=Sc+N|0;f[V>>2]=Va;f[aa>>2]=L-Sc;L=Ka-Ya+256|0;if(L>>>0<769)Tc=h[270421+L>>0]|0;else Tc=0;L=Tc+Ya|0;f[W>>2]=L;f[fa>>2]=Ka-Tc;Ka=Ja-Na+256|0;if(Ka>>>0<769)Uc=h[270421+Ka>>0]|0;else Uc=0;f[y>>2]=Uc+Na;Na=Ja-Uc|0;f[X>>2]=Na;Ja=Na-L+256|0;if(Ja>>>0<769)Vc=h[270421+Ja>>0]|0;else Vc=0;Ja=Vc+L|0;f[W>>2]=Ja;f[X>>2]=Na-Vc;Na=La-Wa+256|0;if(Na>>>0<769)Wc=h[270421+Na>>0]|0;else Wc=0;Na=Wc+Wa|0;f[S>>2]=Na;f[$>>2]=La-Wc;La=Ja-Na+256|0;if(La>>>0<769)Xc=h[270421+La>>0]|0;else Xc=0;f[S>>2]=Xc+Na;Na=Ja-Xc|0;f[W>>2]=Na;Ja=D-Za+256|0;if(Ja>>>0<769)Yc=h[270421+Ja>>0]|0;else Yc=0;Ja=Yc+Za|0;f[Q>>2]=Ja;f[ca>>2]=D-Yc;D=A-Ra+256|0;if(D>>>0<769)Zc=h[270421+D>>0]|0;else Zc=0;f[x>>2]=Zc+Ra;Ra=A-Zc|0;f[U>>2]=Ra;A=Ra-Ja+256|0;if(A>>>0<769)_c=h[270421+A>>0]|0;else _c=0;f[Q>>2]=_c+Ja;Ja=Ra-_c|0;f[U>>2]=Ja;Ra=B-Xa+256|0;if(Ra>>>0<769)$c=h[270421+Ra>>0]|0;else $c=0;f[P>>2]=$c+Xa;Xa=B-$c|0;f[_>>2]=Xa;B=Xa-Ja+256|0;if(B>>>0<769)ad=h[270421+B>>0]|0;else ad=0;B=ad+Ja|0;f[U>>2]=B;f[_>>2]=Xa-ad;Xa=B-Na+256|0;if(Xa>>>0<769)bd=h[270421+Xa>>0]|0;else bd=0;f[W>>2]=bd+Na;Na=B-bd|0;f[U>>2]=Na;B=Na-Va+256|0;if(B>>>0<769)cd=h[270421+B>>0]|0;else cd=0;b[H+F>>0]=cd+Va;F=F+1|0}while((F|0)!=(I|0));dd=I}else dd=C;if((I|0)==(Aa|0))break;if((dd|0)>(Ha|0)){I=Aa;C=dd;continue}else ed=dd;while(1){F=(f[i>>2]|0)+ed|0;f[j>>2]=h[F+Ia>>0];Va=h[F+Ea>>0]|0;f[o>>2]=Va;B=h[F>>0]|0;f[Ba>>2]=B;Na=h[F+q>>0]|0;f[Da>>2]=Na;Xa=h[F+wa>>0]|0;f[Ga>>2]=Xa;F=(f[c>>2]|0)+ed|0;Ja=h[F+Ia>>0]|0;f[Fa>>2]=Ja;Ra=h[F+Ea>>0]|0;f[ua>>2]=Ra;A=h[F>>0]|0;f[Ca>>2]=A;D=h[F+q>>0]|0;f[J>>2]=D;Za=h[F+wa>>0]|0;f[ya>>2]=Za;F=(f[ta>>2]|0)+ed|0;La=h[F+Ia>>0]|0;f[ha>>2]=La;Wa=h[F+Ea>>0]|0;f[za>>2]=Wa;L=h[F>>0]|0;f[la>>2]=L;Ka=h[F+q>>0]|0;f[z>>2]=Ka;Ya=h[F+wa>>0]|0;f[qa>>2]=Ya;F=(f[xa>>2]|0)+ed|0;N=h[F+Ia>>0]|0;f[sa>>2]=N;M=h[F+Ea>>0]|0;f[ra>>2]=M;Qa=h[F>>0]|0;f[oa>>2]=Qa;Ma=h[F+q>>0]|0;f[na>>2]=Ma;G=h[F+wa>>0]|0;f[va>>2]=G;F=(f[w>>2]|0)+ed|0;Sa=h[F+Ia>>0]|0;f[ja>>2]=Sa;Ta=h[F+Ea>>0]|0;f[ma>>2]=Ta;Oa=h[F>>0]|0;f[ka>>2]=Oa;K=h[F+q>>0]|0;f[ia>>2]=K;Ua=h[F+wa>>0]|0;f[pa>>2]=Ua;F=Va-B+256|0;if(F>>>0<769)fd=h[270421+F>>0]|0;else fd=0;F=fd+B|0;f[Ba>>2]=F;B=(f[o>>2]|0)-fd|0;f[o>>2]=B;Va=f[j>>2]|0;Pa=Va-B+256|0;if(Pa>>>0<769)gd=h[270421+Pa>>0]|0;else gd=0;Pa=gd+B|0;f[o>>2]=Pa;B=Va-gd|0;f[j>>2]=B;Va=Pa-F+256|0;if(Va>>>0<769)hd=h[270421+Va>>0]|0;else hd=0;Va=hd+F|0;f[Ba>>2]=Va;F=Pa-hd|0;f[o>>2]=F;Pa=Xa-Ja+256|0;if(Pa>>>0<769)id=h[270421+Pa>>0]|0;else id=0;Pa=id+Ja|0;f[Fa>>2]=Pa;Ja=Xa-id|0;f[Ga>>2]=Ja;Xa=Na-Ja+256|0;if(Xa>>>0<769)jd=h[270421+Xa>>0]|0;else jd=0;Xa=jd+Ja|0;f[Ga>>2]=Xa;Ja=Na-jd|0;f[Da>>2]=Ja;Na=Xa-Pa+256|0;if(Na>>>0<769)kd=h[270421+Na>>0]|0;else kd=0;Na=kd+Pa|0;f[Fa>>2]=Na;Pa=Xa-kd|0;f[Ga>>2]=Pa;Xa=B-Ja+256|0;if(Xa>>>0<769)ld=h[270421+Xa>>0]|0;else ld=0;Xa=ld+Ja|0;f[Da>>2]=Xa;Ja=B-ld|0;f[j>>2]=Ja;B=Va-Na+256|0;if(B>>>0<769)md=h[270421+B>>0]|0;else md=0;B=md+Na|0;f[Fa>>2]=B;Na=Va-md|0;f[Ba>>2]=Na;Va=Na-Xa+256|0;if(Va>>>0<769)nd=h[270421+Va>>0]|0;else nd=0;Va=nd+Xa|0;f[Da>>2]=Va;Xa=Na-nd|0;f[Ba>>2]=Xa;Na=F-Pa+256|0;if(Na>>>0<769)od=h[270421+Na>>0]|0;else od=0;Na=od+Pa|0;f[Ga>>2]=Na;Pa=F-od|0;f[o>>2]=Pa;F=Pa-Xa+256|0;if(F>>>0<769)pd=h[270421+F>>0]|0;else pd=0;F=pd+Xa|0;f[Ba>>2]=F;Xa=Pa-pd|0;f[o>>2]=Xa;Pa=Va-Na+256|0;if(Pa>>>0<769)qd=h[270421+Pa>>0]|0;else qd=0;Pa=qd+Na|0;f[Ga>>2]=Pa;Na=Va-qd|0;f[Da>>2]=Na;Va=A-D+256|0;if(Va>>>0<769)rd=h[270421+Va>>0]|0;else rd=0;Va=rd+D|0;f[J>>2]=Va;D=A-rd|0;f[Ca>>2]=D;A=Ra-D+256|0;if(A>>>0<769)sd=h[270421+A>>0]|0;else sd=0;A=sd+D|0;f[Ca>>2]=A;D=Ra-sd|0;f[ua>>2]=D;Ra=A-Va+256|0;if(Ra>>>0<769)td=h[270421+Ra>>0]|0;else td=0;Ra=td+Va|0;f[J>>2]=Ra;Va=A-td|0;f[Ca>>2]=Va;A=La-Wa+256|0;if(A>>>0<769)ud=h[270421+A>>0]|0;else ud=0;A=ud+Wa|0;f[za>>2]=A;Wa=La-ud|0;f[ha>>2]=Wa;La=Za-Wa+256|0;if(La>>>0<769)vd=h[270421+La>>0]|0;else vd=0;La=vd+Wa|0;f[ha>>2]=La;Wa=Za-vd|0;f[ya>>2]=Wa;Za=La-A+256|0;if(Za>>>0<769)wd=h[270421+Za>>0]|0;else wd=0;Za=wd+A|0;f[za>>2]=Za;A=La-wd|0;f[ha>>2]=A;La=D-Wa+256|0;if(La>>>0<769)xd=h[270421+La>>0]|0;else xd=0;La=xd+Wa|0;f[ya>>2]=La;Wa=D-xd|0;f[ua>>2]=Wa;D=Ra-Za+256|0;if(D>>>0<769)yd=h[270421+D>>0]|0;else yd=0;D=yd+Za|0;f[za>>2]=D;Za=Ra-yd|0;f[J>>2]=Za;Ra=Za-La+256|0;if(Ra>>>0<769)zd=h[270421+Ra>>0]|0;else zd=0;Ra=zd+La|0;f[ya>>2]=Ra;La=Za-zd|0;f[J>>2]=La;Za=Va-A+256|0;if(Za>>>0<769)Ad=h[270421+Za>>0]|0;else Ad=0;Za=Ad+A|0;f[ha>>2]=Za;A=Va-Ad|0;f[Ca>>2]=A;Va=A-La+256|0;if(Va>>>0<769)Bd=h[270421+Va>>0]|0;else Bd=0;Va=Bd+La|0;f[J>>2]=Va;La=A-Bd|0;f[Ca>>2]=La;A=Ra-Za+256|0;if(A>>>0<769)Cd=h[270421+A>>0]|0;else Cd=0;A=Cd+Za|0;f[ha>>2]=A;Za=Ra-Cd|0;f[ya>>2]=Za;Ra=Ja-Wa+256|0;if(Ra>>>0<769)Dd=h[270421+Ra>>0]|0;else Dd=0;Ra=Dd+Wa|0;f[ua>>2]=Ra;Wa=Ja-Dd|0;f[j>>2]=Wa;Ja=Pa-A+256|0;if(Ja>>>0<769)Ed=h[270421+Ja>>0]|0;else Ed=0;Ja=Ed+A|0;f[ha>>2]=Ja;A=Pa-Ed|0;f[Ga>>2]=A;Pa=A-Ra+256|0;if(Pa>>>0<769)Fd=h[270421+Pa>>0]|0;else Fd=0;Pa=Fd+Ra|0;f[ua>>2]=Pa;Ra=A-Fd|0;f[Ga>>2]=Ra;A=F-Va+256|0;if(A>>>0<769)Gd=h[270421+A>>0]|0;else Gd=0;A=Gd+Va|0;f[J>>2]=A;Va=F-Gd|0;f[Ba>>2]=Va;F=Va-Ra+256|0;if(F>>>0<769)Hd=h[270421+F>>0]|0;else Hd=0;F=Hd+Ra|0;f[Ga>>2]=F;Ra=Va-Hd|0;f[Ba>>2]=Ra;Va=Pa-A+256|0;if(Va>>>0<769)Id=h[270421+Va>>0]|0;else Id=0;Va=Id+A|0;f[J>>2]=Va;A=Pa-Id|0;f[ua>>2]=A;Pa=Xa-La+256|0;if(Pa>>>0<769)Jd=h[270421+Pa>>0]|0;else Jd=0;Pa=Jd+La|0;f[Ca>>2]=Pa;La=Xa-Jd|0;f[o>>2]=La;Xa=B-D+256|0;if(Xa>>>0<769)Kd=h[270421+Xa>>0]|0;else Kd=0;Xa=Kd+D|0;f[za>>2]=Xa;D=B-Kd|0;f[Fa>>2]=D;B=D-Pa+256|0;if(B>>>0<769)Ld=h[270421+B>>0]|0;else Ld=0;B=Ld+Pa|0;f[Ca>>2]=B;Pa=D-Ld|0;f[Fa>>2]=Pa;D=Na-Za+256|0;if(D>>>0<769)Md=h[270421+D>>0]|0;else Md=0;D=Md+Za|0;f[ya>>2]=D;Za=Na-Md|0;f[Da>>2]=Za;Na=Za-Pa+256|0;if(Na>>>0<769)Nd=h[270421+Na>>0]|0;else Nd=0;Na=Nd+Pa|0;f[Fa>>2]=Na;Pa=Za-Nd|0;f[Da>>2]=Pa;Za=B-D+256|0;if(Za>>>0<769)Od=h[270421+Za>>0]|0;else Od=0;Za=Od+D|0;f[ya>>2]=Za;D=B-Od|0;f[Ca>>2]=D;B=La-Ra+256|0;if(B>>>0<769)Pd=h[270421+B>>0]|0;else Pd=0;B=Pd+Ra|0;f[Ba>>2]=B;Ra=La-Pd|0;f[o>>2]=Ra;La=Pa-F+256|0;if(La>>>0<769)Qd=h[270421+La>>0]|0;else Qd=0;La=Qd+F|0;f[Ga>>2]=La;F=Pa-Qd|0;f[Da>>2]=F;Pa=Na-A+256|0;if(Pa>>>0<769)Rd=h[270421+Pa>>0]|0;else Rd=0;Pa=Rd+A|0;f[ua>>2]=Pa;A=Na-Rd|0;f[Fa>>2]=A;Na=D-Va+256|0;if(Na>>>0<769)Sd=h[270421+Na>>0]|0;else Sd=0;Na=Sd+Va|0;f[J>>2]=Na;Va=D-Sd|0;f[Ca>>2]=Va;D=Za-Ja+256|0;if(D>>>0<769)Td=h[270421+D>>0]|0;else Td=0;D=Td+Ja|0;f[ha>>2]=D;Ja=Za-Td|0;f[ya>>2]=Ja;Za=Ka-Ya+256|0;if(Za>>>0<769)Ud=h[270421+Za>>0]|0;else Ud=0;Za=Ud+Ya|0;f[qa>>2]=Za;Ya=Ka-Ud|0;f[z>>2]=Ya;Ka=L-Ya+256|0;if(Ka>>>0<769)Vd=h[270421+Ka>>0]|0;else Vd=0;Ka=Vd+Ya|0;f[z>>2]=Ka;Ya=L-Vd|0;f[la>>2]=Ya;L=Ka-Za+256|0;if(L>>>0<769)Wd=h[270421+L>>0]|0;else Wd=0;L=Wd+Za|0;f[qa>>2]=L;Za=Ka-Wd|0;f[z>>2]=Za;Ka=M-Qa+256|0;if(Ka>>>0<769)Xd=h[270421+Ka>>0]|0;else Xd=0;Ka=Xd+Qa|0;f[oa>>2]=Ka;Qa=M-Xd|0;f[ra>>2]=Qa;M=N-Qa+256|0;if(M>>>0<769)Yd=h[270421+M>>0]|0;else Yd=0;M=Yd+Qa|0;f[ra>>2]=M;Qa=N-Yd|0;f[sa>>2]=Qa;N=M-Ka+256|0;if(N>>>0<769)Zd=h[270421+N>>0]|0;else Zd=0;N=Zd+Ka|0;f[oa>>2]=N;Ka=M-Zd|0;f[ra>>2]=Ka;M=Ya-Qa+256|0;if(M>>>0<769)_d=h[270421+M>>0]|0;else _d=0;M=_d+Qa|0;f[sa>>2]=M;Qa=Ya-_d|0;f[la>>2]=Qa;Ya=L-N+256|0;if(Ya>>>0<769)$d=h[270421+Ya>>0]|0;else $d=0;Ya=$d+N|0;f[oa>>2]=Ya;N=L-$d|0;f[qa>>2]=N;L=N-M+256|0;if(L>>>0<769)ae=h[270421+L>>0]|0;else ae=0;L=ae+M|0;f[sa>>2]=L;M=N-ae|0;f[qa>>2]=M;N=Za-Ka+256|0;if(N>>>0<769)be=h[270421+N>>0]|0;else be=0;N=be+Ka|0;f[ra>>2]=N;Ka=Za-be|0;f[z>>2]=Ka;Za=Ka-M+256|0;if(Za>>>0<769)ce=h[270421+Za>>0]|0;else ce=0;Za=ce+M|0;f[qa>>2]=Za;M=Ka-ce|0;f[z>>2]=M;Ka=L-N+256|0;if(Ka>>>0<769)de=h[270421+Ka>>0]|0;else de=0;Ka=de+N|0;f[ra>>2]=Ka;N=L-de|0;f[sa>>2]=N;L=G-Sa+256|0;if(L>>>0<769)ee=h[270421+L>>0]|0;else ee=0;L=ee+Sa|0;f[ja>>2]=L;Sa=G-ee|0;f[va>>2]=Sa;G=Ma-Sa+256|0;if(G>>>0<769)fe=h[270421+G>>0]|0;else fe=0;G=fe+Sa|0;f[va>>2]=G;Sa=Ma-fe|0;f[na>>2]=Sa;Ma=G-L+256|0;if(Ma>>>0<769)ge=h[270421+Ma>>0]|0;else ge=0;Ma=ge+L|0;f[ja>>2]=Ma;L=G-ge|0;f[va>>2]=L;G=Ta-Oa+256|0;if(G>>>0<769)he=h[270421+G>>0]|0;else he=0;G=he+Oa|0;f[ka>>2]=G;Oa=Ta-he|0;f[ma>>2]=Oa;Ta=K-Ua+256|0;if(Ta>>>0<769)ie=h[270421+Ta>>0]|0;else ie=0;Ta=ie+Ua|0;f[pa>>2]=Ta;Ua=K-ie|0;f[ia>>2]=Ua;K=Oa-Ua+256|0;if(K>>>0<769)je=h[270421+K>>0]|0;else je=0;K=je+Ua|0;f[ia>>2]=K;Ua=Oa-je|0;f[ma>>2]=Ua;Oa=G-Ta+256|0;if(Oa>>>0<769)ke=h[270421+Oa>>0]|0;else ke=0;Oa=ke+Ta|0;f[pa>>2]=Oa;Ta=G-ke|0;f[ka>>2]=Ta;G=Ta-K+256|0;if(G>>>0<769)le=h[270421+G>>0]|0;else le=0;G=le+K|0;f[ia>>2]=G;K=Ta-le|0;f[ka>>2]=K;Ta=Sa-Ua+256|0;if(Ta>>>0<769)me=h[270421+Ta>>0]|0;else me=0;Ta=me+Ua|0;f[ma>>2]=Ta;Ua=Sa-me|0;f[na>>2]=Ua;Sa=Ma-G+256|0;if(Sa>>>0<769)ne=h[270421+Sa>>0]|0;else ne=0;Sa=ne+G|0;f[ia>>2]=Sa;G=Ma-ne|0;f[ja>>2]=G;Ma=G-Ta+256|0;if(Ma>>>0<769)oe=h[270421+Ma>>0]|0;else oe=0;Ma=oe+Ta|0;f[ma>>2]=Ma;Ta=G-oe|0;f[ja>>2]=Ta;G=L-K+256|0;if(G>>>0<769)pe=h[270421+G>>0]|0;else pe=0;G=pe+K|0;f[ka>>2]=G;K=L-pe|0;f[va>>2]=K;L=G-Oa+256|0;if(L>>>0<769)qe=h[270421+L>>0]|0;else qe=0;L=qe+Oa|0;f[pa>>2]=L;Oa=G-qe|0;f[ka>>2]=Oa;G=K-Ta+256|0;if(G>>>0<769)re=h[270421+G>>0]|0;else re=0;G=re+Ta|0;f[ja>>2]=G;Ta=K-re|0;f[va>>2]=Ta;K=Ma-Oa+256|0;if(K>>>0<769)se=h[270421+K>>0]|0;else se=0;K=se+Oa|0;f[ka>>2]=K;Oa=Ma-se|0;f[ma>>2]=Oa;Ma=Sa-L+256|0;if(Ma>>>0<769)te=h[270421+Ma>>0]|0;else te=0;Ma=te+L|0;f[pa>>2]=Ma;L=Sa-te|0;f[ia>>2]=L;Sa=Qa-Ua+256|0;if(Sa>>>0<769)ue=h[270421+Sa>>0]|0;else ue=0;Sa=ue+Ua|0;f[na>>2]=Sa;Ua=Qa-ue|0;f[la>>2]=Ua;Qa=Ka-K+256|0;if(Qa>>>0<769)ve=h[270421+Qa>>0]|0;else ve=0;Qa=ve+K|0;f[ka>>2]=Qa;K=Ka-ve|0;f[ra>>2]=K;Ka=K-Sa+256|0;if(Ka>>>0<769)we=h[270421+Ka>>0]|0;else we=0;Ka=we+Sa|0;f[na>>2]=Ka;Sa=K-we|0;f[ra>>2]=Sa;K=Za-G+256|0;if(K>>>0<769)xe=h[270421+K>>0]|0;else xe=0;K=xe+G|0;f[ja>>2]=K;G=Za-xe|0;f[qa>>2]=G;Za=K-Ma+256|0;if(Za>>>0<769)ye=h[270421+Za>>0]|0;else ye=0;Za=ye+Ma|0;f[pa>>2]=Za;Ma=K-ye|0;f[ja>>2]=Ma;K=G-Sa+256|0;if(K>>>0<769)ze=h[270421+K>>0]|0;else ze=0;K=ze+Sa|0;f[ra>>2]=K;Sa=G-ze|0;f[qa>>2]=Sa;G=Ka-Ma+256|0;if(G>>>0<769)Ae=h[270421+G>>0]|0;else Ae=0;G=Ae+Ma|0;f[ja>>2]=G;Ma=Ka-Ae|0;f[na>>2]=Ma;Ka=Qa-Za+256|0;if(Ka>>>0<769)Be=h[270421+Ka>>0]|0;else Be=0;Ka=Be+Za|0;f[pa>>2]=Ka;Za=Qa-Be|0;f[ka>>2]=Za;Qa=M-Ta+256|0;if(Qa>>>0<769)Ce=h[270421+Qa>>0]|0;else Ce=0;Qa=Ce+Ta|0;f[va>>2]=Qa;Ta=M-Ce|0;f[z>>2]=Ta;M=Ya-L+256|0;if(M>>>0<769)De=h[270421+M>>0]|0;else De=0;M=De+L|0;f[ia>>2]=M;L=Ya-De|0;f[oa>>2]=L;Ya=L-Qa+256|0;if(Ya>>>0<769)Ee=h[270421+Ya>>0]|0;else Ee=0;Ya=Ee+Qa|0;f[va>>2]=Ya;Qa=L-Ee|0;f[oa>>2]=Qa;L=N-Oa+256|0;if(L>>>0<769)Fe=h[270421+L>>0]|0;else Fe=0;L=Fe+Oa|0;f[ma>>2]=L;Oa=N-Fe|0;f[sa>>2]=Oa;N=Oa-Qa+256|0;if(N>>>0<769)Ge=h[270421+N>>0]|0;else Ge=0;N=Ge+Qa|0;f[oa>>2]=N;Qa=Oa-Ge|0;f[sa>>2]=Qa;Oa=Ya-L+256|0;if(Oa>>>0<769)He=h[270421+Oa>>0]|0;else He=0;Oa=He+L|0;f[ma>>2]=Oa;L=Ya-He|0;f[va>>2]=L;Ya=Ta-Sa+256|0;if(Ya>>>0<769)Ie=h[270421+Ya>>0]|0;else Ie=0;Ya=Ie+Sa|0;f[qa>>2]=Ya;Sa=Ta-Ie|0;f[z>>2]=Sa;Ta=Qa-K+256|0;if(Ta>>>0<769)Je=h[270421+Ta>>0]|0;else Je=0;Ta=Je+K|0;f[ra>>2]=Ta;K=Qa-Je|0;f[sa>>2]=K;Qa=N-Ma+256|0;if(Qa>>>0<769)Ke=h[270421+Qa>>0]|0;else Ke=0;Qa=Ke+Ma|0;f[na>>2]=Qa;Ma=N-Ke|0;f[oa>>2]=Ma;N=L-G+256|0;if(N>>>0<769)Le=h[270421+N>>0]|0;else Le=0;N=Le+G|0;f[ja>>2]=N;G=L-Le|0;f[va>>2]=G;L=Oa-Za+256|0;if(L>>>0<769)Me=h[270421+L>>0]|0;else Me=0;L=Me+Za|0;f[ka>>2]=L;Za=Oa-Me|0;f[ma>>2]=Za;Oa=M-Ka+256|0;if(Oa>>>0<769)Ne=h[270421+Oa>>0]|0;else Ne=0;Oa=Ne+Ka|0;f[pa>>2]=Oa;Ka=M-Ne|0;f[ia>>2]=Ka;M=Wa-Ua+256|0;if(M>>>0<769)Oe=h[270421+M>>0]|0;else Oe=0;M=Oe+Ua|0;f[la>>2]=M;f[j>>2]=Wa-Oe;Wa=Na-N+256|0;if(Wa>>>0<769)Pe=h[270421+Wa>>0]|0;else Pe=0;f[ja>>2]=Pe+N;N=Na-Pe|0;f[J>>2]=N;Na=N-M+256|0;if(Na>>>0<769)Qe=h[270421+Na>>0]|0;else Qe=0;Na=Qe+M|0;f[la>>2]=Na;f[J>>2]=N-Qe;N=La-Ta+256|0;if(N>>>0<769)Re=h[270421+N>>0]|0;else Re=0;N=Re+Ta|0;f[ra>>2]=N;f[Ga>>2]=La-Re;La=N-Oa+256|0;if(La>>>0<769)Se=h[270421+La>>0]|0;else Se=0;f[pa>>2]=Se+Oa;Oa=N-Se|0;f[ra>>2]=Oa;N=Na-Oa+256|0;if(N>>>0<769)Te=h[270421+N>>0]|0;else Te=0;f[ra>>2]=Te+Oa;Oa=Na-Te|0;f[la>>2]=Oa;Na=B-Ya+256|0;if(Na>>>0<769)Ue=h[270421+Na>>0]|0;else Ue=0;Na=Ue+Ya|0;f[qa>>2]=Na;f[Ba>>2]=B-Ue;B=D-L+256|0;if(B>>>0<769)Ve=h[270421+B>>0]|0;else Ve=0;f[ka>>2]=Ve+L;L=D-Ve|0;f[ha>>2]=L;D=L-Na+256|0;if(D>>>0<769)We=h[270421+D>>0]|0;else We=0;f[qa>>2]=We+Na;Na=L-We|0;f[ha>>2]=Na;L=Pa-Qa+256|0;if(L>>>0<769)Xe=h[270421+L>>0]|0;else Xe=0;f[na>>2]=Xe+Qa;Qa=Pa-Xe|0;f[ua>>2]=Qa;Pa=Qa-Na+256|0;if(Pa>>>0<769)Ye=h[270421+Pa>>0]|0;else Ye=0;Pa=Ye+Na|0;f[ha>>2]=Pa;f[ua>>2]=Qa-Ye;Qa=Pa-Oa+256|0;if(Qa>>>0<769)Ze=h[270421+Qa>>0]|0;else Ze=0;Qa=Ze+Oa|0;f[la>>2]=Qa;f[ha>>2]=Pa-Ze;Pa=Ra-Sa+256|0;if(Pa>>>0<769)_e=h[270421+Pa>>0]|0;else _e=0;Pa=_e+Sa|0;f[z>>2]=Pa;f[o>>2]=Ra-_e;Ra=Ja-Za+256|0;if(Ra>>>0<769)$e=h[270421+Ra>>0]|0;else $e=0;f[ma>>2]=$e+Za;Za=Ja-$e|0;f[ya>>2]=Za;Ja=Za-Pa+256|0;if(Ja>>>0<769)af=h[270421+Ja>>0]|0;else af=0;Ja=af+Pa|0;f[z>>2]=Ja;f[ya>>2]=Za-af;Za=A-Ma+256|0;if(Za>>>0<769)bf=h[270421+Za>>0]|0;else bf=0;Za=bf+Ma|0;f[oa>>2]=Za;f[Fa>>2]=A-bf;A=Ja-Za+256|0;if(A>>>0<769)cf=h[270421+A>>0]|0;else cf=0;f[oa>>2]=cf+Za;Za=Ja-cf|0;f[z>>2]=Za;Ja=F-K+256|0;if(Ja>>>0<769)df=h[270421+Ja>>0]|0;else df=0;Ja=df+K|0;f[sa>>2]=Ja;f[Da>>2]=F-df;F=Xa-Ka+256|0;if(F>>>0<769)ef=h[270421+F>>0]|0;else ef=0;f[ia>>2]=ef+Ka;Ka=Xa-ef|0;f[za>>2]=Ka;Xa=Ka-Ja+256|0;if(Xa>>>0<769)ff=h[270421+Xa>>0]|0;else ff=0;f[sa>>2]=ff+Ja;Ja=Ka-ff|0;f[za>>2]=Ja;Ka=Va-G+256|0;if(Ka>>>0<769)gf=h[270421+Ka>>0]|0;else gf=0;f[va>>2]=gf+G;G=Va-gf|0;f[Ca>>2]=G;Va=G-Ja+256|0;if(Va>>>0<769)hf=h[270421+Va>>0]|0;else hf=0;Va=hf+Ja|0;f[za>>2]=Va;f[Ca>>2]=G-hf;G=Va-Za+256|0;if(G>>>0<769)jf=h[270421+G>>0]|0;else jf=0;f[z>>2]=jf+Za;Za=Va-jf|0;f[za>>2]=Za;Va=Za-Qa+256|0;if(Va>>>0<769)kf=h[270421+Va>>0]|0;else kf=0;b[H+ed>>0]=kf+Qa;Qa=ed+1|0;if((ed|0)<(Ha|0))ed=Qa;else{I=Aa;C=Qa;continue b}}}if((l|0)==(p|0))break;else H=H+n|0}u=e;return}default:{u=e;return}}}function Yla(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=+e;g=+g;h=h|0;var i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0.0,J=0.0,K=0.0,N=0,O=0,P=0,Q=0,R=0,S=0.0,T=0,U=0,W=0,X=0.0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0.0,ga=0.0,ha=0,ia=0,ja=0;i=u;u=u+384|0;j=i+104|0;k=i+88|0;l=i+328|0;m=i+32|0;o=i+280|0;q=i;r=i+272|0;s=i+320|0;t=i+216|0;v=i+160|0;gV(r,57712);oJ(s,a,-1);IJ(c,s,pJ(a,-1)|0,-1,0,0);do if((qJ(a)|0)==65536){s=f[a+4>>2]|0;f[t>>2]=f[s>>2];w=t+4|0;x=s+4|0;f[w>>2]=f[x>>2];y=t+8|0;f[y>>2]=f[s+8>>2];f[t+12>>2]=f[s+12>>2];f[t+16>>2]=f[s+16>>2];f[t+20>>2]=f[s+20>>2];f[t+24>>2]=f[s+24>>2];f[t+28>>2]=f[s+28>>2];f[t+32>>2]=f[s+32>>2];z=f[s+36>>2]|0;f[t+36>>2]=z;f[t+40>>2]=y;y=t+48|0;A=t+44|0;f[A>>2]=y;f[y>>2]=0;f[t+52>>2]=0;if(z|0){y=z+12|0;f[y>>2]=(f[y>>2]|0)+1}if((f[x>>2]|0)<3){x=f[s+44>>2]|0;y=f[A>>2]|0;f[y>>2]=f[x>>2];f[y+4>>2]=f[x+4>>2];break}else{f[w>>2]=0;$T(t,s);break}}else nJ(t,a,-1);while(0);do if((qJ(c)|0)==65536){a=f[c+4>>2]|0;f[v>>2]=f[a>>2];s=v+4|0;w=a+4|0;f[s>>2]=f[w>>2];x=v+8|0;f[x>>2]=f[a+8>>2];f[v+12>>2]=f[a+12>>2];f[v+16>>2]=f[a+16>>2];f[v+20>>2]=f[a+20>>2];f[v+24>>2]=f[a+24>>2];f[v+28>>2]=f[a+28>>2];f[v+32>>2]=f[a+32>>2];y=f[a+36>>2]|0;f[v+36>>2]=y;f[v+40>>2]=x;x=v+48|0;A=v+44|0;f[A>>2]=x;f[x>>2]=0;f[v+52>>2]=0;if(y|0){x=y+12|0;f[x>>2]=(f[x>>2]|0)+1}if((f[w>>2]|0)<3){w=f[a+44>>2]|0;x=f[A>>2]|0;f[x>>2]=f[w>>2];f[x+4>>2]=f[w+4>>2];break}else{f[s>>2]=0;$T(v,a);break}}else nJ(v,c,-1);while(0);c=f[t>>2]|0;switch(c&7){case 0:{a=(c>>>3&511)+1|0;s=f[f[t+40>>2]>>2]|0;switch(c&4095){case 16:case 0:break;default:{B=cuc(80)|0;f[j>>2]=B;C=j+8|0;f[C>>2]=-2147483568;D=j+4|0;f[D>>2]=72;E=B;F=268093;G=E+72|0;do{b[E>>0]=b[F>>0]|0;E=E+1|0;F=F+1|0}while((E|0)<(G|0));H=B+72|0;b[H>>0]=0;WD(-215,j,268166,264656,5498)}}if((f[t+16>>2]|0)==(f[v+16>>2]|0)){B=cuc(80)|0;f[j>>2]=B;C=j+8|0;f[C>>2]=-2147483568;D=j+4|0;f[D>>2]=72;E=B;F=268093;G=E+72|0;do{b[E>>0]=b[F>>0]|0;E=E+1|0;F=F+1|0}while((E|0)<(G|0));H=B+72|0;b[H>>0]=0;WD(-215,j,268166,264656,5498)}I=!(e<=0.0)?e:1.0;J=!(g<=0.0)?g:1.0;K=-.5/(I*I);I=-.5/(J*J);if((d|0)<1)N=Fhc(J*1.5)|0;else N=d>>>1;H=(N|0)>1?N:1;N=H<<1|1;f[j>>2]=1124007936;B=j+4|0;D=j+8|0;C=j+40|0;E=B;G=E+36|0;do{f[E>>2]=0;E=E+4|0}while((E|0)<(G|0));f[C>>2]=D;D=j+48|0;w=j+44|0;f[w>>2]=D;f[D>>2]=0;f[j+52>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=16842752;f[k+4>>2]=t;x=l+8|0;f[x>>2]=0;f[x+4>>2]=0;f[l>>2]=33619968;f[l+4>>2]=j;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;f[m+16>>2]=0;f[m+20>>2]=0;f[m+24>>2]=0;f[m+28>>2]=0;MI(k,l,H,H,H,H,h,m);x=a<<8;A=a<<10;y=cuc(A)|0;kzc(y|0,0,A|0)|0;A=Y(N,N)|0;f[k>>2]=0;N=k+4|0;f[N>>2]=0;f[k+8>>2]=0;if(A>>>0>1073741823)nsc(k);z=A<<2;O=cuc(z)|0;f[k>>2]=O;P=O+(A<<2)|0;f[k+8>>2]=P;kzc(O|0,0,z|0)|0;f[N>>2]=P;P=cuc(z)|0;kzc(P|0,0,z|0)|0;z=0;do{J=+V(+(K*+(Y(z,z)|0)));n[y+(z<<2)>>2]=J;z=z+1|0}while((z|0)!=(x|0));x=0-H|0;if((H|0)<(x|0))Q=0;else{K=+(H|0);z=f[D>>2]|0;A=0;R=x;while(1){J=+(R|0);S=J*J;T=Y(R,z)|0;U=x;W=A;while(1){J=+(U|0);X=+M(+(S+J*J));if(X>K)Z=W;else{_=(Y(U,a)|0)+T|0;J=+V(+(I*(X*X)));n[O+(W<<2)>>2]=J;f[P+(W<<2)>>2]=_;Z=W+1|0}if((U|0)<(H|0)){U=U+1|0;W=Z}else break}if((R|0)<(H|0)){A=Z;R=R+1|0}else{Q=Z;break}}}f[l>>2]=57740;f[l+4>>2]=j;f[l+8>>2]=v;f[l+12>>2]=H;f[l+16>>2]=Q;f[l+20>>2]=P;f[l+24>>2]=O;f[l+28>>2]=y;f[m>>2]=0;f[m+4>>2]=s;s=f[v+4>>2]|0;if((s|0)<3)$=Y(f[v+12>>2]|0,f[v+8>>2]|0)|0;else{O=f[v+40>>2]|0;Q=0;H=1;while(1){Z=Y(f[O+(Q<<2)>>2]|0,H)|0;Q=Q+1|0;if((Q|0)==(s|0)){$=Z;break}else H=Z}}sZ(m,l,+($>>>0)*.0000152587890625);fuc(P);P=f[k>>2]|0;if(P|0){$=f[N>>2]|0;if(($|0)!=(P|0))f[N>>2]=$+(~(($+-4-P|0)>>>2)<<2);fuc(P)}fuc(y);y=j+36|0;P=f[y>>2]|0;if(P|0?($=P+12|0,P=f[$>>2]|0,f[$>>2]=P+-1,(P|0)==1):0)aU(j);f[y>>2]=0;y=j+16|0;f[y>>2]=0;f[y+4>>2]=0;f[y+8>>2]=0;f[y+12>>2]=0;if((f[B>>2]|0)>0){y=f[C>>2]|0;C=0;do{f[y+(C<<2)>>2]=0;C=C+1|0}while((C|0)<(f[B>>2]|0))}B=f[w>>2]|0;if((B|0)!=(D|0))TC(B);break}case 5:{B=(c>>>3&511)+1|0;p[j>>3]=-1.0;p[k>>3]=1.0;D=f[f[t+40>>2]>>2]|0;switch(c&4095){case 21:case 5:break;default:{aa=cuc(80)|0;f[l>>2]=aa;ba=l+8|0;f[ba>>2]=-2147483568;ca=l+4|0;f[ca>>2]=74;E=aa;F=268185;G=E+74|0;do{b[E>>0]=b[F>>0]|0;E=E+1|0;F=F+1|0}while((E|0)<(G|0));da=aa+74|0;b[da>>0]=0;WD(-215,l,268260,264656,5761)}}if((f[t+16>>2]|0)==(f[v+16>>2]|0)){aa=cuc(80)|0;f[l>>2]=aa;ba=l+8|0;f[ba>>2]=-2147483568;ca=l+4|0;f[ca>>2]=74;E=aa;F=268185;G=E+74|0;do{b[E>>0]=b[F>>0]|0;E=E+1|0;F=F+1|0}while((E|0)<(G|0));da=aa+74|0;b[da>>0]=0;WD(-215,l,268260,264656,5761)}I=!(e<=0.0)?e:1.0;e=!(g<=0.0)?g:1.0;g=-.5/(I*I);K=-.5/(e*e);if((d|0)<1)ea=Fhc(e*1.5)|0;else ea=d>>>1;d=(ea|0)>1?ea:1;ea=d<<1|1;mU(m,t,1,0);f[l+8>>2]=0;f[l+12>>2]=0;f[l>>2]=16842752;f[l+4>>2]=m;dH(l,j,k,0,0,sK()|0);da=m+36|0;aa=f[da>>2]|0;if(aa|0?(ca=aa+12|0,aa=f[ca>>2]|0,f[ca>>2]=aa+-1,(aa|0)==1):0)aU(m);f[da>>2]=0;da=m+16|0;aa=m+4|0;f[da>>2]=0;f[da+4>>2]=0;f[da+8>>2]=0;f[da+12>>2]=0;if((f[aa>>2]|0)>0){da=f[m+40>>2]|0;ca=0;do{f[da+(ca<<2)>>2]=0;ca=ca+1|0}while((ca|0)<(f[aa>>2]|0))}aa=f[m+44>>2]|0;if((aa|0)!=(m+48|0))TC(aa);if(!(+L(+(+p[j>>3]-+p[k>>3]))<1.1920928955078125e-07)){f[l>>2]=1124007936;aa=l+4|0;ca=l+8|0;da=l+40|0;E=aa;G=E+36|0;do{f[E>>2]=0;E=E+4|0}while((E|0)<(G|0));f[da>>2]=ca;ca=l+48|0;ba=l+44|0;f[ba>>2]=ca;f[ca>>2]=0;f[l+52>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;f[m>>2]=16842752;f[m+4>>2]=t;c=o+8|0;f[c>>2]=0;f[c+4>>2]=0;f[o>>2]=33619968;f[o+4>>2]=l;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;f[q+12>>2]=0;f[q+16>>2]=0;f[q+20>>2]=0;f[q+24>>2]=0;f[q+28>>2]=0;MI(m,o,d,d,d,d,h,q);h=m+8|0;f[h>>2]=0;f[h+4>>2]=0;f[m>>2]=50397184;f[m+4>>2]=l;vD(m,I*-5.0);h=Y(ea,ea)|0;f[m>>2]=0;ea=m+4|0;f[ea>>2]=0;f[m+8>>2]=0;if(h>>>0>1073741823)nsc(m);c=h<<2;w=cuc(c)|0;f[m>>2]=w;C=w+(h<<2)|0;f[m+8>>2]=C;kzc(w|0,0,c|0)|0;f[ea>>2]=C;C=cuc(c)|0;kzc(C|0,0,c|0)|0;I=+p[k>>3];e=+p[j>>3];k=B<<12;c=k|2;h=c<<2;y=cuc(h)|0;kzc(y|0,0,h|0)|0;S=+(k|0)/(+(B|0)*(I-e));k=0;e=1.0;while(1){if(e>0.0){I=+(k|0)/S;J=+V(+(g*(I*I)));fa=J;ga=J}else{fa=e;ga=0.0}n[y+(k<<2)>>2]=ga;k=k+1|0;if((k|0)==(c|0))break;else e=fa}c=0-d|0;if((d|0)<(c|0))ha=0;else{fa=+(d|0);k=(f[ca>>2]|0)>>>2;h=0;P=c;while(1){e=+(P|0);ga=e*e;$=Y(P,k)|0;N=c;H=h;while(1){e=+(N|0);g=+M(+(ga+e*e));if(g>fa)ia=H;else{s=(Y(N,B)|0)+$|0;e=+V(+(K*(g*g)));n[w+(H<<2)>>2]=e;f[C+(H<<2)>>2]=s;ia=H+1|0}if((N|0)<(d|0)){N=N+1|0;H=ia}else break}if((P|0)<(d|0)){h=ia;P=P+1|0}else{ha=ia;break}}}f[o>>2]=57760;f[o+4>>2]=B;f[o+8>>2]=d;f[o+12>>2]=ha;f[o+16>>2]=C;f[o+20>>2]=l;f[o+24>>2]=v;n[o+28>>2]=S;f[o+32>>2]=w;f[o+36>>2]=y;f[q>>2]=0;f[q+4>>2]=D;D=f[v+4>>2]|0;if((D|0)<3)ja=Y(f[v+12>>2]|0,f[v+8>>2]|0)|0;else{w=f[v+40>>2]|0;ha=0;d=1;while(1){B=Y(f[w+(ha<<2)>>2]|0,d)|0;ha=ha+1|0;if((ha|0)==(D|0)){ja=B;break}else d=B}}sZ(q,o,+(ja>>>0)*.0000152587890625);fuc(y);fuc(C);C=f[m>>2]|0;if(C|0){m=f[ea>>2]|0;if((m|0)!=(C|0))f[ea>>2]=m+(~((m+-4-C|0)>>>2)<<2);fuc(C)}C=l+36|0;m=f[C>>2]|0;if(m|0?(ea=m+12|0,m=f[ea>>2]|0,f[ea>>2]=m+-1,(m|0)==1):0)aU(l);f[C>>2]=0;C=l+16|0;f[C>>2]=0;f[C+4>>2]=0;f[C+8>>2]=0;f[C+12>>2]=0;if((f[aa>>2]|0)>0){C=f[da>>2]|0;da=0;do{f[C+(da<<2)>>2]=0;da=da+1|0}while((da|0)<(f[aa>>2]|0))}aa=f[ba>>2]|0;if((aa|0)!=(ca|0))TC(aa)}else{aa=l+8|0;f[aa>>2]=0;f[aa+4>>2]=0;f[l>>2]=33619968;f[l+4>>2]=v;EI(t,l)}break}default:{f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;l=cuc(64)|0;f[j>>2]=l;f[j+8>>2]=-2147483584;f[j+4>>2]=61;E=l;F=268280;G=E+61|0;do{b[E>>0]=b[F>>0]|0;E=E+1|0;F=F+1|0}while((E|0)<(G|0));b[l+61>>0]=0;WD(-210,j,268342,264656,5957)}}j=v+36|0;l=f[j>>2]|0;if(l|0?(F=l+12|0,l=f[F>>2]|0,f[F>>2]=l+-1,(l|0)==1):0)aU(v);f[j>>2]=0;j=v+16|0;l=v+4|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;if((f[l>>2]|0)>0){j=f[v+40>>2]|0;F=0;do{f[j+(F<<2)>>2]=0;F=F+1|0}while((F|0)<(f[l>>2]|0))}l=f[v+44>>2]|0;if((l|0)!=(v+48|0))TC(l);l=t+36|0;v=f[l>>2]|0;if(v|0?(F=v+12|0,v=f[F>>2]|0,f[F>>2]=v+-1,(v|0)==1):0)aU(t);f[l>>2]=0;l=t+16|0;v=t+4|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;if((f[v>>2]|0)>0){l=f[t+40>>2]|0;F=0;do{f[l+(F<<2)>>2]=0;F=F+1|0}while((F|0)<(f[v>>2]|0))}v=f[t+44>>2]|0;if((v|0)!=(t+48|0))TC(v);if(!(f[r+4>>2]|0)){u=i;return}u=i;return}function Zla(a){a=a|0;fuc(a);return}function _la(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,D=0,E=0,F=0.0,G=0.0,H=0,I=0.0,J=0.0,K=0.0,M=0.0,N=0,O=0,P=0.0,Q=0.0,R=0.0,S=0.0,T=0,U=0,V=0.0,W=0.0,X=0.0,Z=0.0,_=0,$=0.0,aa=0.0,ba=0;d=u;u=u+16|0;e=d;g=f[a+24>>2]|0;h=f[(f[g+40>>2]|0)+4>>2]|0;i=f[c>>2]|0;j=f[c+4>>2]|0;if((i|0)>=(j|0)){u=d;return}c=f[a+20>>2]|0;k=f[a+8>>2]|0;l=f[c+16>>2]|0;m=f[f[c+44>>2]>>2]|0;c=f[a+4>>2]|0;o=Y(c,k)|0;p=f[g+16>>2]|0;q=f[f[g+44>>2]>>2]|0;g=(h|0)>0;r=a+12|0;s=a+16|0;t=a+28|0;v=a+32|0;w=a+36|0;a=h*3|0;x=i;a:while(1){i=l+(Y(m,k+x|0)|0)+(o<<2)|0;y=p+(Y(q,x)|0)|0;b:do switch(c|0){case 1:{if(g){z=f[r>>2]|0;if((z|0)<=0){A=0;while(1){n[y+(A<<2)>>2]=C;A=A+1|0;if((A|0)==(h|0))break b}}A=f[s>>2]|0;B=f[v>>2]|0;D=f[w>>2]|0;E=0;do{F=+n[i+(E<<2)>>2];G=+n[t>>2];H=0;I=0.0;J=0.0;do{K=+n[i+((f[A+(H<<2)>>2]|0)+E<<2)>>2];M=+L(+(K-F))*G;N=~~M;O=N-(+(N|0)>M&1)|0;P=+n[D+(O<<2)>>2];Q=+n[B+(H<<2)>>2]*(P+(+n[D+(O+1<<2)>>2]-P)*(M-+(O|0)));I=I+K*Q;J=J+Q;H=H+1|0}while((H|0)<(z|0));n[y+(E<<2)>>2]=I/J;E=E+1|0}while((E|0)!=(h|0))}break}case 3:{if(g){E=f[r>>2]|0;if((E|0)<=0){z=0;while(1){n[y+(z<<2)>>2]=C;n[y+(z+1<<2)>>2]=C;n[y+(z+2<<2)>>2]=C;z=z+3|0;if((z|0)>=(a|0))break b}}z=f[s>>2]|0;D=f[v>>2]|0;B=f[w>>2]|0;A=0;do{H=i+(A<<2)|0;G=+n[H>>2];O=A+1|0;F=+n[i+(O<<2)>>2];N=A+2|0;Q=+n[i+(N<<2)>>2];K=+n[t>>2];M=0.0;P=0.0;R=0.0;S=0.0;T=0;do{U=H+(f[z+(T<<2)>>2]<<2)|0;V=+n[U>>2];W=+n[U+4>>2];X=+n[U+8>>2];Z=(+L(+(V-G))+ +L(+(W-F))+ +L(+(X-Q)))*K;U=~~Z;_=U-(+(U|0)>Z&1)|0;$=+n[B+(_<<2)>>2];aa=+n[D+(T<<2)>>2]*($+(+n[B+(_+1<<2)>>2]-$)*(Z-+(_|0)));M=M+V*aa;P=P+W*aa;S=S+X*aa;R=R+aa;T=T+1|0}while((T|0)<(E|0));K=1.0/R;n[y+(A<<2)>>2]=K*M;n[y+(O<<2)>>2]=P*K;n[y+(N<<2)>>2]=S*K;A=A+3|0}while((A|0)<(a|0))}break}default:{ba=17;break a}}while(0);x=x+1|0;if((x|0)>=(j|0)){ba=20;break}}if((ba|0)==17){f[e+8>>2]=0;b[e+11>>0]=7;b[e>>0]=b[268358]|0;b[e+1>>0]=b[268359]|0;b[e+2>>0]=b[268360]|0;b[e+3>>0]=b[268361]|0;b[e+4>>0]=b[268362]|0;b[e+5>>0]=b[268363]|0;b[e+6>>0]=b[268364]|0;b[e+7>>0]=0;WD(-215,e,531152,264656,5643)}else if((ba|0)==20){u=d;return}}function $la(a){a=a|0;fuc(a);return}function ama(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0.0,D=0.0,E=0,F=0,G=0.0,H=0.0,I=0.0,J=0.0,K=0.0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0.0,V=0.0,W=0.0,X=0.0,Z=0.0,_=0.0,$=0.0,aa=0.0;d=a+8|0;e=f[d>>2]|0;g=(f[e>>2]|0)>>>3&511;i=g+1|0;j=f[(f[e+40>>2]|0)+4>>2]|0;k=f[c>>2]|0;l=c+4|0;if((k|0)>=(f[l>>2]|0))return;c=a+4|0;m=a+12|0;o=(g|0)==0;g=(j|0)>0;p=a+16|0;q=a+20|0;r=a+24|0;s=a+28|0;a=j*3|0;t=k;k=e;while(1){e=f[c>>2]|0;u=f[m>>2]|0;v=(f[e+16>>2]|0)+(Y(f[f[e+44>>2]>>2]|0,u+t|0)|0)+(Y(u,i)|0)|0;u=(f[k+16>>2]|0)+(Y(f[f[k+44>>2]>>2]|0,t)|0)|0;if(o){if(g){e=0;do{w=h[v+e>>0]|0;x=f[p>>2]|0;if((x|0)>0){y=f[q>>2]|0;z=f[r>>2]|0;A=f[s>>2]|0;B=0;C=0.0;D=0.0;while(1){E=b[v+((f[y+(B<<2)>>2]|0)+e)>>0]|0;F=(E&255)-w|0;G=+n[z+(B<<2)>>2]*+n[A+(((F|0)>-1?F:0-F|0)<<2)>>2];H=C+ +(E&255)*G;I=D+G;B=B+1|0;if((B|0)>=(x|0)){J=H;K=I;break}else{C=H;D=I}}}else{J=0.0;K=0.0}x=(Ghc(J/K)|0)&255;b[u+e>>0]=x;e=e+1|0}while((e|0)!=(j|0))}}else if(g){e=0;do{x=v+e|0;B=h[x>>0]|0;A=e+1|0;z=h[v+A>>0]|0;w=e+2|0;y=h[v+w>>0]|0;E=f[p>>2]|0;if((E|0)>0){F=f[q>>2]|0;L=f[r>>2]|0;M=f[s>>2]|0;D=0.0;C=0.0;I=0.0;H=0.0;N=0;while(1){O=x+(f[F+(N<<2)>>2]|0)|0;P=b[O>>0]|0;Q=b[O+1>>0]|0;R=b[O+2>>0]|0;O=(P&255)-B|0;S=(Q&255)-z|0;T=(R&255)-y|0;G=+n[L+(N<<2)>>2]*+n[M+(((S|0)>-1?S:0-S|0)+((O|0)>-1?O:0-O|0)+((T|0)>-1?T:0-T|0)<<2)>>2];U=H+ +(P&255)*G;V=I+ +(Q&255)*G;W=C+ +(R&255)*G;X=D+G;N=N+1|0;if((N|0)>=(E|0)){Z=X;_=W;$=V;aa=U;break}else{D=X;C=W;I=V;H=U}}}else{Z=0.0;_=0.0;$=0.0;aa=0.0}H=1.0/Z;E=Ghc(aa*H)|0;N=Ghc($*H)|0;M=Ghc(_*H)|0;b[u+e>>0]=E;b[u+A>>0]=N;b[u+w>>0]=M;e=e+3|0}while((e|0)<(a|0))}e=t+1|0;if((e|0)>=(f[l>>2]|0))break;t=e;k=f[d>>2]|0}return}function bma(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0.0,M=0.0,N=0,O=0,P=0;d=u;u=u+16|0;e=d;gV(e,57772);g=a;h=f[g>>2]|0;i=f[g+4>>2]|0;g=hzc(h|0,i|0,-1,-1)|0;j=J;k=a+8|0;a=f[k>>2]|0;l=f[k+4>>2]|0;k=hzc(a|0,l|0,-1,-1)|0;m=J;if((i|0)<0|(i|0)==0&h>>>0<1|((l|0)<0|(l|0)==0&a>>>0<1))n=0;else{o=b+8|0;p=c+8|0;q=b;r=f[q>>2]|0;s=f[q+4>>2]|0;q=pzc(r|0,s|0,63)|0;t=o;v=f[t>>2]|0;w=f[t+4>>2]|0;t=pzc(v|0,w|0,61)|0;x=(((s|0)>(i|0)|(s|0)==(i|0)&r>>>0>=h>>>0)&1)<<1|q|t&4|(((w|0)>(l|0)|(w|0)==(l|0)&v>>>0>=a>>>0)&1)<<3;t=c;q=f[t>>2]|0;y=f[t+4>>2]|0;t=pzc(q|0,y|0,63)|0;z=p;A=f[z>>2]|0;B=f[z+4>>2]|0;z=pzc(A|0,B|0,61)|0;C=(((y|0)>(i|0)|(y|0)==(i|0)&q>>>0>=h>>>0)&1)<<1|t|z&4|(((B|0)>(l|0)|(B|0)==(l|0)&A>>>0>=a>>>0)&1)<<3;if(!((C&x|0)!=0|(C|x|0)==0)){if(!(x&12)){D=x;E=r;F=s;G=v;H=w}else{a=x>>>0<8;l=a?0:k;z=a?0:m;a=gzc(l|0,z|0,v|0,w|0)|0;I=+(a>>>0)+4294967296.0*+(J|0);a=gzc(q|0,y|0,r|0,s|0)|0;M=(+(a>>>0)+4294967296.0*+(J|0))*I;a=gzc(A|0,B|0,v|0,w|0)|0;I=M/(+(a>>>0)+4294967296.0*+(J|0));a=hzc(~~I>>>0|0,(+L(I)>=1.0?(I>0.0?~~+Z(+K(I/4294967296.0),4294967295.0)>>>0:~~+X((I-+(~~I>>>0))/4294967296.0)>>>0):0)|0,r|0,s|0)|0;s=J;r=b;f[r>>2]=a;f[r+4>>2]=s;r=o;f[r>>2]=l;f[r+4>>2]=z;r=pzc(a|0,s|0,63)|0;D=(((s|0)>(i|0)|(s|0)==(i|0)&a>>>0>=h>>>0)&1)<<1|r;E=a;F=s;G=l;H=z}if(!(C&12))N=C;else{z=C>>>0<8;l=z?0:k;k=z?0:m;m=p;z=f[m>>2]|0;s=f[m+4>>2]|0;m=gzc(l|0,k|0,z|0,s|0)|0;I=+(m>>>0)+4294967296.0*+(J|0);m=c;a=f[m>>2]|0;r=f[m+4>>2]|0;m=gzc(a|0,r|0,E|0,F|0)|0;M=I*(+(m>>>0)+4294967296.0*+(J|0));m=gzc(z|0,s|0,G|0,H|0)|0;I=M/(+(m>>>0)+4294967296.0*+(J|0));m=hzc(~~I>>>0|0,(+L(I)>=1.0?(I>0.0?~~+Z(+K(I/4294967296.0),4294967295.0)>>>0:~~+X((I-+(~~I>>>0))/4294967296.0)>>>0):0)|0,a|0,r|0)|0;r=J;a=c;f[a>>2]=m;f[a+4>>2]=r;a=p;f[a>>2]=l;f[a+4>>2]=k;k=pzc(m|0,r|0,63)|0;N=(((r|0)>(i|0)|(r|0)==(i|0)&m>>>0>=h>>>0)&1)<<1|k}if(!((N&D|0)!=0|(N|D|0)==0)){if(D|0){k=(D|0)==1;h=k?0:g;m=k?0:j;k=b;i=f[k>>2]|0;r=f[k+4>>2]|0;k=gzc(h|0,m|0,i|0,r|0)|0;I=+(k>>>0)+4294967296.0*+(J|0);k=p;a=o;l=f[a>>2]|0;H=f[a+4>>2]|0;a=gzc(f[k>>2]|0,f[k+4>>2]|0,l|0,H|0)|0;M=I*(+(a>>>0)+4294967296.0*+(J|0));a=c;k=gzc(f[a>>2]|0,f[a+4>>2]|0,i|0,r|0)|0;I=M/(+(k>>>0)+4294967296.0*+(J|0));k=hzc(~~I>>>0|0,(+L(I)>=1.0?(I>0.0?~~+Z(+K(I/4294967296.0),4294967295.0)>>>0:~~+X((I-+(~~I>>>0))/4294967296.0)>>>0):0)|0,l|0,H|0)|0;H=o;f[H>>2]=k;f[H+4>>2]=J;H=b;f[H>>2]=h;f[H+4>>2]=m}if(!N){O=0;P=0}else{m=(N|0)==1;H=m?0:g;g=m?0:j;j=c;m=f[j>>2]|0;h=f[j+4>>2]|0;j=gzc(H|0,g|0,m|0,h|0)|0;I=+(j>>>0)+4294967296.0*+(J|0);j=p;k=f[j>>2]|0;l=f[j+4>>2]|0;j=o;o=gzc(k|0,l|0,f[j>>2]|0,f[j+4>>2]|0)|0;M=I*(+(o>>>0)+4294967296.0*+(J|0));o=b;b=gzc(m|0,h|0,f[o>>2]|0,f[o+4>>2]|0)|0;I=M/(+(b>>>0)+4294967296.0*+(J|0));b=hzc(~~I>>>0|0,(+L(I)>=1.0?(I>0.0?~~+Z(+K(I/4294967296.0),4294967295.0)>>>0:~~+X((I-+(~~I>>>0))/4294967296.0)>>>0):0)|0,k|0,l|0)|0;l=p;f[l>>2]=b;f[l+4>>2]=J;l=c;f[l>>2]=H;f[l+4>>2]=g;O=0;P=0}}else{O=N;P=D}}else{O=C;P=x}n=(P|O|0)==0}if(!(f[e+4>>2]|0)){u=d;return n|0}u=d;return n|0}function cma(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;i=u;u=u+48|0;j=i+32|0;k=i+16|0;l=i;m=a+20|0;f[m>>2]=-1;n=(g|0)==8;switch(g|0){case 4:case 8:break;default:{g=cuc(48)|0;f[j>>2]=g;f[j+8>>2]=-2147483600;f[j+4>>2]=38;o=g;p=347509;q=o+38|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));b[g+38>>0]=0;WD(-215,j,268631,268559,168)}}g=f[d>>2]|0;p=f[c+12>>2]|0;o=f[e>>2]|0;if((g>>>0<p>>>0&o>>>0<p>>>0?(p=f[c+8>>2]|0,(f[d+4>>2]|0)>>>0<p>>>0):0)?(q=f[e+4>>2]|0,q>>>0<p>>>0):0){r=o;s=q}else{q=f[c+40>>2]|0;p=f[q+4>>2]|0;t=f[q>>2]|0;q=d+4|0;v=f[q>>2]|0;w=j;f[w>>2]=g;f[w+4>>2]=((g|0)<0)<<31>>31;g=j+8|0;w=g;f[w>>2]=v;f[w+4>>2]=((v|0)<0)<<31>>31;v=e+4|0;w=f[v>>2]|0;x=k;f[x>>2]=o;f[x+4>>2]=((o|0)<0)<<31>>31;o=k+8|0;x=o;f[x>>2]=w;f[x+4>>2]=((w|0)<0)<<31>>31;w=l;f[w>>2]=p;f[w+4>>2]=((p|0)<0)<<31>>31;p=l+8|0;f[p>>2]=t;f[p+4>>2]=((t|0)<0)<<31>>31;t=bma(l,j,k)|0;f[d>>2]=f[j>>2];f[q>>2]=f[g>>2];g=f[k>>2]|0;f[e>>2]=g;e=f[o>>2]|0;f[v>>2]=e;if(t){r=g;s=e}else{f[a>>2]=f[c+16>>2];e=a+16|0;f[a+4>>2]=0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;f[e+16>>2]=0;f[e+20>>2]=0;y=0;z=0;A=a+8|0;f[A>>2]=z;B=a+12|0;f[B>>2]=y;u=i;return}}e=f[c+4>>2]|0;if((e|0)>0)C=f[(f[c+44>>2]|0)+(e+-1<<2)>>2]|0;else C=0;e=c+48|0;g=f[e>>2]|0;t=f[d>>2]|0;v=r-t|0;o=d+4|0;k=f[o>>2]|0;q=s-k|0;j=v>>31;l=(j^v)-j|0;if(h){h=j&(t^r)^t;f[d>>2]=h;d=(s^k)&j^k;f[o>>2]=d;D=(q^j)-j|0;E=C;F=d;G=h}else{D=q;E=(j^C)-j|0;F=k;G=t}t=c+16|0;c=(f[t>>2]|0)+(Y(F,g)|0)+(Y(G,C)|0)|0;f[a>>2]=c;c=D>>31;G=(c^D)-c|0;D=(c^g)-c|0;c=(G|0)>(l|0);g=(c?G:0)^l;l=(c?g:0)^G;G=(c?l:0)^g;g=(c?D:0)^E;E=(c?g:0)^D;D=(c?E:0)^g;g=G<<1;c=l<<1;if(n){H=g;I=G-c|0;J=G;K=E}else{H=g+c|0;I=0;J=G+l|0;K=E-D|0}f[a+16>>2]=I;f[a+28>>2]=H;f[a+24>>2]=0-c;f[a+36>>2]=K;f[a+32>>2]=D;f[m>>2]=J+1;f[a+4>>2]=f[t>>2];y=C;z=f[e>>2]|0;A=a+8|0;f[A>>2]=z;B=a+12|0;f[B>>2]=y;u=i;return}function dma(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0.0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;i=u;u=u+64|0;j=i+40|0;k=i+16|0;l=i;m=i+32|0;f[j>>2]=0;n=j+4|0;f[n>>2]=0;f[j+8>>2]=0;o=+(f[a+4>>2]|0);p[k>>3]=+(f[a>>2]|0);p[k+8>>3]=o;o=+(f[b+4>>2]|0);p[l>>3]=+(f[b>>2]|0);p[l+8>>3]=o;ema(k,l,c,d,e,g,j);g=h+4|0;e=f[g>>2]|0;d=f[h>>2]|0;c=e;if((e|0)==(d|0)|(c|0)==(d|0))q=e;else{e=c+(~((c+-8-d|0)>>>3)<<3)|0;f[g>>2]=e;q=e}e=f[n>>2]|0;c=f[j>>2]|0;l=c;if((e|0)==(c|0)){r=d;s=q;t=l}else{q=m+4|0;d=h+8|0;k=0;b=-2147483648;v=-2147483648;w=l;x=l;l=c;c=e;while(1){e=Fhc(+p[w+(k<<4)>>3])|0;f[m>>2]=e;y=Fhc(+p[w+(k<<4)+8>>3])|0;f[q>>2]=y;if((e|0)!=(b|0)|(y|0)!=(v|0)){z=f[g>>2]|0;if((z|0)==(f[d>>2]|0)){_s(h,m);A=f[n>>2]|0;B=f[j>>2]|0}else{f[z>>2]=e;f[z+4>>2]=y;f[g>>2]=z+8;A=c;B=l}C=f[m>>2]|0;D=f[q>>2]|0;E=B;F=A;G=B}else{C=b;D=v;E=l;F=c;G=x}k=k+1|0;if(k>>>0>=F-E>>4>>>0)break;else{b=C;v=D;w=E;x=G;l=E;c=F}}r=f[h>>2]|0;s=f[g>>2]|0;t=G}if((s-r|0)==8){fma(h,2,a);H=f[j>>2]|0}else H=t;if(!H){u=i;return}t=f[n>>2]|0;if((t|0)!=(H|0))f[n>>2]=t+(~((t+-16-H|0)>>>4)<<4);fuc(H);u=i;return}function ema(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0.0,w=0.0,x=0,y=0,z=0.0,A=0,B=0.0,C=0.0,D=0.0,E=0,F=0;i=u;u=u+32|0;j=i+16|0;k=i;gV(j,57792);l=((c|0)>0?c:0)+359-c|0;m=l-((l>>>0)%360|0)+c|0;c=~m;l=m+((c|0)>-361?c:-361)+360|0;c=m+(((l>>>0)%360|0)-l)|0;l=(d|0)>(e|0);m=l?d:e;o=l?e:d;if((o|0)<0){l=~((e|0)<(d|0)?e:d);d=((o|0)>-360?o:-360)+l+360|0;e=d-((d>>>0)%360|0)|0;q=e+359-l|0;r=m+e+360|0}else{q=o;r=m}if((r|0)>360){m=r+-361|0;o=m-((m>>>0)%360|0)|0;s=q+-360-o|0;t=r+-360-o|0}else{s=q;t=r}r=(t-s|0)>360;q=r?360:t;t=r?0:s;s=(c>>31&360)+c|0;v=+n[57812+(s<<2)>>2];w=+n[57812+(450-s<<2)>>2];s=h+4|0;c=f[s>>2]|0;r=f[h>>2]|0;o=c;if((c|0)==(r|0)|(o|0)==(r|0)){x=c;y=o}else{c=o+(~((o+-16-r|0)>>>4)<<4)|0;f[s>>2]=c;x=c;y=c}c=q+g|0;if((t|0)<(c|0)){o=b+8|0;z=w;w=v;m=a+8|0;e=k+8|0;l=h+8|0;d=t;t=y;while(1){y=(d|0)>(q|0)?q:d;A=(y|0)<0?y+360|0:y;v=+p[b>>3]*+n[57812+(450-A<<2)>>2];B=+p[o>>3]*+n[57812+(A<<2)>>2];C=z*v+ +p[a>>3]-w*B;p[k>>3]=C;D=z*B+(w*v+ +p[m>>3]);p[e>>3]=D;if((t|0)==(f[l>>2]|0))gma(h,k);else{p[t>>3]=C;p[t+8>>3]=D;f[s>>2]=t+16}A=d+g|0;if((A|0)>=(c|0))break;d=A;t=f[s>>2]|0}E=f[h>>2]|0;F=f[s>>2]|0}else{E=r;F=x}if((F-E|0)==16)hma(h,2,a);if(!(f[j+4>>2]|0)){u=i;return}u=i;return}function fma(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;d=a+8|0;e=f[d>>2]|0;g=f[a>>2]|0;h=g;do if(e-g>>3>>>0>=b>>>0){i=a+4|0;j=f[i>>2]|0;k=j-g>>3;l=k>>>0<b>>>0;m=l?k:b;n=j;if(m|0){j=c+4|0;o=m;m=h;while(1){f[m>>2]=f[c>>2];f[m+4>>2]=f[j>>2];o=o+-1|0;if(!o)break;else m=m+8|0}}if(!l){m=h+(b<<3)|0;if((n|0)==(m|0))return;else{p=i;q=n+(~((n+-8-m|0)>>>3)<<3)|0;break}}else{m=b-k|0;o=c+4|0;j=m;r=n;while(1){f[r>>2]=f[c>>2];f[r+4>>2]=f[o>>2];j=j+-1|0;if(!j)break;else r=r+8|0}p=i;q=n+(m<<3)|0;break}}else{r=g;if(!g)s=e;else{j=a+4|0;o=f[j>>2]|0;if((o|0)!=(h|0))f[j>>2]=o+(~((o+-8-g|0)>>>3)<<3);fuc(r);f[d>>2]=0;f[j>>2]=0;f[a>>2]=0;s=0}if(b>>>0>536870911)nsc(a);j=s>>2;r=s>>3>>>0<268435455?(j>>>0<b>>>0?b:j):536870911;if(r>>>0>536870911)nsc(a);j=cuc(r<<3)|0;o=a+4|0;f[o>>2]=j;f[a>>2]=j;f[d>>2]=j+(r<<3);r=c+4|0;k=b;l=j;while(1){f[l>>2]=f[c>>2];f[l+4>>2]=f[r>>2];k=k+-1|0;if(!k)break;else l=l+8|0}p=o;q=j+(b<<3)|0}while(0);f[p>>2]=q;return}function gma(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;c=a+4|0;d=f[c>>2]|0;e=f[a>>2]|0;g=d-e>>4;h=g+1|0;i=e;j=d;if(h>>>0>268435455)nsc(a);d=a+8|0;k=(f[d>>2]|0)-e|0;l=k>>3;m=k>>4>>>0<134217727?(l>>>0<h>>>0?h:l):268435455;do if(m)if(m>>>0>268435455){l=ze(8)|0;kuc(l,519086);f[l>>2]=167148;Hf(l|0,26888,1888)}else{n=cuc(m<<4)|0;break}else n=0;while(0);l=n+(g<<4)|0;h=n+(m<<4)|0;p[l>>3]=+p[b>>3];p[n+(g<<4)+8>>3]=+p[b+8>>3];b=l+16|0;if((j|0)==(i|0))o=l;else{g=j+-16-e|0;n=j;j=l;while(1){m=n;n=n+-16|0;p[j+-16>>3]=+p[n>>3];p[j+-8>>3]=+p[m+-8>>3];if((n|0)==(i|0))break;else j=j+-16|0}o=l+(~(g>>>4)<<4)|0}f[a>>2]=o;f[c>>2]=b;f[d>>2]=h;if(!e)return;fuc(e);return}function hma(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0;d=a+8|0;e=f[d>>2]|0;g=f[a>>2]|0;h=g;do if(e-g>>4>>>0>=b>>>0){i=a+4|0;j=f[i>>2]|0;k=j-g>>4;l=k>>>0<b>>>0;m=l?k:b;n=j;if(m|0){j=c+8|0;o=m;m=h;while(1){p[m>>3]=+p[c>>3];p[m+8>>3]=+p[j>>3];o=o+-1|0;if(!o)break;else m=m+16|0}}if(!l){m=h+(b<<4)|0;if((n|0)==(m|0))return;else{q=i;r=n+(~((n+-16-m|0)>>>4)<<4)|0;break}}else{m=b-k|0;o=c+8|0;j=m;s=n;while(1){p[s>>3]=+p[c>>3];p[s+8>>3]=+p[o>>3];j=j+-1|0;if(!j)break;else s=s+16|0}q=i;r=n+(m<<4)|0;break}}else{s=g;if(!g)t=e;else{j=a+4|0;o=f[j>>2]|0;if((o|0)!=(h|0))f[j>>2]=o+(~((o+-16-g|0)>>>4)<<4);fuc(s);f[d>>2]=0;f[j>>2]=0;f[a>>2]=0;t=0}if(b>>>0>268435455)nsc(a);j=t>>3;s=t>>4>>>0<134217727?(j>>>0<b>>>0?b:j):268435455;if(s>>>0>268435455)nsc(a);j=cuc(s<<4)|0;o=a+4|0;f[o>>2]=j;f[a>>2]=j;f[d>>2]=j+(s<<4);s=c+8|0;k=b;l=j;while(1){p[l>>3]=+p[c>>3];p[l+8>>3]=+p[s>>3];k=k+-1|0;if(!k)break;else l=l+16|0}q=o;r=j+(b<<4)|0}while(0);f[q>>2]=r;return}function ima(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;j=u;u=u+128|0;k=j+120|0;l=j+64|0;m=j+32|0;n=j+16|0;o=j;gV(k,59616);do if((qJ(a)|0)==65536){p=f[a+4>>2]|0;f[l>>2]=f[p>>2];q=l+4|0;r=p+4|0;f[q>>2]=f[r>>2];s=l+8|0;f[s>>2]=f[p+8>>2];f[l+12>>2]=f[p+12>>2];f[l+16>>2]=f[p+16>>2];f[l+20>>2]=f[p+20>>2];f[l+24>>2]=f[p+24>>2];f[l+28>>2]=f[p+28>>2];f[l+32>>2]=f[p+32>>2];t=f[p+36>>2]|0;f[l+36>>2]=t;f[l+40>>2]=s;s=l+48|0;v=l+44|0;f[v>>2]=s;f[s>>2]=0;f[l+52>>2]=0;if(t|0){s=t+12|0;f[s>>2]=(f[s>>2]|0)+1}if((f[r>>2]|0)<3){r=f[p+44>>2]|0;s=f[v>>2]|0;f[s>>2]=f[r>>2];f[s+4>>2]=f[r+4>>2];break}else{f[q>>2]=0;$T(l,p);break}}else nJ(l,a,-1);while(0);if((h|0)==16)w=(f[l>>2]&7|0)==0?16:8;else w=h;if((g+-1|0)>>>0>=32767){f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;h=cuc(48)|0;f[m>>2]=h;f[m+8>>2]=-2147483600;f[m+4>>2]=43;x=h;y=268727;z=x+43|0;do{b[x>>0]=b[y>>0]|0;x=x+1|0;y=y+1|0}while((x|0)<(z|0));b[h+43>>0]=0;WD(-215,m,268771,268559,1811)}if(i>>>0>=17){f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;h=cuc(32)|0;f[m>>2]=h;f[m+8>>2]=-2147483616;f[m+4>>2]=31;x=h;y=268776;z=x+31|0;do{b[x>>0]=b[y>>0]|0;x=x+1|0;y=y+1|0}while((x|0)<(z|0));b[h+31>>0]=0;WD(-215,m,268771,268559,1812)}e_(e,m,f[l>>2]&4095,0);e=f[c>>2]|0;h=f[c+4>>2]|0;c=n;f[c>>2]=e;f[c+4>>2]=((e|0)<0)<<31>>31;e=n+8|0;f[e>>2]=h;f[e+4>>2]=((h|0)<0)<<31>>31;h=f[d>>2]|0;e=f[d+4>>2]|0;d=o;f[d>>2]=h;f[d+4>>2]=((h|0)<0)<<31>>31;h=o+8|0;f[h>>2]=e;f[h+4>>2]=((e|0)<0)<<31>>31;jma(l,n,o,m,g,w,3,i);i=l+36|0;w=f[i>>2]|0;if(w|0?(g=w+12|0,w=f[g>>2]|0,f[g>>2]=w+-1,(w|0)==1):0)aU(l);f[i>>2]=0;i=l+16|0;w=l+4|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;if((f[w>>2]|0)>0){i=f[l+40>>2]|0;g=0;do{f[i+(g<<2)>>2]=0;g=g+1|0}while((g|0)<(f[w>>2]|0))}w=f[l+44>>2]|0;if((w|0)!=(l+48|0))TC(w);if(!(f[k+4>>2]|0)){u=j;return}u=j;return}function jma(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,N=0.0,O=0.0,P=0.0,Q=0.0;j=u;u=u+176|0;k=j+80|0;l=j+64|0;m=j+48|0;n=j+32|0;o=j+96|0;p=j+160|0;q=j+16|0;r=j;s=16-i|0;t=b;v=yzc(f[t>>2]|0,f[t+4>>2]|0,s|0)|0;t=b;f[t>>2]=v;f[t+4>>2]=J;t=b+8|0;v=t;w=yzc(f[v>>2]|0,f[v+4>>2]|0,s|0)|0;v=t;f[v>>2]=w;f[v+4>>2]=J;v=c;w=yzc(f[v>>2]|0,f[v+4>>2]|0,s|0)|0;v=J;x=c;f[x>>2]=w;f[x+4>>2]=v;x=c+8|0;y=x;z=yzc(f[y>>2]|0,f[y+4>>2]|0,s|0)|0;s=J;y=x;f[y>>2]=z;f[y+4>>2]=s;if((e|0)<2){if((g|0)>=16){y=b;A=f[y+4>>2]|0;B=m;f[B>>2]=f[y>>2];f[B+4>>2]=A;A=t;B=f[A+4>>2]|0;y=m+8|0;f[y>>2]=f[A>>2];f[y+4>>2]=B;B=n;f[B>>2]=w;f[B+4>>2]=v;B=n+8|0;f[B>>2]=z;f[B+4>>2]=s;mma(a,m,n,d);u=j;return}a:do if(i|0){switch(g|0){case 1:case 4:{break a;break}default:{}}n=b;m=f[n+4>>2]|0;B=k;f[B>>2]=f[n>>2];f[B+4>>2]=m;m=t;B=f[m+4>>2]|0;n=k+8|0;f[n>>2]=f[m>>2];f[n+4>>2]=B;B=l;f[B>>2]=w;f[B+4>>2]=v;B=l+8|0;f[B>>2]=z;f[B+4>>2]=s;lma(a,k,l,d);u=j;return}while(0);l=b;k=hzc(f[l>>2]|0,f[l+4>>2]|0,32768,0)|0;l=ozc(k|0,J|0,16)|0;k=b;f[k>>2]=l;f[k+4>>2]=J;k=t;l=hzc(f[k>>2]|0,f[k+4>>2]|0,32768,0)|0;k=ozc(l|0,J|0,16)|0;l=t;f[l>>2]=k;f[l+4>>2]=J;l=c;k=hzc(f[l>>2]|0,f[l+4>>2]|0,32768,0)|0;l=ozc(k|0,J|0,16)|0;k=J;i=c;f[i>>2]=l;f[i+4>>2]=k;i=x;B=hzc(f[i>>2]|0,f[i+4>>2]|0,32768,0)|0;i=ozc(B|0,J|0,16)|0;B=J;n=x;f[n>>2]=i;f[n+4>>2]=B;n=b;m=f[n>>2]|0;y=f[n+4>>2]|0;n=hzc(m|0,y|0,-2147483648,0)|0;A=J;C=t;D=f[C>>2]|0;E=f[C+4>>2]|0;C=hzc(D|0,E|0,-2147483648,0)|0;F=J;G=hzc(l|0,k|0,-2147483648,0)|0;H=J;I=hzc(i|0,B|0,-2147483648,0)|0;K=J;kma(a,A>>>0<1|(A|0)==1&n>>>0<0?m:(y|0)>0|(y|0)==0&m>>>0>0?2147483647:-2147483648,F>>>0<1|(F|0)==1&C>>>0<0?D:(E|0)>0|(E|0)==0&D>>>0>0?2147483647:-2147483648,H>>>0<1|(H|0)==1&G>>>0<0?l:(k|0)>0|(k|0)==0&l>>>0>0?2147483647:-2147483648,K>>>0<1|(K|0)==1&I>>>0<0?i:(B|0)>0|(B|0)==0&i>>>0>0?2147483647:-2147483648,d,g);u=j;return}i=o;B=i+64|0;do{f[i>>2]=0;i=i+4|0}while((i|0)<(B|0));i=b;B=f[i>>2]|0;I=f[i+4>>2]|0;i=gzc(B|0,I|0,w|0,v|0)|0;N=(+(i>>>0)+4294967296.0*+(J|0))*.0000152587890625;i=t;K=f[i>>2]|0;l=f[i+4>>2]|0;i=gzc(z|0,s|0,K|0,l|0)|0;O=(+(i>>>0)+4294967296.0*+(J|0))*.0000152587890625;P=N*N+O*O;i=e<<15;if(+L(+P)>2.220446049250313e-16){Q=(+(i|0)+ +(e<<16&65536|0)*.5)/+M(+P);e=Fhc(O*Q)|0;k=((e|0)<0)<<31>>31;G=Fhc(N*Q)|0;H=((G|0)<0)<<31>>31;D=hzc(e|0,k|0,B|0,I|0)|0;E=o;f[E>>2]=D;f[E+4>>2]=J;E=hzc(K|0,l|0,G|0,H|0)|0;D=o+8|0;f[D>>2]=E;f[D+4>>2]=J;D=gzc(B|0,I|0,e|0,k|0)|0;I=o+16|0;f[I>>2]=D;f[I+4>>2]=J;I=gzc(K|0,l|0,G|0,H|0)|0;l=o+24|0;f[l>>2]=I;f[l+4>>2]=J;l=gzc(w|0,v|0,e|0,k|0)|0;I=o+32|0;f[I>>2]=l;f[I+4>>2]=J;I=gzc(z|0,s|0,G|0,H|0)|0;l=o+40|0;f[l>>2]=I;f[l+4>>2]=J;l=hzc(w|0,v|0,e|0,k|0)|0;k=o+48|0;f[k>>2]=l;f[k+4>>2]=J;k=hzc(z|0,s|0,G|0,H|0)|0;H=o+56|0;f[H>>2]=k;f[H+4>>2]=J;nma(a,o,4,d,g,16)}o=p+4|0;H=i+32768>>16;k=q+8|0;G=((i|0)<0)<<31>>31;s=r+8|0;z=(h&1|0)==0;if((g|0)<16){if(!z){l=b;e=hzc(f[l>>2]|0,f[l+4>>2]|0,32768,0)|0;l=pzc(e|0,J|0,16)|0;e=t;v=hzc(f[e>>2]|0,f[e+4>>2]|0,32768,0)|0;e=pzc(v|0,J|0,16)|0;f[p>>2]=l;f[o>>2]=e;oma(a,p,H,d,1)}e=c;l=f[e>>2]|0;v=f[e+4>>2]|0;e=b;f[e>>2]=l;f[e+4>>2]=v;e=x;w=f[e>>2]|0;I=f[e+4>>2]|0;e=t;f[e>>2]=w;f[e+4>>2]=I;if(h&2|0){e=hzc(l|0,v|0,32768,0)|0;v=pzc(e|0,J|0,16)|0;e=hzc(w|0,I|0,32768,0)|0;I=pzc(e|0,J|0,16)|0;f[p>>2]=v;f[o>>2]=I;oma(a,p,H,d,1)}}else{if(!z){z=b;H=f[z+4>>2]|0;p=q;f[p>>2]=f[z>>2];f[p+4>>2]=H;H=t;p=f[H+4>>2]|0;z=k;f[z>>2]=f[H>>2];f[z+4>>2]=p;p=r;f[p>>2]=i;f[p+4>>2]=G;p=s;f[p>>2]=i;f[p+4>>2]=G;pma(a,q,r,0,0,360,d,-1,g)}p=c;z=f[p>>2]|0;H=f[p+4>>2]|0;p=b;f[p>>2]=z;f[p+4>>2]=H;p=x;I=f[p>>2]|0;o=f[p+4>>2]|0;p=t;f[p>>2]=I;f[p+4>>2]=o;if(h&2|0){h=q;f[h>>2]=z;f[h+4>>2]=H;H=k;f[H>>2]=I;f[H+4>>2]=o;o=r;f[o>>2]=i;f[o+4>>2]=G;o=s;f[o>>2]=i;f[o+4>>2]=G;pma(a,q,r,0,0,360,d,-1,g)}}g=c;c=f[g+4>>2]|0;d=b;f[d>>2]=f[g>>2];f[d+4>>2]=c;c=x;x=f[c+4>>2]|0;d=t;f[d>>2]=f[c>>2];f[d+4>>2]=x;u=j;return}function kma(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;j=u;u=u+64|0;k=j+16|0;l=j+8|0;m=j;switch(i|0){case 0:{n=8;break}case 1:{n=4;break}default:n=i}f[l>>2]=c;f[l+4>>2]=d;f[m>>2]=e;f[m+4>>2]=g;cma(k,a,l,m,n,1);n=f[k+20>>2]|0;m=f[a+4>>2]|0;if((m|0)>0)o=f[(f[a+44>>2]|0)+(m+-1<<2)>>2]|0;else o=0;if((n|0)<=0){u=j;return}m=k+16|0;a=k+24|0;l=k+28|0;g=k+32|0;e=k+36|0;d=h+1|0;c=h+2|0;switch(o|0){case 1:{i=0;p=f[k>>2]|0;do{b[p>>0]=b[h>>0]|0;i=i+1|0;q=f[m>>2]|0;r=q>>31;f[m>>2]=(f[a>>2]|0)+q+(f[l>>2]&r);p=(f[k>>2]|0)+((f[e>>2]&r)+(f[g>>2]|0))|0;f[k>>2]=p}while((i|0)!=(n|0));u=j;return}case 3:{i=0;p=f[k>>2]|0;do{b[p>>0]=b[h>>0]|0;b[p+1>>0]=b[d>>0]|0;b[p+2>>0]=b[c>>0]|0;i=i+1|0;r=f[m>>2]|0;q=r>>31;f[m>>2]=(f[a>>2]|0)+r+(f[l>>2]&q);p=(f[k>>2]|0)+((f[e>>2]&q)+(f[g>>2]|0))|0;f[k>>2]=p}while((i|0)!=(n|0));u=j;return}default:{i=0;p=f[k>>2]|0;do{szc(p|0,h|0,o|0)|0;i=i+1|0;c=f[m>>2]|0;d=c>>31;f[m>>2]=(f[a>>2]|0)+c+(f[l>>2]&d);p=(f[k>>2]|0)+((f[e>>2]&d)+(f[g>>2]|0))|0;f[k>>2]=p}while((i|0)!=(n|0));u=j;return}}}function lma(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0;g=u;u=u+16|0;h=g;i=b[e>>0]|0;j=b[e+1>>0]|0;k=b[e+2>>0]|0;l=f[a+4>>2]|0;if((l|0)>0)m=f[(f[a+44>>2]|0)+(l+-1<<2)>>2]|0;else m=0;l=f[a+16>>2]|0;n=f[a+48>>2]|0;o=f[a+40>>2]|0;a=f[o+4>>2]|0;p=f[o>>2]|0;o=yzc(a|0,((a|0)<0)<<31>>31|0,16)|0;q=J;r=yzc(p|0,((p|0)<0)<<31>>31|0,16)|0;s=h;f[s>>2]=o;f[s+4>>2]=q;q=h+8|0;f[q>>2]=r;f[q+4>>2]=J;if(!(bma(h,c,d)|0)){u=g;return}h=d;q=f[h>>2]|0;r=f[h+4>>2]|0;h=c;s=f[h>>2]|0;o=f[h+4>>2]|0;h=gzc(q|0,r|0,s|0,o|0)|0;t=J;v=d+8|0;w=v;x=f[w>>2]|0;y=f[w+4>>2]|0;w=c+8|0;z=w;A=f[z>>2]|0;B=f[z+4>>2]|0;z=gzc(x|0,y|0,A|0,B|0)|0;C=J;D=ozc(h|0,t|0,63)|0;E=J;F=gzc(D^h|0,E^t|0,D|0,E|0)|0;G=J;H=ozc(z|0,C|0,63)|0;I=J;K=gzc(H^z|0,I^C|0,H|0,I|0)|0;L=J;M=(G|0)>(L|0)|(G|0)==(L|0)&F>>>0>K>>>0;if(M){N=gzc(z^D|0,C^E|0,D|0,E|0)|0;C=D&q^s;z=E&r^o;O=c;f[O>>2]=C;f[O+4>>2]=z;O=d;P=f[O>>2]^C&D;C=f[O+4>>2]^z&E;z=d;f[z>>2]=P;f[z+4>>2]=C;z=c;O=f[z>>2]^P&D;P=f[z+4>>2]^C&E;C=c;f[C>>2]=O;f[C+4>>2]=P;C=D&x^A;z=E&y^B;Q=w;f[Q>>2]=C;f[Q+4>>2]=z;Q=v;R=f[Q>>2]^C&D;C=f[Q+4>>2]^z&E;z=v;f[z>>2]=R;f[z+4>>2]=C;z=w;Q=f[z>>2]^R&D;D=f[z+4>>2]^C&E;E=w;f[E>>2]=Q;f[E+4>>2]=D;E=yzc(N|0,J|0,16)|0;N=zzc(E|0,J|0,F|1|0,G|0)|0;S=d;T=O;U=P;V=O;W=P;X=Q;Z=D;_=N;$=J;aa=65536;ba=0}else{N=gzc(H^h|0,I^t|0,H|0,I|0)|0;t=H&q^s;s=I&r^o;o=c;f[o>>2]=t;f[o+4>>2]=s;o=d;r=f[o>>2]^t&H;t=f[o+4>>2]^s&I;s=d;f[s>>2]=r;f[s+4>>2]=t;s=c;o=f[s>>2]^r&H;r=f[s+4>>2]^t&I;t=c;f[t>>2]=o;f[t+4>>2]=r;t=A^x&H;x=B^y&I;y=w;f[y>>2]=t;f[y+4>>2]=x;y=v;B=f[y>>2]^t&H;t=f[y+4>>2]^x&I;x=v;f[x>>2]=B;f[x+4>>2]=t;x=w;y=f[x>>2]^B&H;H=f[x+4>>2]^t&I;I=w;f[I>>2]=y;f[I+4>>2]=H;I=yzc(N|0,J|0,16)|0;N=zzc(I|0,J|0,K|1|0,L|0)|0;S=v;T=y;U=H;V=o;W=r;X=y;Z=H;_=65536;$=0;aa=N;ba=J}N=S;S=gzc(f[N>>2]|0,f[N+4>>2]|0,T|0,U|0)|0;U=pzc(S|0,J|0,16)|0;S=hzc(V|0,W|0,32768,0)|0;W=c;f[W>>2]=S;f[W+4>>2]=J;W=hzc(X|0,Z|0,32768,0)|0;Z=w;f[Z>>2]=W;f[Z+4>>2]=J;Z=d;d=v;v=f[d>>2]|0;W=f[d+4>>2]|0;d=hzc(f[Z>>2]|0,f[Z+4>>2]|0,32768,0)|0;Z=J;X=hzc(v|0,W|0,32768,0)|0;W=pzc(X|0,J|0,16)|0;X=pzc(d|0,Z|0,16)|0;Z=(X|0)>-1;switch(m|0){case 3:{if(Z?(d=l+(Y(W,n)|0)+(X*3|0)|0,(W|0)<(p|0)&((X|0)<(a|0)&(W|0)>-1)):0){b[d>>0]=i;b[d+1>>0]=j;b[d+2>>0]=k}if(M){d=c;v=ozc(f[d>>2]|0,f[d+4>>2]|0,16)|0;d=J;S=c;f[S>>2]=v;f[S+4>>2]=d;if((U|0)<=-1){u=g;return}S=w;V=U;T=f[S>>2]|0;N=f[S+4>>2]|0;S=v;v=d;while(1){d=pzc(T|0,N|0,16)|0;if((S|0)>-1?(H=l+(Y(d,n)|0)+(S*3|0)|0,(d|0)<(p|0)&((S|0)<(a|0)&(d|0)>-1)):0){b[H>>0]=i;b[H+1>>0]=j;b[H+2>>0]=k;H=c;d=w;ca=f[H>>2]|0;da=f[H+4>>2]|0;ea=f[d>>2]|0;fa=f[d+4>>2]|0}else{ca=S;da=v;ea=T;fa=N}S=hzc(ca|0,da|0,1,0)|0;v=J;d=c;f[d>>2]=S;f[d+4>>2]=v;T=hzc(ea|0,fa|0,_|0,$|0)|0;N=J;d=w;f[d>>2]=T;f[d+4>>2]=N;if((V|0)<=0)break;else V=V+-1|0}u=g;return}else{V=w;N=ozc(f[V>>2]|0,f[V+4>>2]|0,16)|0;V=J;T=w;f[T>>2]=N;f[T+4>>2]=V;if((U|0)<=-1){u=g;return}T=c;fa=U;ea=f[T>>2]|0;v=f[T+4>>2]|0;T=N;N=V;while(1){V=pzc(ea|0,v|0,16)|0;if((V|0)>-1?(S=l+(Y(T,n)|0)+(V*3|0)|0,(T|0)<(p|0)&((V|0)<(a|0)&(T|0)>-1)):0){b[S>>0]=i;b[S+1>>0]=j;b[S+2>>0]=k;S=c;V=w;ga=f[S>>2]|0;ha=f[S+4>>2]|0;ia=f[V>>2]|0;ja=f[V+4>>2]|0}else{ga=ea;ha=v;ia=T;ja=N}ea=hzc(ga|0,ha|0,aa|0,ba|0)|0;v=J;V=c;f[V>>2]=ea;f[V+4>>2]=v;T=hzc(ia|0,ja|0,1,0)|0;N=J;V=w;f[V>>2]=T;f[V+4>>2]=N;if((fa|0)<=0)break;else fa=fa+-1|0}u=g;return}break}case 1:{if(Z?(W|0)<(p|0)&((X|0)<(a|0)&(W|0)>-1):0){fa=l+(Y(W,n)|0)+X|0;b[fa>>0]=i}if(M){fa=c;N=ozc(f[fa>>2]|0,f[fa+4>>2]|0,16)|0;fa=J;T=c;f[T>>2]=N;f[T+4>>2]=fa;if((U|0)<=-1){u=g;return}T=w;ja=U;ia=f[T>>2]|0;v=f[T+4>>2]|0;T=N;N=fa;while(1){fa=pzc(ia|0,v|0,16)|0;if((T|0)>-1?(fa|0)<(p|0)&((T|0)<(a|0)&(fa|0)>-1):0){ea=l+(Y(fa,n)|0)+T|0;b[ea>>0]=i;ea=c;fa=w;ka=f[ea>>2]|0;la=f[ea+4>>2]|0;ma=f[fa>>2]|0;na=f[fa+4>>2]|0}else{ka=T;la=N;ma=ia;na=v}T=hzc(ka|0,la|0,1,0)|0;N=J;fa=c;f[fa>>2]=T;f[fa+4>>2]=N;ia=hzc(ma|0,na|0,_|0,$|0)|0;v=J;fa=w;f[fa>>2]=ia;f[fa+4>>2]=v;if((ja|0)<=0)break;else ja=ja+-1|0}u=g;return}else{ja=w;v=ozc(f[ja>>2]|0,f[ja+4>>2]|0,16)|0;ja=J;ia=w;f[ia>>2]=v;f[ia+4>>2]=ja;if((U|0)<=-1){u=g;return}ia=c;na=U;ma=f[ia>>2]|0;N=f[ia+4>>2]|0;ia=v;v=ja;while(1){ja=pzc(ma|0,N|0,16)|0;if((ja|0)>-1?(ia|0)<(p|0)&((ja|0)<(a|0)&(ia|0)>-1):0){T=l+(Y(ia,n)|0)+ja|0;b[T>>0]=i;T=c;ja=w;oa=f[T>>2]|0;pa=f[T+4>>2]|0;qa=f[ja>>2]|0;ra=f[ja+4>>2]|0}else{oa=ma;pa=N;qa=ia;ra=v}ma=hzc(oa|0,pa|0,aa|0,ba|0)|0;N=J;ja=c;f[ja>>2]=ma;f[ja+4>>2]=N;ia=hzc(qa|0,ra|0,1,0)|0;v=J;ja=w;f[ja>>2]=ia;f[ja+4>>2]=v;if((na|0)<=0)break;else na=na+-1|0}u=g;return}break}default:{if((Z?(W|0)<(p|0)&((X|0)<(a|0)&(W|0)>-1):0)?(Z=l+(Y(W,n)|0)+(Y(X,m)|0)|0,X=((m|0)<0)<<31>>31,(m|0)>0):0){W=0;na=0;do{b[Z+W>>0]=b[e+W>>0]|0;W=hzc(W|0,na|0,1,0)|0;na=J}while((na|0)<(X|0)|(na|0)==(X|0)&W>>>0<m>>>0)}if(M){M=c;W=ozc(f[M>>2]|0,f[M+4>>2]|0,16)|0;M=J;X=c;f[X>>2]=W;f[X+4>>2]=M;if((U|0)<=-1){u=g;return}X=((m|0)<0)<<31>>31;na=w;Z=f[na>>2]|0;v=f[na+4>>2]|0;if((m|0)>0){sa=U;ta=Z;ua=v;va=W;wa=M}else{na=U;ia=W;W=M;M=Z;Z=v;while(1){ia=hzc(ia|0,W|0,1,0)|0;W=J;M=hzc(M|0,Z|0,_|0,$|0)|0;Z=J;if((na|0)<=0)break;else na=na+-1|0}na=c;f[na>>2]=ia;f[na+4>>2]=W;W=w;f[W>>2]=M;f[W+4>>2]=Z;u=g;return}while(1){Z=pzc(ta|0,ua|0,16)|0;if((va|0)>-1?(Z|0)<(p|0)&((va|0)<(a|0)&(Z|0)>-1):0){W=l+(Y(Z,n)|0)+(Y(va,m)|0)|0;Z=0;M=0;do{b[W+Z>>0]=b[e+Z>>0]|0;Z=hzc(Z|0,M|0,1,0)|0;M=J}while((M|0)<(X|0)|(M|0)==(X|0)&Z>>>0<m>>>0);Z=c;M=w;xa=f[Z>>2]|0;ya=f[Z+4>>2]|0;za=f[M>>2]|0;Aa=f[M+4>>2]|0}else{xa=va;ya=wa;za=ta;Aa=ua}va=hzc(xa|0,ya|0,1,0)|0;wa=J;M=c;f[M>>2]=va;f[M+4>>2]=wa;ta=hzc(za|0,Aa|0,_|0,$|0)|0;ua=J;M=w;f[M>>2]=ta;f[M+4>>2]=ua;if((sa|0)<=0)break;else sa=sa+-1|0}u=g;return}else{sa=w;ua=ozc(f[sa>>2]|0,f[sa+4>>2]|0,16)|0;sa=J;ta=w;f[ta>>2]=ua;f[ta+4>>2]=sa;if((U|0)<=-1){u=g;return}ta=((m|0)<0)<<31>>31;$=c;_=f[$>>2]|0;Aa=f[$+4>>2]|0;if((m|0)>0){Ba=U;Ca=_;Da=Aa;Ea=ua;Fa=sa}else{$=U;U=_;_=Aa;Aa=ua;ua=sa;while(1){U=hzc(U|0,_|0,aa|0,ba|0)|0;_=J;Aa=hzc(Aa|0,ua|0,1,0)|0;ua=J;if(($|0)<=0)break;else $=$+-1|0}$=c;f[$>>2]=U;f[$+4>>2]=_;_=w;f[_>>2]=Aa;f[_+4>>2]=ua;u=g;return}while(1){ua=pzc(Ca|0,Da|0,16)|0;if((ua|0)>-1?(Ea|0)<(p|0)&((ua|0)<(a|0)&(Ea|0)>-1):0){_=l+(Y(Ea,n)|0)+(Y(ua,m)|0)|0;ua=0;Aa=0;do{b[_+ua>>0]=b[e+ua>>0]|0;ua=hzc(ua|0,Aa|0,1,0)|0;Aa=J}while((Aa|0)<(ta|0)|(Aa|0)==(ta|0)&ua>>>0<m>>>0);ua=c;Aa=w;Ga=f[ua>>2]|0;Ha=f[ua+4>>2]|0;Ia=f[Aa>>2]|0;Ja=f[Aa+4>>2]|0}else{Ga=Ca;Ha=Da;Ia=Ea;Ja=Fa}Ca=hzc(Ga|0,Ha|0,aa|0,ba|0)|0;Da=J;Aa=c;f[Aa>>2]=Ca;f[Aa+4>>2]=Da;Ea=hzc(Ia|0,Ja|0,1,0)|0;Fa=J;Aa=w;f[Aa>>2]=Ea;f[Aa+4>>2]=Fa;if((Ba|0)<=0)break;else Ba=Ba+-1|0}u=g;return}}}}function mma(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0;g=u;u=u+64|0;i=g+16|0;j=g;k=h[e>>0]|0;l=h[e+1>>0]|0;m=h[e+2>>0]|0;n=h[e+3>>0]|0;o=f[a>>2]|0;p=o>>>3;q=f[a+16>>2]|0;r=f[a+48>>2]|0;s=f[a+40>>2]|0;t=f[s+4>>2]|0;v=f[s>>2]|0;s=p&65535;switch(s&511){case 0:case 2:case 3:{if(!(o&7)){o=c;w=hzc(f[o>>2]|0,f[o+4>>2]|0,-131072,-1)|0;o=c;f[o>>2]=w;f[o+4>>2]=J;o=c+8|0;w=o;x=hzc(f[w>>2]|0,f[w+4>>2]|0,-131072,-1)|0;w=o;f[w>>2]=x;f[w+4>>2]=J;w=d;x=hzc(f[w>>2]|0,f[w+4>>2]|0,-131072,-1)|0;w=d;f[w>>2]=x;f[w+4>>2]=J;w=d+8|0;x=w;y=hzc(f[x>>2]|0,f[x+4>>2]|0,-131072,-1)|0;x=w;f[x>>2]=y;f[x+4>>2]=J;x=q+((p&511)+1+r<<1)|0;p=yzc(t|0,((t|0)<0)<<31>>31|0,16)|0;t=hzc(p|0,J|0,-327679,-1)|0;p=J;q=yzc(v|0,((v|0)<0)<<31>>31|0,16)|0;v=hzc(q|0,J|0,-327679,-1)|0;q=j;f[q>>2]=t;f[q+4>>2]=p;p=j+8|0;f[p>>2]=v;f[p+4>>2]=J;if(!(bma(j,c,d)|0)){u=g;return}j=d;p=f[j>>2]|0;v=f[j+4>>2]|0;j=c;q=f[j>>2]|0;t=f[j+4>>2]|0;j=gzc(p|0,v|0,q|0,t|0)|0;y=J;z=w;A=f[z>>2]|0;B=f[z+4>>2]|0;z=o;C=f[z>>2]|0;D=f[z+4>>2]|0;z=gzc(A|0,B|0,C|0,D|0)|0;E=J;F=ozc(j|0,y|0,63)|0;G=J;H=gzc(F^j|0,G^y|0,F|0,G|0)|0;I=J;K=ozc(z|0,E|0,63)|0;L=J;M=gzc(K^z|0,L^E|0,K|0,L|0)|0;N=J;O=(I|0)>(N|0)|(I|0)==(N|0)&H>>>0>M>>>0;if(O){P=gzc(z^F|0,E^G|0,F|0,G|0)|0;E=F&p^q;z=G&v^t;Q=c;f[Q>>2]=E;f[Q+4>>2]=z;Q=d;R=f[Q>>2]^E&F;E=f[Q+4>>2]^z&G;z=d;f[z>>2]=R;f[z+4>>2]=E;z=c;Q=f[z+4>>2]^E&G;E=c;f[E>>2]=f[z>>2]^R&F;f[E+4>>2]=Q;Q=F&A^C;E=G&B^D;R=o;f[R>>2]=Q;f[R+4>>2]=E;R=w;z=f[R>>2]^Q&F;Q=f[R+4>>2]^E&G;E=w;f[E>>2]=z;f[E+4>>2]=Q;E=o;R=f[E>>2]^z&F;F=f[E+4>>2]^Q&G;G=yzc(P|0,J|0,16)|0;P=zzc(G|0,J|0,H|1|0,I|0)|0;I=J;H=d;G=hzc(f[H>>2]|0,f[H+4>>2]|0,65536,0)|0;H=J;Q=d;f[Q>>2]=G;f[Q+4>>2]=H;Q=pzc(G|0,H|0,16)|0;E=J;z=c;S=f[z>>2]|0;T=f[z+4>>2]|0;z=pzc(S|0,T|0,16)|0;U=gzc(Q|0,E|0,z|0,J|0)|0;z=gzc(0,0,P|0,I|0)|0;E=Bzc(S&65535|0,0,z|0,J|0)|0;z=ozc(E|0,J|0,16)|0;E=J;Q=hzc(R|0,F|0,32768,0)|0;F=hzc(Q|0,J|0,z|0,E|0)|0;E=J;z=o;f[z>>2]=F;f[z+4>>2]=E;z=pzc(P|0,I|0,11)|0;Q=ozc(S|0,T|0,9)|0;R=J;V=ozc(G|0,H|0,9)|0;W=U;X=z&63^((I|0)<0?63:0);Z=J;_=R;$=Q;aa=V;ba=S;ca=T;da=P;ea=I;fa=F;ga=E;ha=65536;ia=0}else{E=gzc(K^j|0,L^y|0,K|0,L|0)|0;y=K&p^q;q=L&v^t;t=c;f[t>>2]=y;f[t+4>>2]=q;t=d;v=f[t>>2]^y&K;y=f[t+4>>2]^q&L;q=d;f[q>>2]=v;f[q+4>>2]=y;q=c;t=f[q>>2]^v&K;v=f[q+4>>2]^y&L;y=C^A&K;A=D^B&L;B=o;f[B>>2]=y;f[B+4>>2]=A;B=w;D=f[B>>2]^y&K;y=f[B+4>>2]^A&L;A=w;f[A>>2]=D;f[A+4>>2]=y;A=o;B=f[A+4>>2]^y&L;L=o;f[L>>2]=f[A>>2]^D&K;f[L+4>>2]=B;B=yzc(E|0,J|0,16)|0;E=zzc(B|0,J|0,M|1|0,N|0)|0;N=J;M=w;B=hzc(f[M>>2]|0,f[M+4>>2]|0,65536,0)|0;M=J;L=w;f[L>>2]=B;f[L+4>>2]=M;L=pzc(B|0,M|0,16)|0;w=J;K=o;D=f[K>>2]|0;A=f[K+4>>2]|0;K=pzc(D|0,A|0,16)|0;y=gzc(L|0,w|0,K|0,J|0)|0;K=gzc(0,0,E|0,N|0)|0;w=Bzc(D&65535|0,0,K|0,J|0)|0;K=ozc(w|0,J|0,16)|0;w=J;L=hzc(t|0,v|0,32768,0)|0;v=hzc(L|0,J|0,K|0,w|0)|0;w=J;K=c;f[K>>2]=v;f[K+4>>2]=w;K=pzc(E|0,N|0,11)|0;L=pzc(D|0,A|0,9)|0;t=J;C=pzc(B|0,M|0,9)|0;W=y;X=K&63^((N|0)<0?63:0);Z=J;_=t;$=L;aa=C;ba=v;ca=w;da=65536;ea=0;fa=D;ga=A;ha=E;ia=N}N=$&120;$=aa&120;if(!(X&32))ja=h[268867+X>>0]|0;else ja=256;X=ja<<7;aa=Y(ja,120-N|4)|0;E=Y(ja,$|4)|0;f[i>>2]=0;f[i+32>>2]=ja;A=gzc($|0,0,N|0,0)|0;N=J;$=Bzc(ja|0,0,A&120|4|0,0)|0;D=pzc($|0,J|0,8)|0;f[i+12>>2]=D;f[i+4>>2]=D;f[i+8>>2]=aa>>>8&511;D=hzc(A|0,N|0,128,0)|0;N=Bzc(ja|0,0,D|4|0,J|0)|0;D=pzc(N|0,J|0,8)|0;f[i+16>>2]=D&511;f[i+20>>2]=(aa+X|0)>>>8&511;f[i+24>>2]=E>>>8;f[i+28>>2]=(E+X|0)>>>8&511;switch(s&511){case 2:{s=(W|0)>-1;if(O){if(!s){u=g;return}X=ozc(ba|0,ca|0,16)|0;E=Bzc(X|0,J|0,3,0)|0;X=0;aa=x+E|0;E=W;D=fa;N=ga;while(1){ja=ozc(D|0,N|0,16)|0;A=hzc(ja|0,J|0,-1,-1)|0;ja=Bzc(A|0,J|0,r|0,0)|0;A=aa+ja|0;ja=f[i+(((((X|0)>1?2:1)&(X|2))*3|0)+(((E|0)>1?2:1)&(E|2))<<2)>>2]|0;$=pzc(D|0,N|0,11)|0;w=$&31;$=(Y(f[59636+((w|32)<<2)>>2]|0,ja)|0)>>>8&255;v=h[A>>0]|0;C=(((Y(k-v|0,$)|0)+127|0)>>>8)+v|0;v=A+1|0;L=h[v>>0]|0;t=(((Y(l-L|0,$)|0)+127|0)>>>8)+L|0;L=A+2|0;_=h[L>>0]|0;Z=(((Y(m-_|0,$)|0)+127|0)>>>8)+_|0;_=(((Y(l-(t&255)|0,$)|0)+127|0)>>>8)+t|0;t=(((Y(m-(Z&255)|0,$)|0)+127|0)>>>8)+Z|0;Z=(((Y(k-(C&255)|0,$)|0)+127|0)>>>8)+C&255;b[A>>0]=Z;b[v>>0]=_;b[L>>0]=t;t=A+r|0;A=(Y(f[59636+(w<<2)>>2]|0,ja)|0)>>>8&255;L=h[t>>0]|0;_=(((Y(k-L|0,A)|0)+127|0)>>>8)+L|0;L=t+1|0;v=h[L>>0]|0;Z=(((Y(l-v|0,A)|0)+127|0)>>>8)+v|0;v=t+2|0;C=h[v>>0]|0;$=(((Y(m-C|0,A)|0)+127|0)>>>8)+C|0;C=(((Y(l-(Z&255)|0,A)|0)+127|0)>>>8)+Z|0;Z=(((Y(m-($&255)|0,A)|0)+127|0)>>>8)+$|0;$=(((Y(k-(_&255)|0,A)|0)+127|0)>>>8)+_&255;b[t>>0]=$;b[L>>0]=C;b[v>>0]=Z;Z=t+r|0;t=(Y(f[59636+((w^63)<<2)>>2]|0,ja)|0)>>>8&255;ja=h[Z>>0]|0;w=(((Y(k-ja|0,t)|0)+127|0)>>>8)+ja|0;ja=Z+1|0;v=h[ja>>0]|0;C=(((Y(l-v|0,t)|0)+127|0)>>>8)+v|0;v=Z+2|0;L=h[v>>0]|0;$=(((Y(m-L|0,t)|0)+127|0)>>>8)+L|0;L=(((Y(l-(C&255)|0,t)|0)+127|0)>>>8)+C|0;C=(((Y(m-($&255)|0,t)|0)+127|0)>>>8)+$|0;$=(((Y(k-(w&255)|0,t)|0)+127|0)>>>8)+w&255;b[Z>>0]=$;b[ja>>0]=L;b[v>>0]=C;C=o;D=hzc(f[C>>2]|0,f[C+4>>2]|0,da|0,ea|0)|0;N=J;C=o;f[C>>2]=D;f[C+4>>2]=N;if((E|0)<=0)break;else{X=X+1|0;aa=aa+3|0;E=E+-1|0}}u=g;return}else{if(!s){u=g;return}s=ozc(fa|0,ga|0,16)|0;E=Bzc(s|0,J|0,r|0,0)|0;s=0;aa=x+E|0;E=W;X=ba;N=ca;while(1){D=ozc(X|0,N|0,16)|0;C=Bzc(D|0,J|0,3,0)|0;D=hzc(C|0,J|0,-3,0)|0;C=aa+D|0;D=f[i+(((((s|0)>1?2:1)&(s|2))*3|0)+(((E|0)>1?2:1)&(E|2))<<2)>>2]|0;v=pzc(X|0,N|0,11)|0;L=v&31;v=(Y(f[59636+((L|32)<<2)>>2]|0,D)|0)>>>8&255;ja=h[C>>0]|0;$=(((Y(k-ja|0,v)|0)+127|0)>>>8)+ja|0;ja=C+1|0;Z=h[ja>>0]|0;w=(((Y(l-Z|0,v)|0)+127|0)>>>8)+Z|0;Z=C+2|0;t=h[Z>>0]|0;_=(((Y(m-t|0,v)|0)+127|0)>>>8)+t|0;t=(((Y(l-(w&255)|0,v)|0)+127|0)>>>8)+w|0;w=(((Y(m-(_&255)|0,v)|0)+127|0)>>>8)+_|0;_=(((Y(k-($&255)|0,v)|0)+127|0)>>>8)+$&255;b[C>>0]=_;b[ja>>0]=t;b[Z>>0]=w;w=C+3|0;C=(Y(f[59636+(L<<2)>>2]|0,D)|0)>>>8&255;Z=h[w>>0]|0;t=(((Y(k-Z|0,C)|0)+127|0)>>>8)+Z|0;Z=w+1|0;ja=h[Z>>0]|0;_=(((Y(l-ja|0,C)|0)+127|0)>>>8)+ja|0;ja=w+2|0;$=h[ja>>0]|0;v=(((Y(m-$|0,C)|0)+127|0)>>>8)+$|0;$=(((Y(l-(_&255)|0,C)|0)+127|0)>>>8)+_|0;_=(((Y(m-(v&255)|0,C)|0)+127|0)>>>8)+v|0;v=(((Y(k-(t&255)|0,C)|0)+127|0)>>>8)+t&255;b[w>>0]=v;b[Z>>0]=$;b[ja>>0]=_;_=w+3|0;w=(Y(f[59636+((L^63)<<2)>>2]|0,D)|0)>>>8&255;D=h[_>>0]|0;L=(((Y(k-D|0,w)|0)+127|0)>>>8)+D|0;D=_+1|0;ja=h[D>>0]|0;$=(((Y(l-ja|0,w)|0)+127|0)>>>8)+ja|0;ja=_+2|0;Z=h[ja>>0]|0;v=(((Y(m-Z|0,w)|0)+127|0)>>>8)+Z|0;Z=(((Y(l-($&255)|0,w)|0)+127|0)>>>8)+$|0;$=(((Y(m-(v&255)|0,w)|0)+127|0)>>>8)+v|0;v=(((Y(k-(L&255)|0,w)|0)+127|0)>>>8)+L&255;b[_>>0]=v;b[D>>0]=Z;b[ja>>0]=$;$=c;X=hzc(f[$>>2]|0,f[$+4>>2]|0,ha|0,ia|0)|0;N=J;$=c;f[$>>2]=X;f[$+4>>2]=N;if((E|0)<=0)break;else{s=s+1|0;aa=aa+r|0;E=E+-1|0}}u=g;return}break}case 0:{E=(W|0)>-1;if(O){if(!E){u=g;return}aa=pzc(ba|0,ca|0,16)|0;s=0;N=x+aa|0;aa=W;X=fa;$=ga;while(1){ja=ozc(X|0,$|0,16)|0;Z=hzc(ja|0,J|0,-1,-1)|0;ja=Bzc(Z|0,J|0,r|0,0)|0;Z=N+ja|0;ja=f[i+(((((s|0)>1?2:1)&(s|2))*3|0)+(((aa|0)>1?2:1)&(aa|2))<<2)>>2]|0;D=pzc(X|0,$|0,11)|0;v=D&31;D=(Y(f[59636+((v|32)<<2)>>2]|0,ja)|0)>>>8&255;_=h[Z>>0]|0;L=(((Y(k-_|0,D)|0)+127|0)>>>8)+_|0;_=(((Y(k-(L&255)|0,D)|0)+127|0)>>>8)+L&255;b[Z>>0]=_;_=Z+r|0;Z=(Y(f[59636+(v<<2)>>2]|0,ja)|0)>>>8&255;L=h[_>>0]|0;D=(((Y(k-L|0,Z)|0)+127|0)>>>8)+L|0;L=(((Y(k-(D&255)|0,Z)|0)+127|0)>>>8)+D&255;b[_>>0]=L;L=_+r|0;_=(Y(f[59636+((v^63)<<2)>>2]|0,ja)|0)>>>8&255;ja=h[L>>0]|0;v=(((Y(k-ja|0,_)|0)+127|0)>>>8)+ja|0;ja=(((Y(k-(v&255)|0,_)|0)+127|0)>>>8)+v&255;b[L>>0]=ja;ja=o;X=hzc(f[ja>>2]|0,f[ja+4>>2]|0,da|0,ea|0)|0;$=J;ja=o;f[ja>>2]=X;f[ja+4>>2]=$;if((aa|0)<=0)break;else{s=s+1|0;N=N+1|0;aa=aa+-1|0}}u=g;return}else{if(!E){u=g;return}E=ozc(fa|0,ga|0,16)|0;aa=Bzc(E|0,J|0,r|0,0)|0;E=0;N=x+aa|0;aa=W;s=ba;$=ca;while(1){X=pzc(s|0,$|0,16)|0;ja=hzc(X|0,J|0,-1,0)|0;X=N+ja|0;ja=f[i+(((((E|0)>1?2:1)&(E|2))*3|0)+(((aa|0)>1?2:1)&(aa|2))<<2)>>2]|0;L=pzc(s|0,$|0,11)|0;v=L&31;L=(Y(f[59636+((v|32)<<2)>>2]|0,ja)|0)>>>8&255;_=h[X>>0]|0;D=(((Y(k-_|0,L)|0)+127|0)>>>8)+_|0;_=(((Y(k-(D&255)|0,L)|0)+127|0)>>>8)+D&255;b[X>>0]=_;_=X+1|0;X=(Y(f[59636+(v<<2)>>2]|0,ja)|0)>>>8&255;D=h[_>>0]|0;L=(((Y(k-D|0,X)|0)+127|0)>>>8)+D|0;D=(((Y(k-(L&255)|0,X)|0)+127|0)>>>8)+L&255;b[_>>0]=D;D=_+1|0;_=(Y(f[59636+((v^63)<<2)>>2]|0,ja)|0)>>>8&255;ja=h[D>>0]|0;v=(((Y(k-ja|0,_)|0)+127|0)>>>8)+ja|0;ja=(((Y(k-(v&255)|0,_)|0)+127|0)>>>8)+v&255;b[D>>0]=ja;ja=c;s=hzc(f[ja>>2]|0,f[ja+4>>2]|0,ha|0,ia|0)|0;$=J;ja=c;f[ja>>2]=s;f[ja+4>>2]=$;if((aa|0)<=0)break;else{E=E+1|0;N=N+r|0;aa=aa+-1|0}}u=g;return}break}default:{aa=(W|0)>-1;if(O){if(!aa){u=g;return}O=ozc(ba|0,ca|0,16)|0;N=yzc(O|0,J|0,2)|0;O=x+N|0;N=0;E=W;$=fa;s=ga;while(1){ja=ozc($|0,s|0,16)|0;D=hzc(ja|0,J|0,-1,-1)|0;ja=Bzc(D|0,J|0,r|0,0)|0;D=O+ja|0;ja=f[i+(((((N|0)>1?2:1)&(N|2))*3|0)+(((E|0)>1?2:1)&(E|2))<<2)>>2]|0;v=pzc($|0,s|0,11)|0;_=v&31;v=(Y(f[59636+((_|32)<<2)>>2]|0,ja)|0)>>>8&255;L=h[D>>0]|0;X=(((Y(k-L|0,v)|0)+127|0)>>>8)+L|0;L=D+1|0;Z=h[L>>0]|0;w=(((Y(l-Z|0,v)|0)+127|0)>>>8)+Z|0;Z=D+2|0;t=h[Z>>0]|0;C=(((Y(m-t|0,v)|0)+127|0)>>>8)+t|0;t=D+3|0;A=h[t>>0]|0;K=(((Y(n-A|0,v)|0)+127|0)>>>8)+A|0;A=(((Y(l-(w&255)|0,v)|0)+127|0)>>>8)+w|0;w=(((Y(m-(C&255)|0,v)|0)+127|0)>>>8)+C|0;C=(((Y(n-(K&255)|0,v)|0)+127|0)>>>8)+K|0;K=(((Y(k-(X&255)|0,v)|0)+127|0)>>>8)+X&255;b[D>>0]=K;b[L>>0]=A;b[Z>>0]=w;b[t>>0]=C;C=D+r|0;D=(Y(f[59636+(_<<2)>>2]|0,ja)|0)>>>8&255;t=h[C>>0]|0;w=(((Y(k-t|0,D)|0)+127|0)>>>8)+t|0;t=C+1|0;Z=h[t>>0]|0;A=(((Y(l-Z|0,D)|0)+127|0)>>>8)+Z|0;Z=C+2|0;L=h[Z>>0]|0;K=(((Y(m-L|0,D)|0)+127|0)>>>8)+L|0;L=C+3|0;X=h[L>>0]|0;v=(((Y(n-X|0,D)|0)+127|0)>>>8)+X|0;X=(((Y(l-(A&255)|0,D)|0)+127|0)>>>8)+A|0;A=(((Y(m-(K&255)|0,D)|0)+127|0)>>>8)+K|0;K=(((Y(n-(v&255)|0,D)|0)+127|0)>>>8)+v|0;v=(((Y(k-(w&255)|0,D)|0)+127|0)>>>8)+w&255;b[C>>0]=v;b[t>>0]=X;b[Z>>0]=A;b[L>>0]=K;K=C+r|0;C=(Y(f[59636+((_^63)<<2)>>2]|0,ja)|0)>>>8&255;ja=h[K>>0]|0;_=(((Y(k-ja|0,C)|0)+127|0)>>>8)+ja|0;ja=K+1|0;L=h[ja>>0]|0;A=(((Y(l-L|0,C)|0)+127|0)>>>8)+L|0;L=K+2|0;Z=h[L>>0]|0;X=(((Y(m-Z|0,C)|0)+127|0)>>>8)+Z|0;Z=K+3|0;t=h[Z>>0]|0;v=(((Y(n-t|0,C)|0)+127|0)>>>8)+t|0;t=(((Y(l-(A&255)|0,C)|0)+127|0)>>>8)+A|0;A=(((Y(m-(X&255)|0,C)|0)+127|0)>>>8)+X|0;X=(((Y(n-(v&255)|0,C)|0)+127|0)>>>8)+v|0;v=(((Y(k-(_&255)|0,C)|0)+127|0)>>>8)+_&255;b[K>>0]=v;b[ja>>0]=t;b[L>>0]=A;b[Z>>0]=X;X=o;$=hzc(f[X>>2]|0,f[X+4>>2]|0,da|0,ea|0)|0;s=J;X=o;f[X>>2]=$;f[X+4>>2]=s;if((E|0)<=0)break;else{O=O+4|0;N=N+1|0;E=E+-1|0}}u=g;return}else{if(!aa){u=g;return}aa=ozc(fa|0,ga|0,16)|0;ga=Bzc(aa|0,J|0,r|0,0)|0;aa=x+ga|0;ga=0;x=W;W=ba;ba=ca;while(1){ca=ozc(W|0,ba|0,16)|0;fa=yzc(ca|0,J|0,2)|0;ca=hzc(fa|0,J|0,-4,0)|0;fa=aa+ca|0;ca=f[i+(((((ga|0)>1?2:1)&(ga|2))*3|0)+(((x|0)>1?2:1)&(x|2))<<2)>>2]|0;E=pzc(W|0,ba|0,11)|0;N=E&31;E=(Y(f[59636+((N|32)<<2)>>2]|0,ca)|0)>>>8&255;O=h[fa>>0]|0;s=(((Y(k-O|0,E)|0)+127|0)>>>8)+O|0;O=fa+1|0;$=h[O>>0]|0;o=(((Y(l-$|0,E)|0)+127|0)>>>8)+$|0;$=fa+2|0;ea=h[$>>0]|0;da=(((Y(m-ea|0,E)|0)+127|0)>>>8)+ea|0;ea=fa+3|0;X=h[ea>>0]|0;Z=(((Y(n-X|0,E)|0)+127|0)>>>8)+X|0;X=(((Y(l-(o&255)|0,E)|0)+127|0)>>>8)+o|0;o=(((Y(m-(da&255)|0,E)|0)+127|0)>>>8)+da|0;da=(((Y(n-(Z&255)|0,E)|0)+127|0)>>>8)+Z|0;Z=(((Y(k-(s&255)|0,E)|0)+127|0)>>>8)+s&255;b[fa>>0]=Z;b[O>>0]=X;b[$>>0]=o;b[ea>>0]=da;da=fa+4|0;fa=(Y(f[59636+(N<<2)>>2]|0,ca)|0)>>>8&255;ea=h[da>>0]|0;o=(((Y(k-ea|0,fa)|0)+127|0)>>>8)+ea|0;ea=da+1|0;$=h[ea>>0]|0;X=(((Y(l-$|0,fa)|0)+127|0)>>>8)+$|0;$=da+2|0;O=h[$>>0]|0;Z=(((Y(m-O|0,fa)|0)+127|0)>>>8)+O|0;O=da+3|0;s=h[O>>0]|0;E=(((Y(n-s|0,fa)|0)+127|0)>>>8)+s|0;s=(((Y(l-(X&255)|0,fa)|0)+127|0)>>>8)+X|0;X=(((Y(m-(Z&255)|0,fa)|0)+127|0)>>>8)+Z|0;Z=(((Y(n-(E&255)|0,fa)|0)+127|0)>>>8)+E|0;E=(((Y(k-(o&255)|0,fa)|0)+127|0)>>>8)+o&255;b[da>>0]=E;b[ea>>0]=s;b[$>>0]=X;b[O>>0]=Z;Z=da+4|0;da=(Y(f[59636+((N^63)<<2)>>2]|0,ca)|0)>>>8&255;ca=h[Z>>0]|0;N=(((Y(k-ca|0,da)|0)+127|0)>>>8)+ca|0;ca=Z+1|0;O=h[ca>>0]|0;X=(((Y(l-O|0,da)|0)+127|0)>>>8)+O|0;O=Z+2|0;$=h[O>>0]|0;s=(((Y(m-$|0,da)|0)+127|0)>>>8)+$|0;$=Z+3|0;ea=h[$>>0]|0;E=(((Y(n-ea|0,da)|0)+127|0)>>>8)+ea|0;ea=(((Y(l-(X&255)|0,da)|0)+127|0)>>>8)+X|0;X=(((Y(m-(s&255)|0,da)|0)+127|0)>>>8)+s|0;s=(((Y(n-(E&255)|0,da)|0)+127|0)>>>8)+E|0;E=(((Y(k-(N&255)|0,da)|0)+127|0)>>>8)+N&255;b[Z>>0]=E;b[ca>>0]=ea;b[O>>0]=X;b[$>>0]=s;s=c;W=hzc(f[s>>2]|0,f[s+4>>2]|0,ha|0,ia|0)|0;ba=J;s=c;f[s>>2]=W;f[s+4>>2]=ba;if((x|0)<=0)break;else{aa=aa+r|0;ga=ga+1|0;x=x+-1|0}}u=g;return}}}}break}default:{}}x=c;ga=pzc(f[x>>2]|0,f[x+4>>2]|0,16)|0;x=c+8|0;c=pzc(f[x>>2]|0,f[x+4>>2]|0,16)|0;x=d;r=pzc(f[x>>2]|0,f[x+4>>2]|0,16)|0;x=d+8|0;d=pzc(f[x>>2]|0,f[x+4>>2]|0,16)|0;kma(a,ga,c,r,d,e,8);u=g;return}function nma(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0;i=u;u=u+128|0;j=i+64|0;k=i+48|0;l=i+32|0;m=i+16|0;n=i;o=1<<h>>1;p=f[a+16>>2]|0;q=f[a+40>>2]|0;r=f[q+4>>2]|0;s=f[q>>2]|0;q=f[a+4>>2]|0;if((q|0)>0)t=f[(f[a+44>>2]|0)+(q+-1<<2)>>2]|0;else t=0;q=(g|0)<16;v=q?32768:65535;w=q?0:0;x=q?32768:0;y=q?0:0;z=d+-1|0;A=c+(z<<4)|0;B=c+(z<<4)+8|0;C=f[B>>2]|0;D=f[B+4>>2]|0;B=16-h|0;E=yzc(f[A>>2]|0,f[A+4>>2]|0,B|0)|0;A=J;F=yzc(C|0,D|0,B|0)|0;D=J;C=c;G=f[C>>2]|0;H=f[C+4>>2]|0;C=c+8|0;I=f[C>>2]|0;K=f[C+4>>2]|0;a:do if((d|0)>0){C=(h|0)==0;L=k+8|0;M=l+8|0;N=m+8|0;O=n+8|0;if((g|0)<9){P=0;Q=0;R=H;S=G;T=E;U=A;V=F;W=D;X=K;Z=K;_=I;$=I;aa=K;ba=I;ca=H;da=H;ea=G;fa=G}else{ga=0;ha=0;ia=K;ja=K;ka=I;la=I;ma=K;na=I;oa=H;pa=H;qa=G;ra=G;sa=H;ta=G;ua=E;va=A;wa=F;xa=D;while(1){ya=(ia|0)<(ja|0)|(ia|0)==(ja|0)&ka>>>0<la>>>0;za=ya?ga:ha;Aa=ya?ka:la;Ba=ya?ia:ja;ya=(ma|0)<(ia|0)|(ma|0)==(ia|0)&na>>>0<ka>>>0;Ca=ya?ka:na;Da=ya?ia:ma;ya=(oa|0)<(pa|0)|(oa|0)==(pa|0)&qa>>>0<ra>>>0;Ea=ya?ra:qa;Fa=ya?pa:oa;ya=(sa|0)>(pa|0)|(sa|0)==(pa|0)&ta>>>0>ra>>>0;Ga=ya?ra:ta;Ha=ya?pa:sa;ya=yzc(ra|0,pa|0,B|0)|0;Ia=J;Ja=yzc(ka|0,ia|0,B|0)|0;Ka=J;La=m;f[La>>2]=ua;f[La+4>>2]=va;La=N;f[La>>2]=wa;f[La+4>>2]=xa;La=n;f[La>>2]=ya;f[La+4>>2]=Ia;La=O;f[La>>2]=Ja;f[La+4>>2]=Ka;mma(a,m,n,e);La=ga+1|0;if((La|0)==(d|0)){Ma=za;Na=Aa;Oa=Ba;Pa=Ca;Qa=Da;Ra=Ea;Sa=Fa;Ta=Ga;Ua=Ha;break a}Va=c+(La<<4)|0;Wa=c+(La<<4)+8|0;ga=La;ha=za;ia=f[Wa+4>>2]|0;ja=Ba;ka=f[Wa>>2]|0;la=Aa;ma=Da;na=Ca;oa=Fa;pa=f[Va+4>>2]|0;qa=Ea;ra=f[Va>>2]|0;sa=Ha;ta=Ga;ua=ya;va=Ia;wa=Ja;xa=Ka}}while(1){xa=(X|0)<(Z|0)|(X|0)==(Z|0)&_>>>0<$>>>0;wa=xa?P:Q;va=xa?_:$;ua=xa?X:Z;xa=(aa|0)<(X|0)|(aa|0)==(X|0)&ba>>>0<_>>>0;ta=xa?_:ba;sa=xa?X:aa;xa=(ca|0)<(da|0)|(ca|0)==(da|0)&ea>>>0<fa>>>0;ra=xa?fa:ea;qa=xa?da:ca;xa=(R|0)>(da|0)|(R|0)==(da|0)&S>>>0>fa>>>0;pa=xa?fa:S;oa=xa?da:R;xa=yzc(fa|0,da|0,B|0)|0;na=J;ma=yzc(_|0,X|0,B|0)|0;la=J;if(C){ka=pzc(T|0,U|0,16)|0;ja=pzc(V|0,W|0,16)|0;ia=pzc(xa|0,na|0,16)|0;ha=pzc(ma|0,la|0,16)|0;kma(a,ka,ja,ia,ha,e,g)}else{ha=k;f[ha>>2]=T;f[ha+4>>2]=U;ha=L;f[ha>>2]=V;f[ha+4>>2]=W;ha=l;f[ha>>2]=xa;f[ha+4>>2]=na;ha=M;f[ha>>2]=ma;f[ha+4>>2]=la;lma(a,k,l,e)}ha=P+1|0;if((ha|0)==(d|0)){Ma=wa;Na=va;Oa=ua;Pa=ta;Qa=sa;Ra=ra;Sa=qa;Ta=pa;Ua=oa;break a}ia=c+(ha<<4)|0;ja=c+(ha<<4)+8|0;P=ha;Q=wa;R=oa;S=pa;T=xa;U=na;V=ma;W=la;X=f[ja+4>>2]|0;Z=ua;_=f[ja>>2]|0;$=va;aa=sa;ba=ta;ca=qa;da=f[ia+4>>2]|0;ea=ra;fa=f[ia>>2]|0}}else{Ma=0;Na=I;Oa=K;Pa=I;Qa=K;Ra=G;Sa=H;Ta=G;Ua=H}while(0);H=((o|0)<0)<<31>>31;G=hzc(Na|0,Oa|0,o|0,H|0)|0;Oa=ozc(G|0,J|0,h|0)|0;G=hzc(Pa|0,Qa|0,o|0,H|0)|0;Qa=ozc(G|0,J|0,h|0)|0;G=J;if((d|0)<3){u=i;return}Pa=hzc(Ra|0,Sa|0,o|0,H|0)|0;Sa=ozc(Pa|0,J|0,h|0)|0;Pa=J;Pa=hzc(Ta|0,Ua|0,o|0,H|0)|0;Ua=ozc(Pa|0,J|0,h|0)|0;if(!((Sa|Qa|0)>-1&(Ua|0)<(r|0))){u=i;return}if((Oa|0)>=(s|0)){u=i;return}Ua=s+-1|0;s=((Ua|0)<0)<<31>>31;Sa=(G|0)>(s|0)|(G|0)==(s|0)&Qa>>>0>Ua>>>0;s=Sa?Ua:Qa;Qa=j+32|0;f[Qa>>2]=Ma;f[j>>2]=Ma;Ma=j+56|0;f[Ma>>2]=Oa;Ua=j+24|0;f[Ua>>2]=Oa;Sa=j+4|0;f[Sa>>2]=1;G=j+36|0;f[G>>2]=z;z=j+40|0;Pa=z;f[Pa>>2]=-65536;f[Pa+4>>2]=-1;Pa=j+8|0;Ta=Pa;f[Ta>>2]=-65536;f[Ta+4>>2]=-1;Ta=j+48|0;Ra=Ta;f[Ra>>2]=0;f[Ra+4>>2]=0;Ra=j+16|0;Na=Ra;f[Na>>2]=0;f[Na+4>>2]=0;Na=a+48|0;a=p+(Y(f[Na>>2]|0,Oa)|0)|0;p=r+-1|0;K=(t|0)==1;I=(h|0)==16?0:B;B=Oa;fa=a;a=d;ea=-65536;da=-1;ca=-65536;ba=-1;while(1){if(!q?!((B|0)<(s|0)|(B|0)==(Oa|0)):0){Xa=a;Ya=ba;Za=da;_a=ca;$a=ea}else ab=18;b:do if((ab|0)==18){ab=0;c:do if((B|0)<(f[Ua>>2]|0)){bb=a;cb=ca;db=ba}else{aa=f[Sa>>2]|0;$=f[j>>2]|0;_=a;while(1){Z=$+aa|0;eb=Z-((Z|0)<(d|0)?0:d)|0;Z=_;_=_+-1|0;if((Z|0)<=0){bb=_;cb=ca;db=ba;break c}Z=c+(eb<<4)+8|0;X=hzc(f[Z>>2]|0,f[Z+4>>2]|0,o|0,H|0)|0;fb=ozc(X|0,J|0,h|0)|0;if((fb|0)>(B|0))break;else $=eb}aa=c+($<<4)|0;X=c+(eb<<4)|0;Z=f[X>>2]|0;W=f[X+4>>2]|0;X=yzc(f[aa>>2]|0,f[aa+4>>2]|0,I|0)|0;aa=J;V=yzc(Z|0,W|0,I|0)|0;f[Ua>>2]=fb;W=gzc(V|0,J|0,X|0,aa|0)|0;V=yzc(W|0,J|0,1)|0;W=fb-B|0;Z=hzc(V|0,J|0,W|0,((W|0)<0)<<31>>31|0)|0;V=W<<1;W=zzc(Z|0,J|0,V|0,((V|0)<0)<<31>>31|0)|0;V=Ra;f[V>>2]=W;f[V+4>>2]=J;V=Pa;f[V>>2]=X;f[V+4>>2]=aa;f[j>>2]=eb;bb=_;cb=X;db=aa}while(0);if((B|0)<(f[Ma>>2]|0)){Xa=bb;Ya=db;Za=da;_a=cb;$a=ea}else{aa=f[G>>2]|0;X=f[Qa>>2]|0;V=bb;while(1){W=X+aa|0;gb=W-((W|0)<(d|0)?0:d)|0;W=V;V=V+-1|0;if((W|0)<=0){Xa=V;Ya=db;Za=da;_a=cb;$a=ea;break b}W=c+(gb<<4)+8|0;Z=hzc(f[W>>2]|0,f[W+4>>2]|0,o|0,H|0)|0;hb=ozc(Z|0,J|0,h|0)|0;if((hb|0)>(B|0))break;else X=gb}aa=c+(X<<4)|0;Z=c+(gb<<4)|0;W=f[Z>>2]|0;U=f[Z+4>>2]|0;Z=yzc(f[aa>>2]|0,f[aa+4>>2]|0,I|0)|0;aa=J;T=yzc(W|0,U|0,I|0)|0;f[Ma>>2]=hb;U=gzc(T|0,J|0,Z|0,aa|0)|0;T=yzc(U|0,J|0,1)|0;U=hb-B|0;W=hzc(T|0,J|0,U|0,((U|0)<0)<<31>>31|0)|0;T=U<<1;U=zzc(W|0,J|0,T|0,((T|0)<0)<<31>>31|0)|0;T=Ta;f[T>>2]=U;f[T+4>>2]=J;T=z;f[T>>2]=Z;f[T+4>>2]=aa;f[Qa>>2]=gb;Xa=V;Ya=db;Za=aa;_a=cb;$a=Z}}while(0);if((Xa|0)<0){ab=35;break}do if((B|0)>-1?(Z=(Ya|0)>(Za|0)|(Ya|0)==(Za|0)&_a>>>0>$a>>>0,aa=j+((Z&1)<<5)+8|0,T=hzc(f[aa>>2]|0,f[aa+4>>2]|0,v|0,w|0)|0,aa=pzc(T|0,J|0,16)|0,T=j+(((Z^1)&1)<<5)+8|0,Z=hzc(f[T>>2]|0,f[T+4>>2]|0,x|0,y|0)|0,T=pzc(Z|0,J|0,16)|0,(aa|0)<(r|0)&(T|0)>-1):0){Z=Y((aa|0)>0?aa:0,t)|0;aa=fa+Z|0;U=Y(((T|0)<(r|0)?T:p)+1|0,t)|0;T=fa+U|0;if(K){kzc(aa|0,b[e>>0]|0,T-aa|0)|0;break}if((Z|0)<(U|0)){szc(aa|0,e|0,t|0)|0;ib=aa+t|0}else ib=aa;if(ib>>>0<T>>>0){U=T;Z=t;W=ib;while(1){szc(W|0,aa|0,Z|0)|0;W=W+Z|0;S=Z<<1;R=U-W|0;if(W>>>0>=T>>>0)break;else Z=R>>>0<S>>>0?R:S}}}while(0);Z=Ra;T=Pa;ca=hzc(f[T>>2]|0,f[T+4>>2]|0,f[Z>>2]|0,f[Z+4>>2]|0)|0;ba=J;Z=Pa;f[Z>>2]=ca;f[Z+4>>2]=ba;Z=Ta;T=z;ea=hzc(f[T>>2]|0,f[T+4>>2]|0,f[Z>>2]|0,f[Z+4>>2]|0)|0;da=J;Z=z;f[Z>>2]=ea;f[Z+4>>2]=da;if((B|0)>=(s|0)){ab=35;break}else{B=B+1|0;fa=fa+(f[Na>>2]|0)|0;a=Xa}}if((ab|0)==35){u=i;return}}function oma(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0;h=f[a+40>>2]|0;i=f[h+4>>2]|0;j=f[h>>2]|0;h=f[a+48>>2]|0;k=f[a+4>>2]|0;if((k|0)>0)l=f[(f[a+44>>2]|0)+(k+-1<<2)>>2]|0;else l=0;k=f[a+16>>2]|0;a=f[c>>2]|0;if((a|0)>=(d|0)&(a|0)<(i-d|0)){m=f[c+4>>2]|0;n=(m|0)<(j-d|0)&(m|0)>=(d|0)}else n=0;if((d|0)<0)return;m=c+4|0;o=(g|0)!=0;g=(l|0)==1;p=i+-1|0;q=d;r=0;s=1;t=(d<<1)+-1|0;d=0;u=a;while(1){a=f[m>>2]|0;v=a-r|0;w=a+r|0;x=a-q|0;y=a+q|0;a=u-q|0;z=u+q|0;A=u-r|0;B=u+r|0;do if(n){C=k+(Y(v,h)|0)|0;D=k+(Y(w,h)|0)|0;E=Y(a,l)|0;F=C+E|0;if(!o){szc(F|0,e|0,l|0)|0;szc(D+E|0,e|0,l|0)|0;G=Y(z,l)|0;szc(C+G|0,e|0,l|0)|0;szc(D+G|0,e|0,l|0)|0;G=k+(Y(x,h)|0)|0;H=k+(Y(y,h)|0)|0;I=Y(A,l)|0;szc(G+I|0,e|0,l|0)|0;szc(H+I|0,e|0,l|0)|0;I=Y(B,l)|0;szc(G+I|0,e|0,l|0)|0;szc(H+I|0,e|0,l|0)|0;break}I=Y(z+1|0,l)|0;H=C+I|0;if(!g){C=(I|0)>(E|0);if(C){szc(F|0,e|0,l|0)|0;J=F+l|0}else J=F;if(J>>>0<H>>>0){G=H;K=l;L=J;while(1){szc(L|0,F|0,K|0)|0;L=L+K|0;M=K<<1;N=G-L|0;if(L>>>0>=H>>>0)break;else K=N>>>0<M>>>0?N:M}}K=D+E|0;L=D+I|0;if(C){szc(K|0,e|0,l|0)|0;O=D+E+l|0}else O=K;if(O>>>0<L>>>0){G=L;M=l;N=O;while(1){szc(N|0,K|0,M|0)|0;N=N+M|0;P=M<<1;Q=G-N|0;if(N>>>0>=L>>>0)break;else M=Q>>>0<P>>>0?Q:P}}}else{kzc(F|0,b[e>>0]|0,H-F|0)|0;kzc(D+E|0,b[e>>0]|0,I-E|0)|0}M=k+(Y(x,h)|0)|0;L=k+(Y(y,h)|0)|0;N=Y(A,l)|0;G=M+N|0;K=Y(B+1|0,l)|0;C=M+K|0;if(g){kzc(G|0,b[e>>0]|0,C-G|0)|0;kzc(L+N|0,b[e>>0]|0,K-N|0)|0;break}M=(K|0)>(N|0);if(M){szc(G|0,e|0,l|0)|0;R=G+l|0}else R=G;if(R>>>0<C>>>0){P=C;Q=l;S=R;while(1){szc(S|0,G|0,Q|0)|0;S=S+Q|0;T=Q<<1;U=P-S|0;if(S>>>0>=C>>>0)break;else Q=U>>>0<T>>>0?U:T}}Q=L+N|0;C=L+K|0;if(M){szc(Q|0,e|0,l|0)|0;V=L+N+l|0}else V=Q;if(V>>>0<C>>>0){S=C;P=l;G=V;while(1){szc(G|0,Q|0,P|0)|0;G=G+P|0;E=P<<1;I=S-G|0;if(G>>>0>=C>>>0)break;else P=I>>>0<E>>>0?I:E}}}else if((a|0)<(i|0)&(z|0)>-1?(x|0)<(j|0)&(y|0)>-1:0){P=o?((a|0)>0?a:0):a;C=o&(z|0)>=(i|0)?p:z;do if(v>>>0<j>>>0){G=k+(Y(v,h)|0)|0;if(!o){if((P|0)>-1)szc(G+(Y(P,l)|0)|0,e|0,l|0)|0;if((C|0)>=(i|0))break;szc(G+(Y(C,l)|0)|0,e|0,l|0)|0;break}S=Y(P,l)|0;Q=G+S|0;N=Y(C+1|0,l)|0;L=G+N|0;if(g){kzc(Q|0,b[e>>0]|0,L-Q|0)|0;break}if((S|0)<(N|0)){szc(Q|0,e|0,l|0)|0;W=Q+l|0}else W=Q;if(W>>>0<L>>>0){N=L;S=l;G=W;while(1){szc(G|0,Q|0,S|0)|0;G=G+S|0;M=S<<1;K=N-G|0;if(G>>>0>=L>>>0)break;else S=K>>>0<M>>>0?K:M}}}while(0);do if(w>>>0<j>>>0){S=k+(Y(w,h)|0)|0;if(!o){if((P|0)>-1)szc(S+(Y(P,l)|0)|0,e|0,l|0)|0;if((C|0)>=(i|0))break;szc(S+(Y(C,l)|0)|0,e|0,l|0)|0;break}L=Y(P,l)|0;G=S+L|0;N=Y(C+1|0,l)|0;Q=S+N|0;if(g){kzc(G|0,b[e>>0]|0,Q-G|0)|0;break}if((L|0)<(N|0)){szc(G|0,e|0,l|0)|0;X=G+l|0}else X=G;if(X>>>0<Q>>>0){N=Q;L=l;S=X;while(1){szc(S|0,G|0,L|0)|0;S=S+L|0;M=L<<1;K=N-S|0;if(S>>>0>=Q>>>0)break;else L=K>>>0<M>>>0?K:M}}}while(0);if((A|0)<(i|0)&(B|0)>-1){C=o?((A|0)>0?A:0):A;P=o&(B|0)>=(i|0)?p:B;do if(x>>>0<j>>>0){L=k+(Y(x,h)|0)|0;if(!o){if((C|0)>-1)szc(L+(Y(C,l)|0)|0,e|0,l|0)|0;if((P|0)>=(i|0))break;szc(L+(Y(P,l)|0)|0,e|0,l|0)|0;break}Q=Y(C,l)|0;S=L+Q|0;N=Y(P+1|0,l)|0;G=L+N|0;if(g){kzc(S|0,b[e>>0]|0,G-S|0)|0;break}if((Q|0)<(N|0)){szc(S|0,e|0,l|0)|0;Z=S+l|0}else Z=S;if(Z>>>0<G>>>0){N=G;Q=l;L=Z;while(1){szc(L|0,S|0,Q|0)|0;L=L+Q|0;M=Q<<1;K=N-L|0;if(L>>>0>=G>>>0)break;else Q=K>>>0<M>>>0?K:M}}}while(0);if(y>>>0<j>>>0){Q=k+(Y(y,h)|0)|0;if(!o){if((C|0)>-1)szc(Q+(Y(C,l)|0)|0,e|0,l|0)|0;if((P|0)>=(i|0))break;szc(Q+(Y(P,l)|0)|0,e|0,l|0)|0;break}G=Y(C,l)|0;L=Q+G|0;N=Y(P+1|0,l)|0;S=Q+N|0;if(g){kzc(L|0,b[e>>0]|0,S-L|0)|0;break}if((G|0)<(N|0)){szc(L|0,e|0,l|0)|0;_=L+l|0}else _=L;if(_>>>0<S>>>0){N=S;G=l;Q=_;while(1){szc(Q|0,L|0,G|0)|0;Q=Q+G|0;M=G<<1;K=N-Q|0;if(Q>>>0>=S>>>0)break;else G=K>>>0<M>>>0?K:M}}}}}while(0);y=d+s|0;x=(y|0)>0;B=(x<<31>>31)+q|0;if((B|0)<=(r|0))break;A=y-(x?t:0)|0;q=B;r=r+1|0;s=s+2|0;t=t-(x?2:0)|0;d=A;u=f[c>>2]|0}return}function pma(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0.0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0;k=u;u=u+80|0;l=k+68|0;m=k+32|0;n=k;o=k+56|0;q=k+16|0;r=k+48|0;s=c;t=f[s>>2]|0;v=f[s+4>>2]|0;s=(v|0)>-1|(v|0)==-1&t>>>0>4294967295;w=gzc(0,0,t|0,v|0)|0;x=s?t:w;w=s?v:J;v=c;f[v>>2]=x;f[v+4>>2]=w;v=c+8|0;c=v;s=f[c>>2]|0;t=f[c+4>>2]|0;c=(t|0)>-1|(t|0)==-1&s>>>0>4294967295;y=gzc(0,0,s|0,t|0)|0;z=c?s:y;y=c?t:J;t=v;f[t>>2]=z;f[t+4>>2]=y;t=(w|0)<(y|0)|(w|0)==(y|0)&x>>>0<z>>>0;v=hzc((t?z:x)|0,(t?y:w)|0,32768,0)|0;t=pzc(v|0,J|0,16)|0;if((t|0)<3)A=90;else A=(t|0)<10?30:(t|0)<15?18:5;f[l>>2]=0;t=l+4|0;f[t>>2]=0;f[l+8>>2]=0;v=b;c=b+8|0;s=c;B=+((f[s>>2]|0)>>>0)+4294967296.0*+(f[s+4>>2]|0);p[m>>3]=+((f[v>>2]|0)>>>0)+4294967296.0*+(f[v+4>>2]|0);p[m+8>>3]=B;p[n>>3]=+(x>>>0)+4294967296.0*+(w|0);p[n+8>>3]=+(z>>>0)+4294967296.0*+(y|0);ema(m,n,d,e,g,A,l);f[o>>2]=0;A=o+4|0;f[A>>2]=0;f[o+8>>2]=0;d=f[t>>2]|0;n=f[l>>2]|0;if((d|0)==(n|0)){C=0;D=0}else{m=q+8|0;y=o+8|0;z=0;w=n;n=-1;x=-1;v=-1;s=-1;E=d;while(1){d=w;F=Fhc(+p[d+(z<<4)>>3]*.0000152587890625)|0;G=yzc(F|0,((F|0)<0)<<31>>31|0,16)|0;F=J;H=Fhc(+p[d+(z<<4)+8>>3]*.0000152587890625)|0;I=yzc(H|0,((H|0)<0)<<31>>31|0,16)|0;H=J;K=Fhc(+p[d+(z<<4)>>3]-(+(G>>>0)+4294967296.0*+(F|0)))|0;L=hzc(K|0,((K|0)<0)<<31>>31|0,G|0,F|0)|0;F=J;G=q;f[G>>2]=L;f[G+4>>2]=F;G=Fhc(+p[d+(z<<4)+8>>3]-(+(I>>>0)+4294967296.0*+(H|0)))|0;d=hzc(G|0,((G|0)<0)<<31>>31|0,I|0,H|0)|0;H=J;I=m;f[I>>2]=d;f[I+4>>2]=H;if((L|0)!=(v|0)|(F|0)!=(s|0)|((d|0)!=(n|0)|(H|0)!=(x|0))){I=f[A>>2]|0;if((I|0)==(f[y>>2]|0)){qma(o,q);M=f[t>>2]|0;N=f[l>>2]|0}else{G=I;f[G>>2]=L;f[G+4>>2]=F;F=I+8|0;f[F>>2]=d;f[F+4>>2]=H;f[A>>2]=I+16;M=E;N=w}I=q;H=m;O=N;P=M;Q=f[H>>2]|0;R=f[H+4>>2]|0;S=f[I>>2]|0;T=f[I+4>>2]|0}else{O=w;P=E;Q=n;R=x;S=v;T=s}z=z+1|0;if(z>>>0>=P-O>>4>>>0)break;else{w=O;n=Q;x=R;v=S;s=T;E=P}}C=f[A>>2]|0;D=f[o>>2]|0}if((C-D|0)==16)rma(o,2,b);do if((i|0)<=-1){if((g-e|0)>359){D=f[o>>2]|0;nma(a,D,(f[A>>2]|0)-D>>4,h,j,16);break}D=f[A>>2]|0;if((D|0)==(f[o+8>>2]|0)){qma(o,b);U=f[A>>2]|0}else{C=b;P=f[C+4>>2]|0;E=D;f[E>>2]=f[C>>2];f[E+4>>2]=P;P=c;E=f[P+4>>2]|0;C=D+8|0;f[C>>2]=f[P>>2];f[C+4>>2]=E;E=D+16|0;f[A>>2]=E;U=E}f[q>>2]=0;E=q+4|0;f[E>>2]=0;f[q+8>>2]=0;D=f[o>>2]|0;f[r>>2]=0;f[r+4>>2]=0;tma(a,D,U-D>>4,q,h,j,16,r);uma(a,q,h);D=f[q>>2]|0;if(D|0){C=f[E>>2]|0;if((C|0)!=(D|0))f[E>>2]=C+(~((C+-32-D|0)>>>5)<<5);fuc(D)}}else{D=f[o>>2]|0;sma(a,D,(f[A>>2]|0)-D>>4,0,h,i,j,16)}while(0);j=f[o>>2]|0;if(j|0){o=f[A>>2]|0;if((o|0)!=(j|0))f[A>>2]=o+(~((o+-16-j|0)>>>4)<<4);fuc(j)}j=f[l>>2]|0;if(!j){u=k;return}l=f[t>>2]|0;if((l|0)!=(j|0))f[t>>2]=l+(~((l+-16-j|0)>>>4)<<4);fuc(j);u=k;return}function qma(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;c=a+4|0;d=f[c>>2]|0;e=f[a>>2]|0;g=d-e>>4;h=g+1|0;i=e;j=d;if(h>>>0>268435455)nsc(a);d=a+8|0;k=(f[d>>2]|0)-e|0;l=k>>3;m=k>>4>>>0<134217727?(l>>>0<h>>>0?h:l):268435455;do if(m)if(m>>>0>268435455){l=ze(8)|0;kuc(l,519086);f[l>>2]=167148;Hf(l|0,26888,1888)}else{n=cuc(m<<4)|0;break}else n=0;while(0);l=n+(g<<4)|0;h=n+(m<<4)|0;m=b;k=f[m+4>>2]|0;o=l;f[o>>2]=f[m>>2];f[o+4>>2]=k;k=b+8|0;b=f[k+4>>2]|0;o=n+(g<<4)+8|0;f[o>>2]=f[k>>2];f[o+4>>2]=b;b=l+16|0;if((j|0)==(i|0))p=l;else{o=j+-16-e|0;k=j;j=l;while(1){g=k;k=k+-16|0;n=k;m=f[n+4>>2]|0;q=j+-16|0;f[q>>2]=f[n>>2];f[q+4>>2]=m;m=g+-8|0;g=f[m+4>>2]|0;q=j+-8|0;f[q>>2]=f[m>>2];f[q+4>>2]=g;if((k|0)==(i|0))break;else j=j+-16|0}p=l+(~(o>>>4)<<4)|0}f[a>>2]=p;f[c>>2]=b;f[d>>2]=h;if(!e)return;fuc(e);return}function rma(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;d=a+8|0;e=f[d>>2]|0;g=f[a>>2]|0;h=g;do if(e-g>>4>>>0>=b>>>0){i=a+4|0;j=f[i>>2]|0;k=j-g>>4;l=k>>>0<b>>>0;m=l?k:b;n=j;if(m|0){j=c+8|0;o=m;m=h;while(1){p=c;q=f[p+4>>2]|0;r=m;f[r>>2]=f[p>>2];f[r+4>>2]=q;q=j;r=f[q+4>>2]|0;p=m+8|0;f[p>>2]=f[q>>2];f[p+4>>2]=r;o=o+-1|0;if(!o)break;else m=m+16|0}}if(!l){m=h+(b<<4)|0;if((n|0)==(m|0))return;else{s=i;t=n+(~((n+-16-m|0)>>>4)<<4)|0;break}}else{m=b-k|0;o=c+8|0;j=m;r=n;while(1){p=c;q=f[p+4>>2]|0;u=r;f[u>>2]=f[p>>2];f[u+4>>2]=q;q=o;u=f[q+4>>2]|0;p=r+8|0;f[p>>2]=f[q>>2];f[p+4>>2]=u;j=j+-1|0;if(!j)break;else r=r+16|0}s=i;t=n+(m<<4)|0;break}}else{r=g;if(!g)v=e;else{j=a+4|0;o=f[j>>2]|0;if((o|0)!=(h|0))f[j>>2]=o+(~((o+-16-g|0)>>>4)<<4);fuc(r);f[d>>2]=0;f[j>>2]=0;f[a>>2]=0;v=0}if(b>>>0>268435455)nsc(a);j=v>>3;r=v>>4>>>0<134217727?(j>>>0<b>>>0?b:j):268435455;if(r>>>0>268435455)nsc(a);j=cuc(r<<4)|0;o=a+4|0;f[o>>2]=j;f[a>>2]=j;f[d>>2]=j+(r<<4);r=c+8|0;k=b;l=j;while(1){u=c;p=f[u+4>>2]|0;q=l;f[q>>2]=f[u>>2];f[q+4>>2]=p;p=r;q=f[p+4>>2]|0;u=l+8|0;f[u>>2]=f[p>>2];f[u+4>>2]=q;k=k+-1|0;if(!k)break;else l=l+16|0}s=o;t=j+(b<<4)|0}while(0);f[s>>2]=t;return}function sma(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;k=u;u=u+48|0;l=k+32|0;m=k+16|0;n=k;if((c|0)==0|(d|0)<1){u=k;return}if(!((h|0)>-1&j>>>0<17)){o=cuc(64)|0;f[l>>2]=o;f[l+8>>2]=-2147483584;f[l+4>>2]=49;p=o;q=268808;r=p+49|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(r|0));b[o+49>>0]=0;WD(-215,l,268858,268559,1720)}l=(e^1)&1;o=e?d+-1|0:0;if((l|0)>=(d|0)){u=k;return}q=c+(o<<4)+8|0;p=c+(o<<4)|0;o=m+8|0;r=n+8|0;s=e?2:3;e=l;l=f[p>>2]|0;t=f[p+4>>2]|0;p=f[q>>2]|0;v=f[q+4>>2]|0;while(1){q=c+(e<<4)|0;w=l;l=f[q>>2]|0;x=t;t=f[q+4>>2]|0;q=c+(e<<4)+8|0;y=p;p=f[q>>2]|0;z=v;v=f[q+4>>2]|0;q=m;f[q>>2]=w;f[q+4>>2]=x;x=o;f[x>>2]=y;f[x+4>>2]=z;z=n;f[z>>2]=l;f[z+4>>2]=t;z=r;f[z>>2]=p;f[z+4>>2]=v;jma(a,m,n,g,h,i,s,j);e=e+1|0;if((e|0)==(d|0))break;else s=2}u=k;return}function tma(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0;j=u;u=u+96|0;k=j+80|0;l=j+64|0;m=j+32|0;n=j+16|0;o=j;p=(f[i+4>>2]|0)+(1<<h>>1)|0;q=c+-1|0;r=b+(q<<4)|0;s=f[r>>2]|0;t=f[r+4>>2]|0;r=k+8|0;v=b+(q<<4)+8|0;q=f[v>>2]|0;w=f[v+4>>2]|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;v=f[i>>2]|0;x=hzc(v|0,((v|0)<0)<<31>>31|0,s|0,t|0)|0;t=16-h|0;s=yzc(x|0,J|0,t|0)|0;x=J;v=k;f[v>>2]=s;f[v+4>>2]=x;v=((p|0)<0)<<31>>31;y=hzc(q|0,w|0,p|0,v|0)|0;w=ozc(y|0,J|0,h|0)|0;y=J;q=r;f[q>>2]=w;f[q+4>>2]=y;q=d+4|0;Bma(d,((f[q>>2]|0)-(f[d>>2]|0)>>5)+c|0);if((c|0)<=0){u=j;return}z=l+8|0;A=(g|0)<16;B=m+4|0;C=m+8|0;D=m+16|0;E=d+8|0;F=n+8|0;G=o+8|0;H=0;I=s;s=x;x=w;w=y;do{f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;f[m+16>>2]=0;f[m+20>>2]=0;f[m+24>>2]=0;y=b+(H<<4)|0;K=b+(H<<4)+8|0;L=f[K>>2]|0;M=f[K+4>>2]|0;K=f[i>>2]|0;N=hzc(K|0,((K|0)<0)<<31>>31|0,f[y>>2]|0,f[y+4>>2]|0)|0;y=I;I=yzc(N|0,J|0,t|0)|0;N=s;s=J;K=l;f[K>>2]=I;f[K+4>>2]=s;K=hzc(L|0,M|0,p|0,v|0)|0;M=x;x=ozc(K|0,J|0,h|0)|0;K=w;w=J;L=z;f[L>>2]=x;f[L+4>>2]=w;if(A){L=hzc(y|0,N|0,32768,0)|0;O=ozc(L|0,J|0,16)|0;L=J;P=hzc(I|0,s|0,32768,0)|0;Q=ozc(P|0,J|0,16)|0;P=J;R=hzc(O|0,L|0,-2147483648,0)|0;S=J;T=hzc(M|0,K|0,-2147483648,0)|0;U=J;V=hzc(Q|0,P|0,-2147483648,0)|0;W=J;X=hzc(x|0,w|0,-2147483648,0)|0;Y=J;kma(a,S>>>0<1|(S|0)==1&R>>>0<0?O:(L|0)>0|(L|0)==0&O>>>0>0?2147483647:-2147483648,U>>>0<1|(U|0)==1&T>>>0<0?M:(K|0)>0|(K|0)==0&M>>>0>0?2147483647:-2147483648,W>>>0<1|(W|0)==1&V>>>0<0?Q:(P|0)>0|(P|0)==0&Q>>>0>0?2147483647:-2147483648,Y>>>0<1|(Y|0)==1&X>>>0<0?x:(w|0)>0|(w|0)==0&x>>>0>0?2147483647:-2147483648,e,g)}else{X=yzc(M|0,K|0,16)|0;Y=J;Q=yzc(x|0,w|0,16)|0;P=n;f[P>>2]=y;f[P+4>>2]=N;P=F;f[P>>2]=X;f[P+4>>2]=Y;Y=o;f[Y>>2]=I;f[Y+4>>2]=s;Y=G;f[Y>>2]=Q;f[Y+4>>2]=J;mma(a,n,o,e)}do if(!((x|0)==(M|0)&(w|0)==(K|0))){Y=(w|0)>(K|0)|(w|0)==(K|0)&x>>>0>M>>>0;Q=Y?k:l;f[m>>2]=f[Q+8>>2];f[B>>2]=f[(Y?l:k)+8>>2];Y=Q;Q=f[Y+4>>2]|0;P=C;f[P>>2]=f[Y>>2];f[P+4>>2]=Q;Q=gzc(I|0,s|0,y|0,N|0)|0;P=J;Y=gzc(x|0,w|0,M|0,K|0)|0;X=zzc(Q|0,P|0,Y|0,J|0)|0;Y=D;f[Y>>2]=X;f[Y+4>>2]=J;Y=f[q>>2]|0;if((Y|0)==(f[E>>2]|0)){wma(d,m);break}else{f[Y>>2]=f[m>>2];f[Y+4>>2]=f[m+4>>2];f[Y+8>>2]=f[m+8>>2];f[Y+12>>2]=f[m+12>>2];f[Y+16>>2]=f[m+16>>2];f[Y+20>>2]=f[m+20>>2];f[Y+24>>2]=f[m+24>>2];f[Y+28>>2]=f[m+28>>2];f[q>>2]=(f[q>>2]|0)+32;break}}while(0);H=H+1|0;K=k;f[K>>2]=I;f[K+4>>2]=s;K=r;f[K>>2]=x;f[K+4>>2]=w}while((H|0)!=(c|0));u=j;return}function uma(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0;e=u;u=u+48|0;g=e+32|0;h=e;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;f[h+16>>2]=0;f[h+20>>2]=0;f[h+24>>2]=0;i=c+4|0;j=f[i>>2]|0;k=f[c>>2]|0;l=j-k|0;m=l>>5;n=f[a+40>>2]|0;o=f[n+4>>2]|0;p=f[n>>2]|0;n=f[a+4>>2]|0;q=k;k=j;if((n|0)>0)r=f[(f[a+44>>2]|0)+(n+-1<<2)>>2]|0;else r=0;if((l|0)<64){u=e;return}else{s=-2147483648;t=2147483647;v=0;w=2147483647;x=-1;y=-1;z=-1}while(1){l=q+(v<<5)+8|0;n=f[l>>2]|0;j=f[l+4>>2]|0;l=f[q+(v<<5)+4>>2]|0;A=f[q+(v<<5)>>2]|0;B=l-A|0;C=q+(v<<5)+16|0;D=Bzc(B|0,((B|0)<0)<<31>>31|0,f[C>>2]|0,f[C+4>>2]|0)|0;C=hzc(D|0,J|0,n|0,j|0)|0;D=J;t=(A|0)<(t|0)?A:t;s=(s|0)<(l|0)?l:s;l=(j|0)<(w|0)|(j|0)==(w|0)&n>>>0<x>>>0;A=l?n:x;B=l?j:w;l=(y|0)<(j|0)|(y|0)==(j|0)&z>>>0<n>>>0;E=l?n:z;n=l?j:y;j=(D|0)<(B|0)|(D|0)==(B|0)&C>>>0<A>>>0;x=j?C:A;w=j?D:B;B=(n|0)<(D|0)|(n|0)==(D|0)&E>>>0<C>>>0;y=B?D:n;v=v+1|0;if((v|0)>=(m|0))break;else z=B?C:E}if((s|0)<0){u=e;return}if((y|0)<0|(t|0)>=(p|0)){u=e;return}t=yzc(o|0,((o|0)<0)<<31>>31|0,16)|0;y=J;if(!((w|0)<(y|0)|(w|0)==(y|0)&x>>>0<t>>>0)){u=e;return}vma(q,k,g);f[h>>2]=2147483647;g=f[i>>2]|0;if((g|0)==(f[c+8>>2]|0))wma(c,h);else{f[g>>2]=f[h>>2];f[g+4>>2]=f[h+4>>2];f[g+8>>2]=f[h+8>>2];f[g+12>>2]=f[h+12>>2];f[g+16>>2]=f[h+16>>2];f[g+20>>2]=f[h+20>>2];f[g+24>>2]=f[h+24>>2];f[g+28>>2]=f[h+28>>2];f[i>>2]=(f[i>>2]|0)+32}i=h+24|0;f[i>>2]=0;g=f[c>>2]|0;k=(s|0)>(p|0)?p:s;s=f[g>>2]|0;if((s|0)>=(k|0)){u=e;return}p=a+16|0;q=a+44|0;a=o+-1|0;t=(r|0)==1;x=s;s=g;g=0;y=0;while(1){a:do if((x|0)<0){w=f[c>>2]|0;z=0;v=h;E=y;C=s;B=g;while(1){b:do if(!E)F=22;else{n=v+24|0;D=E;while(1){if((f[D+4>>2]|0)!=(x|0))break;j=D+24|0;f[n>>2]=f[j>>2];A=f[j>>2]|0;if(!A){F=22;break b}else D=A}if((f[C>>2]|0)<=(x|0)?(A=D+8|0,j=f[A+4>>2]|0,l=C+8|0,G=f[l+4>>2]|0,!((j|0)<(G|0)|((j|0)==(G|0)?(f[A>>2]|0)>>>0<(f[l>>2]|0)>>>0:0))):0)if((B|0)<(m|0)){H=D;I=n;F=24;break}else{K=C;L=B;break a}M=D;N=f[D+24>>2]|0;O=C;P=B}while(0);if((F|0)==22){F=0;if(!((B|0)<(m|0)?(f[C>>2]|0)==(x|0):0)){K=C;L=B;break a}H=0;I=v+24|0;F=24}if((F|0)==24){F=0;f[I>>2]=C;f[C+24>>2]=H;l=B+1|0;M=C;N=H;O=w+(l<<5)|0;P=l}if(z|0){l=v+16|0;A=v+8|0;G=A;j=hzc(f[G>>2]|0,f[G+4>>2]|0,f[l>>2]|0,f[l+4>>2]|0)|0;l=A;f[l>>2]=j;f[l+4>>2]=J;l=M+16|0;j=M+8|0;A=j;G=hzc(f[A>>2]|0,f[A+4>>2]|0,f[l>>2]|0,f[l+4>>2]|0)|0;l=j;f[l>>2]=G;f[l+4>>2]=J}z=z^1;v=M;E=N;C=O;B=P}}else{B=0;C=h;E=y;v=s;z=g;while(1){c:do if(!E)F=31;else{w=C+24|0;l=E;while(1){if((f[l+4>>2]|0)!=(x|0))break;G=l+24|0;f[w>>2]=f[G>>2];j=f[G>>2]|0;if(!j){F=31;break c}else l=j}if((f[v>>2]|0)<=(x|0)?(D=l+8|0,n=f[D+4>>2]|0,j=v+8|0,G=f[j+4>>2]|0,!((n|0)<(G|0)|((n|0)==(G|0)?(f[D>>2]|0)>>>0<(f[j>>2]|0)>>>0:0))):0)if((z|0)<(m|0)){Q=l;R=w;F=40;break}else{K=v;L=z;break a}S=l;T=f[l+24>>2]|0;U=v;V=z}while(0);if((F|0)==31){F=0;if(!((z|0)<(m|0)?(f[v>>2]|0)==(x|0):0)){K=v;L=z;break a}Q=0;R=C+24|0;F=40}if((F|0)==40){F=0;f[R>>2]=v;f[v+24>>2]=Q;j=z+1|0;S=v;T=Q;U=(f[c>>2]|0)+(j<<5)|0;V=j}if(B|0){j=(f[p>>2]|0)+(Y(f[f[q>>2]>>2]|0,x)|0)|0;D=C+8|0;G=D;n=f[G>>2]|0;A=f[G+4>>2]|0;G=S+8|0;W=G;X=f[W>>2]|0;Z=f[W+4>>2]|0;W=(A|0)>(Z|0)|(A|0)==(Z|0)&n>>>0>X>>>0;_=hzc((W?X:n)|0,(W?Z:A)|0,65535,0)|0;$=pzc(_|0,J|0,16)|0;_=pzc((W?n:X)|0,(W?A:Z)|0,16)|0;do if((_|0)>-1&($|0)<(o|0)){Z=Y(($|0)>0?$:0,r)|0;A=j+Z|0;W=Y(((_|0)<(o|0)?_:a)+1|0,r)|0;X=j+W|0;if(t){kzc(A|0,b[d>>0]|0,X-A|0)|0;break}if((Z|0)<(W|0)){szc(A|0,d|0,r|0)|0;aa=A+r|0}else aa=A;if(aa>>>0<X>>>0){W=X;Z=r;n=aa;while(1){szc(n|0,A|0,Z|0)|0;n=n+Z|0;ba=Z<<1;ca=W-n|0;if(n>>>0>=X>>>0)break;else Z=ca>>>0<ba>>>0?ca:ba}}}while(0);j=C+16|0;_=D;$=hzc(f[_>>2]|0,f[_+4>>2]|0,f[j>>2]|0,f[j+4>>2]|0)|0;j=D;f[j>>2]=$;f[j+4>>2]=J;j=S+16|0;$=G;_=hzc(f[$>>2]|0,f[$+4>>2]|0,f[j>>2]|0,f[j+4>>2]|0)|0;j=G;f[j>>2]=_;f[j+4>>2]=J}B=B^1;C=S;E=T;v=U;z=V}}while(0);z=0;v=0;E=f[i>>2]|0;while(1){d:do if((E|0)==(v|0)){da=z;ea=h}else{C=z;B=h;j=E;while(1){_=j+24|0;$=f[_>>2]|0;if(!$){da=C;ea=B;break d}Z=j+8|0;X=f[Z>>2]|0;n=f[Z+4>>2]|0;Z=C;W=B;A=$;while(1){$=A+8|0;l=f[$+4>>2]|0;if(!((n|0)>(l|0)|((n|0)==(l|0)?X>>>0>(f[$>>2]|0)>>>0:0)))break;f[W+24>>2]=A;$=A+24|0;f[_>>2]=f[$>>2];f[$>>2]=j;$=f[_>>2]|0;if(!$){da=1;ea=A;break d}else{l=A;Z=1;A=$;W=l}}if((A|0)==(v|0)){da=Z;ea=j;break}else{W=j;C=Z;j=A;B=W}}}while(0);if(!da)break;E=f[i>>2]|0;if(!((ea|0)!=(h|0)&(ea|0)!=(E|0)))break;else{z=da;v=ea}}v=x+1|0;if((v|0)>=(k|0))break;x=v;s=K;g=L;y=f[i>>2]|0}u=e;return}function vma(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0;d=u;u=u+32|0;e=d;g=a;a=b;a:while(1){b=a;h=a+-32|0;i=a+-64|0;j=a+-24|0;k=a+-16|0;l=g;while(1){m=l;b:while(1){n=m;o=b-n|0;p=o>>5;switch(p|0){case 2:{q=5;break a;break}case 3:{q=11;break a;break}case 4:{q=12;break a;break}case 5:{q=13;break a;break}case 1:case 0:{q=107;break a;break}default:{}}if((o|0)<992){q=15;break a}r=(p|0)/2|0;s=m+(r<<5)|0;if((o|0)>31968){o=(p|0)/4|0;t=zma(m,m+(o<<5)|0,s,s+(o<<5)|0,h,c)|0}else t=xma(m,s,h,c)|0;o=f[m>>2]|0;p=f[s>>2]|0;if((o|0)==(p|0)){v=m+8|0;w=f[v>>2]|0;x=f[v+4>>2]|0;v=m+(r<<5)+8|0;y=f[v>>2]|0;z=f[v+4>>2]|0;if((w|0)==(y|0)&(x|0)==(z|0)){v=m+16|0;A=m+(r<<5)+16|0;B=f[v+4>>2]|0;C=f[A+4>>2]|0;D=f[v>>2]|0;E=f[A>>2]|0}else{B=x;C=z;D=w;E=y}if((B|0)<(C|0)|(B|0)==(C|0)&D>>>0<E>>>0){F=h;G=t;break}}else if((o|0)<(p|0)){F=h;G=t;break}if((m|0)!=(i|0)){y=m+(r<<5)+8|0;w=m+(r<<5)+16|0;r=h;H=i;while(1){z=f[H>>2]|0;if((z|0)==(p|0)){x=r+-24|0;A=f[x>>2]|0;v=f[x+4>>2]|0;x=y;I=f[x>>2]|0;J=f[x+4>>2]|0;if((A|0)==(I|0)&(v|0)==(J|0)){x=r+-16|0;K=w;L=f[x+4>>2]|0;M=f[K+4>>2]|0;N=f[x>>2]|0;O=f[K>>2]|0}else{L=v;M=J;N=A;O=I}if((L|0)<(M|0)|(L|0)==(M|0)&N>>>0<O>>>0){q=77;break b}}else if((z|0)<(p|0)){q=77;break b}z=H+-32|0;if((m|0)==(z|0))break;else{I=H;H=z;r=I}}}r=m+32|0;p=f[h>>2]|0;if((o|0)==(p|0)){w=m+8|0;y=f[w>>2]|0;I=f[w+4>>2]|0;w=j;z=f[w>>2]|0;A=f[w+4>>2]|0;if((y|0)==(z|0)&(I|0)==(A|0)){w=m+16|0;J=k;P=f[w+4>>2]|0;Q=f[J+4>>2]|0;R=f[w>>2]|0;S=f[J>>2]|0}else{P=I;Q=A;R=y;S=z}if((P|0)<(Q|0)|(P|0)==(Q|0)&R>>>0<S>>>0)T=r;else q=46}else if((o|0)<(p|0))T=r;else q=46;if((q|0)==46){q=0;if((r|0)==(h|0)){q=107;break a}p=m+8|0;z=m+16|0;y=r;while(1){r=f[y>>2]|0;if((o|0)==(r|0)){A=p;I=f[A>>2]|0;J=f[A+4>>2]|0;A=y+8|0;w=f[A>>2]|0;v=f[A+4>>2]|0;if((I|0)==(w|0)&(J|0)==(v|0)){A=z;K=y+16|0;U=f[A+4>>2]|0;V=f[K+4>>2]|0;W=f[A>>2]|0;X=f[K>>2]|0}else{U=J;V=v;W=I;X=w}if((U|0)<(V|0)|(U|0)==(V|0)&W>>>0<X>>>0)break}else if((o|0)<(r|0))break;r=y+32|0;if((r|0)==(h|0)){q=107;break a}else y=r}f[e>>2]=f[y>>2];f[e+4>>2]=f[y+4>>2];f[e+8>>2]=f[y+8>>2];f[e+12>>2]=f[y+12>>2];f[e+16>>2]=f[y+16>>2];f[e+20>>2]=f[y+20>>2];f[e+24>>2]=f[y+24>>2];f[e+28>>2]=f[y+28>>2];f[y>>2]=f[h>>2];f[y+4>>2]=f[h+4>>2];f[y+8>>2]=f[h+8>>2];f[y+12>>2]=f[h+12>>2];f[y+16>>2]=f[h+16>>2];f[y+20>>2]=f[h+20>>2];f[y+24>>2]=f[h+24>>2];f[h>>2]=f[e>>2];f[h+4>>2]=f[e+4>>2];f[h+8>>2]=f[e+8>>2];f[h+12>>2]=f[e+12>>2];f[h+16>>2]=f[e+16>>2];f[h+20>>2]=f[e+20>>2];f[h+24>>2]=f[e+24>>2];T=y+32|0}if((T|0)==(h|0)){q=107;break a}o=m+8|0;z=m+16|0;p=h;r=T;while(1){w=f[m>>2]|0;I=r;while(1){v=f[I>>2]|0;if((w|0)==(v|0)){J=o;K=f[J>>2]|0;A=f[J+4>>2]|0;J=I+8|0;x=f[J>>2]|0;Y=f[J+4>>2]|0;if((K|0)==(x|0)&(A|0)==(Y|0)){J=z;Z=I+16|0;_=f[J+4>>2]|0;$=f[Z+4>>2]|0;aa=f[J>>2]|0;ba=f[Z>>2]|0}else{_=A;$=Y;aa=K;ba=x}if((_|0)<($|0)|(_|0)==($|0)&aa>>>0<ba>>>0){ca=p;break}}else if((w|0)<(v|0)){ca=p;break}I=I+32|0}while(1){v=ca;ca=ca+-32|0;x=f[ca>>2]|0;if((w|0)!=(x|0))if((w|0)<(x|0)){ca=ca;continue}else break;x=o;K=f[x>>2]|0;Y=f[x+4>>2]|0;x=v+-24|0;A=f[x>>2]|0;Z=f[x+4>>2]|0;if((K|0)==(A|0)&(Y|0)==(Z|0)){x=z;J=v+-16|0;da=f[x+4>>2]|0;ea=f[J+4>>2]|0;fa=f[x>>2]|0;ga=f[J>>2]|0}else{da=Y;ea=Z;fa=K;ga=A}if(!((da|0)<(ea|0)|(da|0)==(ea|0)&fa>>>0<ga>>>0))break}if(I>>>0>=ca>>>0){m=I;continue b};f[e>>2]=f[I>>2];f[e+4>>2]=f[I+4>>2];f[e+8>>2]=f[I+8>>2];f[e+12>>2]=f[I+12>>2];f[e+16>>2]=f[I+16>>2];f[e+20>>2]=f[I+20>>2];f[e+24>>2]=f[I+24>>2];f[e+28>>2]=f[I+28>>2];f[I>>2]=f[ca>>2];f[I+4>>2]=f[ca+4>>2];f[I+8>>2]=f[ca+8>>2];f[I+12>>2]=f[ca+12>>2];f[I+16>>2]=f[ca+16>>2];f[I+20>>2]=f[ca+20>>2];f[I+24>>2]=f[ca+24>>2];f[ca>>2]=f[e>>2];f[ca+4>>2]=f[e+4>>2];f[ca+8>>2]=f[e+8>>2];f[ca+12>>2]=f[e+12>>2];f[ca+16>>2]=f[e+16>>2];f[ca+20>>2]=f[e+20>>2];f[ca+24>>2]=f[e+24>>2];p=ca;r=I+32|0}}if((q|0)==77){q=0;f[e>>2]=f[m>>2];f[e+4>>2]=f[m+4>>2];f[e+8>>2]=f[m+8>>2];f[e+12>>2]=f[m+12>>2];f[e+16>>2]=f[m+16>>2];f[e+20>>2]=f[m+20>>2];f[e+24>>2]=f[m+24>>2];f[e+28>>2]=f[m+28>>2];f[m>>2]=f[H>>2];f[m+4>>2]=f[H+4>>2];f[m+8>>2]=f[H+8>>2];f[m+12>>2]=f[H+12>>2];f[m+16>>2]=f[H+16>>2];f[m+20>>2]=f[H+20>>2];f[m+24>>2]=f[H+24>>2];f[H>>2]=f[e>>2];f[H+4>>2]=f[e+4>>2];f[H+8>>2]=f[e+8>>2];f[H+12>>2]=f[e+12>>2];f[H+16>>2]=f[e+16>>2];f[H+20>>2]=f[e+20>>2];f[H+24>>2]=f[e+24>>2];F=H;G=t+1|0}r=m+32|0;c:do if(r>>>0<F>>>0){p=s;z=F;o=r;y=G;while(1){w=f[p>>2]|0;A=p+8|0;K=p+16|0;Z=o;while(1){Y=f[Z>>2]|0;if((Y|0)==(w|0)){J=Z+8|0;x=f[J>>2]|0;v=f[J+4>>2]|0;J=A;ha=f[J>>2]|0;ia=f[J+4>>2]|0;if((x|0)==(ha|0)&(v|0)==(ia|0)){J=Z+16|0;ja=K;ka=f[J+4>>2]|0;la=f[ja+4>>2]|0;ma=f[J>>2]|0;na=f[ja>>2]|0}else{ka=v;la=ia;ma=x;na=ha}if(!((ka|0)<(la|0)|(ka|0)==(la|0)&ma>>>0<na>>>0)){oa=z;break}}else if((Y|0)>=(w|0)){oa=z;break}Z=Z+32|0}while(1){I=oa;oa=oa+-32|0;Y=f[oa>>2]|0;if((Y|0)!=(w|0))if((Y|0)<(w|0))break;else{oa=oa;continue}Y=I+-24|0;ha=f[Y>>2]|0;x=f[Y+4>>2]|0;Y=A;ia=f[Y>>2]|0;v=f[Y+4>>2]|0;if((ha|0)==(ia|0)&(x|0)==(v|0)){Y=I+-16|0;I=K;pa=f[Y+4>>2]|0;qa=f[I+4>>2]|0;ra=f[Y>>2]|0;sa=f[I>>2]|0}else{pa=x;qa=v;ra=ha;sa=ia}if((pa|0)<(qa|0)|(pa|0)==(qa|0)&ra>>>0<sa>>>0)break}if(Z>>>0>oa>>>0){ta=p;ua=y;va=Z;break c};f[e>>2]=f[Z>>2];f[e+4>>2]=f[Z+4>>2];f[e+8>>2]=f[Z+8>>2];f[e+12>>2]=f[Z+12>>2];f[e+16>>2]=f[Z+16>>2];f[e+20>>2]=f[Z+20>>2];f[e+24>>2]=f[Z+24>>2];f[e+28>>2]=f[Z+28>>2];f[Z>>2]=f[oa>>2];f[Z+4>>2]=f[oa+4>>2];f[Z+8>>2]=f[oa+8>>2];f[Z+12>>2]=f[oa+12>>2];f[Z+16>>2]=f[oa+16>>2];f[Z+20>>2]=f[oa+20>>2];f[Z+24>>2]=f[oa+24>>2];f[oa>>2]=f[e>>2];f[oa+4>>2]=f[e+4>>2];f[oa+8>>2]=f[e+8>>2];f[oa+12>>2]=f[e+12>>2];f[oa+16>>2]=f[e+16>>2];f[oa+20>>2]=f[e+20>>2];f[oa+24>>2]=f[e+24>>2];p=(p|0)==(Z|0)?oa:p;z=oa;o=Z+32|0;y=y+1|0}}else{ta=s;ua=G;va=r}while(0);do if((va|0)==(ta|0))wa=ua;else{r=f[ta>>2]|0;y=f[va>>2]|0;if((r|0)==(y|0)){o=ta+8|0;z=f[o>>2]|0;p=f[o+4>>2]|0;o=va+8|0;K=f[o>>2]|0;A=f[o+4>>2]|0;if((z|0)==(K|0)&(p|0)==(A|0)){o=ta+16|0;w=va+16|0;xa=f[o+4>>2]|0;ya=f[w+4>>2]|0;za=f[o>>2]|0;Aa=f[w>>2]|0}else{xa=p;ya=A;za=z;Aa=K}if(!((xa|0)<(ya|0)|(xa|0)==(ya|0)&za>>>0<Aa>>>0)){wa=ua;break}}else if((r|0)>=(y|0)){wa=ua;break};f[e>>2]=f[va>>2];f[e+4>>2]=f[va+4>>2];f[e+8>>2]=f[va+8>>2];f[e+12>>2]=f[va+12>>2];f[e+16>>2]=f[va+16>>2];f[e+20>>2]=f[va+20>>2];f[e+24>>2]=f[va+24>>2];f[e+28>>2]=f[va+28>>2];f[va>>2]=f[ta>>2];f[va+4>>2]=f[ta+4>>2];f[va+8>>2]=f[ta+8>>2];f[va+12>>2]=f[ta+12>>2];f[va+16>>2]=f[ta+16>>2];f[va+20>>2]=f[ta+20>>2];f[va+24>>2]=f[ta+24>>2];f[ta>>2]=f[e>>2];f[ta+4>>2]=f[e+4>>2];f[ta+8>>2]=f[e+8>>2];f[ta+12>>2]=f[e+12>>2];f[ta+16>>2]=f[e+16>>2];f[ta+20>>2]=f[e+20>>2];f[ta+24>>2]=f[e+24>>2];wa=ua+1|0}while(0);if(!wa){Ba=Ama(m,va,c)|0;y=va+32|0;if(Ama(y,a,c)|0){q=106;break}if(Ba){l=y;continue}}y=va;if((y-n|0)>=(b-y|0)){q=105;break}vma(m,va,c);l=va+32|0}if((q|0)==105){q=0;vma(va+32|0,a,c);g=m;a=va;continue}else if((q|0)==106){q=0;if(Ba){q=107;break}else{g=m;a=va;continue}}}if((q|0)==5){va=f[h>>2]|0;g=f[m>>2]|0;if((va|0)==(g|0)){Ba=j;j=f[Ba>>2]|0;n=f[Ba+4>>2]|0;Ba=m+8|0;wa=f[Ba>>2]|0;ua=f[Ba+4>>2]|0;if((j|0)==(wa|0)&(n|0)==(ua|0)){Ba=k;k=m+16|0;Ca=f[Ba+4>>2]|0;Da=f[k+4>>2]|0;Ea=f[Ba>>2]|0;Fa=f[k>>2]|0}else{Ca=n;Da=ua;Ea=j;Fa=wa}if(!((Ca|0)<(Da|0)|(Ca|0)==(Da|0)&Ea>>>0<Fa>>>0)){u=d;return}}else if((va|0)>=(g|0)){u=d;return};f[e>>2]=f[m>>2];f[e+4>>2]=f[m+4>>2];f[e+8>>2]=f[m+8>>2];f[e+12>>2]=f[m+12>>2];f[e+16>>2]=f[m+16>>2];f[e+20>>2]=f[m+20>>2];f[e+24>>2]=f[m+24>>2];f[e+28>>2]=f[m+28>>2];f[m>>2]=f[h>>2];f[m+4>>2]=f[h+4>>2];f[m+8>>2]=f[h+8>>2];f[m+12>>2]=f[h+12>>2];f[m+16>>2]=f[h+16>>2];f[m+20>>2]=f[h+20>>2];f[m+24>>2]=f[h+24>>2];f[h>>2]=f[e>>2];f[h+4>>2]=f[e+4>>2];f[h+8>>2]=f[e+8>>2];f[h+12>>2]=f[e+12>>2];f[h+16>>2]=f[e+16>>2];f[h+20>>2]=f[e+20>>2];f[h+24>>2]=f[e+24>>2];u=d;return}else if((q|0)==11){xma(m,m+32|0,h,c)|0;u=d;return}else if((q|0)==12){yma(m,m+32|0,m+64|0,h,c)|0;u=d;return}else if((q|0)==13){zma(m,m+32|0,m+64|0,m+96|0,h,c)|0;u=d;return}else if((q|0)==15){h=m+64|0;xma(m,m+32|0,h,c)|0;c=m+96|0;if((c|0)==(a|0)){u=d;return}else{Ga=c;Ha=h}while(1){h=f[Ga>>2]|0;c=f[Ha>>2]|0;if((h|0)==(c|0)){e=Ga+8|0;g=f[e>>2]|0;va=f[e+4>>2]|0;e=Ha+8|0;Fa=f[e>>2]|0;Ea=f[e+4>>2]|0;if((g|0)==(Fa|0)&(va|0)==(Ea|0)){e=Ga+16|0;Da=Ha+16|0;Ia=f[e+4>>2]|0;Ja=f[Da+4>>2]|0;Ka=f[e>>2]|0;La=f[Da>>2]|0}else{Ia=va;Ja=Ea;Ka=g;La=Fa}if((Ia|0)<(Ja|0)|(Ia|0)==(Ja|0)&Ka>>>0<La>>>0){Ma=g;Na=va;q=22}}else if((h|0)<(c|0)){c=Ga+8|0;Ma=f[c>>2]|0;Na=f[c+4>>2]|0;q=22}if((q|0)==22){q=0;c=f[Ga+4>>2]|0;va=Ga+16|0;g=f[va>>2]|0;Fa=f[va+4>>2]|0;va=f[Ga+24>>2]|0;f[Ga>>2]=f[Ha>>2];f[Ga+4>>2]=f[Ha+4>>2];f[Ga+8>>2]=f[Ha+8>>2];f[Ga+12>>2]=f[Ha+12>>2];f[Ga+16>>2]=f[Ha+16>>2];f[Ga+20>>2]=f[Ha+20>>2];f[Ga+24>>2]=f[Ha+24>>2];d:do if((Ha|0)==(m|0))Oa=m;else{Ea=Ha;while(1){Da=Ea;Ea=Ea+-32|0;e=f[Ea>>2]|0;if((h|0)==(e|0)){Ca=Da+-24|0;wa=f[Ca>>2]|0;j=f[Ca+4>>2]|0;if((Ma|0)==(wa|0)&(Na|0)==(j|0)){Ca=Da+-16|0;Pa=Fa;Qa=f[Ca+4>>2]|0;Ra=g;Sa=f[Ca>>2]|0}else{Pa=Na;Qa=j;Ra=Ma;Sa=wa}if(!((Pa|0)<(Qa|0)|(Pa|0)==(Qa|0)&Ra>>>0<Sa>>>0)){Oa=Da;break d}}else if((h|0)>=(e|0)){Oa=Da;break d};f[Da>>2]=f[Ea>>2];f[Da+4>>2]=f[Ea+4>>2];f[Da+8>>2]=f[Ea+8>>2];f[Da+12>>2]=f[Ea+12>>2];f[Da+16>>2]=f[Ea+16>>2];f[Da+20>>2]=f[Ea+20>>2];f[Da+24>>2]=f[Ea+24>>2];if((Ea|0)==(m|0)){Oa=m;break}}}while(0);f[Oa>>2]=h;f[Oa+4>>2]=c;Ea=Oa+8|0;f[Ea>>2]=Ma;f[Ea+4>>2]=Na;Ea=Oa+16|0;f[Ea>>2]=g;f[Ea+4>>2]=Fa;f[Oa+24>>2]=va}Ea=Ga+32|0;if((Ea|0)==(a|0))break;else{Da=Ga;Ga=Ea;Ha=Da}}u=d;return}else if((q|0)==107){u=d;return}}function wma(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+4|0;d=f[a>>2]|0;e=(f[c>>2]|0)-d|0;g=e>>5;h=g+1|0;if(h>>>0>134217727)nsc(a);i=a+8|0;j=(f[i>>2]|0)-d|0;k=j>>4;l=j>>5>>>0<67108863?(k>>>0<h>>>0?h:k):134217727;do if(l)if(l>>>0>134217727){k=ze(8)|0;kuc(k,519086);f[k>>2]=167148;Hf(k|0,26888,1888)}else{m=cuc(l<<5)|0;break}else m=0;while(0);k=m+(g<<5)|0;f[k>>2]=f[b>>2];f[k+4>>2]=f[b+4>>2];f[k+8>>2]=f[b+8>>2];f[k+12>>2]=f[b+12>>2];f[k+16>>2]=f[b+16>>2];f[k+20>>2]=f[b+20>>2];f[k+24>>2]=f[b+24>>2];f[k+28>>2]=f[b+28>>2];b=k+(0-g<<5)|0;if((e|0)>0)szc(b|0,d|0,e|0)|0;f[a>>2]=b;f[c>>2]=k+32;f[i>>2]=m+(l<<5);if(!d)return;fuc(d);return}function xma(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;d=u;u=u+32|0;e=d;g=f[b>>2]|0;h=f[a>>2]|0;if((g|0)==(h|0)){i=b+8|0;j=f[i>>2]|0;k=f[i+4>>2]|0;i=a+8|0;l=f[i>>2]|0;m=f[i+4>>2]|0;if((j|0)==(l|0)&(k|0)==(m|0)){i=b+16|0;n=a+16|0;o=f[i+4>>2]|0;p=f[n+4>>2]|0;q=f[i>>2]|0;r=f[n>>2]|0}else{o=k;p=m;q=j;r=l}s=(o|0)<(p|0)|(o|0)==(p|0)&q>>>0<r>>>0}else s=(g|0)<(h|0);h=f[c>>2]|0;if((h|0)==(g|0)){r=c+8|0;q=f[r>>2]|0;p=f[r+4>>2]|0;r=b+8|0;o=f[r>>2]|0;l=f[r+4>>2]|0;if((q|0)==(o|0)&(p|0)==(l|0)){r=c+16|0;j=b+16|0;t=f[r+4>>2]|0;v=f[j+4>>2]|0;w=f[r>>2]|0;x=f[j>>2]|0}else{t=p;v=l;w=q;x=o}y=(t|0)<(v|0)|(t|0)==(v|0)&w>>>0<x>>>0}else y=(h|0)<(g|0);if(!s){if(!y){z=0;u=d;return z|0};f[e>>2]=f[b>>2];f[e+4>>2]=f[b+4>>2];f[e+8>>2]=f[b+8>>2];f[e+12>>2]=f[b+12>>2];f[e+16>>2]=f[b+16>>2];f[e+20>>2]=f[b+20>>2];f[e+24>>2]=f[b+24>>2];f[e+28>>2]=f[b+28>>2];f[b>>2]=f[c>>2];f[b+4>>2]=f[c+4>>2];f[b+8>>2]=f[c+8>>2];f[b+12>>2]=f[c+12>>2];f[b+16>>2]=f[c+16>>2];f[b+20>>2]=f[c+20>>2];f[b+24>>2]=f[c+24>>2];f[c>>2]=f[e>>2];f[c+4>>2]=f[e+4>>2];f[c+8>>2]=f[e+8>>2];f[c+12>>2]=f[e+12>>2];f[c+16>>2]=f[e+16>>2];f[c+20>>2]=f[e+20>>2];f[c+24>>2]=f[e+24>>2];s=f[b>>2]|0;g=f[a>>2]|0;if((s|0)==(g|0)){h=b+8|0;x=f[h>>2]|0;w=f[h+4>>2]|0;h=a+8|0;v=f[h>>2]|0;t=f[h+4>>2]|0;if((x|0)==(v|0)&(w|0)==(t|0)){h=b+16|0;o=a+16|0;A=f[h+4>>2]|0;B=f[o+4>>2]|0;C=f[h>>2]|0;D=f[o>>2]|0}else{A=w;B=t;C=x;D=v}if(!((A|0)<(B|0)|(A|0)==(B|0)&C>>>0<D>>>0)){z=1;u=d;return z|0}}else if((s|0)>=(g|0)){z=1;u=d;return z|0};f[e>>2]=f[a>>2];f[e+4>>2]=f[a+4>>2];f[e+8>>2]=f[a+8>>2];f[e+12>>2]=f[a+12>>2];f[e+16>>2]=f[a+16>>2];f[e+20>>2]=f[a+20>>2];f[e+24>>2]=f[a+24>>2];f[e+28>>2]=f[a+28>>2];f[a>>2]=f[b>>2];f[a+4>>2]=f[b+4>>2];f[a+8>>2]=f[b+8>>2];f[a+12>>2]=f[b+12>>2];f[a+16>>2]=f[b+16>>2];f[a+20>>2]=f[b+20>>2];f[a+24>>2]=f[b+24>>2];f[b>>2]=f[e>>2];f[b+4>>2]=f[e+4>>2];f[b+8>>2]=f[e+8>>2];f[b+12>>2]=f[e+12>>2];f[b+16>>2]=f[e+16>>2];f[b+20>>2]=f[e+20>>2];f[b+24>>2]=f[e+24>>2];z=2;u=d;return z|0};f[e>>2]=f[a>>2];f[e+4>>2]=f[a+4>>2];f[e+8>>2]=f[a+8>>2];f[e+12>>2]=f[a+12>>2];f[e+16>>2]=f[a+16>>2];f[e+20>>2]=f[a+20>>2];f[e+24>>2]=f[a+24>>2];f[e+28>>2]=f[a+28>>2];if(y){f[a>>2]=f[c>>2];f[a+4>>2]=f[c+4>>2];f[a+8>>2]=f[c+8>>2];f[a+12>>2]=f[c+12>>2];f[a+16>>2]=f[c+16>>2];f[a+20>>2]=f[c+20>>2];f[a+24>>2]=f[c+24>>2];f[c>>2]=f[e>>2];f[c+4>>2]=f[e+4>>2];f[c+8>>2]=f[e+8>>2];f[c+12>>2]=f[e+12>>2];f[c+16>>2]=f[e+16>>2];f[c+20>>2]=f[e+20>>2];f[c+24>>2]=f[e+24>>2];z=1;u=d;return z|0};f[a>>2]=f[b>>2];f[a+4>>2]=f[b+4>>2];f[a+8>>2]=f[b+8>>2];f[a+12>>2]=f[b+12>>2];f[a+16>>2]=f[b+16>>2];f[a+20>>2]=f[b+20>>2];f[a+24>>2]=f[b+24>>2];f[b>>2]=f[e>>2];f[b+4>>2]=f[e+4>>2];f[b+8>>2]=f[e+8>>2];f[b+12>>2]=f[e+12>>2];f[b+16>>2]=f[e+16>>2];f[b+20>>2]=f[e+20>>2];f[b+24>>2]=f[e+24>>2];a=f[c>>2]|0;y=f[b>>2]|0;if((a|0)==(y|0)){g=c+8|0;s=f[g>>2]|0;D=f[g+4>>2]|0;g=b+8|0;C=f[g>>2]|0;B=f[g+4>>2]|0;if((s|0)==(C|0)&(D|0)==(B|0)){g=c+16|0;A=b+16|0;E=f[g+4>>2]|0;F=f[A+4>>2]|0;G=f[g>>2]|0;H=f[A>>2]|0}else{E=D;F=B;G=s;H=C}if(!((E|0)<(F|0)|(E|0)==(F|0)&G>>>0<H>>>0)){z=1;u=d;return z|0}}else if((a|0)>=(y|0)){z=1;u=d;return z|0};f[e>>2]=f[b>>2];f[e+4>>2]=f[b+4>>2];f[e+8>>2]=f[b+8>>2];f[e+12>>2]=f[b+12>>2];f[e+16>>2]=f[b+16>>2];f[e+20>>2]=f[b+20>>2];f[e+24>>2]=f[b+24>>2];f[e+28>>2]=f[b+28>>2];f[b>>2]=f[c>>2];f[b+4>>2]=f[c+4>>2];f[b+8>>2]=f[c+8>>2];f[b+12>>2]=f[c+12>>2];f[b+16>>2]=f[c+16>>2];f[b+20>>2]=f[c+20>>2];f[b+24>>2]=f[c+24>>2];f[c>>2]=f[e>>2];f[c+4>>2]=f[e+4>>2];f[c+8>>2]=f[e+8>>2];f[c+12>>2]=f[e+12>>2];f[c+16>>2]=f[e+16>>2];f[c+20>>2]=f[e+20>>2];f[c+24>>2]=f[e+24>>2];z=2;u=d;return z|0}function yma(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0;g=u;u=u+32|0;h=g;i=xma(a,b,c,e)|0;e=f[d>>2]|0;j=f[c>>2]|0;if((e|0)==(j|0)){k=d+8|0;l=f[k>>2]|0;m=f[k+4>>2]|0;k=c+8|0;n=f[k>>2]|0;o=f[k+4>>2]|0;if((l|0)==(n|0)&(m|0)==(o|0)){k=d+16|0;p=c+16|0;q=f[k+4>>2]|0;r=f[p+4>>2]|0;s=f[k>>2]|0;t=f[p>>2]|0}else{q=m;r=o;s=l;t=n}if(!((q|0)<(r|0)|(q|0)==(r|0)&s>>>0<t>>>0)){v=i;u=g;return v|0}}else if((e|0)>=(j|0)){v=i;u=g;return v|0};f[h>>2]=f[c>>2];f[h+4>>2]=f[c+4>>2];f[h+8>>2]=f[c+8>>2];f[h+12>>2]=f[c+12>>2];f[h+16>>2]=f[c+16>>2];f[h+20>>2]=f[c+20>>2];f[h+24>>2]=f[c+24>>2];f[h+28>>2]=f[c+28>>2];f[c>>2]=f[d>>2];f[c+4>>2]=f[d+4>>2];f[c+8>>2]=f[d+8>>2];f[c+12>>2]=f[d+12>>2];f[c+16>>2]=f[d+16>>2];f[c+20>>2]=f[d+20>>2];f[c+24>>2]=f[d+24>>2];f[d>>2]=f[h>>2];f[d+4>>2]=f[h+4>>2];f[d+8>>2]=f[h+8>>2];f[d+12>>2]=f[h+12>>2];f[d+16>>2]=f[h+16>>2];f[d+20>>2]=f[h+20>>2];f[d+24>>2]=f[h+24>>2];d=i+1|0;j=f[c>>2]|0;e=f[b>>2]|0;if((j|0)==(e|0)){t=c+8|0;s=f[t>>2]|0;r=f[t+4>>2]|0;t=b+8|0;q=f[t>>2]|0;n=f[t+4>>2]|0;if((s|0)==(q|0)&(r|0)==(n|0)){t=c+16|0;l=b+16|0;w=f[t+4>>2]|0;x=f[l+4>>2]|0;y=f[t>>2]|0;z=f[l>>2]|0}else{w=r;x=n;y=s;z=q}if(!((w|0)<(x|0)|(w|0)==(x|0)&y>>>0<z>>>0)){v=d;u=g;return v|0}}else if((j|0)>=(e|0)){v=d;u=g;return v|0};f[h>>2]=f[b>>2];f[h+4>>2]=f[b+4>>2];f[h+8>>2]=f[b+8>>2];f[h+12>>2]=f[b+12>>2];f[h+16>>2]=f[b+16>>2];f[h+20>>2]=f[b+20>>2];f[h+24>>2]=f[b+24>>2];f[h+28>>2]=f[b+28>>2];f[b>>2]=f[c>>2];f[b+4>>2]=f[c+4>>2];f[b+8>>2]=f[c+8>>2];f[b+12>>2]=f[c+12>>2];f[b+16>>2]=f[c+16>>2];f[b+20>>2]=f[c+20>>2];f[b+24>>2]=f[c+24>>2];f[c>>2]=f[h>>2];f[c+4>>2]=f[h+4>>2];f[c+8>>2]=f[h+8>>2];f[c+12>>2]=f[h+12>>2];f[c+16>>2]=f[h+16>>2];f[c+20>>2]=f[h+20>>2];f[c+24>>2]=f[h+24>>2];c=i+2|0;d=f[b>>2]|0;e=f[a>>2]|0;if((d|0)==(e|0)){j=b+8|0;z=f[j>>2]|0;y=f[j+4>>2]|0;j=a+8|0;x=f[j>>2]|0;w=f[j+4>>2]|0;if((z|0)==(x|0)&(y|0)==(w|0)){j=b+16|0;q=a+16|0;A=f[j+4>>2]|0;B=f[q+4>>2]|0;C=f[j>>2]|0;D=f[q>>2]|0}else{A=y;B=w;C=z;D=x}if(!((A|0)<(B|0)|(A|0)==(B|0)&C>>>0<D>>>0)){v=c;u=g;return v|0}}else if((d|0)>=(e|0)){v=c;u=g;return v|0};f[h>>2]=f[a>>2];f[h+4>>2]=f[a+4>>2];f[h+8>>2]=f[a+8>>2];f[h+12>>2]=f[a+12>>2];f[h+16>>2]=f[a+16>>2];f[h+20>>2]=f[a+20>>2];f[h+24>>2]=f[a+24>>2];f[h+28>>2]=f[a+28>>2];f[a>>2]=f[b>>2];f[a+4>>2]=f[b+4>>2];f[a+8>>2]=f[b+8>>2];f[a+12>>2]=f[b+12>>2];f[a+16>>2]=f[b+16>>2];f[a+20>>2]=f[b+20>>2];f[a+24>>2]=f[b+24>>2];f[b>>2]=f[h>>2];f[b+4>>2]=f[h+4>>2];f[b+8>>2]=f[h+8>>2];f[b+12>>2]=f[h+12>>2];f[b+16>>2]=f[h+16>>2];f[b+20>>2]=f[h+20>>2];f[b+24>>2]=f[h+24>>2];v=i+3|0;u=g;return v|0}function zma(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;h=u;u=u+32|0;i=h;j=yma(a,b,c,d,g)|0;g=f[e>>2]|0;k=f[d>>2]|0;if((g|0)==(k|0)){l=e+8|0;m=f[l>>2]|0;n=f[l+4>>2]|0;l=d+8|0;o=f[l>>2]|0;p=f[l+4>>2]|0;if((m|0)==(o|0)&(n|0)==(p|0)){l=e+16|0;q=d+16|0;r=f[l+4>>2]|0;s=f[q+4>>2]|0;t=f[l>>2]|0;v=f[q>>2]|0}else{r=n;s=p;t=m;v=o}if(!((r|0)<(s|0)|(r|0)==(s|0)&t>>>0<v>>>0)){w=j;u=h;return w|0}}else if((g|0)>=(k|0)){w=j;u=h;return w|0};f[i>>2]=f[d>>2];f[i+4>>2]=f[d+4>>2];f[i+8>>2]=f[d+8>>2];f[i+12>>2]=f[d+12>>2];f[i+16>>2]=f[d+16>>2];f[i+20>>2]=f[d+20>>2];f[i+24>>2]=f[d+24>>2];f[i+28>>2]=f[d+28>>2];f[d>>2]=f[e>>2];f[d+4>>2]=f[e+4>>2];f[d+8>>2]=f[e+8>>2];f[d+12>>2]=f[e+12>>2];f[d+16>>2]=f[e+16>>2];f[d+20>>2]=f[e+20>>2];f[d+24>>2]=f[e+24>>2];f[e>>2]=f[i>>2];f[e+4>>2]=f[i+4>>2];f[e+8>>2]=f[i+8>>2];f[e+12>>2]=f[i+12>>2];f[e+16>>2]=f[i+16>>2];f[e+20>>2]=f[i+20>>2];f[e+24>>2]=f[i+24>>2];e=j+1|0;k=f[d>>2]|0;g=f[c>>2]|0;if((k|0)==(g|0)){v=d+8|0;t=f[v>>2]|0;s=f[v+4>>2]|0;v=c+8|0;r=f[v>>2]|0;o=f[v+4>>2]|0;if((t|0)==(r|0)&(s|0)==(o|0)){v=d+16|0;m=c+16|0;x=f[v+4>>2]|0;y=f[m+4>>2]|0;z=f[v>>2]|0;A=f[m>>2]|0}else{x=s;y=o;z=t;A=r}if(!((x|0)<(y|0)|(x|0)==(y|0)&z>>>0<A>>>0)){w=e;u=h;return w|0}}else if((k|0)>=(g|0)){w=e;u=h;return w|0};f[i>>2]=f[c>>2];f[i+4>>2]=f[c+4>>2];f[i+8>>2]=f[c+8>>2];f[i+12>>2]=f[c+12>>2];f[i+16>>2]=f[c+16>>2];f[i+20>>2]=f[c+20>>2];f[i+24>>2]=f[c+24>>2];f[i+28>>2]=f[c+28>>2];f[c>>2]=f[d>>2];f[c+4>>2]=f[d+4>>2];f[c+8>>2]=f[d+8>>2];f[c+12>>2]=f[d+12>>2];f[c+16>>2]=f[d+16>>2];f[c+20>>2]=f[d+20>>2];f[c+24>>2]=f[d+24>>2];f[d>>2]=f[i>>2];f[d+4>>2]=f[i+4>>2];f[d+8>>2]=f[i+8>>2];f[d+12>>2]=f[i+12>>2];f[d+16>>2]=f[i+16>>2];f[d+20>>2]=f[i+20>>2];f[d+24>>2]=f[i+24>>2];d=j+2|0;e=f[c>>2]|0;g=f[b>>2]|0;if((e|0)==(g|0)){k=c+8|0;A=f[k>>2]|0;z=f[k+4>>2]|0;k=b+8|0;y=f[k>>2]|0;x=f[k+4>>2]|0;if((A|0)==(y|0)&(z|0)==(x|0)){k=c+16|0;r=b+16|0;B=f[k+4>>2]|0;C=f[r+4>>2]|0;D=f[k>>2]|0;E=f[r>>2]|0}else{B=z;C=x;D=A;E=y}if(!((B|0)<(C|0)|(B|0)==(C|0)&D>>>0<E>>>0)){w=d;u=h;return w|0}}else if((e|0)>=(g|0)){w=d;u=h;return w|0};f[i>>2]=f[b>>2];f[i+4>>2]=f[b+4>>2];f[i+8>>2]=f[b+8>>2];f[i+12>>2]=f[b+12>>2];f[i+16>>2]=f[b+16>>2];f[i+20>>2]=f[b+20>>2];f[i+24>>2]=f[b+24>>2];f[i+28>>2]=f[b+28>>2];f[b>>2]=f[c>>2];f[b+4>>2]=f[c+4>>2];f[b+8>>2]=f[c+8>>2];f[b+12>>2]=f[c+12>>2];f[b+16>>2]=f[c+16>>2];f[b+20>>2]=f[c+20>>2];f[b+24>>2]=f[c+24>>2];f[c>>2]=f[i>>2];f[c+4>>2]=f[i+4>>2];f[c+8>>2]=f[i+8>>2];f[c+12>>2]=f[i+12>>2];f[c+16>>2]=f[i+16>>2];f[c+20>>2]=f[i+20>>2];f[c+24>>2]=f[i+24>>2];c=j+3|0;d=f[b>>2]|0;g=f[a>>2]|0;if((d|0)==(g|0)){e=b+8|0;E=f[e>>2]|0;D=f[e+4>>2]|0;e=a+8|0;C=f[e>>2]|0;B=f[e+4>>2]|0;if((E|0)==(C|0)&(D|0)==(B|0)){e=b+16|0;y=a+16|0;F=f[e+4>>2]|0;G=f[y+4>>2]|0;H=f[e>>2]|0;I=f[y>>2]|0}else{F=D;G=B;H=E;I=C}if(!((F|0)<(G|0)|(F|0)==(G|0)&H>>>0<I>>>0)){w=c;u=h;return w|0}}else if((d|0)>=(g|0)){w=c;u=h;return w|0};f[i>>2]=f[a>>2];f[i+4>>2]=f[a+4>>2];f[i+8>>2]=f[a+8>>2];f[i+12>>2]=f[a+12>>2];f[i+16>>2]=f[a+16>>2];f[i+20>>2]=f[a+20>>2];f[i+24>>2]=f[a+24>>2];f[i+28>>2]=f[a+28>>2];f[a>>2]=f[b>>2];f[a+4>>2]=f[b+4>>2];f[a+8>>2]=f[b+8>>2];f[a+12>>2]=f[b+12>>2];f[a+16>>2]=f[b+16>>2];f[a+20>>2]=f[b+20>>2];f[a+24>>2]=f[b+24>>2];f[b>>2]=f[i>>2];f[b+4>>2]=f[i+4>>2];f[b+8>>2]=f[i+8>>2];f[b+12>>2]=f[i+12>>2];f[b+16>>2]=f[i+16>>2];f[b+20>>2]=f[i+20>>2];f[b+24>>2]=f[i+24>>2];w=j+4|0;u=h;return w|0}function Ama(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;d=u;u=u+32|0;e=d;switch(b-a>>5|0){case 2:{g=b+-32|0;h=f[g>>2]|0;i=f[a>>2]|0;if((h|0)==(i|0)){j=b+-24|0;k=f[j>>2]|0;l=f[j+4>>2]|0;j=a+8|0;m=f[j>>2]|0;n=f[j+4>>2]|0;if((k|0)==(m|0)&(l|0)==(n|0)){j=b+-16|0;o=a+16|0;p=f[j+4>>2]|0;q=f[o+4>>2]|0;r=f[j>>2]|0;s=f[o>>2]|0}else{p=l;q=n;r=k;s=m}if(!((p|0)<(q|0)|(p|0)==(q|0)&r>>>0<s>>>0)){t=1;u=d;return t|0}}else if((h|0)>=(i|0)){t=1;u=d;return t|0};f[e>>2]=f[a>>2];f[e+4>>2]=f[a+4>>2];f[e+8>>2]=f[a+8>>2];f[e+12>>2]=f[a+12>>2];f[e+16>>2]=f[a+16>>2];f[e+20>>2]=f[a+20>>2];f[e+24>>2]=f[a+24>>2];f[e+28>>2]=f[a+28>>2];f[a>>2]=f[g>>2];f[a+4>>2]=f[g+4>>2];f[a+8>>2]=f[g+8>>2];f[a+12>>2]=f[g+12>>2];f[a+16>>2]=f[g+16>>2];f[a+20>>2]=f[g+20>>2];f[a+24>>2]=f[g+24>>2];f[g>>2]=f[e>>2];f[g+4>>2]=f[e+4>>2];f[g+8>>2]=f[e+8>>2];f[g+12>>2]=f[e+12>>2];f[g+16>>2]=f[e+16>>2];f[g+20>>2]=f[e+20>>2];f[g+24>>2]=f[e+24>>2];t=1;u=d;return t|0}case 3:{xma(a,a+32|0,b+-32|0,c)|0;t=1;u=d;return t|0}case 4:{yma(a,a+32|0,a+64|0,b+-32|0,c)|0;t=1;u=d;return t|0}case 5:{zma(a,a+32|0,a+64|0,a+96|0,b+-32|0,c)|0;t=1;u=d;return t|0}case 1:case 0:{t=1;u=d;return t|0}default:{g=a+64|0;xma(a,a+32|0,g,c)|0;c=a+96|0;a:do if((c|0)==(b|0)){v=1;w=0}else{i=c;h=0;s=g;while(1){r=f[i>>2]|0;q=f[s>>2]|0;if((r|0)==(q|0)){p=i+8|0;m=f[p>>2]|0;k=f[p+4>>2]|0;p=s+8|0;n=f[p>>2]|0;l=f[p+4>>2]|0;if((m|0)==(n|0)&(k|0)==(l|0)){p=i+16|0;o=s+16|0;x=f[p+4>>2]|0;y=f[o+4>>2]|0;z=f[p>>2]|0;A=f[o>>2]|0}else{x=k;y=l;z=m;A=n}if((x|0)<(y|0)|(x|0)==(y|0)&z>>>0<A>>>0){B=m;C=k;D=19}else E=h}else if((r|0)<(q|0)){q=i+8|0;B=f[q>>2]|0;C=f[q+4>>2]|0;D=19}else E=h;if((D|0)==19){D=0;q=f[i+4>>2]|0;k=i+16|0;m=f[k>>2]|0;n=f[k+4>>2]|0;k=i+24|0;l=f[k+4>>2]|0;o=e;f[o>>2]=f[k>>2];f[o+4>>2]=l;f[i>>2]=f[s>>2];f[i+4>>2]=f[s+4>>2];f[i+8>>2]=f[s+8>>2];f[i+12>>2]=f[s+12>>2];f[i+16>>2]=f[s+16>>2];f[i+20>>2]=f[s+20>>2];f[i+24>>2]=f[s+24>>2];b:do if((s|0)==(a|0))F=a;else{l=s;while(1){o=l;l=l+-32|0;k=f[l>>2]|0;if((r|0)==(k|0)){p=o+-24|0;j=f[p>>2]|0;G=f[p+4>>2]|0;if((B|0)==(j|0)&(C|0)==(G|0)){p=o+-16|0;H=n;I=f[p+4>>2]|0;J=m;K=f[p>>2]|0}else{H=C;I=G;J=B;K=j}if(!((H|0)<(I|0)|(H|0)==(I|0)&J>>>0<K>>>0)){F=o;break b}}else if((r|0)>=(k|0)){F=o;break b};f[o>>2]=f[l>>2];f[o+4>>2]=f[l+4>>2];f[o+8>>2]=f[l+8>>2];f[o+12>>2]=f[l+12>>2];f[o+16>>2]=f[l+16>>2];f[o+20>>2]=f[l+20>>2];f[o+24>>2]=f[l+24>>2];if((l|0)==(a|0)){F=a;break}}}while(0);f[F>>2]=r;f[F+4>>2]=q;l=F+8|0;f[l>>2]=B;f[l+4>>2]=C;l=F+16|0;f[l>>2]=m;f[l+4>>2]=n;f[F+24>>2]=f[e>>2];l=h+1|0;if((l|0)==8){v=0;w=(i+32|0)==(b|0);break a}else E=l}l=i+32|0;if((l|0)==(b|0)){v=1;w=0;break}else{o=i;i=l;h=E;s=o}}}while(0);t=w|v;u=d;return t|0}}return 0}function Bma(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=a+8|0;d=f[a>>2]|0;if((f[c>>2]|0)-d>>5>>>0>=b>>>0)return;e=a+4|0;if(b>>>0>134217727){g=ze(8)|0;kuc(g,519086);f[g>>2]=167148;Hf(g|0,26888,1888)}g=(f[e>>2]|0)-d|0;h=g>>5;i=cuc(b<<5)|0;j=i+(h<<5)|0;k=j+(0-h<<5)|0;if((g|0)>0)szc(k|0,d|0,g|0)|0;f[a>>2]=k;f[e>>2]=j;f[c>>2]=i+(b<<5);if(!d)return;fuc(d);return}function Cma(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;j=u;u=u+160|0;k=j+152|0;l=j+96|0;m=j+64|0;n=j;gV(k,59892);do if((qJ(a)|0)==65536){o=f[a+4>>2]|0;f[l>>2]=f[o>>2];p=l+4|0;q=o+4|0;f[p>>2]=f[q>>2];r=l+8|0;f[r>>2]=f[o+8>>2];f[l+12>>2]=f[o+12>>2];f[l+16>>2]=f[o+16>>2];f[l+20>>2]=f[o+20>>2];f[l+24>>2]=f[o+24>>2];f[l+28>>2]=f[o+28>>2];f[l+32>>2]=f[o+32>>2];s=f[o+36>>2]|0;f[l+36>>2]=s;f[l+40>>2]=r;r=l+48|0;t=l+44|0;f[t>>2]=r;f[r>>2]=0;f[l+52>>2]=0;if(s|0){r=s+12|0;f[r>>2]=(f[r>>2]|0)+1}if((f[q>>2]|0)<3){q=f[o+44>>2]|0;r=f[t>>2]|0;f[r>>2]=f[q>>2];f[r+4>>2]=f[q+4>>2];break}else{f[p>>2]=0;$T(l,o);break}}else nJ(l,a,-1);while(0);if((h|0)==16)v=(f[l>>2]&7|0)==0?16:8;else v=h;if((g|0)>=32768){f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;h=cuc(32)|0;f[m>>2]=h;f[m+8>>2]=-2147483616;f[m+4>>2]=26;w=h;x=268976;y=w+26|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));b[h+26>>0]=0;WD(-215,m,269003,268559,1850)}if(i>>>0>=17){f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;h=cuc(32)|0;f[m>>2]=h;f[m+8>>2]=-2147483616;f[m+4>>2]=31;w=h;x=268776;y=w+31|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));b[h+31>>0]=0;WD(-215,m,269003,268559,1851)}e_(e,m,f[l>>2]&4095,0);e=f[c>>2]|0;h=((e|0)<0)<<31>>31;x=f[c+4>>2]|0;c=((x|0)<0)<<31>>31;w=n;f[w>>2]=e;f[w+4>>2]=h;w=n+8|0;f[w>>2]=x;f[w+4>>2]=c;w=f[d>>2]|0;y=((w|0)<0)<<31>>31;a=n+16|0;f[a>>2]=w;f[a+4>>2]=y;a=n+24|0;f[a>>2]=x;f[a+4>>2]=c;c=f[d+4>>2]|0;d=((c|0)<0)<<31>>31;a=n+32|0;f[a>>2]=w;f[a+4>>2]=y;y=n+40|0;f[y>>2]=c;f[y+4>>2]=d;y=n+48|0;f[y>>2]=e;f[y+4>>2]=h;h=n+56|0;f[h>>2]=c;f[h+4>>2]=d;if((g|0)>-1)sma(l,n,4,1,m,g,v,i);else nma(l,n,4,m,v,i);i=l+36|0;v=f[i>>2]|0;if(v|0?(m=v+12|0,v=f[m>>2]|0,f[m>>2]=v+-1,(v|0)==1):0)aU(l);f[i>>2]=0;i=l+16|0;v=l+4|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;if((f[v>>2]|0)>0){i=f[l+40>>2]|0;m=0;do{f[i+(m<<2)>>2]=0;m=m+1|0}while((m|0)<(f[v>>2]|0))}v=f[l+44>>2]|0;if((v|0)!=(l+48|0))TC(v);if(!(f[k+4>>2]|0)){u=j;return}u=j;return}function Dma(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;h=u;u=u+32|0;i=h+16|0;j=h+8|0;k=h;gV(i,59912);l=f[b+8>>2]|0;m=f[b+12>>2]|0;if((Y(m,l)|0)>0){n=f[b>>2]|0;o=f[b+4>>2]|0;f[j>>2]=n;f[j+4>>2]=o;b=-1<<g;f[k>>2]=n+b+l;f[k+4>>2]=o+b+m;Cma(a,j,k,c,d,e,g)}if(!(f[i+4>>2]|0)){u=h;return}u=h;return}function Ema(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;j=u;u=u+144|0;k=j+128|0;l=j+72|0;m=j+32|0;n=j+16|0;o=j;p=j+64|0;gV(k,59932);do if((qJ(a)|0)==65536){q=f[a+4>>2]|0;f[l>>2]=f[q>>2];r=l+4|0;s=q+4|0;f[r>>2]=f[s>>2];t=l+8|0;f[t>>2]=f[q+8>>2];f[l+12>>2]=f[q+12>>2];f[l+16>>2]=f[q+16>>2];f[l+20>>2]=f[q+20>>2];f[l+24>>2]=f[q+24>>2];f[l+28>>2]=f[q+28>>2];f[l+32>>2]=f[q+32>>2];v=f[q+36>>2]|0;f[l+36>>2]=v;f[l+40>>2]=t;t=l+48|0;w=l+44|0;f[w>>2]=t;f[t>>2]=0;f[l+52>>2]=0;if(v|0){t=v+12|0;f[t>>2]=(f[t>>2]|0)+1}if((f[s>>2]|0)<3){s=f[q+44>>2]|0;t=f[w>>2]|0;f[t>>2]=f[s>>2];f[t+4>>2]=f[s+4>>2];break}else{f[r>>2]=0;$T(l,q);break}}else nJ(l,a,-1);while(0);if((h|0)==16)x=(f[l>>2]&7|0)==0?16:8;else x=h;if(!((i|0)<17&((g|0)<32768&(i|d|0)>-1))){f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;h=cuc(80)|0;f[m>>2]=h;f[m+8>>2]=-2147483568;f[m+4>>2]=76;a=h;q=269169;r=a+76|0;do{b[a>>0]=b[q>>0]|0;a=a+1|0;q=q+1|0}while((a|0)<(r|0));b[h+76>>0]=0;WD(-215,m,269246,268559,1895)}e_(e,m,f[l>>2]&4095,0);if((i|0)>0|((g|0)>1|(x|0)!=8)){e=f[c>>2]|0;h=f[c+4>>2]|0;q=16-i|0;i=yzc(e|0,((e|0)<0)<<31>>31|0,q|0)|0;e=J;a=yzc(h|0,((h|0)<0)<<31>>31|0,q|0)|0;h=J;r=yzc(d|0,((d|0)<0)<<31>>31|0,q|0)|0;q=J;s=n;f[s>>2]=i;f[s+4>>2]=e;e=n+8|0;f[e>>2]=a;f[e+4>>2]=h;h=o;f[h>>2]=r;f[h+4>>2]=q;h=o+8|0;f[h>>2]=r;f[h+4>>2]=q;pma(l,n,o,0,0,360,m,g,x)}else{f[p>>2]=f[c>>2];f[p+4>>2]=f[c+4>>2];oma(l,p,d,m,g>>>31)}g=l+36|0;m=f[g>>2]|0;if(m|0?(d=m+12|0,m=f[d>>2]|0,f[d>>2]=m+-1,(m|0)==1):0)aU(l);f[g>>2]=0;g=l+16|0;m=l+4|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;if((f[m>>2]|0)>0){g=f[l+40>>2]|0;d=0;do{f[g+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[m>>2]|0))}m=f[l+44>>2]|0;if((m|0)!=(l+48|0))TC(m);if(!(f[k+4>>2]|0)){u=j;return}u=j;return}function Fma(a,c,d,e,g,h,i,j,k,l){a=a|0;c=c|0;d=d|0;e=+e;g=+g;h=+h;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;m=u;u=u+128|0;n=m+120|0;o=m+64|0;p=m+32|0;q=m+16|0;r=m;gV(n,59952);do if((qJ(a)|0)==65536){s=f[a+4>>2]|0;f[o>>2]=f[s>>2];t=o+4|0;v=s+4|0;f[t>>2]=f[v>>2];w=o+8|0;f[w>>2]=f[s+8>>2];f[o+12>>2]=f[s+12>>2];f[o+16>>2]=f[s+16>>2];f[o+20>>2]=f[s+20>>2];f[o+24>>2]=f[s+24>>2];f[o+28>>2]=f[s+28>>2];f[o+32>>2]=f[s+32>>2];x=f[s+36>>2]|0;f[o+36>>2]=x;f[o+40>>2]=w;w=o+48|0;y=o+44|0;f[y>>2]=w;f[w>>2]=0;f[o+52>>2]=0;if(x|0){w=x+12|0;f[w>>2]=(f[w>>2]|0)+1}if((f[v>>2]|0)<3){v=f[s+44>>2]|0;w=f[y>>2]|0;f[w>>2]=f[v>>2];f[w+4>>2]=f[v+4>>2];break}else{f[t>>2]=0;$T(o,s);break}}else nJ(o,a,-1);while(0);if((k|0)==16)z=(f[o>>2]&7|0)==0?16:8;else z=k;if((f[d>>2]|0)<=-1){f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;A=cuc(112)|0;f[p>>2]=A;B=p+8|0;f[B>>2]=-2147483536;C=p+4|0;f[C>>2]=100;D=A;E=269330;F=D+100|0;do{b[D>>0]=b[E>>0]|0;D=D+1|0;E=E+1|0}while((D|0)<(F|0));G=A+100|0;b[G>>0]=0;WD(-215,p,269431,268559,1927)}k=d+4|0;if(!((l|0)<17&((j|0)<32768?(f[k>>2]|l|0)>-1:0))){f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;A=cuc(112)|0;f[p>>2]=A;B=p+8|0;f[B>>2]=-2147483536;C=p+4|0;f[C>>2]=100;D=A;E=269330;F=D+100|0;do{b[D>>0]=b[E>>0]|0;D=D+1|0;E=E+1|0}while((D|0)<(F|0));G=A+100|0;b[G>>0]=0;WD(-215,p,269431,268559,1927)}e_(i,p,f[o>>2]&4095,0);i=Fhc(e)|0;G=Fhc(g)|0;A=Fhc(h)|0;E=f[c>>2]|0;D=f[c+4>>2]|0;c=f[d>>2]|0;d=f[k>>2]|0;k=16-l|0;l=yzc(E|0,((E|0)<0)<<31>>31|0,k|0)|0;E=J;F=yzc(D|0,((D|0)<0)<<31>>31|0,k|0)|0;D=J;C=yzc(c|0,((c|0)<0)<<31>>31|0,k|0)|0;c=J;B=yzc(d|0,((d|0)<0)<<31>>31|0,k|0)|0;k=q;f[k>>2]=l;f[k+4>>2]=E;E=q+8|0;f[E>>2]=F;f[E+4>>2]=D;D=r;f[D>>2]=C;f[D+4>>2]=c;c=r+8|0;f[c>>2]=B;f[c+4>>2]=J;pma(o,q,r,i,G,A,p,j,z);z=o+36|0;j=f[z>>2]|0;if(j|0?(p=j+12|0,j=f[p>>2]|0,f[p>>2]=j+-1,(j|0)==1):0)aU(o);f[z>>2]=0;z=o+16|0;j=o+4|0;f[z>>2]=0;f[z+4>>2]=0;f[z+8>>2]=0;f[z+12>>2]=0;if((f[j>>2]|0)>0){z=f[o+40>>2]|0;p=0;do{f[z+(p<<2)>>2]=0;p=p+1|0}while((p|0)<(f[j>>2]|0))}j=f[o+44>>2]|0;if((j|0)!=(o+48|0))TC(j);if(!(f[n+4>>2]|0)){u=m;return}u=m;return}function Gma(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0.0,E=0.0;h=u;u=u+128|0;i=h+120|0;j=h+64|0;k=h+32|0;l=h+16|0;m=h;gV(i,59972);do if((qJ(a)|0)==65536){o=f[a+4>>2]|0;f[j>>2]=f[o>>2];p=j+4|0;q=o+4|0;f[p>>2]=f[q>>2];r=j+8|0;f[r>>2]=f[o+8>>2];f[j+12>>2]=f[o+12>>2];f[j+16>>2]=f[o+16>>2];f[j+20>>2]=f[o+20>>2];f[j+24>>2]=f[o+24>>2];f[j+28>>2]=f[o+28>>2];f[j+32>>2]=f[o+32>>2];s=f[o+36>>2]|0;f[j+36>>2]=s;f[j+40>>2]=r;r=j+48|0;t=j+44|0;f[t>>2]=r;f[r>>2]=0;f[j+52>>2]=0;if(s|0){r=s+12|0;f[r>>2]=(f[r>>2]|0)+1}if((f[q>>2]|0)<3){q=f[o+44>>2]|0;r=f[t>>2]|0;f[r>>2]=f[q>>2];f[r+4>>2]=f[q+4>>2];break}else{f[p>>2]=0;$T(j,o);break}}else nJ(j,a,-1);while(0);if((g|0)==16)v=(f[j>>2]&7|0)==0?16:8;else v=g;g=c+8|0;if(!(+n[g>>2]>=0.0)){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;w=cuc(80)|0;f[k>>2]=w;x=k+8|0;f[x>>2]=-2147483568;y=k+4|0;f[y>>2]=73;z=w;A=269542;B=z+73|0;do{b[z>>0]=b[A>>0]|0;z=z+1|0;A=A+1|0}while((z|0)<(B|0));C=w+73|0;b[C>>0]=0;WD(-215,k,269431,268559,1957)}a=c+12|0;if(!((e|0)<32768&+n[a>>2]>=0.0)){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;w=cuc(80)|0;f[k>>2]=w;x=k+8|0;f[x>>2]=-2147483568;y=k+4|0;f[y>>2]=73;z=w;A=269542;B=z+73|0;do{b[z>>0]=b[A>>0]|0;z=z+1|0;A=A+1|0}while((z|0)<(B|0));C=w+73|0;b[C>>0]=0;WD(-215,k,269431,268559,1957)}e_(d,k,f[j>>2]&4095,0);d=Ghc(+n[c+16>>2])|0;D=+n[c>>2];C=Ghc(D)|0;E=+n[c+4>>2];c=Ghc(E)|0;w=yzc(C|0,((C|0)<0)<<31>>31|0,16)|0;A=J;z=Ghc((D-+(C|0))*65536.0)|0;C=hzc(z|0,((z|0)<0)<<31>>31|0,w|0,A|0)|0;A=J;w=yzc(c|0,((c|0)<0)<<31>>31|0,16)|0;z=J;B=Ghc((E-+(c|0))*65536.0)|0;c=hzc(B|0,((B|0)<0)<<31>>31|0,w|0,z|0)|0;z=J;E=+n[g>>2];g=Ghc(E)|0;D=+n[a>>2];a=Ghc(D)|0;w=yzc(g|0,((g|0)<0)<<31>>31|0,15)|0;B=J;y=Ghc((E-+(g|0))*32768.0)|0;g=hzc(y|0,((y|0)<0)<<31>>31|0,w|0,B|0)|0;B=J;w=yzc(a|0,((a|0)<0)<<31>>31|0,15)|0;y=J;x=Ghc((D-+(a|0))*32768.0)|0;a=hzc(x|0,((x|0)<0)<<31>>31|0,w|0,y|0)|0;y=l;f[y>>2]=C;f[y+4>>2]=A;A=l+8|0;f[A>>2]=c;f[A+4>>2]=z;z=m;f[z>>2]=g;f[z+4>>2]=B;B=m+8|0;f[B>>2]=a;f[B+4>>2]=J;pma(j,l,m,d,0,360,k,e,v);v=j+36|0;e=f[v>>2]|0;if(e|0?(k=e+12|0,e=f[k>>2]|0,f[k>>2]=e+-1,(e|0)==1):0)aU(j);f[v>>2]=0;v=j+16|0;e=j+4|0;f[v>>2]=0;f[v+4>>2]=0;f[v+8>>2]=0;f[v+12>>2]=0;if((f[e>>2]|0)>0){v=f[j+40>>2]|0;k=0;do{f[v+(k<<2)>>2]=0;k=k+1|0}while((k|0)<(f[e>>2]|0))}e=f[j+44>>2]|0;if((e|0)!=(j+48|0))TC(e);if(!(f[i+4>>2]|0)){u=h;return}u=h;return}function Hma(a,c,d,e,g,i,j,k,l){a=a|0;c=c|0;d=d|0;e=e|0;g=+g;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0;m=u;u=u+144|0;n=m+16|0;o=m+128|0;p=m+72|0;q=m+56|0;r=m+52|0;s=m+48|0;t=m;gV(o,59992);v=c+11|0;w=b[v>>0]|0;x=c+4|0;if((w<<24>>24<0?f[x>>2]|0:w&255)|0){do if((qJ(a)|0)==65536){w=f[a+4>>2]|0;f[p>>2]=f[w>>2];y=p+4|0;z=w+4|0;f[y>>2]=f[z>>2];A=p+8|0;f[A>>2]=f[w+8>>2];f[p+12>>2]=f[w+12>>2];f[p+16>>2]=f[w+16>>2];f[p+20>>2]=f[w+20>>2];f[p+24>>2]=f[w+24>>2];f[p+28>>2]=f[w+28>>2];f[p+32>>2]=f[w+32>>2];B=f[w+36>>2]|0;f[p+36>>2]=B;f[p+40>>2]=A;A=p+48|0;C=p+44|0;f[C>>2]=A;f[A>>2]=0;f[p+52>>2]=0;if(B|0){A=B+12|0;f[A>>2]=(f[A>>2]|0)+1}if((f[z>>2]|0)<3){z=f[w+44>>2]|0;A=f[C>>2]|0;f[A>>2]=f[z>>2];f[A+4>>2]=f[z+4>>2];break}else{f[y>>2]=0;$T(p,w);break}}else nJ(p,a,-1);while(0);a=(e&16|0)!=0;switch(e&15){case 0:{D=64492;break}case 1:{D=a?60012:60396;break}case 2:{D=64108;break}case 3:{D=a?60780:61164;break}case 4:{D=a?61804:62188;break}case 5:{D=a?62572:62956;break}case 6:{D=63724;break}case 7:{D=63340;break}default:{a=cuc(32)|0;f[n>>2]=a;f[n+8>>2]=-2147483616;f[n+4>>2]=17;w=a;y=269702;z=w+17|0;do{b[w>>0]=b[y>>0]|0;w=w+1|0;y=y+1|0}while((w|0)<(z|0));b[a+17>>0]=0;WD(-211,n,269720,268559,2211)}}e_(i,n,f[p>>2]&4095,0);i=0-(f[D>>2]&15)|0;a=Fhc(g*65536.0)|0;if((k|0)==16)E=(f[p>>2]&7|0)==0?16:8;else E=k;k=l?0-a|0:a;l=f[d>>2]|0;y=f[d+4>>2]|0;d=yzc(y|0,((y|0)<0)<<31>>31|0,16)|0;y=Y(k,i)|0;i=hzc(d|0,J|0,y|0,((y|0)<0)<<31>>31|0)|0;y=J;f[q>>2]=0;d=q+4|0;f[d>>2]=0;f[q+8>>2]=0;w=q+8|0;z=cuc(16384)|0;A=z;f[q>>2]=A;f[d>>2]=A;f[w>>2]=z+16384;f[r>>2]=0;A=b[v>>0]|0;if(((A<<24>>24<0?f[x>>2]|0:A&255)|0)>0){C=yzc(l|0,((l|0)<0)<<31>>31|0,16)|0;l=((a|0)<0)<<31>>31;B=((k|0)<0)<<31>>31;F=t+8|0;G=A;A=0;H=C;C=J;while(1){f[s>>2]=h[(G<<24>>24<0?f[c>>2]|0:c)+A>>0];Ima(s,r,c,e);I=f[65040+(f[D+((f[s>>2]|0)+-31<<2)>>2]<<2)>>2]|0;K=(h[I>>0]|0)+-82|0;L=(h[I+1>>0]|0)+-82|0;M=Bzc(L|0,((L|0)<0)<<31>>31|0,a|0,l|0)|0;L=J;N=Bzc(K|0,((K|0)<0)<<31>>31|0,a|0,l|0)|0;K=gzc(H|0,C|0,N|0,J|0)|0;N=J;O=f[d>>2]|0;P=f[q>>2]|0;Q=O;if(!((O|0)==(P|0)|(Q|0)==(P|0)))f[d>>2]=Q+(~((Q+-16-P|0)>>>4)<<4);P=I+2|0;a:while(1){I=b[P>>0]|0;switch(I<<24>>24){case 0:case 32:break;default:{Q=(I&255)+-82|0;O=(h[P+1>>0]|0)+-82|0;R=hzc(Bzc(Q|0,((Q|0)<0)<<31>>31|0,a|0,l|0)|0,J|0,K|0,N|0)|0;Q=J;S=hzc(i|0,y|0,Bzc(O|0,((O|0)<0)<<31>>31|0,k|0,B|0)|0,J|0)|0;O=t;f[O>>2]=R;f[O+4>>2]=Q;O=F;f[O>>2]=S;f[O+4>>2]=J;O=f[d>>2]|0;if(O>>>0<(f[w>>2]|0)>>>0){S=O;f[S>>2]=R;f[S+4>>2]=Q;Q=F;S=f[Q+4>>2]|0;R=O+8|0;f[R>>2]=f[Q>>2];f[R+4>>2]=S;f[d>>2]=O+16}else Jma(q,t);P=P+2|0;continue a}}O=f[q>>2]|0;S=(f[d>>2]|0)-O>>4;if(S>>>0>1){sma(p,O,S,0,n,j,E,16);T=b[P>>0]|0}else T=I;if(!(T<<24>>24))break;I=P+1|0;S=f[d>>2]|0;O=f[q>>2]|0;R=S;if((S|0)==(O|0)|(R|0)==(O|0)){P=I;continue}f[d>>2]=R+(~((R+-16-O|0)>>>4)<<4);P=I}H=hzc(K|0,N|0,M|0,L|0)|0;A=(f[r>>2]|0)+1|0;f[r>>2]=A;G=b[v>>0]|0;if((A|0)>=((G<<24>>24<0?f[x>>2]|0:G&255)|0))break;else C=J}C=f[q>>2]|0;if(C|0){U=C;V=C;W=24}}else{U=z;V=z;W=24}if((W|0)==24){W=f[d>>2]|0;if((W|0)!=(U|0))f[d>>2]=W+(~((W+-16-U|0)>>>4)<<4);fuc(V)}V=p+36|0;U=f[V>>2]|0;if(U|0?(W=U+12|0,U=f[W>>2]|0,f[W>>2]=U+-1,(U|0)==1):0)aU(p);f[V>>2]=0;V=p+16|0;U=p+4|0;f[V>>2]=0;f[V+4>>2]=0;f[V+8>>2]=0;f[V+12>>2]=0;if((f[U>>2]|0)>0){V=f[p+40>>2]|0;W=0;do{f[V+(W<<2)>>2]=0;W=W+1|0}while((W|0)<(f[U>>2]|0))}U=f[p+44>>2]|0;if((U|0)!=(p+48|0))TC(U)}if(!(f[o+4>>2]|0)){u=m;return}u=m;return}function Ima(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;g=f[a>>2]|0;if((e|0)==3&(g|0)>127){switch(g|0){case 208:{e=(f[c>>2]|0)+1|0;i=(b[d+11>>0]|0)<0;if(((b[(i?f[d>>2]|0:d)+e>>0]|0)+112&255)<48){f[c>>2]=e;j=175;k=127;l=(h[(i?f[d>>2]|0:d)+e>>0]|0)+-17|0}else m=8;break}case 209:{e=(f[c>>2]|0)+1|0;i=(b[d+11>>0]|0)<0;n=b[(i?f[d>>2]|0:d)+e>>0]|0;if(n<<24>>24<0&(n&255)<144){f[c>>2]=e;j=191;k=175;l=(h[(i?f[d>>2]|0:d)+e>>0]|0)+47|0}else m=8;break}default:if((g|0)>191)m=8;else{j=127;k=32;l=63}}if((m|0)==8){m=(f[c>>2]|0)+1|0;if(!(b[((b[d+11>>0]|0)<0?f[d>>2]|0:d)+m>>0]|0))o=g;else{f[c>>2]=m;o=f[a>>2]|0}if((o|0)>223){m=f[c>>2]|0;e=m+1|0;i=(b[d+11>>0]|0)<0;if(!(b[(i?f[d>>2]|0:d)+e>>0]|0)){p=o;q=m}else{f[c>>2]=e;p=f[a>>2]|0;q=e}if((p|0)>239){e=q+1|0;if(!(b[(i?f[d>>2]|0:d)+e>>0]|0)){r=p;s=q}else{f[c>>2]=e;r=f[a>>2]|0;s=e}if((r|0)>247){e=s+1|0;if(!(b[(i?f[d>>2]|0:d)+e>>0]|0)){t=r;u=s}else{f[c>>2]=e;t=f[a>>2]|0;u=e}if((t|0)>251?(t=u+1|0,(b[(i?f[d>>2]|0:d)+t>>0]|0)!=0):0){f[c>>2]=t;j=127;k=32;l=63}else{j=127;k=32;l=63}}else{j=127;k=32;l=63}}else{j=127;k=32;l=63}}else{j=127;k=32;l=63}}f[a>>2]=l;v=j;w=k;x=l}else{v=127;w=32;x=g}if(!((x|0)>=(v|0)|(x|0)<(w|0)))return;f[a>>2]=63;return}function Jma(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;c=a+4|0;d=f[c>>2]|0;e=f[a>>2]|0;g=d-e>>4;h=g+1|0;i=e;j=d;if(h>>>0>268435455)nsc(a);d=a+8|0;k=(f[d>>2]|0)-e|0;l=k>>3;m=k>>4>>>0<134217727?(l>>>0<h>>>0?h:l):268435455;do if(m)if(m>>>0>268435455){l=ze(8)|0;kuc(l,519086);f[l>>2]=167148;Hf(l|0,26888,1888)}else{n=cuc(m<<4)|0;break}else n=0;while(0);l=n+(g<<4)|0;h=n+(m<<4)|0;m=b;k=f[m+4>>2]|0;o=l;f[o>>2]=f[m>>2];f[o+4>>2]=k;k=b+8|0;b=f[k+4>>2]|0;o=n+(g<<4)+8|0;f[o>>2]=f[k>>2];f[o+4>>2]=b;b=l+16|0;if((j|0)==(i|0))p=l;else{o=j+-16-e|0;k=j;j=l;while(1){g=k;k=k+-16|0;n=k;m=f[n+4>>2]|0;q=j+-16|0;f[q>>2]=f[n>>2];f[q+4>>2]=m;m=g+-8|0;g=f[m+4>>2]|0;q=j+-8|0;f[q>>2]=f[m>>2];f[q+4>>2]=g;if((k|0)==(i|0))break;else j=j+-16|0}p=l+(~(o>>>4)<<4)|0}f[a>>2]=p;f[c>>2]=b;f[d>>2]=h;if(!e)return;fuc(e);return}function Kma(a,c,d,e,g,h,i,j,k){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0.0,pa=0.0,qa=0.0,ra=0.0;l=u;u=u+368|0;m=l+312|0;n=l+96|0;o=l+64|0;q=l+304|0;r=l+248|0;s=l+192|0;t=l+160|0;v=l+148|0;w=l+136|0;x=l+32|0;y=l;z=l+128|0;gV(q,64876);do if((qJ(a)|0)==65536){A=f[a+4>>2]|0;f[r>>2]=f[A>>2];B=r+4|0;C=A+4|0;f[B>>2]=f[C>>2];D=r+8|0;f[D>>2]=f[A+8>>2];f[r+12>>2]=f[A+12>>2];f[r+16>>2]=f[A+16>>2];f[r+20>>2]=f[A+20>>2];f[r+24>>2]=f[A+24>>2];f[r+28>>2]=f[A+28>>2];f[r+32>>2]=f[A+32>>2];E=f[A+36>>2]|0;f[r+36>>2]=E;f[r+40>>2]=D;D=r+48|0;F=r+44|0;f[F>>2]=D;f[D>>2]=0;f[r+52>>2]=0;if(E|0){D=E+12|0;f[D>>2]=(f[D>>2]|0)+1}if((f[C>>2]|0)<3){C=f[A+44>>2]|0;D=f[F>>2]|0;f[D>>2]=f[C>>2];f[D+4>>2]=f[C+4>>2];break}else{f[B>>2]=0;$T(r,A);break}}else nJ(r,a,-1);while(0);do if((qJ(i)|0)==65536){a=f[i+4>>2]|0;f[s>>2]=f[a>>2];A=s+4|0;B=a+4|0;f[A>>2]=f[B>>2];C=s+8|0;f[C>>2]=f[a+8>>2];f[s+12>>2]=f[a+12>>2];f[s+16>>2]=f[a+16>>2];f[s+20>>2]=f[a+20>>2];f[s+24>>2]=f[a+24>>2];f[s+28>>2]=f[a+28>>2];f[s+32>>2]=f[a+32>>2];D=f[a+36>>2]|0;f[s+36>>2]=D;f[s+40>>2]=C;C=s+48|0;F=s+44|0;f[F>>2]=C;f[C>>2]=0;f[s+52>>2]=0;if(D|0){C=D+12|0;f[C>>2]=(f[C>>2]|0)+1}if((f[B>>2]|0)<3){B=f[a+44>>2]|0;C=f[F>>2]|0;f[C>>2]=f[B>>2];f[C+4>>2]=f[B+4>>2];break}else{f[A>>2]=0;$T(s,a);break}}else nJ(s,i,-1);while(0);i=f[r+8>>2]|0;a=r+4|0;A=(f[a>>2]|0)==1?1:f[r+12>>2]|0;B=f[r>>2]|0;C=r+16|0;F=f[C>>2]|0;f[t+8>>2]=0;f[t+12>>2]=0;f[t+16>>2]=F;f[t+20>>2]=i;f[t+24>>2]=A;A=r+44|0;f[t+4>>2]=f[f[A>>2]>>2];f[t>>2]=B&20479|1111621632;B=BJ(c,-1)|0;f[v>>2]=0;i=v+4|0;f[i>>2]=0;f[v+8>>2]=0;f[w>>2]=0;F=w+4|0;f[F>>2]=0;f[w+8>>2]=0;if(B|0){Lma(v,B);D=f[F>>2]|0;E=f[w>>2]|0;G=(D-E|0)/20|0;H=E;E=D;if(B>>>0<=G>>>0){if(B>>>0<G>>>0?(D=H+(B*20|0)|0,(E|0)!=(D|0)):0)f[F>>2]=E+(~(((E+-20-D|0)>>>0)/20|0)*20|0)}else Mma(w,B-G|0);G=f[v>>2]|0;D=0;do{f[G+(D*56|0)+52>>2]=0;D=D+1|0}while((D|0)!=(B|0));D=(d|0)>-1;do if(D)if((B|0)>(d|0)){I=d;J=d+1|0;K=28;break}else{f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;G=cuc(48)|0;f[m>>2]=G;f[m+8>>2]=-2147483600;f[m+4>>2]=41;L=G;M=269827;N=L+41|0;do{b[L>>0]=b[M>>0]|0;L=L+1|0;M=M+1|0}while((L|0)<(N|0));b[G+41>>0]=0;WD(-215,m,269869,268559,2499)}else if(!B){O=0;P=B;Q=0}else{I=0;J=B;K=28}while(0);a:do if((K|0)==28){d=c+4|0;E=m+4|0;H=m+8|0;R=m+12|0;S=m+16|0;T=m+20|0;U=m+24|0;V=m+28|0;W=m+32|0;X=m+36|0;Z=m+40|0;_=m+48|0;$=m+44|0;aa=m+52|0;ba=I;while(1){do if((ba|0)<0&(qJ(c)|0)==65536){ca=f[d>>2]|0;f[m>>2]=f[ca>>2];da=ca+4|0;f[E>>2]=f[da>>2];f[H>>2]=f[ca+8>>2];f[R>>2]=f[ca+12>>2];f[S>>2]=f[ca+16>>2];f[T>>2]=f[ca+20>>2];f[U>>2]=f[ca+24>>2];f[V>>2]=f[ca+28>>2];f[W>>2]=f[ca+32>>2];ea=f[ca+36>>2]|0;f[X>>2]=ea;f[Z>>2]=H;f[$>>2]=_;f[_>>2]=0;f[aa>>2]=0;if(ea|0){fa=ea+12|0;f[fa>>2]=(f[fa>>2]|0)+1}if((f[da>>2]|0)<3){da=f[ca+44>>2]|0;fa=f[$>>2]|0;f[fa>>2]=f[da>>2];f[fa+4>>2]=f[da+4>>2];break}else{f[E>>2]=0;$T(m,ca);break}}else nJ(m,c,ba);while(0);if(f[S>>2]|0){ca=f[E>>2]|0;if((ca|0)<3)ga=Y(f[R>>2]|0,f[H>>2]|0)|0;else{da=f[Z>>2]|0;fa=0;ea=1;while(1){ha=Y(f[da+(fa<<2)>>2]|0,ea)|0;fa=fa+1|0;if((fa|0)==(ca|0)){ga=ha;break}else ea=ha}}if(!((ca|0)==0|(ga|0)==0)){ea=qU(m,2,4,1)|0;if((ea|0)<=0)break;JK(20492,56,8,f[S>>2]|0,ea,(f[v>>2]|0)+(ba*56|0)|0,(f[w>>2]|0)+(ba*20|0)|0)|0}}ea=f[X>>2]|0;if(ea|0?(fa=ea+12|0,ea=f[fa>>2]|0,f[fa>>2]=ea+-1,(ea|0)==1):0)aU(m);f[X>>2]=0;f[S>>2]=0;f[S+4>>2]=0;f[S+8>>2]=0;f[S+12>>2]=0;if((f[E>>2]|0)>0){ea=f[Z>>2]|0;fa=0;do{f[ea+(fa<<2)>>2]=0;fa=fa+1|0}while((fa|0)<(f[E>>2]|0))}fa=f[$>>2]|0;if((fa|0)!=(_|0))TC(fa);ba=ba+1|0;if(ba>>>0>=J>>>0){O=I;P=J;Q=1;break a}}f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;ba=cuc(16)|0;f[n>>2]=ba;f[n+8>>2]=-2147483632;f[n+4>>2]=11;L=ba;M=269882;N=L+11|0;do{b[L>>0]=b[M>>0]|0;L=L+1|0;M=M+1|0}while((L|0)<(N|0));b[ba+11>>0]=0;WD(-215,n,269869,268559,2510)}while(0);J=f[s+16>>2]|0;do if(J){I=f[s+4>>2]|0;ga=(I|0)<3;if(ga)ia=Y(f[s+12>>2]|0,f[s+8>>2]|0)|0;else{_=f[s+40>>2]|0;$=0;E=1;while(1){Z=Y(f[_+($<<2)>>2]|0,E)|0;$=$+1|0;if(($|0)==(I|0)){ia=Z;break}else E=Z}}if(!((j|0)==0|((I|0)==0|(ia|0)==0))){E=P-O|0;if(ga)ja=Y(f[s+12>>2]|0,f[s+8>>2]|0)|0;else{$=f[s+40>>2]|0;_=0;ba=1;while(1){Z=Y(f[$+(_<<2)>>2]|0,ba)|0;_=_+1|0;if((_|0)==(I|0)){ja=Z;break}else ba=Z}}if((ja|0)!=(B|0)){f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;ka=cuc(64)|0;f[m>>2]=ka;la=m+8|0;f[la>>2]=-2147483584;ma=m+4|0;f[ma>>2]=62;L=ka;M=269894;N=L+62|0;do{b[L>>0]=b[M>>0]|0;L=L+1|0;M=M+1|0}while((L|0)<(N|0));na=ka+62|0;b[na>>0]=0;WD(-215,m,269869,268559,2524)}if((f[s>>2]&4095|0)!=28){f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;ka=cuc(64)|0;f[m>>2]=ka;la=m+8|0;f[la>>2]=-2147483584;ma=m+4|0;f[ma>>2]=62;L=ka;M=269894;N=L+62|0;do{b[L>>0]=b[M>>0]|0;L=L+1|0;M=M+1|0}while((L|0)<(N|0));na=ka+62|0;b[na>>0]=0;WD(-215,m,269869,268559,2524)}if((E|0)!=(B|0)){ba=f[J+(O<<4)+8>>2]|0;if((ba|0)<=-1)break;Nma(c,B,J,ba,v,w);I=f[v>>2]|0;f[I+(O*56|0)+20>>2]=I+(ba*56|0);break}if(Q){ba=f[v>>2]|0;I=O;do{_=f[J+(I<<4)>>2]|0;$=f[J+(I<<4)+4>>2]|0;ga=f[J+(I<<4)+8>>2]|0;Z=f[J+(I<<4)+12>>2]|0;f[ba+(I*56|0)+12>>2]=_>>>0<B>>>0?ba+(_*56|0)|0:0;f[ba+(I*56|0)+8>>2]=$>>>0<B>>>0?ba+($*56|0)|0:0;f[ba+(I*56|0)+20>>2]=ga>>>0<B>>>0?ba+(ga*56|0)|0:0;f[ba+(I*56|0)+16>>2]=Z>>>0<B>>>0?ba+(Z*56|0)|0:0;I=I+1|0}while((I|0)!=(P|0))}}else K=60}else K=60;while(0);if((K|0)==60?Q:0){Q=P+-1|0;K=f[v>>2]|0;B=O;do{J=B;B=B+1|0;f[K+(J*56|0)+12>>2]=J>>>0<Q>>>0?K+(B*56|0)|0:0;f[K+(J*56|0)+8>>2]=J>>>0>O>>>0?K+((J+-1|0)*56|0)|0:0}while((B|0)!=(P|0))}P=(f[v>>2]|0)+(O*56|0)|0;oa=+p[e>>3];p[x>>3]=oa;pa=+p[e+8>>3];p[x+8>>3]=pa;qa=+p[e+16>>3];p[x+16>>3]=qa;ra=+p[e+24>>3];p[x+24>>3]=ra;p[y>>3]=oa;p[y+8>>3]=pa;p[y+16>>3]=qa;p[y+24>>3]=ra;e=f[k+4>>2]|0;f[z>>2]=f[k>>2];f[z+4>>2]=e;f[o>>2]=f[x>>2];f[o+4>>2]=f[x+4>>2];f[o+8>>2]=f[x+8>>2];f[o+12>>2]=f[x+12>>2];f[o+16>>2]=f[x+16>>2];f[o+20>>2]=f[x+20>>2];f[o+24>>2]=f[x+24>>2];f[o+28>>2]=f[x+28>>2];f[n>>2]=f[y>>2];f[n+4>>2]=f[y+4>>2];f[n+8>>2]=f[y+8>>2];f[n+12>>2]=f[y+12>>2];f[n+16>>2]=f[y+16>>2];f[n+20>>2]=f[y+20>>2];f[n+24>>2]=f[y+24>>2];f[n+28>>2]=f[y+28>>2];f[m>>2]=f[z>>2];f[m+4>>2]=f[z+4>>2];Oma(t,P,o,n,D?0-j|0:j,g,h,m);m=f[w>>2]|0;if(m|0){w=f[F>>2]|0;if((w|0)!=(m|0))f[F>>2]=w+(~(((w+-20-m|0)>>>0)/20|0)*20|0);fuc(m)}}m=f[v>>2]|0;if(m|0){v=f[i>>2]|0;if((v|0)!=(m|0))f[i>>2]=v+(~(((v+-56-m|0)>>>0)/56|0)*56|0);fuc(m)}m=s+36|0;v=f[m>>2]|0;if(v|0?(i=v+12|0,v=f[i>>2]|0,f[i>>2]=v+-1,(v|0)==1):0)aU(s);f[m>>2]=0;m=s+16|0;v=s+4|0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;if((f[v>>2]|0)>0){m=f[s+40>>2]|0;i=0;do{f[m+(i<<2)>>2]=0;i=i+1|0}while((i|0)<(f[v>>2]|0))}v=f[s+44>>2]|0;if((v|0)!=(s+48|0))TC(v);v=r+36|0;s=f[v>>2]|0;if(s|0?(i=s+12|0,s=f[i>>2]|0,f[i>>2]=s+-1,(s|0)==1):0)aU(r);f[v>>2]=0;f[C>>2]=0;f[C+4>>2]=0;f[C+8>>2]=0;f[C+12>>2]=0;if((f[a>>2]|0)>0){C=f[r+40>>2]|0;v=0;do{f[C+(v<<2)>>2]=0;v=v+1|0}while((v|0)<(f[a>>2]|0))}a=f[A>>2]|0;if((a|0)!=(r+48|0))TC(a);if(!(f[q+4>>2]|0)){u=l;return}u=l;return}function Lma(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(((d-g|0)/56|0)>>>0>=b>>>0){h=b;i=g;do{j=i;k=j+56|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));i=(f[e>>2]|0)+56|0;f[e>>2]=i;h=h+-1|0}while((h|0)!=0);return}h=f[a>>2]|0;i=(g-h|0)/56|0;g=i+b|0;if(g>>>0>76695844)nsc(a);l=(d-h|0)/56|0;h=l<<1;d=l>>>0<38347922?(h>>>0<g>>>0?g:h):76695844;do if(d)if(d>>>0>76695844){h=ze(8)|0;kuc(h,519086);f[h>>2]=167148;Hf(h|0,26888,1888)}else{m=cuc(d*56|0)|0;break}else m=0;while(0);h=m+(i*56|0)|0;i=m+(d*56|0)|0;d=b;b=h;m=h;do{j=b;k=j+56|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));b=m+56|0;m=b;d=d+-1|0}while((d|0)!=0);d=f[a>>2]|0;b=(f[e>>2]|0)-d|0;j=h+(((b|0)/-56|0)*56|0)|0;if((b|0)>0)szc(j|0,d|0,b|0)|0;f[a>>2]=j;f[e>>2]=m;f[c>>2]=i;if(!d)return;fuc(d);return}function Mma(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(((d-g|0)/20|0)>>>0>=b>>>0){h=b;i=g;do{f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;f[i+16>>2]=0;i=(f[e>>2]|0)+20|0;f[e>>2]=i;h=h+-1|0}while((h|0)!=0);return}h=f[a>>2]|0;i=(g-h|0)/20|0;g=i+b|0;if(g>>>0>214748364)nsc(a);j=(d-h|0)/20|0;h=j<<1;d=j>>>0<107374182?(h>>>0<g>>>0?g:h):214748364;do if(d)if(d>>>0>214748364){h=ze(8)|0;kuc(h,519086);f[h>>2]=167148;Hf(h|0,26888,1888)}else{k=cuc(d*20|0)|0;break}else k=0;while(0);h=k+(i*20|0)|0;i=k+(d*20|0)|0;d=b;b=h;k=h;do{f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;f[b+16>>2]=0;b=k+20|0;k=b;d=d+-1|0}while((d|0)!=0);d=f[a>>2]|0;b=(f[e>>2]|0)-d|0;g=h+(((b|0)/-20|0)*20|0)|0;if((b|0)>0)szc(g|0,d|0,b|0)|0;f[a>>2]=g;f[e>>2]=k;f[c>>2]=i;if(!d)return;fuc(d);return}function Nma(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;h=u;u=u+64|0;i=h;if((d|0)<=-1){u=h;return}j=i+16|0;k=i+4|0;l=i+8|0;m=i+12|0;n=i+36|0;o=i+40|0;p=i+44|0;q=i+48|0;r=d;do{nJ(i,a,r);d=f[j>>2]|0;s=f[k>>2]|0;if(!d)t=0;else{if((s|0)<3)v=Y(f[m>>2]|0,f[l>>2]|0)|0;else{w=f[o>>2]|0;x=0;y=1;while(1){z=Y(f[w+(x<<2)>>2]|0,y)|0;x=x+1|0;if((x|0)==(s|0)){v=z;break}else y=z}}t=(s|0)==0|(v|0)==0?0:d}if((s|0)<3)A=Y(f[m>>2]|0,f[l>>2]|0)|0;else{y=f[o>>2]|0;x=0;w=1;while(1){z=Y(f[y+(x<<2)>>2]|0,w)|0;x=x+1|0;if((x|0)==(s|0)){A=z;break}else w=z}}JK(20492,56,8,t,A,(f[e>>2]|0)+(r*56|0)|0,(f[g>>2]|0)+(r*20|0)|0)|0;w=c+(r<<4)|0;s=f[w>>2]|0;x=f[c+(r<<4)+4>>2]|0;y=f[c+(r<<4)+8>>2]|0;d=f[c+(r<<4)+12>>2]|0;z=f[e>>2]|0;f[z+(r*56|0)+12>>2]=(s|0)>-1&(s|0)<(b|0)?z+(s*56|0)|0:0;s=f[e>>2]|0;f[s+(r*56|0)+8>>2]=(x|0)>-1&(x|0)<(b|0)?s+(x*56|0)|0:0;x=(y|0)>-1;s=f[e>>2]|0;f[s+(r*56|0)+20>>2]=x&(y|0)<(b|0)?s+(y*56|0)|0:0;s=f[e>>2]|0;f[s+(r*56|0)+16>>2]=(d|0)>-1&(d|0)<(b|0)?s+(d*56|0)|0:0;if(x)Nma(a,b,c,y,e,g);y=f[n>>2]|0;if(y|0?(x=y+12|0,y=f[x>>2]|0,f[x>>2]=y+-1,(y|0)==1):0)aU(i);f[n>>2]=0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;if((f[k>>2]|0)>0){y=f[o>>2]|0;x=0;do{f[y+(x<<2)>>2]=0;x=x+1|0}while((x|0)<(f[k>>2]|0))}x=f[p>>2]|0;if((x|0)!=(q|0))TC(x);r=f[w>>2]|0}while((r|0)>-1);u=h;return}function Oma(a,c,d,e,g,i,j,k){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0.0,J=0.0,K=0.0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0;l=u;u=u+384|0;m=l+368|0;n=l+356|0;o=l+344|0;q=l+208|0;r=l+176|0;s=l+288|0;t=l+144|0;v=l+112|0;w=l+256|0;x=l+80|0;y=l+96|0;z=l+64|0;A=l+48|0;B=l+32|0;C=l+248|0;D=l+16|0;E=l;F=l+240|0;f[n>>2]=0;G=n+4|0;f[G>>2]=0;f[n+8>>2]=0;f[o>>2]=0;H=o+4|0;f[H>>2]=0;f[o+8>>2]=0;I=+p[d+8>>3];J=+p[d+16>>3];K=+p[d+24>>3];p[q>>3]=+p[d>>3];p[q+8>>3]=I;p[q+16>>3]=J;p[q+24>>3]=K;K=+p[e+8>>3];J=+p[e+16>>3];I=+p[e+24>>3];p[r>>3]=+p[e>>3];p[r+8>>3]=K;p[r+16>>3]=J;p[r+24>>3]=I;tK(s,a,0,1,0,0);a=f[k>>2]|0;e=f[k+4>>2]|0;if((j|0)==16)L=(f[s>>2]&7|0)==0?16:8;else L=j;do if(c|0){if((i|0)>=32768){f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;j=cuc(32)|0;f[w>>2]=j;f[w+8>>2]=-2147483616;f[w+4>>2]=26;M=j;N=268976;O=M+26|0;do{b[M>>0]=b[N>>0]|0;M=M+1|0;N=N+1|0}while((M|0)<(O|0));b[j+26>>0]=0;WD(-215,w,269957,268559,2583)}e_(q,t,f[s>>2]&4095,0);e_(r,v,f[s>>2]&4095,0);k=(g|0)>-2147483646?g:-2147483646;d=(k|0)==2147483647?2147483646:k;k=c+12|0;if((d|0)<0){P=f[k>>2]|0;f[k>>2]=0;Q=1-d|0;R=P}else{Q=d;R=0}dL(m,c,Q);d=w+12|0;P=(i|0)<0;S=w+20|0;T=x+8|0;U=o+8|0;V=(i|0)>-1;W=D+8|0;X=E+8|0;Y=x+8|0;Z=F+4|0;_=y+8|0;$=z+8|0;aa=x+8|0;ba=A+8|0;ca=B+8|0;da=C+4|0;a:while(1){ea=eL(m)|0;if(!ea){fa=61;break}ga=f[ea+24>>2]|0;ha=f[ea>>2]|0;ia=ha&4095;ja=(ha&32768|0)==0?t:v;IK(ea,w,0);ha=f[d>>2]|0;if(!ha){fa=11;break}if(P?(ka=f[H>>2]|0,la=f[o>>2]|0,ma=ka,!((ka|0)==(la|0)|(ma|0)==(la|0))):0)f[H>>2]=ma+(~((ma+-16-la|0)>>>4)<<4);la=f[ea>>2]|0;do if((la&12288|0)==4096){if(!((la&16384|0)==0?1:(f[ea+28>>2]|0)!=1)){ma=ea+56|0;ka=f[ma>>2]|0;na=ea+60|0;oa=f[na>>2]|0;pa=b[ha>>0]|0;qa=ka+a|0;ra=oa+e|0;b:do if((ga|0)>0){if(V){sa=pa;ta=0;ua=qa;va=ka;wa=oa;xa=ra;ya=ha;while(1){za=b[ya>>0]|0;Aa=ya+1|0;f[d>>2]=Aa;if(Aa>>>0>=(f[S>>2]|0)>>>0)QK(w,1);Aa=za<<24>>24;if(za<<24>>24==sa<<24>>24){Ba=sa;Ca=ua;Da=xa}else{Ea=y;f[Ea>>2]=ua;f[Ea+4>>2]=((ua|0)<0)<<31>>31;Ea=_;f[Ea>>2]=xa;f[Ea+4>>2]=((xa|0)<0)<<31>>31;Ea=z;f[Ea>>2]=va;f[Ea+4>>2]=((va|0)<0)<<31>>31;Ea=$;f[Ea>>2]=wa;f[Ea+4>>2]=((wa|0)<0)<<31>>31;jma(s,y,z,ja,i,L,2,0);Ba=za;Ca=va;Da=wa}za=ta+1|0;if((za|0)>=(ga|0)){Fa=Ca;Ga=Da;break b}sa=Ba;ta=za;ua=Ca;va=(f[64896+(Aa<<3)>>2]|0)+va|0;wa=(f[64896+(Aa<<3)+4>>2]|0)+wa|0;xa=Da;ya=f[d>>2]|0}}else{Ha=pa;Ia=0;Ja=qa;Ka=ka;La=oa;Ma=ra;Na=ha}while(1){ya=b[Na>>0]|0;xa=Na+1|0;f[d>>2]=xa;if(xa>>>0>=(f[S>>2]|0)>>>0)QK(w,1);xa=ya<<24>>24;if(ya<<24>>24==Ha<<24>>24){Oa=Ha;Pa=Ja;Qa=Ma}else{wa=((Ka|0)<0)<<31>>31;va=x;f[va>>2]=Ka;f[va+4>>2]=wa;va=aa;f[va>>2]=La;f[va+4>>2]=((La|0)<0)<<31>>31;va=f[H>>2]|0;if(va>>>0<(f[U>>2]|0)>>>0){ua=va;f[ua>>2]=Ka;f[ua+4>>2]=wa;wa=aa;ua=f[wa+4>>2]|0;ta=va+8|0;f[ta>>2]=f[wa>>2];f[ta+4>>2]=ua;f[H>>2]=va+16}else Jma(o,x);Oa=ya;Pa=Ka;Qa=La}ya=Ia+1|0;if((ya|0)>=(ga|0)){Fa=Pa;Ga=Qa;break b}Ha=Oa;Ia=ya;Ja=Pa;Ka=(f[64896+(xa<<3)>>2]|0)+Ka|0;La=(f[64896+(xa<<3)+4>>2]|0)+La|0;Ma=Qa;Na=f[d>>2]|0}}else{Fa=qa;Ga=ra}while(0);if(V){ra=A;f[ra>>2]=Fa;f[ra+4>>2]=((Fa|0)<0)<<31>>31;ra=ba;f[ra>>2]=Ga;f[ra+4>>2]=((Ga|0)<0)<<31>>31;ra=(f[ma>>2]|0)+a|0;qa=(f[na>>2]|0)+e|0;oa=B;f[oa>>2]=ra;f[oa+4>>2]=((ra|0)<0)<<31>>31;ra=ca;f[ra>>2]=qa;f[ra+4>>2]=((qa|0)<0)<<31>>31;jma(s,A,B,ja,i,L,2,0);break}else{qa=f[o>>2]|0;ra=(f[H>>2]|0)-qa>>4;f[C>>2]=a;f[da>>2]=e;tma(s,qa,ra,n,t,L,0,C);break}}if((la&4094|0)==12){if((ia|0)!=12){fa=39;break a}ra=ga-(la>>>14&1^1)|0;qa=ha;oa=qa;ka=h[oa>>0]|h[oa+1>>0]<<8|h[oa+2>>0]<<16|h[oa+3>>0]<<24;oa=qa+4|0;qa=h[oa>>0]|h[oa+1>>0]<<8|h[oa+2>>0]<<16|h[oa+3>>0]<<24;oa=ha+8|0;f[d>>2]=oa;if(oa>>>0>=(f[S>>2]|0)>>>0)QK(w,1);oa=ka+a|0;ka=qa+e|0;if(P){qa=((oa|0)<0)<<31>>31;pa=x;f[pa>>2]=oa;f[pa+4>>2]=qa;pa=T;f[pa>>2]=ka;f[pa+4>>2]=((ka|0)<0)<<31>>31;pa=f[H>>2]|0;if(pa>>>0<(f[U>>2]|0)>>>0){xa=pa;f[xa>>2]=oa;f[xa+4>>2]=qa;qa=T;xa=f[qa+4>>2]|0;ya=pa+8|0;f[ya>>2]=f[qa>>2];f[ya+4>>2]=xa;f[H>>2]=pa+16}else Jma(o,x)}c:do if((ra|0)>0){if(V){pa=0;xa=oa;ya=ka;while(1){qa=f[d>>2]|0;va=qa;ua=va;ta=h[ua>>0]|h[ua+1>>0]<<8|h[ua+2>>0]<<16|h[ua+3>>0]<<24;ua=va+4|0;va=h[ua>>0]|h[ua+1>>0]<<8|h[ua+2>>0]<<16|h[ua+3>>0]<<24;ua=qa+8|0;f[d>>2]=ua;if(ua>>>0>=(f[S>>2]|0)>>>0)QK(w,1);ua=xa;xa=ta+a|0;ta=D;f[ta>>2]=ua;f[ta+4>>2]=((ua|0)<0)<<31>>31;ua=W;f[ua>>2]=ya;f[ua+4>>2]=((ya|0)<0)<<31>>31;ya=va+e|0;va=E;f[va>>2]=xa;f[va+4>>2]=((xa|0)<0)<<31>>31;va=X;f[va>>2]=ya;f[va+4>>2]=((ya|0)<0)<<31>>31;jma(s,D,E,ja,i,L,2,0);pa=pa+1|0;if((pa|0)>=(ra|0))break c}}else Ra=0;do{pa=f[d>>2]|0;ya=pa;xa=ya;va=h[xa>>0]|h[xa+1>>0]<<8|h[xa+2>>0]<<16|h[xa+3>>0]<<24;xa=ya+4|0;ya=h[xa>>0]|h[xa+1>>0]<<8|h[xa+2>>0]<<16|h[xa+3>>0]<<24;xa=pa+8|0;f[d>>2]=xa;if(xa>>>0>=(f[S>>2]|0)>>>0)QK(w,1);xa=va+a|0;va=ya+e|0;ya=((xa|0)<0)<<31>>31;pa=x;f[pa>>2]=xa;f[pa+4>>2]=ya;pa=Y;f[pa>>2]=va;f[pa+4>>2]=((va|0)<0)<<31>>31;va=f[H>>2]|0;if(va>>>0<(f[U>>2]|0)>>>0){pa=va;f[pa>>2]=xa;f[pa+4>>2]=ya;ya=Y;pa=f[ya+4>>2]|0;xa=va+8|0;f[xa>>2]=f[ya>>2];f[xa+4>>2]=pa;f[H>>2]=va+16}else Jma(o,x);Ra=Ra+1|0}while((Ra|0)<(ra|0))}while(0);if(P){ra=f[o>>2]|0;ka=(f[H>>2]|0)-ra>>4;f[F>>2]=0;f[Z>>2]=0;tma(s,ra,ka,n,t,L,0,F)}}}while(0)}if((fa|0)==11){f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;Z=cuc(32)|0;f[x>>2]=Z;f[x+8>>2]=-2147483616;f[x+4>>2]=18;M=Z;N=269972;O=M+18|0;do{b[M>>0]=b[N>>0]|0;M=M+1|0;N=N+1|0}while((M|0)<(O|0));b[Z+18>>0]=0;WD(-215,x,269957,268559,2607)}else if((fa|0)==39){f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;Y=cuc(32)|0;f[x>>2]=Y;f[x+8>>2]=-2147483616;f[x+4>>2]=21;M=Y;N=269991;O=M+21|0;do{b[M>>0]=b[N>>0]|0;M=M+1|0;N=N+1|0}while((M|0)<(O|0));b[Y+21>>0]=0;WD(-215,x,269957,268559,2650)}else if((fa|0)==61){if(P)uma(s,n,t);if(!R)break;f[k>>2]=R;break}}while(0);R=s+36|0;t=f[R>>2]|0;if(t|0?(fa=t+12|0,t=f[fa>>2]|0,f[fa>>2]=t+-1,(t|0)==1):0)aU(s);f[R>>2]=0;R=s+16|0;t=s+4|0;f[R>>2]=0;f[R+4>>2]=0;f[R+8>>2]=0;f[R+12>>2]=0;if((f[t>>2]|0)>0){R=f[s+40>>2]|0;fa=0;do{f[R+(fa<<2)>>2]=0;fa=fa+1|0}while((fa|0)<(f[t>>2]|0))}t=f[s+44>>2]|0;if((t|0)!=(s+48|0))TC(t);t=f[o>>2]|0;if(t|0){o=f[H>>2]|0;if((o|0)!=(t|0))f[H>>2]=o+(~((o+-16-t|0)>>>4)<<4);fuc(t)}t=f[n>>2]|0;if(!t){u=l;return}n=f[G>>2]|0;if((n|0)!=(t|0))f[G>>2]=n+(~((n+-32-t|0)>>>5)<<5);fuc(t);u=l;return}function Pma(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0.0,Z=0.0,_=0.0,$=0.0,aa=0.0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0;g=u;u=u+1312|0;i=g+120|0;j=g+100|0;k=g+40|0;l=g+16|0;m=g;o=a+24|0;p=f[o>>2]|0;q=p+8|0;r=i+8|0;f[i>>2]=r;t=i+4|0;f[t>>2]=q;if(q>>>0>59){v=euc(q>>>0>214748364?-1:q*20|0)|0;f[i>>2]=v;w=v}else w=r;v=a+56|0;q=f[v>>2]|0;x=f[v+4>>2]|0;v=f[a>>2]|0;if((v&12288|0)!=4096){f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;y=cuc(48)|0;f[m>>2]=y;z=m+8|0;f[z>>2]=-2147483600;A=m+4|0;f[A>>2]=32;B=y;C=270128;D=B+32|0;do{b[B>>0]=b[C>>0]|0;B=B+1|0;C=C+1|0}while((B|0)<(D|0));E=y+32|0;b[E>>0]=0;WD(-215,m,270161,270185,74)}if((v&16384|0)==0?1:(f[a+28>>2]|0)!=1){f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;y=cuc(48)|0;f[m>>2]=y;z=m+8|0;f[z>>2]=-2147483600;A=m+4|0;f[A>>2]=32;B=y;C=270128;D=B+32|0;do{b[B>>0]=b[C>>0]|0;B=B+1|0;C=C+1|0}while((B|0)<(D|0));E=y+32|0;b[E>>0]=0;WD(-215,m,270161,270185,74)}if((c|0)<=87){f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;E=cuc(48)|0;f[m>>2]=E;f[m+8>>2]=-2147483600;f[m+4>>2]=37;B=E;C=270256;D=B+37|0;do{b[B>>0]=b[C>>0]|0;B=B+1|0;C=C+1|0}while((B|0)<(D|0));b[E+37>>0]=0;WD(-215,m,270161,270185,75)}LK(v&-4096|12,c,8,d,l);if(f[o>>2]|0){o=k+32|0;b[o>>0]=0;Dva(a,k);a=j+16|0;f[a>>2]=0;a:do if((p|0)>0){d=k+28|0;c=k+12|0;v=k+36|0;m=(e|0)==1;E=l+12|0;C=l+20|0;B=k+20|0;D=k+40|0;if((e|0)<3)F=0;else{y=j;A=0;while(1){z=b[f[d>>2]>>0]|0;G=f[c>>2]|0;f[d>>2]=G;H=v;I=f[H>>2]|0;J=f[H+4>>2]|0;H=G;if(!G)K=b[o>>0]|0;else{G=b[H>>0]|0;b[o>>0]=G;L=H+1|0;f[c>>2]=L;if(L>>>0<(f[B>>2]|0)>>>0){N=G;O=I}else{QK(k,1);N=b[o>>0]|0;O=f[v>>2]|0}G=N<<24>>24;f[v>>2]=O+(b[k+44+(G<<1)>>0]|0);f[D>>2]=(f[D>>2]|0)+(b[k+44+(G<<1)+1>>0]|0);K=N}G=(K<<24>>24)-z|0;z=f[64960+(G+7<<2)>>2]|0;L=w+(A*20|0)|0;if(!G)P=y;else{f[y+16>>2]=L;P=L}f[w+(A*20|0)+12>>2]=z;z=w+(A*20|0)|0;f[z>>2]=I;f[z+4>>2]=J;J=A+1|0;if((J|0)<(p|0)){y=P;A=J}else{Q=P;R=J;break a}}}while(1){A=b[f[d>>2]>>0]|0;y=f[c>>2]|0;f[d>>2]=y;J=v;z=f[J>>2]|0;I=f[J+4>>2]|0;J=y;if(!y)S=b[o>>0]|0;else{y=b[J>>0]|0;b[o>>0]=y;L=J+1|0;f[c>>2]=L;if(L>>>0<(f[B>>2]|0)>>>0){T=y;U=z}else{QK(k,1);T=b[o>>0]|0;U=f[v>>2]|0}y=T<<24>>24;f[v>>2]=U+(b[k+44+(y<<1)>>0]|0);f[D>>2]=(f[D>>2]|0)+(b[k+44+(y<<1)+1>>0]|0);S=T}if(m|S<<24>>24!=A<<24>>24){A=f[E>>2]|0;if(A>>>0<(f[C>>2]|0)>>>0)V=A;else{OK(l);V=f[E>>2]|0}A=V;y=A;b[y>>0]=z;b[y+1>>0]=z>>8;b[y+2>>0]=z>>16;b[y+3>>0]=z>>24;z=A+4|0;b[z>>0]=I;b[z+1>>0]=I>>8;b[z+2>>0]=I>>16;b[z+3>>0]=I>>24;f[E>>2]=(f[E>>2]|0)+8}I=F+1|0;if((I|0)<(p|0))F=I;else{Q=j;R=I;break}}}else{Q=j;R=0}while(0);if((e|0)>=3){f[Q+16>>2]=0;Q=f[a>>2]|0;F=w;p=(e|0)==4;e=Q;do{V=(e-F|0)/20|0;S=f[e>>2]|0;T=f[e+4>>2]|0;k=1;U=0;o=0;while(1){P=V-k|0;K=((P|0)<0?R:0)+P|0;P=k+V|0;N=P-((P|0)>=(R|0)?R:0)|0;P=f[w+(K*20|0)>>2]|0;O=(f[w+(N*20|0)>>2]|0)-P|0;E=f[w+(K*20|0)+4>>2]|0;K=(f[w+(N*20|0)+4>>2]|0)-E|0;N=(Y(K,K)|0)+(Y(O,O)|0)|0;C=(Y(K,S-P|0)|0)-(Y(T-E|0,O)|0)|0;O=(n[s>>2]=+(U|0)*+(N|0)-+(o|0)*+(C|0),f[s>>2]|0);if((k|0)>1){if((o|0)>=(N|0))break;if((U|0)>0&(O|0)<1)break;if((U|0)<0&(O|0)>-1)break}k=k+1|0;U=C;o=N}o=k+-1|0;f[e+8>>2]=o;if(p){U=o;N=0;while(1){C=V-U|0;O=((C|0)<0?R:0)+C|0;C=U+V|0;E=C-((C|0)>=(R|0)?R:0)|0;C=(f[w+(O*20|0)>>2]|0)-S|0;P=(f[w+(O*20|0)+4>>2]|0)-T|0;O=(f[w+(E*20|0)>>2]|0)-S|0;K=(f[w+(E*20|0)+4>>2]|0)-T|0;if((P|C|0)==0|(K|O|0)==0){W=N;break}X=+(C|0);Z=+(P|0);_=+(O|0);$=+(K|0);aa=+((Y(K,P)|0)+(Y(O,C)|0)|0)/+M(+((X*X+Z*Z)*(_*_+$*$)))+1.1;C=(n[s>>2]=aa,f[s>>2]|0);if(!((U|0)>=(o|0)|(C|0)>(N|0))){W=N;break}if((U|0)>1){U=U+-1|0;N=C}else{W=C;break}}f[e+12>>2]=W}e=f[e+16>>2]|0}while((e|0)!=0);ba=j;ca=Q;while(1){Q=f[ca+8>>2]>>1;e=ca+12|0;W=f[e>>2]|0;N=(ca-F|0)/20|0;b:do if((Q|0)<1)da=ca;else{U=1;while(1){o=N-U|0;if((f[w+((((o|0)<0?R:0)+o|0)*20|0)+12>>2]|0)>(W|0))break;o=U+N|0;if((f[w+((o-((o|0)>=(R|0)?R:0)|0)*20|0)+12>>2]|0)>(W|0))break;if((U|0)<(Q|0))U=U+1|0;else{da=ca;break b}}f[ba+16>>2]=f[ca+16>>2];f[e>>2]=0;da=ba}while(0);ca=f[ca+16>>2]|0;if(!ca)break;else ba=da}da=j;ba=f[a>>2]|0;while(1){do if((f[ba+8>>2]|0)==1){ca=ba+12|0;e=f[ca>>2]|0;Q=ba-F|0;W=(Q|0)/20|0;N=W+1|0;if((e|0)>(f[w+((W+-1+((Q|0)<20?R:0)|0)*20|0)+12>>2]|0)?(e|0)>(f[w+((N-((N|0)>=(R|0)?R:0)|0)*20|0)+12>>2]|0):0){ea=ba;break}f[da+16>>2]=f[ba+16>>2];f[ca>>2]=0;ea=da}else ea=ba;while(0);ba=f[ba+16>>2]|0;if(!ba)break;else da=ea}do if(!p){if(f[w+12>>2]|0?(ea=R+-1|0,f[w+(ea*20|0)+12>>2]|0):0){c:do if((R|0)>1){da=1;while(1){if(!(f[w+(da*20|0)+12>>2]|0)){fa=da;break c}f[w+((da+-1|0)*20|0)+12>>2]=0;ba=da+1|0;if((ba|0)<(R|0))da=ba;else{fa=ba;break}}}else fa=1;while(0);if((fa|0)==(R|0))break;da=fa+-1|0;d:do if((R|0)>2){ba=R+-2|0;ca=ea;while(1){if(!(f[w+(ba*20|0)+12>>2]|0)){ga=ca;break d}f[w+(ba*20|0)+16>>2]=0;f[w+(ca*20|0)+12>>2]=0;if((ba|0)>1){N=ba;ba=ba+-1|0;ca=N}else{ga=ba;break}}}else ga=ea;while(0);if((da|0)==0&(ga|0)==(ea|0)){ba=((f[w+16>>2]|0)-F|0)/20|0;ca=w+(R*20|0)|0;f[ca>>2]=f[w>>2];f[ca+4>>2]=f[w+4>>2];f[ca+8>>2]=f[w+8>>2];f[ca+12>>2]=f[w+12>>2];f[ca+16>>2]=f[w+16>>2];f[w+(R*20|0)+16>>2]=0;f[w+(ea*20|0)+16>>2]=ca;ha=ba}else ha=da;f[a>>2]=w+(ha*20|0)}ba=j;ca=f[a>>2]|0;while(1){N=ca+16|0;e=f[N>>2]|0;e:do if(!e){ia=1;ja=ba;ka=ca;la=e;ma=N}else{Q=1;W=ba;U=ca;o=e;T=N;while(1){if((o-U|0)!=20){ia=Q;ja=W;ka=U;la=o;ma=T;break e}S=Q+1|0;V=o+16|0;k=f[V>>2]|0;if(!k){ia=S;ja=U;ka=o;la=k;ma=V;break}else{C=o;O=U;Q=S;o=k;T=V;U=C;W=O}}}while(0);if((ia|0)>1){do if((ia|0)==2){N=f[ja+12>>2]|0;e=f[ka+12>>2]|0;if((N|0)<=(e|0)){if((N|0)!=(e|0)){na=ka;oa=ba;break}if((f[ja+8>>2]|0)>(f[ka+8>>2]|0)){na=ka;oa=ba;break}}na=la;oa=ja}else{na=ka;oa=f[ba+16>>2]|0}while(0);f[oa+16>>2]=na;pa=f[ma>>2]|0}else pa=la;if(!pa)break;else{ba=ka;ca=pa}}}while(0);pa=l+12|0;ka=l+20|0;la=f[a>>2]|0;a=f[pa>>2]|0;do{if(a>>>0<(f[ka>>2]|0)>>>0)qa=a;else{OK(l);qa=f[pa>>2]|0}ma=la;na=ma;oa=h[na>>0]|h[na+1>>0]<<8|h[na+2>>0]<<16|h[na+3>>0]<<24;na=ma+4|0;ma=h[na>>0]|h[na+1>>0]<<8|h[na+2>>0]<<16|h[na+3>>0]<<24;na=qa;ja=na;b[ja>>0]=oa;b[ja+1>>0]=oa>>8;b[ja+2>>0]=oa>>16;b[ja+3>>0]=oa>>24;oa=na+4|0;b[oa>>0]=ma;b[oa+1>>0]=ma>>8;b[oa+2>>0]=ma>>16;b[oa+3>>0]=ma>>24;a=(f[pa>>2]|0)+8|0;f[pa>>2]=a;la=f[la+16>>2]|0}while((la|0)!=0)}}else{la=l+12|0;a=f[la>>2]|0;if(a>>>0<(f[l+20>>2]|0)>>>0)ra=a;else{OK(l);ra=f[la>>2]|0}a=ra;ra=a;b[ra>>0]=q;b[ra+1>>0]=q>>8;b[ra+2>>0]=q>>16;b[ra+3>>0]=q>>24;q=a+4|0;b[q>>0]=x;b[q+1>>0]=x>>8;b[q+2>>0]=x>>16;b[q+3>>0]=x>>24;f[la>>2]=(f[la>>2]|0)+8}la=NK(l)|0;l=f[i>>2]|0;if((l|0)==(r|0)){u=g;return la|0}if(l|0)guc(l);f[i>>2]=r;f[t>>2]=59;u=g;return la|0}function Qma(a,c,d,e){a=a|0;c=c|0;d=+d;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;g=u;u=u+2320|0;h=g+2304|0;i=g+2248|0;j=g+1152|0;k=g+56|0;l=g;gV(h,65020);do if((qJ(a)|0)==65536){m=f[a+4>>2]|0;f[i>>2]=f[m>>2];n=i+4|0;o=m+4|0;f[n>>2]=f[o>>2];p=i+8|0;f[p>>2]=f[m+8>>2];f[i+12>>2]=f[m+12>>2];f[i+16>>2]=f[m+16>>2];f[i+20>>2]=f[m+20>>2];f[i+24>>2]=f[m+24>>2];f[i+28>>2]=f[m+28>>2];f[i+32>>2]=f[m+32>>2];q=f[m+36>>2]|0;f[i+36>>2]=q;f[i+40>>2]=p;p=i+48|0;r=i+44|0;f[r>>2]=p;f[p>>2]=0;f[i+52>>2]=0;if(q|0){p=q+12|0;f[p>>2]=(f[p>>2]|0)+1}if((f[o>>2]|0)<3){o=f[m+44>>2]|0;p=f[r>>2]|0;f[p>>2]=f[o>>2];f[p+4>>2]=f[o+4>>2];break}else{f[n>>2]=0;$T(i,m);break}}else nJ(i,a,-1);while(0);a=qU(i,2,-1,1)|0;m=f[i>>2]|0;n=m&7;if(!((a|0)>-1&(n|1|0)==5)){f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;o=cuc(64)|0;f[j>>2]=o;f[j+8>>2]=-2147483584;f[j+4>>2]=52;p=o;r=270294;q=p+52|0;do{b[p>>0]=b[r>>0]|0;p=p+1|0;r=r+1|0}while((p|0)<(q|0));b[o+52>>0]=0;WD(-215,j,270347,270185,682)}if(a){o=j+8|0;kzc(o|0,0,1088)|0;f[j>>2]=o;r=j+4|0;p=a>>>0>136;f[r>>2]=a;if(p){q=euc(a>>>0>536870911?-1:a<<3)|0;kzc(q|0,0,a<<3|0)|0;f[j>>2]=q;s=q}else s=o;q=k+8|0;kzc(q|0,0,1088)|0;f[k>>2]=q;t=k+4|0;f[t>>2]=a;if(p){p=euc(a>>>0>536870911?-1:a<<3)|0;kzc(p|0,0,a<<3|0)|0;f[k>>2]=p}switch(m&7){case 4:{v=Rma(f[i+16>>2]|0,a,s,e,d,k)|0;break}case 5:{v=Sma(f[i+16>>2]|0,a,s,e,d,k)|0;break}default:{f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;WD(-210,l,270347,270185,700)}}Ri(l,v,1,n|8,s,0);EI(l,c);s=l+36|0;n=f[s>>2]|0;if(n|0?(v=n+12|0,n=f[v>>2]|0,f[v>>2]=n+-1,(n|0)==1):0)aU(l);f[s>>2]=0;s=l+16|0;n=l+4|0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;if((f[n>>2]|0)>0){s=f[l+40>>2]|0;v=0;do{f[s+(v<<2)>>2]=0;v=v+1|0}while((v|0)<(f[n>>2]|0))}n=f[l+44>>2]|0;if((n|0)!=(l+48|0))TC(n);n=f[k>>2]|0;if((n|0)!=(q|0)){if(n|0)guc(n);f[k>>2]=q;f[t>>2]=136}t=f[j>>2]|0;if((t|0)!=(o|0)){if(t|0)guc(t);f[j>>2]=o;f[r>>2]=136}}else HJ(c);c=i+36|0;r=f[c>>2]|0;if(r|0?(o=r+12|0,r=f[o>>2]|0,f[o>>2]=r+-1,(r|0)==1):0)aU(i);f[c>>2]=0;c=i+16|0;r=i+4|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[r>>2]|0)>0){c=f[i+40>>2]|0;o=0;do{f[c+(o<<2)>>2]=0;o=o+1|0}while((o|0)<(f[r>>2]|0))}r=f[i+44>>2]|0;if((r|0)!=(i+48|0))TC(r);if(!(f[h+4>>2]|0)){u=g;return}u=g;return}function Rma(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;g=g|0;var h=0,i=0,j=0,k=0,l=0.0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0.0,E=0.0,F=0.0,G=0,H=0.0,I=0,J=0,K=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0.0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0;h=g+4|0;i=f[h>>2]|0;j=f[g>>2]|0;if(!b){k=0;return k|0}l=e*e;if(!d){m=b+-1|0;if((f[a+(m<<3)>>2]|0)==(f[a>>2]|0)?(f[a+(m<<3)+4>>2]|0)==(f[a+4>>2]|0):0){n=1;o=7}else{if(!i){f[h>>2]=0;p=0}else p=i;q=j;f[q>>2]=0;f[q+4>>2]=m;r=1;s=j;t=p;u=0;v=b;o=41}}else{n=3;o=7}do if((o|0)==7){if((b|0)>1){p=0;m=0;q=0;while(1){w=(m+q|0)%(b|0)|0;x=f[a+(w<<3)>>2]|0;y=f[a+(w<<3)+4>>2]|0;z=w+1|0;w=1;e=0.0;A=(z|0)>=(b|0)?0:z;z=q;do{B=A+1|0;C=A;A=(B|0)>=(b|0)?0:B;D=+((f[a+(C<<3)>>2]|0)-x|0);E=+((f[a+(C<<3)+4>>2]|0)-y|0);F=D*D+E*E;C=F>e;z=C?w:z;e=C?F:e;w=w+1|0}while((w|0)!=(b|0));p=p+1|0;if((p|0)>=(n|0)){G=A;H=e;I=x;J=z;K=y;break}else{m=A;q=z}}}else{q=0;m=0;do{M=(m|0)%(b|0)|0;p=M+1|0;m=(p|0)>=(b|0)?0:p;q=q+1|0}while((q|0)<(n|0));G=m;H=0.0;I=f[a+(M<<3)>>2]|0;J=0;K=f[a+(M<<3)+4>>2]|0}if(H<=l){f[c>>2]=I;f[c+4>>2]=K;N=1;break}q=(G|0)%(b|0)|0;p=(q+J|0)%(b|0)|0;if(!i){w=(i*3|0)>>>1;C=f[h>>2]|0;if(C>>>0<w>>>0){B=f[g>>2]|0;O=g+8|0;f[g>>2]=O;f[h>>2]=w;if((C|0)!=0&(O|0)!=(B|0)){P=B;Q=f[P+4>>2]|0;R=O;f[R>>2]=f[P>>2];f[R+4>>2]=Q;if((C|0)!=1){Q=B+8|0;R=f[Q+4>>2]|0;P=g+16|0;f[P>>2]=f[Q>>2];f[P+4>>2]=R;if((C|0)==2)S=C;else{R=2;do{P=B+(R<<3)|0;Q=f[P+4>>2]|0;O=(f[g>>2]|0)+(R<<3)|0;f[O>>2]=f[P>>2];f[O+4>>2]=Q;R=R+1|0}while((R|0)!=(C|0));S=C}}else S=1}else S=C;do{R=(f[g>>2]|0)+(S<<3)|0;f[R>>2]=0;f[R+4>>2]=0;S=S+1|0}while((S|0)!=(w|0));if(!((B|0)==(g+8|0)|(B|0)==0))guc(B)}else f[h>>2]=w;T=f[g>>2]|0;U=f[h>>2]|0}else{T=j;U=i}C=T;f[C>>2]=p;f[C+4>>2]=q;if(U>>>0>1){V=T;W=U}else{C=U*3|0;R=C>>>1;m=f[h>>2]|0;if(m>>>0<R>>>0){Q=f[g>>2]|0;if(C>>>0>273){C=euc(R>>>0>536870911?-1:R<<3)|0;kzc(C|0,0,R<<3|0)|0;X=C}else X=g+8|0;f[g>>2]=X;f[h>>2]=R;if((m|0)!=0&(X|0)!=(Q|0)){C=Q;O=f[C+4>>2]|0;P=X;f[P>>2]=f[C>>2];f[P+4>>2]=O;if((m|0)!=1){O=Q+8|0;P=f[O+4>>2]|0;C=X+8|0;f[C>>2]=f[O>>2];f[C+4>>2]=P;if((m|0)==2)Z=m;else{P=2;do{C=Q+(P<<3)|0;O=f[C+4>>2]|0;_=(f[g>>2]|0)+(P<<3)|0;f[_>>2]=f[C>>2];f[_+4>>2]=O;P=P+1|0}while((P|0)!=(m|0));Z=m}}else Z=1}else Z=m;do{P=(f[g>>2]|0)+(Z<<3)|0;f[P>>2]=0;f[P+4>>2]=0;Z=Z+1|0}while((Z|0)!=(R|0));if(!((Q|0)==(g+8|0)|(Q|0)==0))guc(Q)}else f[h>>2]=R;V=f[g>>2]|0;W=f[h>>2]|0}m=V+8|0;f[m>>2]=q;f[m+4>>2]=p;r=2;s=V;t=W;u=1;v=p;o=41}while(0);if((o|0)==41){o=b+-1|0;W=g+8|0;V=0;Z=r;r=s;s=t;t=v;a:while(1){v=V;X=Z;U=t;while(1){$=X+-1|0;T=r+($<<3)|0;aa=f[T>>2]|0;ba=f[T+4>>2]|0;T=f[a+(aa<<3)>>2]|0;i=f[a+(aa<<3)+4>>2]|0;j=aa+1|0;S=(j|0)>=(b|0)?0:j;if((S|0)!=(ba|0)){H=+((f[a+(ba<<3)>>2]|0)-T|0);F=+((f[a+(ba<<3)+4>>2]|0)-i|0);E=0.0;j=S;ca=U;b:while(1){S=j;do{if((S|0)==(ba|0))break b;J=S+1|0;G=S;S=(J|0)>=(b|0)?0:J;da=+L(+(H*+((f[a+(G<<3)+4>>2]|0)-i|0)-F*+((f[a+(G<<3)>>2]|0)-T|0)))}while(!(da>E));E=da;j=S;ca=(o+S|0)%(b|0)|0}if(!(E*E<=l*(F*F+H*H)))break;else ea=ca}else ea=U;j=v+1|0;f[c+(v<<3)>>2]=T;f[c+(v<<3)+4>>2]=i;if(!$){fa=j;break a}else{v=j;X=$;U=ea}}if($>>>0<s>>>0){ga=r;ha=s}else{U=s*3|0;p=U>>>1;q=f[h>>2]|0;if(q>>>0<p>>>0){R=f[g>>2]|0;if(U>>>0>273){U=euc(p>>>0>536870911?-1:p<<3)|0;kzc(U|0,0,p<<3|0)|0;ia=U}else ia=W;f[g>>2]=ia;f[h>>2]=p;if((q|0)!=0&(ia|0)!=(R|0)){U=R;Q=f[U+4>>2]|0;j=ia;f[j>>2]=f[U>>2];f[j+4>>2]=Q;if((q|0)!=1){Q=R+8|0;j=f[Q+4>>2]|0;U=ia+8|0;f[U>>2]=f[Q>>2];f[U+4>>2]=j;if((q|0)==2)ja=q;else{j=2;do{U=R+(j<<3)|0;Q=f[U+4>>2]|0;z=(f[g>>2]|0)+(j<<3)|0;f[z>>2]=f[U>>2];f[z+4>>2]=Q;j=j+1|0}while((j|0)!=(q|0));ja=q}}else ja=1}else ja=q;do{j=(f[g>>2]|0)+(ja<<3)|0;f[j>>2]=0;f[j+4>>2]=0;ja=ja+1|0}while((ja|0)!=(p|0));if(!((R|0)==(W|0)|(R|0)==0))guc(R)}else f[h>>2]=p;ga=f[g>>2]|0;ha=f[h>>2]|0}q=ga+($<<3)|0;f[q>>2]=ca;f[q+4>>2]=ba;if(X>>>0<ha>>>0){ka=ga;la=ha}else{q=ha*3|0;j=q>>>1;Q=f[h>>2]|0;if(Q>>>0<j>>>0){z=f[g>>2]|0;if(q>>>0>273){q=euc(j>>>0>536870911?-1:j<<3)|0;kzc(q|0,0,j<<3|0)|0;ma=q}else ma=W;f[g>>2]=ma;f[h>>2]=j;if((Q|0)!=0&(ma|0)!=(z|0)){q=z;U=f[q+4>>2]|0;A=ma;f[A>>2]=f[q>>2];f[A+4>>2]=U;if((Q|0)!=1){U=z+8|0;A=f[U+4>>2]|0;q=ma+8|0;f[q>>2]=f[U>>2];f[q+4>>2]=A;if((Q|0)==2)na=Q;else{A=2;do{q=z+(A<<3)|0;U=f[q+4>>2]|0;y=(f[g>>2]|0)+(A<<3)|0;f[y>>2]=f[q>>2];f[y+4>>2]=U;A=A+1|0}while((A|0)!=(Q|0));na=Q}}else na=1}else na=Q;do{A=(f[g>>2]|0)+(na<<3)|0;f[A>>2]=0;f[A+4>>2]=0;na=na+1|0}while((na|0)!=(j|0));if(!((z|0)==(W|0)|(z|0)==0))guc(z)}else f[h>>2]=j;ka=f[g>>2]|0;la=f[h>>2]|0}Z=X+1|0;Q=ka+(X<<3)|0;f[Q>>2]=aa;f[Q+4>>2]=ca;if(!Z){fa=v;break}else{V=v;r=ka;s=la;t=ca}}if(u)N=fa;else{f[c+(fa<<3)>>2]=f[a+(o<<3)>>2];f[c+(fa<<3)+4>>2]=f[a+(o<<3)+4>>2];N=fa+1|0}}fa=d?N+-1|0:0;o=fa+1|0;a=(o|0)>=(N|0)?0:o;o=f[c+(a<<3)>>2]|0;u=f[c+(a<<3)+4>>2]|0;ca=a+1|0;t=(d^1)&1;la=N-t|0;if((N|0)>2&(t|0)<(la|0)){da=l*.5;s=a;ka=t;t=N;r=(ca|0)>=(N|0)?0:ca;ca=o;V=f[c+(fa<<3)>>2]|0;Z=u;aa=f[c+(fa<<3)+4>>2]|0;while(1){fa=f[c+(r<<3)>>2]|0;h=f[c+(r<<3)+4>>2]|0;g=r+1|0;W=(g|0)>=(N|0)?0:g;g=fa-V|0;l=+(g|0);na=h-aa|0;e=+(na|0);ma=ca-V|0;ha=Z-aa|0;D=+L(+(+(ma|0)*e-+(ha|0)*l));if(((Y(h-Z|0,ha)|0)+(Y(fa-ca|0,ma)|0)|0)>-1&((na|0)!=0&(g|0?D*D<=da*(l*l+e*e):0))){f[c+(s<<3)>>2]=fa;f[c+(s<<3)+4>>2]=h;g=s+1|0;na=W+1|0;oa=(g|0)>=(N|0)?0:g;pa=ka+1|0;qa=t+-1|0;ra=(na|0)>=(N|0)?0:na;sa=f[c+(W<<3)>>2]|0;ta=fa;ua=f[c+(W<<3)+4>>2]|0;va=h}else{f[c+(s<<3)>>2]=ca;f[c+(s<<3)+4>>2]=Z;na=s+1|0;oa=(na|0)>=(N|0)?0:na;pa=ka;qa=t;ra=W;sa=fa;ta=ca;ua=h;va=Z}ka=pa+1|0;if(!((qa|0)>2&(ka|0)<(la|0))){wa=oa;xa=qa;ya=sa;za=ua;break}else{s=oa;t=qa;r=ra;ca=sa;V=ta;Z=ua;aa=va}}}else{wa=a;xa=N;ya=o;za=u}if(d){k=xa;return k|0}f[c+(wa<<3)>>2]=ya;f[c+(wa<<3)+4>>2]=za;k=xa;return k|0}function Sma(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;g=g|0;var h=0,i=0,j=0,k=0,l=0.0,m=0,o=0,p=0,q=0,r=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0.0,D=0.0,E=0,F=0,G=0,H=0.0,I=0.0,J=0.0,K=0,M=0.0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0.0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0.0,sa=0.0,ta=0.0,ua=0.0,va=0.0,wa=0.0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0;h=g+4|0;i=f[h>>2]|0;j=f[g>>2]|0;if(!b){k=0;return k|0}l=e*e;do if(d){m=3;o=8}else{p=b+-1|0;if(!(+n[a+(p<<3)>>2]!=+n[a>>2])?!(+n[a+(p<<3)+4>>2]!=+n[a+4>>2]):0){m=1;o=8;break}if(!i){f[h>>2]=0;q=0}else q=i;r=j;f[r>>2]=0;f[r+4>>2]=p;t=1;u=j;v=q;w=0;x=b;o=42}while(0);do if((o|0)==8){if((b|0)>1){q=0;p=0;r=0;while(1){y=(p+r|0)%(b|0)|0;z=f[a+(y<<3)>>2]|0;A=f[a+(y<<3)+4>>2]|0;B=y+1|0;e=(f[s>>2]=z,+n[s>>2]);C=(f[s>>2]=A,+n[s>>2]);y=1;D=0.0;E=(B|0)>=(b|0)?0:B;B=r;do{F=E+1|0;G=E;E=(F|0)>=(b|0)?0:F;H=+n[a+(G<<3)>>2]-e;I=+n[a+(G<<3)+4>>2]-C;J=H*H+I*I;G=J>D;B=G?y:B;D=G?J:D;y=y+1|0}while((y|0)!=(b|0));q=q+1|0;if((q|0)>=(m|0)){K=E;M=D;N=z;O=B;P=A;break}else{p=E;r=B}}}else{r=0;p=0;do{Q=(p|0)%(b|0)|0;q=Q+1|0;p=(q|0)>=(b|0)?0:q;r=r+1|0}while((r|0)<(m|0));K=p;M=0.0;N=f[a+(Q<<3)>>2]|0;O=0;P=f[a+(Q<<3)+4>>2]|0}if(M<=l){f[c>>2]=N;f[c+4>>2]=P;R=1;break}r=(K|0)%(b|0)|0;q=(r+O|0)%(b|0)|0;if(!i){y=(i*3|0)>>>1;G=f[h>>2]|0;if(G>>>0<y>>>0){F=f[g>>2]|0;S=g+8|0;f[g>>2]=S;f[h>>2]=y;if((G|0)!=0&(S|0)!=(F|0)){T=F;U=f[T+4>>2]|0;V=S;f[V>>2]=f[T>>2];f[V+4>>2]=U;if((G|0)!=1){U=F+8|0;V=f[U+4>>2]|0;T=g+16|0;f[T>>2]=f[U>>2];f[T+4>>2]=V;if((G|0)==2)W=G;else{V=2;do{T=F+(V<<3)|0;U=f[T+4>>2]|0;S=(f[g>>2]|0)+(V<<3)|0;f[S>>2]=f[T>>2];f[S+4>>2]=U;V=V+1|0}while((V|0)!=(G|0));W=G}}else W=1}else W=G;do{V=(f[g>>2]|0)+(W<<3)|0;f[V>>2]=0;f[V+4>>2]=0;W=W+1|0}while((W|0)!=(y|0));if(!((F|0)==(g+8|0)|(F|0)==0))guc(F)}else f[h>>2]=y;X=f[g>>2]|0;Y=f[h>>2]|0}else{X=j;Y=i}G=X;f[G>>2]=q;f[G+4>>2]=r;if(Y>>>0>1){Z=X;_=Y}else{G=Y*3|0;V=G>>>1;p=f[h>>2]|0;if(p>>>0<V>>>0){U=f[g>>2]|0;if(G>>>0>273){G=euc(V>>>0>536870911?-1:V<<3)|0;kzc(G|0,0,V<<3|0)|0;$=G}else $=g+8|0;f[g>>2]=$;f[h>>2]=V;if((p|0)!=0&($|0)!=(U|0)){G=U;S=f[G+4>>2]|0;T=$;f[T>>2]=f[G>>2];f[T+4>>2]=S;if((p|0)!=1){S=U+8|0;T=f[S+4>>2]|0;G=$+8|0;f[G>>2]=f[S>>2];f[G+4>>2]=T;if((p|0)==2)aa=p;else{T=2;do{G=U+(T<<3)|0;S=f[G+4>>2]|0;ba=(f[g>>2]|0)+(T<<3)|0;f[ba>>2]=f[G>>2];f[ba+4>>2]=S;T=T+1|0}while((T|0)!=(p|0));aa=p}}else aa=1}else aa=p;do{T=(f[g>>2]|0)+(aa<<3)|0;f[T>>2]=0;f[T+4>>2]=0;aa=aa+1|0}while((aa|0)!=(V|0));if(!((U|0)==(g+8|0)|(U|0)==0))guc(U)}else f[h>>2]=V;Z=f[g>>2]|0;_=f[h>>2]|0}p=Z+8|0;f[p>>2]=r;f[p+4>>2]=q;t=2;u=Z;v=_;w=1;x=q;o=42}while(0);if((o|0)==42){o=b+-1|0;_=g+8|0;Z=0;aa=t;t=u;u=v;v=x;a:while(1){x=Z;$=aa;Y=v;while(1){ca=$+-1|0;X=t+(ca<<3)|0;da=f[X>>2]|0;ea=f[X+4>>2]|0;X=f[a+(da<<3)>>2]|0;i=f[a+(da<<3)+4>>2]|0;j=da+1|0;W=(j|0)>=(b|0)?0:j;if((W|0)!=(ea|0)){M=(f[s>>2]=X,+n[s>>2]);C=+n[a+(ea<<3)>>2]-M;e=(f[s>>2]=i,+n[s>>2]);J=+n[a+(ea<<3)+4>>2]-e;I=0.0;j=W;fa=Y;b:while(1){W=j;do{if((W|0)==(ea|0))break b;O=W+1|0;K=W;W=(O|0)>=(b|0)?0:O;ga=+L(+(C*(+n[a+(K<<3)+4>>2]-e)-J*(+n[a+(K<<3)>>2]-M)))}while(!(ga>I));I=ga;j=W;fa=(o+W|0)%(b|0)|0}if(!(I*I<=l*(J*J+C*C)))break;else ha=fa}else ha=Y;j=x+1|0;f[c+(x<<3)>>2]=X;f[c+(x<<3)+4>>2]=i;if(!ca){ia=j;break a}else{x=j;$=ca;Y=ha}}if(ca>>>0<u>>>0){ja=t;ka=u}else{Y=u*3|0;q=Y>>>1;r=f[h>>2]|0;if(r>>>0<q>>>0){V=f[g>>2]|0;if(Y>>>0>273){Y=euc(q>>>0>536870911?-1:q<<3)|0;kzc(Y|0,0,q<<3|0)|0;la=Y}else la=_;f[g>>2]=la;f[h>>2]=q;if((r|0)!=0&(la|0)!=(V|0)){Y=V;U=f[Y+4>>2]|0;j=la;f[j>>2]=f[Y>>2];f[j+4>>2]=U;if((r|0)!=1){U=V+8|0;j=f[U+4>>2]|0;Y=la+8|0;f[Y>>2]=f[U>>2];f[Y+4>>2]=j;if((r|0)==2)ma=r;else{j=2;do{Y=V+(j<<3)|0;U=f[Y+4>>2]|0;B=(f[g>>2]|0)+(j<<3)|0;f[B>>2]=f[Y>>2];f[B+4>>2]=U;j=j+1|0}while((j|0)!=(r|0));ma=r}}else ma=1}else ma=r;do{j=(f[g>>2]|0)+(ma<<3)|0;f[j>>2]=0;f[j+4>>2]=0;ma=ma+1|0}while((ma|0)!=(q|0));if(!((V|0)==(_|0)|(V|0)==0))guc(V)}else f[h>>2]=q;ja=f[g>>2]|0;ka=f[h>>2]|0}r=ja+(ca<<3)|0;f[r>>2]=fa;f[r+4>>2]=ea;if($>>>0<ka>>>0){na=ja;oa=ka}else{r=ka*3|0;j=r>>>1;U=f[h>>2]|0;if(U>>>0<j>>>0){B=f[g>>2]|0;if(r>>>0>273){r=euc(j>>>0>536870911?-1:j<<3)|0;kzc(r|0,0,j<<3|0)|0;pa=r}else pa=_;f[g>>2]=pa;f[h>>2]=j;if((U|0)!=0&(pa|0)!=(B|0)){r=B;Y=f[r+4>>2]|0;E=pa;f[E>>2]=f[r>>2];f[E+4>>2]=Y;if((U|0)!=1){Y=B+8|0;E=f[Y+4>>2]|0;r=pa+8|0;f[r>>2]=f[Y>>2];f[r+4>>2]=E;if((U|0)==2)qa=U;else{E=2;do{r=B+(E<<3)|0;Y=f[r+4>>2]|0;A=(f[g>>2]|0)+(E<<3)|0;f[A>>2]=f[r>>2];f[A+4>>2]=Y;E=E+1|0}while((E|0)!=(U|0));qa=U}}else qa=1}else qa=U;do{E=(f[g>>2]|0)+(qa<<3)|0;f[E>>2]=0;f[E+4>>2]=0;qa=qa+1|0}while((qa|0)!=(j|0));if(!((B|0)==(_|0)|(B|0)==0))guc(B)}else f[h>>2]=j;na=f[g>>2]|0;oa=f[h>>2]|0}aa=$+1|0;U=na+($<<3)|0;f[U>>2]=da;f[U+4>>2]=fa;if(!aa){ia=x;break}else{Z=x;t=na;u=oa;v=fa}}if(w)R=ia;else{f[c+(ia<<3)>>2]=f[a+(o<<3)>>2];f[c+(ia<<3)+4>>2]=f[a+(o<<3)+4>>2];R=ia+1|0}}ia=d?R+-1|0:0;o=ia+1|0;a=(o|0)>=(R|0)?0:o;o=f[c+(a<<3)>>2]|0;w=f[c+(a<<3)+4>>2]|0;fa=a+1|0;v=(d^1)&1;oa=R-v|0;if((R|0)>2&(v|0)<(oa|0)){ga=l*.5;u=a;na=v;v=R;t=(fa|0)>=(R|0)?0:fa;fa=o;Z=f[c+(ia<<3)>>2]|0;aa=w;da=f[c+(ia<<3)+4>>2]|0;while(1){ia=f[c+(t<<3)>>2]|0;h=f[c+(t<<3)+4>>2]|0;g=t+1|0;_=(g|0)>=(R|0)?0:g;l=(f[s>>2]=ia,+n[s>>2]);M=(f[s>>2]=Z,+n[s>>2]);e=l-M;D=e;H=(f[s>>2]=h,+n[s>>2]);ra=(f[s>>2]=da,+n[s>>2]);sa=H-ra;ta=sa;ua=(f[s>>2]=fa,+n[s>>2]);va=ua-M;M=(f[s>>2]=aa,+n[s>>2]);wa=M-ra;ra=+L(+(va*ta-wa*D));if(va*(l-ua)+wa*(H-M)>=0.0&(sa!=0.0&(e!=0.0?ra*ra<=ga*(D*D+ta*ta):0))){f[c+(u<<3)>>2]=ia;f[c+(u<<3)+4>>2]=h;g=u+1|0;qa=_+1|0;xa=(g|0)>=(R|0)?0:g;ya=na+1|0;za=v+-1|0;Aa=(qa|0)>=(R|0)?0:qa;Ba=f[c+(_<<3)>>2]|0;Ca=ia;Da=f[c+(_<<3)+4>>2]|0;Ea=h}else{f[c+(u<<3)>>2]=fa;f[c+(u<<3)+4>>2]=aa;qa=u+1|0;xa=(qa|0)>=(R|0)?0:qa;ya=na;za=v;Aa=_;Ba=ia;Ca=fa;Da=h;Ea=aa}na=ya+1|0;if(!((za|0)>2&(na|0)<(oa|0))){Fa=xa;Ga=za;Ha=Ba;Ia=Da;break}else{u=xa;v=za;t=Aa;fa=Ba;Z=Ca;aa=Da;da=Ea}}}else{Fa=a;Ga=R;Ha=o;Ia=w}if(d){k=Ga;return k|0}f[c+(Fa<<3)>>2]=Ha;f[c+(Fa<<3)+4>>2]=Ia;k=Ga;return k|0}function Tma(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0.0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0;g=u;u=u+3312|0;h=g;i=g+3304|0;j=g+3248|0;k=g+2184|0;l=g+1120|0;m=g+56|0;gV(i,78244);o=a+4|0;p=c+4|0;if((f[o>>2]|0)==(f[p>>2]|0)){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;q=cuc(48)|0;f[h>>2]=q;f[h+8>>2]=-2147483600;f[h+4>>2]=34;r=q;s=346873;t=r+34|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));b[q+34>>0]=0;WD(-215,h,346908,346919,133)}do if((qJ(a)|0)==65536){q=f[o>>2]|0;f[j>>2]=f[q>>2];v=j+4|0;w=q+4|0;f[v>>2]=f[w>>2];x=j+8|0;f[x>>2]=f[q+8>>2];f[j+12>>2]=f[q+12>>2];f[j+16>>2]=f[q+16>>2];f[j+20>>2]=f[q+20>>2];f[j+24>>2]=f[q+24>>2];f[j+28>>2]=f[q+28>>2];f[j+32>>2]=f[q+32>>2];y=f[q+36>>2]|0;f[j+36>>2]=y;f[j+40>>2]=x;x=j+48|0;z=j+44|0;f[z>>2]=x;f[x>>2]=0;f[j+52>>2]=0;if(y|0){x=y+12|0;f[x>>2]=(f[x>>2]|0)+1}if((f[w>>2]|0)<3){w=f[q+44>>2]|0;x=f[z>>2]|0;f[x>>2]=f[w>>2];f[x+4>>2]=f[w+4>>2];break}else{f[v>>2]=0;$T(j,q);break}}else nJ(j,a,-1);while(0);a=qU(j,2,-1,1)|0;o=f[j>>2]&7;if((a|0)<=-1){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;A=cuc(64)|0;f[h>>2]=A;B=h+8|0;f[B>>2]=-2147483584;C=h+4|0;f[C>>2]=50;r=A;s=346992;t=r+50|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));D=A+50|0;b[D>>0]=0;WD(-215,h,346908,346919,137)}q=(o|0)==5;if((o|1|0)!=5){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;A=cuc(64)|0;f[h>>2]=A;B=h+8|0;f[B>>2]=-2147483584;C=h+4|0;f[C>>2]=50;r=A;s=346992;t=r+50|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));D=A+50|0;b[D>>0]=0;WD(-215,h,346908,346919,137)}if(a){if(iK(c)|0)E=(pJ(c,-1)|0)!=4;else E=e;e=k+8|0;f[k>>2]=e;D=k+4|0;A=a>>>0>264;f[D>>2]=a;if(A){C=euc(a>>>0>1073741823?-1:a<<2)|0;f[k>>2]=C;F=C}else F=e;C=a+2|0;B=l+8|0;f[l>>2]=B;v=l+4|0;f[v>>2]=C;if(C>>>0>264){w=euc(C>>>0>1073741823?-1:C<<2)|0;f[l>>2]=w;G=w}else G=B;w=m+8|0;f[m>>2]=w;C=m+4|0;f[C>>2]=a;if(A){A=euc(a>>>0>1073741823?-1:a<<2)|0;f[m>>2]=A;H=A}else H=w;A=f[j+16>>2]|0;if(!(f[j>>2]&16384)){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;x=cuc(32)|0;f[h>>2]=x;f[h+8>>2]=-2147483616;f[h+4>>2]=21;r=x;s=347043;t=r+21|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));b[x+21>>0]=0;WD(-215,h,346908,346919,156)}else I=0;do{f[F+(I<<2)>>2]=A+(I<<3);I=I+1|0}while((I|0)!=(a|0));I=F+(a<<2)|0;if(q){Vma(F,I,h);if((a|0)>1){x=1;s=0;r=0;while(1){J=+n[(f[F+(x<<2)>>2]|0)+4>>2];t=+n[(f[F+(s<<2)>>2]|0)+4>>2]>J?x:s;z=+n[(f[F+(r<<2)>>2]|0)+4>>2]<J?x:r;x=x+1|0;if((x|0)==(a|0)){K=t;L=z;break}else{s=t;r=z}}}else{K=0;L=0}}else{Uma(F,I,h);if((a|0)>1){I=0;r=0;s=1;while(1){x=f[(f[F+(s<<2)>>2]|0)+4>>2]|0;z=(f[(f[F+(I<<2)>>2]|0)+4>>2]|0)>(x|0)?s:I;t=(f[(f[F+(r<<2)>>2]|0)+4>>2]|0)<(x|0)?s:r;s=s+1|0;if((s|0)==(a|0)){K=z;L=t;break}else{I=z;r=t}}}else{K=0;L=0}}r=f[F>>2]|0;I=a+-1|0;a=f[F+(I<<2)>>2]|0;if((f[r>>2]|0)==(f[a>>2]|0)?(f[r+4>>2]|0)==(f[a+4>>2]|0):0){f[H>>2]=0;M=1}else{a=G;if(q){r=Xma(F,0,L,G,-1,1)|0;s=G+(r<<2)|0;N=s;O=Xma(F,I,L,s,-1,-1)|0;P=r}else{r=Wma(F,0,L,G,-1,1)|0;s=G+(r<<2)|0;N=s;O=Wma(F,I,L,s,-1,-1)|0;P=r}r=N;N=d?a:r;s=d?P:O;L=d?r:a;r=d?O:P;P=s+-1|0;if((s|0)>1){O=N;t=A;z=0;do{f[H+(z<<2)>>2]=(f[F+(f[O+(z<<2)>>2]<<2)>>2]|0)-t>>3;z=z+1|0}while((z|0)!=(P|0));Q=P}else Q=0;if((r|0)>1){P=L;z=A;t=r+Q+-1|0;O=Q;x=r;do{x=x+-1|0;y=O;O=O+1|0;f[H+(y<<2)>>2]=(f[F+(f[P+(x<<2)>>2]<<2)>>2]|0)-z>>3}while((O|0)!=(t|0));if((r|0)>2){R=t;S=L+4|0;T=47}else{U=t;T=45}}else{U=Q;T=45}if((T|0)==45)if((s|0)>2){R=U;S=N+(s+-2<<2)|0;T=47}else{V=U;W=-1}if((T|0)==47){V=R;W=f[S>>2]|0}if(q){q=Xma(F,0,K,G,1,-1)|0;S=G+(q<<2)|0;X=S;Z=q;_=Xma(F,I,K,S,1,1)|0}else{S=Wma(F,0,K,G,1,-1)|0;q=G+(S<<2)|0;X=q;Z=S;_=Wma(F,I,K,q,1,1)|0}q=X;X=d?q:a;K=d?_:Z;I=d?a:q;q=d?Z:_;do if((W|0)>-1){do if((K|0)>2){$=X+4|0;T=56}else{if((K+q|0)<=2){aa=-1;break}$=I+(2-K<<2)|0;T=56}while(0);if((T|0)==56)aa=f[$>>2]|0;if((aa|0)!=(W|0)){if((aa|0)<=-1){T=62;break}_=f[F+(aa<<2)>>2]|0;Z=f[F+(W<<2)>>2]|0;if((f[_>>2]|0)!=(f[Z>>2]|0)){T=62;break}if((f[_+4>>2]|0)!=(f[Z+4>>2]|0)){T=62;break}}Z=(q|0)<2?q:2;if((K|0)<2){ba=Z;ca=V}else{da=Z;ea=2;fa=1;T=63}}else T=62;while(0);if((T|0)==62)if((K|0)>1){da=q;ea=K;fa=K+-1|0;T=63}else{ba=q;ca=V}if((T|0)==63){T=X;X=A;q=ea+V|0;ea=V;V=0;while(1){f[H+(ea<<2)>>2]=(f[F+(f[T+(V<<2)>>2]<<2)>>2]|0)-X>>3;V=V+1|0;if((V|0)==(fa|0))break;else ea=ea+1|0}ba=da;ca=q+-1|0}if((ba|0)>1){q=I;I=A;da=ba+ca|0;ea=ca;fa=ba;while(1){fa=fa+-1|0;f[H+(ea<<2)>>2]=(f[F+(f[q+(fa<<2)>>2]<<2)>>2]|0)-I>>3;if((fa|0)<=1)break;else ea=ea+1|0}M=da+-1|0}else M=ca}if(E){jK(c,M,1,o|8,-1,0,0);do if((qJ(c)|0)==65536){o=f[p>>2]|0;f[h>>2]=f[o>>2];E=h+4|0;ca=o+4|0;f[E>>2]=f[ca>>2];da=h+8|0;f[da>>2]=f[o+8>>2];f[h+12>>2]=f[o+12>>2];f[h+16>>2]=f[o+16>>2];f[h+20>>2]=f[o+20>>2];f[h+24>>2]=f[o+24>>2];f[h+28>>2]=f[o+28>>2];f[h+32>>2]=f[o+32>>2];ea=f[o+36>>2]|0;f[h+36>>2]=ea;f[h+40>>2]=da;da=h+48|0;fa=h+44|0;f[fa>>2]=da;f[da>>2]=0;f[h+52>>2]=0;if(ea|0){da=ea+12|0;f[da>>2]=(f[da>>2]|0)+1}if((f[ca>>2]|0)<3){ca=f[o+44>>2]|0;da=f[fa>>2]|0;f[da>>2]=f[ca>>2];f[da+4>>2]=f[ca+4>>2];ga=h;break}else{f[E>>2]=0;$T(h,o);ga=h;break}}else{nJ(h,c,-1);ga=h}while(0);if(!(f[ga>>2]&16384))ha=f[f[h+44>>2]>>2]|0;else ha=8;if((M|0)>0){ga=f[h+16>>2]|0;p=0;do{o=f[H+(p<<2)>>2]|0;E=ga+(Y(p,ha)|0)|0;f[E>>2]=f[A+(o<<3)>>2];f[E+4>>2]=f[A+(o<<3)+4>>2];p=p+1|0}while((p|0)!=(M|0))}p=h+36|0;A=f[p>>2]|0;do if(A|0){ha=A+12|0;ga=f[ha>>2]|0;f[ha>>2]=ga+-1;if((ga|0)!=1)break;aU(h)}while(0);f[p>>2]=0;p=h+16|0;A=h+4|0;f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;f[p+12>>2]=0;if((f[A>>2]|0)>0){p=f[h+40>>2]|0;ga=0;do{f[p+(ga<<2)>>2]=0;ga=ga+1|0}while((ga|0)<(f[A>>2]|0))}A=f[h+44>>2]|0;if((A|0)!=(h+48|0))TC(A)}else{f[h>>2]=1124007940;A=h+4|0;f[A>>2]=2;ga=h+8|0;f[ga>>2]=M;f[h+12>>2]=1;p=h+16|0;f[p>>2]=H;f[h+20>>2]=H;ha=h+24|0;o=h+40|0;E=ha+8|0;f[E>>2]=0;f[E+4>>2]=0;f[o>>2]=ga;ga=h+48|0;E=h+44|0;f[E>>2]=ga;f[ga>>2]=4;f[h+52>>2]=4;ca=H+(M<<2)|0;f[h+28>>2]=ca;f[ha>>2]=ca+-4+4;YT(h);EI(h,c);ca=h+36|0;ha=f[ca>>2]|0;if(ha|0?(M=ha+12|0,ha=f[M>>2]|0,f[M>>2]=ha+-1,(ha|0)==1):0)aU(h);f[ca>>2]=0;f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;f[p+12>>2]=0;if((f[A>>2]|0)>0){p=f[o>>2]|0;o=0;do{f[p+(o<<2)>>2]=0;o=o+1|0}while((o|0)<(f[A>>2]|0))}A=f[E>>2]|0;if((A|0)!=(ga|0))TC(A)}A=f[m>>2]|0;if((A|0)!=(w|0)){if(A|0)guc(A);f[m>>2]=w;f[C>>2]=264}C=f[l>>2]|0;if((C|0)!=(B|0)){if(C|0)guc(C);f[l>>2]=B;f[v>>2]=264}v=f[k>>2]|0;if((v|0)!=(e|0)){if(v|0)guc(v);f[k>>2]=e;f[D>>2]=264}}else HJ(c);c=j+36|0;D=f[c>>2]|0;if(D|0?(e=D+12|0,D=f[e>>2]|0,f[e>>2]=D+-1,(D|0)==1):0)aU(j);f[c>>2]=0;c=j+16|0;D=j+4|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[D>>2]|0)>0){c=f[j+40>>2]|0;e=0;do{f[c+(e<<2)>>2]=0;e=e+1|0}while((e|0)<(f[D>>2]|0))}D=f[j+44>>2]|0;if((D|0)!=(j+48|0))TC(D);if(!(f[i+4>>2]|0)){u=g;return}u=g;return}function Uma(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0;d=a;a=b;a:while(1){b=a;e=a+-4|0;g=a+-8|0;h=d;while(1){i=h;b:while(1){j=i;k=b-j|0;l=k>>2;switch(l|0){case 2:{m=5;break a;break}case 3:{m=9;break a;break}case 4:{m=27;break a;break}case 5:{m=28;break a;break}case 1:case 0:{m=107;break a;break}default:{}}if((k|0)<124){m=30;break a}n=i+(((l|0)/2|0)<<2)|0;do if((k|0)>3996){o=(l|0)/4|0;p=bna(i,i+(o<<2)|0,n,n+(o<<2)|0,e,c)|0}else{o=f[n>>2]|0;q=f[i>>2]|0;r=f[o>>2]|0;s=f[q>>2]|0;t=o;u=q;if((r|0)>=(s|0))if((r|0)==(s|0))v=(f[o+4>>2]|0)<(f[q+4>>2]|0);else v=0;else v=1;w=f[e>>2]|0;x=f[w>>2]|0;y=w;if((x|0)>=(r|0))if((x|0)==(r|0))z=(f[w+4>>2]|0)<(f[o+4>>2]|0);else z=0;else z=1;if(!v){if(!z){p=0;break}f[n>>2]=y;f[e>>2]=t;o=f[n>>2]|0;w=f[i>>2]|0;r=f[o>>2]|0;x=f[w>>2]|0;A=w;B=o;if((r|0)>=(x|0)){if((r|0)!=(x|0)){p=1;break}if((f[o+4>>2]|0)>=(f[w+4>>2]|0)){p=1;break}}f[i>>2]=B;f[n>>2]=A;p=2;break}if(z){f[i>>2]=y;f[e>>2]=u;p=1;break}f[i>>2]=t;f[n>>2]=u;t=f[e>>2]|0;y=f[t>>2]|0;A=t;if((y|0)>=(s|0)){if((y|0)!=(s|0)){p=1;break}if((f[t+4>>2]|0)>=(f[q+4>>2]|0)){p=1;break}}f[n>>2]=A;f[e>>2]=u;p=2}while(0);C=f[i>>2]|0;l=f[n>>2]|0;k=f[C>>2]|0;u=f[l>>2]|0;if((k|0)<(u|0)){D=e;E=p;break}if((k|0)==(u|0)?(f[C+4>>2]|0)<(f[l+4>>2]|0):0){D=e;E=p;break}if((i|0)!=(g|0)){A=l+4|0;F=g;while(1){G=f[F>>2]|0;l=f[G>>2]|0;if((l|0)<(u|0)){m=82;break b}if((l|0)==(u|0)?(f[G+4>>2]|0)<(f[A>>2]|0):0){m=82;break b}l=F+-4|0;if((i|0)==(l|0))break;else F=l}}A=i+4|0;u=f[e>>2]|0;l=f[u>>2]|0;q=u;do if((k|0)<(l|0))H=A;else{if((k|0)==(l|0)?(f[C+4>>2]|0)<(f[u+4>>2]|0):0){H=A;break}if((A|0)==(e|0)){m=107;break a}t=C+4|0;s=A;while(1){I=f[s>>2]|0;y=f[I>>2]|0;if((k|0)<(y|0))break;if((k|0)==(y|0)?(f[t>>2]|0)<(f[I+4>>2]|0):0)break;y=s+4|0;if((y|0)==(e|0)){m=107;break a}else s=y}f[s>>2]=q;f[e>>2]=I;H=s+4|0}while(0);if((H|0)==(e|0)){m=107;break a}else{J=e;K=H}while(1){q=f[i>>2]|0;k=f[K>>2]|0;A=f[q>>2]|0;u=f[k>>2]|0;c:do if((A|0)<(u|0))L=K;else{l=q+4|0;t=K;y=u;B=k;while(1){if((A|0)==(y|0)?(f[l>>2]|0)<(f[B+4>>2]|0):0){L=t;break c}w=t+4|0;B=f[w>>2]|0;y=f[B>>2]|0;if((A|0)<(y|0)){L=w;break}else t=w}}while(0);k=q+4|0;u=J;while(1){s=u;u=u+-4|0;M=f[u>>2]|0;s=f[M>>2]|0;if((A|0)<(s|0)){u=u;continue}if((A|0)!=(s|0))break;if((f[k>>2]|0)>=(f[M+4>>2]|0))break}if(L>>>0>=u>>>0){i=L;continue b}k=f[L>>2]|0;f[L>>2]=M;f[u>>2]=k;J=u;K=L+4|0}}if((m|0)==82){m=0;f[i>>2]=G;f[F>>2]=C;D=F;E=p+1|0}k=i+4|0;d:do if(k>>>0<D>>>0){A=n;q=D;s=k;t=E;while(1){y=f[A>>2]|0;B=f[y>>2]|0;l=y+4|0;y=s;while(1){N=f[y>>2]|0;w=f[N>>2]|0;if((w|0)>=(B|0)){if((w|0)!=(B|0))break;if((f[N+4>>2]|0)>=(f[l>>2]|0))break}y=y+4|0}u=N;w=q+-4|0;o=f[w>>2]|0;x=f[o>>2]|0;e:do if((x|0)<(B|0))O=w;else{r=x;P=o;Q=w;while(1){if((r|0)==(B|0)?(f[P+4>>2]|0)<(f[l>>2]|0):0){O=Q;break e}R=Q+-4|0;P=f[R>>2]|0;r=f[P>>2]|0;if((r|0)<(B|0)){O=R;break}else Q=R}}while(0);if(y>>>0>O>>>0){S=A;T=t;U=y;break d}f[y>>2]=f[O>>2];f[O>>2]=u;A=(A|0)==(y|0)?O:A;q=O;s=y+4|0;t=t+1|0}}else{S=n;T=E;U=k}while(0);do if((U|0)==(S|0))V=T;else{k=f[S>>2]|0;t=f[U>>2]|0;s=f[k>>2]|0;q=f[t>>2]|0;A=t;B=k;if((s|0)>=(q|0)){if((s|0)!=(q|0)){V=T;break}if((f[k+4>>2]|0)>=(f[t+4>>2]|0)){V=T;break}}f[U>>2]=B;f[S>>2]=A;V=T+1|0}while(0);if(!V){W=dna(i,U,c)|0;A=U+4|0;if(dna(A,a,c)|0){m=106;break}if(W){h=A;continue}}A=U;if((A-j|0)>=(b-A|0)){m=105;break}Uma(i,U,c);h=U+4|0}if((m|0)==105){m=0;Uma(U+4|0,a,c);d=i;a=U;continue}else if((m|0)==106){m=0;if(W){m=107;break}else{d=i;a=U;continue}}}if((m|0)==5){U=f[e>>2]|0;d=f[i>>2]|0;W=f[U>>2]|0;j=f[d>>2]|0;V=d;T=U;if((W|0)>=(j|0)){if((W|0)!=(j|0))return;if((f[U+4>>2]|0)>=(f[d+4>>2]|0))return}f[i>>2]=T;f[e>>2]=V;return}else if((m|0)==9){V=i+4|0;T=f[V>>2]|0;d=f[i>>2]|0;U=f[T>>2]|0;j=f[d>>2]|0;W=T;S=d;if((U|0)>=(j|0))if((U|0)==(j|0))X=(f[T+4>>2]|0)<(f[d+4>>2]|0);else X=0;else X=1;E=f[e>>2]|0;n=f[E>>2]|0;O=E;if((n|0)>=(U|0))if((n|0)==(U|0))Y=(f[E+4>>2]|0)<(f[T+4>>2]|0);else Y=0;else Y=1;if(!X){if(!Y)return;f[V>>2]=O;f[e>>2]=W;X=f[V>>2]|0;T=f[i>>2]|0;E=f[X>>2]|0;U=f[T>>2]|0;n=T;N=X;if((E|0)>=(U|0)){if((E|0)!=(U|0))return;if((f[X+4>>2]|0)>=(f[T+4>>2]|0))return}f[i>>2]=N;f[V>>2]=n;return}if(Y){f[i>>2]=O;f[e>>2]=S;return}f[i>>2]=W;f[V>>2]=S;W=f[e>>2]|0;O=f[W>>2]|0;Y=W;if((O|0)>=(j|0)){if((O|0)!=(j|0))return;if((f[W+4>>2]|0)>=(f[d+4>>2]|0))return}f[V>>2]=Y;f[e>>2]=S;return}else if((m|0)==27){ana(i,i+4|0,i+8|0,e,c)|0;return}else if((m|0)==28){bna(i,i+4|0,i+8|0,i+12|0,e,c)|0;return}else if((m|0)==30){cna(i,a,c);return}else if((m|0)==107)return}function Vma(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0.0,t=0.0,u=0,v=0,w=0,x=0,y=0.0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0;d=a;a=b;a:while(1){b=a;e=a+-4|0;g=a+-8|0;h=d;while(1){i=h;b:while(1){j=i;k=b-j|0;l=k>>2;switch(l|0){case 2:{m=5;break a;break}case 3:{m=9;break a;break}case 4:{m=27;break a;break}case 5:{m=28;break a;break}case 1:case 0:{m=107;break a;break}default:{}}if((k|0)<124){m=30;break a}o=i+(((l|0)/2|0)<<2)|0;do if((k|0)>3996){p=(l|0)/4|0;q=Zma(i,i+(p<<2)|0,o,o+(p<<2)|0,e,c)|0}else{p=f[o>>2]|0;r=f[i>>2]|0;s=+n[p>>2];t=+n[r>>2];u=p;v=r;if(!(s<t))if(s==t)w=+n[p+4>>2]<+n[r+4>>2];else w=0;else w=1;x=f[e>>2]|0;y=+n[x>>2];z=x;if(!(y<s))if(y==s)A=+n[x+4>>2]<+n[p+4>>2];else A=0;else A=1;if(!w){if(!A){q=0;break}f[o>>2]=z;f[e>>2]=u;p=f[o>>2]|0;x=f[i>>2]|0;s=+n[p>>2];y=+n[x>>2];B=x;C=p;if(!(s<y)){if(!(s==y)){q=1;break}if(!(+n[p+4>>2]<+n[x+4>>2])){q=1;break}}f[i>>2]=C;f[o>>2]=B;q=2;break}if(A){f[i>>2]=z;f[e>>2]=v;q=1;break}f[i>>2]=u;f[o>>2]=v;u=f[e>>2]|0;y=+n[u>>2];z=u;if(!(y<t)){if(!(y==t)){q=1;break}if(!(+n[u+4>>2]<+n[r+4>>2])){q=1;break}}f[o>>2]=z;f[e>>2]=v;q=2}while(0);D=f[i>>2]|0;l=f[o>>2]|0;t=+n[D>>2];y=+n[l>>2];if(t<y){E=e;F=q;break}if(t==y?+n[D+4>>2]<+n[l+4>>2]:0){E=e;F=q;break}if((i|0)!=(g|0)){k=l+4|0;G=g;while(1){H=f[G>>2]|0;s=+n[H>>2];if(s<y){m=82;break b}if(s==y?+n[H+4>>2]<+n[k>>2]:0){m=82;break b}l=G+-4|0;if((i|0)==(l|0))break;else G=l}}k=i+4|0;l=f[e>>2]|0;y=+n[l>>2];v=l;do if(t<y)I=k;else{if(t==y?+n[D+4>>2]<+n[l+4>>2]:0){I=k;break}if((k|0)==(e|0)){m=107;break a}z=D+4|0;r=k;while(1){J=f[r>>2]|0;s=+n[J>>2];if(t<s)break;if(t==s?+n[z>>2]<+n[J+4>>2]:0)break;u=r+4|0;if((u|0)==(e|0)){m=107;break a}else r=u}f[r>>2]=v;f[e>>2]=J;I=r+4|0}while(0);if((I|0)==(e|0)){m=107;break a}else{K=e;L=I}while(1){v=f[i>>2]|0;k=f[L>>2]|0;t=+n[v>>2];y=+n[k>>2];c:do if(t<y)M=L;else{l=v+4|0;z=L;s=y;u=k;while(1){if(t==s?+n[l>>2]<+n[u+4>>2]:0){M=z;break c}B=z+4|0;u=f[B>>2]|0;s=+n[u>>2];if(t<s){M=B;break}else z=B}}while(0);k=v+4|0;r=K;while(1){z=r;r=r+-4|0;N=f[r>>2]|0;y=+n[N>>2];if(t<y){r=r;continue}if(!(t==y))break;if(!(+n[k>>2]<+n[N+4>>2]))break}if(M>>>0>=r>>>0){i=M;continue b}k=f[M>>2]|0;f[M>>2]=N;f[r>>2]=k;K=r;L=M+4|0}}if((m|0)==82){m=0;f[i>>2]=H;f[G>>2]=D;E=G;F=q+1|0}k=i+4|0;d:do if(k>>>0<E>>>0){v=o;z=E;u=k;l=F;while(1){B=f[v>>2]|0;t=+n[B>>2];C=B+4|0;B=u;while(1){O=f[B>>2]|0;y=+n[O>>2];if(!(y<t)){if(!(y==t))break;if(!(+n[O+4>>2]<+n[C>>2]))break}B=B+4|0}r=O;x=z+-4|0;p=f[x>>2]|0;y=+n[p>>2];e:do if(y<t)P=x;else{s=y;Q=p;R=x;while(1){if(s==t?+n[Q+4>>2]<+n[C>>2]:0){P=R;break e}S=R+-4|0;Q=f[S>>2]|0;s=+n[Q>>2];if(s<t){P=S;break}else R=S}}while(0);if(B>>>0>P>>>0){T=v;U=l;V=B;break d}f[B>>2]=f[P>>2];f[P>>2]=r;v=(v|0)==(B|0)?P:v;z=P;u=B+4|0;l=l+1|0}}else{T=o;U=F;V=k}while(0);do if((V|0)==(T|0))W=U;else{k=f[T>>2]|0;l=f[V>>2]|0;t=+n[k>>2];y=+n[l>>2];u=l;z=k;if(!(t<y)){if(!(t==y)){W=U;break}if(!(+n[k+4>>2]<+n[l+4>>2])){W=U;break}}f[V>>2]=z;f[T>>2]=u;W=U+1|0}while(0);if(!W){X=$ma(i,V,c)|0;u=V+4|0;if($ma(u,a,c)|0){m=106;break}if(X){h=u;continue}}u=V;if((u-j|0)>=(b-u|0)){m=105;break}Vma(i,V,c);h=V+4|0}if((m|0)==105){m=0;Vma(V+4|0,a,c);d=i;a=V;continue}else if((m|0)==106){m=0;if(X){m=107;break}else{d=i;a=V;continue}}}if((m|0)==5){V=f[e>>2]|0;d=f[i>>2]|0;y=+n[V>>2];t=+n[d>>2];X=d;j=V;if(!(y<t)){if(!(y==t))return;if(!(+n[V+4>>2]<+n[d+4>>2]))return}f[i>>2]=j;f[e>>2]=X;return}else if((m|0)==9){X=i+4|0;j=f[X>>2]|0;d=f[i>>2]|0;t=+n[j>>2];y=+n[d>>2];V=j;W=d;if(!(t<y))if(t==y)Y=+n[j+4>>2]<+n[d+4>>2];else Y=0;else Y=1;U=f[e>>2]|0;s=+n[U>>2];T=U;if(!(s<t))if(s==t)Z=+n[U+4>>2]<+n[j+4>>2];else Z=0;else Z=1;if(!Y){if(!Z)return;f[X>>2]=T;f[e>>2]=V;Y=f[X>>2]|0;j=f[i>>2]|0;t=+n[Y>>2];s=+n[j>>2];U=j;F=Y;if(!(t<s)){if(!(t==s))return;if(!(+n[Y+4>>2]<+n[j+4>>2]))return}f[i>>2]=F;f[X>>2]=U;return}if(Z){f[i>>2]=T;f[e>>2]=W;return}f[i>>2]=V;f[X>>2]=W;V=f[e>>2]|0;s=+n[V>>2];T=V;if(!(s<y)){if(!(s==y))return;if(!(+n[V+4>>2]<+n[d+4>>2]))return}f[X>>2]=T;f[e>>2]=W;return}else if((m|0)==27){Yma(i,i+4|0,i+8|0,e,c)|0;return}else if((m|0)==28){Zma(i,i+4|0,i+8|0,i+12|0,e,c)|0;return}else if((m|0)==30){_ma(i,a,c);return}else if((m|0)==107)return}function Wma(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0;h=(c|0)>(b|0)?1:-1;i=h+b|0;j=i+h|0;do if((b|0)!=(c|0)){k=f[a+(b<<2)>>2]|0;l=f[a+(c<<2)>>2]|0;if((f[k>>2]|0)==(f[l>>2]|0)?(f[k+4>>2]|0)==(f[l+4>>2]|0):0)break;f[d>>2]=b;l=d+4|0;f[l>>2]=i;k=d+8|0;f[k>>2]=j;m=h+c|0;a:do if((j|0)==(m|0))n=3;else{o=b;p=i;q=j;r=3;while(1){s=d+(r+-1<<2)|0;t=a+(o<<2)|0;u=f[a+(p<<2)>>2]|0;b:do if((o|0)!=(b|0)){v=u+4|0;w=q;while(1){x=f[v>>2]|0;y=f[a+(w<<2)>>2]|0;z=(f[y+4>>2]|0)-x|0;if((((z|0)>0&1)-(z>>>31)|0)!=(e|0))break;A=w+h|0;f[s>>2]=A;if((A|0)==(m|0)){n=r;break a}else w=A}v=f[u>>2]|0;A=f[t>>2]|0;B=v-(f[A>>2]|0)|0;C=x-(f[A+4>>2]|0)|0;A=(Y(C,(f[y>>2]|0)-v|0)|0)-(Y(B,z)|0)|0;if((C|B|0)==0?1:(((A|0)>0&1)-(A>>>31)|0)!=(g|0)){f[d+(r+-2<<2)>>2]=w;D=f[d+(r+-4<<2)>>2]|0;E=o;F=w;G=-1}else{H=p;I=w;J=15}}else{A=p;B=q;C=u;while(1){v=C+4|0;K=B;while(1){L=f[v>>2]|0;M=f[a+(K<<2)>>2]|0;N=(f[M+4>>2]|0)-L|0;if((((N|0)>0&1)-(N>>>31)|0)!=(e|0))break;O=K+h|0;f[s>>2]=O;if((O|0)==(m|0)){n=r;break a}else K=O}v=f[C>>2]|0;O=f[t>>2]|0;P=v-(f[O>>2]|0)|0;Q=L-(f[O+4>>2]|0)|0;O=(Y(Q,(f[M>>2]|0)-v|0)|0)-(Y(P,N)|0)|0;if(!((Q|P|0)==0?1:(((O|0)>0&1)-(O>>>31)|0)!=(g|0))){H=A;I=K;J=15;break b}f[l>>2]=K;O=K+h|0;f[k>>2]=O;if((O|0)==(m|0)){n=r;break a}else{A=K;B=O;C=M}}}while(0);if((J|0)==15){J=0;t=I+h|0;f[d+(r<<2)>>2]=t;D=H;E=I;F=t;G=1}t=r+G|0;if((F|0)==(m|0)){n=t;break}else{o=D;p=E;q=F;r=t}}}while(0);R=n+-1|0;return R|0}while(0);f[d>>2]=b;R=1;return R|0}function Xma(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0.0,x=0,y=0,z=0.0,A=0,B=0,C=0,D=0.0,E=0.0,F=0,G=0.0,H=0.0,I=0.0,J=0.0,K=0,L=0,M=0,N=0,O=0.0,P=0,Q=0,R=0,S=0,T=0;h=(c|0)>(b|0)?1:-1;i=h+b|0;j=i+h|0;do if((b|0)!=(c|0)){k=f[a+(b<<2)>>2]|0;l=f[a+(c<<2)>>2]|0;if(+n[k>>2]==+n[l>>2]?+n[k+4>>2]==+n[l+4>>2]:0)break;f[d>>2]=b;l=d+4|0;f[l>>2]=i;k=d+8|0;f[k>>2]=j;m=h+c|0;a:do if((j|0)==(m|0))o=3;else{p=b;q=i;r=j;s=3;while(1){t=d+(s+-1<<2)|0;u=a+(p<<2)|0;v=f[a+(q<<2)>>2]|0;w=+n[v+4>>2];b:do if((p|0)==(b|0)){x=q;y=r;z=w;A=v;while(1){B=y;while(1){C=f[a+(B<<2)>>2]|0;D=+n[C+4>>2];E=D-z;if(((E>0.0&1)-(E<0.0&1)|0)!=(e|0))break;F=B+h|0;f[t>>2]=F;if((F|0)==(m|0)){o=s;break a}else B=F}G=+n[A>>2];F=f[u>>2]|0;H=G-+n[F>>2];I=z-+n[F+4>>2];J=(+n[C>>2]-G)*I-E*H;if(((J>0.0&1)-(J<0.0&1)|0)==(g|0)?H!=0.0|I!=0.0:0){K=x;L=B;M=16;break b}f[l>>2]=B;F=B+h|0;f[k>>2]=F;if((F|0)==(m|0)){o=s;break a}else{x=B;y=F;z=D;A=C}}}else{A=r;while(1){N=f[a+(A<<2)>>2]|0;O=+n[N+4>>2]-w;if(((O>0.0&1)-(O<0.0&1)|0)!=(e|0))break;y=A+h|0;f[t>>2]=y;if((y|0)==(m|0)){o=s;break a}else A=y}z=+n[v>>2];y=f[u>>2]|0;I=z-+n[y>>2];H=w-+n[y+4>>2];J=(+n[N>>2]-z)*H-O*I;if(((J>0.0&1)-(J<0.0&1)|0)==(g|0)?I!=0.0|H!=0.0:0){K=q;L=A;M=16;break}f[d+(s+-2<<2)>>2]=A;P=f[d+(s+-4<<2)>>2]|0;Q=p;R=A;S=-1}while(0);if((M|0)==16){M=0;u=L+h|0;f[d+(s<<2)>>2]=u;P=K;Q=L;R=u;S=1}u=s+S|0;if((R|0)==(m|0)){o=u;break}else{p=P;q=Q;r=R;s=u}}}while(0);T=o+-1|0;return T|0}while(0);f[d>>2]=b;T=1;return T|0}function Yma(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0.0,i=0.0,j=0,k=0,l=0,m=0,o=0.0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;e=f[b>>2]|0;g=f[a>>2]|0;h=+n[e>>2];i=+n[g>>2];j=e;k=g;if(!(h<i))if(h==i)l=+n[e+4>>2]<+n[g+4>>2];else l=0;else l=1;m=f[c>>2]|0;o=+n[m>>2];p=m;if(!(o<h))if(o==h)q=+n[m+4>>2]<+n[e+4>>2];else q=0;else q=1;do if(!l)if(q){f[b>>2]=p;f[c>>2]=j;r=f[b>>2]|0;s=f[a>>2]|0;h=+n[r>>2];o=+n[s>>2];t=s;u=r;if(!(h<o)){if(!(h==o)){v=1;w=e;x=j;break}if(!(+n[r+4>>2]<+n[s+4>>2])){v=1;w=e;x=j;break}}f[a>>2]=u;f[b>>2]=t;t=f[c>>2]|0;v=2;w=t;x=t}else{v=0;w=m;x=p}else{if(q){f[a>>2]=p;f[c>>2]=k;v=1;w=g;x=k;break}f[a>>2]=j;f[b>>2]=k;t=f[c>>2]|0;o=+n[t>>2];u=t;if(!(o<i)){if(!(o==i)){v=1;w=t;x=u;break}if(!(+n[t+4>>2]<+n[g+4>>2])){v=1;w=t;x=u;break}}f[b>>2]=u;f[c>>2]=k;v=2;w=g;x=k}while(0);k=f[d>>2]|0;i=+n[k>>2];o=+n[w>>2];g=k;if(!(i<o)){if(!(i==o)){y=v;return y|0}if(!(+n[k+4>>2]<+n[w+4>>2])){y=v;return y|0}}f[c>>2]=g;f[d>>2]=x;x=v+1|0;d=f[c>>2]|0;g=f[b>>2]|0;o=+n[d>>2];i=+n[g>>2];w=g;k=d;if(!(o<i)){if(!(o==i)){y=x;return y|0}if(!(+n[d+4>>2]<+n[g+4>>2])){y=x;return y|0}}f[b>>2]=k;f[c>>2]=w;w=v+2|0;c=f[b>>2]|0;k=f[a>>2]|0;i=+n[c>>2];o=+n[k>>2];x=k;g=c;if(!(i<o)){if(!(i==o)){y=w;return y|0}if(!(+n[c+4>>2]<+n[k+4>>2])){y=w;return y|0}}f[a>>2]=g;f[b>>2]=x;y=v+3|0;return y|0}function Zma(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0.0,k=0.0,l=0,m=0,o=0;h=Yma(a,b,c,d,g)|0;g=f[e>>2]|0;i=f[d>>2]|0;j=+n[g>>2];k=+n[i>>2];l=i;m=g;if(!(j<k)){if(!(j==k)){o=h;return o|0}if(!(+n[g+4>>2]<+n[i+4>>2])){o=h;return o|0}}f[d>>2]=m;f[e>>2]=l;l=h+1|0;e=f[d>>2]|0;m=f[c>>2]|0;k=+n[e>>2];j=+n[m>>2];i=m;g=e;if(!(k<j)){if(!(k==j)){o=l;return o|0}if(!(+n[e+4>>2]<+n[m+4>>2])){o=l;return o|0}}f[c>>2]=g;f[d>>2]=i;i=h+2|0;d=f[c>>2]|0;g=f[b>>2]|0;j=+n[d>>2];k=+n[g>>2];l=g;m=d;if(!(j<k)){if(!(j==k)){o=i;return o|0}if(!(+n[d+4>>2]<+n[g+4>>2])){o=i;return o|0}}f[b>>2]=m;f[c>>2]=l;l=h+3|0;c=f[b>>2]|0;m=f[a>>2]|0;k=+n[c>>2];j=+n[m>>2];i=m;g=c;if(!(k<j)){if(!(k==j)){o=l;return o|0}if(!(+n[c+4>>2]<+n[m+4>>2])){o=l;return o|0}}f[a>>2]=g;f[b>>2]=i;o=h+4|0;return o|0}function _ma(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0.0,i=0.0,j=0,k=0,l=0,m=0,o=0.0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;c=a+8|0;d=a+4|0;e=f[d>>2]|0;g=f[a>>2]|0;h=+n[e>>2];i=+n[g>>2];j=e;k=g;if(!(h<i))if(h==i)l=+n[e+4>>2]<+n[g+4>>2];else l=0;else l=1;m=f[c>>2]|0;o=+n[m>>2];p=m;if(!(o<h))if(o==h)q=+n[m+4>>2]<+n[e+4>>2];else q=0;else q=1;do if(!l)if(q){f[d>>2]=p;f[c>>2]=j;if(!(o<i)){if(!(o==i)){r=j;s=e;break}if(!(+n[m+4>>2]<+n[g+4>>2])){r=j;s=e;break}}f[a>>2]=p;f[d>>2]=k;r=j;s=e}else{r=p;s=m}else{if(q){f[a>>2]=p;f[c>>2]=k;r=k;s=g;break}f[a>>2]=j;f[d>>2]=k;if(!(o<i)){if(!(o==i)){r=p;s=m;break}if(!(+n[m+4>>2]<+n[g+4>>2])){r=p;s=m;break}}f[d>>2]=p;f[c>>2]=k;r=k;s=g}while(0);g=a+12|0;if((g|0)==(b|0))return;else{t=g;u=c;v=s;w=r}while(1){r=f[t>>2]|0;i=+n[r>>2];o=+n[v>>2];s=r;if(!(i<o)){if(i==o?(c=r+4|0,+n[c>>2]<+n[v+4>>2]):0){x=c;y=25}}else{x=r+4|0;y=25}if((y|0)==25){y=0;f[t>>2]=w;a:do if((u|0)==(a|0))z=u;else{r=u;c=u;while(1){g=c;c=r+-4|0;k=f[c>>2]|0;o=+n[k>>2];p=k;if(!(i<o)){if(!(i==o)){z=g;break a}if(!(+n[x>>2]<+n[k+4>>2])){z=g;break a}}f[g>>2]=p;if((c|0)==(a|0)){z=c;break}else r=c}}while(0);f[z>>2]=s}c=t+4|0;if((c|0)==(b|0))break;r=f[t>>2]|0;p=t;t=c;v=r;w=r;u=p}return}function $ma(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0.0,i=0.0,j=0,k=0,l=0,m=0,o=0,p=0,q=0.0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;switch(b-a>>2|0){case 2:{d=b+-4|0;e=f[d>>2]|0;g=f[a>>2]|0;h=+n[e>>2];i=+n[g>>2];j=g;k=e;if(!(h<i)){if(!(h==i)){l=1;return l|0}if(!(+n[e+4>>2]<+n[g+4>>2])){l=1;return l|0}}f[a>>2]=k;f[d>>2]=j;l=1;return l|0}case 3:{j=a+4|0;d=b+-4|0;k=f[j>>2]|0;g=f[a>>2]|0;i=+n[k>>2];h=+n[g>>2];e=k;m=g;if(!(i<h))if(i==h)o=+n[k+4>>2]<+n[g+4>>2];else o=0;else o=1;p=f[d>>2]|0;q=+n[p>>2];r=p;if(!(q<i))if(q==i)s=+n[p+4>>2]<+n[k+4>>2];else s=0;else s=1;if(!o){if(!s){l=1;return l|0}f[j>>2]=r;f[d>>2]=e;o=f[j>>2]|0;k=f[a>>2]|0;i=+n[o>>2];q=+n[k>>2];p=k;t=o;if(!(i<q)){if(!(i==q)){l=1;return l|0}if(!(+n[o+4>>2]<+n[k+4>>2])){l=1;return l|0}}f[a>>2]=t;f[j>>2]=p;l=1;return l|0}if(s){f[a>>2]=r;f[d>>2]=m;l=1;return l|0}f[a>>2]=e;f[j>>2]=m;e=f[d>>2]|0;q=+n[e>>2];r=e;if(!(q<h)){if(!(q==h)){l=1;return l|0}if(!(+n[e+4>>2]<+n[g+4>>2])){l=1;return l|0}}f[j>>2]=r;f[d>>2]=m;l=1;return l|0}case 4:{Yma(a,a+4|0,a+8|0,b+-4|0,c)|0;l=1;return l|0}case 5:{Zma(a,a+4|0,a+8|0,a+12|0,b+-4|0,c)|0;l=1;return l|0}case 1:case 0:{l=1;return l|0}default:{c=a+8|0;m=a+4|0;d=f[m>>2]|0;r=f[a>>2]|0;h=+n[d>>2];q=+n[r>>2];j=d;g=r;if(!(h<q))if(h==q)u=+n[d+4>>2]<+n[r+4>>2];else u=0;else u=1;e=f[c>>2]|0;i=+n[e>>2];s=e;if(!(i<h))if(i==h)v=+n[e+4>>2]<+n[d+4>>2];else v=0;else v=1;do if(!u)if(v){f[m>>2]=s;f[c>>2]=j;if(!(i<q)){if(!(i==q)){w=d;break}if(!(+n[e+4>>2]<+n[r+4>>2])){w=d;break}}f[a>>2]=s;f[m>>2]=g;w=d}else w=e;else{if(v){f[a>>2]=s;f[c>>2]=g;w=r;break}f[a>>2]=j;f[m>>2]=g;if(!(i<q)){if(!(i==q)){w=e;break}if(!(+n[e+4>>2]<+n[r+4>>2])){w=e;break}}f[m>>2]=s;f[c>>2]=g;w=r}while(0);r=a+12|0;a:do if((r|0)==(b|0)){x=1;y=0}else{g=r;s=0;m=c;e=w;while(1){j=f[g>>2]|0;q=+n[j>>2];i=+n[e>>2];v=j;if(!(q<i))if(q==i?(d=j+4|0,+n[d>>2]<+n[e+4>>2]):0){z=d;A=49}else B=s;else{z=j+4|0;A=49}if((A|0)==49){A=0;f[g>>2]=f[m>>2];b:do if((m|0)==(a|0))C=m;else{j=m;d=m;while(1){u=d;d=j+-4|0;p=f[d>>2]|0;i=+n[p>>2];t=p;if(!(q<i)){if(!(q==i)){C=u;break b}if(!(+n[z>>2]<+n[p+4>>2])){C=u;break b}}f[u>>2]=t;if((d|0)==(a|0)){C=d;break}else j=d}}while(0);f[C>>2]=v;d=s+1|0;if((d|0)==8){x=0;y=(g+4|0)==(b|0);break a}else B=d}d=g+4|0;if((d|0)==(b|0)){x=1;y=0;break a}j=f[g>>2]|0;t=g;g=d;s=B;e=j;m=t}}while(0);l=y|x;return l|0}}return 0}function ana(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;e=f[b>>2]|0;g=f[a>>2]|0;h=f[e>>2]|0;i=f[g>>2]|0;j=e;k=g;if((h|0)>=(i|0))if((h|0)==(i|0))l=(f[e+4>>2]|0)<(f[g+4>>2]|0);else l=0;else l=1;m=f[c>>2]|0;n=f[m>>2]|0;o=m;if((n|0)>=(h|0))if((n|0)==(h|0))p=(f[m+4>>2]|0)<(f[e+4>>2]|0);else p=0;else p=1;do if(!l)if(p){f[b>>2]=o;f[c>>2]=j;h=f[b>>2]|0;n=f[a>>2]|0;q=f[h>>2]|0;r=f[n>>2]|0;s=n;t=h;if((q|0)>=(r|0)){if((q|0)!=(r|0)){u=1;v=e;w=j;break}if((f[h+4>>2]|0)>=(f[n+4>>2]|0)){u=1;v=e;w=j;break}}f[a>>2]=t;f[b>>2]=s;s=f[c>>2]|0;u=2;v=s;w=s}else{u=0;v=m;w=o}else{if(p){f[a>>2]=o;f[c>>2]=k;u=1;v=g;w=k;break}f[a>>2]=j;f[b>>2]=k;s=f[c>>2]|0;t=f[s>>2]|0;n=s;if((t|0)>=(i|0)){if((t|0)!=(i|0)){u=1;v=s;w=n;break}if((f[s+4>>2]|0)>=(f[g+4>>2]|0)){u=1;v=s;w=n;break}}f[b>>2]=n;f[c>>2]=k;u=2;v=g;w=k}while(0);k=f[d>>2]|0;g=f[k>>2]|0;i=f[v>>2]|0;j=k;if((g|0)>=(i|0)){if((g|0)!=(i|0)){x=u;return x|0}if((f[k+4>>2]|0)>=(f[v+4>>2]|0)){x=u;return x|0}}f[c>>2]=j;f[d>>2]=w;w=u+1|0;d=f[c>>2]|0;j=f[b>>2]|0;v=f[d>>2]|0;k=f[j>>2]|0;i=j;g=d;if((v|0)>=(k|0)){if((v|0)!=(k|0)){x=w;return x|0}if((f[d+4>>2]|0)>=(f[j+4>>2]|0)){x=w;return x|0}}f[b>>2]=g;f[c>>2]=i;i=u+2|0;c=f[b>>2]|0;g=f[a>>2]|0;w=f[c>>2]|0;j=f[g>>2]|0;d=g;k=c;if((w|0)>=(j|0)){if((w|0)!=(j|0)){x=i;return x|0}if((f[c+4>>2]|0)>=(f[g+4>>2]|0)){x=i;return x|0}}f[a>>2]=k;f[b>>2]=d;x=u+3|0;return x|0}function bna(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0;h=ana(a,b,c,d,g)|0;g=f[e>>2]|0;i=f[d>>2]|0;j=f[g>>2]|0;k=f[i>>2]|0;l=i;m=g;if((j|0)>=(k|0)){if((j|0)!=(k|0)){n=h;return n|0}if((f[g+4>>2]|0)>=(f[i+4>>2]|0)){n=h;return n|0}}f[d>>2]=m;f[e>>2]=l;l=h+1|0;e=f[d>>2]|0;m=f[c>>2]|0;i=f[e>>2]|0;g=f[m>>2]|0;k=m;j=e;if((i|0)>=(g|0)){if((i|0)!=(g|0)){n=l;return n|0}if((f[e+4>>2]|0)>=(f[m+4>>2]|0)){n=l;return n|0}}f[c>>2]=j;f[d>>2]=k;k=h+2|0;d=f[c>>2]|0;j=f[b>>2]|0;l=f[d>>2]|0;m=f[j>>2]|0;e=j;g=d;if((l|0)>=(m|0)){if((l|0)!=(m|0)){n=k;return n|0}if((f[d+4>>2]|0)>=(f[j+4>>2]|0)){n=k;return n|0}}f[b>>2]=g;f[c>>2]=e;e=h+3|0;c=f[b>>2]|0;g=f[a>>2]|0;k=f[c>>2]|0;j=f[g>>2]|0;d=g;m=c;if((k|0)>=(j|0)){if((k|0)!=(j|0)){n=e;return n|0}if((f[c+4>>2]|0)>=(f[g+4>>2]|0)){n=e;return n|0}}f[a>>2]=m;f[b>>2]=d;n=h+4|0;return n|0}function cna(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;c=a+8|0;d=a+4|0;e=f[d>>2]|0;g=f[a>>2]|0;h=f[e>>2]|0;i=f[g>>2]|0;j=e;k=g;if((h|0)>=(i|0))if((h|0)==(i|0))l=(f[e+4>>2]|0)<(f[g+4>>2]|0);else l=0;else l=1;m=f[c>>2]|0;n=f[m>>2]|0;o=m;if((n|0)>=(h|0))if((n|0)==(h|0))p=(f[m+4>>2]|0)<(f[e+4>>2]|0);else p=0;else p=1;do if(!l)if(p){f[d>>2]=o;f[c>>2]=j;if((n|0)>=(i|0)){if((n|0)!=(i|0)){q=j;r=e;break}if((f[m+4>>2]|0)>=(f[g+4>>2]|0)){q=j;r=e;break}}f[a>>2]=o;f[d>>2]=k;q=j;r=e}else{q=o;r=m}else{if(p){f[a>>2]=o;f[c>>2]=k;q=k;r=g;break}f[a>>2]=j;f[d>>2]=k;if((n|0)>=(i|0)){if((n|0)!=(i|0)){q=o;r=m;break}if((f[m+4>>2]|0)>=(f[g+4>>2]|0)){q=o;r=m;break}}f[d>>2]=o;f[c>>2]=k;q=k;r=g}while(0);g=a+12|0;if((g|0)==(b|0))return;else{s=g;t=c;u=r;v=q}while(1){q=f[s>>2]|0;r=f[q>>2]|0;c=f[u>>2]|0;g=q;if((r|0)>=(c|0)){if((r|0)==(c|0)?(c=q+4|0,(f[c>>2]|0)<(f[u+4>>2]|0)):0){w=c;x=25}}else{w=q+4|0;x=25}if((x|0)==25){x=0;f[s>>2]=v;a:do if((t|0)==(a|0))y=t;else{q=t;c=t;while(1){k=c;c=q+-4|0;o=f[c>>2]|0;d=f[o>>2]|0;m=o;if((r|0)>=(d|0)){if((r|0)!=(d|0)){y=k;break a}if((f[w>>2]|0)>=(f[o+4>>2]|0)){y=k;break a}}f[k>>2]=m;if((c|0)==(a|0)){y=c;break}else q=c}}while(0);f[y>>2]=g}r=s+4|0;if((r|0)==(b|0))break;c=f[s>>2]|0;q=s;s=r;u=c;v=c;t=q}return}function dna(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;switch(b-a>>2|0){case 2:{d=b+-4|0;e=f[d>>2]|0;g=f[a>>2]|0;h=f[e>>2]|0;i=f[g>>2]|0;j=g;k=e;if((h|0)>=(i|0)){if((h|0)!=(i|0)){l=1;return l|0}if((f[e+4>>2]|0)>=(f[g+4>>2]|0)){l=1;return l|0}}f[a>>2]=k;f[d>>2]=j;l=1;return l|0}case 3:{j=a+4|0;d=b+-4|0;k=f[j>>2]|0;g=f[a>>2]|0;e=f[k>>2]|0;i=f[g>>2]|0;h=k;m=g;if((e|0)>=(i|0))if((e|0)==(i|0))n=(f[k+4>>2]|0)<(f[g+4>>2]|0);else n=0;else n=1;o=f[d>>2]|0;p=f[o>>2]|0;q=o;if((p|0)>=(e|0))if((p|0)==(e|0))r=(f[o+4>>2]|0)<(f[k+4>>2]|0);else r=0;else r=1;if(!n){if(!r){l=1;return l|0}f[j>>2]=q;f[d>>2]=h;n=f[j>>2]|0;k=f[a>>2]|0;o=f[n>>2]|0;e=f[k>>2]|0;p=k;s=n;if((o|0)>=(e|0)){if((o|0)!=(e|0)){l=1;return l|0}if((f[n+4>>2]|0)>=(f[k+4>>2]|0)){l=1;return l|0}}f[a>>2]=s;f[j>>2]=p;l=1;return l|0}if(r){f[a>>2]=q;f[d>>2]=m;l=1;return l|0}f[a>>2]=h;f[j>>2]=m;h=f[d>>2]|0;q=f[h>>2]|0;r=h;if((q|0)>=(i|0)){if((q|0)!=(i|0)){l=1;return l|0}if((f[h+4>>2]|0)>=(f[g+4>>2]|0)){l=1;return l|0}}f[j>>2]=r;f[d>>2]=m;l=1;return l|0}case 4:{ana(a,a+4|0,a+8|0,b+-4|0,c)|0;l=1;return l|0}case 5:{bna(a,a+4|0,a+8|0,a+12|0,b+-4|0,c)|0;l=1;return l|0}case 1:case 0:{l=1;return l|0}default:{c=a+8|0;m=a+4|0;d=f[m>>2]|0;r=f[a>>2]|0;j=f[d>>2]|0;g=f[r>>2]|0;h=d;i=r;if((j|0)>=(g|0))if((j|0)==(g|0))t=(f[d+4>>2]|0)<(f[r+4>>2]|0);else t=0;else t=1;q=f[c>>2]|0;p=f[q>>2]|0;s=q;if((p|0)>=(j|0))if((p|0)==(j|0))u=(f[q+4>>2]|0)<(f[d+4>>2]|0);else u=0;else u=1;do if(!t)if(u){f[m>>2]=s;f[c>>2]=h;if((p|0)>=(g|0)){if((p|0)!=(g|0)){v=d;break}if((f[q+4>>2]|0)>=(f[r+4>>2]|0)){v=d;break}}f[a>>2]=s;f[m>>2]=i;v=d}else v=q;else{if(u){f[a>>2]=s;f[c>>2]=i;v=r;break}f[a>>2]=h;f[m>>2]=i;if((p|0)>=(g|0)){if((p|0)!=(g|0)){v=q;break}if((f[q+4>>2]|0)>=(f[r+4>>2]|0)){v=q;break}}f[m>>2]=s;f[c>>2]=i;v=r}while(0);r=a+12|0;a:do if((r|0)==(b|0)){w=1;x=0}else{i=r;s=0;m=c;q=v;while(1){g=f[i>>2]|0;p=f[g>>2]|0;h=f[q>>2]|0;u=g;if((p|0)>=(h|0))if((p|0)==(h|0)?(h=g+4|0,(f[h>>2]|0)<(f[q+4>>2]|0)):0){y=h;z=49}else A=s;else{y=g+4|0;z=49}if((z|0)==49){z=0;f[i>>2]=f[m>>2];b:do if((m|0)==(a|0))B=m;else{g=m;h=m;while(1){d=h;h=g+-4|0;t=f[h>>2]|0;j=f[t>>2]|0;k=t;if((p|0)>=(j|0)){if((p|0)!=(j|0)){B=d;break b}if((f[y>>2]|0)>=(f[t+4>>2]|0)){B=d;break b}}f[d>>2]=k;if((h|0)==(a|0)){B=h;break}else g=h}}while(0);f[B>>2]=u;p=s+1|0;if((p|0)==8){w=0;x=(i+4|0)==(b|0);break a}else A=p}p=i+4|0;if((p|0)==(b|0)){w=1;x=0;break a}h=f[i>>2]|0;g=i;i=p;s=A;q=h;m=g}}while(0);l=x|w;return l|0}}return 0}function ena(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0.0,J=0,K=0.0,N=0.0,O=0.0,P=0,Q=0,R=0.0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0.0,_=0.0;e=u;u=u+192|0;g=e+184|0;h=e+128|0;i=e+72|0;j=e+56|0;k=e;gV(g,78264);do if((qJ(a)|0)==65536){l=f[a+4>>2]|0;f[h>>2]=f[l>>2];m=h+4|0;n=l+4|0;f[m>>2]=f[n>>2];o=h+8|0;f[o>>2]=f[l+8>>2];f[h+12>>2]=f[l+12>>2];f[h+16>>2]=f[l+16>>2];f[h+20>>2]=f[l+20>>2];f[h+24>>2]=f[l+24>>2];f[h+28>>2]=f[l+28>>2];f[h+32>>2]=f[l+32>>2];p=f[l+36>>2]|0;f[h+36>>2]=p;f[h+40>>2]=o;o=h+48|0;q=h+44|0;f[q>>2]=o;f[o>>2]=0;f[h+52>>2]=0;if(p|0){o=p+12|0;f[o>>2]=(f[o>>2]|0)+1}if((f[n>>2]|0)<3){n=f[l+44>>2]|0;o=f[q>>2]|0;f[o>>2]=f[n>>2];f[o+4>>2]=f[n+4>>2];break}else{f[m>>2]=0;$T(h,l);break}}else nJ(h,a,-1);while(0);a=qU(h,2,4,1)|0;if((a|0)<=-1){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;l=cuc(16)|0;f[i>>2]=l;f[i+8>>2]=-2147483632;f[i+4>>2]=12;r=l;s=347122;t=r+12|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));b[l+12>>0]=0;WD(-215,i,347135,346919,274)}if((a|0)>=4){do if((qJ(c)|0)==65536){l=f[c+4>>2]|0;f[i>>2]=f[l>>2];m=i+4|0;n=l+4|0;f[m>>2]=f[n>>2];o=i+8|0;f[o>>2]=f[l+8>>2];f[i+12>>2]=f[l+12>>2];f[i+16>>2]=f[l+16>>2];f[i+20>>2]=f[l+20>>2];f[i+24>>2]=f[l+24>>2];f[i+28>>2]=f[l+28>>2];f[i+32>>2]=f[l+32>>2];q=f[l+36>>2]|0;f[i+36>>2]=q;f[i+40>>2]=o;o=i+48|0;p=i+44|0;f[p>>2]=o;f[o>>2]=0;f[i+52>>2]=0;if(q|0){o=q+12|0;f[o>>2]=(f[o>>2]|0)+1}if((f[n>>2]|0)<3){n=f[l+44>>2]|0;o=f[p>>2]|0;f[o>>2]=f[n>>2];f[o+4>>2]=f[n+4>>2];break}else{f[m>>2]=0;$T(i,l);break}}else nJ(i,c,-1);while(0);c=qU(i,1,4,1)|0;if((c|0)<=0){f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;l=cuc(16)|0;f[j>>2]=l;f[j+8>>2]=-2147483632;f[j+4>>2]=11;r=l;s=347152;t=r+11|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));b[l+11>>0]=0;WD(-215,j,347135,346919,284)}l=f[h+16>>2]|0;m=i+16|0;n=f[m>>2]|0;o=i+44|0;f[j>>2]=0;p=j+4|0;f[p>>2]=0;f[j+8>>2]=0;if((c|0)>=3){q=f[n+4>>2]|0;v=f[n>>2]|0;w=f[n+8>>2]|0;x=(((w|0)>(q|0)&1)+((q|0)>(v|0)&1)+((v|0)>(w|0)&1)|0)!=2;w=c+-1|0;q=f[n+((x?0:w)<<2)>>2]|0;if(!((q|0)>-1&(q|0)<(a|0))){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;y=cuc(32)|0;f[k>>2]=y;f[k+8>>2]=-2147483616;f[k+4>>2]=29;r=y;s=347164;t=r+29|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));b[y+29>>0]=0;WD(-215,k,347135,346919,300)}y=k+4|0;z=k+8|0;A=k+12|0;B=j+8|0;a:do if(x){C=0;D=q;while(1){E=D;D=f[n+(w-C<<2)>>2]|0;if(!((D|0)>-1&(D|0)<(a|0)))break;F=f[l+(E<<3)>>2]|0;G=f[l+(E<<3)+4>>2]|0;H=(f[l+(D<<3)>>2]|0)-F|0;I=+(H|0);J=(f[l+(D<<3)+4>>2]|0)-G|0;K=+(J|0);if(!(J|H))N=0.0;else N=1.0/+M(+(I*I+K*K));H=E+1|0;J=(H|0)<(a|0)?H:0;if((J|0)!=(D|0)){H=0;O=0.0;P=-1;Q=J;do{R=N*+L(+(I*+((f[l+(Q<<3)+4>>2]|0)-G|0)-K*+((f[l+(Q<<3)>>2]|0)-F|0)));J=R>O;P=J?Q:P;O=J?R:O;H=H|J;J=Q+1|0;Q=(J|0)<(a|0)?J:0}while((Q|0)!=(D|0));if(H){Q=Fhc(O*256.0)|0;f[k>>2]=E;f[y>>2]=D;f[z>>2]=P;f[A>>2]=Q;Q=f[p>>2]|0;if(Q>>>0<(f[B>>2]|0)>>>0){f[Q>>2]=E;f[Q+4>>2]=f[y>>2];f[Q+8>>2]=f[z>>2];f[Q+12>>2]=f[A>>2];f[p>>2]=Q+16}else fna(j,k)}}C=C+1|0;if((c|0)<=(C|0))break a}f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;S=cuc(32)|0;f[k>>2]=S;T=k+8|0;f[T>>2]=-2147483616;U=k+4|0;f[U>>2]=29;r=S;s=347194;t=r+29|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));V=S+29|0;b[V>>0]=0;WD(-215,k,347135,346919,305)}else{if((v|0)>-1&(v|0)<(a|0)){W=0;X=q;Y=v}else{f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;S=cuc(32)|0;f[k>>2]=S;T=k+8|0;f[T>>2]=-2147483616;U=k+4|0;f[U>>2]=29;r=S;s=347194;t=r+29|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));V=S+29|0;b[V>>0]=0;WD(-215,k,347135,346919,305)}while(1){C=f[l+(X<<3)>>2]|0;D=f[l+(X<<3)+4>>2]|0;Q=(f[l+(Y<<3)>>2]|0)-C|0;K=+(Q|0);F=(f[l+(Y<<3)+4>>2]|0)-D|0;I=+(F|0);if(!(F|Q))Z=0.0;else Z=1.0/+M(+(K*K+I*I));Q=X+1|0;F=(Q|0)<(a|0)?Q:0;if((F|0)!=(Y|0)){Q=0;R=0.0;G=-1;J=F;do{_=Z*+L(+(K*+((f[l+(J<<3)+4>>2]|0)-D|0)-I*+((f[l+(J<<3)>>2]|0)-C|0)));F=_>R;G=F?J:G;R=F?_:R;Q=Q|F;F=J+1|0;J=(F|0)<(a|0)?F:0}while((J|0)!=(Y|0));if(Q){J=Fhc(R*256.0)|0;f[k>>2]=X;f[y>>2]=Y;f[z>>2]=G;f[A>>2]=J;J=f[p>>2]|0;if(J>>>0<(f[B>>2]|0)>>>0){f[J>>2]=X;f[J+4>>2]=f[y>>2];f[J+8>>2]=f[z>>2];f[J+12>>2]=f[A>>2];f[p>>2]=J+16}else fna(j,k)}}W=W+1|0;if((c|0)<=(W|0))break a;J=f[n+(W<<2)>>2]|0;if(!((J|0)>-1&(J|0)<(a|0)))break;else{C=Y;Y=J;X=C}}f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;S=cuc(32)|0;f[k>>2]=S;T=k+8|0;f[T>>2]=-2147483616;U=k+4|0;f[U>>2]=29;r=S;s=347194;t=r+29|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));V=S+29|0;b[V>>0]=0;WD(-215,k,347135,346919,305)}while(0);f[k>>2]=1124024348;V=k+4|0;f[V>>2]=2;S=k+8|0;s=f[p>>2]|0;r=f[j>>2]|0;t=s-r|0;f[S>>2]=t>>4;f[k+12>>2]=1;U=k+16|0;T=k+40|0;f[U>>2]=0;f[U+4>>2]=0;f[U+8>>2]=0;f[U+12>>2]=0;f[U+16>>2]=0;f[U+20>>2]=0;f[T>>2]=S;S=k+48|0;X=k+44|0;f[X>>2]=S;f[S>>2]=0;Y=k+52|0;f[Y>>2]=0;a=r;if((a|0)!=(s|0)){f[Y>>2]=16;f[S>>2]=16;f[U>>2]=a;f[k+20>>2]=a;a=r+t|0;f[k+24>>2]=a;f[k+28>>2]=a}EI(k,d);a=k+36|0;t=f[a>>2]|0;if(t|0?(r=t+12|0,t=f[r>>2]|0,f[r>>2]=t+-1,(t|0)==1):0)aU(k);f[a>>2]=0;f[U>>2]=0;f[U+4>>2]=0;f[U+8>>2]=0;f[U+12>>2]=0;if((f[V>>2]|0)>0){U=f[T>>2]|0;T=0;do{f[U+(T<<2)>>2]=0;T=T+1|0}while((T|0)<(f[V>>2]|0))}V=f[X>>2]|0;if((V|0)!=(S|0))TC(V)}else HJ(d);V=f[j>>2]|0;if(V|0){j=f[p>>2]|0;if((j|0)!=(V|0))f[p>>2]=j+(~((j+-16-V|0)>>>4)<<4);fuc(V)}V=i+36|0;j=f[V>>2]|0;if(j|0?(p=j+12|0,j=f[p>>2]|0,f[p>>2]=j+-1,(j|0)==1):0)aU(i);f[V>>2]=0;V=i+4|0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;if((f[V>>2]|0)>0){m=f[i+40>>2]|0;j=0;do{f[m+(j<<2)>>2]=0;j=j+1|0}while((j|0)<(f[V>>2]|0))}V=f[o>>2]|0;if((V|0)!=(i+48|0))TC(V)}else HJ(d);d=h+36|0;V=f[d>>2]|0;if(V|0?(i=V+12|0,V=f[i>>2]|0,f[i>>2]=V+-1,(V|0)==1):0)aU(h);f[d>>2]=0;d=h+16|0;V=h+4|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[V>>2]|0)>0){d=f[h+40>>2]|0;i=0;do{f[d+(i<<2)>>2]=0;i=i+1|0}while((i|0)<(f[V>>2]|0))}V=f[h+44>>2]|0;if((V|0)!=(h+48|0))TC(V);if(!(f[g+4>>2]|0)){u=e;return}u=e;return}function fna(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;c=a+4|0;d=f[c>>2]|0;e=f[a>>2]|0;g=d-e>>4;h=g+1|0;i=e;j=d;if(h>>>0>268435455)nsc(a);d=a+8|0;k=(f[d>>2]|0)-e|0;l=k>>3;m=k>>4>>>0<134217727?(l>>>0<h>>>0?h:l):268435455;do if(m)if(m>>>0>268435455){l=ze(8)|0;kuc(l,519086);f[l>>2]=167148;Hf(l|0,26888,1888)}else{n=cuc(m<<4)|0;break}else n=0;while(0);l=n+(g<<4)|0;h=n+(m<<4)|0;f[l>>2]=f[b>>2];f[n+(g<<4)+4>>2]=f[b+4>>2];f[n+(g<<4)+8>>2]=f[b+8>>2];f[n+(g<<4)+12>>2]=f[b+12>>2];b=l+16|0;if((j|0)==(i|0))o=l;else{g=j+-16-e|0;n=j;j=l;while(1){m=n;n=n+-16|0;f[j+-16>>2]=f[n>>2];f[j+-12>>2]=f[m+-12>>2];f[j+-8>>2]=f[m+-8>>2];f[j+-4>>2]=f[m+-4>>2];if((n|0)==(i|0))break;else j=j+-16|0}o=l+(~(g>>>4)<<4)|0}f[a>>2]=o;f[c>>2]=b;f[d>>2]=h;if(!e)return;fuc(e);return}function gna(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,t=0,v=0,w=0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0;c=u;u=u+80|0;d=c+16|0;e=c;do if((qJ(a)|0)==65536){g=f[a+4>>2]|0;f[d>>2]=f[g>>2];h=d+4|0;i=g+4|0;f[h>>2]=f[i>>2];j=d+8|0;f[j>>2]=f[g+8>>2];f[d+12>>2]=f[g+12>>2];f[d+16>>2]=f[g+16>>2];f[d+20>>2]=f[g+20>>2];f[d+24>>2]=f[g+24>>2];f[d+28>>2]=f[g+28>>2];f[d+32>>2]=f[g+32>>2];k=f[g+36>>2]|0;f[d+36>>2]=k;f[d+40>>2]=j;j=d+48|0;l=d+44|0;f[l>>2]=j;f[j>>2]=0;f[d+52>>2]=0;if(k|0){j=k+12|0;f[j>>2]=(f[j>>2]|0)+1}if((f[i>>2]|0)<3){i=f[g+44>>2]|0;j=f[l>>2]|0;f[j>>2]=f[i>>2];f[j+4>>2]=f[i+4>>2];break}else{f[h>>2]=0;$T(d,g);break}}else nJ(d,a,-1);while(0);a=qU(d,2,-1,1)|0;g=f[d>>2]&7;if((a|0)<=-1){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;m=cuc(64)|0;f[e>>2]=m;o=e+8|0;f[o>>2]=-2147483584;p=e+4|0;f[p>>2]=50;q=m;r=346992;t=q+50|0;do{b[q>>0]=b[r>>0]|0;q=q+1|0;r=r+1|0}while((q|0)<(t|0));v=m+50|0;b[v>>0]=0;WD(-215,e,347287,346919,392)}h=(g|0)==4;if((g|1|0)!=5){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;m=cuc(64)|0;f[e>>2]=m;o=e+8|0;f[o>>2]=-2147483584;p=e+4|0;f[p>>2]=50;q=m;r=346992;t=q+50|0;do{b[q>>0]=b[r>>0]|0;q=q+1|0;r=r+1|0}while((q|0)<(t|0));v=m+50|0;b[v>>0]=0;WD(-215,e,347287,346919,392)}a:do if(a){e=f[d+16>>2]|0;if(h){v=((a<<1)+-2|0)%(a|0)|0;m=a+-1|0;r=f[e+(m<<3)>>2]|0;q=f[e+(m<<3)+4>>2]|0;m=r-(f[e+(v<<3)>>2]|0)|0;t=q-(f[e+(v<<3)+4>>2]|0)|0;v=0;p=0;o=r;r=q;while(1){q=o;o=f[e+(p<<3)>>2]|0;g=r;r=f[e+(p<<3)+4>>2]|0;i=m;m=o-q|0;q=t;t=r-g|0;g=Y(m,q)|0;q=Y(t,i)|0;v=((q|0)>(g|0)?1:(q|0)<(g|0)?2:3)|v;p=p+1|0;if((v|0)==3){w=0;break a}if((p|0)>=(a|0)){w=1;break}}}else{p=((a<<1)+-2|0)%(a|0)|0;v=a+-1|0;t=f[e+(v<<3)>>2]|0;m=f[e+(v<<3)+4>>2]|0;x=(f[s>>2]=m,+n[s>>2])-+n[e+(p<<3)+4>>2];y=(f[s>>2]=t,+n[s>>2])-+n[e+(p<<3)>>2];z=x;p=0;v=0;r=t;t=m;while(1){m=r;r=f[e+(v<<3)>>2]|0;o=t;t=f[e+(v<<3)+4>>2]|0;x=(f[s>>2]=r,+n[s>>2]);A=y;y=x-(f[s>>2]=m,+n[s>>2]);x=(f[s>>2]=t,+n[s>>2]);B=z;z=x-(f[s>>2]=o,+n[s>>2]);x=B*y;B=A*z;p=(B>x?1:B<x?2:3)|p;v=v+1|0;if((p|0)==3){w=0;break a}if((v|0)>=(a|0)){w=1;break}}}}else w=0;while(0);a=d+36|0;h=f[a>>2]|0;if(h|0?(v=h+12|0,h=f[v>>2]|0,f[v>>2]=h+-1,(h|0)==1):0)aU(d);f[a>>2]=0;a=d+16|0;h=d+4|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;if((f[h>>2]|0)>0){a=f[d+40>>2]|0;v=0;do{f[a+(v<<2)>>2]=0;v=v+1|0}while((v|0)<(f[h>>2]|0))}h=f[d+44>>2]|0;if((h|0)==(d+48|0)){u=c;return w|0}TC(h);u=c;return w|0}function hna(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return ina(a,b,c,d,-1)|0}function ina(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;h=u;u=u+144|0;i=h+80|0;j=h+16|0;k=h+24|0;l=h+136|0;m=h;do if((qJ(a)|0)==65536){n=f[a+4>>2]|0;f[i>>2]=f[n>>2];o=i+4|0;p=n+4|0;f[o>>2]=f[p>>2];q=i+8|0;f[q>>2]=f[n+8>>2];f[i+12>>2]=f[n+12>>2];f[i+16>>2]=f[n+16>>2];f[i+20>>2]=f[n+20>>2];f[i+24>>2]=f[n+24>>2];f[i+28>>2]=f[n+28>>2];f[i+32>>2]=f[n+32>>2];r=f[n+36>>2]|0;f[i+36>>2]=r;s=i+40|0;f[s>>2]=q;q=i+48|0;t=i+44|0;f[t>>2]=q;f[q>>2]=0;f[i+52>>2]=0;if(r|0){q=r+12|0;f[q>>2]=(f[q>>2]|0)+1}if((f[p>>2]|0)<3){p=f[n+44>>2]|0;q=f[t>>2]|0;f[q>>2]=f[p>>2];f[q+4>>2]=f[p+4>>2];v=s;break}else{f[o>>2]=0;$T(i,n);v=s;break}}else{nJ(i,a,-1);v=i+40|0}while(0);a=f[v>>2]|0;s=f[a>>2]|0;f[j>>2]=f[a+4>>2];f[j+4>>2]=s;IJ(c,j,e&7,-1,0,0);do if((qJ(c)|0)==65536){j=f[c+4>>2]|0;f[k>>2]=f[j>>2];s=k+4|0;a=j+4|0;f[s>>2]=f[a>>2];n=k+8|0;f[n>>2]=f[j+8>>2];f[k+12>>2]=f[j+12>>2];f[k+16>>2]=f[j+16>>2];f[k+20>>2]=f[j+20>>2];f[k+24>>2]=f[j+24>>2];f[k+28>>2]=f[j+28>>2];f[k+32>>2]=f[j+32>>2];o=f[j+36>>2]|0;f[k+36>>2]=o;f[k+40>>2]=n;n=k+48|0;p=k+44|0;f[p>>2]=n;f[n>>2]=0;f[k+52>>2]=0;if(o|0){n=o+12|0;f[n>>2]=(f[n>>2]|0)+1}if((f[a>>2]|0)<3){a=f[j+44>>2]|0;n=f[p>>2]|0;f[n>>2]=f[a>>2];f[n+4>>2]=f[a+4>>2];break}else{f[s>>2]=0;$T(k,j);break}}else nJ(k,c,-1);while(0);switch(e|0){case 4:case 2:break;default:{f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;e=cuc(48)|0;f[m>>2]=e;f[m+8>>2]=-2147483600;f[m+4>>2]=37;c=e;j=347303;s=c+37|0;do{b[c>>0]=b[j>>0]|0;c=c+1|0;j=j+1|0}while((c|0)<(s|0));b[e+37>>0]=0;WD(-210,m,347341,347361,4004)}}m=jna(i,k,d,g,l)|0;l=k+36|0;g=f[l>>2]|0;if(g|0?(d=g+12|0,g=f[d>>2]|0,f[d>>2]=g+-1,(g|0)==1):0)aU(k);f[l>>2]=0;l=k+16|0;g=k+4|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;if((f[g>>2]|0)>0){l=f[k+40>>2]|0;d=0;do{f[l+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[g>>2]|0))}g=f[k+44>>2]|0;if((g|0)!=(k+48|0))TC(g);g=i+36|0;k=f[g>>2]|0;if(k|0?(d=k+12|0,k=f[d>>2]|0,f[d>>2]=k+-1,(k|0)==1):0)aU(i);f[g>>2]=0;g=i+16|0;k=i+4|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;if((f[k>>2]|0)>0){g=f[v>>2]|0;v=0;do{f[g+(v<<2)>>2]=0;v=v+1|0}while((v|0)<(f[k>>2]|0))}k=f[i+44>>2]|0;if((k|0)==(i+48|0)){u=h;return m|0}TC(k);u=h;return m|0}function jna(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0;h=u;u=u+32|0;i=h;j=h+17|0;k=h+16|0;l=h+15|0;m=h+14|0;n=h+13|0;o=h+12|0;p=f[c>>2]|0;if(p&4088|0){q=cuc(48)|0;f[i>>2]=q;r=i+8|0;f[r>>2]=-2147483600;s=i+4|0;f[s>>2]=38;t=q;v=347445;w=t+38|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));x=q+38|0;b[x>>0]=0;WD(-215,i,347484,347361,3927)}y=f[a>>2]|0;if(y&4088|0){q=cuc(48)|0;f[i>>2]=q;r=i+8|0;f[r>>2]=-2147483600;s=i+4|0;f[s>>2]=38;t=q;v=347445;w=t+38|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));x=q+38|0;b[x>>0]=0;WD(-215,i,347484,347361,3927)}x=(d|0)==8;q=(d|0)==4;switch(d|0){case 4:case 8:break;default:{s=cuc(48)|0;f[i>>2]=s;f[i+8>>2]=-2147483600;f[i+4>>2]=38;t=s;v=347509;w=t+38|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));b[s+38>>0]=0;WD(-215,i,347484,347361,3928)}}s=(e|0)==1;r=(e|0)==0;z=(e|0)==-1;switch(e|0){case 0:case 1:case -1:break;default:{e=cuc(80)|0;f[i>>2]=e;f[i+8>>2]=-2147483568;f[i+4>>2]=67;t=e;v=347548;w=t+67|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));b[e+67>>0]=0;WD(-215,i,347484,347361,3929)}}e=p&7;A=vZ()|0;B=tZ()|0;if((y&6|1|0)!=1){y=cuc(48)|0;f[i>>2]=y;f[i+8>>2]=-2147483600;f[i+4>>2]=34;t=y;v=347616;w=t+34|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));b[y+34>>0]=0;WD(-215,i,347484,347361,3936)}if((A|0)!=0&(B|0)>1)C=((f[c+8>>2]|0)/(B|0)|0|0)>1;else C=0;B=(e|0)==0;a:do if(q|r){if(!B){switch(p&7){case 2:{D=(kna(j,a,c,d,g)|0)&65535;u=h;return D|0}case 4:break;default:break a}if(C){D=mna(l,a,c,d,g)|0;u=h;return D|0}else{D=lna(k,a,c,d,g)|0;u=h;return D|0}}}else if(!(B|x&(s|z)^1)){switch(p&7){case 2:{D=(nna(m,a,c,d,g)|0)&65535;u=h;return D|0}case 4:break;default:break a}if(C){D=pna(o,a,c,d,g)|0;u=h;return D|0}else{D=ona(n,a,c,d,g)|0;u=h;return D|0}}while(0);D=cuc(32)|0;f[i>>2]=D;f[i+8>>2]=-2147483616;f[i+4>>2]=28;t=D;v=347651;w=t+28|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));b[D+28>>0]=0;WD(-210,i,347484,347361,3982);return 0}function kna(a,c,e,g,h){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;var i=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0;h=u;u=u+16|0;a=h;i=f[e+8>>2]|0;if((i|0)!=(f[c+8>>2]|0)){k=cuc(32)|0;f[a>>2]=k;f[a+8>>2]=-2147483616;f[a+4>>2]=26;l=k;m=348145;n=l+26|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));b[k+26>>0]=0;WD(-215,a,531152,347361,656)}k=f[e+12>>2]|0;if((k|0)!=(f[c+12>>2]|0)){o=cuc(32)|0;f[a>>2]=o;f[a+8>>2]=-2147483616;f[a+4>>2]=26;l=o;m=348172;n=l+26|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));b[o+26>>0]=0;WD(-215,a,531152,347361,657)}switch(g|0){case 4:case 8:break;default:{o=cuc(48)|0;f[a>>2]=o;f[a+8>>2]=-2147483600;f[a+4>>2]=38;l=o;m=347509;n=l+38|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));b[o+38>>0]=0;WD(-215,a,531152,347361,658)}}a=SC((Y(k,i)|0)+3&-2)|0;d[a>>1]=0;o=(i|0)>0;if((g|0)==8){if(!o){p=1;TC(a);u=h;return p|0}g=(k|0)>0;m=k+-1|0;l=f[c+16>>2]|0;n=f[f[c+44>>2]>>2]|0;q=f[e+16>>2]|0;r=f[f[e+44>>2]>>2]|0;s=0-n|0;t=0-r|0;v=1;w=0;while(1){x=l+(Y(n,w)|0)|0;y=x+s|0;z=q+(Y(r,w)|0)|0;A=z+t|0;if(g){B=(w|0)>0;C=0;D=v;while(1){a:do if(!(b[x+C>>0]|0)){d[z+(C<<1)>>1]=0;E=D}else{if(B){if(b[y+C>>0]|0){d[z+(C<<1)>>1]=d[A+(C<<1)>>1]|0;E=D;break}F=(C|0)>0;if((C|0)<(m|0)?(G=C+1|0,b[y+G>>0]|0):0){H=d[A+(G<<1)>>1]|0;do if(F){G=C+-1|0;if(!(b[y+G>>0]|0)){I=C+-1|0;if(!(b[x+I>>0]|0)){J=H;break}K=d[z+(I<<1)>>1]|0;I=K;while(1){L=d[a+((I&65535)<<1)>>1]|0;if((L&65535)<(I&65535))I=L;else break}if(K<<16>>16==H<<16>>16)M=I;else{L=H;while(1){N=d[a+((L&65535)<<1)>>1]|0;if((N&65535)<(L&65535))L=N;else break}N=(I&65535)>(L&65535)?L:I;O=H;do{P=a+((O&65535)<<1)|0;Q=O;O=d[P>>1]|0;d[P>>1]=N}while((O&65535)<(Q&65535));M=N}N=K;do{O=a+((N&65535)<<1)|0;I=N;N=d[O>>1]|0;d[O>>1]=M}while((N&65535)<(I&65535));J=M}else{N=d[A+(G<<1)>>1]|0;K=N;while(1){I=d[a+((K&65535)<<1)>>1]|0;if((I&65535)<(K&65535))K=I;else break}if(N<<16>>16==H<<16>>16)R=K;else{G=H;while(1){I=d[a+((G&65535)<<1)>>1]|0;if((I&65535)<(G&65535))G=I;else break}I=(K&65535)>(G&65535)?G:K;O=H;do{L=a+((O&65535)<<1)|0;Q=O;O=d[L>>1]|0;d[L>>1]=I}while((O&65535)<(Q&65535));R=I}I=N;do{O=a+((I&65535)<<1)|0;K=I;I=d[O>>1]|0;d[O>>1]=R}while((I&65535)<(K&65535));d[z+(C<<1)>>1]=R;E=D;break a}}else J=H;while(0);d[z+(C<<1)>>1]=J;E=D;break}if(F){H=C+-1|0;if(!(b[y+H>>0]|0))S=46;else{d[z+(C<<1)>>1]=d[A+(H<<1)>>1]|0;E=D;break}}}else if((C|0)>0)S=46;if((S|0)==46?(S=0,H=C+-1|0,b[x+H>>0]|0):0){d[z+(C<<1)>>1]=d[z+(H<<1)>>1]|0;E=D;break}d[z+(C<<1)>>1]=D;H=D&65535;d[a+(H<<1)>>1]=D;E=H+1&65535}while(0);C=C+1|0;if((C|0)==(k|0)){T=E;break}else D=E}}else T=v;w=w+1|0;if((w|0)==(i|0)){U=T;break}else v=T}}else{if(!o){p=1;TC(a);u=h;return p|0}T=(k|0)>0;v=f[c+16>>2]|0;w=f[f[c+44>>2]>>2]|0;c=f[e+16>>2]|0;E=f[f[e+44>>2]>>2]|0;S=0-w|0;J=0-E|0;R=0;M=1;while(1){m=v+(Y(w,R)|0)|0;g=m+S|0;t=c+(Y(E,R)|0)|0;r=t+J|0;b:do if(T){if((R|0)>0){V=0;W=M}else{q=0;s=M;while(1){do if(!(b[m+q>>0]|0)){d[t+(q<<1)>>1]=0;X=s}else{if((q|0)>0?(n=q+-1|0,b[m+n>>0]|0):0){d[t+(q<<1)>>1]=d[t+(n<<1)>>1]|0;X=s;break}d[t+(q<<1)>>1]=s;n=s&65535;d[a+(n<<1)>>1]=s;X=n+1&65535}while(0);q=q+1|0;if((q|0)==(k|0)){Z=X;break b}else s=X}}while(1){do if(!(b[m+V>>0]|0)){d[t+(V<<1)>>1]=0;_=W}else{s=(V|0)>0;if(!(b[g+V>>0]|0)){if(s?(q=V+-1|0,b[m+q>>0]|0):0){d[t+(V<<1)>>1]=d[t+(q<<1)>>1]|0;_=W;break}d[t+(V<<1)>>1]=W;q=W&65535;d[a+(q<<1)>>1]=W;_=q+1&65535;break}q=d[r+(V<<1)>>1]|0;if(s?(s=V+-1|0,(b[m+s>>0]|0)!=0):0){F=d[t+(s<<1)>>1]|0;s=F;while(1){n=d[a+((s&65535)<<1)>>1]|0;if((n&65535)<(s&65535))s=n;else break}if(F<<16>>16==q<<16>>16)$=s;else{n=q;while(1){l=d[a+((n&65535)<<1)>>1]|0;if((l&65535)<(n&65535))n=l;else break}l=(s&65535)>(n&65535)?n:s;D=q;do{C=a+((D&65535)<<1)|0;z=D;D=d[C>>1]|0;d[C>>1]=l}while((D&65535)<(z&65535));$=l}l=F;do{D=a+((l&65535)<<1)|0;s=l;l=d[D>>1]|0;d[D>>1]=$}while((l&65535)<(s&65535));aa=$}else aa=q;d[t+(V<<1)>>1]=aa;_=W}while(0);V=V+1|0;if((V|0)==(k|0)){Z=_;break}else W=_}}else Z=M;while(0);R=R+1|0;if((R|0)==(i|0)){U=Z;break}else M=Z}}if((U&65535)>1){Z=U&65535;U=1;M=1;while(1){R=a+(M<<1)|0;_=j[R>>1]|0;if(_>>>0<M>>>0){d[R>>1]=d[a+(_<<1)>>1]|0;ba=U}else{d[R>>1]=U;ba=(U&65535)+1&65535}M=M+1|0;if((M|0)==(Z|0)){ca=ba;break}else U=ba}}else ca=1;if(!o){p=ca;TC(a);u=h;return p|0}o=f[e+16>>2]|0;ba=f[f[e+44>>2]>>2]|0;e=0;do{U=o+(Y(ba,e)|0)|0;Z=U+(k<<1)|0;if((U|0)!=(Z|0)){M=U;do{d[M>>1]=d[a+(j[M>>1]<<1)>>1]|0;M=M+2|0}while((M|0)!=(Z|0))}e=e+1|0}while((e|0)!=(i|0));p=ca;TC(a);u=h;return p|0}function lna(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0;g=u;u=u+16|0;a=g;h=f[d+8>>2]|0;if((h|0)!=(f[c+8>>2]|0)){i=cuc(32)|0;f[a>>2]=i;f[a+8>>2]=-2147483616;f[a+4>>2]=26;j=i;k=348145;l=j+26|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[i+26>>0]=0;WD(-215,a,531152,347361,656)}i=f[d+12>>2]|0;if((i|0)!=(f[c+12>>2]|0)){m=cuc(32)|0;f[a>>2]=m;f[a+8>>2]=-2147483616;f[a+4>>2]=26;j=m;k=348172;l=j+26|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[m+26>>0]=0;WD(-215,a,531152,347361,657)}switch(e|0){case 4:case 8:break;default:{m=cuc(48)|0;f[a>>2]=m;f[a+8>>2]=-2147483600;f[a+4>>2]=38;j=m;k=347509;l=j+38|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[m+38>>0]=0;WD(-215,a,531152,347361,658)}}a=SC((((Y(i,h)|0)+1|0)>>>1<<2)+4|0)|0;f[a>>2]=0;m=(h|0)>0;if((e|0)==8){if(!m){n=1;TC(a);u=g;return n|0}e=(i|0)>0;k=i+-1|0;j=f[c+16>>2]|0;l=f[c+44>>2]|0;o=f[d+16>>2]|0;p=f[d+44>>2]|0;q=1;r=0;while(1){s=f[l>>2]|0;t=j+(Y(s,r)|0)|0;v=t+(0-s)|0;s=f[p>>2]|0;w=o+(Y(s,r)|0)|0;x=w+(0-s)|0;if(e){s=(r|0)>0;y=0;z=q;while(1){a:do if(!(b[t+y>>0]|0)){f[w+(y<<2)>>2]=0;A=z}else{if(s){if(b[v+y>>0]|0){f[w+(y<<2)>>2]=f[x+(y<<2)>>2];A=z;break}B=(y|0)>0;if((y|0)<(k|0)?(C=y+1|0,b[v+C>>0]|0):0){D=f[x+(C<<2)>>2]|0;do if(B){C=y+-1|0;if(!(b[v+C>>0]|0)){E=y+-1|0;if(!(b[t+E>>0]|0)){F=D;break}G=f[w+(E<<2)>>2]|0;E=G;while(1){H=f[a+(E<<2)>>2]|0;if((H|0)<(E|0))E=H;else break}if((G|0)==(D|0))I=E;else{H=D;while(1){J=f[a+(H<<2)>>2]|0;if((J|0)<(H|0))H=J;else break}J=(E|0)>(H|0)?H:E;K=D;do{L=a+(K<<2)|0;M=K;K=f[L>>2]|0;f[L>>2]=J}while((K|0)<(M|0));I=J}J=G;do{K=a+(J<<2)|0;E=J;J=f[K>>2]|0;f[K>>2]=I}while((J|0)<(E|0));F=I}else{J=f[x+(C<<2)>>2]|0;G=J;while(1){E=f[a+(G<<2)>>2]|0;if((E|0)<(G|0))G=E;else break}if((J|0)==(D|0))N=G;else{C=D;while(1){E=f[a+(C<<2)>>2]|0;if((E|0)<(C|0))C=E;else break}E=(G|0)>(C|0)?C:G;K=D;do{H=a+(K<<2)|0;M=K;K=f[H>>2]|0;f[H>>2]=E}while((K|0)<(M|0));N=E}E=J;do{K=a+(E<<2)|0;G=E;E=f[K>>2]|0;f[K>>2]=N}while((E|0)<(G|0));f[w+(y<<2)>>2]=N;A=z;break a}}else F=D;while(0);f[w+(y<<2)>>2]=F;A=z;break}if(B){D=y+-1|0;if(!(b[v+D>>0]|0))O=46;else{f[w+(y<<2)>>2]=f[x+(D<<2)>>2];A=z;break}}}else if((y|0)>0)O=46;if((O|0)==46?(O=0,D=y+-1|0,b[t+D>>0]|0):0){f[w+(y<<2)>>2]=f[w+(D<<2)>>2];A=z;break}f[w+(y<<2)>>2]=z;f[a+(z<<2)>>2]=z;A=z+1|0}while(0);y=y+1|0;if((y|0)==(i|0)){P=A;break}else z=A}}else P=q;r=r+1|0;if((r|0)==(h|0)){Q=P;break}else q=P}}else{if(!m){n=1;TC(a);u=g;return n|0}P=(i|0)>0;q=f[c+16>>2]|0;r=f[c+44>>2]|0;c=f[d+16>>2]|0;A=f[d+44>>2]|0;O=0;F=1;while(1){N=f[r>>2]|0;I=q+(Y(N,O)|0)|0;k=I+(0-N)|0;N=f[A>>2]|0;e=c+(Y(N,O)|0)|0;o=e+(0-N)|0;b:do if(P){if((O|0)>0){R=0;S=F}else{N=0;p=F;while(1){do if(!(b[I+N>>0]|0)){f[e+(N<<2)>>2]=0;T=p}else{if((N|0)>0?(j=N+-1|0,b[I+j>>0]|0):0){f[e+(N<<2)>>2]=f[e+(j<<2)>>2];T=p;break}f[e+(N<<2)>>2]=p;f[a+(p<<2)>>2]=p;T=p+1|0}while(0);N=N+1|0;if((N|0)==(i|0)){U=T;break b}else p=T}}while(1){do if(!(b[I+R>>0]|0)){f[e+(R<<2)>>2]=0;V=S}else{p=(R|0)>0;if(!(b[k+R>>0]|0)){if(p?(N=R+-1|0,b[I+N>>0]|0):0){f[e+(R<<2)>>2]=f[e+(N<<2)>>2];V=S;break}f[e+(R<<2)>>2]=S;f[a+(S<<2)>>2]=S;V=S+1|0;break}N=f[o+(R<<2)>>2]|0;if(p?(p=R+-1|0,(b[I+p>>0]|0)!=0):0){B=f[e+(p<<2)>>2]|0;p=B;while(1){j=f[a+(p<<2)>>2]|0;if((j|0)<(p|0))p=j;else break}if((B|0)==(N|0))W=p;else{j=N;while(1){l=f[a+(j<<2)>>2]|0;if((l|0)<(j|0))j=l;else break}l=(p|0)>(j|0)?j:p;z=N;do{y=a+(z<<2)|0;w=z;z=f[y>>2]|0;f[y>>2]=l}while((z|0)<(w|0));W=l}l=B;do{z=a+(l<<2)|0;p=l;l=f[z>>2]|0;f[z>>2]=W}while((l|0)<(p|0));X=W}else X=N;f[e+(R<<2)>>2]=X;V=S}while(0);R=R+1|0;if((R|0)==(i|0)){U=V;break}else S=V}}else U=F;while(0);O=O+1|0;if((O|0)==(h|0)){Q=U;break}else F=U}}if((Q|0)>1){U=1;F=1;while(1){O=a+(F<<2)|0;V=f[O>>2]|0;if((V|0)<(F|0)){f[O>>2]=f[a+(V<<2)>>2];Z=U}else{f[O>>2]=U;Z=U+1|0}F=F+1|0;if((F|0)==(Q|0)){_=Z;break}else U=Z}}else _=1;if(!m){n=_;TC(a);u=g;return n|0}m=f[d+16>>2]|0;Z=f[d+44>>2]|0;d=0;do{U=m+(Y(f[Z>>2]|0,d)|0)|0;Q=U+(i<<2)|0;if((U|0)!=(Q|0)){F=U;do{f[F>>2]=f[a+(f[F>>2]<<2)>>2];F=F+4|0}while((F|0)!=(Q|0))}d=d+1|0}while((d|0)!=(h|0));n=_;TC(a);u=g;return n|0}function mna(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0.0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;a=u;u=u+48|0;h=a+28|0;i=a+24|0;j=a;k=f[c+8>>2]|0;l=d+8|0;if((k|0)!=(f[l>>2]|0)){m=cuc(32)|0;f[h>>2]=m;f[h+8>>2]=-2147483616;f[h+4>>2]=26;n=m;o=347680;p=n+26|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));b[m+26>>0]=0;WD(-215,h,531152,347361,578)}m=f[c+12>>2]|0;q=d+12|0;if((m|0)!=(f[q>>2]|0)){r=cuc(32)|0;f[h>>2]=r;f[h+8>>2]=-2147483616;f[h+4>>2]=26;n=r;o=347707;p=n+26|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));b[r+26>>0]=0;WD(-215,h,531152,347361,579)}switch(e|0){case 4:case 8:break;default:{r=cuc(48)|0;f[h>>2]=r;f[h+8>>2]=-2147483600;f[h+4>>2]=38;n=r;o=347509;p=n+38|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));b[r+38>>0]=0;WD(-215,h,531152,347361,580)}}r=((Y(m,k)|0)+1|0)>>>1;o=SC(k<<2)|0;n=SC((r<<2)+4|0)|0;f[n>>2]=0;f[h>>2]=0;f[h+4>>2]=k;r=(k|0)/2|0;p=(tZ()|0)<<2;s=(p|0)<(r|0)?p:r;t=+(((s|0)>1?s:1)|0);f[i>>2]=1;if((e|0)==8){f[j>>2]=78332;f[j+4>>2]=c;f[j+8>>2]=d;f[j+12>>2]=n;f[j+16>>2]=o;sZ(h,j,t);vna(d,n,o);if((k|0)>0){e=(m+1|0)/2|0;s=0;do{r=s+1|0;p=(Y((r|0)/2|0,e)|0)+1|0;v=f[o+(r<<2)>>2]|0;r=v+p|0;if((v|0)>0){v=p;do{p=n+(v<<2)|0;w=f[p>>2]|0;if((w|0)<(v|0))f[p>>2]=f[n+(w<<2)>>2];else{f[p>>2]=f[i>>2];f[i>>2]=(f[i>>2]|0)+1}v=v+1|0}while((v|0)<(r|0))}s=f[o+(s<<2)>>2]|0}while((s|0)<(k|0))}}else{f[j>>2]=78352;f[j+4>>2]=c;f[j+8>>2]=d;f[j+12>>2]=n;f[j+16>>2]=o;sZ(h,j,t);c=f[q>>2]|0;q=f[l>>2]|0;l=f[o>>2]|0;a:do if((l|0)<(q|0)){s=f[d+16>>2]|0;e=f[d+44>>2]|0;if((c|0)>0)x=l;else{r=l;while(1){r=f[o+(r<<2)>>2]|0;if((r|0)>=(q|0))break a}}do{r=f[e>>2]|0;v=s+(Y(r,x)|0)|0;p=v+(0-r)|0;r=0;do{w=v+(r<<2)|0;y=f[w>>2]|0;if((y|0)>0?(z=f[p+(r<<2)>>2]|0,(z|0)>0):0){A=z;while(1){B=f[n+(A<<2)>>2]|0;if((B|0)<(A|0))A=B;else break}if((z|0)==(y|0))C=A;else{B=y;while(1){D=f[n+(B<<2)>>2]|0;if((D|0)<(B|0))B=D;else break}D=(A|0)>(B|0)?B:A;E=y;do{F=n+(E<<2)|0;G=E;E=f[F>>2]|0;f[F>>2]=D}while((E|0)<(G|0));C=D}D=z;do{E=n+(D<<2)|0;y=D;D=f[E>>2]|0;f[E>>2]=C}while((D|0)<(y|0));f[w>>2]=C}r=r+1|0}while((r|0)!=(c|0));x=f[o+(x<<2)>>2]|0}while((x|0)<(q|0))}while(0);if((k|0)>0){q=0;do{x=(((Y(q,m)|0)+1|0)/2|0)+1|0;c=f[o+(q+1<<2)>>2]|0;C=c+x|0;if((c|0)>0){c=x;do{x=n+(c<<2)|0;l=f[x>>2]|0;if((l|0)<(c|0))f[x>>2]=f[n+(l<<2)>>2];else{f[x>>2]=f[i>>2];f[i>>2]=(f[i>>2]|0)+1}c=c+1|0}while((c|0)<(C|0))}q=f[o+(q<<2)>>2]|0}while((q|0)<(k|0))}}q=euc((k|0)>-1?k:-1)|0;f[j>>2]=78372;f[j+4>>2]=d;f[j+8>>2]=n;f[j+12>>2]=g;f[j+16>>2]=q;f[j+20>>2]=i;sZ(h,j,t);guc(q);TC(o);TC(n);u=a;return f[i>>2]|0}function nna(a,c,e,g,h){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;var i=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0;h=u;u=u+16|0;a=h;i=f[c+8>>2]|0;k=e+8|0;if((i|0)!=(f[k>>2]|0)){l=cuc(32)|0;f[a>>2]=l;f[a+8>>2]=-2147483616;f[a+4>>2]=26;m=l;n=347680;o=m+26|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));b[l+26>>0]=0;WD(-215,a,531152,347361,2589)}l=f[c+12>>2]|0;p=e+12|0;if((l|0)!=(f[p>>2]|0)){q=cuc(32)|0;f[a>>2]=q;f[a+8>>2]=-2147483616;f[a+4>>2]=26;m=q;n=347707;o=m+26|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));b[q+26>>0]=0;WD(-215,a,531152,347361,2590)}if((g|0)!=8){g=cuc(32)|0;f[a>>2]=g;f[a+8>>2]=-2147483616;f[a+4>>2]=17;m=g;n=347734;o=m+17|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));b[g+17>>0]=0;WD(-215,a,531152,347361,2591)}a=SC((Y(((i+1|0)/2|0)<<1,(l+1|0)/2|0)|0)+2|0)|0;d[a>>1]=0;if((i|0)>0){g=c+16|0;n=c+44|0;m=e+16|0;o=e+44|0;q=(l|0)>0;r=1;s=0;while(1){t=f[f[n>>2]>>2]|0;v=(f[g>>2]|0)+(Y(t,s)|0)|0;w=0-t|0;x=v+w|0;y=x+w|0;w=v+t|0;t=f[f[o>>2]>>2]|0;z=(f[m>>2]|0)+(Y(t,s)|0)|0;A=0-t|0;t=z+A+A|0;if(q){A=(s|1|0)<(i|0);B=(s|0)>0;C=B^1;D=(s+-2|0)>-1;E=0;F=r;while(1){a:do if(!(b[v+E>>0]|0)){G=E|1;H=(G|0)<(l|0);if(A?b[w+E>>0]|0:0){I=E+-1|0;J=(E|0)>0;if(H?b[v+G>>0]|0:0){do if(J){if(b[v+I>>0]|0){do if(B){if(b[x+G>>0]|0){if(b[x+E>>0]|0){d[z+(E<<1)>>1]=d[z+(E+-2<<1)>>1]|0;K=F;break a}do if(D){if(!(b[y+E>>0]|0))break;L=E+-2|0;if(b[x+I>>0]|0){d[z+(E<<1)>>1]=d[z+(L<<1)>>1]|0;K=F;break a}do if((L|0)>-1){if(!(b[x+L>>0]|0))break;if(b[y+I>>0]|0){d[z+(E<<1)>>1]=d[z+(L<<1)>>1]|0;K=F;break a}M=d[t+(E<<1)>>1]|0;N=d[z+(L<<1)>>1]|0;O=M;while(1){P=d[a+((O&65535)<<1)>>1]|0;if((P&65535)<(O&65535))O=P;else break}if(M<<16>>16==N<<16>>16)Q=O;else{P=N;while(1){R=d[a+((P&65535)<<1)>>1]|0;if((R&65535)<(P&65535))P=R;else break}R=(O&65535)>(P&65535)?P:O;S=N;do{T=a+((S&65535)<<1)|0;U=S;S=d[T>>1]|0;d[T>>1]=R}while((S&65535)<(U&65535));Q=R}R=M;do{S=a+((R&65535)<<1)|0;N=R;R=d[S>>1]|0;d[S>>1]=Q}while((R&65535)<(N&65535));d[z+(E<<1)>>1]=Q;K=F;break a}while(0);R=d[t+(E<<1)>>1]|0;M=d[z+(L<<1)>>1]|0;N=R;while(1){S=d[a+((N&65535)<<1)>>1]|0;if((S&65535)<(N&65535))N=S;else break}if(R<<16>>16==M<<16>>16)V=N;else{L=M;while(1){S=d[a+((L&65535)<<1)>>1]|0;if((S&65535)<(L&65535))L=S;else break}S=(N&65535)>(L&65535)?L:N;O=M;do{P=a+((O&65535)<<1)|0;U=O;O=d[P>>1]|0;d[P>>1]=S}while((O&65535)<(U&65535));V=S}S=R;do{O=a+((S&65535)<<1)|0;M=S;S=d[O>>1]|0;d[O>>1]=V}while((S&65535)<(M&65535));d[z+(E<<1)>>1]=V;K=F;break a}while(0);S=d[t+(E<<1)>>1]|0;R=d[z+(E+-2<<1)>>1]|0;M=S;while(1){O=d[a+((M&65535)<<1)>>1]|0;if((O&65535)<(M&65535))M=O;else break}if(S<<16>>16==R<<16>>16)W=M;else{O=R;while(1){N=d[a+((O&65535)<<1)>>1]|0;if((N&65535)<(O&65535))O=N;else break}N=(M&65535)>(O&65535)?O:M;L=R;do{U=a+((L&65535)<<1)|0;P=L;L=d[U>>1]|0;d[U>>1]=N}while((L&65535)<(P&65535));W=N}N=S;do{L=a+((N&65535)<<1)|0;R=N;N=d[L>>1]|0;d[L>>1]=W}while((N&65535)<(R&65535));d[z+(E<<1)>>1]=W;K=F;break a}N=E+2|0;if((N|0)>=(l|0))break;if(!(b[x+N>>0]|0))break;do if(D){if(!(b[y+G>>0]|0))break;if(b[x+E>>0]|0){d[z+(E<<1)>>1]=d[z+(E+-2<<1)>>1]|0;K=F;break a}if(!(b[y+E>>0]|0)){S=d[t+(N<<1)>>1]|0;R=d[z+(E+-2<<1)>>1]|0;L=S;while(1){M=d[a+((L&65535)<<1)>>1]|0;if((M&65535)<(L&65535))L=M;else break}if(S<<16>>16==R<<16>>16)X=L;else{M=R;while(1){O=d[a+((M&65535)<<1)>>1]|0;if((O&65535)<(M&65535))M=O;else break}O=(L&65535)>(M&65535)?M:L;P=R;do{U=a+((P&65535)<<1)|0;T=P;P=d[U>>1]|0;d[U>>1]=O}while((P&65535)<(T&65535));X=O}O=S;do{P=a+((O&65535)<<1)|0;R=O;O=d[P>>1]|0;d[P>>1]=X}while((O&65535)<(R&65535));d[z+(E<<1)>>1]=X;K=F;break a}O=E+-2|0;if(b[x+I>>0]|0){d[z+(E<<1)>>1]=d[z+(O<<1)>>1]|0;K=F;break a}do if((O|0)>-1){if(!(b[x+O>>0]|0))break;if(b[y+I>>0]|0){d[z+(E<<1)>>1]=d[z+(O<<1)>>1]|0;K=F;break a}S=d[t+(N<<1)>>1]|0;R=d[z+(O<<1)>>1]|0;P=S;while(1){L=d[a+((P&65535)<<1)>>1]|0;if((L&65535)<(P&65535))P=L;else break}if(S<<16>>16==R<<16>>16)Z=P;else{L=R;while(1){M=d[a+((L&65535)<<1)>>1]|0;if((M&65535)<(L&65535))L=M;else break}M=(P&65535)>(L&65535)?L:P;T=R;do{U=a+((T&65535)<<1)|0;_=T;T=d[U>>1]|0;d[U>>1]=M}while((T&65535)<(_&65535));Z=M}M=S;do{T=a+((M&65535)<<1)|0;R=M;M=d[T>>1]|0;d[T>>1]=Z}while((M&65535)<(R&65535));d[z+(E<<1)>>1]=Z;K=F;break a}while(0);M=d[t+(N<<1)>>1]|0;S=d[z+(O<<1)>>1]|0;R=M;while(1){T=d[a+((R&65535)<<1)>>1]|0;if((T&65535)<(R&65535))R=T;else break}if(M<<16>>16==S<<16>>16)$=R;else{O=S;while(1){T=d[a+((O&65535)<<1)>>1]|0;if((T&65535)<(O&65535))O=T;else break}T=(R&65535)>(O&65535)?O:R;P=S;do{L=a+((P&65535)<<1)|0;_=P;P=d[L>>1]|0;d[L>>1]=T}while((P&65535)<(_&65535));$=T}T=M;do{P=a+((T&65535)<<1)|0;S=T;T=d[P>>1]|0;d[P>>1]=$}while((T&65535)<(S&65535));d[z+(E<<1)>>1]=$;K=F;break a}while(0);T=d[t+(N<<1)>>1]|0;M=d[z+(E+-2<<1)>>1]|0;S=T;while(1){P=d[a+((S&65535)<<1)>>1]|0;if((P&65535)<(S&65535))S=P;else break}if(T<<16>>16==M<<16>>16)aa=S;else{N=M;while(1){P=d[a+((N&65535)<<1)>>1]|0;if((P&65535)<(N&65535))N=P;else break}P=(S&65535)>(N&65535)?N:S;R=M;do{O=a+((R&65535)<<1)|0;_=R;R=d[O>>1]|0;d[O>>1]=P}while((R&65535)<(_&65535));aa=P}P=T;do{R=a+((P&65535)<<1)|0;M=P;P=d[R>>1]|0;d[R>>1]=aa}while((P&65535)<(M&65535));d[z+(E<<1)>>1]=aa;K=F;break a}while(0);d[z+(E<<1)>>1]=d[z+(E+-2<<1)>>1]|0;K=F;break a}if(!(b[w+I>>0]|0))break;do if(B){if(b[x+G>>0]|0){P=E+-2|0;do if((P|0)>-1){if(!(b[v+P>>0]|0))break;if(b[x+I>>0]|0){T=d[z+(P<<1)>>1]|0;if(b[x+E>>0]|0){d[z+(E<<1)>>1]=T;K=F;break a}do if(D){if(!(b[y+E>>0]|0))break;d[z+(E<<1)>>1]=T;K=F;break a}while(0);M=d[t+(E<<1)>>1]|0;R=M;while(1){S=d[a+((R&65535)<<1)>>1]|0;if((S&65535)<(R&65535))R=S;else break}if(M<<16>>16==T<<16>>16)ba=R;else{S=T;while(1){N=d[a+((S&65535)<<1)>>1]|0;if((N&65535)<(S&65535))S=N;else break}N=(R&65535)>(S&65535)?S:R;_=T;do{O=a+((_&65535)<<1)|0;L=_;_=d[O>>1]|0;d[O>>1]=N}while((_&65535)<(L&65535));ba=N}N=M;do{_=a+((N&65535)<<1)|0;T=N;N=d[_>>1]|0;d[_>>1]=ba}while((N&65535)<(T&65535));d[z+(E<<1)>>1]=ba;K=F;break a}if(!(b[x+P>>0]|0)){N=d[t+(E<<1)>>1]|0;M=d[z+(P<<1)>>1]|0;T=N;while(1){_=d[a+((T&65535)<<1)>>1]|0;if((_&65535)<(T&65535))T=_;else break}if(N<<16>>16==M<<16>>16)ca=T;else{_=M;while(1){R=d[a+((_&65535)<<1)>>1]|0;if((R&65535)<(_&65535))_=R;else break}R=(T&65535)>(_&65535)?_:T;S=M;do{L=a+((S&65535)<<1)|0;O=S;S=d[L>>1]|0;d[L>>1]=R}while((S&65535)<(O&65535));ca=R}R=N;do{S=a+((R&65535)<<1)|0;M=R;R=d[S>>1]|0;d[S>>1]=ca}while((R&65535)<(M&65535));d[z+(E<<1)>>1]=ca;K=F;break a}do if(D){if(!(b[y+I>>0]|0))break;R=d[z+(P<<1)>>1]|0;if(b[x+E>>0]|0){d[z+(E<<1)>>1]=R;K=F;break a}if(b[y+E>>0]|0){d[z+(E<<1)>>1]=R;K=F;break a}N=d[t+(E<<1)>>1]|0;M=N;while(1){S=d[a+((M&65535)<<1)>>1]|0;if((S&65535)<(M&65535))M=S;else break}if(N<<16>>16==R<<16>>16)da=M;else{S=R;while(1){T=d[a+((S&65535)<<1)>>1]|0;if((T&65535)<(S&65535))S=T;else break}T=(M&65535)>(S&65535)?S:M;_=R;do{O=a+((_&65535)<<1)|0;L=_;_=d[O>>1]|0;d[O>>1]=T}while((_&65535)<(L&65535));da=T}T=N;do{_=a+((T&65535)<<1)|0;R=T;T=d[_>>1]|0;d[_>>1]=da}while((T&65535)<(R&65535));d[z+(E<<1)>>1]=da;K=F;break a}while(0);T=d[t+(E<<1)>>1]|0;N=d[z+(P<<1)>>1]|0;R=T;while(1){_=d[a+((R&65535)<<1)>>1]|0;if((_&65535)<(R&65535))R=_;else break}if(T<<16>>16==N<<16>>16)ea=R;else{_=N;while(1){M=d[a+((_&65535)<<1)>>1]|0;if((M&65535)<(_&65535))_=M;else break}M=(R&65535)>(_&65535)?_:R;S=N;do{L=a+((S&65535)<<1)|0;O=S;S=d[L>>1]|0;d[L>>1]=M}while((S&65535)<(O&65535));ea=M}M=T;do{S=a+((M&65535)<<1)|0;N=M;M=d[S>>1]|0;d[S>>1]=ea}while((M&65535)<(N&65535));d[z+(E<<1)>>1]=ea;K=F;break a}while(0);M=d[t+(E<<1)>>1]|0;T=d[z+(P<<1)>>1]|0;N=M;while(1){S=d[a+((N&65535)<<1)>>1]|0;if((S&65535)<(N&65535))N=S;else break}if(M<<16>>16==T<<16>>16)fa=N;else{P=T;while(1){S=d[a+((P&65535)<<1)>>1]|0;if((S&65535)<(P&65535))P=S;else break}S=(N&65535)>(P&65535)?P:N;R=T;do{_=a+((R&65535)<<1)|0;O=R;R=d[_>>1]|0;d[_>>1]=S}while((R&65535)<(O&65535));fa=S}S=M;do{R=a+((S&65535)<<1)|0;T=S;S=d[R>>1]|0;d[R>>1]=fa}while((S&65535)<(T&65535));d[z+(E<<1)>>1]=fa;K=F;break a}S=E+2|0;do if(!((S|0)>=(l|0)|C)){if(!(b[x+S>>0]|0))break;do if(D){if(!(b[y+G>>0]|0))break;M=E+-2|0;do if((M|0)>-1){if(!(b[v+M>>0]|0))break;if(b[x+I>>0]|0){T=d[z+(M<<1)>>1]|0;if(b[x+E>>0]|0){d[z+(E<<1)>>1]=T;K=F;break a}if(b[y+E>>0]|0){d[z+(E<<1)>>1]=T;K=F;break a}R=d[t+(S<<1)>>1]|0;N=R;while(1){P=d[a+((N&65535)<<1)>>1]|0;if((P&65535)<(N&65535))N=P;else break}if(R<<16>>16==T<<16>>16)ga=N;else{P=T;while(1){O=d[a+((P&65535)<<1)>>1]|0;if((O&65535)<(P&65535))P=O;else break}O=(N&65535)>(P&65535)?P:N;_=T;do{L=a+((_&65535)<<1)|0;U=_;_=d[L>>1]|0;d[L>>1]=O}while((_&65535)<(U&65535));ga=O}O=R;do{_=a+((O&65535)<<1)|0;T=O;O=d[_>>1]|0;d[_>>1]=ga}while((O&65535)<(T&65535));d[z+(E<<1)>>1]=ga;K=F;break a}if(!(b[x+M>>0]|0)){O=d[t+(S<<1)>>1]|0;R=d[z+(M<<1)>>1]|0;T=O;while(1){_=d[a+((T&65535)<<1)>>1]|0;if((_&65535)<(T&65535))T=_;else break}if(O<<16>>16==R<<16>>16)ha=T;else{_=R;while(1){N=d[a+((_&65535)<<1)>>1]|0;if((N&65535)<(_&65535))_=N;else break}N=(T&65535)>(_&65535)?_:T;P=R;do{U=a+((P&65535)<<1)|0;L=P;P=d[U>>1]|0;d[U>>1]=N}while((P&65535)<(L&65535));ha=N}N=O;do{P=a+((N&65535)<<1)|0;R=N;N=d[P>>1]|0;d[P>>1]=ha}while((N&65535)<(R&65535));d[z+(E<<1)>>1]=ha;K=F;break a}if(!(b[y+I>>0]|0)){N=d[t+(S<<1)>>1]|0;O=d[z+(M<<1)>>1]|0;R=N;while(1){P=d[a+((R&65535)<<1)>>1]|0;if((P&65535)<(R&65535))R=P;else break}if(N<<16>>16==O<<16>>16)ia=R;else{P=O;while(1){T=d[a+((P&65535)<<1)>>1]|0;if((T&65535)<(P&65535))P=T;else break}T=(R&65535)>(P&65535)?P:R;_=O;do{L=a+((_&65535)<<1)|0;U=_;_=d[L>>1]|0;d[L>>1]=T}while((_&65535)<(U&65535));ia=T}T=N;do{_=a+((T&65535)<<1)|0;O=T;T=d[_>>1]|0;d[_>>1]=ia}while((T&65535)<(O&65535));d[z+(E<<1)>>1]=ia;K=F;break a}T=d[z+(M<<1)>>1]|0;if(b[x+E>>0]|0){d[z+(E<<1)>>1]=T;K=F;break a}if(b[y+E>>0]|0){d[z+(E<<1)>>1]=T;K=F;break a}N=d[t+(S<<1)>>1]|0;O=N;while(1){_=d[a+((O&65535)<<1)>>1]|0;if((_&65535)<(O&65535))O=_;else break}if(N<<16>>16==T<<16>>16)ja=O;else{_=T;while(1){R=d[a+((_&65535)<<1)>>1]|0;if((R&65535)<(_&65535))_=R;else break}R=(O&65535)>(_&65535)?_:O;P=T;do{U=a+((P&65535)<<1)|0;L=P;P=d[U>>1]|0;d[U>>1]=R}while((P&65535)<(L&65535));ja=R}R=N;do{P=a+((R&65535)<<1)|0;T=R;R=d[P>>1]|0;d[P>>1]=ja}while((R&65535)<(T&65535));d[z+(E<<1)>>1]=ja;K=F;break a}while(0);R=d[t+(S<<1)>>1]|0;N=d[z+(M<<1)>>1]|0;T=R;while(1){P=d[a+((T&65535)<<1)>>1]|0;if((P&65535)<(T&65535))T=P;else break}if(R<<16>>16==N<<16>>16)ka=T;else{M=N;while(1){P=d[a+((M&65535)<<1)>>1]|0;if((P&65535)<(M&65535))M=P;else break}P=(T&65535)>(M&65535)?M:T;O=N;do{_=a+((O&65535)<<1)|0;L=O;O=d[_>>1]|0;d[_>>1]=P}while((O&65535)<(L&65535));ka=P}P=R;do{O=a+((P&65535)<<1)|0;N=P;P=d[O>>1]|0;d[O>>1]=ka}while((P&65535)<(N&65535));d[z+(E<<1)>>1]=ka;K=F;break a}while(0);P=E+-2|0;if(!(b[x+E>>0]|0)){R=d[t+(S<<1)>>1]|0;N=d[z+(P<<1)>>1]|0;O=R;while(1){T=d[a+((O&65535)<<1)>>1]|0;if((T&65535)<(O&65535))O=T;else break}if(R<<16>>16==N<<16>>16)la=O;else{T=N;while(1){M=d[a+((T&65535)<<1)>>1]|0;if((M&65535)<(T&65535))T=M;else break}M=(O&65535)>(T&65535)?T:O;L=N;do{_=a+((L&65535)<<1)|0;U=L;L=d[_>>1]|0;d[_>>1]=M}while((L&65535)<(U&65535));la=M}M=R;do{L=a+((M&65535)<<1)|0;N=M;M=d[L>>1]|0;d[L>>1]=la}while((M&65535)<(N&65535));d[z+(E<<1)>>1]=la;K=F;break a}do if((P|0)>-1){if(!(b[v+P>>0]|0))break;if(b[x+I>>0]|0){M=d[t+(S<<1)>>1]|0;R=d[z+(P<<1)>>1]|0;N=M;while(1){L=d[a+((N&65535)<<1)>>1]|0;if((L&65535)<(N&65535))N=L;else break}if(M<<16>>16==R<<16>>16)ma=N;else{L=R;while(1){O=d[a+((L&65535)<<1)>>1]|0;if((O&65535)<(L&65535))L=O;else break}O=(N&65535)>(L&65535)?L:N;T=R;do{U=a+((T&65535)<<1)|0;_=T;T=d[U>>1]|0;d[U>>1]=O}while((T&65535)<(_&65535));ma=O}O=M;do{T=a+((O&65535)<<1)|0;R=O;O=d[T>>1]|0;d[T>>1]=ma}while((O&65535)<(R&65535));d[z+(E<<1)>>1]=ma;K=F;break a}if(!(b[x+P>>0]|0)){O=d[t+(E<<1)>>1]|0;M=d[t+(S<<1)>>1]|0;R=O;while(1){T=d[a+((R&65535)<<1)>>1]|0;if((T&65535)<(R&65535))R=T;else break}if(O<<16>>16==M<<16>>16)na=R;else{T=M;while(1){N=d[a+((T&65535)<<1)>>1]|0;if((N&65535)<(T&65535))T=N;else break}N=(R&65535)>(T&65535)?T:R;L=M;do{_=a+((L&65535)<<1)|0;U=L;L=d[_>>1]|0;d[_>>1]=N}while((L&65535)<(U&65535));na=N}N=O;do{L=a+((N&65535)<<1)|0;M=N;N=d[L>>1]|0;d[L>>1]=na}while((N&65535)<(M&65535));N=d[z+(P<<1)>>1]|0;O=na;while(1){M=d[a+((O&65535)<<1)>>1]|0;if((M&65535)<(O&65535))O=M;else break}if(na<<16>>16==N<<16>>16)oa=O;else{M=N;while(1){L=d[a+((M&65535)<<1)>>1]|0;if((L&65535)<(M&65535))M=L;else break}L=(O&65535)>(M&65535)?M:O;R=N;do{T=a+((R&65535)<<1)|0;U=R;R=d[T>>1]|0;d[T>>1]=L}while((R&65535)<(U&65535));oa=L}L=na;do{R=a+((L&65535)<<1)|0;N=L;L=d[R>>1]|0;d[R>>1]=oa}while((L&65535)<(N&65535));d[z+(E<<1)>>1]=oa;K=F;break a}do if(D){if(!(b[y+I>>0]|0))break;L=d[t+(S<<1)>>1]|0;N=d[z+(P<<1)>>1]|0;R=L;while(1){O=d[a+((R&65535)<<1)>>1]|0;if((O&65535)<(R&65535))R=O;else break}if(L<<16>>16==N<<16>>16)pa=R;else{O=N;while(1){M=d[a+((O&65535)<<1)>>1]|0;if((M&65535)<(O&65535))O=M;else break}M=(R&65535)>(O&65535)?O:R;U=N;do{T=a+((U&65535)<<1)|0;_=U;U=d[T>>1]|0;d[T>>1]=M}while((U&65535)<(_&65535));pa=M}M=L;do{U=a+((M&65535)<<1)|0;N=M;M=d[U>>1]|0;d[U>>1]=pa}while((M&65535)<(N&65535));d[z+(E<<1)>>1]=pa;K=F;break a}while(0);M=d[t+(E<<1)>>1]|0;L=d[t+(S<<1)>>1]|0;N=M;while(1){U=d[a+((N&65535)<<1)>>1]|0;if((U&65535)<(N&65535))N=U;else break}if(M<<16>>16==L<<16>>16)qa=N;else{U=L;while(1){R=d[a+((U&65535)<<1)>>1]|0;if((R&65535)<(U&65535))U=R;else break}R=(N&65535)>(U&65535)?U:N;O=L;do{_=a+((O&65535)<<1)|0;T=O;O=d[_>>1]|0;d[_>>1]=R}while((O&65535)<(T&65535));qa=R}R=M;do{O=a+((R&65535)<<1)|0;L=R;R=d[O>>1]|0;d[O>>1]=qa}while((R&65535)<(L&65535));R=d[z+(P<<1)>>1]|0;M=qa;while(1){L=d[a+((M&65535)<<1)>>1]|0;if((L&65535)<(M&65535))M=L;else break}if(qa<<16>>16==R<<16>>16)ra=M;else{L=R;while(1){O=d[a+((L&65535)<<1)>>1]|0;if((O&65535)<(L&65535))L=O;else break}O=(M&65535)>(L&65535)?L:M;N=R;do{U=a+((N&65535)<<1)|0;T=N;N=d[U>>1]|0;d[U>>1]=O}while((N&65535)<(T&65535));ra=O}O=qa;do{N=a+((O&65535)<<1)|0;R=O;O=d[N>>1]|0;d[N>>1]=ra}while((O&65535)<(R&65535));d[z+(E<<1)>>1]=ra;K=F;break a}while(0);O=d[t+(E<<1)>>1]|0;R=d[t+(S<<1)>>1]|0;N=O;while(1){M=d[a+((N&65535)<<1)>>1]|0;if((M&65535)<(N&65535))N=M;else break}if(O<<16>>16==R<<16>>16)sa=N;else{M=R;while(1){L=d[a+((M&65535)<<1)>>1]|0;if((L&65535)<(M&65535))M=L;else break}L=(N&65535)>(M&65535)?M:N;T=R;do{U=a+((T&65535)<<1)|0;_=T;T=d[U>>1]|0;d[U>>1]=L}while((T&65535)<(_&65535));sa=L}L=O;do{T=a+((L&65535)<<1)|0;R=L;L=d[T>>1]|0;d[T>>1]=sa}while((L&65535)<(R&65535));L=d[z+(P<<1)>>1]|0;O=sa;while(1){R=d[a+((O&65535)<<1)>>1]|0;if((R&65535)<(O&65535))O=R;else break}if(sa<<16>>16==L<<16>>16)ta=O;else{P=L;while(1){R=d[a+((P&65535)<<1)>>1]|0;if((R&65535)<(P&65535))P=R;else break}R=(O&65535)>(P&65535)?P:O;T=L;do{N=a+((T&65535)<<1)|0;M=T;T=d[N>>1]|0;d[N>>1]=R}while((T&65535)<(M&65535));ta=R}R=sa;do{T=a+((R&65535)<<1)|0;L=R;R=d[T>>1]|0;d[T>>1]=ta}while((R&65535)<(L&65535));d[z+(E<<1)>>1]=ta;K=F;break a}while(0);S=E+-2|0;if(!(b[x+E>>0]|0)){ua=S;break}do if((S|0)>-1){if(!(b[v+S>>0]|0))break;if(b[x+I>>0]|0){d[z+(E<<1)>>1]=d[z+(S<<1)>>1]|0;K=F;break a}if(!(b[x+S>>0]|0)){R=d[t+(E<<1)>>1]|0;L=d[z+(S<<1)>>1]|0;T=R;while(1){O=d[a+((T&65535)<<1)>>1]|0;if((O&65535)<(T&65535))T=O;else break}if(R<<16>>16==L<<16>>16)va=T;else{O=L;while(1){P=d[a+((O&65535)<<1)>>1]|0;if((P&65535)<(O&65535))O=P;else break}P=(T&65535)>(O&65535)?O:T;M=L;do{N=a+((M&65535)<<1)|0;_=M;M=d[N>>1]|0;d[N>>1]=P}while((M&65535)<(_&65535));va=P}P=R;do{M=a+((P&65535)<<1)|0;L=P;P=d[M>>1]|0;d[M>>1]=va}while((P&65535)<(L&65535));d[z+(E<<1)>>1]=va;K=F;break a}do if(D){if(!(b[y+I>>0]|0))break;d[z+(E<<1)>>1]=d[z+(S<<1)>>1]|0;K=F;break a}while(0);P=d[t+(E<<1)>>1]|0;R=d[z+(S<<1)>>1]|0;L=P;while(1){M=d[a+((L&65535)<<1)>>1]|0;if((M&65535)<(L&65535))L=M;else break}if(P<<16>>16==R<<16>>16)wa=L;else{M=R;while(1){T=d[a+((M&65535)<<1)>>1]|0;if((T&65535)<(M&65535))M=T;else break}T=(L&65535)>(M&65535)?M:L;O=R;do{_=a+((O&65535)<<1)|0;N=O;O=d[_>>1]|0;d[_>>1]=T}while((O&65535)<(N&65535));wa=T}T=P;do{O=a+((T&65535)<<1)|0;R=T;T=d[O>>1]|0;d[O>>1]=wa}while((T&65535)<(R&65535));d[z+(E<<1)>>1]=wa;K=F;break a}while(0);T=d[t+(E<<1)>>1]|0;P=d[z+(S<<1)>>1]|0;R=T;while(1){O=d[a+((R&65535)<<1)>>1]|0;if((O&65535)<(R&65535))R=O;else break}if(T<<16>>16==P<<16>>16)xa=R;else{S=P;while(1){O=d[a+((S&65535)<<1)>>1]|0;if((O&65535)<(S&65535))S=O;else break}O=(R&65535)>(S&65535)?S:R;L=P;do{M=a+((L&65535)<<1)|0;N=L;L=d[M>>1]|0;d[M>>1]=O}while((L&65535)<(N&65535));xa=O}O=T;do{L=a+((O&65535)<<1)|0;P=O;O=d[L>>1]|0;d[L>>1]=xa}while((O&65535)<(P&65535));d[z+(E<<1)>>1]=xa;K=F;break a}else ua=E+-2|0;while(0);d[z+(E<<1)>>1]=d[z+(ua<<1)>>1]|0;K=F;break a}while(0);do if(B){if(b[x+G>>0]|0){d[z+(E<<1)>>1]=d[t+(E<<1)>>1]|0;K=F;break a}O=E+2|0;do if(!((O|0)>=(l|0)|C)){if(!(b[x+O>>0]|0))break;if(!(b[x+E>>0]|0)){d[z+(E<<1)>>1]=d[t+(O<<1)>>1]|0;K=F;break a}do if(D){if(!(b[y+G>>0]|0))break;d[z+(E<<1)>>1]=d[t+(O<<1)>>1]|0;K=F;break a}while(0);T=d[t+(E<<1)>>1]|0;P=d[t+(O<<1)>>1]|0;L=T;while(1){R=d[a+((L&65535)<<1)>>1]|0;if((R&65535)<(L&65535))L=R;else break}if(T<<16>>16==P<<16>>16)ya=L;else{R=P;while(1){S=d[a+((R&65535)<<1)>>1]|0;if((S&65535)<(R&65535))R=S;else break}S=(L&65535)>(R&65535)?R:L;N=P;do{M=a+((N&65535)<<1)|0;_=N;N=d[M>>1]|0;d[M>>1]=S}while((N&65535)<(_&65535));ya=S}S=T;do{N=a+((S&65535)<<1)|0;P=S;S=d[N>>1]|0;d[N>>1]=ya}while((S&65535)<(P&65535));d[z+(E<<1)>>1]=ya;K=F;break a}while(0);if(!(b[x+E>>0]|0))break;d[z+(E<<1)>>1]=d[t+(E<<1)>>1]|0;K=F;break a}while(0);d[z+(E<<1)>>1]=F;O=F&65535;d[a+(O<<1)>>1]=F;K=O+1&65535;break}if(J){if(b[w+I>>0]|0){d[z+(E<<1)>>1]=d[z+(E+-2<<1)>>1]|0;K=F;break}if(b[v+I>>0]|0){d[z+(E<<1)>>1]=d[z+(E+-2<<1)>>1]|0;K=F;break}}d[z+(E<<1)>>1]=F;O=F&65535;d[a+(O<<1)>>1]=F;K=O+1&65535;break}do if(H){if(!(b[v+G>>0]|0)){if(!A)break;if(!(b[w+G>>0]|0))break;d[z+(E<<1)>>1]=F;O=F&65535;d[a+(O<<1)>>1]=F;K=O+1&65535;break a}if(B){if(b[x+G>>0]|0){d[z+(E<<1)>>1]=d[t+(E<<1)>>1]|0;K=F;break a}O=E+2|0;do if(!((O|0)>=(l|0)|C)){if(!(b[x+O>>0]|0))break;if(!(b[x+E>>0]|0)){d[z+(E<<1)>>1]=d[t+(O<<1)>>1]|0;K=F;break a}do if(D){if(!(b[y+G>>0]|0))break;d[z+(E<<1)>>1]=d[t+(O<<1)>>1]|0;K=F;break a}while(0);S=d[t+(E<<1)>>1]|0;T=d[t+(O<<1)>>1]|0;P=S;while(1){N=d[a+((P&65535)<<1)>>1]|0;if((N&65535)<(P&65535))P=N;else break}if(S<<16>>16==T<<16>>16)za=P;else{N=T;while(1){L=d[a+((N&65535)<<1)>>1]|0;if((L&65535)<(N&65535))N=L;else break}L=(P&65535)>(N&65535)?N:P;R=T;do{_=a+((R&65535)<<1)|0;M=R;R=d[_>>1]|0;d[_>>1]=L}while((R&65535)<(M&65535));za=L}L=S;do{R=a+((L&65535)<<1)|0;T=L;L=d[R>>1]|0;d[R>>1]=za}while((L&65535)<(T&65535));d[z+(E<<1)>>1]=za;K=F;break a}while(0);if(b[x+E>>0]|0){d[z+(E<<1)>>1]=d[t+(E<<1)>>1]|0;K=F;break a}}d[z+(E<<1)>>1]=F;O=F&65535;d[a+(O<<1)>>1]=F;K=O+1&65535;break a}while(0);d[z+(E<<1)>>1]=0;K=F}else{G=E+-1|0;H=(E|0)>0;if(H){if(b[v+G>>0]|0){I=E|1;J=(I|0)<(l|0);if(B&J?b[x+I>>0]|0:0){if(b[x+E>>0]|0){d[z+(E<<1)>>1]=d[z+(E+-2<<1)>>1]|0;K=F;break}do if(D){if(!(b[y+E>>0]|0))break;O=E+-2|0;if(b[x+G>>0]|0){d[z+(E<<1)>>1]=d[z+(O<<1)>>1]|0;K=F;break a}do if((O|0)>-1){if(!(b[x+O>>0]|0))break;if(b[y+G>>0]|0){d[z+(E<<1)>>1]=d[z+(O<<1)>>1]|0;K=F;break a}L=d[t+(E<<1)>>1]|0;S=d[z+(O<<1)>>1]|0;T=L;while(1){R=d[a+((T&65535)<<1)>>1]|0;if((R&65535)<(T&65535))T=R;else break}if(L<<16>>16==S<<16>>16)Aa=T;else{R=S;while(1){P=d[a+((R&65535)<<1)>>1]|0;if((P&65535)<(R&65535))R=P;else break}P=(T&65535)>(R&65535)?R:T;N=S;do{M=a+((N&65535)<<1)|0;_=N;N=d[M>>1]|0;d[M>>1]=P}while((N&65535)<(_&65535));Aa=P}P=L;do{N=a+((P&65535)<<1)|0;S=P;P=d[N>>1]|0;d[N>>1]=Aa}while((P&65535)<(S&65535));d[z+(E<<1)>>1]=Aa;K=F;break a}while(0);P=d[t+(E<<1)>>1]|0;L=d[z+(O<<1)>>1]|0;S=P;while(1){N=d[a+((S&65535)<<1)>>1]|0;if((N&65535)<(S&65535))S=N;else break}if(P<<16>>16==L<<16>>16)Ba=S;else{O=L;while(1){N=d[a+((O&65535)<<1)>>1]|0;if((N&65535)<(O&65535))O=N;else break}N=(S&65535)>(O&65535)?O:S;T=L;do{R=a+((T&65535)<<1)|0;_=T;T=d[R>>1]|0;d[R>>1]=N}while((T&65535)<(_&65535));Ba=N}N=P;do{T=a+((N&65535)<<1)|0;L=N;N=d[T>>1]|0;d[T>>1]=Ba}while((N&65535)<(L&65535));d[z+(E<<1)>>1]=Ba;K=F;break a}while(0);N=d[t+(E<<1)>>1]|0;P=d[z+(E+-2<<1)>>1]|0;L=N;while(1){T=d[a+((L&65535)<<1)>>1]|0;if((T&65535)<(L&65535))L=T;else break}if(N<<16>>16==P<<16>>16)Ca=L;else{T=P;while(1){S=d[a+((T&65535)<<1)>>1]|0;if((S&65535)<(T&65535))T=S;else break}S=(L&65535)>(T&65535)?T:L;O=P;do{_=a+((O&65535)<<1)|0;R=O;O=d[_>>1]|0;d[_>>1]=S}while((O&65535)<(R&65535));Ca=S}S=N;do{O=a+((S&65535)<<1)|0;P=S;S=d[O>>1]|0;d[O>>1]=Ca}while((S&65535)<(P&65535));d[z+(E<<1)>>1]=Ca;K=F;break}if(J?b[v+I>>0]|0:0){S=E+2|0;do if(B&(S|0)<(l|0)){if(!(b[x+S>>0]|0))break;do if(D){if(!(b[y+I>>0]|0))break;if(b[x+E>>0]|0){d[z+(E<<1)>>1]=d[z+(E+-2<<1)>>1]|0;K=F;break a}if(!(b[y+E>>0]|0)){N=d[t+(S<<1)>>1]|0;P=d[z+(E+-2<<1)>>1]|0;O=N;while(1){L=d[a+((O&65535)<<1)>>1]|0;if((L&65535)<(O&65535))O=L;else break}if(N<<16>>16==P<<16>>16)Da=O;else{L=P;while(1){T=d[a+((L&65535)<<1)>>1]|0;if((T&65535)<(L&65535))L=T;else break}T=(O&65535)>(L&65535)?L:O;R=P;do{_=a+((R&65535)<<1)|0;M=R;R=d[_>>1]|0;d[_>>1]=T}while((R&65535)<(M&65535));Da=T}T=N;do{R=a+((T&65535)<<1)|0;P=T;T=d[R>>1]|0;d[R>>1]=Da}while((T&65535)<(P&65535));d[z+(E<<1)>>1]=Da;K=F;break a}T=E+-2|0;if(b[x+G>>0]|0){d[z+(E<<1)>>1]=d[z+(T<<1)>>1]|0;K=F;break a}do if((T|0)>-1){if(!(b[x+T>>0]|0))break;if(b[y+G>>0]|0){d[z+(E<<1)>>1]=d[z+(T<<1)>>1]|0;K=F;break a}N=d[t+(S<<1)>>1]|0;P=d[z+(T<<1)>>1]|0;R=N;while(1){O=d[a+((R&65535)<<1)>>1]|0;if((O&65535)<(R&65535))R=O;else break}if(N<<16>>16==P<<16>>16)Ea=R;else{O=P;while(1){L=d[a+((O&65535)<<1)>>1]|0;if((L&65535)<(O&65535))O=L;else break}L=(R&65535)>(O&65535)?O:R;M=P;do{_=a+((M&65535)<<1)|0;U=M;M=d[_>>1]|0;d[_>>1]=L}while((M&65535)<(U&65535));Ea=L}L=N;do{M=a+((L&65535)<<1)|0;P=L;L=d[M>>1]|0;d[M>>1]=Ea}while((L&65535)<(P&65535));d[z+(E<<1)>>1]=Ea;K=F;break a}while(0);L=d[t+(S<<1)>>1]|0;N=d[z+(T<<1)>>1]|0;P=L;while(1){M=d[a+((P&65535)<<1)>>1]|0;if((M&65535)<(P&65535))P=M;else break}if(L<<16>>16==N<<16>>16)Fa=P;else{T=N;while(1){M=d[a+((T&65535)<<1)>>1]|0;if((M&65535)<(T&65535))T=M;else break}M=(P&65535)>(T&65535)?T:P;R=N;do{O=a+((R&65535)<<1)|0;U=R;R=d[O>>1]|0;d[O>>1]=M}while((R&65535)<(U&65535));Fa=M}M=L;do{R=a+((M&65535)<<1)|0;N=M;M=d[R>>1]|0;d[R>>1]=Fa}while((M&65535)<(N&65535));d[z+(E<<1)>>1]=Fa;K=F;break a}while(0);M=d[t+(S<<1)>>1]|0;L=d[z+(E+-2<<1)>>1]|0;N=M;while(1){R=d[a+((N&65535)<<1)>>1]|0;if((R&65535)<(N&65535))N=R;else break}if(M<<16>>16==L<<16>>16)Ga=N;else{R=L;while(1){P=d[a+((R&65535)<<1)>>1]|0;if((P&65535)<(R&65535))R=P;else break}P=(N&65535)>(R&65535)?R:N;T=L;do{U=a+((T&65535)<<1)|0;O=T;T=d[U>>1]|0;d[U>>1]=P}while((T&65535)<(O&65535));Ga=P}P=M;do{T=a+((P&65535)<<1)|0;L=P;P=d[T>>1]|0;d[T>>1]=Ga}while((P&65535)<(L&65535));d[z+(E<<1)>>1]=Ga;K=F;break a}while(0);d[z+(E<<1)>>1]=d[z+(E+-2<<1)>>1]|0;K=F;break}d[z+(E<<1)>>1]=d[z+(E+-2<<1)>>1]|0;K=F;break}if(A?b[w+G>>0]|0:0){S=E|1;I=(S|0)<(l|0);if(!(C|I^1)?b[x+S>>0]|0:0){J=E+-2|0;do if((J|0)>-1){if(!(b[v+J>>0]|0))break;if(b[x+G>>0]|0){P=d[z+(J<<1)>>1]|0;if(b[x+E>>0]|0){d[z+(E<<1)>>1]=P;K=F;break a}do if(D){if(!(b[y+E>>0]|0))break;d[z+(E<<1)>>1]=P;K=F;break a}while(0);M=d[t+(E<<1)>>1]|0;L=M;while(1){T=d[a+((L&65535)<<1)>>1]|0;if((T&65535)<(L&65535))L=T;else break}if(M<<16>>16==P<<16>>16)Ha=L;else{T=P;while(1){N=d[a+((T&65535)<<1)>>1]|0;if((N&65535)<(T&65535))T=N;else break}N=(L&65535)>(T&65535)?T:L;R=P;do{O=a+((R&65535)<<1)|0;U=R;R=d[O>>1]|0;d[O>>1]=N}while((R&65535)<(U&65535));Ha=N}N=M;do{R=a+((N&65535)<<1)|0;P=N;N=d[R>>1]|0;d[R>>1]=Ha}while((N&65535)<(P&65535));d[z+(E<<1)>>1]=Ha;K=F;break a}if(!(b[x+J>>0]|0)){N=d[t+(E<<1)>>1]|0;M=d[z+(J<<1)>>1]|0;P=N;while(1){R=d[a+((P&65535)<<1)>>1]|0;if((R&65535)<(P&65535))P=R;else break}if(N<<16>>16==M<<16>>16)Ia=P;else{R=M;while(1){L=d[a+((R&65535)<<1)>>1]|0;if((L&65535)<(R&65535))R=L;else break}L=(P&65535)>(R&65535)?R:P;T=M;do{U=a+((T&65535)<<1)|0;O=T;T=d[U>>1]|0;d[U>>1]=L}while((T&65535)<(O&65535));Ia=L}L=N;do{T=a+((L&65535)<<1)|0;M=L;L=d[T>>1]|0;d[T>>1]=Ia}while((L&65535)<(M&65535));d[z+(E<<1)>>1]=Ia;K=F;break a}do if(D){if(!(b[y+G>>0]|0))break;L=d[z+(J<<1)>>1]|0;if(b[x+E>>0]|0){d[z+(E<<1)>>1]=L;K=F;break a}if(b[y+E>>0]|0){d[z+(E<<1)>>1]=L;K=F;break a}N=d[t+(E<<1)>>1]|0;M=N;while(1){T=d[a+((M&65535)<<1)>>1]|0;if((T&65535)<(M&65535))M=T;else break}if(N<<16>>16==L<<16>>16)Ja=M;else{T=L;while(1){P=d[a+((T&65535)<<1)>>1]|0;if((P&65535)<(T&65535))T=P;else break}P=(M&65535)>(T&65535)?T:M;R=L;do{O=a+((R&65535)<<1)|0;U=R;R=d[O>>1]|0;d[O>>1]=P}while((R&65535)<(U&65535));Ja=P}P=N;do{R=a+((P&65535)<<1)|0;L=P;P=d[R>>1]|0;d[R>>1]=Ja}while((P&65535)<(L&65535));d[z+(E<<1)>>1]=Ja;K=F;break a}while(0);P=d[t+(E<<1)>>1]|0;N=d[z+(J<<1)>>1]|0;L=P;while(1){R=d[a+((L&65535)<<1)>>1]|0;if((R&65535)<(L&65535))L=R;else break}if(P<<16>>16==N<<16>>16)Ka=L;else{R=N;while(1){M=d[a+((R&65535)<<1)>>1]|0;if((M&65535)<(R&65535))R=M;else break}M=(L&65535)>(R&65535)?R:L;T=N;do{U=a+((T&65535)<<1)|0;O=T;T=d[U>>1]|0;d[U>>1]=M}while((T&65535)<(O&65535));Ka=M}M=P;do{T=a+((M&65535)<<1)|0;N=M;M=d[T>>1]|0;d[T>>1]=Ka}while((M&65535)<(N&65535));d[z+(E<<1)>>1]=Ka;K=F;break a}while(0);if(b[x+E>>0]|0){M=d[t+(E<<1)>>1]|0;P=d[z+(J<<1)>>1]|0;N=M;while(1){T=d[a+((N&65535)<<1)>>1]|0;if((T&65535)<(N&65535))N=T;else break}if(M<<16>>16==P<<16>>16)La=N;else{T=P;while(1){L=d[a+((T&65535)<<1)>>1]|0;if((L&65535)<(T&65535))T=L;else break}L=(N&65535)>(T&65535)?T:N;R=P;do{O=a+((R&65535)<<1)|0;U=R;R=d[O>>1]|0;d[O>>1]=L}while((R&65535)<(U&65535));La=L}L=M;do{R=a+((L&65535)<<1)|0;P=L;L=d[R>>1]|0;d[R>>1]=La}while((L&65535)<(P&65535));d[z+(E<<1)>>1]=La;K=F;break}L=d[t+(E<<1)>>1]|0;if(!(b[x+G>>0]|0)){M=d[z+(J<<1)>>1]|0;P=L;while(1){R=d[a+((P&65535)<<1)>>1]|0;if((R&65535)<(P&65535))P=R;else break}if(L<<16>>16==M<<16>>16)Ma=P;else{R=M;while(1){N=d[a+((R&65535)<<1)>>1]|0;if((N&65535)<(R&65535))R=N;else break}N=(P&65535)>(R&65535)?R:P;T=M;do{U=a+((T&65535)<<1)|0;O=T;T=d[U>>1]|0;d[U>>1]=N}while((T&65535)<(O&65535));Ma=N}N=L;do{T=a+((N&65535)<<1)|0;M=N;N=d[T>>1]|0;d[T>>1]=Ma}while((N&65535)<(M&65535));d[z+(E<<1)>>1]=Ma;K=F;break}do if(D){if(!(b[y+E>>0]|0))break;N=d[z+(J<<1)>>1]|0;M=L;while(1){T=d[a+((M&65535)<<1)>>1]|0;if((T&65535)<(M&65535))M=T;else break}if(L<<16>>16==N<<16>>16)Na=M;else{T=N;while(1){P=d[a+((T&65535)<<1)>>1]|0;if((P&65535)<(T&65535))T=P;else break}P=(M&65535)>(T&65535)?T:M;R=N;do{O=a+((R&65535)<<1)|0;U=R;R=d[O>>1]|0;d[O>>1]=P}while((R&65535)<(U&65535));Na=P}P=L;do{R=a+((P&65535)<<1)|0;N=P;P=d[R>>1]|0;d[R>>1]=Na}while((P&65535)<(N&65535));d[z+(E<<1)>>1]=Na;K=F;break a}while(0);P=d[t+(J<<1)>>1]|0;N=P;while(1){R=d[a+((N&65535)<<1)>>1]|0;if((R&65535)<(N&65535))N=R;else break}if(P<<16>>16==L<<16>>16)Oa=N;else{R=L;while(1){M=d[a+((R&65535)<<1)>>1]|0;if((M&65535)<(R&65535))R=M;else break}M=(N&65535)>(R&65535)?R:N;T=L;do{U=a+((T&65535)<<1)|0;O=T;T=d[U>>1]|0;d[U>>1]=M}while((T&65535)<(O&65535));Oa=M}M=P;do{T=a+((M&65535)<<1)|0;L=M;M=d[T>>1]|0;d[T>>1]=Oa}while((M&65535)<(L&65535));M=d[z+(J<<1)>>1]|0;P=Oa;while(1){L=d[a+((P&65535)<<1)>>1]|0;if((L&65535)<(P&65535))P=L;else break}if(Oa<<16>>16==M<<16>>16)Pa=P;else{J=M;while(1){L=d[a+((J&65535)<<1)>>1]|0;if((L&65535)<(J&65535))J=L;else break}L=(P&65535)>(J&65535)?J:P;T=M;do{N=a+((T&65535)<<1)|0;R=T;T=d[N>>1]|0;d[N>>1]=L}while((T&65535)<(R&65535));Pa=L}L=Oa;do{T=a+((L&65535)<<1)|0;M=L;L=d[T>>1]|0;d[T>>1]=Pa}while((L&65535)<(M&65535));d[z+(E<<1)>>1]=Pa;K=F;break}if(I?b[v+S>>0]|0:0){L=E+2|0;do if(!((L|0)>=(l|0)|C)){if(!(b[x+L>>0]|0))break;M=E+-2|0;do if((M|0)>-1){if(!(b[v+M>>0]|0))break;if(b[x+G>>0]|0){do if(D){if(!(b[y+S>>0]|0))break;T=d[z+(M<<1)>>1]|0;if(b[x+E>>0]|0){d[z+(E<<1)>>1]=T;K=F;break a}if(b[y+E>>0]|0){d[z+(E<<1)>>1]=T;K=F;break a}P=d[t+(L<<1)>>1]|0;J=P;while(1){R=d[a+((J&65535)<<1)>>1]|0;if((R&65535)<(J&65535))J=R;else break}if(P<<16>>16==T<<16>>16)Qa=J;else{R=T;while(1){N=d[a+((R&65535)<<1)>>1]|0;if((N&65535)<(R&65535))R=N;else break}N=(J&65535)>(R&65535)?R:J;O=T;do{U=a+((O&65535)<<1)|0;_=O;O=d[U>>1]|0;d[U>>1]=N}while((O&65535)<(_&65535));Qa=N}N=P;do{O=a+((N&65535)<<1)|0;T=N;N=d[O>>1]|0;d[O>>1]=Qa}while((N&65535)<(T&65535));d[z+(E<<1)>>1]=Qa;K=F;break a}while(0);N=d[t+(L<<1)>>1]|0;P=d[z+(M<<1)>>1]|0;T=N;while(1){O=d[a+((T&65535)<<1)>>1]|0;if((O&65535)<(T&65535))T=O;else break}if(N<<16>>16==P<<16>>16)Ra=T;else{O=P;while(1){J=d[a+((O&65535)<<1)>>1]|0;if((J&65535)<(O&65535))O=J;else break}J=(T&65535)>(O&65535)?O:T;R=P;do{_=a+((R&65535)<<1)|0;U=R;R=d[_>>1]|0;d[_>>1]=J}while((R&65535)<(U&65535));Ra=J}J=N;do{R=a+((J&65535)<<1)|0;P=J;J=d[R>>1]|0;d[R>>1]=Ra}while((J&65535)<(P&65535));d[z+(E<<1)>>1]=Ra;K=F;break a}do if(D){if(!(b[y+S>>0]|0))break;if(!(b[x+M>>0]|0)){J=d[t+(L<<1)>>1]|0;N=d[z+(M<<1)>>1]|0;P=J;while(1){R=d[a+((P&65535)<<1)>>1]|0;if((R&65535)<(P&65535))P=R;else break}if(J<<16>>16==N<<16>>16)Sa=P;else{R=N;while(1){T=d[a+((R&65535)<<1)>>1]|0;if((T&65535)<(R&65535))R=T;else break}T=(P&65535)>(R&65535)?R:P;O=N;do{U=a+((O&65535)<<1)|0;_=O;O=d[U>>1]|0;d[U>>1]=T}while((O&65535)<(_&65535));Sa=T}T=J;do{O=a+((T&65535)<<1)|0;N=T;T=d[O>>1]|0;d[O>>1]=Sa}while((T&65535)<(N&65535));d[z+(E<<1)>>1]=Sa;K=F;break a}if(!(b[y+G>>0]|0)){T=d[t+(L<<1)>>1]|0;J=d[z+(M<<1)>>1]|0;N=T;while(1){O=d[a+((N&65535)<<1)>>1]|0;if((O&65535)<(N&65535))N=O;else break}if(T<<16>>16==J<<16>>16)Ta=N;else{O=J;while(1){P=d[a+((O&65535)<<1)>>1]|0;if((P&65535)<(O&65535))O=P;else break}P=(N&65535)>(O&65535)?O:N;R=J;do{_=a+((R&65535)<<1)|0;U=R;R=d[_>>1]|0;d[_>>1]=P}while((R&65535)<(U&65535));Ta=P}P=T;do{R=a+((P&65535)<<1)|0;J=P;P=d[R>>1]|0;d[R>>1]=Ta}while((P&65535)<(J&65535));d[z+(E<<1)>>1]=Ta;K=F;break a}P=d[z+(M<<1)>>1]|0;if(b[x+E>>0]|0){d[z+(E<<1)>>1]=P;K=F;break a}if(b[y+E>>0]|0){d[z+(E<<1)>>1]=P;K=F;break a}T=d[t+(L<<1)>>1]|0;J=T;while(1){R=d[a+((J&65535)<<1)>>1]|0;if((R&65535)<(J&65535))J=R;else break}if(T<<16>>16==P<<16>>16)Ua=J;else{R=P;while(1){N=d[a+((R&65535)<<1)>>1]|0;if((N&65535)<(R&65535))R=N;else break}N=(J&65535)>(R&65535)?R:J;O=P;do{U=a+((O&65535)<<1)|0;_=O;O=d[U>>1]|0;d[U>>1]=N}while((O&65535)<(_&65535));Ua=N}N=T;do{O=a+((N&65535)<<1)|0;P=N;N=d[O>>1]|0;d[O>>1]=Ua}while((N&65535)<(P&65535));d[z+(E<<1)>>1]=Ua;K=F;break a}while(0);if(!(b[x+E>>0]|0)){N=d[t+(L<<1)>>1]|0;T=d[z+(M<<1)>>1]|0;P=N;while(1){O=d[a+((P&65535)<<1)>>1]|0;if((O&65535)<(P&65535))P=O;else break}if(N<<16>>16==T<<16>>16)Va=P;else{O=T;while(1){J=d[a+((O&65535)<<1)>>1]|0;if((J&65535)<(O&65535))O=J;else break}J=(P&65535)>(O&65535)?O:P;R=T;do{_=a+((R&65535)<<1)|0;U=R;R=d[_>>1]|0;d[_>>1]=J}while((R&65535)<(U&65535));Va=J}J=N;do{R=a+((J&65535)<<1)|0;T=J;J=d[R>>1]|0;d[R>>1]=Va}while((J&65535)<(T&65535));d[z+(E<<1)>>1]=Va;K=F;break a}if(!(b[x+M>>0]|0)){J=d[t+(E<<1)>>1]|0;N=d[t+(L<<1)>>1]|0;T=J;while(1){R=d[a+((T&65535)<<1)>>1]|0;if((R&65535)<(T&65535))T=R;else break}if(J<<16>>16==N<<16>>16)Wa=T;else{R=N;while(1){P=d[a+((R&65535)<<1)>>1]|0;if((P&65535)<(R&65535))R=P;else break}P=(T&65535)>(R&65535)?R:T;O=N;do{U=a+((O&65535)<<1)|0;_=O;O=d[U>>1]|0;d[U>>1]=P}while((O&65535)<(_&65535));Wa=P}P=J;do{O=a+((P&65535)<<1)|0;N=P;P=d[O>>1]|0;d[O>>1]=Wa}while((P&65535)<(N&65535));P=d[z+(M<<1)>>1]|0;J=Wa;while(1){N=d[a+((J&65535)<<1)>>1]|0;if((N&65535)<(J&65535))J=N;else break}if(Wa<<16>>16==P<<16>>16)Xa=J;else{N=P;while(1){O=d[a+((N&65535)<<1)>>1]|0;if((O&65535)<(N&65535))N=O;else break}O=(J&65535)>(N&65535)?N:J;T=P;do{R=a+((T&65535)<<1)|0;_=T;T=d[R>>1]|0;d[R>>1]=O}while((T&65535)<(_&65535));Xa=O}O=Wa;do{T=a+((O&65535)<<1)|0;P=O;O=d[T>>1]|0;d[T>>1]=Xa}while((O&65535)<(P&65535));d[z+(E<<1)>>1]=Xa;K=F;break a}do if(D){if(!(b[y+G>>0]|0))break;O=d[t+(L<<1)>>1]|0;P=d[z+(M<<1)>>1]|0;T=O;while(1){J=d[a+((T&65535)<<1)>>1]|0;if((J&65535)<(T&65535))T=J;else break}if(O<<16>>16==P<<16>>16)Ya=T;else{J=P;while(1){N=d[a+((J&65535)<<1)>>1]|0;if((N&65535)<(J&65535))J=N;else break}N=(T&65535)>(J&65535)?J:T;_=P;do{R=a+((_&65535)<<1)|0;U=_;_=d[R>>1]|0;d[R>>1]=N}while((_&65535)<(U&65535));Ya=N}N=O;do{_=a+((N&65535)<<1)|0;P=N;N=d[_>>1]|0;d[_>>1]=Ya}while((N&65535)<(P&65535));d[z+(E<<1)>>1]=Ya;K=F;break a}while(0);N=d[t+(E<<1)>>1]|0;O=d[t+(L<<1)>>1]|0;P=N;while(1){_=d[a+((P&65535)<<1)>>1]|0;if((_&65535)<(P&65535))P=_;else break}if(N<<16>>16==O<<16>>16)Za=P;else{_=O;while(1){T=d[a+((_&65535)<<1)>>1]|0;if((T&65535)<(_&65535))_=T;else break}T=(P&65535)>(_&65535)?_:P;J=O;do{U=a+((J&65535)<<1)|0;R=J;J=d[U>>1]|0;d[U>>1]=T}while((J&65535)<(R&65535));Za=T}T=N;do{J=a+((T&65535)<<1)|0;O=T;T=d[J>>1]|0;d[J>>1]=Za}while((T&65535)<(O&65535));T=d[z+(M<<1)>>1]|0;N=Za;while(1){O=d[a+((N&65535)<<1)>>1]|0;if((O&65535)<(N&65535))N=O;else break}if(Za<<16>>16==T<<16>>16)_a=N;else{O=T;while(1){J=d[a+((O&65535)<<1)>>1]|0;if((J&65535)<(O&65535))O=J;else break}J=(N&65535)>(O&65535)?O:N;P=T;do{_=a+((P&65535)<<1)|0;R=P;P=d[_>>1]|0;d[_>>1]=J}while((P&65535)<(R&65535));_a=J}J=Za;do{P=a+((J&65535)<<1)|0;T=J;J=d[P>>1]|0;d[P>>1]=_a}while((J&65535)<(T&65535));d[z+(E<<1)>>1]=_a;K=F;break a}while(0);if(b[x+E>>0]|0){do if(D){if(!(b[y+S>>0]|0))break;J=d[t+(L<<1)>>1]|0;T=d[z+(M<<1)>>1]|0;P=J;while(1){N=d[a+((P&65535)<<1)>>1]|0;if((N&65535)<(P&65535))P=N;else break}if(J<<16>>16==T<<16>>16)$a=P;else{N=T;while(1){O=d[a+((N&65535)<<1)>>1]|0;if((O&65535)<(N&65535))N=O;else break}O=(P&65535)>(N&65535)?N:P;R=T;do{_=a+((R&65535)<<1)|0;U=R;R=d[_>>1]|0;d[_>>1]=O}while((R&65535)<(U&65535));$a=O}O=J;do{R=a+((O&65535)<<1)|0;T=O;O=d[R>>1]|0;d[R>>1]=$a}while((O&65535)<(T&65535));d[z+(E<<1)>>1]=$a;K=F;break a}while(0);O=d[t+(E<<1)>>1]|0;J=d[t+(L<<1)>>1]|0;T=O;while(1){R=d[a+((T&65535)<<1)>>1]|0;if((R&65535)<(T&65535))T=R;else break}if(O<<16>>16==J<<16>>16)ab=T;else{R=J;while(1){P=d[a+((R&65535)<<1)>>1]|0;if((P&65535)<(R&65535))R=P;else break}P=(T&65535)>(R&65535)?R:T;N=J;do{U=a+((N&65535)<<1)|0;_=N;N=d[U>>1]|0;d[U>>1]=P}while((N&65535)<(_&65535));ab=P}P=O;do{N=a+((P&65535)<<1)|0;J=P;P=d[N>>1]|0;d[N>>1]=ab}while((P&65535)<(J&65535));P=d[z+(M<<1)>>1]|0;O=ab;while(1){J=d[a+((O&65535)<<1)>>1]|0;if((J&65535)<(O&65535))O=J;else break}if(ab<<16>>16==P<<16>>16)bb=O;else{J=P;while(1){N=d[a+((J&65535)<<1)>>1]|0;if((N&65535)<(J&65535))J=N;else break}N=(O&65535)>(J&65535)?J:O;T=P;do{R=a+((T&65535)<<1)|0;_=T;T=d[R>>1]|0;d[R>>1]=N}while((T&65535)<(_&65535));bb=N}N=ab;do{T=a+((N&65535)<<1)|0;P=N;N=d[T>>1]|0;d[T>>1]=bb}while((N&65535)<(P&65535));d[z+(E<<1)>>1]=bb;K=F;break a}if(!(b[x+G>>0]|0)){N=d[t+(L<<1)>>1]|0;P=d[z+(M<<1)>>1]|0;T=N;while(1){O=d[a+((T&65535)<<1)>>1]|0;if((O&65535)<(T&65535))T=O;else break}if(N<<16>>16==P<<16>>16)cb=T;else{O=P;while(1){J=d[a+((O&65535)<<1)>>1]|0;if((J&65535)<(O&65535))O=J;else break}J=(T&65535)>(O&65535)?O:T;_=P;do{R=a+((_&65535)<<1)|0;U=_;_=d[R>>1]|0;d[R>>1]=J}while((_&65535)<(U&65535));cb=J}J=N;do{_=a+((J&65535)<<1)|0;P=J;J=d[_>>1]|0;d[_>>1]=cb}while((J&65535)<(P&65535));d[z+(E<<1)>>1]=cb;K=F;break a}do if(D){if(!(b[y+S>>0]|0))break;J=d[t+(L<<1)>>1]|0;if(b[y+E>>0]|0){N=d[z+(M<<1)>>1]|0;P=J;while(1){_=d[a+((P&65535)<<1)>>1]|0;if((_&65535)<(P&65535))P=_;else break}if(J<<16>>16==N<<16>>16)db=P;else{_=N;while(1){T=d[a+((_&65535)<<1)>>1]|0;if((T&65535)<(_&65535))_=T;else break}T=(P&65535)>(_&65535)?_:P;O=N;do{U=a+((O&65535)<<1)|0;R=O;O=d[U>>1]|0;d[U>>1]=T}while((O&65535)<(R&65535));db=T}T=J;do{O=a+((T&65535)<<1)|0;N=T;T=d[O>>1]|0;d[O>>1]=db}while((T&65535)<(N&65535));d[z+(E<<1)>>1]=db;K=F;break a}T=d[t+(M<<1)>>1]|0;N=T;while(1){O=d[a+((N&65535)<<1)>>1]|0;if((O&65535)<(N&65535))N=O;else break}if(T<<16>>16==J<<16>>16)eb=N;else{O=J;while(1){P=d[a+((O&65535)<<1)>>1]|0;if((P&65535)<(O&65535))O=P;else break}P=(N&65535)>(O&65535)?O:N;_=J;do{R=a+((_&65535)<<1)|0;U=_;_=d[R>>1]|0;d[R>>1]=P}while((_&65535)<(U&65535));eb=P}P=T;do{_=a+((P&65535)<<1)|0;J=P;P=d[_>>1]|0;d[_>>1]=eb}while((P&65535)<(J&65535));P=d[z+(M<<1)>>1]|0;T=eb;while(1){J=d[a+((T&65535)<<1)>>1]|0;if((J&65535)<(T&65535))T=J;else break}if(eb<<16>>16==P<<16>>16)fb=T;else{J=P;while(1){_=d[a+((J&65535)<<1)>>1]|0;if((_&65535)<(J&65535))J=_;else break}_=(T&65535)>(J&65535)?J:T;N=P;do{O=a+((N&65535)<<1)|0;U=N;N=d[O>>1]|0;d[O>>1]=_}while((N&65535)<(U&65535));fb=_}_=eb;do{N=a+((_&65535)<<1)|0;P=_;_=d[N>>1]|0;d[N>>1]=fb}while((_&65535)<(P&65535));d[z+(E<<1)>>1]=fb;K=F;break a}while(0);_=d[t+(M<<1)>>1]|0;P=d[t+(L<<1)>>1]|0;N=_;while(1){T=d[a+((N&65535)<<1)>>1]|0;if((T&65535)<(N&65535))N=T;else break}if(_<<16>>16==P<<16>>16)gb=N;else{T=P;while(1){J=d[a+((T&65535)<<1)>>1]|0;if((J&65535)<(T&65535))T=J;else break}J=(N&65535)>(T&65535)?T:N;U=P;do{O=a+((U&65535)<<1)|0;R=U;U=d[O>>1]|0;d[O>>1]=J}while((U&65535)<(R&65535));gb=J}J=_;do{U=a+((J&65535)<<1)|0;P=J;J=d[U>>1]|0;d[U>>1]=gb}while((J&65535)<(P&65535));J=d[z+(M<<1)>>1]|0;_=gb;while(1){P=d[a+((_&65535)<<1)>>1]|0;if((P&65535)<(_&65535))_=P;else break}if(gb<<16>>16==J<<16>>16)hb=_;else{M=J;while(1){P=d[a+((M&65535)<<1)>>1]|0;if((P&65535)<(M&65535))M=P;else break}P=(_&65535)>(M&65535)?M:_;U=J;do{N=a+((U&65535)<<1)|0;T=U;U=d[N>>1]|0;d[N>>1]=P}while((U&65535)<(T&65535));hb=P}P=gb;do{U=a+((P&65535)<<1)|0;J=P;P=d[U>>1]|0;d[U>>1]=hb}while((P&65535)<(J&65535));d[z+(E<<1)>>1]=hb;K=F;break a}while(0);do if(B){L=E+-2|0;if(b[x+G>>0]|0){S=d[z+(L<<1)>>1]|0;do if((L|0)>-1){if(!(b[v+L>>0]|0))break;d[z+(E<<1)>>1]=S;K=F;break a}while(0);I=d[t+(L<<1)>>1]|0;P=I;while(1){J=d[a+((P&65535)<<1)>>1]|0;if((J&65535)<(P&65535))P=J;else break}if(I<<16>>16==S<<16>>16)ib=P;else{J=S;while(1){U=d[a+((J&65535)<<1)>>1]|0;if((U&65535)<(J&65535))J=U;else break}U=(P&65535)>(J&65535)?J:P;_=S;do{M=a+((_&65535)<<1)|0;T=_;_=d[M>>1]|0;d[M>>1]=U}while((_&65535)<(T&65535));ib=U}U=I;do{_=a+((U&65535)<<1)|0;S=U;U=d[_>>1]|0;d[_>>1]=ib}while((U&65535)<(S&65535));d[z+(E<<1)>>1]=ib;K=F;break a}if(!(b[x+E>>0]|0)){jb=L;break}do if((L|0)>-1){if(!(b[v+L>>0]|0))break;if(!(b[x+L>>0]|0)){U=d[t+(E<<1)>>1]|0;I=d[z+(L<<1)>>1]|0;S=U;while(1){_=d[a+((S&65535)<<1)>>1]|0;if((_&65535)<(S&65535))S=_;else break}if(U<<16>>16==I<<16>>16)kb=S;else{_=I;while(1){P=d[a+((_&65535)<<1)>>1]|0;if((P&65535)<(_&65535))_=P;else break}P=(S&65535)>(_&65535)?_:S;J=I;do{T=a+((J&65535)<<1)|0;M=J;J=d[T>>1]|0;d[T>>1]=P}while((J&65535)<(M&65535));kb=P}P=U;do{J=a+((P&65535)<<1)|0;I=P;P=d[J>>1]|0;d[J>>1]=kb}while((P&65535)<(I&65535));d[z+(E<<1)>>1]=kb;K=F;break a}do if(D){if(!(b[y+G>>0]|0))break;d[z+(E<<1)>>1]=d[z+(L<<1)>>1]|0;K=F;break a}while(0);P=d[t+(E<<1)>>1]|0;U=d[z+(L<<1)>>1]|0;I=P;while(1){J=d[a+((I&65535)<<1)>>1]|0;if((J&65535)<(I&65535))I=J;else break}if(P<<16>>16==U<<16>>16)lb=I;else{J=U;while(1){S=d[a+((J&65535)<<1)>>1]|0;if((S&65535)<(J&65535))J=S;else break}S=(I&65535)>(J&65535)?J:I;_=U;do{M=a+((_&65535)<<1)|0;T=_;_=d[M>>1]|0;d[M>>1]=S}while((_&65535)<(T&65535));lb=S}S=P;do{_=a+((S&65535)<<1)|0;U=S;S=d[_>>1]|0;d[_>>1]=lb}while((S&65535)<(U&65535));d[z+(E<<1)>>1]=lb;K=F;break a}while(0);S=d[t+(E<<1)>>1]|0;P=d[z+(L<<1)>>1]|0;U=S;while(1){_=d[a+((U&65535)<<1)>>1]|0;if((_&65535)<(U&65535))U=_;else break}if(S<<16>>16==P<<16>>16)mb=U;else{L=P;while(1){_=d[a+((L&65535)<<1)>>1]|0;if((_&65535)<(L&65535))L=_;else break}_=(U&65535)>(L&65535)?L:U;I=P;do{J=a+((I&65535)<<1)|0;T=I;I=d[J>>1]|0;d[J>>1]=_}while((I&65535)<(T&65535));mb=_}_=S;do{I=a+((_&65535)<<1)|0;P=_;_=d[I>>1]|0;d[I>>1]=mb}while((_&65535)<(P&65535));d[z+(E<<1)>>1]=mb;K=F;break a}else jb=E+-2|0;while(0);d[z+(E<<1)>>1]=d[z+(jb<<1)>>1]|0;K=F;break}do if(B){_=E+-2|0;if(b[x+G>>0]|0){S=d[z+(_<<1)>>1]|0;do if((_|0)>-1){if(!(b[v+_>>0]|0))break;d[z+(E<<1)>>1]=S;K=F;break a}while(0);P=d[t+(_<<1)>>1]|0;I=P;while(1){U=d[a+((I&65535)<<1)>>1]|0;if((U&65535)<(I&65535))I=U;else break}if(P<<16>>16==S<<16>>16)nb=I;else{U=S;while(1){L=d[a+((U&65535)<<1)>>1]|0;if((L&65535)<(U&65535))U=L;else break}L=(I&65535)>(U&65535)?U:I;T=S;do{J=a+((T&65535)<<1)|0;M=T;T=d[J>>1]|0;d[J>>1]=L}while((T&65535)<(M&65535));nb=L}L=P;do{T=a+((L&65535)<<1)|0;S=L;L=d[T>>1]|0;d[T>>1]=nb}while((L&65535)<(S&65535));d[z+(E<<1)>>1]=nb;K=F;break a}if(!(b[x+E>>0]|0)){ob=_;break}do if((_|0)>-1){if(!(b[v+_>>0]|0))break;if(!(b[x+_>>0]|0)){L=d[t+(E<<1)>>1]|0;P=d[z+(_<<1)>>1]|0;S=L;while(1){T=d[a+((S&65535)<<1)>>1]|0;if((T&65535)<(S&65535))S=T;else break}if(L<<16>>16==P<<16>>16)pb=S;else{T=P;while(1){I=d[a+((T&65535)<<1)>>1]|0;if((I&65535)<(T&65535))T=I;else break}I=(S&65535)>(T&65535)?T:S;U=P;do{M=a+((U&65535)<<1)|0;J=U;U=d[M>>1]|0;d[M>>1]=I}while((U&65535)<(J&65535));pb=I}I=L;do{U=a+((I&65535)<<1)|0;P=I;I=d[U>>1]|0;d[U>>1]=pb}while((I&65535)<(P&65535));d[z+(E<<1)>>1]=pb;K=F;break a}do if(D){if(!(b[y+G>>0]|0))break;d[z+(E<<1)>>1]=d[z+(_<<1)>>1]|0;K=F;break a}while(0);I=d[t+(E<<1)>>1]|0;L=d[z+(_<<1)>>1]|0;P=I;while(1){U=d[a+((P&65535)<<1)>>1]|0;if((U&65535)<(P&65535))P=U;else break}if(I<<16>>16==L<<16>>16)qb=P;else{U=L;while(1){S=d[a+((U&65535)<<1)>>1]|0;if((S&65535)<(U&65535))U=S;else break}S=(P&65535)>(U&65535)?U:P;T=L;do{J=a+((T&65535)<<1)|0;M=T;T=d[J>>1]|0;d[J>>1]=S}while((T&65535)<(M&65535));qb=S}S=I;do{T=a+((S&65535)<<1)|0;L=S;S=d[T>>1]|0;d[T>>1]=qb}while((S&65535)<(L&65535));d[z+(E<<1)>>1]=qb;K=F;break a}while(0);S=d[t+(E<<1)>>1]|0;I=d[z+(_<<1)>>1]|0;L=S;while(1){T=d[a+((L&65535)<<1)>>1]|0;if((T&65535)<(L&65535))L=T;else break}if(S<<16>>16==I<<16>>16)rb=L;else{_=I;while(1){T=d[a+((_&65535)<<1)>>1]|0;if((T&65535)<(_&65535))_=T;else break}T=(L&65535)>(_&65535)?_:L;P=I;do{U=a+((P&65535)<<1)|0;M=P;P=d[U>>1]|0;d[U>>1]=T}while((P&65535)<(M&65535));rb=T}T=S;do{P=a+((T&65535)<<1)|0;I=T;T=d[P>>1]|0;d[P>>1]=rb}while((T&65535)<(I&65535));d[z+(E<<1)>>1]=rb;K=F;break a}else ob=E+-2|0;while(0);d[z+(E<<1)>>1]=d[z+(ob<<1)>>1]|0;K=F;break}}T=E|1;S=(T|0)<(l|0);if(!(C|S^1)?b[x+T>>0]|0:0){if(b[x+E>>0]|0){d[z+(E<<1)>>1]=d[t+(E<<1)>>1]|0;K=F;break}if(H?b[x+G>>0]|0:0){I=d[t+(E<<1)>>1]|0;do if(D){if(!(b[y+E>>0]|0))break;d[z+(E<<1)>>1]=I;K=F;break a}while(0);P=d[t+(E+-2<<1)>>1]|0;L=P;while(1){_=d[a+((L&65535)<<1)>>1]|0;if((_&65535)<(L&65535))L=_;else break}if(P<<16>>16==I<<16>>16)sb=L;else{_=I;while(1){M=d[a+((_&65535)<<1)>>1]|0;if((M&65535)<(_&65535))_=M;else break}M=(L&65535)>(_&65535)?_:L;U=I;do{J=a+((U&65535)<<1)|0;N=U;U=d[J>>1]|0;d[J>>1]=M}while((U&65535)<(N&65535));sb=M}M=P;do{U=a+((M&65535)<<1)|0;I=M;M=d[U>>1]|0;d[U>>1]=sb}while((M&65535)<(I&65535));d[z+(E<<1)>>1]=sb;K=F;break}d[z+(E<<1)>>1]=d[t+(E<<1)>>1]|0;K=F;break}if(S?b[v+T>>0]|0:0){M=E+2|0;if(!((M|0)>=(l|0)|C)?b[x+M>>0]|0:0){if(b[x+E>>0]|0){do if(D){if(!(b[y+T>>0]|0))break;d[z+(E<<1)>>1]=d[t+(M<<1)>>1]|0;K=F;break a}while(0);S=d[t+(E<<1)>>1]|0;P=d[t+(M<<1)>>1]|0;I=S;while(1){U=d[a+((I&65535)<<1)>>1]|0;if((U&65535)<(I&65535))I=U;else break}if(S<<16>>16==P<<16>>16)tb=I;else{U=P;while(1){L=d[a+((U&65535)<<1)>>1]|0;if((L&65535)<(U&65535))U=L;else break}L=(I&65535)>(U&65535)?U:I;_=P;do{N=a+((_&65535)<<1)|0;J=_;_=d[N>>1]|0;d[N>>1]=L}while((_&65535)<(J&65535));tb=L}L=S;do{_=a+((L&65535)<<1)|0;P=L;L=d[_>>1]|0;d[_>>1]=tb}while((L&65535)<(P&65535));d[z+(E<<1)>>1]=tb;K=F;break}do if(H){if(!(b[x+G>>0]|0))break;do if(D){if(!(b[y+T>>0]|0))break;L=d[t+(M<<1)>>1]|0;if(b[y+E>>0]|0){d[z+(E<<1)>>1]=L;K=F;break a}S=d[t+(E+-2<<1)>>1]|0;P=S;while(1){_=d[a+((P&65535)<<1)>>1]|0;if((_&65535)<(P&65535))P=_;else break}if(S<<16>>16==L<<16>>16)ub=P;else{_=L;while(1){I=d[a+((_&65535)<<1)>>1]|0;if((I&65535)<(_&65535))_=I;else break}I=(P&65535)>(_&65535)?_:P;U=L;do{J=a+((U&65535)<<1)|0;N=U;U=d[J>>1]|0;d[J>>1]=I}while((U&65535)<(N&65535));ub=I}I=S;do{U=a+((I&65535)<<1)|0;L=I;I=d[U>>1]|0;d[U>>1]=ub}while((I&65535)<(L&65535));d[z+(E<<1)>>1]=ub;K=F;break a}while(0);I=d[t+(E+-2<<1)>>1]|0;S=d[t+(M<<1)>>1]|0;L=I;while(1){U=d[a+((L&65535)<<1)>>1]|0;if((U&65535)<(L&65535))L=U;else break}if(I<<16>>16==S<<16>>16)vb=L;else{U=S;while(1){P=d[a+((U&65535)<<1)>>1]|0;if((P&65535)<(U&65535))U=P;else break}P=(L&65535)>(U&65535)?U:L;_=S;do{N=a+((_&65535)<<1)|0;J=_;_=d[N>>1]|0;d[N>>1]=P}while((_&65535)<(J&65535));vb=P}P=I;do{_=a+((P&65535)<<1)|0;S=P;P=d[_>>1]|0;d[_>>1]=vb}while((P&65535)<(S&65535));d[z+(E<<1)>>1]=vb;K=F;break a}while(0);d[z+(E<<1)>>1]=d[t+(M<<1)>>1]|0;K=F;break}if(B?b[x+E>>0]|0:0){d[z+(E<<1)>>1]=d[t+(E<<1)>>1]|0;K=F;break}do if(!(C|H^1)){if(!(b[x+G>>0]|0))break;d[z+(E<<1)>>1]=d[t+(E+-2<<1)>>1]|0;K=F;break a}while(0);d[z+(E<<1)>>1]=F;M=F&65535;d[a+(M<<1)>>1]=F;K=M+1&65535;break}if(B?b[x+E>>0]|0:0){d[z+(E<<1)>>1]=d[t+(E<<1)>>1]|0;K=F;break}if(!(C|H^1)?b[x+G>>0]|0:0){d[z+(E<<1)>>1]=d[t+(E+-2<<1)>>1]|0;K=F;break}d[z+(E<<1)>>1]=F;M=F&65535;d[a+(M<<1)>>1]=F;K=M+1&65535}while(0);E=E+2|0;if((E|0)>=(l|0)){wb=K;break}else F=K}}else wb=r;s=s+2|0;if((s|0)>=(i|0))break;else r=wb}if((wb&65535)>1){r=wb&65535;wb=1;i=1;while(1){s=a+(i<<1)|0;K=j[s>>1]|0;if(K>>>0<i>>>0){d[s>>1]=d[a+(K<<1)>>1]|0;xb=wb}else{d[s>>1]=wb;xb=(wb&65535)+1&65535}i=i+1|0;if((i|0)==(r|0)){yb=xb;break}else wb=xb}}else yb=1}else yb=1;xb=f[k>>2]|0;k=f[p>>2]|0;p=(k&1|0)!=0;wb=(xb|0)>0;if(!(xb&1)){if(!p){if(!wb){TC(a);u=h;return yb|0}r=f[c+16>>2]|0;i=f[f[c+44>>2]>>2]|0;s=f[e+16>>2]|0;K=f[f[e+44>>2]>>2]|0;l=(k|0)>0;vb=0;do{ub=r+(Y(i,vb)|0)|0;tb=ub+i|0;sb=s+(Y(K,vb)|0)|0;ob=sb+K|0;if(l){rb=0;do{qb=sb+(rb<<1)|0;pb=d[qb>>1]|0;do if(pb<<16>>16){nb=d[a+((pb&65535)<<1)>>1]|0;d[qb>>1]=(b[ub+rb>>0]|0)==0?0:nb;jb=rb|1;d[sb+(jb<<1)>>1]=(b[ub+jb>>0]|0)==0?0:nb;d[ob+(rb<<1)>>1]=(b[tb+rb>>0]|0)==0?0:nb;mb=ob+(jb<<1)|0;if(!(b[tb+jb>>0]|0)){d[mb>>1]=0;break}else{d[mb>>1]=nb;break}}else{d[qb>>1]=0;nb=rb|1;d[sb+(nb<<1)>>1]=0;d[ob+(rb<<1)>>1]=0;d[ob+(nb<<1)>>1]=0}while(0);rb=rb+2|0}while((rb|0)<(k|0))}vb=vb+2|0}while((vb|0)<(xb|0));TC(a);u=h;return yb|0}if(!wb){TC(a);u=h;return yb|0}vb=f[c+16>>2]|0;l=f[f[c+44>>2]>>2]|0;K=f[e+16>>2]|0;s=f[f[e+44>>2]>>2]|0;i=(k|0)>0;r=0;do{rb=vb+(Y(l,r)|0)|0;ob=rb+l|0;sb=K+(Y(s,r)|0)|0;tb=sb+s|0;if(i){ub=0;do{qb=sb+(ub<<1)|0;pb=d[qb>>1]|0;do if(!(pb<<16>>16)){d[qb>>1]=0;d[tb+(ub<<1)>>1]=0;nb=ub|1;if((nb|0)<(k|0)){d[sb+(nb<<1)>>1]=0;d[tb+(nb<<1)>>1]=0}}else{nb=d[a+((pb&65535)<<1)>>1]|0;d[qb>>1]=(b[rb+ub>>0]|0)==0?0:nb;d[tb+(ub<<1)>>1]=(b[ob+ub>>0]|0)==0?0:nb;mb=ub|1;if((mb|0)<(k|0)){d[sb+(mb<<1)>>1]=(b[rb+mb>>0]|0)==0?0:nb;jb=tb+(mb<<1)|0;if(!(b[ob+mb>>0]|0)){d[jb>>1]=0;break}else{d[jb>>1]=nb;break}}}while(0);ub=ub+2|0}while((ub|0)<(k|0))}r=r+2|0}while((r|0)<(xb|0));TC(a);u=h;return yb|0}if(!p){if(!wb){TC(a);u=h;return yb|0}p=f[c+16>>2]|0;r=f[f[c+44>>2]>>2]|0;i=f[e+16>>2]|0;s=f[f[e+44>>2]>>2]|0;K=(k|0)>0;l=0;do{vb=p+(Y(r,l)|0)|0;ub=vb+r|0;ob=i+(Y(s,l)|0)|0;tb=ob+s|0;if(K){rb=l|1;sb=(rb|0)<(xb|0);qb=(rb|0)<(xb|0);rb=0;do{pb=ob+(rb<<1)|0;nb=d[pb>>1]|0;do if(!(nb<<16>>16)){d[pb>>1]=0;jb=rb|1;d[ob+(jb<<1)>>1]=0;if(sb){d[tb+(rb<<1)>>1]=0;d[tb+(jb<<1)>>1]=0}}else{jb=d[a+((nb&65535)<<1)>>1]|0;d[pb>>1]=(b[vb+rb>>0]|0)==0?0:jb;mb=rb|1;d[ob+(mb<<1)>>1]=(b[vb+mb>>0]|0)==0?0:jb;if(qb){d[tb+(rb<<1)>>1]=(b[ub+rb>>0]|0)==0?0:jb;lb=tb+(mb<<1)|0;if(!(b[ub+mb>>0]|0)){d[lb>>1]=0;break}else{d[lb>>1]=jb;break}}}while(0);rb=rb+2|0}while((rb|0)<(k|0))}l=l+2|0}while((l|0)<(xb|0));TC(a);u=h;return yb|0}if(!wb){TC(a);u=h;return yb|0}wb=f[c+16>>2]|0;l=f[f[c+44>>2]>>2]|0;c=f[e+16>>2]|0;K=f[f[e+44>>2]>>2]|0;e=(k|0)>0;s=0;do{i=wb+(Y(l,s)|0)|0;r=i+l|0;p=c+(Y(K,s)|0)|0;rb=p+K|0;if(e){ub=s|1;tb=(ub|0)<(xb|0);qb=(ub|0)<(xb|0);vb=(ub|0)<(xb|0);ob=(ub|0)<(xb|0);ub=0;do{sb=p+(ub<<1)|0;pb=d[sb>>1]|0;do if(!(pb<<16>>16)){d[sb>>1]=0;nb=ub|1;if((nb|0)<(k|0)){d[p+(nb<<1)>>1]=0;if(!tb)break;d[rb+(ub<<1)>>1]=0;d[rb+(nb<<1)>>1]=0;break}else{if(!qb)break;d[rb+(ub<<1)>>1]=0;break}}else{nb=d[a+((pb&65535)<<1)>>1]|0;d[sb>>1]=(b[i+ub>>0]|0)==0?0:nb;jb=ub|1;if((jb|0)<(k|0)){d[p+(jb<<1)>>1]=(b[i+jb>>0]|0)==0?0:nb;if(!vb)break;d[rb+(ub<<1)>>1]=(b[r+ub>>0]|0)==0?0:nb;lb=rb+(jb<<1)|0;if(!(b[r+jb>>0]|0)){d[lb>>1]=0;break}else{d[lb>>1]=nb;break}}else{if(!ob)break;lb=rb+(ub<<1)|0;if(!(b[r+ub>>0]|0)){d[lb>>1]=0;break}else{d[lb>>1]=nb;break}}}while(0);ub=ub+2|0}while((ub|0)<(k|0))}s=s+2|0}while((s|0)<(xb|0));TC(a);u=h;return yb|0}function ona(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0;g=u;u=u+16|0;a=g;h=f[c+8>>2]|0;i=d+8|0;if((h|0)!=(f[i>>2]|0)){j=cuc(32)|0;f[a>>2]=j;f[a+8>>2]=-2147483616;f[a+4>>2]=26;k=j;l=347680;m=k+26|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));b[j+26>>0]=0;WD(-215,a,531152,347361,2589)}j=f[c+12>>2]|0;n=d+12|0;if((j|0)!=(f[n>>2]|0)){o=cuc(32)|0;f[a>>2]=o;f[a+8>>2]=-2147483616;f[a+4>>2]=26;k=o;l=347707;m=k+26|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));b[o+26>>0]=0;WD(-215,a,531152,347361,2590)}if((e|0)!=8){e=cuc(32)|0;f[a>>2]=e;f[a+8>>2]=-2147483616;f[a+4>>2]=17;k=e;l=347734;m=k+17|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));b[e+17>>0]=0;WD(-215,a,531152,347361,2591)}a=SC((Y(((h+1|0)/2|0)<<2,(j+1|0)/2|0)|0)+4|0)|0;f[a>>2]=0;if((h|0)>0){e=c+16|0;l=c+44|0;k=d+16|0;m=d+44|0;o=(j|0)>0;p=1;q=0;while(1){r=f[f[l>>2]>>2]|0;s=(f[e>>2]|0)+(Y(r,q)|0)|0;t=0-r|0;v=s+t|0;w=v+t|0;t=s+r|0;r=f[f[m>>2]>>2]|0;x=(f[k>>2]|0)+(Y(r,q)|0)|0;y=0-r|0;r=x+y+y|0;if(o){y=(q|1|0)<(h|0);z=(q|0)>0;A=z^1;B=(q+-2|0)>-1;C=0;D=p;while(1){a:do if(!(b[s+C>>0]|0)){E=C|1;F=(E|0)<(j|0);if(y?b[t+C>>0]|0:0){G=C+-1|0;H=(C|0)>0;if(F?b[s+E>>0]|0:0){do if(H){if(b[s+G>>0]|0){do if(z){if(b[v+E>>0]|0){if(b[v+C>>0]|0){f[x+(C<<2)>>2]=f[x+(C+-2<<2)>>2];I=D;break a}do if(B){if(!(b[w+C>>0]|0))break;J=C+-2|0;if(b[v+G>>0]|0){f[x+(C<<2)>>2]=f[x+(J<<2)>>2];I=D;break a}do if((J|0)>-1){if(!(b[v+J>>0]|0))break;if(b[w+G>>0]|0){f[x+(C<<2)>>2]=f[x+(J<<2)>>2];I=D;break a}K=f[r+(C<<2)>>2]|0;L=f[x+(J<<2)>>2]|0;M=K;while(1){N=f[a+(M<<2)>>2]|0;if((N|0)<(M|0))M=N;else break}if((K|0)==(L|0))O=M;else{N=L;while(1){P=f[a+(N<<2)>>2]|0;if((P|0)<(N|0))N=P;else break}P=(M|0)>(N|0)?N:M;Q=L;do{R=a+(Q<<2)|0;S=Q;Q=f[R>>2]|0;f[R>>2]=P}while((Q|0)<(S|0));O=P}P=K;do{Q=a+(P<<2)|0;L=P;P=f[Q>>2]|0;f[Q>>2]=O}while((P|0)<(L|0));f[x+(C<<2)>>2]=O;I=D;break a}while(0);P=f[r+(C<<2)>>2]|0;K=f[x+(J<<2)>>2]|0;L=P;while(1){Q=f[a+(L<<2)>>2]|0;if((Q|0)<(L|0))L=Q;else break}if((P|0)==(K|0))T=L;else{J=K;while(1){Q=f[a+(J<<2)>>2]|0;if((Q|0)<(J|0))J=Q;else break}Q=(L|0)>(J|0)?J:L;M=K;do{N=a+(M<<2)|0;S=M;M=f[N>>2]|0;f[N>>2]=Q}while((M|0)<(S|0));T=Q}Q=P;do{M=a+(Q<<2)|0;K=Q;Q=f[M>>2]|0;f[M>>2]=T}while((Q|0)<(K|0));f[x+(C<<2)>>2]=T;I=D;break a}while(0);Q=f[r+(C<<2)>>2]|0;P=f[x+(C+-2<<2)>>2]|0;K=Q;while(1){M=f[a+(K<<2)>>2]|0;if((M|0)<(K|0))K=M;else break}if((Q|0)==(P|0))U=K;else{M=P;while(1){L=f[a+(M<<2)>>2]|0;if((L|0)<(M|0))M=L;else break}L=(K|0)>(M|0)?M:K;J=P;do{S=a+(J<<2)|0;N=J;J=f[S>>2]|0;f[S>>2]=L}while((J|0)<(N|0));U=L}L=Q;do{J=a+(L<<2)|0;P=L;L=f[J>>2]|0;f[J>>2]=U}while((L|0)<(P|0));f[x+(C<<2)>>2]=U;I=D;break a}L=C+2|0;if((L|0)>=(j|0))break;if(!(b[v+L>>0]|0))break;do if(B){if(!(b[w+E>>0]|0))break;if(b[v+C>>0]|0){f[x+(C<<2)>>2]=f[x+(C+-2<<2)>>2];I=D;break a}if(!(b[w+C>>0]|0)){Q=f[r+(L<<2)>>2]|0;P=f[x+(C+-2<<2)>>2]|0;J=Q;while(1){K=f[a+(J<<2)>>2]|0;if((K|0)<(J|0))J=K;else break}if((Q|0)==(P|0))V=J;else{K=P;while(1){M=f[a+(K<<2)>>2]|0;if((M|0)<(K|0))K=M;else break}M=(J|0)>(K|0)?K:J;N=P;do{S=a+(N<<2)|0;R=N;N=f[S>>2]|0;f[S>>2]=M}while((N|0)<(R|0));V=M}M=Q;do{N=a+(M<<2)|0;P=M;M=f[N>>2]|0;f[N>>2]=V}while((M|0)<(P|0));f[x+(C<<2)>>2]=V;I=D;break a}M=C+-2|0;if(b[v+G>>0]|0){f[x+(C<<2)>>2]=f[x+(M<<2)>>2];I=D;break a}do if((M|0)>-1){if(!(b[v+M>>0]|0))break;if(b[w+G>>0]|0){f[x+(C<<2)>>2]=f[x+(M<<2)>>2];I=D;break a}Q=f[r+(L<<2)>>2]|0;P=f[x+(M<<2)>>2]|0;N=Q;while(1){J=f[a+(N<<2)>>2]|0;if((J|0)<(N|0))N=J;else break}if((Q|0)==(P|0))W=N;else{J=P;while(1){K=f[a+(J<<2)>>2]|0;if((K|0)<(J|0))J=K;else break}K=(N|0)>(J|0)?J:N;R=P;do{S=a+(R<<2)|0;X=R;R=f[S>>2]|0;f[S>>2]=K}while((R|0)<(X|0));W=K}K=Q;do{R=a+(K<<2)|0;P=K;K=f[R>>2]|0;f[R>>2]=W}while((K|0)<(P|0));f[x+(C<<2)>>2]=W;I=D;break a}while(0);K=f[r+(L<<2)>>2]|0;Q=f[x+(M<<2)>>2]|0;P=K;while(1){R=f[a+(P<<2)>>2]|0;if((R|0)<(P|0))P=R;else break}if((K|0)==(Q|0))Z=P;else{M=Q;while(1){R=f[a+(M<<2)>>2]|0;if((R|0)<(M|0))M=R;else break}R=(P|0)>(M|0)?M:P;N=Q;do{J=a+(N<<2)|0;X=N;N=f[J>>2]|0;f[J>>2]=R}while((N|0)<(X|0));Z=R}R=K;do{N=a+(R<<2)|0;Q=R;R=f[N>>2]|0;f[N>>2]=Z}while((R|0)<(Q|0));f[x+(C<<2)>>2]=Z;I=D;break a}while(0);R=f[r+(L<<2)>>2]|0;K=f[x+(C+-2<<2)>>2]|0;Q=R;while(1){N=f[a+(Q<<2)>>2]|0;if((N|0)<(Q|0))Q=N;else break}if((R|0)==(K|0))_=Q;else{L=K;while(1){N=f[a+(L<<2)>>2]|0;if((N|0)<(L|0))L=N;else break}N=(Q|0)>(L|0)?L:Q;P=K;do{M=a+(P<<2)|0;X=P;P=f[M>>2]|0;f[M>>2]=N}while((P|0)<(X|0));_=N}N=R;do{P=a+(N<<2)|0;K=N;N=f[P>>2]|0;f[P>>2]=_}while((N|0)<(K|0));f[x+(C<<2)>>2]=_;I=D;break a}while(0);f[x+(C<<2)>>2]=f[x+(C+-2<<2)>>2];I=D;break a}if(!(b[t+G>>0]|0))break;do if(z){if(b[v+E>>0]|0){N=C+-2|0;do if((N|0)>-1){if(!(b[s+N>>0]|0))break;if(b[v+G>>0]|0){R=f[x+(N<<2)>>2]|0;if(b[v+C>>0]|0){f[x+(C<<2)>>2]=R;I=D;break a}do if(B){if(!(b[w+C>>0]|0))break;f[x+(C<<2)>>2]=R;I=D;break a}while(0);K=f[r+(C<<2)>>2]|0;P=K;while(1){Q=f[a+(P<<2)>>2]|0;if((Q|0)<(P|0))P=Q;else break}if((K|0)==(R|0))$=P;else{Q=R;while(1){L=f[a+(Q<<2)>>2]|0;if((L|0)<(Q|0))Q=L;else break}L=(P|0)>(Q|0)?Q:P;X=R;do{M=a+(X<<2)|0;J=X;X=f[M>>2]|0;f[M>>2]=L}while((X|0)<(J|0));$=L}L=K;do{X=a+(L<<2)|0;R=L;L=f[X>>2]|0;f[X>>2]=$}while((L|0)<(R|0));f[x+(C<<2)>>2]=$;I=D;break a}if(!(b[v+N>>0]|0)){L=f[r+(C<<2)>>2]|0;K=f[x+(N<<2)>>2]|0;R=L;while(1){X=f[a+(R<<2)>>2]|0;if((X|0)<(R|0))R=X;else break}if((L|0)==(K|0))aa=R;else{X=K;while(1){P=f[a+(X<<2)>>2]|0;if((P|0)<(X|0))X=P;else break}P=(R|0)>(X|0)?X:R;Q=K;do{J=a+(Q<<2)|0;M=Q;Q=f[J>>2]|0;f[J>>2]=P}while((Q|0)<(M|0));aa=P}P=L;do{Q=a+(P<<2)|0;K=P;P=f[Q>>2]|0;f[Q>>2]=aa}while((P|0)<(K|0));f[x+(C<<2)>>2]=aa;I=D;break a}do if(B){if(!(b[w+G>>0]|0))break;P=f[x+(N<<2)>>2]|0;if(b[v+C>>0]|0){f[x+(C<<2)>>2]=P;I=D;break a}if(b[w+C>>0]|0){f[x+(C<<2)>>2]=P;I=D;break a}L=f[r+(C<<2)>>2]|0;K=L;while(1){Q=f[a+(K<<2)>>2]|0;if((Q|0)<(K|0))K=Q;else break}if((L|0)==(P|0))ba=K;else{Q=P;while(1){R=f[a+(Q<<2)>>2]|0;if((R|0)<(Q|0))Q=R;else break}R=(K|0)>(Q|0)?Q:K;X=P;do{M=a+(X<<2)|0;J=X;X=f[M>>2]|0;f[M>>2]=R}while((X|0)<(J|0));ba=R}R=L;do{X=a+(R<<2)|0;P=R;R=f[X>>2]|0;f[X>>2]=ba}while((R|0)<(P|0));f[x+(C<<2)>>2]=ba;I=D;break a}while(0);R=f[r+(C<<2)>>2]|0;L=f[x+(N<<2)>>2]|0;P=R;while(1){X=f[a+(P<<2)>>2]|0;if((X|0)<(P|0))P=X;else break}if((R|0)==(L|0))ca=P;else{X=L;while(1){K=f[a+(X<<2)>>2]|0;if((K|0)<(X|0))X=K;else break}K=(P|0)>(X|0)?X:P;Q=L;do{J=a+(Q<<2)|0;M=Q;Q=f[J>>2]|0;f[J>>2]=K}while((Q|0)<(M|0));ca=K}K=R;do{Q=a+(K<<2)|0;L=K;K=f[Q>>2]|0;f[Q>>2]=ca}while((K|0)<(L|0));f[x+(C<<2)>>2]=ca;I=D;break a}while(0);K=f[r+(C<<2)>>2]|0;R=f[x+(N<<2)>>2]|0;L=K;while(1){Q=f[a+(L<<2)>>2]|0;if((Q|0)<(L|0))L=Q;else break}if((K|0)==(R|0))da=L;else{N=R;while(1){Q=f[a+(N<<2)>>2]|0;if((Q|0)<(N|0))N=Q;else break}Q=(L|0)>(N|0)?N:L;P=R;do{X=a+(P<<2)|0;M=P;P=f[X>>2]|0;f[X>>2]=Q}while((P|0)<(M|0));da=Q}Q=K;do{P=a+(Q<<2)|0;R=Q;Q=f[P>>2]|0;f[P>>2]=da}while((Q|0)<(R|0));f[x+(C<<2)>>2]=da;I=D;break a}Q=C+2|0;do if(!((Q|0)>=(j|0)|A)){if(!(b[v+Q>>0]|0))break;do if(B){if(!(b[w+E>>0]|0))break;K=C+-2|0;do if((K|0)>-1){if(!(b[s+K>>0]|0))break;if(b[v+G>>0]|0){R=f[x+(K<<2)>>2]|0;if(b[v+C>>0]|0){f[x+(C<<2)>>2]=R;I=D;break a}if(b[w+C>>0]|0){f[x+(C<<2)>>2]=R;I=D;break a}P=f[r+(Q<<2)>>2]|0;L=P;while(1){N=f[a+(L<<2)>>2]|0;if((N|0)<(L|0))L=N;else break}if((P|0)==(R|0))ea=L;else{N=R;while(1){M=f[a+(N<<2)>>2]|0;if((M|0)<(N|0))N=M;else break}M=(L|0)>(N|0)?N:L;X=R;do{J=a+(X<<2)|0;S=X;X=f[J>>2]|0;f[J>>2]=M}while((X|0)<(S|0));ea=M}M=P;do{X=a+(M<<2)|0;R=M;M=f[X>>2]|0;f[X>>2]=ea}while((M|0)<(R|0));f[x+(C<<2)>>2]=ea;I=D;break a}if(!(b[v+K>>0]|0)){M=f[r+(Q<<2)>>2]|0;P=f[x+(K<<2)>>2]|0;R=M;while(1){X=f[a+(R<<2)>>2]|0;if((X|0)<(R|0))R=X;else break}if((M|0)==(P|0))fa=R;else{X=P;while(1){L=f[a+(X<<2)>>2]|0;if((L|0)<(X|0))X=L;else break}L=(R|0)>(X|0)?X:R;N=P;do{S=a+(N<<2)|0;J=N;N=f[S>>2]|0;f[S>>2]=L}while((N|0)<(J|0));fa=L}L=M;do{N=a+(L<<2)|0;P=L;L=f[N>>2]|0;f[N>>2]=fa}while((L|0)<(P|0));f[x+(C<<2)>>2]=fa;I=D;break a}if(!(b[w+G>>0]|0)){L=f[r+(Q<<2)>>2]|0;M=f[x+(K<<2)>>2]|0;P=L;while(1){N=f[a+(P<<2)>>2]|0;if((N|0)<(P|0))P=N;else break}if((L|0)==(M|0))ga=P;else{N=M;while(1){R=f[a+(N<<2)>>2]|0;if((R|0)<(N|0))N=R;else break}R=(P|0)>(N|0)?N:P;X=M;do{J=a+(X<<2)|0;S=X;X=f[J>>2]|0;f[J>>2]=R}while((X|0)<(S|0));ga=R}R=L;do{X=a+(R<<2)|0;M=R;R=f[X>>2]|0;f[X>>2]=ga}while((R|0)<(M|0));f[x+(C<<2)>>2]=ga;I=D;break a}R=f[x+(K<<2)>>2]|0;if(b[v+C>>0]|0){f[x+(C<<2)>>2]=R;I=D;break a}if(b[w+C>>0]|0){f[x+(C<<2)>>2]=R;I=D;break a}L=f[r+(Q<<2)>>2]|0;M=L;while(1){X=f[a+(M<<2)>>2]|0;if((X|0)<(M|0))M=X;else break}if((L|0)==(R|0))ha=M;else{X=R;while(1){P=f[a+(X<<2)>>2]|0;if((P|0)<(X|0))X=P;else break}P=(M|0)>(X|0)?X:M;N=R;do{S=a+(N<<2)|0;J=N;N=f[S>>2]|0;f[S>>2]=P}while((N|0)<(J|0));ha=P}P=L;do{N=a+(P<<2)|0;R=P;P=f[N>>2]|0;f[N>>2]=ha}while((P|0)<(R|0));f[x+(C<<2)>>2]=ha;I=D;break a}while(0);P=f[r+(Q<<2)>>2]|0;L=f[x+(K<<2)>>2]|0;R=P;while(1){N=f[a+(R<<2)>>2]|0;if((N|0)<(R|0))R=N;else break}if((P|0)==(L|0))ia=R;else{K=L;while(1){N=f[a+(K<<2)>>2]|0;if((N|0)<(K|0))K=N;else break}N=(R|0)>(K|0)?K:R;M=L;do{X=a+(M<<2)|0;J=M;M=f[X>>2]|0;f[X>>2]=N}while((M|0)<(J|0));ia=N}N=P;do{M=a+(N<<2)|0;L=N;N=f[M>>2]|0;f[M>>2]=ia}while((N|0)<(L|0));f[x+(C<<2)>>2]=ia;I=D;break a}while(0);N=C+-2|0;if(!(b[v+C>>0]|0)){P=f[r+(Q<<2)>>2]|0;L=f[x+(N<<2)>>2]|0;M=P;while(1){R=f[a+(M<<2)>>2]|0;if((R|0)<(M|0))M=R;else break}if((P|0)==(L|0))ja=M;else{R=L;while(1){K=f[a+(R<<2)>>2]|0;if((K|0)<(R|0))R=K;else break}K=(M|0)>(R|0)?R:M;J=L;do{X=a+(J<<2)|0;S=J;J=f[X>>2]|0;f[X>>2]=K}while((J|0)<(S|0));ja=K}K=P;do{J=a+(K<<2)|0;L=K;K=f[J>>2]|0;f[J>>2]=ja}while((K|0)<(L|0));f[x+(C<<2)>>2]=ja;I=D;break a}do if((N|0)>-1){if(!(b[s+N>>0]|0))break;if(b[v+G>>0]|0){K=f[r+(Q<<2)>>2]|0;P=f[x+(N<<2)>>2]|0;L=K;while(1){J=f[a+(L<<2)>>2]|0;if((J|0)<(L|0))L=J;else break}if((K|0)==(P|0))ka=L;else{J=P;while(1){M=f[a+(J<<2)>>2]|0;if((M|0)<(J|0))J=M;else break}M=(L|0)>(J|0)?J:L;R=P;do{S=a+(R<<2)|0;X=R;R=f[S>>2]|0;f[S>>2]=M}while((R|0)<(X|0));ka=M}M=K;do{R=a+(M<<2)|0;P=M;M=f[R>>2]|0;f[R>>2]=ka}while((M|0)<(P|0));f[x+(C<<2)>>2]=ka;I=D;break a}if(!(b[v+N>>0]|0)){M=f[r+(C<<2)>>2]|0;K=f[r+(Q<<2)>>2]|0;P=M;while(1){R=f[a+(P<<2)>>2]|0;if((R|0)<(P|0))P=R;else break}if((M|0)==(K|0))la=P;else{R=K;while(1){L=f[a+(R<<2)>>2]|0;if((L|0)<(R|0))R=L;else break}L=(P|0)>(R|0)?R:P;J=K;do{X=a+(J<<2)|0;S=J;J=f[X>>2]|0;f[X>>2]=L}while((J|0)<(S|0));la=L}L=M;do{J=a+(L<<2)|0;K=L;L=f[J>>2]|0;f[J>>2]=la}while((L|0)<(K|0));L=f[x+(N<<2)>>2]|0;M=la;while(1){K=f[a+(M<<2)>>2]|0;if((K|0)<(M|0))M=K;else break}if((la|0)==(L|0))ma=M;else{K=L;while(1){J=f[a+(K<<2)>>2]|0;if((J|0)<(K|0))K=J;else break}J=(M|0)>(K|0)?K:M;P=L;do{R=a+(P<<2)|0;S=P;P=f[R>>2]|0;f[R>>2]=J}while((P|0)<(S|0));ma=J}J=la;do{P=a+(J<<2)|0;L=J;J=f[P>>2]|0;f[P>>2]=ma}while((J|0)<(L|0));f[x+(C<<2)>>2]=ma;I=D;break a}do if(B){if(!(b[w+G>>0]|0))break;J=f[r+(Q<<2)>>2]|0;L=f[x+(N<<2)>>2]|0;P=J;while(1){M=f[a+(P<<2)>>2]|0;if((M|0)<(P|0))P=M;else break}if((J|0)==(L|0))na=P;else{M=L;while(1){K=f[a+(M<<2)>>2]|0;if((K|0)<(M|0))M=K;else break}K=(P|0)>(M|0)?M:P;S=L;do{R=a+(S<<2)|0;X=S;S=f[R>>2]|0;f[R>>2]=K}while((S|0)<(X|0));na=K}K=J;do{S=a+(K<<2)|0;L=K;K=f[S>>2]|0;f[S>>2]=na}while((K|0)<(L|0));f[x+(C<<2)>>2]=na;I=D;break a}while(0);K=f[r+(C<<2)>>2]|0;J=f[r+(Q<<2)>>2]|0;L=K;while(1){S=f[a+(L<<2)>>2]|0;if((S|0)<(L|0))L=S;else break}if((K|0)==(J|0))oa=L;else{S=J;while(1){P=f[a+(S<<2)>>2]|0;if((P|0)<(S|0))S=P;else break}P=(L|0)>(S|0)?S:L;M=J;do{X=a+(M<<2)|0;R=M;M=f[X>>2]|0;f[X>>2]=P}while((M|0)<(R|0));oa=P}P=K;do{M=a+(P<<2)|0;J=P;P=f[M>>2]|0;f[M>>2]=oa}while((P|0)<(J|0));P=f[x+(N<<2)>>2]|0;K=oa;while(1){J=f[a+(K<<2)>>2]|0;if((J|0)<(K|0))K=J;else break}if((oa|0)==(P|0))pa=K;else{J=P;while(1){M=f[a+(J<<2)>>2]|0;if((M|0)<(J|0))J=M;else break}M=(K|0)>(J|0)?J:K;L=P;do{S=a+(L<<2)|0;R=L;L=f[S>>2]|0;f[S>>2]=M}while((L|0)<(R|0));pa=M}M=oa;do{L=a+(M<<2)|0;P=M;M=f[L>>2]|0;f[L>>2]=pa}while((M|0)<(P|0));f[x+(C<<2)>>2]=pa;I=D;break a}while(0);M=f[r+(C<<2)>>2]|0;P=f[r+(Q<<2)>>2]|0;L=M;while(1){K=f[a+(L<<2)>>2]|0;if((K|0)<(L|0))L=K;else break}if((M|0)==(P|0))qa=L;else{K=P;while(1){J=f[a+(K<<2)>>2]|0;if((J|0)<(K|0))K=J;else break}J=(L|0)>(K|0)?K:L;R=P;do{S=a+(R<<2)|0;X=R;R=f[S>>2]|0;f[S>>2]=J}while((R|0)<(X|0));qa=J}J=M;do{R=a+(J<<2)|0;P=J;J=f[R>>2]|0;f[R>>2]=qa}while((J|0)<(P|0));J=f[x+(N<<2)>>2]|0;M=qa;while(1){P=f[a+(M<<2)>>2]|0;if((P|0)<(M|0))M=P;else break}if((qa|0)==(J|0))ra=M;else{N=J;while(1){P=f[a+(N<<2)>>2]|0;if((P|0)<(N|0))N=P;else break}P=(M|0)>(N|0)?N:M;R=J;do{L=a+(R<<2)|0;K=R;R=f[L>>2]|0;f[L>>2]=P}while((R|0)<(K|0));ra=P}P=qa;do{R=a+(P<<2)|0;J=P;P=f[R>>2]|0;f[R>>2]=ra}while((P|0)<(J|0));f[x+(C<<2)>>2]=ra;I=D;break a}while(0);Q=C+-2|0;if(!(b[v+C>>0]|0)){sa=Q;break}do if((Q|0)>-1){if(!(b[s+Q>>0]|0))break;if(b[v+G>>0]|0){f[x+(C<<2)>>2]=f[x+(Q<<2)>>2];I=D;break a}if(!(b[v+Q>>0]|0)){P=f[r+(C<<2)>>2]|0;J=f[x+(Q<<2)>>2]|0;R=P;while(1){M=f[a+(R<<2)>>2]|0;if((M|0)<(R|0))R=M;else break}if((P|0)==(J|0))ta=R;else{M=J;while(1){N=f[a+(M<<2)>>2]|0;if((N|0)<(M|0))M=N;else break}N=(R|0)>(M|0)?M:R;K=J;do{L=a+(K<<2)|0;X=K;K=f[L>>2]|0;f[L>>2]=N}while((K|0)<(X|0));ta=N}N=P;do{K=a+(N<<2)|0;J=N;N=f[K>>2]|0;f[K>>2]=ta}while((N|0)<(J|0));f[x+(C<<2)>>2]=ta;I=D;break a}do if(B){if(!(b[w+G>>0]|0))break;f[x+(C<<2)>>2]=f[x+(Q<<2)>>2];I=D;break a}while(0);N=f[r+(C<<2)>>2]|0;P=f[x+(Q<<2)>>2]|0;J=N;while(1){K=f[a+(J<<2)>>2]|0;if((K|0)<(J|0))J=K;else break}if((N|0)==(P|0))ua=J;else{K=P;while(1){R=f[a+(K<<2)>>2]|0;if((R|0)<(K|0))K=R;else break}R=(J|0)>(K|0)?K:J;M=P;do{X=a+(M<<2)|0;L=M;M=f[X>>2]|0;f[X>>2]=R}while((M|0)<(L|0));ua=R}R=N;do{M=a+(R<<2)|0;P=R;R=f[M>>2]|0;f[M>>2]=ua}while((R|0)<(P|0));f[x+(C<<2)>>2]=ua;I=D;break a}while(0);R=f[r+(C<<2)>>2]|0;N=f[x+(Q<<2)>>2]|0;P=R;while(1){M=f[a+(P<<2)>>2]|0;if((M|0)<(P|0))P=M;else break}if((R|0)==(N|0))va=P;else{Q=N;while(1){M=f[a+(Q<<2)>>2]|0;if((M|0)<(Q|0))Q=M;else break}M=(P|0)>(Q|0)?Q:P;J=N;do{K=a+(J<<2)|0;L=J;J=f[K>>2]|0;f[K>>2]=M}while((J|0)<(L|0));va=M}M=R;do{J=a+(M<<2)|0;N=M;M=f[J>>2]|0;f[J>>2]=va}while((M|0)<(N|0));f[x+(C<<2)>>2]=va;I=D;break a}else sa=C+-2|0;while(0);f[x+(C<<2)>>2]=f[x+(sa<<2)>>2];I=D;break a}while(0);do if(z){if(b[v+E>>0]|0){f[x+(C<<2)>>2]=f[r+(C<<2)>>2];I=D;break a}M=C+2|0;do if(!((M|0)>=(j|0)|A)){if(!(b[v+M>>0]|0))break;if(!(b[v+C>>0]|0)){f[x+(C<<2)>>2]=f[r+(M<<2)>>2];I=D;break a}do if(B){if(!(b[w+E>>0]|0))break;f[x+(C<<2)>>2]=f[r+(M<<2)>>2];I=D;break a}while(0);R=f[r+(C<<2)>>2]|0;N=f[r+(M<<2)>>2]|0;J=R;while(1){P=f[a+(J<<2)>>2]|0;if((P|0)<(J|0))J=P;else break}if((R|0)==(N|0))wa=J;else{P=N;while(1){Q=f[a+(P<<2)>>2]|0;if((Q|0)<(P|0))P=Q;else break}Q=(J|0)>(P|0)?P:J;L=N;do{K=a+(L<<2)|0;X=L;L=f[K>>2]|0;f[K>>2]=Q}while((L|0)<(X|0));wa=Q}Q=R;do{L=a+(Q<<2)|0;N=Q;Q=f[L>>2]|0;f[L>>2]=wa}while((Q|0)<(N|0));f[x+(C<<2)>>2]=wa;I=D;break a}while(0);if(!(b[v+C>>0]|0))break;f[x+(C<<2)>>2]=f[r+(C<<2)>>2];I=D;break a}while(0);f[x+(C<<2)>>2]=D;f[a+(D<<2)>>2]=D;I=D+1|0;break}if(H){if(b[t+G>>0]|0){f[x+(C<<2)>>2]=f[x+(C+-2<<2)>>2];I=D;break}if(b[s+G>>0]|0){f[x+(C<<2)>>2]=f[x+(C+-2<<2)>>2];I=D;break}}f[x+(C<<2)>>2]=D;f[a+(D<<2)>>2]=D;I=D+1|0;break}do if(F){if(!(b[s+E>>0]|0)){if(!y)break;if(!(b[t+E>>0]|0))break;f[x+(C<<2)>>2]=D;f[a+(D<<2)>>2]=D;I=D+1|0;break a}if(z){if(b[v+E>>0]|0){f[x+(C<<2)>>2]=f[r+(C<<2)>>2];I=D;break a}M=C+2|0;do if(!((M|0)>=(j|0)|A)){if(!(b[v+M>>0]|0))break;if(!(b[v+C>>0]|0)){f[x+(C<<2)>>2]=f[r+(M<<2)>>2];I=D;break a}do if(B){if(!(b[w+E>>0]|0))break;f[x+(C<<2)>>2]=f[r+(M<<2)>>2];I=D;break a}while(0);Q=f[r+(C<<2)>>2]|0;R=f[r+(M<<2)>>2]|0;N=Q;while(1){L=f[a+(N<<2)>>2]|0;if((L|0)<(N|0))N=L;else break}if((Q|0)==(R|0))xa=N;else{L=R;while(1){J=f[a+(L<<2)>>2]|0;if((J|0)<(L|0))L=J;else break}J=(N|0)>(L|0)?L:N;P=R;do{X=a+(P<<2)|0;K=P;P=f[X>>2]|0;f[X>>2]=J}while((P|0)<(K|0));xa=J}J=Q;do{P=a+(J<<2)|0;R=J;J=f[P>>2]|0;f[P>>2]=xa}while((J|0)<(R|0));f[x+(C<<2)>>2]=xa;I=D;break a}while(0);if(b[v+C>>0]|0){f[x+(C<<2)>>2]=f[r+(C<<2)>>2];I=D;break a}}f[x+(C<<2)>>2]=D;f[a+(D<<2)>>2]=D;I=D+1|0;break a}while(0);f[x+(C<<2)>>2]=0;I=D}else{E=C+-1|0;F=(C|0)>0;if(F){if(b[s+E>>0]|0){G=C|1;H=(G|0)<(j|0);if(z&H?b[v+G>>0]|0:0){if(b[v+C>>0]|0){f[x+(C<<2)>>2]=f[x+(C+-2<<2)>>2];I=D;break}do if(B){if(!(b[w+C>>0]|0))break;M=C+-2|0;if(b[v+E>>0]|0){f[x+(C<<2)>>2]=f[x+(M<<2)>>2];I=D;break a}do if((M|0)>-1){if(!(b[v+M>>0]|0))break;if(b[w+E>>0]|0){f[x+(C<<2)>>2]=f[x+(M<<2)>>2];I=D;break a}J=f[r+(C<<2)>>2]|0;Q=f[x+(M<<2)>>2]|0;R=J;while(1){P=f[a+(R<<2)>>2]|0;if((P|0)<(R|0))R=P;else break}if((J|0)==(Q|0))ya=R;else{P=Q;while(1){N=f[a+(P<<2)>>2]|0;if((N|0)<(P|0))P=N;else break}N=(R|0)>(P|0)?P:R;L=Q;do{K=a+(L<<2)|0;X=L;L=f[K>>2]|0;f[K>>2]=N}while((L|0)<(X|0));ya=N}N=J;do{L=a+(N<<2)|0;Q=N;N=f[L>>2]|0;f[L>>2]=ya}while((N|0)<(Q|0));f[x+(C<<2)>>2]=ya;I=D;break a}while(0);N=f[r+(C<<2)>>2]|0;J=f[x+(M<<2)>>2]|0;Q=N;while(1){L=f[a+(Q<<2)>>2]|0;if((L|0)<(Q|0))Q=L;else break}if((N|0)==(J|0))za=Q;else{M=J;while(1){L=f[a+(M<<2)>>2]|0;if((L|0)<(M|0))M=L;else break}L=(Q|0)>(M|0)?M:Q;R=J;do{P=a+(R<<2)|0;X=R;R=f[P>>2]|0;f[P>>2]=L}while((R|0)<(X|0));za=L}L=N;do{R=a+(L<<2)|0;J=L;L=f[R>>2]|0;f[R>>2]=za}while((L|0)<(J|0));f[x+(C<<2)>>2]=za;I=D;break a}while(0);L=f[r+(C<<2)>>2]|0;N=f[x+(C+-2<<2)>>2]|0;J=L;while(1){R=f[a+(J<<2)>>2]|0;if((R|0)<(J|0))J=R;else break}if((L|0)==(N|0))Aa=J;else{R=N;while(1){Q=f[a+(R<<2)>>2]|0;if((Q|0)<(R|0))R=Q;else break}Q=(J|0)>(R|0)?R:J;M=N;do{X=a+(M<<2)|0;P=M;M=f[X>>2]|0;f[X>>2]=Q}while((M|0)<(P|0));Aa=Q}Q=L;do{M=a+(Q<<2)|0;N=Q;Q=f[M>>2]|0;f[M>>2]=Aa}while((Q|0)<(N|0));f[x+(C<<2)>>2]=Aa;I=D;break}if(H?b[s+G>>0]|0:0){Q=C+2|0;do if(z&(Q|0)<(j|0)){if(!(b[v+Q>>0]|0))break;do if(B){if(!(b[w+G>>0]|0))break;if(b[v+C>>0]|0){f[x+(C<<2)>>2]=f[x+(C+-2<<2)>>2];I=D;break a}if(!(b[w+C>>0]|0)){L=f[r+(Q<<2)>>2]|0;N=f[x+(C+-2<<2)>>2]|0;M=L;while(1){J=f[a+(M<<2)>>2]|0;if((J|0)<(M|0))M=J;else break}if((L|0)==(N|0))Ba=M;else{J=N;while(1){R=f[a+(J<<2)>>2]|0;if((R|0)<(J|0))J=R;else break}R=(M|0)>(J|0)?J:M;P=N;do{X=a+(P<<2)|0;K=P;P=f[X>>2]|0;f[X>>2]=R}while((P|0)<(K|0));Ba=R}R=L;do{P=a+(R<<2)|0;N=R;R=f[P>>2]|0;f[P>>2]=Ba}while((R|0)<(N|0));f[x+(C<<2)>>2]=Ba;I=D;break a}R=C+-2|0;if(b[v+E>>0]|0){f[x+(C<<2)>>2]=f[x+(R<<2)>>2];I=D;break a}do if((R|0)>-1){if(!(b[v+R>>0]|0))break;if(b[w+E>>0]|0){f[x+(C<<2)>>2]=f[x+(R<<2)>>2];I=D;break a}L=f[r+(Q<<2)>>2]|0;N=f[x+(R<<2)>>2]|0;P=L;while(1){M=f[a+(P<<2)>>2]|0;if((M|0)<(P|0))P=M;else break}if((L|0)==(N|0))Ca=P;else{M=N;while(1){J=f[a+(M<<2)>>2]|0;if((J|0)<(M|0))M=J;else break}J=(P|0)>(M|0)?M:P;K=N;do{X=a+(K<<2)|0;S=K;K=f[X>>2]|0;f[X>>2]=J}while((K|0)<(S|0));Ca=J}J=L;do{K=a+(J<<2)|0;N=J;J=f[K>>2]|0;f[K>>2]=Ca}while((J|0)<(N|0));f[x+(C<<2)>>2]=Ca;I=D;break a}while(0);J=f[r+(Q<<2)>>2]|0;L=f[x+(R<<2)>>2]|0;N=J;while(1){K=f[a+(N<<2)>>2]|0;if((K|0)<(N|0))N=K;else break}if((J|0)==(L|0))Da=N;else{R=L;while(1){K=f[a+(R<<2)>>2]|0;if((K|0)<(R|0))R=K;else break}K=(N|0)>(R|0)?R:N;P=L;do{M=a+(P<<2)|0;S=P;P=f[M>>2]|0;f[M>>2]=K}while((P|0)<(S|0));Da=K}K=J;do{P=a+(K<<2)|0;L=K;K=f[P>>2]|0;f[P>>2]=Da}while((K|0)<(L|0));f[x+(C<<2)>>2]=Da;I=D;break a}while(0);K=f[r+(Q<<2)>>2]|0;J=f[x+(C+-2<<2)>>2]|0;L=K;while(1){P=f[a+(L<<2)>>2]|0;if((P|0)<(L|0))L=P;else break}if((K|0)==(J|0))Ea=L;else{P=J;while(1){N=f[a+(P<<2)>>2]|0;if((N|0)<(P|0))P=N;else break}N=(L|0)>(P|0)?P:L;R=J;do{S=a+(R<<2)|0;M=R;R=f[S>>2]|0;f[S>>2]=N}while((R|0)<(M|0));Ea=N}N=K;do{R=a+(N<<2)|0;J=N;N=f[R>>2]|0;f[R>>2]=Ea}while((N|0)<(J|0));f[x+(C<<2)>>2]=Ea;I=D;break a}while(0);f[x+(C<<2)>>2]=f[x+(C+-2<<2)>>2];I=D;break}f[x+(C<<2)>>2]=f[x+(C+-2<<2)>>2];I=D;break}if(y?b[t+E>>0]|0:0){Q=C|1;G=(Q|0)<(j|0);if(!(A|G^1)?b[v+Q>>0]|0:0){H=C+-2|0;do if((H|0)>-1){if(!(b[s+H>>0]|0))break;if(b[v+E>>0]|0){N=f[x+(H<<2)>>2]|0;if(b[v+C>>0]|0){f[x+(C<<2)>>2]=N;I=D;break a}do if(B){if(!(b[w+C>>0]|0))break;f[x+(C<<2)>>2]=N;I=D;break a}while(0);K=f[r+(C<<2)>>2]|0;J=K;while(1){R=f[a+(J<<2)>>2]|0;if((R|0)<(J|0))J=R;else break}if((K|0)==(N|0))Fa=J;else{R=N;while(1){L=f[a+(R<<2)>>2]|0;if((L|0)<(R|0))R=L;else break}L=(J|0)>(R|0)?R:J;P=N;do{M=a+(P<<2)|0;S=P;P=f[M>>2]|0;f[M>>2]=L}while((P|0)<(S|0));Fa=L}L=K;do{P=a+(L<<2)|0;N=L;L=f[P>>2]|0;f[P>>2]=Fa}while((L|0)<(N|0));f[x+(C<<2)>>2]=Fa;I=D;break a}if(!(b[v+H>>0]|0)){L=f[r+(C<<2)>>2]|0;K=f[x+(H<<2)>>2]|0;N=L;while(1){P=f[a+(N<<2)>>2]|0;if((P|0)<(N|0))N=P;else break}if((L|0)==(K|0))Ga=N;else{P=K;while(1){J=f[a+(P<<2)>>2]|0;if((J|0)<(P|0))P=J;else break}J=(N|0)>(P|0)?P:N;R=K;do{S=a+(R<<2)|0;M=R;R=f[S>>2]|0;f[S>>2]=J}while((R|0)<(M|0));Ga=J}J=L;do{R=a+(J<<2)|0;K=J;J=f[R>>2]|0;f[R>>2]=Ga}while((J|0)<(K|0));f[x+(C<<2)>>2]=Ga;I=D;break a}do if(B){if(!(b[w+E>>0]|0))break;J=f[x+(H<<2)>>2]|0;if(b[v+C>>0]|0){f[x+(C<<2)>>2]=J;I=D;break a}if(b[w+C>>0]|0){f[x+(C<<2)>>2]=J;I=D;break a}L=f[r+(C<<2)>>2]|0;K=L;while(1){R=f[a+(K<<2)>>2]|0;if((R|0)<(K|0))K=R;else break}if((L|0)==(J|0))Ha=K;else{R=J;while(1){N=f[a+(R<<2)>>2]|0;if((N|0)<(R|0))R=N;else break}N=(K|0)>(R|0)?R:K;P=J;do{M=a+(P<<2)|0;S=P;P=f[M>>2]|0;f[M>>2]=N}while((P|0)<(S|0));Ha=N}N=L;do{P=a+(N<<2)|0;J=N;N=f[P>>2]|0;f[P>>2]=Ha}while((N|0)<(J|0));f[x+(C<<2)>>2]=Ha;I=D;break a}while(0);N=f[r+(C<<2)>>2]|0;L=f[x+(H<<2)>>2]|0;J=N;while(1){P=f[a+(J<<2)>>2]|0;if((P|0)<(J|0))J=P;else break}if((N|0)==(L|0))Ia=J;else{P=L;while(1){K=f[a+(P<<2)>>2]|0;if((K|0)<(P|0))P=K;else break}K=(J|0)>(P|0)?P:J;R=L;do{S=a+(R<<2)|0;M=R;R=f[S>>2]|0;f[S>>2]=K}while((R|0)<(M|0));Ia=K}K=N;do{R=a+(K<<2)|0;L=K;K=f[R>>2]|0;f[R>>2]=Ia}while((K|0)<(L|0));f[x+(C<<2)>>2]=Ia;I=D;break a}while(0);if(b[v+C>>0]|0){K=f[r+(C<<2)>>2]|0;N=f[x+(H<<2)>>2]|0;L=K;while(1){R=f[a+(L<<2)>>2]|0;if((R|0)<(L|0))L=R;else break}if((K|0)==(N|0))Ja=L;else{R=N;while(1){J=f[a+(R<<2)>>2]|0;if((J|0)<(R|0))R=J;else break}J=(L|0)>(R|0)?R:L;P=N;do{M=a+(P<<2)|0;S=P;P=f[M>>2]|0;f[M>>2]=J}while((P|0)<(S|0));Ja=J}J=K;do{P=a+(J<<2)|0;N=J;J=f[P>>2]|0;f[P>>2]=Ja}while((J|0)<(N|0));f[x+(C<<2)>>2]=Ja;I=D;break}J=f[r+(C<<2)>>2]|0;if(!(b[v+E>>0]|0)){K=f[x+(H<<2)>>2]|0;N=J;while(1){P=f[a+(N<<2)>>2]|0;if((P|0)<(N|0))N=P;else break}if((J|0)==(K|0))Ka=N;else{P=K;while(1){L=f[a+(P<<2)>>2]|0;if((L|0)<(P|0))P=L;else break}L=(N|0)>(P|0)?P:N;R=K;do{S=a+(R<<2)|0;M=R;R=f[S>>2]|0;f[S>>2]=L}while((R|0)<(M|0));Ka=L}L=J;do{R=a+(L<<2)|0;K=L;L=f[R>>2]|0;f[R>>2]=Ka}while((L|0)<(K|0));f[x+(C<<2)>>2]=Ka;I=D;break}do if(B){if(!(b[w+C>>0]|0))break;L=f[x+(H<<2)>>2]|0;K=J;while(1){R=f[a+(K<<2)>>2]|0;if((R|0)<(K|0))K=R;else break}if((J|0)==(L|0))La=K;else{R=L;while(1){N=f[a+(R<<2)>>2]|0;if((N|0)<(R|0))R=N;else break}N=(K|0)>(R|0)?R:K;P=L;do{M=a+(P<<2)|0;S=P;P=f[M>>2]|0;f[M>>2]=N}while((P|0)<(S|0));La=N}N=J;do{P=a+(N<<2)|0;L=N;N=f[P>>2]|0;f[P>>2]=La}while((N|0)<(L|0));f[x+(C<<2)>>2]=La;I=D;break a}while(0);N=f[r+(H<<2)>>2]|0;L=N;while(1){P=f[a+(L<<2)>>2]|0;if((P|0)<(L|0))L=P;else break}if((N|0)==(J|0))Ma=L;else{P=J;while(1){K=f[a+(P<<2)>>2]|0;if((K|0)<(P|0))P=K;else break}K=(L|0)>(P|0)?P:L;R=J;do{S=a+(R<<2)|0;M=R;R=f[S>>2]|0;f[S>>2]=K}while((R|0)<(M|0));Ma=K}K=N;do{R=a+(K<<2)|0;J=K;K=f[R>>2]|0;f[R>>2]=Ma}while((K|0)<(J|0));K=f[x+(H<<2)>>2]|0;N=Ma;while(1){J=f[a+(N<<2)>>2]|0;if((J|0)<(N|0))N=J;else break}if((Ma|0)==(K|0))Na=N;else{H=K;while(1){J=f[a+(H<<2)>>2]|0;if((J|0)<(H|0))H=J;else break}J=(N|0)>(H|0)?H:N;R=K;do{L=a+(R<<2)|0;P=R;R=f[L>>2]|0;f[L>>2]=J}while((R|0)<(P|0));Na=J}J=Ma;do{R=a+(J<<2)|0;K=J;J=f[R>>2]|0;f[R>>2]=Na}while((J|0)<(K|0));f[x+(C<<2)>>2]=Na;I=D;break}if(G?b[s+Q>>0]|0:0){J=C+2|0;do if(!((J|0)>=(j|0)|A)){if(!(b[v+J>>0]|0))break;K=C+-2|0;do if((K|0)>-1){if(!(b[s+K>>0]|0))break;if(b[v+E>>0]|0){do if(B){if(!(b[w+Q>>0]|0))break;R=f[x+(K<<2)>>2]|0;if(b[v+C>>0]|0){f[x+(C<<2)>>2]=R;I=D;break a}if(b[w+C>>0]|0){f[x+(C<<2)>>2]=R;I=D;break a}N=f[r+(J<<2)>>2]|0;H=N;while(1){P=f[a+(H<<2)>>2]|0;if((P|0)<(H|0))H=P;else break}if((N|0)==(R|0))Oa=H;else{P=R;while(1){L=f[a+(P<<2)>>2]|0;if((L|0)<(P|0))P=L;else break}L=(H|0)>(P|0)?P:H;M=R;do{S=a+(M<<2)|0;X=M;M=f[S>>2]|0;f[S>>2]=L}while((M|0)<(X|0));Oa=L}L=N;do{M=a+(L<<2)|0;R=L;L=f[M>>2]|0;f[M>>2]=Oa}while((L|0)<(R|0));f[x+(C<<2)>>2]=Oa;I=D;break a}while(0);L=f[r+(J<<2)>>2]|0;N=f[x+(K<<2)>>2]|0;R=L;while(1){M=f[a+(R<<2)>>2]|0;if((M|0)<(R|0))R=M;else break}if((L|0)==(N|0))Pa=R;else{M=N;while(1){H=f[a+(M<<2)>>2]|0;if((H|0)<(M|0))M=H;else break}H=(R|0)>(M|0)?M:R;P=N;do{X=a+(P<<2)|0;S=P;P=f[X>>2]|0;f[X>>2]=H}while((P|0)<(S|0));Pa=H}H=L;do{P=a+(H<<2)|0;N=H;H=f[P>>2]|0;f[P>>2]=Pa}while((H|0)<(N|0));f[x+(C<<2)>>2]=Pa;I=D;break a}do if(B){if(!(b[w+Q>>0]|0))break;if(!(b[v+K>>0]|0)){H=f[r+(J<<2)>>2]|0;L=f[x+(K<<2)>>2]|0;N=H;while(1){P=f[a+(N<<2)>>2]|0;if((P|0)<(N|0))N=P;else break}if((H|0)==(L|0))Qa=N;else{P=L;while(1){R=f[a+(P<<2)>>2]|0;if((R|0)<(P|0))P=R;else break}R=(N|0)>(P|0)?P:N;M=L;do{S=a+(M<<2)|0;X=M;M=f[S>>2]|0;f[S>>2]=R}while((M|0)<(X|0));Qa=R}R=H;do{M=a+(R<<2)|0;L=R;R=f[M>>2]|0;f[M>>2]=Qa}while((R|0)<(L|0));f[x+(C<<2)>>2]=Qa;I=D;break a}if(!(b[w+E>>0]|0)){R=f[r+(J<<2)>>2]|0;H=f[x+(K<<2)>>2]|0;L=R;while(1){M=f[a+(L<<2)>>2]|0;if((M|0)<(L|0))L=M;else break}if((R|0)==(H|0))Ra=L;else{M=H;while(1){N=f[a+(M<<2)>>2]|0;if((N|0)<(M|0))M=N;else break}N=(L|0)>(M|0)?M:L;P=H;do{X=a+(P<<2)|0;S=P;P=f[X>>2]|0;f[X>>2]=N}while((P|0)<(S|0));Ra=N}N=R;do{P=a+(N<<2)|0;H=N;N=f[P>>2]|0;f[P>>2]=Ra}while((N|0)<(H|0));f[x+(C<<2)>>2]=Ra;I=D;break a}N=f[x+(K<<2)>>2]|0;if(b[v+C>>0]|0){f[x+(C<<2)>>2]=N;I=D;break a}if(b[w+C>>0]|0){f[x+(C<<2)>>2]=N;I=D;break a}R=f[r+(J<<2)>>2]|0;H=R;while(1){P=f[a+(H<<2)>>2]|0;if((P|0)<(H|0))H=P;else break}if((R|0)==(N|0))Sa=H;else{P=N;while(1){L=f[a+(P<<2)>>2]|0;if((L|0)<(P|0))P=L;else break}L=(H|0)>(P|0)?P:H;M=N;do{S=a+(M<<2)|0;X=M;M=f[S>>2]|0;f[S>>2]=L}while((M|0)<(X|0));Sa=L}L=R;do{M=a+(L<<2)|0;N=L;L=f[M>>2]|0;f[M>>2]=Sa}while((L|0)<(N|0));f[x+(C<<2)>>2]=Sa;I=D;break a}while(0);if(!(b[v+C>>0]|0)){L=f[r+(J<<2)>>2]|0;R=f[x+(K<<2)>>2]|0;N=L;while(1){M=f[a+(N<<2)>>2]|0;if((M|0)<(N|0))N=M;else break}if((L|0)==(R|0))Ta=N;else{M=R;while(1){H=f[a+(M<<2)>>2]|0;if((H|0)<(M|0))M=H;else break}H=(N|0)>(M|0)?M:N;P=R;do{X=a+(P<<2)|0;S=P;P=f[X>>2]|0;f[X>>2]=H}while((P|0)<(S|0));Ta=H}H=L;do{P=a+(H<<2)|0;R=H;H=f[P>>2]|0;f[P>>2]=Ta}while((H|0)<(R|0));f[x+(C<<2)>>2]=Ta;I=D;break a}if(!(b[v+K>>0]|0)){H=f[r+(C<<2)>>2]|0;L=f[r+(J<<2)>>2]|0;R=H;while(1){P=f[a+(R<<2)>>2]|0;if((P|0)<(R|0))R=P;else break}if((H|0)==(L|0))Ua=R;else{P=L;while(1){N=f[a+(P<<2)>>2]|0;if((N|0)<(P|0))P=N;else break}N=(R|0)>(P|0)?P:R;M=L;do{S=a+(M<<2)|0;X=M;M=f[S>>2]|0;f[S>>2]=N}while((M|0)<(X|0));Ua=N}N=H;do{M=a+(N<<2)|0;L=N;N=f[M>>2]|0;f[M>>2]=Ua}while((N|0)<(L|0));N=f[x+(K<<2)>>2]|0;H=Ua;while(1){L=f[a+(H<<2)>>2]|0;if((L|0)<(H|0))H=L;else break}if((Ua|0)==(N|0))Va=H;else{L=N;while(1){M=f[a+(L<<2)>>2]|0;if((M|0)<(L|0))L=M;else break}M=(H|0)>(L|0)?L:H;R=N;do{P=a+(R<<2)|0;X=R;R=f[P>>2]|0;f[P>>2]=M}while((R|0)<(X|0));Va=M}M=Ua;do{R=a+(M<<2)|0;N=M;M=f[R>>2]|0;f[R>>2]=Va}while((M|0)<(N|0));f[x+(C<<2)>>2]=Va;I=D;break a}do if(B){if(!(b[w+E>>0]|0))break;M=f[r+(J<<2)>>2]|0;N=f[x+(K<<2)>>2]|0;R=M;while(1){H=f[a+(R<<2)>>2]|0;if((H|0)<(R|0))R=H;else break}if((M|0)==(N|0))Wa=R;else{H=N;while(1){L=f[a+(H<<2)>>2]|0;if((L|0)<(H|0))H=L;else break}L=(R|0)>(H|0)?H:R;X=N;do{P=a+(X<<2)|0;S=X;X=f[P>>2]|0;f[P>>2]=L}while((X|0)<(S|0));Wa=L}L=M;do{X=a+(L<<2)|0;N=L;L=f[X>>2]|0;f[X>>2]=Wa}while((L|0)<(N|0));f[x+(C<<2)>>2]=Wa;I=D;break a}while(0);L=f[r+(C<<2)>>2]|0;M=f[r+(J<<2)>>2]|0;N=L;while(1){X=f[a+(N<<2)>>2]|0;if((X|0)<(N|0))N=X;else break}if((L|0)==(M|0))Xa=N;else{X=M;while(1){R=f[a+(X<<2)>>2]|0;if((R|0)<(X|0))X=R;else break}R=(N|0)>(X|0)?X:N;H=M;do{S=a+(H<<2)|0;P=H;H=f[S>>2]|0;f[S>>2]=R}while((H|0)<(P|0));Xa=R}R=L;do{H=a+(R<<2)|0;M=R;R=f[H>>2]|0;f[H>>2]=Xa}while((R|0)<(M|0));R=f[x+(K<<2)>>2]|0;L=Xa;while(1){M=f[a+(L<<2)>>2]|0;if((M|0)<(L|0))L=M;else break}if((Xa|0)==(R|0))Ya=L;else{M=R;while(1){H=f[a+(M<<2)>>2]|0;if((H|0)<(M|0))M=H;else break}H=(L|0)>(M|0)?M:L;N=R;do{X=a+(N<<2)|0;P=N;N=f[X>>2]|0;f[X>>2]=H}while((N|0)<(P|0));Ya=H}H=Xa;do{N=a+(H<<2)|0;R=H;H=f[N>>2]|0;f[N>>2]=Ya}while((H|0)<(R|0));f[x+(C<<2)>>2]=Ya;I=D;break a}while(0);if(b[v+C>>0]|0){do if(B){if(!(b[w+Q>>0]|0))break;H=f[r+(J<<2)>>2]|0;R=f[x+(K<<2)>>2]|0;N=H;while(1){L=f[a+(N<<2)>>2]|0;if((L|0)<(N|0))N=L;else break}if((H|0)==(R|0))Za=N;else{L=R;while(1){M=f[a+(L<<2)>>2]|0;if((M|0)<(L|0))L=M;else break}M=(N|0)>(L|0)?L:N;P=R;do{X=a+(P<<2)|0;S=P;P=f[X>>2]|0;f[X>>2]=M}while((P|0)<(S|0));Za=M}M=H;do{P=a+(M<<2)|0;R=M;M=f[P>>2]|0;f[P>>2]=Za}while((M|0)<(R|0));f[x+(C<<2)>>2]=Za;I=D;break a}while(0);M=f[r+(C<<2)>>2]|0;H=f[r+(J<<2)>>2]|0;R=M;while(1){P=f[a+(R<<2)>>2]|0;if((P|0)<(R|0))R=P;else break}if((M|0)==(H|0))_a=R;else{P=H;while(1){N=f[a+(P<<2)>>2]|0;if((N|0)<(P|0))P=N;else break}N=(R|0)>(P|0)?P:R;L=H;do{S=a+(L<<2)|0;X=L;L=f[S>>2]|0;f[S>>2]=N}while((L|0)<(X|0));_a=N}N=M;do{L=a+(N<<2)|0;H=N;N=f[L>>2]|0;f[L>>2]=_a}while((N|0)<(H|0));N=f[x+(K<<2)>>2]|0;M=_a;while(1){H=f[a+(M<<2)>>2]|0;if((H|0)<(M|0))M=H;else break}if((_a|0)==(N|0))$a=M;else{H=N;while(1){L=f[a+(H<<2)>>2]|0;if((L|0)<(H|0))H=L;else break}L=(M|0)>(H|0)?H:M;R=N;do{P=a+(R<<2)|0;X=R;R=f[P>>2]|0;f[P>>2]=L}while((R|0)<(X|0));$a=L}L=_a;do{R=a+(L<<2)|0;N=L;L=f[R>>2]|0;f[R>>2]=$a}while((L|0)<(N|0));f[x+(C<<2)>>2]=$a;I=D;break a}if(!(b[v+E>>0]|0)){L=f[r+(J<<2)>>2]|0;N=f[x+(K<<2)>>2]|0;R=L;while(1){M=f[a+(R<<2)>>2]|0;if((M|0)<(R|0))R=M;else break}if((L|0)==(N|0))ab=R;else{M=N;while(1){H=f[a+(M<<2)>>2]|0;if((H|0)<(M|0))M=H;else break}H=(R|0)>(M|0)?M:R;X=N;do{P=a+(X<<2)|0;S=X;X=f[P>>2]|0;f[P>>2]=H}while((X|0)<(S|0));ab=H}H=L;do{X=a+(H<<2)|0;N=H;H=f[X>>2]|0;f[X>>2]=ab}while((H|0)<(N|0));f[x+(C<<2)>>2]=ab;I=D;break a}do if(B){if(!(b[w+Q>>0]|0))break;H=f[r+(J<<2)>>2]|0;if(b[w+C>>0]|0){L=f[x+(K<<2)>>2]|0;N=H;while(1){X=f[a+(N<<2)>>2]|0;if((X|0)<(N|0))N=X;else break}if((H|0)==(L|0))bb=N;else{X=L;while(1){R=f[a+(X<<2)>>2]|0;if((R|0)<(X|0))X=R;else break}R=(N|0)>(X|0)?X:N;M=L;do{S=a+(M<<2)|0;P=M;M=f[S>>2]|0;f[S>>2]=R}while((M|0)<(P|0));bb=R}R=H;do{M=a+(R<<2)|0;L=R;R=f[M>>2]|0;f[M>>2]=bb}while((R|0)<(L|0));f[x+(C<<2)>>2]=bb;I=D;break a}R=f[r+(K<<2)>>2]|0;L=R;while(1){M=f[a+(L<<2)>>2]|0;if((M|0)<(L|0))L=M;else break}if((R|0)==(H|0))cb=L;else{M=H;while(1){N=f[a+(M<<2)>>2]|0;if((N|0)<(M|0))M=N;else break}N=(L|0)>(M|0)?M:L;X=H;do{P=a+(X<<2)|0;S=X;X=f[P>>2]|0;f[P>>2]=N}while((X|0)<(S|0));cb=N}N=R;do{X=a+(N<<2)|0;H=N;N=f[X>>2]|0;f[X>>2]=cb}while((N|0)<(H|0));N=f[x+(K<<2)>>2]|0;R=cb;while(1){H=f[a+(R<<2)>>2]|0;if((H|0)<(R|0))R=H;else break}if((cb|0)==(N|0))db=R;else{H=N;while(1){X=f[a+(H<<2)>>2]|0;if((X|0)<(H|0))H=X;else break}X=(R|0)>(H|0)?H:R;L=N;do{M=a+(L<<2)|0;S=L;L=f[M>>2]|0;f[M>>2]=X}while((L|0)<(S|0));db=X}X=cb;do{L=a+(X<<2)|0;N=X;X=f[L>>2]|0;f[L>>2]=db}while((X|0)<(N|0));f[x+(C<<2)>>2]=db;I=D;break a}while(0);X=f[r+(K<<2)>>2]|0;N=f[r+(J<<2)>>2]|0;L=X;while(1){R=f[a+(L<<2)>>2]|0;if((R|0)<(L|0))L=R;else break}if((X|0)==(N|0))eb=L;else{R=N;while(1){H=f[a+(R<<2)>>2]|0;if((H|0)<(R|0))R=H;else break}H=(L|0)>(R|0)?R:L;S=N;do{M=a+(S<<2)|0;P=S;S=f[M>>2]|0;f[M>>2]=H}while((S|0)<(P|0));eb=H}H=X;do{S=a+(H<<2)|0;N=H;H=f[S>>2]|0;f[S>>2]=eb}while((H|0)<(N|0));H=f[x+(K<<2)>>2]|0;X=eb;while(1){N=f[a+(X<<2)>>2]|0;if((N|0)<(X|0))X=N;else break}if((eb|0)==(H|0))fb=X;else{K=H;while(1){N=f[a+(K<<2)>>2]|0;if((N|0)<(K|0))K=N;else break}N=(X|0)>(K|0)?K:X;S=H;do{L=a+(S<<2)|0;R=S;S=f[L>>2]|0;f[L>>2]=N}while((S|0)<(R|0));fb=N}N=eb;do{S=a+(N<<2)|0;H=N;N=f[S>>2]|0;f[S>>2]=fb}while((N|0)<(H|0));f[x+(C<<2)>>2]=fb;I=D;break a}while(0);do if(z){J=C+-2|0;if(b[v+E>>0]|0){Q=f[x+(J<<2)>>2]|0;do if((J|0)>-1){if(!(b[s+J>>0]|0))break;f[x+(C<<2)>>2]=Q;I=D;break a}while(0);G=f[r+(J<<2)>>2]|0;N=G;while(1){H=f[a+(N<<2)>>2]|0;if((H|0)<(N|0))N=H;else break}if((G|0)==(Q|0))gb=N;else{H=Q;while(1){S=f[a+(H<<2)>>2]|0;if((S|0)<(H|0))H=S;else break}S=(N|0)>(H|0)?H:N;X=Q;do{K=a+(X<<2)|0;R=X;X=f[K>>2]|0;f[K>>2]=S}while((X|0)<(R|0));gb=S}S=G;do{X=a+(S<<2)|0;Q=S;S=f[X>>2]|0;f[X>>2]=gb}while((S|0)<(Q|0));f[x+(C<<2)>>2]=gb;I=D;break a}if(!(b[v+C>>0]|0)){hb=J;break}do if((J|0)>-1){if(!(b[s+J>>0]|0))break;if(!(b[v+J>>0]|0)){S=f[r+(C<<2)>>2]|0;G=f[x+(J<<2)>>2]|0;Q=S;while(1){X=f[a+(Q<<2)>>2]|0;if((X|0)<(Q|0))Q=X;else break}if((S|0)==(G|0))ib=Q;else{X=G;while(1){N=f[a+(X<<2)>>2]|0;if((N|0)<(X|0))X=N;else break}N=(Q|0)>(X|0)?X:Q;H=G;do{R=a+(H<<2)|0;K=H;H=f[R>>2]|0;f[R>>2]=N}while((H|0)<(K|0));ib=N}N=S;do{H=a+(N<<2)|0;G=N;N=f[H>>2]|0;f[H>>2]=ib}while((N|0)<(G|0));f[x+(C<<2)>>2]=ib;I=D;break a}do if(B){if(!(b[w+E>>0]|0))break;f[x+(C<<2)>>2]=f[x+(J<<2)>>2];I=D;break a}while(0);N=f[r+(C<<2)>>2]|0;S=f[x+(J<<2)>>2]|0;G=N;while(1){H=f[a+(G<<2)>>2]|0;if((H|0)<(G|0))G=H;else break}if((N|0)==(S|0))jb=G;else{H=S;while(1){Q=f[a+(H<<2)>>2]|0;if((Q|0)<(H|0))H=Q;else break}Q=(G|0)>(H|0)?H:G;X=S;do{K=a+(X<<2)|0;R=X;X=f[K>>2]|0;f[K>>2]=Q}while((X|0)<(R|0));jb=Q}Q=N;do{X=a+(Q<<2)|0;S=Q;Q=f[X>>2]|0;f[X>>2]=jb}while((Q|0)<(S|0));f[x+(C<<2)>>2]=jb;I=D;break a}while(0);Q=f[r+(C<<2)>>2]|0;N=f[x+(J<<2)>>2]|0;S=Q;while(1){X=f[a+(S<<2)>>2]|0;if((X|0)<(S|0))S=X;else break}if((Q|0)==(N|0))kb=S;else{J=N;while(1){X=f[a+(J<<2)>>2]|0;if((X|0)<(J|0))J=X;else break}X=(S|0)>(J|0)?J:S;G=N;do{H=a+(G<<2)|0;R=G;G=f[H>>2]|0;f[H>>2]=X}while((G|0)<(R|0));kb=X}X=Q;do{G=a+(X<<2)|0;N=X;X=f[G>>2]|0;f[G>>2]=kb}while((X|0)<(N|0));f[x+(C<<2)>>2]=kb;I=D;break a}else hb=C+-2|0;while(0);f[x+(C<<2)>>2]=f[x+(hb<<2)>>2];I=D;break}do if(z){X=C+-2|0;if(b[v+E>>0]|0){Q=f[x+(X<<2)>>2]|0;do if((X|0)>-1){if(!(b[s+X>>0]|0))break;f[x+(C<<2)>>2]=Q;I=D;break a}while(0);N=f[r+(X<<2)>>2]|0;G=N;while(1){S=f[a+(G<<2)>>2]|0;if((S|0)<(G|0))G=S;else break}if((N|0)==(Q|0))lb=G;else{S=Q;while(1){J=f[a+(S<<2)>>2]|0;if((J|0)<(S|0))S=J;else break}J=(G|0)>(S|0)?S:G;R=Q;do{H=a+(R<<2)|0;K=R;R=f[H>>2]|0;f[H>>2]=J}while((R|0)<(K|0));lb=J}J=N;do{R=a+(J<<2)|0;Q=J;J=f[R>>2]|0;f[R>>2]=lb}while((J|0)<(Q|0));f[x+(C<<2)>>2]=lb;I=D;break a}if(!(b[v+C>>0]|0)){mb=X;break}do if((X|0)>-1){if(!(b[s+X>>0]|0))break;if(!(b[v+X>>0]|0)){J=f[r+(C<<2)>>2]|0;N=f[x+(X<<2)>>2]|0;Q=J;while(1){R=f[a+(Q<<2)>>2]|0;if((R|0)<(Q|0))Q=R;else break}if((J|0)==(N|0))nb=Q;else{R=N;while(1){G=f[a+(R<<2)>>2]|0;if((G|0)<(R|0))R=G;else break}G=(Q|0)>(R|0)?R:Q;S=N;do{K=a+(S<<2)|0;H=S;S=f[K>>2]|0;f[K>>2]=G}while((S|0)<(H|0));nb=G}G=J;do{S=a+(G<<2)|0;N=G;G=f[S>>2]|0;f[S>>2]=nb}while((G|0)<(N|0));f[x+(C<<2)>>2]=nb;I=D;break a}do if(B){if(!(b[w+E>>0]|0))break;f[x+(C<<2)>>2]=f[x+(X<<2)>>2];I=D;break a}while(0);G=f[r+(C<<2)>>2]|0;J=f[x+(X<<2)>>2]|0;N=G;while(1){S=f[a+(N<<2)>>2]|0;if((S|0)<(N|0))N=S;else break}if((G|0)==(J|0))ob=N;else{S=J;while(1){Q=f[a+(S<<2)>>2]|0;if((Q|0)<(S|0))S=Q;else break}Q=(N|0)>(S|0)?S:N;R=J;do{H=a+(R<<2)|0;K=R;R=f[H>>2]|0;f[H>>2]=Q}while((R|0)<(K|0));ob=Q}Q=G;do{R=a+(Q<<2)|0;J=Q;Q=f[R>>2]|0;f[R>>2]=ob}while((Q|0)<(J|0));f[x+(C<<2)>>2]=ob;I=D;break a}while(0);Q=f[r+(C<<2)>>2]|0;G=f[x+(X<<2)>>2]|0;J=Q;while(1){R=f[a+(J<<2)>>2]|0;if((R|0)<(J|0))J=R;else break}if((Q|0)==(G|0))pb=J;else{X=G;while(1){R=f[a+(X<<2)>>2]|0;if((R|0)<(X|0))X=R;else break}R=(J|0)>(X|0)?X:J;N=G;do{S=a+(N<<2)|0;K=N;N=f[S>>2]|0;f[S>>2]=R}while((N|0)<(K|0));pb=R}R=Q;do{N=a+(R<<2)|0;G=R;R=f[N>>2]|0;f[N>>2]=pb}while((R|0)<(G|0));f[x+(C<<2)>>2]=pb;I=D;break a}else mb=C+-2|0;while(0);f[x+(C<<2)>>2]=f[x+(mb<<2)>>2];I=D;break}}R=C|1;Q=(R|0)<(j|0);if(!(A|Q^1)?b[v+R>>0]|0:0){if(b[v+C>>0]|0){f[x+(C<<2)>>2]=f[r+(C<<2)>>2];I=D;break}if(F?b[v+E>>0]|0:0){G=f[r+(C<<2)>>2]|0;do if(B){if(!(b[w+C>>0]|0))break;f[x+(C<<2)>>2]=G;I=D;break a}while(0);N=f[r+(C+-2<<2)>>2]|0;J=N;while(1){X=f[a+(J<<2)>>2]|0;if((X|0)<(J|0))J=X;else break}if((N|0)==(G|0))qb=J;else{X=G;while(1){K=f[a+(X<<2)>>2]|0;if((K|0)<(X|0))X=K;else break}K=(J|0)>(X|0)?X:J;S=G;do{H=a+(S<<2)|0;L=S;S=f[H>>2]|0;f[H>>2]=K}while((S|0)<(L|0));qb=K}K=N;do{S=a+(K<<2)|0;G=K;K=f[S>>2]|0;f[S>>2]=qb}while((K|0)<(G|0));f[x+(C<<2)>>2]=qb;I=D;break}f[x+(C<<2)>>2]=f[r+(C<<2)>>2];I=D;break}if(Q?b[s+R>>0]|0:0){K=C+2|0;if(!((K|0)>=(j|0)|A)?b[v+K>>0]|0:0){if(b[v+C>>0]|0){do if(B){if(!(b[w+R>>0]|0))break;f[x+(C<<2)>>2]=f[r+(K<<2)>>2];I=D;break a}while(0);Q=f[r+(C<<2)>>2]|0;N=f[r+(K<<2)>>2]|0;G=Q;while(1){S=f[a+(G<<2)>>2]|0;if((S|0)<(G|0))G=S;else break}if((Q|0)==(N|0))rb=G;else{S=N;while(1){J=f[a+(S<<2)>>2]|0;if((J|0)<(S|0))S=J;else break}J=(G|0)>(S|0)?S:G;X=N;do{L=a+(X<<2)|0;H=X;X=f[L>>2]|0;f[L>>2]=J}while((X|0)<(H|0));rb=J}J=Q;do{X=a+(J<<2)|0;N=J;J=f[X>>2]|0;f[X>>2]=rb}while((J|0)<(N|0));f[x+(C<<2)>>2]=rb;I=D;break}do if(F){if(!(b[v+E>>0]|0))break;do if(B){if(!(b[w+R>>0]|0))break;J=f[r+(K<<2)>>2]|0;if(b[w+C>>0]|0){f[x+(C<<2)>>2]=J;I=D;break a}Q=f[r+(C+-2<<2)>>2]|0;N=Q;while(1){X=f[a+(N<<2)>>2]|0;if((X|0)<(N|0))N=X;else break}if((Q|0)==(J|0))sb=N;else{X=J;while(1){G=f[a+(X<<2)>>2]|0;if((G|0)<(X|0))X=G;else break}G=(N|0)>(X|0)?X:N;S=J;do{H=a+(S<<2)|0;L=S;S=f[H>>2]|0;f[H>>2]=G}while((S|0)<(L|0));sb=G}G=Q;do{S=a+(G<<2)|0;J=G;G=f[S>>2]|0;f[S>>2]=sb}while((G|0)<(J|0));f[x+(C<<2)>>2]=sb;I=D;break a}while(0);G=f[r+(C+-2<<2)>>2]|0;Q=f[r+(K<<2)>>2]|0;J=G;while(1){S=f[a+(J<<2)>>2]|0;if((S|0)<(J|0))J=S;else break}if((G|0)==(Q|0))tb=J;else{S=Q;while(1){N=f[a+(S<<2)>>2]|0;if((N|0)<(S|0))S=N;else break}N=(J|0)>(S|0)?S:J;X=Q;do{L=a+(X<<2)|0;H=X;X=f[L>>2]|0;f[L>>2]=N}while((X|0)<(H|0));tb=N}N=G;do{X=a+(N<<2)|0;Q=N;N=f[X>>2]|0;f[X>>2]=tb}while((N|0)<(Q|0));f[x+(C<<2)>>2]=tb;I=D;break a}while(0);f[x+(C<<2)>>2]=f[r+(K<<2)>>2];I=D;break}if(z?b[v+C>>0]|0:0){f[x+(C<<2)>>2]=f[r+(C<<2)>>2];I=D;break}do if(!(A|F^1)){if(!(b[v+E>>0]|0))break;f[x+(C<<2)>>2]=f[r+(C+-2<<2)>>2];I=D;break a}while(0);f[x+(C<<2)>>2]=D;f[a+(D<<2)>>2]=D;I=D+1|0;break}if(z?b[v+C>>0]|0:0){f[x+(C<<2)>>2]=f[r+(C<<2)>>2];I=D;break}if(!(A|F^1)?b[v+E>>0]|0:0){f[x+(C<<2)>>2]=f[r+(C+-2<<2)>>2];I=D;break}f[x+(C<<2)>>2]=D;f[a+(D<<2)>>2]=D;I=D+1|0}while(0);C=C+2|0;if((C|0)>=(j|0)){ub=I;break}else D=I}}else ub=p;q=q+2|0;if((q|0)>=(h|0))break;else p=ub}if((ub|0)>1){p=1;h=1;while(1){q=a+(h<<2)|0;I=f[q>>2]|0;if((I|0)<(h|0)){f[q>>2]=f[a+(I<<2)>>2];vb=p}else{f[q>>2]=p;vb=p+1|0}h=h+1|0;if((h|0)==(ub|0)){wb=vb;break}else p=vb}}else wb=1}else wb=1;vb=f[i>>2]|0;p=f[n>>2]|0;ub=(p&1|0)!=0;h=(vb|0)>0;if(!(vb&1)){if(!ub){if(!h){TC(a);u=g;return wb|0}q=f[c+16>>2]|0;I=f[c+44>>2]|0;j=f[d+16>>2]|0;tb=f[d+44>>2]|0;sb=0;rb=p;qb=vb;while(1){mb=f[I>>2]|0;pb=q+(Y(mb,sb)|0)|0;ob=pb+mb|0;mb=f[tb>>2]|0;nb=j+(Y(mb,sb)|0)|0;lb=nb+mb|0;if((rb|0)>0){mb=0;do{hb=nb+(mb<<2)|0;kb=f[hb>>2]|0;do if((kb|0)>0){jb=f[a+(kb<<2)>>2]|0;f[hb>>2]=(b[pb+mb>>0]|0)==0?0:jb;ib=mb|1;f[nb+(ib<<2)>>2]=(b[pb+ib>>0]|0)==0?0:jb;f[lb+(mb<<2)>>2]=(b[ob+mb>>0]|0)==0?0:jb;gb=lb+(ib<<2)|0;if(!(b[ob+ib>>0]|0)){f[gb>>2]=0;break}else{f[gb>>2]=jb;break}}else{f[hb>>2]=0;jb=mb|1;f[nb+(jb<<2)>>2]=0;f[lb+(mb<<2)>>2]=0;f[lb+(jb<<2)>>2]=0}while(0);mb=mb+2|0;xb=f[n>>2]|0}while((mb|0)<(xb|0));yb=f[i>>2]|0;zb=xb}else{yb=qb;zb=rb}sb=sb+2|0;if((sb|0)>=(yb|0))break;else{rb=zb;qb=yb}}TC(a);u=g;return wb|0}if(!h){TC(a);u=g;return wb|0}yb=f[c+16>>2]|0;qb=f[c+44>>2]|0;zb=f[d+16>>2]|0;rb=f[d+44>>2]|0;sb=0;xb=p;j=vb;while(1){tb=f[qb>>2]|0;q=yb+(Y(tb,sb)|0)|0;I=q+tb|0;tb=f[rb>>2]|0;mb=zb+(Y(tb,sb)|0)|0;lb=mb+tb|0;if((xb|0)>0){tb=0;do{nb=mb+(tb<<2)|0;ob=f[nb>>2]|0;do if((ob|0)>0){pb=f[a+(ob<<2)>>2]|0;f[nb>>2]=(b[q+tb>>0]|0)==0?0:pb;f[lb+(tb<<2)>>2]=(b[I+tb>>0]|0)==0?0:pb;hb=tb|1;if((hb|0)<(f[n>>2]|0)){f[mb+(hb<<2)>>2]=(b[q+hb>>0]|0)==0?0:pb;kb=lb+(hb<<2)|0;if(!(b[I+hb>>0]|0)){f[kb>>2]=0;break}else{f[kb>>2]=pb;break}}}else{f[nb>>2]=0;f[lb+(tb<<2)>>2]=0;pb=tb|1;if((pb|0)<(f[n>>2]|0)){f[mb+(pb<<2)>>2]=0;f[lb+(pb<<2)>>2]=0}}while(0);tb=tb+2|0;Ab=f[n>>2]|0}while((tb|0)<(Ab|0));Bb=f[i>>2]|0;Cb=Ab}else{Bb=j;Cb=xb}sb=sb+2|0;if((sb|0)>=(Bb|0))break;else{xb=Cb;j=Bb}}TC(a);u=g;return wb|0}if(!ub){if(!h){TC(a);u=g;return wb|0}ub=f[c+16>>2]|0;Bb=f[c+44>>2]|0;j=f[d+16>>2]|0;Cb=f[d+44>>2]|0;xb=0;sb=p;Ab=vb;while(1){zb=f[Bb>>2]|0;rb=ub+(Y(zb,xb)|0)|0;yb=rb+zb|0;zb=f[Cb>>2]|0;qb=j+(Y(zb,xb)|0)|0;tb=qb+zb|0;if((sb|0)>0){zb=xb|1;lb=0;do{mb=qb+(lb<<2)|0;I=f[mb>>2]|0;do if((I|0)>0){q=f[a+(I<<2)>>2]|0;f[mb>>2]=(b[rb+lb>>0]|0)==0?0:q;nb=lb|1;f[qb+(nb<<2)>>2]=(b[rb+nb>>0]|0)==0?0:q;if((zb|0)<(f[i>>2]|0)){f[tb+(lb<<2)>>2]=(b[yb+lb>>0]|0)==0?0:q;ob=tb+(nb<<2)|0;if(!(b[yb+nb>>0]|0)){f[ob>>2]=0;break}else{f[ob>>2]=q;break}}}else{f[mb>>2]=0;q=lb|1;f[qb+(q<<2)>>2]=0;if((zb|0)<(f[i>>2]|0)){f[tb+(lb<<2)>>2]=0;f[tb+(q<<2)>>2]=0}}while(0);lb=lb+2|0;Db=f[n>>2]|0}while((lb|0)<(Db|0));Eb=f[i>>2]|0;Fb=Db}else{Eb=Ab;Fb=sb}xb=xb+2|0;if((xb|0)>=(Eb|0))break;else{sb=Fb;Ab=Eb}}TC(a);u=g;return wb|0}if(!h){TC(a);u=g;return wb|0}h=f[c+16>>2]|0;Eb=f[c+44>>2]|0;c=f[d+16>>2]|0;Ab=f[d+44>>2]|0;d=0;Fb=p;p=vb;while(1){vb=f[Eb>>2]|0;sb=h+(Y(vb,d)|0)|0;xb=sb+vb|0;vb=f[Ab>>2]|0;Db=c+(Y(vb,d)|0)|0;j=Db+vb|0;if((Fb|0)>0){vb=d|1;Cb=0;do{ub=Db+(Cb<<2)|0;Bb=f[ub>>2]|0;do if((Bb|0)>0){lb=f[a+(Bb<<2)>>2]|0;f[ub>>2]=(b[sb+Cb>>0]|0)==0?0:lb;tb=Cb|1;if((tb|0)<(f[n>>2]|0)){f[Db+(tb<<2)>>2]=(b[sb+tb>>0]|0)==0?0:lb;if((vb|0)>=(f[i>>2]|0))break;f[j+(Cb<<2)>>2]=(b[xb+Cb>>0]|0)==0?0:lb;zb=j+(tb<<2)|0;if(!(b[xb+tb>>0]|0)){f[zb>>2]=0;break}else{f[zb>>2]=lb;break}}else{if((vb|0)>=(f[i>>2]|0))break;zb=j+(Cb<<2)|0;if(!(b[xb+Cb>>0]|0)){f[zb>>2]=0;break}else{f[zb>>2]=lb;break}}}else{f[ub>>2]=0;lb=Cb|1;if((lb|0)<(f[n>>2]|0)){f[Db+(lb<<2)>>2]=0;if((vb|0)>=(f[i>>2]|0))break;f[j+(Cb<<2)>>2]=0;f[j+(lb<<2)>>2]=0;break}else{if((vb|0)>=(f[i>>2]|0))break;f[j+(Cb<<2)>>2]=0;break}}while(0);Cb=Cb+2|0;Gb=f[n>>2]|0}while((Cb|0)<(Gb|0));Hb=f[i>>2]|0;Ib=Gb}else{Hb=p;Ib=Fb}d=d+2|0;if((d|0)>=(Hb|0))break;else{Fb=Ib;p=Hb}}TC(a);u=g;return wb|0}function pna(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0.0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0;a=u;u=u+64|0;h=a+48|0;i=a+28|0;j=a;k=f[c+8>>2]|0;if((k|0)!=(f[d+8>>2]|0)){l=cuc(32)|0;f[h>>2]=l;f[h+8>>2]=-2147483616;f[h+4>>2]=26;m=l;n=347680;o=m+26|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));b[l+26>>0]=0;WD(-215,h,531152,347361,2526)}l=f[c+12>>2]|0;if((l|0)!=(f[d+12>>2]|0)){p=cuc(32)|0;f[h>>2]=p;f[h+8>>2]=-2147483616;f[h+4>>2]=26;m=p;n=347707;o=m+26|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));b[p+26>>0]=0;WD(-215,h,531152,347361,2527)}if((e|0)!=8){e=cuc(32)|0;f[h>>2]=e;f[h+8>>2]=-2147483616;f[h+4>>2]=17;m=e;n=347734;o=m+17|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));b[e+17>>0]=0;WD(-215,h,531152,347361,2528)}e=(l+1|0)/2|0;l=SC(k<<2)|0;n=SC((Y(((k+1|0)/2|0)<<2,e)|0)+4|0)|0;f[n>>2]=0;f[h>>2]=0;f[h+4>>2]=k;m=(k|0)/2|0;o=(tZ()|0)<<2;p=(o|0)<(m|0)?o:m;q=+(((p|0)>1?p:1)|0);f[i>>2]=78292;f[i+4>>2]=c;f[i+8>>2]=d;f[i+12>>2]=n;f[i+16>>2]=l;sZ(h,i,q);qna(c,d,n,l);f[i>>2]=1;if((k|0)>0)r=0;else{s=(k|0)>-1;t=s?k:-1;v=euc(t)|0;f[j>>2]=78312;w=j+4|0;f[w>>2]=c;x=j+8|0;f[x>>2]=d;y=j+12|0;f[y>>2]=n;z=j+16|0;f[z>>2]=g;A=j+20|0;f[A>>2]=v;B=j+24|0;f[B>>2]=i;sZ(h,j,q);guc(v);TC(l);TC(n);C=f[i>>2]|0;u=a;return C|0}do{p=r+1|0;m=(Y((p|0)/2|0,e)|0)+1|0;o=f[l+(p<<2)>>2]|0;p=o+m|0;if((o|0)>0){o=m;do{m=n+(o<<2)|0;D=f[m>>2]|0;if((D|0)<(o|0))f[m>>2]=f[n+(D<<2)>>2];else{f[m>>2]=f[i>>2];f[i>>2]=(f[i>>2]|0)+1}o=o+1|0}while((o|0)<(p|0))}r=f[l+(r<<2)>>2]|0}while((r|0)<(k|0));s=(k|0)>-1;t=s?k:-1;v=euc(t)|0;f[j>>2]=78312;w=j+4|0;f[w>>2]=c;x=j+8|0;f[x>>2]=d;y=j+12|0;f[y>>2]=n;z=j+16|0;f[z>>2]=g;A=j+20|0;f[A>>2]=v;B=j+24|0;f[B>>2]=i;sZ(h,j,q);guc(v);TC(l);TC(n);C=f[i>>2]|0;u=a;return C|0}function qna(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0;g=f[c+12>>2]|0;h=f[c+8>>2]|0;i=f[e>>2]|0;if((i|0)>=(h|0))return;j=(g|0)>0;k=g+-1|0;l=g+-2|0;m=f[c+16>>2]|0;n=f[c+44>>2]|0;c=f[a+16>>2]|0;o=f[a+44>>2]|0;a=i;do{i=f[n>>2]|0;p=m+(Y(i,a)|0)|0;q=0-i|0;i=p+q+q|0;q=f[o>>2]|0;r=c+(Y(q,a)|0)|0;s=r+(0-q)|0;if(j){q=0;do{t=p+(q<<2)|0;u=f[t>>2]|0;if((u|0)>0){if((((q|0)>1?(v=f[i+(q+-2<<2)>>2]|0,(v|0)>0):0)?(b[r+q>>0]|0)!=0:0)?(b[s+(q+-1)>>0]|0)!=0:0){w=v;while(1){x=f[d+(w<<2)>>2]|0;if((x|0)<(w|0))w=x;else break}if((v|0)==(u|0))y=w;else{x=u;while(1){z=f[d+(x<<2)>>2]|0;if((z|0)<(x|0))x=z;else break}z=(w|0)>(x|0)?x:w;A=u;do{B=d+(A<<2)|0;C=A;A=f[B>>2]|0;f[B>>2]=z}while((A|0)<(C|0));y=z}z=v;do{A=d+(z<<2)|0;w=z;z=f[A>>2]|0;f[A>>2]=y}while((z|0)<(w|0));f[t>>2]=y;D=y}else D=u;z=f[i+(q<<2)>>2]|0;a:do if((z|0)>0){v=b[r+q>>0]|0;w=v<<24>>24!=0;if((q|0)>=(k|0)){if(!w){E=D;break}if(!(b[s+q>>0]|0)){E=D;break}else F=z;while(1){A=f[d+(F<<2)>>2]|0;if((A|0)<(F|0))F=A;else break}if((z|0)==(D|0))G=F;else{A=D;while(1){x=f[d+(A<<2)>>2]|0;if((x|0)<(A|0))A=x;else break}x=(F|0)>(A|0)?A:F;C=D;do{B=d+(C<<2)|0;H=C;C=f[B>>2]|0;f[B>>2]=x}while((C|0)<(H|0));G=x}x=z;do{C=d+(x<<2)|0;A=x;x=f[C>>2]|0;f[C>>2]=G}while((x|0)<(A|0));f[t>>2]=G;E=G;break}if(w?(b[s+q>>0]|0)!=0:0)I=z;else J=23;do if((J|0)==23){J=0;x=q|1;A=(b[r+x>>0]|0)!=0;if(A?b[s+q>>0]|0:0){I=z;break}if(v<<24>>24?b[s+x>>0]|0:0){I=z;break}if(!A){E=D;break a}if(!(b[s+x>>0]|0)){E=D;break a}else I=z}while(0);while(1){v=f[d+(I<<2)>>2]|0;if((v|0)<(I|0))I=v;else break}if((z|0)==(D|0))K=I;else{v=D;while(1){w=f[d+(v<<2)>>2]|0;if((w|0)<(v|0))v=w;else break}w=(I|0)>(v|0)?v:I;x=D;do{A=d+(x<<2)|0;C=x;x=f[A>>2]|0;f[A>>2]=w}while((x|0)<(C|0));K=w}w=z;do{x=d+(w<<2)|0;v=w;w=f[x>>2]|0;f[x>>2]=K}while((w|0)<(v|0));f[t>>2]=K;E=K}else E=D;while(0);if((((q|0)<(l|0)?(z=q+2|0,u=f[i+(z<<2)>>2]|0,(u|0)>0):0)?b[r+(q|1)>>0]|0:0)?b[s+z>>0]|0:0){z=u;while(1){w=f[d+(z<<2)>>2]|0;if((w|0)<(z|0))z=w;else break}if((u|0)==(E|0))L=z;else{w=E;while(1){v=f[d+(w<<2)>>2]|0;if((v|0)<(w|0))w=v;else break}v=(z|0)>(w|0)?w:z;x=E;do{C=d+(x<<2)|0;A=x;x=f[C>>2]|0;f[C>>2]=v}while((x|0)<(A|0));L=v}v=u;do{x=d+(v<<2)|0;z=v;v=f[x>>2]|0;f[x>>2]=L}while((v|0)<(z|0));f[t>>2]=L}}q=q+2|0}while((q|0)<(g|0))}a=f[e+(a<<2)>>2]|0}while((a|0)<(h|0));return}function rna(a){a=a|0;fuc(a);return}function sna(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0;d=f[c>>2]|0;e=((d|0)%2|0)+d|0;d=f[c+4>>2]|0;c=((d|0)%2|0)+d|0;d=a+8|0;g=f[d>>2]|0;h=(f[g+8>>2]&1|0)==0;i=f[g+12>>2]|0;j=(i&1|0)!=0;k=(e|0)<(c|0);if((e|0)>0){if(h){if(!j){if(!k)return;l=a+4|0;m=a+12|0;n=e;o=g;p=i;while(1){q=f[l>>2]|0;r=f[f[q+44>>2]>>2]|0;s=(f[q+16>>2]|0)+(Y(r,n)|0)|0;q=s+r|0;r=f[f[o+44>>2]>>2]|0;t=(f[o+16>>2]|0)+(Y(r,n)|0)|0;u=t+r|0;if((p|0)>0){r=0;do{v=t+(r<<2)|0;w=f[v>>2]|0;do if((w|0)>0){x=f[(f[m>>2]|0)+(w<<2)>>2]|0;f[v>>2]=(b[s+r>>0]|0)==0?0:x;y=r|1;f[t+(y<<2)>>2]=(b[s+y>>0]|0)==0?0:x;f[u+(r<<2)>>2]=(b[q+r>>0]|0)==0?0:x;z=u+(y<<2)|0;if(!(b[q+y>>0]|0)){f[z>>2]=0;break}else{f[z>>2]=x;break}}else{f[v>>2]=0;x=r|1;f[t+(x<<2)>>2]=0;f[u+(r<<2)>>2]=0;f[u+(x<<2)>>2]=0}while(0);r=r+2|0;v=f[d>>2]|0;w=f[v+12>>2]|0}while((r|0)<(w|0));A=w;B=v}else{A=p;B=o}n=n+2|0;if((n|0)>=(c|0))break;else{o=B;p=A}}return}if(!k)return;A=a+4|0;p=a+12|0;B=e;o=g;n=i;while(1){m=f[A>>2]|0;l=f[f[m+44>>2]>>2]|0;r=(f[m+16>>2]|0)+(Y(l,B)|0)|0;m=r+l|0;l=f[f[o+44>>2]>>2]|0;u=(f[o+16>>2]|0)+(Y(l,B)|0)|0;t=u+l|0;if((n|0)>0){l=0;do{q=u+(l<<2)|0;s=f[q>>2]|0;do if((s|0)>0){v=f[(f[p>>2]|0)+(s<<2)>>2]|0;f[q>>2]=(b[r+l>>0]|0)==0?0:v;f[t+(l<<2)>>2]=(b[m+l>>0]|0)==0?0:v;w=l|1;if((w|0)<(f[(f[d>>2]|0)+12>>2]|0)){f[u+(w<<2)>>2]=(b[r+w>>0]|0)==0?0:v;x=t+(w<<2)|0;if(!(b[m+w>>0]|0)){f[x>>2]=0;break}else{f[x>>2]=v;break}}}else{f[q>>2]=0;f[t+(l<<2)>>2]=0;v=l|1;if((v|0)<(f[(f[d>>2]|0)+12>>2]|0)){f[u+(v<<2)>>2]=0;f[t+(v<<2)>>2]=0}}while(0);l=l+2|0;q=f[d>>2]|0;s=f[q+12>>2]|0}while((l|0)<(s|0));C=s;D=q}else{C=n;D=o}B=B+2|0;if((B|0)>=(c|0))break;else{o=D;n=C}}return}if(!j){if(!k)return;C=a+4|0;n=a+12|0;D=e;o=g;B=i;while(1){p=f[C>>2]|0;A=f[f[p+44>>2]>>2]|0;l=(f[p+16>>2]|0)+(Y(A,D)|0)|0;p=l+A|0;A=f[f[o+44>>2]>>2]|0;t=(f[o+16>>2]|0)+(Y(A,D)|0)|0;u=t+A|0;if((B|0)>0){A=D+1|0;m=0;do{r=t+(m<<2)|0;q=f[r>>2]|0;do if((q|0)>0){s=f[(f[n>>2]|0)+(q<<2)>>2]|0;f[r>>2]=(b[l+m>>0]|0)==0?0:s;v=m|1;f[t+(v<<2)>>2]=(b[l+v>>0]|0)==0?0:s;if((A|0)<(f[(f[d>>2]|0)+8>>2]|0)){f[u+(m<<2)>>2]=(b[p+m>>0]|0)==0?0:s;x=u+(v<<2)|0;if(!(b[p+v>>0]|0)){f[x>>2]=0;break}else{f[x>>2]=s;break}}}else{f[r>>2]=0;s=m|1;f[t+(s<<2)>>2]=0;if((A|0)<(f[(f[d>>2]|0)+8>>2]|0)){f[u+(m<<2)>>2]=0;f[u+(s<<2)>>2]=0}}while(0);m=m+2|0;r=f[d>>2]|0;q=f[r+12>>2]|0}while((m|0)<(q|0));E=q;F=r}else{E=B;F=o}D=D+2|0;if((D|0)>=(c|0))break;else{o=F;B=E}}return}if(!k)return;E=a+4|0;B=a+12|0;F=e;o=g;D=i;while(1){n=f[E>>2]|0;C=f[f[n+44>>2]>>2]|0;m=(f[n+16>>2]|0)+(Y(C,F)|0)|0;n=m+C|0;C=f[f[o+44>>2]>>2]|0;u=(f[o+16>>2]|0)+(Y(C,F)|0)|0;A=u+C|0;if((D|0)>0){C=F+1|0;t=0;do{p=u+(t<<2)|0;l=f[p>>2]|0;do if((l|0)>0){r=f[(f[B>>2]|0)+(l<<2)>>2]|0;f[p>>2]=(b[m+t>>0]|0)==0?0:r;q=t|1;s=f[d>>2]|0;if((q|0)<(f[s+12>>2]|0)){f[u+(q<<2)>>2]=(b[m+q>>0]|0)==0?0:r;if((C|0)>=(f[(f[d>>2]|0)+8>>2]|0))break;f[A+(t<<2)>>2]=(b[n+t>>0]|0)==0?0:r;x=A+(q<<2)|0;if(!(b[n+q>>0]|0)){f[x>>2]=0;break}else{f[x>>2]=r;break}}else{if((C|0)>=(f[s+8>>2]|0))break;s=A+(t<<2)|0;if(!(b[n+t>>0]|0)){f[s>>2]=0;break}else{f[s>>2]=r;break}}}else{f[p>>2]=0;r=t|1;s=f[d>>2]|0;if((r|0)<(f[s+12>>2]|0)){f[u+(r<<2)>>2]=0;if((C|0)>=(f[(f[d>>2]|0)+8>>2]|0))break;f[A+(t<<2)>>2]=0;f[A+(r<<2)>>2]=0;break}else{if((C|0)>=(f[s+8>>2]|0))break;f[A+(t<<2)>>2]=0;break}}while(0);t=t+2|0;p=f[d>>2]|0;l=f[p+12>>2]|0}while((t|0)<(l|0));G=l;H=p}else{G=D;H=o}F=F+2|0;if((F|0)>=(c|0))break;else{o=H;D=G}}return}else{if(h){if(!j){if(!k)return;h=a+4|0;G=a+12|0;D=e;H=g;o=i;while(1){F=f[h>>2]|0;B=f[f[F+44>>2]>>2]|0;E=(f[F+16>>2]|0)+(Y(B,D)|0)|0;F=E+B|0;B=f[f[H+44>>2]>>2]|0;t=(f[H+16>>2]|0)+(Y(B,D)|0)|0;A=t+B|0;if((o|0)>0){B=0;do{C=t+(B<<2)|0;u=f[C>>2]|0;do if((u|0)>0){n=f[(f[G>>2]|0)+(u<<2)>>2]|0;f[C>>2]=(b[E+B>>0]|0)==0?0:n;m=B|1;f[t+(m<<2)>>2]=(b[E+m>>0]|0)==0?0:n;f[A+(B<<2)>>2]=(b[F+B>>0]|0)==0?0:n;p=A+(m<<2)|0;if(!(b[F+m>>0]|0)){f[p>>2]=0;break}else{f[p>>2]=n;break}}else{f[C>>2]=0;n=B|1;f[t+(n<<2)>>2]=0;f[A+(B<<2)>>2]=0;f[A+(n<<2)>>2]=0}while(0);B=B+2|0;C=f[d>>2]|0;u=f[C+12>>2]|0}while((B|0)<(u|0));I=u;J=C}else{I=o;J=H}D=D+2|0;if((D|0)>=(c|0))break;else{H=J;o=I}}return}if(!k)return;I=a+4|0;o=a+12|0;J=e;H=g;D=i;while(1){G=f[I>>2]|0;h=f[f[G+44>>2]>>2]|0;B=(f[G+16>>2]|0)+(Y(h,J)|0)|0;G=B+h|0;h=f[f[H+44>>2]>>2]|0;A=(f[H+16>>2]|0)+(Y(h,J)|0)|0;t=A+h|0;if((D|0)>0){h=0;do{F=A+(h<<2)|0;E=f[F>>2]|0;do if((E|0)>0){C=f[(f[o>>2]|0)+(E<<2)>>2]|0;f[F>>2]=(b[B+h>>0]|0)==0?0:C;f[t+(h<<2)>>2]=(b[G+h>>0]|0)==0?0:C;u=h|1;if((u|0)<(f[(f[d>>2]|0)+12>>2]|0)){f[A+(u<<2)>>2]=(b[B+u>>0]|0)==0?0:C;n=t+(u<<2)|0;if(!(b[G+u>>0]|0)){f[n>>2]=0;break}else{f[n>>2]=C;break}}}else{f[F>>2]=0;f[t+(h<<2)>>2]=0;C=h|1;if((C|0)<(f[(f[d>>2]|0)+12>>2]|0)){f[A+(C<<2)>>2]=0;f[t+(C<<2)>>2]=0}}while(0);h=h+2|0;F=f[d>>2]|0;E=f[F+12>>2]|0}while((h|0)<(E|0));K=E;L=F}else{K=D;L=H}J=J+2|0;if((J|0)>=(c|0))break;else{H=L;D=K}}return}if(!j){if(!k)return;j=a+4|0;K=a+12|0;D=e;L=g;H=i;while(1){J=f[j>>2]|0;o=f[f[J+44>>2]>>2]|0;I=(f[J+16>>2]|0)+(Y(o,D)|0)|0;J=I+o|0;o=f[f[L+44>>2]>>2]|0;h=(f[L+16>>2]|0)+(Y(o,D)|0)|0;t=h+o|0;if((H|0)>0){o=D+1|0;A=0;do{G=h+(A<<2)|0;B=f[G>>2]|0;do if((B|0)>0){F=f[(f[K>>2]|0)+(B<<2)>>2]|0;f[G>>2]=(b[I+A>>0]|0)==0?0:F;E=A|1;f[h+(E<<2)>>2]=(b[I+E>>0]|0)==0?0:F;if((o|0)<(f[(f[d>>2]|0)+8>>2]|0)){f[t+(A<<2)>>2]=(b[J+A>>0]|0)==0?0:F;C=t+(E<<2)|0;if(!(b[J+E>>0]|0)){f[C>>2]=0;break}else{f[C>>2]=F;break}}}else{f[G>>2]=0;F=A|1;f[h+(F<<2)>>2]=0;if((o|0)<(f[(f[d>>2]|0)+8>>2]|0)){f[t+(A<<2)>>2]=0;f[t+(F<<2)>>2]=0}}while(0);A=A+2|0;G=f[d>>2]|0;B=f[G+12>>2]|0}while((A|0)<(B|0));M=B;N=G}else{M=H;N=L}D=D+2|0;if((D|0)>=(c|0))break;else{L=N;H=M}}return}if(!k)return;k=a+4|0;M=a+12|0;a=e;e=g;g=i;while(1){i=f[k>>2]|0;H=f[f[i+44>>2]>>2]|0;N=(f[i+16>>2]|0)+(Y(H,a)|0)|0;i=N+H|0;H=f[f[e+44>>2]>>2]|0;L=(f[e+16>>2]|0)+(Y(H,a)|0)|0;D=L+H|0;if((g|0)>0){H=a+1|0;K=0;do{j=L+(K<<2)|0;A=f[j>>2]|0;do if((A|0)>0){t=f[(f[M>>2]|0)+(A<<2)>>2]|0;f[j>>2]=(b[N+K>>0]|0)==0?0:t;o=K|1;h=f[d>>2]|0;if((o|0)<(f[h+12>>2]|0)){f[L+(o<<2)>>2]=(b[N+o>>0]|0)==0?0:t;if((H|0)>=(f[(f[d>>2]|0)+8>>2]|0))break;f[D+(K<<2)>>2]=(b[i+K>>0]|0)==0?0:t;J=D+(o<<2)|0;if(!(b[i+o>>0]|0)){f[J>>2]=0;break}else{f[J>>2]=t;break}}else{if((H|0)>=(f[h+8>>2]|0))break;h=D+(K<<2)|0;if(!(b[i+K>>0]|0)){f[h>>2]=0;break}else{f[h>>2]=t;break}}}else{f[j>>2]=0;t=K|1;h=f[d>>2]|0;if((t|0)<(f[h+12>>2]|0)){f[L+(t<<2)>>2]=0;if((H|0)>=(f[(f[d>>2]|0)+8>>2]|0))break;f[D+(K<<2)>>2]=0;f[D+(t<<2)>>2]=0;break}else{if((H|0)>=(f[h+8>>2]|0))break;f[D+(K<<2)>>2]=0;break}}while(0);K=K+2|0;j=f[d>>2]|0;A=f[j+12>>2]|0}while((K|0)<(A|0));O=A;P=j}else{O=g;P=e}a=a+2|0;if((a|0)>=(c|0))break;else{e=P;g=O}}return}}function tna(a){a=a|0;fuc(a);return}function una(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0;d=f[c>>2]|0;e=((d|0)%2|0)+d|0;d=c+4|0;c=f[d>>2]|0;g=a+16|0;h=f[g>>2]|0;f[h+(e<<2)>>2]=((c|0)%2|0)+c;c=e+1|0;i=a+8|0;j=(Y(((f[(f[i>>2]|0)+12>>2]|0)+1|0)/2|0,(c|0)/2|0)|0)+1|0;k=a+4|0;l=f[k>>2]|0;m=f[l+8>>2]|0;n=f[l+12>>2]|0;if((e|0)>=(f[d>>2]|0)){o=j;p=h;q=o-j|0;r=p+(c<<2)|0;f[r>>2]=q;return}h=(n|0)>0;l=a+12|0;a=e;s=j;while(1){t=f[k>>2]|0;u=f[f[t+44>>2]>>2]|0;v=(f[t+16>>2]|0)+(Y(u,a)|0)|0;t=0-u|0;w=v+t|0;x=w+t|0;t=v+u|0;u=f[i>>2]|0;y=f[f[u+44>>2]>>2]|0;z=(f[u+16>>2]|0)+(Y(y,a)|0)|0;u=0-y|0;y=z+u+u|0;if(h){u=(a+1|0)<(m|0);A=(a|0)>(e|0);B=A^1;C=(a|0)>(c|0);D=0;E=s;while(1){a:do if(!(b[v+D>>0]|0)){F=D|1;G=(F|0)<(n|0);if(u?b[t+D>>0]|0:0){H=D+-1|0;I=(D|0)>0;if(G?b[v+F>>0]|0:0){if(I){if(b[v+H>>0]|0){do if(A){if(b[w+F>>0]|0){if(b[w+D>>0]|0){f[z+(D<<2)>>2]=f[z+(D+-2<<2)>>2];J=E;break a}do if(C){if(!(b[x+D>>0]|0))break;K=D+-2|0;if(b[w+H>>0]|0){f[z+(D<<2)>>2]=f[z+(K<<2)>>2];J=E;break a}do if((K|0)>-1){if(!(b[w+K>>0]|0))break;if(b[x+H>>0]|0){f[z+(D<<2)>>2]=f[z+(K<<2)>>2];J=E;break a}L=f[l>>2]|0;M=f[y+(D<<2)>>2]|0;N=f[z+(K<<2)>>2]|0;O=M;while(1){P=f[L+(O<<2)>>2]|0;if((P|0)<(O|0))O=P;else break}if((M|0)==(N|0))Q=O;else{P=N;while(1){R=f[L+(P<<2)>>2]|0;if((R|0)<(P|0))P=R;else break}R=(O|0)>(P|0)?P:O;S=N;do{T=L+(S<<2)|0;U=S;S=f[T>>2]|0;f[T>>2]=R}while((S|0)<(U|0));Q=R}R=M;do{S=L+(R<<2)|0;N=R;R=f[S>>2]|0;f[S>>2]=Q}while((R|0)<(N|0));f[z+(D<<2)>>2]=Q;J=E;break a}while(0);R=f[l>>2]|0;L=f[y+(D<<2)>>2]|0;M=f[z+(K<<2)>>2]|0;N=L;while(1){S=f[R+(N<<2)>>2]|0;if((S|0)<(N|0))N=S;else break}if((L|0)==(M|0))V=N;else{K=M;while(1){S=f[R+(K<<2)>>2]|0;if((S|0)<(K|0))K=S;else break}S=(N|0)>(K|0)?K:N;O=M;do{P=R+(O<<2)|0;U=O;O=f[P>>2]|0;f[P>>2]=S}while((O|0)<(U|0));V=S}S=L;do{O=R+(S<<2)|0;M=S;S=f[O>>2]|0;f[O>>2]=V}while((S|0)<(M|0));f[z+(D<<2)>>2]=V;J=E;break a}while(0);S=f[l>>2]|0;R=f[y+(D<<2)>>2]|0;L=f[z+(D+-2<<2)>>2]|0;M=R;while(1){O=f[S+(M<<2)>>2]|0;if((O|0)<(M|0))M=O;else break}if((R|0)==(L|0))W=M;else{O=L;while(1){N=f[S+(O<<2)>>2]|0;if((N|0)<(O|0))O=N;else break}N=(M|0)>(O|0)?O:M;K=L;do{U=S+(K<<2)|0;P=K;K=f[U>>2]|0;f[U>>2]=N}while((K|0)<(P|0));W=N}N=R;do{K=S+(N<<2)|0;L=N;N=f[K>>2]|0;f[K>>2]=W}while((N|0)<(L|0));f[z+(D<<2)>>2]=W;J=E;break a}N=D+2|0;if((N|0)>=(n|0))break;if(!(b[w+N>>0]|0))break;do if(C){if(!(b[x+F>>0]|0))break;if(b[w+D>>0]|0){f[z+(D<<2)>>2]=f[z+(D+-2<<2)>>2];J=E;break a}if(!(b[x+D>>0]|0)){S=f[l>>2]|0;R=f[y+(N<<2)>>2]|0;L=f[z+(D+-2<<2)>>2]|0;K=R;while(1){M=f[S+(K<<2)>>2]|0;if((M|0)<(K|0))K=M;else break}if((R|0)==(L|0))X=K;else{M=L;while(1){O=f[S+(M<<2)>>2]|0;if((O|0)<(M|0))M=O;else break}O=(K|0)>(M|0)?M:K;P=L;do{U=S+(P<<2)|0;T=P;P=f[U>>2]|0;f[U>>2]=O}while((P|0)<(T|0));X=O}O=R;do{P=S+(O<<2)|0;L=O;O=f[P>>2]|0;f[P>>2]=X}while((O|0)<(L|0));f[z+(D<<2)>>2]=X;J=E;break a}O=D+-2|0;if(b[w+H>>0]|0){f[z+(D<<2)>>2]=f[z+(O<<2)>>2];J=E;break a}do if((O|0)>-1){if(!(b[w+O>>0]|0))break;if(b[x+H>>0]|0){f[z+(D<<2)>>2]=f[z+(O<<2)>>2];J=E;break a}S=f[l>>2]|0;R=f[y+(N<<2)>>2]|0;L=f[z+(O<<2)>>2]|0;P=R;while(1){K=f[S+(P<<2)>>2]|0;if((K|0)<(P|0))P=K;else break}if((R|0)==(L|0))Z=P;else{K=L;while(1){M=f[S+(K<<2)>>2]|0;if((M|0)<(K|0))K=M;else break}M=(P|0)>(K|0)?K:P;T=L;do{U=S+(T<<2)|0;_=T;T=f[U>>2]|0;f[U>>2]=M}while((T|0)<(_|0));Z=M}M=R;do{T=S+(M<<2)|0;L=M;M=f[T>>2]|0;f[T>>2]=Z}while((M|0)<(L|0));f[z+(D<<2)>>2]=Z;J=E;break a}while(0);M=f[l>>2]|0;S=f[y+(N<<2)>>2]|0;R=f[z+(O<<2)>>2]|0;L=S;while(1){T=f[M+(L<<2)>>2]|0;if((T|0)<(L|0))L=T;else break}if((S|0)==(R|0))$=L;else{O=R;while(1){T=f[M+(O<<2)>>2]|0;if((T|0)<(O|0))O=T;else break}T=(L|0)>(O|0)?O:L;P=R;do{K=M+(P<<2)|0;_=P;P=f[K>>2]|0;f[K>>2]=T}while((P|0)<(_|0));$=T}T=S;do{P=M+(T<<2)|0;R=T;T=f[P>>2]|0;f[P>>2]=$}while((T|0)<(R|0));f[z+(D<<2)>>2]=$;J=E;break a}while(0);T=f[l>>2]|0;M=f[y+(N<<2)>>2]|0;S=f[z+(D+-2<<2)>>2]|0;R=M;while(1){P=f[T+(R<<2)>>2]|0;if((P|0)<(R|0))R=P;else break}if((M|0)==(S|0))aa=R;else{N=S;while(1){P=f[T+(N<<2)>>2]|0;if((P|0)<(N|0))N=P;else break}P=(R|0)>(N|0)?N:R;L=S;do{O=T+(L<<2)|0;_=L;L=f[O>>2]|0;f[O>>2]=P}while((L|0)<(_|0));aa=P}P=M;do{L=T+(P<<2)|0;S=P;P=f[L>>2]|0;f[L>>2]=aa}while((P|0)<(S|0));f[z+(D<<2)>>2]=aa;J=E;break a}while(0);f[z+(D<<2)>>2]=f[z+(D+-2<<2)>>2];J=E;break}if(b[t+H>>0]|0){do if(A){if(b[w+F>>0]|0){P=D+-2|0;do if((P|0)>-1){if(!(b[v+P>>0]|0))break;if(b[w+H>>0]|0){T=f[z+(P<<2)>>2]|0;if(b[w+D>>0]|0){f[z+(D<<2)>>2]=T;J=E;break a}do if(C){if(!(b[x+D>>0]|0))break;f[z+(D<<2)>>2]=T;J=E;break a}while(0);M=f[l>>2]|0;S=f[y+(D<<2)>>2]|0;L=S;while(1){R=f[M+(L<<2)>>2]|0;if((R|0)<(L|0))L=R;else break}if((S|0)==(T|0))ba=L;else{R=T;while(1){N=f[M+(R<<2)>>2]|0;if((N|0)<(R|0))R=N;else break}N=(L|0)>(R|0)?R:L;_=T;do{O=M+(_<<2)|0;K=_;_=f[O>>2]|0;f[O>>2]=N}while((_|0)<(K|0));ba=N}N=S;do{_=M+(N<<2)|0;T=N;N=f[_>>2]|0;f[_>>2]=ba}while((N|0)<(T|0));f[z+(D<<2)>>2]=ba;J=E;break a}if(!(b[w+P>>0]|0)){N=f[l>>2]|0;M=f[y+(D<<2)>>2]|0;S=f[z+(P<<2)>>2]|0;T=M;while(1){_=f[N+(T<<2)>>2]|0;if((_|0)<(T|0))T=_;else break}if((M|0)==(S|0))ca=T;else{_=S;while(1){L=f[N+(_<<2)>>2]|0;if((L|0)<(_|0))_=L;else break}L=(T|0)>(_|0)?_:T;R=S;do{K=N+(R<<2)|0;O=R;R=f[K>>2]|0;f[K>>2]=L}while((R|0)<(O|0));ca=L}L=M;do{R=N+(L<<2)|0;S=L;L=f[R>>2]|0;f[R>>2]=ca}while((L|0)<(S|0));f[z+(D<<2)>>2]=ca;J=E;break a}do if(C){if(!(b[x+H>>0]|0))break;L=f[z+(P<<2)>>2]|0;if(b[w+D>>0]|0){f[z+(D<<2)>>2]=L;J=E;break a}if(b[x+D>>0]|0){f[z+(D<<2)>>2]=L;J=E;break a}N=f[l>>2]|0;M=f[y+(D<<2)>>2]|0;S=M;while(1){R=f[N+(S<<2)>>2]|0;if((R|0)<(S|0))S=R;else break}if((M|0)==(L|0))da=S;else{R=L;while(1){T=f[N+(R<<2)>>2]|0;if((T|0)<(R|0))R=T;else break}T=(S|0)>(R|0)?R:S;_=L;do{O=N+(_<<2)|0;K=_;_=f[O>>2]|0;f[O>>2]=T}while((_|0)<(K|0));da=T}T=M;do{_=N+(T<<2)|0;L=T;T=f[_>>2]|0;f[_>>2]=da}while((T|0)<(L|0));f[z+(D<<2)>>2]=da;J=E;break a}while(0);T=f[l>>2]|0;N=f[y+(D<<2)>>2]|0;M=f[z+(P<<2)>>2]|0;L=N;while(1){_=f[T+(L<<2)>>2]|0;if((_|0)<(L|0))L=_;else break}if((N|0)==(M|0))ea=L;else{_=M;while(1){S=f[T+(_<<2)>>2]|0;if((S|0)<(_|0))_=S;else break}S=(L|0)>(_|0)?_:L;R=M;do{K=T+(R<<2)|0;O=R;R=f[K>>2]|0;f[K>>2]=S}while((R|0)<(O|0));ea=S}S=N;do{R=T+(S<<2)|0;M=S;S=f[R>>2]|0;f[R>>2]=ea}while((S|0)<(M|0));f[z+(D<<2)>>2]=ea;J=E;break a}while(0);S=f[l>>2]|0;T=f[y+(D<<2)>>2]|0;N=f[z+(P<<2)>>2]|0;M=T;while(1){R=f[S+(M<<2)>>2]|0;if((R|0)<(M|0))M=R;else break}if((T|0)==(N|0))fa=M;else{P=N;while(1){R=f[S+(P<<2)>>2]|0;if((R|0)<(P|0))P=R;else break}R=(M|0)>(P|0)?P:M;L=N;do{_=S+(L<<2)|0;O=L;L=f[_>>2]|0;f[_>>2]=R}while((L|0)<(O|0));fa=R}R=T;do{L=S+(R<<2)|0;N=R;R=f[L>>2]|0;f[L>>2]=fa}while((R|0)<(N|0));f[z+(D<<2)>>2]=fa;J=E;break a}R=D+2|0;do if(!((R|0)>=(n|0)|B)){if(!(b[w+R>>0]|0))break;do if(C){if(!(b[x+F>>0]|0))break;S=D+-2|0;do if((S|0)>-1){if(!(b[v+S>>0]|0))break;if(b[w+H>>0]|0){T=f[z+(S<<2)>>2]|0;if(b[w+D>>0]|0){f[z+(D<<2)>>2]=T;J=E;break a}if(b[x+D>>0]|0){f[z+(D<<2)>>2]=T;J=E;break a}N=f[l>>2]|0;L=f[y+(R<<2)>>2]|0;M=L;while(1){P=f[N+(M<<2)>>2]|0;if((P|0)<(M|0))M=P;else break}if((L|0)==(T|0))ga=M;else{P=T;while(1){O=f[N+(P<<2)>>2]|0;if((O|0)<(P|0))P=O;else break}O=(M|0)>(P|0)?P:M;_=T;do{K=N+(_<<2)|0;U=_;_=f[K>>2]|0;f[K>>2]=O}while((_|0)<(U|0));ga=O}O=L;do{_=N+(O<<2)|0;T=O;O=f[_>>2]|0;f[_>>2]=ga}while((O|0)<(T|0));f[z+(D<<2)>>2]=ga;J=E;break a}if(!(b[w+S>>0]|0)){O=f[l>>2]|0;N=f[y+(R<<2)>>2]|0;L=f[z+(S<<2)>>2]|0;T=N;while(1){_=f[O+(T<<2)>>2]|0;if((_|0)<(T|0))T=_;else break}if((N|0)==(L|0))ha=T;else{_=L;while(1){M=f[O+(_<<2)>>2]|0;if((M|0)<(_|0))_=M;else break}M=(T|0)>(_|0)?_:T;P=L;do{U=O+(P<<2)|0;K=P;P=f[U>>2]|0;f[U>>2]=M}while((P|0)<(K|0));ha=M}M=N;do{P=O+(M<<2)|0;L=M;M=f[P>>2]|0;f[P>>2]=ha}while((M|0)<(L|0));f[z+(D<<2)>>2]=ha;J=E;break a}if(!(b[x+H>>0]|0)){M=f[l>>2]|0;O=f[y+(R<<2)>>2]|0;N=f[z+(S<<2)>>2]|0;L=O;while(1){P=f[M+(L<<2)>>2]|0;if((P|0)<(L|0))L=P;else break}if((O|0)==(N|0))ia=L;else{P=N;while(1){T=f[M+(P<<2)>>2]|0;if((T|0)<(P|0))P=T;else break}T=(L|0)>(P|0)?P:L;_=N;do{K=M+(_<<2)|0;U=_;_=f[K>>2]|0;f[K>>2]=T}while((_|0)<(U|0));ia=T}T=O;do{_=M+(T<<2)|0;N=T;T=f[_>>2]|0;f[_>>2]=ia}while((T|0)<(N|0));f[z+(D<<2)>>2]=ia;J=E;break a}T=f[z+(S<<2)>>2]|0;if(b[w+D>>0]|0){f[z+(D<<2)>>2]=T;J=E;break a}if(b[x+D>>0]|0){f[z+(D<<2)>>2]=T;J=E;break a}M=f[l>>2]|0;O=f[y+(R<<2)>>2]|0;N=O;while(1){_=f[M+(N<<2)>>2]|0;if((_|0)<(N|0))N=_;else break}if((O|0)==(T|0))ja=N;else{_=T;while(1){L=f[M+(_<<2)>>2]|0;if((L|0)<(_|0))_=L;else break}L=(N|0)>(_|0)?_:N;P=T;do{U=M+(P<<2)|0;K=P;P=f[U>>2]|0;f[U>>2]=L}while((P|0)<(K|0));ja=L}L=O;do{P=M+(L<<2)|0;T=L;L=f[P>>2]|0;f[P>>2]=ja}while((L|0)<(T|0));f[z+(D<<2)>>2]=ja;J=E;break a}while(0);L=f[l>>2]|0;M=f[y+(R<<2)>>2]|0;O=f[z+(S<<2)>>2]|0;T=M;while(1){P=f[L+(T<<2)>>2]|0;if((P|0)<(T|0))T=P;else break}if((M|0)==(O|0))ka=T;else{S=O;while(1){P=f[L+(S<<2)>>2]|0;if((P|0)<(S|0))S=P;else break}P=(T|0)>(S|0)?S:T;N=O;do{_=L+(N<<2)|0;K=N;N=f[_>>2]|0;f[_>>2]=P}while((N|0)<(K|0));ka=P}P=M;do{N=L+(P<<2)|0;O=P;P=f[N>>2]|0;f[N>>2]=ka}while((P|0)<(O|0));f[z+(D<<2)>>2]=ka;J=E;break a}while(0);P=D+-2|0;if(!(b[w+D>>0]|0)){L=f[l>>2]|0;M=f[y+(R<<2)>>2]|0;O=f[z+(P<<2)>>2]|0;N=M;while(1){T=f[L+(N<<2)>>2]|0;if((T|0)<(N|0))N=T;else break}if((M|0)==(O|0))la=N;else{T=O;while(1){S=f[L+(T<<2)>>2]|0;if((S|0)<(T|0))T=S;else break}S=(N|0)>(T|0)?T:N;K=O;do{_=L+(K<<2)|0;U=K;K=f[_>>2]|0;f[_>>2]=S}while((K|0)<(U|0));la=S}S=M;do{K=L+(S<<2)|0;O=S;S=f[K>>2]|0;f[K>>2]=la}while((S|0)<(O|0));f[z+(D<<2)>>2]=la;J=E;break a}do if((P|0)>-1){if(!(b[v+P>>0]|0))break;if(b[w+H>>0]|0){S=f[l>>2]|0;L=f[y+(R<<2)>>2]|0;M=f[z+(P<<2)>>2]|0;O=L;while(1){K=f[S+(O<<2)>>2]|0;if((K|0)<(O|0))O=K;else break}if((L|0)==(M|0))ma=O;else{K=M;while(1){N=f[S+(K<<2)>>2]|0;if((N|0)<(K|0))K=N;else break}N=(O|0)>(K|0)?K:O;T=M;do{U=S+(T<<2)|0;_=T;T=f[U>>2]|0;f[U>>2]=N}while((T|0)<(_|0));ma=N}N=L;do{T=S+(N<<2)|0;M=N;N=f[T>>2]|0;f[T>>2]=ma}while((N|0)<(M|0));f[z+(D<<2)>>2]=ma;J=E;break a}if(!(b[w+P>>0]|0)){N=f[l>>2]|0;S=f[y+(D<<2)>>2]|0;L=f[y+(R<<2)>>2]|0;M=S;while(1){T=f[N+(M<<2)>>2]|0;if((T|0)<(M|0))M=T;else break}if((S|0)==(L|0))na=M;else{T=L;while(1){O=f[N+(T<<2)>>2]|0;if((O|0)<(T|0))T=O;else break}O=(M|0)>(T|0)?T:M;K=L;do{_=N+(K<<2)|0;U=K;K=f[_>>2]|0;f[_>>2]=O}while((K|0)<(U|0));na=O}O=S;do{K=N+(O<<2)|0;L=O;O=f[K>>2]|0;f[K>>2]=na}while((O|0)<(L|0));O=f[z+(P<<2)>>2]|0;S=na;while(1){L=f[N+(S<<2)>>2]|0;if((L|0)<(S|0))S=L;else break}if((na|0)==(O|0))oa=S;else{L=O;while(1){K=f[N+(L<<2)>>2]|0;if((K|0)<(L|0))L=K;else break}K=(S|0)>(L|0)?L:S;M=O;do{T=N+(M<<2)|0;U=M;M=f[T>>2]|0;f[T>>2]=K}while((M|0)<(U|0));oa=K}K=na;do{M=N+(K<<2)|0;O=K;K=f[M>>2]|0;f[M>>2]=oa}while((K|0)<(O|0));f[z+(D<<2)>>2]=oa;J=E;break a}do if(C){if(!(b[x+H>>0]|0))break;K=f[l>>2]|0;N=f[y+(R<<2)>>2]|0;O=f[z+(P<<2)>>2]|0;M=N;while(1){S=f[K+(M<<2)>>2]|0;if((S|0)<(M|0))M=S;else break}if((N|0)==(O|0))pa=M;else{S=O;while(1){L=f[K+(S<<2)>>2]|0;if((L|0)<(S|0))S=L;else break}L=(M|0)>(S|0)?S:M;U=O;do{T=K+(U<<2)|0;_=U;U=f[T>>2]|0;f[T>>2]=L}while((U|0)<(_|0));pa=L}L=N;do{U=K+(L<<2)|0;O=L;L=f[U>>2]|0;f[U>>2]=pa}while((L|0)<(O|0));f[z+(D<<2)>>2]=pa;J=E;break a}while(0);L=f[l>>2]|0;K=f[y+(D<<2)>>2]|0;N=f[y+(R<<2)>>2]|0;O=K;while(1){U=f[L+(O<<2)>>2]|0;if((U|0)<(O|0))O=U;else break}if((K|0)==(N|0))qa=O;else{U=N;while(1){M=f[L+(U<<2)>>2]|0;if((M|0)<(U|0))U=M;else break}M=(O|0)>(U|0)?U:O;S=N;do{_=L+(S<<2)|0;T=S;S=f[_>>2]|0;f[_>>2]=M}while((S|0)<(T|0));qa=M}M=K;do{S=L+(M<<2)|0;N=M;M=f[S>>2]|0;f[S>>2]=qa}while((M|0)<(N|0));M=f[z+(P<<2)>>2]|0;K=qa;while(1){N=f[L+(K<<2)>>2]|0;if((N|0)<(K|0))K=N;else break}if((qa|0)==(M|0))ra=K;else{N=M;while(1){S=f[L+(N<<2)>>2]|0;if((S|0)<(N|0))N=S;else break}S=(K|0)>(N|0)?N:K;O=M;do{U=L+(O<<2)|0;T=O;O=f[U>>2]|0;f[U>>2]=S}while((O|0)<(T|0));ra=S}S=qa;do{O=L+(S<<2)|0;M=S;S=f[O>>2]|0;f[O>>2]=ra}while((S|0)<(M|0));f[z+(D<<2)>>2]=ra;J=E;break a}while(0);S=f[l>>2]|0;L=f[y+(D<<2)>>2]|0;M=f[y+(R<<2)>>2]|0;O=L;while(1){K=f[S+(O<<2)>>2]|0;if((K|0)<(O|0))O=K;else break}if((L|0)==(M|0))sa=O;else{K=M;while(1){N=f[S+(K<<2)>>2]|0;if((N|0)<(K|0))K=N;else break}N=(O|0)>(K|0)?K:O;T=M;do{U=S+(T<<2)|0;_=T;T=f[U>>2]|0;f[U>>2]=N}while((T|0)<(_|0));sa=N}N=L;do{T=S+(N<<2)|0;M=N;N=f[T>>2]|0;f[T>>2]=sa}while((N|0)<(M|0));N=f[z+(P<<2)>>2]|0;L=sa;while(1){M=f[S+(L<<2)>>2]|0;if((M|0)<(L|0))L=M;else break}if((sa|0)==(N|0))ta=L;else{P=N;while(1){M=f[S+(P<<2)>>2]|0;if((M|0)<(P|0))P=M;else break}M=(L|0)>(P|0)?P:L;T=N;do{O=S+(T<<2)|0;K=T;T=f[O>>2]|0;f[O>>2]=M}while((T|0)<(K|0));ta=M}M=sa;do{T=S+(M<<2)|0;N=M;M=f[T>>2]|0;f[T>>2]=ta}while((M|0)<(N|0));f[z+(D<<2)>>2]=ta;J=E;break a}while(0);R=D+-2|0;if(!(b[w+D>>0]|0)){ua=R;break}do if((R|0)>-1){if(!(b[v+R>>0]|0))break;if(b[w+H>>0]|0){f[z+(D<<2)>>2]=f[z+(R<<2)>>2];J=E;break a}if(!(b[w+R>>0]|0)){M=f[l>>2]|0;S=f[y+(D<<2)>>2]|0;N=f[z+(R<<2)>>2]|0;T=S;while(1){L=f[M+(T<<2)>>2]|0;if((L|0)<(T|0))T=L;else break}if((S|0)==(N|0))va=T;else{L=N;while(1){P=f[M+(L<<2)>>2]|0;if((P|0)<(L|0))L=P;else break}P=(T|0)>(L|0)?L:T;K=N;do{O=M+(K<<2)|0;_=K;K=f[O>>2]|0;f[O>>2]=P}while((K|0)<(_|0));va=P}P=S;do{K=M+(P<<2)|0;N=P;P=f[K>>2]|0;f[K>>2]=va}while((P|0)<(N|0));f[z+(D<<2)>>2]=va;J=E;break a}do if(C){if(!(b[x+H>>0]|0))break;f[z+(D<<2)>>2]=f[z+(R<<2)>>2];J=E;break a}while(0);P=f[l>>2]|0;M=f[y+(D<<2)>>2]|0;S=f[z+(R<<2)>>2]|0;N=M;while(1){K=f[P+(N<<2)>>2]|0;if((K|0)<(N|0))N=K;else break}if((M|0)==(S|0))wa=N;else{K=S;while(1){T=f[P+(K<<2)>>2]|0;if((T|0)<(K|0))K=T;else break}T=(N|0)>(K|0)?K:N;L=S;do{_=P+(L<<2)|0;O=L;L=f[_>>2]|0;f[_>>2]=T}while((L|0)<(O|0));wa=T}T=M;do{L=P+(T<<2)|0;S=T;T=f[L>>2]|0;f[L>>2]=wa}while((T|0)<(S|0));f[z+(D<<2)>>2]=wa;J=E;break a}while(0);T=f[l>>2]|0;P=f[y+(D<<2)>>2]|0;M=f[z+(R<<2)>>2]|0;S=P;while(1){L=f[T+(S<<2)>>2]|0;if((L|0)<(S|0))S=L;else break}if((P|0)==(M|0))xa=S;else{R=M;while(1){L=f[T+(R<<2)>>2]|0;if((L|0)<(R|0))R=L;else break}L=(S|0)>(R|0)?R:S;N=M;do{K=T+(N<<2)|0;O=N;N=f[K>>2]|0;f[K>>2]=L}while((N|0)<(O|0));xa=L}L=P;do{N=T+(L<<2)|0;M=L;L=f[N>>2]|0;f[N>>2]=xa}while((L|0)<(M|0));f[z+(D<<2)>>2]=xa;J=E;break a}else ua=D+-2|0;while(0);f[z+(D<<2)>>2]=f[z+(ua<<2)>>2];J=E;break}}if(A){if(b[w+F>>0]|0){f[z+(D<<2)>>2]=f[y+(D<<2)>>2];J=E;break}L=D+2|0;if(!((L|0)>=(n|0)|B)?b[w+L>>0]|0:0){if(!(b[w+D>>0]|0)){f[z+(D<<2)>>2]=f[y+(L<<2)>>2];J=E;break}do if(C){if(!(b[x+F>>0]|0))break;f[z+(D<<2)>>2]=f[y+(L<<2)>>2];J=E;break a}while(0);T=f[l>>2]|0;P=f[y+(D<<2)>>2]|0;M=f[y+(L<<2)>>2]|0;N=P;while(1){S=f[T+(N<<2)>>2]|0;if((S|0)<(N|0))N=S;else break}if((P|0)==(M|0))ya=N;else{L=M;while(1){S=f[T+(L<<2)>>2]|0;if((S|0)<(L|0))L=S;else break}S=(N|0)>(L|0)?L:N;R=M;do{O=T+(R<<2)|0;K=R;R=f[O>>2]|0;f[O>>2]=S}while((R|0)<(K|0));ya=S}S=P;do{R=T+(S<<2)|0;M=S;S=f[R>>2]|0;f[R>>2]=ya}while((S|0)<(M|0));f[z+(D<<2)>>2]=ya;J=E;break}if(b[w+D>>0]|0){f[z+(D<<2)>>2]=f[y+(D<<2)>>2];J=E;break}}f[z+(D<<2)>>2]=E;f[(f[l>>2]|0)+(E<<2)>>2]=E;J=E+1|0;break}if(I){if(b[t+H>>0]|0){f[z+(D<<2)>>2]=f[z+(D+-2<<2)>>2];J=E;break}if(b[v+H>>0]|0){f[z+(D<<2)>>2]=f[z+(D+-2<<2)>>2];J=E;break}}f[z+(D<<2)>>2]=E;f[(f[l>>2]|0)+(E<<2)>>2]=E;J=E+1|0;break}do if(G){if(!(b[v+F>>0]|0)){if(!u)break;if(!(b[t+F>>0]|0))break;f[z+(D<<2)>>2]=E;f[(f[l>>2]|0)+(E<<2)>>2]=E;J=E+1|0;break a}if(A){if(b[w+F>>0]|0){f[z+(D<<2)>>2]=f[y+(D<<2)>>2];J=E;break a}S=D+2|0;if(!((S|0)>=(n|0)|B)?b[w+S>>0]|0:0){if(!(b[w+D>>0]|0)){f[z+(D<<2)>>2]=f[y+(S<<2)>>2];J=E;break a}do if(C){if(!(b[x+F>>0]|0))break;f[z+(D<<2)>>2]=f[y+(S<<2)>>2];J=E;break a}while(0);T=f[l>>2]|0;P=f[y+(D<<2)>>2]|0;M=f[y+(S<<2)>>2]|0;R=P;while(1){N=f[T+(R<<2)>>2]|0;if((N|0)<(R|0))R=N;else break}if((P|0)==(M|0))za=R;else{S=M;while(1){N=f[T+(S<<2)>>2]|0;if((N|0)<(S|0))S=N;else break}N=(R|0)>(S|0)?S:R;L=M;do{K=T+(L<<2)|0;O=L;L=f[K>>2]|0;f[K>>2]=N}while((L|0)<(O|0));za=N}N=P;do{L=T+(N<<2)|0;M=N;N=f[L>>2]|0;f[L>>2]=za}while((N|0)<(M|0));f[z+(D<<2)>>2]=za;J=E;break a}if(b[w+D>>0]|0){f[z+(D<<2)>>2]=f[y+(D<<2)>>2];J=E;break a}}f[z+(D<<2)>>2]=E;f[(f[l>>2]|0)+(E<<2)>>2]=E;J=E+1|0;break a}while(0);f[z+(D<<2)>>2]=0;J=E}else{F=D+-1|0;G=(D|0)>0;if(G){if(b[v+F>>0]|0){H=D|1;I=(H|0)<(n|0);if(A&I?b[w+H>>0]|0:0){if(b[w+D>>0]|0){f[z+(D<<2)>>2]=f[z+(D+-2<<2)>>2];J=E;break}if(C?b[x+D>>0]|0:0){N=D+-2|0;if(b[w+F>>0]|0){f[z+(D<<2)>>2]=f[z+(N<<2)>>2];J=E;break}do if((N|0)>-1){if(!(b[w+N>>0]|0))break;if(b[x+F>>0]|0){f[z+(D<<2)>>2]=f[z+(N<<2)>>2];J=E;break a}T=f[l>>2]|0;P=f[y+(D<<2)>>2]|0;M=f[z+(N<<2)>>2]|0;L=P;while(1){R=f[T+(L<<2)>>2]|0;if((R|0)<(L|0))L=R;else break}if((P|0)==(M|0))Aa=L;else{R=M;while(1){S=f[T+(R<<2)>>2]|0;if((S|0)<(R|0))R=S;else break}S=(L|0)>(R|0)?R:L;O=M;do{K=T+(O<<2)|0;_=O;O=f[K>>2]|0;f[K>>2]=S}while((O|0)<(_|0));Aa=S}S=P;do{O=T+(S<<2)|0;M=S;S=f[O>>2]|0;f[O>>2]=Aa}while((S|0)<(M|0));f[z+(D<<2)>>2]=Aa;J=E;break a}while(0);S=f[l>>2]|0;T=f[y+(D<<2)>>2]|0;P=f[z+(N<<2)>>2]|0;M=T;while(1){O=f[S+(M<<2)>>2]|0;if((O|0)<(M|0))M=O;else break}if((T|0)==(P|0))Ba=M;else{N=P;while(1){O=f[S+(N<<2)>>2]|0;if((O|0)<(N|0))N=O;else break}O=(M|0)>(N|0)?N:M;L=P;do{R=S+(L<<2)|0;_=L;L=f[R>>2]|0;f[R>>2]=O}while((L|0)<(_|0));Ba=O}O=T;do{L=S+(O<<2)|0;P=O;O=f[L>>2]|0;f[L>>2]=Ba}while((O|0)<(P|0));f[z+(D<<2)>>2]=Ba;J=E;break}O=f[l>>2]|0;S=f[y+(D<<2)>>2]|0;T=f[z+(D+-2<<2)>>2]|0;P=S;while(1){L=f[O+(P<<2)>>2]|0;if((L|0)<(P|0))P=L;else break}if((S|0)==(T|0))Ca=P;else{L=T;while(1){M=f[O+(L<<2)>>2]|0;if((M|0)<(L|0))L=M;else break}M=(P|0)>(L|0)?L:P;N=T;do{_=O+(N<<2)|0;R=N;N=f[_>>2]|0;f[_>>2]=M}while((N|0)<(R|0));Ca=M}M=S;do{N=O+(M<<2)|0;T=M;M=f[N>>2]|0;f[N>>2]=Ca}while((M|0)<(T|0));f[z+(D<<2)>>2]=Ca;J=E;break}if(I?b[v+H>>0]|0:0){M=D+2|0;if(A&(M|0)<(n|0)?b[w+M>>0]|0:0){do if(C){if(!(b[x+H>>0]|0))break;if(b[w+D>>0]|0){f[z+(D<<2)>>2]=f[z+(D+-2<<2)>>2];J=E;break a}if(!(b[x+D>>0]|0)){O=f[l>>2]|0;S=f[y+(M<<2)>>2]|0;T=f[z+(D+-2<<2)>>2]|0;N=S;while(1){P=f[O+(N<<2)>>2]|0;if((P|0)<(N|0))N=P;else break}if((S|0)==(T|0))Da=N;else{P=T;while(1){L=f[O+(P<<2)>>2]|0;if((L|0)<(P|0))P=L;else break}L=(N|0)>(P|0)?P:N;R=T;do{_=O+(R<<2)|0;K=R;R=f[_>>2]|0;f[_>>2]=L}while((R|0)<(K|0));Da=L}L=S;do{R=O+(L<<2)|0;T=L;L=f[R>>2]|0;f[R>>2]=Da}while((L|0)<(T|0));f[z+(D<<2)>>2]=Da;J=E;break a}L=D+-2|0;if(b[w+F>>0]|0){f[z+(D<<2)>>2]=f[z+(L<<2)>>2];J=E;break a}do if((L|0)>-1){if(!(b[w+L>>0]|0))break;if(b[x+F>>0]|0){f[z+(D<<2)>>2]=f[z+(L<<2)>>2];J=E;break a}O=f[l>>2]|0;S=f[y+(M<<2)>>2]|0;T=f[z+(L<<2)>>2]|0;R=S;while(1){N=f[O+(R<<2)>>2]|0;if((N|0)<(R|0))R=N;else break}if((S|0)==(T|0))Ea=R;else{N=T;while(1){P=f[O+(N<<2)>>2]|0;if((P|0)<(N|0))N=P;else break}P=(R|0)>(N|0)?N:R;K=T;do{_=O+(K<<2)|0;U=K;K=f[_>>2]|0;f[_>>2]=P}while((K|0)<(U|0));Ea=P}P=S;do{K=O+(P<<2)|0;T=P;P=f[K>>2]|0;f[K>>2]=Ea}while((P|0)<(T|0));f[z+(D<<2)>>2]=Ea;J=E;break a}while(0);P=f[l>>2]|0;O=f[y+(M<<2)>>2]|0;S=f[z+(L<<2)>>2]|0;T=O;while(1){K=f[P+(T<<2)>>2]|0;if((K|0)<(T|0))T=K;else break}if((O|0)==(S|0))Fa=T;else{L=S;while(1){K=f[P+(L<<2)>>2]|0;if((K|0)<(L|0))L=K;else break}K=(T|0)>(L|0)?L:T;R=S;do{N=P+(R<<2)|0;U=R;R=f[N>>2]|0;f[N>>2]=K}while((R|0)<(U|0));Fa=K}K=O;do{R=P+(K<<2)|0;S=K;K=f[R>>2]|0;f[R>>2]=Fa}while((K|0)<(S|0));f[z+(D<<2)>>2]=Fa;J=E;break a}while(0);H=f[l>>2]|0;I=f[y+(M<<2)>>2]|0;K=f[z+(D+-2<<2)>>2]|0;P=I;while(1){O=f[H+(P<<2)>>2]|0;if((O|0)<(P|0))P=O;else break}if((I|0)==(K|0))Ga=P;else{M=K;while(1){O=f[H+(M<<2)>>2]|0;if((O|0)<(M|0))M=O;else break}O=(P|0)>(M|0)?M:P;S=K;do{R=H+(S<<2)|0;T=S;S=f[R>>2]|0;f[R>>2]=O}while((S|0)<(T|0));Ga=O}O=I;do{S=H+(O<<2)|0;K=O;O=f[S>>2]|0;f[S>>2]=Ga}while((O|0)<(K|0));f[z+(D<<2)>>2]=Ga;J=E;break}f[z+(D<<2)>>2]=f[z+(D+-2<<2)>>2];J=E;break}f[z+(D<<2)>>2]=f[z+(D+-2<<2)>>2];J=E;break}if(u?b[t+F>>0]|0:0){O=D|1;H=(O|0)<(n|0);if(!(B|H^1)?b[w+O>>0]|0:0){I=D+-2|0;if((I|0)>-1?b[v+I>>0]|0:0){if(b[w+F>>0]|0){K=f[z+(I<<2)>>2]|0;if(b[w+D>>0]|0){f[z+(D<<2)>>2]=K;J=E;break}do if(C){if(!(b[x+D>>0]|0))break;f[z+(D<<2)>>2]=K;J=E;break a}while(0);S=f[l>>2]|0;P=f[y+(D<<2)>>2]|0;M=P;while(1){T=f[S+(M<<2)>>2]|0;if((T|0)<(M|0))M=T;else break}if((P|0)==(K|0))Ha=M;else{T=K;while(1){R=f[S+(T<<2)>>2]|0;if((R|0)<(T|0))T=R;else break}R=(M|0)>(T|0)?T:M;L=K;do{U=S+(L<<2)|0;N=L;L=f[U>>2]|0;f[U>>2]=R}while((L|0)<(N|0));Ha=R}R=P;do{L=S+(R<<2)|0;K=R;R=f[L>>2]|0;f[L>>2]=Ha}while((R|0)<(K|0));f[z+(D<<2)>>2]=Ha;J=E;break}if(!(b[w+I>>0]|0)){R=f[l>>2]|0;S=f[y+(D<<2)>>2]|0;P=f[z+(I<<2)>>2]|0;K=S;while(1){L=f[R+(K<<2)>>2]|0;if((L|0)<(K|0))K=L;else break}if((S|0)==(P|0))Ia=K;else{L=P;while(1){M=f[R+(L<<2)>>2]|0;if((M|0)<(L|0))L=M;else break}M=(K|0)>(L|0)?L:K;T=P;do{N=R+(T<<2)|0;U=T;T=f[N>>2]|0;f[N>>2]=M}while((T|0)<(U|0));Ia=M}M=S;do{T=R+(M<<2)|0;P=M;M=f[T>>2]|0;f[T>>2]=Ia}while((M|0)<(P|0));f[z+(D<<2)>>2]=Ia;J=E;break}do if(C){if(!(b[x+F>>0]|0))break;M=f[z+(I<<2)>>2]|0;if(b[w+D>>0]|0){f[z+(D<<2)>>2]=M;J=E;break a}if(b[x+D>>0]|0){f[z+(D<<2)>>2]=M;J=E;break a}R=f[l>>2]|0;S=f[y+(D<<2)>>2]|0;P=S;while(1){T=f[R+(P<<2)>>2]|0;if((T|0)<(P|0))P=T;else break}if((S|0)==(M|0))Ja=P;else{T=M;while(1){K=f[R+(T<<2)>>2]|0;if((K|0)<(T|0))T=K;else break}K=(P|0)>(T|0)?T:P;L=M;do{U=R+(L<<2)|0;N=L;L=f[U>>2]|0;f[U>>2]=K}while((L|0)<(N|0));Ja=K}K=S;do{L=R+(K<<2)|0;M=K;K=f[L>>2]|0;f[L>>2]=Ja}while((K|0)<(M|0));f[z+(D<<2)>>2]=Ja;J=E;break a}while(0);K=f[l>>2]|0;R=f[y+(D<<2)>>2]|0;S=f[z+(I<<2)>>2]|0;M=R;while(1){L=f[K+(M<<2)>>2]|0;if((L|0)<(M|0))M=L;else break}if((R|0)==(S|0))Ka=M;else{L=S;while(1){P=f[K+(L<<2)>>2]|0;if((P|0)<(L|0))L=P;else break}P=(M|0)>(L|0)?L:M;T=S;do{N=K+(T<<2)|0;U=T;T=f[N>>2]|0;f[N>>2]=P}while((T|0)<(U|0));Ka=P}P=R;do{T=K+(P<<2)|0;S=P;P=f[T>>2]|0;f[T>>2]=Ka}while((P|0)<(S|0));f[z+(D<<2)>>2]=Ka;J=E;break}if(b[w+D>>0]|0){P=f[l>>2]|0;K=f[y+(D<<2)>>2]|0;R=f[z+(I<<2)>>2]|0;S=K;while(1){T=f[P+(S<<2)>>2]|0;if((T|0)<(S|0))S=T;else break}if((K|0)==(R|0))La=S;else{T=R;while(1){M=f[P+(T<<2)>>2]|0;if((M|0)<(T|0))T=M;else break}M=(S|0)>(T|0)?T:S;L=R;do{U=P+(L<<2)|0;N=L;L=f[U>>2]|0;f[U>>2]=M}while((L|0)<(N|0));La=M}M=K;do{L=P+(M<<2)|0;R=M;M=f[L>>2]|0;f[L>>2]=La}while((M|0)<(R|0));f[z+(D<<2)>>2]=La;J=E;break}if(!(b[w+F>>0]|0)){M=f[l>>2]|0;P=f[y+(D<<2)>>2]|0;K=f[z+(I<<2)>>2]|0;R=P;while(1){L=f[M+(R<<2)>>2]|0;if((L|0)<(R|0))R=L;else break}if((P|0)==(K|0))Ma=R;else{L=K;while(1){S=f[M+(L<<2)>>2]|0;if((S|0)<(L|0))L=S;else break}S=(R|0)>(L|0)?L:R;T=K;do{N=M+(T<<2)|0;U=T;T=f[N>>2]|0;f[N>>2]=S}while((T|0)<(U|0));Ma=S}S=P;do{T=M+(S<<2)|0;K=S;S=f[T>>2]|0;f[T>>2]=Ma}while((S|0)<(K|0));f[z+(D<<2)>>2]=Ma;J=E;break}S=f[y+(D<<2)>>2]|0;M=f[l>>2]|0;do if(C){if(!(b[x+D>>0]|0))break;P=f[z+(I<<2)>>2]|0;K=S;while(1){T=f[M+(K<<2)>>2]|0;if((T|0)<(K|0))K=T;else break}if((S|0)==(P|0))Na=K;else{T=P;while(1){R=f[M+(T<<2)>>2]|0;if((R|0)<(T|0))T=R;else break}R=(K|0)>(T|0)?T:K;L=P;do{U=M+(L<<2)|0;N=L;L=f[U>>2]|0;f[U>>2]=R}while((L|0)<(N|0));Na=R}R=S;do{L=M+(R<<2)|0;P=R;R=f[L>>2]|0;f[L>>2]=Na}while((R|0)<(P|0));f[z+(D<<2)>>2]=Na;J=E;break a}while(0);R=f[y+(I<<2)>>2]|0;P=R;while(1){L=f[M+(P<<2)>>2]|0;if((L|0)<(P|0))P=L;else break}if((R|0)==(S|0))Oa=P;else{L=S;while(1){K=f[M+(L<<2)>>2]|0;if((K|0)<(L|0))L=K;else break}K=(P|0)>(L|0)?L:P;T=S;do{N=M+(T<<2)|0;U=T;T=f[N>>2]|0;f[N>>2]=K}while((T|0)<(U|0));Oa=K}K=R;do{T=M+(K<<2)|0;S=K;K=f[T>>2]|0;f[T>>2]=Oa}while((K|0)<(S|0));K=f[z+(I<<2)>>2]|0;R=Oa;while(1){S=f[M+(R<<2)>>2]|0;if((S|0)<(R|0))R=S;else break}if((Oa|0)==(K|0))Pa=R;else{I=K;while(1){S=f[M+(I<<2)>>2]|0;if((S|0)<(I|0))I=S;else break}S=(R|0)>(I|0)?I:R;T=K;do{P=M+(T<<2)|0;L=T;T=f[P>>2]|0;f[P>>2]=S}while((T|0)<(L|0));Pa=S}S=Oa;do{T=M+(S<<2)|0;K=S;S=f[T>>2]|0;f[T>>2]=Pa}while((S|0)<(K|0));f[z+(D<<2)>>2]=Pa;J=E;break}if(H?b[v+O>>0]|0:0){S=D+2|0;if(!((S|0)>=(n|0)|B)?b[w+S>>0]|0:0){M=D+-2|0;do if((M|0)>-1){if(!(b[v+M>>0]|0))break;if(b[w+F>>0]|0){do if(C){if(!(b[x+O>>0]|0))break;K=f[z+(M<<2)>>2]|0;if(b[w+D>>0]|0){f[z+(D<<2)>>2]=K;J=E;break a}if(b[x+D>>0]|0){f[z+(D<<2)>>2]=K;J=E;break a}T=f[l>>2]|0;R=f[y+(S<<2)>>2]|0;I=R;while(1){L=f[T+(I<<2)>>2]|0;if((L|0)<(I|0))I=L;else break}if((R|0)==(K|0))Qa=I;else{L=K;while(1){P=f[T+(L<<2)>>2]|0;if((P|0)<(L|0))L=P;else break}P=(I|0)>(L|0)?L:I;U=K;do{N=T+(U<<2)|0;_=U;U=f[N>>2]|0;f[N>>2]=P}while((U|0)<(_|0));Qa=P}P=R;do{U=T+(P<<2)|0;K=P;P=f[U>>2]|0;f[U>>2]=Qa}while((P|0)<(K|0));f[z+(D<<2)>>2]=Qa;J=E;break a}while(0);P=f[l>>2]|0;T=f[y+(S<<2)>>2]|0;R=f[z+(M<<2)>>2]|0;K=T;while(1){U=f[P+(K<<2)>>2]|0;if((U|0)<(K|0))K=U;else break}if((T|0)==(R|0))Ra=K;else{U=R;while(1){I=f[P+(U<<2)>>2]|0;if((I|0)<(U|0))U=I;else break}I=(K|0)>(U|0)?U:K;L=R;do{_=P+(L<<2)|0;N=L;L=f[_>>2]|0;f[_>>2]=I}while((L|0)<(N|0));Ra=I}I=T;do{L=P+(I<<2)|0;R=I;I=f[L>>2]|0;f[L>>2]=Ra}while((I|0)<(R|0));f[z+(D<<2)>>2]=Ra;J=E;break a}do if(C){if(!(b[x+O>>0]|0))break;if(!(b[w+M>>0]|0)){I=f[l>>2]|0;P=f[y+(S<<2)>>2]|0;T=f[z+(M<<2)>>2]|0;R=P;while(1){L=f[I+(R<<2)>>2]|0;if((L|0)<(R|0))R=L;else break}if((P|0)==(T|0))Sa=R;else{L=T;while(1){K=f[I+(L<<2)>>2]|0;if((K|0)<(L|0))L=K;else break}K=(R|0)>(L|0)?L:R;U=T;do{N=I+(U<<2)|0;_=U;U=f[N>>2]|0;f[N>>2]=K}while((U|0)<(_|0));Sa=K}K=P;do{U=I+(K<<2)|0;T=K;K=f[U>>2]|0;f[U>>2]=Sa}while((K|0)<(T|0));f[z+(D<<2)>>2]=Sa;J=E;break a}if(!(b[x+F>>0]|0)){K=f[l>>2]|0;I=f[y+(S<<2)>>2]|0;P=f[z+(M<<2)>>2]|0;T=I;while(1){U=f[K+(T<<2)>>2]|0;if((U|0)<(T|0))T=U;else break}if((I|0)==(P|0))Ta=T;else{U=P;while(1){R=f[K+(U<<2)>>2]|0;if((R|0)<(U|0))U=R;else break}R=(T|0)>(U|0)?U:T;L=P;do{_=K+(L<<2)|0;N=L;L=f[_>>2]|0;f[_>>2]=R}while((L|0)<(N|0));Ta=R}R=I;do{L=K+(R<<2)|0;P=R;R=f[L>>2]|0;f[L>>2]=Ta}while((R|0)<(P|0));f[z+(D<<2)>>2]=Ta;J=E;break a}R=f[z+(M<<2)>>2]|0;if(b[w+D>>0]|0){f[z+(D<<2)>>2]=R;J=E;break a}if(b[x+D>>0]|0){f[z+(D<<2)>>2]=R;J=E;break a}K=f[l>>2]|0;I=f[y+(S<<2)>>2]|0;P=I;while(1){L=f[K+(P<<2)>>2]|0;if((L|0)<(P|0))P=L;else break}if((I|0)==(R|0))Ua=P;else{L=R;while(1){T=f[K+(L<<2)>>2]|0;if((T|0)<(L|0))L=T;else break}T=(P|0)>(L|0)?L:P;U=R;do{N=K+(U<<2)|0;_=U;U=f[N>>2]|0;f[N>>2]=T}while((U|0)<(_|0));Ua=T}T=I;do{U=K+(T<<2)|0;R=T;T=f[U>>2]|0;f[U>>2]=Ua}while((T|0)<(R|0));f[z+(D<<2)>>2]=Ua;J=E;break a}while(0);if(!(b[w+D>>0]|0)){T=f[l>>2]|0;K=f[y+(S<<2)>>2]|0;I=f[z+(M<<2)>>2]|0;R=K;while(1){U=f[T+(R<<2)>>2]|0;if((U|0)<(R|0))R=U;else break}if((K|0)==(I|0))Va=R;else{U=I;while(1){P=f[T+(U<<2)>>2]|0;if((P|0)<(U|0))U=P;else break}P=(R|0)>(U|0)?U:R;L=I;do{_=T+(L<<2)|0;N=L;L=f[_>>2]|0;f[_>>2]=P}while((L|0)<(N|0));Va=P}P=K;do{L=T+(P<<2)|0;I=P;P=f[L>>2]|0;f[L>>2]=Va}while((P|0)<(I|0));f[z+(D<<2)>>2]=Va;J=E;break a}if(!(b[w+M>>0]|0)){P=f[l>>2]|0;T=f[y+(D<<2)>>2]|0;K=f[y+(S<<2)>>2]|0;I=T;while(1){L=f[P+(I<<2)>>2]|0;if((L|0)<(I|0))I=L;else break}if((T|0)==(K|0))Wa=I;else{L=K;while(1){R=f[P+(L<<2)>>2]|0;if((R|0)<(L|0))L=R;else break}R=(I|0)>(L|0)?L:I;U=K;do{N=P+(U<<2)|0;_=U;U=f[N>>2]|0;f[N>>2]=R}while((U|0)<(_|0));Wa=R}R=T;do{U=P+(R<<2)|0;K=R;R=f[U>>2]|0;f[U>>2]=Wa}while((R|0)<(K|0));R=f[z+(M<<2)>>2]|0;T=Wa;while(1){K=f[P+(T<<2)>>2]|0;if((K|0)<(T|0))T=K;else break}if((Wa|0)==(R|0))Xa=T;else{K=R;while(1){U=f[P+(K<<2)>>2]|0;if((U|0)<(K|0))K=U;else break}U=(T|0)>(K|0)?K:T;I=R;do{L=P+(I<<2)|0;_=I;I=f[L>>2]|0;f[L>>2]=U}while((I|0)<(_|0));Xa=U}U=Wa;do{I=P+(U<<2)|0;R=U;U=f[I>>2]|0;f[I>>2]=Xa}while((U|0)<(R|0));f[z+(D<<2)>>2]=Xa;J=E;break a}do if(C){if(!(b[x+F>>0]|0))break;U=f[l>>2]|0;P=f[y+(S<<2)>>2]|0;R=f[z+(M<<2)>>2]|0;I=P;while(1){T=f[U+(I<<2)>>2]|0;if((T|0)<(I|0))I=T;else break}if((P|0)==(R|0))Ya=I;else{T=R;while(1){K=f[U+(T<<2)>>2]|0;if((K|0)<(T|0))T=K;else break}K=(I|0)>(T|0)?T:I;_=R;do{L=U+(_<<2)|0;N=_;_=f[L>>2]|0;f[L>>2]=K}while((_|0)<(N|0));Ya=K}K=P;do{_=U+(K<<2)|0;R=K;K=f[_>>2]|0;f[_>>2]=Ya}while((K|0)<(R|0));f[z+(D<<2)>>2]=Ya;J=E;break a}while(0);K=f[l>>2]|0;U=f[y+(D<<2)>>2]|0;P=f[y+(S<<2)>>2]|0;R=U;while(1){_=f[K+(R<<2)>>2]|0;if((_|0)<(R|0))R=_;else break}if((U|0)==(P|0))Za=R;else{_=P;while(1){I=f[K+(_<<2)>>2]|0;if((I|0)<(_|0))_=I;else break}I=(R|0)>(_|0)?_:R;T=P;do{N=K+(T<<2)|0;L=T;T=f[N>>2]|0;f[N>>2]=I}while((T|0)<(L|0));Za=I}I=U;do{T=K+(I<<2)|0;P=I;I=f[T>>2]|0;f[T>>2]=Za}while((I|0)<(P|0));I=f[z+(M<<2)>>2]|0;U=Za;while(1){P=f[K+(U<<2)>>2]|0;if((P|0)<(U|0))U=P;else break}if((Za|0)==(I|0))_a=U;else{P=I;while(1){T=f[K+(P<<2)>>2]|0;if((T|0)<(P|0))P=T;else break}T=(U|0)>(P|0)?P:U;R=I;do{_=K+(R<<2)|0;L=R;R=f[_>>2]|0;f[_>>2]=T}while((R|0)<(L|0));_a=T}T=Za;do{R=K+(T<<2)|0;I=T;T=f[R>>2]|0;f[R>>2]=_a}while((T|0)<(I|0));f[z+(D<<2)>>2]=_a;J=E;break a}while(0);if(b[w+D>>0]|0){do if(C){if(!(b[x+O>>0]|0))break;H=f[l>>2]|0;T=f[y+(S<<2)>>2]|0;K=f[z+(M<<2)>>2]|0;I=T;while(1){R=f[H+(I<<2)>>2]|0;if((R|0)<(I|0))I=R;else break}if((T|0)==(K|0))$a=I;else{R=K;while(1){U=f[H+(R<<2)>>2]|0;if((U|0)<(R|0))R=U;else break}U=(I|0)>(R|0)?R:I;P=K;do{L=H+(P<<2)|0;_=P;P=f[L>>2]|0;f[L>>2]=U}while((P|0)<(_|0));$a=U}U=T;do{P=H+(U<<2)|0;K=U;U=f[P>>2]|0;f[P>>2]=$a}while((U|0)<(K|0));f[z+(D<<2)>>2]=$a;J=E;break a}while(0);U=f[l>>2]|0;H=f[y+(D<<2)>>2]|0;T=f[y+(S<<2)>>2]|0;K=H;while(1){P=f[U+(K<<2)>>2]|0;if((P|0)<(K|0))K=P;else break}if((H|0)==(T|0))ab=K;else{P=T;while(1){I=f[U+(P<<2)>>2]|0;if((I|0)<(P|0))P=I;else break}I=(K|0)>(P|0)?P:K;R=T;do{_=U+(R<<2)|0;L=R;R=f[_>>2]|0;f[_>>2]=I}while((R|0)<(L|0));ab=I}I=H;do{R=U+(I<<2)|0;T=I;I=f[R>>2]|0;f[R>>2]=ab}while((I|0)<(T|0));I=f[z+(M<<2)>>2]|0;H=ab;while(1){T=f[U+(H<<2)>>2]|0;if((T|0)<(H|0))H=T;else break}if((ab|0)==(I|0))bb=H;else{T=I;while(1){R=f[U+(T<<2)>>2]|0;if((R|0)<(T|0))T=R;else break}R=(H|0)>(T|0)?T:H;K=I;do{P=U+(K<<2)|0;L=K;K=f[P>>2]|0;f[P>>2]=R}while((K|0)<(L|0));bb=R}R=ab;do{K=U+(R<<2)|0;I=R;R=f[K>>2]|0;f[K>>2]=bb}while((R|0)<(I|0));f[z+(D<<2)>>2]=bb;J=E;break}if(!(b[w+F>>0]|0)){R=f[l>>2]|0;U=f[y+(S<<2)>>2]|0;I=f[z+(M<<2)>>2]|0;K=U;while(1){H=f[R+(K<<2)>>2]|0;if((H|0)<(K|0))K=H;else break}if((U|0)==(I|0))cb=K;else{H=I;while(1){T=f[R+(H<<2)>>2]|0;if((T|0)<(H|0))H=T;else break}T=(K|0)>(H|0)?H:K;L=I;do{P=R+(L<<2)|0;_=L;L=f[P>>2]|0;f[P>>2]=T}while((L|0)<(_|0));cb=T}T=U;do{L=R+(T<<2)|0;I=T;T=f[L>>2]|0;f[L>>2]=cb}while((T|0)<(I|0));f[z+(D<<2)>>2]=cb;J=E;break}do if(C){if(!(b[x+O>>0]|0))break;T=f[y+(S<<2)>>2]|0;R=f[l>>2]|0;if(b[x+D>>0]|0){U=f[z+(M<<2)>>2]|0;I=T;while(1){L=f[R+(I<<2)>>2]|0;if((L|0)<(I|0))I=L;else break}if((T|0)==(U|0))db=I;else{L=U;while(1){K=f[R+(L<<2)>>2]|0;if((K|0)<(L|0))L=K;else break}K=(I|0)>(L|0)?L:I;H=U;do{_=R+(H<<2)|0;P=H;H=f[_>>2]|0;f[_>>2]=K}while((H|0)<(P|0));db=K}K=T;do{H=R+(K<<2)|0;U=K;K=f[H>>2]|0;f[H>>2]=db}while((K|0)<(U|0));f[z+(D<<2)>>2]=db;J=E;break a}K=f[y+(M<<2)>>2]|0;U=K;while(1){H=f[R+(U<<2)>>2]|0;if((H|0)<(U|0))U=H;else break}if((K|0)==(T|0))eb=U;else{H=T;while(1){I=f[R+(H<<2)>>2]|0;if((I|0)<(H|0))H=I;else break}I=(U|0)>(H|0)?H:U;L=T;do{P=R+(L<<2)|0;_=L;L=f[P>>2]|0;f[P>>2]=I}while((L|0)<(_|0));eb=I}I=K;do{L=R+(I<<2)|0;T=I;I=f[L>>2]|0;f[L>>2]=eb}while((I|0)<(T|0));I=f[z+(M<<2)>>2]|0;K=eb;while(1){T=f[R+(K<<2)>>2]|0;if((T|0)<(K|0))K=T;else break}if((eb|0)==(I|0))fb=K;else{T=I;while(1){L=f[R+(T<<2)>>2]|0;if((L|0)<(T|0))T=L;else break}L=(K|0)>(T|0)?T:K;U=I;do{H=R+(U<<2)|0;_=U;U=f[H>>2]|0;f[H>>2]=L}while((U|0)<(_|0));fb=L}L=eb;do{U=R+(L<<2)|0;I=L;L=f[U>>2]|0;f[U>>2]=fb}while((L|0)<(I|0));f[z+(D<<2)>>2]=fb;J=E;break a}while(0);O=f[l>>2]|0;L=f[y+(M<<2)>>2]|0;R=f[y+(S<<2)>>2]|0;I=L;while(1){U=f[O+(I<<2)>>2]|0;if((U|0)<(I|0))I=U;else break}if((L|0)==(R|0))gb=I;else{S=R;while(1){U=f[O+(S<<2)>>2]|0;if((U|0)<(S|0))S=U;else break}U=(I|0)>(S|0)?S:I;K=R;do{T=O+(K<<2)|0;_=K;K=f[T>>2]|0;f[T>>2]=U}while((K|0)<(_|0));gb=U}U=L;do{K=O+(U<<2)|0;R=U;U=f[K>>2]|0;f[K>>2]=gb}while((U|0)<(R|0));U=f[z+(M<<2)>>2]|0;L=gb;while(1){R=f[O+(L<<2)>>2]|0;if((R|0)<(L|0))L=R;else break}if((gb|0)==(U|0))hb=L;else{M=U;while(1){R=f[O+(M<<2)>>2]|0;if((R|0)<(M|0))M=R;else break}R=(L|0)>(M|0)?M:L;K=U;do{I=O+(K<<2)|0;S=K;K=f[I>>2]|0;f[I>>2]=R}while((K|0)<(S|0));hb=R}R=gb;do{K=O+(R<<2)|0;U=R;R=f[K>>2]|0;f[K>>2]=hb}while((R|0)<(U|0));f[z+(D<<2)>>2]=hb;J=E;break}do if(A){R=D+-2|0;if(b[w+F>>0]|0){O=f[z+(R<<2)>>2]|0;do if((R|0)>-1){if(!(b[v+R>>0]|0))break;f[z+(D<<2)>>2]=O;J=E;break a}while(0);U=f[l>>2]|0;K=f[y+(R<<2)>>2]|0;L=K;while(1){M=f[U+(L<<2)>>2]|0;if((M|0)<(L|0))L=M;else break}if((K|0)==(O|0))ib=L;else{M=O;while(1){S=f[U+(M<<2)>>2]|0;if((S|0)<(M|0))M=S;else break}S=(L|0)>(M|0)?M:L;I=O;do{_=U+(I<<2)|0;T=I;I=f[_>>2]|0;f[_>>2]=S}while((I|0)<(T|0));ib=S}S=K;do{I=U+(S<<2)|0;O=S;S=f[I>>2]|0;f[I>>2]=ib}while((S|0)<(O|0));f[z+(D<<2)>>2]=ib;J=E;break a}if(!(b[w+D>>0]|0)){jb=R;break}do if((R|0)>-1){if(!(b[v+R>>0]|0))break;if(!(b[w+R>>0]|0)){S=f[l>>2]|0;U=f[y+(D<<2)>>2]|0;K=f[z+(R<<2)>>2]|0;O=U;while(1){I=f[S+(O<<2)>>2]|0;if((I|0)<(O|0))O=I;else break}if((U|0)==(K|0))kb=O;else{I=K;while(1){L=f[S+(I<<2)>>2]|0;if((L|0)<(I|0))I=L;else break}L=(O|0)>(I|0)?I:O;M=K;do{T=S+(M<<2)|0;_=M;M=f[T>>2]|0;f[T>>2]=L}while((M|0)<(_|0));kb=L}L=U;do{M=S+(L<<2)|0;K=L;L=f[M>>2]|0;f[M>>2]=kb}while((L|0)<(K|0));f[z+(D<<2)>>2]=kb;J=E;break a}do if(C){if(!(b[x+F>>0]|0))break;f[z+(D<<2)>>2]=f[z+(R<<2)>>2];J=E;break a}while(0);L=f[l>>2]|0;S=f[y+(D<<2)>>2]|0;U=f[z+(R<<2)>>2]|0;K=S;while(1){M=f[L+(K<<2)>>2]|0;if((M|0)<(K|0))K=M;else break}if((S|0)==(U|0))lb=K;else{M=U;while(1){O=f[L+(M<<2)>>2]|0;if((O|0)<(M|0))M=O;else break}O=(K|0)>(M|0)?M:K;I=U;do{_=L+(I<<2)|0;T=I;I=f[_>>2]|0;f[_>>2]=O}while((I|0)<(T|0));lb=O}O=S;do{I=L+(O<<2)|0;U=O;O=f[I>>2]|0;f[I>>2]=lb}while((O|0)<(U|0));f[z+(D<<2)>>2]=lb;J=E;break a}while(0);O=f[l>>2]|0;L=f[y+(D<<2)>>2]|0;S=f[z+(R<<2)>>2]|0;U=L;while(1){I=f[O+(U<<2)>>2]|0;if((I|0)<(U|0))U=I;else break}if((L|0)==(S|0))mb=U;else{R=S;while(1){I=f[O+(R<<2)>>2]|0;if((I|0)<(R|0))R=I;else break}I=(U|0)>(R|0)?R:U;K=S;do{M=O+(K<<2)|0;T=K;K=f[M>>2]|0;f[M>>2]=I}while((K|0)<(T|0));mb=I}I=L;do{K=O+(I<<2)|0;S=I;I=f[K>>2]|0;f[K>>2]=mb}while((I|0)<(S|0));f[z+(D<<2)>>2]=mb;J=E;break a}else jb=D+-2|0;while(0);f[z+(D<<2)>>2]=f[z+(jb<<2)>>2];J=E;break}if(A){I=D+-2|0;if(b[w+F>>0]|0){O=f[z+(I<<2)>>2]|0;do if((I|0)>-1){if(!(b[v+I>>0]|0))break;f[z+(D<<2)>>2]=O;J=E;break a}while(0);L=f[l>>2]|0;S=f[y+(I<<2)>>2]|0;K=S;while(1){U=f[L+(K<<2)>>2]|0;if((U|0)<(K|0))K=U;else break}if((S|0)==(O|0))nb=K;else{U=O;while(1){R=f[L+(U<<2)>>2]|0;if((R|0)<(U|0))U=R;else break}R=(K|0)>(U|0)?U:K;T=O;do{M=L+(T<<2)|0;_=T;T=f[M>>2]|0;f[M>>2]=R}while((T|0)<(_|0));nb=R}R=S;do{T=L+(R<<2)|0;O=R;R=f[T>>2]|0;f[T>>2]=nb}while((R|0)<(O|0));f[z+(D<<2)>>2]=nb;J=E;break}if(!(b[w+D>>0]|0))ob=I;else{do if((I|0)>-1){if(!(b[v+I>>0]|0))break;if(!(b[w+I>>0]|0)){R=f[l>>2]|0;L=f[y+(D<<2)>>2]|0;S=f[z+(I<<2)>>2]|0;O=L;while(1){T=f[R+(O<<2)>>2]|0;if((T|0)<(O|0))O=T;else break}if((L|0)==(S|0))pb=O;else{T=S;while(1){K=f[R+(T<<2)>>2]|0;if((K|0)<(T|0))T=K;else break}K=(O|0)>(T|0)?T:O;U=S;do{_=R+(U<<2)|0;M=U;U=f[_>>2]|0;f[_>>2]=K}while((U|0)<(M|0));pb=K}K=L;do{U=R+(K<<2)|0;S=K;K=f[U>>2]|0;f[U>>2]=pb}while((K|0)<(S|0));f[z+(D<<2)>>2]=pb;J=E;break a}do if(C){if(!(b[x+F>>0]|0))break;f[z+(D<<2)>>2]=f[z+(I<<2)>>2];J=E;break a}while(0);K=f[l>>2]|0;R=f[y+(D<<2)>>2]|0;L=f[z+(I<<2)>>2]|0;S=R;while(1){U=f[K+(S<<2)>>2]|0;if((U|0)<(S|0))S=U;else break}if((R|0)==(L|0))qb=S;else{U=L;while(1){O=f[K+(U<<2)>>2]|0;if((O|0)<(U|0))U=O;else break}O=(S|0)>(U|0)?U:S;T=L;do{M=K+(T<<2)|0;_=T;T=f[M>>2]|0;f[M>>2]=O}while((T|0)<(_|0));qb=O}O=R;do{T=K+(O<<2)|0;L=O;O=f[T>>2]|0;f[T>>2]=qb}while((O|0)<(L|0));f[z+(D<<2)>>2]=qb;J=E;break a}while(0);O=f[l>>2]|0;K=f[y+(D<<2)>>2]|0;R=f[z+(I<<2)>>2]|0;L=K;while(1){T=f[O+(L<<2)>>2]|0;if((T|0)<(L|0))L=T;else break}if((K|0)==(R|0))rb=L;else{I=R;while(1){T=f[O+(I<<2)>>2]|0;if((T|0)<(I|0))I=T;else break}T=(L|0)>(I|0)?I:L;S=R;do{U=O+(S<<2)|0;_=S;S=f[U>>2]|0;f[U>>2]=T}while((S|0)<(_|0));rb=T}T=K;do{S=O+(T<<2)|0;R=T;T=f[S>>2]|0;f[S>>2]=rb}while((T|0)<(R|0));f[z+(D<<2)>>2]=rb;J=E;break}}else ob=D+-2|0;f[z+(D<<2)>>2]=f[z+(ob<<2)>>2];J=E;break}}T=D|1;O=(T|0)<(n|0);if(!(B|O^1)?b[w+T>>0]|0:0){if(b[w+D>>0]|0){f[z+(D<<2)>>2]=f[y+(D<<2)>>2];J=E;break}if(G?b[w+F>>0]|0:0){K=f[y+(D<<2)>>2]|0;if(C?b[x+D>>0]|0:0){f[z+(D<<2)>>2]=K;J=E;break}R=f[l>>2]|0;S=f[y+(D+-2<<2)>>2]|0;L=S;while(1){I=f[R+(L<<2)>>2]|0;if((I|0)<(L|0))L=I;else break}if((S|0)==(K|0))sb=L;else{I=K;while(1){_=f[R+(I<<2)>>2]|0;if((_|0)<(I|0))I=_;else break}_=(L|0)>(I|0)?I:L;U=K;do{M=R+(U<<2)|0;H=U;U=f[M>>2]|0;f[M>>2]=_}while((U|0)<(H|0));sb=_}_=S;do{U=R+(_<<2)|0;K=_;_=f[U>>2]|0;f[U>>2]=sb}while((_|0)<(K|0));f[z+(D<<2)>>2]=sb;J=E;break}f[z+(D<<2)>>2]=f[y+(D<<2)>>2];J=E;break}if(O?b[v+T>>0]|0:0){_=D+2|0;if(!((_|0)>=(n|0)|B)?b[w+_>>0]|0:0){if(b[w+D>>0]|0){if(C?b[x+T>>0]|0:0){f[z+(D<<2)>>2]=f[y+(_<<2)>>2];J=E;break}R=f[l>>2]|0;S=f[y+(D<<2)>>2]|0;K=f[y+(_<<2)>>2]|0;U=S;while(1){L=f[R+(U<<2)>>2]|0;if((L|0)<(U|0))U=L;else break}if((S|0)==(K|0))tb=U;else{O=K;while(1){L=f[R+(O<<2)>>2]|0;if((L|0)<(O|0))O=L;else break}L=(U|0)>(O|0)?O:U;I=K;do{H=R+(I<<2)|0;M=I;I=f[H>>2]|0;f[H>>2]=L}while((I|0)<(M|0));tb=L}L=S;do{I=R+(L<<2)|0;K=L;L=f[I>>2]|0;f[I>>2]=tb}while((L|0)<(K|0));f[z+(D<<2)>>2]=tb;J=E;break}if(G?b[w+F>>0]|0:0){do if(C){if(!(b[x+T>>0]|0))break;L=f[y+(_<<2)>>2]|0;if(b[x+D>>0]|0){f[z+(D<<2)>>2]=L;J=E;break a}R=f[l>>2]|0;S=f[y+(D+-2<<2)>>2]|0;K=S;while(1){I=f[R+(K<<2)>>2]|0;if((I|0)<(K|0))K=I;else break}if((S|0)==(L|0))ub=K;else{I=L;while(1){U=f[R+(I<<2)>>2]|0;if((U|0)<(I|0))I=U;else break}U=(K|0)>(I|0)?I:K;O=L;do{M=R+(O<<2)|0;H=O;O=f[M>>2]|0;f[M>>2]=U}while((O|0)<(H|0));ub=U}U=S;do{O=R+(U<<2)|0;L=U;U=f[O>>2]|0;f[O>>2]=ub}while((U|0)<(L|0));f[z+(D<<2)>>2]=ub;J=E;break a}while(0);T=f[l>>2]|0;U=f[y+(D+-2<<2)>>2]|0;R=f[y+(_<<2)>>2]|0;S=U;while(1){L=f[T+(S<<2)>>2]|0;if((L|0)<(S|0))S=L;else break}if((U|0)==(R|0))vb=S;else{L=R;while(1){O=f[T+(L<<2)>>2]|0;if((O|0)<(L|0))L=O;else break}O=(S|0)>(L|0)?L:S;K=R;do{I=T+(K<<2)|0;H=K;K=f[I>>2]|0;f[I>>2]=O}while((K|0)<(H|0));vb=O}O=U;do{K=T+(O<<2)|0;R=O;O=f[K>>2]|0;f[K>>2]=vb}while((O|0)<(R|0));f[z+(D<<2)>>2]=vb;J=E;break}f[z+(D<<2)>>2]=f[y+(_<<2)>>2];J=E;break}if(A?b[w+D>>0]|0:0){f[z+(D<<2)>>2]=f[y+(D<<2)>>2];J=E;break}if(!(B|G^1)?b[w+F>>0]|0:0){f[z+(D<<2)>>2]=f[y+(D+-2<<2)>>2];J=E;break}f[z+(D<<2)>>2]=E;f[(f[l>>2]|0)+(E<<2)>>2]=E;J=E+1|0;break}if(A?b[w+D>>0]|0:0){f[z+(D<<2)>>2]=f[y+(D<<2)>>2];J=E;break}if(!(B|G^1)?b[w+F>>0]|0:0){f[z+(D<<2)>>2]=f[y+(D+-2<<2)>>2];J=E;break}f[z+(D<<2)>>2]=E;f[(f[l>>2]|0)+(E<<2)>>2]=E;J=E+1|0}while(0);D=D+2|0;if((D|0)>=(n|0)){wb=J;break}else E=J}}else wb=s;a=a+2|0;if((a|0)>=(f[d>>2]|0))break;else s=wb}o=wb;p=f[g>>2]|0;q=o-j|0;r=p+(c<<2)|0;f[r>>2]=q;return}function vna(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;d=f[a+12>>2]|0;e=f[a+8>>2]|0;g=f[c>>2]|0;if((g|0)>=(e|0))return;h=f[a+16>>2]|0;i=f[a+44>>2]|0;a=(d|0)>0;j=d+-1|0;k=g;do{g=f[i>>2]|0;l=h+(Y(g,k)|0)|0;m=l+(0-g)|0;if(a){g=0;do{n=l+(g<<2)|0;o=f[n>>2]|0;if((o|0)>0){if((g|0)>0?(p=f[m+(g+-1<<2)>>2]|0,(p|0)>0):0){q=p;while(1){r=f[b+(q<<2)>>2]|0;if((r|0)<(q|0))q=r;else break}if((p|0)==(o|0))s=q;else{r=o;while(1){t=f[b+(r<<2)>>2]|0;if((t|0)<(r|0))r=t;else break}t=(q|0)>(r|0)?r:q;u=o;do{v=b+(u<<2)|0;w=u;u=f[v>>2]|0;f[v>>2]=t}while((u|0)<(w|0));s=t}t=p;do{u=b+(t<<2)|0;q=t;t=f[u>>2]|0;f[u>>2]=s}while((t|0)<(q|0));f[n>>2]=s;x=s}else x=o;if((g|0)<(j|0)?(t=f[m+(g+1<<2)>>2]|0,(t|0)>0):0){p=t;while(1){q=f[b+(p<<2)>>2]|0;if((q|0)<(p|0))p=q;else break}if((t|0)==(x|0))y=p;else{o=x;while(1){q=f[b+(o<<2)>>2]|0;if((q|0)<(o|0))o=q;else break}q=(p|0)>(o|0)?o:p;u=x;do{r=b+(u<<2)|0;w=u;u=f[r>>2]|0;f[r>>2]=q}while((u|0)<(w|0));y=q}q=t;do{u=b+(q<<2)|0;p=q;q=f[u>>2]|0;f[u>>2]=y}while((q|0)<(p|0));f[n>>2]=y;z=y}else z=x;q=f[m+(g<<2)>>2]|0;if((q|0)>0){t=q;while(1){p=f[b+(t<<2)>>2]|0;if((p|0)<(t|0))t=p;else break}if((q|0)==(z|0))A=t;else{p=z;while(1){u=f[b+(p<<2)>>2]|0;if((u|0)<(p|0))p=u;else break}u=(t|0)>(p|0)?p:t;o=z;do{w=b+(o<<2)|0;r=o;o=f[w>>2]|0;f[w>>2]=u}while((o|0)<(r|0));A=u}u=q;do{o=b+(u<<2)|0;t=u;u=f[o>>2]|0;f[o>>2]=A}while((u|0)<(t|0));f[n>>2]=A}}g=g+1|0}while((g|0)!=(d|0))}k=f[c+(k<<2)>>2]|0}while((k|0)<(e|0));return}function wna(a){a=a|0;fuc(a);return}function xna(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;c=f[b>>2]|0;d=f[b+4>>2]|0;b=(c|0)<(d|0);if((c|0)>0){if(!b)return;e=a+4|0;g=a+8|0;h=c;do{i=f[e>>2]|0;j=(f[i+16>>2]|0)+(Y(f[f[i+44>>2]>>2]|0,h)|0)|0;k=j+(f[i+12>>2]<<2)|0;if((j|0)!=(k|0)){i=f[g>>2]|0;l=j;do{f[l>>2]=f[i+(f[l>>2]<<2)>>2];l=l+4|0}while((l|0)!=(k|0))}h=h+1|0}while((h|0)!=(d|0));return}else{if(!b)return;b=a+4|0;h=a+8|0;a=c;do{c=f[b>>2]|0;g=(f[c+16>>2]|0)+(Y(f[f[c+44>>2]>>2]|0,a)|0)|0;e=g+(f[c+12>>2]<<2)|0;if((g|0)!=(e|0)){c=f[h>>2]|0;k=g;do{f[k>>2]=f[c+(f[k>>2]<<2)>>2];k=k+4|0}while((k|0)!=(e|0))}a=a+1|0}while((a|0)!=(d|0));return}}function yna(a){a=a|0;fuc(a);return}function zna(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0;d=f[c>>2]|0;e=c+4|0;c=f[a+16>>2]|0;f[c+(d<<2)>>2]=f[e>>2];g=a+8|0;h=f[g>>2]|0;i=(((Y(f[h+12>>2]|0,d)|0)+1|0)/2|0)+1|0;j=a+4|0;k=f[j>>2]|0;l=f[k+12>>2]|0;if((d|0)==(f[e>>2]|0)){m=i;n=m-i|0;o=d+1|0;p=c+(o<<2)|0;f[p>>2]=n;return}q=(l|0)>0;r=a+12|0;a=d;s=i;t=k;k=h;while(1){h=f[f[t+44>>2]>>2]|0;u=(f[t+16>>2]|0)+(Y(h,a)|0)|0;v=u+(0-h)|0;h=f[f[k+44>>2]>>2]|0;w=(f[k+16>>2]|0)+(Y(h,a)|0)|0;x=w+(0-h)|0;a:do if(q){if((a|0)>(d|0)){y=0;z=s}else{h=0;A=s;while(1){do if(!(b[u+h>>0]|0)){f[w+(h<<2)>>2]=0;B=A}else{if((h|0)>0?(C=h+-1|0,b[u+C>>0]|0):0){f[w+(h<<2)>>2]=f[w+(C<<2)>>2];B=A;break}f[w+(h<<2)>>2]=A;f[(f[r>>2]|0)+(A<<2)>>2]=A;B=A+1|0}while(0);h=h+1|0;if((h|0)==(l|0)){D=B;break a}else A=B}}while(1){do if(!(b[u+y>>0]|0)){f[w+(y<<2)>>2]=0;E=z}else{A=(y|0)>0;if(!(b[v+y>>0]|0)){if(A?(h=y+-1|0,b[u+h>>0]|0):0){f[w+(y<<2)>>2]=f[w+(h<<2)>>2];E=z;break}f[w+(y<<2)>>2]=z;f[(f[r>>2]|0)+(z<<2)>>2]=z;E=z+1|0;break}h=f[x+(y<<2)>>2]|0;if(A?(A=y+-1|0,(b[u+A>>0]|0)!=0):0){C=f[r>>2]|0;F=f[w+(A<<2)>>2]|0;A=F;while(1){G=f[C+(A<<2)>>2]|0;if((G|0)<(A|0))A=G;else break}if((F|0)==(h|0))H=A;else{G=h;while(1){I=f[C+(G<<2)>>2]|0;if((I|0)<(G|0))G=I;else break}I=(A|0)>(G|0)?G:A;J=h;do{K=C+(J<<2)|0;L=J;J=f[K>>2]|0;f[K>>2]=I}while((J|0)<(L|0));H=I}I=F;do{J=C+(I<<2)|0;A=I;I=f[J>>2]|0;f[J>>2]=H}while((I|0)<(A|0));M=H}else M=h;f[w+(y<<2)>>2]=M;E=z}while(0);y=y+1|0;if((y|0)==(l|0)){D=E;break}else z=E}}else D=s;while(0);w=a+1|0;if((w|0)==(f[e>>2]|0)){m=D;break}a=w;s=D;t=f[j>>2]|0;k=f[g>>2]|0}n=m-i|0;o=d+1|0;p=c+(o<<2)|0;f[p>>2]=n;return}function Ana(a){a=a|0;fuc(a);return}function Bna(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0;d=f[c>>2]|0;e=c+4|0;c=f[a+16>>2]|0;f[c+(d<<2)>>2]=f[e>>2];g=d+1|0;h=a+8|0;i=f[h>>2]|0;j=(Y(((f[i+12>>2]|0)+1|0)/2|0,(g|0)/2|0)|0)+1|0;k=a+4|0;l=f[k>>2]|0;m=f[l+12>>2]|0;n=f[e>>2]|0;if((d|0)==(n|0)){o=j;p=o-j|0;q=c+(g<<2)|0;f[q>>2]=p;return}r=(m|0)>0;s=m+-1|0;t=a+12|0;a=d;u=j;v=n;n=l;l=i;while(1){i=f[f[n+44>>2]>>2]|0;w=(f[n+16>>2]|0)+(Y(i,a)|0)|0;x=w+(0-i)|0;i=f[f[l+44>>2]>>2]|0;y=(f[l+16>>2]|0)+(Y(i,a)|0)|0;z=y+(0-i)|0;if(r){i=(a|0)>(d|0);A=i^1;B=0;C=u;while(1){a:do if(!(b[w+B>>0]|0)){f[y+(B<<2)>>2]=0;D=C}else{if(i){if(b[x+B>>0]|0){f[y+(B<<2)>>2]=f[z+(B<<2)>>2];D=C;break}if(!((B|0)>=(s|0)|A)){E=B+1|0;if(!(b[x+E>>0]|0))F=0;else{do if((B|0)>0){G=B+-1|0;if(!(b[x+G>>0]|0)){H=f[z+(E<<2)>>2]|0;if(!(b[w+G>>0]|0)){I=H;break}J=f[t>>2]|0;K=f[y+(G<<2)>>2]|0;L=K;while(1){M=f[J+(L<<2)>>2]|0;if((M|0)<(L|0))L=M;else break}if((K|0)==(H|0))N=L;else{M=H;while(1){O=f[J+(M<<2)>>2]|0;if((O|0)<(M|0))M=O;else break}O=(L|0)>(M|0)?M:L;P=H;do{Q=J+(P<<2)|0;R=P;P=f[Q>>2]|0;f[Q>>2]=O}while((P|0)<(R|0));N=O}O=K;do{P=J+(O<<2)|0;H=O;O=f[P>>2]|0;f[P>>2]=N}while((O|0)<(H|0));I=N}else{O=f[t>>2]|0;J=f[z+(G<<2)>>2]|0;K=f[z+(E<<2)>>2]|0;H=J;while(1){P=f[O+(H<<2)>>2]|0;if((P|0)<(H|0))H=P;else break}if((J|0)==(K|0))S=H;else{G=K;while(1){P=f[O+(G<<2)>>2]|0;if((P|0)<(G|0))G=P;else break}P=(H|0)>(G|0)?G:H;L=K;do{M=O+(L<<2)|0;R=L;L=f[M>>2]|0;f[M>>2]=P}while((L|0)<(R|0));S=P}P=J;do{L=O+(P<<2)|0;K=P;P=f[L>>2]|0;f[L>>2]=S}while((P|0)<(K|0));f[y+(B<<2)>>2]=S;D=C;break a}}else I=f[z+(E<<2)>>2]|0;while(0);f[y+(B<<2)>>2]=I;D=C;break}}else F=A}else F=A;E=(B|0)>0;if(!(F|E^1)?(P=B+-1|0,b[x+P>>0]|0):0){f[y+(B<<2)>>2]=f[z+(P<<2)>>2];D=C;break}if(E?(E=B+-1|0,b[w+E>>0]|0):0){f[y+(B<<2)>>2]=f[y+(E<<2)>>2];D=C;break}f[y+(B<<2)>>2]=C;f[(f[t>>2]|0)+(C<<2)>>2]=C;D=C+1|0}while(0);B=B+1|0;if((B|0)==(m|0))break;else C=D}T=D;U=f[e>>2]|0}else{T=u;U=v}C=a+1|0;if((C|0)==(U|0)){o=T;break}a=C;u=T;v=U;n=f[k>>2]|0;l=f[h>>2]|0}p=o-j|0;q=c+(g<<2)|0;f[q>>2]=p;return}function Cna(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;return Dna(a,b,c,d,e,f,-1)|0}function Dna(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;j=u;u=u+272|0;k=j+216|0;l=j+152|0;m=j+160|0;n=j+16|0;o=j;do if((qJ(a)|0)==65536){p=f[a+4>>2]|0;f[k>>2]=f[p>>2];q=k+4|0;r=p+4|0;f[q>>2]=f[r>>2];s=k+8|0;f[s>>2]=f[p+8>>2];f[k+12>>2]=f[p+12>>2];f[k+16>>2]=f[p+16>>2];f[k+20>>2]=f[p+20>>2];f[k+24>>2]=f[p+24>>2];f[k+28>>2]=f[p+28>>2];f[k+32>>2]=f[p+32>>2];t=f[p+36>>2]|0;f[k+36>>2]=t;v=k+40|0;f[v>>2]=s;s=k+48|0;w=k+44|0;f[w>>2]=s;f[s>>2]=0;f[k+52>>2]=0;if(t|0){s=t+12|0;f[s>>2]=(f[s>>2]|0)+1}if((f[r>>2]|0)<3){r=f[p+44>>2]|0;s=f[w>>2]|0;f[s>>2]=f[r>>2];f[s+4>>2]=f[r+4>>2];x=v;break}else{f[q>>2]=0;$T(k,p);x=v;break}}else{nJ(k,a,-1);x=k+40|0}while(0);a=f[x>>2]|0;v=f[a>>2]|0;f[l>>2]=f[a+4>>2];f[l+4>>2]=v;IJ(c,l,h&7,-1,0,0);do if((qJ(c)|0)==65536){l=f[c+4>>2]|0;f[m>>2]=f[l>>2];v=m+4|0;a=l+4|0;f[v>>2]=f[a>>2];p=m+8|0;f[p>>2]=f[l+8>>2];f[m+12>>2]=f[l+12>>2];f[m+16>>2]=f[l+16>>2];f[m+20>>2]=f[l+20>>2];f[m+24>>2]=f[l+24>>2];f[m+28>>2]=f[l+28>>2];f[m+32>>2]=f[l+32>>2];q=f[l+36>>2]|0;f[m+36>>2]=q;f[m+40>>2]=p;p=m+48|0;r=m+44|0;f[r>>2]=p;f[p>>2]=0;f[m+52>>2]=0;if(q|0){p=q+12|0;f[p>>2]=(f[p>>2]|0)+1}if((f[a>>2]|0)<3){a=f[l+44>>2]|0;p=f[r>>2]|0;f[p>>2]=f[a>>2];f[p+4>>2]=f[a+4>>2];break}else{f[v>>2]=0;$T(m,l);break}}else nJ(m,c,-1);while(0);f[n>>2]=d;f[n+4>>2]=1124007936;d=n+12|0;c=n+44|0;l=n+8|0;v=l+36|0;do{f[l>>2]=0;l=l+4|0}while((l|0)<(v|0));f[c>>2]=d;d=n+52|0;f[n+48>>2]=d;f[d>>2]=0;f[n+56>>2]=0;f[n+60>>2]=e;f[n+64>>2]=1124007936;e=n+72|0;d=n+104|0;l=n+68|0;v=l+36|0;do{f[l>>2]=0;l=l+4|0}while((l|0)<(v|0));f[d>>2]=e;e=n+112|0;f[n+108>>2]=e;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;f[e+16>>2]=0;f[e+20>>2]=0;switch(h|0){case 4:case 2:break;default:{f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;h=cuc(48)|0;f[o>>2]=h;f[o+8>>2]=-2147483600;f[o+4>>2]=37;l=h;e=347303;v=l+37|0;do{b[l>>0]=b[e>>0]|0;l=l+1|0;e=e+1|0}while((l|0)<(v|0));b[h+37>>0]=0;WD(-210,o,348199,347361,4029)}}o=Ena(k,m,g,i,n)|0;Fna(n);n=m+36|0;i=f[n>>2]|0;if(i|0?(g=i+12|0,i=f[g>>2]|0,f[g>>2]=i+-1,(i|0)==1):0)aU(m);f[n>>2]=0;n=m+16|0;i=m+4|0;f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;f[n+12>>2]=0;if((f[i>>2]|0)>0){n=f[m+40>>2]|0;g=0;do{f[n+(g<<2)>>2]=0;g=g+1|0}while((g|0)<(f[i>>2]|0))}i=f[m+44>>2]|0;if((i|0)!=(m+48|0))TC(i);i=k+36|0;m=f[i>>2]|0;if(m|0?(g=m+12|0,m=f[g>>2]|0,f[g>>2]=m+-1,(m|0)==1):0)aU(k);f[i>>2]=0;i=k+16|0;m=k+4|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;if((f[m>>2]|0)>0){i=f[x>>2]|0;x=0;do{f[i+(x<<2)>>2]=0;x=x+1|0}while((x|0)<(f[m>>2]|0))}m=f[k+44>>2]|0;if((m|0)==(k+48|0)){u=j;return o|0}TC(m);u=j;return o|0}function Ena(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0;h=u;u=u+32|0;i=h;j=h+17|0;k=h+16|0;l=h+15|0;m=h+14|0;n=h+13|0;o=h+12|0;p=f[c>>2]|0;if(p&4088|0){q=cuc(48)|0;f[i>>2]=q;r=i+8|0;f[r>>2]=-2147483600;s=i+4|0;f[s>>2]=38;t=q;v=347445;w=t+38|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));x=q+38|0;b[x>>0]=0;WD(-215,i,347484,347361,3927)}y=f[a>>2]|0;if(y&4088|0){q=cuc(48)|0;f[i>>2]=q;r=i+8|0;f[r>>2]=-2147483600;s=i+4|0;f[s>>2]=38;t=q;v=347445;w=t+38|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));x=q+38|0;b[x>>0]=0;WD(-215,i,347484,347361,3927)}x=(d|0)==8;q=(d|0)==4;switch(d|0){case 4:case 8:break;default:{s=cuc(48)|0;f[i>>2]=s;f[i+8>>2]=-2147483600;f[i+4>>2]=38;t=s;v=347509;w=t+38|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));b[s+38>>0]=0;WD(-215,i,347484,347361,3928)}}s=(e|0)==1;r=(e|0)==0;z=(e|0)==-1;switch(e|0){case 0:case 1:case -1:break;default:{e=cuc(80)|0;f[i>>2]=e;f[i+8>>2]=-2147483568;f[i+4>>2]=67;t=e;v=347548;w=t+67|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));b[e+67>>0]=0;WD(-215,i,347484,347361,3929)}}e=p&7;A=vZ()|0;B=tZ()|0;if((y&6|1|0)!=1){y=cuc(48)|0;f[i>>2]=y;f[i+8>>2]=-2147483600;f[i+4>>2]=34;t=y;v=347616;w=t+34|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));b[y+34>>0]=0;WD(-215,i,347484,347361,3936)}if((A|0)!=0&(B|0)>1)C=((f[c+8>>2]|0)/(B|0)|0|0)>1;else C=0;B=(e|0)==0;a:do if(q|r){if(!B){switch(p&7){case 2:{D=(Gna(j,a,c,d,g)|0)&65535;u=h;return D|0}case 4:break;default:break a}if(C){D=Ina(l,a,c,d,g)|0;u=h;return D|0}else{D=Hna(k,a,c,d,g)|0;u=h;return D|0}}}else if(!(B|x&(s|z)^1)){switch(p&7){case 2:{D=(Jna(m,a,c,d,g)|0)&65535;u=h;return D|0}case 4:break;default:break a}if(C){D=Lna(o,a,c,d,g)|0;u=h;return D|0}else{D=Kna(n,a,c,d,g)|0;u=h;return D|0}}while(0);D=cuc(32)|0;f[i>>2]=D;f[i+8>>2]=-2147483616;f[i+4>>2]=28;t=D;v=347651;w=t+28|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));b[D+28>>0]=0;WD(-210,i,347484,347361,3982);return 0}function Fna(a){a=a|0;var b=0,c=0,d=0,e=0;b=f[a+120>>2]|0;if(b|0){c=a+124|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-16-b|0)>>>4)<<4);fuc(b)}b=a+64|0;d=a+100|0;c=f[d>>2]|0;if(c|0?(e=c+12|0,c=f[e>>2]|0,f[e>>2]=c+-1,(c|0)==1):0)aU(b);f[d>>2]=0;d=a+80|0;b=a+68|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[b>>2]|0)>0){d=f[a+104>>2]|0;c=0;do{f[d+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[b>>2]|0))}b=f[a+108>>2]|0;if((b|0)!=(a+112|0))TC(b);b=a+4|0;c=a+40|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)aU(b);f[c>>2]=0;c=a+20|0;b=a+8|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+44>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+48>>2]|0;if((b|0)==(a+52|0))return;TC(b);return}function Gna(a,c,e,g,h){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;var i=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0.0;a=u;u=u+16|0;i=a;k=f[e+8>>2]|0;if((k|0)!=(f[c+8>>2]|0)){l=cuc(32)|0;f[i>>2]=l;f[i+8>>2]=-2147483616;f[i+4>>2]=26;m=l;n=348145;o=m+26|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));b[l+26>>0]=0;WD(-215,i,531152,347361,656)}l=f[e+12>>2]|0;if((l|0)!=(f[c+12>>2]|0)){q=cuc(32)|0;f[i>>2]=q;f[i+8>>2]=-2147483616;f[i+4>>2]=26;m=q;n=348172;o=m+26|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));b[q+26>>0]=0;WD(-215,i,531152,347361,657)}switch(g|0){case 4:case 8:break;default:{q=cuc(48)|0;f[i>>2]=q;f[i+8>>2]=-2147483600;f[i+4>>2]=38;m=q;n=347509;o=m+38|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));b[q+38>>0]=0;WD(-215,i,531152,347361,658)}}i=SC((Y(l,k)|0)+3&-2)|0;d[i>>1]=0;q=(k|0)>0;if((g|0)==8)if(q){g=(l|0)>0;n=l+-1|0;m=f[c+16>>2]|0;o=f[f[c+44>>2]>>2]|0;r=f[e+16>>2]|0;s=f[f[e+44>>2]>>2]|0;t=0-o|0;v=0-s|0;w=1;x=0;while(1){y=m+(Y(o,x)|0)|0;z=y+t|0;A=r+(Y(s,x)|0)|0;B=A+v|0;if(g){C=(x|0)>0;D=0;E=w;while(1){a:do if(!(b[y+D>>0]|0)){d[A+(D<<1)>>1]=0;F=E}else{if(C){if(b[z+D>>0]|0){d[A+(D<<1)>>1]=d[B+(D<<1)>>1]|0;F=E;break}G=(D|0)>0;if((D|0)<(n|0)?(H=D+1|0,b[z+H>>0]|0):0){I=d[B+(H<<1)>>1]|0;do if(G){H=D+-1|0;if(!(b[z+H>>0]|0)){K=D+-1|0;if(!(b[y+K>>0]|0)){L=I;break}M=d[A+(K<<1)>>1]|0;K=M;while(1){N=d[i+((K&65535)<<1)>>1]|0;if((N&65535)<(K&65535))K=N;else break}if(M<<16>>16==I<<16>>16)O=K;else{N=I;while(1){P=d[i+((N&65535)<<1)>>1]|0;if((P&65535)<(N&65535))N=P;else break}P=(K&65535)>(N&65535)?N:K;Q=I;do{R=i+((Q&65535)<<1)|0;S=Q;Q=d[R>>1]|0;d[R>>1]=P}while((Q&65535)<(S&65535));O=P}P=M;do{Q=i+((P&65535)<<1)|0;K=P;P=d[Q>>1]|0;d[Q>>1]=O}while((P&65535)<(K&65535));L=O}else{P=d[B+(H<<1)>>1]|0;M=P;while(1){K=d[i+((M&65535)<<1)>>1]|0;if((K&65535)<(M&65535))M=K;else break}if(P<<16>>16==I<<16>>16)T=M;else{H=I;while(1){K=d[i+((H&65535)<<1)>>1]|0;if((K&65535)<(H&65535))H=K;else break}K=(M&65535)>(H&65535)?H:M;Q=I;do{N=i+((Q&65535)<<1)|0;S=Q;Q=d[N>>1]|0;d[N>>1]=K}while((Q&65535)<(S&65535));T=K}K=P;do{Q=i+((K&65535)<<1)|0;M=K;K=d[Q>>1]|0;d[Q>>1]=T}while((K&65535)<(M&65535));d[A+(D<<1)>>1]=T;F=E;break a}}else L=I;while(0);d[A+(D<<1)>>1]=L;F=E;break}if(G){I=D+-1|0;if(!(b[z+I>>0]|0))U=46;else{d[A+(D<<1)>>1]=d[B+(I<<1)>>1]|0;F=E;break}}}else if((D|0)>0)U=46;if((U|0)==46?(U=0,I=D+-1|0,b[y+I>>0]|0):0){d[A+(D<<1)>>1]=d[A+(I<<1)>>1]|0;F=E;break}d[A+(D<<1)>>1]=E;I=E&65535;d[i+(I<<1)>>1]=E;F=I+1&65535}while(0);D=D+1|0;if((D|0)==(l|0)){V=F;break}else E=F}}else V=w;x=x+1|0;if((x|0)==(k|0)){W=V;U=81;break}else w=V}}else U=80;else if(q){V=(l|0)>0;w=f[c+16>>2]|0;x=f[f[c+44>>2]>>2]|0;c=f[e+16>>2]|0;F=f[f[e+44>>2]>>2]|0;L=0-x|0;T=0-F|0;O=0;n=1;while(1){g=w+(Y(x,O)|0)|0;v=g+L|0;s=c+(Y(F,O)|0)|0;r=s+T|0;b:do if(V){if((O|0)>0){X=0;Z=n}else{t=0;o=n;while(1){do if(!(b[g+t>>0]|0)){d[s+(t<<1)>>1]=0;_=o}else{if((t|0)>0?(m=t+-1|0,b[g+m>>0]|0):0){d[s+(t<<1)>>1]=d[s+(m<<1)>>1]|0;_=o;break}d[s+(t<<1)>>1]=o;m=o&65535;d[i+(m<<1)>>1]=o;_=m+1&65535}while(0);t=t+1|0;if((t|0)==(l|0)){$=_;break b}else o=_}}while(1){do if(!(b[g+X>>0]|0)){d[s+(X<<1)>>1]=0;aa=Z}else{o=(X|0)>0;if(!(b[v+X>>0]|0)){if(o?(t=X+-1|0,b[g+t>>0]|0):0){d[s+(X<<1)>>1]=d[s+(t<<1)>>1]|0;aa=Z;break}d[s+(X<<1)>>1]=Z;t=Z&65535;d[i+(t<<1)>>1]=Z;aa=t+1&65535;break}t=d[r+(X<<1)>>1]|0;if(o?(o=X+-1|0,(b[g+o>>0]|0)!=0):0){G=d[s+(o<<1)>>1]|0;o=G;while(1){m=d[i+((o&65535)<<1)>>1]|0;if((m&65535)<(o&65535))o=m;else break}if(G<<16>>16==t<<16>>16)ba=o;else{m=t;while(1){E=d[i+((m&65535)<<1)>>1]|0;if((E&65535)<(m&65535))m=E;else break}E=(o&65535)>(m&65535)?m:o;D=t;do{A=i+((D&65535)<<1)|0;y=D;D=d[A>>1]|0;d[A>>1]=E}while((D&65535)<(y&65535));ba=E}E=G;do{D=i+((E&65535)<<1)|0;o=E;E=d[D>>1]|0;d[D>>1]=ba}while((E&65535)<(o&65535));ca=ba}else ca=t;d[s+(X<<1)>>1]=ca;aa=Z}while(0);X=X+1|0;if((X|0)==(l|0)){$=aa;break}else Z=aa}}else $=n;while(0);O=O+1|0;if((O|0)==(k|0)){W=$;U=81;break}else n=$}}else U=80;if((U|0)==80){Nna(h,1);da=1}else if((U|0)==81){if((W&65535)>1){U=W&65535;W=1;$=1;while(1){n=i+($<<1)|0;O=j[n>>1]|0;if(O>>>0<$>>>0){d[n>>1]=d[i+(O<<1)>>1]|0;ea=W}else{d[n>>1]=W;ea=(W&65535)+1&65535}$=$+1|0;if(($|0)==(U|0)){fa=ea;break}else W=ea}}else fa=1;Nna(h,fa&65535);if(q){q=f[e+16>>2]|0;ea=f[e+44>>2]|0;e=f[h+20>>2]|0;W=f[h+48>>2]|0;U=f[h+120>>2]|0;$=0;do{n=q+(Y(f[ea>>2]|0,$)|0)|0;O=n+(l<<1)|0;if((n|0)!=(O|0)){aa=(($|0)<0)<<31>>31;Z=n;n=0;while(1){X=d[i+(j[Z>>1]<<1)>>1]|0;d[Z>>1]=X;ca=X&65535;X=e+(Y(f[W>>2]|0,ca)|0)|0;ba=f[X>>2]|0;f[X>>2]=(ba|0)>(n|0)?n:ba;ba=X+8|0;_=f[ba>>2]|0;f[ba>>2]=(_|0)<(n|0)?n:_;_=X+4|0;ba=f[_>>2]|0;f[_>>2]=(ba|0)>($|0)?$:ba;ba=X+12|0;_=f[ba>>2]|0;f[ba>>2]=(_|0)<($|0)?$:_;_=X+16|0;f[_>>2]=(f[_>>2]|0)+1;_=U+(ca<<4)|0;X=_;ba=hzc(f[X>>2]|0,f[X+4>>2]|0,n|0,((n|0)<0)<<31>>31|0)|0;X=_;f[X>>2]=ba;f[X+4>>2]=J;X=U+(ca<<4)+8|0;ca=X;ba=hzc(f[ca>>2]|0,f[ca+4>>2]|0,$|0,aa|0)|0;ca=X;f[ca>>2]=ba;f[ca+4>>2]=J;Z=Z+2|0;if((Z|0)==(O|0))break;else n=n+1|0}}$=$+1|0}while(($|0)!=(k|0));da=fa}else da=fa}fa=h+12|0;if((f[fa>>2]|0)<=0){TC(i);u=a;return da|0}k=f[h+20>>2]|0;$=f[h+48>>2]|0;U=f[h+120>>2]|0;W=f[h+80>>2]|0;e=f[h+108>>2]|0;h=0;do{l=k+(Y(f[$>>2]|0,h)|0)|0;ea=l+8|0;f[ea>>2]=(f[ea>>2]|0)+1-(f[l>>2]|0);ea=l+12|0;f[ea>>2]=(f[ea>>2]|0)+1-(f[l+4>>2]|0);ea=W+(Y(f[e>>2]|0,h)|0)|0;ga=+((f[l+16>>2]|0)>>>0);l=U+(h<<4)|0;p[ea>>3]=(+((f[l>>2]|0)>>>0)+4294967296.0*+((f[l+4>>2]|0)>>>0))/ga;l=U+(h<<4)+8|0;p[ea+8>>3]=(+((f[l>>2]|0)>>>0)+4294967296.0*+((f[l+4>>2]|0)>>>0))/ga;h=h+1|0}while((h|0)<(f[fa>>2]|0));TC(i);u=a;return da|0}function Hna(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0.0;a=u;u=u+16|0;h=a;i=f[d+8>>2]|0;if((i|0)!=(f[c+8>>2]|0)){j=cuc(32)|0;f[h>>2]=j;f[h+8>>2]=-2147483616;f[h+4>>2]=26;k=j;l=348145;m=k+26|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));b[j+26>>0]=0;WD(-215,h,531152,347361,656)}j=f[d+12>>2]|0;if((j|0)!=(f[c+12>>2]|0)){n=cuc(32)|0;f[h>>2]=n;f[h+8>>2]=-2147483616;f[h+4>>2]=26;k=n;l=348172;m=k+26|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));b[n+26>>0]=0;WD(-215,h,531152,347361,657)}switch(e|0){case 4:case 8:break;default:{n=cuc(48)|0;f[h>>2]=n;f[h+8>>2]=-2147483600;f[h+4>>2]=38;k=n;l=347509;m=k+38|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));b[n+38>>0]=0;WD(-215,h,531152,347361,658)}}h=SC((((Y(j,i)|0)+1|0)>>>1<<2)+4|0)|0;f[h>>2]=0;n=(i|0)>0;if((e|0)==8)if(n){e=(j|0)>0;l=j+-1|0;k=f[c+16>>2]|0;m=f[c+44>>2]|0;o=f[d+16>>2]|0;q=f[d+44>>2]|0;r=1;s=0;while(1){t=f[m>>2]|0;v=k+(Y(t,s)|0)|0;w=v+(0-t)|0;t=f[q>>2]|0;x=o+(Y(t,s)|0)|0;y=x+(0-t)|0;if(e){t=(s|0)>0;z=0;A=r;while(1){a:do if(!(b[v+z>>0]|0)){f[x+(z<<2)>>2]=0;B=A}else{if(t){if(b[w+z>>0]|0){f[x+(z<<2)>>2]=f[y+(z<<2)>>2];B=A;break}C=(z|0)>0;if((z|0)<(l|0)?(D=z+1|0,b[w+D>>0]|0):0){E=f[y+(D<<2)>>2]|0;do if(C){D=z+-1|0;if(!(b[w+D>>0]|0)){F=z+-1|0;if(!(b[v+F>>0]|0)){G=E;break}H=f[x+(F<<2)>>2]|0;F=H;while(1){I=f[h+(F<<2)>>2]|0;if((I|0)<(F|0))F=I;else break}if((H|0)==(E|0))K=F;else{I=E;while(1){L=f[h+(I<<2)>>2]|0;if((L|0)<(I|0))I=L;else break}L=(F|0)>(I|0)?I:F;M=E;do{N=h+(M<<2)|0;O=M;M=f[N>>2]|0;f[N>>2]=L}while((M|0)<(O|0));K=L}L=H;do{M=h+(L<<2)|0;F=L;L=f[M>>2]|0;f[M>>2]=K}while((L|0)<(F|0));G=K}else{L=f[y+(D<<2)>>2]|0;H=L;while(1){F=f[h+(H<<2)>>2]|0;if((F|0)<(H|0))H=F;else break}if((L|0)==(E|0))P=H;else{D=E;while(1){F=f[h+(D<<2)>>2]|0;if((F|0)<(D|0))D=F;else break}F=(H|0)>(D|0)?D:H;M=E;do{I=h+(M<<2)|0;O=M;M=f[I>>2]|0;f[I>>2]=F}while((M|0)<(O|0));P=F}F=L;do{M=h+(F<<2)|0;H=F;F=f[M>>2]|0;f[M>>2]=P}while((F|0)<(H|0));f[x+(z<<2)>>2]=P;B=A;break a}}else G=E;while(0);f[x+(z<<2)>>2]=G;B=A;break}if(C){E=z+-1|0;if(!(b[w+E>>0]|0))Q=46;else{f[x+(z<<2)>>2]=f[y+(E<<2)>>2];B=A;break}}}else if((z|0)>0)Q=46;if((Q|0)==46?(Q=0,E=z+-1|0,b[v+E>>0]|0):0){f[x+(z<<2)>>2]=f[x+(E<<2)>>2];B=A;break}f[x+(z<<2)>>2]=A;f[h+(A<<2)>>2]=A;B=A+1|0}while(0);z=z+1|0;if((z|0)==(j|0)){R=B;break}else A=B}}else R=r;s=s+1|0;if((s|0)==(i|0)){S=R;Q=81;break}else r=R}}else Q=80;else if(n){R=(j|0)>0;r=f[c+16>>2]|0;s=f[c+44>>2]|0;c=f[d+16>>2]|0;B=f[d+44>>2]|0;G=0;P=1;while(1){K=f[s>>2]|0;l=r+(Y(K,G)|0)|0;e=l+(0-K)|0;K=f[B>>2]|0;o=c+(Y(K,G)|0)|0;q=o+(0-K)|0;b:do if(R){if((G|0)>0){T=0;U=P}else{K=0;k=P;while(1){do if(!(b[l+K>>0]|0)){f[o+(K<<2)>>2]=0;V=k}else{if((K|0)>0?(m=K+-1|0,b[l+m>>0]|0):0){f[o+(K<<2)>>2]=f[o+(m<<2)>>2];V=k;break}f[o+(K<<2)>>2]=k;f[h+(k<<2)>>2]=k;V=k+1|0}while(0);K=K+1|0;if((K|0)==(j|0)){W=V;break b}else k=V}}while(1){do if(!(b[l+T>>0]|0)){f[o+(T<<2)>>2]=0;X=U}else{k=(T|0)>0;if(!(b[e+T>>0]|0)){if(k?(K=T+-1|0,b[l+K>>0]|0):0){f[o+(T<<2)>>2]=f[o+(K<<2)>>2];X=U;break}f[o+(T<<2)>>2]=U;f[h+(U<<2)>>2]=U;X=U+1|0;break}K=f[q+(T<<2)>>2]|0;if(k?(k=T+-1|0,(b[l+k>>0]|0)!=0):0){C=f[o+(k<<2)>>2]|0;k=C;while(1){m=f[h+(k<<2)>>2]|0;if((m|0)<(k|0))k=m;else break}if((C|0)==(K|0))Z=k;else{m=K;while(1){A=f[h+(m<<2)>>2]|0;if((A|0)<(m|0))m=A;else break}A=(k|0)>(m|0)?m:k;z=K;do{x=h+(z<<2)|0;v=z;z=f[x>>2]|0;f[x>>2]=A}while((z|0)<(v|0));Z=A}A=C;do{z=h+(A<<2)|0;k=A;A=f[z>>2]|0;f[z>>2]=Z}while((A|0)<(k|0));_=Z}else _=K;f[o+(T<<2)>>2]=_;X=U}while(0);T=T+1|0;if((T|0)==(j|0)){W=X;break}else U=X}}else W=P;while(0);G=G+1|0;if((G|0)==(i|0)){S=W;Q=81;break}else P=W}}else Q=80;if((Q|0)==80){Nna(g,1);$=1}else if((Q|0)==81){if((S|0)>1){Q=1;W=1;while(1){P=h+(W<<2)|0;G=f[P>>2]|0;if((G|0)<(W|0)){f[P>>2]=f[h+(G<<2)>>2];aa=Q}else{f[P>>2]=Q;aa=Q+1|0}W=W+1|0;if((W|0)==(S|0)){ba=aa;break}else Q=aa}}else ba=1;Nna(g,ba);if(n){n=f[d+16>>2]|0;aa=f[d+44>>2]|0;d=f[g+20>>2]|0;Q=f[g+48>>2]|0;S=f[g+120>>2]|0;W=0;do{P=n+(Y(f[aa>>2]|0,W)|0)|0;G=P+(j<<2)|0;if((P|0)!=(G|0)){X=((W|0)<0)<<31>>31;U=P;P=0;while(1){T=f[h+(f[U>>2]<<2)>>2]|0;f[U>>2]=T;_=d+(Y(f[Q>>2]|0,T)|0)|0;Z=f[_>>2]|0;f[_>>2]=(Z|0)>(P|0)?P:Z;Z=_+8|0;V=f[Z>>2]|0;f[Z>>2]=(V|0)<(P|0)?P:V;V=_+4|0;Z=f[V>>2]|0;f[V>>2]=(Z|0)>(W|0)?W:Z;Z=_+12|0;V=f[Z>>2]|0;f[Z>>2]=(V|0)<(W|0)?W:V;V=_+16|0;f[V>>2]=(f[V>>2]|0)+1;V=S+(T<<4)|0;_=V;Z=hzc(f[_>>2]|0,f[_+4>>2]|0,P|0,((P|0)<0)<<31>>31|0)|0;_=V;f[_>>2]=Z;f[_+4>>2]=J;_=S+(T<<4)+8|0;T=_;Z=hzc(f[T>>2]|0,f[T+4>>2]|0,W|0,X|0)|0;T=_;f[T>>2]=Z;f[T+4>>2]=J;U=U+4|0;if((U|0)==(G|0))break;else P=P+1|0}}W=W+1|0}while((W|0)!=(i|0));$=ba}else $=ba}ba=g+12|0;if((f[ba>>2]|0)<=0){TC(h);u=a;return $|0}i=f[g+20>>2]|0;W=f[g+48>>2]|0;S=f[g+120>>2]|0;Q=f[g+80>>2]|0;d=f[g+108>>2]|0;g=0;do{j=i+(Y(f[W>>2]|0,g)|0)|0;aa=j+8|0;f[aa>>2]=(f[aa>>2]|0)+1-(f[j>>2]|0);aa=j+12|0;f[aa>>2]=(f[aa>>2]|0)+1-(f[j+4>>2]|0);aa=Q+(Y(f[d>>2]|0,g)|0)|0;ca=+((f[j+16>>2]|0)>>>0);j=S+(g<<4)|0;p[aa>>3]=(+((f[j>>2]|0)>>>0)+4294967296.0*+((f[j+4>>2]|0)>>>0))/ca;j=S+(g<<4)+8|0;p[aa+8>>3]=(+((f[j>>2]|0)>>>0)+4294967296.0*+((f[j+4>>2]|0)>>>0))/ca;g=g+1|0}while((g|0)<(f[ba>>2]|0));TC(h);u=a;return $|0}function Ina(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0.0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0;a=u;u=u+48|0;h=a+28|0;i=a+24|0;j=a;k=f[c+8>>2]|0;l=d+8|0;if((k|0)!=(f[l>>2]|0)){m=cuc(32)|0;f[h>>2]=m;f[h+8>>2]=-2147483616;f[h+4>>2]=26;n=m;o=347680;q=n+26|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(q|0));b[m+26>>0]=0;WD(-215,h,531152,347361,578)}m=f[c+12>>2]|0;r=d+12|0;if((m|0)!=(f[r>>2]|0)){s=cuc(32)|0;f[h>>2]=s;f[h+8>>2]=-2147483616;f[h+4>>2]=26;n=s;o=347707;q=n+26|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(q|0));b[s+26>>0]=0;WD(-215,h,531152,347361,579)}switch(e|0){case 4:case 8:break;default:{s=cuc(48)|0;f[h>>2]=s;f[h+8>>2]=-2147483600;f[h+4>>2]=38;n=s;o=347509;q=n+38|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(q|0));b[s+38>>0]=0;WD(-215,h,531152,347361,580)}}s=((Y(m,k)|0)+1|0)>>>1;o=SC(k<<2)|0;t=SC((s<<2)+4|0)|0;f[t>>2]=0;f[h>>2]=0;f[h+4>>2]=k;s=(k|0)/2|0;v=(tZ()|0)<<2;w=(v|0)<(s|0)?v:s;x=+(((w|0)>1?w:1)|0);f[i>>2]=1;if((e|0)==8){f[j>>2]=78432;f[j+4>>2]=c;f[j+8>>2]=d;f[j+12>>2]=t;f[j+16>>2]=o;sZ(h,j,x);Una(d,t,o);if((k|0)>0){e=(m+1|0)/2|0;w=0;do{s=w+1|0;v=(Y((s|0)/2|0,e)|0)+1|0;y=f[o+(s<<2)>>2]|0;s=y+v|0;if((y|0)>0){y=v;do{v=t+(y<<2)|0;z=f[v>>2]|0;if((z|0)<(y|0))f[v>>2]=f[t+(z<<2)>>2];else{f[v>>2]=f[i>>2];f[i>>2]=(f[i>>2]|0)+1}y=y+1|0}while((y|0)<(s|0))}w=f[o+(w<<2)>>2]|0}while((w|0)<(k|0))}}else{f[j>>2]=78452;f[j+4>>2]=c;f[j+8>>2]=d;f[j+12>>2]=t;f[j+16>>2]=o;sZ(h,j,x);c=f[r>>2]|0;r=f[l>>2]|0;w=f[o>>2]|0;a:do if((w|0)<(r|0)){e=f[d+16>>2]|0;s=f[d+44>>2]|0;if((c|0)>0)A=w;else{y=w;while(1){y=f[o+(y<<2)>>2]|0;if((y|0)>=(r|0))break a}}do{y=f[s>>2]|0;v=e+(Y(y,A)|0)|0;z=v+(0-y)|0;y=0;do{B=v+(y<<2)|0;C=f[B>>2]|0;if((C|0)>0?(D=f[z+(y<<2)>>2]|0,(D|0)>0):0){E=D;while(1){F=f[t+(E<<2)>>2]|0;if((F|0)<(E|0))E=F;else break}if((D|0)==(C|0))G=E;else{F=C;while(1){H=f[t+(F<<2)>>2]|0;if((H|0)<(F|0))F=H;else break}H=(E|0)>(F|0)?F:E;I=C;do{K=t+(I<<2)|0;L=I;I=f[K>>2]|0;f[K>>2]=H}while((I|0)<(L|0));G=H}H=D;do{I=t+(H<<2)|0;C=H;H=f[I>>2]|0;f[I>>2]=G}while((H|0)<(C|0));f[B>>2]=G}y=y+1|0}while((y|0)!=(c|0));A=f[o+(A<<2)>>2]|0}while((A|0)<(r|0))}while(0);if((k|0)>0){r=0;do{A=(((Y(r,m)|0)+1|0)/2|0)+1|0;c=f[o+(r+1<<2)>>2]|0;G=c+A|0;if((c|0)>0){c=A;do{A=t+(c<<2)|0;w=f[A>>2]|0;if((w|0)<(c|0))f[A>>2]=f[t+(w<<2)>>2];else{f[A>>2]=f[i>>2];f[i>>2]=(f[i>>2]|0)+1}c=c+1|0}while((c|0)<(G|0))}r=f[o+(r<<2)>>2]|0}while((r|0)<(k|0))}}r=k*136|0;m=euc(k>>>0>31580641|r>>>0>4294967291?-1:r+4|0)|0;f[m>>2]=k;r=m+4|0;if(k|0){G=r+(k*136|0)|0;k=r;do{f[k>>2]=0;f[k+4>>2]=1124007936;c=k+12|0;A=k+44|0;n=k+8|0;q=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(q|0));f[A>>2]=c;w=k+52|0;f[k+48>>2]=w;f[w>>2]=0;f[k+56>>2]=0;f[k+60>>2]=0;f[k+64>>2]=1124007936;w=k+72|0;e=k+104|0;n=k+68|0;q=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(q|0));f[e>>2]=w;c=k+112|0;f[k+108>>2]=c;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;f[c+16>>2]=0;f[c+20>>2]=0;k=k+136|0}while((k|0)!=(G|0))}Nna(g,f[i>>2]|0);f[j>>2]=78472;f[j+4>>2]=d;f[j+8>>2]=t;f[j+12>>2]=g;f[j+16>>2]=r;f[j+20>>2]=i;sZ(h,j,x);j=f[l>>2]|0;l=f[g+132>>2]|0;if((l|0)<(j|0)){h=g+20|0;d=g+48|0;G=g+120|0;k=l;l=f[i>>2]|0;while(1){if((l|0)>0){n=r+(k*136|0)+120|0;q=f[r+(k*136|0)+20>>2]|0;c=f[r+(k*136|0)+48>>2]|0;A=0;s=l;while(1){y=q+(Y(f[c>>2]|0,A)|0)|0;z=y+16|0;if((f[z>>2]|0)>0){v=(f[h>>2]|0)+(Y(f[f[d>>2]>>2]|0,A)|0)|0;H=f[v>>2]|0;D=f[y>>2]|0;f[v>>2]=(H|0)>(D|0)?D:H;H=v+8|0;f[H>>2]=f[((f[H>>2]|0)<(f[y+8>>2]|0)?y:v)+8>>2];H=v+4|0;f[H>>2]=f[((f[H>>2]|0)>(f[y+4>>2]|0)?y:v)+4>>2];H=v+12|0;f[H>>2]=f[((f[H>>2]|0)<(f[y+12>>2]|0)?y:v)+12>>2];y=v+16|0;f[y>>2]=(f[y>>2]|0)+(f[z>>2]|0);z=f[n>>2]|0;y=z+(A<<4)|0;v=f[G>>2]|0;H=v+(A<<4)|0;D=H;C=hzc(f[D>>2]|0,f[D+4>>2]|0,f[y>>2]|0,f[y+4>>2]|0)|0;y=H;f[y>>2]=C;f[y+4>>2]=J;y=z+(A<<4)+8|0;z=v+(A<<4)+8|0;v=z;C=hzc(f[v>>2]|0,f[v+4>>2]|0,f[y>>2]|0,f[y+4>>2]|0)|0;y=z;f[y>>2]=C;f[y+4>>2]=J;M=f[i>>2]|0}else M=s;A=A+1|0;if((A|0)>=(M|0)){N=M;break}else s=M}}else N=l;k=f[r+(k*136|0)+132>>2]|0;if((k|0)>=(j|0))break;else l=N}}N=g+12|0;if((f[N>>2]|0)>0){l=f[g+20>>2]|0;j=f[g+48>>2]|0;k=f[g+120>>2]|0;M=f[g+80>>2]|0;G=f[g+108>>2]|0;g=0;do{d=l+(Y(f[j>>2]|0,g)|0)|0;h=d+8|0;f[h>>2]=(f[h>>2]|0)+1-(f[d>>2]|0);h=d+12|0;f[h>>2]=(f[h>>2]|0)+1-(f[d+4>>2]|0);h=M+(Y(f[G>>2]|0,g)|0)|0;x=+((f[d+16>>2]|0)>>>0);d=k+(g<<4)|0;p[h>>3]=(+((f[d>>2]|0)>>>0)+4294967296.0*+((f[d+4>>2]|0)>>>0))/x;d=k+(g<<4)+8|0;p[h+8>>3]=(+((f[d>>2]|0)>>>0)+4294967296.0*+((f[d+4>>2]|0)>>>0))/x;g=g+1|0}while((g|0)<(f[N>>2]|0))}N=r+((f[m>>2]|0)*136|0)|0;if((r|0)==(N|0)){guc(m);TC(o);TC(t);O=f[i>>2]|0;u=a;return O|0}else P=N;do{P=P+-136|0;Fna(P)}while((P|0)!=(r|0));guc(m);TC(o);TC(t);O=f[i>>2]|0;u=a;return O|0}function Jna(a,c,e,g,h){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;var i=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0.0;a=u;u=u+16|0;i=a;k=f[c+8>>2]|0;l=e+8|0;if((k|0)!=(f[l>>2]|0)){m=cuc(32)|0;f[i>>2]=m;f[i+8>>2]=-2147483616;f[i+4>>2]=26;n=m;o=347680;q=n+26|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(q|0));b[m+26>>0]=0;WD(-215,i,531152,347361,2589)}m=f[c+12>>2]|0;r=e+12|0;if((m|0)!=(f[r>>2]|0)){s=cuc(32)|0;f[i>>2]=s;f[i+8>>2]=-2147483616;f[i+4>>2]=26;n=s;o=347707;q=n+26|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(q|0));b[s+26>>0]=0;WD(-215,i,531152,347361,2590)}if((g|0)!=8){g=cuc(32)|0;f[i>>2]=g;f[i+8>>2]=-2147483616;f[i+4>>2]=17;n=g;o=347734;q=n+17|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(q|0));b[g+17>>0]=0;WD(-215,i,531152,347361,2591)}i=SC((Y(((k+1|0)/2|0)<<1,(m+1|0)/2|0)|0)+2|0)|0;d[i>>1]=0;if((k|0)>0){g=c+16|0;o=c+44|0;n=e+16|0;q=e+44|0;s=(m|0)>0;t=1;v=0;while(1){w=f[f[o>>2]>>2]|0;x=(f[g>>2]|0)+(Y(w,v)|0)|0;y=0-w|0;z=x+y|0;A=z+y|0;y=x+w|0;w=f[f[q>>2]>>2]|0;B=(f[n>>2]|0)+(Y(w,v)|0)|0;C=0-w|0;w=B+C+C|0;if(s){C=(v|1|0)<(k|0);D=(v|0)>0;E=D^1;F=(v+-2|0)>-1;G=0;H=t;while(1){a:do if(!(b[x+G>>0]|0)){I=G|1;K=(I|0)<(m|0);if(C?b[y+G>>0]|0:0){L=G+-1|0;M=(G|0)>0;if(K?b[x+I>>0]|0:0){do if(M){if(b[x+L>>0]|0){do if(D){if(b[z+I>>0]|0){if(b[z+G>>0]|0){d[B+(G<<1)>>1]=d[B+(G+-2<<1)>>1]|0;N=H;break a}do if(F){if(!(b[A+G>>0]|0))break;O=G+-2|0;if(b[z+L>>0]|0){d[B+(G<<1)>>1]=d[B+(O<<1)>>1]|0;N=H;break a}do if((O|0)>-1){if(!(b[z+O>>0]|0))break;if(b[A+L>>0]|0){d[B+(G<<1)>>1]=d[B+(O<<1)>>1]|0;N=H;break a}P=d[w+(G<<1)>>1]|0;Q=d[B+(O<<1)>>1]|0;R=P;while(1){S=d[i+((R&65535)<<1)>>1]|0;if((S&65535)<(R&65535))R=S;else break}if(P<<16>>16==Q<<16>>16)T=R;else{S=Q;while(1){U=d[i+((S&65535)<<1)>>1]|0;if((U&65535)<(S&65535))S=U;else break}U=(R&65535)>(S&65535)?S:R;V=Q;do{W=i+((V&65535)<<1)|0;X=V;V=d[W>>1]|0;d[W>>1]=U}while((V&65535)<(X&65535));T=U}U=P;do{V=i+((U&65535)<<1)|0;Q=U;U=d[V>>1]|0;d[V>>1]=T}while((U&65535)<(Q&65535));d[B+(G<<1)>>1]=T;N=H;break a}while(0);U=d[w+(G<<1)>>1]|0;P=d[B+(O<<1)>>1]|0;Q=U;while(1){V=d[i+((Q&65535)<<1)>>1]|0;if((V&65535)<(Q&65535))Q=V;else break}if(U<<16>>16==P<<16>>16)Z=Q;else{O=P;while(1){V=d[i+((O&65535)<<1)>>1]|0;if((V&65535)<(O&65535))O=V;else break}V=(Q&65535)>(O&65535)?O:Q;R=P;do{S=i+((R&65535)<<1)|0;X=R;R=d[S>>1]|0;d[S>>1]=V}while((R&65535)<(X&65535));Z=V}V=U;do{R=i+((V&65535)<<1)|0;P=V;V=d[R>>1]|0;d[R>>1]=Z}while((V&65535)<(P&65535));d[B+(G<<1)>>1]=Z;N=H;break a}while(0);V=d[w+(G<<1)>>1]|0;U=d[B+(G+-2<<1)>>1]|0;P=V;while(1){R=d[i+((P&65535)<<1)>>1]|0;if((R&65535)<(P&65535))P=R;else break}if(V<<16>>16==U<<16>>16)_=P;else{R=U;while(1){Q=d[i+((R&65535)<<1)>>1]|0;if((Q&65535)<(R&65535))R=Q;else break}Q=(P&65535)>(R&65535)?R:P;O=U;do{X=i+((O&65535)<<1)|0;S=O;O=d[X>>1]|0;d[X>>1]=Q}while((O&65535)<(S&65535));_=Q}Q=V;do{O=i+((Q&65535)<<1)|0;U=Q;Q=d[O>>1]|0;d[O>>1]=_}while((Q&65535)<(U&65535));d[B+(G<<1)>>1]=_;N=H;break a}Q=G+2|0;if((Q|0)>=(m|0))break;if(!(b[z+Q>>0]|0))break;do if(F){if(!(b[A+I>>0]|0))break;if(b[z+G>>0]|0){d[B+(G<<1)>>1]=d[B+(G+-2<<1)>>1]|0;N=H;break a}if(!(b[A+G>>0]|0)){V=d[w+(Q<<1)>>1]|0;U=d[B+(G+-2<<1)>>1]|0;O=V;while(1){P=d[i+((O&65535)<<1)>>1]|0;if((P&65535)<(O&65535))O=P;else break}if(V<<16>>16==U<<16>>16)$=O;else{P=U;while(1){R=d[i+((P&65535)<<1)>>1]|0;if((R&65535)<(P&65535))P=R;else break}R=(O&65535)>(P&65535)?P:O;S=U;do{X=i+((S&65535)<<1)|0;W=S;S=d[X>>1]|0;d[X>>1]=R}while((S&65535)<(W&65535));$=R}R=V;do{S=i+((R&65535)<<1)|0;U=R;R=d[S>>1]|0;d[S>>1]=$}while((R&65535)<(U&65535));d[B+(G<<1)>>1]=$;N=H;break a}R=G+-2|0;if(b[z+L>>0]|0){d[B+(G<<1)>>1]=d[B+(R<<1)>>1]|0;N=H;break a}do if((R|0)>-1){if(!(b[z+R>>0]|0))break;if(b[A+L>>0]|0){d[B+(G<<1)>>1]=d[B+(R<<1)>>1]|0;N=H;break a}V=d[w+(Q<<1)>>1]|0;U=d[B+(R<<1)>>1]|0;S=V;while(1){O=d[i+((S&65535)<<1)>>1]|0;if((O&65535)<(S&65535))S=O;else break}if(V<<16>>16==U<<16>>16)aa=S;else{O=U;while(1){P=d[i+((O&65535)<<1)>>1]|0;if((P&65535)<(O&65535))O=P;else break}P=(S&65535)>(O&65535)?O:S;W=U;do{X=i+((W&65535)<<1)|0;ba=W;W=d[X>>1]|0;d[X>>1]=P}while((W&65535)<(ba&65535));aa=P}P=V;do{W=i+((P&65535)<<1)|0;U=P;P=d[W>>1]|0;d[W>>1]=aa}while((P&65535)<(U&65535));d[B+(G<<1)>>1]=aa;N=H;break a}while(0);P=d[w+(Q<<1)>>1]|0;V=d[B+(R<<1)>>1]|0;U=P;while(1){W=d[i+((U&65535)<<1)>>1]|0;if((W&65535)<(U&65535))U=W;else break}if(P<<16>>16==V<<16>>16)ca=U;else{R=V;while(1){W=d[i+((R&65535)<<1)>>1]|0;if((W&65535)<(R&65535))R=W;else break}W=(U&65535)>(R&65535)?R:U;S=V;do{O=i+((S&65535)<<1)|0;ba=S;S=d[O>>1]|0;d[O>>1]=W}while((S&65535)<(ba&65535));ca=W}W=P;do{S=i+((W&65535)<<1)|0;V=W;W=d[S>>1]|0;d[S>>1]=ca}while((W&65535)<(V&65535));d[B+(G<<1)>>1]=ca;N=H;break a}while(0);W=d[w+(Q<<1)>>1]|0;P=d[B+(G+-2<<1)>>1]|0;V=W;while(1){S=d[i+((V&65535)<<1)>>1]|0;if((S&65535)<(V&65535))V=S;else break}if(W<<16>>16==P<<16>>16)da=V;else{Q=P;while(1){S=d[i+((Q&65535)<<1)>>1]|0;if((S&65535)<(Q&65535))Q=S;else break}S=(V&65535)>(Q&65535)?Q:V;U=P;do{R=i+((U&65535)<<1)|0;ba=U;U=d[R>>1]|0;d[R>>1]=S}while((U&65535)<(ba&65535));da=S}S=W;do{U=i+((S&65535)<<1)|0;P=S;S=d[U>>1]|0;d[U>>1]=da}while((S&65535)<(P&65535));d[B+(G<<1)>>1]=da;N=H;break a}while(0);d[B+(G<<1)>>1]=d[B+(G+-2<<1)>>1]|0;N=H;break a}if(!(b[y+L>>0]|0))break;do if(D){if(b[z+I>>0]|0){S=G+-2|0;do if((S|0)>-1){if(!(b[x+S>>0]|0))break;if(b[z+L>>0]|0){W=d[B+(S<<1)>>1]|0;if(b[z+G>>0]|0){d[B+(G<<1)>>1]=W;N=H;break a}do if(F){if(!(b[A+G>>0]|0))break;d[B+(G<<1)>>1]=W;N=H;break a}while(0);P=d[w+(G<<1)>>1]|0;U=P;while(1){V=d[i+((U&65535)<<1)>>1]|0;if((V&65535)<(U&65535))U=V;else break}if(P<<16>>16==W<<16>>16)ea=U;else{V=W;while(1){Q=d[i+((V&65535)<<1)>>1]|0;if((Q&65535)<(V&65535))V=Q;else break}Q=(U&65535)>(V&65535)?V:U;ba=W;do{R=i+((ba&65535)<<1)|0;O=ba;ba=d[R>>1]|0;d[R>>1]=Q}while((ba&65535)<(O&65535));ea=Q}Q=P;do{ba=i+((Q&65535)<<1)|0;W=Q;Q=d[ba>>1]|0;d[ba>>1]=ea}while((Q&65535)<(W&65535));d[B+(G<<1)>>1]=ea;N=H;break a}if(!(b[z+S>>0]|0)){Q=d[w+(G<<1)>>1]|0;P=d[B+(S<<1)>>1]|0;W=Q;while(1){ba=d[i+((W&65535)<<1)>>1]|0;if((ba&65535)<(W&65535))W=ba;else break}if(Q<<16>>16==P<<16>>16)fa=W;else{ba=P;while(1){U=d[i+((ba&65535)<<1)>>1]|0;if((U&65535)<(ba&65535))ba=U;else break}U=(W&65535)>(ba&65535)?ba:W;V=P;do{O=i+((V&65535)<<1)|0;R=V;V=d[O>>1]|0;d[O>>1]=U}while((V&65535)<(R&65535));fa=U}U=Q;do{V=i+((U&65535)<<1)|0;P=U;U=d[V>>1]|0;d[V>>1]=fa}while((U&65535)<(P&65535));d[B+(G<<1)>>1]=fa;N=H;break a}do if(F){if(!(b[A+L>>0]|0))break;U=d[B+(S<<1)>>1]|0;if(b[z+G>>0]|0){d[B+(G<<1)>>1]=U;N=H;break a}if(b[A+G>>0]|0){d[B+(G<<1)>>1]=U;N=H;break a}Q=d[w+(G<<1)>>1]|0;P=Q;while(1){V=d[i+((P&65535)<<1)>>1]|0;if((V&65535)<(P&65535))P=V;else break}if(Q<<16>>16==U<<16>>16)ga=P;else{V=U;while(1){W=d[i+((V&65535)<<1)>>1]|0;if((W&65535)<(V&65535))V=W;else break}W=(P&65535)>(V&65535)?V:P;ba=U;do{R=i+((ba&65535)<<1)|0;O=ba;ba=d[R>>1]|0;d[R>>1]=W}while((ba&65535)<(O&65535));ga=W}W=Q;do{ba=i+((W&65535)<<1)|0;U=W;W=d[ba>>1]|0;d[ba>>1]=ga}while((W&65535)<(U&65535));d[B+(G<<1)>>1]=ga;N=H;break a}while(0);W=d[w+(G<<1)>>1]|0;Q=d[B+(S<<1)>>1]|0;U=W;while(1){ba=d[i+((U&65535)<<1)>>1]|0;if((ba&65535)<(U&65535))U=ba;else break}if(W<<16>>16==Q<<16>>16)ha=U;else{ba=Q;while(1){P=d[i+((ba&65535)<<1)>>1]|0;if((P&65535)<(ba&65535))ba=P;else break}P=(U&65535)>(ba&65535)?ba:U;V=Q;do{O=i+((V&65535)<<1)|0;R=V;V=d[O>>1]|0;d[O>>1]=P}while((V&65535)<(R&65535));ha=P}P=W;do{V=i+((P&65535)<<1)|0;Q=P;P=d[V>>1]|0;d[V>>1]=ha}while((P&65535)<(Q&65535));d[B+(G<<1)>>1]=ha;N=H;break a}while(0);P=d[w+(G<<1)>>1]|0;W=d[B+(S<<1)>>1]|0;Q=P;while(1){V=d[i+((Q&65535)<<1)>>1]|0;if((V&65535)<(Q&65535))Q=V;else break}if(P<<16>>16==W<<16>>16)ia=Q;else{S=W;while(1){V=d[i+((S&65535)<<1)>>1]|0;if((V&65535)<(S&65535))S=V;else break}V=(Q&65535)>(S&65535)?S:Q;U=W;do{ba=i+((U&65535)<<1)|0;R=U;U=d[ba>>1]|0;d[ba>>1]=V}while((U&65535)<(R&65535));ia=V}V=P;do{U=i+((V&65535)<<1)|0;W=V;V=d[U>>1]|0;d[U>>1]=ia}while((V&65535)<(W&65535));d[B+(G<<1)>>1]=ia;N=H;break a}V=G+2|0;do if(!((V|0)>=(m|0)|E)){if(!(b[z+V>>0]|0))break;do if(F){if(!(b[A+I>>0]|0))break;P=G+-2|0;do if((P|0)>-1){if(!(b[x+P>>0]|0))break;if(b[z+L>>0]|0){W=d[B+(P<<1)>>1]|0;if(b[z+G>>0]|0){d[B+(G<<1)>>1]=W;N=H;break a}if(b[A+G>>0]|0){d[B+(G<<1)>>1]=W;N=H;break a}U=d[w+(V<<1)>>1]|0;Q=U;while(1){S=d[i+((Q&65535)<<1)>>1]|0;if((S&65535)<(Q&65535))Q=S;else break}if(U<<16>>16==W<<16>>16)ja=Q;else{S=W;while(1){R=d[i+((S&65535)<<1)>>1]|0;if((R&65535)<(S&65535))S=R;else break}R=(Q&65535)>(S&65535)?S:Q;ba=W;do{O=i+((ba&65535)<<1)|0;X=ba;ba=d[O>>1]|0;d[O>>1]=R}while((ba&65535)<(X&65535));ja=R}R=U;do{ba=i+((R&65535)<<1)|0;W=R;R=d[ba>>1]|0;d[ba>>1]=ja}while((R&65535)<(W&65535));d[B+(G<<1)>>1]=ja;N=H;break a}if(!(b[z+P>>0]|0)){R=d[w+(V<<1)>>1]|0;U=d[B+(P<<1)>>1]|0;W=R;while(1){ba=d[i+((W&65535)<<1)>>1]|0;if((ba&65535)<(W&65535))W=ba;else break}if(R<<16>>16==U<<16>>16)ka=W;else{ba=U;while(1){Q=d[i+((ba&65535)<<1)>>1]|0;if((Q&65535)<(ba&65535))ba=Q;else break}Q=(W&65535)>(ba&65535)?ba:W;S=U;do{X=i+((S&65535)<<1)|0;O=S;S=d[X>>1]|0;d[X>>1]=Q}while((S&65535)<(O&65535));ka=Q}Q=R;do{S=i+((Q&65535)<<1)|0;U=Q;Q=d[S>>1]|0;d[S>>1]=ka}while((Q&65535)<(U&65535));d[B+(G<<1)>>1]=ka;N=H;break a}if(!(b[A+L>>0]|0)){Q=d[w+(V<<1)>>1]|0;R=d[B+(P<<1)>>1]|0;U=Q;while(1){S=d[i+((U&65535)<<1)>>1]|0;if((S&65535)<(U&65535))U=S;else break}if(Q<<16>>16==R<<16>>16)la=U;else{S=R;while(1){W=d[i+((S&65535)<<1)>>1]|0;if((W&65535)<(S&65535))S=W;else break}W=(U&65535)>(S&65535)?S:U;ba=R;do{O=i+((ba&65535)<<1)|0;X=ba;ba=d[O>>1]|0;d[O>>1]=W}while((ba&65535)<(X&65535));la=W}W=Q;do{ba=i+((W&65535)<<1)|0;R=W;W=d[ba>>1]|0;d[ba>>1]=la}while((W&65535)<(R&65535));d[B+(G<<1)>>1]=la;N=H;break a}W=d[B+(P<<1)>>1]|0;if(b[z+G>>0]|0){d[B+(G<<1)>>1]=W;N=H;break a}if(b[A+G>>0]|0){d[B+(G<<1)>>1]=W;N=H;break a}Q=d[w+(V<<1)>>1]|0;R=Q;while(1){ba=d[i+((R&65535)<<1)>>1]|0;if((ba&65535)<(R&65535))R=ba;else break}if(Q<<16>>16==W<<16>>16)ma=R;else{ba=W;while(1){U=d[i+((ba&65535)<<1)>>1]|0;if((U&65535)<(ba&65535))ba=U;else break}U=(R&65535)>(ba&65535)?ba:R;S=W;do{X=i+((S&65535)<<1)|0;O=S;S=d[X>>1]|0;d[X>>1]=U}while((S&65535)<(O&65535));ma=U}U=Q;do{S=i+((U&65535)<<1)|0;W=U;U=d[S>>1]|0;d[S>>1]=ma}while((U&65535)<(W&65535));d[B+(G<<1)>>1]=ma;N=H;break a}while(0);U=d[w+(V<<1)>>1]|0;Q=d[B+(P<<1)>>1]|0;W=U;while(1){S=d[i+((W&65535)<<1)>>1]|0;if((S&65535)<(W&65535))W=S;else break}if(U<<16>>16==Q<<16>>16)na=W;else{P=Q;while(1){S=d[i+((P&65535)<<1)>>1]|0;if((S&65535)<(P&65535))P=S;else break}S=(W&65535)>(P&65535)?P:W;R=Q;do{ba=i+((R&65535)<<1)|0;O=R;R=d[ba>>1]|0;d[ba>>1]=S}while((R&65535)<(O&65535));na=S}S=U;do{R=i+((S&65535)<<1)|0;Q=S;S=d[R>>1]|0;d[R>>1]=na}while((S&65535)<(Q&65535));d[B+(G<<1)>>1]=na;N=H;break a}while(0);S=G+-2|0;if(!(b[z+G>>0]|0)){U=d[w+(V<<1)>>1]|0;Q=d[B+(S<<1)>>1]|0;R=U;while(1){W=d[i+((R&65535)<<1)>>1]|0;if((W&65535)<(R&65535))R=W;else break}if(U<<16>>16==Q<<16>>16)oa=R;else{W=Q;while(1){P=d[i+((W&65535)<<1)>>1]|0;if((P&65535)<(W&65535))W=P;else break}P=(R&65535)>(W&65535)?W:R;O=Q;do{ba=i+((O&65535)<<1)|0;X=O;O=d[ba>>1]|0;d[ba>>1]=P}while((O&65535)<(X&65535));oa=P}P=U;do{O=i+((P&65535)<<1)|0;Q=P;P=d[O>>1]|0;d[O>>1]=oa}while((P&65535)<(Q&65535));d[B+(G<<1)>>1]=oa;N=H;break a}do if((S|0)>-1){if(!(b[x+S>>0]|0))break;if(b[z+L>>0]|0){P=d[w+(V<<1)>>1]|0;U=d[B+(S<<1)>>1]|0;Q=P;while(1){O=d[i+((Q&65535)<<1)>>1]|0;if((O&65535)<(Q&65535))Q=O;else break}if(P<<16>>16==U<<16>>16)pa=Q;else{O=U;while(1){R=d[i+((O&65535)<<1)>>1]|0;if((R&65535)<(O&65535))O=R;else break}R=(Q&65535)>(O&65535)?O:Q;W=U;do{X=i+((W&65535)<<1)|0;ba=W;W=d[X>>1]|0;d[X>>1]=R}while((W&65535)<(ba&65535));pa=R}R=P;do{W=i+((R&65535)<<1)|0;U=R;R=d[W>>1]|0;d[W>>1]=pa}while((R&65535)<(U&65535));d[B+(G<<1)>>1]=pa;N=H;break a}if(!(b[z+S>>0]|0)){R=d[w+(G<<1)>>1]|0;P=d[w+(V<<1)>>1]|0;U=R;while(1){W=d[i+((U&65535)<<1)>>1]|0;if((W&65535)<(U&65535))U=W;else break}if(R<<16>>16==P<<16>>16)qa=U;else{W=P;while(1){Q=d[i+((W&65535)<<1)>>1]|0;if((Q&65535)<(W&65535))W=Q;else break}Q=(U&65535)>(W&65535)?W:U;O=P;do{ba=i+((O&65535)<<1)|0;X=O;O=d[ba>>1]|0;d[ba>>1]=Q}while((O&65535)<(X&65535));qa=Q}Q=R;do{O=i+((Q&65535)<<1)|0;P=Q;Q=d[O>>1]|0;d[O>>1]=qa}while((Q&65535)<(P&65535));Q=d[B+(S<<1)>>1]|0;R=qa;while(1){P=d[i+((R&65535)<<1)>>1]|0;if((P&65535)<(R&65535))R=P;else break}if(qa<<16>>16==Q<<16>>16)ra=R;else{P=Q;while(1){O=d[i+((P&65535)<<1)>>1]|0;if((O&65535)<(P&65535))P=O;else break}O=(R&65535)>(P&65535)?P:R;U=Q;do{W=i+((U&65535)<<1)|0;X=U;U=d[W>>1]|0;d[W>>1]=O}while((U&65535)<(X&65535));ra=O}O=qa;do{U=i+((O&65535)<<1)|0;Q=O;O=d[U>>1]|0;d[U>>1]=ra}while((O&65535)<(Q&65535));d[B+(G<<1)>>1]=ra;N=H;break a}do if(F){if(!(b[A+L>>0]|0))break;O=d[w+(V<<1)>>1]|0;Q=d[B+(S<<1)>>1]|0;U=O;while(1){R=d[i+((U&65535)<<1)>>1]|0;if((R&65535)<(U&65535))U=R;else break}if(O<<16>>16==Q<<16>>16)sa=U;else{R=Q;while(1){P=d[i+((R&65535)<<1)>>1]|0;if((P&65535)<(R&65535))R=P;else break}P=(U&65535)>(R&65535)?R:U;X=Q;do{W=i+((X&65535)<<1)|0;ba=X;X=d[W>>1]|0;d[W>>1]=P}while((X&65535)<(ba&65535));sa=P}P=O;do{X=i+((P&65535)<<1)|0;Q=P;P=d[X>>1]|0;d[X>>1]=sa}while((P&65535)<(Q&65535));d[B+(G<<1)>>1]=sa;N=H;break a}while(0);P=d[w+(G<<1)>>1]|0;O=d[w+(V<<1)>>1]|0;Q=P;while(1){X=d[i+((Q&65535)<<1)>>1]|0;if((X&65535)<(Q&65535))Q=X;else break}if(P<<16>>16==O<<16>>16)ta=Q;else{X=O;while(1){U=d[i+((X&65535)<<1)>>1]|0;if((U&65535)<(X&65535))X=U;else break}U=(Q&65535)>(X&65535)?X:Q;R=O;do{ba=i+((R&65535)<<1)|0;W=R;R=d[ba>>1]|0;d[ba>>1]=U}while((R&65535)<(W&65535));ta=U}U=P;do{R=i+((U&65535)<<1)|0;O=U;U=d[R>>1]|0;d[R>>1]=ta}while((U&65535)<(O&65535));U=d[B+(S<<1)>>1]|0;P=ta;while(1){O=d[i+((P&65535)<<1)>>1]|0;if((O&65535)<(P&65535))P=O;else break}if(ta<<16>>16==U<<16>>16)ua=P;else{O=U;while(1){R=d[i+((O&65535)<<1)>>1]|0;if((R&65535)<(O&65535))O=R;else break}R=(P&65535)>(O&65535)?O:P;Q=U;do{X=i+((Q&65535)<<1)|0;W=Q;Q=d[X>>1]|0;d[X>>1]=R}while((Q&65535)<(W&65535));ua=R}R=ta;do{Q=i+((R&65535)<<1)|0;U=R;R=d[Q>>1]|0;d[Q>>1]=ua}while((R&65535)<(U&65535));d[B+(G<<1)>>1]=ua;N=H;break a}while(0);R=d[w+(G<<1)>>1]|0;U=d[w+(V<<1)>>1]|0;Q=R;while(1){P=d[i+((Q&65535)<<1)>>1]|0;if((P&65535)<(Q&65535))Q=P;else break}if(R<<16>>16==U<<16>>16)va=Q;else{P=U;while(1){O=d[i+((P&65535)<<1)>>1]|0;if((O&65535)<(P&65535))P=O;else break}O=(Q&65535)>(P&65535)?P:Q;W=U;do{X=i+((W&65535)<<1)|0;ba=W;W=d[X>>1]|0;d[X>>1]=O}while((W&65535)<(ba&65535));va=O}O=R;do{W=i+((O&65535)<<1)|0;U=O;O=d[W>>1]|0;d[W>>1]=va}while((O&65535)<(U&65535));O=d[B+(S<<1)>>1]|0;R=va;while(1){U=d[i+((R&65535)<<1)>>1]|0;if((U&65535)<(R&65535))R=U;else break}if(va<<16>>16==O<<16>>16)wa=R;else{S=O;while(1){U=d[i+((S&65535)<<1)>>1]|0;if((U&65535)<(S&65535))S=U;else break}U=(R&65535)>(S&65535)?S:R;W=O;do{Q=i+((W&65535)<<1)|0;P=W;W=d[Q>>1]|0;d[Q>>1]=U}while((W&65535)<(P&65535));wa=U}U=va;do{W=i+((U&65535)<<1)|0;O=U;U=d[W>>1]|0;d[W>>1]=wa}while((U&65535)<(O&65535));d[B+(G<<1)>>1]=wa;N=H;break a}while(0);V=G+-2|0;if(!(b[z+G>>0]|0)){xa=V;break}do if((V|0)>-1){if(!(b[x+V>>0]|0))break;if(b[z+L>>0]|0){d[B+(G<<1)>>1]=d[B+(V<<1)>>1]|0;N=H;break a}if(!(b[z+V>>0]|0)){U=d[w+(G<<1)>>1]|0;O=d[B+(V<<1)>>1]|0;W=U;while(1){R=d[i+((W&65535)<<1)>>1]|0;if((R&65535)<(W&65535))W=R;else break}if(U<<16>>16==O<<16>>16)ya=W;else{R=O;while(1){S=d[i+((R&65535)<<1)>>1]|0;if((S&65535)<(R&65535))R=S;else break}S=(W&65535)>(R&65535)?R:W;P=O;do{Q=i+((P&65535)<<1)|0;ba=P;P=d[Q>>1]|0;d[Q>>1]=S}while((P&65535)<(ba&65535));ya=S}S=U;do{P=i+((S&65535)<<1)|0;O=S;S=d[P>>1]|0;d[P>>1]=ya}while((S&65535)<(O&65535));d[B+(G<<1)>>1]=ya;N=H;break a}do if(F){if(!(b[A+L>>0]|0))break;d[B+(G<<1)>>1]=d[B+(V<<1)>>1]|0;N=H;break a}while(0);S=d[w+(G<<1)>>1]|0;U=d[B+(V<<1)>>1]|0;O=S;while(1){P=d[i+((O&65535)<<1)>>1]|0;if((P&65535)<(O&65535))O=P;else break}if(S<<16>>16==U<<16>>16)za=O;else{P=U;while(1){W=d[i+((P&65535)<<1)>>1]|0;if((W&65535)<(P&65535))P=W;else break}W=(O&65535)>(P&65535)?P:O;R=U;do{ba=i+((R&65535)<<1)|0;Q=R;R=d[ba>>1]|0;d[ba>>1]=W}while((R&65535)<(Q&65535));za=W}W=S;do{R=i+((W&65535)<<1)|0;U=W;W=d[R>>1]|0;d[R>>1]=za}while((W&65535)<(U&65535));d[B+(G<<1)>>1]=za;N=H;break a}while(0);W=d[w+(G<<1)>>1]|0;S=d[B+(V<<1)>>1]|0;U=W;while(1){R=d[i+((U&65535)<<1)>>1]|0;if((R&65535)<(U&65535))U=R;else break}if(W<<16>>16==S<<16>>16)Aa=U;else{V=S;while(1){R=d[i+((V&65535)<<1)>>1]|0;if((R&65535)<(V&65535))V=R;else break}R=(U&65535)>(V&65535)?V:U;O=S;do{P=i+((O&65535)<<1)|0;Q=O;O=d[P>>1]|0;d[P>>1]=R}while((O&65535)<(Q&65535));Aa=R}R=W;do{O=i+((R&65535)<<1)|0;S=R;R=d[O>>1]|0;d[O>>1]=Aa}while((R&65535)<(S&65535));d[B+(G<<1)>>1]=Aa;N=H;break a}else xa=G+-2|0;while(0);d[B+(G<<1)>>1]=d[B+(xa<<1)>>1]|0;N=H;break a}while(0);do if(D){if(b[z+I>>0]|0){d[B+(G<<1)>>1]=d[w+(G<<1)>>1]|0;N=H;break a}R=G+2|0;do if(!((R|0)>=(m|0)|E)){if(!(b[z+R>>0]|0))break;if(!(b[z+G>>0]|0)){d[B+(G<<1)>>1]=d[w+(R<<1)>>1]|0;N=H;break a}do if(F){if(!(b[A+I>>0]|0))break;d[B+(G<<1)>>1]=d[w+(R<<1)>>1]|0;N=H;break a}while(0);W=d[w+(G<<1)>>1]|0;S=d[w+(R<<1)>>1]|0;O=W;while(1){U=d[i+((O&65535)<<1)>>1]|0;if((U&65535)<(O&65535))O=U;else break}if(W<<16>>16==S<<16>>16)Ba=O;else{U=S;while(1){V=d[i+((U&65535)<<1)>>1]|0;if((V&65535)<(U&65535))U=V;else break}V=(O&65535)>(U&65535)?U:O;Q=S;do{P=i+((Q&65535)<<1)|0;ba=Q;Q=d[P>>1]|0;d[P>>1]=V}while((Q&65535)<(ba&65535));Ba=V}V=W;do{Q=i+((V&65535)<<1)|0;S=V;V=d[Q>>1]|0;d[Q>>1]=Ba}while((V&65535)<(S&65535));d[B+(G<<1)>>1]=Ba;N=H;break a}while(0);if(!(b[z+G>>0]|0))break;d[B+(G<<1)>>1]=d[w+(G<<1)>>1]|0;N=H;break a}while(0);d[B+(G<<1)>>1]=H;R=H&65535;d[i+(R<<1)>>1]=H;N=R+1&65535;break}if(M){if(b[y+L>>0]|0){d[B+(G<<1)>>1]=d[B+(G+-2<<1)>>1]|0;N=H;break}if(b[x+L>>0]|0){d[B+(G<<1)>>1]=d[B+(G+-2<<1)>>1]|0;N=H;break}}d[B+(G<<1)>>1]=H;R=H&65535;d[i+(R<<1)>>1]=H;N=R+1&65535;break}do if(K){if(!(b[x+I>>0]|0)){if(!C)break;if(!(b[y+I>>0]|0))break;d[B+(G<<1)>>1]=H;R=H&65535;d[i+(R<<1)>>1]=H;N=R+1&65535;break a}if(D){if(b[z+I>>0]|0){d[B+(G<<1)>>1]=d[w+(G<<1)>>1]|0;N=H;break a}R=G+2|0;do if(!((R|0)>=(m|0)|E)){if(!(b[z+R>>0]|0))break;if(!(b[z+G>>0]|0)){d[B+(G<<1)>>1]=d[w+(R<<1)>>1]|0;N=H;break a}do if(F){if(!(b[A+I>>0]|0))break;d[B+(G<<1)>>1]=d[w+(R<<1)>>1]|0;N=H;break a}while(0);V=d[w+(G<<1)>>1]|0;W=d[w+(R<<1)>>1]|0;S=V;while(1){Q=d[i+((S&65535)<<1)>>1]|0;if((Q&65535)<(S&65535))S=Q;else break}if(V<<16>>16==W<<16>>16)Ca=S;else{Q=W;while(1){O=d[i+((Q&65535)<<1)>>1]|0;if((O&65535)<(Q&65535))Q=O;else break}O=(S&65535)>(Q&65535)?Q:S;U=W;do{ba=i+((U&65535)<<1)|0;P=U;U=d[ba>>1]|0;d[ba>>1]=O}while((U&65535)<(P&65535));Ca=O}O=V;do{U=i+((O&65535)<<1)|0;W=O;O=d[U>>1]|0;d[U>>1]=Ca}while((O&65535)<(W&65535));d[B+(G<<1)>>1]=Ca;N=H;break a}while(0);if(b[z+G>>0]|0){d[B+(G<<1)>>1]=d[w+(G<<1)>>1]|0;N=H;break a}}d[B+(G<<1)>>1]=H;R=H&65535;d[i+(R<<1)>>1]=H;N=R+1&65535;break a}while(0);d[B+(G<<1)>>1]=0;N=H}else{I=G+-1|0;K=(G|0)>0;if(K){if(b[x+I>>0]|0){L=G|1;M=(L|0)<(m|0);if(D&M?b[z+L>>0]|0:0){if(b[z+G>>0]|0){d[B+(G<<1)>>1]=d[B+(G+-2<<1)>>1]|0;N=H;break}do if(F){if(!(b[A+G>>0]|0))break;R=G+-2|0;if(b[z+I>>0]|0){d[B+(G<<1)>>1]=d[B+(R<<1)>>1]|0;N=H;break a}do if((R|0)>-1){if(!(b[z+R>>0]|0))break;if(b[A+I>>0]|0){d[B+(G<<1)>>1]=d[B+(R<<1)>>1]|0;N=H;break a}O=d[w+(G<<1)>>1]|0;V=d[B+(R<<1)>>1]|0;W=O;while(1){U=d[i+((W&65535)<<1)>>1]|0;if((U&65535)<(W&65535))W=U;else break}if(O<<16>>16==V<<16>>16)Da=W;else{U=V;while(1){S=d[i+((U&65535)<<1)>>1]|0;if((S&65535)<(U&65535))U=S;else break}S=(W&65535)>(U&65535)?U:W;Q=V;do{P=i+((Q&65535)<<1)|0;ba=Q;Q=d[P>>1]|0;d[P>>1]=S}while((Q&65535)<(ba&65535));Da=S}S=O;do{Q=i+((S&65535)<<1)|0;V=S;S=d[Q>>1]|0;d[Q>>1]=Da}while((S&65535)<(V&65535));d[B+(G<<1)>>1]=Da;N=H;break a}while(0);S=d[w+(G<<1)>>1]|0;O=d[B+(R<<1)>>1]|0;V=S;while(1){Q=d[i+((V&65535)<<1)>>1]|0;if((Q&65535)<(V&65535))V=Q;else break}if(S<<16>>16==O<<16>>16)Ea=V;else{R=O;while(1){Q=d[i+((R&65535)<<1)>>1]|0;if((Q&65535)<(R&65535))R=Q;else break}Q=(V&65535)>(R&65535)?R:V;W=O;do{U=i+((W&65535)<<1)|0;ba=W;W=d[U>>1]|0;d[U>>1]=Q}while((W&65535)<(ba&65535));Ea=Q}Q=S;do{W=i+((Q&65535)<<1)|0;O=Q;Q=d[W>>1]|0;d[W>>1]=Ea}while((Q&65535)<(O&65535));d[B+(G<<1)>>1]=Ea;N=H;break a}while(0);Q=d[w+(G<<1)>>1]|0;S=d[B+(G+-2<<1)>>1]|0;O=Q;while(1){W=d[i+((O&65535)<<1)>>1]|0;if((W&65535)<(O&65535))O=W;else break}if(Q<<16>>16==S<<16>>16)Fa=O;else{W=S;while(1){V=d[i+((W&65535)<<1)>>1]|0;if((V&65535)<(W&65535))W=V;else break}V=(O&65535)>(W&65535)?W:O;R=S;do{ba=i+((R&65535)<<1)|0;U=R;R=d[ba>>1]|0;d[ba>>1]=V}while((R&65535)<(U&65535));Fa=V}V=Q;do{R=i+((V&65535)<<1)|0;S=V;V=d[R>>1]|0;d[R>>1]=Fa}while((V&65535)<(S&65535));d[B+(G<<1)>>1]=Fa;N=H;break}if(M?b[x+L>>0]|0:0){V=G+2|0;do if(D&(V|0)<(m|0)){if(!(b[z+V>>0]|0))break;do if(F){if(!(b[A+L>>0]|0))break;if(b[z+G>>0]|0){d[B+(G<<1)>>1]=d[B+(G+-2<<1)>>1]|0;N=H;break a}if(!(b[A+G>>0]|0)){Q=d[w+(V<<1)>>1]|0;S=d[B+(G+-2<<1)>>1]|0;R=Q;while(1){O=d[i+((R&65535)<<1)>>1]|0;if((O&65535)<(R&65535))R=O;else break}if(Q<<16>>16==S<<16>>16)Ga=R;else{O=S;while(1){W=d[i+((O&65535)<<1)>>1]|0;if((W&65535)<(O&65535))O=W;else break}W=(R&65535)>(O&65535)?O:R;U=S;do{ba=i+((U&65535)<<1)|0;P=U;U=d[ba>>1]|0;d[ba>>1]=W}while((U&65535)<(P&65535));Ga=W}W=Q;do{U=i+((W&65535)<<1)|0;S=W;W=d[U>>1]|0;d[U>>1]=Ga}while((W&65535)<(S&65535));d[B+(G<<1)>>1]=Ga;N=H;break a}W=G+-2|0;if(b[z+I>>0]|0){d[B+(G<<1)>>1]=d[B+(W<<1)>>1]|0;N=H;break a}do if((W|0)>-1){if(!(b[z+W>>0]|0))break;if(b[A+I>>0]|0){d[B+(G<<1)>>1]=d[B+(W<<1)>>1]|0;N=H;break a}Q=d[w+(V<<1)>>1]|0;S=d[B+(W<<1)>>1]|0;U=Q;while(1){R=d[i+((U&65535)<<1)>>1]|0;if((R&65535)<(U&65535))U=R;else break}if(Q<<16>>16==S<<16>>16)Ha=U;else{R=S;while(1){O=d[i+((R&65535)<<1)>>1]|0;if((O&65535)<(R&65535))R=O;else break}O=(U&65535)>(R&65535)?R:U;P=S;do{ba=i+((P&65535)<<1)|0;X=P;P=d[ba>>1]|0;d[ba>>1]=O}while((P&65535)<(X&65535));Ha=O}O=Q;do{P=i+((O&65535)<<1)|0;S=O;O=d[P>>1]|0;d[P>>1]=Ha}while((O&65535)<(S&65535));d[B+(G<<1)>>1]=Ha;N=H;break a}while(0);O=d[w+(V<<1)>>1]|0;Q=d[B+(W<<1)>>1]|0;S=O;while(1){P=d[i+((S&65535)<<1)>>1]|0;if((P&65535)<(S&65535))S=P;else break}if(O<<16>>16==Q<<16>>16)Ia=S;else{W=Q;while(1){P=d[i+((W&65535)<<1)>>1]|0;if((P&65535)<(W&65535))W=P;else break}P=(S&65535)>(W&65535)?W:S;U=Q;do{R=i+((U&65535)<<1)|0;X=U;U=d[R>>1]|0;d[R>>1]=P}while((U&65535)<(X&65535));Ia=P}P=O;do{U=i+((P&65535)<<1)|0;Q=P;P=d[U>>1]|0;d[U>>1]=Ia}while((P&65535)<(Q&65535));d[B+(G<<1)>>1]=Ia;N=H;break a}while(0);P=d[w+(V<<1)>>1]|0;O=d[B+(G+-2<<1)>>1]|0;Q=P;while(1){U=d[i+((Q&65535)<<1)>>1]|0;if((U&65535)<(Q&65535))Q=U;else break}if(P<<16>>16==O<<16>>16)Ja=Q;else{U=O;while(1){S=d[i+((U&65535)<<1)>>1]|0;if((S&65535)<(U&65535))U=S;else break}S=(Q&65535)>(U&65535)?U:Q;W=O;do{X=i+((W&65535)<<1)|0;R=W;W=d[X>>1]|0;d[X>>1]=S}while((W&65535)<(R&65535));Ja=S}S=P;do{W=i+((S&65535)<<1)|0;O=S;S=d[W>>1]|0;d[W>>1]=Ja}while((S&65535)<(O&65535));d[B+(G<<1)>>1]=Ja;N=H;break a}while(0);d[B+(G<<1)>>1]=d[B+(G+-2<<1)>>1]|0;N=H;break}d[B+(G<<1)>>1]=d[B+(G+-2<<1)>>1]|0;N=H;break}if(C?b[y+I>>0]|0:0){V=G|1;L=(V|0)<(m|0);if(!(E|L^1)?b[z+V>>0]|0:0){M=G+-2|0;do if((M|0)>-1){if(!(b[x+M>>0]|0))break;if(b[z+I>>0]|0){S=d[B+(M<<1)>>1]|0;if(b[z+G>>0]|0){d[B+(G<<1)>>1]=S;N=H;break a}do if(F){if(!(b[A+G>>0]|0))break;d[B+(G<<1)>>1]=S;N=H;break a}while(0);P=d[w+(G<<1)>>1]|0;O=P;while(1){W=d[i+((O&65535)<<1)>>1]|0;if((W&65535)<(O&65535))O=W;else break}if(P<<16>>16==S<<16>>16)Ka=O;else{W=S;while(1){Q=d[i+((W&65535)<<1)>>1]|0;if((Q&65535)<(W&65535))W=Q;else break}Q=(O&65535)>(W&65535)?W:O;U=S;do{R=i+((U&65535)<<1)|0;X=U;U=d[R>>1]|0;d[R>>1]=Q}while((U&65535)<(X&65535));Ka=Q}Q=P;do{U=i+((Q&65535)<<1)|0;S=Q;Q=d[U>>1]|0;d[U>>1]=Ka}while((Q&65535)<(S&65535));d[B+(G<<1)>>1]=Ka;N=H;break a}if(!(b[z+M>>0]|0)){Q=d[w+(G<<1)>>1]|0;P=d[B+(M<<1)>>1]|0;S=Q;while(1){U=d[i+((S&65535)<<1)>>1]|0;if((U&65535)<(S&65535))S=U;else break}if(Q<<16>>16==P<<16>>16)La=S;else{U=P;while(1){O=d[i+((U&65535)<<1)>>1]|0;if((O&65535)<(U&65535))U=O;else break}O=(S&65535)>(U&65535)?U:S;W=P;do{X=i+((W&65535)<<1)|0;R=W;W=d[X>>1]|0;d[X>>1]=O}while((W&65535)<(R&65535));La=O}O=Q;do{W=i+((O&65535)<<1)|0;P=O;O=d[W>>1]|0;d[W>>1]=La}while((O&65535)<(P&65535));d[B+(G<<1)>>1]=La;N=H;break a}do if(F){if(!(b[A+I>>0]|0))break;O=d[B+(M<<1)>>1]|0;if(b[z+G>>0]|0){d[B+(G<<1)>>1]=O;N=H;break a}if(b[A+G>>0]|0){d[B+(G<<1)>>1]=O;N=H;break a}Q=d[w+(G<<1)>>1]|0;P=Q;while(1){W=d[i+((P&65535)<<1)>>1]|0;if((W&65535)<(P&65535))P=W;else break}if(Q<<16>>16==O<<16>>16)Ma=P;else{W=O;while(1){S=d[i+((W&65535)<<1)>>1]|0;if((S&65535)<(W&65535))W=S;else break}S=(P&65535)>(W&65535)?W:P;U=O;do{R=i+((U&65535)<<1)|0;X=U;U=d[R>>1]|0;d[R>>1]=S}while((U&65535)<(X&65535));Ma=S}S=Q;do{U=i+((S&65535)<<1)|0;O=S;S=d[U>>1]|0;d[U>>1]=Ma}while((S&65535)<(O&65535));d[B+(G<<1)>>1]=Ma;N=H;break a}while(0);S=d[w+(G<<1)>>1]|0;Q=d[B+(M<<1)>>1]|0;O=S;while(1){U=d[i+((O&65535)<<1)>>1]|0;if((U&65535)<(O&65535))O=U;else break}if(S<<16>>16==Q<<16>>16)Na=O;else{U=Q;while(1){P=d[i+((U&65535)<<1)>>1]|0;if((P&65535)<(U&65535))U=P;else break}P=(O&65535)>(U&65535)?U:O;W=Q;do{X=i+((W&65535)<<1)|0;R=W;W=d[X>>1]|0;d[X>>1]=P}while((W&65535)<(R&65535));Na=P}P=S;do{W=i+((P&65535)<<1)|0;Q=P;P=d[W>>1]|0;d[W>>1]=Na}while((P&65535)<(Q&65535));d[B+(G<<1)>>1]=Na;N=H;break a}while(0);if(b[z+G>>0]|0){P=d[w+(G<<1)>>1]|0;S=d[B+(M<<1)>>1]|0;Q=P;while(1){W=d[i+((Q&65535)<<1)>>1]|0;if((W&65535)<(Q&65535))Q=W;else break}if(P<<16>>16==S<<16>>16)Oa=Q;else{W=S;while(1){O=d[i+((W&65535)<<1)>>1]|0;if((O&65535)<(W&65535))W=O;else break}O=(Q&65535)>(W&65535)?W:Q;U=S;do{R=i+((U&65535)<<1)|0;X=U;U=d[R>>1]|0;d[R>>1]=O}while((U&65535)<(X&65535));Oa=O}O=P;do{U=i+((O&65535)<<1)|0;S=O;O=d[U>>1]|0;d[U>>1]=Oa}while((O&65535)<(S&65535));d[B+(G<<1)>>1]=Oa;N=H;break}O=d[w+(G<<1)>>1]|0;if(!(b[z+I>>0]|0)){P=d[B+(M<<1)>>1]|0;S=O;while(1){U=d[i+((S&65535)<<1)>>1]|0;if((U&65535)<(S&65535))S=U;else break}if(O<<16>>16==P<<16>>16)Pa=S;else{U=P;while(1){Q=d[i+((U&65535)<<1)>>1]|0;if((Q&65535)<(U&65535))U=Q;else break}Q=(S&65535)>(U&65535)?U:S;W=P;do{X=i+((W&65535)<<1)|0;R=W;W=d[X>>1]|0;d[X>>1]=Q}while((W&65535)<(R&65535));Pa=Q}Q=O;do{W=i+((Q&65535)<<1)|0;P=Q;Q=d[W>>1]|0;d[W>>1]=Pa}while((Q&65535)<(P&65535));d[B+(G<<1)>>1]=Pa;N=H;break}do if(F){if(!(b[A+G>>0]|0))break;Q=d[B+(M<<1)>>1]|0;P=O;while(1){W=d[i+((P&65535)<<1)>>1]|0;if((W&65535)<(P&65535))P=W;else break}if(O<<16>>16==Q<<16>>16)Qa=P;else{W=Q;while(1){S=d[i+((W&65535)<<1)>>1]|0;if((S&65535)<(W&65535))W=S;else break}S=(P&65535)>(W&65535)?W:P;U=Q;do{R=i+((U&65535)<<1)|0;X=U;U=d[R>>1]|0;d[R>>1]=S}while((U&65535)<(X&65535));Qa=S}S=O;do{U=i+((S&65535)<<1)|0;Q=S;S=d[U>>1]|0;d[U>>1]=Qa}while((S&65535)<(Q&65535));d[B+(G<<1)>>1]=Qa;N=H;break a}while(0);S=d[w+(M<<1)>>1]|0;Q=S;while(1){U=d[i+((Q&65535)<<1)>>1]|0;if((U&65535)<(Q&65535))Q=U;else break}if(S<<16>>16==O<<16>>16)Ra=Q;else{U=O;while(1){P=d[i+((U&65535)<<1)>>1]|0;if((P&65535)<(U&65535))U=P;else break}P=(Q&65535)>(U&65535)?U:Q;W=O;do{X=i+((W&65535)<<1)|0;R=W;W=d[X>>1]|0;d[X>>1]=P}while((W&65535)<(R&65535));Ra=P}P=S;do{W=i+((P&65535)<<1)|0;O=P;P=d[W>>1]|0;d[W>>1]=Ra}while((P&65535)<(O&65535));P=d[B+(M<<1)>>1]|0;S=Ra;while(1){O=d[i+((S&65535)<<1)>>1]|0;if((O&65535)<(S&65535))S=O;else break}if(Ra<<16>>16==P<<16>>16)Sa=S;else{M=P;while(1){O=d[i+((M&65535)<<1)>>1]|0;if((O&65535)<(M&65535))M=O;else break}O=(S&65535)>(M&65535)?M:S;W=P;do{Q=i+((W&65535)<<1)|0;U=W;W=d[Q>>1]|0;d[Q>>1]=O}while((W&65535)<(U&65535));Sa=O}O=Ra;do{W=i+((O&65535)<<1)|0;P=O;O=d[W>>1]|0;d[W>>1]=Sa}while((O&65535)<(P&65535));d[B+(G<<1)>>1]=Sa;N=H;break}if(L?b[x+V>>0]|0:0){O=G+2|0;do if(!((O|0)>=(m|0)|E)){if(!(b[z+O>>0]|0))break;P=G+-2|0;do if((P|0)>-1){if(!(b[x+P>>0]|0))break;if(b[z+I>>0]|0){do if(F){if(!(b[A+V>>0]|0))break;W=d[B+(P<<1)>>1]|0;if(b[z+G>>0]|0){d[B+(G<<1)>>1]=W;N=H;break a}if(b[A+G>>0]|0){d[B+(G<<1)>>1]=W;N=H;break a}S=d[w+(O<<1)>>1]|0;M=S;while(1){U=d[i+((M&65535)<<1)>>1]|0;if((U&65535)<(M&65535))M=U;else break}if(S<<16>>16==W<<16>>16)Ta=M;else{U=W;while(1){Q=d[i+((U&65535)<<1)>>1]|0;if((Q&65535)<(U&65535))U=Q;else break}Q=(M&65535)>(U&65535)?U:M;R=W;do{X=i+((R&65535)<<1)|0;ba=R;R=d[X>>1]|0;d[X>>1]=Q}while((R&65535)<(ba&65535));Ta=Q}Q=S;do{R=i+((Q&65535)<<1)|0;W=Q;Q=d[R>>1]|0;d[R>>1]=Ta}while((Q&65535)<(W&65535));d[B+(G<<1)>>1]=Ta;N=H;break a}while(0);Q=d[w+(O<<1)>>1]|0;S=d[B+(P<<1)>>1]|0;W=Q;while(1){R=d[i+((W&65535)<<1)>>1]|0;if((R&65535)<(W&65535))W=R;else break}if(Q<<16>>16==S<<16>>16)Ua=W;else{R=S;while(1){M=d[i+((R&65535)<<1)>>1]|0;if((M&65535)<(R&65535))R=M;else break}M=(W&65535)>(R&65535)?R:W;U=S;do{ba=i+((U&65535)<<1)|0;X=U;U=d[ba>>1]|0;d[ba>>1]=M}while((U&65535)<(X&65535));Ua=M}M=Q;do{U=i+((M&65535)<<1)|0;S=M;M=d[U>>1]|0;d[U>>1]=Ua}while((M&65535)<(S&65535));d[B+(G<<1)>>1]=Ua;N=H;break a}do if(F){if(!(b[A+V>>0]|0))break;if(!(b[z+P>>0]|0)){M=d[w+(O<<1)>>1]|0;Q=d[B+(P<<1)>>1]|0;S=M;while(1){U=d[i+((S&65535)<<1)>>1]|0;if((U&65535)<(S&65535))S=U;else break}if(M<<16>>16==Q<<16>>16)Va=S;else{U=Q;while(1){W=d[i+((U&65535)<<1)>>1]|0;if((W&65535)<(U&65535))U=W;else break}W=(S&65535)>(U&65535)?U:S;R=Q;do{X=i+((R&65535)<<1)|0;ba=R;R=d[X>>1]|0;d[X>>1]=W}while((R&65535)<(ba&65535));Va=W}W=M;do{R=i+((W&65535)<<1)|0;Q=W;W=d[R>>1]|0;d[R>>1]=Va}while((W&65535)<(Q&65535));d[B+(G<<1)>>1]=Va;N=H;break a}if(!(b[A+I>>0]|0)){W=d[w+(O<<1)>>1]|0;M=d[B+(P<<1)>>1]|0;Q=W;while(1){R=d[i+((Q&65535)<<1)>>1]|0;if((R&65535)<(Q&65535))Q=R;else break}if(W<<16>>16==M<<16>>16)Wa=Q;else{R=M;while(1){S=d[i+((R&65535)<<1)>>1]|0;if((S&65535)<(R&65535))R=S;else break}S=(Q&65535)>(R&65535)?R:Q;U=M;do{ba=i+((U&65535)<<1)|0;X=U;U=d[ba>>1]|0;d[ba>>1]=S}while((U&65535)<(X&65535));Wa=S}S=W;do{U=i+((S&65535)<<1)|0;M=S;S=d[U>>1]|0;d[U>>1]=Wa}while((S&65535)<(M&65535));d[B+(G<<1)>>1]=Wa;N=H;break a}S=d[B+(P<<1)>>1]|0;if(b[z+G>>0]|0){d[B+(G<<1)>>1]=S;N=H;break a}if(b[A+G>>0]|0){d[B+(G<<1)>>1]=S;N=H;break a}W=d[w+(O<<1)>>1]|0;M=W;while(1){U=d[i+((M&65535)<<1)>>1]|0;if((U&65535)<(M&65535))M=U;else break}if(W<<16>>16==S<<16>>16)Xa=M;else{U=S;while(1){Q=d[i+((U&65535)<<1)>>1]|0;if((Q&65535)<(U&65535))U=Q;else break}Q=(M&65535)>(U&65535)?U:M;R=S;do{X=i+((R&65535)<<1)|0;ba=R;R=d[X>>1]|0;d[X>>1]=Q}while((R&65535)<(ba&65535));Xa=Q}Q=W;do{R=i+((Q&65535)<<1)|0;S=Q;Q=d[R>>1]|0;d[R>>1]=Xa}while((Q&65535)<(S&65535));d[B+(G<<1)>>1]=Xa;N=H;break a}while(0);if(!(b[z+G>>0]|0)){Q=d[w+(O<<1)>>1]|0;W=d[B+(P<<1)>>1]|0;S=Q;while(1){R=d[i+((S&65535)<<1)>>1]|0;if((R&65535)<(S&65535))S=R;else break}if(Q<<16>>16==W<<16>>16)Ya=S;else{R=W;while(1){M=d[i+((R&65535)<<1)>>1]|0;if((M&65535)<(R&65535))R=M;else break}M=(S&65535)>(R&65535)?R:S;U=W;do{ba=i+((U&65535)<<1)|0;X=U;U=d[ba>>1]|0;d[ba>>1]=M}while((U&65535)<(X&65535));Ya=M}M=Q;do{U=i+((M&65535)<<1)|0;W=M;M=d[U>>1]|0;d[U>>1]=Ya}while((M&65535)<(W&65535));d[B+(G<<1)>>1]=Ya;N=H;break a}if(!(b[z+P>>0]|0)){M=d[w+(G<<1)>>1]|0;Q=d[w+(O<<1)>>1]|0;W=M;while(1){U=d[i+((W&65535)<<1)>>1]|0;if((U&65535)<(W&65535))W=U;else break}if(M<<16>>16==Q<<16>>16)Za=W;else{U=Q;while(1){S=d[i+((U&65535)<<1)>>1]|0;if((S&65535)<(U&65535))U=S;else break}S=(W&65535)>(U&65535)?U:W;R=Q;do{X=i+((R&65535)<<1)|0;ba=R;R=d[X>>1]|0;d[X>>1]=S}while((R&65535)<(ba&65535));Za=S}S=M;do{R=i+((S&65535)<<1)|0;Q=S;S=d[R>>1]|0;d[R>>1]=Za}while((S&65535)<(Q&65535));S=d[B+(P<<1)>>1]|0;M=Za;while(1){Q=d[i+((M&65535)<<1)>>1]|0;if((Q&65535)<(M&65535))M=Q;else break}if(Za<<16>>16==S<<16>>16)_a=M;else{Q=S;while(1){R=d[i+((Q&65535)<<1)>>1]|0;if((R&65535)<(Q&65535))Q=R;else break}R=(M&65535)>(Q&65535)?Q:M;W=S;do{U=i+((W&65535)<<1)|0;ba=W;W=d[U>>1]|0;d[U>>1]=R}while((W&65535)<(ba&65535));_a=R}R=Za;do{W=i+((R&65535)<<1)|0;S=R;R=d[W>>1]|0;d[W>>1]=_a}while((R&65535)<(S&65535));d[B+(G<<1)>>1]=_a;N=H;break a}do if(F){if(!(b[A+I>>0]|0))break;R=d[w+(O<<1)>>1]|0;S=d[B+(P<<1)>>1]|0;W=R;while(1){M=d[i+((W&65535)<<1)>>1]|0;if((M&65535)<(W&65535))W=M;else break}if(R<<16>>16==S<<16>>16)$a=W;else{M=S;while(1){Q=d[i+((M&65535)<<1)>>1]|0;if((Q&65535)<(M&65535))M=Q;else break}Q=(W&65535)>(M&65535)?M:W;ba=S;do{U=i+((ba&65535)<<1)|0;X=ba;ba=d[U>>1]|0;d[U>>1]=Q}while((ba&65535)<(X&65535));$a=Q}Q=R;do{ba=i+((Q&65535)<<1)|0;S=Q;Q=d[ba>>1]|0;d[ba>>1]=$a}while((Q&65535)<(S&65535));d[B+(G<<1)>>1]=$a;N=H;break a}while(0);Q=d[w+(G<<1)>>1]|0;R=d[w+(O<<1)>>1]|0;S=Q;while(1){ba=d[i+((S&65535)<<1)>>1]|0;if((ba&65535)<(S&65535))S=ba;else break}if(Q<<16>>16==R<<16>>16)ab=S;else{ba=R;while(1){W=d[i+((ba&65535)<<1)>>1]|0;if((W&65535)<(ba&65535))ba=W;else break}W=(S&65535)>(ba&65535)?ba:S;M=R;do{X=i+((M&65535)<<1)|0;U=M;M=d[X>>1]|0;d[X>>1]=W}while((M&65535)<(U&65535));ab=W}W=Q;do{M=i+((W&65535)<<1)|0;R=W;W=d[M>>1]|0;d[M>>1]=ab}while((W&65535)<(R&65535));W=d[B+(P<<1)>>1]|0;Q=ab;while(1){R=d[i+((Q&65535)<<1)>>1]|0;if((R&65535)<(Q&65535))Q=R;else break}if(ab<<16>>16==W<<16>>16)bb=Q;else{R=W;while(1){M=d[i+((R&65535)<<1)>>1]|0;if((M&65535)<(R&65535))R=M;else break}M=(Q&65535)>(R&65535)?R:Q;S=W;do{ba=i+((S&65535)<<1)|0;U=S;S=d[ba>>1]|0;d[ba>>1]=M}while((S&65535)<(U&65535));bb=M}M=ab;do{S=i+((M&65535)<<1)|0;W=M;M=d[S>>1]|0;d[S>>1]=bb}while((M&65535)<(W&65535));d[B+(G<<1)>>1]=bb;N=H;break a}while(0);if(b[z+G>>0]|0){do if(F){if(!(b[A+V>>0]|0))break;M=d[w+(O<<1)>>1]|0;W=d[B+(P<<1)>>1]|0;S=M;while(1){Q=d[i+((S&65535)<<1)>>1]|0;if((Q&65535)<(S&65535))S=Q;else break}if(M<<16>>16==W<<16>>16)cb=S;else{Q=W;while(1){R=d[i+((Q&65535)<<1)>>1]|0;if((R&65535)<(Q&65535))Q=R;else break}R=(S&65535)>(Q&65535)?Q:S;U=W;do{ba=i+((U&65535)<<1)|0;X=U;U=d[ba>>1]|0;d[ba>>1]=R}while((U&65535)<(X&65535));cb=R}R=M;do{U=i+((R&65535)<<1)|0;W=R;R=d[U>>1]|0;d[U>>1]=cb}while((R&65535)<(W&65535));d[B+(G<<1)>>1]=cb;N=H;break a}while(0);R=d[w+(G<<1)>>1]|0;M=d[w+(O<<1)>>1]|0;W=R;while(1){U=d[i+((W&65535)<<1)>>1]|0;if((U&65535)<(W&65535))W=U;else break}if(R<<16>>16==M<<16>>16)db=W;else{U=M;while(1){S=d[i+((U&65535)<<1)>>1]|0;if((S&65535)<(U&65535))U=S;else break}S=(W&65535)>(U&65535)?U:W;Q=M;do{X=i+((Q&65535)<<1)|0;ba=Q;Q=d[X>>1]|0;d[X>>1]=S}while((Q&65535)<(ba&65535));db=S}S=R;do{Q=i+((S&65535)<<1)|0;M=S;S=d[Q>>1]|0;d[Q>>1]=db}while((S&65535)<(M&65535));S=d[B+(P<<1)>>1]|0;R=db;while(1){M=d[i+((R&65535)<<1)>>1]|0;if((M&65535)<(R&65535))R=M;else break}if(db<<16>>16==S<<16>>16)eb=R;else{M=S;while(1){Q=d[i+((M&65535)<<1)>>1]|0;if((Q&65535)<(M&65535))M=Q;else break}Q=(R&65535)>(M&65535)?M:R;W=S;do{U=i+((W&65535)<<1)|0;ba=W;W=d[U>>1]|0;d[U>>1]=Q}while((W&65535)<(ba&65535));eb=Q}Q=db;do{W=i+((Q&65535)<<1)|0;S=Q;Q=d[W>>1]|0;d[W>>1]=eb}while((Q&65535)<(S&65535));d[B+(G<<1)>>1]=eb;N=H;break a}if(!(b[z+I>>0]|0)){Q=d[w+(O<<1)>>1]|0;S=d[B+(P<<1)>>1]|0;W=Q;while(1){R=d[i+((W&65535)<<1)>>1]|0;if((R&65535)<(W&65535))W=R;else break}if(Q<<16>>16==S<<16>>16)fb=W;else{R=S;while(1){M=d[i+((R&65535)<<1)>>1]|0;if((M&65535)<(R&65535))R=M;else break}M=(W&65535)>(R&65535)?R:W;ba=S;do{U=i+((ba&65535)<<1)|0;X=ba;ba=d[U>>1]|0;d[U>>1]=M}while((ba&65535)<(X&65535));fb=M}M=Q;do{ba=i+((M&65535)<<1)|0;S=M;M=d[ba>>1]|0;d[ba>>1]=fb}while((M&65535)<(S&65535));d[B+(G<<1)>>1]=fb;N=H;break a}do if(F){if(!(b[A+V>>0]|0))break;M=d[w+(O<<1)>>1]|0;if(b[A+G>>0]|0){Q=d[B+(P<<1)>>1]|0;S=M;while(1){ba=d[i+((S&65535)<<1)>>1]|0;if((ba&65535)<(S&65535))S=ba;else break}if(M<<16>>16==Q<<16>>16)gb=S;else{ba=Q;while(1){W=d[i+((ba&65535)<<1)>>1]|0;if((W&65535)<(ba&65535))ba=W;else break}W=(S&65535)>(ba&65535)?ba:S;R=Q;do{X=i+((R&65535)<<1)|0;U=R;R=d[X>>1]|0;d[X>>1]=W}while((R&65535)<(U&65535));gb=W}W=M;do{R=i+((W&65535)<<1)|0;Q=W;W=d[R>>1]|0;d[R>>1]=gb}while((W&65535)<(Q&65535));d[B+(G<<1)>>1]=gb;N=H;break a}W=d[w+(P<<1)>>1]|0;Q=W;while(1){R=d[i+((Q&65535)<<1)>>1]|0;if((R&65535)<(Q&65535))Q=R;else break}if(W<<16>>16==M<<16>>16)hb=Q;else{R=M;while(1){S=d[i+((R&65535)<<1)>>1]|0;if((S&65535)<(R&65535))R=S;else break}S=(Q&65535)>(R&65535)?R:Q;ba=M;do{U=i+((ba&65535)<<1)|0;X=ba;ba=d[U>>1]|0;d[U>>1]=S}while((ba&65535)<(X&65535));hb=S}S=W;do{ba=i+((S&65535)<<1)|0;M=S;S=d[ba>>1]|0;d[ba>>1]=hb}while((S&65535)<(M&65535));S=d[B+(P<<1)>>1]|0;W=hb;while(1){M=d[i+((W&65535)<<1)>>1]|0;if((M&65535)<(W&65535))W=M;else break}if(hb<<16>>16==S<<16>>16)ib=W;else{M=S;while(1){ba=d[i+((M&65535)<<1)>>1]|0;if((ba&65535)<(M&65535))M=ba;else break}ba=(W&65535)>(M&65535)?M:W;Q=S;do{R=i+((Q&65535)<<1)|0;X=Q;Q=d[R>>1]|0;d[R>>1]=ba}while((Q&65535)<(X&65535));ib=ba}ba=hb;do{Q=i+((ba&65535)<<1)|0;S=ba;ba=d[Q>>1]|0;d[Q>>1]=ib}while((ba&65535)<(S&65535));d[B+(G<<1)>>1]=ib;N=H;break a}while(0);ba=d[w+(P<<1)>>1]|0;S=d[w+(O<<1)>>1]|0;Q=ba;while(1){W=d[i+((Q&65535)<<1)>>1]|0;if((W&65535)<(Q&65535))Q=W;else break}if(ba<<16>>16==S<<16>>16)jb=Q;else{W=S;while(1){M=d[i+((W&65535)<<1)>>1]|0;if((M&65535)<(W&65535))W=M;else break}M=(Q&65535)>(W&65535)?W:Q;X=S;do{R=i+((X&65535)<<1)|0;U=X;X=d[R>>1]|0;d[R>>1]=M}while((X&65535)<(U&65535));jb=M}M=ba;do{X=i+((M&65535)<<1)|0;S=M;M=d[X>>1]|0;d[X>>1]=jb}while((M&65535)<(S&65535));M=d[B+(P<<1)>>1]|0;ba=jb;while(1){S=d[i+((ba&65535)<<1)>>1]|0;if((S&65535)<(ba&65535))ba=S;else break}if(jb<<16>>16==M<<16>>16)kb=ba;else{P=M;while(1){S=d[i+((P&65535)<<1)>>1]|0;if((S&65535)<(P&65535))P=S;else break}S=(ba&65535)>(P&65535)?P:ba;X=M;do{Q=i+((X&65535)<<1)|0;W=X;X=d[Q>>1]|0;d[Q>>1]=S}while((X&65535)<(W&65535));kb=S}S=jb;do{X=i+((S&65535)<<1)|0;M=S;S=d[X>>1]|0;d[X>>1]=kb}while((S&65535)<(M&65535));d[B+(G<<1)>>1]=kb;N=H;break a}while(0);do if(D){O=G+-2|0;if(b[z+I>>0]|0){V=d[B+(O<<1)>>1]|0;do if((O|0)>-1){if(!(b[x+O>>0]|0))break;d[B+(G<<1)>>1]=V;N=H;break a}while(0);L=d[w+(O<<1)>>1]|0;S=L;while(1){M=d[i+((S&65535)<<1)>>1]|0;if((M&65535)<(S&65535))S=M;else break}if(L<<16>>16==V<<16>>16)lb=S;else{M=V;while(1){X=d[i+((M&65535)<<1)>>1]|0;if((X&65535)<(M&65535))M=X;else break}X=(S&65535)>(M&65535)?M:S;ba=V;do{P=i+((ba&65535)<<1)|0;W=ba;ba=d[P>>1]|0;d[P>>1]=X}while((ba&65535)<(W&65535));lb=X}X=L;do{ba=i+((X&65535)<<1)|0;V=X;X=d[ba>>1]|0;d[ba>>1]=lb}while((X&65535)<(V&65535));d[B+(G<<1)>>1]=lb;N=H;break a}if(!(b[z+G>>0]|0)){mb=O;break}do if((O|0)>-1){if(!(b[x+O>>0]|0))break;if(!(b[z+O>>0]|0)){X=d[w+(G<<1)>>1]|0;L=d[B+(O<<1)>>1]|0;V=X;while(1){ba=d[i+((V&65535)<<1)>>1]|0;if((ba&65535)<(V&65535))V=ba;else break}if(X<<16>>16==L<<16>>16)nb=V;else{ba=L;while(1){S=d[i+((ba&65535)<<1)>>1]|0;if((S&65535)<(ba&65535))ba=S;else break}S=(V&65535)>(ba&65535)?ba:V;M=L;do{W=i+((M&65535)<<1)|0;P=M;M=d[W>>1]|0;d[W>>1]=S}while((M&65535)<(P&65535));nb=S}S=X;do{M=i+((S&65535)<<1)|0;L=S;S=d[M>>1]|0;d[M>>1]=nb}while((S&65535)<(L&65535));d[B+(G<<1)>>1]=nb;N=H;break a}do if(F){if(!(b[A+I>>0]|0))break;d[B+(G<<1)>>1]=d[B+(O<<1)>>1]|0;N=H;break a}while(0);S=d[w+(G<<1)>>1]|0;X=d[B+(O<<1)>>1]|0;L=S;while(1){M=d[i+((L&65535)<<1)>>1]|0;if((M&65535)<(L&65535))L=M;else break}if(S<<16>>16==X<<16>>16)ob=L;else{M=X;while(1){V=d[i+((M&65535)<<1)>>1]|0;if((V&65535)<(M&65535))M=V;else break}V=(L&65535)>(M&65535)?M:L;ba=X;do{P=i+((ba&65535)<<1)|0;W=ba;ba=d[P>>1]|0;d[P>>1]=V}while((ba&65535)<(W&65535));ob=V}V=S;do{ba=i+((V&65535)<<1)|0;X=V;V=d[ba>>1]|0;d[ba>>1]=ob}while((V&65535)<(X&65535));d[B+(G<<1)>>1]=ob;N=H;break a}while(0);V=d[w+(G<<1)>>1]|0;S=d[B+(O<<1)>>1]|0;X=V;while(1){ba=d[i+((X&65535)<<1)>>1]|0;if((ba&65535)<(X&65535))X=ba;else break}if(V<<16>>16==S<<16>>16)pb=X;else{O=S;while(1){ba=d[i+((O&65535)<<1)>>1]|0;if((ba&65535)<(O&65535))O=ba;else break}ba=(X&65535)>(O&65535)?O:X;L=S;do{M=i+((L&65535)<<1)|0;W=L;L=d[M>>1]|0;d[M>>1]=ba}while((L&65535)<(W&65535));pb=ba}ba=V;do{L=i+((ba&65535)<<1)|0;S=ba;ba=d[L>>1]|0;d[L>>1]=pb}while((ba&65535)<(S&65535));d[B+(G<<1)>>1]=pb;N=H;break a}else mb=G+-2|0;while(0);d[B+(G<<1)>>1]=d[B+(mb<<1)>>1]|0;N=H;break}do if(D){ba=G+-2|0;if(b[z+I>>0]|0){V=d[B+(ba<<1)>>1]|0;do if((ba|0)>-1){if(!(b[x+ba>>0]|0))break;d[B+(G<<1)>>1]=V;N=H;break a}while(0);S=d[w+(ba<<1)>>1]|0;L=S;while(1){X=d[i+((L&65535)<<1)>>1]|0;if((X&65535)<(L&65535))L=X;else break}if(S<<16>>16==V<<16>>16)qb=L;else{X=V;while(1){O=d[i+((X&65535)<<1)>>1]|0;if((O&65535)<(X&65535))X=O;else break}O=(L&65535)>(X&65535)?X:L;W=V;do{M=i+((W&65535)<<1)|0;P=W;W=d[M>>1]|0;d[M>>1]=O}while((W&65535)<(P&65535));qb=O}O=S;do{W=i+((O&65535)<<1)|0;V=O;O=d[W>>1]|0;d[W>>1]=qb}while((O&65535)<(V&65535));d[B+(G<<1)>>1]=qb;N=H;break a}if(!(b[z+G>>0]|0)){rb=ba;break}do if((ba|0)>-1){if(!(b[x+ba>>0]|0))break;if(!(b[z+ba>>0]|0)){O=d[w+(G<<1)>>1]|0;S=d[B+(ba<<1)>>1]|0;V=O;while(1){W=d[i+((V&65535)<<1)>>1]|0;if((W&65535)<(V&65535))V=W;else break}if(O<<16>>16==S<<16>>16)sb=V;else{W=S;while(1){L=d[i+((W&65535)<<1)>>1]|0;if((L&65535)<(W&65535))W=L;else break}L=(V&65535)>(W&65535)?W:V;X=S;do{P=i+((X&65535)<<1)|0;M=X;X=d[P>>1]|0;d[P>>1]=L}while((X&65535)<(M&65535));sb=L}L=O;do{X=i+((L&65535)<<1)|0;S=L;L=d[X>>1]|0;d[X>>1]=sb}while((L&65535)<(S&65535));d[B+(G<<1)>>1]=sb;N=H;break a}do if(F){if(!(b[A+I>>0]|0))break;d[B+(G<<1)>>1]=d[B+(ba<<1)>>1]|0;N=H;break a}while(0);L=d[w+(G<<1)>>1]|0;O=d[B+(ba<<1)>>1]|0;S=L;while(1){X=d[i+((S&65535)<<1)>>1]|0;if((X&65535)<(S&65535))S=X;else break}if(L<<16>>16==O<<16>>16)tb=S;else{X=O;while(1){V=d[i+((X&65535)<<1)>>1]|0;if((V&65535)<(X&65535))X=V;else break}V=(S&65535)>(X&65535)?X:S;W=O;do{M=i+((W&65535)<<1)|0;P=W;W=d[M>>1]|0;d[M>>1]=V}while((W&65535)<(P&65535));tb=V}V=L;do{W=i+((V&65535)<<1)|0;O=V;V=d[W>>1]|0;d[W>>1]=tb}while((V&65535)<(O&65535));d[B+(G<<1)>>1]=tb;N=H;break a}while(0);V=d[w+(G<<1)>>1]|0;L=d[B+(ba<<1)>>1]|0;O=V;while(1){W=d[i+((O&65535)<<1)>>1]|0;if((W&65535)<(O&65535))O=W;else break}if(V<<16>>16==L<<16>>16)ub=O;else{ba=L;while(1){W=d[i+((ba&65535)<<1)>>1]|0;if((W&65535)<(ba&65535))ba=W;else break}W=(O&65535)>(ba&65535)?ba:O;S=L;do{X=i+((S&65535)<<1)|0;P=S;S=d[X>>1]|0;d[X>>1]=W}while((S&65535)<(P&65535));ub=W}W=V;do{S=i+((W&65535)<<1)|0;L=W;W=d[S>>1]|0;d[S>>1]=ub}while((W&65535)<(L&65535));d[B+(G<<1)>>1]=ub;N=H;break a}else rb=G+-2|0;while(0);d[B+(G<<1)>>1]=d[B+(rb<<1)>>1]|0;N=H;break}}W=G|1;V=(W|0)<(m|0);if(!(E|V^1)?b[z+W>>0]|0:0){if(b[z+G>>0]|0){d[B+(G<<1)>>1]=d[w+(G<<1)>>1]|0;N=H;break}if(K?b[z+I>>0]|0:0){L=d[w+(G<<1)>>1]|0;do if(F){if(!(b[A+G>>0]|0))break;d[B+(G<<1)>>1]=L;N=H;break a}while(0);S=d[w+(G+-2<<1)>>1]|0;O=S;while(1){ba=d[i+((O&65535)<<1)>>1]|0;if((ba&65535)<(O&65535))O=ba;else break}if(S<<16>>16==L<<16>>16)vb=O;else{ba=L;while(1){P=d[i+((ba&65535)<<1)>>1]|0;if((P&65535)<(ba&65535))ba=P;else break}P=(O&65535)>(ba&65535)?ba:O;X=L;do{M=i+((X&65535)<<1)|0;Q=X;X=d[M>>1]|0;d[M>>1]=P}while((X&65535)<(Q&65535));vb=P}P=S;do{X=i+((P&65535)<<1)|0;L=P;P=d[X>>1]|0;d[X>>1]=vb}while((P&65535)<(L&65535));d[B+(G<<1)>>1]=vb;N=H;break}d[B+(G<<1)>>1]=d[w+(G<<1)>>1]|0;N=H;break}if(V?b[x+W>>0]|0:0){P=G+2|0;if(!((P|0)>=(m|0)|E)?b[z+P>>0]|0:0){if(b[z+G>>0]|0){do if(F){if(!(b[A+W>>0]|0))break;d[B+(G<<1)>>1]=d[w+(P<<1)>>1]|0;N=H;break a}while(0);V=d[w+(G<<1)>>1]|0;S=d[w+(P<<1)>>1]|0;L=V;while(1){X=d[i+((L&65535)<<1)>>1]|0;if((X&65535)<(L&65535))L=X;else break}if(V<<16>>16==S<<16>>16)wb=L;else{X=S;while(1){O=d[i+((X&65535)<<1)>>1]|0;if((O&65535)<(X&65535))X=O;else break}O=(L&65535)>(X&65535)?X:L;ba=S;do{Q=i+((ba&65535)<<1)|0;M=ba;ba=d[Q>>1]|0;d[Q>>1]=O}while((ba&65535)<(M&65535));wb=O}O=V;do{ba=i+((O&65535)<<1)|0;S=O;O=d[ba>>1]|0;d[ba>>1]=wb}while((O&65535)<(S&65535));d[B+(G<<1)>>1]=wb;N=H;break}do if(K){if(!(b[z+I>>0]|0))break;do if(F){if(!(b[A+W>>0]|0))break;O=d[w+(P<<1)>>1]|0;if(b[A+G>>0]|0){d[B+(G<<1)>>1]=O;N=H;break a}V=d[w+(G+-2<<1)>>1]|0;S=V;while(1){ba=d[i+((S&65535)<<1)>>1]|0;if((ba&65535)<(S&65535))S=ba;else break}if(V<<16>>16==O<<16>>16)xb=S;else{ba=O;while(1){L=d[i+((ba&65535)<<1)>>1]|0;if((L&65535)<(ba&65535))ba=L;else break}L=(S&65535)>(ba&65535)?ba:S;X=O;do{M=i+((X&65535)<<1)|0;Q=X;X=d[M>>1]|0;d[M>>1]=L}while((X&65535)<(Q&65535));xb=L}L=V;do{X=i+((L&65535)<<1)|0;O=L;L=d[X>>1]|0;d[X>>1]=xb}while((L&65535)<(O&65535));d[B+(G<<1)>>1]=xb;N=H;break a}while(0);L=d[w+(G+-2<<1)>>1]|0;V=d[w+(P<<1)>>1]|0;O=L;while(1){X=d[i+((O&65535)<<1)>>1]|0;if((X&65535)<(O&65535))O=X;else break}if(L<<16>>16==V<<16>>16)yb=O;else{X=V;while(1){S=d[i+((X&65535)<<1)>>1]|0;if((S&65535)<(X&65535))X=S;else break}S=(O&65535)>(X&65535)?X:O;ba=V;do{Q=i+((ba&65535)<<1)|0;M=ba;ba=d[Q>>1]|0;d[Q>>1]=S}while((ba&65535)<(M&65535));yb=S}S=L;do{ba=i+((S&65535)<<1)|0;V=S;S=d[ba>>1]|0;d[ba>>1]=yb}while((S&65535)<(V&65535));d[B+(G<<1)>>1]=yb;N=H;break a}while(0);d[B+(G<<1)>>1]=d[w+(P<<1)>>1]|0;N=H;break}if(D?b[z+G>>0]|0:0){d[B+(G<<1)>>1]=d[w+(G<<1)>>1]|0;N=H;break}do if(!(E|K^1)){if(!(b[z+I>>0]|0))break;d[B+(G<<1)>>1]=d[w+(G+-2<<1)>>1]|0;N=H;break a}while(0);d[B+(G<<1)>>1]=H;P=H&65535;d[i+(P<<1)>>1]=H;N=P+1&65535;break}if(D?b[z+G>>0]|0:0){d[B+(G<<1)>>1]=d[w+(G<<1)>>1]|0;N=H;break}if(!(E|K^1)?b[z+I>>0]|0:0){d[B+(G<<1)>>1]=d[w+(G+-2<<1)>>1]|0;N=H;break}d[B+(G<<1)>>1]=H;P=H&65535;d[i+(P<<1)>>1]=H;N=P+1&65535}while(0);G=G+2|0;if((G|0)>=(m|0)){zb=N;break}else H=N}}else zb=t;v=v+2|0;if((v|0)>=(k|0))break;else t=zb}if((zb&65535)>1){t=zb&65535;zb=1;k=1;while(1){v=i+(k<<1)|0;N=j[v>>1]|0;if(N>>>0<k>>>0){d[v>>1]=d[i+(N<<1)>>1]|0;Ab=zb}else{d[v>>1]=zb;Ab=(zb&65535)+1&65535}k=k+1|0;if((k|0)==(t|0)){Bb=Ab;break}else zb=Ab}}else Bb=1}else Bb=1;Nna(h,Bb&65535);Ab=f[l>>2]|0;zb=f[r>>2]|0;t=(zb&1|0)!=0;k=(Ab|0)>0;b:do if(!(Ab&1)){if(!t){if(!k)break;v=c+16|0;N=c+44|0;m=e+16|0;yb=e+44|0;xb=h+20|0;wb=h+120|0;vb=h+48|0;rb=0;ub=zb;tb=Ab;while(1){sb=f[f[N>>2]>>2]|0;qb=(f[v>>2]|0)+(Y(sb,rb)|0)|0;mb=qb+sb|0;sb=f[f[yb>>2]>>2]|0;pb=(f[m>>2]|0)+(Y(sb,rb)|0)|0;ob=pb+sb|0;if((ub|0)>0){sb=((rb|0)<0)<<31>>31;nb=rb|1;lb=((nb|0)<0)<<31>>31;kb=0;do{jb=pb+(kb<<1)|0;ib=d[jb>>1]|0;do if(ib<<16>>16){hb=d[i+((ib&65535)<<1)>>1]|0;if(!(b[qb+kb>>0]|0)){d[jb>>1]=0;gb=f[xb>>2]|0;fb=f[gb>>2]|0;f[gb>>2]=(fb|0)>(kb|0)?kb:fb;fb=gb+8|0;eb=f[fb>>2]|0;f[fb>>2]=(eb|0)<(kb|0)?kb:eb;eb=gb+4|0;fb=f[eb>>2]|0;f[eb>>2]=(fb|0)>(rb|0)?rb:fb;fb=gb+12|0;eb=f[fb>>2]|0;f[fb>>2]=(eb|0)<(rb|0)?rb:eb;eb=gb+16|0;f[eb>>2]=(f[eb>>2]|0)+1;eb=f[wb>>2]|0;fb=eb;db=hzc(f[fb>>2]|0,f[fb+4>>2]|0,kb|0,((kb|0)<0)<<31>>31|0)|0;fb=eb;f[fb>>2]=db;f[fb+4>>2]=J;Cb=eb+8|0;Db=gb;Eb=eb}else{d[jb>>1]=hb;eb=hb&65535;gb=f[xb>>2]|0;fb=gb+(Y(f[f[vb>>2]>>2]|0,eb)|0)|0;db=f[fb>>2]|0;f[fb>>2]=(db|0)>(kb|0)?kb:db;db=fb+8|0;cb=f[db>>2]|0;f[db>>2]=(cb|0)<(kb|0)?kb:cb;cb=fb+4|0;db=f[cb>>2]|0;f[cb>>2]=(db|0)>(rb|0)?rb:db;db=fb+12|0;cb=f[db>>2]|0;f[db>>2]=(cb|0)<(rb|0)?rb:cb;cb=fb+16|0;f[cb>>2]=(f[cb>>2]|0)+1;cb=f[wb>>2]|0;fb=cb+(eb<<4)|0;db=fb;bb=hzc(f[db>>2]|0,f[db+4>>2]|0,kb|0,((kb|0)<0)<<31>>31|0)|0;db=fb;f[db>>2]=bb;f[db+4>>2]=J;Cb=cb+(eb<<4)+8|0;Db=gb;Eb=cb}cb=Cb;gb=hzc(f[cb>>2]|0,f[cb+4>>2]|0,rb|0,sb|0)|0;cb=Cb;f[cb>>2]=gb;f[cb+4>>2]=J;cb=kb|1;gb=pb+(cb<<1)|0;if(!(b[qb+cb>>0]|0)){d[gb>>1]=0;Fb=0;Gb=Db}else{d[gb>>1]=hb;gb=hb&65535;Fb=gb;Gb=Db+(Y(f[f[vb>>2]>>2]|0,gb)|0)|0}gb=f[Gb>>2]|0;f[Gb>>2]=(gb|0)>(cb|0)?cb:gb;gb=Gb+8|0;eb=f[gb>>2]|0;f[gb>>2]=(eb|0)<(cb|0)?cb:eb;eb=Gb+4|0;gb=f[eb>>2]|0;f[eb>>2]=(gb|0)>(rb|0)?rb:gb;gb=Gb+12|0;eb=f[gb>>2]|0;f[gb>>2]=(eb|0)<(rb|0)?rb:eb;eb=Gb+16|0;f[eb>>2]=(f[eb>>2]|0)+1;eb=Eb+(Fb<<4)|0;gb=eb;db=hzc(f[gb>>2]|0,f[gb+4>>2]|0,cb|0,((cb|0)<0)<<31>>31|0)|0;gb=eb;f[gb>>2]=db;f[gb+4>>2]=J;gb=Eb+(Fb<<4)+8|0;db=gb;eb=hzc(f[db>>2]|0,f[db+4>>2]|0,rb|0,sb|0)|0;db=gb;f[db>>2]=eb;f[db+4>>2]=J;db=ob+(kb<<1)|0;if(!(b[mb+kb>>0]|0)){d[db>>1]=0;Hb=0;Ib=Db}else{d[db>>1]=hb;db=hb&65535;Hb=db;Ib=Db+(Y(f[f[vb>>2]>>2]|0,db)|0)|0}db=f[Ib>>2]|0;f[Ib>>2]=(db|0)>(kb|0)?kb:db;db=Ib+8|0;eb=f[db>>2]|0;f[db>>2]=(eb|0)<(kb|0)?kb:eb;eb=Ib+4|0;db=f[eb>>2]|0;f[eb>>2]=(db|0)>(nb|0)?nb:db;db=Ib+12|0;eb=f[db>>2]|0;f[db>>2]=(eb|0)<(nb|0)?nb:eb;eb=Ib+16|0;f[eb>>2]=(f[eb>>2]|0)+1;eb=Eb+(Hb<<4)|0;db=eb;gb=hzc(f[db>>2]|0,f[db+4>>2]|0,kb|0,((kb|0)<0)<<31>>31|0)|0;db=eb;f[db>>2]=gb;f[db+4>>2]=J;db=Eb+(Hb<<4)+8|0;gb=db;eb=hzc(f[gb>>2]|0,f[gb+4>>2]|0,nb|0,lb|0)|0;gb=db;f[gb>>2]=eb;f[gb+4>>2]=J;gb=ob+(cb<<1)|0;if(!(b[mb+cb>>0]|0)){d[gb>>1]=0;eb=f[Db>>2]|0;f[Db>>2]=(eb|0)>(cb|0)?cb:eb;eb=Db+8|0;db=f[eb>>2]|0;f[eb>>2]=(db|0)<(cb|0)?cb:db;db=Db+4|0;eb=f[db>>2]|0;f[db>>2]=(eb|0)>(nb|0)?nb:eb;eb=Db+12|0;db=f[eb>>2]|0;f[eb>>2]=(db|0)<(nb|0)?nb:db;db=Db+16|0;f[db>>2]=(f[db>>2]|0)+1;db=Eb;eb=hzc(f[db>>2]|0,f[db+4>>2]|0,cb|0,((cb|0)<0)<<31>>31|0)|0;db=Eb;f[db>>2]=eb;f[db+4>>2]=J;Jb=Eb+8|0;break}else{d[gb>>1]=hb;gb=hb&65535;hb=Db+(Y(f[f[vb>>2]>>2]|0,gb)|0)|0;db=f[hb>>2]|0;f[hb>>2]=(db|0)>(cb|0)?cb:db;db=hb+8|0;eb=f[db>>2]|0;f[db>>2]=(eb|0)<(cb|0)?cb:eb;eb=hb+4|0;db=f[eb>>2]|0;f[eb>>2]=(db|0)>(nb|0)?nb:db;db=hb+12|0;eb=f[db>>2]|0;f[db>>2]=(eb|0)<(nb|0)?nb:eb;eb=hb+16|0;f[eb>>2]=(f[eb>>2]|0)+1;eb=Eb+(gb<<4)|0;hb=eb;db=hzc(f[hb>>2]|0,f[hb+4>>2]|0,cb|0,((cb|0)<0)<<31>>31|0)|0;cb=eb;f[cb>>2]=db;f[cb+4>>2]=J;Jb=Eb+(gb<<4)+8|0;break}}else{d[jb>>1]=0;gb=kb|1;d[pb+(gb<<1)>>1]=0;d[ob+(kb<<1)>>1]=0;d[ob+(gb<<1)>>1]=0;cb=f[xb>>2]|0;db=f[cb>>2]|0;eb=(db|0)>(kb|0)?kb:db;db=cb+8|0;hb=f[db>>2]|0;bb=(hb|0)<(kb|0)?kb:hb;hb=cb+4|0;fb=f[hb>>2]|0;ab=(fb|0)>(rb|0)?rb:fb;fb=cb+12|0;$a=f[fb>>2]|0;_a=($a|0)<(rb|0)?rb:$a;$a=cb+16|0;Za=f[$a>>2]|0;Ya=f[wb>>2]|0;Xa=((kb|0)<0)<<31>>31;Wa=Ya;Va=hzc(f[Wa>>2]|0,f[Wa+4>>2]|0,kb|0,Xa|0)|0;Wa=J;Ua=Ya+8|0;Ta=Ua;Sa=hzc(f[Ta>>2]|0,f[Ta+4>>2]|0,rb|0,sb|0)|0;Ta=J;Ra=(eb|0)>(gb|0)?gb:eb;eb=((gb|0)<0)<<31>>31;Qa=hzc(Va|0,Wa|0,gb|0,eb|0)|0;Wa=J;Va=hzc(Sa|0,Ta|0,rb|0,sb|0)|0;Ta=J;Sa=hzc(Qa|0,Wa|0,kb|0,Xa|0)|0;Xa=J;Wa=hzc(Va|0,Ta|0,nb|0,lb|0)|0;Ta=Ua;f[Ta>>2]=Wa;f[Ta+4>>2]=J;f[cb>>2]=(Ra|0)>(kb|0)?kb:Ra;f[db>>2]=(bb|0)<(gb|0)?gb:bb;f[hb>>2]=(ab|0)>(nb|0)?nb:ab;f[fb>>2]=(_a|0)<(nb|0)?nb:_a;f[$a>>2]=Za+4;Za=hzc(Sa|0,Xa|0,gb|0,eb|0)|0;eb=Ya;f[eb>>2]=Za;f[eb+4>>2]=J;Jb=Ua}while(0);jb=Jb;ib=hzc(f[jb>>2]|0,f[jb+4>>2]|0,nb|0,lb|0)|0;jb=Jb;f[jb>>2]=ib;f[jb+4>>2]=J;kb=kb+2|0;Kb=f[r>>2]|0}while((kb|0)<(Kb|0));Lb=f[l>>2]|0;Mb=Kb}else{Lb=tb;Mb=ub}rb=rb+2|0;if((rb|0)>=(Lb|0))break b;else{ub=Mb;tb=Lb}}}if(k){tb=h+20|0;ub=h+120|0;rb=h+48|0;wb=f[c+16>>2]|0;xb=f[c+44>>2]|0;vb=f[e+16>>2]|0;m=f[e+44>>2]|0;yb=0;v=zb;N=Ab;while(1){kb=f[xb>>2]|0;lb=wb+(Y(kb,yb)|0)|0;nb=lb+kb|0;kb=f[m>>2]|0;sb=vb+(Y(kb,yb)|0)|0;ob=sb+kb|0;if((v|0)>0){kb=((yb|0)<0)<<31>>31;pb=yb|1;mb=((pb|0)<0)<<31>>31;qb=0;do{jb=sb+(qb<<1)|0;ib=d[jb>>1]|0;do if(!(ib<<16>>16)){d[jb>>1]=0;d[ob+(qb<<1)>>1]=0;I=f[tb>>2]|0;K=f[I>>2]|0;Ua=(K|0)>(qb|0)?qb:K;K=I+8|0;eb=f[K>>2]|0;Za=(eb|0)<(qb|0)?qb:eb;eb=I+4|0;Ya=f[eb>>2]|0;gb=(Ya|0)>(yb|0)?yb:Ya;Ya=I+12|0;Xa=f[Ya>>2]|0;Sa=(Xa|0)<(yb|0)?yb:Xa;Xa=I+16|0;$a=f[Xa>>2]|0;_a=f[ub>>2]|0;fb=((qb|0)<0)<<31>>31;ab=_a;hb=hzc(f[ab>>2]|0,f[ab+4>>2]|0,qb|0,fb|0)|0;ab=J;bb=_a+8|0;db=bb;Ra=hzc(f[db>>2]|0,f[db+4>>2]|0,yb|0,kb|0)|0;db=J;f[I>>2]=Ua;f[K>>2]=Za;cb=(gb|0)>(pb|0)?pb:gb;f[eb>>2]=cb;gb=(Sa|0)<(pb|0)?pb:Sa;f[Ya>>2]=gb;f[Xa>>2]=$a+2;Sa=hzc(hb|0,ab|0,qb|0,fb|0)|0;fb=J;ab=_a;f[ab>>2]=Sa;f[ab+4>>2]=fb;ab=hzc(Ra|0,db|0,pb|0,mb|0)|0;db=J;Ra=bb;f[Ra>>2]=ab;f[Ra+4>>2]=db;Ra=qb|1;if((Ra|0)<(f[r>>2]|0)){d[sb+(Ra<<1)>>1]=0;d[ob+(Ra<<1)>>1]=0;hb=((Ra|0)<0)<<31>>31;Ta=hzc(Sa|0,fb|0,Ra|0,hb|0)|0;fb=J;Sa=hzc(ab|0,db|0,yb|0,kb|0)|0;db=J;f[I>>2]=(Ua|0)>(Ra|0)?Ra:Ua;f[K>>2]=(Za|0)<(Ra|0)?Ra:Za;f[eb>>2]=(cb|0)>(yb|0)?yb:cb;f[Ya>>2]=gb;f[Xa>>2]=$a+4;$a=hzc(Ta|0,fb|0,Ra|0,hb|0)|0;hb=_a;f[hb>>2]=$a;f[hb+4>>2]=J;hb=hzc(Sa|0,db|0,pb|0,mb|0)|0;db=bb;f[db>>2]=hb;f[db+4>>2]=J}}else{db=d[i+((ib&65535)<<1)>>1]|0;if(!(b[lb+qb>>0]|0)){d[jb>>1]=0;hb=f[tb>>2]|0;bb=f[hb>>2]|0;f[hb>>2]=(bb|0)>(qb|0)?qb:bb;bb=hb+8|0;Sa=f[bb>>2]|0;f[bb>>2]=(Sa|0)<(qb|0)?qb:Sa;Sa=hb+4|0;bb=f[Sa>>2]|0;f[Sa>>2]=(bb|0)>(yb|0)?yb:bb;bb=hb+12|0;Sa=f[bb>>2]|0;f[bb>>2]=(Sa|0)<(yb|0)?yb:Sa;Sa=hb+16|0;f[Sa>>2]=(f[Sa>>2]|0)+1;Sa=f[ub>>2]|0;bb=Sa;$a=hzc(f[bb>>2]|0,f[bb+4>>2]|0,qb|0,((qb|0)<0)<<31>>31|0)|0;bb=Sa;f[bb>>2]=$a;f[bb+4>>2]=J;Nb=Sa+8|0;Ob=hb;Pb=Sa}else{d[jb>>1]=db;Sa=db&65535;hb=f[tb>>2]|0;bb=hb+(Y(f[f[rb>>2]>>2]|0,Sa)|0)|0;$a=f[bb>>2]|0;f[bb>>2]=($a|0)>(qb|0)?qb:$a;$a=bb+8|0;_a=f[$a>>2]|0;f[$a>>2]=(_a|0)<(qb|0)?qb:_a;_a=bb+4|0;$a=f[_a>>2]|0;f[_a>>2]=($a|0)>(yb|0)?yb:$a;$a=bb+12|0;_a=f[$a>>2]|0;f[$a>>2]=(_a|0)<(yb|0)?yb:_a;_a=bb+16|0;f[_a>>2]=(f[_a>>2]|0)+1;_a=f[ub>>2]|0;bb=_a+(Sa<<4)|0;$a=bb;Ra=hzc(f[$a>>2]|0,f[$a+4>>2]|0,qb|0,((qb|0)<0)<<31>>31|0)|0;$a=bb;f[$a>>2]=Ra;f[$a+4>>2]=J;Nb=_a+(Sa<<4)+8|0;Ob=hb;Pb=_a}_a=Nb;hb=hzc(f[_a>>2]|0,f[_a+4>>2]|0,yb|0,kb|0)|0;_a=Nb;f[_a>>2]=hb;f[_a+4>>2]=J;_a=ob+(qb<<1)|0;if(!(b[nb+qb>>0]|0)){d[_a>>1]=0;Qb=0;Rb=Ob}else{d[_a>>1]=db;_a=db&65535;Qb=_a;Rb=Ob+(Y(f[f[rb>>2]>>2]|0,_a)|0)|0}_a=f[Rb>>2]|0;f[Rb>>2]=(_a|0)>(qb|0)?qb:_a;_a=Rb+8|0;hb=f[_a>>2]|0;f[_a>>2]=(hb|0)<(qb|0)?qb:hb;hb=Rb+4|0;_a=f[hb>>2]|0;f[hb>>2]=(_a|0)>(pb|0)?pb:_a;_a=Rb+12|0;hb=f[_a>>2]|0;f[_a>>2]=(hb|0)<(pb|0)?pb:hb;hb=Rb+16|0;f[hb>>2]=(f[hb>>2]|0)+1;hb=Pb+(Qb<<4)|0;_a=hb;Sa=hzc(f[_a>>2]|0,f[_a+4>>2]|0,qb|0,((qb|0)<0)<<31>>31|0)|0;_a=hb;f[_a>>2]=Sa;f[_a+4>>2]=J;_a=Pb+(Qb<<4)+8|0;Sa=_a;hb=hzc(f[Sa>>2]|0,f[Sa+4>>2]|0,pb|0,mb|0)|0;Sa=_a;f[Sa>>2]=hb;f[Sa+4>>2]=J;Sa=qb|1;if((Sa|0)<(f[r>>2]|0)){hb=sb+(Sa<<1)|0;if(!(b[lb+Sa>>0]|0)){d[hb>>1]=0;Sb=0;Tb=Ob}else{d[hb>>1]=db;hb=db&65535;Sb=hb;Tb=Ob+(Y(f[f[rb>>2]>>2]|0,hb)|0)|0}hb=f[Tb>>2]|0;f[Tb>>2]=(hb|0)>(Sa|0)?Sa:hb;hb=Tb+8|0;_a=f[hb>>2]|0;f[hb>>2]=(_a|0)<(Sa|0)?Sa:_a;_a=Tb+4|0;hb=f[_a>>2]|0;f[_a>>2]=(hb|0)>(yb|0)?yb:hb;hb=Tb+12|0;_a=f[hb>>2]|0;f[hb>>2]=(_a|0)<(yb|0)?yb:_a;_a=Tb+16|0;f[_a>>2]=(f[_a>>2]|0)+1;_a=Pb+(Sb<<4)|0;hb=_a;$a=hzc(f[hb>>2]|0,f[hb+4>>2]|0,Sa|0,((Sa|0)<0)<<31>>31|0)|0;hb=_a;f[hb>>2]=$a;f[hb+4>>2]=J;hb=Pb+(Sb<<4)+8|0;$a=hb;_a=hzc(f[$a>>2]|0,f[$a+4>>2]|0,yb|0,kb|0)|0;$a=hb;f[$a>>2]=_a;f[$a+4>>2]=J;$a=ob+(Sa<<1)|0;if(!(b[nb+Sa>>0]|0)){d[$a>>1]=0;_a=f[Ob>>2]|0;f[Ob>>2]=(_a|0)>(Sa|0)?Sa:_a;_a=Ob+8|0;hb=f[_a>>2]|0;f[_a>>2]=(hb|0)<(Sa|0)?Sa:hb;hb=Ob+4|0;_a=f[hb>>2]|0;f[hb>>2]=(_a|0)>(pb|0)?pb:_a;_a=Ob+12|0;hb=f[_a>>2]|0;f[_a>>2]=(hb|0)<(pb|0)?pb:hb;hb=Ob+16|0;f[hb>>2]=(f[hb>>2]|0)+1;hb=Pb;_a=hzc(f[hb>>2]|0,f[hb+4>>2]|0,Sa|0,((Sa|0)<0)<<31>>31|0)|0;hb=Pb;f[hb>>2]=_a;f[hb+4>>2]=J;hb=Pb+8|0;_a=hb;Ra=hzc(f[_a>>2]|0,f[_a+4>>2]|0,pb|0,mb|0)|0;_a=hb;f[_a>>2]=Ra;f[_a+4>>2]=J;break}else{d[$a>>1]=db;$a=db&65535;db=Ob+(Y(f[f[rb>>2]>>2]|0,$a)|0)|0;_a=f[db>>2]|0;f[db>>2]=(_a|0)>(Sa|0)?Sa:_a;_a=db+8|0;Ra=f[_a>>2]|0;f[_a>>2]=(Ra|0)<(Sa|0)?Sa:Ra;Ra=db+4|0;_a=f[Ra>>2]|0;f[Ra>>2]=(_a|0)>(pb|0)?pb:_a;_a=db+12|0;Ra=f[_a>>2]|0;f[_a>>2]=(Ra|0)<(pb|0)?pb:Ra;Ra=db+16|0;f[Ra>>2]=(f[Ra>>2]|0)+1;Ra=Pb+($a<<4)|0;db=Ra;_a=hzc(f[db>>2]|0,f[db+4>>2]|0,Sa|0,((Sa|0)<0)<<31>>31|0)|0;Sa=Ra;f[Sa>>2]=_a;f[Sa+4>>2]=J;Sa=Pb+($a<<4)+8|0;$a=Sa;_a=hzc(f[$a>>2]|0,f[$a+4>>2]|0,pb|0,mb|0)|0;$a=Sa;f[$a>>2]=_a;f[$a+4>>2]=J;break}}}while(0);qb=qb+2|0;Ub=f[r>>2]|0}while((qb|0)<(Ub|0));Vb=f[l>>2]|0;Wb=Ub}else{Vb=N;Wb=v}yb=yb+2|0;if((yb|0)>=(Vb|0))break;else{v=Wb;N=Vb}}}}else{if(!t){if(!k)break;N=h+20|0;v=h+120|0;yb=h+48|0;rb=f[c+16>>2]|0;ub=f[c+44>>2]|0;tb=f[e+16>>2]|0;vb=f[e+44>>2]|0;m=0;wb=zb;xb=Ab;while(1){qb=f[ub>>2]|0;mb=rb+(Y(qb,m)|0)|0;pb=mb+qb|0;qb=f[vb>>2]|0;nb=tb+(Y(qb,m)|0)|0;ob=nb+qb|0;if((wb|0)>0){qb=((m|0)<0)<<31>>31;kb=m|1;lb=((kb|0)<0)<<31>>31;sb=0;do{jb=nb+(sb<<1)|0;ib=d[jb>>1]|0;do if(!(ib<<16>>16)){d[jb>>1]=0;$a=sb|1;d[nb+($a<<1)>>1]=0;_a=f[N>>2]|0;Sa=f[_a>>2]|0;Ra=(Sa|0)>(sb|0)?sb:Sa;Sa=_a+8|0;db=f[Sa>>2]|0;hb=(db|0)<(sb|0)?sb:db;db=_a+4|0;bb=f[db>>2]|0;fb=(bb|0)>(m|0)?m:bb;bb=_a+12|0;Ta=f[bb>>2]|0;Xa=(Ta|0)<(m|0)?m:Ta;Ta=_a+16|0;gb=f[Ta>>2]|0;Ya=f[v>>2]|0;cb=((sb|0)<0)<<31>>31;eb=Ya;Za=hzc(f[eb>>2]|0,f[eb+4>>2]|0,sb|0,cb|0)|0;eb=J;K=Ya+8|0;Ua=K;I=hzc(f[Ua>>2]|0,f[Ua+4>>2]|0,m|0,qb|0)|0;Ua=J;ab=(Ra|0)>($a|0)?$a:Ra;f[_a>>2]=ab;Ra=(hb|0)<($a|0)?$a:hb;f[Sa>>2]=Ra;f[db>>2]=fb;f[bb>>2]=Xa;f[Ta>>2]=gb+2;hb=(($a|0)<0)<<31>>31;Wa=hzc(Za|0,eb|0,$a|0,hb|0)|0;eb=J;Za=Ya;f[Za>>2]=Wa;f[Za+4>>2]=eb;Za=hzc(I|0,Ua|0,m|0,qb|0)|0;Ua=J;I=K;f[I>>2]=Za;f[I+4>>2]=Ua;if((kb|0)<(f[l>>2]|0)){d[ob+(sb<<1)>>1]=0;d[ob+($a<<1)>>1]=0;I=hzc(Wa|0,eb|0,sb|0,cb|0)|0;cb=J;eb=hzc(Za|0,Ua|0,kb|0,lb|0)|0;Ua=J;f[_a>>2]=(ab|0)>(sb|0)?sb:ab;f[Sa>>2]=Ra;f[db>>2]=(fb|0)>(kb|0)?kb:fb;f[bb>>2]=(Xa|0)<(kb|0)?kb:Xa;f[Ta>>2]=gb+4;gb=hzc(I|0,cb|0,$a|0,hb|0)|0;hb=Ya;f[hb>>2]=gb;f[hb+4>>2]=J;hb=hzc(eb|0,Ua|0,kb|0,lb|0)|0;Ua=K;f[Ua>>2]=hb;f[Ua+4>>2]=J}}else{Ua=d[i+((ib&65535)<<1)>>1]|0;if(!(b[mb+sb>>0]|0)){d[jb>>1]=0;hb=f[N>>2]|0;K=f[hb>>2]|0;f[hb>>2]=(K|0)>(sb|0)?sb:K;K=hb+8|0;eb=f[K>>2]|0;f[K>>2]=(eb|0)<(sb|0)?sb:eb;eb=hb+4|0;K=f[eb>>2]|0;f[eb>>2]=(K|0)>(m|0)?m:K;K=hb+12|0;eb=f[K>>2]|0;f[K>>2]=(eb|0)<(m|0)?m:eb;eb=hb+16|0;f[eb>>2]=(f[eb>>2]|0)+1;eb=f[v>>2]|0;K=eb;gb=hzc(f[K>>2]|0,f[K+4>>2]|0,sb|0,((sb|0)<0)<<31>>31|0)|0;K=eb;f[K>>2]=gb;f[K+4>>2]=J;Xb=eb+8|0;Yb=hb;Zb=eb}else{d[jb>>1]=Ua;eb=Ua&65535;hb=f[N>>2]|0;K=hb+(Y(f[f[yb>>2]>>2]|0,eb)|0)|0;gb=f[K>>2]|0;f[K>>2]=(gb|0)>(sb|0)?sb:gb;gb=K+8|0;Ya=f[gb>>2]|0;f[gb>>2]=(Ya|0)<(sb|0)?sb:Ya;Ya=K+4|0;gb=f[Ya>>2]|0;f[Ya>>2]=(gb|0)>(m|0)?m:gb;gb=K+12|0;Ya=f[gb>>2]|0;f[gb>>2]=(Ya|0)<(m|0)?m:Ya;Ya=K+16|0;f[Ya>>2]=(f[Ya>>2]|0)+1;Ya=f[v>>2]|0;K=Ya+(eb<<4)|0;gb=K;$a=hzc(f[gb>>2]|0,f[gb+4>>2]|0,sb|0,((sb|0)<0)<<31>>31|0)|0;gb=K;f[gb>>2]=$a;f[gb+4>>2]=J;Xb=Ya+(eb<<4)+8|0;Yb=hb;Zb=Ya}Ya=Xb;hb=hzc(f[Ya>>2]|0,f[Ya+4>>2]|0,m|0,qb|0)|0;Ya=Xb;f[Ya>>2]=hb;f[Ya+4>>2]=J;Ya=sb|1;hb=nb+(Ya<<1)|0;if(!(b[mb+Ya>>0]|0)){d[hb>>1]=0;_b=0;$b=Yb}else{d[hb>>1]=Ua;hb=Ua&65535;_b=hb;$b=Yb+(Y(f[f[yb>>2]>>2]|0,hb)|0)|0}hb=f[$b>>2]|0;f[$b>>2]=(hb|0)>(Ya|0)?Ya:hb;hb=$b+8|0;eb=f[hb>>2]|0;f[hb>>2]=(eb|0)<(Ya|0)?Ya:eb;eb=$b+4|0;hb=f[eb>>2]|0;f[eb>>2]=(hb|0)>(m|0)?m:hb;hb=$b+12|0;eb=f[hb>>2]|0;f[hb>>2]=(eb|0)<(m|0)?m:eb;eb=$b+16|0;f[eb>>2]=(f[eb>>2]|0)+1;eb=Zb+(_b<<4)|0;hb=eb;gb=hzc(f[hb>>2]|0,f[hb+4>>2]|0,Ya|0,((Ya|0)<0)<<31>>31|0)|0;hb=eb;f[hb>>2]=gb;f[hb+4>>2]=J;hb=Zb+(_b<<4)+8|0;gb=hb;eb=hzc(f[gb>>2]|0,f[gb+4>>2]|0,m|0,qb|0)|0;gb=hb;f[gb>>2]=eb;f[gb+4>>2]=J;if((kb|0)<(f[l>>2]|0)){gb=ob+(sb<<1)|0;if(!(b[pb+sb>>0]|0)){d[gb>>1]=0;ac=0;bc=Yb}else{d[gb>>1]=Ua;gb=Ua&65535;ac=gb;bc=Yb+(Y(f[f[yb>>2]>>2]|0,gb)|0)|0}gb=f[bc>>2]|0;f[bc>>2]=(gb|0)>(sb|0)?sb:gb;gb=bc+8|0;eb=f[gb>>2]|0;f[gb>>2]=(eb|0)<(sb|0)?sb:eb;eb=bc+4|0;gb=f[eb>>2]|0;f[eb>>2]=(gb|0)>(kb|0)?kb:gb;gb=bc+12|0;eb=f[gb>>2]|0;f[gb>>2]=(eb|0)<(kb|0)?kb:eb;eb=bc+16|0;f[eb>>2]=(f[eb>>2]|0)+1;eb=Zb+(ac<<4)|0;gb=eb;hb=hzc(f[gb>>2]|0,f[gb+4>>2]|0,sb|0,((sb|0)<0)<<31>>31|0)|0;gb=eb;f[gb>>2]=hb;f[gb+4>>2]=J;gb=Zb+(ac<<4)+8|0;hb=gb;eb=hzc(f[hb>>2]|0,f[hb+4>>2]|0,kb|0,lb|0)|0;hb=gb;f[hb>>2]=eb;f[hb+4>>2]=J;hb=ob+(Ya<<1)|0;if(!(b[pb+Ya>>0]|0)){d[hb>>1]=0;eb=f[Yb>>2]|0;f[Yb>>2]=(eb|0)>(Ya|0)?Ya:eb;eb=Yb+8|0;gb=f[eb>>2]|0;f[eb>>2]=(gb|0)<(Ya|0)?Ya:gb;gb=Yb+4|0;eb=f[gb>>2]|0;f[gb>>2]=(eb|0)>(kb|0)?kb:eb;eb=Yb+12|0;gb=f[eb>>2]|0;f[eb>>2]=(gb|0)<(kb|0)?kb:gb;gb=Yb+16|0;f[gb>>2]=(f[gb>>2]|0)+1;gb=Zb;eb=hzc(f[gb>>2]|0,f[gb+4>>2]|0,Ya|0,((Ya|0)<0)<<31>>31|0)|0;gb=Zb;f[gb>>2]=eb;f[gb+4>>2]=J;gb=Zb+8|0;eb=gb;$a=hzc(f[eb>>2]|0,f[eb+4>>2]|0,kb|0,lb|0)|0;eb=gb;f[eb>>2]=$a;f[eb+4>>2]=J;break}else{d[hb>>1]=Ua;hb=Ua&65535;Ua=Yb+(Y(f[f[yb>>2]>>2]|0,hb)|0)|0;eb=f[Ua>>2]|0;f[Ua>>2]=(eb|0)>(Ya|0)?Ya:eb;eb=Ua+8|0;$a=f[eb>>2]|0;f[eb>>2]=($a|0)<(Ya|0)?Ya:$a;$a=Ua+4|0;eb=f[$a>>2]|0;f[$a>>2]=(eb|0)>(kb|0)?kb:eb;eb=Ua+12|0;$a=f[eb>>2]|0;f[eb>>2]=($a|0)<(kb|0)?kb:$a;$a=Ua+16|0;f[$a>>2]=(f[$a>>2]|0)+1;$a=Zb+(hb<<4)|0;Ua=$a;eb=hzc(f[Ua>>2]|0,f[Ua+4>>2]|0,Ya|0,((Ya|0)<0)<<31>>31|0)|0;Ya=$a;f[Ya>>2]=eb;f[Ya+4>>2]=J;Ya=Zb+(hb<<4)+8|0;hb=Ya;eb=hzc(f[hb>>2]|0,f[hb+4>>2]|0,kb|0,lb|0)|0;hb=Ya;f[hb>>2]=eb;f[hb+4>>2]=J;break}}}while(0);sb=sb+2|0;cc=f[r>>2]|0}while((sb|0)<(cc|0));dc=f[l>>2]|0;ec=cc}else{dc=xb;ec=wb}m=m+2|0;if((m|0)>=(dc|0))break b;else{wb=ec;xb=dc}}}if(k){xb=h+20|0;wb=h+120|0;m=h+48|0;yb=f[c+16>>2]|0;v=f[c+44>>2]|0;N=f[e+16>>2]|0;tb=f[e+44>>2]|0;vb=0;rb=zb;ub=Ab;while(1){sb=f[v>>2]|0;lb=yb+(Y(sb,vb)|0)|0;kb=lb+sb|0;sb=f[tb>>2]|0;pb=N+(Y(sb,vb)|0)|0;ob=pb+sb|0;if((rb|0)>0){sb=((vb|0)<0)<<31>>31;qb=vb|1;mb=((qb|0)<0)<<31>>31;nb=0;do{jb=pb+(nb<<1)|0;ib=d[jb>>1]|0;do if(!(ib<<16>>16)){d[jb>>1]=0;hb=f[xb>>2]|0;eb=f[hb>>2]|0;Ya=(eb|0)>(nb|0)?nb:eb;f[hb>>2]=Ya;eb=hb+8|0;$a=f[eb>>2]|0;Ua=($a|0)<(nb|0)?nb:$a;f[eb>>2]=Ua;$a=hb+4|0;gb=f[$a>>2]|0;K=(gb|0)>(vb|0)?vb:gb;f[$a>>2]=K;gb=hb+12|0;cb=f[gb>>2]|0;I=(cb|0)<(vb|0)?vb:cb;f[gb>>2]=I;cb=hb+16|0;Ta=f[cb>>2]|0;f[cb>>2]=Ta+1;Xa=f[wb>>2]|0;bb=((nb|0)<0)<<31>>31;fb=Xa;db=hzc(f[fb>>2]|0,f[fb+4>>2]|0,nb|0,bb|0)|0;fb=J;Ra=Xa;f[Ra>>2]=db;f[Ra+4>>2]=fb;Ra=Xa+8|0;Sa=Ra;ab=hzc(f[Sa>>2]|0,f[Sa+4>>2]|0,vb|0,sb|0)|0;Sa=J;_a=Ra;f[_a>>2]=ab;f[_a+4>>2]=Sa;_a=nb|1;if((_a|0)<(f[r>>2]|0)){d[pb+(_a<<1)>>1]=0;Za=(Ya|0)>(_a|0)?_a:Ya;f[hb>>2]=Za;Wa=(Ua|0)<(_a|0)?_a:Ua;f[eb>>2]=Wa;f[$a>>2]=K;f[gb>>2]=I;f[cb>>2]=Ta+2;Va=((_a|0)<0)<<31>>31;Qa=hzc(db|0,fb|0,_a|0,Va|0)|0;Pa=J;Oa=Xa;f[Oa>>2]=Qa;f[Oa+4>>2]=Pa;Oa=hzc(ab|0,Sa|0,vb|0,sb|0)|0;Na=J;Ma=Ra;f[Ma>>2]=Oa;f[Ma+4>>2]=Na;if((qb|0)>=(f[l>>2]|0))break;d[ob+(nb<<1)>>1]=0;d[ob+(_a<<1)>>1]=0;Ma=hzc(Qa|0,Pa|0,nb|0,bb|0)|0;Pa=J;Qa=hzc(Oa|0,Na|0,qb|0,mb|0)|0;Na=J;f[hb>>2]=(Za|0)>(nb|0)?nb:Za;f[eb>>2]=Wa;f[$a>>2]=(K|0)>(qb|0)?qb:K;f[gb>>2]=(I|0)<(qb|0)?qb:I;f[cb>>2]=Ta+4;Wa=hzc(Ma|0,Pa|0,_a|0,Va|0)|0;Va=Xa;f[Va>>2]=Wa;f[Va+4>>2]=J;Va=hzc(Qa|0,Na|0,qb|0,mb|0)|0;Na=Ra;f[Na>>2]=Va;f[Na+4>>2]=J;break}else{if((qb|0)>=(f[l>>2]|0))break;d[ob+(nb<<1)>>1]=0;f[hb>>2]=Ya;f[eb>>2]=Ua;f[$a>>2]=(K|0)>(qb|0)?qb:K;f[gb>>2]=(I|0)<(qb|0)?qb:I;f[cb>>2]=Ta+2;Ta=hzc(db|0,fb|0,nb|0,bb|0)|0;bb=Xa;f[bb>>2]=Ta;f[bb+4>>2]=J;bb=hzc(ab|0,Sa|0,qb|0,mb|0)|0;Sa=Ra;f[Sa>>2]=bb;f[Sa+4>>2]=J;break}}else{Sa=d[i+((ib&65535)<<1)>>1]|0;if(!(b[lb+nb>>0]|0)){d[jb>>1]=0;bb=f[xb>>2]|0;Ra=f[bb>>2]|0;f[bb>>2]=(Ra|0)>(nb|0)?nb:Ra;Ra=bb+8|0;ab=f[Ra>>2]|0;f[Ra>>2]=(ab|0)<(nb|0)?nb:ab;ab=bb+4|0;Ra=f[ab>>2]|0;f[ab>>2]=(Ra|0)>(vb|0)?vb:Ra;Ra=bb+12|0;ab=f[Ra>>2]|0;f[Ra>>2]=(ab|0)<(vb|0)?vb:ab;ab=bb+16|0;f[ab>>2]=(f[ab>>2]|0)+1;ab=f[wb>>2]|0;Ra=ab;Ta=hzc(f[Ra>>2]|0,f[Ra+4>>2]|0,nb|0,((nb|0)<0)<<31>>31|0)|0;Ra=ab;f[Ra>>2]=Ta;f[Ra+4>>2]=J;fc=ab+8|0;gc=bb;hc=ab}else{d[jb>>1]=Sa;ab=Sa&65535;bb=f[xb>>2]|0;Ra=bb+(Y(f[f[m>>2]>>2]|0,ab)|0)|0;Ta=f[Ra>>2]|0;f[Ra>>2]=(Ta|0)>(nb|0)?nb:Ta;Ta=Ra+8|0;Xa=f[Ta>>2]|0;f[Ta>>2]=(Xa|0)<(nb|0)?nb:Xa;Xa=Ra+4|0;Ta=f[Xa>>2]|0;f[Xa>>2]=(Ta|0)>(vb|0)?vb:Ta;Ta=Ra+12|0;Xa=f[Ta>>2]|0;f[Ta>>2]=(Xa|0)<(vb|0)?vb:Xa;Xa=Ra+16|0;f[Xa>>2]=(f[Xa>>2]|0)+1;Xa=f[wb>>2]|0;Ra=Xa+(ab<<4)|0;Ta=Ra;fb=hzc(f[Ta>>2]|0,f[Ta+4>>2]|0,nb|0,((nb|0)<0)<<31>>31|0)|0;Ta=Ra;f[Ta>>2]=fb;f[Ta+4>>2]=J;fc=Xa+(ab<<4)+8|0;gc=bb;hc=Xa}Xa=fc;bb=hzc(f[Xa>>2]|0,f[Xa+4>>2]|0,vb|0,sb|0)|0;Xa=fc;f[Xa>>2]=bb;f[Xa+4>>2]=J;Xa=nb|1;if((Xa|0)>=(f[r>>2]|0)){if((qb|0)>=(f[l>>2]|0))break;bb=ob+(nb<<1)|0;if(!(b[kb+nb>>0]|0)){d[bb>>1]=0;ab=f[gc>>2]|0;f[gc>>2]=(ab|0)>(nb|0)?nb:ab;ab=gc+8|0;Ta=f[ab>>2]|0;f[ab>>2]=(Ta|0)<(nb|0)?nb:Ta;Ta=gc+4|0;ab=f[Ta>>2]|0;f[Ta>>2]=(ab|0)>(qb|0)?qb:ab;ab=gc+12|0;Ta=f[ab>>2]|0;f[ab>>2]=(Ta|0)<(qb|0)?qb:Ta;Ta=gc+16|0;f[Ta>>2]=(f[Ta>>2]|0)+1;Ta=hc;ab=hzc(f[Ta>>2]|0,f[Ta+4>>2]|0,nb|0,((nb|0)<0)<<31>>31|0)|0;Ta=hc;f[Ta>>2]=ab;f[Ta+4>>2]=J;Ta=hc+8|0;ab=Ta;fb=hzc(f[ab>>2]|0,f[ab+4>>2]|0,qb|0,mb|0)|0;ab=Ta;f[ab>>2]=fb;f[ab+4>>2]=J;break}else{d[bb>>1]=Sa;bb=Sa&65535;ab=gc+(Y(f[f[m>>2]>>2]|0,bb)|0)|0;fb=f[ab>>2]|0;f[ab>>2]=(fb|0)>(nb|0)?nb:fb;fb=ab+8|0;Ta=f[fb>>2]|0;f[fb>>2]=(Ta|0)<(nb|0)?nb:Ta;Ta=ab+4|0;fb=f[Ta>>2]|0;f[Ta>>2]=(fb|0)>(qb|0)?qb:fb;fb=ab+12|0;Ta=f[fb>>2]|0;f[fb>>2]=(Ta|0)<(qb|0)?qb:Ta;Ta=ab+16|0;f[Ta>>2]=(f[Ta>>2]|0)+1;Ta=hc+(bb<<4)|0;ab=Ta;fb=hzc(f[ab>>2]|0,f[ab+4>>2]|0,nb|0,((nb|0)<0)<<31>>31|0)|0;ab=Ta;f[ab>>2]=fb;f[ab+4>>2]=J;ab=hc+(bb<<4)+8|0;bb=ab;fb=hzc(f[bb>>2]|0,f[bb+4>>2]|0,qb|0,mb|0)|0;bb=ab;f[bb>>2]=fb;f[bb+4>>2]=J;break}}bb=pb+(Xa<<1)|0;if(!(b[lb+Xa>>0]|0)){d[bb>>1]=0;ic=0;jc=gc}else{d[bb>>1]=Sa;bb=Sa&65535;ic=bb;jc=gc+(Y(f[f[m>>2]>>2]|0,bb)|0)|0}bb=f[jc>>2]|0;f[jc>>2]=(bb|0)>(Xa|0)?Xa:bb;bb=jc+8|0;fb=f[bb>>2]|0;f[bb>>2]=(fb|0)<(Xa|0)?Xa:fb;fb=jc+4|0;bb=f[fb>>2]|0;f[fb>>2]=(bb|0)>(vb|0)?vb:bb;bb=jc+12|0;fb=f[bb>>2]|0;f[bb>>2]=(fb|0)<(vb|0)?vb:fb;fb=jc+16|0;f[fb>>2]=(f[fb>>2]|0)+1;fb=hc+(ic<<4)|0;bb=fb;ab=hzc(f[bb>>2]|0,f[bb+4>>2]|0,Xa|0,((Xa|0)<0)<<31>>31|0)|0;bb=fb;f[bb>>2]=ab;f[bb+4>>2]=J;bb=hc+(ic<<4)+8|0;ab=bb;fb=hzc(f[ab>>2]|0,f[ab+4>>2]|0,vb|0,sb|0)|0;ab=bb;f[ab>>2]=fb;f[ab+4>>2]=J;if((qb|0)<(f[l>>2]|0)){ab=ob+(nb<<1)|0;if(!(b[kb+nb>>0]|0)){d[ab>>1]=0;kc=0;lc=gc}else{d[ab>>1]=Sa;ab=Sa&65535;kc=ab;lc=gc+(Y(f[f[m>>2]>>2]|0,ab)|0)|0}ab=f[lc>>2]|0;f[lc>>2]=(ab|0)>(nb|0)?nb:ab;ab=lc+8|0;fb=f[ab>>2]|0;f[ab>>2]=(fb|0)<(nb|0)?nb:fb;fb=lc+4|0;ab=f[fb>>2]|0;f[fb>>2]=(ab|0)>(qb|0)?qb:ab;ab=lc+12|0;fb=f[ab>>2]|0;f[ab>>2]=(fb|0)<(qb|0)?qb:fb;fb=lc+16|0;f[fb>>2]=(f[fb>>2]|0)+1;fb=hc+(kc<<4)|0;ab=fb;bb=hzc(f[ab>>2]|0,f[ab+4>>2]|0,nb|0,((nb|0)<0)<<31>>31|0)|0;ab=fb;f[ab>>2]=bb;f[ab+4>>2]=J;ab=hc+(kc<<4)+8|0;bb=ab;fb=hzc(f[bb>>2]|0,f[bb+4>>2]|0,qb|0,mb|0)|0;bb=ab;f[bb>>2]=fb;f[bb+4>>2]=J;bb=ob+(Xa<<1)|0;if(!(b[kb+Xa>>0]|0)){d[bb>>1]=0;fb=f[gc>>2]|0;f[gc>>2]=(fb|0)>(Xa|0)?Xa:fb;fb=gc+8|0;ab=f[fb>>2]|0;f[fb>>2]=(ab|0)<(Xa|0)?Xa:ab;ab=gc+4|0;fb=f[ab>>2]|0;f[ab>>2]=(fb|0)>(qb|0)?qb:fb;fb=gc+12|0;ab=f[fb>>2]|0;f[fb>>2]=(ab|0)<(qb|0)?qb:ab;ab=gc+16|0;f[ab>>2]=(f[ab>>2]|0)+1;ab=hc;fb=hzc(f[ab>>2]|0,f[ab+4>>2]|0,Xa|0,((Xa|0)<0)<<31>>31|0)|0;ab=hc;f[ab>>2]=fb;f[ab+4>>2]=J;ab=hc+8|0;fb=ab;Ta=hzc(f[fb>>2]|0,f[fb+4>>2]|0,qb|0,mb|0)|0;fb=ab;f[fb>>2]=Ta;f[fb+4>>2]=J;break}else{d[bb>>1]=Sa;bb=Sa&65535;Sa=gc+(Y(f[f[m>>2]>>2]|0,bb)|0)|0;fb=f[Sa>>2]|0;f[Sa>>2]=(fb|0)>(Xa|0)?Xa:fb;fb=Sa+8|0;Ta=f[fb>>2]|0;f[fb>>2]=(Ta|0)<(Xa|0)?Xa:Ta;Ta=Sa+4|0;fb=f[Ta>>2]|0;f[Ta>>2]=(fb|0)>(qb|0)?qb:fb;fb=Sa+12|0;Ta=f[fb>>2]|0;f[fb>>2]=(Ta|0)<(qb|0)?qb:Ta;Ta=Sa+16|0;f[Ta>>2]=(f[Ta>>2]|0)+1;Ta=hc+(bb<<4)|0;Sa=Ta;fb=hzc(f[Sa>>2]|0,f[Sa+4>>2]|0,Xa|0,((Xa|0)<0)<<31>>31|0)|0;Xa=Ta;f[Xa>>2]=fb;f[Xa+4>>2]=J;Xa=hc+(bb<<4)+8|0;bb=Xa;fb=hzc(f[bb>>2]|0,f[bb+4>>2]|0,qb|0,mb|0)|0;bb=Xa;f[bb>>2]=fb;f[bb+4>>2]=J;break}}}while(0);nb=nb+2|0;mc=f[r>>2]|0}while((nb|0)<(mc|0));nc=f[l>>2]|0;oc=mc}else{nc=ub;oc=rb}vb=vb+2|0;if((vb|0)>=(nc|0))break;else{rb=oc;ub=nc}}}}while(0);nc=h+12|0;if((f[nc>>2]|0)<=0){TC(i);u=a;return Bb|0}oc=f[h+20>>2]|0;mc=f[h+48>>2]|0;l=f[h+120>>2]|0;r=f[h+80>>2]|0;hc=f[h+108>>2]|0;h=0;do{gc=oc+(Y(f[mc>>2]|0,h)|0)|0;kc=gc+8|0;f[kc>>2]=(f[kc>>2]|0)+1-(f[gc>>2]|0);kc=gc+12|0;f[kc>>2]=(f[kc>>2]|0)+1-(f[gc+4>>2]|0);kc=r+(Y(f[hc>>2]|0,h)|0)|0;pc=+((f[gc+16>>2]|0)>>>0);gc=l+(h<<4)|0;p[kc>>3]=(+((f[gc>>2]|0)>>>0)+4294967296.0*+((f[gc+4>>2]|0)>>>0))/pc;gc=l+(h<<4)+8|0;p[kc+8>>3]=(+((f[gc>>2]|0)>>>0)+4294967296.0*+((f[gc+4>>2]|0)>>>0))/pc;h=h+1|0}while((h|0)<(f[nc>>2]|0));TC(i);u=a;return Bb|0}function Kna(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0.0;a=u;u=u+16|0;h=a;i=f[c+8>>2]|0;j=d+8|0;if((i|0)!=(f[j>>2]|0)){k=cuc(32)|0;f[h>>2]=k;f[h+8>>2]=-2147483616;f[h+4>>2]=26;l=k;m=347680;n=l+26|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));b[k+26>>0]=0;WD(-215,h,531152,347361,2589)}k=f[c+12>>2]|0;o=d+12|0;if((k|0)!=(f[o>>2]|0)){q=cuc(32)|0;f[h>>2]=q;f[h+8>>2]=-2147483616;f[h+4>>2]=26;l=q;m=347707;n=l+26|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));b[q+26>>0]=0;WD(-215,h,531152,347361,2590)}if((e|0)!=8){e=cuc(32)|0;f[h>>2]=e;f[h+8>>2]=-2147483616;f[h+4>>2]=17;l=e;m=347734;n=l+17|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));b[e+17>>0]=0;WD(-215,h,531152,347361,2591)}h=SC((Y(((i+1|0)/2|0)<<2,(k+1|0)/2|0)|0)+4|0)|0;f[h>>2]=0;if((i|0)>0){e=c+16|0;m=c+44|0;l=d+16|0;n=d+44|0;q=(k|0)>0;r=1;s=0;while(1){t=f[f[m>>2]>>2]|0;v=(f[e>>2]|0)+(Y(t,s)|0)|0;w=0-t|0;x=v+w|0;y=x+w|0;w=v+t|0;t=f[f[n>>2]>>2]|0;z=(f[l>>2]|0)+(Y(t,s)|0)|0;A=0-t|0;t=z+A+A|0;if(q){A=(s|1|0)<(i|0);B=(s|0)>0;C=B^1;D=(s+-2|0)>-1;E=0;F=r;while(1){a:do if(!(b[v+E>>0]|0)){G=E|1;H=(G|0)<(k|0);if(A?b[w+E>>0]|0:0){I=E+-1|0;K=(E|0)>0;if(H?b[v+G>>0]|0:0){do if(K){if(b[v+I>>0]|0){do if(B){if(b[x+G>>0]|0){if(b[x+E>>0]|0){f[z+(E<<2)>>2]=f[z+(E+-2<<2)>>2];L=F;break a}do if(D){if(!(b[y+E>>0]|0))break;M=E+-2|0;if(b[x+I>>0]|0){f[z+(E<<2)>>2]=f[z+(M<<2)>>2];L=F;break a}do if((M|0)>-1){if(!(b[x+M>>0]|0))break;if(b[y+I>>0]|0){f[z+(E<<2)>>2]=f[z+(M<<2)>>2];L=F;break a}N=f[t+(E<<2)>>2]|0;O=f[z+(M<<2)>>2]|0;P=N;while(1){Q=f[h+(P<<2)>>2]|0;if((Q|0)<(P|0))P=Q;else break}if((N|0)==(O|0))R=P;else{Q=O;while(1){S=f[h+(Q<<2)>>2]|0;if((S|0)<(Q|0))Q=S;else break}S=(P|0)>(Q|0)?Q:P;T=O;do{U=h+(T<<2)|0;V=T;T=f[U>>2]|0;f[U>>2]=S}while((T|0)<(V|0));R=S}S=N;do{T=h+(S<<2)|0;O=S;S=f[T>>2]|0;f[T>>2]=R}while((S|0)<(O|0));f[z+(E<<2)>>2]=R;L=F;break a}while(0);S=f[t+(E<<2)>>2]|0;N=f[z+(M<<2)>>2]|0;O=S;while(1){T=f[h+(O<<2)>>2]|0;if((T|0)<(O|0))O=T;else break}if((S|0)==(N|0))W=O;else{M=N;while(1){T=f[h+(M<<2)>>2]|0;if((T|0)<(M|0))M=T;else break}T=(O|0)>(M|0)?M:O;P=N;do{Q=h+(P<<2)|0;V=P;P=f[Q>>2]|0;f[Q>>2]=T}while((P|0)<(V|0));W=T}T=S;do{P=h+(T<<2)|0;N=T;T=f[P>>2]|0;f[P>>2]=W}while((T|0)<(N|0));f[z+(E<<2)>>2]=W;L=F;break a}while(0);T=f[t+(E<<2)>>2]|0;S=f[z+(E+-2<<2)>>2]|0;N=T;while(1){P=f[h+(N<<2)>>2]|0;if((P|0)<(N|0))N=P;else break}if((T|0)==(S|0))X=N;else{P=S;while(1){O=f[h+(P<<2)>>2]|0;if((O|0)<(P|0))P=O;else break}O=(N|0)>(P|0)?P:N;M=S;do{V=h+(M<<2)|0;Q=M;M=f[V>>2]|0;f[V>>2]=O}while((M|0)<(Q|0));X=O}O=T;do{M=h+(O<<2)|0;S=O;O=f[M>>2]|0;f[M>>2]=X}while((O|0)<(S|0));f[z+(E<<2)>>2]=X;L=F;break a}O=E+2|0;if((O|0)>=(k|0))break;if(!(b[x+O>>0]|0))break;do if(D){if(!(b[y+G>>0]|0))break;if(b[x+E>>0]|0){f[z+(E<<2)>>2]=f[z+(E+-2<<2)>>2];L=F;break a}if(!(b[y+E>>0]|0)){T=f[t+(O<<2)>>2]|0;S=f[z+(E+-2<<2)>>2]|0;M=T;while(1){N=f[h+(M<<2)>>2]|0;if((N|0)<(M|0))M=N;else break}if((T|0)==(S|0))Z=M;else{N=S;while(1){P=f[h+(N<<2)>>2]|0;if((P|0)<(N|0))N=P;else break}P=(M|0)>(N|0)?N:M;Q=S;do{V=h+(Q<<2)|0;U=Q;Q=f[V>>2]|0;f[V>>2]=P}while((Q|0)<(U|0));Z=P}P=T;do{Q=h+(P<<2)|0;S=P;P=f[Q>>2]|0;f[Q>>2]=Z}while((P|0)<(S|0));f[z+(E<<2)>>2]=Z;L=F;break a}P=E+-2|0;if(b[x+I>>0]|0){f[z+(E<<2)>>2]=f[z+(P<<2)>>2];L=F;break a}do if((P|0)>-1){if(!(b[x+P>>0]|0))break;if(b[y+I>>0]|0){f[z+(E<<2)>>2]=f[z+(P<<2)>>2];L=F;break a}T=f[t+(O<<2)>>2]|0;S=f[z+(P<<2)>>2]|0;Q=T;while(1){M=f[h+(Q<<2)>>2]|0;if((M|0)<(Q|0))Q=M;else break}if((T|0)==(S|0))_=Q;else{M=S;while(1){N=f[h+(M<<2)>>2]|0;if((N|0)<(M|0))M=N;else break}N=(Q|0)>(M|0)?M:Q;U=S;do{V=h+(U<<2)|0;$=U;U=f[V>>2]|0;f[V>>2]=N}while((U|0)<($|0));_=N}N=T;do{U=h+(N<<2)|0;S=N;N=f[U>>2]|0;f[U>>2]=_}while((N|0)<(S|0));f[z+(E<<2)>>2]=_;L=F;break a}while(0);N=f[t+(O<<2)>>2]|0;T=f[z+(P<<2)>>2]|0;S=N;while(1){U=f[h+(S<<2)>>2]|0;if((U|0)<(S|0))S=U;else break}if((N|0)==(T|0))aa=S;else{P=T;while(1){U=f[h+(P<<2)>>2]|0;if((U|0)<(P|0))P=U;else break}U=(S|0)>(P|0)?P:S;Q=T;do{M=h+(Q<<2)|0;$=Q;Q=f[M>>2]|0;f[M>>2]=U}while((Q|0)<($|0));aa=U}U=N;do{Q=h+(U<<2)|0;T=U;U=f[Q>>2]|0;f[Q>>2]=aa}while((U|0)<(T|0));f[z+(E<<2)>>2]=aa;L=F;break a}while(0);U=f[t+(O<<2)>>2]|0;N=f[z+(E+-2<<2)>>2]|0;T=U;while(1){Q=f[h+(T<<2)>>2]|0;if((Q|0)<(T|0))T=Q;else break}if((U|0)==(N|0))ba=T;else{O=N;while(1){Q=f[h+(O<<2)>>2]|0;if((Q|0)<(O|0))O=Q;else break}Q=(T|0)>(O|0)?O:T;S=N;do{P=h+(S<<2)|0;$=S;S=f[P>>2]|0;f[P>>2]=Q}while((S|0)<($|0));ba=Q}Q=U;do{S=h+(Q<<2)|0;N=Q;Q=f[S>>2]|0;f[S>>2]=ba}while((Q|0)<(N|0));f[z+(E<<2)>>2]=ba;L=F;break a}while(0);f[z+(E<<2)>>2]=f[z+(E+-2<<2)>>2];L=F;break a}if(!(b[w+I>>0]|0))break;do if(B){if(b[x+G>>0]|0){Q=E+-2|0;do if((Q|0)>-1){if(!(b[v+Q>>0]|0))break;if(b[x+I>>0]|0){U=f[z+(Q<<2)>>2]|0;if(b[x+E>>0]|0){f[z+(E<<2)>>2]=U;L=F;break a}do if(D){if(!(b[y+E>>0]|0))break;f[z+(E<<2)>>2]=U;L=F;break a}while(0);N=f[t+(E<<2)>>2]|0;S=N;while(1){T=f[h+(S<<2)>>2]|0;if((T|0)<(S|0))S=T;else break}if((N|0)==(U|0))ca=S;else{T=U;while(1){O=f[h+(T<<2)>>2]|0;if((O|0)<(T|0))T=O;else break}O=(S|0)>(T|0)?T:S;$=U;do{P=h+($<<2)|0;M=$;$=f[P>>2]|0;f[P>>2]=O}while(($|0)<(M|0));ca=O}O=N;do{$=h+(O<<2)|0;U=O;O=f[$>>2]|0;f[$>>2]=ca}while((O|0)<(U|0));f[z+(E<<2)>>2]=ca;L=F;break a}if(!(b[x+Q>>0]|0)){O=f[t+(E<<2)>>2]|0;N=f[z+(Q<<2)>>2]|0;U=O;while(1){$=f[h+(U<<2)>>2]|0;if(($|0)<(U|0))U=$;else break}if((O|0)==(N|0))da=U;else{$=N;while(1){S=f[h+($<<2)>>2]|0;if((S|0)<($|0))$=S;else break}S=(U|0)>($|0)?$:U;T=N;do{M=h+(T<<2)|0;P=T;T=f[M>>2]|0;f[M>>2]=S}while((T|0)<(P|0));da=S}S=O;do{T=h+(S<<2)|0;N=S;S=f[T>>2]|0;f[T>>2]=da}while((S|0)<(N|0));f[z+(E<<2)>>2]=da;L=F;break a}do if(D){if(!(b[y+I>>0]|0))break;S=f[z+(Q<<2)>>2]|0;if(b[x+E>>0]|0){f[z+(E<<2)>>2]=S;L=F;break a}if(b[y+E>>0]|0){f[z+(E<<2)>>2]=S;L=F;break a}O=f[t+(E<<2)>>2]|0;N=O;while(1){T=f[h+(N<<2)>>2]|0;if((T|0)<(N|0))N=T;else break}if((O|0)==(S|0))ea=N;else{T=S;while(1){U=f[h+(T<<2)>>2]|0;if((U|0)<(T|0))T=U;else break}U=(N|0)>(T|0)?T:N;$=S;do{P=h+($<<2)|0;M=$;$=f[P>>2]|0;f[P>>2]=U}while(($|0)<(M|0));ea=U}U=O;do{$=h+(U<<2)|0;S=U;U=f[$>>2]|0;f[$>>2]=ea}while((U|0)<(S|0));f[z+(E<<2)>>2]=ea;L=F;break a}while(0);U=f[t+(E<<2)>>2]|0;O=f[z+(Q<<2)>>2]|0;S=U;while(1){$=f[h+(S<<2)>>2]|0;if(($|0)<(S|0))S=$;else break}if((U|0)==(O|0))fa=S;else{$=O;while(1){N=f[h+($<<2)>>2]|0;if((N|0)<($|0))$=N;else break}N=(S|0)>($|0)?$:S;T=O;do{M=h+(T<<2)|0;P=T;T=f[M>>2]|0;f[M>>2]=N}while((T|0)<(P|0));fa=N}N=U;do{T=h+(N<<2)|0;O=N;N=f[T>>2]|0;f[T>>2]=fa}while((N|0)<(O|0));f[z+(E<<2)>>2]=fa;L=F;break a}while(0);N=f[t+(E<<2)>>2]|0;U=f[z+(Q<<2)>>2]|0;O=N;while(1){T=f[h+(O<<2)>>2]|0;if((T|0)<(O|0))O=T;else break}if((N|0)==(U|0))ga=O;else{Q=U;while(1){T=f[h+(Q<<2)>>2]|0;if((T|0)<(Q|0))Q=T;else break}T=(O|0)>(Q|0)?Q:O;S=U;do{$=h+(S<<2)|0;P=S;S=f[$>>2]|0;f[$>>2]=T}while((S|0)<(P|0));ga=T}T=N;do{S=h+(T<<2)|0;U=T;T=f[S>>2]|0;f[S>>2]=ga}while((T|0)<(U|0));f[z+(E<<2)>>2]=ga;L=F;break a}T=E+2|0;do if(!((T|0)>=(k|0)|C)){if(!(b[x+T>>0]|0))break;do if(D){if(!(b[y+G>>0]|0))break;N=E+-2|0;do if((N|0)>-1){if(!(b[v+N>>0]|0))break;if(b[x+I>>0]|0){U=f[z+(N<<2)>>2]|0;if(b[x+E>>0]|0){f[z+(E<<2)>>2]=U;L=F;break a}if(b[y+E>>0]|0){f[z+(E<<2)>>2]=U;L=F;break a}S=f[t+(T<<2)>>2]|0;O=S;while(1){Q=f[h+(O<<2)>>2]|0;if((Q|0)<(O|0))O=Q;else break}if((S|0)==(U|0))ha=O;else{Q=U;while(1){P=f[h+(Q<<2)>>2]|0;if((P|0)<(Q|0))Q=P;else break}P=(O|0)>(Q|0)?Q:O;$=U;do{M=h+($<<2)|0;V=$;$=f[M>>2]|0;f[M>>2]=P}while(($|0)<(V|0));ha=P}P=S;do{$=h+(P<<2)|0;U=P;P=f[$>>2]|0;f[$>>2]=ha}while((P|0)<(U|0));f[z+(E<<2)>>2]=ha;L=F;break a}if(!(b[x+N>>0]|0)){P=f[t+(T<<2)>>2]|0;S=f[z+(N<<2)>>2]|0;U=P;while(1){$=f[h+(U<<2)>>2]|0;if(($|0)<(U|0))U=$;else break}if((P|0)==(S|0))ia=U;else{$=S;while(1){O=f[h+($<<2)>>2]|0;if((O|0)<($|0))$=O;else break}O=(U|0)>($|0)?$:U;Q=S;do{V=h+(Q<<2)|0;M=Q;Q=f[V>>2]|0;f[V>>2]=O}while((Q|0)<(M|0));ia=O}O=P;do{Q=h+(O<<2)|0;S=O;O=f[Q>>2]|0;f[Q>>2]=ia}while((O|0)<(S|0));f[z+(E<<2)>>2]=ia;L=F;break a}if(!(b[y+I>>0]|0)){O=f[t+(T<<2)>>2]|0;P=f[z+(N<<2)>>2]|0;S=O;while(1){Q=f[h+(S<<2)>>2]|0;if((Q|0)<(S|0))S=Q;else break}if((O|0)==(P|0))ja=S;else{Q=P;while(1){U=f[h+(Q<<2)>>2]|0;if((U|0)<(Q|0))Q=U;else break}U=(S|0)>(Q|0)?Q:S;$=P;do{M=h+($<<2)|0;V=$;$=f[M>>2]|0;f[M>>2]=U}while(($|0)<(V|0));ja=U}U=O;do{$=h+(U<<2)|0;P=U;U=f[$>>2]|0;f[$>>2]=ja}while((U|0)<(P|0));f[z+(E<<2)>>2]=ja;L=F;break a}U=f[z+(N<<2)>>2]|0;if(b[x+E>>0]|0){f[z+(E<<2)>>2]=U;L=F;break a}if(b[y+E>>0]|0){f[z+(E<<2)>>2]=U;L=F;break a}O=f[t+(T<<2)>>2]|0;P=O;while(1){$=f[h+(P<<2)>>2]|0;if(($|0)<(P|0))P=$;else break}if((O|0)==(U|0))ka=P;else{$=U;while(1){S=f[h+($<<2)>>2]|0;if((S|0)<($|0))$=S;else break}S=(P|0)>($|0)?$:P;Q=U;do{V=h+(Q<<2)|0;M=Q;Q=f[V>>2]|0;f[V>>2]=S}while((Q|0)<(M|0));ka=S}S=O;do{Q=h+(S<<2)|0;U=S;S=f[Q>>2]|0;f[Q>>2]=ka}while((S|0)<(U|0));f[z+(E<<2)>>2]=ka;L=F;break a}while(0);S=f[t+(T<<2)>>2]|0;O=f[z+(N<<2)>>2]|0;U=S;while(1){Q=f[h+(U<<2)>>2]|0;if((Q|0)<(U|0))U=Q;else break}if((S|0)==(O|0))la=U;else{N=O;while(1){Q=f[h+(N<<2)>>2]|0;if((Q|0)<(N|0))N=Q;else break}Q=(U|0)>(N|0)?N:U;P=O;do{$=h+(P<<2)|0;M=P;P=f[$>>2]|0;f[$>>2]=Q}while((P|0)<(M|0));la=Q}Q=S;do{P=h+(Q<<2)|0;O=Q;Q=f[P>>2]|0;f[P>>2]=la}while((Q|0)<(O|0));f[z+(E<<2)>>2]=la;L=F;break a}while(0);Q=E+-2|0;if(!(b[x+E>>0]|0)){S=f[t+(T<<2)>>2]|0;O=f[z+(Q<<2)>>2]|0;P=S;while(1){U=f[h+(P<<2)>>2]|0;if((U|0)<(P|0))P=U;else break}if((S|0)==(O|0))ma=P;else{U=O;while(1){N=f[h+(U<<2)>>2]|0;if((N|0)<(U|0))U=N;else break}N=(P|0)>(U|0)?U:P;M=O;do{$=h+(M<<2)|0;V=M;M=f[$>>2]|0;f[$>>2]=N}while((M|0)<(V|0));ma=N}N=S;do{M=h+(N<<2)|0;O=N;N=f[M>>2]|0;f[M>>2]=ma}while((N|0)<(O|0));f[z+(E<<2)>>2]=ma;L=F;break a}do if((Q|0)>-1){if(!(b[v+Q>>0]|0))break;if(b[x+I>>0]|0){N=f[t+(T<<2)>>2]|0;S=f[z+(Q<<2)>>2]|0;O=N;while(1){M=f[h+(O<<2)>>2]|0;if((M|0)<(O|0))O=M;else break}if((N|0)==(S|0))na=O;else{M=S;while(1){P=f[h+(M<<2)>>2]|0;if((P|0)<(M|0))M=P;else break}P=(O|0)>(M|0)?M:O;U=S;do{V=h+(U<<2)|0;$=U;U=f[V>>2]|0;f[V>>2]=P}while((U|0)<($|0));na=P}P=N;do{U=h+(P<<2)|0;S=P;P=f[U>>2]|0;f[U>>2]=na}while((P|0)<(S|0));f[z+(E<<2)>>2]=na;L=F;break a}if(!(b[x+Q>>0]|0)){P=f[t+(E<<2)>>2]|0;N=f[t+(T<<2)>>2]|0;S=P;while(1){U=f[h+(S<<2)>>2]|0;if((U|0)<(S|0))S=U;else break}if((P|0)==(N|0))oa=S;else{U=N;while(1){O=f[h+(U<<2)>>2]|0;if((O|0)<(U|0))U=O;else break}O=(S|0)>(U|0)?U:S;M=N;do{$=h+(M<<2)|0;V=M;M=f[$>>2]|0;f[$>>2]=O}while((M|0)<(V|0));oa=O}O=P;do{M=h+(O<<2)|0;N=O;O=f[M>>2]|0;f[M>>2]=oa}while((O|0)<(N|0));O=f[z+(Q<<2)>>2]|0;P=oa;while(1){N=f[h+(P<<2)>>2]|0;if((N|0)<(P|0))P=N;else break}if((oa|0)==(O|0))pa=P;else{N=O;while(1){M=f[h+(N<<2)>>2]|0;if((M|0)<(N|0))N=M;else break}M=(P|0)>(N|0)?N:P;S=O;do{U=h+(S<<2)|0;V=S;S=f[U>>2]|0;f[U>>2]=M}while((S|0)<(V|0));pa=M}M=oa;do{S=h+(M<<2)|0;O=M;M=f[S>>2]|0;f[S>>2]=pa}while((M|0)<(O|0));f[z+(E<<2)>>2]=pa;L=F;break a}do if(D){if(!(b[y+I>>0]|0))break;M=f[t+(T<<2)>>2]|0;O=f[z+(Q<<2)>>2]|0;S=M;while(1){P=f[h+(S<<2)>>2]|0;if((P|0)<(S|0))S=P;else break}if((M|0)==(O|0))qa=S;else{P=O;while(1){N=f[h+(P<<2)>>2]|0;if((N|0)<(P|0))P=N;else break}N=(S|0)>(P|0)?P:S;V=O;do{U=h+(V<<2)|0;$=V;V=f[U>>2]|0;f[U>>2]=N}while((V|0)<($|0));qa=N}N=M;do{V=h+(N<<2)|0;O=N;N=f[V>>2]|0;f[V>>2]=qa}while((N|0)<(O|0));f[z+(E<<2)>>2]=qa;L=F;break a}while(0);N=f[t+(E<<2)>>2]|0;M=f[t+(T<<2)>>2]|0;O=N;while(1){V=f[h+(O<<2)>>2]|0;if((V|0)<(O|0))O=V;else break}if((N|0)==(M|0))ra=O;else{V=M;while(1){S=f[h+(V<<2)>>2]|0;if((S|0)<(V|0))V=S;else break}S=(O|0)>(V|0)?V:O;P=M;do{$=h+(P<<2)|0;U=P;P=f[$>>2]|0;f[$>>2]=S}while((P|0)<(U|0));ra=S}S=N;do{P=h+(S<<2)|0;M=S;S=f[P>>2]|0;f[P>>2]=ra}while((S|0)<(M|0));S=f[z+(Q<<2)>>2]|0;N=ra;while(1){M=f[h+(N<<2)>>2]|0;if((M|0)<(N|0))N=M;else break}if((ra|0)==(S|0))sa=N;else{M=S;while(1){P=f[h+(M<<2)>>2]|0;if((P|0)<(M|0))M=P;else break}P=(N|0)>(M|0)?M:N;O=S;do{V=h+(O<<2)|0;U=O;O=f[V>>2]|0;f[V>>2]=P}while((O|0)<(U|0));sa=P}P=ra;do{O=h+(P<<2)|0;S=P;P=f[O>>2]|0;f[O>>2]=sa}while((P|0)<(S|0));f[z+(E<<2)>>2]=sa;L=F;break a}while(0);P=f[t+(E<<2)>>2]|0;S=f[t+(T<<2)>>2]|0;O=P;while(1){N=f[h+(O<<2)>>2]|0;if((N|0)<(O|0))O=N;else break}if((P|0)==(S|0))ta=O;else{N=S;while(1){M=f[h+(N<<2)>>2]|0;if((M|0)<(N|0))N=M;else break}M=(O|0)>(N|0)?N:O;U=S;do{V=h+(U<<2)|0;$=U;U=f[V>>2]|0;f[V>>2]=M}while((U|0)<($|0));ta=M}M=P;do{U=h+(M<<2)|0;S=M;M=f[U>>2]|0;f[U>>2]=ta}while((M|0)<(S|0));M=f[z+(Q<<2)>>2]|0;P=ta;while(1){S=f[h+(P<<2)>>2]|0;if((S|0)<(P|0))P=S;else break}if((ta|0)==(M|0))ua=P;else{Q=M;while(1){S=f[h+(Q<<2)>>2]|0;if((S|0)<(Q|0))Q=S;else break}S=(P|0)>(Q|0)?Q:P;U=M;do{O=h+(U<<2)|0;N=U;U=f[O>>2]|0;f[O>>2]=S}while((U|0)<(N|0));ua=S}S=ta;do{U=h+(S<<2)|0;M=S;S=f[U>>2]|0;f[U>>2]=ua}while((S|0)<(M|0));f[z+(E<<2)>>2]=ua;L=F;break a}while(0);T=E+-2|0;if(!(b[x+E>>0]|0)){va=T;break}do if((T|0)>-1){if(!(b[v+T>>0]|0))break;if(b[x+I>>0]|0){f[z+(E<<2)>>2]=f[z+(T<<2)>>2];L=F;break a}if(!(b[x+T>>0]|0)){S=f[t+(E<<2)>>2]|0;M=f[z+(T<<2)>>2]|0;U=S;while(1){P=f[h+(U<<2)>>2]|0;if((P|0)<(U|0))U=P;else break}if((S|0)==(M|0))wa=U;else{P=M;while(1){Q=f[h+(P<<2)>>2]|0;if((Q|0)<(P|0))P=Q;else break}Q=(U|0)>(P|0)?P:U;N=M;do{O=h+(N<<2)|0;$=N;N=f[O>>2]|0;f[O>>2]=Q}while((N|0)<($|0));wa=Q}Q=S;do{N=h+(Q<<2)|0;M=Q;Q=f[N>>2]|0;f[N>>2]=wa}while((Q|0)<(M|0));f[z+(E<<2)>>2]=wa;L=F;break a}do if(D){if(!(b[y+I>>0]|0))break;f[z+(E<<2)>>2]=f[z+(T<<2)>>2];L=F;break a}while(0);Q=f[t+(E<<2)>>2]|0;S=f[z+(T<<2)>>2]|0;M=Q;while(1){N=f[h+(M<<2)>>2]|0;if((N|0)<(M|0))M=N;else break}if((Q|0)==(S|0))xa=M;else{N=S;while(1){U=f[h+(N<<2)>>2]|0;if((U|0)<(N|0))N=U;else break}U=(M|0)>(N|0)?N:M;P=S;do{$=h+(P<<2)|0;O=P;P=f[$>>2]|0;f[$>>2]=U}while((P|0)<(O|0));xa=U}U=Q;do{P=h+(U<<2)|0;S=U;U=f[P>>2]|0;f[P>>2]=xa}while((U|0)<(S|0));f[z+(E<<2)>>2]=xa;L=F;break a}while(0);U=f[t+(E<<2)>>2]|0;Q=f[z+(T<<2)>>2]|0;S=U;while(1){P=f[h+(S<<2)>>2]|0;if((P|0)<(S|0))S=P;else break}if((U|0)==(Q|0))ya=S;else{T=Q;while(1){P=f[h+(T<<2)>>2]|0;if((P|0)<(T|0))T=P;else break}P=(S|0)>(T|0)?T:S;M=Q;do{N=h+(M<<2)|0;O=M;M=f[N>>2]|0;f[N>>2]=P}while((M|0)<(O|0));ya=P}P=U;do{M=h+(P<<2)|0;Q=P;P=f[M>>2]|0;f[M>>2]=ya}while((P|0)<(Q|0));f[z+(E<<2)>>2]=ya;L=F;break a}else va=E+-2|0;while(0);f[z+(E<<2)>>2]=f[z+(va<<2)>>2];L=F;break a}while(0);do if(B){if(b[x+G>>0]|0){f[z+(E<<2)>>2]=f[t+(E<<2)>>2];L=F;break a}P=E+2|0;do if(!((P|0)>=(k|0)|C)){if(!(b[x+P>>0]|0))break;if(!(b[x+E>>0]|0)){f[z+(E<<2)>>2]=f[t+(P<<2)>>2];L=F;break a}do if(D){if(!(b[y+G>>0]|0))break;f[z+(E<<2)>>2]=f[t+(P<<2)>>2];L=F;break a}while(0);U=f[t+(E<<2)>>2]|0;Q=f[t+(P<<2)>>2]|0;M=U;while(1){S=f[h+(M<<2)>>2]|0;if((S|0)<(M|0))M=S;else break}if((U|0)==(Q|0))za=M;else{S=Q;while(1){T=f[h+(S<<2)>>2]|0;if((T|0)<(S|0))S=T;else break}T=(M|0)>(S|0)?S:M;O=Q;do{N=h+(O<<2)|0;$=O;O=f[N>>2]|0;f[N>>2]=T}while((O|0)<($|0));za=T}T=U;do{O=h+(T<<2)|0;Q=T;T=f[O>>2]|0;f[O>>2]=za}while((T|0)<(Q|0));f[z+(E<<2)>>2]=za;L=F;break a}while(0);if(!(b[x+E>>0]|0))break;f[z+(E<<2)>>2]=f[t+(E<<2)>>2];L=F;break a}while(0);f[z+(E<<2)>>2]=F;f[h+(F<<2)>>2]=F;L=F+1|0;break}if(K){if(b[w+I>>0]|0){f[z+(E<<2)>>2]=f[z+(E+-2<<2)>>2];L=F;break}if(b[v+I>>0]|0){f[z+(E<<2)>>2]=f[z+(E+-2<<2)>>2];L=F;break}}f[z+(E<<2)>>2]=F;f[h+(F<<2)>>2]=F;L=F+1|0;break}do if(H){if(!(b[v+G>>0]|0)){if(!A)break;if(!(b[w+G>>0]|0))break;f[z+(E<<2)>>2]=F;f[h+(F<<2)>>2]=F;L=F+1|0;break a}if(B){if(b[x+G>>0]|0){f[z+(E<<2)>>2]=f[t+(E<<2)>>2];L=F;break a}P=E+2|0;do if(!((P|0)>=(k|0)|C)){if(!(b[x+P>>0]|0))break;if(!(b[x+E>>0]|0)){f[z+(E<<2)>>2]=f[t+(P<<2)>>2];L=F;break a}do if(D){if(!(b[y+G>>0]|0))break;f[z+(E<<2)>>2]=f[t+(P<<2)>>2];L=F;break a}while(0);T=f[t+(E<<2)>>2]|0;U=f[t+(P<<2)>>2]|0;Q=T;while(1){O=f[h+(Q<<2)>>2]|0;if((O|0)<(Q|0))Q=O;else break}if((T|0)==(U|0))Aa=Q;else{O=U;while(1){M=f[h+(O<<2)>>2]|0;if((M|0)<(O|0))O=M;else break}M=(Q|0)>(O|0)?O:Q;S=U;do{$=h+(S<<2)|0;N=S;S=f[$>>2]|0;f[$>>2]=M}while((S|0)<(N|0));Aa=M}M=T;do{S=h+(M<<2)|0;U=M;M=f[S>>2]|0;f[S>>2]=Aa}while((M|0)<(U|0));f[z+(E<<2)>>2]=Aa;L=F;break a}while(0);if(b[x+E>>0]|0){f[z+(E<<2)>>2]=f[t+(E<<2)>>2];L=F;break a}}f[z+(E<<2)>>2]=F;f[h+(F<<2)>>2]=F;L=F+1|0;break a}while(0);f[z+(E<<2)>>2]=0;L=F}else{G=E+-1|0;H=(E|0)>0;if(H){if(b[v+G>>0]|0){I=E|1;K=(I|0)<(k|0);if(B&K?b[x+I>>0]|0:0){if(b[x+E>>0]|0){f[z+(E<<2)>>2]=f[z+(E+-2<<2)>>2];L=F;break}do if(D){if(!(b[y+E>>0]|0))break;P=E+-2|0;if(b[x+G>>0]|0){f[z+(E<<2)>>2]=f[z+(P<<2)>>2];L=F;break a}do if((P|0)>-1){if(!(b[x+P>>0]|0))break;if(b[y+G>>0]|0){f[z+(E<<2)>>2]=f[z+(P<<2)>>2];L=F;break a}M=f[t+(E<<2)>>2]|0;T=f[z+(P<<2)>>2]|0;U=M;while(1){S=f[h+(U<<2)>>2]|0;if((S|0)<(U|0))U=S;else break}if((M|0)==(T|0))Ba=U;else{S=T;while(1){Q=f[h+(S<<2)>>2]|0;if((Q|0)<(S|0))S=Q;else break}Q=(U|0)>(S|0)?S:U;O=T;do{N=h+(O<<2)|0;$=O;O=f[N>>2]|0;f[N>>2]=Q}while((O|0)<($|0));Ba=Q}Q=M;do{O=h+(Q<<2)|0;T=Q;Q=f[O>>2]|0;f[O>>2]=Ba}while((Q|0)<(T|0));f[z+(E<<2)>>2]=Ba;L=F;break a}while(0);Q=f[t+(E<<2)>>2]|0;M=f[z+(P<<2)>>2]|0;T=Q;while(1){O=f[h+(T<<2)>>2]|0;if((O|0)<(T|0))T=O;else break}if((Q|0)==(M|0))Ca=T;else{P=M;while(1){O=f[h+(P<<2)>>2]|0;if((O|0)<(P|0))P=O;else break}O=(T|0)>(P|0)?P:T;U=M;do{S=h+(U<<2)|0;$=U;U=f[S>>2]|0;f[S>>2]=O}while((U|0)<($|0));Ca=O}O=Q;do{U=h+(O<<2)|0;M=O;O=f[U>>2]|0;f[U>>2]=Ca}while((O|0)<(M|0));f[z+(E<<2)>>2]=Ca;L=F;break a}while(0);O=f[t+(E<<2)>>2]|0;Q=f[z+(E+-2<<2)>>2]|0;M=O;while(1){U=f[h+(M<<2)>>2]|0;if((U|0)<(M|0))M=U;else break}if((O|0)==(Q|0))Da=M;else{U=Q;while(1){T=f[h+(U<<2)>>2]|0;if((T|0)<(U|0))U=T;else break}T=(M|0)>(U|0)?U:M;P=Q;do{$=h+(P<<2)|0;S=P;P=f[$>>2]|0;f[$>>2]=T}while((P|0)<(S|0));Da=T}T=O;do{P=h+(T<<2)|0;Q=T;T=f[P>>2]|0;f[P>>2]=Da}while((T|0)<(Q|0));f[z+(E<<2)>>2]=Da;L=F;break}if(K?b[v+I>>0]|0:0){T=E+2|0;do if(B&(T|0)<(k|0)){if(!(b[x+T>>0]|0))break;do if(D){if(!(b[y+I>>0]|0))break;if(b[x+E>>0]|0){f[z+(E<<2)>>2]=f[z+(E+-2<<2)>>2];L=F;break a}if(!(b[y+E>>0]|0)){O=f[t+(T<<2)>>2]|0;Q=f[z+(E+-2<<2)>>2]|0;P=O;while(1){M=f[h+(P<<2)>>2]|0;if((M|0)<(P|0))P=M;else break}if((O|0)==(Q|0))Ea=P;else{M=Q;while(1){U=f[h+(M<<2)>>2]|0;if((U|0)<(M|0))M=U;else break}U=(P|0)>(M|0)?M:P;S=Q;do{$=h+(S<<2)|0;N=S;S=f[$>>2]|0;f[$>>2]=U}while((S|0)<(N|0));Ea=U}U=O;do{S=h+(U<<2)|0;Q=U;U=f[S>>2]|0;f[S>>2]=Ea}while((U|0)<(Q|0));f[z+(E<<2)>>2]=Ea;L=F;break a}U=E+-2|0;if(b[x+G>>0]|0){f[z+(E<<2)>>2]=f[z+(U<<2)>>2];L=F;break a}do if((U|0)>-1){if(!(b[x+U>>0]|0))break;if(b[y+G>>0]|0){f[z+(E<<2)>>2]=f[z+(U<<2)>>2];L=F;break a}O=f[t+(T<<2)>>2]|0;Q=f[z+(U<<2)>>2]|0;S=O;while(1){P=f[h+(S<<2)>>2]|0;if((P|0)<(S|0))S=P;else break}if((O|0)==(Q|0))Fa=S;else{P=Q;while(1){M=f[h+(P<<2)>>2]|0;if((M|0)<(P|0))P=M;else break}M=(S|0)>(P|0)?P:S;N=Q;do{$=h+(N<<2)|0;V=N;N=f[$>>2]|0;f[$>>2]=M}while((N|0)<(V|0));Fa=M}M=O;do{N=h+(M<<2)|0;Q=M;M=f[N>>2]|0;f[N>>2]=Fa}while((M|0)<(Q|0));f[z+(E<<2)>>2]=Fa;L=F;break a}while(0);M=f[t+(T<<2)>>2]|0;O=f[z+(U<<2)>>2]|0;Q=M;while(1){N=f[h+(Q<<2)>>2]|0;if((N|0)<(Q|0))Q=N;else break}if((M|0)==(O|0))Ga=Q;else{U=O;while(1){N=f[h+(U<<2)>>2]|0;if((N|0)<(U|0))U=N;else break}N=(Q|0)>(U|0)?U:Q;S=O;do{P=h+(S<<2)|0;V=S;S=f[P>>2]|0;f[P>>2]=N}while((S|0)<(V|0));Ga=N}N=M;do{S=h+(N<<2)|0;O=N;N=f[S>>2]|0;f[S>>2]=Ga}while((N|0)<(O|0));f[z+(E<<2)>>2]=Ga;L=F;break a}while(0);N=f[t+(T<<2)>>2]|0;M=f[z+(E+-2<<2)>>2]|0;O=N;while(1){S=f[h+(O<<2)>>2]|0;if((S|0)<(O|0))O=S;else break}if((N|0)==(M|0))Ha=O;else{S=M;while(1){Q=f[h+(S<<2)>>2]|0;if((Q|0)<(S|0))S=Q;else break}Q=(O|0)>(S|0)?S:O;U=M;do{V=h+(U<<2)|0;P=U;U=f[V>>2]|0;f[V>>2]=Q}while((U|0)<(P|0));Ha=Q}Q=N;do{U=h+(Q<<2)|0;M=Q;Q=f[U>>2]|0;f[U>>2]=Ha}while((Q|0)<(M|0));f[z+(E<<2)>>2]=Ha;L=F;break a}while(0);f[z+(E<<2)>>2]=f[z+(E+-2<<2)>>2];L=F;break}f[z+(E<<2)>>2]=f[z+(E+-2<<2)>>2];L=F;break}if(A?b[w+G>>0]|0:0){T=E|1;I=(T|0)<(k|0);if(!(C|I^1)?b[x+T>>0]|0:0){K=E+-2|0;do if((K|0)>-1){if(!(b[v+K>>0]|0))break;if(b[x+G>>0]|0){Q=f[z+(K<<2)>>2]|0;if(b[x+E>>0]|0){f[z+(E<<2)>>2]=Q;L=F;break a}do if(D){if(!(b[y+E>>0]|0))break;f[z+(E<<2)>>2]=Q;L=F;break a}while(0);N=f[t+(E<<2)>>2]|0;M=N;while(1){U=f[h+(M<<2)>>2]|0;if((U|0)<(M|0))M=U;else break}if((N|0)==(Q|0))Ia=M;else{U=Q;while(1){O=f[h+(U<<2)>>2]|0;if((O|0)<(U|0))U=O;else break}O=(M|0)>(U|0)?U:M;S=Q;do{P=h+(S<<2)|0;V=S;S=f[P>>2]|0;f[P>>2]=O}while((S|0)<(V|0));Ia=O}O=N;do{S=h+(O<<2)|0;Q=O;O=f[S>>2]|0;f[S>>2]=Ia}while((O|0)<(Q|0));f[z+(E<<2)>>2]=Ia;L=F;break a}if(!(b[x+K>>0]|0)){O=f[t+(E<<2)>>2]|0;N=f[z+(K<<2)>>2]|0;Q=O;while(1){S=f[h+(Q<<2)>>2]|0;if((S|0)<(Q|0))Q=S;else break}if((O|0)==(N|0))Ja=Q;else{S=N;while(1){M=f[h+(S<<2)>>2]|0;if((M|0)<(S|0))S=M;else break}M=(Q|0)>(S|0)?S:Q;U=N;do{V=h+(U<<2)|0;P=U;U=f[V>>2]|0;f[V>>2]=M}while((U|0)<(P|0));Ja=M}M=O;do{U=h+(M<<2)|0;N=M;M=f[U>>2]|0;f[U>>2]=Ja}while((M|0)<(N|0));f[z+(E<<2)>>2]=Ja;L=F;break a}do if(D){if(!(b[y+G>>0]|0))break;M=f[z+(K<<2)>>2]|0;if(b[x+E>>0]|0){f[z+(E<<2)>>2]=M;L=F;break a}if(b[y+E>>0]|0){f[z+(E<<2)>>2]=M;L=F;break a}O=f[t+(E<<2)>>2]|0;N=O;while(1){U=f[h+(N<<2)>>2]|0;if((U|0)<(N|0))N=U;else break}if((O|0)==(M|0))Ka=N;else{U=M;while(1){Q=f[h+(U<<2)>>2]|0;if((Q|0)<(U|0))U=Q;else break}Q=(N|0)>(U|0)?U:N;S=M;do{P=h+(S<<2)|0;V=S;S=f[P>>2]|0;f[P>>2]=Q}while((S|0)<(V|0));Ka=Q}Q=O;do{S=h+(Q<<2)|0;M=Q;Q=f[S>>2]|0;f[S>>2]=Ka}while((Q|0)<(M|0));f[z+(E<<2)>>2]=Ka;L=F;break a}while(0);Q=f[t+(E<<2)>>2]|0;O=f[z+(K<<2)>>2]|0;M=Q;while(1){S=f[h+(M<<2)>>2]|0;if((S|0)<(M|0))M=S;else break}if((Q|0)==(O|0))La=M;else{S=O;while(1){N=f[h+(S<<2)>>2]|0;if((N|0)<(S|0))S=N;else break}N=(M|0)>(S|0)?S:M;U=O;do{V=h+(U<<2)|0;P=U;U=f[V>>2]|0;f[V>>2]=N}while((U|0)<(P|0));La=N}N=Q;do{U=h+(N<<2)|0;O=N;N=f[U>>2]|0;f[U>>2]=La}while((N|0)<(O|0));f[z+(E<<2)>>2]=La;L=F;break a}while(0);if(b[x+E>>0]|0){N=f[t+(E<<2)>>2]|0;Q=f[z+(K<<2)>>2]|0;O=N;while(1){U=f[h+(O<<2)>>2]|0;if((U|0)<(O|0))O=U;else break}if((N|0)==(Q|0))Ma=O;else{U=Q;while(1){M=f[h+(U<<2)>>2]|0;if((M|0)<(U|0))U=M;else break}M=(O|0)>(U|0)?U:O;S=Q;do{P=h+(S<<2)|0;V=S;S=f[P>>2]|0;f[P>>2]=M}while((S|0)<(V|0));Ma=M}M=N;do{S=h+(M<<2)|0;Q=M;M=f[S>>2]|0;f[S>>2]=Ma}while((M|0)<(Q|0));f[z+(E<<2)>>2]=Ma;L=F;break}M=f[t+(E<<2)>>2]|0;if(!(b[x+G>>0]|0)){N=f[z+(K<<2)>>2]|0;Q=M;while(1){S=f[h+(Q<<2)>>2]|0;if((S|0)<(Q|0))Q=S;else break}if((M|0)==(N|0))Na=Q;else{S=N;while(1){O=f[h+(S<<2)>>2]|0;if((O|0)<(S|0))S=O;else break}O=(Q|0)>(S|0)?S:Q;U=N;do{V=h+(U<<2)|0;P=U;U=f[V>>2]|0;f[V>>2]=O}while((U|0)<(P|0));Na=O}O=M;do{U=h+(O<<2)|0;N=O;O=f[U>>2]|0;f[U>>2]=Na}while((O|0)<(N|0));f[z+(E<<2)>>2]=Na;L=F;break}do if(D){if(!(b[y+E>>0]|0))break;O=f[z+(K<<2)>>2]|0;N=M;while(1){U=f[h+(N<<2)>>2]|0;if((U|0)<(N|0))N=U;else break}if((M|0)==(O|0))Oa=N;else{U=O;while(1){Q=f[h+(U<<2)>>2]|0;if((Q|0)<(U|0))U=Q;else break}Q=(N|0)>(U|0)?U:N;S=O;do{P=h+(S<<2)|0;V=S;S=f[P>>2]|0;f[P>>2]=Q}while((S|0)<(V|0));Oa=Q}Q=M;do{S=h+(Q<<2)|0;O=Q;Q=f[S>>2]|0;f[S>>2]=Oa}while((Q|0)<(O|0));f[z+(E<<2)>>2]=Oa;L=F;break a}while(0);Q=f[t+(K<<2)>>2]|0;O=Q;while(1){S=f[h+(O<<2)>>2]|0;if((S|0)<(O|0))O=S;else break}if((Q|0)==(M|0))Pa=O;else{S=M;while(1){N=f[h+(S<<2)>>2]|0;if((N|0)<(S|0))S=N;else break}N=(O|0)>(S|0)?S:O;U=M;do{V=h+(U<<2)|0;P=U;U=f[V>>2]|0;f[V>>2]=N}while((U|0)<(P|0));Pa=N}N=Q;do{U=h+(N<<2)|0;M=N;N=f[U>>2]|0;f[U>>2]=Pa}while((N|0)<(M|0));N=f[z+(K<<2)>>2]|0;Q=Pa;while(1){M=f[h+(Q<<2)>>2]|0;if((M|0)<(Q|0))Q=M;else break}if((Pa|0)==(N|0))Qa=Q;else{K=N;while(1){M=f[h+(K<<2)>>2]|0;if((M|0)<(K|0))K=M;else break}M=(Q|0)>(K|0)?K:Q;U=N;do{O=h+(U<<2)|0;S=U;U=f[O>>2]|0;f[O>>2]=M}while((U|0)<(S|0));Qa=M}M=Pa;do{U=h+(M<<2)|0;N=M;M=f[U>>2]|0;f[U>>2]=Qa}while((M|0)<(N|0));f[z+(E<<2)>>2]=Qa;L=F;break}if(I?b[v+T>>0]|0:0){M=E+2|0;do if(!((M|0)>=(k|0)|C)){if(!(b[x+M>>0]|0))break;N=E+-2|0;do if((N|0)>-1){if(!(b[v+N>>0]|0))break;if(b[x+G>>0]|0){do if(D){if(!(b[y+T>>0]|0))break;U=f[z+(N<<2)>>2]|0;if(b[x+E>>0]|0){f[z+(E<<2)>>2]=U;L=F;break a}if(b[y+E>>0]|0){f[z+(E<<2)>>2]=U;L=F;break a}Q=f[t+(M<<2)>>2]|0;K=Q;while(1){S=f[h+(K<<2)>>2]|0;if((S|0)<(K|0))K=S;else break}if((Q|0)==(U|0))Ra=K;else{S=U;while(1){O=f[h+(S<<2)>>2]|0;if((O|0)<(S|0))S=O;else break}O=(K|0)>(S|0)?S:K;P=U;do{V=h+(P<<2)|0;$=P;P=f[V>>2]|0;f[V>>2]=O}while((P|0)<($|0));Ra=O}O=Q;do{P=h+(O<<2)|0;U=O;O=f[P>>2]|0;f[P>>2]=Ra}while((O|0)<(U|0));f[z+(E<<2)>>2]=Ra;L=F;break a}while(0);O=f[t+(M<<2)>>2]|0;Q=f[z+(N<<2)>>2]|0;U=O;while(1){P=f[h+(U<<2)>>2]|0;if((P|0)<(U|0))U=P;else break}if((O|0)==(Q|0))Sa=U;else{P=Q;while(1){K=f[h+(P<<2)>>2]|0;if((K|0)<(P|0))P=K;else break}K=(U|0)>(P|0)?P:U;S=Q;do{$=h+(S<<2)|0;V=S;S=f[$>>2]|0;f[$>>2]=K}while((S|0)<(V|0));Sa=K}K=O;do{S=h+(K<<2)|0;Q=K;K=f[S>>2]|0;f[S>>2]=Sa}while((K|0)<(Q|0));f[z+(E<<2)>>2]=Sa;L=F;break a}do if(D){if(!(b[y+T>>0]|0))break;if(!(b[x+N>>0]|0)){K=f[t+(M<<2)>>2]|0;O=f[z+(N<<2)>>2]|0;Q=K;while(1){S=f[h+(Q<<2)>>2]|0;if((S|0)<(Q|0))Q=S;else break}if((K|0)==(O|0))Ta=Q;else{S=O;while(1){U=f[h+(S<<2)>>2]|0;if((U|0)<(S|0))S=U;else break}U=(Q|0)>(S|0)?S:Q;P=O;do{V=h+(P<<2)|0;$=P;P=f[V>>2]|0;f[V>>2]=U}while((P|0)<($|0));Ta=U}U=K;do{P=h+(U<<2)|0;O=U;U=f[P>>2]|0;f[P>>2]=Ta}while((U|0)<(O|0));f[z+(E<<2)>>2]=Ta;L=F;break a}if(!(b[y+G>>0]|0)){U=f[t+(M<<2)>>2]|0;K=f[z+(N<<2)>>2]|0;O=U;while(1){P=f[h+(O<<2)>>2]|0;if((P|0)<(O|0))O=P;else break}if((U|0)==(K|0))Ua=O;else{P=K;while(1){Q=f[h+(P<<2)>>2]|0;if((Q|0)<(P|0))P=Q;else break}Q=(O|0)>(P|0)?P:O;S=K;do{$=h+(S<<2)|0;V=S;S=f[$>>2]|0;f[$>>2]=Q}while((S|0)<(V|0));Ua=Q}Q=U;do{S=h+(Q<<2)|0;K=Q;Q=f[S>>2]|0;f[S>>2]=Ua}while((Q|0)<(K|0));f[z+(E<<2)>>2]=Ua;L=F;break a}Q=f[z+(N<<2)>>2]|0;if(b[x+E>>0]|0){f[z+(E<<2)>>2]=Q;L=F;break a}if(b[y+E>>0]|0){f[z+(E<<2)>>2]=Q;L=F;break a}U=f[t+(M<<2)>>2]|0;K=U;while(1){S=f[h+(K<<2)>>2]|0;if((S|0)<(K|0))K=S;else break}if((U|0)==(Q|0))Va=K;else{S=Q;while(1){O=f[h+(S<<2)>>2]|0;if((O|0)<(S|0))S=O;else break}O=(K|0)>(S|0)?S:K;P=Q;do{V=h+(P<<2)|0;$=P;P=f[V>>2]|0;f[V>>2]=O}while((P|0)<($|0));Va=O}O=U;do{P=h+(O<<2)|0;Q=O;O=f[P>>2]|0;f[P>>2]=Va}while((O|0)<(Q|0));f[z+(E<<2)>>2]=Va;L=F;break a}while(0);if(!(b[x+E>>0]|0)){O=f[t+(M<<2)>>2]|0;U=f[z+(N<<2)>>2]|0;Q=O;while(1){P=f[h+(Q<<2)>>2]|0;if((P|0)<(Q|0))Q=P;else break}if((O|0)==(U|0))Wa=Q;else{P=U;while(1){K=f[h+(P<<2)>>2]|0;if((K|0)<(P|0))P=K;else break}K=(Q|0)>(P|0)?P:Q;S=U;do{$=h+(S<<2)|0;V=S;S=f[$>>2]|0;f[$>>2]=K}while((S|0)<(V|0));Wa=K}K=O;do{S=h+(K<<2)|0;U=K;K=f[S>>2]|0;f[S>>2]=Wa}while((K|0)<(U|0));f[z+(E<<2)>>2]=Wa;L=F;break a}if(!(b[x+N>>0]|0)){K=f[t+(E<<2)>>2]|0;O=f[t+(M<<2)>>2]|0;U=K;while(1){S=f[h+(U<<2)>>2]|0;if((S|0)<(U|0))U=S;else break}if((K|0)==(O|0))Xa=U;else{S=O;while(1){Q=f[h+(S<<2)>>2]|0;if((Q|0)<(S|0))S=Q;else break}Q=(U|0)>(S|0)?S:U;P=O;do{V=h+(P<<2)|0;$=P;P=f[V>>2]|0;f[V>>2]=Q}while((P|0)<($|0));Xa=Q}Q=K;do{P=h+(Q<<2)|0;O=Q;Q=f[P>>2]|0;f[P>>2]=Xa}while((Q|0)<(O|0));Q=f[z+(N<<2)>>2]|0;K=Xa;while(1){O=f[h+(K<<2)>>2]|0;if((O|0)<(K|0))K=O;else break}if((Xa|0)==(Q|0))Ya=K;else{O=Q;while(1){P=f[h+(O<<2)>>2]|0;if((P|0)<(O|0))O=P;else break}P=(K|0)>(O|0)?O:K;U=Q;do{S=h+(U<<2)|0;$=U;U=f[S>>2]|0;f[S>>2]=P}while((U|0)<($|0));Ya=P}P=Xa;do{U=h+(P<<2)|0;Q=P;P=f[U>>2]|0;f[U>>2]=Ya}while((P|0)<(Q|0));f[z+(E<<2)>>2]=Ya;L=F;break a}do if(D){if(!(b[y+G>>0]|0))break;P=f[t+(M<<2)>>2]|0;Q=f[z+(N<<2)>>2]|0;U=P;while(1){K=f[h+(U<<2)>>2]|0;if((K|0)<(U|0))U=K;else break}if((P|0)==(Q|0))Za=U;else{K=Q;while(1){O=f[h+(K<<2)>>2]|0;if((O|0)<(K|0))K=O;else break}O=(U|0)>(K|0)?K:U;$=Q;do{S=h+($<<2)|0;V=$;$=f[S>>2]|0;f[S>>2]=O}while(($|0)<(V|0));Za=O}O=P;do{$=h+(O<<2)|0;Q=O;O=f[$>>2]|0;f[$>>2]=Za}while((O|0)<(Q|0));f[z+(E<<2)>>2]=Za;L=F;break a}while(0);O=f[t+(E<<2)>>2]|0;P=f[t+(M<<2)>>2]|0;Q=O;while(1){$=f[h+(Q<<2)>>2]|0;if(($|0)<(Q|0))Q=$;else break}if((O|0)==(P|0))_a=Q;else{$=P;while(1){U=f[h+($<<2)>>2]|0;if((U|0)<($|0))$=U;else break}U=(Q|0)>($|0)?$:Q;K=P;do{V=h+(K<<2)|0;S=K;K=f[V>>2]|0;f[V>>2]=U}while((K|0)<(S|0));_a=U}U=O;do{K=h+(U<<2)|0;P=U;U=f[K>>2]|0;f[K>>2]=_a}while((U|0)<(P|0));U=f[z+(N<<2)>>2]|0;O=_a;while(1){P=f[h+(O<<2)>>2]|0;if((P|0)<(O|0))O=P;else break}if((_a|0)==(U|0))$a=O;else{P=U;while(1){K=f[h+(P<<2)>>2]|0;if((K|0)<(P|0))P=K;else break}K=(O|0)>(P|0)?P:O;Q=U;do{$=h+(Q<<2)|0;S=Q;Q=f[$>>2]|0;f[$>>2]=K}while((Q|0)<(S|0));$a=K}K=_a;do{Q=h+(K<<2)|0;U=K;K=f[Q>>2]|0;f[Q>>2]=$a}while((K|0)<(U|0));f[z+(E<<2)>>2]=$a;L=F;break a}while(0);if(b[x+E>>0]|0){do if(D){if(!(b[y+T>>0]|0))break;K=f[t+(M<<2)>>2]|0;U=f[z+(N<<2)>>2]|0;Q=K;while(1){O=f[h+(Q<<2)>>2]|0;if((O|0)<(Q|0))Q=O;else break}if((K|0)==(U|0))ab=Q;else{O=U;while(1){P=f[h+(O<<2)>>2]|0;if((P|0)<(O|0))O=P;else break}P=(Q|0)>(O|0)?O:Q;S=U;do{$=h+(S<<2)|0;V=S;S=f[$>>2]|0;f[$>>2]=P}while((S|0)<(V|0));ab=P}P=K;do{S=h+(P<<2)|0;U=P;P=f[S>>2]|0;f[S>>2]=ab}while((P|0)<(U|0));f[z+(E<<2)>>2]=ab;L=F;break a}while(0);P=f[t+(E<<2)>>2]|0;K=f[t+(M<<2)>>2]|0;U=P;while(1){S=f[h+(U<<2)>>2]|0;if((S|0)<(U|0))U=S;else break}if((P|0)==(K|0))bb=U;else{S=K;while(1){Q=f[h+(S<<2)>>2]|0;if((Q|0)<(S|0))S=Q;else break}Q=(U|0)>(S|0)?S:U;O=K;do{V=h+(O<<2)|0;$=O;O=f[V>>2]|0;f[V>>2]=Q}while((O|0)<($|0));bb=Q}Q=P;do{O=h+(Q<<2)|0;K=Q;Q=f[O>>2]|0;f[O>>2]=bb}while((Q|0)<(K|0));Q=f[z+(N<<2)>>2]|0;P=bb;while(1){K=f[h+(P<<2)>>2]|0;if((K|0)<(P|0))P=K;else break}if((bb|0)==(Q|0))cb=P;else{K=Q;while(1){O=f[h+(K<<2)>>2]|0;if((O|0)<(K|0))K=O;else break}O=(P|0)>(K|0)?K:P;U=Q;do{S=h+(U<<2)|0;$=U;U=f[S>>2]|0;f[S>>2]=O}while((U|0)<($|0));cb=O}O=bb;do{U=h+(O<<2)|0;Q=O;O=f[U>>2]|0;f[U>>2]=cb}while((O|0)<(Q|0));f[z+(E<<2)>>2]=cb;L=F;break a}if(!(b[x+G>>0]|0)){O=f[t+(M<<2)>>2]|0;Q=f[z+(N<<2)>>2]|0;U=O;while(1){P=f[h+(U<<2)>>2]|0;if((P|0)<(U|0))U=P;else break}if((O|0)==(Q|0))db=U;else{P=Q;while(1){K=f[h+(P<<2)>>2]|0;if((K|0)<(P|0))P=K;else break}K=(U|0)>(P|0)?P:U;$=Q;do{S=h+($<<2)|0;V=$;$=f[S>>2]|0;f[S>>2]=K}while(($|0)<(V|0));db=K}K=O;do{$=h+(K<<2)|0;Q=K;K=f[$>>2]|0;f[$>>2]=db}while((K|0)<(Q|0));f[z+(E<<2)>>2]=db;L=F;break a}do if(D){if(!(b[y+T>>0]|0))break;K=f[t+(M<<2)>>2]|0;if(b[y+E>>0]|0){O=f[z+(N<<2)>>2]|0;Q=K;while(1){$=f[h+(Q<<2)>>2]|0;if(($|0)<(Q|0))Q=$;else break}if((K|0)==(O|0))eb=Q;else{$=O;while(1){U=f[h+($<<2)>>2]|0;if((U|0)<($|0))$=U;else break}U=(Q|0)>($|0)?$:Q;P=O;do{V=h+(P<<2)|0;S=P;P=f[V>>2]|0;f[V>>2]=U}while((P|0)<(S|0));eb=U}U=K;do{P=h+(U<<2)|0;O=U;U=f[P>>2]|0;f[P>>2]=eb}while((U|0)<(O|0));f[z+(E<<2)>>2]=eb;L=F;break a}U=f[t+(N<<2)>>2]|0;O=U;while(1){P=f[h+(O<<2)>>2]|0;if((P|0)<(O|0))O=P;else break}if((U|0)==(K|0))fb=O;else{P=K;while(1){Q=f[h+(P<<2)>>2]|0;if((Q|0)<(P|0))P=Q;else break}Q=(O|0)>(P|0)?P:O;$=K;do{S=h+($<<2)|0;V=$;$=f[S>>2]|0;f[S>>2]=Q}while(($|0)<(V|0));fb=Q}Q=U;do{$=h+(Q<<2)|0;K=Q;Q=f[$>>2]|0;f[$>>2]=fb}while((Q|0)<(K|0));Q=f[z+(N<<2)>>2]|0;U=fb;while(1){K=f[h+(U<<2)>>2]|0;if((K|0)<(U|0))U=K;else break}if((fb|0)==(Q|0))gb=U;else{K=Q;while(1){$=f[h+(K<<2)>>2]|0;if(($|0)<(K|0))K=$;else break}$=(U|0)>(K|0)?K:U;O=Q;do{P=h+(O<<2)|0;V=O;O=f[P>>2]|0;f[P>>2]=$}while((O|0)<(V|0));gb=$}$=fb;do{O=h+($<<2)|0;Q=$;$=f[O>>2]|0;f[O>>2]=gb}while(($|0)<(Q|0));f[z+(E<<2)>>2]=gb;L=F;break a}while(0);$=f[t+(N<<2)>>2]|0;Q=f[t+(M<<2)>>2]|0;O=$;while(1){U=f[h+(O<<2)>>2]|0;if((U|0)<(O|0))O=U;else break}if(($|0)==(Q|0))hb=O;else{U=Q;while(1){K=f[h+(U<<2)>>2]|0;if((K|0)<(U|0))U=K;else break}K=(O|0)>(U|0)?U:O;V=Q;do{P=h+(V<<2)|0;S=V;V=f[P>>2]|0;f[P>>2]=K}while((V|0)<(S|0));hb=K}K=$;do{V=h+(K<<2)|0;Q=K;K=f[V>>2]|0;f[V>>2]=hb}while((K|0)<(Q|0));K=f[z+(N<<2)>>2]|0;$=hb;while(1){Q=f[h+($<<2)>>2]|0;if((Q|0)<($|0))$=Q;else break}if((hb|0)==(K|0))ib=$;else{N=K;while(1){Q=f[h+(N<<2)>>2]|0;if((Q|0)<(N|0))N=Q;else break}Q=($|0)>(N|0)?N:$;V=K;do{O=h+(V<<2)|0;U=V;V=f[O>>2]|0;f[O>>2]=Q}while((V|0)<(U|0));ib=Q}Q=hb;do{V=h+(Q<<2)|0;K=Q;Q=f[V>>2]|0;f[V>>2]=ib}while((Q|0)<(K|0));f[z+(E<<2)>>2]=ib;L=F;break a}while(0);do if(B){M=E+-2|0;if(b[x+G>>0]|0){T=f[z+(M<<2)>>2]|0;do if((M|0)>-1){if(!(b[v+M>>0]|0))break;f[z+(E<<2)>>2]=T;L=F;break a}while(0);I=f[t+(M<<2)>>2]|0;Q=I;while(1){K=f[h+(Q<<2)>>2]|0;if((K|0)<(Q|0))Q=K;else break}if((I|0)==(T|0))jb=Q;else{K=T;while(1){V=f[h+(K<<2)>>2]|0;if((V|0)<(K|0))K=V;else break}V=(Q|0)>(K|0)?K:Q;$=T;do{N=h+($<<2)|0;U=$;$=f[N>>2]|0;f[N>>2]=V}while(($|0)<(U|0));jb=V}V=I;do{$=h+(V<<2)|0;T=V;V=f[$>>2]|0;f[$>>2]=jb}while((V|0)<(T|0));f[z+(E<<2)>>2]=jb;L=F;break a}if(!(b[x+E>>0]|0)){kb=M;break}do if((M|0)>-1){if(!(b[v+M>>0]|0))break;if(!(b[x+M>>0]|0)){V=f[t+(E<<2)>>2]|0;I=f[z+(M<<2)>>2]|0;T=V;while(1){$=f[h+(T<<2)>>2]|0;if(($|0)<(T|0))T=$;else break}if((V|0)==(I|0))lb=T;else{$=I;while(1){Q=f[h+($<<2)>>2]|0;if((Q|0)<($|0))$=Q;else break}Q=(T|0)>($|0)?$:T;K=I;do{U=h+(K<<2)|0;N=K;K=f[U>>2]|0;f[U>>2]=Q}while((K|0)<(N|0));lb=Q}Q=V;do{K=h+(Q<<2)|0;I=Q;Q=f[K>>2]|0;f[K>>2]=lb}while((Q|0)<(I|0));f[z+(E<<2)>>2]=lb;L=F;break a}do if(D){if(!(b[y+G>>0]|0))break;f[z+(E<<2)>>2]=f[z+(M<<2)>>2];L=F;break a}while(0);Q=f[t+(E<<2)>>2]|0;V=f[z+(M<<2)>>2]|0;I=Q;while(1){K=f[h+(I<<2)>>2]|0;if((K|0)<(I|0))I=K;else break}if((Q|0)==(V|0))mb=I;else{K=V;while(1){T=f[h+(K<<2)>>2]|0;if((T|0)<(K|0))K=T;else break}T=(I|0)>(K|0)?K:I;$=V;do{N=h+($<<2)|0;U=$;$=f[N>>2]|0;f[N>>2]=T}while(($|0)<(U|0));mb=T}T=Q;do{$=h+(T<<2)|0;V=T;T=f[$>>2]|0;f[$>>2]=mb}while((T|0)<(V|0));f[z+(E<<2)>>2]=mb;L=F;break a}while(0);T=f[t+(E<<2)>>2]|0;Q=f[z+(M<<2)>>2]|0;V=T;while(1){$=f[h+(V<<2)>>2]|0;if(($|0)<(V|0))V=$;else break}if((T|0)==(Q|0))nb=V;else{M=Q;while(1){$=f[h+(M<<2)>>2]|0;if(($|0)<(M|0))M=$;else break}$=(V|0)>(M|0)?M:V;I=Q;do{K=h+(I<<2)|0;U=I;I=f[K>>2]|0;f[K>>2]=$}while((I|0)<(U|0));nb=$}$=T;do{I=h+($<<2)|0;Q=$;$=f[I>>2]|0;f[I>>2]=nb}while(($|0)<(Q|0));f[z+(E<<2)>>2]=nb;L=F;break a}else kb=E+-2|0;while(0);f[z+(E<<2)>>2]=f[z+(kb<<2)>>2];L=F;break}do if(B){$=E+-2|0;if(b[x+G>>0]|0){T=f[z+($<<2)>>2]|0;do if(($|0)>-1){if(!(b[v+$>>0]|0))break;f[z+(E<<2)>>2]=T;L=F;break a}while(0);Q=f[t+($<<2)>>2]|0;I=Q;while(1){V=f[h+(I<<2)>>2]|0;if((V|0)<(I|0))I=V;else break}if((Q|0)==(T|0))ob=I;else{V=T;while(1){M=f[h+(V<<2)>>2]|0;if((M|0)<(V|0))V=M;else break}M=(I|0)>(V|0)?V:I;U=T;do{K=h+(U<<2)|0;N=U;U=f[K>>2]|0;f[K>>2]=M}while((U|0)<(N|0));ob=M}M=Q;do{U=h+(M<<2)|0;T=M;M=f[U>>2]|0;f[U>>2]=ob}while((M|0)<(T|0));f[z+(E<<2)>>2]=ob;L=F;break a}if(!(b[x+E>>0]|0)){pb=$;break}do if(($|0)>-1){if(!(b[v+$>>0]|0))break;if(!(b[x+$>>0]|0)){M=f[t+(E<<2)>>2]|0;Q=f[z+($<<2)>>2]|0;T=M;while(1){U=f[h+(T<<2)>>2]|0;if((U|0)<(T|0))T=U;else break}if((M|0)==(Q|0))qb=T;else{U=Q;while(1){I=f[h+(U<<2)>>2]|0;if((I|0)<(U|0))U=I;else break}I=(T|0)>(U|0)?U:T;V=Q;do{N=h+(V<<2)|0;K=V;V=f[N>>2]|0;f[N>>2]=I}while((V|0)<(K|0));qb=I}I=M;do{V=h+(I<<2)|0;Q=I;I=f[V>>2]|0;f[V>>2]=qb}while((I|0)<(Q|0));f[z+(E<<2)>>2]=qb;L=F;break a}do if(D){if(!(b[y+G>>0]|0))break;f[z+(E<<2)>>2]=f[z+($<<2)>>2];L=F;break a}while(0);I=f[t+(E<<2)>>2]|0;M=f[z+($<<2)>>2]|0;Q=I;while(1){V=f[h+(Q<<2)>>2]|0;if((V|0)<(Q|0))Q=V;else break}if((I|0)==(M|0))rb=Q;else{V=M;while(1){T=f[h+(V<<2)>>2]|0;if((T|0)<(V|0))V=T;else break}T=(Q|0)>(V|0)?V:Q;U=M;do{K=h+(U<<2)|0;N=U;U=f[K>>2]|0;f[K>>2]=T}while((U|0)<(N|0));rb=T}T=I;do{U=h+(T<<2)|0;M=T;T=f[U>>2]|0;f[U>>2]=rb}while((T|0)<(M|0));f[z+(E<<2)>>2]=rb;L=F;break a}while(0);T=f[t+(E<<2)>>2]|0;I=f[z+($<<2)>>2]|0;M=T;while(1){U=f[h+(M<<2)>>2]|0;if((U|0)<(M|0))M=U;else break}if((T|0)==(I|0))sb=M;else{$=I;while(1){U=f[h+($<<2)>>2]|0;if((U|0)<($|0))$=U;else break}U=(M|0)>($|0)?$:M;Q=I;do{V=h+(Q<<2)|0;N=Q;Q=f[V>>2]|0;f[V>>2]=U}while((Q|0)<(N|0));sb=U}U=T;do{Q=h+(U<<2)|0;I=U;U=f[Q>>2]|0;f[Q>>2]=sb}while((U|0)<(I|0));f[z+(E<<2)>>2]=sb;L=F;break a}else pb=E+-2|0;while(0);f[z+(E<<2)>>2]=f[z+(pb<<2)>>2];L=F;break}}U=E|1;T=(U|0)<(k|0);if(!(C|T^1)?b[x+U>>0]|0:0){if(b[x+E>>0]|0){f[z+(E<<2)>>2]=f[t+(E<<2)>>2];L=F;break}if(H?b[x+G>>0]|0:0){I=f[t+(E<<2)>>2]|0;do if(D){if(!(b[y+E>>0]|0))break;f[z+(E<<2)>>2]=I;L=F;break a}while(0);Q=f[t+(E+-2<<2)>>2]|0;M=Q;while(1){$=f[h+(M<<2)>>2]|0;if(($|0)<(M|0))M=$;else break}if((Q|0)==(I|0))tb=M;else{$=I;while(1){N=f[h+($<<2)>>2]|0;if((N|0)<($|0))$=N;else break}N=(M|0)>($|0)?$:M;V=I;do{K=h+(V<<2)|0;O=V;V=f[K>>2]|0;f[K>>2]=N}while((V|0)<(O|0));tb=N}N=Q;do{V=h+(N<<2)|0;I=N;N=f[V>>2]|0;f[V>>2]=tb}while((N|0)<(I|0));f[z+(E<<2)>>2]=tb;L=F;break}f[z+(E<<2)>>2]=f[t+(E<<2)>>2];L=F;break}if(T?b[v+U>>0]|0:0){N=E+2|0;if(!((N|0)>=(k|0)|C)?b[x+N>>0]|0:0){if(b[x+E>>0]|0){do if(D){if(!(b[y+U>>0]|0))break;f[z+(E<<2)>>2]=f[t+(N<<2)>>2];L=F;break a}while(0);T=f[t+(E<<2)>>2]|0;Q=f[t+(N<<2)>>2]|0;I=T;while(1){V=f[h+(I<<2)>>2]|0;if((V|0)<(I|0))I=V;else break}if((T|0)==(Q|0))ub=I;else{V=Q;while(1){M=f[h+(V<<2)>>2]|0;if((M|0)<(V|0))V=M;else break}M=(I|0)>(V|0)?V:I;$=Q;do{O=h+($<<2)|0;K=$;$=f[O>>2]|0;f[O>>2]=M}while(($|0)<(K|0));ub=M}M=T;do{$=h+(M<<2)|0;Q=M;M=f[$>>2]|0;f[$>>2]=ub}while((M|0)<(Q|0));f[z+(E<<2)>>2]=ub;L=F;break}do if(H){if(!(b[x+G>>0]|0))break;do if(D){if(!(b[y+U>>0]|0))break;M=f[t+(N<<2)>>2]|0;if(b[y+E>>0]|0){f[z+(E<<2)>>2]=M;L=F;break a}T=f[t+(E+-2<<2)>>2]|0;Q=T;while(1){$=f[h+(Q<<2)>>2]|0;if(($|0)<(Q|0))Q=$;else break}if((T|0)==(M|0))vb=Q;else{$=M;while(1){I=f[h+($<<2)>>2]|0;if((I|0)<($|0))$=I;else break}I=(Q|0)>($|0)?$:Q;V=M;do{K=h+(V<<2)|0;O=V;V=f[K>>2]|0;f[K>>2]=I}while((V|0)<(O|0));vb=I}I=T;do{V=h+(I<<2)|0;M=I;I=f[V>>2]|0;f[V>>2]=vb}while((I|0)<(M|0));f[z+(E<<2)>>2]=vb;L=F;break a}while(0);I=f[t+(E+-2<<2)>>2]|0;T=f[t+(N<<2)>>2]|0;M=I;while(1){V=f[h+(M<<2)>>2]|0;if((V|0)<(M|0))M=V;else break}if((I|0)==(T|0))wb=M;else{V=T;while(1){Q=f[h+(V<<2)>>2]|0;if((Q|0)<(V|0))V=Q;else break}Q=(M|0)>(V|0)?V:M;$=T;do{O=h+($<<2)|0;K=$;$=f[O>>2]|0;f[O>>2]=Q}while(($|0)<(K|0));wb=Q}Q=I;do{$=h+(Q<<2)|0;T=Q;Q=f[$>>2]|0;f[$>>2]=wb}while((Q|0)<(T|0));f[z+(E<<2)>>2]=wb;L=F;break a}while(0);f[z+(E<<2)>>2]=f[t+(N<<2)>>2];L=F;break}if(B?b[x+E>>0]|0:0){f[z+(E<<2)>>2]=f[t+(E<<2)>>2];L=F;break}do if(!(C|H^1)){if(!(b[x+G>>0]|0))break;f[z+(E<<2)>>2]=f[t+(E+-2<<2)>>2];L=F;break a}while(0);f[z+(E<<2)>>2]=F;f[h+(F<<2)>>2]=F;L=F+1|0;break}if(B?b[x+E>>0]|0:0){f[z+(E<<2)>>2]=f[t+(E<<2)>>2];L=F;break}if(!(C|H^1)?b[x+G>>0]|0:0){f[z+(E<<2)>>2]=f[t+(E+-2<<2)>>2];L=F;break}f[z+(E<<2)>>2]=F;f[h+(F<<2)>>2]=F;L=F+1|0}while(0);E=E+2|0;if((E|0)>=(k|0)){xb=L;break}else F=L}}else xb=r;s=s+2|0;if((s|0)>=(i|0))break;else r=xb}if((xb|0)>1){r=1;i=1;while(1){s=h+(i<<2)|0;L=f[s>>2]|0;if((L|0)<(i|0)){f[s>>2]=f[h+(L<<2)>>2];yb=r}else{f[s>>2]=r;yb=r+1|0}i=i+1|0;if((i|0)==(xb|0)){zb=yb;break}else r=yb}}else zb=1}else zb=1;Nna(g,zb);yb=f[j>>2]|0;r=f[o>>2]|0;xb=(r&1|0)!=0;i=(yb|0)>0;b:do if(!(yb&1)){if(!xb){if(!i)break;s=c+16|0;L=c+44|0;k=d+16|0;wb=d+44|0;vb=g+20|0;ub=g+120|0;tb=g+48|0;pb=0;sb=r;rb=yb;while(1){qb=f[f[L>>2]>>2]|0;ob=(f[s>>2]|0)+(Y(qb,pb)|0)|0;kb=ob+qb|0;qb=f[f[wb>>2]>>2]|0;nb=(f[k>>2]|0)+(Y(qb,pb)|0)|0;mb=nb+qb|0;if((sb|0)>0){qb=((pb|0)<0)<<31>>31;lb=pb|1;jb=((lb|0)<0)<<31>>31;ib=0;do{hb=nb+(ib<<2)|0;gb=f[hb>>2]|0;do if((gb|0)>0){fb=f[h+(gb<<2)>>2]|0;if(!(b[ob+ib>>0]|0)){f[hb>>2]=0;eb=f[vb>>2]|0;db=f[eb>>2]|0;f[eb>>2]=(db|0)>(ib|0)?ib:db;db=eb+8|0;cb=f[db>>2]|0;f[db>>2]=(cb|0)<(ib|0)?ib:cb;cb=eb+4|0;db=f[cb>>2]|0;f[cb>>2]=(db|0)>(pb|0)?pb:db;db=eb+12|0;cb=f[db>>2]|0;f[db>>2]=(cb|0)<(pb|0)?pb:cb;cb=eb+16|0;f[cb>>2]=(f[cb>>2]|0)+1;cb=f[ub>>2]|0;db=cb;bb=hzc(f[db>>2]|0,f[db+4>>2]|0,ib|0,((ib|0)<0)<<31>>31|0)|0;db=cb;f[db>>2]=bb;f[db+4>>2]=J;Ab=cb+8|0;Bb=eb;Cb=cb}else{f[hb>>2]=fb;cb=f[vb>>2]|0;eb=cb+(Y(f[f[tb>>2]>>2]|0,fb)|0)|0;db=f[eb>>2]|0;f[eb>>2]=(db|0)>(ib|0)?ib:db;db=eb+8|0;bb=f[db>>2]|0;f[db>>2]=(bb|0)<(ib|0)?ib:bb;bb=eb+4|0;db=f[bb>>2]|0;f[bb>>2]=(db|0)>(pb|0)?pb:db;db=eb+12|0;bb=f[db>>2]|0;f[db>>2]=(bb|0)<(pb|0)?pb:bb;bb=eb+16|0;f[bb>>2]=(f[bb>>2]|0)+1;bb=f[ub>>2]|0;eb=bb+(fb<<4)|0;db=eb;ab=hzc(f[db>>2]|0,f[db+4>>2]|0,ib|0,((ib|0)<0)<<31>>31|0)|0;db=eb;f[db>>2]=ab;f[db+4>>2]=J;Ab=bb+(fb<<4)+8|0;Bb=cb;Cb=bb}bb=Ab;cb=hzc(f[bb>>2]|0,f[bb+4>>2]|0,pb|0,qb|0)|0;bb=Ab;f[bb>>2]=cb;f[bb+4>>2]=J;bb=ib|1;cb=nb+(bb<<2)|0;if(!(b[ob+bb>>0]|0)){f[cb>>2]=0;Db=0;Eb=Bb}else{f[cb>>2]=fb;Db=fb;Eb=Bb+(Y(f[f[tb>>2]>>2]|0,fb)|0)|0}cb=f[Eb>>2]|0;f[Eb>>2]=(cb|0)>(bb|0)?bb:cb;cb=Eb+8|0;db=f[cb>>2]|0;f[cb>>2]=(db|0)<(bb|0)?bb:db;db=Eb+4|0;cb=f[db>>2]|0;f[db>>2]=(cb|0)>(pb|0)?pb:cb;cb=Eb+12|0;db=f[cb>>2]|0;f[cb>>2]=(db|0)<(pb|0)?pb:db;db=Eb+16|0;f[db>>2]=(f[db>>2]|0)+1;db=Cb+(Db<<4)|0;cb=db;ab=hzc(f[cb>>2]|0,f[cb+4>>2]|0,bb|0,((bb|0)<0)<<31>>31|0)|0;cb=db;f[cb>>2]=ab;f[cb+4>>2]=J;cb=Cb+(Db<<4)+8|0;ab=cb;db=hzc(f[ab>>2]|0,f[ab+4>>2]|0,pb|0,qb|0)|0;ab=cb;f[ab>>2]=db;f[ab+4>>2]=J;ab=mb+(ib<<2)|0;if(!(b[kb+ib>>0]|0)){f[ab>>2]=0;Fb=0;Gb=Bb}else{f[ab>>2]=fb;Fb=fb;Gb=Bb+(Y(f[f[tb>>2]>>2]|0,fb)|0)|0}ab=f[Gb>>2]|0;f[Gb>>2]=(ab|0)>(ib|0)?ib:ab;ab=Gb+8|0;db=f[ab>>2]|0;f[ab>>2]=(db|0)<(ib|0)?ib:db;db=Gb+4|0;ab=f[db>>2]|0;f[db>>2]=(ab|0)>(lb|0)?lb:ab;ab=Gb+12|0;db=f[ab>>2]|0;f[ab>>2]=(db|0)<(lb|0)?lb:db;db=Gb+16|0;f[db>>2]=(f[db>>2]|0)+1;db=Cb+(Fb<<4)|0;ab=db;cb=hzc(f[ab>>2]|0,f[ab+4>>2]|0,ib|0,((ib|0)<0)<<31>>31|0)|0;ab=db;f[ab>>2]=cb;f[ab+4>>2]=J;ab=Cb+(Fb<<4)+8|0;cb=ab;db=hzc(f[cb>>2]|0,f[cb+4>>2]|0,lb|0,jb|0)|0;cb=ab;f[cb>>2]=db;f[cb+4>>2]=J;cb=mb+(bb<<2)|0;if(!(b[kb+bb>>0]|0)){f[cb>>2]=0;db=f[Bb>>2]|0;f[Bb>>2]=(db|0)>(bb|0)?bb:db;db=Bb+8|0;ab=f[db>>2]|0;f[db>>2]=(ab|0)<(bb|0)?bb:ab;ab=Bb+4|0;db=f[ab>>2]|0;f[ab>>2]=(db|0)>(lb|0)?lb:db;db=Bb+12|0;ab=f[db>>2]|0;f[db>>2]=(ab|0)<(lb|0)?lb:ab;ab=Bb+16|0;f[ab>>2]=(f[ab>>2]|0)+1;ab=Cb;db=hzc(f[ab>>2]|0,f[ab+4>>2]|0,bb|0,((bb|0)<0)<<31>>31|0)|0;ab=Cb;f[ab>>2]=db;f[ab+4>>2]=J;Hb=Cb+8|0;break}else{f[cb>>2]=fb;cb=Bb+(Y(f[f[tb>>2]>>2]|0,fb)|0)|0;ab=f[cb>>2]|0;f[cb>>2]=(ab|0)>(bb|0)?bb:ab;ab=cb+8|0;db=f[ab>>2]|0;f[ab>>2]=(db|0)<(bb|0)?bb:db;db=cb+4|0;ab=f[db>>2]|0;f[db>>2]=(ab|0)>(lb|0)?lb:ab;ab=cb+12|0;db=f[ab>>2]|0;f[ab>>2]=(db|0)<(lb|0)?lb:db;db=cb+16|0;f[db>>2]=(f[db>>2]|0)+1;db=Cb+(fb<<4)|0;cb=db;ab=hzc(f[cb>>2]|0,f[cb+4>>2]|0,bb|0,((bb|0)<0)<<31>>31|0)|0;bb=db;f[bb>>2]=ab;f[bb+4>>2]=J;Hb=Cb+(fb<<4)+8|0;break}}else{f[hb>>2]=0;fb=ib|1;f[nb+(fb<<2)>>2]=0;f[mb+(ib<<2)>>2]=0;f[mb+(fb<<2)>>2]=0;bb=f[vb>>2]|0;ab=f[bb>>2]|0;db=(ab|0)>(ib|0)?ib:ab;ab=bb+8|0;cb=f[ab>>2]|0;eb=(cb|0)<(ib|0)?ib:cb;cb=bb+4|0;$a=f[cb>>2]|0;_a=($a|0)>(pb|0)?pb:$a;$a=bb+12|0;Za=f[$a>>2]|0;Ya=(Za|0)<(pb|0)?pb:Za;Za=bb+16|0;Xa=f[Za>>2]|0;Wa=f[ub>>2]|0;Va=((ib|0)<0)<<31>>31;Ua=Wa;Ta=hzc(f[Ua>>2]|0,f[Ua+4>>2]|0,ib|0,Va|0)|0;Ua=J;Sa=Wa+8|0;Ra=Sa;Qa=hzc(f[Ra>>2]|0,f[Ra+4>>2]|0,pb|0,qb|0)|0;Ra=J;Pa=(db|0)>(fb|0)?fb:db;db=((fb|0)<0)<<31>>31;Oa=hzc(Ta|0,Ua|0,fb|0,db|0)|0;Ua=J;Ta=hzc(Qa|0,Ra|0,pb|0,qb|0)|0;Ra=J;Qa=hzc(Oa|0,Ua|0,ib|0,Va|0)|0;Va=J;Ua=hzc(Ta|0,Ra|0,lb|0,jb|0)|0;Ra=Sa;f[Ra>>2]=Ua;f[Ra+4>>2]=J;f[bb>>2]=(Pa|0)>(ib|0)?ib:Pa;f[ab>>2]=(eb|0)<(fb|0)?fb:eb;f[cb>>2]=(_a|0)>(lb|0)?lb:_a;f[$a>>2]=(Ya|0)<(lb|0)?lb:Ya;f[Za>>2]=Xa+4;Xa=hzc(Qa|0,Va|0,fb|0,db|0)|0;db=Wa;f[db>>2]=Xa;f[db+4>>2]=J;Hb=Sa}while(0);hb=Hb;gb=hzc(f[hb>>2]|0,f[hb+4>>2]|0,lb|0,jb|0)|0;hb=Hb;f[hb>>2]=gb;f[hb+4>>2]=J;ib=ib+2|0;Ib=f[o>>2]|0}while((ib|0)<(Ib|0));Jb=f[j>>2]|0;Kb=Ib}else{Jb=rb;Kb=sb}pb=pb+2|0;if((pb|0)>=(Jb|0))break b;else{sb=Kb;rb=Jb}}}if(i){rb=g+20|0;sb=g+120|0;pb=g+48|0;ub=f[c+16>>2]|0;vb=f[c+44>>2]|0;tb=f[d+16>>2]|0;k=f[d+44>>2]|0;wb=0;s=r;L=yb;while(1){ib=f[vb>>2]|0;jb=ub+(Y(ib,wb)|0)|0;lb=jb+ib|0;ib=f[k>>2]|0;qb=tb+(Y(ib,wb)|0)|0;mb=qb+ib|0;if((s|0)>0){ib=((wb|0)<0)<<31>>31;nb=wb|1;kb=((nb|0)<0)<<31>>31;ob=0;do{hb=qb+(ob<<2)|0;gb=f[hb>>2]|0;do if((gb|0)>0){G=f[h+(gb<<2)>>2]|0;if(!(b[jb+ob>>0]|0)){f[hb>>2]=0;H=f[rb>>2]|0;Sa=f[H>>2]|0;f[H>>2]=(Sa|0)>(ob|0)?ob:Sa;Sa=H+8|0;db=f[Sa>>2]|0;f[Sa>>2]=(db|0)<(ob|0)?ob:db;db=H+4|0;Sa=f[db>>2]|0;f[db>>2]=(Sa|0)>(wb|0)?wb:Sa;Sa=H+12|0;db=f[Sa>>2]|0;f[Sa>>2]=(db|0)<(wb|0)?wb:db;db=H+16|0;f[db>>2]=(f[db>>2]|0)+1;db=f[sb>>2]|0;Sa=db;Xa=hzc(f[Sa>>2]|0,f[Sa+4>>2]|0,ob|0,((ob|0)<0)<<31>>31|0)|0;Sa=db;f[Sa>>2]=Xa;f[Sa+4>>2]=J;Lb=db+8|0;Mb=H;Nb=db}else{f[hb>>2]=G;db=f[rb>>2]|0;H=db+(Y(f[f[pb>>2]>>2]|0,G)|0)|0;Sa=f[H>>2]|0;f[H>>2]=(Sa|0)>(ob|0)?ob:Sa;Sa=H+8|0;Xa=f[Sa>>2]|0;f[Sa>>2]=(Xa|0)<(ob|0)?ob:Xa;Xa=H+4|0;Sa=f[Xa>>2]|0;f[Xa>>2]=(Sa|0)>(wb|0)?wb:Sa;Sa=H+12|0;Xa=f[Sa>>2]|0;f[Sa>>2]=(Xa|0)<(wb|0)?wb:Xa;Xa=H+16|0;f[Xa>>2]=(f[Xa>>2]|0)+1;Xa=f[sb>>2]|0;H=Xa+(G<<4)|0;Sa=H;Wa=hzc(f[Sa>>2]|0,f[Sa+4>>2]|0,ob|0,((ob|0)<0)<<31>>31|0)|0;Sa=H;f[Sa>>2]=Wa;f[Sa+4>>2]=J;Lb=Xa+(G<<4)+8|0;Mb=db;Nb=Xa}Xa=Lb;db=hzc(f[Xa>>2]|0,f[Xa+4>>2]|0,wb|0,ib|0)|0;Xa=Lb;f[Xa>>2]=db;f[Xa+4>>2]=J;Xa=mb+(ob<<2)|0;if(!(b[lb+ob>>0]|0)){f[Xa>>2]=0;Ob=0;Pb=Mb}else{f[Xa>>2]=G;Ob=G;Pb=Mb+(Y(f[f[pb>>2]>>2]|0,G)|0)|0}Xa=f[Pb>>2]|0;f[Pb>>2]=(Xa|0)>(ob|0)?ob:Xa;Xa=Pb+8|0;db=f[Xa>>2]|0;f[Xa>>2]=(db|0)<(ob|0)?ob:db;db=Pb+4|0;Xa=f[db>>2]|0;f[db>>2]=(Xa|0)>(nb|0)?nb:Xa;Xa=Pb+12|0;db=f[Xa>>2]|0;f[Xa>>2]=(db|0)<(nb|0)?nb:db;db=Pb+16|0;f[db>>2]=(f[db>>2]|0)+1;db=Nb+(Ob<<4)|0;Xa=db;Sa=hzc(f[Xa>>2]|0,f[Xa+4>>2]|0,ob|0,((ob|0)<0)<<31>>31|0)|0;Xa=db;f[Xa>>2]=Sa;f[Xa+4>>2]=J;Xa=Nb+(Ob<<4)+8|0;Sa=Xa;db=hzc(f[Sa>>2]|0,f[Sa+4>>2]|0,nb|0,kb|0)|0;Sa=Xa;f[Sa>>2]=db;f[Sa+4>>2]=J;Sa=ob|1;if((Sa|0)<(f[o>>2]|0)){db=qb+(Sa<<2)|0;if(!(b[jb+Sa>>0]|0)){f[db>>2]=0;Qb=0;Rb=Mb}else{f[db>>2]=G;Qb=G;Rb=Mb+(Y(f[f[pb>>2]>>2]|0,G)|0)|0}db=f[Rb>>2]|0;f[Rb>>2]=(db|0)>(Sa|0)?Sa:db;db=Rb+8|0;Xa=f[db>>2]|0;f[db>>2]=(Xa|0)<(Sa|0)?Sa:Xa;Xa=Rb+4|0;db=f[Xa>>2]|0;f[Xa>>2]=(db|0)>(wb|0)?wb:db;db=Rb+12|0;Xa=f[db>>2]|0;f[db>>2]=(Xa|0)<(wb|0)?wb:Xa;Xa=Rb+16|0;f[Xa>>2]=(f[Xa>>2]|0)+1;Xa=Nb+(Qb<<4)|0;db=Xa;Wa=hzc(f[db>>2]|0,f[db+4>>2]|0,Sa|0,((Sa|0)<0)<<31>>31|0)|0;db=Xa;f[db>>2]=Wa;f[db+4>>2]=J;db=Nb+(Qb<<4)+8|0;Wa=db;Xa=hzc(f[Wa>>2]|0,f[Wa+4>>2]|0,wb|0,ib|0)|0;Wa=db;f[Wa>>2]=Xa;f[Wa+4>>2]=J;Wa=mb+(Sa<<2)|0;if(!(b[lb+Sa>>0]|0)){f[Wa>>2]=0;Xa=f[Mb>>2]|0;f[Mb>>2]=(Xa|0)>(Sa|0)?Sa:Xa;Xa=Mb+8|0;db=f[Xa>>2]|0;f[Xa>>2]=(db|0)<(Sa|0)?Sa:db;db=Mb+4|0;Xa=f[db>>2]|0;f[db>>2]=(Xa|0)>(nb|0)?nb:Xa;Xa=Mb+12|0;db=f[Xa>>2]|0;f[Xa>>2]=(db|0)<(nb|0)?nb:db;db=Mb+16|0;f[db>>2]=(f[db>>2]|0)+1;db=Nb;Xa=hzc(f[db>>2]|0,f[db+4>>2]|0,Sa|0,((Sa|0)<0)<<31>>31|0)|0;db=Nb;f[db>>2]=Xa;f[db+4>>2]=J;db=Nb+8|0;Xa=db;H=hzc(f[Xa>>2]|0,f[Xa+4>>2]|0,nb|0,kb|0)|0;Xa=db;f[Xa>>2]=H;f[Xa+4>>2]=J;break}else{f[Wa>>2]=G;Wa=Mb+(Y(f[f[pb>>2]>>2]|0,G)|0)|0;Xa=f[Wa>>2]|0;f[Wa>>2]=(Xa|0)>(Sa|0)?Sa:Xa;Xa=Wa+8|0;H=f[Xa>>2]|0;f[Xa>>2]=(H|0)<(Sa|0)?Sa:H;H=Wa+4|0;Xa=f[H>>2]|0;f[H>>2]=(Xa|0)>(nb|0)?nb:Xa;Xa=Wa+12|0;H=f[Xa>>2]|0;f[Xa>>2]=(H|0)<(nb|0)?nb:H;H=Wa+16|0;f[H>>2]=(f[H>>2]|0)+1;H=Nb+(G<<4)|0;Wa=H;Xa=hzc(f[Wa>>2]|0,f[Wa+4>>2]|0,Sa|0,((Sa|0)<0)<<31>>31|0)|0;Sa=H;f[Sa>>2]=Xa;f[Sa+4>>2]=J;Sa=Nb+(G<<4)+8|0;G=Sa;Xa=hzc(f[G>>2]|0,f[G+4>>2]|0,nb|0,kb|0)|0;G=Sa;f[G>>2]=Xa;f[G+4>>2]=J;break}}}else{f[hb>>2]=0;f[mb+(ob<<2)>>2]=0;G=f[rb>>2]|0;Xa=f[G>>2]|0;Sa=G+8|0;H=f[Sa>>2]|0;Wa=G+4|0;db=f[Wa>>2]|0;fb=(db|0)>(wb|0)?wb:db;db=G+12|0;Va=f[db>>2]|0;Qa=(Va|0)<(wb|0)?wb:Va;Va=G+16|0;Za=f[Va>>2]|0;Ya=f[sb>>2]|0;$a=((ob|0)<0)<<31>>31;_a=Ya;cb=hzc(f[_a>>2]|0,f[_a+4>>2]|0,ob|0,$a|0)|0;_a=J;eb=Ya+8|0;ab=eb;Pa=hzc(f[ab>>2]|0,f[ab+4>>2]|0,wb|0,ib|0)|0;ab=J;f[G>>2]=(Xa|0)>(ob|0)?ob:Xa;f[Sa>>2]=(H|0)<(ob|0)?ob:H;f[Wa>>2]=(fb|0)>(nb|0)?nb:fb;f[db>>2]=(Qa|0)<(nb|0)?nb:Qa;f[Va>>2]=Za+2;Za=hzc(cb|0,_a|0,ob|0,$a|0)|0;$a=J;_a=Ya;f[_a>>2]=Za;f[_a+4>>2]=$a;_a=hzc(Pa|0,ab|0,nb|0,kb|0)|0;ab=J;Pa=eb;f[Pa>>2]=_a;f[Pa+4>>2]=ab;Pa=ob|1;if((Pa|0)<(f[o>>2]|0)){f[qb+(Pa<<2)>>2]=0;f[mb+(Pa<<2)>>2]=0;cb=f[G>>2]|0;Qa=f[Sa>>2]|0;fb=f[Wa>>2]|0;H=(fb|0)>(wb|0)?wb:fb;fb=f[db>>2]|0;Xa=(fb|0)<(wb|0)?wb:fb;fb=f[Va>>2]|0;bb=((Pa|0)<0)<<31>>31;Ra=hzc(Za|0,$a|0,Pa|0,bb|0)|0;$a=J;Za=hzc(_a|0,ab|0,wb|0,ib|0)|0;ab=J;f[G>>2]=(cb|0)>(Pa|0)?Pa:cb;f[Sa>>2]=(Qa|0)<(Pa|0)?Pa:Qa;f[Wa>>2]=(H|0)>(nb|0)?nb:H;f[db>>2]=(Xa|0)<(nb|0)?nb:Xa;f[Va>>2]=fb+2;fb=hzc(Ra|0,$a|0,Pa|0,bb|0)|0;bb=Ya;f[bb>>2]=fb;f[bb+4>>2]=J;bb=hzc(Za|0,ab|0,nb|0,kb|0)|0;ab=eb;f[ab>>2]=bb;f[ab+4>>2]=J}}while(0);ob=ob+2|0;Sb=f[o>>2]|0}while((ob|0)<(Sb|0));Tb=f[j>>2]|0;Ub=Sb}else{Tb=L;Ub=s}wb=wb+2|0;if((wb|0)>=(Tb|0))break;else{s=Ub;L=Tb}}}}else{if(!xb){if(!i)break;L=g+20|0;s=g+120|0;wb=g+48|0;sb=f[c+16>>2]|0;rb=f[c+44>>2]|0;pb=f[d+16>>2]|0;tb=f[d+44>>2]|0;k=0;ub=r;vb=yb;while(1){ob=f[rb>>2]|0;kb=sb+(Y(ob,k)|0)|0;nb=kb+ob|0;ob=f[tb>>2]|0;ib=pb+(Y(ob,k)|0)|0;mb=ib+ob|0;if((ub|0)>0){ob=((k|0)<0)<<31>>31;qb=k|1;lb=((qb|0)<0)<<31>>31;jb=0;do{hb=ib+(jb<<2)|0;gb=f[hb>>2]|0;do if((gb|0)>0){ab=f[h+(gb<<2)>>2]|0;if(!(b[kb+jb>>0]|0)){f[hb>>2]=0;bb=f[L>>2]|0;eb=f[bb>>2]|0;f[bb>>2]=(eb|0)>(jb|0)?jb:eb;eb=bb+8|0;Za=f[eb>>2]|0;f[eb>>2]=(Za|0)<(jb|0)?jb:Za;Za=bb+4|0;eb=f[Za>>2]|0;f[Za>>2]=(eb|0)>(k|0)?k:eb;eb=bb+12|0;Za=f[eb>>2]|0;f[eb>>2]=(Za|0)<(k|0)?k:Za;Za=bb+16|0;f[Za>>2]=(f[Za>>2]|0)+1;Za=f[s>>2]|0;eb=Za;fb=hzc(f[eb>>2]|0,f[eb+4>>2]|0,jb|0,((jb|0)<0)<<31>>31|0)|0;eb=Za;f[eb>>2]=fb;f[eb+4>>2]=J;Vb=Za+8|0;Wb=bb;Xb=Za}else{f[hb>>2]=ab;Za=f[L>>2]|0;bb=Za+(Y(f[f[wb>>2]>>2]|0,ab)|0)|0;eb=f[bb>>2]|0;f[bb>>2]=(eb|0)>(jb|0)?jb:eb;eb=bb+8|0;fb=f[eb>>2]|0;f[eb>>2]=(fb|0)<(jb|0)?jb:fb;fb=bb+4|0;eb=f[fb>>2]|0;f[fb>>2]=(eb|0)>(k|0)?k:eb;eb=bb+12|0;fb=f[eb>>2]|0;f[eb>>2]=(fb|0)<(k|0)?k:fb;fb=bb+16|0;f[fb>>2]=(f[fb>>2]|0)+1;fb=f[s>>2]|0;bb=fb+(ab<<4)|0;eb=bb;Ya=hzc(f[eb>>2]|0,f[eb+4>>2]|0,jb|0,((jb|0)<0)<<31>>31|0)|0;eb=bb;f[eb>>2]=Ya;f[eb+4>>2]=J;Vb=fb+(ab<<4)+8|0;Wb=Za;Xb=fb}fb=Vb;Za=hzc(f[fb>>2]|0,f[fb+4>>2]|0,k|0,ob|0)|0;fb=Vb;f[fb>>2]=Za;f[fb+4>>2]=J;fb=jb|1;Za=ib+(fb<<2)|0;if(!(b[kb+fb>>0]|0)){f[Za>>2]=0;Yb=0;Zb=Wb}else{f[Za>>2]=ab;Yb=ab;Zb=Wb+(Y(f[f[wb>>2]>>2]|0,ab)|0)|0}Za=f[Zb>>2]|0;f[Zb>>2]=(Za|0)>(fb|0)?fb:Za;Za=Zb+8|0;eb=f[Za>>2]|0;f[Za>>2]=(eb|0)<(fb|0)?fb:eb;eb=Zb+4|0;Za=f[eb>>2]|0;f[eb>>2]=(Za|0)>(k|0)?k:Za;Za=Zb+12|0;eb=f[Za>>2]|0;f[Za>>2]=(eb|0)<(k|0)?k:eb;eb=Zb+16|0;f[eb>>2]=(f[eb>>2]|0)+1;eb=Xb+(Yb<<4)|0;Za=eb;Ya=hzc(f[Za>>2]|0,f[Za+4>>2]|0,fb|0,((fb|0)<0)<<31>>31|0)|0;Za=eb;f[Za>>2]=Ya;f[Za+4>>2]=J;Za=Xb+(Yb<<4)+8|0;Ya=Za;eb=hzc(f[Ya>>2]|0,f[Ya+4>>2]|0,k|0,ob|0)|0;Ya=Za;f[Ya>>2]=eb;f[Ya+4>>2]=J;if((qb|0)<(f[j>>2]|0)){Ya=mb+(jb<<2)|0;if(!(b[nb+jb>>0]|0)){f[Ya>>2]=0;_b=0;$b=Wb}else{f[Ya>>2]=ab;_b=ab;$b=Wb+(Y(f[f[wb>>2]>>2]|0,ab)|0)|0}Ya=f[$b>>2]|0;f[$b>>2]=(Ya|0)>(jb|0)?jb:Ya;Ya=$b+8|0;eb=f[Ya>>2]|0;f[Ya>>2]=(eb|0)<(jb|0)?jb:eb;eb=$b+4|0;Ya=f[eb>>2]|0;f[eb>>2]=(Ya|0)>(qb|0)?qb:Ya;Ya=$b+12|0;eb=f[Ya>>2]|0;f[Ya>>2]=(eb|0)<(qb|0)?qb:eb;eb=$b+16|0;f[eb>>2]=(f[eb>>2]|0)+1;eb=Xb+(_b<<4)|0;Ya=eb;Za=hzc(f[Ya>>2]|0,f[Ya+4>>2]|0,jb|0,((jb|0)<0)<<31>>31|0)|0;Ya=eb;f[Ya>>2]=Za;f[Ya+4>>2]=J;Ya=Xb+(_b<<4)+8|0;Za=Ya;eb=hzc(f[Za>>2]|0,f[Za+4>>2]|0,qb|0,lb|0)|0;Za=Ya;f[Za>>2]=eb;f[Za+4>>2]=J;Za=mb+(fb<<2)|0;if(!(b[nb+fb>>0]|0)){f[Za>>2]=0;eb=f[Wb>>2]|0;f[Wb>>2]=(eb|0)>(fb|0)?fb:eb;eb=Wb+8|0;Ya=f[eb>>2]|0;f[eb>>2]=(Ya|0)<(fb|0)?fb:Ya;Ya=Wb+4|0;eb=f[Ya>>2]|0;f[Ya>>2]=(eb|0)>(qb|0)?qb:eb;eb=Wb+12|0;Ya=f[eb>>2]|0;f[eb>>2]=(Ya|0)<(qb|0)?qb:Ya;Ya=Wb+16|0;f[Ya>>2]=(f[Ya>>2]|0)+1;Ya=Xb;eb=hzc(f[Ya>>2]|0,f[Ya+4>>2]|0,fb|0,((fb|0)<0)<<31>>31|0)|0;Ya=Xb;f[Ya>>2]=eb;f[Ya+4>>2]=J;Ya=Xb+8|0;eb=Ya;bb=hzc(f[eb>>2]|0,f[eb+4>>2]|0,qb|0,lb|0)|0;eb=Ya;f[eb>>2]=bb;f[eb+4>>2]=J;break}else{f[Za>>2]=ab;Za=Wb+(Y(f[f[wb>>2]>>2]|0,ab)|0)|0;eb=f[Za>>2]|0;f[Za>>2]=(eb|0)>(fb|0)?fb:eb;eb=Za+8|0;bb=f[eb>>2]|0;f[eb>>2]=(bb|0)<(fb|0)?fb:bb;bb=Za+4|0;eb=f[bb>>2]|0;f[bb>>2]=(eb|0)>(qb|0)?qb:eb;eb=Za+12|0;bb=f[eb>>2]|0;f[eb>>2]=(bb|0)<(qb|0)?qb:bb;bb=Za+16|0;f[bb>>2]=(f[bb>>2]|0)+1;bb=Xb+(ab<<4)|0;Za=bb;eb=hzc(f[Za>>2]|0,f[Za+4>>2]|0,fb|0,((fb|0)<0)<<31>>31|0)|0;fb=bb;f[fb>>2]=eb;f[fb+4>>2]=J;fb=Xb+(ab<<4)+8|0;ab=fb;eb=hzc(f[ab>>2]|0,f[ab+4>>2]|0,qb|0,lb|0)|0;ab=fb;f[ab>>2]=eb;f[ab+4>>2]=J;break}}}else{f[hb>>2]=0;ab=jb|1;f[ib+(ab<<2)>>2]=0;eb=f[L>>2]|0;fb=f[eb>>2]|0;bb=(fb|0)>(jb|0)?jb:fb;fb=eb+8|0;Za=f[fb>>2]|0;Ya=(Za|0)<(jb|0)?jb:Za;Za=eb+4|0;Pa=f[Za>>2]|0;$a=eb+12|0;Ra=f[$a>>2]|0;Va=eb+16|0;Xa=f[Va>>2]|0;db=f[s>>2]|0;H=((jb|0)<0)<<31>>31;Wa=db;Qa=hzc(f[Wa>>2]|0,f[Wa+4>>2]|0,jb|0,H|0)|0;Wa=J;Sa=db+8|0;cb=Sa;G=hzc(f[cb>>2]|0,f[cb+4>>2]|0,k|0,ob|0)|0;cb=J;f[eb>>2]=(bb|0)>(ab|0)?ab:bb;f[fb>>2]=(Ya|0)<(ab|0)?ab:Ya;f[Za>>2]=(Pa|0)>(k|0)?k:Pa;f[$a>>2]=(Ra|0)<(k|0)?k:Ra;f[Va>>2]=Xa+2;Xa=((ab|0)<0)<<31>>31;Ra=hzc(Qa|0,Wa|0,ab|0,Xa|0)|0;Wa=J;Qa=db;f[Qa>>2]=Ra;f[Qa+4>>2]=Wa;Qa=hzc(G|0,cb|0,k|0,ob|0)|0;cb=J;G=Sa;f[G>>2]=Qa;f[G+4>>2]=cb;if((qb|0)<(f[j>>2]|0)){f[mb+(jb<<2)>>2]=0;f[mb+(ab<<2)>>2]=0;G=f[eb>>2]|0;Pa=(G|0)>(jb|0)?jb:G;G=f[fb>>2]|0;Ya=(G|0)<(jb|0)?jb:G;G=f[Za>>2]|0;bb=f[$a>>2]|0;_a=f[Va>>2]|0;Ua=hzc(Ra|0,Wa|0,jb|0,H|0)|0;H=J;Wa=hzc(Qa|0,cb|0,qb|0,lb|0)|0;cb=J;f[eb>>2]=(Pa|0)>(ab|0)?ab:Pa;f[fb>>2]=(Ya|0)<(ab|0)?ab:Ya;f[Za>>2]=(G|0)>(qb|0)?qb:G;f[$a>>2]=(bb|0)<(qb|0)?qb:bb;f[Va>>2]=_a+2;_a=hzc(Ua|0,H|0,ab|0,Xa|0)|0;Xa=db;f[Xa>>2]=_a;f[Xa+4>>2]=J;Xa=hzc(Wa|0,cb|0,qb|0,lb|0)|0;cb=Sa;f[cb>>2]=Xa;f[cb+4>>2]=J}}while(0);jb=jb+2|0;ac=f[o>>2]|0}while((jb|0)<(ac|0));bc=f[j>>2]|0;cc=ac}else{bc=vb;cc=ub}k=k+2|0;if((k|0)>=(bc|0))break b;else{ub=cc;vb=bc}}}if(i){vb=g+20|0;ub=g+120|0;k=g+48|0;s=f[c+16>>2]|0;L=f[c+44>>2]|0;wb=f[d+16>>2]|0;pb=f[d+44>>2]|0;tb=0;sb=r;rb=yb;while(1){jb=f[L>>2]|0;lb=s+(Y(jb,tb)|0)|0;qb=lb+jb|0;jb=f[pb>>2]|0;mb=wb+(Y(jb,tb)|0)|0;ob=mb+jb|0;if((sb|0)>0){jb=((tb|0)<0)<<31>>31;ib=tb|1;nb=((ib|0)<0)<<31>>31;kb=0;do{hb=mb+(kb<<2)|0;gb=f[hb>>2]|0;do if((gb|0)>0){cb=f[h+(gb<<2)>>2]|0;if(!(b[lb+kb>>0]|0)){f[hb>>2]=0;Xa=f[vb>>2]|0;Sa=f[Xa>>2]|0;f[Xa>>2]=(Sa|0)>(kb|0)?kb:Sa;Sa=Xa+8|0;Wa=f[Sa>>2]|0;f[Sa>>2]=(Wa|0)<(kb|0)?kb:Wa;Wa=Xa+4|0;Sa=f[Wa>>2]|0;f[Wa>>2]=(Sa|0)>(tb|0)?tb:Sa;Sa=Xa+12|0;Wa=f[Sa>>2]|0;f[Sa>>2]=(Wa|0)<(tb|0)?tb:Wa;Wa=Xa+16|0;f[Wa>>2]=(f[Wa>>2]|0)+1;Wa=f[ub>>2]|0;Sa=Wa;_a=hzc(f[Sa>>2]|0,f[Sa+4>>2]|0,kb|0,((kb|0)<0)<<31>>31|0)|0;Sa=Wa;f[Sa>>2]=_a;f[Sa+4>>2]=J;dc=Wa+8|0;ec=Xa;fc=Wa}else{f[hb>>2]=cb;Wa=f[vb>>2]|0;Xa=Wa+(Y(f[f[k>>2]>>2]|0,cb)|0)|0;Sa=f[Xa>>2]|0;f[Xa>>2]=(Sa|0)>(kb|0)?kb:Sa;Sa=Xa+8|0;_a=f[Sa>>2]|0;f[Sa>>2]=(_a|0)<(kb|0)?kb:_a;_a=Xa+4|0;Sa=f[_a>>2]|0;f[_a>>2]=(Sa|0)>(tb|0)?tb:Sa;Sa=Xa+12|0;_a=f[Sa>>2]|0;f[Sa>>2]=(_a|0)<(tb|0)?tb:_a;_a=Xa+16|0;f[_a>>2]=(f[_a>>2]|0)+1;_a=f[ub>>2]|0;Xa=_a+(cb<<4)|0;Sa=Xa;db=hzc(f[Sa>>2]|0,f[Sa+4>>2]|0,kb|0,((kb|0)<0)<<31>>31|0)|0;Sa=Xa;f[Sa>>2]=db;f[Sa+4>>2]=J;dc=_a+(cb<<4)+8|0;ec=Wa;fc=_a}_a=dc;Wa=hzc(f[_a>>2]|0,f[_a+4>>2]|0,tb|0,jb|0)|0;_a=dc;f[_a>>2]=Wa;f[_a+4>>2]=J;_a=kb|1;if((_a|0)>=(f[o>>2]|0)){if((ib|0)>=(f[j>>2]|0))break;Wa=ob+(kb<<2)|0;if(!(b[qb+kb>>0]|0)){f[Wa>>2]=0;Sa=f[ec>>2]|0;f[ec>>2]=(Sa|0)>(kb|0)?kb:Sa;Sa=ec+8|0;db=f[Sa>>2]|0;f[Sa>>2]=(db|0)<(kb|0)?kb:db;db=ec+4|0;Sa=f[db>>2]|0;f[db>>2]=(Sa|0)>(ib|0)?ib:Sa;Sa=ec+12|0;db=f[Sa>>2]|0;f[Sa>>2]=(db|0)<(ib|0)?ib:db;db=ec+16|0;f[db>>2]=(f[db>>2]|0)+1;db=fc;Sa=hzc(f[db>>2]|0,f[db+4>>2]|0,kb|0,((kb|0)<0)<<31>>31|0)|0;db=fc;f[db>>2]=Sa;f[db+4>>2]=J;db=fc+8|0;Sa=db;Xa=hzc(f[Sa>>2]|0,f[Sa+4>>2]|0,ib|0,nb|0)|0;Sa=db;f[Sa>>2]=Xa;f[Sa+4>>2]=J;break}else{f[Wa>>2]=cb;Wa=ec+(Y(f[f[k>>2]>>2]|0,cb)|0)|0;Sa=f[Wa>>2]|0;f[Wa>>2]=(Sa|0)>(kb|0)?kb:Sa;Sa=Wa+8|0;Xa=f[Sa>>2]|0;f[Sa>>2]=(Xa|0)<(kb|0)?kb:Xa;Xa=Wa+4|0;Sa=f[Xa>>2]|0;f[Xa>>2]=(Sa|0)>(ib|0)?ib:Sa;Sa=Wa+12|0;Xa=f[Sa>>2]|0;f[Sa>>2]=(Xa|0)<(ib|0)?ib:Xa;Xa=Wa+16|0;f[Xa>>2]=(f[Xa>>2]|0)+1;Xa=fc+(cb<<4)|0;Wa=Xa;Sa=hzc(f[Wa>>2]|0,f[Wa+4>>2]|0,kb|0,((kb|0)<0)<<31>>31|0)|0;Wa=Xa;f[Wa>>2]=Sa;f[Wa+4>>2]=J;Wa=fc+(cb<<4)+8|0;Sa=Wa;Xa=hzc(f[Sa>>2]|0,f[Sa+4>>2]|0,ib|0,nb|0)|0;Sa=Wa;f[Sa>>2]=Xa;f[Sa+4>>2]=J;break}}Sa=mb+(_a<<2)|0;if(!(b[lb+_a>>0]|0)){f[Sa>>2]=0;gc=0;hc=ec}else{f[Sa>>2]=cb;gc=cb;hc=ec+(Y(f[f[k>>2]>>2]|0,cb)|0)|0}Sa=f[hc>>2]|0;f[hc>>2]=(Sa|0)>(_a|0)?_a:Sa;Sa=hc+8|0;Xa=f[Sa>>2]|0;f[Sa>>2]=(Xa|0)<(_a|0)?_a:Xa;Xa=hc+4|0;Sa=f[Xa>>2]|0;f[Xa>>2]=(Sa|0)>(tb|0)?tb:Sa;Sa=hc+12|0;Xa=f[Sa>>2]|0;f[Sa>>2]=(Xa|0)<(tb|0)?tb:Xa;Xa=hc+16|0;f[Xa>>2]=(f[Xa>>2]|0)+1;Xa=fc+(gc<<4)|0;Sa=Xa;Wa=hzc(f[Sa>>2]|0,f[Sa+4>>2]|0,_a|0,((_a|0)<0)<<31>>31|0)|0;Sa=Xa;f[Sa>>2]=Wa;f[Sa+4>>2]=J;Sa=fc+(gc<<4)+8|0;Wa=Sa;Xa=hzc(f[Wa>>2]|0,f[Wa+4>>2]|0,tb|0,jb|0)|0;Wa=Sa;f[Wa>>2]=Xa;f[Wa+4>>2]=J;if((ib|0)<(f[j>>2]|0)){Wa=ob+(kb<<2)|0;if(!(b[qb+kb>>0]|0)){f[Wa>>2]=0;ic=0;jc=ec}else{f[Wa>>2]=cb;ic=cb;jc=ec+(Y(f[f[k>>2]>>2]|0,cb)|0)|0}Wa=f[jc>>2]|0;f[jc>>2]=(Wa|0)>(kb|0)?kb:Wa;Wa=jc+8|0;Xa=f[Wa>>2]|0;f[Wa>>2]=(Xa|0)<(kb|0)?kb:Xa;Xa=jc+4|0;Wa=f[Xa>>2]|0;f[Xa>>2]=(Wa|0)>(ib|0)?ib:Wa;Wa=jc+12|0;Xa=f[Wa>>2]|0;f[Wa>>2]=(Xa|0)<(ib|0)?ib:Xa;Xa=jc+16|0;f[Xa>>2]=(f[Xa>>2]|0)+1;Xa=fc+(ic<<4)|0;Wa=Xa;Sa=hzc(f[Wa>>2]|0,f[Wa+4>>2]|0,kb|0,((kb|0)<0)<<31>>31|0)|0;Wa=Xa;f[Wa>>2]=Sa;f[Wa+4>>2]=J;Wa=fc+(ic<<4)+8|0;Sa=Wa;Xa=hzc(f[Sa>>2]|0,f[Sa+4>>2]|0,ib|0,nb|0)|0;Sa=Wa;f[Sa>>2]=Xa;f[Sa+4>>2]=J;Sa=ob+(_a<<2)|0;if(!(b[qb+_a>>0]|0)){f[Sa>>2]=0;Xa=f[ec>>2]|0;f[ec>>2]=(Xa|0)>(_a|0)?_a:Xa;Xa=ec+8|0;Wa=f[Xa>>2]|0;f[Xa>>2]=(Wa|0)<(_a|0)?_a:Wa;Wa=ec+4|0;Xa=f[Wa>>2]|0;f[Wa>>2]=(Xa|0)>(ib|0)?ib:Xa;Xa=ec+12|0;Wa=f[Xa>>2]|0;f[Xa>>2]=(Wa|0)<(ib|0)?ib:Wa;Wa=ec+16|0;f[Wa>>2]=(f[Wa>>2]|0)+1;Wa=fc;Xa=hzc(f[Wa>>2]|0,f[Wa+4>>2]|0,_a|0,((_a|0)<0)<<31>>31|0)|0;Wa=fc;f[Wa>>2]=Xa;f[Wa+4>>2]=J;Wa=fc+8|0;Xa=Wa;db=hzc(f[Xa>>2]|0,f[Xa+4>>2]|0,ib|0,nb|0)|0;Xa=Wa;f[Xa>>2]=db;f[Xa+4>>2]=J;break}else{f[Sa>>2]=cb;Sa=ec+(Y(f[f[k>>2]>>2]|0,cb)|0)|0;Xa=f[Sa>>2]|0;f[Sa>>2]=(Xa|0)>(_a|0)?_a:Xa;Xa=Sa+8|0;db=f[Xa>>2]|0;f[Xa>>2]=(db|0)<(_a|0)?_a:db;db=Sa+4|0;Xa=f[db>>2]|0;f[db>>2]=(Xa|0)>(ib|0)?ib:Xa;Xa=Sa+12|0;db=f[Xa>>2]|0;f[Xa>>2]=(db|0)<(ib|0)?ib:db;db=Sa+16|0;f[db>>2]=(f[db>>2]|0)+1;db=fc+(cb<<4)|0;Sa=db;Xa=hzc(f[Sa>>2]|0,f[Sa+4>>2]|0,_a|0,((_a|0)<0)<<31>>31|0)|0;_a=db;f[_a>>2]=Xa;f[_a+4>>2]=J;_a=fc+(cb<<4)+8|0;cb=_a;Xa=hzc(f[cb>>2]|0,f[cb+4>>2]|0,ib|0,nb|0)|0;cb=_a;f[cb>>2]=Xa;f[cb+4>>2]=J;break}}}else{f[hb>>2]=0;cb=f[vb>>2]|0;Xa=f[cb>>2]|0;f[cb>>2]=(Xa|0)>(kb|0)?kb:Xa;Xa=cb+8|0;_a=f[Xa>>2]|0;f[Xa>>2]=(_a|0)<(kb|0)?kb:_a;_a=cb+4|0;db=f[_a>>2]|0;f[_a>>2]=(db|0)>(tb|0)?tb:db;db=cb+12|0;Sa=f[db>>2]|0;f[db>>2]=(Sa|0)<(tb|0)?tb:Sa;Sa=cb+16|0;f[Sa>>2]=(f[Sa>>2]|0)+1;Wa=f[ub>>2]|0;ab=((kb|0)<0)<<31>>31;H=Wa;Ua=hzc(f[H>>2]|0,f[H+4>>2]|0,kb|0,ab|0)|0;H=J;Va=Wa;f[Va>>2]=Ua;f[Va+4>>2]=H;Va=Wa+8|0;bb=Va;$a=hzc(f[bb>>2]|0,f[bb+4>>2]|0,tb|0,jb|0)|0;bb=J;G=Va;f[G>>2]=$a;f[G+4>>2]=bb;G=kb|1;if((G|0)<(f[o>>2]|0)){f[mb+(G<<2)>>2]=0;Za=f[cb>>2]|0;f[cb>>2]=(Za|0)>(G|0)?G:Za;Za=f[Xa>>2]|0;f[Xa>>2]=(Za|0)<(G|0)?G:Za;Za=f[_a>>2]|0;f[_a>>2]=(Za|0)>(tb|0)?tb:Za;Za=f[db>>2]|0;f[db>>2]=(Za|0)<(tb|0)?tb:Za;f[Sa>>2]=(f[Sa>>2]|0)+1;Za=((G|0)<0)<<31>>31;Ya=hzc(Ua|0,H|0,G|0,Za|0)|0;fb=J;Pa=Wa;f[Pa>>2]=Ya;f[Pa+4>>2]=fb;Pa=hzc($a|0,bb|0,tb|0,jb|0)|0;eb=J;Qa=Va;f[Qa>>2]=Pa;f[Qa+4>>2]=eb;if((ib|0)>=(f[j>>2]|0))break;f[ob+(kb<<2)>>2]=0;f[ob+(G<<2)>>2]=0;Qa=f[cb>>2]|0;Ra=(Qa|0)>(kb|0)?kb:Qa;Qa=f[Xa>>2]|0;Ta=(Qa|0)<(kb|0)?kb:Qa;Qa=f[_a>>2]|0;Oa=f[db>>2]|0;Na=f[Sa>>2]|0;Ma=hzc(Ya|0,fb|0,kb|0,ab|0)|0;fb=J;Ya=hzc(Pa|0,eb|0,ib|0,nb|0)|0;eb=J;f[cb>>2]=(Ra|0)>(G|0)?G:Ra;f[Xa>>2]=(Ta|0)<(G|0)?G:Ta;f[_a>>2]=(Qa|0)>(ib|0)?ib:Qa;f[db>>2]=(Oa|0)<(ib|0)?ib:Oa;f[Sa>>2]=Na+2;Na=hzc(Ma|0,fb|0,G|0,Za|0)|0;Za=Wa;f[Za>>2]=Na;f[Za+4>>2]=J;Za=hzc(Ya|0,eb|0,ib|0,nb|0)|0;eb=Va;f[eb>>2]=Za;f[eb+4>>2]=J;break}else{if((ib|0)>=(f[j>>2]|0))break;f[ob+(kb<<2)>>2]=0;eb=f[cb>>2]|0;f[cb>>2]=(eb|0)>(kb|0)?kb:eb;eb=f[Xa>>2]|0;f[Xa>>2]=(eb|0)<(kb|0)?kb:eb;eb=f[_a>>2]|0;f[_a>>2]=(eb|0)>(ib|0)?ib:eb;eb=f[db>>2]|0;f[db>>2]=(eb|0)<(ib|0)?ib:eb;f[Sa>>2]=(f[Sa>>2]|0)+1;Sa=hzc(Ua|0,H|0,kb|0,ab|0)|0;ab=Wa;f[ab>>2]=Sa;f[ab+4>>2]=J;ab=hzc($a|0,bb|0,ib|0,nb|0)|0;bb=Va;f[bb>>2]=ab;f[bb+4>>2]=J;break}}while(0);kb=kb+2|0;kc=f[o>>2]|0}while((kb|0)<(kc|0));lc=f[j>>2]|0;mc=kc}else{lc=rb;mc=sb}tb=tb+2|0;if((tb|0)>=(lc|0))break;else{sb=mc;rb=lc}}}}while(0);lc=g+12|0;if((f[lc>>2]|0)<=0){TC(h);u=a;return zb|0}mc=f[g+20>>2]|0;kc=f[g+48>>2]|0;j=f[g+120>>2]|0;o=f[g+80>>2]|0;fc=f[g+108>>2]|0;g=0;do{ec=mc+(Y(f[kc>>2]|0,g)|0)|0;ic=ec+8|0;f[ic>>2]=(f[ic>>2]|0)+1-(f[ec>>2]|0);ic=ec+12|0;f[ic>>2]=(f[ic>>2]|0)+1-(f[ec+4>>2]|0);ic=o+(Y(f[fc>>2]|0,g)|0)|0;nc=+((f[ec+16>>2]|0)>>>0);ec=j+(g<<4)|0;p[ic>>3]=(+((f[ec>>2]|0)>>>0)+4294967296.0*+((f[ec+4>>2]|0)>>>0))/nc;ec=j+(g<<4)+8|0;p[ic+8>>3]=(+((f[ec>>2]|0)>>>0)+4294967296.0*+((f[ec+4>>2]|0)>>>0))/nc;g=g+1|0}while((g|0)<(f[lc>>2]|0));TC(h);u=a;return zb|0}function Lna(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0.0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;a=u;u=u+64|0;h=a+48|0;i=a+28|0;j=a;k=f[c+8>>2]|0;l=d+8|0;if((k|0)!=(f[l>>2]|0)){m=cuc(32)|0;f[h>>2]=m;f[h+8>>2]=-2147483616;f[h+4>>2]=26;n=m;o=347680;q=n+26|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(q|0));b[m+26>>0]=0;WD(-215,h,531152,347361,2526)}m=f[c+12>>2]|0;if((m|0)!=(f[d+12>>2]|0)){r=cuc(32)|0;f[h>>2]=r;f[h+8>>2]=-2147483616;f[h+4>>2]=26;n=r;o=347707;q=n+26|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(q|0));b[r+26>>0]=0;WD(-215,h,531152,347361,2527)}if((e|0)!=8){e=cuc(32)|0;f[h>>2]=e;f[h+8>>2]=-2147483616;f[h+4>>2]=17;n=e;o=347734;q=n+17|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(q|0));b[e+17>>0]=0;WD(-215,h,531152,347361,2528)}e=(m+1|0)/2|0;m=SC(k<<2)|0;o=SC((Y(((k+1|0)/2|0)<<2,e)|0)+4|0)|0;f[o>>2]=0;f[h>>2]=0;f[h+4>>2]=k;r=(k|0)/2|0;s=(tZ()|0)<<2;t=(s|0)<(r|0)?s:r;v=+(((t|0)>1?t:1)|0);f[i>>2]=78392;f[i+4>>2]=c;f[i+8>>2]=d;f[i+12>>2]=o;f[i+16>>2]=m;sZ(h,i,v);Mna(c,d,o,m);f[i>>2]=1;if((k|0)>0){t=0;do{r=t+1|0;s=(Y((r|0)/2|0,e)|0)+1|0;w=f[m+(r<<2)>>2]|0;r=w+s|0;if((w|0)>0){w=s;do{s=o+(w<<2)|0;x=f[s>>2]|0;if((x|0)<(w|0))f[s>>2]=f[o+(x<<2)>>2];else{f[s>>2]=f[i>>2];f[i>>2]=(f[i>>2]|0)+1}w=w+1|0}while((w|0)<(r|0))}t=f[m+(t<<2)>>2]|0}while((t|0)<(k|0))}t=k*136|0;e=euc(k>>>0>31580641|t>>>0>4294967291?-1:t+4|0)|0;f[e>>2]=k;t=e+4|0;if(k|0){r=t+(k*136|0)|0;k=t;do{f[k>>2]=0;f[k+4>>2]=1124007936;w=k+12|0;s=k+44|0;n=k+8|0;q=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(q|0));f[s>>2]=w;x=k+52|0;f[k+48>>2]=x;f[x>>2]=0;f[k+56>>2]=0;f[k+60>>2]=0;f[k+64>>2]=1124007936;x=k+72|0;y=k+104|0;n=k+68|0;q=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(q|0));f[y>>2]=x;w=k+112|0;f[k+108>>2]=w;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;f[w+12>>2]=0;f[w+16>>2]=0;f[w+20>>2]=0;k=k+136|0}while((k|0)!=(r|0))}Nna(g,f[i>>2]|0);f[j>>2]=78412;f[j+4>>2]=c;f[j+8>>2]=d;f[j+12>>2]=o;f[j+16>>2]=g;f[j+20>>2]=t;f[j+24>>2]=i;sZ(h,j,v);j=f[l>>2]|0;l=f[g+132>>2]|0;if((l|0)<(j|0)){h=g+20|0;d=g+48|0;c=g+120|0;r=l;l=f[i>>2]|0;while(1){if((l|0)>0){k=t+(r*136|0)+120|0;n=f[t+(r*136|0)+20>>2]|0;q=f[t+(r*136|0)+48>>2]|0;w=0;s=l;while(1){z=n+(Y(f[q>>2]|0,w)|0)|0;A=z+16|0;if((f[A>>2]|0)>0){B=(f[h>>2]|0)+(Y(f[f[d>>2]>>2]|0,w)|0)|0;C=f[B>>2]|0;D=f[z>>2]|0;f[B>>2]=(C|0)>(D|0)?D:C;C=B+8|0;f[C>>2]=f[((f[C>>2]|0)<(f[z+8>>2]|0)?z:B)+8>>2];C=B+4|0;f[C>>2]=f[((f[C>>2]|0)>(f[z+4>>2]|0)?z:B)+4>>2];C=B+12|0;f[C>>2]=f[((f[C>>2]|0)<(f[z+12>>2]|0)?z:B)+12>>2];z=B+16|0;f[z>>2]=(f[z>>2]|0)+(f[A>>2]|0);A=f[k>>2]|0;z=A+(w<<4)|0;B=f[c>>2]|0;C=B+(w<<4)|0;D=C;E=hzc(f[D>>2]|0,f[D+4>>2]|0,f[z>>2]|0,f[z+4>>2]|0)|0;z=C;f[z>>2]=E;f[z+4>>2]=J;z=A+(w<<4)+8|0;A=B+(w<<4)+8|0;B=A;E=hzc(f[B>>2]|0,f[B+4>>2]|0,f[z>>2]|0,f[z+4>>2]|0)|0;z=A;f[z>>2]=E;f[z+4>>2]=J;F=f[i>>2]|0}else F=s;w=w+1|0;if((w|0)>=(F|0)){G=F;break}else s=F}}else G=l;r=f[t+(r*136|0)+132>>2]|0;if((r|0)>=(j|0))break;else l=G}}G=g+12|0;if((f[G>>2]|0)>0){l=f[g+20>>2]|0;j=f[g+48>>2]|0;r=f[g+120>>2]|0;F=f[g+80>>2]|0;c=f[g+108>>2]|0;g=0;do{d=l+(Y(f[j>>2]|0,g)|0)|0;h=d+8|0;f[h>>2]=(f[h>>2]|0)+1-(f[d>>2]|0);h=d+12|0;f[h>>2]=(f[h>>2]|0)+1-(f[d+4>>2]|0);h=F+(Y(f[c>>2]|0,g)|0)|0;v=+((f[d+16>>2]|0)>>>0);d=r+(g<<4)|0;p[h>>3]=(+((f[d>>2]|0)>>>0)+4294967296.0*+((f[d+4>>2]|0)>>>0))/v;d=r+(g<<4)+8|0;p[h+8>>3]=(+((f[d>>2]|0)>>>0)+4294967296.0*+((f[d+4>>2]|0)>>>0))/v;g=g+1|0}while((g|0)<(f[G>>2]|0))}G=t+((f[e>>2]|0)*136|0)|0;if((t|0)==(G|0)){guc(e);TC(m);TC(o);H=f[i>>2]|0;u=a;return H|0}else I=G;do{I=I+-136|0;Fna(I)}while((I|0)!=(t|0));guc(e);TC(m);TC(o);H=f[i>>2]|0;u=a;return H|0}function Mna(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0;g=f[c+12>>2]|0;h=f[c+8>>2]|0;i=f[e>>2]|0;if((i|0)>=(h|0))return;j=(g|0)>0;k=g+-1|0;l=g+-2|0;m=f[c+16>>2]|0;n=f[c+44>>2]|0;c=f[a+16>>2]|0;o=f[a+44>>2]|0;a=i;do{i=f[n>>2]|0;p=m+(Y(i,a)|0)|0;q=0-i|0;i=p+q+q|0;q=f[o>>2]|0;r=c+(Y(q,a)|0)|0;s=r+(0-q)|0;if(j){q=0;do{t=p+(q<<2)|0;u=f[t>>2]|0;if((u|0)>0){if((((q|0)>1?(v=f[i+(q+-2<<2)>>2]|0,(v|0)>0):0)?(b[r+q>>0]|0)!=0:0)?(b[s+(q+-1)>>0]|0)!=0:0){w=v;while(1){x=f[d+(w<<2)>>2]|0;if((x|0)<(w|0))w=x;else break}if((v|0)==(u|0))y=w;else{x=u;while(1){z=f[d+(x<<2)>>2]|0;if((z|0)<(x|0))x=z;else break}z=(w|0)>(x|0)?x:w;A=u;do{B=d+(A<<2)|0;C=A;A=f[B>>2]|0;f[B>>2]=z}while((A|0)<(C|0));y=z}z=v;do{A=d+(z<<2)|0;w=z;z=f[A>>2]|0;f[A>>2]=y}while((z|0)<(w|0));f[t>>2]=y;D=y}else D=u;z=f[i+(q<<2)>>2]|0;a:do if((z|0)>0){v=b[r+q>>0]|0;w=v<<24>>24!=0;if((q|0)>=(k|0)){if(!w){E=D;break}if(!(b[s+q>>0]|0)){E=D;break}else F=z;while(1){A=f[d+(F<<2)>>2]|0;if((A|0)<(F|0))F=A;else break}if((z|0)==(D|0))G=F;else{A=D;while(1){x=f[d+(A<<2)>>2]|0;if((x|0)<(A|0))A=x;else break}x=(F|0)>(A|0)?A:F;C=D;do{B=d+(C<<2)|0;H=C;C=f[B>>2]|0;f[B>>2]=x}while((C|0)<(H|0));G=x}x=z;do{C=d+(x<<2)|0;A=x;x=f[C>>2]|0;f[C>>2]=G}while((x|0)<(A|0));f[t>>2]=G;E=G;break}if(w?(b[s+q>>0]|0)!=0:0)I=z;else J=23;do if((J|0)==23){J=0;x=q|1;A=(b[r+x>>0]|0)!=0;if(A?b[s+q>>0]|0:0){I=z;break}if(v<<24>>24?b[s+x>>0]|0:0){I=z;break}if(!A){E=D;break a}if(!(b[s+x>>0]|0)){E=D;break a}else I=z}while(0);while(1){v=f[d+(I<<2)>>2]|0;if((v|0)<(I|0))I=v;else break}if((z|0)==(D|0))K=I;else{v=D;while(1){w=f[d+(v<<2)>>2]|0;if((w|0)<(v|0))v=w;else break}w=(I|0)>(v|0)?v:I;x=D;do{A=d+(x<<2)|0;C=x;x=f[A>>2]|0;f[A>>2]=w}while((x|0)<(C|0));K=w}w=z;do{x=d+(w<<2)|0;v=w;w=f[x>>2]|0;f[x>>2]=K}while((w|0)<(v|0));f[t>>2]=K;E=K}else E=D;while(0);if((((q|0)<(l|0)?(z=q+2|0,u=f[i+(z<<2)>>2]|0,(u|0)>0):0)?b[r+(q|1)>>0]|0:0)?b[s+z>>0]|0:0){z=u;while(1){w=f[d+(z<<2)>>2]|0;if((w|0)<(z|0))z=w;else break}if((u|0)==(E|0))L=z;else{w=E;while(1){v=f[d+(w<<2)>>2]|0;if((v|0)<(w|0))w=v;else break}v=(z|0)>(w|0)?w:z;x=E;do{C=d+(x<<2)|0;A=x;x=f[C>>2]|0;f[C>>2]=v}while((x|0)<(A|0));L=v}v=u;do{x=d+(v<<2)|0;z=v;v=f[x>>2]|0;f[x>>2]=L}while((v|0)<(z|0));f[t>>2]=L}}q=q+2|0}while((q|0)<(g|0))}a=f[e+(a<<2)>>2]|0}while((a|0)<(h|0));return}function Nna(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;c=u;u=u+80|0;d=c+64|0;e=c;g=c+56|0;h=f[a>>2]|0;f[d>>2]=5;f[d+4>>2]=b;IJ(h,d,4,-1,0,0);d=f[a>>2]|0;do if((qJ(d)|0)==65536){h=f[d+4>>2]|0;f[e>>2]=f[h>>2];i=e+4|0;j=h+4|0;f[i>>2]=f[j>>2];k=e+8|0;f[k>>2]=f[h+8>>2];f[e+12>>2]=f[h+12>>2];f[e+16>>2]=f[h+16>>2];f[e+20>>2]=f[h+20>>2];f[e+24>>2]=f[h+24>>2];f[e+28>>2]=f[h+28>>2];f[e+32>>2]=f[h+32>>2];l=f[h+36>>2]|0;f[e+36>>2]=l;f[e+40>>2]=k;k=e+48|0;m=e+44|0;f[m>>2]=k;f[k>>2]=0;f[e+52>>2]=0;if(l|0){k=l+12|0;f[k>>2]=(f[k>>2]|0)+1}if((f[j>>2]|0)<3){j=f[h+44>>2]|0;k=f[m>>2]|0;f[k>>2]=f[j>>2];f[k+4>>2]=f[j+4>>2];break}else{f[i>>2]=0;$T(e,h);break}}else nJ(e,d,-1);while(0);d=a+4|0;if((d|0)==(e|0)){h=e+36|0;i=f[h>>2]|0;if((i|0)!=0?(j=i+12|0,i=f[j>>2]|0,f[j>>2]=i+-1,(i|0)==1):0){aU(e);n=h}else n=h}else{h=a+40|0;i=f[h>>2]|0;if(i|0?(j=i+12|0,i=f[j>>2]|0,f[j>>2]=i+-1,(i|0)==1):0)aU(d);f[h>>2]=0;i=a+20|0;j=a+8|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;if((f[j>>2]|0)>0){k=f[a+44>>2]|0;m=0;do{f[k+(m<<2)>>2]=0;m=m+1|0}while((m|0)<(f[j>>2]|0))}f[d>>2]=f[e>>2];d=e+4|0;m=f[d>>2]|0;f[j>>2]=m;j=e+8|0;k=a+12|0;f[k>>2]=f[j>>2];f[a+16>>2]=f[e+12>>2];f[i>>2]=f[e+16>>2];f[a+24>>2]=f[e+20>>2];f[a+28>>2]=f[e+24>>2];f[a+32>>2]=f[e+28>>2];f[a+36>>2]=f[e+32>>2];i=e+36|0;f[h>>2]=f[i>>2];h=a+48|0;l=f[h>>2]|0;o=a+52|0;if((l|0)==(o|0)){p=m;q=l}else{TC(l);f[h>>2]=o;f[a+44>>2]=k;p=f[d>>2]|0;q=o}o=e+44|0;if((p|0)<3){p=f[o>>2]|0;f[q>>2]=f[p>>2];f[q+4>>2]=f[p+4>>2]}else{f[h>>2]=f[o>>2];h=e+40|0;f[a+44>>2]=f[h>>2];f[o>>2]=e+48;f[h>>2]=j}f[e>>2]=1124007936;r=d;s=r+36|0;do{f[r>>2]=0;r=r+4|0}while((r|0)<(s|0));n=i}f[n>>2]=0;n=e+16|0;i=e+4|0;f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;f[n+12>>2]=0;if((f[i>>2]|0)>0){n=f[e+40>>2]|0;d=0;do{f[n+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[i>>2]|0))}i=f[e+44>>2]|0;if((i|0)!=(e+48|0))TC(i);i=a+60|0;d=f[i>>2]|0;f[g>>2]=2;f[g+4>>2]=b;IJ(d,g,6,-1,0,0);g=f[i>>2]|0;do if((qJ(g)|0)==65536){i=f[g+4>>2]|0;f[e>>2]=f[i>>2];d=e+4|0;n=i+4|0;f[d>>2]=f[n>>2];j=e+8|0;f[j>>2]=f[i+8>>2];f[e+12>>2]=f[i+12>>2];f[e+16>>2]=f[i+16>>2];f[e+20>>2]=f[i+20>>2];f[e+24>>2]=f[i+24>>2];f[e+28>>2]=f[i+28>>2];f[e+32>>2]=f[i+32>>2];h=f[i+36>>2]|0;f[e+36>>2]=h;f[e+40>>2]=j;j=e+48|0;o=e+44|0;f[o>>2]=j;f[j>>2]=0;f[e+52>>2]=0;if(h|0){j=h+12|0;f[j>>2]=(f[j>>2]|0)+1}if((f[n>>2]|0)<3){n=f[i+44>>2]|0;j=f[o>>2]|0;f[j>>2]=f[n>>2];f[j+4>>2]=f[n+4>>2];break}else{f[d>>2]=0;$T(e,i);break}}else nJ(e,g,-1);while(0);g=a+64|0;if((g|0)==(e|0)){i=e+36|0;d=f[i>>2]|0;if((d|0)!=0?(n=d+12|0,d=f[n>>2]|0,f[n>>2]=d+-1,(d|0)==1):0){aU(e);t=i}else t=i}else{i=a+100|0;d=f[i>>2]|0;if(d|0?(n=d+12|0,d=f[n>>2]|0,f[n>>2]=d+-1,(d|0)==1):0)aU(g);f[i>>2]=0;d=a+80|0;n=a+68|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[n>>2]|0)>0){j=f[a+104>>2]|0;o=0;do{f[j+(o<<2)>>2]=0;o=o+1|0}while((o|0)<(f[n>>2]|0))}f[g>>2]=f[e>>2];g=e+4|0;o=f[g>>2]|0;f[n>>2]=o;n=e+8|0;j=a+72|0;f[j>>2]=f[n>>2];f[a+76>>2]=f[e+12>>2];f[d>>2]=f[e+16>>2];f[a+84>>2]=f[e+20>>2];f[a+88>>2]=f[e+24>>2];f[a+92>>2]=f[e+28>>2];f[a+96>>2]=f[e+32>>2];d=e+36|0;f[i>>2]=f[d>>2];i=a+108|0;h=f[i>>2]|0;p=a+112|0;if((h|0)==(p|0)){v=o;w=h}else{TC(h);f[i>>2]=p;f[a+104>>2]=j;v=f[g>>2]|0;w=p}p=e+44|0;if((v|0)<3){v=f[p>>2]|0;f[w>>2]=f[v>>2];f[w+4>>2]=f[v+4>>2]}else{f[i>>2]=f[p>>2];i=e+40|0;f[a+104>>2]=f[i>>2];f[p>>2]=e+48;f[i>>2]=n}f[e>>2]=1124007936;r=g;s=r+36|0;do{f[r>>2]=0;r=r+4|0}while((r|0)<(s|0));t=d}f[t>>2]=0;t=e+16|0;d=e+4|0;f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;f[t+12>>2]=0;if((f[d>>2]|0)>0){t=f[e+40>>2]|0;r=0;do{f[t+(r<<2)>>2]=0;r=r+1|0}while((r|0)<(f[d>>2]|0))}d=f[e+44>>2]|0;if((d|0)!=(e+48|0))TC(d);if((b|0)>0){d=f[a+20>>2]|0;r=f[a+48>>2]|0;t=0;do{s=d+(Y(f[r>>2]|0,t)|0)|0;f[s>>2]=2147483647;f[s+4>>2]=2147483647;f[s+8>>2]=-2147483648;f[s+12>>2]=-2147483648;f[s+16>>2]=0;t=t+1|0}while((t|0)!=(b|0))}t=a+120|0;r=a+124|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;a=f[r>>2]|0;d=f[t>>2]|0;s=a-d>>4;g=a;if(s>>>0<b>>>0){Rna(t,b-s|0,e);u=c;return}if(s>>>0<=b>>>0){u=c;return}s=d+(b<<4)|0;if((g|0)==(s|0)){u=c;return}f[r>>2]=g+(~((g+-16-s|0)>>>4)<<4);u=c;return}function Ona(a){a=a|0;fuc(a);return}function Pna(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0;d=f[c>>2]|0;e=((d|0)%2|0)+d|0;d=f[c+4>>2]|0;c=((d|0)%2|0)+d|0;if((e|0)>0){d=a+20|0;Qna((f[d>>2]|0)+(e*136|0)|0,f[f[a+24>>2]>>2]|0);g=f[d>>2]|0;f[g+(e*136|0)+132>>2]=c;d=a+8|0;h=f[d>>2]|0;i=f[h+12>>2]|0;j=(i&1|0)!=0;k=(e|0)<(c|0);if(!(f[h+8>>2]&1)){if(!j){if(!k)return;l=a+4|0;m=a+12|0;n=g+(e*136|0)+20|0;o=g+(e*136|0)+120|0;p=g+(e*136|0)+20|0;q=g+(e*136|0)+48|0;r=g+(e*136|0)+48|0;s=g+(e*136|0)+48|0;t=g+(e*136|0)+20|0;u=g+(e*136|0)+48|0;v=g+(e*136|0)+120|0;w=g+(e*136|0)+20|0;x=g+(e*136|0)+120|0;y=e;z=h;A=i;while(1){B=f[l>>2]|0;C=f[f[B+44>>2]>>2]|0;D=(f[B+16>>2]|0)+(Y(C,y)|0)|0;B=D+C|0;C=f[f[z+44>>2]>>2]|0;E=(f[z+16>>2]|0)+(Y(C,y)|0)|0;F=E+C|0;if((A|0)>0){C=((y|0)<0)<<31>>31;G=y+1|0;H=((G|0)<0)<<31>>31;I=0;do{K=E+(I<<2)|0;L=f[K>>2]|0;do if((L|0)>0){M=f[(f[m>>2]|0)+(L<<2)>>2]|0;if(!(b[D+I>>0]|0)){f[K>>2]=0;N=f[n>>2]|0;O=f[N>>2]|0;f[N>>2]=(O|0)>(I|0)?I:O;O=N+8|0;P=f[O>>2]|0;f[O>>2]=(P|0)<(I|0)?I:P;P=N+4|0;O=f[P>>2]|0;f[P>>2]=(O|0)>(y|0)?y:O;O=N+12|0;P=f[O>>2]|0;f[O>>2]=(P|0)<(y|0)?y:P;P=N+16|0;f[P>>2]=(f[P>>2]|0)+1;P=f[o>>2]|0;O=P;Q=hzc(f[O>>2]|0,f[O+4>>2]|0,I|0,((I|0)<0)<<31>>31|0)|0;O=P;f[O>>2]=Q;f[O+4>>2]=J;R=P+8|0;S=N;T=P}else{f[K>>2]=M;P=f[t>>2]|0;N=P+(Y(f[f[u>>2]>>2]|0,M)|0)|0;O=f[N>>2]|0;f[N>>2]=(O|0)>(I|0)?I:O;O=N+8|0;Q=f[O>>2]|0;f[O>>2]=(Q|0)<(I|0)?I:Q;Q=N+4|0;O=f[Q>>2]|0;f[Q>>2]=(O|0)>(y|0)?y:O;O=N+12|0;Q=f[O>>2]|0;f[O>>2]=(Q|0)<(y|0)?y:Q;Q=N+16|0;f[Q>>2]=(f[Q>>2]|0)+1;Q=f[v>>2]|0;N=Q+(M<<4)|0;O=N;U=hzc(f[O>>2]|0,f[O+4>>2]|0,I|0,((I|0)<0)<<31>>31|0)|0;O=N;f[O>>2]=U;f[O+4>>2]=J;R=Q+(M<<4)+8|0;S=P;T=Q}Q=R;P=hzc(f[Q>>2]|0,f[Q+4>>2]|0,y|0,C|0)|0;Q=R;f[Q>>2]=P;f[Q+4>>2]=J;Q=I|1;P=E+(Q<<2)|0;if(!(b[D+Q>>0]|0)){f[P>>2]=0;V=0;W=S}else{f[P>>2]=M;V=M;W=S+(Y(f[f[s>>2]>>2]|0,M)|0)|0}P=f[W>>2]|0;f[W>>2]=(P|0)>(Q|0)?Q:P;P=W+8|0;O=f[P>>2]|0;f[P>>2]=(O|0)<(Q|0)?Q:O;O=W+4|0;P=f[O>>2]|0;f[O>>2]=(P|0)>(y|0)?y:P;P=W+12|0;O=f[P>>2]|0;f[P>>2]=(O|0)<(y|0)?y:O;O=W+16|0;f[O>>2]=(f[O>>2]|0)+1;O=T+(V<<4)|0;P=O;U=hzc(f[P>>2]|0,f[P+4>>2]|0,Q|0,((Q|0)<0)<<31>>31|0)|0;P=O;f[P>>2]=U;f[P+4>>2]=J;P=T+(V<<4)+8|0;U=P;O=hzc(f[U>>2]|0,f[U+4>>2]|0,y|0,C|0)|0;U=P;f[U>>2]=O;f[U+4>>2]=J;U=F+(I<<2)|0;if(!(b[B+I>>0]|0)){f[U>>2]=0;X=0;Z=S}else{f[U>>2]=M;X=M;Z=S+(Y(f[f[r>>2]>>2]|0,M)|0)|0}U=f[Z>>2]|0;f[Z>>2]=(U|0)>(I|0)?I:U;U=Z+8|0;O=f[U>>2]|0;f[U>>2]=(O|0)<(I|0)?I:O;O=Z+4|0;U=f[O>>2]|0;f[O>>2]=(U|0)>(G|0)?G:U;U=Z+12|0;O=f[U>>2]|0;f[U>>2]=(O|0)<(G|0)?G:O;O=Z+16|0;f[O>>2]=(f[O>>2]|0)+1;O=T+(X<<4)|0;U=O;P=hzc(f[U>>2]|0,f[U+4>>2]|0,I|0,((I|0)<0)<<31>>31|0)|0;U=O;f[U>>2]=P;f[U+4>>2]=J;U=T+(X<<4)+8|0;P=U;O=hzc(f[P>>2]|0,f[P+4>>2]|0,G|0,H|0)|0;P=U;f[P>>2]=O;f[P+4>>2]=J;P=F+(Q<<2)|0;O=f[p>>2]|0;if(!(b[B+Q>>0]|0)){f[P>>2]=0;U=f[O>>2]|0;f[O>>2]=(U|0)>(Q|0)?Q:U;U=O+8|0;N=f[U>>2]|0;f[U>>2]=(N|0)<(Q|0)?Q:N;N=O+4|0;U=f[N>>2]|0;f[N>>2]=(U|0)>(G|0)?G:U;U=O+12|0;N=f[U>>2]|0;f[U>>2]=(N|0)<(G|0)?G:N;N=O+16|0;f[N>>2]=(f[N>>2]|0)+1;N=T;U=hzc(f[N>>2]|0,f[N+4>>2]|0,Q|0,((Q|0)<0)<<31>>31|0)|0;N=T;f[N>>2]=U;f[N+4>>2]=J;_=T+8|0;break}else{f[P>>2]=M;P=O+(Y(f[f[q>>2]>>2]|0,M)|0)|0;O=f[P>>2]|0;f[P>>2]=(O|0)>(Q|0)?Q:O;O=P+8|0;N=f[O>>2]|0;f[O>>2]=(N|0)<(Q|0)?Q:N;N=P+4|0;O=f[N>>2]|0;f[N>>2]=(O|0)>(G|0)?G:O;O=P+12|0;N=f[O>>2]|0;f[O>>2]=(N|0)<(G|0)?G:N;N=P+16|0;f[N>>2]=(f[N>>2]|0)+1;N=T+(M<<4)|0;P=N;O=hzc(f[P>>2]|0,f[P+4>>2]|0,Q|0,((Q|0)<0)<<31>>31|0)|0;Q=N;f[Q>>2]=O;f[Q+4>>2]=J;_=T+(M<<4)+8|0;break}}else{f[K>>2]=0;M=I|1;f[E+(M<<2)>>2]=0;f[F+(I<<2)>>2]=0;f[F+(M<<2)>>2]=0;Q=f[w>>2]|0;O=f[Q>>2]|0;N=(O|0)>(I|0)?I:O;O=Q+8|0;P=f[O>>2]|0;U=(P|0)<(I|0)?I:P;P=Q+4|0;$=f[P>>2]|0;aa=($|0)>(y|0)?y:$;$=Q+12|0;ba=f[$>>2]|0;ca=(ba|0)<(y|0)?y:ba;ba=Q+16|0;da=f[ba>>2]|0;ea=f[x>>2]|0;fa=((I|0)<0)<<31>>31;ga=ea;ha=hzc(f[ga>>2]|0,f[ga+4>>2]|0,I|0,fa|0)|0;ga=J;ia=ea+8|0;ja=ia;ka=hzc(f[ja>>2]|0,f[ja+4>>2]|0,y|0,C|0)|0;ja=J;la=(N|0)>(M|0)?M:N;N=((M|0)<0)<<31>>31;ma=hzc(ha|0,ga|0,M|0,N|0)|0;ga=J;ha=hzc(ka|0,ja|0,y|0,C|0)|0;ja=J;ka=hzc(ma|0,ga|0,I|0,fa|0)|0;fa=J;ga=hzc(ha|0,ja|0,G|0,H|0)|0;ja=ia;f[ja>>2]=ga;f[ja+4>>2]=J;f[Q>>2]=(la|0)>(I|0)?I:la;f[O>>2]=(U|0)<(M|0)?M:U;f[P>>2]=(aa|0)>(G|0)?G:aa;f[$>>2]=(ca|0)<(G|0)?G:ca;f[ba>>2]=da+4;da=hzc(ka|0,fa|0,M|0,N|0)|0;N=ea;f[N>>2]=da;f[N+4>>2]=J;_=ia}while(0);K=_;L=hzc(f[K>>2]|0,f[K+4>>2]|0,G|0,H|0)|0;K=_;f[K>>2]=L;f[K+4>>2]=J;I=I+2|0;K=f[d>>2]|0;L=f[K+12>>2]|0}while((I|0)<(L|0));na=L;oa=K}else{na=A;oa=z}y=y+2|0;if((y|0)>=(c|0))break;else{z=oa;A=na}}return}if(!k)return;na=a+4|0;A=a+12|0;oa=g+(e*136|0)+20|0;z=g+(e*136|0)+120|0;y=g+(e*136|0)+20|0;_=g+(e*136|0)+48|0;x=g+(e*136|0)+48|0;w=g+(e*136|0)+48|0;T=g+(e*136|0)+20|0;q=g+(e*136|0)+48|0;p=g+(e*136|0)+120|0;X=g+(e*136|0)+20|0;Z=g+(e*136|0)+120|0;r=e;S=h;V=i;while(1){W=f[na>>2]|0;s=f[f[W+44>>2]>>2]|0;R=(f[W+16>>2]|0)+(Y(s,r)|0)|0;W=R+s|0;s=f[f[S+44>>2]>>2]|0;v=(f[S+16>>2]|0)+(Y(s,r)|0)|0;u=v+s|0;if((V|0)>0){s=((r|0)<0)<<31>>31;t=r+1|0;o=((t|0)<0)<<31>>31;n=0;do{m=v+(n<<2)|0;l=f[m>>2]|0;do if((l|0)>0){I=f[(f[A>>2]|0)+(l<<2)>>2]|0;if(!(b[R+n>>0]|0)){f[m>>2]=0;H=f[oa>>2]|0;G=f[H>>2]|0;f[H>>2]=(G|0)>(n|0)?n:G;G=H+8|0;C=f[G>>2]|0;f[G>>2]=(C|0)<(n|0)?n:C;C=H+4|0;G=f[C>>2]|0;f[C>>2]=(G|0)>(r|0)?r:G;G=H+12|0;C=f[G>>2]|0;f[G>>2]=(C|0)<(r|0)?r:C;C=H+16|0;f[C>>2]=(f[C>>2]|0)+1;C=f[z>>2]|0;G=C;F=hzc(f[G>>2]|0,f[G+4>>2]|0,n|0,((n|0)<0)<<31>>31|0)|0;G=C;f[G>>2]=F;f[G+4>>2]=J;pa=C+8|0;qa=H;ra=C}else{f[m>>2]=I;C=f[T>>2]|0;H=C+(Y(f[f[q>>2]>>2]|0,I)|0)|0;G=f[H>>2]|0;f[H>>2]=(G|0)>(n|0)?n:G;G=H+8|0;F=f[G>>2]|0;f[G>>2]=(F|0)<(n|0)?n:F;F=H+4|0;G=f[F>>2]|0;f[F>>2]=(G|0)>(r|0)?r:G;G=H+12|0;F=f[G>>2]|0;f[G>>2]=(F|0)<(r|0)?r:F;F=H+16|0;f[F>>2]=(f[F>>2]|0)+1;F=f[p>>2]|0;H=F+(I<<4)|0;G=H;E=hzc(f[G>>2]|0,f[G+4>>2]|0,n|0,((n|0)<0)<<31>>31|0)|0;G=H;f[G>>2]=E;f[G+4>>2]=J;pa=F+(I<<4)+8|0;qa=C;ra=F}F=pa;C=hzc(f[F>>2]|0,f[F+4>>2]|0,r|0,s|0)|0;F=pa;f[F>>2]=C;f[F+4>>2]=J;F=u+(n<<2)|0;if(!(b[W+n>>0]|0)){f[F>>2]=0;sa=0;ta=qa}else{f[F>>2]=I;sa=I;ta=qa+(Y(f[f[w>>2]>>2]|0,I)|0)|0}F=f[ta>>2]|0;f[ta>>2]=(F|0)>(n|0)?n:F;F=ta+8|0;C=f[F>>2]|0;f[F>>2]=(C|0)<(n|0)?n:C;C=ta+4|0;F=f[C>>2]|0;f[C>>2]=(F|0)>(t|0)?t:F;F=ta+12|0;C=f[F>>2]|0;f[F>>2]=(C|0)<(t|0)?t:C;C=ta+16|0;f[C>>2]=(f[C>>2]|0)+1;C=ra+(sa<<4)|0;F=C;G=hzc(f[F>>2]|0,f[F+4>>2]|0,n|0,((n|0)<0)<<31>>31|0)|0;F=C;f[F>>2]=G;f[F+4>>2]=J;F=ra+(sa<<4)+8|0;G=F;C=hzc(f[G>>2]|0,f[G+4>>2]|0,t|0,o|0)|0;G=F;f[G>>2]=C;f[G+4>>2]=J;G=n|1;if((G|0)<(f[(f[d>>2]|0)+12>>2]|0)){C=v+(G<<2)|0;if(!(b[R+G>>0]|0)){f[C>>2]=0;ua=0;va=qa}else{f[C>>2]=I;ua=I;va=qa+(Y(f[f[x>>2]>>2]|0,I)|0)|0}C=f[va>>2]|0;f[va>>2]=(C|0)>(G|0)?G:C;C=va+8|0;F=f[C>>2]|0;f[C>>2]=(F|0)<(G|0)?G:F;F=va+4|0;C=f[F>>2]|0;f[F>>2]=(C|0)>(r|0)?r:C;C=va+12|0;F=f[C>>2]|0;f[C>>2]=(F|0)<(r|0)?r:F;F=va+16|0;f[F>>2]=(f[F>>2]|0)+1;F=ra+(ua<<4)|0;C=F;E=hzc(f[C>>2]|0,f[C+4>>2]|0,G|0,((G|0)<0)<<31>>31|0)|0;C=F;f[C>>2]=E;f[C+4>>2]=J;C=ra+(ua<<4)+8|0;E=C;F=hzc(f[E>>2]|0,f[E+4>>2]|0,r|0,s|0)|0;E=C;f[E>>2]=F;f[E+4>>2]=J;E=u+(G<<2)|0;F=f[y>>2]|0;if(!(b[W+G>>0]|0)){f[E>>2]=0;C=f[F>>2]|0;f[F>>2]=(C|0)>(G|0)?G:C;C=F+8|0;H=f[C>>2]|0;f[C>>2]=(H|0)<(G|0)?G:H;H=F+4|0;C=f[H>>2]|0;f[H>>2]=(C|0)>(t|0)?t:C;C=F+12|0;H=f[C>>2]|0;f[C>>2]=(H|0)<(t|0)?t:H;H=F+16|0;f[H>>2]=(f[H>>2]|0)+1;H=ra;C=hzc(f[H>>2]|0,f[H+4>>2]|0,G|0,((G|0)<0)<<31>>31|0)|0;H=ra;f[H>>2]=C;f[H+4>>2]=J;H=ra+8|0;C=H;B=hzc(f[C>>2]|0,f[C+4>>2]|0,t|0,o|0)|0;C=H;f[C>>2]=B;f[C+4>>2]=J;break}else{f[E>>2]=I;E=F+(Y(f[f[_>>2]>>2]|0,I)|0)|0;F=f[E>>2]|0;f[E>>2]=(F|0)>(G|0)?G:F;F=E+8|0;C=f[F>>2]|0;f[F>>2]=(C|0)<(G|0)?G:C;C=E+4|0;F=f[C>>2]|0;f[C>>2]=(F|0)>(t|0)?t:F;F=E+12|0;C=f[F>>2]|0;f[F>>2]=(C|0)<(t|0)?t:C;C=E+16|0;f[C>>2]=(f[C>>2]|0)+1;C=ra+(I<<4)|0;E=C;F=hzc(f[E>>2]|0,f[E+4>>2]|0,G|0,((G|0)<0)<<31>>31|0)|0;G=C;f[G>>2]=F;f[G+4>>2]=J;G=ra+(I<<4)+8|0;I=G;F=hzc(f[I>>2]|0,f[I+4>>2]|0,t|0,o|0)|0;I=G;f[I>>2]=F;f[I+4>>2]=J;break}}}else{f[m>>2]=0;f[u+(n<<2)>>2]=0;I=f[X>>2]|0;F=f[I>>2]|0;G=I+8|0;C=f[G>>2]|0;E=I+4|0;B=f[E>>2]|0;H=(B|0)>(r|0)?r:B;B=I+12|0;D=f[B>>2]|0;K=(D|0)<(r|0)?r:D;D=I+16|0;L=f[D>>2]|0;ia=f[Z>>2]|0;N=((n|0)<0)<<31>>31;da=ia;ea=hzc(f[da>>2]|0,f[da+4>>2]|0,n|0,N|0)|0;da=J;M=ia+8|0;fa=M;ka=hzc(f[fa>>2]|0,f[fa+4>>2]|0,r|0,s|0)|0;fa=J;f[I>>2]=(F|0)>(n|0)?n:F;f[G>>2]=(C|0)<(n|0)?n:C;f[E>>2]=(H|0)>(t|0)?t:H;f[B>>2]=(K|0)<(t|0)?t:K;f[D>>2]=L+2;L=hzc(ea|0,da|0,n|0,N|0)|0;N=J;da=ia;f[da>>2]=L;f[da+4>>2]=N;da=hzc(ka|0,fa|0,t|0,o|0)|0;fa=J;ka=M;f[ka>>2]=da;f[ka+4>>2]=fa;ka=n|1;if((ka|0)<(f[(f[d>>2]|0)+12>>2]|0)){f[v+(ka<<2)>>2]=0;f[u+(ka<<2)>>2]=0;ea=f[I>>2]|0;K=f[G>>2]|0;H=f[E>>2]|0;C=(H|0)>(r|0)?r:H;H=f[B>>2]|0;F=(H|0)<(r|0)?r:H;H=f[D>>2]|0;ba=((ka|0)<0)<<31>>31;ca=hzc(L|0,N|0,ka|0,ba|0)|0;N=J;L=hzc(da|0,fa|0,r|0,s|0)|0;fa=J;f[I>>2]=(ea|0)>(ka|0)?ka:ea;f[G>>2]=(K|0)<(ka|0)?ka:K;f[E>>2]=(C|0)>(t|0)?t:C;f[B>>2]=(F|0)<(t|0)?t:F;f[D>>2]=H+2;H=hzc(ca|0,N|0,ka|0,ba|0)|0;ba=ia;f[ba>>2]=H;f[ba+4>>2]=J;ba=hzc(L|0,fa|0,t|0,o|0)|0;fa=M;f[fa>>2]=ba;f[fa+4>>2]=J}}while(0);n=n+2|0;m=f[d>>2]|0;l=f[m+12>>2]|0}while((n|0)<(l|0));wa=l;xa=m}else{wa=V;xa=S}r=r+2|0;if((r|0)>=(c|0))break;else{S=xa;V=wa}}return}if(!j){if(!k)return;j=a+4|0;wa=a+12|0;V=g+(e*136|0)+20|0;xa=g+(e*136|0)+120|0;S=g+(e*136|0)+20|0;r=g+(e*136|0)+48|0;Z=g+(e*136|0)+48|0;X=g+(e*136|0)+48|0;ra=g+(e*136|0)+20|0;_=g+(e*136|0)+48|0;y=g+(e*136|0)+120|0;ua=g+(e*136|0)+20|0;va=g+(e*136|0)+120|0;x=e;qa=h;sa=i;while(1){ta=f[j>>2]|0;w=f[f[ta+44>>2]>>2]|0;pa=(f[ta+16>>2]|0)+(Y(w,x)|0)|0;ta=pa+w|0;w=f[f[qa+44>>2]>>2]|0;p=(f[qa+16>>2]|0)+(Y(w,x)|0)|0;q=p+w|0;if((sa|0)>0){w=((x|0)<0)<<31>>31;T=x+1|0;z=((T|0)<0)<<31>>31;oa=0;do{A=p+(oa<<2)|0;na=f[A>>2]|0;do if((na|0)>0){n=f[(f[wa>>2]|0)+(na<<2)>>2]|0;if(!(b[pa+oa>>0]|0)){f[A>>2]=0;o=f[V>>2]|0;t=f[o>>2]|0;f[o>>2]=(t|0)>(oa|0)?oa:t;t=o+8|0;s=f[t>>2]|0;f[t>>2]=(s|0)<(oa|0)?oa:s;s=o+4|0;t=f[s>>2]|0;f[s>>2]=(t|0)>(x|0)?x:t;t=o+12|0;s=f[t>>2]|0;f[t>>2]=(s|0)<(x|0)?x:s;s=o+16|0;f[s>>2]=(f[s>>2]|0)+1;s=f[xa>>2]|0;t=s;u=hzc(f[t>>2]|0,f[t+4>>2]|0,oa|0,((oa|0)<0)<<31>>31|0)|0;t=s;f[t>>2]=u;f[t+4>>2]=J;ya=s+8|0;za=o;Aa=s}else{f[A>>2]=n;s=f[ra>>2]|0;o=s+(Y(f[f[_>>2]>>2]|0,n)|0)|0;t=f[o>>2]|0;f[o>>2]=(t|0)>(oa|0)?oa:t;t=o+8|0;u=f[t>>2]|0;f[t>>2]=(u|0)<(oa|0)?oa:u;u=o+4|0;t=f[u>>2]|0;f[u>>2]=(t|0)>(x|0)?x:t;t=o+12|0;u=f[t>>2]|0;f[t>>2]=(u|0)<(x|0)?x:u;u=o+16|0;f[u>>2]=(f[u>>2]|0)+1;u=f[y>>2]|0;o=u+(n<<4)|0;t=o;v=hzc(f[t>>2]|0,f[t+4>>2]|0,oa|0,((oa|0)<0)<<31>>31|0)|0;t=o;f[t>>2]=v;f[t+4>>2]=J;ya=u+(n<<4)+8|0;za=s;Aa=u}u=ya;s=hzc(f[u>>2]|0,f[u+4>>2]|0,x|0,w|0)|0;u=ya;f[u>>2]=s;f[u+4>>2]=J;u=oa|1;s=p+(u<<2)|0;if(!(b[pa+u>>0]|0)){f[s>>2]=0;Ba=0;Ca=za}else{f[s>>2]=n;Ba=n;Ca=za+(Y(f[f[X>>2]>>2]|0,n)|0)|0}s=f[Ca>>2]|0;f[Ca>>2]=(s|0)>(u|0)?u:s;s=Ca+8|0;t=f[s>>2]|0;f[s>>2]=(t|0)<(u|0)?u:t;t=Ca+4|0;s=f[t>>2]|0;f[t>>2]=(s|0)>(x|0)?x:s;s=Ca+12|0;t=f[s>>2]|0;f[s>>2]=(t|0)<(x|0)?x:t;t=Ca+16|0;f[t>>2]=(f[t>>2]|0)+1;t=Aa+(Ba<<4)|0;s=t;v=hzc(f[s>>2]|0,f[s+4>>2]|0,u|0,((u|0)<0)<<31>>31|0)|0;s=t;f[s>>2]=v;f[s+4>>2]=J;s=Aa+(Ba<<4)+8|0;v=s;t=hzc(f[v>>2]|0,f[v+4>>2]|0,x|0,w|0)|0;v=s;f[v>>2]=t;f[v+4>>2]=J;if((T|0)<(f[(f[d>>2]|0)+8>>2]|0)){v=q+(oa<<2)|0;if(!(b[ta+oa>>0]|0)){f[v>>2]=0;Da=0;Ea=za}else{f[v>>2]=n;Da=n;Ea=za+(Y(f[f[Z>>2]>>2]|0,n)|0)|0}v=f[Ea>>2]|0;f[Ea>>2]=(v|0)>(oa|0)?oa:v;v=Ea+8|0;t=f[v>>2]|0;f[v>>2]=(t|0)<(oa|0)?oa:t;t=Ea+4|0;v=f[t>>2]|0;f[t>>2]=(v|0)>(T|0)?T:v;v=Ea+12|0;t=f[v>>2]|0;f[v>>2]=(t|0)<(T|0)?T:t;t=Ea+16|0;f[t>>2]=(f[t>>2]|0)+1;t=Aa+(Da<<4)|0;v=t;s=hzc(f[v>>2]|0,f[v+4>>2]|0,oa|0,((oa|0)<0)<<31>>31|0)|0;v=t;f[v>>2]=s;f[v+4>>2]=J;v=Aa+(Da<<4)+8|0;s=v;t=hzc(f[s>>2]|0,f[s+4>>2]|0,T|0,z|0)|0;s=v;f[s>>2]=t;f[s+4>>2]=J;s=q+(u<<2)|0;t=f[S>>2]|0;if(!(b[ta+u>>0]|0)){f[s>>2]=0;v=f[t>>2]|0;f[t>>2]=(v|0)>(u|0)?u:v;v=t+8|0;o=f[v>>2]|0;f[v>>2]=(o|0)<(u|0)?u:o;o=t+4|0;v=f[o>>2]|0;f[o>>2]=(v|0)>(T|0)?T:v;v=t+12|0;o=f[v>>2]|0;f[v>>2]=(o|0)<(T|0)?T:o;o=t+16|0;f[o>>2]=(f[o>>2]|0)+1;o=Aa;v=hzc(f[o>>2]|0,f[o+4>>2]|0,u|0,((u|0)<0)<<31>>31|0)|0;o=Aa;f[o>>2]=v;f[o+4>>2]=J;o=Aa+8|0;v=o;W=hzc(f[v>>2]|0,f[v+4>>2]|0,T|0,z|0)|0;v=o;f[v>>2]=W;f[v+4>>2]=J;break}else{f[s>>2]=n;s=t+(Y(f[f[r>>2]>>2]|0,n)|0)|0;t=f[s>>2]|0;f[s>>2]=(t|0)>(u|0)?u:t;t=s+8|0;v=f[t>>2]|0;f[t>>2]=(v|0)<(u|0)?u:v;v=s+4|0;t=f[v>>2]|0;f[v>>2]=(t|0)>(T|0)?T:t;t=s+12|0;v=f[t>>2]|0;f[t>>2]=(v|0)<(T|0)?T:v;v=s+16|0;f[v>>2]=(f[v>>2]|0)+1;v=Aa+(n<<4)|0;s=v;t=hzc(f[s>>2]|0,f[s+4>>2]|0,u|0,((u|0)<0)<<31>>31|0)|0;u=v;f[u>>2]=t;f[u+4>>2]=J;u=Aa+(n<<4)+8|0;n=u;t=hzc(f[n>>2]|0,f[n+4>>2]|0,T|0,z|0)|0;n=u;f[n>>2]=t;f[n+4>>2]=J;break}}}else{f[A>>2]=0;n=oa|1;f[p+(n<<2)>>2]=0;t=f[ua>>2]|0;u=f[t>>2]|0;v=(u|0)>(oa|0)?oa:u;u=t+8|0;s=f[u>>2]|0;W=(s|0)<(oa|0)?oa:s;s=t+4|0;o=f[s>>2]|0;R=t+12|0;m=f[R>>2]|0;l=t+16|0;fa=f[l>>2]|0;ba=f[va>>2]|0;M=((oa|0)<0)<<31>>31;L=ba;H=hzc(f[L>>2]|0,f[L+4>>2]|0,oa|0,M|0)|0;L=J;ia=ba+8|0;ka=ia;N=hzc(f[ka>>2]|0,f[ka+4>>2]|0,x|0,w|0)|0;ka=J;f[t>>2]=(v|0)>(n|0)?n:v;f[u>>2]=(W|0)<(n|0)?n:W;f[s>>2]=(o|0)>(x|0)?x:o;f[R>>2]=(m|0)<(x|0)?x:m;f[l>>2]=fa+2;fa=((n|0)<0)<<31>>31;m=hzc(H|0,L|0,n|0,fa|0)|0;L=J;H=ba;f[H>>2]=m;f[H+4>>2]=L;H=hzc(N|0,ka|0,x|0,w|0)|0;ka=J;N=ia;f[N>>2]=H;f[N+4>>2]=ka;if((T|0)<(f[(f[d>>2]|0)+8>>2]|0)){f[q+(oa<<2)>>2]=0;f[q+(n<<2)>>2]=0;N=f[t>>2]|0;o=(N|0)>(oa|0)?oa:N;N=f[u>>2]|0;W=(N|0)<(oa|0)?oa:N;N=f[s>>2]|0;v=f[R>>2]|0;ca=f[l>>2]|0;D=hzc(m|0,L|0,oa|0,M|0)|0;M=J;L=hzc(H|0,ka|0,T|0,z|0)|0;ka=J;f[t>>2]=(o|0)>(n|0)?n:o;f[u>>2]=(W|0)<(n|0)?n:W;f[s>>2]=(N|0)>(T|0)?T:N;f[R>>2]=(v|0)<(T|0)?T:v;f[l>>2]=ca+2;ca=hzc(D|0,M|0,n|0,fa|0)|0;fa=ba;f[fa>>2]=ca;f[fa+4>>2]=J;fa=hzc(L|0,ka|0,T|0,z|0)|0;ka=ia;f[ka>>2]=fa;f[ka+4>>2]=J}}while(0);oa=oa+2|0;A=f[d>>2]|0;na=f[A+12>>2]|0}while((oa|0)<(na|0));Fa=na;Ga=A}else{Fa=sa;Ga=qa}x=x+2|0;if((x|0)>=(c|0))break;else{qa=Ga;sa=Fa}}return}if(!k)return;k=a+4|0;Fa=a+12|0;sa=g+(e*136|0)+20|0;Ga=g+(e*136|0)+120|0;qa=g+(e*136|0)+20|0;x=g+(e*136|0)+48|0;va=g+(e*136|0)+48|0;ua=g+(e*136|0)+48|0;Aa=g+(e*136|0)+20|0;r=g+(e*136|0)+48|0;S=g+(e*136|0)+20|0;Da=g+(e*136|0)+48|0;Ea=g+(e*136|0)+120|0;Z=g+(e*136|0)+20|0;za=g+(e*136|0)+120|0;g=e;Ba=h;h=i;while(1){i=f[k>>2]|0;Ca=f[f[i+44>>2]>>2]|0;X=(f[i+16>>2]|0)+(Y(Ca,g)|0)|0;i=X+Ca|0;Ca=f[f[Ba+44>>2]>>2]|0;ya=(f[Ba+16>>2]|0)+(Y(Ca,g)|0)|0;y=ya+Ca|0;if((h|0)>0){Ca=((g|0)<0)<<31>>31;_=g+1|0;ra=((_|0)<0)<<31>>31;xa=0;do{V=ya+(xa<<2)|0;wa=f[V>>2]|0;do if((wa|0)>0){j=f[(f[Fa>>2]|0)+(wa<<2)>>2]|0;if(!(b[X+xa>>0]|0)){f[V>>2]=0;oa=f[sa>>2]|0;z=f[oa>>2]|0;f[oa>>2]=(z|0)>(xa|0)?xa:z;z=oa+8|0;T=f[z>>2]|0;f[z>>2]=(T|0)<(xa|0)?xa:T;T=oa+4|0;z=f[T>>2]|0;f[T>>2]=(z|0)>(g|0)?g:z;z=oa+12|0;T=f[z>>2]|0;f[z>>2]=(T|0)<(g|0)?g:T;T=oa+16|0;f[T>>2]=(f[T>>2]|0)+1;T=f[Ga>>2]|0;z=T;q=hzc(f[z>>2]|0,f[z+4>>2]|0,xa|0,((xa|0)<0)<<31>>31|0)|0;z=T;f[z>>2]=q;f[z+4>>2]=J;Ha=T+8|0;Ia=oa;Ja=T}else{f[V>>2]=j;T=f[S>>2]|0;oa=T+(Y(f[f[Da>>2]>>2]|0,j)|0)|0;z=f[oa>>2]|0;f[oa>>2]=(z|0)>(xa|0)?xa:z;z=oa+8|0;q=f[z>>2]|0;f[z>>2]=(q|0)<(xa|0)?xa:q;q=oa+4|0;z=f[q>>2]|0;f[q>>2]=(z|0)>(g|0)?g:z;z=oa+12|0;q=f[z>>2]|0;f[z>>2]=(q|0)<(g|0)?g:q;q=oa+16|0;f[q>>2]=(f[q>>2]|0)+1;q=f[Ea>>2]|0;oa=q+(j<<4)|0;z=oa;w=hzc(f[z>>2]|0,f[z+4>>2]|0,xa|0,((xa|0)<0)<<31>>31|0)|0;z=oa;f[z>>2]=w;f[z+4>>2]=J;Ha=q+(j<<4)+8|0;Ia=T;Ja=q}q=Ha;T=hzc(f[q>>2]|0,f[q+4>>2]|0,g|0,Ca|0)|0;q=Ha;f[q>>2]=T;f[q+4>>2]=J;q=xa|1;T=f[d>>2]|0;if((q|0)>=(f[T+12>>2]|0)){if((_|0)>=(f[T+8>>2]|0))break;T=y+(xa<<2)|0;z=f[Aa>>2]|0;if(!(b[i+xa>>0]|0)){f[T>>2]=0;w=f[z>>2]|0;f[z>>2]=(w|0)>(xa|0)?xa:w;w=z+8|0;oa=f[w>>2]|0;f[w>>2]=(oa|0)<(xa|0)?xa:oa;oa=z+4|0;w=f[oa>>2]|0;f[oa>>2]=(w|0)>(_|0)?_:w;w=z+12|0;oa=f[w>>2]|0;f[w>>2]=(oa|0)<(_|0)?_:oa;oa=z+16|0;f[oa>>2]=(f[oa>>2]|0)+1;oa=Ja;w=hzc(f[oa>>2]|0,f[oa+4>>2]|0,xa|0,((xa|0)<0)<<31>>31|0)|0;oa=Ja;f[oa>>2]=w;f[oa+4>>2]=J;oa=Ja+8|0;w=oa;p=hzc(f[w>>2]|0,f[w+4>>2]|0,_|0,ra|0)|0;w=oa;f[w>>2]=p;f[w+4>>2]=J;break}else{f[T>>2]=j;T=z+(Y(f[f[r>>2]>>2]|0,j)|0)|0;z=f[T>>2]|0;f[T>>2]=(z|0)>(xa|0)?xa:z;z=T+8|0;w=f[z>>2]|0;f[z>>2]=(w|0)<(xa|0)?xa:w;w=T+4|0;z=f[w>>2]|0;f[w>>2]=(z|0)>(_|0)?_:z;z=T+12|0;w=f[z>>2]|0;f[z>>2]=(w|0)<(_|0)?_:w;w=T+16|0;f[w>>2]=(f[w>>2]|0)+1;w=Ja+(j<<4)|0;T=w;z=hzc(f[T>>2]|0,f[T+4>>2]|0,xa|0,((xa|0)<0)<<31>>31|0)|0;T=w;f[T>>2]=z;f[T+4>>2]=J;T=Ja+(j<<4)+8|0;z=T;w=hzc(f[z>>2]|0,f[z+4>>2]|0,_|0,ra|0)|0;z=T;f[z>>2]=w;f[z+4>>2]=J;break}}z=ya+(q<<2)|0;if(!(b[X+q>>0]|0)){f[z>>2]=0;Ka=0;La=Ia}else{f[z>>2]=j;Ka=j;La=Ia+(Y(f[f[ua>>2]>>2]|0,j)|0)|0}z=f[La>>2]|0;f[La>>2]=(z|0)>(q|0)?q:z;z=La+8|0;w=f[z>>2]|0;f[z>>2]=(w|0)<(q|0)?q:w;w=La+4|0;z=f[w>>2]|0;f[w>>2]=(z|0)>(g|0)?g:z;z=La+12|0;w=f[z>>2]|0;f[z>>2]=(w|0)<(g|0)?g:w;w=La+16|0;f[w>>2]=(f[w>>2]|0)+1;w=Ja+(Ka<<4)|0;z=w;T=hzc(f[z>>2]|0,f[z+4>>2]|0,q|0,((q|0)<0)<<31>>31|0)|0;z=w;f[z>>2]=T;f[z+4>>2]=J;z=Ja+(Ka<<4)+8|0;T=z;w=hzc(f[T>>2]|0,f[T+4>>2]|0,g|0,Ca|0)|0;T=z;f[T>>2]=w;f[T+4>>2]=J;if((_|0)<(f[(f[d>>2]|0)+8>>2]|0)){T=y+(xa<<2)|0;if(!(b[i+xa>>0]|0)){f[T>>2]=0;Ma=0;Na=Ia}else{f[T>>2]=j;Ma=j;Na=Ia+(Y(f[f[va>>2]>>2]|0,j)|0)|0}T=f[Na>>2]|0;f[Na>>2]=(T|0)>(xa|0)?xa:T;T=Na+8|0;w=f[T>>2]|0;f[T>>2]=(w|0)<(xa|0)?xa:w;w=Na+4|0;T=f[w>>2]|0;f[w>>2]=(T|0)>(_|0)?_:T;T=Na+12|0;w=f[T>>2]|0;f[T>>2]=(w|0)<(_|0)?_:w;w=Na+16|0;f[w>>2]=(f[w>>2]|0)+1;w=Ja+(Ma<<4)|0;T=w;z=hzc(f[T>>2]|0,f[T+4>>2]|0,xa|0,((xa|0)<0)<<31>>31|0)|0;T=w;f[T>>2]=z;f[T+4>>2]=J;T=Ja+(Ma<<4)+8|0;z=T;w=hzc(f[z>>2]|0,f[z+4>>2]|0,_|0,ra|0)|0;z=T;f[z>>2]=w;f[z+4>>2]=J;z=y+(q<<2)|0;w=f[qa>>2]|0;if(!(b[i+q>>0]|0)){f[z>>2]=0;T=f[w>>2]|0;f[w>>2]=(T|0)>(q|0)?q:T;T=w+8|0;p=f[T>>2]|0;f[T>>2]=(p|0)<(q|0)?q:p;p=w+4|0;T=f[p>>2]|0;f[p>>2]=(T|0)>(_|0)?_:T;T=w+12|0;p=f[T>>2]|0;f[T>>2]=(p|0)<(_|0)?_:p;p=w+16|0;f[p>>2]=(f[p>>2]|0)+1;p=Ja;T=hzc(f[p>>2]|0,f[p+4>>2]|0,q|0,((q|0)<0)<<31>>31|0)|0;p=Ja;f[p>>2]=T;f[p+4>>2]=J;p=Ja+8|0;T=p;oa=hzc(f[T>>2]|0,f[T+4>>2]|0,_|0,ra|0)|0;T=p;f[T>>2]=oa;f[T+4>>2]=J;break}else{f[z>>2]=j;z=w+(Y(f[f[x>>2]>>2]|0,j)|0)|0;w=f[z>>2]|0;f[z>>2]=(w|0)>(q|0)?q:w;w=z+8|0;T=f[w>>2]|0;f[w>>2]=(T|0)<(q|0)?q:T;T=z+4|0;w=f[T>>2]|0;f[T>>2]=(w|0)>(_|0)?_:w;w=z+12|0;T=f[w>>2]|0;f[w>>2]=(T|0)<(_|0)?_:T;T=z+16|0;f[T>>2]=(f[T>>2]|0)+1;T=Ja+(j<<4)|0;z=T;w=hzc(f[z>>2]|0,f[z+4>>2]|0,q|0,((q|0)<0)<<31>>31|0)|0;q=T;f[q>>2]=w;f[q+4>>2]=J;q=Ja+(j<<4)+8|0;j=q;w=hzc(f[j>>2]|0,f[j+4>>2]|0,_|0,ra|0)|0;j=q;f[j>>2]=w;f[j+4>>2]=J;break}}}else{f[V>>2]=0;j=f[Z>>2]|0;w=f[j>>2]|0;f[j>>2]=(w|0)>(xa|0)?xa:w;w=j+8|0;q=f[w>>2]|0;f[w>>2]=(q|0)<(xa|0)?xa:q;q=j+4|0;T=f[q>>2]|0;f[q>>2]=(T|0)>(g|0)?g:T;T=j+12|0;z=f[T>>2]|0;f[T>>2]=(z|0)<(g|0)?g:z;z=j+16|0;f[z>>2]=(f[z>>2]|0)+1;oa=f[za>>2]|0;p=((xa|0)<0)<<31>>31;ta=oa;pa=hzc(f[ta>>2]|0,f[ta+4>>2]|0,xa|0,p|0)|0;ta=J;A=oa;f[A>>2]=pa;f[A+4>>2]=ta;A=oa+8|0;na=A;ka=hzc(f[na>>2]|0,f[na+4>>2]|0,g|0,Ca|0)|0;na=J;fa=A;f[fa>>2]=ka;f[fa+4>>2]=na;fa=xa|1;ia=f[d>>2]|0;if((fa|0)<(f[ia+12>>2]|0)){f[ya+(fa<<2)>>2]=0;L=f[j>>2]|0;f[j>>2]=(L|0)>(fa|0)?fa:L;L=f[w>>2]|0;f[w>>2]=(L|0)<(fa|0)?fa:L;L=f[q>>2]|0;f[q>>2]=(L|0)>(g|0)?g:L;L=f[T>>2]|0;f[T>>2]=(L|0)<(g|0)?g:L;f[z>>2]=(f[z>>2]|0)+1;L=((fa|0)<0)<<31>>31;ca=hzc(pa|0,ta|0,fa|0,L|0)|0;ba=J;n=oa;f[n>>2]=ca;f[n+4>>2]=ba;n=hzc(ka|0,na|0,g|0,Ca|0)|0;M=J;D=A;f[D>>2]=n;f[D+4>>2]=M;if((_|0)>=(f[(f[d>>2]|0)+8>>2]|0))break;f[y+(xa<<2)>>2]=0;f[y+(fa<<2)>>2]=0;D=f[j>>2]|0;l=(D|0)>(xa|0)?xa:D;D=f[w>>2]|0;v=(D|0)<(xa|0)?xa:D;D=f[q>>2]|0;R=f[T>>2]|0;N=f[z>>2]|0;s=hzc(ca|0,ba|0,xa|0,p|0)|0;ba=J;ca=hzc(n|0,M|0,_|0,ra|0)|0;M=J;f[j>>2]=(l|0)>(fa|0)?fa:l;f[w>>2]=(v|0)<(fa|0)?fa:v;f[q>>2]=(D|0)>(_|0)?_:D;f[T>>2]=(R|0)<(_|0)?_:R;f[z>>2]=N+2;N=hzc(s|0,ba|0,fa|0,L|0)|0;L=oa;f[L>>2]=N;f[L+4>>2]=J;L=hzc(ca|0,M|0,_|0,ra|0)|0;M=A;f[M>>2]=L;f[M+4>>2]=J;break}else{if((_|0)>=(f[ia+8>>2]|0))break;f[y+(xa<<2)>>2]=0;ia=f[j>>2]|0;f[j>>2]=(ia|0)>(xa|0)?xa:ia;ia=f[w>>2]|0;f[w>>2]=(ia|0)<(xa|0)?xa:ia;ia=f[q>>2]|0;f[q>>2]=(ia|0)>(_|0)?_:ia;ia=f[T>>2]|0;f[T>>2]=(ia|0)<(_|0)?_:ia;f[z>>2]=(f[z>>2]|0)+1;z=hzc(pa|0,ta|0,xa|0,p|0)|0;p=oa;f[p>>2]=z;f[p+4>>2]=J;p=hzc(ka|0,na|0,_|0,ra|0)|0;na=A;f[na>>2]=p;f[na+4>>2]=J;break}}while(0);xa=xa+2|0;V=f[d>>2]|0;wa=f[V+12>>2]|0}while((xa|0)<(wa|0));Oa=wa;Pa=V}else{Oa=h;Pa=Ba}g=g+2|0;if((g|0)>=(c|0))break;else{Ba=Pa;h=Oa}}return}else{Oa=a+16|0;f[(f[Oa>>2]|0)+132>>2]=c;h=a+8|0;Pa=f[h>>2]|0;Ba=f[Pa+12>>2]|0;g=(Ba&1|0)!=0;d=(e|0)<(c|0);if(!(f[Pa+8>>2]&1)){if(!g){if(!d)return;za=a+4|0;Z=a+12|0;Ja=e;x=Pa;qa=Ba;while(1){Ma=f[za>>2]|0;Na=f[f[Ma+44>>2]>>2]|0;va=(f[Ma+16>>2]|0)+(Y(Na,Ja)|0)|0;Ma=va+Na|0;Na=f[f[x+44>>2]>>2]|0;Ia=(f[x+16>>2]|0)+(Y(Na,Ja)|0)|0;Ka=Ia+Na|0;if((qa|0)>0){Na=((Ja|0)<0)<<31>>31;La=Ja+1|0;ua=((La|0)<0)<<31>>31;r=0;do{Aa=Ia+(r<<2)|0;Ha=f[Aa>>2]|0;do if((Ha|0)>0){Ea=f[(f[Z>>2]|0)+(Ha<<2)>>2]|0;if(!(b[va+r>>0]|0)){f[Aa>>2]=0;Da=f[Oa>>2]|0;S=f[Da+20>>2]|0;Ga=f[S>>2]|0;f[S>>2]=(Ga|0)>(r|0)?r:Ga;Ga=S+8|0;sa=f[Ga>>2]|0;f[Ga>>2]=(sa|0)<(r|0)?r:sa;sa=S+4|0;Ga=f[sa>>2]|0;f[sa>>2]=(Ga|0)>(Ja|0)?Ja:Ga;Ga=S+12|0;sa=f[Ga>>2]|0;f[Ga>>2]=(sa|0)<(Ja|0)?Ja:sa;sa=S+16|0;f[sa>>2]=(f[sa>>2]|0)+1;sa=f[Da+120>>2]|0;Da=sa;S=hzc(f[Da>>2]|0,f[Da+4>>2]|0,r|0,((r|0)<0)<<31>>31|0)|0;Da=sa;f[Da>>2]=S;f[Da+4>>2]=J;Qa=sa+8|0}else{f[Aa>>2]=Ea;sa=f[Oa>>2]|0;Da=(f[sa+20>>2]|0)+(Y(f[f[sa+48>>2]>>2]|0,Ea)|0)|0;S=f[Da>>2]|0;f[Da>>2]=(S|0)>(r|0)?r:S;S=Da+8|0;Ga=f[S>>2]|0;f[S>>2]=(Ga|0)<(r|0)?r:Ga;Ga=Da+4|0;S=f[Ga>>2]|0;f[Ga>>2]=(S|0)>(Ja|0)?Ja:S;S=Da+12|0;Ga=f[S>>2]|0;f[S>>2]=(Ga|0)<(Ja|0)?Ja:Ga;Ga=Da+16|0;f[Ga>>2]=(f[Ga>>2]|0)+1;Ga=f[sa+120>>2]|0;sa=Ga+(Ea<<4)|0;Da=sa;S=hzc(f[Da>>2]|0,f[Da+4>>2]|0,r|0,((r|0)<0)<<31>>31|0)|0;Da=sa;f[Da>>2]=S;f[Da+4>>2]=J;Qa=Ga+(Ea<<4)+8|0}Ga=Qa;Da=hzc(f[Ga>>2]|0,f[Ga+4>>2]|0,Ja|0,Na|0)|0;Ga=Qa;f[Ga>>2]=Da;f[Ga+4>>2]=J;Ga=r|1;Da=Ia+(Ga<<2)|0;if(!(b[va+Ga>>0]|0)){f[Da>>2]=0;S=f[Oa>>2]|0;sa=f[S+20>>2]|0;Fa=f[sa>>2]|0;f[sa>>2]=(Fa|0)>(Ga|0)?Ga:Fa;Fa=sa+8|0;k=f[Fa>>2]|0;f[Fa>>2]=(k|0)<(Ga|0)?Ga:k;k=sa+4|0;Fa=f[k>>2]|0;f[k>>2]=(Fa|0)>(Ja|0)?Ja:Fa;Fa=sa+12|0;k=f[Fa>>2]|0;f[Fa>>2]=(k|0)<(Ja|0)?Ja:k;k=sa+16|0;f[k>>2]=(f[k>>2]|0)+1;k=f[S+120>>2]|0;S=k;sa=hzc(f[S>>2]|0,f[S+4>>2]|0,Ga|0,((Ga|0)<0)<<31>>31|0)|0;S=k;f[S>>2]=sa;f[S+4>>2]=J;Ra=k+8|0}else{f[Da>>2]=Ea;Da=f[Oa>>2]|0;k=(f[Da+20>>2]|0)+(Y(f[f[Da+48>>2]>>2]|0,Ea)|0)|0;S=f[k>>2]|0;f[k>>2]=(S|0)>(Ga|0)?Ga:S;S=k+8|0;sa=f[S>>2]|0;f[S>>2]=(sa|0)<(Ga|0)?Ga:sa;sa=k+4|0;S=f[sa>>2]|0;f[sa>>2]=(S|0)>(Ja|0)?Ja:S;S=k+12|0;sa=f[S>>2]|0;f[S>>2]=(sa|0)<(Ja|0)?Ja:sa;sa=k+16|0;f[sa>>2]=(f[sa>>2]|0)+1;sa=f[Da+120>>2]|0;Da=sa+(Ea<<4)|0;k=Da;S=hzc(f[k>>2]|0,f[k+4>>2]|0,Ga|0,((Ga|0)<0)<<31>>31|0)|0;k=Da;f[k>>2]=S;f[k+4>>2]=J;Ra=sa+(Ea<<4)+8|0}sa=Ra;k=hzc(f[sa>>2]|0,f[sa+4>>2]|0,Ja|0,Na|0)|0;sa=Ra;f[sa>>2]=k;f[sa+4>>2]=J;sa=Ka+(r<<2)|0;if(!(b[Ma+r>>0]|0)){f[sa>>2]=0;k=f[Oa>>2]|0;S=f[k+20>>2]|0;Da=f[S>>2]|0;f[S>>2]=(Da|0)>(r|0)?r:Da;Da=S+8|0;Fa=f[Da>>2]|0;f[Da>>2]=(Fa|0)<(r|0)?r:Fa;Fa=S+4|0;Da=f[Fa>>2]|0;f[Fa>>2]=(Da|0)>(La|0)?La:Da;Da=S+12|0;Fa=f[Da>>2]|0;f[Da>>2]=(Fa|0)<(La|0)?La:Fa;Fa=S+16|0;f[Fa>>2]=(f[Fa>>2]|0)+1;Fa=f[k+120>>2]|0;k=Fa;S=hzc(f[k>>2]|0,f[k+4>>2]|0,r|0,((r|0)<0)<<31>>31|0)|0;k=Fa;f[k>>2]=S;f[k+4>>2]=J;Sa=Fa+8|0}else{f[sa>>2]=Ea;sa=f[Oa>>2]|0;Fa=(f[sa+20>>2]|0)+(Y(f[f[sa+48>>2]>>2]|0,Ea)|0)|0;k=f[Fa>>2]|0;f[Fa>>2]=(k|0)>(r|0)?r:k;k=Fa+8|0;S=f[k>>2]|0;f[k>>2]=(S|0)<(r|0)?r:S;S=Fa+4|0;k=f[S>>2]|0;f[S>>2]=(k|0)>(La|0)?La:k;k=Fa+12|0;S=f[k>>2]|0;f[k>>2]=(S|0)<(La|0)?La:S;S=Fa+16|0;f[S>>2]=(f[S>>2]|0)+1;S=f[sa+120>>2]|0;sa=S+(Ea<<4)|0;Fa=sa;k=hzc(f[Fa>>2]|0,f[Fa+4>>2]|0,r|0,((r|0)<0)<<31>>31|0)|0;Fa=sa;f[Fa>>2]=k;f[Fa+4>>2]=J;Sa=S+(Ea<<4)+8|0}S=Sa;Fa=hzc(f[S>>2]|0,f[S+4>>2]|0,La|0,ua|0)|0;S=Sa;f[S>>2]=Fa;f[S+4>>2]=J;S=Ka+(Ga<<2)|0;if(!(b[Ma+Ga>>0]|0)){f[S>>2]=0;Fa=f[Oa>>2]|0;k=f[Fa+20>>2]|0;sa=f[k>>2]|0;f[k>>2]=(sa|0)>(Ga|0)?Ga:sa;sa=k+8|0;Da=f[sa>>2]|0;f[sa>>2]=(Da|0)<(Ga|0)?Ga:Da;Da=k+4|0;sa=f[Da>>2]|0;f[Da>>2]=(sa|0)>(La|0)?La:sa;sa=k+12|0;Da=f[sa>>2]|0;f[sa>>2]=(Da|0)<(La|0)?La:Da;Da=k+16|0;f[Da>>2]=(f[Da>>2]|0)+1;Da=f[Fa+120>>2]|0;Fa=Da;k=hzc(f[Fa>>2]|0,f[Fa+4>>2]|0,Ga|0,((Ga|0)<0)<<31>>31|0)|0;Fa=Da;f[Fa>>2]=k;f[Fa+4>>2]=J;Ta=Da+8|0;break}else{f[S>>2]=Ea;S=f[Oa>>2]|0;Da=(f[S+20>>2]|0)+(Y(f[f[S+48>>2]>>2]|0,Ea)|0)|0;Fa=f[Da>>2]|0;f[Da>>2]=(Fa|0)>(Ga|0)?Ga:Fa;Fa=Da+8|0;k=f[Fa>>2]|0;f[Fa>>2]=(k|0)<(Ga|0)?Ga:k;k=Da+4|0;Fa=f[k>>2]|0;f[k>>2]=(Fa|0)>(La|0)?La:Fa;Fa=Da+12|0;k=f[Fa>>2]|0;f[Fa>>2]=(k|0)<(La|0)?La:k;k=Da+16|0;f[k>>2]=(f[k>>2]|0)+1;k=f[S+120>>2]|0;S=k+(Ea<<4)|0;Da=S;Fa=hzc(f[Da>>2]|0,f[Da+4>>2]|0,Ga|0,((Ga|0)<0)<<31>>31|0)|0;Ga=S;f[Ga>>2]=Fa;f[Ga+4>>2]=J;Ta=k+(Ea<<4)+8|0;break}}else{f[Aa>>2]=0;Ea=r|1;f[Ia+(Ea<<2)>>2]=0;f[Ka+(r<<2)>>2]=0;f[Ka+(Ea<<2)>>2]=0;k=f[Oa>>2]|0;Ga=f[k+20>>2]|0;Fa=f[Ga>>2]|0;f[Ga>>2]=(Fa|0)>(r|0)?r:Fa;Fa=Ga+8|0;S=f[Fa>>2]|0;f[Fa>>2]=(S|0)<(r|0)?r:S;S=Ga+4|0;Fa=f[S>>2]|0;f[S>>2]=(Fa|0)>(Ja|0)?Ja:Fa;Fa=Ga+12|0;S=f[Fa>>2]|0;f[Fa>>2]=(S|0)<(Ja|0)?Ja:S;S=Ga+16|0;f[S>>2]=(f[S>>2]|0)+1;S=f[k+120>>2]|0;k=((r|0)<0)<<31>>31;Ga=S;Fa=hzc(f[Ga>>2]|0,f[Ga+4>>2]|0,r|0,k|0)|0;Ga=S;f[Ga>>2]=Fa;f[Ga+4>>2]=J;Ga=S+8|0;S=Ga;Fa=hzc(f[S>>2]|0,f[S+4>>2]|0,Ja|0,Na|0)|0;S=Ga;f[S>>2]=Fa;f[S+4>>2]=J;S=f[Oa>>2]|0;Fa=f[S+20>>2]|0;Ga=f[Fa>>2]|0;f[Fa>>2]=(Ga|0)>(Ea|0)?Ea:Ga;Ga=Fa+8|0;Da=f[Ga>>2]|0;f[Ga>>2]=(Da|0)<(Ea|0)?Ea:Da;Da=Fa+4|0;Ga=f[Da>>2]|0;f[Da>>2]=(Ga|0)>(Ja|0)?Ja:Ga;Ga=Fa+12|0;Da=f[Ga>>2]|0;f[Ga>>2]=(Da|0)<(Ja|0)?Ja:Da;Da=Fa+16|0;f[Da>>2]=(f[Da>>2]|0)+1;Da=f[S+120>>2]|0;S=((Ea|0)<0)<<31>>31;Fa=Da;Ga=hzc(f[Fa>>2]|0,f[Fa+4>>2]|0,Ea|0,S|0)|0;Fa=Da;f[Fa>>2]=Ga;f[Fa+4>>2]=J;Fa=Da+8|0;Da=Fa;Ga=hzc(f[Da>>2]|0,f[Da+4>>2]|0,Ja|0,Na|0)|0;Da=Fa;f[Da>>2]=Ga;f[Da+4>>2]=J;Da=f[Oa>>2]|0;Ga=f[Da+20>>2]|0;Fa=f[Ga>>2]|0;f[Ga>>2]=(Fa|0)>(r|0)?r:Fa;Fa=Ga+8|0;sa=f[Fa>>2]|0;f[Fa>>2]=(sa|0)<(r|0)?r:sa;sa=Ga+4|0;Fa=f[sa>>2]|0;f[sa>>2]=(Fa|0)>(La|0)?La:Fa;Fa=Ga+12|0;sa=f[Fa>>2]|0;f[Fa>>2]=(sa|0)<(La|0)?La:sa;sa=Ga+16|0;f[sa>>2]=(f[sa>>2]|0)+1;sa=f[Da+120>>2]|0;Da=sa;Ga=hzc(f[Da>>2]|0,f[Da+4>>2]|0,r|0,k|0)|0;k=sa;f[k>>2]=Ga;f[k+4>>2]=J;k=sa+8|0;sa=k;Ga=hzc(f[sa>>2]|0,f[sa+4>>2]|0,La|0,ua|0)|0;sa=k;f[sa>>2]=Ga;f[sa+4>>2]=J;sa=f[Oa>>2]|0;Ga=f[sa+20>>2]|0;k=f[Ga>>2]|0;f[Ga>>2]=(k|0)>(Ea|0)?Ea:k;k=Ga+8|0;Da=f[k>>2]|0;f[k>>2]=(Da|0)<(Ea|0)?Ea:Da;Da=Ga+4|0;k=f[Da>>2]|0;f[Da>>2]=(k|0)>(La|0)?La:k;k=Ga+12|0;Da=f[k>>2]|0;f[k>>2]=(Da|0)<(La|0)?La:Da;Da=Ga+16|0;f[Da>>2]=(f[Da>>2]|0)+1;Da=f[sa+120>>2]|0;sa=Da;Ga=hzc(f[sa>>2]|0,f[sa+4>>2]|0,Ea|0,S|0)|0;S=Da;f[S>>2]=Ga;f[S+4>>2]=J;Ta=Da+8|0}while(0);Aa=Ta;Ha=hzc(f[Aa>>2]|0,f[Aa+4>>2]|0,La|0,ua|0)|0;Aa=Ta;f[Aa>>2]=Ha;f[Aa+4>>2]=J;r=r+2|0;Aa=f[h>>2]|0;Ha=f[Aa+12>>2]|0}while((r|0)<(Ha|0));Ua=Ha;Va=Aa}else{Ua=qa;Va=x}Ja=Ja+2|0;if((Ja|0)>=(c|0))break;else{x=Va;qa=Ua}}return}if(!d)return;Ua=a+4|0;qa=a+12|0;Va=e;x=Pa;Ja=Ba;while(1){Ta=f[Ua>>2]|0;Sa=f[f[Ta+44>>2]>>2]|0;Ra=(f[Ta+16>>2]|0)+(Y(Sa,Va)|0)|0;Ta=Ra+Sa|0;Sa=f[f[x+44>>2]>>2]|0;Qa=(f[x+16>>2]|0)+(Y(Sa,Va)|0)|0;Z=Qa+Sa|0;if((Ja|0)>0){Sa=((Va|0)<0)<<31>>31;za=Va+1|0;r=((za|0)<0)<<31>>31;ua=0;do{La=Qa+(ua<<2)|0;Na=f[La>>2]|0;do if((Na|0)>0){Ka=f[(f[qa>>2]|0)+(Na<<2)>>2]|0;if(!(b[Ra+ua>>0]|0)){f[La>>2]=0;Ia=f[Oa>>2]|0;Ma=f[Ia+20>>2]|0;va=f[Ma>>2]|0;f[Ma>>2]=(va|0)>(ua|0)?ua:va;va=Ma+8|0;Aa=f[va>>2]|0;f[va>>2]=(Aa|0)<(ua|0)?ua:Aa;Aa=Ma+4|0;va=f[Aa>>2]|0;f[Aa>>2]=(va|0)>(Va|0)?Va:va;va=Ma+12|0;Aa=f[va>>2]|0;f[va>>2]=(Aa|0)<(Va|0)?Va:Aa;Aa=Ma+16|0;f[Aa>>2]=(f[Aa>>2]|0)+1;Aa=f[Ia+120>>2]|0;Ia=Aa;Ma=hzc(f[Ia>>2]|0,f[Ia+4>>2]|0,ua|0,((ua|0)<0)<<31>>31|0)|0;Ia=Aa;f[Ia>>2]=Ma;f[Ia+4>>2]=J;Wa=Aa+8|0}else{f[La>>2]=Ka;Aa=f[Oa>>2]|0;Ia=(f[Aa+20>>2]|0)+(Y(f[f[Aa+48>>2]>>2]|0,Ka)|0)|0;Ma=f[Ia>>2]|0;f[Ia>>2]=(Ma|0)>(ua|0)?ua:Ma;Ma=Ia+8|0;va=f[Ma>>2]|0;f[Ma>>2]=(va|0)<(ua|0)?ua:va;va=Ia+4|0;Ma=f[va>>2]|0;f[va>>2]=(Ma|0)>(Va|0)?Va:Ma;Ma=Ia+12|0;va=f[Ma>>2]|0;f[Ma>>2]=(va|0)<(Va|0)?Va:va;va=Ia+16|0;f[va>>2]=(f[va>>2]|0)+1;va=f[Aa+120>>2]|0;Aa=va+(Ka<<4)|0;Ia=Aa;Ma=hzc(f[Ia>>2]|0,f[Ia+4>>2]|0,ua|0,((ua|0)<0)<<31>>31|0)|0;Ia=Aa;f[Ia>>2]=Ma;f[Ia+4>>2]=J;Wa=va+(Ka<<4)+8|0}va=Wa;Ia=hzc(f[va>>2]|0,f[va+4>>2]|0,Va|0,Sa|0)|0;va=Wa;f[va>>2]=Ia;f[va+4>>2]=J;va=Z+(ua<<2)|0;if(!(b[Ta+ua>>0]|0)){f[va>>2]=0;Ia=f[Oa>>2]|0;Ma=f[Ia+20>>2]|0;Aa=f[Ma>>2]|0;f[Ma>>2]=(Aa|0)>(ua|0)?ua:Aa;Aa=Ma+8|0;Ha=f[Aa>>2]|0;f[Aa>>2]=(Ha|0)<(ua|0)?ua:Ha;Ha=Ma+4|0;Aa=f[Ha>>2]|0;f[Ha>>2]=(Aa|0)>(za|0)?za:Aa;Aa=Ma+12|0;Ha=f[Aa>>2]|0;f[Aa>>2]=(Ha|0)<(za|0)?za:Ha;Ha=Ma+16|0;f[Ha>>2]=(f[Ha>>2]|0)+1;Ha=f[Ia+120>>2]|0;Ia=Ha;Ma=hzc(f[Ia>>2]|0,f[Ia+4>>2]|0,ua|0,((ua|0)<0)<<31>>31|0)|0;Ia=Ha;f[Ia>>2]=Ma;f[Ia+4>>2]=J;Xa=Ha+8|0}else{f[va>>2]=Ka;va=f[Oa>>2]|0;Ha=(f[va+20>>2]|0)+(Y(f[f[va+48>>2]>>2]|0,Ka)|0)|0;Ia=f[Ha>>2]|0;f[Ha>>2]=(Ia|0)>(ua|0)?ua:Ia;Ia=Ha+8|0;Ma=f[Ia>>2]|0;f[Ia>>2]=(Ma|0)<(ua|0)?ua:Ma;Ma=Ha+4|0;Ia=f[Ma>>2]|0;f[Ma>>2]=(Ia|0)>(za|0)?za:Ia;Ia=Ha+12|0;Ma=f[Ia>>2]|0;f[Ia>>2]=(Ma|0)<(za|0)?za:Ma;Ma=Ha+16|0;f[Ma>>2]=(f[Ma>>2]|0)+1;Ma=f[va+120>>2]|0;va=Ma+(Ka<<4)|0;Ha=va;Ia=hzc(f[Ha>>2]|0,f[Ha+4>>2]|0,ua|0,((ua|0)<0)<<31>>31|0)|0;Ha=va;f[Ha>>2]=Ia;f[Ha+4>>2]=J;Xa=Ma+(Ka<<4)+8|0}Ma=Xa;Ha=hzc(f[Ma>>2]|0,f[Ma+4>>2]|0,za|0,r|0)|0;Ma=Xa;f[Ma>>2]=Ha;f[Ma+4>>2]=J;Ma=ua|1;if((Ma|0)<(f[(f[h>>2]|0)+12>>2]|0)){Ha=Qa+(Ma<<2)|0;if(!(b[Ra+Ma>>0]|0)){f[Ha>>2]=0;Ia=f[Oa>>2]|0;va=f[Ia+20>>2]|0;Aa=f[va>>2]|0;f[va>>2]=(Aa|0)>(Ma|0)?Ma:Aa;Aa=va+8|0;Da=f[Aa>>2]|0;f[Aa>>2]=(Da|0)<(Ma|0)?Ma:Da;Da=va+4|0;Aa=f[Da>>2]|0;f[Da>>2]=(Aa|0)>(Va|0)?Va:Aa;Aa=va+12|0;Da=f[Aa>>2]|0;f[Aa>>2]=(Da|0)<(Va|0)?Va:Da;Da=va+16|0;f[Da>>2]=(f[Da>>2]|0)+1;Da=f[Ia+120>>2]|0;Ia=Da;va=hzc(f[Ia>>2]|0,f[Ia+4>>2]|0,Ma|0,((Ma|0)<0)<<31>>31|0)|0;Ia=Da;f[Ia>>2]=va;f[Ia+4>>2]=J;Ya=Da+8|0}else{f[Ha>>2]=Ka;Ha=f[Oa>>2]|0;Da=(f[Ha+20>>2]|0)+(Y(f[f[Ha+48>>2]>>2]|0,Ka)|0)|0;Ia=f[Da>>2]|0;f[Da>>2]=(Ia|0)>(Ma|0)?Ma:Ia;Ia=Da+8|0;va=f[Ia>>2]|0;f[Ia>>2]=(va|0)<(Ma|0)?Ma:va;va=Da+4|0;Ia=f[va>>2]|0;f[va>>2]=(Ia|0)>(Va|0)?Va:Ia;Ia=Da+12|0;va=f[Ia>>2]|0;f[Ia>>2]=(va|0)<(Va|0)?Va:va;va=Da+16|0;f[va>>2]=(f[va>>2]|0)+1;va=f[Ha+120>>2]|0;Ha=va+(Ka<<4)|0;Da=Ha;Ia=hzc(f[Da>>2]|0,f[Da+4>>2]|0,Ma|0,((Ma|0)<0)<<31>>31|0)|0;Da=Ha;f[Da>>2]=Ia;f[Da+4>>2]=J;Ya=va+(Ka<<4)+8|0}va=Ya;Da=hzc(f[va>>2]|0,f[va+4>>2]|0,Va|0,Sa|0)|0;va=Ya;f[va>>2]=Da;f[va+4>>2]=J;va=Z+(Ma<<2)|0;if(!(b[Ta+Ma>>0]|0)){f[va>>2]=0;Da=f[Oa>>2]|0;Ia=f[Da+20>>2]|0;Ha=f[Ia>>2]|0;f[Ia>>2]=(Ha|0)>(Ma|0)?Ma:Ha;Ha=Ia+8|0;Aa=f[Ha>>2]|0;f[Ha>>2]=(Aa|0)<(Ma|0)?Ma:Aa;Aa=Ia+4|0;Ha=f[Aa>>2]|0;f[Aa>>2]=(Ha|0)>(za|0)?za:Ha;Ha=Ia+12|0;Aa=f[Ha>>2]|0;f[Ha>>2]=(Aa|0)<(za|0)?za:Aa;Aa=Ia+16|0;f[Aa>>2]=(f[Aa>>2]|0)+1;Aa=f[Da+120>>2]|0;Da=Aa;Ia=hzc(f[Da>>2]|0,f[Da+4>>2]|0,Ma|0,((Ma|0)<0)<<31>>31|0)|0;Da=Aa;f[Da>>2]=Ia;f[Da+4>>2]=J;Da=Aa+8|0;Aa=Da;Ia=hzc(f[Aa>>2]|0,f[Aa+4>>2]|0,za|0,r|0)|0;Aa=Da;f[Aa>>2]=Ia;f[Aa+4>>2]=J;break}else{f[va>>2]=Ka;va=f[Oa>>2]|0;Aa=(f[va+20>>2]|0)+(Y(f[f[va+48>>2]>>2]|0,Ka)|0)|0;Ia=f[Aa>>2]|0;f[Aa>>2]=(Ia|0)>(Ma|0)?Ma:Ia;Ia=Aa+8|0;Da=f[Ia>>2]|0;f[Ia>>2]=(Da|0)<(Ma|0)?Ma:Da;Da=Aa+4|0;Ia=f[Da>>2]|0;f[Da>>2]=(Ia|0)>(za|0)?za:Ia;Ia=Aa+12|0;Da=f[Ia>>2]|0;f[Ia>>2]=(Da|0)<(za|0)?za:Da;Da=Aa+16|0;f[Da>>2]=(f[Da>>2]|0)+1;Da=f[va+120>>2]|0;va=Da+(Ka<<4)|0;Aa=va;Ia=hzc(f[Aa>>2]|0,f[Aa+4>>2]|0,Ma|0,((Ma|0)<0)<<31>>31|0)|0;Ma=va;f[Ma>>2]=Ia;f[Ma+4>>2]=J;Ma=Da+(Ka<<4)+8|0;Ka=Ma;Da=hzc(f[Ka>>2]|0,f[Ka+4>>2]|0,za|0,r|0)|0;Ka=Ma;f[Ka>>2]=Da;f[Ka+4>>2]=J;break}}}else{f[La>>2]=0;f[Z+(ua<<2)>>2]=0;Ka=f[Oa>>2]|0;Da=f[Ka+20>>2]|0;Ma=f[Da>>2]|0;f[Da>>2]=(Ma|0)>(ua|0)?ua:Ma;Ma=Da+8|0;Ia=f[Ma>>2]|0;f[Ma>>2]=(Ia|0)<(ua|0)?ua:Ia;Ia=Da+4|0;Ma=f[Ia>>2]|0;f[Ia>>2]=(Ma|0)>(Va|0)?Va:Ma;Ma=Da+12|0;Ia=f[Ma>>2]|0;f[Ma>>2]=(Ia|0)<(Va|0)?Va:Ia;Ia=Da+16|0;f[Ia>>2]=(f[Ia>>2]|0)+1;Ia=f[Ka+120>>2]|0;Ka=((ua|0)<0)<<31>>31;Da=Ia;Ma=hzc(f[Da>>2]|0,f[Da+4>>2]|0,ua|0,Ka|0)|0;Da=Ia;f[Da>>2]=Ma;f[Da+4>>2]=J;Da=Ia+8|0;Ia=Da;Ma=hzc(f[Ia>>2]|0,f[Ia+4>>2]|0,Va|0,Sa|0)|0;Ia=Da;f[Ia>>2]=Ma;f[Ia+4>>2]=J;Ia=f[Oa>>2]|0;Ma=f[Ia+20>>2]|0;Da=f[Ma>>2]|0;f[Ma>>2]=(Da|0)>(ua|0)?ua:Da;Da=Ma+8|0;va=f[Da>>2]|0;f[Da>>2]=(va|0)<(ua|0)?ua:va;va=Ma+4|0;Da=f[va>>2]|0;f[va>>2]=(Da|0)>(za|0)?za:Da;Da=Ma+12|0;va=f[Da>>2]|0;f[Da>>2]=(va|0)<(za|0)?za:va;va=Ma+16|0;f[va>>2]=(f[va>>2]|0)+1;va=f[Ia+120>>2]|0;Ia=va;Ma=hzc(f[Ia>>2]|0,f[Ia+4>>2]|0,ua|0,Ka|0)|0;Ka=va;f[Ka>>2]=Ma;f[Ka+4>>2]=J;Ka=va+8|0;va=Ka;Ma=hzc(f[va>>2]|0,f[va+4>>2]|0,za|0,r|0)|0;va=Ka;f[va>>2]=Ma;f[va+4>>2]=J;va=ua|1;if((va|0)<(f[(f[h>>2]|0)+12>>2]|0)){f[Qa+(va<<2)>>2]=0;f[Z+(va<<2)>>2]=0;Ma=f[Oa>>2]|0;Ka=f[Ma+20>>2]|0;Ia=f[Ka>>2]|0;f[Ka>>2]=(Ia|0)>(va|0)?va:Ia;Ia=Ka+8|0;Da=f[Ia>>2]|0;f[Ia>>2]=(Da|0)<(va|0)?va:Da;Da=Ka+4|0;Ia=f[Da>>2]|0;f[Da>>2]=(Ia|0)>(Va|0)?Va:Ia;Ia=Ka+12|0;Da=f[Ia>>2]|0;f[Ia>>2]=(Da|0)<(Va|0)?Va:Da;Da=Ka+16|0;f[Da>>2]=(f[Da>>2]|0)+1;Da=f[Ma+120>>2]|0;Ma=((va|0)<0)<<31>>31;Ka=Da;Ia=hzc(f[Ka>>2]|0,f[Ka+4>>2]|0,va|0,Ma|0)|0;Ka=Da;f[Ka>>2]=Ia;f[Ka+4>>2]=J;Ka=Da+8|0;Da=Ka;Ia=hzc(f[Da>>2]|0,f[Da+4>>2]|0,Va|0,Sa|0)|0;Da=Ka;f[Da>>2]=Ia;f[Da+4>>2]=J;Da=f[Oa>>2]|0;Ia=f[Da+20>>2]|0;Ka=f[Ia>>2]|0;f[Ia>>2]=(Ka|0)>(va|0)?va:Ka;Ka=Ia+8|0;Aa=f[Ka>>2]|0;f[Ka>>2]=(Aa|0)<(va|0)?va:Aa;Aa=Ia+4|0;Ka=f[Aa>>2]|0;f[Aa>>2]=(Ka|0)>(za|0)?za:Ka;Ka=Ia+12|0;Aa=f[Ka>>2]|0;f[Ka>>2]=(Aa|0)<(za|0)?za:Aa;Aa=Ia+16|0;f[Aa>>2]=(f[Aa>>2]|0)+1;Aa=f[Da+120>>2]|0;Da=Aa;Ia=hzc(f[Da>>2]|0,f[Da+4>>2]|0,va|0,Ma|0)|0;Ma=Aa;f[Ma>>2]=Ia;f[Ma+4>>2]=J;Ma=Aa+8|0;Aa=Ma;Ia=hzc(f[Aa>>2]|0,f[Aa+4>>2]|0,za|0,r|0)|0;Aa=Ma;f[Aa>>2]=Ia;f[Aa+4>>2]=J}}while(0);ua=ua+2|0;La=f[h>>2]|0;Na=f[La+12>>2]|0}while((ua|0)<(Na|0));Za=Na;_a=La}else{Za=Ja;_a=x}Va=Va+2|0;if((Va|0)>=(c|0))break;else{x=_a;Ja=Za}}return}if(!g){if(!d)return;g=a+4|0;Za=a+12|0;Ja=e;_a=Pa;x=Ba;while(1){Va=f[g>>2]|0;Ya=f[f[Va+44>>2]>>2]|0;Xa=(f[Va+16>>2]|0)+(Y(Ya,Ja)|0)|0;Va=Xa+Ya|0;Ya=f[f[_a+44>>2]>>2]|0;Wa=(f[_a+16>>2]|0)+(Y(Ya,Ja)|0)|0;qa=Wa+Ya|0;if((x|0)>0){Ya=((Ja|0)<0)<<31>>31;Ua=Ja+1|0;ua=((Ua|0)<0)<<31>>31;r=0;do{za=Wa+(r<<2)|0;Sa=f[za>>2]|0;do if((Sa|0)>0){Z=f[(f[Za>>2]|0)+(Sa<<2)>>2]|0;if(!(b[Xa+r>>0]|0)){f[za>>2]=0;Qa=f[Oa>>2]|0;Ta=f[Qa+20>>2]|0;Ra=f[Ta>>2]|0;f[Ta>>2]=(Ra|0)>(r|0)?r:Ra;Ra=Ta+8|0;La=f[Ra>>2]|0;f[Ra>>2]=(La|0)<(r|0)?r:La;La=Ta+4|0;Ra=f[La>>2]|0;f[La>>2]=(Ra|0)>(Ja|0)?Ja:Ra;Ra=Ta+12|0;La=f[Ra>>2]|0;f[Ra>>2]=(La|0)<(Ja|0)?Ja:La;La=Ta+16|0;f[La>>2]=(f[La>>2]|0)+1;La=f[Qa+120>>2]|0;Qa=La;Ta=hzc(f[Qa>>2]|0,f[Qa+4>>2]|0,r|0,((r|0)<0)<<31>>31|0)|0;Qa=La;f[Qa>>2]=Ta;f[Qa+4>>2]=J;$a=La+8|0}else{f[za>>2]=Z;La=f[Oa>>2]|0;Qa=(f[La+20>>2]|0)+(Y(f[f[La+48>>2]>>2]|0,Z)|0)|0;Ta=f[Qa>>2]|0;f[Qa>>2]=(Ta|0)>(r|0)?r:Ta;Ta=Qa+8|0;Ra=f[Ta>>2]|0;f[Ta>>2]=(Ra|0)<(r|0)?r:Ra;Ra=Qa+4|0;Ta=f[Ra>>2]|0;f[Ra>>2]=(Ta|0)>(Ja|0)?Ja:Ta;Ta=Qa+12|0;Ra=f[Ta>>2]|0;f[Ta>>2]=(Ra|0)<(Ja|0)?Ja:Ra;Ra=Qa+16|0;f[Ra>>2]=(f[Ra>>2]|0)+1;Ra=f[La+120>>2]|0;La=Ra+(Z<<4)|0;Qa=La;Ta=hzc(f[Qa>>2]|0,f[Qa+4>>2]|0,r|0,((r|0)<0)<<31>>31|0)|0;Qa=La;f[Qa>>2]=Ta;f[Qa+4>>2]=J;$a=Ra+(Z<<4)+8|0}Ra=$a;Qa=hzc(f[Ra>>2]|0,f[Ra+4>>2]|0,Ja|0,Ya|0)|0;Ra=$a;f[Ra>>2]=Qa;f[Ra+4>>2]=J;Ra=r|1;Qa=Wa+(Ra<<2)|0;if(!(b[Xa+Ra>>0]|0)){f[Qa>>2]=0;Ta=f[Oa>>2]|0;La=f[Ta+20>>2]|0;Na=f[La>>2]|0;f[La>>2]=(Na|0)>(Ra|0)?Ra:Na;Na=La+8|0;Aa=f[Na>>2]|0;f[Na>>2]=(Aa|0)<(Ra|0)?Ra:Aa;Aa=La+4|0;Na=f[Aa>>2]|0;f[Aa>>2]=(Na|0)>(Ja|0)?Ja:Na;Na=La+12|0;Aa=f[Na>>2]|0;f[Na>>2]=(Aa|0)<(Ja|0)?Ja:Aa;Aa=La+16|0;f[Aa>>2]=(f[Aa>>2]|0)+1;Aa=f[Ta+120>>2]|0;Ta=Aa;La=hzc(f[Ta>>2]|0,f[Ta+4>>2]|0,Ra|0,((Ra|0)<0)<<31>>31|0)|0;Ta=Aa;f[Ta>>2]=La;f[Ta+4>>2]=J;ab=Aa+8|0}else{f[Qa>>2]=Z;Qa=f[Oa>>2]|0;Aa=(f[Qa+20>>2]|0)+(Y(f[f[Qa+48>>2]>>2]|0,Z)|0)|0;Ta=f[Aa>>2]|0;f[Aa>>2]=(Ta|0)>(Ra|0)?Ra:Ta;Ta=Aa+8|0;La=f[Ta>>2]|0;f[Ta>>2]=(La|0)<(Ra|0)?Ra:La;La=Aa+4|0;Ta=f[La>>2]|0;f[La>>2]=(Ta|0)>(Ja|0)?Ja:Ta;Ta=Aa+12|0;La=f[Ta>>2]|0;f[Ta>>2]=(La|0)<(Ja|0)?Ja:La;La=Aa+16|0;f[La>>2]=(f[La>>2]|0)+1;La=f[Qa+120>>2]|0;Qa=La+(Z<<4)|0;Aa=Qa;Ta=hzc(f[Aa>>2]|0,f[Aa+4>>2]|0,Ra|0,((Ra|0)<0)<<31>>31|0)|0;Aa=Qa;f[Aa>>2]=Ta;f[Aa+4>>2]=J;ab=La+(Z<<4)+8|0}La=ab;Aa=hzc(f[La>>2]|0,f[La+4>>2]|0,Ja|0,Ya|0)|0;La=ab;f[La>>2]=Aa;f[La+4>>2]=J;if((Ua|0)<(f[(f[h>>2]|0)+8>>2]|0)){La=qa+(r<<2)|0;if(!(b[Va+r>>0]|0)){f[La>>2]=0;Aa=f[Oa>>2]|0;Ta=f[Aa+20>>2]|0;Qa=f[Ta>>2]|0;f[Ta>>2]=(Qa|0)>(r|0)?r:Qa;Qa=Ta+8|0;Na=f[Qa>>2]|0;f[Qa>>2]=(Na|0)<(r|0)?r:Na;Na=Ta+4|0;Qa=f[Na>>2]|0;f[Na>>2]=(Qa|0)>(Ua|0)?Ua:Qa;Qa=Ta+12|0;Na=f[Qa>>2]|0;f[Qa>>2]=(Na|0)<(Ua|0)?Ua:Na;Na=Ta+16|0;f[Na>>2]=(f[Na>>2]|0)+1;Na=f[Aa+120>>2]|0;Aa=Na;Ta=hzc(f[Aa>>2]|0,f[Aa+4>>2]|0,r|0,((r|0)<0)<<31>>31|0)|0;Aa=Na;f[Aa>>2]=Ta;f[Aa+4>>2]=J;bb=Na+8|0}else{f[La>>2]=Z;La=f[Oa>>2]|0;Na=(f[La+20>>2]|0)+(Y(f[f[La+48>>2]>>2]|0,Z)|0)|0;Aa=f[Na>>2]|0;f[Na>>2]=(Aa|0)>(r|0)?r:Aa;Aa=Na+8|0;Ta=f[Aa>>2]|0;f[Aa>>2]=(Ta|0)<(r|0)?r:Ta;Ta=Na+4|0;Aa=f[Ta>>2]|0;f[Ta>>2]=(Aa|0)>(Ua|0)?Ua:Aa;Aa=Na+12|0;Ta=f[Aa>>2]|0;f[Aa>>2]=(Ta|0)<(Ua|0)?Ua:Ta;Ta=Na+16|0;f[Ta>>2]=(f[Ta>>2]|0)+1;Ta=f[La+120>>2]|0;La=Ta+(Z<<4)|0;Na=La;Aa=hzc(f[Na>>2]|0,f[Na+4>>2]|0,r|0,((r|0)<0)<<31>>31|0)|0;Na=La;f[Na>>2]=Aa;f[Na+4>>2]=J;bb=Ta+(Z<<4)+8|0}Ta=bb;Na=hzc(f[Ta>>2]|0,f[Ta+4>>2]|0,Ua|0,ua|0)|0;Ta=bb;f[Ta>>2]=Na;f[Ta+4>>2]=J;Ta=qa+(Ra<<2)|0;if(!(b[Va+Ra>>0]|0)){f[Ta>>2]=0;Na=f[Oa>>2]|0;Aa=f[Na+20>>2]|0;La=f[Aa>>2]|0;f[Aa>>2]=(La|0)>(Ra|0)?Ra:La;La=Aa+8|0;Qa=f[La>>2]|0;f[La>>2]=(Qa|0)<(Ra|0)?Ra:Qa;Qa=Aa+4|0;La=f[Qa>>2]|0;f[Qa>>2]=(La|0)>(Ua|0)?Ua:La;La=Aa+12|0;Qa=f[La>>2]|0;f[La>>2]=(Qa|0)<(Ua|0)?Ua:Qa;Qa=Aa+16|0;f[Qa>>2]=(f[Qa>>2]|0)+1;Qa=f[Na+120>>2]|0;Na=Qa;Aa=hzc(f[Na>>2]|0,f[Na+4>>2]|0,Ra|0,((Ra|0)<0)<<31>>31|0)|0;Na=Qa;f[Na>>2]=Aa;f[Na+4>>2]=J;Na=Qa+8|0;Qa=Na;Aa=hzc(f[Qa>>2]|0,f[Qa+4>>2]|0,Ua|0,ua|0)|0;Qa=Na;f[Qa>>2]=Aa;f[Qa+4>>2]=J;break}else{f[Ta>>2]=Z;Ta=f[Oa>>2]|0;Qa=(f[Ta+20>>2]|0)+(Y(f[f[Ta+48>>2]>>2]|0,Z)|0)|0;Aa=f[Qa>>2]|0;f[Qa>>2]=(Aa|0)>(Ra|0)?Ra:Aa;Aa=Qa+8|0;Na=f[Aa>>2]|0;f[Aa>>2]=(Na|0)<(Ra|0)?Ra:Na;Na=Qa+4|0;Aa=f[Na>>2]|0;f[Na>>2]=(Aa|0)>(Ua|0)?Ua:Aa;Aa=Qa+12|0;Na=f[Aa>>2]|0;f[Aa>>2]=(Na|0)<(Ua|0)?Ua:Na;Na=Qa+16|0;f[Na>>2]=(f[Na>>2]|0)+1;Na=f[Ta+120>>2]|0;Ta=Na+(Z<<4)|0;Qa=Ta;Aa=hzc(f[Qa>>2]|0,f[Qa+4>>2]|0,Ra|0,((Ra|0)<0)<<31>>31|0)|0;Ra=Ta;f[Ra>>2]=Aa;f[Ra+4>>2]=J;Ra=Na+(Z<<4)+8|0;Z=Ra;Na=hzc(f[Z>>2]|0,f[Z+4>>2]|0,Ua|0,ua|0)|0;Z=Ra;f[Z>>2]=Na;f[Z+4>>2]=J;break}}}else{f[za>>2]=0;Z=r|1;f[Wa+(Z<<2)>>2]=0;Na=f[Oa>>2]|0;Ra=f[Na+20>>2]|0;Aa=f[Ra>>2]|0;f[Ra>>2]=(Aa|0)>(r|0)?r:Aa;Aa=Ra+8|0;Ta=f[Aa>>2]|0;f[Aa>>2]=(Ta|0)<(r|0)?r:Ta;Ta=Ra+4|0;Aa=f[Ta>>2]|0;f[Ta>>2]=(Aa|0)>(Ja|0)?Ja:Aa;Aa=Ra+12|0;Ta=f[Aa>>2]|0;f[Aa>>2]=(Ta|0)<(Ja|0)?Ja:Ta;Ta=Ra+16|0;f[Ta>>2]=(f[Ta>>2]|0)+1;Ta=f[Na+120>>2]|0;Na=((r|0)<0)<<31>>31;Ra=Ta;Aa=hzc(f[Ra>>2]|0,f[Ra+4>>2]|0,r|0,Na|0)|0;Ra=Ta;f[Ra>>2]=Aa;f[Ra+4>>2]=J;Ra=Ta+8|0;Ta=Ra;Aa=hzc(f[Ta>>2]|0,f[Ta+4>>2]|0,Ja|0,Ya|0)|0;Ta=Ra;f[Ta>>2]=Aa;f[Ta+4>>2]=J;Ta=f[Oa>>2]|0;Aa=f[Ta+20>>2]|0;Ra=f[Aa>>2]|0;f[Aa>>2]=(Ra|0)>(Z|0)?Z:Ra;Ra=Aa+8|0;Qa=f[Ra>>2]|0;f[Ra>>2]=(Qa|0)<(Z|0)?Z:Qa;Qa=Aa+4|0;Ra=f[Qa>>2]|0;f[Qa>>2]=(Ra|0)>(Ja|0)?Ja:Ra;Ra=Aa+12|0;Qa=f[Ra>>2]|0;f[Ra>>2]=(Qa|0)<(Ja|0)?Ja:Qa;Qa=Aa+16|0;f[Qa>>2]=(f[Qa>>2]|0)+1;Qa=f[Ta+120>>2]|0;Ta=((Z|0)<0)<<31>>31;Aa=Qa;Ra=hzc(f[Aa>>2]|0,f[Aa+4>>2]|0,Z|0,Ta|0)|0;Aa=Qa;f[Aa>>2]=Ra;f[Aa+4>>2]=J;Aa=Qa+8|0;Qa=Aa;Ra=hzc(f[Qa>>2]|0,f[Qa+4>>2]|0,Ja|0,Ya|0)|0;Qa=Aa;f[Qa>>2]=Ra;f[Qa+4>>2]=J;if((Ua|0)<(f[(f[h>>2]|0)+8>>2]|0)){f[qa+(r<<2)>>2]=0;f[qa+(Z<<2)>>2]=0;Qa=f[Oa>>2]|0;Ra=f[Qa+20>>2]|0;Aa=f[Ra>>2]|0;f[Ra>>2]=(Aa|0)>(r|0)?r:Aa;Aa=Ra+8|0;La=f[Aa>>2]|0;f[Aa>>2]=(La|0)<(r|0)?r:La;La=Ra+4|0;Aa=f[La>>2]|0;f[La>>2]=(Aa|0)>(Ua|0)?Ua:Aa;Aa=Ra+12|0;La=f[Aa>>2]|0;f[Aa>>2]=(La|0)<(Ua|0)?Ua:La;La=Ra+16|0;f[La>>2]=(f[La>>2]|0)+1;La=f[Qa+120>>2]|0;Qa=La;Ra=hzc(f[Qa>>2]|0,f[Qa+4>>2]|0,r|0,Na|0)|0;Na=La;f[Na>>2]=Ra;f[Na+4>>2]=J;Na=La+8|0;La=Na;Ra=hzc(f[La>>2]|0,f[La+4>>2]|0,Ua|0,ua|0)|0;La=Na;f[La>>2]=Ra;f[La+4>>2]=J;La=f[Oa>>2]|0;Ra=f[La+20>>2]|0;Na=f[Ra>>2]|0;f[Ra>>2]=(Na|0)>(Z|0)?Z:Na;Na=Ra+8|0;Qa=f[Na>>2]|0;f[Na>>2]=(Qa|0)<(Z|0)?Z:Qa;Qa=Ra+4|0;Na=f[Qa>>2]|0;f[Qa>>2]=(Na|0)>(Ua|0)?Ua:Na;Na=Ra+12|0;Qa=f[Na>>2]|0;f[Na>>2]=(Qa|0)<(Ua|0)?Ua:Qa;Qa=Ra+16|0;f[Qa>>2]=(f[Qa>>2]|0)+1;Qa=f[La+120>>2]|0;La=Qa;Ra=hzc(f[La>>2]|0,f[La+4>>2]|0,Z|0,Ta|0)|0;Ta=Qa;f[Ta>>2]=Ra;f[Ta+4>>2]=J;Ta=Qa+8|0;Qa=Ta;Ra=hzc(f[Qa>>2]|0,f[Qa+4>>2]|0,Ua|0,ua|0)|0;Qa=Ta;f[Qa>>2]=Ra;f[Qa+4>>2]=J}}while(0);r=r+2|0;za=f[h>>2]|0;Sa=f[za+12>>2]|0}while((r|0)<(Sa|0));cb=Sa;db=za}else{cb=x;db=_a}Ja=Ja+2|0;if((Ja|0)>=(c|0))break;else{_a=db;x=cb}}return}if(!d)return;d=a+4|0;cb=a+12|0;a=e;e=Pa;Pa=Ba;while(1){Ba=f[d>>2]|0;x=f[f[Ba+44>>2]>>2]|0;db=(f[Ba+16>>2]|0)+(Y(x,a)|0)|0;Ba=db+x|0;x=f[f[e+44>>2]>>2]|0;_a=(f[e+16>>2]|0)+(Y(x,a)|0)|0;Ja=_a+x|0;if((Pa|0)>0){x=((a|0)<0)<<31>>31;bb=a+1|0;ab=((bb|0)<0)<<31>>31;$a=0;do{Za=_a+($a<<2)|0;g=f[Za>>2]|0;do if((g|0)>0){r=f[(f[cb>>2]|0)+(g<<2)>>2]|0;if(!(b[db+$a>>0]|0)){f[Za>>2]=0;ua=f[Oa>>2]|0;Ua=f[ua+20>>2]|0;qa=f[Ua>>2]|0;f[Ua>>2]=(qa|0)>($a|0)?$a:qa;qa=Ua+8|0;Ya=f[qa>>2]|0;f[qa>>2]=(Ya|0)<($a|0)?$a:Ya;Ya=Ua+4|0;qa=f[Ya>>2]|0;f[Ya>>2]=(qa|0)>(a|0)?a:qa;qa=Ua+12|0;Ya=f[qa>>2]|0;f[qa>>2]=(Ya|0)<(a|0)?a:Ya;Ya=Ua+16|0;f[Ya>>2]=(f[Ya>>2]|0)+1;Ya=f[ua+120>>2]|0;ua=Ya;Ua=hzc(f[ua>>2]|0,f[ua+4>>2]|0,$a|0,(($a|0)<0)<<31>>31|0)|0;ua=Ya;f[ua>>2]=Ua;f[ua+4>>2]=J;eb=Ya+8|0}else{f[Za>>2]=r;Ya=f[Oa>>2]|0;ua=(f[Ya+20>>2]|0)+(Y(f[f[Ya+48>>2]>>2]|0,r)|0)|0;Ua=f[ua>>2]|0;f[ua>>2]=(Ua|0)>($a|0)?$a:Ua;Ua=ua+8|0;qa=f[Ua>>2]|0;f[Ua>>2]=(qa|0)<($a|0)?$a:qa;qa=ua+4|0;Ua=f[qa>>2]|0;f[qa>>2]=(Ua|0)>(a|0)?a:Ua;Ua=ua+12|0;qa=f[Ua>>2]|0;f[Ua>>2]=(qa|0)<(a|0)?a:qa;qa=ua+16|0;f[qa>>2]=(f[qa>>2]|0)+1;qa=f[Ya+120>>2]|0;Ya=qa+(r<<4)|0;ua=Ya;Ua=hzc(f[ua>>2]|0,f[ua+4>>2]|0,$a|0,(($a|0)<0)<<31>>31|0)|0;ua=Ya;f[ua>>2]=Ua;f[ua+4>>2]=J;eb=qa+(r<<4)+8|0}qa=eb;ua=hzc(f[qa>>2]|0,f[qa+4>>2]|0,a|0,x|0)|0;qa=eb;f[qa>>2]=ua;f[qa+4>>2]=J;qa=$a|1;ua=f[h>>2]|0;if((qa|0)>=(f[ua+12>>2]|0)){if((bb|0)>=(f[ua+8>>2]|0))break;ua=Ja+($a<<2)|0;if(!(b[Ba+$a>>0]|0)){f[ua>>2]=0;Ua=f[Oa>>2]|0;Ya=f[Ua+20>>2]|0;Wa=f[Ya>>2]|0;f[Ya>>2]=(Wa|0)>($a|0)?$a:Wa;Wa=Ya+8|0;Va=f[Wa>>2]|0;f[Wa>>2]=(Va|0)<($a|0)?$a:Va;Va=Ya+4|0;Wa=f[Va>>2]|0;f[Va>>2]=(Wa|0)>(bb|0)?bb:Wa;Wa=Ya+12|0;Va=f[Wa>>2]|0;f[Wa>>2]=(Va|0)<(bb|0)?bb:Va;Va=Ya+16|0;f[Va>>2]=(f[Va>>2]|0)+1;Va=f[Ua+120>>2]|0;Ua=Va;Ya=hzc(f[Ua>>2]|0,f[Ua+4>>2]|0,$a|0,(($a|0)<0)<<31>>31|0)|0;Ua=Va;f[Ua>>2]=Ya;f[Ua+4>>2]=J;Ua=Va+8|0;Va=Ua;Ya=hzc(f[Va>>2]|0,f[Va+4>>2]|0,bb|0,ab|0)|0;Va=Ua;f[Va>>2]=Ya;f[Va+4>>2]=J;break}else{f[ua>>2]=r;ua=f[Oa>>2]|0;Va=(f[ua+20>>2]|0)+(Y(f[f[ua+48>>2]>>2]|0,r)|0)|0;Ya=f[Va>>2]|0;f[Va>>2]=(Ya|0)>($a|0)?$a:Ya;Ya=Va+8|0;Ua=f[Ya>>2]|0;f[Ya>>2]=(Ua|0)<($a|0)?$a:Ua;Ua=Va+4|0;Ya=f[Ua>>2]|0;f[Ua>>2]=(Ya|0)>(bb|0)?bb:Ya;Ya=Va+12|0;Ua=f[Ya>>2]|0;f[Ya>>2]=(Ua|0)<(bb|0)?bb:Ua;Ua=Va+16|0;f[Ua>>2]=(f[Ua>>2]|0)+1;Ua=f[ua+120>>2]|0;ua=Ua+(r<<4)|0;Va=ua;Ya=hzc(f[Va>>2]|0,f[Va+4>>2]|0,$a|0,(($a|0)<0)<<31>>31|0)|0;Va=ua;f[Va>>2]=Ya;f[Va+4>>2]=J;Va=Ua+(r<<4)+8|0;Ua=Va;Ya=hzc(f[Ua>>2]|0,f[Ua+4>>2]|0,bb|0,ab|0)|0;Ua=Va;f[Ua>>2]=Ya;f[Ua+4>>2]=J;break}}Ua=_a+(qa<<2)|0;if(!(b[db+qa>>0]|0)){f[Ua>>2]=0;Ya=f[Oa>>2]|0;Va=f[Ya+20>>2]|0;ua=f[Va>>2]|0;f[Va>>2]=(ua|0)>(qa|0)?qa:ua;ua=Va+8|0;Wa=f[ua>>2]|0;f[ua>>2]=(Wa|0)<(qa|0)?qa:Wa;Wa=Va+4|0;ua=f[Wa>>2]|0;f[Wa>>2]=(ua|0)>(a|0)?a:ua;ua=Va+12|0;Wa=f[ua>>2]|0;f[ua>>2]=(Wa|0)<(a|0)?a:Wa;Wa=Va+16|0;f[Wa>>2]=(f[Wa>>2]|0)+1;Wa=f[Ya+120>>2]|0;Ya=Wa;Va=hzc(f[Ya>>2]|0,f[Ya+4>>2]|0,qa|0,((qa|0)<0)<<31>>31|0)|0;Ya=Wa;f[Ya>>2]=Va;f[Ya+4>>2]=J;fb=Wa+8|0}else{f[Ua>>2]=r;Ua=f[Oa>>2]|0;Wa=(f[Ua+20>>2]|0)+(Y(f[f[Ua+48>>2]>>2]|0,r)|0)|0;Ya=f[Wa>>2]|0;f[Wa>>2]=(Ya|0)>(qa|0)?qa:Ya;Ya=Wa+8|0;Va=f[Ya>>2]|0;f[Ya>>2]=(Va|0)<(qa|0)?qa:Va;Va=Wa+4|0;Ya=f[Va>>2]|0;f[Va>>2]=(Ya|0)>(a|0)?a:Ya;Ya=Wa+12|0;Va=f[Ya>>2]|0;f[Ya>>2]=(Va|0)<(a|0)?a:Va;Va=Wa+16|0;f[Va>>2]=(f[Va>>2]|0)+1;Va=f[Ua+120>>2]|0;Ua=Va+(r<<4)|0;Wa=Ua;Ya=hzc(f[Wa>>2]|0,f[Wa+4>>2]|0,qa|0,((qa|0)<0)<<31>>31|0)|0;Wa=Ua;f[Wa>>2]=Ya;f[Wa+4>>2]=J;fb=Va+(r<<4)+8|0}Va=fb;Wa=hzc(f[Va>>2]|0,f[Va+4>>2]|0,a|0,x|0)|0;Va=fb;f[Va>>2]=Wa;f[Va+4>>2]=J;if((bb|0)<(f[(f[h>>2]|0)+8>>2]|0)){Va=Ja+($a<<2)|0;if(!(b[Ba+$a>>0]|0)){f[Va>>2]=0;Wa=f[Oa>>2]|0;Ya=f[Wa+20>>2]|0;Ua=f[Ya>>2]|0;f[Ya>>2]=(Ua|0)>($a|0)?$a:Ua;Ua=Ya+8|0;ua=f[Ua>>2]|0;f[Ua>>2]=(ua|0)<($a|0)?$a:ua;ua=Ya+4|0;Ua=f[ua>>2]|0;f[ua>>2]=(Ua|0)>(bb|0)?bb:Ua;Ua=Ya+12|0;ua=f[Ua>>2]|0;f[Ua>>2]=(ua|0)<(bb|0)?bb:ua;ua=Ya+16|0;f[ua>>2]=(f[ua>>2]|0)+1;ua=f[Wa+120>>2]|0;Wa=ua;Ya=hzc(f[Wa>>2]|0,f[Wa+4>>2]|0,$a|0,(($a|0)<0)<<31>>31|0)|0;Wa=ua;f[Wa>>2]=Ya;f[Wa+4>>2]=J;gb=ua+8|0}else{f[Va>>2]=r;Va=f[Oa>>2]|0;ua=(f[Va+20>>2]|0)+(Y(f[f[Va+48>>2]>>2]|0,r)|0)|0;Wa=f[ua>>2]|0;f[ua>>2]=(Wa|0)>($a|0)?$a:Wa;Wa=ua+8|0;Ya=f[Wa>>2]|0;f[Wa>>2]=(Ya|0)<($a|0)?$a:Ya;Ya=ua+4|0;Wa=f[Ya>>2]|0;f[Ya>>2]=(Wa|0)>(bb|0)?bb:Wa;Wa=ua+12|0;Ya=f[Wa>>2]|0;f[Wa>>2]=(Ya|0)<(bb|0)?bb:Ya;Ya=ua+16|0;f[Ya>>2]=(f[Ya>>2]|0)+1;Ya=f[Va+120>>2]|0;Va=Ya+(r<<4)|0;ua=Va;Wa=hzc(f[ua>>2]|0,f[ua+4>>2]|0,$a|0,(($a|0)<0)<<31>>31|0)|0;ua=Va;f[ua>>2]=Wa;f[ua+4>>2]=J;gb=Ya+(r<<4)+8|0}Ya=gb;ua=hzc(f[Ya>>2]|0,f[Ya+4>>2]|0,bb|0,ab|0)|0;Ya=gb;f[Ya>>2]=ua;f[Ya+4>>2]=J;Ya=Ja+(qa<<2)|0;if(!(b[Ba+qa>>0]|0)){f[Ya>>2]=0;ua=f[Oa>>2]|0;Wa=f[ua+20>>2]|0;Va=f[Wa>>2]|0;f[Wa>>2]=(Va|0)>(qa|0)?qa:Va;Va=Wa+8|0;Ua=f[Va>>2]|0;f[Va>>2]=(Ua|0)<(qa|0)?qa:Ua;Ua=Wa+4|0;Va=f[Ua>>2]|0;f[Ua>>2]=(Va|0)>(bb|0)?bb:Va;Va=Wa+12|0;Ua=f[Va>>2]|0;f[Va>>2]=(Ua|0)<(bb|0)?bb:Ua;Ua=Wa+16|0;f[Ua>>2]=(f[Ua>>2]|0)+1;Ua=f[ua+120>>2]|0;ua=Ua;Wa=hzc(f[ua>>2]|0,f[ua+4>>2]|0,qa|0,((qa|0)<0)<<31>>31|0)|0;ua=Ua;f[ua>>2]=Wa;f[ua+4>>2]=J;ua=Ua+8|0;Ua=ua;Wa=hzc(f[Ua>>2]|0,f[Ua+4>>2]|0,bb|0,ab|0)|0;Ua=ua;f[Ua>>2]=Wa;f[Ua+4>>2]=J;break}else{f[Ya>>2]=r;Ya=f[Oa>>2]|0;Ua=(f[Ya+20>>2]|0)+(Y(f[f[Ya+48>>2]>>2]|0,r)|0)|0;Wa=f[Ua>>2]|0;f[Ua>>2]=(Wa|0)>(qa|0)?qa:Wa;Wa=Ua+8|0;ua=f[Wa>>2]|0;f[Wa>>2]=(ua|0)<(qa|0)?qa:ua;ua=Ua+4|0;Wa=f[ua>>2]|0;f[ua>>2]=(Wa|0)>(bb|0)?bb:Wa;Wa=Ua+12|0;ua=f[Wa>>2]|0;f[Wa>>2]=(ua|0)<(bb|0)?bb:ua;ua=Ua+16|0;f[ua>>2]=(f[ua>>2]|0)+1;ua=f[Ya+120>>2]|0;Ya=ua+(r<<4)|0;Ua=Ya;Wa=hzc(f[Ua>>2]|0,f[Ua+4>>2]|0,qa|0,((qa|0)<0)<<31>>31|0)|0;qa=Ya;f[qa>>2]=Wa;f[qa+4>>2]=J;qa=ua+(r<<4)+8|0;r=qa;ua=hzc(f[r>>2]|0,f[r+4>>2]|0,bb|0,ab|0)|0;r=qa;f[r>>2]=ua;f[r+4>>2]=J;break}}}else{f[Za>>2]=0;r=f[Oa>>2]|0;ua=f[r+20>>2]|0;qa=f[ua>>2]|0;f[ua>>2]=(qa|0)>($a|0)?$a:qa;qa=ua+8|0;Wa=f[qa>>2]|0;f[qa>>2]=(Wa|0)<($a|0)?$a:Wa;Wa=ua+4|0;qa=f[Wa>>2]|0;f[Wa>>2]=(qa|0)>(a|0)?a:qa;qa=ua+12|0;Wa=f[qa>>2]|0;f[qa>>2]=(Wa|0)<(a|0)?a:Wa;Wa=ua+16|0;f[Wa>>2]=(f[Wa>>2]|0)+1;Wa=f[r+120>>2]|0;r=(($a|0)<0)<<31>>31;ua=Wa;qa=hzc(f[ua>>2]|0,f[ua+4>>2]|0,$a|0,r|0)|0;ua=Wa;f[ua>>2]=qa;f[ua+4>>2]=J;ua=Wa+8|0;Wa=ua;qa=hzc(f[Wa>>2]|0,f[Wa+4>>2]|0,a|0,x|0)|0;Wa=ua;f[Wa>>2]=qa;f[Wa+4>>2]=J;Wa=$a|1;qa=f[h>>2]|0;if((Wa|0)<(f[qa+12>>2]|0)){f[_a+(Wa<<2)>>2]=0;ua=f[Oa>>2]|0;Ya=f[ua+20>>2]|0;Ua=f[Ya>>2]|0;f[Ya>>2]=(Ua|0)>(Wa|0)?Wa:Ua;Ua=Ya+8|0;Va=f[Ua>>2]|0;f[Ua>>2]=(Va|0)<(Wa|0)?Wa:Va;Va=Ya+4|0;Ua=f[Va>>2]|0;f[Va>>2]=(Ua|0)>(a|0)?a:Ua;Ua=Ya+12|0;Va=f[Ua>>2]|0;f[Ua>>2]=(Va|0)<(a|0)?a:Va;Va=Ya+16|0;f[Va>>2]=(f[Va>>2]|0)+1;Va=f[ua+120>>2]|0;ua=((Wa|0)<0)<<31>>31;Ya=Va;Ua=hzc(f[Ya>>2]|0,f[Ya+4>>2]|0,Wa|0,ua|0)|0;Ya=Va;f[Ya>>2]=Ua;f[Ya+4>>2]=J;Ya=Va+8|0;Va=Ya;Ua=hzc(f[Va>>2]|0,f[Va+4>>2]|0,a|0,x|0)|0;Va=Ya;f[Va>>2]=Ua;f[Va+4>>2]=J;if((bb|0)>=(f[(f[h>>2]|0)+8>>2]|0))break;f[Ja+($a<<2)>>2]=0;f[Ja+(Wa<<2)>>2]=0;Va=f[Oa>>2]|0;Ua=f[Va+20>>2]|0;Ya=f[Ua>>2]|0;f[Ua>>2]=(Ya|0)>($a|0)?$a:Ya;Ya=Ua+8|0;Xa=f[Ya>>2]|0;f[Ya>>2]=(Xa|0)<($a|0)?$a:Xa;Xa=Ua+4|0;Ya=f[Xa>>2]|0;f[Xa>>2]=(Ya|0)>(bb|0)?bb:Ya;Ya=Ua+12|0;Xa=f[Ya>>2]|0;f[Ya>>2]=(Xa|0)<(bb|0)?bb:Xa;Xa=Ua+16|0;f[Xa>>2]=(f[Xa>>2]|0)+1;Xa=f[Va+120>>2]|0;Va=Xa;Ua=hzc(f[Va>>2]|0,f[Va+4>>2]|0,$a|0,r|0)|0;Va=Xa;f[Va>>2]=Ua;f[Va+4>>2]=J;Va=Xa+8|0;Xa=Va;Ua=hzc(f[Xa>>2]|0,f[Xa+4>>2]|0,bb|0,ab|0)|0;Xa=Va;f[Xa>>2]=Ua;f[Xa+4>>2]=J;Xa=f[Oa>>2]|0;Ua=f[Xa+20>>2]|0;Va=f[Ua>>2]|0;f[Ua>>2]=(Va|0)>(Wa|0)?Wa:Va;Va=Ua+8|0;Ya=f[Va>>2]|0;f[Va>>2]=(Ya|0)<(Wa|0)?Wa:Ya;Ya=Ua+4|0;Va=f[Ya>>2]|0;f[Ya>>2]=(Va|0)>(bb|0)?bb:Va;Va=Ua+12|0;Ya=f[Va>>2]|0;f[Va>>2]=(Ya|0)<(bb|0)?bb:Ya;Ya=Ua+16|0;f[Ya>>2]=(f[Ya>>2]|0)+1;Ya=f[Xa+120>>2]|0;Xa=Ya;Ua=hzc(f[Xa>>2]|0,f[Xa+4>>2]|0,Wa|0,ua|0)|0;ua=Ya;f[ua>>2]=Ua;f[ua+4>>2]=J;ua=Ya+8|0;Ya=ua;Ua=hzc(f[Ya>>2]|0,f[Ya+4>>2]|0,bb|0,ab|0)|0;Ya=ua;f[Ya>>2]=Ua;f[Ya+4>>2]=J;break}else{if((bb|0)>=(f[qa+8>>2]|0))break;f[Ja+($a<<2)>>2]=0;qa=f[Oa>>2]|0;Ya=f[qa+20>>2]|0;Ua=f[Ya>>2]|0;f[Ya>>2]=(Ua|0)>($a|0)?$a:Ua;Ua=Ya+8|0;ua=f[Ua>>2]|0;f[Ua>>2]=(ua|0)<($a|0)?$a:ua;ua=Ya+4|0;Ua=f[ua>>2]|0;f[ua>>2]=(Ua|0)>(bb|0)?bb:Ua;Ua=Ya+12|0;ua=f[Ua>>2]|0;f[Ua>>2]=(ua|0)<(bb|0)?bb:ua;ua=Ya+16|0;f[ua>>2]=(f[ua>>2]|0)+1;ua=f[qa+120>>2]|0;qa=ua;Ya=hzc(f[qa>>2]|0,f[qa+4>>2]|0,$a|0,r|0)|0;r=ua;f[r>>2]=Ya;f[r+4>>2]=J;r=ua+8|0;ua=r;Ya=hzc(f[ua>>2]|0,f[ua+4>>2]|0,bb|0,ab|0)|0;ua=r;f[ua>>2]=Ya;f[ua+4>>2]=J;break}}while(0);$a=$a+2|0;Za=f[h>>2]|0;g=f[Za+12>>2]|0}while(($a|0)<(g|0));hb=g;ib=Za}else{hb=Pa;ib=e}a=a+2|0;if((a|0)>=(c|0))break;else{e=ib;Pa=hb}}return}}function Qna(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;c=u;u=u+80|0;d=c;e=c+16|0;f[e>>2]=1124007936;g=e+4|0;h=e+8|0;i=e+40|0;j=g;k=j+36|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));f[i>>2]=h;l=e+48|0;m=e+44|0;f[m>>2]=l;f[l>>2]=0;f[e+52>>2]=0;f[d>>2]=b;f[d+4>>2]=5;ZT(e,2,d,4);n=a+4|0;if((n|0)==(e|0)){o=e+36|0;p=f[o>>2]|0;if((p|0)!=0?(q=p+12|0,p=f[q>>2]|0,f[q>>2]=p+-1,(p|0)==1):0){aU(e);r=o}else r=o}else{o=a+40|0;p=f[o>>2]|0;if(p|0?(q=p+12|0,p=f[q>>2]|0,f[q>>2]=p+-1,(p|0)==1):0)aU(n);f[o>>2]=0;p=a+20|0;q=a+8|0;f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;f[p+12>>2]=0;if((f[q>>2]|0)>0){s=f[a+44>>2]|0;t=0;do{f[s+(t<<2)>>2]=0;t=t+1|0}while((t|0)<(f[q>>2]|0))}f[n>>2]=f[e>>2];n=f[g>>2]|0;f[q>>2]=n;q=a+12|0;f[q>>2]=f[h>>2];f[a+16>>2]=f[e+12>>2];f[p>>2]=f[e+16>>2];f[a+24>>2]=f[e+20>>2];f[a+28>>2]=f[e+24>>2];f[a+32>>2]=f[e+28>>2];f[a+36>>2]=f[e+32>>2];p=e+36|0;f[o>>2]=f[p>>2];o=a+48|0;t=f[o>>2]|0;s=a+52|0;if((t|0)==(s|0)){v=n;w=t}else{TC(t);f[o>>2]=s;f[a+44>>2]=q;v=f[g>>2]|0;w=s}s=e+44|0;if((v|0)<3){v=f[s>>2]|0;f[w>>2]=f[v>>2];f[w+4>>2]=f[v+4>>2]}else{f[o>>2]=f[s>>2];f[a+44>>2]=f[i>>2];f[s>>2]=l;f[i>>2]=h}f[e>>2]=1124007936;j=g;k=j+36|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));r=p}f[r>>2]=0;r=e+16|0;f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;f[r+12>>2]=0;if((f[g>>2]|0)>0){r=f[i>>2]|0;i=0;do{f[r+(i<<2)>>2]=0;i=i+1|0}while((i|0)<(f[g>>2]|0))}g=f[m>>2]|0;if((g|0)!=(l|0))TC(g);if((b|0)>0){g=f[a+20>>2]|0;l=f[a+48>>2]|0;m=0;do{i=g+(Y(f[l>>2]|0,m)|0)|0;f[i>>2]=2147483647;f[i+4>>2]=2147483647;f[i+8>>2]=-2147483648;f[i+12>>2]=-2147483648;f[i+16>>2]=0;m=m+1|0}while((m|0)!=(b|0))}m=a+120|0;l=a+124|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;a=f[l>>2]|0;g=f[m>>2]|0;i=a-g>>4;r=a;if(i>>>0<b>>>0){Rna(m,b-i|0,d);u=c;return}if(i>>>0<=b>>>0){u=c;return}i=g+(b<<4)|0;if((r|0)==(i|0)){u=c;return}f[l>>2]=r+(~((r+-16-i|0)>>>4)<<4);u=c;return}function Rna(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;d=a+8|0;e=f[d>>2]|0;g=a+4|0;h=f[g>>2]|0;if(e-h>>4>>>0>=b>>>0){i=b;j=h;do{f[j>>2]=f[c>>2];f[j+4>>2]=f[c+4>>2];f[j+8>>2]=f[c+8>>2];f[j+12>>2]=f[c+12>>2];j=(f[g>>2]|0)+16|0;f[g>>2]=j;i=i+-1|0}while((i|0)!=0);return}i=f[a>>2]|0;j=h-i>>4;h=j+b|0;if(h>>>0>268435455)nsc(a);k=e-i|0;i=k>>3;e=k>>4>>>0<134217727?(i>>>0<h>>>0?h:i):268435455;do if(e)if(e>>>0>268435455){i=ze(8)|0;kuc(i,519086);f[i>>2]=167148;Hf(i|0,26888,1888)}else{l=cuc(e<<4)|0;break}else l=0;while(0);i=l+(j<<4)|0;j=l+(e<<4)|0;e=b;b=i;l=i;do{f[b>>2]=f[c>>2];f[b+4>>2]=f[c+4>>2];f[b+8>>2]=f[c+8>>2];f[b+12>>2]=f[c+12>>2];b=l+16|0;l=b;e=e+-1|0}while((e|0)!=0);e=f[a>>2]|0;b=(f[g>>2]|0)-e|0;c=i+(0-(b>>4)<<4)|0;if((b|0)>0)szc(c|0,e|0,b|0)|0;f[a>>2]=c;f[g>>2]=l;f[d>>2]=j;if(!e)return;fuc(e);return}function Sna(a){a=a|0;fuc(a);return}
function myc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;e=u;u=u+96|0;g=e+8|0;h=e;i=e+56|0;j=e+16|0;k=e+40|0;a:do if((c-a|0)>>>0>20){l=0;m=h;while(1){n=b[a+l>>0]|0;o=n<<24>>24;q=a+(l|1)|0;if((l|0)==20){r=6;break}if(!($fc(o)|0))break;s=b[q>>0]|0;b[m>>0]=s+(((o+-48|0)>>>0<10?0:9)+o<<4)+((s+-48|0)>>>0<10?208:169);l=l+2|0;m=m+1|0}do if((r|0)==6){if(n<<24>>24==69){b:do if((h|0)!=(m|0)){l=m;s=h;while(1){o=l+-1|0;if(s>>>0>=o>>>0)break b;t=b[s>>0]|0;b[s>>0]=b[o>>0]|0;b[o>>0]=t;l=o;s=s+1|0}}while(0);s=i;l=s+40|0;do{b[s>>0]=0;s=s+1|0}while((s|0)<(l|0));p[g>>3]=+p[h>>3];s=ufc(i,40,532114,g)|0;if(s>>>0>39)break;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;if(s>>>0<11){b[k+11>>0]=s;v=k}else{l=s+16&-16;o=swc(l)|0;f[k>>2]=o;f[k+8>>2]=l|-2147483648;f[k+4>>2]=s;v=o}fjc(v,i,s)|0;b[g>>0]=0;$jc(v+s|0,g);Uwc(j,k);s=d+4|0;o=f[s>>2]|0;if(o>>>0<(f[d+8>>2]|0)>>>0){Wwc(o,j);f[s>>2]=(f[s>>2]|0)+24}else Xwc(d,j);ewc(j);vwc(k);w=q}else w=a;x=w;break a}while(0);x=a}else x=a;while(0);u=e;return x|0}function nyc(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+16|0;e=d;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;g=swc(16)|0;f[a>>2]=g;f[a+8>>2]=-2147483632;f[a+4>>2]=13;fjc(g,c,13)|0;b[e>>0]=0;$jc(g+13|0,e);e=a+12|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;a=0;while(1){if((a|0)==3)break;f[e+(a<<2)>>2]=0;a=a+1|0}u=d;return}function oyc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0;e=u;u=u+48|0;g=e+36|0;h=e+24|0;i=e+8|0;j=e;a:do if((a|0)!=(c|0)?(b[a>>0]|0)==78:0){k=Awc(a+1|0,c,g)|0;b:do if((k|0)!=(c|0)){l=d+52|0;f[l>>2]=0;m=k+1|0;switch(b[k>>0]|0){case 82:{n=1;o=6;break}case 79:{n=2;o=6;break}default:p=k}if((o|0)==6){f[l>>2]=n;p=m}m=d+4|0;l=f[m>>2]|0;if(l>>>0<(f[d+8>>2]|0)>>>0){f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;f[l+16>>2]=0;f[l+20>>2]=0;ayc(l);f[m>>2]=(f[m>>2]|0)+24}else byc(d);if(((c-p|0)>1?(b[p>>0]|0)==83:0)?(b[p+1>>0]|0)==116:0){Exc((f[m>>2]|0)+-24|0,532186);q=p+2|0}else q=p;if((q|0)==(c|0)){l=f[m>>2]|0;r=l+-24|0;s=l;while(1){if((s|0)==(r|0))break b;l=s+-24|0;f[m>>2]=l;ewc(l);s=f[m>>2]|0}}s=d+16|0;r=h+11|0;l=h+4|0;t=d+12|0;v=d+20|0;w=d+24|0;x=i+12|0;y=i+4|0;z=i+8|0;A=i+12|0;B=i+4|0;C=i+8|0;D=i+11|0;E=i+4|0;F=i+11|0;G=i+4|0;H=i+12|0;I=i+4|0;J=i+8|0;K=i+12|0;L=i+4|0;M=i+8|0;N=i+11|0;O=i+4|0;P=i+12|0;Q=i+4|0;R=i+8|0;S=i+11|0;T=i+4|0;U=0;V=q;c:while(1){W=V;d:while(1){X=b[W>>0]|0;Y=W+1|0;if(X<<24>>24==69)break c;switch(X<<24>>24|0){case 83:{o=21;break d;break}case 84:{o=37;break d;break}case 68:{o=51;break d;break}case 73:break;case 76:{if((Y|0)==(c|0))break b;else{W=Y;continue d}break}default:break d}X=Qwc(W,c,d)|0;if((X|0)==(W|0)|(X|0)==(c|0))break b;Rwc(h,(f[m>>2]|0)+-24|0);Z=f[m>>2]|0;_=Z+-24|0;$=Z;while(1){if(($|0)==(_|0))break;aa=$+-24|0;f[m>>2]=aa;ewc(aa);$=f[m>>2]|0}$=b[r>>0]|0;_=$<<24>>24<0;hwc(Z+-48|0,_?f[h>>2]|0:h,_?f[l>>2]|0:$&255)|0;$=(f[m>>2]|0)+-24|0;f[j>>2]=f[t>>2];Iwc(i,$,j);$=f[v>>2]|0;if($>>>0<(f[w>>2]|0)>>>0){f[$>>2]=0;_=$+4|0;f[_>>2]=0;aa=f[x>>2]|0;f[$+8>>2]=0;f[$+12>>2]=aa;f[$>>2]=f[i>>2];f[_>>2]=f[y>>2];f[$+8>>2]=f[z>>2];f[z>>2]=0;f[y>>2]=0;f[i>>2]=0;f[v>>2]=(f[v>>2]|0)+16}else Jwc(s,i);fwc(i);vwc(h);W=X}e:do if((o|0)==21){o=0;if((Y|0)!=(c|0)?(b[Y>>0]|0)==116:0)break;$=Zwc(W,c,d)|0;if(($|0)==(W|0)|($|0)==(c|0))break b;Rwc(h,(f[m>>2]|0)+-24|0);_=f[m>>2]|0;aa=_+-24|0;ba=_;while(1){if((ba|0)==(aa|0))break;ca=ba+-24|0;f[m>>2]=ca;ewc(ca);ba=f[m>>2]|0}ba=_+-48|0;aa=b[ba+11>>0]|0;if(aa<<24>>24<0)da=f[_+-44>>2]|0;else da=aa&255;if(!da)syc(ba,h);else{dxc(i,530882,h);ba=b[F>>0]|0;aa=ba<<24>>24<0;hwc((f[m>>2]|0)+-24|0,aa?f[i>>2]|0:i,aa?f[G>>2]|0:ba&255)|0;vwc(i);ba=(f[m>>2]|0)+-24|0;f[j>>2]=f[t>>2];Iwc(i,ba,j);ba=f[v>>2]|0;if(ba>>>0<(f[w>>2]|0)>>>0){f[ba>>2]=0;aa=ba+4|0;f[aa>>2]=0;X=f[H>>2]|0;f[ba+8>>2]=0;f[ba+12>>2]=X;f[ba>>2]=f[i>>2];f[aa>>2]=f[I>>2];f[ba+8>>2]=f[J>>2];f[J>>2]=0;f[I>>2]=0;f[i>>2]=0;f[v>>2]=(f[v>>2]|0)+16}else Jwc(s,i);fwc(i)}vwc(h);U=1;V=$;continue c}else if((o|0)==37){o=0;ba=Pwc(W,c,d)|0;if((ba|0)==(W|0)|(ba|0)==(c|0))break b;Rwc(h,(f[m>>2]|0)+-24|0);aa=f[m>>2]|0;X=aa+-24|0;Z=aa;while(1){if((Z|0)==(X|0))break;ca=Z+-24|0;f[m>>2]=ca;ewc(ca);Z=f[m>>2]|0}Z=aa+-48|0;X=b[Z+11>>0]|0;if(X<<24>>24<0)ea=f[aa+-44>>2]|0;else ea=X&255;if(!ea)syc(Z,h);else{dxc(i,530882,h);Z=b[N>>0]|0;X=Z<<24>>24<0;hwc((f[m>>2]|0)+-24|0,X?f[i>>2]|0:i,X?f[O>>2]|0:Z&255)|0;vwc(i)}Z=(f[m>>2]|0)+-24|0;f[j>>2]=f[t>>2];Iwc(i,Z,j);Z=f[v>>2]|0;if(Z>>>0<(f[w>>2]|0)>>>0){f[Z>>2]=0;X=Z+4|0;f[X>>2]=0;$=f[K>>2]|0;f[Z+8>>2]=0;f[Z+12>>2]=$;f[Z>>2]=f[i>>2];f[X>>2]=f[L>>2];f[Z+8>>2]=f[M>>2];f[M>>2]=0;f[L>>2]=0;f[i>>2]=0;f[v>>2]=(f[v>>2]|0)+16}else Jwc(s,i);fwc(i);vwc(h);U=1;V=ba;continue c}else if((o|0)==51){o=0;if((Y|0)!=(c|0))switch(b[Y>>0]|0){case 84:case 116:break;default:break e}Z=_wc(W,c,d)|0;if((Z|0)==(W|0)|(Z|0)==(c|0))break b;Rwc(h,(f[m>>2]|0)+-24|0);X=f[m>>2]|0;$=X+-24|0;_=X;while(1){if((_|0)==($|0))break;ca=_+-24|0;f[m>>2]=ca;ewc(ca);_=f[m>>2]|0}_=X+-48|0;$=b[_+11>>0]|0;if($<<24>>24<0)fa=f[X+-44>>2]|0;else fa=$&255;if(!fa)syc(_,h);else{dxc(i,530882,h);_=b[S>>0]|0;$=_<<24>>24<0;hwc((f[m>>2]|0)+-24|0,$?f[i>>2]|0:i,$?f[T>>2]|0:_&255)|0;vwc(i)}_=(f[m>>2]|0)+-24|0;f[j>>2]=f[t>>2];Iwc(i,_,j);_=f[v>>2]|0;if(_>>>0<(f[w>>2]|0)>>>0){f[_>>2]=0;$=_+4|0;f[$>>2]=0;ba=f[P>>2]|0;f[_+8>>2]=0;f[_+12>>2]=ba;f[_>>2]=f[i>>2];f[$>>2]=f[Q>>2];f[_+8>>2]=f[R>>2];f[R>>2]=0;f[Q>>2]=0;f[i>>2]=0;f[v>>2]=(f[v>>2]|0)+16}else Jwc(s,i);fwc(i);vwc(h);U=1;V=Z;continue c}while(0);_=Kxc(W,c,d)|0;if((_|0)==(W|0)|(_|0)==(c|0))break b;Rwc(h,(f[m>>2]|0)+-24|0);$=f[m>>2]|0;ba=$+-24|0;aa=$;while(1){if((aa|0)==(ba|0))break;ca=aa+-24|0;f[m>>2]=ca;ewc(ca);aa=f[m>>2]|0}aa=$+-48|0;ba=b[aa+11>>0]|0;if(ba<<24>>24<0)ga=f[$+-44>>2]|0;else ga=ba&255;if(!ga)syc(aa,h);else{dxc(i,530882,h);aa=b[D>>0]|0;ba=aa<<24>>24<0;hwc((f[m>>2]|0)+-24|0,ba?f[i>>2]|0:i,ba?f[E>>2]|0:aa&255)|0;vwc(i)}aa=(f[m>>2]|0)+-24|0;f[j>>2]=f[t>>2];Iwc(i,aa,j);aa=f[v>>2]|0;if(aa>>>0<(f[w>>2]|0)>>>0){f[aa>>2]=0;ba=aa+4|0;f[ba>>2]=0;W=f[A>>2]|0;f[aa+8>>2]=0;f[aa+12>>2]=W;f[aa>>2]=f[i>>2];f[ba>>2]=f[B>>2];f[aa+8>>2]=f[C>>2];f[C>>2]=0;f[B>>2]=0;f[i>>2]=0;f[v>>2]=(f[v>>2]|0)+16}else Jwc(s,i);fwc(i);vwc(h);U=1;V=_}f[d+48>>2]=f[g>>2];f:do if(U?(V=f[v>>2]|0,(f[s>>2]|0)!=(V|0)):0){B=V+-16|0;C=V;while(1){if((C|0)==(B|0))break f;V=C+-16|0;f[v>>2]=V;fwc(V);C=f[v>>2]|0}}while(0);ha=Y;break a}while(0);ha=a}else ha=a;while(0);u=e;return ha|0}function pyc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=u;u=u+16|0;g=e;a:do if(((((a|0)!=(c|0)?(b[a>>0]|0)==90:0)?(h=a+1|0,i=wwc(h,c,d)|0,!((i|0)==(h|0)|(i|0)==(c|0))):0)?(b[i>>0]|0)==69:0)?(h=i+1|0,(h|0)!=(c|0)):0){j=i+2|0;switch(b[h>>0]|0){case 115:{i=ryc(j,c)|0;k=f[d+4>>2]|0;if((f[d>>2]|0)==(k|0)){l=i;break a}Dwc(k+-24|0,532169)|0;l=i;break a;break}case 100:{if((j|0)==(c|0)){l=a;break a}i=axc(j,c)|0;if((i|0)==(c|0)){l=a;break a}if((b[i>>0]|0)!=95){l=a;break a}j=i+1|0;i=Ywc(j,c,d)|0;k=d+4|0;if((i|0)==(j|0)){j=f[k>>2]|0;m=j+-24|0;n=j;while(1){if((n|0)==(m|0)){l=a;break a}j=n+-24|0;f[k>>2]=j;ewc(j);n=f[k>>2]|0}}n=f[k>>2]|0;if(((n-(f[d>>2]|0)|0)/24|0)>>>0<2){l=a;break a}Rwc(g,n+-24|0);n=f[k>>2]|0;m=n+-24|0;j=n;while(1){if((j|0)==(m|0))break;o=j+-24|0;f[k>>2]=o;ewc(o);j=f[k>>2]|0}Dwc(n+-48|0,530882)|0;j=b[g+11>>0]|0;m=j<<24>>24<0;hwc((f[k>>2]|0)+-24|0,m?f[g>>2]|0:g,m?f[g+4>>2]|0:j&255)|0;vwc(g);l=i;break a;break}default:{j=Ywc(h,c,d)|0;if((j|0)==(h|0)){m=d+4|0;o=f[m>>2]|0;p=o+-24|0;q=o;while(1){if((q|0)==(p|0)){l=a;break a}o=q+-24|0;f[m>>2]=o;ewc(o);q=f[m>>2]|0}}m=ryc(j,c)|0;q=d+4|0;p=f[q>>2]|0;if(((p-(f[d>>2]|0)|0)/24|0)>>>0<2){l=m;break a}Rwc(g,p+-24|0);p=f[q>>2]|0;h=p+-24|0;i=p;while(1){if((i|0)==(h|0))break;k=i+-24|0;f[q>>2]=k;ewc(k);i=f[q>>2]|0}Dwc(p+-48|0,530882)|0;i=b[g+11>>0]|0;h=i<<24>>24<0;hwc((f[q>>2]|0)+-24|0,h?f[g>>2]|0:g,h?f[g+4>>2]|0:i&255)|0;vwc(g);l=m;break a}}}else l=a;while(0);u=e;return l|0}function qyc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0;if((c-a|0)>1){if((b[a>>0]|0)==83?(b[a+1>>0]|0)==116:0){e=a+2|0;if((e|0)==(c|0)){g=0;h=c}else{g=0;h=(b[e>>0]|0)==76?a+3|0:e}}else{g=1;h=a}e=Kxc(h,c,d)|0;c=(e|0)==(h|0);if(!(g|c)){g=f[d+4>>2]|0;if((f[d>>2]|0)==(g|0))i=a;else{Cwc(g+-24|0,0,531104)|0;i=e}}else i=c?a:e}else i=a;return i|0}function ryc(a,c){a=a|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0;a:do if((a|0)!=(c|0)){d=b[a>>0]|0;e=a+1|0;if(d<<24>>24!=95){if(((d<<24>>24)+-48|0)>>>0<10)f=e;else{g=a;break}while(1){if((f|0)==(c|0)){g=c;break a}if(((b[f>>0]|0)+-48|0)>>>0>=10){g=f;break a}f=f+1|0}}if((e|0)!=(c|0)){d=b[e>>0]|0;h=a+2|0;if(((d<<24>>24)+-48|0)>>>0>=10)if(d<<24>>24==95){d=h;do{i=d;d=d+1|0;if((i|0)==(c|0)){g=a;break a}j=b[i>>0]|0}while(((j<<24>>24)+-48|0)>>>0<10);return (j<<24>>24==95?d:a)|0}else g=a;else g=h}else g=a}else g=a;while(0);return g|0}function syc(a,c){a=a|0;c=c|0;var d=0,e=0;if((a|0)!=(c|0)){d=b[c+11>>0]|0;e=d<<24>>24<0;Fxc(a,e?f[c>>2]|0:c,e?f[c+4>>2]|0:d&255)}return}function tyc(a){a=a|0;var c=0,d=0,e=0;c=u;u=u+16|0;d=c;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;e=swc(32)|0;f[a>>2]=e;f[a+8>>2]=-2147483616;f[a+4>>2]=21;fjc(e,532201,21)|0;b[d>>0]=0;$jc(e+21|0,d);d=a+12|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;a=0;while(1){if((a|0)==3)break;f[d+(a<<2)>>2]=0;a=a+1|0}u=c;return}function uyc(a,b){a=a|0;b=b|0;f[a>>2]=f[b>>2];return}function vyc(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;c=u;u=u+32|0;d=c+20|0;e=c;g=a+4|0;h=((f[g>>2]|0)-(f[a>>2]|0)>>4)+1|0;i=xyc(a)|0;if(i>>>0<h>>>0)nsc(a);else{j=f[a>>2]|0;k=(f[a+8>>2]|0)-j|0;l=k>>3;yyc(e,k>>4>>>0<i>>>1>>>0?(l>>>0<h>>>0?h:l):i,(f[g>>2]|0)-j>>4,a+12|0);j=e+8|0;g=f[j>>2]|0;uyc(d,b);f[g>>2]=0;f[g+4>>2]=0;b=f[d>>2]|0;f[g+8>>2]=0;f[g+12>>2]=b;f[j>>2]=g+16;zyc(a,e);Ayc(e);u=c;return}}function wyc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;a:do if((a|0)==(c|0))e=a;else{f=a+1|0;switch(b[a>>0]|0){case 88:{g=bxc(f,c,d)|0;if((g|0)==(f|0)|(g|0)==(c|0)){e=a;break a}e=(b[g>>0]|0)==69?g+1|0:a;break a;break}case 74:{if((f|0)==(c|0)){e=a;break a}else h=f;while(1){if((b[h>>0]|0)==69)break;g=wyc(h,c,d)|0;if((g|0)==(h|0)){e=a;break a}else h=g}e=h+1|0;break a;break}case 76:{if((f|0)!=(c|0)?(b[f>>0]|0)==90:0){g=a+2|0;i=wwc(g,c,d)|0;if((i|0)==(g|0)|(i|0)==(c|0)){e=a;break a}e=(b[i>>0]|0)==69?i+1|0:a;break a}e=exc(a,c,d)|0;break a;break}default:{e=zwc(a,c,d)|0;break a}}}while(0);return e|0}function xyc(a){a=a|0;return 268435455}function yyc(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;f[a+12>>2]=0;f[a+16>>2]=d;if(!b)e=0;else e=Byc(d,b)|0;f[a>>2]=e;d=e+(c<<4)|0;f[a+8>>2]=d;f[a+4>>2]=d;f[a+12>>2]=e+(b<<4);return}function zyc(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;c=f[a>>2]|0;d=a+4|0;e=b+4|0;g=f[d>>2]|0;while(1){if((g|0)==(c|0))break;h=f[e>>2]|0;i=h+-16|0;j=g+-16|0;f[i>>2]=0;k=h+-12|0;f[k>>2]=0;l=f[g+-4>>2]|0;f[h+-8>>2]=0;f[h+-4>>2]=l;f[i>>2]=f[j>>2];i=g+-12|0;f[k>>2]=f[i>>2];k=g+-8|0;f[h+-8>>2]=f[k>>2];f[k>>2]=0;f[i>>2]=0;f[j>>2]=0;f[e>>2]=(f[e>>2]|0)+-16;g=j}g=f[a>>2]|0;f[a>>2]=f[e>>2];f[e>>2]=g;g=b+8|0;c=f[d>>2]|0;f[d>>2]=f[g>>2];f[g>>2]=c;c=a+8|0;a=b+12|0;g=f[c>>2]|0;f[c>>2]=f[a>>2];f[a>>2]=g;f[b>>2]=f[e>>2];return}function Ayc(a){a=a|0;var b=0,c=0,d=0,e=0;b=f[a+4>>2]|0;c=a+8|0;while(1){d=f[c>>2]|0;if((d|0)==(b|0))break;e=d+-16|0;f[c>>2]=e;lwc(e)}c=f[a>>2]|0;if(c|0)qwc(f[a+16>>2]|0,c,(f[a+12>>2]|0)-c>>4);return}function Byc(a,b){a=a|0;b=b|0;return hyc(f[a>>2]|0,b<<4)|0}function Cyc(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;b[a+11>>0]=2;fjc(a,532226,2)|0;b[d>>0]=0;$jc(a+2|0,d);d=a+12|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;a=0;while(1){if((a|0)==3)break;f[d+(a<<2)>>2]=0;a=a+1|0}u=c;return}function Dyc(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;d=u;u=u+16|0;e=d;g=a+11|0;h=b[g>>0]|0;i=h<<24>>24<0;if(i){j=f[a+4>>2]|0;k=j>>>0<11?j:11;l=j;m=(f[a+8>>2]&2147483647)+-1|0}else{j=h&255;k=j>>>0<11?j:11;l=j;m=10}if((k-l+m|0)>>>0<c>>>0)rwc(a,m,l+c-k-m|0,l,0,k,c,532229);else{if(i)n=f[a>>2]|0;else n=a;do if((k|0)!=(c|0)){i=l-k|0;if(!i){o=k;p=0;q=532229;r=c;s=17}else{if(k>>>0>c>>>0){tuc(n,532229,c)|0;tuc(n+c|0,n+k|0,i)|0;t=k;v=c;break}do if(n>>>0<532229>>>0&(n+l|0)>>>0>532229>>>0)if((n+k|0)>>>0>532229>>>0){tuc(n,532229,k)|0;w=0;x=k;y=532229+c|0;z=c-k|0;break}else{w=k;x=0;y=532229+(c-k)|0;z=c;break}else{w=k;x=0;y=532229;z=c}while(0);m=n+x|0;tuc(m+z|0,m+w|0,i)|0;o=w;p=x;q=y;r=z;s=17}}else{o=c;p=0;q=532229;r=c;s=17}while(0);if((s|0)==17){tuc(n+p|0,q,r)|0;t=o;v=r}r=v-t+l|0;if((b[g>>0]|0)<0)f[a+4>>2]=r;else b[g>>0]=r;b[e>>0]=0;$jc(n+r|0,e)}u=d;return}function Eyc(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;g=u;u=u+16|0;h=g;i=a+11|0;j=b[i>>0]|0;k=j<<24>>24<0;if(k)l=f[a+4>>2]|0;else l=j&255;if(l>>>0<c>>>0)nuc(a);if(k)m=(f[a+8>>2]&2147483647)+-1|0;else m=10;j=l+e|0;if((m-l|0)>>>0>=e>>>0){if(e|0){if(k)n=f[a>>2]|0;else n=a;k=l-c|0;o=n+c|0;if(!k)p=d;else{tuc(o+e|0,o,k)|0;p=o>>>0<=d>>>0&(n+l|0)>>>0>d>>>0?d+e|0:d}tuc(o,p,e)|0;if((b[i>>0]|0)<0)f[a+4>>2]=j;else b[i>>0]=j;b[h>>0]=0;$jc(n+j|0,h)}}else rwc(a,m,j-m|0,l,c,0,e,d);u=g;return a|0}function Fyc(a){a=a|0;return 268435455}function Gyc(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;f[a+12>>2]=0;f[a+16>>2]=d;if(!b)e=0;else e=Jyc(d,b)|0;f[a>>2]=e;d=e+(c<<4)|0;f[a+8>>2]=d;f[a+4>>2]=d;f[a+12>>2]=e+(b<<4);return}function Hyc(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;c=f[a>>2]|0;d=a+4|0;e=b+4|0;g=f[d>>2]|0;while(1){if((g|0)==(c|0))break;h=f[e>>2]|0;i=h+-16|0;j=g+-16|0;f[i>>2]=0;k=h+-12|0;f[k>>2]=0;l=f[g+-4>>2]|0;f[h+-8>>2]=0;f[h+-4>>2]=l;f[i>>2]=f[j>>2];i=g+-12|0;f[k>>2]=f[i>>2];k=g+-8|0;f[h+-8>>2]=f[k>>2];f[k>>2]=0;f[i>>2]=0;f[j>>2]=0;f[e>>2]=(f[e>>2]|0)+-16;g=j}g=f[a>>2]|0;f[a>>2]=f[e>>2];f[e>>2]=g;g=b+8|0;c=f[d>>2]|0;f[d>>2]=f[g>>2];f[g>>2]=c;c=a+8|0;a=b+12|0;g=f[c>>2]|0;f[c>>2]=f[a>>2];f[a>>2]=g;f[b>>2]=f[e>>2];return}function Iyc(a){a=a|0;var b=0,c=0,d=0,e=0;b=f[a+4>>2]|0;c=a+8|0;while(1){d=f[c>>2]|0;if((d|0)==(b|0))break;e=d+-16|0;f[c>>2]=e;fwc(e)}c=f[a>>2]|0;if(c|0)mwc(f[a+16>>2]|0,c,(f[a+12>>2]|0)-c>>4);return}function Jyc(a,b){a=a|0;b=b|0;return hyc(f[a>>2]|0,b<<4)|0}function Kyc(a){a=a|0;var b=0;if(!(cyc(a)|0))nsc(a);else{b=gyc(a+12|0,1)|0;f[a+4>>2]=b;f[a>>2]=b;f[a+8>>2]=b+24;return}}function Lyc(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;c=u;u=u+16|0;d=c;e=a+11|0;g=b[e>>0]|0;if(g<<24>>24<0){h=f[a>>2]|0;i=f[a+4>>2]|0}else{h=a;i=g&255}j=(i|0)!=0&1;k=i-j|0;if(!k)l=g;else{tuc(h,h+j|0,k)|0;l=b[e>>0]|0}if(l<<24>>24<0)f[a+4>>2]=k;else b[e>>0]=k;b[d>>0]=0;$jc(h+k|0,d);u=c;return}function Myc(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;b[a+11>>0]=7;fjc(a,532002,7)|0;b[d>>0]=0;$jc(a+7|0,d);d=a+12|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;a=0;while(1){if((a|0)==3)break;f[d+(a<<2)>>2]=0;a=a+1|0}u=c;return}function Nyc(a,c){a=a|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;b[a+11>>0]=3;fjc(a,c,3)|0;b[e>>0]=0;$jc(a+3|0,e);e=a+12|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;a=0;while(1){if((a|0)==3)break;f[e+(a<<2)>>2]=0;a=a+1|0}u=d;return}function Oyc(a){a=a|0;var c=0,d=0,e=0;c=u;u=u+16|0;d=c;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;e=swc(32)|0;f[a>>2]=e;f[a+8>>2]=-2147483616;f[a+4>>2]=18;fjc(e,532422,18)|0;b[d>>0]=0;$jc(e+18|0,d);d=a+12|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;a=0;while(1){if((a|0)==3)break;f[d+(a<<2)>>2]=0;a=a+1|0}u=c;return}function Pyc(a,c){a=a|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;b[a+11>>0]=8;fjc(a,c,8)|0;b[e>>0]=0;$jc(a+8|0,e);e=a+12|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;a=0;while(1){if((a|0)==3)break;f[e+(a<<2)>>2]=0;a=a+1|0}u=d;return}function Qyc(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;b[a+11>>0]=6;fjc(a,532415,6)|0;b[d>>0]=0;$jc(a+6|0,d);d=a+12|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;a=0;while(1){if((a|0)==3)break;f[d+(a<<2)>>2]=0;a=a+1|0}u=c;return}function Ryc(a,b){a=a|0;b=b|0;f[a>>2]=b;f[a+4>>2]=f[b>>2];return}function Syc(a,c){a=a|0;c=c|0;f[a>>2]=c;b[a+4>>0]=b[c>>0]|0;return}function Tyc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;e=u;u=u+64|0;g=e+60|0;h=e+48|0;i=e+36|0;j=e+24|0;k=e+12|0;l=e;a:do if((c-a|0)>2){m=a+2|0;n=a+1|0;switch(b[a>>0]|0){case 84:break;case 71:{switch(b[n>>0]|0){case 86:{o=Ywc(m,c,d)|0;if((o|0)==(m|0)){p=a;q=60;break a}r=f[d+4>>2]|0;if((f[d>>2]|0)==(r|0)){s=a;break a}Cwc(r+-24|0,0,532640)|0;p=o;q=60;break a;break}case 82:{o=Ywc(m,c,d)|0;if((o|0)==(m|0)){p=a;q=60;break a}r=f[d+4>>2]|0;if((f[d>>2]|0)==(r|0)){s=a;break a}Cwc(r+-24|0,0,532660)|0;p=o;q=60;break a;break}default:{p=a;q=60;break a}}break}default:{p=a;q=60;break a}}switch(b[n>>0]|0){case 86:{o=zwc(m,c,d)|0;if((o|0)==(m|0)){p=a;q=60;break a}r=f[d+4>>2]|0;if((f[d>>2]|0)==(r|0)){s=a;break a}Cwc(r+-24|0,0,532489)|0;p=o;q=60;break a;break}case 84:{o=zwc(m,c,d)|0;if((o|0)==(m|0)){p=a;q=60;break a}r=f[d+4>>2]|0;if((f[d>>2]|0)==(r|0)){s=a;break a}Cwc(r+-24|0,0,532501)|0;p=o;q=60;break a;break}case 73:{o=zwc(m,c,d)|0;if((o|0)==(m|0)){p=a;q=60;break a}r=f[d+4>>2]|0;if((f[d>>2]|0)==(r|0)){s=a;break a}Cwc(r+-24|0,0,532510)|0;p=o;q=60;break a;break}case 83:{o=zwc(m,c,d)|0;if((o|0)==(m|0)){p=a;q=60;break a}r=f[d+4>>2]|0;if((f[d>>2]|0)==(r|0)){s=a;break a}Cwc(r+-24|0,0,532524)|0;p=o;q=60;break a;break}case 99:{o=Wyc(m,c)|0;if((o|0)==(m|0)){p=a;q=60;break a}r=Wyc(o,c)|0;if((r|0)==(o|0)){p=a;q=60;break a}o=wwc(r,c,d)|0;if((o|0)==(r|0)){p=a;q=60;break a}r=f[d+4>>2]|0;if((f[d>>2]|0)==(r|0)){s=a;break a}Cwc(r+-24|0,0,532543)|0;p=o;q=60;break a;break}case 67:{o=zwc(m,c,d)|0;if((o|0)==(m|0)){p=a;q=60;break a}r=axc(o,c)|0;if((r|0)==(o|0)|(r|0)==(c|0)){p=a;q=60;break a}if((b[r>>0]|0)!=95){p=a;q=60;break a}o=r+1|0;r=zwc(o,c,d)|0;if((r|0)==(o|0)){p=a;q=60;break a}o=d+4|0;t=f[o>>2]|0;if(((t-(f[d>>2]|0)|0)/24|0)>>>0<2){s=a;break a}Rwc(h,t+-24|0);t=f[o>>2]|0;v=t+-24|0;w=t;while(1){if((w|0)==(v|0))break;t=w+-24|0;f[o>>2]=t;ewc(t);w=f[o>>2]|0}Cwc(h,0,532570)|0;f[k>>2]=f[h>>2];f[k+4>>2]=f[h+4>>2];f[k+8>>2]=f[h+8>>2];w=0;while(1){if((w|0)==3)break;f[h+(w<<2)>>2]=0;w=w+1|0}Dwc(k,532595)|0;f[j>>2]=f[k>>2];f[j+4>>2]=f[k+4>>2];f[j+8>>2]=f[k+8>>2];w=0;while(1){if((w|0)==3)break;f[k+(w<<2)>>2]=0;w=w+1|0}Rwc(l,(f[o>>2]|0)+-24|0);w=b[l+11>>0]|0;v=w<<24>>24<0;hwc(j,v?f[l>>2]|0:l,v?f[l+4>>2]|0:w&255)|0;f[i>>2]=f[j>>2];f[i+4>>2]=f[j+4>>2];f[i+8>>2]=f[j+8>>2];w=0;while(1){if((w|0)==3)break;f[j+(w<<2)>>2]=0;w=w+1|0}w=f[o>>2]|0;v=w+-24|0;t=v+11|0;if((b[t>>0]|0)<0){x=f[v>>2]|0;b[g>>0]=0;$jc(x,g);f[w+-20>>2]=0}else{b[g>>0]=0;$jc(v,g);b[t>>0]=0}cxc(v);f[v>>2]=f[i>>2];f[v+4>>2]=f[i+4>>2];f[v+8>>2]=f[i+8>>2];v=0;while(1){if((v|0)==3)break;f[i+(v<<2)>>2]=0;v=v+1|0}vwc(i);vwc(l);vwc(j);vwc(k);vwc(h);p=r;q=60;break a;break}default:{v=Wyc(n,c)|0;do if((v|0)!=(n|0)){o=wwc(v,c,d)|0;if((o|0)!=(v|0)){t=f[d+4>>2]|0;if((f[d>>2]|0)!=(t|0)){w=t+-24|0;if((b[m>>0]|0)==118){Cwc(w,0,532600)|0;y=0;z=o;break}else{Cwc(w,0,532618)|0;y=0;z=o;break}}else{y=1;z=a}}else{y=0;z=a}}else{y=3;z=a}while(0);switch(y&3){case 3:case 0:{p=z;q=60;break a;break}default:{}}if(!y){p=z;q=60;break a}else{s=a;break a}}}}else{p=a;q=60}while(0);if((q|0)==60)s=p;u=e;return s|0}function Uyc(a){a=a|0;b[f[a>>2]>>0]=b[a+4>>0]|0;return}function Vyc(a){a=a|0;f[f[a>>2]>>2]=f[a+4>>2];return}function Wyc(a,c){a=a|0;c=c|0;var d=0,e=0,f=0;a:do if((a|0)!=(c|0)){d=a+1|0;switch(b[a>>0]|0){case 104:{e=axc(d,c)|0;if((e|0)==(d|0)|(e|0)==(c|0)){f=a;break a}return ((b[e>>0]|0)==95?e+1|0:a)|0}case 118:break;default:{f=a;break a}}e=axc(d,c)|0;if((!((e|0)==(d|0)|(e|0)==(c|0))?(b[e>>0]|0)==95:0)?(d=e+1|0,e=axc(d,c)|0,!((e|0)==(d|0)|(e|0)==(c|0))):0)f=(b[e>>0]|0)==95?e+1|0:a;else f=a}else f=a;while(0);return f|0}function Xyc(a,b){a=a|0;b=b|0;f[a>>2]=b;return}function Yyc(a,b){a=a|0;b=b|0;var c=0;f[a>>2]=0;f[a+4>>2]=0;c=f[b>>2]|0;f[a+8>>2]=0;f[a+12>>2]=c;return}function Zyc(a,b){a=a|0;b=b|0;f[a>>2]=b;return}function _yc(a,b){a=a|0;b=b|0;var c=0;f[a>>2]=0;f[a+4>>2]=0;c=f[b>>2]|0;f[a+8>>2]=0;f[a+12>>2]=c;return}function $yc(a){a=a|0;var c=0;if((b[a>>0]|0)==1)c=0;else{b[a>>0]=1;c=1}return c|0}function azc(a){a=a|0;return}function bzc(a){a=a|0;return}function czc(){var a=0;a=f[225950]|0;f[225950]=a+0;return a|0}function dzc(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+16|0;e=d;f[e>>2]=f[c>>2];g=li[f[(f[a>>2]|0)+16>>2]&511](a,b,e)|0;if(g)f[c>>2]=f[e>>2];u=d;return g&1|0}function ezc(a){a=a|0;var b=0;if(!a)b=0;else b=(ovc(a,26832,26952,0)|0)!=0;return b&1|0}function fzc(){}function gzc(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;e=b-d>>>0;e=b-d-(c>>>0>a>>>0|0)>>>0;return (J=e,a-c>>>0|0)|0}function hzc(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;e=a+c>>>0;return (J=b+d+(e>>>0<a>>>0|0)>>>0,e|0)|0}function izc(a){a=a|0;return 0}function jzc(a){a=a|0;return 0}function kzc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0;e=a+d|0;c=c&255;if((d|0)>=67){while(a&3){b[a>>0]=c;a=a+1|0}g=e&-4|0;h=g-64|0;i=c|c<<8|c<<16|c<<24;while((a|0)<=(h|0)){f[a>>2]=i;f[a+4>>2]=i;f[a+8>>2]=i;f[a+12>>2]=i;f[a+16>>2]=i;f[a+20>>2]=i;f[a+24>>2]=i;f[a+28>>2]=i;f[a+32>>2]=i;f[a+36>>2]=i;f[a+40>>2]=i;f[a+44>>2]=i;f[a+48>>2]=i;f[a+52>>2]=i;f[a+56>>2]=i;f[a+60>>2]=i;a=a+64|0}while((a|0)<(g|0)){f[a>>2]=i;a=a+4|0}}while((a|0)<(e|0)){b[a>>0]=c;a=a+1|0}return e-d|0}function lzc(a){a=a|0;var c=0;c=b[w+(a&255)>>0]|0;if((c|0)<8)return c|0;c=b[w+(a>>8&255)>>0]|0;if((c|0)<8)return c+8|0;c=b[w+(a>>16&255)>>0]|0;if((c|0)<8)return c+16|0;return (b[w+(a>>>24)>>0]|0)+24|0}function mzc(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;g=a;h=b;i=h;j=c;k=d;l=k;if(!i){m=(e|0)!=0;if(!l){if(m){f[e>>2]=(g>>>0)%(j>>>0);f[e+4>>2]=0}n=0;o=(g>>>0)/(j>>>0)>>>0;return (J=n,o)|0}else{if(!m){n=0;o=0;return (J=n,o)|0}f[e>>2]=a|0;f[e+4>>2]=b&0;n=0;o=0;return (J=n,o)|0}}m=(l|0)==0;do if(j){if(!m){p=($(l|0)|0)-($(i|0)|0)|0;if(p>>>0<=31){q=p+1|0;r=31-p|0;s=p-31>>31;t=q;u=g>>>(q>>>0)&s|i<<r;v=i>>>(q>>>0)&s;w=0;x=g<<r;break}if(!e){n=0;o=0;return (J=n,o)|0}f[e>>2]=a|0;f[e+4>>2]=h|b&0;n=0;o=0;return (J=n,o)|0}r=j-1|0;if(r&j|0){s=($(j|0)|0)+33-($(i|0)|0)|0;q=64-s|0;p=32-s|0;y=p>>31;z=s-32|0;A=z>>31;t=s;u=p-1>>31&i>>>(z>>>0)|(i<<p|g>>>(s>>>0))&A;v=A&i>>>(s>>>0);w=g<<q&y;x=(i<<q|g>>>(z>>>0))&y|g<<p&s-33>>31;break}if(e|0){f[e>>2]=r&g;f[e+4>>2]=0}if((j|0)==1){n=h|b&0;o=a|0|0;return (J=n,o)|0}else{r=lzc(j|0)|0;n=i>>>(r>>>0)|0;o=i<<32-r|g>>>(r>>>0)|0;return (J=n,o)|0}}else{if(m){if(e|0){f[e>>2]=(i>>>0)%(j>>>0);f[e+4>>2]=0}n=0;o=(i>>>0)/(j>>>0)>>>0;return (J=n,o)|0}if(!g){if(e|0){f[e>>2]=0;f[e+4>>2]=(i>>>0)%(l>>>0)}n=0;o=(i>>>0)/(l>>>0)>>>0;return (J=n,o)|0}r=l-1|0;if(!(r&l)){if(e|0){f[e>>2]=a|0;f[e+4>>2]=r&i|b&0}n=0;o=i>>>((lzc(l|0)|0)>>>0);return (J=n,o)|0}r=($(l|0)|0)-($(i|0)|0)|0;if(r>>>0<=30){s=r+1|0;p=31-r|0;t=s;u=i<<p|g>>>(s>>>0);v=i>>>(s>>>0);w=0;x=g<<p;break}if(!e){n=0;o=0;return (J=n,o)|0}f[e>>2]=a|0;f[e+4>>2]=h|b&0;n=0;o=0;return (J=n,o)|0}while(0);if(!t){B=x;C=w;D=v;E=u;F=0;G=0}else{b=c|0|0;c=k|d&0;d=hzc(b|0,c|0,-1,-1)|0;k=J;h=x;x=w;w=v;v=u;u=t;t=0;do{a=h;h=x>>>31|h<<1;x=t|x<<1;g=v<<1|a>>>31|0;a=v>>>31|w<<1|0;gzc(d|0,k|0,g|0,a|0)|0;i=J;l=i>>31|((i|0)<0?-1:0)<<1;t=l&1;v=gzc(g|0,a|0,l&b|0,(((i|0)<0?-1:0)>>31|((i|0)<0?-1:0)<<1)&c|0)|0;w=J;u=u-1|0}while((u|0)!=0);B=h;C=x;D=w;E=v;F=0;G=t}t=C;C=0;if(e|0){f[e>>2]=E;f[e+4>>2]=D}n=(t|0)>>>31|(B|C)<<1|(C<<1|t>>>31)&0|F;o=(t<<1|0>>>31)&-2|G;return (J=n,o)|0}function nzc(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0;e=u;u=u+16|0;g=e|0;h=b>>31|((b|0)<0?-1:0)<<1;i=((b|0)<0?-1:0)>>31|((b|0)<0?-1:0)<<1;j=d>>31|((d|0)<0?-1:0)<<1;k=((d|0)<0?-1:0)>>31|((d|0)<0?-1:0)<<1;l=gzc(h^a|0,i^b|0,h|0,i|0)|0;b=J;mzc(l,b,gzc(j^c|0,k^d|0,j|0,k|0)|0,J,g)|0;k=gzc(f[g>>2]^h|0,f[g+4>>2]^i|0,h|0,i|0)|0;i=J;u=e;return (J=i,k)|0}function ozc(a,b,c){a=a|0;b=b|0;c=c|0;if((c|0)<32){J=b>>c;return a>>>c|(b&(1<<c)-1)<<32-c}J=(b|0)<0?-1:0;return b>>c-32|0}function pzc(a,b,c){a=a|0;b=b|0;c=c|0;if((c|0)<32){J=b>>>c;return a>>>c|(b&(1<<c)-1)<<32-c}J=0;return b>>>c-32|0}function qzc(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return mzc(a,b,c,d,0)|0}function rzc(a){a=a|0;return 0}function szc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0;if((d|0)>=8192)return qd(a|0,c|0,d|0)|0;e=a|0;g=a+d|0;if((a&3)==(c&3)){while(a&3){if(!d)return e|0;b[a>>0]=b[c>>0]|0;a=a+1|0;c=c+1|0;d=d-1|0}h=g&-4|0;d=h-64|0;while((a|0)<=(d|0)){f[a>>2]=f[c>>2];f[a+4>>2]=f[c+4>>2];f[a+8>>2]=f[c+8>>2];f[a+12>>2]=f[c+12>>2];f[a+16>>2]=f[c+16>>2];f[a+20>>2]=f[c+20>>2];f[a+24>>2]=f[c+24>>2];f[a+28>>2]=f[c+28>>2];f[a+32>>2]=f[c+32>>2];f[a+36>>2]=f[c+36>>2];f[a+40>>2]=f[c+40>>2];f[a+44>>2]=f[c+44>>2];f[a+48>>2]=f[c+48>>2];f[a+52>>2]=f[c+52>>2];f[a+56>>2]=f[c+56>>2];f[a+60>>2]=f[c+60>>2];a=a+64|0;c=c+64|0}while((a|0)<(h|0)){f[a>>2]=f[c>>2];a=a+4|0;c=c+4|0}}else{h=g-4|0;while((a|0)<(h|0)){b[a>>0]=b[c>>0]|0;b[a+1>>0]=b[c+1>>0]|0;b[a+2>>0]=b[c+2>>0]|0;b[a+3>>0]=b[c+3>>0]|0;a=a+4|0;c=c+4|0}}while((a|0)<(g|0)){b[a>>0]=b[c>>0]|0;a=a+1|0;c=c+1|0}return e|0}function tzc(a){a=a|0;var b=0,c=0;a=a+15&-16|0;b=f[r>>2]|0;c=b+a|0;if((a|0)>0&(c|0)<(b|0)|(c|0)<0){ea()|0;Qd(12);return -1}f[r>>2]=c;if((c|0)>(da()|0)?(ca()|0)==0:0){f[r>>2]=b;Qd(12);return -1}return b|0}function uzc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0;if((c|0)<(a|0)&(a|0)<(c+d|0)){e=a;c=c+d|0;a=a+d|0;while((d|0)>0){a=a-1|0;c=c-1|0;d=d-1|0;b[a>>0]=b[c>>0]|0}a=e}else szc(a,c,d)|0;return a|0}function vzc(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0;e=u;u=u+16|0;g=e|0;mzc(a,b,c,d,g)|0;u=e;return (J=f[g+4>>2]|0,f[g>>2]|0)|0}function wzc(a){a=a|0;return (a&255)<<24|(a>>8&255)<<16|(a>>16&255)<<8|a>>>24|0}function xzc(a,b,c){a=a|0;b=b|0;c=c|0;c=$(b)|0;if((c|0)==32)c=c+($(a)|0)|0;J=0;return c|0}function yzc(a,b,c){a=a|0;b=b|0;c=c|0;if((c|0)<32){J=b<<c|(a&(1<<c)-1<<32-c)>>>32-c;return a<<c}J=a<<c-32;return 0}function zzc(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;e=b>>31|((b|0)<0?-1:0)<<1;f=((b|0)<0?-1:0)>>31|((b|0)<0?-1:0)<<1;g=d>>31|((d|0)<0?-1:0)<<1;h=((d|0)<0?-1:0)>>31|((d|0)<0?-1:0)<<1;i=gzc(e^a|0,f^b|0,e|0,f|0)|0;b=J;a=g^e;e=h^f;return gzc((mzc(i,b,gzc(g^c|0,h^d|0,g|0,h|0)|0,J,0)|0)^a|0,J^e|0,a|0,e|0)|0}function Azc(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;c=a&65535;d=b&65535;e=Y(d,c)|0;f=a>>>16;a=(e>>>16)+(Y(d,f)|0)|0;d=b>>>16;b=Y(d,c)|0;return (J=(a>>>16)+(Y(d,f)|0)+(((a&65535)+b|0)>>>16)|0,a+b<<16|e&65535|0)|0}function Bzc(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;e=a;a=c;c=Azc(e,a)|0;f=J;return (J=(Y(b,a)|0)+(Y(d,e)|0)+f|f&0,c|0|0)|0}function Czc(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=+g;return Qf[a&3](b|0,c|0,d|0,e|0,f|0,+g)|0}function Dzc(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;g=+g;h=+h;Rf[a&1](b|0,c|0,d|0,e|0,+f,+g,+h)}function Ezc(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;g=g|0;h=h|0;i=i|0;Sf[a&7](b|0,c|0,d|0,e|0,+f,g|0,h|0,i|0)}function Fzc(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=+g;h=+h;i=i|0;Tf[a&3](b|0,c|0,d|0,e|0,f|0,+g,+h,i|0)}function Gzc(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=f|0;g=g|0;h=h|0;Uf[a&3](b|0,c|0,d|0,+e,f|0,g|0,h|0)}function Hzc(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;g=g|0;h=h|0;i=+i;Vf[a&1](b|0,c|0,d|0,e|0,+f,g|0,h|0,+i)}function Izc(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;return Wf[a&127](b|0,c|0,d|0,e|0,f|0,g|0)|0}function Jzc(a,b,c,d,e,f,g,h,i,j,k,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;g=+g;h=+h;i=i|0;j=j|0;k=k|0;l=l|0;Xf[a&1](b|0,c|0,d|0,e|0,+f,+g,+h,i|0,j|0,k|0,l|0)}function Kzc(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;g=+g;h=h|0;Yf[a&7](b|0,c|0,d|0,e|0,+f,+g,h|0)}function Lzc(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;g=+g;h=+h;i=i|0;Zf[a&1](b|0,c|0,d|0,+e,+f,+g,+h,i|0)}function Mzc(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;f=f|0;g=g|0;_f[a&1](b|0,c|0,+d,e|0,f|0,g|0)}function Nzc(a,b,c,d,e,f,g,h,i,j,k,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;$f[a&1](b|0,c|0,d|0,e|0,f|0,g|0,h|0,i|0,j|0,k|0,l|0)}function Ozc(a,b,c,d,e,f,g,h,i,j,k,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=+l;ag[a&1](b|0,c|0,d|0,e|0,f|0,g|0,h|0,i|0,j|0,k|0,+l)}function Pzc(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;g=+g;h=+h;bg[a&1](b|0,c|0,d|0,+e,+f,+g,+h)}function Qzc(a,b,c,d){a=a|0;b=b|0;c=+c;d=d|0;return cg[a&1](b|0,+c,d|0)|0}function Rzc(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=+d;e=+e;f=f|0;g=+g;h=+h;dg[a&3](b|0,c|0,+d,+e,f|0,+g,+h)}function Szc(a,b,c,d){a=a|0;b=b|0;c=+c;d=d|0;eg[a&7](b|0,+c,d|0)}function Tzc(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=+d;e=+e;f=f|0;g=g|0;fg[a&3](b|0,c|0,+d,+e,f|0,g|0)}function Uzc(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=+d;e=+e;f=f|0;g=+g;gg[a&3](b|0,c|0,+d,+e,f|0,+g)}function Vzc(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=+g;h=h|0;hg[a&7](b|0,c|0,d|0,e|0,f|0,+g,h|0)}function Wzc(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=+d;e=+e;f=f|0;g=+g;h=+h;i=+i;j=+j;ig[a&1](b|0,c|0,+d,+e,f|0,+g,+h,+i,+j)}function Xzc(a,b,c,d,e,f,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;g=+g;h=h|0;i=i|0;j=j|0;k=k|0;jg[a&1](b|0,c|0,d|0,e|0,+f,+g,h|0,i|0,j|0,k|0)}function Yzc(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=+i;j=+j;kg[a&1](b|0,c|0,d|0,e|0,f|0,g|0,h|0,+i,+j)}function Zzc(a,b,c,d,e,f,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;g=+g;h=h|0;i=i|0;j=j|0;k=+k;lg[a&1](b|0,c|0,d|0,e|0,+f,+g,h|0,i|0,j|0,+k)}function _zc(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=+i;j=j|0;mg[a&1](b|0,c|0,d|0,e|0,f|0,g|0,h|0,+i,j|0)}function $zc(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=+d;e=+e;f=f|0;ng[a&7](b|0,c|0,+d,+e,f|0)}function aAc(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=f|0;g=g|0;og[a&1](b|0,c|0,d|0,+e,f|0,g|0)}function bAc(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=+g;h=+h;pg[a&3](b|0,c|0,d|0,e|0,f|0,+g,+h)}function cAc(a,b){a=a|0;b=b|0;return +qg[a&15](b|0)}function dAc(a,b,c,d,e,f,g,h,i,j,k,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=+h;i=i|0;j=j|0;k=k|0;l=l|0;rg[a&1](b|0,c|0,d|0,e|0,f|0,g|0,+h,i|0,j|0,k|0,l|0)}function eAc(a,b,c,d,e,f,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;g=g|0;h=h|0;i=+i;j=+j;k=k|0;sg[a&3](b|0,c|0,d|0,e|0,+f,g|0,h|0,+i,+j,k|0)}function fAc(a,b,c,d,e,f,g,h,i,j,k,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;g=+g;h=h|0;i=i|0;j=j|0;k=k|0;l=+l;tg[a&1](b|0,c|0,d|0,e|0,+f,+g,h|0,i|0,j|0,k|0,+l)}function gAc(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;g=+g;h=h|0;i=i|0;j=j|0;ug[a&3](b|0,c|0,d|0,e|0,+f,+g,h|0,i|0,j|0)}function hAc(a,b,c,d){a=a|0;b=+b;c=c|0;d=d|0;vg[a&1](+b,c|0,d|0)}function iAc(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;return +wg[a&3](b|0,c|0,d|0,e|0,f|0,g|0,h|0)}function jAc(a,b,c){a=a|0;b=b|0;c=c|0;return +xg[a&31](b|0,c|0)}function kAc(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;g=g|0;h=h|0;i=i|0;j=j|0;yg[a&1](b|0,c|0,d|0,+e,+f,g|0,h|0,i|0,j|0)}function lAc(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;g=g|0;h=h|0;i=i|0;j=+j;zg[a&1](b|0,c|0,d|0,+e,+f,g|0,h|0,i|0,+j)}function mAc(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;g=g|0;h=h|0;i=+i;j=+j;Ag[a&1](b|0,c|0,d|0,e|0,+f,g|0,h|0,+i,+j)}function nAc(a,b,c,d,e,f,g,h,i,j,k,l,m,n){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=+l;m=+m;n=n|0;Bg[a&7](b|0,c|0,d|0,e|0,f|0,g|0,h|0,i|0,j|0,k|0,+l,+m,n|0)}function oAc(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return Cg[a&127](b|0,c|0,d|0,e|0)|0}function pAc(a,b,c,d,e,f,g,h,i,j,k,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=+g;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;Dg[a&3](b|0,c|0,d|0,e|0,f|0,+g,h|0,i|0,j|0,k|0,l|0)}function qAc(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;g=+g;h=h|0;Eg[a&1](b|0,c|0,d|0,+e,+f,+g,h|0)}function rAc(a,b,c,d,e,f,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=+g;h=h|0;i=i|0;j=+j;k=+k;Fg[a&1](b|0,c|0,d|0,e|0,f|0,+g,h|0,i|0,+j,+k)}function sAc(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;return Gg[a&3](b|0,c|0,d|0,+e)|0}function tAc(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;return Hg[a&7](b|0,c|0,d|0,e|0,f|0,g|0,h|0)|0}function uAc(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=+d;e=+e;f=f|0;g=g|0;h=h|0;Ig[a&1](b|0,c|0,+d,+e,f|0,g|0,h|0)}function vAc(a,b,c,d,e,f,g,h,i,j,k,l,m,n){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=+i;j=j|0;k=+k;l=l|0;m=m|0;n=n|0;return Jg[a&1](b|0,c|0,d|0,e|0,f|0,g|0,h|0,+i,j|0,+k,l|0,m|0,n|0)|0}function wAc(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;g=+g;h=h|0;i=i|0;j=j|0;Kg[a&1](b|0,c|0,d|0,+e,+f,+g,h|0,i|0,j|0)}function xAc(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;f=f|0;g=g|0;h=+h;Lg[a&1](b|0,c|0,+d,e|0,f|0,g|0,+h)}function yAc(a,b,c,d,e,f,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=+g;h=h|0;i=i|0;j=j|0;k=k|0;Mg[a&3](b|0,c|0,d|0,e|0,f|0,+g,h|0,i|0,j|0,k|0)}function zAc(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;f=f|0;g=g|0;h=h|0;Ng[a&1](b|0,c|0,+d,e|0,f|0,g|0,h|0)}function AAc(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;g=g|0;return +Og[a&1](b|0,c|0,d|0,+e,+f,g|0)}function BAc(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=f|0;g=+g;h=h|0;i=i|0;Pg[a&1](b|0,c|0,d|0,+e,f|0,+g,h|0,i|0)}function CAc(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;return +Qg[a&1](b|0,c|0,d|0,e|0,f|0,g|0,h|0,i|0)}function DAc(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=f|0;g=g|0;h=h|0;i=+i;Rg[a&1](b|0,c|0,d|0,+e,f|0,g|0,h|0,+i)}function EAc(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;g=+g;h=+h;i=i|0;j=j|0;Sg[a&1](b|0,c|0,d|0,+e,+f,+g,+h,i|0,j|0)}function FAc(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=+g;Tg[a&7](b|0,c|0,d|0,e|0,f|0,+g)}function GAc(a,b,c,d,e,f,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;g=+g;h=+h;i=+i;j=j|0;k=k|0;Ug[a&1](b|0,c|0,d|0,e|0,+f,+g,+h,+i,j|0,k|0)}function HAc(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;Vg[a&255](b|0,c|0,d|0,e|0,f|0,g|0)}function IAc(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=f|0;g=g|0;h=h|0;i=i|0;Wg[a&3](b|0,c|0,d|0,+e,f|0,g|0,h|0,i|0)}function JAc(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=+h;i=i|0;Xg[a&3](b|0,c|0,d|0,e|0,f|0,g|0,+h,i|0)}function KAc(a,b,c,d,e,f,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=+h;i=i|0;j=j|0;k=k|0;Yg[a&1](b|0,c|0,d|0,e|0,f|0,g|0,+h,i|0,j|0,k|0)}function LAc(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;g=+g;h=+h;i=i|0;j=j|0;Zg[a&1](b|0,c|0,d|0,e|0,+f,+g,+h,i|0,j|0)}function MAc(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;_g[a&15](b|0,c|0,d|0,+e,+f)}function NAc(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=f|0;$g[a&7](b|0,c|0,d|0,+e,f|0)}function OAc(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;f=f|0;g=g|0;h=h|0;return ah[a&1](b|0,c|0,+d,e|0,f|0,g|0,h|0)|0}function PAc(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=+d;e=+e;f=f|0;g=+g;h=+h;i=+i;bh[a&1](b|0,c|0,+d,+e,f|0,+g,+h,+i)}function QAc(a,b,c,d,e,f,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;ch[a&7](b|0,c|0,d|0,e|0,f|0,g|0,h|0,i|0,j|0,k|0)}function RAc(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=+d;e=+e;f=f|0;return +dh[a&1](b|0,c|0,+d,+e,f|0)}function SAc(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return +eh[a&31](b|0,c|0,d|0)}function TAc(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;g=+g;fh[a&3](b|0,c|0,d|0,+e,+f,+g)}function UAc(a,b,c,d,e,f,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;g=g|0;h=+h;i=+i;j=+j;k=+k;gh[a&1](b|0,c|0,d|0,+e,+f,g|0,+h,+i,+j,+k)}function VAc(a,b,c,d,e,f,g,h,i,j,k,l,m){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=+m;hh[a&1](b|0,c|0,d|0,e|0,f|0,g|0,h|0,i|0,j|0,k|0,l|0,+m)}function WAc(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;g=g|0;h=+h;i=+i;ih[a&1](b|0,c|0,d|0,+e,+f,g|0,+h,+i)}function XAc(a,b,c,d,e,f,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=f|0;g=g|0;h=h|0;i=i|0;j=+j;k=k|0;jh[a&1](b|0,c|0,d|0,+e,f|0,g|0,h|0,i|0,+j,k|0)}function YAc(a,b,c,d,e,f,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;g=g|0;h=h|0;i=i|0;j=j|0;k=+k;kh[a&1](b|0,c|0,d|0,+e,+f,g|0,h|0,i|0,j|0,+k)}function ZAc(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;g=g|0;lh[a&7](b|0,c|0,d|0,+e,+f,g|0)}function _Ac(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;return mh[a&127](b|0,c|0,d|0,e|0,f|0)|0}function $Ac(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;nh[a&63](b|0,c|0,d|0,+e)}function aBc(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;g=+g;h=+h;i=+i;oh[a&1](b|0,c|0,d|0,e|0,+f,+g,+h,+i)}function bBc(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;f=f|0;ph[a&1](b|0,c|0,+d,e|0,f|0)}function cBc(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;return qh[a&7](b|0,c|0,d|0,e|0,+f)|0}function dBc(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;g=+g;h=+h;i=i|0;rh[a&1](b|0,c|0,d|0,e|0,+f,+g,+h,i|0)}function eBc(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;sh[a&255](b|0,c|0,d|0,e|0)}function fBc(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;th[a&255](b|0,c|0,d|0,e|0,f|0)}function gBc(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;g=g|0;h=h|0;i=i|0;j=j|0;uh[a&7](b|0,c|0,d|0,e|0,+f,g|0,h|0,i|0,j|0)}function hBc(a,b,c){a=a|0;b=b|0;c=+c;vh[a&15](b|0,+c)}function iBc(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;return wh[a&3](b|0,c|0,+d,e|0)|0}function jBc(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=+d;e=+e;return xh[a&1](b|0,c|0,+d,+e)|0}function kBc(a,b,c){a=a|0;b=b|0;c=c|0;yh[a&2047](b|0,c|0)}function lBc(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;zh[a&31](b|0,c|0,d|0,e|0,+f)}function mBc(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;g=+g;h=+h;i=+i;j=j|0;Ah[a&1](b|0,c|0,d|0,e|0,+f,+g,+h,+i,j|0)}function nBc(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=+d;e=+e;Bh[a&7](b|0,c|0,+d,+e)}function oBc(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;Ch[a&15](b|0,c|0,+d,e|0)}function pBc(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=f|0;g=g|0;h=+h;i=+i;j=j|0;Dh[a&1](b|0,c|0,d|0,+e,f|0,g|0,+h,+i,j|0)}function qBc(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;return +Eh[a&1](b|0,c|0,d|0,+e)}function rBc(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;g=+g;h=h|0;i=i|0;Fh[a&1](b|0,c|0,d|0,+e,+f,+g,h|0,i|0)}function sBc(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;Gh[a&255](b|0,c|0,d|0,e|0,f|0,g|0,h|0,i|0)}function tBc(a,b,c,d,e,f,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;g=+g;h=h|0;i=i|0;j=j|0;k=k|0;Hh[a&1](b|0,c|0,d|0,+e,+f,+g,h|0,i|0,j|0,k|0)}function uBc(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=+i;Ih[a&3](b|0,c|0,d|0,e|0,f|0,g|0,h|0,+i)}function vBc(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return +Jh[a&15](b|0,c|0,d|0,e|0)}function wBc(a,b,c,d,e,f,g,h,i,j,k,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=+g;h=h|0;i=i|0;j=+j;k=+k;l=l|0;Kh[a&1](b|0,c|0,d|0,e|0,f|0,+g,h|0,i|0,+j,+k,l|0)}function xBc(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=+g;h=h|0;i=i|0;Lh[a&7](b|0,c|0,d|0,e|0,f|0,+g,h|0,i|0)}function yBc(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;g=g|0;h=+h;i=+i;j=+j;Mh[a&1](b|0,c|0,d|0,+e,+f,g|0,+h,+i,+j)}function zBc(a,b,c){a=a|0;b=b|0;c=+c;return Nh[a&1](b|0,+c)|0}function ABc(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;g=g|0;h=+h;Oh[a&1](b|0,c|0,d|0,+e,+f,g|0,+h)}function BBc(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;Ph[a&127](b|0,c|0,d|0,e|0,f|0,g|0,h|0)}function CBc(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;f=+f;g=+g;h=h|0;Qh[a&1](b|0,c|0,+d,e|0,+f,+g,h|0)}function DBc(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=+h;Rh[a&7](b|0,c|0,d|0,e|0,f|0,g|0,+h)}function EBc(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;Sh[a&127](b|0,c|0,d|0,e|0,f|0,g|0,h|0,i|0,j|0)}function FBc(a,b,c){a=a|0;b=b|0;c=c|0;return Th[a&1023](b|0,c|0)|0}function GBc(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;g=g|0;h=h|0;Uh[a&3](b|0,c|0,d|0,+e,+f,g|0,h|0)}function HBc(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=f|0;g=+g;h=h|0;Vh[a&1](b|0,c|0,d|0,+e,f|0,+g,h|0)}function IBc(a,b,c,d,e){a=a|0;b=+b;c=c|0;d=d|0;e=e|0;Wh[a&1](+b,c|0,d|0,e|0)}function JBc(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=+h;i=i|0;j=j|0;Xh[a&1](b|0,c|0,d|0,e|0,f|0,g|0,+h,i|0,j|0)}function KBc(a,b,c,d,e,f,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;g=+g;h=+h;i=i|0;j=j|0;k=k|0;Yh[a&1](b|0,c|0,d|0,e|0,+f,+g,+h,i|0,j|0,k|0)}function LBc(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;Zh[a&511](b|0,c|0,d|0)}function MBc(a){a=a|0;_h[a&255]()}function NBc(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;$h[a&31](b|0,c|0,+d)}function OBc(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;ai[a&1](b|0,c|0,+d,e|0,f|0,g|0,h|0,i|0)}function PBc(a,b){a=a|0;b=b|0;bi[a&2047](b|0)}function QBc(a,b,c,d,e,f,g,h,i,j,k,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;g=g|0;h=h|0;i=i|0;j=j|0;k=+k;l=l|0;ci[a&1](b|0,c|0,d|0,e|0,+f,g|0,h|0,i|0,j|0,+k,l|0)}function RBc(a,b){a=a|0;b=b|0;return di[a&1023](b|0)|0}function SBc(a,b,c,d,e,f,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=+i;j=+j;k=k|0;ei[a&7](b|0,c|0,d|0,e|0,f|0,g|0,h|0,+i,+j,k|0)}function TBc(a,b,c,d,e,f,g){a=a|0;b=b|0;c=+c;d=d|0;e=+e;f=+f;g=g|0;fi[a&1](b|0,+c,d|0,+e,+f,g|0)}function UBc(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=+h;i=+i;gi[a&3](b|0,c|0,d|0,e|0,f|0,g|0,+h,+i)}function VBc(a,b,c,d,e){a=a|0;b=b|0;c=+c;d=d|0;e=e|0;hi[a&7](b|0,+c,d|0,e|0)}function WBc(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;g=g|0;ii[a&15](b|0,c|0,d|0,e|0,+f,g|0)}function XBc(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;g=g|0;h=h|0;i=i|0;ji[a&3](b|0,c|0,d|0,+e,+f,g|0,h|0,i|0)}function YBc(a,b,c,d,e,f,g,h,i,j,k,l,m){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=+h;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;ki[a&1](b|0,c|0,d|0,e|0,f|0,g|0,+h,i|0,j|0,k|0,l|0,m|0)}function ZBc(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return li[a&511](b|0,c|0,d|0)|0}function _Bc(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;f=+f;g=g|0;h=h|0;mi[a&1](b|0,c|0,+d,e|0,+f,g|0,h|0)}function $Bc(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;g=+g;h=h|0;i=i|0;ni[a&1](b|0,c|0,d|0,e|0,+f,+g,h|0,i|0)}function aCc(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;return oi[a&3](b|0,c|0,+d)|0}function bCc(a,b,c,d,e,f,g,h,i,j,k,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=+k;l=+l;pi[a&7](b|0,c|0,d|0,e|0,f|0,g|0,h|0,i|0,j|0,+k,+l)}function cCc(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;g=g|0;h=h|0;qi[a&7](b|0,c|0,d|0,e|0,+f,g|0,h|0)}function dCc(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;return +ri[a&7](b|0,c|0,d|0,e|0,f|0)}function eCc(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;return +si[a&1](b|0,c|0,d|0,e|0,+f)}function fCc(a,b,c,d,e,f,g,h,i,j,k,l,m){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;return ti[a&1](b|0,c|0,d|0,e|0,f|0,g|0,h|0,i|0,j|0,k|0,l|0,m|0)|0}function gCc(a,b,c,d,e,f,g,h,i,j,k,l,m,n,o){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;return ui[a&0](b|0,c|0,d|0,e|0,f|0,g|0,h|0,i|0,j|0,k|0,l|0,m|0,n|0,o|0)|0}function hCc(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=+h;i=+i;j=j|0;vi[a&3](b|0,c|0,d|0,e|0,f|0,g|0,+h,+i,j|0)}function iCc(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;f=f|0;g=g|0;return wi[a&1](b|0,c|0,+d,e|0,f|0,g|0)|0}function jCc(a){a=a|0;return xi[a&31]()|0}function kCc(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;f=f|0;return yi[a&1](b|0,c|0,+d,e|0,f|0)|0}function lCc(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;return +zi[a&3](b|0,c|0,d|0,e|0,f|0,g|0)}function mCc(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;return Ai[a&1](b|0,c|0,+d,e|0,f|0,g|0,h|0,i|0)|0}function nCc(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=+c;d=d|0;e=+e;f=+f;g=g|0;h=h|0;Bi[a&1](b|0,+c,d|0,+e,+f,g|0,h|0)}function oCc(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=+g;h=h|0;i=i|0;j=j|0;Ci[a&3](b|0,c|0,d|0,e|0,f|0,+g,h|0,i|0,j|0)}function pCc(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;f=+f;g=g|0;Di[a&1](b|0,c|0,+d,e|0,+f,g|0)}function qCc(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;return Ei[a&15](b|0,c|0,d|0,e|0,f|0,g|0,h|0,i|0)|0}function rCc(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;f=+f;g=+g;h=h|0;i=i|0;Fi[a&1](b|0,c|0,+d,e|0,+f,+g,h|0,i|0)}function sCc(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=+g;h=h|0;i=i|0;j=+j;Gi[a&1](b|0,c|0,d|0,e|0,f|0,+g,h|0,i|0,+j)}function tCc(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;g=+g;Hi[a&7](b|0,c|0,d|0,e|0,+f,+g)}function uCc(a,b,c,d,e,f){a=a|0;b=b|0;c=+c;d=d|0;e=e|0;f=f|0;Ii[a&1](b|0,+c,d|0,e|0,f|0)}function vCc(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;aa(0);return 0}function wCc(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;g=+g;aa(1)}function xCc(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=f|0;g=g|0;h=h|0;aa(2)}function yCc(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;g=+g;h=h|0;aa(3)}function zCc(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;f=f|0;g=g|0;aa(4)}function ACc(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=f|0;g=g|0;h=+h;aa(5)}function BCc(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;aa(6);return 0}function CCc(a,b,c,d,e,f,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;g=+g;h=h|0;i=i|0;j=j|0;k=k|0;aa(7)}function DCc(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;g=g|0;aa(8)}function ECc(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=+d;e=+e;f=+f;g=+g;h=h|0;aa(9)}function FCc(a,b,c,d,e,f){a=a|0;b=b|0;c=+c;d=d|0;e=e|0;f=f|0;aa(10)}function GCc(a,b,c,d,e,f,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;aa(11)}function HCc(a,b,c,d,e,f,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=+k;aa(12)}function ICc(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=+d;e=+e;f=+f;g=+g;aa(13)}function JCc(a,b,c){a=a|0;b=+b;c=c|0;aa(14);return 0}function KCc(a,b,c,d,e,f,g){a=a|0;b=b|0;c=+c;d=+d;e=e|0;f=+f;g=+g;aa(15)}function LCc(a,b,c){a=a|0;b=+b;c=c|0;aa(16)}function MCc(a,b,c,d,e,f){a=a|0;b=b|0;c=+c;d=+d;e=e|0;f=f|0;aa(17)}function NCc(a,b,c,d,e,f){a=a|0;b=b|0;c=+c;d=+d;e=e|0;f=+f;aa(18)}function OCc(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;g=g|0;aa(19)}function PCc(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=+c;d=+d;e=e|0;f=+f;g=+g;h=+h;i=+i;aa(20)}function QCc(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;g=g|0;h=h|0;i=i|0;j=j|0;aa(21)}function RCc(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=+h;i=+i;aa(22)}function SCc(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;g=g|0;h=h|0;i=i|0;j=+j;aa(23)}function TCc(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=+h;i=i|0;aa(24)}function UCc(a,b,c,d,e){a=a|0;b=b|0;c=+c;d=+d;e=e|0;aa(25)}function VCc(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;f=f|0;aa(26)}function WCc(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;g=+g;aa(27)}function XCc(a){a=a|0;aa(28);return 0.0}function YCc(a,b,c,d,e,f,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=+g;h=h|0;i=i|0;j=j|0;k=k|0;aa(29)}function ZCc(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=f|0;g=g|0;h=+h;i=+i;j=j|0;aa(30)}function _Cc(a,b,c,d,e,f,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;g=g|0;h=h|0;i=i|0;j=j|0;k=+k;aa(31)}function $Cc(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;g=g|0;h=h|0;i=i|0;aa(32)}function aDc(a,b,c){a=+a;b=b|0;c=c|0;aa(33)}function bDc(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;aa(34);return 0.0}function cDc(a,b){a=a|0;b=b|0;aa(35);return 0.0}function dDc(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=+d;e=+e;f=f|0;g=g|0;h=h|0;i=i|0;aa(36)}function eDc(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=+d;e=+e;f=f|0;g=g|0;h=h|0;i=+i;aa(37)}function fDc(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=f|0;g=g|0;h=+h;i=+i;aa(38)}function gDc(a,b,c,d,e,f,g,h,i,j,k,l,m){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=+k;l=+l;m=m|0;aa(39)}function hDc(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;aa(40);return 0}function iDc(a,b,c,d,e,f,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;aa(41)}function jDc(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=+d;e=+e;f=+f;g=g|0;aa(42)}function kDc(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;g=g|0;h=h|0;i=+i;j=+j;aa(43)}function lDc(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;aa(44);return 0}function mDc(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;aa(45);return 0}function nDc(a,b,c,d,e,f,g){a=a|0;b=b|0;c=+c;d=+d;e=e|0;f=f|0;g=g|0;aa(46)}function oDc(a,b,c,d,e,f,g,h,i,j,k,l,m){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=+h;i=i|0;j=+j;k=k|0;l=l|0;m=m|0;aa(47);return 0}function pDc(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=+d;e=+e;f=+f;g=g|0;h=h|0;i=i|0;aa(48)}function qDc(a,b,c,d,e,f,g){a=a|0;b=b|0;c=+c;d=d|0;e=e|0;f=f|0;g=+g;aa(49)}function rDc(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;g=g|0;h=h|0;i=i|0;j=j|0;aa(50)}function sDc(a,b,c,d,e,f,g){a=a|0;b=b|0;c=+c;d=d|0;e=e|0;f=f|0;g=g|0;aa(51)}function tDc(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=+d;e=+e;f=f|0;aa(52);return 0.0}function uDc(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;f=+f;g=g|0;h=h|0;aa(53)}function vDc(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;aa(54);return 0.0}function wDc(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;f=f|0;g=g|0;h=+h;aa(55)}function xDc(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=+d;e=+e;f=+f;g=+g;h=h|0;i=i|0;aa(56)}function yDc(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;aa(57)}function zDc(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;g=+g;h=+h;i=i|0;j=j|0;aa(58)}function ADc(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;aa(59)}function BDc(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;f=f|0;g=g|0;h=h|0;aa(60)}function CDc(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=+g;h=h|0;aa(61)}function DDc(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=+g;h=h|0;i=i|0;j=j|0;aa(62)}function EDc(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;g=+g;h=h|0;i=i|0;aa(63)}function FDc(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=+d;e=+e;aa(64)}function GDc(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;aa(65)}function HDc(a,b,c,d,e,f,g){a=a|0;b=b|0;c=+c;d=d|0;e=e|0;f=f|0;g=g|0;aa(66);return 0}function IDc(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=+c;d=+d;e=e|0;f=+f;g=+g;h=+h;aa(67)}function JDc(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;aa(68)}function KDc(a,b,c,d,e){a=a|0;b=b|0;c=+c;d=+d;e=e|0;aa(69);return 0.0}function LDc(a,b,c){a=a|0;b=b|0;c=c|0;aa(70);return 0.0}function MDc(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=+d;e=+e;f=+f;aa(71)}function NDc(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=+d;e=+e;f=f|0;g=+g;h=+h;i=+i;j=+j;aa(72)}function ODc(a,b,c,d,e,f,g,h,i,j,k,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=+l;aa(73)}function PDc(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=+d;e=+e;f=f|0;g=+g;h=+h;aa(74)}function QDc(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;f=f|0;g=g|0;h=h|0;i=+i;j=j|0;aa(75)}function RDc(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=+d;e=+e;f=f|0;g=g|0;h=h|0;i=i|0;j=+j;aa(76)}function SDc(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=+d;e=+e;f=f|0;aa(77)}function TDc(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;aa(78);return 0}function UDc(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;aa(79)}function VDc(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;g=+g;h=+h;aa(80)}function WDc(a,b,c,d,e){a=a|0;b=b|0;c=+c;d=d|0;e=e|0;aa(81)}function XDc(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;aa(82);return 0}function YDc(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;g=+g;h=h|0;aa(83)}function ZDc(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;aa(84)}function _Dc(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;aa(85)}function $Dc(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=f|0;g=g|0;h=h|0;i=i|0;aa(86)}function aEc(a,b){a=a|0;b=+b;aa(87)}function bEc(a,b,c,d){a=a|0;b=b|0;c=+c;d=d|0;aa(88);return 0}function cEc(a,b,c,d){a=a|0;b=b|0;c=+c;d=+d;aa(89);return 0}function dEc(a,b){a=a|0;b=b|0;aa(90)}function eEc(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;aa(91)}function fEc(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;g=+g;h=+h;i=i|0;aa(92)}function gEc(a,b,c,d){a=a|0;b=b|0;c=+c;d=+d;aa(93)}function hEc(a,b,c,d){a=a|0;b=b|0;c=+c;d=d|0;aa(94)}function iEc(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;f=f|0;g=+g;h=+h;i=i|0;aa(95)}function jEc(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;aa(96);return 0.0}function kEc(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=+d;e=+e;f=+f;g=g|0;h=h|0;aa(97)}function lEc(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;aa(98)}function mEc(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=+d;e=+e;f=+f;g=g|0;h=h|0;i=i|0;j=j|0;aa(99)}function nEc(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=+h;aa(100)}function oEc(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;aa(101);return 0.0}function pEc(a,b,c,d,e,f,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;g=g|0;h=h|0;i=+i;j=+j;k=k|0;aa(102)}function qEc(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;g=g|0;h=h|0;aa(103)}function rEc(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=+d;e=+e;f=f|0;g=+g;h=+h;i=+i;aa(104)}function sEc(a,b){a=a|0;b=+b;aa(105);return 0}function tEc(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=+d;e=+e;f=f|0;g=+g;aa(106)}function uEc(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;aa(107)}function vEc(a,b,c,d,e,f,g){a=a|0;b=b|0;c=+c;d=d|0;e=+e;f=+f;g=g|0;aa(108)}function wEc(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=+g;aa(109)}function xEc(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;aa(110)}function yEc(a,b){a=a|0;b=b|0;aa(111);return 0}function zEc(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=+d;e=+e;f=f|0;g=g|0;aa(112)}function AEc(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;f=+f;g=g|0;aa(113)}function BEc(a,b,c,d){a=+a;b=b|0;c=c|0;d=d|0;aa(114)}function CEc(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=+g;h=h|0;i=i|0;aa(115)}function DEc(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;g=+g;h=h|0;i=i|0;j=j|0;aa(116)}function EEc(a,b,c){a=a|0;b=b|0;c=c|0;aa(117)}function FEc(){aa(118)}function GEc(){Xe()}function HEc(a,b,c){a=a|0;b=b|0;c=+c;aa(119)}function IEc(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=+c;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;aa(120)}function JEc(a){a=a|0;aa(121)}function KEc(a,b,c,d,e,f,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=f|0;g=g|0;h=h|0;i=i|0;j=+j;k=k|0;aa(122)}function LEc(a){a=a|0;aa(123);return 0}function MEc(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=+h;i=+i;j=j|0;aa(124)}function NEc(a,b,c,d,e,f){a=a|0;b=+b;c=c|0;d=+d;e=+e;f=f|0;aa(125)}function OEc(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=+g;h=+h;aa(126)}function PEc(a,b,c,d){a=a|0;b=+b;c=c|0;d=d|0;aa(127)}function QEc(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=f|0;aa(128)}function REc(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=+d;e=+e;f=f|0;g=g|0;h=h|0;aa(129)}function SEc(a,b,c,d,e,f,g,h,i,j,k,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=+g;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;aa(130)}function TEc(a,b,c){a=a|0;b=b|0;c=c|0;aa(131);return 0}function UEc(a,b,c,d,e,f,g){a=a|0;b=b|0;c=+c;d=d|0;e=+e;f=f|0;g=g|0;aa(132)}function VEc(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;g=g|0;h=h|0;aa(133)}function WEc(a,b,c){a=a|0;b=b|0;c=+c;aa(134);return 0}function XEc(a,b,c,d,e,f,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=+j;k=+k;aa(135)}function YEc(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=f|0;g=g|0;aa(136)}function ZEc(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;aa(137);return 0.0}function _Ec(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;aa(138);return 0.0}function $Ec(a,b,c,d,e,f,g,h,i,j,k,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;aa(139);return 0}function aFc(a,b,c,d,e,f,g,h,i,j,k,l,m,n){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;aa(140);return 0}function bFc(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=+g;h=+h;i=i|0;aa(141)}function cFc(a,b,c,d,e,f){a=a|0;b=b|0;c=+c;d=d|0;e=e|0;f=f|0;aa(142);return 0}function dFc(){aa(143);return 0}function eFc(a,b,c,d,e){a=a|0;b=b|0;c=+c;d=d|0;e=e|0;aa(144);return 0}function fFc(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;aa(145);return 0.0}function gFc(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=+c;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;aa(146);return 0}function hFc(a,b,c,d,e,f,g){a=a|0;b=+b;c=c|0;d=+d;e=+e;f=f|0;g=g|0;aa(147)}function iFc(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;g=g|0;h=h|0;i=i|0;aa(148)}function jFc(a,b,c,d,e,f){a=a|0;b=b|0;c=+c;d=d|0;e=+e;f=f|0;aa(149)}function kFc(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;aa(150);return 0}function lFc(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=+c;d=d|0;e=+e;f=+f;g=g|0;h=h|0;aa(151)}function mFc(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;g=g|0;h=h|0;i=+i;aa(152)}function nFc(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;aa(153)}function oFc(a,b,c,d,e){a=a|0;b=+b;c=c|0;d=d|0;e=e|0;aa(154)}

// EMSCRIPTEN_END_FUNCS
var Qf=[vCc,nqc,tqc,vCc];var Rf=[wCc,Pw];var Sf=[xCc,kBa,sp,Er,AC,xCc,xCc,xCc];var Tf=[yCc,Vw,ol,yCc];var Uf=[zCc,lBa,Rr,zCc];var Vf=[ACc,_q];var Wf=[BCc,LC,MC,NC,OC,PC,QC,RC,PF,QF,RF,SF,TF,UF,VF,WF,XF,YF,ZF,_F,$F,aG,bG,cG,dG,eG,fG,gG,hG,M2,Z2b,_2b,xlc,ylc,zlc,Alc,Blc,Clc,Dlc,Elc,Flc,Glc,Hlc,rmc,smc,tmc,umc,vmc,wmc,xmc,ymc,zmc,Amc,Bmc,Umc,Wmc,jnc,lnc,wnc,xnc,ync,znc,Anc,hoc,ioc,joc,koc,loc,oqc,uqc,du,tm,Vx,BCc,BCc,BCc,BCc,BCc,BCc,BCc,BCc,BCc,BCc,BCc,BCc,BCc,BCc,BCc,BCc,BCc,BCc,BCc,BCc,BCc,BCc,BCc,BCc,BCc,BCc,BCc,BCc,BCc,BCc,BCc,BCc,BCc,BCc,BCc,BCc,BCc,BCc,BCc,BCc,BCc,BCc,BCc,BCc,BCc,BCc,BCc,BCc,BCc,BCc,BCc,BCc,BCc,BCc,BCc];var Xf=[CCc,vy];var Yf=[DCc,Hw,Jw,jl,ox,Yy,DCc,DCc];var Zf=[ECc,Zk];var _f=[FCc,Bq];var $f=[GCc,Ex];var ag=[HCc,cm];var bg=[ICc,_k];var cg=[JCc,HB];var dg=[KCc,dl,gl,KCc];var eg=[LCc,P9b,Q9b,qp,nr,LCc,LCc,LCc];var fg=[MCc,Qk,hp,MCc];var gg=[NCc,el,hl,NCc];var hg=[OCc,by,Fn,Oz,SA,kC,Nr,OCc];var ig=[PCc,bl];var jg=[QCc,_y];var kg=[RCc,dx];var lg=[SCc,Vy];var mg=[TCc,_z];var ng=[UCc,Rk,fl,il,ip,UCc,UCc,UCc];var og=[VCc,Sr];var pg=[WCc,Ww,pl,WCc];var qg=[XCc,kha,ACa,CCa,ECa,GCa,ICa,KCa,MCa,SCa,tDa,GDa,QDa,xm,Rm,cp];var rg=[YCc,sC];var sg=[ZCc,mBa,Yq,ZCc];var tg=[_Cc,Zy];var ug=[$Cc,Wy,$y,$Cc];var vg=[aDc,gn];var wg=[bDc,Jy,xo,nz];var xg=[cDc,hya,zya,O7b,_7b,$i,jv,rv,zv,Hv,Pv,Wv,_v,gw,kw,Fl,wm,Xx,vo,bp,fp,dq,ZA,NB,cDc,cDc,cDc,cDc,cDc,cDc,cDc,cDc];var yg=[dDc,go];var zg=[eDc,$n];var Ag=[fDc,Zq];var Bg=[gDc,xQ,uQ,vQ,wQ,gDc,gDc,gDc];var Cg=[hDc,aD,bD,cD,dD,eD,CM,VT,K2,L2,vHa,gIa,p0b,Z1b,_1b,j2b,l2b,m2b,n2b,o2b,p2b,s2b,u2b,v2b,w2b,I2b,T2b,a3b,c3b,y6b,J6b,L6b,U6b,f7b,v7b,H7b,T7b,d8b,p8b,B8b,N8b,Brc,Yrc,Zrc,_rc,esc,au,bu,fu,ru,Hu,Ju,wk,Mu,zk,Pu,Ck,Su,Fk,Vu,Ik,Lk,Mk,yw,os,it,Ct,St,qm,Sx,vm,ty,Ry,Ty,aq,gA,DA,hDc,hDc,hDc,hDc,hDc,hDc,hDc,hDc,hDc,hDc,hDc,hDc,hDc,hDc,hDc,hDc,hDc,hDc,hDc,hDc,hDc,hDc,hDc,hDc,hDc,hDc,hDc,hDc,hDc,hDc,hDc,hDc,hDc,hDc,hDc,hDc,hDc,hDc,hDc,hDc,hDc,hDc,hDc,hDc,hDc,hDc,hDc,hDc,hDc,hDc,hDc];var Dg=[iDc,Cza,Jr,iDc];var Eg=[jDc,tn];var Fg=[kDc,PA];var Gg=[lDc,zu,Es,Us];var Hg=[mDc,Uoc,_oc,Xpc,Ypc,eqc,fqc,Ux];var Ig=[nDc,gp];var Jg=[oDc,IA];var Kg=[pDc,rn];var Lg=[qDc,yl];var Mg=[rDc,Lz,hC,Kr];var Ng=[sDc,Aq];var Og=[tDc,iA];var Pg=[uDc,Oy];var Qg=[vDc,mz];var Rg=[wDc,hx];var Sg=[xDc,Yk];var Tg=[yDc,Xw,ql,Yl,Gn,TA,lC,Or];var Ug=[zDc,Mw];var Vg=[ADc,gE,YI,ZI,_I,$I,aJ,bJ,cJ,dJ,eJ,fJ,gJ,hJ,iJ,QQ,RQ,SQ,TQ,UQ,VQ,WQ,JQ,KQ,LQ,MQ,NQ,OQ,PQ,kV,lV,mV,nV,p5,n5,y5,w5,H5,F5,Q5,O5,_5,Y5,h6,f6,q6,o6,z6,x6,I6,G6,R6,P6,$6,Z6,c7,m7,k7,p7,v7,eda,fda,gda,hda,ida,Mka,vka,nka,fka,Zja,Rja,Jja,Bja,tja,lja,dja,Dka,Zqa,Xqa,Vqa,Tqa,Rqa,Pqa,Nqa,Lqa,Jqa,Hqa,jBa,oBa,sFa,Vic,z2b,B2b,U9b,V9b,ljc,Aqc,Fqc,hvc,qvc,Tvc,bx,vl,ix,rx,Vl,xx,am,hm,Jx,lm,Nx,Wm,fy,an,iy,ln,ry,zy,An,Fy,Jn,Iy,jo,Ao,qz,tz,Wo,Ep,Hp,Tz,Op,Yz,Xp,bA,jA,rq,nA,vq,xC,ZQ,YQ,ADc,ADc,ADc,ADc,ADc,ADc,ADc,ADc,ADc,ADc,ADc,ADc,ADc,ADc,ADc,ADc,ADc,ADc,ADc,ADc,ADc,ADc,ADc,ADc,ADc,ADc,ADc,ADc,ADc,ADc,ADc,ADc,ADc,ADc,ADc,ADc,ADc,ADc,ADc,ADc,ADc,ADc,ADc,ADc,ADc,ADc,ADc,ADc,ADc,ADc,ADc,ADc,ADc,ADc,ADc,ADc,ADc,ADc,ADc,ADc,ADc,ADc,ADc,ADc,ADc,ADc,ADc,ADc,ADc,ADc,ADc,ADc,ADc,ADc,ADc,ADc,ADc,ADc,ADc,ADc,ADc,ADc,ADc,ADc,ADc,ADc,ADc,ADc,ADc,ADc,ADc,ADc,ADc,ADc,ADc,ADc,ADc,ADc,ADc,ADc,ADc,ADc,ADc,ADc,ADc,ADc,ADc,ADc,ADc,ADc,ADc,ADc,ADc,ADc];var Wg=[BDc,Aza,Qr,BDc];var Xg=[CDc,Dy,Vp,vC];var Yg=[DDc,tC];var Zg=[EDc,xy];var _g=[FDc,Si,Gw,Uk,Wk,al,Hl,eo,Sp,FDc,FDc,FDc,FDc,FDc,FDc,FDc];var $g=[GDc,mx,cn,Zo,sr,Tr,GDc,GDc];var ah=[HDc,qA];var bh=[IDc,cl];var ch=[JDc,IT,dm,Fx,ny,JDc,JDc,JDc];var dh=[KDc,jq];var eh=[LDc,vR,wR,xR,yR,zR,AR,BR,T1b,U1b,yu,Xu,$u,nx,pm,On,uo,kz,ap,Ez,ep,Gz,np,cq,LDc,LDc,LDc,LDc,LDc,LDc,LDc,LDc];var fh=[MDc,$k,Qn,MDc];var gh=[NDc,Rw];var hh=[ODc,Dx];var ih=[PDc,Tw];var jh=[QDc,bm];var kh=[RDc,fo];var lh=[SDc,Fw,Tk,Vk,Gl,co,Rp,SDc];var mh=[TDc,jF,kF,lF,mF,nF,oF,pF,qF,rF,sF,tF,uF,vF,wF,xF,yF,zF,AF,BF,CF,DF,iN,jN,kN,lN,mN,nN,oN,GKa,pLa,hjb,zjb,Rjb,hkb,zkb,Rkb,hlb,zlb,Xlb,omb,Fmb,Tmb,dnb,vnb,Fnb,Qnb,aob,pob,Eob,Nob,Zob,ipb,vpb,Kpb,uqb,Zqb,xrb,Lrb,_rb,Asb,Etb,Utb,iub,Fub,avb,uvb,Svb,$vb,x2b,$2b,b3b,llc,rlc,Smc,Tmc,Vmc,Zmc,hnc,inc,knc,onc,Kqc,Nqc,arc,drc,Drc,gsc,Vqc,Yqc,jrc,mrc,cu,Qi,Ku,Nu,Qu,Tu,Wu,Rx,um,Wx,fA,TDc,TDc,TDc,TDc,TDc,TDc,TDc,TDc,TDc,TDc,TDc,TDc,TDc,TDc,TDc,TDc,TDc,TDc,TDc,TDc,TDc,TDc,TDc,TDc,TDc];var nh=[UDc,uCa,d2b,e2b,N2b,O2b,Ui,aj,Bs,Rs,Xk,Yx,dn,ko,_o,Tp,dr,kr,tr,Ur,dR,cR,fR,eR,hR,gR,jR,iR,lR,kR,nR,mR,pR,oR,rR,qR,tR,sR,d2,c2,b2,UDc,UDc,UDc,UDc,UDc,UDc,UDc,UDc,UDc,UDc,UDc,UDc,UDc,UDc,UDc,UDc,UDc,UDc,UDc,UDc,UDc,UDc,UDc];var oh=[VDc,Ow];var ph=[WDc,Cq];var qh=[XDc,Xmc,Ymc,mnc,nnc,XDc,XDc,XDc];var rh=[YDc,yy];var sh=[ZDc,mD,nD,oD,pD,qD,rD,sD,hE,$E,aF,bF,cF,mQ,nQ,oQ,pQ,cS,ER,MR,NR,OR,PR,dS,XR,hS,WR,kS,oS,pS,qS,wS,xS,yS,IS,OS,US,XS,CDa,tFa,wHa,BHa,PHa,UHa,bIa,xIa,CIa,Wic,tKa,uKa,lLa,ajb,sjb,Kjb,akb,skb,Kkb,alb,slb,Qlb,lmb,Amb,Smb,$mb,snb,Pnb,Ynb,kob,Bob,Mob,Wob,fpb,spb,Hpb,Spb,rqb,Fqb,Uqb,qrb,Irb,Urb,xsb,Btb,Rtb,fub,yub,Hub,Yub,cvb,tvb,vvb,Pvb,_vb,ZKb,pOb,qOb,M1b,W1b,$1b,b2b,f2b,g2b,h2b,i2b,k2b,J2b,L2b,P2b,Q2b,R2b,S2b,U2b,d3b,e3b,A6b,D6b,E6b,W6b,Z6b,_6b,h7b,k7b,l7b,x7b,A7b,B7b,J7b,M7b,N7b,V7b,Y7b,Z7b,f8b,i8b,j8b,r8b,u8b,v8b,D8b,G8b,H8b,P8b,S8b,T8b,N9b,O9b,T9b,Vac,Wac,mjc,mlc,slc,jvc,svc,Vvc,Fj,Zi,Wi,mu,Uj,qu,Wj,uu,_j,Eu,hk,jk,lk,nk,pk,rk,tk,qj,rj,ls,ft,yt,Pt,ml,Zw,gx,Al,Il,px,Ml,Ol,Rl,tx,Xl,jm,nm,om,Bm,_x,Km,Nm,Pm,Sm,Ym,$m,nn,vn,By,Cn,In,Wn,Zn,dz,no,so,iz,Co,Ho,Lo,xz,Yo,pp,vp,Qz,yp,Rz,Gp,Jp,Vz,Mp,Qp,hq,oq,tq,xq,cr,mB,xB,OB,ZB,bC,dC,Ir,EC,i$,p$,w$,B$,J$,O$,L0,S0,V0,Y0,$0,d1,Rfa,MBa,UBa,ZDc,ZDc];var th=[_Dc,IN,JN,KN,LN,MN,NN,ON,PN,QN,RN,DR,bV,XU,D1,E1,F1,G1,H1,I1,J1,N2,i3,p3,w3,D3,K3,R3,Y3,d4,k4,r4,B4,z4,L4,J4,mia,kia,iia,gia,eia,cia,aia,_ha,Yha,Wha,dla,bla,$ka,Zka,Xka,Spa,Qpa,Opa,Mpa,Kpa,Ipa,Gpa,Epa,Cpa,Apa,AKa,Wpb,Yqb,Cub,N1b,a2b,c2b,t2b,y2b,A2b,E2b,F2b,G2b,H2b,K2b,M2b,H9b,ivc,rvc,Uvc,pu,Yw,rl,wl,zl,jx,Ql,sx,Wl,yx,im,Kx,mm,Ox,Px,Zx,Jm,Xm,gy,_m,bn,mn,sy,un,Ay,Bn,Hn,Gy,Kn,fz,ro,hz,Bo,rz,Go,wz,Xo,op,Pz,Fp,Ip,Uz,Lp,Pp,Zz,Yp,gq,nq,kA,sq,oA,wq,UA,mC,Pr,aR,$Q,Nla,Mla,Pla,Ola,Rla,Qla,Sla,Tla,_Dc,_Dc,_Dc,_Dc,_Dc,_Dc,_Dc,_Dc,_Dc,_Dc,_Dc,_Dc,_Dc,_Dc,_Dc,_Dc,_Dc,_Dc,_Dc,_Dc,_Dc,_Dc,_Dc,_Dc,_Dc,_Dc,_Dc,_Dc,_Dc,_Dc,_Dc,_Dc,_Dc,_Dc,_Dc,_Dc,_Dc,_Dc,_Dc,_Dc,_Dc,_Dc,_Dc,_Dc,_Dc,_Dc,_Dc,_Dc,_Dc,_Dc,_Dc,_Dc,_Dc,_Dc,_Dc,_Dc,_Dc,_Dc,_Dc,_Dc,_Dc,_Dc,_Dc,_Dc,_Dc,_Dc,_Dc,_Dc,_Dc,_Dc,_Dc,_Dc,_Dc,_Dc,_Dc,_Dc,_Dc,_Dc,_Dc,_Dc,_Dc,_Dc,_Dc,_Dc,_Dc,_Dc,_Dc,_Dc,_Dc,_Dc,_Dc,_Dc,_Dc,_Dc,_Dc,_Dc,_Dc,_Dc,_Dc,_Dc,_Dc,_Dc,_Dc,_Dc,_Dc,_Dc,_Dc,_Dc,_Dc,_Dc];var uh=[$Dc,Bza,rp,Dr,zC,$Dc,$Dc,$Dc];var vh=[aEc,jha,BCa,DCa,FCa,HCa,JCa,LCa,NCa,TCa,uDa,HDa,RDa,or,qr,aEc];var wh=[bEc,tA,sB,bEc];var xh=[cEc,Sy];var yh=[dEc,Tic,LE,YE,GG,HG,JG,KG,EH,CH,AH,NH,FM,MT,WT,FT,iY,jY,kY,lY,n1,O1,U1,Cda,fba,kba,pba,uba,zba,Jba,Pba,Vba,$ba,fca,qca,wca,Cca,Ica,Oca,Xca,Zca,$ca,bda,dda,lda,oda,rda,vda,zda,Uda,fea,sea,Fea,Sea,Zea,Bfa,ufa,dga,ega,nga,Fga,Hga,Jga,Nga,Pga,Rga,lha,mha,Lha,Eha,xha,qha,Vla,ama,_la,una,sna,Bna,zna,xna,Tna,Pna,_na,Yna,Wna,poa,moa,joa,toa,xoa,Foa,Doa,Boa,Moa,Koa,Ioa,Poa,Soa,Voa,Yoa,Dta,Ata,yta,Nta,Kta,Hta,hua,eua,Yta,Vta,Aua,xua,sua,pua,Cva,yva,wva,sva,Rva,Pva,_va,Xva,Vva,iwa,fwa,cwa,mwa,nwa,owa,pwa,qwa,rwa,swa,twa,Dwa,Ewa,Fwa,Gwa,Mwa,Pwa,Qwa,Rwa,Swa,Twa,Uwa,Vwa,Wwa,Xwa,Ywa,Zwa,_wa,Ixa,Gxa,Dxa,Bxa,Uxa,Sxa,Pxa,Mxa,bya,fya,wya,Zya,xza,Eza,Hza,Iza,Rza,_Aa,dBa,iBa,uBa,DBa,dCa,gCa,sCa,tCa,vCa,xCa,zCa,PCa,RCa,_Ca,gDa,lDa,mDa,oDa,pDa,qDa,sDa,FDa,JDa,LDa,NDa,PDa,TDa,qFa,GJa,X5b,_5b,$5b,cOa,gOa,hOa,iOa,kOa,AQa,DQa,EQa,FQa,GQa,MPa,TPa,WPa,d6b,ZPa,h6b,$Pa,CPa,FPa,GPa,HPa,IPa,xOa,yOa,DOa,EOa,GOa,JOa,e6b,cRa,fRa,gRa,hRa,iRa,HRa,KRa,LRa,MRa,NRa,QSa,TSa,USa,VSa,WSa,fSa,mSa,sSa,vSa,ySa,ASa,BTa,ETa,FTa,GTa,HTa,XTa,_Ta,$Ta,aUa,bUa,wUa,zUa,AUa,BUa,CUa,eWa,hWa,iWa,jWa,kWa,vWa,yWa,zWa,AWa,BWa,OWa,RWa,SWa,TWa,UWa,dXa,gXa,hXa,iXa,jXa,vXa,yXa,zXa,AXa,BXa,NXa,QXa,RXa,SXa,TXa,dYa,gYa,hYa,iYa,jYa,uYa,xYa,yYa,zYa,AYa,MYa,PYa,QYa,RYa,SYa,hZa,kZa,lZa,mZa,nZa,l_a,o_a,p_a,q_a,r_a,B_a,E_a,F_a,G_a,H_a,R_a,U_a,V_a,W_a,X_a,f$a,i$a,j$a,k$a,l$a,v$a,y$a,z$a,A$a,B$a,L$a,O$a,P$a,Q$a,R$a,$$a,c0a,d0a,e0a,f0a,p0a,s0a,t0a,u0a,v0a,F0a,I0a,J0a,K0a,L0a,W0a,Z0a,_0a,$0a,a1a,k1a,n1a,o1a,p1a,q1a,A1a,D1a,E1a,F1a,G1a,W1a,Z1a,_1a,$1a,a2a,l2a,o2a,p2a,q2a,r2a,B2a,E2a,F2a,G2a,H2a,R2a,U2a,V2a,W2a,X2a,f3a,i3a,j3a,k3a,l3a,v3a,y3a,z3a,A3a,B3a,L3a,O3a,P3a,Q3a,R3a,a4a,d4a,e4a,f4a,g4a,q4a,t4a,u4a,v4a,w4a,G4a,J4a,K4a,L4a,M4a,W4a,Z4a,_4a,$4a,a5a,k5a,n5a,o5a,p5a,q5a,B5a,E5a,F5a,G5a,H5a,R5a,U5a,V5a,W5a,X5a,f6a,i6a,j6a,k6a,l6a,v6a,y6a,z6a,A6a,B6a,L6a,O6a,P6a,Q6a,R6a,c7a,f7a,g7a,h7a,i7a,y7a,B7a,C7a,D7a,E7a,P7a,S7a,T7a,U7a,V7a,e8a,h8a,i8a,j8a,k8a,w8a,z8a,A8a,B8a,C8a,O8a,R8a,S8a,T8a,U8a,d9a,g9a,h9a,i9a,j9a,v9a,y9a,z9a,A9a,B9a,O9a,R9a,S9a,T9a,U9a,eab,hab,iab,jab,kab,vab,yab,zab,Aab,Bab,Mab,Pab,Qab,Rab,Sab,bbb,ebb,fbb,gbb,hbb,tbb,wbb,xbb,ybb,zbb,Kbb,Nbb,Obb,Pbb,Qbb,bcb,ecb,fcb,gcb,hcb,scb,vcb,wcb,xcb,ycb,Kcb,Ncb,Ocb,Pcb,Qcb,adb,ddb,edb,fdb,gdb,rdb,udb,vdb,wdb,xdb,Pdb,Sdb,Tdb,Udb,Vdb,deb,geb,heb,ieb,jeb,teb,web,xeb,yeb,zeb,Jeb,Meb,Neb,Oeb,Peb,afb,dfb,efb,ffb,gfb,wfb,zfb,Afb,Bfb,Cfb,Nfb,Qfb,Rfb,Sfb,Tfb,dgb,ggb,hgb,igb,jgb,Bgb,Egb,Fgb,Ggb,Hgb,$gb,chb,dhb,ehb,fhb,rhb,uhb,vhb,whb,xhb,ljb,Djb,Vjb,lkb,Dkb,Vkb,llb,Flb,amb,Kmb,inb,tob,aqb,hrb,lub,Mub,hvb,fvb,wvb,xvb,yvb,kwb,nwb,owb,pwb,qwb,Kwb,Nwb,Owb,Pwb,Qwb,cxb,fxb,gxb,hxb,ixb,jyb,myb,nyb,oyb,pyb,Axb,Hxb,Nxb,Qxb,Txb,Vxb,Vyb,Yyb,Zyb,_yb,$yb,tzb,wzb,xzb,yzb,zzb,Ozb,Rzb,Szb,Tzb,Uzb,kAb,nAb,oAb,pAb,qAb,EAb,HAb,IAb,JAb,KAb,lBb,oBb,pBb,qBb,rBb,KBb,NBb,OBb,PBb,QBb,mCb,pCb,qCb,rCb,sCb,ECb,HCb,ICb,JCb,KCb,aDb,dDb,eDb,fDb,gDb,qDb,tDb,uDb,vDb,wDb,GDb,JDb,KDb,LDb,MDb,YDb,$Db,aEb,bEb,cEb,oEb,rEb,sEb,tEb,uEb,MEb,PEb,QEb,REb,SEb,cFb,fFb,gFb,hFb,iFb,DFb,GFb,HFb,IFb,JFb,fGb,iGb,jGb,kGb,lGb,xGb,AGb,BGb,CGb,DGb,$Jb,fKb,kKb,pKb,GQb,JQb,KQb,LQb,MQb,ARb,DRb,ERb,FRb,GRb,VRb,YRb,ZRb,_Rb,$Rb,nSb,qSb,rSb,sSb,tSb,ISb,LSb,MSb,NSb,OSb,aTb,dTb,eTb,fTb,gTb,wTb,zTb,ATb,BTb,CTb,STb,VTb,WTb,XTb,YTb,nUb,qUb,rUb,sUb,tUb,GUb,JUb,KUb,LUb,MUb,ZUb,aVb,bVb,cVb,dVb,rVb,uVb,vVb,wVb,xVb,KVb,NVb,OVb,PVb,QVb,cWb,fWb,gWb,hWb,iWb,wWb,zWb,AWb,BWb,CWb,SWb,VWb,WWb,XWb,YWb,mXb,pXb,qXb,rXb,sXb,JXb,MXb,NXb,OXb,PXb,cYb,fYb,gYb,hYb,iYb,AYb,DYb,EYb,FYb,GYb,UYb,XYb,YYb,ZYb,_Yb,nZb,qZb,rZb,sZb,tZb,JZb,MZb,NZb,OZb,PZb,a_b,d_b,e_b,f_b,g_b,C_b,F_b,G_b,H_b,I_b,X_b,__b,$_b,a$b,b$b,t$b,w$b,x$b,y$b,z$b,c6b,T0b,U0b,r4b,J4b,K4b,P4b,Q4b,S4b,V4b,z6b,C6b,V6b,Y6b,g7b,j7b,w7b,z7b,I7b,L7b,U7b,X7b,e8b,h8b,q8b,t8b,C8b,F8b,O8b,R8b,jjc,Kkc,Rkc,Ykc,dlc,gpc,hpc,ipc,jpc,lpc,mpc,spc,tpc,upc,vpc,xpc,ypc,Dpc,Epc,Fpc,Gpc,Ipc,Jpc,Opc,Ppc,Qpc,Rpc,Tpc,Upc,Bqc,Gqc,Lrc,Mrc,Nrc,Src,Trc,Urc,Gj,Hj,Ij,Jj,Kj,Lj,Mj,Nj,Oj,dj,bk,bj,gj,hj,Vi,jj,kj,lj,sj,tj,uj,pj,oj,$r,ps,Fs,Vs,jt,Dt,Ll,Tl,Am,Dm,Um,yn,En,Pn,mo,qo,Do,Ko,Oo,Qo,To,lp,xp,Ap,Zp,dA,eA,eq,fq,kq,mq,pq,yq,Fq,Hq,Kq,Mq,Oq,Qq,Sq,Uq,Xq,fr,ir,mr,KB,vr,xr,zr,cO,dO,eO,fO,gO,hO,PO,OO,NO,MO,LO,KO,JO,IO,HO,GO,FO,EO,DO,CO,BO,AO,zO,yO,xO,wO,vO,uO,tO,sO,rO,qO,pO,oO,nO,mO,lO,kO,jO,iO,eoa,foa,boa,coa,doa,fNa,gNa,hNa,iNa,jNa,kNa,lNa,mNa,nNa,oNa,pNa,qNa,rNa,sNa,tNa,uNa,vNa,wNa,xNa,yNa,zNa,ANa,BNa,CNa,DNa,ENa,FNa,GNa,HNa,INa,JNa,KNa,LNa,MNa,NNa,ONa,PNa,QNa,RNa,SNa,TNa,dIb,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc,dEc];var zh=[eEc,QR,SR,C2b,D2b,nu,Lw,ll,Im,ky,cz,br,lB,wB,YB,Hr,DC,eEc,eEc,eEc,eEc,eEc,eEc,eEc,eEc,eEc,eEc,eEc,eEc,eEc,eEc,eEc];var Ah=[fEc,Nw];var Bh=[gEc,Sk,ym,Yn,jp,gEc,gEc,gEc];var Ch=[hEc,RR,rS,zS,JS,PS,YS,El,Kz,Dq,gr,hEc,hEc,hEc,hEc,hEc];var Dh=[iEc,nBa];var Eh=[jEc,Fo];var Fh=[kEc,sn];var Gh=[lEc,YG,ZG,_G,$G,aH,bH,cH,sI,tI,uI,vI,wI,xI,yI,zI,AI,BI,hL,iL,jL,kL,lL,mL,nL,oL,pL,qL,rL,sL,tL,uL,vL,wL,xL,yL,zL,AL,BL,CL,DL,EL,FL,GL,HL,IL,JL,KL,LL,ML,NL,OL,PL,QL,RL,SL,TL,UL,VL,WL,XL,YL,ZL,_L,$L,aM,bM,cM,dM,eM,fM,gM,hM,iM,jM,kM,lM,mM,nM,oM,pM,qM,sM,tM,uM,vM,wM,xM,yM,eP,fP,gP,hP,iP,jP,kP,lP,mP,nP,oP,pP,qP,rP,sP,tP,uP,vP,wP,xP,yP,zP,AP,BP,CP,DP,EP,FP,GP,HP,IP,JP,KP,LP,MP,NP,OP,PP,QP,RP,SP,TP,UP,VP,WP,XP,YP,ZP,_P,$P,aQ,bQ,cQ,dQ,eQ,fQ,gQ,hQ,iQ,jQ,GT,HT,vx,Ax,fm,Hx,Lx,Fm,ay,dy,jn,py,Cy,az,oo,oz,Uo,Bz,Wz,lA,DI,Hea,Gea,Jea,Iea,Lea,Kea,Nea,Mea,Pea,Oea,uea,tea,wea,vea,yea,xea,Aea,zea,Cea,Bea,hea,gea,jea,iea,lea,kea,nea,mea,pea,oea,Wda,Vda,Yda,Xda,_da,Zda,aea,$da,cea,bea,Jda,Ida,Lda,Kda,Nda,Mda,Pda,Oda,Rda,Qda,lEc,lEc,lEc,lEc,lEc,lEc,lEc,lEc,lEc,lEc,lEc,lEc,lEc,lEc,lEc,lEc,lEc,lEc,lEc,lEc,lEc,lEc,lEc,lEc,lEc,lEc,lEc,lEc,lEc,lEc,lEc,lEc,lEc,lEc,lEc,lEc];var Hh=[mEc,qn];var Ih=[nEc,ex,$z,nEc];var Jh=[oEc,q2b,r2b,Yu,av,Qx,Nn,My,jz,Dz,dp,Jz,oEc,oEc,oEc,oEc];var Kh=[pEc,OA];var Lh=[qEc,pBa,Nz,RA,jC,Mr,qEc,qEc];var Mh=[rEc,Sw];var Nh=[sEc,IB];var Oh=[tEc,Uw];var Ph=[uEc,RI,SI,TI,UI,VI,WI,XI,y1,z1,A1,B1,C1,t1,u1,v1,w1,x1,o1,p1,q1,r1,s1,E8,L8,S8,Z8,e9,l9,s9,z9,G9,N9,U9,$9,gaa,Rca,Sca,Tca,Uca,Vca,Zra,esa,lsa,ssa,zsa,Gsa,Nsa,Usa,$sa,gta,ZAa,kDa,jjb,Bjb,Tjb,jkb,Bkb,Tkb,jlb,Blb,Zlb,zrb,fx,Ul,wx,$l,Bx,gm,Ix,km,Mx,Gm,Vm,ey,hy,kn,qy,xn,zn,Hy,io,bz,zo,pz,Vo,Cz,Dp,Sz,Np,Xz,aA,qq,mA,uq,Dla,Cla,Fla,Ela,Ila,Hla,Kla,Lla,Gla,Jla,uEc,uEc,uEc,uEc,uEc,uEc,uEc,uEc,uEc,uEc,uEc,uEc,uEc,uEc,uEc,uEc,uEc,uEc,uEc,uEc,uEc,uEc,uEc];var Qh=[vEc,lx];var Rh=[wEc,ax,ul,zx,Ey,Wp,wC,wEc];var Sh=[xEc,OV,PV,QV,RV,SV,TV,UV,bW,cW,dW,eW,fW,gW,hW,tW,uW,vW,wW,xW,yW,zW,IW,JW,KW,LW,MW,NW,OW,XW,YW,ZW,_W,$W,aX,bX,kX,lX,mX,nX,oX,pX,qX,sX,tX,uX,vX,wX,xX,yX,AX,BX,CX,DX,EX,FX,GX,IX,JX,KX,LX,MX,NX,OX,QX,RX,SX,TX,UX,VX,WX,YX,ZX,_X,$X,aY,bY,cY,ica,jca,kca,lca,mca,Bba,Cba,Dba,Eba,Fba,Zaa,_aa,$aa,aba,bba,em,Gx,$x,hn,oy,gz,Az,BQ,yQ,zQ,AQ,CV,GV,JV,MV,xEc,xEc,xEc,xEc,xEc,xEc,xEc,xEc,xEc,xEc,xEc,xEc,xEc,xEc,xEc,xEc,xEc,xEc,xEc,xEc];var Th=[yEc,jE,kE,xG,yG,zG,AG,BG,IM,bS,ZR,gS,jS,nS,vS,HS,NS,TS,WS,JT,wU,VU,Rtc,l8,Kva,iya,aza,zza,eAa,oAa,kAa,eBa,kCa,vFa,wFa,AIa,vIa,rIa,nIa,jIa,eIa,$Ha,XHa,SHa,NHa,JHa,zHa,nHa,fJa,kJa,ajc,cjc,vKa,wKa,xKa,CKa,DKa,WKa,mLa,nLa,gLa,rMa,XNa,aOa,yKb,vQa,dQa,OPa,UPa,vPa,APa,tOa,vOa,XQa,aRa,ARa,FRa,JSa,OSa,YRa,_Ra,oSa,tSa,uTa,zTa,QTa,VTa,qUa,uUa,$Va,cWa,qWa,tWa,JWa,MWa,_Wa,bXa,qXa,tXa,IXa,LXa,_Xa,bYa,pYa,sYa,HYa,KYa,cZa,fZa,g_a,j_a,w_a,z_a,M_a,P_a,a$a,d$a,q$a,t$a,G$a,J$a,W$a,Z$a,k0a,n0a,A0a,D0a,R0a,U0a,f1a,i1a,v1a,y1a,R1a,U1a,g2a,j2a,w2a,z2a,M2a,P2a,a3a,d3a,q3a,t3a,G3a,J3a,X3a,_3a,l4a,o4a,B4a,E4a,R4a,U4a,f5a,i5a,w5a,z5a,M5a,P5a,a6a,d6a,q6a,t6a,G6a,J6a,Z6a,a7a,t7a,w7a,K7a,N7a,$7a,c8a,r8a,u8a,J8a,M8a,_8a,b9a,q9a,t9a,J9a,M9a,$9a,cab,qab,tab,Hab,Kab,Yab,$ab,obb,rbb,Fbb,Ibb,Ybb,$bb,ncb,qcb,Fcb,Icb,Xcb,_cb,mdb,pdb,Kdb,Ndb,_db,beb,oeb,reb,Eeb,Heb,Xeb,_eb,rfb,ufb,Ifb,Lfb,_fb,bgb,wgb,zgb,Wgb,Zgb,mhb,phb,bjb,fjb,Zib,tjb,xjb,pjb,Ljb,Pjb,Hjb,bkb,fkb,Zjb,tkb,xkb,pkb,Lkb,Pkb,Hkb,blb,flb,Zkb,tlb,xlb,plb,Llb,Rlb,Vlb,fmb,mmb,wmb,Bmb,Emb,Pmb,Ymb,anb,nnb,tnb,Dnb,znb,Knb,Vnb,Znb,gob,lob,oob,yob,Cob,Job,Xob,Tob,cpb,gpb,npb,tpb,Cpb,Ipb,Ppb,Tpb,gqb,sqb,Aqb,Gqb,Iqb,Oqb,Vqb,mrb,rrb,vrb,Erb,Jrb,Qrb,Vrb,osb,ysb,rtb,Ctb,Ltb,Stb,aub,gub,zub,Dub,Eub,rub,Zub,Tub,ovb,ivb,jvb,Ivb,Qvb,Xvb,dwb,iwb,Dwb,Iwb,Xwb,axb,cyb,hyb,rxb,txb,Jxb,Oxb,Oyb,Tyb,mzb,rzb,Hzb,Mzb,dAb,iAb,xAb,CAb,eBb,jBb,FBb,IBb,hCb,kCb,zCb,CCb,XCb,_Cb,lDb,oDb,BDb,EDb,TDb,WDb,jEb,mEb,HEb,KEb,ZEb,aFb,yFb,BFb,aGb,dGb,sGb,vGb,lIb,mIb,nIb,aKb,qKb,zQb,EQb,tRb,yRb,ORb,TRb,gSb,lSb,BSb,GSb,VSb,_Sb,pTb,uTb,LTb,QTb,gUb,lUb,zUb,EUb,SUb,XUb,kVb,pVb,DVb,IVb,XVb,aWb,pWb,uWb,LWb,QWb,fXb,kXb,CXb,HXb,XXb,aYb,tYb,yYb,NYb,SYb,gZb,lZb,CZb,HZb,VZb,_Zb,v_b,A_b,Q_b,V_b,m$b,r$b,k0b,Q0b,a6b,d1b,A1b,B1b,C1b,V2b,W2b,j6b,s4b,tKb,F4b,H4b,w6b,x6b,F6b,G6b,M6b,S6b,T6b,$6b,d7b,e7b,m7b,t7b,u7b,C7b,F7b,G7b,R7b,S7b,b8b,c8b,k8b,n8b,o8b,w8b,z8b,A8b,I8b,L8b,M8b,U8b,l9b,vbc,sjc,ujc,Nkc,Ukc,$kc,glc,wrc,yrc,Arc,$rc,bsc,dsc,Yt,Zt,gu,iu,ju,ku,vu,ak,xu,Bu,Fu,uk,xk,Ak,Dk,Gk,Jk,Nk,dv,hv,nv,vv,Dv,Lv,Nv,Rv,Sv,Tv,aw,ew,ow,qw,sw,tw,vw,xw,ms,Cs,Ss,gt,zt,Qt,ux,sm,cy,pn,Ny,lz,vz,zz,vA,xA,zA,Wq,KA,VA,XA,$A,bB,dB,uB,MB,aC,Cr,qC,yC,s0,r0,q0,p0,o0,z0,A0,B0,D0,C0,K0,N0,R0,U0,X0,_0,c1,Qfa,iva,LBa,TBa,Ssb,Ksb,btb,i1b,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc,yEc];var Uh=[zEc,Ew,bo,Iz];var Vh=[AEc,Py];var Wh=[BEc,fn];var Xh=[CEc,uC];var Yh=[DEc,wy];var Zh=[EEc,SN,TN,UN,VN,WN,XN,YN,ZN,_N,$N,RO,SO,TO,UO,VO,WO,XO,FR,GR,HR,IR,JR,KR,LR,UR,VR,YR,sS,BS,CS,QS,ET,OU,LU,zU,AU,BU,CU,DU,EU,QY,OY,LY,IY,FY,hY,iha,jya,Aya,bza,fBa,hBa,rKa,sKa,yKa,zKa,BKa,EKa,kLa,oLa,FOa,cjb,djb,ejb,gjb,ujb,vjb,wjb,yjb,Mjb,Njb,Ojb,Qjb,ckb,dkb,ekb,gkb,ukb,vkb,wkb,ykb,Mkb,Nkb,Okb,Qkb,clb,dlb,elb,glb,ulb,vlb,wlb,ylb,Slb,Tlb,Ulb,Wlb,kmb,nmb,Cmb,Dmb,bnb,cnb,rnb,unb,Cnb,Enb,Onb,_nb,$nb,mob,nob,Dob,Yob,hpb,rpb,upb,Jpb,Upb,Vpb,qqb,tqb,Eqb,Hqb,Tqb,Wqb,Xqb,$qb,arb,srb,trb,urb,wrb,Hrb,Krb,Trb,Wrb,Xrb,Yrb,Zrb,zsb,Atb,Dtb,Qtb,Ttb,eub,hub,xub,Aub,Bub,Nub,Xub,_ub,$ub,svb,Ovb,Rvb,F1b,H1b,J1b,L1b,O1b,R4b,B6b,K6b,N6b,X6b,a7b,i7b,n7b,y7b,K7b,W7b,g8b,s8b,E8b,Q8b,K9b,L9b,M9b,R9b,S9b,qac,wbc,Ej,_i,Yi,hu,Ti,Tj,Vj,Xj,tu,ej,$j,dk,cj,ek,fj,Du,ij,gk,ik,kk,mk,ok,qk,sk,ev,iv,ov,wv,Ev,Mv,Ov,bw,fw,pw,rw,nj,ks,as,cs,qs,ss,Gs,Is,et,Ws,Ys,xt,kt,mt,Ot,Et,Gt,nl,xl,Bl,Jl,Kl,qx,Nl,Pl,Sl,Cm,Em,Lm,Om,Qm,Tm,Zm,en,wn,Dn,Rn,Un,Xn,_n,lo,ez,po,to,Eo,Io,Jo,Mo,No,Po,Ro,So,$o,mp,wp,zp,Bp,Cp,Kp,Up,cA,hA,iq,lq,Gq,Iq,Lq,Nq,Pq,Rq,Tq,NA,WA,YA,aB,cB,eB,er,nB,lr,GB,rr,ur,_B,wr,yr,cC,Ar,Vr,pH,oH,rH,qH,n$,q$,z$,C$,M$,P$,f2,e2,Xga,Tga,Uga,Vga,Wga,bha,Zga,_ga,$ga,aha,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc,EEc];var _h=[FEc,GEc,$uc,lOa,mOa,nOa,oOa,QQa,SQa,jRa,kRa,lRa,ORa,PRa,SRa,TRa,URa,ITa,JTa,KTa,LTa,DUa,EUa,HUa,IUa,JUa,KUa,LUa,MUa,NUa,OUa,PUa,QUa,RUa,SUa,TUa,UUa,VUa,WUa,XUa,YUa,ZUa,_Ua,$Ua,aVa,bVa,cVa,dVa,eVa,fVa,gVa,hVa,iVa,jVa,kVa,lVa,mVa,nVa,oVa,pVa,qVa,rVa,sVa,tVa,uVa,vVa,wVa,xVa,yVa,zVa,AVa,BVa,CVa,DVa,EVa,FVa,GVa,HVa,IVa,JVa,KVa,LVa,MVa,NVa,OVa,PVa,QVa,RVa,SVa,TVa,UVa,VVa,WVa,XVa,rwb,swb,vwb,wwb,xwb,ywb,zwb,azb,bzb,ezb,fzb,gzb,hzb,izb,sBb,tBb,uBb,RBb,SBb,VBb,WBb,XBb,YBb,ZBb,_Bb,$Bb,aCb,bCb,cCb,dCb,IIb,JIb,VKb,_Kb,aLb,HPb,QNb,UNb,iOb,XOb,IPb,NQb,OQb,RQb,SQb,TQb,UQb,VQb,WQb,XQb,YQb,ZQb,_Qb,$Qb,aRb,bRb,cRb,dRb,eRb,fRb,gRb,hRb,iRb,jRb,kRb,lRb,mRb,nRb,oRb,pRb,X3b,k6b,l6b,m6b,n6b,o6b,p6b,q6b,r6b,s6b,t6b,Y8b,h9b,i9b,cbc,dbc,uvc,FEc,FEc,FEc,FEc,FEc,FEc,FEc,FEc,FEc,FEc,FEc,FEc,FEc,FEc,FEc,FEc,FEc,FEc,FEc,FEc,FEc,FEc,FEc,FEc,FEc,FEc,FEc,FEc,FEc,FEc,FEc,FEc,FEc,FEc,FEc,FEc,FEc,FEc,FEc,FEc,FEc,FEc,FEc,FEc,FEc,FEc,FEc,FEc,FEc,FEc,FEc,FEc,FEc,FEc,FEc,FEc,FEc,FEc,FEc,FEc,FEc,FEc,FEc,FEc,FEc,FEc,FEc,FEc,FEc,FEc,FEc,FEc,FEc,FEc,FEc];var $h=[HEc,kv,sv,Av,Iv,Qv,Xv,$v,hw,lw,As,Qs,zm,kp,Eq,_A,hr,LB,o$,A$,N$,HEc,HEc,HEc,HEc,HEc,HEc,HEc,HEc,HEc,HEc,HEc];var ai=[IEc,zq];var bi=[JEc,RD,SD,UD,VD,lE,mE,nE,oE,pE,qE,zjc,Ajc,Bjc,Cjc,eE,fE,Tjc,Ujc,Vjc,Wjc,Xjc,Yjc,IE,JE,VE,WE,DG,EG,FG,rZ,DH,BH,zH,KH,LH,Jjc,Kjc,Ljc,Mjc,nI,oI,pI,qI,AM,BM,EM,Qtc,GM,HM,JM,CR,aS,fS,iS,mS,uS,GS,MS,SS,VS,NT,OT,PT,DT,TT,sU,PU,MU,NU,uU,vU,xU,RU,cV,YU,ZU,TU,UU,WU,jZ,kZ,lZ,mZ,fZ,gZ,hZ,iZ,bZ,cZ,dZ,eZ,ZY,_Y,$Y,aZ,VY,WY,XY,YY,RY,SY,TY,UY,eY,PY,NY,KY,HY,EY,gY,AY,BY,CY,DY,xY,yY,zY,Z$,_$,$$,a0,m1,M1,N1,S1,T1,A2,B2,C2,D2,E2,F2,G2,H2,I2,J2,M4,N4,O4,P4,C4,D4,E4,F4,s4,t4,u4,v4,l4,m4,n4,o4,e4,f4,g4,h4,Z3,_3,$3,a4,S3,T3,U3,V3,L3,M3,N3,O3,E3,F3,G3,H3,x3,y3,z3,A3,q3,r3,s3,t3,j3,k3,l3,m3,g3,h3,n3,o3,u3,v3,B3,C3,I3,J3,P3,Q3,W3,X3,b4,c4,i4,j4,p4,q4,x4,A4,y4,H4,K4,I4,e8,f8,g8,h8,a8,b8,c8,d8,Y7,Z7,_7,$7,U7,V7,W7,X7,Q7,R7,S7,T7,M7,N7,O7,P7,I7,J7,K7,L7,E7,F7,G7,H7,A7,B7,C7,D7,w7,x7,y7,z7,q7,r7,s7,t7,d7,e7,f7,g7,S6,T6,U6,V6,J6,K6,L6,M6,A6,B6,C6,D6,r6,s6,t6,u6,i6,j6,k6,l6,$5,a6,b6,c6,R5,S5,T5,U5,I5,J5,K5,L5,z5,A5,B5,C5,q5,r5,s5,t5,l5,o5,m5,u5,x5,v5,D5,G5,E5,M5,P5,N5,W5,Z5,X5,d6,g6,e6,m6,p6,n6,v6,y6,w6,E6,H6,F6,N6,Q6,O6,X6,_6,Y6,b7,i7,l7,j7,o7,u7,j8,k8,m8,haa,iaa,jaa,kaa,aaa,baa,caa,daa,V9,W9,X9,Y9,O9,P9,Q9,R9,H9,I9,J9,K9,A9,B9,C9,D9,t9,u9,v9,w9,m9,n9,o9,p9,f9,g9,h9,i9,_8,$8,a9,b9,T8,U8,V8,W8,M8,N8,O8,P8,F8,G8,H8,I8,C8,D8,J8,K8,Q8,R8,X8,Y8,c9,d9,j9,k9,q9,r9,x9,y9,E9,F9,L9,M9,S9,T9,Z9,_9,eaa,faa,maa,naa,oaa,paa,Waa,Bda,dba,eba,iba,jba,nba,oba,sba,tba,xba,yba,Hba,Iba,Nba,Oba,Tba,Uba,Zba,_ba,dca,eca,oca,pca,uca,vca,Aca,Bca,Gca,Hca,Mca,Nca,Wca,Yca,_ca,ada,cda,jda,kda,mda,nda,pda,qda,tda,uda,xda,yda,Tda,eea,rea,Eea,Rea,Xea,Yea,zfa,Afa,tfa,gga,fga,mga,Dga,Ega,Bga,Gga,zga,Iga,Lga,Mga,wga,Oga,uga,Qga,Qha,Rha,Sha,Tha,gha,hha,nha,Mha,Nha,Oha,Pha,Jha,Kha,Fha,Gha,Hha,Iha,Cha,Dha,yha,zha,Aha,Bha,vha,wha,rha,sha,tha,uha,oha,pha,Xia,Yia,Zia,_ia,Tia,Uia,Via,Wia,Pia,Qia,Ria,Sia,Lia,Mia,Nia,Oia,Hia,Iia,Jia,Kia,Dia,Eia,Fia,Gia,zia,Aia,Bia,Cia,via,wia,xia,yia,ria,sia,tia,uia,nia,oia,pia,qia,lia,jia,hia,fia,dia,bia,$ha,Zha,Xha,Vha,Oka,Pka,Qka,Rka,Kka,Lka,Nka,xka,yka,zka,Aka,tka,uka,wka,pka,qka,rka,ska,lka,mka,oka,hka,ika,jka,kka,dka,eka,gka,$ja,aka,bka,cka,Xja,Yja,_ja,Tja,Uja,Vja,Wja,Pja,Qja,Sja,Lja,Mja,Nja,Oja,Hja,Ija,Kja,Dja,Eja,Fja,Gja,zja,Aja,Cja,vja,wja,xja,yja,rja,sja,uja,nja,oja,pja,qja,jja,kja,mja,fja,gja,hja,ija,bja,cja,eja,Gka,Hka,Ika,Jka,Bka,Cka,Eka,ula,vla,wla,xla,qla,rla,sla,tla,mla,nla,ola,pla,ila,jla,kla,lla,ela,fla,gla,hla,cla,ala,_ka,Yka,Wka,Ula,$la,Zla,tna,rna,Ana,yna,wna,Sna,Ona,Zna,Xna,Vna,ooa,loa,ioa,soa,woa,Eoa,Coa,Aoa,Loa,Joa,Hoa,Ooa,Roa,Uoa,Xoa,Bqa,Cqa,Dqa,Eqa,xqa,yqa,zqa,Aqa,tqa,uqa,vqa,wqa,pqa,qqa,rqa,sqa,lqa,mqa,nqa,oqa,hqa,iqa,jqa,kqa,dqa,eqa,fqa,gqa,$pa,aqa,bqa,cqa,Xpa,Ypa,Zpa,_pa,Tpa,Upa,Vpa,Wpa,Rpa,Ppa,Npa,Lpa,Jpa,Hpa,Fpa,Dpa,Bpa,zpa,Ira,Jra,Kra,Lra,Era,Fra,Gra,Hra,Ara,Bra,Cra,Dra,wra,xra,yra,zra,sra,tra,ura,vra,ora,pra,qra,rra,kra,lra,mra,nra,gra,hra,ira,jra,cra,dra,era,fra,_qa,$qa,ara,bra,Yqa,Wqa,Uqa,Sqa,Qqa,Oqa,Mqa,Kqa,Iqa,Gqa,hta,ita,jta,kta,ata,bta,cta,dta,Vsa,Wsa,Xsa,Ysa,Osa,Psa,Qsa,Rsa,Hsa,Isa,Jsa,Ksa,Asa,Bsa,Csa,Dsa,tsa,usa,vsa,wsa,msa,nsa,osa,psa,fsa,gsa,hsa,isa,_ra,$ra,asa,bsa,Xra,Yra,csa,dsa,jsa,ksa,qsa,rsa,xsa,ysa,Esa,Fsa,Lsa,Msa,Ssa,Tsa,Zsa,_sa,eta,fta,Cta,zta,xta,Mta,Jta,Gta,gua,dua,Xta,Uta,zua,wua,rua,oua,Bva,xva,vva,rva,Iva,Jva,Lva,Qva,Ova,Zva,Wva,Uva,hwa,ewa,bwa,Bwa,Awa,zwa,ywa,xwa,wwa,vwa,uwa,Kwa,Jwa,Iwa,Hwa,Nwa,kxa,jxa,ixa,hxa,gxa,fxa,exa,dxa,cxa,bxa,axa,$wa,Hxa,Fxa,Cxa,Axa,Txa,Rxa,Oxa,Lxa,_xa,$xa,gya,kya,pya,qya,rya,sya,tya,uya,Bya,Iya,Jya,Kya,Lya,Sya,Tya,Uya,Vya,Oya,Pya,Qya,Rya,Wya,Xya,cza,pza,qza,rza,sza,lza,mza,nza,oza,hza,iza,jza,kza,vza,wza,Pza,Qza,cAa,dAa,fAa,mAa,nAa,pAa,iAa,jAa,lAa,NAa,OAa,PAa,QAa,XAa,YAa,bBa,cBa,sBa,tBa,BBa,CBa,iCa,jCa,lCa,cCa,bCa,fCa,qCa,rCa,ZCa,bDa,cDa,dDa,eDa,fDa,vDa,wDa,xDa,yDa,jDa,VDa,WDa,XDa,YDa,BDa,DDa,QKb,DEa,EEa,xFa,yFa,zFa,AFa,nFa,pFa,yIa,zIa,BIa,tIa,uIa,wIa,pIa,qIa,sIa,lIa,mIa,oIa,hIa,iIa,kIa,cIa,dIa,fIa,ZHa,_Ha,aIa,VHa,WHa,YHa,QHa,RHa,THa,LHa,MHa,OHa,HHa,IHa,KHa,xHa,yHa,AHa,lHa,mHa,oHa,dJa,eJa,gJa,iJa,jJa,lJa,sJa,tJa,uJa,vJa,HJa,JJa,KJa,mKa,nKa,pKa,qKa,FKa,UKa,VKa,XKa,iLa,jLa,eLa,fLa,hLa,pMa,qMa,sMa,uMa,vMa,wMa,xMa,UNa,VNa,_Na,f6b,gPa,tQa,yQa,KPa,sQa,RPa,sPa,tPa,yPa,rOa,sOa,BOa,COa,LPa,iQa,eQa,fQa,UQa,VQa,_Qa,xRa,yRa,DRa,GSa,HSa,MSa,WRa,XRa,bSa,cSa,kSa,lSa,qSa,FSa,DSa,ESa,ZSa,rTa,sTa,xTa,NTa,OTa,TTa,nUa,oUa,sUa,YVa,ZVa,aWa,nWa,oWa,rWa,GWa,HWa,KWa,XWa,YWa,$Wa,nXa,oXa,rXa,FXa,GXa,JXa,XXa,YXa,$Xa,mYa,nYa,qYa,EYa,FYa,IYa,$Ya,aZa,dZa,d_a,e_a,h_a,t_a,u_a,x_a,J_a,K_a,N_a,Z_a,__a,b$a,n$a,o$a,r$a,D$a,E$a,H$a,T$a,U$a,X$a,h0a,i0a,l0a,x0a,y0a,B0a,O0a,P0a,S0a,c1a,d1a,g1a,s1a,t1a,w1a,O1a,P1a,S1a,d2a,e2a,h2a,t2a,u2a,x2a,J2a,K2a,N2a,Z2a,_2a,b3a,n3a,o3a,r3a,D3a,E3a,H3a,U3a,V3a,Y3a,i4a,j4a,m4a,y4a,z4a,C4a,O4a,P4a,S4a,c5a,d5a,g5a,t5a,u5a,x5a,J5a,K5a,N5a,Z5a,_5a,b6a,n6a,o6a,r6a,D6a,E6a,H6a,W6a,X6a,_6a,q7a,r7a,u7a,H7a,I7a,L7a,Y7a,Z7a,a8a,o8a,p8a,s8a,G8a,H8a,K8a,X8a,Y8a,$8a,n9a,o9a,r9a,G9a,H9a,K9a,Y9a,Z9a,aab,nab,oab,rab,Eab,Fab,Iab,Vab,Wab,Zab,lbb,mbb,pbb,Cbb,Dbb,Gbb,Vbb,Wbb,Zbb,kcb,lcb,ocb,Ccb,Dcb,Gcb,Ucb,Vcb,Ycb,jdb,kdb,ndb,Hdb,Idb,Ldb,Xdb,Ydb,$db,leb,meb,peb,Beb,Ceb,Feb,Ueb,Veb,Yeb,ofb,pfb,sfb,Ffb,Gfb,Jfb,Xfb,Yfb,$fb,tgb,ugb,xgb,Tgb,Ugb,Xgb,jhb,khb,nhb,$ib,Xib,Yib,_ib,kjb,rjb,njb,ojb,qjb,Cjb,Jjb,Fjb,Gjb,Ijb,Ujb,$jb,Xjb,Yjb,_jb,kkb,rkb,nkb,okb,qkb,Ckb,Jkb,Fkb,Gkb,Ikb,Ukb,$kb,Xkb,Ykb,_kb,klb,rlb,nlb,olb,qlb,Elb,Jlb,Klb,Mlb,Olb,Plb,$lb,dmb,emb,gmb,imb,jmb,umb,vmb,xmb,ymb,zmb,Jmb,Nmb,Omb,Qmb,Rmb,Wmb,Xmb,Zmb,_mb,gnb,hnb,lnb,mnb,onb,pnb,qnb,Bnb,xnb,ynb,Anb,Inb,Jnb,Lnb,Mnb,Nnb,Tnb,Unb,Wnb,Xnb,eob,fob,hob,iob,job,sob,wob,xob,zob,Aob,Hob,Iob,Kob,Lob,Vob,Rob,Sob,Uob,apb,bpb,dpb,epb,lpb,mpb,opb,ppb,qpb,Apb,Bpb,Dpb,Epb,Gpb,Fpb,Npb,Opb,Qpb,Rpb,$pb,eqb,fqb,hqb,oqb,pqb,yqb,zqb,Bqb,Cqb,Dqb,Mqb,Nqb,Pqb,Qqb,Sqb,Rqb,frb,grb,krb,lrb,nrb,orb,prb,Crb,Drb,Frb,Grb,Orb,Prb,Rrb,Srb,msb,nsb,psb,vsb,wsb,ptb,qtb,stb,wtb,ztb,xtb,Jtb,Ktb,Mtb,Otb,Ptb,_tb,$tb,bub,cub,dub,kub,vub,wub,tub,uub,pub,qub,sub,Kub,Lub,Pub,Vub,Wub,Rub,Sub,Uub,gvb,evb,mvb,nvb,pvb,qvb,rvb,Gvb,Hvb,Jvb,Mvb,Nvb,Kvb,Lvb,Vvb,Wvb,Yvb,Zvb,awb,bwb,gwb,Awb,Bwb,Gwb,Uwb,Vwb,_wb,$xb,ayb,fyb,pxb,qxb,wxb,xxb,Fxb,Gxb,Lxb,_xb,Yxb,Zxb,syb,Lyb,Myb,Ryb,jzb,kzb,pzb,Ezb,Fzb,Kzb,aAb,bAb,gAb,uAb,vAb,AAb,bBb,cBb,hBb,CBb,DBb,GBb,eCb,fCb,iCb,wCb,xCb,ACb,UCb,VCb,YCb,iDb,jDb,mDb,yDb,zDb,CDb,QDb,RDb,UDb,gEb,hEb,kEb,EEb,FEb,IEb,WEb,XEb,_Eb,vFb,wFb,zFb,ZFb,_Fb,bGb,pGb,qGb,tGb,YJb,ZJb,cKb,dKb,iKb,mKb,nKb,NKb,OKb,RKb,SKb,FPb,GPb,nOb,oOb,W9b,lOb,NOb,OOb,XPb,YPb,iQb,jQb,wQb,xQb,CQb,qRb,rRb,wRb,LRb,MRb,RRb,dSb,eSb,jSb,ySb,zSb,ESb,SSb,TSb,YSb,mTb,nTb,sTb,ITb,JTb,OTb,dUb,eUb,jUb,wUb,xUb,CUb,PUb,QUb,VUb,hVb,iVb,nVb,AVb,BVb,GVb,UVb,VVb,_Vb,mWb,nWb,sWb,IWb,JWb,OWb,cXb,dXb,iXb,zXb,AXb,FXb,UXb,VXb,_Xb,qYb,rYb,wYb,KYb,LYb,QYb,dZb,eZb,jZb,zZb,AZb,FZb,SZb,TZb,YZb,s_b,t_b,y_b,N_b,O_b,T_b,j$b,k$b,p$b,l0b,m0b,N0b,O0b,Y5b,b1b,c1b,_bc,g1b,y1b,z1b,o4b,p4b,u4b,v4b,y4b,z4b,B4b,C4b,D4b,E4b,N4b,O4b,u6b,v6b,R6b,c7b,s7b,E7b,Q7b,a8b,m8b,y8b,K8b,j9b,k9b,I9b,J9b,oac,pac,a4b,Uac,BLb,tbc,$bc,Nic,Pic,Ric,Sic,hjc,ijc,Ejc,Fjc,Gjc,Hjc,Ojc,Pjc,Qjc,Rjc,Ikc,Jkc,Pkc,Qkc,Wkc,Xkc,blc,clc,ilc,jlc,klc,plc,qlc,vlc,wlc,pmc,qmc,Qmc,Rmc,fnc,gnc,tnc,unc,eoc,foc,Soc,Toc,Yoc,Zoc,cpc,dpc,opc,ppc,zpc,Apc,Kpc,Lpc,Vpc,Wpc,cqc,dqc,lqc,mqc,rqc,sqc,xqc,yqc,Cqc,Dqc,olc,Sqc,Hqc,frc,grc,rrc,src,urc,vrc,Hrc,Irc,Orc,Prc,Vrc,Wrc,hsc,isc,jsc,cvc,dvc,evc,fvc,pvc,Avc,Bvc,Gvc,Hvc,Ivc,Jvc,Lvc,Nvc,Qvc,Svc,Ut,cv,gv,mv,qv,uv,yv,Cv,Gv,Kv,Vv,Zv,dw,jw,nw,Pk,wj,hs,xs,Ns,bt,tt,Lt,_p,$p,CA,OBa,PBa,iB,pB,jr,BB,DB,pr,SB,UB,WB,fC,quc,GH,uY,tY,sY,rY,qY,pY,oY,vY,k$,l$,x$,y$,K$,L$,I0,M0,P0,LZ,YZ,AZ,b1,Pfa,KBa,SBa,RNb,YEa,OEa,XEa,dFa,kFa,jFa,KGa,SGa,UJa,FLa,eNa,pOa,iPa,fPa,XOa,pPa,RQa,mRa,RRa,MTa,GUa,N1a,L1a,Ngb,Lgb,uwb,dzb,vBb,YFb,UBb,SCb,KGb,IGb,PFb,MFb,tFb,UFb,zLb,oNb,KOb,TPb,$Pb,QQb,p1b,n5b,m5b,W5b,ecc,tcc,zcc,Fcc,Lcc,Rcc,Xcc,bdc,ddc,Dkc,Plc,Rlc,Knc,Mnc,Onc,Ruc,woc,yoc,Aoc,Zpc,qec,vvc,JEc,JEc,JEc,JEc,JEc,JEc,JEc,JEc,JEc,JEc,JEc,JEc,JEc,JEc,JEc,JEc];var ci=[KEc,Cx];var di=[LEc,TD,Xic,Yic,iE,$ic,KE,XE,IG,MH,DM,KT,LT,wY,cya,xya,_ya,yza,Dza,Fza,Gza,wCa,yCa,OCa,QCa,nDa,rDa,EDa,IDa,KDa,MDa,ODa,SDa,oFa,uFa,xJa,IJa,_ic,WNa,YNa,ZNa,$Na,bOa,dOa,fOa,g6b,jOa,uQa,wQa,xQa,zQa,cQa,BQa,NPa,PPa,QPa,SPa,VPa,XPa,_Pa,gQa,hQa,uPa,wPa,xPa,zPa,BPa,DPa,zOa,AOa,HOa,IOa,aQa,bQa,WQa,YQa,ZQa,$Qa,bRa,dRa,zRa,BRa,CRa,ERa,GRa,IRa,ISa,KSa,LSa,NSa,PSa,RSa,$Ra,aSa,dSa,eSa,nSa,pSa,rSa,uSa,wSa,zSa,BSa,CSa,_Sa,$Sa,tTa,vTa,wTa,yTa,ATa,CTa,PTa,RTa,STa,UTa,WTa,YTa,pUa,rUa,tUa,vUa,xUa,_Va,bWa,dWa,fWa,pWa,sWa,uWa,wWa,IWa,LWa,NWa,PWa,ZWa,aXa,cXa,eXa,pXa,sXa,uXa,wXa,HXa,KXa,MXa,OXa,ZXa,aYa,cYa,eYa,oYa,rYa,tYa,vYa,GYa,JYa,LYa,NYa,bZa,eZa,gZa,iZa,f_a,i_a,k_a,m_a,v_a,y_a,A_a,C_a,L_a,O_a,Q_a,S_a,$_a,c$a,e$a,g$a,p$a,s$a,u$a,w$a,F$a,I$a,K$a,M$a,V$a,Y$a,_$a,a0a,j0a,m0a,o0a,q0a,z0a,C0a,E0a,G0a,Q0a,T0a,V0a,X0a,e1a,h1a,j1a,l1a,u1a,x1a,z1a,B1a,Q1a,T1a,V1a,X1a,f2a,i2a,k2a,m2a,v2a,y2a,A2a,C2a,L2a,O2a,Q2a,S2a,$2a,c3a,e3a,g3a,p3a,s3a,u3a,w3a,F3a,I3a,K3a,M3a,W3a,Z3a,$3a,b4a,k4a,n4a,p4a,r4a,A4a,D4a,F4a,H4a,Q4a,T4a,V4a,X4a,e5a,h5a,j5a,l5a,v5a,y5a,A5a,C5a,L5a,O5a,Q5a,S5a,$5a,c6a,e6a,g6a,p6a,s6a,u6a,w6a,F6a,I6a,K6a,M6a,Y6a,$6a,b7a,d7a,s7a,v7a,x7a,z7a,J7a,M7a,O7a,Q7a,_7a,b8a,d8a,f8a,q8a,t8a,v8a,x8a,I8a,L8a,N8a,P8a,Z8a,a9a,c9a,e9a,p9a,s9a,u9a,w9a,I9a,L9a,N9a,P9a,_9a,bab,dab,fab,pab,sab,uab,wab,Gab,Jab,Lab,Nab,Xab,_ab,abb,cbb,nbb,qbb,sbb,ubb,Ebb,Hbb,Jbb,Lbb,Xbb,_bb,acb,ccb,mcb,pcb,rcb,tcb,Ecb,Hcb,Jcb,Lcb,Wcb,Zcb,$cb,bdb,ldb,odb,qdb,sdb,Jdb,Mdb,Odb,Qdb,Zdb,aeb,ceb,eeb,neb,qeb,seb,ueb,Deb,Geb,Ieb,Keb,Web,Zeb,$eb,bfb,qfb,tfb,vfb,xfb,Hfb,Kfb,Mfb,Ofb,Zfb,agb,cgb,egb,vgb,ygb,Agb,Cgb,Vgb,Ygb,_gb,ahb,lhb,ohb,qhb,shb,cwb,ewb,fwb,hwb,jwb,lwb,Cwb,Ewb,Fwb,Hwb,Jwb,Lwb,Wwb,Ywb,Zwb,$wb,bxb,dxb,byb,dyb,eyb,gyb,iyb,kyb,uxb,vxb,yxb,zxb,Ixb,Kxb,Mxb,Pxb,Rxb,Uxb,Wxb,Xxb,tyb,uyb,Nyb,Pyb,Qyb,Syb,Uyb,Wyb,lzb,nzb,ozb,qzb,szb,uzb,Gzb,Izb,Jzb,Lzb,Nzb,Pzb,cAb,eAb,fAb,hAb,jAb,lAb,wAb,yAb,zAb,BAb,DAb,FAb,dBb,fBb,gBb,iBb,kBb,mBb,EBb,HBb,JBb,LBb,gCb,jCb,lCb,nCb,yCb,BCb,DCb,FCb,WCb,ZCb,$Cb,bDb,kDb,nDb,pDb,rDb,ADb,DDb,FDb,HDb,SDb,VDb,XDb,ZDb,iEb,lEb,nEb,pEb,GEb,JEb,LEb,NEb,YEb,$Eb,bFb,dFb,xFb,AFb,CFb,EFb,$Fb,cGb,eGb,gGb,rGb,uGb,wGb,yGb,bKb,gKb,hKb,lKb,rKb,PKb,yQb,AQb,BQb,DQb,FQb,HQb,sRb,uRb,vRb,xRb,zRb,BRb,NRb,PRb,QRb,SRb,URb,WRb,fSb,hSb,iSb,kSb,mSb,oSb,ASb,CSb,DSb,FSb,HSb,JSb,USb,WSb,XSb,ZSb,$Sb,bTb,oTb,qTb,rTb,tTb,vTb,xTb,KTb,MTb,NTb,PTb,RTb,TTb,fUb,hUb,iUb,kUb,mUb,oUb,yUb,AUb,BUb,DUb,FUb,HUb,RUb,TUb,UUb,WUb,YUb,_Ub,jVb,lVb,mVb,oVb,qVb,sVb,CVb,EVb,FVb,HVb,JVb,LVb,WVb,YVb,ZVb,$Vb,bWb,dWb,oWb,qWb,rWb,tWb,vWb,xWb,KWb,MWb,NWb,PWb,RWb,TWb,eXb,gXb,hXb,jXb,lXb,nXb,BXb,DXb,EXb,GXb,IXb,KXb,WXb,YXb,ZXb,$Xb,bYb,dYb,sYb,uYb,vYb,xYb,zYb,BYb,MYb,OYb,PYb,RYb,TYb,VYb,fZb,hZb,iZb,kZb,mZb,oZb,BZb,DZb,EZb,GZb,IZb,KZb,UZb,WZb,XZb,ZZb,$Zb,b_b,u_b,w_b,x_b,z_b,B_b,D_b,P_b,R_b,S_b,U_b,W_b,Y_b,l$b,n$b,o$b,q$b,s$b,u$b,P0b,R0b,Z5b,b6b,S0b,X2b,Y2b,t4b,A4b,L4b,M4b,T4b,U4b,xec,njc,ojc,qjc,rjc,Lkc,Skc,Zkc,_kc,elc,flc,vnc,Cnc,Dnc,Enc,Fnc,Gnc,Hnc,Inc,goc,noc,ooc,poc,qoc,roc,soc,toc,epc,fpc,kpc,qpc,rpc,wpc,Bpc,Cpc,Hpc,Mpc,Npc,Spc,Lqc,Mqc,Oqc,brc,crc,erc,Jrc,Krc,Qrc,Rrc,Wqc,Xqc,Zqc,krc,lrc,nrc,Cvc,Kvc,Tt,Wt,Xt,Pj,Qj,Rj,Sj,Yj,Zj,ck,fk,ww,mj,zw,gs,js,bs,ws,zs,rs,Ms,Ps,Hs,at,dt,Xs,st,wt,lt,Kt,Nt,Ft,Mm,Vn,wo,BA,GA,JA,MA,hB,jB,kB,oB,qB,rB,vB,yB,AB,CB,EB,FB,JB,PB,RB,TB,VB,eC,oC,pC,SAa,H0,J0,O0,Q0,T0,MZ,W0,a_,Z0,BZ,a1,FZ,Ofa,Sfa,JBa,NBa,RBa,VBa,k7a,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc,LEc];var ei=[MEc,cx,FQ,CQ,DQ,EQ,MEc,MEc];var fi=[NEc,Dl];var gi=[OEc,$w,tl,OEc];var hi=[PEc,TR,AS,KS,my,PEc,PEc,PEc];var ii=[QEc,qBa,Hm,jy,up,ar,XB,Gr,CC,QEc,QEc,QEc,QEc,QEc,QEc,QEc];var ji=[REc,ao,ho,Hz];var ki=[SEc,rC];var li=[TEc,Uic,Zic,bjc,aya,dya,eya,vya,yya,Yya,$ya,gBa,rFa,yJa,zJa,AJa,BJa,CJa,DJa,EJa,FJa,HKa,eOa,CQa,YPa,EPa,uOa,wOa,eRa,JRa,SSa,ZRa,xSa,DTa,ZTa,yUa,gWa,xWa,QWa,fXa,xXa,PXa,fYa,wYa,OYa,jZa,n_a,D_a,T_a,h$a,x$a,N$a,b0a,r0a,H0a,Y0a,m1a,C1a,Y1a,n2a,D2a,T2a,h3a,x3a,N3a,c4a,s4a,I4a,Y4a,m5a,D5a,T5a,h6a,x6a,N6a,e7a,A7a,R7a,g8a,y8a,Q8a,f9a,x9a,Q9a,gab,xab,Oab,dbb,vbb,Mbb,dcb,ucb,Mcb,cdb,tdb,Rdb,feb,veb,Leb,cfb,yfb,Pfb,fgb,Dgb,bhb,thb,ijb,Ajb,Sjb,ikb,Akb,Skb,ilb,Alb,Ylb,Gmb,bob,qob,Oob,wpb,Xpb,vqb,Jqb,_qb,yrb,$rb,Gub,bvb,mwb,Mwb,exb,lyb,sxb,Sxb,Xyb,vzb,Qzb,mAb,GAb,nBb,MBb,oCb,GCb,cDb,sDb,IDb,_Db,qEb,OEb,eFb,FFb,hGb,zGb,_Jb,eKb,Jdc,jKb,oKb,mOb,IQb,CRb,XRb,pSb,KSb,cTb,yTb,UTb,pUb,IUb,$Ub,tVb,MVb,eWb,yWb,UWb,oXb,LXb,eYb,CYb,WYb,pZb,LZb,c_b,E_b,Z_b,v$b,n0b,o0b,q0b,zKb,h1b,D1b,E1b,G1b,I1b,K1b,P1b,Q1b,R1b,S1b,V1b,X1b,Y1b,f3b,g3b,q4b,w4b,G4b,I4b,H6b,I6b,O6b,b7b,o7b,D7b,P7b,$7b,l8b,x8b,J8b,V8b,ubc,acc,yec,zec,Gec,Eec,Rfc,kjc,pjc,tjc,Mkc,Tkc,nlc,tlc,zqc,Eqc,xrc,zrc,Crc,Xrc,asc,csc,fsc,gvc,Mvc,Ovc,Rvc,_t,$t,eu,ou,su,wu,Au,Cu,Gu,Iu,vk,Lu,yk,Ou,Bk,Ru,Ek,Uu,Hk,Kk,Ok,uw,ns,ds,Ds,ts,Ts,Js,ht,Zs,At,nt,Rt,Ht,rm,Tx,on,uy,Qy,Uy,uz,yz,bq,wA,yA,AA,Vq,EA,$B,gC,e1,cIb,Cgc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc,TEc];var mi=[UEc,Sn];var ni=[VEc,Xy];var oi=[WEc,uA,tB,WEc];var pi=[XEc,Dda,Eda,Fda,Gda,Hda,XEc,XEc];var qi=[YEc,tp,$q,Fr,BC,YEc,YEc,YEc];var ri=[ZEc,Zu,_u,Mn,Ly,Fz,ZEc,ZEc];var si=[_Ec,sz];var ti=[$Ec,HA];var ui=[aFc];var vi=[bFc,_w,sl,bFc];var wi=[cFc,rA];var xi=[dFc,Vt,bv,fv,lv,pv,tv,xv,Bv,Fv,Jv,Uv,Yv,cw,iw,mw,is,ys,Os,ct,vt,Mt,FA,zB,QB,nC,dFc,dFc,dFc,dFc,dFc,dFc];var yi=[eFc,sA];var zi=[fFc,Ln,Ky,yo];var Ai=[gFc,pA];var Bi=[hFc,Cl];var Ci=[iFc,Mz,iC,Lr];var Di=[jFc,Tn];var Ei=[kFc,UT,Bnc,moc,Iqc,Jqc,_qc,$qc,Tqc,Uqc,hrc,irc,kFc,kFc,kFc,kFc];var Fi=[lFc,kx];var Gi=[mFc,QA];var Hi=[nFc,lu,Iw,Kw,Qw,kl,nFc,nFc];var Ii=[oFc,ly];return{dynCall_vididdi:TBc,dynCall_iiidii:kCc,dynCall_viiiidiidd:mAc,dynCall_viiiddiiid:lAc,dynCall_viiiiidi:Vzc,dynCall_viiidiiiidi:XAc,_bitshift64Lshr:pzc,__GLOBAL__sub_I_opencv_caffe_pb_cc:Bhb,dynCall_viiiiidd:bAc,dynCall_viiididi:HBc,__GLOBAL__sub_I_versions_pb_cc:yBb,dynCall_viiidddii:rBc,dynCall_viiiiiiiiiid:Ozc,dynCall_diii:SAc,dynCall_viiiiiiiiiii:Nzc,_bitshift64Ashr:ozc,dynCall_viiiiidiiddi:wBc,_sbrk:tzc,__GLOBAL__sub_I_imgwarp_cpp:j1,_memcpy:szc,dynCall_viiiiddii:$Bc,dynCall_vi:PBc,dynCall_iiid:aCc,__GLOBAL__sub_I_bind_cpp:mec,dynCall_viiiiddiiid:Zzc,dynCall_viiidiiii:IAc,dynCall_viiiiiidd:UBc,dynCall_viiiiddiiii:Xzc,dynCall_vidiii:uCc,dynCall_viiidiiid:DAc,dynCall_iiii:ZBc,dynCall_iiidd:jBc,__GLOBAL__I_000101:zkc,dynCall_viidiiid:xAc,_emscripten_get_global_libc:wec,dynCall_viiiiiiddi:hCc,dynCall_iiidiiiii:mCc,dynCall_iiiiiiii:tAc,dynCall_viidiiii:zAc,dynCall_viiddidd:Rzc,stackSave:Ki,dynCall_viiiii:fBc,___cxa_can_catch:dzc,_free:qec,runPostSets:fzc,dynCall_viiiiii:HAc,dynCall_viiiid:lBc,dynCall_viiiiid:FAc,dynCall_diiiddi:AAc,dynCall_iiidiiii:OAc,dynCall_iiiiii:_Ac,dynCall_viiiiiiidi:_zc,dynCall_viiiiddd:Dzc,dynCall_diiiiiiii:CAc,dynCall_viiiidiiddi:eAc,dynCall_viiiiddi:Kzc,__GLOBAL__sub_I_persistence_types_cpp:G0,__GLOBAL__sub_I_system_cpp:rE,dynCall_viiidddd:Pzc,dynCall_viiiddddi:Lzc,dynCall_viiidddi:qAc,dynCall_vidii:VBc,dynCall_viiiddiii:XBc,setThrew:Ni,dynCall_viiiiiiiddi:SBc,dynCall_viiiiiddi:Fzc,dynCall_viid:NBc,dynCall_viiiiidiiiii:pAc,dynCall_viiiddiiiid:YAc,dynCall_viiddi:$zc,dynCall_iiiii:oAc,dynCall_viiiddidddd:UAc,___cxa_is_pointer_type:ezc,_llvm_ctlz_i64:xzc,dynCall_iiiid:sAc,dynCall_viididdi:CBc,dynCall_viiiiidiid:sCc,__GLOBAL__sub_I_status_cc:yLb,dynCall_iiidiii:iCc,dynCall_viiiiidiidd:rAc,dynCall_viiiiddddii:GAc,dynCall_viiiiiiidd:Yzc,dynCall_viiiddd:TAc,stackAlloc:Ji,dynCall_viiiddi:ZAc,dynCall_viiiiidiii:oCc,__GLOBAL__sub_I_color_lab_cpp:vta,___divdi3:zzc,getTempRet0:Pi,dynCall_viiiidddd:aBc,dynCall_viiiidddi:dBc,dynCall_viididii:_Bc,dynCall_diiii:vBc,dynCall_viiiidi:WBc,dynCall_viiid:$Ac,dynCall_viiiiddddi:mBc,dynCall_vdii:hAc,__GLOBAL__sub_I_dnn_cpp:MKa,dynCall_viiii:eBc,_llvm_bswap_i32:wzc,dynCall_iid:zBc,__GLOBAL__sub_I_message_cc:X8b,dynCall_diiiiiii:iAc,dynCall_vididdii:nCc,establishStackSpace:Mi,dynCall_viiiidddiii:KBc,dynCall_viiidddiiii:tBc,dynCall_viiiidii:cCc,__GLOBAL__sub_I_haar_cpp:QBa,__GLOBAL__sub_I_kmeans_cpp:xH,___getTypeName:oec,dynCall_viiiiiiiiidd:bCc,dynCall_diiiid:eCc,__GLOBAL__sub_I_umatrix_cpp:FH,dynCall_viiidiiddi:pBc,dynCall_viiiiiidiiiii:YBc,dynCall_viiiiiiiiii:QAc,dynCall_iiiiiii:Izc,__GLOBAL__sub_I_graph_pb_cc:nTa,dynCall_diiiiii:lCc,dynCall_vdiii:IBc,dynCall_iiiiiid:Czc,dynCall_viiididii:BAc,dynCall_viiddii:Tzc,dynCall_diiiii:dCc,dynCall_iiiiiiiii:qCc,dynCall_viiiiiiiiiiid:VAc,dynCall_iii:FBc,dynCall_viiiidddii:LAc,dynCall_viiddid:Uzc,_memset:kzc,dynCall_diiddi:RAc,dynCall_viididi:pCc,__GLOBAL__sub_I_darknet_io_cpp:tib,dynCall_viiidi:NAc,__GLOBAL__sub_I_prior_box_layer_cpp:bqb,dynCall_viiidd:MAc,dynCall_viiiiiii:BBc,_i64Subtract:gzc,dynCall_viiiiddiii:gAc,__GLOBAL__sub_I_init_cpp:bNa,setTempRet0:Oi,dynCall_viiiddiddd:yBc,dynCall_i:jCc,dynCall_viiiiiid:DBc,__GLOBAL__sub_I_op_def_pb_cc:_Ab,dynCall_iiiiiiiiiiiiiii:gCc,___remdi3:nzc,__GLOBAL__sub_I_iostream_cpp:Akc,dynCall_viiiddddii:EAc,dynCall_viiidddiii:wAc,_pthread_cond_broadcast:rzc,__GLOBAL__sub_I_descriptor_pb_cc:Q$b,dynCall_viiiiiidiii:KAc,__GLOBAL__sub_I_tensor_shape_pb_cc:jUa,dynCall_iiidi:iBc,dynCall_viiiiiidiiii:dAc,__GLOBAL__sub_I_hog_cpp:IBa,dynCall_viiiiiidi:JAc,dynCall_vidi:Szc,dynCall_iidi:Qzc,_malloc:pec,__GLOBAL__sub_I_histogram_cpp:Nfa,dynCall_viiddiii:uAc,_emscripten_replace_memory:Pf,dynCall_viidiii:Mzc,dynCall_dii:jAc,dynCall_v:MBc,__GLOBAL__sub_I_attr_value_pb_cc:KQa,dynCall_viidii:bBc,dynCall_viiiiidiiii:yAc,dynCall_iiiiiiiididiii:vAc,dynCall_viidi:oBc,___udivdi3:qzc,dynCall_vid:hBc,dynCall_di:cAc,dynCall_diiid:qBc,__GLOBAL__sub_I_tensor_pb_cc:uRa,__GLOBAL__sub_I_opencv_onnx_pb_cc:UGb,dynCall_viidiiiii:OBc,_bitshift64Shl:yzc,dynCall_viiiiiiiiiiddi:nAc,_fflush:vgc,dynCall_viiiiiiid:uBc,__GLOBAL__sub_I_types_pb_cc:PQa,_pthread_mutex_lock:jzc,___cxa_demangle:_vc,__GLOBAL__sub_I_detection_output_layer_cpp:jsb,___muldi3:Bzc,dynCall_viiiidd:tCc,dynCall_vii:kBc,___uremdi3:vzc,dynCall_viiiiiiiii:EBc,dynCall_viiiiiiii:sBc,_i64Add:hzc,dynCall_viiiiiidii:JBc,_pthread_mutex_unlock:izc,dynCall_viiidii:aAc,dynCall_viiiidiii:Ezc,stackRestore:Li,dynCall_viiiddiiii:kAc,__GLOBAL__sub_I_function_pb_cc:Hyb,dynCall_viiiddid:ABc,dynCall_viii:LBc,dynCall_iiiiiiiiiiiii:fCc,dynCall_viiiddii:GBc,dynCall_viiiidiid:Hzc,___errno_location:Bec,dynCall_viididdii:rCc,dynCall_viidd:nBc,dynCall_ii:RBc,dynCall_iiiiid:cBc,_memmove:uzc,dynCall_viiiiidii:xBc,dynCall_viiiddidd:WAc,__GLOBAL__sub_I_bindings_cpp:FC,dynCall_viiddiddd:PAc,dynCall_viiiidiiiidi:QBc,dynCall_viiiiddiiiid:fAc,dynCall_viiiidiiii:gBc,dynCall_viiidiii:Gzc,dynCall_viiiidddiiii:Jzc,dynCall_viiddidddd:Wzc}})


// EMSCRIPTEN_END_ASM
(Module.asmGlobalArg,Module.asmLibraryArg,buffer);var __GLOBAL__sub_I_attr_value_pb_cc=Module["__GLOBAL__sub_I_attr_value_pb_cc"]=asm["__GLOBAL__sub_I_attr_value_pb_cc"];var __GLOBAL__sub_I_op_def_pb_cc=Module["__GLOBAL__sub_I_op_def_pb_cc"]=asm["__GLOBAL__sub_I_op_def_pb_cc"];var __GLOBAL__sub_I_system_cpp=Module["__GLOBAL__sub_I_system_cpp"]=asm["__GLOBAL__sub_I_system_cpp"];var __GLOBAL__sub_I_umatrix_cpp=Module["__GLOBAL__sub_I_umatrix_cpp"]=asm["__GLOBAL__sub_I_umatrix_cpp"];var __GLOBAL__sub_I_init_cpp=Module["__GLOBAL__sub_I_init_cpp"]=asm["__GLOBAL__sub_I_init_cpp"];var stackSave=Module["stackSave"]=asm["stackSave"];var getTempRet0=Module["getTempRet0"]=asm["getTempRet0"];var ___udivdi3=Module["___udivdi3"]=asm["___udivdi3"];var setThrew=Module["setThrew"]=asm["setThrew"];var __GLOBAL__sub_I_graph_pb_cc=Module["__GLOBAL__sub_I_graph_pb_cc"]=asm["__GLOBAL__sub_I_graph_pb_cc"];var _bitshift64Lshr=Module["_bitshift64Lshr"]=asm["_bitshift64Lshr"];var __GLOBAL__sub_I_tensor_pb_cc=Module["__GLOBAL__sub_I_tensor_pb_cc"]=asm["__GLOBAL__sub_I_tensor_pb_cc"];var _bitshift64Shl=Module["_bitshift64Shl"]=asm["_bitshift64Shl"];var _sbrk=Module["_sbrk"]=asm["_sbrk"];var _fflush=Module["_fflush"]=asm["_fflush"];var __GLOBAL__sub_I_types_pb_cc=Module["__GLOBAL__sub_I_types_pb_cc"]=asm["__GLOBAL__sub_I_types_pb_cc"];var ___cxa_is_pointer_type=Module["___cxa_is_pointer_type"]=asm["___cxa_is_pointer_type"];var _llvm_ctlz_i64=Module["_llvm_ctlz_i64"]=asm["_llvm_ctlz_i64"];var __GLOBAL__sub_I_haar_cpp=Module["__GLOBAL__sub_I_haar_cpp"]=asm["__GLOBAL__sub_I_haar_cpp"];var _bitshift64Ashr=Module["_bitshift64Ashr"]=asm["_bitshift64Ashr"];var _memset=Module["_memset"]=asm["_memset"];var __GLOBAL__sub_I_status_cc=Module["__GLOBAL__sub_I_status_cc"]=asm["__GLOBAL__sub_I_status_cc"];var ___cxa_demangle=Module["___cxa_demangle"]=asm["___cxa_demangle"];var __GLOBAL__sub_I_detection_output_layer_cpp=Module["__GLOBAL__sub_I_detection_output_layer_cpp"]=asm["__GLOBAL__sub_I_detection_output_layer_cpp"];var __GLOBAL__sub_I_imgwarp_cpp=Module["__GLOBAL__sub_I_imgwarp_cpp"]=asm["__GLOBAL__sub_I_imgwarp_cpp"];var _memcpy=Module["_memcpy"]=asm["_memcpy"];var __GLOBAL__sub_I_darknet_io_cpp=Module["__GLOBAL__sub_I_darknet_io_cpp"]=asm["__GLOBAL__sub_I_darknet_io_cpp"];var _llvm_bswap_i32=Module["_llvm_bswap_i32"]=asm["_llvm_bswap_i32"];var ___muldi3=Module["___muldi3"]=asm["___muldi3"];var __GLOBAL__sub_I_prior_box_layer_cpp=Module["__GLOBAL__sub_I_prior_box_layer_cpp"]=asm["__GLOBAL__sub_I_prior_box_layer_cpp"];var __GLOBAL__sub_I_versions_pb_cc=Module["__GLOBAL__sub_I_versions_pb_cc"]=asm["__GLOBAL__sub_I_versions_pb_cc"];var ___uremdi3=Module["___uremdi3"]=asm["___uremdi3"];var __GLOBAL__sub_I_color_lab_cpp=Module["__GLOBAL__sub_I_color_lab_cpp"]=asm["__GLOBAL__sub_I_color_lab_cpp"];var ___divdi3=Module["___divdi3"]=asm["___divdi3"];var stackAlloc=Module["stackAlloc"]=asm["stackAlloc"];var _i64Subtract=Module["_i64Subtract"]=asm["_i64Subtract"];var __GLOBAL__sub_I_bind_cpp=Module["__GLOBAL__sub_I_bind_cpp"]=asm["__GLOBAL__sub_I_bind_cpp"];var __GLOBAL__sub_I_opencv_onnx_pb_cc=Module["__GLOBAL__sub_I_opencv_onnx_pb_cc"]=asm["__GLOBAL__sub_I_opencv_onnx_pb_cc"];var setTempRet0=Module["setTempRet0"]=asm["setTempRet0"];var _i64Add=Module["_i64Add"]=asm["_i64Add"];var __GLOBAL__sub_I_function_pb_cc=Module["__GLOBAL__sub_I_function_pb_cc"]=asm["__GLOBAL__sub_I_function_pb_cc"];var _pthread_mutex_unlock=Module["_pthread_mutex_unlock"]=asm["_pthread_mutex_unlock"];var __GLOBAL__I_000101=Module["__GLOBAL__I_000101"]=asm["__GLOBAL__I_000101"];var _emscripten_get_global_libc=Module["_emscripten_get_global_libc"]=asm["_emscripten_get_global_libc"];var ___getTypeName=Module["___getTypeName"]=asm["___getTypeName"];var __GLOBAL__sub_I_iostream_cpp=Module["__GLOBAL__sub_I_iostream_cpp"]=asm["__GLOBAL__sub_I_iostream_cpp"];var __GLOBAL__sub_I_dnn_cpp=Module["__GLOBAL__sub_I_dnn_cpp"]=asm["__GLOBAL__sub_I_dnn_cpp"];var _pthread_cond_broadcast=Module["_pthread_cond_broadcast"]=asm["_pthread_cond_broadcast"];var __GLOBAL__sub_I_descriptor_pb_cc=Module["__GLOBAL__sub_I_descriptor_pb_cc"]=asm["__GLOBAL__sub_I_descriptor_pb_cc"];var ___errno_location=Module["___errno_location"]=asm["___errno_location"];var __GLOBAL__sub_I_message_cc=Module["__GLOBAL__sub_I_message_cc"]=asm["__GLOBAL__sub_I_message_cc"];var __GLOBAL__sub_I_tensor_shape_pb_cc=Module["__GLOBAL__sub_I_tensor_shape_pb_cc"]=asm["__GLOBAL__sub_I_tensor_shape_pb_cc"];var ___cxa_can_catch=Module["___cxa_can_catch"]=asm["___cxa_can_catch"];var _free=Module["_free"]=asm["_free"];var runPostSets=Module["runPostSets"]=asm["runPostSets"];var __GLOBAL__sub_I_hog_cpp=Module["__GLOBAL__sub_I_hog_cpp"]=asm["__GLOBAL__sub_I_hog_cpp"];var establishStackSpace=Module["establishStackSpace"]=asm["establishStackSpace"];var _memmove=Module["_memmove"]=asm["_memmove"];var __GLOBAL__sub_I_bindings_cpp=Module["__GLOBAL__sub_I_bindings_cpp"]=asm["__GLOBAL__sub_I_bindings_cpp"];var stackRestore=Module["stackRestore"]=asm["stackRestore"];var _malloc=Module["_malloc"]=asm["_malloc"];var __GLOBAL__sub_I_histogram_cpp=Module["__GLOBAL__sub_I_histogram_cpp"]=asm["__GLOBAL__sub_I_histogram_cpp"];var _pthread_mutex_lock=Module["_pthread_mutex_lock"]=asm["_pthread_mutex_lock"];var __GLOBAL__sub_I_kmeans_cpp=Module["__GLOBAL__sub_I_kmeans_cpp"]=asm["__GLOBAL__sub_I_kmeans_cpp"];var _emscripten_replace_memory=Module["_emscripten_replace_memory"]=asm["_emscripten_replace_memory"];var ___remdi3=Module["___remdi3"]=asm["___remdi3"];var __GLOBAL__sub_I_opencv_caffe_pb_cc=Module["__GLOBAL__sub_I_opencv_caffe_pb_cc"]=asm["__GLOBAL__sub_I_opencv_caffe_pb_cc"];var __GLOBAL__sub_I_persistence_types_cpp=Module["__GLOBAL__sub_I_persistence_types_cpp"]=asm["__GLOBAL__sub_I_persistence_types_cpp"];var dynCall_iiiiiid=Module["dynCall_iiiiiid"]=asm["dynCall_iiiiiid"];var dynCall_viiiiddd=Module["dynCall_viiiiddd"]=asm["dynCall_viiiiddd"];var dynCall_viiiidiii=Module["dynCall_viiiidiii"]=asm["dynCall_viiiidiii"];var dynCall_viiiiiddi=Module["dynCall_viiiiiddi"]=asm["dynCall_viiiiiddi"];var dynCall_viiidiii=Module["dynCall_viiidiii"]=asm["dynCall_viiidiii"];var dynCall_viiiidiid=Module["dynCall_viiiidiid"]=asm["dynCall_viiiidiid"];var dynCall_iiiiiii=Module["dynCall_iiiiiii"]=asm["dynCall_iiiiiii"];var dynCall_viiiidddiiii=Module["dynCall_viiiidddiiii"]=asm["dynCall_viiiidddiiii"];var dynCall_viiiiddi=Module["dynCall_viiiiddi"]=asm["dynCall_viiiiddi"];var dynCall_viiiddddi=Module["dynCall_viiiddddi"]=asm["dynCall_viiiddddi"];var dynCall_viidiii=Module["dynCall_viidiii"]=asm["dynCall_viidiii"];var dynCall_viiiiiiiiiii=Module["dynCall_viiiiiiiiiii"]=asm["dynCall_viiiiiiiiiii"];var dynCall_viiiiiiiiiid=Module["dynCall_viiiiiiiiiid"]=asm["dynCall_viiiiiiiiiid"];var dynCall_viiidddd=Module["dynCall_viiidddd"]=asm["dynCall_viiidddd"];var dynCall_iidi=Module["dynCall_iidi"]=asm["dynCall_iidi"];var dynCall_viiddidd=Module["dynCall_viiddidd"]=asm["dynCall_viiddidd"];var dynCall_vidi=Module["dynCall_vidi"]=asm["dynCall_vidi"];var dynCall_viiddii=Module["dynCall_viiddii"]=asm["dynCall_viiddii"];var dynCall_viiddid=Module["dynCall_viiddid"]=asm["dynCall_viiddid"];var dynCall_viiiiidi=Module["dynCall_viiiiidi"]=asm["dynCall_viiiiidi"];var dynCall_viiddidddd=Module["dynCall_viiddidddd"]=asm["dynCall_viiddidddd"];var dynCall_viiiiddiiii=Module["dynCall_viiiiddiiii"]=asm["dynCall_viiiiddiiii"];var dynCall_viiiiiiidd=Module["dynCall_viiiiiiidd"]=asm["dynCall_viiiiiiidd"];var dynCall_viiiiddiiid=Module["dynCall_viiiiddiiid"]=asm["dynCall_viiiiddiiid"];var dynCall_viiiiiiidi=Module["dynCall_viiiiiiidi"]=asm["dynCall_viiiiiiidi"];var dynCall_viiddi=Module["dynCall_viiddi"]=asm["dynCall_viiddi"];var dynCall_viiidii=Module["dynCall_viiidii"]=asm["dynCall_viiidii"];var dynCall_viiiiidd=Module["dynCall_viiiiidd"]=asm["dynCall_viiiiidd"];var dynCall_di=Module["dynCall_di"]=asm["dynCall_di"];var dynCall_viiiiiidiiii=Module["dynCall_viiiiiidiiii"]=asm["dynCall_viiiiiidiiii"];var dynCall_viiiidiiddi=Module["dynCall_viiiidiiddi"]=asm["dynCall_viiiidiiddi"];var dynCall_viiiiddiiiid=Module["dynCall_viiiiddiiiid"]=asm["dynCall_viiiiddiiiid"];var dynCall_viiiiddiii=Module["dynCall_viiiiddiii"]=asm["dynCall_viiiiddiii"];var dynCall_vdii=Module["dynCall_vdii"]=asm["dynCall_vdii"];var dynCall_diiiiiii=Module["dynCall_diiiiiii"]=asm["dynCall_diiiiiii"];var dynCall_dii=Module["dynCall_dii"]=asm["dynCall_dii"];var dynCall_viiiddiiii=Module["dynCall_viiiddiiii"]=asm["dynCall_viiiddiiii"];var dynCall_viiiddiiid=Module["dynCall_viiiddiiid"]=asm["dynCall_viiiddiiid"];var dynCall_viiiidiidd=Module["dynCall_viiiidiidd"]=asm["dynCall_viiiidiidd"];var dynCall_viiiiiiiiiiddi=Module["dynCall_viiiiiiiiiiddi"]=asm["dynCall_viiiiiiiiiiddi"];var dynCall_iiiii=Module["dynCall_iiiii"]=asm["dynCall_iiiii"];var dynCall_viiiiidiiiii=Module["dynCall_viiiiidiiiii"]=asm["dynCall_viiiiidiiiii"];var dynCall_viiidddi=Module["dynCall_viiidddi"]=asm["dynCall_viiidddi"];var dynCall_viiiiidiidd=Module["dynCall_viiiiidiidd"]=asm["dynCall_viiiiidiidd"];var dynCall_iiiid=Module["dynCall_iiiid"]=asm["dynCall_iiiid"];var dynCall_iiiiiiii=Module["dynCall_iiiiiiii"]=asm["dynCall_iiiiiiii"];var dynCall_viiddiii=Module["dynCall_viiddiii"]=asm["dynCall_viiddiii"];var dynCall_iiiiiiiididiii=Module["dynCall_iiiiiiiididiii"]=asm["dynCall_iiiiiiiididiii"];var dynCall_viiidddiii=Module["dynCall_viiidddiii"]=asm["dynCall_viiidddiii"];var dynCall_viidiiid=Module["dynCall_viidiiid"]=asm["dynCall_viidiiid"];var dynCall_viiiiidiiii=Module["dynCall_viiiiidiiii"]=asm["dynCall_viiiiidiiii"];var dynCall_viidiiii=Module["dynCall_viidiiii"]=asm["dynCall_viidiiii"];var dynCall_diiiddi=Module["dynCall_diiiddi"]=asm["dynCall_diiiddi"];var dynCall_viiididii=Module["dynCall_viiididii"]=asm["dynCall_viiididii"];var dynCall_diiiiiiii=Module["dynCall_diiiiiiii"]=asm["dynCall_diiiiiiii"];var dynCall_viiidiiid=Module["dynCall_viiidiiid"]=asm["dynCall_viiidiiid"];var dynCall_viiiddddii=Module["dynCall_viiiddddii"]=asm["dynCall_viiiddddii"];var dynCall_viiiiid=Module["dynCall_viiiiid"]=asm["dynCall_viiiiid"];var dynCall_viiiiddddii=Module["dynCall_viiiiddddii"]=asm["dynCall_viiiiddddii"];var dynCall_viiiiii=Module["dynCall_viiiiii"]=asm["dynCall_viiiiii"];var dynCall_viiidiiii=Module["dynCall_viiidiiii"]=asm["dynCall_viiidiiii"];var dynCall_viiiiiidi=Module["dynCall_viiiiiidi"]=asm["dynCall_viiiiiidi"];var dynCall_viiiiiidiii=Module["dynCall_viiiiiidiii"]=asm["dynCall_viiiiiidiii"];var dynCall_viiiidddii=Module["dynCall_viiiidddii"]=asm["dynCall_viiiidddii"];var dynCall_viiidd=Module["dynCall_viiidd"]=asm["dynCall_viiidd"];var dynCall_viiidi=Module["dynCall_viiidi"]=asm["dynCall_viiidi"];var dynCall_iiidiiii=Module["dynCall_iiidiiii"]=asm["dynCall_iiidiiii"];var dynCall_viiddiddd=Module["dynCall_viiddiddd"]=asm["dynCall_viiddiddd"];var dynCall_viiiiiiiiii=Module["dynCall_viiiiiiiiii"]=asm["dynCall_viiiiiiiiii"];var dynCall_diiddi=Module["dynCall_diiddi"]=asm["dynCall_diiddi"];var dynCall_diii=Module["dynCall_diii"]=asm["dynCall_diii"];var dynCall_viiiddd=Module["dynCall_viiiddd"]=asm["dynCall_viiiddd"];var dynCall_viiiddidddd=Module["dynCall_viiiddidddd"]=asm["dynCall_viiiddidddd"];var dynCall_viiiiiiiiiiid=Module["dynCall_viiiiiiiiiiid"]=asm["dynCall_viiiiiiiiiiid"];var dynCall_viiiddidd=Module["dynCall_viiiddidd"]=asm["dynCall_viiiddidd"];var dynCall_viiidiiiidi=Module["dynCall_viiidiiiidi"]=asm["dynCall_viiidiiiidi"];var dynCall_viiiddiiiid=Module["dynCall_viiiddiiiid"]=asm["dynCall_viiiddiiiid"];var dynCall_viiiddi=Module["dynCall_viiiddi"]=asm["dynCall_viiiddi"];var dynCall_iiiiii=Module["dynCall_iiiiii"]=asm["dynCall_iiiiii"];var dynCall_viiid=Module["dynCall_viiid"]=asm["dynCall_viiid"];var dynCall_viiiidddd=Module["dynCall_viiiidddd"]=asm["dynCall_viiiidddd"];var dynCall_viidii=Module["dynCall_viidii"]=asm["dynCall_viidii"];var dynCall_iiiiid=Module["dynCall_iiiiid"]=asm["dynCall_iiiiid"];var dynCall_viiiidddi=Module["dynCall_viiiidddi"]=asm["dynCall_viiiidddi"];var dynCall_viiii=Module["dynCall_viiii"]=asm["dynCall_viiii"];var dynCall_viiiii=Module["dynCall_viiiii"]=asm["dynCall_viiiii"];var dynCall_viiiidiiii=Module["dynCall_viiiidiiii"]=asm["dynCall_viiiidiiii"];var dynCall_vid=Module["dynCall_vid"]=asm["dynCall_vid"];var dynCall_iiidi=Module["dynCall_iiidi"]=asm["dynCall_iiidi"];var dynCall_iiidd=Module["dynCall_iiidd"]=asm["dynCall_iiidd"];var dynCall_vii=Module["dynCall_vii"]=asm["dynCall_vii"];var dynCall_viiiid=Module["dynCall_viiiid"]=asm["dynCall_viiiid"];var dynCall_viiiiddddi=Module["dynCall_viiiiddddi"]=asm["dynCall_viiiiddddi"];var dynCall_viidd=Module["dynCall_viidd"]=asm["dynCall_viidd"];var dynCall_viidi=Module["dynCall_viidi"]=asm["dynCall_viidi"];var dynCall_viiidiiddi=Module["dynCall_viiidiiddi"]=asm["dynCall_viiidiiddi"];var dynCall_diiid=Module["dynCall_diiid"]=asm["dynCall_diiid"];var dynCall_viiidddii=Module["dynCall_viiidddii"]=asm["dynCall_viiidddii"];var dynCall_viiiiiiii=Module["dynCall_viiiiiiii"]=asm["dynCall_viiiiiiii"];var dynCall_viiidddiiii=Module["dynCall_viiidddiiii"]=asm["dynCall_viiidddiiii"];var dynCall_viiiiiiid=Module["dynCall_viiiiiiid"]=asm["dynCall_viiiiiiid"];var dynCall_diiii=Module["dynCall_diiii"]=asm["dynCall_diiii"];var dynCall_viiiiidiiddi=Module["dynCall_viiiiidiiddi"]=asm["dynCall_viiiiidiiddi"];var dynCall_viiiiidii=Module["dynCall_viiiiidii"]=asm["dynCall_viiiiidii"];var dynCall_viiiddiddd=Module["dynCall_viiiddiddd"]=asm["dynCall_viiiddiddd"];var dynCall_iid=Module["dynCall_iid"]=asm["dynCall_iid"];var dynCall_viiiddid=Module["dynCall_viiiddid"]=asm["dynCall_viiiddid"];var dynCall_viiiiiii=Module["dynCall_viiiiiii"]=asm["dynCall_viiiiiii"];var dynCall_viididdi=Module["dynCall_viididdi"]=asm["dynCall_viididdi"];var dynCall_viiiiiid=Module["dynCall_viiiiiid"]=asm["dynCall_viiiiiid"];var dynCall_viiiiiiiii=Module["dynCall_viiiiiiiii"]=asm["dynCall_viiiiiiiii"];var dynCall_iii=Module["dynCall_iii"]=asm["dynCall_iii"];var dynCall_viiiddii=Module["dynCall_viiiddii"]=asm["dynCall_viiiddii"];var dynCall_viiididi=Module["dynCall_viiididi"]=asm["dynCall_viiididi"];var dynCall_vdiii=Module["dynCall_vdiii"]=asm["dynCall_vdiii"];var dynCall_viiiiiidii=Module["dynCall_viiiiiidii"]=asm["dynCall_viiiiiidii"];var dynCall_viiiidddiii=Module["dynCall_viiiidddiii"]=asm["dynCall_viiiidddiii"];var dynCall_viii=Module["dynCall_viii"]=asm["dynCall_viii"];var dynCall_v=Module["dynCall_v"]=asm["dynCall_v"];var dynCall_viid=Module["dynCall_viid"]=asm["dynCall_viid"];var dynCall_viidiiiii=Module["dynCall_viidiiiii"]=asm["dynCall_viidiiiii"];var dynCall_vi=Module["dynCall_vi"]=asm["dynCall_vi"];var dynCall_viiiidiiiidi=Module["dynCall_viiiidiiiidi"]=asm["dynCall_viiiidiiiidi"];var dynCall_ii=Module["dynCall_ii"]=asm["dynCall_ii"];var dynCall_viiiiiiiddi=Module["dynCall_viiiiiiiddi"]=asm["dynCall_viiiiiiiddi"];var dynCall_vididdi=Module["dynCall_vididdi"]=asm["dynCall_vididdi"];var dynCall_viiiiiidd=Module["dynCall_viiiiiidd"]=asm["dynCall_viiiiiidd"];var dynCall_vidii=Module["dynCall_vidii"]=asm["dynCall_vidii"];var dynCall_viiiidi=Module["dynCall_viiiidi"]=asm["dynCall_viiiidi"];var dynCall_viiiddiii=Module["dynCall_viiiddiii"]=asm["dynCall_viiiddiii"];var dynCall_viiiiiidiiiii=Module["dynCall_viiiiiidiiiii"]=asm["dynCall_viiiiiidiiiii"];var dynCall_iiii=Module["dynCall_iiii"]=asm["dynCall_iiii"];var dynCall_viididii=Module["dynCall_viididii"]=asm["dynCall_viididii"];var dynCall_viiiiddii=Module["dynCall_viiiiddii"]=asm["dynCall_viiiiddii"];var dynCall_iiid=Module["dynCall_iiid"]=asm["dynCall_iiid"];var dynCall_viiiiiiiiidd=Module["dynCall_viiiiiiiiidd"]=asm["dynCall_viiiiiiiiidd"];var dynCall_viiiidii=Module["dynCall_viiiidii"]=asm["dynCall_viiiidii"];var dynCall_diiiii=Module["dynCall_diiiii"]=asm["dynCall_diiiii"];var dynCall_diiiid=Module["dynCall_diiiid"]=asm["dynCall_diiiid"];var dynCall_iiiiiiiiiiiii=Module["dynCall_iiiiiiiiiiiii"]=asm["dynCall_iiiiiiiiiiiii"];var dynCall_iiiiiiiiiiiiiii=Module["dynCall_iiiiiiiiiiiiiii"]=asm["dynCall_iiiiiiiiiiiiiii"];var dynCall_viiiiiiddi=Module["dynCall_viiiiiiddi"]=asm["dynCall_viiiiiiddi"];var dynCall_iiidiii=Module["dynCall_iiidiii"]=asm["dynCall_iiidiii"];var dynCall_i=Module["dynCall_i"]=asm["dynCall_i"];var dynCall_iiidii=Module["dynCall_iiidii"]=asm["dynCall_iiidii"];var dynCall_diiiiii=Module["dynCall_diiiiii"]=asm["dynCall_diiiiii"];var dynCall_iiidiiiii=Module["dynCall_iiidiiiii"]=asm["dynCall_iiidiiiii"];var dynCall_vididdii=Module["dynCall_vididdii"]=asm["dynCall_vididdii"];var dynCall_viiiiidiii=Module["dynCall_viiiiidiii"]=asm["dynCall_viiiiidiii"];var dynCall_viididi=Module["dynCall_viididi"]=asm["dynCall_viididi"];var dynCall_iiiiiiiii=Module["dynCall_iiiiiiiii"]=asm["dynCall_iiiiiiiii"];var dynCall_viididdii=Module["dynCall_viididdii"]=asm["dynCall_viididdii"];var dynCall_viiiiidiid=Module["dynCall_viiiiidiid"]=asm["dynCall_viiiiidiid"];var dynCall_viiiidd=Module["dynCall_viiiidd"]=asm["dynCall_viiiidd"];var dynCall_vidiii=Module["dynCall_vidiii"]=asm["dynCall_vidiii"];Runtime.stackAlloc=Module["stackAlloc"];Runtime.stackSave=Module["stackSave"];Runtime.stackRestore=Module["stackRestore"];Runtime.establishStackSpace=Module["establishStackSpace"];Runtime.setTempRet0=Module["setTempRet0"];Runtime.getTempRet0=Module["getTempRet0"];Module["asm"]=asm;Module["then"]=(function(func){if(Module["calledRun"]){func(Module)}else{var old=Module["onRuntimeInitialized"];Module["onRuntimeInitialized"]=(function(){if(old)old();func(Module)})}return Module});function ExitStatus(status){this.name="ExitStatus";this.message="Program terminated with exit("+status+")";this.status=status}ExitStatus.prototype=new Error;ExitStatus.prototype.constructor=ExitStatus;var initialStackTop;var preloadStartTime=null;var calledMain=false;dependenciesFulfilled=function runCaller(){if(!Module["calledRun"])run();if(!Module["calledRun"])dependenciesFulfilled=runCaller};Module["callMain"]=Module.callMain=function callMain(args){args=args||[];ensureInitRuntime();var argc=args.length+1;function pad(){for(var i=0;i<4-1;i++){argv.push(0)}}var argv=[allocate(intArrayFromString(Module["thisProgram"]),"i8",ALLOC_NORMAL)];pad();for(var i=0;i<argc-1;i=i+1){argv.push(allocate(intArrayFromString(args[i]),"i8",ALLOC_NORMAL));pad()}argv.push(0);argv=allocate(argv,"i32",ALLOC_NORMAL);try{var ret=Module["_main"](argc,argv,0);exit(ret,true)}catch(e){if(e instanceof ExitStatus){return}else if(e=="SimulateInfiniteLoop"){Module["noExitRuntime"]=true;return}else{var toLog=e;if(e&&typeof e==="object"&&e.stack){toLog=[e,e.stack]}Module.printErr("exception thrown: "+toLog);Module["quit"](1,e)}}finally{calledMain=true}};function run(args){args=args||Module["arguments"];if(preloadStartTime===null)preloadStartTime=Date.now();if(runDependencies>0){return}preRun();if(runDependencies>0)return;if(Module["calledRun"])return;function doRun(){if(Module["calledRun"])return;Module["calledRun"]=true;if(ABORT)return;ensureInitRuntime();preMain();if(Module["onRuntimeInitialized"])Module["onRuntimeInitialized"]();if(Module["_main"]&&shouldRunNow)Module["callMain"](args);postRun()}if(Module["setStatus"]){Module["setStatus"]("Running...");setTimeout((function(){setTimeout((function(){Module["setStatus"]("")}),1);doRun()}),1)}else{doRun()}}Module["run"]=Module.run=run;function exit(status,implicit){if(implicit&&Module["noExitRuntime"]){return}if(Module["noExitRuntime"]){}else{ABORT=true;EXITSTATUS=status;STACKTOP=initialStackTop;exitRuntime();if(Module["onExit"])Module["onExit"](status)}if(ENVIRONMENT_IS_NODE){process["exit"](status)}Module["quit"](status,new ExitStatus(status))}Module["exit"]=Module.exit=exit;var abortDecorators=[];function abort(what){if(Module["onAbort"]){Module["onAbort"](what)}if(what!==undefined){Module.print(what);Module.printErr(what);what=JSON.stringify(what)}else{what=""}ABORT=true;EXITSTATUS=1;var extra="\nIf this abort() is unexpected, build with -s ASSERTIONS=1 which can give more information.";var output="abort("+what+") at "+stackTrace()+extra;if(abortDecorators){abortDecorators.forEach((function(decorator){output=decorator(output,what)}))}throw output}Module["abort"]=Module.abort=abort;if(Module["preInit"]){if(typeof Module["preInit"]=="function")Module["preInit"]=[Module["preInit"]];while(Module["preInit"].length>0){Module["preInit"].pop()()}}var shouldRunNow=true;if(Module["noInitialRun"]){shouldRunNow=false}run();Module["imread"]=(function(imageSource){var img=null;if(typeof imageSource==="string"){img=document.getElementById(imageSource)}else{img=imageSource}var canvas=null;var ctx=null;if(img instanceof HTMLImageElement){canvas=document.createElement("canvas");canvas.width=img.width;canvas.height=img.height;ctx=canvas.getContext("2d");ctx.drawImage(img,0,0,img.width,img.height)}else if(img instanceof HTMLCanvasElement){canvas=img;ctx=canvas.getContext("2d")}else{throw new Error("Please input the valid canvas or img id.");return}var imgData=ctx.getImageData(0,0,canvas.width,canvas.height);return cv.matFromImageData(imgData)});Module["imshow"]=(function(canvasSource,mat){var canvas=null;if(typeof canvasSource==="string"){canvas=document.getElementById(canvasSource)}else{canvas=canvasSource}if(!(canvas instanceof HTMLCanvasElement)){throw new Error("Please input the valid canvas element or id.");return}if(!(mat instanceof cv.Mat)){throw new Error("Please input the valid cv.Mat instance.");return}var img=new cv.Mat;var depth=mat.type()%8;var scale=depth<=cv.CV_8S?1:depth<=cv.CV_32S?1/256:255;var shift=depth===cv.CV_8S||depth===cv.CV_16S?128:0;mat.convertTo(img,cv.CV_8U,scale,shift);switch(img.type()){case cv.CV_8UC1:cv.cvtColor(img,img,cv.COLOR_GRAY2RGBA);break;case cv.CV_8UC3:cv.cvtColor(img,img,cv.COLOR_RGB2RGBA);break;case cv.CV_8UC4:break;default:throw new Error("Bad number of channels (Source image must have 1, 3 or 4 channels)");return}var imgData=new ImageData(new Uint8ClampedArray(img.data),img.cols,img.rows);var ctx=canvas.getContext("2d");ctx.clearRect(0,0,canvas.width,canvas.height);canvas.width=imgData.width;canvas.height=imgData.height;ctx.putImageData(imgData,0,0);img.delete()});Module["VideoCapture"]=(function(videoSource){var video=null;if(typeof videoSource==="string"){video=document.getElementById(videoSource)}else{video=videoSource}if(!(video instanceof HTMLVideoElement)){throw new Error("Please input the valid video element or id.");return}var canvas=document.createElement("canvas");canvas.width=video.width;canvas.height=video.height;var ctx=canvas.getContext("2d");this.video=video;this.read=(function(frame){if(!(frame instanceof cv.Mat)){throw new Error("Please input the valid cv.Mat instance.");return}if(frame.type()!==cv.CV_8UC4){throw new Error("Bad type of input mat: the type should be cv.CV_8UC4.");return}if(frame.cols!==video.width||frame.rows!==video.height){throw new Error("Bad size of input mat: the size should be same as the video.");return}ctx.drawImage(video,0,0,video.width,video.height);frame.data.set(ctx.getImageData(0,0,video.width,video.height).data)})});function Range(start,end){this.start=typeof start==="undefined"?0:start;this.end=typeof end==="undefined"?0:end}Module["Range"]=Range;function Point(x,y){this.x=typeof x==="undefined"?0:x;this.y=typeof y==="undefined"?0:y}Module["Point"]=Point;function Size(width,height){this.width=typeof width==="undefined"?0:width;this.height=typeof height==="undefined"?0:height}Module["Size"]=Size;function Rect(){switch(arguments.length){case 0:{this.x=0;this.y=0;this.width=0;this.height=0;break};case 1:{var rect=arguments[0];this.x=rect.x;this.y=rect.y;this.width=rect.width;this.height=rect.height;break};case 2:{var point=arguments[0];var size=arguments[1];this.x=point.x;this.y=point.y;this.width=size.width;this.height=size.height;break};case 4:{this.x=arguments[0];this.y=arguments[1];this.width=arguments[2];this.height=arguments[3];break};default:{throw new Error("Invalid arguments")}}}Module["Rect"]=Rect;function RotatedRect(){switch(arguments.length){case 0:{this.center={x:0,y:0};this.size={width:0,height:0};this.angle=0;break};case 3:{this.center=arguments[0];this.size=arguments[1];this.angle=arguments[2];break};default:{throw new Error("Invalid arguments")}}}RotatedRect.points=(function(obj){return Module.rotatedRectPoints(obj)});RotatedRect.boundingRect=(function(obj){return Module.rotatedRectBoundingRect(obj)});RotatedRect.boundingRect2f=(function(obj){return Module.rotatedRectBoundingRect2f(obj)});Module["RotatedRect"]=RotatedRect;function Scalar(v0,v1,v2,v3){this.push(typeof v0==="undefined"?0:v0);this.push(typeof v1==="undefined"?0:v1);this.push(typeof v2==="undefined"?0:v2);this.push(typeof v3==="undefined"?0:v3)}Scalar.prototype=new Array;Scalar.all=(function(v){return new Scalar(v,v,v,v)});Module["Scalar"]=Scalar;function MinMaxLoc(){switch(arguments.length){case 0:{this.minVal=0;this.maxVal=0;this.minLoc=new Point;this.maxLoc=new Point;break};case 4:{this.minVal=arguments[0];this.maxVal=arguments[1];this.minLoc=arguments[2];this.maxLoc=arguments[3];break};default:{throw new Error("Invalid arguments")}}}Module["MinMaxLoc"]=MinMaxLoc;function Circle(){switch(arguments.length){case 0:{this.center=new Point;this.radius=0;break};case 2:{this.center=arguments[0];this.radius=arguments[1];break};default:{throw new Error("Invalid arguments")}}}Module["Circle"]=Circle;function TermCriteria(){switch(arguments.length){case 0:{this.type=0;this.maxCount=0;this.epsilon=0;break};case 3:{this.type=arguments[0];this.maxCount=arguments[1];this.epsilon=arguments[2];break};default:{throw new Error("Invalid arguments")}}}Module["TermCriteria"]=TermCriteria;Module["matFromArray"]=(function(rows,cols,type,array){var mat=new cv.Mat(rows,cols,type);switch(type){case cv.CV_8U:case cv.CV_8UC1:case cv.CV_8UC2:case cv.CV_8UC3:case cv.CV_8UC4:{mat.data.set(array);break};case cv.CV_8S:case cv.CV_8SC1:case cv.CV_8SC2:case cv.CV_8SC3:case cv.CV_8SC4:{mat.data8S.set(array);break};case cv.CV_16U:case cv.CV_16UC1:case cv.CV_16UC2:case cv.CV_16UC3:case cv.CV_16UC4:{mat.data16U.set(array);break};case cv.CV_16S:case cv.CV_16SC1:case cv.CV_16SC2:case cv.CV_16SC3:case cv.CV_16SC4:{mat.data16S.set(array);break};case cv.CV_32S:case cv.CV_32SC1:case cv.CV_32SC2:case cv.CV_32SC3:case cv.CV_32SC4:{mat.data32S.set(array);break};case cv.CV_32F:case cv.CV_32FC1:case cv.CV_32FC2:case cv.CV_32FC3:case cv.CV_32FC4:{mat.data32F.set(array);break};case cv.CV_64F:case cv.CV_64FC1:case cv.CV_64FC2:case cv.CV_64FC3:case cv.CV_64FC4:{mat.data64F.set(array);break};default:{throw new Error("Type is unsupported")}}return mat});Module["matFromImageData"]=(function(imageData){var mat=new cv.Mat(imageData.height,imageData.width,cv.CV_8UC4);mat.data.set(imageData.data);return mat})





  return cv;
};
if (typeof module === "object" && module.exports) {
  module['exports'] = cv;
};

  if (typeof Module === 'undefined')
    Module = {};
  return cv(Module);
}));
    